Moker
514624	192545	Bernard Shaw
514624	207171	Lucius
514624	213466	Kweli
514624	220714	Blume
514624	233567	Motel Manager
514624	244034	Additional Character Voice
514624	272970	Jack Lauderdale
514624	280298	Michael Jones
514624	285502	Tambul
514624	314962	Detective Williams
514624	315781	Mr. Scott ('Fiction')
514624	329522	Bobby Washington
514624	331301	Leroy
514624	356472	O.E.M. Staffer #2
514624	385163	Detective Danny Watlington
514624	394510	Rolando
514624	411272	Howard 'Bunny' Colvin (2004-)
514625	77828	Tim's Friend
514626	46509	Himself
514626	61791	Edward Beverly
514626	131484	Jan Turek
514626	144384	Ryan
514626	178293	Took
514626	320310	Stephen Clarke
514626	382178	Fothers
514626	385020	Tom Ferguson (1999-2000)
514626	397740	Marco Bailey (2003-)
514626	407190	Ivor Claire
514628	63275	Bald Man
514628	147897	Store Manager
514629	150088	Vic Marino
514630	10175	Himself
514630	176487	Accordion Player
514630	231549	Himself
514631	52425	Jeremy
514631	53960	Batman
514631	56955	Burt
514631	64815	Short Guy
514631	81065	Ace Durham
514631	100893	Male Nurse
514631	106257	
514631	141543	Felix
514631	149362	Tony
514631	150400	Nick
514631	187420	The Atom
514631	194122	Trooper II
514631	213346	
514631	250546	Cabbie
514631	270522	Eliott Dole
514631	305682	Carter
514631	305715	Patrolman at traffic jam
514631	313855	Workshop Member
514631	317120	Charlie
514631	317536	Fall Director (role)
514631	320890	Sailor
514631	381044	Oliver
514631	381044	Oliver Wardell
514631	397615	Howard Borlotti
514631	399640	Capt. John McQuade
514631	408765	Sidney 'Hatter' Pacelli
514631	409473	Mr. Rabbit Ears
514632	366900	Policeman Two
514633	158320	
514633	323838	Jer (segment "Lover's Vow")
514634	283381	
514635	3309	
514636	21	
514636	13859	Ed
514636	23449	
514636	51838	Hippie Artist
514636	57994	
514636	84523	SSC Guard #1, Announcer (Talk
514636	95306	Best Man
514636	149439	Deputy Sheriff
514636	187238	Garudi
514636	201377	Mataemon Araki
514636	269293	Gamor
514636	283678	Tomono (English version)
514636	283680	Enishi Yukishiro
514636	308790	Knuckles the Echidna
514636	309471	Paramedic
514636	317947	George the Limo Driver
514636	358476	Boat Car Guy
514636	362269	Skippy
514636	386236	Otoya Sonobe
514636	396019	Rail
514636	410739	Jama-P
514638	168581	
514639	215821	Radio Voice #1
514640	203454	
514641	66053	Al Grainger
514642	123857	
514643	60332	Additional Talent
514643	79863	Shark
514643	231885	Detour Segment
514644	315678	Himself
514644	338859	Himself (Chelsea v Man Utd)
514645	96938	Orchestra Extra
514646	285734	Extra Smoke Man
514647	47079	
514647	154368	
514647	154402	
514647	160761	Ernie Sage
514647	200498	Ernie
514647	232018	Various
514647	232277	Ernie
514647	300144	
514647	302151	Himself
514647	329501	Ernie
514647	364227	Himself
514647	381501	Himself
514647	381569	Himself
514647	398214	Himself
514647	398215	Himself
514647	398216	Himself
514647	403950	
514647	405558	Himself/various characters
514647	409231	
514647	411230	
514648	153247	Josh
514648	155005	Jimmy
514648	190133	Josh
514649	109631	Jeff
514650	7628	Josh Sinclair
514650	87645	Max
514650	110353	Arch Wilson
514650	145397	The American
514650	149640	Major Côtard
514650	149910	Dr. Jim Nightingale
514650	168682	Agent One
514650	169859	Ben Dyson
514650	199150	Alex
514650	199308	Rodolphe (episodes 2, 3)
514650	207093	Jamie Baird
514650	218845	Franklin Blake
514650	255031	
514650	257102	Cpl. Hugh Brittan
514650	294217	John Willoughby
514650	343352	Cato Macgill/Adam Prime
514650	382912	Guy Thwaite
514650	392130	Crispian Grimes
514650	403377	Alister
514650	405476	Oliver Rice
514650	411382	Marshall, chartered accountan
514651	64659	Taiko Drummer
514652	279609	Mr. Knightley
514653	24783	
514653	245158	Fisher Folk
514654	168599	Himself/Interviewee
514655	5460	Cop
514655	7015	Bill (cigar-counter clerk)
514655	7178	Joker in Bar
514655	10722	Autograph Hound
514655	12784	Husband
514655	19298	Heckler in Audience
514655	26737	Speewee, Express' Photo Archi
514655	27187	Church Organist
514655	27315	Tax collector
514655	36973	Speakeasy Patron
514655	37236	Silent Sign Painter
514655	39498	Miner at End
514655	40176	Prison Barber
514655	47346	Nightclub Waiter
514655	49340	Reporter
514655	49364	Waiter #1
514655	49746	Mr. Engel, the Press Agent
514655	52676	First Photographer
514655	54607	Weymouth, the Hotel Desk Cler
514655	56208	Telegram Clerk
514655	56211	Joker in Audience
514655	57973	Amarillo Airport Clerk
514655	64527	Card Player
514655	66641	Bit Role
514655	68055	Lou Baum, Stage Manager
514655	69338	Reporter
514655	72255	Reporter
514655	73134	Jimmy, the Bartender
514655	77414	Second Druggist
514655	85026	Convict
514655	86933	Prison Visitor
514655	90255	Man going to bet on tip
514655	90941	Delivery Waiter
514655	92219	Man talking with Nick
514655	96608	Convict
514655	96786	Johnson's Clerk
514655	103270	Reporter
514655	105075	First Pedestrian
514655	114695	Clerk selling Nancy the Gazet
514655	115180	Worried Man on Roof
514655	116077	Reporter With Gahagan
514655	120009	Attendant
514655	120687	Photographer
514655	121354	Reporter at Train Station
514655	130622	Mystery man with Bob at stage
514655	130623	Floor Manager
514655	136028	Davis Bros. Clerk
514655	139191	Florida hotel clerk
514655	139214	Actor Leaving Theater
514655	140755	$30 Bidder
514655	142463	Man in Line
514655	143580	Lineman
514655	144454	Vital Statistics Clerk
514655	145106	Tourist
514655	147663	Himself--busboy
514655	148585	Hotel tenant
514655	150241	Contract Man
514655	150800	Villman
514655	151084	Elevator operator
514655	158258	Levine
514655	163443	Train Passenger in Lower
514655	164972	Reporter
514655	176307	Man Greeting Wilson/Diner/Fig
514655	176326	Photographer
514655	176361	Waiter
514655	177397	Man With Penalty Timekeeper
514655	177469	Lumberjack at Wedding Recepti
514655	178042	Tenant Carpenter
514655	179013	Nightclub Photographer
514655	179083	Football Fan at Game
514655	186391	Graveyard Lazardi
514655	190057	Medical Student
514655	192064	Race Track Usher
514655	195470	Bank Cashier
514655	195768	KDTS Employee
514655	196294	Dan's Office Clerk
514655	203496	Extra in Courtroom
514655	206472	Delivery Man
514655	209166	Stranded actor
514655	209592	Delegate
514655	210394	Nightclub Patron
514655	213111	Court Clerk
514655	214080	
514655	217946	Seated Bank Customer
514655	220892	Reporter in Courtroom
514655	223723	First Man Buying a Newspaper
514655	227337	Second Photographer
514655	227338	Extra, Office Worker
514655	227339	Extra Watching Fire
514655	231797	Busboy
514655	232285	Man in Hotel
514655	232833	City Room Extra, Listening to
514655	234027	Actor In Show
514655	234199	Customer with Slot Machine Ja
514655	236705	Bud, a convict
514655	245159	Reporter
514655	245681	Convict
514655	264644	Extra Leaving Courtroom
514655	270497	Cashier
514655	273251	Young Arranger
514655	274159	Photographer
514655	279188	Attorney
514655	279317	Convict at farm
514655	287018	Convict in Fight
514655	288438	Pushy Photographer
514655	288742	Elevator Operator
514655	292623	Ivan's Alien Pal
514655	292829	Extra Dancing at Party
514655	297889	Phone Gossip #2
514655	298122	Man in Burlesque Audience
514655	299936	Photographer
514655	302611	Store Employee
514655	305481	Nightclub Waiter
514655	305506	Prison Runner
514655	305594	Professor
514655	306567	Fifth Barber
514655	310326	Hairdresser
514655	315721	Spectator
514655	315996	Waiter
514655	321115	Stage Hand
514655	329533	Spectator
514655	330159	Jake
514655	330184	Second fight ticket seller
514655	330336	Janitor
514655	331319	Party Guest
514655	336041	Party Guest
514655	336047	Police Stenographer
514655	338557	Delegate
514655	358191	Balloon Salesman
514655	360521	Extra in Club Royal, at Wrest
514655	363220	Dr. Merton's Second Assistant
514655	363571	Reporter
514655	367827	Welcoming Official
514655	370555	Boarder
514656	6955	Fred the Fairy Godbrother
514656	41370	Pizza cop
514656	42822	Dooner
514656	48592	Guitar Player/Singer
514656	65756	Man in Bar
514656	103288	Manatee Operator/Starbuccanee
514656	104973	Coach Tugnut
514656	136297	
514656	147668	Waterfront Cafe Manager
514656	149971	Boyfriend
514656	195844	Bland Man
514656	231798	New Club Waiter
514656	235403	Football Announcer
514656	265065	
514656	270389	Air Policeman
514656	277101	Lead Medic
514656	300180	Loudmouth at Cheetah
514656	310130	Police Assistant
514656	311601	Goofy Goober Rock Singer
514656	369466	
514656	384442	Various Voices
514656	386350	Loud Howard
514656	387973	Coach Terry Tugnut
514656	391267	Von 'Boom Boom' Maddox
514656	391525	Fripp (2004-????)
514656	392906	Himself
514656	402849	Himself
514656	408496	Various Characters (1999-)
514657	190854	Charles
514658	228225	
514659	6912	Tim
514659	80755	Skip
514660	35535	
514660	79875	Robert Serber
514660	118957	Nerdy student
514660	309489	Andrew
514660	331533	Vincent Costello
514661	82063	Nick
514662	86025	Colonel
514662	367567	Peters
514663	37393	Alex
514663	386547	Pat Brody
514664	1492	Himself
514664	20965	Himself
514664	201629	Himself
514664	323698	Himself
514665	81318	Romero's Hood
514665	114223	Cop at Tenement
514665	231110	Snakeman
514665	245105	Norton
514665	279323	Gawker
514665	334343	Don
514665	335245	Emigrant
514665	379893	Moses
514665	380654	Blood spatter expert
514665	383414	Additional Voices
514665	401303	Big Chief Little Panther
514666	245993	Norm the Mailman
514667	259407	Townsfolk
514669	15944	
514669	67607	Ozzie
514669	99089	
514669	101075	Haj
514669	109617	Stuart
514670	70468	Plaza Cop #1
514671	281471	Lost Soul
514672	12248	Jack Tynan
514672	31156	Harrison
514672	42386	Chet MacGregor
514672	42806	Dwight Frye
514672	56750	Soap opera man
514672	59829	Dalton Voss
514672	65920	
514672	68271	President Michael Dugan
514672	68275	President Michael Dugan
514672	69265	Christopher Proctor
514672	73061	Charles Pierce
514672	77146	Doctor Simmons
514672	80445	Frank Harrington
514672	104891	Wes Blaidek
514672	113803	Richard
514672	124049	Randolph Pratt
514672	166471	Jack Taggart, Sr.
514672	169427	Sol Gann
514672	176926	Col. George Thalman
514672	184582	Brian Sanger
514672	192833	Mike Todd
514672	199405	Bellman
514672	252293	Mr. Pennyweight
514672	261962	Dr. Aaron Stripler
514672	270364	Jack Davis
514672	278188	Robbins
514672	278830	Senator John Morton
514672	279841	Leon Nash
514672	291226	Brother Jake
514672	292019	Fred Drummond
514672	292452	Archie
514672	293007	Bartecki
514672	319283	
514672	320784	Doctor Alec Holland
514672	323588	Phil Maresca
514672	325078	Damis
514672	342549	Leland Palmer
514672	342552	Leland Palmer
514672	342769	Bill Parker
514672	366020	John Wescott
514672	368890	
514672	384582	Spiros Koralis (1986)
514672	385594	Blair Sullivan (1982)
514672	385824	Hal Rummley (1982-1983)
514672	394676	The Dealer (1988)
514672	396088	Jamie Rawlins #2 (1970-1976)
514672	403248	Jack Mornay
514672	404371	Edward Burton
514672	404635	Judge Jim Stinson
514672	404718	Henry Fleming
514672	409210	Leland Palmer
514673	44758	Himself - interviewee
514674	725	Himself
514674	729	Himself
514674	730	Himself
514674	733	Himself
514674	736	Himself
514674	1774	Himself
514674	2311	Himself - Winner, 2 awards
514674	2515	Himself - Presenter: Thalberg
514674	2589	Himself - Co-presenter: Best 
514674	2817	Himself - accepting Best Acto
514674	3662	Himself
514674	13932	Himself
514674	16420	Himself
514674	31245	Himself
514674	50844	Himself
514674	57561	Himself/interviewee (1985 int
514674	58022	Himself
514674	108805	Himself
514674	126052	Himself
514674	146653	Guest
514674	147637	Himself
514674	170414	Himself
514674	197169	Himself
514674	201915	Himself
514674	274686	Himself
514674	309636	Himself
514674	317551	Stanley's Neighbor
514674	341476	Himself
514674	355388	Himself
514674	361686	Himself
514674	365190	Himself
514675	214662	Police Photographer #2
514676	171178	Millichamp's Son
514677	61156	Ezekial Young (Annie's Boyfri
514677	62778	Dancer
514677	162159	Himself
514678	155301	Terrorist #2
514679	232777	Himself
514680	131217	J.P.
514680	212620	Bank Vice President
514680	220173	Self
514680	223885	Ben's Father
514680	257451	Fed
514680	318162	Bruce Ryan
514681	109867	Father Tom
514681	125851	Senator William H. Langdon
514681	281213	
514681	338831	Caleb Durand
514682	46353	Doctor
514682	69047	Tom Reynolds
514682	93338	1st Panel Member
514682	99695	Policeman
514682	286549	
514682	323846	Max Leam
514682	399685	Surgeon
514683	2019	Coffee Shop Guy
514684	59537	Solly Silvers
514684	74761	Moley
514684	84918	Fred Cole
514684	116517	Riley
514684	163289	
514684	171211	Eddie Diamond
514684	176727	Lou
514684	199354	Curly
514684	201422	Sweeting
514684	247554	Benny
514684	290346	Horace Clapp
514684	291867	Station Porter
514684	312286	Joe
514684	329960	
514684	331716	The Gambler (segment "Take a 
514684	350114	
514684	363697	Maxie
514684	379626	Archie (1971)
514684	408626	Benny the Nose
514684	410065	Himself
514684	411793	Guilio
514685	41940	Internal Affairs Man
514685	68070	Mark Krasno
514685	109069	Dynamite Dave
514685	158102	Willis Grinnel
514685	274010	Grandpa Charles
514685	322638	Gary
514685	330594	Wade Bowman
514685	335017	Bill Stanton
514685	361475	Sexy Larry (The Store Owner)
514685	394509	Dr. Louis Traff
514687	73887	Bowling for Soup, Graduation 
514688	281451	Johnny
514689	274022	Quinn T. Bryant/The Narrator
514690	158338	Mailman
514691	389791	Additional Voices
514692	203263	Roger Doyle
514692	297796	Dandy Drako
514693	362610	Willem Vincent
514694	24776	Oil Worker #1
514695	11839	Achilles
514696	261530	Blue Rodeo Band
514697	11549	Miss Willis
514697	109993	Frog's Owner
514697	391869	Dr. John Wilson (1998-2002)
514697	395820	Phillip price
514698	113390	Cultist
514699	52450	
514700	168289	Ticket Taker
514700	177792	Bar Patron
514701	34388	1st Mate - Columbus
514701	273979	Bill Yancy
514702	382838	Harvey (1999)
514703	64326	
514703	334281	Himself
514705	35823	Himself
514705	361240	Himself
514706	26077	Boy at St. Mary's
514706	148200	Mitch Murphy
514706	245699	Joey Proffitt
514707	297671	Office Assistant
514708	19193	Uncle Benjy
514708	33032	Himself
514708	33033	Himself
514708	34646	Himself
514708	35184	Jake Weinstein
514708	48575	Draco
514708	50981	Felix Ottensteen
514708	58793	Dominic Guido
514708	71635	Rajeski
514708	84362	Charley Gennini (burglar)
514708	92573	Dr. Julius No
514708	124224	George Kovan
514708	127241	Judge Leopold Wapter
514708	138882	Jean Marie Calbert
514708	148004	English Narrator
514708	164871	Ben Ashir
514708	165264	Dr. No
514708	169401	Colonel Haki
514708	183755	Victor Castle
514708	186423	Lucas (brothel owner)
514708	207147	Fandil Bondalok
514708	210805	Balashev
514708	215334	Genflou
514708	222595	Sam Druckman
514708	232250	Louis Minsky
514708	245531	Ernest Grimes
514708	265265	Carmish
514708	267597	Dr. Nordman
514708	270914	Antonio Granelli
514708	278770	Narrator
514708	293637	Dr. Adler
514708	301941	Mijamin
514708	314761	Matteo
514708	318447	
514708	331292	Jim Barron
514708	346950	Abe Kelsey
514708	349789	Marazano
514708	355831	Fernando
514708	366865	Deleo
514708	373780	Rabbi
514708	397027	Jerahmeel, Head Essene
514708	402552	Morris Cady
514709	123702	Tourist Son
514710	391258	Himself (SAS survival trainer
514712	39861	Hacksaw
514712	73906	Cop #2
514712	105619	Bobby Tucci
514712	153009	Jacob
514712	169951	Travis
514712	209357	Guide
514712	257296	Specialist Hansen
514712	262647	Cop
514712	272005	Det. Kent
514712	317634	Crump's Brother
514712	320108	Russell Johnson
514712	359186	Lieutenant
514712	389343	Obnoxious French student
514712	392044	Daryl Bradford
514713	311615	Man in Bar
514714	397788	Himself
514715	311923	Women's Shelter Extra
514716	282378	Dr. Sharp
514717	299034	Scotty
514718	71721	Scotty
514718	144453	Himself
514718	228272	Himself
514718	302646	Scotty
514718	321540	Himself
514718	354490	Himself
514719	69370	Young Andre
514720	298318	Animal Man
514721	167257	Additional Voices
514722	1224	Chris
514722	319923	Danny
514723	5932	Man
514723	54949	Bailiff--New York
514723	117485	Policeman #10
514723	154046	Policeman
514723	197320	Mac, Brady's Bodyguard
514723	220849	Customer
514723	310775	Motor Policeman
514723	372145	Policeman
514723	372931	Motor Cop
514724	42381	Caméraman
514725	299691	Kid in Karate Class
514726	105172	The Kid
514726	350431	Young Evan Campbell
514727	207268	Male dancer
514728	158431	
514729	159885	Arnold
514730	196902	Courier
514731	283594	Himself
514731	283595	Himself (piano)
514731	283596	Himself
514731	283597	Himself
514731	283598	Himself
514732	78759	Child From Squatter's Area
514733	203492	Child
514734	5306	Bill Tyler, Reporter
514734	244434	Himself
514734	276954	
514734	328277	Galleria photographer
514734	328285	Policeman
514734	369522	Raj
514735	76666	Ghost
514736	9148	Richard Allenby
514736	77095	Commissionaire
514736	88933	Dalek voices
514736	224921	Varian
514736	224927	Himself and Man in black
514736	297106	Robar
514736	318862	The Controller
514736	359604	Father
514736	379503	Kellett
514736	385139	Mr. Welch
514736	409840	Majordomo
514737	174960	
514738	205268	Drag Queen
514738	223844	The Fortune Teller
514738	315257	Lucy Tania
514738	400621	Tony Masters (1998-2003)
514739	48792	Male Model 3
514740	318854	Coach
514741	136576	Riporter
514742	16928	Child
514743	16928	Eryk's son/Child
514744	296768	Rick
514745	63223	Himself - Hauptsturmführer SS
514746	183033	Alta-væring
514747	388444	Himself - Participant
514748	19406	Narrator
514748	26070	Himself (sports announcer)
514748	30688	Narrator
514748	30690	Himself - Narrator
514748	30700	Narrator
514748	36780	Narrator
514748	53971	Narrator
514748	118336	Narrator
514748	144792	Narrator
514748	147583	Narrator
514748	242799	Narrator
514748	270406	Narrator
514748	307985	Himself - Fight Broadcaster
514748	311343	Himself (sportscaster)
514748	311797	Narrator
514748	311798	Narrator
514748	315750	Narrator
514748	339901	Announcer
514748	389039	Himself (host)
514749	367284	Mountaineer
514750	377377	
514751	60251	Denis Hagen
514752	113881	
514753	60251	Pat Hagen Jr.
514754	18	Dirk
514754	18598	Imaginary Friend
514755	20135	(segment "Nessun dorma")
514755	81152	Weyland
514755	86274	Tony
514755	132228	Fletcher
514755	142267	Ernesto
514755	146738	Lance
514755	160314	Himself
514755	176479	Holger
514755	192702	Necros
514755	215876	Max's companion
514755	313660	Rohler
514755	319753	John Howard
514755	339464	Lieutenant
514755	348599	Quinn
514755	409386	Glasnovic
514755	410522	Ernst Raub
514756	280586	
514757	261135	
514758	212322	
514759	304578	Josh
514760	256976	Kevin Miller
514761	67726	
514762	24156	
514763	185811	Man
514764	71602	Himself
514764	104778	Polish entry (7th place)
514764	136365	Himself
514765	231636	Director
514766	322000	
514767	276943	Nazi at Strauss Home
514768	116554	KPL Brother
514769	315018	
514770	28942	Lapiduch
514770	202253	Squirrel
514770	225603	Pawel
514771	195037	Cavalryman
514772	184200	
514772	191405	Roman
514772	275250	
514772	343339	
514773	60105	Alek
514774	248567	
514775	81182	Himself (Indonesian ambassado
514776	310168	
514777	335281	
514778	330163	
514779	451	Third Man
514779	320109	Mr. Z
514779	342441	David
514780	75528	Himself (Sunderland, MA)
514781	102989	Der Gezeichnete
514782	321861	Paul Bannister (Pausanias)
514783	126610	Ralf
514783	400021	Lutz
514784	328529	Mock Jr.
514785	78849	Child
514785	223981	
514786	241811	Police officer in pawnshop
514787	44501	Kid
514787	72104	Boy
514787	123135	Hep
514787	124343	Scat
514787	124344	Scat
514787	131507	Wilson
514787	165561	Copy Boy
514787	168930	Singing voice for young Jolso
514787	176846	Pete
514787	210779	Jerry
514787	223968	
514787	223981	
514787	246926	
514787	286911	Walter McCooley
514787	311343	Young Doc Blanchard
514787	335358	Stan Dumbrowski, Paperboy
514787	346238	Johnny, a Delivery Boy
514787	363741	Newsboy
514788	370866	Himself (segment "lighting wi
514789	388353	Funeral Assistant/Body Remove
514790	224820	Hockey Player
514791	33156	Siegfried Mengers
514792	347046	Inmate of the Asylum
514793	408234	French Boy
514795	167025	
514796	236160	
514797	408826	Count Morawski
514798	376257	Jan
514799	134623	Wim
514800	143489	
514801	160591	Karuzelli
514801	162205	Supervisor
514801	232664	
514801	311893	
514802	1709	Himself (New York Yankees Pit
514802	1730	Himself (San Francisco Giants
514803	85004	
514803	99859	Mr. Vyshinski
514803	133573	Churchill's Footman
514803	211747	Fourth Committee Member
514803	308369	Second Heckler
514803	356955	Second Questioner
514803	385132	Judici
514803	388249	Martinov
514803	400109	Mr. Sowerberry
514804	76238	Club drummer
514805	692	Himself
514805	382706	Himself - Presenter
514805	405518	Himself - Newsreader (1984-19
514806	212027	Jr. Lords
514807	410735	Tommy (1987)
514808	23441	Sportscaster #1
514808	96625	Announcer
514808	117091	Detroit radio announcer
514808	190702	Announcer
514808	252726	Ring Announcer
514808	275519	Newscaster
514808	311512	CSPRT Announcer
514808	366259	Interviewer
514809	30662	Young John Mannion
514809	78744	Young Jamie
514809	107504	Denis Doyle
514809	262054	P.K. Age 7
514809	335155	Edgar
514809	384483	Peter
514809	407667	Hugo Freeman
514809	411500	Merlin Langstaff
514810	404554	Investigator
514811	259269	Mitchell Thurman
514812	24413	
514813	179180	Bogus, Irena's Son
514814	322138	
514815	108146	
514816	343279	Pickup truck driver
514817	41301	Jake's Patient
514818	279836	Brian Douglas
514819	312018	Taxi
514820	202090	Le facteur
514821	134515	Harry Walker
514821	238749	Jack McCoy
514822	222831	Restaurant Boy
514823	94200	
514823	358434	Police Officer
514824	8216	Wino
514824	135636	Le vieux
514824	320421	Rooming House Landlord
514825	158102	Grocery Clerk
514825	331826	Boss Hawg
514826	274475	Ely Goldman
514827	221087	Lieutenant Dean
514828	155276	Himself
514829	380430	
514830	380430	
514831	31740	Armed Guard
514831	120301	Crewman
514831	185589	Wrestler
514831	208491	Thug #2
514831	299963	Hold-Up Men #1
514832	253901	Himself
514833	282616	
514834	27928	Guard
514834	335686	Customer #1
514835	1927	
514835	289019	Himself
514835	309552	Himself
514836	10644	
514836	11723	
514836	124393	Sheriff
514836	144673	Yokum
514836	196944	
514837	72738	News Crew
514838	46891	Gardener
514838	91725	
514838	98777	
514838	174603	Joe O'Flanagan
514838	186560	Richards
514838	203686	
514838	213994	
514838	330151	
514838	335342	Mr. Carter
514839	289634	Gardener 1
514840	7488	Henry Cooper
514840	9683	
514840	16684	Sheriff
514840	18737	Lestrade
514840	20273	Monroe Adams
514840	26762	Gerald Smith
514840	33579	Shannon
514840	33695	Craig Bennett
514840	33698	William Ripley
514840	37815	Tons Walker
514840	38042	Ed 'Eddie' Shanahan
514840	40113	Inspector Donaldson
514840	44255	Lt. Pat Tornell
514840	45686	Dr. Owens
514840	47088	Pierre
514840	47137	Dennis
514840	50469	Cactus Pete
514840	54647	Stanley
514840	54650	Veterinarian
514840	58793	Scotty Cameron
514840	67101	Jeff's friend
514840	77015	Slagin
514840	77845	William 'Bill' Cleaver
514840	78126	Jonathan Drumman
514840	78692	Matt Conroy
514840	79413	Ralph Dickson
514840	88076	Bit Role
514840	90872	Capt. William 'Bill' Street (
514840	92480	Waddy
514840	94960	Tony Russo
514840	107452	Jason Blue
514840	109656	Capt. Bill Street
514840	109862	Judge Waters
514840	112514	
514840	112527	George Hayden
514840	112549	Cpl. Larry Lawrernce
514840	112582	Whanger Spreckles
514840	113323	Pat Riley
514840	114048	
514840	117906	Silas Meacham
514840	123138	Wesley Hardin
514840	123353	Bill Foster
514840	125802	Wilkes Junior
514840	126590	Rufe Parker, a Gangster
514840	127114	Bill Winters
514840	127698	Henry Potter
514840	128485	Homer Norton
514840	130300	Young fellow
514840	130857	Frank Fordyce
514840	131806	Matt Colby
514840	134292	Bill
514840	135920	Deputy Bill Yount
514840	136816	Sammy Lee, Harvard Football C
514840	141489	Paul Pavloff
514840	142248	Larry Scott
514840	142443	Sheriff Steve Oliver
514840	142517	Sheriff Martin
514840	145702	
514840	146753	Smokey
514840	147386	Cleary
514840	147830	Grant Drexel
514840	148590	Joe Hatch
514840	149259	Rev. Simon Andrews
514840	154495	Paul Moran
514840	157461	Ed
514840	157886	Richardson (head driller)
514840	157887	Captain Mark Slayter
514840	158258	Nosey Norton
514840	162394	Roger McCall
514840	169817	Maj. Lynden
514840	170768	Jim 'Jungle Jim' Bradley
514840	183579	Loomis
514840	183668	Pendar
514840	183822	Bob (cabbie)
514840	185080	Ed Bagley
514840	185657	Jack Fergus
514840	186634	Banker Graves
514840	188405	Headwaiter
514840	188436	Jim 'Diablo' Wilkins
514840	197689	Smitty
514840	199737	Slim Shayne
514840	205913	Pvt. Jack 'Junior' Murray
514840	207196	Douglas (mine foreman)
514840	210705	Mr. Grant
514840	212213	Withers
514840	214104	Carlo Petrov
514840	214594	CPO Gregg, In Charge of Divin
514840	221177	Police Capt. Bill Street
514840	221178	Captain Sam Street
514840	223810	Ike Clanton
514840	224725	Police Captain Sam Street
514840	228825	Steve Roberts (undercover Nav
514840	232256	Ran Farrell
514840	232837	
514840	233620	Harry Belding,Handyman
514840	234029	Pete Hanagan
514840	235215	Tom Fowler
514840	239391	Bull McCready
514840	239676	Marshal Luckner
514840	244371	Bill White
514840	244428	Jon Carter
514840	247372	Shore Patrolman
514840	248315	Captain
514840	248447	Larry Doyle
514840	252480	Cop at Accident
514840	254262	Detective Hogan
514840	254499	Police Captain Street
514840	258296	Tap Lawrence
514840	270652	Officer Pat O'Hara
514840	274263	'Silent' Slade
514840	274423	Bob Shelton
514840	278589	U.S. Deputy Marshal
514840	278656	Maj. Grey
514840	279373	Inspector Craven
514840	279435	Don Hughes
514840	280056	David Strong
514840	280288	
514840	280448	FBI Agent
514840	283338	Gentry
514840	288740	Rims Rosson
514840	288935	Wade Proctor
514840	289610	Robert 'Bob' Lawrence
514840	291743	Rocky Lowe
514840	292172	Geoffrey West
514840	292570	Roderick Gridley
514840	292889	Jim Manning
514840	299163	Waiter
514840	299165	Rocky Stone
514840	300103	Bicycle Built for Two number
514840	301687	Bob Ross
514840	302888	Angel Harrigan
514840	304305	Casey Cameron
514840	304352	Chet Morley
514840	306446	Harry Miller
514840	306796	Ronald Dawson
514840	307407	Capt. Clive Branch
514840	308923	Sterling
514840	311559	Gregory Camwell
514840	314004	Whitey
514840	315531	Mitchell
514840	318927	Buck Ramsey
514840	320811	Garry
514840	323206	Milt Howe
514840	327156	Red
514840	327972	Mordecai Milligan
514840	328822	Brule Conway
514840	331469	Jack
514840	331552	Oscar
514840	332796	Bruce
514840	333077	Hero
514840	333385	Jim Crane
514840	335228	Mr. Kelly
514840	335729	Bill Clark
514840	336736	Coach Andrews
514840	339664	Monty Manson
514840	339928	Sgt. Derek
514840	340378	Bert Nelson
514840	340386	Norman James
514840	343316	Fog Harris
514840	348541	Jack La Velle
514840	348972	Ben Bowman
514840	348977	Bancroft
514840	350034	Fred (a Ranger)
514840	350220	Father Gilchrist
514840	358445	Capt. Wilde Youngeur
514840	360045	Tod
514840	363741	Reporter
514840	364029	Sheriff
514840	367571	Chapman
514840	367577	Al Dunlap
514840	369359	Joe Sublette
514840	371072	Express Agent Lucas
514840	372857	Train Detective
514840	384741	[Ep.6]
514841	143627	Bongo drummer
514841	234894	Sandy
514842	353425	
514843	10329	Mac Deford
514843	30658	Capt. Drysdale
514843	81168	Billy Compton
514843	143248	Tom
514843	152291	Parker Severson
514843	308039	Jensen
514843	309923	L.J.
514843	316113	Gary
514843	392177	Tobe Harker
514843	394251	Peter Colcourt
514843	404282	Doctor (1984-1985)
514844	242083	Philippe's Bodyguard
514845	131232	Extra
514846	303292	Felton
514847	109167	Himself
514848	213035	Maurice Keys
514849	22596	Distraught Man
514849	58778	Dr. Pritzker
514849	293150	Brad Yates
514849	383385	Tyler McCandless #2 (1985-198
514849	404282	Joe Perkins #1 (1984)
514850	87578	Masked hood
514851	39524	Nate
514851	126104	Trucker
514851	334313	Percy
514851	365760	
514852	19980	Satchel Paige
514852	38515	Sid
514852	44005	Mr. Jackson
514852	49441	Rev. Morris
514852	51203	Card Player #1
514852	71319	(segment "The First Commandme
514852	82339	Mel
514852	92453	Zoo Bear #2
514852	107632	Bill
514852	109662	Arch
514852	114642	Wild Rudy
514852	120093	Mr. Jones
514852	120095	Mr. Jones
514852	144816	Wes Thomas
514852	147844	Mr. Jones
514852	151122	Mr. Strickland
514852	154959	Reverend
514852	166073	M.C. at Cinderella Club
514852	176453	Pimp
514852	176875	Evan Rood
514852	183387	Scrap Iron
514852	192100	Street Vendor
514852	212027	Clarence James Carter III
514852	222761	Drunk #1
514852	231099	Mr. Jones
514852	272647	Heavy
514852	277850	Roscoe
514852	309535	Blind Man
514852	312062	Detective
514852	319020	Fredic Dickson
514852	323989	Dukie
514852	350192	Silas Green
514852	403346	Himself (1977)
514852	408666	Himself/Various Characters (1
514852	408690	Spoon (2003-)
514852	410674	John "Pops" Williams
514852	410683	Dad
514853	190702	Tarmac Supervisor
514854	30364	
514854	34198	Duke de Touche
514854	37818	
514854	45914	
514854	46123	
514854	50871	
514854	57113	Schly, a Detective
514854	80370	Steve
514854	90200	Don Fernando
514854	104383	
514854	107588	Lieutenant Schnide
514854	109848	Flunkey
514854	145018	
514854	194902	
514854	216478	
514854	220944	Montgomery Fox, aka Foxy Mont
514854	244744	Colin
514854	245594	Jake, Ed's Rival
514854	251500	
514854	281855	
514854	285341	Mr. Duke
514854	299507	Chester
514854	319256	Count Kottschkoiff
514855	106255	Waiter
514856	35518	
514857	39989	
514857	269368	Fred 'Speedy' Norton
514857	276004	Charlie
514857	316027	Fr. Xavier Delaney
514857	385105	Brendan Jones (1981-1986)
514857	386622	Bob Grant
514857	388328	
514857	388978	Mike Lancaster (1988)
514857	403843	Bazza
514857	411187	Abel Moore
514858	75644	Blue Crow (murdered Indian) [
514858	75645	Blue Crow (murdered Indian)
514859	20434	Larry Lupik
514859	35523	Willie
514859	50866	Lt. Tyler
514859	71474	Ed Popke
514859	94616	Wes
514859	147767	Shorty
514859	163362	Frank
514859	183698	Eddie
514859	226966	Andy
514859	232379	Keelor
514859	245537	Tim Shepard
514859	250744	Pink
514859	251867	Terry
514859	283248	Biff Wilcox
514859	386438	Roy Beauboff
514859	406793	Young Red Kelly
514860	184859	Circus Clown #4
514861	251706	
514862	95051	
514862	231618	Francesco Romanelli
514862	252039	
514862	373653	Reporter
514862	375649	Captain
514863	101427	Italian Delegate
514864	61784	Woodcutter
514864	68011	Porpentine Proprieter
514864	109498	Stewart
514864	183876	Professor Dandridge
514864	195343	Sushkin
514864	207838	Dr. Diablo
514864	228354	Census Taker
514864	267350	Eric Weiss
514864	289185	Dr. Zorn
514864	295312	Mr. Mosgorovsky
514864	300180	Caesar
514864	313484	Morgan Katarn
514864	313487	Morgan Katarn
514864	318865	Taurgis
514864	384179	
514864	384180	
514864	387403	The Imperial Master (Emperor 
514864	408170	Doctor
514865	375863	Record Voice
514866	321082	Skateboarder
514867	66027	Waiter
514868	50869	
514869	107842	Muscovich (murder victim in b
514870	83657	Lonnie
514871	367864	Officer
514872	18439	Koko
514873	75964	
514874	140389	Agitatoren
514875	333120	Person of the Night
514877	82093	Crazy Man
514878	410548	Himself - of Ohio University
514879	276212	Mark
514880	158909	Little boy
514881	56893	Noah Hendricks
514881	79094	Lt. George 'Youngblood' Carso
514881	88761	Ike Clanton
514881	140961	Steve
514881	329952	Bill Shorter
514881	357954	Ben Lewis
514881	360271	Johnnie Mack
514881	400049	Frank Ward
514881	408791	Buck Coulter (1963-1964)
514882	112631	Settler/Indian/Trooper
514882	282584	Himself
514882	311025	Policeman
514882	354222	Cossack
514882	365199	Gen. Curtis E. LeMay
514883	10816	
514883	17609	
514883	97925	Buyck
514883	125257	Boekhandelaar
514883	157588	Agent
514883	168781	portier faculteit
514883	190386	Dayporter (Kees)
514883	211686	
514883	241210	Getuige
514883	242438	Swart
514883	256492	Pipo
514883	314862	Portier
514883	352677	Taxichauffeur
514883	360785	
514883	379639	
514883	382752	Inspecteur de Koning
514883	382864	Notaris Jonkergouw
514883	383786	Schimmel
514883	388949	Simon de Marskramer
514883	390242	Albert van den Broek (1991)
514883	401517	Pipo
514883	401810	Beng Beng/Uiltje
514883	402545	Agent Drak
514883	402546	Agent Drak
514883	404425	Arie Balk
514884	9213	Himself
514884	390242	Himself
514885	11865	Claus Bartholdy
514885	44055	
514885	45976	Jailer
514885	168742	
514885	261480	Dr. Lothar Holten
514885	276096	Georg Brentano
514885	278138	Swiss Maitre d'
514885	325485	Stipe
514885	325660	Marjan
514885	325861	Max Münger
514886	325541	
514887	338284	
514888	160560	Businessman
514889	176525	Colonist/British soldier
514890	223226	Dumas
514891	27149	One-man band
514892	1709	Himself (Arizona Diamondbacks
514893	223848	Armpit Boy
514894	309158	Carny Cop
514895	239034	Mover No. 2
514896	257747	Soccer Player
514897	201439	Himself
514898	126691	Horseman Voice/TV Narrator
514899	267503	Atticis
514900	325389	
514900	325624	Haffner
514901	121208	Mr. Warren Hatcher
514901	232099	
514901	389478	Warren Hatcher
514902	149307	Older Couple
514903	46742	William Hanover/Mr.Boogedy
514903	81192	Charley
514903	131567	Dr. Greenfield
514903	176987	Mr. Larson
514903	194229	Sid
514903	220857	William Hanover/Mr. Boogedy
514903	277106	Police Chief
514903	286477	Cy Martin
514903	367444	Edward Broadas
514903	373780	
514903	385824	Lt. Joe Burke (1980)
514903	410488	Walter Matthews
514904	189807	Boy in Dream
514905	411014	Curry House Drunk
514906	159562	
514906	338940	
514907	147914	Chad
514908	344203	Little Weasel
514909	92742	Vincent
514910	140953	Secret Service agent
514911	923	Himself (sits on grass with a
514911	47758	Himself (onlooker, with open 
514911	167324	Himself (in Zapruder film)
514911	337129	Himself (sits on grass with a
514912	134785	
514913	45129	Doorman
514913	101055	Russian NCO
514913	310897	
514914	305521	Himself - Retired blacksmith
514915	63065	No-Name
514915	96763	Snodgrass
514916	96731	
514917	100987	Uli
514917	125710	
514917	204490	Doug
514917	364894	Horst
514917	381580	
514918	302121	Commune member
514919	10909	Flipper
514920	165716	
514921	322985	Gernot
514922	207992	Spoon Boy
514922	308174	Frankie
514922	387787	Oliver Twist
514922	391869	Toni (2001)
514923	176525	Thomas Jefferson
514924	221096	TV Reporter
514925	14108	Martial Artist
514925	14109	Ninja
514925	176256	Prison Trustee
514925	328284	Fighter
514927	119144	
514927	153736	Hänsel
514927	358543	Franz Sternitzke
514928	259615	Zivilfahnder
514928	312636	
514928	396874	Hannes Voss (1993-)
514929	94308	Buchhändler
514929	98067	
514929	98309	
514929	102291	
514929	125336	
514929	134817	Bauer Groß
514929	138602	
514929	144095	
514929	157843	
514929	175780	
514929	178619	
514929	182781	Forstmeister
514929	182895	
514929	184590	Stolzingen
514929	204518	
514929	210479	
514929	225631	
514929	226289	
514929	253964	
514929	254669	Jakob
514929	289956	
514929	290634	
514929	293866	Förster
514929	302679	Anton, Kellner
514929	311078	Bartholomäus Feldhofer
514929	322527	Vogelhuber
514929	322528	
514929	335392	
514929	351939	
514929	361093	Josef Filser
514929	376577	
514930	336106	Father
514931	89813	Ambulance Driver
514932	366600	Albuquerque Officer #1
514933	322000	Tymkiewicz
514934	15027	
514934	15116	Copain
514934	27910	François
514934	40561	Touzelier
514934	119383	Connard de Juvisy 1
514934	123559	Transformés
514934	166350	Jean Massieu
514934	197306	
514934	204339	
514934	211824	Poitiers' Inquisitor
514934	217224	Le planton
514934	218309	L'enfant
514934	284257	Un officier municipal (segmen
514934	301403	
514934	306119	Patard
514934	341546	L'enfant
514934	349481	
514934	379240	Roger Manin
514934	386476	Pippo (segment "Rumeurs")
514934	392582	
514934	394379	Bernard
514934	395492	Le témoin
514934	396845	Thomas
514934	398786	Julien
514935	316191	Young Ted Bundy
514936	299393	Bearded man
514937	185219	Himself
514938	226181	
514940	230603	Arg
514941	194438	Traffic policeman
514941	225115	Poet
514942	325330	Himself (headmaster of sectio
514944	125319	
514944	205579	Der erste Soldat
514944	235286	
514944	254430	Amtsdiener/Clerk
514944	277751	Don Alvaro
514945	79029	
514946	387228	Himself - Meteorologist (1999
514947	120039	
514947	189749	Arno
514947	210055	Harald
514947	225261	
514947	225268	
514947	259676	Sven Seidel
514947	317610	
514948	7204	Advocaat
514948	34273	Begeleider
514948	175241	
514948	217061	David
514948	338962	Arbeidsbureauman
514948	378092	Max
514948	389827	Jos van Hall
514948	392563	Jeroen
514949	280717	Reporter #1
514950	382235	Himself
514950	394438	
514950	403046	Himself (2001)
514950	406172	(2000-)
514951	375230	Journalist
514952	399175	Thorsten
514953	9920	
514953	119253	
514953	134794	
514953	136902	
514953	153109	Kellner im Hotelsaal
514953	153728	
514953	155458	Fritz
514953	156495	
514953	180955	Barman
514953	186934	Verkäufer
514953	290170	
514953	312876	
514953	325854	
514953	325897	
514953	338808	Von hartmann
514953	343492	Hotelportier
514953	358531	
514953	366554	
514953	380199	
514954	259128	Musician
514955	289902	
514955	344772	
514956	16967	Drogist
514957	171288	Himself
514957	365439	
514958	252972	Himself
514959	387444	Himself (theoretical physicis
514960	65577	Detective Chinaski
514961	65577	Dead Parent
514962	27111	The Hunk
514962	40904	Steve/Little Steve
514962	237604	Ron Goldman
514963	142271	
514963	388798	Sebastian
514964	103293	Jeff Colt
514965	510	Sora
514965	516	Sora
514965	517	Sora
514965	20460	Additional Voices
514965	48925	Assorted Vampires
514965	54891	Kerberos (big)
514965	56629	Leon Belmont
514965	72237	Lee Sampson
514965	82043	Additional Voices
514965	84909	Dante
514965	86285	John McClane
514965	86286	John McClane, Nitric
514965	123054	Ash
514965	135897	Ryo
514965	156103	Adol Christen
514965	159752	Takumi
514965	176631	Jiro/Kikaider (voice: English
514965	182040	Kanato
514965	209357	Additional Voices
514965	211943	Glitch
514965	265064	Additional Voices
514965	265065	
514965	265066	
514965	298993	Seele
514965	298994	Additional Voices
514965	310150	Bar Patron, Communications Of
514965	313338	Cliff Fittir
514965	346274	
514965	369335	Shinichiro Hata
514965	369525	Allen Ridgeley
514965	378651	Sora
514965	378652	Hotau's Grunty, Hayato
514965	378718	Rokuta
514965	379484	Kaoru Hanabishi
514965	379485	Kaoru Hanabishi
514965	380605	Sheriff
514965	382767	Mokoto Alo/Takashi Tanzen
514965	383019	Additional Voices
514965	384133	Peep Show Manager, Additional
514965	385060	Root, Communication Enigneer,
514965	386345	Henry Wong (2001-2002)/Additi
514965	389791	Train Passenger, Yuji Mitsuok
514965	389870	Jean Gadot
514965	390730	Business Man, Punk, Tomoko's 
514965	391257	Ian Naluse, Reseacher, Guardm
514965	392829	Takumi "Tak" Fujiwara
514965	392831	Takumi
514965	393552	Jiro/Kikaider
514965	394252	Raccoon, Tanokura Driver
514965	394711	Saito
514965	395167	Mullin Shetland
514965	396484	Kiyomi Kawahara, Fish Shop Ow
514965	400268	Kei Kusanagi
514965	402899	Georgo, Mr. Sun, Casino Guard
514965	403959	Ratboy Jirokichi IV, Addition
514965	404122	Black Ghost Thug with Umbrell
514965	404572	Asuka Tachibara
514965	404576	Guneagle
514965	406138	James "Speed" Racer
514965	409831	Tarak Soldier (Season 2)
514965	411289	Michael Lee
514965	411343	
514965	411563	Subaru Sumeragi, Scientist, B
514966	191625	Trainer
514967	282161	Oberarzt
514968	186773	
514969	221021	Cat Swimming School instructo
514970	33451	
514970	33492	Teacher
514970	93416	Gernot
514970	225303	
514970	293696	
514970	314559	Chefarzt
514970	325639	Dr. Lobentag
514970	325827	Gerrit Engelbrecht
514970	338959	
514970	377355	Henning
514970	379372	Senator Ullrich Jansen
514970	390701	
514970	403779	Max
514970	404431	Kaltenbach
514970	404792	
514970	408386	
514971	273315	Himself
514971	273483	Himself
514971	394221	Himself
514971	407815	Himself
514971	409700	Himself (The Castaways)
514972	303783	Himself - Partner, Deloitte &
514973	47630	
514973	47666	
514973	47686	
514973	47700	
514973	47720	
514973	63096	
514973	70294	
514973	152600	
514973	294365	
514973	305052	
514973	305969	
514973	305973	
514973	305974	
514973	309040	
514973	323607	
514973	327273	
514973	362913	
514974	143576	Ramrod Steiner
514974	204584	Ned (Creighton Hall boy)
514975	57428	
514976	233990	Andreas LaFont
514977	204584	Moody
514978	411420	Himself
514979	94887	Herbert
514979	108164	Polizist
514979	129696	
514979	142244	Secundus
514979	149975	Russian submarine soldier
514979	169657	
514979	175288	Telefonverkäufer
514979	208203	Reporter
514979	314072	Fromms Bewacher
514979	325384	Pfleger
514979	359600	Bene
514979	379122	Küchenhilfe
514979	379840	Hannes Velbert (2001)
514979	380141	Harald, Hagens Neffe (2002)
514979	381694	Peter
514979	399472	Blumenbote (2002)
514979	401142	Kuds
514980	79259	Robobuddy #3
514980	219776	Derrick
514981	270896	B-Boy at the Elephant
514982	334551	
514983	94285	
514983	122530	Koopman
514983	132275	
514983	157700	
514983	229482	Boppe
514983	231711	Nachtbewaker
514983	327030	Ceremoniemeester
514983	350311	Vader Anna
514983	376257	
514983	381717	
514983	389126	Piet Zeeburg
514983	390242	Jan Henk Gerritse (1992)
514983	410441	Trip Wittebol (1994-1995)
514984	48163	
514984	184665	
514984	254664	Christiaan
514984	290074	Sygerdsma jr.
514984	344244	Rob
514984	350311	Sef
514984	378719	
514984	389126	Ot van Zeventer
514984	392674	
514985	277091	Dean Ulich
514986	238871	Rekwisiteur
514987	16528	
514988	208278	Verhuizer
514989	264471	German drunk
514990	311518	
514991	357167	Allen
514992	81162	Harry Philips
514993	321280	Auctioneer #1
514994	347455	
514995	130933	Brocke
514995	352526	
514996	6173	Aagaard
514996	28529	Mejeribestyreren
514996	48133	Peter Brandt
514996	71643	Sven
514996	109298	Vennen Niels
514996	129359	
514996	142221	Godsejer Hans-Henrik Thann
514996	146991	Lægen
514996	153987	Horne
514996	182271	Klaus Nielsen
514996	184566	Greve Hans Thomas Heinrich Fo
514996	228396	Kaptajnen
514996	242102	Flugtleder/Escapeleader
514996	245592	Erik
514996	252000	Skolelærer/School teacher
514996	300990	Læge John Sørensen
514996	303655	Aristofanes
514996	304518	Agent I
514996	305308	Agent I
514996	307775	Præst
514996	311233	Modstandsmand Jørgen
514996	326982	
514996	327053	Hr. Rust
514996	333556	Kapellan Graae
514996	338696	Pastor Martin Brandt
514996	346966	Adjunkt Brandt
514996	394007	Tom Frederiksen, direktør
514996	405717	Politiassistent Hermansen
514997	51823	Cadet bugler
514997	187073	Looter #2
514998	281652	
514999	390827	Super Steve
514999	390828	Super Steve
515000	40499	Herbert Truczinski
515000	102553	
515000	156758	Joerg Bensch
515000	164892	Kerstins Vater
515000	169023	Jonny
515000	180918	
515000	284110	
515001	12350	
515001	46700	
515001	59755	Parker
515001	91229	
515001	107782	
515001	135863	
515001	149152	
515001	171144	
515001	172374	German General
515001	239800	
515001	252125	
515001	303535	
515001	308439	W.L. 'Old Man' Brown
515001	311207	
515001	343003	Concho
515002	38	
515002	49296	
515002	290070	Bosch
515002	396175	Le Tsar
515003	137616	Anders
515003	176664	Jon
515004	31390	Peter
515004	172691	Patrick
515004	325880	Nikolaus Kutil
515004	352182	Frank
515004	376306	Tobias Wagner
515004	412099	Tobias Wagner
515005	242731	Vince Oli
515006	30967	Josh, Shreck Image Consultant
515006	56871	Manager
515006	79478	Secret Service #1
515006	114955	Frank
515006	147252	Eliot Cookson
515006	366576	Wirehead
515006	390114	
515006	391740	Burt
515006	409791	Burt (1987)
515007	197148	Hauptmann Kuhn
515007	225210	Maria´s lover
515007	388756	Klaus Mewes
515007	390703	Erich Wollnitz
515008	195300	Guitarist
515009	289899	
515010	49611	
515011	29686	Cook Boy
515011	274427	Wedding Party in Philadelphia
515012	276424	Man in Bar
515013	197148	Hans Werner
515014	153911	P O Enqvist, High-Jumper
515015	280663	Home Band: Drummer
515016	33179	Featured Character Voice
515016	66349	Newsreel Narrator
515016	82401	Soap Announcer
515016	92736	Narrator
515016	267604	Man on the street
515017	114886	Play-by-Play Announcer
515017	391733	Play-by-Play Announcer (1979-
515018	211439	Carl
515018	235422	5th Robbery Victim
515018	273979	Lou Banducci
515019	304237	Ashtray Man
515020	176332	John Kandal
515020	205658	Ricky
515021	362285	
515022	92263	Bartender
515023	42184	Roth
515023	174217	Fritzl
515023	178074	Assistent Officer Wortmann
515023	218972	Günther Roth
515023	288377	Guenther Roth
515023	290741	Günther Roth
515023	310898	
515023	322563	
515023	325556	Ciric
515023	325869	
515023	347581	Günther Roth
515023	400353	
515024	11770	Lutz Kern
515024	179784	
515024	261146	
515024	308259	Heinz
515025	203402	5. Mototeutonian at the barbe
515026	471	
515026	32390	Der Bischof von York
515026	102564	Barger sen.
515026	156616	Der Alte
515026	204428	
515026	226264	
515026	278159	
515026	290765	
515027	363560	Locker Room Towel Guy
515028	37761	
515029	290871	Hotelier
515030	361704	1.Polizist (Villa)
515031	320076	Jeffrey
515032	11822	Don Quichotte
515032	182752	Schildknappe
515032	188755	
515033	123445	Soldiers #15, Scientists #4
515033	206618	Operator C, Ryoko Squad B, Ne
515034	403442	'Bernie' Stemmer
515034	407324	Various roles (1996)
515035	196902	Male cat burglar
515036	153142	VIP on boat
515037	306599	Kid In Woods
515038	352385	
515038	392788	Schorsch Binder
515039	103135	Singer
515039	127638	
515039	189770	
515039	189818	
515039	189868	The vocalist
515039	314893	
515040	14438	Himself - Musician
515041	143556	Charley Guest
515042	400617	Himself
515043	49603	Helmut Goebbels
515044	246697	Peter Flynn
515045	209957	Jakob
515046	176732	Karateka
515047	137294	The man in the easy chair
515048	187563	Karlsson
515049	33730	Biker
515050	366075	
515051	290640	
515052	26373	Jonathan
515052	77463	William
515052	190101	Johnny Ashley
515052	190103	David Phillips
515052	207277	Prince Jamil
515052	234033	George
515052	271154	Jim
515052	278254	Heffer
515052	280180	Joey
515052	402799	Jim
515052	411185	Ginger
515053	554	Computer
515053	11030	Slade
515053	54485	Entenza
515053	75526	Police Inspector
515053	120290	TV Announcer
515053	138378	Dr. David Galloway
515053	142349	Martens
515053	168615	Peter Bohler
515053	195731	Harry Pepperfield
515053	217520	Bryan
515053	264996	British Officer
515053	307102	Guy
515053	307738	Peter Wayne
515053	331716	Manning (segment "The Surgeon
515053	350913	Gaskill
515053	386258	Det. Sgt. West
515054	266314	
515055	290107	1. Junge/Boy #1
515056	133875	Himself
515057	398558	First Mate Moe Zaleski
515058	164369	Bunny
515059	115878	Ballet master
515059	181843	Pierrot
515060	112598	
515061	327345	Himself
515062	265653	
515063	20260	Officer Castelli
515064	394536	Himself
515065	270701	José
515066	143674	Peter
515066	241159	Tod
515067	69769	Lawyer
515067	134568	Neil Simonton
515067	135738	Pet Shop Dictator
515067	136842	Voice of Bank Teller
515067	157696	Gil
515067	269296	Swishy Man
515067	345798	
515068	47915	Student
515069	239152	Zottels Rocker Kumpel Easy
515070	321978	Nachtwächter
515071	27598	Himself - Participant
515071	403530	Himself - Participant
515071	403531	Himself - Participant
515071	403536	Himself - Participant (2003)
515072	34989	Participant (2001)
515072	381889	Himself - in Italy
515072	381913	Participant (5th out) (2001)
515073	386347	Himself (episode 1.4 "1945-19
515074	27600	Himself
515074	313093	Himself
515074	323792	Himself
515074	386186	Various roles
515074	390087	Various roles
515074	390088	John/Cerutti Føhler/Saddam Hu
515074	399789	Himself - Host
515074	411314	Himself - Host
515075	327340	Himself - Host on radio progr
515076	26156	Lorens Loewenhielm
515076	404212	Ehrensvärd
515076	409853	Svensson
515077	131537	Vietnamese Student
515078	8839	Amonasro
515078	25787	Amonasro
515078	42957	Marcel
515078	104740	Swedish entry (10th place)
515078	198254	Dr Falke
515078	210330	Himself
515078	246877	Silvio
515078	278312	Rigoletto/Monterone
515078	336370	Scarpia
515078	336371	Scarpia
515078	336373	Scarpia
515079	54465	Verkäufer
515080	213964	Waving Cop
515081	230881	Himself
515082	10594	Counter Man
515082	118719	Man
515082	214961	Reporter
515082	234471	Man
515083	77152	Young John Ross 'J.R. Ewing
515083	82327	
515083	196706	Tonto
515083	200170	Tansy
515083	200171	Tansy
515083	288905	Fred
515084	162906	David
515084	194806	Charlie Burnett
515084	194867	Edward Jarvis
515084	223893	Tom Jr., as a boy
515084	321611	Fred Robinson
515084	338895	Neely Nolan
515084	358076	Noah Collins
515084	363313	Michael
515084	402552	Stephen Kleno, age 10
515084	405702	Brian Smith
515085	100839	Scott's buddy
515086	215251	Hans
515087	364376	Test Taker No. 1
515088	263057	Mr. Maitland
515089	254697	Himself
515090	194082	Hawks member
515091	290860	
515092	287783	Whizzo the Clown
515093	22637	
515093	44738	Rocker
515093	100342	Vet
515093	139441	
515093	351424	
515093	378789	Himself/Co-Host
515093	379423	Guy-Patrick Lambert
515093	384298	Host
515093	390477	Pierre, le client qui veut re
515093	399813	Himself (also Centre de Visio
515094	51112	Bruno
515094	51251	
515095	402720	Mathieu
515096	320094	Motorcycle Group
515097	103366	Wake Attendee
515099	96369	
515099	103433	
515100	171991	Cadet
515101	667	Julius Herz
515101	1372	Count von Jagow
515101	140208	Entlassungsbeamter
515101	204636	Rudolf Berg, Oberkellner
515101	207586	
515101	322510	
515102	241180	
515102	311255	
515103	383276	Bob
515104	373938	
515105	31100	Jean Jacques
515105	241536	Ahot
515106	59278	Himself
515106	98022	
515106	109004	Cyp
515106	398897	Konrad Bartczak
515107	107768	
515107	352658	Fritz Austerlitz
515108	136720	Alberich
515108	193426	Friedrich
515108	249340	Klingsor
515108	277460	Alberich
515108	301091	Alberich
515109	34262	Philip
515109	101055	Soldier
515109	109501	Nikas Kollege
515109	155489	Nachbar
515109	155526	Merc Driver
515109	226304	Stefan
515109	233827	Stefan Hein
515109	267407	Felix
515109	317491	Hauptmann Axel von dem Bussch
515109	325482	Lars Kante
515109	352355	Oliver
515109	403269	Oberfeldwebel Torsten Biedens
515109	405500	Bernd Horsten
515111	271354	Yale
515111	314252	Marshall Marmillion
515111	380713	Linc Lafferty #1 (1990-1992)
515111	400236	Jack Gibson (1989-1990)
515111	404002	Ben Shelby (1987-1989)
515111	405963	Trent Malloy
515111	410545	Trent Malloy (1998-1999)
515112	51286	Chris
515113	84264	Holiday-Maker
515114	1102	Ramon
515114	26241	Boris Tomasow
515114	86379	Marek
515114	102527	Pitbull Rado
515114	113429	
515114	118798	
515114	138272	
515114	156654	
515114	171726	Blaovic
515114	173700	
515114	176649	Milo, Tigers father
515114	184524	
515114	226343	Anwalt
515114	227550	Basewitz
515114	242767	Torben
515114	259453	
515114	259579	
515114	259686	
515114	307556	Leschov
515114	312162	
515114	313022	Pjotr
515114	316531	Bruno Pakleppa
515114	322104	Sonia's Brother #1
515114	325523	Magnus
515114	325719	Hashimi
515114	334506	
515114	338472	Anatoly Belzin
515114	341111	Loskow
515114	343673	
515114	356909	
515114	376288	Janosch
515114	391078	
515114	397622	Priest
515115	181124	Man in Toilet
515116	156573	
515117	75931	Lieutenant
515118	185809	
515119	343979	
515120	225306	Die Alten
515121	17305	Maniek
515121	79650	
515121	261459	Cocher
515122	360836	Robert
515123	88594	Young Witold Zalewski
515123	284347	
515123	376176	Soldier
515123	404216	Lukasz Dunin
515124	249885	
515124	305559	
515124	375023	Lt. Ryszard Krzywicki 'Szymon
515125	15916	Ludwig
515125	49308	Tom Gerstl
515125	91016	Rocco
515125	116707	
515125	120046	
515125	128086	Mike
515125	132239	Mark
515125	164607	
515125	171726	Murat Alpay
515125	171727	Murat Alpay
515125	178016	Dominik Schwarz
515125	225168	Sebastian
515125	225239	
515125	290481	Jack
515125	307657	Henri
515125	307680	Alf
515125	312887	De Winter
515125	361336	Peter
515125	408718	Various Characters
515126	53	Bodyguard
515126	167390	
515127	371633	
515128	262565	Omar
515129	379423	
515130	296778	Man in Bar
515131	54465	Tankwart
515132	93159	Foreman
515133	100715	
515134	99235	Kardinal
515134	272828	
515134	366264	Captain Bruce
515134	378205	Jenkins
515135	392561	Host (1975-1982)
515135	405755	
515136	191811	
515136	204141	Mayor
515136	315281	The Farmer
515136	385465	Flanagan
515137	57537	
515137	66213	
515137	99799	Volmand
515137	103229	Auguste
515137	128964	Lawyer Yan
515137	133070	Le comte Pahlen
515137	158832	Un espion
515137	170107	Lenormand
515137	191560	Bohr
515137	197385	Liansko
515137	213791	Camellieri
515137	219518	
515137	341502	Commissaire Kramer
515137	379422	
515137	386084	Adrien Letort
515137	387615	François
515137	401982	Marquis de Coulteray
515137	405529	Le disquaire
515137	410213	Pierre
515138	35145	Young Man
515138	52532	Store Clerk
515139	238252	Christopher Watkins
515140	42202	Polis 3
515141	411330	Narrator
515142	312924	Jeffrey Reimers
515143	33451	
515143	314876	Alexander
515144	270587	Eddie
515145	3206	Blue
515145	117528	Sal
515145	185678	
515145	207095	Blue
515145	214515	Raolo Basutti
515145	230422	
515145	308041	Wally Olynyk
515146	118606	
515147	372160	YDKJ Backstage Crew & Commeri
515148	135324	Kreis
515148	139360	M. Stoliaroff
515149	244099	Kon
515150	81062	Dutch Villager
515151	274263	Young Boy
515152	80779	Boardroom Executive
515152	252982	Fred
515153	99885	Mireille's father
515154	30786	Boy on Bridge
515155	115300	Carl the Bartender
515156	108778	Smuin Ballet/SF Dancer
515157	127129	Concerned Onlooker
515158	62918	
515159	81196	US padre
515160	129362	
515161	215426	Versierder
515162	163492	First Cop
515162	310589	Studio Executive
515163	232129	
515164	360150	Zombie Killer
515165	93526	Tysk soldat
515165	156654	
515165	264340	
515166	156654	
515166	264340	
515167	125226	Meier Bankdirektor
515167	127670	Hauptmann/Captain
515167	208098	Dr. med Ernst Laduner
515167	246951	Konsul Rainer
515167	290013	
515167	321834	
515168	170677	
515168	231506	
515168	365786	
515169	17435	
515169	43339	(narrator)
515169	98297	
515169	410392	Narrator
515170	236968	The Sugarplum Fairy's Cavalie
515171	190952	Rusty
515171	372134	Delivery Man
515172	274012	Pete Smith
515173	923	Himself (civil rights adviser
515174	39279	aka Brother Parris Johnson
515175	222807	Squirrel
515175	224353	
515176	692	Himself
515176	24244	Himself - Presenter
515176	24248	Himself - Presenter
515176	31179	Himself - Presenter
515176	34903	Himself
515176	42382	Himself - Contributor
515176	44441	Himself
515176	63989	Himself
515176	68112	Himself
515176	76508	Himself - Narrator
515176	80059	Himself (presenter)
515176	104773	Himself - Host
515176	123417	Himself (interviewing Garry K
515176	129448	Himself (presenter)
515176	131787	Himself
515176	133498	Himself - Host
515176	133499	Himself - Host
515176	154379	Himself
515176	163672	Himself
515176	175565	Himself - Presenter
515176	201943	Himself - Host
515176	252995	
515176	280030	The Floral Dance
515176	346940	Himself
515176	363011	Himself
515176	364227	Himself
515176	367209	Himself - Host
515176	380895	Himself - Presenter
515176	380896	Himself - Presenter
515176	382204	Himself - Presenter (1977-198
515176	384084	Himself - Presenter
515176	384660	Himself - Presenter (1974-197
515176	387959	Himself - Co-Presenter (1998)
515176	396186	Himself
515176	399045	Himself - Presenter
515176	401722	Himself - Presenter (1999-)
515176	407493	Himself
515176	407877	Himself - Host (2003-2004)
515176	407882	Himself - Presenter
515176	410919	Himself
515176	411331	Himself
515176	411332	Himself
515176	411333	Himself - Presenter
515177	12837	Niki
515177	259679	Fritz
515177	393255	Gabriel Manfras
515178	120804	Dave
515179	229162	
515179	338053	Herburger
515180	75771	Ricks
515181	92339	
515181	98037	
515181	186927	
515181	189729	
515181	204634	
515181	225172	
515181	280794	
515181	316556	
515181	322517	
515181	334497	
515182	26177	Jakub
515182	58282	Bajgl
515182	88141	First-Lieutenant Mrkvicka
515182	151875	Pernica
515182	187374	
515182	221867	
515182	221869	Ríha
515182	223313	Driver Kroupa
515182	223526	Lieutenant Klas
515182	255900	Ryska
515182	266453	Vorác's brother
515182	301895	
515182	357683	Policeman
515182	384085	Fedaykin Commander
515183	162538	Roger
515184	9378	
515184	375067	Clerk
515185	97325	Julio Dinero
515185	388101	Julio Dinero (2000); Julio Fa
515186	11317	
515186	20434	Prosecutor
515186	32626	Stanley Dickler
515186	46670	Eugene Prevost
515186	55587	Doctor
515186	70359	Alvin Diamond
515186	71495	Dr. Smet
515186	74199	Nagel
515186	76216	Mr. Nesbitt
515186	80056	
515186	81160	
515186	88965	Dr. Turnway's Assistant
515186	132217	Professor
515186	143849	Loudon
515186	150351	Gerou
515186	158106	Judge Dunham
515186	162887	Engleman
515186	168246	Max Gordon
515186	190690	Dr. Roger Hartwood
515186	204786	
515186	238081	Ira Handel
515186	263265	Morrie Dickerman
515186	273544	Dr. Schneider
515186	277088	Dean Ulich
515186	278264	Andy Breton
515186	280421	
515186	289109	T.E. Sanders, War Department 
515186	297951	Harvey Parnell
515186	309039	English Teacher
515186	321632	Attorney Caldwell
515186	328301	Phil
515186	328458	Meat Handler
515186	340320	Dr. Honigman
515186	341885	TV producer
515186	359290	Dr. Gordon
515186	382835	Sid Elgart
515186	385884	Phil Jacobs
515186	391485	Principal Wartz/Jerry Berman
515186	400206	Edward Kybo
515187	268542	Policeman
515188	34621	
515188	34704	Himself
515189	248486	Skipper
515190	308440	Grady
515191	321206	Dick Merezini
515192	34621	
515192	34704	Himself
515193	162134	Mahir
515193	359072	Benjamin
515194	34621	
515194	34704	
515195	5028	Friend of Danny & Bernie
515196	390599	Himself
515197	16607	Guest
515197	264468	Delegado
515198	158563	Teenager
515199	210039	
515200	1709	Himself (New York Yankees Pit
515201	78267	Himself (performing 'Snow Bri
515202	111960	Jaquino
515205	52058	Stefan Grabowski
515205	204503	Georg
515206	16406	Teacher (german release)
515206	76912	Theo
515206	129682	Rudi
515206	189443	Mitarbeiter Ingo
515206	218969	
515206	225124	
515206	259498	
515206	259501	
515206	259596	Schulz
515206	259605	
515206	298599	
515206	310892	Kohlmeyer
515206	312099	
515206	313665	Bonrath
515206	322622	
515206	325636	BSR-Driver
515206	325818	
515207	100715	
515208	249585	Himself
515209	216119	
515210	153717	
515211	223261	
515212	110883	Felix Grosser
515212	350861	
515212	352573	Frank Debalt
515213	152453	Photographer
515214	115689	
515215	99641	
515215	103039	Celebrating laplander
515215	147015	Heikka
515215	153715	Sprätt-Jerker
515215	164248	Captain
515215	172523	Lord of the manor
515215	174478	
515215	209912	
515215	214835	Carl Johan Granberg
515215	222903	
515215	223512	
515215	226811	Andersson
515215	253720	2. poliisi
515215	259881	Kerjäläinen
515215	282516	Jalmari Arpola
515215	323247	Secretary
515215	324756	
515215	341561	Eetu's friend
515215	351454	Mendicant Friar
515215	351947	
515216	66557	Coach
515216	176801	
515216	193915	Whitney Connerly
515216	207498	Brad
515216	232424	Beach Cop
515216	260663	Ted's Partner
515216	260679	Ted's Partner
515216	263747	Veteran cop
515216	268903	
515216	337379	Malone
515217	403561	Yelling Audience Member (2001
515218	240443	Speedway Spectator
515219	93291	Christmas Man
515220	8248	
515220	107541	Un mameluck
515220	153810	
515220	286048	
515220	322354	Bareck
515221	5980	
515221	9663	
515221	13451	Arban
515221	14420	
515221	40427	Journalist
515221	56108	Padre Kovacs
515221	60142	Asesor Americano
515221	66393	Pugg
515221	69703	
515221	74789	Macaw
515221	81348	Gargit
515221	81349	Pirate
515221	87621	
515221	96303	Muller
515221	101921	Manuel
515221	103461	Abuelo
515221	105462	Opposition Politician
515221	115732	
515221	116596	
515221	146533	
515221	197158	Locutor Marcos Woinsky
515221	197436	
515221	203475	Abba Eban
515221	227015	Big Thug
515221	234310	Gordo del auto
515221	235022	Serpicus
515221	249387	Encargado del estacionamiento
515221	252757	
515221	253779	Doctor Grunewald
515221	257529	Sound & Fury Manager
515221	257566	
515221	280743	Afinador
515221	301148	
515221	302379	
515221	306693	
515221	315573	
515221	319512	
515221	324483	Man Opening Door
515221	328922	Mr. Ottenhouse
515221	332583	
515221	378496	
515221	380578	
515221	384119	(1996)
515221	387573	
515221	397589	Otto
515222	302145	Controller
515222	389242	Un agent
515223	7519	
515226	352573	Oliver Rattey
515227	166643	Wedding Player
515227	263234	Federal Agent
515228	245477	Hustler
515229	258664	Hitchhiker
515229	322393	Insurgent
515229	340029	Kapo Otto
515229	374064	
515229	406644	Film director
515230	335064	Alleycat
515231	195771	Person in the Colony Room Clu
515232	147008	Joddlande dames make
515233	51039	Himself
515234	201326	Umpire
515235	380642	Himself (Guest Panalist) (200
515236	234249	
515237	207885	
515237	243883	Höze's Secretary
515237	262508	
515237	280586	Jakielski
515238	30497	Franek
515238	305561	Kazimierz Kumaniecki
515239	185621	Lyalin
515240	343557	
515240	355513	
515241	43036	
515241	258631	
515241	261629	
515241	262197	Janicki
515242	62426	
515243	111679	Wojtek Rudy
515244	179200	
515244	265652	
515245	119581	Wombat #1
515246	191625	Doctor
515247	358358	Cliff
515248	50076	The Husband
515248	204168	George Murphy
515248	295363	
515248	296980	Construction Worker
515248	324238	Curtis
515249	231743	Mountaineer #2
515249	258791	Kinga's Boyfriend
515249	359585	Ticket Controller
515249	363302	
515250	368408	Herself - Judge (Poland)
515252	375439	
515253	255610	
515254	8869	Himself
515254	204179	
515254	316508	Fan
515254	372190	Dad
515255	74595	
515255	262375	
515256	216592	Lt. Pisarzewski
515256	279815	
515257	331799	Announcer/Radar Officer
515258	321427	
515259	93981	Announcer #1
515259	108001	Donald
515259	152947	Intern
515259	177021	
515259	307579	Party Drunk
515259	359505	
515259	389628	Lifeline
515259	393698	Additional Voices
515259	404282	Reporter
515260	114039	Man in Restaurant
515260	139005	Russian Strongman
515260	311037	Man in street
515261	305516	
515262	166670	Duke Balmain
515262	324315	Jastrzab
515263	75966	
515264	46946	
515264	244099	
515265	30091	
515265	36586	
515265	43036	Bartender
515265	75964	Siekierka
515265	89847	
515265	95725	Kepa
515265	146540	
515265	174026	Ens. Wisniewski
515265	237443	
515266	349452	
515267	220758	Commentator
515267	243301	Bohdan Michorowoski
515268	340950	Lonely clown
515269	129606	Robert
515270	330528	Himself
515271	231539	Man
515272	91510	Cameraman
515272	181360	Man Choosing Wine in the Supe
515273	95945	Old Man
515273	258631	Jordan's Land Steward
515274	288044	Fotograf
515275	104649	
515275	121456	Taxi Driver
515275	172416	Magdalenas far
515275	174880	Jeweller
515275	180059	
515275	215410	
515275	257159	Le fonctionnaire 2
515275	270037	Augur
515275	361369	
515275	374469	Maciej Mietus (bricklayer #2)
515275	385479	
515275	406644	
515276	369373	Korkowski
515277	4799	Egon
515278	84570	1.Polski
515278	375498	Pietrek
515278	395667	Jaruszlav Winicki
515279	187948	
515280	286813	Abimelech
515281	367048	James Randolph Emerson Sr.
515282	189602	Songkart
515282	280513	Lully's child
515282	290190	Paul
515282	338440	Nitti
515282	361043	Sascha
515283	245993	Archie
515284	49830	Extra
515285	181360	
515285	357963	
515286	247347	Skoluba
515286	343338	
515286	369373	Winter
515287	34670	Lawyer
515287	59350	Party Guest
515287	62676	Coroner
515287	65022	Hotel Clerk
515287	79529	Kevin
515287	143051	Don
515287	182955	Forensic Chief
515287	207681	Husband #1
515287	229428	Morewitz
515287	279841	Prisoner
515287	289007	Zachariah
515287	331603	D/C
515287	332467	Jules Benard
515287	345611	David
515287	362355	Kalcheim
515287	363483	Stanley
515288	133343	Orderly
515289	68412	Le photographe
515290	374008	Peter I., Zar von Rußland
515291	107802	Greville
515292	103326	The Resistance Force
515293	17073	SWAT Commander (new movie)
515294	137035	Skully
515294	231090	'Cheese' Artiste at Bar
515295	32626	Smythe
515296	110258	
515297	353522	German
515298	334385	Sandra Lee
515299	4904	Ralph's Father, a Banker
515299	11402	
515299	34590	
515299	34591	
515299	34592	
515299	49943	
515299	75310	
515299	82790	
515299	95093	Pietro
515299	106495	Robert Duncan
515299	109329	
515299	109652	
515299	196276	
515299	268835	
515299	303080	
515299	303834	
515299	310999	
515299	365902	
515299	365903	
515299	365904	
515299	365905	
515300	127295	Press Reporter
515300	134077	Prison Guard
515300	250514	Gynecologist
515301	147694	Seder Guest
515302	224200	Himself
515303	221773	Extra
515303	269553	Math Teacher
515303	368876	Extra
515304	169963	Forensics Expert
515305	167644	Kelly Nolan
515306	93150	Lindy
515306	112476	Fighter Jimmy Higgins
515306	366419	Shoeshine Boy
515307	6533	Himself
515308	113482	Nick
515308	221638	Sheriff Able
515308	232275	
515309	262584	
515310	122597	Rabbi
515311	142351	Thug in Car #1
515312	34316	German
515312	96926	Neighbor
515312	286179	Herod's Council Member
515313	226929	Student
515314	142403	Additional Cast
515315	381341	Gert
515316	41368	Mickey's Trainer #2
515317	56048	Martin Johnson
515317	351549	Le chauffeur de la camionnett
515318	255610	
515319	313643	René Vareno-Tenor
515320	48763	Budbringeren
515321	23972	Himself
515321	23974	Himself
515321	32007	Fouchet
515321	161067	Chris
515321	161198	Himself
515321	175459	Sebastian
515321	334451	Cpl. Bruckner
515321	395133	Erik Hunter (1966-1967)
515322	134802	Officer der Luftwaffe
515324	29556	Person in Eliel's class
515325	189851	Himself
515325	220603	Himself
515325	264683	
515326	171359	
515327	370643	M. L. LeBell
515328	248598	Himself
515329	80057	Peter
515329	175684	
515330	214467	Wratka First A.D.
515331	189851	Himself
515332	296353	Himself
515333	238111	
515334	81644	
515335	205581	
515335	322524	Doctor
515335	338168	Dr. Born
515336	364855	
515337	309158	
515337	365533	Himself
515338	400811	Himself (episodes 1-16, 21-26
515340	141338	Passequa
515341	26799	Professor N. Icely - German v
515341	47760	
515341	94674	Surgeon
515341	182897	
515341	210104	
515341	218969	
515341	259621	
515341	264330	Leonhard
515341	290261	Andreas
515341	334547	Mirbach
515341	373346	Robert
515341	389955	Harry
515341	404427	Carl von Clausewitz
515341	409609	Herr Dillinger (1991)
515342	43618	Himself
515342	367083	Supporting Cast
515343	92181	Jim Morrison
515344	168326	Back-up Band
515345	69047	Caretaker
515346	147974	Hutterite Man
515347	161489	Police Officer
515348	13432	Mascot 'Bip' (segment "Titan 
515348	30463	Doc
515348	42087	Brett
515348	173940	
515348	259219	Gym Officer
515348	264818	Strong Guy
515348	265599	Tom
515348	324422	State Trooper
515348	328809	Vin
515348	390825	Chris Wolf
515348	407369	Officer, Biker, Thug 3, Guy, 
515349	23806	Un voyageur
515350	145541	Eric
515351	29184	
515351	39766	
515351	39767	
515351	39768	
515351	45741	
515351	128814	
515351	261289	
515352	56822	
515353	276814	Himself
515354	54817	
515354	81649	Prof. Wolf
515354	254999	Patrick
515354	325851	Daniel Seefeld
515356	40809	Himself
515356	40810	Himself
515357	94616	Ray Kellog
515358	341912	Pippifax
515359	33947	
515359	34869	Pool Guy
515359	41866	
515359	269341	
515359	338348	
515359	340897	
515360	161270	
515360	207280	Sedgewick
515360	342237	Himself
515360	409121	Himself
515362	379787	
515363	309158	
515363	365533	Himself
515365	225237	Felix
515365	379772	
515366	153617	Tall man
515367	45289	Lyle
515368	231616	
515369	386972	Himself
515370	16442	
515370	169315	Le lieutenant Dietrich
515370	235827	Arno
515370	346650	Le commandant SS
515371	42118	Klausi Wieser
515372	395620	Le second douanier (segment "
515373	7127	Fred Red
515374	39886	Ronald Forte
515374	87480	Homeless Guy
515374	168238	Freddy the Producer
515374	192100	Basketball Court Patron
515374	288711	Himself
515374	404337	Various (1995-1996)
515375	141061	Narrator
515376	362397	Himself
515377	383470	
515378	81296	Gio
515378	113989	Gecko
515378	128893	Joey
515378	136270	Scotty G.
515378	210700	Rudy
515378	233829	Neil
515378	245761	Snake
515378	298425	
515378	327307	John Foley
515378	362581	Eddie
515379	27424	
515379	164819	
515381	44561	Prisoner
515381	73504	Carrot Eater
515381	80563	Mailman
515381	194137	Bell Captain
515381	292019	Bartender
515381	343294	Philosophical Weirdo
515382	309158	
515382	365533	Himself
515383	48410	Brüderchen
515384	4793	Stippel
515384	24093	
515384	32655	
515384	50146	
515384	95265	
515384	107347	Soviet War Prisoner Represent
515384	125067	Feldwebel Eßberger
515384	134814	
515384	174104	Weisner
515384	180156	
515384	181062	
515384	218082	
515384	259496	Hans
515384	259516	Helmut Wolf
515384	259571	Möller
515384	259594	
515384	259614	
515384	259623	Fritz Winterfeld
515384	259673	
515384	259683	Oswald
515384	259690	
515384	285001	Graf Christopher August van W
515384	290043	
515384	336521	Geschke
515384	367408	Arthur
515384	374140	
515384	379086	Werner Bork (part IV)
515384	380392	Rudolph Krings
515385	189608	Olaf
515386	179442	Stone
515386	187552	Werther
515386	209918	First leather jacket
515386	283936	Briefträger
515386	284420	
515387	35352	
515387	99867	Police/Young man
515387	274911	
515388	80850	
515389	201844	Himself
515389	355388	Himself
515390	355190	
515391	217486	Security Guard
515392	25763	
515392	186125	Jackson
515392	322563	
515392	356562	Junger Mann in der Disco
515393	82669	Wolf
515393	102736	Athlete #3 (episode "Judy and
515394	7954	
515395	161732	
515396	231794	Ferrando
515397	57929	ABA Student
515398	191625	Wally's Stat Guy
515399	27312	Hapless Worker
515400	97388	Himself (Charlotte Hornets)
515401	61899	
515402	5332	Jamie Randall
515402	261075	Byron
515403	284125	
515404	118	Himself
515404	137686	Himself
515405	82095	Waiter
515406	179084	Himself aka Mutter Wolf
515407	3301	
515408	92486	Dr. Lew Hoo
515408	133214	Dr. Hardy
515409	49380	
515409	66611	
515410	87988	
515411	66054	Schäfer
515411	66066	Schäfer
515411	101961	Klaus
515411	120046	
515411	120158	
515411	255446	Police man no. 1
515411	259603	
515411	259634	
515411	323659	
515412	6300	Mann im Hörsaal
515413	80654	Pineapple
515413	133417	French Padre
515413	168645	Recruiter Larry
515414	26208	
515414	58435	
515414	233787	President James A. Garfield
515414	261740	Mexican Hairless
515414	267932	Mr. Borman Six
515414	277091	Judge
515414	277092	Motel Manager
515414	321309	
515414	329346	Bald Man
515415	44595	Dr. Hillstedt
515416	244208	
515417	390771	Brent Lawrence A.K.A. Marian 
515418	104514	Eugen's Colleague
515419	35052	Thin business man
515419	93458	Schnittenmengele
515419	119706	Schrotthändler
515419	204766	Meisje
515419	229169	
515419	240070	
515419	259548	Ghandi
515419	259677	
515419	312162	
515419	360953	
515420	112919	Freddy Carmen
515421	204475	Himself
515421	206224	Himself
515421	235951	Himself
515421	384590	Himself (Stasi, head, Foreign
515422	181138	Himself
515423	69049	Sibulsky
515424	248531	Matt
515424	291903	Kids from Bear Valley
515425	60745	Sherriff
515426	77650	German Lieutenant
515426	265620	Barman
515427	23476	Lt. Kramer
515427	46857	Field Marshal Model's aide
515427	71659	Caretaker
515427	147381	Gen. Kessler
515427	238991	German Officer
515427	265875	Van Muller
515427	274310	German
515427	333042	
515427	353522	Lang
515427	391090	German Border Guard
515427	399459	Herman Goering
515427	410582	Reichsmarshall Hermann Goerin
515428	234206	Johnny Slang
515429	134967	Markus Rombach
515429	247293	Peter
515429	389119	Markus Rombach (1989-)
515429	396874	Spider (1992-1993)/Michael (1
515429	411269	
515430	70217	Himself
515431	75761	Lumley
515432	10836	Alien #2
515433	77701	Man with Hood
515433	96424	Dr. Adam Engdahl
515433	163496	Managers assistant
515433	203972	
515433	318509	SWAT Team Member
515434	268826	Simon jeune
515435	241918	bewaker
515436	404627	Gustav
515437	89330	Additional Cast
515437	164649	Johan Falkby
515437	390950	Marco
515438	277894	Member, Tennessee Ramblers
515438	319076	Musician/Worker
515438	371794	Tennessee Rambler
515440	380328	
515440	383561	
515441	404446	
515442	26422	Himself
515442	161940	
515442	168559	Himself
515443	80890	Deafula/Steve Adams
515443	263798	Trucker
515443	330457	Paul
515444	224281	Homicide Detective
515445	257354	
515446	64228	Ludovic
515446	255591	Brigaut
515446	322349	Alain
515446	401053	Antoine (1981)
515447	55937	Guide 3
515449	2692	
515449	8229	
515450	122473	
515451	145482	Nick Cave and The Bad Seeds
515451	279395	
515452	230658	Dean
515453	382508	Himself
515454	2779	Himself
515454	11280	Choir
515454	57680	Himself
515454	91684	Billy Lee
515454	100034	Emmett Young
515454	104999	Bruce
515454	129768	Adam
515454	166671	
515454	183550	Scamp (speaking)
515454	194521	Himself
515454	196131	Kenny
515454	255231	Will
515454	287767	Hardy
515454	326753	Clyde
515454	361224	Actor #1
515454	364025	Charles 'Chuck' Gieg/Narrator
515454	387989	Dr. Jake Hanson (2004-)
515454	400921	Bailey Salinger
515455	59664	Man Firing Machine Gun
515457	337130	Thad
515458	39439	Assistant Schroeder 1
515458	225282	Roman Jablonksy
515458	258878	Israeli Doctor
515458	331602	Pimp Benno
515459	25712	
515459	55136	
515459	104039	Narrator
515459	144254	
515459	214562	
515459	232660	
515459	303020	
515459	305556	
515459	329166	
515459	367443	
515459	375116	Guard
515459	397881	Yosef Rosner
515460	144132	
515461	335891	Fangs, the Dog
515462	220092	Getzel Boxer
515463	247094	Main character
515464	294524	Medic
515464	368881	Steve
515465	119351	
515466	48396	
515466	177182	Polizist Huber
515466	259457	
515466	259631	Pizza Delivery Man
515466	285006	
515466	290169	Schmidt
515466	325798	Nachtportier
515466	376412	
515467	210040	First Friend
515467	340603	Himself (bank officer)
515468	195945	Piano man
515469	388166	Mike Kusterer
515470	18953	Israeli Soldier
515471	151479	Oswaldo
515472	14109	Ninja
515473	151616	Himself
515473	280284	Commentator #2 in Las Vegas
515473	388139	New York Sportscaster (1976-1
515473	392662	Sports Announcer
515474	187632	Murph
515474	208397	
515474	378614	Boomlange man
515475	311916	Museumsdirektor
515476	293961	Tuxedo Fitter
515477	257354	
515478	356058	
515479	7637	Jake
515479	232494	
515479	238251	Bruno
515480	170227	Himself
515480	170228	Himself
515481	67774	Purple Dino
515482	189292	Himself
515483	183877	Valet Parking Attendant
515484	65108	Comedian
515484	269036	Gushie
515484	326399	
515484	406358	Himself
515485	70217	Himself
515486	139611	Usher
515487	2135	Lee
515487	24980	Indian Brave
515487	72697	
515487	77728	Sioux #2/Warrior #2
515487	159422	
515487	214933	Many Horses
515487	289603	Moskeegee
515487	308397	Bloody Knife
515487	312266	Mooshawset
515487	378891	
515488	307374	Brittish Officer
515490	27116	
515490	107082	
515490	273555	Asshole in quad
515491	95529	Deuce, Peter
515492	16899	Twin
515492	125591	Timmy
515493	22824	Bass Player
515494	307948	Clerk #3
515495	283678	Musashino (English version)
515495	375765	Radium
515495	389570	Soldier
515495	396019	Scientist's Voice, Rando Henc
515495	404138	Additional Voices
515495	404840	Youzen
515495	410739	Pluie
515496	20087	Stock Holder
515496	20288	Townsman
515496	26610	Mr. Wolfe
515496	36827	Barfly
515496	40463	Barfly
515496	44247	Spectator
515496	44338	Townsman
515496	60733	Townsman
515496	60936	Barfly
515496	67410	Townsman
515496	67524	Rancher
515496	83916	
515496	111941	Townsman
515496	116523	Zoot Suit man
515496	118053	Barfly
515496	122967	Gaunt Barfly
515496	125854	Juror
515496	134070	'Froghead', Man in Store
515496	141009	Toothless Barfly
515496	153129	Townsman
515496	166992	Townsman
515496	170313	Extra Watching Fight
515496	177444	Parade Spectator
515496	185324	Townsman
515496	186347	Townsman
515496	187089	Barfly
515496	193709	Cowhand
515496	193998	
515496	194831	Piano Player
515496	203279	Tennessee man
515496	213475	
515496	215637	Henry
515496	215750	
515496	221336	
515496	223018	Extra at Police Station
515496	224100	Barfly in trance
515496	230344	Aspiring Actor
515496	230632	
515496	234803	Blind man
515496	249526	Townsman
515496	256637	Townsman
515496	260101	Barfly
515496	260419	Egmont
515496	266710	Extra on Dance Floor
515496	270469	Racetrack Rube
515496	271290	Townsman
515496	279299	Townsman
515496	287746	Barfly
515496	287748	Townsman
515496	297870	Priest
515496	306571	Stable Attendant
515496	307846	Barfly
515496	318607	Toothless man at revival meet
515496	319193	Barfly
515496	326405	Townsman (uncredited)
515496	331356	Farmer Driving to Oregon
515496	335906	Barfly
515496	346196	Townsman
515496	350456	Townsman
515496	360235	Audience at saloon
515496	365480	Townsman
515496	372116	Ticket buyer/Brentwood, World
515496	372491	Townsman
515497	238550	Bill
515500	45837	
515501	6995	Moody
515501	10561	Driver
515501	40033	Guard #1 on cargo plane [Ch. 
515501	40113	Gomez
515501	47434	Man saying '...or a Blasted L
515501	48276	Guard in machine shop
515501	53975	Officer Clark
515501	54478	Sailor
515501	72285	Henchman Pete Elkins
515501	73408	Apartment thug [Chs. 11-12]
515501	73500	Holdup man with Walt at manho
515501	75866	Thug Guarding Chambers/Thug i
515501	78190	Zeke (hotel/mine thug)
515501	78693	Dognapper-Driver [Ch. 3]
515501	79351	Warehouse thug [Ch. 2]
515501	84195	Radio Patrolman
515501	84442	Mac
515501	101277	Fireman finding body
515501	107701	Police Driver/Yacht Crew Memb
515501	109222	Finley's Henchman
515501	110412	Chemical company thug [Ch. 4]
515501	112527	Militiaman at festival
515501	114845	Barfly
515501	115065	Martian soldier
515501	121586	Jiggers
515501	122634	Foy (motorcycle thug) [Ch. 1]
515501	122635	Consolidated Warehouse Thug [
515501	140096	Cave thug #1[Ch. 7]
515501	145076	Officer at Hospital
515501	146011	Seaman
515501	147609	Al
515501	154906	Bartender
515501	160470	Convict with Rifle
515501	161926	Harding, a thug [Ch.8]
515501	165175	Jalopy driver
515501	166839	Lieutenant's Driver
515501	166994	Riverboat Engineer-thug [Chs.
515501	169817	Blandy
515501	170756	Blacksmith Heavy
515501	176846	Brawler
515501	177449	Crooked pilot [Ch. 8]
515501	177497	Motorcycle Rider [Ch. 9]
515501	177507	Derrick heavy
515501	184484	Drake
515501	186321	Northern rabble-rouser in Bar
515501	190546	Jim Pritchard
515501	193678	Posseman #4 [Ch. 7]
515501	194831	Chase Guard
515501	203479	Officer Blair
515501	207415	Abandoned Loft Room Thug [Chs
515501	224581	Sailor at Cable [Ch. 3]
515501	226873	Lt. Fitzpatrick
515501	228660	Croupier
515501	252426	Detective with note pad
515501	253119	Tuareg leader [Chs. 8-9]
515501	263593	Ruth's date
515501	264485	Bersonin (conspirator)
515501	270114	Zeke (hotel thug)
515501	270502	Detective with Johnson at the
515501	270534	Oil Company Office Thug [Ch. 
515501	273083	Corsican
515501	281841	Mountie
515501	289568	Bartender
515501	295282	Leader of third barn raising 
515501	301948	Henchman in Ballard's office
515501	304646	Henchman Harding
515501	307821	Hangar Security Officer
515501	308353	
515501	308411	Henchman Haskell [Chs. 3-4]/S
515501	312160	Second Warehouse Cop [Ch. 6]
515501	312161	Craig/Second Warehouse Cop/Ch
515501	319612	Man
515501	324895	Bus Driver
515501	330240	Truck Driver
515501	332809	Blacksmith Heavy #1 [Chs. 1, 
515501	359298	Rescuing Civil Defense Worker
515502	314504	Sheriff
515503	195665	Lawrence Lasalle
515504	139745	Harvard Radio Broadcaster
515504	326242	Thug #5
515505	307468	Lottery Winner
515505	312785	Charles
515507	367083	Supporting Cast
515508	294835	The elderly assassin
515510	158091	Special Forces Major
515511	112371	Bobby
515512	396355	The Naturist
515513	2666	Da Costa
515513	19167	David Goodman
515513	27618	Mahmud
515513	63994	Swanson
515513	78140	Matthew Dawson
515513	114926	Tony Polacheck
515513	135413	Martin Androvitch
515513	151041	Prosecutor
515513	154083	Speaker
515513	162390	James Black
515513	173531	Tate
515513	206110	Landlord
515513	264502	Sam Clark
515513	278210	Handler
515513	286253	Barton
515513	289555	Level Louie
515513	300909	Smitty
515513	304552	Dr. Ross
515513	305845	Lorca
515513	321692	Gershon
515513	346240	Stanley Weinburg
515513	358273	Sam Eichenbogen
515513	363440	Sid Kramer, Scalise Hood
515514	196600	Alarm Serviceman #2
515515	257229	Uncle Bob
515516	37216	Harry Mason
515516	78869	Jerry, party guest
515516	113410	Brightwell
515516	116975	Grocer's Assistant
515516	135618	
515516	170723	Ziggy
515516	191628	Peter Carton
515516	323760	Brightwell (segment "Final Tw
515516	360551	Benjie Dacre
515516	368644	Cpl. Mark Trelawney
515516	408064	Himself - Host (1976)
515517	307468	Parlorman
515518	150088	Lance, Branson's Gardener
515519	70741	Janitor
515520	164547	Pilot
515521	11552	John Henry (Jay's father)
515522	88926	Time Lord
515522	222682	Avery
515522	228685	Doctor
515523	2143	Circus Giant
515524	41348	Pitbull #1
515524	97322	Pit Bull I
515524	97324	Pitbull #1
515524	97326	Pitbull #1
515524	97328	Pitbull #1
515524	97333	Pitbull #1
515524	97336	Pitbull #1
515524	97340	Pitbull #1
515524	97341	Pitbull #1
515524	273770	Pitbull #1
515525	383893	Himself
515526	2816	Nominee for Best Musical Dire
515526	47386	
515526	67430	Party guest
515526	98750	Himself
515526	124110	Restaurant Manager
515526	158493	Himself
515526	165329	Himself
515526	225774	Himself
515526	248182	Himself
515526	301310	Himself
515526	382817	Himself
515527	73787	Sadducee
515528	92181	Promoter
515529	21369	Additional Voices
515529	25539	Kunimitsu
515529	31045	Rungo
515529	85874	Cop
515529	123107	Bauer
515529	127780	Teacher, Scientist
515529	176528	Isao Ota
515529	193381	Ghim
515529	232166	Hippie
515529	277456	Bauer
515529	293586	Chief Tatsutagawa
515529	373369	Genyusai
515529	394420	Hiromi Yamazaki
515529	397196	Maze (male)
515530	89055	Buddy Steinmetz
515530	130354	Tully
515530	346206	Wine Teacher
515531	580	Davidson
515531	3277	Waldo Daggett
515531	4730	
515531	5033	Mr. Pope
515531	6020	Mr. Bagley
515531	6814	Emerson
515531	11288	O'Hara
515531	11793	Mr. Poole
515531	16259	Court-martial board member
515531	16684	Health Officer
515531	19971	Pa Henderson
515531	20910	Le Marchand
515531	26146	Anjsel
515531	29078	Lord Mortimer
515531	30346	Harry Bevan
515531	32496	Sidney Long
515531	41037	Oliver
515531	41080	Judge
515531	41084	Police Judge
515531	43093	The Priest
515531	43374	
515531	44501	Critic
515531	46769	Councillor
515531	47029	Lord Mayor Herman Brandon R. 
515531	52251	President James K. Polk
515531	54531	Skeptical member of modern-da
515531	54567	Viceroy
515531	54636	Reverend Nash
515531	60251	Mr. D'Amato
515531	65717	Kent
515531	67417	Homer Wallace
515531	69483	Dr. Bellows
515531	69676	Prince Metternich
515531	70534	Mr. Henderson
515531	71250	Paymaster Commander
515531	71624	Ostrovski
515531	71994	President Calvin Coolidge
515531	72850	Prof. Brauer
515531	83836	Dr. Poulin
515531	84898	Pawnbroker
515531	84901	Elias Sanders
515531	84991	Father MacHugh
515531	85924	Lord Tremouille
515531	86002	Pierre, Cordier's Butler
515531	87707	Dr. E.G. Lutz
515531	90439	Aide
515531	93572	Commissioner of Scotland Yard
515531	95872	Dr. Klauber
515531	96644	Sir Charles Porter
515531	96672	Reading Clerk
515531	96762	Amos Totten
515531	99856	Dr. White
515531	100085	Leon, a Conspirator
515531	107688	Eustace L. Harley, the Undert
515531	107694	Thomas, the butler
515531	107701	J.D. Denison
515531	108430	Isaac Newton
515531	109418	Mr. Wilkes
515531	112508	Prefect Berton
515531	113920	Izquierdo
515531	115256	Librarian
515531	117557	Stiles
515531	118018	Justice of the Peace
515531	118232	Van Arkel
515531	120337	Father Joseph
515531	122788	Registrar
515531	123456	Dr. Edwards
515531	125862	Editor Dwight
515531	132323	Thomas, Hotel Clerk
515531	133509	Hutchins, London Production M
515531	133525	Tax collector
515531	143355	Caleb
515531	143429	Roger Franc
515531	143605	Uncle Adam
515531	147527	The Monsignor
515531	147973	Strawley
515531	148413	Mr. Loomis
515531	148585	Fritz (police lab technician)
515531	150723	Malue
515531	152221	Mayor
515531	154825	
515531	155902	Dr. Clement Avington
515531	157249	Sergeant Clerk
515531	158067	Butler
515531	161915	Jim Feeney, lawyer
515531	162377	Prof. Runnymead
515531	167925	Morley
515531	168265	Professor Lilliquist
515531	168646	Rector
515531	169906	Hector Brown
515531	170378	Hobson, the Butler
515531	170490	Caius Ligarius
515531	175118	
515531	177609	Fell
515531	183643	
515531	186638	Nicholas Cabot
515531	186828	Hudson (Leavenworth butler)
515531	191023	Cabinet Member
515531	194992	Burton White
515531	195539	Sanity Hearing Doctor
515531	195816	Vicar
515531	199192	Henry Orlac, Stephen's Stepfa
515531	199877	Dorset
515531	200500	Adams
515531	203002	Returning soldier seeking Fat
515531	205106	Deacon Black
515531	205724	Herbert, the Jailer
515531	207148	Signor Donner
515531	208719	Court Official
515531	209132	
515531	211589	Clerk
515531	213453	Swedish consul
515531	214961	Grave Digger
515531	215334	Judge
515531	218704	Joseph
515531	218757	Tewkesbury
515531	220849	Smith
515531	221146	Abner/Arnie
515531	221297	Dentist
515531	222660	Edwards, Butler
515531	223032	Doctor
515531	223399	Maggs (ship's clerk)
515531	223952	Minister
515531	224767	Herman Einreich
515531	228272	Minister
515531	230751	Bank Manager
515531	232408	Abbington's Butler
515531	234070	Watkins
515531	235695	Adam Wheelwright
515531	236129	Lloyd
515531	240457	Charles Wentworth
515531	240470	Sheriff Carrey
515531	241134	Reporter
515531	241525	Bishop Hardwick
515531	243752	Bunting
515531	248993	Thin Workman
515531	251492	Amos Hodder
515531	254283	President Webb
515531	257087	Dr. Wyeland
515531	257939	Edward Warrender
515531	259777	Mr. Neely
515531	263966	Proprietor of Thieves' Booth
515531	267589	Coroner
515531	272025	Registrar of Births
515531	272874	Col. Bertram Grant (Credits)/
515531	273633	Dr. Minton (lecturer at plane
515531	273786	Prof. Mellasagus
515531	274525	Mr. Partlow
515531	276671	Cemetery Caretaker
515531	280935	Tallyrand
515531	281163	Apothecary
515531	284916	Robert the Butler
515531	289400	Councilman Hurdwell
515531	289575	Drake, the Penrose Butler
515531	291993	Sears
515531	292306	Capt. Karl Larsen
515531	294150	Mr. Bleiffer
515531	295282	Rev. Elcott
515531	295293	Process server
515531	298594	Antique Store Clerk
515531	299072	Mr. Carew, a Banker
515531	301941	Theron
515531	301991	Kansas process server
515531	302469	Mr. Rojeck
515531	302669	Lawyer Sidney P. Melrose
515531	306803	Frederick Schmidt
515531	308065	Foster
515531	308370	Conrad Stadt
515531	308576	Minister of the Interior
515531	308674	Pleyel's clerk
515531	314231	
515531	316062	Frederick, Brandon's butler
515531	327256	Fritz (Arno's assistant)
515531	328264	Priest
515531	329533	L.B. Crandall
515531	330179	Mr. Hawkins, Wedding Chapel P
515531	330836	Dr. Straus
515531	331333	Martin, Nelson's 2nd Butler
515531	331645	Gillkie the Barrister
515531	332163	PTO
515531	335329	Norton (Hamilton's assistant)
515531	339394	Dr. Wriston
515531	340499	
515531	346866	Lawyer Black
515531	348366	Commandant Causeway
515531	352143	Jury Foreman
515531	358076	Rev. Hodgkins
515531	360479	Reggie
515531	360488	Judge Performing Wedding
515531	363758	Patient
515531	363793	Skipper of honeymoon vessel
515531	365284	Martin
515531	365926	Reporter
515531	366947	Charlie Gibbs (reporter)
515531	366987	Mr. Carter
515531	368033	Gruber
515531	372145	Kirby's Secretary
515531	372490	Stranger
515531	372811	Chairman
515531	375719	Prof. Hopkins
515531	411321	Wizard Traquil
515532	69053	Nicholas Clayton
515533	89055	Georgie
515533	394420	Isao Ota
515534	274663	Cadillac Driver
515535	62057	Trent Croninch
515535	299767	Himself
515536	280016	Additional Party Guests
515537	41410	Flash
515537	58876	Raymond Rockman
515537	178975	Skaar
515537	206483	Ino Templer
515537	215845	Wolfe Snider
515537	333394	Double Villain
515537	368063	Billy
515538	166940	Hamptons Party Guest
515539	108474	Dancer
515539	161754	Walter Bennet
515540	248486	Wesley
515541	100855	Ticket Seller
515541	123325	Moe
515541	135763	New York City policeman
515541	144226	Kaminsky
515541	219526	Reporter
515542	39157	Executive
515543	89055	Coach Clifford Butz
515544	254876	Man in Bar
515545	39534	Val
515545	186036	Det. Mike Collins
515546	84437	Tommy
515547	16899	Twin
515547	125591	Timmy
515547	165309	Lucas Rye
515548	83995	Sadie
515549	44707	Maitre D'
515549	67612	Customs Officer
515549	97017	
515549	117454	Human Chandelier/Miss Feldman
515549	150814	Funeral director
515549	161189	Detective Kendricks
515549	190690	Sidney (board member)
515549	220857	The Devil
515549	271890	Chief Brave Eagle
515549	305721	Bentley
515549	344151	Swami
515549	348320	Oscar Forbes
515550	206621	Dr. Kaplan
515551	97327	Wolfie D
515551	97329	Wolfie D
515551	399845	Slash
515551	402907	Wolfie D of The Nation of Dom
515551	410688	Wolfie D (2000)
515551	410689	Wolfie D (2000)
515551	410690	Wolfie D (1999-2000)
515551	410691	Wolfie D (2000)
515552	242758	Stephen Gouzenko
515556	283522	Uncle Chester
515557	319384	Ring Announcer
515558	340803	Brian
515558	346267	Second Cop
515559	25192	Cary Grant
515559	67052	Hotel Clerk
515559	220805	Bartender
515560	119822	Police Officer
515561	114648	King
515562	31696	Pve. Joseph Joshua Cliff
515563	212732	Ashley Landon
515565	77768	Voice of John Landis
515566	275107	Cashier #1
515567	273739	Griff Lowman
515568	270876	
515569	196370	McDonald's Clerk
515569	267503	Jack
515570	139786	Mr. Minninger
515570	144450	
515570	146749	Member of 'the gentle manicas
515570	154287	Jennings
515570	166072	Sammy
515570	312913	
515570	321513	Member of Gentle Maniacs
515571	139331	Russian Dog
515571	147886	
515571	168262	Bookie
515572	50249	Walter
515572	148244	Walter
515572	213047	The Wolfe Man
515572	358644	Drunk
515573	296750	Rowdy Guy
515574	133678	Young Kandinsky
515574	347454	Dr. Dennis Lancaster
515575	24430	Frozen celebrity
515575	24571	Warren Henley
515575	32709	Lars
515575	93790	Instructor
515575	188615	Marksman
515575	206823	Contractor
515575	208984	Stormtrooper #2
515575	251239	Elevator hood
515575	266586	Wrestler
515575	281145	Lycosian SWAT Commander
515575	294080	Greenfield
515575	299899	POW captain
515575	304080	Rex
515575	316286	The Dusty Man
515576	327150	
515577	80416	Art Patron #2
515578	66956	Young Man
515578	189672	Wolf
515579	66131	Flamboyant
515580	347063	Grocery Boy
515581	159164	Arab/Beloch's Army
515582	141412	Wedding Band Musician
515582	190798	Himself
515583	31395	Himself
515583	185237	Himself
515583	204834	Himself
515583	273351	Self
515583	273488	Himself
515583	310193	Himself
515583	322596	Himself
515583	363340	Himself
515584	368721	Joe
515585	30965	Trapeze Act
515586	307468	Parlorman
515587	281997	Supervisor
515588	309290	Himself (descendant of Wolfe)
515589	85874	Anthony
515590	294890	
515591	80529	Herbie
515591	158358	Soldier
515591	385020	Mark Casey (1989-1991)
515591	387533	Darren Pearce (2000) (6 episo
515591	402141	Cheeky Reporter
515591	408277	Jimmie
515592	288334	Sailor
515593	121062	
515593	140269	Uschi's punter
515593	301015	Rolf
515593	303937	
515593	361409	Oskar
515594	352419	Captain
515595	133594	Security Guard
515596	155715	
515596	293160	
515596	321616	Musical Performer
515596	365377	
515597	120025	
515598	5593	Kommissar Maiwald
515598	11817	Klaus Lohmann
515598	89574	
515598	101739	Zadeck
515598	110883	Bauleiter
515598	134986	Roberts Vater
515598	138509	Scherenschleifer
515598	145331	
515598	173697	
515598	174396	Ali
515598	200977	Georg Schleicher
515598	219237	Station Master
515598	252326	Philipp
515598	259494	
515598	277302	Young Sentry
515598	298599	König
515598	317657	Silberschneider
515598	379849	
515598	392669	Dr. Krumbiegel
515598	409609	Herr Schmalfuß (1992)
515599	131383	
515600	18544	Sharks Waterboy
515600	37311	Student
515601	1046	Timmy
515601	81133	Rufus Follet
515601	207440	Barney Baker
515602	380391	Another World announcer (1964
515602	380642	Disembodied Voice (2002-2004)
515602	392486	Himself
515603	73703	Baseball Announcer
515603	399314	Sports Anchor (1987-)
515604	166370	Aphrodite's father
515605	5133	Mischa Gomperz
515605	12518	Erbprinz Karl-Heinrich
515605	12897	Robert
515605	16245	Klaus Teichmann
515605	18536	Dr. Klaus Curtius
515605	24738	Voice of Martin
515605	26686	Oreste
515605	40390	Thomas Martens
515605	101956	Prof. Reinhard Lutz
515605	103129	Peter Lauterbach
515605	109557	Jeanmarie
515605	121061	Freddy
515605	126359	
515605	129725	
515605	134215	
515605	134967	Martin Rombach
515605	156998	
515605	173627	Dr. Mattes Jacobi
515605	180919	Stahmer
515605	183641	Charlie Mereston
515605	184336	Peter van Vries
515605	189439	Prof. Stephan
515605	210039	
515605	214682	Roger
515605	225286	
515605	226234	
515605	239125	Huibert
515605	239792	Winnetou
515605	272785	Dr. Leopold Neumeister
515605	277464	Wolf
515605	281720	Henry Payson
515605	289953	
515605	290069	Carl von Cleve-Boost
515605	290195	Freddy
515605	293624	
515605	314898	Michael Krüger
515605	338431	Holger Philipp
515605	347002	
515605	352073	Fabian Konig
515605	353076	Niklas Lauretz
515605	359645	
515605	360848	
515605	361451	Walter
515605	366263	Winnetou
515605	374549	Georg von Gizycki
515605	376037	Alexander Struck
515605	378205	Richard Forsythe
515605	387620	Rolf Hasler
515605	389119	Martin Rombach (1989-)
515605	392855	Jens
515605	394743	Scherf
515605	395062	
515605	397366	Verehrer
515605	399163	Ernst Braun
515605	401015	Erzähler
515605	404457	Andy Wilson
515605	409627	
515606	1826	Scarabaeus
515608	254645	Filko's Buddy
515609	368815	Himself
515610	67470	The Colossus
515610	153617	Midget
515610	161713	Mutant
515610	209585	Giant
515610	254452	The Robot
515610	254453	The Robot
515610	276759	Philippe as The Fly
515611	169054	Erasmus Montanus
515611	228141	
515611	324347	
515611	353168	
515612	377238	Le professeur de français
515613	13747	Vartan Damadian
515613	14367	
515613	14532	Captain Lynch
515613	14843	Vallauri
515613	23262	Proximates the Tyrant
515613	31000	Red Wiley
515613	31822	Alexander Ward
515613	33767	Hector
515613	51368	Brett McBain
515613	64046	
515613	70707	Ulianov
515613	74659	Trikie
515613	78307	Fausto
515613	82721	
515613	87044	Bill San Antonio
515613	89578	Paola's husband
515613	89668	Aguila
515613	97151	Quentin
515613	111155	
515613	133038	Sheriff Burnett
515613	169974	Eli
515613	204129	
515613	207939	Dentist
515613	212022	Betto
515613	213796	Police Commissioner
515613	219564	Dr. Robert Matthews
515613	219595	Dr. Lamberti
515613	234724	
515613	238006	Arthur Welt
515613	242832	Joe
515613	252649	Paul Lefèvre
515613	258531	Norton
515613	269006	Grr
515613	269007	Grrr
515613	269179	Salvatore
515613	286389	Gaspare Pisciotta
515613	294626	Osilo
515613	303389	Quartermaster Sergeant
515613	303911	Sgt. Potter
515613	308887	Buddy Ben
515613	327485	Manuel Tracy
515613	338359	
515613	338654	Edwin Kean
515613	353083	
515613	354471	Ramirez
515613	359766	Man
515613	361802	Narrator/Himself
515613	365148	Henchman
515614	26978	Reiger
515614	103237	Waiter
515614	103330	German Sailor
515614	324792	Leibdiener Zimperlich
515614	330148	First Waiter
515615	126352	Uncle
515616	367144	
515617	5644	
515617	10263	Hübner
515617	15280	Gerard
515617	16560	
515617	18284	
515617	18344	Oberwachtmeister
515617	18746	Shopkeeper
515617	24323	Rinaldo Rinaldini
515617	24332	Uhrmacher Droz
515617	24468	
515617	26241	
515617	31400	Richter
515617	32655	
515617	50146	Hoffmann, Angelikas Vater
515617	51123	Stadtrat Müller
515617	71837	
515617	82162	
515617	98649	
515617	99901	Conti/Maler
515617	101343	Klavierlehrer
515617	108155	Hannes Rechlin
515617	113052	
515617	119031	Pater Feßler
515617	126356	
515617	126375	A Stranger (segment "Phönix")
515617	129685	Fred Mantek
515617	140211	Krakauer
515617	149878	Kaspar
515617	157612	
515617	164823	
515617	167149	
515617	167153	Mosche
515617	177752	
515617	178233	Shunk Wilson
515617	189563	Opi
515617	197122	
515617	200977	Schuster
515617	208462	Benno Grieshübel
515617	225150	Zirkelleiter
515617	226399	Bochow
515617	243767	Jacques
515617	243956	Gouverneur
515617	259614	Herr Schenk
515617	259643	
515617	262811	Figueras
515617	264330	
515617	277318	
515617	290471	
515617	290614	
515617	290847	Sir Gluny
515617	303953	
515617	311067	
515617	317576	Willi Altmann
515617	324667	Oberleutnant Schneider
515617	325418	Uhrmacher
515617	325877	
515617	326593	
515617	333044	
515617	339798	Kommissar
515617	343677	Ben
515617	358212	
515617	359657	Herzog Orsino
515617	361126	
515617	361369	
515617	361417	Tember
515617	366587	
515617	367138	Komissar
515617	376120	Sprecher (off-screen)
515617	378547	Nenke
515617	381294	August Schaller
515617	389942	Baltschyk
515617	396970	
515617	400040	
515617	406269	
515618	317309	LA Restaurant with Meryl Stre
515619	389959	
515620	13429	
515621	17576	Actor
515622	302678	
515624	5930	Lindbaum
515624	55071	Le commandant von Ulbricht
515624	60032	Colonel Richting
515624	81604	Hartmann
515624	96235	Lucky's Father
515624	178361	Sekretär der englischen Deleg
515624	248685	Monsieur Dubourg, jeweller
515624	285506	Peter
515624	313543	
515624	377902	Minister of Foreign Affairs
515625	10263	
515625	107766	Johannes Nogens
515625	115994	Mann
515625	132253	Cpl. Sam
515625	312214	Handwerksbursche
515625	372315	Ed (security guard)
515625	382864	Wehrmacht officier
515625	386406	
515625	410839	Rudi Borchert
515626	259475	
515627	341103	
515628	72325	Pete
515628	296744	Al Finch Jr.
515629	72391	Party Man
515629	223226	Cardinal's Guard #1
515629	232511	Elson Garrett
515629	360251	The Repairman
515630	7435	Yves-Marie Hauterive
515630	78538	Herault de Seychelles
515630	133057	Le père de Louis-Arnault
515630	188696	Le médecin de l'hôpital
515630	205732	Joachim
515630	246291	Duc de Moncan
515630	345538	Hertz
515630	354476	Gorget
515630	389880	
515630	395124	
515630	399756	Gerald Stone Hill
515630	403253	
515630	407213	Walter Nasco
515631	63221	Rector
515631	98041	
515631	124925	Wilhelm Geye
515631	126369	
515631	134793	
515631	140209	
515631	174216	Peter Henck
515631	198424	
515631	216245	Mann mit Entwürfen
515631	225152	Schläfer
515631	252324	
515631	276324	Friedhofsgärtner
515631	290783	
515631	312881	
515631	336520	Mr. Jenkins
515631	343490	Polizeibeamter
515631	343499	
515631	352527	Singer
515631	354075	
515631	355252	
515631	376626	
515631	387736	Taxifahrer
515631	388297	Onkel Eduard
515631	389948	
515631	395010	Hans Meier
515631	399925	
515631	400273	Unteroffizier Pomuchelskopp
515631	403458	
515631	406488	
515632	239033	Billy's Band
515633	175348	Willem
515634	144359	Ober
515635	93733	Himself
515635	411420	Himself
515636	130685	David McBride
515636	182331	Clerk
515636	334308	Billy Lopatynski
515637	340552	Art Critic from the Modern Mu
515638	14008	River rafter
515639	101356	
515639	120946	
515639	293875	
515639	334550	
515640	200283	Bob
515640	332376	Engineer 2
515640	380665	Band Leader
515641	364910	
515642	35458	Himself
515643	117642	
515644	18544	Sharks Fan
515645	165165	
515646	365344	Ultramatic
515647	19258	Paul
515647	101956	Chris
515647	189439	Jan de Clerk
515647	281749	Tim
515647	343364	
515647	376037	Daniel Struck
515647	385276	Marco
515647	388798	Daniel
515647	394116	Andreas Beckmann
515648	313820	Male pilot cadet
515648	326410	John Dotson
515648	374574	Room service waiter
515648	405131	Ogo
515648	409616	Maximillano castillo
515649	310393	1st Deputy Sheriff
515650	278764	Narrator
515651	46162	Karl Pichler's Sohn
515651	125092	Thomas Brandt
515651	140208	Willy, Wormsers Sohn
515651	153726	Kurt Pyer
515651	155369	
515652	239588	Bandleader
515653	18870	Paul Andersson
515653	40315	Eberhardt
515653	132182	Karl-Johan Steen
515653	168921	Sorte Bill (Black Bill)
515653	168923	Himself/Sorte Bill
515653	171633	Count Romanoff
515653	190941	Frikk
515653	192821	Sminkör, "kött och ben"
515653	192927	Narrator
515653	245846	Johannes
515653	278374	Bruno
515653	303194	Vicar
515653	315563	Antonio
515653	320629	
515653	322299	Robert Friedman
515653	338711	Isak Målare
515653	346062	Narrator
515653	375867	Isaac Grünewald
515653	377320	Zac
515653	377321	Zac
515653	404039	Sigge's Advisor
515654	347241	Policeman
515655	223735	Paatje
515656	281719	
515656	325609	
515656	325781	TV-Reporter
515657	118592	Himself - Musician (guitarist
515658	439	
515658	14552	
515658	24362	(segment "Gewöhnliche Leute")
515658	45985	
515658	98649	
515658	102135	Rainer
515658	120791	Askold
515658	136606	
515658	142825	Hieronymus
515658	264330	
515658	279633	Rettich
515658	295495	
515658	312652	Homann
515658	347639	Wenzel Heiseke
515658	366587	
515658	376353	Uwe Tolls
515659	301559	Bobby
515660	63220	Himself
515661	340581	
515662	186913	
515663	80969	Doug Diamond
515664	49264	
515664	75781	Georg
515664	129325	Bader
515664	219337	Maximilian
515664	393878	
515665	18277	
515665	45129	Suspicious Cop
515665	62693	Frederic Chopin
515665	205508	
515665	210104	
515665	228158	
515665	229879	Schack
515665	289948	
515665	301609	Rex the Dog
515665	306511	Klugmann
515665	325791	
515665	364962	
515665	398202	Thomas
515666	156494	Giant
515667	147491	Bathroom sex addict
515668	141777	Uncle Nathan
515668	217993	Carpenter
515669	242903	
515670	75596	
515671	12626	
515671	86306	
515671	156677	
515671	361496	
515672	140250	Martin
515672	189563	Wolfgang
515672	399503	
515673	225136	Alfred
515674	185964	Couple waiting for table
515675	272537	Mitja
515675	288487	(3. Episode)
515676	330140	Running People
515677	399105	Host (1989-1991)
515678	288943	Town Person
515679	167128	Musician/Performer
515680	167128	Musician/Performer
515681	167128	Musician/Performer
515682	167128	Musician/Performer
515683	167128	Musician/Performer
515684	73675	Timo
515684	405209	Dr. Steven Isaac (1997-1998)
515685	244823	
515685	406988	Future Kid, others
515686	130677	Man in dance hall
515686	255827	Bit Part in Church Scene
515687	1390	Meyer Mishkin
515687	64070	The Chef
515687	81003	Uncle Wilbur
515687	143503	Lawyer
515687	144341	Bandmaster
515687	187271	Store proprietor
515687	188242	
515687	241789	Stanley
515687	252163	Store Owner
515687	306176	Frank
515687	317176	Mr. Becker
515687	327093	Father Stuart Diller
515687	379225	Officer Jubal Hammond
515687	379716	Edmund Dexter (1985-1986)
515688	17028	Dr. Stergion
515688	32389	Gilbert Folliot, Bishop of Lo
515688	41261	Callistratus
515688	52682	Dick Finlay
515688	59456	Macbeth in 'Macbeth'
515688	60256	Jack Barton
515688	81048	Sydney Parsons
515688	81639	Dr. Augustus Fagan
515688	92439	R.D. Muir
515688	92916	Thomas Doughty
515688	138246	Professor Volchett
515688	151069	Van Der Stoor
515688	153490	Howard
515688	153986	Gen. Mercier
515688	162984	Uncle Willie
515688	166123	Judge
515688	177321	King John
515688	185825	Inspector Greville
515688	186439	Gen. Sir Archibald Murray
515688	190054	Abe Brown
515688	203193	Prof. Cattrell
515688	203349	
515688	206139	Clive
515688	232892	Bazant
515688	255261	Sergeant Buzfuz
515688	264996	Stratton
515688	278515	Dr. Lomond
515688	281413	Mr. Brown
515688	282307	Lord Drewell
515688	287268	Manager
515688	288508	Prof. Merrity
515688	296214	Percy
515688	320597	Svengali
515688	337853	Col. Charles Price
515688	390023	Sir Andrew Wilson (1961-63)
515689	5414	
515689	11598	
515689	47982	
515689	131387	Store window Santa
515689	220033	
515689	243159	Worker
515689	260211	
515689	261499	Postal worker
515689	283635	
515689	299698	Joe's father
515689	299878	McHungry's son
515689	307116	
515689	364806	
515689	365390	
515690	342630	Fine Art
515691	300361	Coach Latham
515692	274521	Andy
515693	6895	Himself
515693	319951	Himself
515694	221049	Soldier #3
515695	311707	Himself
515696	340771	Angel
515697	305317	Randy
515698	68867	Boy
515698	117623	Logan Anderson
515698	150802	Teddy Finley
515698	222810	David
515698	398778	John Drummond
515699	565	Shorty/Stretch
515700	273101	
515701	13978	Reporter
515701	388139	L.A. Anchor (1992-1997)
515702	9884	Crocketts' group of men
515703	131776	Hotel Receptionist
515703	333445	Mushkin
515704	104664	Himself
515704	107353	Himself
515704	217838	Himself
515704	345876	Himself
515705	361052	Barkeeper
515706	24602	
515706	134791	
515707	365916	
515708	325767	
515709	259474	
515710	37681	Bartender
515711	84684	
515712	18347	Ander kind van Letta (Letta's
515713	57567	
515714	108893	Le roi
515714	125063	Proctor
515714	388419	Le roi (segment "Le tramway f
515714	403410	Eduard Graf Artenberg
515715	274184	Tommy
515716	10502	Ray 'Boom Boom' Mancini
515716	187226	Kid #1
515717	32466	Security Guard (Rock Fantasy)
515717	98683	El Joto
515718	320876	
515719	42854	Policeman
515720	26825	Manager
515721	273003	Brent
515722	97364	Liquor Store Clerk
515723	92100	GI
515723	114726	Bigmouth
515723	295280	
515724	162883	Paralegal
515724	186758	Dan
515724	352517	Jeffrey Trail
515725	327904	The Killer
515726	154098	Himself
515727	273327	Third Reporter
515728	186158	Cambridge Party Guest #2
515729	5886	Mr. Hart
515729	60766	Semyonoff-Pishtchik
515729	213663	Candy Store Man
515729	293158	
515729	396084	Chandler Garrison #1 (1968)
515730	319453	Himself (Actor)
515731	348221	Neighbor
515732	184262	Berkeley
515733	265092	French frontier policeman
515734	16980	Section Miromesnil: Aide
515735	114235	
515735	163267	Fat Boy
515735	243752	Young Boy
515735	252297	Piggy
515735	252300	Piggie Nelson, Junior G-Man
515735	331446	Young Curly
515735	370529	Fat student
515735	372145	Child Dancer
515736	264035	Fighter
515737	201598	Projectionist
515738	52015	Grandson of Old Man
515738	209242	1st Hippie
515738	363393	Kid #1
515739	41843	
515740	30144	Vattudals-Joel
515740	95178	Himself
515740	152317	Gudmarson
515740	153743	Captain Långstrump
515740	244074	Åge
515740	256503	Captain Långstrump
515740	315446	Fahlen
515740	320606	Mr. Bassplayer
515740	396255	
515741	266776	Production Assistant
515742	95178	Himself
515743	11985	Jonas, Barbro's brother
515744	12244	Party Goer
515745	5861	Noah Shore
515745	7153	Deputy
515745	16916	Convict
515745	29297	Mechanic
515745	56226	Policeman
515745	96860	Grogan
515745	108924	Black O'Neil
515745	115213	Double Duty Duffy
515745	116197	
515745	144410	Orphanage official
515745	147678	Morey
515745	147754	Bit part
515745	171444	Bit Part
515745	201034	Policeman
515745	228826	Henchman
515745	238692	
515745	239404	Deputy
515745	246606	Policeman
515745	263083	Policeman
515745	284564	Sea Wolf Captain Slauson [Ch.
515745	284565	Slarsen, Captain of the 'Sea 
515745	285935	Erickson's 2nd Mate
515745	300908	Pinkie
515745	310805	Dan Abrith, Motorcycle Cop
515745	311025	Barkeeper [Chs. 3, 8]
515745	315557	Tough Gambler
515745	327271	Bit
515745	327874	'Lefty'
515745	337586	Borden
515746	11440	Katczinsky
515746	13635	Capt. Hare
515746	24978	Lefty Reed
515746	25410	Le Bete
515746	33609	Johnson
515746	45920	Cpl. Mallin
515746	55792	Emanon
515746	69230	Jacques
515746	77941	Dan Thorn
515746	79024	Louis Marcotte
515746	84403	
515746	91142	Capt. Ross
515746	92501	Music Hall Owner
515746	100869	
515746	101036	
515746	104326	Bucky McGhee
515746	105954	Crime
515746	106634	Brad Tilton
515746	107085	Petrus
515746	120829	Duke
515746	125887	Frank
515746	129871	Daniel Silver
515746	150929	
515746	185412	The Finn
515746	192121	The Hoboken Terror
515746	196249	The Wanderer
515746	196419	Captain Joshua Dawson
515746	204175	Mangus O'Shea
515746	214153	Bob Holloway
515746	230500	
515746	236669	
515746	243751	Executioner
515746	246771	Dirk Thomas
515746	251836	Flatnose Tim
515746	260248	Wrestler
515746	270501	Nick Scarsi
515746	280925	
515746	296976	Professor Holbrook
515746	298570	Craigin
515746	299167	Ted
515746	301968	George Balt
515746	302383	Captain Sam McVey
515746	309252	Buck
515746	312294	Slag Collins
515746	315765	Kurder
515746	318963	Biff the Brute
515746	327403	Sgt. Bulba
515746	342723	Sgt. Peter McGaffney
515746	347106	Jan Boomer
515746	347590	Laird
515746	359491	Policeman
515746	367298	Gullion
515747	49320	Young Boy #3 - Buck Teeth
515747	299071	Matt
515747	360855	Bratty Kid
515747	405152	Matt (1990-1991)
515748	138434	Sergeant at checkpoint
515748	207023	
515748	387987	Allon
515749	10205	
515749	234715	
515749	251007	
515749	280530	Le chauffeur de taxi
515749	355877	Le paysan au chapeau
515750	98831	David, the VW Bus Driver
515750	210721	Biff
515751	7889	Dave Kovetski
515751	87344	Various
515751	93020	Construction Foreman
515751	223776	Jeff Wolinski
515752	285717	Australian businessman
515753	7889	Guy Who Girl Goes Down on in 
515753	27312	Meat Packing Worker
515753	87344	Various
515753	93020	Construction Worker 2
515753	184219	Man Who Dances with Kat
515753	223776	Mr. Wolinski
515753	327521	Man on the Street
515754	6094	Pigula
515754	75931	Kirus
515754	162205	Olech
515754	178463	Jozef
515754	231646	
515754	247320	Bank Director
515754	255028	Fronczak
515754	255635	Protazy
515754	266327	Man
515754	311770	Jan
515754	311893	
515754	321766	
515754	322138	Burak
515754	341165	Szydelko
515754	344047	Konrad Bujaszewicz
515754	365021	
515754	373594	
515755	283282	Doctor
515756	46747	Young Frank
515758	165411	
515759	103297	Samuel
515759	150780	Print Seller
515759	172073	Man Under Microscope
515759	185359	Himself
515759	265979	Ariel
515759	289452	Greek Restaurant Owner
515759	299954	Emil
515759	312939	Kamenev
515759	324028	Cyprus Charlie
515759	383582	Il Capitano
515759	396009	Ricarlo
515759	401797	'Kneecaps' McNugget
515759	402141	Burleton
515760	65907	Jay
515760	93261	Todd
515760	126495	Jay Berger
515760	134321	Attorney
515760	138655	
515760	149705	Floyd
515760	154781	Coffee Shop kid
515760	178009	Scam Artist
515761	83824	Party Guest
515762	160000	Surgeon
515763	73345	Weiss
515764	53313	Musician, bass
515765	342391	Dysfunctional person
515766	185176	Himself
515767	230663	Music Store Manager
515768	392118	Himself
515769	241046	Lithuanian Priest
515770	331467	Tough Kid
515771	149701	
515772	7477	Fabrice Derais
515772	23699	Jurek
515772	61152	
515772	101127	Samuel
515772	108206	Jean-Jacques
515772	110155	Caïus
515772	124650	Patrick
515772	132887	Dr. Guez
515772	165234	Garcin
515772	166349	Gilles de Laval
515772	166350	Gilles de Laval
515772	183906	Henri de Lagardère/Le Bossu
515772	200947	Albert Fortecroix
515772	205738	François Gendreau
515772	208217	Thomas
515772	208646	Phillippe Perrin
515772	209831	Martini
515772	212155	Lionel Correy
515772	219462	Ivan
515772	249138	Antoine Saller
515772	249201	
515772	261785	Stéphane
515772	268820	Marc
515772	307111	L'amoureux classique
515772	315454	Mirko Mancini
515772	328273	Rémi Terrien
515772	337734	
515772	340351	Inspecteur Queyrolles
515772	348200	L'uomo proiettile
515772	351816	
515772	380862	Jurek
515772	385683	Guillaume Garlande
515772	386771	
515772	389762	Marc Tursan
515772	391621	Himself
515772	396367	
515772	398843	Melvil
515772	400631	Vincent Fournier
515772	409759	
515773	239742	Apache
515774	3169	Bit part
515774	89572	Prince Mascalchi
515774	127487	Prince Bianchi
515774	255689	Conte Danesi
515775	54465	Geldtransport Security
515776	366517	Ulli's Vetter
515776	376296	Tilkowski
515777	140411	Mauri
515778	30811	
515779	3943	Messenger
515779	381410	Feature Reporter (2002)
515780	39037	Paul Whiteman
515781	367022	
515782	22685	
515782	23258	
515782	84475	Le ministre allemand
515782	248218	
515782	338094	
515783	75942	Director Coeur
515783	78538	Vadier
515783	94222	
515783	94523	Lord Canterville/Ghost
515783	180194	Watzenrode
515783	181408	Himself
515783	214242	
515783	216592	Fryderyk Chopin
515783	237983	
515783	266330	Cox
515783	305434	Dr. Bogdan Lewandowski
515783	322037	Antoni Grabczyk
515783	338887	
515783	361575	Hetman
515783	364972	
515783	373729	Baron Humaniewski
515783	395084	Count Krzeszowski
515783	403627	Plawicki
515784	169518	
515785	125484	Himself
515785	252366	
515786	181109	Teenager
515787	68274	Nod General 2 (Firestorm)
515788	5055	Cook
515788	241110	Paris cafe waiter
515788	335477	Sentry
515788	346262	News Vendor
515789	68750	Himself
515790	76664	
515791	7960	Security Guard
515791	42257	Agent Sharpe
515791	60836	White Knight
515791	65594	Jack Lichec
515791	73214	Carl Henkel
515791	78695	
515791	79807	George A. Atzerodt
515791	107118	Thomas Billings
515791	113995	FBI Agent Foster
515791	129460	Conrad Lee
515791	142718	Detective Kleinman
515791	148561	Cal Sawyer
515791	152426	Comanche Pilot
515791	161049	Ernie
515791	176847	Martin
515791	178691	Jeffries
515791	182973	SWAT Leader
515791	211382	Lieutenant
515791	214755	Pre-Crime Cop
515791	250576	Officer
515791	278437	Detective
515791	287157	Carl
515791	321718	Lawyer
515791	391375	Ron Fenner (2003)
515792	219237	Hasse
515793	16760	Herman Alt as a child
515793	350277	Synchronised Swimmers
515794	81984	Stockboy
515794	366575	Zero
515795	231106	Auctioneer
515796	161473	Documentary Subject
515796	224049	Himself
515797	278156	Raimondo
515798	348753	Magane
515800	169844	
515801	271255	Greenpeace man
515802	86239	Fahrprüfer
515802	86242	Kommissar Becker
515802	98248	Herr Willrich
515802	124277	Franz Weber
515802	156665	Professor Knöll
515802	323001	
515802	325491	Chef
515802	383171	
515802	386977	Vater Mangold
515802	399661	Various
515803	58490	Scientist
515803	331231	Floyd the Pig Captain, Philli
515804	2063	Thomas
515805	379177	
515806	320406	Young Man
515807	1092	King Hrothgar
515807	10425	Alfred Nobel
515807	20914	Marc
515807	54806	Van Veeteren
515807	59717	Foundry proprietor Schagerstr
515807	88829	Fadern
515807	89837	Judge
515807	101493	Johannes
515807	105740	2nd Lt. Alml
515807	107236	Evert Gregor
515807	120236	Zeb
515807	129273	Jim
515807	134707	Van Veeteren
515807	140411	Matti
515807	142790	Gusten
515807	153196	Peter
515807	154323	Police inspector Jarnebring
515807	154562	Actor in 'Iphigenia'
515807	154571	
515807	163936	Marcus Wallenberg
515807	164633	Doctor
515807	164782	Sten
515807	164789	Captain
515807	166943	Stor-Ingmar
515807	182279	van Veeteren
515807	182629	Kira's Father
515807	191206	Daniel
515807	200401	Aksel Larsen
515807	204534	Inspector Jarnebring
515807	204538	Lennart Kollberg
515807	210956	Kerem
515807	219232	Van Veeteren
515807	227064	Policeman
515807	237153	Himself (voice only)
515807	238743	Victor
515807	240218	Peter Axelsson
515807	275867	Villebosse
515807	303193	Police inspector
515807	303197	Viktor
515807	305877	Jan Ström
515807	310827	
515807	320406	Sigvard
515807	321404	Doc
515807	322307	Martin
515807	326010	Erik Sandström
515807	338934	Hinrich
515807	343469	
515807	355657	Kjell Larsson
515807	368731	En underofficer
515807	377320	Axel Flogfält
515807	377321	Axel Flogfält
515807	377442	Van Veeteren
515807	378176	Poliskommissarien
515807	386335	Mäster Estragon
515807	387026	Ferdinand (segment 4)
515807	391722	Oluf
515807	394085	Leo Kall
515807	394197	Perols Erik (episodes 8-12, 2
515807	395004	
515807	398852	Rydberg
515807	402277	Bo Jarnebring
515807	402881	Gustav 'Raskens' Rask
515807	404159	Roffe
515808	356742	
515808	356776	Leo
515808	390929	Poldi
515808	396920	Mario
515808	404899	Buh
515809	147475	
515810	153091	
515811	171892	
515812	394711	Borma
515813	72827	Schoolchildren
515814	286423	Evan
515815	108782	
515816	246244	
515817	95738	Rang
515817	311834	Thiel
515818	66990	Creepy Guy
515819	283739	Referee
515819	293192	Salesman
515820	43036	Official
515821	317303	Fred
515822	10271	
515822	135297	
515823	317309	MV Hockey Players
515824	317309	MV Hockey Players
515825	80066	Secretary of State Colin Powe
515825	80430	Benny
515825	81318	Frank Bauggs
515825	84873	Junior Fornay
515825	102341	Security Official
515825	216486	
515825	231900	Captain #1
515825	272739	Ray Jarrett
515825	390771	Dr. Charles Grant (1995-prese
515825	404282	Gus Jackson (1987)
515825	404613	Lt. Grant (1985-1986)
515826	44450	Umpire
515827	46731	Passenger
515827	56178	Janitor
515827	58828	Peasant
515827	79371	Gypsy
515827	84252	Assistant Bartender
515827	146190	Hotel clerk
515827	200478	Santiago
515827	249021	Salesman
515827	277855	Misky
515827	310502	Gregory
515827	372145	Russian General in Jail
515828	32657	Christoph
515828	153205	Dylan
515828	154893	Mario
515828	168408	Johann
515828	185633	Tommy Shannon
515828	188634	Derek
515828	230083	Gregor
515828	350437	Johnny
515828	399978	Jay Ziegler
515829	263076	Newsman
515830	226929	Ross
515830	307588	Man
515831	25877	Hippie
515831	218075	Psychiatrist
515832	280458	Stormtrooper TK766
515833	411245	Kevin (Episode 8: Tarflowers)
515834	359585	
515835	147257	junger Hoffmann
515835	356697	
515835	375266	Karl, dessen Neffe
515836	16099	Dr. Joseph Bove
515836	193280	
515836	222598	
515836	265607	
515836	284526	Phil Connors
515836	292793	Harry Pizer
515836	362497	Dr. Bader
515836	381076	Howard (1991)
515837	331041	Himself
515838	2809	Himself - Hersholt Award Reci
515838	67351	Himself
515838	160476	Himself
515838	267451	Himself
515839	109857	Dr. Brooks
515839	154427	Passing Writer
515840	91742	Himself
515841	115541	Rich Watts
515842	196051	Computer Onlooker
515843	152219	Prison security guard
515843	338599	
515844	319549	Himself/Guitars
515845	13309	General Felder
515845	108893	Le secrétaire
515845	124893	
515845	157497	
515845	314309	Werbefilmproduzent
515845	347826	
515845	365012	Attache
515845	388419	Le secrétaire (segment "Le tr
515845	396175	Troubetzkoï
515845	410513	Alexander Müller
515846	194523	Himself
515846	291088	Himself
515847	342846	
515848	99516	Speaker
515848	388995	Himself - Host
515848	396274	Himself - Host
515848	410754	Himself - Host (1974)
515849	182623	
515849	314845	
515850	38696	Roman
515850	40504	Shawn
515850	98111	Chris
515850	191608	Bobby Bales
515850	368058	Andy
515851	154071	Clive, Despatch Rider
515852	104782	Himself
515854	181114	Szeregowy
515855	237701	
515857	147703	Himself
515857	201742	Himself
515858	40343	The Big Blast
515859	206580	Kaptajn på Harald
515859	308212	
515860	192100	Vendor Cop
515861	163048	Owner of Tonge Hall
515862	41396	Cell Phone Yuppie
515862	82036	
515862	106459	Right-Wing Extremist
515862	116289	Nightclub Man
515862	188114	Dr. Geese
515862	205104	
515862	251514	Julius Ruben
515863	47174	Performer
515863	152434	Himself
515864	692	Himself
515864	34610	Football commentator
515864	99141	Himself
515864	203897	Commentator
515864	292785	Commentator
515864	397085	Presenter (1964-1967)
515865	39851	Police Chief
515865	41066	Doctor
515865	70076	First Danish Waiter
515865	90026	
515865	129559	
515865	158794	
515865	193610	Snodgrass
515865	196158	
515865	209628	
515865	239747	
515865	331700	
515866	75757	Wladek
515866	311599	Jacek Babinicz
515867	310571	Guy at Party
515868	267407	Urs
515869	100504	Hodder's Classmate
515870	115666	Screening Man #3
515871	123454	Zak Madison
515872	284433	
515873	410306	Marcus 'Nase' Wolter (1995-19
515874	101322	Maria
515874	325886	
515875	211473	Sebastian
515876	486	Deutscher Soldat
515876	2740	Glabov
515876	6413	
515876	6517	
515876	11775	Philippe
515876	11786	Dienstmann Huber
515876	12568	Max
515876	12601	Erwin
515876	23884	
515876	24738	
515876	33167	
515876	33218	Christian Wagner
515876	33237	
515876	35882	
515876	37748	
515876	42525	
515876	51576	Herr Ludwig
515876	59559	
515876	69650	
515876	85730	Georg
515876	93416	Kaminski
515876	93679	Friseur
515876	98080	
515876	98252	
515876	98263	Notar
515876	111345	
515876	119213	Waltchmaker
515876	119214	Bookdealer
515876	119242	Pachulles
515876	119432	Hannes
515876	119441	Fietje
515876	121042	Erklärer im Rundfahrtbus
515876	123928	Ulan Lehmann
515876	125369	
515876	129494	
515876	129674	Emil Giesecke
515876	130998	Tim Fletcher
515876	132536	Boris
515876	134980	Herr Hoegen
515876	138465	Dr. Mendel
515876	140204	
515876	141942	Krischan
515876	142108	
515876	142109	
515876	142110	
515876	142321	
515876	144145	Leo
515876	144256	Dr. Leo Dorn
515876	144926	
515876	145352	
515876	152741	
515876	156056	Bursche Jonny
515876	156994	Meister
515876	166408	Portier
515876	170684	
515876	174780	Luggi
515876	177194	Fritz Pfeiffer
515876	179760	Toni
515876	179875	Professor Boris Smirnoff
515876	180994	
515876	181917	
515876	189577	Cajetan Fingerlos
515876	189598	Schulze
515876	189673	Müller
515876	198424	
515876	202002	Buschbeck
515876	204405	
515876	208181	Theurnagel
515876	210065	Dr. Brubaker
515876	210102	Bibo
515876	216382	Iskey
515876	219265	Dr.Geis
515876	225125	German Soldier
515876	225647	Voice of Photographer
515876	225720	Storch
515876	228546	Oberwachtmeister
515876	229101	Ernst Huber
515876	234289	Regisseur
515876	237737	Zopfer
515876	239792	Sam Hawkens
515876	241875	Borodenko
515876	242832	Frank
515876	244679	Intendant Gotthilf Gutmann
515876	244684	Dr. Kobalt
515876	248396	Butler Percy
515876	249196	
515876	253943	Charley, der Jockey
515876	254455	
515876	256601	
515876	261470	Herr Ratsam
515876	268195	Andreas Hasenpfeffer
515876	271857	Delon
515876	279676	Toni Knauer
515876	281951	Hessel
515876	288243	Bob Tooly
515876	289906	Andreas Hasenpfeffer
515876	289908	Sam Hawkens
515876	289950	Dr. Waldgeist
515876	290115	
515876	290237	Turnlehrer
515876	290545	Hadschi Halef Omar
515876	290665	Evas Vater
515876	290765	
515876	294840	
515876	325398	Leu
515876	326056	
515876	343489	Dr. Knopf
515876	347762	Fotograf
515876	348687	Horst-Dieter Mitterer
515876	354367	Friseur
515876	356567	Onkel Jakob
515876	358540	Rixner
515876	359001	Michael Protzen
515876	359661	Felix Klein
515876	361395	Haberstock
515876	361499	Billy Monroe
515876	366263	Sam Hawkens
515876	366265	Sam Hawkens
515876	366266	Sam Hawkens
515876	366268	Sam Hawkens
515876	366529	Kameramann Keschke der 'Neuen
515876	366562	
515876	366594	Räuber
515876	366595	O'Hara
515876	376251	
515876	376508	
515876	379858	
515876	387625	Ottokar
515876	388244	Titus Bunge
515876	389711	Juri Roster
515876	394610	Stadtrat
515876	397953	Horst Metzger
515876	400885	Paul Mielke
515876	404433	
515876	407204	Herbert
515876	408334	Herbert
515876	409917	Don Giovanni
515876	411161	Opa Grünwald
515876	411248	Sam Hawkens
515877	325192	Patient
515878	359049	Child
515879	187402	
515880	324795	Classmate
515881	156683	Thorsten
515881	325842	Vogeler
515881	396874	Wolfgang Wagner (1992-)
515882	167060	
515883	259638	Hans Spiering
515883	259667	
515883	339211	
515884	329682	Schüler
515885	5594	Polizeikommissar
515885	12901	
515885	24779	Swiss Officer
515885	33812	Captain
515885	149930	Reisenberg
515885	237419	
515885	410513	Theatre Manager
515886	399175	Thorsten
515887	235946	Mercedes-Händler
515887	325861	Policeman
515888	307516	Russian Mobster #4
515888	331799	Dick Parr/Assorted V.O.
515889	27064	Tough #1
515890	74313	
515891	95344	
515892	372774	'Brick Test' Frank
515893	65427	Mac
515894	83899	Stage Driver
515895	63306	ChubbChubbs
515896	60953	Running Wolf
515897	44337	Winnipeg Family
515898	44337	Winnipeg Family
515899	348229	Club Patron
515901	256786	
515902	27486	Trooper
515902	194419	Soldier
515903	50097	Clown
515904	42540	Himself (Lead Male Singer)
515904	146639	Himself
515904	166038	
515904	249572	Himself
515904	286439	
515904	296552	Our Guests at Heartland
515905	315147	Fed-Ex Man
515906	163623	Himself
515906	300044	Lead Singer
515907	77671	Smokey
515907	77750	Himself
515908	109807	Old Ex-Con
515908	252222	Jesse
515908	292307	Haunted House Butler
515909	40780	Young Heinrich
515910	18543	Mr. Wyneski
515910	118298	Mr. Bellknap
515910	133182	Mr. Whitewood
515910	208065	Ben Purdy
515910	261025	Foreman
515910	380997	
515911	207782	Gun thug
515912	28493	George Rainey
515912	76253	Doo-Wop Singer
515913	40613	Clive Rouse
515913	43358	Martin Hayes
515913	77751	Eddie Ainsworth
515913	141464	Archie
515913	145412	Eddie Spearritt
515913	169856	Peter
515913	188623	Rein
515913	269663	Ryan
515913	346156	Frank
515913	350458	Joe Cameron
515913	382395	DS Glynn
515913	384477	Lewis (2002)
515913	395794	DC Mark 'Cally' Callaghan
515913	397493	Pete Hammond
515913	401433	'Moke' Miller
515913	409836	Joe Cameron
515913	411224	Chris Merchant
515914	260663	Bouncer no. 2
515915	1709	Himself (Arizona Diamondbacks
515916	228967	
515917	59110	Scupper
515918	400696	Prince William (1988)
515918	411850	
515919	191987	Eddie's Roommate
515920	161576	Batter
515921	28493	Tom Rainey
515922	188812	
515923	130772	The Cook
515924	176898	Ha-yeon
515924	322901	Jin-seok
515924	348654	Jong-hyun
515924	389393	Kim Jifun
515924	389655	Tae-seok
515925	332771	Gang Leader
515926	132202	
515926	371933	
515927	226140	
515928	308413	
515929	294483	Detective Yang at Seoul Centr
515930	144282	Bok-gyu
515931	126803	
515932	7272	
515932	92670	
515933	167882	
515934	259078	
515935	341932	
515935	367955	
515936	85347	Kibong (the young monk)
515937	85318	Sheroo
515938	12179	Picardy Max
515938	40607	Himself
515938	243752	Skippy, Tommy's Dog
515938	254583	Devil
515938	281379	Himself
515939	315896	Farm Dog
515940	64532	Rex, Jack's Pal
515940	301638	Rex, Red's Dog
515940	331414	Rex, Art's Dog
515941	9749	Himself
515941	68745	Himself
515941	361062	Himself
515941	410780	Himself
515942	333158	Dynamite
515943	84871	The Devil Horse
515943	135191	Himself (a horse)
515943	139768	Himself - a horse
515943	149278	Himself - a horse
515943	177503	El Diablo
515943	177515	Rex, the hero
515943	177517	The Black
515943	190583	A horse
515943	233744	Himself - a horse
515943	248374	Mankiller
515943	258304	Rex
515943	279797	Himself
515943	343075	Himself - a horse
515943	365179	Thunderhoof, a horse
515943	365196	Himself - a horse
515944	146015	Sunflash, Tom's Horse
515945	149280	Birdie
515945	149855	Schnapps
515946	1188	Himself
515946	1214	Himself
515946	1465	Himself
515946	1480	Himself - Presenter
515946	1491	Himself
515946	2331	Himself
515946	2630	Himself
515946	2780	Himself
515946	11674	Host
515946	13751	Himself (performer)
515946	13781	Himself
515946	13782	Himself
515946	13784	Performer
515946	14098	Himself
515946	37674	Himself
515946	42330	Himself
515946	50061	Himself
515946	57625	Himself
515946	61708	Himself
515946	63167	Himself
515946	107353	Himself
515946	146642	Himself
515946	175529	Himself
515946	175542	Himself
515946	175544	Himself
515946	220206	Himself
515946	220207	Himself
515946	220212	Himself
515946	222931	Himself
515946	229681	Himself
515946	243950	Himself
515946	249572	Himself
515946	251089	
515946	269922	Himself
515946	272974	Himself
515946	286692	Himself
515946	288714	Himself
515946	289127	Himself
515946	308739	Himself
515946	309552	Himself
515946	313112	Himself
515946	314940	Harmonica
515946	327697	Himself
515946	352749	Musical Performance
515946	352976	Performer
515946	360377	Himself
515946	406014	Himself
515947	55238	
515947	318039	
515948	77592	Charlie
515948	120010	Tommy
515948	123881	Bill Davis
515948	199246	Harry, Helen's Guy
515948	288334	Joe Thomas
515948	330893	Himself
515948	331762	Billy
515948	350704	Specialty dancer
515949	274868	Himself
515950	132530	Himself
515951	192794	Travis Foster
515952	187222	First fan on stage - see Wond
515953	270466	Racing Driver
515954	121538	Marine
515955	208077	
515955	405732	Michael
515956	301068	Soldier
515957	347039	
515958	122493	
515958	137642	
515958	144103	
515958	183265	Quasnicek Kiebitz
515958	289853	
515958	347431	
515958	361425	
515958	365010	
515958	366514	Fiakerkutscher
515959	401298	Matz Mock
515959	402437	
515960	323290	
515960	381083	Host
515960	395438	Presenter
515961	316733	Sugarpop
515962	228967	
515963	1607	Shi Ge
515963	3261	Tai Fai
515963	3270	Tai Fei
515963	8777	
515963	8816	Sam Wai Wong
515963	16564	
515963	25908	Wong Chi Hang
515963	28832	
515963	29466	
515963	36465	
515963	36467	
515963	58455	John Wu
515963	58456	
515963	60565	Charlie Chan
515963	60596	Curtis
515963	61027	Ching
515963	61990	Prada
515963	62842	Ray
515963	63364	
515963	63472	Bird
515963	63482	Tung
515963	85486	Kin
515963	95192	Kau
515963	102294	Raymond Shiu Chi-Li
515963	106782	
515963	111246	Sword Saint
515963	116649	
515963	121090	
515963	122685	Sing
515963	123257	Chow
515963	129077	
515963	131343	Tai Fai
515963	135027	Tai Fai
515963	135028	
515963	135083	
515963	135100	
515963	135449	
515963	135482	Liu Sheng-Ming
515963	136320	
515963	137167	Wah Tino
515963	137310	Huang
515963	137313	Chiu-chau Tsam
515963	137315	King Kau
515963	144297	Ah Gi's Husband
515963	149038	Himself
515963	151996	
515963	152026	Tse Yin-Kwan
515963	152347	Shing
515963	167442	Human Milk Drinking Doctor
515963	167495	Lau
515963	167787	Host/Inspector Wong/Mr. Shaw/
515963	167827	
515963	170020	Ma Qun
515963	175769	
515963	179951	Kwan Kung
515963	184225	Charles
515963	184998	Johnny Wong
515963	189226	Wutung/Chiu-Sheng
515963	192467	Judge Bao
515963	194084	Leopard
515963	198592	Doctor
515963	198748	Chin Hai
515963	201367	School Principal and Logan
515963	204057	Sam Chu
515963	208894	Principal
515963	209365	Lester
515963	210964	
515963	213361	Officer Lui
515963	216402	Wisdom
515963	217138	Tony Ho
515963	231201	
515963	236282	Kwok/The Bishop
515963	239146	Rock
515963	268547	Lam
515963	268682	Peter Kam
515963	275564	Officer Lazyboots
515963	281332	Lau
515963	286969	Best Actor Winner
515963	287333	Inspector Hung
515963	287336	
515963	291675	Wong
515963	295241	Joker's Father
515963	295248	Uncle Ji
515963	297299	Boar
515963	324739	Tailor Lam
515963	327021	Dr. Tang
515963	332243	Cheap Chan
515963	332260	
515963	332317	Dino
515963	333508	Chiu Tai-Pang
515963	336638	
515963	347185	
515963	358234	
515963	358907	Hung
515963	367110	Dunno
515963	368072	Lui Lone
515963	369034	Wei
515963	369055	SP Wong
515963	369056	SP Wong
515963	369057	SP Wong
515963	369583	Sam
515963	369599	Kau
515963	369625	Tong Chi-Ming
515963	369772	Alan Tam
515963	369862	
515963	370727	Crazy
515963	370754	Dai Fei
515963	370760	
515963	371346	Tung
515963	371519	Inspector Kim Kuo-Hao
515963	371536	Kai San
515963	372389	Wong-Lin
515963	373156	
515963	374811	Cameo
515963	374822	Yeung Sing
515963	374826	Pow
515963	374893	Li Shu-pei
515963	374905	Pride
515963	374908	Nerd's Brother
515964	8595	Long
515964	28824	
515964	95509	Wong Kar-Lok
515964	189124	Tung
515964	239142	Pin
515964	302634	
515964	323100	Harold
515964	369058	Alex
515965	252286	Sung Chong
515966	110021	Tony
515966	123261	Lo Chih-Chiu
515966	189171	Sing
515966	298405	
515966	370809	Sunny Wong
515967	375693	Kinoshita
515968	144848	
515969	167843	
515969	370197	
515971	256141	Sam Wong at 40
515971	280717	Billa
515972	20371	Client #2
515972	101070	Mr. Wu
515972	129397	Mr. Lee
515972	275870	Old Man
515972	283712	Chin
515972	338000	Chinese Store Owner
515972	340775	Chinese Chef
515973	45708	Paco
515973	398210	Cast (pilot)
515974	110338	Kung Fu Student #8
515974	286441	Mark
515975	24875	Fisherman
515976	296055	Himself (best friend)
515977	111409	Rock
515977	402454	Additional Voices
515978	246923	Chinese Club Owner
515979	360355	Bar Owner
515980	125629	
515981	44278	Captain Takeyama
515981	92496	Barry Tong
515981	101704	Ghost
515981	115520	Ah Lung
515981	115673	Gar Ming
515981	170580	Frakes
515981	190774	Transvestite on Bus
515981	201505	Himself
515981	207989	Ghost
515981	207991	Ghost
515981	276956	
515981	293196	Nyguen
515981	333058	Barman
515981	340509	Ringe
515981	391869	David Lee (199?)
515981	406145	Mek
515981	407531	Miki
515982	177204	Tom
515983	355986	
515984	130067	
515985	353307	Mr. Wong
515986	201824	Himself
515987	114303	Korean
515987	183654	Ticket Taker
515987	231925	Chinese Waiter
515987	270381	Lee, Gannin's houseboy
515987	280499	Chinese Vendor
515988	17021	
515988	19127	No So
515988	69428	Kwai Tong
515988	164612	Cook
515988	241736	General Man-Phang
515989	201835	Director of Photography
515989	291675	Cameo appearance
515989	358907	Gangster
515989	369056	
515989	370838	
515989	371346	Tai Ge
515990	379132	Foreigner (Chapter 3)
515991	99512	Asser
515993	2542	Performer
515993	16099	Kico Govantes
515993	72569	Kichi
515993	80056	Teng
515993	91875	Waiter
515993	105723	Sgt. Louie
515993	108261	Jimmy Chiu, Adam's MIT Prof
515993	109856	Howard Weinstein
515993	109857	Howard Weinstein
515993	120014	Edward
515993	131567	Kim Tan
515993	168295	Cockroach
515993	172604	Justin
515993	173931	Boy on Street
515993	177633	Captain Li Shang
515993	195208	Billy
515993	200330	Johnny Angel
515993	210827	Po
515993	215691	Celebrity Judge
515993	222112	Captain Li Shang
515993	222115	Captain Li Shang
515993	224667	James Lew
515993	274650	Dr. Wong, Marriage Counselor
515993	274695	Captain Li Shang
515993	286298	Bubba
515993	295406	Ngawang Jigme
515993	304535	Morgan Brinway
515993	306744	Stephen
515993	314092	
515993	317881	Warren Drummond
515993	379756	Stuart
515993	390998	The Wolf
515993	395275	Dr. George Huang (2001-)
515993	400621	Father Ray Mukada
515994	86316	Chief Insp. Tu
515994	94437	
515994	122690	Chow
515994	136333	Father Tam
515994	138626	Man at Table
515994	152113	King of Gambling
515994	153030	Inspector Wong
515994	167364	James Wong/The Killer
515994	210979	Senior Inspector
515994	295244	Alan's Boss
515994	324735	Police Commissioner Wong
515994	324737	Police Commissioner
515994	369041	Announcer
515994	369074	Internal Affairs Officer
515994	370819	Chef
515995	305367	Goon #3 Rat
515995	323100	Husband
515996	5840	Usher
515996	30793	Japanese Soldier
515996	33006	Japanese Major
515996	36785	Art Dealer
515996	37238	Japanese Officer
515996	50244	Radio Operator
515996	52163	Native Foreman at Dinjhan
515996	62000	Captain Tao-Yuan-Kai
515996	62023	Sergeant
515996	63034	Chinese Man Listening to Radi
515996	69823	Japanese attache
515996	92814	Farmer/Japanese Officer
515996	96754	Radio Listener in China
515996	103283	Ticket Seller
515996	105971	Pastor
515996	115895	Tailor
515996	136034	Mr. Wong
515996	149024	Henchman
515996	149029	Muto, Oriental Henchman
515996	175835	Chinese Captain
515996	183581	Solo Bit in Montage
515996	183760	James Wong, Waiter
515996	186789	
515996	187078	Father
515996	192331	Shadow
515996	203002	Japanese Soldier
515996	204708	Wing Ling, Chinese Singer
515996	234141	High, Tony's Chinese Servant
515996	251932	Chinese Pilot
515996	264438	Japanese Intelligence Officer
515996	264460	Japanese Operator
515996	267550	Toma Nogato
515996	286343	Japanese radioman
515996	286846	Engineer
515996	292310	Sub Commander Korakagu
515996	292330	Quito
515996	292470	Headwaiter in Chinese Restaur
515996	304755	Wedding Guest
515996	307368	Chinese Clerk
515996	312795	Stage Extra
515996	325199	Japanese Naval Attache
515996	334340	Transportation Captain
515996	336041	Chinese Entertainer
515996	337366	Shanghai Cigarette Customer
515996	360537	Japanese Mentor
515996	361543	Coolie
515996	367825	General Mitikoya
515997	41123	Peter Monji
515998	19561	Hassan
515998	46444	Jerry
515998	66584	Medic
515998	87423	Guo Yi
515998	232311	Guard
515998	240409	Chan
515998	312138	Tran
515998	319753	Frankie Li
515998	366697	Fellow 2
515998	378734	Errol
515998	385162	Peter Yang
515998	389410	Himself
515998	406464	Pete Cheng
515998	407047	Frankie Li
515998	408342	Terry
515999	248085	Zhou
515999	296875	Mongols
515999	301633	Thug George
516000	371646	
516001	402555	
516002	285917	
516003	7111	Asian
516003	19167	Chop Suey Restaurant Propriet
516003	20613	Elevator boy
516003	30793	Japanese Soldier
516003	33006	First agent
516003	50244	Japanese Officer
516003	52163	Chinese Radio Man at Ed's Pla
516003	62000	Aide To Captain
516003	62023	Officer
516003	66314	Second Eskimo Driver
516003	72570	First Waiter
516003	79371	Chinese Man
516003	84138	Japanese antenna man
516003	85067	Chinese Waiter
516003	160943	Bellboy
516003	164446	Japanese Official
516003	224725	Asian Man
516003	267550	Naval Aide
516003	308632	Houseboy
516003	333344	Morny's Houseboy
516003	348327	Japanese sergeant
516003	361637	Train Steward
516004	139582	Frankie Hong Fat
516004	399260	
516005	255872	
516006	13372	
516006	37474	Thunder
516006	40478	
516006	76336	
516006	92775	Mao Chang
516006	98162	
516006	130605	
516006	138642	Chinese martial arts student
516006	139234	Eddy Lee
516006	141890	Pai Chien
516006	143854	
516006	143929	
516006	143934	
516006	151966	Mo Tsai
516006	152080	Leo
516006	161939	
516006	176260	
516006	176508	
516006	176816	
516006	176850	Yuk-long
516006	183045	Chiu Chie
516006	184613	
516006	189132	Teacher Leo
516006	190016	Himself
516006	198590	
516006	200503	
516006	232978	
516006	232993	
516006	236287	
516006	276756	
516006	297489	
516006	297493	
516006	297524	
516006	297533	Ping Fei Lee
516006	297647	
516006	311009	
516006	317988	
516006	323090	
516006	323096	
516006	332773	Master Jin
516006	337855	
516006	360206	
516006	370470	
516006	370496	
516006	371499	
516006	371588	
516006	374921	
516007	198338	Chinatown Boss'sidekick
516007	384088	Eagle
516008	8746	Johnny Wong
516008	110340	Wa Pa Fong
516008	123389	Lau Yea-chun
516008	170255	
516008	184613	
516008	192446	
516008	200503	
516008	232968	
516008	286908	
516008	287002	
516008	297487	
516008	300747	Korean Fighter
516008	316950	
516008	335420	Chen
516008	359556	Yu Yung
516008	369614	
516008	373863	Cashier Hua
516009	172353	
516010	199989	William Chao
516011	214656	Tim
516012	369600	
516013	137492	Chinese Tier Guard
516014	114624	
516014	176816	
516015	2918	Ka-Ming
516015	8770	
516015	42250	Richard
516015	61027	Tutor
516015	63303	
516015	63472	Cameo
516015	76838	Chiu Jack
516015	94914	Guy in Street
516015	95302	Tommy Cheung Chi-Lik
516015	102294	Charles Chan
516015	136082	Mr. Sardine
516015	167769	Sing
516015	167787	Host/Kim Lin-Kwan/May's Mothe
516015	167817	Mak
516015	167851	Wong Ching-Wai
516015	179957	Kwok Ching-Man
516015	183101	King Wong
516015	196667	Liu
516015	197875	Tung Kin-Wai
516015	210976	Charlie Chan
516015	254948	Lam
516015	268651	Pierre Kwan Tak-Ying
516015	268770	Rich Guy
516015	275568	Wang San-Ha
516015	286969	Fa
516015	298360	William
516015	300756	Wan
516015	358924	Vain Customer
516015	369772	Alan's Doctor
516015	370145	
516015	370464	Man Cheung
516015	374682	Wai
516015	374820	Golden Corpse
516016	3270	
516016	58363	
516016	62187	Cunning
516016	63278	Yeung
516016	85457	Lin Jinwen
516016	94435	
516016	111241	Mandy's Cousin
516016	153050	Chin Bo/Brother Mad
516016	167427	Kan Sin
516016	167452	Shek's Pupil
516016	167726	Brother 19
516016	198591	
516016	207574	Ronald
516016	216655	Kent Chiang Siu-Chi
516016	297732	Alex
516016	300448	
516016	300743	Dumb Dog
516016	360985	Ma
516016	367179	Little Ha's Man
516016	368062	Commander Man
516016	369625	Canner
516016	369648	Interpreter
516016	375919	Bill
516017	305367	Man on bus
516018	59062	Joe's cousin
516018	96522	Man with Watches
516018	121123	Mao
516018	131265	
516018	131270	See
516018	135933	
516018	142813	Inspector Big Mouth
516018	152005	One Eye
516018	170016	The Supremes
516018	172222	Pimp
516018	216634	
516018	268928	Luk's Man
516018	297302	Cousin
516018	297391	Shiun Lih
516018	359008	
516018	369699	Butcher Man
516018	369813	Pink Panther
516018	369845	Mr. Hong Kong
516018	376060	Inspector Wong
516019	41410	Calligrapher
516020	298052	
516021	312018	
516022	287334	
516023	381422	Extra
516024	340611	
516025	335402	Little K
516026	208073	
516026	231617	
516027	30786	NVA/VC Officer
516028	116103	Thug
516028	220461	
516028	399256	Curtis Wong
516029	252887	Guard #3
516030	25931	Hui Lok
516030	124574	Evans
516030	231231	
516031	332772	Fighter/Soldier/Performer
516032	37474	Wing Kong Security Guard
516032	273704	Young Dean Memminger
516033	170759	Kaem
516034	272234	Agent Sam
516035	51946	Bad Guy #3
516035	91684	Punk Mohawk
516035	113641	Japanese Man
516035	130311	Kung Fu Fighter
516035	169207	Chinese Gunmen #7
516035	280662	Biker
516035	307898	Tough Guard #2
516035	331193	Buyer
516035	364612	Short Cop - Bank
516036	39018	Fred Wong
516036	60124	Danny
516036	63473	Yuen
516036	88275	Husband
516036	92909	Triad Boss
516036	239151	
516036	245010	Yin
516036	255020	Lone
516036	286972	Sam
516036	374826	Kit
516037	103822	Ton
516037	211628	Mr. Lin
516037	215855	
516037	253458	Track Fan
516038	200911	Dojo Master
516039	360200	Stephen Rajan
516040	94437	H.K. Police Chief
516041	279097	
516042	38175	
516042	170833	
516043	42236	
516043	48092	
516043	58636	
516043	81090	
516043	96648	Lee Cheh
516043	109687	
516043	140512	Police Commander Hu
516043	150499	
516043	162890	
516043	184465	
516043	232935	Chief of Narcotics
516043	233004	
516043	298668	
516043	304555	Off. Don Wong
516043	305926	Chien Fu
516043	332538	Shao Tin Chu
516043	369705	Shao's father
516043	369800	
516044	110338	Kung Fu Student #9
516044	332771	Student
516045	51946	Bad Guy #2
516045	208470	Usher
516045	219535	Liu Kang
516045	219540	Liu Kang
516045	242509	Mr. Yoshida
516045	344519	Liu Kang
516046	84140	Peasant
516047	306250	Phau
516048	127309	
516048	154614	Zhu Tam's Pilot
516048	160589	Michael Yamura
516048	160778	Tom
516048	218106	Cop - Kindergarten
516048	359195	Masaru Kawashima
516048	359971	Mark
516048	367966	Lowe
516048	372667	
516049	297520	
516050	313476	Temple Jedi
516051	304690	Himself (sociologist)
516052	2118	Boy #1 at Morgan School
516052	120633	Bruce
516053	110584	
516053	123256	Richard
516053	123257	
516053	123965	Wu Chung
516053	170256	Tsang
516053	231231	
516053	369049	Bong
516053	369775	
516053	405082	Kwok Jing
516054	143062	
516055	67896	Social Club Band
516056	16950	
516057	86586	
516058	138626	Vassal
516058	142816	Guy on Roller Coaster
516058	152026	Rickshaw Man
516058	152030	Buck Tooth So
516058	167731	Young Taoist
516058	168034	The Gabriel
516058	170256	
516058	184740	Wong Fee-Hung
516058	184742	
516058	193911	Gunman
516058	197429	Quiz Contestant
516058	210972	Su-Su's Brother
516058	236231	Nerd in Bar
516058	258407	Turtle
516058	268673	The Retard
516058	268763	Driver
516058	284734	Grassy
516058	298363	Taxi Driver
516058	298372	Taxi Driver
516058	299981	Burglar
516058	323109	Wang San
516058	324338	Wah-Man
516058	324735	Turtle
516058	324736	Huang Yishang
516058	324737	Turtle Wong
516058	324738	Tortoise
516058	358909	Man in Green Suit
516058	369592	Dee
516058	369795	Quy
516058	374893	Tortoise
516058	374908	Nerd in Bar
516058	375917	Car Thief
516059	270923	Lochi
516060	68242	Gambler #2
516060	80482	Crew Member
516060	110338	Kung Fu Student #10
516060	332771	Ming
516061	244358	Bartender
516062	387150	Bob Sesler
516063	14108	Martial Artist
516064	277787	Satan
516065	380730	Himself
516066	131720	
516067	58692	
516067	138626	Band Member
516067	167386	Lam Bo Sun's Coworker in Rest
516067	172220	Member of Group Behind
516067	287334	
516068	216653	
516068	279632	Horton the Third
516069	324972	Himself
516070	72204	Yank Foo
516071	135452	Master Tam
516072	60139	
516073	200834	
516075	369089	
516075	371601	
516076	106497	Shop Owner
516076	208470	Mr. Chu
516077	107290	Break Dancer #3
516078	141621	Gardener
516079	137167	Keith
516079	192457	Triad
516079	204937	Lung
516079	286469	
516079	287334	
516079	296586	Wong Hei
516079	359031	Biscuit
516079	374812	Dee
516080	61042	
516081	41410	Sun's Student
516081	130768	Court interpreter
516082	304690	Narrator
516083	366602	Noodles Chan
516084	370464	
516085	63371	Barry
516085	107377	
516085	131320	Nick
516085	131341	Roger Young
516085	137310	Coke
516085	175255	Vincent
516085	179684	
516085	185808	
516085	230748	Hon Kin
516085	266660	
516085	286903	Hung Chow
516085	298705	
516085	300411	
516085	318919	Hung Chow
516085	369105	
516085	374943	Sai Gwai (Turtle)
516086	284742	
516087	130772	The Boy
516088	158837	
516088	218203	Inspector Hui
516089	7982	Musician
516089	140515	Ba Wong
516089	314763	Toi
516089	408883	M. Tchang
516090	14180	Senior Monk
516091	167765	
516092	122235	
516092	122948	
516092	141740	
516092	169734	Hiroshi Kitada/Yoshimi's husb
516092	169735	Hiroshi Kitada/Yoshimi's husb
516092	232697	
516092	256142	
516092	320762	
516092	359610	
516092	387407	Shirô Okamoto
516093	208544	Communist Army Commander
516094	275566	
516095	344521	
516096	183728	Oriental
516097	297647	
516097	327020	Sergeant
516098	49287	
516098	333508	
516099	8779	Security guard
516099	25818	
516099	48442	Tong Shi Yi
516099	48443	
516099	48444	
516099	59062	May's father, a supermarket o
516099	76421	
516099	76828	George
516099	124880	James Wong
516099	138626	Food Vendor
516099	140838	Peter Chow
516099	147330	
516099	149016	Brother Dragon
516099	151982	Magistrate
516099	152027	
516099	153052	Blindman
516099	167408	
516099	167451	
516099	172220	Judge
516099	184618	
516099	184748	Wong
516099	193048	Police inspector
516099	201835	
516099	210120	J.P.
516099	215473	Host
516099	215474	Host
516099	216627	
516099	227242	Substitute Minister
516099	231231	
516099	231337	Thief
516099	239150	Randy Jim
516099	268699	Mr. Ku's Friend
516099	274427	Chinese Laborer
516099	300401	Orchestra Director
516099	300405	Twins' Father
516099	303407	Governor Cheng
516099	324338	Mr. Wah
516099	324341	Gambler
516099	324738	Minister Wong
516099	336633	
516099	367148	Triad
516099	369591	Uncle Wah
516099	369693	Red Beard (Cantonese version)
516099	369820	Wong
516099	371459	Solicitor Wong
516099	371594	Chung, Kwok Shing
516099	372389	Lo Kit
516099	376063	Priest
516099	393547	Host
516100	160930	Inspector Sun
516100	243554	
516101	158999	SETI technician #1
516101	259217	Ninja
516101	372230	Benjamin
516101	384422	Des
516102	167096	Himself
516102	222267	Himself
516102	252972	Himself
516102	370872	Himself
516103	340271	
516104	73801	Ben
516105	299798	Carjacker #2
516106	70926	Narrator
516106	214909	Team Czechoslovakia
516107	346039	Daniel Chang
516108	295420	Dancer
516109	110257	Additional voices
516110	126544	Attendant/Fairie
516111	59615	Rickshaw Boy at Dock
516112	117656	Tranny #2
516113	149035	
516113	296582	Wesley
516114	8738	Wong
516114	36339	
516114	60556	
516114	61993	Ferrari
516114	62187	Dr. Au Yeung
516114	63301	
516114	63376	Fred
516114	91539	Cameo appearance
516114	94400	John in Bordello
516114	94404	
516114	94435	Comrade Jing
516114	94436	Handsome Wu
516114	94437	H.K. Cop
516114	121095	
516114	121123	Wong
516114	131270	Tung
516114	135461	Ling Siu-Cheong
516114	135473	
516114	142813	Tak the Pimp
516114	149067	Cameo
516114	150721	Leslie
516114	151955	
516114	152810	
516114	167366	Crane Operator
516114	167853	
516114	167854	Lin's Cousin
516114	170020	Fatty Soft
516114	172226	Teacher
516114	184618	
516114	216632	
516114	216636	Pancho
516114	235689	
516114	252091	
516114	270023	Wong
516114	297564	Fat
516114	298381	
516114	300405	Supernatural Doctor
516114	302891	
516114	358235	Dr. Kwok
516114	369848	Inspector Wu
516114	371609	
516114	371921	
516114	372991	Cameo
516114	373055	Would-be Playboy
516114	373251	Man at Race Track
516114	374753	Chiu
516114	376060	Tiny
516114	376063	Cameo
516114	376066	Security Guard
516115	167843	
516116	6886	Tim Quong
516116	53957	Oriental Cop
516116	315721	Wong the O'Hara's Cook
516116	331633	Chinese Curly-Joe
516116	399214	George
516117	302668	Singer/gigolo
516118	124416	Officier
516118	266050	Sgt. Chan
516119	108523	Wong
516120	63117	Waiter #1
516121	63117	Chop Suey Palace Owner
516121	181833	Chef Chu
516122	181833	Chef Chu
516123	109610	Chinese Son
516124	32632	Paper Boyz #4
516125	369385	Joe
516126	76253	Ken Wu
516126	76254	Ken Wu
516127	293130	
516128	95509	
516129	138626	Band Member
516129	167386	Lam Bo Sun's Coworker in Rest
516129	172220	Member of Group Behind
516129	197560	Mao
516130	129077	Durian
516131	94914	
516131	369646	Susan's father
516132	53959	Japanese Executive
516132	59597	Murdered Messenger
516132	203549	Chinese Waiter
516133	135016	
516134	2986	Colonel Yim
516134	62435	Cadet Team Leader
516134	76332	Military Officer
516134	94401	Cheung Po-Sing
516134	95294	Shanghai Wong
516134	136067	The Commander/The Man with th
516134	142967	Mike
516134	144291	Big Lee
516134	152105	Detective
516134	153033	Elder Kung
516134	187757	Lee Siu-Pong
516134	236282	Lee Pang-Sing
516134	297352	Tso
516134	332311	Haye's Man
516134	369049	Tam
516134	370725	King Yee
516134	374914	Chiu Kwok-Man
516134	374975	Master Yim
516135	210979	Wong
516135	303002	Himself
516136	138626	Band Member
516136	167386	Lam Bo Sun's Coworker in Rest
516136	172220	Member of Group Behind
516137	128505	Thai Sergeant
516138	36462	Wah
516138	167819	Peter
516138	220245	Yamamoto
516138	297372	Ng Keung
516138	297373	Ng Keung
516138	300380	The Doctor
516138	367179	Little Ha
516138	374688	14th Prince
516138	374826	James
516139	4471	
516139	36376	Hung Wai-Kwok
516139	60191	Tong
516139	63364	
516139	76420	
516139	78593	Ho
516139	145428	Coke
516139	152813	
516139	198710	Ray
516139	218774	Mr. Wong's Father
516139	231228	
516139	268547	Fung
516139	284710	
516139	284731	Master Li
516139	287034	
516139	287035	Titan
516139	340609	
516139	368093	
516139	369058	Fin
516139	371403	Sunny
516139	398446	Himself - Wokboarder
516140	358283	Asian Brother
516141	410920	Vancouver Host (2001-2003)
516142	274458	Drunk #3
516143	123415	Asian Tough Guy
516143	185248	Monkeyman
516144	340613	
516145	226959	
516146	280279	The Transylvanians
516147	278794	
516148	29457	Lung Yu
516148	60566	Gangster Who Gets Hand Blown 
516148	63744	Big Nose
516148	64177	
516148	91539	C.N. Tai
516148	121095	Paul
516148	194085	Inspector Lau
516148	196669	Chiang
516148	209928	Repo Boss
516148	255750	
516148	297352	Triad
516148	300405	Crazy Kung
516148	332512	Bartender
516148	374738	Cameo
516148	374825	Telly
516149	187322	Chinese stage passenger
516149	202864	Landlord
516149	374685	Wong Yan-Kit
516150	315899	Grocer
516151	266050	Bald Thug
516152	52	Coast Guard
516152	60127	Chung Hoi
516152	152030	Wong Fei Hong
516153	25910	Ming-Ming
516153	84867	
516153	167386	Rocky Ma
516153	184325	Lim
516153	196694	Ah-Ming
516153	297376	American grandson
516153	297500	Kwok Man-Sing
516153	372187	Porky Yeung
516154	15291	Big Eyes
516154	28825	Nam
516154	29465	
516154	42232	Loud Hung
516154	42234	Chi
516154	48443	
516154	60565	Kwong
516154	61070	Murder Victim
516154	76305	Himself
516154	86316	Wong Tong/Eddie Wong
516154	122700	Bill
516154	135083	
516154	136335	Mute
516154	138626	Robbers
516154	140838	Wong Kwong
516154	151953	
516154	151982	
516154	167408	Brother Kwong
516154	167434	Ng Kong
516154	167759	Chiang Tai-Su/Somi
516154	167836	Rabid Hsiung
516154	172220	Crazy Bill
516154	172221	Bank Robber
516154	184742	
516154	189145	Lee Ping
516154	193938	Kwong
516154	198592	Lo Yi
516154	203389	Got Siu-Tai
516154	210974	Fatt
516154	212510	Guy at Airport
516154	212639	Kwong
516154	220243	Nam
516154	236286	Jean's Husband
516154	255750	Bull
516154	277561	
516154	298372	Lethal Weapon/Mad Bill/Fish B
516154	298395	Cop
516154	298419	L.T. Tang
516154	324716	Billy
516154	332316	Trumpet
516154	361476	
516154	367167	Messy
516154	369591	Ugly Guy in Supermarket
516154	369956	Chuen-Ngor
516154	371452	Lam Man-Fu/God of Hell
516154	371594	Kao, Hon Dog
516154	371923	Kuen
516154	373259	Kwong
516154	373686	
516154	374340	Mao Xi
516154	374827	Big Eye Kwong
516154	375919	Cheung Ho
516155	334781	
516156	114303	Korean
516156	292310	
516157	98936	Himself
516158	40450	
516158	196505	John
516158	216712	Chinese Cook
516158	237612	Bank Manager
516158	252925	Japanese Diplomat
516158	253059	Alfred
516158	372555	Waiter
516158	375798	Police Officer #2
516159	245107	Boss Wong
516160	230831	Chinese Gang Leader
516160	312138	Prison Guard
516161	278315	Ugly
516162	256141	Bouncer
516163	8777	
516164	4471	
516165	373261	
516166	27789	Principal
516166	29475	Mr. Man
516166	75229	
516166	76426	Luk Siu-Fung
516166	94403	Dwarf
516166	106779	
516166	116649	
516166	121103	
516166	135025	Hooker's Client
516166	136068	C.P.
516166	144291	Tommy
516166	152113	Short Hood
516166	167854	
516166	184754	Insurance Agent
516166	189225	Wang
516166	198593	Pig Head
516166	203116	Uncle
516166	210971	Bespectacled Exorcist
516166	236264	Fish Vendor
516166	268651	Officer Ko
516166	270021	Pork Bun Seller
516166	284724	Ah Man
516166	286969	Head Writer
516166	297309	Director of Cleopatra
516166	299982	Lo
516166	303403	
516166	333527	
516166	336638	Station Manager
516166	371619	Lee
516166	373251	Chun
516166	373675	
516166	374900	Lee
516166	374975	Uncle Ken
516166	374982	Bo
516166	376066	Ko-Way
516167	300512	
516168	349519	
516169	349519	
516170	291480	Himself
516171	30582	Beers Team Band: Bass
516171	190037	Dub
516172	60566	Kwok-Keung Lun
516172	172226	Joe Kam Tze-Mon
516173	297504	
516174	62190	Tian
516174	63291	Ben
516174	87091	
516174	88283	Rolex
516174	95193	Colonel Yang
516174	123258	
516174	135014	
516174	138612	
516174	138626	Party Guest
516174	138630	Sy Lam
516174	141871	Chu
516174	147330	
516174	152106	Wong
516174	152115	Michael Wong
516174	171738	Cop
516174	172218	Rival Coach
516174	184617	Mel Wong
516174	184748	Melvin
516174	188348	Kim Song
516174	189177	Golden Dragon
516174	189518	Inspector Lau
516174	191125	Robert
516174	193893	Inspector Wong
516174	204937	Ha
516174	212644	Wong
516174	220245	Wong's Superior
516174	222429	Stanley
516174	254910	Liang Chen
516174	254946	
516174	256134	James Wong
516174	268679	
516174	268699	King's Councillor
516174	275564	Police captain
516174	276184	Kim Song
516174	286917	Dick Szutu
516174	287041	Anna's Husband
516174	295243	Tough Guy at Pool
516174	296592	Sam Tsao
516174	298380	
516174	298683	Melvin Wong
516174	322667	Kiu
516174	341545	Inspector Wong
516174	360992	Lau
516174	369088	'Panther' Ho Man Tong
516174	369104	Bull
516174	369589	Ma
516174	369762	San
516174	369826	Thug
516174	370500	Sam
516174	371593	Mo Hsien-Sheng
516174	373027	Prison Officer
516174	373688	Wong
516174	374340	Melvin
516174	374802	Sergeant Wong Jing-Wai
516174	375917	Insurance Investigator
516175	305367	Uncle Bobby
516176	2103	Dixon
516176	27808	Brian
516176	29466	
516176	48423	Honey Chan
516176	58363	
516176	58643	
516176	60564	Hideyuki Makimura
516176	61071	Mike
516176	77891	Charlie Fok
516176	90560	Michael (Fei)
516176	110588	Don Wong
516176	110594	Stone Wong
516176	122685	G4 Trainer
516176	136068	James Fok
516176	136329	Police Inspector Wong
516176	136332	Marty
516176	138305	Mike
516176	138620	Dan Peterson
516176	141925	Michael
516176	151976	Michael
516176	152116	Michael Wong
516176	161874	
516176	167769	
516176	178975	Han
516176	181445	Yuan King
516176	184614	Wong Chi-Ming
516176	187757	John
516176	189124	Miles Ma
516176	189168	Dino
516176	194085	Michael
516176	204186	Ken
516176	217138	Mook
516176	230748	Stone
516176	241038	Michael Tang
516176	246136	John Cannon
516176	254948	Steve Cannon
516176	275193	Marvin Lai
516176	275570	
516176	297518	
516176	331694	Additional Ball Player
516176	332342	Ted
516176	358924	Sam Wong
516176	359014	Rick
516176	360985	Law Fuk-Tin
516176	368069	Michael Wong
516176	369820	Duke Simon
516176	370841	Cheng
516176	371346	Michael Cheung
516176	371571	Mike
516176	373088	Jerk Sir/Michael Cheung Fat-L
516176	373251	Saint Michael/Shing Shing
516176	374812	Ho Yau-Fung
516176	374816	Michael
516176	374820	Edwin
516176	374948	Bolobolo
516176	374975	Ko Kwan
516177	354683	Jeremy Young
516178	35264	Lin
516179	12338	Salsa Band
516180	330705	Drago
516181	80828	
516181	297520	
516182	59293	
516182	204936	Fighting Student
516182	254948	Police officer
516183	364039	Elder #1
516184	287035	
516185	282253	Sushi Chef
516186	112343	Servant
516187	25908	Bull
516187	58455	Inspector Wong
516187	63475	
516187	63476	
516187	63482	Moustache
516187	76332	Officer Cheng
516187	76837	Wong Park-Man
516187	86316	Insp. Chan
516187	110626	Wong
516187	121095	Japanese Soldier
516187	123973	Buffalo Hung
516187	131256	'Jackson' Wong
516187	135932	Blacky
516187	167183	
516187	191120	Inspector Chen
516187	193892	Cameo appearance
516187	193908	Triad Boss
516187	193938	Ah Man
516187	216634	
516187	332291	
516187	359018	Inspector Hwang
516187	368067	Wen
516187	369763	Coffin Sing
516187	369772	Officer Lee
516187	369820	But
516187	371459	Officer Lee
516187	374340	Man
516188	74267	Photographer
516188	299794	Venning's Minder
516189	127775	Police Officer
516190	298769	Next Door Neighbor
516191	109589	Ling's Father
516192	49350	Wu Shu Monk
516192	269626	Chinese Fighter
516192	370867	Bachelor
516192	411435	Host
516193	332771	Gang Member
516193	359904	Oxcam
516194	170831	Variety Store Clerk
516194	233584	
516194	342156	Hospital Patient
516195	205171	FBI agent
516195	216672	Eddie
516195	236047	Chinese Husband
516196	336753	Forensic Technician
516197	3260	Lo Leung
516197	4469	Mr. Wong
516197	8777	
516197	25910	Mr. Fong
516197	63285	John Wong
516197	76358	Supt. Mai
516197	76398	
516197	76828	Kow-Foo Yum
516197	117299	Liu Man (Journalist)
516197	124577	
516197	138626	Forty
516197	138629	Wong Ka-Fan
516197	151962	Man Eating Bananas
516197	151982	Lam Ka-sing
516197	152010	Dishonest Diner
516197	167408	Shang Moon
516197	167841	Alan
516197	172217	Stewart Pik, the Happy Ghost
516197	172218	Hong Sam-Kwai/Happy Ghost
516197	172220	Hong Sam-Kwai/Happy Ghost
516197	172221	The Happy Ghost/Dog named Mag
516197	172222	Hong Sam-Kwai/Happy Ghost
516197	184742	
516197	191125	Hansom Wong
516197	268631	Willie Ng
516197	281464	Deng
516197	296581	
516197	300446	
516197	367148	Maitre d'
516197	369582	Dai Luk Mao
516197	369693	White Cloud (Cantonese versio
516197	369699	Stewart Pik
516197	371601	Robert
516197	376073	Priest
516197	376074	Priest
516197	393547	Guest
516198	24168	The hotel receptionnist
516198	56048	
516198	103877	Le couturier
516198	278707	Chen
516198	286042	
516198	294374	Le Chinois
516199	315476	Son
516200	332146	Mr. Wong
516201	305375	Danny
516202	305157	
516203	185964	Club Goer
516204	349399	Sumitora's Bodyguard #2
516205	112701	
516205	151803	
516206	3261	Superman
516206	91539	Michael's Buddy
516206	94400	Crawl
516206	137792	Cop
516206	167452	Wanchi
516206	170074	Fink Fai
516206	204936	Chan Chee-Ming
516206	221498	Half Day
516206	268652	Long Hair
516206	298398	Milk
516206	298424	Ronald
516206	333559	Leopard
516206	368074	Site
516206	369074	Tao's Man
516206	369558	Eric's Friend
516206	369958	Short Thug
516206	370473	William Wong/Boney
516206	373153	Magic Dick
516206	373162	Wong Lin
516206	373259	Jerk
516206	374825	Informer
516206	374974	Chicken
516207	32818	Japanese child
516208	12332	Medical Examiner
516208	281196	New Prisoner
516208	312011	Mayor Watanabe
516208	358659	Lonnie Wu
516208	372667	Song-Gai
516209	51472	
516209	62015	Lam Cheng Shen
516209	63481	Ken
516209	97003	Ben Loy
516209	124880	Russell
516209	136327	Mr. Wong, the Physical Educat
516209	136335	Bobby Chow
516209	139678	
516209	160414	
516209	169594	Lin Xiao
516209	194797	Monkey King
516209	201744	Himself
516209	230676	Park
516209	265861	Danyael
516209	281196	Kai
516209	323114	Gordon Chen
516209	323499	Tsutomu Shimomura
516209	337327	Rick Tsung
516209	340767	Nick Kang
516209	342635	Lieutenant Tong
516209	350474	Jian-Wa
516209	350475	Jian-Wa
516209	350476	Jian-Wa
516209	350477	Jian-Wa
516209	369591	Zeniger
516209	382163	Tom Chang
516209	409837	Jian-Wa Chang
516210	48442	Old teacher
516210	121103	
516211	338537	
516212	328581	
516213	401570	DC Paddy Lim
516214	151954	
516214	151955	
516215	370923	Siu Yu's Father
516216	190016	Himself/Bruce Lee's Martial A
516217	350474	Chinese Translator
516217	350477	Chinese Translator
516218	170256	Larry
516219	62190	Ho
516219	76424	
516219	86267	Tian Feng
516219	131077	Hung
516219	131265	
516219	324346	
516220	85455	
516220	106793	Leo
516220	121103	
516220	170012	
516220	170074	
516220	203388	Li Lianying
516220	207574	Urchin
516220	212511	Danny
516220	298427	Cheung Kin
516220	326015	Keith Chow
516220	369571	Chiang Chuen-Sui
516220	371509	
516220	373159	
516220	373160	
516222	336635	
516223	18310	Geek
516223	278794	
516223	285739	Wade
516223	381562	Adam Chen (2000)
516223	399480	Nick
516224	167446	
516225	370923	Man Upstairs
516226	187078	Dan (the boy leading the fath
516226	379916	Stanley (1972)
516227	89321	Clerk
516228	223735	
516229	408627	Chinatown Boss A
516230	53	Sgt. Ching
516230	193953	
516230	246057	Sen
516231	335406	Swan
516232	144294	
516233	259126	The Security Director
516233	281895	Salesman
516234	42236	
516234	94833	
516234	135493	Thief
516234	218796	
516234	227266	Shang Ying Wai
516235	235571	Himself
516236	4466	
516236	60596	Fat Cheung
516236	63371	
516236	121776	
516236	138305	Uncle Lam
516236	190665	
516236	194086	
516236	231226	
516236	266660	
516236	300043	
516236	369105	
516237	115673	Yue
516238	224667	Wine Steward
516239	53	
516239	117299	Fong Tin Yau
516239	333513	
516239	370923	Bathroom Ghost
516240	26992	Bully Kid #2
516241	323983	
516242	268709	Rebellious General
516243	167839	
516244	115542	
516245	359920	Delivery Man
516246	253920	Quang Lee
516247	7111	Japanese
516247	33748	Gardener
516247	35137	Joe, thug
516247	47052	Wong
516247	78079	Charlie, Chinese Boy
516247	84140	Trainman
516247	92814	Japanese Officer
516247	112451	Mikichan
516247	112452	Mikichan, outlaw chief [Chs. 
516247	116271	Chinese passenger
516247	137246	Lee Finn
516247	177325	Charlie (the cook)
516247	186789	
516247	194822	Bandit Leader
516247	215862	Japanese diplomat
516247	234090	Houseboy
516247	254499	Charley One
516247	254563	Willie Ming
516247	271953	Cook
516247	275449	Japanese Junior Officer
516247	296966	Wu Chang
516247	308367	Chinese Cook
516247	324242	Cholly Wong
516247	349633	Japanese Fisherman
516247	359213	Wu Sun
516247	366946	Soldier
516248	404234	
516249	2132	Grandpa Mori Tanaka
516249	2133	Grandpa Mori Shintaro
516249	2135	Grandpa
516249	2136	Grandpa Mori
516249	15291	Grandpa
516249	37474	Egg Shen
516249	41409	Fighter
516249	76332	Uncle Nine
516249	84931	Chi Chi
516249	86780	Uncle Tam
516249	97003	Wah Gay
516249	117404	Ho
516249	130740	The Old Man
516249	155270	Fyodor
516249	164699	Mr. Wong
516249	169594	Old Chong the Piano Teacher
516249	185241	Chen Pao Shen
516249	187124	Larry Chow
516249	190131	
516249	197560	Sissy
516249	224667	Janitor
516249	232495	Fung Leung
516249	248101	
516249	264038	Prof. Howard Birack
516249	291893	
516249	295406	Chinese 'Amban'
516249	297389	Ho Chong
516249	313778	Henry Nakai
516249	339018	Walter Chang
516249	370863	Harry Yung
516249	404613	(1975-1976)
516250	30955	Crime lord #1
516250	86263	General Li
516250	90905	Police sergeant
516250	153562	Geek In Detergent Ad
516250	178114	Minister Tang
516250	192268	Chinese florist
516250	234572	Chinese Hood
516250	245010	Luo Dazkong
516250	256141	Chinese Gambler
516250	256211	Paramedic
516250	264917	Cheng
516250	271168	Customs officer
516250	276264	Restaurant Manager
516250	301956	1st Japanese Man
516250	319753	Referee
516250	328581	
516250	330308	
516250	331426	Fan
516250	397793	Fu Wong Chang (Series 4) (198
516250	399595	Lim Chu
516250	411133	Rebel Commander
516251	368073	
516252	52	
516252	97003	Chuck Ting
516252	151962	
516252	386283	Tung Cheuk, the evil prime mi
516253	216664	
516254	3249	Gentleman
516255	62196	
516255	295364	
516256	61041	
516257	169882	News Reporter #4
516257	198338	Chinatown Boss
516258	59615	Waiter
516258	125509	Bartender
516259	183100	
516259	252180	
516260	370464	
516261	210768	
516262	286441	Kevin
516262	313158	Kevin
516263	117656	Bobby
516264	296898	Qui Lee
516265	9004	Additional basketball player
516266	365344	Sound Man
516267	139089	Lee
516268	37474	Wing Kong hatchet man
516268	314269	Young Tough
516269	244365	Music Video Dancer #1
516270	67052	Tactical Sergeant
516270	384651	Himself (Charlie Squad replac
516271	282253	Zombie Brother/Sensei (Dying)
516272	284742	
516273	63367	
516273	368072	
516274	25932	Mahjong Player
516274	38847	
516274	60124	
516274	61987	
516274	63281	
516274	123714	Bold Cheung
516274	131185	Kung-Fu Master
516274	136379	
516274	178975	Eddie Wang
516274	231199	Priest
516274	239145	Foster Mother
516274	300684	
516274	318919	
516274	347185	
516274	370803	Siu-Fung
516274	373154	Ken
516274	374752	Shi Chung
516275	393550	Leung Ha
516276	149098	
516276	359717	Kid from Laundromat
516277	295241	Sam
516278	268709	Tour Driver
516279	60124	
516279	136328	Black Suit Thief
516279	144294	
516279	197135	
516279	231199	Nam
516279	240567	Sam
516279	303404	Lau
516279	370727	Ming
516280	28831	Fu Yua
516280	58694	Ching
516280	59068	
516280	62193	
516280	85504	Fang Chih-Yu
516280	152797	Hung Wen-Ding
516280	167756	
516280	176390	
516280	184329	Dirty Ho
516280	204933	
516280	279538	
516280	297487	Old Ground Rice
516280	369061	Yang No. 1
516280	369641	
516280	369970	
516281	298401	Colonel Wong
516282	298401	Wong's Partner
516283	123258	
516284	317699	Wong Fei-Hung
516285	183044	
516286	334781	
516287	197135	
516287	333506	
516288	170015	Yen Nan Tien
516289	374689	
516290	223735	
516291	3259	Artist
516291	8737	
516291	27789	Lee Yat-Fai
516291	59062	Rival Shop Owner
516291	61460	Kwai
516291	73198	
516291	76348	Koo Fung
516291	76426	Yip Koo-Shing
516291	76838	Wedding Official
516291	88612	Dentist
516291	91539	Cameo appearance
516291	95192	Car thief
516291	121776	Chan Pak Cheung
516291	131271	Government Housing Man
516291	135025	Brother One's Father
516291	135466	Fai
516291	138630	Ted
516291	151962	Man Whose Hair Gets Sheared
516291	151991	Theater Manager
516291	152026	Master of the Village
516291	152119	Uncle Fai
516291	152344	Bold
516291	152810	
516291	167427	God of Gamblers
516291	167781	Kitchen Staff
516291	168034	Magistrate Chan Pak-Cheung
516291	181543	Minister
516291	183101	
516291	189506	Spitfire's father
516291	192448	
516291	192467	
516291	193936	Hu's Uncle
516291	203388	Emperor's Teacher
516291	210968	Master Chen
516291	258407	Ho's Boss
516291	286458	Fu
516291	286969	Chan Yiu-Cho
516291	296589	Rusty
516291	297309	Lo Kim-Choi
516291	297500	Uncle Choi
516291	298710	Ford
516291	300400	Singing Man
516291	300448	
516291	303399	Iron Head (Big Brother #1)
516291	369072	Yan Yen-Cho
516291	369108	Father of Lee's Girlfriend
516291	370728	
516291	370755	
516291	371593	Drunk in coffin
516291	372991	Chung
516291	373013	Monk
516291	373251	God of Bad Luck
516291	374915	Hing's Dad
516291	374948	Sau-Ping's Boss
516291	374974	Hypnotist
516291	383833	The Bull Evil
516292	181834	Master Kee
516293	216669	Miles at Birth
516294	176871	Dog Badbomb
516294	241919	Humlae/Dirty Balls/George
516295	288489	
516295	319966	King Mahachakrepat (Prince Th
516296	289110	Kasem
516297	181747	
516298	175949	Nopporn
516299	20620	Man Ting
516299	218236	Sadaw's Father
516300	285610	Foreign Minister
516301	238590	Nguyen
516302	300361	Hairdresser #2
516303	100008	Dharka
516304	100007	Dharka
516305	171739	
516306	129887	
516307	210827	Goldmouth's man
516308	64864	Casino Man
516309	328804	Celebrity Participant
516309	381295	Presenter
516310	481	Himself - the Conductor
516311	35878	
516311	58243	Rozmaryn's Secretary
516311	104649	
516311	131954	Policeman
516311	165607	Bromski
516311	167319	Jean Ledoix
516311	225965	Remiza
516311	231362	Waldi
516311	261459	Activiste
516311	262207	
516311	305560	Band Manager "Boy"
516312	1043	Captain
516312	31133	Otto
516312	37509	Tony Henderson
516312	40281	Lord Rudford
516312	43737	Lord Kingsburgh
516312	45993	Maj. Glockleigh
516312	69235	Sir Charles Wallington
516312	71909	Carlos
516312	79803	Major Warminside
516312	85831	Lady Marshalt
516312	87709	Judge
516312	99545	Lord Grenville
516312	104518	Eugene Aram
516312	124737	Marquess of Quex
516312	125620	Old Gentleman
516312	125874	Judge Le Fevre
516312	159438	
516312	171176	Escubar
516312	174514	Colonel Westhanger
516312	183840	
516312	185658	Guido
516312	190006	Embassy counselor
516312	191080	Insp. Morland
516312	192601	Montell
516312	195592	
516312	198871	Duncan
516312	211786	Sir John Craig
516312	215799	Sherlock Holmes
516312	239658	Judge
516312	268153	Colonel Pickering
516312	277668	York
516312	282607	Bit Part
516312	291714	Baron de Baudrec
516312	292126	Col. Gueraud
516312	292491	Paul
516312	296782	Sir John Bellingham
516312	301253	Sherlock Holmes
516312	301926	Sherlock Holmes
516312	304789	Sherlock Holmes
516312	315520	Procurator Fiscal
516312	327710	General Mackenzie
516312	328618	Col. Redmayne
516312	331312	Leader of the House (segment 
516312	332024	Sir Peter 'Pete' Challoner
516312	340023	Sherlock Holmes
516312	351442	Otto
516313	341028	Man at Hotel
516313	385299	Sir Geoffrey Yuillw
516313	385823	Lord Reading
516313	400709	Member of Parliament
516314	88874	Professor
516315	56888	
516315	164539	Trevor
516315	193759	Ian
516315	224431	Ben
516315	237711	Sebastian
516315	338350	David
516316	29162	Sportmoderator
516316	402843	Host
516316	404475	Host (1996)
516318	385162	Young Copper
516319	196313	David
516320	232799	Chong's friend
516321	80735	Band Member
516322	21919	
516323	16169	Jerry
516324	259646	Taneguchi
516324	326379	
516325	161939	
516326	25888	Fake Santa
516326	25902	Hu
516326	25903	Wu
516326	27808	Lotus' Father
516326	29479	
516326	60565	Mr. Yang
516326	76286	Uncle Hsiu
516326	85486	Chan
516326	86318	Uncle Wu
516326	96522	Alan Teng Li-Chun
516326	110603	Man, the Attorney
516326	116648	Mayor Yi
516326	127124	
516326	127775	Shau Tau Kok Station Commande
516326	135466	Woo
516326	137151	Father Fok
516326	138626	Old Man
516326	141925	Maggie's Uncle
516326	151925	Wu
516326	152113	Wu
516326	167386	Cheung
516326	167423	
516326	167427	Kan Fei
516326	167450	Hu
516326	167509	Uncle Chai
516326	172220	Annie's Father
516326	172226	Man on Television
516326	187757	Noble Liu
516326	189506	Hsiao-Lung's father
516326	192453	Sao Ko
516326	193893	Principal Pang
516326	197560	Lam Tsung
516326	203117	Trainer
516326	210969	Shin
516326	210970	Wu
516326	210972	Chiang Wu
516326	210979	Superintendent
516326	212645	Wu
516326	236249	Commissioner
516326	254946	
516326	268631	
516326	268699	Hotel Manager
516326	268770	Prince White-Horse
516326	284734	The Inspector
516326	286903	
516326	293467	Mr. Cheng
516326	297354	Mak's Boss
516326	297394	Club Manager
516326	298372	Inspector
516326	299981	Wu
516326	302616	
516326	323109	Uncle Bach, the Principal
516326	324714	Priest
516326	326353	Old man who has supernatural 
516326	332295	Richard
516326	332331	Li Chum-Foon
516326	367118	Boss of Michelle and Franco
516326	367156	Ghost Father
516326	368068	Uncle Deng
516326	368069	Nightclub Patron
516326	369072	Foreign Expert
516326	369787	Teacher with Glasses
516326	369813	Uncle Yam
516326	370603	
516326	370819	Painter
516326	370842	Lai's Father
516326	371494	Tong
516326	372189	Uncle James
516326	374948	Hercules
516326	374974	Uncle Zai
516326	376061	Taxi Driver
516327	167756	
516327	259287	Ho Mei Fong
516328	58918	George
516329	9776	
516329	94628	Gouda
516329	153255	
516329	247364	
516329	336432	Yoshiyuki Gouda
516330	37062	Pak Chung
516330	80844	Chen
516330	176810	Tao Yi
516330	181836	Martial Arts Master #1
516330	188511	Four Father James Wing Chow
516330	205089	Chen
516330	275870	Priest
516330	297483	
516330	305987	Mr. Lui
516331	288360	
516332	1681	Himself
516332	3749	Himself
516332	20967	Himself
516332	25888	John Wu
516332	32993	Himself
516332	62685	Himself
516332	64177	
516332	66652	Himself
516332	76370	Miss Chen's father
516332	86315	Police inspector
516332	120523	Himself
516332	123260	Father Fan
516332	138626	Man on Stairs
516332	142813	Man in Bed
516332	164576	Himself
516332	182071	Himself
516332	184998	Mr. Woo (night club owner)
516332	215881	Himself
516332	244950	Young Man
516332	297485	Scholar Cheng
516332	300405	Priest
516332	332510	
516332	370509	
516332	371599	Inspector Wu
516332	371644	Police Chief
516332	371923	Kwong
516332	375777	Stanley Wu
516333	255872	
516334	92260	Dead Person
516335	238252	Wo Luck
516336	226667	
516337	39606	Sarah Lau
516338	23955	Voice of Kung-fu master
516338	123338	Koboyashi
516338	184812	Buyer
516339	179675	Johan
516339	375754	Extra as Japanese tourist
516340	132202	
516341	158393	Asian Elder
516341	167820	Uncle Seven
516341	401828	Sam Gooey
516342	20625	Featured player
516342	114303	Bit Part
516342	285605	Native
516342	360482	
516343	385151	Additional Voices
516344	370863	Elder
516345	21740	
516346	123844	
516347	105309	Emma's Customer #3
516348	158109	Older Jimmy
516348	196339	
516348	313382	12 Year Old Runner
516349	9793	Doctor
516349	53829	Driver
516349	212628	
516349	228214	Sam
516349	234711	Officier de police
516349	259720	Priest
516350	73873	Pony Express Rider
516350	73891	Cowboy
516350	97361	Himself/The Film Maker
516350	114656	Sheriff/Pops
516350	116249	Himself
516350	129366	Glen/Glenda
516350	140159	Himself
516350	142485	Danny/Woman/Himself (segments
516350	147820	Himself
516350	150182	
516350	164964	Radio News Announcer
516350	232084	Man in Fight
516350	240908	Himself
516350	257231	Man Holding Newspaper
516350	302841	Man in fight
516350	323409	Alecia
516350	323410	Alecia
516352	122968	At store
516353	129550	Cabman
516353	266236	The Gardener
516354	223758	Stanley
516356	313005	Whiskey
516357	131054	The Caddy
516358	58475	Teletype Operator
516358	78140	Bellhop
516358	398368	Slate boy
516359	303980	Flashback youth
516360	82468	Mighty Whitey, one of the Dev
516360	91793	Police Officer
516361	1874	Berrick's driver
516362	31015	
516362	33765	Mr. Rashworth
516362	39539	Pater
516362	195857	Mr. Simmons
516363	81299	Crony
516364	366353	Usher
516365	210778	Himself (war correspondent)
516366	7293	Field Pass Checker
516366	12764	Elevator Operator
516366	30122	Taxi Driver
516366	43297	Army Clerk
516366	46775	Florist Delivery Boy
516366	47355	
516366	48558	Bellboy
516366	52447	Cameraman
516366	81235	Newsboy
516366	96956	Chick, (as Alan Woods)
516366	107703	Cab Driver
516366	116527	Office Boy
516366	120508	Pepper Murphy
516366	121389	Messenger
516366	129842	Onlooker
516366	131896	Bellboy
516366	134058	Photographer [Ch. 3]
516366	134308	'Stub', a Freshman
516366	136274	Tough Corporal
516366	139191	Florida hotel bellboy
516366	139586	Etley
516366	141323	Messenger
516366	150797	Newsboy
516366	157847	Joe (bellhop)
516366	158915	
516366	161975	Youth
516366	163246	Cab Driver
516366	176846	Harry
516366	183440	Locker Room Boy
516366	190210	Peanut Vendor
516366	190723	Elevator Operator
516366	194721	Tough Kid
516366	196998	Second Bellboy
516366	213081	Charles, a Newsboy
516366	215625	Hay
516366	220779	Bellhop
516366	241443	Bellhop
516366	245498	Judge
516366	248315	Cullins
516366	251215	
516366	251377	Wells Fargo Agent
516366	252981	Clerk of Court
516366	263601	Freshman Telling Lou That Sam
516366	275451	Bellboy
516366	292145	Messenger
516366	295301	Groom
516366	311736	Jockey #5
516366	315748	Messenger
516366	347609	First Cab Driver
516366	348835	Bailiff
516366	352752	
516366	389411	Doctor
516367	43376	Frankie
516367	134557	Studio Photographer
516367	148329	Flash
516368	219965	Himself (Vocals)
516369	114145	Kid #2
516369	352441	Rock Boy
516370	17785	Woody
516370	45830	Brain Surgeon
516370	106526	Maj. Sorenson
516370	109722	Robert Shaw
516370	127235	Doctor Pete Denza
516370	197018	Futterman
516370	218150	Benny
516370	236152	Sheriff Tooley
516370	265091	John Blaine
516370	271826	Banks
516370	364611	
516370	399838	
516371	252853	Drummer
516373	30180	Winkster
516373	213299	Lysander
516373	242027	
516374	200275	Mike
516375	331428	Himself (singer)
516375	381108	Host
516376	19825	
516376	34816	
516376	110554	
516377	408694	Designer (2003-)
516378	252483	Dean of Liberty College
516379	48566	Jazz Triangle
516379	87905	Workshop Actor
516380	235618	Hotelier
516381	110916	News Crew
516381	304741	
516381	372264	Ted Walthrope
516382	351695	
516383	167087	Punk
516384	112021	
516385	166871	Additional cast
516386	54207	Elmer Wesson
516387	357999	Capt. Ed Bill
516388	260327	
516389	97388	Knicks Trainer
516389	100756	Attendant
516389	303894	Aerialist
516390	124455	
516391	317834	Courier
516392	168546	
516392	195818	Frank
516392	292468	
516393	218169	Brian, the poet
516394	6851	Hardy
516394	33941	Roustabout
516394	44292	Drunk
516394	44307	Lafe Willis
516394	45427	Man in jail
516394	60936	Swamper
516394	62704	Cowboy Boggs
516394	80519	Bartender
516394	84442	
516394	92185	Britt Haines
516394	114291	Second Cowhand in Courtroom
516394	144583	Speedy
516394	147886	Himself
516394	154595	Play Spectator
516394	178946	Laids (a cowhand)
516394	186271	Drunk
516394	206105	Bartender
516394	256642	Ben Pendleton
516394	272100	Speedy MacGuinnis
516394	276754	Curley (stage driver)
516394	276762	Barney
516394	278005	Rancher
516394	287742	Axel
516394	287752	Kelly (bartender)
516394	291745	Van Wart
516394	300167	Speedy McGinnis
516394	312271	Grubby
516394	312842	Speedy
516394	315538	Jake
516394	316270	Bit Man
516394	329026	Sandy White
516394	337586	Lanky
516394	337628	Harmonica player
516394	350461	Bartender, (Mark of the Lash 
516395	363400	Dirty Cop 1
516396	185537	Bud
516397	310481	Stern Dad
516398	80196	The Shootist
516398	297880	Sergeant Williams
516399	74771	Assistant Professor
516399	120202	Cort
516399	314170	Charlie
516399	364847	Pledge
516400	32007	
516400	80034	
516400	108098	Dai
516400	123280	Guard
516400	302919	Mzimba
516400	325152	Sergeant
516401	187482	Watchtower Lookout
516402	168599	Himself/Interviewee
516402	178840	Soldier
516403	119560	Old Liam
516405	177368	Gangster #1
516405	203071	Shooting Kid
516406	366075	
516407	337417	Himself
516408	129799	Himself
516409	160305	Himself
516409	160317	Himself
516409	175469	Himself
516410	233479	Timothy Orville
516411	272440	Coachman
516412	361851	Extra
516413	146433	Narrator
516414	50275	Sergeant Chalmers
516414	73990	Jonathan Small
516414	80593	Bernard
516414	81123	Archdeacon Matthew Crampton
516414	89226	Cecil
516414	95256	Lt Gen Henry Pownall
516414	152641	Tom Ross
516414	160049	Turner
516414	179065	Ginger
516414	191241	William Marshall
516414	233528	Tony Jasper
516414	263298	Inspectoe Andries Pretorius
516414	338786	Captain Smollet
516414	366744	
516414	382052	DCI Gordon Wray (1990)
516414	390187	Ron Anderson
516414	394474	Vic Brown
516414	395924	Firefighter Jack Morgan (1996
516414	396050	Rod
516414	398399	Blair
516414	402092	Matt Kerr
516414	408813	Dirk
516415	74311	
516415	185826	Nick
516416	113498	Fire Chief Vasquez
516416	408968	Governor General
516417	167922	Elmer
516418	323225	Police Officer
516419	192072	Arnold
516420	48489	Himself
516420	138345	Himself
516420	230690	Himself
516420	326739	Himself
516420	328128	Jimmy
516420	329323	Sound Guy
516420	399248	
516421	77479	Rebelvis
516422	58493	Bozo
516423	5585	Lt. 'Tommy' Thompson
516423	38000	Wolf & Father
516423	41795	Caulfield Starter
516423	47928	William Millais
516423	90260	
516423	150741	The Body
516423	155928	Johnny
516423	188400	
516423	194130	Ditton
516423	235156	Herring
516423	321351	Vicar
516423	323913	Phillipe, the tutor (segment 
516423	351597	
516423	386481	Lord Derby
516423	388504	
516424	23452	Kurt S. Charlottan (Spaceworm
516424	71320	Cosmic Space Ninja #1, Master
516424	100806	David Kennedy
516424	103268	Cosmic Space Ninja #1/Bandit 
516424	120828	Gulag Administrator
516424	279736	Robin Hood
516424	335542	Hick
516424	386339	Hotel Manager
516425	77710	Dancer
516426	277471	Wild Possums Band
516427	82333	Walt's Dad
516428	128347	Himself
516429	157324	Adult Football Player
516430	311703	Himself
516431	72372	Guard
516431	227509	Colonel Brian Baxter
516432	124378	Extra
516433	53946	Will
516433	238597	Rick Holland
516433	384627	Freeman Don Wood
516434	209493	Harry
516434	384627	Freeman Work Overseer Don Woo
516435	294390	Himself
516435	299770	Himself
516437	188121	The Golfer/Actor
516438	1648	Crandall
516438	6800	Art Contest Director
516438	7036	William Dean Howells
516438	10520	Selim
516438	13380	
516438	26184	Dr. Ateshire
516438	32352	Samual Hapgood
516438	33748	Mr. Butler
516438	37322	Dr. Dinwiddle
516438	41101	Theodore Payson
516438	41502	President of Texas Senate
516438	44275	Rancher Kimball
516438	44452	Mayor
516438	44747	Alexander Harmon
516438	44899	Baldwin
516438	48539	Gentleman Wanting to Surrende
516438	48569	Randolph Parker II
516438	56226	Renald C. Brownley
516438	57041	'Judge' Whipple, bartender
516438	64090	Prof. Seabright
516438	67156	Second Tramp
516438	67157	Dean Traynor
516438	67872	Mayor
516438	72703	Studio bidder
516438	77998	Elmont
516438	78187	Walter Chandler
516438	88653	Dr. Dunfee
516438	92455	Speidler
516438	92687	Dr. Townsend (attending Lili)
516438	92883	Mayor Curtis
516438	96614	Dean Flint
516438	96853	Fisher
516438	104352	Phillips
516438	107020	Hamilton
516438	118232	de Greve
516438	118802	Dr. Foster
516438	121663	Hotel Manager
516438	129231	
516438	130653	Judge H.B. Clayburn
516438	131430	John Drayton
516438	133589	Wopsle
516438	133644	Mayor
516438	133662	Nobleman
516438	134070	Hospital Board Chairman
516438	135412	Fyfe, Dinner Guest
516438	136028	Texas Governor
516438	136816	Mr. 'J.T.' Bullard
516438	139581	Mr. Norwood
516438	141485	Adm. Farragut
516438	143203	Tappel
516438	143591	Board member
516438	144109	Peter Cartwright
516438	149104	Gov. Wilson
516438	154046	Berry
516438	154631	R.H. Collins
516438	154950	
516438	158364	Admiral
516438	163246	Mr. Kimberly
516438	163447	Physician
516438	164972	Governor
516438	169806	Mr. Hartman
516438	169906	Cabot Royce Winthrop
516438	175607	Race Track Patron
516438	192033	Dick's father
516438	195539	Sanity Hearing Doctor
516438	195673	Rector
516438	203517	Medical Board Doctor
516438	203585	Judge D.R. Rowan
516438	203615	Walker
516438	204552	Rogers
516438	205189	President McKinley
516438	206415	Mr. Camden
516438	208719	Massilon, the Hotel Manager
516438	209612	Whitaker
516438	214080	Mr. Barlow, Attorney
516438	215764	Alfred Kester
516438	219189	Senator
516438	222659	Bill Burgen
516438	224421	Rawson
516438	228819	Mr. Strickland
516438	230302	Commodore Barclay
516438	231797	Board of Directors' Chairman
516438	231891	Bank Manager
516438	233748	Mr. Grant
516438	238616	J.W.
516438	239849	Mr. Shaw
516438	240672	Mr. Trivet, Caraway's lawyer
516438	241824	
516438	245645	Dr. Marshall, Carlton Preside
516438	248318	Maj. Devon
516438	249253	Parole Chairman
516438	250724	Sir Orville Armstrong
516438	254283	Professor Stratton
516438	254488	Backer
516438	255737	Prof. Dutton
516438	257201	Van Ellyn Associate
516438	263164	Roger Grant
516438	264470	Gen. Ewing
516438	264567	Mr. Stanley
516438	266689	Director
516438	287018	Prison Board Chairman
516438	294038	University President
516438	294747	Maj. Gen Truson
516438	294755	Maj. Hylan
516438	297269	Judge Mayer
516438	297944	
516438	298086	Milbourne
516438	304959	Old Man
516438	305395	Eustace R. Richards
516438	310564	Federal Judge
516438	312007	Mr. Ingalls
516438	313058	Senator
516438	315483	Dr. Marston, Bates' Doctor
516438	317825	Admiral on Battleship
516438	318175	Mr. Jordan
516438	326632	President McKinley
516438	329395	Senator
516438	330105	First Doctor
516438	330107	Hoover
516438	330180	John Elwood
516438	330768	Henry Maxwell
516438	331062	Mr. Sloan
516438	331469	Mr. Hanson
516438	331615	Uncle Joe
516438	335329	Charles Hamilton
516438	340905	Senor Ramirez
516438	342713	Malcolm Sims
516438	342745	Judge Abbott
516438	342929	Ralston
516438	360068	Vicar at estate dance
516438	360479	Col. Sanders
516438	360705	Heywood
516438	360714	Willett
516438	361176	Principal Tilson
516438	361637	Myron Galt
516438	362112	Dean Alfred B. Shaeffer
516438	363761	The Dean
516438	366612	Lawyer Barton #1
516439	398307	Regular
516440	23318	Himself (interviewee) : LML m
516441	16073	
516441	154984	Young Men
516442	45637	Jason (segment Hitch)
516442	69776	Homeless Man
516442	146778	Jason
516442	283183	Jim from Dartmouth
516443	127572	News Reporter
516444	248937	Dylan
516445	385151	Additional Voices
516447	194938	Rebel soldier
516448	1737	Himself
516448	2818	Himself
516448	2894	Himself
516448	2921	Presenter - Best Visual Effec
516448	3055	Attendant
516448	3165	Himself
516448	7006	Huck Finn
516448	7155	Tom Thumb
516448	21738	Sean Sullivan
516448	24790	Michael Kaye
516448	26846	Video Game Boy #1
516448	39193	Wren
516448	49468	Barney Snow
516448	58487	Mikey
516448	61565	Luke
516448	72536	Boy with hearphones
516448	79948	Dayo
516448	81776	Leo Beiderman
516448	88465	Himself/Frodo Baggins
516448	104338	Patrick
516448	105305	Jonathan
516448	107265	Casey Connor
516448	115588	Sandy
516448	117674	Nat Cooper
516448	122636	Himself
516448	131612	Mark Evans
516448	138792	Mumble
516448	155277	Mikey Carver
516448	159010	Himself
516448	160897	Sean
516448	194491	Frodo
516448	194495	Frodo
516448	194497	Frodo Baggins
516448	194499	Himself
516448	194500	Frodo
516448	194502	Frodo Baggins
516448	194503	Frodo Baggins
516448	201796	Himself/Frodo Baggins
516448	201926	Himself
516448	228291	Himself
516448	235052	North
516448	240024	The Artful Dodger
516448	248431	Willard Young
516448	250989	Himself
516448	269610	Himself/Frodo Baggins
516448	270628	Mike
516448	295430	Himself
516448	302329	Kevin
516448	312152	The Guy
516448	341018	Jones
516448	359351	Stuart 'Stu' Simmons
516448	367005	Little Boy
516448	370542	
516449	14153	Narrator
516450	117086	
516451	177325	Pilot
516452	141656	Immigrant
516453	90335	Service Station Attendant
516454	2351	Agent
516454	23207	Smith
516454	23421	Craven, Reporter
516454	31358	
516454	32564	Robert
516454	44899	Hotel Clerk
516454	47343	Hotel Desk Clerk
516454	52432	Sid Carter
516454	56789	Reporter
516454	58173	Hubert
516454	105948	
516454	108026	Tiffany Cortland
516454	117096	
516454	121360	Joe Nelson
516454	126490	Lawrence Lavendar Virgin, a f
516454	127633	
516454	144966	Jewelry Salesman
516454	144994	Hotel clerk
516454	149794	Henry Baker Jr
516454	150143	
516454	154906	Hotel Clerk
516454	160930	Newsreel Reporter
516454	166691	Will Whitney
516454	170617	Paul Sears
516454	185286	Reporter on Ship
516454	191627	Second Man
516454	192061	Publicity Director
516454	198832	
516454	228588	First Headwaiter
516454	235411	Peebles
516454	245176	Harold Nesbitt
516454	246606	Francine
516454	249263	Davidson
516454	252885	George Cooper
516454	264173	
516454	274401	Jack's third friend
516454	279569	Slim Bagnell
516454	287018	Fink's Attorney
516454	291069	
516454	306642	Dave
516454	308113	Edward 'Eddie' Burns (Regan's
516454	321389	Denham
516454	323424	Al Marks
516454	324239	
516454	331551	Drunken Passenger
516454	342957	
516454	359749	Beauchard
516454	362084	Dr. Black, Papa's Daughter
516454	367704	Vaughan Neil
516455	37254	
516456	235579	Superintendant
516456	360266	Mr. Aldridge
516457	147612	Trick or Treater
516458	122653	Puppeteer
516459	219964	John Marshall
516460	96771	Man #4
516460	100074	Station agent
516460	140490	Hewlett
516460	236685	Attendant
516460	240318	Family Member
516460	255689	Lt. Browning
516460	286466	
516460	302464	Jack
516460	304365	First-Class Passenger #2
516460	310059	Attendant
516460	343010	Detective
516460	359272	Chrysagon Man
516461	371075	Clergyman
516462	33617	Robert St. Omar
516462	70604	Harris
516462	197709	
516462	207491	Tony, Neta's Lover
516462	252281	Luigi
516462	257771	Bill Rucker
516462	341998	Reverend Edgar Raymond
516462	362783	
516463	140735	He
516464	92248	Doctor
516464	157499	Paediatrician
516464	177443	Berenson
516464	252445	Michael Wormly
516464	259749	Frank Pollock
516464	282696	Hotel Manager
516464	305390	Oliver
516464	330595	McGeorge Bundy, National Secu
516464	346373	Alex Montgomery
516465	146754	Bat
516466	313459	Cantina Patron
516467	6849	
516467	47497	Frank Huntleigh
516467	50625	Cecil Atherton
516467	62090	Gerald
516467	72203	Leigh Morlock
516467	77718	Evan Caruthers
516467	83809	Helen's Second Admirer at Par
516467	85927	Dick Harrison
516467	88148	Townsend Perry
516467	105032	
516467	109371	Eric Van Corland
516467	110977	Clon Biron
516467	120834	Her Husband
516467	122904	Christopher 'Kit' Kershaw
516467	124090	Musical Director
516467	128425	Dick Wakefield
516467	129810	Headwaiter
516467	130802	
516467	132179	Robert Williamson
516467	137446	Jed Sessions
516467	141474	Oscar Estabrook
516467	144833	Cortland Van Ness
516467	150797	Mr. Hanson
516467	154063	Party Guest
516467	154355	Mr. Waterbury Jr., at the Par
516467	159969	Don Hampton
516467	169229	Mr. Arthur
516467	175647	Llewllyn Post
516467	183372	Ward Hampton
516467	187470	Richard De Witt
516467	190781	Lewis Conroy
516467	192422	Wells Harbison
516467	193737	Mallison
516467	199497	Davidge
516467	202869	Geoorge Perry
516467	204550	Terry Allen
516467	208895	Desmond Halloran
516467	241134	Man
516467	241371	Chester James
516467	242075	Wlizabeth's Lover
516467	245079	Cyril La Mount
516467	249375	DeWitt Courtney
516467	263530	Stanley Baird
516467	264035	Wade Turner
516467	270753	Bunny Manners
516467	270917	Jimmy Allen
516467	274502	Salesman
516467	289416	Monty Brandster
516467	289641	
516467	297944	
516467	306735	Gifford Jones
516467	321417	Clive Warren
516467	326196	Jersey
516467	335649	Clinton's Stepfather
516467	343252	
516467	361300	Bit
516467	363851	Ralph Alden
516467	364544	Powell
516467	365393	Jack Cummings
516467	366198	Lucien Angoola
516467	372542	Lieutenant Mason
516468	29315	Andrew Constable
516468	46663	Crandall
516468	139543	Psychiatrist
516468	163232	Warren Morgan
516468	207099	Brig. Gen. Charlie Hammond
516468	303999	Moses/Conveener
516469	283462	Carraige Passenger
516470	14275	Paul Claude Terrando
516470	63747	Rick
516470	80848	
516470	100758	Darian Shaw
516470	129593	Pony
516470	139227	Hunter
516470	152865	Brannagan
516470	175149	
516470	176453	Frank Nardi
516470	206610	Lt. Evans
516470	288929	Slim
516470	379494	Edward Furman
516470	388879	Duane Critters
516471	59179	Himself
516471	89308	Himself - Countdown Announcer
516471	151176	Costello
516471	273408	Parking Officer
516471	379738	Himself - Announcer
516471	385083	Himself - Announcer (1975-198
516471	393637	Himself - Announcer
516471	411830	Himself - Announcer (1987-198
516472	87489	New York Judge
516472	360892	LAFF speaker
516472	380466	Host
516472	381071	Announcer
516472	381488	Announcer (1969-1972)/Host 19
516472	381784	Announcer (1977-1978)
516472	382391	Announcer (1985)
516472	383456	Announcer (1978-1981 & 1986-1
516472	384082	Announcer (1982-1983)
516472	386815	Announcer (February-April 197
516472	388330	Announcer, (1995-1996)
516472	388335	Announcer (1976-1985)
516472	388337	Announcer
516472	392059	Announcer
516472	396070	Announcer (1986-1988)
516472	397076	Guest panelist (1974)
516472	397081	Announcer (1990-1991)
516472	397082	Announcer (1983-1984)
516472	399777	Guest Announcer (1975)
516472	399779	Announcer (1985 Pilot Only)
516472	402113	Sub-announcer (1985)
516472	405260	Announcer (1975)
516472	407611	Announcer (1974-1978)
516472	408915	Announcer (1984-1985)
516472	411209	Announcer (1987-1990)
516472	411853	Announcer
516473	272927	Corpse
516474	108042	Defense attorney
516474	332897	Conventioneer
516475	17779	
516476	318642	AF Lt. Colonel
516477	70776	Himself
516478	308938	Police trooper Dicks
516479	14158	Commentary
516480	112049	Student Zoo Keeper
516480	126680	Lab Partner
516480	157785	Wounded Soldier
516480	250746	Redcoat lieutenant
516480	273077	Student Photographer
516480	289109	Pvt. George Valk
516481	121527	Himself
516482	100034	Dr. Dan Kilbannon
516482	125888	Richard Norton
516482	206687	Lawyer
516482	301391	TV Anchor
516482	303564	Mr. Collins
516482	314531	Interviewer
516483	176831	Matthew Hackett (The Killer)
516483	315259	Ron
516484	352736	
516485	80850	
516486	88574	Woody
516488	79018	Judson
516489	48260	
516490	30349	Charles
516490	190330	Helicopter pilot
516491	305366	
516492	42687	Police Officer #2
516492	81449	Poker Player
516492	335872	Sheriff #2
516493	348007	Himself (artisan)
516494	337308	
516495	66390	
516496	130817	Thomas Meecham
516496	367427	
516498	185202	Hywel
516499	389088	14 Times Over
516500	170486	Lucillius
516501	109753	Fate
516502	42691	Alex
516502	46558	LCpl. Stagg
516502	61690	Sailor
516502	73325	Assistant director
516502	76505	Sav
516502	88770	Jimmy Dobbs
516502	99141	Mick
516502	115235	Little John
516502	129913	Androcles, animal rights lead
516502	187811	DS Pete Ainsworth
516502	192171	Delivery Boy
516502	222748	Judd
516502	308183	Liam
516502	319003	Checkpoint soldier
516502	330154	Bert
516502	340991	James
516502	341442	(segment Grasshopper)
516502	345746	Maurice
516502	351972	Ruffian Mr. Lewis
516502	382663	Policeman
516502	390542	Happy
516502	401224	Sunday School Boy
516502	408644	Pete Ainsworth
516502	408870	PC Barridge
516502	411199	Dougie
516503	81587	Camera Clerk
516504	687	Himself
516504	406731	Himself (Series 1) (2004)
516505	295434	Steiny
516505	343874	Petty Officer
516506	295853	Extra
516507	170831	Thor
516507	272413	Teen Drifter
516508	90317	Cop #2
516509	19177	Reporter #2
516510	191738	
516510	372577	Tyler
516510	392710	Austin Warren (1995-1996)
516510	406952	James 'Jimmy' Harrison #2 (19
516511	5057	Robby
516511	112924	Fincher
516512	269295	Mr. Beck, Gossamer World segm
516513	312927	Man of Couple in Park
516514	318110	Big Scar
516515	166076	Bassist Steinberg
516515	276291	Negro
516515	303666	Dancer
516516	34670	Bruhfire Cop
516516	137663	Langdon Cop #2
516516	157180	Mike Stanley
516516	182955	Detective
516516	214300	Det. Clecknal
516516	272600	Contractor
516516	283186	Juror #6
516516	283546	Network #1
516516	347180	Cop One
516517	273514	Plane Attendant
516518	38952	
516519	129588	Himself
516520	2262	Himself - Best Actor [Play] W
516520	8280	Agent 009
516520	17993	Bone
516520	22865	Richard Behrens
516520	24955	Trubshaw
516520	42831	Cardinal Pesci
516520	58658	School Inspector
516520	62460	Guillaume Blerot
516520	64744	Gorbunov
516520	65934	Robert
516520	123326	The General
516520	131772	Wetherby, Headmaster
516520	141416	British Moderator
516520	149256	Alec
516520	155596	Lord Caversham
516520	155698	Jeremy
516520	156882	Amos Sternberg
516520	161756	Duty Officer
516520	165449	Mr. Brocklehurst
516520	170562	Jeremy Talbott
516520	171119	Official
516520	171177	John Martin
516520	183722	John Dudley, Duke of Nothumbe
516520	183873	Bishop of Aquila
516520	192346	Lord McAshton
516520	192570	Curate
516520	194130	Sir Edmund Halley
516520	195735	Julian Soames
516520	199150	Alistair
516520	199707	Thurlow
516520	210514	Ex-Inspector Henry Mortimer
516520	212093	The Retired Commuter
516520	220443	Countryman
516520	231434	Colonel Kobylinsky
516520	241559	Figg
516520	243653	Archduke Harry
516520	261562	P.C. Woods
516520	267568	Jason
516520	272530	Prime Minister Stolypin
516520	273640	Poet
516520	276750	Jonas Andersson
516520	277123	Col. Marcus
516520	277681	King Edward IV
516520	280160	Sir Wilson Ramsay
516520	284932	Tom Fairchild
516520	286179	Sword Dancer
516520	291807	Radio Officer
516520	296900	Christopher Riley
516520	304572	English officer
516520	307976	Ernest Van Santen
516520	315083	Dr. Jack Wilson
516520	326966	Harry Dunn
516520	329445	Doctor
516520	335632	Brenner
516520	345873	Cesar
516520	351773	The Viscount
516520	353467	Arthur Wellesley, 1st Duke of
516520	359403	Dr. Stephen Falken
516520	359521	
516520	363531	Finkel
516520	363798	
516520	372420	Richard Donnelly
516520	381308	Barnaby Rudge
516520	396081	Lord Merlin
516520	398993	Pope Pius VII
516520	406643	Minos
516520	407438	Sydney Carton
516521	26137	Townsman
516521	39467	Karlo Karpoff
516521	56172	Godfrey Perry
516521	59552	Lord Fancourt Babberley
516521	101433	Jimmy
516521	121502	Tony Warren
516521	128286	Harry
516521	147405	Bob Crane
516521	151197	Flossie Nightingale
516521	185215	Flavius, as a Man
516521	235157	Sub. Lt. Wing Eden
516521	238870	Man
516521	245616	Lord Drewsden
516521	334135	Bill Lowther
516521	334298	Himself
516523	38864	John Bainbridge
516523	41795	Gus
516523	49388	Bluey McGurk
516523	49932	
516523	87826	Dr. Thomas
516523	100192	Parker
516523	127811	Constable Brady
516523	148592	Himself
516523	238689	Clyde
516523	324234	Hortensio
516523	342362	Sir Toby Belch
516523	381608	
516523	382291	Sr. Sgt. Tom Croydon (1994-)
516523	383658	
516523	383661	
516523	383851	Alan Bond
516523	385924	
516523	395153	Robert Menzies
516523	400257	
516523	402012	Sugar Renfrey
516523	402774	Michael Rafferty
516523	403087	
516523	408966	Stokey
516524	409139	(2003)
516526	50607	Daniel (age 10/11)
516526	344474	
516526	393173	Bobby Kennedy (age 9)
516527	11941	Mad bomber
516527	32791	
516527	35523	Bobby Morgan
516527	35704	
516527	79044	Carnival Booth Attendant
516527	144612	Vagrant
516527	178081	Slime
516527	240319	Terry
516527	288912	Spyder
516527	313002	
516527	342405	2nd Room Clerk
516527	368020	Wolf
516527	392176	Willy Judson (episodes 1 and 
516528	392447	Self
516529	145086	Maître D'
516530	330835	Michael Roarke
516531	196038	Handyman
516532	270472	Robert Franklin
516533	403903	Himself (2003-)
516534	124026	Grunge Priest
516535	121528	Theater Patron
516536	185537	Ken
516537	270371	Himself
516538	127290	Josh
516539	645	Med. Student
516539	160911	Passenger on Escalator
516539	314982	Med. Student/Giant Scissors
516539	366765	Student
516540	199309	Cho-Cho-San's father
516540	230500	
516540	291542	Lang
516540	327288	
516541	20831	
516541	29340	Stephanie
516541	315053	
516542	379916	Various Characters
516543	70556	TV Interviewer
516543	73403	
516543	120739	Dealer
516543	329616	Assistant Dance Director
516544	12766	Prison Trombonist
516544	84195	Prison Guard
516544	196404	Room Steward
516544	211589	Logan
516545	145174	Francis Sabin
516546	69773	Christmas Caroler
516546	324422	Desk Cop
516547	224352	Party Kid
516548	44895	
516548	57241	Himself
516548	75028	
516548	75059	
516548	87236	
516548	91656	
516548	91832	
516548	106433	
516548	197394	Policeman (segment "David Lyn
516548	299858	Policeman ("Lumiere and Compa
516548	332850	
516548	367853	
516548	372751	
516549	351505	John
516550	309718	Mr. Jessup
516550	355766	
516551	263387	Himself
516552	40431	Reporter
516552	105226	Football Player
516552	360857	Slappy
516553	18704	Pilot/Soldier/Karaoke crowd
516553	161754	TV Worker #3
516554	86540	Boy with 3rd nipple
516555	6864	Crowd
516555	313474	Bib Fortuna/Voice of Ody Mand
516556	142168	Border guard
516557	372463	Jerry
516558	69714	Presenter
516558	146863	Host
516558	157980	Presenter
516558	158045	Presenter
516558	335802	Presenter
516558	380680	Host
516558	392696	Himself - Presenter
516558	392698	Presenter
516558	392708	Host
516559	112005	Elder
516560	16112	Referee
516560	64396	Instructor
516560	144981	
516561	112005	Lewd Drunk
516562	277098	Attempted Rapist #2
516563	82696	Frank
516564	45526	Maitre 'd, Pussy Cat Cafe
516564	176840	Conji
516564	254510	Chief tatuto
516564	325149	Temple Native
516565	367073	Soldier
516566	16689	
516566	71797	
516566	203816	General Corning
516566	206866	Joe - the Village Cobbler
516566	209418	J.S. Bucks
516566	231437	Smike
516566	313340	Scribe
516566	329495	Nick, the Professor's Servant
516566	363694	J.S. Bucks (general manager)
516567	196887	People at Party
516568	3252	Himself - Performer
516568	127237	Blueshammer Member (Blues Clu
516568	249592	Performer
516568	305490	Himself ('The Calling')
516568	318742	Himself - Performer
516568	398597	Drummer for The Calling (hims
516569	169939	Altar Boy #3
516570	125671	Hopeful Kid
516571	214101	
516572	201095	Daniel
516573	137499	
516574	234694	Himself
516575	46957	
516575	54842	
516575	60106	
516575	98976	Santiago
516575	135148	
516575	187627	Diego
516575	202735	Teniente
516575	306700	
516575	333707	
516575	379649	
516575	380083	Elías Mendoza
516576	236952	Dancer
516577	281449	Chance McDermott
516578	266625	Butcher
516579	38611	Pimp
516579	135927	
516579	315901	Jarhead #2
516580	136053	Harry
516581	187442	
516582	280180	Andy
516582	393429	Temple
516583	244924	Simon Stimson (church organis
516583	281432	Simon Jenkins
516584	56558	
516585	86750	Dillinger's Father
516585	389356	1st Reporter
516586	14011	Himself
516587	381944	Himself/panelist
516587	394277	Himself/panelist
516588	889	
516589	228164	The Wood Brothers Band
516590	411296	Himself
516591	280478	German Policeman
516592	218819	Starkey's Man
516593	302467	
516594	303897	Freestyle skier
516595	228164	The Wood Brothers Band
516596	32361	The Boy in the Train
516597	7131	Cadet Scrapper McKay
516597	9022	Cpl. Peterson (radio operator
516597	50199	Second Henchman
516597	78027	Doctor
516597	166345	Police Sergeant
516597	176755	
516597	218018	Man in Bar
516597	261420	
516597	266099	Sergeant Peckinpaugh
516597	271889	Link Thomas, Dickason Hand
516597	274548	Lush Mason
516597	276644	Clarke
516597	299962	Ed
516597	327764	Armed Riff
516597	347136	Patrolman
516597	358445	Young Sailor
516597	360537	Student
516597	363696	Leroy Barton
516597	396765	Lt. Art Malcolm (1968-1975)
516598	158056	Baron Sir Robear du Bois
516599	102704	The Cannibal
516600	2478	
516600	276163	Tony
516600	380390	Marshall Lockwood (1983)
516601	121374	Barooka Joe
516602	311844	Himself
516603	110324	
516604	33408	Vigilante
516604	264914	
516604	276190	Himself
516605	211498	Merlin
516606	332785	Mr. Kelly
516607	22954	Himself
516607	33184	Himself
516607	42330	Himself
516607	63333	Himself
516607	70028	Himself
516607	71115	Himself (Special guest)
516607	80704	Himself - member of The Birds
516607	141496	Himself
516607	168558	Himself
516607	185751	Himself
516607	188442	Himself
516607	192508	Himself
516607	207499	Himself
516607	240189	Performer
516607	273234	Himself (The Rolling Stones)
516607	273235	Himself (The Rolling Stones)
516607	277098	Bodyguard at Gate
516607	280325	Himself
516607	280711	Himself (Guitar)
516607	280713	Himself
516607	280715	Himself
516607	280716	Himself
516607	283954	Hells Angel
516607	318912	Himself
516607	321506	
516607	353726	Himself
516607	365341	Refrigerator Raider
516607	365830	
516607	368289	Himself
516608	127663	Singing Voice
516609	367004	
516610	193616	Performer/Wizard
516611	16977	
516612	51639	The Victim
516613	239047	Pizza Guy
516613	255859	Hyrum Smith
516614	19456	
516614	31408	
516614	46957	
516614	54842	
516614	157325	Rivera's Father
516614	171599	
516614	221680	Nephew
516614	233628	
516614	248077	
516614	250871	
516614	259852	
516614	271966	
516614	293371	
516614	310030	
516614	326578	
516614	348939	
516615	191594	
516615	364245	Shed Applegate
516615	382332	School Boy
516616	382332	School Boy
516617	285323	The Lover
516618	7188	Paul 'Cud' Cuddihey
516619	65020	Police Officer
516620	391869	Christopher Fletcher (#2) (19
516621	207173	
516621	363796	Matt
516622	126606	Police Radio
516623	52682	Cameo appearance
516624	44758	Himself
516625	1999	Parker House Patient
516625	18662	Sonar 1
516625	73675	Bus Driver
516625	294781	Bickering couple
516625	373368	Additional Voices
516626	39627	Huge king's soldier
516627	55017	Benny
516627	129717	
516627	225157	Spasski
516627	229884	Panter Neuss
516627	268172	Postbote Dylan
516627	351562	Sam
516627	396874	(1992)
516628	65836	David
516628	134280	Lead Pow Wow Drummer
516629	202255	Ian
516630	50004	Woody
516630	381434	Himself (1978-1979)
516630	405051	Presenter
516631	364173	Himself
516632	79527	David, as a child
516632	79682	Frank, as child
516632	91712	Dick Martingale
516632	105080	Robbie
516632	114869	Fane, as a child
516632	143005	Benny, as a child
516632	359546	Lord Billy
516633	188567	Mick
516634	97023	Terrorist
516635	323262	
516636	46147	Singer
516636	47865	Additional Voice
516636	65658	News Anchor
516636	108042	Anchorman
516636	191253	Singer
516636	212908	Chorus
516636	234212	TV Interviewer
516636	252926	TV Anchor
516636	278247	ESPN Announcer
516637	130018	
516639	278718	Prince Eddy's valet
516639	331217	
516640	33058	Actor
516640	75419	Patient
516640	79944	Fat Lady used as gangplank/Ch
516640	96979	Chief of Police
516640	130677	Prospector
516640	239652	Seth
516640	265438	Fat Man in flophouse
516640	319160	Fat Boy
516641	18979	EECOM Gold
516641	24790	Michael as an Adult
516641	40029	Dwight's Son
516641	50195	Agent McMurrey
516641	65837	Reed Culley
516641	107990	Michael Redmond
516641	121386	Newman
516641	209206	
516641	215843	Samuel
516641	314131	Dan McCann
516641	330773	Billy, Tropicana Lighting Man
516641	332807	Lt. Fontana
516641	333604	Tiger
516641	335720	Davy Cluff
516641	343907	U.S. Marshal Noah Woodrow New
516641	344331	Jimmy Jackson
516641	346058	Pvt. Nash
516642	16823	
516642	151452	Himself
516642	165284	Tony Bullock
516643	37489	Paperboy
516643	142402	Young Richard
516643	240941	Nate Kilmer
516644	1308	
516644	340897	
516645	53998	
516645	231850	
516646	22185	Evans
516646	83585	British medic
516646	85863	
516646	145402	David Mitchell
516646	155902	Mr. Fargus
516646	162342	Capt. Donald P. Class
516646	168119	Nicolas Midi (a judge)
516646	170378	Postman
516646	177142	Doc
516646	215334	Prosecutor
516646	219747	Wilson
516646	223798	Foreman
516646	274051	Lt. Guedalia-Wood
516646	289400	James Motley
516646	306343	Charles
516646	333265	Howard Zeeder
516646	342489	
516646	361261	
516647	77082	
516648	367951	Himself
516649	281193	Waiter
516649	294134	Senior Cane ('Wally')
516650	189911	Director
516651	137566	Twin Double
516652	39539	Georgie Robinson
516652	70273	James
516652	335861	
516652	342960	Eric Carsdale
516652	382772	Sir Desmond Dark
516652	390162	Cookie
516653	269088	Cairn
516654	362837	Sherriff
516655	224317	Judge's Clerk
516656	54026	Bystander at wheelwright's - 
516657	326496	Carrier corpsman
516658	84679	KGB No 2
516660	22185	Man
516660	30122	Larry
516660	38034	Hank
516660	40024	Costume Designer
516660	46321	Party guest with cat on shoul
516660	53205	Busby Ormsbee
516660	61265	Robert Hart
516660	66042	Wardrobe Man
516660	68278	
516660	85653	Television Man
516660	88853	Intern
516660	90319	Yeoman
516660	94527	Bartender
516660	96861	Reporter at Airport
516660	96889	Marty, Piano Player
516660	105300	Roy Tirson
516660	105729	Airport Clerk
516660	107581	Henry Stute
516660	109868	Grandstand 'Coach'
516660	110324	
516660	128493	Newsman
516660	144970	Cleve Collins
516660	146755	Singer
516660	154877	Song Plugger
516660	160711	Jimmy Marshall
516660	163256	Mechanic
516660	163262	Fodderwing
516660	163516	Roy, TV Director
516660	165004	Recording engineer
516660	177058	Gerald
516660	178208	Advisor
516660	188403	Reporter
516660	190179	
516660	194095	Garage Owner
516660	196871	Reporter
516660	200500	Secretary
516660	218757	Soldier
516660	220970	Specialty
516660	223733	Studio Employee
516660	231131	
516660	233659	Mr. Crawley
516660	233899	
516660	235062	Photographer at UN
516660	241752	Courtney
516660	255259	Driver
516660	257963	Photographer
516660	263581	Jack, Reporter
516660	270533	Hank (Cody's pilot)
516660	274745	Zoo Attendant on Bicycle
516660	276467	Hank, the rocket pilot
516660	282711	Drinker
516660	288471	Bob Wilson
516660	289718	Airport gateman
516660	300124	Horace Adems
516660	302696	Rudy Vallee impersonator
516660	304065	The Bos'un
516660	307431	Soldier
516660	313793	Thad Carroll
516660	313943	Photographer
516660	318913	Music Lover
516660	326360	Alumnus
516660	327847	Elevator Boy
516660	329072	Bellboy
516660	329421	Eric Forsyte
516660	329538	Court Clerk
516660	332017	Johnson
516660	339355	Airline Boarding Checker
516660	343206	Band Leader
516660	346914	Photographer
516660	359868	
516660	375718	Bob Wilson
516661	7997	Head Hotel Security
516661	46363	Teenager
516662	162439	Goblin
516662	230947	Gel
516663	71564	Gendarmes Captain
516663	77199	Ambrose Bird
516663	88912	Lebourg's Son
516663	140999	Rupert Fuller
516663	222747	Greenwell
516663	274850	Willard
516663	385978	Michael
516663	391254	Stuart Gee
516663	392172	
516663	399069	Tom Tyler
516663	402140	DI Brian Dalton
516663	404598	Lt/Major Tony Gray
516663	409386	Ministry of Defence lawyer
516664	55698	I.T.N. Newscaster
516664	90324	TV Newsreader
516664	131786	Himself as newsreader
516664	131787	Himself (tv newsreader)
516664	368416	TV Announcer
516665	99951	Robert Martin
516665	101462	Bletchley Brain
516665	168905	
516665	207390	2nd Lt. William Mowett
516665	378710	Fairfax Peep
516665	384587	Ted
516665	400110	Man in street
516666	396123	Matthew Ford (1991-1992)
516667	26736	Preacher
516668	191994	Fighting Boy
516669	213590	Noble
516669	213591	The Mikado of Japan
516669	264161	Guron
516670	222657	Glen Kurth
516671	53798	Charlie
516671	365388	Butcher
516672	348402	Husband in Park
516674	283497	Shit-talker #2
516675	264710	Toby
516676	56654	Gary
516676	87797	Orderly #2
516676	110441	T.V. Football Announcer
516676	226939	Airport Reporter
516676	272647	Party Guest
516676	358838	Asst. Vice Planning Commissio
516677	13723	Dairy Farmer, Waterbury, Verm
516677	24153	Philip
516677	104371	Jotham Powell
516677	188639	Calvin
516677	221603	Alvin
516677	235622	Sonny Gale
516677	253092	Pops
516677	324371	J.K. Robertson
516677	363437	Mitchell
516678	147733	Man at Phone Booth
516679	184562	
516680	70461	Robber's Voice
516680	114642	The Midnight Falcons
516680	133346	Carmichael
516680	147844	Advance Student/Basketball
516680	151126	M.C. Cane
516680	169207	Motel Clerk
516680	213091	Tiny
516680	216672	Man on street
516680	257696	Miron
516680	261281	Jimmy
516680	364612	Cop #1 at Ralph
516681	120591	Young Lincoln
516682	362282	Himself
516683	77479	The local
516683	132092	Alley Cop 1
516683	309158	Carny
516683	326834	Pauly
516684	309492	Himself
516685	303531	The Doctor
516686	270127	Agent Johnson
516687	314445	Square Dance Musician
516688	31286	Baker
516689	118257	Narrator
516690	121823	Ike
516691	1300	Billy Buff
516691	2250	Franklin
516691	11533	Agee
516691	12227	Jonah
516691	37122	Crunch
516691	40130	Jimmy Best
516691	46568	Steve Grant
516691	57196	Daryl Allen
516691	64417	
516691	73703	Richard
516691	80585	Cleon
516691	84433	Jake Forrester
516691	99135	
516691	119622	Chopper Wood
516691	134315	Mud
516691	165853	Joshua Alexander
516691	165871	Khalid X
516691	189982	Can't Get Right
516691	194348	Himself
516691	225774	
516691	247882	Tyrone
516691	272970	David "Fathead" Newman
516691	280115	Sgt. Crisp
516691	283343	Rock
516691	283497	477
516691	285049	Agent Gottfried
516691	306122	Cole
516691	316411	Diquan Mitchell
516691	366685	Mr. Tarraion
516691	381400	Derek Finley
516692	176950	Playboy
516692	218206	Jacobs
516693	11560	Landlord
516693	11947	PC Jorkins
516693	36776	Quisling
516693	39848	Warder
516693	39889	Male Nurse
516693	40281	Aimes
516693	46867	Dermot Barrington
516693	55702	Ned
516693	61719	Butcher
516693	65963	Sergeant Ritchie
516693	68674	
516693	69507	Man in charge of Pumping-Stat
516693	69845	Old Bailey warder
516693	75572	Dominique the Goat Herder
516693	79554	Vicar
516693	79822	
516693	79922	Man In Pub
516693	85878	PC Andrew
516693	85990	Gravedigger
516693	90888	Ferry Skipper
516693	91585	Sergeant Swanton
516693	92653	Landlord
516693	92696	Landlord
516693	103238	Farmer Browning
516693	103329	
516693	106669	Patrolman
516693	107869	Police Sergeant
516693	114979	Police Inspector
516693	115264	Dr. Ferguson
516693	116975	Alf
516693	131392	Ripe Gentleman
516693	134015	Farmer
516693	134043	Detective Sergeant Hendricks
516693	141683	Bishop
516693	154581	Walter
516693	160555	Stanley: Fish & Chips Shop Ow
516693	162366	Sid Ludge
516693	162984	Cockie
516693	164502	Blake
516693	177316	Member of Atomic Commission
516693	190006	Man with debris clearing unit
516693	194690	Taxi driver
516693	199134	Fisherman Outside Pub
516693	200496	Policeman
516693	205292	
516693	205524	Samuel Chadelaine
516693	210784	Rivoire
516693	218809	Captain Lowry
516693	222338	Police Constable Blake
516693	222661	2nd Tempter
516693	223764	Stevens
516693	236887	Mr. Beacon
516693	238158	Grey
516693	238953	Hotel proprietor
516693	240765	
516693	242092	Farmer
516693	245160	Chopper
516693	269346	Vassili
516693	271362	Yorkshire Orchestra Leader
516693	276033	Old Garnsey
516693	277061	Janitor at Lab
516693	277678	Lord Mayor of London
516693	281400	Herr Kristensen
516693	289569	Town Crier
516693	292527	Pub regular
516693	301072	Newspaper Editor
516693	301621	Foreman
516693	307905	Det.-Sgt. Cloudby
516693	308375	Little John
516693	315682	Reporter
516693	317247	Sgt. Walker
516693	323376	Publican
516693	323770	Innkeeper, Dover
516693	327600	Frost
516693	330537	Inspector Goldfinch
516693	331489	Policeman
516693	337083	Gruppenfuhrer Rudolf Jurgens
516693	343194	Chief P.O. Jenkins
516693	348358	Fat Bather
516693	362068	Edward Broughton
516693	363490	Hangman
516693	363779	
516693	370533	
516693	389123	Uncle Swithin Forsyte
516693	393811	Challow
516693	399304	Jacob Penrose
516693	401516	Inigo Pipkin
516693	405374	Mr. Wolff
516693	406766	Sergeant Hawker
516694	10899	Alien
516695	279631	Simmons
516696	105292	Mike
516697	239810	
516698	34941	Mitch Gibson [Stunt Man]
516698	69045	Otli
516698	81286	Angelo Pike
516698	115562	Little Rocko
516698	167866	Tony the Elf
516698	194478	Forensic Photographer
516698	194687	Mover
516698	200245	Hugo
516698	311204	Dancing Drums (Druid/Shazba/E
516698	314681	Cigar Man
516698	330443	Albert (segment "Someone For 
516698	335053	Kenny
516698	361689	Mechanic
516698	384837	Otli
516698	406127	Carl the Gnome
516698	408678	Mitch Gibson
516699	80057	Transvestite
516699	129582	Bank teller
516700	31209	Wine shop proprietor
516700	46133	Rab Elliott
516700	46709	Archie
516700	88821	Judge Banter
516700	125973	
516700	154114	
516700	160069	The coachman
516700	176452	Doctor
516700	176470	Sam Howie
516700	186463	Gamlie
516700	200073	Skipper
516700	215582	Morrison
516700	226931	Frank Hawking
516700	341729	Landlord
516700	342720	Falstaff
516700	372354	The Bedellus
516700	385244	Andy McKay
516700	386887	Dr. Snoddie
516700	399581	Struan MacDonald
516701	47990	Priest
516701	62111	Doctor
516701	115723	John Shields
516701	160116	Dr. Macfarlane
516701	299191	
516701	350112	Alexander Jameson
516701	363660	Roderick MacRurie
516702	46259	
516703	75609	Sinatra and Crosby birds (sin
516704	303236	Truck Driver
516704	403066	Helmut Wintergarden
516705	65029	Theodore Parker
516706	259269	Officer Woodbury
516707	187327	Jim Cole
516708	312289	Arch Liggett
516709	121549	Student
516709	205317	Lewis Humes
516709	315223	
516709	334206	Mark D
516710	286228	Dancer
516711	219354	Elohim
516712	57889	Officer Williamson
516712	294804	Dairy Mart Clerk
516713	62037	Reporter #2
516714	368336	Doctor
516715	363370	Guy with Cat
516716	298129	
516717	331826	Billy
516718	260358	
516719	35723	Borden
516719	117281	Uncle Woody
516719	139296	Policeman
516719	228214	
516719	248929	Admiral O'Connor
516719	259720	
516719	411026	Host (1962-1963)
516719	411391	Himself - Host
516720	45367	Vince
516722	211479	Mr. Green
516723	35481	Victor
516724	304236	Spigget
516725	360382	Himself (US labour leader)
516726	66947	Jo
516726	334210	Young royalist prisoner
516727	139216	Clothing Salesman
516728	68274	Command Control Officer (Fire
516728	68275	Allied GI
516729	58493	Gary
516729	65370	Musician 1
516729	82035	Steven Dyce
516729	379708	Marcus
516729	387247	Clyde Tavernier (1990-1993)
516729	390523	Glenroy Glenroy (1983-1984)
516729	400814	Van Driver
516730	269440	Himself
516731	254591	Trainer
516732	294519	Bobby Moore
516733	80660	David Lessey
516733	80755	Youngster
516734	319613	Father
516735	89338	Bill
516736	56457	Palani
516737	248495	William Flemming
516738	329462	Himself
516739	143905	Eight-year-old boy
516740	37024	Jim Reeves
516740	65612	Reporter
516740	227926	Bartender
516740	241933	Hasagawa
516740	270697	Announcer
516740	294595	Balcaam
516741	218718	Musician (leader, Woody Woode
516742	73867	Himself
516742	186641	Himself
516743	321678	Venus in Furs Diva
516744	13707	Himself - Author/TV Producer
516745	76253	Doo-Wop Singer
516746	207099	Football Player, 325th Evac.
516747	17244	Aschere
516747	18601	
516747	24955	Dr. Darling
516747	27221	
516747	40091	Bertie Williams
516747	69800	Generalleutnant (SS Lt. Gen.)
516747	93281	Mr. Dian
516747	109664	Inspector Winder
516747	117192	Michael Parke-Walsh MP
516747	133595	Wemmick
516747	141656	Small man
516747	141799	Jorgen Tesman
516747	185245	Air Commodore Boyle
516747	199150	Detective Slynne
516747	208301	Martin Greenbaum
516747	251979	Stump
516747	283282	Cpl. Kazmarak
516747	283767	Niki Landau, Polish Sales Rep
516747	299715	Mr. Collyns
516747	333868	Immonger
516747	335982	Mr. Seymour, Production Manag
516747	367536	Asylum Proprietor
516747	382176	Stilk
516747	387247	Graham (2001-2002)
516747	392108	Sir Henry Baskerville
516747	398416	Brother Moses
516748	385299	Chief Magistrate
516749	170411	Floor manager
516750	71595	
516750	237786	
516750	237787	The Voice
516751	334271	Barman
516752	9005	Football Player
516753	120025	
516754	131753	
516755	64864	Australian Ex-pat
516756	67091	Alphonze
516757	126594	Mr. Wells
516757	199152	Robert Halleck
516757	277937	Abner Kezar
516757	317970	Treadwell
516757	327733	Judge Hammond
516757	332817	Colonel Summers
516757	363933	Father Michael
516757	366351	The Dean
516758	211499	Gander
516759	388321	Dave Matthews Jnr. #1 (2000-2
516760	383759	Chef
516760	391263	Presenter
516760	402950	Chef
516760	405934	Presenter
516761	381549	Centipix
516763	408637	SOC Officer
516764	186207	Bus Driver
516765	388321	Dave Matthews Jnr. #1 (2000-2
516766	165853	Bus Driver
516767	275506	Hood #1
516768	73872	Photographer
516769	264099	Himself/Madness
516769	267239	Himself
516769	323408	Woody
516770	388369	Timmy
516771	383078	Terry (1994-)
516772	50989	Gerald
516772	81758	Cop #1
516773	72391	Board Member
516773	86542	Oscar Stout
516773	100097	Prof. Leopold
516773	125989	Executioner
516773	128515	Neighbour
516773	240471	Briefing Officer
516773	258878	Keynote Speaker
516773	275598	Elderly man
516773	323748	Paperman
516773	341623	Man in Overalls
516774	131232	Extra
516775	312532	
516776	348370	Son at Burning
516777	124115	Person in Bar
516778	26879	Stepfather
516778	41277	Schneider
516779	311977	Hurricane
516779	332812	Friend in back seat of van; h
516780	41888	Kenneth Markham
516782	334799	Phillip
516783	283069	
516784	246357	Mungo
516785	131232	Extra
516786	255859	Will Murdock
516786	328869	Blindman
516787	38405	
516788	80608	Police Officer
516788	144545	Diner Owner
516788	233474	Trucker
516788	236138	Mover
516788	292671	Public Works Guy
516788	301256	Williams
516788	315484	Mr. Brant
516788	387058	Sergeant
516789	263608	
516790	33714	Older Barber
516791	314769	Corpse
516791	316333	Broadcaster
516792	145848	
516793	411420	Himself
516794	224407	Ian
516794	232818	Father Ted
516795	70304	Bus Driver
516796	36570	Narrator
516797	177660	Bowling Steelworker
516797	317309	Porno Stage Hand
516798	404282	Johnny Wallace #2 (1985-1987)
516799	1092	Hyglak the Quarrelsome
516799	8194	Glyco
516799	71564	Danglar, 1st Mate of the Feri
516799	79862	Gang Leader
516799	114152	Scout
516799	118337	British Journalist
516799	120865	P.C. - Brighton
516799	146771	Riordan
516799	152915	Frank Judd
516799	236688	Paul
516799	277673	Sir Henry Percy
516799	294222	Man
516799	329661	Starveling
516799	355349	Second Surveillance Man
516799	367498	Fireman
516799	382169	Albert Philby
516799	383159	Sergeant Will Warden (1994-19
516799	390983	Sergeant Major
516799	396786	Cab driver
516800	54387	Teenage Boy
516801	190688	Tea dance musician
516802	26976	Bill Ogden
516804	390118	Dan
516805	173351	Black Tracker
516806	35534	
516806	38104	Holly
516806	47484	
516806	64750	Herself
516806	162567	
516806	195112	Herself
516806	210022	Himself
516806	214267	Transvestite
516806	232157	Barfly
516806	254533	
516806	276237	Herself
516806	289680	Miss Antonia Curtis
516806	319687	Herself
516806	324080	Herself
516806	338344	Holly, Joe's Companion
516806	342537	Flamboyant at Party
516806	367822	Holly
516806	380001	Himself
516807	72416	Police officer
516808	32052	Dancer
516808	45591	Dancer
516808	47078	Cheerleader
516808	59665	Reunion Dancer
516808	120528	Dancer
516808	235403	Dancer
516808	280081	Roxy Dancer
516808	317309	Dancer #1
516808	321367	Dancer in Club
516808	326662	Dancer, Moulin Huge
516808	330091	Dancer
516809	277480	"Betty Bumcakes" Director
516810	48959	FDA Board Member
516810	215117	Paramedic
516810	227377	Lawyer
516810	380621	Policeman 2001
516811	34115	Musical Guest
516811	109055	Himself
516811	122201	Himself
516811	293219	Himself
516811	293220	Himself
516811	293221	Himself
516811	368483	Himself
516812	245649	Barman
516812	300854	David
516812	341759	David De Salvo
516812	387267	Hopper Hadley
516812	391869	Joel Nash (1998-2000)
516812	401637	Himself
516813	1092	Screaming Boy
516814	368392	Woodley
516814	379313	Frank (1997-1999)
516814	379738	Himself - Panellist
516814	384700	Found Objects
516814	409028	Found Objects (1991)
516815	104919	Maj. John Pitcairn
516815	371968	Sir Henry Clinton
516816	313321	Reporter at Shrine Auditorium
516817	108314	
516818	73318	
516819	54754	Pete Keil
516820	299873	Evicted man
516821	31317	Lt. Crios
516821	120800	Demon
516821	321731	Fighter
516822	93594	Party Guest
516823	233267	Mitch Dupre
516825	409774	Orchestra leader
516826	30157	Reggie Skinner
516828	13258	Ronald Barrymaine
516828	83814	Emile
516828	125868	Henry III
516828	224724	Bernard Brown
516828	224798	Christopher Went
516828	232276	
516828	234216	Antoine
516828	257093	Lt. Philip Trevor
516828	269392	Reuben May
516828	332466	Frank Knight
516829	6725	Himself
516829	106474	
516829	264727	
516829	264748	Himself
516829	264910	Himself
516829	264911	Himself/Shaver
516829	371721	
516829	404959	Himself
516830	37056	Tom
516831	337115	F.B.I. Agent
516832	330670	Crash Witness
516833	34744	Himself - musician
516833	45241	
516833	375101	Himself
516834	11352	Vicar
516834	18275	Chorus
516834	29358	
516834	49389	Bank Manager
516834	58875	Mr. Champion
516834	69622	Doctor
516834	88933	Draconian Emperor
516834	92869	Friar Peter
516834	132011	
516834	146862	Pastor Sommers
516834	157192	Lane
516834	159881	
516834	177196	Paters
516834	190330	Metallurgist
516834	191652	Kelland
516834	198885	Doctor
516834	199079	Reverend Kimball
516834	202390	Dr. Lydston
516834	203182	Education officer
516834	207493	Jim
516834	230329	Sir John
516834	238449	Chorus
516834	238991	British Officer
516834	241222	Victor
516834	273618	Otho Killigrew
516834	289569	Lt. Wyatt
516834	292415	Mr. Archibald Craven
516834	294216	Mr. Ingall
516834	342867	Panthino
516834	359811	Sultans
516834	364147	Harold Staunton
516834	372598	
516834	375723	Pensiongasten
516834	382152	Slago
516834	382595	The Thin Space Man
516834	384092	Link
516834	385441	Marazet
516834	386763	Spencer
516834	386940	Melchisedek
516834	394663	Mogdred (1988-1990)/Merlin (1
516834	401416	Sergeant Snubbin
516834	401937	Senior Tutor
516834	402606	Master Allan
516834	403464	Yardley
516834	403639	Doctor Peppercorn
516834	405525	Henry VII
516834	406352	Mr. King
516834	407185	Rack
516835	185127	Inmate
516836	45696	Voice of Burnt Man
516837	321703	Commentator
516837	356635	Narrator of documentary seen 
516838	246034	Themselves - Performers/Winne
516839	324592	Tannhäuser
516840	7948	Thug 2
516840	292489	Peter Healey
516841	20723	Brody
516841	34670	Roach Coach Clerk
516841	59915	Cary Gable
516841	145415	Steve 5
516841	182965	Mark
516841	384181	Q-Mack
516841	385961	Woody
516842	69381	Chaplain
516842	207493	Sub-editor
516842	381981	Supervisor
516843	291066	Arresting Officer
516844	85840	Dyak #1
516845	186740	Keith Lewis
516846	10898	Himself/interviewee
516846	10916	Lead Alien
516846	10945	Lead Alien
516846	25267	Grid
516846	32466	Biggest Devil
516846	105492	Lead primate creature
516846	115319	Himself
516846	141534	Himself
516846	147603	Isabelle the Gorilla
516846	179053	Himself
516846	191308	Himself
516846	194332	The Metaluna Mutant
516846	201609	Himself
516846	201611	Himself
516846	208106	Batman
516846	218393	Gillman
516846	241741	Himself
516846	267111	Pumpkinhead
516846	299705	Himself
516846	310591	Himself
516846	319589	Himself
516846	369427	Creature #1
516847	152535	Dr. Parker
516847	165414	Butler
516847	185379	Goddard
516847	202390	Mr. Gunhill
516847	203616	
516847	249165	
516847	321090	Coroner
516847	324028	Elephant Doorman
516847	330884	Waiter
516847	333439	Nuclear Physicist
516847	348379	Barrister, in the court
516847	382595	Mr. Bunting
516847	385299	Percy Dobson (1982-1984)
516847	388861	Mr. Saunders
516847	404660	Inspector Lovatt
516847	405874	Dr. H S (Horatio Sidney) Smed
516848	25410	
516848	30368	No Creek Lee
516848	37820	Uncle Chet Jenkins
516848	48495	Professor Van Saynt
516848	61773	Old Archer
516848	63023	
516848	76551	Eben Holden
516848	93653	Joshua Reynolds
516848	100216	
516848	106650	Toby
516848	111942	Jimmy Whiskers
516848	112512	Grandfather
516848	113749	Captain O'Neil
516848	115936	Pa Briskow
516848	117277	Dr. Bailee
516848	126498	
516848	133407	Grandpa Piper
516848	134388	Old Dad
516848	138256	Tim Farley
516848	145792	
516848	148526	Farmer Higgins
516848	150126	
516848	162941	Patrick Joyce
516848	164990	Grandpa Binney
516848	167612	
516848	175614	Rance Newcombe
516848	186038	Tink (hotel worker)
516848	190192	Aaron Brown
516848	196091	The Little Red Doctor
516848	197679	Pop Graves
516848	201525	Henry Cattermole
516848	206163	Captain Fairchild
516848	210804	
516848	214556	Thad Grove
516848	230425	
516848	234587	'Dad' Mason
516848	249018	Mathew Green
516848	250614	Bride's Father
516848	279190	The Miller
516848	281051	Tom
516848	281774	Captain Caleb Mather
516848	291741	Nick
516848	293102	Dr. Drew
516848	298128	
516848	299737	
516848	299802	Bit Part
516848	301690	Owens
516848	303073	Palomino
516848	303508	William Crawford
516848	303524	Gramp
516848	307952	Josh Griggs
516848	308587	Steve
516848	310805	Pop Dillon, Her Grand-daddy
516848	311973	Pop Kelly
516848	329112	Clayton, Helen's Father
516848	335673	Peter Gulp
516848	343015	Janitor
516848	350443	Bart Wilson
516848	355223	'Twenty Years' McGregor
516848	355860	Pierre Le Gai
516848	359883	Russ Weaver
516848	368623	Mr. Lawson
516849	161389	Himself
516849	221483	Himself
516850	178127	
516851	40678	Crying Boy
516851	60163	Mike Baker
516851	148198	Jake
516851	384204	Child Churchill
516851	398387	Danny Pope
516852	160583	Matthew Whateley
516853	27252	
516854	24571	Himself
516854	42924	Himself
516854	42924	Himself (segment "Bel Air Wit
516854	111799	Himself
516854	244847	Himself
516854	360536	FBI Man #1
516855	112399	Steeler Player
516856	194049	Const. Joyce
516858	32398	Harry Dickson
516858	202888	Harry Ogden
516859	191991	Older Gabe
516860	35506	Dancer
516861	23578	Lil F
516861	229311	Little F
516862	30992	Major #2
516862	34437	
516862	35783	Royal Wilder
516862	43378	Cameraman
516862	62580	Crane
516863	151537	
516865	58172	Cheney Shipman
516866	136274	Cadet
516866	292855	Radioman
516866	332009	English Cadet
516866	335469	British Soldier
516867	32726	Waiter in Fight
516867	35640	Riot cop
516867	190520	Guard
516867	220369	Fencer
516867	348527	Dean Reiner
516867	384587	Militiaman Two
516868	66161	
516869	330684	
516870	128594	Janitor
516870	330594	Cab Driver
516871	10909	Crusher
516872	66941	Undercover Cop
516873	267255	Male Super Model
516874	66308	Little George
516875	270910	Henchman
516876	105713	Himself
516877	108355	Billy Andrews
516878	234929	Our Kid
516879	170805	Bilge, Tangita Tim's Waiter [
516879	289588	Sen. Mark Halliday
516880	205191	Henru Delacorte
516881	193725	Switchblade
516882	215860	Child at Party
516883	177475	Himself
516884	194931	Lieutenant Hawkins
516885	4971	Goldsmith
516885	68290	Commander Badman
516885	79148	Bishop Wilberforce
516885	88933	The Controller
516885	90324	TV Chairman
516885	109823	Charlie
516885	122170	
516885	133972	'Daft Jamie' Wilson
516885	135551	Doctor
516885	148326	
516885	168845	
516885	169140	Jacob/Potiphar/Guru
516885	171177	T.V. Floor Manager
516885	194413	Undertaker
516885	231438	Smike
516885	232081	Priest
516885	242726	
516885	269346	Officer in the gaming room
516885	286927	Immigration Officer
516885	310404	Mr. Bickerstaff
516885	313361	Adrian Gurney
516885	329456	Viscount L'Ardey
516885	348358	Villanus
516885	348370	Vegetable Stall Owner
516885	362855	Jack Byron
516885	365906	Bill, candy store owner
516885	366988	Tailor
516885	369184	Joseph
516885	373433	Dr. Mallory
516885	389331	Burton (1970)
516885	392461	
516885	399380	Frank Lazenby
516885	400080	Mr. Chuckster
516885	408234	
516887	160355	Georgie, toddler
516888	231210	Photographer
516889	169918	
516890	141005	Cowboy
516890	204244	Don Maxwell
516890	205792	Undetermined Role
516891	294150	
516891	339389	
516892	81344	Policeman
516892	105256	
516892	199557	Robin
516892	284014	
516893	313474	Naboo Courier
516894	156565	Prince Salim
516895	120640	Brandon
516897	314837	Drunk Marine
516897	360436	New Yorker Listening to Story
516898	8021	
516899	27440	Neal Ashton
516900	116953	David Dunne
516900	275468	Himself
516900	347300	Teen #1
516901	41044	Waiter
516901	47568	Fred Stilton
516901	52062	Negro
516901	91644	
516901	141323	Porter
516901	183638	Lazy Man in Hammock
516901	203051	Townsman
516901	213174	Willy, Train Porter
516901	213237	Lightfoot
516901	224676	Buck Bedford
516901	235596	Porter
516901	241422	Black man
516901	241824	
516901	279459	Thonga
516901	331421	Helper
516902	253915	Nibs
516902	387120	
516903	240828	
516904	43513	
516904	52475	The sundowner
516904	70334	
516904	70340	
516904	279540	Narrator
516905	304444	Fred Allen
516906	92181	Photographer
516906	131692	Body Builder
516906	143892	Himself
516906	354961	David
516907	40504	Vic Van Viper
516909	28493	Townspeople
516909	37480	Lifeguard
516909	171036	First Sergeant
516910	360436	New Yorker Listening to Story
516911	66941	Pilot 2
516911	231982	Man at Accident
516912	232233	Bernie
516913	77442	Trekker
516914	16640	Ward Withers
516914	54933	James
516914	72242	Army corporal
516914	72256	Hawley
516914	73168	Jim, a Convict
516914	78017	Bridegroom
516914	84229	Bigbee
516914	92006	Corporal
516914	117915	Dave Parker
516914	123852	Paul Ogle
516914	224047	Reporter
516914	249526	Joel Dixon
516914	271090	Joe
516914	330030	Woods
516914	362489	Henchman
516915	8228	Chalmers
516915	108389	Councilman Jordan
516915	121365	Cop at Tournament
516915	127185	
516915	167127	Maj. Walter Johnson
516915	212721	Leroy
516915	296785	Michael - Fingerprint Tech
516915	297121	Prince Of Morocco
516915	313423	Starfleet Officer
516915	341754	Reynolds
516915	342766	Coast Guardsman
516916	316693	
516917	72707	Nurse #2
516918	138740	Barfly
516919	39551	TSgt. Scott Fales
516921	45509	Pointer
516921	78796	Survey subject
516921	142341	Orpheum
516921	196347	
516921	255234	Pequeño
516922	316693	
516923	374592	
516924	41179	The Figure
516924	74123	Assastant
516925	39852	Cop #2
516926	347300	Alley extra
516927	1036	Cyrus Zorba
516927	11484	Pastor William Goodwin
516927	18197	Vincent Nolle
516927	21509	Stan Janowski
516927	26615	Edward Smith
516927	29692	Maj. Tom Blake
516927	31821	Capt. Phil Jackson
516927	32210	Jeffrey Martin
516927	33700	Michael O'Brien
516927	37462	Mark Tracey
516927	39444	Nick Halstead
516927	44505	Matt Daggett
516927	46836	Brother Juniper
516927	56200	Carl Montaine
516927	56226	Perry Mason
516927	59618	Speed Patten, Reporter New Yo
516927	59620	Bob Crawford
516927	64850	Steve Walker
516927	70997	Dr. Michael
516927	77951	Benjamin Franklin Butts
516927	79414	Ralph Conners
516927	86808	Kane
516927	90922	Ken Wilson
516927	93078	Himself
516927	94388	
516927	101071	Dr. Hans Traeger, MD
516927	115810	Cesare aka Juan Caesar
516927	116375	Tony Sterling
516927	117759	Dan Donahue
516927	119490	Roger Abernathy
516927	120336	Charles Ford
516927	124767	Penn Sutherland Gaylord
516927	128198	Dennis 'Denny' Lindsay
516927	129965	
516927	143717	John Abbott
516927	144447	Bob Jackson
516927	147663	Himself
516927	147788	Himself
516927	154767	Joel Grant
516927	154882	Pastor Goodwin
516927	155838	Fred Johnson
516927	162933	Eric Blake
516927	163092	Shepherd
516927	168723	Vet
516927	178204	Gen. Alvin Donford
516927	194984	Paul Gordon
516927	196298	Brian McGrath
516927	205189	Francis Scott Key
516927	211610	Frank Hammond
516927	212211	Dennis Lindsay
516927	212213	Dennis 'Denny' Lindsay
516927	217541	Mr. Singer
516927	220165	
516927	221044	Tippy Carpenter
516927	230390	Rex DeVallon
516927	231768	Ward Blackburn
516927	241025	Dr.Steven Brace
516927	276722	Father Matthew
516927	279317	James 'Jim' Larrabie
516927	280995	Barry Drake
516927	282394	Rodney Crane
516927	289718	Bob Herkimer
516927	291383	Himself
516927	291713	Steve Webb
516927	298024	Tommy Traill
516927	304320	Capt. Bob Dayton/John Kane
516927	306595	Steve Curtis
516927	308299	Denny
516927	308573	Francis Scott Key
516927	313317	Stranger
516927	314433	Ken Bullock
516927	315695	Dr. Jean Martel
516927	315956	John 'Wes' Wesley
516927	321115	Sid Barnett
516927	323769	Charles Darnay
516927	323807	Steve Stewart
516927	324263	John Brent
516927	331951	Ted Farnsworth
516927	333362	Vernon Carter
516927	333386	Martin Drew
516927	340779	Barlow
516927	356298	Paul Kitridge
516927	359863	David Farrelly
516927	363758	Charles Cooper
516927	365984	
516927	367970	Monte Rossen
516927	379402	Host (mid to late 1956)
516927	385170	Craig Kennedy
516927	385615	Himself/Host
516927	392071	Host (1957-1958)
516927	400394	New York-based Host (1953-54)
516927	407527	John Brent
516928	116002	Auditioner 6
516929	52016	Himself
516930	242083	Jamaican Gang
516931	33739	Charles Hausmann
516931	162377	Friend
516931	205905	Major on Homebound Ship's Dec
516931	292330	Henchman Kurt
516932	43469	Earl Crawford
516932	86957	Eddie (bellhop)
516932	112531	
516932	150321	Conny Billop
516932	193201	Spike Hoyt
516932	206384	Billy McGee
516932	220085	Danny Williams
516932	228815	Everett
516932	266706	Matt Doyle
516932	273793	Billy McGee
516932	296966	Peter Roma
516932	325140	Bob Hall
516932	330196	Ralph Landon, (as Eddie Woods
516933	191774	Greedy Eyed Old Man
516933	220949	Dozy undertaker
516933	245644	Eli
516933	264676	Ernest
516933	402375	
516934	163541	Roy Campanella, as a boy
516935	223503	Michael
516937	213052	Her Assistant
516937	214043	Mark Damon
516937	380391	Evan Bates Frame #2 (1994-199
516938	364425	Michael
516938	405209	Andrew Fleming (1992-1994)
516939	75721	Additional Player
516940	150088	Ray Pankow, Liquor License Bo
516940	217950	Ray Pankow
516940	278526	Emcee
516940	366748	Reverend Cross
516941	120640	Gabriel
516942	331456	Baseball Player
516943	151633	
516944	41044	Friend of Fred
516945	30896	Minister
516946	185812	Janitor
516947	173936	2nd Engineer
516947	301558	Radio man
516947	385446	Capt. Miles Keogh
516948	190	Jim Canfield
516948	270	
516948	2198	Cavender
516948	6984	
516948	7036	Bixby's Depth Caller
516948	7095	Crawford
516948	10516	Mongol guard
516948	10520	Officer
516948	20293	Ross Harper
516948	26967	Dick Manning (man from Detroi
516948	29086	Matt Hartigan
516948	31325	
516948	32006	Legionnaire Renoir (mutineer)
516948	33607	Slade
516948	34910	Trading post proprietor
516948	35755	Bill Hadley
516948	36970	Det. Miller
516948	40893	Beligerant Neighbor
516948	41870	Hendricks
516948	44248	Ranger Bert
516948	44338	Dave Strickland
516948	44686	Sheriff Salters
516948	48539	American Sergeant
516948	49324	Cass Barton
516948	51873	Kali
516948	52513	J. B. Murdock
516948	52514	Borno
516948	52536	Soapy Smith
516948	52850	
516948	53324	Gunfighter who doesn't like P
516948	53788	
516948	54830	Romeo
516948	60949	Blackie Dawson
516948	62010	Officer
516948	64527	Ajax
516948	66646	Marshal Nate Hatfield
516948	67121	
516948	67417	Pluthner
516948	67865	Morgan Burke
516948	69498	Kelly
516948	71918	Al Wilkins
516948	73243	Stoddard
516948	73348	Police Inspector Burke
516948	73726	Logan
516948	75850	The Black Rider/Don Alvarado
516948	78528	Second Officer Reynolds
516948	78791	Man in fight with Seton
516948	79685	Jim Corkle the Judge's Brothe
516948	80018	Capt. Worthington
516948	81792	Sergeant Idaho
516948	83642	Williams
516948	83836	Joseph
516948	84934	
516948	90185	A Knight
516948	92190	Bert Logan
516948	95847	Brute Lacy
516948	100085	Captain Demisoff
516948	107020	State Policeman
516948	109263	The Stranger
516948	109445	Tom Boyd
516948	112437	
516948	114857	Wilson
516948	117613	Lumberman
516948	118236	Quarry superintendent
516948	120504	Mullins (police guard)
516948	120749	Curly Bill's Man
516948	123130	Barr Munro
516948	123138	Henchman Lang
516948	127189	Lash Edwards
516948	135819	Bull Driscoll
516948	135856	Harkness
516948	140095	Joe Ryan
516948	140464	J. P. M'Tigue
516948	142125	'Honest' John Motley
516948	142469	Deputy Lud
516948	142517	Lew Stoner
516948	142566	
516948	143940	'Bull' Lampton
516948	149364	
516948	150386	
516948	151067	Mr. Wainwright
516948	152517	Ira Conklin
516948	153998	Guard
516948	154063	State Trooper
516948	154349	Cellano
516948	154545	Fats
516948	157645	Bull
516948	157863	Curly
516948	157868	Clyde Winslow
516948	157886	Al Dalton
516948	159060	Carter (head of Carter Freigh
516948	162926	Capt. Lawson
516948	163250	Workman
516948	166989	Bob Ford
516948	169362	Detective with Inspector
516948	169604	Cop/Autograph Hound
516948	184386	Tascosa, Slade's Henchman
516948	185158	
516948	185467	Henchman Red Morgan
516948	185520	Policeman
516948	185723	Government man
516948	186267	Walt Northrup
516948	186318	Burt Conroy (blacksmith)
516948	186410	Charles K. Plummer
516948	186414	Bart
516948	188202	Big Bill
516948	188326	Police Lieutenant
516948	193695	Ed Farrell
516948	193700	George Dellman
516948	194052	First Mate of the Amindra
516948	202983	Ben Taylor
516948	203176	First Officer
516948	206528	Lon Curtiss
516948	207185	Lab thug [Ch. 7]
516948	207191	Marshal Barlow
516948	209651	Shillingford
516948	210871	Baker
516948	210875	Murdock
516948	218123	Alky Briggs
516948	221027	Grant (pirate henchman)
516948	223810	Luke
516948	224404	Gordoni
516948	230278	Joe Powell
516948	230754	Carl
516948	232344	Gang Leader
516948	241752	Matt Hughes, Policeman
516948	245283	Grant
516948	247160	Yolando's Henchman
516948	247385	Craven
516948	248830	Cooper
516948	254270	Guy Markwell
516948	254546	Calhound Hardy (The Phantom R
516948	254547	Harvey Delaney
516948	257201	Quartermaster sergeant
516948	263164	Kramer
516948	265010	George Lyons
516948	270651	Kloskey
516948	270672	Rudy Campbell
516948	271952	
516948	271998	Marshal McDonald
516948	272074	John Harvey
516948	272075	Vandall
516948	272110	Kincaid
516948	273513	Mace, Cutler Henchman
516948	273809	Barlowe
516948	274264	Monsieur Le Busard
516948	274987	Scar Stevens
516948	275438	Station Agent
516948	277898	Henchman
516948	278004	Duke Mason
516948	279428	Purser
516948	279743	Pete
516948	280682	Thad
516948	280994	Steve
516948	281867	Bull Bangle
516948	283864	Rocky
516948	285890	Thug Posing as MacRae
516948	286808	Gammad at Wedding Feast
516948	288917	Borno the Banished
516948	289585	Doctor #1
516948	290328	Detective
516948	292470	Wrong Mr. Follinsbee
516948	296940	Al Rossi
516948	298043	Licensed Suttler Karl Rynders
516948	298213	Cattle Rancher in Restaurant
516948	298509	Shotgun Cassidy
516948	298580	Kurt (Moriarity henchman)
516948	299165	Donovan
516948	301829	Salesman
516948	301868	Hank Bewley
516948	301948	Judge Sam H. Ballard
516948	301950	Stanton
516948	301991	Riverboat poker player
516948	302723	First Marine MP Sergeant
516948	302727	Cueball Qualey
516948	304971	Gypsy Leader
516948	309831	Bennet
516948	309835	Black Mike Rafferty
516948	309845	Recruiting Sergeant
516948	311535	Dave Matlock
516948	311565	Disgruntled miner
516948	312156	Capt. Holden
516948	312586	Louie Munn
516948	312830	Moose Ringo
516948	313085	Studio Employee
516948	314261	Morris Blake
516948	316048	Harper
516948	319200	Honest John
516948	324030	George Clews
516948	327668	
516948	327757	
516948	329052	Cavalry officer
516948	329090	Kells Mason
516948	329112	Matt Taylor
516948	331062	Racetrack Guard
516948	332035	Trimble Carson
516948	332420	Dawson
516948	334586	Henry Courtney
516948	335151	Bart Haywood
516948	337654	Lance Larkin
516948	338560	Soap Factory Mechanic
516948	339835	Norman Blood
516948	339884	Deputy Al Reeves
516948	340534	
516948	343118	Executioner
516948	343316	Holden
516948	343378	Ivan Petrovitch
516948	347128	Al Brett (Campeau henchman)
516948	347344	Van
516948	354337	Egil the Black
516948	358955	Guerd Eliott
516948	361300	Timekeeper
516948	361619	Mack Gorman
516948	361620	Kurt Raymer, aka The Laramie 
516948	361649	Jim Rand
516948	361652	Brad Sawtelle
516948	361752	Arnold, fake Joe Powell
516948	361833	Roger Caldwell (banker)
516948	362681	Nick Gambert
516948	363119	The Raven
516948	365188	Bixby, First Train Robber
516948	365302	Jay Olmstead
516948	365548	Bus passenger
516948	366257	King Carter
516948	367395	
516948	367962	First Detective
516948	368383	Sam
516948	369359	Ben Jackson
516949	167312	John
516950	64020	Himself
516951	46993	Black Peddler
516951	158515	Black Man in Jail
516951	203006	Black Worker
516951	276948	Jazz Singer in Night Club
516951	330240	Waiter
516952	140133	Zombie with Gold Key
516952	191655	Justin
516953	20346	
516953	23353	
516953	41714	
516953	44550	
516953	47539	
516953	47622	The Half-Breed
516953	47624	
516953	47677	
516953	47680	
516953	47725	
516953	50883	
516953	112417	Ben Crawly
516953	135818	Cayuse Yates
516953	135830	Pecos Smith
516953	144853	
516953	227192	
516953	271977	
516953	277938	Jack West
516953	283858	
516953	283873	
516953	305047	
516953	305966	
516953	305968	
516953	305972	
516953	309037	
516953	309038	
516953	319871	Brazos Bart
516953	329494	
516953	343260	Stranger
516953	346054	
516953	361763	
516954	102232	Asmodeus
516955	318776	Regatta Announcer
516956	379357	Dwain
516957	1703	Himself
516957	3077	Himself
516957	7581	Himself
516957	7589	Himself
516957	7592	Himself
516957	8075	Jake Wise
516957	10303	Crainpool
516957	11553	Andrew Lynch
516957	13713	Narrator
516957	13751	Himself
516957	13930	Himself
516957	16144	Danny Corelli
516957	17953	Mel
516957	18544	Dr. Harvey Mandrake
516957	29973	Himself
516957	33030	Himself
516957	34960	Cleve
516957	37942	
516957	39692	The Fiddler
516957	44046	Lenny
516957	45693	Walter Farmer
516957	46418	Himself (N.Y. Premiere after 
516957	56304	Lester Diamond
516957	56766	Richard 'Dick' Morrison (segm
516957	59350	Lawyer Scott
516957	60208	Narrator
516957	62560	Harold Bloomguard
516957	64724	Roy Marcus Cohn
516957	69895	Michael Kitz
516957	70461	Lloyd Hopkins
516957	86543	Gabriel Caine
516957	87418	Dennis
516957	87506	Asst. Disty. Atty. Joseph Rya
516957	87856	Larry
516957	96555	Himself
516957	106671	Aldo Mercer
516957	106740	Leonard 'Lenny' Schoenfeld
516957	109538	Fast-Walking
516957	113337	General Hein
516957	116925	Reporter
516957	116971	Reggie Makeshift
516957	118116	Addict
516957	118218	John Adams
516957	121515	Himself
516957	121864	Himself
516957	123325	Bank officer
516957	125549	Col. Robert Moore
516957	126604	Jack Benyon
516957	127295	Byron De La Beckwith
516957	127528	Alfred Browning
516957	133456	Rick
516957	139216	Detective Lt. John Moss, NYPD
516957	143526	Hades; Lord of the Underworld
516957	143527	Hades: Lord of the Dead
516957	143543	Hades: Lord of the Dead
516957	144523	Lieutenant Wyatt
516957	147796	Himself
516957	149411	Narrator
516957	154659	Himself
516957	156970	Michael Spector
516957	157784	James B. 'Jim' Stockdale
516957	158902	Sin Eater
516957	159200	Danny Davis
516957	161361	Himself
516957	165484	Paul Clark
516957	168586	Dr. Raymond Turner
516957	169206	Joshua Shapiro
516957	176265	Uncle Sam
516957	176897	Carl Panzram
516957	177632	Hades
516957	177633	Hades
516957	187326	Narrator/The Vikings
516957	212902	Hades
516957	224173	Bill Wilson
516957	231096	Matt Coler
516957	232004	Quentin
516957	232271	Ash Resnick
516957	233307	H.R. Haldeman
516957	235201	Walter O'Brien
516957	238510	Voice of Gar Hob
516957	241141	Maximilian 'Max' Bercovicz
516957	241149	Himself
516957	241957	Gregory Powell
516957	257522	Himself (ringside fan)
516957	263345	
516957	265738	D.J.
516957	270389	Dr. Wilhelm Von Huber
516957	271063	Capt. Sammy Berg
516957	273745	Benedict
516957	276897	Himself
516957	278082	Mr. Leonard D'Onofrio
516957	280627	Gloomius Maximus
516957	283015	Rudolph 'Rudy' Giuliani
516957	286350	Richard Boyle
516957	289667	Father McFeely
516957	310639	Ned Trent
516957	311514	Charles Pratt
516957	315897	Jack Russell
516957	317262	The Evil Falcon
516957	318755	Temple Rayburn
516957	328553	(segment "Videodrome")
516957	330701	Pops
516957	340732	Eddie Dodd
516957	340765	Alan Mann
516957	340768	Alan Mann
516957	350235	Jack Crow
516957	353752	Max Renn
516957	355065	Mr. Lisbon
516957	355541	Bill Schmidt
516957	356350	Himself - Host & Choir Member
516957	360270	Frankie McVeigh
516957	367778	Robert
516957	368578	Host
516957	373405	Himself
516957	389164	John Adams
516957	391392	Hades
516957	391843	Karl Weiss
516957	392134	Hades
516958	47421	MC
516959	162534	
516960	104290	Tom
516960	140016	Shaun Rhodes
516960	188929	Young Roundabout
516960	194885	Friend
516960	382001	Chuck Freeman
516960	404884	Bear Clarke
516961	199759	Flynn
516962	195831	Mike
516963	7510	Jeremy Titus
516964	368654	Marathon/Adam
516965	73430	Thibodeaux
516966	330550	Bartender
516967	384550	Tom Wilde
516968	2079	
516969	282959	Police officer
516970	344534	Himself
516971	961	Jeffrey
516971	106196	Bench Man
516971	252965	Maxwell
516971	287262	Buster
516971	342440	Johnny
516972	169585	Himself
516973	97320	Android Helper
516974	90813	Cast
516975	264075	Tom Wingo (age 6)
516976	151944	
516976	247140	
516977	60735	Young Isaiah
516977	360242	Danny
516978	253067	Pax
516979	56981	
516979	176990	Bruce
516980	26064	Puppy
516981	314685	Kevin
516981	366645	Paulie
516982	13712	Clyde
516982	45860	Danny
516982	149439	Cleavell Monroe
516982	192187	Stymie
516982	240593	Kevin
516982	240594	Kevin
516982	240595	Kevin
516982	253010	Cleveland, Mack's Grandson
516982	382277	Frank (1994-1995)
516983	194071	Alex
516984	280305	Conference Reporter
516984	404002	Denny Walston (1986)
516985	16756	Tony
516985	88926	Yeti/Cyberman
516986	10305	Jamie
516986	335310	Hilly Brown
516987	167283	Robert Milton
516987	291862	
516987	321259	Sir Robert Fairfax
516988	313340	Pharisee, scribe
516989	37364	Cop
516990	140686	
516991	347968	X
516992	97048	Hold-up Man
516993	2955	Mario Faglioni
516993	144247	Dr. Marc W. Boucher
516993	255938	Jonny Pimp
516993	255939	Jonny Pimp
516993	255940	Jonny Pimp
516993	262352	Father McFairy
516993	299788	Deb
516994	150454	Brutus
516995	23561	Shebani Lumumba
516995	70768	Agrippa
516995	194520	Cult Leader
516995	337384	Duke & Duke employee
516995	365759	Copperhead
516996	292302	Sly
516996	358114	Kid with Shoes
516997	8098	Capt. Tandy
516997	40773	Mike Dalton
516997	54270	Clay Gibson
516997	91705	Paul
516997	140186	Austin Hardy
516997	161472	Bob Lenic
516997	183586	Jack Price
516997	232404	
516997	240325	Congressman Gene York
516997	244810	Jerry Cole (Danzig)
516997	264657	Jack Cleary
516997	270915	Deak Farmer
516997	274319	
516997	274322	Sam (segment "Double Dare")
516997	296811	Steven Carey
516997	308177	Dinner Guest, in 1912
516997	310425	Victor Drake
516997	359750	
516997	379716	Kent Bogard #1 (1981-1982)
516997	380713	Alec Wallace (1999)
516997	381281	Sean Benedict
516997	383378	Clay Gibson
516997	390771	Dr. James Reardon (1983-1985)
516997	394677	Clay McKinney
516997	399431	Lt. Charlie Dann (1997-1998)
516997	400512	Jerry Cole (Danzig)
516997	402206	Jack Cleary
516997	407916	Mark Wheeler (1982)
516997	410582	Warren Henry
516998	152116	Black Killer
516998	189500	Rebel Leader
516998	236248	Stephen's henchman
516998	296582	Thug
516998	326315	Black Thug
516998	369546	Henchman
516999	10648	Tony Giordani
516999	53516	State Trooper
516999	167684	Doorman
516999	283015	Sam
516999	285177	Hard Ass Instructor
516999	334293	Frank
517000	17953	Big Man
517000	139216	Cop
517000	176897	Harry Sinclair
517000	270389	Dexterity Technician
517000	315897	Photographer
517001	128816	Air Force Buddy
517003	75515	Lecturer
517003	80515	Kim
517003	123976	
517003	159260	Finleigh's Clerk
517003	203481	Little Man
517003	203616	
517003	277061	Patient
517003	279582	Lord Carleton
517003	363697	Station Porter
517004	163368	Mounted Outlaw
517005	35567	Benjamin Ware III
517005	37415	
517005	112326	Police Sergeant
517005	154882	Kopa, Medical Orderly
517005	163265	Billy Bond
517005	274647	Sam Adams
517005	324057	The Master of Ceremonies
517006	177697	Herself
517007	76968	Le chanteur de ballade
517008	352420	Bug Talker
517009	245089	Newsreader
517009	407587	TV newsreader
517010	207448	
517011	175539	Himself
517011	329843	Himself (Thelonious Monk Octe
517012	80672	1-Baker-11 Detective (Passeng
517012	131223	1-Baker-11 detective (passeng
517013	28368	Narrator
517013	37339	
517013	213875	Waiter
517013	282152	Prospector
517014	317934	Police chief
517015	30933	Lord Philip Thurzo
517015	33962	The Cross Dresser
517015	38572	Drag Queen
517015	41416	Vlad Dracula
517015	41518	FBI Undercover Agent
517015	41739	Press Photographer
517015	58930	Rory
517015	68211	The man
517015	73436	Ensign
517015	81174	Billy Ree
517015	97360	Car Vandal
517015	145019	Fraternity Vandal
517015	211758	Soldier
517015	230508	Katherine's boy-toy
517015	304753	Security Guard
517016	88923	Krarg
517016	394340	
517017	10745	Humpty-Dumpty
517017	119928	Buddy
517017	152222	Board Member
517017	155094	Suit
517017	157436	Reverend Morgan
517017	194236	Henry James
517017	195812	Jacob Campbell
517017	196392	
517017	214054	Mayor Dale Levander
517017	221055	Willis
517017	270914	Seth Needham
517017	298573	Dr. John H. Watson
517017	372149	Anthony P. Kirby
517017	385719	Dr. Dave Woodard #1 (1966)
517017	404002	Mr. Grimley (1978-1979)
517018	1711	Ape that gets killed
517019	384	
517019	13051	
517019	31168	
517019	39599	Jack Murphy/'Black Jack'
517019	45105	Cop #1
517019	54259	Saint-Robert
517019	66806	Luca
517019	67526	
517019	67527	
517019	71158	
517019	74632	Roy Dexter
517019	111375	
517019	151620	Percy Corly
517019	170684	
517019	214856	Cole Harvey
517019	214864	Mallory
517019	256796	
517019	262706	Fernando
517019	266631	Title character
517019	269457	
517019	291047	Commander
517019	293438	
517019	295164	Gregor MacGregor
517019	296520	Chris
517019	298129	Rocky
517019	310081	Sandy Shaw
517019	313543	Johnny/Starblack
517019	323048	El Puro
517019	348157	Morgan
517019	363371	Undetermined Role
517019	373914	Sandy Shaw
517019	404570	Hank Sanders
517020	1348	Himself
517020	37480	
517020	55159	Donald Stevens
517020	59813	Sheriff Dean Hartley
517020	62053	
517020	80798	Jim King
517020	108694	Clint
517020	171036	
517020	232253	
517020	385824	Paul Stewart #1 (1986-1987)
517020	400236	Bo Buchanan (1979-1987, 1988-
517020	410582	Lt. Cmdr. Eugene Lindsey
517021	218130	Roland
517023	245001	Himself
517024	8021	
517025	61802	Colin Slansky
517025	68796	Tom Little
517025	276249	Ian
517025	280737	Prof. Wauchop
517025	337984	Donnie Moss
517026	283396	3rd Constable
517027	381092	Himself (eliminated episode f
517027	408910	Himself
517028	193831	
517029	79716	Mr. Walden
517029	106755	Another Delegate
517029	362042	Young Rawiri
517030	177705	Hot dog vendor
517031	112205	Lab Guard
517031	405461	Goon 2
517032	59664	Shooter
517032	83644	Larson
517032	147745	Killer Z
517032	168166	Roger Washington
517032	177422	Frank
517032	292245	Hooks
517032	321718	Gabriel's Crew
517033	74245	Ethan
517034	193681	
517034	331584	Teamster
517035	65197	Tyler
517035	263558	Charles Bingley
517035	383251	Charlie Givens
517036	231121	
517036	332772	Fighter/Soldier/Performer
517037	11322	
517038	299738	Legendaire 3
517039	384072	Pope
517040	144542	Musician
517040	212698	Drinker in Pub
517040	258807	Performer
517040	315901	Tom McMahon
517041	214516	Third Agent
517042	723	Himself
517042	1459	Himself
517042	141050	Himself
517042	348800	
517042	364816	Himself
517042	387840	Himself (Interviewee)
517043	411474	Himself (1975-1980)
517044	395091	French Peasant #1
517048	190692	Zac
517048	277746	Smart Kid
517049	285607	Second Farang
517050	368393	Himself
517050	389044	Himself/panelist
517050	392424	Himself
517051	262394	Cook
517052	148548	Glavis
517053	347535	Various
517054	236972	Observer
517055	117241	Charlie
517056	117103	Cop #2
517058	286423	Mistaken Sam
517060	203749	Narrator
517061	249047	TV Host No. 1
517062	5960	Pool party guest
517063	94085	Fan 3
517064	66625	Li Hung Lo
517064	343276	Sheriff Holbrook
517065	87586	Sumo Wrestler
517066	216955	Edward Markham
517067	41743	Carl
517068	141674	Salesman
517069	264992	Spider
517070	12319	Party Guest
517071	236163	Narrator, Mordwyn
517072	21214	Reporter
517073	308978	Member of the Skye Band
517074	7808	
517074	66785	
517074	96920	Martin
517074	115130	Addison
517074	219118	Truman
517074	281196	Colin O'Day
517074	289490	Forrest
517074	308084	Greg
517074	327625	Melvin Franklin
517074	391375	Branford Lee
517074	398567	Aaron Mosely (1996-1997)
517074	398568	Aaron Mosley
517075	305351	V5 Band Member
517076	350424	Frozen Dad
517077	266084	News Reporter
517078	150352	Host
517078	184782	Himself
517079	14190	Himself
517079	42924	Streety Man (segment "The Wil
517079	80821	Vaughn
517079	138859	Temptation
517079	192219	
517079	220212	Himself
517079	232630	Church Singer
517080	194917	
517081	319357	Himself (Oakland Raiders)
517082	201326	Tim
517083	163375	SWAT Officer
517084	73561	Guard
517084	92689	Uniform Officer
517085	126277	Autograph man
517085	136056	Bartender at Payson House
517086	386236	Additional Voices
517087	15216	Bert Hinkler
517087	395091	Reporter #2
517088	11570	Jesse
517089	319357	Himself (Oakland Raiders)
517090	346057	
517091	34952	Step Father
517091	77477	Lead Detective
517091	168776	Angus
517091	232817	Whitey
517091	316094	Jordan Walker
517092	337301	Captain Wallace
517093	37659	Ken Yargeau
517093	191779	Baseball player 2
517093	368898	The Writer
517094	6865	Gang Member
517094	194938	Soldier #1
517094	291014	
517095	114672	Jail Guard
517095	154530	Baseball Fan
517096	31821	Radio Announcer
517096	43606	Gene Lopwitz
517096	92224	Professor Wilson/Off Screen N
517096	103305	Naval officer
517096	110218	Narrator
517096	123128	Soldier
517096	124224	Voice of Announcer
517096	219045	Warden
517096	226937	Hexagon Oil Commercial Announ
517096	231936	Off-Screen Narrator
517096	241240	Henry White
517096	257714	Drunk
517096	305372	
517096	341758	Narrator
517096	353306	Dave, Undercover Detective
517096	371819	
517096	379761	Narrator (1977-1978)
517096	381405	Narrator/Additional Voices
517096	383122	Sheriff
517096	390534	
517096	392966	Narrator (1967-1968)
517096	393482	Additional Voices
517096	398087	
517096	399961	Narrator
517096	400731	Mondraggor
517096	406153	J. Jonah Jameson
517096	406156	
517096	410582	Narrator
517096	411221	Narrator
517098	41862	Rupp
517098	59456	Valet
517098	62992	Old Joe
517098	79518	Nabal
517098	79557	Mr. Creakle
517098	99067	Grandfather
517098	101387	Kiffen
517098	105409	Prof. Zoltán the Hypnotist
517098	109826	Farmer
517098	115674	Jack Humpage
517098	153642	Marcus Allan
517098	165449	Briggs
517098	194493	Gollum
517098	199707	Clergyman
517098	211500	Soothsayer
517098	215153	Scout Master
517098	238420	Mentor
517098	266744	
517098	274125	Professor Lusis
517098	274220	Malenkov
517098	304234	Bert Travers, Marco's Landlor
517098	322600	Gustav Pimpernickel
517098	323737	Mannheim
517098	324009	Werewolf
517098	328905	Alexander Glazunov
517098	334132	Elric Becker
517098	388249	Archduke Franz-Ferdinand
517098	392901	Max, pathologist (1987-1988)
517098	399748	Honoré de Balzac
517098	404134	Pigsy
517098	404189	Smithy
517098	410513	French Agent
517099	220072	Hal Carruthers
517099	344670	
517100	367612	Boundary rider
517101	11193	Mr. Mount
517101	12093	Cheeseman
517101	14231	Dr. Hirsch
517101	16037	George
517101	39178	Supt. Hammond
517101	48062	Dr. Frobisher
517101	65834	
517101	78329	Tallon
517101	81145	
517101	81588	
517101	85123	Trincant
517101	85984	
517101	86025	Archibald
517101	89184	Dr. Seddon
517101	92881	Lester MacIntyre
517101	94937	Speaker of the Prologue
517101	105186	Roger
517101	107550	
517101	107724	Adm. of the Fleet Sir Terence
517101	109924	Franz Luther
517101	116709	
517101	129580	
517101	137914	
517101	149643	Sir Hew Dalrymple
517101	161836	
517101	187886	Vitelli
517101	193577	Henry Moore
517101	198878	
517101	198881	Banquo
517101	211352	The Duke of Venice
517101	222766	Christian Gilbranson
517101	244332	Uncle Howard
517101	253081	King Antiochus
517101	253542	Admiral Croft
517101	256580	Kreutzen
517101	270001	Dennis
517101	281144	Friar Lawrence
517101	292701	Frank
517101	312300	Gierek
517101	320759	P.C. Tedder
517101	320760	P.C. Tedder
517101	323727	
517101	339418	Herr Deimen
517101	350506	Lord Bareacres
517101	358661	Bertie Irons
517101	369185	Mr. Earnshaw
517101	372787	John Howard, Manager of Trans
517101	379711	Oscar Randolph (1988)
517101	382332	William Gossage
517101	387131	Bloody Delilah #1 (1969)
517101	387471	Sir Francis Drake
517101	388758	Bobo Sr.
517101	394665	Prior Mordrin
517101	395525	Ralph Nickleby/Opera Singer
517101	398020	
517101	399268	DCS John Kingdom (1972-1973)
517101	400111	Mr. Gunn
517101	400810	Barry Edwards
517101	402196	Colonel Sapt
517101	403937	M. Snotts
517101	406183	
517101	407786	John Wilson
517101	409593	Randall Peronett
517101	411895	Det. Insp. Witty (1968-1969)
517102	133475	Wedding Preacher
517103	296755	Buchanan
517104	360048	Himself
517105	3080	Knife-wielding Indian
517105	5811	Henchman
517105	5847	
517105	18736	Graves
517105	26874	Turk, a thug
517105	27298	Stage driver
517105	29123	Henchman
517105	29710	Henchman
517105	40477	2nd Telegrapher
517105	41731	Dusty
517105	44254	Flint
517105	44267	Henchman
517105	45923	Stage driver
517105	52113	Cowhand
517105	52333	Frank Wyatt
517105	57042	
517105	60235	Bob (stage driver)
517105	60951	Jim Anderson, Postmaster
517105	72008	Henchman
517105	72244	Henchman
517105	72622	Stagecoach driver
517105	73818	Wright
517105	80519	Card player
517105	83557	Henchman
517105	94128	Deputy
517105	94136	Unspecified Tribesman
517105	100206	Deputy
517105	112571	Bender (thug)
517105	112605	Henchman Bob
517105	113894	Townsman
517105	114637	
517105	114923	Marshal Ed [Ch. 1]
517105	120725	Henchman Straker
517105	120760	Shorty
517105	124587	Jose's killer
517105	125480	Wagon driver
517105	127219	Surveyor Craig
517105	135800	Mantz
517105	135822	Stage Driver Bob
517105	135834	Sam
517105	135980	Jarvis
517105	136028	Jail guard
517105	144562	Henchman Joe
517105	145410	Miner
517105	147830	Bank robber posing as cowboy 
517105	148327	Henchman
517105	157869	Henchman
517105	166992	Henchman
517105	170601	
517105	173528	
517105	184484	Henchman Sam
517105	186358	Spence
517105	230280	Henchman
517105	230282	
517105	232225	Stage driver
517105	239392	
517105	239393	Henchman Bob
517105	239839	Lockwood wrangler
517105	245360	Stage driver
517105	245423	Henchman
517105	245623	Henchman
517105	245730	
517105	245748	Ed
517105	249523	Deputy
517105	256419	Deputy Jackson
517105	270535	First Henchman
517105	271234	Henchman
517105	272078	Henchman Bob
517105	272090	The stranger
517105	272139	Bob
517105	276776	Stage driver
517105	277942	Cowhand entering saloon
517105	279568	Henchman
517105	279574	Bob
517105	285147	Wagon driver
517105	286898	
517105	296859	Walt Jarvis
517105	296957	Gus (thug)
517105	298500	Henchman Duke
517105	301938	Wagon driver
517105	302021	Henchman killed by Jimmy
517105	308624	Rancher
517105	308642	Stage Guard
517105	308660	Henchman
517105	309950	Guard
517105	312044	
517105	312818	Pete (stage driver)
517105	312831	Henchman
517105	313005	Whiskey
517105	319197	Cowhand
517105	319205	Deputy Phil
517105	319226	Barfly
517105	324242	Henchman Shifty
517105	333639	Henchman Trigger
517105	337586	Cowhand
517105	337708	Soldier
517105	337710	Express Company employee
517105	338741	Soldier
517105	339666	Davis
517105	340467	Henchman
517105	340516	Rodeo performer
517105	343259	Rand henchman
517105	350008	Fighter
517105	354216	
517105	358179	Unshaven Henchman
517105	361625	Henchman
517105	361630	Henchman
517105	361843	Stage driver
517105	363815	
517105	365475	Trail cowhand
517105	366338	Stagecoach Driver/Henchman
517105	369364	Gang member
517106	95528	Aiwa
517106	167913	Hiroshi
517106	319790	Frank
517106	383107	Yuji's Father, Yoshiki Tabata
517106	392570	Izawa
517106	394175	Kazuma Ikeda, Miyako's Father
517106	398579	Kojiro
517107	59912	Staff officer
517108	218788	First Medical Student
517108	308350	Werewolf
517109	310838	Steve
517110	400355	Himself (Department of Microb
517111	69	Lt. Harry 'Breaker' Morant, B
517111	639	Witnessing officer at hanging
517111	4699	Lord Fermoy
517111	19176	Ian
517111	21173	Merlin
517111	32389	Clement, French Courtier
517111	42136	Logan
517111	50036	Himself
517111	52575	David Callan
517111	58875	Josh Gifford
517111	59540	Holstrom
517111	60767	
517111	62992	Ghost of Christmas Present
517111	63095	Colonel Phillips
517111	66658	Michael Royston
517111	80696	Maj. Herbert Armstrong
517111	99322	
517111	104948	The Man
517111	112744	Arthur Thompson
517111	135727	Drunlo
517111	138234	Sherlock Holmes
517111	139599	Edward 'Teddy' Harrison
517111	150872	Dominic Angelo
517111	158723	Dr. Holstrom
517111	159881	
517111	163352	Himself
517111	170495	Cassius
517111	177294	Saul
517111	191532	
517111	195758	Derek McBracken
517111	200524	David Callan
517111	203169	Sir Eustace Pedler
517111	205283	Gus
517111	210618	Robert McCall
517111	211838	Rev. Stephen Hedges
517111	216008	Sargy Gollup
517111	231907	Vic Green
517111	245611	Maxwell Beckett
517111	291417	Himself - Interviewee
517111	297267	Edward Harrison
517111	303382	Inspector Milton
517111	313082	Sgt. Wellbeloved
517111	345828	Simon Legree
517111	359080	
517111	361909	David Callan
517111	363460	Ralph Stokes
517111	364147	Cmdr. Powell
517111	364781	Himself
517111	364782	Sergeant Neil Howie
517111	372787	Captain Aylmer Haldane
517111	378756	Jim Kyle
517111	383231	David Callan
517111	384238	Harry Malone
517111	384766	Nev
517111	385716	
517111	387335	
517111	387720	Robert McCall (The Equalizer)
517111	392703	Storyteller
517111	399380	Edwin Thornfield
517111	400600	Maxwell Beckett
517111	407188	Guy Crouchback
517111	411058	Himself/first season presente
517111	411255	Sir Samuel Hoare
517112	71700	Circus Animals
517112	146079	The Cowardly Lion/The Kangaro
517112	185238	Sebbet, the Embalmer
517112	190684	Hank the Mule
517112	200134	Nickodemus
517112	222135	
517112	250523	The Woozy, a Quaintness/The Z
517113	343045	Restaurant Patron
517114	32342	
517114	35142	
517114	79204	
517114	89086	
517114	89087	
517114	146188	
517114	152400	
517114	256117	
517114	341533	
517115	27934	John Warren (The Fish)
517115	117339	
517116	19998	Wayne Hearne
517116	33391	Arthur Sole
517116	65414	Richard Saurin
517116	81952	Henry Sanford
517116	113918	Georges
517116	117339	Fred Worthington
517116	141480	Gentleman Chi
517116	143138	Williams
517116	144615	Ensign Brooks
517116	185488	Major Heyward
517116	186408	Black Jim
517116	195498	Dave Dorgan
517116	202246	McGuire (Lady Eileen's chauff
517116	205158	Wade Crosby
517116	224670	Captain Thomas K. Barnes
517116	227263	Jeffries
517116	240781	Judge Wilton
517116	279369	John Morgan
517116	293186	Jim Carrington
517116	366336	Lord Verney
517116	372320	Tom
517117	348312	Tom
517118	7060	Sam Weller
517118	33056	Tom Tyler
517118	133972	Innkeeper Swanson
517118	162579	Hicks
517118	235462	James Coglan
517119	10415	Male Model
517120	404891	Lord Harry
517121	379675	Wirdegen
517122	125554	Bit part
517123	365288	Reporter #1
517124	122214	Joe College
517125	208245	Bank Robber
517126	49840	Pickup Driver
517126	297838	Bullhorn Tower Guard
517127	389411	Chip Holmes
517128	28464	
517128	256464	Boyd
517128	337125	
517128	366697	Jason Posner
517128	370880	Charlie Kerrigan
517128	406554	Jonathan
517129	139587	Himself (interviewee)
517130	75247	Araldo
517131	109286	Peacekeeper Guard #2
517132	31286	Rider
517132	45695	Jailer
517132	71302	Electrician
517132	109698	Bodyguard
517132	207992	Guard
517132	256612	Balloon Man
517132	267213	Mickey
517132	276249	Acosta
517132	363611	Policeman
517132	390099	Overseer
517133	404891	Lord Harry
517134	12355	'Obie' Foster
517134	31055	Cayman of the Lambda Zone
517134	37286	Jimmie Kelson
517134	70404	Boss Godfrey
517134	78777	J.B. Watson
517134	80765	General Olson
517134	81178	Ivan Stanek
517134	84966	
517134	113275	The Boss
517134	113903	Willard
517134	128727	J.P. Sands
517134	133690	Alex
517134	135811	Deputy 'Mitch' Mitchell
517134	135986	Drago Leon
517134	136041	Lazy Heart Man
517134	136056	Sheriff Abel Rose
517134	139987	Ellison Hatfield
517134	176967	John (Head gangster)
517134	185168	Mr. Burgess
517134	185188	Ransom Payne
517134	213190	Clayborne
517134	218819	Sweetwater
517134	241487	Sgt. Raines
517134	244393	Johnson
517134	269623	Sheriff Moses
517134	277856	Durgan, Teeler thug
517134	277882	Jeff Richman
517134	283580	Crug Crider
517134	304558	Tilly Moore
517134	305405	C.J. Crane
517134	310796	Capt. Hogan
517134	319730	T.B. Trenton
517134	321695	Captain of Guard
517134	361837	Obie Foster
517134	363528	Mr. Mann
517134	365236	Ab Cross
517134	373217	Arch King
517134	383780	General Wade
517134	385594	Marvin 'Punk' Anderson (1980-
517134	385824	Phillip Colville (1987)
517134	392177	The stranger
517134	395528	Shotgun Gibbs (1958-1961)
517135	342983	Mark Cutter
517136	26489	Galen
517136	48321	Captain Stossel
517136	68011	'Porpentine' Waiter
517136	81588	Sergeant James
517136	97994	Host
517136	97998	Host
517136	122813	Sergeant Munro
517136	150872	Harry Angelo
517136	157984	The Fight Master
517136	207028	Host
517136	211961	L.T Kjilgore
517136	250375	Himself
517136	250746	Charles O'Hara
517136	266761	Col. Martin
517136	283343	Jarvis
517136	294216	Willoughby
517136	364148	Arthur
517136	384886	Himself
517136	385328	Galen
517136	388396	Harry Somerford
517136	401529	Lieutenant Maynard
517136	407892	Roland Leighton
517137	95486	Civi 2
517138	340271	
517139	17319	Sam's friend
517139	184853	Timmy
517140	231331	Himself (river accident survi
517141	7086	Boy
517142	348015	Himself - Driftwood Carver
517143	321546	
517144	105278	Gavat
517145	25851	Frank Rice
517145	46691	Nick Hawthorne
517145	56205	
517145	65914	Keith
517145	67482	Conor Taafe/Ian Johnston
517145	72049	Edward Holdsworth
517145	78250	Jeff Mundy
517145	78764	Dudley Ruthyn
517145	79518	Angry Lieutenant
517145	96817	Francis Levison
517145	104683	Felix Young
517145	112748	Billy
517145	120799	Richard Crayshaw
517145	123092	Ludovico Marsili
517145	148417	Father
517145	150872	William Angelo
517145	171689	Partonov
517145	177294	Joab
517145	183843	Lord Windermere
517145	198923	Col. Petrovic
517145	222748	Rhodes
517145	230831	Dep. Asst. Commr. Donald Beva
517145	245513	Martin Tindal
517145	253478	Timms
517145	260330	Juliusz Kydrynski
517145	279277	Jack Warner
517145	286186	Nerva
517145	289603	Brewster Stonehall
517145	292158	Chief Constable Richard Tanne
517145	307928	Harrington
517145	337856	
517145	366162	Alan Farmer
517145	388306	John Thompson
517145	391259	Lord Harry Elesmere
517145	391769	Ken Clegg
517145	394456	John Field
517145	398554	DCI Turner
517145	401433	Squadron Leader Rex
517145	409841	Mr. John Osborne
517145	411228	Sgt./2nd Lt. Alan Farmer
517146	155915	Cub Scout
517147	70619	Reverend Macelroy
517148	218713	The Boys from Newark
517149	14604	Robert Dadd
517150	43	Red
517150	7944	Richard (age 16)
517150	68867	Will Rafferty
517150	102569	Pennington
517150	127126	Home Security Man
517150	195495	Trendy Guy
517150	318800	Axelman Boy
517151	206833	Jeff
517151	234186	The Kid
517151	274067	Bartender
517152	133519	
517153	176791	Townsman
517153	219030	Student Leader
517154	131232	Extra
517155	238613	Himself
517156	62483	
517156	146752	Group cast appearance
517156	230753	Themselves
517156	275367	
517156	366422	Group cast appearance
517157	218718	Musicians
517157	278818	Himself
517158	230873	Biker
517158	383728	Himself/Paparazzi
517159	55734	Clem
517159	73246	Stoolie
517159	79852	Shorty, Bruhn's Gang
517159	144896	Student in Fight
517159	154046	Gangster
517159	176343	Fisherman
517159	185458	Cpl. Floyd
517159	255520	Steward
517159	278091	Hardpan
517159	285782	Townsman
517159	294744	Racketeer #2
517159	312017	Sims, Raider
517159	316270	Guerrilla
517159	332047	Henley
517159	372531	Ed, the Photographer
517160	80583	Woodsie
517161	7035	Kaidu Officer
517162	368894	Producer
517163	41552	Doctor
517163	93121	
517163	240688	
517164	34957	
517166	118811	Blue soldier
517167	348651	Klaus Nomi's band
517168	211825	
517168	298425	
517169	223920	Secret Service agent
517170	23919	Himself
517170	88922	Ian Beale
517170	96867	Himself
517170	151452	Himself
517170	269657	Himself
517170	273567	Himself
517170	328802	Celebrity Participant
517170	328806	Celebrity Participant
517170	361361	Himself
517170	381158	Shiner
517170	387247	Ian Beale
517170	387248	Himself
517170	411293	Dave Firkettle
517171	185524	P.O.W. 12
517172	382170	Prince William
517172	409578	Laurence Fenton
517173	204584	Referee
517174	106253	Captain Scott
517175	26804	Himself
517175	300871	Guitarist
517176	18	
517177	358708	Trader (office)
517178	185964	Club Goer
517179	11427	Nat Hearn
517179	16760	Prince Rudolf
517179	29080	Maj. Crowley
517179	29580	Rufio
517179	103238	Minister
517179	107807	Virgilianus
517179	112566	Sir John Perrott
517179	114681	Lodge Keeper
517179	115298	Inspector Kingcombe
517179	136024	Group Captain
517179	137904	Horatio, his friend
517179	149224	Brutus Smith
517179	160958	Team doctor
517179	163920	King Richard the Lionhearted
517179	166123	Pelton
517179	190086	
517179	194173	Ashley Morehouse
517179	199554	William Minnoch
517179	207476	Col. Mark Cleaver
517179	207533	
517179	224361	Hugh Manning
517179	232272	Roy Lewis
517179	233928	Insp. Harris
517179	265617	Dr. Blanchard
517179	270025	Nerva
517179	277678	Catesby
517179	278515	Inspector Bliss
517179	281166	Paris
517179	282307	David Fraser
517179	288854	King Saul
517179	330693	
517179	363202	Rev. Clement Mercer
517179	385139	Simon Maxie
517179	386274	Joseph Coleman
517180	235623	
517181	48013	Mr. Hobson
517182	81182	Himself (former Australian am
517183	359539	Jimmy
517184	389718	Co-Host
517185	236494	Look-a-like Wookie
517186	105726	Technician
517186	119357	Construction Worker
517186	272857	Bouncer #1
517187	68746	Himself (DJ, Cavern Club)
517187	154296	Himself
517188	381454	Himself - Summariser
517189	66925	Himself
517189	105397	Victor Spivak
517189	135514	Tennis Pro
517189	144379	Manager
517189	219782	Himself/Host
517189	257814	Himself (Host)
517189	303501	T.V. Commentator #2
517189	308772	
517189	342197	Himself/Host
517189	378617	Himself/judge
517189	384194	Himself
517189	385752	Himself/Host (1998)
517189	390616	Host
517189	391864	Himself (Host)
517189	392422	Himself
517189	394553	Himself/Host
517189	395679	Host
517189	396070	Himself/Host (1983-1994)
517189	399301	Mr. Dingle
517189	404548	Himself/Host
517189	410946	Himself/Host (1975-1981)
517189	411844	Himself/Host
517190	75394	Alfred Guell
517190	144577	David Dietz
517191	46367	Stone Cutter
517192	19851	
517193	65924	 (segment "Head Like a Hole")
517193	134126	Parole judge
517193	368156	Himself
517194	267253	Monk
517195	18962	Himself
517196	346142	Studio Lot Director
517197	197270	
517198	18724	
517198	20839	Trooper
517198	40022	Bill Lassater
517198	45427	Pete Martin, Turlock's Forema
517198	48982	Gen. George Armstrong Custer
517198	57052	Miller
517198	57352	Lank Clee
517198	71694	Himself
517198	87871	Pvt. Jessup
517198	89686	
517198	92447	
517198	127394	Gabe Target
517198	142523	Neill Price
517198	144861	Ben Miller
517198	149388	Cletus
517198	149394	Gurst Star
517198	160470	Convict Chick Fullis
517198	168696	Posseman
517198	191624	Quince
517198	197869	Gambler with Buster
517198	203691	Latigo
517198	239416	Cowboy/Henchman
517198	245363	Travis Cobb
517198	267563	Harry Skinner
517198	277860	Jonathan Long
517198	280288	Kay Rawlins (CSA)
517198	281841	Corporal
517198	292178	Jones City leader
517198	295282	
517198	302031	Cavalry Sergeant
517198	304276	Balladeer
517198	328547	Baxter
517198	329065	Mack
517198	336814	Army Officer
517198	339355	Butteridge
517198	340327	Townsman
517198	348453	Anson Sudro
517198	359338	Snyder
517198	391281	Himself (1969)
517198	402910	Pete Nolan (1959-62, 1965)
517199	393206	Jean-Claude the Carrier Parro
517200	324013	
517201	103831	M. MacDonald
517202	304539	Young Mac
517203	279142	Serrano
517203	372329	Team Member
517204	9023	Russian President Petrov
517204	81041	Judge Metcalf
517204	90154	Scram
517204	119466	Daniel Waldoff
517204	134731	Brady Bunch Director #1
517204	220821	Artie Feldman
517204	242790	Barber
517204	271287	Kermit Aloy
517204	272600	Mickey Cohen
517204	362813	Dean
517204	385653	Hotel clerk
517205	55156	Pop
517205	79078	Fallow
517205	99573	Manny
517205	119490	Office Boy
517205	158920	Neighbor
517205	183815	
517205	185500	Jesse
517205	220415	Bluejay/Paper People
517205	221024	Phil
517205	223733	Page Boy
517205	234065	Pickens
517205	245883	Uncle Henry
517205	264784	Jeff's Dad
517205	291513	Jeff
517205	298266	Wally
517205	313921	
517205	329538	Joe, the Copyboy
517205	331236	
517206	372116	Thin Man
517207	263961	Captain Hector
517208	178947	Percival
517208	197123	
517208	238920	Voice of Sutekh
517208	244001	Himself
517208	335073	
517208	382595	Peep-Peep's father
517208	396912	Gervase Lorrimer
517208	400087	
517208	402196	Cardinal-Archbishop of Strels
517209	232077	Relief Driver
517210	340845	Himself
517210	379999	Himself
517211	372244	Trucker #2
517212	10437	Wenda
517212	20045	Mr. Kidd
517212	32453	Electricity man
517212	68290	Vince
517212	112714	Helicopter Pilot
517212	123092	Father Clavius
517212	132075	Levin
517212	133513	Egrebyomka
517212	148326	
517212	150748	Shopkeeper
517212	191240	Strolling player
517212	195992	Libido
517212	200894	Jailer
517212	205076	Father
517212	218215	
517212	263976	Dr. Cornelius
517212	277082	
517212	280279	The Transylvanians
517212	280469	
517212	283954	Arthur Sultan, The Surrey Mys
517212	288947	Gendarme
517212	314508	Frankie Barrow
517212	319614	Penguin Man
517212	321774	Bastini
517212	327232	Guest
517212	387337	
517212	389454	Various Characters
517212	403993	Various
517212	406678	Syd Croucher
517213	67896	Basic Training Sergeant
517213	361224	'Denial' Assistant Director
517214	37941	Caller
517214	401744	Messenger boy
517215	303999	Conveener
517216	77640	Lazlo
517217	131753	Armed Offender Officer
517217	272146	Bill
517218	91793	Bartender
517219	177328	Helmsman
517219	188614	Angel
517219	197067	Ed Sedgwick
517219	200911	Captain Morrison
517219	241650	Mr. Stephenson
517219	303031	Himself
517219	396921	Arnie
517219	409236	Host
517220	102581	Matt
517221	141454	
517223	118934	Letch
517223	279758	Cedric
517223	334392	Alfred the horse
517223	343278	Pawnbroker
517223	379327	Derwent
517223	385299	Mr. Gates
517224	385299	Cpl. Eddie Dennison
517225	58630	Henry de Courtenay
517225	199442	
517225	398406	Robert Trent (1968)
517225	406696	Johann Strauss
517226	28131	A.J. Topper
517226	219856	Peters
517226	230926	Male Nurse
517226	381166	A.J. Topper
517227	203955	Sergeant Louw
517228	13800	Doorman
517228	183944	Guard
517229	31702	Beach Community Member
517230	71567	Joseph
517231	213315	
517232	213315	
517232	235790	Press Photographer
517232	397534	Cashier
517233	398672	Derek 'Dee Dee' Parker
517234	2581	Himself - performer
517234	329618	
517235	221101	
517236	306744	Butler
517236	340857	Adachi
517237	162292	Young Dubliner
517238	39178	Insp. Rogers
517238	59649	German Guard
517238	118722	Doctor (Safe House)
517238	126678	Police sergeant
517238	139679	Scouser
517238	159261	Andrew
517238	241813	Patrick
517238	291529	Robert Martin
517238	299715	Friend of Lady Georgina
517238	320309	Mr. Bailey
517238	358727	
517239	81151	Platform Inspector
517239	124678	Porter
517239	137964	Tookey Tate
517239	270977	Mr. Pritchard
517239	289231	Boy's father
517239	310295	Jerome
517239	313081	Mr. Barton
517239	320758	Old Billy
517239	345865	Monsieur Perrier
517239	363490	Mr. Woods
517239	385299	Sam Carney (1975)
517239	392680	The Sergeant
517239	392754	Professor Branestawm
517239	392837	
517239	392954	Ernest Haithwaite
517239	395690	Professor
517240	384430	George Cannon Jr.
517241	43912	
517242	244408	CRC Patient
517242	408481	Presenter (1970s)
517242	408546	Presenter
517243	26144	Himself - Town Cryer Radio Sh
517243	127519	Cameo Appearance
517243	221159	Mr. W
517243	279640	
517243	291110	Vanderveer Veyden
517244	323619	
517245	320797	
517246	236602	
517247	266735	Bray School Student
517248	331019	Ricky
517249	187100	George
517249	321280	Ferrari Salesman
517250	276835	Himself
517251	404282	Channing Creighton 'Chip' Cap
517252	378912	Reporter (1993-)
517253	191196	Zombie
517254	196572	Maitre'd
517255	249600	Young James
517256	404282	Channing Creighton 'Chip' Cap
517257	409578	Tom Canning
517258	297713	Marriott
517259	46804	Mr. Archibald Bodkin
517259	67482	Edmund Lawson QC
517259	114016	Housebuyer
517259	161170	George
517259	171393	Lord Hutton
517259	260229	Clifford Turner
517259	284504	Alan
517259	362081	Political Advisor One
517259	383363	Prosecution Barrister (The Ma
517259	395181	2nd N.Z. Journalist
517259	401778	Conservative Committee Member
517259	408866	Anaesthetist
517260	191907	Michael
517260	226998	Reporter
517261	20910	Georges Bouchet
517261	21300	Gantvoort
517261	21555	John R. Hodges
517261	38813	Prof. Wutheridge
517261	77767	Professor Lange
517261	105217	John 'Jack' Fleming
517261	117790	
517261	128372	The governor
517261	147973	Priam Farli aka Henry Leek
517261	148949	Parker, Smitty's Publisher
517261	162267	Edgar Brawley
517261	177989	Omar
517261	183373	Man in Box Seat
517261	190060	Madden Thomas
517261	192611	Mr. Charles C. Bawltitude
517261	194462	Jeweler
517261	202852	Henri Dubois
517261	203470	Sheridan Whiteside
517261	213070	Judge
517261	215662	Miles Tatlock
517261	217426	John Graham
517261	230384	Dr. Schmidt
517261	231768	Himself
517261	235633	Dr. Vunch
517261	248979	Narrator, US version
517261	255465	Howard
517261	293132	Doctor
517261	302467	Colonel William G. Smollett
517261	331324	Dr. Jaffe
517261	349554	Wedding Guest in Car
517261	372531	Dr. Lane-Porteus
517261	374198	Fouget-interviewer
517262	390771	Police Officer (2003)
517263	264936	Edward
517263	400814	TV reporter
517263	411089	Paint depot salesman
517264	38735	Tom
517264	152622	Clark
517264	184710	Television Narration
517265	87632	Himself
517265	100126	Himself
517265	185217	Presenter
517266	18385	Silius
517266	141651	Gilcher (Beck ranch hand)
517266	313463	
517267	131777	Wino
517267	152300	Very Drunk
517267	187244	
517268	64090	Bit part
517268	188542	Wire Walker
517268	333300	Motorcycle rider
517269	65785	Dr. Alex Borshikoff
517269	198983	Harris Gang member
517270	163601	G-Money
517271	26734	Security Guard
517271	129596	
517271	131539	Court Bailiff
517271	158343	Bus Driver
517271	159131	Ranger Thaddeus Clay (flashba
517271	314794	Scrapyard Dealer
517271	323611	Diaper Delivery Man
517272	4367	James Eldritch
517273	30688	Himself
517274	6440	
517274	8561	Dr. Ulpiano
517274	18975	
517274	29009	
517274	32707	Hungry Inmate
517274	51624	Shipwrecked Man
517274	52081	
517274	52618	Zacarías
517274	52980	
517274	61989	
517274	70662	Hombre joven
517274	77246	
517274	80189	Félix
517274	83503	
517274	91311	Colorado
517274	124656	Meliton Merez
517274	139777	Toothless Local
517274	158462	Inmate
517274	159529	
517274	197439	
517274	209044	
517274	209298	Biker 2
517274	210577	
517274	219739	Mercenary
517274	222042	
517274	223871	Oxcart Driver
517274	236472	
517274	237194	Marino Albizetti
517274	239636	Tall soldier
517274	243612	
517274	248300	
517274	252764	Old Man in Cementery
517274	256545	Marino Albizetti
517274	264264	Afanador
517274	267455	Prisoner
517274	272881	Borracho
517274	281219	Campesino
517274	307624	Lazaro
517274	337163	Pedro
517274	350247	Beggar
517274	370098	
517274	411633	Lucio
517275	291126	Nachito Fan
517276	9009	
517277	10899	Alien #3
517278	342464	Zach Oliver
517279	91769	Dolmer, Mounted Cop
517279	118469	Red Army Major #2
517279	144863	Gunman
517279	333393	Shotgun
517279	338278	Violent Man
517280	79671	Lt. Robertson
517280	94793	Enrique
517280	274408	Handicapped space guy
517280	310740	Chris
517281	63749	Himself
517281	217838	Himself
517282	366997	Lyle
517283	57192	Egbert G. Higginbothom
517283	72451	Zander U. Parkhurst
517283	74765	Professor Bird
517283	87106	Hercules Glub
517283	88241	Ginger Dandy
517283	105329	Dr. J. Dockweiler Droop
517283	128151	Slick Foster
517283	137497	Gilbert Simpson
517283	144813	Pierre Potkin
517283	145671	Dr. Bob Dudley
517283	147382	Spider Robbins
517283	147798	Himself
517283	147804	Himself
517283	147805	Himself
517283	149300	Addington Ganzy
517283	175627	Elmer Dugan
517283	222325	Aloysius C. Whittaker
517283	233288	Newton
517283	238975	Julius Caesar
517283	240437	Claude Augustus Horton
517283	251430	Julius Swift
517283	271290	Roscoe Horne (segment "The Ra
517283	278606	Lovett
517283	291323	Himself
517283	291329	
517283	301328	Himself
517283	301868	'Doc' Pennington
517283	305042	Himself
517283	306480	Alexander
517283	356269	Himself
517284	245424	Maj. Crawford
517285	274679	
517286	11022	Juan Martino
517286	23704	Charlie
517286	114288	Tim Gardner
517286	210960	Craig
517286	217533	Kyle Kennedy
517286	242781	Chaney
517286	331188	Clemmer
517286	357001	Nick
517286	364847	Paul Fairchild
517287	71	Unicyclist
517288	112005	Young Family Member
517289	112005	Young Family Member
517290	112005	Young Family Member
517291	249592	Performer
517291	305490	Himself ('The Calling')
517291	318742	Himself - Performer
517291	398597	Guitarist for The Calling (hi
517292	408043	
517293	1215	Himself - Hottest Star Winner
517293	3293	
517293	5881	Bobby
517293	44337	Jimmy
517293	46743	David 'Dave' Collins
517293	66204	Spit
517293	99604	Soldier
517293	108339	Soletski
517293	130457	
517293	131225	Paul
517293	145110	Walter
517293	155209	Soldier
517293	169206	Teddy Shapiro
517293	187251	Chip
517293	214441	Victim
517293	223815	Clyde
517293	251411	Pvt. Daryl Huddy
517293	264110	Louis
517293	265748	Little Jay
517293	282954	Ricky
517293	296729	Larry Eggers
517293	344484	Andy McThomas
517293	368610	Rodney
517293	369473	Tony Foster
517293	379500	Greg
517293	380218	Seamus Zelazny Harper
517293	395315	Brad (1988-1989)
517293	397907	Reb Andersen
517293	398768	Herbert Pencroft
517293	404940	Thunderer/Peter Littlecloud
517293	405073	Sergeant Sam Barlow
517293	410113	Host
517294	3293	
517294	3973	Fingers
517294	32098	Mouse
517294	43878	Larry
517294	47985	
517294	79003	Ed
517294	79807	David E. Herold
517294	80585	Lt Dugan
517294	80708	Scott Franz
517294	129461	Leo
517294	130307	Tex
517294	135608	Leo
517294	142718	Gary Hinman
517294	145736	George Caron
517294	168120	Duke of Burgundy
517294	186534	Nathan
517294	195526	Wagon Train Scout
517294	200072	
517294	206798	Blackheart
517294	206799	Blackheart/Mephisto
517294	213875	Ron Wilson
517294	250593	Ensign Jasper Weston
517294	262083	
517294	274397	Jerry
517294	275360	Donald
517294	282024	Deputy Earl
517294	287131	Dominic Grace
517294	314434	Buddy Conner
517294	323148	Ben
517294	346949	The Schofield Kid
517294	370117	Vince
517294	383123	Tom
517294	386619	Richie Underwood
517294	411009	Matt Scott
517295	229867	
517296	181836	Lone Fighter
517297	158773	North Korean Commander
517297	257213	
517298	6406	
517298	411692	Various Characters
517299	157804	Narration
517300	83799	Himself
517300	91948	Himself
517300	160291	Himself
517300	160298	Himself
517300	160303	Himself
517300	160314	Himself
517301	159888	
517303	279201	Tap dancer
517304	149691	
517304	270889	KC Bounce #1
517305	33730	Deputy
517306	167615	Himself (Teammate, Cleveland 
517307	176255	Guard #2
517309	138235	Red Norvo Quintette Member
517310	128267	The Pearl, stable boy
517311	1730	Himself (Anaheim Angels Catch
517312	274362	Chuck
517312	281415	Little Brother
517312	313316	
517313	292643	Billy
517313	384766	Lad
517314	241662	Kathy's Father
517315	93963	Bar Fly
517316	25937	Piller
517316	77194	Vicar
517316	396181	Mr. Efficiecity (series 2)
517316	405457	Douglas (1982)
517317	11329	Jimmy
517317	22826	Joey Clark
517317	316185	Dodie Jarret
517318	45	Himself
517318	3659	Himself
517318	31195	Himself - CBS Team Contestant
517318	31197	Himself (CBS Team captain)
517318	31792	Narrator
517318	47375	Himself
517318	50000	Tom Silver
517318	57492	Himself
517318	63004	Pete
517318	64562	Himself
517318	69917	Sam
517318	94983	Luke Duke
517318	94985	Luke Duke
517318	141374	Himself
517318	171207	Bobby Rex
517318	212032	Tom Johnson
517318	223905	Himself
517318	315769	
517318	379716	Hank Pelham (2001-2002)
517318	382300	Frank Cobb
517318	384305	Host (2003-????)
517318	385473	Jeff Robbins (1995-1996)
517318	387095	Luke Duke
517318	387096	Luke Duke (Sept.-Nov.)
517318	401075	Dr. Jed McFadden
517318	402142	Host (1996)
517319	32531	Pub Customer
517320	102572	Band Member
517321	93074	Diner Regular
517322	200470	QLD Representative
517323	170398	Patrick
517324	403649	Kevin The Gerbil
517325	107947	
517326	22939	John West
517326	26662	The Man
517326	40661	
517326	43942	Jack Arkwright
517326	46887	Squire
517326	66858	The Detective
517326	75389	Jack
517326	81552	Lord Lyndford
517326	81586	Hugh Mortimer
517326	125992	George Barnwell
517326	128093	The PR
517326	142979	The Clerk
517326	145897	Jim Dowling
517326	171329	Jack Raynor
517326	177531	King Robert/The Jester
517326	178211	
517326	197673	Dr. Trent
517326	202875	Charles Waring
517326	202929	Henry Lowremer
517326	206850	Fred
517326	245637	Jack
517326	265261	Arthur Blanchard
517326	286131	The Curate
517326	301535	Richard Wilton
517326	333103	Jack Treat
517326	337860	The Fireman
517326	339630	Reverend Paul Brayton
517326	342968	Squire Wilmott
517327	364048	Santa Claus
517328	143402	Min, as a child
517328	215802	The child
517329	365341	Louie
517330	178809	Schneider
517330	259498	
517330	406270	
517331	401221	James 'Dooky' Fitzsimmons
517331	409216	James Fitzsimmons
517332	379969	
517333	113489	John Hartwell
517334	13905	Kevin
517335	411290	Brent
517336	375827	Himself (Little Kingz)
517337	327046	
517338	307457	Police Officer
517339	310436	Narrator
517340	2104	Deputy Curly
517340	4619	Joe (gangling guy in saloon s
517340	5524	Les Fuller
517340	9883	Parson
517340	12205	Pop, Patient in Hospital
517340	16640	Townsman
517340	18739	Amber
517340	29114	
517340	32494	Old Home Guardsman
517340	35822	Bowler-hatted clinic visitor
517340	36721	
517340	37001	
517340	37149	Hank (McCandles' ranch hand)
517340	37332	Poordevil
517340	37480	Shopping Cart
517340	39699	Slim (Prescott cowhand)
517340	39738	Joseph
517340	44093	Gas Station Attendant
517340	44307	Aunt Jennifer's Wagon Driver
517340	44690	Hank
517340	46982	Mormon cheering Porter Rockwe
517340	47744	Gas Station Operator
517340	48628	Lon
517340	49371	McCoy
517340	49393	Tex
517340	52015	Albert, Valentine Stationmast
517340	54122	Barfly
517340	62267	Cowhand
517340	62357	Stationmaster
517340	66633	Lars, the expectant father
517340	67778	Lumberjack
517340	68135	
517340	72122	Undertaker
517340	72227	Cowhand
517340	72285	Ofie
517340	73246	Sweeney (airport maintenance 
517340	73789	Wedding witness
517340	75313	Jake Loomis
517340	75605	
517340	79631	Fiddler
517340	94598	Man with toothache
517340	94766	Dance floor cowboy
517340	104915	
517340	105188	Trailer Court Manager
517340	109842	Finnegan
517340	111736	Judge
517340	112527	Abner Todd (militiaman announ
517340	114923	Henchman [Ch. 11]
517340	116045	
517340	117254	Henchman
517340	117906	Southern recruit
517340	118039	Marshal John Chisum
517340	118045	Rancher on buckboard
517340	120743	Pete
517340	120761	Henchman
517340	124582	Jalopy-driving farmer
517340	124767	Farm Guest
517340	127220	Tom 'Cherokee' Walton
517340	127248	Mr. Crabtree
517340	131647	'Kid'
517340	137972	Pool Room Attendant
517340	138324	Ab Wickes
517340	140676	
517340	142517	Witness
517340	144989	Customer in diner
517340	146931	Hank
517340	147830	Saloon set extra
517340	149796	Deacon Clump
517340	155263	Elderly Jason
517340	159078	Crazy Bear/Guardhouse jailer
517340	168268	Hard-of-Hearing Farmer
517340	171217	Comedian
517340	185667	Rustler playing fiddle at cam
517340	186397	The Deputy
517340	186398	Bit Part
517340	187249	Slim
517340	190546	Bartender
517340	195448	Hank Hatrack
517340	197351	Lumberjack
517340	198540	Indian
517340	198545	
517340	199135	
517340	203072	
517340	203622	First Carriage Driver
517340	208932	Curly Fletcher
517340	209604	Joe, Chuck's Ranch Hand
517340	215764	Flophouse bum
517340	217430	
517340	218790	
517340	223065	Undertaker
517340	224751	Deputy
517340	228272	Farmer at Barn Dance
517340	232197	Rancher
517340	234807	German Motorcycle Soldier
517340	235697	Pete
517340	239399	
517340	241130	Old Timer
517340	241883	Doc
517340	245292	Bartender
517340	257201	Deadwood Townsman
517340	257962	Jebediah
517340	262313	Deputy Clint
517340	262320	Jacobs (homesteader)
517340	269853	Sampson, Sheriff's Deputy
517340	271997	Cowhand
517340	272070	Cowhand
517340	274026	Charley
517340	274274	Sims Reeves
517340	275769	Townsman
517340	277913	Slim
517340	277916	Henry Haggerty
517340	277961	Townsman
517340	277968	Deputy
517340	277996	Henchman
517340	278110	Rancher
517340	278599	Hank (hotel clerk)
517340	279381	Shad Ewing
517340	279598	Stagecoach attendant
517340	280675	Squint
517340	280676	Slim
517340	280700	
517340	283452	Old Con
517340	285782	Taub Beasley
517340	291220	John
517340	291964	Mose Harper
517340	292470	Western Character
517340	294750	Laredo
517340	296552	Old Lonely Hearts Club Band
517340	299503	
517340	299718	Townsman
517340	302641	Girl's Father at Police Stati
517340	302642	Henchman
517340	302727	Ranch hand
517340	304276	
517340	304281	Old Coot
517340	305076	Station Wagon Driver
517340	305715	Trucker
517340	306466	Soldier on Troop Ship
517340	307047	
517340	310156	Old codger
517340	311557	Pat Casey
517340	315749	Okie
517340	316194	Skeeter
517340	316769	Ranger
517340	318387	Johnny-Behind-the-Stove
517340	319068	Hank
517340	324745	
517340	328084	Sleepy Martin
517340	329028	Henchman
517340	329313	Himself
517340	330229	Butch
517340	332043	Livery Stable Man
517340	333157	Photographer
517340	336811	Liveryman
517340	339884	Man outside saloon
517340	340516	Hank a Dancer
517340	340779	R. Ryan (undertaker, Fort Smi
517340	344151	Colonel
517340	346248	Telegram Delivery Man
517340	349995	Hank
517340	350444	Crazy wagon driver
517340	355779	Deputy
517340	358175	Luke Clegg
517340	359221	
517340	359524	
517340	361789	
517340	363226	Choir leader
517340	363391	Man at dance
517340	363528	Flunky
517340	363696	Cowboy
517340	365290	Cowboy on trail drive
517340	366257	Drunk
517340	367571	Tom Gordon
517340	367573	The Barber
517340	369361	Cowboy
517340	371076	Rancher, Bank Customer
517340	373578	
517340	395926	
517340	401346	Roy Turlock (1967-1968)
517341	321273	Clothing Store Officer #2
517342	40200	Baker
517342	67863	Hippie Hanger On
517342	68275	
517342	165031	Warrior
517342	188138	Young Ivan
517342	201480	Simon
517342	216602	Himself
517342	256627	Chris Larson
517342	317333	Steve
517342	378682	Earl
517342	387509	Will Jenkins (1993)
517342	397991	Himself (Seasons 3-7)
517342	403490	Edward Ray
517343	230333	
517343	313408	
517344	67101	USC athlete
517345	170580	Mark Sanders
517345	283781	Eve's Lover
517345	313626	L.A. Driver
517346	241622	Policeman
517346	310762	Government man
517347	224248	Teacher
517348	139174	Gary
517348	170980	Flirting Intern
517349	139174	SWAT sharpshooter #2
517349	139175	Scott
517349	141412	Valet
517349	151624	Laura's Assistant
517349	185672	Deputy
517350	309787	Head of Scientific Staff
517351	100997	Himself (Son of J. Wordie)
517352	138402	Interviews
517353	144523	Mr. Leroy
517353	334206	Cop
517353	367633	James Turner
517354	303753	Sol's Henchman
517355	119616	
517355	248489	Wittkowski
517355	396232	Various/lyricist
517356	116847	Torch Kid #2
517357	122986	Conductor
517358	53053	Keiller
517358	75572	Beggar
517358	190008	Cardinal Pandulph
517358	193251	Coupler
517358	203535	Ambrose Chappell Jr
517358	277061	Slensky (Up Patient)
517358	281168	Marcutio
517358	308598	Hans Christian Andersen
517358	333381	Maxwell (the MP)
517358	339927	Julius
517358	340107	Thersites
517358	392282	John Heritage
517358	400087	Matthew Price
517358	402723	Dr Peter Travers (series 1)
517358	403112	Lt Col Gaunt-Seymour
517359	32519	Maitre D'
517359	163345	Albert
517359	269671	
517359	302911	Vicotr
517360	51286	Josef
517361	242663	Secretario Embajada
517362	510	
517362	515	Additional Voices
517362	516	
517362	517	
517362	3099	Professor, Mayor
517362	9145	Red Star army lieutenant
517362	12945	Gamma 66-66
517362	19768	Cougar (ep. 1)
517362	20458	Rene D'anclaude
517362	20459	D'Anclaude
517362	23583	Jim Goodman
517362	26086	Hammer
517362	31855	Policeman #1
517362	34002	Coroner
517362	49714	
517362	49715	Additional Voices
517362	56654	Clerk
517362	63711	Train Conductor, Assault Unit
517362	82529	
517362	84716	UN Rep, Additional Voices
517362	87408	Supervisor
517362	90423	Neighbor #1
517362	96002	Supervisor (steamline 1994)
517362	99044	Broker
517362	122113	
517362	130286	Roger
517362	133214	Lenny
517362	143922	
517362	147362	Jagi
517362	152909	Enra
517362	155310	Lester Reams
517362	161946	Gallery Guard
517362	171655	Additional Voices
517362	176534	Additional Voices
517362	187410	
517362	199109	Yang Neuman
517362	212067	Skunk
517362	213445	
517362	213446	
517362	262097	Zen-Aku
517362	265100	
517362	277731	Policeman
517362	279878	Roy Fokker/Zeraal
517362	287404	Liu Bei, Xu Huang type generi
517362	294394	James Bukhar
517362	298314	Terry
517362	298985	Liu Bei/Lu Bu
517362	298986	Liu Bei/Lu Bu
517362	307189	Auctioneer
517362	310087	Cobra
517362	310106	Cobra
517362	313419	Borg
517362	315246	Kandoc, Grak the Traitor, Sha
517362	316626	(English version)
517362	350230	
517362	359367	
517362	359368	
517362	368146	Joseph Wilson
517362	385151	Preview Narrator
517362	385824	Sheldon (1987-1990)
517362	389791	Mr. Nishiya
517362	391257	Gene Glen
517362	393552	Additional Voices
517362	394252	Ken
517362	394423	Colonel Killing
517362	394427	Rob
517362	400576	Saiyo Wong
517362	403550	Roy Fokker
517362	403965	Gengo Kisaki
517362	404122	Mr. Yasu
517362	404879	Chesire Cat Poser
517362	406138	Lionel "Pops" Racer
517362	406702	Bandit Leader
517362	408734	Crosswise
517362	408893	Chapel The Evergreen
517364	380024	AMS Band--Bass Guitar (1990-1
517365	324483	Bodyguard
517365	365991	Dancer
517366	15126	Jacques
517366	17090	Bernard D'Andijos
517366	23258	
517366	63637	Raboin
517366	63693	Harry
517366	101457	
517366	122871	
517366	153789	Le bel officier
517366	188673	
517366	199871	Policeman
517366	217654	François
517366	218184	Marcel Cartucci
517366	261837	
517366	293636	
517366	340176	Porthos
517366	340177	Porthos
517366	380358	François
517366	381611	Mamoulian
517366	384287	
517366	392579	M. Borque
517366	396870	Chenard
517366	398650	Walter
517366	398846	
517366	403896	Charles
517367	128085	Todd's Acoustic Guitarist
517368	185244	Merlin
517369	270823	Viktor
517370	84142	Cameraman #2
517371	100995	
517372	100995	
517373	100995	
517374	100995	
517375	319951	Arthur A. Allen
517376	22932	Prof. Antonio
517376	72554	Dr. Baylor
517376	108329	Judge Goldman
517376	114672	Older Man
517376	124166	Garfield's Grandfather
517376	124167	O'Felix
517376	124169	Old Man
517376	124172	
517376	157848	J.P. Robinson
517376	170928	Second Narrator
517376	173936	Leading Scientist
517376	222738	Bailiff
517376	226937	Banquet Doorman
517376	241505	Judge
517376	311938	Wilbur Crane
517376	361848	Supervisor
517377	364819	Frank Stayman
517377	367816	Gittens
517377	405525	Archbishop Warham
517378	19525	Count Elemer
517378	168894	Henry Smith
517379	130788	Himself
517380	144903	
517381	288738	The Plumber
517382	29446	Krause
517382	271213	Sergeant Zombo
517382	408730	Nosecone (1986-1987)/Sinnertw
517382	410988	Additional Voices
517383	147972	Reporter #3
517384	160925	Himself
517385	315598	
517386	160916	Himself
517387	158576	
517387	161515	Hugh Duncan
517387	193955	
517388	105116	Casting Director
517388	176926	Union Soldier
517388	196281	Whit Turner
517388	331733	Medical Student
517389	185683	Apprentice
517390	6248	Pugsley Addams
517390	6249	Pugsley Addams
517390	21448	Sean from the Bakery
517390	37571	Matt Parker
517390	63030	Kevin/Anthony
517390	334214	Jimmy
517391	31499	Ian
517391	218180	Arnold the Super Reaper
517391	270144	Male Victim
517392	324237	Player #1
517393	139227	Hair Stylist
517394	110299	T-Bears Patron
517394	142341	Danilly Twin
517395	70217	Himself
517396	111960	2nd Prisoner
517396	125978	
517396	243767	Orpheus
517397	8086	
517398	117783	
517398	151413	Weasley McSleaze
517398	160887	Doll patient
517398	185724	Buggy Snipe
517398	208951	
517398	267546	Paulie
517398	281836	Sam Tucker
517398	287789	Cop#2
517398	311044	Doctor Octopus
517399	61788	Abbott Hayes
517399	112632	Teezer
517399	176713	Competitor #1
517399	371046	Paul Gauguin
517400	246604	The World Famous Brucie B
517401	29146	Austrian Hardcore Band
517402	187555	
517403	215290	Himself
517404	215290	Himself
517405	27312	Earl
517405	45842	Punk
517405	141142	Tim Washington
517405	154427	Ruby's Bartender
517405	154822	Fat Taxi Driver
517405	252355	Lieutenant at test range
517405	256528	Whitney
517405	310112	Maj. Bob Gerson in 1958
517405	316067	Dan from Silverlake
517405	322866	Elmer Ellsworth
517405	352445	Boy Combing Hair
517405	395324	Manny Byrd
517406	148385	Henry James
517407	70970	Bastard/Deke/Boxer/Zombie (se
517407	350245	1st zombie
517408	366645	Big Tony
517409	5057	Fan at baseball game
517410	366645	Pawn Shop Owner
517411	9055	Otto
517411	19160	Von Ritter
517411	28249	Ramensky
517411	30264	Sir James Langley
517411	39961	Speaker of Assembly
517411	54525	Newgate Prison Governor Lande
517411	54617	President of court-martial
517411	69614	Mayor
517411	91779	Actor in Othello
517411	92147	Eric Kramer
517411	92505	Dr. Heath
517411	93572	Colonel Cavanaugh
517411	96644	Grenfall
517411	96672	Lord Elfie
517411	109729	Sir Humphrey Mung
517411	117646	Actor
517411	119475	Gambling Manager
517411	138387	Supt. Clay
517411	140849	Communist president
517411	145402	Dr. Weston
517411	151339	Dr. Richards
517411	152221	English Governor
517411	157129	Henderson
517411	160935	Sir Henry
517411	161873	Lord Derby
517411	165444	Waiter
517411	167098	Dean Halltree
517411	168119	Duke of Bedford, England's Re
517411	168646	Prosecutor
517411	175118	
517411	177337	Earl of Gloucester
517411	183789	Colonel Demassey, the Command
517411	185502	Gen. Webb
517411	193295	Doctor
517411	193375	Sir Edward Willoughby
517411	193583	Eugene Caldwell
517411	193731	Inspector Broome
517411	195591	Insp. Hobday
517411	199097	Clerk
517411	199318	Businessman
517411	199621	Landowner
517411	203122	Lord Risborough
517411	204799	Patrick Berwick
517411	215002	Dr. Caesar Sabbatt (Credits)/
517411	218712	Stephen Harmon
517411	222740	Hugh Drake
517411	228314	Stewart
517411	235694	Elderly Colonel
517411	241428	Horace/Inspector Craven
517411	246232	Dr. Jackwin, San Diego
517411	255327	Francis
517411	255577	Insp. Cannody
517411	261034	Count Sporzo
517411	267615	Prime Minister
517411	270911	Solicitor-General
517411	272025	Margaret's lawyer
517411	277669	
517411	283940	J. Norton Sims
517411	285496	Radio newscaster
517411	291082	Col. Brent
517411	291742	Darnell
517411	292620	Sir James Langley [Ch. 15]
517411	292855	Mason
517411	298165	Park Patrol Constable-in-Char
517411	298587	Geoffrey Musgrave
517411	298594	Radio Announcer
517411	302656	Cadum
517411	309846	Defense counsel
517411	310455	Laelius (patrician senator)
517411	311230	Blodgett
517411	315757	General Cosby
517411	316025	Mr. Martindale, Lawyer
517411	316038	Grideau, the Prison Head
517411	328529	Prof. William Kilbane
517411	331991	Kendrick
517411	342988	
517411	366130	Admiral
517411	367502	Dr. Onslow (head of the Mesme
517411	367535	Bernard
517411	367733	Man
517411	370537	RCAF Major H.R. Stone
517411	406788	Cominius
517412	313622	Todd
517413	59596	Radiospeakere
517414	41238	Samchin Musician
517415	372175	Dancer
517416	210850	The Younger Son
517417	99126	Guard
517417	339543	Sen. George Murphy
517418	19627	Sultan (American version)
517418	59822	Pierce Simon
517419	176970	Shop Guy
517419	342675	Bald Man (segment "Shooting, 
517420	29395	Additional Voices
517420	206618	Male Passenger B
517420	389503	Skipper
517421	310600	Man in Foster's Office
517421	367413	Radio Announcer
517422	5279	Le président du tribunal
517422	6684	Le duc de Chaumont
517422	18354	
517422	20076	
517422	23874	
517422	37903	
517422	46226	L'amiral de Montaignac
517422	64952	
517422	78449	Maître Brégyl
517422	80230	L'empereur François Joseph (a
517422	101684	Téophile Delcassé
517422	108884	Lord Beltham
517422	124324	Lerbier
517422	134300	Le président
517422	202697	
517422	205210	Le commandant Saint-Hallier
517422	205970	
517422	207271	
517422	236617	
517422	243034	De clairon
517422	243292	Limousin
517422	256755	Un monsieur au bal de charité
517422	260887	Commander Novitzki
517422	264526	
517422	280518	
517422	282008	
517422	317558	
517422	337543	Tsar Nicholas II
517422	340130	Le commandant Lenoir
517422	353789	
517422	356514	Raymond Lagardes
517422	356528	
517423	219891	Undetermined Role
517424	10655	Le patron de Calas
517424	15238	Un ami
517424	19836	
517424	46000	
517424	55406	
517424	92046	
517424	101323	Le valet de chambre de la tan
517424	208481	L'ami d'Olga
517424	231147	
517424	243770	Judge
517424	261609	Un invité
517424	264311	Le voyageur
517424	283032	
517424	300735	Bassenge
517424	346823	Ricot
517425	60341	Undercover Policeman
517426	411934	Host (1984-1989)
517427	14582	Le mari
517427	338947	German general
517428	186261	Yablonsky
517429	4798	
517430	185846	Himself
517430	395214	Max Weinberg 7 (Substitute Dr
517431	22972	
517431	30192	
517431	31451	
517431	39305	
517431	53102	Azimooah
517431	62088	
517431	72640	Dick Wayles
517431	120462	Undetermined Role
517431	124739	Von Gerold
517431	125487	
517431	146035	
517431	168512	Lieutenant Butler
517431	171160	Undetermined Role
517431	177264	
517431	224587	
517431	224628	
517431	224781	
517431	224807	Betty's Fiancé
517431	241181	
517431	254573	
517431	266685	
517431	291168	Jerry Martin
517431	336166	Lesparre, the lead of Cayote 
517431	337599	
517431	340325	Phil Manning
517431	364310	Herbert Cornell
517432	406988	Soup, Gill, others
517433	406988	Sleepy Bass, others
517434	406245	Himself
517435	174088	Sanitätsarzt Dr. Michel
517435	259447	
517435	259664	
517436	192160	
517436	192748	Fifth Avenue Parent
517436	194268	Show Producer
517436	263755	Pundit
517436	363078	Detective Tauber
517437	62694	Maurice, Son of George Sand
517437	336217	Andrzej
517438	11530	Himself
517438	228312	Himself
517438	379255	Customer
517438	380443	Host
517438	383759	Chef
517438	389025	Presenter
517438	392463	Himself (Series 2) (2003)
517438	402950	Chef
517438	404322	Host
517439	177253	Uncle Thomas
517439	402245	Indian
517440	380911	Himself - Finalist (2004)
517441	199210	Aunty's Guard
517442	91923	Ross' Bodyguard
517443	218669	Himself
517443	315295	Keyboards
517444	76621	Ed Hubbell
517445	9883	Bowie's man
517445	166871	Brown County sheriff
517446	1730	Himself (San Francisco Giants
517447	395246	Himself
517448	20371	Operator #1
517449	259190	Pan Jan Zarémba
517450	8369	Ufficiale inglese
517450	308613	Bruder
517450	341019	Swiss Customs Official
517451	120846	Rumpf
517451	214491	
517451	368732	2. tilskuer
517452	305717	Skip Town
517453	368949	Newsman
517454	70368	Tigellinus
517455	117874	Southern Gentleman
517455	187288	Hammy
517456	5537	
517456	20481	
517457	365624	Billie Ray the redneck
517458	131232	Extra
517459	393677	Himself (1970)
517460	309787	Captain of the Endurance
517461	39465	Zack
517461	315259	John
517462	405778	Sad Joe/Mick Jagger/Mel C/Mic
517463	256841	Himself
517464	6907	Bouncer
517464	6911	2nd robber
517464	399931	Nurse
517465	267484	Joe Healy
517466	94692	Desk Editor (segment "The Bla
517467	10975	John Flint
517467	44553	Sir Charles Broome
517467	199278	Albert Lockhart
517467	203745	Henry Jenks
517467	203746	Henry Jenks
517467	251174	Curt Schrieber
517467	341935	John Hays Cotton
517468	117115	Rudolph
517468	407949	Co-Presenter (1973-1979)
517469	303868	Laura's Dad
517470	346871	Band Member
517471	185106	Dr. Dale Orstall, Jim's Child
517472	327232	Guest
517472	364588	Himself
517473	385020	Warren Shipley (2000)
517474	115249	Ryan
517475	65625	Himself - Concert arranger
517476	403314	Additional voices
517477	223144	Philips Kollege
517477	395667	Frank Dressler
517478	49333	Flashback Patron
517478	294249	Boy stroking pussy
517479	11516	Pvt. George Dacre
517479	26728	Bob Stephens
517479	61791	Humphrey Beverly
517479	178020	James Ives
517479	186632	Danny Webb
517479	204730	Boy with Bird Cart
517479	309280	Boy driver
517479	382826	Dominic Griffin
517479	385627	Nicholas as a boy (segment fi
517480	34646	Himself
517480	91948	Himself
517480	160291	Himself
517480	160305	Himself
517480	160314	Himself
517480	192613	Himself
517481	99279	
517481	372116	Elwood, World's largest midge
517482	176902	Ricky
517482	313079	Crack Head
517482	338818	Travis
517482	382618	Nicky Vickery
517482	390523	
517483	252381	Johnny Davis
517484	20882	Phillip Morring
517484	22013	Broadcasting Engineer
517484	29631	Geoffrey Blake
517484	31205	Prisoner on Graf Spee
517484	45518	Mr.Saunders
517484	46295	Johnny Matlock
517484	54886	Tom Pride
517484	80500	Lucky Lewis
517484	90905	Mr. Morton
517484	109884	Wilfred
517484	113277	
517484	145557	Alan Jeffcote
517484	156437	Stratis Saviolkis
517484	160555	Gerald Croft
517484	163296	Jack Quair
517484	163357	Michael
517484	185316	Derek Rockingham
517484	191230	Bobby
517484	203212	King, Birnley Accountant
517484	217514	Airport Guard
517484	240521	Manuel
517484	241610	Third Writer
517484	242734	Geoffrey Terry
517484	250411	Werner von Grotjahn
517484	251798	Assistant Director
517484	281413	
517484	282254	C.O. Longhampton Camp
517484	291487	Fred
517484	302856	Officer on First destroyer
517484	308601	Jim Barrett
517484	312284	Henri Le Blanc
517484	328581	District Commissioner Harcour
517484	335073	Judd
517484	338770	Philip
517484	366018	Michael Collins
517484	382911	Rackham
517485	385226	Presenter
517486	196402	Mick's father
517487	380975	Himself/Runner Up
517488	105	
517490	374425	Child on School Bus
517491	346902	Autograph Seeker
517492	59602	Detective
517492	59933	Undetermined Role
517492	69481	
517492	83809	Young Man in Theater
517492	85828	Man at Racetrack
517492	112634	Capt. Blake
517492	195468	College boy
517492	209625	Kimball's Chauffeur
517492	235691	Undetermined Role
517492	247141	Leonard
517492	249022	Collegian
517492	259789	Spectator
517492	277831	Bob Horton
517492	280896	Hedgwick
517492	308921	Arthur Travers
517492	331584	Bruce Randall
517493	183622	Ring announcer
517494	304355	
517495	169493	Lancaster Crew
517496	31953	Gus, the bartender
517497	6947	Prof. Luther Bentley/the Scor
517497	7036	Gambler
517497	7094	Calvin Drake
517497	28249	
517497	29499	George 'Nevada' Perdue
517497	32006	Corporal
517497	32388	De Brito
517497	37318	Tony Rico
517497	40207	William Onions
517497	40496	Bucket
517497	41502	Rader, La Verne's Shyster Law
517497	44501	Barney Stake
517497	52062	Viceroy Hotel bartender
517497	59507	Butler
517497	59867	Lieutenant
517497	64806	Gangster in Phone Booth
517497	71787	Turner the Gambler
517497	72223	Jess Watson
517497	75852	Cobb Wayne
517497	78155	Haley
517497	78187	Raymond the Diamond Smuggler
517497	80018	Frank James
517497	83653	French Officer
517497	87549	Second Reporter
517497	90400	Otto aka Anatole
517497	96939	Hindu Man
517497	113920	Secret Service Adjutant
517497	117510	Dr. Vidalek
517497	118287	Major Willoughby
517497	133662	Hugo
517497	146003	
517497	149104	Harry Gates
517497	149433	Prof. Horace Hepburn
517497	154481	Waiter
517497	161910	Tyler (Sutton's secretary)
517497	173528	Jud Parker
517497	177359	Pietr Mozda
517497	177391	Chris
517497	185723	Gomez
517497	190174	Lieutenant
517497	190544	Silent Tom Rand
517497	192951	Dissipated Mexican
517497	199466	New York Hospital Chemist
517497	203540	
517497	204856	The Crook
517497	206118	Caballero
517497	220801	Detective Grover Morris
517497	224786	Inspector
517497	245425	Sheldon
517497	254535	'Dapper' Dan Geary & Stephen 
517497	277995	Sam Skelly
517497	278563	Prefect of Police
517497	285655	The Foreman
517497	291796	Nick Austin
517497	297724	Officer Guard
517497	323207	Don Alvarado Casmetto
517497	329947	Henry, the Headwaiter
517497	330105	Psychiatrist in Atlanta
517497	330191	Hotel Desk Clerk
517497	330513	Commissioner Cosgrove
517497	330908	Reporter
517497	331875	Employer
517497	335124	Dixon
517497	336805	Franko
517497	342755	Maxwell
517497	367905	Trailer Salesman
517498	139603	
517498	391090	Himself
517498	391412	Harry Worth
517498	392191	Harry Matthews
517498	398723	Harry
517498	400023	Harry Worth
517498	404527	William Boot
517499	330319	PC Merridew
517500	346185	Dinant
517500	359421	Burbage
517501	32818	Nazi officer
517501	77177	
517501	130754	Nazi Party official
517501	144989	Orderly
517501	228660	Croupier
517501	277899	Thug
517501	287019	Police Officer
517501	363599	Pelican Club Doorman
517501	363854	Guard
517502	358651	Johnny
517503	254591	Newsboy
517504	122646	Foreman
517505	160242	Ant
517506	210831	Coast Guardsman
517507	206535	Outlaw
517508	273481	Himself
517509	388765	
517510	113852	Milton
517512	70110	Detective McGuiness
517512	103910	FBI Agent Kyle McShinsky
517512	113352	Danny Davis
517512	114526	Dale
517512	127191	John Slaughter
517512	176932	Marion
517512	188476	Eugene
517512	315779	Kris Krengle
517512	316609	Tony
517512	318218	Man in Gallery
517512	334113	Eric Kulhane
517512	343920	Casey
517512	379144	Tommy
517512	379145	Tommy
517513	187226	Surfer
517513	326744	Student in crowd
517514	5936	Cartier
517514	20434	Transvestite
517514	29619	Reuben
517514	34914	Sick Humor
517514	39933	
517514	41134	Spunz
517514	41182	George Warbeck
517514	47082	Max
517514	56240	Riker
517514	64815	Troy Roker
517514	68271	Premier Alexander Romanov
517514	68274	Nod Inner Circle Gen. Marzaq 
517514	68275	Premier Alexander Romanov
517514	77545	Dave Donaldson
517514	78023	Yuri
517514	78765	Father Hellikin
517514	79044	Pauly
517514	80630	Hayden
517514	82837	Walt Smiley
517514	87348	Vito
517514	89364	Animal
517514	90241	Kirk Smith (The Strangler)
517514	100099	Kolinar Koltrass
517514	105127	Mel
517514	114501	Tucchi
517514	117128	
517514	119564	
517514	122757	Kriminal-Kommissar Leber
517514	127510	
517514	130972	Steve Gleason
517514	141406	Jail binger
517514	142361	Bull
517514	144913	Rhino
517514	147944	One-Eye
517514	161977	Sheriff
517514	168161	
517514	183357	Jack Dwyer
517514	186758	Jack
517514	222134	
517514	226939	Thug #1
517514	230603	Drunken Officer
517514	234071	Cup breaker
517514	258235	Rock
517514	266758	The Head Chef
517514	270929	Ted
517514	288929	Jim
517514	291228	Dennis
517514	304642	Sam Gittleman
517514	313597	Councilor
517514	320784	Bruno, Ferret's Henchman
517514	328033	
517514	333410	Deputy Chief Sullivan (Alpha 
517515	46315	Skipper
517516	261603	Tommy
517517	389512	Bandleader
517518	43777	Yogi Bear
517518	70421	Bash (performance model)/Comi
517519	74025	Newsvendor
517519	99208	Vincent (stage doorkeeper)
517520	102734	Male Guest (segment "Party fo
517520	324551	Additional Ripper
517521	10104	Medic
517522	138735	T-Shirt Tommy
517523	112601	First Prison Guard
517524	5066	Bombers & Birdmen #11
517525	196181	Little boy
517526	259766	Edgar
517527	283496	Charles P. Nicholson III
517528	161505	Himself
517528	176875	Himself
517529	112983	Sal
517530	230240	Nick
517531	39905	
517531	78782	Hal
517532	154379	Himself
517533	154652	Murphy Kid
517535	342797	Gabriel
517536	133988	Paul
517537	408276	Himself - Archaeologist
517538	143892	Himself
517539	327021	IMC technician #3
517540	283721	Himself (Toronto Telegram, wa
517541	312141	Balloon-popping boy
517542	209805	Krack (ADV dub 2004)
517543	1734	Himself - Presenter
517543	44083	Mitchell
517543	87294	Darcy
517543	126624	Barry Wirth
517543	133772	PFC Lucas 
517543	139707	Cpl. B.J. 'Depot' Guidry
517543	308033	Joe
517543	332138	Ronnie
517544	68940	Co-Pilot
517545	55855	Himself (U.S. Team Member)
517545	119608	Athlete
517545	369874	Freestyle Skiing Reporter
517546	2882	Frank Jordan
517546	4730	
517546	5460	Irate Car Owner
517546	5531	Senator
517546	7961	'Respectable' Man in Car
517546	10141	First Trial Judge
517546	10641	John J. Foster
517546	13351	Updyke's Guest
517546	16916	Warden
517546	21524	
517546	26807	The Gambler
517546	30360	
517546	31123	Judge Avery
517546	33748	Dr. Reynolds
517546	35806	
517546	37329	
517546	39305	Prof. Ashleigh/Lord Ashleigh
517546	41502	City Councilman
517546	45669	Governor
517546	47356	N.O. Norwich, Theatrical Agen
517546	52611	Dr. Manuel Ceneri
517546	52904	Extra in Casino
517546	53299	George Washington Peachtree
517546	54903	King's Chamberlain
517546	59122	
517546	59838	Dr. Matthews
517546	62770	
517546	64380	
517546	73203	Faculty Doctor
517546	73348	Party Guest
517546	77414	Board Member in Show
517546	77467	Damon
517546	78085	Executive
517546	78986	Specialist #1
517546	83783	Theatre Patron
517546	85067	Vice Admiral
517546	85828	Man at Bar
517546	93042	The Doctor
517546	94557	First Minister of Finance
517546	103781	Instructor
517546	113350	Judge
517546	113595	John Mackey
517546	114200	
517546	115093	
517546	115625	Civilian
517546	116911	Mr. Clark's Associate
517546	117801	Doctor
517546	117802	The Reveller
517546	122759	Member of Congress
517546	123679	
517546	128198	Mr. Patton
517546	130643	Gloria's Father, Jim
517546	131531	Mr. Grey Sr
517546	132589	
517546	132793	Doctor
517546	133610	Elderly Man
517546	133786	
517546	134048	The High Priest
517546	137446	Mr. Winslow
517546	143195	
517546	144833	Joshua Barton
517546	147417	Dog Show Judge
517546	147754	Passerby
517546	148001	
517546	149376	Man Nodding 'No' in Montage
517546	154046	Committee Man
517546	154458	Jefferson
517546	155908	Mr. Fletcher
517546	157878	Bit
517546	168125	Clem
517546	175179	Colonel
517546	176300	Eleanor's Father
517546	176366	
517546	185444	Extra on Ship
517546	186268	Judge Williams
517546	186293	Appellate Court Judge
517546	191180	
517546	191835	Harry S. Ames, Cass-Winter As
517546	195873	
517546	200484	Man on boat
517546	203323	Judge
517546	203468	Captain Gallon
517546	203567	Attendant
517546	206472	George Washington
517546	223018	Bus Passenger
517546	231797	Banker
517546	233795	Cannon
517546	235691	Undetermined Role
517546	240839	
517546	241327	Man
517546	242572	Thinkright Johnson
517546	243217	Judge at Flower Show
517546	246511	
517546	252288	Dinner Guest
517546	253124	American Consul
517546	255351	Reporter Witnessing Execution
517546	259789	Guest
517546	263164	Legislator
517546	264032	
517546	266184	
517546	266710	Prison Board Member
517546	269332	
517546	273251	Elderly Man in Hallway
517546	273781	Wedding Guest
517546	274190	Luke Carson
517546	276377	A stranger
517546	276655	
517546	277327	
517546	278563	American Banker
517546	278796	
517546	286799	Ladal
517546	294747	Judge at horse show
517546	299195	Adm. R.S. 'Bill' Schuyler
517546	301826	Annoyed Ship Passenger
517546	302723	Ship Passenger
517546	306643	
517546	311025	Cantlon
517546	312177	Gen. George Washington
517546	315089	
517546	315748	Man reading newspaper
517546	321384	Backstage Man at NBC Theater
517546	321852	
517546	323206	Doctor
517546	329429	Wedding Guest
517546	329948	Banker
517546	330183	Senator in the Dome Cafe
517546	331901	
517546	339407	Assistant Defense Attorney
517546	339844	Councilman
517546	347128	Oliver Ames
517546	349644	
517546	358643	Judge
517546	365035	
517546	367496	
517546	367756	Guest in Cafe
517546	367781	The Minister
517546	368424	Judge of Duel
517546	372113	Teller
517546	372531	Board Member
517546	374522	Townsman
517547	363708	Punk
517548	81185	
517549	29755	Tommy/Gingerbread Boy (Motion
517549	76969	Josh
517549	290936	Kid on Bike #2
517549	290939	Boy on Bike
517549	329347	Danny Snider
517549	392450	Roger/Ratty
517549	400548	Young Mark
517550	132562	George Clinton's Funkestra
517551	283341	Domino Player
517552	116536	Wise Man
517552	260629	Robbins
517553	195999	Dr. James
517553	279979	
517554	18310	Shrot's Assistant
517554	67054	Ronnie
517554	96737	Gregory
517554	147500	Male Officer
517554	194666	Alley Man
517554	217533	Eric, Adobe Photoshop
517554	279273	News Reporter
517554	313423	Elloran Officer #1
517554	313426	
517554	314225	SWAT Man
517554	339649	Johnny
517554	363581	Orderly
517554	369460	Acolyte #2, Man #2
517554	396467	Nathan Jackson
517554	398567	Rickey Latrell (1996-1997)
517554	402477	Jameson Jones
517555	149495	FBI Man
517556	100210	Diner Patron
517557	370583	Reporter
517558	309207	
517559	101353	Christian
517560	34412	
517560	138956	Gelber Engel
517560	172213	Himself
517560	179005	Regisseur
517560	390190	Richie
517561	26442	Baby Bink #1
517562	229265	Himself/Drummer (Part of "Ned
517562	235616	Himself/Drummer (Part of "Ned
517563	26442	Baby Bink #2
517564	29243	
517564	33166	Thailändischer Chef
517564	381238	Anat
517565	344291	Bartender
517566	13397	Casey (segment "Life on Death
517566	399838	Ariadne, 4 years old
517567	164648	Clairon
517568	62579	Peeping Tom
517569	107753	
517570	175575	Lifeguard
517570	183586	Dream Sequence Mannequin
517570	336899	
517571	32770	Solotänzer
517572	75940	Jozef, bartender in Tahiti
517573	125141	The Lame Tramp
517574	215693	Colonel Wolfgang Heinrich
517575	118766	
517577	287210	Nick Hanson
517578	24465	
517579	32031	
517579	301402	Freddy
517579	332188	Stéphane
517579	402664	Sébastien
517580	77319	Narrator
517580	77320	Narrator
517580	102967	Narrator
517581	290107	Lukas - Kind/Lukas, as child
517582	95726	Leon
517582	165082	Inventor Zygmunt Wasiak
517582	166616	The Playwright
517582	178463	Krazek
517582	228843	
517582	265335	Jemiol
517582	275588	Uncle Ryszard Garda
517582	315814	Sroboszcz, magician
517582	374468	Rejent
517582	375469	Jemiol
517582	375649	V.I. Lenin
517583	154554	Himself - husband of a victim
517584	355052	Charles
517585	270522	Miles
517586	208503	Sebastien's Driver
517586	221138	Frank
517587	210150	David
517587	368746	Andres
517588	211013	Miguel
517589	158877	Le général africain
517590	411420	Himself
517591	411420	Himself
517592	390410	Benjamin Frederikse (1996)
517592	400217	Frans Kuipers (1995-)
517593	10816	
517593	11764	
517593	15187	Chief Commissioner
517593	30242	L'emtraineur
517593	32354	Conducteur
517593	41883	Eddie, reclasseringsambtenaar
517593	53139	Han Bannink
517593	77016	Piloot 1
517593	78214	
517593	89463	Van Bemmel
517593	93672	Vader Frits
517593	118863	
517593	183124	Producer
517593	183129	
517593	208375	
517593	211053	
517593	242903	Mr. De Waal
517593	244467	Minister President
517593	248909	Lucien van Calster
517593	259740	Opa Polleke
517593	278325	Bart
517593	315320	Cameraman
517593	334736	
517593	350311	Inspecteur Geukers
517593	350977	
517593	359816	Customer of Greet (first one)
517593	365706	Generaal Winkelman
517593	376433	Jaap
517593	376505	Koos Jansen
517594	376433	
517595	43332	
517595	149282	The jogger
517596	256760	Painless Surgeon
517597	411221	The Archbishop of Siena
517598	9023	Special Service agent
517598	150351	Navy Seal
517598	242431	Tommy
517598	303564	Hanged Male
517599	303564	Hanged Child
517600	300735	Vauban
517602	39622	
517604	354062	De soldaat
517605	315213	Detective Saul Saxon
517606	155796	
517607	378659	Himself (2002-2003)
517608	53278	Roddy Wickhampton
517609	356811	
517610	9213	Himself
517611	89462	
517612	40819	Baby Blinker
517613	388299	Ludo Bracke (2002)
517613	393245	
517613	409192	
517613	411311	Cyriel Geldofs (1999-)
517614	123896	Le chef de poste
517614	200930	Commis marinier
517614	324461	
517614	328682	Rogac
517615	115688	Tennisjongen
517615	381907	Host (1999)
517616	380747	Koen Verhelst
517617	259412	De politieman
517618	207051	Member - Mr. Butterfly
517619	545	Van Dam
517619	16967	Frits
517619	26279	Fiducia boss
517619	49601	Ritter
517619	57765	Sjef
517619	60957	
517619	80503	
517619	88559	Taxi Driver
517619	93612	Maarten
517619	97235	Jan's father
517619	97778	Charles
517619	100490	Lou
517619	101461	Max, the hero
517619	157722	
517619	170422	Herman van Putten
517619	170968	
517619	181255	Bezoeker Vrouw Koster
517619	184608	White King
517619	200548	Nasser, Ramsey
517619	211911	Ad Sipkes
517619	214743	Burgermeester van Weezel
517619	219627	Max
517619	234879	Jacob
517619	241918	getatoueerde man
517619	242429	Pees
517619	255629	Klok
517619	255630	Klok
517619	255748	Peter de Bock
517619	258242	Vader Stamper
517619	289831	man met koffer
517619	290073	Piet Haan
517619	306008	Max's Thug
517619	320467	Ko
517619	327367	Temmink
517619	341623	Erik van Hoyten
517619	352877	Bennie
517619	367362	
517619	367977	Bewaker Damhuis
517619	375524	
517619	379739	Voorzitter
517619	381211	Dutch farmer
517619	381528	Dirk
517619	390646	Henk Grijpstra
517619	398575	Ex-man Buurvrouw
517619	398923	Albert Ruisbroek
517619	411115	Verpleger Rinus Vermeer
517620	82166	Jan
517621	263302	
517622	376505	Mohammed
517623	189873	
517623	211912	George Wenders
517624	289452	Themselves
517625	326467	
517626	169843	
517626	351412	Samuel Nelson, Chief of Secur
517627	289944	Himself in Audience
517627	376003	Himself
517627	381694	Himself
517628	199319	Mr. Rudy/Meneer
517628	334040	Snouck Hurgronje
517628	393276	
517628	398653	
517629	313044	Thomas
517630	182543	Taxi Driver
517632	300994	Dr. Stefan Zielinski
517633	327298	Member of Kevin Boyle's Gang
517634	221517	Joe
517635	52048	
517636	72322	Buckman
517636	73674	Arthur Andersen Accountant
517636	82052	Messenger
517636	176833	Alex Wajowski
517636	204890	Man in Suit
517636	289530	Deputy
517636	405133	Murray-drunken party goer
517637	8942	Alter Mann/Old Man
517637	30131	
517638	292101	
517639	114067	Boy
517640	77101	
517641	195037	Cavalryman
517642	84439	Officer Ballbuster
517642	131760	Bryan Morocco
517642	209292	
517643	75953	Man on Bridge (Mr. Tostonavic
517643	283767	Zapadny
517643	301153	Narrator
517643	313931	Uri
517643	330197	Pole
517643	410522	Russian Driver
517644	165844	Peasant
517645	82530	
517646	101055	Politruk
517646	312162	
517647	270037	Paris
517648	62561	
517649	20966	Officer Babbage
517649	66935	Pastor Tompkins
517649	92192	Paco
517649	99216	Rocker
517649	105884	Jack
517649	149454	Waxy
517649	150845	Frankie
517649	266577	Johnny
517649	289513	Ken
517649	296039	Casting Coucher
517650	3869	Himself - as Steve Woz
517650	314017	Steve
517650	340026	Himself (co-founder, Apple Co
517651	174026	Jerzy Hulewicz
517651	181333	Father Stanislaw
517651	187641	Gang Member
517651	202253	
517651	227611	Meeting Organizer
517651	237443	Teacher
517651	255028	Doctor
517651	311820	
517653	361076	Szymek - 12 years old
517654	255613	Wladyslaw Wozniak
517654	373653	Golebiowski
517654	374468	
517655	149933	Tango Dancer
517656	24874	Flight controller
517656	264267	Wozzle
517657	26799	Zino
517657	70168	Gibson
517657	80395	Soft porn actor
517657	114045	Deputy Earl
517657	238140	Highway Patrol Cop 2
517657	273077	Duelist 1 - Jack Ryder
517657	289109	Pvt. Joseph Doyle
517657	292293	Dominic
517657	332133	Pilot
517657	382253	Steve
517658	92182	
517659	90362	Dungeon Santa Claus
517660	369874	Short Track speed skating rep
517661	91779	Actor
517661	271882	Walter Averill
517662	314507	Baby
517663	5168	American Sailor
517663	46242	Young Doctor
517663	63495	Mac
517663	276902	Jenkins
517663	337415	Marti
517664	227042	John-John
517665	18850	
517665	26512	
517665	102161	Emil
517665	204543	Eko polis (episode 1)
517665	399850	Anton Ohlsson (2000, 2001-)
517666	57747	Skid Mark
517667	16637	Rocker
517667	29673	Aurion
517667	29960	Crocker
517667	42388	Ovid
517667	80630	TWF #1
517667	130063	Tim
517667	222317	Dr. Carey Williams
517667	233956	Sheriff
517667	237600	Jefferson Washington
517667	278480	Chuck
517667	283489	Bob
517667	309137	Paul Stevens
517667	351931	Cop under Pier
517667	379716	Pierce Riley #2 (1996)
517667	382419	Ron Deacon (1987)
517667	390771	Peter (1986)
517667	411802	Steve Connolly (1992-1994, 20
517668	87388	
517668	164359	
517668	168193	
517668	225790	
517669	112095	Themselves
517670	112552	Musicians
517671	186412	Singing cowhands
517672	35597	Townspeople
517673	315085	Neil
517674	69738	Rapist
517675	401540	Willie MacLean
517676	37174	Olaf Johnson
517677	221274	Policeman
517677	382332	Stefan Evans
517677	385019	Himself
517677	385020	Joe Carter (2002-2003)
517677	385301	Sam Delaney (2002)
517677	388321	Duncan Hart #2 (1999-2000)
517678	264825	Bandleader
517679	229260	Bracken
517680	381952	Sgt. Probert
517680	389705	Douglas Croft
517681	283452	Fat con
517682	61794	Doc Fisher
517682	160408	(segment "Brush Strokes")
517683	32261	Trucker
517683	64394	Walker
517683	70279	Earl
517683	70305	Ben
517683	80521	Bob Meade (segment "The Great
517683	90345	Shag
517683	105617	Barge Mate
517683	114242	Adam Carter
517683	130992	Coleridge
517683	137536	Centrals Coach
517683	160524	Ticket Taker
517683	203591	John Leeds
517683	275107	Guard #1
517683	303905	Goon #2
517683	318188	Macho Guy
517683	320319	Open your eyes man
517683	330195	Josiah Bean
517683	346361	Walt Clayton
517683	359195	Angus
517683	405833	Cemetary Cop #1
517683	408703	Clyde
517684	183805	
517685	123862	
517685	372432	
517686	62676	Garrell
517687	319003	Jim Wray
517688	7968	Mitika, the Gypsy Contact
517688	11440	Himmelstoss, Postman/Sergeant
517688	12179	'Crack' Williams
517688	13378	Stanley
517688	23207	Mitts Coster
517688	27149	Fred Larkin
517688	37303	Higgins
517688	39444	Walling
517688	40112	Convict Diggs
517688	43325	Martini
517688	45669	Weasel
517688	54482	Mr. Jeddock
517688	56687	Hendricks, guard
517688	56789	Man on Street
517688	57985	Robert Smiley
517688	64539	Roebling
517688	73243	Howell
517688	73726	Willie
517688	75930	Morton Bradstreet
517688	81149	Detective Lt. Sheehan
517688	82064	Cooney
517688	84898	Priest
517688	84901	Joe Peters
517688	88916	Farmer
517688	88935	Dr. Haines, Academy of Surgic
517688	96608	Pete Kassock, a Guard
517688	112189	Jason Getty
517688	120336	The Weasel
517688	123850	Maddock
517688	130722	Chocolate Drop's Manager
517688	131240	
517688	133654	Feets Moore
517688	134034	Inspector Crofton
517688	144880	Jimmy Moore
517688	153998	Nordine
517688	154003	Borricci
517688	154874	Fletcher
517688	179055	Bowers, the Printer
517688	183380	Lieutenant Roberts
517688	193644	Bill O'Neal
517688	195509	Jules Glass
517688	201923	Herbert Sandford
517688	202933	Sparks
517688	202999	Mr. Carpenter
517688	203428	Johnson
517688	207680	Foreman of Janitors
517688	210876	Sam 'Red' Hammond
517688	214942	The Frog
517688	215634	Hugo, the Butler
517688	219786	Carter
517688	220490	Mr. Barton
517688	220892	Farmer
517688	230932	Joe Prividi
517688	240657	Guard Rumann
517688	245283	Mr. John Simmerson
517688	246227	Metcalfe
517688	260224	Flagin
517688	263173	Shane
517688	265384	Head lawyer
517688	269779	Kenneth Stone
517688	274738	Guard
517688	275452	Hank
517688	277628	Davis
517688	278854	Silas
517688	285303	Egan
517688	301507	Harry Silvers
517688	305835	Chris
517688	308299	Gas Station Owner
517688	310502	Dr. Sparks
517688	315956	Mike Gibbons
517688	321605	Ramsey
517688	321730	Lang, a Gangster
517688	328067	Turner
517688	349917	George Darnley
517688	360487	Jerry Daley
517688	362376	J. Z. Wray
517688	364434	Henchman Harry
517688	366395	Poultry truck driver
517688	367462	Cmdr. Brambourg
517688	367841	Brother Nameless
517688	372232	Warden Wheeler
517689	209236	Extra 6
517690	256211	Pink's Friend
517691	370585	Fish fryer
517692	64864	Backpacker
517693	40204	Lyle
517694	210672	Himself (group commander)
517694	259150	Himself
517695	91589	Sergeant Rand
517695	327271	Bit
517696	35532	
517697	2719	Himself
517697	359670	Walter
517698	184218	Pharmacist
517698	201245	Afzal Khan
517698	305415	Doctor
517698	365560	Prince Narowz
517699	270436	Valentine
517700	241297	
517701	356754	
517702	103135	Silhouettenschneider
517703	386641	Water skier
517704	309918	Bartender #2
517705	306834	
517706	178840	Man in Phone Booth
517706	205555	Mr. Marten
517706	320282	Prison Chaplain
517706	393427	Lord Curzon
517706	395647	Lord Suffield
517707	411895	PC Jackson (1967-1968)
517708	380284	Additional Voices
517709	314058	Policeman
517710	119471	Wally Schneider
517711	133726	The Kytch Boys
517713	133818	Young boy
517713	146854	Boy
517714	269356	Announcer
517715	27358	Alien Leader
517715	209640	Bletch
517716	187005	
517717	211843	Surveillance Officer 1
517718	121374	Driver
517719	216240	Old Homeless Boy
517720	409106	Himself - Talking-head
517722	9886	Juan Seguin
517722	57743	Chief Sam John
517722	195149	Cal
517722	297455	Coco Mendoza
517722	315214	Martinez
517722	363419	Lieutenant
517722	376740	Cowboy
517723	31765	Radio Operator
517723	55561	Chauffeur
517723	96634	
517723	103327	Reistoffer
517723	103447	Barry
517723	144698	Kik ten Boom
517723	151103	Dieter Eichmann
517723	364782	Ash Buchanan
517723	371100	Pirate
517723	391035	Tom Gradgrind
517723	394340	
517723	406660	Ralph Bunnion
517724	12340	
517724	88250	FBI agent
517724	92612	Chuck
517724	150797	Draughtsman
517724	154468	Chet Sashaway
517724	162267	Piano Player
517724	206168	Mac
517724	209633	Master of Ceremonies
517724	239634	Marriage License Clerk
517724	297180	Charlie
517724	302624	Harvey Bennett
517724	321290	Salesman
517724	330141	Jones
517725	126606	Bouncer
517726	158155	Chris
517727	2528	M.C.
517727	80394	Brett Birmingham
517727	92584	Journalist
517727	129348	CBS Executive
517727	171124	Himself
517727	224525	Sirrus
517727	233496	Man with AIDS
517727	265109	Businessman on Subway
517727	273260	Reporter
517727	283015	Bill Simon
517727	317351	Computer Teacher
517727	343147	Doctor
517727	369195	Young Man in Apartment
517727	386295	Cop
517728	403314	Bad Bob (1998)
517729	32044	Students
517730	178932	Boy
517731	13941	Cycle Team Leader
517732	2445	Himself (SCLC)
517733	69549	Prof. Arliss Wender, MIT
517733	170843	Campus Security Guard
517733	254645	Juror
517733	301540	Agent Burroughs
517733	342228	Various
517733	363913	Shooting Policeman
517734	176686	Ragnar
517735	201792	Himself
517736	383602	Himself
517737	273349	Ask
517738	158141	Extra
517739	93405	Horst "Hotte" Sobotta
517740	100855	J. Christ/Nijinsky
517741	348594	Gilley's Bartender
517742	368654	Senator Franklin
517743	338731	Young Lover
517744	214984	Percy at age 8
517745	37579	Himself
517746	246002	Burpy
517747	134522	Indian Villager
517748	42779	Thompson Noble
517748	67887	
517748	100889	Andrew Gifford
517748	116289	Harold Watts
517748	120110	
517748	134595	Kenneth Carter
517748	137580	DavidOnslow
517748	190516	Lawson
517748	304316	Valentine
517748	318819	Peter Flynn
517748	320144	Goodwin
517748	362414	Kurt
517748	378753	Oliver Melrose
517748	379744	Alastair Raeburn
517748	380207	
517748	389331	Mike Hobbs (1970-71)
517748	395180	Const. Fitzpatrick
517748	402197	Neil Murray (1982)
517748	407478	Lieutenant Jean Morlais
517749	367062	Conductor
517750	18385	Soldier
517750	265352	Car Salesman
517751	299287	Kid in Car
517751	410582	Boy #1 (English Orphanage)
517752	32734	Himself
517752	137671	Himself
517752	137672	Himself
517752	313741	Himself
517752	313742	Himself
517752	360323	Himself
517752	360325	Himself
517752	360326	Self
517752	360341	Himself
517752	360342	Himself
517752	360345	Himself
517752	410688	Berlyn (1999); Himself (1995-
517752	410689	Berlyn (1999); Himself (1994-
517752	410690	Himself (1998-1999; 2000-2001
517753	351722	Doctor
517754	42420	Pim's Comedy Navy
517755	21423	Henri Camion
517756	158930	Hayjay
517757	79859	Det Smith
517757	258761	
517758	105819	Policeman 2
517759	246002	Johnny Boy
517760	7408	Sanson
517760	11251	Boris
517760	44935	Severus
517760	59715	Agent
517760	75706	Capt. Trotter
517760	77195	Greg Waterson
517760	88912	Bicycle Man
517760	114152	Marauder
517760	118925	Guard
517760	167601	Mick
517760	231439	Mr. Pluck
517760	279277	Joseph Cotten
517760	363612	Cavalry Officer
517760	363734	Damien Sutton
517760	400684	Young Charles Stafford
517760	410672	Miles Grendall
517761	319131	Shrimp vendor
517762	29085	Storekeeper who owns Ambrose)
517762	36856	Barber
517762	50213	
517762	70484	Monkey Man
517762	75852	Joe Da Vinci, Cafe Owner
517762	80670	Fruit Peddler
517762	96843	Bruno, a Diner
517762	106106	Photographer
517762	114560	
517762	118320	Hot Dog Vendor
517762	128372	Renegade (in prologue)
517762	128850	
517762	131719	Italian Actor
517762	133737	Vegetable Peddler
517762	142875	Giuseppe
517762	150797	Barber
517762	154355	Greek Merchant
517762	154652	Man in Clinic
517762	154875	
517762	157787	
517762	186452	Guiseppi, the Shoeshine Man
517762	188393	Italian Porter
517762	190268	Barber
517762	195647	Janitor
517762	208719	Bow and Arrow Stand Man
517762	238732	
517762	239657	Workman #2
517762	247141	Greek
517762	247385	Enrico Nicola
517762	271091	Waiter
517762	278854	Mario
517762	285667	Angelo
517762	297936	Tony
517762	333316	
517762	334102	Makeup Man
517762	364443	
517763	27140	Sgt McRobbie
517763	35707	
517763	150422	Detective Henson
517763	303972	Les Simpson
517764	160887	Patient #1
517764	307564	Bent Brother 2
517764	403377	Nathan Tundish
517765	85922	
517765	105034	Denny, Peters' Son
517765	393268	Jake Diadoni
517766	134327	Himself
517766	254248	Vicar
517767	1832	Hotel Porter
517767	11334	Cater
517767	20557	Jonesy
517767	21637	
517767	44786	Deck Officer Green
517767	58989	Narrator
517767	65552	Narrator
517767	76195	Gen. Millensbeck
517767	83638	Mick
517767	105804	Milbanke
517767	117987	The Specialists
517767	124496	Leighton
517767	168672	Benson
517767	169474	Paisley
517767	169942	Halbestadt (Haywood's butler)
517767	170723	Rama
517767	178132	Cockney tout
517767	178141	Peters (RAF pilot)
517767	192017	Grimsby
517767	192412	Doctor
517767	202952	Mr. Findlay, Peter's Step Fat
517767	205315	Ron Stokes
517767	218757	Officer
517767	222459	Hennesy
517767	223400	Graves
517767	223730	Lansbury
517767	223811	Carter
517767	223867	Footman at Ball
517767	240902	Taxi driver
517767	241428	Roger
517767	242711	Manders the Englishman
517767	254594	Walter Andrews
517767	262004	Mr. Chutwell
517767	264064	Horatio in 'Hamlet'
517767	264090	Seneschal
517767	265005	British reporter
517767	265090	Kurt von Niestat
517767	270404	Dr. Seger
517767	271064	Admiral
517767	287155	Englishman
517767	309634	Herr Zeller
517767	316281	
517767	328564	First Constable
517767	330095	Frenchy
517767	335896	French Officer
517767	342027	Franz
517767	347855	Defense Attorney
517767	354479	Francisco Madero
517767	357073	Philip Blemsley
517767	361275	
517767	363779	
517767	366987	Barrister Reading Charges
517767	368784	Mike Duncan
517767	391069	Dr. Lovash
517767	403317	Dr. Azevedo
517768	44450	Platoon - Vietnam
517768	89217	Werewolf
517768	145743	Tom Reese
517768	159514	Edgar
517768	161523	Jack
517768	275602	Pvt. Oswald
517769	333507	Himself/CBS Announcer
517770	169556	
517771	193681	
517772	406094	No. 2
517773	57224	
517773	80965	Sir John Boscatel
517773	105602	Horace
517773	125518	Thady Gallagher
517773	149533	Horace
517773	149537	Horace
517773	191642	John Ayers
517773	191685	Etienne Parouche
517773	218847	Bertie Fitznoodle
517773	219178	Horace
517773	276316	The Idiot
517773	282651	Dearlove
517773	285655	The Proprietor
517773	329561	Bertie Fopnoodle
517773	362644	Briggs
517773	372620	Brookie
517774	226804	Mr. Jensen
517775	129385	
517776	206535	Outlaw
517777	86907	Ex-Con
517777	172451	Papaw
517777	182969	Wolfgang
517778	315678	Himself
517778	393926	Presenter
517779	153563	Himself (EMpTy Records founde
517780	118285	Farmer Brown
517780	312243	Robert Scalise
517781	324036	President Nagel
517782	330818	Himself
517783	41267	Capt. Stanhope
517784	263387	Himself
517785	68084	Himself
517786	114642	Matthew's Kids
517786	345952	Monks
517787	139242	Mr. Bigz/The HNIC/Mr. Hardcor
517788	173512	Deputy #1
517788	231391	Eugene
517789	244675	Otto
517790	233931	Mr. Daniels
517791	30702	Young Jean Michel
517792	7088	Ed
517792	59878	Truckstop Customer
517792	69391	Gong Show Technician
517792	99408	Gérant du Lave Auto
517792	144545	Motel Manager
517792	263235	Gas Jockey
517792	267429	Rossy
517792	270348	Cabbie
517792	359381	
517793	18979	Anchor
517793	31315	Deck hand
517793	42806	Juice
517793	44474	Jack Graham
517793	83842	Preacher
517793	113808	Deputy Dennis Clay
517793	115470	Co-Pilot Roger Pettit
517793	161495	Rick
517793	213097	Det. Angelo
517793	216023	Wiley
517793	220587	Darryll
517793	229428	FBI Agent Moran
517793	234226	Shakespearean Troupe
517793	277643	Newscaster
517793	283426	Sheriff Frazier
517793	291126	Reporter
517793	299561	Alex
517793	310726	Reporter #1
517793	342685	Murphy, NSSL Scientist
517793	342924	Todd Armstrong
517793	404747	Lieutenant Morris
517794	319049	Rousie
517796	35655	Dead Dreamer
517797	43437	
517797	220958	Spike
517797	316735	Kid Giveno
517797	363599	Fighter
517798	100193	Costumer 2
517798	321678	Warden
517798	350219	Mr. Goodliffe
517799	184469	Street Kid
517800	146943	Mark
517801	29745	Checkers Fred
517801	29746	Checkers Fred
517801	37210	Ben
517801	70382	Grandpa
517801	171297	Station Master
517801	257443	Mr. Green
517801	309477	Reverend Williams
517801	363186	Minister
517802	16087	Jess
517802	145055	James Monroe
517802	258907	Kurt
517803	52695	
517803	113498	Tribune Guard
517803	132475	Mr. Hines
517803	148460	Mr. Maki
517803	195345	Cab Driver 3
517803	298120	Angry Father
517803	308713	Luther Cobb
517804	393131	
517805	224414	
517805	321077	
517806	20372	The Godfather
517806	34948	Baron Samidi
517806	177487	Kama
517806	217821	The Godfather, Kama
517806	234072	Kama Mustafa
517806	282675	Papa Shango
517806	282678	Kama
517806	282680	Kama Mustafa
517806	282681	The Godfather
517806	282682	The Godfather
517806	282683	The Goodfather
517806	282684	The Godfather
517806	318832	Kama
517806	318837	The Goodfather
517806	320136	Kama Mustafa
517806	320138	The Godfather
517806	320139	The Goodfather
517806	368816	The Godfather
517806	368824	Papa Shango
517806	368826	The Godfather
517806	368827	The Goodfather
517806	368828	Kama Mustafa
517806	368831	Kama Mustafa
517806	369239	The GoodFather
517806	369240	The Godfather
517806	369241	The Godfather
517806	369263	Kama Mustafa
517806	369280	The Godfather
517806	369281	The Goodfather
517806	369286	Kama
517806	369287	The Godfather
517806	369290	The Godfather
517806	369291	The Goodfather
517806	369294	The Godfather
517806	369308	The Goodfather
517806	402907	The Godfather (1998-2000; 200
517806	406933	The Goodfather (2000-2001); T
517806	411537	The Godfather (2002)
517806	411539	The Goodfather (2000-2001); T
517806	411542	The Goodfather (2000-2001); T
517806	411543	Kama Mustafa (1995); Papa Sha
517806	411545	The Goodfather (2000-2001); T
517806	411546	Kama Mustafa (1995-1996); Pap
517807	176847	Abusive Husband
517808	391368	Rooster
517809	388212	Presenter
517810	1635	Himself (chairman, Chrysalis)
517811	119322	Smoking Hagfan
517811	280478	Passenger
517812	349823	Paul Cole
517813	1074	Mr. Belvedere
517814	241898	The hussar
517815	365930	Poker Dealer
517816	101637	Counsel
517816	223700	UK Oncologist
517816	382838	Geoffrey Fletcher (1991)
517817	121135	Farrel's Friend
517818	94458	M. Mangan
517818	163635	Clarence
517818	257095	Brighouse
517818	401502	
517819	103289	Helicopter Pilot #3
517819	106219	US Pilot
517819	219030	Pilot
517819	264581	Helicopter pilot
517819	345998	Helicopter Pilot
517819	360892	Aircraft consultant
517820	87223	Masked Maniac #3
517821	170451	Doctor
517822	352554	Camera Man
517823	59197	Roland Yorke
517823	102578	Ernest Maltravers
517823	280245	Bertrand de Montville
517823	321745	Honorable Charles Egremont
517824	39830	Audience Member
517824	315261	Court Clerk
517824	347688	Court Clerk
517825	285032	Warrior
517826	1038	Dancer
517826	43883	Hot Traxx dancer
517826	161594	Mocambo Dancer
517826	245249	Mexican Dancer
517826	264157	Folk Dancer
517826	302710	Dancer
517826	356649	Dancer
517827	10727	Igor
517828	283102	Cafe Owner
517829	114921	Clerk #2
517829	130677	Man in dance hall
517830	158149	Number 22/Himself
517831	50041	Larry
517831	118393	Rock and Roll Band Member (We
517831	261281	Hotel Clerk (Atlanta)
517832	276366	
517833	165582	Partier
517833	300920	Andrew
517834	74006	SS Agent Jones 'Pete' Allison
517835	31856	Korum
517835	41563	Mr. Carlow
517835	73959	Kip
517835	80734	Lawyer
517835	152951	Burt Gold
517835	158175	Larry Jenner
517835	212732	Obnoxious father
517835	293075	LA Times Reporter
517835	302943	Bob Richter
517835	332812	Reporter 1
517835	368718	Joey
517835	368892	Det. Nolan
517836	65428	Clay man
517836	308609	Mike
517837	154629	Matthew Graham
517837	213122	Death Row Guard #2
517838	289564	Elderly Neighbour
517839	359312	Cameraman REUTERS
517840	199133	Checkpoint Soldier
517840	380610	Richmond Servant
517841	69803	Himself
517841	134141	V.I.P. Guest
517841	387272	Shorty
517841	406076	Host (1997-2000)
517843	137223	Hud
517843	150606	Junior Jones
517843	271003	Gang Member No. 4
517843	359569	Cleon
517844	62036	Termite
517845	70411	Himself (The John Barry Seven
517845	128407	Himself (The John Barry Seven
517845	208076	Himself
517845	387032	Himself
517846	26144	Comedy 'Horse' Act
517846	58817	Comic dancer
517846	209636	Horse Act Specialty
517846	277525	Announcer
517846	333054	Bull Clown
517847	80433	Dancer
517847	140170	Himself
517848	397721	Himself
517849	150075	Hip Hop Freestyle Dancer
517849	289024	Hip Hop Dancer
517850	61261	Old Man in Hospital
517850	191513	Justice Patterson
517850	316210	Mr. Wilson
517850	318842	Grandfather Windom
517850	362689	Retired man
517850	365169	Desk Clerk
517851	333875	Rev. Edgar Troutt
517852	123708	1st Henchman
517852	243340	Jesse
517852	300158	Brent, Liver Stable Man
517853	131381	Martin Poe
517854	109591	Treasure Hunter
517855	184466	Zombie Cameo
517855	297802	Rabid Monkeys Newsreader
517856	143026	Undetermined Role
517857	309347	
517858	229240	Carl Caulder
517858	289222	Mr. Taylor
517859	40537	
517859	404880	Committee Man
517860	163568	Steve's friend
517861	129862	Sam
517862	53971	Himself
517863	175157	Bartender
517864	57489	Himself
517864	97077	Himself
517864	97078	Himself
517864	225774	Himself
517864	237020	Himself - Gangster
517864	341801	Himself
517864	361218	Himself (rap artist, member o
517865	118872	Himself
517866	45893	
517867	187795	Bartender/Houston
517868	10750	The March Hare
517868	388840	The Psammead
517868	390672	
517868	392067	Shelley
517868	401382	The Psammead
517868	403273	The Psammead
517868	406193	Puppetry and Voice (1984-1985
517868	411317	Hangle
517868	411742	Dibs
517869	278833	Peter Broetzmann Ensemble: te
517870	384978	Himself (1995- )
517871	25578	Himself (at desert home)
517871	151115	Himself - Architect
517871	260464	Himself
517872	64114	Professor Pottiefax
517872	217429	Mr. Amherst
517872	254086	
517872	345451	
517873	234669	Bartender
517874	129551	Humpty
517874	149648	Captain Anthony Cobb
517874	195733	O'Malley
517874	198459	
517874	235228	James Oldacre
517874	261759	Hilarius
517875	16657	Elito DeFrieze
517875	27252	FBI Agent
517875	71856	Chet
517875	116667	Rick
517875	191503	T Ball
517875	305317	Shaun
517875	396102	Bachelor Party Guest
517876	11539	Ian
517877	283410	Student Dennis
517877	350335	Garret
517878	334011	Goth
517879	118564	1st Cop
517879	353420	
517880	296552	Our Guests at Heartland
517880	356350	Himself - Choir Member
517881	78806	Robert
517881	142168	Max
517881	152579	Groom
517882	194683	
517883	137946	Hamlet
517884	121620	Himself - Pianist
517884	219121	Himself - Pianist
517885	5826	
517885	40606	Inspector Bray
517885	48613	The Count
517885	84239	Carter Drummond
517885	104517	Geoffrey Lester
517885	130048	Earl of Hetherington
517885	141314	Sani
517885	145920	Perkins
517885	200278	Victor Valentine
517885	224602	Mr. Pennyquick
517885	224734	The Waiter
517885	272243	Major Caswell
517885	296922	
517885	350502	Lord Steyne
517885	360159	Dan Reedy
517885	363971	Arthur Smithson
517885	364627	
517886	321505	
517887	38515	Alcoholic Patient
517887	80584	Det. Hindmark
517887	96914	Himself
517887	149109	Jailbird
517887	247039	Stage Rider
517887	332897	Patrolman Redfish
517888	206795	Truman
517888	264421	Tyrone
517889	234197	Himself
517890	11386	Snare Drum
517891	117352	Philip Sutton
517892	43729	Dr. William MacClure
517892	124084	Lord Rens
517893	32693	Jeffrey Rawlings
517894	234913	
517895	61683	First Teacher
517896	96697	The Drunk
517896	164970	The Dude
517896	222306	The Drunk
517897	287125	Bachelor
517898	199173	Herbie
517899	43736	Old Man
517899	57730	Judge
517899	58359	Teasdale
517899	59826	Bit Part
517899	79821	
517899	90922	Pop
517899	96753	Jake
517899	129872	
517899	131647	Old Timer
517899	135854	Gen. Pope
517899	141035	
517899	185498	Clyde Vesey
517899	187244	
517899	187249	Joe
517899	187341	Sheriff
517899	194095	Uncle Bill
517899	195189	Cob
517899	241309	Judge Congin
517899	271072	Sheriff
517899	293978	Col. Hannah
517899	301264	
517899	303429	Judge
517899	316185	Doc Parks
517899	327970	Mr. Robinson
517899	334189	Mr. Ben Houston
517899	359286	Medical Research Officer
517899	362585	Mourner
517899	372599	
517900	889	
517900	6817	Don Lorenzo/Montagu Phelps
517900	24195	
517900	35208	Alf
517900	47860	Sydney
517900	56267	Jordan
517900	72732	
517900	92186	Charlie Wong
517900	96819	Fred
517900	124267	Moriarty
517900	126587	Rev. John Vivien
517900	131391	Librarian
517900	133626	Backus
517900	152307	Hughie
517900	176425	Tommy
517900	178909	The Citizen
517900	194451	Old Man
517900	196167	Noakes
517900	206927	Alfred Smith
517900	224202	Higgins
517900	229632	
517900	235611	Jimmy Daw
517900	239566	Tom Codlin
517900	240667	Vicar
517900	270649	Algernon Bird
517900	281100	
517900	282621	Albert Marshall
517900	285655	The Cockney
517900	291486	Old Joe
517900	299934	George Yarrow
517900	301972	
517900	312349	Sam Hopkins
517900	312351	Sam Hopkins
517900	312352	Sam Hopkins
517900	312353	Sam Hopkins
517900	316341	Briggs
517900	364850	Peasgood
517900	372206	Father
517901	4389	Dr. Petrie
517901	10395	Eustace
517901	19786	Sir George Paddock
517901	42259	Prasutagus
517901	51874	Dr. Petrie
517901	52469	Dr. Petrie
517901	66181	Dr. Fu Manchu
517901	68445	Quartermaster
517901	71510	Dr. Petrie
517901	72514	Dr. Petrie
517901	74236	Dr. Petrie
517901	80983	
517901	91775	Kamar Shri
517901	92186	Sir Michael Gordan
517901	101420	Captain MacDonnell
517901	103255	Aristide Fabre
517901	112065	Dr. Petrie
517901	112208	Dr. Senior
517901	114791	Stiffy Steele
517901	115475	James Mortimer
517901	121782	Dr. Petrie
517901	124099	General French
517901	124707	Sir Thomas Apreece
517901	130020	Geoffrey Vance
517901	130840	Dr. Petrie
517901	134078	Dr. Petrie
517901	134296	Dr. Petrie
517901	142947	Charles XI
517901	144980	Dr. Seymour
517901	145555	Chris Hawthorne
517901	151080	Coachman
517901	157462	Abbot
517901	158116	Malcolm Jove
517901	173838	Dr. Petrie
517901	179009	Dr. Petrie
517901	192355	Cedri Lloyd
517901	193005	Lodgekeeper
517901	193608	Sir Philip Brown
517901	196078	Admiral Brunton
517901	199594	Old Soldier
517901	203654	Dr. Petrie
517901	206338	Jenkins
517901	207394	
517901	213250	Dr. Petrie
517901	214992	Dr. Petrie
517901	251417	George Brownlow
517901	254931	Stephen Gurdon
517901	269334	Dr. Petrie
517901	280245	Captain Rodolphe
517901	280932	Horatio Nelson
517901	282010	Jerome Vanderlynden
517901	285037	Dr. Petrie
517901	285344	The Butler
517901	285685	Sir William Graham
517901	286124	Judge
517901	289803	Dr. Petrie
517901	292679	William Arscott
517901	300335	Dr. Petrie
517901	301263	Dr. Sholto
517901	301931	Dr. Petrie
517901	304641	Hassan
517901	311747	Henry Maxwell
517901	312358	Solicitor
517901	316898	The Reverend
517901	329837	George Lorimer
517901	338292	John Manton
517901	358778	Bigton
517901	360059	Wellington
517901	360228	Manager
517901	361594	Dr. Petrie
517901	362337	Reverend Dennis Norton
517901	363775	Missionary
517901	372437	Bit Part
517902	130420	
517902	155451	(English language version)
517902	191807	Père Marlotte
517902	194202	Ketley
517902	242021	The Regimental Doctor
517902	287040	Li
517903	16878	Pallbearer
517904	23932	Himself
517904	87652	Traveler
517904	87653	Traveler
517904	395929	Himself - Traveler
517905	689	
517905	23919	Himself
517905	23920	Himself
517905	23929	Himself
517905	121839	Radio 1FM DJ
517905	203897	Himself (1990 FA Cup Final)
517905	260291	Himself (host)
517905	342206	Himself
517905	389372	Presenter
517905	389388	Presenter (2001-)
517905	390781	Presenter
517905	392455	Presenter
517905	397085	Expert Analysis (2000-)
517905	399044	Presenter
517905	411514	Presenter
517906	381821	Ensemble (1971-1972)
517907	232203	Plainclothesman
517908	35208	Singer
517909	29619	Package Check Guy
517909	175632	Pete
517909	186444	Hotel Owner
517909	207132	Biker
517909	231391	Maitre'd
517909	245678	Big Bill Larson
517909	266051	Laboratory Guard
517910	331303	
517912	34116	Various characters
517912	34729	
517912	34911	
517912	353728	Various characters
517912	381660	Various Roles (1968)
517912	381661	Various Roles (1969-1985)
517912	393507	Various Roles (1981-1982)
517913	344549	Weazel
517914	70397	Senior Ranger
517914	74215	The Jury
517914	97203	Mr. Calloway
517914	110449	Mudshark
517914	167562	Ray Carpenter
517914	190516	Fitzgerald
517914	210485	Pool Cleaner Salesman
517914	254591	Reporter at Station
517914	269892	Bushman
517914	304994	City Radio Announcer
517914	323517	Waiter
517914	328788	Douglas
517914	395091	Immigration Man
517914	395180	Living
517914	411366	Public Servant (segment 4: Lo
517915	99695	Second Priest
517916	196471	Country Dancer #2
517917	306275	Prince
517918	184853	Pyki kid
517920	334595	Coach
517921	112022	Rolf
517921	340247	Elliott
517922	116005	Jason
517923	196571	Grog
517924	84439	Office Coffee Guy
517924	131760	Hand Grenade Seeking Customer
517925	2232	Real Estate Couple
517925	43874	Young Willie
517925	43875	Young Willy
517925	334661	
517926	30582	Fireman
517926	144913	Security Officer
517926	226937	Sex Shop Assistant
517926	226938	Store Manager
517926	226939	Stadium Head Usher
517926	244911	Nude Rancher
517926	283639	Sheriff Wes Patterson
517926	304568	Deputy Dave
517926	403038	Hank the Janitor (V) (1997)
517927	108976	Skater Dude #1
517928	60186	Josh Haden
517928	67380	Waiter Quartet
517928	279133	Robbie
517929	2805	Himself - Best Supporting Act
517929	2894	Himself (Winner of Best Suppo
517929	10502	Howard Bingham
517929	30702	Jean Michel Basquiat
517929	41501	Ben
517929	45548	Dr. Martin Luther King, Jr.
517929	57654	Off Off Broadway Director
517929	57804	Nin
517929	73127	Chris
517929	73559	Bed Two
517929	76206	Jaworski
517929	105919	
517929	107576	Young Man at Rolls
517929	110914	Dan Powell
517929	137932	Gravedigger
517929	170561	Derek
517929	175229	Himself
517929	194511	
517929	201608	Himself
517929	203918	Al Melvin
517929	211698	Win
517929	263265	Prosecuting attorney
517929	277909	Daniel Holt
517929	289942	
517929	296980	Peoples Hernandez
517929	302406	Rex
517929	312797	Himself
517929	321961	
517929	335715	Balzac Man
517929	380256	Belize/Mr. Lies/The Angel Ant
517929	411815	Sidney Bichet
517930	147793	Kenny
517930	213358	Marc
517930	327659	
517931	77207	Lang
517931	390432	Custody Officer
517932	151730	Son
517932	205166	Jesse
517933	17965	Little Jimmy
517934	9883	Bowie's man
517934	98831	Commune Guy
517934	235579	Barman
517934	353973	Art Davis
517935	923	Himself (House Speaker)
517936	59685	Sheriff Bill Malone
517936	358593	Military Supervisor
517937	93959	Doctor
517938	309592	'Dollar Bill' Burton
517939	358486	Father Martin
517940	25876	Charles 'Chuck' Newmeyer
517940	70013	Newsboy
517940	258947	Jerry Disbro
517940	301933	Brady Kincaid
517941	185470	Jimmy Green
517942	59430	
517942	99860	Patient
517942	208908	Radioman Willy Moss
517942	208910	Radioman Willy Moss
517942	358764	Curt Willis
517942	397224	Willy Moss (1964-1966)
517943	73609	
517944	241244	Beer Bong Guy
517945	296967	Magician
517946	236957	
517947	162439	Goblin
517948	41175	Captain
517949	54342	G-Man
517950	298503	Johnny, Reno's son
517951	279412	Himself
517951	292171	
517952	388272	Himself/judge (season 1)
517953	92695	Jonathan Harker
517954	194136	Announcer
517954	388272	Himself/Judge
517955	190702	Coach #1
517956	201753	Himself
517957	5885	Jack Crowther
517957	117672	Luke
517958	388348	Richie Crawford #1 (1989-1990
517959	142341	Federale
517960	145102	Doctor, Royce's Gang
517961	92257	Ticket Agent
517962	346125	Buzz Jr
517963	88869	Reporter
517963	89391	Bob
517963	168166	Guard 2
517963	330091	Newsman
517963	356472	The Media (Himself)
517964	80834	Cuban Soldier
517965	290319	Alpha Phi Alpha Member
517966	363484	Arthur Crudd
517967	108244	Rob
517967	209693	The witness
517968	3991	Colby
517968	79891	
517968	92249	
517968	115515	Aide
517968	136040	Assistant DA
517968	138478	Kennedy
517968	147655	Woody O'Neil
517968	185661	Cpl. Jim McAdams
517968	242934	Conway
517968	264038	Lomax
517968	329946	Policeman
517968	346125	
517969	208054	
517970	303765	
517971	271282	
517972	82114	Mr. Bradley
517973	69512	US Jones
517974	65901	
517974	134017	Drummer
517975	234966	District Attorney
517976	81319	Vice cop
517976	363446	
517977	41192	
517977	98935	
517977	230085	
517978	49389	Alf
517979	42277	Wilhelm Shreik
517979	45083	Truck Driver 2
517979	79843	Magistrate
517979	114603	Hunter
517979	139461	Mayor
517979	231036	
517979	288050	
517979	326654	Judy
517979	330537	Sergeant Ramirez
517979	375693	Constable Bill Jackson
517979	376002	
517979	389140	Jack Lander (part II: 'Bush S
517979	395153	Stanley Bruce
517979	405960	Barney Adams
517980	195316	3rd Barrister
517980	396670	
517981	81133	Schoolboy 3
517982	339968	Tristan
517983	20250	Black Bailey
517983	29538	
517983	41143	Devore Palmer
517983	44260	Juan Verdigo
517983	44261	Angus Bland
517983	45917	
517983	54528	
517983	73817	Buck Sloman
517983	135581	
517983	140095	Henchman Mack
517983	141014	Slim McGee
517983	152924	Len
517983	186330	
517983	191250	The Lion Man
517983	193666	Henchman
517983	204171	Mack Murdock
517983	207414	
517983	215968	The Day Agent
517983	216755	Robert Barlow
517983	227163	Henchman
517983	238584	
517983	239408	
517983	242543	
517983	253149	Lew Scully
517983	256434	'Spike' Harkness
517983	271242	Henchman
517983	272041	Deputy
517983	274038	Sam Waters
517983	277960	Dan Blair
517983	301745	
517983	301958	
517983	302759	Milo
517983	337643	
517983	361636	
517983	361791	Dick Sterling
517984	359758	Ball Dancers & Musicians
517985	220041	
517986	10305	Male Commentator
517986	138716	Himself
517986	143264	Freezing Works Foreman
517986	154997	Bill
517986	175788	Kevin
517986	209640	Sid the Elephant/The Cockroac
517986	294060	
517986	378757	Various Characters
517986	390580	Voices
517986	393049	Various Characters
517986	398205	Various Characters
517986	399329	Leonard Foxx
517986	405209	Nurse Gary Fraser (2002)
517987	222636	Detective #1
517988	202239	TV Reporter
517988	278247	Reporter #2
517989	145389	
517990	209237	Steiner Officer
517991	18544	Beastman
517991	275871	Butler
517992	153563	Himself (Gas Huffer)
517993	144950	Woody
517993	397707	Mike King (1989-1991)
517994	295295	Himself
517994	403332	Host
517994	408075	Presenter (2001)
517994	411515	Himself/Host
517995	11485	Joshua Penn
517995	45507	Secretary
517995	66603	
517995	78027	Dr. Boone
517995	80410	Dr. Jonas Reilly
517995	96875	Zaddock Pratt
517995	117065	Shakespeare Director
517995	119097	Millard Tvedt
517995	130441	Howard Haldane
517995	134886	County Health Inspector
517995	157667	
517995	180061	Dr. Al Monford
517995	185239	Second Commuter
517995	189314	Alexandre Gustave Eiffel
517995	213324	Robin Starveling
517995	215363	Dick Stetmeyer
517995	220024	Herman Mandelbrot
517995	257764	Dr. Mengele
517995	274525	Floyd Dell
517995	289420	Stan Clark
517995	296875	Berger, Museum of Natural His
517995	302121	Leon Hundertwasser
517995	306226	Horace Whaley
517995	309489	Dr. Aronson
517995	314923	Floor Manager
517995	336654	Lester
517995	342364	Sir Andrew Aguecheek
517995	363931	Bill Spencer
517995	379631	William 'Willie' Tanner
517995	382954	Karl Shub
517995	387070	Paul
517995	388202	Prince Heinrick
517995	389416	Guenter Wendt
517995	399674	Max Denby
517995	406363	Dr. Herbert Denninger
517996	404555	Himself
517997	32547	
517997	34120	Jimmy Mills
517997	66308	Lou
517997	69395	Charley
517997	71486	Simon Z
517997	92306	Rudy
517997	93118	Mace
517997	114642	Eddie King, Jr.
517997	186103	Shooter Stevens
517997	190434	Randall
517997	218005	Aaron
517997	257014	Edgar
517997	258859	Sonny
517997	264235	Victor Duncan
517997	270896	B-Boy at the Elephant
517997	316565	Carlyle
517997	318361	Raynathan Skuggs
517997	349231	Elias Taylor
517997	358964	Clinton
517997	360510	
517997	400621	Omar White (2001-2003)
517997	405038	
517997	409738	Elias Taylor
517997	409744	Elias Taylor
517999	134289	Cockfighter with Cage
518000	202367	Alan
518000	233967	Jim
518001	39004	Sherman
518001	40911	Blocky
518001	184714	Jake Lansky
518001	190024	Charlie Putz
518001	199227	
518001	268003	Chuck
518001	272600	Walter Winchell
518001	375527	Dad
518001	409474	Michael
518002	42218	Harris
518003	196586	Klos
518004	33974	
518005	388137	Himself
518006	253901	Himself
518007	95080	Nebbish Guy
518007	220276	Montmartre Dancer
518008	388861	Official
518009	212965	Jonjo
518011	84808	
518011	84809	
518012	368445	Desmond
518012	408234	
518013	140016	Tommy Linklater
518013	386006	Phillip
518014	47348	Fletcher
518014	77433	
518014	84838	Fouquette
518014	120512	
518014	127167	Rev. Darby Edwards
518014	159707	Townsman
518014	342487	Winkle
518014	388505	Mr. Victor
518014	396343	Coleman
518015	334757	Chorus
518016	232981	Ninja Man
518017	123354	Second Detective
518017	286929	Fireman
518019	373654	Himself (presenter)
518020	4714	Jablon
518020	14972	Eduardo
518020	29903	Max Baumer
518020	33988	Mr. Peterbuilt
518020	51990	Cop at Gas Station
518020	53957	Brad Phillips
518020	54855	Truck Driver
518020	56727	Policeman at Cabin
518020	60342	Coach Pat Gannon
518020	77552	
518020	91554	Banker
518020	99695	Max
518020	104357	Guard/Rob
518020	109758	Louie
518020	120301	First Policeman
518020	131538	Stone
518020	154610	Ruiz
518020	155912	
518020	156513	Orderly
518020	185583	California sheriff
518020	191020	Maj. Thomas Eckert
518020	191625	Twins Team
518020	214123	Henchman
518020	222682	Attendant
518020	230427	Exploding Biker
518020	234971	Larry Mather
518020	241505	Kinky
518020	242098	
518020	265604	Stover
518020	277071	Policeman
518020	280656	Sergeant Danner
518020	295351	Detective
518020	304538	
518020	324657	Policeman
518020	337307	Police Captain Mac
518020	339439	Policeman Rafferty
518021	14122	Civil War Veteran
518021	28493	Richard Carpenter
518021	69409	Roughneck
518021	120106	Coach Belew
518021	204971	Calion
518021	280078	Jarvis
518021	329058	Settler
518021	346299	TV Delivery Man
518021	361353	Kaufman
518022	296967	Bass Player
518023	169474	Laird
518023	247137	Rupert Roberts
518023	265606	Neville
518023	289473	Mark Dragon
518023	292158	Chief Superintendant Lennard 
518023	356318	Narrator
518023	400552	D.C. Ron Ludlow
518024	292158	Len Chadwick
518025	41530	Workman 2
518025	108087	Dancer
518025	133952	Mr. Norris
518025	134112	Peter Marshall, QC
518025	211843	PO Peter Reeves
518025	215789	P.C.
518025	238449	Theban Citizen
518025	248058	Mung
518025	263791	DC Lillie
518025	289099	Nigel Plimpton
518025	293267	Dennis
518025	335594	Customer
518025	366192	Second Journalist
518025	383363	Monitoring Officer 1 (The Kni
518025	402139	DC Lillie
518025	402140	DC Lillie
518025	408638	Gavin Broby
518026	410659	Rudyard Boswell (Boz)
518027	57551	Himself
518028	165977	William Dusky
518028	369458	Student at Xavier School
518029	369458	Lily Pond Kid
518030	97440	Mr. Bainbridge
518031	175562	Gym Owner
518032	18961	Col. Kurtz/Eeyore
518032	204859	Eeyore
518032	366274	Eeyore
518032	366275	Eeyore
518032	366276	Eeyore
518033	16748	Ramir
518034	117065	
518035	171181	Himself
518036	51989	Prison Inmate
518037	280305	Drinker
518038	41843	
518038	60739	Dillis
518038	127145	Norton Landers
518038	129570	10th Connecticut soldier
518038	150215	Pete
518038	193176	The Bearded Slave
518038	198829	Elrod
518038	338801	Spangler's Man
518038	392177	Banes
518039	79577	Himself
518039	195398	Himself
518039	246031	Himself
518039	256208	Himself
518039	256209	Himself (keyboards and vocals
518039	256210	Himself
518039	256212	
518039	256213	Himself (keyboard and vocals)
518039	256214	Himself (keyboards, vocals)
518039	256320	Himself
518039	321751	Himself
518040	228338	Bigger Thomas
518040	277714	Himself
518041	389722	Goblin #2 (1994-1995)
518042	76895	Julius
518043	79745	Himself
518043	79746	Himself
518044	53960	Farmboy
518045	194487	Inn Keeper
518046	166871	Train engineer
518047	93749	Penitente
518048	271868	Emergency Room Technician #2
518049	411420	Himself
518050	221202	British Administrator
518051	371211	Sir Richard Cholmondely
518052	409106	Himself - Talking-head
518053	217498	Officer #1
518054	687	Himself
518055	54681	Boat Man
518055	152205	
518056	11386	Cook
518056	48652	
518056	108768	
518056	150792	Enthusiastic Patron
518056	300573	Policeman
518057	285032	Warrior
518058	85017	
518058	122653	Businessman #2 (with Klugmann
518058	393043	Shipwreck Callahan (1960-1961
518058	401762	Det. Green
518059	241405	Rob (In The Groove)
518060	43347	Capt. Hugh Smith
518060	162364	Confederate Veteran
518060	292701	Priest
518060	312138	Folger's Secretary
518061	372175	Dancer
518062	381185	C. B. Travis
518063	41353	Cuban #1
518064	80402	Young Teller
518064	87829	Ted
518064	138841	Chris
518064	400548	Sweater Guy
518065	175190	Officer Santana
518066	45500	Richard
518067	19777	Sebastian
518067	38515	Dizzy Gillespie
518067	87009	Kron
518067	87026	
518067	87765	Sebastian
518067	127517	Morris
518067	147602	Scotty
518067	155453	Paramedic 1
518067	192014	Sebastian
518067	192017	Sebastian
518067	292065	Sebatian/Himself
518067	316411	Dave
518067	329843	Narrator
518067	346150	Himself
518067	358822	Himself
518067	387652	Officer Turk Adams
518067	392134	Sebastian
518067	395739	Sebastian
518067	396951	
518067	402605	Alfred
518068	53971	Himself
518069	385020	Sam Kingston (2000-2002)
518069	385301	Jeff Larson (2003)
518070	75876	Max Kirkland
518070	93336	Ed Bates
518070	102937	1st Journalist
518070	126030	Host
518070	274032	Mr. Sykes
518070	338982	Himself/Romeo and Juliet Engi
518071	27268	The Piano Man
518072	150350	Sleepy Weasel Squadron
518072	228298	Voice Talent
518072	320801	Rothbart
518072	403310	
518073	161048	Corporate Victim #2
518074	310130	Himself
518075	92692	Jack Seward
518075	248669	Jason Stocks
518076	177015	Policeman
518076	385930	Police Constable
518077	59114	Bubba Green
518078	192349	Mr. Boo's Band
518079	109993	Second Delivery Man
518079	304718	Joey
518080	153147	Prison Guard
518080	273926	Running Instructor
518080	274476	Visiting Room Guard
518080	295420	Car Owner
518081	284442	Bassist
518082	23338	Helicopter Pilot
518082	41746	Mr.Stud
518082	113857	Helicopter Pilot
518082	251247	Allcom Helicopter Pilot
518082	283398	Dave, Helicopter Pilot
518082	299897	Helicopter Pilot
518082	348510	Biff
518082	369912	Helicopter Pilot
518084	309280	Himself
518084	380897	Himself - Presenter
518084	391894	Himself - Presenter
518084	401050	
518084	406533	Himself - Presenter
518084	408553	Himself - Presenter (1999-)
518084	408555	Himself - Presenter (1982-199
518085	161927	Computer Friend
518086	1470	Goatman
518086	3626	Himself
518086	19180	Dennis Jennings
518086	26079	Bob
518086	53516	RCMP Officer at Headquarters
518086	66765	Steven
518086	66766	Steven
518086	68104	Himself
518086	75528	Himself (Burlington, MA)
518086	84002	Larry Stillman D.D.S
518086	116971	Cabbie
518086	137470	The Guy on the Couch
518086	168656	Himself
518086	194638	Pantie Bar Man
518086	210794	Sterling
518086	216469	Man at Pay Phone
518086	222947	Stan Spielberg
518086	228434	Dr. Emil Reingold
518086	240649	Himself
518086	241729	
518086	276217	K-Billy DJ
518086	306431	Pilot
518086	308396	
518086	310715	Eddie
518086	313762	Pruitt
518086	314621	Himself
518086	320800	Speed
518086	343008	
518086	372511	Himself
518086	386860	Walter
518086	389505	Himself
518086	396350	Warren Harharman (1992-1994)
518087	304718	Joey
518088	10535	Film cameraman
518088	20362	Marius Van Meer
518088	46877	Neville, Stage Manager
518088	87333	Rhodri
518088	89160	Eastwood
518088	112049	Octopus Security Guard
518088	144834	Officer
518088	386563	PC Mark Mylow
518088	392437	
518088	395336	Terry
518088	398557	Steve
518088	403228	Eddie Chisholm
518088	411148	PC Alan
518088	411452	Various characters
518089	399130	Alan (1988)
518090	63189	Cowboy Luke
518090	80768	Silver-Haired Man
518091	362052	Rhonda
518092	111441	Himself
518093	32264	A Half Breed
518093	249520	Harrigan
518094	177529	Murderer
518094	241089	Detective Constable Waters
518095	385299	Mr. Cowley
518095	387605	Policeman
518095	410632	Dragos
518096	20980	Himself
518097	307468	Townsperson
518098	201685	Himself
518098	243244	Himself
518099	245699	The Wright Brothers Band
518100	229260	McIntyre
518100	342908	Young Man on Beach
518101	105222	Defense Attorney
518102	146079	Pon, the Gardener's Boy
518102	250523	The Wizard of Oz
518103	5909	Dave Byers
518103	10317	Sebastian
518103	12402	Chauffeur
518103	14490	Morgue Attendant
518103	29745	Detective Williams
518103	29746	Detective Williams
518103	35135	Detective Stan
518103	47875	Sam
518103	58481	Burke
518103	59876	Tom Shields
518103	64869	Malik
518103	69916	Tom Brenner
518103	72917	The Hitchhiker (segment "The 
518103	80484	Hotel Clerk
518103	80645	Old Man
518103	82541	Party Heckler
518103	95114	John Shed
518103	95838	Stan
518103	105619	Grant Thompson
518103	106217	Youth
518103	117713	Tommy
518103	121859	Dr. Thomas Holder
518103	134315	Koolaid
518103	135788	
518103	135967	Captain Carlton
518103	138374	Dan Carillo
518103	141253	Black Man At Consert
518103	145413	Detective Bryant
518103	154530	Baseball Fan
518103	154959	Brothel Man
518103	158587	Phil
518103	161739	Devereux (Theresa's attorney)
518103	168654	Paulie
518103	175832	Popeye
518103	186516	Detective Mills
518103	206154	Charles, Jamaican Cop
518103	207782	Tom
518103	210827	Jamaal
518103	211035	Jor Norwell, Execuited Rebel
518103	213178	Cop #1
518103	222573	Agent Hal Cooper
518103	222632	Walt Payne
518103	223920	Jim
518103	246025	Fred
518103	247155	John Renick
518103	250376	Lee Samuels
518103	252355	Maj. William Sayers
518103	257747	Alton Broom
518103	263782	Marvin Sanders
518103	267605	Thom
518103	277140	Jack
518103	307403	
518103	316641	Riley
518103	316793	Henchman #1
518103	317960	On the Waterfront
518103	319270	Lee 'Flash' Phillips
518103	323848	Martin Moorehouse
518103	340320	James Shakar
518103	346289	Frank
518103	347918	Kwame
518103	350912	
518103	354131	Captain Berry (segment "The L
518103	360856	Charles
518103	363913	Lionel
518103	363996	Detective Brandt
518103	370851	Pryor
518103	379716	Eugene Hubbard (1984-1985)
518103	388117	Farley Potts
518103	394311	Young Black Man
518103	396960	Capt. Benjamin Winship (1998-
518103	404282	Lt. Vic Boswell #4 (1992)
518104	23977	Raymond
518104	52624	Handsome Young Man
518104	137569	Student
518104	314501	Cutter
518104	374524	Orion
518105	47850	Randall
518106	245699	The Wright Brothers Band
518108	383410	Duke
518108	383411	Duke
518108	383412	Duke
518108	389629	Additional Voices
518109	45621	Fisherman
518109	59350	Working Man
518109	73815	Constable
518109	99081	First Bobby
518109	118925	Ship's Crew #3
518109	120300	Nightclub Manager
518109	169401	Little Boy
518109	186064	Smithfield Poultry Dealers
518109	192431	
518109	242980	Dustman
518109	254519	Workman
518109	270001	Victor
518109	295710	Mr. Wilson
518109	301255	Boatyard Workman
518109	346078	Hotel Janitor
518109	402743	Hearne
518110	11189	Police Inspector
518110	16112	Percy Gibbons
518110	23495	Gerry Hamilton
518110	52573	Callaghan
518110	53278	George Skinner
518110	65679	Inspector
518110	72911	Sailor
518110	87881	Edgar Weston
518110	104232	Slim Maden/Carlos
518110	107180	Clem
518110	114979	Johnny Flanagan
518110	149955	
518110	150839	David Linton
518110	158470	Tom Cassidy
518110	164653	Jack McBride
518110	169411	Ricky
518110	170571	Vincent
518110	189529	Ministry official
518110	191399	Flying Control
518110	258323	
518110	282307	Jack
518110	295385	Jim
518110	310264	Charlie Manton
518110	332780	Jack Havoc (aka Johnny Cash)5
518110	348373	
518110	377049	Slim Callaghan
518110	384783	Paul Constantine
518110	389011	Baxter
518110	394395	Captain
518111	238749	Confederate
518111	272930	Street Punk
518112	84205	
518112	194314	Beggar
518112	196872	Boy #2
518112	210606	Young Joe Frank
518112	223639	Jay
518112	250989	Himself
518112	310586	MITCH COLLINS
518113	331100	Dancer
518114	208487	Big Sam
518115	380430	
518116	123388	
518117	209492	Media person
518118	99212	Gate Merchant
518118	204168	Face Behind the Window
518119	97159	
518120	235443	Hospital Guard
518121	263740	Court Clerk
518122	201497	
518123	29498	Jim (Bar 20 hand)
518123	44307	Frank
518123	52315	The Idaho Kid
518123	77138	Cowpuncher
518123	90865	Bar 20 hand
518123	135846	Henchman Knuckles
518123	157872	Ranch hand
518123	170851	Soldier
518123	206156	Bill Ganer
518123	256642	Tall henchman
518123	263600	Posse member
518123	272100	Rancher who pays toll
518123	301986	Bar 20 cowhand
518123	319226	Cowhand
518123	363693	Mike Coram
518123	364811	Spike
518124	11525	Assistant Metro Editor
518124	69265	1st Cop
518124	151788	Man at Bar
518124	164516	Capt. Walter Prentis
518124	196376	Det. Jack Domley
518124	205080	Desk Clerk
518124	241957	LAPD Sergeant
518124	314949	Fast Freddy
518124	316092	Lukas
518124	385824	Lloyd Preston (1985)
518125	206535	Young Boy
518126	2206	Pentagon General
518126	5874	Judge Jim Wilder
518126	5882	Boat Rental Man at Redwood La
518126	6194	Judge Marcasson
518126	10576	Titus Queasley
518126	11514	Dolph Pillsbury
518126	12354	Jim Bridger
518126	28751	Friend Owl
518126	35603	Mr. Herkheimer
518126	37148	Will Farnsworth
518126	37458	Station Agent
518126	39455	Clancy
518126	40441	Mr. Thomas
518126	41097	Mr. Tucker
518126	41502	Texas Senator
518126	41759	'Dad' Newell
518126	41930	Dan, the Stage Manager
518126	44434	Joel D. Angier
518126	47059	Martin Tredwell, Editor Gunsi
518126	52251	Chairman
518126	52371	
518126	54208	Dr. Pearsall
518126	71994	Adm. William S. Sims
518126	72263	Higgins
518126	72452	Sylvanus Boogle
518126	75889	Gus Wood, Thatcher's Real Est
518126	77138	Judge Harper
518126	77967	Chief Bullward
518126	80720	Doctor
518126	87539	Pop Hansford
518126	92163	Prof. Morris
518126	105689	Race judge
518126	131430	Brother from Danville
518126	134474	John Frey
518126	135964	Judge
518126	138886	Dr. Marchaud
518126	143583	Horace Parrot
518126	144878	Jeff Hines
518126	147527	The Man with a Cigar
518126	149104	Townsman at meeting house
518126	149261	Allan Smith, Times Editor
518126	150067	Tim Chapman
518126	150812	Inspector Sarten
518126	157886	Doctor
518126	159706	Bible salesman
518126	159914	Henry Boggs
518126	160433	J.J. Johnson
518126	162404	Judge
518126	166345	Marshal
518126	167877	
518126	168671	Foreman
518126	168696	Ned, Bank Teller
518126	168750	Ephraim Lapham
518126	168930	Sourpuss Movie Patron
518126	175180	
518126	175605	John Decker (shopkeeper)
518126	184955	Mike Fogarty
518126	185544	Todd Mitchell
518126	192410	Mr. Grace
518126	193991	Mr. Tully
518126	197693	Sheriff Brink
518126	197760	Assayer
518126	198026	Consul
518126	199752	The Riverman
518126	201152	Judge Thatcher
518126	201305	Ticket agent #1
518126	203648	Harry Lane
518126	209168	Pawn Shop Owner
518126	214594	Naval Captain
518126	215534	Roscoe Johnson
518126	215926	Sheriff Peavy
518126	216716	Pawnbroker
518126	219996	Withers
518126	220849	Eph Hackett
518126	221296	Dr. McIntosh
518126	223944	Luther Toplady
518126	228828	Baldy, Ranch Hand
518126	231311	Boatman
518126	234070	Dr. Cheney, Coroner
518126	235405	Mr. Roberts (patient with cig
518126	237598	Manager (The Clarion Call)
518126	241332	Otis Piper
518126	248632	Mr. Limpert the Mailman
518126	250985	Raymond Bascom
518126	252489	John Higgins
518126	261560	Mr. Slade
518126	262265	Senator Cowling
518126	263480	
518126	269032	Judge Wood
518126	271072	Josiah Anderson
518126	275316	Horse Dealer
518126	275694	Elmer Snodgrass
518126	277447	Rachmaninoff
518126	277736	Frederick Johnson
518126	279150	Trader
518126	279452	Mr. Latimer
518126	284916	Company official
518126	286197	Sheriff
518126	288935	Judge Cole
518126	289631	Loan office manager
518126	296827	Ticket Seller Maguire
518126	300515	Jim
518126	304865	Cyrus Coates
518126	306466	Col. Clark
518126	313919	Hog judge
518126	315993	Mr. Nelson
518126	317821	Local Sheriff
518126	319194	Sheriff Tad Osborne
518126	323883	Skeptic at Concert
518126	324035	Gus, the Bartender at Black N
518126	324042	Mr. Ogden, Train Passenger
518126	327276	Second Deputy Sheriff
518126	327972	Alderman
518126	330097	Old Cab Driver
518126	330179	Mobley
518126	330186	Henry (blacksmith)
518126	332425	Dodge
518126	337122	Judge Schrank
518126	340570	Commissioner
518126	342414	Morgue Attendant
518126	351755	Mr. Willoughby
518126	358589	Jake
518126	358777	Dr. Patterson
518126	360302	Van Brunt
518126	363696	Sheriff McSwiggin
518126	365284	Mike Alperson
518126	365373	Art Kleiner
518126	365547	Paw Smithers
518126	365926	Hughes Campaign Orator
518126	366947	Pullman conductor
518126	368495	Luther Shinkley
518126	372093	Col. Armstrong
518126	372139	
518126	372382	Mr. Roberts
518126	372633	Party Guest
518127	302283	Sim
518127	353713	Himself
518128	9035	Fred MacCoy
518128	32818	Col. John Lansdale
518128	40454	CCC Boy
518128	44748	Slick Barton
518128	62013	Pilot
518128	77792	Steve Crawford
518128	78733	Sam Long
518128	79384	Carl Easton
518128	84922	Christopher Waring
518128	88891	Dr. Sylvester
518128	92163	Mike Burton
518128	96614	Tommy Foley
518128	103313	Barry Malcolm
518128	104912	Ward Williams
518128	116120	Intern
518128	124343	Jim Kingsley
518128	129231	Hank Landon
518128	142880	Announcer
518128	157091	District Attorney
518128	177392	Dave Fowler
518128	195190	Ambulance driver
518128	196404	Jimmy Hennessey
518128	196973	Pinkie Connors
518128	203766	Dan O'Driscoll
518128	207137	Tony Holiday
518128	209679	Winkie
518128	222678	Det. Lt. Tabor
518128	231962	George Wallace
518128	232260	Scott Carstairs
518128	234471	Mr. Billings
518128	235381	John Keen
518128	235596	Mr. Prichard
518128	241566	Paul Martens
518128	248318	Lt. Woods
518128	254708	Philo Vance
518128	277000	Barry Lang
518128	281392	Bob Madison
518128	281875	Tom Clark
518128	285148	Krag Savin
518128	320937	Announcer
518128	321379	Lt. Philip Blaine
518128	321501	Attendant
518128	340854	Lt. Danvers
518129	187231	Hunter
518130	92880	Martin
518131	82010	Young Joel
518131	362308	Marc
518131	378829	Z. Wright (Himself)
518131	379716	Dr. Frank "Frankie" Hubbard #
518132	323989	Dookies Night Club Manager
518133	87699	Nicholas
518134	70826	Sonny
518134	97581	Peter Courtney
518134	233519	Que
518134	323974	Junkie
518135	233834	Billy
518136	73392	Piano Dubber
518137	105851	Mike
518137	211327	Sputnik
518137	321474	Diet Soda Guy
518138	119310	Himself
518138	207514	Himself
518138	363254	Mr. Dumont
518139	200911	Aldous Means
518141	387224	
518141	390097	Co-host (1948-1949)
518141	403513	Himself (regular)
518142	283342	George
518143	70924	Griffith
518143	260117	Lola's Bird
518144	56821	
518145	32494	Street sweeper
518145	144843	Ben
518145	210401	Ben
518145	223867	Costermonger
518145	253861	Egg Man
518146	79878	Ernest Tetley
518146	160713	Workman
518146	224330	Drunk man
518146	249265	Bike Group Leader
518146	264676	Painter
518146	278909	Teacher
518146	309500	
518146	310696	Art Teacher
518146	319176	Milkman
518146	353490	
518146	387533	Barry Clegg (1997)
518146	410214	
518147	208024	Jim
518148	222710	Postman
518149	407	Extra
518150	228967	
518151	47570	
518151	178284	Sergeant Stephen
518151	213046	
518151	383363	Minister (The Man of Law's Ta
518152	45943	Väktare 1
518152	60371	Decorator
518152	255866	Traffic Warden
518153	193176	Martian Slave
518154	186783	
518155	124432	
518156	252412	L'enfant du square
518157	48648	Rabbi/body in morgue
518158	305559	
518158	374190	
518159	113390	Cultist
518160	68089	Young Frederick
518161	379102	Daffo the Clown
518162	284352	Michalek
518163	124987	Frenchman
518164	384366	Tyler Rescott Alden [#2] (199
518165	116289	Man in Bed
518166	1625	
518166	46085	
518166	63753	Marian Tuleja
518166	132479	
518166	177691	Pycio
518166	181386	
518166	266293	Mechanic
518166	315018	
518166	334258	Burmistrz
518166	349453	Edek Sztyc
518166	373551	
518166	381242	Henryk
518166	396286	Roman Lasota (2004-)
518166	397622	Igor Tarnawski
518167	341071	Railwayman (segment "Cement")
518168	313100	Minister
518168	407139	Anglo #2
518169	17926	Clown
518170	203612	Taxi Driver
518171	75987	
518172	290070	Toffel's secretary
518173	129602	
518173	171438	
518173	213812	
518173	234249	
518173	259065	
518175	357079	
518176	181336	Bohuslav Berka
518177	14285	
518178	9261	Adas Niezgódka
518179	217855	
518180	343979	
518181	281769	Sister Vania's Beau
518182	158056	Master Eirikr Mjoksislandi Si
518183	158392	Youth Applicant
518183	224723	Pub teenager
518183	269627	Young Charlie
518183	292213	Young Ronno
518183	385822	Eric Foreman
518184	315018	
518185	307589	Father Morris
518186	26460	Georgie
518188	195184	Young man #1
518189	12248	Buz
518190	69853	Teenage Constantine
518191	363560	1980s Sitcom Mike
518191	379037	Various characters (1996)
518191	396017	Stoned Face
518192	122548	Stefan
518192	326114	Martin
518193	214246	
518194	36586	Kobuz
518194	181359	Priest Waclaw
518195	124987	Innkeeper
518196	153911	High-Jumper
518197	269892	Aborigine
518198	315570	
518199	220677	Himself
518200	393632	Himself
518200	407495	Assistant Director (1992-)
518201	370610	
518201	411522	Guan Siwen
518202	94363	Du Dexian
518203	167738	Rolling Knife
518203	173331	Secretary Yuan
518204	285585	
518205	60409	G4 Agent
518205	179951	Carl
518205	187689	
518205	286972	Rocky
518205	371485	Mike's friend
518206	121242	Wayne
518207	60135	Young Man
518207	94447	Zhao Xiaosan
518207	373097	
518208	318432	Yang Hsun
518208	359292	
518209	4466	
518210	300386	Zhang Zhaozhong
518211	94409	Liu Yuchun
518211	268773	Liu Xin
518212	123415	Garage Fighter #1
518213	8437	Walnut Girl
518214	48234	Magazine editor
518214	60124	Film society president
518214	76420	Womanizer
518214	76427	Failed businessman
518214	131265	Party guest
518214	136379	Record company boss
518214	158368	Wine cellar owner
518214	183105	Father
518214	197221	Auction guest
518214	220675	Stepfather
518214	227122	Fat gambler
518214	266660	Bodyguard
518214	300411	Auction guest
518214	369055	Stereo Shop Owner
518214	369057	Stereo shop owner
518214	370923	Swimming pool custodian
518215	355190	
518216	373002	Yu Ming
518217	20620	Bak Mei
518217	28037	Michael Wu
518217	38189	Lon/Michael
518217	43143	
518217	44198	Photographer's Assistant
518217	58693	
518217	60409	Jack Chen
518217	63469	Chung
518217	70469	Mike
518217	76427	Georgie Hung
518217	92858	Hung Lang
518217	121776	Harper
518217	131289	Benny
518217	149038	Himself
518217	151998	Wei Liao
518217	210120	Sam Fai
518217	215517	Ken Li
518217	217138	Kevin
518217	251804	Calvin
518217	286903	Au Hoi Man
518217	286972	Joe
518217	286979	Big Head
518217	295241	Joker
518217	318919	Hoi
518217	326016	
518217	327020	Daniel
518217	370610	
518217	370838	Tide Ho
518217	372947	
518217	375367	Todd Nguyen
518217	398446	Himself
518218	15210	
518218	25888	Television Director
518218	76288	Factory Supervisor
518218	76425	Cheng's Assistant
518218	85500	Tour Guide
518218	88283	Bisected Victim
518218	116343	Police Captain
518218	135491	Robber
518218	167451	Doctor
518218	191009	Barber
518218	296581	Ray
518218	296592	David
518218	297732	Lee Tai-Shui
518218	298340	
518218	298363	2nd Ghost
518218	300405	Waiter
518218	332311	Fan
518218	375777	Auctioneer
518219	25901	Red Guard
518219	28826	
518219	58693	
518219	63286	Wong Wai
518219	76343	Ma
518219	111243	Jingyun
518219	121100	
518219	123260	Cheung Tien-On
518219	135648	Major Gao
518219	138626	Jogger
518219	151917	Lam
518219	152135	Triad
518219	175255	Richard
518219	189510	David
518219	203116	Huang Zhin
518219	204937	Siu-Wei
518219	210982	
518219	227251	Boh Ang
518219	236249	Joe Chow
518219	268651	Alan Kwok Ka-Lun
518219	276352	Richard Kao
518219	300663	Shek Dai-Hung
518219	332332	
518219	335407	
518219	350189	Benge (HK version)
518219	358920	Jerome
518219	367148	Karl Sum
518219	369546	David
518219	373395	Tung/A-Dong (Chinese pinyin t
518219	373688	David
518219	374817	
518219	374910	David Ng
518219	376066	David Shek
518220	173089	Cafe Customer
518221	331799	Bruce
518222	53	
518222	122689	Uncle D
518222	210967	
518222	286903	Bobo
518222	302616	
518223	33146	
518223	52039	Xiao Cai
518223	63738	Sun Fengming
518223	110610	Ouyang Long
518223	141904	Cui Yong
518223	167783	Zhong Cheng
518223	247953	Niu Bao
518223	369799	Liang Han
518224	86780	Bar patron
518225	18178	Lin Chu
518225	94711	Ufficiale Giapponese
518225	242829	
518226	135085	Jiang Fa
518227	28039	
518227	151902	Ah Pi
518228	181836	Hu He Shuang Xing Cast
518228	297483	
518229	369539	Ah-ming
518230	73204	Molugi
518230	99397	Lee (Matthews butler)
518230	221029	Wong
518230	235090	Ming
518230	315791	Li Ze Mon
518231	62521	
518232	49	Wang Ning
518232	62192	Hsui Xien (Xian Xu), the scho
518232	77002	Mr. Zen
518232	94401	Chao Siu Chi/Devil of Gambler
518232	287029	Fung King-Yiu
518232	287333	Wang Jun
518232	298726	
518232	308570	Chiang Kai-Shek
518232	369540	Zi Qi
518232	372255	General Shi Yan-sheng
518233	371577	Old Man
518234	63391	Great Uncle
518234	300389	Hollow/Ying
518234	323092	Hong Man/Jackie
518234	393494	
518235	59299	
518235	373031	Shushoken
518236	149011	
518237	300673	Big Guy
518238	85469	Wei Qiang
518238	94376	Liu Yulin
518239	30604	Cheng Jianyun
518240	81659	Chinese businessman
518241	53747	Waiter
518242	102554	
518242	185241	Wen Hsiu, 12 Years
518242	369655	Dai Liyan
518242	369706	
518243	184711	
518244	405110	Wu Bi Lie
518245	36547	
518246	195444	A Chih
518247	166244	
518248	332343	
518249	33146	
518249	151989	
518250	263325	Young Fong
518251	208544	Henry
518252	62808	Wang Hu
518252	189212	Li Gougou
518253	48	
518253	52	Mahjong Player
518253	604	Chen
518253	8587	
518253	27797	Iron Palm
518253	28827	
518253	34667	
518253	36427	
518253	36428	Ang Ji
518253	36463	Cook
518253	76284	Kwong
518253	76291	
518253	76340	Son Kwong's Master
518253	76390	
518253	77896	Chairman Liu Yan-Mau
518253	84832	
518253	85885	Cameo
518253	85890	Man with Scythe
518253	86311	Police Chief
518253	88546	Mr. Wong
518253	94348	
518253	94769	
518253	95193	Vietnamese Officer
518253	95288	
518253	110603	
518253	110604	Ng
518253	111227	Yu Chi
518253	116648	Security officer/convict
518253	118306	
518253	121442	
518253	123320	
518253	125583	
518253	126808	Rice Seller
518253	127776	Mall Security Guard
518253	135452	Fa Kau
518253	135459	Ma
518253	135481	Lu Hsien
518253	135496	
518253	143958	
518253	147330	
518253	149016	The Swordsman
518253	150721	Lau
518253	151962	The Drunk
518253	151975	Zhang's Apprentice
518253	151995	Wu Men-Chu
518253	152010	Superintendent
518253	152095	So
518253	152106	Beat Cop
518253	153017	Police Chief
518253	153035	
518253	153052	Ma Hou-Pao
518253	167385	
518253	167388	
518253	167439	Ma
518253	167445	Cameo
518253	167449	Buddhist Priest
518253	167450	
518253	167507	Ken
518253	167726	Brother 19's Boss
518253	167827	
518253	167848	Shao
518253	181805	
518253	182319	Human Clock
518253	184603	
518253	189223	Priest
518253	191120	The Editor
518253	191122	Hunt King
518253	191123	Party Guest
518253	192480	Fire Master
518253	193893	Dim Sum owner
518253	198591	
518253	198646	Shen Tinyi
518253	204936	Snack Bar Attendant
518253	207438	
518253	212536	Chek-Fai
518253	216626	Godfather Wong
518253	216637	Kao
518253	220245	Hawker
518253	238498	
518253	266664	Fa Da Monk
518253	268635	Film Director
518253	268699	Uncle Hai
518253	268714	Mr. Lin
518253	268763	Fatt
518253	268816	Priest Wu
518253	268817	Ma
518253	270020	
518253	275573	Old Man
518253	275574	Ma Lun Chio
518253	286908	Boatman in Brothel
518253	286917	Boy Scout 2
518253	297376	Ku Ka-te
518253	297564	Ma
518253	298382	Police Station Employee
518253	298392	Gas Station Attendant
518253	298666	Fang Yi Ling's father
518253	298683	Shorty's Dad
518253	300380	Frankie's Father
518253	300406	Lo-Ma
518253	300453	Ma
518253	302613	
518253	302891	Yin Chek Hsia
518253	302892	Yin Chek Hsia/Swordsman
518253	318432	Shih Chien
518253	318433	Prime Minister
518253	326334	Lao
518253	332331	Chin's Boss
518253	343177	
518253	368062	Old Man
518253	369041	Postman
518253	369581	Wong's Master
518253	369589	Witch Doctor
518253	369616	Flower Kid
518253	369726	Lau
518253	369762	General Suen
518253	369786	
518253	371459	Ma
518253	371591	
518253	372991	Uncle Prawn
518253	374802	Uncle Tsai
518253	374806	Comissoner Wu
518253	374816	Principal Wu
518253	374900	Lord Ting
518253	374911	
518253	374922	Ghost
518253	374979	Master of Old Sword Mansion
518254	357998	Dr. Chu, Taipei University
518255	47857	Chinese Boss
518255	274037	People's Accountant Assessor
518255	292148	Gov. Tsu
518256	191975	Little Fatty
518256	270921	
518256	297313	
518256	298401	Pang's Gang
518257	370808	Nephew
518258	151991	Kong
518258	188843	Liang, Shan-po
518258	208073	
518258	226010	Ricky
518258	287041	Steven ChaN
518258	324736	Lone
518258	369693	Ning (Mandarin version)
518258	369770	Ng Chi-Lone
518258	370761	Ko Chiu Man
518258	386242	Dexter (HK Version)
518258	408601	Subaru Shinjo
518259	64276	
518259	200771	Gangster in Black Suit
518259	268784	Taxi driver
518259	371529	N.J.
518260	21040	Shades
518260	78013	Bartender
518260	122217	All Gamma Flyer & HILO Thug
518260	241038	Judge's Aide
518260	265473	Uniformed Officer
518260	265892	Bartender
518260	280663	Red Team: U Chow - #16
518260	308137	Lee
518261	384105	Himself (1920s warlord, Beiji
518262	369124	Jinmei
518263	81063	Himself
518264	43	Chinese Waiter
518264	2998	King of the Road
518264	48468	Emcee
518264	80525	Chim Xu
518264	88978	Jay-Jay
518264	145743	
518264	152905	Seaman - Red October
518264	162414	Pham
518264	167820	ADR Voice Cast
518264	169514	Sosiqui Spirit/Pilgrim
518264	219796	Patrolman
518264	224667	Vince
518264	251477	Japanese officer
518264	258860	Dispatcher
518264	278794	
518264	280054	Hospital doctor
518264	303447	Infirmary Orderly
518264	346060	SYSOS officer
518264	399595	Paul Choy
518264	402899	Solasido
518264	406127	Ming Wa (2001)
518265	189183	Robin
518266	53288	Yu Shanshan
518266	149060	Wang Li
518267	199311	Imperial Commissary
518268	275575	Xiao Ji
518269	65577	Lance
518269	105396	Kimsu
518269	181834	Lo Fat
518269	210520	P.A.
518269	235947	Juhn
518269	246695	Louie
518269	267502	Store Owner
518269	278794	Billy Soon
518269	408627	Shan Yu
518270	76400	Lu Chun
518271	211687	Wu, the valet
518272	411592	James (head hairstylist)
518273	48437	Hong Yatian
518274	36461	Su Wu
518274	185241	Pu Yi, 15 Years
518275	263170	Young General Vinh Tran
518275	265171	Male Guest
518276	169594	Wu Tsing
518276	268709	Movie Director
518277	33717	General Jantapan
518277	107843	Logan
518277	184812	Sean's Man
518277	245010	Li Bo
518277	280478	George Seow
518277	297377	Lead Boxer Liu
518277	326451	Slice-en-dice
518277	334112	Airline Official
518277	366602	Gang Member
518277	385162	Det. Lawyer
518277	389042	Ken (Series 3-) (2004-)
518278	298357	Yang Wen, his son
518279	196076	
518280	303404	Bond Cheung
518281	369646	Keung
518282	281464	Zhang
518283	131262	Hui Wang
518283	141869	Sun Liu
518284	369922	Lin Chengji
518284	405110	Wang Chuyi
518284	411590	Jian Ni's father
518284	411907	Zhu Ziqing's father
518285	369630	
518287	192870	Tanaka
518288	186021	Zombie #4
518289	127656	
518290	2512	Lu Ao
518290	69541	Zhen Yi
518290	268768	Zeng Geng
518290	298700	Ye Chun
518291	371503	
518292	27898	Commanding Officer
518292	374959	Li Laoshuang
518293	169594	Tin Jong, Waverly's Father
518294	181563	
518295	62521	
518296	167835	Manager Fang
518297	217690	
518298	332335	Lin Xiao
518299	169594	Lindo (Age 4)
518300	374902	Policeman
518301	209941	Min
518302	335416	Chi
518303	251929	
518303	381646	Da Ge
518304	95291	Man forced to have his clothe
518305	135085	Director Zhao
518306	369759	
518307	212688	Neo
518308	111679	
518308	349453	Man In Bank In Zurich
518309	238746	German Soldier
518310	290126	
518310	376006	Himself
518311	240612	Mr. Arnold
518312	155301	Josh
518312	263234	Gas Station Attendent
518313	66945	Nicko
518314	394536	
518315	80448	Malcolm
518315	160415	(segment "The Right Number")
518316	2787	Himself
518316	30955	Alexander Knox
518316	35458	Himself
518316	40431	Red Snyder
518316	41739	Marty
518316	42842	Oscar Host
518316	49207	Larry Hockett
518316	66349	Al Stump
518316	68107	Himself
518316	92513	Man with lighter
518316	115106	Mawby's regular
518316	131380	Angry Customer
518316	131537	SSgt. Marty Lee Dreiwitz
518316	147767	Newbomb Turk
518316	178037	
518316	199763	Pitch Man (segment "Material 
518316	215793	Lou Wimpole
518316	216127	Marvin Landisman
518316	242529	Stuart Sain
518316	252726	Jim Keisling
518316	272988	Benny Berbel
518316	273285	
518316	287210	Victor Giles
518316	311790	Himself
518316	360668	Waiter
518316	361224	Himself
518316	362866	Himself
518316	380621	Arliss Michaels
518316	395165	Bobby Bantz
518316	395166	Bobby Bantz
518317	71979	Knight
518318	108977	
518319	97948	Dr. Welser
518319	388419	Le valet (segment "Le tramway
518320	381908	Himself (Season 3)
518320	385003	
518320	396368	
518320	401377	
518321	226534	Jesus
518322	100832	
518322	167677	
518322	363023	
518323	388756	
518324	18881	
518324	38832	
518324	137639	Hans
518324	149363	
518324	381710	
518324	388756	Schuster
518324	394144	
518324	395010	
518325	78496	Himself - Seen in introductio
518326	199558	
518327	375986	
518328	120233	Frat President
518329	308200	Fredrik, Desirée's son
518330	208284	Fængelsbetjent #1
518331	305863	The Manager
518332	168429	Himself
518333	29686	Otto
518333	104512	Ben Sturges
518333	105465	Lt .Frick
518333	105938	Heinz Steeg
518333	113921	Lt. Col.Voskov
518333	117806	Feldhaus
518333	131767	Peter Getner
518333	141656	German merchant
518333	159169	Richter, Soldier 3
518333	165261	
518333	167001	
518333	209351	
518333	209355	Additional Voices
518333	232129	
518333	243930	Underwood Chauffeur
518333	262092	Dr. Hammond
518333	274312	Paul
518333	292670	Krieger
518333	335820	Otto Dietrich
518333	342512	German Officer (Segment #1)
518333	364070	Eric Klammer
518333	368546	Konstantin Sculoff
518333	372130	
518333	376740	German
518333	381691	Willy Richter
518333	383578	Lt. Heinz
518333	385824	Petrov (1983-1986, 1991)
518333	389858	Hendrick (1983)
518333	390599	Franz Blumenfeldt
518333	404282	Andre Wolfe (1991)
518334	306250	Dancing Man
518335	54084	
518336	289899	Pianist
518337	34425	Russe Vodka
518338	27600	Himself
518338	110930	Himself
518338	184667	Wulff
518338	323792	Himself
518338	376101	Himself - Backstage Interview
518338	390089	Various roles
518338	394557	Mikael Wulff
518338	395126	Wulff (2001)
518338	405196	Himself - Team Captain
518338	406550	Stig Römer
518339	314990	Himself - Record executive
518340	162573	Charles Haines
518341	321718	Hostage
518341	333409	Undergraduate
518342	10327	Frank Venino
518342	49072	Foreman Scott
518342	161714	Young Marine/Drone
518342	222194	Limo Driver
518342	255235	Adam
518342	279307	Foreman Scott
518343	279665	
518344	153950	
518345	215426	Solodanser
518346	213791	Zuto
518347	310303	The Stud
518347	312357	TheCook
518348	290070	Himself/Schindler mourner
518349	227777	
518350	196714	
518350	217099	Baron Sanglot
518350	273156	
518350	301377	
518351	359598	
518352	301521	
518353	116041	Erik Wortelboer (kennis)
518354	352299	Jaap
518355	85188	Larry
518356	35120	
518356	125282	
518356	157955	Bran
518356	242844	Pandabär
518356	269954	
518356	393878	
518357	175623	Shorty, the First Jockey
518358	103289	Red Bandana Gypsy
518358	264818	Sumo Wrestler
518358	356636	Sumo Guard
518358	411321	Oriental Guard
518359	369932	Teng Kan
518360	214035	
518361	125303	
518362	4642	Jake Mooker
518363	45673	
518363	55792	Bull Rudkin
518363	88169	Blinkwell Jones
518363	109640	
518363	133875	McIntyre
518363	144624	Jake Codby
518363	213084	Mr. Shye's Fat Friend
518363	224052	Bull Rice
518363	228485	Don Pedro
518363	233802	Jim Boyd
518363	241329	Samuel Jones
518363	275973	Captain Ferguson
518363	319115	
518364	182248	Felix
518364	223448	Mario
518364	399162	Oliver Brandt
518364	409958	Frank Levinsky (1995-1999)
518365	237983	
518366	407361	Host (1959-1962)
518367	214755	Skiing Customer
518368	345378	Child
518369	359670	Heinz
518370	274427	Driscoll Townsperson
518371	70178	New 2nd A.D.
518372	315243	
518373	209739	Nereo
518374	108146	
518375	105228	
518375	299649	Mr. Lawrence
518376	34245	Berga cast member
518377	113422	
518378	78745	Dance Troupe
518379	367140	
518380	269892	Aborigine
518381	78745	Dance Troupe
518382	411366	Morrorra (Episode 1: Alinta t
518383	334820	Reporter
518384	213417	Lawyer
518385	166370	A philosophy student
518386	41212	Customer #2
518387	176988	Yahzi
518388	99844	Bas
518388	129427	Victor (18)
518388	201828	Himself
518388	356555	Steven
518388	385066	Yuri (2002)
518388	390410	Pieter Hardebol (1996-1999)
518389	138939	The Prince's brother
518389	348641	Bouin
518389	360994	Haiqin
518390	47969	Himself
518391	72444	Father
518392	13637	George, the Hit Man
518392	96975	Himself
518392	250458	O'Folliard
518392	343279	Hot rod driver
518393	231468	
518394	317131	Kommissar Regenberg
518394	325444	
518394	325842	Rechtsanwalt Voigt
518394	386334	
518395	321459	Tommy
518396	176328	Bermudez
518397	210637	Himself
518398	411002	Other puppets
518399	20348	
518399	98322	
518399	103135	
518399	103149	
518399	140208	Polizei-Inspektor
518399	210073	
518399	247599	Robert
518399	307247	
518399	325187	
518399	343479	Oesterr. Generalfeldmarschall
518399	358896	
518400	223340	Eating zombie at dark house
518400	411366	Kiah (Episode 1: Alinta the F
518401	230468	
518401	261585	
518402	89760	Himself
518403	128711	Ted
518404	147135	Worker
518405	369142	Jeno Buzanski (Die Ungarn)
518406	112005	Ball Player
518407	283758	
518408	87802	Deputy Greg
518408	182956	Wayne
518409	14284	Filialleiter
518409	325444	Thomas Weinmann
518409	359599	
518409	377359	
518410	119633	Homeroom News Anchor
518411	319537	Himself
518412	2890	Milt Pappas of the 1961 Oriol
518412	14219	Surfer/Skateboarder
518413	179071	Eddie Jr.
518414	31508	Priest
518414	195319	Desk Clerk
518417	156553	Romain
518418	307863	Extra
518419	248717	L'animateur karaoké
518420	392935	Himself/Co-host (1998)
518421	58777	John Friel
518422	58777	Ryan Innes
518423	58777	Tyre
518424	293600	
518425	32347	Willie Forman
518425	132632	Matthew MacGruder
518425	214971	Grandson
518426	42118	Bernie Wild
518426	259821	
518427	280493	Juggler
518428	280030	I Am a Cider Drinker
518429	39957	Himself
518430	42620	Gustl Pühringer
518430	42621	Gustl Bühringer
518430	111348	Ingo Riedel
518430	160271	Axel Philipp
518430	172065	
518430	198416	Olaf
518430	202482	Jörg Leblanc
518430	209972	Paul Scheibner
518430	210019	Leo von Künsthal
518430	230169	Gustl
518430	281730	Christopher Ferris
518430	338430	Sebastian
518430	379772	Markus Trost
518430	387735	Tobias Kröger (1987, 1989, 19
518430	404454	Georg Brandner
518432	8150	Dr.Peter Brent
518432	12903	Huus
518432	20410	Maxime/Saint-Just
518432	21404	
518432	34415	SS-Hauptsturmführer Lang
518432	38938	Charles Duhamel
518432	40863	Oberleutnant Wagner
518432	42119	
518432	42622	Gestapo-chief
518432	67693	Johansson/Bonnard
518432	68991	
518432	100990	Jan Fabrizius
518432	108183	
518432	119138	
518432	121931	
518432	124606	
518432	126332	
518432	134982	James Featherstone
518432	136727	Adalbert von Weislingen
518432	142203	
518432	144161	Reeder Paulsen
518432	145505	Eduard
518432	156729	
518432	164898	Tim Anderson
518432	188737	Magnus
518432	189822	Christoff Wolf
518432	212684	Walter Schröder
518432	218069	
518432	225291	Theo Baumann
518432	237232	Falscher Graf
518432	240002	Chefredakteur
518432	276626	
518432	281753	Gerald
518432	282188	Henry Charles Lightman/Derric
518432	304194	Thieze
518432	307323	
518432	308820	Rudi
518432	312200	
518432	317657	Frank Haller
518432	324866	Ramsin
518432	325623	Gregor
518432	325749	Hall
518432	325897	Rechtsanwalt Schenkel
518432	336511	C.G.
518432	338435	Hans-Georg Roederer
518432	348051	Knuth Garden
518432	352658	Jaroslav Kunz
518432	364965	Martin Malek
518432	365606	
518432	367226	Hubertus Walburg
518432	371287	Juan
518432	376382	Eberhard Gatzweiler
518432	377371	Professor Harrer
518432	381719	Prof. Dr. Albert Liszt
518432	385009	
518432	389361	Martin Malek
518432	389615	Rolf Piehler
518432	394919	Lieutenant Rotteck
518432	396175	Sedoff
518432	403410	Standartenführer
518432	404393	Guido Della Croce
518432	404488	Prof. Dr. Klaus Brinkmann
518432	404874	Sgt. Berry (1974)
518432	407552	Viktor Bolscho
518433	196082	Himself
518434	166156	Sentinelles
518435	186737	Vince Renault
518436	290487	Bestatter
518437	186897	Chor/Choir
518438	325113	Sykes
518439	394325	Snake Baron, Merchant
518441	72858	
518442	125285	Wutka
518442	125290	2.Polizist
518442	184524	
518443	482	Piepe Jatzmauk
518444	312105	
518445	1006	
518445	24070	Arturo Ui
518445	33453	Wolfgang Krauss
518445	50300	Joe
518445	82552	Robert Bergmann
518445	96009	Nikolai Wsewolodowitsch Stawr
518445	125187	
518445	137949	Claudius
518445	138123	Peter Plachotny
518445	150608	Reader
518445	182765	Schauspieler
518445	219713	Jerofejev Venedikt
518445	289958	
518445	314855	Erwin Hull
518445	325575	Georg
518445	345665	Imbissverkäufer
518445	395508	Schorsch Schönstein
518446	104695	Himself
518446	385940	Cindy (2002)
518446	399735	Himself (1998-)
518447	211918	Adrien d'Isteren
518448	12472	
518448	32372	Moss
518448	48320	Pol
518448	76670	Father Scholliers
518448	208714	JOP
518448	231691	Antoine
518448	340642	Jongeman
518448	376078	
518448	379254	
518448	382453	André
518448	384041	André
518448	399658	Champetter/commissaris
518448	407884	Swa
518448	409192	
518449	185194	
518450	349550	Indian
518451	175573	Popcorn Ball Man
518452	381821	Ensemble (1974)
518453	365991	Dancer
518454	87393	Trooper #10
518454	105864	
518454	117516	Van Driver
518454	297692	Second Nurse
518454	347241	Local
518454	382010	Cindy's father
518455	3080	
518455	43436	Bill Trotter
518455	77173	Sheriff St. Ives
518455	79284	Slater, a thug
518455	80658	Dale
518455	94753	Miner
518455	108954	Bit part
518455	114637	
518455	122076	Security Agent Driver
518455	133809	
518455	135798	Jones
518455	141651	Indian (Leloopa's father)
518455	203011	Henchman
518455	215909	Henchman
518455	262331	Masked Man
518455	272965	Stagecoach Driver
518455	279600	Slocum
518455	279721	Hood
518455	295280	Overseer
518455	299962	Greybar
518455	303368	Sawin
518455	305936	Henchman
518455	314233	Sergeant
518455	315989	
518455	319599	Thug Holding Lois
518455	356761	American soldier
518455	363636	Henchman Bert
518455	368592	Arab Wrangler
518456	27498	
518456	112545	Judge O'Connor
518456	185694	
518456	203011	
518456	304281	
518456	336811	Olmstead
518457	197809	Jed/Orgy Body
518457	217374	Troy
518457	228449	Lance
518457	254722	Paul
518457	303964	Harry
518458	138354	
518458	185539	Bill Baskin
518459	81157	Big Man
518459	187167	Bill Wiezel
518459	217389	Toomey
518459	315586	Mitch
518459	327836	Julio
518460	233510	Chris
518461	77793	Mel's Writer Two
518462	5428	Dorian
518463	117713	Basketball Player
518463	132756	Basketball player
518464	256220	Freshman on Tour
518465	379829	Various
518466	351803	Phillip
518467	124374	Budge
518467	165444	Dr. Carter
518467	169400	Professor Haller
518467	199318	Doctor
518467	203145	Insp. Lawson
518467	214695	Blind Man
518467	232408	Angus
518467	335669	Faddish
518468	384590	Himself
518469	49526	Tom Harding
518470	40431	Drunken Officer #1
518471	296778	Dancer
518472	406242	Himself
518473	169892	Olen Montgomery
518474	43606	Poe Picketer
518475	387075	
518476	135763	Policeman
518477	217102	
518479	265875	Robot
518480	75759	Noah Cash
518481	295325	Hari
518482	326741	Bass
518483	334189	Pierce (tank commander)
518484	17155	Rox
518485	16003	Site Foreman
518486	219831	Dr. Roff
518487	142923	Woodville, Lieutenant of the 
518487	142924	Duke of Norfolk
518487	142925	Sir Humphrey Stafford
518487	202079	Mr. Carew
518487	337484	Duke of Norfolk
518487	381952	Fred Creech
518488	389570	Tower Of Babel Technician, Ad
518489	197246	
518489	197265	Spikeman, C.
518490	253915	Lion
518490	402245	Indian
518491	195398	Himself
518491	279680	Himself
518492	301540	Airport Flirt
518493	131008	Indian Child
518494	29287	2nd Logger
518494	76217	Truck Driver
518494	145166	Second Cowboy
518494	283452	Conlan
518494	317536	Rider #2
518494	335093	Isam
518494	340038	Chicago Pete
518495	197845	Himself (U.S. Housing Expedit
518496	72141	Agent Vos
518497	231599	
518497	283348	
518498	40482	Member, Texas Playboys
518498	138235	Red Norvo Quintette Member
518498	186402	Texas Playboys
518498	277538	Texas Playboys Band Member
518499	88219	
518499	178462	
518499	340368	
518501	24293	Stephen/Ship's medic
518501	41423	Man
518502	308122	Police officer
518503	119822	Pimp
518504	39411	
518504	112857	
518504	125557	Henry Mackie
518504	154804	Young Frank
518504	173697	
518504	176456	Rory
518504	185475	Peter Colcannon
518504	212698	Republican #2
518504	241517	Brian Athlone
518504	293795	Dave
518504	323737	Drunken Sailor
518504	352465	Chris Mulligan
518504	362722	Niall
518504	364869	Rural Lout
518504	381094	Raymond
518504	381187	Father Aidan O'Connell (1998-
518504	404409	Young Man
518505	62286	Chips
518505	290344	Flight Officer Ogden
518506	79406	
518506	85108	
518506	143974	
518506	145048	
518506	158405	
518506	159153	
518506	189935	
518506	230599	
518506	368021	
518507	88177	de Persand Child
518508	72104	Specialty dancer
518509	78976	SWAT Officer #2
518509	304484	Himself
518509	333423	Agent on Bus
518510	223709	Police Officer #1
518510	262515	Joe Benson
518511	6125	Security guard
518511	235422	1st Photographer
518511	245337	School principal
518511	304341	Astronaut
518512	71257	Himself
518513	39842	Bud
518514	161731	Willie
518515	361224	Nick Decker's Agent #1
518516	157240	ESA soldier
518516	346273	Black Man
518517	199148	Rap Singer
518518	148945	Crazy Joe
518519	268523	
518520	358728	Himself
518521	222645	Deli Server
518522	33140	
518523	41417	
518524	130331	
518525	41417	
518526	145482	Nick Cave and The Bad Seeds
518526	192521	Himself
518526	231501	Himself
518526	279395	
518527	70842	Fan Boy 1/Footsoldier
518528	7136	Fedderson (Steward)
518528	32815	Frank Johnson
518528	33190	Ambassador Gaufridi
518528	37947	Assistant Manager
518528	39957	Israeli Ambassador
518528	39988	Bank Teller
518528	45394	Hunter
518528	47974	Waiter
518528	99400	Registrar
518528	101567	General Curtis LeMay
518528	123280	Airport Official
518528	131534	Mr. Levine
518528	150309	Arnie's Boss
518528	152551	Forger
518528	154740	San Francisico hood
518528	156940	Romano
518528	161889	Prof. Zeller
518528	199877	Ira Pitkin
518528	218018	Phil Kenny
518528	227012	Rosalie's doctor
518528	236124	Dr. Von Gansa
518528	244397	Greek Priest
518528	253847	Rudy Shulak
518528	256226	Customs Agent
518528	261985	
518528	282042	Psychiatrist
518528	283455	Man in Shock
518528	301274	Licenciado Pina
518528	311428	Mr. Ambrose
518528	318605	Inspector Huante
518528	327970	Usher
518528	342975	Sol
518528	353525	Rabin's Aide
518528	401292	
518529	384627	Governor's Son David Wyers
518530	384627	Governor Jeff Wyers
518531	15049	
518532	2731	Howie Wyeth
518533	70300	Reporter #5
518533	93818	Split
518533	168693	Lucky
518533	334596	
518534	307399	Charlie
518534	388802	Compo Simmonite (1988-1989)
518535	298769	Brad
518536	303765	
518537	274437	Bootcamp boy
518538	133339	Mark
518539	194152	K.C. Rippum
518539	242027	Court House Reporter
518539	289674	Greusem Ghoul
518539	302664	Obnoxious Buddy
518539	330707	Country Dancer
518540	86530	Brigadier-General
518540	86532	W.O.Pay Corps
518540	104568	Doctor Moore
518541	201928	Joe
518542	36970	Himself
518543	36586	Glabik
518543	75976	Architect
518543	361809	Cpl. Józef Bieniasz
518544	51039	Adamek
518545	41170	Ambusher
518546	34316	The clown
518546	117545	German Waiter
518546	324973	Daudet, Red Cross Worker
518547	72376	College Guy
518547	105492	Student
518547	168238	Railroad Boy #1
518547	223932	Waiter (Coffee House)
518547	278224	Blond Freddie
518547	310112	Jason the Birthday Boy
518547	311952	Frank
518547	384159	Himself
518547	407344	Host
518548	256612	Young Boy
518549	55852	Dr. Thomas Tesla
518550	276240	Featured City Walker #5
518551	24585	Ami de Regis #2
518551	39840	Member of the Algonquin Tribe
518552	256220	Young Oxford
518553	185056	Wireless operator, 'Glory Be'
518553	190285	
518553	196956	Whitebait
518553	222973	Mr. Varleigh
518553	331491	
518553	359470	
518553	367458	Lieutenant Jack Halliday
518554	39643	Himself
518554	219690	Himself (Ozzy Osbourne Guitar
518554	245927	Himself
518554	245928	Guitarist
518554	245929	Himself
518554	245931	Himself (Guitarist)
518554	280081	Ghode - Guitarist, Steel Drag
518554	288479	Himself
518554	378685	Himself - Member, Ozzy Osbour
518555	50178	Captain
518555	70407	Mr. Thatcher
518555	71639	
518555	80805	
518555	86298	First Policeman
518555	99753	
518555	117560	
518555	118278	Schickler
518555	120290	Security Officer
518555	128413	J.P. Mortimer
518555	141454	Mr. Fowler
518555	153611	Dr. Bradford
518555	171161	Bill
518555	178947	John
518555	200524	Detective Inspector Pollock
518555	203623	Monsieur Mathieu
518555	224414	
518555	232010	Inspector Willett
518555	237828	Village Constable
518555	242733	
518555	276712	Helmut Engle aka Dargo
518555	279603	Chief constable
518555	289615	Marquess
518555	305833	Capt. Giles
518555	310829	Mr. Laker
518555	312300	Olszowski
518555	315667	Hezro
518555	316604	
518555	329445	Bates
518555	332738	Brodsky
518555	333197	Sergeant Collins
518555	333439	Dr. Preston
518555	347240	Wilson
518555	365716	Commissionaire
518555	384783	Osmund Bates
518555	398749	Charlie Hackett
518555	407185	Augustus Bent
518555	409819	Hof-Commisaris Samson (1972)
518556	118995	Butler
518557	39080	
518557	67464	
518557	70917	
518557	81797	
518557	159771	
518557	295643	
518557	327150	
518558	195267	The First Victim
518559	236696	Detective
518561	19170	Bobby
518561	29311	Drug Dealer
518561	44439	Tuna
518561	109524	Brad's bud
518561	117292	Frankie Lewis
518561	121497	Mickey
518561	130050	Ernest Rakman
518561	340225	Queen #2
518561	341515	Eddie
518561	349973	Arthur
518562	106492	
518562	339388	Witness
518563	2761	Himself
518563	2787	Himself
518563	40659	Eric
518563	52376	Gavin Ransom
518563	53327	Poe
518563	66612	Himself
518563	73677	Ask
518563	90772	Prof. Kenneth Monnitoff
518563	101573	Robbie
518563	102247	John Carter
518563	107385	Buck
518563	111813	Cpl. Jeffrey Barnes
518563	135622	Lancelot
518563	189361	Flynn Carsen
518563	197776	Young man
518563	219173	Himself
518563	224935	Warren
518563	228970	Himself
518563	256627	Steve Jobs
518563	289772	Seth
518563	313946	Himself
518563	321515	Emil Lutz
518563	329946	Michael Finnegan
518563	363948	Mark Richards
518563	387728	Dr. John Carter
518564	126067	Dancer
518564	360837	
518565	33179	Lester's Friend
518565	340225	Husband
518566	58795	
518567	33179	Lester's Friend
518568	92627	Thal
518569	317309	SFX Guy #2
518570	46537	Professor #2
518570	203786	Faculty Member
518570	243341	Reverend Turner
518570	282022	White
518570	343044	Store Owner
518571	285391	Nitokeman
518572	31168	
518573	134517	Uncle Isaiah
518573	152206	Evangelist
518573	187253	Trapper
518573	274245	Sonny Frye
518574	65892	Taxi Driver
518575	65861	Fredericks
518576	29677	
518576	58657	Cliff Sonnenberg
518576	59452	Major Bruce Lindsey
518576	69622	Dick Grayson
518576	76195	David Archer
518576	144845	Bill Ryan
518576	155641	John
518576	162354	Prince James Stuart
518576	170791	Inspector Jeffrey Bernard
518576	177463	Lt. Ben Baird
518576	192410	Lieutenant John Brooke
518576	256791	
518576	262606	Luke Chilson
518576	316077	Dennis de Beaulieu
518576	324975	Sgt. David Kensemmit
518576	331522	Albert
518576	348206	Tony Garrett/Rattler Kid
518576	356616	Bob
518576	396679	Interpol Agent Anthony Smith
518576	411217	Phil Rowan
518577	78916	Marley
518578	51966	Det. McNealy
518578	53029	Anteater Guy
518578	78991	Streeter #A
518578	297382	Bull's Eye Saloon Gambler
518578	330479	Ryan Kuhn, The Jackal
518580	2285	Himself - Best Director Winne
518580	2301	Himself - Presenter: Honorary
518580	2603	Himself - Co-presenter: Best 
518580	13908	Himself
518580	35191	Himself
518580	87163	Himself
518580	89100	Violin player in dance orches
518580	131004	Himself
518580	143131	Man on Collapsing Dock
518580	186166	Himself
518580	274620	Himself
518580	291301	Himself (staged 'archive' foo
518580	297104	Photographer at Fight Arena
518580	391836	
518581	81583	Silent Man
518582	11203	David
518582	28635	Charles
518582	37571	Garfield
518582	46369	Billy Rankin
518582	53292	Nick
518582	61646	Sammy
518582	61768	Ezeekial
518582	72654	Captain Nemo
518582	72655	Gulliver
518582	72656	Odysseus
518582	75681	Cal
518582	79962	Newton Warner
518582	88978	Joey
518582	116280	Adam
518582	131913	
518582	177204	Larry
518582	177254	Louis Leonowens
518582	194865	Duane Striker
518582	212732	
518582	213105	Angel
518582	244824	Sam Dale
518582	245229	Bob
518582	256645	Davey
518582	273800	Pop Corn Boy
518582	276889	Weed
518582	281455	Mr. Asher
518582	287212	Easter Bunny
518582	287782	Taylor
518582	303374	Joey Viola
518582	314439	Easter Party Boy
518582	320800	Young Prince Derek
518582	323866	Bud
518582	346198	Gilbert
518582	380715	Ian Richton
518582	390742	Jake Segerstrom
518582	391485	Thaddeus 'Curly' Gamelthorpe
518582	393915	Additional Voices
518582	401191	Crash: Moose's Best Friend
518582	401414	Zachary 'Zack' Brock
518583	103304	Young George's Brother
518584	68063	Newsreader
518584	68226	Photographer 1
518584	123380	Max
518584	141558	Bill, the lawyer
518584	254591	Randwick Reporter
518585	131585	Billy
518586	166871	Young tough
518587	69686	Himself (Army Officer)
518587	145376	Himself
518587	270363	Himself (Mountaineer)
518588	79400	The Notary
518589	399437	Todd Allen
518590	73411	Detective Christopher Dalton
518590	191964	Ben Tipton
518590	307468	Richard's Father
518591	208988	Boy in Pick Up
518591	262531	Rollerboys Extras
518592	118026	Richard Moniplies
518592	231113	Hendry
518592	331607	Maj. Vassili Vassilich Sollon
518592	337482	Menteith
518592	401429	McAllister
518592	407414	Fergus Jamieson
518593	406967	Col. Buck Murdock
518594	32682	Dr. Trygve Hanson
518594	76617	Florist
518594	100193	Bill Frayne
518594	115326	Accountant
518594	138419	Waiter in Club
518594	152222	Board Member
518594	279859	
518594	358667	
518595	131585	
518596	317309	Porno Set Stage Crew
518597	1437	Himself
518597	104989	
518597	133930	Various
518597	137679	Himself
518597	151230	Himself
518597	155276	Himself
518597	155278	Himself
518597	155280	Himself (US Team)
518597	155282	Himself (USA team)
518597	182095	Himself
518597	227350	
518597	294763	Himself
518598	8092	Miami Referee
518598	153147	Pittsburgh referee
518599	315648	Himself
518600	245053	Igor Magnitogorsk
518601	333120	Person of the Night
518602	223649	Checkmate
518603	74230	Villager
518603	383582	Colombina
518604	389138	graduate
518605	236164	
518606	408362	Molyneux
518607	55698	Football Referee
518607	395280	
518608	1734	Himself - Presenter
518608	10813	Gordie
518608	62697	Bluey
518608	71302	Closed Ward Nurse
518608	147980	Robbie
518608	156903	Frederick
518608	206591	Frank
518608	222831	Perry Heslop
518608	253920	Alf Mason
518608	274435	Ronny Spinks
518608	280737	Aggro Graffitist
518608	281244	Cackles
518608	297646	Eric Cooke
518608	311873	Frank Fletcher
518608	330388	Medic #1
518608	345857	Pete
518608	381119	Det. Const. Lou Knutt
518608	394125	
518609	318449	Angry Man
518610	7919	Jack Tatham
518610	41712	Morrell
518610	67479	Forbes
518610	68010	Ensemble
518610	75556	Doctor
518610	109166	John Jenkyns
518610	109664	Lewis Verne-Smith
518610	137945	First Gravedigger
518610	142919	Fluellen
518610	196960	Mr. Wilson
518610	210387	Mr. Fellows
518610	215186	Brice Michaels
518610	240504	Curry
518610	273930	Blacksmith
518610	305381	Neville
518610	323727	
518610	346020	Mr. Willy Nilly
518610	380714	Lol Ferris (Series 5-9) (1996
518610	382118	Rodney Sillitoe
518610	382733	Alfred Sutton
518610	384333	Ed Chenkin
518610	385627	Albert (segment film two)
518610	387131	Eric
518610	389511	Father Plimpsolls
518610	395595	Edward Thorpe
518610	397182	
518610	398031	F. K. Henderson
518610	398703	Stanley Dawkins
518610	402125	Mr. Gardiner
518610	407779	Nick
518610	408362	Griff
518610	410008	Ernie Chester
518610	411064	Ferry official
518610	411552	Franks, pathologist
518611	132223	Goth Guy
518612	85828	Sullivan (the Child)
518613	22954	Himself
518613	23932	Himself
518613	31944	Himself
518613	33184	Himself
518613	37986	Himself (audience member)
518613	42075	Himself (host)
518613	59646	Himself
518613	70028	Himself
518613	86552	Himself
518613	97023	Toilet Victim
518613	126118	
518613	127731	Himself
518613	183345	Himself
518613	188442	Himself
518613	273234	Himself (The Rolling Stones)
518613	273235	Himself (The Rolling Stones)
518613	309645	Himself
518613	315253	Himself
518613	321821	Himself
518613	322615	Himself
518613	353726	Himself
518613	365830	Willie
518613	368289	Himself
518613	381501	Himself (The Rolling Stones)
518613	403562	Himself
518614	33258	Manager
518614	83680	
518614	210721	Rent-a-Cop
518615	193160	Byron
518616	204753	
518616	344955	
518617	123140	
518618	66155	John Rotman
518618	81064	Lloyd Smith
518618	108339	Tucker
518618	191502	Randy Wilkes
518618	272022	Kyle Jones
518618	339399	D.C. Porker
518618	383662	Billy K. (William Kramer)
518618	400647	Cory Robbins (#1)
518618	405475	Lt. Lyle Springer (1994-1995)
518619	184521	Fisherman
518620	6906	Maisie's Husband
518620	19545	Bahloul
518620	102244	Horseman
518620	117314	Erich Kriegler
518620	164699	Cop
518620	277096	Toledo
518620	342155	Cliff
518621	52050	Party Guest
518622	364468	Rob
518623	118970	Stefan Petrovic
518623	188648	Psychiatrist
518624	86287	Mathias Targo
518624	121823	Dirk Criterion
518624	155949	Suit
518624	200864	Concierge
518624	222707	Lund
518624	257264	New York lawyer
518624	264785	Douglas Kiker
518624	357873	Foundation Officer
518624	360818	Associate Warden
518624	385580	
518624	400236	Peter Manning (1993-1994)
518624	407139	Grant Booth #1
518625	21369	Silver Mask (2)
518625	63205	Thomas Elliot
518625	69514	
518625	394064	Grill Leader of the "Big 4"
518625	409390	Ikeman McMadd (2003-2004)
518626	134873	
518626	313321	Nigel Peters
518626	316444	Sergeant
518626	359183	Capt. Neil
518627	21548	Touchstone
518627	31100	Air Vice Marshal Trafford Lei
518627	45901	Mayor
518627	60440	Christian Holm
518627	61771	Commander
518627	73360	Sol
518627	73641	The Earl of Strafford
518627	90982	Jason Webb
518627	113571	Churchill
518627	118986	
518627	151771	
518627	177608	Winston Churchill
518627	186639	Wylie
518627	208087	Gen. Oliver Cromwell
518627	242721	Prime Minister Winston Church
518627	244450	Winston Churchill
518627	244874	Nicolai
518627	266622	Inspector Holloway
518627	276052	Landlord
518627	288476	The Judge
518627	289519	Joseph Ransley
518627	292505	Major Jocomo
518627	304234	Anthony Marco
518627	327232	Guest
518627	361587	Father Hogan
518627	363300	Col. Wyatt Turner, DSO MC
518627	367620	Henri
518627	367717	
518627	401575	John Wilder
518627	401997	John Wilder
518628	17944	Henderson
518628	131350	Boy
518628	324552	Nigel Milne
518629	54634	Phone Caller #2
518630	338828	Shelley
518631	56801	Dillon
518631	375692	John
518632	14146	Eric Daniels
518632	38406	Allan Devlin
518632	45618	Antipholus of Syracuse
518632	57811	Joey
518632	69804	Timothy Straker
518632	76239	Jon
518632	77796	Dr. Lambert
518632	79449	Angus
518632	80774	Michael Franklin
518632	127134	Martin Mallory
518632	153205	Dr.Martin Nolan
518632	153570	Simon Grady
518632	241643	Michael Wilson
518632	244447	Matt Stewart
518632	246609	Rick Jarrell
518632	307964	Mr. Murphy
518632	324238	Hortensio
518632	339711	Ben
518632	365244	Colin
518632	379507	Major Mike Rivers
518632	382154	Nick Haskell
518632	383324	Thomas (1978)
518632	386914	Klaus Helsing
518632	389100	Det. Nicholas "Nick" Knight
518632	391533	Glen
518632	392726	Nick
518632	393825	Allan Pearson
518632	403542	David Kaydick
518632	405301	Gary
518632	405757	
518632	408360	Jimmy Hogan
518632	408685	Zin
518632	408968	Premier William G. Davis
518633	16611	Angel
518633	54827	Altar boy
518633	137208	
518634	401689	Gareth Wyn Harries (2000)
518635	61581	
518636	75883	Byron
518636	307687	Reverend Roberts
518636	401689	
518637	63112	Dal
518637	141786	Vicar at the Tribunal
518637	240687	Tom Watkins
518638	238433	
518639	207051	Member - Mr. Butterfly
518640	79557	Young Tommy Traddles
518640	118925	Young William
518640	332133	
518641	404698	Peter Senior
518642	263967	
518642	295392	Peter Kilgore
518642	406081	Wilfred Winter
518643	167124	Guest
518644	26736	Bob Shaffer
518644	92307	Rock
518644	102341	Perimeter Guy
518644	135562	Soldier #2
518644	169207	Coffee Shop Cop #2
518644	188509	Hitman
518644	188510	Hershel
518644	188511	Man with Flamethrower
518644	246222	Thug
518645	9879	Band Member
518646	37034	
518646	40198	Lionel MacAllister
518646	47554	
518646	67960	Sonny
518646	69693	Insp. Hoskyns
518646	81603	Spanish
518646	85860	Idrissi
518646	96763	Dave
518646	125408	Captain Ballard
518646	132820	Mr. Potter
518646	138322	Flight supervisor
518646	142333	The Aksoy Brothers
518646	149708	Frank Driscoll
518646	163256	Vince Bradley
518646	185583	Poker player
518646	185735	Man at daillies
518646	206232	Sonny Steelgrave
518646	283360	Crazy Wolf
518646	283369	Corpsman Hendrix
518646	291942	
518646	304889	Doctor
518646	307264	IXL Executive #1
518646	316281	Eric Sconer
518646	335491	Yellow Bull
518646	337308	Maxwell Carstairs
518646	362635	Bo Bluedog
518646	385824	Orby Jensen (1982-1984)
518647	202999	Confederate sentry
518647	316038	Guard
518648	384764	Host (1997-1998)
518648	395038	Host (1999-2003)
518648	405650	Host
518648	411117	Host (1999)
518649	36841	Officer
518649	93576	French Clerk
518649	110363	Man
518649	124718	Undetermined role
518649	128168	
518649	135939	
518649	154906	Young German
518649	183675	German
518649	183831	
518649	193007	Jonathan's Syndicate
518649	203463	Excited Man
518649	241589	Strasser's Aide
518649	259868	Jim Blackton
518649	335649	Secretary
518650	17706	March
518650	20882	Commissionaire
518650	31069	
518650	33436	Black
518650	39598	Fernando Barrio
518650	55185	Doncairo
518650	68491	Commissionaire
518650	70276	Head Warder
518650	77849	Sam
518650	79922	Village Baker
518650	89130	Crook
518650	99159	Jeff Ironside
518650	107052	Lafonde
518650	116975	2nd Workman
518650	133972	Sergeant Fisher
518650	152878	Trapped Miner Using Hammer
518650	154146	Tom Driscoll
518650	157046	Voyager
518650	159593	Murphy
518650	188395	Bride's Fiance
518650	190893	
518650	193788	The Satellite
518650	194579	Jan Rid
518650	195959	Jim (Larry's Assistant)
518650	203416	Shaughnessy
518650	210796	Outlaw
518650	210817	Don Silvio
518650	213287	Don Silvio
518650	217975	Assistant
518650	230259	Terry
518650	239044	Grogan
518650	239743	Tug Mulligan
518650	239747	Jem
518650	239751	Emperor of Rocavia
518650	271892	Dan
518650	285686	Captain Raleigh
518650	294194	Spurge
518650	298206	Riggy Teasdale
518650	315136	Sailor
518650	330192	George (The Barman)
518650	330693	
518650	364213	Pat O'Callaghan
518650	366011	Maryatt
518650	372215	Albert Gull
518651	365319	Joseph Fergus
518652	16076	Auctioneer
518652	184814	Boothby's Auctioneer
518653	69483	Fortesque
518653	155902	
518653	170378	Piano Player in Pub
518653	235676	Mr. Cook
518653	237618	Co-pilot
518654	138281	Michael Dwyer
518654	263961	Capt. Karsburg
518655	8097	Doctor
518655	54640	Lt. Cmdr. Robert Marsden, RNV
518655	58810	Duckworth
518655	80550	Dr Albury (segment hearse dri
518655	111933	Lionkeeper
518655	117275	Sqr.Ldr Leverett
518655	138372	
518655	290344	Raiding party major
518655	364237	Detective Inspector Oxley
518656	236510	
518657	192201	The King
518658	193211	Himself
518659	11525	Attorney #2
518659	12203	Dr. Fishbeck
518659	14132	Camp Director
518659	27331	Network Director
518659	27333	White Sox Manager
518659	67579	Film Cutter
518659	80803	
518659	81117	Joe Haley
518659	84956	Meisel
518659	88526	Uncle Manny
518659	89301	Michael Fitzgerald
518659	93981	Dr. Irving Lefkowitz
518659	115325	Arnold T. Pants, Esq.
518659	115326	Marvin Gillet
518659	117139	Harry
518659	127679	Herman Radner
518659	162902	Simms
518659	183815	
518659	186381	Deputy D.A. Piper
518659	187098	Mr. Gladstone
518659	191513	Dean Schwimmer
518659	193919	Cop at Beach
518659	196704	Rantzen
518659	211732	Dr. Hoffler
518659	215729	Civillian Aide
518659	223918	Myron Fein
518659	235403	Mr. Cornish
518659	236880	Ben
518659	261564	Benning mayor
518659	276941	John Wiepert
518659	277731	Victor Rigsby
518659	280193	Gillespie
518659	305571	Man at Party
518659	310184	Colonel Sandurz
518659	320431	Himself
518659	323147	Roy Cohn
518659	323586	The Mayor of Beverly Hills
518659	329036	Banker
518659	334104	Ratkowski
518659	339389	Ed Blandings
518659	364516	Dr. Jacobs
518659	365559	Principal Walker
518659	380797	Cpl. Wessel
518659	381973	George Korman
518659	390313	Artie Cohen
518659	394251	D.A. Frank Revko
518659	396693	Art Lurie
518659	397125	Murray Chase
518659	399154	Saul Panzer
518659	400208	Dr. McCabe
518659	405089	Dep. Max Rubin
518660	18954	The President/Beast/Rafen/War
518660	20460	Colonel Strings
518660	48925	Sid the Dummy
518660	68274	Nod General 1 (Firestorm)
518660	72237	Rengle
518660	141696	Robie Bray
518660	147362	Thugmeister
518660	152909	Ninjas, Yoshimune
518660	182506	Additional Voices
518660	190883	Syncam Personal Manager
518660	194524	Knasty Knight
518660	262090	Furio
518660	264053	Ravan
518660	279879	Additional Voices
518660	296507	Lord Helmuth
518660	307371	Sam Gladstone
518660	313402	Harry Mudd/Cheever
518660	313425	Cmdr. Ellis
518660	313490	Announcer
518660	350230	
518660	379517	Narrator, Colonial Commander
518660	380605	UN Officer, Grandpa
518660	385569	Ginzan
518660	386396	Dino Brachio
518660	393503	Dark Lord
518660	394252	Shusaku Tanokura
518660	397031	Cairis (English version)
518660	397693	Master Vile (1996)
518660	402003	Furio
518660	403550	Wolff, Jonathan
518660	403959	Goemon's Sensei, Additional V
518660	408734	Grimlock
518660	409323	Pegus (Teknobot)
518660	410451	Sullivan
518660	410570	Narrator
518660	411343	Quent Yaiden
518661	408664	Don Curtis
518662	690	Jason King
518662	10340	Pausanias
518662	16120	Daniel/Gen. Haswell
518662	22617	
518662	115062	Klytus
518662	145485	
518662	160069	Peter Quint
518662	200317	Interviewer
518662	213313	Oberon
518662	232077	Norman Taylor
518662	263102	Garry Essendine
518662	264489	
518662	283638	Rupert of Hentzau
518662	301073	Peter
518662	324552	Sir Robert Knight
518662	386066	Jason King
518662	387710	Peter Vauxhall
518662	393353	Jason King
518662	407437	Sydney Carton
518663	2657	Sid
518663	13711	Clint Dryer
518663	206099	Mark Hastings
518664	332061	Cop Two
518665	2190	Martin Jacobs
518665	28791	Massa Charlie
518665	65748	Detective #3
518665	69333	Lance T. Conners
518665	73703	TV Evangelist
518665	127084	TV Reporter
518665	130350	Bank Manager
518665	140783	The John
518665	168289	Mr. Margolis
518665	176897	Minister
518665	219692	Agent Ross, FBI
518665	225797	
518665	245625	Lawyer
518665	260266	Sheriff
518665	297937	Bernard Baker
518665	318763	Sam Carr
518665	355014	Pastor
518665	361357	Sheriff Tom Hale
518665	373300	Richard Helms
518666	6266	Hess
518666	10839	Cope Ransom
518666	10840	Father (segment "Worm")
518666	35768	
518666	72901	Angus Lynch
518666	87275	Gus Kimball
518666	87276	Officer Friendly
518666	149742	
518666	164564	
518666	176984	TV Repairman
518666	194802	Steve Nekoda
518666	282157	Dr. Robert Olsen
518666	289671	Mr. Longfellow (segment "Term
518666	289673	Mr. Longfellow
518666	291269	Dr. Dan Hess
518666	294790	Joel "The Butcher"
518666	340992	Guard #2
518666	342647	Mike Strauber
518666	342648	Tim
518666	364729	Dan Hess
518667	88075	Jawad
518668	311844	Host
518668	311845	Host
518668	311846	Host
518668	311847	Host
518668	311848	Host
518668	311849	Host
518668	311850	Host
518668	311851	Host
518668	311858	Host
518668	311859	Host
518668	311865	Host
518669	188510	Darryl
518670	351803	Bartender
518671	176323	Himself - Cleveland Indians P
518672	5166	Fire Chief
518672	10741	Mad Hatter
518672	26139	Toymaker
518672	61391	Henry Summers
518672	64109	Fairy Godfather
518672	79977	The Emperor
518672	80949	The Captain
518672	86031	Mr. Albert Dussell(Dr. Friedr
518672	87769	Mad Hatter
518672	116532	Crickets
518672	117238	Alfred
518672	129762	Rufus
518672	130811	
518672	133705	Paul Beaseley
518672	133953	Old Aram
518672	147798	Himself
518672	206069	Uncle Sampson
518672	206881	Uncle Albert
518672	209606	Grandpa
518672	212330	Himself
518672	214969	Kris Kringle
518672	250811	Himself
518672	276089	Army
518672	282848	Homer Thrush
518672	291394	Himself
518672	308352	A.J. Allen
518672	309629	College professor (master of 
518672	312774	Himself
518672	315265	Himself
518672	329412	Mr. Hofstedder, the watch jew
518672	331081	Ed Parker
518672	383253	Host
518672	387285	Himself/Host
518672	387286	John Beamer
518672	389177	Himself (alternate host) (195
518672	401646	Army
518673	5482	
518673	11399	
518673	48027	Tom Brown of Harvard
518673	64727	
518673	246597	
518674	368666	Waiter
518675	320145	Marine Captain
518676	384562	Lt. Hollis
518677	186017	Jerry Sheridan
518677	364220	Mo-Mo
518678	78640	Reginald Stevenson
518678	114790	Lt. Dickyk Lascelles
518678	147124	Albert Prosser
518678	186454	His Rival
518678	206443	Philip Lorimer
518678	218172	
518678	338294	Jim Foster
518678	362796	Sailor
518678	367458	Officer
518679	26707	
518679	50199	John Quigley, settler
518679	52198	
518679	81784	Treasurer
518679	118321	Soldier
518679	191624	Pvt. Arndt Hofstetter
518679	289413	Herman Todd, June's agent
518679	327698	
518679	329388	Ben
518679	351695	Col. Carl Dorsett
518679	360537	Hank James
518680	20884	Alfred
518680	89646	Butler
518681	148783	Dick
518682	27449	David
518682	117672	Brother
518682	129092	Assistant Director
518682	390523	Mr. Graham 'Sooty' Sutcliffe 
518683	80601	Lou, a 'Volunteer'
518684	2339	Detective Sergeant Blake
518684	127513	
518684	169948	
518684	177268	
518684	185839	Sgt. Conway
518684	214188	
518684	245644	Tony Harrison
518684	278459	Kyle
518684	285265	Charley
518684	285748	
518684	315532	Sergeant
518684	330234	'45 Jones
518684	350006	
518684	363697	Police Sergeant
518685	59110	Reporter
518685	409665	
518686	380	
518686	3126	Barney Glover
518686	5166	Alonzo P. Hawk
518686	11496	Silva
518686	14255	Old Sailor
518686	16900	Fred Bayles
518686	17228	Pudge Elliott
518686	17756	Charlie Davenport (Buffalo Bi
518686	20632	Hank Stahl
518686	25868	Martin Delwyn 'Marty' Ainsley
518686	30741	Johnny Malcolm
518686	31058	Sgt. Orvil Statt
518686	31450	Nick Rawlings
518686	33599	Max Ferris
518686	34656	Tom Babson
518686	35479	Tobey
518686	37674	Harvey Huntington Honeywagon 
518686	37947	Ely
518686	39722	Iron John
518686	51368	Sheriff (auctioneer)
518686	52555	
518686	53621	Sheriff 'Houndtooth' Riley
518686	53950	Eddie
518686	54673	Bert Woolman
518686	65746	Luncheonette Drunk
518686	65787	Jake Noble
518686	66649	Willis
518686	66653	Sergeant Jumbo Culdane
518686	73943	Nick Hyland
518686	79002	Sherman Moss
518686	81896	Lt. Comm. Mike Edge
518686	82671	Capt. Joe 'Mad Dog' Siska
518686	83985	Brandy
518686	85076	Sheriff Owen
518686	90319	Gordon Ripwell
518686	92616	Col. 'Bat' Guano
518686	96990	Warren Haggerty
518686	110324	Sgt. Kellwin, Company J
518686	113610	Senator Billboard Rawkins
518686	117110	Eddie Milton, Harry's Agent
518686	122248	Dandy
518686	129618	Bill Schwartz
518686	133705	Sid Moore
518686	133770	Hezekiah Sturdy
518686	139091	
518686	140793	Brother Dalton
518686	143498	Himself
518686	143503	Alonzo Hawk
518686	144983	Mr. Andersen
518686	145166	Donny McDonald
518686	146734	Buddy McCormack
518686	147484	Jerry Marks
518686	147527	Joe Piavi
518686	148947	Mr. Sampson
518686	151104	Sergeant Charles Wilentz
518686	152208	Buddy Hare
518686	153565	Grandpa
518686	153650	Fisherman
518686	160970	E.J. Farnsworth
518686	163414	Michael Fisher
518686	166858	Jeremiah Starbuck
518686	168230	Harold Hathaway
518686	168672	Barney Clark
518686	171274	Seymour Berger
518686	176824	Chester Conway
518686	177142	Edwards
518686	177496	Tom Fowler
518686	178066	Lippy
518686	184978	Colonel Farley
518686	185548	Butch
518686	185737	Captain Cully
518686	187244	Col. Nightingale
518686	191065	Fred Huisache
518686	194095	Policeman
518686	194721	Packy Roost
518686	196108	Bugs
518686	196536	Edward
518686	196828	
518686	199085	Sanchez
518686	203175	Sgt. Caesar Gardella
518686	203182	Lt. Charles Winton
518686	203612	Victor Slidell
518686	204342	
518686	205107	Hook
518686	206355	Major Bob Wilton
518686	209242	Harry McKenna ['Big Harry']
518686	210806	Lt. Comdr. Ted Dodson
518686	215191	Reverend Dahlstrom
518686	215857	
518686	217490	Grandpa Bergman
518686	218091	General
518686	218150	Stump Harris
518686	218344	
518686	223829	Ronnie Hastings
518686	226942	Sam Wilkins
518686	227925	Mr. Green
518686	229938	Joe Backett
518686	232085	Jed Curry
518686	232448	Junk dealer
518686	233659	Slinky Edwards
518686	235215	'Slip' O'Mara
518686	243198	Novak
518686	250811	Harry Silver
518686	252883	Harvey Franklin
518686	254787	Eddie Hoke
518686	254994	Barney Fellman
518686	256527	Jack
518686	258858	Yost
518686	262000	Wine merchant
518686	263339	Chief John Poldaski
518686	263788	Dr. Lasser
518686	265740	Angelo Carelli
518686	269472	Inspector Donald
518686	269623	H.H. Small
518686	269630	Cooler
518686	273145	Di Gennaro
518686	276089	Maish Loomis
518686	276785	Piers Castillian
518686	280113	Himself
518686	282711	Irving Klinger/Edgar Klinger
518686	283353	Willy Gore
518686	283579	Ken Osanger
518686	287722	Winter Warlock
518686	289559	Joe Fuselli
518686	291394	Himself
518686	291395	Himself
518686	293084	Pvt. Mulvehill
518686	295608	Uncle June
518686	296645	George
518686	297005	Mr. John Slade
518686	302467	Ltjg Solomon
518686	304096	Himself
518686	304276	Al
518686	305622	Vince Heber
518686	306298	Martin Ridgeway
518686	308155	Sergeant Tom Purdy
518686	308352	Alonzo P. Hawk
518686	308656	Clarence 'Clinker' Krause
518686	310393	Major Charlie Doneghan
518686	312820	Ross Sawyer
518686	312827	Luke Plummer
518686	318966	Mark Elmes
518686	324969	Simon Cusack
518686	327970	Willy Wurble
518686	328562	Milton
518686	329072	Dan Sabinas
518686	329446	Harry Corwin
518686	329467	Artie Geoffrey Glenson
518686	329565	Appearance
518686	331456	Charlie Kope
518686	331522	Planchet
518686	331764	Steve Farraugh
518686	333351	Reuter
518686	335583	Himself
518686	336683	Bit Part
518686	336716	General Spellman
518686	338828	Meat Cleaver Stewart
518686	348164	
518686	350979	Contagion Corps Sergeant
518686	355813	Gen. Lacomber
518686	359338	Wes Fletcher
518686	359481	Sgt. Ed Musso
518686	360127	Dan
518686	360834	Oliver Webson
518686	361222	Zar, Whiskey & Girls
518686	362343	Pvt. Thomas Mul;vehll
518686	365318	Gen. Harry Gobohare
518686	366934	Quentin Ladd
518686	367455	
518686	372613	Frank Baron
518686	375044	Caller in 'Number Please'
518686	375809	
518686	382162	Narrator
518686	383228	Carl Sarnac
518686	385594	Willard 'Digger' Barnes #2 (1
518686	393224	Himself/panelist
518686	395182	Butch
518686	401646	Maish
518686	408958	Kodiak (1959-60)
518686	411915	Host (re-runs)
518687	140862	LAPD Sergeant
518688	60235	Rider #1
518688	127219	Surveyor
518689	4815	Bar Drunk
518690	106115	Greg
518690	297628	Dr. Mattee
518691	5166	Boy
518691	31643	Beach boy
518691	37674	Beach boy
518691	52303	Earl Fescue
518691	90320	Paramedic
518691	151672	Beach Boy
518691	246861	Pajama Boy
518691	250811	Page
518691	308352	Rutland Student Manager
518691	312827	Ike Plummer
518692	273188	Waiter
518693	360458	Himself
518694	41301	Jake's Patient
518695	217933	
518695	402964	Himself
518696	64080	Dancer
518697	406655	
518698	348318	Soldier in truck
518699	331701	
518700	123287	Sims
518701	44844	Podra(Fool Clipping Hedge)
518701	127402	Dumb teen
518701	167324	Colonel
518701	185821	Doddering Professor
518701	223850	Press Photographer
518701	323970	Engineer
518701	340827	Dancing Businessman
518702	150877	
518703	111677	Harry Logan
518703	123393	Inspector Cullen
518703	129939	Richard Christiansen
518703	143975	
518703	171330	Davis
518703	224354	Tony
518703	235432	Tom Dent
518703	251397	Tommy Atkins
518703	259156	
518703	300473	
518703	311466	
518703	335097	William Blifil
518703	335821	Pedro Medina
518703	337110	Winterton Loring
518703	346071	
518703	358161	Steve Kingdom
518703	362867	Harold Spence
518704	1411	Alden
518704	26847	Buford's gang member #1/Needl
518704	70461	Jack Gibbs
518704	90423	Haggerty
518704	102247	Resident
518704	225796	Publisher, In Effect Magazine
518704	240500	Young Policeman
518704	264157	Arm Pump Dancer
518704	275522	Georgie
518704	310728	Supertanker Officer #1
518704	346392	Central Security Guard
518705	235088	Priest
518705	335257	Warren
518706	301743	Easterner
518707	27312	Old Man Mourner
518708	27312	Policeman 1
518708	67041	Tompkins
518708	160973	Frank
518709	29175	Bat Boy
518710	273270	
518711	65531	Harry Clegg
518711	116547	Joseph's father
518711	139608	
518711	141532	Coroner
518711	216423	1st Prison Officer
518711	231762	Inspector Bill Rowan
518711	253248	Jimi
518711	402140	Frampton
518711	405797	Det. Con. Dwyer (1966-1967)
518712	383892	Designer
518713	96721	Sam Jensen
518713	224689	Gene
518713	264818	Mike
518714	129579	Young Guy #1
518714	402476	Milo Reynolds
518715	5386	Mob Leader
518715	29650	Dr. Lee
518715	72208	Wax Maroon
518715	72322	Reporter #1
518715	73674	Jeff Skilling
518715	105241	Doctor
518715	142402	Lighting Guy
518715	151413	Heat Guy
518715	158154	Dr. Ross
518715	213875	Jury Foreman
518715	219181	Corey's Father
518715	224158	Phil
518715	240941	Bus Driver
518715	245499	Talent Time Host
518715	289530	Mock Juror #4
518715	336164	Mr. Jones
518715	360483	Mort Lundt
518716	167047	Apostle
518716	329309	Trooper
518717	153645	Bobby Corrado
518717	184981	Roach
518717	256820	Jimmy O'Neill
518718	10391	Passenger
518718	56158	Frank Preston
518718	68010	Angelo
518718	81639	Drunken Surgeon
518718	113302	Crashaw
518718	123092	Court Official
518718	224714	Tope
518718	238708	Sid Coil
518718	348358	Vinus
518718	348370	First Man
518718	378976	Cluton-Danvers
518718	385299	Horace Jackman
518718	387247	Ernie Mears (1985)
518718	391957	George
518718	398747	George's Father
518718	405525	Dr. de Puebla
518718	408715	Brenda (1973)
518719	66935	Frank
518720	110189	French Soldier
518721	49637	Rogers
518721	105871	Man
518721	149256	Ted
518721	158025	
518721	170496	5th Plebian
518721	235353	
518721	235592	Donald
518721	257110	Pug
518721	270776	Bellamy
518721	273591	Napoleon
518721	279371	Cyril Connolly
518721	279400	
518721	381952	Stratton
518721	390267	Inspector Tompkins
518722	144591	The Innkeeper
518722	331622	Jocko
518722	410728	Lord Norstead
518723	43378	Director
518724	363215	Himself (member of The Spinne
518725	135738	Buddy
518726	92575	Aide #2 - Feldon
518727	361433	
518728	139651	
518728	183723	Butler
518728	264477	
518728	400824	
518729	23463	Mr. Mikkelson
518730	346222	
518731	134018	Reporter 2
518732	10864	Lester
518732	23447	Guy Who Can't Believe His Eye
518732	37686	
518732	42721	Hanging Judge
518732	55277	Captain Rockford
518732	62705	Killbots
518732	81349	Dying Soldier
518732	82660	Police Sniper
518732	92767	Night Club M.C
518732	139187	Porno Director
518732	141534	Himself
518732	147655	The Man Who Does Lunch
518732	192049	Man at Denver Bus Ticket Coun
518732	194975	Police Helicopter Pilot
518732	213260	Drunk at bar
518732	303754	Drunk outside at the Bar
518732	307934	Himself
518732	338771	Jim
518732	350231	TV News Anchor
518732	353302	Man with Top Popper
518732	396076	Himself
518734	5030	Mark
518735	397122	Eddy Stoefs
518736	33171	
518736	48040	Ten
518736	294717	Rastafarian
518737	11384	Jeff
518738	385099	
518739	227327	Will Travis
518740	361169	Hector/African Boy
518741	227327	Older Nat
518742	138899	Vocalist
518742	140115	Gary
518742	171119	Mark
518742	273970	Troubadour
518742	319602	Mate
518743	199064	Mumba, the black
518743	199075	
518744	401973	Tommo (8 years)
518745	143940	Gang musicians
518746	204747	Court House Extras
518747	21436	
518747	24038	Specialist
518747	40749	
518747	106810	Gehheimrat
518747	108635	Hans
518747	151071	Dr. Cuevas
518747	173076	Zerling
518747	175294	Kommissar Kämena
518747	196813	German colonel
518747	218976	
518747	238285	Landlord
518747	293415	Chefredakteur
518747	308362	Beerhall Manager
518747	325400	Antoine Grossenbacher
518747	325582	
518747	326024	Radacher
518747	334554	
518747	348050	
518747	356839	Professor Clausen
518747	364939	Dr. Ludwig Mahler
518747	380349	Werner Koch
518747	384033	Le Dey D'Alger
518747	386334	
518747	387381	Apotheker
518747	391287	Schmied
518747	392836	
518747	394149	Maflei Glava
518747	398863	
518748	16471	Service station man #1
518748	92505	Thug
518749	6814	Boy
518749	234223	
518749	335329	Fraternity boy
518750	298769	Tall Repo. Man
518751	54084	
518752	133399	Sergej Nikolajewitsch Nedelin
518753	135886	Piotr
518754	42932	
518755	181358	Macius I
518756	375469	Janek, lover
518756	375649	Marian Spychalski
518757	82200	
518758	211976	Himself
518759	34388	Ham Radio Operator
518759	96721	Col. Jeff McDonald
518759	107116	Father of Rebecca Hammill
518759	114604	Howie
518759	235422	McCann, The Robber
518759	294150	
518759	339834	Doctor
518760	147904	Himself - Chicago Cubs Pitche
518761	75906	Comte de Guiche
518761	157188	
518761	384497	Murbles
518761	402403	Sir Richard
518762	250764	ATF Raid Team Member
518763	176819	Punk
518764	41252	Scarface
518764	101235	
518764	179180	
518764	238833	Suchoruka
518764	255605	
518764	275036	
518764	324115	Kulas
518765	84439	Sleazy Porn Director
518766	223776	Crime Scene Photo Detective
518767	168213	
518768	394631	
518769	141863	Patron
518770	247345	Pan Tomasz
518770	344561	
518771	76229	Dealer
518772	3123	
518772	89474	Jude
518772	260389	Jan Gintult
518772	266307	Dr. Benglow
518773	114253	Church Board Member
518774	17868	The Boy
518775	65	
518775	35878	
518775	58243	Radomski
518775	68943	Grzegorz
518775	88507	
518775	89790	Marek
518775	95907	Kwiatkowski
518775	96115	
518775	167319	Vilbert
518775	225965	Darek Madej
518775	231362	Actor
518775	244208	Chris Sten
518775	256729	
518775	259818	Daniel Bury
518775	289810	Zaremba Boleslaw
518775	305560	Zbyszek Gasior
518775	316437	
518775	357957	
518775	365022	
518775	369374	
518775	376506	Janek
518775	376523	
518775	386654	Piotr Borowski (1996-2000)
518775	387414	Szawlowski
518775	394585	Andrzej Marczynski (1998-)
518775	406208	Roman Derko
518775	406501	
518775	412075	Pawel Bojarewicz
518775	412076	Pawel Bojarewicz
518776	396874	(1992)
518777	315814	
518778	234994	Darren
518778	254589	Cpl. Guthrie
518778	330341	FBI Agent
518779	41155	2nd Boy
518780	51039	Mikolaj
518780	364978	Runner
518780	365126	Dragon
518780	373551	
518780	385236	
518780	385479	
518781	214035	
518782	283069	
518783	36671	Kurt Sempach
518783	136601	Himself
518783	289844	
518784	271882	Prof. Gustav Bensinger
518785	126352	Fisherman
518786	85975	Violoniste
518787	375649	Gen. Karol 'Walter' Swierczew
518788	91509	Lt. Kelerman
518788	280586	Patka
518788	374664	Camp Prisoner
518788	375734	Clerk
518789	169022	
518790	48868	
518791	102553	
518792	204234	Himself
518793	255741	
518794	231646	
518795	4779	Sepp Gomulka
518795	5601	Thomas Ostermann
518795	10418	
518795	15280	Klaus Wetzlaff
518795	24323	Maler
518795	63225	
518795	71837	
518795	82162	
518795	82856	
518795	115975	
518795	122554	
518795	123069	Baron von Werland
518795	129322	
518795	132371	
518795	135002	Kaminski
518795	136603	Albus
518795	149878	Joachim I.
518795	177781	Alter Fritz
518795	178634	Küster
518795	178659	
518795	181272	
518795	182743	
518795	209952	Marcel
518795	210117	Father
518795	210237	Hausdiener
518795	231481	
518795	236641	
518795	240070	
518795	259511	Sigbert Pieske
518795	259641	Paul Wunderlich
518795	272423	Medicus
518795	275176	Oberwachtmeister Schröder
518795	284999	Friedrich II., König von Preu
518795	290267	
518795	312099	
518795	312201	Baron von Thadden
518795	317576	Dr. Töpfert
518795	325515	
518795	344770	Weichert
518795	347043	Hans Lukath, Lehrer
518795	352676	
518795	353993	Claudio
518795	361369	
518795	364881	Ostermann
518795	366587	Ruben
518795	374124	Dr. Prosper
518795	376415	
518795	396970	Kardinal Cajetan
518795	397365	
518795	411173	
518796	74422	
518797	93499	J.M. Vogl
518797	115203	Gabriel von Eisenstein
518797	115205	Gabriel von Eisenstein
518797	132547	Graf von Luxemburg
518798	102453	
518799	92646	Fehlbosch
518799	156974	Erich
518799	189817	
518799	281755	
518799	285001	Leutnant Keith
518799	312068	Regieassistent
518799	364881	
518800	341098	
518801	104103	Himself - Mamba guitar
518802	2587	
518802	139644	Nytorkad gubbe
518802	174117	Rulle
518802	198012	Gösta
518802	305834	Banker
518802	306381	Prinsen
518802	320689	Gösta Eriksson
518802	357769	Rulle
518803	248188	
518803	305834	Mårtensson
518803	406823	Segelläraren
518804	397395	Himself
518805	284387	Viktor 'Vicke' Hall
518805	341611	Customs officer
518806	322313	Older man
518807	33135	
518807	98297	
518807	257381	
518807	325831	
518807	404456	Lominotti
518808	394477	Jakob
518809	402	Customer
518809	9920	
518809	15142	Kriegsminister
518809	18062	
518809	33262	Zeitungsverleger Walter
518809	34354	Anton Zeithammer
518809	47044	
518809	54375	Barberousse
518809	69270	Kardinal
518809	90763	Georg Sonnweber, Tanzlehrer
518809	90785	Margajat
518809	93441	
518809	102378	
518809	103132	Michael Iwanowitsch Murakin
518809	104826	Agent Emmermann
518809	108066	
518809	111477	
518809	116311	Poellnitz
518809	119253	Der Landgraf
518809	120332	
518809	125277	Ramón Orveda
518809	125319	
518809	126261	Theaterdirektor Sebaldus Manz
518809	134822	
518809	134987	
518809	136902	
518809	142824	Director General Brosuleit
518809	144004	Ehrenberg
518809	144035	Juwelier
518809	144183	Papupowitsch
518809	165116	
518809	170637	Herr Zacharias
518809	174565	
518809	178546	Spezereiwarenhändler Nieverge
518809	180885	Der Hausarzt
518809	181497	Eberhard Schultz
518809	189699	Mounier
518809	199302	Charles Bovary
518809	202937	Halendar
518809	204488	
518809	204501	Polizeikommissär
518809	210038	Baroche
518809	210075	
518809	210080	
518809	219019	Torben Jönsson
518809	225148	Valençon
518809	237226	
518809	253973	Conductor
518809	264346	Police superintendent
518809	264349	The Judge
518809	275412	
518809	281345	Staatsminister
518809	283474	
518809	285381	Professor Kiekebusch
518809	286221	Paule Kuhlemann
518809	289156	Pavel Pavlovich
518809	290679	Perr Upaen
518809	290810	
518809	293871	Polizeikommissar
518809	293874	Rompon
518809	299373	
518809	302045	
518809	310511	Schielbener
518809	312729	
518809	312739	
518809	314960	Wilhelm Tobias, Schuldirektor
518809	315828	Carnetti
518809	317613	Bankier Lörik
518809	329238	Himself
518809	332555	Camillo, Verwalter des Don Se
518809	335036	Dr. Bartholo
518809	347051	
518809	347785	Urussow
518809	347788	Calfa
518809	352488	
518809	354366	Francesco Alberto Punkertin
518809	360940	
518809	361392	
518809	374137	
518809	376399	Siethoff
518810	87588	Kastby Kickers
518811	16267	Mover
518811	164779	
518811	194527	
518811	214385	Skräcken
518811	250696	Bärare 1
518811	388448	The beggar
518811	410281	Cirkusvakt
518812	264279	
518813	340268	Humpe
518814	237520	Himself
518814	322431	Himself
518815	410543	Himself
518816	357712	
518817	11069	
518818	402220	Amerikai
518819	61808	Soldier 2 (segment 1)
518820	196588	
518821	91912	
518821	180251	
518821	244099	Swir
518821	290070	Henry Rosner
518822	178460	Robert
518823	196588	
518824	95565	Bank Clerk
518824	375023	Jan Nowak-Jezioranski 'Janek'
518825	364983	
518826	215121	
518826	311580	
518827	64964	Piotr
518827	75976	Jodla
518827	88519	
518827	154601	Zoya's Parent
518827	180341	
518827	191002	
518827	247344	Bigos
518827	251923	Chrypulec
518827	258475	
518827	305559	Miner
518827	305560	Accordeon Player
518827	411894	Bronik
518828	266293	Priest
518829	378122	Painter
518830	189443	Petja
518831	194343	
518832	332628	
518833	95251	
518833	119114	
518833	144032	
518833	179830	Baron Schildkon
518833	188712	Field Marshal Greim
518833	266208	
518833	268539	
518833	283058	
518833	352386	Cordoba
518833	361308	
518834	5195	Horst
518834	10112	Ingo Lübbers
518834	11852	
518834	11853	Weinstein
518834	11854	Weinstein
518834	11858	Weinstein
518834	11861	Weinstein
518834	11864	Horst
518834	16363	Napoleon I.
518834	16541	
518834	33455	
518834	83292	Arno Hello
518834	84589	Fernseh-Redakteur Seidel
518834	90707	
518834	102544	Gustav
518834	119217	Robby
518834	125290	Dermatologe
518834	126424	Dr. Störtebeker
518834	161865	Landwehr
518834	169975	Mann am Bahnhof
518834	186959	Claus
518834	193929	Verkäufer/Salesman
518834	204581	
518834	211085	Teufel
518834	225303	
518834	226342	Gottfried Blechmann
518834	236039	
518834	254574	Archivar Ulrich
518834	257268	Mirko Nebel
518834	259694	Kraus
518834	276624	
518834	290131	Maybach
518834	290696	Penner mit Einkaufswagen
518834	293877	Vinnie
518834	303667	
518834	317506	
518834	325575	Steilmann
518834	325652	
518834	325893	Werner Braune
518834	325986	Scheck
518834	359601	Dr. Speyser
518834	360972	KPD-Funktionär
518834	369146	Dr. Schleip, Zechenarzt
518834	371393	Laurens
518834	375171	Uwe Strüver
518834	376772	Werner
518834	386981	Dr. Krachmann
518834	387385	
518834	389359	Eugen Strobel (1992, 1993)
518834	395701	Günter Harms
518834	399825	Beamter
518834	405542	Achim Pohl
518835	11851	Jonas Tamm
518835	11854	Jonas Tamm
518835	11855	Jonas Tamm
518835	11860	Jonas Tamm
518835	11861	Jonas Tamm
518835	11862	Jonas Tamm
518835	11863	Jonas Tamm
518836	309064	
518837	12377	
518837	30086	
518837	53220	Notarzt
518837	126365	Oskar
518837	129325	Christoph Rott
518837	144129	Günther Bode
518837	210059	
518837	225281	
518837	308227	
518837	377354	
518838	9504	Himself - Conductor
518840	60675	Alexandre
518840	155741	Himself
518840	316842	Wolfgang Stresemann
518840	409610	Christian
518841	344356	
518842	15916	Kursteilnehmer
518843	288862	Himself
518844	336523	Himself
518844	400100	Oskar Leopold Immergrün (OLI)
518845	410809	Host
518846	209957	
518847	111746	Bavarian
518848	347039	Schüler
518849	318901	Sein Sohn
518850	7780	Radio-speaker
518850	46657	
518850	49543	Kontorchefen
518850	100935	Sekretær Jørgensen
518850	108971	Lille Gretes far
518850	116313	Læge
518850	117583	Skuespiller
518850	120310	
518850	130189	
518850	136634	Tilskuer ved jubilæumsfest
518850	140042	Betjent
518850	153101	Ditlev's far
518850	178750	Kortspiller hos distriktlægen
518850	181237	Den vagthavende assistent
518850	182628	Kontorchef
518850	187618	
518850	198069	Komitémedlem
518850	238784	Læge
518850	241975	Greve von Flagen
518850	255679	Baron Grunenskjold
518850	276035	Dr. Peter Dalby
518850	303920	
518850	304176	Dekan
518850	314986	
518850	317649	
518850	318532	Direktør på musikkonservatori
518850	346965	Dr. Erik Bang
518850	356854	Doktor
518850	395824	Borgmesteren
518851	78510	
518852	398497	Participant (2001)
518853	16366	Weiß Flori
518853	147592	Rossknecht
518853	184643	
518853	254374	
518853	290449	Owner of the Swingboat
518853	325378	
518853	325799	Konrad Stiefel
518853	325833	Nachbar
518853	361093	
518853	365638	
518853	376304	
518853	378554	Zugschaffner
518853	397765	Pfarrer
518853	403987	
518853	411109	
518855	144256	Simmerl
518856	234595	The Elder
518857	376187	Marketender
518858	289965	Dancer
518859	19863	
518860	378542	Pavel
518860	391295	Lutz, Lulus Freund
518861	92441	
518861	110069	Siebel
518861	310275	Gottlieb Meisel
518862	34425	SS-Standartenführer
518862	95126	Jäger
518862	145525	Peter
518862	180912	Polizist Birkenhof
518862	231623	
518862	246920	Policeman
518862	259567	Rainer
518862	290477	SS man
518862	312887	Schröder
518862	313661	
518862	325493	
518862	325585	
518862	325948	Riso Stachowiak
518862	339606	
518862	399162	
518863	366535	
518864	256139	Achim
518865	108627	Will
518865	307435	German Soldier
518865	343874	Lt. Kohn, German Executive Of
518866	102287	
518867	78267	Himself - Presenter
518868	117819	Fyr med colaflaske
518868	256597	The Pirate
518869	153219	Taxidriver
518870	18518	
518870	325394	
518870	366517	Kreuztraeger
518871	212028	Friedli
518872	24085	
518872	63154	Quintanilla
518872	106013	Jacoby
518872	111773	Round table
518872	121061	Abteilungsleiter Hennig
518872	126455	Hans/Heinrich von Karabass
518872	134615	
518872	134982	Julius Savini
518872	152753	Ken Nelson
518872	155435	Dr. Warzin
518872	179776	Voice of Lincoln's Man
518872	204452	Parker
518872	208425	Maler-Dichter
518872	222217	
518872	225647	Voice on Telephone
518872	233046	Yakuskin
518872	264351	
518872	264486	
518872	277750	
518872	282240	Reichert
518872	283307	Schatzmeister
518872	306591	Davis Kalisch, Redakteur
518872	312872	Emil
518872	312886	
518872	325409	Edgar Petersen
518872	325607	Röhricht
518872	325773	Michael Scheuring
518872	326050	Voice of Hoteldetektiv Berg
518872	336520	Flimmer-Fred/Flicker-Fred
518872	347677	Voice of Clown Bobo
518872	351912	Dominic Reedbeck
518872	356875	Mr. Bland
518872	364923	
518872	393326	Bucky (voice: German version)
518872	409628	
518873	28506	
518873	142309	Agamemnon
518873	352183	
518874	113106	
518875	35237	Himself
518876	158311	Photographer Extra
518876	350700	Trainer
518877	325127	Boy as a younger child.
518879	248662	Navy Dude
518881	202194	Himself
518881	221833	Himself
518882	45591	D.J. at Club
518882	164966	Orderly
518883	88659	Himself
518884	53037	Shemp
518884	152991	Travis
518885	295787	Himself
518886	3782	Himself
518886	11437	Himself
518886	21160	Himself
518886	95844	Himself
518886	127295	Himself
518886	137491	Himself
518886	139970	Himself
518886	142809	Himself
518886	152268	Himself
518886	167324	Himself
518886	202194	Himself (speeches, lies in st
518886	202195	Himself
518886	202196	Himself (speeches, lies in st
518886	221833	Himself
518886	221834	Himself
518886	232777	Himself
518886	241554	Himself
518886	273337	Himself (speeches, lies in st
518886	274620	Himself
518886	301706	Himself
518886	310707	Himself (speeches, interview)
518886	386414	Himself
518886	388136	Himself
518887	266066	Himself (Former FBI agent/age
518888	125515	Himself
518888	159571	Ray Thomas
518889	202194	Himself (brother of Malcolm X
518889	202196	Himself (brother)
518890	185530	Himself
518891	221833	Himself
518892	122636	Himself/Member of Public Enem
518893	138307	Themselves
518893	202196	Himself (eldest brother)
518894	155734	Jimmy
518894	171716	Mamat
518894	233891	
518894	294785	Izzad
518894	305638	Lead Singer
518898	235417	
518898	319934	
518898	326875	
518899	52074	Vigilante'Las Zarzuelas'
518900	18945	Taxi driver
518900	82206	Nikos
518900	208260	
518900	234201	
518900	388630	
518901	389961	
518902	2195	Officiel aéroport
518902	55404	Psychologist
518902	153814	Gérard
518902	166288	Le maître d'hôtel
518902	257114	Malivert Employee
518902	290440	Le deuxième homme/Executive
518903	235886	Entrevistado
518904	41351	
518904	41942	Thug
518904	296234	Robert
518905	55183	
518906	41030	
518906	87055	
518906	391674	Himself
518907	130307	Postcard boy
518908	288088	
518909	366	
518910	6661	
518910	46641	
518910	56478	
518910	103066	
518910	147316	
518910	150630	Dufour
518910	170672	Napoleon
518910	180417	
518910	189573	
518910	253899	Prof. Samirsky
518910	281103	
518910	289885	
518910	360921	
518911	93176	Javaras
518912	232626	Blacksmith/'Hephaestus' socce
518913	6418	
518913	7364	
518913	8129	
518913	13213	
518913	18226	
518913	18405	
518913	18974	
518913	82778	
518913	83328	
518913	87130	
518913	98074	
518913	98222	
518913	98233	
518913	98564	
518913	100595	
518913	102132	
518913	103547	
518913	121083	
518913	127368	
518913	127370	
518913	127382	
518913	155763	
518913	173717	Andreas
518913	173974	
518913	173975	
518913	174495	
518913	174694	
518913	180305	
518913	187804	
518913	209070	
518913	209083	
518913	215437	
518913	216347	
518913	238407	
518913	247133	
518913	253088	
518913	258156	
518913	261221	
518913	266523	Dimitris
518913	296531	
518913	304117	
518913	311415	
518913	312896	
518913	324779	
518913	369530	
518913	375289	
518913	375541	
518913	375547	
518913	375926	
518913	379452	
518913	406537	
518914	8500	Boxer
518914	16875	
518914	136568	Stefos Mavridis
518914	375104	
518914	395090	
518915	152752	Sir Charles Baskerville
518916	113091	Himself
518916	123326	Karl
518916	138603	
518916	211217	
518916	322378	Schuller
518916	343744	Police officer
518916	377804	
518917	337281	Theo
518918	182979	
518919	22873	Tukanu
518920	347700	Teacher Gruber
518921	381821	Ensemble (1972-1974)
518922	39311	
518922	398179	Himself - Blue Team
518923	382741	Mariano
518924	156582	
518925	109589	Young Gandhi
518925	124017	Cabbie
518925	227081	Ivan
518925	327379	Ashok
518926	73177	
518927	321206	Late Hours
518928	10727	Chess Guy 2
518929	168317	Himself
518931	113348	Milo
518932	300871	ABC Kid
518933	198187	
518934	30442	Norman Taft
518934	168670	Paul Washington
518935	385368	
518935	396898	Alberto Montiel
518936	12076	
518936	73177	
518937	122257	Himself
518937	122260	Himself
518937	389582	Himself
518938	280503	Xavier
518938	280504	Xavier
518938	280506	Xavier
518939	19369	
518939	24205	
518939	296499	Luis Avendano
518939	377173	Profesor Moncayo
518939	380107	José María De Icaza
518939	380269	José Luis
518939	380445	Felipe Gómez Crespo
518939	382378	Felipe
518939	383273	
518939	385875	Felipe
518939	391421	Phillipe
518939	397009	Antonio Sanz
518939	401435	
518939	402219	Alberto Souza
518939	402404	
518939	404702	Víctor
518939	404869	David
518939	405318	Francisco Reyes
518939	408709	
518939	408919	
518939	409290	Humberto
518939	410081	Mario
518939	410303	
518939	410450	Archiduque Francisco José
518939	411710	
518940	221136	Salsa Dancer
518940	245219	Driver
518941	124240	
518941	204042	
518941	396035	Bira Rangel
518942	280016	Andy
518943	4656	(segment "Pacto, O")
518943	14705	
518943	20696	
518943	22873	Father Xantes
518943	29050	
518943	34070	Dr. Cantagalo
518943	39130	
518943	42576	Father Silva
518943	43240	
518943	48529	
518943	53850	
518943	57323	Rocha
518943	61134	Bichero
518943	63821	
518943	69494	
518943	74961	Henrique
518943	76064	
518943	83706	
518943	84536	
518943	89405	Paco
518943	90452	Mirandão, Vadinho's Buddy
518943	99107	
518943	107710	
518943	120703	
518943	122241	Mário
518943	122767	Capitão
518943	131986	Benedito
518943	165735	
518943	184214	
518943	205814	
518943	218719	General Sinaldo
518943	224965	Dom Velasquez
518943	227781	
518943	245585	
518943	248303	
518943	269273	
518943	271276	
518943	275024	Nico
518943	291892	
518943	307472	
518943	307828	
518943	328035	Colonel Flores
518943	328866	Napumoceno
518943	341142	(segment "A Construção - Amor
518943	349722	Babalu
518943	349723	
518943	377610	
518943	380331	Manoel
518943	387902	Purunam
518943	391609	Joel
518943	391674	Leopoldo Canjerê
518943	393006	Padre Bento
518943	393792	João da Silva
518943	394121	Caveirinha
518943	395089	Lampião
518943	397409	Padre Marcelino
518943	400673	Bonitão
518943	401104	Queiroz
518943	403171	Norberto
518943	403326	Capitão Laurindo
518943	404165	Bento
518943	404273	Zorba
518943	404834	Sebastião Ferreira
518943	405810	Zito
518943	406833	Fortunato
518943	407830	Pedro Arcanjo
518943	410377	Zelão
518945	154761	Himself
518946	332656	
518946	344654	Roberto Villamar
518947	76222	Hutch
518947	171879	Ronnie
518948	380730	Himself
518950	227685	
518951	257122	Himself
518951	351431	Pearl (Flaming Creatures)
518951	381200	Bad Tripa
518951	384118	Yuri (2000)
518951	384480	Zé Roberto
518952	195089	Calven
518952	257305	Tiger Woods
518953	135498	
518954	181962	
518955	168057	Heme Tahir
518956	244483	
518956	380474	
518957	100408	
518957	216777	Brody
518957	222412	Oso
518958	251747	Himself
518958	277074	Himself
518958	392365	
518959	6307	
518959	8121	Short appearance
518959	8125	
518959	8131	
518959	8154	
518959	15295	
518959	15801	
518959	18219	Stavros
518959	18222	Ieremias Talianidis
518959	18711	
518959	20126	
518959	22201	
518959	22649	
518959	23154	Narrator
518959	23155	Narrator
518959	29696	
518959	86258	
518959	86829	
518959	89662	
518959	96976	
518959	97854	
518959	97860	Yerakis
518959	98421	
518959	99163	
518959	100618	
518959	100630	M. Michele
518959	100632	
518959	102201	
518959	102694	
518959	102892	
518959	107332	
518959	123522	
518959	125696	
518959	126264	
518959	129352	
518959	139558	
518959	139718	
518959	151866	
518959	154135	Haralabos
518959	156414	Vaggelis
518959	162139	
518959	172713	
518959	178783	Stavros
518959	180285	Spiros
518959	180348	
518959	180888	Menios Fournaros
518959	181177	
518959	184764	
518959	193532	
518959	195127	Col A. Kontelis
518959	199716	
518959	201972	
518959	203808	
518959	204242	
518959	204640	
518959	209774	
518959	212566	
518959	216984	
518959	224857	
518959	233236	
518959	243079	Notary
518959	248038	
518959	250542	Lazaros
518959	252700	
518959	256405	
518959	256406	
518959	258926	
518959	281228	Stamatis
518959	287979	
518959	288647	
518959	316922	Ksenofon
518959	326214	
518959	326216	Leon
518959	331168	
518959	331747	
518959	337531	
518959	341192	
518959	356971	
518959	373337	
518959	380779	Thanos Yanouzis
518959	380819	Flamouris
518959	387711	
518959	397610	Police Inspector Bekas
518959	398784	Police Inspector Bekas
518959	400882	
518959	407925	Police Inspector Bekas
518960	387508	
518961	8333	
518961	18937	
518961	216317	
518962	316343	Executive #5
518963	241188	
518963	316343	Executive #6
518964	125599	Old Man at Party
518965	69899	Teenage Gang Member
518966	21042	Private Detective
518966	75896	Sunways Technician #1
518966	136838	Producer
518966	140078	Monty Spiegel
518966	231746	Tony Phillips
518966	235645	First Fighter
518966	242745	Venus
518966	252985	Jazz Bandleader
518966	363061	Clarence
518967	4514	
518967	104494	
518967	116393	
518967	195117	
518967	205142	
518967	233906	
518967	262235	
518967	274063	
518967	344699	
518968	88338	
518969	107920	Little Boy
518971	300379	
518972	95743	
518973	129135	
518974	79235	
518974	80963	Harun
518974	94456	
518974	101459	
518974	116061	
518974	145186	
518974	179367	
518974	181391	
518974	249727	
518974	260892	David
518974	268480	
518974	299598	
518974	327099	
518974	339058	Astriti
518974	339294	
518974	343593	
518974	348110	
518974	351540	
518975	129135	
518975	129147	
518975	224514	
518975	231206	
518976	241311	John
518977	233456	
518978	63925	
518978	149615	
518978	344090	
518979	309967	Armand
518980	97544	
518981	411590	Xinli's father
518982	135648	Liu Wang
518983	193907	Li Li
518984	298700	Lin Fan
518985	305375	Dim Sum Restaurant Goer
518986	29473	Wang Manyun
518986	167883	
518987	341442	(segment Mouth)
518988	149050	Jia Baoyu
518989	370845	Gao Tianbao
518990	296566	
518991	91540	Huang Jinyu
518992	62068	Quentin Young
518992	94447	Chen Wen
518992	171737	
518992	210998	
518992	225950	Gao Ju
518992	296759	Liu Jinglun (Liu Zhonglun)
518992	367133	
518992	370512	Ma Xiaojun
518992	375011	Wang Shengli
518993	169594	Huang Tai Tai's Servant
518994	110616	Ouyang Guang
518994	192460	Landlord
518994	268768	Wei Zhipu
518995	90554	Mi Guoliang
518995	99809	Lu Peimin
518995	140806	He Long
518995	184328	Lu Dali
518995	193874	Secretary Zhou
518996	386933	
518997	16396	Himself
518998	63494	
518999	153039	Shu Shun
518999	153214	Shi Chunlai
519000	349713	
519001	76673	
519001	371139	
519002	53993	Supremo ammiraglio Kwo Lang
519003	297536	
519004	172219	
519005	307199	
519006	371615	General
519007	76293	Feipu
519008	275575	Mr. Ren
519009	268614	
519010	51480	Haier Representative
519010	61808	Ballerina 1
519010	210121	
519011	297536	
519012	375915	Qin Jianjiu
519013	133853	Liu Yida
519014	175757	
519015	361018	
519016	63434	
519016	135048	Fang Shuzi
519017	62809	
519018	359568	Volta
519019	63304	
519019	189218	
519020	209908	Father
519021	305375	Student Ping
519022	369709	
519023	297360	
519023	406145	Gobbo
519024	369976	
519025	369976	
519026	369709	
519027	297536	
519028	370601	Shuisheng, the boy
519029	102554	
519030	126614	Cop II
519031	193073	
519032	96101	
519033	20713	Ramírez
519034	302333	
519035	299287	Spiro
519036	294595	
519037	54464	Partisan
519038	18279	Elder of Thebes
519039	148000	
519039	243080	
519040	94364	Old Man Lin
519041	359568	Quan's Friend
519042	299225	Manager
519043	27741	Xia Shihua
519044	370509	
519045	385523	Xu Wenguang
519045	391783	Yang Xiong
519045	393548	Sai Wei
519045	405126	Husband Lin
519045	411589	Li Yuanfan
519045	411873	Yang Yong
519046	192444	Ma Jinlong
519046	214379	Professor Song
519047	94359	Chen Wenjian
519048	303152	
519049	97432	Wang Fengjiu
519049	336639	Magan the fish poacher
519049	369972	
519050	8781	Xie You
519050	76266	Ding Jian
519050	111200	
519050	137176	
519050	141912	Sixth Brother
519050	268641	Wang Yisheng
519050	332322	Ma Qiang
519050	369550	Director Xie
519050	369791	Gao Liming
519051	51480	Haier Representative
519052	12240	Milo
519052	16968	Dr. Gould
519052	30582	Riverdance Referree
519052	72677	Selden
519052	107842	Society man
519052	139283	Augie
519052	148313	Charlie the Cabbie
519052	296808	Donald McFerrell
519053	143815	
519054	330388	Melanesian villager
519055	162329	Teacher Zhang
519056	311389	Giorgos
519057	21590	
519058	38975	Himself (Catholic Bishop of E
519059	396718	
519060	29517	
519060	383141	
519060	385629	Bandeira
519060	387732	Valdir
519060	388563	Detective
519060	391900	Mário
519060	397541	
519060	400094	
519060	409024	
519060	412179	Valtinho
519061	90658	
519062	94840	
519063	383777	
519063	397021	
519064	369655	Zhang Zhichen
519065	184322	Ling Yong
519065	359009	Shi Hailiang
519065	369612	Yang Hu Cheng
519065	376050	Rich Man
519066	197598	
519067	236395	
519067	286275	
519068	371615	Musician
519069	111261	Yan Wanshan
519070	370601	
519071	76338	
519072	27898	Minister Yu
519072	94359	Political Commissar
519072	124868	Army Commander Hong
519072	141913	Division Commander Lei
519072	371922	Sun Mingren
519073	376156	Jia's roommate
519074	149011	Mr.Zhang
519075	247953	Bao Ge
519076	371467	TV station director
519077	59061	Opera Lord
519077	86913	Opera Lord
519079	221497	
519080	2986	Shaolin Monk
519080	36376	Captain Kiang
519080	76358	Tai (loan shark)
519080	78583	Fei Lung
519080	91886	Stavro's Man in Hotel
519080	137154	Bald Killer
519080	137315	Kau's Man
519080	151953	
519080	152101	Club Foot
519080	152102	Club Foot
519080	167781	Wong Wing
519080	268671	Long Hair
519080	299981	Robber
519080	302150	Xin Xin (Bodyguard)
519080	317699	Prince Barac
519080	344552	Hing Xiong
519080	368063	'Clubfoot' Seven
519080	368065	Kung
519080	368066	Club Foot
519080	369763	Bald Triad
519080	369794	Ngai
519080	371591	Keung
519081	85886	Ge Yu
519082	193872	Xiong's Aide
519083	74673	(segment "Año nuevo)
519083	88802	
519083	379000	Prof. Ortega
519083	379615	Alejandro Antunez
519083	392610	Víctor Palacios
519083	395373	Linares
519083	397014	
519083	397262	Lorenzo
519083	398488	Gen. Alcantara
519083	399519	
519083	400942	Ezequiel Santana
519083	402772	Radael
519083	405813	
519084	323300	
519086	18221	
519087	76018	Himself
519087	162329	Dr. Wang
519088	102568	Sinkatutu Chief
519088	120237	Hostel Guard
519088	231230	Village Chief
519088	403319	Lobengula
519088	405036	Bhebhe
519089	215039	
519090	215039	
519091	59491	
519091	137174	
519092	9192	Lin Zhigang
519092	133853	Yu
519092	334952	Zhou
519093	77549	Zhuang Jisheng
519093	111191	Uncle
519093	369085	Lao Mo
519094	10309	Tony/Flamenco Dancer #2
519094	30406	Osirus
519094	31906	Crazy 8
519094	64448	Thug #1
519094	73223	Finesse
519094	123713	Ro Conner
519094	257571	Tico
519094	350889	Vargas
519095	133537	Himself (runner)
519096	210868	Modelo Boy
519097	338981	Himself
519098	393363	Alberto
519098	404851	Felipe
519099	46182	Fink
519101	238251	Salim
519102	238251	Chief of the Whimmoways
519103	62386	
519103	233906	
519103	236040	Durval
519103	238251	Meekaba
519103	391674	Himself
519105	93223	Store Clerk
519105	133537	Himself (runner)
519106	249027	
519107	179641	Marlon Xtravaganza
519108	305375	Li An
519109	371595	Chen Jianhua as a child
519110	59291	Director Yan
519110	94363	Du Qiong
519111	141882	Qu Jingzhi
519111	268612	Mei Shan
519111	367149	Captain
519112	343648	Zhao, Fu Ting
519113	27907	Chiang Kaishek
519114	111191	Zhang's Father
519115	405110	Gan Qing
519116	251108	Orphan
519117	44610	Chen Yi
519118	296573	Ma Huamin
519119	63276	Old Pu
519120	90548	Bike Rider #1
519121	251929	
519122	76839	Luo Ting
519122	85501	Zhao Fengzhi
519122	135045	Goujian
519122	135486	Yang Zhihe/Tian Fengren
519122	184327	Zhao Yinglong
519122	317707	Tian Zhonghua
519122	371595	Chen Jianhua
519123	181428	Gao Hai #1
519124	181428	Gao Hai #2
519125	335413	Guigui
519126	123967	Mr. Wei
519126	151957	Zhang Leyi
519127	297347	Meng Degui
519128	376051	Zhang San
519129	375288	Tom (serial killer)
519130	2512	Qian Kai
519130	30604	
519130	184311	
519130	268710	Fang Jie
519130	302898	
519130	360980	Jiang Shixiu
519131	167835	Zhao Qinghe
519131	371931	Second Prince
519132	60569	
519133	95192	
519134	118648	Dr. Bao
519134	240471	Mao Tse Tung
519134	312138	Interrogator
519135	318937	Lu Jiaodong
519136	170021	Yan Qi
519137	86267	Ah Zhi
519137	149072	Luo Xiaoman
519138	227257	Lu Yuan
519139	152139	Zhao Yong
519140	227268	Cui Zuo-Bang
519141	117167	
519142	151906	
519142	181426	
519142	192474	
519143	374814	Political Supervisor
519144	44610	Lu Jun
519144	121122	Xie Yanfei
519144	369931	Yang, Zhenyuan
519145	152014	Wang Ruifeng
519145	170019	Xu Niuzai
519146	29453	Manager Sha
519146	60134	Ma Dache
519146	167738	Feng Shaohui
519146	191005	Xi, Fengnian
519147	371931	Fourteenth Prince
519148	53858	
519149	267281	
519150	162329	Sinbad
519151	376050	Wang Qiang
519152	251108	Orphan
519153	110620	Ai Qinbo
519154	149011	
519155	151995	Suang
519155	302891	Ching
519156	154437	
519157	76400	Li Weicheng
519158	13224	Bartender
519158	27168	Eddie Dominguez
519158	43606	Filippo Chirazzi
519158	72292	Gaston, Men's undergarment de
519158	87610	
519158	95518	Dutch Lover
519158	102674	Gabe
519158	109931	Phil
519158	134387	Rob
519158	138153	Milo
519158	166882	Jimmy
519158	228434	French Boy #2
519158	268810	Ted
519158	289059	Alex
519158	315257	Raoul
519158	323876	(segment "Dutch Master, The (
519159	29619	Young Soldier
519159	41329	Butcherbird "Butch" Vlad
519159	44495	Levon
519159	90855	Biker
519159	108029	Jim Mix
519159	121348	Terry Gifford
519159	124022	Brent
519159	177013	Claude
519159	188963	Lewis
519159	221138	Deputy Dog
519159	223777	Liam Fallon
519159	228434	French Boy #1
519159	269759	Henry
519159	272846	Lazarus
519159	272972	
519159	401147	1st Lt. A.J. Conaway (1997-19
519160	371467	Student
519161	66255	
519162	324717	A Cang
519163	148891	
519165	168261	Himself
519166	231111	Taverna Propriator
519166	311107	Iro, der Hund
519167	73788	Detective
519167	310633	Sayonara's Campaign Manager
519167	374649	Messenger
519168	223719	Suitor
519169	114212	James
519169	273498	Craig Fenimore
519170	3100	Male Lunch Truck Rapper
519170	11046	Himself
519170	46448	Jamal
519170	71687	Himself
519170	121512	Duncan
519170	145630	Himself
519170	145643	Himself
519170	201601	Himself
519170	221448	
519170	305002	Knuckles
519170	348338	Himself
519170	359715	Wayne
519170	362426	Party Guest
519170	370037	Zeke
519170	395768	
519170	401478	Host
519171	23376	
519171	96269	Policía (Policeman)
519171	242666	Ramón Serrano Suñer
519171	376687	Seguridad de Atocha
519171	392845	Host
519171	399609	Host (2002)
519172	217394	
519173	159571	Frank Guerrero
519174	97707	
519174	180724	
519174	192299	Sunny
519175	112448	
519176	371615	Commander
519177	175008	Himself
519178	383830	Arabic Affairs Correspondent 
519179	25225	Riding Tutor
519179	163756	Nadav
519179	378704	
519179	383005	Jacob 'Koby' (2001-2002) (sea
519179	402552	Baby Kelno
519180	15191	
519180	142730	Turkish Officer
519181	370601	
519181	406145	Roggar
519182	175088	
519183	252813	Bakri
519184	166631	
519184	285483	
519186	185764	Soldier
519188	338001	Bonjo
519189	224813	Pall Bearer at Airport
519190	198102	Himself - Survivor from Auswi
519191	146777	Hitar Petar
519191	258572	
519191	293811	Kosta Deyanov
519191	311386	
519191	401024	
519191	404035	Sledovatelyat
519191	405462	
519192	42584	Quispe
519193	32757	
519193	59979	
519193	74430	Captain Chelpanov
519193	95934	
519193	296994	
519193	374840	Sectarian
519194	177956	
519194	211825	Shigekazu Yokota
519194	327962	
519196	176527	
519197	404227	Tomonoshin Shibui
519197	411893	Kôji Andô
519198	352004	Don Severiano
519198	376820	
519198	411712	Genaro
519199	212257	Thug #1
519200	82984	
519201	118	Himself
519201	137686	Himself
519202	113743	Butch Tippet
519202	137655	Richie
519202	232456	Buddy in Locker Room
519202	264409	Brian Young
519202	324546	Schoolkid
519202	364612	Armenian Robber #2
519203	262502	
519204	95570	
519204	95580	
519205	46875	Rabbi
519206	200802	
519206	298280	
519207	408623	Himself (2004-)
519208	391778	Presenter
519209	407378	
519210	374110	Jakujiro
519211	98203	Senmatsu
519211	147352	
519211	172105	
519211	217073	Fumio Sakamoto
519211	232565	Sumita Naganami
519211	293603	Ryuji Hamazaki
519211	325988	Teruya Shimada
519212	2890	Roger Heckler
519212	22179	Attendant
519212	218850	Intrepid Pilot
519212	333423	Martin Luther King, Jr.
519213	280631	Roy
519214	373188	
519215	44495	Cartucci
519216	375077	
519216	376998	L'Espagnol
519217	108133	
519218	229155	
519219	197276	Pushkin
519220	288655	Yamagami
519221	177791	Hau Yung
519222	104944	Rainbow Room Reporter
519222	135927	
519222	155219	New doctor
519222	223248	Men's Store Clerk
519222	243227	Warrant Officer Robert Grimsl
519222	321307	Michael Thompson
519223	62610	
519223	215520	Dany
519224	20878	General Griaznov
519225	49472	Khmelya
519226	265936	Overko
519227	47054	
519227	299428	
519227	305288	
519227	320402	Tsar Pavel I
519227	323317	
519227	356420	
519228	348708	Hitler
519229	222612	Registration Official Wilson
519230	27529	
519231	13723	Bike Messenger, New York, New
519232	1300	Caleb Harris
519233	4621	
519233	5844	Lopez
519233	10602	Headwaiter
519233	10678	Violinist at Restaurant
519233	20087	Cab Driver
519233	20276	Pierre La Farge
519233	25389	Barber
519233	26863	
519233	29728	Bit Part
519233	30156	Fisherman
519233	32160	'Baby'
519233	34692	Waiter
519233	40466	Rusty Wood, Guitar Player
519233	44324	Drunk
519233	47311	
519233	56280	
519233	60946	Manuel
519233	66679	Blacksmith [Chs.2,7,9,11]
519233	81097	Italian
519233	81281	Vendor
519233	92117	Horserace Loser at Fiesta
519233	92243	Pete
519233	92443	Pedro
519233	92831	Nico
519233	93650	Lopez Mendoza
519233	93664	Lopez
519233	94604	
519233	96852	Tony, Green Grocer
519233	100213	Band leader
519233	103335	Manuel, Taxi Driver
519233	112070	Pablo
519233	112368	Gonzales' Landlord
519233	113889	Tony
519233	113920	French Soldier
519233	114591	Tony
519233	117438	Tony
519233	117510	Zomar, the grocer
519233	117545	Accordion Player
519233	128102	El Rayo Bandit
519233	128198	San Proximo Hotel Proprietor
519233	128850	
519233	129231	
519233	135831	Frank Gorman
519233	138376	Drifter
519233	142125	Accordian player
519233	143581	Specialty act
519233	153156	Peanut Vendor
519233	154925	
519233	163225	Greek
519233	163288	Tony
519233	184948	Concertina Player
519233	186414	Pedro
519233	188294	Cab Driver
519233	188393	Organ Grinder
519233	193706	Lopez Mendoza
519233	197028	Anthony 'Tony' Giribaldi (Doc
519233	199739	Peppo
519233	203281	Pete
519233	206118	Don Alejandro's Servant
519233	212211	Waiter in Mexico
519233	215748	Italian
519233	220911	Armenian Man
519233	228814	Organ Grinder
519233	231794	Engineer
519233	244938	Hat Vender
519233	248374	Sicily Joe
519233	253020	
519233	256418	Manuel
519233	257087	Truck Driver
519233	262066	Tony Angelo
519233	267596	Tony, a Sick Dog's Master
519233	270404	Luigi
519233	278097	Baby
519233	278105	Lopez Mendoza
519233	279743	Peon
519233	281002	Tony
519233	287827	
519233	294577	Mr. Peppino
519233	294692	Giuseppe
519233	296438	Manana
519233	304966	Mexican Singer
519233	308620	Accordion player
519233	309831	Baby', Ciscos sidekick
519233	316232	Jack, Coffee Shop Owner
519233	316487	Shanty
519233	330190	Singer in Cantina
519233	331498	Pete (Italian vet)
519233	331764	Photographer
519233	336287	Lopez, Plantation Driver
519233	339657	Lopez
519233	342930	Tony Vitale
519233	347128	Indian
519233	347357	Italian
519233	356270	Himself
519233	358645	Bartender
519233	359140	Dog Catcher
519233	361740	Haw-Haw
519233	361768	Lopez Mendoza
519233	363476	Pierre LeFerre (Tom's sidekic
519233	365298	Lopez
519233	365302	Clemente (the mule driver)
519233	365304	Sidekick Manny
519233	365480	Mike Morales
519233	372133	Accordion player
519234	13428	
519234	30255	Greco
519234	68285	Mr. Pellegrini
519234	73475	Soldier
519234	130717	Waiter
519234	134497	
519234	198545	Maitre D'
519234	292552	
519234	294577	Ricardo
519234	315490	Greek Fruit Stand Owner
519234	315745	Bellhop (segment "Mademoisell
519234	331323	Ticket Agent
519234	361841	Mrs. Maroni's Man
519235	36622	
519235	168666	Building Officer
519236	47079	Himself
519237	163565	Travis Miller, Jr.
519238	280729	Older Arab Father
519240	25169	Détenu 1
519241	91576	Youth
519242	17194	Le voisin
519242	157235	
519242	158877	Le flic de la rue Fontaine
519242	170433	Un technocrate
519242	243022	Monsieur Legis
519242	314083	Le valet de chambre
519242	375368	
519243	135996	Cop
519243	287210	LAPD officer
519244	336828	Serge Wilfrid
519245	154054	Nicky
519246	383718	Coqui
519246	384119	Adolescente (1999)
519246	394017	Classmate of Lautaro Moravia 
519246	398165	Facundo
519246	398661	Little Thief from the Street
519246	398816	
519246	408895	Extra
519246	412198	Extra
519247	71346	Solo dancer
519248	109438	Hot Rodder
519249	80568	Raidou
519250	91096	Dr. Kôchin
519250	139492	Announcer
519250	147362	Colonel
519250	177756	Hydra Bûton
519250	177757	The Niô
519250	177759	Eye Satan
519250	177762	Môko Seijin
519250	177763	Black Dai-Ukon
519250	201287	Dr. Nossori
519250	283268	Village Chief
519250	344030	Talan
519250	344032	Talan
519250	344953	Makasu
519250	358132	Illumidas Officer
519250	379540	Evil
519250	386775	Doctor Gero
519250	386776	Dr. Gero/Android #20
519250	391752	Colonel
519250	396498	Papa
519250	409325	Talan
519250	409326	Talan
519250	409327	Hydern, Takeo Kodai
519251	174953	Niga
519251	181996	
519251	198679	
519251	212306	Mr. Ichinose
519251	394030	Various characters
519251	394031	Various characters
519251	394193	Grandpa
519251	407903	Professor Shikishima (Doctor 
519251	408485	Silas
519252	127020	
519252	152702	
519252	170712	
519252	217202	
519252	319794	
519253	227650	
519253	373794	
519254	285802	Bheema
519255	288563	
519255	302814	Tanaji Malusare
519256	29858	
519256	52168	
519256	68681	Yadav
519256	76463	Jeep Driver
519256	85417	
519256	164284	
519256	187224	Ram Prasad Bismil
519256	202791	Constable
519256	262373	
519256	279296	Bungalow watchman
519256	349446	
519257	79333	Inspector Rana
519257	122714	Narsing
519257	168789	
519257	181378	Narsing
519257	207388	
519257	208620	
519257	323049	
519258	208568	Sanjay
519259	1392	Munna
519259	4266	
519259	4432	Trishanku
519259	8410	Actor Manager (Sutradhar)
519259	22118	Magadha soldier
519259	29081	Madho
519259	31423	Sohan (Saanvri's husband)
519259	79119	Dayashankar Pandey (Teacher)
519259	81995	Jata
519259	85324	
519259	86678	Shukla
519259	87701	Soma
519259	93864	
519259	95453	Raghu
519259	96728	Hariya/Himmat Ali
519259	124783	Vishnu Prasad's father
519259	172129	Banarsi, Karan's father
519259	174315	
519259	175922	Willie
519259	183897	Bhura
519259	208601	
519259	209558	Nawab
519259	228895	Blind man
519259	282945	Budhwa
519259	285950	Chillum
519259	286537	Actual Dalit Nathu
519259	319843	
519259	325016	Nain Sukh
519259	341695	Manto
519259	359934	Gulabi
519259	370735	Budhai Ram
519259	398536	Mungheri lal
519260	86669	
519261	4254	Apte
519261	36277	
519261	59011	Iqbal Chamdi
519261	62725	Chotu
519261	68681	Joseph
519261	79119	Apple vendor
519261	98463	Chhotu
519261	124296	
519261	143890	Major's sidekick
519261	152477	Attacker at the parking lot
519261	152815	Raja
519261	160178	Kailu
519261	170712	Durga's henchman
519261	172539	Guru
519261	179373	Raj Naidu
519261	181482	
519261	184170	Dhattu
519261	195687	
519261	201047	Rajeshwar Singh (Raja)
519261	201085	Munna (Bhaijaan's henchman)
519261	207098	
519261	207376	Cafe boy
519261	222063	Raj/Paul
519261	254731	
519261	279296	Bhanwar Singh
519261	297728	
519261	341691	
519261	341695	
519261	359163	
519261	370983	Newspaper publisher
519262	157578	Babu's Friend
519263	57579	Madir Fatim Fall
519263	219749	Samba
519263	336641	Le pharmacien
519264	83752	
519264	139848	
519264	325691	
519265	8654	
519265	9744	Father
519265	41479	Weiner
519265	98658	
519265	102444	
519265	104954	
519265	129055	Israeli Commander At Jerusale
519265	189916	Grandfather Zaida
519265	206832	Rabbi Abraham
519265	213674	
519265	248812	Grandfather
519265	340918	Capt. Gabar
519265	352570	Maj. Menschikov
519265	354061	Sergeant Vassilij Voroshenko
519266	118257	Narrator
519267	386236	Takase Ichirou
519268	135578	Venom
519268	135579	Venom
519269	411802	Aaron (1991-1993, 1995, 1997-
519270	108425	Alex
519270	311194	Cole
519270	330594	Legal Assistant
519270	330999	Crown Acquisitions Executive
519271	115874	Cmdr. Allan Drake
519272	410303	
519273	372926	
519274	319362	
519275	359712	Lynn
519276	248134	
519277	121359	Dog Hamma
519277	252454	Discotheque Owner
519277	307936	Marvin Hocker
519277	361544	Judge Captree
519278	2133	Ninjas
519279	103151	Ken
519280	344034	No. 2 Pairan
519281	387405	Bican
519282	358336	Mehmet
519283	412237	Ismail
519284	139211	Bar Dog
519284	182955	Gangster at Victory Motel
519284	210204	
519284	228725	Stevens
519285	334367	USMC Band Member
519286	360231	Pusher
519287	238039	Thug #2
519288	177422	Steve-o
519288	194699	Derrick
519288	223807	Porn helper #1
519288	232991	Running Friend
519289	138068	
519290	36724	Jordan Crawford
519290	38406	Jim Goldman
519290	67609	Teddy McVeigh
519290	80518	Eddie South
519290	176478	Jack Taylor
519290	196600	Craig
519290	199759	Paul
519290	219979	Ken
519290	223920	Dorothy/Lt. Ralph Fleming
519290	233956	Michael
519290	241621	Heller
519290	247494	Bruce Bobbins
519290	267605	Neighbor from 207
519290	274035	
519290	296990	Jimmy Valentine
519290	354164	Ghost Rider
519290	366131	Jack Lowe
519290	378795	Off. Tom Hanson #1 (1987)
519290	381925	Scott Cooper
519290	395781	Alex Rydell
519290	403717	Keith Wyman
519290	409738	Kyle Bates
519291	81102	Himself
519291	179053	Himself
519291	304864	Himself
519291	339573	Lead Guitarist
519292	12951	Amahl
519292	137223	Ain't Got No
519292	167047	Annas
519293	27728	
519294	214715	
519295	46856	Hara
519295	74195	Interpreter
519295	91734	Dr. Paul Nakamura
519295	123133	RAdm. Jiro Kobe
519295	152962	
519295	177699	Yutaka Omura (U.S. version on
519295	203917	Chinese officer
519295	228830	Mr. Okato
519295	309097	Voice
519295	344167	
519295	358561	Jimmy, Rutland's Driver
519295	396785	Charlie Wong (#1) (1959-1960)
519296	18662	Kouichi Nakamura
519296	298425	
519296	322417	Bangor III
519297	43898	Nakayama Haruo
519298	33333	
519298	85865	Gaby
519298	140055	
519298	230033	Eli, the Bridegroom
519298	298248	
519298	299520	
519298	339022	
519298	343408	
519299	78664	Akira
519300	136760	
519301	18286	
519302	2094	
519302	25993	
519302	143235	
519302	173563	
519302	173779	
519302	371559	
519303	26023	
519303	30996	
519303	156211	
519303	378598	
519304	38492	Himself
519305	394377	
519306	172970	
519307	35973	
519307	164851	Narayan
519307	166492	
519307	323672	Niranjan
519308	130158	Ranmal, Sejal's father
519309	123550	
519310	315335	Skycap
519311	27040	Host
519311	221483	Himself
519311	221487	Host
519311	221488	Host
519311	221489	Host
519311	398438	Correspondant (1999-)
519311	408610	Himself (2001-)
519311	408978	Host
519311	408978	Narrator
519312	355131	
519313	310479	
519314	76709	
519314	216610	
519315	287014	
519315	311389	Loukas
519316	121932	Convenience Store Employee
519317	207631	Judge
519318	1468	Himself
519318	1727	Himself
519319	356924	
519320	208015	Tatsuya Inamura
519320	299405	
519321	202398	Sicario #2
519322	35020	Leonardo
519322	268498	Guardia civil
519323	239010	Músico 2
519324	244640	José Luis
519325	8658	Alexander
519325	169974	Zvi
519326	215236	
519327	381871	Noxic
519327	397040	Masked Rider
519328	171892	
519329	44394	
519330	14002	Mase, bar patron
519331	272919	Himself
519332	6618	Chauffeur ambulance
519332	64951	Melchior
519332	101208	Chauffeur de taxi
519332	211362	Mourad
519332	261843	
519332	294567	L'homme-poison
519332	354907	Ratiche
519332	376596	Chérif
519332	396042	
519333	80514	Will Zaine
519333	299736	Dodgy man
519334	10545	Jeff
519334	99804	
519335	112818	Chauffeur bus 2
519335	169658	
519336	100343	Mouldi
519337	12279	
519337	200244	
519337	200311	
519338	375537	Amnon
519339	18	Store Cashier
519340	379816	
519341	8764	
519341	293389	
519341	293449	Kenji
519342	238096	Teacher at Gate
519343	138077	Doctor
519343	161685	Michio Bonomia
519343	167942	Lookrew (Teacher)
519343	173080	Ishida
519343	177122	Takuya Ishii
519343	242116	Fujiwara Morosuke
519343	308473	Takahashi
519343	390083	Nobushige Ozaki
519343	394705	
519344	407904	Hige Oyaji
519345	294181	
519346	232569	Jintaro
519347	8888	Tsuruta
519348	323804	Riggs
519349	342097	
519350	80660	Student #2
519350	194248	Sheriff Carney
519350	297549	Nikki's Soldier
519351	354941	Le premier producteur
519352	302296	
519353	178727	(segment "Klinika")
519354	36178	
519354	108602	
519354	181626	
519354	217336	Roshanara
519354	234860	
519354	239485	Kotani
519354	246883	
519354	270313	Kajii, Y?suke
519354	281478	
519354	290365	
519354	301449	Go Yabuki
519354	334928	Isao
519354	351125	Tishyaraksha
519355	114648	Pvt. Gray
519356	20091	Bob
519356	292233	Dick
519357	253059	Ad Executive
519357	348614	Garrett
519358	220500	Pierrot
519359	223563	
519359	321876	Sobolev
519360	275217	
519361	176409	Lex
519362	199941	
519363	313176	
519363	352640	
519363	357126	Andrei
519364	22739	
519364	44394	
519365	332955	
519366	250885	
519367	154412	Himself
519368	22072	
519368	23127	
519368	24806	
519368	24846	
519368	24849	
519368	28250	
519368	32315	
519368	39088	
519368	99551	
519368	113916	
519368	124915	
519368	140608	
519368	165704	
519368	178387	
519368	182820	
519368	284810	Neset
519368	335985	
519368	350929	
519368	370372	
519368	370914	
519368	376112	
519370	298179	
519370	367443	Avi
519370	382327	Gidi Kraus
519371	130509	Bozalak Cakir
519372	113390	Cultist
519373	13491	Vajika
519374	225827	
519375	212172	
519376	8043	Michael Jackson
519377	382445	
519378	323265	Horu's Father/Toto
519378	359611	Reporter C
519379	8102	Ahmet
519379	19040	
519379	20661	General of the police
519379	98565	Producer of Faethons broadcas
519379	98734	
519379	173084	Mr. Pashalidis
519379	183203	
519379	247085	
519379	247908	Andreas
519379	248646	
519379	282723	The Priest
519379	294834	Stephinedes
519379	321167	Pablo
519379	330073	Stratos
519379	379533	
519379	380420	
519379	387400	Dimitris Marikos
519379	389183	Uncle of Jenny
519379	394219	
519379	400825	
519379	407739	Lazaros Ourailoglou
519380	60730	Karpo Ivanovich
519380	130200	Uncle Vanya
519380	172726	
519380	180358	Lopata
519380	201976	
519380	212294	Ded Maksim
519380	244651	
519380	284066	
519380	294669	
519380	351020	Patsyuk
519380	355990	
519380	370231	
519380	373443	Serko
519381	265939	Andrei
519381	375419	
519382	4983	
519382	9604	
519382	43217	
519382	63593	
519382	76709	
519382	84259	
519382	114030	
519382	181327	
519382	200993	No. 1 Guy in Russian Mafia
519382	209514	
519382	239916	
519382	262500	
519382	263658	
519382	263672	
519382	273088	
519382	300810	Maximich
519382	305799	
519382	320715	
519382	341184	
519382	346465	Trenchcoat Killer
519382	350798	
519382	351981	
519382	357626	
519382	376217	
519383	137113	
519383	217216	Ivan
519383	248483	
519383	351550	Alliocha
519384	134758	Karpov
519384	182259	
519384	214126	Niccolo
519384	273098	
519384	338187	
519385	179667	
519386	64661	Icarian games/Body Skating
519387	109408	Danseur pub Fast Burger
519387	213520	Premier Ingouch
519387	313084	Le Russe en garde à vue
519387	339284	
519388	394750	
519389	357346	
519390	297862	
519391	95327	
519391	95669	
519391	120698	
519391	131298	
519391	132084	
519391	210304	Dushinsky
519391	244255	
519391	258461	
519391	259926	
519391	261363	
519391	263693	Gilbys
519391	265941	Johann Strauß
519391	305284	
519391	349372	
519391	405425	
519392	175658	
519392	394750	
519393	95679	
519393	131111	
519394	88806	
519395	352663	
519395	357446	
519396	410410	
519397	313882	The song 'Alyoshkina lyubov'
519397	315002	
519398	60881	
519399	9263	
519399	48771	
519399	62857	
519399	82491	
519399	89593	Vasili Kruglikov
519399	89803	The Artist
519399	98585	
519399	111806	
519399	134867	
519399	162677	
519399	176141	
519399	179789	
519399	214311	
519399	224197	
519399	244046	
519399	263257	Glushko
519399	264555	
519399	289861	
519399	295067	
519399	303877	
519399	305546	
519399	312507	
519399	343834	
519399	352893	
519399	356913	
519399	356916	
519399	357700	
519399	370918	
519399	374939	
519400	180109	
519400	180743	
519400	199941	
519400	217284	
519400	218854	
519400	258675	
519400	295067	
519400	304896	
519400	324275	
519400	348707	
519400	356912	
519400	356913	
519400	394785	
519400	397513	
519400	398757	
519400	409848	
519401	32353	Slava Slonin
519401	181599	
519402	44391	Vasili Shchelkalov
519403	239369	
519403	294654	
519404	108776	
519404	163044	
519404	260603	
519404	348708	Helner
519404	373483	
519404	374734	
519404	375670	
519405	20176	
519406	82490	Mendel Beilis
519407	382821	
519408	17551	Stiva Oblonsky
519408	30118	
519408	34534	
519408	43193	
519408	58555	Boris Trigorin
519408	60435	Vladimir Porazhayev
519408	79475	Ot avtora
519408	84413	
519408	85150	
519408	94184	
519408	103931	Vieil Homme Kommonalka
519408	124071	
519408	136152	Lieutenant Rzhevsky
519408	155613	
519408	155673	Prince Myshkin
519408	162432	Ippolit
519408	163912	Ivan Vasilyevich Bunsha, hous
519408	174163	Solomatin, Nina's father
519408	177125	Bi, Patsak
519408	180357	Deramo
519408	180684	
519408	188935	
519408	196564	Police inspector
519408	198082	
519408	198155	
519408	214251	
519408	222293	Snusmumrik
519408	224440	
519408	225926	
519408	225999	
519408	229837	Dybych
519408	253649	Dibich
519408	257385	
519408	258702	
519408	288341	Pyotr Sapozhkov
519408	300354	
519408	313621	Narrator
519408	313882	Ivan Vasilyevich
519408	315934	Narrator
519408	318146	
519408	324652	
519408	352892	
519408	356870	Narrator
519408	357343	
519408	357675	
519408	373213	Nikolai Nikolaevich
519408	390430	baron de Meridor
519409	234435	
519410	25293	Bay Tanas
519410	30599	
519410	30600	
519410	90733	Mazhat s pateritzata
519410	95573	Advokatat
519410	126204	Bay Vasil
519410	174378	
519410	179092	
519410	179795	
519410	229155	
519410	242468	Lekaryat
519410	250885	
519410	263665	Leytenant Georgiev
519410	284473	
519410	284844	Kosta
519410	288323	Doktor Rusev
519410	306116	Bashtata na Nikolina
519410	314557	Germanski ofitzer
519410	332958	
519410	339236	
519410	373454	Prokurorat Drenski
519410	373568	
519410	374030	
519410	386065	
519410	394139	
519410	398896	
519410	407635	
519411	6220	
519412	260435	
519413	4291	
519413	4497	
519413	4858	Vinod
519413	6113	
519413	17901	
519413	18934	
519413	24270	Birju
519413	27472	Rajendra
519413	27972	
519413	31587	
519413	34201	Ghanshyam
519413	36141	
519413	49163	
519413	49167	
519413	58615	
519413	81705	Choudhury
519413	88506	
519413	95229	
519413	122697	Baldev
519413	132611	Vinod
519413	152409	Nanda
519413	152497	
519413	164843	Narayanlal
519413	166516	Raja
519413	169181	
519413	169927	
519413	171849	
519413	172553	Himself
519413	176152	
519413	184103	
519413	184179	
519413	204398	Jagdish
519413	205899	
519413	211458	
519413	215446	
519413	222347	
519413	222499	
519413	228695	Sadiq
519413	233151	Tirchhe
519413	233210	
519413	248558	
519413	250496	
519413	251257	
519413	254825	
519413	256627	Macintosh Programmer
519413	278643	Himself
519413	285404	Dhaboo
519413	286502	Jayant
519413	287641	
519413	295259	Jaganmohandas (1939)
519413	297744	
519413	301970	The Commander
519413	317785	
519413	326702	
519413	330974	
519413	351097	
519413	359417	Kailash
519413	359820	
519413	374037	
519414	95569	
519415	264926	
519416	74215	Executive
519417	267816	
519417	280398	
519417	283829	Militsioner
519417	316830	
519418	118638	
519419	79475	
519419	219718	
519419	237566	Artist
519419	313880	
519419	313881	
519419	374764	
519420	375415	
519421	154105	
519422	8459	
519422	259869	
519423	242476	
519424	30421	Hiroshi Yakumo
519424	125239	Jon
519424	141059	Yutaka Ando
519424	171657	
519424	287926	
519424	298742	Daisuke
519424	401736	Mii's father's assistant
519425	322104	Veteran
519426	244162	
519427	179318	
519427	374867	
519428	399344	
519429	97322	Himself
519430	138077	Criminal
519431	171742	
519432	9283	Yosuke Sasano
519432	45002	Oshima
519432	91046	Michio Hayasaki
519432	91086	Koheita Mochizuki, aka Dora-H
519432	104566	Makoto Sawai
519432	136096	Kenzo Nakada
519432	145448	Ootaka
519432	173080	Kantake
519432	174061	Goro Yabuike
519432	174994	Ship Captain
519432	177122	Hiroshi Kitano
519432	178421	Takaaki Ise/Tetsurô Haga/Tets
519432	182471	Kenichi Takabe
519432	182715	Sato
519432	194550	
519432	210537	Nobu
519432	229788	Kamimura
519432	232904	Fujimori
519432	242204	Cello player
519432	258597	
519432	296630	Makabe
519432	297182	Shohei Sugiyama
519432	299350	Sholchiro Kuki
519432	321517	
519432	322885	Kida
519432	324285	Man in White Suit
519432	335506	Hatsutaro
519432	336575	Atsuyuki Sassa
519432	345618	Takuro Yamashita
519432	370445	Kuwano
519432	373070	Detective Jin
519432	397985	Miyamoto Musashi
519433	404	
519433	5253	Kabus
519433	33828	
519433	155998	
519433	182259	
519433	233316	
519433	242819	
519433	294765	Milkovan
519433	341212	
519433	341218	
519433	357222	
519434	22073	
519434	29529	
519434	34045	
519434	34061	
519434	38185	
519434	53294	
519434	175489	
519434	308314	
519434	308477	
519434	373615	
519435	51344	
519435	136752	
519435	179575	Güven
519436	45482	
519436	226017	
519436	320707	
519437	282002	Berbère
519438	83279	
519438	345164	Paulo
519439	7165	Greasy man
519439	22090	
519439	136913	
519439	177833	
519439	250778	
519439	405535	
519440	173862	
519440	173865	Ahmet
519441	182909	
519442	350732	
519443	7165	Turkish adjutant
519444	107466	MAX
519445	195878	
519446	380018	Himself
519447	197490	Lester
519448	208813	
519449	113816	
519449	134701	
519449	149993	
519449	264802	Himself
519449	283086	
519450	61819	
519450	117498	Homeless Man
519450	142422	
519450	192729	Bearded man
519450	214751	
519450	218206	Bum
519450	244393	Mitchell
519450	245994	Bum
519450	253527	Homeless Man
519450	277471	Street Player
519450	328258	White Wino
519450	328285	Derelict in Alley
519450	338000	Alley Bum
519450	342924	Male prisoner
519450	354955	Preacher
519450	359906	Wino #1
519451	173419	
519452	15331	
519452	76770	
519452	87723	
519452	89530	
519452	180320	
519452	310064	
519452	320354	
519452	370396	Sabri
519452	378579	
519453	321444	Chris
519454	384656	Anchor/reporter (2000-present
519455	136692	
519456	38433	Hamdi
519457	394158	Camoka
519458	26082	
519458	86888	
519459	60865	
519459	77485	
519459	91214	
519459	162675	
519459	198166	
519459	217458	
519459	219723	
519459	227903	
519459	263669	
519459	265571	
519459	305294	
519459	313889	
519459	320410	
519459	339626	
519459	370166	
519459	371351	
519459	371359	
519459	408861	Pochtalon
519460	136913	Avni
519460	394922	Ömer Çavuº
519461	145754	
519462	104726	Himself
519463	183982	Asst. Warden
519464	146946	
519465	66208	
519465	95192	The Demon
519465	151898	Yen
519465	152095	Gold Panther
519465	187823	Tong
519465	194001	Chung Chien-Kuen
519465	194041	Heaven and Earth Society Lead
519465	194091	Chen's man
519465	227247	Sickness Master
519465	286908	Manchu Thug
519465	324735	Ti
519465	350189	Nolt (HK version)
519465	369794	Ho Fu
519466	8814	
519466	29457	Kwong
519466	29464	Lee Yuen-Lung
519466	29475	Cheung Chi-Wing
519466	39020	Fun Hon-Hwa
519466	41366	Ryu Tenmei
519466	42232	
519466	42234	Pao
519466	42235	Yung Siu-Wing
519466	58694	Cheung Kai-Wah
519466	59295	Ah-Sing/Dhalsim
519466	60133	Tommy
519466	60596	Frank
519466	61058	Jimmy Li
519466	61522	Tinam
519466	63285	Tang Sau
519466	63366	Lee
519466	64177	
519466	75226	Benny
519466	76848	
519466	77891	Fred Suen
519466	86315	Luke
519466	107377	Ken
519466	123964	
519466	123973	Lam Gor-Yu
519466	125629	Cheung Chi-Keung
519466	131343	Chiang Tin-Sung
519466	135027	Chiang Tin-Sung
519466	135028	Mr. Chiang
519466	135450	Michael
519466	135482	Lam Cho-Wen
519466	135483	Leon
519466	135502	Tang
519466	137156	John Lam
519466	138014	Chan Sing
519466	138626	The Gigolo
519466	138629	Timothy Hui
519466	141871	Chen Ren
519466	141893	Brian
519466	144293	
519466	147052	
519466	149008	Walkie Pi
519466	149015	Chung
519466	149038	Himself
519466	152027	Leung Foon
519466	152134	Dr. Tong
519466	167387	Sam
519466	167489	Hung Chan/Dante Aquino
519466	167726	Magic Lamp
519466	167817	Tsui Chin-Tung
519466	168033	Lawrence Chu
519466	168039	Lung
519466	170018	N.T. On
519466	170257	Gay Man on Bus
519466	175255	Poon
519466	181443	
519466	184812	Chen Lo
519466	187761	
519466	189145	Cheng Wah
519466	189509	
519466	190914	Sam Mok
519466	191553	Tang Fung
519466	194042	Simon Lung
519466	194091	Tat-Hwa
519466	204937	Dick Wong
519466	209889	Mr. Mickey
519466	220243	Chan Wai
519466	220675	
519466	231226	
519466	236286	Wayne Lau
519466	266660	Mike Ho
519466	268678	
519466	268699	Policeman
519466	286978	Dr. Greg Fong
519466	287338	Simon
519466	288417	Kwan
519466	293467	Peter
519466	296779	Po Kok
519466	297732	Cheung Wai-Lum
519466	298397	
519466	300619	Lui Kit
519466	302605	Donald
519466	326315	Michael Huang
519466	332502	Hui Tat-Ming
519466	335406	Mickey Lee
519466	341409	
519466	358444	
519466	358908	Chan Yiu-Hing
519466	359014	Kwan
519466	359018	Lok Man Hwa
519466	367165	Ko Tin-Lap
519466	367167	John
519466	368062	
519466	369072	Chow Tak-Kan/Chow Man-Heng
519466	369077	Jack
519466	369088	Ching Fung
519466	369098	Super Sword
519466	369188	
519466	369583	Judge
519466	369624	Tso Tat Wah
519466	369744	Officer Ko
519466	369961	
519466	370826	Lousy Wong
519466	373106	
519466	373674	
519466	373688	Pang
519466	374340	John Yam Ka-Wah
519466	374738	Lui Chun-Ying
519466	374811	Au Ping Keung
519466	374997	Han
519466	411703	Cheung Choi San
519467	58544	The Chairman
519467	177407	Fujito
519467	213346	Adm. Nobutake Kondo
519467	293078	House Boy
519467	323591	Mr. Tomashita
519467	355051	Chinese Prime Minister
519467	385580	
519468	11171	Mr. Cho
519468	26633	Japanese Businessman
519468	27331	Usher
519468	41371	
519468	44439	
519468	56895	Art technician
519468	58481	Chairman Tzu
519468	68269	
519468	80898	Masaggi's Aide #2
519468	81253	Photographer
519468	90943	Surgeon
519468	92112	Nagamichi
519468	122660	Torpedo
519468	122664	Torpedo
519468	138562	Gretel
519468	144641	Sketch artist
519468	154648	Waiter
519468	159175	Chinese Co-Pilot
519468	163625	Curious Sushi Man
519468	166873	
519468	187317	The photographer
519468	195307	Purser
519468	217421	Asian Client
519468	222686	Tourist
519468	224376	Russell
519468	236087	Deputy Consul
519468	236696	Tai Chi Charlie
519468	249501	Old Charlie
519468	313049	Sanzaki
519468	327811	
519468	389628	Torpedo
519468	389858	Kimo (1981)
519468	392094	Kei (1984-88)
519468	406113	Additional Voices
519469	331390	Yamata
519471	371982	
519472	17420	
519472	63542	
519472	76896	Issaku
519472	89510	
519472	181866	Gorozo
519472	214411	
519472	219831	Island Worshipper
519472	233136	
519472	298749	Farmer
519472	323127	Officer
519472	372004	Chief Engineer
519473	373218	
519474	138050	Gonzo
519474	174872	Tojiro
519474	176577	Shinkichi Yamada
519474	182154	Sagoji
519474	207631	Iwakichi, father
519474	233226	Nomura
519474	242152	
519474	242214	
519474	327947	Danroku
519474	358387	
519474	359040	Kamedoko
519474	370411	Sato (PTA Member)
519475	49704	
519475	106707	
519475	296634	
519475	375588	
519475	375606	
519476	232564	Military Headquarters Preside
519477	124336	Kong
519477	313825	Bookie #2
519478	891	
519478	176832	
519479	244054	VTR Operator
519480	284070	Musician (Samisen Player)
519481	320463	Takejiro
519482	251929	
519483	138052	Kazuma
519483	372000	
519484	247939	
519485	77528	Eiichiro
519485	77732	Yoichi Ihara
519485	239481	Matsuki
519485	239483	Shiro Oribe
519485	341289	Shusaku Sakura
519486	194874	Hospital Receptionist
519487	76896	
519487	207644	Mushroom Monster
519487	232699	
519487	233111	
519488	62242	
519489	55459	Dealer
519490	344020	Alien
519491	373182	
519492	61469	
519493	30987	Tetsuya Shimura
519494	127777	Alex Cazelnu
519494	136097	Hayato Jin
519494	136136	Hayato Jin
519494	379482	Perkins
519494	379520	Genius
519494	381711	Alan
519494	384050	Narrator
519494	384219	Naniwa Jyuuzou
519494	386926	Yanack
519494	389819	Konaki Jiji
519494	390011	Hayato Jin
519494	390012	Hayato Jin
519494	390077	Alex Cazelnu
519494	390082	C62-50
519494	390963	Grandfather
519494	393552	Hanpei Hattori
519494	394429	Jamaican Dannigan
519494	396535	Omatsu
519494	404121	004/Albert Heinrich
519494	404127	Karsar
519495	3187	Shiratori
519495	18681	Hanada-sensei
519495	37716	
519496	173600	Masuyo
519496	182042	Tatsu
519496	244519	Nobu (Nao's elder brother)
519496	298992	Tsumura
519497	242879	
519497	269962	
519498	115603	
519499	17420	
519499	19691	Shinji's brother
519499	37622	Chief of Inspectors
519499	76896	Secretary of Defense
519499	124434	Official
519499	130485	Chief of Civil Defense
519499	156234	Subordinate Clerk Saito
519499	156242	
519499	180511	
519499	181866	Uemon
519499	193668	
519499	216499	
519499	233136	Kunizo
519499	240256	Tokubei
519499	309097	Colliery Chief Osaki
519499	323131	
519499	327957	
519499	334779	
519499	334904	Noodle Master
519499	350578	Secretary of Defense
519499	358421	
519499	359835	
519499	378134	
519500	337107	Captain Takata
519501	222921	Yatahachi
519501	242180	Otetsu's husband
519501	299123	Yaichi Inoue
519502	133892	
519503	260416	
519503	287374	
519504	231168	Neji no Hitobito
519505	286626	Taniguchi
519506	312538	
519506	373392	Enryû, Hyôryû, Chôryûjin, Gek
519506	411893	Enryû, Hyôryû, Chôryûjin, Gek
519507	21353	
519507	127859	
519507	165588	
519507	166025	Koike
519507	175364	
519507	176535	Officer B
519507	228379	
519507	237662	
519507	242362	Hideo Kiyokawa
519507	320460	Shokichi Murase
519507	334935	
519507	334938	
519507	358398	
519507	358402	
519507	378133	
519508	19702	
519510	9283	Kazuo Namamura
519510	100130	Japanese Truck Driver
519510	214714	Hiraoka
519510	263361	
519511	92778	Nobuo Takahashi
519511	193977	Sho Takamatsu
519511	229583	Lune
519511	402601	Minoru Ushijima
519511	410647	Shindo
519512	373333	
519513	210185	
519514	43058	Yusuke Aida
519514	61439	Muto
519514	122136	Owada
519514	182039	Manager
519514	182108	Hitoshi
519514	182495	Seiichi Uchiyama
519514	220227	Tatsuya
519514	277293	Shinji Ishimori
519514	289267	Mitsuru Shima
519514	289298	Ikeda, Masashi
519514	293497	Kudo
519514	298954	
519514	299052	Yamada
519514	318528	
519514	364098	
519515	43058	Susumu Yonekura
519515	179428	Kenichi Yagi
519515	298872	Atsuyoshi 'Atsu' Yamamoto
519516	79272	Dater
519517	125251	Rakuda no Cho (Ratnose)
519517	136390	
519518	247432	Omawari-san
519518	283619	Lupin III
519518	283624	Arsene Lupin III
519518	283626	Arsene Lupin III
519518	283628	Lupin III
519518	386903	Dr. Mashirito
519518	403958	Arsène Lupin III
519518	403959	Arsène Lupin III
519518	403960	Arsène Lupin III
519519	54203	Dhalsim
519519	54204	Dhalsim
519519	206799	Dhalsim
519519	299262	Eiji 'Edge' Yamada
519519	316618	Dhalsim
519519	316619	
519519	316625	Dhalsim
519519	369462	Dhalsim
519519	394424	Chuck Keith
519520	207498	Yamada
519521	330594	Choir Member
519522	122095	Hiroshi
519522	337107	Captain Takata
519523	76908	Captain of the Kamome-maru
519523	179518	Nobuchi's uncle
519524	92718	Renaru
519525	26238	Fargo
519525	54203	Guile/M. Bison (Balrog in the
519525	54204	Guile/M. Bison (Balrog US)
519525	71327	Young Harlock, Great Samurai 
519525	72237	Spike Spiegel
519525	79067	Enzo
519525	84434	Masamichi Tomol
519525	102466	Demonova
519525	122891	Guy
519525	125239	Davit
519525	125240	Rossi
519525	125241	Mew
519525	125242	Rugia (Japanese)/Lugia (Engli
519525	127783	Captain Harlock
519525	130488	Kid's TV Host
519525	130499	TV studio producer
519525	137336	Dosetsu Inuyama
519525	139476	Captain Harlock/Tochirô Ôyama
519525	155714	Yajima
519525	159973	Togusa
519525	171653	Jubei
519525	174325	Captain Harlock
519525	176532	Hokushin
519525	176537	Gyunei Guss
519525	177085	Instructor
519525	177632	Donald Duck/Beast/Mushu/Sebas
519525	182499	Zerbebuth
519525	182706	Togusa
519525	190590	Zarik
519525	201302	Bakery worker, policeman
519525	208014	Tochirô Ôyama (from Space Pir
519525	209803	Shinji Nakagawa
519525	209805	Sion
519525	214715	Kikuma Aonuma
519525	232868	Kazuya Kawahara
519525	232929	Yûta
519525	244558	
519525	245885	Oteisueito
519525	259038	Hunter
519525	259097	Mew
519525	269293	Tochirô Ôyama
519525	272210	Ryôga Hibiki
519525	272211	Ryouga Hibiki and P-chan
519525	272212	Ryouga Hibiki and P-chan
519525	272213	Ryouga Hibiki and P-chan
519525	272214	Ryouga Hibiki and P-chan
519525	275086	Velt Zarik
519525	283621	Police Officer B
519525	283622	Michael Suzaku/Godo
519525	294163	The Man of the Key
519525	298994	Ryôji Kaji
519525	299132	Ryoji Kaji, Tank Corps Member
519525	299262	Daigo Kazama
519525	310150	Captain Harlock
519525	316625	Cody/Mike Bison
519525	319374	Commander Dawn (Gallforce)
519525	327007	Narutaki Junichi
519525	334886	Shogo Yamadera (Shinesman Gre
519525	334892	Yamagawa
519525	344029	Susumu Kodai
519525	344031	Susumu Kodai
519525	350189	Meier Link
519525	350190	Lord Zabel
519525	369415	Sorata Arisugawa
519525	373368	Go Takarada
519525	373384	Karino Kouzou
519525	379625	Darius
519525	381162	Chiryû
519525	385151	Spike Spiegel
519525	389570	Elton
519525	394711	Togusa
519525	396330	Drill Crusher
519525	401393	Papachareeno
519525	402863	Ryoga Hibiki
519525	405144	Ryôji Kaji
519525	405981	Cheese, the dog
519525	407389	Yuuta
519525	408305	Plucky Duck (Japanese version
519527	26633	Japanese Businessman
519527	221114	Japanese client
519527	264818	Resort Guest
519528	312474	Suripto
519529	400053	Onpu's Dad
519530	411645	Rocky Chuck
519531	366099	Tanapag boy
519532	8762	
519533	296510	Maeda
519534	294056	Chuunen Otoko
519535	9300	
519535	9470	Kataoka
519535	21338	
519535	29565	Shogoro Yabe
519535	49560	
519535	76875	
519535	76906	Gohei Suzuka
519535	97637	
519535	121434	
519535	121613	
519535	137359	
519535	165129	
519535	167555	Wataru Watanabe
519535	171625	Shobei Tsuchiya
519535	173621	Ogata, Seizo
519535	174336	
519535	176224	
519535	176577	
519535	176579	
519535	176586	
519535	176587	
519535	178311	
519535	180627	Endo Genba
519535	181991	
519535	182053	
519535	198826	Yosuke
519535	211214	
519535	216520	Denzo Hashimoto
519535	229586	
519535	234908	
519535	242133	
519535	243899	
519535	266666	
519535	278381	
519535	280607	
519535	293611	Plibp
519535	296635	
519535	298749	Samurai
519535	298969	Kyoichi
519535	299110	
519535	334878	
519535	340877	Daigo Hamada
519535	341274	Fujioka
519535	344034	Dr. Matsuda
519535	344262	Shinpei Nakayama
519535	344283	Sugio Iba
519535	373365	Yang Hsien
519535	373921	Kenichiro Shinjo
519535	374118	Tohachi
519535	375603	President Oyamada
519535	386635	Mukaitate Takumi
519536	137324	
519537	341321	Mr. Umemoto
519538	28116	Hiroe Yamada
519539	401057	Boogieman
519540	140435	
519540	242180	Morikawa
519541	378138	
519542	384233	Takasu
519542	390536	Takasu
519542	394974	Liner Boy
519543	165592	
519544	129880	Yuuki Jouji/Riderman
519544	173001	Riderman
519544	173002	Riderman
519544	173003	Yuki Joji/Riderman
519544	385584	
519544	386041	Yutaka Daimon
519544	394041	Takao Nishizumi
519544	394101	Jôji Yûki/Riderman
519544	396528	
519544	399492	Natsuki ('Harvest Moon')
519545	194874	Bellboy
519546	181563	Cop
519546	323523	Metal Carver
519547	9274	
519547	9276	Thug
519547	63542	
519547	88754	Guard
519547	172531	Samurai on horseback
519547	233136	
519548	148836	
519549	4012	Hanada
519549	168061	Koichi Fujimura
519549	180426	
519549	181670	
519549	299406	Patrolman Nosaka
519550	230324	Band Member (Ozomatli)
519550	352409	John Lee
519551	578	Yuusuke Yamamoto
519551	21369	Arslan
519551	21370	Arslan
519551	25539	Inagaki Kappei (original Japa
519551	41909	Mireo
519551	51237	Rattle
519551	63704	Fukuda Clorde
519551	103180	Shesta
519551	113780	Julian
519551	114804	Akira Maruyama
519551	127412	Daisaku Kusama
519551	133113	Rapp
519551	135982	Yugo
519551	137336	Sosuke Inukawa
519551	138093	Hanappe
519551	159828	Nin-Nin
519551	161704	Inuyasha
519551	161705	Inuyasha
519551	161706	Inuyasha
519551	165554	Kesor
519551	170832	Takuma
519551	174950	Jonny
519551	179108	Wan Dabada
519551	179507	Koizumi Tenma
519551	193381	Etoh
519551	199428	Madara
519551	201302	Tombo
519551	202806	Osamu
519551	208014	Toshirô Ôyama (from Ultimate 
519551	210152	Shinichi Kudo
519551	232868	Kubota's friend
519551	239208	Suke Banji
519551	241990	Manafu
519551	247245	Roualt
519551	257397	Nichol
519551	257982	Haruhiko Kasama (original Jap
519551	259034	Parasect
519551	272210	Saotome Ranma
519551	272211	Saotome Ranma
519551	272212	Saotome Ranma
519551	272213	Saotome Ranma (male)
519551	272214	Ranma Saotome(boy-type)
519551	279265	Eon
519551	283678	Yasuharu Musashino
519551	293476	Ryuu-Oh
519551	293586	Sada
519551	296855	Low
519551	301673	
519551	305178	Akiba Shuu
519551	334892	Subaru Sumeragi
519551	342572	Light
519551	354596	Bostov
519551	354828	Inuma Saurou
519551	354829	Inuma Saurou
519551	354830	Inuma Saurou
519551	373391	Rai Utsumi, aka Thunder Rai
519551	378718	Rokuta Enki
519551	379521	Crane Bahnsteik
519551	380725	Toto
519551	381034	Kimiira
519551	381067	Poindexter
519551	381166	Michael
519551	381785	Keita Aono
519551	382113	Artemis
519551	383422	Ryou Ishizaki
519551	383423	Franz Shester
519551	384050	
519551	384236	Kyle Moon
519551	390079	Taisuke
519551	390264	Tsutomu Yamaguchi
519551	390376	Maximilliam 'Max/Maxy' Goof
519551	390537	Ryuuichi Sakuma
519551	390794	Tochirô
519551	392535	Yasu-san
519551	392964	Inuyasha
519551	394107	Noin
519551	394419	Sai Sici
519551	394431	Ryou Misaki
519551	394549	Zenki
519551	394550	Captain
519551	396491	Tarou Yoshida
519551	396503	Prince Nikomo
519551	396640	Hideo Hanada
519551	397371	Shin'ichi Kudou
519551	397828	Yuuya Noda
519551	399500	Makinosuke
519551	400254	Usopp
519551	401100	Bashatto-san
519551	401736	Tooru
519551	402863	Ranma Saotome
519551	403477	Tomonori Iwaki
519551	404230	Yattarou
519551	404846	Kenta Suetake
519551	405028	Low
519551	405278	The Boy
519551	405356	Flex
519551	406983	Various male characters
519551	407289	Ryuudou Amaru
519551	407839	Shesta
519551	408732	Rattle
519551	410739	Takurou
519551	411883	Touya
519551	411891	Utsumi Rai
519552	220820	Kobayshi (Dragons)
519553	91096	Ebifuryâ
519553	114804	Mori
519553	181490	
519553	181965	Police B
519553	182499	Vamore
519553	190590	Tamura
519553	205048	Isogai
519553	209803	Staff Advisor A
519553	267536	Space Station Colonel
519553	285808	Eligor
519553	316626	Gôken
519553	325315	Hogan
519553	327007	Kamo
519553	344285	
519553	354828	Gokumon
519553	370435	Tonbe
519553	386775	Sì Xing Lóng (Four Star Drago
519553	391597	Papa
519553	391751	Ain
519553	394164	Fûma Raizô
519553	394523	Asuraman, The Omegaman
519553	396330	Gakulander/Gantsuke
519553	397828	Shinichirou Kageura
519553	408733	Hydra
519553	408735	Slugslinger, Goldar, Blurr
519554	115603	
519554	175370	
519554	175373	Bondou
519555	226683	Touru Kanbara
519556	150350	Eskimo
519557	65541	Himself
519557	78865	Kiyoshi
519557	133772	Lt. Hikobe
519557	137574	Dennis Chan
519557	313477	A Senator
519557	385177	Jun Nanami
519557	408879	Masashi
519558	384232	Tetsuya Yano/Black-Bison
519561	159838	Shikima Clan Member
519562	20625	Extra
519563	226938	Sumo Wrestler
519564	162337	Iron Chef Asian
519565	244546	Yoshimura
519565	300468	Sohachiro Saotome
519565	381035	Dr. Masaru Koyamauchi
519566	170903	
519566	299123	Shintaro Kinoshita
519567	144737	
519568	30988	Toshimori Oda - Boys #4
519569	163849	
519570	299010	Osawa
519571	25750	Komoru
519573	366086	Kinta
519574	137006	
519575	181722	Tsugutomo Owari
519575	228377	Ichiro Date
519576	298347	Additional Voices
519577	510	
519577	515	Additional Voices
519577	516	
519577	517	
519577	113327	Leon (Final Fantasy II)
519577	122523	Leon
519577	138135	Kazuya Saotome
519577	378652	Tom/Swordsman
519577	387049	Kazuki Yotsuga
519577	392430	Aoki Kyousuke
519578	90165	Kazu
519578	329559	
519578	387193	Arashi Tanno
519578	389549	Osamu Miura
519579	216649	
519580	394548	Yamaguchi Sempai
519581	180053	Uchiyama
519581	180627	
519582	171886	Samurai Guard for Ieyasu
519583	62242	
519583	244564	Yasunaga
519584	891	
519585	358394	Teacher B
519586	172105	Salt Vendor
519586	271915	
519587	101487	
519587	131291	
519587	138068	
519587	182027	Zill
519588	298347	Additional Voices
519589	396534	Yu Godai
519589	408599	Sassa Narimasa
519590	86962	
519591	410190	Akira
519592	355277	
519593	355277	
519594	20460	Demitrio Mardini
519594	161685	Takanao
519594	163011	Tatsurô Moritani
519594	182706	Garbage Collector A
519594	221838	Kizaki
519594	232907	Ningen Isu
519594	298803	Kazu
519594	325988	Michiyo's new lover
519594	364098	
519595	182471	Police Detective
519596	358123	
519597	334842	Higuruma
519597	374113	Yahei/Father of Otane and Tat
519597	375633	Yahei
519597	409778	Himself
519598	155504	Yumi's father
519599	333406	
519600	242116	Ukon Tachibana
519600	242117	Ukon Tachibana
519600	267213	Sato
519601	173945	1st Thief
519602	269892	Aborigine
519603	14244	Kenji
519604	296510	Kaga
519605	399499	Kouta Bitou/Hurricane Yellow
519606	137031	V.P. #3
519606	140900	Japanese tourist
519606	313391	Japanese Tourist 2
519606	315763	Mr. Futon San
519606	390083	Japanese Soldier
519606	394163	1st Japanese Man
519607	18044	
519607	217813	Kiichiro Hanai, boss of the y
519607	275753	
519608	360028	Chikara
519609	366099	Japanese bunker gunner
519610	296641	
519610	375612	
519611	181670	
519611	308893	Kagawa, policeman
519612	123529	Okada
519612	137383	Tomoyuki Yagi (Doctor)
519612	162220	Tattoo artist Seikichi
519612	177720	Hoshino's secretary
519612	294265	
519612	294267	
519612	374091	Tomonoshin
519612	379518	Ichiro Suzuki
519613	127199	
519614	50899	Ah Sing
519614	251258	Ching
519615	28047	Daisuke
519616	28047	Daisuke
519616	189166	Kinoshita
519617	208015	
519618	132383	
519618	180626	
519619	115138	Eyes
519620	399492	Mangetsu ('Full Moon')
519621	79824	Himself
519621	262804	Himself
519621	263443	Himself
519621	347960	Himself (salutes naval office
519621	385897	Himself
519621	411420	Himself
519622	3918	
519622	8751	
519622	9194	
519622	121438	
519622	125197	
519622	136039	
519622	137196	
519622	167575	
519622	169129	
519622	170903	
519622	173097	Hanbee
519622	173508	Father
519622	177864	Old Sailor
519622	179163	
519622	179378	
519622	179551	
519622	182073	
519622	221655	
519622	227191	
519622	232910	
519622	234537	
519622	234538	General Nogi
519622	242130	
519622	243916	
519622	293609	
519622	298835	
519622	299231	
519622	299245	
519622	334745	
519622	334828	Townsend Harris
519622	334840	
519622	334872	
519622	341259	Ukichi
519622	341319	
519622	344007	Meng Pa-lang
519622	344271	
519622	348635	
519622	373165	
519623	177121	
519624	18661	Ryuji Sone
519625	30987	Yosuke Miyadai
519625	360028	Kazu
519626	371854	Second Ronin
519626	374109	Isuke
519626	374110	Dice Player
519627	50187	Kazuma Noda
519627	121613	
519627	125263	
519627	130268	Hosokawa
519627	137381	Sonoko's father
519627	143850	
519627	144434	
519627	146901	
519627	153559	Toru
519627	160096	Tomijiro
519627	167578	
519627	174347	Akihiko Kishi
519627	177926	Kyosuke Tanabe
519627	182720	Hiroaki Ishimori
519627	216301	
519627	216506	Seki
519627	232561	
519627	232903	Sankichi
519627	294265	Kohei
519627	294266	Kosuke
519627	299090	Masaru Koga
519627	323125	
519627	323532	Takiji
519627	344119	Wakita
519627	349102	
519627	358134	Nozomu Ehara
519627	358414	Saburo
519627	358415	Saburo
519627	371815	
519627	390910	Sonoko's father
519627	403411	Professor Jôtarô Nagao
519628	225621	Himself - a member of Gokurak
519628	371914	Hideya Nakajima
519629	177754	Brutal Superhero
519629	177755	Takashi Shimada
519629	298987	Xu Huang
519629	365959	
519629	411725	Nemuta Masayume, Tekunoburu K
519630	211896	Joji
519631	145736	Lt. Col. Inaba
519632	299596	
519632	327944	Detective Ueno
519632	373163	Shin Yamane
519633	1882	Tomoya Harada
519633	146909	Fumiya Kashiwagi
519633	146910	Fumiya Kashiwagi
519633	371707	College Student (segment: The
519633	405156	Hijikata Toshizo
519634	43054	Douke (Fool)
519635	89517	Shin Mikuni
519635	229964	Takuya Mitamura
519636	28116	Ukichi Sensa
519637	19778	Sanpeita
519638	299264	The Loan Shark
519639	331306	Japanese Sergeant
519639	334890	Priest
519640	88758	Muttsuri
519640	153469	
519640	181983	
519641	297182	Band Leader
519642	8667	Ko Rosho
519642	18688	
519642	61449	Chusuke
519642	138085	Hanako's father
519642	170903	
519642	173827	Daizaburo
519642	234903	Hondo
519642	237677	
519642	242148	
519642	244501	
519642	279831	Shogo
519642	288350	
519642	320054	
519642	323494	Hirabayashi
519642	324361	Yokichi
519642	341259	Kane
519642	341264	
519642	371842	Okada
519642	375590	
519642	375599	
519642	375625	Hirabayashi
519643	4557	Sukeichi
519643	9274	
519643	17421	Detective Nishiyama
519643	17424	
519643	17428	Iwaimura, Tocho News reporter
519643	18691	
519643	19691	Taro Suigawa
519643	21334	
519643	63542	Asano Samurai
519643	82912	Inspector
519643	88754	Urakawa
519643	89510	
519643	97141	
519643	121924	Sailor
519643	121925	Bystander
519643	124029	
519643	124434	Nomura the Robber
519643	125237	
519643	130207	Masaji the Fisherman
519643	130480	Masaji the Fisherman
519643	130485	Commander of Landing Craft
519643	137132	Nobuo
519643	138051	
519643	140436	
519643	145288	
519643	151816	Numaguchi, alias Kurochan
519643	153663	
519643	171652	Shinogawa
519643	173622	
519643	175364	
519643	176567	
519643	176635	
519643	177699	Helicopter Pilot
519643	181866	Isuke
519643	182000	
519643	214411	
519643	216499	
519643	219831	Ship Survivor
519643	219835	Sailor
519643	239336	
519643	243898	
519643	244511	Igarashi
519643	266666	
519643	275753	
519643	288193	
519643	293611	Umakichi
519643	294100	
519643	294107	
519643	294152	
519643	298837	
519643	300462	
519643	309097	Soldier in Jeep
519643	323127	Branch Chief
519643	323130	
519643	328968	
519643	334869	
519643	370279	
519643	370410	
519643	373290	
519643	375571	
519643	375583	
519643	375618	
519643	378134	
519643	378158	
519644	28133	Haderuma
519644	125251	Kowloon
519644	125688	Otaguro
519644	136394	
519644	146903	Keiji Tawashi
519644	177155	
519644	232538	
519644	232540	
519644	283627	Genkurobei
519644	299559	Yoshinaka
519644	300141	
519644	300142	
519644	323239	
519644	405185	Yoshinaka
519645	241605	Featured Male Model
519646	94	Fuji (Kung Fu Tourist)
519646	67896	Harry Kawamura
519646	70342	Wela
519646	86819	
519646	358708	Houseboy
519647	261592	
519648	887	
519648	1751	
519648	91110	
519648	91520	Master
519648	124748	
519648	183080	
519648	241947	Hiroshi Fujima
519648	244285	Toshio Takarayama
519648	298955	
519649	80672	Himself/City of Carson Mayor
519649	131223	Himself (City of Carson mayor
519650	121466	
519651	172105	Nobushige Oyamada
519652	179472	Jono Yasuhiro
519653	77537	
519653	144435	
519653	146903	Hiroshi Imaoka
519653	239491	Yoshihisa Masaki
519653	243915	Shingo
519654	17877	Harunosuke (azuki shop owner)
519654	173600	
519654	177239	Director Naito
519655	41790	
519656	77527	Yutaro Hanai
519656	142952	
519656	180569	Naka
519656	180601	
519656	201377	Inshun Hoshoin
519656	201378	Inshun Hoshoin
519656	215063	Raimei Dark Bishop
519656	334923	Morikawa
519656	386033	Cmdr. Guiluke/Space Ghost
519657	149890	Stunt
519658	378652	Katsuyuki
519658	385980	Takeru Takahashi
519659	122945	Kudô
519660	62631	
519661	2133	Yakusas
519661	125236	
519661	129439	Breakdancer
519661	233102	
519662	30988	Shougo Kawada - Boys #5
519662	126283	Taro
519662	129769	Tawake
519662	139856	
519662	145280	Kurashige (head of 'red parti
519662	150510	
519662	182488	Yamada
519662	195807	Satoshi Nakayama
519662	206787	
519662	218693	Toshi
519662	294164	Koremitsu
519662	298745	
519662	329559	Rikimaru
519662	372000	
519663	399039	
519664	64857	Foo Sing
519664	115246	The Prince
519664	140981	Woo Lang
519664	197661	Sara's servant
519664	213216	Sing Bok
519664	239292	Principal of Acting School
519664	246481	Yu-Ch'ing
519664	275973	J. Young
519664	279189	Shan Tung
519664	293784	Kato
519664	308116	Servant
519664	323787	One Eye
519664	348635	
519664	363345	Chang Bong Lo
519664	365887	Itomudo
519664	372038	
519665	5412	Beefy Male Stripper
519666	403411	Tomoko's father
519667	75226	
519668	122141	Toshiyuki Nonaka, Torae's son
519668	373907	
519669	384587	First Japanese Man
519670	89511	
519670	232564	Corporal
519670	286847	
519671	24115	Himself
519671	352667	
519672	174330	
519672	182392	Tetsu Inoue
519673	299302	Chûnen fûfu
519674	9418	Yuji
519675	118038	Street Hustler
519675	195608	Dr. Noguchi
519675	216449	Captain Kenzo
519675	370863	Ban Sung
519676	299295	
519677	180620	
519678	8760	
519678	8794	(segment 3)
519678	9435	Mikami
519678	15303	Keikichi Shirasu
519678	18642	Heishiro Hirayama
519678	20024	
519678	21814	Yasukichi Sakaza
519678	21825	Daisuke Kaji
519678	28125	
519678	29671	Governor Tamura
519678	61396	
519678	61465	
519678	76926	
519678	78662	
519678	96411	Nagata
519678	102512	
519678	121448	The husband
519678	121710	Dr. Meikai Ikeda
519678	122535	Tokusuke Rôjin
519678	125236	Mitsumasa Yonai
519678	125460	
519678	130495	Prime Minister
519678	131295	Gen. Mayor Soje
519678	135935	Mr. Sakamoto
519678	136394	
519678	137276	
519678	146350	
519678	146351	
519678	146352	
519678	149098	
519678	161684	Head of Maritime Safety Agenc
519678	168061	Taku Henmi
519678	169696	Hôgetsu Shimamura
519678	172532	
519678	173376	Matsuki
519678	173845	Clerk
519678	174527	Heitaro Misawa
519678	174881	
519678	176671	Ongi
519678	177121	
519678	177837	
519678	178418	Kappei Arima
519678	180625	Gômune Jindaiyu
519678	182061	
519678	200762	Yuji
519678	200976	Motoo Yagi
519678	222427	Ryosuke Mimura, Setsuko's hus
519678	222517	
519678	222922	Eiji Ono
519678	223304	Shiro Iwatani
519678	227187	Kohei Matsudaira
519678	227445	Iwakiri Sencho
519678	230139	Murai
519678	231587	Nakatsugawa
519678	232513	
519678	232564	Navy Minister
519678	232573	
519678	232699	Toshinobu Hira
519678	232916	Okishima
519678	235372	Prime Minister
519678	239315	Ryozo Noro
519678	239463	Tomonojo
519678	242229	Kiyomasa Tsutsui
519678	244659	Ya-san
519678	284062	
519678	288053	Gunnoshin Sakakibara
519678	293593	
519678	293661	
519678	293673	
519678	299309	
519678	299581	Yoshitaro, Hanawa
519678	300471	Wakabayashi
519678	300597	
519678	309366	Yutaka Kawai
519678	323122	
519678	323127	Kawashima
519678	323133	
519678	325966	
519678	334898	Seki Sekiguchi
519678	334930	Same per
519678	336000	Adm. Isoroku Yamamoto
519678	341274	Kogoro Katsura
519678	343351	Hori
519678	349102	
519678	358122	
519678	370407	Father
519678	370408	
519678	370449	Takazawa
519678	371978	Ichiro Shirosawa
519678	372017	Isaburo Okura
519678	373173	Tateoka
519678	373177	
519678	373365	An Lushan
519678	375566	
519678	375616	
519678	401079	Admiral Nagumo, commander of 
519679	127855	Movie dirctor
519680	274904	Rumi
519681	117491	
519682	232921	
519683	403494	Himself
519685	78333	Western
519685	102894	Bodyguard
519685	232921	Jonny Hayward
519685	267397	Man of photograph
519685	344408	Himself
519685	370699	Akira Yamanaka
519686	327965	Hiroshi Yamamoto
519687	153209	Yuji
519687	176711	Crazy 88 #5
519688	128052	
519688	139407	
519688	145280	Natsume Yôta, Shidou-bu
519688	170609	
519688	237591	Athelete A
519688	248788	Clark
519688	323629	
519688	334858	Katori
519688	359807	Wakaki-hi no Kijima
519689	172105	Ranmaru Mori
519689	373218	
519690	177862	Joli
519691	55019	
519692	359830	
519693	123452	
519693	299300	
519694	316619	
519695	230151	Himself (at OPEC conference)
519695	330635	Himself (arrives in Canada)
519696	177381	Billy Kane
519696	177382	Billy Kane
519696	177385	Billy Kane
519696	177387	Billy Kane
519696	286868	Kazuki Kazama
519696	286869	Kazuki
519697	62606	Tsukimura The Research Head
519697	220229	
519697	371915	Yoshimura
519697	407549	
519698	392537	Vitalis
519699	286626	Shiota
519700	144736	
519701	236942	Owner of the brick shop
519702	182704	
519702	358394	
519702	374633	
519703	316619	
519704	54203	Rolento F. Schugerg/Eagle
519704	187162	Gala
519704	253445	Nyarlathotep
519704	316625	Rolento
519704	373391	Shin Sawamura, aka Armor Shin
519704	384220	Starscream/Shockwave
519704	391337	Jack
519704	411891	Shin Sawamura
519705	8756	2nd Son
519705	51057	Kenji Kawamura
519705	122106	Yuji Yasaka
519705	298694	Masagaro
519705	371787	Son
519706	1756	Rat Eater King
519706	17805	Red Wolfe
519706	29255	
519706	41778	
519706	55892	
519706	82438	Swordmaster
519706	98972	Lo Yan
519706	125638	
519706	132557	
519706	135363	Akira
519706	168114	Yarac
519706	220608	Scrittore Giapponese
519706	233188	Psychologist Okasama Starr
519706	243789	
519706	246978	Samurai
519706	252682	Nimbus, Skorm's henchman
519706	253711	
519706	274895	Priest
519706	279860	Tubie #1
519706	287407	Li Wo Twan
519706	334479	
519706	344592	Various Vietcong
519706	380986	
519706	384175	Guacanabo
519706	392654	Capo mafia cinese
519706	393044	Pete
519706	409094	
519707	55980	
519707	309404	Cuoco cinese
519707	342118	Amministratore delegato
519708	232587	
519708	293505	
519709	9594	Togo Konno
519709	145283	Tatsuo Mukai
519709	177862	
519710	182706	Foreign Minister
519710	285588	Black Ghost
519710	285589	Black Ghost
519710	336577	Sandada
519710	380560	Willard North
519710	397844	Dr. Bliack Lao (Lana's Grand 
519710	405158	Azuma Kôtarô
519710	407839	Emperor Dornkirk/Isaac
519711	42844	Stilista moda
519711	289582	Japanese Man
519711	344584	Veleno
519711	344585	Veleno
519712	76899	
519712	130533	
519712	241947	
519713	355277	
519714	179212	Japanese Soldier #1
519715	180626	
519716	403554	Robot Detective K (Battle Mod
519717	7405	Spieler
519717	32704	Kono
519717	34128	Sam
519717	39329	Kashimo
519717	81097	Japanese Chauffeur
519717	96989	Japanese Instructor
519717	139960	Chung Ho
519717	147650	Thomas
519717	189255	Ching, Haggerty's Valet
519717	190944	Chinese Waiter on Boat
519717	232299	Fong
519717	254260	Kimo
519717	270480	Togo
519717	277528	Houseboy
519717	308622	Wilbur, Paul's Butler
519717	313085	Quintain's Houseboy
519717	330375	Japanese Reporter
519717	340513	Foo Yung (cook)
519717	360535	Fugi, the Page Houseboy
519717	360705	Taka
519718	156215	
519719	28106	
519719	232921	
519720	199311	The Family
519721	41256	Trent
519721	382263	Trent
519722	364098	
519722	394099	Itsurou Takuma/Centipede Orph
519722	394100	Tooru Houjou
519723	69043	Sword Master
519723	274350	Kyobo
519724	2382	Tams
519725	391104	
519726	226132	Abujâmâ Otoko
519727	76897	Aoyagi
519728	182413	
519729	31178	Oshikawa
519730	47759	
519731	176832	
519732	122080	
519732	122083	
519732	122086	
519732	122091	
519732	122092	
519732	122093	
519732	125457	Stuttering Seiji
519732	130520	
519732	130522	
519732	130531	
519732	136390	TV Anchor
519732	136396	
519732	137008	
519732	137379	
519732	141901	
519732	142172	
519732	167857	
519732	167858	
519732	167860	
519732	167863	Hiroshi Tamura
519732	167959	
519732	167960	
519732	167967	
519732	170891	Tosuke
519732	171440	Koyata Koga
519732	172926	
519732	176616	Shohei Matsushita
519732	177239	Reikichi Toda
519732	177956	
519732	180622	Lord Kurdoa Naritaka
519732	181722	Jinnosuke
519732	181887	Amamaki
519732	208031	
519732	209932	
519732	232540	
519732	233023	
519732	233098	
519732	261210	
519732	288655	Man in Sauna
519732	294231	
519732	298827	
519732	308879	Hiroshi Kamamoto
519732	318504	
519732	322734	
519732	327036	
519732	334861	Watanabe
519732	334912	
519732	348981	
519734	139088	Edy's Quartet
519735	334165	Japanese NCO
519736	184060	
519737	97188	Kisuke
519737	132095	
519737	174877	Michihiko Kihara
519737	175516	
519737	179434	
519737	196537	
519737	236856	Junichiro Goto
519737	242315	Junkichi
519737	256288	
519737	293472	Pornographic Movie Director
519737	299574	Yoichi Tajima
519737	328123	
519737	374096	Shinnosuke
519738	288655	Imura
519739	137263	Eguchi
519739	242121	
519739	344025	Gen. Hiss
519739	344031	Hiss
519739	394031	Various characters
519739	398971	Gaulois
519739	403966	Sakata
519739	409327	Hiss
519739	411890	Dan Araiso
519740	326128	Yakuza
519741	173491	
519742	211825	
519742	290999	'Peking Duck'
519742	335950	Nakata
519743	406125	Ryuuma Kagawa/Knight Fire
519743	408430	Ryuuma Kagawa/Fire
519744	232681	
519745	58660	Toshio Yoshida (childhood)
519746	96747	Mr. Marshall
519747	163836	
519747	174337	Syutan Kano
519747	256142	
519747	298918	
519747	299052	Hirai
519747	300545	Reporter
519747	374605	
519747	404468	
519748	115182	Additional Voices
519749	14106	Black Star ninja
519749	14110	Tadashi
519749	47759	Bronson Lee
519749	51960	Wang
519749	54277	Kenji Nakata
519749	55094	Lee's Uncle
519749	123432	Chin
519749	125247	Drug Agent
519749	136461	Eastern Trainer
519749	169884	Motai
519749	173944	
519749	238138	Seikura
519749	258554	
519749	278830	Nakamoto Yakuza
519749	295272	
519749	299106	Ken Suzuki
519749	321700	
519749	321701	Tadashi
519750	173945	First Soldier
519751	373218	
519752	5785	Keisuke
519752	77907	
519752	139831	
519752	172105	
519752	271915	
519752	283325	Kimura
519753	383084	Todd Matsuoka
519754	193977	Tadashi Otomo
519754	392572	Shun
519754	402601	Koshiro Nabeshima
519754	406360	Kengo Iwasaki
519755	411420	Himself
519756	235311	
519757	182498	
519757	334881	
519758	166044	Special Guest
519759	359699	Rebel 1
519760	9291	Kozo's siter's lover
519760	12948	Police
519760	28120	Shobei
519760	102680	Hisao
519760	125451	
519760	137010	Goro
519760	137339	Seiu Ito
519760	138486	Yamashita
519760	139721	Kamegiro Sato
519760	145453	Naoko Sugita
519760	145590	
519760	160096	Suke
519760	164024	Arita
519760	170337	
519760	173600	
519760	174340	
519760	174461	
519760	176225	
519760	176527	Boxing Club Manager
519760	177791	Wu Ta
519760	177823	
519760	180593	Jinpei
519760	180627	
519760	182033	Dentist
519760	230131	Tameo
519760	233139	Satori
519760	242143	Ryunosuke
519760	243354	Ito
519760	243365	Nakai
519760	284039	Tomomi Iwakura
519760	287161	Ittchan
519760	293635	
519760	299142	Kohei Kirino
519760	341228	Police
519760	348868	Police
519760	359391	Rin
519760	359612	
519760	370706	The Villager Yoju
519760	371846	Pinsuke
519760	378140	Vet
519761	29671	The Shogun
519762	299561	Ken
519763	90558	Akakawa
519763	91520	Satoru Kiyota, young boxer
519763	135795	
519763	182028	Yamabe
519763	300499	
519763	327041	Akio Gotoh
519763	334847	Michio Nishiumi
519763	336357	
519763	336358	
519763	370008	
519764	21901	Ootsuki
519764	101483	
519764	167939	Hanzo Hattori
519764	173596	Detective A
519764	296779	Chen
519764	334952	Kazuo
519764	374600	
519765	145590	
519766	145280	Oikawa, Atsushi
519767	324915	
519769	13602	
519769	19700	
519769	50462	
519769	61464	Tsukamoto
519769	91188	Tosuke Satomura
519769	125237	
519769	130487	Dr. Yano
519769	132383	
519769	132385	Takei
519769	138066	
519769	146901	
519769	156226	
519769	162223	
519769	180622	Ayabe Ukon, messenger #1
519769	217072	
519769	242172	Shintaro Yamazaki
519769	269752	Hidemi Ozaki
519769	299149	
519769	300471	Kuramochi
519769	318396	
519769	358128	Umina
519769	358407	
519770	2133	Ninja Master
519771	61527	
519771	146917	
519771	170332	
519771	179540	
519771	275061	Kosaka
519771	299024	Aoki
519771	299025	Aoki
519772	28118	Setsuna
519773	179822	Boss
519774	285930	Taro Sakaki
519775	295127	Ryuta
519776	356472	The Media (Himself)
519777	146354	Chief Tanaka
519778	125264	
519779	61464	Worker
519780	358125	
519780	371987	
519781	298992	
519781	374605	
519782	404244	Tatsuya Endo (Science)
519783	182012	Sayama
519784	120146	
519784	162683	Hiromichi Noda
519784	168084	
519784	238382	
519784	241947	Driving School Teacher
519784	292074	Nezu
519784	344009	Norimichi's father
519785	41790	
519786	182042	Young Yakuza
519787	379478	Iron of Yappa
519788	308473	Waiter
519789	299618	Futoshi Tanabe
519790	360028	Yama-chan
519791	333406	
519792	122095	
519793	176527	
519794	390058	
519795	165202	(segment "Kendama")
519795	182050	
519795	341269	Hanabi
519796	145736	Hiromasa Matsusaka
519797	94711	Poliziotto GIapponese
519798	9866	Kulas
519799	198952	Tatsu
519799	299135	Sanosuke Harada
519800	4729	
519802	399478	Carrot
519803	325208	
519804	510	Wiseman/Harald Hoerwick
519804	511	Harald Hoerwick
519804	515	Wiseman/Harald Hoerwick
519804	516	Wiseman/Harald Hoerwick
519804	517	Wiseman/Harald Hoerwick
519804	20460	Mouse
519804	92777	Mappy
519804	113338	Joe Hayakawa
519804	135982	Tanji
519804	177754	Seiuchin
519804	182500	Enzyme II-03, Student A
519804	199109	Isamu Alva Dyson
519804	211952	
519804	299262	Hayato Nekketsu
519804	379014	Hans Klife
519804	384218	Demon Blue/Bark
519804	386236	Maeda Kiyoshi
519804	391337	Incognito
519804	392570	Hiromi Izawa
519804	394419	George de Sand
519804	394521	Seiuchin/Thomas/Barbarian/The
519804	396440	Ferrio
519804	396640	Bobby
519804	397187	Detective Shido
519804	404572	Kunihiko Kimishima
519804	404879	Man in Black
519804	405635	Jillas
519805	115603	
519806	370235	
519807	1040	Shoji Nango
519807	8590	Sasaichi, Hiroshi's Father
519807	9276	Sahachi
519807	9322	Tosuke Kosugi
519807	9548	Detective Kikuchi/Seiichi Ina
519807	21823	
519807	32129	
519807	43063	Hiroshi Nakaido
519807	61050	
519807	76861	Ichiro Mimura
519807	76881	
519807	96414	Tetsuo Takeuchi
519807	129769	Hideyoshi (father of Sugihara
519807	129809	
519807	130507	Tsukuda
519807	144213	
519807	149099	Matsumoto
519807	167987	
519807	168084	Genichiro
519807	172105	Nobukado Takeda
519807	173621	Toshio Sugiura
519807	175270	Hanawa
519807	182023	Takeshi Yano
519807	182720	Tadashi Tojo
519807	206784	Hideki Gondo
519807	216527	Sutonahiko Suminoe
519807	217199	Yoshio Arima
519807	223304	
519807	232699	Senkichi Sato
519807	242141	Zengo Kakimoto
519807	242184	Kohei
519807	242235	Cameo appearance (Prime Minis
519807	244054	Wabisuke Inoue
519807	278385	Hideyoshi Toyotomi
519807	288063	Sutekichi Tokito
519807	293662	Juzo
519807	298942	
519807	299405	
519807	305174	Man
519807	308877	
519807	308879	Shingo Takagi
519807	318399	Genshiro
519807	318504	
519807	324285	Goro
519807	325183	
519807	327944	Ginjirô Takeuchi, medical int
519807	334960	Shinichi, Diplomat's Son, the
519807	370706	Gaukuen Yamazaki
519807	370747	
519807	375593	Tsutomu Fujimura
519808	18681	Ota
519808	49871	
519808	135209	
519808	172125	
519808	277356	
519808	344009	Norimichi Shimada
519808	390731	Masaru Watanabe
519808	399191	Tohru Takagi
519809	182471	
519810	113282	Togawa
519811	407109	Himself (2002)
519812	183095	
519813	24264	
519813	379043	Chemo
519814	375537	Tzanani
519814	391572	Muelas
519815	10453	Lyes
519816	179843	
519817	33717	Brice
519817	110395	Jeeradech
519818	237960	
519819	25924	Afrikanischer Politiker
519819	40957	
519819	157629	Joseph Ngubu
519819	173697	Carson
519819	316532	Ozuma
519819	325569	Willi Amadou
519819	388640	Vater Tungaru
519819	404482	Bäcker
519820	245725	Toguchi
519821	236656	Aviator
519822	401079	Mrs. Mioko Nagata
519823	43057	
519824	378391	Gaucho
519825	385852	
519825	410453	Lucas Segura
519826	106219	TV Cameraman #1
519827	35709	Big Dom
519827	94099	Gary Pepperdine
519827	196505	Thug with Gun
519827	224431	'It Sucks' Producer
519827	333602	Pietro
519828	142742	
519829	95854	
519830	43543	1. Chinesischer Agent
519831	237965	
519831	305203	
519832	167430	Father Long
519833	405110	Wu San Tong
519834	396411	
519835	130499	Yokohama street hippie (speak
519836	187088	The Boy
519837	369638	Yan Han
519838	169204	Pak Andi
519839	155084	Skinhead
519840	248976	Fue Bodyguard
519841	370171	
519842	101700	Old man
519843	251108	Fengmo's Friend
519844	44393	Missail
519844	359175	Prince Andrei's Orderly
519845	217138	Ho
519846	405740	Co-star
519847	286458	Lord Tien, Chief Secretary of
519847	296587	Chu Chung-Seng
519848	2709	Coroner
519848	181836	Dying Ling
519849	137215	Kim Chui
519849	157290	Hu
519849	384107	Himself
519849	411650	Himself
519849	411651	Himself
519850	211860	
519851	12918	
519851	76812	Miguel
519851	114903	Joel Barnabe
519851	127724	Ricky
519851	132207	Lorenz Montinola
519851	148209	
519851	174888	Alex
519851	199779	
519851	222110	Gabriel
519851	246093	Jason
519851	270664	
519851	390069	Ricky Salveron
519851	396410	
519851	398494	Gabriel
519851	404051	Daniel
519851	410942	
519852	30604	Luo Jieshan
519852	90554	Dong Fangjian
519852	369036	Shen Lan
519853	3540	A Tan
519853	8597	A Qiu
519854	174983	Hayashi, Soji (Father)
519855	167849	
519856	192474	
519857	2512	Fang Minshan
519857	111219	Qin Zhixin
519857	116340	Han Xiyuan
519857	277558	Li Shi
519858	87038	
519859	95191	
519859	95192	Evil Master
519859	152095	
519859	196644	Fung Shek Fan
519859	303407	Hiu Hing
519859	368062	Iron Robe Yim
519859	368065	Chung
519859	369648	Wu
519859	369790	Foster Father
519859	369794	Ho Fu
519859	395517	Philostedes, Aisha's helper
519859	408600	Fo Fai
519860	287025	
519861	110617	Pao Xiaomin
519862	102554	Huzi, Ermo's Son
519863	374814	Meng Shijun
519864	4572	
519864	4574	
519864	9600	
519864	17419	
519864	17429	Niwa
519864	17430	Monzen
519864	28105	Tetsuji Inoko
519864	28106	Shôta Nomura
519864	28138	
519864	28140	Kiyokawa
519864	28141	Mochizuki
519864	31523	Takimoto
519864	44593	Hayakawa
519864	44705	Hanesawa
519864	91092	
519864	91148	Baseball bat maker
519864	123700	Ishiyama
519864	123701	Doi
519864	125455	Karasawa
519864	132093	Kazama
519864	136394	Kanzaki
519864	136395	Matsuoka
519864	138064	Harimoto
519864	147350	
519864	156173	Ishiguro
519864	163848	
519864	164026	
519864	167857	Isamu Kasai
519864	167859	Takuya Asano
519864	167860	Ryôsuke Kaga
519864	167910	
519864	169217	Adachi
519864	170891	Dobutatsu
519864	172052	Maruyama
519864	172342	Yasuhara
519864	173124	Tadano
519864	173914	
519864	174872	Matsuzaki
519864	176566	Machida, a ruffian
519864	177869	Nomiyama/Teijirô Matsumoto
519864	179388	
519864	181965	Shûdô Shimazaki
519864	214715	Arakawa Sr.
519864	232574	A drifter
519864	233027	
519864	298890	Sekido
519864	298940	Shin Kudô
519864	298974	
519864	300128	Rokuzô
519864	300134	Shimada
519864	309362	
519864	322734	Sô
519864	323128	Takebayashi
519864	323239	
519864	343639	Hoshikawa
519864	374907	
519864	375103	Kawakami
519865	4016	Tamiya-sempai
519865	4577	Gang Leader
519865	9575	Richter Belmont (japanese ver
519865	21369	Zande
519865	21370	Zande
519865	49935	Ganack
519865	74123	Jimenes
519865	74272	Nikolaev
519865	123932	Gateau Moka
519865	127783	Bolkazanda III
519865	176539	Zabine Chareux
519865	181565	Daikaku
519865	202810	Dragon King Ryuuou
519865	223331	Shredder (Sawaki Oroku)
519865	298425	Cool Z
519865	373392	Palpalepa
519865	380473	Orochi Yamatano
519865	381163	Gateau Mocha
519865	382908	Leon McNichol
519865	384218	Arden Dark
519865	384220	Megatron
519865	385982	Guardromon/Andromon
519865	386775	Rilld
519865	390794	Narration
519865	392570	Kigure
519865	393942	Ryuu Doruku
519865	396440	Geo Metro
519865	396491	Narumi
519865	404576	Cobramaru {Japanese Version}
519865	407289	Saxsonberg
519865	407381	Wanococha
519865	408732	Depth Charge
519865	411738	Shuten Douji
519866	9276	Madwoman's father
519866	9470	Yanagisawa
519866	9548	Hiroshi Ebihara
519866	21330	Himself
519866	21828	Kato
519866	50187	Gonnosuke Shizuta
519866	61464	Fujimura
519866	94393	Ishimoto
519866	111235	Kentaro Yamada
519866	136394	
519866	137360	Tohata
519866	149094	Dr. Mikumo
519866	149099	Kiyaoki Hayashi
519866	172108	Ogosho
519866	176671	Ushigi
519866	177865	Genkichi
519866	179341	Hotel owner
519866	198813	Hyogoro Onishi
519866	210154	Kiyohide Yamatomori
519866	232577	Shinpachiro Kasahara
519866	232580	Hirofumi Ito
519866	233225	Magosaburo Omori
519866	238101	Yamauchi
519866	242172	Hamamura
519866	242181	Minamoto
519866	245881	Eitaro
519866	275753	Nagano
519866	285613	Forger
519866	288187	Naoyoshi Ashikaga
519866	298924	Emperor Shirakawa
519866	298925	Matsudono
519866	320414	Ryuan, Yuhide's real father
519866	323131	Premier Admiral Mitsumasa Yon
519866	323133	
519866	334785	Shunsuke's father
519866	334833	Kiyobei
519866	370729	Daihachi
519866	371991	Inokura
519866	371996	Yonebayashi
519866	373173	Naoyuki Shinano
519866	373188	Hiromi-ya
519866	374113	Sukegorô of Iioka/Iioka yakuz
519866	375633	Sukegoro Hanoka
519867	390081	Manabu Yûki
519867	405275	Bon/Gyro Robo
519868	19702	
519869	390730	Tadaaki Kusano
519870	373235	
519871	315246	Wahooka
519872	2178	Masaki
519872	9174	
519872	77907	
519872	138077	Chef #1
519872	141740	
519872	157027	Takeshi
519872	167986	
519872	169697	Toshio Murai/the director
519872	169734	Shunsuke Kobayashi/A schoolte
519872	169735	Shunsuke Kobayashi/A schoolte
519872	214416	Abiko
519872	214742	
519872	244564	
519872	278547	Okazaki
519872	278549	Okazaki
519872	318952	
519872	322602	
519872	334868	
519872	341291	
519873	21824	Section Leader Mochizuki
519873	62124	Hoshino
519873	79469	Onkel
519873	137008	
519873	141901	
519873	150504	Kenji Shimada
519873	179416	Masaru
519873	238382	Shinji Muroi
519873	238383	Shinji Muroi
519873	238384	Shinji Muroi
519873	238386	Shinji Muroi
519873	240379	Toshio
519873	283723	Shimazaki
519873	288066	Tatsuya Nakama
519873	294181	
519873	373233	
519873	380726	Mochizuki
519873	381385	Kojirô Sasajima
519873	381597	
519873	394537	
519873	399976	Shinji Muroi
519873	403166	Kouzou Hamasaki
519873	403411	Kazuyuki Asakawa
519874	179377	
519874	227320	
519875	19060	
519875	101562	
519875	101563	
519875	101564	Priest Sanzo
519875	101565	
519875	372038	
519875	375569	
519876	101560	
519876	153557	Ichitaro Yoshino
519876	180438	
519877	213282	Sasa
519878	326128	Japanese ambassador
519879	130526	Mitsuo Komatsu
519879	162141	Kumai (The Reporter)
519879	173257	Zenpei Tani
519879	188385	
519879	211768	Yabe
519879	232605	Akabane
519879	270314	
519879	285677	Tomoo
519879	322488	
519879	348948	Hideyuki Akiga
519879	358118	
519879	391367	Masahiko Tsuji
519879	399496	Gorohachi
519879	409726	Atsushi Kokubo
519880	138073	
519880	236942	Ezaburo Yamamura
519880	344019	Miyamoto
519880	373185	Banto
519881	30987	Shiro
519882	238096	Mr. Satoh
519882	299834	Store Owner
519883	159830	Kuroiwa
519883	176527	
519883	374600	
519884	232663	Roku-san
519884	234903	Police Officer
519884	334947	Clerk
519885	168356	Tanaka
519885	182403	Yasuzo
519885	213008	
519885	242180	Minakawa
519885	299121	Kohachi
519885	299124	Kohachi
519885	322737	Senpei Nakamura
519885	323133	
519886	18682	
519886	63542	Otokichi, of the tatami shop
519886	138099	
519886	176574	
519886	177126	
519886	181992	
519886	223498	
519886	233136	
519886	237595	Tora
519886	242314	Yamanouchi Boss
519886	288187	Yamashita Restaurant owner
519886	334933	
519886	334938	
519886	373289	
519886	375596	Yamashita Restaurant owner
519886	375605	
519887	244517	
519888	156113	
519889	182002	Lupa
519890	89049	Shiro Sawagami
519891	370780	Ignacio Mallku
519892	24918	
519894	166946	Officer
519894	179556	
519894	220136	
519895	228839	
519896	221645	Ah Hook
519896	250711	Suki
519897	510	Sora
519897	516	Sora
519897	517	Sora
519897	175818	Tomoyo Wakagi
519897	201289	Tetsuya Tsurugi
519897	201290	Tetsuya Tsurugi
519897	269293	Ensign
519897	283678	Tsunan Tsukioka
519897	378651	Sora
519897	392964	Naraku
519897	396331	Tough Trailer
519897	403966	Tsunan Tsukioka (Katsuhiro Ts
519898	180621	
519899	44394	
519899	179603	Parvi voynik
519900	250887	
519901	263697	
519902	152173	
519903	129649	
519904	238812	Petkov
519905	250551	Vitzeadmirala
519906	188870	
519906	199984	Tourov
519906	303802	
519906	360064	Larrey
519906	373948	
519907	19505	
519907	34507	Kapustin
519907	84259	
519907	104429	
519907	163737	Doctor
519907	174532	
519907	179722	
519907	187382	
519907	217279	
519907	217281	
519907	226693	
519907	231172	Oficiant
519907	238786	
519907	260425	
519907	310479	
519907	343298	Syroyezhkin
519907	356017	
519907	357257	Ulrik
519907	373738	
519907	375662	
519907	404819	Dolman
519908	30737	The King of Metallicana
519908	88758	Count
519908	89940	Buaku
519908	91093	Narration
519908	91094	Narration
519908	91097	Narrator
519908	91098	Narration
519908	91099	Narration
519908	92746	Narration
519908	92747	Northern Kaiô, Narrator
519908	92751	Narration
519908	92755	Narration
519908	92756	Narration
519908	92757	Kaiô/Narration
519908	92849	Narration
519908	92851	Narration
519908	92853	Narration
519908	92854	Narration
519908	92856	Narrator
519908	92857	Narration
519908	124244	Jubei Yanami
519908	136097	Dr. Umon/Professor Yumi
519908	147362	Gulf
519908	174953	Gikkuri
519908	177761	Elder Ingen
519908	177763	Horumon Yâki
519908	201286	Professor Gennosuke Yumi
519908	201287	Pochi
519908	201288	Professor Gennosuke Yumi
519908	201289	Professor Yumi
519908	201290	Professor Yumi
519908	208014	Dr. Zero (from Space Pirate C
519908	209938	
519908	217377	Professor Amagi
519908	285588	Dr. Isaac Gilmore
519908	285589	Dr. Isaac Gilmore
519908	328333	Doctor
519908	334888	Buaku
519908	336577	Hoi-Hoi
519908	342572	Doctor mardock
519908	379540	Gabura
519908	385942	Pochi
519908	385981	Gennai
519908	385982	Xuanwumon
519908	386775	Narrator, North Kaiô, King
519908	386776	Narrator, North Kaiô, Babidi,
519908	386777	Narrator/Dr. Brief/King
519908	389820	Ittan Momen
519908	390806	Professor Yumi
519908	394522	Elder Ingen
519908	396492	Yousuke Nakamori
519908	396532	Prof. Yumi
519908	398579	Dr. Kitaguchi
519908	399478	Ten
519908	408732	Seaclamp
519908	409318	Doctor Zero
519908	409326	Mother Shalibart Devotee, Old
519908	410509	Doctor
519908	411885	Dr. Umon, Emperor Vega
519909	49716	Cop
519909	58563	
519909	63542	Tokuzo, of the Ueki shop
519909	181866	Matahachi
519909	181992	
519909	288187	Takebayashi
519909	288194	Papa
519909	296631	Male Anma
519909	334573	
519909	375568	
519909	375596	Takebayashi
519910	36491	
519910	51991	Lewis
519910	68764	Gypsy Neighbor
519910	95146	Dr. George Meyers
519910	131453	William
519910	374039	Dunk
519910	397040	Chalmers
519911	410608	Host
519912	331306	First Lieutenant
519913	370302	
519914	196902	Man on Greek Island
519915	114313	Drag Racer
519916	271287	Homicide Detective
519917	202324	Tim "One Shot" Brown
519918	195785	Sanctuary Bartender
519919	719	
519919	22739	
519919	25293	
519919	27469	Bashtata na Elena
519919	28166	Panov
519919	44394	Stareyshinata ha kuptzite
519919	45482	Asenov
519919	49475	
519919	49516	
519919	50958	Bashtata na Angel
519919	60696	
519919	60725	Direktorat
519919	60811	
519919	62829	Rotev
519919	63575	Sotir
519919	76300	
519919	77426	Dosadnik
519919	87702	Doktor Yanev
519919	90954	Naemniyat ubietz
519919	95697	Satrudnik
519919	95919	Prateni na tzarya
519919	98994	
519919	103565	Elin Pelin
519919	132104	
519919	134181	
519919	150540	
519919	160606	Nachalnikat na militziyata
519919	171968	Direktorat na pechatnitzata
519919	174168	
519919	174378	
519919	174677	
519919	179603	Bay Stancho
519919	179704	
519919	181483	
519919	181484	Frati
519919	202440	
519919	204047	Tastat
519919	224447	Sledovatelyat Pashaliyski
519919	226191	
519919	234793	Feldsherat
519919	238098	
519919	243640	Fotografat
519919	258433	Kiril
519919	258812	
519919	259973	Otgovornikat na otryadnitzite
519919	261330	
519919	273094	Staretzat (Segment 4 Krehko r
519919	312469	Sauchenikat na Grigorov
519919	314392	
519919	316434	Darvodeletzat
519919	335461	
519919	344059	General Mihov
519919	352807	Vakril
519919	357324	Molla Sulfikar Softa
519919	357432	Krachmaryat
519919	357560	
519919	365915	Nedev
519919	375394	Petko Sabyata
519919	398896	
519919	401062	
519919	401684	
519919	401705	Selyamsaza
519919	404210	
519919	404797	
519919	410432	Kumanov
519919	411921	
519920	36539	
519921	51714	
519921	266823	Matón #2
519921	328770	
519921	337439	
519922	123915	Narrator
519923	50163	Michael Myrgatroyd
519924	63610	
519925	11963	Surfer
519926	72678	Abdul
519926	198352	Le jongleur
519927	292302	Umpire
519928	45551	(segment "Troye v voronke")
519928	330800	(segment "Three in a Shell Ho
519929	407801	Capitão
519930	80236	
519930	124507	El Rosarino
519930	132469	
519930	205000	Carlitos
519930	210594	
519930	301385	
519930	318259	Lambruschini
519930	363663	
519930	376792	Médico
519930	383032	Pepe
519930	387573	Jorge Reyes
519930	388093	Miguel
519930	396646	Tito 'marido de Claudia'
519930	400661	Inspector Arnaldo Flores
519930	402721	Lussa
519930	403021	Ernesto Provenza (2002)
519931	36839	Ray Noble band member (Reeds)
519932	346904	Kaleb
519933	39158	Rafael/Un policier anonyme
519935	203344	Bodyguard 2A
519938	86988	Gourmet Photographer
519940	85145	
519941	318110	Joe
519942	386653	Kumanov
519943	8239	
519943	9468	Inspektorat Angelov
519943	77220	Dalmau
519943	94082	Tahov
519943	98587	Michman Nakov
519943	131028	
519943	166170	Minister
519943	172827	
519943	187387	Serapion
519943	229182	Bay Kiro
519943	231153	
519943	235293	Inzhener Tomov
519943	244473	Viktor
519943	266657	
519943	304162	Razlogov
519943	310475	
519943	398895	
519943	398896	
519943	401684	
519943	411921	
519943	412007	
519944	30494	Floro
519944	60727	Hristo
519944	60871	Podporuchik Stoyanov
519944	79142	Sinat
519944	82488	
519944	94208	
519944	97605	
519944	103565	Sekretaryat Hristo Nikov
519944	104831	Doktor Peev
519944	131027	Muro
519944	131158	
519944	132104	
519944	154184	Glasat na Cherni
519944	171968	Velev
519944	173840	
519944	174683	Partizaninat sas slabite nerv
519944	180073	Metodiy
519944	180128	Kapitan Sahatchiev
519944	180616	Nasilnik
519944	226017	Predatel
519944	237581	Inkasatorat
519944	238098	Mladen
519944	244471	Aptekaryat
519944	280589	Vlado
519944	305213	
519944	310475	
519944	311589	Boko
519944	326261	Denchev
519944	350812	
519944	352075	
519944	357624	
519944	374940	Tushe Dinev
519944	386025	
519944	398895	
519944	398896	
519944	401024	
519944	409734	Dimo
519944	409735	
519944	409856	D-r Chuklev
519945	9353	
519945	159196	07 bez mustatzi
519946	229279	Ilia
519946	343415	
519947	382508	Himself
519948	176406	Extra in alley scene
519949	2597	Interrogator
519949	289558	Cuban man
519950	44432	Altar boy
519950	91559	Vendor
519950	124580	
519950	202367	Juan
519950	224849	Young Tonweya
519950	239032	2nd Child
519950	244407	Indian Boy
519950	383780	Lame Beaver (Age 9)
519950	388820	Manuel
519950	392177	Manuel
519951	213751	Milagro Townsperson
519951	360326	Self
519952	104973	Scott
519952	310649	Specialist
519952	359367	Illidan
519952	359368	Illidan
519953	315570	
519954	58643	
519955	369067	Lu Tie
519956	185241	General Yuan Shikai
519957	199999	Ming Chow
519957	289092	Little Yu
519958	40469	
519959	241562	Wong
519959	329974	Ah-Ping
519959	358561	Chinese Athlete
519960	369124	Mingtao
519961	42244	
519961	60560	Fa Ta-tsu
519961	76310	Father Shen
519961	76367	Yung Tsung-Lung
519961	95288	
519961	181537	Old Drunken Fighter
519961	231213	
519961	324341	Restaurant Owner Chen
519962	151893	
519963	152139	Han Deqing
519963	298409	Hou Qinyu
519964	300380	Detective Chow Kam (Joyce's B
519965	29605	Choi Bae-dal
519965	77680	Sun-do
519965	137074	Seok-gi
519965	137077	Jae-seung
519965	201281	Choi Cheol-kwon
519965	318087	Chang-guk
519965	364064	
519965	365222	Bang Je-su
519965	376540	Jong Gu
519966	297491	Wei Kong
519967	181808	Neo Titan
519968	63281	
519968	370509	
519969	77121	Han Derang
519969	232740	Ah-sang
519969	298384	
519970	323107	Lin Yuan
519971	251108	Head of Police
519972	76337	Xing Ge
519973	202430	
519974	240121	Utsending fra Kina
519974	395375	Yumis far
519975	285215	Gas Station Attendant
519976	185241	Scribe
519977	33110	
519977	197602	Zhang Shunfa
519978	268802	
519979	36592	
519979	46183	
519979	49104	
519979	49193	
519979	60591	
519979	123492	
519979	124435	
519979	126903	
519979	135684	
519979	138011	
519979	138103	
519979	144296	
519979	147568	
519979	156409	
519979	181411	
519979	226537	
519979	226571	
519979	227115	
519979	234502	
519979	237954	
519979	238216	
519979	239135	
519979	246994	
519979	255742	
519979	280884	
519979	286235	
519979	288136	
519979	308412	
519979	322903	
519979	325129	
519979	344224	
519979	370319	
519979	371195	
519981	155191	
519982	16583	
519982	153414	
519982	167889	
519983	238861	
519984	292046	Page
519984	371092	Jack
519985	123067	
519986	131107	
519987	48075	Office Staffer
519987	130201	F-18 Pilot #1
519987	292148	NewsNet Technician #2
519987	330591	Science Teacher
519988	167389	Chen Fengzhai
519988	167460	Head Spy
519989	216595	Himself
519989	313747	Yang
519989	360326	Yang
519989	360327	Yun Yang
519989	360329	Yang
519989	369218	Interfering Fan #1
519989	369221	Akio
519989	369237	Akio
519989	399845	Himself (2002-2003)
519989	406933	Himself (2003)
519989	411537	Akio (2003-)
519989	411545	Akio (2003-)
519990	287115	Se-jin
519991	77163	Brother Mu-jin
519992	79478	Himself
519992	170843	Reporter
519993	316461	Yamamoto
519994	92818	
519994	372800	
519994	372801	
519995	64661	Water Meteors
519996	15395	
519996	43722	
519996	167473	
519996	287075	
519996	358101	
519997	47474	Wu
519997	111248	
519997	137567	Chinese Doorman
519997	161888	
519997	193978	The Triad
519997	312645	Kuansri
519998	214598	
519999	309426	
520000	406145	Sharak
520001	370474	Brother
520002	197598	
520003	369838	Yang Na
520004	29458	Duo Tang
520005	169662	Mr. Ping
520005	330799	George Wong
520006	110203	
520006	319096	Dr. Yeung
520007	53288	Zhang Zhenbang
520008	308011	Chinese Vendor
520009	369560	
520010	374814	Chief of Staff
520011	90609	Xiao Zhao
520011	151957	Ma Youyi
520011	298681	Lin Xiaohui
520012	151893	
520012	371636	
520014	49104	
520014	60591	
520014	138103	
520014	144296	
520014	147568	
520014	239135	
520014	288136	
520015	230888	
520016	60535	Chen Geng
520016	60536	Chen Geng
520017	41874	Jeepo
520017	153033	Hung Hei-Kwun
520018	324198	
520019	102554	
520020	268635	Samo as child
520021	411590	Museum curator
520022	102061	
520023	60629	
520023	102651	
520023	126776	
520023	126895	
520023	127720	Dal-su
520023	130165	Hong Chan-kyeong
520023	137621	
520023	204526	
520023	211209	
520023	308445	
520023	371224	
520023	371227	
520024	405110	Da Er Ba
520025	191975	Bandit
520025	215882	
520026	369626	
520027	175757	
520028	150587	Father/Manager
520028	184812	Reiss' Guard
520028	297536	Emperor
520028	326451	Sensi
520028	340883	Ghost
520029	117847	Tien
520030	117847	Taipei plumber
520031	122711	
520032	97786	Liu Hongtai
520033	260323	Oriental Food Store Clerk
520033	406791	Co-Host
520034	151778	Siberian Peasant
520034	285199	Himself
520035	251108	Orphan
520036	102554	Xiazi's Daughter
520037	251929	
520038	121113	Yu Shaofan
520038	202600	Xiao Zhang
520038	372243	Ding Jianhu
520039	369802	Meng Xiaomin
520040	102554	
520041	411873	Zhou Zhiheng
520042	162254	Pol
520043	137176	
520044	124884	Herself
520044	161877	
520044	305375	Chinese Student Club Member
520045	335412	Hou Zhi (as boy)
520046	111236	A Zhang
520047	367149	Monk Jing
520048	303748	
520049	198710	Ling's father
520050	369922	Judge
520050	382903	Coco's father
520050	405110	Hong Qigong
520051	27898	Company Commander Xu
520051	69541	Luo Xiao
520051	76839	Xiao Zhiyun
520051	369969	
520052	332287	Uncle 4
520053	60542	
520054	221497	
520055	325160	Riano
520056	145434	Dawa
520056	191769	Bud
520057	338568	Deki
520058	189122	
520059	20625	Extra
520060	28415	Himself
520060	395893	Himself
520061	298639	
520062	38485	
520063	334353	
520064	251373	
520065	389570	Nautilus Pilot
520066	407747	Newsreader (2004-)
520067	163546	Anita
520068	259925	
520069	322537	
520070	40739	Jack
520070	57228	Sean Malloy
520070	80394	Det. Gary Belladonna
520070	257410	Ed
520070	263218	Joe Vranic
520070	266047	Buzz
520070	272022	Police Officer
520070	276092	Ed Fairbanks
520070	277042	Ron Jeffers
520070	301256	John Small
520070	314763	Simi Aberts
520070	315484	Lenny Maddox
520070	341746	Robin
520070	359381	Jellings
520070	366983	Daryl
520070	397877	Buddy Ray
520070	407461	Mr. Blank/Gmork
520071	321876	Vanya Sojntsev
520072	22053	Yankir
520073	149974	Mail Guy
520074	181510	
520074	397513	
520075	64869	Stavros
520075	138382	Bad Guy
520076	113270	Secutity Guard #1
520076	155981	Cop
520077	280870	
520078	98164	New Jersey Fan
520079	408861	
520080	44394	Nachalonikat na ohrannitzite
520080	88436	
520080	317100	
520080	357324	
520081	250551	
520082	244482	Asen Spasov
520083	224037	
520084	132003	
520085	181244	
520086	6445	
520087	9353	
520088	186237	Dimo
520088	208780	Ilcho
520089	84478	
520089	97562	Stzenaristat
520089	164090	Pisatelyat
520089	244468	
520089	314392	
520090	291	Himself
520090	292	Himself/Ricky Ricardo (Ricky)
520090	293	Himself
520090	294	Himself/Various
520090	295	Himself/George Newman (UHF, B
520090	846	Himself
520090	2731	Weird Al Yankovic
520090	9749	Himself (Host)
520090	9906	Himself - George Newman (UHF)
520090	27260	Himself/George Newman (Beverl
520090	33040	Himself
520090	34789	Himself
520090	64573	Performer
520090	68092	Himself
520090	68745	Himself
520090	84005	
520090	92447	
520090	108476	Himself
520090	140125	
520090	160475	Himself
520090	192688	Giles Standish
520090	212711	Himself (Liberian Girl video)
520090	212716	Himself
520090	221388	Himself
520090	221474	Himself
520090	224391	Himself
520090	226937	Police Station Thug
520090	226938	Himself
520090	226939	Himself
520090	231537	Himself
520090	235635	Clothing Store Customer
520090	285360	Himself
520090	295076	Self
520090	312141	Himself in title sequence
520090	324777	Himself
520090	344203	George Newman
520090	361062	Himself/Bob Dylan
520090	387340	Additional Voices (1996)
520090	392423	Himself
520090	410780	Himself/Various characters
520091	166910	Himself
520092	291	Himself
520092	292	Dad (I Lost On Jeopardy)
520092	293	Dad
520092	294	Himself (I Lost on Jeopardy)/
520092	295	Dad (I Lost On Jeopardy)/Amis
520092	27260	Amish Man (Amish Paradise)
520092	68745	Himself
520092	410780	Himself
520093	88460	Snegovoy's Father
520094	3198	
520094	7564	Nikita
520094	82794	
520094	113207	
520094	238318	
520094	294370	
520094	345990	Astris barn
520094	374562	Aleksei age 5
520095	86611	
520095	95356	
520095	104432	
520095	129935	
520095	163044	
520095	179668	
520095	179670	
520095	200963	Henri
520095	238820	
520095	263678	Colonel Geraldin's brother
520095	267899	
520095	323623	
520095	349301	
520095	356824	
520095	374751	
520095	375653	
520096	263663	The Boy with Banana Skin
520097	429	
520097	3034	
520097	11010	Kosicz
520097	25662	Z
520097	32507	
520097	63586	Priachin
520097	88405	
520097	89817	Jonathan Swift
520097	92082	Pyatakov
520097	113207	
520097	129751	
520097	131302	
520097	176136	
520097	178257	
520097	180843	Poznyshev
520097	198160	Mitya
520097	199717	Jean-Marie
520097	203492	Father
520097	214273	
520097	217216	Prince
520097	217274	
520097	217278	Kamyshev
520097	223350	Larsen
520097	223551	
520097	224440	
520097	235327	Andrei Gortchakov
520097	237466	
520097	237593	Lacksman
520097	237970	Wizard
520097	249914	
520097	250879	George Ladima
520097	259737	
520097	259880	Sergei Makarov
520097	261371	Vadim Dulchin
520097	261689	
520097	261938	Viktor Vedeneyev
520097	262988	
520097	263663	Igor
520097	263681	Stapleton
520097	272524	
520097	277212	
520097	280601	Persikov
520097	294371	
520097	294992	
520097	297862	Heinrich Schwarzkopf
520097	299432	
520097	305141	Ruslan
520097	305288	Andrei Nekrasov
520097	328341	
520097	334064	
520097	336424	Baron Munchhausen
520097	341189	Dr. Smirnov/Tsar Nicholas II
520097	343970	The Dragon
520097	345990	Jasjika, soldat
520097	356110	
520097	374562	Father
520097	374721	
520097	376218	Ryleyev
520097	380347	
520097	400479	
520098	17909	
520098	131298	
520098	172060	Flyagin
520098	173398	
520098	180941	
520098	198127	
520098	209514	
520098	229083	
520098	264974	Igor Lvovich
520098	266295	
520098	273707	
520098	305288	
520098	351024	
520098	356575	
520098	357334	
520098	357450	
520098	360064	Flahaut
520098	374463	
520099	280038	Performer (Metrô - keyboard)
520099	297536	
520101	10412	Humphrey's Father
520102	6420	
520102	7289	
520102	79500	
520102	100610	
520102	100625	Manouil
520102	125696	
520102	172210	
520102	174581	
520102	199716	
520102	212563	
520102	217928	
520102	224857	
520102	246523	
520102	247096	
520102	248695	Dimitris Delakovias
520102	249413	The Virgin
520102	256407	
520102	275396	
520102	306963	Pakis
520102	312627	
520102	326228	
520102	374168	
520103	179529	Kokovios
520104	224895	Himself
520105	330358	
520105	380383	Dimitris
520105	407921	Peter Vonberg
520106	18223	Lefteris Zevedeos
520106	54464	Kokolios
520106	98565	Moustafa, the turkish drug de
520106	114206	Eleni's Father
520106	173084	Fotiou
520106	180288	Turkish soldier
520106	209758	
520106	212035	Shopkeeper
520106	212547	
520106	213125	Translator
520106	231111	Captain
520106	259419	
520106	263352	The Turk
520106	294834	Greek Policeman
520106	308003	Greek Agent
520106	317097	
520106	332177	
520106	338206	
520106	339702	
520106	350396	Waiter
520106	366004	Policeman
520106	379680	
520106	387708	Markos
520106	389459	Guard
520106	406690	
520106	410360	
520106	412027	
520107	5900	Dr. Belgoder
520107	6591	The Count
520107	7473	Quémeneur
520107	15030	Arnold
520107	15083	Pornotropos
520107	17852	Le Grand-père
520107	20378	Louis Carrier
520107	22191	Arthur Colonna
520107	23530	L'Expert (Simon Verini)
520107	28237	Marc Bollène
520107	29157	Robert Vaucamu alias 'Bob la 
520107	32035	Louis Goezman
520107	33581	Paul
520107	44930	Popaul
520107	57405	Équateur
520107	58233	Marco Broca
520107	58415	Georges Flavier
520107	60890	Bakoulian
520107	62237	Régis Forneret
520107	62437	Clément Mastard
520107	63853	Gustave
520107	77365	Evaristo Della Porta
520107	83382	Dieu
520107	84645	Paulus
520107	84676	
520107	87501	Federucci
520107	96190	Rolliat
520107	96229	Corniche
520107	101156	Célestin
520107	101208	Julius
520107	102915	Philippe
520107	107835	Magic
520107	108674	Doc Noonan
520107	110108	Mietek Breslauer
520107	111098	
520107	113560	Père Cambournac
520107	131170	Tonton
520107	138434	Victor Bonnet
520107	153241	Le Colporteur
520107	156553	Bakoulian
520107	157305	Directeur des relations humai
520107	159290	Guy
520107	165234	Delage
520107	166129	Bertrand
520107	166179	Inspecteur Chodaque
520107	166304	Himself
520107	184051	Serge Aubin
520107	184784	
520107	189347	Marat
520107	190632	Tricot, l'instituteur
520107	198310	Roland Pikas
520107	199307	M. Homais
520107	200942	Emile Ducrau
520107	212768	Récitant/Narrator
520107	216668	Ned
520107	217221	Benoît Lepape
520107	217223	Max
520107	218196	Félix
520107	235834	Jean
520107	245794	William Molard
520107	246291	Le Comte de Morangias
520107	247241	The Police Captain
520107	248218	Murat
520107	254154	Gérard, l'oncle de Bruno
520107	265467	Plana
520107	268455	Pierre Laval
520107	269222	Paul Decourt
520107	269795	Inspector Sutter
520107	270542	Commandant Chaumareys
520107	271368	Jean-Philippe Leroi
520107	274798	Simon
520107	285736	Mueller-Strasse
520107	288876	Louis Orsini
520107	292890	Germain l'escroc
520107	322369	Polougaievski
520107	327573	Le vieux
520107	328087	Hotel Manager
520107	336979	Christian Gerber
520107	343544	L'homme au téléphone
520107	345186	Barton
520107	346647	Michel
520107	346732	Fantin
520107	352635	Le beau-père
520107	353381	Billette
520107	353523	Mr. Schomberg
520107	353941	Kerbel
520107	360823	Roland
520107	378022	Roger Blanchard
520107	381614	Julius
520107	383864	Jean-Baptiste
520107	397158	(segment "Point d'honneur, Le
520107	400698	Le romancier/André, le pêcheu
520107	401328	Himself (guest)
520107	404129	Jeannot, le camionneur (1965-
520107	408002	Oscar Thibault
520108	11537	Coach
520109	238613	Himself
520109	307237	Himself
520110	280454	
520111	81894	Helen Curtis
520112	108775	The Police Inspector
520113	390037	Orestis Vrettos
520114	304787	Guido
520114	382824	Charles Constance
520115	108501	Jake Wallace
520115	110439	Cirillo
520116	395381	
520116	395900	Aris' father
520117	8484	
520117	100606	
520117	100609	
520117	104822	
520117	123521	Traffic policeman
520117	163764	
520117	174454	Kimon Karabatsis
520117	179635	
520117	182448	
520117	211483	
520117	243058	
520117	262363	
520117	284494	
520117	306963	Traffic policeman
520117	312985	
520117	336903	
520118	327321	Yiannis
520119	416	
520119	19006	
520119	178682	
520119	247305	
520119	289149	
520119	379466	Stelios Yaryabikas
520119	379509	Manos
520119	395381	
520119	398880	
520119	399857	
520119	400825	Stratos
520119	401315	Yarabikas
520119	407739	Lefteris Taggas
520119	409935	Sarantos
520120	33626	Arbitre
520121	162126	Serviteur
520122	33714	Guard
520123	171225	
520124	124245	Freeman
520124	177378	Brian Battler/Sie Kensou
520124	177380	Sie Kensou
520124	177381	Sie Kensou
520124	177382	Brian Battler/Sie Kensou
520124	177384	Sie Kensou
520124	177385	Sie Kensou/Psycho Soldier Ken
520124	177386	Sie Kensou/Kogorou/Krizalid
520124	177387	Sie Kensou/Announcer
520124	284073	Robert Garcia/Lee Pyron
520124	286865	Amakusa Shirou Tokisada/Ukyo 
520124	286868	Ukyo Tachibana
520124	286869	Ukyo Tachibana
520124	286870	Amakusa Shirou Tokisada/Ukyo 
520124	298981	Ukyo Tachibana/Gen-an Shiranu
520124	320546	Dhalsim
520125	342633	General Secretary Ren-Sing Ch
520126	370782	
520127	322488	
520127	372034	
520128	1757	
520128	169107	Narrator
520128	200762	Shokichi Aoki
520128	244570	
520128	318945	
520128	370281	
520129	13985	Himself
520130	178247	Akaman
520131	399526	Himself
520132	299596	
520133	170903	
520134	317309	Highlands Nightclub Goer
520135	50791	
520136	50791	Wend Kuuni
520136	361350	Wendkouni
520137	182167	Counter Jumper
520138	398895	
520139	387508	
520140	99189	Harele
520140	133431	
520141	351019	
520142	49350	Hotdog Vendor
520143	61900	Johnny Perfect
520144	84648	
520145	300370	
520145	336424	
520145	373573	
520146	173377	Anton
520147	25291	
520147	33314	
520147	98586	
520147	131112	
520147	173651	
520147	173678	
520147	224197	
520147	227955	
520147	237959	
520147	258605	
520147	262165	
520147	272516	Deputy of City Soviet
520147	289872	
520147	343834	
520147	350798	
520147	352449	
520147	357484	
520148	44359	
520149	37383	Himself
520149	141706	Navigator/Barbarian
520149	241795	Member of the Lovin' Spoonful
520149	280044	Himself
520149	362558	Himself
520150	228163	Himself
520150	242865	Himself
520151	11570	Mr. Kelly
520151	230682	Lawyer
520152	106076	Dancer
520153	287216	
520154	209283	Narrator
520155	72909	
520156	60425	
520156	95652	Sir Toby Belch
520156	95916	
520156	110454	Person
520156	129426	Petr Andreyevich Vyazensky
520156	173016	Severyan
520156	174691	
520156	197998	
520156	211859	
520156	219426	Old Mushroom
520156	224278	
520156	225926	
520156	226856	
520156	239439	
520156	261206	Pavel I
520156	261324	Ivan Likho
520156	265037	Begemot
520156	277210	Commissioner of Charities Art
520156	300563	Police Capt. Yevgraf Kuzmich
520156	320483	Andrei Andreyevich Nyunin
520156	327129	
520156	356570	
520156	356993	Tsar
520156	373519	
520156	373731	Max
520156	382445	Professon Volosyuk
520157	10916	Soldier who stuns Ripley
520157	27196	Badeddie
520157	62285	Third bad guy
520157	64871	Bodyguard #1
520157	161517	Bedouin
520157	310726	SWAT Member #2 on Flatbed Tru
520158	92909	Greendblood Thug 2
520159	82095	Disc Jockey
520160	183323	Lt. Yant
520161	142456	Himself
520162	23614	
520162	349239	
520163	29395	Additional Voices
520163	123445	Radio Seaman, Soldiers #6
520163	206618	Jump Operator A, Radio Operat
520163	381025	Additional Voices
520163	389503	Additional Voices
520164	374790	
520165	298639	
520167	827	
520168	131716	Senator Bladen's Security
520169	89794	
520169	244644	
520169	283693	The vagabond, Razboynijk
520169	305216	
520169	375146	
520170	1518	
520170	6660	Kybernetician
520170	9538	
520170	32757	
520170	60451	
520170	95929	Fedulov
520170	131123	
520170	162673	
520170	171682	
520170	229290	
520170	242479	
520170	258432	
520170	262500	
520170	263542	
520170	305613	
520170	326978	
520170	339262	
520170	343302	
520170	357349	
520170	370186	
520170	371355	
520170	373584	
520170	374832	
520171	297536	
520172	102554	
520173	297536	
520174	297536	
520176	191895	
520177	85836	
520178	76323	Little Li
520178	76832	Lin, Ji'en
520179	36438	Retarded man at noodle stall
520179	236242	Duan Dacheng
520180	268803	Lu Deming
520181	9285	Da'te Ikkaku
520181	14593	Seros
520181	21369	Giive
520181	21370	Giive
520181	30737	Dark Schneider
520181	51237	Starscream
520181	152605	Eric
520181	159751	Iketani Kouichirou
520181	159752	Iketani Kouichirou
520181	174950	Wataru
520181	177161	Isao, Murakami
520181	199428	Seishinja
520181	299098	Hyoudo Riki & Byoudo
520181	301673	
520181	334955	Junpei Toma
520181	335856	Smith Toren
520181	373369	Oda Nobunaga
520181	382412	Buzuma
520181	383423	Heffner
520181	384221	Saberback
520181	384231	Shinobu Fujiwara
520181	384236	Kanna Seigetsu
520181	392829	Iketani Kouichirou
520181	394426	Judau Ashta
520181	394429	Gerts Capa
520181	397970	Lu Bu
520181	402942	Weber
520181	406702	Fei Long
520181	407289	Masahiko Misuchi
520181	410258	Ryuu
520181	410739	Pluie
520183	370879	Himself
520184	151895	Egg Head
520185	274037	PSB Arresting Officer
520186	384105	Himself (Gang of Four, on tri
520187	341850	Le serveur au bar
520188	398208	Edgar Halcyon
520189	8820	Fak
520190	115673	Takeaway Manager
520190	186847	David
520190	386339	Dr. Wei
520190	391251	Dr. Nguyen
520190	407531	Paul
520191	183387	Leon Phelps, Jr.
520192	387705	Himself
520193	38401	
520193	95855	
520194	270083	Comptable
520194	280663	Mandarin Translator
520194	314129	Sarah Fan
520195	118007	Waiter
520196	256141	Young Mike
520197	242337	
520198	2042	Himself
520198	14486	Thin Boy
520198	128346	Law Clerk
520198	137766	Paul
520198	330891	Tim
520198	342156	CSA Agent Gabe
520198	391839	
520198	392450	Journalist 1
520198	393097	
520198	397280	Joe Swihan
520198	409361	Wink Yahoo (host)
520198	411035	
520199	39712	
520200	131383	Flohmarktverkäufer
520200	255872	Café Typo Manager
520201	379111	Host
520202	301971	Henry Corkett
520203	292121	Jimmy
520204	74935	Matt
520205	70612	Cameraman
520205	216007	Felipe
520205	222725	Lawyer
520205	302359	Hombre Infierno
520205	396965	Mr. Woolf
520205	399379	Neighbor
520206	46807	Dagoit
520206	115875	Servant
520206	180372	Contact Man
520206	372233	Control Room Technician
520207	21991	
520207	224013	Himself
520209	269892	Aborigine
520210	136734	
520211	68793	
520212	343632	
520213	8254	
520213	21707	Villano
520213	27987	Barbero
520213	70141	
520213	85619	Villano
520213	88798	
520213	97369	Man In Radio
520213	103482	
520213	136288	
520213	167082	
520213	167810	
520213	172715	
520213	207658	
520213	211331	Diputado
520213	213714	Kowasky
520213	217311	
520213	221695	
520213	221755	
520213	225011	
520213	242647	Agent with blowtorch
520213	256787	
520213	282138	
520213	287851	
520213	322250	
520213	327365	
520213	332918	Detective
520213	357530	
520214	116590	Casim Khan
520215	323870	(segment "Testing Democracy")
520216	31544	Walken
520216	74270	Inspector Nitta
520216	89940	Brenten
520216	91092	
520216	92747	Young slug
520216	123108	Born
520216	123109	Paranoid Commander
520216	123111	Born
520216	130488	Narrator
520216	147362	
520216	177084	Master
520216	177085	Master
520216	177161	Urga
520216	181965	Inspector Nitta
520216	182026	Ginnai Doma
520216	182393	Burei Karima
520216	182506	Greco
520216	197489	Quark, Hell Mel, Myght
520216	245697	
520216	277456	Norton
520216	278065	Chief
520216	281536	Alien X
520216	293476	Zouchou-ten
520216	306042	Gillian Seed
520216	325315	Gundam
520216	327007	Kôda Rohan
520216	334888	Brenten
520216	334915	Miyuki's Father
520216	338093	Dai-Atlas
520216	350189	Borgoff
520216	359057	Joe Taguchi
520216	373366	Higezura
520216	384051	Hiroshi Sakura
520216	384231	Death Gaia
520216	386586	Senbê Norimaki
520216	389820	Nurikabe
520216	390077	Narration
520216	391751	Kaiser
520216	391752	Dagarl
520216	394029	Various characters
520216	396500	Papa
520216	404127	Ayoros, Sagittarius Gold Sain
520216	407287	Chief Iskui
520216	407592	Dokuroken Gundam
520216	408436	Henry
520217	19323	BIrthday guest
520218	96300	Amigo facultad
520219	269045	Thug
520219	366642	Dieter Hass
520220	174988	
520221	97824	Efendi ("Mister")
520223	217281	
520224	204218	SWAT Team Member
520225	326834	Gloster Mechanic
520226	397672	
520227	385200	
520228	26070	Undetermined Role
520228	32697	
520228	54593	Missouri Jones
520228	85036	Doc Long
520228	127150	Dr. Kettering
520228	142948	The Reverend Bascom
520228	146343	Bluebeard the Great
520228	154373	Doc Long
520228	155586	Pete Barlow
520228	170984	
520228	177041	Prof. Shepherd
520228	188370	Coach
520228	274068	Joseph Brandish
520228	284916	First FBI man at Mason's hous
520228	330188	Bob Webster
520228	347365	Doc Long
520228	365071	Walter Desmond
520228	386918	Sergeant Ben Romero (episodes
520229	70776	Himself
520229	310800	Himself
520229	315033	Himself (driver, #11 Chevrole
520229	317120	NASCAR Driver
520229	388657	Himself
520230	115639	Rocky, the Tortured Musician
520231	208973	Fred
520231	271611	Fred
520232	281997	Joshua
520233	143831	Restaurant staff
520234	34648	Himself (wipes eyes at Parkla
520235	43439	Lucas
520235	264235	Rondell
520235	362655	Girl's Father
520236	47431	Doctor Tom
520236	209643	Cletus
520236	222213	King
520236	403188	Deputy S. Jones
520237	330640	Coroner
520238	69341	Danny
520239	132092	Alley Cop 2
520240	139701	Tonga
520240	300499	
520240	400621	Clarence Seroy (2002-2003)
520241	63119	Title Song
520241	276771	The Minstrel
520242	356351	Client
520243	14972	2nd Innkeeper
520244	91963	
520245	257393	
520246	388657	Himself
520247	149313	Host
520247	218545	Himself/Real World
520247	273429	Himself/Boston
520247	273434	
520247	273436	Host
520247	360734	Syrus
520247	402993	Himself/Boston (1997)
520247	402996	Men/Real World
520247	403000	Himself/Real Worlders
520247	403001	Himself/Real Worlders
520249	126130	Featured
520250	10065	
520250	216408	Sergio
520250	370379	
520251	226028	
520252	2161	Sound Guy (Film Crew)
520252	107464	Pook
520253	175068	Lefty
520254	30959	Opera Buff
520255	58649	Supply Officer
520256	334281	Himself
520257	50161	Michael
520258	38978	Charlie
520258	50161	Snow
520258	104568	
520258	266767	
520259	11410	MC
520260	6582	Lt. Martin
520260	71254	Knowles
520260	79862	John
520260	88852	Joseph
520260	121840	Ridley
520260	160034	Drago
520260	176756	Tosher
520260	219249	Alan
520260	222510	Bobbie #2
520260	274787	Det. Insp. Laker
520260	282772	Chiarkos
520260	304689	Turner
520260	363011	Himself
520260	382262	James Drew
520260	382695	Mr. Grieve
520260	388321	Vince Farmer (1999, 2000-2003
520260	388396	"Duke" Hopwood
520260	392200	Ken Masters
520260	398990	Lannes
520260	404659	Max Brocard (1978)
520260	407439	Defarge
520260	409578	Kenny Craig (goalkeeper)
520260	410256	Insp. Cadogan
520260	410580	Capt. Ramballe
520260	411089	Vic Morgan
520260	411612	William 'Spider' Scott
520260	411895	PC May (1967-1968)
520261	58649	Officer Cabot
520262	2940	Himself - Best Dramatic Score
520262	65664	Himself
520262	68805	Himself
520262	85639	Himself
520262	288087	Paul Jarry, the composer
520263	193238	
520263	375177	
520264	196561	Ryzhi
520264	263134	Zhurnalist
520264	397302	Misha
520264	404108	
520265	357127	
520266	60094	Iraqi soldier
520266	78625	
520267	219821	Aristide (segment "Giornata d
520268	390860	Yunus Demiroglu
520269	325244	Ship's Mate
520270	272325	Marine/Sailor
520271	314573	
520272	402348	
520273	2974	
520273	20104	
520273	29590	
520273	35854	
520273	43190	
520273	45711	Khozyain
520273	59977	Terrorist
520273	60439	
520273	62590	Tikhon Zajtsev
520273	95644	
520273	119019	Dyadya Seva
520273	126267	
520273	132097	
520273	162674	Maximen
520273	172059	
520273	173678	
520273	178798	
520273	179907	
520273	181402	Allan Kejn
520273	198166	
520273	209514	
520273	217288	
520273	219718	
520273	228113	
520273	229065	
520273	231162	
520273	238343	
520273	242818	Mavetsky
520273	243880	Gosha
520273	249245	
520273	249914	
520273	252577	Thief
520273	252808	Oleg 'Alik' Sevastyanov
520273	265046	
520273	282824	
520273	288364	
520273	300543	
520273	321968	
520273	336424	Theophil Munchhausen
520273	340723	Rumata
520273	349311	
520273	349785	
520273	350794	
520273	356866	
520273	357236	
520273	371893	
520273	374779	
520274	180844	
520275	3035	Senior Warrant Officer Legkos
520276	400	Mark Reimuller
520276	21184	Arthur
520276	73949	
520276	77828	Freddy Green (Freddie Green, 
520276	176510	Kid of the Round Table
520276	192010	Emil
520276	194656	Little Richard Phillips
520276	231550	Mark
520276	296807	Justin Andrich
520276	363653	Fingers
520276	380692	Arthur Timothy Read I (1996-2
520276	398711	Eric Johansson
520276	401449	E. Brian
520276	402750	Ethan St John
520277	43557	Bank Teller
520277	47945	Dist. Atty. Wayne
520277	55587	Lieutenant Ross
520277	135514	Harry
520277	163232	Wineberger
520277	175621	Taylor
520277	220519	Other Executive
520277	241505	Customer
520277	262519	Dr. Ben Gay
520277	321574	Comic
520278	141075	Ted
520278	219139	The marketing chief
520278	277109	Mike
520279	131739	Det. Yarnell
520279	190805	
520280	130614	Dreadwing
520281	17758	Frank Butler
520281	162302	Hippolyte
520281	279325	Matt Reedy
520281	395352	Little John
520281	400577	Deputy Marshal Chalk Breeson
520282	101454	Kid at Jake's
520284	39374	Police Officer
520284	262704	Reporter at Trailer Park
520285	64988	Representante asociación veci
520286	95609	
520286	124228	
520286	349363	
520287	162736	Kornei
520288	198652	
520289	45710	
520289	216006	Pelikan
520290	236995	Baby Philbert
520291	41479	Nimrod's Father
520292	266011	
520293	310479	
520294	62957	Villager/Lost Soul
520295	255779	
520296	303795	
520297	49132	
520297	266011	
520298	273066	Pereguda
520299	256677	Skulachenko
520299	349887	Alexander Beyakov
520301	27358	3rd Class Alien
520302	27358	3rd Class Alien
520303	361260	Young Lionel
520304	206465	
520305	311323	Little Eli
520306	134295	Riverbank Chief
520307	90880	Scientist
520307	125634	Synagogue Warden
520307	200779	Grandfather
520307	203185	Waldo
520307	308400	Uncle Idris
520307	380216	The President of Azaran
520307	384591	Graarud
520307	387247	Benny Bloom (1988-1989)
520308	923	Himself (attended JFK inaugur
520308	111564	Himself
520308	127237	Himself
520308	157895	Himself
520308	162987	Himself (Peter, Paul & Mary)
520308	253954	Himself
520308	253955	Himself
520308	253956	Himself
520308	253958	Himself
520308	266915	Jackie's Father
520308	372078	Himself
520309	6815	David
520309	19797	Alvarez
520309	117295	Joaquín (friend of Maria)
520309	256616	Sentry
520310	408888	
520311	176056	
520312	157738	Mr. Ames
520313	276083	Journaliste
520313	367906	Restaurant Manager
520314	106757	Brian
520314	141596	Resident
520315	135707	Himself
520315	154379	
520315	220949	Lift engineer
520315	232018	Himself/Various
520315	300144	Himself
520315	395963	
520315	397722	
520315	408122	Various roles
520315	411178	
520316	43178	
520316	370995	
520316	385528	
520317	63916	Himself
520317	76997	
520318	174316	Primo de Brahim
520319	73256	Himself
520320	271047	
520321	179588	
520321	349298	
520322	322550	
520323	96485	
520323	371562	Himself
520323	378608	
520324	325010	
520325	378386	
520326	378386	
520327	333497	
520328	141863	Link
520329	300543	
520330	371693	
520331	180428	
520331	204403	Child artiste
520331	211399	
520331	368159	Himself
520332	349374	
520333	236726	Kit Cha
520333	259880	
520334	184060	
520335	140436	
520336	371707	Man (segment: Samurai Cellula
520336	384559	
520336	403966	Iwanbô, Tsurahide Chô
520336	410647	Miwako Shindo
520337	3179	
520337	304170	
520338	315678	Himself (1963 Centenary Celeb
520339	35924	
520340	373236	
520341	125687	
520342	296510	Samurai on Opening & Sayama
520343	144735	
520343	156225	Ken
520343	173217	Ken
520344	14358	
520345	19702	
520345	138067	
520345	374633	
520346	384217	Golm
520346	394332	Kyaru
520347	232610	Daikichi, Hisako's son
520348	97634	Endo
520348	122961	Middle aged man
520348	145765	Yukichi Tendo
520349	89994	
520349	152475	
520349	232610	Daikichi as an infant
520350	20625	Extra
520351	20625	Extra
520352	400623	Kakashi (Scarecrow)
520353	321994	
520353	376218	
520354	347200	Gina
520355	118166	
520355	217054	Yupie: Pasajero del 86
520356	202181	
520356	364647	Mr. Brown
520356	370957	
520357	405826	Ruzvelt
520358	164567	
520359	332807	Policeman
520360	103605	Demircan's Man #7
520361	163110	
520362	299451	Spectator
520363	193929	Tresenmann/Barkeeper
520364	7715	Bou'ou
520364	8157	
520364	9362	
520364	9408	Arnab/The Aunt
520364	10523	
520364	16554	Hanafi
520364	23040	
520364	29275	
520364	35832	
520364	43083	Bundoq
520364	76795	
520364	110725	Felfel
520364	124676	
520364	136943	
520364	136946	
520364	155165	
520364	176170	
520364	183972	
520364	193467	
520364	201234	
520364	222464	
520364	226185	
520364	226533	
520364	303350	
520364	303355	
520364	303358	Nooh
520364	322692	
520364	376113	
520365	138002	
520366	58480	Qumiri Agent
520366	176988	Salah
520367	138002	Khaled
520368	110739	Customs Officer
520368	112205	Scientist
520369	15352	
520369	78612	Emad
520369	202506	
520370	292964	
520371	140592	
520371	229063	
520372	187229	
520372	187281	
520373	305478	
520374	26410	
520374	324556	
520375	133385	
520376	44758	Himself - interviewee
520377	232580	Suchi
520378	335270	Waiter
520379	325995	Sushi Delivery 'Boy'
520380	94	Cato (Kung Fu Tourist)
520380	39829	Japanese/American Translator
520380	72733	Hsu
520380	108934	Pimp
520380	213187	Huoy
520380	279845	Kanemitsu's Aide
520380	293105	Professor Kasuda
520381	214296	
520382	298980	Himself - a member of Dangero
520383	1497	CIA Japan Agent
520383	75347	Ken
520383	171050	Takamura
520383	203794	Kobayashi, Masayoshi
520383	229583	Additional Voices
520383	274361	Oyabun's guard
520383	279116	
520383	294028	Additional Voices
520385	121446	
520385	138051	
520385	149097	
520385	176569	
520385	181979	
520385	181980	
520385	181982	
520385	181983	Anzai
520385	181984	
520385	181985	
520385	181987	
520385	181988	
520385	181989	
520385	181991	
520385	181992	
520385	233108	Shimomura
520385	233109	
520385	233111	
520385	233114	
520385	233123	
520385	233124	
520385	293591	Yoshiharu Nishimura
520385	327796	
520385	341537	Tugumi's father
520385	345234	
520386	230680	Himself
520387	28116	Kuo
520387	397786	Fred
520388	16535	Rintaro Miyasaka
520388	229964	Fukuda
520389	163761	Chichi
520390	238167	Scientist
520391	132717	Car Commentart #3
520392	20019	Kanzaki Satoru
520392	139476	Alberich
520392	327967	Louis
520392	344030	Kenjirô Ôta
520392	344031	Kenjirô Ôta
520392	344032	Kenjirô Ôta
520392	370437	Kenjirô Ôta
520392	378150	Nekkerout
520392	381711	Louis XVI
520392	383632	Toshio Utsumi
520392	391752	Jûza
520392	394029	Various characters
520392	394030	Various characters
520392	394031	Various characters
520392	396487	Ichirou Hanazono
520392	399478	Morton
520392	403966	Aoshi Shinomori
520392	408264	Dr. Tokio Taimu
520392	409325	Kenjirô Ôta
520392	409327	Kenjirô Ôta, Yaretara
520392	410527	Sandy
520393	384229	Gou Watabe/Zusheen
520393	394093	Appolgeist
520394	176532	Haruki Kusakabe
520395	54203	Iori Yagami/Wild Iori
520395	54204	Iori Yagami/Wild Iori
520395	137336	Hattarou
520395	172089	Gyarakutâ no ashigaru
520395	175518	Jushiro Sakaki
520395	177380	Iori Yagami
520395	177381	Iori Yagami
520395	177382	Iori Yagami
520395	177384	Iori Yagami
520395	177385	Iori Yagami/Another Iori
520395	177386	Iori Yagami
520395	177387	Iori Yagami
520395	177388	Iori Yagami
520395	320546	Iori Yagami/Bosou Iori
520395	394421	Haruki
520395	404767	Zomba
520396	9477	Uemon
520396	38752	Mizushima
520396	179518	Hioki
520396	341271	
520398	13769	Competition Gymnast
520399	171844	
520400	244231	Himself
520402	30634	
520402	207484	KGB Student #2
520402	238361	
520402	244716	
520402	258444	
520402	263261	
520402	324652	
520403	430	
520403	684	Larichev
520403	995	Engineer Schukin
520403	2267	
520403	3179	
520403	9217	
520403	20035	
520403	21292	
520403	35870	
520403	43011	
520403	46598	
520403	47054	Dog Owner
520403	60440	
520403	60698	Torki
520403	63354	
520403	63618	
520403	80051	Professor Tarakanov
520403	89794	
520403	94027	
520403	132080	
520403	132082	
520403	132568	
520403	174355	Tsukanov
520403	180365	
520403	180953	
520403	181406	
520403	187382	
520403	190873	Kashchey
520403	196562	
520403	201335	Appel
520403	202299	
520403	206291	Father Paul
520403	211464	Park cleaner
520403	214863	Eno
520403	217097	
520403	229021	
520403	229036	Painting buyer/Wedding Guest
520403	229056	
520403	231162	
520403	238361	
520403	243973	
520403	244114	
520403	244582	
520403	253643	
520403	258437	Bycicle's owner
520403	258444	
520403	258682	
520403	259044	
520403	259806	(segment "Zolotye rybki")
520403	260312	
520403	262659	
520403	263261	
520403	264556	
520403	280600	
520403	283755	The Finnish Hermut
520403	283819	Pjotr Demichev
520403	286558	
520403	297458	Aleksandr Grubin
520403	297862	
520403	300544	
520403	301897	
520403	303800	
520403	305201	
520403	323315	
520403	324135	
520403	324653	
520403	336424	Hertzog's servant
520403	337045	
520403	339490	Secretary
520403	349311	
520403	355741	
520403	356592	
520403	356596	
520403	356912	
520403	357349	
520403	360064	Officer of the 13 Square
520403	363845	Vasia
520403	371001	
520403	374832	
520403	375666	Car Enthusiast
520403	376015	
520403	386805	Book-keeper
520403	389747	Korn
520403	390401	Elektron Ivanovich
520403	394785	
520403	401314	Yuzicz
520403	402924	Yuzich
520404	403597	FlashMan
520405	171886	Ieyasu Retainer
520406	3586	Yutaka
520406	39829	Sugai's Man
520406	62607	One eyed Sammy
520406	62608	Lone wolf
520406	122083	
520406	122086	
520406	130540	
520406	130541	
520406	145439	Toshio
520406	160098	Shigemune
520406	170328	Yazawa
520406	216522	Yakuza's follower
520406	232956	
520406	233135	
520406	234917	Kazuma
520406	243329	Bartender
520406	244564	Teacher of Beauty parlor
520406	288065	Gozo Kiuchi
520406	296364	
520406	301673	Yahei Moinoya
520406	324285	Pisuken
520406	374104	Yôjinbô/Bodyguard
520407	8758	
520407	104269	Shingo Obayashi
520407	334872	
520408	257182	Ice Cream Kid
520409	28480	Russian Father
520410	40469	
520411	349103	Sexual pervert
520412	279702	
520413	210379	
520414	160634	
520415	129829	Shooter's Shooter/SS Officer/
520416	155196	
520417	297555	Self
520418	399586	Specs
520419	234828	Mr. Spencer
520420	121506	Waiter
520421	64789	The Assistant
520422	263982	
520423	53960	Organizer
520423	333285	
520424	153246	Charles
520425	31045	Chaos/Sho
520425	162241	Gren
520425	193381	King Kashue, Orson
520425	358473	Waking Man
520426	394660	Persia
520427	41316	Extra
520428	167684	Andre Reynolds
520429	366751	Cop #2
520430	66994	Dick
520430	69845	Detective
520430	232011	The Navigator
520431	1488	Winner: Best Television Movie
520432	122183	COPS officer
520433	131232	Extra
520434	400109	Tom
520435	94115	Coach Ellison
520435	115195	Sergeant Bailey
520435	213122	Male Reporter
520436	300891	
520437	61819	
520437	68276	Longshoreman 1
520437	87507	Contractor
520437	119334	Security Guy
520437	233692	Shopping Center Guard
520437	254557	Col. Hammer
520437	280115	Hummel Marine 'A'
520437	283422	Motorcycle Cop
520437	348795	Big Man in Bar
520438	121497	Ridley
520438	229388	Akahaten
520438	251017	Clive
520439	149198	Swat Medic
520441	273317	Himself
520442	219248	Mansion Party Guest
520442	311500	Transient
520442	338766	
520443	104943	Photographer
520443	107105	
520443	113921	Adm. Pearson
520443	160669	Airport Guard
520443	185266	
520443	282959	Police officer
520443	302157	Policeman
520443	316351	Intern
520444	223848	Older Henjie
520445	408643	Himself (2002)
520445	412066	Himself
520446	154694	Vogel, Bascomb's man
520447	219859	Dr. Jeremy Marks
520447	331920	John
520447	336452	Thompson
520448	234151	Himself
520449	6989	Additional Muppet Performer
520449	14179	MaGillacuti
520450	89311	
520451	297660	Capt. Ruiz
520452	221820	Himself
520453	113584	Fred
520453	158242	Dennis McLeod
520453	264482	Fritz von Tarlenheim
520454	115162	
520454	120297	Deputy
520454	380999	Various Characters
520455	186636	
520456	72	Himself
520456	274694	Himself
520456	314605	Himself
520456	314606	Himself
520457	22728	Peter, parole patient
520457	127572	Juror
520457	360556	Himself
520457	387533	Law student in gallery (2003)
520457	391247	George Buckley (2003)
520458	8222	Jenks
520458	379429	Jenks
520458	390523	Carl Fenton (2002)
520458	405695	Presenter
520458	408555	Presenter (2004-)
520458	409356	Calvin
520459	192346	Removal Man
520460	352418	Himself
520461	78911	
520462	116289	Bandit
520462	201821	Himself
520462	276888	Himself
520462	336764	Himself
520463	323487	Actor-Type in Gas Station
520463	380391	Dr. James 'Jamie' Frame (aka 
520463	390771	Ben McFarren (1976-1982)
520464	340226	Johnston
520465	39404	Ernie
520465	88035	Union Soldier
520466	77213	Boy in internet cafe
520467	396799	
520468	202619	Booker Palmer (Age 8)
520469	93327	Alex
520470	188143	Louis Washington
520470	202619	Don (Teenager)
520471	4552	
520471	15435	
520471	76675	
520471	252085	
520471	252812	Pak Engku
520472	305543	
520473	63850	Tutu
520473	65131	Parisch
520473	91643	Jimmy
520473	237315	Jérémie
520474	98658	
520474	162243	
520474	286107	
520474	299430	Yael's Father
520475	384157	Hershel
520476	298796	Peaky (Stier)
520477	174966	
520478	174271	
520478	206291	Guard #1
520478	251420	Russian Corporal
520478	266289	
520478	285021	Oleg
520478	315938	Albino
520478	349785	
520478	356190	
520478	374734	
520479	297794	Veshnij
520480	24156	
520481	283767	Russian Writer
520482	149125	Kamiya (apartment manager)
520483	396239	
520484	394140	Dyadya Misha
520484	396239	
520485	373306	
520486	58480	Achmed (Cab Driver)
520486	98034	Driver
520486	208432	The Italian
520486	233258	Bashir
520486	388817	Himself/Various
520486	411666	Host/Various
520487	60596	
520487	62141	Hai Fat
520487	372389	Ah Kow
520488	230821	Finalist #7-1st Runner-Up
520488	380263	Host
520488	410920	Host (2000-2002)
520489	358906	Sue
520490	301599	Store Owner
520491	141873	Lin Hai Nan
520491	152030	Prefect Wu
520492	110595	Yuen Nam-Sam
520492	197560	Television Director
520492	369764	Man in Club
520492	369772	Barber
520493	61042	
520494	29746	Japanese Man
520494	211510	Mike
520495	170629	
520496	149732	
520498	348806	
520499	195300	Language student
520500	1748	Himself- Performer
520500	31849	Himself
520500	31850	
520500	31851	Himself
520500	31852	MCA, Nathaniel Hornblower
520500	63762	
520500	119520	Himself (Beastie Boys)
520500	121864	The Beastie Boys
520500	181276	Beastie Boys
520500	192592	Peformer
520500	228960	Himself
520500	288703	Himself
520500	332368	Performer
520500	336808	M.C.A.
520500	368290	Himself
520500	381480	MCA
520500	386972	Himself
520500	389997	Himself/Interviewee
520501	89307	Jesse
520502	373224	Majan tenchô
520503	218380	Black Ninja #1
520504	231866	Tom
520506	22076	
520506	284435	
520507	3334	Slavcho
520507	6437	Sledovatelyat
520507	27476	Zdravko
520507	30509	Nachalnikat ha Zhivko
520507	45764	(segment Chao, lyubov moya)
520507	47783	Boris Atanasov
520507	49516	
520507	50964	
520507	54725	
520507	62829	Boris
520507	77220	Picasso
520507	89793	Vladko
520507	90954	Porkov
520507	95166	Merdzhanski
520507	129753	
520507	131157	
520507	156015	Kapitan Evgeniy Stanev
520507	163901	
520507	173840	Nasko
520507	174168	
520507	174378	
520507	182084	
520507	188470	Ofitzerat Petarchov
520507	202436	Boris
520507	225817	
520507	229155	
520507	237039	Petyo
520507	261331	Nikolay Zharkov
520507	271685	
520507	304162	
520507	305905	
520507	311386	
520507	326261	Patrana
520507	349086	Satrudnikat
520507	349286	Assistant Professor
520507	356042	Barmanat
520507	370798	
520507	373213	
520507	384026	Inzhener Baev
520507	404810	
520508	104705	Himself
520509	232930	
520510	196341	Coffee Shop/Restaurant Custom
520511	156036	
520512	57815	Cantor
520512	282452	Professor Green
520513	7489	Roman
520513	228217	Natie Mazalovitch
520514	85838	Shmuel Diamond
520514	203638	Domingo
520514	245183	Terrence Moynihan
520514	270705	Vesay
520514	343322	Bartons Malone
520515	49977	Uncle David
520515	214894	
520515	373704	
520516	24777	Stephen
520516	103931	Léonid Kozlov
520516	297651	Nick
520517	34607	
520517	39013	
520517	63613	
520517	63622	
520517	76998	
520517	136152	Guerilla
520517	174170	
520517	179225	Arnold
520517	263257	Jurist
520517	313889	
520517	325204	Igor
520517	333782	
520517	355659	
520517	357213	
520517	373948	
520517	375114	
520518	283152	
520519	235912	
520520	151845	Felo's father
520521	19688	Ruben
520522	19309	Vater
520523	50032	Drug Dealer
520524	156237	
520525	25993	
520525	82620	
520525	102439	
520525	308423	
520526	33304	
520526	136699	
520526	143235	
520526	172975	
520526	173796	
520526	207204	
520526	256522	
520526	289163	
520526	322537	
520526	349701	
520526	377547	
520526	378233	
520526	378239	
520527	378240	
520528	26028	
520528	156206	
520529	239722	Shuar
520530	136945	Kamal
520531	124465	Kikizu
520532	21756	Dodi
520533	44758	Himself
520533	75528	Himself
520534	159826	Narrator, 'Alex Yeager, ' var
520534	305007	Host of 'You Can't Do That!' 
520535	171886	Samurai in Edo Castle
520535	373218	
520536	160188	Celal
520537	356022	Mustafa
520538	370601	
520539	284288	
520540	136499	Shinichi
520540	193230	
520540	228373	Katsuhiro
520540	229764	
520540	334864	Shinjo
520540	370706	Village Teacher
520541	19694	
520541	130501	Ichiro Miki
520541	394103	Naoki
520542	237591	
520543	274309	
520544	232215	Teddy (Lead)
520545	78625	
520546	316298	Fruit Seller By The Road
520547	316298	Bus Passenger
520548	93417	Kommisar
520548	107708	Scarface
520548	197187	Ankleider
520548	216119	
520548	290599	
520548	316546	Kemal Karakan
520548	335992	Khalil
520548	350858	Abu Farrat
520549	316298	Bus Passenger
520550	311184	
520551	381821	Ensemble (1974-1975)
520552	28250	
520552	39092	Pirtik
520552	89508	
520552	153964	
520552	164059	
520552	325352	
520552	382135	Cafer
520552	401244	Ismet
520553	104727	Himself
520554	25598	
520554	38436	
520554	48430	
520554	96482	
520554	136762	
520554	180259	
520554	244486	
520554	295532	
520554	303605	
520554	370395	
520554	370616	
520554	378592	
520555	26028	
520556	181667	
520557	71891	Didi
520558	93417	Der Narbige
520559	70685	
520559	74383	Ivan
520559	136960	Roberto
520559	231571	Joaquin
520559	250475	Executive
520559	302394	Mauricio
520559	307640	
520559	318250	Pancho
520559	333746	
520559	356159	Uncle Beto
520559	378373	Pizzarista
520559	383333	Swami
520559	383442	Armando Pescador
520559	388639	Camilo Cienfuegos
520559	400719	
520559	402404	Batan
520559	408406	Mateo
520559	410093	Mauricio Román Franco
520559	412192	René Bautista Solórzano
520560	196981	Snake in the Grass
520560	396142	Snake in the Grass
520561	134280	Pow Wow Dancer
520562	132761	Indian Guide
520563	189719	Himself
520564	350253	
520565	242934	Guard
520565	305093	Chan Se's man
520566	107696	Boy
520566	277899	Boy
520566	330231	Bartender's Child
520567	295326	Carlos
520568	147663	Himself (set designer at desk
520569	114524	Himself
520570	396211	
520571	20625	Extra
520571	103328	
520572	383271	
520573	2402	Fisherman
520573	20625	Extra
520573	44259	Bracero
520573	52579	Native Fisherman
520573	73475	Man in Car
520573	148552	Mexican
520573	177988	Son of the Miser
520573	196487	Bit Part
520573	212196	Taxco Blanket Weaver
520573	229938	Groom
520573	277337	
520573	336299	Alfredo Teresina
520573	369359	Indian boy
520573	371887	Native Man
520574	149442	Hotel Clerk
520575	120749	Pablo
520576	37057	Asian Officer
520577	144132	
520578	36746	Winking Man
520579	32940	High School Kid #2
520579	290936	Skater Dude #3
520580	142765	
520581	117483	Customer
520582	163496	Managers assistant
520583	106271	HImself
520584	119581	Itchi Matsui
520585	119581	Wombat #5
520586	367147	Jing's Father
520587	251108	Orphan
520588	59291	Lu Yuan
520588	300382	Tenggeli
520589	229574	
520590	18288	Le chinois
520591	268802	
520592	358928	
520593	25994	Tie Jun
520594	369922	Feng Ke-an
520594	385523	Rose's husband
520594	393496	Da Dao
520594	405110	Ci En
520595	74886	Ke, Liaoxiang
520596	369655	Lao Huang
520597	159886	Bai Boa (fourth child)
520597	370468	Company Commander Tong
520598	110251	Clown Barker
520599	93247	Himself
520601	8000	Nelson Zenner
520601	13800	Ryan
520601	17783	1st FBI Agent
520601	17934	County Sheriff
520601	18037	Benziger
520601	26804	Himself
520601	29446	Graham
520601	30967	Security 2
520601	34705	Mayor Boar
520601	39859	Pines, Head of D.R.A.G.O.N.
520601	41188	Teamster #1
520601	41393	Marshall
520601	66587	
520601	75769	
520601	87397	Tommy
520601	95842	Moustached Thug
520601	97206	Jailer
520601	97347	Cop #2
520601	97360	Rude Boss
520601	97727	George Monroe
520601	99850	Mr. Hawkins
520601	115886	Dad
520601	118763	Motorcycle Cop
520601	127238	Officer #1
520601	128142	Cabbie
520601	128727	Mr. Malene
520601	135783	Captain Billings
520601	141024	Joe
520601	152536	
520601	164840	Reporter
520601	167006	Link
520601	167099	Captain
520601	183357	Bailiff
520601	192219	Farm Hand
520601	231982	Paramedic #1
520601	235460	Parent
520601	236146	Co-Pilot
520601	237630	
520601	248976	Detective Bill Baker
520601	263172	Cabbie
520601	263788	Policeman #1
520601	275889	Agent B
520601	279509	Bartender
520601	288912	Biff
520601	289052	Vincent Jensen
520601	290389	Cop in Station
520601	300871	Detective
520601	302944	Market Manager
520601	306413	
520601	315901	Frank McMahon
520601	317244	Biff
520601	343044	Gas Attendant
520601	358625	Max/Carpetbagger
520601	363948	Judge
520601	366255	Philip's Father
520601	387029	FBI Forensics Man
520602	124541	Man in Hospital
520603	232320	
520604	35534	
520604	48864	
520604	258233	
520604	358065	
520605	116287	
520605	273351	Self
520605	273488	Himself
520605	278259	Fred (bartender at Pancho's)
520605	305716	Party guest
520605	310193	Himself
520605	310725	Himself
520606	128727	Dancer
520606	219140	Alexander Hamilton
520606	364513	Coach Beebe
520606	406363	Man in street
520607	265100	Jim OConnor
520608	334354	Sonny
520609	288455	Driver
520611	291343	Himself - 'Buck Rogers' carto
520612	9042	
520612	34845	
520612	34888	
520612	48718	
520612	48720	
520612	116588	
520612	141088	
520612	262145	
520612	267104	
520612	278795	
520612	280240	
520612	315969	
520613	340499	
520614	127292	Bar Patron
520614	256206	Mr. Vader
520614	259864	Press B
520615	144371	Himself
520615	201320	Duke Temple
520615	201326	Coach 'Duke' Temple
520615	201327	Coach 'Duke' Temple
520615	370133	Himself
520615	395790	
520616	203362	Himself
520617	141695	Extra #10
520618	165316	Roy Dodds
520618	242750	Young Soldier
520618	402650	Stefan
520619	18544	Additional Player
520619	275871	Washington Offensive Tackle
520620	332772	Lion Dance Performer
520621	80430	Marty Greenburg
520622	61577	Professor Jaeger
520622	190303	James Durkel
520622	316766	
520623	220276	Coach
520624	77828	Tim Morrison (Morrisset, fren
520625	211782	Themselves
520626	17511	The Brutal Cousin
520626	17990	
520626	37163	Second Beagle Son
520626	52477	Charlie Oatmeal
520626	59374	Zeke Forbes
520626	83592	Halfwit
520626	112578	Twister
520626	123345	George Morgan
520626	145362	Aaron Spence
520626	176302	Hank Hooper
520626	192260	Tad Dillon (another son)
520626	241591	Gardner
520626	248828	Zeke Hawker
520626	253913	Italian Cecco
520626	281904	Jean
520626	300061	The Killer
520626	334974	Saul 'Little Buzzard' Hatburn
520626	335105	Waldemar Terhune
520626	349992	Bob Darley
520626	354500	Anson, His Son
520626	364627	
520627	213324	Lysander
520628	329915	Church Choir Member
520630	188615	Country Bar band
520630	203358	Carnegie Hall Band
520630	329915	Church Choir Guitarist
520631	89686	Reuben
520632	401450	Cameron Kelsey
520633	40660	Tough Kid Mercer
520633	41164	T-Bear
520633	43015	
520633	53280	
520633	63099	Kid Blast
520633	78058	Cpl. Lindsey Scott
520633	84396	Leon
520633	87000	Gail
520633	92150	Marco
520633	99604	Brother #1
520633	101638	Habersham
520633	119316	Aise Jefferson
520633	233519	Young Cop
520633	287131	Ritter Wells
520633	306197	
520633	308713	Earlie
520633	316648	Michelangelo
520633	320095	Skinhead
520633	347446	Vincent
520633	360650	Ray
520633	363496	
520633	369473	Wilson Carlisle
520633	383964	Shoeshine Pete
520633	385742	Host
520633	386389	Paul
520633	386739	Donkey Kong
520633	389522	Capt. Dobbs
520633	390953	
520633	396065	Co-Host
520633	407137	J.T.
520633	408685	Nestov (2001-)
520634	282935	Sugar Kings
520635	264075	Tom Wingo (age 13)
520635	308431	Jeff O'Kelly
520635	363886	Walker's Grandson
520636	115269	Police
520637	271339	Fingerprint technician
520638	66837	Couple Doing Laundry
520640	139650	Slytherin Keeper Bletchey
520641	265762	Kate's Husband
520642	321458	Sarah's Father
520643	273481	Himself
520644	38864	Theatre Usher
520645	271603	Koki
520646	141782	Mr. Harris
520647	47819	Truck Driver
520647	83961	Bosley Jr.
520647	88101	Himself
520647	137259	Tough Guy #1
520647	259864	Porno Picket
520648	83961	Goon
520648	137259	Governor's Mansion Newsman
520648	256206	Deli clerk
520648	259864	Hospital Reporter
520649	83961	Dead Bum
520650	277088	Jock
520651	323983	
520652	134026	Mr. Samuel Kelly
520652	237618	Tall Man
520652	329388	Minister
520653	120094	Ciernan
520654	289564	
520655	289090	Eric Moore
520657	328530	
520658	322878	Tadesse 1
520659	317245	Thug #2
520660	3320	Gus
520660	28780	Migue
520660	30389	Manu
520660	48790	Félix
520660	51615	Escombriaire 2
520660	55619	Marañón
520660	55796	Eloy
520660	132470	Gameño
520660	136857	Eloy
520660	181348	Manu
520660	221963	Macarra
520660	248766	Jesusín
520660	336265	Gayolo
520660	369754	Himself - Presenter: Best Sho
520660	402380	Neo
520661	383829	Arabic Affairs Correspondent
520662	88049	Lázaro
520662	136639	
520662	229238	Man
520662	246950	
520662	259128	Augusto
520662	276075	Fernando Pessoa
520663	161721	Kyle Thayer
520663	164364	George
520663	165252	Street Kid
520663	171052	Bernard
520663	258963	Glen Emory Jr
520663	346198	Marshall
520663	359567	Ryan Jeffers
520664	104728	Himself
520665	95929	Vardan
520666	17332	Talosh
520666	33312	
520666	182345	
520666	212425	
520666	244249	
520667	387083	Dr. Rodrigo
520668	268807	Student
520669	105849	
520670	369055	CIB Team
520671	228449	Student
520671	317960	Victim
520672	232799	Chong's friend
520673	9005	Football Player
520674	68274	Additional Voices
520675	41071	Tom Woo
520675	81974	Detective Samuel Wang
520675	181834	Jack "date catching guy" Chan
520675	262710	Tim Chen
520675	330705	Boler
520675	372230	Cook #1
520675	408627	Assistant Prosecuting Attorne
520676	31444	
520676	59597	TV Interviewer
520677	114546	Commando #3
520678	364176	Wong
520679	8790	Flirty Tim
520679	63482	Lam
520679	76286	Manager
520679	86316	Frank
520679	88277	Michael
520679	111241	Ricky
520679	167851	Kwan Mak-Kei
520679	170074	Lin Tien-Fu
520679	193892	Hood
520679	210963	The Assassin
520679	210971	Ho
520679	216626	Vicky, Wong's headman
520679	255750	Lo
520679	302615	Wu
520679	326314	Cheung Hung/Zhang Xiong
520679	335406	Communist Soldier on Boat
520679	358909	Card Player
520679	360992	Waye
520679	368067	Tiger
520679	369604	Drunk Actor
520679	371459	Triad
520679	373088	Simon
520679	374812	Cheung
520679	376065	Tall Sum
520680	232799	Messenger
520681	97003	Fortune Cookie Boss
520682	38263	Page
520683	47433	Tazi
520684	97494	Derek Wu
520684	169594	Waverly's Brother
520685	129186	Asian Henchman #3
520685	209626	Chauffeur
520685	272858	Lennox
520686	26865	Police Operator
520686	58616	TC
520686	60714	Officer Yee
520686	95114	Tron
520686	133853	Paul Fang
520686	190253	Max
520686	250514	Orderly
520686	306431	Master Cho
520686	321266	Burly Man
520686	340765	Zachary Platt
520686	407470	Taxi Driver
520687	331065	Stoic booth owner
520688	192187	Rascal
520689	193966	Raymond
520690	369055	CIB Team
520691	258554	Mr. Moto
520692	149175	The Candian
520693	73564	General Minh
520694	297321	Antonio
520694	354136	Thug
520695	42320	Jake
520695	78082	Kaneda
520695	214909	Team Photographer
520695	264480	Maxwell
520695	276842	Crew Guy #1
520695	281196	Overlord
520695	379197	Additional Voices
520695	392294	
520695	397054	Huk-Shu
520695	399495	Donatello Hero
520696	192800	
520696	371807	
520697	317248	
520698	20625	Extra
520699	20625	Extra
520700	9005	Football Player
520701	1300	Thug
520701	61328	Kingpin
520701	73564	Nighthorse
520701	181834	Non Fat
520701	283712	Juntao's Man
520702	125509	House boy
520703	268709	Rebellious General
520704	73803	Smitty
520705	76852	
520706	29475	Principal Chun
520706	63294	Amakasu
520706	76286	Albert
520706	76340	Puti Dharma
520706	109684	
520706	123260	Poon Chung-Lung
520706	127124	Ah B
520706	231271	Cameo
520706	268728	Ma Chi
520706	268756	Kam Ming-Sang
520706	277560	Shih-Sheng
520706	293467	Ching Chun Yu
520706	296581	Johnny
520706	297513	Wong Szu Tai
520706	358920	Tony
520706	359031	Police Commissioner
520706	369958	Ko Wing-Keung
520706	373055	SDU Officer
520706	374906	Wong
520707	233921	Karate Fight Judge
520708	38274	Baike Mulati
520708	135035	Amman
520708	253281	Ixchel (Perra)
520708	282253	Brother
520709	241919	Boonting
520710	395852	(season 1)
520711	63574	
520712	374941	Vanya Saychenko
520713	357408	
520714	375664	Stepan
520715	3035	
520715	376214	Third Captured German
520716	254224	
520717	108854	
520718	146838	Himself
520719	314573	
520720	15402	
520720	16211	Grizha
520720	17556	Servant
520720	18868	
520720	34232	
520720	40212	
520720	48758	
520720	83162	
520720	89419	
520720	162020	
520720	162744	(segment Skrepki)
520720	176076	
520720	176142	
520720	179670	
520720	211881	
520720	217279	
520720	225858	
520720	234438	
520720	241942	Piotr Lopakhin
520720	258172	
520720	273069	1st class passenger
520720	298611	
520720	349353	
520720	349362	
520720	357208	
520720	370937	
520720	375653	
520720	376218	
520720	410361	
520721	60449	
520721	117969	
520721	198123	
520721	259040	
520721	265839	
520722	374769	
520722	375662	
520723	54645	Chukchee
520724	201976	
520724	239920	
520725	374775	
520726	171672	Mashinist
520726	252808	Misha
520726	306511	Igor
520727	373560	
520728	261302	
520729	357260	
520730	88584	
520731	8633	
520731	18285	Banker
520731	18286	The Banker
520731	40212	
520731	119784	Karpienko
520731	129637	Dibenko
520731	173019	Alferov
520731	179336	
520731	181100	
520731	198177	
520731	223565	
520731	229194	Captain
520731	262542	
520731	281037	Kerensky
520731	297466	
520731	349257	Vovan
520731	355850	
520731	357467	
520731	386805	Head of Irinarkhov Museum
520731	390525	Ober-lieutenant Zhgut
520731	394785	Charles IX
520732	8633	
520732	9217	Aibolit
520732	9263	
520732	9534	
520732	32757	
520732	34229	Maxim Podberezovikov
520732	60433	
520732	63584	Aleksandr Demyanovich
520732	132034	Painter
520732	132081	
520732	154685	Sergey Yutkevich
520732	160595	
520732	163058	
520732	179336	
520732	179694	
520732	180357	Magician
520732	202648	
520732	216616	
520732	217281	
520732	219725	
520732	229925	
520732	237968	
520732	238361	
520732	244134	
520732	244220	
520732	253563	
520732	253640	
520732	258702	
520732	261323	
520732	265275	
520732	266288	Colonel
520732	268130	
520732	268185	
520732	282980	
520732	283996	
520732	288363	
520732	297560	
520732	299289	Neighbour
520732	299428	
520732	299554	
520732	300369	
520732	300372	
520732	305205	
520732	306069	
520732	306725	
520732	309393	
520732	310480	
520732	316429	
520732	317106	
520732	320713	
520732	323312	
520732	324135	
520732	334997	
520732	339335	Tibul
520732	339337	Sasha
520732	340725	
520732	343302	
520732	352273	Komarov
520732	356420	Dolokhov
520732	356421	Dolokhov
520732	356422	Dolokhov
520732	357262	
520732	371345	Kartsev
520732	373519	
520732	374252	
520732	374867	Ivanov
520732	375653	
520732	376234	Dresvyannikov
520732	381391	
520732	386540	Mishkin
520732	400479	
520732	410457	
520733	86593	
520734	95440	
520734	280584	
520735	109408	
520736	28091	Un immigrant africain
520737	83293	Himself
520738	320109	
520739	180821	Kulak
520740	25289	
520740	205350	
520741	127658	
520741	268583	
520742	268581	
520743	19316	
520744	210928	
520745	356589	
520746	182462	
520747	238112	
520747	254234	
520748	92941	
520748	184839	The historian Berezovskii
520748	189425	
520748	234434	Kolonist
520748	237430	
520748	248034	
520748	260597	
520748	265942	
520748	334484	
520748	343306	
520749	357344	Andrei
520749	369005	Andriej Anczew
520749	374772	Ivan
520749	376214	Barashkin
520750	63318	
520751	49133	
520751	162020	
520751	258796	Kunitsin
520751	280396	
520751	352451	
520752	227958	The baby
520753	118692	
520753	348707	
520753	359175	French Abbé/Monsieur de Beaus
520754	225804	Himself (Hand-walker)
520755	265997	
520756	8050	
520757	176138	
520757	256698	
520758	229906	
520758	280398	
520758	299404	
520758	341217	
520759	48764	
520759	388489	Bokzh
520760	217454	Raiband
520761	163158	
520761	182036	Chirkunov
520762	287463	
520763	173682	
520763	244249	
520763	268583	Ghalumyan
520763	288311	Vram
520763	371285	
520764	35845	
520765	238739	Officer Ayches Ram/Trooper HK
520765	340334	Officer Ayches Ram/Trooper HK
520766	299852	
520767	198648	Chen's Friend
520768	176508	
520769	261740	Siamese Cat
520769	267932	Wing Soney Jr.
520770	62130	Lee Hsi
520770	77901	Japanese
520770	144278	
520771	319406	
520772	159863	Danny Reese
520773	344905	Tom Tom
520774	130348	2nd Korean Soldier
520775	10376	Yehia (young)/Alexander
520776	276428	Pharisee
520777	265892	Bacig's Thug
520778	332328	Officer
520779	82529	
520780	259878	
520781	164013	
520782	28701	
520782	89981	
520782	91212	
520782	91485	
520782	220696	
520782	266750	
520782	344012	Dist. Chm. Aleksandr Sergeyev
520783	45556	(segment "One of Many/Air Rai
520783	330800	(segment "One of Many/Air Rai
520784	126268	
520784	196338	
520784	258129	
520785	126268	
520786	355808	L'homme au journal
520787	122879	
520788	7388	
520789	180943	
520789	349085	
520790	1145	Boy in Burning Building
520790	12332	Dimitri Starodubov
520790	82460	Milo
520790	112051	Finn
520790	126130	Featured
520790	141484	Robert 'Bobby'/'Bobby-O' Garf
520790	150891	Tommy age 13
520790	152272	Byrd
520790	164369	Jack
520790	203223	Augie
520790	333226	Jackson (Jules' Brother)
520790	378615	Byrd Huffstodt
520790	407421	Jacob Clarke (child)
520791	81641	
520792	104729	Himself
520793	18653	Policia 2
520794	95581	
520795	87191	Baraksyn
520796	132034	
520797	349344	
520798	94987	
520798	172445	Shilovsky
520798	256724	
520798	283775	Himself
520798	327173	Doctor
520799	280610	
520799	374162	
520800	62276	Chipollino
520800	91211	
520800	357439	
520801	160827	
520801	210283	Pylnikov
520801	357657	
520802	89818	Father
520803	7388	
520803	60729	Saschionok
520803	244046	
520804	24351	
520805	27779	
520805	34046	
520805	182871	
520805	293432	
520805	336417	
520805	370631	
520806	155657	
520807	320108	Airplane Passenger
520808	97077	Himself
520808	97078	Himself
520808	237020	Himself - Gangster
520809	59470	HRH Edward, Prince of Wales
520809	77200	Maj. Kassell
520809	192171	Captain Crewe
520809	208554	Tony
520809	244311	Cassio
520809	311027	Jeremy Warrender
520809	313361	Tony Orford
520809	315961	Captain Montrose
520809	365621	Ernest Shackleton
520809	382118	Gerry Lansdown
520809	382733	Edwin Brett
520809	385627	Capt. Jenkins (segment film t
520809	385781	David Copperfield
520809	395490	Edmund Burke
520809	398972	David Astor
520809	403926	Nick Rumpole (1978-1979)
520809	406695	Lanner
520810	388765	
520811	160042	Paramedic
520813	209112	Airplane Passenger #1
520813	317309	SPFX Man #1
520814	30688	Himself
520815	388536	Host
520817	17785	Leon
520817	165970	The Morgue Orderly
520817	222647	Older black man
520817	360616	Willie
520818	283600	Shane
520819	304048	Drunk #1
520820	365998	Morogonai's Indian #1
520821	291964	Comanche
520822	337701	Cop #2
520823	337701	Cop #1
520824	70127	Himself
520825	187310	Raven Chief
520826	101225	Marabout
520826	220334	Owi
520826	278709	Le client noir
520827	308117	Editor
520828	163044	
520829	182036	
520830	78971	First Drug Buyer
520831	99590	Himself (dances)
520831	162812	Himself
520831	164547	Himself
520831	384590	Himself (leader of RSFSR, opp
520832	157301	
520832	237741	
520833	262676	
520834	12806	
520835	253047	Just Another Lover
520836	364220	Tarzan
520837	41245	
520837	251133	
520837	357697	
520838	216618	Balthasar
520839	171742	Balet
520839	394752	Operativnikina vokzale
520840	3585	
520840	43197	
520841	339855	Koorlid
520842	294019	
520842	312507	
520843	18634	Platon Pavlovich
520843	23550	Valentin's father
520843	34607	Kondratiev
520843	60432	
520843	86612	
520843	104431	
520843	126102	
520843	132111	
520843	156200	
520843	164250	
520843	179105	Shef
520843	179329	
520843	180354	Kent
520843	202295	
520843	229837	Ragosyn
520843	244651	
520843	249246	
520843	253649	Ragosin
520843	257316	Ilya Vershinin
520843	261910	
520843	264983	
520843	273091	
520843	288363	Party Leader (Tugoi uzel vers
520843	299411	Guerilla Leadr
520843	308831	
520843	333782	Sergei's Father
520843	341209	
520843	349316	Nikolai Fomich
520843	350980	
520843	352447	
520843	354327	Dzerzhinsky
520843	356181	
520843	357086	Cmdr. William 'Billy' Lockhar
520843	357087	Cmdr. Brendan Lockhart, Siriu
520843	370940	
520843	375473	
520843	409360	
520844	179865	
520845	95042	Birdy
520846	118472	Specialist
520846	148592	Himself
520846	168382	Kevin
520846	188977	Drunk
520846	232030	The Man
520846	258232	Inspector Closer
520846	272916	O'Neill
520846	292375	
520846	360160	
520846	387449	Robert Cary
520846	389140	Baldy (part III: 'Journey' (1
520846	391368	Mr. Summers
520846	393217	Norm Jackal
520846	399130	Ray Murphy (1987)
520846	399816	Harry Collins (1972, 1973-197
520846	401339	
520846	401963	
520846	403087	
520846	403938	Pike
520846	406891	Norm Baker
520846	409400	Inspector Sykes
520847	220790	Uncle Randolph
520848	3035	Sailor Deryugin
520848	79185	
520849	111871	Le marchand de fruits
520850	176809	
520851	134013	Singer
520852	154796	Chinese Business Man
520853	65808	
520854	2918	Mo Ti Nam
520854	40191	Snowman
520854	41280	Himself
520854	64177	
520854	94403	Lone Seven
520854	114497	Chen Jun
520854	114499	Chen Jen
520854	123971	Chiang Ho-Wa
520854	141896	Boxing School Owner
520854	141907	
520854	145050	Jin Ke
520854	149038	Himself
520854	151998	Crouching Tiger Hidden Dragon
520854	152116	Donny
520854	167507	Iron Monkey
520854	189500	Ronnie
520854	197133	Victor
520854	198646	Danton Lee
520854	216624	Shiang Chin-Fei
520854	236248	Chi Liang/Bret
520854	268739	Eddie
520854	296582	Cat Lee
520854	297377	Wu Chow
520854	303407	Wong Kei-Ying
520854	317699	So Chan
520854	326315	Terry
520854	368065	Lan
520854	369546	Alan Yau
520854	369705	Cheng Do
520854	369794	Tsao Siu Yan
520854	369810	
520854	371615	Sky
520854	371924	Leung Pok To
520854	374682	Fung Man-hin
520854	393550	Chen Zhen
520855	373677	
520856	355258	Room Boy
520857	159290	Masicien théâtre
520858	49069	EPA Man #1
520859	21919	
520860	108560	Motel chef
520861	342758	Dignitary
520862	85133	Gang Member
520863	58921	
520863	184603	
520863	335420	Lu
520863	370925	
520864	114624	
520864	297516	Hsu Shi
520864	297530	
520865	73855	German Sentry At Tavern
520865	205194	German television crew
520865	241236	German Surgeon
520865	321515	Customer in Bookshop
520866	77459	Himself - Director of educati
520867	240321	McAvoy
520868	328284	Policeman
520869	8589	
520869	57596	
520869	163095	
520869	173573	
520869	240540	
520869	296405	
520870	38446	
520871	9217	
520871	286666	Sugur
520871	326280	Leonid
520871	333575	Miko
520872	326281	Baton
520873	176051	Mushegh
520874	136752	
520875	373632	
520875	391614	Nuri
520876	322816	
520877	387405	Celal
520877	387812	Zekeriya
520878	5185	Himself
520878	31625	Seaka
520878	66596	Amadou
520878	120779	Joe
520879	226186	
520880	35388	Det. Gustavo Campos
520880	35735	Manny
520880	41776	Tito
520880	100868	Ecuadorian Teacher
520880	107727	Scasse
520880	130354	Jose
520880	159993	Det. Buddy Mendoza
520880	247494	Tomas
520880	263481	The Hood
520880	268054	German Corona
520880	337404	Salazar soldier/torturer
520880	360765	Alberto
520881	145339	Gnome
520882	1049	Colin
520883	83156	Amedee Bazauge
520884	42898	
520885	321262	
520886	88933	Himself
520886	313160	Himself
520886	364227	Himself
520887	258305	Younger Highwayman Kid
520888	68270	Soviet Soldier
520889	97036	Chao He Lang
520890	24875	Pavilion announcer
520891	34185	Lim, Hyeon-bin
520891	227200	Kim Hae-sam
520892	320876	
520893	297698	
520894	169726	Park Mu-seok
520894	202844	
520894	229844	Bank Clerk
520894	249160	
520895	24585	Eddy Minton
520895	50224	
520895	50979	Arthur Wright
520895	71633	Concierge
520895	79799	Emmanuel Ringelblum
520895	87628	
520895	93316	Stephan
520895	114281	Bartender
520895	157290	Fred
520895	196858	Mr. Mountain
520895	213973	
520895	241123	
520895	241692	Average Man segment
520895	279639	John Montgomery
520895	304797	Daniel Small
520895	327062	Insp. Melville
520895	399034	Priest
520896	276429	James Campbell
520897	367725	
520898	166824	
520899	61532	
520900	49389	Korean Bidder
520900	97023	Mr. Chow
520900	146617	Head Taiwanese
520900	312138	Gen. Hun Chea
520900	323208	Co-pilot F1.015
520900	331426	Sender Messenger Boy
520900	334112	Casino Manager
520901	58457	Ian
520902	130504	Short rib shop owner
520903	62555	
520903	76641	
520903	166627	
520904	20474	
520904	64729	Speaker
520904	85055	Workman
520904	128522	Reporter
520904	154623	Telegrapher
520904	195647	Clerk in Bisbee's Office
520904	195828	Attendant
520904	203490	Court Clerk
520904	221001	Reporter
520904	246215	Prison wagon driver
520904	292821	Attendant
520904	311299	Clerk
520904	316083	Joe (uncredited)
520904	321549	Reporter
520904	372116	Barker
520905	120745	Sheriff Sam Simon
520905	249621	Bit Part
520906	59715	German Soldier
520906	265606	Jacob
520906	381685	Gibbons
520907	340652	Lysander
520907	384742	Miles Ross (Series)
520908	110622	Man with Stolen Clothes
520909	125942	Captain Yujimas
520909	396440	Additional Voices
520910	256141	Bouncer
520911	294458	
520912	7277	
520913	6419	
520913	380606	Kosteas
520913	389459	
520914	326420	The Teacher
520915	302662	Inspector Lao
520915	407531	P.P. Soong
520916	135313	Higino
520916	169775	
520917	277094	Street Kid
520918	265325	
520919	10956	
520919	12692	
520919	13065	
520919	17204	
520919	19489	Maitre
520919	27313	San Agustin Prison Guard
520919	50133	
520919	52745	
520919	54234	
520919	55194	Pepe Girón
520919	56011	
520919	60224	Felipe
520919	72417	
520919	73286	Enrique Teixidó
520919	75444	
520919	96375	
520919	103758	
520919	104057	Don Francisco
520919	104089	
520919	104152	
520919	123150	
520919	124441	
520919	135280	
520919	140564	
520919	148036	Don José
520919	148108	
520919	151818	
520919	152241	Policía 1º
520919	158947	Air Traffic Controller
520919	193159	
520919	196736	
520919	197886	
520919	204525	
520919	217561	
520919	231597	
520919	233599	
520919	243704	
520919	246376	
520919	251615	
520919	256657	Chulo-bar
520919	258619	Policía 1º
520919	263267	
520919	266871	
520919	276486	
520919	284337	
520919	294860	
520919	296500	
520919	303086	
520919	307297	
520919	307656	Mustachioed policeman
520919	334687	Funcionario 2
520919	334690	Calixto
520919	341424	
520919	351645	
520919	351838	
520919	355118	
520919	371696	
520919	373871	
520919	378372	
520919	399952	
520920	58208	
520920	135156	
520921	363097	Himself (guitarist)
520922	200199	Paco
520923	343512	Policeman
520924	171367	
520925	64864	Nevesky Thug
520926	3179	
520927	116580	Foma Gordeyev
520927	163148	Sawwa Krupnow
520927	229922	Anatoli
520927	258702	
520927	294667	Yelizarov
520927	310030	Russian Text Reader (Russian 
520927	352447	
520927	409360	
520928	18286	
520929	84431	
520930	2974	
520930	163760	
520930	171742	Abrek
520930	173958	
520930	180941	
520930	190637	
520930	207566	
520930	223559	
520930	225827	
520930	231427	
520930	244477	
520930	256654	
520930	268581	
520930	273029	
520930	318615	
520930	324487	
520930	339628	
520930	356937	
520930	374178	
520930	384189	The Criminal Trio
520930	399344	
520930	399353	Kavkazets Rustik
520931	307747	Client
520932	250760	
520932	260603	
520933	407634	
520934	397009	Papá Romina
520934	405281	
520934	409012	Victor
520935	400048	Fotis
520936	270285	
520937	270285	
520938	91793	Bum
520938	117773	Huge Farmer
520938	253338	Cowboy #1
520938	321654	Truck Driver
520939	16405	
520940	411420	Himself
520941	283829	Sosed
520942	30052	
520942	180236	
520942	180790	
520942	258185	
520942	373699	Doctor at the Draft Office
520942	374721	
520943	360	
520943	137884	Fellinski (episode 2)
520943	154566	
520944	66371	
520945	73787	Pascal Servant
520945	169512	Taxi-driver #2
520946	360661	Sunny Singh
520947	326493	Father
520948	150924	Sumbitch Man
520949	59274	Featured Player
520950	19378	
520951	266547	The Vampire
520953	131148	Genyk
520954	364094	
520955	205350	
520955	237018	Kirakos
520955	268583	Mosiko
520956	6219	Charles Darwin
520956	32918	Himself
520956	36969	
520956	56145	Judge Newhouse
520956	132217	KGB #2
520956	157693	
520956	221114	Acrobat
520956	272647	Stagehand
520956	300901	Man Without a Face
520956	363072	Georgi Probashka
520956	406363	Old man in store
520957	130305	Clown
520957	184859	Circus Clown #3
520957	312141	Goombah Double
520957	363072	Sergei Probashka
520958	147673	Jack Hansen
520959	7758	
520960	218218	
520961	2324	Xavier
520961	16619	Arthur
520961	17861	
520961	19199	Patrick
520961	23757	Gwen
520961	23867	Jean
520961	25134	Bruno Kerouec
520961	44639	
520961	54254	Garrec
520961	91910	Etienne Dorval
520961	94866	Simon Bergerac
520961	94867	Simon Bergerac
520961	94868	Simon
520961	94869	Simon Bergerac
520961	99406	Vic
520961	101146	Vincent
520961	111015	
520961	113114	Marco Servin
520961	113123	Clément
520961	115356	Paul Dubreuil
520961	166289	René Hardy
520961	184053	Philippe, l'homme au tourneso
520961	248820	Carl
520961	254125	Yves Moreau
520961	268419	Frederic Jarry
520961	279820	Joseph
520961	280783	Tancrède
520961	292340	Olivier
520961	336554	Man in the Train
520961	337019	Philippe Dumas
520961	340215	
520961	349496	François
520961	349567	Romain
520961	370056	Julien
520961	377359	Frederic Jarry
520961	377362	Frederic Jarry
520961	397857	Antoine
520961	397911	Alex Vincent
520961	402532	Dr. Frédéric Jarry
520961	404258	Ivan Baruk
520961	404804	Pierre
520961	406853	Francis Mereuil
520962	259221	Circus Clown
520963	239439	
520964	60865	
520964	82779	
520964	244047	(segment Vek zhivi - vek lyub
520965	236067	
520966	388489	Voditel kapitana
520967	133130	Raymond
520968	48958	Gary
520969	400449	
520970	349051	
520971	341246	Captain of submarine
520972	94739	
520972	356420	Petya Rostov
520972	356422	Petya Rostov
520972	356423	Petya Rostov
520972	356424	Petya Rostov
520973	29578	
520973	46064	
520973	246343	
520973	280807	
520973	299404	
520973	357340	
520973	394750	
520974	43214	
520974	281191	Tybalt Capulet
520975	265046	
520975	373856	School principal
520976	179588	
520977	396239	
520978	370934	
520979	60428	
520980	43021	
520981	231553	Koster
520982	34533	
520982	44391	First policeman
520982	184839	Monfort
520983	225846	
520983	237968	
520984	384590	Himself
520985	217279	
520986	361696	Man in therapy
520986	410548	Primitive Human
520987	172894	
520988	201691	Little Jim
520988	210741	Puppeteer
520988	381473	Additional Muppets (????)
520988	381798	Puppeteer
520988	382491	Puppeteer
520988	385174	Puppeteer
520989	250764	ATF Raid Team Member
520990	335982	Pianist in Brothel
520991	89101	
520991	356120	
520992	294804	Nathan
520993	3035	
520993	350729	
520994	60451	
520994	82770	
520994	351019	
520994	373443	Plyashka
520995	244644	
520996	10264	Von Balk, Grand Master of the
520996	35848	
520996	79534	Peter the Great
520996	132534	
520996	182207	Beketov
520996	225830	Satin
520996	244162	
520996	268187	Foreign ambassador
520997	404978	
520998	62254	
520999	179326	
521000	107456	
521000	136990	Policeman
521000	325663	Federal agent
521001	224436	
521002	56304	Jewelry Store Owner
521003	87825	Guizac
521004	256374	
521005	134758	Tukhachevski
521006	146533	
521007	63342	Minister
521007	65664	Himself
521007	169448	Himself
521007	177456	Donald Miller, Manager of Car
521008	2267	
521008	33834	
521008	103578	
521008	129190	Lukachyov
521008	132113	
521008	163039	
521008	180746	
521008	180859	
521008	209514	
521008	256654	Sergej Sergejitsch
521008	258612	Sergei Kupriyanov
521008	264539	
521008	279032	
521008	291593	
521008	294014	
521008	300586	
521008	305909	
521008	321881	
521008	328924	
521008	337879	Gipsy
521008	340436	
521008	341195	Aleksei Orlov
521008	344057	
521008	349302	
521008	356938	
521008	357245	
521008	373274	
521008	382758	Kosmos' Father
521008	405841	
521008	409735	Lord Glenarvan
521008	409880	
521009	14563	
521009	88455	
521009	132113	
521009	163903	Vanya's Father
521009	174196	
521009	188870	
521009	192625	
521009	198170	
521009	244658	Doron
521009	254234	
521009	272522	
521009	280771	
521009	321881	
521009	343821	
521009	356041	
521009	357246	
521009	400449	
521009	411911	
521010	227120	Boris Moiseyev
521010	357227	Anatoli
521010	375330	Samushkin
521011	322816	
521012	63574	
521013	1853	Vernik
521013	7564	
521013	28241	Ivan
521013	89795	
521013	173027	Suprun
521013	174966	
521013	176047	
521013	180743	
521013	180953	Saraj, a journalist
521013	193238	
521013	213158	Boris
521013	218854	
521013	255498	Officer at Table
521013	256804	
521013	262544	(segment Nash papa majonez)
521013	262697	
521013	264322	
521013	270581	
521013	300502	
521013	301891	Nikolai
521013	308425	
521013	324275	
521013	341195	De Ribas
521013	374165	
521013	384189	Joanna's Live-in Boyfriend
521013	390181	
521013	396238	Oleg
521013	402481	
521013	402494	Dmitry Gluharev
521013	411996	
521014	312507	
521015	135756	
521016	370186	
521017	229927	
521018	22048	
521018	23126	
521018	43279	
521018	57593	
521018	83124	
521018	97804	
521018	125934	
521018	126871	
521018	142236	
521018	153974	
521018	173828	
521018	247900	
521018	303131	
521018	322551	
521018	378212	
521019	21842	
521020	357658	
521021	82454	Rastafarian
521022	2382	Tams
521023	375433	Kararbakh
521024	20879	Gigo
521024	77006	Ilia
521024	89799	Russian worker
521024	123991	Apolon Kazachkov
521024	156354	Misha
521024	180789	
521024	202750	Kazak
521024	289164	Misha
521024	341244	
521025	146982	
521025	174988	
521026	35619	Gani
521026	76769	
521026	137559	
521027	206587	Hayati
521028	76727	
521028	267818	
521028	293429	
521028	371559	
521028	378239	
521029	22797	Ferhat
521029	136746	
521029	140673	Ömer
521030	175658	
521030	261584	
521031	132074	
521032	13032	Sabri
521032	174052	
521032	182098	
521032	391114	
521033	84467	
521033	238112	
521033	252795	
521033	344096	
521034	205819	Lee Scoman
521035	38961	Two Pines Bank Guard
521035	81113	Jet Co-Pilot
521035	81758	Cop #2
521035	140172	Morgue Attendant #2
521035	155063	Patrolman
521035	176838	State Trooper
521035	290389	Hogs & Hogettes
521035	333375	Wrapper
521035	353366	Hallway Heckler
521036	66944	
521036	71910	Charley One-Eye
521036	158688	Muskrat
521036	177450	Moki
521037	352736	
521038	27447	Cash Haden
521038	37047	Rocco Malone
521038	40334	Jerry
521038	78757	Al
521038	94621	Kenneth
521038	100198	Frank Donahue
521038	107428	Beanpole
521038	135195	Ralph Buoncristiani
521038	139210	Luis Gisors
521038	141659	Jungle Room bartender
521038	143824	Elliott the Fireman, Evelyn's
521038	147214	Bus Driver
521038	245263	Shorty
521038	308851	Waiter
521038	389249	Shorty
521038	398741	Julian (1989-1990)
521039	37383	Himself
521039	280044	Himself
521040	205115	
521040	319678	Kronos/Supersonic
521040	325176	Tarzan
521040	325177	
521041	35821	Himself (composer/lyricist)
521042	227371	Himself
521042	254614	Y?N-Vee
521043	377340	Mohammed Meier
521044	137491	Himself
521045	34316	German youth #1
521045	112363	German radio operator
521045	130754	Soldier
521045	146840	German Youth Leader
521045	190327	German sailor
521045	207415	Bill, Nazi spy-kid [Chs.10-11
521045	291851	German
521045	291993	German Gangster
521045	330180	Helmut
521045	363590	German sergeant
521046	5055	German captain at Italian bor
521046	7131	Gustav, Nazi lead guard [Chs.
521046	19797	Gestapo agent
521046	26978	Schneider, Mailler's Henchman
521046	30264	Submarine Commander
521046	34313	Guard
521046	54451	Pirate
521046	60873	German Officer
521046	71625	German Telegrapher
521046	73772	Guard/Nazi Mechanic
521046	83957	Gestapo agent
521046	92147	Hugo's Assistant
521046	103237	Heinrich
521046	117557	Dutch motor policeman
521046	118382	Guard
521046	128192	Mr. Schwarzholz
521046	130754	Peasant
521046	146840	Trooper
521046	154763	German Policeman
521046	168126	German Sergeant
521046	169400	Nazi Driver
521046	170805	German Officer
521046	183675	German Official
521046	203132	Gestapo Officer
521046	207420	Otto
521046	248993	Gestapo Man
521046	255465	Officer at road
521046	292620	Sub Commandant [Ch. 3]
521046	330141	Gestapo agent
521046	330167	Holtz
521046	330825	Otto
521046	359275	German Guard
521046	363226	German officer
521046	363590	German lieutenant
521046	365062	German Officer
521046	365926	German Delegate
521046	367825	German Officer
521047	365651	Dylan
521048	365651	Commune Dinner
521049	54707	German Shot by Pistol
521050	155928	Fisher
521051	13576	Attendant #1
521051	113296	Stephen Bull
521052	70826	Albert
521053	86914	
521054	285271	Japanese Team member
521055	269045	Thug
521056	622	Ling Chu
521056	41366	Chong Lee
521056	41409	Chong Li
521056	43176	Bolo
521056	46528	Thunder
521056	48088	
521056	48092	
521056	48113	
521056	62130	Chiang Tai
521056	65784	
521056	76288	Giant Kickboxer
521056	76338	
521056	90559	
521056	91752	Moon
521056	92844	
521056	96516	
521056	96543	Ram
521056	96554	Lu's Henchman
521056	101700	Bolo
521056	101707	
521056	110334	Yang Tze
521056	110338	Master on Mountain
521056	114502	
521056	114531	
521056	116648	Cameo
521056	121442	Millionaire chan
521056	125247	
521056	133955	
521056	140799	
521056	156774	
521056	161863	
521056	162427	Ice
521056	170302	
521056	181813	
521056	190167	Himself
521056	194085	Thug
521056	200474	
521056	216622	
521056	232978	Mr. Yang
521056	236270	
521056	287945	General Meng Chieh Hui
521056	298053	The Giant
521056	299690	Shingo
521056	299691	Shingo
521056	300746	
521056	319406	Tiger
521056	326272	Sumai
521056	332130	
521056	332337	
521056	332771	Chong
521056	332772	Chong
521056	360208	
521056	368904	Ah-yan Yen
521056	371500	Muscleman
521056	376060	Movie Patron
521056	388662	
521056	389624	
521057	51979	Feng
521057	291634	Ku Tin Yau
521057	305932	
521058	167423	
521059	127655	Tony's Colleague
521060	218695	Wong Chung
521061	215855	
521062	251477	Japanese Sailor
521063	14180	Grandfather
521064	279097	
521065	82149	Fang Jin
521066	297382	Opera Performer
521067	302616	
521068	40007	
521068	79696	
521068	131264	Kit
521068	236500	Kelly Chan
521068	266050	Lee Hing
521068	332326	Drug Lord
521068	371447	Wai
521068	371600	Kit
521069	315476	The ghost
521070	187759	
521071	239148	
521072	204141	Chow Hing
521073	86316	Bodyguard A
521073	181563	
521074	27795	Yee
521075	25943	
521076	28039	
521077	3259	
521078	305288	
521078	397513	
521079	20880	Tsar Nikolas II
521080	26745	Mikhail
521081	352663	
521082	132074	
521082	229048	
521082	229074	Filimon
521082	260435	
521082	265039	
521082	313890	Businessman from Astrakhan
521083	35930	
521084	357697	
521086	78254	Prince Daniil Romanovich Gali
521086	85207	
521086	89589	
521086	176142	
521086	263679	
521086	263680	
521086	295061	
521086	314574	
521086	349076	Yefim
521086	349258	
521086	370672	
521087	229003	
521088	126265	
521089	185087	Band Member
521089	187842	Gabo
521090	299404	
521091	262172	
521092	178727	(segment "Klinika")
521093	371357	
521094	394750	
521095	35855	
521096	62356	
521096	265840	
521097	83312	
521098	3179	
521098	28503	Truck driver who changed his 
521098	29890	Tsjitsjerin
521098	32757	Korzukhin
521098	34229	Acting coach
521098	38228	Nikifor
521098	58459	Laroche
521098	60428	
521098	60438	
521098	63607	
521098	76481	
521098	82614	
521098	84259	
521098	88729	Comrade Dynin
521098	91485	Vitol
521098	95927	Hangman
521098	95933	Katsaurov
521098	104424	
521098	123509	
521098	124071	Bestuzhev
521098	128036	
521098	132087	The Music Director
521098	154837	Stepanych
521098	156700	
521098	172450	Karas'-emigrant
521098	173195	Man with nails
521098	173576	
521098	176057	
521098	176127	
521098	179729	
521098	181181	General Chernov
521098	181312	Misha
521098	186246	
521098	187382	Priest
521098	198122	Onkel
521098	217458	
521098	218854	
521098	220695	
521098	224037	
521098	226009	
521098	229021	
521098	230454	
521098	231142	Dentist
521098	232665	
521098	234442	Andryushenko, saxophonist
521098	235231	
521098	236066	Archbishop
521098	237961	
521098	241944	Danilov
521098	253091	
521098	256698	Kalinin
521098	258423	Nikolai
521098	258655	
521098	261372	Navrotsky
521098	261682	Berendeyev's father
521098	261907	Pavel Goryayev
521098	263893	
521098	264556	Ivan Yakovlevich
521098	265047	Star Counter
521098	282745	
521098	297560	
521098	303814	New king
521098	304252	Pralinsky
521098	304721	
521098	306647	Professor Filipp Filippovich 
521098	309393	
521098	313621	Vorobyov
521098	313813	
521098	313885	
521098	313887	Adamych
521098	316373	(segment Bratka)
521098	317106	Sinajsky
521098	318562	Nanajtsev
521098	320713	
521098	344013	
521098	349360	
521098	352446	
521098	352610	
521098	355850	Bestuzhev
521098	356040	
521098	370406	
521098	371291	Czar Ivan Groznyj (Ivan the T
521098	371344	
521098	371893	
521098	374939	
521098	375114	Kalachyov
521098	375174	Beglov
521098	375488	
521098	375666	Koreiko
521098	386540	
521098	389747	Vice-Chancellor Bestuzhev
521098	397513	Petya 'Ruchechnik'
521098	402063	
521098	404819	Professor Pleyshner
521098	409848	
521098	411980	Digon
521099	48743	
521099	86595	
521099	125352	
521099	357249	
521099	373786	
521100	323322	
521101	297458	Kornelij yung
521102	39013	
521102	186866	
521102	262200	
521102	357257	Rozengolts
521102	374734	
521103	259043	
521104	259043	
521105	259043	
521106	84468	Chess Player
521106	164789	Himself
521106	216609	Himself
521106	259043	Sculptor
521106	357698	
521106	384590	Himself (Soviet poet)
521106	403983	Himself (author of 'Babi Yar'
521107	328960	Himself
521108	259043	
521109	259043	
521110	302670	Pizza Boy
521111	231746	Nigel Jenkins
521112	355060	Hallelujah
521113	363824	Frozen Prospector #2
521114	23624	Números
521114	91417	Coreógrafo
521115	9731	
521115	69206	
521115	80139	Musician at Circus
521115	82225	
521116	23614	
521116	179257	
521116	266295	
521116	284482	
521116	357257	Ikramov
521117	2309	
521117	22718	N.N.
521117	39014	
521117	60697	
521117	82782	
521117	132156	
521117	163162	
521117	180856	
521117	223561	
521117	244220	
521117	261362	Turgenev
521117	263423	
521117	263636	
521117	268131	
521117	289862	
521117	305878	
521117	334996	
521117	357706	
521117	375793	
521118	323646	Guardian
521119	72055	
521120	160235	Tom Johnson
521120	292497	Harry
521120	292596	Walter
521121	6584	Fireman
521122	15051	Rasko
521122	195569	
521122	230261	Castel
521122	296086	
521122	296921	Philippe
521123	234900	
521124	272384	Aktyor v kuklen teatar
521125	373162	Accountant Suen
521126	25903	Thief at Airport
521126	191009	Master Ting
521126	368094	
521127	168038	Hsi Chian
521128	236252	Fang Zheng
521129	285215	Congressman
521130	173329	Party Secretary Yang
521131	136269	Man #2
521132	63498	
521132	167846	Yoshida
521132	184465	
521132	198590	
521132	245198	Boatman Feng
521132	259287	
521133	297310	Wan Gang
521134	326445	
521135	86263	Mr. Chang (hotel manager)
521135	292446	Chen
521135	312138	Prison Warden
521135	353523	Wang
521136	359021	
521137	258884	Korean Diplomat
521138	280169	LCO
521139	369055	May´s Daughter
521140	124884	Himself
521141	118294	Thug #2
521142	299403	
521143	292427	
521144	2382	Tams
521145	42087	Charlie
521145	57001	Sammy Kim
521145	346405	
521146	184311	Tietou as an infant
521147	161049	Mr. Park
521147	408111	Korean Aide
521148	323258	
521149	110619	
521149	169724	Tianbai as child
521149	371615	Qin Guard #7
521150	11591	Xiao Zhuai
521151	1300	Villain #2
521152	138716	Dr. Johnny Marinovich
521152	185703	Navy driver
521152	330783	Geoff
521152	343352	Clarke
521152	374524	Military Guard
521152	405209	Dr. Johnny Marinovich (1994-1
521153	283581	Maasai Messenger
521154	44565	Wrigley, the Chauffeur
521154	99287	King Philip II of Spain
521154	134295	Primate Sequences
521154	161108	Paris vampire
521154	177330	Lady Kong
521154	203492	Reporter
521154	243653	First Valet
521154	258930	Cruise Manager
521154	259943	Felix
521154	269901	Dauphin
521154	282689	Teodoro Majocchi
521154	321420	Chef
521154	321778	The strongman
521154	324483	Photographer
521154	333183	Japanese Man
521154	372594	Artistotle
521154	375187	Andre Breton
521154	386394	Ticket Collector
521154	390148	Various roles
521154	390393	Bookman
521155	193620	The Door
521155	247011	Dawiya
521156	228906	Old Man with Stick
521157	186601	
521157	289273	
521158	171628	
521159	376619	
521160	5704	
521160	9365	Akbulut
521160	15389	
521160	19649	
521160	22045	
521160	22080	
521160	26032	
521160	28836	
521160	33840	
521160	38498	
521160	38509	
521160	38621	
521160	42895	
521160	76735	
521160	76765	Yörük Ali Efe
521160	76919	
521160	80907	Can
521160	110407	
521160	114004	Firildak Naci
521160	114317	
521160	124216	
521160	125347	
521160	126395	Erol
521160	136768	
521160	137323	
521160	140603	
521160	142977	
521160	162227	
521160	172643	
521160	172649	
521160	172837	
521160	173422	
521160	173566	
521160	173773	
521160	173785	
521160	175493	
521160	178394	Sahin
521160	180319	
521160	207202	
521160	207203	
521160	210253	
521160	210936	
521160	212280	
521160	214280	
521160	240535	
521160	267818	
521160	276266	
521160	278534	
521160	288607	
521160	289289	
521160	293429	
521160	293666	
521160	295270	
521160	307155	
521160	308423	
521160	320475	
521160	335961	
521160	350994	
521160	370320	
521160	374521	Metin
521160	375894	
521160	375901	
521160	377498	
521160	377508	
521160	378228	
521161	42928	Farrat
521161	290191	Farrat
521162	308578	Son
521163	111068	Monk Yih
521164	136859	
521164	268684	
521165	2094	
521165	12543	
521165	26023	
521165	173778	
521165	177018	
521165	247011	Himself
521165	289163	
521165	341876	
521165	377562	
521166	178411	
521166	394189	Zülfü Cilo
521167	153964	
521168	380746	Mehmet (Memo)
521168	407596	
521169	237304	Buschauffør
521170	378598	
521171	104723	Himself
521172	5708	
521173	377565	
521174	371562	Himself
521175	21991	
521176	179575	
521177	19309	Cem
521177	40957	Alyans
521177	40958	Alyans
521177	40959	Alyans
521177	40960	Alyans
521177	93971	Bulle
521177	113660	Pierre
521177	120043	Tayfun
521177	123005	Celal
521177	137416	
521177	144005	Moussa
521177	188760	Turk Soldier
521177	193488	Bilidikid
521177	310906	
521177	325752	Bernd Schiffer
521177	325768	
521177	340458	Hacki
521177	352322	Anton
521177	361424	Said Nouri
521178	104718	Himself
521179	265455	
521180	356022	Asiye's father
521181	325007	
521182	187203	Kasim
521183	103336	
521184	149558	
521184	149559	
521184	161147	
521185	172654	Butiksindehaver
521186	25619	Neseli (Happy)
521186	247308	Neseli (Happy)
521187	38446	
521188	5699	Kemanci
521188	10522	Kasim
521188	12648	
521188	17404	
521188	21217	
521188	25595	
521188	28390	
521188	38462	
521188	39088	
521188	49029	
521188	52782	
521188	53294	
521188	76768	
521188	82620	
521188	102511	
521188	103605	Artist Kemal
521188	140616	
521188	162133	
521188	172182	
521188	173778	
521188	173779	
521188	173781	
521188	173782	
521188	175444	The vizier
521188	178405	
521188	182091	
521188	182092	
521188	189058	
521188	202453	
521188	202454	
521188	202456	
521188	202458	
521188	240335	
521188	289163	Alfonso
521188	295506	
521188	303582	
521188	322538	
521188	322549	
521188	325007	Valentinianus, Roman emperor
521188	335985	
521188	341876	Prof. Krater
521188	357601	
521188	370634	
521188	373243	
521188	373247	The victim
521188	373798	
521188	376112	
521188	378593	
521188	405465	
521188	407596	
521189	365911	Can
521190	38491	Himself
521190	371562	Himself
521191	377517	
521192	103605	Hakan
521193	38483	Performer
521193	38492	Himself
521193	122679	Logar
521193	144115	Altan
521193	356022	Sitki
521194	136911	Pörtlek
521195	411705	Berk 'Rambo'
521196	281494	Cem
521197	4028	
521197	6381	
521197	297716	French surgeon
521197	392379	Lütfi Pasa
521197	411678	Halet
521198	10274	Mahmud
521198	35765	Christopher
521198	35794	2nd Bodyguard of Bobby Darin
521198	218686	Marc
521198	223518	Schwarzfahrer
521198	404899	Mehmet (2004 -)
521199	120043	Birol
521199	173226	Zlatko
521199	193488	Iskender
521199	225639	Lothar Kant
521199	245094	Azimi
521199	307554	
521199	322544	Cengiz' Fahrer
521200	259430	
521201	281494	Turkse douanier
521202	322539	
521203	375704	
521204	320473	
521205	7368	
521205	22057	
521205	26002	
521205	27732	
521205	34041	
521205	38499	
521205	38918	
521205	39084	
521205	50085	
521205	110400	
521205	136784	
521205	138962	
521205	156218	
521205	173765	
521205	173968	
521205	175397	
521205	175704	
521205	179697	
521205	211709	
521205	240535	
521205	295510	
521205	301479	
521205	308320	
521205	350847	
521205	377511	
521205	377544	
521206	33865	
521206	104706	Himself
521206	125343	Veli
521206	130509	Kozluca Hüseyin
521206	136777	
521206	370636	
521207	369646	Lam Yuk-Ping, 'Ping'
521208	185715	The Tiger
521209	20625	Extra
521210	167471	Hae Yeon
521211	345945	Hank
521212	135947	Yueh-Feng's Boyfriend
521212	175256	Chung
521213	210120	
521214	334365	Maj. Toang
521215	130504	Noodle shop customer
521216	334780	Thai Restaurant Sous Chef
521217	242111	Mr. Johnson
521218	103020	
521218	370812	Lin Chung
521219	90851	Additional Voices
521219	214756	Additional Voices
521219	340767	Additional Voices
521220	108933	Arnulfo
521220	123114	Mr. Uen
521220	229259	Sympathizer
521220	385474	Lee
521220	405447	
521221	200443	Choppo
521222	149011	Wu Ma
521223	90548	Chen Fan
521224	47430	Jack
521224	253047	Asian Guy
521225	28832	Brother Chai
521225	30779	Night
521225	39702	Dr. David
521225	61991	Du Qiang
521225	62841	Stephen
521225	63376	Bone
521225	137310	Cyclops
521225	184812	Xien
521225	210120	K.S.
521225	215942	
521225	286972	Fire
521225	287034	
521225	322699	P.J.
521225	327020	Tooth
521225	358023	Alien
521225	370925	
521225	373106	
521225	398446	Himself - T-Dawg, Gimp
521226	20620	Tiger #10 - Yi Yi
521227	81081	
521228	123967	Qi Ziming
521229	25901	Douzi as a Teenager
521229	63445	Mr. Wang
521230	148648	Le valet thaï
521230	217265	Zhao
521230	271069	Le Chinois
521230	402885	Monsieur Chang
521231	193987	
521232	173089	Birthday Party Guest
521233	336786	
521234	369943	
521235	369071	
521236	275756	
521237	25901	Manager
521237	76385	
521237	167412	
521237	410776	Zhao, Xinmei
521238	9222	Yang Ming Hua
521239	14701	Lam-Sang
521240	176810	Tai Chi Master
521241	303397	
521242	181783	
521243	3032	
521243	63470	Chi-Yuan
521243	94833	
521243	95873	
521243	135484	
521243	138642	Chinese martial arts student
521243	143934	
521243	149006	Frankie
521243	151896	Shih
521243	151941	
521243	152125	Assassin
521243	214202	Corrupt town boss
521243	277104	
521243	331189	
521243	332079	
521243	332306	
521243	332539	
521243	358967	
521243	371803	
521244	27898	Secretary Tong
521244	185241	Governor of Foo Shoe Detentio
521244	191701	Lama Norbu
521244	374818	Yuan Shi Kai
521244	396820	Kublai Khan
521245	344652	Times Square Cartoonist
521246	16950	Chinois harcelé par les enfan
521246	176252	Huge Village Man #1
521246	327020	Lok's thug
521248	141917	
521249	19725	
521250	151895	Guest
521251	299403	
521251	370171	
521252	110669	Ahda
521253	275756	
521254	369709	
521255	241605	Armani Model
521256	175757	
521257	369859	Jacob
521259	118294	Thug #4
521260	2986	Head of Mainland Group of Thi
521260	4470	
521260	4471	
521260	61993	Brother Five
521260	63744	Ugly Guy
521260	94913	
521260	94914	Ugly Guy Flagging Taxi
521260	110596	Coconut
521260	110664	Ugly Triad
521260	123714	Chiu Chou-Tung
521260	135025	Ugly Triad
521260	135026	North
521260	141896	Loan Shark
521260	167787	Mainland Triad
521260	190914	Ugly Assassin
521260	204937	Shing
521260	227278	Taoist
521260	239145	Ugly Vendor of Pirated Compac
521260	268756	Suspicious Ugly Guy
521260	283609	Ugly Mental Patient
521260	298366	Sam
521260	300380	Ugly Stuntman
521260	300743	Square Dog
521260	301436	Swaying Triad
521260	318229	Juror
521260	358910	Shark Sang
521260	359019	Chin
521260	360997	Beat Cop
521260	367177	Ugly Triad
521260	368072	
521260	369623	Queue Jumper
521260	369744	Pimp
521260	369763	Ugly Triad
521260	369772	Rapist
521260	369797	Guy with Pompadour
521260	370145	
521260	371536	Short Ugly Triad
521260	373160	
521260	373251	Gambling Contest Competitor
521260	374948	Obnoxious Movie Patron
521261	41179	Dishwasher
521262	181783	
521263	122887	
521264	194145	Singer
521265	19561	Assad
521265	109450	Mr. Fortune-cookie
521265	109772	
521265	137930	Sailor One
521265	159175	Wu Han
521265	160291	Himself
521265	222606	Chang
521265	224046	Merv
521265	245089	Policeman
521265	256141	Mike Wong
521265	259317	Steven
521265	277634	Ricky Ramon
521265	325543	Chow Hap-man
521265	354178	Chuck Lee
521265	359405	Ko'vash
521265	382838	Michael Choi (1989-1990)
521265	384108	Detective Sergeant John Ho
521265	387992	Leonard
521265	411133	Wong
521266	232992	
521267	160639	Shao Hu/Shao Tu
521268	121104	
521269	14180	Stu
521269	370863	Old general
521270	125509	House boy
521271	226969	The Chink
521272	110338	Do Man
521272	370863	Milton Bin
521273	110588	
521273	174778	
521273	231201	
521273	288417	
521274	342156	Poultry Employee
521275	136160	Yip Kwun-hau
521276	138626	Band Member
521276	167386	Lam Bo Sun's Coworker in Rest
521276	172220	Member of Group Behind
521276	252181	
521276	284732	
521276	371567	
521277	369043	
521278	371625	
521279	408694	Designer (2000-2004)
521279	408696	Designer
521280	20288	Chinese waiter
521280	27319	Chinese boy
521280	33006	Japanese officer
521280	115895	Chinese Sailor
521280	141667	Chinese man
521280	142346	Ho-Sin
521280	154785	Gen. Saito
521280	155261	Chinese Maitre d'
521280	177253	High Priest
521280	185505	Chinese Man
521280	198844	Rickshaw driver
521280	241134	Chinese man
521280	251932	Chinese Nationalist
521280	285091	Ben
521280	285605	Cafe Proprietor
521280	307368	Bartender
521280	309268	Bookie
521280	322607	Chinese merchant
521280	342487	Dak Sue
521281	121778	
521281	152347	Link
521281	153044	
521281	167418	Taoist
521281	237688	
521281	318919	
521281	323108	
521281	368072	
521281	375921	
521282	3241	Insurance Agency Boss
521282	25902	Commissioner
521282	61070	Yip
521282	61071	School Official
521282	85885	Uncle Ya
521282	86316	Tony Weng
521282	94433	Fat Bill
521282	121103	
521282	122888	Man Midgit
521282	122890	Pang
521282	127776	Board Member
521282	135481	Village Head
521282	135496	Chu
521282	136327	Wu Yiu-Pong
521282	138629	
521282	149016	Kau's Partner
521282	152114	
521282	153052	Fatty
521282	167388	
521282	167836	Yeh
521282	168039	Restaurant Boss
521282	189506	Supt. Yeh
521282	189523	Chan
521282	191123	Party Guest
521282	193893	Maitre d'
521282	194085	Brandon's Boss
521282	204936	Maitre-d'
521282	209898	Mr. Chow
521282	216628	Inspector Tsoi
521282	220245	Officer Yip
521282	254946	
521282	256134	Station Manager
521282	268816	The Mayor
521282	270020	
521282	284724	Vivian's Uncle
521282	286902	Kent
521282	295243	Director
521282	298683	Judge
521282	300405	
521282	300406	Hotel Server
521282	332331	Mahjong Maker
521282	358909	Card Player
521282	367148	Po
521282	369042	Card Player
521282	369566	Cameo
521282	369772	Dolphin's Father
521282	369786	Chef
521282	370473	Fat Customer
521282	370725	Nobleman
521282	370819	Yip
521282	371494	Hwa
521282	374806	Building Superintendent
521282	374827	Chung's Dad
521282	376061	Barber Shop Customer
521283	122884	
521283	284708	
521284	20625	Extra
521284	344167	Sawad, Deong's Assistant
521285	7681	Dr. Akoto
521285	137882	Laitu/Laertes
521286	48450	
521286	101707	
521286	288655	The Masked Hitman
521287	17102	Fortuna
521288	21479	Conga Drummer #2
521289	206565	
521289	302418	Uri
521290	140628	
521290	201399	
521291	314135	Iraqi Crewman
521292	193080	
521293	285981	
521294	335414	
521295	47874	
521296	178975	Rickshaw Passenger
521297	297352	Young Billy
521297	369800	
521298	369757	Little Cheung
521299	231601	Niño
521299	370863	Dragon King
521300	102554	
521301	70624	Locutor de Radio
521302	323228	Store Clerk
521303	19371	Himself - Apulanta guitar
521304	170247	Tango-orkesteri
521304	285694	Himself
521305	181708	
521305	238166	Vasil
521306	323247	Manta
521308	145761	Gold Merchant
521309	184786	Lohiniva
521310	184786	Poika
521311	184786	Poika
521312	30749	Arbetsförmedlare
521312	111567	Bill
521313	122471	Vampire/Massmurderer
521314	61247	Raffy
521314	87005	Dino
521314	162587	
521314	200759	
521314	202654	
521314	214277	
521314	237721	
521314	237722	
521314	256887	
521314	381564	
521314	387256	
521314	399840	
521315	28901	
521315	49151	
521315	86732	
521315	124452	Diego
521315	171857	
521315	172159	
521315	174500	
521315	200662	
521315	219797	
521315	222108	
521315	248851	
521315	284678	Pepito
521315	285403	
521315	286583	Ramonito
521315	301211	
521315	323055	
521315	359356	Rex
521315	394773	
521316	145761	Police sergeant
521317	94258	Tord
521317	114951	Fabian
521317	121017	
521317	322943	
521317	357757	Mange
521318	276638	Man in Bathroom
521319	394019	
521319	400481	Mija
521320	280570	
521321	278763	Archbishop Luwunum
521322	154807	Yellow Wolf
521322	330198	Tallchief
521323	105945	Maquito
521324	231523	Bailiff
521325	44988	Raymond Avila
521325	53621	Motorcyclist
521325	58481	Michael Valdez
521325	69444	Det. Christianson
521325	72554	Osario
521325	73201	Paco Mendoza
521325	80845	Officer Ramiro Martinez
521325	87325	
521325	108306	
521325	113880	Capt. Tony Sanchez
521325	113994	Captain Deluna
521325	118970	Antonio Perez
521325	151235	Gen. Antonio Lopez de Santa A
521325	151290	Juan
521325	152922	David Todd
521325	165101	
521325	169944	Old Priest
521325	186255	Carlos Ortiz
521325	203339	Officer Jack
521325	210610	Dr. Larry Quintero
521325	273122	Carlos Rivera
521325	278579	Chuy (Maria's brother)
521325	279151	Miguel Rataza
521325	292148	Javier Clark
521325	297643	Cabo Mendoza
521325	334761	Vega
521325	339467	Sanchez
521325	341583	
521325	362493	Robert Avila
521325	368546	Capt. Angel Cordobes
521325	383385	Alonzo (1986)
521325	396636	Father Jose Silva
521325	400038	Det. Jesse Guerrera (1987)
521325	403452	Carlos (1984)
521326	165101	
521327	281365	Young Cook
521328	289098	Motel Clerk
521329	52885	Policeman
521329	176742	Yet Another Vietnam Dude
521329	313046	Japanese Soldier #1
521330	120528	Vee Jay #2
521331	181786	
521331	222708	
521331	233000	Ta Yuen Fu
521331	233011	Yung Ti
521331	369594	
521331	369746	
521332	215843	Drug Dealer #1
521332	331193	Soldier
521332	354136	Viet Fisherman
521333	199311	Uncle Bonze
521334	2188	Herbert
521334	2366	Himself
521334	2581	Performer of Warren Zevon Mem
521334	5337	
521334	29046	
521334	73868	Himself
521334	87356	Himself
521334	90341	Skipper
521334	107855	Himself
521334	147745	Leroy Wasley
521334	168611	Himself
521334	175541	Himself
521334	184420	Ray
521334	191760	Bobby Lomax
521334	201733	Himself
521334	214802	Detective Blair (flashback sc
521334	231078	Brentwood Glasscock
521334	245921	Himself
521334	246708	Virgil Kidder
521334	247579	Raoul
521334	253888	Narrator
521334	274284	Truck driver
521334	280443	Himself
521334	282147	Mac Brazel
521334	299705	Himself
521334	305008	Doyle Hargraves
521334	309829	Valentine Casey
521334	331300	Sheriff Belmont
521334	359522	Himself
521334	363194	Lieutenant Colonel
521334	384538	Himself
521335	143628	Dr. Falco
521335	245761	SWAT Leader
521335	297776	Jerry
521336	203358	Harrah's Band
521337	52600	
521337	360180	Army Lieutenant
521337	412170	Himself - Finalist #6
521338	177705	Rosario
521339	73784	Blood
521339	367541	Street Hustler #2
521340	39620	Gregory 'Greg' Franklin
521340	41829	The Watch Man
521340	70415	Yul Brenner
521340	70468	Detective Carson
521340	73330	Frank Hill
521340	93275	Chris Jones
521340	139443	Luke
521340	146324	Stuart Banks
521340	176498	
521340	253510	Keith Parker
521340	277850	Poppa
521340	305660	The Skunk
521340	309477	Studio Engineer
521340	354796	Patrick Matthews
521340	356949	The Professor
521340	367541	
521340	382981	Corey Granville
521340	394510	Bobby Curtis
521340	399294	Det. James "J.C." Williams (1
521341	154466	Stage Manager
521341	259307	Officer #1
521342	58632	Rick
521343	77505	Emigrantat Stoil Dzheksan
521343	179704	Mafiot
521343	211281	Kristyo Assenov
521343	229900	Kotze Parata
521343	258569	Gnevniyat begletz
521343	282715	
521343	371694	Svalyachat
521343	373081	Politzeyski nachalnik
521343	397471	Krastyo Asenov
521344	29792	
521344	199251	
521344	373218	
521345	252963	Man in Jail
521346	387370	
521347	152889	
521348	248441	Wrestler
521349	346016	Guard
521350	346016	Guard
521351	152844	Cadaver
521352	299395	Desert Satellite Operator
521353	164149	L'amant d'Anaïs
521354	197943	Member, The Pied Pipers
521355	265873	Alan Joyce
521356	42311	Ego
521357	384230	Gaisei Gerudoring
521357	391598	Hinoyama Kamen
521357	406072	Bazukaado
521357	407389	Dr. Shiina
521357	408728	Ox
521358	373218	
521359	127194	Chang
521360	21330	Himself
521361	149613	Sgt. Roy Tada
521361	208908	Takeo Fugiwara (Fuji) Seaman 
521361	208910	Takeo 'Fuji' Fujiwara (Seaman
521361	397224	Fuji Kobiaji
521362	57208	Detective Jack Richards
521362	202324	Joshua
521363	16255	Detective Marshall
521363	72376	College Guy
521363	84811	Chad
521363	284815	Customer #1
521363	319349	Joe
521363	330595	Sorensen's Assistant
521363	341055	Sam
521364	130450	Mike
521364	196872	Drake Whitley
521364	256925	Audience Member
521365	132912	Commercial Voice
521366	68997	
521367	313458	Darth Brooks, Scummy
521368	26440	Jake Travers
521369	214929	Boy in crowd
521370	279495	Sheriff
521371	112185	Pee-er #3
521373	319902	Nazi Youth
521374	13941	Cyclist
521375	194938	World War II soldier
521376	8092	Rugged Boxer
521377	204747	Zezozoze
521377	238041	
521378	247141	Male Singer
521379	172581	
521379	179724	
521379	232986	Flipper guy
521379	360122	Turbo Frog
521380	347644	Himself
521381	25926	Security guard
521381	25928	
521381	72897	Himself (Wallflowers/Guitaris
521381	139123	Pimp 2
521381	170623	
521381	221434	Himself (Buckcherry)
521381	285107	
521381	313980	Christmas Bear
521381	368158	Himself
521382	53770	
521382	68746	Himself (with the Beatles)
521382	160173	
521382	164837	Jagga Daku
521382	270051	
521382	274620	Himself
521382	284720	
521382	381501	Himself
521383	162439	Bald Man
521385	14084	Ranjit
521386	53318	Student
521387	14477	Amistad African Extra
521388	375537	Boy
521389	107205	Phillipe
521389	117674	Officer Burton
521389	319188	Frat boy
521389	321515	Swing Kid #2
521389	335720	Frank Graham
521390	380256	Mennonite Choir Member
521391	31156	Attacker #1
521391	80836	Purdy
521391	82660	Terrorist #4
521391	109498	Brad
521391	146883	FBI Agent Phil
521391	163715	Gold Truck Driver
521391	273275	Merritt
521391	277055	Agent
521391	280174	Nazi Crewman
521391	304267	Construction Worker
521391	321920	Guard
521391	333442	
521391	337381	Mr. Leeby, the Principal
521391	350474	Enforcer
521391	350476	Special Agent
521391	359906	MP #2
521391	365183	Soldier
521392	93804	Charlie
521393	306363	(segment "Stoner Roulette")
521394	14652	
521396	199251	
521397	160492	Police Detective
521398	98205	
521398	125195	Zoro
521398	153557	Hikosambo Okubo
521398	162682	
521398	241923	
521398	243517	
521398	334911	
521398	335997	Hidachibo
521399	136156	Calpico Teranouchi
521399	156248	
521399	182411	
521399	182703	
521400	30988	Tadakatsu Hatagami - Boys #18
521401	408434	Jinichi Kurebayashi
521402	177155	Himself
521403	373862	
521405	6765	Zur
521405	241952	Soldier A
521405	394325	Dillos
521405	404772	Gamroil Officer
521406	43054	Arakawa
521406	215380	
521407	394252	Chief of Police
521408	65146	
521409	404228	
521410	243439	Himself as organ builder
521411	198952	
521412	20625	Extra
521412	154785	Admiral
521412	165695	Mr. Hasagawa
521414	239380	
521415	167581	Nobunaga Oda
521415	232581	
521415	288068	Makoto Kawamura
521415	298973	Takao Aizawa
521415	323265	Paul/Moog the Rock Giant
521415	379044	Ôka Tadasuke (1978-1997)
521416	65965	Himself (Japanese Navy, third
521417	125745	
521417	149890	Mifuku
521417	227658	Amaya
521417	298782	Manager
521417	298818	Mantaro
521417	358947	Security Guard
521417	370411	Inoue (PTA Member)
521418	327797	Kinta
521419	61443	
521419	167555	Giheiji
521419	245881	Book-keeper
521420	142623	Asian Cowboy #1
521420	262094	Frankie Chang
521421	179544	Gang Comedian
521422	30987	ATAT soldier
521422	262099	Oh-Red
521423	327797	Sukkara Kanbe
521424	215063	Shiranui
521424	364728	Vegas Thug #1
521424	397693	Tenga
521425	121463	
521427	50186	The Second
521428	76974	
521428	174864	
521428	199249	
521428	209787	
521428	209935	
521428	226649	
521428	229580	
521428	235672	
521428	285601	
521428	300424	
521429	137325	Masumi Kuroki
521430	62503	
521430	63542	Matsuemon, Heigoro's uncle
521430	155505	Dormitory worker
521430	175820	
521430	288352	Itakura's father
521431	285863	Yokoyama
521431	335260	
521432	323532	Narrator
521433	212280	
521433	371558	
521434	280507	
521434	306473	
521434	410522	Pension Owner
521435	208707	
521436	51624	Esquivel
521436	52618	Ubaldo 'El Poeta'
521436	73477	Alcaide
521436	82722	
521436	189369	
521436	243055	
521436	307809	
521436	341725	
521437	21756	Le truand
521438	229096	Li
521439	123277	Futbolista
521439	276304	
521439	356463	
521440	213291	Afrikanischer tänzer (segment
521441	100470	
521442	40658	
521443	47415	Dino
521443	72890	Himself
521443	323971	Spencer
521443	342610	Charley
521444	101566	Himself (Japanese Cabinet, at
521445	79719	Extra
521446	220775	Youth at High School Dance
521446	328260	Ernie
521447	72376	Finale Club Lead-In Band
521447	127237	Garage Sale Hipster
521447	192279	Dave
521448	183346	Suger Kane
521448	184812	Shay Ling Giant
521448	275871	Jumbo
521448	371693	
521449	197499	Extra
521450	340720	
521451	61227	
521452	212295	Momcheto ot barakata
521453	14160	Narrator
521453	289509	Book-Signing Host
521454	208812	le medecin
521455	211281	Albanetzat Tzilka
521455	397471	Albanetzat Tzilka
521456	145736	Cadet
521457	29731	Keita
521458	95489	Isao
521459	341259	Kamakichi
521460	358131	Student
521460	372038	
521461	49712	Kaneko Ichinojo
521461	96412	
521461	122954	Shinkyo Priest
521461	139721	Risaburo Toyota
521461	162317	Shirota Shimizu
521461	176612	Takeshi
521461	193753	Shiraki
521461	208683	Toyokichi Kuze
521461	211893	Yamazaki
521461	227188	
521461	232922	Detective Miura
521461	244522	
521461	244552	
521461	244556	Kinnosuke Okakura
521461	359612	
521461	374117	Boss Masagoro
521461	391522	
521462	185628	Samurai Ensemble
521463	298987	Zhu Rong/Edit_Amazon
521463	382289	Amick Hendar boy, Handaru Aam
521464	184998	
521465	122945	Sai (Choi)
521466	137065	
521466	392548	Fil-Fil
521467	231168	Neji no Hitobito
521468	130498	Lt. Kiyoshi Sato
521468	182392	Makoto
521468	242127	Mitsuo Nosaka
521468	370413	Kantaro Kanda
521469	289298	
521470	167442	Rapist#1
521470	369693	Madame Trunk (Mandarin versio
521470	370725	
521470	374105	Kuchinawa Underling 4
521471	181799	Himself
521472	102554	
521474	20507	
521475	285717	Forth Triad
521476	186844	
521477	297753	1st Bodyguard
521478	30786	NVA/VC Officer
521479	131249	Daughter-in-law
521480	369976	
521481	30786	NVA/VC Officer
521482	101706	
521482	251931	Liu Wei
521483	183387	V.S.A. Dancer
521483	320797	
521484	144280	
521485	212003	
521486	371615	Old Servant
521487	20625	Extra
521488	18953	Prison Yard Guard #3
521489	369709	
521490	297536	
521491	327906	Flynn
521492	110295	The Black Rose Killer
521492	302933	Captain Nathan Graves/Martin 
521493	45814	
521494	113924	Hobbs
521494	133447	Schwartz
521494	313523	Schwartz
521495	2154	
521495	14577	Holk
521495	19100	Charles de Foucauld
521495	43007	Hector Le Barois
521495	77251	
521495	108491	le prince de Valnero
521495	132883	
521495	148691	
521495	164361	
521495	180866	Pozdnychef
521495	182786	
521495	205679	Le chevalier
521495	205684	Freiherr
521495	215853	
521495	236606	
521495	249356	Jerome Noblet
521495	265216	L'Abbé Faure
521495	275125	Ferrante
521495	337543	
521495	345188	Mattieu Lachesnaye, le père d
521495	354692	
521496	2890	Fan
521496	139009	Spectator
521496	180272	Door Guy at Porn Shoot
521497	383561	
521499	371272	
521500	173993	Child monk
521501	254942	Tibetan TV Bouncer
521502	293043	
521503	119001	Manny
521504	341850	Hiromi
521504	369458	Translator
521505	398446	Various
521506	292092	Abusive teacher
521507	305221	Cop in Varsity
521508	268093	
521509	102044	Min-seok
521509	102088	Yong-joo
521510	261467	
521511	167534	
521512	136419	R's father
521513	63487	Lord of Goksung
521514	256141	Embassy Official
521515	67896	Social Club Band
521516	60645	General Shanril
521517	407821	Himself
521518	284794	Army Doctor
521519	52899	
521520	143729	
521520	146248	Undetermined Role
521523	282639	Vasca
521524	88206	
521524	330387	Judy
521525	81319	Dirty old man
521525	320294	Bit Part
521526	345133	
521527	2169	Le président Spizner
521527	23873	Jean-Charles Perrin
521527	40316	Justin
521527	63777	Casa Bianca
521527	69968	Degand
521527	78538	Chef des gardes
521527	100361	Hammer
521527	111096	Marc Allighieri
521527	116643	Félix
521527	132403	Antoine
521527	137925	Claudius, Le spectre
521527	142510	Alexaj
521527	146954	Le sénateur Charmat
521527	156552	Le père de Manon
521527	205075	Nizam
521527	206493	
521527	214021	Jean-Louis Lacroix, le respon
521527	228155	Verdier
521527	228202	François
521527	261459	Lebaidkine
521527	341402	Alain Varenne
521527	345022	Philippe
521527	345174	Sylvio
521527	354647	Paul Gauguin
521527	381430	Livier Fallière
521527	384434	Antoine Pujol
521527	384596	Willy
521527	385609	
521527	386222	
521527	397200	Maître Jérôme Corbières
521527	406742	
521528	260859	
521529	200408	
521529	234793	Dyado Peyo
521529	339734	
521529	357324	Dyado Kralyu
521529	394139	
521530	326260	
521531	391995	
521532	22739	
521532	61227	
521532	75874	
521532	82488	
521532	103565	
521532	164037	
521532	171968	Bashtata na Evgeni
521532	174378	
521532	174683	
521532	200408	
521532	261359	Vtoriyat bashta na Meri
521532	263697	
521532	272903	
521532	284844	
521532	305463	Bobchev
521532	310475	
521532	316434	Politzay
521532	317100	
521532	320707	
521532	324427	Kaev
521532	326261	Klisurski
521532	357274	
521532	374169	
521532	412007	
521533	9353	
521534	227992	
521535	258602	
521536	35941	B. G. pri Irechek i na peshte
521536	99875	
521536	154017	Bulgarian Soldier
521536	164087	Srashina v lagera
521536	307844	Selski ergen
521537	301892	Kmetat Gachevski
521538	161757	Arab Commando
521539	161757	Arab Commando
521540	200954	Client #2
521542	17489	Matthew
521543	185176	Himself
521544	163983	
521544	241773	Chris Cooper
521545	32914	
521545	115060	King Kala
521545	151353	Workman
521545	233615	Scaturo's Thug
521545	291780	Pete, whaler crewman [Chs. 8-
521545	310207	
521545	312161	
521545	336227	Sam, thug on yacht
521546	337074	Soldier
521547	116227	
521548	72918	Halloween Night
521548	275881	Gen. Mills
521549	48355	Le travesti
521550	79902	White Radical
521551	78839	Bryan
521553	41071	The Doctor
521554	153275	Young Hustler
521554	203371	Jack Corley
521554	263319	Curly Winwell
521555	6150	Uncle Fred
521555	11918	Sir James/Paul
521555	24707	Abel Lytton
521555	31996	Matterchip
521555	73969	Dr. Oldacre
521555	74126	Baines
521555	87518	Hily Peters
521555	104900	Uncle Fred
521555	104902	Uncle Fred
521555	104904	Uncle Fred
521555	104906	Uncle Fred
521555	104909	Uncle Fred
521555	104911	Uncle Fred
521555	104921	Uncle Fred
521555	104922	Uncle Fred
521555	104926	Uncle Fred
521555	114177	Grand Lunar
521555	116202	Rev. Lacarsey
521555	118197	Mr. Wardlow
521555	118215	Colonel Washington Butler
521555	123291	Vickers
521555	129960	
521555	130838	Prof. Coram
521555	139029	Richard Hardie
521555	149648	Sir Oswald
521555	151043	Gentleman Jackson
521555	151323	Uncle Fred
521555	157736	Sir Donald McVeigh
521555	158116	Sir James Crabtree
521555	175798	Adam
521555	190599	Squire Garfield
521555	190602	Sir Oliver Armytage
521555	194579	Sir Ensor Doone
521555	207393	Sir William Barton
521555	213870	Joseph Sibley
521555	214000	Martin Thorndike
521555	239525	Richard Pringle
521555	239534	
521555	247113	Peter Callender
521555	278070	Earl of Westchurch
521555	280391	Sir Lothian Hume
521555	289367	Sir Emery Gascoyne
521555	291804	Sir Trevor Trebarrow
521555	313709	Hennessey
521555	327270	Reuben Haslar
521555	337806	Sir Blundell Maurice
521555	338294	Mr. Prescott
521555	347105	Felix Steele
521555	362371	Earl of Dalmore
521555	362402	Professor Shall
521555	369181	Earnshaw
521555	372620	Johnstone
521556	151257	Chick
521556	206402	Chick
521556	271889	Dr. Parks
521556	273493	
521556	370892	Doc Wilson
521557	330314	Deputy Sheriff
521558	241339	Jeremiah Malcolm
521558	365094	Office Worker
521559	213231	Las Vegas FBI Agent #1
521560	109772	
521560	251865	Jack
521561	31702	Hustler
521561	280478	Henry Tan
521562	202998	Rebel major
521564	35610	Himself
521564	72210	Charlie, Trailhand
521564	142456	Reckless teenager
521564	151334	Phil
521564	159706	Bertram T. Cates
521564	185089	Sgt. Ludwig
521564	185181	Nick
521564	224305	Ted 'Wreck' Loomis
521564	242757	Cpl. Bohun
521564	274679	Darrin Stephens
521564	300571	Philip Norton
521564	330142	Pvt. Renziehausen
521564	381814	Darrin Stephens #1 (1964-1969
521564	390255	Tom Colwell
521565	10693	Rock Band
521565	95844	Himself
521565	111579	Himself
521565	133401	Johnny Casino & The Gambers
521565	368159	Himself
521565	368160	Himself
521565	405008	
521566	10565	Johnson (a prisoner)
521566	11611	
521566	11663	
521566	14163	Mill worker with Eddie
521566	19557	Archer
521566	26776	
521566	29710	Henchman
521566	32561	Phil
521566	32952	Hood #1
521566	49912	Bartender
521566	52305	Chad Mason
521566	52498	Henchman Luke
521566	54853	Guard
521566	66791	Flagman
521566	69460	Nightclub accomplice with bin
521566	69959	'Bomber' Brown
521566	72572	Patrolman
521566	72703	'Dead End' character
521566	78079	Gollenger's chauffeur
521566	78119	Policeman
521566	84138	Crewman
521566	92527	Joe (piano mover)
521566	99447	Smith
521566	112452	Aurora crewman-thug [Ch. 4]
521566	116523	MP
521566	116894	Sailor on table, 'Shanghai Li
521566	117915	Soldier
521566	118023	Andrew Hardy
521566	118796	Sgt. Poor, G2
521566	122052	Taxi driver
521566	123679	Henchman
521566	124082	Traffic cop
521566	129095	Louie
521566	130775	Miner
521566	134009	Henchman Martel
521566	143581	Milkman
521566	144450	
521566	145024	Kelly
521566	146753	Cal
521566	154417	Label's henchman
521566	154972	Sideshow spectator
521566	155703	Lupe (the Wolf Man)
521566	161883	German sentry
521566	162860	Beast
521566	162979	Man
521566	163446	
521566	164476	Fallon henchman
521566	164977	
521566	168678	Cab driver
521566	168741	Bodyguard
521566	176343	Card-playing hood
521566	188326	Waiter
521566	189255	Cab driver
521566	190062	Trucker
521566	192009	Poker player
521566	194831	Jailer and clerk
521566	195968	Paul (Baron's chauffeur)
521566	201150	Stagehand at second theater
521566	203799	Referee
521566	205912	
521566	209636	Mug
521566	211395	Joe
521566	213180	
521566	214474	
521566	215915	
521566	216716	Burly man
521566	223913	Man
521566	228825	Babe
521566	228911	Sailor
521566	230344	Tough guy
521566	233800	Hawk crewmember
521566	235217	Dawson
521566	236999	Mobster at door
521566	238983	Bit Role
521566	239601	Stagehand on bar set
521566	241416	Mixer
521566	247045	Terris' henchman
521566	247372	Bruno
521566	249513	
521566	265384	Hand-shaker, paint-brush gag
521566	266694	Holmes
521566	267606	Jonathan
521566	273803	Poker player
521566	274502	
521566	276286	Bereaved man
521566	277528	Officer
521566	279428	Roustabout
521566	280473	Bowers
521566	280830	Soldier
521566	284564	Sea heavy #1 [Ch. 5]
521566	284565	Sea Wolf thug
521566	284916	Deputy sheriff
521566	292631	Karpa
521566	296827	Valentino
521566	296874	Henchman
521566	299390	Angel
521566	301938	Sergeant
521566	302629	Cab driver
521566	304300	
521566	304954	Champ
521566	305936	Pete
521566	306222	Duprez
521566	307925	Kingfisher
521566	309938	Confederate guard
521566	311025	Henchman
521566	313005	Maxie (henchman)
521566	313058	Sailor
521566	315095	Duke (bus driver)
521566	315322	Kelly
521566	316302	Undetermined role
521566	316946	Smiley
521566	319040	Boxer
521566	321313	Monster
521566	321730	Al (gangster)
521566	328661	Leopard Man
521566	329051	Baker
521566	329055	Wise guy
521566	329450	Sergeant
521566	329948	Drayman
521566	330165	Sourpuss soldier
521566	331097	Guard
521566	331453	Sultan of Abadabba
521566	331498	Chuck (one-armed vet)
521566	332420	Milkman
521566	332874	
521566	335955	Sailor
521566	335956	Gorgan
521566	337581	
521566	337641	Deputy sheriff
521566	342859	Cop in cafe
521566	343233	MP corporal
521566	347128	Railwayman
521566	349988	Piano
521566	363079	
521566	363282	Postville cowboy
521566	364156	Attendant with the Coroner
521566	364157	Nikko (goon)
521566	365961	Man #1
521566	366168	Reporter (last flight)
521566	367577	Football player
521566	372116	Man
521567	304834	Malgaard
521568	185715	Jensen
521568	278453	Ring Master
521569	28664	
521569	61168	
521569	232320	
521569	247140	
521570	325386	
521571	103493	
521572	63399	Lt. Daly
521572	163493	Expectant Father
521572	202367	Cop
521572	237562	Medical technician
521572	302157	Hercules
521573	364256	Himself
521574	53132	The Hook
521575	384590	Himself
521576	263895	
521577	70558	Richard
521577	221783	Police Commissioner
521577	308092	Swinger
521577	389858	Dr. Mark Dante #1 (1976)
521578	16476	Himself
521578	16892	George
521578	27251	Kremlin Krusher
521578	42808	The Alaskan
521578	52199	Tattoo Artist
521578	130305	Strong Man
521578	131239	Mimme's man
521578	177705	Duke's cellmate
521578	248441	Wrestler
521578	324040	Lumberjack #2
521579	7178	Dr. Nolly
521579	10141	
521579	10594	Police Lieutenant Barton
521579	12355	Hank Breckinridge
521579	22185	Policeman
521579	33037	William Campbell
521579	41104	Paul Madison (Class of '32)
521579	79631	Mike Fink
521579	82602	Albus
521579	85080	Marshal Chris Madden
521579	94755	
521579	105947	Announcer at Polo Game
521579	110264	Deputy Torrence
521579	133690	William Campbell
521579	133755	Jim Day
521579	162979	Burly gent
521579	163433	John L. Sullivan
521579	167877	
521579	168750	James Otis
521579	173519	Captain McBride
521579	176340	Reporter
521579	176343	Collector
521579	176755	Panhandle Jones
521579	178976	Man
521579	183813	Goose
521579	189152	Li'l Abner
521579	192030	Clancy
521579	228911	Keeler
521579	239846	Bud Searcy
521579	247045	Big Joe
521579	247547	Jack
521579	261558	Blair
521579	285391	Joe Crane
521579	286808	Spectator
521579	288955	Bud Searcy
521579	310565	Jake Rumpler
521579	313833	Student
521579	319131	
521579	320025	Canning, Delaney strong-arm m
521579	324263	Grundy Tate
521579	328661	Pat Ryan
521579	329399	Reporter
521579	330231	Ens. Tony Aiken
521579	345860	Wide-shouldered bond slave
521579	347335	Jail Guard
521579	348322	Elmer Saunders
521579	359868	Mr. Pierson
521579	361837	Hank Breckenridge
521579	370892	Oliver
521579	379586	Reno McKee
521580	222940	
521581	304797	Bank Manager
521582	283679	Hiko (English version)
521582	398186	Mr. Maggs
521583	31789	Manning
521583	60024	Mickey
521583	65887	B.J. Conners
521583	151062	James
521583	232066	Todd
521583	250645	Grant Kane
521583	314227	Craig
521583	332074	Lon Otto
521583	361540	Eric Cord
521583	389858	Mac Scorpio (1991-present)/Ja
521583	401930	Commissioner Malcolm 'Mac' Sc
521583	410821	Eric Cord
521584	13507	
521584	79863	Guard #1
521584	134274	Prison Guard
521586	5972	Phillips
521586	187987	Lucky
521586	232073	Kurt
521587	223762	Bartender at Night Club
521588	315271	Maxie
521589	64750	Levi
521590	243236	James Wilson
521590	315225	
521591	112632	Big Al
521591	326617	Trae
521592	46857	Soldier
521592	283375	Tony
521593	287207	Alan 'Yeah-Yeah' McClennan
521594	303753	
521596	687	Himself
521596	1749	The Core
521596	2781	Ambassador
521596	5397	William
521596	10437	Guthrum
521596	13916	Himself
521596	20003	
521596	23699	Martin's Father/Martin Gray (
521596	23864	John Dawson
521596	24429	Basil Exposition
521596	24430	Basil Exposition
521596	24432	Basil Exposition
521596	33027	Himself
521596	44581	Joyce
521596	51576	Brian Roberts
521596	62994	Bob Cratchit
521596	63654	The King
521596	64564	Host/Ringmaster
521596	67896	Dance Hall Band
521596	69273	2nd Lt. Arthur Drake
521596	74096	McGovern
521596	78871	Jason Drake
521596	78897	Capt. Winter, Alpha
521596	79555	Murdstone
521596	82438	Robert Dominici
521596	86268	Instructor
521596	94767	Gervaise Warlingham
521596	99222	Lawrence St. Clare
521596	101382	Anthony Farrant
521596	107743	Stromelburg
521596	108926	Carl Zlinter
521596	110438	Himself
521596	117856	Himself
521596	118218	Alexander Hamilton
521596	118337	Franz Stampfl
521596	118343	D'Artagnan
521596	119567	Narration/Voice Over
521596	129597	Rev. Hopewell
521596	131716	Senator Bladon
521596	132128	Milan Vukovic
521596	133592	Pip
521596	136127	Tom Pickle
521596	140181	Professor Ambrose
521596	141559	Robert
521596	158018	
521596	161216	Himself
521596	162159	Himself (Host)
521596	162852	Andrew Braddock
521596	168860	Dr. Proper
521596	171401	Darley
521596	176925	Karstens
521596	178902	King Arthur
521596	183542	King Charles II
521596	184380	Pterano
521596	185565	Beau Geste
521596	189892	Peter, Engelse fotograaf
521596	193406	Logan 5, Sandman
521596	193408	Logan 5
521596	194023	Romándy Gábor/Raphael Romandy
521596	194066	
521596	194823	George Conway
521596	196444	Dick
521596	199764	Basil Exposition (segment "Be
521596	200151	King Sarastro
521596	200252	Greedy King
521596	207434	James Durrie
521596	209824	Stone Alexander
521596	211358	Alex
521596	219686	Roger Chambers
521596	221533	Benedick
521596	222727	Count Andrenyi
521596	232081	Field Marshal Erwin Rommel/Ca
521596	235472	Paul Johnson
521596	240261	Albert
521596	240314	Stone Alexander
521596	241404	The Devil
521596	252906	Dr. Calvin Lawrence
521596	254518	Hartnell
521596	261714	Basil
521596	267686	Puss In Boots
521596	273982	
521596	274572	Himself
521596	276789	D'Artagnan
521596	277826	Charles Carruthers
521596	278496	Walmar von Gotthard
521596	278718	Sir Charles Warren
521596	279968	Paul Grumbach
521596	281172	Tybalt
521596	291417	Himself - Interviewee
521596	294573	Edmund
521596	295355	Prince George
521596	305514	Tom Wabe
521596	308062	Konrad Ludwig
521596	315994	Peter Strange
521596	317975	Alex Rodak
521596	319624	Kanto
521596	321699	Robert
521596	324233	Lucentio
521596	327062	Richard Stewart
521596	329027	J. Saint Gideon
521596	331526	D'Artagnan
521596	338854	Simon
521596	340864	Lewis Lawshe
521596	345146	Ilya
521596	351548	Robinson
521596	358961	The Wanderer
521596	360594	Rollo
521596	363906	Chris McBride
521596	368997	Hibbing Goodhue
521596	372514	Merlin
521596	374540	Geoffrey Richter-Douglas
521596	380862	Martin Gray at 40/Martin's fa
521596	387507	Narrator
521596	389123	Jolyon 'Jolly' Forsyte
521596	389164	Thomas Paine/Alexander Hamilt
521596	389755	Narrator
521596	390599	Robert Graves
521596	393476	John the Baptist
521596	394676	Charles Scott (1987-1988)
521596	395028	D'Artagnan
521596	395491	Admiral Lord Howe
521596	396670	Evan Michaelian
521596	399756	Ilya
521596	400425	Inspector Russell
521596	404686	Desmond Jordan
521596	406083	Dieter Kolff
521596	408234	Paul de Lancel
521597	54119	Self
521598	289513	Mikey
521599	82704	
521599	129842	
521599	131239	Mimme's man
521599	220569	Crash Dramm, All-American
521599	266554	Jimmy Blake
521599	337329	
521599	402569	Bar-Tel
521600	42296	Perry
521601	35801	
521602	127112	Himself
521602	143636	Himself/Spencer Davis Group
521602	166076	Schlagzeuger Howard Risk
521602	319549	Himself/Drums
521603	84377	Decent Boy
521605	58312	Patrick Scott
521605	77857	Officer
521605	170497	Young Cato
521605	211349	Antonio's Servant
521605	277716	Man in Train
521605	299715	Detective
521606	395647	Moreton Frewen
521606	400814	Mr. Wickstead
521607	87845	Flookes
521607	239587	Clerk
521608	2495	The Guy Cleanin' Pool
521609	366102	Young Danny
521610	310030	American activist
521611	137923	The Players
521612	107274	The Customer
521613	37372	
521613	45649	
521613	87219	
521615	100106	Taylor
521616	176910	Tony
521617	163493	Expectant Father
521618	134483	Moses Levi
521618	171099	Aaron Cohen
521618	323176	Marcovith Einstein
521619	18979	SIM Tech
521619	127126	Safety Technician
521619	155696	Chaperone
521619	164493	Gordon Layton
521619	188572	Hunter #2
521620	149450	Ted
521621	27112	Leading Man
521621	279376	Verna's brother
521622	58882	Himself
521622	203894	Himself
521622	203897	Himself (1998 Barcelona v Man
521622	311702	Himself
521622	315678	Himself (1999 European Cup Fi
521622	338859	Himself
521622	347164	Himself
521622	384489	Himself
521622	394400	Guest
521623	53932	Alan Yates
521624	31917	
521625	264177	Reddish
521626	218256	Miropoix
521627	168463	Himself (rock journalist)
521628	37467	Garage Boy
521629	112919	Alvin Williams
521630	193902	Moti
521630	256257	Cairo Fred
521630	296818	Underwater Creature
521630	317327	1st Thane thug
521630	372150	
521630	395280	
521631	209715	Himself
521631	221426	Himself
521631	270694	Himself
521632	7888	Gagged Man
521632	61769	Jerry
521632	81170	Olson
521632	82332	Phil
521632	90911	Jerry
521632	106381	Hotel Clerk
521632	113305	Lou Gehrig's Man
521632	120597	Mark
521632	197703	Harry
521632	289668	Alien #1
521632	312192	Lightning
521632	340058	Cleavon Arris
521632	360381	Burton Kemball
521633	142464	Playground Kid
521634	39193	Teen #3
521634	43264	Lune
521634	140783	Jesus Shuttleshworth (Age 12)
521634	142464	Ricky
521634	205268	Teenager
521634	223084	DeSean at 11
521634	306220	Chet Felker
521634	397831	Donald
521635	304346	
521635	321177	Specialty Act
521636	80921	Himself
521636	117162	Phil
521636	240744	Himself
521636	274441	Himself
521636	302436	Himself
521636	342237	Himself
521637	265839	
521638	189987	Ryan Hall Dormmate
521639	318776	Pirate musician
521639	353314	Guru
521639	356636	Al Pe
521640	1824	Himself
521640	118702	Frat boy
521640	279292	Himself
521641	80807	Stanislav
521642	317309	The Tonight Show with Jay Len
521643	157208	Synagogue Member - America
521644	72208	Wax Maroon/Cop
521645	134097	Lt. Curtis
521645	166719	
521645	195645	
521645	229931	Diver Stephens
521645	318168	Dan
521645	319602	Petty Officer
521645	335121	
521646	90353	Ted Gunder
521646	222931	Sulk (muscle man)
521647	53732	Himself
521647	202196	Himself (mayor, Los Angeles)
521647	205828	Himself
521647	233988	Narrator
521647	289227	Himself
521648	16181	Sig. Chellini
521648	17498	Gammel Italiensk Mand
521649	139409	
521650	180100	
521650	216406	Professor Avner Tal
521650	240114	Uskyldig mistenkt
521651	254388	
521652	253448	Himself
521653	195785	Himself
521654	343421	Auto Glida
521654	384201	
521654	394687	Ovadia
521654	401609	Various
521655	175004	Himself
521656	217628	Himself
521657	202954	Arab Boy
521658	80807	Gunther
521659	298091	Doctor
521660	41417	
521660	218693	
521660	262515	Shoji
521660	371844	Farmer
521661	180622	
521662	108934	Male Dance Instructor
521663	105779	Undead
521664	124037	Yoichi Hirota
521664	137119	
521664	329515	Ryu
521665	206765	
521666	67896	Demonstration Leader
521667	24703	Clown at Halloween Party
521668	179377	
521669	382289	Kyzyl Kum Guard leader
521670	11023	SWAT 6
521671	149579	
521671	173559	
521672	41757	Guy on Beach
521672	248091	George
521672	334165	Guard #1
521672	408529	Luau Guest
521673	137006	
521674	109698	Ronin
521675	325208	
521676	45652	Charlie Watanabe at 13
521677	210185	
521677	288408	Yuji Yazaki
521678	126283	
521679	176527	
521679	201378	Tokisada Shirô Amakusa
521680	173916	Warrior A
521681	196462	Umegawa, a prostitute
521682	328968	
521683	130499	Gojira/Bystander in Yokohama 
521683	211952	
521683	215063	Shoki
521683	374351	Zeiramu
521683	374352	Yanuki/Zeiram
521684	330550	Young Dragon
521685	168295	Zipp Copy Customer
521685	282452	Henry Lin
521685	333602	Wise Guy #2
521686	81659	Japanese businessman
521687	203344	Japanese Businessman 5
521688	216527	Satoru Kusubayashi
521689	180620	
521690	17420	
521691	9274	
521692	97322	TAKA Michinoku
521692	97323	Taka Michinoku
521692	139095	Taka Michinoku
521692	177490	TAKA Michinoku
521692	234072	Taka Michinoku
521692	282682	TAKA Michinoku
521692	318835	Taka Michinoku
521692	368816	Taka Michinoku
521692	368831	TAKA Michinoku
521692	369240	TAKA Michinoku
521692	369255	Taka Michinoku
521692	369265	Taka Michinoku
521692	369274	Taka Michinoku
521692	369286	Taka Michinoku
521692	387279	TAKA Michinoku (1997; 1999)
521692	388101	TAKA Michinoku (1997; 1999)
521692	402907	TAKA Michinoku (1997-2001)
521692	406933	TAKA Michinoku (1998-2001)
521692	411539	TAKA Michinoku (1999-2001)
521692	411542	TAKA Michinoku (1998-2001)
521692	411545	TAKA Michinoku (1999-2001)
521693	18664	Miura, Keita (teacher)
521693	384218	Hoverjack, Issuun
521694	28120	Shinsaku Takasugi
521695	196462	Chubei, a clerk
521696	130484	
521697	9435	News reporter
521697	97635	Hitomi Kousuke/Mokota Genzabu
521697	156119	
521697	168106	
521697	180508	Ryusuke Mizuki
521697	180516	Tadashi Yamada
521697	182478	Sugisaka, the co-pilot
521697	242313	Yoshioka
521697	244571	
521697	278376	Ichiro Kakinuma
521697	287553	Yutaka Miura
521697	334880	
521697	334882	
521697	373907	
521697	375594	
521698	67896	Social Club Band
521699	335269	
521700	394092	Belginia
521701	348399	Various voices
521702	181979	
521702	285202	2b
521702	294267	Kohei
521702	371840	Yamaguchi
521703	343642	Keiichi
521704	366099	Japanese artilleryman
521705	7640	Chiyomatsu
521705	21346	
521705	62402	
521705	76897	The Old Eskimo Chief
521705	123451	
521705	177472	
521705	181887	Hannyadera Fuhaku
521705	233104	Kameya's owner
521705	244536	
521705	244539	
521705	300596	Gonkurô the Mountain Storm
521705	371854	Jusuke
521705	373221	Matsunosuke, the director
521705	374111	Tomegoro
521705	374633	
521706	158356	Himself (Hitotsubashi Univers
521707	169697	Kasuya
521707	225614	
521707	298897	
521707	385507	
521708	37621	
521708	278550	
521709	397522	Toru
521711	136681	
521712	185628	Sword Master
521713	207446	
521714	28124	
521714	76890	Scott
521714	104274	Parson
521714	279831	Kihei
521715	63251	Old Sage (Programmer's Room)
521716	283918	Kosuke Takahashi
521717	291128	Yoshiya
521718	249918	
521718	279773	
521718	295162	
521718	315432	Moikako Fujibashi
521718	404255	Daro
521720	133772	Guardhouse Japanese Soldier #
521720	185109	Japanese Private
521721	325208	
521722	122145	
521722	344962	
521723	239333	Private Detective
521724	179544	Gang Comedian
521725	235159	Worker
521726	139154	Yudo
521726	182058	Mamoru
521726	234650	
521727	309395	Ichiro
521728	20625	Extra
521729	199311	The Family
521730	71468	
521731	158356	Himself (Chuo University)
521732	209785	Roose Sawamura
521733	289298	
521734	391522	
521735	174273	
521736	169732	
521737	373224	Eijirô
521738	299998	
521739	288702	Sulu
521740	20625	Extra
521741	15929	Himself
521742	160560	Kato, Robo Brenda Aerobics Gr
521743	176666	Kikuchi
521744	338055	Dave the Waiter
521745	275061	Sakubei
521746	293609	
521747	396331	Magna Rock
521748	253530	
521749	73413	Willy Hidaka
521749	120424	Swimmer
521749	242711	Koju, Judo Champ
521749	306125	Mongolian
521750	185630	Mihara
521750	378783	Victor Maroev
521751	106992	
521752	176527	
521753	195629	Masayuki Haitani
521753	195630	Masayuki Haitani
521753	209785	Clay Cliff Fortan
521753	402729	Masayuki Haitani/Various
521753	403597	PlantMan
521753	405278	Tanaka/Schoolboy
521753	409831	Hibiki Tokai
521754	187319	Layge
521755	170903	
521756	330388	Young Japanese
521757	50186	Ono San
521757	385251	Molina
521757	401093	Togo
521758	122211	President Gibson
521759	158887	Tsuyoshi Tanamatsuri
521760	296510	Sakichi
521761	1413	Makoto Nishiwaki (non-poli)
521761	13601	Chamberlain Gonnojo Sakakibar
521761	14399	Dr. Nakamura
521761	122950	
521761	122951	
521761	137006	Tateo
521761	139734	Takeshi Kazami
521761	177239	Mitsuo
521761	178244	Jun Kuroita
521761	178245	Jun Kuroita
521761	178246	Jun Kuroita
521761	178247	Jun Kuroita
521761	178248	Jun Kuroita
521761	178249	Jun Kuroita
521761	178250	Jun Kuroita
521761	178251	Jun Kuroita
521761	181717	Hiroki Fujisawa
521761	185652	Kazuya
521761	199251	Takayama's son
521761	232605	Ryo Hirayama
521761	244515	Mitsuo (Sakura's son)
521761	244519	Mitsuo (Sakura's son)
521761	244520	Mitsuo (Sakura's son)
521761	244523	Mitsuo (Sakura's son)
521761	244524	Mitsuo (Sakura's son)
521761	244525	Mitsuo (Sakura's son)
521761	244527	Mitsuo (Sakura's son)
521761	244528	Mitsuo Suwa (Sakura's son)
521761	244529	Mitauo (Sakura's son)
521761	244532	Mitsuo (Sakura's son)
521761	244537	Mitsuo (Sakura's son)
521761	244541	Mitsuo (Sakura's son)
521761	244543	Mitsuo (Sakura's son)
521761	244544	Mitsuo (Sakura's son)
521761	244545	Mitsuo (Sakura's son)
521761	244546	Mitsuo (Sakura's son)
521761	244547	Mitsuo (Sakura's son)
521761	244548	Mitsuo (Sakura's son)
521761	244549	Mitsuo (Sakura's son)
521761	244551	Mitsuo (Sakura's son)
521761	244552	Mitsuo (Sakura's son)
521761	244561	Mitsuo (Sakura's son)
521761	260416	Hideo Sugiura
521761	341299	Shin Uesugi
521761	344958	Fusanosuke
521761	373310	Makoto Tano
521761	386892	Kensuke Goto
521761	394562	Jun Kuroita (Goro's son)
521762	21069	(segment "A Inconfidência de 
521763	182049	
521764	296510	Sawamura
521765	232202	Senta
521766	348776	Gamu Takayama/Ultraman Gaia
521766	409691	Ultraman Gaia/Gamu Takayama
521767	23318	Himself (interviewee) : LML m
521768	122095	
521769	175507	
521770	181670	
521770	241923	
521770	245865	
521770	358489	
521770	359706	
521771	228370	Takashi
521772	60171	Japanese Servant
521773	217617	Masahiro
521774	268165	
521775	344962	
521776	198952	
521777	294396	
521778	243631	Uwaki
521779	37621	Yoshioka
521779	121471	The Revenger
521779	125438	
521779	125449	
521779	145277	
521779	173406	
521779	182432	
521779	244496	
521779	270313	Okita, Shuichi
521779	293635	
521779	295898	
521779	308884	Shinkai
521779	328020	
521779	358432	
521779	359391	Matsui
521780	122955	Ryo Kubota
521781	373218	
521782	222185	
521783	182074	Kouichi Kido
521783	381385	Fumiya Kotani
521783	384077	Ryo
521783	408352	
521784	69403	Man
521785	301955	
521786	401393	Koro
521787	345278	Alifa's father
521788	18836	Beto
521788	33649	
521788	51567	Matone
521788	55954	
521788	86083	
521788	103127	
521788	199916	
521788	225018	Lucas
521788	253779	
521788	256972	Rubén
521788	351688	
521788	383138	Chelo
521788	396180	Marcelo
521788	409957	Gerónimo
521790	166940	Guy in Diner
521791	299726	Dan
521792	7827	Playboy Photographer
521792	64560	Himself (performer)
521792	131687	Billy
521792	183876	Josh White
521792	194524	Billy (Blue Ranger)
521792	213479	Billy (Blue Ranger)
521792	397693	William 'Billy' Cranston/Blue
521792	402009	William 'Billy' Cranston
521793	155544	
521793	187305	Himself (Avro employee)
521793	220273	Moulin Rouge customer
521793	228309	Himself (English version)
521793	388874	Himself/panelist (1964-1968)
521793	396448	Host
521793	398343	Host (host)
521793	404334	Host (1974-Oct. 9, 1999)
521793	407020	
521793	407503	Host (host)
521794	389416	Engineer Dave
521795	6017	
521795	6826	
521795	6830	
521795	6831	
521795	6833	
521795	6835	
521795	6836	
521795	6842	
521795	6845	Octavius, the Amateur Detecti
521795	7390	
521795	8182	Howard Welland
521795	17755	
521795	21234	
521795	22888	Giuseppe Cassella
521795	26463	
521795	30441	
521795	45804	Tourist
521795	54906	The King
521795	56466	Sam Gerridge
521795	61835	
521795	69451	Mexican
521795	73200	
521795	73341	Party Guest
521795	81585	Harvey Colton
521795	94161	
521795	97075	Carlos
521795	97469	Edgar Allan Poe
521795	104384	
521795	105177	
521795	107299	
521795	108037	The Son
521795	109331	Young Man
521795	109417	George Grafton
521795	119773	
521795	130826	Gambler/Reveller
521795	135374	
521795	142694	
521795	145893	
521795	151510	The Lover
521795	159677	
521795	167594	At College
521795	192419	
521795	196299	
521795	196957	Jim, the First Husband
521795	203112	
521795	203501	
521795	209419	At Party
521795	221078	
521795	245614	Richard Kettle
521795	254866	
521795	259393	Newspaper Employee
521795	273314	
521795	279446	Jose
521795	279601	
521795	282271	Nobleman
521795	286151	
521795	318444	The Chosen One
521795	333126	
521795	333761	In Restaurant
521795	334291	
521795	340619	Pharmacist
521795	356769	
521795	362241	Henry, Craig's Son
521796	61788	Kelly
521796	257733	Tom Kichosniakowski
521796	364680	Stanley
521797	126686	Alex Carson
521798	72571	Collins
521798	108937	Bruce
521799	272279	Young Long Ear Boy
521800	195071	Cadet
521801	409382	Co-host
521802	385267	Ranger Kelly
521804	81644	
521805	336417	Yosun
521806	130677	Man in dance hall
521807	125942	Pilot
521807	218692	
521807	232426	Esedess
521807	293450	Michel
521807	390027	Karasu
521807	394420	Additional Voices
521807	397196	Samona
521808	60739	Arms Merchant
521808	276645	Cop
521808	313046	Officer Foster
521809	64556	Himself
521809	93357	Buddy Driscoll
521809	126755	Kelly
521809	292247	Phil
521809	313046	Gordie
521809	364313	Ivan Fray Jr.
521809	399993	Timothy Halloran
521810	39252	Hughie
521810	201927	Himself
521810	276645	Crusher
521810	328595	Mike
521810	372730	Louis
521810	384456	Poindexter
521811	39712	Jonathan
521812	52446	
521813	6445	
521814	227992	
521814	258130	
521814	326248	Geras
521815	339734	
521816	178269	
521817	371504	
521818	19725	
521819	209653	Agent
521820	328984	Yoshohito
521821	96110	Chapuis
521822	47904	Dealer
521823	167887	Liu Yuan
521823	268749	Kang Hulu
521824	111200	
521824	193872	Li Qing Yang
521825	148446	
521826	258881	Ricardo's Peddler
521827	75279	Extra in cafe
521827	308170	Extra
521827	367854	Stan Ogden
521827	385020	Stan Ogden (1964-1984)
521828	238167	Assassin
521829	124741	Himself (presenter)
521830	72376	Elbow Room Band Member
521830	267252	Themselves
521831	242773	Lieutenant
521832	68825	Motel clerk
521832	119928	Gary
521832	185687	
521832	192001	Neville Dutton
521832	221324	Guard George Koslow
521832	226504	Boyd
521832	264710	Dunlap
521832	366137	2nd Lt. Drew Naismith
521833	133212	Featured Extra
521834	300648	Récitant
521834	333611	Voice
521835	210150	Ein Nachtwächter
521835	234275	Bartolo
521836	907	Mike
521836	20620	Art Gallery Manager
521836	35502	Alphonse Brown
521836	62817	Le transformiste brésilien
521836	65529	Un comédien qui refuse de tou
521836	77175	Le cow-boy vanneur
521836	164084	Iznogoud
521836	202579	
521836	345448	
521836	383305	
521836	398238	Host (second season)
521837	59375	Witness
521838	289325	Hassan
521839	225935	
521840	222767	
521840	373812	Rojin
521841	282536	Themselves
521842	332104	Lakota Singer
521843	332104	Powwow Singer
521844	8078	
521844	72232	
521844	159064	
521844	191775	
521844	203280	Aquila
521844	210930	Indian
521844	274056	
521844	274103	
521844	274405	
521844	327751	
521844	340783	
521844	346003	Lonesome Pete
521844	348088	
521844	372517	Young Deer
521844	372518	Young Deer
521844	372519	Young Deer
521845	234979	Pollione
521846	161989	Coroner
521847	126029	Chuck
521848	186681	Angel of Mercy
521849	106628	The Witch
521850	93074	Police Officer
521851	23908	Stanley
521851	39840	Daniel
521851	47500	Angel
521851	71302	Nick
521851	72034	Count Wenceslas Steinbach
521851	73613	Ron Buckwhiler
521851	105793	Peter Costello
521851	150554	Rick Dunne
521851	152583	George
521851	195685	Barry McJannet
521851	211960	Joe
521851	217465	Dr. Kalewis
521851	245649	Nick
521851	248491	Bill Seary
521851	279176	Ben
521851	294702	Johann
521851	299973	Jimmy Becker
521851	306120	Doug Papich
521851	346005	Buck
521851	359202	Charlie
521851	379396	Young Cliff
521852	2573	Himself - performer
521852	2581	Himself
521852	99602	Himself
521852	192748	Confessional Dancer #9
521852	202396	
521852	226929	Student
521852	233559	Himself (Drums)
521852	233560	Himself
521852	318742	Himself - Performer
521853	390771	James Spaulding (2000)
521854	170599	Old Man in Roadway
521854	294537	Chinaman
521854	319045	Chin Lee
521854	370529	Referee
521855	358148	Dr. Al
521856	4369	Aaron Slick
521856	16408	Androcles
521856	28065	Paul Carson, General Store Ow
521856	35524	Uncle Dave Thornton
521856	39272	Narrator
521856	56720	Dr. Winger (veterinarian)
521856	61265	Geoffrey Lawson
521856	75523	Haggis McMutton
521856	79304	Himself
521856	87763	Scrooge McDuck
521856	94572	Scrooge McDuck
521856	94575	Scrooge McDuck
521856	96736	Norman
521856	108805	Himself
521856	125900	Charlie Biddle/Mrs. Biddle/Mr
521856	133723	Hiram Flaversham
521856	139702	Charley Loomis
521856	205449	Roy Hornsdale
521856	212880	Ebenezer Scrooge (Scrooge McD
521856	212908	Scrooge McDuck (segment "Mick
521856	212924	Uncle Scrooge McDuck
521856	220830	Avery Brubaker
521856	267386	George Goodbee/Sligh
521856	291507	
521856	319380	Scrooge McDuck
521856	333276	David Filby/James Filby
521856	333278	Flower Store Worker
521856	333284	Filby
521856	335130	Woody, the Village Piper
521856	342195	Himself
521856	379576	Himself
521856	379577	
521856	379760	
521856	381405	Keyop/7-Zark-7
521856	384729	Ed Pepper
521856	387066	Scrooge McDuck
521856	392134	Scrooge McDuck
521856	392758	Additional Voices
521856	397641	Scrooge McDuck
521856	397926	Wilbur Post
521856	398413	Stanley Beamish (Mr. Terrific
521856	403163	Haggis MacHaggis (1994-1996)
521856	403874	Additional Voices
521856	404517	Additional Voices
521856	405718	Miner Smurf (1984-1990)/Farme
521856	406153	Mr. Frump/Additional Voices
521856	407441	Additional Voices
521856	408058	
521857	341950	Himself
521858	239082	Capt. Alfred
521859	117239	
521860	291479	Boy Scout
521861	923	Himself (Atlanta mayor)
521861	2445	Himself (SCLC)
521861	21160	Himself
521861	63143	Himself (host)
521861	126056	Himself (behind King)
521861	167327	Himself
521861	202195	Himself (with King)
521861	232777	Himself
521861	247370	Himself
521861	273337	Himself (aide, Martin Luther 
521861	309936	Himself
521861	310711	Himself (marches with King & 
521861	380032	Thomas Jefferson
521861	388136	Himself (at funeral of Martin
521862	136828	Captain Corcoran
521862	264161	Arac
521863	2721	Himself
521863	5318	Himself (lead guitarist)
521863	5319	Himself (lead guitarist)
521863	5320	Himself (lead guitarist)
521863	5321	Himself
521863	117273	Himself (AC/DC)
521863	264785	AC/DC Lead Guitarist
521864	90860	Cabbie
521864	346087	Man in pub
521865	127417	Clifton's Doorman
521865	220276	Orchestra Member
521866	238608	Anthony Young
521867	274427	Wedding Party in Philadelphia
521868	18544	Referee
521869	9990	
521870	1785	Ascher
521870	111878	
521870	114603	Hyson
521870	125342	"Pop" Scobie
521870	127225	
521870	160555	Arthur Birling
521870	162984	Sir George Probus
521870	168577	'Doc' Claydon
521870	168615	King George II
521870	183845	W. E. Gladstone
521870	222604	Trowbridge Montrose
521870	223764	Sir Joseph Higgins
521870	233665	Doctor
521870	233970	Joe Dawson
521870	249236	Gladstone
521870	270649	Window Cleaner
521870	281515	Grice
521870	286909	Captain George Waite
521870	295451	
521870	306459	Cecil Rhodes
521870	312560	Romaine
521870	316200	Scientist
521870	342416	
521870	342825	
521870	353486	Rt. Hon. William Gladstone
521870	360692	Dr. Granger
521870	364003	
521871	223062	The Musician
521872	300571	Chick Gallagher
521873	68455	Zach
521873	76571	Nicky
521874	256530	Aaron
521875	53054	Avi
521876	321466	Pub Patron
521877	346940	Himself
521878	44185	CITY TV Cameraman
521879	65541	Himself
521879	100960	Surfer
521880	62560	Vice officer
521880	153250	First Detective
521880	312563	Detective
521880	361848	Workman
521881	305044	
521882	39960	Tim
521883	256835	Himself
521883	263908	Himself
521884	54628	Psychologist
521884	59470	Rob Liddell
521884	121839	Max Taylor
521884	128303	Ron
521884	177344	Cornwall's Servant
521884	245033	Minister at Wedding
521884	363939	Flight Engineer
521884	367435	British Officer
521884	385020	Brian Dunkley (1995-1996)
521884	407786	Pete Akins
521885	1088	Mug
521885	6996	Judd, a thug [Ch.2]
521885	8089	Undetermined Role
521885	18411	Party Guest Wearing Riding Ou
521885	26871	Indian
521885	36571	
521885	54549	Taxi driver [Ch. 11]
521885	66314	Sailor
521885	75855	Henchman
521885	95079	
521885	95532	
521885	99451	
521885	134009	Henchman Biff [Chs. 5-15]
521885	137498	
521885	137531	
521885	143591	Taxi driver
521885	147773	
521885	151353	
521885	154894	Guard
521885	176365	Henchman
521885	191588	Laundry Worker
521885	193306	Hotel guest
521885	195448	Pa Hatrack
521885	205892	
521885	215748	Mugg
521885	220165	
521885	220548	Assistant Cameraman
521885	230742	Reporter
521885	233508	
521885	236999	Det. Sgt. Cassidy
521885	252576	Kidnapper
521885	276362	Bit part
521885	277116	Juror
521885	280201	Indian
521885	292330	Henchman
521885	296874	Henchman [Ch. 2]
521885	303363	Truck Driver
521885	303472	Slade
521885	305044	Policeman with Mulvaney
521885	306448	Policeman #1
521885	311025	Henchman with Grafton [Ch. 10
521885	350471	Jed (a thug)
521885	362536	Bullring attendant
521885	365552	
521885	372219	Storm Trooper
521886	7619	Publican
521886	42779	Willie
521886	62697	Det. Downie
521886	66682	Campbell
521886	66683	Campbell
521886	79858	Williams
521886	88988	Agent 1
521886	100041	Wally Wombat
521886	138992	Sergeant Cimino
521886	165687	Jimmy Smithers
521886	195685	Uncle Herbert
521886	207992	Lieutenant
521886	230412	Noel
521886	234083	Mr. Carmody
521886	236494	Mr. Roberts
521886	279314	John Brooks
521886	279413	Brian
521886	310240	Butcher
521886	341892	Griff
521886	349512	Estate Agent
521886	372144	Chief Jones
521886	380884	Black Dog
521886	388645	Lofty
521886	389140	Alf (part I: 'Starting Out' (
521886	391486	Stan Hickey
521886	410643	Chief Inspector Clarke Webb (
521887	59828	
521887	161754	Deliverance Boy
521889	144840	Crew chief #2
521890	139937	Waiter
521890	144109	
521890	245504	Johnny
521890	299035	Tramp Ambassador: 'United Sta
521891	10886	Kenny Bunkport
521891	42842	Muchal Smith, Best Sound Winn
521891	71996	Bus Driver
521891	88181	
521891	99175	Sheriff Ben
521891	296027	Security Guard
521891	298315	Truck Driver
521891	348795	Bartender #2
521892	329021	Uradnick, the Officer
521892	372926	
521893	46311	C.B. Voice
521894	248117	Gas Station Attendant
521895	379055	Himself - Anchor (1968)
521895	379062	Host
521896	194789	First Male Journalist
521896	236657	
521897	41146	
521898	41017	Drummer
521898	105901	Marquis De Sade
521898	110980	Theatre Man/Meditation Man
521898	193523	Fighter
521898	258869	Speed
521899	362597	Lead Biker
521900	199207	
521901	405209	Brandon Tolich (1999)
521902	93336	Henchman
521903	192333	Truck Driver
521904	21466	Person With AIDS #1
521904	131539	Mark
521904	158951	Charlie Prescott
521904	204106	
521904	221324	McNeil's Secretary
521905	71675	Ray McCormack
521906	79880	Reporter #1
521907	36855	Himself
521907	381898	Himself (2002)
521907	381917	Himself - Intruder Evictee #7
521908	280720	Gilly
521908	355212	Monitor Prison Guard
521908	367098	Soldier #1
521909	59574	Lucian Harris
521910	188509	Hitman
521911	16724	Muskat
521911	30647	Andrews
521911	40800	Lt. Mitchell
521911	51472	
521911	67388	Moselle
521911	71719	Henry Carver
521911	101573	Instructor
521911	109829	
521911	114251	
521911	141299	Louie
521911	145694	Body Guard
521911	148333	Additional Voice
521911	150350	'Red' Herring
521911	151742	
521911	158321	Jamieson
521911	160020	Jingles, Con
521911	194820	
521911	226938	Tyrone
521911	234994	Agent Parker
521911	235615	Gene
521911	254625	FBI Agent Jack Hatch
521911	258917	O.C.
521911	278855	Jackie
521911	287701	Manuel Dangola
521911	294382	Capt. Simon Banks
521911	298037	Burke Harris
521911	330285	Mechanic #2
521911	331554	Andy 'Ripper' Pierce
521911	332530	Gil Chandler
521911	346392	Charles Soward
521911	359351	Moe Henry
521911	362193	Dominick
521911	365759	
521911	387218	Officer Fred Burdock
521911	389858	Rory Banks (1991)
521911	395063	Cassidy
521911	397159	Charlie
521911	404853	Capt. Simon Banks
521912	334148	Lee Wilke
521913	304644	Mikell
521914	212027	Baby Lords
521914	333823	
521915	295006	Mr. Snuffleupagus (assistant)
521915	404897	Snuffy (back) (1971-)
521916	2143	Soldier
521916	16669	Assistant District Attorney
521916	46581	Paula's Escort
521916	65417	Helicopter Pilot
521916	67553	Guest at Wake
521916	67590	Guard
521916	73825	
521916	81320	Charles Pearce
521916	114672	Colonel
521916	119803	Photographer on dock
521916	127491	Bob
521916	130767	
521916	149941	Eddie
521916	154648	Judge
521916	163541	
521916	166007	City Editor
521916	174584	Cop
521916	176972	Client
521916	183698	Hennessey
521916	185567	Mr. emerson
521916	185836	Logan Pearson
521916	187977	Second Reporter
521916	194204	
521916	196558	Assistant director
521916	208648	Guard
521916	214162	Garageman
521916	216312	Det. Aldridge
521916	217958	
521916	230499	
521916	232246	
521916	235518	AP Colonel
521916	245462	Reporter #1
521916	255258	
521916	275001	Lieutenant McElroy
521916	286477	Marv Gates
521916	304281	Police Officer
521916	313064	Policeman
521916	316281	Tom Nelson
521916	319760	Deputy Ron
521916	325130	
521916	330126	Charlie
521916	343010	Baltimore Booster
521916	360883	Man
521916	364189	Police Officer
521916	372775	Schumacher
521916	392177	Will
521916	404570	Apartment Doorman
521917	344	Eddie Cisco
521917	1519	Himself
521917	5802	Lapides
521917	7088	Gino
521917	10648	Mancini
521917	14261	George Maniago
521917	14489	Anthony Montelli
521917	16083	
521917	26831	Lou
521917	27064	Luca
521917	32737	Mr. Ippolito
521917	34285	Werner
521917	35183	Georgie
521917	41155	Sergeant Royko
521917	41284	Andrews
521917	41876	Bobby
521917	44509	First Hood
521917	45602	
521917	45652	Hank Bartlowski
521917	46985	Art
521917	57022	
521917	60267	Uncle Louie
521917	62076	Curly
521917	62560	Scuzzi
521917	64091	Master at Arms
521917	66105	Warden Boyle
521917	67618	Mo Weinberg
521917	70322	Pig Pen/Love Machine
521917	73680	Mike Ameche
521917	74881	Pasquale 'pop' Cugini
521917	75258	Gallagher
521917	76617	Rocco Agnelli
521917	79903	John Stoller
521917	82321	JC
521917	88111	Coach Mack
521917	91651	Zimmer
521917	92306	Gus
521917	94735	
521917	105618	Sal DiMarco
521917	113928	Chief Frank Shea
521917	115811	Joe Mc Collough
521917	123325	Carmine
521917	123703	Willie Quarequlo
521917	127896	
521917	130358	General Noriega
521917	133732	Ace Tully
521917	139611	Warden Durgom
521917	141618	Pollof
521917	153281	Gustavino
521917	176265	Jack
521917	176810	Mac
521917	178136	Santo Sposato
521917	184459	Sherman
521917	185252	Big Joe
521917	194229	Jerry Feldman
521917	194640	Sydney Delacroix
521917	201849	Himself
521917	209496	Harry
521917	212837	Vito Graziosi
521917	220456	Himself
521917	222620	Lt. Palumbo
521917	222863	Bernasconi
521917	230360	
521917	241141	Joe Minaldi
521917	241308	
521917	245625	Phil
521917	257233	Sal Palermo
521917	260357	Bedbug Eddie
521917	274017	Roy
521917	280270	Paulie
521917	280281	Paulie
521917	280282	Paulie
521917	280284	Paulie
521917	280305	Paulie
521917	294856	Alec Rosen
521917	298115	Lorenzo
521917	300527	Vincent Bublioni
521917	318800	Fidel Fargo
521917	322759	Frankie Chips
521917	325196	Reno
521917	328321	Joe
521917	342513	Augie Garvas
521917	345776	Joe Shannon
521917	346332	Alberto
521917	348178	Don Ettore Visone
521917	351526	Vincent Domenici
521917	351534	Vincente Dominici
521917	352730	Dominic Piazza
521917	358146	Jack Stockman
521917	358277	Rocco
521917	367578	Ralph Rodino
521917	379862	Frank
521917	385280	Lou Benedetti
521917	395166	Virginio Ballazzo
521917	396479	Milai
521917	401148	
521917	403720	Nick Chase
521918	39272	
521918	81168	Attendant
521918	224283	General's Aide
521918	334278	Jones
521918	397930	
521919	275792	Bathroom Man
521920	184378	Chomper
521921	1643	John Howard
521921	6802	Sailor
521921	6947	Martin (henchman) [Ch. 3-9]
521921	7094	Sheriff Dade
521921	9015	Bartender
521921	13965	Col. Elliott M. Phillips
521921	17700	Pirate Mate
521921	20235	Lt. Chapin
521921	20476	Capt. Bart Macklin
521921	20839	Maj. Andy Pepperis
521921	21299	Col. Drury
521921	27490	Ben Mercer (McCall henchman)
521921	31059	Maj. Jim Wellman (Battalion E
521921	31082	Maj. Harrison
521921	31262	Colonel
521921	34910	Wilson
521921	35632	Kirk
521921	37319	Judge Richter
521921	37461	Thompson, Luger Henchman
521921	38047	Gil
521921	38048	Jeff Travis
521921	38053	Jeff
521921	38054	Jeff Travis
521921	38055	Marshal Jeff Carson
521921	38056	Jeff
521921	38950	Quentin Allen
521921	39249	Henchman Cash
521921	39527	Oilfield Roughneck
521921	39988	Voice of Radio Broadcaster
521921	40968	Steward
521921	42049	Ship's Det. Frank Connelly
521921	44093	Steward
521921	44884	
521921	46964	Carnot
521921	48569	Supply Sergeant
521921	48572	Scott
521921	48573	Scott, Kane henchman
521921	58477	Lt. Sands
521921	60938	Aide to Carl Schurz
521921	64539	Aerialist
521921	66633	Henchman Garson
521921	66643	Eddie, lying trial witness
521921	67862	Attorney
521921	69419	Bruce, Judy's date
521921	70284	Pete Jennings
521921	71994	Gen. Pershing's aide
521921	72257	Nick Cuttler
521921	74244	Roger Adams
521921	76582	Commission Member
521921	78079	Tango
521921	79897	Colonel
521921	80669	Crane
521921	83585	German major
521921	87111	Brennan
521921	91645	Reno Sebastian
521921	98657	Herbert Crenshaw
521921	112451	Johnson
521921	112452	Aurora Crewman-Thug [Ch. 4]
521921	112549	Doctor
521921	114933	Hank (rustler leader)
521921	115116	Rex Short
521921	115535	Cmdr. Larrabee
521921	116227	Col. Riley
521921	116233	Colonel
521921	120512	Col. Ayres
521921	123133	Col. Evans Carlson
521921	123679	Newell
521921	123681	Highway Patrolman
521921	125480	Pierre Lablond
521921	128217	
521921	128960	Holdup man
521921	129379	Adjutant General
521921	129574	Capt. Hal Davis
521921	130999	Jim Granby
521921	133541	Col. Gibson
521921	135604	Steve Yates
521921	135794	Slim Doyle, thug
521921	136051	Trampy Gambler at Roulette Ta
521921	138803	Al
521921	143570	Burton
521921	143933	Connors
521921	146749	
521921	149169	Russ Whitley
521921	149796	Col. Jonathan Miles, CSA
521921	151503	Poker player with Cleve ("The
521921	163225	
521921	163358	McVey
521921	167099	Tech. Sgt. in Palmer Field Ai
521921	168805	Corporal
521921	170401	Airport control tower officia
521921	173519	Asst. Dist. Atty. Martin
521921	175111	Orchestra Leader
521921	177478	Gus
521921	183418	Investigator
521921	185335	Winslow, Skeffington Crony
521921	185458	Maj. Lanning
521921	193678	Logan [Chs. 1, 12]
521921	202933	Henchman Smokey
521921	203172	Assistant surgeon
521921	203573	Maxwell Scott
521921	205912	
521921	211738	Sands
521921	212200	Caruthers
521921	212746	
521921	215925	Luke Allen
521921	216718	City Official
521921	223010	George Gordon
521921	224316	Capt. Haggarty
521921	228815	Spencer
521921	231311	Policeman
521921	233574	Don Holden
521921	235062	Fanning Nelson
521921	239529	Peabody, Thornton's Henchman
521921	241520	Stevens
521921	242771	Pilot briefing officers on ca
521921	245357	Henchman Ramon
521921	245737	Lem, phoney Indian
521921	246922	Fox
521921	247234	Jeff Gray
521921	248084	Gangster Pokey Martin
521921	252489	Technician
521921	252883	Maj. Morrow
521921	254510	Thurston Blake
521921	257306	Patrol 62 Captain
521921	260869	Don Cameron
521921	262317	Dry-Gulch Baker
521921	262325	Army Officer
521921	263585	Norton, Fight Promoter
521921	264090	Herald
521921	264416	Prisoner
521921	269319	Steve Hurley
521921	270383	Parker
521921	270404	Opening Narrator
521921	272955	Reporter
521921	274222	Lt. Morgan
521921	277997	Luke Halsey
521921	278632	Capt. Barrett
521921	278854	Reporter
521921	280465	Dist. Atty. Powell
521921	282445	Man who gives diamond news
521921	283360	6th Virginia Surgeon
521921	284564	Dodds (a thug)
521921	284565	
521921	285276	Colin
521921	286179	Officer
521921	294750	Capt. Shattuck (prosecutor)
521921	295280	Judge
521921	297968	Reporter
521921	305498	Fred Elliott
521921	305764	Mort
521921	309842	Henchman Steve
521921	310455	Herald
521921	311316	Captain at Brooks Field Fligh
521921	312156	Polo game timekeeper
521921	312160	Taylor, Chief Barn Thug [Ch. 
521921	312161	Taylor/Power Station Clerk
521921	313804	Henchman Curley
521921	314262	Briggs, airline clerk
521921	317523	Reporter Trent
521921	319616	Fairchild
521921	323407	Program Director
521921	323420	Ace Hutchinson
521921	327271	Jack Perry
521921	329055	Lasher cowhand
521921	331292	Board Chairman
521921	332054	Grover Harrison
521921	332103	Maj. Harris
521921	332806	Colonel
521921	336218	Psychiatrist
521921	336227	
521921	336333	Reporter
521921	336814	Corporal Caxton
521921	339652	Bert Lee
521921	342414	Colonel
521921	342895	Townsman
521921	348341	Band Leader Stevens
521921	350026	Nolte
521921	350432	Leonard Carey
521921	358163	Bruce, blind date
521921	358442	Radar Instructor
521921	359754	Congressional Clerk
521921	363567	Bit Part
521921	367746	Executive
521921	372541	Spike Dolan
521921	375904	Juarez
521921	385126	Harry Steeger
521922	4619	Gregory Lemaise
521922	41987	Henry Palfrey
521922	139221	Fletcher Locke
521922	146011	Gerald Hobson (Cardigan's per
521922	178208	Count Belmonte
521922	331763	Robert G. Delbar
521923	26955	Grindle
521923	27312	Agent 2
521923	37312	Ghetto Bartender
521923	85630	Dr. Morgan
521923	148203	Cop in Central Park
521923	169201	Charlie
521923	171297	Miller, Museum Guard
521923	176388	Conductor
521923	248132	Martha's Paramedic
521923	272326	Chicago uniform
521924	251202	Old School #1
521925	35239	Basketball Player
521925	188551	Courthouse Reporter
521926	31855	Leader
521926	41918	Cowboy
521926	71474	Hoofer
521926	135789	First Outlaw
521926	202195	Roseland Dancer
521926	245498	Luther
521926	321227	Jake
521926	345066	Veterinarian
521926	350464	Official #1
521927	40788	
521928	15929	Conductor
521928	79044	Dockworker with Bullet in For
521929	17010	Mr. Caribeau
521929	26773	Outside worker
521929	31174	Fruit vendor
521929	36865	Gardener
521929	45682	Member, Board of Directors
521929	47076	Orphanage official
521929	50416	Shop worker
521929	64537	Physician
521929	66351	Postman
521929	68376	Parent
521929	88499	Juror
521929	89177	Man in wheelchair
521929	89313	Film's photographer
521929	195900	Office worker
521929	206926	Dollmaker
521929	208979	Usher
521929	224621	Butler
521929	233818	Physician
521929	238738	Tony, the fruit vendor
521929	239630	Creditor
521929	241382	Bit Part
521929	246254	Bit Part
521929	257917	Conductor
521929	285683	Man boarding boat
521929	288745	Dr. A.M. Austin
521929	293203	Extra at pier
521929	308939	A Son of the Desert
521929	327306	Man near swimming hole
521929	332109	Watcher of flea circus
521929	372734	Mary Jane's father
521930	139987	Allifair McCoy
521931	252471	Himself
521932	43919	Jack Twiller
521932	46147	Rob
521932	46148	Rob
521932	46415	Kenny Becker
521932	77575	Dan Lefcourt
521932	81560	Stuart Brayton
521932	81758	Andy
521932	107922	Kyle
521932	133743	Buck Ripley
521932	165106	Jake
521932	176965	Jeff
521932	199114	Bernard Pinsky
521932	251347	Tom Lawrence
521932	283422	Bob
521932	283489	Jacob
521932	298091	Cameo appearance (Buck from '
521932	359425	Kenny Travis
521932	395791	Danny
521932	396934	Allen Campbell
521932	397156	Bryce Lynch
521933	39245	
521933	39246	
521934	267640	Fighter
521934	273718	Acid Throwing Man
521934	313050	Nero Barman
521934	408866	D.C. Baxter
521935	367856	Set Stylist
521936	152968	Party Guest
521937	392015	Dr. Tom/Herk Harvey
521938	93962	Groupie
521938	103285	Additional Voice
521939	296657	Raymond Shackleton
521940	142490	Himself
521940	142624	Himself
521940	151176	Norm
521940	178465	Himself
521941	291932	Air Force Major
521942	290161	Dr. Wolfgang Schlitz
521943	367446	Motel Nite Clerk
521946	109617	Gino
521946	158526	Man in Bar
521946	218017	Guard with Dooley
521946	274119	Hooligan
521946	277801	Locker Room Cop
521946	291932	
521946	311153	Carmine
521947	40548	Narrator
521947	293212	Simon Long
521948	342497	Quine
521949	194136	Teacher #1
521951	86300	
521951	97135	Plant Cop
521951	145414	Uncle Charlie
521951	158338	Sonny's guard
521951	167925	Dealer
521951	361178	Hud
521952	4543	Eddie, the bartender
521952	12784	Reporter
521952	26294	Bonedust
521952	26305	Bonedust
521952	26967	Cabby
521952	33695	Ross
521952	35248	Bonedust
521952	41271	Joe Shotten
521952	44324	Suspect Being Questioned
521952	55433	Extra in the Crowd
521952	61269	Bonedust
521952	65722	American Commander
521952	81576	
521952	118440	Bonedust
521952	142686	Bonedust
521952	156459	Rafferty, wiseguy gang pilot
521952	191750	Bonedust
521952	193794	Son of murdered rancher
521952	195500	Bonedust
521952	195900	Bonedust
521952	195903	
521952	198544	Detective Interrogating Pa Ke
521952	224421	Joe Brennan
521952	234910	Policeman arresting Truck Dri
521952	261423	Intern
521952	267589	Army Sergeant
521952	276691	Bob Ford
521952	286249	Luke Condor
521952	290396	Bonedust
521952	299391	
521952	306530	Homer Hotbox
521952	306535	Num Num
521952	306536	Homer
521952	306551	
521952	306554	
521952	306557	Homer
521952	306571	Announcer
521952	306578	
521952	306584	
521952	314930	
521952	327306	Bonedust
521952	327783	Bonedust
521952	329533	Solid Citizen
521952	331711	
521952	332109	Bonedust
521952	333725	Bonedust
521952	337605	Mitch McCall
521952	338819	Flophouse bum
521952	345834	Bonedust
521952	347136	Ambulance Driver
521952	359226	Bonedust
521952	363599	Gunman
521952	367552	Chet
521952	375718	Ross, Smuggler Boss [Ch. 4]
521953	41843	
521953	52361	At the Hotel - Doorman
521953	96771	Worker #2 at Dam
521953	108343	
521953	139610	Greyhound Bus Driver
521953	176723	Death Guard
521953	176987	Prison guard
521953	214975	Man in Bar
521953	238260	Policeman
521953	312813	Tom, the Chauffeur
521953	321657	Rizzo
521953	333375	Willoughby
521953	366868	Night Watchman
521955	280169	PROP/MC
521956	58775	Himself
521957	200324	Himself (Director, British Na
521958	37511	Barfly
521958	146792	Mexican Peon
521959	320090	Cheryl's Husband
521959	389858	Dr. Walt Benson (1987-1989)
521960	131473	Stoner #1
521960	199384	Marechal
521960	203287	Cast
521960	294980	Arena ticket collector
521961	190798	Editor (bonus material)
521962	307106	Guy
521962	336488	Evan
521962	359060	Steve Williams
521962	386963	Alex Wilkinson (1998-1999)
521962	390195	Himself - Kids Saturday Morni
521962	391337	Paul
521962	398442	Presenter (1996-1998)
521962	406279	Temple Simms
521962	412023	Coach Ferguson
521963	374353	Orderly
521964	321182	Patsy's Band: Singer/Guitar
521965	65811	Radiotelescope Team
521966	14137	David
521966	79016	Lance
521966	398739	D.A.
521967	26068	Fred Lieb
521967	147252	Father Doyle
521967	224344	Deputy Sheriff
521967	239104	Pilot
521967	241226	Elder
521968	13224	Edward, Jaque's Accountant
521968	19180	Businessman
521968	50076	The MC
521968	80467	Director
521968	122619	Gene Underhill
521968	130354	El Cid Rivera
521968	136128	Hank the Cameraman
521968	169151	Joseph Potts
521968	176751	Delilah
521968	233989	Berger
521968	234659	Maitre D'
521968	237783	Romeo & Juliet Director
521968	240165	Ed Pedernales
521968	240644	Gunnar Veidt
521968	250573	Crab Nebula guy
521968	274344	Instructor
521968	288751	Thomas
521968	292122	Robert Stern
521968	302219	Sheriff
521968	306220	Principal Weaver
521968	345690	Green Army-Jacketed Man
521968	346098	
521968	379323	Bus Driver Stu Benedict
521968	410584	Allan Kriegman
521969	370734	Giancarlo's Man
521970	44095	Guest
521970	52639	
521970	75279	Cecil Alistair
521970	82626	Dan
521970	89089	The Charming Fool
521970	147566	Phil Rogers
521970	163439	Pvt. Young
521970	230674	
521970	238602	The Inimitable Dude Comedian
521970	245644	Dan
521970	290334	Clarence
521970	308159	Pvt. Young
521970	308163	Pvt. Young
521970	308180	Pvt. Young
521970	346030	Dan
521971	161731	Mike
521971	220669	Trevor
521971	331512	D'Artagnan
521971	360796	Alex
521972	131207	Boy
521972	245051	Dean
521972	358703	Ryan Moorville
521972	385020	Warren Baldwin (2004-)
521972	394329	Ricardo
521973	193260	Little G
521974	16986	
521975	57381	Dar
521975	362348	
521975	405209	Dr. Billy Leach (1995)
521975	410883	Presenter (1996-1997)
521976	309659	David
521977	235952	Policeman at Tape
521977	247500	Fox One
521977	303560	Reporter #2
521978	28309	Lance Armstrong
521978	29287	Elmore Mintore
521978	88174	Greg Zapelli
521978	91720	Sgt. Buckhold
521978	142618	Bill the Bouncer
521978	144889	Bradley
521978	183715	Billy
521978	206923	Ben Ryder
521978	232357	Otis and Clay
521978	260207	James Younger
521978	284538	Sam Marshall
521978	286711	Big Sid
521978	330635	Writer
521979	113282	USS Nimitz crew
521980	231525	Mark Freund
521981	309213	Roy
521982	334757	Chorus
521983	185470	Paramedic
521984	44005	Kid
521985	395980	Chrystal Gayle
521986	317309	Yarmouth Batter
521987	129596	Eric
521988	25368	
521988	107109	
521988	249155	
521988	278169	Desmonde
521988	302568	Bobby Rae
521988	403415	Jim Hyland
521989	11280	Choir
521990	250746	Slave boy
521991	16037	Andie
521991	396329	Headmaster
521992	83585	Himself
521993	390771	James Spaulding (2000)
521994	403570	Himself
521995	42705	Referee
521995	58799	Referee
521996	99578	
521997	165961	Pratt
521998	30247	Kirk
521998	37057	Shephard
521998	157574	Speaker
521998	222634	Minister
521998	302235	Graveyard Worker
521998	321213	Old dead soldier
521998	324546	Avery (bazooka man at roadblo
521998	365288	Dirt Farmer
521999	276168	Bateman
522000	64168	
522000	100739	Himself
522000	100848	
522000	313818	General Lennox
522001	316067	Young Zander
522002	17169	Yippie and Doggie Daddy
522002	388915	Additional Voices (1960-1963)
522002	392223	Ding A Ling
522002	395260	Various Characters
522002	401305	Yippee
522002	401306	Yippee
522002	402670	Doggie Daddy
522002	408443	
522002	411728	
522003	361218	Himself (record promoter)
522004	206536	
522005	360127	Gamma
522006	78318	Phil Stubbs
522006	388453	Emperor Staleek
522007	34913	Davey
522008	55477	Tough #4
522009	85871	Craps Dealer
522010	338756	Sheriff Stafford
522011	410168	Himself
522012	300919	Himself
522013	137719	
522013	340918	Dr. Heider
522014	46807	Control Assistant
522014	58544	Yin
522014	106593	Munder
522014	107109	The Grand Lama
522014	161725	The Lystrian
522014	188587	Ong Chi Seng
522014	194464	Malay
522014	263349	Lim Kee
522014	288441	Junior Officer
522014	295881	Wang Lo
522014	302834	John Choto
522014	328581	Confucius
522014	356794	The Malayan
522014	384109	China
522014	403464	Chairman
522015	140960	Senate Investigation reporter
522015	142949	Parole officer
522015	199162	Detective at Crime Scene
522015	234994	Chris Lawyer
522015	389707	Host
522015	408217	Host
522016	240786	Himself
522017	408344	Eric Young
522018	325242	James Hatton
522019	7921	Head Waiter
522019	29113	
522019	82064	Speakeasy Proprietor
522019	128536	Academy Judge
522019	166240	Photographer
522019	224615	Reporter Chuck Roberts
522019	342862	Fried/Restaurant Proprietor
522019	347357	Elwood
522019	364434	
522019	364453	Bit Part
522020	276362	Henchman
522020	279088	Henry, the butler
522021	71760	Clyde Woods
522021	78232	Faron Callaway
522021	144584	Deputy Faron Young
522021	227929	Himself
522021	271086	Marshal Young
522021	279412	Himself
522021	292171	
522021	329558	
522021	362135	Himself
522022	372130	
522023	125509	Clerk
522024	241439	
522026	72786	Nominee/Winner
522026	408590	The Guest Host
522027	321182	Patsy's Band: Drums
522028	201478	Himself
522028	350316	Himself
522028	384280	Himself (cameraman)
522029	137910	Bernardo
522030	10859	
522031	8021	
522031	187333	Wheelzone Warrior
522031	236328	Pilot
522031	310863	Mat Spencer
522032	251106	Himself
522033	71434	Cosy Cool
522033	236991	
522034	215840	The Companion
522035	37078	
522035	244314	Bianca
522036	130677	Man in dance hall
522036	218108	
522037	286611	Terrence
522038	331052	
522039	37064	The Fudge
522039	149027	Louis Jordan
522039	185379	Sir Barrimore Jones
522039	260206	Judge
522039	396668	Tom Fielding
522039	410728	Archibald Langley OBE
522040	367842	Jim Daniels
522041	307372	Additional Voices
522042	283916	Martín
522042	405229	Himself
522043	2538	Himself - Best Supporting Act
522043	2548	Himself - Presenter: Best Sup
522043	9022	Lt. Bill Williams (co-pilot o
522043	20034	Hob Danvers
522043	22016	Evan Doughton
522043	47080	Quill
522043	48100	Himself
522043	54617	Student pilot
522043	64924	Johnny Kelly
522043	67822	Boyd Copeland
522043	68675	Eric Nicholson
522043	72069	David Barnes
522043	83856	Mike Cutler
522043	83955	Chuck Wright
522043	87990	Pilot Abbott
522043	103317	Caryl Dubrok
522043	113682	
522043	117098	'Sonny' John Dayton Smith
522043	123389	Jim Marshall
522043	124767	Gig Young
522043	128493	Vance Court
522043	133658	Harkey Rollins
522043	143601	Bit Part
522043	145539	Edward Douglas
522043	147527	Jason Kent
522043	152911	Paul Bennett
522043	176341	Willy Grogan
522043	176810	Lawrence Weyburn
522043	196447	Hal Henderson
522043	197760	Pete Thomas
522043	199205	Peter Varney
522043	202248	Student
522043	203470	Bit Part
522043	212791	
522043	215276	Floor Walker
522043	228816	Sailor in storeroom
522043	229859	Jones
522043	233045	Leon Dolga
522043	239515	Rudd Kendall
522043	241349	First Groom Asking for Dog Li
522043	242086	Lt. William Holloway
522043	254655	C.K. Dexter Haven
522043	276835	Himself
522043	294755	Marching soldier
522043	298590	Mortimer McGrew, President In
522043	300553	Mike Kelton
522043	304562	Ike Vaughn
522043	308438	Charlie McReady
522043	310682	Dr. Ham Hamilton
522043	311251	Stephen Warren
522043	315754	Larry Ellis
522043	316025	Richard Bramwell
522043	324571	Jim Allen
522043	324973	Capt. Reiner
522043	325025	Joe Pettigrew
522043	326408	Dr. Hugo Pine
522043	327221	Alexander Darvac
522043	329527	Roger
522043	330153	Lt. Roberts
522043	330218	Rocky
522043	331522	Porthos
522043	332455	Key Weedon
522043	335725	John Tirsen
522043	336032	Cliff Willard
522043	341752	Dick Pepper
522043	342001	Ray Whitehead
522043	358191	Offscreen Narrator of Trailer
522043	358445	Samuel 'Sam' Rosen
522043	367535	Walter Hartright
522043	372170	Dr. Jeff Chadwick
522043	372328	Soldier
522043	372484	Alex Burke
522043	383577	Himself/Host (1955-1956)
522043	390043	Ray Whitehead
522043	394514	Himself/Host (1955-1956)
522043	402245	Simon Gayforth (segment Shado
522043	403640	Tony Fleming (1964-1965)
522043	410597	Host
522044	346241	Hyde
522045	30750	A-Bill
522045	130275	Monk
522046	39274	Fourth Cabby
522046	194232	Advocate
522047	269892	Bullocky
522048	26844	Starlighter
522048	26846	Starlighter
522049	265750	
522050	255258	
522051	359185	Himself (president, Univ. of 
522052	239712	Paul
522053	301930	Rider
522054	1048	Tailor
522055	1710	Dr. Wendel Hughes
522055	7099	General Foods
522055	40334	Bum
522055	41926	Captain Jack
522055	48461	Bull Thomas, Elvis' Roommate
522055	61572	Neighbor
522055	61767	Drifter
522055	73606	Sheriff Bowman
522055	95365	Uncle Gus
522055	114296	Director of the CIA
522055	123435	Obsequious Executive
522055	135888	Howard's Dad
522055	150863	Don Willis
522055	152608	Sergeant
522055	175479	Tate's Grandfather
522055	185164	Preacher
522055	199273	County Judge
522055	205848	
522055	232242	Dad
522055	242938	Medical Examiner
522055	258027	John
522055	263755	Sam
522055	273974	The Man
522055	283590	Old Man
522055	289109	Old James Ryan
522055	292232	
522055	296020	Senator Gyrgich
522055	326154	
522055	337990	Henry Santorini
522055	340857	Sam Brown
522055	344182	Tour Guide Bob
522055	360150	James Westbourne
522055	366993	Cindy's Father
522055	394780	President Eisenhower
522055	397649	Montgomery
522056	294353	The Stror 'at Coot
522057	97019	Fu
522057	236087	Assistant Chef
522058	264837	
522059	103262	Himself
522060	187986	Man in Casino
522060	218363	Coach Otto Parts
522061	226568	
522062	77901	
522062	114529	
522062	184603	
522062	336786	
522063	20336	Student
522063	124115	Thug
522064	372570	Poe Posse
522065	372570	Poe Posse
522066	126282	Hawkins' deputy
522067	187167	The Dirtbags
522067	366652	Ali Babba Sezme
522068	186	Skipper/Bright Eyes
522068	80770	
522068	109860	Banker
522068	192717	George Phillips
522068	233615	Judge Prescott
522068	258955	Granville Walters
522068	367558	Smooth George Mabray
522069	11529	Grandfather
522069	34087	Second Policeman
522070	191898	Beggar
522071	6791	Ship's captain
522071	215862	President Roosevelt
522071	273083	
522071	330797	Franklin D. Roosevelt
522071	362565	
522071	370555	The President
522073	213231	Amarillo Desk Sergeant
522074	2022	Himself
522074	2086	
522074	31654	
522074	128350	Hunter
522074	187191	Actor on TV
522074	379716	Adam "J.R." Chandler, Jr. #7 
522074	382419	Eric "Rick" Forrester, Jr. (#
522074	389858	Lucas Lorenzo "Lucky" Spencer
522075	206687	Jason Clark
522076	21542	Sir Rowland De Bois
522076	31997	Beau Brummel
522076	32257	
522076	60743	
522076	79574	
522076	82279	
522076	97076	
522076	119829	Colonel Birnelli
522076	131789	
522076	132334	
522076	145560	
522076	158205	
522076	162441	
522076	168202	Dickie Dewes
522076	183666	
522076	185504	
522076	188029	
522076	191025	
522076	192022	Gavin Dishart, the Little Min
522076	193479	Dick Fenway
522076	195623	
522076	206372	Paul Morley, a Morphine Addic
522076	207716	Second in Command of the John
522076	213307	
522076	216768	Lorenzo, the Court Physician
522076	216811	Werner's Son, the Model for S
522076	220525	
522076	221023	
522076	221240	The Thief
522076	239640	Colonel Weston
522076	240958	Gerald Trask
522076	256474	A Married Man Who Smokes
522076	258716	Baptiste, a Hunchback
522076	260436	Jack, Betty's Sweetheart
522076	265407	Clara's Sweetheart
522076	267871	
522076	277719	
522076	309931	
522076	323508	
522076	324211	
522076	339689	
522076	342352	Sir Andrew Aguecheek
522076	348324	
522076	354920	
522076	355665	Undetermined Role
522076	359117	Tom
522076	359755	
522076	362737	The Son
522076	362939	
522076	366677	
522077	41396	Zeke
522077	251514	Cop 2
522077	274435	Det. Maxie Malleson
522078	37511	Executive
522079	231549	Himself
522080	129379	Himself
522080	144936	Louis' trombonist
522080	226298	Himself (trombone)
522081	72689	Perkins/Custus
522082	177042	Doctor Righteous
522082	317604	Himself (Styx: guitars, vocal
522083	321155	Monkey man
522083	323037	Darren Drummond
522083	389620	Nick
522083	390948	Tusker Gray
522083	394169	Various Roles
522084	305956	Tama's Friend
522085	321182	Kracker Band: Acoustic Guitar
522086	125909	Randall
522086	224327	Ben Jefferson
522086	324973	Russ Johnson
522086	330392	Lt. Eddie Dykes
522086	361680	Cadet verifying Amnesty Custo
522087	12776	Posse Member
522087	212027	Baby Lords
522087	372175	Dancer
522088	81640	Himself (Megadeth guitarist)
522088	257182	Kid #1
522088	274319	Friend #1 (segment "Tears")
522089	372663	Anesthetist
522090	164611	Himself (Hammond organ, vocal
522091	349823	Detective #1
522092	274312	Maitre d'
522092	365381	Man in Oriental Suite
522093	160020	First Guard
522094	123435	Officer Walker
522095	46067	Mr. Gregg
522095	73705	Reilly
522095	81446	Judge
522095	84131	Jack Bartlett
522095	106670	Monk
522095	119872	Detective
522095	149495	Immigration Officer
522095	166677	
522095	253093	Bert Croft
522095	254889	Des
522095	272536	Court Messenger
522095	281174	1st Watch
522095	339927	Count
522095	352702	Alford
522095	365151	Policeman
522095	383361	
522095	385299	Prof. Angrave
522095	385901	Neville Crane
522095	387247	Officer Steve Stone (1988-198
522095	404404	Duke of Wellington
522095	408121	Athos
522096	129619	Gabe
522097	129619	Gabe
522098	53218	
522098	162578	The Boy
522099	35770	Himself (New Jack)
522099	97323	New Jack
522099	97330	New Jack
522099	97331	New Jack
522099	97334	New Jack
522099	97338	New Jack
522099	139242	New Jack
522099	387279	New Jack
522099	387705	New Jack
522099	388101	New Jack (1997-2000)
522099	399845	New Jack (2003)
522100	6200	Marvin Kleeburg
522100	113732	Christopher Meier
522100	297625	Usher
522100	330221	Spider
522100	366959	UPI Man
522101	14402	Glen Shaydale
522101	113914	
522102	309718	Student
522103	119471	Harry Barnhart
522104	209417	Himself
522105	115500	
522105	183670	Singer at dance
522105	244480	
522105	283412	
522105	378919	Himself - Presenter
522105	392169	Himself (1952)
522106	9972	
522106	10687	
522106	16067	Mike
522106	25149	
522106	30618	
522106	33747	
522106	47420	Mike
522106	53218	
522106	56273	Mike
522106	67161	
522106	77845	Pat
522106	78042	
522106	89158	
522106	115420	
522106	115647	
522106	130643	
522106	131918	
522106	142698	
522106	147444	Mike
522106	150175	Horse's Groom
522106	153194	Mike
522106	168916	
522106	183865	
522106	228641	Bill Simmons
522106	280362	
522106	293131	
522106	305635	
522106	310753	
522106	315556	Switchboard Operator
522106	363701	
522106	364524	Mike
522106	367794	Mike
522107	74247	Masochist
522108	50794	
522110	26831	Executive #2
522110	39600	Dr. Hunter
522110	59470	Reverend. J.D. Liddell
522110	147737	Mike
522110	171349	
522110	190166	Matthias, Son of Deuteronomy 
522110	218599	Dead Body/Historian
522110	218819	Starkey's Man
522110	224401	Shop assistant
522110	278458	Guard
522110	333193	Reginald
522110	364782	Fishmonger
522110	379219	Alexander Carus
522110	385823	Ramsay MacDonald
522110	407414	Ian McPherson
522111	54836	Service Station Attendant/Far
522111	372758	Host
522111	372759	Himself
522111	372760	Himself
522111	411830	Host (1971-1988)
522112	116950	Himself
522112	310193	Himself
522113	101692	Jimmy
522113	168471	Himself (Pianist)
522114	185662	Cowboy #2
522114	234799	Pvt. Waller
522115	3272	Ruthless Interrogator of The 
522115	64209	Paul
522115	123360	Himself
522115	155063	Max The Promotor
522115	185541	John Paul Young
522115	211959	Max The Promotor
522115	272728	Hans: The Exterminator
522115	284907	Mr. Hickey
522115	287131	Mr. Peabody
522115	335859	The Car Salesman
522115	401875	Himself (2004)
522116	16081	
522116	303095	Child
522117	397044	Himself/panelist (1952)
522118	17992	Fat Guard
522118	26831	Executive #2
522118	42188	Pete
522118	67618	Man in pajamas
522118	107910	Meatloaf
522118	115432	Tech #1
522118	118938	Dr. Hoover
522118	137861	Prestopopnick
522118	147737	Mike
522118	150792	Would-be Writer
522118	185568	Norm
522118	197070	TV Director
522118	218472	Big Boomer
522118	279323	Tinker, Wesley Thug
522118	283506	Engineer
522118	291430	Brock
522118	309489	Banker
522118	386512	Dr. Albertson (1988-1989)
522118	404282	Deliveryman
522119	115300	Cop #2
522119	127129	Funeral Attendee
522119	290971	Onlooker at Contest
522119	292303	Ruthless Assassin
522119	335592	Guy Running on Beach
522120	264234	Librarian
522120	280304	
522120	318188	Waiter
522120	372191	Hugh
522121	16710	Eddie
522121	18310	Stinky
522121	40169	Young Gas Attendant
522121	58487	Poet Reader
522121	113990	Sherman
522121	136277	Bachelor Party Guy
522121	140967	Agent Guy
522121	340058	Gas Attendant
522122	24790	David at 10 Years
522122	294798	Kid
522123	289934	Brandon
522124	299733	Himself
522125	234172	
522126	396235	Trevor Bates
522127	147784	
522128	41875	Young Eddie
522128	330553	Young Man
522129	352441	White Teenager
522130	323134	Shou
522130	384651	Himself (Charlie Squad)
522132	61888	Ranger at Dam
522132	114313	Wolf
522132	115195	Puffy
522133	318867	Drunk Man
522134	284586	William
522135	343031	Mugger #2
522136	154869	Restaurant patron
522137	103244	Hobo #2
522138	207710	Boli Collins
522139	230385	Greymouth policeman
522140	13852	Freedom fighter
522141	5358	Himself
522141	56583	Himself
522141	192219	Lee Diamond
522141	241830	Varon Thomas
522141	285035	Matthew Paige
522142	152590	Christian
522143	10883	Winter
522143	22878	Mr. Tang
522143	26281	Katsu
522143	27205	Ron the Repairman
522143	35519	Don Ho
522143	39829	Karaoke Singer
522143	45781	Mr. Watanabe
522143	58632	Dr. Honowa
522143	58666	Lt. Col. Ellison Onizuka
522143	80400	Young
522143	90851	Additional Voices
522143	92453	Bee
522143	94613	Chinese Tailor
522143	95877	Mr. Woo
522143	104973	Chief Tuka
522143	106671	Mr. Long's Son
522143	108250	Private Investigator
522143	110242	Detective William Wu
522143	113994	Gerald Chong
522143	118763	Chinese Doctor
522143	122664	Storm Shadow
522143	128816	Akira
522143	130768	Benny Ying
522143	143573	Ralph, thye limo driver
522143	148952	Eddie Wong
522143	159169	Marshall Kai, Ch'in Shi-Huang
522143	164364	Dr. Lin
522143	185266	Tung Sanh
522143	186255	Paul Kim
522143	187193	Committee Clerk
522143	194727	Atty. Victor Eng
522143	206093	Kuzo
522143	223979	Daryl Tanaka
522143	235052	Governor Ho
522143	257765	Mr. Ksi
522143	259126	Pol Pot
522143	264581	Kim Osaka
522143	278647	Bo
522143	297352	Ming
522143	319903	Baba Ram
522143	327811	
522143	339049	Bob Kanuka
522143	340767	Big Chong, Jimmy Fu, Addition
522143	365341	Japanese Bowler
522143	383849	Additional Voices
522143	384193	Super Ninja
522143	389628	Storm Shadow
522143	391502	Mr. Kaz
522143	393424	Additional voices
522143	393698	Additional Voices
522143	394246	Dr. Michael Kwan
522144	7006	Soldier
522144	136275	Mr. Bob
522144	329058	Sentry
522145	30772	Throbbin
522145	72321	
522146	278466	Surfer Gang
522147	53054	Rafi
522149	35534	
522149	108402	Pip McCarthy
522149	281920	Detective Young
522150	158773	President Synghman Rhee
522151	45548	Hotel Clerk
522151	68767	Det. Rome
522151	69773	Musician in Blues Connection
522151	112601	Guard
522151	158272	Jered Owens
522151	195540	Plainclothes Cop #3
522151	222647	Sharecropper
522151	293843	Hosea Williams
522151	314103	Gus
522151	363225	Guard
522152	168955	Himself
522153	150067	Warren Porter
522153	334948	Jack Martin
522153	361176	Dr. Ronnie Jenks
522154	95722	Elsie Butler
522154	129818	Laura Boyd
522154	260253	Sadie Kelly
522155	41759	Clerk
522156	37387	Dave London
522157	280028	
522157	312585	Musician
522157	335511	Giles, a gardener's boy
522157	336715	
522157	389259	Various Characters (episode o
522157	409647	
522158	120106	Chris Comer
522158	167133	Jett Jackson
522158	168752	Sam Sterling
522158	274476	Charles Becnel
522158	314497	Himself
522158	388080	Himself
522158	388372	Jett Jackson/Silverstone
522159	400046	Presenter
522160	108672	
522160	282518	
522161	153141	Guard
522162	73484	
522163	133540	Himself
522163	165327	Himself - on tenor sax
522163	183430	Himself
522163	185452	Himself
522163	259322	
522164	126013	Himself
522164	368314	TV Weatherman
522164	390317	Weather Anchor (1996-2000)
522165	53208	Muffy
522166	343907	Reporter #3
522167	340788	Jim Pittman
522167	362426	Man in Tub
522168	392422	Himself
522168	399987	Himself
522169	80024	HImself
522169	151452	Himself
522169	201569	Himself
522169	392482	Brookside Producer
522170	5318	Himself (rhythm guitarist)
522170	5319	Himself (rhythm guitarist)
522170	5320	Himself (rhythm guitarist)
522170	5321	Himself
522170	117273	Himself (AC/DC)
522170	264785	AC/DC Rhythm Guitarist
522170	385299	Phillip Winter
522171	35249	Kukido
522171	41411	Bandit #1
522171	72490	Ling's Hitman
522171	181836	Gang Fighter with Hole in Sto
522171	182998	Lead Kabuki/Lead Ninja
522171	291052	Asian Training Fighter
522171	304717	Barroom Brawler
522171	321731	Fighter
522172	283947	Ray's friend
522173	17937	Keith
522174	348095	Himself
522175	398446	Himself
522176	78947	Hunter
522177	157817	Middle Chris
522177	280489	Choir
522178	41820	
522178	195319	Wade
522178	264424	Jackson
522178	326246	Mr. Dubois
522179	355349	Newsreader/himself
522180	2630	Himself/presenter
522180	69074	Young M.C.
522180	247882	Recruit
522180	257689	Himself
522181	233560	Himself
522182	63312	Jeremy Fitzmittens
522183	36022	Karaoke man
522183	49334	
522183	350542	Alex
522183	394950	Himself
522184	270135	Basketball Player
522185	310863	Mark Spencer
522186	13432	Lifescenes Magazine - Jim Sco
522186	26381	Lone Reporter
522186	323717	Blue
522186	379071	Himself (1979-1981)
522186	390478	Host
522186	390560	Himself
522186	394399	Host
522187	1747	Himself (AL Infielder - Texas
522188	68683	Security Guard
522189	119315	Terry
522190	157576	Dinner Patron
522191	282414	Kyle Stezaker
522192	2555	Another Cop
522192	321266	Art Dept. Coordinator #3
522193	47536	Himself
522194	74319	Himself
522194	219393	Himself
522194	247137	Nick Naylor
522195	363827	One Ear
522196	231964	Nobleman
522197	77587	Andre
522198	2273	Himself - Writing Award Winne
522198	9799	Hassan
522198	43374	Slim Jenkins
522198	44259	Happy
522198	54576	Pierre DuCloux
522198	73246	Gat Morgan
522198	80547	Dr. David Bentley
522198	80787	Dave Allister
522198	82083	Prison guard
522198	85068	Curly Evans
522198	123128	Sgt. Martine
522198	124694	Gary Lester
522198	151084	Leon Averill
522198	162390	Henri Contrecourt
522198	183440	Tony DeAngelo
522198	276590	Sgt. Novak
522198	292285	Henry Bushman
522198	298078	Rafferty
522198	312017	Sgt. Poole
522198	321726	Bruce Glowan
522198	328547	Johnny Crale
522198	346866	Ralph Baxter
522199	44	Westy(motorcycle shop
522199	2921	Himself - Performer: 'Philade
522199	13751	Himself (performer)
522199	34872	Himself
522199	42330	Himself
522199	46681	Himself
522199	57637	Himself
522199	58024	Himself
522199	68770	Himself
522199	73731	Himself
522199	89707	Himself
522199	109142	Himself
522199	109143	Himself
522199	109144	Himself
522199	109145	Himself
522199	119553	Neil Young
522199	134119	Wayne Newton
522199	146640	Himself
522199	169446	Himself
522199	185751	Himself
522199	192508	Himself (at JFK Stadium)
522199	195455	Rick
522199	199499	Truck driver
522199	229535	
522199	229536	Lionel Switch
522199	229537	Himself-Vocals, Guitars, Pian
522199	274285	Himself/Vocals, guitar, piano
522199	280702	Himself
522199	283842	Himself
522199	326482	Himself
522199	343107	Himself
522199	361266	Neil Young
522199	365843	Himself
522199	370866	Himself
522199	389997	Himself/Interviewee
522199	410035	Himself
522200	162853	Boar Man
522201	27181	High School Gym Band
522202	6907	Legs Luigi
522202	12093	Bateman
522202	75881	Lord
522202	79847	Passport Officer
522202	96642	Trevor
522202	163228	Raymond
522202	366118	Dod
522202	394340	
522202	408477	John
522203	98656	Deputy
522203	126277	Purlington
522203	319283	Cop
522203	349689	Guard
522204	335878	
522205	148222	Ray
522207	32531	Party Guest
522208	11318	
522208	14620	
522208	19277	
522208	22024	
522208	22028	Johnny's 'Daddy'
522208	22966	
522208	22981	
522208	27148	
522208	31174	Thunder-Clap Callahan
522208	31357	Sid Stanton
522208	32641	
522208	32685	
522208	37161	
522208	37209	
522208	37966	
522208	39403	
522208	43742	Highland Quartette
522208	45682	Officer
522208	47076	The detective
522208	47982	
522208	49460	
522208	49490	Bouncer
522208	54529	
522208	56789	Strongarm
522208	72024	Indian Chief
522208	88499	The Tipton Slasher
522208	88654	
522208	90149	
522208	90161	Reuben Pettigill
522208	90390	Tough guy
522208	95084	
522208	96905	Tiger Lip Tompkins, The Bully
522208	105329	Auction Shill who is knocked 
522208	110553	Sailor
522208	114057	Ned Jarvish
522208	114730	Bartender
522208	117014	The Roughneck
522208	119967	
522208	120497	
522208	124337	
522208	131387	Second officer
522208	133127	Sheriff of Dabney County
522208	135809	Jack Goodshot
522208	137772	Sergeant
522208	139547	Cop from 'Safety Last'
522208	141136	
522208	146210	The Prince's tutor
522208	149390	
522208	153283	The Health Inspector
522208	154154	The Agitation
522208	163410	Sheriff
522208	169618	
522208	169830	Emil, Jubilo's father
522208	171258	Policeman
522208	176737	Car owner
522208	184387	Hanzup Harry
522208	190512	
522208	194291	
522208	195859	Janitor
522208	218772	A burglar
522208	220528	Traffic cop
522208	230990	Bill
522208	233868	
522208	234854	A millworker
522208	238620	
522208	239836	
522208	241417	
522208	251210	
522208	278488	An Actor
522208	285353	The Law
522208	285678	The Rowdy Element
522208	286695	
522208	297701	Tom
522208	298607	Hotel Manager
522208	300026	The ex-husband
522208	309911	
522208	311824	
522208	311969	
522208	318347	Brittle's brother-in-law
522208	327721	
522208	329937	
522208	330300	Monk
522208	332118	
522208	333717	Officer
522208	345712	
522208	349633	
522208	358271	
522208	361149	Officer Patrick Clancy SFPD
522208	362364	Omaha Oscar
522208	364806	
522208	370900	
522208	374272	
522209	270971	Musician #3
522210	68867	Rathouser #7
522210	78107	Kareem
522210	132739	Kolvey
522210	314225	Skin No. 2
522210	364558	Jimmy
522211	286546	Musician
522212	46529	Bicycle Boy
522212	91936	Steve Moss
522212	177015	Lucas Finn
522212	305391	Steve
522212	387533	Joseph Tate (1999-)
522213	54615	Captain Bush
522214	105176	Himself
522215	41155	Lieutenant Piantadosi
522215	54669	Jason, a henchman
522215	65785	Tom Sawyer
522215	67585	Lawrence Melville
522215	90325	Bill Elkins
522215	147767	Waiter
522215	185224	'Mule' Mulhall
522215	208971	
522215	222646	Paul Jackson
522215	320068	Otis
522215	342533	Cartwright
522215	349999	Dr. John Quincy
522215	400569	Jemal David
522215	400714	
522216	54485	Lt. Radot
522216	71923	Drill Team Commander
522216	214037	Reporter #1
522216	311004	Captain le Maitre
522217	16657	Calendar Girl/Mad Doctor
522218	18022	Dougal
522218	37136	Smudge
522218	59114	Disco Deejay
522218	60003	Brady Logan
522218	68786	Frank
522218	74215	Sgt. Cocks
522218	125973	Young Geordie
522218	128303	Smiley
522218	144895	First Shooter
522218	171349	Derek Crawford
522218	194583	Neighbour
522218	199207	
522218	199388	Naval Driver
522218	205283	
522218	205417	Doctor 1
522218	213603	Himself (Vocals, Keyboards on
522218	219506	
522218	224085	Doctor Gebbie
522218	233614	First Officer William Murdoch
522218	238236	Victor
522218	274850	Dr. Brock
522218	284583	1st Officer William Murdoch
522218	317835	Leading Seaman Quentin
522218	385307	Hamish McHoan
522218	388899	Lt. Sharpe
522218	395091	Customs Man
522218	395180	Curnow
522218	395187	Mr. Bannerman
522218	398691	DCI Owen Simmons
522218	399545	Ken Miller
522218	406891	Phil Chambers
522218	406954	Will Guthrie
522218	407467	Andrew Campbell
522219	119411	Himself
522219	192508	Himself
522219	229681	Himself
522221	85630	Man on park bench
522222	213603	Himself (vocals, keyboards on
522223	81196	GI on train
522223	395091	Photographer #2
522224	408378	Mark Mitchell
522225	118623	Asian businessman #2
522226	229260	Red Kelly
522227	241774	Man from One Thousand Years i
522228	368721	Luther
522229	5025	Dealer/Roger
522229	9795	Guard
522229	61444	Jumper
522229	88195	FTP Skinhead
522229	105100	Man in Cinema
522229	148987	Petrol Station Man
522229	365138	Robbie
522231	398594	Himself
522232	27364	
522233	41235	Mango
522233	41953	Wayne Mulligan
522233	44253	Henchman
522233	59377	Gary
522233	66795	Jake
522233	70470	Callister
522233	93156	Hansen
522233	114593	Horace Wiggins
522233	117100	Billy Ralph
522233	125606	Tyranian Teacher #2
522233	130972	Tex Brown
522233	134294	Elmer Whitaker
522233	152942	Brinkley
522233	158902	Joel
522233	245096	Trucker Ray
522233	276740	Jethro Bodine
522233	313432	Mark Grear, Kumas
522233	382010	Bigfoot
522234	38986	Engineer
522235	6144	Roddy Black
522235	19173	Cmdr. Wilson
522235	32217	'Miss Globe' MC
522235	80759	Michael
522235	81202	Chris Boswell
522235	93956	Photographer
522235	115250	Insp. Walsh
522235	127996	Musician
522235	130953	Sierra
522235	154931	
522235	175803	Gen. Povey
522235	213124	Miller
522235	295611	Guy Parkinson
522235	301624	Celloni
522235	330639	Guide
522235	331625	
522235	351590	Luigi
522235	399383	Mr. Snevellicci
522235	401744	Talbot
522236	73887	Travis
522236	192100	Fan
522236	241322	Student
522236	272602	High Roller
522236	362081	Guy in Cafe
522237	100741	
522238	35391	Santine
522239	4680	Sam
522240	44108	Mr. Chiu
522240	58481	Fung
522240	71138	Henry Lee
522240	75804	Bobby Lin
522240	90905	Oakley
522240	92642	Xiao
522240	92847	Bruce's Father
522240	120595	Himself
522240	144892	Kim Su Lee
522240	159175	Kao Kan
522240	161725	The Lystrian
522240	175839	Lieutenant Kwong
522240	178114	Mister Big
522240	185241	Interrogator
522240	193966	Bing Lai
522240	194797	Confucius
522240	232404	
522240	233307	Mao Tse-Tung
522240	256141	Alan Wong
522240	295406	General Chang Jing Wu
522240	301392	Father Mercy
522240	303860	Jimmy
522240	317975	Waiter
522240	325543	Chow
522240	331188	Mr. Kim
522240	338173	Mr. Kwai
522240	389858	Jacques (1990)
522240	399595	Tsu-Yan
522240	403719	Tin Tin
522241	69961	Reporter
522241	114145	Inside Copy Anchor
522241	138463	News Reporter
522241	153204	Policeman
522242	1411	Ralph's Cellmate
522242	1508	
522242	29287	Luke Mintore
522242	41810	
522242	60764	Vintner
522242	65542	Himself - Contestant
522242	66390	Terry
522242	106540	Prince Malko Linger
522242	109714	Deputy Derwood
522242	113369	Sergeant Deacon
522242	116103	Doctor
522242	144889	Mike
522242	151658	
522242	152936	Jesse
522242	155263	Debs
522242	159172	Fedora
522242	159500	Clay
522242	160020	Detective Danny Scalise LBPD
522242	188333	Biggie's Crony #3
522242	231829	Kyle Toby
522242	247415	
522242	275371	Pvt. Golden
522242	285608	Sgt. Mark Stryker
522242	310624	
522242	321444	Johnny
522242	407916	Mr. Hannibal (1982)
522243	231525	Jeff Freund
522243	247415	
522244	261038	Receptionist
522245	5387	Tom Davidson
522245	10894	Hanson/The Priest
522246	79691	Russell
522246	109993	Claffey
522247	310863	Luke Spencer
522248	162529	Mario
522248	384085	Javid
522249	75771	Viral #1
522250	35282	Casting agent
522251	66654	Himself
522252	3027	Himself (Memorial Tribute)
522252	6800	Pastor Andrew Sheldon
522252	11334	Judge Charles Raleigh
522252	16042	Vernon Walsh
522252	28934	Tony Ferrera
522252	39329	Jimmy Bradshaw
522252	46714	Neil McGill
522252	46731	Jack Bristow
522252	46737	Steve Adams
522252	46775	Hugh McKenzie
522252	46779	Rudolph 'Rudi' Pal
522252	52062	Homer Smith, aka Juniper Jone
522252	52696	Preston 'Pat' Patton
522252	53218	
522252	53702	Himself (bit)
522252	54028	Cuffy Williams
522252	55519	Will Connelly
522252	64968	Himself
522252	65367	David Naughton
522252	65372	David Naughton
522252	69806	Joe Woldarski
522252	73824	Capt. Finlay
522252	78119	Henry 'Hank' Medhill
522252	81235	Larry Kelly
522252	92524	Douglas 'Doug' Lamont
522252	100085	Grand Duke Peter
522252	100668	Oliver Bradford
522252	109846	Jim Anderson
522252	115838	Anton
522252	131774	Doctor James Merrill
522252	135580	Marco Ricca, a.k.a. John Smit
522252	136816	Harry Moulton Pulham
522252	137514	Dan Craig
522252	142348	Lieut. (JG) Ed 'Brick' Walter
522252	142363	Graham (pilot reporting missi
522252	147716	Himself
522252	147743	Himself
522252	147815	Himself
522252	147822	Himself
522252	149126	Brooks Mason/George Smith
522252	150996	Captain Fitzroy
522252	154487	Gene Anders
522252	163576	Peter Carlton
522252	168285	Joe Smith
522252	169167	Pierre Brassard
522252	169387	John Davis
522252	176335	Ricardo
522252	183581	Edward 'Eddie' Crane
522252	183742	Larry Scott
522252	186556	William 'Bill' Drexel
522252	192412	Grandpa James Lawrence
522252	194118	Charley Phelps
522252	201149	Charles 'Slim' Martin
522252	205315	Dr. Marcus Welby
522252	205316	Dr. Marcus Welby
522252	206414	Randolph 'Randy' Haven
522252	206415	Tom Wakefield
522252	210770	Lt. Geoffrey Aiken
522252	211394	Roswell Gilbert
522252	215002	Michael 'Mike' Morgan
522252	219557	Fritz Marberg
522252	223811	Judge Charles Raleigh
522252	228811	Roger 'Rog' Ash
522252	230734	Ralph Thomas
522252	248450	Fritz Hagedorn
522252	249026	Patrick 'Pat' Wells
522252	274299	Jeff
522252	275316	Nick Buckley
522252	275438	Tony Milburn
522252	276704	Dr. Marcus Welby
522252	277644	Bill Harrison
522252	278280	Bob 'Bobby' Preble
522252	279681	Himself
522252	288746	Jim Fowler
522252	291351	Himself
522252	291993	Alex Hazen
522252	292262	Jeff Cohalan
522252	292297	Robert Marvin
522252	292552	Stanley Moorehead
522252	299064	David Linden
522252	302365	Dr. Lawrence Claudet
522252	303379	Harry King
522252	304959	Bob Stuart
522252	311405	John Stafford, Assistant Cons
522252	311736	Myles Vanders
522252	315791	Tommy Randall
522252	316108	Gordon Evans as a Young Man
522252	321290	Sam MacKeever
522252	321730	Henry 'Hank' Sherman
522252	329421	Philip Bosinney
522252	329563	Himself
522252	329565	Appearance
522252	330240	Larry Ballentine
522252	331087	Lt. Hurley 'Hank' Travers
522252	331324	Gottfried Lenz
522252	331691	Joe Hatcher
522252	334590	Lt. Claude Hope
522252	337178	Andre Vallaire
522252	339394	Jimmy Blake
522283	107165	Member of the Press
522252	341528	Alexander 'Alec' Brennan
522252	345627	Richard 'Dick' Ogden
522252	349633	Tony Spear
522252	350432	Sen. Earl Gannon
522252	361677	Little Mike Stone
522252	361790	Richard Blake
522252	361927	Kip Tarleton
522252	364453	Jack Forrester
522252	388495	James 'Jim' Anderson, Sr.
522252	395756	Mr. Laurence (1979)
522252	396824	Dr. Marcus Welby
522252	411217	Cameron Garrett Brooks
522253	54490	Bob
522253	368025	Himself
522254	398050	9th Eliminated (2002)
522255	232857	Himself
522255	315664	Himself/Guitar Player (Part o
522256	80644	Center Cult Member
522256	223330	Gary Dunn/Xedor
522256	320098	Bob
522256	321867	The Doctor
522257	201823	Himself
522258	100960	
522258	163309	Travers
522259	87212	
522260	44428	James
522260	55157	Archivist
522260	154935	Owens
522260	378976	Commissioner
522261	45867	Minister on bell tower
522262	117468	Horkheimer Subject
522263	310863	John Spencer
522264	56773	Pianist
522265	1433	Himself
522266	342871	Cricketer
522267	10520	Sultan
522267	16128	Detective William Henry Blore
522267	17629	Roland Wimbleton
522267	19444	George
522267	38804	Sigurd 'Erik' Arnesson, Dilla
522267	40605	Holmes the Burglar
522267	43461	George Chester-Barrett
522267	52431	Frank Haines
522267	90257	Herbert Drake
522267	95028	Roger Forbes
522267	114851	Charles Giraud
522267	117647	Henry Barringer
522267	129088	Edward 'Tubbs' Barron
522267	133699	C.J. Dabney
522267	134481	Houdini Hart
522267	135198	Bernhardt the Critic
522267	136508	Alan Brooks
522267	140818	Bill Carter
522267	143358	Charteris
522267	143618	Professor Daniels
522267	143623	Nicki, aka Prince Nickolas
522267	145885	Priam Farrel
522267	162208	Mr. Smith
522267	177542	Cmdr. Good
522267	183675	Ronald Dean
522267	183859	Lord Reginald Withers
522267	188326	Edmund Pohlwhistle
522267	196453	Jeffrey
522267	199272	Jimmy Wade
522267	203484	George McWhirter Fotheringay
522267	230730	Count Igor Strogoff
522267	232040	Barry Trimble
522267	234090	Mr. Smith
522267	241424	Professor Olivier
522267	241703	Maillot
522267	246480	Dr. Heath
522267	253467	Uriah Heep
522267	254654	Uncle Willie
522267	258020	Andrew Poole
522267	264567	Amos Bullerton
522267	265264	Doc, a Tramp
522267	283093	Earl of Burnstead, aka George
522267	285623	Anthony Gulliver
522267	298570	Dr. Watson
522267	312323	Sir John 'Johnny' Applegate
522267	312543	Matthew
522267	313118	Ira Cromwell
522267	313295	Thomas Brooke
522267	316681	Linkhorne 'Link' Gibson
522267	323883	Edgar
522267	330107	Marsh
522267	330170	Hume
522267	330810	Gerald Grey
522267	335952	CosmoTopper
522267	335955	Cosmo Topper
522267	335956	Cosmo Topper
522267	343249	O. O. Miller
522267	347028	William 'Bunny' Jeffers
522267	347060	Lord Montague
522267	358779	
522267	360719	Marquis of Buckminster
522267	366613	Duke Merrill
522267	367448	King Alexander
522267	371331	Titus 'Jay' Jaywood
522267	372179	Ralph Tutwiler
522267	372589	Col. Anthony 'Sahib' Carleton
522268	137223	Old Fashioned Melody
522268	316067	Nervous POV
522268	328277	Pool-cue biker
522268	346123	Himself
522269	370643	Gang Member #3
522270	314252	Drew Marmillion
522271	315925	Elmsdale Orderly 1
522272	387032	Himself
522273	107842	Prison Guard
522273	342384	Billings
522273	364376	Sergeant Bo Griles
522273	366974	T-Bone (suspect in bar)
522274	271339	'Trapped' convict
522275	9879	Skinner
522275	73828	Billy
522275	113732	William Mayberry
522275	187226	Man in pickup
522275	191842	Ed de Busk
522275	332148	Jeremiah Wakefield
522276	87333	Josh
522276	393037	British soldier
522277	92118	
522278	45587	John Van Slieder
522278	48699	Usher
522278	119484	Andrew
522278	340225	Pantless Guy
522279	78013	Ann's Assistant
522279	79827	Kenneth Rutledge
522279	228442	Blond Man
522280	346314	Pool Club Man
522281	138230	Barber
522282	119608	Athlete
522284	370866	Himself (segment "Neil's dad"
522285	388916	Mouse
522286	337131	A Townie
522287	47993	Tyrel Palmer
522288	135331	
522289	116005	Narrator
522290	366645	Tyrone
522291	355091	Italian Girl
522292	325242	Sergeant Narducci
522293	80996	
522293	333219	
522294	66986	Al
522294	96753	Sam the Bass Player
522294	193176	Zip
522294	195375	Cameo appearance
522294	196558	Teddy
522294	305719	Jr. Tedo
522294	342227	Host
522294	369178	Jimmy Snipe
522294	372515	Hotel manager
522294	379321	Wally (1957-1966)
522295	218960	
522296	256141	Doorman
522297	127247	Head Chinese Thug
522298	2000	Featured Infected
522298	135727	Yahoo
522299	2789	
522299	35401	Martin
522299	46391	Peter Stratas
522299	66022	Charlie
522299	80660	Steven Lessey
522299	81277	Lieutenant Andrece
522299	90297	
522299	105704	George Moscone
522299	135783	
522299	185222	Richard Meredith
522299	190332	Larry
522299	191778	Lunsford
522299	207147	Travis Comanche
522299	235401	
522299	250861	Capt. Chester B. Hansen
522299	253336	
522299	255233	
522299	261049	Congressman
522299	270891	Maj. Reintz
522299	275630	Det. Nick Sousa
522299	291037	Mason Wainwright
522299	304242	Senator George Milford
522299	310059	Gilbert
522299	311975	Neil Berryman
522299	316116	Sen. Danforth
522299	362834	Peter Fisher
522299	364344	Interior decorator
522299	383842	The Chairman
522299	389087	Gus Rafferty
522299	393810	Ben Caldwell
522299	404625	Nick King
522299	406430	
522300	347720	Himself (Pearl Harbor survivo
522301	256579	Himself - Orchestra Leader
522302	96747	Wilson
522302	235607	
522302	302793	Brother Niner
522302	343336	Himself/Narrator
522303	141541	Himself
522304	117241	New Zealander
522305	120241	Paul Falcone
522305	164996	Splint
522305	258098	Rex
522305	344514	Jimmy
522306	268807	Wai's Father
522307	93630	Dane
522307	259408	Dick
522308	2845	Prisoner
522308	13454	
522308	18615	Photographer
522308	27149	Checker
522308	37330	Joe Kelly
522308	37791	
522308	37826	
522308	37827	
522308	37833	
522308	37844	
522308	37849	
522308	37851	
522308	37853	
522308	37869	
522308	38934	
522308	40611	Gang Leader
522308	42554	
522308	45236	Himself
522308	46733	
522308	47365	Tony, the newsdealer
522308	52911	Barbary Bennie
522308	58814	Racetrack Tout
522308	60246	Push Miller
522308	71630	Ollie
522308	84214	Tick
522308	90255	Tout at Owen's olace
522308	93794	
522308	103351	McGee's henchman
522308	104387	
522308	105183	Man Sleeping on Bench
522308	116532	Bull
522308	118223	Crook
522308	118224	Crook
522308	120325	Scrap Blinn
522308	125901	Extra
522308	127519	Thug
522308	130622	Gigolo Eddie
522308	133797	
522308	137624	Frank the Jockey
522308	143913	Dope Peddler
522308	145004	Stump Rogers
522308	147804	Himself
522308	154063	Man on the Street
522308	161542	Extra
522308	163437	Everett Ricks, Mr. Bissonette
522308	168593	Chauffeur
522308	187690	First Mug
522308	190866	Man in Sam's Tent
522308	191627	Ralph Lewis, the Rajah
522308	191835	Mug with Dictionary Gift
522308	192047	Bugs
522308	194744	The Thief
522308	194755	Crook
522308	199686	Sports reporter
522308	201524	Onlooker
522308	203619	Shorty Mulligan
522308	203698	Useless
522308	213453	Todd
522308	230829	Doorman
522308	239601	Marmaduke Gump
522308	252962	Goerge Barrow
522308	259262	The Crasher
522308	260419	Joe
522308	264170	Sol
522308	266710	Bartender
522308	270355	
522308	270481	Johnny Tweed
522308	271204	Kid Short
522308	274984	Mac
522308	278286	The Smiler
522308	279479	Jerry
522308	286138	Yokel in the old army game
522308	289717	
522308	291915	Formation Director
522308	294952	Blinky
522308	295442	Donald Peabody
522308	297909	Chuck Connors
522308	303499	Dr. Busby
522308	312795	Taxi Driver
522308	316946	Bit Part
522308	317223	Barfly
522308	326186	Bill the cab driver
522308	333060	Sam McGuire
522308	334252	Thug
522308	341528	Shif'less
522308	342988	
522308	346043	Prize Fighter's Manager
522308	347027	Another Yeggman
522308	348546	
522308	358954	Paducah
522308	360455	Bill
522308	362373	Doorman
522308	363083	British Tommy
522308	363934	Bill Hawks
522308	367759	Bit Part
522308	367839	
522308	368383	Tour Guide
522308	368995	Crook
522308	372361	Caddy
522309	2229	Himself
522309	2924	Himself (Memorial Tribute)
522309	33033	Himself
522309	34646	Himself
522309	120574	Extra
522309	160295	Himself
522309	165264	Himself
522309	354020	Himself
522310	47865	Additional Voice
522311	52228	Cook
522311	103352	Manuel Estrada
522311	192353	
522311	243339	
522311	278043	Shorty
522311	355102	Shorty
522311	359975	Shorty
522312	74006	SS Agent Greg Mertz
522313	223905	Himself (segment "Three Mo' T
522313	331507	Himself
522314	53036	Jay
522314	79671	Lt. Jeremy Lister
522314	192100	Cop
522314	203999	Walley's Crew #1
522314	289513	Lester Dwervick
522314	309158	Hippie Partyer
522314	368640	
522315	265171	Thug #1
522315	266053	Paul
522315	283250	Bagley
522315	410830	Tony
522315	410831	Tony
522316	313730	Himself (referee)
522316	344531	Himself
522317	335307	Tommy
522318	4709	Vanjack
522318	39534	Del
522318	40994	Yen Hay Sun
522318	59789	Mexican Lt. Rivera
522318	81209	Joe La Cossit
522318	136288	Ron Harvey
522318	140840	Marshal Morg Rocklin
522318	192636	Interne
522318	202955	Mallory
522318	206404	Crewcut
522318	245330	Accountant
522318	257520	Johnny Waters
522318	295952	Rick Roman
522318	319535	Johnny
522318	323013	Kent Taggart
522318	341515	Dancer
522318	348402	Restaurant Patron
522318	358575	Cabot
522318	390802	Cord
522320	211617	Fairy
522321	272518	Tonald Rickerson
522321	306616	Poetry Host
522322	266625	Newlywed Husband 2
522323	42924	Jogger (segment "The Bel Air 
522324	944	Mike
522325	248937	Ty
522326	208058	Mr. Henderson
522327	38246	Himself
522327	238520	Himself
522327	356230	Orchestra Leader
522328	42087	Gene
522329	140490	America at 16
522330	223140	Court clerk/bandleader
522331	27928	Senator
522331	64795	McMurrich
522331	79202	Harvey Chernoff, Theatrical P
522331	96970	Norman
522331	99469	Mr. Peabody
522331	99470	Mr. Peabody
522331	103254	Andre Willard
522331	154620	Nice Man
522331	221338	Dr. Hopley
522331	229733	Professor
522331	294717	Mr. Buchanan
522331	295560	Francois
522331	314104	Handsome Guard
522331	328594	Raoul
522331	355539	Dr. Pandro
522331	397183	Schreiber
522332	35514	Himself
522332	179071	Raoul
522332	216879	Tony
522332	381811	Noah Hunter (1997-2000)
522333	262732	Giant
522334	1381	Himself - a Writer
522334	193567	Himself
522335	7178	Lawyer for the Globe
522335	10141	Federal Judge Henry C. Wilkin
522335	20474	
522335	37461	Lawyer
522335	40176	Judge Gately
522335	45669	Judge
522335	82379	Joseph Caldwell
522335	85080	Secretary of the Interior Joh
522335	210718	Ship's Officer
522335	215809	Judge, Hartman case
522335	227338	Doctor Hibbard
522335	250647	Coroner
522335	252297	Mr. Thomas
522335	262337	Brigadier General Otis
522335	300236	Joseph/Lord
522335	317825	Base Captain
522335	330241	Mr. Mimms
522335	350704	Professor
522336	38378	
522337	229458	Will
522338	7948	Rosco
522338	10853	Omer Janowitz (SSS17 First Wa
522338	40175	Andy
522338	66582	Flight Engineer Van Alden
522338	133772	Sgt. Lyle
522338	157932	Briefing Officer
522338	158393	Peter Dasha
522338	195086	
522338	246286	Det. Broadhurst
522338	342908	Bank Teller
522339	62506	Gregory Bailey
522340	68275	Medevac
522341	217314	Brick
522343	923	Himself (with JFK at the Whit
522343	105721	Himself (with JFK and King at
522343	158503	Himself (Urban League, observ
522343	310707	Himself (marches to Montgomer
522344	1728	Himself/Performer
522344	1729	Performer/Himself
522344	3250	Himself - Performer
522344	3252	Himself - Performer
522344	27565	Performer
522344	47173	Himself
522344	47174	Himself
522344	47223	Presenter
522344	57490	Himself/Performer
522344	63076	Performer
522344	157196	Himself
522344	163647	Performer
522344	169815	Himself
522344	186165	Presenter
522344	221275	
522344	228302	Himself/Performer
522344	228303	Himself/Presenter
522344	240189	Performer
522344	249555	Performer
522344	249592	Himself/Performer
522344	260295	Himself
522344	273901	Himself/Performer
522344	273902	Himself/Performer
522344	282703	Presenter/Performer
522344	311702	Performer
522344	364227	Himself
522344	365756	Himself
522344	368408	Himself (UK)
522344	401836	Himself (Series 1) (2001-2002
522344	401837	Himself (Series 1) (2001-2002
522344	411175	Himself
522345	30140	Louie Esch
522346	14477	Businessman
522346	243595	Priest
522346	269396	Williams
522346	341729	One of the other officers
522347	44034	Monsignor
522347	158141	Traveler
522348	87979	Louis
522349	12213	Henzes
522349	79719	Airman Billy McCoy
522349	93974	George Truelove
522349	109439	Det. Williams
522349	110306	Agent Lawrence
522349	119583	Older Jeff Jackson
522349	164840	Greg Arnold
522349	168627	Marvin Gibson
522349	189912	Daniel
522349	193248	Braden
522349	207910	Police Lieutenant
522349	224246	Rev. Jordan
522349	245462	Lester Crewe
522349	294976	
522349	302209	William Coleman
522349	307395	Pvt. Henson
522349	311132	Rob
522349	353418	
522349	360032	Les
522349	366600	Agent Williamson
522349	366925	Keys
522349	367844	Eugene
522349	367864	Larry Jennings
522349	380455	Judge Clyde 'Turk' Terhune (2
522349	380823	Withers
522349	394676	Cliff Templeton (1992-1993)
522349	396850	Rev. Howard Bouchard
522349	398027	Frank Mitchell
522349	405460	Jacques Danvers
522350	72688	Weenie Man
522351	212616	Club owner
522352	139080	Gunman
522353	51993	Instructor
522353	94616	Watts
522353	218371	Globe Reporter
522354	216885	James Hagan
522355	275871	Kid in Liquor Store
522355	323804	Rudy Coffey
522357	21213	Kid
522357	339398	Wayne Snelling
522358	136826	Sailor
522358	213589	Noble
522358	256625	Samuel
522359	309504	Featured Performer
522360	9254	Benjamin
522360	31702	Zeph
522360	144681	Hippy
522360	185451	Al
522360	212782	Steve Warson
522360	381211	SSgt. Darrel 'Shifty' Powers
522361	47117	Down Low Dancer
522362	6151	Elwood
522363	56737	
522363	72526	Michael's Present
522363	108369	
522363	168197	
522364	51989	Prison Guard/Mansion Guard
522364	116570	Neil
522364	242707	
522365	177696	Milkbone
522366	130014	Subject
522367	126032	Narrator
522368	73326	Jack Elroy
522369	79635	Opponent of political speaker
522370	51471	John Sommers
522370	51472	John Sommers
522371	313730	Himself
522372	139650	Lee Jordan
522372	139657	Lee Jordan
522372	406636	Ben Batambuze
522373	127491	Worker
522374	99586	Elvis Presley
522374	119633	Nick Reynolds
522374	176760	Capt. Jeff Holland
522374	188620	
522374	242939	Adam
522374	305679	Timmerman
522374	342472	Nick Fowler
522374	389858	Pierce Dorman #1 (1996)
522374	397401	Dave Erickson (1996)
522374	398568	Officer Tillage
522374	406079	Officer Jack Haldane
522375	158440	Cop
522376	90407	Man in Line #2
522376	310572	
522377	340901	Orderly
522378	129784	Student #3
522378	176487	Jungle Fever Couple #2
522379	75430	Hoodlum
522380	186826	Jim Kelly, Harry's pal
522381	271341	Erik
522382	87423	Punter
522382	216548	
522383	398953	Featured Vocalist (1978-1981)
522384	42983	Marc
522384	146740	Guard
522385	107351	Book Person's Nephew: 'Weir o
522385	115085	Tom Stokes
522385	137964	Brian
522385	268258	Leszik
522385	348342	Rollo Sadby
522386	78317	Jackie Johnson
522387	380627	Host
522387	408702	Judge (1957-1958)
522388	9046	
522388	87030	Jasper
522388	138138	Police Lt.
522388	165004	Bit part
522388	301607	Muscles
522388	372755	Irving Bird
522389	3101	Drunk
522389	80959	Roger
522390	194684	One of the 'Four Boys'
522392	298001	Restaurant Patron
522393	346222	Go-Cart Bob
522394	72706	District Attorney
522394	141606	Mr. Tyler
522394	184518	Sheriff Lloyd
522394	213150	Mulwray
522395	72768	Himself
522396	400774	Paul Golightly
522397	407131	Roger Walker
522398	172579	
522398	182579	Mr. Greenstreet
522398	281908	Inspector Kafka
522398	293314	Chairman of the Panama Canal 
522398	387056	
522398	404039	The Cowboy
522398	405458	
522398	405594	Dubbelagenten
522399	194753	Surf Nazi #4
522400	33523	Desk Clerk
522400	86750	Deputy
522400	220844	Cellmate
522400	366925	Prosecuting attorney
522401	16004	Brogan
522401	80607	Reporter #1
522401	292496	Brian Peckford #2
522401	346310	Andrew (Father Christmas)
522401	354886	Carlos
522401	386762	Tracy
522401	389032	Host
522402	186033	Garrat
522403	38270	Cousin
522404	2165	
522404	52169	
522404	68757	
522404	136530	Gypsy Leader
522404	162517	Bartender
522404	255160	
522404	264727	
522404	264737	
522404	264751	
522404	292866	
522406	7681	Washington
522407	13432	Himself (segment "Roast Your 
522407	67945	Himself
522407	68092	Himself
522407	81320	Himself - on TV
522407	106605	Henny Youngman patient
522407	121802	Himself
522407	121804	Himself
522407	131780	Himself
522407	131988	Marzdone Mobilie
522407	133819	Himself
522407	146661	Chemist
522407	188244	Himself
522407	195680	Henny
522407	199247	
522407	218004	Himself
522407	227929	Himself
522407	228297	Lawyer ("Municipalians")
522407	291345	Himself
522407	301669	Fly-in-soup Man
522407	314598	Himself
522407	327191	Himself
522407	347316	Himself
522407	352696	Himself
522407	360123	Henny Youngman
522407	367948	Manny Farber
522407	372140	First driver
522407	391371	Host
522407	393610	
522408	47722	Prisoner
522408	63096	
522408	152600	
522408	305052	
522408	305061	
522408	327273	
522408	358356	
522409	121615	Kid
522410	69353	
522411	221773	Spike
522412	66277	Paige
522413	386888	Host
522414	363824	Tinker
522415	75804	Pinwheel Exec #1
522415	78182	Henry Lautrec
522415	105713	Sterling Baker
522415	113405	Jim
522415	116907	Chuck Cranston
522415	150691	Jimmy Kristidis
522415	175839	Zach Mitchum
522415	234226	Billy
522415	245046	Cowboy
522415	263496	Zachary
522415	281997	Lonnie
522415	303818	Roy Boone
522415	358964	Buddy
522415	372264	Bronson Green
522415	372804	Kelly Youngblood
522415	380031	Zachary
522415	404720	John Grey
522416	176882	Haley
522417	16866	Student Reporter
522418	80607	Kevin
522419	297221	Luke
522420	230512	Raj
522421	140039	Radar
522422	408643	Himself (2002)
522423	82684	Himself
522424	122638	Paper Co. Executive
522425	290922	Dave Hughes' Crew
522426	2890	Writer #1
522426	66274	Man in Hotel
522426	123303	Elroy
522426	158315	Dickie Williams
522426	158321	
522426	169614	Gas Station Mechanic
522426	221043	Cab driver
522426	254785	Pizza Guy
522426	265607	
522426	270349	Impound Attendant
522426	270931	
522426	335872	Mac
522426	339363	Used car dealer
522426	347180	Court Officer
522427	35812	Edward Eischel
522428	240934	Inmate
522429	115318	News Crew
522430	25779	Abu Fahi
522430	43673	Bechir Amal
522430	250752	Remy's colleague
522430	276991	
522430	345538	Le réceptionniste de l'hôtel 
522430	353863	
522430	382471	
522431	330297	Philip Jardine
522432	309355	
522432	394168	Takis
522433	90349	Principle Gribben
522433	109584	Edward Teller
522433	196549	Mr. Leone
522433	285201	The Host
522433	328263	Brady
522434	293822	Valet
522435	230933	Plato's Patron
522435	326778	Hawkeye
522436	32122	Ismet
522437	6445	
522437	88436	Petrov
522437	95697	
522437	134181	
522437	154184	Chovekat sas spomenite
522437	156309	
522437	156597	
522437	180645	Poruchik Pepelanov
522437	229817	Profesor Aleksandrov
522437	243256	Abbot #2
522437	247863	
522437	284467	Artistat Bozhidar
522437	376228	
522437	401684	
522438	20903	Sean
522438	41379	Busboy
522438	47496	Barry
522438	49840	Billy
522438	81449	Art Gallery Salesman
522438	330386	Larry
522439	17096	
522440	187073	Extra
522440	201709	Himself/Extra in Movie
522441	199499	Nort Thorton
522442	247612	Father
522443	3257	
522445	32032	
522445	384210	Rachid
522446	376442	Silo
522447	124757	Officer
522447	161982	The Lover/The Artist
522448	160617	Pietro
522449	208229	Le vieil ouvrier
522451	7613	Tewfik
522451	8063	
522451	8545	Hussein
522451	19595	
522451	38326	Hassan
522451	58437	
522451	59997	Hassan
522451	64611	Mohamed
522451	98720	
522451	100222	
522451	112684	
522451	147083	Essam
522451	152148	
522451	175926	
522451	175978	Ahmed
522451	187637	Hassan
522451	210939	
522451	217128	Actor
522451	221806	
522451	268559	Adel
522451	271037	
522451	297144	Hassan
522451	309460	
522451	327314	
522451	332733	
522451	374183	Student
522452	27195	Concierge
522453	163859	
522454	163859	Miloud's father
522455	162236	Mohsin
522455	175959	
522455	396594	Bahaa
522456	12392	Alvin, night station master
522456	54669	Harry, the agricultural agent
522456	267252	Youth Brigade
522457	279836	Alien Ambassador
522458	83480	
522458	240429	
522459	70093	
522460	70093	
522460	89916	
522461	70093	
522461	89916	
522462	70093	
522463	244469	Varadin
522464	45482	Kamen
522465	374864	Vihar
522466	49338	Ed
522466	94795	The Co-Pilot of USAF1
522466	163234	
522466	358771	
522467	167419	Policeman 2
522467	405110	Ye Luqi
522467	411592	Tequila
522468	127528	Young Man at Ball
522469	17756	Little Horse
522469	45220	Big Chief Hi-Octane
522469	48871	Chief White Cloud
522469	57353	Indian chief
522469	60740	Gray Eagle
522469	72222	Chief Long Arrow
522469	79685	Indian
522469	94128	
522469	94604	Running Wolf
522469	98690	Paiute Pete
522469	99329	Bit Part
522469	110223	Harry Willowtree
522469	115064	King of the Rock People [Chs.
522469	117820	Modoc Joe
522469	120738	
522469	123138	Indian warrior
522469	128371	Billy Jackrabbit
522469	129562	High Wolf
522469	135923	Running Elk
522469	137514	Apache Chief
522469	140506	Chief Long Hand
522469	140507	Chief Long Hand
522469	142508	Indian
522469	147809	Chief Running Water
522469	152208	Indian
522469	159140	Indian chief
522469	161720	
522469	176755	Indian
522469	177505	Chief Matapotan
522469	185523	Cochise
522469	193700	Mangus Colorado, Indian Chief
522469	198539	Crowbar
522469	198544	Crowbar
522469	203279	Cherokee tribesman
522469	218945	Biting Wolf
522469	221296	Atenou
522469	223952	Indian
522469	223953	Indian Chief
522469	235168	Indian
522469	243336	Red Skin
522469	245416	Indian Chief
522469	246709	Bald Eagle
522469	247045	Chief Yellow Feather
522469	250592	Eagle Feather
522469	262344	Matoreeh
522469	274251	Lone Wolf
522469	274274	Quo
522469	277844	Chief Tomahawk
522469	281841	Black Eagle
522469	283864	Stock footage from 'The Red R
522469	285147	Council chief
522469	287751	Brown Beaver
522469	289600	Indian
522469	294038	Indian
522469	308355	Geronimo
522469	311316	Indian
522469	316166	Indian Guide
522469	330916	Friendly Indian Chief
522469	332425	Pawnee
522469	332796	
522469	335488	Tonio
522469	338560	Sam
522469	341617	Charlie Lightfoot
522469	359308	Iron Eyes
522469	359506	Chief
522469	363815	Chief Running Deer
522469	365475	Chief Black Fox
522469	365961	Indian at rifle shoot
522469	366257	Chief War Eagle
522469	371076	Colorado
522469	372179	Indian
522470	177660	Extra
522471	346779	
522472	312442	
522473	82420	
522474	2932	
522474	129868	Waiter B
522475	272384	Aktyor v kuklen teatar
522476	195525	Notary
522477	13796	Paper Boy
522478	12058	China
522478	392747	Chang Ling
522478	403118	
522479	322292	Pantelåneren
522480	162617	Russian Companion
522481	178139	Poetry Boy
522482	1038	Dancer
522482	24432	Dancer #5
522482	45591	Dancer
522482	120528	Carlos
522482	231070	Newsies Dancer
522482	300180	Goddess Dancer
522482	313825	Nightclub Dancer
522482	388270	
522483	14199	Fighter #2
522484	7094	Trail heavy [Ch. 2]
522484	60037	Wrangler
522484	73408	Milt
522484	75866	Thug
522484	78694	Blackie/Indian/Indian Rustler
522484	94136	Hillsman with Knife [Chs.12-1
522484	142284	Rider
522484	193678	Posseman #2 [Ch. 7]
522484	193681	
522484	224581	
522484	254548	Indian Renegade [Ch. 7]/Looko
522484	277525	Coach driver #3
522484	297572	Charioteer
522484	309849	Henchman
522484	346304	Charioteer
522484	375903	Stage driver [Chs. 4-5]/Hench
522484	375904	Coachman [Ch. 7]
522485	312291	Baxter rider
522486	48075	Trainer
522487	6995	Grady
522487	7094	Ambusher [Ch. 9]
522487	30264	
522487	33923	Egyptian
522487	44295	Burns
522487	53554	Launch Heavy 1 [Ch.6]
522487	54419	Box Co. thug [Chs. 5-6]/Barn 
522487	72332	Rustler
522487	73408	Janitor-thug [Ch. 1]
522487	75866	Phoney Conference Room Janito
522487	78693	Power thug [Chs. 7-8]
522487	78694	Barn Heavy/Bill/Guard/indian 
522487	79351	Jake Simmons (thug) [Ch. 8]
522487	94136	Unspecified Dacoit
522487	110412	Roadblock thug [Ch. 5]/Native
522487	112451	Marine in Lu Kisan's Office
522487	127177	Indian Dynamiter
522487	135798	Stacey
522487	142284	Rider
522487	170744	
522487	177449	Harbin (metal detector thief)
522487	177507	
522487	185158	
522487	187341	Bix
522487	193678	Posseman #5 [Ch. 7]
522487	193681	
522487	203038	Henchman Pete
522487	207185	Barnes' pal [Ch. 2]/Harbor Ca
522487	210435	Rider
522487	218476	Double for Jack Lambert
522487	239559	Posse rider
522487	239845	
522487	245418	Stage Driver
522487	246726	Chase leader [Ch. 10]
522487	254548	Blackie [Chs. 10-11]/Ambusher
522487	255522	Burly man
522487	264486	
522487	285134	
522487	285890	Harbor Cafe Thug
522487	292248	Bonner's Pal
522487	292620	Ambusher 2 [Ch. 3]/Arab 2 [Ch
522487	298388	Marshall (federal purchasing 
522487	308926	Buck Mason
522487	312291	Baxter rider
522487	366090	Pike, Drake's stage driver
522487	367616	Guard
522487	375904	Man
522488	184786	Poika
522489	184786	Nilla
522490	181630	Alpo Röhönen
522490	190659	
522491	340872	N'Gono
522492	209085	Accordionist
522494	302246	Kürassier
522495	174785	Car Robber
522495	224502	Spurgu
522495	284913	
522495	352280	
522496	176297	Disco Posse
522497	167605	Funeral director
522498	247168	Hombre Coctelería
522498	318212	Tote
522499	230247	Japaner
522500	119733	Rolf
522501	49455	Snot Rocket
522502	7441	Maître Pollack
522502	82580	Le mari de la femme enceinte
522502	101195	Olivier
522502	165179	Patrick Sitbon
522502	166106	Franck
522502	231145	Jean-Pierre
522502	240429	
522502	251016	Bewoner instelling
522502	279066	Botrel
522502	332191	Lucien
522502	336937	Édouard
522502	396042	Romain
522503	390942	Programleder
522504	1208	Diger Brande
522505	48363	Karl Österman
522505	137733	Per Österberg
522505	154209	Schwalbe
522505	237246	Bengt
522505	315548	A Man from Roslagen
522506	303695	Mourids
522507	280415	Himself
522507	280416	Himself
522508	345998	Commandante
522509	41921	Bartender
522510	121490	Himself
522511	93514	
522512	203344	Japanese Businessman 3
522513	262581	Panelist (Director, Game Deve
522514	141917	
522515	184745	
522516	141915	
522517	35453	Second Custom Officer
522518	110475	
522519	62809	
522520	117656	Young Ah Beng
522521	239161	
522521	307544	
522522	144273	
522523	297536	Musician
522524	152107	Toh Hong
522524	227243	He Sao
522524	297491	
522524	297492	Pao Shen Feng/Wu Tang Dad
522525	27394	
522525	288360	
522526	346925	
522527	171624	
522528	242718	Yan Chu
522528	299233	
522529	381238	Thai Doctor
522530	300448	
522530	373153	
522531	195474	
522532	170833	
522533	76304	Cui Kai
522533	90557	Deng Bing
522533	168066	Division Commander
522533	341385	Company Commander Chen
522534	371457	Nong Yu
522535	141904	Director Wei
522536	300386	Zhao Banshan, 3rd brother of 
522536	369585	
522537	169594	Servant's Boyfriend
522538	167563	Punk Kid 4
522539	2382	Tams
522540	192678	Concierge
522542	251108	Fengmo's Friend
522543	135469	
522544	167783	Moersi
522544	184320	Tang Muxun
522544	369045	Photographer
522545	187088	The Classmate
522546	153517	
522547	217690	
522548	116340	Huang Jingeng
522548	172212	Yang Ashi
522548	373091	Qiu Sheng
522549	7256	
522549	29599	
522549	102075	
522549	102079	
522549	160195	
522549	166015	
522549	166627	
522549	214284	
522549	226567	
522549	227080	
522549	227115	
522549	239348	
522549	249170	
522550	77163	Yong-dae
522551	227243	Sifu
522551	297491	Shi Fu
522551	297492	
522551	323092	Yeung Shan-Wu
522551	323093	Head Master
522552	141908	Huang Yu
522553	13383	
522553	284426	Feng
522554	68271	Korean taunts
522555	110338	Kung Fu Student #11
522556	106790	
522557	137071	Cheol-gu
522557	190514	
522557	222906	Du-chung
522557	367995	
522558	60650	
522559	165544	
522560	2058	
522560	8059	Father Da-du
522560	9218	
522560	18879	
522560	26219	
522560	49422	
522560	49434	
522560	62510	
522560	88892	
522560	123584	
522560	169005	
522560	177115	
522560	371252	King Yeon-san
522561	307550	
522562	371157	
522563	1021	
522563	36624	
522563	38179	
522563	59078	
522563	76650	
522563	162620	
522563	166206	
522563	201279	Yu Dong-min
522563	215566	
522563	217127	
522563	227514	
522563	286633	
522563	287361	
522563	371228	
522563	371237	
522564	294505	
522565	236771	
522566	194086	
522567	323459	Young
522568	28808	
522568	89459	
522568	89549	
522568	227397	
522568	371183	
522569	16950	
522570	232142	
522571	60627	
522572	540	Ma-ko
522572	43386	Sang-woo
522572	90596	Ji, In
522572	124683	Hyun-jun
522572	126127	Woo Yeong-min
522572	171491	Paint
522572	189260	Hyun-tae Kim
522572	216705	K-one
522572	228443	R
522572	239851	Woo-jin Lee
522572	367995	
522572	371178	Lee Mun-ho
522573	405110	Huo San Tong
522574	298675	The Old Master
522575	134018	Student Leader Bar Associatio
522577	227496	
522578	326798	Shinsho
522579	125943	
522580	60650	
522580	124683	Jeong-ok
522580	294438	
522580	300109	San-hae
522580	327237	Kim Ki-yeon
522581	60650	
522582	367178	
522583	30779	Band Member
522583	181541	Sing
522583	231222	Big Mouth
522583	286979	Pou-pan
522583	340609	
522584	94539	Chinese Delivery Man
522584	99311	David Tan
522584	349069	Ken
522584	401894	Freddy Gong (1999-2000)
522585	78887	Dr. Zeng
522586	130236	
522587	155512	
522588	117847	Kevin
522589	217690	
522590	167421	
522591	372239	Zhen Zhilong
522592	79269	Guy at Party
522593	141872	
522594	219401	Himself
522595	297360	
522595	369950	Public Security Bureau Direct
522595	370474	Mr. Ou
522596	370748	
522597	129932	
522597	135623	Boyfriend
522597	313830	Party Nerd
522597	316480	
522598	129932	
522599	227463	
522600	112010	Kim
522600	285995	
522601	296574	Li Yugeng
522602	135651	
522603	294496	
522604	294492	
522605	106526	Vietnamese Child
522606	20061	Sungmin's uncle
522606	31866	Tae Soo
522606	51007	Yeong-woo
522606	58852	Kim Deuk-gu
522606	62202	Lee Jeong-suk
522606	89819	
522606	92419	
522606	123556	Li Cheol-jin
522606	126792	Baek Joon
522606	171491	Mu Dae-po (a.k.a. Bulldozer)
522606	202844	
522606	227407	
522606	258938	
522606	328635	
522606	337201	Dal-su
522607	371529	Fatty
522608	41726	Student
522609	373685	Zong Hua
522610	62121	Himself
522611	90547	
522612	311616	Chinese son
522612	404112	Cook
522614	29478	Peking-Man
522614	59293	David Chang
522614	63472	Professor
522614	63742	Hsien-Feng
522614	75227	Police Captain
522614	85486	Yu Kai-Chung
522614	90551	Chen Chin-Hau
522614	95191	Gu Cheong Fong
522614	95509	Yu
522614	102310	Master Jiang
522614	111246	Cloud's father
522614	125160	Po Kwong
522614	135023	Pao
522614	136067	Yee
522614	136068	Hwang Fei
522614	141892	Mr. Poa
522614	147332	Tong Ting-Hsin
522614	179957	Yu Sai-Wing
522614	221500	
522614	222906	Rambulhua, Yuan General
522614	231207	
522614	231268	Nan
522614	268709	Bai Yun Fei
522614	268740	Police Captain
522614	271919	Ko Lap
522614	286972	Kwan
522614	287333	Shum Chi-hung
522614	296582	Apartment Hitman
522614	296586	Killer
522614	297382	Imperial Guard
522614	303407	Iron Monkey
522614	323097	
522614	359018	Lu Chan Feng
522614	369064	Wuwechimatao
522614	369810	
522614	371519	Pai
522614	374761	Ghost
522615	20967	Himself
522615	136335	Tong Leader
522615	298683	Ronny Dak
522616	327811	
522617	90851	Additiomal Voices
522617	106504	Keanu
522617	118294	Chan
522617	119601	
522617	191326	Henry Takimoto
522617	242078	Robert Minami
522617	315915	Bess, the Make-Up Man
522617	324953	Patryck
522617	340767	Cary Kang
522618	123415	Anonymous Fighter #2
522619	299139	
522620	308413	
522621	90415	Cho-won
522621	167471	Sang-woo
522622	294495	
522623	36626	Grandpa Ma
522623	149082	Che Fu
522623	167389	Sun Yamei
522623	167825	Hao Baozhi
522623	213595	Dr. Zhang
522623	298354	Zhao Jinchuan
522623	332287	Grandpa
522624	185241	Hsiao Hsiu
522625	77549	Ding Wenzhong
522625	194083	Cheng Baoqing
522625	268801	Gu Fu
522625	371472	Kerensky
522626	136338	
522627	226667	
522628	2356	
522629	94296	
522629	181836	Hu He Shuang Xing Cast
522629	297483	
522630	155813	
522630	392507	Park Jang-woo
522631	227269	South Shaolin teacher #3
522632	58354	
522632	167727	
522632	332522	
522632	369039	
522635	8587	
522636	92783	
522636	159475	
522636	297934	
522637	4958	The Dragon
522637	76276	Frenchy
522637	151909	Col. Tosi
522638	211201	
522639	384105	Himself
522640	209941	Granny
522641	286918	
522642	136073	Hey
522643	137073	Su Ki Ho
522644	369849	Xiao Feng
522645	141910	Qin Jiao
522645	300622	Li Shuilian/Li Menglian
522645	369947	Zhuo Luowa
522646	332344	Jeep Driver Voice
522647	111191	Zhi Er
522648	2494	The Wizard
522649	332510	
522649	371636	
522650	268692	Wu Yizhu
522651	110628	Zhao Zhongkai
522651	153021	Zhao Shihai
522652	369728	
522653	28070	
522653	60623	
522654	278435	
522655	76671	
522656	3020	
522656	29426	
522656	43610	Seo-lim
522656	80074	
522656	99944	
522656	125943	
522656	136346	
522656	226595	
522656	226865	
522656	227177	
522656	227398	
522656	293653	
522656	320218	
522656	371170	
522657	2211	
522657	9432	
522657	17408	
522657	49616	
522657	60609	
522657	89541	
522657	136409	
522657	140588	
522657	144269	
522657	156034	
522657	156596	
522657	166784	
522657	227177	
522657	255913	
522657	294447	Mr. Yun
522658	180006	
522659	370761	
522660	369845	
522661	369634	Ren Beihang
522662	121119	Little Fu
522663	225804	Himself (Performer)
522664	89226	Tanoy
522665	225804	Himself (Juggler)
522666	76428	
522667	192414	Friedrich Bhaer
522668	98181	
522669	332352	
522669	369708	Yuan Pu
522670	135648	Dong Hanchen
522671	370615	Rong'er
522671	371610	
522672	20620	Tiger #8 - Crazy Ti
522673	217111	
522674	371615	Scholar
522676	364039	Punk
522677	298423	
522678	20967	Himself
522679	14077	Howard
522679	14199	Ito
522679	20967	Himself
522679	49350	Master Monk
522679	81157	Fighter
522679	86560	Player/Himself
522679	91684	Ninja wraith
522679	148333	Additional Voice
522679	188511	Chu
522679	252998	Diamond
522679	270903	Dave (thug)
522679	274037	Minglu
522679	274340	Zhoa Lo
522679	278480	Ninja
522679	297382	Lo Fong
522679	299691	Po
522679	300163	Kickboxer #2
522679	301633	Jimmy Thai
522679	340857	Takura
522679	344408	Yakuza #6
522679	344552	Fang-Tu
522679	350474	Button Man
522679	368063	Dick
522680	13851	The Guard
522680	21040	Ming
522680	41371	
522680	72490	Laser Tech
522680	80844	Lucky
522680	81749	Chin Li
522680	86560	Himself/Wind
522680	91684	Ninja wraith
522680	93747	Razor Scarred
522680	99330	Red Guard
522680	107632	Chinese Waiter
522680	112246	The Soul Man
522680	117442	Lank
522680	130484	Katagiri
522680	130752	The Chinese Man
522680	164699	Technician
522680	171695	Jackie Hammonds
522680	181836	Gang Fighter #2
522680	194136	Friend #4
522680	227665	Undercover Cop
522680	231940	Hashimoto
522680	234671	Abulkhair
522680	278466	Li
522680	278470	Li
522680	303399	Referee
522680	316609	Jimmy
522680	331284	Vietnamese Man
522680	332778	Johnny
522680	333394	Grandfather
522680	334113	Han Lo
522680	344552	Wind Warlord
522680	350476	Pink Knight #1
522680	350477	Pink Knight #1
522680	364039	Severin
522680	368768	
522681	369844	
522682	148531	Ah Guang
522683	251108	Pin Tan Player
522684	111228	Uncle Xu
522685	176508	
522686	25994	
522686	76308	
522686	95297	Yuan Afa
522686	138016	Han Xiaolong
522687	181421	Song
522687	371121	
522688	269230	Kong Xiangbi
522689	268622	Zhen Long
522690	225804	Himself (Performer)
522691	225804	Himself (Juggler)
522692	277590	Himself/Former 1st Lieutenant
522693	140036	Ankokuji
522694	130206	Interviewee
522695	67006	
522696	30987	Kiyoshi Minamoto
522697	132383	
522698	57821	Hassan Ersoy
522699	194378	Achmed
522700	12835	Axi
522701	63628	Kizhkomot
522701	379879	El caballo
522702	98601	Policeman #2
522703	67573	Kevin
522704	3582	
522705	246346	Himself (signs papers)
522706	16087	Sergey
522706	46434	Semyon
522706	122647	Jasper
522706	164567	Vic
522707	394750	
522708	238363	German sergeant-major/Belugin
522709	189425	
522709	343306	
522710	6548	Senyavin
522710	63613	
522710	88668	
522710	174170	Band Conductor
522710	179902	
522710	180238	Capt. Dmitri Nikolayevich Sen
522710	219147	Crewman Stepan Shaparov
522710	268137	
522710	283834	
522710	318146	
522710	324908	Provokator
522710	348708	Henrih Lange
522710	350802	Lunyov
522710	352816	Sereda
522710	357445	Kurt Dietrich
522710	360064	Chactas
522711	26254	
522711	85210	
522711	236069	Troop Leader Yudin/Gulliver's
522712	344280	
522713	198155	
522713	227903	
522713	303802	
522713	318146	
522714	217279	
522714	239421	
522715	17729	Ivan
522715	339748	Red Army soldier
522716	284271	Sacha à 14 ans
522718	208411	Sheriff's Man/Mike 'The Cowbo
522719	98577	
522719	179906	
522719	267863	
522719	374563	
522720	140580	Russian Poet
522721	129514	Heavy Set Man
522722	176252	Freddy Li's Guard
522723	65683	
522724	266050	Laboratory Manager
522724	331679	Joe Young
522725	186844	
522726	73913	Mr. Tchai
522726	184814	Aged Buddhist Monk
522726	194797	Citizen 2
522726	236779	Ernie Wong, Triad member
522726	245010	Fung Lee
522726	304689	Waiter
522726	334112	Bank President
522726	379727	Mr. Wang
522726	384725	Mr. Lee
522726	391092	
522727	3249	Cha
522728	18579	Yanli
522729	25931	Jerry
522729	58693	
522729	131265	Wing
522729	136379	Wing
522729	152813	
522729	230748	Jackie Law
522729	231231	
522729	369055	Young Chan Wing Yan
522729	369056	Chen Wing Yan
522729	369057	Chen Wing Yan (younger versio
522729	370727	Fan
522729	370756	
522729	372946	Hong
522730	3259	
522730	293442	Crosseyed killer
522731	11291	
522731	151893	
522732	402554	Bai Shichang
522733	1294	
522733	8765	
522733	33106	
522733	36343	
522733	38247	
522733	63282	Wu-hua
522733	64738	Himself
522733	76271	Tan Sitong
522733	76309	
522733	76390	
522733	76407	Drunken Cat
522733	93210	
522733	94166	
522733	94369	
522733	94474	
522733	96511	
522733	100700	
522733	111189	
522733	111215	
522733	131260	
522733	135465	
522733	138030	
522733	141921	
522733	142368	
522733	149010	
522733	151908	
522733	151932	
522733	152004	
522733	152115	Yamamoto
522733	153035	
522733	167385	
522733	167754	
522733	167780	
522733	176803	
522733	181786	
522733	183628	
522733	183769	
522733	189174	
522733	191004	
522733	191008	
522733	192445	
522733	192469	
522733	192470	
522733	193871	
522733	194076	
522733	218135	
522733	222708	
522733	236278	
522733	240932	
522733	246594	Tang Ao
522733	247334	
522733	260174	Monkey
522733	268634	
522733	268639	Fat Chai
522733	268667	
522733	270022	
522733	274238	
522733	284755	
522733	287030	
522733	298335	
522733	298672	
522733	298704	
522733	318432	
522733	319379	
522733	319729	Chang
522733	332527	
522733	334141	
522733	341358	
522733	351718	
522733	351758	
522733	369038	
522733	369051	
522733	369106	
522733	369594	
522733	369642	
522733	369658	
522733	369746	
522733	369845	
522733	369861	
522733	370495	Ko Pao
522733	371459	
522733	371487	
522733	371612	
522733	371623	
522733	371632	
522733	373054	
522733	374954	
522733	374987	
522734	13769	Ling Xiang
522735	169918	
522736	259430	
522737	52	Captain Chi
522737	15182	
522737	27797	Leung Chang
522737	28048	
522737	34923	
522737	42929	Lee Tong
522737	48095	Himself
522737	48100	Himself
522737	48101	
522737	62130	
522737	63470	
522737	64177	
522737	76407	
522737	76427	Georgie Hung's father
522737	76428	
522737	90564	
522737	95193	Man Yen Chieh
522737	96900	
522737	101700	Tournament fighter/Uncredited
522737	110203	Fighter in Opening Credit Seq
522737	110603	Timothy Tung Tak-Biao
522737	116648	Tsao Cheuk Kin
522737	121442	Ricky
522737	123389	Billy Lo
522737	135101	
522737	135452	Vampire
522737	138642	Japanese martial arts student
522737	140799	
522737	150286	
522737	151995	Shih Erh
522737	152028	
522737	152092	
522737	152095	Lau Zhai
522737	153041	Tang Tai-Chi
522737	164576	Himself
522737	164577	Fourth Brother (Young Master)
522737	167366	Fong Sau-Ching
522737	167450	Jen
522737	167846	Extra
522737	170013	
522737	181541	Thunder
522737	181563	Kông Chùe
522737	181566	Kông Chùe' - Cameo
522737	181810	
522737	182319	David
522737	184603	
522737	184749	Casino Fighter #3
522737	189132	Challenges Bruce Lee on the s
522737	191006	Chai
522737	192470	
522737	192480	Lui Lun
522737	193911	Swordsman
522737	194087	
522737	196669	Little Tiger
522737	198590	
522737	198643	Tam See
522737	198646	Han
522737	203021	
522737	210991	Thug/Extra
522737	212537	
522737	214039	Ma Sar
522737	218038	Hsiang Ming
522737	220245	Wong Yuk-Man
522737	220246	Lam Kau
522737	227266	
522737	227267	
522737	233633	
522737	246594	
522737	250564	Ti Ming Chi (Zu: Warriors fro
522737	258410	
522737	268697	
522737	268699	Cameo
522737	268928	Master of the Five Fists
522737	271678	Tougetsu
522737	286973	
522737	287030	
522737	287036	Li San
522737	297382	Saloon fighter
522737	297485	
522737	297486	
522737	298053	
522737	298326	Jo-Wing cohort
522737	298376	Casino fighter
522737	298382	Cameo appearance
522737	298383	Hsia/Little Monster
522737	298671	Fourth Brother/San Kung's son
522737	298686	
522737	300618	Fighter at the school
522737	300747	Billy Lo/Bobby Lo/Blue Staff 
522737	309467	
522737	318526	Ti Ming Chi
522737	319406	
522737	323088	Cameo
522737	323096	
522737	332098	
522737	332513	Thug
522737	332532	
522737	332610	
522737	335824	
522737	368062	Leung Fu
522737	369041	CID Agent
522737	369107	
522737	369581	Wong La
522737	369589	Ricky
522737	369704	
522737	369762	Constable Yuen Shing Chi
522737	370495	Extra
522737	371588	
522737	371630	Assassin
522737	371930	Mousy
522737	373458	Yipao
522737	373863	
522737	374802	Hsia Ling-Cheng
522737	374905	Boss
522737	374921	
522737	403390	Sima Bu Ping
522738	284742	
522738	324346	
522739	167390	
522739	268739	
522740	8791	
522741	25903	Tired-out Triad
522741	35668	Himself
522741	59664	Chinese Man on Plane
522741	59665	Deranged Mongol
522741	76426	No Face's Wife
522741	116343	Leader of Thugs
522741	143958	
522741	151925	Passenger
522741	152005	Ironhand
522741	153047	Kung Fu Master on Ship
522741	167847	Captain Jie
522741	207398	Himself
522741	210969	Monk
522741	268697	Opponent in Simulation
522741	298340	Never Die('Invincible Death' 
522741	298372	Che Hai
522741	323093	Rev. Ling
522741	324735	Doggie
522741	326315	Cop
522741	332330	
522741	358909	Mahjong Player
522741	368062	
522741	369705	Master
522741	369794	Iron
522741	371930	Bounty Hunter #1
522742	217139	
522743	5020	Himself
522743	20967	Himself
522743	41189	
522743	52023	Brother Big Nose
522743	61041	
522743	62130	
522743	63470	
522743	76428	
522743	94289	Fishy Shing
522743	94354	
522743	94402	Fishy Shing
522743	94403	Mahjong Player
522743	95193	Judy Vu
522743	116342	
522743	116603	Li Kwok Bon
522743	125160	Bartender
522743	135481	Hen Egg
522743	138642	Japanese martial arts student
522743	151902	
522743	152095	
522743	152114	Boatman
522743	160639	Robber
522743	167096	Himself
522743	167366	Bum
522743	167449	
522743	167842	
522743	167846	Japanese fighter
522743	168027	Doc
522743	184603	
522743	187531	
522743	187532	
522743	191123	Party Guest
522743	193892	Cop
522743	193893	Swat team member
522743	193911	Patrolman
522743	194080	Lu Chen gang member
522743	194082	
522743	198643	Uncle Po
522743	203021	
522743	222267	Himself
522743	227247	Rubber Legs' student
522743	227267	Silver Fox's henchman
522743	254948	Doctor
522743	258410	
522743	268763	Cameo
522743	270020	
522743	270021	Coolie
522743	286917	Boy Scout 1
522743	300380	
522743	309467	
522743	323090	
522743	332098	
522743	332532	
522743	360990	Wei Tien-Hsien
522743	369787	Cameo appearance
522743	370819	Yuen
522743	371588	
522743	371630	Assassin
522743	374802	Bad Egg
522743	374914	Cameo
522743	374921	
522744	334250	Farid
522745	260916	Le Soldat
522746	190908	Father
522747	75804	Server
522747	91752	Smuggler
522747	94052	Chinese launderer
522747	130752	Chinese Father
522747	169918	
522747	177204	Low Life #1
522747	191301	Desk Bookie
522747	248976	Poker Player #1
522747	314247	Yang-Tse
522747	354136	Yellowjacket
522747	399595	Smallpox Kin
522748	314719	Uniformed Cop
522748	391208	Loc Minh Vu (Ep. 1-22)
522748	401813	Hop Sing
522749	168063	Vincent Chan
522750	135933	
522751	161939	
522752	268756	
522753	185534	German Soldier #3
522754	76852	
522755	61041	
522755	167509	Sunny the Scorpion
522755	176262	
522755	187533	Lee (Coolio's bodyguard)
522755	220246	Invincible
522756	144400	DJ Sabu
522757	64402	Red Band
522758	368062	Kai
522759	268709	Movie Cast
522760	183012	
522761	218037	Wu Ying
522762	127655	
522763	268649	Obnoxious Reporter
522763	369566	Cheung
522764	324346	
522765	345945	Ryko
522765	375778	Hideo
522766	5310	Gordon Chan
522766	7088	Oliver
522766	9139	Mark
522766	31274	Speaking Bandit
522766	35459	Tony-Lee
522766	40739	Security Guard
522766	42381	Présentateur Japonais
522766	43565	Forensics Worker
522766	49350	Brother Tenzin
522766	58020	Xiang
522766	59878	Cop #1
522766	70198	Dennis Kye
522766	77922	Lt. Neil Ryan
522766	79716	Hideki, Japanese Astronaut
522766	80442	Forensic Investigator
522766	81584	Director
522766	99296	Technician
522766	106520	Federal Agent #1
522766	109607	D.A. Jim Abrams
522766	147607	Chinese Bodyguard
522766	148384	Referee - Game #3
522766	152572	Chinese Waiter
522766	193966	Alvin Ng
522766	194689	Young Man
522766	194994	Myar
522766	214515	Dr. Tom Luk
522766	236222	
522766	245838	Auditor
522766	261448	Police Officer
522766	263235	Sam Lee
522766	266166	Bodyguard #1
522766	270348	Runner
522766	282300	Roger Lee
522766	289472	Convenience Store Thug
522766	306312	Sonjai
522766	308009	Officer Qwan
522766	311491	
522766	317812	Cop #2
522766	323501	Photographer
522766	336692	Jon Tan
522766	337327	Bodyguard Yan
522766	342618	Dr. Yoshida
522766	354936	Older Ming (Montréal)
522766	366983	Oshina
522766	369421	Cop #4
522766	386497	Kevin Sung
522766	390775	Cliff
522766	404112	Reader
522767	176816	
522767	188843	
522767	300512	
522768	76426	Two Face
522768	116343	Shang
522768	135479	Master Ruthless
522768	152116	Hood with Moustache
522768	167509	Inspector Hua
522768	167847	Ngai
522768	170255	Chen Kuo-Wei
522768	184603	
522768	227247	Foggy
522768	286902	Martial Arts Instructor
522768	298696	
522768	300747	Monk
522768	303407	Master Fox
522768	323090	
522768	332098	
522768	343177	
522768	368062	Honorable Manchu Soldier
522768	369705	Killer Bird
522768	371630	Assassin
522768	371930	White Tiger
522769	2789	
522769	43750	Vieux Fu
522769	63284	Master
522769	63470	
522769	75684	
522769	85883	
522769	114529	
522769	116343	Old Guard at the Temple
522769	135101	Old Master
522769	135479	The Drunken Master
522769	152053	
522769	152067	
522769	167390	
522769	170255	Sam Seed
522769	181803	
522769	191006	
522769	192445	
522769	204058	The Blind Master
522769	227247	Sam the Seed
522769	239668	Master Shing
522769	251657	Tung
522769	297487	Teacher
522769	298052	Grandmaster Pai Cheng-Cheh
522769	300455	
522769	333513	
522769	365211	
522769	368482	
522769	374907	Tao's Teacher
522770	2098	
522770	48439	Stuntman in drag on film set
522770	116648	
522770	149006	Master of the Dead/Teddy Wong
522770	167362	Plain-clothes policeman
522770	167509	Henchman
522770	196669	Acrobat
522770	198643	Yeung Seung
522770	203117	
522770	279097	Master Chen's son
522770	300380	Salvage-corps man
522770	369787	Loan shark
522770	371500	Tomato thrower at theatre
522771	30793	Filipino
522771	83916	Chung, Hotel Servant
522771	84140	Sun Wat Lin
522771	199205	Chang Gow
522771	286343	Filipino
522772	368062	
522773	8766	Swordsman
522773	8939	Lo Ban
522773	15182	
522773	15297	
522773	36430	Mute Buddy
522773	48095	Himself
522773	58355	Tse Fu Biu
522773	62191	
522773	62193	
522773	63282	Iga
522773	63283	
522773	63389	Ola
522773	63470	
522773	76838	Dee's Father
522773	92797	Yip Man
522773	94289	Cameo
522773	95193	Giggling General
522773	96552	
522773	100700	
522773	101700	Tournament fighter/Uncredited
522773	110603	Hua Hsien-Wu
522773	111206	
522773	114529	Thug
522773	116648	Security officer/convict
522773	121442	Gangster accompanying Kidstuf
522773	121781	Lee Jing
522773	122711	
522773	123389	Lo Chen's second
522773	126808	Vampire
522773	131186	Ha La Chak
522773	131270	Communist watcher
522773	135481	East Bay Sergeant
522773	141871	Bloody Wolf
522773	141921	
522773	149006	Master of the Dead (in train 
522773	151995	Demonic Old Man
522773	152004	
522773	152095	Chairman Wah
522773	152114	Yuan Hua
522773	165889	
522773	167366	Fung San
522773	167449	Wu-Yuan
522773	167819	Panther
522773	167846	Provocative Japanese at park 
522773	170587	Opera acrobat
522773	176390	
522773	179937	Coach
522773	179950	
522773	181538	Tam Tien
522773	181792	
522773	184603	Thug
522773	187532	Panther
522773	191319	Fang Kuo Ho
522773	192469	
522773	193892	Master Chow Fei-Hung
522773	193893	Yan
522773	194082	Uncle Tak
522773	198562	Tin
522773	198590	Fighter in casino
522773	198643	Ma Tai Cheung
522773	203117	Cheng Wan-To
522773	210982	
522773	212537	
522773	216652	
522773	217137	
522773	217139	Sifu Lone
522773	218038	Lu's Man
522773	227121	
522773	231977	Tin
522773	233633	Drug dealer (cameo)
522773	236287	
522773	254946	Blackmailer's henchman
522773	257097	
522773	258410	Guard at casino
522773	268620	Lin Chia-Teng
522773	268763	Brother Wah
522773	275562	
522773	277560	
522773	286973	
522773	297485	Bodyguard with spear
522773	297513	Li Chin
522773	298372	Tee Tung-Feng/The Saint Hero
522773	298696	Banned customer
522773	300618	Palace bodyguard
522773	300748	
522773	319406	Thug
522773	321438	
522773	326353	Villain
522773	332513	Thug
522773	332532	
522773	332610	
522773	334141	
522773	334211	
522773	358915	Bodyguard
522773	360990	General Yuen
522773	369581	Black Section Sorcerer
522773	369698	Policeman
522773	369726	Zhor
522773	370819	Leader of Robbers
522773	371511	
522773	371512	
522773	373267	Father Gam
522773	374921	
522773	376059	The Chairman
522773	391748	Tan Shi
522774	126606	Johnny Chai
522775	20620	Tiger #4 - Wu
522776	229260	Chinese Miner
522777	64177	
522777	77901	
522777	91639	Himself
522777	95193	Yun, Yen-Hoy
522777	135481	
522777	138626	Man at Dinner
522777	167362	Master Dragon
522777	181810	
522777	201505	Himself
522777	201516	Himself
522777	207990	Kung Fu Choreographer
522777	216399	Hung Yat-San
522777	268739	Mini
522777	270020	
522777	370608	Sergeant Kayama
522777	371447	Master Yi
522777	371459	Triad
522777	375917	Sleeping Cop
522779	152116	Luk Wan-Ting
522779	153047	Huo Yuen-Chia as a Youth
522779	160639	
522779	369705	Cheng's brother
522779	369973	Yao Jie
522780	204058	
522781	37681	Herman Stinkler
522782	9113	Himself (White Zombie guitari
522783	287703	Flower Prince
522783	331984	Flower Prince
522784	13795	Himself
522785	230142	
522787	209237	Hacksaw
522788	394104	Gorou Yura
522789	123446	
522789	130486	Prime Minister
522789	130495	Army Chief
522789	180498	Taizô Minagawa
522789	225614	Business manager
522790	258936	Additional Voices
522791	32138	Short Thug
522791	270315	Elvis
522792	1757	Kikumatsu Umetani
522792	76844	Yura
522792	373389	Shinji Kubo
522793	35655	Dead Dreamer
522794	137035	Dhrupick
522794	350198	
522795	343871	
522796	172105	Takemaru
522797	28865	Sojiiro Inoko
522797	122950	
522797	172105	Ieyasu Tokugawa
522797	199251	Kiriyama
522797	200977	The state secretary
522797	244528	
522797	271915	Tango Hirayama
522797	298732	Narrator
522797	334165	Noguchi
522797	334910	Manager of beauty parlor
522797	372000	
522797	373218	Member of climbing team
522798	142920	Child
522799	16402	
522799	87635	Himself/Guildenstern
522799	118925	Grigori
522799	134906	Chazov
522799	137930	Alexander
522799	142920	Jamy
522799	193207	Iain
522799	196233	Dull
522799	219506	
522799	221536	Friar Francis
522799	248116	Alec Moran
522799	252479	Alexander Smeaton/Kevin Gourl
522799	290275	Detective Chief Inspector
522799	294220	Dunkie
522799	309293	
522799	316904	Rod Edmunds
522799	368395	
522799	369343	Det. Insp. Doug Kersey
522799	390948	Lachie McCrae Snr (1995)
522799	398139	Malo Gagnepain
522799	398463	Alan
522799	399931	Charles
522799	411552	Det. Insp. Doug Kersey
522800	19808	Worshipper
522800	54953	Butler Student
522800	72208	Hockey Player/Cop
522800	73247	Stanley Falco
522800	96832	Lazlo
522800	194756	Vilhjalmar
522801	63510	Isico
522802	171886	Ibrahim
522803	12052	
522803	226380	Sebastian
522803	248288	Ubaldino
522804	51482	Coroner
522804	106671	Vietnamese Man #2
522804	114364	Chinese baker
522804	155011	Korean Man
522804	155635	White Eye
522804	178099	Chinese Restaurant Owner
522804	185228	Hu Yi
522804	193175	Bill Lau
522804	197324	Chinese Thug
522804	222786	Dr. Chang
522804	260357	Assistant Cook
522804	270622	Japanese
522804	279859	
522804	314697	Joey
522804	366316	Maintenance guy
522805	109684	
522806	161939	
522807	77907	Aizawa
522807	194874	Commercial Director
522807	261592	
522807	296510	Onimatsu
522807	334945	Hiro Yamaguchi
522808	30987	'Wild Seven' Member
522809	121347	Dan
522809	313305	
522809	407106	Dan
522810	337885	
522811	43389	
522811	265938	
522812	238766	
522813	285208	
522814	9603	
522814	28503	Pvt. Seryozha Pavlov
522814	34227	
522814	46101	Father Paisi
522814	60453	
522814	60454	
522814	60729	Civilian
522814	63581	
522814	77099	Sergeyev
522814	82495	Yevdokimov, trucker
522814	88617	
522814	104434	
522814	127454	
522814	134758	Abalov
522814	157301	
522814	163163	
522814	169833	Toshiya Matsuoka
522814	176071	
522814	179225	Grisha
522814	179910	
522814	187786	
522814	194651	
522814	198151	
522814	202553	
522814	224498	
522814	232668	Kudryashov
522814	238822	Grizha's Father
522814	239351	
522814	244044	
522814	244164	
522814	253560	
522814	259802	
522814	262498	
522814	267863	
522814	294019	
522814	301291	
522814	323324	
522814	325204	Romashkin
522814	339232	
522814	340659	
522814	349158	
522814	349316	Sasha's father
522814	352817	Krushenkov
522814	356921	
522814	373273	
522814	374464	
522814	374716	
522814	401314	Stepan
522814	402924	Stepan
522815	174994	Student B
522816	8803	Toshio
522816	9187	
522816	127862	
522816	147327	
522816	219301	Jiro Ikeda
522816	227319	Ichiro Munakata
522816	227320	Ichiro Munakata
522816	358406	
522816	359706	
522817	296510	Ninja Hayabusa
522818	17420	
522818	259038	Ôtachi (Furret)
522818	393503	Genshi-kun
522819	113327	Firion (Final Fantasy II)
522819	122523	Firion
522819	209785	Zero Enna
522820	384223	Kenichi Gou (Steve Armstrong 
522821	349103	Owner of boxing gym
522822	316620	Soldier A
522822	386776	Yakon, Mô Kekko
522823	2618	
522824	19595	Takeuchi
522824	61464	Seyama
522824	239481	Father of Tsukamoto
522824	374633	
522825	277515	Dixieland Band Trombone Playe
522826	130181	Marco
522826	195604	Mike
522826	295631	
522827	324092	
522828	148753	Déménageur
522829	557	Lapinan
522830	369976	
522831	132000	
522831	239368	
522831	375672	
522832	64153	
522833	64153	
522834	59432	
522835	5449	Zimmer
522835	7631	Mercenary
522835	40004	Yeoman Warder
522835	60237	Wim Vanderbourgh
522835	64847	Max Wharton
522835	66936	Marshall
522835	75809	Harvey
522835	78809	Samuel Garfield
522835	102568	Ol' Man At Flea Market
522835	130848	McCloskey
522835	165102	Bill Smith
522835	176815	Woods
522835	194993	Peterson
522835	211336	Carl Pembroke
522835	241248	
522835	242729	General Hightower
522835	243623	Odd Job
522835	258881	Martin Cullen
522835	270925	Slade
522835	279142	Long John SIlver
522835	285271	Freddie Selkirk
522835	297290	Bill Matthews
522835	297356	Soldier
522835	310944	
522835	337849	Jack (barman)
522835	359407	Colonel #1
522835	365263	Sgt. Tosh Donaldson
522835	365426	Andy Wilson
522835	366260	Andy
522835	376037	
522835	376104	Cpl. Fields
522835	386269	
522836	71	Dan (Casey & Matthews Waiting
522836	9055	Pedestrian
522836	26144	Mason, Aide to Reed
522836	29691	Bartender
522836	38042	Milton (bartender)
522836	41024	Street Cleaner
522836	43992	Ed Murphy
522836	44501	Ed Collera
522836	47138	Jiggs
522836	52659	Passerby
522836	67842	Sleepy Neighbor
522836	95028	Attendant at Resort Dock
522836	108430	George O'Flanagan
522836	109415	One of the Actors
522836	115838	Barker
522836	117110	Fred, Porter at Train Station
522836	118040	Counterman at Diner
522836	123141	Mike, Who Whistles the Tune
522836	126590	McMannis, a Bartender
522836	129836	Joe, Crystal Palace Bartender
522836	132765	Stagehand
522836	139586	Jones
522836	154182	Theater Doorman
522836	154916	Little 'Butch'
522836	155678	Vaudeville comic
522836	167527	Jiggs
522836	167528	Jiggs
522836	167529	Jiggs
522836	167530	Jiggs
522836	169889	Munk, the Tire Man
522836	174594	Sign Poster
522836	175209	Mr. Alberts
522836	177988	Bath House Attendant
522836	194721	Tenant
522836	201150	Elevator Operator
522836	201152	First Carnival Barker
522836	206414	Waiter
522836	209660	Shorty
522836	213469	Matinee movie patron
522836	213475	Immigrant from Ireland
522836	222672	Doorman
522836	224368	Hardware store man
522836	228911	Barney
522836	230731	Maurice
522836	235602	Police Officer
522836	240237	Ericson, the tailor
522836	247372	Waiter
522836	254543	Sailor on Blown Up Ship
522836	255327	Stage manager
522836	263117	Mike, the Stage Doorman
522836	270615	Dental patient
522836	292511	Lunch Room Counterman
522836	295439	
522836	296827	Henry
522836	304959	Painter
522836	316221	Barber
522836	316955	Ticket Seller at Fair
522836	318101	Man Wanting Match
522836	318175	Joe
522836	321529	Ice Cream Vendor
522836	329592	Comic
522836	330105	County Jail Inmate
522836	330384	Barber
522836	330514	Waiter
522836	331398	Cab Driver
522836	339394	Sign Painter
522836	342873	The carpenter
522836	365350	Jerry
522836	367577	Building Superintendent
522837	116590	
522837	303550	Referee
522837	365121	Alan's Father
522837	372406	Clerk of the Court
522838	69363	Robert
522838	120300	Robin
522840	63272	
522841	3048	Rick Anderson
522841	14122	Thaddeus Rains, President Roc
522841	14125	Narrator
522841	14152	Charles Conlin
522841	18028	Paul
522841	21166	Himself
522841	26471	Harold
522841	27207	Dr. Berrisford
522841	31727	George Grierson
522841	33395	Robert Calder
522841	53793	Elmore Silk
522841	60465	Bud's Editor
522841	65501	James Cutter, National Securi
522841	69817	Thomas Foran
522841	72504	Congressman Dies
522841	75706	Black Harry
522841	79408	John Franco
522841	88761	Wyatt Earp
522841	95872	John Blackwood
522841	100087	Senator Bell
522841	100855	Joe Morgan
522841	106746	J. Edgar Hoover
522841	107100	David
522841	109610	Conrad Kroll
522841	127255	Judge Stephen 'The Hammer' We
522841	131651	Chief Harrigan
522841	133929	Hog Yancy
522841	137857	
522841	141272	Keneally
522841	149975	Admiral Quinn
522841	153147	Leon Friedman
522841	155888	Professor Speras (segment "19
522841	158789	Leduc, A Doctor
522841	169949	Bruno Ristau
522841	169999	Narrator
522841	177443	Hargrove
522841	185314	Wilbur Bryant
522841	185583	Jesse James
522841	187256	Zebulon Yandro
522841	187901	Narrator
522841	193235	Dr. Robert Mercer, Dempsey's 
522841	194289	King Edward IV/Himself
522841	200925	
522841	210484	George 'Machine Gun' Kelly
522841	213190	Casey
522841	214090	Stanley Goldkiss
522841	215729	KGB Agent Alexander Fomin
522841	222265	Dr. Leeds
522841	222573	General Clark Tully
522841	227797	Leo Watts
522841	232004	Marty Heller
522841	232189	Billy 'Bowlegs' Baines
522841	249177	
522841	253059	Phillip
522841	272235	Isaac Pratt
522841	280432	Arthur Pennington
522841	283713	Agent Sterling
522841	289558	Mel Bernstein
522841	291101	Voices
522841	312563	Detective Oller
522841	314224	Eddie Cassidy
522841	317264	Dad Smalley
522841	323208	Gen. Tyson
522841	329954	Marvin Boyd
522841	330609	Haman
522841	337814	Detective-Lieutenant Doug Ros
522841	337844	General Hathaway
522841	339382	Lieutenant Kastner
522841	340899	Gen. George C. Marshall
522841	353525	General Dan Shomron
522841	355104	Judge Henry
522841	359894	
522841	362774	Prosecutor Joseph Antonelli
522841	380713	Michael Christopher (1984-198
522841	392177	Deek Peasley (episodes 7-10) 
522841	403509	Sen. Joseph McCarthy
522841	411262	Neal Frazier
522842	235675	Mitch
522842	330701	Nick Hudson
522843	181274	
522844	200771	Luen-Luen
522844	371529	The Soldier
522845	4471	
522845	284732	
522845	359008	
522846	132212	Mr. Karacura
522847	129198	Chinese Staff Officer
522848	317320	Gary
522849	211942	Bob (clone mentor)
522851	238072	High Roller at the table with
522851	351187	Doc Sandy
522852	6548	
522852	7329	
522852	9263	
522852	9538	Vassili
522852	28503	Sergeant giving bars of soap
522852	48770	
522852	76481	
522852	95650	Graf
522852	126265	Cossack Sashko Kozir
522852	132081	
522852	132097	
522852	134186	
522852	171683	
522852	178727	(segment "Konsultant po epokh
522852	179905	
522852	180238	
522852	181277	
522852	198165	
522852	217454	Popov
522852	219723	Himself
522852	226693	
522852	229082	
522852	237682	
522852	238107	
522852	238312	
522852	238766	Aleksei Trofimov
522852	238786	
522852	241936	
522852	242476	Maksim
522852	253635	
522852	254234	
522852	259043	
522852	260829	
522852	261369	
522852	262188	
522852	264534	
522852	267928	
522852	273069	Ispytatel
522852	273073	
522852	283996	
522852	292986	
522852	300368	
522852	304721	
522852	309439	
522852	310490	
522852	312507	
522852	317241	
522852	318146	
522852	332987	
522852	340659	
522852	343805	
522852	349269	
522852	349296	
522852	351348	
522852	352813	
522852	354327	
522852	356119	
522852	356121	
522852	357481	
522852	371359	
522852	373273	
522852	374053	
522852	374797	
522852	374981	
522853	392551	Andrei
522854	388489	Gennadi Stepanovich
522854	392551	Skorin
522854	399344	
522854	410405	
522855	137785	
522856	122945	Ryu's father
522857	43603	Chen
522858	159038	Miguel's friend
522859	52	
522860	20196	
522860	20198	
522860	34183	
522860	84512	
522860	89412	
522860	122829	
522860	126797	
522860	126800	
522860	138320	
522860	153453	
522860	173359	
522860	175765	
522860	222430	
522860	238919	Mong
522860	285997	
522861	309426	
522862	408	Kyung-soo
522862	228443	Noma
522863	405110	Da Tou Gui
522864	156043	
522864	371849	
522865	60643	
522866	287497	
522867	104556	King-ka
522867	108230	Cha Seong-jun
522867	130272	Oh Ji-young
522867	165090	Sa Hyun
522867	218043	Director
522867	304271	Ki-min
522868	170816	Himself
522869	60664	Young-dal Ju
522869	102035	Kim Tae-shik
522869	123526	Jang, In-tae (Jin-kyeong's br
522869	153522	
522869	159616	
522869	166829	
522869	371162	
522870	335301	Mai Ling
522871	48101	
522872	162329	Fatty Du
522873	128038	
522874	371203	
522875	1021	
522875	7259	
522875	7360	
522875	18879	
522875	20062	
522875	20194	
522875	22196	
522875	27391	
522875	36549	
522875	51010	
522875	51011	
522875	60579	
522875	60586	
522875	60625	
522875	62439	
522875	78203	
522875	89459	
522875	89538	
522875	91503	
522875	94440	
522875	102069	
522875	126771	
522875	126818	
522875	127707	
522875	128037	
522875	135706	
522875	136322	
522875	136345	
522875	136408	
522875	137343	
522875	140589	
522875	147568	
522875	153431	
522875	153439	
522875	153456	
522875	158749	
522875	159693	
522875	165030	
522875	166791	
522875	167469	
522875	167476	
522875	167603	
522875	169667	
522875	199898	
522875	204126	
522875	211205	Han Jeong-woo
522875	216412	
522875	216413	
522875	222476	
522875	226561	
522875	226562	
522875	227398	
522875	228191	
522875	229892	
522875	235266	
522875	236765	
522875	236776	
522875	257089	
522875	259073	
522875	285235	
522875	287078	
522875	288175	
522875	288238	
522875	293653	
522875	294437	
522875	294473	
522875	294484	
522875	294485	
522875	313540	
522875	366016	
522875	368216	
522875	370707	
522875	371166	
522875	371180	
522875	371182	
522875	371218	
522875	371241	
522875	371864	
522875	373139	
522875	373286	
522876	214269	
522877	285214	
522878	211204	Sang
522879	175763	
522880	371150	
522881	43387	Ji-seok
522882	19617	Mu-woon
522882	89819	
522882	153553	Mr. Choi
522882	176898	Mr. Ju
522882	351888	Kang Ju-seok
522883	77680	
522884	285845	Ki-woong (story 2)
522885	343294	Liquor Store Owner
522886	106285	
522886	225988	Mr. Koo
522887	167895	
522888	294459	
522889	76653	
522890	390333	
522890	394548	Yukke
522891	318593	
522892	288170	
522893	58852	Kim, Hyeon-ji
522893	156362	Kang Dae-sun
522894	177111	
522895	7256	
522896	106216	Marine
522897	254969	
522897	286235	
522897	286725	
522898	16586	
522899	125970	
522900	60647	
522900	243882	
522901	216404	
522901	322898	
522902	205844	Bruno Fratelli
522903	235615	Mr. Yung
522904	53960	TV Talk Show Host
522904	127491	Johnny Soon
522904	137859	
522904	212025	Siberian man
522904	330130	Bruce
522904	330221	Bruce
522904	361713	
522905	15379	Tran
522905	117442	Locust
522905	147437	Cashier
522905	210537	Koichi
522906	86263	Zao
522906	109421	Johnny Tran
522906	111172	Lucky Chang
522906	160294	Himself
522906	165265	Himself
522906	228205	
522906	262959	Himself
522906	306226	Kazuo Miyamoto
522906	311856	Himself/Interviewee
522907	100008	Monk 1
522908	224083	
522909	176955	
522910	146946	
522911	78223	Liko
522911	175860	Gas Station Attendant
522912	67758	
522913	110594	Wai
522913	110596	Cheung
522913	131256	Lau Tse-Cheong
522913	179103	Yung
522913	254948	Mechanic
522913	360997	Guo Chenyong
522914	203313	Chinese Boy
522915	604	Man in Opening Scene
522915	28039	Cheung
522915	58694	Kit
522915	60556	
522915	60566	Ka-Nin Ho
522915	76286	Manager
522915	77896	General Kanezawa
522915	85455	Ka-Pao's Father
522915	86263	General Dong
522915	118648	Dr. Chen
522915	123849	Chinese At Sparrow's Pagoda
522915	135491	Male Model
522915	152115	Nakamura Genji
522915	167367	
522915	167373	Yeung
522915	167731	Bearded doctor
522915	188478	
522915	189227	Snake Expert
522915	189508	Shinsuke Takeda
522915	189593	Ninglin
522915	192449	Philip Hsieh
522915	194797	Jade Emperor
522915	203388	Litle On Dehai
522915	236249	Lucky John
522915	249377	Mick Tsao
522915	284721	
522915	286915	
522915	286996	Kau
522915	295364	
522915	300398	Yung
522915	302601	
522915	332295	David
522915	332502	Stuart
522915	354936	Manservant (Oxford)
522915	369034	Simon
522915	369604	Man with Eye Trouble
522915	369848	
522915	371509	
522915	372189	Eleven
522915	374908	Yung
522915	374947	
522915	376046	Jack
522915	376063	Tsui Ting-Fu
522915	380647	Bayfront Hotel Clerk
522915	385162	Pathologist
522916	1648	Harold Chong
522916	5524	Houseboy
522916	5840	Joe Totsuiko
522916	16042	
522916	30350	
522916	35137	Omaya
522916	41129	Cpl. Wang
522916	41800	Blue Gardenia waiter
522916	46396	Mr. Sing
522916	56605	Jimmy Chan
522916	59603	Jimmy Chan
522916	59604	Jimmy Chan
522916	59609	Jimmy Chan
522916	59611	Jimmy Chan
522916	59613	Jimmy Chan
522916	59614	Jimmy Chan
522916	59622	Jimmy Chan
522916	62000	Lin Wei
522916	62082	Proprietor
522916	62157	Tommy Chan
522916	69428	Wing Young
522916	73412	Wing, houseboy
522916	73453	Chinese Interperter
522916	78106	
522916	78115	Jimmy Chan
522916	80543	Jimmy Chan (#2 son)
522916	88830	Tommy Chan
522916	91795	
522916	103335	
522916	110375	Tommy Chan
522916	114870	Chang
522916	115188	Oke Saki
522916	115895	Frankie Wing
522916	116891	Chineese Waiter
522916	117342	Allan Chung
522916	122674	
522916	130758	Tommy Chan
522916	131418	
522916	134557	Ignacio, Castle's Butler
522916	134675	Oscar, Chris' Valet
522916	137493	Sam, hotel porter
522916	140490	Chun Fat
522916	149024	Mr. Howe
522916	152962	Korean farmer
522916	161575	Western Union Clerk
522916	167084	Capt. Chon
522916	169817	Mickey (Chinese man)
522916	170548	Spy
522916	175805	Chinese MC at the Blue Duck
522916	176810	Wei Chi
522916	181775	Chuen
522916	186277	Chinese manager
522916	187078	John Wong (church sexton)
522916	188586	Ong Chi Seng
522916	192331	Okono
522916	199205	Jefferson Gow
522916	203633	Mr. Wing
522916	204313	Armando
522916	210763	Korean Sniper
522916	218849	Takeo
522916	222740	Jimmy Chan
522916	232170	Captain Po
522916	239076	Houseboy
522916	251932	Captain
522916	260870	Detonation Ship Radioman
522916	274182	Vincent, Houseboy
522916	274245	Mr. Sing/Mr. Green
522916	280499	Rickshaw Boy
522916	285393	Chang
522916	292306	Fu Yen
522916	296965	Jimmy Chan
522916	296966	Wang
522916	297365	Tommy Chan
522916	297386	
522916	297896	Sammy Ching
522916	300864	Major
522916	306126	Waiter
522916	307368	Goldie, Hotel Waiter
522916	313916	Johnny Hon, houseboy
522916	324961	Johnny Wing
522916	324982	Wang, Rogers' store clerk
522916	330191	Gin Long
522916	332425	Long Time
522916	334340	Chinese Pilot
522916	336041	Chinese Entertainer with Swor
522916	337373	Wang
522916	338225	Jimmy Chan
522916	341707	Oriental Dock Worker
522916	349988	Ching Moon
522916	360613	Sam
522916	367586	Sammy Chung
522916	370540	Wing
522916	381086	Charlie Fong
522916	382457	Hop Sing
522917	192485	Pimp
522918	30779	Band Member
522918	63367	
522918	136329	
522918	149035	Tai-yu
522918	167418	Mr. Ching
522918	191553	
522918	286979	Chou-pan
522919	116650	Law Family Younger Brother
522920	374892	
522921	155512	
522922	335402	Chick
522923	393169	Delius
522924	140580	Flower Messanger
522925	76159	Captain of the boat
522925	349217	Attorney Artanyak
522926	123172	Zac
522926	403277	Christopher
522927	403277	Sam
522928	411366	Joe (Episode 1: Alinta the Fl
522929	32155	Emcee
522929	69917	E.R. Doctor #2
522929	70426	Oliver
522929	79428	Tom
522929	80381	John Gaughan
522929	109682	Marty
522929	141194	Ontario Pilot
522929	145013	Dave Finnell
522929	196320	Richard
522929	214976	Dr. Gary Mandel
522929	217530	Dean Braden
522929	228778	Guest #2
522929	230526	Wiley
522929	299897	Soap Opera Man
522929	314104	3 Men and Rosemary's Baby
522929	364344	Jeffrey Brandt
522930	208884	Doctor
522931	2133	Young Grand Master
522932	371896	Milika's Father
522933	371896	Lorrpu's Father
522934	371896	Matjala
522935	371896	Botj's Dad
522936	371896	Maralitja Man
522937	297799	
522937	371896	Dawu
522938	168366	
522938	267895	Sang Setia
522939	21761	Faid
522939	43163	
522939	81557	Feringea
522939	96831	Inti
522939	112714	Soldier
522939	118466	Immigration Officer
522939	123891	Illegal Immigrant
522939	150884	Jabwallah
522939	197026	Balam
522939	270001	Mak
522939	282037	Black Doctor
522939	289396	Ayub Khan
522939	323803	Rashi
522939	364147	Terrorist
522939	380647	Prince Bayinnaung
522939	386587	Cass
522939	389737	Jashir Singh Mahail (1976)
522939	396916	Santok
522939	399381	Danny Ram
522939	410712	Dr. Khan
522940	132000	
522940	356934	
522941	356444	
522942	64153	
522943	56119	
522944	67052	Peter Yip
522944	241498	Hank
522945	20093	
522945	20094	
522945	71342	
522945	149619	
522945	215097	
522945	353204	
522945	373620	
522946	231157	Clemenceau
522946	324908	Shchepkin
522946	373979	Selim Aga
522947	163887	
522948	188135	Naked Man
522949	190637	
522949	388489	Nachalnik upravleniya
522949	394752	Kapitan
522950	333782	
522951	189719	Himself
522952	60428	
522953	66096	Burke
522953	67160	Mike Newton
522953	87002	Patrick Tyler
522953	266768	Waiter
522954	89954	
522954	163925	
522954	232765	
522954	239920	
522954	273091	
522954	289861	
522954	303798	
522954	349239	
522954	373443	Stepan
522954	390635	
522955	33219	
522955	33819	
522955	43196	
522955	91485	
522955	95618	
522955	120673	Dementyev
522955	129337	
522955	133386	
522955	179910	
522955	181312	Sinitsin
522955	211319	
522955	229056	
522955	234442	A mute
522955	246897	Zykov
522955	263257	Degtyaryov
522955	267863	
522955	327129	
522955	343865	Prokhorenko
522955	357665	
522955	371291	Mamyka
522955	374867	
522955	374992	
522956	82184	
522956	154523	
522956	357237	
522956	374789	
522957	240503	
522958	9752	
522958	79475	Plemyannik Boris
522958	258614	
522958	323646	1st Civil Servant
522958	324487	
522959	39012	Boss
522960	33799	
522960	35055	
522960	35867	
522960	59979	
522960	84428	(segment "Terrorist")
522960	94505	
522960	129190	
522960	131183	
522960	218854	
522960	229218	
522960	265047	
522960	280377	
522960	299431	
522960	312432	
522960	321969	
522960	334482	
522960	348555	
522960	356912	
522960	356926	(segment "Papa")
522960	357216	
522960	370123	
522960	376229	
522961	215500	Gandalf
522962	118548	Street Junkie
522963	5701	
522963	7517	
522963	8497	Hüso, the smith
522963	9490	
522963	12649	
522963	12650	
522963	22034	
522963	22075	
522963	23125	
522963	23130	
522963	23200	
522963	24846	
522963	25618	
522963	25731	
522963	29798	
522963	31012	
522963	34504	
522963	35618	
522963	38471	
522963	38621	
522963	44600	
522963	44601	
522963	45715	
522963	50821	
522963	53269	
522963	56668	
522963	56669	
522963	57596	
522963	57823	
522963	58331	
522963	63997	
522963	76134	
522963	76717	
522963	76765	
522963	76772	
522963	76919	
522963	82314	
522963	87716	
522963	89467	
522963	89508	
522963	95554	
522963	99191	
522963	100270	
522963	102533	
522963	102535	
522963	102537	
522963	106682	
522963	107650	
522963	109968	
522963	111334	
522963	114317	
522963	123004	
522963	125934	
522963	125935	
522963	130559	
522963	136095	
522963	136747	
522963	136772	
522963	136775	
522963	136776	
522963	136777	
522963	138105	
522963	140709	
522963	142972	
522963	144532	
522963	146976	
522963	153326	
522963	156074	
522963	156204	
522963	156219	
522963	160210	
522963	161148	Her Uncle
522963	163089	
522963	163091	
522963	165704	
522963	172010	
522963	172011	
522963	172078	
522963	172649	
522963	172659	
522963	172837	
522963	173264	
522963	173414	
522963	173565	
522963	173568	
522963	173779	
522963	173783	
522963	173786	
522963	173787	
522963	173862	Baybora
522963	173863	Baybora
522963	173869	Baybora
522963	175446	
522963	175493	
522963	176689	
522963	176700	
522963	177880	Sabri
522963	178408	
522963	180319	
522963	180323	
522963	180324	
522963	181682	
522963	182811	
522963	183893	
522963	210936	
522963	212275	
522963	222546	
522963	227230	Ali Aga
522963	227237	
522963	229395	
522963	244486	Bekir
522963	271041	
522963	278534	
522963	284438	
522963	284811	
522963	284817	
522963	285248	
522963	289163	
522963	289286	
522963	293409	Selami Agacligil
522963	293429	
522963	294092	
522963	294118	
522963	301481	
522963	303016	
522963	303578	
522963	308416	
522963	308423	
522963	320407	
522963	322541	
522963	325010	Altar
522963	325011	Ulugökce
522963	349230	
522963	349711	
522963	350561	
522963	357606	
522963	370311	
522963	370367	
522963	370368	
522963	370369	
522963	370374	
522963	370635	
522963	370656	
522963	370688	
522963	370690	
522963	370908	
522963	371397	
522963	371398	
522963	373397	Komiser
522963	375887	
522963	375894	
522963	375901	
522963	377514	
522963	377539	
522963	377549	
522963	377551	
522963	377558	
522963	377561	
522963	378185	
522963	378196	
522963	378219	
522963	378233	
522963	378241	
522963	378248	
522963	378271	
522963	378601	
522963	378604	Resat
522963	395012	
522964	200671	
522965	371562	Himself
522966	126395	Vater
522967	126395	Ahmed
522968	38923	
522968	51351	
522968	378612	
522969	87551	Yacht Club Goon #5
522970	261680	
522971	63609	
522971	88584	
522971	91485	
522971	132080	
522971	160110	
522971	178798	
522971	180856	
522971	206291	Actor #1
522971	252804	
522971	254234	
522971	263671	Igor
522971	263672	
522971	283819	Tushin
522971	285208	
522971	303217	
522971	326978	
522971	349311	
522971	360064	Corporal
522971	394785	
522972	49132	
522972	132204	Fon Mekk
522972	332989	
522972	339241	The Porter
522973	344278	
522974	56595	
522974	202184	
522974	265839	
522975	147232	
522976	61050	
522976	63542	Nonta, Heigoro's cousin
522976	78333	Genzo
522976	97635	
522976	125457	
522976	136392	Arao
522976	163769	Heisaku
522976	171529	Army Doctor
522976	173713	
522976	176600	Yoshikawa
522976	233123	Kumagoro Ishikari
522976	234244	
522976	329559	
522976	358947	Gisuke Shoda, who talks about
522977	240744	Himself
522978	359170	Jacob 'um-daddy' Jenkins
522979	74104	WEC and LMC Guards
522980	80051	Johnny, Belyj's Buddy
522981	79401	Sulpice
522981	197052	Ascanio Petrucci
522981	213587	Pooh-Bah
522981	246545	Tonio
522981	314733	Stankar
522982	197114	
522983	227956	
522983	355741	
522984	259809	
522985	312963	
522986	140310	Dream Extra
522987	276858	Police Officer
522987	320084	The Matador
522988	119820	Student in the Play
522989	245337	Kid in Museum
522990	142426	Willoughby
522990	175100	Vinnie Cavell
522990	239721	Det. Seroly
522990	277904	Jeff Scott
522990	288430	
522990	297136	Arnold the Kid
522990	335165	Frank Barber
522992	258363	Plumock
522993	94175	
522993	357445	Prof. Otto Dietrich
522993	374981	Zhukovsky
522994	10521	Qasim
522994	23839	
522994	60435	Chudak
522994	60731	
522994	76486	
522994	83326	Monsieur Jardin
522994	91481	
522994	161079	Masks
522994	162674	Maître Roché
522994	163043	First inspector
522994	163161	
522994	179911	
522994	180357	Tartaglia
522994	180854	
522994	198138	Dyadya Mitya
522994	212324	
522994	228998	
522994	246347	
522994	256804	American Spy
522994	261911	
522994	276300	Vicknixor
522994	303814	Keeper of fairy tales
522994	305111	Jules Ardan
522994	335000	Reader (Sigmund Freud)
522994	349310	(segment V odin prekrasnyj de
522994	357349	
522994	357627	Oppenheimer
522994	357637	
522994	373608	Sheremetieff
522994	375666	Ostap Bender
522994	378776	
522994	394785	Rene
522994	396605	Improvisator
522994	397513	Gruzdev
522994	402481	
522994	402494	Yakov Guberman
522995	158623	
522995	163040	
522995	173679	
522995	253639	
522995	284044	
522995	284045	
522995	332990	
522995	337879	
522995	340419	
522996	238102	
522997	312693	King of Thieves
522998	104728	Himself
522999	32313	
522999	38433	
522999	79473	
522999	129128	
522999	322552	
522999	360036	
522999	382135	
523000	333782	
523001	256895	Kremlin Official
523002	239928	
523002	261593	
523002	265846	
523002	280455	
523002	350729	
523002	351800	
523002	357128	Malyanov
523002	394750	
523003	84416	Captain Tom Grant
523003	317099	Dr. Stepanov
523004	198813	Ichiro Shiraishi
523005	19778	Narrator
523005	289629	Yusef, the head bearer
523005	308778	Shadow the Hedgehog
523005	369533	Operator B
523005	384220	Ironhide/Thrust
523005	384236	Ginga Torikai
523005	405942	Shadow
523006	214661	First Boy
523007	124506	The Gathering
523007	185516	Young Ray
523007	292228	Sandwich Bar Owner
523007	327724	Peter
523007	345858	Security Guard
523007	408868	PC Barry Skinner
523008	5078	Isaac (age 5)
523008	169135	Little Joseph
523008	219705	Sinai young boy
523009	26598	Referee
523010	395852	
523011	258614	
523012	284355	Aleksz
523012	289861	
523013	179659	
523013	320541	
523014	263424	(segment "Doroga")
523014	283826	Maksimych
523015	172430	Sergei Petrovich
523015	173019	Starkov
523015	200993	Vladimir
523015	239958	Viktor
523015	315938	Nuna
523015	394821	Kent
523016	35864	
523016	349362	
523016	375662	
523017	60699	
523017	98585	
523017	211319	
523017	234298	
523017	268138	
523017	278837	
523017	339246	
523017	357675	
523018	258590	Simakov
523019	12807	
523019	237965	
523019	263257	Volodya
523019	294017	
523019	394814	
523020	141656	Russian merchant
523020	151101	Bistrong
523020	229852	
523020	252925	Russian Delegate
523020	340738	
523021	265545	
523022	93840	
523022	205551	Jefri
523022	370001	
523023	39693	Azlan
523023	197647	Farid
523023	210929	
523023	247388	Ariff
523023	252812	Heikal
523023	260062	Danial
523023	271459	Raja Melewar
523024	63409	
523024	334690	Federico
523024	355798	
523025	103487	
523026	6500	Tomás Bernal
523026	7246	
523026	19489	Conde Capra Negra
523026	23368	Benítez
523026	66396	
523026	71193	
523026	99938	Various characters
523026	154542	Himself
523026	156085	Himself
523026	163880	Himself - Presenter: Best Mus
523026	193192	
523026	206572	
523026	206573	
523026	221756	Himself - Él mismo
523026	279839	Martín
523026	349334	Himself - Presenter: Best Lea
523026	354272	Himself - Presenter: Best Lea
523026	376743	Various characters
523026	379432	Agente 700
523026	396927	Marqués de Sotoancho
523026	397307	Ricardo
523026	399609	Himself- Host (2000)
523026	408418	Joaquín
523027	249910	Conserje Hotel Madrid
523028	50846	Rafa
523029	265616	Brandon
523030	204	
523030	8143	
523030	23042	
523030	33484	Lic. Chinchurreta
523030	39083	
523030	61867	
523030	62304	
523030	68557	Santiago
523030	68845	
523030	74899	
523030	80322	
523030	84225	
523030	91364	
523030	96271	
523030	101825	
523030	101849	
523030	114336	Viejito
523030	118333	Abejita
523030	124442	Miguel
523030	193344	Gran Saddam
523030	195031	
523030	198993	
523030	198998	
523030	199010	
523030	211712	
523030	215979	
523030	217305	
523030	247416	
523030	249796	
523030	253380	
523030	270447	Chilaquil
523030	276485	
523030	277380	
523030	292763	Charrascas
523030	309085	
523030	334568	Borracho
523030	336293	
523030	347083	
523030	371693	
523030	373953	
523030	384161	Jorge Villareal
523030	392844	Candido
523030	402050	Policarpo
523030	407245	Julio Fernandez (1990-)
523030	410109	Host (2001)
523031	1392	Revolutionary
523031	13130	
523031	49316	
523031	83741	
523031	91466	
523031	95031	
523031	156256	
523031	249645	
523031	262857	
523031	326702	
523031	373315	Yusuf
523031	400744	Panji
523032	105216	Customer in Salon
523033	27529	
523033	56849	Andy
523033	56850	Andy
523033	275133	Kung
523033	393277	Handoko
523033	393278	Handoko
523033	393426	Jojo
523033	404295	
523034	174398	
523035	173132	
523036	272486	
523037	158516	Bus Driver 3 (Iran)
523037	256893	Shashibhushan
523038	61062	Paul
523038	62251	
523038	125251	Thug/Bystander
523038	125259	
523038	172286	Submarine Captain
523038	177698	Submariner
523038	177699	Submariner
523038	179542	Gambler
523038	181982	
523038	205803	
523038	219831	Nelson's Rolisican Henchman
523038	219835	Missile Surveyor on US Ship
523038	232580	
523038	233128	
523038	233132	Prof. William Clark
523038	235372	
523038	243898	
523038	293661	
523038	323239	
523038	344020	Bystander
523038	344955	Sailor
523038	362558	Gambler
523038	372004	Employee
523038	375621	American Sailor
523039	22076	
523040	291595	
523041	164169	
523042	25708	Inyzh-Gerej
523043	375472	
523044	87034	
523045	234648	
523046	2974	
523047	187802	
523048	64153	
523048	179258	
523048	202301	
523048	236637	
523048	305878	
523049	132354	
523049	173705	
523049	181694	
523049	263673	
523049	303791	
523049	305206	
523049	373784	
523050	271886	
523050	374601	Daidohji
523051	292175	Go
523052	367160	
523053	63629	
523054	187785	Narrator
523055	20497	
523056	235404	Acting Instructor
523057	137007	
523058	383979	Ryo
523059	239946	Museum Director
523060	91520	Harada
523060	214742	Head Yakuza 1
523060	227323	Hideo Sawaki
523061	30987	Child Terrorist
523061	374113	Iioka yakuza member
523062	22053	
523063	375663	Papa Carlo
523064	373334	Himself
523065	171425	Daisuke, Son
523066	82930	Attendant
523066	110262	Himself
523066	229243	Cabbie (wraparound)
523066	379011	Himself
523067	301679	Lonnie
523067	301680	Lonnie
523067	306785	Jason
523068	265516	Boy Patient
523069	110100	Punk
523070	61765	The Children of the Corn
523071	274085	Himself
523071	303537	Red Elvis
523072	226214	
523072	323322	
523073	273029	
523074	206226	
523074	217877	
523075	64951	Baby
523076	163588	Himself
523077	171416	
523078	112888	
523078	205778	Agent maritime
523078	217842	Cuistot
523078	276548	Pierre
523079	345561	Le paysan au tracteur
523080	84678	
523081	6402	Le docteur
523081	16613	
523081	17731	L'agent du commissariat
523081	44963	
523081	54392	
523081	57517	
523081	58325	
523081	59774	Un salutiste
523081	73185	
523081	76166	Le dormeur
523081	83370	
523081	111087	
523081	111695	
523081	115801	Alexandre
523081	121411	
523081	144320	
523081	169367	
523081	170471	Un homme du village
523081	188697	
523081	214797	Un client du cabaret
523081	216124	
523081	218282	
523081	236586	
523081	283048	Le peintre
523081	287595	Un client du taxi
523081	301528	
523081	321826	
523081	328048	
523081	336981	Le conteur
523081	350078	Le frotteur
523081	355861	
523081	357113	Le capitaine du navire
523081	357117	
523081	396667	Himself (2001-)
523082	28871	
523083	123055	
523083	169289	
523083	197388	Un ouvrier
523083	224483	
523083	309736	
523083	345112	Nonancourt
523083	377939	
523084	123887	Policeman
523084	134943	Boyfriend of Woman at Gröna L
523084	154323	Mikkelsson
523084	176770	Party Guest
523084	246492	
523084	303674	Arne (as Marvin Yxner)
523084	304218	Gabriel, Angelica's son
523084	304424	Sentry
523084	305528	Tarzan
523084	396345	Riksdagsledamot 1809/Member o
523084	398828	Secretarius
523084	401207	Janne Fuglesang
523085	72771	
523086	293629	
523087	1741	Himself
523087	130673	Team Canada Forward
523087	194521	Himself
523087	273981	Detroit Red Wings Forward #19
523088	270138	L.A. Scientist
523089	52060	
523090	67054	The snitch
523090	73281	Assailant No. 2
523090	270255	
523091	147695	
523091	170975	
523091	186967	
523091	235046	
523092	167083	
523092	193070	
523093	251011	Mariachi Singer
523094	202204	
523094	217585	
523094	217586	
523094	253306	Joel
523095	308905	
523096	21680	
523096	28905	
523096	55603	
523096	70095	
523096	70141	
523096	86048	
523096	101045	
523096	129182	
523096	142258	Rodrigo
523096	148146	
523096	179017	Mario
523096	202287	Profesor Andrés
523096	203344	Bodyguard 2A
523096	209824	Gen. Garcia
523096	212620	Jose
523096	221672	Fernando
523096	227682	
523096	238118	
523096	242652	
523096	247588	
523096	259846	
523096	267216	Mike Toro
523096	279725	Diego
523096	365451	Frankie Condo
523096	370326	José Luis/Yako
523096	380104	Alfonso
523096	383528	
523096	387100	Enrique
523096	387552	Leonardo Rivadeneyra
523096	390733	Alfredo Robinson
523096	396604	Diego
523096	396873	Luis Felipe Sandoval
523096	402704	Carlos
523096	404371	Benny Serna
523096	404827	Manuel Fortuna
523096	407640	Camilo
523096	409289	Fabián
523096	411710	Aldama
523097	300827	Wapero
523098	217585	
523098	217586	
523098	251971	
523099	22672	
523099	22770	La Marrana
523099	29049	Quintana
523099	29059	Orejas
523099	36457	
523099	52010	Caguamo
523099	52765	
523099	65011	Juan
523099	67753	
523099	70889	Don Sabas
523099	80189	Gregorio
523099	91311	Manotas
523099	100932	
523099	103115	
523099	120992	
523099	124442	Conrado
523099	131100	
523099	135113	
523099	135353	
523099	137424	
523099	157157	
523099	159419	
523099	160663	
523099	167801	
523099	192940	
523099	197439	
523099	201625	Himself
523099	211170	Matilde
523099	212246	
523099	218498	Bonifacio Vizarrón
523099	221939	Eneas
523099	225045	
523099	234493	
523099	252750	
523099	253304	
523099	259845	
523099	264264	Polvorón
523099	287462	Assistant to Ojeda
523099	287908	El Gringo
523099	335525	Asaltante
523099	351838	
523099	353226	
523099	379602	El Colorado
523099	380939	El Gordo
523099	384988	Bautista Rosales
523100	402045	Pepiño
523100	411571	Arroz Hacker
523101	193070	
523102	80254	Judicial 1
523102	216063	Juan
523102	380099	Danilo
523102	384400	Don Roberto Villasana 'papa d
523102	403741	
523102	411712	Raúl
523103	52237	
523103	120713	
523103	339950	
523103	380242	
523103	381861	Valentín Moreno
523103	383812	
523103	384054	Marcos Lizárraga
523103	384984	
523103	393175	
523103	396925	Walter
523103	399612	El Rubio
523103	401634	
523103	407644	Don Toto
523103	408562	
523103	408722	
523103	409283	Tuco años 80
523103	412301	
523104	70865	Cliente terremoto
523105	58043	
523106	198363	
523107	29706	Porteur de maïs
523108	672	Melchor Rivero
523108	387101	
523109	56500	
523109	90137	
523110	325131	
523111	214659	
523111	307159	
523112	5695	
523112	51356	
523112	82320	
523112	394927	Aslan Bey (2003-2004)
523112	407308	
523112	412318	Orhan
523113	11740	
523113	48007	
523113	178389	
523113	407308	Yusuf Kaptan, Fikret's father
523114	412319	
523115	386060	Ippei Akaki/Denzi-Red
523116	371474	
523117	229063	
523117	407308	
523118	25730	
523119	8497	Ismail
523119	8589	
523119	22090	
523119	25686	
523119	32511	
523119	38473	The Trumpeter
523119	39092	Zurna
523119	53022	Munzur
523119	63796	
523119	79477	Aga
523119	82314	Deli Cavus
523119	83024	
523119	83330	Haþim
523119	89467	
523119	95561	
523119	107356	Fahriye's father
523119	113716	
523119	135906	Nazif
523119	136783	
523119	139863	
523119	140608	
523119	153964	
523119	163119	
523119	172001	
523119	172648	
523119	172973	
523119	173415	
523119	173764	Kahya
523119	175444	
523119	176212	Father of Gülo
523119	180611	Ebubekir
523119	200430	
523119	211287	
523119	238930	
523119	284810	Sünnetci
523119	285966	
523119	293892	
523119	294092	
523119	318613	
523119	325007	Piyer
523119	370366	
523119	377570	
523119	378223	
523119	400890	
523120	38466	
523120	124914	
523120	137559	
523120	162703	
523120	187629	
523120	294118	
523120	308475	
523120	370396	Sari
523120	376621	Nejat
523120	378223	
523121	104723	Himself
523121	104726	Himself
523121	104728	Himself
523121	104776	Turkish entry (11th place)
523122	156210	
523123	38492	Himself
523124	34235	Yusuf
523124	100947	Cevher
523124	137335	
523124	240540	
523124	377517	The repairman
523125	19535	
523125	21984	
523125	28250	Necati
523125	103605	Cumali
523125	221848	
523125	293721	
523125	329160	
523126	295252	
523127	9382	Davut
523128	212060	Metin
523129	13826	Eric
523129	31855	Zavic
523129	37375	Troudou
523129	42804	Shop Owner
523129	60746	Chet, Lester's Gang
523129	78023	Igor
523129	78078	
523129	80448	Maximum
523129	80724	Moz
523129	81533	Turk
523129	84142	Vinnie
523129	88068	
523129	91576	Mongoose
523129	92862	Lochaber
523129	93020	James Burns
523129	101697	
523129	102208	Ray Tobin
523129	105368	Sheriff O'Connell
523129	109705	Franco
523129	113391	Sergei
523129	119937	
523129	120430	Sam Hell
523129	121374	Brutis
523129	122210	Cyborg Master
523129	129761	Reggie
523129	134632	Eric
523129	136019	Z-Man Lord Invader
523129	142527	Brad
523129	147677	Sergeant Dieter
523129	150080	Bruno
523129	156438	The Duke
523129	176888	Miller Richardson
523129	176921	Tony
523129	176942	Antonio
523129	187346	Jocko Painter
523129	193725	King Coach
523129	205255	Muck
523129	206158	Biker Convict
523129	216708	Bobby
523129	216737	Rocco
523129	219659	Harry
523129	232181	Lord Jonquin
523129	232229	Sommers
523129	258554	Cobra Khan
523129	265352	Serano
523129	269850	Russo
523129	274194	Gene
523129	280065	Dieter
523129	286854	
523129	289673	Officer Cordell
523129	291962	
523129	296814	Capt. Washington
523129	301635	
523129	309597	Angel of Death
523129	315586	Alan
523129	318863	Walsh
523129	324422	Face (AKA 'Conan')
523129	336452	Test subject
523129	337805	Walter Majyk
523129	337990	Bongo
523129	343384	Assface
523129	345636	The Man
523129	360047	
523129	362818	Doyle McGinty
523129	365218	Officer Grady
523129	375714	Det. Bobby Romero
523130	129219	Director
523130	274200	Host of America's Semi Wanted
523130	381337	Himself (host)
523131	39927	
523132	291207	Himself
523133	99829	King Samuel
523134	1008	Walter,igazgató
523134	3273	
523134	44199	Kótsa,cigány
523134	96201	
523134	106711	
523134	144244	Közjegyzõ
523134	155968	Tirtsák tanár úr
523134	190743	Körmendy
523134	195258	Milkó vezérigazgató
523134	239432	Keresztessy,államtitkár
523134	322068	The Notary
523134	322101	Gróf Duday Imre
523134	324708	
523134	377721	Dr.Horváth
523134	378346	
523134	378516	
523135	263972	Himself
523135	267565	Bobby Z.-The Revolution
523136	39484	
523136	39506	
523136	39508	
523136	39509	Himself
523136	39510	
523136	39568	
523136	39570	
523136	39609	
523136	39610	
523136	44022	
523136	76244	
523136	78751	
523136	126104	Clay
523136	127733	
523136	154198	
523136	157796	
523140	297831	
523140	306364	Host
523141	411714	Himself
523142	100131	High Roller
523142	278511	McPherson
523143	162700	Porter
523143	197438	
523144	307488	
523145	304746	
523146	377935	Un agent de police
523147	99195	Brian
523148	153827	
523148	370178	
523149	18653	Peio
523149	146771	Young Basque
523149	201216	
523149	283258	
523149	287733	
523149	336019	Cosme
523149	349545	Civil Servant
523150	373941	
523151	353672	Andrés Borja
523152	23384	Extra
523153	27857	
523153	73487	
523153	73516	Amigo del Marqués de Atalanta
523153	189046	
523153	216087	
523153	260834	Policia
523153	336249	
523153	370109	
523154	29006	
523155	193506	
523156	8696	Fraile
523156	162787	Pizzicato
523157	389677	Himself
523158	55745	
523159	10556	
523160	4915	
523160	16781	
523160	23367	
523160	30326	
523160	46928	
523160	48829	
523160	52776	
523160	59259	
523160	72887	
523160	87621	
523160	93682	
523160	103501	
523160	106015	
523160	145250	
523160	150529	
523160	181668	
523160	205000	Frutero
523160	212468	
523160	215209	
523160	221579	
523160	229425	
523160	234012	Don Mario
523160	234388	
523160	242658	
523160	255907	
523160	268440	
523160	268499	
523160	278938	
523160	318005	
523160	341881	
523160	354453	
523160	376712	
523160	376728	Off Voice
523160	380145	Román Arana
523160	380146	Román Arana
523160	387773	Don Antonio
523160	387818	Padre Hidalgo
523160	388093	Tomás Parresi
523160	388650	
523160	399578	Octavio
523160	403677	
523160	409957	Emilio Vázquez (1998-2000)
523161	103048	
523161	207032	
523162	18348	
523162	383812	Mauricio Méndez
523162	384984	Mateo Labarca
523162	391611	Martín Hidalgo
523162	396333	Álex Mercader
523162	396925	
523162	398806	Alvaro
523162	401634	
523163	225696	Himself
523163	363097	Himself (harpist)
523164	95318	
523165	370096	
523166	70646	
523166	74529	
523166	104157	
523166	169769	
523166	212526	Andrés niño
523166	287912	
523166	349457	Perico Arenal
523167	12064	Pelegrín
523167	15333	
523167	69011	
523167	169239	
523167	273030	Sacerdote
523167	293915	
523167	336249	
523167	351678	
523168	153333	
523169	24987	El maestro
523171	55966	
523171	103743	
523171	121256	
523171	184932	
523171	221575	Carlos Rosales
523171	258487	
523171	268439	
523172	97042	Jeff's Pool Guy
523173	13063	First policeman
523174	299431	
523176	180480	
523176	339490	Commissar
523176	349287	
523176	351981	
523176	375433	Fedoseyev
523177	95581	
523178	242978	
523179	115282	Erno
523180	6094	Fred Orzelski
523180	32572	Julian Dalewicz
523180	36423	
523180	70774	Governor's Adjutant
523180	75965	
523180	95897	Henryk de Fontana
523180	95953	Zygmunt Szczerbic
523180	129603	
523180	164755	Jan Oksza
523180	165590	
523180	179184	Klug
523180	181361	Zygmunt Debski
523180	204048	Lt. Niko, Prince of Quanti
523180	247553	Count Sebastian Raymond Maria
523180	247592	Adam Olszewicz
523180	305185	Stanislaw Pleszczynski
523180	311770	Jerzy Piatek
523180	323285	Henryk Malewicz
523180	341073	Gogo Kudro (raised as Gogo Ty
523180	373975	Stefan Frankiewicz alias Stef
523180	375439	Count Ksawery Rudnicki
523180	375735	
523181	101382	Hotel Receptionist
523182	93405	Magda Färber
523182	179875	Transvestit im Hotel 'Quickie
523182	223493	Mutti
523182	334621	Shop keeper (in Tuesday episo
523183	2778	Presenter/Chairman of the Aca
523183	2787	Presenter/Chairman of the Aca
523184	217533	Luis
523185	153927	Himself
523186	45694	
523186	203358	College Student
523186	209757	Cyber-Cide Commercial
523187	24674	Le père
523187	409277	Himself/Host (1986-1989)
523188	105226	Football Player
523189	250746	Redcoat private
523190	357333	
523191	60433	
523191	357230	
523191	400449	
523192	344268	
523193	18286	
523194	176567	Priest A
523195	315018	
523195	375443	Mister Schneider
523196	304578	Ted - motel man #2
523197	59493	
523198	4944	Curt Peters
523198	18246	Otto Emmerick
523198	26831	Chas
523198	70100	Rick Peterson
523198	78803	Marty
523198	93338	Kim Fisher
523198	102182	Joe (Rover driver)
523198	104681	Jack
523198	107692	Security - John
523198	117127	Ted
523198	144987	Bulldog
523198	153566	The Executive
523198	160809	Dave
523198	171228	Greg Tolan
523198	173931	Johnny
523198	173932	Johnny
523198	173933	Johnny Lawrence
523198	184582	Bob Bailey
523198	214535	Rojack
523198	262112	Raymond Vonn
523198	268221	Greg Larsen
523198	268222	Greg Larson
523198	281455	Slick Salesman
523198	299690	Ruben
523198	299691	Ruben
523198	332821	Randy
523198	334343	Alexander
523198	387720	Scott McCall (1986-1989)
523199	180919	
523200	3519	Mikser
523200	74171	
523200	77100	
523200	102627	
523200	179101	
523200	193487	Bane Glumac
523200	215355	Hero of Bektovka
523200	227766	Ivkovic
523200	229567	
523200	252789	
523200	303124	Drugi tip iz protokola
523200	335226	
523200	374391	Direktor TV stanice
523200	386557	
523200	390388	
523200	390700	
523200	396592	Milence
523200	401927	Dobrivoje Kasikovic Mikser
523200	401928	Dobrivoje Kasikovic Mikser
523200	406315	Djordje Djordjevic Djordjino
523200	406316	Djordje Djordjevic Djordjino
523200	406567	Nenad 'Nesa' Ljutic, Gorcilov
523200	410452	Lazar Arsenijevic
523201	89603	
523202	235491	Mike
523203	132643	Narrator
523204	172443	Beat-quartet 'Secret'
523205	48758	
523205	109051	
523205	131161	
523205	225909	
523205	265640	
523205	270741	
523206	69781	Locutor
523206	70122	Narrator
523206	91329	Entrevistador
523207	217279	
523208	263676	
523209	369005	
523210	300511	
523211	7446	De Castro
523211	68425	Raymond Orsini
523211	73080	Le commissaire
523211	83188	Le préfet
523211	91445	Rossignat
523211	93883	
523211	99954	Sirius
523211	113560	Le baron
523211	135428	
523211	153814	M. Loudin
523211	217634	Dubois
523211	229039	
523211	236513	Monsieur de T.
523211	351697	Koeler
523211	354476	Francis
523211	357052	Denis
523211	385683	Delphin
523211	387167	Henri Gessner
523211	396524	Jacques Monnier
523212	48671	Pole
523213	373729	
523214	65073	Himself
523214	137111	Bassist in Gnarkill
523214	276889	Camp Counselor (Cameo)
523215	65965	Himself (military attaché, So
523216	404608	Himself (2000-2001)
523217	179825	His son
523218	318818	Adam Norman
523219	265527	Himself
523221	42842	Skip's Assistant
523222	20035	
523223	63581	
523223	344365	
523224	132955	Inspecteur
523225	284899	Policia Nacional
523225	377079	
523225	384795	Miguel (1998)
523225	392027	Dr. Javier Sotomayor
523227	356217	Armando Caffè
523228	23390	
523228	27339	Hector Chavez
523228	39410	Luis Flores
523228	47426	Angel (1999)
523228	53850	
523228	56069	
523228	64108	Zacarias
523228	69391	Renda
523228	70869	Sancho
523228	84480	
523228	97899	Peter Vecino
523228	108743	Zacarias
523228	112760	
523228	114296	Col. Hawkins
523228	132739	Carlos
523228	144201	
523228	158940	
523228	212238	Mexican Bartender
523228	222407	
523228	238228	Lead Cop
523228	254625	Father at Book Fair
523228	264119	
523228	275028	Abil
523228	286275	Zacarias
523228	291698	Detective Taylor
523228	307682	Vice Man
523228	338239	Scarecrow
523228	338240	Tremoço
523228	338241	Zacarias
523228	338242	Bateia
523228	338243	Zacarias
523228	338244	
523228	338245	
523228	338246	
523228	341151	Zacarias
523228	343634	
523228	344834	Zacarias
523228	348303	Harvey Harris
523228	349670	
523228	366993	David Ramirez
523228	403248	Ruben Santiago
523228	408744	Zacarias
523229	225110	
523230	74599	
523231	355759	
523232	71779	Periera
523232	299979	
523233	220608	Ragazzo alla festa
523234	105606	Porter
523235	97147	Vito
523235	162069	Paolo
523236	236622	Doctor
523237	4615	Pompeo
523238	344608	
523239	213512	Tommaso
523240	34245	Himself (interviewee)
523241	35709	Silver Haired Man
523242	340639	Ferrando
523243	204129	
523244	258737	(poem 'Quadrilha')
523244	394872	Zazá
523245	39901	Detective Sharp
523245	69357	Lieutenant Finello
523245	95566	Several characters
523245	148244	Officer Sharpe
523245	240865	Cop in Apartment
523245	271178	
523245	286840	Tony
523246	127997	Giovanni
523247	70796	Det. Simmons
523247	244408	Therapist
523248	2252	(segment "Attente, L'")
523248	44220	Paul
523248	71838	Maximilien Bardo
523248	80094	
523248	190340	Nico
523248	196699	
523248	198642	Laurent
523248	199576	L'homme du bar
523248	248581	
523248	254094	Victor
523248	275128	Pierre
523248	277030	Mathieu
523248	284246	Grande Gueule
523248	284360	Mathias Curval
523248	324461	Jonathan Rashevski
523248	406030	Alex (1997)
523249	72319	Buddy #2
523250	72311	
523251	10901	Vito
523252	85509	Ibanez
523252	164874	
523252	323236	Shoba
523252	351269	(segment "Samba do Grande Amo
523252	353068	
523252	380326	Pedrão
523252	385025	
523252	394872	Sanchez
523252	397409	
523252	408381	Fadul Abdala
523252	409347	Jambo
523252	409405	Peçanha
523253	390753	
523254	59832	Jesse
523255	68252	
523255	69245	
523255	106310	
523255	183467	
523255	227015	Policeman
523255	238514	Priest
523255	355944	
523255	383769	Agüero
523255	383770	Agüero
523255	412120	Doc. Recúpero
523256	124764	
523258	51367	
523258	54911	Cardinal Lambertini
523258	68894	L'abbé Faria (part 1 only)
523258	75231	
523258	90001	Don Geronimo Buonaparte
523258	99870	
523258	243635	Il vecchio grande attore
523258	246369	
523258	253213	Pope Clement VII
523258	255035	
523258	265197	Socrate
523258	281113	Augusto Laroche
523258	310949	
523259	54911	Maria
523259	86069	
523259	236190	
523259	251610	
523259	255556	
523260	310949	
523261	190980	
523262	260414	Pate
523262	404123	
523263	256957	Jan Gregor Kremp
523264	114489	Tenant
523264	176713	The Repairman
523265	210948	Chefpferd/Security/Fahrgast
523265	227778	
523266	312342	Father of Boy
523267	290047	Gil
523267	325429	Paul Jareis
523268	349242	Himself
523269	315466	
523270	147225	
523270	263883	
523270	350880	Vilém
523271	348509	
523272	103266	Minister
523272	133795	Trainer
523273	2597	Road gang guard
523273	10142	Baggett
523273	46868	Army Lieutenant
523273	68276	Van Orden
523273	80785	Mechanic
523273	105864	
523273	142422	Drug Dealer
523273	158150	Foreman
523273	158338	Jail guard
523273	222620	Truck Driver
523273	277745	Prell
523273	344510	
523273	367098	One Eye
523273	384569	Harry
523273	404747	First Drifter
523274	327233	P.J
523274	380391	Michael Randolph #7 (1974)
523274	405882	Skipper McKenzie #2 (1975-197
523275	266345	Man
523275	379877	
523276	28229	
523276	58187	Durný
523276	280400	Drozdik
523276	379877	
523278	78995	Gaston
523278	80470	Jack
523278	81893	Michael
523278	83013	Scott Lunwitz
523278	92766	Dr. Ian Drackovitch
523278	177591	Agent Wilder
523278	184582	Gerhardt
523278	184769	Jimmy
523278	206439	Will
523278	258859	Armani
523278	262514	Evil Henchman
523278	268222	Father
523278	297640	Mr. Northcut
523278	313419	Borg
523279	160797	
523280	46528	Hitman
523281	233921	New York Fighter #1
523282	100165	Employé d'épicerie
523282	407360	Frédéric Prescott
523283	29656	King Sigmund Augustus
523283	94057	Jerzy Olecki
523283	125141	Prince Andrzej Olenkowicz
523283	137597	Janusz
523283	179200	Stefan Guzecki
523283	180419	Lt. Jan Milewicz
523283	180782	The Nobleman
523283	216593	Majewski
523283	265335	Leszek Czynski
523283	284352	Jan Czarowic
523283	375469	Leszek Czynski
523284	134146	Lucan
523286	122202	Skunk
523287	122202	Scruff
523288	292911	
523289	167152	
523289	210010	Gemeindearbeiter
523289	229594	Barkeeper
523289	290441	Man in bedroom
523289	334621	
523290	15288	Player
523290	137639	Musiker
523290	142094	Violin
523290	168886	
523290	182766	Dirigent
523290	226298	Himself
523290	302679	Karli Alten, Violin
523290	336601	
523290	347791	Himself
523291	180690	Prince Hromoslav
523292	10434	Alfred Nobel
523292	14964	
523292	105362	Flight officer at the airport
523292	107236	
523292	144252	Doctor
523292	164781	Architect
523292	181846	
523292	218534	Grandpa Bill
523292	225314	Veterinary
523292	278374	Sjuk gubbe
523292	320606	
523292	390854	Löwenborg
523292	402362	
523292	405594	Pavlinsky
523293	158940	
523293	396926	
523293	402149	
523294	88668	
523294	173950	
523295	31964	Prospero Fadinacco
523296	190464	Young worker
523297	59698	Le commissaire
523298	8049	Selby
523298	15986	Gerace
523298	22002	
523298	56451	
523298	67340	
523298	67509	
523298	80765	Vernon Brea
523298	81320	Dr. I. Clark, at McLarren Sta
523298	87051	Lawyer
523298	96537	
523298	103554	Poker player
523298	106217	Pop
523298	120337	Herschel Rosensheine
523298	128590	Old Man
523298	155263	Prisoner
523298	161535	Abe Stilberman
523298	162449	Man at Party
523298	175099	Duval
523298	184696	Basserman
523298	193042	Jonathan
523298	202955	
523298	203295	Muleteer
523298	212022	Pallesi
523298	213801	
523298	217864	Il saggio
523298	269176	Harold
523298	277292	Jo
523298	289678	Police Inspector
523298	294626	Santulus Surgiu
523298	295162	Fastikopoulos
523298	309405	The old islander
523298	351529	Doc
523298	353335	
523298	357994	Dr. Zahn
523298	366088	Fisherman
523298	377595	Donovan
523298	406793	
523299	76897	Sen. Billings
523299	180846	Dittomachine
523300	6163	Captain
523301	82152	
523301	153100	
523301	173087	Herr Høstblad
523301	205809	
523301	240118	Bensinmann #2
523301	333671	
523302	198012	
523303	134957	
523304	174405	
523305	148692	
523306	94451	Singing Telegram
523306	331214	Skate Club announcer
523306	345990	Hoffmeyers adjuta.
523307	126130	Roustabout
523307	203313	Pianist
523308	68869	Himself - VPL Research, Inc.
523309	41377	SWAT team member #2
523309	72558	Moses
523309	113293	Jonathan Callowman
523309	207136	Officer Tony
523309	207765	E.R. Doctor
523309	298008	Gauntlet Aviator
523310	139605	Jordan
523310	191608	Male Partygoer #1
523311	301131	Miner
523312	385824	Shawn Douglas Brady (#2) (199
523313	318977	Disc Jockey
523314	80878	Spec Greer
523315	339445	Banjo Player
523316	285322	Cousin Rick
523317	37867	Mo
523317	186156	Fletcher
523318	119500	
523319	39533	Dying Man
523319	363946	Lucas Herman
523320	252956	Dr. Lorenzo Rappaccini
523320	357582	
523321	293251	Emmi
523322	92766	Dr. Ian Drakovich
523323	4839	
523323	17669	Ulrich
523323	18140	
523323	21056	Piet Maas
523323	33116	Kalle Kriwitz
523323	47390	Zwirner
523323	48409	Klaus Noller
523323	53992	Martin
523323	59312	Freddy
523323	59328	
523323	62174	
523323	72775	
523323	91010	
523323	92559	Roman Bertinelli
523323	98119	Franz
523323	100985	Henry
523323	102553	
523323	103055	Redner beim Polterabend
523323	110430	Prochaska
523323	117838	
523323	119210	
523323	122552	Koslowski
523323	123281	Steinbrenner
523323	124411	Joschi
523323	129834	Charlie
523323	134379	Franz Kaffer
523323	136223	
523323	139475	Prado
523323	140199	Willy
523323	141413	Lisas Vater
523323	141944	
523323	142321	Max
523323	155344	
523323	181501	Hans
523323	188718	Erwin
523323	188773	
523323	189534	Knarge
523323	189659	
523323	189692	Rolf
523323	200077	Caspar
523323	207060	Himself
523323	208504	Volker Schlegel
523323	211085	Stadtstreicher
523323	219289	Peter
523323	225204	
523323	225282	Becker
523323	225301	Karl
523323	225655	Tino
523323	237609	Rowan
523323	249635	Anton Pauli
523323	252183	Major
523323	259531	Schuwitt
523323	259619	Johann Meyer
523323	281833	Lieferwagenfahrer
523323	282055	
523323	282943	
523323	289911	
523323	290511	
523323	290659	
523323	290695	Harry
523323	305432	Rudi Popp
523323	308210	Marek Czerny
523323	308362	Younger Tramp
523323	313022	Oskar
523323	324157	Udo Bricks
523323	324785	Thomas
523323	325381	Wolferl
523323	325457	Jerry
523323	325462	Freddie
523323	325480	Nasig
523323	325500	Dorian Specht
523323	325726	Grossmann
523323	325854	Karli Possky
523323	325877	
523323	328532	
523323	334524	Student
523323	337915	
523323	346389	
523323	347021	Harry
523323	349412	Zacher
523323	351945	Dr. Steiner
523323	356547	Claas
523323	356551	Gambler
523323	356735	Braun
523323	357780	Peter Krieger
523323	361013	
523323	361462	Peter
523323	368741	
523323	373430	Schnellwindt
523323	374126	Herr Wehsal
523323	375982	
523323	376009	Spieler
523323	376284	Klaus Noller
523323	376317	
523323	379082	
523323	381587	Stanko
523323	381689	Krause
523323	383108	Gerd Semmler
523323	385009	
523323	389959	
523323	391152	Ecki Plache
523323	392635	Poldi
523323	394654	
523323	397006	
523323	399957	
523323	403209	Fred
523323	409609	Herr Krahl (1991)
523323	412097	Checkpoint Charly
523324	359060	Marco Polettii
523325	172841	Willy
523326	14171	Himself/'Zacherley'
523326	45829	Aylmer
523326	92490	Zacherley
523326	118911	Weatherman
523326	149695	Zacherley
523326	154032	Himself
523326	175801	Detective
523326	231333	
523326	329577	Himself
523326	345869	Himself
523326	373585	Himself/Roland and Zacherley
523327	379195	The Coroner
523328	224667	Cop #2
523328	340025	
523329	78182	Gunmen
523330	190775	Hudozhnikat
523331	148472	
523333	37525	Deputy Hank
523334	198385	Musician
523335	261151	Tjartkov
523335	390151	Josefins pappa
523336	122466	Leo's Class Mate
523337	399850	Hampus Hammarbrand (120 episo
523338	404771	Additional voices
523339	109559	
523340	44973	
523341	155301	SWAT Team
523342	116053	
523343	59913	
523344	316728	Forensics Expert
523345	39865	Pasha
523345	274313	(segment "Farmer's Daughter")
523345	328276	Stanson
523346	362080	
523347	158091	Drill Sgt. Zackery
523348	45608	
523349	48373	Karlsson
523349	172790	Grodan Boll
523349	174172	Dancer
523350	87341	Lake Kid
523351	279593	Cop
523352	285299	Wise Guy Interviewee
523353	6697	(segment "Corridor")
523353	71098	
523353	341503	
523354	110075	
523355	262670	Jelen
523355	266130	
523355	282764	Prof. Matousek
523356	326712	Kid #1
523357	336319	
523358	64355	
523358	75961	Piotr Zawadzki
523358	89474	Dr. Czernisz
523358	167320	Michal's father
523358	226204	Frank Seeburg
523358	244100	Tadek
523358	246244	
523358	249815	Tadeusz
523358	260389	Józef Poniatowski
523358	261231	Stefan
523358	268164	Brandner
523358	280586	Sgt. Otryna
523358	293684	
523358	311894	
523358	334544	Halber
523358	358683	Priest
523358	373729	
523358	386654	Dr. Leopold Lawina (1980)
523358	401793	Maj. Heynckess
523359	135161	David Lichtmann
523359	198042	Andy
523359	201580	William
523360	7868	Prof. Edward Derek
523360	94692	Dr. Robert Hoffman (segment "
523360	121803	Ellis Hayden
523360	169862	Jude
523360	245263	Danny Simon
523360	280196	Festa
523360	300962	Rubio
523360	390771	Jeffrey Morgan (1997, 1998)
523360	393825	The Judge
523360	397401	Martin Abbot (1995)
523360	401930	Jordan Harris (2000-2001, 200
523360	404635	Det. Kuntz
523361	294670	
523361	326978	
523362	223487	
523363	20895	
523364	347502	
523366	281542	Osmann
523367	26598	Fourth Runner
523368	197311	Dr. Bernstein
523368	293415	2. Regisseur
523369	82006	
523370	6374	
523371	180612	
523372	46875	Mohammed
523372	353799	Priest
523373	53329	Singing Vendor
523373	59377	Waiter
523374	245800	
523374	261315	
523375	127454	
523375	198174	
523375	280805	
523375	318149	
523375	352866	
523376	80662	Hamdi Abu-Yussuf
523376	83127	Mahmoud
523376	98034	Karni
523376	142251	Fahd
523376	147928	Amnon
523376	162345	Il Kharem Soldier
523376	186508	Drug Boss
523376	190655	
523376	193049	
523376	209100	Uri
523376	209101	Uri
523376	244216	
523376	336137	Prof. Ibrahim Mansour
523376	343417	
523376	343420	
523376	373427	
523376	397880	
523377	141749	Himself
523378	217568	Taxi Driver
523379	314717	
523380	335285	Kid at Lake
523381	156200	
523383	139695	Heinz Wagner
523383	259632	
523383	393878	
523384	43620	Boss at the Restaurant
523385	356069	
523386	9377	
523386	124061	
523386	147464	Brkic
523386	149142	VOPO Driver
523386	149865	
523386	171919	Vozac pogrebnoga vozila
523386	180091	
523386	209394	
523386	230063	
523386	236048	School policeman
523386	258776	
523386	260356	Father Cuddles
523386	261941	
523386	399149	
523386	402392	
523386	402486	
523386	405705	Pero Vragec
523387	178921	Street Peddler
523388	332070	Panhead
523389	20649	
523390	2603	Himself - Best Picture Winner
523390	2809	Himself - Best Picture Winner
523390	2940	Himself - Winner, Thalberg Aw
523390	142600	Himself
523390	201614	Himself
523390	201732	Himself
523390	241347	Captain on shore when boat re
523391	287921	Aldeano
523392	6322	
523393	408942	Padre Carneiro
523395	304979	Himself
523396	150752	Warder 1
523396	386963	Andrei Belanov (2001-2002)
523396	395028	Gaston
523397	1762	Jeff
523397	275006	
523397	294786	Disco Instructor
523398	4028	
523398	6381	
523398	86690	Paso
523398	136730	
523398	244265	
523398	412002	
523399	274461	Crazy Parent
523400	229492	
523400	386282	Bochko
523401	38930	Man with Mrs. Hill
523402	34915	Martial Artist
523403	380587	
523404	139001	Doug
523404	347611	Bear
523405	187301	Linnart
523406	395361	Wolf
523407	275397	Monster (Wrestler)
523408	129186	Henchman #2
523409	231345	
523410	254670	Biff
523411	257362	Jorge
523411	383557	Pablito
523412	10944	
523413	202398	Ladron de Zapatos
523414	128988	Juan Junco
523415	357516	Mexicano 2
523416	265726	
523417	326144	El niño repelente
523418	236550	Un gendarme
523419	298777	
523419	306957	
523419	411986	Himself
523420	148315	Antonio
523421	116053	Volunteer Hugger
523422	255131	
523423	199323	Le bijoutier portugais
523423	252070	Himself
523423	263415	Himself
523424	33560	Ganan
523424	55003	
523424	118841	Le prêtre
523424	218240	Oliveira
523424	246950	Elmer
523424	261103	Ninès
523424	307638	Guest
523424	319826	L'électricien
523424	381246	
523424	398197	Martim Moura Bastos
523424	398881	
523426	149198	Guy holding a hostage
523427	229186	
523428	403805	Nathaniel Bates (1999-2001)
523429	71146	Orlando
523429	107282	
523429	183234	Rapinatore
523429	352560	Franco
523429	390753	
523430	9091	Frank White
523430	9092	Frank White
523430	9093	Frank White
523430	9094	Frank White
523430	18964	Vendler
523430	20497	Rod Armstrong
523430	26460	Lew
523430	29672	Argan
523430	41340	Keith Stone
523430	68274	Gen. Anton Slavik
523430	70275	Vigo
523430	75809	Saint
523430	75811	Trecibi
523430	77762	
523430	106254	Zorac
523430	107938	Capt. Previ Federov
523430	135178	
523430	137965	Hitman
523430	176978	Krueger
523430	188476	Ethan Marshall
523430	196365	Godzilla
523430	208501	Dolph's workout partner
523430	215896	Lou
523430	230360	
523430	230386	Blake
523430	233585	Luka Lentini
523430	234040	Pollack
523430	242728	McKinney
523430	243623	Sirius
523430	265585	
523430	265597	Android
523430	265598	Android
523430	266052	Cole
523430	277121	Michael Keller
523430	296880	Romulus
523430	297777	Ryan Young
523430	316513	Carl
523430	316957	Rick Burns
523430	316973	John Slade
523430	337805	Matt Cooper
523430	359407	Jack Tannen
523430	360150	Zombie Killer #1
523430	363370	Conan
523430	366940	John Carter
523430	385146	Frank White
523430	396810	
523431	197715	Danny
523432	95666	
523432	125352	
523432	212115	
523432	259041	
523432	304721	
523432	411981	
523433	9196	Janis Bolodis
523433	95327	
523433	95666	
523433	122798	
523433	211537	
523433	212115	
523433	219641	Janis
523433	320508	Jurist
523434	97024	Himself
523435	373626	Himself
523437	180847	Vassily Ikramov
523439	78091	Johnny
523439	282510	Smith
523439	298079	Young Thomas
523439	382052	PC Nick Klein (1999-2004)
523439	390523	Mike Bentley (1990-1991)
523439	409649	Razors
523440	119727	
523441	285696	
523442	17671	
523443	355052	Extra
523445	104141	Zapicán
523446	384590	Himself
523447	65176	Louis van Vliet
523447	68170	
523447	409958	Rajan Raj (1996-1997)
523448	89288	Church Parishioner
523449	62854	
523450	167876	Scott Flynn
523450	194889	
523450	227539	
523450	411261	Mike (2004)
523451	294406	Giuseppe
523453	278023	Matteo
523454	17084	
523454	42600	
523454	90168	Olimpio
523454	109979	
523454	112642	
523454	117966	
523454	129036	
523454	196716	
523454	223119	
523454	246454	
523454	251619	
523454	264251	Il notaio
523454	269074	Il capo ufficio pignolo
523454	274872	
523454	289446	
523454	328057	Il direttore del teatro
523454	339074	
523455	308809	
523455	355651	Bepi
523456	1311	(Episodio "La comedia divina"
523456	186213	
523457	51661	Karaoke party guest
523457	86292	Friend
523457	90943	Man-in-a-hurry
523457	105127	Judge
523457	109424	Henry
523457	117061	Manager of Quickie Nickie's
523457	131777	Irving Oblach
523457	131805	Irving
523457	152300	Sid Grauman
523457	211985	Zax
523457	230963	Manager of South Bend Ballroo
523457	313046	Officer Morton
523457	328033	
523457	329346	Worker
523457	343263	Waldo
523457	348795	Man in the Beginning
523457	366868	Claude
523457	372198	Mr. Nussbaum
523459	196782	Norman
523459	199285	Singer: Yamadori
523459	246549	Beppe
523459	336366	
523460	14159	Russian Soldier
523460	152734	Gallow's Guard
523460	312138	Berlin: West German Businessm
523461	235851	Drummer
523461	400869	Un lycéen
523462	373698	
523463	346269	Tomislav
523463	382029	Tomislav
523463	405659	Vatroslav
523464	79533	Himself
523464	338859	Himself (Man Utd v Leicester)
523465	164022	
523466	410433	Marlen Mazaev
523467	62957	Villager/Lost Soul
523467	182095	Himself
523467	228977	Himself
523468	102581	Trolls
523469	194888	Hotelportier
523470	237967	
523470	263693	Aivar Lutsis
523470	349258	
523471	176127	
523471	244250	
523471	260831	Museum director
523471	370140	Dimka
523472	176127	
523472	265130	Alka
523473	20880	
523473	49132	
523474	287977	
523475	299458	Nick (segment "The Injection"
523476	80695	Beach Person
523477	98317	Tänzer
523478	63628	Balaban
523479	111366	Le chauffeur
523480	347200	Cabbie
523481	336976	Farid
523482	58916	
523482	68941	
523483	48211	Man in Phones Central
523483	66263	Client in Supermarket
523483	89474	Doctor
523483	164252	Pogorzelski's servant
523483	173735	Sacristan
523483	179342	
523483	180059	
523483	225603	
523483	255497	Bearer
523483	255610	
523483	261459	Moine
523483	267008	
523483	321432	Clerk
523483	322138	
523483	341070	Man in Court (segment "Rozwód
523483	343386	Kuba, the bandit
523483	358546	
523483	361584	
523485	330204	Himself (rescuer, Ukraine)
523486	44908	
523486	47764	
523486	51050	
523486	165061	
523486	171545	Dr. Emil Holub, traveller
523486	180686	Glassman
523486	211885	
523486	221194	Captain Marak
523486	229217	Foster father
523486	237531	Lord of the castle
523486	255923	
523486	282758	Trachta
523486	284081	Officer
523486	374284	Harry Filch
523486	394826	Berka, father
523486	412004	Hruska
523487	51091	Kvido (boy)
523488	1092	Norseman
523488	26492	Dulann
523488	51966	Reggie
523488	105461	Salembeni
523488	140636	Zombie #1
523488	175192	Derrick
523488	176724	Officer Larry
523488	242524	Chet
523488	269046	Stone Pilot
523488	314688	Tommy Meeker
523488	341849	Ethan
523488	358659	Lou Montana
523489	380431	
523490	60083	
523491	247649	
523491	380474	
523491	389459	Giovanni
523492	32123	
523492	247649	
523492	387358	
523493	62834	Himself
523493	352781	Himself
523493	374473	Himself
523494	287159	
523495	255357	School Bus Driver
523496	241296	Himself
523497	255357	Bus Passenger
523498	196786	Normanno, tenor
523498	244277	Roderigo
523499	109599	
523500	72668	Priest
523501	28233	
523502	58291	
523503	369859	Stavros
523504	61227	
523505	244482	Step Dancer
523506	315937	
523507	404810	
523508	261309	
523509	45482	
523509	276219	
523509	303735	
523509	365915	Sased
523510	20384	
523511	343919	7th Seal
523512	34191	Siege soldier
523512	44935	Tysonius
523513	387711	
523513	390901	
523513	392994	
523513	401011	Argiris
523513	401279	
523513	406697	
523513	408912	Theodoros Loggos
523514	8658	Menora
523515	209521	Ilan
523516	285499	De La Forge
523516	314135	Marcel
523516	327239	Joel
523517	10963	Kiosk owner
523518	5597	
523518	8043	Playdivi
523518	58494	Israeli Consul General
523518	176017	
523518	204991	Shaike
523518	212129	Peeping tom
523518	296613	
523518	300503	
523518	316510	
523518	350343	
523519	154170	
523520	39405	
523520	64734	Peter
523520	154170	
523520	154798	Caveh Zahedi
523520	158101	Himself
523520	192307	Caveh
523520	217947	Steve
523520	226959	Palm Reader
523520	301248	Caveh
523520	338789	Harold
523520	358476	Himself
523521	194261	Young singer
523522	194261	
523523	154170	
523523	220702	
523524	290438	Emir
523525	98537	
523525	198706	
523525	259253	
523525	287392	
523525	375997	Sajid Masud
523525	381125	A.N.Verma
523526	20201	Guy #2 Proposing
523526	275637	
523527	113761	Haris
523528	370260	Kid Santa Claus
523529	187716	Antonio
523529	197974	Diego
523529	198215	Acuña
523529	207595	
523529	322325	Empleado Gasolinera
523529	328750	Odín de Diclona
523529	357744	Pater Panchali
523529	396827	Celso 'Petróleo'
523529	410095	Himself
523530	98502	
523530	104636	Himself
523531	171724	Balti Porter
523532	313164	
523533	23841	
523534	320800	Young Princess Odette
523535	338595	Youssef Kouraichi
523536	72790	Nominee
523536	84396	Milos Raditz
523537	38299	
523537	145503	
523537	225748	
523538	9473	
523539	46631	SS-mann
523540	319495	Himself
523541	212336	Himself - Participant/Perform
523542	173698	Schnibben
523542	205407	Dr. Schöller
523542	212167	Kommissar Meissner
523542	218969	Rupp
523542	259671	Kai-Dieter Kutscher
523542	259687	Leutnant Peschel
523542	281717	Tom Winter
523542	282235	
523542	290178	Bernd Augat
523542	387034	Robert
523542	388626	
523542	389361	
523542	390815	Bernie
523542	391078	
523542	394903	Andreas von Thiede
523542	405945	
523542	411161	Leander Blumenthal
523543	39125	Himself
523543	180064	Himself
523544	153354	Rene
523544	314993	Ricki
523544	332462	Jens
523545	17431	Lasse
523545	51132	Kristian/Jacob
523545	96450	H.C.
523545	113457	Nikolaj
523545	278332	Benny
523545	311729	Himself - Host/Various roles
523545	376101	Himself - Winner
523545	376103	Himself
523545	381707	Oliver Zahle/Arne B/Martin af
523545	381708	Himself
523545	405591	Himself - Host
523545	411905	Himself - Host/Various roles
523546	330412	Casino Gambler
523547	5176	Greg
523547	301716	Mason at 3
523548	207184	
523548	292639	Performer
523549	311	Bartabas
523549	24669	Djaffar
523549	46006	Monsieur Ted
523549	76623	
523549	154736	
523549	205635	Le spécialiste ordinateur
523549	211362	Rachid
523549	215021	Le reporter-photographe
523549	252424	
523549	276385	Max
523549	278709	Farid
523549	353885	Hamed
523549	355808	Chouchou
523550	308831	
523551	15280	Leperret
523551	34291	
523551	40422	
523551	47847	Seppl
523551	124987	OT Master
523551	126375	Man with Beard (segment Der g
523551	141942	Otto Kienbaum
523551	173961	
523551	177752	
523551	226399	
523551	259466	
523551	259507	
523551	259538	Lokführer
523551	259594	
523551	302046	
523551	312098	
523551	320230	
523551	352222	
523551	393408	
523553	53133	Crew Man #2 (segment "The Hon
523554	317578	
523555	314853	
523556	3305	Himself
523557	238073	Bartender
523557	280631	
523558	360047	
523559	213453	Gambler in Montage
523560	154866	Client/Lt. Scallpone
523561	29046	Quentin Cooke
523561	58487	Kresk
523561	60465	Ross
523561	61282	Runt
523561	73436	William Barnes
523561	76570	Marvin
523561	76571	Marvin
523561	92453	Archie
523561	100148	Jack
523561	117522	Alan
523561	119328	Freak
523561	137932	Rosencrantz
523561	138912	Wayne Wayne Wayne Jr., aka Da
523561	169614	Fuller Thomas
523561	228310	Hank Rafferty
523561	237783	Frank Hanson
523561	245103	Glenn Michaels
523561	270384	Hans Kooiman
523561	271198	Jeremy Tanner
523561	273473	Sammy Gray
523561	274590	Himself
523561	278082	Raymond Hasek
523561	285310	Eddie
523561	285503	Al Giordino
523561	289113	Wayne Lefessier
523561	310515	Mr. Freeman
523561	317261	Monty the Mouth
523561	317262	Monty the Alley-Cat
523561	317947	Buff
523561	329522	Lenny Haise
523561	372372	George Pappas
523561	389416	Astronaut Elliott See
523561	401427	Allan (segment "Armed Respons
523562	190230	Steve
523563	309882	Ted Hunter
523564	280142	
523565	80724	Jason
523565	219659	Train Track Thug
523566	388714	Roy
523566	412250	Franz Hardt
523567	62579	Prosecutor #2
523567	291962	
523567	312265	Jimmy
523568	68447	Technician
523569	261986	Jack, Pete's Pilot
523570	6090	
523570	53043	
523570	283045	Le guérisseur
523570	303541	
523571	156955	
523571	304461	Tomas
523572	164311	
523572	285950	
523573	186783	
523574	273485	Nick Kingery
523575	224344	Schwartz
523575	331694	Little Leland
523576	23122	K H Frank
523576	30260	Barbicain
523577	86829	
523577	100558	
523577	118482	
523577	126264	
523577	172822	Kleon Ageloutsos
523577	173656	
523577	179741	
523577	192838	
523577	333770	
523577	343411	Labis Fotinos
523577	380772	
523578	44394	
523578	82954	Kuder
523578	297637	Hector
523578	297651	Boris
523578	343920	Byrd
523578	352680	Leonel
523578	383609	Renato
523579	19910	
523579	76909	
523579	147081	
523580	124459	Omar Akkad
523580	221041	David Horowitz
523581	45723	
523581	45724	
523581	88583	Father
523581	165818	Gamekeeper
523581	169110	Prince Windischgratz
523581	171542	A Janosik "Brigand"
523581	187672	
523581	199692	Gamekeeper
523581	261375	Innkeeper
523581	266533	Jakub Brychta
523581	268510	
523581	295054	Kabrna
523581	350612	Klara's father
523582	281273	Friar Lawrence
523583	216672	Officer Deebs
523584	158798	Marshal
523585	282923	Taxi Driver
523586	35155	Man in 30's
523586	58490	Bridge Controller
523586	65612	Gill Beale
523586	66945	Piatti
523586	86750	Gross
523586	87599	Dr. Larry Wiggins
523586	93068	Driver #1
523586	114251	Emergency Room Doctor
523586	131567	Costello
523586	162439	Rowdy Dick
523586	169951	Charley
523586	182955	Liquor Store Owner
523586	193915	Knucksie Chappell
523586	216672	Bum/Cop
523586	246260	Nazi Goon
523586	326428	Cop
523586	342826	Tyson
523586	347969	Defense attorney
523587	199311	The Photographer
523588	181074	Himself
523588	259418	Himself
523589	313917	
523590	17504	Siamese trader
523590	159571	Etoy.zai
523590	387031	
523591	91196	
523592	17575	Shegolyev
523593	128062	Danny Birnboim
523593	136948	
523593	140580	Berl Katznelson
523593	162662	
523593	202432	
523593	206496	Patrick Sarusi
523593	286699	
523593	310657	Friend
523593	411680	Dr. Bloch
523595	91372	
523596	208503	Shot Victim
523596	285369	Homeless person
523596	319682	South Asian Catholic student
523597	323179	2nd Official
523598	6071	Piet
523598	86347	Coward Snitch
523598	296671	Jail Guardian
523599	299443	Himself
523600	14728	
523601	97171	
523602	102967	Qin Shuhuang
523603	8122	
523603	209023	
523603	238448	Chorus
523603	275589	
523603	357383	
523604	366765	French Professor
523605	290495	
523606	384361	Tan Sri
523607	2921	Himself - Best Adapted Screen
523608	219333	Executive Officer
523608	336018	
523609	48948	Park Kisser
523609	230112	Busser
523609	304691	Keg Boy
523610	197286	
523611	28415	Himself
523612	403622	
523613	306609	Roslan
523614	183206	Labu
523614	236627	Cik Kadok
523614	294128	Jiran bangsa India
523615	175073	
523615	289270	
523616	394775	Arumugam Ling
523617	321994	
523617	349239	
523618	63357	
523619	225732	
523620	225732	
523621	225732	
523622	225732	
523623	172445	Mitya
523624	8809	Katsumoto
523624	23411	Karayama
523624	39285	Principal
523624	60249	
523624	61467	
523624	98208	
523624	136392	
523624	140625	
523624	166044	Kurozaemon Ishide
523624	173507	
523624	176595	
523624	176603	
523624	176612	Ishii
523624	176614	
523624	177239	Detective Ookai
523624	182065	Kikumatsu Kikukawa
523624	198947	Umekichi
523624	234529	Watanabe
523624	234905	Driver
523624	239232	
523624	242141	Doctor Ishi
523624	244054	Satomi
523624	253224	Detective Sanada
523624	271672	Father
523624	278385	Abbott Kokei
523624	298973	burglar
523624	299142	Syunichi Ohki
523624	299308	
523624	299615	Shimada
523624	300468	Ryosuke Saotome
523624	300545	
523624	300599	Tokihisa Kurokawa
523624	324641	Okano
523624	324865	
523624	327797	Takejuro Miki
523624	335364	
523624	344909	Sanpei Inumaru
523624	375593	patient
523624	391522	Takeami (Hideyoshi's stepfath
523624	404245	
523625	210042	Wataru Omaezaki
523625	309186	Client Namino
523625	341537	Kyoichi's brother
523626	276799	Benjamin
523627	185287	Gardener
523628	56883	Sänger
523629	276799	Singer
523630	74145	
523630	170092	Joaquin
523630	188996	Teniente
523630	379461	
523631	74145	
523632	74145	
523633	74145	
523633	87659	
523633	210170	
523633	213758	Himself
523633	292953	
523633	397593	Empleado
523633	402049	Joel
523633	403741	
523634	95938	
523635	60550	
523636	235870	Performer
523637	80470	Officer
523637	87063	Hooded Man
523637	316730	Carl (gang leader)
523638	105852	Anger Management Group
523639	33678	Jackson
523639	59912	Alistair Campbell
523639	90860	Photographer
523639	203426	
523639	257344	John Baresci
523639	346360	Underworlder #2
523639	372406	Forensics Expert
523639	411926	Ugo
523640	80644	Lewis
523641	75976	Cameraman
523641	231634	A Boy
523642	95971	
523642	164755	
523642	166616	
523642	180419	
523642	181384	
523643	215214	
523644	97390	Dancer
523645	339117	
523646	20404	
523646	134760	
523646	180120	
523646	180730	Tchelorek
523646	180859	
523646	223297	Village Head
523646	239372	
523646	248324	
523646	261900	
523646	265913	
523646	266541	Ganz
523646	283826	Pyanov
523646	323646	Shlykov
523646	341237	
523646	345090	L'ami
523646	356542	Fitela
523646	374087	Interrogator
523646	374162	
523647	10265	
523647	42897	Adam Kisil
523647	43199	
523647	60436	Scientist
523647	201391	
523647	224038	Commissar Vasili Martinov
523647	227969	
523647	257030	
523647	303792	Prof. Vadim Sergeyevich Igoni
523647	352813	Prof. Ivan Nikolayevich Melni
523648	284066	
523649	48759	
523649	63615	
523649	83040	
523649	83333	
523649	122825	
523649	160604	
523649	162755	Starejshina
523649	180853	Zhuravlyov
523649	239368	
523649	262172	
523649	262176	Chebotar
523649	304253	Kringli
523649	309008	
523649	357471	
523649	370162	Prokuror
523649	370191	
523649	400449	Orlov
523650	29492	Dellicourt
523650	132887	Henri Bronstein
523650	291682	Malovitch
523651	239034	Heavenite No. 2
523652	7362	
523653	14817	Chico Autobús
523653	376685	Colega 1
523653	379566	Germán (2000-2001)
523654	389531	Regular
523655	352903	
523656	44060	
523657	16190	Luria
523657	51680	Pavla's father
523657	58159	Ferryman
523657	161808	
523657	179038	Moderator of Radio 1
523657	213789	Himself
523658	261689	
523659	58207	Li-San-Fu
523661	223632	Party Goer
523662	193442	Dino
523663	88668	
523664	82531	
523665	2250	Helicopter Pilot
523665	19601	Reserve pilot
523665	30786	Army pilot
523665	41644	Helicopter Pilot
523665	51661	Medevac pilot
523665	67054	Helicopter Pilot #1
523665	74219	Police Sharp Shooter
523665	75479	State Trooper
523665	81767	Helicopter Pilot
523665	83952	Police Pilot
523665	104999	Helicopter Pilot
523665	107166	Helicopter pilot
523665	110319	Helicopter Pilot
523665	158975	Helicopter pilot
523665	161108	News anchor
523665	238228	
523665	245275	Army Pilot
523665	272026	Helicopter Pilot (Camera)
523665	272234	Rescue Pilot
523665	296733	Helicopter Pilot
523665	305575	Helicopter Pilot
523665	318977	FBI Pilot
523665	329833	State Police Pilot
523665	333347	
523666	280584	
523667	64659	Banquine
523668	12809	
523668	33282	
523668	38759	Second man
523668	46034	
523668	49472	The Tractor Driver
523668	60452	
523668	77481	
523668	173954	
523668	228802	
523668	237830	
523668	244047	(segment Obyezdchik)
523668	258379	
523668	305613	
523668	350800	
523668	357202	
523668	370920	
523668	375473	
523668	398757	
523669	258129	
523670	374308	
523671	63621	
523672	135756	
523672	256853	
523672	284065	Ludwig Larsson
523673	173377	
523673	262172	
523673	388489	Vrach
523674	88617	
523675	179666	
523675	198940	
523676	39013	
523676	173016	
523677	43138	
523677	77624	Ivan
523678	394620	
523679	190728	
523679	197995	
523679	229021	
523679	241935	
523679	258651	Igor
523679	263637	
523679	266082	
523679	274306	Gurov
523679	300810	Radlov's aide
523679	303723	
523679	345090	Valera
523679	353541	
523679	374102	
523679	381021	
523679	390541	
523679	399344	Makinets
523680	35896	
523681	210189	
523682	45865	The Dog
523682	88144	Ondra
523683	162516	Customer in Store
523684	75757	
523684	77102	Pathologist
523684	95960	Dentist
523684	121456	Taxi Driver
523684	176684	Bartender
523684	181147	
523684	200452	Ksiadz
523684	237701	
523684	238401	
523684	266019	German in Gejsza
523684	267008	Lt. Brzóska
523684	304439	Car Driver
523684	322908	Restaurant Owner
523684	374469	Perelka (cook of Czesnik)
523684	375961	Ciezki
523684	394585	Józef Sobolewicz (1997-2002)
523684	397820	Karol Krawczyk
523685	151098	Saboteur
523686	5664	
523686	11869	
523686	18534	
523686	29162	Rumäne #1
523686	33459	Hodscha
523686	42930	
523686	66037	
523686	90998	Jurek
523686	101055	Russian captain at headquarte
523686	116508	Soldier
523686	150696	Gregor
523686	173701	Sergej
523686	176515	
523686	180087	
523686	180915	
523686	199992	Russe #1
523686	203219	Aide To Borges
523686	210059	
523686	215984	
523686	259128	Romanian friend
523686	259579	Cristof Maslowski
523686	267331	Junger Russe
523686	310897	Unterhändler
523686	312871	Gabriel Kapescu
523686	313659	Gladkov
523686	313663	Andrej Gubenko
523686	318076	
523686	325545	
523686	325715	Boris
523686	325755	Dr. Oleg Buykov
523686	325912	Jens Falter
523686	352064	Tibor
523686	352340	
523686	367353	Willi
523686	376352	
523686	390810	
523686	395049	
523686	405500	Dr. Berg
523687	105378	Nigel
523688	27975	Himself
523689	192104	Brett
523689	264421	
523689	298108	Lifeguard
523690	228209	
523691	208753	Chanteur Kutaisi
523692	17546	Seryozha Karenin
523693	159886	Chief Prison Guard reporting 
523694	21603	Music Manager
523694	77622	
523694	79107	Emmi Begum
523694	96728	Rustom Sethna
523694	116914	
523694	143890	
523694	268107	
523694	274755	Anil
523694	287392	Special Appearance
523695	256578	Pirate
523696	78697	Djimi
523697	286480	
523698	4959	
523699	408704	(Episode 6: The Farmer)
523700	65681	
523701	58893	
523702	340531	Meat Packer
523703	366268	Piano player in saloon
523704	128663	Wangstaff
523705	72827	Vorock
523706	88205	
523706	174482	
523707	95927	
523708	349217	
523709	191288	Ol' Kalu
523709	356418	
523710	67361	Ravenswood Staff: Clinical Ps
523711	295061	
523712	82777	
523712	261581	
523712	371116	Ivan Tvorogov
523713	10417	
523713	28258	
523713	30506	
523713	34231	
523713	35852	
523713	77067	
523713	83164	
523713	95690	Redaktor gazety
523713	124040	
523713	137113	
523713	154605	
523713	157301	
523713	163040	
523713	172515	
523713	176137	
523713	179105	
523713	179668	
523713	187382	
523713	202300	
523713	209514	
523713	211194	
523713	227907	
523713	229004	
523713	234658	
523713	243988	Leonid Krug
523713	244220	
523713	248705	
523713	251634	Business Traveller
523713	253639	Fisher
523713	259042	
523713	261239	Head of school
523713	261369	
523713	263656	
523713	265839	
523713	265844	
523713	265845	
523713	266288	Bald Major
523713	266289	
523713	267804	
523713	273046	
523713	278844	Altov
523713	282745	
523713	283825	a Boss
523713	283836	
523713	284044	
523713	294676	
523713	299411	
523713	309191	
523713	316825	
523713	321968	
523713	323323	
523713	323635	
523713	332990	
523713	338187	
523713	343805	
523713	343959	
523713	349311	
523713	350788	
523713	352871	
523713	355990	
523713	357236	
523713	370184	
523713	370998	
523713	371893	
523713	374162	
523713	374751	
523713	381631	Varichyov
523714	293713	
523715	256895	Petka, the boy
523716	64659	Banquine
523717	34232	Vadim
523717	244722	
523718	176046	
523718	176047	
523719	3081	Indian Unionist
523720	182036	
523720	280398	
523721	60451	
523721	60456	
523721	226186	
523721	235231	
523721	255780	
523721	263679	
523721	263680	
523721	300369	
523721	320490	
523721	341604	Von Plehwe
523721	349343	
523721	356426	
523721	404218	
523722	356590	
523723	82785	
523724	230064	Aleksej Dmitrievich
523725	77067	
523725	259000	Rybakov
523725	303877	
523726	280397	Himself
523727	229179	Fernand
523728	184839	Svetlovidov
523729	34227	
523729	223214	Père petit violoniste
523729	339230	
523730	374734	
523731	155997	
523731	179865	
523731	218854	
523731	229203	
523731	234299	
523731	238311	
523731	258796	Lavrusha
523731	270581	
523731	300369	
523731	324275	
523731	338860	
523731	357637	
523731	357663	
523732	35896	Stepok's Father
523732	356420	Kutusov
523732	356421	Kutusov
523732	356423	Kutusov
523732	356424	Kutusov
523733	374734	
523734	42227	
523735	96728	Mob member
523735	394730	Host
523736	8689	Eid
523736	19723	
523736	19910	Yehia
523736	25536	President Anwar El Sadat
523736	36600	
523736	58438	
523736	86216	
523736	97542	
523736	153644	
523736	162734	Ibrahim
523736	195964	
523736	198653	Ra'fat Rostom
523736	220991	
523736	245878	
523736	289204	Hamada
523736	322909	
523736	374184	Hesham
523737	17779	Punjab
523737	73769	Solicitor
523737	85921	Hasnat Khan
523737	136537	Riju
523737	169510	Raj Singh
523737	186580	Yoga Teacher
523737	240471	
523737	318029	
523737	393939	Ranjit Singh
523738	130270	
523739	335479	Eugene Ysaye's Accompanist
523740	155921	Couple kissing
523741	100558	
523741	107271	
523741	174631	
523741	179740	
523741	357383	
523741	402344	Iakovidis
523742	108746	
523743	250907	Allal
523744	63357	
523744	200003	
523745	23839	
523745	40213	
523745	63357	
523745	132354	
523745	178726	
523745	200003	
523745	303588	
523745	344279	
523745	356934	
523745	373271	
523746	373271	
523747	132000	
523748	43021	
523748	181402	
523749	356113	
523750	67523	
523750	252549	
523750	380145	Rubén Márquez
523750	383439	Martin
523750	383770	Juan Ignacio Pérez-Terada (Na
523750	385252	Adán
523750	387171	
523750	387886	
523750	392847	Asdrúbal
523750	401250	Dante Andrade-Zamora
523750	401771	'Venezolano' Arancibia
523750	402172	Ramiro
523750	403290	Oscar Riverol
523750	406050	Father Nolan
523750	407640	Tony
523750	408570	Dr. Andrade
523750	412120	Kolia Stevanovich
523751	231106	Khalil's Driver
523752	177451	
523752	228354	Menachem
523753	74108	Himself
523754	307352	
523755	262531	Rollerboys Extras
523756	70192	Sbire
523757	59365	
523757	121286	
523757	123007	
523757	134188	
523758	319137	The Beggar
523759	360436	Stan's Baby Boy
523760	67786	John Bailey
523760	113547	Best Man
523760	360436	Friend at Table
523761	394922	Sitki
523762	339345	(segment - III. Koplji pod br
523763	105278	Driscoll
523764	313526	Wramot
523764	398874	Igor Kurowski (2002-)
523764	401665	Marek (2001-2002)
523764	404216	Antoni
523765	25425	
523765	66263	Advocate Fijalkowski
523765	95954	Editor
523765	102179	Jan Bard
523765	129608	
523765	172825	
523765	215214	Director Bogdan Zagajny
523765	226420	Benedykt Korczynski
523765	237869	Batoga
523765	259803	Pilsudski
523765	260389	Napoleon Bonaparte
523765	293684	Gwido Langer
523765	311894	
523765	374232	Major Durski
523765	385477	Erick von Hollstein
523766	15929	Himself
523767	293684	
523768	255411	Young Man
523769	294374	La fanfare
523770	74769	
523771	372544	Kid
523772	23561	Lenny Becker
523772	73303	Man on Campus
523772	125830	Carl Schnee
523772	153190	Dinner party guest
523772	245468	Tobacco clerk
523772	358727	
523772	387309	Louis Van Dine (1983-1984)
523773	395073	Arnon
523774	147137	Guy
523775	356420	
523776	229913	Lenka
523777	180784	Sami
523778	18221	
523779	351296	Reporter
523780	8340	Színész II.
523780	19764	A fiú
523780	118148	fotos
523780	140061	Voznyár, minisztériumi kiküld
523780	155796	Mihály Halasi
523780	225411	Janos Fekete Nagy
523780	322191	Savanyú
523780	322238	Márkus
523780	357819	András
523780	377745	Márk atya
523781	283966	Alguazil
523782	342669	Man in store
523783	74777	Voice of Grga
523783	174844	
523783	373857	
523784	302845	
523785	226376	
523785	351358	
523786	53697	
523787	239265	
523788	40559	Zac
523788	68422	L'homme au marteau
523788	73732	Georges 'Rudi' Rudicek
523788	88838	Mr. Hyde
523788	110192	Released Prisoner
523788	121345	
523788	261815	Orlando
523788	306953	
523788	345556	L'ami de Charly
523789	27919	Claude (episode 4 "Baiser de 
523791	5743	
523791	9714	
523791	13514	
523791	30344	
523791	36665	
523791	58277	
523791	67035	
523791	68969	
523791	74649	
523791	76104	
523791	96284	
523791	103160	
523791	103500	
523791	106313	
523791	121257	
523791	124453	
523791	136149	
523791	160726	
523791	162712	
523791	189377	
523791	190644	Otro novio
523791	225032	
523791	236031	
523791	258531	
523791	278530	
523791	289814	
523791	375875	
523791	378399	
523792	291602	
523793	50129	
523794	171620	
523795	211325	Innkeeper
523796	3353	Militar
523797	27914	
523798	379118	Jesús (2000)
523798	385502	Fausto
523798	397572	Daniel Salazar
523798	401916	
523798	402219	Doctor
523799	37948	Mr. Berberian
523799	63140	Mr. Taylor
523799	113921	Riga fire control chief
523799	118763	Man in Screening Room
523799	158865	Prince Friedrich
523799	160042	
523799	161757	Nikko
523799	207906	Judge Michael Alden
523799	218765	Anatoli
523799	258051	Hussein
523799	285117	Shafi
523799	300180	Doctor
523799	338854	Mabish
523799	344514	The Old Professor
523799	368949	Faheem
523801	38553	Fireman
523801	45498	Attendant #2
523801	106016	Huge Guy
523801	271253	
523802	197512	Employee
523803	130792	Himself - Tony Zale
523804	117581	Man at French Farm
523804	181249	
523804	398874	Zygmunt (1999-2001)
523805	399887	
523806	249502	Jake
523807	313189	The Jock
523807	335353	Agent in Alley 2
523808	27975	
523808	74787	Prison Guard Wrona
523808	75977	Warden
523808	95949	
523808	97937	
523808	129608	
523808	131954	Czarny
523808	155712	
523808	158988	
523808	167319	Harry Markowski
523808	179180	Station Agent Marolewski
523808	179208	
523808	180079	Anka's Husband Roman
523808	207887	Roman Król
523808	212652	Priest
523808	231652	
523808	237442	
523808	237506	School Menager
523808	237836	
523808	237974	
523808	244208	Man Lending Money to Czerkans
523808	255844	Football Association Official
523808	266335	Buzek
523808	286746	Sgt. Kufel
523808	322030	
523808	322157	Grucha
523808	343338	
523808	359588	Agent
523808	376524	Olszanski
523808	412009	Lukasik
523809	24818	
523809	78538	Lebas
523809	135348	Le père
523809	248483	Himself
523809	357024	Bierinsky
523809	398787	
523810	282702	Performer
523811	206928	Guy at Bar
523812	174028	
523813	30497	Student
523814	105274	Fellowship
523814	154475	
523815	3343	
523815	161881	Apache
523815	348152	
523816	12338	Salsa Dancer
523817	357187	Profesor
523818	297120	Party Goer #3
523819	25708	
523820	35597	Goblin
523821	367638	Raymond (at 13)
523822	297777	Guard #2
523823	341519	Customer
523824	116632	Shestopalov
523824	239421	
523824	357208	
523825	181312	
523825	284066	
523826	255498	
523827	88413	Jezewski
523827	93848	
523827	95707	Intelligence Agency Officer S
523827	95738	Marian
523827	102639	Hungarian Officer (segment Sc
523827	165053	Yugoslavian Officer
523827	172416	Stasiek, overtjener
523827	180685	
523827	184200	Aristocrat
523827	231636	Camp Manager
523827	249885	Guest
523827	252038	
523827	255610	Zimny
523827	258663	Andrzej Witos
523827	260389	Officer
523827	275250	Mona
523827	286803	Prisoner
523827	305561	Maciej Rataj
523827	311894	
523827	313526	Duzy
523827	341071	Jedrek (segment "Jacek")
523827	348705	
523827	369012	
523827	373594	Romanian Cyclist
523827	373795	Olek
523827	374232	Captain Studniarz
523827	375445	
523827	393473	Teresa's father
523827	397007	Wincenty Bielorz
523828	87166	Jock
523829	49133	
523830	209198	Rich Guy
523831	239756	Val
523832	244787	Orphanage Child
523833	24790	Miscellaneous Family Member
523833	141733	Simms (The Fattest Boy in Cam
523834	263676	
523835	381541	Matt
523836	52595	
523837	350216	Brad
523838	70423	Assaulted Bankdirector
523839	141734	
523839	340918	Ephraim
523840	138964	
523840	212019	Stylianos Markou
523840	235098	The Poet
523840	379378	
523840	379436	Father John
523840	387761	
523840	388684	(2003-)
523840	401521	
523841	317960	Victim
523842	266591	Janitor
523843	18993	Street vendor
523843	86287	Jerry Parks
523843	97211	Truck Driver
523843	121803	Cappucino Vendor
523843	177451	Rui Ilanovitch
523843	177792	
523843	206833	Airport Cab Driver
523843	231106	Arab at Park Bernet
523843	236145	Karim
523843	250573	Ibrahim El-Gabrowny
523843	253011	Rahid
523843	282452	Cronos
523843	299469	Hot Dog Vendor
523844	35194	
523844	381471	Beakman
523845	89982	
523846	402348	
523847	371116	
523848	343339	
523849	28942	
523849	244102	Taxi Driver
523849	258664	Man on the Camping
523850	410412	Kursant
523851	62815	
523852	18439	Szafran
523853	284079	Student
523853	374468	
523854	7889	Head Football Player
523855	95933	
523855	218854	
523856	274437	Soldier
523857	242745	Walter
523858	49129	Panier
523858	394559	
523858	394991	Laci Bender
523859	262230	
523860	338568	Villager of Chendebaji
523861	338568	Gangchu
523862	338568	Villager of Chendebaji
523863	67176	Alessandro
523863	161881	
523864	405036	Mtonga
523865	1826	Sergej
523865	63753	Dizel
523865	65131	Yatsek
523865	75966	Edek
523865	79109	
523865	82198	Artur
523865	82758	Cpl. 'Houdini' Moraczewski
523865	111305	Tom
523865	179199	Lech Ryszka
523865	180251	Ichak Szulc
523865	189443	Antoni
523865	190541	Rumo Ranieri
523865	207887	
523865	227610	
523865	237293	Brother-in-law
523865	238401	
523865	238833	Michal Wolodyjowski
523865	253786	
523865	254133	Gutek
523865	254986	Customer with Coins
523865	255602	Prince Bulbo
523865	255611	Policeman
523865	261459	Liamchine
523865	265824	Terry's Driver
523865	266291	Priest Stanislaw Skorodecki
523865	266293	Truck Passenger
523865	266980	
523865	267008	Dudek
523865	288860	Jussi
523865	295069	Stefek
523865	304666	Franciszek Golabek
523865	312694	Dymecki, owner of petrol stat
523865	315018	
523865	316437	
523865	322040	Potejto
523865	322159	Ziobro
523865	323351	
523865	340119	Karol Karol
523865	340120	Karol Karol
523865	341068	Karol Karol
523865	344037	
523865	344039	Pomocnik cenzora
523865	361076	Kolota
523865	364966	Jaskier
523865	364972	
523865	373554	Seweryn
523865	374190	Tomek Siwek
523865	375467	Jasiek
523865	375961	Gustaw Mytnik
523865	376176	Matuszek
523865	385985	Artur
523866	244641	
523867	14664	
523868	12060	
523869	213112	Hat Shop Owner
523870	195215	Jeannot
523872	382819	Himself (Muslim)
523873	211362	Employé de l'ambassade
523874	354368	Galerist
523875	234948	Shahir
523876	370991	
523877	11809	
523877	18399	
523877	32757	
523877	34224	
523877	44785	
523877	82782	
523877	82796	
523877	88405	
523877	88460	Snegovoy
523877	120673	Nikolai Sergeyevich
523877	134227	
523877	134299	
523877	160604	
523877	162740	Prokhorov
523877	174686	Sergei
523877	179666	Andrei Petryanu
523877	180237	
523877	182462	
523877	198175	
523877	210374	
523877	217274	
523877	224320	
523877	225948	
523877	229056	
523877	229191	Gribov
523877	253631	Vasili
523877	259737	
523877	261318	
523877	266135	
523877	266173	
523877	273069	Vasilkov
523877	304155	Madzini
523877	309393	
523877	315002	The Unknown Man
523877	317106	
523877	324129	
523877	334484	Zhenya's father
523877	340659	
523877	341025	
523877	349360	
523877	349374	
523877	357204	Matsievich
523877	357478	
523877	357649	
523877	370919	Chief
523877	373738	
523877	374174	
523877	374240	
523877	374464	
523877	387138	
523877	397683	
523877	400449	
523877	409010	Privalov
523878	91534	
523878	319752	Stefano
523879	259717	
523879	277569	
523880	1179	Charlie Valencia
523880	28956	
523880	30391	
523880	51706	
523880	53119	Samuel
523880	54761	
523880	165766	
523880	269198	
523880	287902	Victima Atacado Con Chicas
523880	300693	
523880	328510	
523880	332921	
523880	337572	
523881	22740	
523881	59200	
523881	83142	
523881	119860	
523881	343632	
523881	371738	
523882	85105	Marcos
523883	80619	Shipper #3
523884	71266	Massimo
523884	82481	Claudio
523884	127883	Fabrizio
523884	164434	
523884	269496	
523884	349519	Luciano
523884	356464	Mestro Luna
523884	402654	Nino Donati
523885	173377	Artyom
523886	91170	Mahler
523886	211138	Romain
523886	309987	Max
523886	346671	Nicolas
523887	57437	Niño
523888	325432	
523889	29516	Munari
523889	51807	
523889	336974	
523890	196978	Journalist
523891	183053	Polonius
523892	160102	Manecão
523892	211022	Adolfinho
523892	222168	
523892	266121	
523892	409418	
523892	410310	
523893	110146	Jérôme
523894	2745	
523894	104390	Singer
523894	122784	Singer
523894	179456	Singer
523894	212594	
523894	226013	Himshelf
523894	252700	
523894	253983	
523894	285698	Singer
523894	306963	
523894	343411	
523895	131428	Louis
523896	124043	
523897	41855	
523898	6061	Himself
523898	411585	Sargento-Mor
523899	83768	Emilio
523900	162862	
523901	197572	
523901	229619	
523902	246398	Vincenzino
523903	244676	Filmcrew
523905	67653	
523905	104134	
523905	112757	
523905	218426	
523905	241011	
523905	275024	
523905	278617	
523905	286393	
523905	295100	
523905	296129	
523906	220529	Cary Ant, Pops
523907	261574	
523907	278959	Matteo
523907	294406	Matteo
523908	51368	
523908	104004	
523909	150862	
523909	342116	
523910	67724	GI Ted
523911	46568	Nazi Soldier #2
523911	377821	
523912	8581	
523912	95325	
523912	118086	
523912	229703	Elestal
523912	246853	
523912	252759	
523912	316167	
523912	341158	
523912	377632	
523913	61360	
523914	148108	
523915	156020	
523916	56011	
523916	96284	
523916	221934	
523917	284456	Prisoner
523918	170096	
523918	193483	Policeman
523918	236447	
523918	378499	Sub-inspector
523919	15030	
523919	284336	
523919	287817	Padre Antonio
523919	337956	
523919	388567	
523919	398662	
523920	369870	Himself - Winner: Best New Di
523921	1747	Himself (NL Pitcher - Chicago
523922	224281	Hood Beta
523922	405153	Mitch (episode 3)
523923	14768	
523923	21681	
523923	21716	
523923	25809	
523923	52154	
523923	52811	
523923	63320	
523923	64050	El Mudo
523923	74562	
523923	74638	
523923	91294	
523923	101318	
523923	103478	
523923	103807	
523923	111418	
523923	115741	
523923	134436	
523923	145245	
523923	160091	
523923	189013	
523923	193380	
523923	206979	Medic
523923	212346	
523923	212438	
523923	222121	
523923	225013	
523923	246154	Alfredo
523923	246392	
523923	269832	
523923	272778	
523923	272993	
523923	275136	
523923	281297	
523923	287438	
523923	287845	Lt. Zambrano
523923	287849	
523923	287852	
523923	294335	
523923	301627	Dr. Antez
523923	309081	
523923	317680	
523923	318286	
523923	324527	
523923	328715	
523923	339204	
523923	340432	
523923	371756	
523924	16842	
523924	20625	Extra
523924	126067	Spaniard
523924	187079	Old Gypsy Man
523924	194822	Servant
523925	127297	John Jacob Astor
523926	51562	
523927	90364	Priest
523927	104512	Undercover Agent in Airport
523927	124657	
523927	149500	
523927	221672	Heriberto
523927	221969	
523927	225051	
523927	247174	
523927	292931	
523927	337579	
523927	380939	Adrián
523927	408709	Jefe de policia
523928	381922	Himself (8th. evicted)
523929	16918	Coty Dominguez
523929	212481	Blanca
523930	43994	Servant
523932	25344	
523932	94661	Pietro Faredamo
523932	111844	
523932	117863	
523932	121295	Berelli, il regista
523932	158704	
523932	187441	
523932	198852	Il professore Moreau
523932	199058	
523932	206029	Signor Gioiosi
523932	234564	Alexej Argounov
523932	261889	
523932	278023	L'attore classico
523932	360466	Alexei Argounov
523933	109080	
523934	117653	Peter
523935	41290	Pre-Fighter
523936	205305	
523937	336197	Tiziano
523938	30463	Sam Zantella
523938	74219	James Bradnick
523938	283422	Eugene
523938	283607	Petrol Pump Attendant
523938	330262	Tim Pearson
523938	330670	Arch Cook
523939	357956	L'homme curieux
523940	398964	Himself (1971)
523941	158893	Ground Worker
523942	448	
523942	6006	
523942	9697	
523942	22586	
523942	52190	
523942	75178	
523942	80112	
523942	80114	
523942	92889	
523942	95017	Mangiurea
523942	97186	
523942	155104	
523942	155119	
523942	156756	
523942	158630	
523942	161675	
523942	205510	
523942	214420	
523942	219417	Marmorosblanc
523942	227516	
523942	246440	
523942	294047	
523942	325318	
523942	377586	Service Officer
523942	386188	(episode "System")
523943	13626	Gudrun
523943	346726	Chantal
523944	213894	
523944	346726	Policeman #2
523944	377586	Soldier
523945	220882	Kumin
523945	233891	Awang
523945	344253	
523946	2846	
523948	373653	Staszek Stanczak
523949	85299	
523950	395852	(season 3)
523951	104768	Israeli entry (24th place)
523951	175007	Himself
523952	78001	
523952	95755	Rabbi Nahman
523953	9678	
523953	27770	
523953	319362	
523953	372023	
523954	241296	Himself
523955	33029	Himself
523955	171138	Carl
523956	127604	
523956	166878	Luigi
523956	187436	Nino Ragusa
523956	199045	
523956	259708	
523956	307241	
523957	188486	Magdick
523957	310166	Ensign Andy Luna47
523958	213125	
523958	267031	The Beautiful Thing
523959	202528	Himself
523960	39456	Moustache
523961	13395	Maurici (segment "Blue Man Do
523961	21157	Drunk #2
523961	194045	Carl
523961	253896	Johnny
523961	346902	Lobby Attendant
523961	383385	Danny Donato #2 (1984)
523961	389858	Ron Engle (1980)
523962	125599	Joseph's Helper on Day 1
523962	202528	Host
523963	160	Assistant
523963	202085	Béralde
523964	23785	Houpe
523964	33530	Un pompiste
523964	44963	
523964	51138	
523964	57891	
523964	68400	
523964	68496	
523964	107533	L'agent de police
523964	124400	
523964	144318	
523964	157235	
523964	217213	Victor
523964	219849	
523964	235814	
523964	251063	
523964	258928	Himself
523964	258981	M. Gauthier
523964	275403	Le peintre
523964	280551	Le beau-frère
523964	294808	
523964	301403	
523964	338697	
523964	343579	Factionnaire
523964	346438	
523964	346788	
523964	372951	
523964	376968	
523964	378866	Panisse (ep.5)
523964	389005	
523964	398834	
523964	400869	
523964	404358	
523964	409440	
523964	409537	
523964	410211	Augusto Tortuli
523964	410309	
523964	411699	Manu
523965	203335	
523965	372759	Himself
523965	411830	Himself (1975-1980)
523966	321082	Customs official
523967	87220	Park Ranger
523967	243724	Lenny
523968	41238	Red City Street Urchin
523969	176116	Habib
523969	285810	Hamed
523970	100373	
523970	233948	Transvestite
523971	72168	
523971	376227	
523972	213874	Student
523972	266286	
523972	288127	Vaso Cubrilovic
523972	305812	
523972	320235	
523972	388685	
523972	390427	Selimir
523972	405656	Nikola Misic
523973	273423	Juan José
523974	80288	
523975	246871	Hombre grueso
523976	8267	
523976	13081	Liborio (segment "El Difunto 
523976	14679	
523976	57259	
523976	68595	
523976	287005	
523976	339117	
523976	373576	
523977	195035	Niño #2
523978	26804	Himself
523978	44432	What's Happening Boys
523978	91559	Willie
523978	95365	Photographer
523978	107002	Man with cleaver
523978	115886	2nd Crack Smoker
523978	127042	Jesus
523978	141564	
523978	158321	
523978	177467	
523978	183877	Pelo
523978	203716	Rudy's Dad
523978	213233	Hombre #2
523978	224351	Mr. Lincock
523978	230432	Leroy
523978	245332	A.J. Mitjans
523978	245994	Car Thief
523978	252844	Parking Attendant
523978	262160	Fidel de Baca
523978	272325	Mustapha
523978	275889	Lagarto Rodrigues
523978	279841	Kaplan
523978	299834	Salvador
523978	313046	Cocaine Cowboy #5
523978	315901	Poncho
523978	336300	Ruffino
523978	337098	Alejandro
523978	366255	Cellmate
523978	411802	Vincente Guittierez (2002 - 2
523979	32658	Bully at fair
523979	53041	Chuck
523979	142668	Arnold
523979	364693	The Bully
523979	368944	Kid Louie
523979	387591	Bugs Meany
523980	189049	Sargento
523981	109741	Palermo's henchman
523982	58141	
523982	75361	
523982	153827	
523982	252066	
523982	296197	
523982	339122	
523983	12252	Police Officer
523984	270664	
523985	20732	
523985	51745	
523985	52989	
523985	61341	
523985	69022	
523985	72967	
523985	74522	
523985	91367	
523985	94842	
523985	108717	
523985	108721	Espiritista
523985	112044	
523985	118954	
523985	122159	
523985	127599	Nativo de Africa
523985	135113	
523985	145185	
523985	175265	
523985	187736	
523985	199808	
523985	207736	
523985	229421	
523985	234318	
523985	262981	
523985	277380	
523985	279829	Sirviente
523985	281024	Maitre'D
523985	324839	
523985	332970	
523985	333534	Mondongo, guia
523985	333608	
523985	339446	Timon, cook
523985	350634	
523985	353215	Joe
523985	353786	
523985	376635	
523985	376673	
523985	379147	
523985	397598	
523985	402839	Negro Memphis
523985	405231	Various Roles
523986	32707	Kid with Kite
523987	12918	
523987	226688	
523987	270664	
523988	58045	
523989	371732	
523990	304355	
523991	377183	Cesar Castro
523992	5267	Himself
523993	146569	
523994	273432	
523994	273433	
523994	273434	
523994	273436	
523994	402993	Himself/San Francisco (1994)
523995	30725	
523995	81249	
523995	104851	
523995	162642	Arula
523995	200770	Pedro Penduko
523995	251726	Maguayan
523995	256785	
523995	276753	
523995	296545	
523995	330121	Chop-suey
523996	61203	León
523996	63916	Himself
523996	260527	
523996	266861	
523996	376758	
523997	249908	Detective 2
523997	295110	Himself
523998	20478	
523999	175265	
523999	351570	
523999	397593	
524000	52731	
524000	63322	
524000	83749	
524000	85553	Chimbomba
524000	199797	
524000	221937	Man at the cabaret
524000	287452	
524001	25816	B
524001	126250	Eddie
524002	326741	Dancer
524002	410830	Dr. Jerry
524003	18365	
524003	77180	
524003	79120	Ramon
524003	138333	
524003	200008	
524003	306664	
524004	379137	Himself - Contestant
524005	25745	
524005	338859	Himself (Man Utd v Inter)
524006	30749	Raúl
524007	123150	
524008	123150	
524009	223212	Satie
524010	46630	Warden
524010	180109	
524010	218854	
524010	226000	
524011	305288	
524012	55968	
524012	284911	
524013	247967	
524014	51790	Amar
524015	81501	
524015	264734	
524015	362990	
524016	177660	Extra
524017	52072	
524018	284877	
524019	12319	Party Guest
524020	9423	
524020	102399	
524020	211198	
524021	373853	
524022	19880	
524022	36457	Sgt. Donovan
524022	64365	Oblò
524022	64759	Hood #1
524022	67185	Charlie (Finch henchman)
524022	89666	Phil O'Hara
524022	199051	
524022	199291	
524022	200512	Horatius
524022	218459	Sitama's Man #1
524022	238791	
524022	256773	
524022	287226	Hirangù
524022	290001	
524022	295141	
524022	295147	Peter MacGregor
524022	295164	Peter MacGregor
524022	295173	Bananas
524022	301175	Vargas
524022	332001	Thomas's Friend
524022	332922	Rick
524022	332952	
524022	335538	
524022	338706	Sgt. John Foster
524022	339806	
524022	348191	
524022	375884	Sadoch
524022	375888	
524023	15995	
524024	48889	
524024	89908	
524024	127947	
524024	197636	
524024	235742	
524024	255474	
524024	270228	
524024	285988	
524024	290001	
524024	295147	Bandit
524024	296540	
524024	307633	
524024	310214	
524024	331033	One of Gnut's Men
524024	334540	
524025	270228	
524026	34292	Marco
524026	65176	Giovanni Pinacoli
524026	212167	Claudio
524026	254369	Robert König
524026	290240	Vito Konz
524026	392669	David
524026	405542	Gino Bruni
524026	409958	Nikolaus 'Nick' Prozeski (199
524027	311197	Indian Prisoner
524028	380057	
524029	236697	Woods' driver
524029	393261	Himself
524030	281972	A Singer
524031	183234	Benzinaio
524032	128934	
524033	153927	Himself
524034	1140	Soldat de la ferme
524035	380852	
524036	342125	Jacopo
524037	284175	Jean-Louis
524038	269073	Technicien voiture
524039	45606	Kyle
524039	67838	Older Matteo
524039	77922	AS Ryan Alford
524039	94117	Philip Renold
524039	95786	
524039	112302	Billy
524039	162347	Rudy Marlowe
524039	210462	Agent Steve Ritchie
524039	312971	Andrew
524039	339399	
524039	367243	Jesus Arcadio
524039	387312	Mark Deosdade
524040	111928	Bottle Dancer
524040	203295	Muleteer
524041	284456	Guard
524042	366316	Drunk on steps
524043	254764	Larry "Buck" Masters
524043	365866	The Ripper/Fly #2
524044	405415	
524045	12030	Celedonio
524046	306721	Soccer Player
524047	306721	Soccer Player
524048	82231	Javier Gutierrez
524048	162607	Bobby
524049	135996	Cop
524050	276005	Keleni
524051	328723	Ling
524052	48771	Grizhka
524052	88738	
524052	132153	
524052	173687	
524052	244115	
524052	349305	
524053	51614	
524053	269115	
524053	280454	
524053	287887	
524054	246849	
524055	351007	Mali Mihailo
524056	119365	Prince of Samarkand
524057	337	Professor Giacometti
524057	5292	Agente Mottesi
524057	8285	
524057	28974	Belli
524057	52893	
524057	74883	
524057	128931	
524057	158760	Il commissario di quartiere
524057	159468	
524057	197615	
524057	202790	
524057	213802	Commissario
524057	227585	Franco Casagrande
524057	252720	
524057	259721	
524057	266012	Michele Esposito
524057	328892	
524057	337426	
524057	354881	Verzi
524057	394791	Professor Shiba
524057	411885	Procton
524058	344012	Petr Sorokin, student
524059	34148	Gleczik, the policeman
524059	95574	
524059	370275	Tolstjak
524060	89998	
524061	6423	
524061	12127	
524061	12650	
524061	21411	
524061	22074	
524061	22075	
524061	22829	
524061	23526	
524061	30945	
524061	33918	
524061	38433	
524061	38491	
524061	43293	
524061	45541	
524061	56668	
524061	56669	
524061	57596	
524061	76727	
524061	76772	
524061	82617	
524061	82620	
524061	84698	
524061	96487	
524061	98677	
524061	99551	
524061	107637	
524061	138104	
524061	142972	
524061	157343	
524061	162133	
524061	171974	
524061	172650	
524061	172975	
524061	173211	
524061	173564	
524061	173573	
524061	173772	
524061	173796	
524061	176699	
524061	176701	
524061	177788	
524061	178403	Oski
524061	178404	
524061	180321	
524061	182158	
524061	207202	
524061	207203	
524061	207204	
524061	207206	
524061	242334	
524061	244023	
524061	289286	
524061	296410	
524061	296418	
524061	296420	
524061	308321	
524061	335068	
524061	335985	
524061	342163	
524061	357603	
524061	370337	Ali Korkmaz
524061	370369	
524061	371557	
524061	373631	
524061	377551	
524061	378175	
524061	378285	Örümcek Adam
524061	378571	
524062	212135	
524062	339995	
524063	135712	Cat
524063	200771	Toothpaste/Little Buddha
524064	136576	
524064	237165	Driver
524064	322051	Operetténekes
524064	349781	Tehergépkocsivezetõ
524065	219836	Telepvezetõ
524066	103663	
524067	345292	Jonathan
524068	15382	
524068	85584	
524069	278024	Paul
524070	408592	
524071	277739	
524072	57321	Baritone
524072	243389	Orfeo
524073	121899	
524074	254388	Ami the Mailman
524075	289055	Peluche
524076	8835	Amonasro
524077	69391	Bachelor Winner
524078	319513	Profesor Vinilo
524079	16348	Carlo Gérard
524079	23568	Ezio
524079	90010	Rodrigo
524079	135441	Guglielmo Tell
524079	199288	Sharpless
524079	338617	Giorgio Germont
524079	340650	Il conte Luna
524079	352827	Guido di Monforte, governator
524080	199291	
524081	121786	Controller
524082	301340	Il vero Max Varaldo
524083	221182	Man in Restaurant
524083	230743	Minister
524084	52784	
524084	56922	Un impiegato di Danieli
524084	199441	
524084	336149	
524084	337378	Avvocato
524085	82436	
524085	87042	
524085	162076	
524085	246430	
524085	263240	
524085	343554	
524086	97167	Innocente
524088	97167	Boy at laundrette
524089	271868	Priest
524090	10886	Supervisor
524090	60270	Farhad
524090	161505	Savak
524090	219371	Detective
524090	257530	Dennis 'Crick' Crichmore
524090	266084	Assassin
524090	334235	Terrorist
524091	219748	
524092	306294	Hamish McAlpine
524093	225931	Zuburs
524094	180402	
524095	5671	Window-washer Thomas
524096	121482	Chauffør
524097	18518	Staatsanwalt Scheurer
524097	18522	Staatsanwalt Scheurer
524097	18528	Staatsanwalt Scheurer
524097	18531	Staatsanwalt Scheurer
524097	24422	Hendrik
524097	186149	
524097	361406	Franz
524098	121931	
524098	134793	Himself
524098	381694	
524098	386325	
524098	401615	Various Roles
524099	231468	Hugo/Ferdinand Progulske
524100	46111	Hornig
524100	70106	Lentzer
524100	83880	Muller's Brother
524100	98315	
524100	110114	Barman Springer
524100	120956	Wächter
524100	123281	
524100	123945	Marty Fowler
524100	124615	
524100	156989	
524100	157682	Fritzchen
524100	160254	
524100	165368	
524100	210118	Jerome Pittmann
524100	226173	Günter Bockels
524100	231468	
524100	250413	Otto
524100	250896	Rudi Bär
524100	266775	Sepp
524100	325785	Sattmann
524100	325799	Zweigstellenleiter
524100	358044	
524100	379082	Gustl
524100	381689	Eliser
524100	395399	
524101	29715	Div.
524101	74947	Div.
524101	86953	Frank
524101	286825	Tom
524102	31726	Guitarman
524103	348229	Jackson
524104	53323	Jimmy
524104	72376	Roy
524104	135634	Josh
524104	212257	Sam
524104	305988	Billy
524105	79303	Spankharen
524105	107090	
524105	224811	Lt. Jahn
524105	276712	Ginelli, Moto's Associate
524105	282254	German A.D.C.
524106	76571	Himself
524106	279984	Omar (singing)
524106	378685	Himself - Member, Cheap Trick
524107	278702	Belinsky
524107	294660	
524107	312100	
524107	326593	
524108	30145	Poacher
524109	10840	Joey Potts (segment "Limited 
524110	25659	
524110	91437	
524110	137862	
524110	166391	
524110	176098	
524110	201253	
524110	206936	
524110	253672	
524110	271047	
524110	285532	
524110	296605	
524110	297046	
524110	325054	
524110	349702	
524110	373843	
524111	205268	Musician
524111	210741	Alien
524112	87905	
524113	175969	
524114	411549	Zandig
524115	9004	Timberwolf basketball player
524116	52742	Himself
524116	108926	Jeweller
524116	154087	Mr. Burmeister
524116	342759	Uncle
524117	383550	Domingos
524118	293345	
524119	82384	Chizzy
524120	220787	Young Roger Crumpkin
524121	26279	Boy on boat #2
524122	234226	Father of the Bride
524123	44609	
524124	354048	Gaucho
524125	208278	Caterer
524126	18292	
524126	154056	
524126	237462	
524127	13327	Iver
524127	14964	Adolf von Krusenstjerna
524127	46645	
524127	48361	Flemming
524127	54806	
524127	75733	Mr. Zane
524127	84267	Jan
524127	93526	Jacob 'Rosen' Rosenheim
524127	94256	Steff
524127	99511	Tommy
524127	105829	Åke
524127	108051	Jens
524127	120027	David Cohen
524127	152704	Staffan
524127	168937	
524127	170710	Lindqvist
524127	171634	Assistant manager
524127	192821	Lucho
524127	202763	Arne
524127	209309	
524127	219232	
524127	227103	
524127	252332	superintendent
524127	278374	Felix
524127	281336	
524127	293705	Inspektøren
524127	294661	Johan Holmberg
524127	304354	Jacob
524127	309292	Isidor Seemann
524127	314873	The young man
524127	318315	Tubaisten
524127	322315	Stef Bäckman
524127	340272	Martin Goldman
524127	343459	Appeltoft
524127	381054	Carl Bertelskjöld
524127	387527	Lawyer Max Holt
524127	388259	Markus Jonsson
524127	394864	Frans Norén
524127	397294	Helmut Lanzinger
524127	398251	Mannberger
524127	403379	Dr. Jönsson
524128	317236	Tim
524128	402611	Dane McAteer
524129	47040	
524130	3252	Presenter
524130	212026	Himself - Presenter
524130	404568	Host
524130	408611	Presenter (2004-)
524131	113138	
524132	740	Himself
524132	26844	Match
524132	26846	Match (Biff's Gang)
524132	33393	Curtis Zampf
524132	34903	Himself
524132	35079	Joseph
524132	35144	Dr. Jesse Peter
524132	37164	Billy
524132	41134	Joey Turks
524132	46418	Himself
524132	47918	Les
524132	56207	Kenneth Bianchi
524132	65078	Roberto Bealing
524132	65554	Marc Antony
524132	69817	Police Officer
524132	72391	Mr. E
524132	73572	Steve Elliot
524132	77983	Rick Morgan
524132	80412	Hughie Warriner
524132	80462	Virgil
524132	82683	The Collector
524132	85840	Mike Kardec
524132	93978	Oates
524132	111060	Elijah
524132	115110	Jack Flinder
524132	127704	
524132	129964	Yuppie in limo (segment "The 
524132	130358	King Neptune
524132	140926	Kent
524132	142809	Michael Jeffrey
524132	151751	Narrator
524132	154822	The Thief
524132	156853	Nero
524132	161864	Os
524132	177632	Ansem
524132	178175	Alan Roberts/young Philip Nau
524132	184086	Billy
524132	184582	Michael Sanger
524132	209802	Palinov/Jensen
524132	210671	Lt. Val Kozlowski
524132	213884	Maurizio Ferretti
524132	219251	Sam
524132	242113	The False Damon Bradley
524132	243653	Shelmerdine
524132	254585	The Phantom/Kit Walker
524132	258027	Marvin
524132	258513	John Rolfe
524132	258752	Brad
524132	259280	Officer Don Varney
524132	261417	Colonel Graham
524132	274689	Colin
524132	295082	Charles Thorpe
524132	301760	Sheriff Bill Willingham
524132	301787	Joe Dee Foster
524132	301946	Chandler Tyson
524132	306120	Richard Miller
524132	312540	Broderick 'Brodi' Ford
524132	313875	
524132	320209	Sam Myers
524132	326229	George Putter
524132	330951	Marty Lakewood
524132	331247	Jack
524132	333856	Caledon 'Cal' Hockley
524132	335245	Mr. Fabian
524132	352985	Himself
524132	356051	Adrian
524132	375827	Himself
524132	405833	Joe Carpenter
524133	153266	Himself
524134	337494	Himself (University of Maryla
524135	92453	Eric
524135	112601	Derek
524135	113489	Damon
524135	201723	Himself
524135	220126	M'Kai
524137	105896	
524137	260726	Himself
524138	185725	
524138	359532	Zeg's Guard
524139	106671	News Crew
524140	117545	Russian Soldier
524141	128655	Herbert Smythe
524141	372645	Bob
524143	53937	Roger Taris
524144	342628	Younger Brother
524145	88662	Mr. Halikas
524145	348027	Jack Montgomery
524146	174155	Ambulancier #1
524148	133040	
524149	215295	Ofiicer #1
524150	117939	
524151	82141	Gendarme
524152	65778	
524152	226458	Profesor
524152	267284	Laucha
524152	302053	Marcelo
524153	66615	Senate/House Page
524154	263263	Deputy Rogers
524155	45489	
524155	68278	
524155	82378	Jerry Sykes
524155	144450	
524155	146854	Prof. Nichols' Student
524155	154913	Messenger
524155	185286	Boy on Bus
524155	190062	Young Man in Hallway
524155	192009	Jack
524155	192333	Bertis
524155	217478	Allen Curtis
524155	223783	Messenger
524155	293103	Messenger Boy
524155	321570	Bellboy
524155	330180	Joe Elwood
524155	363274	Jerry
524155	372929	
524156	303732	Himself/Skank: bass
524157	19327	Un Enfant
524158	45946	
524158	49371	Bullfighter
524158	123347	Italian Immigrant
524158	124374	Bit Part
524158	128202	Perrone
524158	143577	Dancer
524158	207287	Servant
524158	212242	Specialty Dancer
524158	244841	Barney
524158	306222	Baptiste
524158	329388	Escort
524158	343034	Headwaiter
524158	346024	Porter
524158	371037	Larson, engineer
524159	245112	Antonio
524160	2107	Le premier loubard
524160	19725	
524160	83233	Reporter 2
524160	83379	Monsieur Romi
524160	91977	Policier municipal 2
524160	92964	
524160	148771	
524160	198549	Driez, the murderer
524160	200953	Dédé
524160	236539	
524160	237315	Le prêtre et patron vigile
524160	240429	Jules Berry séq. Hotel du Nor
524160	268822	le Loubard Hervé
524160	322768	Le journaliste
524160	326030	Le travelo
524160	345082	Lady Godiva
524160	345565	Le comptable
524160	377629	Inspecteur Périneau
524160	384288	Jules
524160	399082	Détenu
524161	201790	Himself
524162	214316	
524163	25341	
524163	94709	
524163	233081	
524163	309166	
524163	340423	Donald
524163	391729	
524164	108600	Goth
524165	11971	Lieutenant Bargueloni
524165	46946	Aldo
524165	65089	Michel
524165	83279	Joël
524165	99362	
524165	168800	Roberto
524165	170107	J.M. Sotero/Hoodlum
524165	170469	Marc
524165	198549	Aldo
524165	211630	Jacques Chandelaire, le mari 
524165	236543	
524165	248420	Le jeune flic
524165	249417	Salvatore Amato
524165	376895	Un conducteur
524165	390436	Bruno
524166	14728	
524166	102669	
524167	152603	Student at Brasserie
524168	297536	
524169	316905	
524170	349754	Bepi Zanfron
524171	93399	Mathias' Filmteam
524171	226310	Taxigast
524172	41379	Hymie Weisberger
524172	71474	Hotel clerk
524172	168701	Prestige manager
524173	3955	Jocko
524173	121134	Kolby
524174	376828	
524175	27530	
524177	263014	Italo
524178	104763	Himself
524179	57020	
524179	72973	Head Hunter
524180	7500	Dick
524180	27184	Jackson
524180	76820	Ohio Officer
524180	80385	Det. Spiro Lonzano
524181	92477	
524181	137896	Laertes
524182	23507	
524182	108171	Inkassator
524182	198079	
524182	203407	
524182	210373	
524182	244681	Baker
524182	248576	Johansen
524182	405717	
524182	407708	
524183	133431	Baruch 'Barney' Dian
524183	143383	
524183	167300	
524183	219874	Jacob 'Joseph' Frumkin
524183	224322	
524184	4802	Himself
524184	23247	Himself
524185	144667	Man at Treasury Dept.
524185	269088	Prison Guard
524186	67344	
524187	313737	Himself (Russian team)
524188	269461	
524189	338568	Pem Dorji
524190	14782	
524190	277022	Sanchez
524191	404915	Dora
524192	133932	The Cobbler
524193	81359	
524194	6331	Sferi
524195	171372	Son
524196	116280	Shaving Passenger
524197	8369	Figlio di Cencio
524197	13178	Titta Biondi
524197	44361	
524197	49678	Marco
524197	56354	2nd Brigadist
524197	136189	
524197	159617	
524197	246426	Daniele
524197	259700	Franco Ludovisi
524197	263732	
524197	266118	
524197	348211	
524197	393044	Mutineer
524197	396820	Giulio
524198	61089	
524199	90977	Strizzapalle
524200	46940	
524200	353898	Léon
524201	323314	
524202	173662	
524202	246909	
524203	7952	Himself
524204	324699	
524205	98740	
524206	230873	Drunk
524206	331728	
524207	132390	
524207	297749	
524207	409899	Fazl ben Sahl
524208	391697	Himself
524209	231402	
524210	91061	Himself
524210	91065	Himself
524211	217850	Sacha
524212	164088	Kalfa
524213	67523	
524214	30145	Mayor
524215	293345	
524216	313583	Question Askers at Screening
524217	227440	John Magee, American Missiona
524218	13073	
524219	103173	
524219	148170	
524219	292906	
524220	270691	Aspirante alla radio
524221	15277	
524221	20661	Manolis Sfyridas
524221	22649	
524221	25269	
524221	74221	
524221	86258	
524221	86405	
524221	89732	
524221	92922	
524221	93895	
524221	95883	
524221	95892	
524221	98230	
524221	98234	
524221	100554	
524221	100567	
524221	100593	
524221	100607	
524221	100613	
524221	100631	
524221	102124	
524221	102885	
524221	105912	
524221	118099	
524221	125696	
524221	127359	
524221	164455	Jeronimo
524221	172728	
524221	173976	
524221	174537	
524221	174574	Coach
524221	174929	
524221	178305	
524221	181092	
524221	189071	Tatalias
524221	189073	
524221	193481	
524221	201974	
524221	203810	
524221	207017	
524221	209070	
524221	210260	
524221	212062	
524221	212516	
524221	213125	
524221	213687	
524221	214331	
524221	216347	
524221	216617	
524221	227487	
524221	237080	
524221	253983	
524221	263633	
524221	265933	
524221	266536	
524221	299610	
524221	301464	
524221	311415	
524221	314306	
524221	329636	
524221	329711	
524221	331168	
524221	335375	
524221	341192	
524221	343320	Agathoklis Karmoutzoukos
524221	346439	
524221	349940	
524221	350803	
524221	356394	
524221	369534	
524221	370929	
524221	374167	
524221	375294	
524221	387348	Agopian
524221	389183	Chief of the police
524221	391100	Pantelis
524222	45696	Young Christian
524223	56306	Ry morrison
524223	355236	Sv-501 Agent
524223	355620	Obbiettore
524224	22000	Pietro
524225	183480	T.V. Technician
524225	383784	Aurelio Papisca
524226	113807	Manolo Calba
524226	154530	Motel Cashier
524226	159514	Head Sherpa
524226	263481	Chivo
524227	56871	James
524227	109564	Cell Phone Salesman
524227	196095	Quinn Andrews
524227	221488	Host
524227	398438	Correspondant (2002-2003)
524227	401195	Host
524227	410877	Vince (2003-)
524228	350421	Daniele
524229	394750	
524230	348215	
524231	211117	Giuseppe
524232	398985	Sébastien, enfant (1974)
524233	352855	
524234	19639	Loup Noir 1
524235	20692	Il pugile
524235	102397	
524235	133043	
524235	175054	
524235	192930	Mats Norrgård
524235	199037	Charley Law
524235	199065	Kenamun
524235	219242	David
524235	327451	
524236	125195	
524237	402503	
524238	117865	Bramante
524238	193220	Arlecchino
524239	163755	
524240	9007	Scooter Kid
524241	27667	Randy Joyner
524241	41428	Michael Johnson
524241	105396	Jake Le'Claire
524242	176848	Lee
524243	410883	Presenter (1994-1995)
524244	67657	
524245	138382	Bad Guy
524246	180634	
524246	284008	
524247	397888	Organisator Oost- en West Vla
524248	124502	Man
524249	219957	George Patterson
524250	14502	
524250	26689	
524250	94720	
524250	113531	
524250	156531	
524250	264250	
524250	339469	Triboulet
524251	1774	Himself
524251	22945	Himself
524251	56579	
524251	65568	Himself
524251	113469	
524251	176379	Himself
524251	205185	Himself
524251	280364	Himself
524251	291372	Himself
524251	291403	Himself
524251	291419	Himself
524251	300070	Himself
524252	201742	Himself
524253	318388	Baby Langston Poplin
524254	1774	Himself
524254	2895	Himself - Best Picture Winner
524254	3662	Himself
524254	33002	Himself
524254	65568	Himself
524254	143643	Himself
524254	165975	Himself
524254	168112	Himself
524254	168617	Himself
524254	201695	Himself
524254	201735	Himself
524254	201742	Himself
524254	201882	Himself
524254	201912	Himself
524254	261716	Himself
524254	309636	Himself
524254	342397	Himself
524254	386414	Himself
524255	51546	
524256	337429	
524257	13322	Himself
524257	75757	
524257	244847	Himself
524259	6924	
524259	154122	
524259	168238	Bullying Man #1
524259	275996	Man on Studio Tour
524259	348402	Sonny Griffin
524260	31882	
524260	47361	Jeff Peters
524260	64811	Bondsman
524260	77960	Blinky Ben
524260	124104	Jack Lane
524260	147633	Horace Pringle
524260	271261	Dummy
524261	220479	
524261	388458	Malaquias
524261	394872	
524261	396610	Israel (1995-1996)
524261	402685	Slave
524261	404165	Jairzinho
524261	410054	Gavião
524261	411585	Padre Bartolomeu
524262	369964	Chiang Kaishek
524263	371509	
524263	373162	Chu Chi Ang
524264	254485	Dancer
524265	71262	Doctor
524265	95830	
524265	202571	Artist
524265	206953	
524265	207887	
524265	225832	Vampire
524265	244104	Martula
524265	255844	'Koks' Chairman
524265	266307	
524265	305560	Stefan Nowak
524265	344036	
524265	361809	Lt. Zdzislaw Kregielski
524265	374232	Journalist
524265	392587	Jerzy Janas
524265	395084	Ochocki
524265	404216	Dariusz Baranowski
524265	411110	Dr. Jerzy Kocharski
524266	75977	Mundek
524266	96603	Protektor
524266	137330	Man in the cinema
524266	178477	
524266	216615	
524266	247042	
524266	255844	Dealer
524266	273710	
524267	16928	Kamerdyner
524267	75942	
524267	89603	Wackonis
524267	134549	
524267	187786	
524267	200439	
524267	253197	
524267	322393	
524269	92095	Skater #2
524270	57894	Le second des frères Lumière
524271	346767	
524272	332188	
524273	83240	Le guitariste espagnol
524273	261794	Musicien
524273	347131	Terrorist
524274	24627	Himself
524275	332188	
524276	44973	
524277	88412	Man Being Baptised
524278	360537	Football Player
524279	242707	
524280	341239	
524281	30091	False Blind Man
524281	30497	Jakub Szelestowski
524281	30507	Antonio Taviatini
524281	35878	Jerzy Michalowski
524281	51493	kapitan Wagner
524281	68943	
524281	82202	Police Inspector
524281	82758	Minister
524281	94222	Writer
524281	95949	Prisoner
524281	95954	Priest
524281	98022	Lawyer
524281	100582	John Gilette
524281	120439	
524281	131954	Leon's Father
524281	137938	Polonius
524281	148665	Wladimir
524281	155712	
524281	157126	Psychiatrist
524281	167025	Jacek's Father
524281	178773	Commission Member
524281	180106	Man in Phonebooth
524281	180538	
524281	181367	Przewodniczacy Komisji
524281	181408	Blonde Man
524281	181840	Reader Kwasniak
524281	186122	Varga fõorvos
524281	191543	
524281	207164	Michal Barczewski
524281	207887	Wiktor Lewen
524281	208751	
524281	234445	
524281	237701	
524281	237869	Impresario
524281	237983	Adam
524281	238833	Narrator
524281	244113	Gypsy
524281	247647	Julcia's husband
524281	249885	Jan Józef Tyssowski
524281	258438	Ratajczak
524281	258663	Josef Stalin
524281	266335	1. Adam
524281	266540	Wencel
524281	276553	Doctor
524281	280588	Szary
524281	303794	Verteidiger
524281	311820	Father
524281	311838	Kres
524281	319741	Tomasz
524281	322029	
524281	322155	Rygier
524281	343744	Lieutnant-colonel
524281	348704	
524281	348712	Hrabia
524281	357957	Siwy
524281	360952	Amadei
524281	369381	
524281	373497	Jan
524281	375067	Kessler
524281	376518	Tomasz Berg
524282	77017	Graduation Reader
524283	364431	Guy in Trunk #2
524284	272021	Miguel
524284	350889	Spider
524284	354996	Motel Receptionist
524284	364431	Guy in Trunk #2
524285	212259	Himself (during Mexican Revol
524286	389669	Host
524287	364431	Guy in Trunk #1
524288	149971	Driver
524288	384427	Nico
524289	284628	Studio Executive
524290	74749	
524290	245582	
524290	284336	Gonzalito
524290	382754	
524291	387621	Eloy Cedeño
524291	391173	
524291	391272	
524291	396161	
524291	396644	Mandinga
524291	405809	Reinaldo
524291	408408	Matute
524292	334761	Chicano
524293	404203	
524294	52160	Jose's Entourage
524295	22770	
524295	391572	Charal
524295	410477	
524296	64672	Juanito
524297	3432	
524297	99798	Ignacio
524297	108532	
524297	146461	
524297	189369	
524298	73281	Agente MP/MP Agent
524298	118814	Carnicero
524299	320266	Charlie
524300	356796	
524301	299691	Street Thug
524302	124581	
524302	131963	
524303	354996	Clown
524304	93250	Juan
524304	113852	Janitor
524304	368592	Mexican Sidekick
524305	45376	
524305	115755	
524306	12055	
524307	278314	Sparafucille
524308	325304	Child
524309	12302	Matt
524310	102101	
524311	204755	Sven
524311	315949	
524312	317309	MV Hockey Fan
524313	23877	Stephan
524313	115103	Jörg
524313	236837	Junge, 12 Jahre (Boy, age 12)
524313	267331	Dieter Kleu
524313	290503	Morich
524313	381694	Flori
524313	409609	Kaspar Riedel
524314	17037	
524314	17667	
524314	84578	
524314	90997	Boutiquen-Kunde
524314	97092	
524314	97926	Egmont
524314	98980	Gerd Hermsbach
524314	100103	
524314	102453	
524314	102527	Herr Eckernförde
524314	105547	Markus Keller
524314	118967	Harry
524314	122775	Trautmann
524314	128999	Veturius
524314	140216	
524314	145504	Heinrich Himmler
524314	180911	Nikotai
524314	182591	Friedrich
524314	182750	Herzog von Albany
524314	184272	
524314	188789	Squadron Judge Beck
524314	204312	Herbert
524314	225266	Rüdiger Fuchs
524314	225293	Thorsten Maurer
524314	225660	Werner Ahrendsen
524314	226290	Vater
524314	230019	Richard Martens
524314	231352	Hagen von Tronje
524314	259657	Werner
524314	263377	Prinz August Wilhelm
524314	267331	Bruno Kleu
524314	272831	
524314	281659	Radowiscz
524314	281710	George Spencer
524314	281949	
524314	289854	Florian
524314	290019	Dr. Kulicke
524314	299373	
524314	310430	Clemens Kompatzki
524314	312657	Grutschenkow
524314	325465	Harry
524314	325563	Carsdorff
524314	325621	Helmut Seiff
524314	325650	Löwberg
524314	325752	Heinrich Wagner
524314	325799	Arthur Steinemann
524314	334631	Bundeskanzler Helmut Schmidt
524314	335274	Veturius
524314	338442	Offizier Olbricht
524314	341097	
524314	348057	Peter
524314	349056	Heinz
524314	375529	Jochen
524314	376295	Kinscher
524314	380451	Ahrendsen
524314	385009	
524314	388165	Oberleutnant Kraft
524314	388246	Alois Kern
524314	390701	Richard Mayers
524314	403458	
524314	406160	Michael Thorndal
524314	411163	Manfred Rasche
524315	325883	
524316	225070	
524317	144889	Prison Guard
524318	44913	
524319	152793	Bouncer
524320	279512	
524321	132983	Fabrice
524322	165724	Él mismo, piloto de F1
524323	3395	Pepe
524324	135368	
524325	193166	
524326	43658	Bonifacio bebé
524327	16084	
524327	59970	Cab Driver
524327	63065	Joseph Owl Feather
524327	138324	Jailer
524327	215857	
524327	220330	Blackfoot Chief
524327	232508	Joe Mamoa
524327	251377	Ignacio
524327	267554	Chito
524327	275317	Jasper Simalee
524327	358941	Trading Post Indian
524328	258540	Passenger
524328	266314	
524329	326755	Boy's Dad
524330	195573	
524330	233974	child
524331	318871	
524332	12937	Karl Philipp Prince zu Schwar
524332	380554	Honzik's friend
524333	223487	
524334	163755	
524335	26198	
524336	163887	
524337	104066	Midget
524338	360480	Edwards' radio operator
524339	10899	1st Aide
524340	360127	Policeman
524341	130181	
524342	67571	Mayor Assistant
524342	93139	Ticket Taker
524342	242804	Roger Hernandez
524342	243231	Bushy Haired Guy
524342	323970	Josh/Vincent
524342	335839	Intel, Frigate, Prowler
524343	1099	Student #3
524343	15861	Officer Sweitzer
524343	30580	Host
524343	61768	Lazlo
524343	64560	Himself (performer-comedy acr
524343	125420	Additional Voices
524343	164432	Snowplow Driver
524343	261975	Evil Villian 2
524343	267088	Jamie
524343	273241	Cashier
524343	335706	Hal
524343	378762	
524343	391013	Host
524343	403551	Host
524343	406398	Judge (2003)
524343	410734	Host
524344	345784	Young Minnesota Tishman
524345	15861	Sid
524345	57674	Himself
524345	77831	
524345	118900	Himself
524345	141387	Band Performer
524345	147828	Himself
524345	157459	Himself
524345	164432	John Kaplan
524345	219931	Special Guest Appearance
524345	263334	Simon
524345	283543	Stevie
524345	387065	Ajax
524345	387145	Himself
524345	391013	Co-host
524345	395578	Himself
524345	399676	Jake Harlow
524345	400193	Band leader
524346	119328	Band: The Tortillas You Wante
524347	1666	Member of Mothers of Inventio
524347	26422	Himself
524347	64560	Himself
524347	89112	Guitar/Vocals
524347	94485	
524347	121802	Himself
524347	140925	The Critic
524347	144380	Mike Nesmith (episode "Monkee
524347	147828	Himself (1980 interview)
524347	202272	Guitarist
524347	217884	Himself
524347	251747	Himself
524347	262541	Himself
524347	277074	Himself
524347	295780	
524347	340837	
524347	345784	Himself/The Imaginary Directo
524347	353712	
524347	378691	Himself
524348	69176	Himself
524349	53671	
524349	54008	
524349	252782	
524350	406489	Scotty Zappa
524351	406489	Scotty Zappa
524352	140964	Vassili
524353	15218	Bill Trendle
524353	28675	
524353	44083	Walter
524353	57718	Inspector John Burke
524353	74110	Colin Iseman
524353	85893	Phil
524353	199209	Zetta
524353	203800	
524353	218169	Detective Sergeant Wesley
524353	221096	Army Colonel
524353	254585	Ugly Pirate
524353	269892	Reilly
524353	375757	Sharp
524353	392144	
524353	400257	Billy Maloney
524353	405165	Donny
524353	406891	Antony
524353	411366	McNab (segment 1: Alinta the 
524354	305362	David Callahan
524355	337700	Matrix Guy
524356	313174	
524357	168739	
524358	288467	Cop
524359	4737	Molnar
524359	140230	
524359	239816	Indignant citizen
524359	258604	
524359	267934	
524360	234012	Rabino
524361	399640	
524362	279294	Carlo, Anna-Maria's boyfriend
524363	306965	Marow, Sokolova's chief hench
524363	310043	
524364	348191	
524365	318763	Simon's Male Friend
524366	104357	Patient
524366	251412	S.W.A.T. Commander
524366	252936	Ralph Linder
524366	366784	Felix Goldberg
524366	373368	Manzo
524366	407369	Instructor 2
524367	104473	
524367	187448	Dancer
524367	202724	
524368	362027	Full-on John
524369	87391	
524369	117704	Manuel Rios
524370	81878	Himself
524371	186146	Gino
524371	261887	
524371	265814	
524371	373855	
524372	146661	Roman Citizen
524373	923	Himself (describes assassinat
524373	47758	Himself (onlooker, on pedesta
524374	35845	
524375	29578	
524376	373567	
524377	9473	
524377	22739	
524377	94506	Otryadnikat
524377	160594	
524377	212295	Mitnicharyat
524377	230055	
524377	258433	
524377	261310	
524377	303116	
524377	316434	
524378	181114	Choreograf
524379	33312	
524380	15862	Sandro
524380	19502	
524380	23853	(segment "Pesnya, ili Kak vel
524380	33831	
524380	62856	Mamuka
524380	87191	
524380	101449	Beqnu
524380	102996	
524380	127929	Ilo
524380	136593	Worker
524380	182265	
524380	182268	
524380	200053	
524380	202759	Markozi
524380	208618	
524380	255536	
524380	258422	Shepherd
524380	258423	
524380	258655	
524380	268574	
524380	351350	Stalin
524380	352640	Vissarion
524380	354195	
524380	400449	Josef Stalin
524381	217780	Elena Korisheli
524382	19501	Doctor Levan
524382	78706	Simona
524382	85272	Giorgi
524382	88354	Giorgi Makharashvili
524382	126100	Shadiman Baratashvili
524382	182207	Prince Bagration
524382	202256	Minago
524382	209833	Vardeni
524382	247078	Ivane
524382	268611	
524382	286796	Sardioni
524382	298275	Almaskhani
524382	344269	Torgvai
524382	351355	
524382	360064	Marshal Gebhard Blucher
524382	374668	Old sailor
524383	94614	
524383	307449	
524384	303391	
524385	375834	
524386	257296	Fruit Vendor
524387	141748	Himself
524387	141750	Himself
524389	72968	
524389	184214	Military
524389	262234	
524389	269532	
524389	380387	Queiroz
524389	380538	
524389	381144	Caio Fernandes
524389	381263	Fábio
524389	382883	Vítor
524389	383441	Antenor
524389	383866	Sherman
524389	384250	
524389	384998	Fernando
524389	386245	Joaquim José da Silva Xavier,
524389	386252	Renato
524389	386417	Jorge Ramos
524389	386422	Paulo
524389	387424	Jaime
524389	387502	
524389	387900	Horácio Galvão
524389	388416	Lawyer
524389	389002	
524389	389003	
524389	389887	Frederico
524389	390751	Vitório Leone
524389	393876	Dimas
524389	395366	Raul
524389	396126	Jordão
524389	396387	Juvenal
524389	396886	Estevão
524389	397547	Raul
524389	397787	Padre Molina
524389	398500	Otávio (1998-1999)
524389	398502	Marcos Assunção
524389	398503	Zé Pedro
524389	398548	
524389	399713	Tito
524389	400214	Rodrigo
524389	400678	César
524389	401092	
524389	401900	Juiz
524389	402504	Evandro Aboim
524389	404271	
524389	405401	
524389	407800	Capitão Rodrigo Cambará
524389	408212	
524389	409407	Ricardo
524389	410096	Antonio Sapateiro
524389	410103	Henrique Varela/Bruno
524390	406802	Himself
524391	252935	Brad
524392	148011	
524392	229453	
524392	281293	Giulio
524393	373793	
524394	221056	Himself/Contestant
524395	64046	
524396	10993	
524396	80713	
524396	145547	
524396	172163	
524396	184929	
524396	296544	
524397	52986	
524397	99336	
524397	111327	
524397	222418	
524397	286291	
524397	351637	
524397	352152	
524398	61360	
524399	352021	
524400	243933	Interviee
524401	243933	Interviee
524402	85592	
524403	96373	
524403	184850	
524404	185492	Abenaki Chief
524404	390922	Cal
524404	391262	Scar
524405	25798	
524405	65011	Hombre
524405	212493	Alonso
524405	225045	
524405	226496	Señor Módulo 12
524405	246879	
524405	251672	
524405	266822	
524405	278949	Manuel
524405	307795	
524405	322854	Sebos
524405	378373	Asistente Director
524406	203344	Sandri
524407	313756	Agent Keller
524408	57479	
524408	65011	Tito
524408	74803	Donald
524408	80165	
524408	80189	Ochoa
524408	99798	Eliseo (adult)
524408	197439	
524408	203344	Jorge Ramirez
524408	228476	Mondragon
524408	251966	Mob Boss
524408	269831	Juan
524408	306699	
524408	334653	Cojo
524408	387574	Francisco
524408	406058	Trampoloco
524409	25028	
524409	209298	Man from Asturias
524409	397016	Jacinto
524410	103699	Himself
524411	55378	Rana
524411	74820	Varguitas
524411	148011	Chófer
524412	248662	Crushed Collarbone
524413	336782	Mando Chandovar
524414	378614	Dhr. Zaragoza
524415	52921	
524415	322403	Cocinero restaurante
524416	25055	
524416	287755	
524416	349670	
524417	166101	
524418	253126	Song-and-dance man
524419	305956	Space Dust
524420	19161	Luis
524420	165206	Rip
524420	178762	Miner
524420	271084	Trooper
524420	276754	Deputy
524420	308674	Waiter
524421	118278	Johnny Maltese
524421	296981	Sadi
524421	332738	Anton
524421	363777	Strip Club Manager
524422	21367	
524422	201250	
524422	271047	
524422	297022	
524422	297677	
524422	370619	
524423	209513	
524424	377902	Instructor at the Police Acad
524425	194529	Montoya
524426	9464	
524426	28085	
524426	51986	Dang
524426	64785	
524426	81463	Tito Lenny
524426	93831	Accountant
524426	112787	
524426	172308	
524426	173630	
524426	199769	General
524426	242707	
524426	243175	
524426	275281	
524426	307343	
524426	328933	
524426	333582	Dr. Ambrosio Ortega
524426	359364	
524426	394247	Father Nick (2002)
524426	400738	Mayor Enrique Zalameda
524427	376655	Tenor
524428	55389	
524428	306981	Jayme Lourenço
524429	20070	Child
524430	71449	Giovanni's Friend
524431	256451	Carmine Torrisi
524431	283244	Eusebio
524431	348181	1st Friend
524431	370865	Mattie's Boyfriend
524431	386399	Tonino
524431	386747	Lorenzo mantero
524431	401970	Franco Boschi
524432	247060	Nicola
524433	198963	
524434	198963	
524435	9113	Cop
524435	82902	Paramedic
524435	117061	Chris
524435	141592	Country Club Keith
524435	158338	Courtroom heckler #2
524435	160785	Rapist Outside
524435	168780	
524435	172703	Peter
524435	319653	Pvt. Julius Engel
524435	346127	Boy in Bar
524436	79865	The Children
524437	56010	Specialty act
524437	113136	Un sportif anglais
524438	100868	Young Dyuwi
524439	100868	Nanca
524440	102441	Manifestante portal
524441	199413	
524442	60142	Oficial
524443	16606	Chauffeur Taxi
524444	79849	Himself
524445	353236	Ramirez
524446	222856	Secret agent
524447	2968	Monsieur Villiers
524447	16950	Le gendarme de l'aéroport de 
524447	63777	Le réceptionniste
524447	83305	Philippe
524447	111703	
524447	117059	Le Curé
524447	122873	Lucien
524447	160548	Luis
524447	214900	Koldu
524447	263620	Le payeur des allocations
524447	309772	Zard
524447	309773	Zard
524447	319824	Compagnon Obezine 1
524447	332197	Colleville
524447	345501	Le chef d'atelier
524447	345535	
524447	349567	Inspecteur vétérinaire
524447	377869	L'acheteur
524448	180002	
524448	290845	Ledin
524449	217046	
524450	184209	
524450	329163	
524451	124860	
524451	231646	Józef Wieniarz
524451	231652	
524451	374232	
524452	6416	Le blessé/Man with broken leg
524452	8249	Le gardien
524452	10020	Un agresseur de Paula
524452	11934	
524452	14347	Le gardien Blouville
524452	15007	
524452	15093	Le second déménageur
524452	16442	Clétrides
524452	17088	Un participant à la messe noi
524452	19624	M. Dupond
524452	20908	
524452	23548	Le douanier
524452	23673	Monsieur Shouten
524452	24421	
524452	24686	
524452	25116	Le cuisinier de "L'Etoile de 
524452	25784	Le speaker boxe
524452	28871	Le colonel
524452	30472	Cisaille
524452	36548	Riais
524452	43415	
524452	43657	
524452	43718	Le chef d'orchestre
524452	43758	Voisin de Caroline
524452	45140	Un convoyeur
524452	51241	Momo, de l'Armée du Salut
524452	51969	Postman/facteur
524452	54804	
524452	57891	Un agent
524452	58196	Un gardien
524452	58226	
524452	60032	Extra
524452	62795	Hitchhiker
524452	63552	Un épargnant
524452	64318	Un acteur
524452	65382	Le joueur de casino
524452	68337	
524452	68396	
524452	68403	
524452	68663	Le juge d'instruction
524452	68702	L'inspecteur au bistrot/Polic
524452	68795	
524452	68927	L'huissier de l'ANPE
524452	71800	
524452	71888	
524452	71952	l'appariteur
524452	72419	
524452	73075	Lulu, un homme de main de mon
524452	73077	Le voisin
524452	73721	
524452	82338	Taxi Driver
524452	83201	Pervert
524452	83264	
524452	83359	
524452	84647	Un détenu
524452	85692	
524452	88067	Bouche, le journaliste
524452	88843	L'Evêque
524452	90132	
524452	92024	Un homme de Nuttecchio
524452	92680	Un agent
524452	96151	
524452	96172	Tonton Francheschi
524452	99360	Professeur de sciences nature
524452	99361	Riton 'la teigne'
524452	100013	
524452	106075	
524452	107533	Un employé du garage
524452	107537	Zapato, un ouvrier
524452	108886	Un garde du corps/Bodyguard
524452	108890	Le pilote de l'avion
524452	108891	Homme de main
524452	110119	Un tueur
524452	111054	
524452	111073	Truck driver
524452	111116	Hitchhiker
524452	113141	Le clochard
524452	115335	
524452	116438	L'automobiliste/Motorist
524452	121936	Colonel Petitjean
524452	121974	Un tueur
524452	123060	
524452	125465	Le braconnier
524452	125470	Un Candidat Adjudant
524452	125471	Gendarme Italien
524452	127647	Extra
524452	130117	Un consommateur
524452	131715	Man at concert
524452	132984	L'infirmier du commissariat
524452	132994	
524452	134603	Le joueur de bowling
524452	146438	Edmond
524452	147067	Le médecin de la prison
524452	148697	Julien, le réceptionniste
524452	149812	Tony
524452	150616	Bit Part
524452	152376	
524452	155138	Saddo, le voyou
524452	156550	Un tueur
524452	160062	Police officer
524452	161672	
524452	166280	Clémenceau
524452	168078	Le duc
524452	169325	
524452	169345	Police Officer
524452	169540	
524452	171321	Prince
524452	184557	Gendarme
524452	190632	Un soldat allemand/German sol
524452	191560	Le chef des fous
524452	194111	Bit part
524452	199307	Blind Man
524452	199715	Crovetto
524452	201140	Le cafetier
524452	201141	Le chausseur
524452	201343	Mérindol
524452	207092	Man reading magazine
524452	207297	Totor
524452	208355	Baragui
524452	212768	Himself
524452	215021	Rondolo
524452	216236	Chenildieu
524452	216237	Chenildieu
524452	216774	Le supporter
524452	218300	Un garde mobile
524452	219442	Le patron du café Bastille/Ba
524452	219476	Un dur
524452	225099	
524452	225410	Léon
524452	225517	Un prisonnier
524452	225523	L'assistant de Mr Hubert
524452	225769	
524452	226431	Policeofficer
524452	234573	Un enquêteur
524452	236009	Agent au commissariat
524452	236164	Le marchand de beignets
524452	238299	Dominique
524452	239305	Le notaire Ribot
524452	240493	Un Irlandais
524452	240541	Fifi
524452	242869	Guard
524452	246188	Horst Weiss
524452	246306	Le vigile
524452	248265	
524452	248984	
524452	248985	
524452	248988	
524452	249128	Un passager du bus (segment "
524452	251533	
524452	252342	
524452	254024	
524452	255250	Subway passenger
524452	255597	Gasstation-attendant #2
524452	256998	Le chef-postier
524452	258320	(segment "L'homme qui vendit 
524452	259980	Un nageur à la piscine
524452	261728	Henri Rieutord, chef de poste
524452	261777	Le petit chauve
524452	261846	Un danseur
524452	269140	
524452	269222	Police inspector
524452	270353	
524452	276105	L'ami de Vasco
524452	278870	
524452	279723	Emile
524452	280527	Le Rouquin
524452	283654	Balloon Seller
524452	284180	
524452	285742	Un marin
524452	285819	Un congressiste
524452	287322	German Officer
524452	289439	
524452	290893	
524452	291107	Un prisonnier
524452	303618	
524452	307489	Un malfrat
524452	307617	Le juge d'instruction
524452	309753	Un détenu
524452	312946	Chkyryakov
524452	323242	The neighbour
524452	332912	Tueur de l'aéroport
524452	335896	Man on boat
524452	336902	
524452	336968	Costes
524452	336989	
524452	340177	L'aubergiste de Mouny
524452	340347	Le patient de Christine
524452	340449	Inmate
524452	343554	Moignard
524452	343576	
524452	345188	Un clochard
524452	345329	Un homme de main
524452	345351	Le contremaître/Cashier
524452	345390	Un prisonnier démineur
524452	346533	Faux aveugle 1
524452	346650	Yanouch
524452	346785	Un Breton
524452	346824	Gruault, chef des contentieux
524452	352933	
524452	353301	
524452	353660	Le juge Montel
524452	353790	Ouvrier souffleur
524452	354101	
524452	354585	Le brigadier
524452	354911	
524452	356412	Le Serveur
524452	357858	
524452	360842	Le caporal chef
524452	370057	Un syndicaliste
524452	370102	Gaston, le mari jaloux
524452	371410	Un badaud à la gare
524452	376904	Le petit bonhomme
524452	376998	Un supporter
524452	377048	
524452	377626	
524452	377896	Un député
524452	377935	Le concierge de l'hôtel
524452	379103	Un employé de la RATP
524452	380410	
524452	380669	Le brocanteur
524452	388419	
524452	388419	Le contrôleur du train (segme
524452	389470	Le gendarme
524452	391632	
524452	392580	
524452	393772	
524452	395074	
524452	395620	Un agent de la Gestapo (segme
524452	396370	
524452	397946	Claquesous et Montparnasse
524452	397947	Cochepaille
524452	399756	Vigouroux
524452	403351	
524452	408652	
524452	408940	
524452	410139	Un bagnard
524452	412203	
524453	286389	Pisciotta's Defense Counsel
524454	139813	Servant
524454	344270	Niko
524455	182308	
524456	6205	
524456	63634	
524456	193555	
524456	193557	
524456	202688	
524457	34474	
524458	91054	Il padre di Virginia
524458	108871	
524458	108875	
524458	110387	
524458	156964	
524458	266002	
524458	284968	
524458	292284	
524458	302484	Costanzo Taleggio
524458	337889	
524458	340421	
524458	351543	
524459	8835	Ramphis
524460	51783	(segment "Uma Grande Vocação"
524461	340875	
524462	9206	
524463	127019	
524465	141834	Saida Khera
524465	272103	
524466	245520	Bass Singer
524467	396108	Contestant
524468	316298	School Child
524469	316298	School Child
524470	316298	School Child
524471	321237	Publicist
524472	68370	Le type qu'on voit partout
524472	132403	Fred
524473	48709	Eddie Cochran
524473	150303	
524474	1627	Dr. Judson Uhl
524474	2649	Robert Fenton
524474	4709	Cardinal
524474	7199	Professor McCall
524474	10930	Dr. Raymond Swain
524474	18717	
524474	31178	
524474	32360	
524474	47945	Judge #2
524474	56137	Assistant District Attorney
524474	57730	District Attorney
524474	61185	Det. Lt. Robert Fenton
524474	67591	Coroner
524474	78024	
524474	81222	Mr. Norlon
524474	96754	Prof. Kanter
524474	116513	Ralph's Lawyer
524474	118951	Police Lt. Boyle
524474	123133	Maj. Gen. Millard F. Harmon
524474	124496	
524474	140800	
524474	143503	Lawyer
524474	146723	Doctor
524474	151229	Emile Constant
524474	152526	Russ, Train Conductor
524474	175810	
524474	187271	Judge Blaisdell
524474	200445	Chief Watson
524474	204217	Wilcox Barnes
524474	232249	Daniel J. Winters (Asst. Defe
524474	243231	Father
524474	256634	Dr. Schmidt [Ch.10]
524474	262004	Office Worker
524474	270139	President Tyler
524474	272239	Telephone technician
524474	276005	Mr. Willard
524474	276852	Dr. Croyden
524474	285393	Military Prosecutor
524474	289455	Wales
524474	309047	Mayor Farrington
524474	324911	Second Staff Officer Speaking
524474	332880	Second Policeman
524474	333277	
524474	353305	Sidney Marsh
524474	359192	Minister
524474	372456	Sgt. Larsen
524474	372633	Bailiff at Hearing
524474	374578	Passenger With Sick Wife
524474	385594	Dr. Harlen Danvers (1978-1986
524474	392413	Agent Jerry Dressler
524474	408281	Dr. Raymond Swain
524475	348651	Fleshtones
524475	385454	Host
524476	97647	
524477	73303	Seder Guest
524477	129113	12yr old Ralph
524477	138161	Roth (the Schoolyard Bully)
524477	279273	Reginald (Class Snoot)
524478	87898	
524479	49133	
524479	219716	
524479	297458	Nikita yung
524480	164090	
524481	33580	
524481	46181	Gigetto
524481	57961	
524481	58041	
524481	116492	
524481	159900	
524481	183487	
524481	206012	Fumetto
524481	214388	
524481	229741	
524481	249251	
524481	307639	
524481	310974	The Boy Gathering Bottles
524481	336621	Il piccolo Renato
524482	302065	Youth
524483	36458	
524483	44522	
524483	96519	Deuxième maestro Rubetti
524483	124569	
524483	127615	
524483	160054	
524483	219829	
524483	227153	Papal Envoy
524483	236804	Il viaggiatore
524483	263919	
524483	295042	
524483	319026	(segment "Armando's Notebook"
524483	342112	
524484	334524	Said
524485	19518	
524486	87409	Gold Ohara, Additional Voices
524486	87410	Gold Ohara/Additional Voices
524486	298966	Cop 2, Additional Voices
524486	304688	Thief 3/Additional Voices
524487	312419	Boris
524488	14971	
524489	109395	Lawrence
524490	33251	
524490	36532	
524490	43154	Kapetan
524490	52073	Piter
524490	72087	Kapetan Paul Gerhard
524490	72091	Vlastimir
524490	73579	
524490	81408	
524490	85166	
524490	88541	Smiga
524490	89295	Radovan
524490	95926	Zdravko
524490	145118	
524490	149680	
524490	173101	Buca Krtalic
524490	187970	Nazim
524490	215443	Igla
524490	217300	
524490	222899	
524490	231278	
524490	236169	Djordje Vilenjak
524490	245915	
524490	258784	
524490	272044	Portir
524490	288140	
524490	293711	
524490	295057	Zak ... Zivorad
524490	305096	
524490	305526	
524490	312426	
524490	314651	
524490	318206	David Darst
524490	318869	Vica
524490	320481	Joca
524490	320547	
524490	320669	
524490	335226	
524490	343836	Mile
524490	344256	
524490	349216	
524490	349684	II putnik
524490	350680	
524490	386362	Ljuba Jovanovic - Cupa
524490	386659	Dzodic
524490	387137	
524490	390388	Dr. Ligus, asistent
524490	390427	Sedlar
524490	390660	Himself
524490	394110	Buca Krtalic
524490	395457	
524490	395832	Milorad Jovanovic
524490	397987	
524490	398198	Silja
524490	398660	Lepi Cane, harmonikas
524490	399006	
524490	399182	Postar
524490	399939	
524490	401748	
524490	401926	
524490	402118	Zak
524490	405691	
524490	410452	Jevrem Obrenovic
524491	186244	Zoran Radosavljevic
524491	246898	(segment "Maco trip")
524491	339311	Dizelas
524491	357555	Fran
524491	400502	Kolja Dimitrov Dimke II
524491	405775	Srdjan
524492	170221	Himself
524493	88539	
524493	115421	Homeless Man in Box
524493	135735	
524493	152611	
524493	164983	Anton
524493	252184	
524494	207383	
524494	375196	
524495	322617	Barber
524496	366353	Ballplayer
524500	47915	Student
524501	232830	Quilt Party
524502	158516	Enayat's Uncle 2 (Pakistan)
524503	41241	
524503	81096	
524503	109801	
524503	139234	Tony Marino
524503	150997	
524503	176709	
524503	338815	Eagle
524503	350829	
524503	361541	Security Guard
524504	243690	
524505	221174	Boy Soprano
524506	53220	Redakteur
524506	95669	
524506	180369	
524506	261363	
524506	265236	
524506	371356	
524506	375657	
524506	376219	
524507	107195	Himself
524508	69610	Travis
524509	221502	Alexi
524510	74283	
524510	86054	
524510	138964	
524510	150734	George's Father
524510	162136	
524510	275885	
524510	332245	
524510	379361	(2001-2002)
524510	380769	
524510	387711	
524510	389459	Asimakis Villis
524510	400825	Fotis
524511	381021	
524512	230486	
524513	236048	Policeman on Square
524513	286728	
524514	88713	
524515	266937	
524515	280329	
524515	324446	Nikola
524515	324540	
524515	406316	Mali Mitrovic
524516	139781	Club Patron #5
524517	244679	
524518	252628	
524519	126130	Resident of Idyllia
524520	248671	
524520	338239	
524521	16955	Thomas
524521	142052	
524521	397912	Oliver 'Olli' Bergmann (1992,
524522	30091	Photographer
524522	226003	Zawodny
524522	242460	Plain-Clothes Police Officer
524522	259989	Ksiadz
524522	280588	Officer
524522	284050	Raymond
524522	317230	Marek
524522	357957	Wronski
524522	363512	Dominik
524522	363972	Judge Janus B. Czech
524523	181124	Doctor
524524	95945	Raven
524524	311580	
524525	116774	Police Security Officer
524526	405069	
524527	84439	Little Kyle
524528	84439	Artie the publisher
524529	317572	
524530	56519	
524530	56811	
524530	71362	
524530	193073	
524530	317673	
524531	73913	Habib the Terrorist
524532	62075	Braulio Bo
524532	139005	Russian Bodyguard 1
524532	161460	Max
524533	3182	Darius' Friend
524534	48983	Chief Lembeck
524534	64408	Doorman
524534	87152	
524534	150268	Faisal
524534	155209	Dr. Tyson
524534	157290	
524534	167002	Chaney
524534	171344	
524534	176482	
524534	176964	Joseph Carter
524534	187073	House Speaker
524534	213027	Priest
524534	259216	Hotel Manager
524534	260369	Fahoud Nazzim
524534	266758	Ahmed
524534	273771	Mayor Fitzgerald
524534	309857	Joe
524534	311005	Captain Perez
524534	315218	
524534	369458	U.N. Secretary General
524534	385917	Mr. Stefanidos
524535	330416	Lipschitz
524536	289472	Walter
524536	296079	L'homme du metro #2
524537	60371	Jaques Balzar
524538	153239	
524539	154271	Cricket
524540	337164	Mr. Zarpas, 'Mouthwash' Buyer
524541	270008	Press Photographer
524541	335689	Mel
524541	358328	Maggio
524542	63916	Himself
524542	241086	soccer player
524542	352736	
524543	4897	
524544	79247	
524545	14059	Himself
524546	366451	
524549	68716	Pitón de Rifle
524550	265611	El Grande desk clerk
524551	107272	
524551	286489	
524551	373870	
524551	374027	
524552	66019	Charlie
524553	35282	Detective #1
524553	88897	
524554	270499	Lefty
524555	308105	Garage Attendant
524556	351787	Mario
524557	285244	
524557	318616	
524558	80681	
524559	8475	
524559	10959	
524559	15958	
524559	18222	
524559	20122	
524559	20661	
524559	102091	
524559	124272	
524559	125350	
524559	136436	
524559	172196	
524559	178543	Karabelas
524559	179189	
524559	180285	
524559	184183	
524559	247602	
524559	256405	
524559	265965	
524559	271643	
524559	275589	
524559	280334	
524559	285698	
524559	288485	
524559	327124	
524559	338984	
524559	387401	Thodoros
524560	72416	Pocho
524561	255901	
524562	248669	Freddie (Hell Raiser) William
524563	241933	
524564	21315	Artur Becker
524564	35095	Willi Stegmeier
524564	91044	
524564	113027	Charly Erdmann
524564	126175	Trebbin
524564	188859	Lt. Werner Martin
524564	237719	Kunkel
524564	259442	Herr Bauer
524564	259445	Oberleutnant Bergmann
524564	259468	
524564	259478	
524564	259487	Kriminaloberkommissar Bergman
524564	259497	
524564	259500	Oberleutnant Bergmann
524564	259505	Oberleutnant Bergmann
524564	259551	Jan Heder
524564	259562	
524564	259577	Förster Busse
524564	259600	Unterleutnant Stresow
524564	259604	
524564	259648	Horst Plessow
524564	259665	
524564	261359	Emil Tishke
524564	272478	
524564	281713	Rufus Marsh
524564	282223	Jon
524564	290740	Walter Mehrin
524564	301078	
524564	307652	Günter Meinl
524564	312645	Dr. Härtling
524564	313668	
524564	324511	
524564	361040	Manfred Jost
524564	374625	Prinz
524564	380577	Georg
524564	388967	Kurt Meinecke
524564	389359	Waldfried Junginger (1992, 19
524564	406328	
524564	406829	
524564	408827	Graf
524564	409958	Christoph von Anstetten (1995
524564	412089	Bootsmann
524565	172765	Junger Hartmut
524566	352782	
524567	130458	Soviet Sub Technician
524568	267427	Mitch
524568	300926	Hot Dog Vendor
524569	352802	
524570	28344	
524570	350789	
524571	399344	
524572	190405	Baron Harlech, M.P.
524573	72123	Arab driver
524573	216307	Uri Janna
524574	379819	
524574	380539	
524574	384139	Lobitos
524574	387603	
524574	390404	
524574	393837	Don Guile
524574	395300	Prof. Mariano Pérez
524574	397603	
524574	399570	
524574	401918	El abuelo
524574	402405	
524574	403402	Javier
524574	405842	Raul
524574	406861	Nacho
524574	407648	Hurtado
524574	408211	
524574	409012	Evaristo
524574	409290	Ramón
524574	411660	
524575	20019	Bucksy
524575	127780	Zanelli, Bird Catcher
524575	162241	Dr. Touka
524575	294104	Officer (Mercury Productions)
524575	319790	Lawson
524575	394175	Hiroyuki Miyazawa
524575	395888	Wagnard (Ep 4-15, 19-25)
524575	405047	Morty
524575	409390	Baron Maximillion (Normal For
524575	411261	WizGiz (2004)
524576	280038	Performer (Tokyo - keyboard)
524577	369427	Tunisian
524578	18416	Sarkis
524578	153656	
524578	329163	
524578	329165	
524579	93359	Other voices
524580	234268	
524581	383111	Himself/Panelist (Health)
524582	313526	Godun
524583	23043	
524583	133083	Ernesto
524584	2272	Le caporal Perrin
524584	3439	Jefe de seguridad
524584	3448	Paco
524584	4997	
524584	5269	
524584	6562	
524584	6738	
524584	9714	Luis
524584	10440	
524584	10944	
524584	10956	
524584	13514	
524584	14940	
524584	19248	
524584	19880	Will Scarlet
524584	20390	
524584	23376	Santiago
524584	27981	
524584	28314	
524584	52420	
524584	52775	
524584	57253	
524584	61204	
524584	62352	
524584	64023	
524584	64365	Oblò's friend
524584	65112	
524584	65638	
524584	67212	Consorcio
524584	67364	Pedro
524584	67692	
524584	67699	Sorrel
524584	69790	
524584	69791	
524584	70772	
524584	75361	Manolo
524584	75380	
524584	80104	
524584	84184	
524584	87135	
524584	92971	Uto
524584	94738	Félix
524584	96280	
524584	96341	
524584	99353	
524584	99871	
524584	100777	Peters
524584	101894	Priest
524584	102206	Tío
524584	103184	
524584	103492	
524584	104544	
524584	110744	
524584	111996	
524584	115020	Presenter
524584	119304	
524584	121476	
524584	123150	
524584	127602	
524584	131075	Juan
524584	132243	
524584	132707	
524584	132963	Alfonso
524584	133245	
524584	135160	
524584	139910	
524584	143771	Doctor
524584	148016	
524584	148032	
524584	148053	
524584	148110	
524584	151797	Traveller #1 On Old Time Trai
524584	152241	Candido
524584	155196	
524584	158947	Colonel Donahue
524584	163880	Himself - Presenter: Best Art
524584	165796	Enrique
524584	168727	
524584	169802	
524584	170054	
524584	185911	
524584	192957	El Sotillo
524584	192980	
524584	193083	
524584	196736	
524584	197886	Un policia
524584	199817	
524584	202043	
524584	205429	Ignacio García Cruz 'Nacho'
524584	212351	
524584	215854	
524584	225697	
524584	233344	
524584	233656	Carlos
524584	234373	
524584	236468	
524584	236475	
524584	238029	
524584	238330	
524584	239279	Leoncio
524584	246376	
524584	251311	
524584	251337	
524584	251580	Vicente
524584	253696	
524584	256412	Nelson Masters
524584	261266	Juan Ruiz
524584	262606	
524584	263409	Nick
524584	263860	Taxista
524584	264392	
524584	268458	
524584	274481	
524584	279036	Padre Tomeo
524584	284213	
524584	284830	Camillo (segment "Domenica")
524584	284959	Camborio
524584	285240	
524584	287464	Nino de Triana
524584	287907	Médico
524584	288060	
524584	289348	
524584	289814	Brett
524584	294075	
524584	295164	Manuel MacGregor
524584	295169	Alfonso (l'espagnol)
524584	296450	
524584	301141	
524584	310214	Oliver
524584	314715	Claudio
524584	320212	
524584	320288	
524584	333640	
524584	333664	Bodyguard
524584	339072	
524584	352163	
524584	354265	Himself - Presenter: Best Edi
524584	354344	
524584	356668	Sierra
524584	357516	García Oviedo
524584	357872	
524584	367255	Matías
524584	375875	
524584	376636	
524584	376641	
524584	378109	
524584	384795	Tomás (1998)
524584	386111	
524584	389139	Segismundo Ballester
524584	393911	Bernardo Álvarez
524584	398814	
524584	409954	
524584	409960	Constantino 'Tino'
524585	268526	mexican infant orpheon conduc
524586	345998	Jazz Combo: piano
524587	345998	Jazz Combo: drums
524588	2441	
524589	36586	Felek Raszewicz
524590	132712	
524590	261223	
524590	409919	Elvis (1998-???)
524591	278687	
524592	16928	Ubek
524593	75961	Racer
524594	370136	
524595	60448	Alik
524596	156621	
524596	344058	
524597	84421	
524598	274200	Chad
524599	162758	
524600	131120	
524600	186246	
524601	57636	
524601	186849	Larry
524602	11911	Bailiff
524603	212025	Sam Mason
524603	295349	Bob Becker
524603	313419	Eddie, the Town Barkeeper
524603	367585	Ted
524603	372198	Chris Nolan
524603	390771	Roger Thorpe #1 (1971-1980, 1
524603	394504	Jonathan Hadary
524603	396084	Dr. Peter 'Pete' Chernak #2 (
524603	400236	David Renaldi (1983-1986, 199
524603	404613	Dick Hart (1970-1971)
524604	2662	Bill Streeb
524604	6265	Dan
524604	7173	Simon Magus
524604	10839	John
524604	16130	Dr. Mark Reibolt
524604	72878	Jack (segment "Eyes Of The Ri
524604	79280	Basement Vampire
524604	82728	Viktor Plushnikov
524604	105428	Jerry Szamota
524604	135601	
524604	163616	
524604	232676	Frank Heller
524604	270922	Lazlo Malderone
524605	232676	Gallery Patron
524606	82202	
524606	180251	
524606	181367	Naczelnik
524606	215410	
524606	231653	
524606	266540	Auditor
524606	301097	
524606	322725	
524607	118075	Fra Melitone
524608	355091	Italian Guy #3
524609	260390	Szczuka
524609	261231	Director Muchaj
524610	315697	The Devil's Assistant
524611	2790	
524611	39014	
524611	131300	
524611	160595	
524611	178727	(segment "Konsultant po epokh
524611	198143	
524611	258461	Molotov
524611	297862	Oscar Papke
524611	305878	
524611	320715	
524611	357710	
524611	402259	
524612	137427	Violador #1
524613	9884	Colonel Jose Batres
524614	307374	33rd Regiment
524615	301390	
524616	178594	Honza
524617	374397	Lipka
524618	37314	Russian Hitman
524618	107555	Man 3
524618	176903	Vitaly
524619	127491	Hot Dog
524619	252887	Policeman #1
524620	171688	Himself (K-19 Commander)
524621	95929	Abuladze
524621	153239	
524622	324298	Lojza
524623	52559	Husband
524623	102143	Massage Therapist
524623	159753	Dr. Brannon
524624	95907	
524624	104649	
524625	28234	Derbak
524625	81690	Lojza
524626	75935	
524626	337560	
524627	321699	Boudia
524628	3489	Maros
524628	404097	
524629	134678	Dr. Zahl
524629	208878	Townsman
524630	113921	Flight engineer
524631	211871	Giovanni's ostler
524632	221708	
524633	56352	Journalist
524634	356002	
524635	97812	The vidiot
524635	116422	
524709	47839	
524635	244194	(segment "Uma Noite com Oswal
524636	234454	Bobby
524636	373506	Volunteer
524637	371594	Yeung Yau Sun
524638	251108	Masseur
524639	368746	Mariens Knabe
524640	248483	
524641	248483	
524642	248483	
524643	7528	Salek Bot
524644	215410	Singer
524645	177584	Keith
524645	371011	Vincent
524646	346185	
524647	83659	Himself
524648	144025	Dr. Wanz
524648	342588	Dr. Fink
524648	366517	Klaus
524649	104768	German entry (18th place)
524649	210096	Himself
524650	18518	
524652	36551	Iliko
524652	352283	
524653	179724	
524653	341251	Gogia
524654	50062	Giorgi
524654	61365	
524654	127929	Shota
524654	193555	
524654	193557	
524655	313396	Marine lieutenant
524656	103662	Ramón
524656	307783	Lomana
524657	247190	Paco
524658	96392	
524659	303891	
524659	313551	
524660	31018	Extra: Metro
524661	410238	Chef de Gendarmes
524662	343310	Okhrana
524663	7269	Gor, guardian of the energy
524663	209535	Olgert
524665	18993	District Attorney
524665	37948	Sherman
524665	38515	Ralph the Narc
524665	52007	Sergeant Rogers
524665	89236	Wasserman
524665	90771	Wiseguy
524665	136040	Officer H. Pagliaro
524665	158316	
524665	158321	Joe
524665	171333	Jairo Jaramillo
524665	185776	Apartment Manager
524665	208988	Puppy Man
524665	276440	Dr. Pendergast
524665	277803	Coach Palermo
524665	340775	Luigi
524665	362024	Richie
524665	363365	Detective Clifton
524665	367606	Judge Tamerlane
524666	9623	El Tunas
524666	212257	Nervous Kidnapper
524667	103726	
524668	32707	Stranger in Lenin Park
524668	120080	Mercader (Trotsky's assassin)
524668	131131	Banker
524668	207624	Bartender
524668	212257	Thin Faced Man
524669	341080	
524670	82964	
524671	145162	Pascual
524672	284331	Hombre
524673	228449	Walter
524674	271079	Banda 'Tandito'
524675	39495	Foreign Dictator
524676	171228	Prom Band - Brock/Davis
524677	379614	Esteban Domínguez
524677	397883	Chaneque
524678	6994	Studio Musician
524678	104786	Musician
524678	280327	Harmonicas, Saxophones, Bells
524679	63039	As Himself
524680	58490	Homeless Man
524681	185927	
524681	300195	Salsa Dancer
524682	123560	Portero restaurante
524683	252798	
524684	28963	
524685	55451	
524686	80834	Cuban Soldier
524687	144337	
524688	293575	
524689	187628	
524689	212526	
524690	144337	
524691	5754	
524691	20463	
524691	28277	
524691	193313	
524691	248763	
524691	300688	Lucio Santana
524692	387370	
524693	213158	Mafiosa #2
524694	83196	Elzéar
524694	94395	
524694	111686	Pierre
524694	132994	
524694	170537	Déodat
524694	202577	Hubert
524694	355257	Le Gitan
524694	399396	Hagenfeld
524694	409000	Cristobal
524695	63552	
524695	132735	
524696	30186	Bo
524696	110025	La Mort
524696	122892	
524696	131630	Petit Louis
524696	219458	Von Bulow bodyguard
524696	282781	Pierre (le "salut le Blond")
524697	212786	Himself
524697	255528	Himself
524697	315951	
524697	352285	
524698	97342	Peanut Man
524698	105792	Mr. McCombs
524698	154301	Man
524698	295210	Every Man his Moral
524698	310524	Televangelist
524698	321920	Sam Krebs
524699	313917	
524699	356472	O.E.M. Staffer #7
524700	181474	Gile
524700	322643	Panker
524701	155032	Isaac the Bar Patron
524702	380430	
524703	358877	
524704	344058	
524705	261306	
524706	388489	
524707	62356	
524708	280038	Performer (Metrô - bass)
524708	341613	Chuck
524709	242817	
524709	357449	
524710	176735	David
524711	89112	Keyboards
524712	322101	
524713	158893	Priest
524714	217368	
524715	77664	
524715	263916	
524715	350231	Captain Stryker
524716	391255	Man in Limo
524717	252720	
524718	8500	Robber
524718	107271	
524718	114206	Prince Nicholas
524718	205511	
524718	214232	Alex
524718	356094	
524718	380474	
524718	385587	
524718	397813	
524719	55109	Police Officer
524720	23345	Foreman Dolejs
524720	26540	Hlavatý
524720	29356	
524720	51091	
524720	58248	
524720	96391	Adámek
524720	127994	Prisoner
524720	165033	Vogel
524720	178803	Taraba
524720	180773	Owner of a bull
524720	198224	Cenda
524720	213847	Charles, May
524720	223538	
524720	226733	Policeman
524720	227773	
524720	237747	
524720	244262	Officer
524720	250446	Lojzek
524720	257723	
524720	261380	
524720	262541	Small necktie
524720	262564	Chairman (Na brigade)
524720	283261	Ing. Vitvar
524720	324566	Podporucík Malina
524720	356441	Lojza
524720	357279	Innkeeper
524720	376178	
524720	380554	Conspirator
524720	398851	Neighbour
524720	401751	
524720	403621	Jindrich Prchal
524720	407278	Svátek
524721	175869	
524722	344270	Diomide
524723	385931	Himself
524724	192900	Viki
524724	270301	Lah
524724	270681	Archivist
524725	14404	Laszlo
524725	29581	Heckler
524725	90509	
524725	162472	Brane Zavrsan
524725	218946	Gorazd
524725	227827	Ivo
524725	233697	Deminer
524725	234153	Rdeèelasec
524725	253745	
524725	281963	Tragedian
524726	263256	Mladi delavec
524727	359569	Guy in the park
524728	371116	
524729	29578	
524729	87952	
524729	135046	
524729	164118	
524729	176046	
524729	176047	
524729	176075	
524729	213158	Alex's Thug #1
524729	244039	Second lieutenant (ïðàïîðùèê)
524729	252802	
524729	357463	
524729	374796	
524729	398902	
524729	404108	
524729	409295	
524730	261594	
524731	35933	
524731	89592	
524731	220695	
524731	312939	2nd Man
524731	374769	
524731	375330	Lapshin
524732	239369	
524733	136679	
524733	311255	
524733	342318	
524734	26258	
524735	214246	
524736	193358	Dr. Brant
524737	97541	German Officer Killing Underg
524738	398874	Maciej Depczyk (2003-)
524739	313526	Mighty Woj
524739	348509	Kopyto
524740	156573	Assistant
524740	348509	
524741	249774	
524742	74304	Jake
524743	50987	
524743	107428	Bail bondsman
524744	290179	Küchenjunge/apprentice cook
524745	213857	Himself
524746	124860	
524747	321429	
524748	316349	Detective Porter
524749	231731	
524749	280586	Pielewicz
524751	183443	Program Director
524752	253891	Himself - Vocals
524753	253891	Himself - Vocals
524754	336654	The Opposing Team
524755	381493	Music Geek
524756	323910	
524757	119583	Roger Dupre
524758	130350	Salesman
524759	80585	Protester #2
524760	300917	Detective #2
524761	187577	
524762	9718	
524762	28987	
524762	60423	
524762	68558	
524762	70115	
524762	90093	
524762	91297	Apolonio
524762	91405	
524762	123560	Papaupa
524762	148025	
524762	202316	
524762	221940	
524762	229434	
524762	233627	
524762	252064	Nacho El Tertero
524762	253314	
524762	268271	
524762	269218	
524762	269981	
524762	300679	Luis
524762	318008	José
524762	328711	
524762	333667	
524762	370111	
524763	2114	
524763	8560	
524763	10123	
524763	16171	
524763	24541	
524763	27851	
524763	55090	
524763	55797	
524763	57424	Tomás
524763	59787	
524763	61540	
524763	62390	
524763	70115	
524763	71086	
524763	73085	
524763	74611	Benigno
524763	75383	
524763	75387	
524763	80115	
524763	80248	
524763	83859	
524763	84380	
524763	86796	
524763	90093	
524763	91287	
524763	91368	
524763	95420	Vecino
524763	96277	
524763	96278	
524763	96279	
524763	96298	Mon
524763	98696	
524763	100653	
524763	101842	Antinarcotico
524763	101844	
524763	101887	
524763	103938	
524763	122159	
524763	124527	Carlos
524763	124528	Cachito
524763	125664	
524763	131126	Kid chamaco
524763	142738	
524763	143786	
524763	145307	
524763	169964	
524763	189485	
524763	193184	
524763	193185	Lolis
524763	199001	
524763	199808	
524763	207969	
524763	211712	
524763	213368	Policia
524763	216861	
524763	221565	
524763	221724	
524763	226193	
524763	227681	
524763	227694	
524763	229434	
524763	231261	
524763	231298	
524763	233648	
524763	234420	
524763	236404	Chef
524763	258175	
524763	258496	
524763	263177	
524763	267048	
524763	267050	
524763	272667	
524763	272668	
524763	274506	
524763	275846	
524763	276472	
524763	277136	Jimmy Rojas
524763	277365	Telorino
524763	277370	
524763	278739	
524763	291650	
524763	296135	
524763	296136	
524763	296157	
524763	296445	Hippie at the bar
524763	318008	Max
524763	319732	
524763	326223	Armando
524763	328000	
524763	336293	
524763	338162	El Gato
524763	339012	
524763	339158	
524763	339863	
524763	347083	
524763	350257	
524763	351026	
524763	351027	
524763	351057	
524763	351636	
524763	355827	
524763	383471	
524763	385206	
524763	389892	
524764	204354	H.S. Kid
524765	5052	Hector
524765	17676	Cynthia's Dad
524765	40489	Lt. Ballard
524765	47130	Cop in Elevator
524765	47163	Detective Benson
524765	47800	Popo
524765	125888	Alfred D'Angelo
524765	160990	Charlie Russell
524765	164985	Guard
524765	177629	
524765	187727	Jorge
524765	214310	Paulie
524765	237612	Omar
524765	276875	Construction Foreman
524765	282452	Osborne
524765	286464	Billy the Cop
524765	289490	Cop #1
524765	314459	Policeman
524765	345946	Paulie
524765	359742	David
524765	366697	Code Team Blue Head
524765	370648	Officer Jerry Rifkin
524765	380256	Super
524765	400621	Enrique Morales (2000-2003)
524766	62628	Film director
524767	57424	Pistolero III
524767	61540	
524767	74611	Rosca
524767	84158	
524767	165896	
524767	207969	
524767	226192	
524767	246175	
524767	370111	
524768	301182	
524769	204184	Assistant
524770	101850	
524770	199623	
524771	52617	
524771	192936	
524772	258188	Fernando
524773	294765	Sibirtsev
524774	81640	
524776	236147	Policeman
524776	351873	Drug Dealer #2
524777	6094	Handsome Man
524777	398689	Yotam
524778	47258	Irvin Bird (Arele as an adult
524778	202739	Schlesinger, Musician
524779	36580	Nasim
524779	79247	
524779	236730	
524779	285952	Himself
524780	176848	Jeff
524781	266919	
524782	280281	Emergency Room Reporter
524783	376101	Himself - Presenter
524784	52072	
524784	260318	Doctor
524785	38271	Richard
524785	83269	
524785	252424	
524785	269127	Livreur pizzas
524785	275112	La tour
524786	26796	President Sagara
524786	86919	Stick fighter
524786	226991	Warrior
524787	323876	(segment "Vroom Vroom Vroooom
524787	357386	Leroy's Father
524788	233585	Referee
524789	251311	
524790	42705	Reporter #1
524791	69781	
524792	238081	Boy on Cliff
524793	132128	prosecutor Govanovic
524793	188223	Russian Tea Room Waiter
524793	303455	Rainbow Room Captain
524793	304829	Maitre D'
524794	258999	
524795	370186	
524796	35236	Biker #2
524796	292233	Nat
524797	105718	Assistent
524798	34474	
524799	137515	Gert
524799	348429	Rick Livingston
524800	280281	Singer
524801	128926	Luigi Gioia
524802	51918	
524803	11711	Mete
524804	170111	
524805	320143	Himself
524805	320149	Co-Host
524805	407081	Himself (18 Days, Sook Jai Tr
524806	308153	
524807	102181	
524808	238833	
524809	315814	
524810	312760	EMT #4
524811	196588	
524812	229174	Katka's boyfriend
524813	124858	Radio Operator
524813	165053	German Officer
524813	249885	
524813	255497	Devil
524813	305561	Stanislaw Lancucki
524813	322138	Zolzikiewicz
524813	367373	
524814	244099	
524815	75641	
524815	283353	
524816	97983	Popov
524817	113697	
524818	334115	Himself
524819	51493	Haber
524819	74787	Stasiek Zygon, Biesaga's Neig
524819	79109	
524819	91510	Applicant
524819	123099	Manager
524819	131754	
524819	173673	
524819	174880	Wilhelm, Herman's Successor
524819	179342	Manager
524819	180106	Wedding Guest
524819	214246	
524819	215214	Man with Woman
524819	215410	Theatre Mechanic Zdzisio
524819	237442	Priest
524819	238833	Longinus Podbipieta
524819	282761	
524819	301097	Young Batiuk
524819	313526	Viking-Translator
524819	322159	
524819	375443	Haber
524819	381279	
524819	388834	Janusz Goralczyk
524819	394585	Karol Malik (1999-2000)
524820	213852	Professor Thomas
524821	141733	Hope Wall Climber
524821	213852	College Friend
524821	223920	Truck-stop boy
524822	66575	Thomas's Father
524823	76229	Kid
524824	46770	Ukrainiec
524824	62426	Grucha
524824	74769	Waldek
524824	76229	Zubiec
524824	95952	
524824	96603	Herring
524824	117581	Scarface
524824	161850	Skinhead 1
524824	165123	SS Officer 1
524824	176684	UOP Toughguy #2
524824	181114	General
524824	202572	Policeman
524824	212652	Kaczor
524824	244099	
524824	244111	Sztych
524824	245094	
524824	247347	Officer
524824	255605	
524824	266541	Bolek
524824	267008	Sentry
524824	276078	Lolek
524824	284347	The Grinding
524824	296529	Inspector Walas
524824	315018	
524824	359585	Shopkeeper
524824	364966	Sorel
524824	366596	
524824	380716	Piotr Serafin
524824	407237	Gangster Lufa
524825	348509	
524826	58245	Presenter
524826	208732	Cameraman
524826	262564	Olduv vecirek
524826	357436	Violinist
524826	408363	Presenter
524827	1518	
524827	18399	Kupsov
524827	25291	
524827	32504	
524827	62356	
524827	63608	Alexandra's father
524827	89797	
524827	89817	First Lillypoot
524827	113207	
524827	124838	
524827	159915	Stalin
524827	172059	Valery Ostrovsky's Friend
524827	176136	
524827	179659	
524827	181240	
524827	199941	
524827	211192	
524827	217281	
524827	227956	
524827	237467	
524827	238320	Valentin
524827	242485	
524827	244218	Igor
524827	260502	
524827	261902	
524827	262665	Samaryn
524827	267902	
524827	281042	Igor Wolgin
524827	293897	
524827	295499	
524827	299404	
524827	300586	
524827	320709	
524827	323319	
524827	323320	
524827	323623	
524827	343310	Timoshin
524827	343820	
524827	343970	Friedrichsen
524827	348906	
524827	357463	
524827	357679	
524827	375188	
524827	375660	
524827	381391	Capt. Yermakov
524827	382445	Ganzha
524828	95725	Jablonski
524828	216592	Organist
524829	80695	Beach Person
524830	81575	Wrestler
524830	115240	Champion Wrestler Defeated by
524830	348546	
524831	199686	Himself
524831	231775	Gregorius the Great
524832	14316	
524832	89045	Russian Captain
524832	95971	
524832	248000	
524832	255741	
524832	367105	
524833	243806	Robert/Ballius
524834	96787	Bobby
524835	49478	
524835	108658	Lightning
524835	108659	Lightning
524835	139707	Delousing Private
524835	244262	Pvt. Martinák
524835	303703	Uzlik
524835	349130	Utz, age of 11
524835	374244	Harry
524835	378523	
524835	394266	Honza Pelc
524835	411940	Harry
524836	266333	
524837	380713	Adam Munson #2 (1991-1993)
524838	164014	
524839	294536	Scharaw
524840	180419	
524840	210189	
524841	179603	Starshinata
524841	228845	
524841	284467	Militzionerat
524841	398895	
524842	266213	
524843	357399	
524844	28401	Pevac
524844	43154	Pevac
524844	382431	Zdravko Tomic... pevac
524844	386634	
524845	225866	
524846	108722	Pianist
524847	51039	
524847	197129	
524847	305561	J. G. Jackowski
524848	295054	Siegert
524848	349295	
524849	36418	Jacek
524849	95962	Emil
524849	234258	Jedrus Groniec
524849	305559	Young Miner
524849	374190	Young Worker
524849	405313	Jozek
524850	11537	Walnut Heights Center
524851	300810	The typesetter
524852	58488	Hell Man
524853	20831	Charles
524854	104542	Sony
524854	109004	
524854	180013	Superintendent Klener
524854	236160	
524855	302065	Scout Board Member
524856	135113	
524857	56222	Himself
524858	54718	El Vampiro/The Vampire
524858	68942	
524858	76106	
524858	222049	(segment El imponente)
524858	269216	
524858	292941	
524858	377099	Trabajador factoria
524859	148524	Trainman
524860	138490	Hans Brinker
524861	133337	The friend
524862	5357	
524862	10123	
524862	48776	
524862	53121	
524862	54326	
524862	54824	
524862	57869	
524862	58915	
524862	62398	Cantinero
524862	68962	Don Cebe
524862	74576	
524862	75198	
524862	80288	
524862	91332	
524862	91368	
524862	91406	
524862	95420	Victor
524862	106994	
524862	106995	
524862	128974	
524862	135350	
524862	137005	Reporter
524862	169775	
524862	197968	Borracho
524862	209036	
524862	212057	
524862	212245	
524862	213410	
524862	234424	Padrecito
524862	235047	Margarito
524862	246194	Don Chucho, the tailor
524862	249893	
524862	252064	Comisario Tapia
524862	255057	
524862	255547	
524862	256792	
524862	291650	
524862	296148	
524862	307804	
524862	324839	
524862	332373	El Tuerto
524862	332970	
524862	340041	
524862	350261	
524862	351627	Hombre calvo
524862	376690	
524862	377180	
524863	132037	African Drum Player
524864	141660	Gestapo Officer #2
524865	8796	Effran
524866	332772	Fighter/Soldier/Performer
524867	133818	Young boy
524868	23569	Meloch
524868	253102	Lt. Kraiko
524869	35688	Mr. Weiss
524870	77271	Frolov
524870	322708	
524871	97438	Grandfather
524872	114145	Secret Service Agent #2
524873	69839	Scientist
524873	156573	Physician
524874	49028	Shoulders
524875	378546	Bronek
524876	214243	Jimmy
524876	238833	Jan Skrzetuski
524876	247347	Pan Tadeusz
524876	254986	Jurek
524876	262207	
524876	262507	Turjag Huncaga
524876	262709	Wojciech Winkler
524876	286746	Pawlik
524876	304666	Count Janusz Myszynski (I)
524876	313526	'Ziemek' Ziemowit Piastowic
524876	364966	Geralt of Rivia
524876	369351	
524877	17043	Steve
524877	399130	Rohan Kendrick (1997)
524877	408163	Draco (2000)
524878	147035	Interpreter
524879	109037	
524879	153237	
524879	208597	
524879	227623	
524879	309444	Destník - písar
524880	404282	Brandon DeMott Capwell (1985)
524881	27321	Principal
524881	141164	Singer at audition
524882	231540	
524883	74724	Himself
524884	309039	German Child
524885	264272	
524886	27284	Karva
524887	146366	
524887	278194	
524888	215476	Host
524889	121786	Inspector
524890	310649	Tour Guest
524891	346006	Italian Restaurant Patron
524892	16349	Il maestro di casa
524892	94663	Sevo del Doge
524892	199287	Yamadori
524892	279706	A Nottingham's Relative
524892	336371	Sciarrone
524892	336373	Carceriere
524893	7060	Fat Boy
524894	264226	Marco
524895	266213	
524896	81509	Himself
524897	18152	
524897	42909	Blaskovic
524897	58312	Rafael Boban
524897	76333	
524897	109715	Guard 2
524897	166101	
524897	169968	
524897	171071	
524897	206500	
524897	221342	Prijatelj
524897	261234	
524897	281963	Osric
524897	287011	
524897	375316	
524898	410430	Himself (interviewed)
524899	52885	Reporter
524900	63964	
524900	74172	Fotograf na svadbi
524900	163050	
524901	40505	Dusan
524902	40505	Marko
524903	174567	
524904	200159	
524905	156036	
524906	134831	
524907	147165	Weckerl, Bader und Heiratsver
524907	184239	
524907	293240	
524908	409609	Fritz "Fritzchen" von Liebig 
524909	168718	Peasant
524909	333871	
524910	156036	
524911	120803	Angry Man
524912	101756	
524912	124908	Second unit director
524912	125321	1. Polizist
524912	142264	Mechaniker
524912	144577	Franz Halmer
524912	181451	Erwin
524912	290487	Morris
524912	307556	Hausen
524912	309803	Thief 1
524912	312162	
524912	352039	Ulf
524912	393878	
524912	398778	
524913	388640	Daniel
524914	2367	Themselves
524914	34129	Max's friend
524914	195689	Tall Man
524915	388761	
524916	168295	Pizza Couple
524916	168959	Himself
524916	177412	
524916	204179	
524916	222252	Adam Malkonian
524916	233471	
524916	233990	Adam Malkonian, Esq.
524916	280181	Himself
524916	296924	Demagogue
524916	317864	
524916	360370	
524916	362123	Tom
524916	367434	Poor Man
524917	75830	Zable
524918	113702	
524919	85328	Reshm
524920	62294	Radioman
524920	331377	Cop Three
524921	212259	Himself
524921	248471	Himself (campaigns)
524922	194286	Himself
524923	16347	Ein Incroyable
524923	20145	Tanzmeister - Brighella
524923	55193	
524923	120626	Shapkin
524923	129040	Bardolfo
524923	176131	A Scrivener
524923	184399	Graf Gustav von Pottenstein
524923	236183	Don Basilio
524923	277459	Loge
524923	277460	Mime
524923	281974	Valzacchi
524923	281976	Valzacchi
524923	301089	Mime
524923	301091	Mime
524923	341819	Pang, Küchenmeister
524923	352308	Wenzel
524923	352309	Wenzel
524923	368745	Der Hauptmann
524923	374131	Monostatos
524923	403405	Loge
524923	410513	Ander
524924	96000	
524924	111848	Jobelin
524924	182516	
524924	243195	Driver
524924	279968	
524924	323338	Haralan
524924	349009	Svätopluk Sysel
524924	356571	Beno
524924	357676	
524924	374222	
524924	374227	Boris Blizna
524924	410456	
524925	349009	Dodo
524926	341	Glassman
524926	16195	Ricardo
524926	16199	Uhde
524926	44587	Mirda Pouzar
524926	57211	Pastyrík
524926	58245	Presenter
524926	58271	Taxi-driver
524926	62438	Honza Holan
524926	88744	Muclinger
524926	90194	
524926	107715	
524926	108537	Nachtman
524926	111639	Eman
524926	147572	Driver
524926	151875	Simcík
524926	164256	
524926	165033	Písarík
524926	165035	Písarík
524926	165052	
524926	172607	Life-saver Horský
524926	179883	Pisarik
524926	180565	
524926	195040	Drnec
524926	198582	Detective
524926	225939	Tramp
524926	231177	Ambulance driver
524926	261380	
524926	265233	Pospísil
524926	275240	
524926	301400	Wimmer, journalist
524926	332387	
524926	350398	Thief
524926	352794	Honza Holan
524926	357684	Boudník
524926	357745	Jíra
524926	374284	
524926	378525	
524926	380553	Hyacint
524926	383081	Rudolfi
524926	394751	Josef Strniste
524926	396264	Reporter
524926	396630	Kamil Hamrík, detective
524926	399768	Novák
524926	399868	Shop boy
524926	399902	Fürst
524926	403860	Cook Brona Rubás
524926	404278	Fanda
524926	412316	Klepetka
524929	151624	Programmer #1
524929	158999	Northridge field reporter
524929	297352	Francis
524930	169366	
524931	223930	
524932	6960	
524933	21157	Bald Executive
524933	34642	Col. McGuinn
524933	53959	Sheldon
524933	81049	Eric Herman
524933	133850	Director, Western Set
524933	145166	Man with Glasses
524933	209357	Historical Movies Narrator
524933	328033	
524933	382781	G.B. VonTurgo
524934	384590	Himself (Mao Tse Tung's inter
524935	94711	Poliziotto Giapponese
524936	48115	
524937	376265	
524938	78475	Himself (performing winning s
524938	104755	Danish entry (14th place)
524939	16967	Collega Burger
524939	68771	Bearded Man
524939	76745	
524939	338009	Pianist
524939	400031	Michael
524939	411943	Winston
524940	220059	Jeff & Kate's Friend #11
524941	238167	Yashiro
524941	324726	Doromaru
524941	370232	
524942	106013	Bodyguard 2
524943	106013	Bodyguard 1
524944	175	Dirk Zeelenberg
524944	1123	Martin Teitel
524944	18347	Pier
524944	42860	Lars Schumann jr II
524944	183123	Matthieu
524944	203784	
524944	281148	Acteur
524944	289831	Frans
524944	302124	Bram
524944	379739	Abraham 'Bram' Jozef Roodt (2
524944	398575	Ambtenaar van de Sociale Dien
524944	406876	
524944	409977	Twee Geeltjes
524944	411115	Kleinzoon Van Dijck
524945	241141	Foreman
524946	385145	Commentaarstem (episode 1-13)
524947	8216	New Copywriter
524947	45435	Cop
524947	61418	Porchesi's messenger
524947	87460	Fire captain
524947	141529	Dr. Gross
524947	176918	Arnold
524947	239034	Elderly Lady's Driver
524947	259214	Officer
524947	349022	Steinhauser
524947	355519	Emergency 2
524948	5640	Presentator Talkshow
524949	390410	Tim d'Harencourt (1996-2000)
524950	101448	Le tueur
524950	178114	Video Technician
524950	196388	Simon Baldini
524950	282781	Pierre (le sceptique)
524951	67669	Sacha
524952	288464	Arcon
524953	2538	Himself - commenting on new f
524953	2775	Himself - Presenter
524953	14394	Himself
524953	52578	Narrator
524953	162065	Himself
524953	205521	Himself
524953	211311	
524953	242300	Filippo Carrone
524953	355281	Himself
524954	207890	Conte di Libenskof
524955	62828	
524956	16401	Dete
524956	305188	Danil Harms ... dete
524957	39004	Todd
524957	395220	Dwight the Troubled Teen (200
524958	122530	German Soldier Klauz
524958	189970	Rob
524958	289937	
524958	290073	Tjeerd
524958	391102	Daan Belliot
524958	397358	Peter Denteneer (2003-)
524958	400217	Sasza Nagy (1997-1999)
524958	405037	
524959	69182	Himself
524959	104759	Belgian entry (5th place)
524960	7850	Lars Jackson
524960	9004	Josh Framm
524960	9005	Josh Framm
524960	9006	Josh Framm
524960	9008	Josh Framm
524960	52557	Ben Tobias
524960	66938	Matthew Arnold
524960	79675	Terry
524960	110296	Dale Billings
524960	118268	The kid (calls himself Simon)
524960	147612	Ian
524960	158343	Kid
524960	158911	Charlie
524960	163211	Andy Bridges
524960	179791	Patrick Connally
524960	190273	Little Mikey
524960	223636	Steven Westover
524960	231550	Billy Hastings
524960	281836	Cole Clayborne at 13
524960	296019	Josh Thomas
524960	296729	Chris Hatcher
524960	301530	Steven Harvett
524960	307964	Rusty Murphy
524960	310655	Bart
524960	333328	Thomas
524960	338036	Toby
524960	338788	Jim Hawkins
524960	355096	Darrow Raines
524960	368980	Evan
524960	389322	Einstein
524960	408326	Ethan Benchley
524960	408692	Sean Blake
524961	198534	Malik
524962	7470	Chérif
524962	15251	Le fils de Mohammed
524962	122398	Alain enfant
524962	235715	Karim
524962	336302	Pablo
524962	404211	Saïd
524963	382219	Luis
524964	72472	
524964	109971	Oscar Lapidus
524964	260362	Mayor Stonefeller
524964	262519	Dwayne
524964	326428	Attendant
524965	263623	
524966	130925	Sarren-Gerrel #1
524967	130925	Pagwa
524968	48305	Cheb
524969	268151	
524970	232144	Cook
524971	283935	
524972	274266	1st guard
524973	290670	Gottlieb, Knecht
524973	290672	
524973	314560	
524973	324791	Riese
524974	201858	Himself - head porter at Lond
524975	86400	
524975	179776	Barrett
524975	179778	Almann
524975	182527	Jimmy Bondy
524975	182528	Richard Lynn Ben
524975	182529	Jimmy Bondi
524975	352505	Jimmy Bondi
524976	30494	
524976	45542	
524976	156000	
524976	163901	
524976	180780	
524976	184305	
524976	186865	Gatyo
524976	224448	
524976	229279	Katzarov
524976	229900	Rabotnik ot brigadata
524976	244217	
524976	261358	Vuychoto
524976	305293	Lotyo
524976	320707	
524976	326261	Shorlokov
524977	357433	Parashev
524978	160464	Interviewee: Journalist
524978	404636	Host
524979	28168	Paul-Henri
524979	70324	Patton
524979	84106	Jean-Claude
524979	125841	Billig (le loup)
524979	133065	Saint-Réjant
524979	161021	
524979	166186	Michel
524979	197306	Jack l'éventreur
524979	268874	Gela
524979	286203	Jean-Baptiste
524979	353912	Le père de Juliette
524979	388419	Lupart
524979	388419	Lupart (segment "L'étreinte d
524979	392580	Le client du taxi
524979	397103	
524979	400050	Me Bernier
524979	401982	Bénédict Masson
524979	403643	Maître Tesson
524979	407095	Alain
524979	412276	Vorski
524980	169615	Daniel
524981	246951	Walter, Emilies Sohn
524982	82886	Donald
524983	408687	Host (1990-2000)
524984	282183	
524985	123348	Dick Philborn
524986	338638	Palucci's Gang Member
524987	366358	Amir
524988	176970	Parking Guy
524990	266124	
524991	79898	Tourist
524992	13805	State Trooper
524992	80734	Ron Clayton
524992	274312	Doctor
524992	363666	
524993	19328	Le monsieur 'Papier bleu'
524994	323057	
524995	257057	Doug Gilmore
524996	339445	Gary Zee, Documentary Filmmak
524997	15888	
524998	236957	
524999	8150	David, 'Herrschaftsdiener'
524999	20422	Martin Luther
524999	35040	
524999	48387	
524999	99891	Emils Onkel
524999	125710	Kuschinsky
524999	126324	
524999	134988	Henri Baston
524999	147270	Lehrer
524999	322531	
524999	359659	
525000	40418	
525000	239017	
525001	311894	
525002	41099	Man
525003	20625	Extra
525003	203535	Assistant manager
525004	24671	
525005	307187	Rim
525005	380473	Jun
525006	26971	Young Jeremy
525007	129055	Itzik'l
525008	99885	Emil's father
525009	286708	Sammy
525010	73318	
525011	197022	Ram Guy 2
525012	125978	
525012	284417	
525012	325487	Lokowski
525012	325840	
525013	121844	Himself
525014	126857	
525015	56206	Ice Cream Vendor
525016	54620	Jeremy
525016	169939	Altar Boy #4
525016	177456	Jealous Kid
525016	207838	Kid in Line
525016	235052	Bud Nelson
525016	239891	Ned Mardsen (12), Lucy's elde
525017	169201	Kevin
525018	259405	TV Moderator
525019	35812	Amducious
525020	84833	Mr. Billings
525020	141580	
525020	214975	Drunk in Bar
525020	241123	
525020	269869	
525020	326643	
525020	326644	
525020	326645	
525020	332999	
525020	382934	Space Cadet Wilbur
525020	383849	Additional Voices
525020	384682	
525020	384688	Regular
525020	391261	Grandpa (1984-1987)
525020	392225	
525020	393423	Johnny Jellybean
525020	394300	Regular
525020	404517	Additional Voices
525020	405132	
525020	405948	Varous Characters (1971-1974)
525020	405949	Regular
525020	408990	Announcer (1987-1988)
525020	412090	
525021	115943	Teenage Boy
525022	405633	Borden/Deo
525023	398050	Extra Contestant (2001)
525024	202625	Pianist
525025	44385	Moammar
525026	178626	
525026	211102	
525027	262572	Steve
525028	1685	Himself (New York Mets first 
525029	346924	Basil
525030	258981	
525030	287340	Julien
525032	7811	Russian Bondage King
525032	323226	Banana Man
525033	254439	
525034	7689	
525034	123263	
525034	164126	
525035	375655	
525036	101398	Piccolo
525036	304947	
525037	351053	
525039	45024	Grandfather
525039	262348	Boarder
525040	57105	On-screen commentary
525042	50021	Himself - STASI Officer
525043	305884	Policeman
525043	352940	Police officer
525044	107347	Max
525045	397450	Sven
525046	80463	Schlaeger im TV
525047	2666	Kaltenbrunner
525047	26978	Attaché
525047	38542	Van Hook
525047	83638	von Helmholtz
525047	151098	Col. Strassen
525047	215862	Train conductor
525047	335477	Sentry
525047	362363	English colonel
525049	140953	First fundraiser issue guy
525049	265928	Blackman
525049	272026	Steven Driker
525049	277254	Hospital Attorney
525049	296980	D.A. Andrew Nicoli
525049	330999	Bulldog
525049	336034	2nd Basher
525049	343201	Mr. Lowell
525050	43933	Teenager #1
525051	670	
525051	379252	Diego Sachs
525051	380074	
525051	382543	Apolo Costa
525051	404287	
525052	262531	Rollerboys Extras
525053	312116	
525054	115651	Zollchef
525055	2987	
525056	20565	Juan
525057	61609	Uma/Grandma
525057	176190	Helen Broadway
525057	308459	Ms. Glutz
525058	359185	Himself (professor, Univ. of 
525059	65351	Himself
525060	91643	Acolyte
525061	383111	Himself/Panelist (Souvenirs)
525062	106474	
525063	401885	Himself/President of the jury
525064	353925	Harry Pilcer
525065	406477	Tolek Banan aka Szymek Krusz
525066	95699	
525066	243301	Attending Physician
525066	338886	Attending Physician
525067	335921	Alexandre
525068	346793	Client de la nuit
525069	127450	Yalbach
525069	371351	
525070	399012	Beni
525071	18520	
525072	24587	
525072	51112	Karim's father
525072	63238	
525072	149114	Ali Ben Saad
525072	242889	
525072	320275	
525073	230972	Male part of lovers
525074	197286	
525075	342647	Mad Scientist-Cable TV Pirate
525076	104094	
525077	357107	Doctor
525078	29136	
525078	212257	First Man at Bar
525078	379118	(2000)
525079	13428	Jose Lobato
525079	128183	Tom Broken Thumb
525079	137262	Concertina player
525079	178226	
525079	198844	Gimpy (piano player)
525079	273513	Cafe Bartender
525079	286304	Hotel Proprietor
525079	286943	Felipe
525079	349917	Nick Dorapopolos
525079	362536	Sleeping Mexican
525080	386772	Tico (2002-)
525081	256632	Katracho: Barbossa's Crew
525082	343387	Colin
525083	56036	
525083	78254	Legat Opizo
525083	349258	
525083	374676	Patologoanatom
525084	16214	Wedding guest
525085	64415	Hunter
525086	221324	Russian
525087	2267	
525087	19726	
525087	40935	
525087	40936	
525087	84260	Old Justice Wargrave
525087	88742	
525087	94845	Geromo
525087	95746	Aleksandr Serebryakov
525087	104429	
525087	162754	
525087	173576	
525087	174170	Clown
525087	206043	An Old Gipsy
525087	225877	
525087	258461	
525087	259427	
525087	259737	
525087	264323	
525087	270741	
525087	284480	
525087	303792	Boris Olenich
525087	315933	
525087	320688	Musahib Gatuyev
525087	323302	Comissar
525087	341194	Bomely
525087	341216	
525087	344014	
525087	344309	Lucentio
525087	349288	
525087	354717	
525087	373998	
525087	374772	Idkind
525087	374779	
525088	130062	Mot'l, their son
525089	108255	Son
525090	373754	Tréner Lisaník
525091	264974	Photographer
525093	349886	
525094	132153	
525095	17113	
525095	88746	Judge
525095	107713	Switchkeeper
525095	196731	Kokoska
525095	216614	Prokop
525095	234454	Officer
525096	356441	Choura
525097	179038	Deviant
525097	216621	Man with peanuts
525097	352793	Harry
525098	383742	Michael Flatley (1998)
525099	159540	
525099	349312	
525100	115279	Other male monster
525101	164755	
525101	359589	Jozef Sikorski, music critic
525101	375649	Gen. Juan Gonzalez
525102	3035	Petty Officer, Sonar Operator
525103	122976	Himself
525104	179724	
525105	322210	
525106	373351	
525107	227826	
525108	357636	Ondra
525109	59302	Himself
525110	239756	Fireman 1
525111	65542	Himself - Contestant
525112	129113	Ferrari Dealer
525113	61845	Starveling
525114	11869	
525114	14284	Hagen
525114	49268	
525114	97479	Kleiner Lew
525114	98344	2.Bauarbeiter
525114	111894	Shopkeeper
525114	115103	Sichelmörder
525114	178597	
525114	352350	
525114	377340	Pawel Zukur
525114	381694	
525115	58312	Zedni Domobran
525116	249852	Sra. Toledo
525117	379470	Ayal
525118	13409	John Ashton
525118	136252	Red Galvin
525118	143352	
525118	158263	
525118	206205	
525118	245156	
525118	296956	Frank Akuri
525118	320022	
525118	340032	
525118	363306	
525118	364001	Red Pete
525119	302108	Jimmy
525119	380713	Luciano Eduardo 'Luke' Grimal
525120	245499	Morris Moskover
525121	158563	Seller
525122	4676	
525123	10818	
525124	51567	Reporteado
525125	47122	Himself
525126	359443	Little boy
525127	263887	Brian Stratton
525127	289517	Mike
525127	299041	Tim
525128	322164	
525129	122210	Mike's gang member
525130	225990	
525131	270922	Richard, The Senator
525132	265317	Model im Kofferraum
525133	367826	
525134	115688	Vriend van Johnny
525135	71346	Selih-Agha
525135	228167	Palamar
525136	327370	
525137	83431	
525137	89481	
525137	180612	
525138	196715	Tariq
525139	136576	Bíró Andor
525139	322128	Nusdorf bácsi
525139	343776	Hackl
525140	84268	Therapist
525140	377332	Albert
525140	402881	Axel
525142	186443	Himself/Trumpist
525142	395290	Trumpist (1968-1982)
525143	22804	
525144	310591	Himself
525145	28675	Phone Book
525146	300180	A Bouncer
525147	191227	
525148	8451	Le capitaine Chouard
525148	15125	
525148	123055	
525148	155089	
525148	166132	
525148	178989	Raffalens
525148	205210	Igor
525148	333719	Muflot
525149	80399	Danny Kurtz
525150	140019	Preist
525151	74241	Weepy Wendy
525152	5855	Tiny (Brad's Friend #2)
525152	13800	Sally Boy
525152	80606	Eric
525152	177014	Williams
525152	275888	Porn Guy
525152	291449	Herbie
525153	28473	Henry Schnabel
525153	40393	McLean
525153	44681	Blacksmith
525153	50465	Mike Cassidy's Guard
525153	115222	Medic
525153	190572	Old Timer
525153	198842	Cavalry Major
525153	199161	Stagecoach Driver
525153	199166	The Prospector
525153	199525	Crew Cab Owner
525153	274052	Man #2 at Drive-In
525153	277114	Gas Station Attendant
525153	287815	Freddie
525153	300150	Perry Williams
525153	302031	Townsman
525153	310151	Paralax
525153	331019	Scruggs
525153	333424	Jack Peoples
525153	363997	Drifter
525153	369336	Dr. Seger
525153	396142	
525154	284433	
525155	391021	Unser Ossi
525156	172194	Kai
525157	284433	Tobias
525158	97080	Kevin
525159	160416	Boyfriend (segment "Cafe L'Am
525160	73879	Student
525160	276948	Young Man
525160	327972	Photographer
525161	14994	Manden
525161	25784	Un adminstrateur
525161	92899	Un dragueur au Lido
525161	278024	Maurepas
525161	279247	
525161	327577	Marcel's grandfather
525162	231997	Frank
525163	6382	Le vieux prêtre
525163	276105	
525163	395620	Courson (segment "Fin et les 
525163	396135	M. de Serpierre
525163	409536	
525164	78169	Other boy
525165	13941	Cyclist
525166	100868	Roger Youderian
525167	109661	Beaumont detective
525168	224693	Groon
525168	253919	Gentleman Starkey & Pirate & 
525169	13742	Davis
525169	164587	Thin Love Goddess Dancer #1
525170	327836	Tony
525171	22845	Bøsse 1
525171	28884	Nervøs mand
525171	76728	Skibsredder
525171	120305	Carlsen
525171	153385	Drengen
525171	166847	Bonde
525171	170345	Betjent
525171	172416	Poul, rejsedeltager
525171	203969	Svend S. Viig
525171	214339	Shoemaker
525171	240098	
525171	282597	Hundepensionsejer
525171	284443	Child Psychologist
525171	300982	Frank
525171	303747	Johnny
525171	306973	Jonas
525171	331069	Slagsbroderen
525171	380201	Aase/Moster Karen/Julemand 2
525171	382884	Lars Kusk
525171	391121	Himself/Ringburg/Ramboni
525171	391122	Himself/Various roles
525171	393474	Joshua
525171	403379	Crematorium Functionary
525171	406570	Himself - Host (1996)
525172	48391	Blind New Settler
525173	174753	Schilling
525174	392792	Nonato
525175	218867	The Baron
525176	127051	Beamter
525176	257715	Hotelier
525177	55855	Mountain Bike Rider
525178	138688	
525179	241226	Kyle Albright
525180	27171	Klan Leader
525180	66904	
525180	75531	Himself
525180	115842	Local
525180	232144	Sheriff
525181	19725	
525182	37273	Ezra Ferguson
525182	216234	Bit Part
525182	241553	Juryman
525182	345826	Edward Harris, slaveowner
525183	191390	Frank
525184	218091	Narrator
525185	154783	Dr. Frank Kaufman
525186	80513	Deadhead #1
525186	120724	
525186	154436	Man
525186	209211	Maynard Rollins
525186	257401	James
525187	80513	Deadhead #2
525187	120724	
525187	209211	Sonny Rollins
525187	257401	Frank
525187	270632	
525188	41739	The Coast Team
525189	188223	Gabe's Friend
525189	213941	Josh
525189	264427	Prison Spokesman
525189	362312	PhD Student #4
525191	41170	Ambusher
525191	354673	B Unit Man #1
525192	164056	
525193	18748	
525193	20423	Warenhausbesitzer/store owner
525193	95261	
525193	165702	
525193	225731	
525193	281891	
525194	25426	
525194	62694	Chopin's Father
525194	81425	Kuba Burstein
525194	93856	Julian Starzenski
525194	95954	Lukasz Niepolomski
525194	102173	King Zygmunt August
525194	105518	Jameson
525194	108992	Ramses XIII
525194	120439	
525194	145655	
525194	166629	
525194	173108	
525194	176545	Roman
525194	179179	
525194	179182	
525194	180677	
525194	200452	Jozef Magneto
525194	209491	Andrzej Gaszewski
525194	231597	Carlos
525194	244105	Andrzej
525194	255805	Juda of Kiriath
525194	262157	Kamil Orzelski
525194	266307	Dr. Burton
525194	266541	Sarzynski
525194	304164	
525194	305434	Fredek
525194	305833	
525194	322164	
525194	324315	Zatorski
525194	375067	Stein
525194	375486	Stefan
525194	386633	Franciszek Murek
525194	388834	Leszek Stachurski
525194	392017	Major Rilski
525194	394585	Krzysztof Malicki (1998-2000)
525194	397622	Szymon
525195	200452	Magneto jako dziecko
525196	7847	Rye
525196	9073	Rickey
525196	38515	Red Rodney
525196	56180	David
525196	99067	Sidney Cohn
525196	129580	
525196	141384	Andy
525196	147278	Pete Crenshaw
525196	211327	Bailey
525196	226969	Martin
525196	228501	Viktor
525196	229861	Burt Stone
525196	231836	William Bannister
525196	235353	John Doe
525196	269427	Marty
525196	272728	Ernst
525196	306110	Goebbels
525196	317260	Stuart Bliss
525196	328663	Doug Alward
525196	332418	Danny
525196	336164	Steve
525196	336654	McDonald
525196	337143	Dr. Daniel Copeland
525196	366892	Archer
525196	385296	Jean-Jacques Metzger
525197	317260	Stuart's Double
525198	196301	
525199	177584	Young Todd Barber
525200	21069	Oscar (segment "A Honestidade
525200	30275	Guillermo Masseratti
525200	35116	
525200	52107	Paquito
525200	54103	Camilo Pampanini, Domingos' a
525200	67664	
525200	68578	
525200	80271	Garcia
525200	92042	
525200	131092	
525200	196662	Rodolfo
525200	205701	Frederico
525200	248047	
525200	260574	
525200	279701	
525200	320415	
525200	322265	Arturo
525200	341136	
525200	349721	Gianini
525200	377608	
525200	384850	Vitório Testada
525200	388379	Pepino
525200	398819	
525201	142062	
525202	102985	Wirt
525202	176684	Lipski's Bodyguard #1
525202	180763	Guard
525202	217293	
525202	300056	Piotr
525202	322908	Jola's Friend
525202	341068	
525202	364975	
525202	366596	
525202	373351	Psychol
525202	378728	Arnie
525203	119137	
525204	158920	Boy With Gun
525204	366088	Tom Tate
525204	393609	Rick Wabash
525205	89482	Direktor Jazek Czabran
525205	95726	Marek's Neighbour
525205	95727	Kowalski
525205	95953	The Surgeon
525205	133185	Walusiu Ziembiewicz
525205	181387	Marshal Broniec
525205	197128	Polonski
525205	231726	
525205	234249	Joanna's Father, Broniec
525205	294662	School Superintendant
525205	341073	Uncle Seweryn
525205	369008	
525206	153859	
525207	2333	
525207	10704	Robert
525207	24669	Tarek Timzert
525207	31418	Fafa
525207	35351	Dr. Jerome Castang
525207	40277	Bonange
525207	51420	
525207	58329	Thierry
525207	59094	Sami
525207	62817	Frère Jean
525207	65529	Un comédien qui refuse de tou
525207	66158	Emir
525207	66731	Moand
525207	88084	Oscar
525207	99205	Various characters
525207	100249	Joseph
525207	112891	Malek
525207	119383	Nouchi
525207	149115	Hamid
525207	175761	Bit part
525207	192252	Karim
525207	195170	Rémi
525207	198567	Famous girl's companion
525207	198605	Sami
525207	198614	Medhi
525207	205617	Georges
525207	209468	Roschdy
525207	211361	Taxi Driver
525207	211657	Médecin
525207	217842	Nasser
525207	218307	Maréchal Bertrand
525207	225464	Bachir
525207	225768	Omar
525207	243289	Ordo Tupikos
525207	243603	Sami
525207	248886	Paul
525207	249678	SAmir "Luc Leblanc" (segment 
525207	258313	Ahmed Raouch
525207	271069	Sami
525207	287620	Sansa
525207	288891	Mehdi
525207	313084	Marco
525207	319329	
525207	333537	Nordine
525207	345312	Himself
525207	349425	
525207	355866	Ahmed
525207	355962	
525207	377039	
525207	377061	The banker
525208	270840	
525209	387058	Rico
525210	313625	Pit Boss
525210	313635	Delvecchio
525211	131239	Mimme's man
525212	28857	
525213	32024	Legionnaire
525214	230769	Layton
525215	175026	
525215	180040	
525216	12937	Don Curzio
525217	146871	Emil Maurice
525217	286631	Viktor
525218	12937	Czechoslovakian actor
525218	178475	Franta Klapzuba
525219	204007	
525220	24566	Vasek
525220	237516	Joska
525221	59302	Himself
525222	2341	Reception Guard
525222	7112	Murphy
525222	26769	Cop #2
525222	43565	Lieutenant Carl Hanson
525222	45865	Police Officer
525222	54788	FBI Agent
525222	79716	Flight Director
525222	80841	
525222	86470	CIA Agent Art Yallop
525222	106541	Fighter
525222	117073	Otto
525222	117528	
525222	136970	Jones
525222	142165	Co-Pilot
525222	145736	Flight Engineer
525222	147607	Police Officer (Diane's Apt.)
525222	184981	Zach's Father
525222	189265	Cop
525222	190331	Shepherd
525222	204946	MP
525222	206159	Watters
525222	209221	Rat #1
525222	219972	Rudolph Hoess
525222	228448	Bob
525222	232074	Macho Cop
525222	233474	Lou Murphy, Bartender at Al's
525222	237949	
525222	252989	Muscle Man #1
525222	262010	Maj. Harris
525222	262022	
525222	263218	Kramer
525222	266047	Detective Lew
525222	270348	Team Leader/Captain
525222	271206	Track Coach
525222	275630	Older Cop
525222	276197	SS Officer Roding
525222	280663	Petrovich's Heavy
525222	287131	Capt. Usher
525222	289472	Policeman
525222	290861	Desine
525222	291026	Thug
525222	296830	Policeman
525222	301649	Don
525222	305916	Trevor
525222	305920	Agent #1
525222	317226	Reverend Hull
525222	333409	Oliver's Lieutenant
525222	342560	Carson
525222	351873	Yankee
525222	359381	Geddes
525222	359545	McKenna
525222	359552	Willard
525222	366740	Ronald
525222	368993	Office Security Guard
525222	386080	Ricky Jones
525223	375946	
525225	330401	Pilot
525226	229556	
525227	381514	Himself (1996-2002)
525227	391869	Ken Trelor (1989)
525228	317315	Chauffeur
525229	400	Loan Rep.
525229	14574	Byron Patchett
525229	16132	Franz Johnstone
525229	16481	Creditor
525229	17696	Sollicitor
525229	26734	News Editor
525229	44975	Ticket Clerk
525229	45780	NASA Advisor
525229	66913	Local
525229	76615	Daddy
525229	78121	TTC Ticket Taker
525229	94117	Mr. Renold
525229	116079	Husband
525229	126492	Mr. Greenblatt
525229	132181	High School Principal
525229	140371	Professor
525229	148352	Boss
525229	157734	Older Dennis
525229	202965	Ed
525229	204947	Edgar Becker
525229	210866	Marvin Feigler
525229	221105	Racist Patron
525229	223066	Salesman #2
525229	223896	Pastor Demski
525229	253855	Neighbor
525229	269397	Neighbor
525229	273271	Man in Restaurant
525229	274650	Santa Family #3
525229	276197	Sympathetic Officer
525229	276678	Reporter
525229	277436	Dr. Coles
525229	299870	Business Man Seller
525229	314138	Dave Dellinger
525229	316178	Head Terrorist
525229	318390	Reporter #3
525229	330270	Dan Dibbler
525229	330339	Clothing Store victim
525229	335447	Gerry
525229	350434	Desk sergeant
525229	360465	Prospective Juror
525229	367243	Cab Driver
525229	380013	Bill Robinson
525229	408347	Mr. Trask
525229	411091	Priest
525230	288315	
525231	54789	Heinz Hopfner
525231	85983	
525231	119251	Werkstattchef
525231	120993	
525231	144160	Oskar Hoffmann
525231	290108	Auktionator
525231	315049	Dr. Leo Graf
525231	352036	Zent
525231	376125	
525231	376571	Hans
525231	387445	
525231	388468	
525231	391141	Herr Eggerer
525231	394740	Dr. Leo Graf
525231	398083	
525231	410812	Herr Reimann
525232	360481	Himself/Property Master
525233	24790	Supper Club Singer
525234	232352	Jamie
525235	405312	Rademenes
525236	78254	
525237	2474	
525237	27997	
525237	397256	Pajarito
525238	260902	Friend
525239	69895	Major Russell's Son
525239	117874	School Bus Boy
525240	2924	Himself - Best Director Winne
525240	2930	Himself - Presenter: Best Dir
525240	7582	Himself
525240	26849	Himself
525240	32951	Himself
525240	33044	Himself
525240	114301	Himself
525240	201599	Himself
525240	201641	Himself
525240	207522	Himself
525240	221394	Himself (interview footage)
525240	280445	Himself
525240	292861	Himself
525240	331894	Himself
525240	359471	Himself
525240	362313	Himself
525240	364251	Himself
525240	365936	Himself
525241	338917	2nd Boy on Bicycle
525242	6501	
525243	160524	Pilot
525244	5792	Les frères Brindisi
525245	98831	The Beard
525246	344101	Mirek
525247	311599	
525248	311599	
525249	134568	Setup Crew
525250	350990	
525251	212322	
525251	213898	
525251	238834	
525251	244102	Sergeant
525251	261670	Tomasz
525251	275250	
525252	376203	Jazz Camping Participant
525253	352890	
525254	33830	
525254	40869	
525254	60730	Vasya Gordiyenko
525254	60821	Sergei
525254	89818	Serezha
525254	90979	
525254	95356	
525254	164010	
525254	179903	
525254	184801	
525254	188471	
525254	217458	
525254	229906	
525254	259200	
525254	259837	
525254	261912	
525254	264983	
525254	296993	
525254	300478	
525254	317106	
525254	333782	
525254	343959	
525254	370163	
525255	121774	Master Paladino
525255	266676	
525255	387171	Germán Machado
525255	401250	Benjamín Wanstein
525255	402151	Manuel
525255	412120	Arciero Moretti
525256	749	Tahar, le boucher
525256	24671	
525256	40259	Rachid
525256	122353	
525256	144343	Father
525256	149114	Le saltimbanque
525256	236515	Le patron arabe
525256	238453	Père de Rachid
525256	256360	L'ambassadeur
525256	305327	Kalil
525256	326283	Rachid
525256	332139	
525257	319149	Student
525258	306814	Jake 4 yrs.
525259	197488	Hiro
525261	37696	Dr. Veilleux
525262	259221	Circus Acrobat
525262	259880	
525263	153717	Gurun
525264	149865	
525265	373019	Song Bo
525267	796	
525267	34843	
525267	181321	
525267	228001	
525267	372444	Jacob Neal
525268	124338	
525269	18701	
525269	87001	David
525270	749	Khaled
525271	217692	
525272	95684	Violin Solist
525273	250664	Hockey Player
525274	237478	Tonýs
525275	2173	Inspector
525275	27167	Wagner
525275	50029	
525275	56895	Trucker
525275	67445	Officer Rutley
525275	137674	The Marshal
525275	160375	Hospital personnel
525275	161977	Doorman
525275	195765	
525275	248441	Wrestler
525276	51799	Caddy
525276	55583	Photographer
525276	69614	Peasant
525276	79105	Rugged Sailor
525276	150379	
525276	168119	Townsman/French soldier
525276	187691	South Street Benny
525276	188326	American Lieutenant
525276	237618	Trainee
525276	255689	Sailor
525276	273513	Spike, 'Claiborne' Crewman
525276	279428	Stevedore
525276	308136	Bit Part
525276	313943	Photographer
525276	317824	Frogman
525276	345860	Trapper
525276	347136	Ambulance Driver
525276	359298	Marine Lieutenant
525276	363464	Barovian Co-pilot
525276	363696	Railroad Man
525277	198997	
525277	324839	
525278	119001	Midian
525279	129068	Henderson Maines; strongarm #
525280	289525	Norman Fowler
525281	262610	
525282	228134	
525283	181953	
525283	282776	
525283	299424	
525284	156547	Gaditano
525284	188994	Octavio
525284	219330	Adolfo
525284	369417	Pablo
525284	392032	
525284	400660	Canijo
525285	10841	Sal's Men (segment "Unsavory 
525286	369877	He Bing
525287	371504	
525288	251108	Orphan
525289	369647	Young Chunguan
525290	393496	Da Fu
525291	374828	
525292	209941	Brother Tse
525293	52005	EMT
525293	155897	Brion
525294	143892	Himself
525295	204747	Biker
525296	132761	Mud Monster
525297	89478	
525298	146982	
525298	392379	Özdemir Pasa
525299	370601	
525300	184353	
525300	344810	(segment "Mocinha de Luto")
525302	333514	Wesson
525303	76942	
525304	353244	
525304	386745	Cantante
525305	198127	
525305	227120	Musician
525305	349849	Himself
525306	118466	Greek Cafe Owner
525306	222331	Arab Reporter
525306	241465	Spiro
525306	367567	Boy at Island Hotel
525306	380484	Prof. Stylianou
525306	385139	Stavros Veludis
525306	397410	Dalma
525306	406921	Tassos Ioannides (Series 1) (
525307	78792	Monk
525307	268511	Ikuo
525307	394696	Zenjiro
525308	298058	Fletcher
525308	312137	Spy Fox
525309	54266	Himself
525309	137665	The Z-Man
525309	137666	Himself
525309	237019	Himself
525309	313737	Himself
525309	313738	The Z-Man
525309	368818	Himself
525309	410689	Z-Man (1991-1993)
525309	411546	Himself (1987)
525310	24067	
525311	316635	FBI Agent #12
525312	359679	
525312	364931	
525313	224320	
525314	121216	
525315	89792	
525316	54355	Felice
525316	197055	Rustighello
525316	277611	Ernesto
525317	226277	
525318	52936	
525318	82588	
525318	247851	
525318	252049	
525318	284963	
525319	65581	Aldo
525319	356145	
525320	81974	Detective Jay Johnson
525320	92227	Billie Joe Furlow
525320	330705	Brimmer
525320	408627	Jury Foreman
525321	284331	Hombre 2
525322	63890	
525323	355091	Italian Guy #1
525324	41431	Weasel
525324	145703	
525324	279019	Matthew
525324	389096	Joe Two Rivers
525325	100841	Pool Player
525326	2102	Nick
525326	5898	Fabio
525326	19346	André
525326	19639	Virgil
525326	68406	Le voisin de table
525326	108543	Interprète
525326	171000	Alex
525326	219458	Saxophone player
525326	235246	Jean-Marc
525326	243289	Daniel
525326	266201	Sébastien
525326	291070	Spike
525326	359699	Josy
525326	376892	Serge
525326	376910	Rémi
525327	68140	Checco
525328	77545	Cop #2
525329	311427	Anton
525330	242093	Church Custodian
525331	396238	
525332	46411	
525333	22193	Kamikaze
525333	86924	Foreman
525333	99183	
525334	87699	Lead Guitarist
525335	12733	Szállodaigazgató
525335	35060	Szücs Imre föbiró
525335	95162	A horgászverseny rendezõje
525335	97975	
525335	122131	Olaf Orgeborg
525335	122386	
525335	137147	Mérnök
525335	140671	Csapattag
525335	171551	Fõmérnök
525335	179852	
525335	190748	Kaszinótag
525335	238644	Russischer Gesandter
525335	250888	Tanácselnök
525335	307147	
525335	322065	
525335	352776	Autós úr
525335	354442	
525335	377883	Osztrák ügyfél
525335	402164	
525335	407837	Béri Balogh Ádám
525336	135505	Fabert
525336	270909	
525336	345230	
525336	346428	Jean-Yves
525337	17305	Film Director
525337	24420	
525337	35838	Jan Jezierski, Marta's Brothe
525337	46770	Ojciec dziewczynek
525337	51039	
525337	100582	
525337	103093	Rumata/Alan
525337	166419	
525337	173937	
525337	197219	Zatorski
525337	237731	Salapska
525337	253786	
525337	255498	The Spy Chief
525337	259083	Pastor
525337	276046	
525337	300056	Politician
525337	301097	Janek Pradera
525337	322725	
525337	338980	Bigioli
525337	340029	Janush
525337	360758	
525337	364978	Roman Martyniuk
525337	369373	Schwudtke
525337	376524	Maximilian Kolbe
525337	376526	Stanislaw
525337	376651	Polish Officer
525337	379585	
525337	396286	Tomasz (2000-2003)
525337	403627	
525337	406881	Jan Dolecki
525338	268496	
525339	70865	Francis Françoise
525340	378442	
525341	314457	Roman Soldier
525342	124795	Ukranian
525343	839	
525343	17080	Father
525343	19766	
525343	35060	Csuda kuruc
525343	74400	Captain Záray
525343	74418	András, aki lakást kapott
525343	74437	Tata (Rózsika's father)
525343	97957	Josef, the German mercenary
525343	97958	Josef, the German mercenary
525343	99548	
525343	102412	Prof. Arara
525343	108913	Kostál Imre
525343	110915	Illés Vadász
525343	111913	
525343	122131	Inspector
525343	122455	
525343	136441	Second inspector
525343	136595	Gábor
525343	137147	Mr. Horváth
525343	137750	Feri
525343	138274	
525343	153683	Prospero
525343	157811	
525343	162226	
525343	171603	Arató
525343	171606	Jób
525343	173965	Pali Simon
525343	182668	Kerekes András
525343	182732	Géza Kondor
525343	200613	Captain of Tenkes
525343	211700	Titi, coach
525343	212308	Dr. Ranke
525343	212992	Suhajda, taxisoför
525343	225415	Másik hajdú
525343	226712	The chauffeur
525343	237339	Mátyás
525343	250888	Bozsó, staff sergeant
525343	258808	Captain Záray
525343	273105	
525343	284090	Miska Fekete
525343	306702	Toldalagy Zsigmond
525343	312520	Kati's dad
525343	322016	Botsinkay
525343	322082	Árpi
525343	343710	Ábrahám
525343	343747	
525343	353808	Old farmer
525343	375965	Záray
525343	375966	Capt. Záray
525343	377748	Szemetes I
525343	378283	
525343	382544	Ernõfy százados
525343	387360	János Kovács
525343	388511	
525343	394749	Mihály Kovács
525343	401347	The deputy parish-clerk
525343	402164	Captain Petneházi
525343	407236	István 'Taki' Takács (1987-19
525343	407309	
525343	407837	Máté Eke
525343	409291	Uncle István
525343	412293	
525344	277607	
525344	338716	
525345	405570	Göran 'Gösen' Johansson (1997
525346	301649	Guy in Car
525347	240251	
525348	321952	
525349	194486	Sheraton
525349	279297	Postal Supervisor/Gas Attenda
525351	151903	Hu
525352	391368	Hugo
525354	131124	
525354	361481	
525355	107322	Critico 2
525355	219241	Médico
525355	260976	Professor Zenthul
525355	286276	Jasmino
525355	353674	Tramp
525355	380993	Zeo
525356	40200	Officer Grayford
525356	213231	Serrano Bodyguard
525357	45367	Joey (The Kid)
525358	73083	
525358	74628	
525358	74768	
525358	91306	
525358	91343	
525358	225550	
525358	339176	
525358	350634	
525359	104846	
525360	18253	
525361	166471	Other Team Member
525361	384771	
525361	391417	
525361	397461	Himself
525362	266822	
525363	6439	
525363	10030	Marcial
525363	20352	
525363	41767	
525363	41769	
525363	51674	Canero
525363	51745	
525363	52989	
525363	54326	
525363	57384	Boola
525363	57420	
525363	64672	Guerrero
525363	64702	
525363	74639	
525363	75838	
525363	85619	Cazador
525363	88798	
525363	88909	
525363	91414	
525363	95421	
525363	96279	
525363	99806	
525363	103537	
525363	103728	Tor
525363	103846	
525363	104512	Paramilitary
525363	110414	
525363	112090	
525363	121945	
525363	122159	
525363	123171	
525363	124445	Caputto
525363	131126	Gordito
525363	132690	
525363	132696	Liborio
525363	135306	Don Wences
525363	153820	Comandante
525363	161770	Wolfman
525363	161830	
525363	192959	
525363	193143	
525363	196761	
525363	198985	
525363	204739	Bandit
525363	207647	Coyote
525363	213714	El mudo
525363	213722	
525363	219327	
525363	226193	
525363	227560	
525363	229421	
525363	230267	
525363	234343	Dorgo
525363	235307	
525363	236036	Tony
525363	247476	
525363	248289	
525363	248747	Campeonazo
525363	249800	
525363	250796	
525363	252764	La Florida Barman
525363	255547	
525363	256539	
525363	257900	Esposo de mujer fisgada
525363	259400	
525363	263177	
525363	264387	
525363	268271	
525363	269470	Payaso
525363	272666	
525363	272667	
525363	277039	Elefante
525363	277369	Don Pancho
525363	286350	Death Squad member #1
525363	287859	Licur's henchman
525363	287875	Cyclops/Zombie
525363	287896	
525363	302380	El Pelicano
525363	304553	Hood #3
525363	307658	
525363	307803	
525363	308272	
525363	309385	Margarito
525363	332916	
525363	332945	
525363	337440	
525363	339012	Rocque Prieto
525363	343623	
525363	354045	
525363	354047	
525363	354774	
525363	355441	Villano
525363	368953	Night Clerk
525363	369894	
525363	371275	
525363	371782	
525363	377099	Trabajador Manicomio
525363	377180	
525363	378486	
525364	80338	Don Chon
525364	98689	Pedro
525364	180750	
525364	208843	
525364	266821	
525364	274554	Pancho Villa
525365	255654	Cruz
525366	14485	Van Driver
525366	20788	Detective
525366	29059	Cedro
525366	32707	State Security on Beach
525366	50007	Santos
525366	67054	Rocha
525366	70141	
525366	87115	Guillermo/Battalian Commander
525366	105433	Victim
525366	120080	Detective
525366	139777	Officer Morales
525366	158608	Carlos
525366	166548	
525366	188348	MP captain
525366	188999	Fte. Gama
525366	215499	Salvador
525366	215872	Juan
525366	219739	Mercenary
525366	219863	
525366	255817	Hughes
525366	267455	Airport Guard
525366	274645	Policía de caminos
525366	329276	
525366	345998	Rafael
525366	373951	
525367	239636	Administrator of hacienda
525368	147906	Guitar Player
525368	376546	Manny
525369	135278	
525369	351487	
525370	160513	
525371	1337	Shadow/Abraham
525371	10535	Gangster
525371	35239	Jock
525371	121563	Luis
525371	132212	Chano
525371	279094	Rafa
525371	283504	Louie
525371	299834	Homeboy #1
525372	80311	
525373	274703	First roommate
525374	79269	Stripper Extra
525375	109042	
525375	154072	
525375	328800	Himself
525376	122274	Pimp
525377	88338	
525378	11850	
525378	18519	Holz
525378	18523	Holz
525378	18530	Holz
525378	24092	
525378	26407	
525378	93730	Bernhard von Stein
525378	98052	Willy Helm
525378	134903	Heinrich Gruyten
525378	155479	Peter
525378	156292	Le père dominicain
525378	164902	Sepp
525378	173699	Petersen
525378	180865	Hauptmann Wandschneider
525378	189721	Psychologist
525378	223460	Reporter
525378	269557	Arbeiter
525378	275253	Arzt
525378	288498	Urs
525378	290820	Schos
525378	312108	Dr. Sontheim
525378	322282	
525378	322534	Vater
525378	325669	Vater Hirlinger
525378	347039	Hille
525378	347778	
525378	366517	Willi Steiger
525378	381689	Rudi
525378	393878	
525378	397957	
525379	2743	
525380	6331	
525381	376329	
525383	87586	PCP Observation Patient
525384	375796	
525385	107542	
525386	219602	Dennis McLaren
525387	62280	Det. John Greco
525387	67385	Arresting Cop
525387	90793	Eric Anderson
525387	93791	Toronto Reporter #1
525387	108330	Tommy Rampola
525387	147607	Police Officer (Precinct)
525387	282826	Lawrence
525387	362310	Officer McMillan
525387	369473	Ernie Kravitz
525387	387237	Frank Tate (1999-2002)
525387	395489	Ernie
525387	408692	Mike Pinetti (1999-2000)
525388	320010	Le chef d'orchestre
525389	25040	Lucrécio's friend
525390	129135	
525391	188603	Roberto
525391	228134	
525392	135170	Cult Leader
525393	28930	Extra
525394	10525	
525394	13066	
525394	16857	
525394	35492	
525394	49717	
525394	67104	Giulio
525394	124237	Cosme
525394	124550	James Simpson
525394	132942	
525394	146715	
525394	159897	
525394	161572	
525394	211004	
525394	233841	
525394	287991	
525394	341135	
525394	383784	Marcello
525395	292596	Policeman
525396	260859	
525397	319747	
525398	381220	
525399	97937	Guma
525399	189443	Kamil
525399	217420	Radek
525399	374190	Boy
525399	397912	Jan (1992)
525400	60031	L'homme qui a cu sa dose
525401	207051	Tina Turner
525402	22596	Dr. Charles Napier
525402	23561	William Kunstler
525402	27952	Ole Jeemy Williams
525402	32938	
525402	55514	
525402	67573	Max Dyson
525402	70404	Dog Boy
525402	80639	Roger Stuart
525402	101704	Councillor Hamann
525402	109077	Brunette
525402	114099	Captain Broughton
525402	141097	Dr. Albert Scanlon
525402	150747	Dr. John Mortimer
525402	158230	Roy Danko
525402	158994	General Grey
525402	164482	Sanford 'Sandy' Miller
525402	178081	Abner Devereaux
525402	186036	Lt. Nat Steiner SFPD
525402	189280	Willie Joe Worth
525402	189403	Milton Krest
525402	190034	Opera House hustler who mugs 
525402	191513	Senator McKellar
525402	207989	Councillor Hamann
525402	207991	Councillor Hamann
525402	210618	Phillip Marcel
525402	217434	Tom Dougherty
525402	240318	Matthias
525402	240644	
525402	241697	Yakov Anderman
525402	242934	Becker
525402	245994	Charles Bradley, Joey's Fathe
525402	248161	Toussaint Leper Colony chief
525402	248568	Schwartzkopf
525402	263608	Vincent Wiertel
525402	269667	Captain Marcus
525402	272471	Arco the Magnificent
525402	276785	Justin Sepheran
525402	281508	Breed
525402	293040	Clem Steggman
525402	293105	Sutherland
525402	297955	Dr. Wellman
525402	306034	Boone
525402	307047	Morgan
525402	313423	Vice Admiral Dougherty
525402	314236	Damnil
525402	316158	Fry
525402	330132	Rice Weedon
525402	334289	Lewis
525402	336647	Father Donahue
525402	338793	Long
525402	340765	Governor Henry Lowenstein
525402	342009	Rosie
525402	348317	
525402	352287	Porterfield
525402	364325	Antheil
525402	365733	Dutchy
525402	379015	Pontius Pilate
525402	383780	Mervin Wendell
525402	384124	Jimmy Jackson
525402	386414	Himself
525402	386966	Bill Williams
525402	389924	St. Pierre
525402	391087	Lt. K.C. Trench (1975-1976)
525402	392176	Martin Grey
525402	399684	Gen. Ulysses S. Grant
525402	400208	Dave Shifkin
525402	403067	Kidnapper
525402	411827	Teaspoon Hunter
525403	1730	Himself (San Francisco Giants
525404	151068	
525405	38635	Max Runewski
525405	48259	
525405	97483	Dearborn
525405	103565	Tsar Boris III
525405	129723	Baumert
525405	134999	Polizist
525405	138260	
525405	160599	Heinz Brasse
525405	160600	
525405	160601	Heinz Brasse
525405	160602	Heinz Brasse
525405	170369	Dr. Wilhelm Meister
525405	202667	Pankonin
525405	225649	
525405	259487	Arzt
525405	259584	Klaus Wendler
525405	259641	Krassert
525405	259675	Eberhard Gantzer
525405	307671	
525405	314072	Generalmajor Walter Buhle
525405	317277	Gerichtsmediziner
525405	325858	Fleischhauer
525405	341769	Friedrich Meyer
525405	352767	Hans Bertram
525405	374123	
525405	375141	
525405	392669	Dr. Konrad
525406	235850	Un musicien du restaurant
525407	169308	
525408	11630	The general
525408	12529	
525408	26696	
525408	56100	Pope
525408	57970	Il proprietario aereo rubato
525408	58532	Alcide
525408	61030	
525408	66064	
525408	74746	
525408	91053	
525408	103997	
525408	111419	Il segretario di Fani
525408	163004	
525408	163169	
525408	175053	Dario, il parrucchiere
525408	197051	Un ubriaco nella taverna
525408	198585	
525408	219007	
525408	229613	
525408	234550	Enzo
525408	273510	
525408	288801	Nymphomaniac's Slave
525408	294407	Luciano
525408	334668	Caudo
525408	339796	
525408	377576	Montarone, il figurinista
525409	28908	
525410	278310	Sparafucille
525410	336370	Angelotti
525411	86453	
525412	64166	
525413	3340	Examiner
525414	303052	Le chef de village
525414	325293	
525415	159489	
525415	238833	Esaul
525415	270037	
525416	140289	Berthoux
525417	71093	
525417	85731	Leon
525417	91293	
525417	207922	
525417	374004	
525417	379905	
525418	91349	Oscar
525419	56108	Voz
525420	233433	
525421	138721	Himself
525421	282703	Himself
525422	410380	
525423	107605	
525423	159488	
525423	204007	Krysa
525423	261652	
525423	276332	
525424	56822	Tony
525424	159336	
525425	301296	
525426	20915	Ivan
525426	34168	
525426	47756	Student
525426	79621	Rodoljub Jovanovic
525426	88541	Vozac
525426	95595	Zvanicno lice
525426	221340	Djura, celavi iz voza
525426	231278	
525426	246898	Bogdan iz Zemuna (segment "No
525426	271379	
525426	284875	
525426	303418	Mirko
525426	305188	Malogradjanin
525426	313054	
525426	339311	Gane
525426	348701	Tasa Tica
525426	356533	Boban
525426	374420	
525426	390388	
525426	396292	
525426	401749	
525427	100995	Young Haile Gebrsellasie
525428	28269	Le guetteur
525428	66057	Mouss'Kaf'Ka
525428	112818	Chauffeur car 1
525428	149744	L'arbitre football
525428	176837	Mollah
525428	225768	
525428	275641	Starkey's man
525428	377652	Serrurier
525429	298483	Olli
525430	298483	Pit Claasen, aka "Der Sheriff
525431	109260	
525432	158338	Sonny's cellmate
525433	199572	Teenager at the bus stop 1
525433	370923	Pool Security
525434	130441	Jason
525435	401079	Lieutenant
525436	99311	Helicopter Pilot
525436	339763	
525436	405147	
525437	68353	Marco
525437	110142	Salim
525437	160981	Xavier
525438	185854	Studio band leader (keyboards
525438	361140	
525438	391021	Himself - Band (bandleader, k
525439	21409	
525439	222217	
525439	226175	Stürmer Mann
525439	244676	Brach
525439	325522	
525439	325537	Schneider
525439	325870	Fütterer
525439	379174	Manfred
525439	379860	Meyer Zwo (1979-86)
525439	386977	
525440	285962	
525441	109103	
525442	352216	Oude Saedeleer
525443	266827	
525443	371275	
525443	383268	Ernesto
525444	74868	Pistolero #3
525444	121951	
525444	332665	
525445	323083	
525446	55761	
525446	100408	
525446	203344	Highranking Government Offici
525446	329275	
525446	377194	
525447	51306	Capitán Camacho
525447	194618	Dr. Angel Prado
525447	233644	Doctor Prado
525448	323083	
525449	14749	
525449	21698	
525449	28950	
525449	51548	
525449	51708	
525449	51720	
525449	51722	
525449	54844	
525449	73274	
525449	74523	
525449	101045	
525449	110414	
525449	135203	
525449	145200	
525449	202211	
525449	202567	
525449	204589	
525449	209042	
525449	212465	
525449	221674	
525449	223218	
525449	235250	
525449	239260	
525449	256367	
525449	282060	
525449	282134	
525449	287427	
525449	301572	
525449	301863	
525449	332665	
525449	337435	
525449	337436	
525449	339167	
525449	340069	
525449	383268	Ernesto
525449	389429	
525450	201656	Himself
525451	267672	Shop assistant
525454	120120	Shelly
525454	137068	Dorm Member
525455	362865	Himself
525456	133340	Annoying Customer
525457	95694	
525458	352798	
525459	172824	
525460	374734	
525461	131279	
525461	132087	
525461	330212	Sucker, the dog
525462	199950	Additional Voices
525464	64333	Himself (1995)
525464	121936	Tino
525464	169335	Filippi
525464	340304	Marguerite Duras/Jean-Luc God
525464	378908	Himself
525464	384932	Himself
525464	393770	Himself/Interviewer
525464	397947	Le procureur de la cour d'Arr
525464	399813	Himself (1988-199?)
525464	400442	Himself
525464	410427	Host
525465	28781	
525465	63768	Renato Zero
525465	157138	Himself
525465	202040	Bit Part
525465	243381	Il venditore
525465	280740	Extra
525465	288801	Extra
525465	353140	Himself
525465	374613	Himself
525465	374615	Himself
525466	316640	Willie
525466	323521	
525468	355808	Le guichetier du cadastre
525469	352779	
525470	66084	
525470	74963	
525470	123153	
525470	131972	
525470	160092	
525470	165897	
525470	166552	
525470	184873	
525470	216862	
525470	221558	Garrido
525470	225044	
525470	353189	
525470	380113	
525470	384253	
525471	55901	
525471	353646	
525472	139902	Campesino
525473	255382	Lester
525473	346386	Kuhleborn
525474	23841	Nordine
525475	214013	Azaz
525476	223229	
525477	46065	Kuybyshev
525478	173954	
525479	9786	
525479	21694	
525479	100782	
525479	246194	Man at the door in velatory
525479	301859	
525480	339086	Jorge
525481	2813	Mann
525481	264471	Lorenzo
525482	41915	Joel
525482	88420	Soldier #2
525482	243269	Soldier #4
525482	347070	Drunken Man
525482	399439	Miami Sergeant
525482	406363	Masked soldier
525483	153398	Himself - Dr.phil.docent
525484	327123	Mr. Matesis (Painting buyer)
525485	8982	
525485	387704	
525485	390036	
525485	395090	Aris Levendis
525485	401011	Mihalis
525486	136488	Journalist
525487	280022	
525487	310117	
525488	259419	
525488	379528	Elias
525488	401521	
525489	92925	
525489	287997	Director/Himself
525489	355731	
525490	7364	
525490	8124	
525490	8134	
525490	11015	
525490	13215	
525490	13330	
525490	18313	Emigrant
525490	22124	
525490	23155	Himself
525490	23407	Mr. Kourouzos
525490	25625	
525490	79231	
525490	86074	
525490	89443	
525490	93999	
525490	98074	
525490	98222	
525490	98593	
525490	99816	
525490	100569	
525490	102094	
525490	102095	
525490	102692	
525490	104261	
525490	116621	
525490	125646	
525490	127370	
525490	127382	
525490	151864	
525490	168092	
525490	174448	
525490	174495	
525490	174646	Rea's father
525490	178301	Coffeehouse keeper
525490	179574	
525490	180288	Priest
525490	182443	
525490	188887	
525490	192838	Judge
525490	193481	Father of Lola
525490	199262	Preast
525490	201974	
525490	205584	
525490	207917	
525490	209770	
525490	209781	
525490	210457	
525490	212062	Captain Mihalis
525490	217247	
525490	228718	
525490	232637	
525490	239167	
525490	241901	
525490	251132	
525490	253088	
525490	255787	
525490	259976	
525490	261734	
525490	266532	
525490	296531	
525490	314750	
525490	315013	
525490	324779	
525490	329734	Xenophon
525490	333026	
525490	336629	
525490	336903	
525490	338991	
525490	369530	
525490	373562	
525490	375286	Mr. Ferekis
525490	375541	
525491	308213	
525492	437	Brigadekommandeur
525492	462	
525492	1654	Generaloberst Hoepner
525492	12897	Kriminalkommissar Bäumler
525492	18062	
525492	69042	Yelverton
525492	69270	D'argentière
525492	92441	Staatsanwalt
525492	93486	
525492	93495	Lievers
525492	95263	
525492	98309	
525492	103074	Direktor Stepan
525492	107812	Verlagsdirektor
525492	108147	
525492	116321	Grenzerchef
525492	118620	
525492	119432	
525492	120051	Hollberg,Berliner Theaterdire
525492	126432	
525492	126482	Prof. Mengler
525492	142256	
525492	147167	
525492	172357	Gouverneur Alvaredo
525492	172378	
525492	180199	
525492	180967	
525492	180969	
525492	182004	The Tsar
525492	183641	
525492	203403	Leslie Waddington
525492	204428	
525492	204438	Dr. Gustl Gallinger
525492	204472	Lancelot Rogers
525492	204491	Peters
525492	204498	English Naval Officer
525492	210001	Major Sumerset
525492	225182	
525492	226244	Konsul Brückmann
525492	226283	
525492	226333	Inspector Busch
525492	227784	
525492	229526	
525492	230233	Alberto Basto
525492	234950	Staatsanwalt
525492	248155	Gonon
525492	259435	
525492	281983	Wilhelm von Friese
525492	284108	Sir John
525492	290180	Johann, Graf von Safferstätt
525492	293621	
525492	312206	
525492	316872	
525492	322427	Dr. Grove
525492	324489	Kommissar Trent
525492	332804	Fjedor Borodin
525492	347428	
525492	348065	Dr. von Cremona
525492	352489	
525492	352525	Sir Gavin Marquand
525492	356200	Der Kurfürst
525492	358542	Dr. Fritz Heidecke
525492	361385	
525492	364899	
525492	374530	
525492	374646	Dr. Berger
525492	376025	
525492	380199	Ralph Merson
525493	208951	
525494	110632	
525495	145751	
525495	352170	
525496	273682	
525496	352170	
525496	353995	Antonio
525496	358893	Franz Schubert
525497	411284	Various Characters
525498	369419	
525499	404897	Additional Muppets (19??-19??
525500	118702	Frat boy
525501	395047	Stenberg (episode 2)
525502	339134	(episode El Erudito)
525503	409288	
525504	8269	
525504	14636	
525504	29842	
525504	82963	
525504	87894	Bit Part
525504	103976	
525504	121960	
525504	212250	
525504	214657	
525504	246302	
525504	265165	
525504	276143	
525504	281544	
525504	296445	
525504	296502	Amigo de ministro
525504	310027	
525504	317678	
525504	339171	(segment "Lucía")
525504	376748	
525504	378404	
525504	382868	
525504	384573	
525504	385031	
525504	385374	
525504	385941	
525504	386076	
525504	386116	
525504	391964	
525504	393797	
525504	396883	
525504	399556	
525504	399801	
525504	401695	
525505	385401	Dr. de la Fuente
525506	290534	
525507	24308	Passenger '10-C'
525507	115497	Doctor
525507	375774	Lonnie the Bartender
525508	163368	Sleeping Outlaw
525509	161517	Executioner
525510	67349	
525510	315784	Tom Plunkett
525511	124048	Bouncer
525512	63823	Thiago
525512	398501	Carlos 'Carlinhos' De Souza D
525513	161565	Chief drugdealer
525514	110931	Narrator
525515	336289	
525515	395713	
525516	27480	Singer
525517	175350	
525518	95798	Pepsi
525519	293839	Raggare
525520	16266	Teacher
525520	115398	Curry Kock
525520	115429	Börje Cronsköld
525520	305306	Member of the Cookie Academy
525520	309064	Elderly man with banner
525520	320606	Mr. Trumpet
525520	377336	Well-dressed man
525521	48361	Lennart/Leporello
525522	261151	Member of the quartet
525523	112732	
525524	234275	Antonio
525525	91004	
525525	93403	
525525	352359	
525525	361382	
525526	308092	Man at Party
525527	87489	Philadelphia Cop
525528	38515	Owner - Oasis Club
525528	67573	Lt. Bravo
525528	204192	SWAT Team (Medatomics Lab)
525528	217339	Zettler
525529	87118	Jova
525529	134347	Grigore
525529	291946	Rogue 7
525529	339944	
525530	4799	Doktor Pirwitz
525530	16621	Dr. Grunert
525530	251998	Der Verwalter
525530	259444	
525530	274883	Markus
525530	287638	
525530	291125	Col. Howard
525530	392632	Stoll
525531	123696	Telegraph Operator
525531	194005	Prisoner #1
525532	368717	Rudi
525533	103097	Baptiste
525534	186158	Elderly Man's Dog
525534	314156	Rex The Dog
525534	330375	
525534	334153	Angel
525538	266845	
525539	325163	Himself (E.R. Burroughs exper
525540	145606	
525541	38841	Heidacher
525541	49285	
525541	91125	Jockel Scherbaumer
525541	135005	
525541	173180	
525541	174217	Justizwachtmeister
525541	178641	Josef
525541	188824	Rau
525541	210137	Hausmeister
525541	216278	Schober
525541	290258	Peter
525541	325402	
525541	325666	
525541	325926	ED-Beamter
525541	364828	Lipp
525541	397370	Hausmeister
525541	397765	Moser
525542	275225	Boris Rectus/Tarmfolkets høvd
525543	295406	Younger Rolf Harrer
525544	265824	Nino
525545	34835	Narrator
525545	392015	Himself
525546	15886	Empress' Cossack
525546	31219	Kubala
525546	46272	Russian thug #2 at Ludwigstra
525546	162398	
525546	356353	Balatov
525547	125478	
525548	49133	
525549	162700	CIA Agent
525549	396123	Judd Beecham #2 (1986)
525550	31	Steve
525550	2581	Himself
525551	2581	Himself
525551	87356	Himself
525551	298091	Himself
525551	309829	Babcock
525551	359521	Himself
525551	359522	Himself
525551	392865	Interviewed (interviewed)
525552	117982	Drummer
525553	246000	Watermelon Thrower
525554	347466	Khuram
525555	6108	
525555	107356	
525555	227238	
525555	317672	The producer
525556	185859	Adam
525557	225099	
525557	244256	Antisthène
525557	345135	Baron Grimm
525558	356402	
525559	77409	
525560	164198	Le gérant du cirque
525561	11242	
525561	120812	
525562	412000	
525563	10820	Fighter
525564	10820	Fighter
525565	372804	Rossini
525567	43243	
525567	72032	
525567	146715	
525567	196567	Michael, The Guard
525567	197991	Vaqueiro
525567	229250	Cult member
525567	258482	
525568	270128	Policeman #1
525569	284010	Pathologist
525570	21314	
525570	88746	Drunk officer
525570	339310	
525570	350995	
525570	373490	
525570	375413	Pedestrian
525571	410376	
525572	218683	Le mercenaire
525573	353821	
525574	156895	Drasko
525574	334049	Perica Safranek
525575	101216	Didier
525576	88354	
525577	297861	
525578	265946	
525579	344052	
525580	246345	
525581	369964	Wang Minzhang
525582	163891	
525582	307311	Trainee Abayev
525583	259045	Agabek
525584	33827	
525585	181402	Bulat
525586	163887	Himself
525587	8978	
525587	83312	
525587	127450	Dinnen Bezeyen
525587	131279	
525587	179334	
525587	181402	Mulla
525587	211860	
525587	339286	
525587	340656	
525587	351352	
525587	356417	
525587	373777	
525588	32859	Proctor
525588	33820	
525588	35854	
525588	46034	Rybkin
525588	59978	Assistant
525588	82796	
525588	83039	Vikenti Mikhailovich Vorob'yo
525588	84421	
525588	85207	
525588	90542	
525588	91202	
525588	92893	
525588	120673	Grandpa Matvej
525588	120698	
525588	120785	Cmdr. Bannikov
525588	132205	
525588	162144	Rogozin
525588	162675	
525588	179320	Demidov
525588	180165	Captain
525588	220688	
525588	220694	Alyabyev
525588	224038	Regimant Commander Draudin
525588	227913	
525588	236072	Soldier og the National Guard
525588	242817	
525588	243988	Dembovich
525588	253635	
525588	253646	Ensign Vasilyev
525588	263686	
525588	265400	Rolf Mamlock
525588	267838	
525588	284620	Young soldier
525588	292988	
525588	293955	Kurt Shefer (radioman)
525588	294764	
525588	304726	
525588	315020	
525588	318125	
525588	321933	Yanis
525588	323623	
525588	327771	
525588	343821	
525588	344095	
525588	351346	Borosky, the accomplice
525588	351355	
525588	352894	
525588	354327	
525588	356126	Dr. Aleksei Rozhdestvensky
525588	356823	
525588	373501	Toivo Antikainen
525588	373641	
525588	374240	
525588	374463	
525588	374713	
525588	375673	Engineer Kovalyov
525588	376213	
525589	230037	
525590	242884	
525591	265914	
525592	138709	
525593	216660	
525594	176711	Boss Orgami
525595	1439	Himself
525595	336429	
525595	356111	
525596	51480	Haier Technician
525597	142815	
525598	231260	Grandpa Guang
525599	167738	Fang Keming
525599	247953	Businessman
525600	33100	Little Leopard
525600	216660	
525601	258403	The Director (segment "Tu yan
525602	76822	Li Dahu
525602	86923	Yi Mu/Yang Wancai
525603	374687	Regimental Commander Yao
525604	289749	Chinese Acrobat
525605	384105	Himself (Gang of Four, on tri
525606	381646	Witch Doctor (Ya Shi)
525607	167399	Tang Boyi
525608	167832	Fat Yang
525609	59665	Demented Mongol
525609	68268	
525609	185241	Tough Warder
525609	207398	Himself
525609	274037	Procurator Ma
525609	297508	Lao Chai
525610	22681	Touriste japonais
525611	300386	Chen Jia Luo
525611	369635	Chen Jalo
525612	215831	Stage Guy #2
525613	167405	Master Worker Du
525613	167911	Sangge Village Headman
525613	184312	Tang Hui
525613	194083	Ding Shi
525613	256145	Lu Zhenshan
525613	374679	Department Director Zhang
525614	296566	
525614	369612	Li Ke Nong
525615	151940	Xia Yunwu
525615	236244	Chief of Staff
525615	298678	Chief Engineer Xing
525615	298681	Political Commissar
525616	25901	Duan Xiaolou (segment "Shitou
525616	60563	Thief
525616	90564	
525616	110589	Li Ji
525616	124883	Du An
525616	152111	Lei Yingshan
525616	167825	Zhou Tian
525616	167834	Jing Ke
525616	184311	
525616	197604	Xiang Zi
525616	204805	
525616	254947	Chui Chiang
525616	277559	The Man
525616	285585	
525616	296579	Tong Po Ka 'Tong Jan'
525616	297353	Zhang Hangchi
525616	369540	Liu Bang
525616	369930	Baibing
525616	372255	General Huo Da
525616	374738	Alex Chiang Wai-Kei
525617	214612	
525618	212638	Xu Aman
525619	25911	Wu Yundao
525619	121118	Li, Mangeng
525619	151918	Liu Kai
525619	369947	Lao Da
525620	299983	Actor
525620	358929	Yu Guan
525620	369842	Wang Lai
525620	371503	Liang Yazhou
525621	91544	Liang Feng
525621	111220	Kang Defa
525621	167737	Gao Daquan
525621	167738	Gao Daquan
525621	172195	Liang Jianxin
525622	376051	Wang Wu
525623	167743	Qiang Zi
525623	268637	Qiushan Zhengfu
525624	8766	
525624	8789	
525624	78880	Hwong Cheng-teh
525624	86267	Shen Qing
525624	135712	Father
525624	170016	Kong Pi-Hawk
525624	335399	
525624	370838	
525625	150587	Narrator
525626	298409	Hou Xuekong
525627	184311	Zhu Ying
525627	298422	
525628	369495	Tieh
525629	153367	Himself - Eye Patient
525630	369841	Lao Zhang
525631	111187	
525632	298681	Ship's Captain
525632	332499	Zhang Shaohua
525632	369789	Mr. Zhong
525632	374760	Gong Fang
525633	371467	Zhang Huike
525634	194797	Barman
525635	110475	
525636	251108	Orphan
525637	331193	Chen
525638	91544	Hou Zupu/Jiang Sha
525639	268612	Fang Zhongjian
525640	60135	Policeman #2
525640	111191	Ming Aifen
525640	367133	
525641	192465	Erdan
525642	369936	Yun Zhongyan
525642	374955	Mr. Hong
525643	63302	Guangfa
525643	149050	Jia Zheng
525643	167490	Ouyang Yujie
525643	323114	
525643	359280	
525644	327727	(segment "100 Flowers Hidden 
525645	367149	De Lu
525646	220677	Li Lu, 10 year old
525647	168066	Liu Xi
525647	210992	Fang Kaiping
525648	36438	Lanxiu's father
525648	38761	Truck Driver
525649	184311	
525650	192460	Fisherman
525651	196646	Manager Wang
525652	354936	Rally Speaker (Shanghai)
525653	227463	
525653	251108	Boldman
525653	271320	Alan
525654	25509	Axing/Axin
525654	167887	
525654	332358	Liu Gengquan
525654	369645	Hong Rongzhen
525655	141910	Gao Keming
525656	341341	Chen Fenglin
525657	332344	Assistant
525658	76304	Ding Dayong
525658	91544	Guo Dongshan
525658	124868	Chen Dahu/Chen Erhu
525658	167405	Du Fuming
525658	297347	Yang Decai
525658	374687	Xiao Ma
525659	185241	Big Foot
525660	63302	Zhou Tingbing
525660	110618	Zhou Shengbing
525660	370482	Xiao Changchun
525661	373021	Hu Lian
525662	323258	
525663	185241	Emperor Hirohito
525664	141903	Pu Geng
525665	63738	Zhang, Songnan
525666	63434	
525667	268768	Zhong Lihan
525668	27831	Secretary Wu
525668	77549	Li Guang
525668	86923	Commanding Officer
525668	111229	Zhou Fuyou
525668	141905	Bureau Director Hong
525669	197602	Tang Jin
525669	231260	Lin Meimei
525669	268794	Qian Zhenming
525670	140828	Lin Yu
525671	371471	
525672	369936	Yiteng
525673	341401	Bailu
525674	184317	Lu Tieshan
525675	268686	Company Commander Zhang
525675	300696	
525675	374678	Platoon Leader
525676	367149	Male Performer
525677	167826	Liu Yi
525678	33100	Xu Rongshu
525679	141913	Column Commander
525680	110475	
525681	397357	Lu Wenjun
525682	131170	
525683	185241	Old Tutor
525684	27831	Xu Li
525684	76335	Xizi
525684	131268	Ling Hui
525684	141933	Fan Yong
525684	151964	A Wei
525684	152130	Zhang Tianxi
525684	298706	Fang Hua
525684	324717	Wang Sheng
525685	76353	Gao Zhihua
525685	95286	Lin Lishuang
525685	153039	Yi Qing
525686	76822	Tiantian
525687	92695	Dracula
525688	408627	Chut Sook (Uncle 7)
525689	110609	Jiao Kun
525690	296574	Company Commander
525691	411592	Peggy's boyfriend
525691	411737	Cai Junhui
525692	214604	Lin Quan
525693	184311	Tietou as a child
525694	326313	Zhen Chi
525694	373044	Ma Yude
525695	282817	Xu Hancheng
525695	372987	Chen Hanru
525696	369085	Mai Qiang
525697	369657	Staff Officer Li
525698	94407	Zhang Xiaofeng
525698	141908	Tang Yun
525698	153021	Xiang Zhihua
525698	236235	Jian Xiong
525698	298416	Du Du
525698	317707	Li Fei
525699	141914	Song Jian
525700	36361	A Rui
525701	53288	Guorong
525701	336628	Zhen Weidong
525702	369653	Shen Zhiliang
525703	369585	
525704	86313	An Jing
525705	187088	The Barber
525706	124883	
525707	123967	Meng Kuiyuan
525708	369584	Lin Zexu
525709	384105	Himself
525710	159	Li Zhigang
525710	48425	Fang Baoshan
525710	153021	Ying Jiapei
525710	192464	Jin Hai
525710	341421	Xiao Zhang
525710	373091	Uncle Mao Fu
525711	27921	Hou Xing
525712	172407	Lao Hu (Tiger)
525713	299225	Jian's Classmate
525714	370832	
525715	359007	Fu Jiang
525716	411522	Xiao Liao
525717	77179	Old Zhang
525718	60558	Captain Zhao
525718	167405	Factory Director Li
525718	236242	Duan Xiaorong
525718	297295	Guan Yuxing
525718	332499	Mr. Shen
525719	94364	Chunyou
525720	371467	Mr Zhang, instructor
525721	149018	
525721	184751	Shun, Wangquan
525721	197394	Himself
525721	268709	Tian Fong
525721	341825	Stage Director
525721	372185	Junk-peddler
525722	374959	Director Lu
525723	167488	
525723	184331	Daning
525724	3921	Xiao Hanping
525724	110618	Zhao Hui
525724	111261	Li Yunhu
525724	124868	Second Squad Leader
525725	299225	Bicycle Rider
525726	74444	Mandarin
525727	367147	
525727	369656	Skinny
525728	123967	Factory Director
525729	296759	Lao Chang
525730	135085	Old Mr. Liu
525731	184310	Xiao Lin
525732	251108	Male Birthday Guest
525733	251108	Orphan
525734	111236	Mr. Shou
525735	59292	
525736	36438	Noodle stall owner/God of dea
525737	36432	Sulan, Luo
525738	59291	Li Qiang
525739	60126	Xu Datong
525739	99809	Xu Wen
525739	369799	Old Man Bazi
525740	381646	Da Feng
525741	214604	Xiao Min
525742	77179	Zhang Da
525742	298348	
525743	76851	Dong Zhiming
525743	172195	Wang Zhigang
525743	300715	Lu Shan/Xu Bowen
525744	268925	Chen Dong
525745	367130	Crockery Repairman
525746	343648	Rui, Xiang/Father of So
525747	135469	
525748	144406	
525749	214344	Yang Guoli
525750	297536	
525752	371467	Brick factory owner
525753	261665	Sayak
525754	179224	Makharzhav
525755	11014	
525755	15196	
525755	33827	
525755	43021	
525755	62857	
525755	78254	Batyj
525755	91206	Sardarbek
525755	95931	
525755	179224	Lopzon
525755	179902	
525755	229903	
525755	253640	
525755	265945	Tanabai
525755	292981	
525755	318615	
525755	375651	
525756	1456	
525757	140746	Wu Ao/Composite Man
525758	167826	Captain Lu Qilin
525759	137164	Old Hong
525759	300399	Older Citizen
525760	411590	Chen Maosheng (Taiwanese busi
525761	167834	Gao Jianli
525761	183980	Xiao Wangfa
525761	369841	Zhao
525762	369841	Lao Bai
525763	36377	Qiu Wenhuan
525763	298384	
525764	227257	Huang Deng
525765	136862	Ye Jialin
525766	94364	Xu Qiang
525766	369974	Shi Hang
525766	374942	A Fu
525767	191010	Lin Zexu
525767	202544	Xiao Chen
525767	231611	Nie Er
525767	299403	Zhao
525767	360980	Jiang Ao
525767	367159	Li Ke
525767	369190	Little Broadcast
525768	111201	Liu Zhenfu
525769	184755	Lao Hei
525769	269230	Kong Dexian
525769	374904	
525769	396820	Nayan
525770	135494	We Desheng
525771	121113	Fang Yuting
525771	212495	Jin Sheng
525771	282805	Huang Zhongde
525772	184318	Yu Zeliang
525773	236236	Tu Jianli
525774	100130	Merchant
525775	181435	Moergeng
525776	25901	Shitou as a Teenager
525777	60535	Chiang Kaishek
525777	60536	Chiang Kaishek
525777	76629	Chiang Kaishek
525777	300629	Chiang Kaishek
525778	29473	Chen Agang
525779	76308	
525779	181434	
525779	204054	Miss Ma
525779	231260	Huowang
525779	324715	Xin Dali
525779	330764	
525779	369972	Li Pingwa
525780	225950	Doctor
525781	411590	Policeman
525782	357752	Cheng
525783	110628	Zhang Qiliang
525783	151940	Li Yonghe
525783	152013	Liu Jinbao
525783	167405	Du Fuxin
525783	184312	Xing Huimin
525784	29453	Hasier
525784	48446	Chief Detective
525784	131262	Xian Wang
525784	247953	Hei Liu
525784	268641	Tiehan
525785	300413	Hao Mei
525786	274067	Master Shen
525786	300457	Li Zhengliang
525787	359972	Lover's Fiancee
525788	90608	Shen Hui
525788	151942	Mr. Chu
525789	76293	Housekeeper
525789	358928	
525790	33121	
525791	360994	Ma Zhankui
525792	135486	Chang Laole
525792	374809	Lian Yiming
525793	76308	
525794	76629	Zhou Enlai
525795	167887	
525796	359568	Remo's Friend
525797	229483	Director Sun
525798	141902	
525799	86923	Yuan Qing
525800	371474	
525801	202658	Self
525802	76339	Geng Chao
525802	197603	Ye Zhifeng
525803	276920	Slave Merchant
525804	52039	Liang Rong
525804	110589	Lu Han
525804	137169	Jin Geng
525804	141912	Elder Brother
525804	170023	Qiu, Xingxiang
525804	247953	Dihong
525805	111219	Shi Dongying
525805	189522	Chou Fei
525805	369692	Shu Huai
525806	371931	Li, Wei
525807	102254	
525807	299225	Father
525808	142815	
525809	152014	Xing Dan
525809	152130	Zhao Youliang
525809	167399	Zhang Youyan
525809	189135	Old Li
525809	209893	
525810	152008	Wang, Shouren
525811	60544	Chen Kui
525812	36432	Liang Sao Lang
525813	370469	Cheng Shaojie
525814	214344	Wang Xiaver
525814	371925	Director Yang
525815	369495	Lung
525816	324715	Tailor
525817	131262	Niu Guogong
525817	369028	Master Ren
525818	169724	
525819	369709	
525820	131944	
525821	86610	
525822	323635	
525823	220693	
525824	236062	
525825	12805	
525825	84260	
525825	88354	
525825	164013	
525825	305216	
525825	357128	
525825	373460	
525826	2172	Vadim
525826	3582	
525826	30506	
525826	40214	
525826	49148	
525826	59977	Professor
525826	82770	
525826	86612	
525826	95071	
525826	163039	
525826	163931	Lt. Galtsev
525826	179091	
525826	181319	
525826	198127	
525826	198143	
525826	213158	Feodor
525826	227066	Igor
525826	229036	Nikolai
525826	253560	Voroshilov
525826	262166	
525826	277690	
525826	284056	
525826	293897	
525826	294987	A. N. Shelepin
525826	297560	
525826	305550	
525826	306068	Lel
525826	320730	Capt. Bartakov
525826	322657	Boris
525826	323218	Latyshev
525826	323332	
525826	332996	
525826	340436	
525826	341911	
525826	350793	
525826	357213	
525826	374872	
525826	403857	Nikolay Kondratyev
525827	323318	
525828	215092	
525829	309191	
525830	12803	
525830	21292	
525830	26207	
525830	33821	
525830	41118	
525830	62590	Benkendorf
525830	77270	
525830	84260	Mr. Blore
525830	95930	
525830	125497	
525830	127459	
525830	132087	Investigator
525830	133386	
525830	134299	
525830	156942	
525830	163143	
525830	174271	
525830	174859	Maslov, the Russian Commander
525830	174975	
525830	176053	
525830	180999	
525830	210374	
525830	212324	
525830	217275	Okoshkin
525830	223551	
525830	225858	
525830	227838	
525830	229003	
525830	234441	
525830	238319	
525830	248324	
525830	255780	
525830	258379	
525830	261366	
525830	262209	Nicolai
525830	262676	Poplavsky
525830	265640	
525830	265641	
525830	265840	
525830	265991	
525830	277212	
525830	280366	
525830	280601	Schukin
525830	300369	
525830	306374	
525830	336232	
525830	340065	
525830	343301	
525830	349217	Danglars
525830	349270	
525830	349785	
525830	350811	
525830	354637	
525830	357343	
525830	357639	
525830	370138	
525830	374061	
525830	374087	Nikola
525830	374162	Stalin-2 (Stashkov)
525830	375330	Gladisev
525830	397302	Mamedov
525830	405272	
525830	411981	
525831	355776	Kolia
525832	257385	
525832	404819	Kaltenbrunner
525833	185654	Old soldier
525834	7269	
525834	9537	
525834	17575	Artynov
525834	33822	
525834	34585	Semibab
525834	35839	
525834	40871	Vadim Spiridonovich Yeropkin
525834	42897	Fr. Gavrilo
525834	60430	
525834	60446	Kovalenko
525834	83161	Aniskin
525834	85209	Sviristinsky
525834	91195	
525834	95609	
525834	95616	
525834	134757	Koudryash
525834	154605	Aniskin
525834	163874	Fritz
525834	163896	Czar's Guard Malyuta Skuratov
525834	163897	Czar's Guard Malyuta Skuratov
525834	172324	
525834	180751	
525834	198139	
525834	209529	Grigori Stepanovich Smirnov
525834	212822	Khrenov
525834	215593	
525834	237845	Pererikhim
525834	239439	Krayevitch, a student
525834	243986	Lartsev
525834	268002	Tomka Zhigan, leader of the w
525834	268186	Alexander Danilovich Menshiko
525834	268187	Alexander Danilovich Menshiko
525834	287988	
525834	289868	
525834	293691	Gavril Fedorovich Rusov
525834	297133	House Painter
525834	313813	
525834	314432	
525834	337046	The Engineer
525834	339338	
525834	356124	
525834	357206	Baranov
525834	357232	Platon Vassilievich Dymba, bi
525834	357628	Platon Vassilievich Dymba
525834	370934	
525834	373508	
525835	29578	
525835	343310	Student
525836	217780	
525837	175106	
525838	162144	
525839	10548	Ali Zaoua
525840	225822	Mekhti
525842	176663	
525843	230053	
525843	243989	Dimitri Gurianov
525844	339	
525844	179670	
525844	223559	
525844	261372	
525844	322708	
525845	259043	Himself (walks behind Stalin'
525846	50055	
525846	316371	
525846	343959	
525847	207496	Vaclav (segment "Fountain of 
525847	281191	Romeo Montague
525848	370167	Himself (son of A.A. Zhdanov)
525849	373971	
525849	381631	
525850	381631	
525851	95597	
525851	227900	
525852	153410	Tony
525853	283624	Additional Voices (Manga Vide
525854	233449	
525854	335273	
525855	209823	Maksi
525856	242467	
525856	409734	
525857	332269	Lekaryat, d-r Berberyan
525858	322104	Wiera's Fiancee
525859	37970	Koeftich
525859	78435	John 19 years
525859	265830	
525859	382884	Michael Lunn
525859	387293	Arbejder
525859	398299	Tannhäuser håndlanger (segmen
525859	405951	Tannhäuser håndlanger (1986-1
525859	412298	Bent Sørensen
525860	46065	Taxi driver (Moscow)
525860	134227	
525860	173024	Timofeich
525860	300492	
525860	305546	
525860	379358	
525860	398757	
525860	404819	Holtoff
525861	373242	
525862	373567	
525863	243968	
525864	9353	
525864	44394	
525864	164090	
525864	183913	Donosnikat
525864	231153	Tonik
525864	306976	
525864	357173	Sasho
525864	376428	Josip
525865	322816	
525866	294987	Colonel Litovchenko
525867	44213	Kompozitora
525867	89793	Tokmachev
525867	163884	Pavel
525867	228847	
525867	233401	
525867	238821	Boyan Stremski
525867	244469	Priyatelyat ot kafeneto
525867	343413	
525867	398896	
525868	95919	
525869	132154	
525869	284459	
525869	371694	
525870	217278	
525870	322816	
525871	298699	Jin Bo
525872	153021	Wang Jian
525873	297536	
525874	299225	Bicycle Rider
525875	199896	Mr. Koumsawout
525876	286274	Performer
525877	369692	Xie Lin
525878	376052	Mr. Zhen
525879	369924	Lin Zhigang
525879	370601	
525880	372987	Meng Jian
525881	85501	Zhou Wei
525882	77549	Fang Lingxuan
525883	170021	Uncle Hou
525884	151893	
525885	391337	Chinese Soldier
525886	53993	Il piccolo Guiady
525887	103430	Chan-li
525888	86923	Political Commissar
525889	6864	Ballet Slim
525890	135048	Fang Xiaozi
525891	391783	
525891	405110	Jinlun Fawang
525892	367130	Luo Changyu
525893	169724	Yang Tian-bai as a Youth
525894	376052	Song Ze
525895	77179	Jun Zheng
525896	153054	
525897	370600	
525898	95192	
525899	369727	China Manager
525900	210121	
525901	369922	Li Zixin
525901	405110	Xiao Xiangzi
525902	148531	Ah Lai
525902	369727	Ang Tiong Meng
525903	31496	
525903	63434	
525903	375001	Tao Ge
525904	275544	Yuanyuan
525905	121118	Gu, Yanshan
525905	326313	Fang Shengyu
525905	370469	Fang Lei
525906	374810	Zheng the Carpenter
525907	374810	Doctor Zhu
525908	296759	Fu Guan
525909	76293	Old servant
525910	214344	Liu Jianjun
525911	394750	
525912	18286	
525913	49133	
525914	369005	
525915	684	
525915	995	
525915	47054	
525915	159860	
525915	163912	
525915	172515	
525915	198082	
525915	217458	
525915	242978	Boatswain
525915	261907	
525915	263676	
525915	352872	Okh
525915	356921	
525915	357336	Bryzgalov
525915	373560	
525916	12806	
525917	236065	
525918	212493	El Chino
525919	25901	Aoki Saburo
525919	76397	College President
525919	86923	Deputy District Director Gong
525919	184322	Zhen Shikui
525919	184327	Chen Mingjiang
525919	192468	Jiang Weicheng
525919	317707	Song Qi
525919	369612	Du Zhong Yuan
525920	219653	
525920	253673	
525921	63629	
525922	63587	
525922	163760	
525923	132156	
525924	237811	Kolya
525924	356928	
525925	356677	
525926	7564	Colonnello
525926	34507	Larionov
525926	47402	
525926	89808	
525926	95693	
525926	132156	
525926	163044	Aleksei Shmekov
525926	164013	
525926	164014	
525926	176052	
525926	176056	
525926	179903	
525926	184801	
525926	188743	Simytsch
525926	226000	
525926	226693	
525926	226847	
525926	239916	
525926	254234	
525926	258670	
525926	259043	
525926	262188	
525926	264534	
525926	265996	
525926	266348	
525926	273069	Pavlov
525926	280366	
525926	349244	
525926	349287	
525926	352051	
525926	356064	
525926	356483	
525926	371291	Yuryev
525926	374087	Wounded traitor
525926	374241	
525926	382758	Luka
525926	386539	
525926	390525	Col. Borzov
525928	283611	
525929	244043	
525929	256654	
525929	261516	
525929	293956	
525929	336083	
525930	237834	
525931	298476	Ertaozi
525932	357626	
525933	263207	
525934	3579	
525934	186384	Russian Officer
525934	255900	Mazhukhin
525934	258406	
525934	258682	Andrei
525934	259001	Archie Goodwin
525934	261207	
525934	261362	Chicherin
525934	262173	
525934	262498	
525934	264322	Pupkov
525934	277690	the knight Kenneth
525934	284056	the knight Kenneth
525934	295925	
525934	297458	Aleksandr yung
525934	341227	
525934	355850	Belov
525934	356119	
525934	374159	
525934	389747	Aleksandr Belov
525934	394785	Coconnas
525935	133853	Jan
525936	137174	
525937	359175	Kutuzov's aide/Lt. Bonnet/Foo
525938	217273	
525939	174691	
525940	321952	
525941	214895	
525942	253632	
525943	253632	
525944	219723	
525945	17546	Kornei, kamerdiner Karenina
525945	349325	
525946	189423	
525946	193238	
525946	265641	
525946	400448	
525947	62635	Man
525948	352640	
525949	367160	
525952	391021	Wang
525953	180235	
525954	25690	Police Officer's Assistant
525955	242820	(segment "Navazhdeniye")
525956	263424	(segment "Svadebny marsh")
525957	390401	
525958	220692	
525959	132088	
525960	91485	
525960	230053	
525960	263695	
525960	273707	
525960	349077	
525960	357347	
525961	394750	
525962	185704	Voice in Crowd
525962	202244	
525963	88729	
525964	108853	
525965	194651	
525966	220733	Borko
525966	373567	
525967	188875	Mariana Marianova
525968	208754	Iskra
525969	1965	Russian Hood #2
525970	344008	
525971	343790	Goya
525972	108985	Hippie
525972	117651	Vittorio
525972	175137	Ritchie
525972	309128	Painter
525973	179259	
525974	25690	Belozyorov
525974	131300	
525974	223554	
525975	217278	
525975	357257	
525976	256698	
525977	340067	
525978	60424	
525978	215092	
525978	234671	Galdan Ceren
525978	240386	
525978	251874	
525978	258794	Khamit
525978	261584	
525978	261665	Mundusbai
525978	265049	
525978	405637	
525979	211860	
525979	357658	
525980	299225	Qin
525981	331193	A Cai
525982	193872	Xiong JinBiao
525983	36438	Pharmacist
525984	142815	
525985	184311	Chen Shusheng
525985	274037	Captain Feng
525986	332351	Young Son
525987	38244	Zhen Hancheng
525987	60558	Ma Jun
525988	405110	Ni Mo Xing
525989	2512	Chen Minhui
525989	18692	Xierqiyi
525989	25898	
525989	141935	Geng Genghu
525989	167401	Wang Fushou
525989	192475	
525989	227248	Zhang Qiang
525989	268776	Fei's Father
525989	332346	Wu Yao
525989	372241	Master Worker Aqi
525989	373091	Qin Liang
525990	148531	Rioter
525990	369727	Inspector
525991	13383	
525992	81079	Jeweler
525993	280455	
525994	371486	Pang Haogong
525995	52018	County Chairman Wu
525996	299225	Rongrong
525997	102463	A Zuo
525997	256145	Lu Mingsong
525997	369944	Li Qiang
525997	369950	Xu Zhou
525997	369963	Du Lazhi
525997	374813	Gao Di
525998	189218	
525999	90813	Cast
525999	369916	
526000	268736	Director Wang
526001	275567	
526002	114449	Young Ali
526003	137164	Gao Zhiyang
526004	60135	Tall Bandit
526004	375916	
526006	209927	
526006	330764	
526007	168	Chen Xiaoxuan
526007	76339	Monk Wenhui
526007	141935	Xiao Biao
526007	300750	Lu Yuanyue
526007	324717	Ye Tao
526007	369931	Wang Xiaotian
526007	374896	King of Gamblers
526008	29174	Feng Peihua
526008	100734	Lin Tong
526009	85493	Lu Yi
526010	62121	Music Director
526011	167460	Platoon Leader
526012	275575	Yuan Yuan
526013	411592	Mediterranean
526014	371647	
526015	167406	Fang Boqian
526016	90609	Commander Sun
526017	167410	
526018	86267	
526019	111243	Pang Zhengda
526020	221497	
526021	142815	
526022	303152	
526023	371472	Lenin
526023	371925	Tang Suhua
526023	374673	Shao Yan
526024	354936	Senior Policeman (Shanghai)
526024	369656	Da Huzhi
526025	48425	Wang Bihao
526025	231260	Mr. Zhou
526026	63290	Yu Tian
526026	197611	Bai Fei
526026	358233	Sima, Wen
526027	217780	
526028	374709	
526029	63302	Youwa
526029	167737	Zhu Tiehan
526029	167738	Zhu Tiehan
526029	297304	Villain
526030	372243	Sheng Lan
526031	7885	
526031	150927	
526031	379480	Shen Yaotang
526031	382903	Zhao Linghui
526031	405110	Guo Jing
526031	411777	Li Nian
526032	367149	Waiter
526033	181422	
526034	18579	
526035	196650	Tiezhi
526036	149011	Feng Laowu
526037	296574	Enemy Agent
526038	239139	Jia Hui
526039	167783	Guo Chao
526039	231276	Qu Shikui
526039	298684	Boss Wang
526039	376052	Zhu Fuxiang
526040	260916	Gardien aéroport
526041	28820	
526041	76314	
526041	108569	
526041	181427	Chiang Chung
526042	149084	
526043	86317	
526044	121118	Wang, Qiuhao
526045	110618	Sun Jianhua
526045	175085	Dr. Kotnis
526045	184318	Wu Zhongyi
526045	184328	Yang Ping
526045	221499	Xiu, Lingjun
526046	251108	Accountant
526047	359568	Matu's Friend
526048	110600	Liuchun
526049	359568	Remo
526050	76339	Shang Selan
526051	268802	
526052	293130	
526053	255641	Li Chu
526054	36432	Bianlian Wang
526054	76378	Prince Chun
526054	135049	Father
526054	152138	Guan Juchen
526054	269230	Kong Lingtan
526054	369818	
526054	369877	Master Liu
526055	102268	Long Fei
526055	135032	Wuyun Batu
526055	184755	Big Wang
526055	326313	Chen Guang
526055	373044	Ma Honghu
526056	300745	Boss Jin
526057	29453	Sha Nuo
526058	251108	KMT General
526059	8817	Wen Jian
526059	251929	
526059	375115	Xiao Wang
526060	239373	
526061	91026	Bodo
526061	173304	Onesime
526061	225263	
526061	325384	Staatsanwalt Dr. Berger
526062	25271	Père Kryeqyqe
526063	180122	
526064	355741	
526065	381631	
526066	198146	
526067	18416	Hans
526067	181406	
526067	193238	
526067	260435	Muzykant
526067	376218	
526068	84470	Mikhail Kashirin, an uncle
526068	116580	
526068	129949	
526068	132149	
526068	201155	Karpo, a villager
526068	258424	Herald
526068	293854	
526068	343838	
526068	352782	
526068	371434	
526068	373948	
526069	300810	The fakir
526070	139095	Himself
526070	282670	Himself
526070	318825	Himself
526070	320126	Himself
526070	320127	Himself
526070	320129	Himself (The Mercenaries)
526070	368822	Himself
526070	411546	Himself (1987-1990)
526071	79010	Additional Voices
526072	31150	Himself
526072	185219	Himself
526072	228924	Himself
526072	374162	Himself (pays his respects to
526072	384590	Himself
526072	385326	Himself
526072	411420	Himself
526072	411586	Himself
526073	262171	
526073	356017	
526074	273721	
526075	344058	
526076	179324	
526076	198152	Lola's partner
526077	259807	
526078	875	Kostya
526079	399344	
526080	33312	
526080	402348	
526081	180756	
526082	104424	
526082	180756	
526082	351357	
526083	88450	
526084	174165	
526084	224320	
526085	370188	
526085	370189	
526086	351800	
526087	92893	
526087	162736	Kornei's father
526087	266020	
526087	298639	
526087	349887	Cmdr. Alyoshin
526087	357259	
526087	357628	Defense Attorney
526088	226187	
526089	322499	Housekeeper
526090	219426	
526090	371116	
526091	1445	Himself
526091	21015	Himself
526091	21295	Himself
526091	21296	Himself
526091	133930	Various
526091	228976	Himself
526092	280771	
526092	321969	
526092	339230	
526092	375936	Officer #1
526093	374888	
526094	181244	
526095	291593	
526096	158774	Bigildayev
526097	173023	Larkin
526098	28063	
526098	32504	
526098	46064	Nervous Bandit
526098	89785	Boxer
526098	192625	
526098	193238	
526098	215169	
526098	265640	
526098	283833	
526098	304170	
526098	357463	
526098	386030	Tolstyj
526098	397302	Grisha
526099	352813	
526100	258721	Alexander Pushkin
526101	95592	
526101	317466	
526101	350345	
526101	357342	
526101	396239	
526102	94050	
526102	265914	
526102	373519	
526103	311766	
526104	95933	
526105	240386	
526106	283775	Nicholas I
526107	283829	Operativnik
526108	394750	
526109	85385	
526109	202313	
526109	237378	
526109	326029	
526110	95073	Vassili
526110	335276	
526110	352864	
526111	217019	
526112	123487	
526113	344114	
526114	28702	
526114	28703	
526114	34229	Militiaman
526114	43011	
526114	43196	
526114	59323	Teresha
526114	60434	
526114	60450	the father
526114	63581	
526114	82814	
526114	89486	
526114	98585	Andrei Timchenko
526114	127454	
526114	132082	
526114	132113	
526114	162677	
526114	179813	
526114	179906	
526114	179907	Mikhail Tulyev
526114	179910	Timerin
526114	179911	
526114	180856	
526114	187640	
526114	209275	
526114	227958	Bachelor-architect
526114	231179	
526114	234438	
526114	239351	
526114	243988	Mikhail Tulyev
526114	257316	Bobrov
526114	261239	Chigrinov
526114	267863	Timerin
526114	268002	
526114	300368	
526114	318151	Mikhail Tulyev
526114	333782	
526114	339245	
526114	352816	Ryzheusy
526114	356181	
526114	356869	
526114	357086	Astronaut Hans Walters
526114	357087	Hans Walters, Sirius
526114	357236	Mikhail Tulyev
526114	357343	
526114	357627	
526114	373630	
526114	374992	
526115	298330	Yin Zhi Ping
526116	371615	Qin Guard #1
526117	76910	
526117	96755	Gutterpunk #1
526117	131470	Chuck
526117	167714	Snake
526117	319552	Professor Peckerhead
526118	384590	Himself (in conference with B
526119	55094	Dr. Philip Zia
526120	201491	Makibefo
526121	198534	Mustapha
526122	374990	
526123	18871	
526123	114206	Spiridon Louis
526123	259201	Tsitas
526123	379533	
526123	388676	
526123	392558	Giorgos Darras
526123	394227	
526123	398131	
526124	354083	Student
526125	284355	
526126	232626	Car mechanic/'Nike' soccer te
526127	285608	Newbie #3
526128	311427	Teenage Sate House Boy
526129	20070	
526129	206048	Child
526129	354576	Farid
526129	376986	Farid
526130	28092	Darius
526130	318515	
526130	337032	Policier 2
526131	209948	Ali
526132	236159	Kazio
526133	385026	Himself - Archeologist
526134	326083	Boy 1
526135	139296	Bobby
526135	320483	
526136	391739	
526136	395852	(seasons 1-2)
526137	3340	Marco
526137	55414	Roberto
526137	73643	Luca
526137	205960	
526137	229653	Talieri
526137	230074	Alessio
526137	234730	Lorenzo
526137	270691	Boris
526137	314152	Niccoló Donati
526137	385284	
526137	392742	Helmut Rudolf
526138	9923	Boy
526139	264942	Le manager
526140	32026	Pingre #16
526140	33530	
526140	33627	
526140	60519	Le monsieur au bordereau
526140	206506	Mr. de Saint Merri
526140	235824	Le professeur grincheux
526140	243017	
526140	332228	Le clochard
526140	384287	
526141	179680	Landbetjenten
526141	346036	Betjent
526141	368732	Lirekassemand
526142	210189	Viktor
526142	244038	Venya
526142	244040	Rechnikov
526143	296055	Himself
526144	88205	
526144	127960	
526144	348196	
526145	79133	
526146	216621	Himself
526147	17113	
526147	27757	Judge
526147	63631	Johnny's friend
526147	63968	
526147	102898	Proprietor store with piano
526147	180869	Hearer in the concert
526147	237536	Old man in park
526147	240414	Player at chasse
526147	266533	
526147	323640	Client
526147	349238	
526147	373403	
526147	373414	
526148	190006	Col. Borg
526148	264907	German agent
526149	103112	
526149	259462	
526149	325676	Pfarrer
526149	325734	
526149	361140	Dr. Herbert Winkler
526150	166917	NFL Guest
526151	78777	Diaryman
526152	67001	
526152	77545	Paravox Guard
526153	5643	Achilles Mannis
526153	57196	Rocker
526153	127679	Bill Murray
526153	197025	Haddock
526154	11828	Himself
526154	48399	
526154	84542	
526154	143892	Himself
526154	198433	Fouché, Minister von Frankrei
526154	207586	
526154	223229	
526154	312632	
526154	344823	Himself
526154	375027	Himself
526154	411587	Himself - Brazil
526155	280322	Himself
526156	1699	Himself
526156	192540	Himself
526156	315678	Himself (1998 World Cup Final
526156	338859	Himself (Juventus v Man Utd)
526156	371408	Himself
526156	378785	Himself
526156	411608	Himself (French winning team)
526157	139360	
526158	37608	
526158	74172	Radnik 5
526158	147464	
526158	166101	
526159	147464	Zaba
526160	81559	Miran
526160	192900	Edi
526160	218946	Rado
526160	410452	
526161	24421	
526161	46671	
526161	83030	
526161	84787	
526161	88135	
526161	132128	Bishop's Driver
526161	136798	Prodavac Vecernjeg
526161	147356	
526161	149865	
526161	164867	
526161	178812	
526161	181301	
526161	181466	
526161	199561	
526161	221342	
526161	236168	
526161	249151	
526161	258776	
526161	260035	Rozenkovsky
526161	262489	
526161	262677	
526161	305897	
526161	335312	
526161	338048	
526161	343852	
526161	356069	
526161	375323	Suputnik
526161	386538	
526161	394018	
526161	394876	Krvavi Stipe
526161	408796	
526161	409296	
526162	58312	Tadija Jelcic
526162	81289	Pilot
526162	87325	Vasco Petrovic
526162	132128	Dobrovic's Aide
526162	137715	Mladic
526162	147219	
526162	149142	MLM Soldier
526162	163038	Mirko
526162	181301	
526162	259133	
526162	259936	
526162	260356	Father Santini
526162	263405	
526162	265657	
526162	267627	
526162	270637	
526162	343852	
526162	402392	
526163	260035	Inspector 1
526164	210887	Michael
526165	26540	
526165	55885	Lubos
526165	73064	Le tailleur
526165	216240	Wig Maker
526165	237542	
526165	290107	1. Feldberg Bürger/Feldberg C
526166	15254	Shah's advisor
526166	79611	Stephen
526166	82050	Court Clerk
526166	157595	Mr. Saperstein
526166	195270	Mr. Yonofski
526166	245838	Atlantic City Chief Executive
526166	330773	Mr. Kaminski
526167	73235	Teen
526167	200474	
526167	241216	Extra
526168	282405	Le Garçon billard
526168	345049	Serveur
526169	70950	Classroom mate
526169	84695	Serveur zu cybercafé
526169	120435	Baudelaire
526169	132311	Franz
526169	211665	Thomas
526169	239224	Bruno
526169	242359	
526169	244742	
526169	248679	Nico
526169	257114	Sam's Son
526169	284666	Bimbo
526169	303176	Rodolphe
526169	345371	Philippe
526169	345378	Joseph
526169	408002	Jacques Thibault
526170	45736	
526171	233923	Terrorist
526172	180341	
526172	284008	
526173	232999	
526174	369492	Xanadu Dancer
526175	140719	
526175	188755	
526176	78184	Member of 'Lost Pilots' Band
526177	60396	
526178	31168	
526179	59574	Tommy Wisby
526180	103285	Additional Voice
526181	191257	Himself
526182	93975	Mike Milton
526182	110967	Office Boy
526182	130903	Paramedic
526182	131414	Jack Hilts
526182	139210	Michael Durbin
526182	154969	The Dentist
526182	215905	Passenger
526182	222807	Fat Guy
526182	231511	JBN Videographer
526182	328281	Mr. Jones
526182	362716	NY Producer
526182	407663	Heka
526183	366752	Limo Driver
526184	12832	
526184	20324	
526184	24056	Arzt
526184	34241	
526184	77303	Sanitätsrat
526184	78608	
526184	82127	
526184	101337	
526184	107738	Professor Vandermühl
526184	132251	
526184	168432	
526184	184392	Hofmarschall
526184	209975	
526184	225244	
526184	266208	
526184	324670	Fürst Sulluc
526184	340013	
526184	345013	
526184	347697	
526184	347761	
526184	359580	
526184	360936	Gen. Martow
526184	361327	
526184	366554	
526184	375986	Dr. Hoyer
526185	9530	Otterbeck
526185	315893	Henkelmann
526185	325547	
526185	325679	
526185	325760	
526185	355834	Killer
526186	256356	Principal
526186	368725	Edward
526187	376410	Gabriel
526188	179766	Feldwebel Cordes
526189	211127	Kleiner Junge
526190	129543	Himself
526190	300061	Himself (prologue)
526190	335154	Himself
526191	239992	
526192	76161	Servaz
526192	93404	Dr. Gerner
526192	210068	Robert
526192	265093	Brandstaller
526192	289955	Edi
526192	312051	Schorsch Schwippl
526192	352339	Severin
526192	374327	Wolfgang Wallner
526193	9494	Theater director
526193	48401	
526193	77371	
526193	107826	Gerichtspräsident
526193	126442	
526193	129714	
526193	134991	
526193	206147	Bubenreuth
526193	243241	
526193	275201	Notar Pickwick
526193	322941	
526193	325887	
526193	379882	
526194	180065	
526195	349918	Adult Scott
526196	370888	Edward
526197	153796	Le pompiste
526198	128980	
526199	168958	La bande à Jonas
526200	53744	Le papa gangster/American Fat
526200	57512	L'Américain
526200	58225	Elvis, Le chauffeur de taxi
526200	65136	Un client
526200	72070	
526200	78348	Yanakos
526200	147375	Popeline's Father
526200	153810	
526200	218324	L'inspecteur Axelrod
526200	225617	
526200	346440	Le Maltais
526201	166871	Additional cast
526202	16646	Alex Cooper
526202	299657	Willie
526202	388038	Mick
526203	353666	
526204	119243	Reverend Jones
526204	142027	
526205	169121	Alter Mann
526205	226402	Baron Cyrill
526205	308062	Elderly Man
526205	365906	Grandpa George
526206	153776	Musiker
526206	223181	Himself - Musician (violinist
526206	409260	Himself - Conductor
526207	17321	
526207	34914	Security Guard
526207	37375	Police Officer 2
526207	78221	Singing Teacher
526207	126459	
526207	325627	Struwe
526207	354334	Viking on the Roof
526208	597	Franz. Hochkommissar
526208	15271	Rat
526208	16218	Dr. Joel
526208	48138	
526208	117667	Privy Councillor Dr. Seeburge
526208	266208	
526208	303174	Dr. Seeburger
526208	303175	Dr. Seeburger
526208	358893	Prokurist Leiser
526209	244248	
526210	344502	Himself
526211	86381	C. Churchill Mann
526211	94726	Insp. Moffatt
526211	116356	Gargan
526211	134596	McLellan
526211	208088	Cal
526211	239069	Vern Rawlins
526211	334293	Matt Eckhardt
526211	339480	Calvin Canboro
526211	342690	Philip (the host)
526211	364107	James Keeshan
526211	382154	Len Hubbard
526211	387542	Larry
526211	405298	Dr. Jim Barker
526212	101337	
526212	125296	Dallibor
526213	117294	U.S. Army Ranger
526214	319384	Second
526215	194801	Yakaga
526216	193632	Himself
526218	161495	Freedom Winston
526219	316054	Charles O'Toole
526220	155872	Conductor
526221	44005	Strangé's escort
526222	11525	Himself - White House Press S
526222	385285	Himself (being shoved by Nixo
526224	74000	Crude Oasis Bar Patron
526225	391260	Leroy/Mungo/Grandpa
526225	398087	
526226	80695	Dancer in Nightclub
526227	275200	
526228	24085	
526228	126455	Zauberer Saufdichvoll
526228	283307	Hofmarschall
526229	47588	Accident Victim #1
526230	81157	Driver
526230	219659	Dead Man
526230	274194	Cop
526231	146628	Himself
526232	390992	Hansi Beimler
526233	24542	Circus Director
526233	29656	Dowoyna
526233	89781	Zaczek
526233	151835	General Wackenbarth
526233	165053	Feldfebel
526233	174026	English Colonel
526233	181333	Zyndram of Maszkowice
526233	234268	
526233	237443	
526233	255028	
526233	255608	Damalt
526233	266327	Minister
526233	279815	
526233	349170	Jerzy's Friend
526233	378122	Man in Car
526234	229594	Man in cinema
526235	299944	Bobby Gene
526236	134785	
526236	375141	Ede Schmidt
526237	41252	Bjelski
526237	62694	Albert Grzymala, Friend of Ch
526237	140389	Lep
526237	231730	
526237	254986	
526237	270037	Epafrodit
526237	315018	
526237	334258	Gangster
526237	351811	
526237	358390	Jurek
526237	363972	Sergeant of Guards
526237	371367	John
526237	375961	Businessman
526237	387413	
526237	387414	Sachar
526237	398874	Dr. Adam Pawica (1999-2004)
526238	390710	Kaziu Bubalo
526239	393408	
526240	181114	Ekspert
526241	253517	
526241	359589	
526242	248431	
526243	14570	López
526244	305561	ChZJN Deputy
526245	242686	
526246	89847	Writer
526247	118877	Himself
526247	311017	Himself
526248	100209	Hitler Youth
526249	381821	Ensemble (1978-1979)
526250	215410	
526251	60145	
526252	91511	Wojtek
526253	101752	Reporter
526253	395667	Momo Sperling
526254	18953	Kid #2
526255	259617	
526256	230229	
526257	238677	
526258	254762	Scientist
526258	319063	The Pharmacist
526259	333857	Extra
526260	190622	Puss Creature 2
526261	322138	Wiktor
526262	237443	
526262	258631	Tokarski, instigator
526262	341067	
526262	367373	Postman Rajca
526262	375179	Rumsza
526263	46019	General
526263	46027	Otto
526263	54315	
526263	57454	
526263	70774	A Revolutionist
526263	74390	(segment "Iniciada a Peleja")
526263	75990	
526263	83458	Victório Lipp
526263	97647	
526263	133185	Awaczewicz
526263	148466	Rivoni
526263	180419	
526263	199718	Dr.Vilanova
526263	237208	
526263	265335	Doctor
526263	275588	
526263	284352	
526263	286573	
526263	328365	
526263	332460	
526263	349170	Journalist
526263	351310	
526263	351564	
526263	367105	
526263	377608	
526263	377610	
526263	381222	Frei Ludovico
526263	382405	Stanislava Grotowiska
526263	383678	Max
526263	387929	Rodrigo
526263	390658	
526263	393793	Bóris
526263	402809	Zacarias
526263	403032	Conrad Mahler
526263	403119	Steiner
526263	403329	
526263	404814	Frei Miodek
526264	40524	Dr. Juraj
526265	93288	Sirhan Sirhan
526266	6483	
526266	20713	Médico
526266	48825	
526266	61359	Medina
526266	63863	Gabriel
526266	63866	Ignacio
526266	70802	Papá
526266	82267	
526266	135279	
526266	161852	
526266	256358	
526266	257418	Florian Barrios
526266	268251	
526266	269581	
526266	307233	Bibliófilo
526266	318198	Pampa
526266	318283	
526266	328743	
526266	332927	
526266	353629	Rafael
526266	353670	Alejandro Rossemberg
526266	378799	Coqui
526266	385995	
526266	389744	
526266	395871	Alberto Spinelli
526266	406051	Sacho
526267	163258	German Officer
526268	348601	Dan Galico
526269	236968	Parent
526270	237422	Titans Player
526271	2890	Umpire
526272	180634	
526273	132642	Nadiusko, espía ruso
526273	213759	Apenao/Bartolo
526274	218152	Calvin Alexander
526275	343343	
526276	46334	Andy Wojeckowzski
526276	47823	Harry Lieberman
526276	52008	Assistant District Attorney T
526276	132456	Dr. Herman
526276	142541	Reporter #4
526276	150924	Eat-My-Dust-Eddie
526276	151758	Howard T. Duck
526276	161523	Baker
526276	221306	Franklin P. Adams
526276	269856	Dr. Lionel Katz
526276	281901	Reporter
526276	289964	
526276	301077	Chief of Staff
526276	305920	Mickey Alter
526276	306421	Wise Guy in Disco
526276	379716	Donald Steele (1994, 1999, 20
526276	379830	Gary Karp
526276	383503	Announcer (2002-2003)
526276	390771	Aiden Heath (1999)
526276	396110	Jason Stoller
526276	399769	Gerald Misenbach
526276	403111	C.J. Wilcox
526276	405105	Bert Luna
526277	149974	Hitman #2
526278	335875	
526279	1372	Count von Schön
526279	4756	Cheston, Maud's lover
526279	21282	Kommissar Helmer
526279	29355	
526279	43340	Jeweler/Ein Juwelier
526279	86325	
526279	93431	
526279	93603	Alphonse Bertillon
526279	94280	
526279	103083	Kapellmeister
526279	108620	
526279	119223	Diener
526279	119282	
526279	124970	Miller
526279	135548	
526279	142020	
526279	144094	Baumgartner
526279	144147	
526279	155092	
526279	168740	Rittmeister
526279	177151	
526279	177218	
526279	198435	
526279	203403	
526279	204505	
526279	204635	
526279	210038	Pierre Diener
526279	216373	
526279	223484	
526279	225246	
526279	227741	
526279	282187	
526279	282194	
526279	290036	
526279	290067	Father
526279	290194	
526279	293800	
526279	301084	
526279	308245	Milon
526279	317494	
526279	324489	
526279	324670	Logenschließer
526279	328847	
526279	347578	
526279	352168	
526279	360927	Kantor des pommerschen Kinder
526280	388051	Himself (2000)
526281	102834	Himself (founder, Mother Goos
526282	68961	
526283	297921	Major
526284	30962	Mason Forrest
526284	35513	Himself
526284	35514	Himself
526284	35515	Himself/Steve Sanders
526284	35542	Steve Sanders
526284	89959	
526284	100954	Sammy
526284	115887	Donnie
526284	119601	Edison Trent
526284	213459	Wildwing
526284	234067	Victor Serlano
526284	289007	Cain Parker
526284	317816	Darrin Danver
526284	328477	Randy
526284	367865	George Peck
526284	381811	Steve Sanders
526284	382023	Vinnie
526284	386603	Erich Aldrich #3 (1981-1982)
526284	390241	Nick Tatopoulos
526284	390771	Cameron Stewart (1986-1988)
526284	392424	Himself
526284	396088	
526284	397686	Wildwing
526284	406158	Harry Osborn
526285	225248	Jan
526285	225252	Jan
526286	12895	Karl Erdmann
526286	14581	Heimo Körner
526286	16209	
526286	18536	Dr. Lars Reinhardt
526286	19593	Mark Hansen
526286	24047	Gerd Mahnke
526286	29662	Marc Kellermann
526286	33112	Hans
526286	43716	
526286	91043	Richard Pellgrund
526286	94352	Lars
526286	107840	Abbé Maximin
526286	108191	Hugo
526286	115493	Hans Bertram
526286	119264	Daniel Witte
526286	120790	
526286	125029	
526286	142085	Moderator
526286	142645	Wolf Zaschke/Peter Becker
526286	145499	Fred Kohler
526286	152740	Tom Waldner
526286	157612	Frijo Kaltenbach
526286	189816	Rainer Schröder
526286	204430	
526286	204482	Kristian Schilling/Kristiane
526286	225248	Roland
526286	225252	Roland/Daniel
526286	225635	Nick Adams
526286	242862	Dr. Martin Gerritz
526286	248029	Christian Madach
526286	259365	Gunnar Danielsson
526286	259602	Lars Köhler
526286	281573	
526286	281750	John Dunbeath
526286	282235	Tom Rehberg
526286	282236	Tom Rehberg
526286	282238	Tom Rehberg
526286	290564	Anwald Bernard Siemer
526286	290583	Grosser
526286	290596	Grosser
526286	290597	Grosser
526286	302056	Hausmann
526286	302788	
526286	325411	Thomas Wiener
526286	325429	Henry Buchenhöfer
526286	325700	Dr. Warnke
526286	325723	Matthias Gutzkow
526286	325793	Rolf Poelke
526286	325871	Thomas Bading
526286	325928	
526286	336503	
526286	338439	Thomas Albrecht
526286	343685	Rick Loeve
526286	347047	Sylvester
526286	347801	Peter Rautenberg
526286	352343	Michael Wagner
526286	352500	Ehemann
526286	356831	
526286	358224	Erwin
526286	364939	Ulrich Gruber
526286	374549	Prinz Joachim
526286	377356	
526286	379122	Steinweber
526286	387372	Klaus
526286	388947	Tom Keller
526286	389840	Jens
526286	391297	Zygmunt Rogalla
526286	394143	
526286	396757	Kristian Schilling
526286	397953	Friedhelm Haug
526286	399162	Jan König
526286	406321	
526286	408320	Hektor Reimann (father)
526286	411347	Max Wolkenstein
526286	411957	Oskar
526286	412024	Harald Hofmann
526287	225248	Leo
526287	225252	Leo
526288	168325	Martin
526289	25149	
526289	90258	
526289	270498	
526289	282330	
526290	390812	Berthold Becker (1992-1993)
526291	137412	
526292	203401	
526293	139833	Sebastian
526294	102544	Leopold
526295	13941	Race Official
526295	289222	Guy #4
526296	18960	Civilian/Jerry
526296	27331	Eddie of Network
526296	41955	Pilot
526296	166917	Trainer
526296	280281	Salesman
526296	289222	U.S. Attorney
526296	302789	Councilman Jordan Fisher
526297	5077	Don Archimbaldo
526297	178568	1. Möwe
526297	188718	Friedrich
526297	209992	
526297	220726	Mozart at 20
526297	290262	
526297	334432	Schildkröte
526297	391604	Prof. Gregor Wünsche (1998-20
526297	406210	SpongeBob
526298	108148	Hans Hesselbach
526298	108149	Hans Hofmann
526299	237984	
526299	249885	
526299	258664	Man in the Queue on the Train
526299	375023	
526300	259685	
526301	150973	Musician
526302	249693	
526303	191653	Frank
526303	319935	Alex
526304	186062	Socialite
526305	310648	Seedy Motel Clerk
526306	373300	Soviet Speaker
526307	191394	Lester
526309	275750	
526310	12411	Mark Zumboden
526310	102553	
526310	126449	Leiter des Seniorenheims
526310	186178	Axel Weber
526310	242862	
526310	281660	
526310	361572	
526310	403942	Günter Graun
526311	138415	Fiddle
526312	215198	
526312	300203	
526312	411986	Himself
526313	188634	Street Kid/Panhandler
526314	66939	Male Lifeguard
526315	262281	Janos
526316	81522	Frate confessore
526317	119035	
526317	138814	
526317	222467	Toni
526318	123532	Partisan Boy
526319	169704	
526319	331234	Riot Kid
526320	286224	
526321	238206	
526322	80583	Beans
526323	307457	Man in Parking Structure
526324	79961	Paramedic
526324	148586	Passport Clerk
526324	150920	Western Union clerk
526324	191321	Salesman #1
526324	239908	Clerk in Copy Shop
526324	310329	Car Dealer's Assistant
526324	330412	Cashier
526325	321875	The Monk
526325	335452	Additional Voice
526325	380852	Stefano
526327	222632	Detective
526327	245140	Primary Negotiator
526328	13001	Joannes
526328	16272	
526328	28224	
526328	33252	Sergej Pavlovic Golupkov
526328	35899	
526328	43154	Pozorisni reditelj
526328	43175	
526328	45767	
526328	47197	
526328	49703	
526328	64010	
526328	74171	
526328	74176	
526328	74782	
526328	77465	Damon
526328	83713	Mr. Piskav
526328	85168	
526328	87832	
526328	89780	Konrad
526328	94510	
526328	100715	
526328	115856	
526328	137715	Profesor Manfred
526328	141791	
526328	143697	
526328	155610	Priest from Zapolje
526328	164038	
526328	166617	
526328	172497	Stevo Zigon
526328	172548	Filozof
526328	172671	Darko
526328	174972	Starac
526328	179534	
526328	180697	
526328	180858	
526328	188534	
526328	192890	
526328	197097	Direktor skole
526328	199923	
526328	205797	
526328	207160	Aleksandar Bah ... ministar
526328	209508	Himself (interviewed)
526328	210509	
526328	213841	
526328	215443	Jorx Marlok
526328	225824	Dosen
526328	227952	
526328	227991	
526328	229294	
526328	236019	
526328	237764	
526328	238806	Briski
526328	239465	Hubicka
526328	242480	
526328	244580	Krueger
526328	244648	
526328	245855	
526328	246022	
526328	249214	
526328	251113	
526328	251115	
526328	253725	
526328	253807	
526328	258801	Dimitrije Ljotic
526328	258825	
526328	259207	
526328	261299	
526328	261946	Krueger
526328	262969	
526328	265034	
526328	267947	Nino, muz
526328	281321	Mladen
526328	295057	
526328	305188	Profesor
526328	311487	
526328	315848	Blagot Balasica
526328	335926	
526328	341450	
526328	343783	
526328	344327	
526328	350109	Dr. Sreten Miskovic
526328	351343	
526328	355550	Johanes Franciska
526328	357376	
526328	357494	
526328	369445	Hans Binder
526328	374294	
526328	375311	
526328	383720	
526328	385271	
526328	386362	Trocki
526328	394330	
526328	394813	Carikov
526328	398428	
526328	398883	Knez Pavle Karadjordjevic
526328	400481	Krueger
526328	401749	
526328	401991	Krueger
526328	402118	Nacelnik
526328	403668	
526328	404207	
526328	404626	
526328	404733	
526328	405656	Knez Pavle Karadjordjevic
526328	405659	Rus iz Unprofora
526328	406315	Doktor Lovcevic
526328	406316	Doktor Lovcevic
526328	409878	
526328	410452	Clemens W. L Metternich
526329	129969	First Rabbi
526330	180369	
526331	133594	Gallery Guest
526331	297937	Flood's Partner
526332	247293	Thomas
526333	46905	
526333	84391	Gast im Café
526333	121068	
526333	231468	
526334	104438	
526335	392530	Himself - Finalist #9 (2003-2
526336	1390	Stevie Douglas
526337	23861	
526337	26051	
526337	66558	
526337	101174	Wise Man
526337	105801	
526337	217215	
526337	236295	
526337	254069	Damouré
526337	284288	
526337	285822	
526337	336834	
526337	377938	
526338	134178	African band
526339	8033	
526339	8119	
526339	137183	
526339	148000	
526339	173717	
526339	174456	
526339	179406	
526339	179529	
526339	285860	
526339	326217	
526340	261625	
526341	62560	Policeman
526341	79745	Himself
526341	79746	Himself
526341	124541	Deputy
526341	143900	Artie
526341	164699	Assistant District Attorney
526341	185096	Marcone's Goon
526341	201758	Himself
526341	216312	Alley hood #1
526341	240553	Himself
526341	245040	Trucker Cowboy
526341	245434	1st Robber
526341	317536	The Star
526341	363900	Highway Patrol
526342	250445	Üzemvezetõ
526343	24838	
526344	402765	
526345	210078	Donkey Cart Driver
526346	9538	
526346	238319	
526346	239369	
526346	356540	
526346	370188	
526346	370189	
526347	41242	Peasant
526347	293987	Heinrich, student
526348	246974	Cigány (member of the Hungari
526349	1688	
526349	20911	
526349	97985	
526349	322091	
526349	378516	
526350	44199	
526351	75935	
526352	350721	
526353	141748	Himself
526353	243984	
526354	28857	
526355	12505	
526356	232241	Prisoner
526357	341591	Venäläinen Sotilas
526358	379173	Reporter
526358	379886	
526358	384702	Various (-1994)
526358	405075	
526359	25244	
526359	98033	
526359	129056	
526359	208137	
526359	299427	
526359	391279	Shlomik Geffen
526359	395717	
526360	228906	Joshua
526361	188689	Himself
526362	60821	Vocalist
526363	31441	Mr. Silver
526364	66222	Doctor
526364	82565	Mr. Y
526365	281960	Roby
526366	343683	
526367	35121	Værkfører
526367	267643	
526368	87599	Groomsman
526369	85972	Il tenore
526369	189780	Mario Cavallini
526370	216509	American Runner
526371	162021	Karol
526371	175071	Henrych
526371	279968	
526371	292966	sudca Zinkeles
526371	345138	Armurier
526372	307142	
526373	178174	Young man
526373	372873	
526374	310555	
526375	229603	Max
526376	229046	
526377	86897	
526378	175694	Robert Kerst
526379	41249	General Tsi
526380	67018	
526381	144100	Himself
526382	33165	
526382	44672	Funktionär
526382	93399	Prüfungskommission (Jury)
526382	118141	Jupp
526382	119133	Leonard Schäubli
526382	398231	Herr Schmidt
526382	399161	Oskar Wagner
526383	15987	Duke
526383	269733	Tex, il bambino
526384	118743	Harry Järv
526384	181589	Elis Makkonen
526384	235846	Tuomas
526384	388912	Resebyråsäljaren
526384	400356	Mikael Bergman
526384	409265	Kimi Salmén
526384	409843	
526385	282174	
526386	60228	Nick
526387	283006	Usher
526388	96940	Football Player
526388	154763	Shore Patrolman
526388	342388	Sgt. Ernie (Gen. Savage's dri
526389	323341	
526390	34585	German colonel
526391	42143	
526391	119148	
526391	119153	Fünf Gehirne und Scheckbücher
526391	301012	
526391	314717	
526392	12448	Wölfchen
526392	12569	Page
526392	19160	Cripple
526392	21653	
526392	33006	Max
526392	34313	Patient
526392	42023	Bit Role
526392	43350	Nazi Doctor Treating Jeff
526392	45580	
526392	56044	Man with Expired Papers
526392	56104	
526392	60366	
526392	69403	Johann 'Walter' Westphal
526392	71624	Krafft
526392	73230	Hans, the Forger
526392	86032	
526392	87820	Clerk at Post Office
526392	101071	Dr. Paul Joseph Goebbels
526392	103237	Pavillion Counter Clerk
526392	103781	Heinrich
526392	104885	Baron Hans von Stetten/Jean d
526392	105070	Voice of Hugo Wilbrandt (Fren
526392	105297	Dock Lounger
526392	118382	Peasant
526392	125319	
526392	146835	Kleswig (road gang guard)
526392	146859	S.S. Colonel
526392	147145	
526392	150533	Walter Baumler
526392	150586	Limping Tenor
526392	154881	
526392	157899	Father Josef
526392	161883	Von Porten
526392	168125	Kurt
526392	183675	German Clerk
526392	192408	Voice of Prof. Baer (French v
526392	196503	Analyst
526392	205453	Bit Part
526392	207586	
526392	215987	Man on the Street
526392	227171	Benken
526392	230234	Vater Reynolds
526392	233044	Taxi Driver
526392	245054	
526392	248980	German Announcer
526392	263753	
526392	290271	Schneidergeselle Zimpel
526392	290856	
526392	299072	Subordinate
526392	302719	Refugee
526392	311212	
526392	312915	Philippe Pinel
526392	315757	Undetermined Role
526392	316070	Attorney
526392	323640	Wooer
526392	327193	Frome
526392	330141	Schlegel
526392	330167	Cross
526392	330180	Old Man
526392	331356	Dr. Rudolf Preussner
526392	332204	Mr. Raquin
526392	334102	Man in Bookstore
526392	346262	Walter Hoffman
526392	347119	Ludendorff
526392	351911	
526392	352041	
526392	358564	Helmuth
526392	361116	
526392	367825	German Doctor
526392	373963	
526392	384426	Fritz
526394	316179	Cantor
526395	75771	Tim Weathers
526397	253915	Kangaroo
526398	214799	Deaf Frantisek
526398	234743	Puppy, fan
526398	268293	
526398	276444	
526398	301895	Richard
526398	344073	Igor
526398	357289	Lieutenant Vrána
526398	376548	Long Bidlo
526399	303632	Adler Jr.
526399	399141	Dr. Hynek Klobouk
526400	376239	
526401	265914	
526402	139680	Attorney
526402	232861	Tom Wood
526402	404002	Assistant District Attorney L
526403	52361	At the Hotel - Man on Phone
526403	60148	Courier
526404	62791	Bully
526404	65748	Moe
526404	81286	Man in crowd #3
526404	113928	Ken Schillinger
526404	137031	Judge
526404	264785	Salesman
526405	34245	
526406	111806	
526407	287489	Pino Zimba
526408	9131	Captain Stacy
526408	24980	Jacob Anderson
526408	26417	Tom Burroughs
526408	28927	Lt. Ethan Sears
526408	30951	Alfred Pennyworth
526408	30970	Alfred Pennyworth
526408	30976	Alfred Pennyworth
526408	30977	Alfred Pennyworth
526408	30979	Alfred Pennyworth
526408	34953	Bill Reardan
526408	35825	Aristotle
526408	43353	Colonel Jim Herlihy, Commandi
526408	50889	Arthur Winner
526408	51511	Vice Chancellor
526408	59366	Paul Radford
526408	71271	Lewis Erskine
526408	73943	Dale Heath
526408	81896	Lt. Blanchard
526408	108305	Marty Malone
526408	108399	Mike Long
526408	111792	Judge Leland Hoffman
526408	114097	Benjamin Hart
526408	122756	Wolfgang
526408	124503	Victor Wainwright
526408	128422	Stuart Bailey
526408	139483	William Mansfield
526408	148220	Jacob Diamond
526408	150350	Wilson
526408	151041	Tony
526408	164443	Himself/Narrator
526408	220802	
526408	277337	Frank Bryant
526408	299742	Robert Cluso
526408	311036	Doctor Octopus/Doctor Otto Oc
526408	316607	Marty
526408	316608	Marty
526408	327433	Prospero
526408	328595	David Martin
526408	335702	Vincent Bryant
526408	354858	George Lawrence
526408	358275	Sam Hendrix
526408	364195	Sgt. Harry Hansen
526408	381397	Alfred Pennyworth
526408	384842	Jim Gavin (1954-1955)
526408	388149	Inspector Lewis Erskine
526408	392094	Charles Cabot (1986)
526408	397141	Dandy Jim Buckley (1957-58)
526408	399228	Alfred Pennyworth
526408	402171	King Arthur
526408	404570	Ellis Ikehorn
526408	406722	
526408	408691	Christof Philips
526408	409121	Himself
526408	411675	Host
526408	412073	Don Alejandro de la Vega #1 (
526409	358779	
526410	208676	Ali
526411	89207	Club Doorman
526412	384397	Ferguson Darling
526412	387309	Jamie Swift (1984-1985)
526413	104768	Cyrpian entry (19th place)
526414	184012	
526415	25798	
526416	151082	Ghost
526417	353958	
526418	104644	Old Man 1
526418	209730	
526418	321483	Dr. Liberman
526419	171667	Stein Family
526420	118763	Mental Patient
526421	213872	Peter
526421	347453	
526422	59574	A.N.C. Thief
526423	252068	
526424	33799	
526424	103578	
526424	244644	
526424	382445	
526425	19505	
526425	33818	Tolik's father
526425	92328	
526425	95820	
526425	117855	
526425	134867	
526425	190728	
526425	198123	
526425	219723	
526425	249246	
526425	265042	Gerasim
526425	306710	
526425	349248	
526425	357257	
526425	375662	
526425	386031	
526426	198179	
526427	49132	
526428	348555	
526429	194283	
526430	5891	Jake
526431	358964	Baldie
526431	359569	Turnbull A.C.
526432	325535	
526432	332724	Jonas
526433	245297	Thug 2
526434	81104	Drome Groupie
526435	44433	Co-Worker
526436	130677	Man in dance hall
526437	46613	
526438	7591	Himself
526438	46418	Himself
526438	103909	Himself
526438	126226	
526438	138546	Himself
526438	178465	Himself
526438	191248	Himself
526438	201794	Himself
526438	203232	
526438	223190	Himself
526438	329834	Himself
526438	339605	Himself
526439	11771	Harald
526440	51063	Mr. Byrd
526441	356379	L'ivrogne
526442	407495	Senor Sock (1994-1998)
526443	12042	
526444	315893	Fahrer Toelle II/Driver Toell
526445	99235	
526445	338168	
526446	237406	Steve, sergeant
526447	360699	Dad
526448	124502	Jack
526449	408735	Blot
526450	24734	Le Procureur Latour
526450	58791	
526450	68403	Le capitaine
526450	84693	Orloff
526450	111092	Maurice
526450	129513	Hervé, 1914
526450	156511	Dr. Pascal
526450	199316	Mc Bride
526450	218075	Monique's father
526450	225776	
526450	258942	Diener
526450	268901	
526450	301563	Nouveau mari de maria
526450	321699	Surgeon
526450	326147	M. Clisiaire
526450	337028	
526450	353946	Policeman
526450	357089	Pierre de Moressée
526450	357175	Martine's Husband
526450	370013	Baptiste Bourdalou
526450	377639	Philippe
526450	377718	Duchemin
526450	384160	Bruno
526451	268262	
526451	317584	Dr. Ráznik
526451	361019	
526452	346387	Reinhold
526453	306599	Man At Drive-By
526454	183667	
526454	206053	Haslinger
526454	218194	
526454	264332	
526454	290745	
526454	301012	
526455	362434	Himself
526456	334911	
526457	101752	Clochard
526457	126462	
526457	235957	
526457	325913	
526457	381710	Rudolph Lehmberg
526457	395667	Hubert Koch
526457	400273	Karl Hawermann
526458	115568	Accuser
526458	127255	Detective #3
526458	226937	Jock #3
526458	226938	Mess Hall Convict
526459	160636	Aide
526460	129811	Homeless Man
526460	329389	Brother
526462	381964	Host
526463	114253	Linda
526464	276441	Card Player
526465	291047	Johnson
526465	293231	Tom
526465	295618	
526466	54264	
526466	158311	Pete Anderson
526466	293075	George Butler ('73)
526467	1895	Cashier
526467	13836	Dirk Monolith
526467	68444	Litchfield
526467	112632	Unknown Poet
526467	236387	Audition Man
526467	241662	Loki Simon
526467	260138	Randy
526468	178265	Percussionist
526469	130290	
526470	168675	Prisoner
526470	346142	Man at Radio
526470	365491	Bobo
526471	45893	
526472	101038	Donnelly
526473	360458	Himself
526474	169503	Himself
526474	313393	Himself
526474	313412	Himself
526475	51674	German Sailor
526475	203061	Stable Boy
526476	32083	President
526476	72532	Cramps
526476	90793	Lucky
526476	93211	Hospital Guard
526476	129596	Constipated Man
526476	131433	Mr. Harbison
526476	183730	George Oakes
526476	192634	Uncle Craig
526476	276678	
526476	335285	Boardroom Man
526477	145174	John Schrader
526477	206153	
526477	256823	Sergeant McNally
526477	273863	
526478	269521	
526479	142491	Lobby Guard
526479	167041	Man with Mary Magdalene
526479	231440	Richard Brown
526479	287013	Aquila
526480	170664	
526480	294916	
526481	3982	Scavenger
526481	6249	Long Arm Addams
526481	10919	Head guard
526481	27236	Cab Driver
526481	73826	Warehouse Worker
526481	80397	Torres
526481	81113	2nd Lazzada Gangster
526481	111783	Charlie's Bodyguard
526481	190223	Paramedic
526481	194938	Rebel soldier
526481	206524	Dispatcher
526481	216707	Dino
526481	217480	Drawde, The Warrior
526481	242797	American Soldier
526481	326771	Zombie
526481	328259	Thug With Bruised Face
526481	359431	Mutant Soldier
526481	367096	Khoura's Guard
526482	87647	Pat Garrett
526483	31856	Pir
526483	73900	
526483	96730	Ulysses 'Uly' Adair
526483	137693	Dylan Piper
526483	137694	Dylan Piper
526483	164481	Greg Travis
526483	176965	Nicholas McConnell
526483	220004	Ben Madigan
526483	222598	
526483	331188	John
526483	338922	Timmy Taylor
526483	352684	Adam Berkow Jr.
526483	381146	Eric Kipper
526483	387230	Ulysses Adair
526484	93505	
526484	172841	Abhörspezialist
526484	336469	
526485	263572	Parker
526486	17606	
526487	63044	Himself (Olympic skater)
526488	317314	Gordon
526489	79944	Bit part on boat
526490	47896	Cal
526491	154783	Mr. Carson
526491	358664	Water-truck driver
526492	381821	Ensemble (1973-1975)
526493	14131	Lacrosse Player
526494	79408	Andrew
526495	32633	Chet Toodles
526495	65099	Trick
526495	79202	Walter Winchell
526495	117101	Pilot
526495	158414	Deputy Mayor Novak
526495	211698	Bregman
526495	263439	Doctor
526495	264636	Sgt. Dilucca
526495	330999	Bulldog
526496	38684	Reporter
526496	117806	Military Attache
526496	140105	Radio Actor #1
526496	202979	Messenger
526496	205417	Doctor 3
526496	314780	Donald Bick
526496	332068	Alan Tracy/Carter
526496	332071	Alan Tracy/Messenger
526496	386571	
526496	391689	Shooty
526496	408159	Alan Tracy/Various characters
526497	379879	Foresti
526498	146571	
526499	167131	Elroy Jetson
526499	211948	Revolver Ocelot
526499	211950	Revolver Ocelot
526499	211951	Revolver Ocelot
526499	211953	Revolver Ocelot
526499	211954	Revolver Ocelot/Shalashaska
526499	383384	Additional Voices
526499	405177	Obediah the Wonder Raccoon
526499	407441	Additional Voices
526499	408667	Additional Voices
526500	137259	Brent
526500	235615	Colonial Airlines Executive
526501	265615	Kip Kruplinger
526502	303860	Larry
526503	241799	Christmas choir member
526503	345876	
526503	345877	
526504	279971	Le petit Le Goff
526505	272413	Uncle Roy
526506	14171	Himself
526507	341515	Country Club Band - J.R. & th
526509	192678	Howard
526510	116569	Clutch St. John
526510	241871	Rotten Ronnie
526511	265616	Additional Electric Club
526512	78217	Rabbi
526513	334385	Rude boy
526514	99926	Gus
526514	213227	Passenger
526514	245781	Thug #4
526514	311650	
526515	7111	Nazi agent posing as guard [C
526515	11342	Attendant
526515	26776	Reporter
526515	39428	Miner with Mustache, on front
526515	39494	G-Man
526515	46730	Aeronautics Division Official
526515	49361	Detective Steve
526515	49957	
526515	83957	Capt. Eggerstedt
526515	115064	Lt. Thong
526515	115471	Captain Brady
526515	123681	Ted Lane, alias Barnard
526515	133663	Nazi Soldier
526515	139214	Electrician at Vaudeville Sho
526515	145106	Jake, armored car driver
526515	150392	Steelworker
526515	154789	
526515	161883	Storm Trooper
526515	170850	Al Corey, a thug
526515	196928	Guard
526515	200472	Martin
526515	203244	Second Dynamo Operator
526515	222658	R.G. Rumford
526515	226899	Patrolman
526515	228816	Petty Officer
526515	253095	Thong
526515	267542	Lt. Thong
526515	292389	Agent
526515	299163	Ship's Officer
526515	302396	Oil Man
526515	309938	Bit part
526515	316046	Kirk, First Kidnapper
526515	325154	Policeman
526515	330153	Colonel of 5th Michigan
526515	365188	Pheebus, Rancher at Citizen's
526515	366167	F.B.I. Man Taking Fingerprint
526516	201919	Elder #2
526517	385931	Himself
526518	78184	Policeman
526519	258341	
526520	364876	
526520	409958	Markus Fröhlich (1996-1997)
526520	410002	Berthold Siebert
526521	262754	
526522	102374	Junger Adeliger
526523	336508	Fahrradfahrer
526524	321397	Radio Top DJ
526525	360635	
526526	359697	
526527	364184	Peter Halloran
526527	390771	Dr. Joseph 'Joe' Werner #2 (1
526528	379532	German host (1967-1997)
526528	410398	Host (1976-1997)
526529	404431	
526530	18202	Anthony Perkins (re-enactment
526531	34331	Bankräuber
526532	145329	
526532	186897	Etagenkellner/Room Service Wa
526532	210076	
526532	225134	Herbert Gaspari
526533	103583	
526533	119724	Wolf Filoda
526533	197838	Valentin Fluth
526533	259822	
526533	269196	
526533	277458	Großvater
526533	284990	
526533	307315	
526533	324681	
526534	19592	
526535	334631	Himself
526536	361489	Hamerski
526537	24481	Theaterregisseur
526538	52771	
526538	66759	Zim
526538	83227	
526538	83279	
526538	83349	Patrice Joffroy
526538	100364	L'inspecteur de police
526538	132434	Frédéric
526538	170469	
526538	268399	
526538	271597	
526538	339082	Pierrot
526538	345562	
526538	357092	
526538	384787	Pierrot Robichat
526539	40421	
526539	97842	
526539	393408	
526540	356724	
526541	152835	
526541	223458	Paul
526541	231675	
526541	290067	
526543	126375	Driver (segment "Phonix")
526543	312098	
526544	225124	
526544	391604	Leo (1998-)
526545	33107	Dancer
526546	199384	Roustand
526546	409531	
526547	391294	
526548	399175	
526549	22688	Légionnaire
526550	169135	Zebulon
526550	245605	Mays
526551	283262	Lulu
526552	84692	Pozzini
526552	218311	
526552	284224	Le père de Chloé
526552	346418	Frédéric's Chauffeur
526552	371416	Vincent's stepfather
526553	23199	Morris
526553	38765	Conny
526553	61432	Wolf Brandin
526553	119196	Richard
526553	126356	
526553	140224	Werner Tiedemann
526553	156686	
526553	186854	
526553	220130	Rüdiger
526553	259691	Jochen Henning
526553	272423	Oberjäger Albrecht
526553	352450	
526553	394134	Peter
526554	115960	Escapist
526555	230934	Art Gallery Guest
526556	90237	Luke
526557	290534	
526558	149090	
526558	281734	Harold Skermerton
526559	77701	Guard
526560	352059	Jan Köster
526561	49553	Wirt
526562	114027	Kanzler
526562	134214	
526562	145496	
526562	252574	Mr. A
526562	289860	
526562	324785	
526562	365568	
526563	145496	Toni
526564	135345	Bolkonski
526565	302840	Mike
526566	179201	
526567	24960	Young Angelo Allieghieri
526567	384816	Sailor
526568	229913	Vesliek
526569	349290	(segment Kolovert')
526570	2240	Jedrek
526571	377745	
526572	43709	
526572	78435	John 11-13 years
526572	87151	
526572	140723	
526572	180946	Henri
526573	305929	Ramalo
526574	281027	Junger kumpel
526575	10343	Ptolemy
526576	294675	
526577	96115	
526577	154105	
526577	273069	
526577	408861	
526578	31018	Patron of Country Café
526580	157227	Le psychologue
526580	356388	Le directeur de la banque
526580	385003	Agent Sarah
526580	385003	Garagiste
526581	17868	Le Passant
526581	86432	
526581	198567	Grip
526581	261735	Contradicteur JT 1
526582	31322	
526583	120344	Bar Fly
526584	370260	Soldier 3
526585	388139	Action 13 (1973-)
526586	318157	
526587	276444	
526588	47964	
526588	264230	Waterman
526588	264231	Waterman
526588	397947	Le prêtre à Montreuil
526589	16199	Bloubek
526589	17101	Florist
526589	26540	Eda
526589	40486	
526589	45720	
526589	49478	
526589	51091	Grandfather Josef
526589	58271	Director by the shaft
526589	88435	Volsicka
526589	138293	Jid Fajnerman
526589	165033	Lorenc
526589	165035	Mr. Lorenc
526589	174122	
526589	179883	
526589	183748	Schäbiger Mann
526589	237205	
526589	237478	Frolis
526589	237540	
526589	249814	Old man
526589	262495	Kaska
526589	305814	
526589	317462	Pistora
526589	323299	
526589	332387	
526589	344040	Mr. Mandlík
526589	357684	Sindela
526589	357715	Rícánek
526589	374127	Chimney sweeper
526589	375479	Police Lieutenant
526589	376554	Policeman
526589	383081	
526589	383823	
526589	394266	Homolka
526589	398287	Postman
526589	399141	Old gambler
526589	404627	Older man in the village
526589	410144	
526589	410338	Father Josef Pumplne
526590	62579	Big Courtroom Fighter
526591	62579	Court Audience & Jury Member
526592	203584	Janitor in synagogue
526593	9240	
526593	25242	
526593	25717	
526593	44955	Mehdi Ben Chraïbi
526593	71817	Le porteur
526593	95344	Le frère de Saïd
526593	201140	Mokhtar, l'employé du garage
526593	217779	
526593	279648	Ali Salem
526593	309773	Mustapha, le terroriste à la 
526593	323067	Hassan
526593	340124	
526593	353863	Kadir Youssef
526593	384210	Mustapha
526595	53043	
526596	224073	Delivery Man
526596	368254	Dion Demucci
526597	67509	
526598	89572	Don Giulio
526599	4931	
526599	17792	Michele
526599	17814	1st Policeman
526599	21120	Cosimo Quorli
526599	45898	Ottorino
526599	56598	Forte
526599	68430	Salvo Montalbano
526599	68431	Salvo Montalbano
526599	68432	Salvo Montalbano
526599	68433	Salvo Montalbano
526599	68434	Salvo Montalbano
526599	68435	Salvo Montalbano
526599	68436	Salvo Montalbano
526599	68437	Salvo Montalbano
526599	68438	Salvo Montalbano
526599	68439	Salvo Montalbano
526599	71526	Marc Lauzon
526599	91051	Valerio Attico
526599	96539	
526599	122036	Giovanni Marotta
526599	127994	Pietro Nenni
526599	129004	
526599	167041	Peter
526599	176474	Tonino
526599	205098	
526599	238010	
526599	240143	
526599	242826	Omero
526599	253200	Giorgio Perlasca
526599	256450	Pietro Favignana
526599	263705	Loris
526599	269699	Sceriffo
526599	277339	Joseph Valko
526599	294412	
526599	329062	Luigi Manin
526599	341390	Migliori (segment "Felice")
526599	355703	Sergio
526599	392748	Edoardo Quaratesi
526600	12672	Sandro's cousin
526600	105606	Journalist
526600	334479	Billiard player
526600	351526	Stall salesman
526600	358900	Italian gay boy
526600	386747	Supporter
526600	409092	Bar client
526602	46186	
526602	124235	photographer
526602	132959	
526603	265219	Jean-Lohier
526604	376888	Eric Blandin
526605	267424	Conductor
526606	26783	Lem Stanislaw
526607	11892	Die Guten: Kammerwachtmeister
526607	105547	
526607	325467	
526607	325564	
526607	325791	
526607	325837	Rolli
526607	325860	Fredi Poeckl
526607	339209	
526608	317411	Himself
526609	74162	
526609	120719	
526609	160879	
526609	169769	
526609	206741	Sergeant
526609	287912	
526609	307833	
526609	353575	
526610	356691	
526610	372315	Police officer
526611	158006	Real Russian 2
526612	343310	
526613	374796	
526614	215837	Chuck
526615	155835	Bobby Lee Baker
526617	283069	
526618	302646	Smoky Mountain Boys Band Memb
526618	305761	Himself (musician)
526619	206221	Klappenjunge 'Morocco'
526620	305419	Anel
526621	352800	
526622	60815	
526623	272796	Young Boy
526624	26769	Young Guard
526625	90317	Fisherman
526626	113810	Hutton
526626	334171	Young Doctor
526627	297838	Moresby Batter
526627	324422	Guard
526628	12228	Bartender
526629	136226	Himself
526629	151759	Himself
526629	189322	Historian
526629	273354	Himself
526629	330536	Himself
526629	370011	
526629	390564	Himself (author)
526630	283188	
526631	55482	Inhabitant of Aliandi
526631	68980	
526631	158700	Riccardo
526631	162053	Pietro
526631	194150	
526631	196715	Lucio
526631	233188	Mafia Man
526631	260897	
526631	269739	Inspector Esposito
526631	276384	
526631	277811	Benedetto
526631	400142	
526632	239258	
526632	253779	
526633	222856	Giornalista
526633	315456	
526634	151537	
526635	88120	Langer
526636	57737	Policeman
526637	149353	Himself (High school basketba
526638	178061	Sammy
526638	278481	
526639	1974	Himself - Best Director Winne
526639	2375	Himself - Winner, Best Direct
526639	11440	Man
526639	126050	Himself
526639	126052	Himself
526639	140863	Himself - Director
526639	201684	Himself
526639	273727	
526641	107930	Couple
526642	278897	(drums)
526643	2759	Himself - Best Editing Winner
526643	152905	Adm. Yuri Ilyich Padorin
526644	77057	
526644	381647	Hiero Sauvigny de Montrachet
526644	393184	Floris Cuyk
526644	411949	Ingenieur
526645	180912	Stefan
526646	20020	
526646	23588	Sandro
526646	82709	Ken
526646	86420	
526646	89999	Giuseppe
526646	90699	
526646	102645	
526646	118128	Mark
526646	235735	David
526646	255011	Robertino
526646	344605	
526646	351867	
526646	356210	
526647	252954	Frank's Bodyguard
526648	8043	Neighbor
526649	126071	Larry Zeno
526649	389276	Logan
526649	399996	Host
526650	198599	Armando
526652	341217	
526653	83230	Pavlovski
526653	110421	Teddy
526653	140016	Vladimir
526653	280663	Red Team Player
526654	318642	Nemerov's Aide
526655	32757	
526655	339232	
526656	289870	Khmyr
526657	180358	
526657	273036	
526658	155743	
526659	195193	Charles Talleyrand
526659	230754	Caprini
526659	247572	Sergeant Phelps
526660	80646	
526660	204747	Danny
526661	288315	
526662	50985	Himself (Star-Club photograph
526662	81644	
526663	24542	Member at Factory
526663	31908	School Director
526663	63894	
526663	75931	Smuggler
526663	75970	Salata
526663	85265	
526663	105516	Maj. Pietka
526663	124858	Sturmbanführer Heulinger
526663	146540	
526663	164693	Harry Kwasnicki
526663	165053	Father Sebastian
526663	172825	Photographe
526663	179709	Sheriff
526663	181358	
526663	202253	
526663	207885	Wincenty Wolodkowicz
526663	209491	Krause
526663	213812	
526663	231646	Worker
526663	232664	Ignacy
526663	234268	
526663	237869	Clerk
526663	237983	
526663	254201	Harmonist Poldek
526663	255497	Film Director
526663	258540	Passenger
526663	259065	Foreman Ziarno
526663	305115	Motyka
526663	321425	
526663	322037	Ticket Controller
526663	357962	
526663	358546	
526663	366496	Pasturczyk
526663	369380	Kolasa
526663	375064	Slawniak
526663	375179	Krywka
526663	375912	
526663	390710	Mr. Józef
526663	399413	Hippolit Kwass
526664	387365	Bobrecht Zwerlinger
526665	147264	
526665	259509	Peter Labuse
526665	298599	
526665	381694	
526665	390812	Heinrich Rother (# 2)
526665	391604	
526666	353911	Hired man
526667	325819	
526667	325840	
526668	16898	Artie
526669	42060	Roman New Orleans Jazz Band: 
526670	97256	
526671	211390	
526673	322393	
526674	200439	
526675	79678	Zombie Cadre Member
526676	321678	Prison Mugshot
526677	223900	Young Elmo Zumwalt Jr.
526678	96603	Gangster #3
526678	365430	Hiro Sakamoto
526678	369373	
526679	216406	Libyan Stretcher Bearer
526681	400735	Himself (1998-1999)
526682	398918	Various
526683	73303	Rabbi
526683	247119	Rabbi
526683	330773	Rabbi
526684	326460	Rabbi
526685	254976	
526686	181360	
526687	15072	Père d'Ali
526687	185463	Zip
526687	375243	Himself
526688	344871	
526689	179071	Karl
526689	203999	Walley Dupont
526690	27127	
526691	314285	Subject
526693	381679	Der Meisterjodler
526694	107288	Isaiah
526695	57927	Tony
526695	80812	Cooper
526695	81067	Steven Chase
526695	122183	Adams
526695	177026	Manley
526695	200245	Bandit
526695	204386	John Mickland
526695	242797	Butler
526695	243252	Billings
526696	61102	Young man on wheelchair
526697	2472	Co-Worker 2
526697	408678	Piki
526698	349918	Willy
526700	292148	Rebellious Soldier
526700	335333	Sentry
526701	133684	
526702	222711	Mailman
526702	223833	Nerd
526702	324235	The Tailor
526702	333857	Clown
526702	371375	Seth Talbot
526702	394504	Billy McCall
526703	5594	Voice of Prof. Berlapp
526703	99183	Angler
526703	107966	Morgenbesser
526703	122562	
526703	125325	
526703	129328	
526703	132547	Mentschikoff
526703	149363	Chico
526703	162446	
526703	166341	
526703	170133	Zitzelsberger
526703	182146	
526703	204436	
526703	252667	
526703	254376	Derewenko
526703	255086	
526703	268362	Angry Man
526703	335996	
526703	361007	Olaf
526703	364824	Salambo
526703	383108	
526703	384217	Ulme
526703	399478	Lasse (voice: German version)
526703	401996	Bussinger
526703	412101	
526704	4971	1st Police Official
526704	28947	Himself
526704	103902	
526704	124235	
526704	211025	
526704	269169	(segment "Menino da Calça Bra
526705	6384	Docteur Haddad
526705	206319	
526705	379655	Mohamed Ben Salah
526706	223796	A Secretary
526707	19334	Le barbouze 1
526707	19639	Hismet
526707	57281	Secret Agent 1
526707	68362	Ramdah
526707	345156	Secret Agent 1
526707	365312	Leon
526708	1153	
526708	39927	
526708	39928	
526708	73094	Movie Producer
526708	272274	Music Video director, intervi
526708	356804	
526708	366243	
526709	80865	Keyboard player, Papa Doo Run
526710	94337	
526711	94337	
526712	322000	
526713	282350	Rough Rider
526714	276869	Italian singer
526715	80136	Chauffeur
526716	251998	Rud
526716	406270	Torsten Habermann (Sohn)
526717	10111	Werner
526717	13626	Von Weizsäcker
526717	19035	Pawel Siebert
526717	24038	Paul
526717	24068	Joost Weigant
526717	24468	Torsten Heincke
526717	33492	Martha's Therapist
526717	51868	Yobo
526717	82161	Viktor Bertram
526717	94317	Simon Halm
526717	94674	Thomas
526717	98313	Phil Jacobson
526717	98341	Kramer
526717	98414	Ulrich
526717	101709	As himself
526717	110772	Luci's Husband
526717	122586	Tomy
526717	124908	Danny Demant
526717	125293	Lothar Fuchs
526717	137145	Rainer Engstern
526717	138430	Paul Mertens
526717	138443	Wolfgang Heck
526717	142240	Gregor Reuter/Justus Pohl
526717	148783	Joachim
526717	155481	Waldbröl
526717	156631	Roger Stern
526717	168221	David Lewin
526717	181957	Hartwig Angenendt
526717	182248	Jan Lomberg
526717	186735	Nico
526717	189739	Dr. Alexander Hoffmann
526717	203935	Markus
526717	208198	Fiete Hansen
526717	226266	
526717	256975	Nick
526717	268540	Richard Pogge
526717	270415	Edgar Manholt
526717	278812	Moritz Nestler
526717	282206	Werner Leiser
526717	286780	Oberstein
526717	290729	Neuhoff
526717	309647	Clay Derris
526717	312746	Erik
526717	312884	Joachim Quandt
526717	317610	Georg Koch
526717	320458	Herbet Korn
526717	323603	Captain Ed Martin
526717	324785	Wolfgang
526717	325499	Pieringer
526717	334636	Manfred Grabowski
526717	339051	König Friedrich II.
526717	345928	Claus
526717	350871	Frank Fauster
526717	352567	Konrad
526717	354069	Harald
526717	356746	Frank Götz
526717	358224	Karl
526717	358522	
526717	366471	Michael
526717	376573	Max Rab
526717	377290	
526717	390893	Viktor
526717	393255	Tierarzt Dr. Semig
526717	394543	Samuel Goldfisch
526717	397949	Dr. Harald Holsten
526717	399161	Jochen
526717	406140	Dr. Gilbert
526717	412103	Robert
526718	394543	Siegfried Weidler
526719	89759	Krankenpfleger
526720	17696	Park Specker
526721	186257	Opening Narrator
526721	283104	Reporter
526721	380654	Narrator
526721	385218	Narrator
526721	386920	Narrator (title screen)
526721	395273	Narrator
526721	395274	Opening Announcer
526721	395275	Opening Announcer
526722	346066	Rebel Soldier
526723	375550	Stavro
526724	90510	
526724	187970	Vojnik
526724	212458	Raca
526724	246898	Luka Nestorovic (segment: "No
526725	129919	Goblin Voice #9
526725	232360	
526727	98791	
526728	1826	Karls Vater/Karl's Father
526728	2917	Fürst der Finsternis
526728	4838	Dr. Friedrich Hess
526728	6414	Serge
526728	7695	
526728	9017	Le policier
526728	10152	Bruno Gudmanson
526728	11822	Count Zelten
526728	13626	Grawitz
526728	18349	Fürstenberg
526728	23987	
526728	24554	Lt. Suarez
526728	26311	Prof. Stuck
526728	28554	Victor Trampot
526728	32332	
526728	32371	Josef Hillman
526728	32373	Hillman
526728	32375	Josef Hillman
526728	32377	Josef Hillman
526728	32380	Josef Hillman
526728	32382	Josef Hillman
526728	32383	Josef Hillman
526728	33849	Raabe senior
526728	34298	Wolf von Hollendorf
526728	34311	Martin
526728	35174	Jan Goldbeck
526728	40410	
526728	40818	
526728	40884	Claussen sen.
526728	51337	
526728	52582	Dr. Deckel
526728	57324	Castaing
526728	57805	Father
526728	59568	Dr. Dieter Reich
526728	66037	Baklanov
526728	79510	
526728	82945	Investigator
526728	83241	
526728	88841	Moser
526728	89469	
526728	89956	Zollner
526728	91975	Karl
526728	92981	La voix du vieil homme
526728	94339	Monsieur de Staël
526728	98052	Til Deboers
526728	100919	Dr. Blöss
526728	101324	Ridzinski
526728	103036	
526728	103145	
526728	104464	
526728	104649	Captain von Lerenau
526728	107970	Wilhelm Täufer
526728	111675	Vermieter
526728	114829	Kurt
526728	118777	Pope Innocent III
526728	119131	
526728	122585	Richard Berger
526728	124460	Policeman
526728	125373	Professor Leunitz
526728	138292	
526728	139890	Hans
526728	140229	Ulrich Golborn
526728	142133	Oskar
526728	145496	Dr. Ehrenfried
526728	156672	
526728	156676	Robert Lander
526728	158563	Dr. Becker
526728	166288	Le major von Gutlingen
526728	171320	Oscar
526728	172076	Récitant
526728	172840	
526728	176474	Dieter
526728	182889	Kanzleramtschef
526728	185973	
526728	187540	Dr. Kant
526728	187557	Kestner
526728	188623	Paavo
526728	188743	Kant
526728	188837	
526728	191190	
526728	202319	Le vétérinaire
526728	210027	Thorsten Gregor
526728	213791	Hardy
526728	217654	Hans
526728	223144	Hausarzt
526728	225168	Alfred Hammerstein
526728	225175	
526728	225265	Ernst
526728	225660	Winkler
526728	226180	
526728	233958	Friedrich Liebermann
526728	235905	Hildebrandt
526728	236641	
526728	238651	Frank
526728	239938	
526728	242767	Kanzler
526728	245995	Gregor Starndorf
526728	248508	Adam
526728	254154	Verekher
526728	254312	Frantz Weber
526728	259457	
526728	259619	Ekki von Dülmen
526728	272390	
526728	274480	
526728	275646	Hans
526728	276097	Michael
526728	278702	Art Dealer
526728	281834	Professor Eckert
526728	282161	Samuel Eisenstein
526728	282235	Hans Fengler
526728	282238	Hans Fengler
526728	284257	Goethe (segment "Années terri
526728	284556	Hendrik Lenz
526728	286255	Sidney
526728	286277	Johann Kreisler
526728	286608	Man with Gun
526728	290127	Ferry
526728	290487	Wilem Besse
526728	290789	Regisseur
526728	307259	Prof.Rudolf Zondek
526728	310508	Narrator
526728	312884	Konrad Bienek
526728	317490	
526728	318598	Lucius Cornelius Sulla
526728	318725	Hanns
526728	319239	Baron Margitta
526728	321978	Melo
526728	323603	Rudolf Werner, oboist
526728	324585	Karl Sedlag
526728	324682	Oetkers Anwalt
526728	325037	Edouard
526728	325426	Dr. Joachim Dreher
526728	325454	Joachim Huber
526728	325538	Huber
526728	325750	Huber
526728	325818	Tennstadt
526728	325929	Dr. Heinemann
526728	334526	
526728	336464	Pilot
526728	338958	Mergentheim
526728	341773	Kottke
526728	351945	Kurt
526728	352541	Majorana
526728	352677	Neuroloog Herwig Jungmann
526728	353997	
526728	357780	
526728	358586	Father of Axel and Pia
526728	361404	Georg
526728	361448	Isabell's Father
526728	365695	
526728	376299	Karl Neumaier
526728	376372	Rolf Wagner
526728	376377	Wiedemeyer
526728	380451	Staatsanwalt Winkler
526728	389269	(segment "Le dernier mot")
526728	390515	Walter Marret
526728	392618	Klaus Merten
526728	393255	De Rosny
526728	394478	Bellenberg
526728	394536	Josef Geisshofer
526728	395000	
526729	294238	Jerry
526730	244680	Eisverkäufer
526731	73068	Etudiant 1
526731	287607	Thomas
526732	89149	Pat
526733	8118	
526733	8135	
526733	134705	
526733	229958	
526733	379796	
526733	402244	
526734	379001	Sergio
526734	379210	
526734	379648	
526734	380096	
526734	380126	
526734	383867	
526734	387273	
526734	392959	
526734	395880	Javier
526734	397591	
526734	401634	
526734	404074	
526734	408724	
526734	409283	
526735	5201	T.V. Show Host
526735	6865	Mr. Anderson
526735	27196	Officer Dempsey
526735	55159	
526735	67379	Mr. Bellinger
526735	158317	
526735	162986	Guy's doctor
526735	164547	CIA Rep. #2
526735	175795	Mr. Anderson
526735	179420	Allardice
526735	203641	Young American
526735	237600	Rusty Calloway
526735	264036	City Planner
526735	288462	Vernon Martin
526735	330595	Gen. Walter 'Cam' Sweeney
526735	340320	Arthur Barnfell
526735	342628	Phillip Collins
526735	346298	Sean Waye
526735	355670	Dr. Kelly
526735	374285	Mr. Cimino
526735	380713	Woody Hutchinson (1990-1993)/
526736	300613	
526737	208503	Club Bohemia Band
526738	6641	Damir
526739	245727	Doorman/Butler
526740	134568	Setup Crew
526741	18	Smirking Kid
526742	365194	Mourner #1
526743	69875	Alfredo
526743	212395	
526743	378986	Daniel
526743	385600	
526743	398806	
526743	402686	Juan Rodulfo Lisperguer Flore
526744	65671	Bryant
526745	44083	Huey's Mate
526745	342908	Aaron's Friend
526746	262756	Emanuel Braun
526747	38444	
526747	124910	
526747	157614	
526747	163090	
526747	175666	
526747	182868	
526747	232742	
526747	308477	
526747	325351	
526747	370311	
526747	375281	
526748	375281	
526749	83883	
526750	292766	Director Diario
526751	93736	
526751	229741	
526751	252581	
526751	336622	
526752	235622	Steve
526753	104753	Host
526754	107842	Muscle builder
526755	73612	Trainer
526755	117957	Claustrophobic Prisoner
526755	118675	Major Albright
526755	118995	Meadows
526755	222461	Cop
526755	224729	Harry, SFX Man
526755	254585	Dr. Fleming
526755	331639	Taxi driver
526756	397879	Itzik Davidi
526757	158056	Jason Zitny
526758	158056	Sir Gavin MacDhoumnil
526759	158056	Matthew Zitny
526759	252070	Himself
526759	263415	Himself
526759	275029	
526760	395491	
526761	328688	
526762	39193	Chuck
526762	47800	Anthony
526762	55122	Club Bouncer
526762	66308	Vinnie
526762	127351	Harley Biker
526762	141659	Tony
526762	167691	Tough guy
526762	170980	Frankie
526762	195740	Big Cop
526762	196281	Jake
526762	203358	Tony Clifton Biker
526762	208993	Biker
526762	230904	Mafia Head
526762	233515	Guard at Abandoned Track
526762	236153	Prisoner
526762	274194	Dick
526762	275430	Captain Sallie
526762	289490	Guard #3
526762	294195	Bartender
526762	301398	Tony Esposito
526762	312265	Jerry
526762	322759	The Cook
526762	330890	Chuck
526762	333602	Rubenstein
526762	354955	Toots
526762	400621	Prisoner #97P468 Charles Panc
526762	406705	Host
526763	328121	Loris
526764	403404	Sebastián Caride
526765	93776	Manager
526765	105716	Chucky Tripoli
526765	116209	Tony Bellagio
526765	307691	O'Malley
526765	340839	Clell Miller
526766	51846	
526766	96519	Il Conte di Bassano
526766	202278	
526766	219572	Persona nella sala d'attesa
526767	171394	
526768	55122	Bodyguard
526768	198338	DEA Security Guards
526768	245016	Station Wagon Tough Guy
526768	282452	Tony
526768	366998	Bodyguard #2
526769	62571	Additional Voices
526770	199572	Teenager at the bus stop 2
526771	2169	Dan
526771	70324	Karim
526771	110133	Nono
526771	279250	Youth on Sarzac Estate 1
526772	279250	Youth on Sarzac Estate 2
526774	92333	
526775	100839	Derek
526775	292177	Doug
526776	246584	Poliisi
526776	386432	Pena
526776	404145	Atte Tenola
526777	13875	Ivan Stranauvlitch
526777	17857	Récitant TV
526777	43750	Espion français
526777	45000	Himself
526777	71800	
526777	71828	Le commentateur de la soirée
526777	83387	
526777	84645	
526777	94249	Le commentateur hippique
526777	125838	En personne/Himself
526777	134589	
526777	147067	Himself/En personne
526777	161652	Le journaliste
526777	164671	Himself
526777	187881	Léon Garros
526777	205608	
526777	205635	Voix du commentateur
526777	206507	
526777	224889	
526777	225410	Himself
526777	246188	Himself/En personne (commenta
526777	266947	En personne/Himself
526777	283032	Himself/En personne
526777	337733	Himself
526777	340147	Un turfiste
526777	355975	
526777	387959	Himself - Co-Presenter (1978)
526777	392935	Himself/Host
526778	283781	Taxi driver
526779	5412	McGraw
526779	235646	Al, Mike's Dad
526779	242035	Jack
526779	326083	Kevin
526780	380713	Adam Munson #2 (1995-1998)
526781	98368	
526781	127642	Phillip
526781	313668	
526781	325764	Peter Kolb
526781	369328	Rainer Wenning
526781	410497	KHM Horst Fink (1994)
526782	64446	Worker Drone
526783	260679	Piano Player
526783	265297	Teacher
526784	67347	
526784	153807	
526785	339866	Sex Queen of Doom
526786	65165	Les enfants
526787	411680	Tomer
526788	305556	
526789	254485	Wagon Driver
526790	187666	
526791	187969	
526792	78207	
526793	286022	Vasa
526793	400481	Decak
526793	404144	Vasa
526794	8319	Tsar Nicholas I
526794	23346	
526794	63932	Hadzi Toma
526794	74176	General Mitrovic
526794	74782	Bas-Celik
526794	92356	Zivota Cvijovic
526794	131151	Gustav
526794	166617	
526794	167318	
526794	181269	
526794	181294	
526794	181297	Miljan
526794	187668	Vucko Masnik
526794	209508	Himself
526794	227943	
526794	230486	Niko Marinovic
526794	233434	Stojan
526794	242967	
526794	244020	Predrag Simonovic
526794	258792	Kovac ... stari inzenjer
526794	262575	Agaton Arsic, sreski nacelnik
526794	265229	
526794	266261	Doktor
526794	306977	Marko
526794	307238	Simela Solaja
526794	312406	Acim Cumic
526794	315821	Davide
526794	320567	
526794	327441	
526795	101547	Bouncer
526796	195771	Person in Brighton Pub
526797	274695	
526798	215120	Jeca Smrda
526799	244679	
526800	258786	
526801	187668	
526802	230484	Aleksic's brother
526802	230485	Aleksic's Brother
526803	187970	Mirovnjak
526804	171888	
526805	405506	Vaspitac
526806	234647	
526807	154866	Napoleon
526808	81509	
526809	28414	Radnik sa resetkama
526809	58302	Aleksandar Rankovic
526809	72088	
526809	73771	
526809	75739	
526809	81507	
526809	85159	Partizan na mostu
526809	86614	Porucnik
526809	91268	Milan Argelasev
526809	94062	
526809	101382	Heinrich
526809	133573	
526809	137292	Narednik Vujic
526809	137303	
526809	155622	Maticar
526809	169100	
526809	170965	Magacioner
526809	171911	Bubreg
526809	173814	Amidza
526809	180666	
526809	182252	
526809	183882	
526809	183911	
526809	192897	
526809	195251	
526809	197096	
526809	200794	Sima
526809	211887	
526809	217290	Radomir
526809	226830	
526809	227952	
526809	229277	Krstic
526809	234260	Milic
526809	237494	Jovan
526809	242473	
526809	243578	Udbovac
526809	249733	
526809	261233	
526809	261343	
526809	261946	Cetnik Radojko
526809	262220	
526809	263262	
526809	266253	Stanko Petrovic
526809	266274	Ignjat ... curcija
526809	266937	
526809	267598	
526809	270527	Radomir
526809	270675	
526809	273093	Radomir
526809	280329	
526809	283747	Kelner Rade
526809	288140	
526809	288986	Inspektor
526809	293712	
526809	295057	
526809	307148	
526809	310654	Sofer hladnjace
526809	311362	
526809	314437	
526809	314655	
526809	318980	
526809	320367	
526809	320555	
526809	324273	
526809	328705	
526809	332755	
526809	337533	
526809	338863	Policajac
526809	339023	
526809	339307	Sef stanice
526809	340094	
526809	342510	First Worker
526809	350665	
526809	356430	
526809	357351	
526809	357493	
526809	373599	
526809	373698	Kocijas
526809	374082	
526809	375477	
526809	381239	
526809	382430	Milicioner
526809	382431	Konobar
526809	385138	
526809	386526	
526809	390388	Zakula, bivsi ministar
526809	390427	Ranko
526809	394110	
526809	394138	
526809	401928	Konjusar
526809	401949	Gazda kafane
526809	401961	
526809	401991	Cetnik
526809	402118	
526809	405656	
526809	406316	Nosac
526809	407129	
526809	410260	
526809	410363	Kapetan
526809	410442	Mile 'Kontras'
526809	410452	Sima Pastrmac
526809	410582	
526809	411900	Cinovnik
526810	154070	
526810	381182	Pevac
526810	399007	
526810	399008	
526811	42424	
526812	146842	
526812	187969	Maric
526813	258786	
526814	292983	
526814	352792	
526815	1057	Stevanov otac
526815	6087	
526815	14448	Amirjev oce
526815	15372	
526815	23362	
526815	28401	Stojcic
526815	28402	Stojko, vlasnik kluba 'Marlen
526815	28409	Slobodan (Sef)
526815	28414	Palacinkar
526815	33251	Vitor
526815	33728	Gospodin
526815	35027	
526815	36533	
526815	38920	Stole
526815	43009	Srbin Hamza, poturcenjak
526815	43309	Djoka
526815	44203	Himself
526815	45752	
526815	45767	
526815	46066	Simon Petrovic
526815	46671	Marko Labudan sumar
526815	49740	The Bosnian Serb Father, the 
526815	54173	Bozidar Kovacevic "Boki"
526815	64357	
526815	72086	Profesor
526815	74174	
526815	74179	
526815	74180	Boris Tusev
526815	74780	Otac Makarije
526815	75739	Ljubicin otac
526815	77263	Boki
526815	81408	Aco Popara - Zver
526815	81626	Masin otac
526815	83324	Muselim
526815	86734	Vasilije
526815	88019	
526815	88711	
526815	88739	Vatrogasac
526815	91217	Dadara
526815	91268	Bogoljub - Bata Radulaski
526815	92086	Boki
526815	92356	Milorad Cvijovic
526815	94061	Dr. Nedeljkovic
526815	94062	Kosta
526815	94218	Buzdovan
526815	95685	
526815	102627	Pera ... 'Zver'
526815	107966	Leibusch Jadlowker
526815	129424	
526815	132480	
526815	134763	Jordan Cvetkovic
526815	134903	Bogakov
526815	137287	
526815	137288	
526815	137303	Vojvoda
526815	137713	Suger
526815	147567	Producent
526815	152217	Preiskovalni
526815	154070	Ratomir Jovanic - Ratko
526815	154668	
526815	155622	Sopenhauer... Nemac
526815	155659	Dr. Nedeljkovic
526815	155662	
526815	155969	
526815	156764	
526815	166450	Gospodin Mihailo
526815	169100	Dzek
526815	172464	Dr. Nedeljkovic
526815	172485	Krsta Klatic-Klaja
526815	178736	
526815	179187	
526815	179626	
526815	180418	
526815	180612	Sorga
526815	180666	Bajo
526815	181188	Kamiondzija Radovan
526815	181192	Beli
526815	181293	
526815	181945	Adam Tabakera
526815	183882	Doktor
526815	184073	Bozovic
526815	186541	Bata
526815	187970	Gvozden
526815	192897	Vozac GSP-a
526815	195251	Paja 'Glavonja'
526815	197096	Dr. Nedeljkovic
526815	197880	Gazda Daca
526815	199936	Korovjev... Satanin sluga
526815	201357	Jova, stanodavac
526815	202042	Todor Strasni
526815	202347	
526815	215125	
526815	215443	Kokos
526815	217290	Milutin Rakocevic
526815	217297	
526815	219751	Major Tigar
526815	221340	Stanislav, drugi seljak
526815	223224	
526815	226830	Zile Akademac
526815	227764	Ivkovic
526815	229277	Dr. Dusan Arandjelovic
526815	229278	
526815	229715	Brenin menadzer
526815	229923	Slobodan Antic
526815	230097	
526815	230459	
526815	232597	Milos
526815	232599	Profesor matematike Herceg
526815	236167	Marko... islednik
526815	236169	Nicifor Jugovic
526815	237707	
526815	239451	Skoblar
526815	239816	Jim Potter
526815	242473	Inspektor Kosta Markovic
526815	242640	Pukovnik Vili Fuks
526815	242895	
526815	243578	Vujic
526815	243964	
526815	244184	Milivoje Pekar
526815	246308	Grgo Kusturin
526815	249476	Braka
526815	249478	Vuk
526815	249733	Kauboj
526815	251129	
526815	251320	Sanitarni inspektor
526815	251926	Ivanov otac
526815	253724	
526815	253729	Velja ... iz Belog Potoka
526815	258783	
526815	261226	
526815	261233	
526815	261351	Sofer
526815	261355	
526815	261663	
526815	261903	Peter Kostrca
526815	261940	Al Kapone
526815	261946	Porucnik
526815	262220	
526815	262552	
526815	262559	
526815	262575	Milan Novakovic, advokat
526815	265521	
526815	265644	
526815	266649	
526815	267118	Aleksin otac
526815	267844	Sava Cvetkovic
526815	270527	Milutin
526815	270675	
526815	270714	Bozina
526815	270733	
526815	272044	Guest appearance
526815	272194	
526815	272584	
526815	272606	Tatula
526815	273093	Milutin Rakocevic
526815	275271	
526815	286888	
526815	292091	Major Djuric
526815	293710	Ceda
526815	293711	Ceda
526815	293712	Ceda
526815	293715	
526815	293807	Jeremija
526815	293808	Ilija Gregoric
526815	294156	Ljuba Radovanovic
526815	295051	
526815	295057	Pufta
526815	296047	Ciganin sekula
526815	301300	
526815	301902	
526815	304248	Mirta
526815	304551	Baks
526815	305215	Sluga
526815	306194	
526815	307148	Uca
526815	311140	Ruzic
526815	312618	Miloje
526815	314437	Komsija
526815	314655	Obrad
526815	317870	
526815	318640	Dr. Nedeljkovic/Dr Smiljanic
526815	320367	Komandant Nikola
526815	320492	
526815	320551	Jeremija
526815	320558	Rankov otac
526815	320577	Boki ... milicioner
526815	323307	Abdullah the Great
526815	324268	Komandant
526815	326326	
526815	328707	Sotir Milivojevic
526815	332755	Direktor
526815	333470	Kapetan Sibin
526815	337522	
526815	337533	Sinter
526815	338863	Ujka Zivota
526815	339023	
526815	339278	Milos Bojanic
526815	339307	Mrgud
526815	340237	
526815	343835	Trokrilni
526815	343867	Upravnik
526815	348876	Zandarm
526815	349198	Monter Luka
526815	349218	Mitar Velimirovic
526815	350109	Valter
526815	350250	Boki... milicioner
526815	350367	
526815	351322	Sima
526815	351345	Kosta
526815	352361	
526815	352885	
526815	354325	Direktorot na 'Lokal prom'
526815	355548	
526815	355551	Cukic
526815	356069	Duje
526815	357351	
526815	374038	
526815	374441	
526815	374452	
526815	375125	Dr. Nedeljkovic
526815	375338	
526815	376227	Mladen ... ucitelj
526815	381182	Stojko
526815	382430	Aleksandar 'Macola' Kostic
526815	382431	Aleksandar 'Macola' Kostic
526815	382787	Ivan Vrebac
526815	383458	Radovan
526815	387135	
526815	390299	
526815	390427	Bulidza
526815	392446	
526815	394138	
526815	394690	
526815	394813	Aleksa Novakovic ... advokat
526815	398198	Uca ... komandant veterana
526815	399181	
526815	399939	
526815	400905	Brka
526815	401928	Majstor Kreka
526815	401991	Cetnicki oficir
526815	402025	Rale... Tinin muz
526815	402118	Svetolik Trpkovic 'Pufta'
526815	404391	Sole Sljapan
526815	404732	
526815	405506	Upravnik popravnog doma
526815	406315	Arandjel Golubovic
526815	406316	Arandjel Golubovic
526815	406497	
526815	408837	
526815	409294	Zivko Zivulovic
526815	410452	Jakov Nenadovic
526815	410582	Jewish Partisan Leader
526815	412003	Batko Zivic
526817	190078	Shelly
526817	343189	Rep. Ted Weiss
526817	395165	American Man In Sicily
526818	194268	Doctor
526819	324273	
526820	146842	
526820	170965	Rambo
526820	180666	
526820	222441	Lolin otac
526820	303124	Dubler Petra Bozovica
526820	324268	
526821	160593	
526821	216511	
526821	288127	
526821	355550	Kasper
526821	394111	
526821	400892	Milicioner
526821	402358	
526821	402765	Milicioner
526822	73590	Socijalni radnik
526822	95553	Enfant turc
526822	216567	
526822	229568	
526822	267322	
526822	270675	
526822	274164	
526822	314655	Upravnik zatvora
526822	318207	
526822	318870	
526822	340094	
526822	350665	
526822	351345	
526822	354929	Profesor muzike
526822	379616	Jovan Skerlic
526822	381443	
526822	382073	
526822	386407	Mile 'Kusur'
526822	388685	
526822	390427	Boza Smederevac
526822	394813	Mitropolit Vikentije
526822	398926	
526822	401281	Djordje
526822	401949	Doktor
526822	401991	Mile
526822	404305	Zivko Kokot
526822	404733	
526822	407129	Svetozar Miletic
526822	410260	Svetozar Djordjevic
526822	410452	Vladika Platon
526823	301787	Michael Jackson
526824	8351	
526824	22829	
526824	25686	
526824	25729	Recep
526824	32314	
526824	33304	Orhan
526824	38195	
526824	38206	Tayfun
526824	38496	
526824	83314	
526824	96435	
526824	171984	
526824	172795	
526824	173211	
526824	174017	Kudret
526824	176928	
526824	178408	
526824	182091	
526824	256663	
526824	256942	
526824	295251	
526824	296420	Mürþit
526824	296421	
526824	345006	
526824	371562	
526824	373631	
526824	378182	
526825	339945	Abdulla
526826	63357	
526826	135046	
526827	7462	Kemal
526827	20916	Photographer
526827	40567	Tenancier
526827	95553	Cafer
526827	203492	Father of Boy
526828	284867	Covek sa orlom
526829	178700	Bobi (the son)
526830	304661	Himself
526831	357451	Sanyat
526832	31004	Araldo e Scudiero
526833	44318	Admirer at Party
526833	252070	Himself
526834	316416	
526835	147303	Eighty years old man
526836	182785	Lord Melvill
526837	269355	Vampire Doorman
526838	374650	
526839	158760	Il fattorino
526839	229989	Agente di Horland
526839	386743	William
526840	18851	Himself
526841	202576	Tanino
526842	259811	
526843	229190	Srpski vojnik 7
526844	353276	
526845	9044	Abdul
526845	18246	Security Officer
526845	120423	McGee
526845	134288	Lowy
526845	204781	Safa
526845	383609	Analista
526845	402781	Iso
526845	406108	Jason
526846	45482	Ferdo
526846	89814	Milushev
526846	94506	Lekaryat
526846	156003	Starshiyata Goran
526846	181067	
526846	398896	
526846	401684	
526847	9353	
526848	9353	Assistant camera from the sho
526848	340720	
526849	113921	Riga technician
526850	209280	
526851	45482	
526851	179603	Dyado Stefan
526851	225978	
526851	284458	Pazachat
526851	341183	Kamerdinerat
526852	35837	Himself
526852	309811	Psihijatar Dr. Zlatic
526853	355996	
526854	71600	Himself
526854	95166	Politzaj
526854	381908	Himself (Season 1)
526855	388720	Filyo
526856	147042	
526856	353276	Parvanov
526857	44394	
526858	214535	Yuri
526859	304656	Sef policije
526860	238766	
526860	266296	
526860	337044	Bobrov
526861	219190	Michael
526862	53073	
526862	303024	Amnon
526863	367501	The young man
526864	379470	Eyal (2004)
526865	265069	Waiter
526865	321952	
526866	63579	
526866	236062	
526866	313531	
526867	361423	Gustav
526868	396501	Azusa Amano
526869	13685	Club Door Manager
526869	101070	NSA Technician
526869	171092	Patrol Officer
526869	269071	Det. Baldwin
526869	274561	Officer Bern
526869	384422	Bar Hopper
526870	214246	Ujma's driver
526870	215214	
526870	215410	British Officer
526871	344344	David Libermann
526872	261838	Pierre
526872	276075	Father
526872	377490	
526872	408002	Le cycliste
526873	223720	White Guy
526874	280081	Photographer
526875	218082	
526876	234658	
526876	258432	
526877	394750	
526878	97320	Android Helper
526879	175004	Himself
526880	26633	Jay O'Neill
526880	31197	Himself (ABC Team contestant)
526880	93897	Frank Schmidt
526880	106676	Tyler
526880	113405	Gerone
526880	117218	Fernando
526880	129437	
526880	133402	Johnny Nogerelli
526880	157291	Doug
526880	191909	Sir Sneekleberry
526880	226977	Himself
526880	244444	Greg Mathews
526880	283532	Sasch
526880	295916	Lance Long
526880	299230	Kristof
526880	313488	Toth
526880	315514	Smitty
526880	322631	Officer Romano
526880	345856	Mario
526880	347849	Kyle
526880	352966	Himself
526880	353418	Fred Feliciano
526880	385624	Host (1985-1987)
526880	388879	Socks Palermo
526880	390373	Frankie Millardo
526880	392422	Himself
526880	407323	Officer Vince Romano (1982-19
526881	162129	Clytemnestre-Double
526882	5126	Ruppi
526882	149735	Russian soldier
526882	170436	
526882	225876	
526882	255605	
526882	266019	
526882	266541	Styopa
526882	267008	Karolew (Soviet officer)
526882	322000	
526882	373351	Sierioza
526883	217293	
526884	275602	Col. James' aide
526885	14585	Makler
526885	41252	Marty
526885	77102	Marcin Borowski
526885	82758	Pvt. Biniek
526885	84265	Jerzy
526885	100582	M³ody reporter
526885	111305	Kopyrda
526885	129757	Pawel
526885	141063	Karol
526885	181581	
526885	186384	Gustaw-Konrad
526885	186389	Piotr Kot alias Mikolaj
526885	231743	Adam
526885	244099	Jackowski
526885	244111	Myszkowski
526885	255611	
526885	266342	Rafal
526885	266540	Elegant
526885	266541	Wolf
526885	305104	Adam
526885	313031	Tomek
526885	322210	Molnár Gyula,a Szövetséges El
526885	357977	Mr. Wladyslaw Tarkowski
526885	369349	
526885	369373	Aschel
526885	373439	
526885	375443	Pet
526885	398874	Dr. Jakub Burski
526886	18240	Bosowski
526886	75450	Flagg
526886	106808	Nössinger
526886	113029	Himself
526886	189554	
526886	189607	
526886	189667	Hannes Meier
526886	301021	
526886	310906	
526886	352341	
526886	365921	
526886	369146	
526886	394903	Johannes Adler
526886	396624	Rolf Stein
526886	396874	Andreas Chef (1995)/Jacques '
526887	16476	Himself/Referee
526887	16477	Himself
526887	16478	Tony Clifton
526887	16517	Himself/Tony Clifton
526887	30965	Electronic Store Owner
526887	56858	Audience member
526887	68092	Himself
526887	76217	Cubby
526887	154951	Himself
526887	203358	Jack Burns
526887	203360	Himself
526887	267174	Audience Participants and Hec
526887	363024	Himself
526888	167025	
526889	290871	Mann im Restaurant
526890	78976	Warden Prost
526891	227143	Cashier
526892	5092	Secundas' Answer Box
526892	23211	Felix
526892	30047	Himself
526892	34955	Leo Ellis
526892	69803	Himself
526892	185146	Reporter
526892	195290	Marvin (segment "Love on Your
526892	407415	
526892	410666	
526893	238774	Olofsson's grand-son
526894	322500	Dancer
526895	134908	
526896	259345	Alyokha
526897	200610	
526897	209839	Dini
526897	210385	
526897	226001	Feri
526897	250445	Boltos
526897	322025	Vidéki színész
526897	326209	
526897	377143	Lónyai
526897	377720	
526899	14316	Stanislaw Skula
526899	43119	Prof. Morini
526899	66265	Roman Tarski
526899	75940	Krzysztof
526899	89045	Lt. Dushkin
526899	94057	Klaudiusz
526899	95727	Hilari
526899	95897	Theater Director
526899	164755	Królik
526899	166616	Szypulko, an actor
526899	178463	Father Olaki
526899	179200	Theater Director
526899	180782	The Torture Victim
526899	216593	The French Professor
526899	231649	Pan Rowak
526899	247351	Judge
526899	247553	The Opposition Party Leader
526899	247592	Mr. Smith
526899	248349	
526899	255623	Eustachy, Julian's uncle
526899	279656	Baron Dobkiewicz
526899	284352	Anselm
526899	304109	Galewicz
526899	323285	Bielecki, private eye
526899	373975	Prof. Frankiewicz
526899	375647	Mazurkiewicz
526900	110773	Felix
526901	88540	Student
526901	136523	Metko
526901	350721	Guardian of the Frontier
526901	373599	Marko
526902	58744	Commandant
526902	214003	
526902	218284	The Policeman
526902	288893	
526903	162435	
526904	129737	Abu Eyash
526904	295435	Turkish Bath Attendant
526904	375263	Ibrahim
526905	140039	
526906	43432	Angelo Bruno
526907	359300	Himself
526908	381588	Eli
526908	408313	
526909	334790	Head elf
526910	53043	
526911	131029	
526912	200281	Fishmonger #1
526912	259912	
526913	346346	Bridegroom
526914	56894	Paperboy
526914	252862	Shorty the Waiter
526915	283021	
526916	189292	Himself
526917	48676	
526917	107826	Ronnie
526918	120623	Matt Cowens
526918	194683	
526918	198492	Homeless Man
526918	218474	Simms
526918	221287	Mitch
526918	241141	Reporter #2
526918	249178	Jack Moody
526918	324040	Barkeep
526918	326428	Propes
526918	334312	Cabby
526918	341885	TV interviewer
526918	358625	Lemuel
526918	359425	Barker
526919	80436	Ron
526919	100034	Hotel guest
526920	357349	
526921	49472	The Sharp-Dressed
526922	17079	
526923	354673	Paper Boy
526924	352446	
526925	390812	Nils (1993)
526926	98248	
526926	358219	Mozart
526926	390812	Sebastian Reim (1993)
526927	8589	
526927	26000	
526927	39088	
526927	48441	
526927	64363	
526927	140594	
526927	155169	
526927	173668	
526927	178407	
526927	214659	
526927	227238	
526927	229976	
526927	336419	
526927	370692	
526928	9349	
526928	17405	
526928	23132	
526928	25579	
526928	36529	
526928	38468	
526928	38478	
526928	42894	
526928	97549	
526928	97550	
526928	163109	
526928	174037	
526928	178409	
526928	186961	
526928	186963	
526928	214276	
526928	322447	
526928	336418	
526928	370793	
526929	185601	Mark
526930	100509	
526931	214025	
526931	218192	
526931	265722	
526931	287809	
526932	281233	Executioner
526933	19751	Antonio
526933	160720	
526933	263896	Client
526934	316875	Rathert
526935	90680	Segretario
526936	23449	
526936	181135	Chairman National Security Co
526936	224174	Head board member/Karl
526936	292637	Donna's Lawyer
526936	369905	Principal Andrews
526937	337515	Narrator
526938	357839	Un garçon à la plage
526939	127443	
526940	258098	Brother From 1969
526941	84306	Troll
526942	312148	George, a 'tail'
526943	50100	The Guy
526944	382324	Himself (2000, 2002-)
526944	393693	Himself
526944	400298	Himself
526944	407614	Himself - Guest appearance
526944	408555	Himself/Presenter for The Net
526944	409081	Himself
526945	1624	Himself
526945	315678	Himself (2000 European Champi
526946	90007	Lenine/Liberio, Peppone's son
526947	256841	Himself
526948	403724	Himself - Designer (2000-2001
526948	408310	Himself - Designer
526949	37279	Matteo (the Sicilian boy)
526949	373913	Kim
526950	88761	James Earp
526951	353918	
526952	375431	
526953	36683	Dr. Henning Stöve
526953	45976	Otto Balsiger
526953	78738	Paul Streuli
526953	104254	
526953	229165	
526953	275154	Christen
526953	311400	Livio Bernett
526953	325663	Carlucci
526953	386426	Bruno Hug
526954	317662	
526954	361104	
526954	361107	
526955	253190	
526956	182576	Habib
526957	78425	
526957	281978	Host
526958	233190	Jim
526958	313020	Drifter
526958	399130	Stavros (1989)
526959	13430	Mutant
526960	375318	Son
526961	109168	
526961	289146	
526961	349684	Mladji covek
526962	156764	
526962	266172	
526962	402022	Lakijev sin
526963	100601	1st Gas Station Attendant
526964	370949	
526965	7173	Fernando
526966	98238	
526967	171685	
526967	193080	Raffi
526967	203863	
526968	64402	Boy's Father
526968	98967	Eli
526968	147475	
526968	162662	
526968	179347	
526968	183958	
526968	261794	Le Maskir
526968	299241	
526968	299363	
526968	302060	Leon Vasserman
526969	129737	Leon
526970	3285	
526970	15191	
526970	46621	
526970	98238	Benny Furman
526970	137888	
526970	140056	
526970	149497	
526970	180282	
526970	194323	
526970	212129	Gutte
526970	284856	
526970	296626	Judo Instructor
526970	325022	
526970	326354	Orchestra Conductor
526970	344321	
526970	395971	
526971	41821	Worna
526972	256480	Artur
526973	262110	Little Bobby
526974	24454	Himself - Winner of Survivor:
526974	215687	Himself (judge)
526974	273315	Himself
526974	292011	Co-host
526974	320146	Himself
526974	320147	Himself/Winner of Survivor: A
526974	320149	Himself
526974	387277	Himself (Team Mad River)
526974	407077	Himself (Sole Survivor, 39 Da
526974	407078	Himself (21 Days, Saboga/Mogo
526975	93427	
526976	360021	Himself
526977	79534	Bayandur
526977	139921	Grigor Khristoforovich
526977	295260	Aghabek
526978	15190	
526978	19689	
526978	20642	
526978	20896	
526978	21367	
526978	24758	
526978	39023	
526978	43084	
526978	44045	
526978	89425	
526978	89427	
526978	89432	
526978	109312	
526978	127063	
526978	131087	
526978	176122	
526978	185833	
526978	189078	
526978	205334	
526978	207104	
526978	285092	
526978	285532	
526978	295091	
526978	299253	
526978	324881	
526978	326259	
526978	327169	
526978	350600	
526978	350694	
526978	373766	
526978	374504	
526979	24119	
526980	229058	
526981	397968	
526982	59979	
526983	245600	Boy in White
526984	80809	Tough
526984	152319	Guard at Track
526984	299684	
526984	342405	Bull Matthews
526985	625	
526985	155744	
526985	257558	
526985	269075	
526985	279259	
526985	312858	Peter
526986	315678	Himself
526986	338859	Himself (Man Utd v Chelsea)
526987	196131	Car Salesman
526987	213325	Snout
526987	251477	Lt. Anthony Fusco
526988	127439	Jean
526989	12241	
526989	20747	
526989	23837	Hotel director
526989	26153	Major
526989	40393	Bamberger
526989	49504	
526989	52573	
526989	54804	
526989	55071	
526989	62795	Père de Hélène
526989	62936	
526989	119755	Dumpy Policeman
526989	129688	Polizei-Kommissar
526989	132066	Van Lédiam
526989	134904	Blanchard, art dealer
526989	137728	Hafenmeister
526989	144352	
526989	179290	Le général allemand
526989	180963	
526989	188773	
526989	189162	
526989	189714	Signor Ponte
526989	195735	Mueller
526989	199601	Paul Ziselin
526989	201024	
526989	201026	Le déserteur Jacottet
526989	217701	Monsieur Arpel
526989	222510	Colonel Muller
526989	225430	Le client des bains-douches
526989	226402	Galupian
526989	238895	Koch Armand
526989	240420	
526989	243022	Kurt
526989	248988	Cpl. Mayer
526989	264522	Bourderoux
526989	271368	Un frère de Marrot
526989	289439	
526989	316363	Employer
526989	325702	Desroches
526989	336935	
526989	336975	Le maquettiste
526989	337788	Octave
526989	339875	
526989	340147	Le beau-frère du concierge
526989	352646	Guest appearance
526989	377486	
526989	377729	M. Lafleur
526989	379841	
526989	381628	Cacherot
526989	394149	Baruch Schebet Doxati
526989	395620	Le feldwebel (segment "Erre T
526989	406848	
526989	408388	
526990	97247	Tearoom Boy
526991	69047	Jury Foreman
526991	170522	Bill (cop)
526991	270364	Conductor
526992	26008	
526993	27196	Henchman #2
526995	54305	
526996	321915	Alex
526997	246344	
526998	120344	Party Goer
526999	176323	Himself - Cleveland Indians P
527000	313583	Fan in Lobby
527001	14585	
527002	140051	
527003	201842	Himself (with Trudeau on This
527003	400459	Host
527003	408042	Interviewer
527004	176172	Rustam
527005	27481	Pet Shop Assistant
527006	66374	Sadek
527006	119365	Magician
527007	16363	Jakob
527008	357752	Fånge
527009	142491	Girlfriend
527010	2500	
527010	12758	Scotty McGrath
527010	161515	Paddy
527010	311465	Signor Spigoni
527011	258796	Pak
527012	166670	
527012	406145	Spellbinder
527013	5737	Jimmy
527014	355566	
527015	173516	Hey-Hey Club Musician: Trumpe
527017	265288	Drama Critic
527018	238658	Drug Park Punk #2
527019	271347	Claudio
527020	12693	
527020	90162	
527021	70217	Himself
527022	388581	Björn Linder
527023	76912	Herr Strauch
527023	82542	Harald Groth
527023	95282	Roland Engel
527023	126174	
527023	182890	
527023	196439	Tom
527023	215984	
527023	219268	Steffen
527023	275161	Stefan Weber
527023	276096	Achim von Arnim
527023	280508	Sebastian
527023	321249	Udo
527023	325669	Albert Potter
527023	328546	Martin Köhler
527023	334713	Claudio Fernandez
527023	352567	Young Konrad
527023	387964	Hardenberg jun.
527023	394619	Eberhard Klingler
527024	365786	
527025	215905	Reporter
527026	71296	
527026	158772	Heurtin
527026	229989	Yman Jarrell
527027	281166	Mercutio
527028	41721	Himself
527028	113091	Himself
527028	159286	
527028	202496	Deseõ Zoltán
527028	227531	The Grandfather
527028	227533	Nagyapa
527028	227534	Nagyapa
527028	322057	Himself
527029	8092	Sands Fight Referee
527030	323283	
527031	30091	Waiter/Bartender
527031	255497	Adulterer
527031	312522	
527032	341939	Paramedic #2
527033	294537	Specialty Act
527034	284066	
527035	262172	
527036	162144	
527036	180358	
527036	215110	
527037	375461	Son
527038	89240	Wylie Thompson
527038	164364	Louis 'Louie/Lou' Durante
527038	396056	Christopher Nardini
527038	406621	Davey Hopewell
527039	43075	
527039	43213	
527039	82782	
527039	84260	Mr. Rogers, servant
527039	129751	
527039	174980	
527039	245898	
527039	263637	
527039	298477	
527039	349316	Zhukov
527039	370163	
527039	394752	Prokuror Segalov
527040	244722	
527041	242929	Member, bar mitzvah band
527042	64661	Russian Swings
527043	60846	
527044	253716	Chicho Dobrin
527045	263403	Romochka
527046	813	
527046	163161	
527046	188523	Dima
527046	190729	
527046	229927	
527046	323646	Petyunchik
527046	349270	
527046	370941	
527046	373704	
527047	179728	
527047	188005	
527047	238129	Konstantin
527047	301897	Prince Yuri Golitsyn
527047	349302	Czar Peter the Great
527047	350800	
527047	373270	
527047	373274	Peter the Great
527047	375472	
527047	403783	
527048	304896	
527049	17837	
527049	35864	
527049	40935	
527049	40936	
527049	60697	
527049	89807	
527049	95647	Dobrov
527049	98637	
527049	129971	
527049	176137	
527049	356921	Prosecutor
527050	20105	
527051	995	Ostap Bender (vocal)
527051	32757	
527051	34228	
527051	49465	Bumbarash
527051	59772	Ivan Kivrin
527051	60438	
527051	61213	
527051	82614	
527051	84467	
527051	132353	
527051	154684	
527051	161079	Zhen'ka Xidias
527051	163912	Prince Miloslavsky (vocal)
527051	172440	Himself
527051	172450	Blagorodnyj karas'
527051	174355	Bybikov
527051	176134	Detective Vasili Snezhkin
527051	229074	
527051	234435	Kostya's Father
527051	234436	Otets Kosty
527051	237527	
527051	239366	
527051	244164	
527051	246897	Petya Trofimov
527051	265847	Zeryozhkin
527051	303790	Filka
527051	305553	
527051	312432	
527051	321872	
527051	323329	
527051	326525	Ksaveri Borisovich Ilchin
527051	338475	
527051	339327	
527051	341191	Lutonya
527051	341329	George
527051	349785	
527051	356592	
527051	370230	
527051	370919	Kasatkin
527051	374181	(segment "Versiya")
527051	375330	Kilin
527051	396605	Mozart
527051	397053	Bosoy
527051	398757	
527051	409314	Khali-Gali
527052	96610	
527053	313334	Customer
527054	357333	
527055	255157	
527056	96466	
527056	163123	
527056	163851	
527056	175466	
527056	182831	Supervisor
527056	200615	
527056	201967	
527056	212308	
527056	268430	
527056	278687	
527056	322011	Kockás kabátos
527056	322191	
527056	333123	
527056	350833	
527056	377748	Szemetes
527056	377797	
527056	379094	
527056	387360	Dácsik
527057	345965	
527058	393168	
527059	20567	
527060	311802	
527061	132909	Pedestrian
527062	132070	
527062	339748	Red Army soldier
527063	16442	Jeff
527064	406646	Kenta Knutsson
527065	153963	
527066	179641	Rozi, DJ
527067	39962	
527069	9113	Himself (White Zombie vocalis
527069	100829	Himself
527069	114509	
527069	150863	Dr. Wolfenstein's Assistant
527069	221435	Himself
527069	243928	Himself
527069	319454	Himself (Musician)
527069	360457	Himself
527069	378685	Himself - Member, White Zombi
527069	392421	Himself
527069	392422	Himself
527070	82043	Additional Voices
527070	86286	
527070	141696	Maillaux
527070	211943	Additional Voices
527070	265064	Additional Voices
527070	378652	Fighting Bones
527071	112984	Herself
527072	222212	Party-goer
527073	376187	Martijn
527074	289877	Valentijn Gisberts
527075	289877	Jan-Julius Gisberts
527076	15187	John
527076	368677	
527076	390242	Daniël (1990-1999)
527076	402877	Ben
527076	406166	Nico Willems
527076	408603	Schoonzoon Ad
527077	225410	Abramsky
527078	156589	
527079	356420	Benningsen
527079	356423	Bennigsen
527080	305004	Mafia bonde 1
527080	403534	Himself - Participant
527080	403536	Himself - Participant (2001)
527081	5300	Himself
527082	965	Hermes
527084	277562	
527085	358322	Himself
527086	287692	
527087	17742	
527088	11202	Additional Voices
527089	137494	
527090	9213	Himself
527091	368374	Thandle
527092	204913	
527093	20304	
527094	9778	
527095	359423	Handyman
527096	227120	Astrid
527096	357335	
527097	167824	Jiang Zhongjian
527098	35107	General Nieh
527099	44433	Agent #2
527100	358928	
527101	303052	Le père de Julien
527102	44384	Card Player
527102	232114	Homeless Man
527103	156573	Dean
527104	265400	Dr. Wagner
527105	375663	
527106	279089	Italmaz
527107	8475	
527107	11762	
527107	174821	
527107	244483	Hotel manager
527107	327116	Leo
527108	354765	
527109	289331	
527110	146954	
527111	152564	Steve Hunter
527112	114648	Bench Midas
527113	185359	Himself
527114	191688	World Cup lacrosse player
527114	274521	Billy Bob (Elly May) Clemson
527115	53327	Randy Rubio
527115	330386	Faggles/Mr. Wintergarden
527116	363560	Violent TV Bad Guy
527117	13973	
527118	56387	
527118	57282	Waiter
527118	64949	Flic au rapport
527118	71827	Policier 1
527118	107835	
527118	166129	L'acheteur du Blouson
527118	275110	
527118	302145	Ambulance doctor
527118	335253	L'employé de Bateaux-Mouche
527118	346819	
527118	348651	X
527118	369490	Himself
527118	402720	L'infirmier
527119	254154	
527119	316067	Mime
527119	349418	Doctor
527120	111377	
527120	286413	Lord of the Animals
527121	133949	Himself (trick rider)
527121	331065	Performer in show
527122	126691	Horseman
527123	133949	Themselves
527124	1335	The Follower of Gioberti
527124	13476	
527124	14903	Battista
527124	54353	
527124	57962	
527124	61059	
527124	79157	Falso milionario
527124	108556	
527124	168250	Ruggero d'Arment
527124	176643	
527124	193422	Ravellini
527124	199920	
527124	212599	
527124	237457	Tommaso
527124	249462	
527124	277737	Major-domo
527124	279039	Ziangiacomo
527124	292267	
527124	293338	Rossi, il capo del personale
527124	301369	Store manager
527124	313899	
527124	326088	The teacher
527124	327198	
527124	327902	Emmerich
527124	339073	The unfaithful husband
527124	344412	
527124	348145	Tadino
527124	349522	Karl Thorn
527125	199950	Jam (English dub)
527125	259032	Snubble
527125	259096	
527125	259097	Fergus
527125	300594	Miki Kaoru
527125	319790	Black Cat
527125	350723	Kashell/Suo/Badrach
527125	392570	Maeno
527125	394064	Cinnamonkey
527125	401740	Rattata, Snubble, Grimer, She
527125	405278	Miki Kaoru
527125	405633	Prince Philionel
527125	405635	Prince Philionel
527125	405636	Saman, Dilgear, Additional Vo
527125	407519	
527125	409390	Boaconda, Mayumi Kinnikuman (
527125	409692	Masami Horii(voice: English v
527125	411449	Masaki Maruo, Kazuto's Father
527125	411886	Weevil Underwood, Lumis
527125	411887	Weevil Underwood (English ver
527126	313920	The Masher
527127	155610	
527127	186541	
527127	308482	
527128	58202	Father
527128	88747	Psychiatrist
527128	351809	
527128	378508	
527129	45889	Vincenzino
527130	395091	Persian Corporal
527131	390950	Angry Arabian man
527132	231745	Man in Restroom
527133	188388	Television announcer/Lawyer
527134	115041	Himself
527134	170230	Himself
527136	54464	Mad Person
527136	118291	Egyptian Orderly
527136	245230	Detective Parks
527137	84032	
527137	93731	Police agent
527137	104893	
527137	180352	
527137	237088	
527137	350783	
527137	379445	Captain Petros
527137	380170	Photographer
527137	380769	
527137	380819	Jeremes
527137	383215	
527137	407925	
527138	275408	Thomas
527138	380493	
527139	177702	Pashalis
527140	401627	Emcee
527141	192911	
527141	293750	Primoz
527142	103440	
527143	163263	Andrea
527144	57454	
527145	103033	Osztrák tiszt
527145	104795	
527145	166657	Agáthék inasa
527145	326076	Peterdy Béla, Éva udvarlója
527145	335963	
527145	349047	
527146	122613	
527147	157896	Himself (Jewish Brigade)
527148	212129	Boy at discotheque
527149	53050	Chez Cheez Guy
527149	144922	Chuckie Dipple
527149	264825	Bubba Beauregard
527149	310852	Harlan
527149	326744	Squirrelly assistant
527149	367512	Shelly
527149	372576	Beef
527150	122113	
527151	301424	Srbin
527152	320640	Stefek
527153	241159	Cyberpunk
527154	8579	
527154	29055	
527154	60468	
527154	62352	
527154	65404	
527154	68581	
527154	74649	
527154	74821	
527154	75486	
527154	91171	Amigo de Saturnino
527154	96314	
527154	121254	
527154	160726	
527154	164237	Juez
527154	193159	
527154	199845	
527154	199946	
527154	205713	
527154	212347	
527154	218096	
527154	247198	Bisabuela
527154	251580	Pedro
527154	251590	
527154	253706	
527154	273861	
527154	318331	
527154	326144	
527154	350558	Matías
527154	357535	Mono
527154	370156	Don Ramón
527154	376669	
527154	377894	
527154	402702	
527155	220891	Blake's Chef
527156	81509	Himself
527157	164056	
527158	18273	Jonas
527158	18274	
527158	41379	Mindy
527158	60155	Louie Constantine
527158	64869	Mayor Baci
527158	66131	Swiss Businessman
527158	67560	Frank Staplin
527158	68308	Rudy Warner
527158	70341	Taxi driver
527158	76897	Russian Ambassador
527158	81190	Ben Loman
527158	87428	Greek Millionaire
527158	90097	Mitch
527158	111928	Constable
527158	114364	Morris
527158	117129	Nick, the dispatcher
527158	120242	Marvin Levine
527158	131411	George W. Chadwick
527158	147481	Sammy
527158	149180	Joe Notario
527158	168289	Judge
527158	199467	Pandora's Father
527158	215793	Ochenko
527158	222495	Pete
527158	231032	Frank Lo Falcone
527158	236870	John Bloom
527158	244397	Demonides
527158	260387	Penebaz
527158	291837	Dorn
527158	330194	2nd Sanitation Man
527158	348366	Sheik Amier
527158	351723	Dinelli
527158	357994	Gene Fowler
527158	362529	
527158	363268	Kragopoulos
527158	368455	Pete
527158	372487	Joe Garaventi
527158	380391	Milo Simonelli (1982)
527158	382835	Jules Berger
527158	387120	
527158	396350	Burt Buchman (1997-1999)
527158	397055	Lieutenant Nick Pappas
527159	239920	
527160	9232	Pinturic
527160	58312	Zlatko Trlin
527160	81289	Dispatcher
527160	129360	
527160	132128	2nd Policeman
527160	173009	
527160	174177	
527160	181470	
527160	197093	
527160	197224	
527160	229079	
527160	236168	
527160	248002	
527160	259133	
527160	263426	
527160	267120	
527160	267859	
527160	326547	
527160	333476	
527160	357350	Djuka Cvijic - Kirs
527160	375316	Kovac
527160	399928	
527160	405705	
527161	130925	Dawadorshi
527162	227533	
527163	49598	
527163	111877	Luc
527163	252775	Robert de Beaurenon
527164	406814	
527165	356570	
527166	123509	
527167	207838	Himself (debates Stevenson at
527168	156002	Himself
527169	19493	
527169	74649	
527169	91171	
527170	56011	
527171	46769	Gianni
527171	103317	The dancer
527171	142301	Dancer
527171	194176	Ballet Specialty
527171	231768	Specialty dancer
527171	286808	Sword Dancer
527171	346914	Dancing Partner
527172	197899	
527173	138449	Edin
527174	235619	Ramon
527174	313672	Hassan Caliskan
527174	325670	Sinan Kurt
527174	334712	
527174	380392	Mehmet
527174	410002	Jussef Reimann
527175	31857	Winged Creature Leader
527176	234954	
527177	37965	Billy's Gang
527177	40334	Holiday Inn Bellboy
527177	99693	
527177	155094	Dennis
527177	158975	Screenwriter
527177	223752	Eddie
527177	296238	
527177	323460	Nat
527177	330773	Jordan Strang, Erica's Boyfri
527177	362355	Randy
527177	391587	
527178	363981	Dr. Erlenmeyer
527179	43963	Himself
527179	267843	
527179	277074	Himself
527179	278833	Reeds: Sound Afternoon at Lif
527179	284837	Himself
527180	242111	Mexican Deejay
527181	134187	
527182	215076	
527183	60921	Juanvi
527183	74578	Estéban
527183	74842	Marcos
527183	76110	Carlos
527183	102441	Arturo
527183	161847	Lucio
527183	204684	Mangui
527183	244590	Guardia Civil
527183	301157	
527184	34561	
527184	50292	The Famous Artist
527184	65204	
527184	65205	
527184	74973	
527184	80128	
527184	84499	
527184	86102	
527184	108719	
527184	121478	
527184	124264	
527184	204610	
527184	205466	
527184	216073	
527184	223623	
527184	251959	
527184	260537	
527184	277368	
527184	323935	
527184	343610	
527185	383355	Galdino
527186	269164	Sichopa
527187	269164	Motorista
527188	96496	
527188	270855	Chicco
527189	5689	Alberto
527190	275291	Reporter
527191	170075	
527192	196566	Steven
527193	242978	
527193	340419	
527194	285289	Stubby Malone
527195	217406	Le chanteur
527196	162435	
527199	143757	
527201	252628	
527202	109938	Doorman
527203	321968	
527204	59772	
527205	88691	
527205	98585	
527206	357410	The Grand Prince Sergei Aleks
527207	179667	
527208	318206	
527210	81135	Jean Pierre Pascal Dauzet
527211	120063	
527212	65085	Photographer
527212	85006	Homecoming Director
527213	109490	Vinny
527214	115732	
527214	324450	
527215	1752	
527215	8431	
527215	76712	Daphnis
527215	170276	
527215	256407	
527215	304325	Bracken's secretary
527216	224501	
527217	8781	Xiao Lan's Father
527218	114454	Chinese Man
527219	28310	
527220	167103	Kashayar
527221	13098	Operaio
527222	240236	
527223	138764	Pipis
527224	125595	
527225	213326	Purvis
527226	10378	
527226	16379	
527226	21493	Panos
527226	178459	Kavouras
527226	247649	
527226	250769	
527226	287997	Man with knife
527226	350804	Yiannis
527226	350808	Yuri
527226	380485	
527226	386349	
527226	389583	Yannis
527226	406577	
527226	411655	Host
527226	412077	
527227	166856	Workman
527227	233249	
527227	375074	
527228	211832	Simone poi Pietro
527229	285696	
527230	31018	Extra: Metro
527231	112832	Farid
527231	148705	Naji
527231	210198	
527231	247979	Ali
527231	271039	Supervisor
527232	243219	
527233	220479	
527234	264242	
527235	266643	Gustav
527235	314078	
527235	324566	Porucík Prouza
527235	351276	Michal Najman
527235	383082	Ivan
527235	384131	Tomás
527236	23345	Dr. Siesja
527236	35879	Jíru
527236	42196	Mjr. Hlava
527236	43273	Pyrotechnist
527236	55882	Bernásek
527236	95057	
527236	95065	Det. Mares
527236	147226	Benda
527236	171531	Director
527236	198229	Doorman
527236	230032	Kohout
527236	234253	
527236	242635	Jurist
527236	249480	
527236	264230	Band leader
527236	266461	Kamil
527236	276461	Kavan
527236	301400	Von Pallawski
527236	304130	Balcar
527236	305247	Boss of farm
527236	305248	Predseda JZD
527236	305249	Director
527236	305825	Por. Slajner
527236	306377	Prokurátor
527236	332390	Jirí Hácek
527236	357715	
527236	357904	Vavruska
527236	357920	Karnet
527236	374097	Porucik karel horák
527236	375953	Peterka
527236	376564	Major Janda
527236	384131	Tomás's father
527236	404278	Strejda
527236	408863	Hanka's father
527237	270285	
527238	288315	
527239	264974	Tough Guy
527240	70423	Juwelier
527241	73143	Agent d'aeroport
527241	181951	Charles
527241	345044	Hamlet
527241	378858	Dr Pascal Constantin
527241	386092	Paul Legault
527241	398096	Laurent
527241	406981	Benoit Major
527242	120970	Frère Aldéric
527242	159768	
527242	251537	
527242	385123	Le comparse de Mathieu
527242	411623	Selim
527243	168720	Practical Dealer
527244	28955	Niño
527244	161770	Himself
527244	226531	Tirailleur Sénegalais
527245	29576	
527245	340720	
527245	380852	Giacomo minore
527246	173388	Sima
527246	246909	
527246	261404	Mailman
527246	375353	
527247	337998	Trancer Joe
527248	18152	
527248	76333	Mate
527248	147464	Tein brat
527248	239785	Videur du Niel's
527248	261404	Waiter on boat
527248	399020	
527249	295254	Uncle Avan
527250	81644	Pirate
527251	19374	
527252	8269	
527252	19374	
527252	20856	
527252	100262	
527252	110889	
527252	206746	
527252	222049	(segment El imponente)
527252	238759	
527252	252798	
527252	253319	
527252	282138	Mannenstein
527252	287854	Prof. Ordorica
527252	337955	
527252	356671	Don Fernando
527253	164691	
527254	348911	
527255	21292	
527255	104429	
527255	180357	
527255	184839	Monk
527255	242820	(segment "Navazhdeniye")
527255	265640	
527255	265641	
527256	86274	Rivers
527256	152219	Antony Mario
527256	185096	Secret Service Man
527256	192347	Geno
527256	262647	Federal Team
527256	266647	Dr. Harold Harold
527257	208812	Victor
527258	70192	Sbire
527258	112818	Routier
527259	142526	Manager
527259	337699	Professor
527260	343459	
527261	50993	Le père au téléphone
527262	95578	
527262	351346	Dubok
527262	351349	Lt. Gen. Panteleyev
527262	356126	
527262	357232	Vassili Kuzmich Yerofeyev, wo
527263	65089	
527264	144681	Hicham
527265	104764	Yugoslav entry (1st place)
527266	106620	Screaming Driver
527266	283563	Father Gibson
527267	382787	Pukovnik Bozo
527268	225923	
527268	398999	Dr. Igor Muc
527269	191398	Surfer, NOAA representative
527270	314716	
527271	180680	
527271	324567	
527272	174020	Chairman of ksc
527272	207714	General
527272	226519	
527272	266456	Viták
527272	270400	Karásek
527273	142726	
527274	235367	Joe Bukowski
527275	170124	Franz
527276	14659	Professor de Musica
527277	173174	Mario
527277	173175	Vinzent Lakotta
527278	6300	Mann im Hörsaal
527278	226411	Himself
527279	40380	Vater Schneider
527279	92640	Herr Mandelkow
527279	136606	
527279	162465	
527279	170696	
527279	210012	Flemming
527279	231465	
527279	259437	Udo
527279	259447	Werner Zimmer
527279	259471	
527279	259568	Bass
527279	259664	Dr. Hausdörfer
527279	259667	Reinhold Krüger
527279	312636	Trinker
527279	312637	Wohlfahrt
527279	312649	Paul
527279	347700	Fanny
527279	373659	Kahle
527279	388967	Brückner
527280	8279	
527280	8548	
527280	10994	Gomer
527280	31425	
527280	39685	Ernesto
527280	79864	No. 5
527280	96632	
527280	150060	Ronaldo
527280	171816	
527280	182187	
527280	202353	
527280	203365	
527280	207504	Officer Abe
527280	284660	
527281	40959	
527281	182888	
527281	310906	
527281	325818	
527330	390957	Trevor
527281	327726	Father (segment The Enlighten
527282	354257	
527283	24715	
527284	14132	New York Cabbie
527284	83829	Police Officer
527284	101573	Wedding Party Dancer
527284	114039	Undercover Police Officer
527284	196995	Bar Patron
527284	201260	Driver/Theater Patron
527284	218785	Real Estate Agent
527284	220891	Millionaire Mourner
527284	250576	Maj. Gen. Stewart
527284	309202	Alumni
527284	336475	L.A.P.D. Officer
527284	378627	Hardhat Forerman Rioter
527285	283819	Magician
527286	45444	
527287	312100	
527288	214495	
527289	409728	
527289	412290	Kenguru Péter
527290	409728	
527290	412290	Kenguru Pál
527291	28528	L'entraîneur de karaté
527291	164178	Le Client raciste
527291	171416	
527291	236551	
527291	284666	
527291	312222	
527292	343633	
527293	2750	Himself - Best Cinematography
527293	37098	Himself
527293	59403	Himself
527293	96975	Himself
527293	113295	Himself
527293	192927	Himself
527293	201651	Himself
527293	208245	Albert Bierstadt
527293	355388	Himself
527293	373405	Himself
527294	178171	
527294	280663	Herzen
527294	316480	
527294	316905	
527294	360703	
527295	336360	Máté
527296	237162	
527298	153678	Szovjet katona
527299	60448	
527300	278687	
527301	345965	
527302	238644	
527302	284355	
527303	237160	
527304	103052	Nichelson
527304	162974	
527304	215472	
527304	229464	
527305	322060	
527307	197906	Miklós, községi vadász
527308	199079	Dancer
527309	9454	
527309	95162	
527309	110915	
527309	136431	
527309	177975	
527309	182653	
527309	209842	
527309	212308	
527309	212825	
527309	229692	
527309	237167	
527309	243722	Központi rendõr
527309	268284	
527309	307147	
527309	326341	
527309	378042	
527310	182519	
527311	193338	
527312	349627	
527313	282124	
527314	368737	
527315	28537	Student
527315	35558	(segment "Ákos és Zsolt")
527315	51221	
527315	58405	The prince
527315	137921	Fortinbras
527315	138603	
527315	153865	
527315	163130	Egon, diák
527315	182723	
527315	211036	Angyal
527315	309289	SS Selection officer
527315	322105	Angeli Gyuri
527315	354934	Rothschild
527315	357822	
527315	377615	Feri
527316	46015	Arbitre combat final
527317	124098	Hans
527317	149975	Sonar Operator
527317	299342	Guido
527318	138907	Zigarettenhändler
527320	138907	Zigarettenhändler
527321	185241	Second Warder
527322	13063	Hamid
527323	97016	Barry
527323	167573	Salaam
527323	171335	Pretzel Vendor
527323	327269	Sam
527324	64672	French Officer
527325	234310	Guardia de Seguridad
527326	411579	Batista
527327	9651	
527327	51368	Wobbles
527327	51446	
527327	81512	
527327	98070	Sharky, Gunman Hired by Steng
527327	193039	
527327	243690	Beretto
527327	270857	
527328	55544	
527328	64772	Troubadour
527328	96519	Premier maestro Rubetti
527328	227153	Peasant
527328	266120	Copyist
527329	57869	Hombre de pemex
527329	73543	
527329	100590	
527329	193189	
527329	292941	
527329	353577	
527329	379554	Filemon
527329	384987	Juan Diego
527329	404827	Luis
527329	408860	
527329	410081	Felipe
527330	66682	Jimmy
527330	73217	Petey
527330	78318	Bob
527330	109513	Steve Carson
527330	199210	Scrooloose
527330	257048	King
527330	313815	Lorca's friend
527330	323736	Gem
527330	359446	Young soldier
527331	137715	
527332	291708	Boy with Ball
527333	39158	Niki
527334	10481	Cartago
527334	30767	
527334	55617	Gasolinero
527334	135941	
527334	258133	Jon Vergara
527334	260934	Pepín
527334	357187	Esteban
527334	372950	Manu
527334	393366	
527334	401613	
527335	4417	
527336	12091	
527337	112785	
527337	132078	
527337	176143	
527337	283826	Father Gerasim
527337	351332	
527338	181591	
527339	92328	
527339	94509	
527339	249886	
527340	371359	
527341	175918	Show Host on TV
527342	321876	(1970 version)
527343	407711	Imanol
527344	236751	Juliana
527345	40212	
527345	173198	
527345	179632	
527345	318562	
527346	263359	Psychotic Criminal
527347	122503	Niklas
527347	150667	Niklas
527347	333082	Tet
527347	354364	Viktor
527347	394197	Kaspar Lindgren
527348	113500	Jess
527349	347534	Chris
527350	286566	
527350	308958	Axel C. Knoop
527350	325393	Inspektor Schulz
527350	325509	Inspektor Schulz
527350	325759	Inspektor Schulz
527350	325943	Inspektor Schul
527350	353995	Balthasar
527350	390811	
527351	188636	Un garçon au piano
527352	3088	Le petit Pierre
527352	96138	Jean enfant
527352	111118	
527352	269822	
527352	397768	
527352	398359	Mozart à 8 ans
527352	400869	Un fils Belleau
527353	36206	
527353	88077	Prince Kabir
527353	95771	Doctor
527353	98524	
527353	117556	Macho escort
527353	140367	Shyam/Pritam
527353	167891	Muhammad Iqhal
527353	173109	Jaisingh Jadhav
527353	173506	
527353	192175	
527353	211351	Prince of Morocco
527353	222563	Sharad
527353	228824	Villa Hostage
527353	234578	Major Anglais
527353	264655	Ashok
527353	268598	Ranjeet
527353	279757	Interrogator
527353	283151	
527353	288493	Guard #1
527353	291818	Ram Das Gupta
527353	299287	Renos
527353	303980	Dad
527353	321082	Andy
527353	327138	
527353	343072	Uncle
527353	365972	The Sultan of Moroco
527353	370967	
527353	382272	Bloomfield
527353	383890	Kewal
527353	387533	Dr. Patel
527353	390542	Mo Dhillon
527353	390714	Mr. Rahim (1988)
527353	411133	Customs Official
527354	199000	
527355	309636	Himself
527356	391659	Professor of Sociology, Autho
527357	303564	Bobby
527358	267640	Dale
527359	9694	Manuel
527359	12664	
527359	20237	
527359	29673	King's Soldier
527359	30341	Ladron flaco
527359	53010	
527359	68992	Pistolero
527359	70079	
527359	71123	
527359	74142	
527359	74361	Party guest
527359	81350	Soldier
527359	81414	
527359	85973	
527359	87086	
527359	88798	
527359	100782	
527359	104512	Paramilitary
527359	114322	
527359	114324	
527359	123187	
527359	131126	
527359	135313	Coronel Miranda
527359	143680	
527359	165766	
527359	167801	
527359	204739	Pseudo-Soldier
527359	215406	Leon
527359	217311	
527359	220236	
527359	227683	
527359	249876	
527359	251284	
527359	256787	
527359	257900	Edgar
527359	266879	
527359	269237	
527359	307574	Maleante
527359	319733	
527359	328886	
527359	340308	Detective
527359	378415	
527359	411248	Bessette
527360	39374	Swimmer
527360	203319	Driver
527360	215794	Tourist
527360	240694	Prostitute Customer
527360	292008	Snake's Driver
527361	122776	Wallpaper man
527362	47997	Xylophone player
527362	122776	Janitor at the Swedish embass
527363	28930	Officer #1
527363	194009	Cletus Sharp
527363	204218	Spurgen
527363	387029	Craig
527365	3353	Amigo Taxista
527365	21075	Compañero/Companion
527365	211045	Mario
527365	226435	Santi
527365	372950	Refugiado 2
527365	390244	Xabier
527366	61814	
527367	396411	
527368	104767	Spanish Entry (14th place)
527368	280514	
527369	6895	Himself
527370	84470	Old Grigori
527370	217292	The Beard Baker
527371	18399	
527371	60428	
527371	82803	
527371	86612	
527371	95749	
527371	104431	
527371	163931	Capt. Kholin
527371	179789	Stepan
527371	187881	Andreï
527371	188522	Stepan
527371	225996	
527371	226426	
527371	244253	Sergei Ivanovich
527371	284480	
527371	293903	
527371	295497	
527371	307614	Nikolay Savelyev
527371	323218	Lobov
527371	340234	
527371	356121	
527371	357336	Gleb
527371	370191	
527371	371425	
527372	172442	
527372	186184	Lautar
527372	196726	Mikhail Eminescu
527372	206127	Cowpuncher
527372	258439	Pavelash
527372	305200	Dancer
527372	321186	The Stepfather
527372	324487	
527373	88063	Paul
527373	254601	Réceptionniste hôtel
527374	28537	Béla K.
527374	104197	
527374	188894	Tamas
527375	213676	
527375	258459	Sasha
527376	94175	
527376	131991	Famusov
527376	176139	
527376	205979	
527376	277285	
527376	350731	Tsiganov
527377	210158	Mracajski proto
527377	320236	
527377	399899	
527377	411962	Mesar Bozo
527378	284066	
527379	118273	Harold
527380	1379	Sauna Man
527381	206499	Himself
527382	404834	
527383	285310	Pappy
527384	47588	Cop
527385	80430	Bingo Burger Patron
527386	116392	
527387	306053	Slippery Pete
527388	232630	Mr. Rivera
527390	257043	Watchman
527391	18210	Pierre
527391	70940	Filasse
527391	101140	
527391	189318	Julien Berg
527391	199479	
527391	208226	Thomas
527391	266746	Le môme
527391	279698	
527391	282295	Charles
527391	346441	L'enfant cinéaste amateur
527391	396817	Pierre adolescent
527392	355634	Palazzi
527393	236505	Photographer
527393	354656	Le matteur
527394	205426	Jimmy
527395	129036	
527396	51367	
527397	17599	David
527397	118778	Inquisitore
527397	220608	Alex
527398	183480	
527399	331496	
527400	331496	
527401	331496	
527402	336595	Lazarus' relative
527403	89667	
527404	3393	Himself - Performer
527404	40749	Rocco
527404	251083	Guest performer
527404	251085	Guest Performer
527404	251086	Himself
527404	251088	Guest Performer for "A Wonder
527404	251089	
527405	16810	Victor Winslow
527405	41368	Ring Announcer
527405	72108	The Ambassador
527405	82688	Colonel Natl. Guard
527405	95188	Reynaldo
527405	95855	
527405	112009	Maj. Terry
527405	113924	Doctor
527405	153269	Colonel
527405	185661	Gen. George Mayfield
527405	192536	Curt Erhardt
527405	207480	
527405	227030	Dr. Fellows
527405	241498	Coroner
527405	242707	
527405	271104	Shelton
527405	301818	Travis
527405	301820	FBI Agent
527405	316343	White
527405	317244	Bazil
527405	362650	Whiz
527406	96834	
527407	45650	Boy of St. Vincent
527408	393	
527408	35012	
527408	43432	Two Fingers
527408	70044	Alex Manzetti
527408	162045	
527408	206076	
527408	256748	Zucchet
527408	259708	
527408	295170	
527408	313915	
527408	371391	Barto
527409	10282	
527409	56354	Father Stefani
527409	68658	
527409	119089	Porta
527409	135149	Il produttore
527409	202777	
527409	217760	
527409	227963	
527409	279243	Pietro Boscovich
527409	294408	
527409	309786	
527409	348198	Judge Lucio Di Pietro
527409	378998	Don Paolo
527409	386484	Di Francesco
527409	409093	
527410	177053	
527411	296523	
527412	359503	
527413	4718	Firing squad officer
527413	7108	Professor Moriarty
527413	7961	Dr. Adolph Kammer
527413	20206	Prison Governor
527413	20715	Rolf Alferson
527413	20910	Prefect of Police
527413	24696	Rev. Mayne
527413	30122	The Judge
527413	39831	Amos Bradford
527413	39961	Lord Denby
527413	46779	Count Rudi Armalia
527413	54478	Marquis De Carvajal
527413	54479	Arnold Trist
527413	56687	Mr. Crosby, lawyer
527413	59609	Dr. Cardigan
527413	69483	Detective Geddes
527413	69676	Sen. Malachowski
527413	78967	Abbadi
527413	79522	Egyptian Ambassador
527413	80547	Dr. Lloyd Clayton/Elwyn Clayt
527413	83836	Father Donnard
527413	90858	Prof. Lampini
527413	92587	Dr. Robert Renault
527413	93605	Cavaignac
527413	99396	Dr. Edwin L. Jannery
527413	109436	Otto Brockler
527413	113920	St. Clair, Secret Service Chi
527413	114157	Father Robert Stuart
527413	114853	The Voice
527413	116253	Prof. Andrew Forbes
527413	116372	Leo Grainger
527413	131391	Fauntley
527413	137505	Peter van Hoost
527413	138987	H.G. Danziger
527413	140407	The Great Movel
527413	143618	James K. Spaulding
527413	147412	Dr. Pavel Storasky
527413	147973	Mr. Crepitude
527413	150916	Prof. Bruno Lampini
527413	152721	Procurator
527413	157129	Mr. Mallam
527413	160935	Webster
527413	163413	Convict
527413	168119	Constable of Clerveaux
527413	183720	Man from Reclamation Agent
527413	188326	Judge Mackenzie
527413	193587	Inspector Jefferson
527413	194462	James 'Jim' Hampstead
527413	197702	Officer H. R. Barrett
527413	199177	Dr. Alfred Morris
527413	199221	Dr. Lorenzo Cameron
527413	199304	Dubocage
527413	199403	Dr. LaFarge
527413	200478	Dr. Luis Virgo
527413	203091	Squire
527413	203484	Moody, Colonel Winstanley's B
527413	205724	Governor of Conciergerie
527413	213191	Jelke
527413	213285	Lord Dore
527413	218349	Dr. Perry
527413	219747	Craxton
527413	222328	Andoheb, High Priest of Arkan
527413	222329	Professor Andoheb, High Pries
527413	222334	Andoheb
527413	223903	Dr. Hugo Streger
527413	230302	Tony Rocco
527413	230731	Vicomte Ribaud
527413	249235	Sir Charles Russell
527413	256592	The Viceroy
527413	276737	Ape Man (credited but not in 
527413	279321	Hotel Manager
527413	281358	James Renton
527413	281696	General Maroff of Romanza
527413	288205	Dr. Harmsworth Bierd
527413	289546	Dr. Josef Van Ee
527413	292414	Dr. Fortescue
527413	292621	Otto Dagoff
527413	295439	Fahrenburg
527413	296927	Frank Swift
527413	298594	Richard Stanley/Heinrich Hink
527413	302870	Crowley Bascomb
527413	308045	Proprietor of the Cafe de Par
527413	309579	Barton Woodley
527413	318138	Horadef
527413	318246	Prime Minister
527413	325115	Palanth, the High Priest
527413	329951	Prosecutor
527413	331324	Dr. Plauten (Sanatorium)
527413	335955	Dr. Jeris
527413	349554	Dr. Waxton
527413	356800	Nicholas
527413	359928	
527413	360834	Bey of Aribajan
527413	362225	Inspector Hull
527413	362507	
527413	363464	Paul Stertorius
527413	364212	Doc Robbin
527413	367686	Defense Attorney
527414	219595	
527415	16076	Himself
527415	390688	Julien
527415	409462	Jeune homme au cimetière
527416	402302	L'oste della Luna Piena
527416	403449	Romano
527417	90708	
527418	177025	Muscleman
527418	410687	Himself
527419	3966	Olaf
527420	259617	
527421	293684	
527422	282940	Boy
527423	355052	Extra
527424	224375	Jack Crenshaw
527425	144913	Featured Extra
527426	106174	Mr. Kopenski
527426	234572	Harrison Smythe
527428	63676	
527429	114152	Little boy with birds
527429	272602	Boy in Lobby
527430	114152	Bread vendor
527430	144913	Featured Extra
527430	223711	Customer
527430	226937	Lab Technician
527430	226938	Clinic Patient
527430	226939	Airport Photographer
527430	335880	Chef
527431	93645	Jerome
527431	207266	Jerome
527431	216905	Guy in Love
527431	245716	Jerome
527431	326743	Malcolm
527431	333055	Jerome
527431	372576	Eddie
527432	84808	
527432	84809	
527432	107990	Reporter #3
527433	9125	Ground crewman #1
527433	30582	Man with shooting Hot Dog
527433	175621	Man in Car/Technician #2/Grun
527433	201512	Himself
527433	226937	Davy Crockett
527433	226938	Teleprompter Guy
527433	335880	German Soldier in Prop Room
527433	372878	Himself
527434	155011	Young Barry
527435	174640	As himself
527436	9125	Ground crewman #2
527436	175621	Technician #3/Sleeping Man/Be
527436	201511	Himself
527436	335880	German Soldier in Prop Room
527436	372878	Himself
527437	14642	
527437	16781	
527437	22782	
527437	29845	
527437	51540	
527437	53604	
527437	56072	
527437	63950	
527437	70202	
527437	70646	
527437	72433	
527437	73299	
527437	82961	
527437	85554	
527437	88198	
527437	90017	
527437	103491	
527437	104157	
527437	115761	
527437	132676	
527437	132719	
527437	132720	
527437	145238	
527437	150529	
527437	150558	
527437	160518	
527437	162775	
527437	171458	
527437	193309	
527437	197041	
527437	199914	
527437	205000	Hombre de Las Glicinas
527437	206895	
527437	212468	
527437	221521	
527437	225003	
527437	233932	El Abuelo
527437	235319	
527437	244593	
527437	244620	
527437	268492	
527437	278939	
527437	283071	
527437	291677	
527437	293402	
527437	301121	
527437	308965	
527437	310031	
527437	317702	
527437	333743	
527437	334700	
527437	338261	
527437	339115	
527437	341869	
527437	349538	
527437	351480	Matías
527437	351949	
527437	353204	
527437	354839	
527437	371709	
527437	376725	
527437	379853	
527437	383194	
527437	383593	
527437	383718	
527437	384203	
527437	384427	Gastón
527437	384809	Various
527437	385852	
527437	400339	
527437	405242	
527437	405917	
527437	409027	
527437	412135	
527438	242615	
527439	169148	
527440	201924	Sammy
527441	7006	Joe Rodgers
527441	40301	Butch
527441	63041	Frank Jr.
527441	105890	Korner Boy
527441	109662	Jeff
527441	119334	Stuey Gluck
527441	149287	Latchboy (Lost Boy)
527441	169384	Frank
527441	208988	Gary
527441	234692	Frank Jr.
527441	336556	Frank Jr.
527441	355166	Frank Jr.
527441	364290	Frank Jr
527442	14588	
527442	85650	Henchman
527442	239005	Agent Blue
527443	78983	Cracker
527444	196580	Married Attorney
527445	179041	Summons Server
527445	224296	Registrar
527446	276605	Wolfenbach
527447	383803	Himself (segment "Lindbergh's
527448	279	Danny Wrigley
527448	24429	Young Dr. Evil
527448	126130	Featured
527448	154771	Brendan Willy
527448	185903	Timmy (Little Boy)
527448	224475	Murphy Myerson
527448	263345	
527448	276899	Timothy
527448	320102	Brian Valco
527448	354163	Ben
527449	228291	Himself/Benjamin Franklin Exp
527449	381655	Himself (interviews)
527450	209156	Mr. Stein
527451	121802	Himself
527452	22824	Homeless Man
527453	211815	Caleb Beecham
527454	248812	Land dealer
527455	370004	Executive #2
527456	299443	Himself
527457	5573	Mr. Finkle
527457	6086	Harry Davers
527457	7011	
527457	26626	W.P. Mathews, Assistant Commi
527457	29311	Old Man
527457	44408	E. Howard Hunt
527457	58659	Army colonel
527457	60024	Owen Meredith
527457	64019	Poker player
527457	67554	Captain August
527457	67593	The Father
527457	67598	Captain Sampson
527457	68119	Warden
527457	69263	Frank Branhammer
527457	73574	Mr. Menges
527457	73678	Security guard
527457	84854	
527457	99400	Sergeant Velie
527457	106746	Sheriff C.R. Kelly
527457	106755	Delegate Bob
527457	108287	Frank Gross
527457	128331	Priest at funeral
527457	133479	Ranger commander
527457	138302	
527457	138322	Ace London
527457	146806	
527457	151584	Commissioner Henderson
527457	158915	Mayor Calvin Mercer
527457	176823	Mr. Wilkens
527457	178096	Sing Sing guard
527457	191344	Apartment Manager
527457	192340	Charlie
527457	194406	Hotel Detective
527457	198842	Caldwell
527457	205317	Judge Mathews
527457	214091	Morrison
527457	226938	Old Man
527457	238260	Bartender
527457	279721	Jury foreman
527457	289455	Abernathy
527457	292820	Clerk
527457	292877	Sheriff Wiley
527457	293258	Gas Station Attendant #2
527457	299463	Swanee Swanson
527457	304349	Police Chief
527457	306300	
527457	317176	Policeman
527457	329975	Manager
527457	333277	
527457	340481	DePaul
527457	340547	Mayor Gilchrist
527457	357994	Studio Guard
527457	358076	Policeman
527457	383413	Chief Segal
527457	398398	Arthur Bradwell (1964-1965)
527457	410500	Gen. Cross
527458	361565	Himmier
527459	393257	Himself
527460	86241	Pirraça's Gang Boy 3
527461	27447	Frat Boy #1
527461	194925	
527462	11649	Cordero's Lieutenant
527462	129032	
527463	215295	Officer #4
527464	13360	Chuck Murdock
527465	6994	Punk Gunslinger
527465	82401	Chauffeur
527465	274327	(segment "Burning Up")
527465	274330	
527466	185506	Mike Zuettel
527467	404448	Sven Weber (1 season)
527468	339330	
527469	380249	
527470	302345	
527471	69572	
527472	4779	
527472	62197	Thornten
527472	361126	
527473	352620	
527474	108623	Grand Duke
527474	220569	Director
527475	206742	Voice
527476	191106	Drinking Coach
527477	225657	Assistent Wegmann
527477	234949	Mac Nepp
527477	343462	
527477	361140	Pit Werner
527477	407324	Tillmann-Volker 'T.V.' Kaiser
527477	411102	Gerhard Schröder
527478	320705	
527478	399924	Danilo Vratina- Sef tajne slu
527479	252954	
527480	130753	Himself
527481	352126	
527482	376187	Martijn
527483	188903	
527484	54359	
527485	320650	
527486	25279	
527487	46691	Nicholas Hawthorne, aged 16/1
527487	380798	Phil Skidmore
527487	385020	Mickey Hegarty (1997)
527487	387461	Roland Watson
527488	338927	Tent Victim
527489	212650	Lt. Wójcik
527490	278176	Carl
527491	212819	
527492	384596	L'agent Choisy
527493	400372	
527494	35891	Henoch
527495	411047	
527497	175530	Himself
527497	277749	Violinist
527497	385192	Himself
527498	93097	Chef
527499	356907	
527500	57561	Himself
527500	129543	Himself
527500	147924	Himself
527501	147924	Himself
527502	148200	Pizza Boy
527503	8234	Disgruntled Agent
527503	45523	Lieutenant Biddle
527503	69594	
527503	87926	Mr. Rooney
527503	110519	The Man with the Toupee
527503	185087	Simon Geist
527503	230505	
527503	252963	Mr. G
527503	267346	Delivery Man
527504	271747	
527505	106264	De Bois
527505	364459	Maitre'd
527505	365147	Walter O'Neill
527506	201579	Young Man in Bar #4
527507	95945	Old Pole
527507	146540	
527507	213812	
527507	237984	
527507	261629	
527507	311896	Airplane Passenger
527507	340721	
527508	75757	
527508	217420	Igor
527508	255605	
527508	262198	Soldier
527508	286746	Grzelak
527508	343979	Józek
527508	359585	Rysio
527508	374190	
527508	407165	Waldemar Kiepski
527509	18157	Criminal in Striped Shirt in 
527509	24542	Gorgos
527509	57796	Pawlowski
527509	70774	Revolutionist at Meeting
527509	75940	Detective
527509	95961	Sokolik
527509	115837	
527509	152172	Stud Owner
527509	165844	Jakub Ruczaj
527509	180419	
527509	181333	Father Kaleb
527509	204048	
527509	216593	
527509	231646	Szymon Bugaj
527509	255028	Editor
527509	261231	Chemical Institute Director
527509	266325	Dmetro, an adulterer
527509	266327	Manager
527509	279656	Young Man
527509	284352	
527509	294662	
527509	303739	Captain Gustaw Martens
527509	305185	
527509	312984	Michal
527509	323285	
527509	340721	
527509	341074	
527509	373706	Jurek
527509	375439	Administrator
527509	375649	Officer
527510	299652	Alva Raffeek
527511	16644	Anaesthetist
527511	160137	
527512	210825	Chief's Messenger
527513	10241	Fast Track/Russian Bars
527514	286803	Killed Student
527514	339992	Hugo Pierjoyre
527514	395480	Antoine Gercourt
527515	323283	Kryza
527516	33673	
527516	261135	Zurek
527517	25039	
527518	383242	Canelón
527518	390310	Ariel
527518	390748	Segundo Gamboa
527518	401067	Jefferson
527518	402688	Lorenzo Real
527518	404203	Jorge
527518	408389	
527518	408747	Idrogo
527519	386107	Himself/Challenger Team
527520	386107	Himself/Challenger Team
527521	2723	Jack
527521	42924	Bob Zombie (segment "In the W
527521	207709	Bartender
527521	292253	Himself
527521	310646	Mr. Smart/Seymore
527521	323800	David
527521	333327	Computer Hacker
527521	399108	Virgil
527522	392597	Various characters
527523	162236	Abd-El-Monem
527524	63506	
527524	268107	Prem Thakur
527525	175918	Expert on TV
527526	176170	
527527	181461	
527528	7612	
527528	9412	
527528	17310	
527528	25451	
527528	25581	
527528	31467	
527528	109746	
527528	116415	
527528	121598	
527528	137053	
527528	139351	
527528	155154	
527528	155168	
527528	175875	
527528	184030	
527528	207241	
527528	226474	
527528	297067	
527528	303317	Dr. Omar
527528	358095	
527528	359581	
527529	6389	Cheikh Hassouna
527529	7713	Saleh
527529	25548	
527529	25594	
527529	27890	
527529	88342	Azzam
527529	162733	
527529	173844	Mahmoud
527529	208275	
527529	227898	Issa
527529	235807	
527529	270993	Shawky
527529	271591	
527529	282949	
527529	296526	Achmed
527530	168378	
527531	137850	
527532	275394	Don Dragisa de la Kuvelja
527533	72774	Asesino en el Disfraz 2
527534	89815	
527535	89815	
527535	95656	
527535	137850	Menso
527535	244227	
527535	303626	
527536	316935	Janitor
527537	172825	Old Man
527537	187786	
527538	164247	Eddie Shyter
527538	369458	German Soldier
527539	28215	
527539	41340	Jurgen
527539	48456	
527539	64254	
527539	77910	
527539	103282	M.G
527539	113393	Major Handoyo
527539	165086	
527539	165637	Dutch Officer
527539	180679	Somad
527539	250442	Capt. Bondan
527539	252194	
527539	300697	Pitung
527539	300698	Pitung
527539	310627	Gundar
527539	394840	Sudjono
527540	335807	Dancer
527541	219457	
527542	74211	Chuck
527543	42844	Priapinski
527543	277610	
527544	200506	
527544	204230	Il nonno
527544	320698	Clerk in Veteran's Admin.
527545	43606	Court Clerk
527545	53133	Deputy Manson (segment "The H
527545	61673	Bartender
527545	67586	Investigator #3
527545	67597	Sewell
527545	67607	Sergeant Burke
527545	117162	TV Stage Manager, New York Ci
527545	202195	TV Reporter
527545	247559	Eddie
527545	255430	Gary
527545	272026	911 Supervisor
527545	367254	Gary
527546	275133	Darmapala
527546	391062	
527547	113393	Dick
527547	394547	
527548	66601	Zulu
527548	140446	Kono Kalakaua
527548	248445	Rudy
527548	391161	Det. Kono Kalakaua (1968-1972
527548	396644	Nando
527549	359547	Himself
527550	244206	Peter's father
527550	355237	Passager aéroport
527551	395302	Romeu
527551	398501	Himself
527552	405036	King Sodubo
527553	405036	Pakatwayo
527554	247461	
527554	247465	
527554	340041	
527555	143777	
527556	194609	Himself (Republican Foreign M
527557	79938	Dr. Takeshi
527557	256176	Tim
527557	400261	Kimo
527558	25039	
527558	247461	
527558	247465	
527558	340041	
527559	244281	Roderigo
527560	284356	Tomi
527561	65924	Himself (segment "Documentary
527561	80624	Himself
527561	82766	Himself
527562	376101	Himself - Presenter
527563	372736	Principal
527564	189423	
527565	340516	Rodeo performer
527566	14933	
527566	19486	
527566	25039	
527566	68990	
527566	71269	Zenon Enriquez
527566	74744	Soldado
527566	90528	
527566	104111	Doctor Henner
527566	121316	Medico
527566	124247	
527566	131058	
527566	135113	
527566	139911	
527566	192997	
527566	193025	Sujeto picadero
527566	199963	
527566	206996	
527566	218436	
527566	243055	
527566	266898	
527566	268497	
527566	272349	
527566	273124	
527566	284893	
527566	293936	
527566	302111	
527566	323083	
527566	324093	
527566	328455	
527566	332373	Rodolfo
527566	350262	Duval's servant
527566	351644	Old Indian
527566	377102	
527566	377202	Compadre
527566	380544	
527567	7420	Party Goer
527568	247074	
527568	269271	
527569	68432	
527569	183488	Priest
527569	260909	
527570	68940	Con
527570	133371	Man in 50's
527570	164431	Guard
527570	328127	Roc
527570	411802	Guard (2000)
527572	17371	Peter "Pitt" Sieber
527573	142030	Olaf
527573	144196	Lukas Krug
527573	168975	Olaf
527573	172213	Fahrer Kadett
527573	186199	Whiskey
527573	214041	Notarzt
527573	325468	Daniel Viersen
527573	376361	Hilmar
527573	387386	Bernie Ziegler
527573	395890	Himself
527573	398238	Himself
527573	412102	Hilmar
527574	316331	Clerk
527575	254768	Journalist
527576	103192	McCallister
527578	196582	Jason
527579	177711	inspecteur De Korte
527579	390242	Hans Ribbens (1993, 1994)
527580	30967	Tattooed Strongman
527580	73331	Tiny
527580	87797	Huge cop
527580	109841	Burly Guy
527580	154449	Coach
527580	189310	Ace
527580	215793	Mountain Man
527580	245678	Bob 'Bull' Hurley
527580	245833	Packer
527580	252223	Joshua
527580	263206	Bully in Bar
527580	263798	Potsy
527580	280263	Boom Boom
527581	349321	Math teacher
527582	381891	Caetano
527583	384651	Himself (Alpha Squad replacem
527584	283767	Dan
527585	390771	Dr. Frederick 'Freddy/Rick' B
527586	176732	
527587	405036	Igazi
527588	188717	Partisan Sava
527588	195247	
527589	201008	Jack Everson
527589	265861	Monk
527590	184561	Rix, Solan-Cabel Warrior
527590	184562	
527591	20625	Extra
527592	1191	Tagger in Alley
527593	96099	
527593	336563	
527594	385052	Pablo
527594	393028	
527594	395404	Willie
527595	122549	
527596	181254	Robi's friend
527597	123856	
527597	372393	
527597	372432	
527599	344046	Fitipaldi
527600	165719	Pl. Orel
527600	175359	Night guard
527600	352814	Trpin's friend
527600	366566	
527601	13001	Matevz
527601	74783	
527601	100715	
527601	132610	
527601	187668	Pasko
527601	188257	
527601	196835	Podlogar
527601	225869	
527601	225921	
527601	225970	Partizan
527601	233326	
527601	241987	Martin
527601	250406	Matija
527601	258147	
527601	258408	Alija
527601	262561	
527601	273136	
527601	333794	
527601	339345	Miha
527601	340666	Sila
527601	374667	Sila
527602	229186	
527603	340666	Sergej
527604	58522	Bartender
527605	339673	
527606	58127	Sterba
527606	88141	Grlic
527606	172903	Brabec
527606	172951	
527606	173035	Director Eda
527606	255900	Vindys
527606	264230	Jean
527606	264231	Jean
527606	266216	King
527606	352820	Rumlena
527606	357636	Maran
527606	380554	Majer's neighbour
527606	407986	
527607	42909	Zbor Narodne Garde 8
527608	16819	
527608	49177	Biljanin otac
527608	88731	Srecko Piplica
527608	124822	
527608	155969	
527608	227991	
527608	240086	Lazar
527608	262559	
527608	275394	Ahmed Karaga, stari
527608	303631	Stevo
527608	361237	
527608	379616	Svetozar Corovic
527608	382787	Stjepan Seburic Lubura
527608	400438	
527608	407442	Tale
527609	147464	Pjevac
527610	81924	
527611	318408	Himself
527612	236048	Boy in the line
527613	224838	Mitch
527614	375307	
527616	6755	
527616	28214	
527616	269214	
527616	294113	
527617	218977	
527618	179924	
527619	378307	Himself
527620	33908	Giora
527621	216406	Platoon Commander
527622	268815	
527623	89785	Afghani
527624	300810	Cadet
527625	137938	Marcellus
527626	225603	
527627	393549	
527628	132710	
527628	149511	Dueño Merendero
527628	212406	Portero
527628	334469	Hombre manta 2
527629	5098	
527629	28193	
527629	28957	
527629	50147	
527629	53085	Empleado garage
527629	57416	
527629	94622	
527629	106998	
527629	121965	
527629	148072	
527629	184850	
527629	193045	
527629	232923	
527629	371674	
527630	43077	
527631	2079	
527632	175241	
527633	374232	Lechoslaw Kerner
527634	17304	
527634	305559	
527634	373351	Zelenka
527635	68683	French Aide
527637	180912	Briefträger
527638	69514	
527638	132912	Jethro
527638	199961	Various voices
527638	204209	Cerberus Guards #2
527638	208411	Demon/Zombie
527638	213105	Pedestrian #10
527639	40330	Terrorist Pursuer
527639	41411	Ayindi (Kumite fighter)
527639	71127	Yazu
527639	78976	Captain
527639	141594	Tal Aziz
527639	209136	Blondie
527639	229731	Zumi/Rebel #2
527639	229734	Rebel #2
527639	240317	Marko, Droid
527639	348611	Cool D
527639	368809	Ceebo
527640	29315	Man in privy
527640	79844	First Mate
527641	185623	1st Man
527641	250861	1st Lt. Alexander Stiller
527642	158322	Agent Zurich
527642	291891	Renegade Sensor #2
527642	296665	Tough Guy#2
527643	185764	Center Person #8
527644	283563	Camino Real Kid
527645	61187	Chava
527645	62756	
527645	80311	
527645	307804	
527646	61187	Oscar
527647	383827	
527648	14725	
527648	14780	
527648	21583	Andrés
527648	21695	
527648	28010	Pedro/Mateo
527648	51711	
527648	80241	
527648	85920	
527648	96337	
527648	121950	
527648	157158	Guero
527648	160652	Garcia Rojas
527648	197436	
527648	197450	
527648	204344	
527648	219222	Carlos Narval
527648	221668	
527648	226364	
527648	252044	
527648	253375	
527648	257130	
527648	272566	Gerardo Valles
527648	339120	
527648	379457	Ernesto
527648	379552	Doctor Francisco
527648	379653	Guillermo Lamas
527648	380445	Mariano Foncerrada
527648	383344	Ignacio Santoscoy
527648	383392	
527648	385875	Alberto
527648	386077	Alberto
527648	387577	Germán
527648	395061	Antonio Vega
527648	396604	Jorge de Martino
527648	398452	
527648	398486	Javier
527648	402633	Daniel
527648	405834	Fernando
527648	410450	Gral. Porfirio Díaz
527649	338261	
527650	12148	Payo Antonio
527650	100433	Encargado
527651	74575	Gabriel
527652	56930	
527653	203344	Eighteen
527653	392352	Carlos (adolescente)
527653	406058	Peque
527654	383688	Pablo (niño)
527655	38379	Mike Reardon
527655	46292	Mel
527655	62035	Patrolman at Hq
527655	66593	Bruce
527655	156466	Security Guard
527655	193915	Buster Smerglia
527655	207838	Cop
527655	248884	Highway Policeman
527655	270638	Father
527655	274971	
527655	307974	Guard in charge
527655	314107	Customs Official
527655	389416	George Hage
527656	45662	Drug Buyer
527656	318509	Immigration Officer
527657	309807	Mr. Bennett
527658	89364	Unit Manager
527659	3095	Head of Little Joey
527659	192628	Big Tony
527659	340775	Social Club Member
527660	352448	
527661	351988	Surik
527662	57139	Constable
527663	181900	
527664	330409	Chauffeur
527665	244227	
527665	303626	
527666	375335	Football Manager
527667	181135	Operations room staff
527668	234249	General Gendze
527669	375499	Locutor
527670	197976	Rodríguez
527671	97239	Konrad Zuse
527671	347644	Himself
527672	130490	Gojira
527673	144965	
527673	199251	Kitamura
527673	213659	Kazuo Tomita
527673	271915	
527673	288351	Otokichi's son
527673	294547	
527673	297733	Doctor
527673	341320	Fumio
527674	121467	
527674	136096	
527674	167551	Tatsuma Hattori
527674	180593	Man of company
527674	200772	Soya
527674	308473	Kitajima
527675	299736	Bar patron
527676	9276	Choji
527676	89049	Rokkuchan
527676	122137	Strange guy
527676	137124	Toshio
527676	160098	Chû-san
527676	199251	Neighbor
527676	232689	Brother boy
527676	271915	
527676	373218	Pvt. Noguchi
527677	136100	
527678	221343	Martin
527678	223487	
527679	43208	Himself
527679	60429	David Gorlick
527679	133196	
527679	162736	Pinya Kopman
527679	229913	Dr. Fishman
527680	90913	
527680	140580	Young Poet
527681	20435	
527681	34705	Crowd Member #3
527682	104438	
527682	261363	
527682	315932	
527682	356869	
527683	220690	
527684	151625	Pres
527685	304734	Celebrating Father
527686	26831	Petey
527686	37261	Surfer
527686	127491	Kirk
527686	128596	Teddy
527686	139228	Scotty Palmer
527686	182961	Peter
527686	263352	Alexis
527687	340094	
527688	2923	Milan A. Simic
527688	16030	Pavle Dumas
527688	16272	
527688	33252	
527688	34322	
527688	38789	
527688	43009	Lazar Hrebeljanovic, srpski k
527688	54173	
527688	74171	
527688	94218	Narator
527688	95665	Dejan
527688	95687	
527688	132151	
527688	137303	Vule
527688	137441	
527688	144368	Kica
527688	155622	Narator
527688	163928	Lebedev
527688	166451	
527688	177819	Kir Janja
527688	181113	
527688	181504	
527688	181555	
527688	192885	Jova
527688	209362	
527688	220732	
527688	225824	Asistent Petrovic
527688	225944	
527688	226691	
527688	229570	Dr. Korda
527688	229895	Jovan Skerlic
527688	242473	Upravnik motela
527688	246858	Lekar
527688	254219	Ing. Markovic
527688	258576	Zika 'Misisipi'
527688	259063	Spasoje Blagojevic
527688	262504	
527688	265643	Covek sa naocarima
527688	265912	
527688	266068	
527688	266253	Cedomilj Mijatovic
527688	280404	Serbulic
527688	285835	
527688	288986	Direktor
527688	305191	Ajns Beki
527688	305251	
527688	312406	
527688	312422	
527688	312626	Direktor muzicke skole
527688	315927	
527688	318156	Judge
527688	318207	
527688	320481	
527688	320567	
527688	324565	
527688	340094	
527688	348876	
527688	349153	
527688	351015	
527688	373563	Sudija
527688	381182	Maj. Johanes Derling
527688	381239	
527688	382431	Svetislav Baron
527688	382787	Sal
527688	385269	
527688	386246	
527688	386362	Vladimir Ilic Lenjin
527688	387135	
527688	390660	Doktor
527688	394111	Lekar
527688	396589	
527688	398883	Tanasije Dinic
527688	401991	Jovan-Hans
527688	405656	Aleksandar Cincar Markovic
527688	405693	
527688	407129	
527688	410260	Dr. Dusko Nastic
527688	410452	Jovan Hadzic ... knjizevnik
527688	411900	Sudija
527688	412003	Sudija za prekrsaje
527689	124031	Halim
527690	341637	
527691	4328	
527691	7361	
527691	16147	
527691	85282	
527691	86677	Suleman Patel
527691	103298	Dranai Chacha
527691	114747	
527691	127329	
527691	152483	
527691	174401	
527691	222282	Police Inspector
527691	322696	
527692	13856	Nirmal
527692	58403	Friendly Appearance
527692	86745	
527692	132585	
527692	151935	
527692	152495	
527692	172129	Police inspector
527692	181019	Author
527692	183897	Ismail
527692	184102	
527692	184146	Maj. Kaushal Verma
527692	198706	Jaswant Singh (Jassi)
527692	203886	
527692	222564	
527692	228895	Ishita's dad
527692	268605	Shyam (Raj's cousin)
527692	279296	Kishan bhai
527692	283003	
527692	283197	Uday
527692	284784	
527692	297594	Gajanan's son
527692	299365	
527693	147509	
527694	216592	Proof-reader
527695	11171	Wanpasant #12
527696	318769	Ross
527696	354548	Gerald
527697	135996	Uniformed Doorman
527698	215589	
527699	338009	Cherub
527700	100490	
527701	344243	Dokter
527701	390410	onderdirecteur Willemse (1996
527702	30847	
527702	211861	
527702	263695	
527702	341190	
527703	162757	Angel
527703	179327	
527703	198148	
527703	257385	
527704	104422	
527705	338048	
527706	171913	
527706	179102	
527706	267322	
527706	271379	
527706	339325	Poslasticar
527706	351007	Glumac II
527706	374080	
527706	386362	
527706	387137	
527706	395832	
527706	401749	
527706	406567	
527706	410260	Boza Lazov
527707	263426	
527708	356521	Journaliste Radio
527709	193558	
527710	392029	Gastón Loera Martínez de la G
527711	209795	Himself
527712	143576	Burt Honneger
527713	179890	Vanya
527713	265139	Petr
527714	2283	Waiter
527714	58187	Ivan Trnovsky
527714	170989	Kretschmer
527714	182516	Priest
527714	237700	Marcus Kolkotsky
527714	261373	
527714	322485	Agricola
527714	339306	Ing. Stepán Donel
527714	350737	
527714	357300	Zollner
527714	406096	Valko
527715	165141	Les Boogie
527716	217278	
527716	398757	
527717	371116	
527718	24182	
527719	96115	
527719	373573	
527719	374162	
527720	320715	
527721	262697	
527722	348707	
527723	228545	
527724	104776	Himself - Participant/Perform
527725	80509	Marcus
527726	161865	
527727	192900	
527728	206496	Messanger #2
527729	192903	
527730	126546	Nerd in 'What's Happening to 
527731	565	The Ancient
527732	198474	Surveillance technician
527733	211217	
527734	216610	
527735	163149	
527736	163149	
527737	315003	Lebedev
527738	88738	
527739	173026	Turbin
527740	45711	Insusik
527740	47392	
527740	119019	Viktor
527740	344096	
527740	370918	
527740	375463	
527741	181339	Ostrik
527742	67934	Fysiotherapeut
527742	157588	Bewaker
527742	183129	
527742	218857	Amanuensis
527742	390242	Bob van Dalen (1992)
527742	395035	
527743	79252	Clergyman
527744	216708	Guy killed in kitchen
527744	375714	BF zombie
527745	249579	Basscut
527746	5671	
527747	4741	
527747	115688	Buurman Fröbel
527748	254988	Stand-in Vosmeer
527749	280016	Party Guest
527750	20528	Fake Shemp
527750	81758	Man #1
527750	89364	Arthur
527750	185087	Man in Video Store
527750	338000	Hotel Clerk
527750	365344	Make-Up Shemp #1
527751	18347	Picture of Jesus
527752	365684	
527752	397236	Peter Munro (2002-2003)
527752	399130	Mark Billings (1998)
527753	49049	Ung arbeider
527753	137885	Himself as director
527754	251821	
527755	218857	Prinsen
527756	218857	Geldloper
527757	34101	Frank
527757	42046	
527757	42860	Oscar
527757	118723	
527757	275781	Frits
527757	390410	Ricardo
527757	409572	Remco Haas (1998)
527758	122530	
527759	115606	Joost
527760	37519	Ninja
527761	231671	Olaf
527762	312148	Newscaster
527763	27181	Hospital Band
527764	2890	Minnesota Twin #1
527764	235052	Kid in Airport
527764	315747	Camper
527765	127680	Himself
527765	235052	Coach
527765	288702	Himself - Audience Member
527765	315747	Uncle Shelly (credits)/Uncle 
527765	327304	Himself
527765	404337	Various (1979-1980)
527766	3267	Waiting Room Patron
527767	28471	
527767	97306	Johnny
527767	117571	Mr. Johnson
527767	354749	Himself
527768	390306	Band With A Thug/guitar (1976
527769	93074	Store Manager
527770	14964	
527770	96018	Musiklärare
527770	107236	Gardelin
527770	381054	Karlgren
527770	394736	The angel
527771	40812	Cabbie
527771	42070	Arale
527771	72123	Marine #3 (pool)
527771	191783	Udi
527771	205052	
527771	241015	
527771	383973	Elyakim the Priest
527772	259829	Extra
527773	16243	Malle
527773	178711	Student
527773	290074	Nozem #1
527773	376443	Kai
527773	400217	Jannes Reitsema (#2) (2001-20
527774	382740	Himself (the bands "Sandra Bl
527775	382740	Himself (the bands "Sandra Bl
527776	94206	Aubrey Kunene
527777	43234	Ferryman
527777	157648	Burghard Hauser, Schriftstell
527777	378534	Himself
527777	381689	Baumann
527778	157660	Virgil
527778	353898	Jennings
527779	349	William Zinoff
527779	45439	Mr. Brister
527779	54405	Dr. Bergen
527779	62076	Hollis I. Mulwray
527779	67561	Lewis Lacey
527779	67591	Motel Manager
527779	88771	Brig. Gen. Theodore Marley 'H
527779	129449	Bertoia
527779	133401	Mr. Lynch
527779	133958	Dr. Brimson
527779	144760	Dr. Eckhardt
527779	168292	Underwear Salesman
527779	201035	Sheldon
527779	207899	Farnsworth
527779	219526	Stan
527779	244923	Dr. Madden
527779	283722	Professor Caldwell
527779	292451	Fan
527779	319202	Janczyn
527779	344551	Silas
527779	365169	Singer's Manager
527779	366868	Mr. Pheeb
527779	382224	Frederick LaRue
527780	126136	Gangmitglied 2
527781	308139	Paul
527782	134672	'Jeopardy!' viewer
527783	3027	Himself - Best Picture Winner
527783	32419	Himself
527783	118857	Himself
527783	160473	Himself
527783	367892	Moderator
527784	99976	Himself
527785	174567	Hermann
527785	325951	
527786	155070	Farber Posse
527786	223745	Delivery Boy
527786	251247	Street Kid
527787	221100	Baseball Kid #2
527788	24363	Alf
527788	111894	Jonas
527788	142264	Mary
527788	259668	Markus Nennhofen
527788	356562	Alex
527789	183265	Tamardl Kartenspieler
527789	347431	
527789	361425	
527789	365010	
527790	8867	
527790	8868	Himself
527791	374325	
527792	290700	
527793	225732	
527794	95952	
527795	2019	Thomas/Cooter
527795	171079	
527796	36862	Young Fang
527796	45668	Bryan (segment "Crush")
527796	74112	Bryan
527796	191836	Rudy Zolteck
527797	364647	Sammy Sinclair
527798	18295	Voice
527799	89813	Young Adas
527799	200439	
527799	323288	
527799	406144	Gryvon
527799	406145	Gryvon
527800	179199	Janusz Bukowski
527801	295435	Photographer
527802	27345	Himself
527802	201674	Himself
527803	65597	
527804	17838	Grossererens sønn
527805	39404	Nazi Goon #1
527805	107743	Third Officer
527805	196813	
527805	198342	
527805	213840	
527805	216239	L'officier allemand du train
527805	229492	
527805	254024	
527805	313966	SS Officer
527805	337035	Kimbler
527805	340304	
527806	179273	
527807	370700	Member of Clique
527808	84450	Michi
527808	108187	Axel
527808	300996	Jens
527809	78139	Institute Guard
527810	284146	Ingénieur
527810	391625	Himself
527811	98113	Student
527812	18953	Trooper/Prison Yard Guard #1
527813	102951	Art Gallery Patron
527813	359060	J.R. Keating
527814	98113	Student
527815	303738	
527816	6947	Army sentry [Ch. 1]
527816	114209	Arnoldo
527816	273513	Nate, 'Falcon' Crewman
527817	286780	Kollege 2
527817	323603	Aide 2
527818	181114	Choreograf
527819	322393	Father Basista
527820	215214	
527821	247345	
527822	274461	Marvin Keller
527823	218599	Prisoner
527824	195185	As Himself
527825	222597	Detective Smith
527826	75757	
527826	77101	Priest
527826	363972	Uncle Boy
527827	9536	
527827	35878	
527827	40870	
527827	183153	
527827	253517	
527827	261135	Producer
527827	305560	Jola's Father
527828	305563	Himself
527829	38930	Arthur
527830	1760	Stary pan za mlada
527830	73114	Pump area guard
527830	325653	
527831	9526	
527832	238311	
527832	250802	
527833	305560	
527834	231724	
527835	254986	
527836	254986	
527837	51402	Adolescent
527837	227483	Olivier
527838	357107	Max
527839	91862	
527839	184719	Poultry Boy
527839	185724	Tom Bradshaw
527839	194012	Eric
527839	195365	Regan Thatcher
527839	236959	Fritz
527839	245499	Maximilian Glick
527839	337121	Arthur Bennett
527839	379644	Curtis Shumway
527839	383125	Additional Voices
527839	383462	Additional Voices
527839	391330	Chip
527839	398728	
527839	401752	Billy, Bobby
527839	401865	Additional Voices
527839	402732	Bentley Raccoon (II) (1987-19
527840	95631	Crew Guy (Automat featurette)
527840	264158	Pizza Delivery Man
527840	330743	Crew Guy
527841	165083	
527842	97937	
527842	215605	
527842	363302	Vlado Petric
527842	369027	Patryk
527842	375443	
527842	403628	Filip Kwiatkowski
527843	47217	German
527843	52676	Austrian Lieutenant
527843	103781	Guard
527843	133856	Revolutionary
527843	146835	Erlich
527843	161883	Col. Kelenski
527843	224804	Submarine Commander
527843	246255	German Observer
527843	254563	Sub Commander
527843	312160	Lazar [Ch. 1]
527843	312161	Lazar, Paris Gestapo Chief
527843	365062	Officer
527844	240521	Piz Gloria Guard
527845	124228	
527846	60881	
527847	1488	Himself: DOP, accepting for M
527848	349142	Himself
527848	349143	Himself
527849	278965	Pisandro
527849	302246	Simplicius, Sein jungster Soh
527850	53955	Acrobat/Juggler
527851	226469	Nikita
527851	376536	Themselves
527851	376537	Themselves
527852	297754	Dead People
527853	321486	Club Jimbo Bartender
527854	106462	
527854	341150	
527855	223539	Malatinsky
527855	261373	Ignác Zartl
527855	317584	Zoltán Lálik
527855	410328	
527856	182485	
527857	839	
527857	3197	
527857	3417	Orvos
527857	50463	Orvos
527857	65021	Bakos,Ü.B.titkár
527857	74415	
527857	102539	Brand-Mosonyi Mihály
527857	108913	Orvos
527857	116395	
527857	117876	
527857	122131	
527857	130804	
527857	137890	Filatelista
527857	138970	
527857	144677	Feketehalmy-Czeydner altáborn
527857	156100	
527857	159333	Suszter
527857	182879	
527857	200606	Eszéki
527857	209810	
527857	211656	
527857	225695	
527857	237159	
527857	237323	
527857	243878	Neszveda
527857	246283	Doba
527857	285891	Doctor
527857	322014	
527857	322391	
527857	327209	Kenderessy
527857	349132	Szilágyi
527857	354442	
527857	376615	Ügyvéd
527857	377719	
527857	377753	
527857	377892	Igazgató
527857	379094	
527857	402164	
527857	409291	
527858	46235	Photographer
527858	177406	Senator
527858	333390	Dr. Kosyez
527858	388517	Palmist
527859	7219	Franta Stisko
527859	30260	Admiral
527859	35865	Strnad
527859	58204	Antonin Andrýs
527859	64632	Viewer
527859	64666	Lang
527859	78638	God
527859	87935	Professor Munk
527859	108866	
527859	122765	
527859	142218	Shuffer
527859	151886	King
527859	152213	
527859	165348	Stumpfnágel, alderman
527859	166417	Doctor
527859	170989	
527859	174460	Revident Hlinka
527859	174936	
527859	175012	Vopálenský
527859	178532	Muller
527859	179858	Heiliberg
527859	181357	Prof. Zach
527859	189482	
527859	189491	Junek
527859	190980	Mr. Goodman
527859	198221	Frantisek, friend
527859	198356	Honza's grandfather
527859	205101	
527859	212300	
527859	214255	Stehovák
527859	221870	Tereba
527859	225874	
527859	226421	Grandpa Kubrycht
527859	227872	
527859	229581	Vavruska
527859	231169	Frantisek
527859	237203	
527859	237535	
527859	237697	Kalous
527859	246910	
527859	247069	
527859	249244	Eman, friend of Viktorin
527859	249437	Old man
527859	251991	Bookshop owner
527859	261386	
527859	261410	Fred Curry
527859	262253	Maralík
527859	266282	Anders
527859	266801	Josef Malý
527859	282754	Starik
527859	282764	Editor
527859	304708	
527859	312509	
527859	313911	Father in law
527859	315811	
527859	320542	
527859	320643	Dexler
527859	322375	King
527859	334423	
527859	336823	Mistr
527859	339328	Grandfather
527859	344974	
527859	351383	
527859	352779	Grandfather Pavlas
527859	352792	Sýkora
527859	357673	Professor
527859	375401	MUDr. Jan Stejskal
527859	375408	
527859	388152	Vrba, dog-collar
527860	165348	Alderman
527860	170503	
527860	181341	
527860	270725	
527860	351374	
527861	30835	Drunk
527861	172907	Jan Neruda
527861	181354	
527861	200043	
527861	226423	Clerk
527861	306099	
527861	375409	
527862	164256	
527862	246203	Martin
527862	267951	Menenius, actor
527862	337868	adjunkt Ervin Ostrica
527862	356460	Beno
527862	373589	
527863	317553	Tonda Urban
527864	40486	
527864	179235	
527864	180686	Father
527864	225871	
527864	295066	
527864	410338	
527865	237490	Knight Cyprián
527865	380662	
527866	40486	
527866	150762	Vízner
527866	255900	Janic
527866	349259	Velitel Strozi
527866	356088	Koudelka
527866	378523	Knap
527866	401806	Worker
527866	404627	Scrap dealer
527866	412004	Ing. Chudy
527867	322099	Német vámos
527868	248214	
527868	343776	Bandi
527869	155545	Máté
527870	197282	Kuba
527871	104051	
527871	281027	
527873	319732	
527874	108843	
527875	248300	
527875	319732	
527876	135051	
527876	387083	
527877	271079	Banda 'Sharks'
527878	238763	
527879	104111	Encapuchado 1
527879	193025	
527879	376688	Jonas
527880	296089	Jaime Peralta
527880	380059	
527880	396898	Dueño
527880	401698	Hospital's director
527880	402404	
527880	410477	
527881	6670	
527881	32707	Prosecutor
527881	52969	Santos
527881	54821	Pulido
527881	65011	Encargado
527881	73281	Padre Mauro
527881	77392	Mauri
527881	80189	Carnicero 'Don Lenche'
527881	145143	Blanco
527881	188993	Tiburón
527881	190425	
527881	203344	Customs Official
527881	222412	Cayubas
527881	231571	Sanchez
527881	235998	Carmona
527881	246202	
527881	301657	Valdivia
527881	318019	Heberto
527881	334653	Taxista enpistolado
527881	355945	Taquero
527881	359380	Jim Johnson
527881	376172	Pavis
527881	386787	Toribio
527881	389881	
527882	20733	
527882	58149	
527882	80202	
527882	117335	
527882	221552	
527883	285241	Himself
527883	319732	
527884	52149	Alberto Rosas
527884	197437	
527884	221937	Rosario's boyfriend
527885	211780	Spanish Officer
527885	233757	
527886	222412	Actor disfrazado de León
527887	216182	Sports commentator
527888	212298	
527888	247866	Fenek
527889	58204	Fipip
527890	12569	Joseph Wagner
527890	19669	Ezredes
527890	35056	
527890	48666	
527890	134989	Juan Llorrente
527890	182654	
527890	198321	
527890	267823	Pandúr kapitány
527890	284091	
527890	293991	
527890	324708	
527890	378012	Idegorvos
527890	378342	Cabinet Noir hivatalnok
527891	739	Himself
527891	229559	
527891	240182	Himself
527891	391346	Himself
527891	395916	Himself
527892	164754	
527893	240084	Toník
527894	57465	
527894	104494	
527894	251811	Kapitän
527894	255640	
527894	262235	
527894	328353	Himself
527895	198191	
527896	27749	
527896	322218	Forensic servant
527896	368098	Raul Seixas
527897	200030	
527897	285084	
527898	26082	
527899	374226	
527900	195249	
527900	264228	Prince
527900	292992	
527900	322672	Franc
527900	374531	Arnost Moravec
527901	157310	
527902	58272	Fekete
527903	204042	
527904	152172	Ens. Leon Golko
527904	185809	
527904	215410	
527904	238833	Jeremi's Officer
527905	46023	Himself (segment "Subterrâneo
527905	95961	
527905	181358	
527905	206953	
527905	216593	Jurek
527905	220234	Minister Stanislaw Zawodny
527905	262194	
527905	263415	Himself
527905	341070	Man in Court (segment "Rozwód
527906	230087	Sandler
527908	198220	Mechanic
527909	18527	
527910	259450	Herr Huber
527910	308815	
527911	357685	Old Ondrej
527912	55789	
527913	289274	
527914	51905	
527915	170389	
527916	74873	
527916	124062	
527916	146457	
527916	146460	
527916	205925	
527916	218949	
527916	347274	
527916	373850	
527917	12159	
527917	241524	Man in Colonnade
527917	333577	
527918	74584	Compañero baile
527918	113646	Héctor
527918	140701	
527919	318240	Bandido #1
527920	10663	Sykes
527920	11022	Fraga, the Mechanic
527920	41829	Jerry
527920	68940	DEA Agent Willie Sims
527920	69853	Detective xavier
527920	72292	Carlos
527920	73703	Tommy La La
527920	115603	Driver
527920	117093	Paquito D'Rivera
527920	117292	Jose
527920	119888	Lt. Perez
527920	135843	Fidel Vaillar
527920	138701	Jose
527920	152932	Moret
527920	153121	Kramer
527920	218017	Victor
527920	226515	Bartender
527920	231118	Andre de Silva
527920	242924	Jesus Del Toro
527920	272234	David Torres
527920	278103	
527920	305385	
527920	305660	2nd OTB Man Jerry
527920	306278	Hector
527920	315257	Randy
527920	336300	Isidor
527920	399740	Juan Alberto 'J.A.' Ortiz
527920	405459	Freddie Corillo
527921	79863	Mexican Cop
527922	16084	
527923	80189	Vagabundo
527924	12441	Marchena
527924	44660	Árbol
527924	101894	Madero
527924	189301	Médico cementerio
527924	235254	Peatón
527924	307835	Funcionario
527924	343724	
527925	68251	
527925	140553	
527925	213753	
527926	74351	Fotografo
527927	293362	Miguel
527928	324699	
527929	189784	Bruno Mayer
527929	198430	
527929	237681	
527929	260783	
527930	107354	Bit Part
527931	210040	Daniel
527932	244821	Himself
527933	34486	Himself
527933	220890	Himself
527934	343760	
527935	240521	Piz Gloria Guard
527936	122549	Salomon Rothschild
527936	178554	Amtsrichter
527936	228160	Teacher Binner
527936	325507	
527937	397765	Giuseppe
527938	399421	
527938	407462	Gonzales (segment "Forrest Fe
527939	175753	Istvánka
527940	17079	
527941	377074	Barát
527942	144243	A gyerekzenekar tagja
527942	163127	Jancsi
527943	125977	Policeman
527943	138603	
527943	153859	Dr. Balogh
527943	198884	
527943	226700	
527943	237044	
527943	284183	Színes, jobbösszekötõ
527943	342093	
527943	356025	
527944	243800	
527945	24415	
527945	89506	
527945	363256	
527945	377754	
527946	153859	
527947	74422	
527948	352769	
527949	407236	Gynecologist (1988-1990)
527950	235375	
527951	212509	
527952	61333	
527952	89506	
527952	182727	
527952	227534	
527953	189305	(segment "Angélica")
527953	407856	
527954	113673	Rui Aguas
527955	380445	
527955	396215	
527955	402190	
527955	408859	Lic. Tappan
527956	148085	
527957	187627	Amigo de Diego y Susana
527958	148040	
527958	285957	
527959	151852	Himself
527960	322378	A pofozkodó
527961	326076	Zongorista
527962	326078	
527962	378346	Irén,Ujváry lánya
527963	100433	Ernesto
527963	181759	
527964	262980	Himself
527964	380087	Bernardo Valdez
527964	385336	
527964	393802	Mauricio De La Vega
527964	395861	Carlitos Sulbarán
527964	396161	Miguel Enrique
527964	397012	Rogelio Vargas
527964	397862	Santiago Ortega Díaz
527964	399521	José 'Cheo' Mogollón
527964	403016	Eduardo Montalbán
527964	403125	Jean Paul
527964	405473	
527964	410385	Bernardo Valdez
527965	56541	
527965	96356	Ramón
527965	178833	Policía 1
527965	326307	
527965	349883	Eusebio
527965	369996	Himself - Performer & Present
527966	181759	El Charli
527967	193316	
527968	56011	
527968	63408	
527968	67014	
527968	68253	
527968	104057	Tomás
527968	127602	
527968	148072	
527968	148108	
527968	212347	
527968	221899	
527968	233551	
527968	246420	
527968	290372	
527968	374046	
527969	242663	Evelio
527969	247849	El Hombre
527970	402159	Tenor
527971	19474	
527971	89398	
527971	144200	Tomé
527971	169247	Boca Negra/Black-Mouth
527971	186216	
527971	219241	José Pereira
527971	260976	Dvorek
527971	295478	Diogo
527972	336212	Himself
527973	12083	José
527973	14944	Inspector Tablado
527973	70833	
527973	72434	
527973	90146	Curro, ayudante comisario
527973	91372	
527973	95348	Galindo
527973	118155	Himself
527973	159533	
527973	189026	Coitadino
527973	198246	Lázaro
527973	233361	Evelio
527973	242675	Ayutante comandante Álvarez)
527973	246871	Vagabundo
527973	276148	Guerillero
527973	322730	
527973	332600	
527973	334702	
527973	339117	
527973	382755	Jorowitz
527973	393911	Bufalo
527973	410275	Miguel
527974	73086	Detective Martinez
527974	74505	
527974	184877	
527974	255510	
527974	282938	
527974	288804	
527975	12146	Productor
527976	3458	
527976	3518	
527976	8549	
527976	10003	
527976	12059	
527976	13081	Don Marcial (segment El Sopla
527976	18652	
527976	19381	
527976	19484	Prefecto
527976	21487	
527976	22740	
527976	25033	
527976	25218	
527976	27987	Dueno de Cafe
527976	28748	
527976	34578	
527976	43130	
527976	45763	Italian
527976	48776	
527976	49726	
527976	51781	
527976	52036	Hombre gordo
527976	52234	
527976	53669	Daniel
527976	54232	
527976	54235	
527976	54720	
527976	54824	
527976	57433	Sr. Garay
527976	57434	
527976	58696	
527976	58915	
527976	66797	
527976	70857	Don Leobardo
527976	70890	
527976	72378	
527976	74606	
527976	74849	
527976	77274	don Juvencio
527976	80109	
527976	87075	
527976	92335	
527976	96270	
527976	97368	
527976	98695	
527976	98997	Obispo
527976	101914	
527976	103641	
527976	103656	
527976	103664	Rico
527976	103989	
527976	108058	
527976	111320	
527976	112047	
527976	115741	
527976	120705	
527976	124655	
527976	124659	
527976	131058	
527976	132645	
527976	132702	
527976	134494	Don Emiliano
527976	143755	
527976	145161	
527976	145265	Sen~or Lemon
527976	149513	
527976	152236	
527976	159527	Ayudante de Rene
527976	169746	Gordo en Cantina
527976	171461	
527976	171473	
527976	171619	
527976	205136	
527976	206674	
527976	207772	
527976	209038	
527976	209084	
527976	210587	
527976	212366	
527976	215231	Benito
527976	215401	
527976	216088	Don anselmo
527976	217788	
527976	219406	
527976	220520	
527976	221705	
527976	221759	
527976	221946	
527976	221979	
527976	223620	
527976	225565	
527976	230267	
527976	233647	
527976	235262	
527976	236036	Esposo de Chelito
527976	238221	
527976	243415	
527976	246396	
527976	247418	
527976	247425	
527976	251183	
527976	251582	Cliente gordo
527976	252344	
527976	255619	
527976	257317	Hombre gordo secuestrado
527976	260563	
527976	267406	
527976	269216	
527976	269963	
527976	273124	
527976	273661	
527976	277410	
527976	287850	Don Cosme
527976	287900	
527976	300709	
527976	301190	
527976	301584	
527976	307802	
527976	307805	
527976	308272	
527976	309156	
527976	327509	
527976	329050	
527976	332970	
527976	332977	
527976	333663	Gordo
527976	336101	
527976	336102	
527976	336252	
527976	337451	
527976	337955	
527976	339105	
527976	339108	
527976	339154	
527976	339163	
527976	339206	
527976	343731	
527976	349464	
527976	349956	Don Casimiro
527976	350066	
527976	350098	
527976	350262	Train administrator
527976	351651	
527976	354479	Julie's Car Driver
527976	355789	
527976	355917	
527976	355936	
527976	355955	Cantinero
527976	357530	
527976	376819	
527976	377165	
527976	378457	
527976	397601	
527976	407542	Ducrot
527977	61133	Gustavo
527978	5150	Rodriquez
527978	65698	Squad Leader
527978	73249	Cruz
527978	117093	
527978	171278	Yankee Stadium Security Chief
527978	185540	Max Colby
527978	310639	Bomb Expert
527978	318442	Pepe 'La Joya'
527978	323492	Indio
527978	340034	Ramon Menendez
527979	64043	
527980	269915	Jefe
527981	318265	Rehén 1 Banco
527982	86447	Himself
527983	69572	
527983	235661	
527984	120375	Ramón
527985	14793	
527985	25812	
527985	52036	Jaime de Landa
527985	55946	
527985	55964	Nilo Ramirez, adulto
527985	59782	
527985	74363	
527985	74858	
527985	91325	Víctor
527985	167815	
527985	183160	
527985	217788	
527985	227706	Max
527985	253551	(segment "La Obsesión")
527985	263769	
527985	302309	Brother Matias
527985	337955	
527985	339171	(segment "Ana")
527985	353468	
527985	377189	
527985	379813	
527985	383563	
527985	384632	Gustavo Adolfo
527985	384986	Renato Duchamp
527985	385875	Leonardo
527985	387314	
527985	387696	
527985	387874	
527985	389843	
527985	392651	
527985	395856	
527985	396215	
527985	396711	
527985	396898	Leonardo Garces del Valle
527985	397601	
527985	398477	
527985	401088	
527985	402249	
527985	403256	
527985	403402	Carlos Augusto
527985	405955	
527985	407431	
527985	409289	Eugenio
527985	409792	
527986	3477	
527986	36818	Casino manager
527986	61136	
527986	87080	
527986	330298	
527987	215510	
527988	242675	Juan
527989	387912	Host (1981-1986)
527989	405322	Host (1977-1980)
527989	407735	Newsreader (1983-)
527990	13064	
527990	55959	
527990	63888	
527990	70670	
527990	99066	
527990	171462	
527990	225011	
527990	266996	
527990	325179	
527990	370164	
527991	136224	
527992	113920	Pedro, the Coach Driver
527992	124716	Guitarist
527992	242009	The Singing Guitarist
527993	353640	
527994	27313	Casa Velencia Maitre'd
527995	136182	
527996	3475	Don Carlos
527996	8574	
527996	9910	
527996	10501	
527996	29847	
527996	54085	
527996	55376	
527996	57908	
527996	63951	
527996	73270	
527996	73974	Comandante de estado mayor
527996	75375	
527996	90140	Don Gonzalo de Ulloa
527996	91382	
527996	94223	Renfield
527996	99681	
527996	101815	
527996	103475	Matías
527996	110103	Pianista
527996	136844	
527996	193497	
527996	194619	
527996	204633	
527996	206313	
527996	212397	
527996	212666	Pescador 2
527996	216087	
527996	218295	
527996	221950	
527996	222002	
527996	227500	
527996	243706	
527996	251562	
527996	261672	
527996	262212	
527996	266479	
527996	268046	
527996	273030	French commander
527996	274481	
527996	275210	
527996	277384	
527996	287807	
527996	287921	Secretario del sindicato
527996	327445	
527996	339131	(segment "Una de pandereta")
527996	352151	
527996	356622	
527996	376658	
527996	378495	Herrero, el desertor
527997	89917	
527997	153333	
527997	326338	
527997	353600	
527998	242675	Comandante Álvarez
527999	285017	Travestite
528000	399497	Humberto
528001	5754	
528001	57469	
528001	124398	
528001	197217	
528001	307723	
528001	354927	
528001	382754	
528001	386162	
528001	398471	
528001	398488	Zamora
528001	401697	Mendonga
528001	408570	Índio Carvallo
528002	301172	
528003	169792	
528003	328158	
528004	73281	Coro "Siquem"/"Siquem" Choir
528005	8042	
528005	332695	
528006	101846	
528006	141757	
528006	141759	
528007	53695	
528007	89726	Patron, Yo soy Godzilla
528008	250484	
528008	296454	
528009	1183	
528009	8979	
528009	388940	
528009	393979	Raul
528009	396844	
528009	397553	
528009	400685	
528009	400901	Carlos
528009	403200	
528009	404912	
528009	409937	Valério
528010	377169	Extra fiesta
528011	18379	
528012	189009	
528013	335943	Prisoner #1
528014	276148	Guerillero
528015	63888	
528015	266996	
528015	325179	
528016	672	Taxi driver
528017	315275	Yacht Steward
528018	101816	Nieto de Andrún
528019	77275	
528019	98708	Narrator
528019	250796	Luis
528019	306120	Raul Ochoa
528020	204732	
528021	299834	Bebops
528022	387897	Nicolás Borosfky
528022	397578	Aquiles Villanueva Mercouri
528023	407462	Gonzales (segment "Forrest Fe
528024	351494	
528025	276148	Amigo
528026	276148	Amigo
528027	105110	Monk
528027	378958	Nicanor
528028	276148	Sergento
528028	338867	Young Jacobo
528029	338867	Jacobo (as a child)
528030	252551	El hijo de Escarlata O'Hara
528030	268525	
528030	355004	
528030	355259	Pedro Guillermo
528030	396125	Jose Antonio
528030	401098	Jorge Voto (dance teacher and
528031	112736	
528032	300827	Recepcionista
528033	78220	Sargento
528034	392260	
528035	8540	Alí
528035	55952	
528035	57910	
528035	61951	
528035	63873	
528035	74162	
528035	75378	
528035	75379	
528035	89821	
528035	90526	
528035	117335	
528035	171458	
528035	183064	Ño Cricho
528035	248767	
528035	259967	
528035	268254	
528035	301189	
528035	307196	
528035	353231	
528035	371709	
528035	377158	
528036	55086	
528036	84024	
528036	121312	
528037	379649	
528038	324448	Dancer: La cumparsita -2
528039	244248	Florencio
528040	103659	
528041	376641	
528042	20712	
528042	40427	Guitierrez
528042	51567	Camionero
528042	53169	Policia de civil
528042	57870	Guard Tito
528042	79133	
528042	102947	Matón 1
528042	104835	
528042	183167	
528042	233617	
528042	294376	
528043	6498	
528043	9640	
528043	9695	
528043	17074	
528043	28034	
528043	45725	
528043	51670	
528043	53660	
528043	54778	
528043	74737	
528043	80252	
528043	91415	
528043	103501	
528043	103991	
528043	136846	
528043	140560	
528043	140563	
528043	145238	
528043	157200	
528043	159597	
528043	193066	Sargento Lucero
528043	193067	
528043	193327	
528043	196738	
528043	205712	
528043	206744	
528043	210172	
528043	212439	
528043	212508	
528043	216854	
528043	225711	
528043	236024	
528043	236302	
528043	243781	
528043	247297	
528043	250712	
528043	258485	
528043	263832	
528043	269236	
528043	278937	
528043	287425	
528043	287734	
528043	306698	
528043	308280	
528043	310071	
528043	317677	
528043	317702	
528043	318227	
528043	328157	
528043	340363	
528043	341838	
528043	343607	
528043	353616	
528043	371732	
528044	109597	
528044	113095	
528044	386696	
528045	23065	Jacinto
528045	379004	Host
528045	389134	Host
528045	392811	Interviewer/El Dioni/Paco Por
528046	51733	Dani
528046	52074	Ramón
528047	9873	Junkyard Cook
528048	106241	
528048	247858	
528049	13514	
528049	52745	
528049	85568	
528049	104089	
528050	225006	Pianist
528050	341362	
528050	354045	El Griego
528051	161670	Inspector
528051	242756	Salvador
528052	242756	Salvador
528053	2256	Umberto
528053	49044	
528053	57870	Forensic assistant
528053	104835	
528053	108141	
528053	134178	Chilean family
528053	191206	
528053	192821	Refugee
528053	242672	
528053	313173	Torghandlaren
528053	337574	
528053	343512	Ticket collector
528053	351452	
528053	389235	Bermúdez
528054	392960	Barreto
528054	396898	Dr. García
528054	398469	Julián
528054	409719	
528054	410477	
528055	176802	
528055	228784	
528055	396983	Guillen
528056	27946	Federale #1
528057	277375	
528058	73659	Bleeding Man
528059	55789	
528059	326223	Manager
528060	326009	Himself
528060	349883	Himself
528061	131128	Asprilla
528062	58145	
528062	61131	
528062	103487	
528062	103804	Himself
528062	108135	
528062	118836	
528062	132675	Locutor T.V.
528062	136858	Himself
528062	146570	Jesús Álvarez, presentador de
528062	160727	Locutor
528062	229802	
528062	275274	
528062	357533	
528062	376844	
528062	407735	Newsreader (1957-1965)
528063	351494	
528064	267298	
528064	386785	Padre Gregorio
528064	410201	Remigio
528065	160620	Baseball Player
528065	235994	
528065	333707	
528066	74865	Comprador Feria
528067	74557	
528068	7598	
528068	30408	
528069	156022	Capitán del Adventurer
528070	124705	
528070	193350	
528070	353545	Escolta III
528071	284800	Joven golpeado
528072	215118	Barman
528072	322233	
528073	121250	
528073	232321	My Name Is Eduardo
528074	176276	Stunt Knight #1
528074	269617	Henchman
528074	273395	Officer God
528074	316606	Ruben's Home Boy
528075	250700	
528076	83890	
528077	90132	
528078	358962	Himself
528079	318265	Arturito
528079	354996	4x4 Thief
528080	76101	
528080	257129	
528081	268175	Octavio
528083	137121	
528084	212666	Pescador 1
528085	242675	Pedro
528086	74622	
528086	274481	Jesus Christ
528086	292129	A Hotel Clerk
528087	65005	El Coronel
528087	204212	Aloique
528087	221662	
528087	249875	
528087	293366	
528087	351919	
528088	204212	
528089	302349	
528090	68845	
528091	318288	
528092	276148	Guerillero
528093	77430	
528093	233624	
528093	380269	Lic. Olmos
528093	382378	
528093	386077	Inspector Álvarez
528094	84502	Domingo, the butcher and barb
528095	42969	Rodolfo
528095	197055	Gennaro
528095	204653	Le Chevalier des Grieux
528095	278317	Duke of Mantua
528095	324502	Dancer
528096	212383	Negro
528096	261465	Él
528096	384734	Subinspector Jorge 'Pope' San
528097	276148	Guerillero
528098	672	Vicente
528098	67186	Receptionist
528098	204829	Simón Bolívar
528098	252628	
528098	380110	
528098	392989	
528098	398483	José Manuel Valladares
528098	400839	
528098	410387	Abelardo Fonseca
528099	125757	Tilín
528099	239811	
528099	339940	Latin Lover
528100	80311	
528101	286228	Dancer
528102	137121	Agent
528102	148051	Priest
528102	383140	
528103	75361	
528104	13046	
528104	33679	
528104	54661	Pedro
528104	71654	Spargo
528104	108057	
528104	112029	Capt. Fred
528104	246302	
528104	296445	
528104	296480	Tony Winter
528105	248473	Tameala
528106	73281	Coro "Siquem"/"Siquem" Choir
528107	64031	
528107	72433	
528107	204594	
528107	266058	The Young
528108	70833	
528109	3395	
528110	131118	Antonio Durán
528111	353672	Fernandito
528112	217890	
528113	271079	Banda 'Tandito'
528114	259328	Zaragoza
528115	74355	Professor Salanas
528116	332691	
528116	350072	Chirigua
528117	121245	Doro
528117	249301	
528117	252559	
528118	276148	Niño
528119	276148	Cmte. Seg. Nal
528120	389786	Cecéu
528120	400902	Jorginho
528121	149208	Henry Plarr
528121	212257	Cantina Drunk
528121	400201	US Colonel
528122	202715	
528123	96382	Lider
528124	410289	
528125	286228	Dancer
528125	315778	Spider/Stunt/Dancer/Puppeteer
528126	14671	Álvaro
528126	23065	Ángel
528126	76103	
528126	100370	Luis
528126	101867	Anastasio
528126	136987	Doctor
528126	146482	
528126	169794	Admiral
528126	187716	Milio
528126	204642	Manolo (el padre)
528126	221963	Teniente Arribas
528126	226435	Rodrigo
528126	235254	Sacerdote
528126	260934	Don Constantino
528126	332598	Carlos
528126	353572	Jose
528126	369989	Himself - Presenter: Best Edi
528126	369999	Himself - Presenter: Best Scr
528126	379100	Rodri
528126	380155	Fernando Hidalgo
528126	398521	
528127	302111	
528128	339429	Junior
528129	178833	Policía 2
528130	55619	Padre Apellániz
528130	107274	The Salesman
528130	233539	Desconocido
528130	233976	Preso
528130	286369	Pep
528131	25000	
528132	40447	Invitado fiesta
528132	40448	Extra
528132	52764	Ejecutivo
528132	276148	Guerillero
528133	19499	Albacea Testamentario
528133	33727	Valle-Inclán
528133	51532	
528133	71281	
528133	91372	
528133	112736	
528133	216303	Amigo de Delgado
528133	275080	
528133	285934	Horacio
528133	299714	Accountant
528133	305223	John Foley
528133	383271	
528134	260536	
528135	82651	Niño
528136	346006	Man in Park
528137	151811	
528138	17073	Policeman (new movie)
528139	204681	
528139	302403	Aparcacoches
528139	353243	
528140	109993	Second Guard
528140	202728	Dancer
528140	240003	
528140	383525	Carlos Sanchez (1984)
528140	411809	Dr. Tony Garcia (1977-1979)
528141	25681	
528141	53995	
528141	54331	
528141	146515	
528141	317689	
528142	328169	
528142	385872	Kathy
528143	132688	
528144	551	
528144	2416	
528144	5105	
528144	5443	
528144	7336	Lorenzo
528144	10956	
528144	12104	
528144	14783	
528144	15319	
528144	15380	
528144	17071	
528144	19463	
528144	20390	
528144	20734	
528144	25025	
528144	25065	Dueño de la posada
528144	25214	
528144	28314	
528144	28323	
528144	28948	
528144	28953	
528144	32366	
528144	33493	
528144	36664	Pedro
528144	43307	
528144	51541	
528144	52778	
528144	55085	
528144	57782	
528144	58043	Juan
528144	58067	
528144	58145	
528144	61126	
528144	61360	
528144	64035	
528144	65193	
528144	66404	Álvarez
528144	68636	
528144	68999	
528144	70690	
528144	72379	
528144	73276	
528144	75361	
528144	75499	Don Antonio
528144	75999	
528144	83890	
528144	88343	Nataniele (Bartender)
528144	88975	
528144	90189	
528144	91409	
528144	92069	Padre
528144	92337	Un señor
528144	92347	
528144	94820	
528144	96280	
528144	96355	
528144	97659	
528144	98999	
528144	100414	Kepek
528144	100526	
528144	100783	
528144	102401	
528144	102624	
528144	103160	
528144	103167	
528144	103433	
528144	104008	
528144	106166	
528144	108129	
528144	109422	
528144	110103	Guardia
528144	111005	
528144	112056	
528144	113238	
528144	116428	
528144	119305	
528144	120706	
528144	121250	
528144	121479	
528144	122837	
528144	124786	
528144	125660	
528144	132675	
528144	132688	
528144	133093	Spaniard at party
528144	135276	
528144	135351	
528144	146570	
528144	146572	
528144	148055	
528144	148110	
528144	149205	
528144	149904	
528144	160131	
528144	160726	
528144	162077	
528144	162712	
528144	162765	
528144	169803	
528144	170044	
528144	171651	
528144	183504	Farmacéutico
528144	188645	
528144	190424	
528144	190644	El párroco
528144	192957	
528144	193513	Parroquiano
528144	194622	Fernández
528144	199413	Mr. de Maupin
528144	202224	
528144	202556	Olalla
528144	204644	Dueño de la mantequería
528144	205429	Manolo, hombre sentado en el 
528144	205699	
528144	206018	
528144	206313	
528144	206995	
528144	208841	
528144	211325	Notary
528144	212363	
528144	212367	
528144	212441	
528144	213363	
528144	213535	
528144	218499	Don fabián
528144	221559	
528144	221562	
528144	221765	
528144	225060	
528144	226374	
528144	226491	
528144	228728	Oliver Blackwood (bank manage
528144	234366	
528144	234724	
528144	235304	Customer
528144	235318	
528144	236748	
528144	242662	Botín
528144	242685	
528144	246300	
528144	246875	
528144	249890	
528144	249912	
528144	250408	
528144	251631	
528144	252612	
528144	255488	
528144	256720	Sáenz
528144	258067	
528144	259856	
528144	263409	
528144	265552	El burrero
528144	265725	
528144	266408	
528144	266861	
528144	269160	
528144	269926	
528144	270984	
528144	273844	
528144	274506	
528144	276003	
528144	281884	
528144	284210	
528144	284332	
528144	284959	El Sésamo
528144	286283	
528144	289859	Rev. Wilson
528144	292745	
528144	292923	
528144	294069	
528144	296470	
528144	304114	Bimbaschi
528144	307203	
528144	307297	
528144	307466	
528144	326303	
528144	328172	
528144	332603	
528144	333614	le Professeur Zalamea
528144	333664	
528144	334708	
528144	337869	Tabernero
528144	339122	
528144	339128	
528144	339131	(segment "Introducción: Tribu
528144	339151	
528144	340134	
528144	340312	
528144	346474	Barkeeper
528144	351673	
528144	351686	
528144	352152	Álvarez, el enterrador
528144	353186	Professor
528144	353548	Don Heliodoro
528144	353599	
528144	353654	
528144	354445	
528144	370065	
528144	376641	
528144	376717	
528144	376795	
528144	378432	Dueño de la churrería
528145	101455	
528145	108612	
528145	145203	
528145	292748	
528146	170035	
528146	286283	
528147	34389	
528147	65141	
528147	139892	
528147	282639	Rodas
528147	328712	
528147	371692	
528148	287773	Soldier 1
528149	25805	Arquitecto
528149	27784	Bartolo
528149	36502	Padre Genaro
528149	55170	Padre
528149	145143	Félix
528149	145205	Patient talking with Norma Be
528149	236400	Pep Grau
528149	249881	Abuelo Ignacio
528149	307277	Vecino
528149	340096	Anciano
528149	369870	Himself - Winner: Best New Ac
528150	9706	
528150	91392	
528150	98708	Narrator
528150	194098	
528150	197885	
528150	226484	Padre Andrés
528150	247198	
528150	249881	Antonio Albendín
528151	379132	Plinio (Chapter 3)
528152	56523	
528153	355946	Teacher
528154	411248	Peter Vincent
528155	124591	Juan
528155	356672	Tomás
528156	55170	Manuel
528156	87418	Angel
528156	221559	
528156	309890	Moses
528156	369898	Self
528157	387681	David
528157	397737	
528157	398478	Alejandro Santos
528157	405858	
528157	408419	Moncho
528158	55382	
528159	67236	Juan José
528159	383174	Dr. Mauro Salinas
528159	383390	Lorenzo Benavides
528159	391590	
528159	397029	
528159	400485	Felipe
528159	401097	Jose Alberto
528160	94840	dancer
528161	1136	
528161	25079	
528161	65193	
528161	74558	
528161	88975	
528161	99717	
528161	121251	
528161	265157	
528161	286202	
528161	322276	Airport official
528162	355004	
528162	382867	Silvio
528162	383390	
528162	384985	Rafael
528163	400655	Damián
528164	100391	El Huevo
528165	30306	
528165	89748	
528165	219422	
528166	84175	Bomba
528166	220171	Card Player
528166	247845	Sgt. Panduro
528166	370087	Manolito
528167	357712	
528168	65021	Lakatos
528168	99523	Vitányi
528168	253782	
528169	44572	
528170	160793	
528170	224503	
528171	46594	
528171	354334	Warrior
528172	174103	Korfelagi
528172	314371	
528172	395358	Policeman
528173	212320	Himself
528174	96430	
528174	103052	
528174	153673	
528174	393168	
528175	103052	
528175	140061	
528175	306122	Shadow Figure
528175	322051	
528175	334015	
528175	349794	
528175	377821	
528176	99523	
528177	96201	
528178	81339	Yamoto
528178	153637	István Benedek
528178	208285	Wilhelm
528179	377768	A portás
528180	99751	
528180	118170	
528180	122455	
528180	136431	
528180	156092	Bushy
528180	163968	
528180	268284	
528180	377892	
528180	387360	Voronov
528181	15858	Charity attendant (Etus)
528182	293998	
528183	34086	Bíðið eftir mér/Wait for me
528184	164255	Extra
528185	237380	Bartender
528186	16997	Alezredes
528186	102409	Balassa Imre
528186	171547	Sulyovszky
528186	176203	
528186	205436	
528186	375965	Ferenc Szabó
528186	399860	
528186	412295	Méhes Zsigmond
528187	132714	
528188	322864	Chamorro
528189	8555	
528189	171381	
528190	29742	
528190	281762	
528191	80189	Teporecho muerte
528191	401657	
528192	104111	Padrode 2
528192	125008	Gomez
528192	188995	Hampón #3
528192	272623	
528192	380059	Sebastián
528192	380099	
528192	385401	Judicial
528192	385873	Lorenzo Valverde
528192	387817	Diseñador
528192	396898	Castello
528192	400490	Román Guillen
528192	401435	Bruno Bordelli
528192	402050	Fabián San Miguel
528192	403173	Alejandro
528192	403752	Gerardo Navarette
528192	409017	
528193	135110	Tirso
528193	310030	
528194	74686	Himself
528195	103125	
528195	318265	Cantante 2
528196	302303	
528196	379450	Bruno
528196	385024	Cris
528196	391674	Zezinho
528196	396610	Assam (1997)
528196	409419	Rudá de Andrade
528196	410054	Dudu
528197	491	
528197	10440	Asistente
528197	12104	
528197	31001	
528197	51913	
528197	58045	
528197	67692	
528197	69791	
528197	74593	
528197	75915	
528197	86056	Franz Kelner
528197	96280	
528197	96355	Antón
528197	103394	
528197	103776	
528197	104646	
528197	111996	José
528197	113238	
528197	120706	
528197	142737	
528197	148053	
528197	148096	
528197	153827	
528197	178300	Mark
528197	184934	
528197	184960	Baxter
528197	199383	
528197	207012	
528197	212490	Padre José María
528197	217464	
528197	221666	
528197	221729	
528197	242655	Basilio
528197	242680	
528197	246939	
528197	257509	Kalarides
528197	261266	Vélez
528197	273014	
528197	278429	
528197	286283	
528197	288950	Petizo
528197	296475	
528197	300634	
528197	301175	Livius
528197	307341	
528197	337952	
528197	337974	
528197	341599	
528197	343629	Mario
528197	345504	
528197	375891	
528197	376641	
528198	89398	
528198	100723	
528199	236472	
528199	253302	Drunk Executive
528199	401916	
528199	410477	
528199	412195	
528200	19503	Asaltante microbus #1
528201	54192	
528201	171367	Profesor
528201	210376	
528201	276121	
528202	20253	Mariachi Band Member
528203	383470	Lucién Arévalo
528203	395861	Rojas
528203	400942	
528203	408408	El Baby
528204	70064	
528204	74547	
528204	245581	
528205	80189	Judicial 2
528206	77091	
528206	79133	
528207	61351	
528207	324448	Dancer: Mi Amigo Cholo
528208	80115	
528209	82589	
528209	119884	Taxi driver
528210	52922	Miguelito
528210	381024	Ulises
528211	69712	
528211	74153	
528211	96341	
528211	114864	Driver
528211	132688	
528211	153832	Capitán
528211	218495	
528211	249905	
528211	301141	
528211	354043	
528212	15030	Un bandit TV
528213	43665	
528213	112757	
528213	344813	
528213	387050	Miguel
528214	357193	
528215	223514	Rumpali
528216	118743	
528217	211038	Mandoliinimies
528218	176704	Press
528219	80070	Himself
528220	80070	Himself
528221	151741	
528222	151741	
528223	403921	Meralda
528224	48258	Harmonica Player
528224	153911	The assistant
528224	175350	Elje Ström
528224	198008	Goete
528224	283231	Voices
528224	322433	Fred
528224	405619	Lars
528225	210359	Himself
528226	322421	A man
528227	393003	Singer
528228	323247	Farm-hand
528229	2588	Painriche
528229	116450	Trommeslager Hagerup
528229	153717	Stig Helmer Olsson
528229	172579	Sgt. Gustaf Lagercrona
528229	187623	Gunnar
528229	218534	Customs Inspector
528229	238774	Stig-Helmer Olsson
528229	239237	Suitor
528229	275884	Helge Jonsson
528229	284553	Stig-Helmer Olsson
528229	306381	Prosit, a.k.a. Snuvan
528229	322276	Stig-Helmer Olsson
528229	322277	Stig-Helmer Olsson
528229	404818	
528229	408794	Trazan/Various
528229	408795	Trazan
528230	377287	Girl at restaurant
528231	62451	
528232	6586	Dinner Guest
528232	48001	Berggren
528232	99568	Man at the ball
528232	108200	Head Waiter
528232	121014	Conductor
528232	164651	Board member
528232	168511	Manager of the Confederate Sh
528232	182464	Member of the board
528232	198013	Guest in Rådhussalen
528232	198015	Petter
528232	198265	Guest at the nightclub
528232	198271	Mrs. Sjögren's doctor
528232	275590	Policeman at police station
528232	305304	District Attorney
528232	317619	
528232	321510	Sonja's father
528232	331006	Wedding Guest
528232	349902	Guest at Jensen's party
528232	357805	Policeman
528233	192659	Male Nurse
528234	166753	Consuler in San Francisco
528235	213292	Vinkillen
528236	210359	Himself
528236	377334	Backing Vocals
528237	210358	Himself
528238	182599	Little boy
528238	204537	Erik
528238	287568	Emil
528238	303205	Fredrik
528238	355641	Martin Hagmann
528238	396533	Pelle
528238	397974	Alex
528238	405734	Erik Jr. (9 episodes 1993-199
528239	199518	Editor-in-chief at newspaper
528240	42206	
528241	214690	Mats-Peter
528241	252005	Pelle
528242	281039	Guest at the engagement party
528242	353013	Man from Stockholm in the aud
528243	228388	Policeman
528244	334044	Tommy
528245	122472	
528246	153717	
528246	284553	
528247	101611	Micke
528248	284028	The Monster/An alien/Tall nig
528249	115397	Tok-Jan
528249	137733	Victor
528250	255866	TV Reporter
528251	293958	
528251	398767	Ralf, burglar
528252	51127	Himself
528253	99471	
528254	102161	Sjukhus Besökare
528254	398767	Ivar Olsson
528255	190805	Man in Sweden #12
528256	167605	Jim
528257	198758	Skiing instructor
528258	271630	
528259	20468	
528259	118743	
528259	388912	Hjalmar
528259	392164	Ernst Wecksdorff (2002)
528260	6584	Fireman
528261	368740	Lasse
528262	369480	Himself
528263	122618	Member of 'Barn'
528264	294294	Hans Müller
528265	147008	The boy in the pit
528266	30185	The helpless father
528267	232986	Scorpio
528268	173147	Voice
528269	390232	Himself
528269	397395	Himself/Host
528270	396456	
528271	204543	Sten Torstensson (episode 1)
528271	350772	Windrank/Anders Persson/Peder
528271	378897	Truck driver
528271	380892	The brickyard worker
528271	389397	Albert, forester
528272	84316	Martin som barn
528273	259881	Johtaja Fleurtén-Lemmenheimo
528274	59717	Crofter-Mats' child
528275	4334	Veikkalan renki
528275	304166	
528276	21724	
528277	182285	Man leaving the jazz club
528278	169976	Matti Englesson
528278	393273	Martin Fors
528279	18266	Teiresias, blind prophet
528279	26570	Felix
528279	29579	Lazarus
528279	42200	Lundberg
528279	48360	Tengil
528279	48373	Johan Borg
528279	84281	Art dealer
528279	88825	Dr. Rank
528279	89836	Manager Randel
528279	90211	Don Ranudo de Colibrados
528279	94261	
528279	99887	Vicar
528279	99889	Vicar
528279	101126	Parish constable
528279	108633	Ekdahlska huset - Officer/Tea
528279	115816	Guido Bardi
528279	128080	Anselme
528279	136179	Herman Israel
528279	136733	Colonel Sparre
528279	142863	Lord Chief-Justice of the Kin
528279	154690	Lucky
528279	159479	Friend in Lund
528279	164781	Karlsson senior
528279	181843	Chaplain
528279	182290	
528279	182560	Hotel clerk
528279	184000	Parish constable
528279	188879	Narrator
528279	193298	Svanhals
528279	206209	Barfot
528279	237033	Vicar
528279	237274	
528279	262663	Brunius
528279	266363	Bergquist
528279	304406	Brunetto Latini
528279	304411	Police Officer Gustavsson
528279	304413	
528279	305306	Judge
528279	305991	Guerilla soldier
528279	322663	
528279	349801	
528279	350607	Tilo
528279	353013	Pelle Nyman
528279	354419	Professor Memling
528279	355545	Fredrik, Karin's husband
528279	377423	Doctor
528279	379800	Gustaf Fredriksson
528279	382452	Brentano
528279	382890	Tengil (epsiode 3,5)
528279	386684	
528279	388448	Länsman
528279	388894	Kusken (episodes 3, 4, 6, 7, 
528279	390854	Kusin Kristoffer
528280	42201	Bargæst
528280	233284	Spejderfører
528280	252629	Betjent
528281	57564	Karl, bror til Cecilia
528282	259354	
528283	138525	Farmhand
528283	138957	
528283	145519	Hjortberg
528283	159672	
528283	174046	Inspector
528283	180077	Officer
528283	182806	Driver
528283	225333	Sailor
528283	322308	
528283	331006	Driver
528283	331007	Stage worker
528283	351454	
528284	17564	Per Persson
528284	27480	
528284	30163	Stor-Anders
528284	42208	Odette's brother
528284	48000	
528284	48367	Drunk man
528284	48371	County Police
528284	52603	Policeman
528284	78384	Plumber
528284	84287	Dräng på säteriet
528284	95829	Construction worker
528284	99568	Circus hand
528284	104812	Track worker
528284	108461	Döden (Death)
528284	115402	Listening man
528284	115422	First Stoker
528284	115879	Janitor at Gröna Lund
528284	116131	Cpl. Svensson
528284	120922	Ville, peasant
528284	122462	Worker
528284	122499	Counterfeiter
528284	129178	Navy officer
528284	135219	Villager
528284	135671	Doorkeeper at Sjösätra
528284	136683	Messenger
528284	137954	Lars
528284	140393	Per Haraldsen
528284	142789	Farm-hand
528284	149488	Crook
528284	153709	Kraftig man med hatt
528284	153768	Arvid
528284	165615	Stor-August
528284	168390	Sme-Emil
528284	172784	Drunken lumberjack
528284	173201	Edgar
528284	174201	Man in the audience
528284	174432	Lång-John
528284	175351	Boy in the grocery store
528284	182263	Factory worker
528284	182302	Angry man
528284	182466	Pirate
528284	190822	Guest at the wedding
528284	192647	
528284	217451	Farm hand at Hellesta
528284	218084	Juror
528284	225331	Blom
528284	225666	Berra
528284	227740	Station inspector
528284	232736	Fisherman
528284	248189	Policeman
528284	252188	Birger Ondsint
528284	256782	
528284	271688	Filip Bred
528284	272642	Bather
528284	272755	Salesman
528284	277817	Peasant
528284	281039	Jumping man
528284	281956	Boat man
528284	284057	Taxi driver
528284	286103	Skipper
528284	296207	Policeman Johansson
528284	304125	Vikman
528284	304161	Jojje, Freddie Braxenhielm's 
528284	305874	Fisherman
528284	307533	Man in white coat at the amus
528284	307763	Doorman reading the newspaper
528284	312224	Algot
528284	314385	Per Valfridsson
528284	315549	Captain at Östanå I
528284	322310	Farm hand
528284	326127	Mr. Vestman
528284	340268	Old goblin
528284	350397	Sailor
528284	354424	Gunnar's father
528284	377304	Band Leader
528284	377324	Poker player
528284	377388	Jonas Bodell
528284	377436	Boss
528285	284553	
528286	142863	First Attendant
528286	170709	Pyret Leijonsvan
528286	214385	
528286	346987	Lillen
528286	347025	Erik Thysell
528286	388646	Kriminaltekniker
528286	394937	Mr. Olsén, manager
528286	406775	Revisorn
528287	173201	Per
528288	165612	Nisse
528289	225485	Man at Manor #2
528289	357765	Fredik Rytterström
528290	1813	Frisør
528290	2675	Rock'n'Roll Singer 2
528290	102226	Roger
528290	154496	
528291	394322	Lenny Fartrider
528292	3228	91:an 'Mandel' Karlsson
528292	3229	91:an Mandel Karlsson
528292	108958	Åkerlind
528292	114033	Elis Wiklund
528292	115386	Jocke
528292	120966	Gentleman
528292	138015	Höglund's Associate
528292	147005	Nisse Karlsson
528292	153743	
528292	172784	Visitor at the Lanterna Magic
528292	174049	Aristocrat in prologue
528292	174721	Hendricks
528292	193390	Book keeper
528292	198260	Bathing man
528292	268377	Board Member
528292	272642	Stork, officer
528292	274833	139 Peter Petttersson
528292	276130	Svensson
528292	276139	Assistant photographer
528292	303644	Vesslan
528292	304183	
528292	312224	The ant
528292	320339	Käsch
528292	341611	Desk cler at the customs offi
528292	382452	Kraftmätarmannen
528293	228388	
528294	182298	Sundström's assistant
528294	244204	Soldier
528294	281956	Crew member
528295	4597	
528295	108197	Gunnar
528295	237035	
528295	382307	The Choreographer
528295	403658	Janne
528297	149480	Albin
528298	182298	Driver
528298	324819	Lieutenant
528298	377420	Flygare
528299	80070	Himself
528300	24171	Stellan
528300	198380	The Porter
528300	259159	Sven Risell
528300	265121	Hin Håle
528300	275884	Börje Larsson
528300	322276	Lasse Lundberg
528300	341093	Carl-Oscar Iverson
528300	386175	Constable Svärd
528300	394074	
528300	403084	Steve (1997)
528300	408794	Olyckan
528300	408795	Olyckan
528300	408935	Kotte
528300	409111	
528301	2240	
528301	34494	
528301	76377	Politimand
528301	78288	Den runde
528301	108171	Overtjener på D'Angleterre
528301	109134	Psykiater
528301	117875	Hotel-portier
528301	123885	Apotekeren
528301	138573	
528301	153776	Adolf
528301	182623	
528301	199995	Læge på skadestue
528301	203398	Svends nabo
528301	210157	Customs Officer
528301	218898	Deltager i tv-diskussion
528301	253942	Plantageejer
528301	255665	
528301	264282	Conrad Cupman, skuespiller
528301	286457	
528301	305307	Jensen
528301	312235	
528301	322679	
528302	1695	
528302	8589	
528302	63978	
528302	89530	
528302	173566	
528302	173866	
528302	296420	
528302	349225	
528302	378223	
528303	8347	
528303	12650	
528303	19516	
528303	22047	
528303	24849	
528303	29860	
528303	35628	
528303	38448	
528303	38479	
528303	39085	
528303	43291	
528303	43293	
528303	50085	
528303	51351	
528303	125932	
528303	135905	
528303	136694	
528303	136768	
528303	163099	
528303	171977	
528303	173770	
528303	173808	
528303	177818	
528303	177844	
528303	180321	
528303	180588	
528303	187649	
528303	212286	
528303	227234	
528303	240536	
528303	289287	
528303	294885	
528303	303582	
528303	307032	
528303	307158	
528303	320476	
528303	350998	
528303	371400	
528303	371557	
528303	378227	
528304	4601	
528304	15955	Man at the lobby
528304	27462	
528304	38433	
528304	38477	
528304	138399	
528304	174052	
528304	214539	The mayor
528304	349221	
528304	377517	
528304	378608	
528304	382135	Hüsnü (1989-1997)
528305	34037	
528306	296410	
528307	226331	Bayram
528308	146982	
528309	411965	Osman
528310	48429	
528311	249477	
528312	22019	
528312	23124	
528312	140609	
528312	173800	
528313	8575	
528313	8909	
528313	136777	
528313	295252	
528313	303016	
528313	335985	
528314	5711	Mahmut
528315	124918	
528315	163104	
528315	173794	
528315	182836	
528315	182914	
528315	295510	
528316	91074	
528316	93726	
528316	132478	
528316	351395	
528316	356037	
528317	25619	Aksirik (Sneezy)
528318	18838	
528318	79227	
528318	191403	
528318	197285	
528318	225585	
528318	236936	
528318	268812	
528318	270700	
528318	299239	
528318	339294	
528318	351540	
528319	87933	
528319	130146	
528320	25609	
528320	97859	
528320	137317	
528320	182906	
528320	341873	
528321	366467	Yüksel
528322	183234	Clandestino
528323	57592	
528324	249730	
528325	136688	
528325	370372	
528325	407308	Cevdet
528325	412121	Süleyman
528326	209033	
528327	147033	
528327	154277	Maxhupi i vogël
528327	260504	
528328	305110	Festim
528329	181306	
528329	197428	
528329	209033	
528330	371882	Mirza
528331	17402	
528331	163106	
528332	96485	
528332	99818	
528332	240540	
528332	311070	little Aga
528332	371562	
528332	371882	Mevlat
528333	348602	Ozan
528334	23130	
528334	25597	
528334	95554	Kemal
528334	125931	Genç Osman
528334	136092	
528334	156222	
528334	174913	
528334	175384	
528334	295532	
528335	1695	
528336	300379	
528337	23037	
528337	46210	
528337	112723	
528337	156377	
528337	181149	
528337	233453	
528337	237344	
528337	268489	Mësuesi
528337	299598	
528337	330577	
528338	8497	The jailer
528338	76772	
528338	182166	
528338	322541	
528339	174834	
528340	149960	
528340	285568	
528340	371555	
528340	378257	
528341	136911	Hitit Besim/Tarih Hocasi
528342	10522	
528342	21991	
528342	22829	
528342	23192	
528342	38479	
528342	88281	
528342	90807	
528342	96432	
528342	285492	
528342	294132	The servant
528342	302493	
528342	307032	
528342	322537	
528342	370634	
528343	118694	
528344	388619	Himself
528345	129135	
528345	174169	
528345	233458	
528345	249730	
528345	275249	
528345	335273	
528346	249887	
528347	12977	
528349	144116	
528350	104094	
528350	173650	
528351	394922	Ali Usta
528352	174203	
528352	178575	Selim
528352	240540	
528352	275154	Haydar Sener
528352	370630	Father
528352	371882	Omer
528352	371891	
528352	381020	Merdan
528352	394189	
528353	349226	Oglu (her son)
528354	160188	Sudi
528354	381020	Zübeyir
528354	406893	Sultan
528354	411705	
528355	49106	
528355	400954	(1966-1972)
528356	162717	
528356	293409	
528357	22797	The bird fancier
528357	44601	
528358	387405	Kirli
528359	187647	
528360	57592	
528361	156085	Himself
528362	233352	
528363	7457	Sarlat
528363	8987	Marco
528363	14353	Fritz Kobus
528363	15029	
528363	19073	Lucien
528363	58230	Antoine
528363	63850	Joëll
528363	79964	Pierre
528363	83340	Ruben
528363	87423	Jean Luc
528363	91990	
528363	96161	Gérard
528363	97852	Jean
528363	101140	Bruno
528363	108902	Serge
528363	111032	Jean
528363	112073	Aizpiri
528363	124135	Yves Bazin
528363	132288	Le Parisien
528363	140293	Bruno Chevalier
528363	140298	Lionel
528363	142869	Eduardo Sanchez
528363	148643	Jean-Marc
528363	159599	Jacques
528363	172029	
528363	198638	Pierre Fabre
528363	204305	Père René
528363	205729	
528363	210940	Fred
528363	214387	Jacques Dana
528363	217210	Bertrand Petit
528363	217224	Fernand
528363	217689	
528363	227482	Luc
528363	233691	Jean
528363	251527	Homme bar de nuit
528363	256999	Betts
528363	259009	Stéphane
528363	261116	Paul
528363	261459	Peter Verchovenskij
528363	275124	Condé
528363	278152	Voix du frère
528363	287246	Julien
528363	306313	Beshop
528363	345466	Antoine de Cherchery
528364	171606	
528365	232802	
528366	107717	
528367	322099	
528368	281286	Ede
528369	39052	
528369	153859	Task-master
528369	227534	
528369	322025	Vidéki színész
528369	349080	
528369	349627	Uncle Józsi
528369	354252	
528369	357712	
528369	377143	
528369	377768	Szakszervezetis
528369	395635	Maffiózó
528369	407236	Gusztáv Kerei (1997-1999)
528369	407241	
528370	66743	Himself (Surrealist poet)
528370	377240	
528371	45688	Spectateur
528372	355858	Le curé
528373	46656	Un inspecteur
528374	140672	
528375	368737	
528376	8850	
528376	42382	Himself - Footage from "Ruptu
528376	45196	Maître Tardivel
528376	66064	Himself
528376	132735	Pierre
528376	142869	Henry's Friend No. 1
528376	144318	
528376	155687	Le fonctionnaire
528376	197535	La voyante
528376	236560	SOS Amor
528376	255250	2ème complice
528376	268386	
528376	283647	
528376	300107	
528376	309697	Pierre, the Suitor
528376	322358	Le garçon d'étage
528376	324618	
528376	333720	
528376	356515	Pickpocket
528376	372951	Yo Yo/The Millionaire
528376	377244	
528377	111873	
528378	122414	Garçon restaurant
528378	375079	
528379	8047	Dries Schoonejans
528379	63667	
528379	100172	
528379	113231	
528379	114755	
528379	118204	Mr. Greer
528379	216229	Javert
528379	219499	
528379	254027	Mortal
528379	259865	
528379	303616	
528380	28589	Director da PJ
528380	201986	Male resident
528380	381246	
528380	393714	Joaquim
528381	12925	
528381	30402	
528381	33468	Amante Rachel
528381	54192	Capablanca
528381	57565	
528381	126311	
528381	136920	
528381	148051	Javier Argüelles
528381	235994	Profesor
528381	379118	Don Federico Rivero
528381	379461	Estéban Armendáres
528381	380795	Luis Ávila
528381	383688	Amador Montero
528381	384988	Marcelo Romero Vargas
528381	387685	Octavio Villareal
528381	389881	
528381	395043	Gabriel Almada
528381	396209	Mariano
528381	396713	Rigoberto Valdés
528381	396852	Atilio Montenegro
528381	402219	Father Juan de la Cruz Velard
528381	405281	Antonio
528382	328866	Notário
528383	3326	
528383	124453	
528383	209034	
528383	221756	Él mismo
528383	224984	
528383	328147	
528383	345568	Rosco
528383	349333	Himself - Host
528383	383526	Host
528383	386416	Host
528383	387865	Host
528383	387910	Host
528383	388418	Host
528383	392207	Host
528383	397209	Host
528383	403444	Host
528383	405223	Colaborador (2002-2003)
528383	410325	Host
528383	412146	Host
528383	412308	Host
528384	140985	Himself
528385	19769	Zapf
528385	49935	The Chief
528385	63712	Volf
528385	65557	Oriega
528385	74272	Watajima
528385	91097	Nappa
528385	91098	
528385	92747	Kakûja
528385	92857	Cyborg #8
528385	96002	Boss
528385	100447	Shigemitsu
528385	127412	Tetsugyu
528385	130730	Juzô Kachida
528385	147366	Fudô
528385	167583	Deathzero
528385	176532	Azuma
528385	176534	Ryû Jose
528385	176535	Ryû Jose
528385	177757	Sakenomi Dôji
528385	182393	Pine Homeroom Boss
528385	211950	Peter Stillman
528385	259304	Ed Brown
528385	294163	Genya Tachibana
528385	311344	Rock
528385	316620	Thunderhawk
528385	316625	Thunder Hawk
528385	334437	Emperor Banba
528385	334915	Oota
528385	350190	Hannya
528385	359057	Dr. Sawada
528385	373369	Ongyô no Kiheiji
528385	378150	Space Force Trainer
528385	380725	Siodlenne Sebastian
528385	382412	Emperor Genba
528385	384223	Jyangyaru Rui (Draco in the P
528385	386060	Beda Seibutsu
528385	386775	Nappa
528385	386776	Nappa
528385	386777	Cyborg #8 (Hatchan)/Mîra-Kun
528385	391598	Tetsujin Kamen/Golden Kamen
528385	391752	Heart, Fudô
528385	392526	Kousuke Tamura
528385	392737	Emperor Banba
528385	393551	Hakaida
528385	393552	Professor Kômyôji
528385	394031	Various characters
528385	394422	Ryû Jose, Camilla
528385	394964	Satangorth
528385	397999	
528385	399500	Happousai
528385	403966	Hyottoko
528385	406072	Death Gutter
528385	406702	Dhalsim
528385	406963	Machine Bem
528385	407380	Hellsatan Soutou
528385	407393	Hans
528385	409320	Kubirai
528385	409321	Psycho
528385	409325	Gôrand
528385	409326	Adm. Balcom
528385	411890	Gekido Kyoretsu
528386	257478	
528387	207890	Don Álvaro
528387	353139	Don Álvaro
528388	258984	Publican
528389	403737	Malachi Keane
528390	403737	Micheál Seoighe
528391	403737	Eddie Ó Coinceanainn (I)
528392	15281	
528392	40174	Grandad
528392	50476	Alien Priest
528392	95363	Fizz Moran
528392	108919	John
528392	110216	Muiris
528392	258984	Garda Officer
528392	403737	Tadhg Ó Direáin
528393	403737	Cóilín Ó Catháin
528394	403737	Mack Ó Riain
528395	403737	Dylan Doherty
528396	403737	Labhrás Mac Raghnaill
528397	250721	Young Patrick
528397	403737	Eddie Ó Coinceanainn (II)
528398	403737	Jason O'Connor
528399	403737	Peadar Ó Conghaile
528400	403737	Darren Ó Cinnéide
528401	403737	Owen Collins
528402	403737	Tom Doherty
528403	110216	Fergus
528403	403737	Liam Ó Conghaile
528404	403737	Ciarán Ó Brien
528405	245305	Eamon Farrell
528406	403737	Evan Ó Neachtain
528407	349779	Erik
528408	41721	Himself
528409	354334	Ketil
528410	8360	The Sheriff
528410	51277	
528410	98299	Pétur, faðir Margrétar
528410	124275	Björn
528410	151839	Thor's Brother
528410	153379	The king
528410	174103	Gunnar
528410	181084	Saknússemm annar
528410	200535	Magnús Bertelsson
528410	212320	Himself (Stinni Stuð)
528410	284067	Petur
528410	314759	Jói
528410	347013	Björn
528410	351200	Kennari
528410	354334	Hrut
528410	354425	Stefán
528410	354601	
528410	378033	Hjoerleifur
528411	151839	Erik
528411	212320	Sigurjón Digri
528411	283521	Paul
528411	378033	Erikur
528412	325	
528413	88400	Grettir
528413	107708	Doctor
528413	237380	Teacher Alfreð
528414	98299	Jóhann, verslunareigandi
528414	171608	
528414	205507	Olaf
528414	354334	Ketil
528415	237421	Alli ballgestur í Alþýðuhúsin
528416	88400	Priest
528417	8360	Eyfi
528417	88400	Hreggvidur
528417	107708	Lobbi
528417	174103	Korfelagi
528417	347013	
528417	354334	Bjorn
528417	378123	
528418	107708	Uncle Tóti
528419	118557	Tommy
528420	870	Marri
528420	122441	Gulli
528420	253218	
528420	355237	Ornithologue
528421	104776	Icelandic entry (22nd place)
528422	125418	Doddi
528423	380407	Newsreader (1998-1999)
528423	392815	Newsreader (1995-1996)
528424	212320	Bílstjóri Gæra (The Driver of
528425	212320	Himself
528426	50977	Glad mand til afholdsbryllup
528427	177754	Announcer Yoshigai
528427	177755	Announcer Yoshigai
528427	278548	
528427	394521	Announcer Yoshigai/Narration/
528428	63713	Exedore 4970
528428	176528	Kiichi Gotoh
528428	176529	Kiichi Gotoh
528428	176530	Kiichi Gotoh
528428	176531	Kiichi Gotoh
528428	369335	Kiichi Gotoh
528428	373390	Tokimune Shouchikubai
528428	380318	Pisaro
528428	384227	Exedor Formo
528428	386537	Yokomori
528428	387049	Ken Sanada
528428	390910	Shinji's father
528428	394420	Kiichi Gotoh
528428	394426	Rakkan Dekaram
528428	394429	Ben Wooder
528428	396347	Exedore Formo
528428	396491	Fushigi
528428	398900	Akasegawa
528428	402863	Soun Tendo
528428	403684	Robert
528428	403966	Raijûta Isurugi
528428	404879	Yasuo Iwakura
528429	374520	
528430	38799	Yuichiro Azuma
528430	130484	
528430	145449	Nishimura (teacher)
528430	210636	
528430	220227	Hiroshi
528430	227445	Nonomiya Taicho
528430	239946	Martinho
528430	299559	Urano
528430	344025	Gen. Schultz
528430	344031	Schultz
528430	405185	Urano
528430	409327	Schultz
528430	410642	Sung Chiang
528431	239382	
528432	153557	
528433	2133	Sumo Wrestlers
528433	177101	Junpei Akutagawa
528433	177746	Takashi Isomura
528434	262099	King Ranger
528434	384232	Guardnoid Gash
528435	373224	Nagiran Shôsan
528436	172090	Kôzaburô Nambu
528436	335957	Voice of Boss
528436	370437	Skulldart
528436	384234	Emperor Bacchus-Rage
528436	385568	Narrator
528436	390376	Peter 'Pete/Petey' Pete, Sr.
528436	390911	Hakushon daimaoh
528436	394029	Kôzaburô Nambu
528436	394030	Kôzaburô Nambu
528436	394031	Kôzaburô Nambu
528436	394971	Narrator
528436	396471	Goa
528436	399492	Narrator
528436	406964	Chief Kurata
528437	379044	Genpachi (1988-1992)
528438	511	Dr. Makino
528438	514	Dr. Makino
528438	6765	Ginjirou
528438	113330	Rufus Shinra
528438	241952	Tokichiro Kinoshita
528438	390892	Roy Mustang
528438	394425	Uzumi Nala Attha
528438	403597	BowlMan
528439	316624	Ryu
528439	327811	
528439	384220	Convoy/Scourge
528439	394325	Raban
528439	394711	Saito
528440	21348	Detective
528440	45002	
528440	173080	
528440	177122	
528441	6079	Psychologist
528441	6765	Kanon
528441	19235	Neleus
528441	127778	Lazor Lobos
528441	137336	Toshizane Satomi
528441	159973	Section 9 Department Chief Ar
528441	167789	
528441	176539	Sio Fairchild
528441	182706	Section 9 Department Chief Ar
528441	193381	Wort
528441	199112	Nutouk
528441	226482	Doctor Woolar
528441	241952	Guildenstern
528441	245885	Dr. Dantrey
528441	265578	Defense Minister
528441	265580	Defense Minister
528441	267536	Director of the Earth Defense
528441	284359	Prof. Tachibana
528441	299125	Dr. Shtalubaugh
528441	335856	Tatsumi Tashiro (Captain of E
528441	373392	Cain
528441	379625	Gen. Antipater
528441	383632	Nagaishi
528441	384223	Prof. Sakunji (Dr. Hook in th
528441	389546	Cozets
528441	389570	Dr. Wooler
528441	394029	Various characters
528441	394031	Various characters
528441	394255	Eliott
528441	394325	King
528441	394711	Section 9 Department Chief Ar
528441	394997	General
528441	405028	Narrator
528441	405147	Dr.Tenma
528441	407389	Eijiro
528441	409326	Capt. Flarken
528442	348778	
528443	186624	Taguchi, Mamoru
528444	9276	Choji's father
528444	181455	
528444	216493	Petty Official
528444	298749	Samurai
528444	391752	Ôgai
528444	409326	Tomoko Yamagami's father
528445	299094	C 3PO
528446	115182	Amarao
528447	9433	Yamagata
528447	252839	Uchida the fan
528447	391751	Young Kaiô
528447	396330	Akira Amachi
528448	173061	
528449	26238	USSD Chief
528449	172090	Andasôn
528449	284060	Narrator
528449	394029	Various characters
528449	394030	Andasôn
528449	394031	Andasôn
528449	396482	Daisuke Mifune (1967-1968)
528449	396573	Priest
528450	379044	Jumoji Hayato (1997-2003)
528451	227181	Tatsu
528451	333406	
528452	373224	Bengoshi
528453	125251	Musukari
528454	9546	
528454	398493	
528455	82855	Kenta Date/Mega Red
528455	145280	Tobari, Makoto
528455	293501	Kenta Date/Mega Red
528455	386040	Kenta Date/Mega Red
528457	229772	
528458	182153	
528459	226132	Sanrâ (in youth)
528460	177754	The Protector
528460	386586	Tarô Soramame
528460	386775	Kibito Kaiôshin
528460	394521	Rex King/The Protector
528460	396923	Satoshi Miwa
528460	404007	Kitchen Reporter
528461	138076	Kazuya
528462	9433	Nezu
528462	61106	Cat
528462	136136	Boss
528462	147362	Jackal
528462	177761	Kazuo Nakano
528462	201286	Boss
528462	201287	Dr. Sewashi
528462	201288	Boss
528462	209938	
528462	212306	Saotome, the Puppet Club Pres
528462	285588	Cyborg 004
528462	285589	Cyborg 004
528462	299617	
528462	310150	Prime Minister
528462	344953	Iru
528462	358132	Tori-san
528462	373383	Boss
528462	386777	Suke-San
528462	394332	Iboyoshi
528462	394916	Boke
528462	396482	Sanpei (1967-1968)
528462	396488	School gang leader
528462	396532	Boss
528462	396535	Father Kanzaki/The Claw/The B
528462	396536	Tontaro
528462	404227	Storeowner
528462	409318	Yattaran/Tori-san
528462	410509	Tori-san
528463	334857	Cameraman
528464	31544	Masked Man
528464	74122	Pirate
528464	74123	Male Newscaster
528464	76940	
528464	123109	Paranoid Adjutant
528464	177161	Numata
528464	182393	Ryuichi Watanabe
528464	182499	Scientist A
528464	182506	
528464	226482	General
528464	275086	Blue Jet, R. Jetan
528464	370447	Watanabe
528464	392535	Harada
528464	394164	Jiraiya Byakko
528464	394424	Nakaha Nakato
528464	396330	R. Jetan, Blue Jet
528464	396331	Blue Jet
528464	396492	Akira
528465	24918	Brother of mitsuko
528466	17284	Himself
528467	234508	Araki, Keisuke
528468	28118	Zantetsu
528468	28119	Zantetsu
528468	30737	Abigail
528468	38381	Yoshikawa
528468	50001	Big Landman
528468	63712	Dennis
528468	74270	Tôgoku Oshu
528468	125241	Fushigibana
528468	135946	Bear Walken
528468	135982	
528468	137336	Awayuki
528468	172089	Deberu Sunekku no kanchô
528468	174325	Captain
528468	190590	Murphy
528468	199112	D.D. Ivanov
528468	262104	
528468	309470	Astaroth
528468	316626	Birdie
528468	327801	Kain
528468	350189	Nolt
528468	385981	Vandemon/VenomVandemon
528468	386344	Cherubimon
528468	386775	Liù Xing Lóng (Six Star Drago
528468	386776	Darbla
528468	388022	Dr.Kabapu
528468	389571	Ashitare
528468	396330	Dylan (#15-22)
528468	397843	Don Dolnero
528468	404227	Ishimatsu
528468	405028	Shia Karn
528470	8901	Gozo
528470	14593	Amon
528470	17280	Thadeus (Japanese version)
528470	25539	Kunimitsu Tange
528470	28118	Amano Hyo
528470	28119	Amano Hyo
528470	64823	James McGuire
528470	79067	Kenzou
528470	92777	Damaramu
528470	113335	Judge
528470	113780	Cornelius and the narrator
528470	137336	Inumura Daikaku, aka Kakutaro
528470	159973	Bateau
528470	173916	Rasetsubo
528470	177632	Ansem
528470	177755	The Cyborg
528470	181996	Mister Donald Curtis
528470	182706	Bateau
528470	190590	Kotani
528470	197489	Laike
528470	199461	Sleepie
528470	200434	Magma
528470	201286	Kenzoh Kabuto
528470	201302	Additional Voices
528470	211948	Solid Snake
528470	211949	Solid Snake
528470	211950	Solid Snake/Solidus Snake
528470	211952	Snake
528470	211955	Solid Snake
528470	226482	Nemo
528470	241952	Nobunaga Oda/Fortinbras
528470	244232	Narrator/Banker Kanda
528470	254712	Kinabalu
528470	264168	Whistler 12th
528470	269293	Vaidas
528470	280236	Red
528470	283680	Jinei Udô
528470	289314	Benares
528470	298347	Gui Zhang Chen
528470	298425	Gui Zhang Chen
528470	309470	Spawn (Xbox version)
528470	318539	Jûjô Numa
528470	319374	Zaxon (Gaiarth)
528470	322417	Zaxon
528470	328966	George Gomez
528470	334915	Doctor
528470	350190	Demitri Maximoff
528470	354596	Murobo
528470	380473	Daitetsu Kunikida
528470	389503	Maj. Andre Kalinin
528470	389570	Captain Nemo
528470	390081	Schwanhert Bulge
528470	392338	Batanen-Sempai
528470	394051	Detective Keiji Asuka
528470	394424	Anavel Gato
528470	394711	Bateau
528470	396440	Air Lord Windham
528470	396501	Minowa Minoru
528470	396503	Fairy saiko
528470	403966	Jinei Udô (Kurogasa)
528470	404122	G-Junior, Cyborg 005
528470	404772	Samson
528470	405140	Narrator
528470	406702	Narrator
528470	408893	Rai-Dei the Blade
528471	20189	Hades
528471	38381	Bokuda
528471	74122	Murphy (Murphy Pirates Big Bo
528471	92856	Tao Pai Pai
528471	96002	Dr. Wattsman
528471	125242	Elder
528471	127780	Bird catcher
528471	137336	Akaiwa Ikkaku
528471	144442	Kibi no makibi
528471	147362	Jagi
528471	147366	Jagi
528471	156035	Kenji's father
528471	168828	Joseph Joestar
528471	177632	Captain Hook
528471	177760	Dr. Georg
528471	177762	Octopus Dragon III
528471	181564	Nobunaga Oda
528471	201286	Professor Kenzou Kabuto
528471	226482	Giger
528471	257397	Mikail
528471	273202	Hiraga Gen-nai
528471	289304	Guerilla Commander
528471	296507	Peter Van Buscirk
528471	308778	Dr. Eggman
528471	316620	Old Scientist
528471	327811	
528471	348870	Tora
528471	350189	Barbarois Elder
528471	378150	Dr. Gnomm
528471	385735	Dick Dastardly/Brack Maoou
528471	385981	Piemon
528471	386777	Tao Pai Pai
528471	389818	Nezumi-otoko/Rat-man
528471	389819	Nezumi Otoko
528471	390077	Ludolf Von Goldenbaum
528471	391337	Sir.Hellsing
528471	394424	Eyphar Synapse
528471	395888	Wagnard
528471	397372	Prof. Moriarty
528471	399500	Yamada Denzou
528471	400254	Gold Roger the Pirates King/O
528471	401116	Captain Hook
528471	402790	
528471	403958	Ishikawa Goemon XIII
528471	405942	Dr. Eggman
528471	407904	
528471	409325	Balzê
528471	410502	Dick Dastardly/Brack Maoou
528472	136390	Ittetsu Sakuragi
528473	18662	Alexander David Cekeros
528473	82855	Signalman
528473	125249	Signalman
528473	136044	Bill Collins
528473	174953	Torumekia soldier
528473	182040	Cleric
528473	247941	Gash
528473	265578	Mr. Daitokuji
528473	265580	Mr. Daitokuji
528473	316625	
528473	325315	Pitan
528473	327967	Additional Voices
528473	350189	Kyle
528473	379625	Claytos
528473	381960	Beck Gold
528473	383423	Hayata
528473	386236	Algoth
528473	389836	Signalman
528473	391752	Aus
528473	394252	Samekichi Shirogane
528473	394419	Chibodee Crockett
528473	394426	Yazan Gable
528473	394451	Battler
528473	396330	Pro Truck Racer (#16-31)/Ruby
528473	396640	Yokoshima
528473	398997	Jiraiya
528473	404127	Ushio
528473	405144	Shirô
528473	405175	Killer
528473	408733	Ranger
528473	408735	Crosshairs, Pounce, Wingspan,
528473	408736	Guyhawk
528473	411667	Announcer
528473	411883	
528474	176527	Delinquent group
528475	394451	Ray
528476	19235	Swat member
528476	394164	Yamamoto Kansuke
528476	405279	Baker
528477	350723	Bellinas (Japanese version)
528477	394971	Puripurican
528477	401245	Sebastien
528478	219836	Buszsofõr
528480	172898	Businessman
528481	139997	
528482	285833	
528483	52605	Sillström
528483	122485	Starke Rudolf
528483	154505	Priest
528483	198386	Prof. Loris
528483	198387	Nr 29 Carlsson
528483	228394	Dick Holmes
528483	228409	
528483	281955	Lilja
528483	312228	Nr 29 Karlsson
528484	96018	Isak
528485	142765	Sam
528486	281494	Tugba
528487	380985	Patron
528488	82148	Sophie Scholl
528488	290191	Armut
528489	293314	Flower salesman
528490	326850	
528491	5711	
528491	9349	
528491	9382	
528491	11740	
528491	17406	
528491	22058	
528491	25579	
528491	28388	
528491	29685	
528491	38429	
528491	38474	
528491	38497	
528491	51350	
528491	53269	
528491	82619	
528491	92927	
528491	102271	
528491	102532	
528491	105474	
528491	111474	
528491	124206	
528491	136766	
528491	136771	
528491	137559	
528491	140596	
528491	140705	
528491	156228	
528491	172179	
528491	172660	
528491	173210	
528491	173416	
528491	173428	
528491	173968	
528491	178409	
528491	182803	
528491	182810	
528491	186963	
528491	187629	
528491	227233	
528491	293430	
528491	294091	
528491	294884	
528491	301811	
528491	307155	
528491	308320	
528491	322449	
528491	327028	
528491	352941	
528491	375853	
528491	377509	
528491	377523	
528491	377537	
528491	378585	
528492	394074	
528492	409111	
528493	136849	Tore
528493	394946	Görem
528493	399476	Fireman
528493	402873	Mark
528494	109923	Young Drittemann
528495	29627	
528495	30205	Britt's Father
528495	84287	Fjärdingsman
528495	84317	Guest at Den Gyldene Tunnan
528495	101122	Johansson
528495	115402	Man at the harvest celebratio
528495	129662	Widower
528495	138957	
528495	153768	Stone Mason
528495	162817	Godin
528495	165613	Vagabonde
528495	178698	Klerk
528495	182263	Rescuer
528495	207225	Grandpa
528495	209368	Erlandsson
528495	225666	'Svenne', young man at Gröna 
528495	237260	Larsson, assistant at the evi
528495	237276	Sigvard
528495	266362	Lumberjack
528495	293314	Blind man
528495	309669	Old Charles
528495	321904	Askanius
528495	342312	The father
528495	377332	Andreas Jarl
528495	378176	äldre grannen
528495	380892	The works manager
528495	389363	
528495	398852	Nyström
528495	402277	Dahlgren
528495	406742	Vicar Kallberg
528495	408998	Olof Jonsson
528495	408999	Olof Jonsson
528496	150626	
528497	228419	Young boy
528498	133309	Himself: Viola (Orkester)
528499	353003	Johan
528500	122320	Filmworker at Film Studio
528501	142749	Himself
528502	322312	Carlo Martin
528502	342306	Öhman
528503	359915	
528503	405570	Emil Liljefors (11 episodes 2
528504	197785	Class 3B, Malmö Secondary Sch
528505	333617	Clas Henrik
528506	320515	Drifvare
528507	125543	Courier in Stralsund
528507	175351	Emil
528508	381288	Himself (#Winner season 3)
528509	109953	Ängeln
528510	254282	Lång jägare
528511	231484	Saxophonmann
528511	294660	
528512	391144	The priest
528513	212279	
528514	545	
528514	136335	Amead
528514	181120	Alex
528514	388909	Selattin Ates (1999-2001)
528515	267407	Ben (6 Jahre)
528516	5709	
528516	11741	
528516	20308	
528516	21217	
528516	25618	Omer
528516	28163	
528516	83314	
528516	99551	
528516	121699	
528516	140608	Omer
528516	163096	
528516	225732	
528516	240537	
528516	247308	
528516	262389	
528516	277413	Omer
528516	294118	
528516	295511	
528516	307030	
528516	307151	
528516	308321	
528516	322549	
528516	370367	
528516	373326	
528516	392575	
528517	11745	
528517	175442	
528517	327028	
528518	25993	
528518	38449	Halit Usta
528518	149960	
528518	156429	
528518	208253	
528518	285569	
528518	302084	
528518	322549	
528518	349706	Enver
528518	350844	Namik Kemal
528518	370636	Sakir
528518	371562	
528518	374155	Haci
528518	389159	Sam
528519	45011	Aziz
528519	153170	Fani
528519	409950	Kusin 2
528520	38486	
528520	175445	
528521	104721	Host
528521	104726	Host
528521	104727	Host
528521	104728	Host
528521	104729	Host
528522	371562	Himself
528523	5579	
528523	22045	
528523	23126	
528523	23129	
528523	25609	
528523	34221	
528523	75393	
528523	99551	
528523	99818	
528523	136777	
528523	140595	
528523	149419	
528523	153974	
528523	173969	
528523	174042	
528523	178297	
528523	183893	
528523	215091	
528523	247900	
528523	288295	
528523	293433	
528523	307034	
528523	370640	
528523	370713	
528523	377512	
528523	377540	
528523	378580	
528523	405535	
528523	407596	
528524	345000	Himself
528525	4725	Abdülhamit
528525	162703	The convict
528525	285800	
528526	371562	Himself
528527	411515	Himself-Panelist (2003-)
528528	215467	Rolle
528529	101550	
528530	102161	Sjukling
528531	244484	
528531	299261	Mahmud
528531	325878	Der Alte
528532	82630	Himself
528533	354425	Thorbjörn
528534	89330	Additional Cast
528534	273004	Policeman
528535	402043	Himself/Host (2000-)
528536	88400	Aquaintance with Horn
528537	104746	Swedish entry (6th place)
528537	104747	Swedish entry (13th place)
528539	210341	Himself
528540	210334	Himself
528540	210338	Himself
528541	377421	Artist
528542	159640	Bear
528543	48339	Organist
528544	311536	Metin
528544	400745	
528545	355702	Radioröst (episode 4)
528546	124864	
528547	276336	Cook
528548	45943	Kvant
528548	101493	French cook
528548	233075	Kling
528548	259353	Kvant
528548	281908	Kvant
528548	380374	Per
528549	108051	Party Guest
528550	259814	Filip
528550	381311	Torsten
528551	48968	Chinese Monk Priest
528551	102205	Olli
528551	118961	Vihtori Frankenström
528551	303015	Pete
528552	129171	Hostel Guest
528552	144252	Ström, student
528552	174697	Man at the dance
528552	338708	Guest at the restaurant
528552	346987	Gotland
528552	357799	Tore
528553	180928	
528554	176704	Huurula Boy
528555	142729	Orchestra conductor at Bar Du
528556	156535	
528557	47607	Banjo player
528558	311933	Professor Karlander
528558	353003	
528559	3229	Cook
528559	11709	Viking
528559	20319	Kyrkoherden (The vicar)
528559	94261	
528559	108461	Riddar Blåskägg (Bluebeard)
528559	115388	Viktor Ekberg
528559	121019	Postman
528559	132428	Vicke
528559	134263	Fingal
528559	154565	Vicar
528559	166078	Jazzgosse
528559	172784	Bernhard Forsslund
528559	178479	Salesman
528559	180077	Private
528559	181131	Nilsson
528559	182263	Olsén's guest
528559	182466	Autograph hunter
528559	193388	Vicar
528559	193390	Helmer Igelstam
528559	198391	Guest at the nightclub
528559	209369	Andersson
528559	220194	Jonas Kvist
528559	228397	Gentleman whose car is stolen
528559	268348	Per Johansson
528559	268377	Svensson
528559	276336	Manager Nessing
528559	284136	Josua Larsson
528559	288307	Speta-Pelle
528559	326127	Silent Marie
528559	341611	Skakis
528559	348728	Svensson, court janitor
528559	353020	Carlberg
528559	377309	District Police Superintenden
528559	377388	Ferry-boat man
528559	377430	Speta-Pelle
528559	377431	Bus Driver
528559	377435	Man on the train
528559	410044	Carlberg
528560	165134	Himself as director of the ca
528561	213430	Ruben
528562	29556	
528563	407128	Häradsövning Samuel Furubom
528564	30163	Priest at the wedding
528565	32376	Cab Driver
528565	182305	Newspapar Agent
528565	222473	Pistol
528565	231752	Åke
528565	303195	Portier
528565	308193	Bill
528565	380343	Claes Vinge (1999)
528565	393273	Göran Säll
528566	30258	Bohman
528567	266776	Grip
528568	190809	Junior
528568	190811	Junior
528569	78952	Susie's Bodyguard
528570	244206	Boy in school class
528571	12282	
528572	25924	Sprecher
528573	284103	Boy
528574	371562	Himself
528575	349701	
528576	8712	
528576	15390	
528576	15883	
528576	21723	
528576	22029	
528576	22069	
528576	22080	
528576	25596	
528576	25609	
528576	25611	
528576	25612	
528576	25613	
528576	25621	
528576	26032	
528576	26049	Haci Bey
528576	27420	
528576	27779	
528576	28833	
528576	28836	
528576	30493	
528576	30698	
528576	31519	
528576	33232	
528576	33250	
528576	34046	
528576	34506	
528576	38429	
528576	38438	
528576	38440	
528576	38444	
528576	38470	
528576	38499	
528576	43279	
528576	44769	
528576	49439	
528576	63802	
528576	63973	
528576	75138	
528576	76766	
528576	82313	
528576	89507	
528576	97813	
528576	97858	Naci
528576	102532	
528576	106977	
528576	109968	
528576	110708	
528576	112782	
528576	114520	
528576	125344	
528576	125933	
528576	130560	
528576	136691	
528576	136692	
528576	137015	
528576	140709	
528576	146972	
528576	146974	
528576	149688	Horoz Nuri
528576	153966	
528576	156076	
528576	156430	
528576	163093	
528576	163113	
528576	171977	
528576	172002	
528576	172008	
528576	172018	
528576	173206	
528576	173432	
528576	173767	
528576	173791	
528576	174205	
528576	174662	
528576	175380	
528576	177113	
528576	177896	
528576	179195	
528576	179815	
528576	182801	
528576	182910	
528576	189052	
528576	212280	
528576	212317	Sadettin
528576	214280	
528576	228890	
528576	229060	
528576	233196	
528576	249228	
528576	251253	
528576	284812	
528576	285251	
528576	285567	
528576	285873	
528576	288267	
528576	288378	
528576	289289	
528576	293665	
528576	294539	
528576	295266	
528576	295412	
528576	295508	
528576	295531	
528576	296406	
528576	302741	
528576	303017	
528576	307151	
528576	310065	
528576	322559	
528576	324254	
528576	325209	
528576	325351	
528576	325355	
528576	336550	
528576	341873	
528576	341875	
528576	343768	
528576	350561	
528576	357604	
528576	357606	
528576	370374	
528576	370514	
528576	370581	
528576	370582	
528576	370631	
528576	371550	
528576	371554	
528576	373396	
528576	374521	
528576	377497	
528576	377508	
528576	377511	
528576	377530	
528576	378259	
528576	378580	
528577	71798	Playwright
528578	26023	Aliço
528578	53875	
528579	302427	Barberen
528579	304418	Mehmet
528580	120378	
528580	178575	Chief
528580	322544	Friseur Erkan
528581	24365	Yunus
528581	260414	Aleadin
528581	310897	Ünal
528581	319528	Ömer
528582	4602	Haroun al-Rashid
528582	5365	
528582	5700	
528582	7368	
528582	7516	
528582	8498	
528582	9251	Idris
528582	12258	
528582	12647	
528582	21216	
528582	21991	
528582	22039	
528582	22042	
528582	22048	
528582	22049	
528582	22099	
528582	23128	
528582	23131	
528582	23200	
528582	23271	
528582	24846	
528582	25595	
528582	25607	
528582	26023	Rasim
528582	26050	
528582	29530	
528582	30523	
528582	38432	
528582	38435	
528582	38925	
528582	39050	
528582	39088	
528582	48420	
528582	51353	
528582	52781	
528582	53289	
528582	53876	
528582	54981	
528582	58284	
528582	64014	
528582	85141	
528582	87717	
528582	89292	
528582	95561	
528582	96437	
528582	102511	
528582	109945	Vlad Tepes
528582	125931	Murad IV, sultan of Ottoman E
528582	136693	
528582	136756	
528582	137592	
528582	138104	
528582	139947	
528582	140609	
528582	146975	
528582	155565	
528582	156218	
528582	159660	
528582	161144	
528582	162717	
528582	163104	
528582	164036	
528582	172001	
528582	172005	
528582	172178	
528582	173085	
528582	173565	
528582	173778	
528582	173779	
528582	173780	
528582	173781	
528582	173797	Riza
528582	173972	
528582	174639	
528582	174907	
528582	176690	
528582	177880	Cemal
528582	178405	
528582	179582	
528582	181683	
528582	182868	
528582	189053	
528582	210253	
528582	210955	
528582	212280	
528582	222520	
528582	227234	Hüsam
528582	229693	
528582	240148	
528582	240537	
528582	242337	
528582	247389	
528582	249229	
528582	256984	
528582	262389	
528582	284812	
528582	284813	
528582	284949	
528582	288606	
528582	293431	
528582	294679	
528582	295527	
528582	303060	Ziya
528582	320407	
528582	320470	
528582	322439	
528582	322541	
528582	322543	
528582	357597	Turgut
528582	357601	
528582	370224	
528582	370396	Ali
528582	370491	
528582	370514	Yalaza Nuri
528582	370523	
528582	370769	
528582	370908	
528582	371889	
528582	373243	
528582	373396	
528582	373632	
528582	375887	
528582	377512	
528582	377542	
528582	378190	
528582	378209	
528582	378224	
528582	378233	
528582	378235	
528582	400890	
528583	377360	
528584	26003	
528584	144361	
528584	173563	
528584	176690	
528584	182166	
528584	308418	
528584	317667	
528584	322541	
528584	350846	
528584	377539	
528585	104725	Himself
528586	146982	
528587	11933	
528587	19648	
528587	24848	
528587	39050	
528587	77322	
528587	113484	
528587	124218	
528587	156207	
528587	159659	
528587	179810	Büyük Baba
528587	182868	
528587	214740	
528587	226379	
528587	285858	
528587	295265	
528587	302063	
528587	348990	
528587	370912	
528587	377524	
528587	380985	Tahsin
528588	182158	
528589	106679	Metin
528590	38472	
528590	95550	
528590	96468	
528590	227951	Nasit
528591	65615	Réceptioniste
528592	356022	Engin
528592	382093	Berkant 'Tirbüson'/Midyat
528592	383778	Selim
528592	407308	
528593	1510	
528593	40959	
528593	275161	
528593	325379	Bülent Îsi
528593	325816	Bülent Îsi
528593	325851	Bülent Isi
528593	400304	Dr. Ramin Beroz
528593	401355	Kemal
528593	409609	Herr Özal (1994)
528594	146982	
528595	322544	Nurtens Bruder
528596	57592	
528597	208676	Muzaffer, the movie-maker
528597	349196	Mahmut
528598	182737	Marcel
528599	48430	
528600	30947	
528600	370222	
528600	390419	
528601	136760	
528602	7166	Sultan
528602	9489	Hotel owner
528602	17709	Simon
528602	163088	Arkivarien
528602	375704	Mattokauppias
528602	378243	
528603	10401	
528603	14290	Editor in chief
528603	28538	Sinyi bácsi
528603	35060	Ágoston, kecskeméti iparos
528603	51104	Patkó Bernát
528603	74440	
528603	97969	Uncle Béla
528603	97974	Seregély
528603	97986	Lajos (Informer)
528603	98985	Állatkert igazgató
528603	99560	Vermes
528603	99739	Poprádi (segment: Jégárpa)
528603	99749	Géza
528603	106690	Pálfi Antal, rendezõ
528603	110717	Fõiskolai tanár
528603	131167	
528603	136576	Lukács Péter, rendezõ
528603	137555	Az író
528603	138606	Professor
528603	144677	Képíró hadnagy
528603	147950	Father Tóth
528603	153963	Kiskovács
528603	171603	Takács
528603	173966	Mr. Rimanyi
528603	174688	
528603	179418	Professor Laczina
528603	182653	Freind of mr. Farsang
528603	182662	Sándor
528603	198884	
528603	199873	Fülöp
528603	209839	Bodor
528603	211702	Pikasz Artúr
528603	213670	Kisfejü-Nagyfejü Zordonbordon
528603	225784	Geosits Pál
528603	237169	Maticsek
528603	243878	Borbáth doktor
528603	254957	
528603	322050	Vallató ii
528603	322129	Ezredes
528603	324710	Virág Árpád
528603	326341	Zimányi fõszerkesztõ
528603	327033	Férfi
528603	343751	Filmrendezõ
528603	355133	
528603	357825	manager
528603	377203	
528603	377768	Könyvtáros
528603	378041	
528603	378310	Miklós Gyuricza
528603	378578	Jozsi
528603	387360	Késmárky Ödön
528603	402164	Kovács ezredes
528603	410328	Hoffman
528604	11326	Clapperboy
528604	88316	
528604	182796	
528604	309289	Gendarme sergeant 1
528604	322182	
528604	327364	
528605	88281	
528605	99550	
528605	137318	
528605	162703	
528605	178297	
528605	182914	
528605	214279	
528605	233034	
528605	370225	
528605	370792	
528605	374660	
528605	378595	
528606	200589	
528607	109560	The courier 'Sutlu'
528607	145754	Doctor
528608	21606	
528608	34320	Muertuez
528608	138399	
528608	174059	
528608	229972	Orhan
528608	289193	
528608	350732	
528608	397383	Riza
528609	378570	
528610	82620	
528611	357599	
528612	325131	
528613	178410	Ahmet
528614	4602	
528614	17727	
528614	49179	Major Avni
528614	53843	
528614	76750	
528614	82313	
528614	97178	
528614	106705	
528614	124218	
528614	136767	
528614	153972	
528614	171978	
528614	173435	
528614	174836	
528614	182813	
528614	226379	
528614	254347	
528614	285552	
528614	295265	
528614	308325	
528614	308475	
528614	318632	
528614	322441	
528614	377496	
528614	378229	
528616	163141	
528617	371562	Himself
528617	375704	Baarimikko
528618	38491	Host
528618	38492	Host
528619	173668	
528619	173973	
528619	182821	
528619	198014	
528619	256943	Abdurrahman
528619	301427	
528619	349221	
528619	373288	
528620	394578	
528621	175666	
528621	245880	
528621	375281	
528622	371562	Himself
528623	28042	
528624	349701	
528625	382134	Bilal
528625	396478	
528626	405535	Dilaver
528627	25768	
528627	63978	
528627	103607	
528627	158710	
528627	162717	
528627	202456	
528627	247308	
528627	377565	
528628	34216	
528629	378221	
528630	19754	Thomas
528630	57596	
528631	29556	
528632	2094	
528632	21991	
528632	322539	
528633	5365	
528633	12639	
528633	24830	
528633	25647	
528633	38451	
528633	53875	
528633	89519	
528633	110406	
528633	152224	
528633	172661	
528633	175443	
528633	179195	
528633	295510	
528633	301476	
528633	370527	
528633	378234	
528634	140608	
528635	8909	
528635	8910	Riza
528635	12640	
528635	20183	Zeynep's father
528635	21217	
528635	22080	
528635	25618	Sansar Nuri
528635	28388	
528635	29685	
528635	32314	
528635	33859	
528635	34505	
528635	37763	
528635	38436	
528635	38473	Tilki Onbasi
528635	39090	
528635	44602	
528635	57874	Hasan
528635	58336	
528635	82852	
528635	86616	
528635	89507	
528635	97549	
528635	97550	
528635	105478	
528635	107637	
528635	136091	
528635	136694	
528635	136707	
528635	136744	
528635	136909	Kel Mahmut
528635	136910	Kel Mahmut
528635	136912	Mahmut Hodja 'Kel Mahmut'
528635	136913	Kel Mahmut
528635	136914	Kel Mahmut
528635	139875	
528635	140608	
528635	140616	
528635	140617	
528635	155939	
528635	158642	
528635	172186	
528635	172650	
528635	172651	
528635	172652	Munir
528635	173203	
528635	173772	
528635	174205	
528635	184190	
528635	208252	
528635	215090	
528635	232730	
528635	238930	
528635	285965	
528635	293666	
528635	294092	
528635	294122	
528635	295270	
528635	295354	
528635	295509	
528635	307032	
528635	308315	
528635	308321	
528635	308953	
528635	325181	
528635	325350	
528635	325353	
528635	342055	
528635	350843	
528635	370372	
528635	370374	
528635	370425	Yaman
528635	370773	
528635	370776	
528635	370794	
528635	370914	
528635	373244	
528635	377530	
528635	378611	
528635	392495	Nahit
528636	63978	
528637	27462	
528638	200402	Man at the fairground
528638	382891	The chef
528639	57592	
528640	412237	Hüseyin
528641	5579	
528641	106977	
528642	38431	
528643	104779	Turkish entry/Lead singer (4t
528643	237512	
528644	104779	Turkish entry/Guitarist and b
528645	136698	
528645	322547	
528646	177843	
528647	6110	
528647	9382	
528647	11737	
528647	25579	
528647	38468	
528647	139493	
528647	163140	
528647	172190	
528647	178380	
528647	198427	Fistik
528647	227967	
528647	294091	
528647	336213	
528647	370793	
528648	110405	
528648	211447	
528649	95551	
528649	226379	
528650	104705	Himself
528651	146982	Ahmet
528652	202453	
528653	104718	Himself
528654	407118	Ali
528655	389619	Help
528656	104721	Himself
528657	371562	Himself
528658	104708	Host
528658	104719	Host
528658	104720	Host
528658	104722	Host
528658	104723	Host
528658	104724	Host
528658	104725	Host
528659	8344	
528659	10531	
528659	34045	
528659	35624	
528659	125344	
528659	137317	
528659	172985	
528659	174903	
528659	209294	
528659	285550	
528659	373773	
528659	377567	
528660	40137	Nagel Beck
528660	49049	Taxisjåfør
528660	120082	
528660	139006	
528660	156272	Lensmanns skryver (Norwegian 
528660	206631	Postmann
528660	228411	Jeppe
528660	271687	Svensson
528660	325196	Bartender
528660	389138	Ellingsen
528660	389192	Trond Olsen
528660	392395	Geir Lervik
528660	400008	Torbjørn Lindbekk
528661	119694	Himself
528662	169029	Gunnar
528663	399509	Himself
528663	399510	Programvert
528663	408494	Karsten Hegerlund
528664	27600	Himself
528664	212830	Himself
528664	212961	Himself
528664	274831	Festgæst
528664	283486	Guy in wheelchair and himself
528664	323792	Himself
528664	344129	Himself
528664	377449	Himself
528664	378907	Various roles
528664	389967	Rasmus Nissen
528664	390089	Hip-hop-reporter/Lars Nærum/H
528664	395221	Hejmand/Spritmarkeren fra Bak
528664	398086	Martin Tuxen
528664	399512	Fiffig-Junior
528664	410226	Anni Hansen/Various roles
528664	412085	Himself (car commercial) (200
528665	341855	
528666	320591	Himself
528667	218405	Monsteret
528668	154294	Vagt 1 (Guard 1)
528669	393477	Himself - Billedkunstner
528670	1208	Baste Hartmann
528670	84393	Kenneth
528670	95798	Dirty Harry
528670	126546	Sverre Bratsberg
528670	135436	
528670	194116	Gordon/Alatisk slottsvakt (No
528670	306974	Harry
528670	360852	
528670	387596	Claes
528670	392412	Himself - gammel dame
528670	396219	Wiseth, jente, pluss flere
528670	399491	
528671	181082	Tolleif, en bondegutt
528672	201395	Fiolinist
528673	5218	Tormod
528673	76759	(segment "Hvis du bærer på.."
528673	92012	Politimannen
528673	108538	Egil Støa
528673	109118	Koblik
528673	110715	Farmer
528673	153654	Onkel Johansen
528673	174069	Olav Klungland
528673	178438	Captain
528673	180449	
528673	219879	
528673	240117	Søppelmann
528673	242689	
528673	284389	
528673	285877	Knut Hagenberg
528673	292281	Asbjørn
528673	305858	
528673	316811	Olav Olsen
528673	356489	Holen, betjent
528673	406286	Jakobsen
528674	1402	
528674	2733	
528675	181765	Gert
528676	198401	Himself - Chairman, Novo Nord
528677	117282	Tor
528678	213436	Schweizisk bankmand
528679	378334	Valdemar
528680	28603	
528680	345985	
528681	315370	Himself
528682	78496	Himself - Seen in introductio
528683	210291	Hellsurfer
528684	343374	Frederik Frandsen
528685	345961	Himself
528686	331004	
528687	59726	Skuespiller
528688	40945	Indsat
528689	27605	Himself - Kriminalassistent
528690	403532	Himself - Participant
528690	403536	Himself - Participant (1998)/
528691	128047	Thomas
528692	29890	Hjalmar Johansen
528692	44584	Butikkekspiditør
528692	162582	En eldre mann
528692	178435	Olver Kretsen
528693	181314	Soldat
528694	48324	forlover
528695	50977	Hærget Mand
528696	108171	Bestyrer i supermarked
528696	115384	
528696	145624	Drachmann
528696	262961	
528696	311391	Professor Bjorn
528697	403533	Himself - Participant
528697	403536	Himself - Participant (2000)
528698	190834	Ernst
528698	234948	Allan
528699	381532	Himself - Managing Director
528700	387097	
528701	401233	Himself - Writer
528701	407265	Himself
528702	22844	Sønnen 47-48 år
528702	42686	Himself - Host
528702	53140	Erik, assistent for Viborg
528702	64645	Himself/Various roles
528702	64646	Himself/Various roles
528702	102594	Jesus
528702	114827	Bent
528702	135699	Mannicke
528702	153946	Hypnotisør
528702	171513	Johnny
528702	182626	Søren
528702	242715	Dan's Father
528702	268213	Kriminalkommisær Krusø
528702	303133	Hr. Finth
528702	303695	Far
528702	304361	Policeman
528702	334021	Himself/Various roles
528702	358833	Ørvin
528702	375257	Himself/Various roles
528702	375261	Himself/Various roles
528702	375262	Himself/Various roles
528702	377416	Deleuran
528702	378335	Himself/Various roles
528702	379776	Krusø
528702	380201	Fritz/Onkel Klaus
528702	381669	Torben
528702	391121	Himself/Gøgler/Kvindelig Fæng
528702	391122	Himself/Various roles
528702	391349	Himself - Host
528702	395115	Frank Andersen
528702	399592	Himself - Team Captain
528702	402499	Leif-Jørgen Krusø
528702	409351	Himself - Team Captain (1997-
528702	412299	Himself/Various roles
528703	336024	Himself
528704	393251	Himself - Historican
528705	18990	Dørvogteren
528705	24600	Tope
528705	58818	
528705	71643	Lars
528705	93941	Svend Gønge
528705	109134	Birthes mand
528705	120846	Johann
528705	136733	Svend Poulsen (Gøngehøvding)
528705	142864	Baron Tito Belcredi
528705	182459	Hugo
528705	199995	Eddy 'Trigger' Brown
528705	210292	Lars
528705	214372	Svensk politimand
528705	228392	Janus
528705	268206	A pyromaniac
528705	303643	Erik Heglesen
528705	304217	Victor
528705	304362	Donal Davoren
528705	320574	Müller 2
528705	333012	Politibetjent
528705	334079	Niels
528705	339239	A clown
528705	344381	Læreren
528705	360846	Lars
528705	368731	Woyzeck
528705	387026	Benjamin Cohen/Crispin (segme
528705	400344	Kurt
528705	403114	
528705	408597	Entrepenøren
528706	344291	Ole
528707	111337	Speaker
528708	109297	Himself - Medical Doctor
528709	378884	Himself - Math Teacher
528710	173088	Lensmannen
528711	244068	Kjøpmann
528712	402523	Programleder (1975-)
528713	188886	Carl
528714	242690	Bjørn-olav
528715	241976	
528716	314080	
528717	28531	Soldat på Akershus
528717	153100	Erik Hermansen
528717	197274	Guttungen
528717	242689	Mann #3
528717	317647	Gunvald Tomstad
528717	322454	Mann på fly
528718	348963	Jarle, yngste sønnen
528719	306266	Victor Lundstrom
528719	382117	Host
528719	395643	
528720	45998	En kammerat
528720	96446	Bråten, policeman
528720	108856	Presten
528720	130196	Konstabelen
528720	144068	
528720	173149	
528720	177092	Nybygger 1
528720	205393	
528720	242694	Stålesen
528720	286392	Asbjørn, sauegjeter
528720	304976	
528720	305859	Dan Hyatt
528720	353047	
528720	354196	Harald Nordby, storbonde
528721	114810	Torstein [Felen i ville skoge
528721	116986	Henrik
528721	136630	Knut Hamsun
528721	389138	Amtmannen
528721	390848	Knut Hamsun - den voksne
528722	153956	
528723	125494	
528723	400341	Himself (2002-2003)
528724	52779	Maderero 1
528724	193023	Media pirate
528725	149494	
528726	14289	
528726	29583	The King
528726	64744	Farmer
528726	74393	
528726	74463	
528726	89480	Szaft úr
528726	96430	Garage Foreman
528726	97993	Téeszelnök
528726	99744	Gömöri
528726	104195	Dénes úr
528726	107717	Gyula
528726	108722	Papin
528726	108840	
528726	118823	Lajos Gróh
528726	137758	Börtönorvos
528726	138008	Katalin's father
528726	141754	Y
528726	149918	First driver
528726	162974	
528726	164754	Szilágyi
528726	174689	
528726	177136	
528726	178424	Klempers
528726	182794	
528726	200609	
528726	205436	
528726	214502	
528726	214709	
528726	225077	
528726	226702	
528726	229711	
528726	237177	Kosztolányi
528726	254518	Footman of Hunyadi
528726	281286	Károly, Rózsa
528726	282124	Robusztás
528726	284356	Nazi officer
528726	309354	Lajos Sánta
528726	322028	Teacher
528726	322031	
528726	322073	
528726	322083	Füge's Father
528726	322090	
528726	322092	Fügedi
528726	322105	Ticket-inspector
528726	322109	Boldizsár
528726	322208	Somorjay
528726	338200	Kaminsky
528726	348572	
528726	350833	Gizi néni férje
528726	354617	József
528726	355565	Péter
528726	377748	Oszkar
528726	378263	The Father-in-law
528726	402220	Kopasz
528726	407241	Tóni
528726	412295	Méhes Mihály
528727	122374	Zoli
528727	171604	Péter
528727	357712	
528728	182519	
528729	28688	Kalapos
528729	173592	Taxis
528729	200613	Russian officer #1
528729	407241	
528730	77076	Danni
528730	198379	Danni
528730	237421	Danni
528731	136969	Él mismo
528731	410456	
528732	28014	
528732	58360	Pintor Galeria
528732	378514	Himself
528733	3547	The interpreter
528733	170394	
528733	170396	
528733	309289	Csarnai
528733	322122	Miki
528734	35237	Himself
528734	267807	
528734	390812	Heinrich Rother (# 1) (1993)
528735	259580	Schäfer
528736	12643	
528736	274172	
528737	19534	Captain
528737	28990	
528737	127453	
528737	155591	
528737	171779	
528737	188623	Old Photographer
528737	212113	
528737	214792	State Chancellor
528737	226797	
528737	236633	Father
528737	287560	Toomas Mägi
528737	294673	Päkapikk
528737	319967	Marta isa
528737	357408	Kassij Kolkhaun
528738	3131	
528738	182106	
528738	391144	Bayram
528739	144129	Serdar Kaya
528739	322544	Cengiz
528739	325743	Hasan Oenoekyl
528739	334712	Kenan
528739	341408	
528739	343671	
528739	366522	
528740	38508	
528741	38438	
528742	407308	Musti (1993-1997)
528744	227587	
528745	15326	
528745	15327	
528745	22032	
528745	25616	
528745	38491	Himself
528745	53876	
528745	77423	
528745	82341	
528745	83123	
528745	136764	
528745	140592	
528745	163089	
528745	163111	
528745	173812	
528745	177876	
528745	182820	
528745	227236	
528745	242335	
528745	345006	
528745	370224	
528745	371397	
528745	371398	
528745	374660	
528745	376618	
528745	377514	
528745	378218	
528745	378219	
528745	378258	
528745	378594	
528746	38466	
528746	38477	
528746	156073	Feyyaz
528746	180273	Turgay
528746	214539	Ilhan
528746	294120	Ali
528746	294123	Murat
528746	296405	
528746	381136	Bahadir Han
528746	393158	Murad IV, sultan of Ottoman E
528746	411677	
528747	97882	
528748	12543	
528748	322541	
528749	334712	
528750	49300	
528750	366467	Sohn
528751	3581	
528751	15799	Hasan
528751	24402	Osman
528751	47610	Sylvester
528751	80907	Erdal
528751	101055	Politruk
528751	118967	Mustafa
528751	119706	Moritz
528751	125030	Cahit Tomruk
528751	126463	Nick
528751	145754	Pamir
528751	156660	Club Doyen
528751	160600	Bischkek
528751	184524	Yusuf
528751	257267	Milan
528751	266504	
528751	282238	
528751	290049	Pele
528751	314859	Günther
528751	325595	Houari Al'Bakr
528751	325719	Gürkan Agban
528751	325766	Rico Baumann
528751	325809	Henkel
528751	334631	Zohair Y. Akache aka 'Captain
528751	373798	
528752	307159	
528753	394927	Testere Necmi
528754	7514	Bahri
528754	8586	
528754	9503	
528754	12644	
528754	15883	
528754	29530	
528754	53293	
528754	95050	
528754	104892	
528754	107641	
528754	107650	
528754	140621	
528754	149688	
528754	163111	
528754	171977	
528754	173798	
528754	175489	
528754	181683	
528754	187649	
528754	210253	
528754	210256	
528754	257219	
528754	285492	
528754	293428	
528754	295508	
528754	307151	
528754	326069	
528754	341874	
528754	349707	
528754	370393	
528754	370617	
528754	371558	
528754	377497	
528754	378232	
528755	72139	
528756	175486	
528757	281084	
528757	381020	Danyal
528758	283681	
528759	18169	
528759	164134	
528759	172024	
528759	210188	
528759	351048	
528759	370795	
528760	178624	Bonzo
528760	211126	Rolf Stankowski
528760	352056	Möllewald
528760	352062	Möllewald
528760	352067	Möllewald
528760	352068	Möllewald
528760	367228	Danny
528761	104759	Turkish entry (12th place)
528762	387405	
528763	9455	
528763	174836	
528763	293666	
528763	326069	
528764	322537	
528765	137402	Tufans ven
528766	178406	
528767	104031	
528768	401244	Rasit
528769	38492	Himself
528770	6110	
528770	96481	
528770	156074	
528770	173435	
528770	173769	Kara Efe
528770	227968	
528771	27764	
528772	380985	Cem
528773	103585	Himself
528774	137097	Cosmo customer
528775	77076	
528775	122441	Salómon
528775	159610	Asgeir
528775	198379	
528775	212320	Dúddi
528775	237421	Þór
528775	239812	
528775	303705	
528775	304394	
528775	314371	
528775	317581	
528775	322392	Aggi Flinki
528775	354601	
528775	378031	
528776	107708	Custom's Officer
528777	170866	Jónas
528778	870	
528779	870	Ellert
528779	311681	Gulli (Gunnlaugur)
528780	104761	Icelandic entry (16th place)
528781	34086	Helgi
528782	242873	
528783	103585	Himself
528784	50977	DeepEnd keyboard player
528785	354334	Ulf
528787	231711	Vrouw in trein
528788	217066	Moeder van Tinneke
528789	112896	
528790	202196	Herself (Nation of Islam)
528791	1252	
528791	2719	Themselves
528791	30034	Blonde Canadian Teen
528791	306911	
528792	36885	
528792	36901	
528792	50377	
528792	50382	
528792	128637	
528792	133921	
528792	188475	
528792	291017	
528793	14825	Zaida
528794	214791	Tete
528795	138716	Herself
528795	342245	Host
528795	362348	
528795	402425	Herself (1998-)
528796	405209	Julie-Anne Adams (2000)
528796	410883	Presenter (1984-1987)
528797	87505	Kate Henley
528797	246286	Brittany Jackson
528797	386704	Kate King
528797	386705	
528797	405640	Lydnsey 'Lyndz' Collins
528798	387952	Herself
528798	407173	Herself (1996-2000, 2002-)
528798	409141	Isabelle
528799	321039	
528802	187563	Journalist #6
528803	37682	Bistro Patron
528803	81753	Katherine
528803	102880	
528803	123086	
528803	367686	Nurse
528803	378713	Waitress
528804	243227	
528804	336510	Constanze
528804	342403	Rich Woman
528805	140388	Sognerådsformand H.P. Nielsen
528806	404785	Karen Krantz
528807	288803	
528808	74712	Beverly Woods
528808	81186	Girl
528808	206069	
528808	309858	Nurse in Thanksgiving Show
528809	240392	
528810	166370	A student
528811	240112	Ingrid
528811	240113	Ingrid
528811	400119	Ingrid
528812	378907	Herself - Grafolog (2002)
528813	95812	Maja
528814	95757	
528815	68697	The Company
528816	77666	
528816	100011	Paakkilan mummo
528816	135226	
528817	391365	
528817	401127	Frida Frosk
528817	404890	Frida Frosk
528818	348795	Woman #1
528819	263439	Israeli Woman
528820	301933	Uncle Red's Girl
528821	95553	
528821	217855	The Magician's Friend
528822	372630	Sherman Sisters
528823	372630	Sherman Sisters
528824	372630	Sherman Sisters
528825	372630	Sherman Sisters
528826	111557	Girl
528827	219	Performer
528827	1681	Herself - Presenter
528827	1706	Herself - Presenter
528827	3046	Herself (Memorial Tribute)
528827	31715	Ticket Seller
528827	35075	Herself
528827	96555	Herself
528827	145643	Herself
528827	194655	Aaliyah
528827	201744	Herself
528827	207383	
528827	221434	Herself
528827	221480	Herself
528827	234237	Coach Harrison
528827	237604	Eunice Simpson
528827	263360	Saleswoman (Beverly Hills)
528827	269355	Akasha
528827	280034	Herself
528827	281196	Trish O'Day
528827	367054	Aunt Em's Party
528827	378759	Ellen (1986-1987)
528827	387309	Didi Bannister Stoner (1981-1
528827	390771	Grace Battles (1990-1991)
528827	403846	Elizabeth Royal Winston
528827	406952	Lena Hart #2 (1998)
528828	140367	Anjali
528828	153398	Herself - Sergent, Livgarden
528829	255386	
528830	405292	Ulla/Untua Usvamieli/Usma Une
528831	228154	Sanni Miettinen
528832	300796	Tanssija nainen
528833	389241	Assistant to Mr. Pappa (1991-
528834	163180	Aindo
528835	156032	
528835	258986	Older woman
528837	181569	Gang member
528838	220756	
528839	174779	
528839	261170	Cindy
528839	335336	News reader
528839	357789	Köytetty saunoja
528839	377292	Lastenhoitaja
528839	386963	Ingrid Coates (1998-1999)
528839	390140	Host (1994)
528839	394792	Kati (1995-1996)
528839	395924	Marianne (1997-1998)
528840	142545	Guest role in the song Kannep
528840	165239	
528840	198771	
528840	208581	
528840	221074	Jhansi
528840	300331	
528840	300420	Radha
528840	317779	Ganga
528840	317793	
528840	393861	Adelaide
528840	398832	Herself - Host (1995-1996)
528840	401256	Herself - Host
528840	402512	Herself - Host
528840	407817	Herself - Host (2002)
528840	410259	Herself - Host
528841	344	Louise, Girl in Harry's Room
528841	26633	Mrs. Klupner, Baby Picture Cu
528841	30658	Cheryl
528841	45370	Starlet Suzi
528841	59580	Gangster's Moll
528841	62705	Miss Vanders
528841	67943	Sherry
528841	107493	Little Bo Peep
528841	136832	Boom-Boom Bangs
528841	194796	Heather McClure
528841	289558	Woman at Babylon Club
528841	330955	Blonde at Pool
528841	386650	Penny
528842	12353	Gypsy girl
528842	34977	Luella Parrish
528842	170157	Hannah
528842	333301	Maria (Nick's daughter)
528843	238094	
528844	186305	
528844	191869	Mrs. Graham
528845	140499	
528845	182613	Herself
528845	209329	Herself
528846	262832	
528847	240315	Hat gang
528848	375377	Moeder S.
528849	177676	Wallstreet Babe
528849	322759	Rowdy's Date
528850	271421	Jardinière 1
528851	271421	Jardinière 3
528852	317303	Babysitter
528853	43606	Media Jackal
528853	263265	Prosecuting attorney
528853	269771	Bank Teller
528854	393750	Anelma Unelma
528854	393754	Anelma Unelma
528855	333009	Ane
528856	378839	Herself - Host
528857	1674	Herself
528857	10670	Sue
528857	12338	Wedding Coordinator
528857	13855	Veronica
528857	15231	Janet Gaines
528857	17490	Interviewer
528857	18635	Gail Letterfine
528857	26460	Waitress
528857	35794	Nina Cassotto
528857	37232	Woman in Restaurant
528857	45001	Donna
528857	45640	
528857	47875	Randy Sue Carter
528857	52562	Judy Baxter/Carol Lane
528857	57684	Herself
528857	67791	Martha
528857	73303	Barbara
528857	76526	Abby
528857	79938	Aunt Gigi
528857	80389	Dolly
528857	81649	Doris
528857	86955	Roz
528857	95789	Detective
528857	97727	Marge, Neighbor
528857	113526	Madelyn
528857	134377	
528857	141416	Judith
528857	150802	Louise Finley
528857	153190	Dinner party guest
528857	168238	Joe's Mom
528857	196995	Nurse Sharpling
528857	216469	Hotline Caller
528857	216879	Elaine
528857	230316	Elaine
528857	234212	Doctor
528857	237600	Janine
528857	255235	Nancy Osborne
528857	263755	Lucille Kaufman
528857	267105	Claudia Prinsinger
528857	277083	Madeleine
528857	283546	Jody Daniels
528857	292472	Mimi
528857	304829	Dr. Marcia Fieldstone
528857	330019	Venessa
528857	330773	Martha Ingels, Norms's 2nd Wi
528857	341499	Connie
528857	342791	
528857	362355	Nadine
528857	362716	
528857	363894	Gallerist
528857	366908	Makeup woman
528857	368314	Petty Marsh Secretary
528857	395229	Al's Wife
528858	195601	Dolly
528859	50933	
528860	129820	Young Florence
528861	309857	Herself (in video)
528862	316214	Angela, as a child
528863	169427	Girl Hobo
528863	271253	Various
528864	118259	Gum Drop
528865	154475	
528866	58771	Surrogate Mother
528867	51991	Mac
528867	80969	Prophet Woman
528867	105851	Prostitute
528867	222194	Bum
528867	264157	Baroness Von Troken
528867	264158	Baroness Joy von Troken
528867	297190	Spastic Friend #1
528867	321222	Waitress
528868	231915	Debby
528869	38005	Other Ways Demolition Squad s
528870	142716	Sayce
528871	77805	Dancer
528872	42442	
528872	63505	
528872	77805	Chorus girl
528872	85315	
528872	88476	Reshmi
528872	135223	
528872	152475	
528872	164315	
528872	172537	
528872	213881	
528872	274502	
528872	313076	Dancer
528873	172476	Radhika Menon
528873	373794	Tara
528873	410441	Thea Molenaar (1995)
528874	426	Amy
528874	209327	Britt
528874	240312	Aina, servant at the hotel
528874	301520	Werner's fiancee
528874	303851	Young girl at the beach
528875	356843	Rosa, deres datter
528876	79060	Violinist
528877	137745	Cowboy Mother
528878	86633	
528878	88619	
528878	208176	
528878	237071	Marit, tjenestejente
528879	170338	Trude Halvorsen
528879	178191	Eva
528879	382528	Trude Halvorsen
528879	383129	Lotte
528879	409708	Ushi/Herself
528879	409874	Sigrun Sleive
528880	401737	Various roles (sketches)
528881	16328	Inge
528882	60967	
528883	226586	Kerttu
528884	13041	
528884	23946	
528884	60052	Josette, une petite amie de W
528884	125469	
528884	133175	
528885	400840	María
528886	82586	
528886	107036	Elena
528887	196390	Flower Girl
528887	270025	Dancer, Assyrian Dance at Ner
528888	35121	Samira
528888	267643	
528889	65554	Belly Dancer
528890	61667	Shopper
528890	321186	The Mother
528891	96338	Locutora
528892	149506	
528892	211172	
528892	235927	
528893	18175	
528893	255499	Tupi
528893	286237	
528893	334966	
528893	380083	Patricia
528893	380125	
528893	380249	Malena Vallejo
528893	381720	Florencia
528893	383242	Yolanda Pujol de Martínez
528893	384925	La nena
528893	396644	Vicky
528893	399521	Patricia Echegaray
528893	401905	
528893	404075	
528893	405776	Ana Ozores
528894	5263	
528894	75180	
528895	136966	
528896	210558	
528897	30876	Marissa
528897	181821	
528897	200664	
528897	213726	
528897	324388	
528897	390069	Kakai Marquez
528897	398494	Girl on Bus
528897	404049	Sophia Bustamante Ilagan
528897	407337	Epifania 'Eds' delos Santos M
528897	407538	
528898	217054	Empleada: Pasajero del 86/Mam
528899	378843	Host (1979)
528899	378916	Host (1979)
528899	379556	Host
528899	382139	Host
528899	385053	Host
528899	389890	Host (1974-1979)
528900	28290	
528900	91286	Carmen
528900	192983	
528900	287921	La hija de los campesinos
528901	334661	
528902	258313	Un élève de la 4e techno
528903	153833	
528904	14942	Jimena
528905	236164	
528906	28085	
528906	181830	
528907	19491	Jolly
528907	169794	Mucama
528907	268277	Secretaria de la Agencia de V
528908	218500	
528909	249869	
528910	272927	Hooker
528911	189963	Noelle
528912	126139	Inspektor Aleeza
528912	126140	Inspektor Aleeza
528912	249923	
528913	255559	
528914	15105	Louise Compoint
528914	23649	Françoise
528915	255597	Herself
528916	331664	Reception Guest
528917	177948	
528918	19313	Bibliotecària
528918	166029	
528919	169743	
528920	5007	Angry neighbour
528920	50971	Fille casting 1
528921	201011	Jyldyz
528922	264985	
528923	170030	Prostituta 1
528924	31465	
528925	204	
528926	86367	
528926	173682	
528926	175972	Ketevan
528926	219259	Zepyur
528926	352301	
528927	287399	
528928	269200	Mirla
528929	154539	
528930	278335	
528931	43621	Doka
528932	54108	Rivke as a young girl
528933	14252	Judith Aarons
528933	54108	Rivke
528933	345785	Mascha Melnick
528934	71474	Dancer
528935	40739	Mary Jenkins
528935	43432	Asunta Profaci
528935	45650	Nurse
528935	362880	Dr. Janke
528935	366983	Maria
528935	387058	Woman in bakery
528936	323083	
528937	372023	
528938	352680	Maira
528939	47744	Mother Superior
528940	341939	Girl in Headshots and Auditio
528941	195455	Nanny
528941	302116	Scottish Woman
528942	167080	
528942	234355	
528943	29406	Prostitute
528943	66745	Sophie
528943	70950	The young girl
528943	83398	Louise
528943	112889	Corine
528943	160722	Sylvie
528943	167197	Guillaume's Sister
528943	200951	Thérèse
528943	216239	Salomé à 18 ans
528943	218077	Séverine
528943	219458	Brigitte
528943	225459	
528943	234665	Marie/Sacha
528943	235264	L'inconnue
528943	240428	Evelyne
528943	243142	
528943	249678	(segment Petits riens)
528943	258327	Juliette
528943	265797	Françoise
528943	279974	Sandrine
528943	291576	Virginie in 'Love in the Dark
528943	307571	Eva
528943	309987	Sophie
528943	376920	Clothilde Cavalier
528943	383305	
528943	383861	(segment "Douze + un[e]")
528944	407719	Hostess
528945	28876	Yolanda
528946	3470	Sol
528946	13184	Gabriele
528946	55796	Silvia
528946	100976	Estrella
528946	121242	Lola
528946	332573	Verónica
528946	357187	Marta
528946	367255	Karmentxu
528946	369870	Herself - Nominee: Best New A
528946	369989	Herself - Presenter: Best Pro
528946	369994	Herself - Presenter: Best Pro
528946	384734	Sonia Castilla (1999-2001)
528946	386685	Doña Inés
528946	392034	Sole (1997-1998)
528946	401188	Clari
528946	409463	Mari Luz (1993-1994)
528947	4826	Lia
528947	9306	Nazibrola
528947	24862	
528947	62859	Marina
528947	63592	Manana
528947	64155	
528947	86252	Vardisakhari
528947	124809	Nina
528947	162720	Lela
528947	176018	Dzidzia
528947	208610	Maya
528947	217457	
528947	227144	
528947	243032	Juta
528947	243719	
528947	268561	Kato
528947	268611	The girl with flowers
528947	285089	Mzia
528947	298274	Lali/Msevynar
528947	298275	Nino
528947	326270	
528947	370128	
528948	63592	Grandmather of Dato
528949	62859	Elpite
528950	175955	Qabato
528951	47773	Lady in Window
528951	132456	Patient
528951	164641	Hospital patient
528951	166940	Nursing Home Resident
528951	308092	Elderly Lady at Airport
528952	194211	Chatting Baby
528953	392741	Irene
528954	113685	Elisabetta
528955	196181	Maria
528956	359753	Extra
528957	334429	2° Donna di servizio
528960	388977	Sally Hennessey
528960	388978	Zoe Buchanan (1987)
528960	390283	Lucy Greenwood
528961	20186	
528961	25738	Lily's Mother
528961	29048	
528961	79121	Darna/Narda
528961	86079	
528961	122861	
528961	137585	
528961	138330	
528961	145546	
528961	172035	
528961	203909	
528961	207641	
528961	237722	
528961	256831	
528961	301483	
528961	323678	
528961	341449	
528962	380115	
528964	208006	Eka
528964	209105	Meri
528965	245339	
528966	324880	
528967	176875	Betty Won't (journalist)
528968	55385	Magda
528968	353856	La maestra del collegio
528969	56346	La Rossa
528969	328200	Teresa Confalonieri
528970	23548	L'hôtesse de l'air
528970	23807	Solange
528970	57516	Irma
528970	65781	Geneviève
528970	71828	
528970	76130	Bénédicte
528970	100166	La femme sponsor
528970	165230	
528970	200940	Louise Naud
528970	205640	Colette Abecassis
528970	239305	Sophie Hutin
528970	268417	Claire, la soeur de Marie
528970	269127	Mme Le Gouverneur
528970	275531	Madeleine
528970	303615	Sylvia
528970	320004	Catherine Chabrier
528970	346527	Helene
528970	381683	Pascaline Bergeval
528970	386837	Catherine Valandré
528970	389005	Jacinthe
528970	390836	
528970	396175	Delphine de Charlaz
528970	402349	L'employée pressing
528970	402577	
528971	274570	Dancer
528971	313825	Nightclub Dancer
528972	235453	Alex Griffin
528973	376953	
528974	100937	Chess fan
528975	232676	Daisy
528975	346069	Sonja Broonen
528976	2252	(segment "Poisson rouge")
528976	8931	Salma
528976	16598	Naïma Kasmi
528976	25984	Um Youness
528976	107509	La mère de Lucien et José
528976	140722	Oum Said
528976	146401	
528976	190628	Khaled's mother
528976	205636	Tata Rabiaa
528976	246659	
528976	258982	Une cliente
528976	270539	
528976	288620	Lilia
528976	321960	Amal
528976	351788	Aïcha's Mother
528976	355962	
528977	212242	Little Girl
528978	93458	Jana Siebenschuh
528978	226317	Hanna
528978	265096	Miriam
528978	290561	Cora Hellweg
528978	306472	Anna
528978	350878	
528978	352259	Marie Weiler
528979	162733	Dancer
528980	28041	Brud
528981	391701	Presenter
528982	8366	Sister Genevieve's Family
528984	201791	Herself
528985	90377	Comic's Table, Stand-Up Perfo
528985	400003	Mae D'arcy
528986	82728	Maria
528987	234068	Artie's Wife
528988	293067	Maria
528989	236807	
528989	352861	(segments "Stirpe di Ivana, L
528990	197577	La 'Signorina'
528991	328891	
528992	229603	Eva
528993	254768	Journalist
528994	106745	
528995	214815	Diner
528996	17941	Pam
528997	362598	Swim Coach
528997	411802	Chantel Lebasque (2000-)
528998	239588	Coatcheck lady
528998	279072	Mother of Bride
528999	217480	Fishface #2
529000	31286	Betty
529001	387203	Jo-Jo
529002	7390	
529002	14079	
529002	24251	
529002	25375	
529002	33708	
529002	50894	
529002	92939	
529002	105434	
529002	132852	
529002	143373	
529002	158221	
529002	168566	
529002	223504	
529002	223950	
529002	224772	
529002	232149	
529002	244324	
529002	254866	
529002	300171	
529002	324477	
529002	342965	Mrs. Graves
529002	362241	
529002	364315	
529002	365730	
529003	308026	Clover Butler
529004	282696	Parisian Girl
529005	82425	
529006	364022	
529007	8216	Biker
529008	37884	Lady Car Driver
529008	81446	Stacey Ross
529008	210835	Trina
529008	378774	Shona
529008	386963	Marilyn Harwood (1999)
529008	401415	Staff Nurse Hunter
529008	401675	Maude
529008	405461	Belinda Edgeley
529008	408018	Lisa
529009	228267	Herself
529010	107086	Sarah
529011	41196	Donna
529012	277811	Assistente Anestesista
529013	143007	
529014	305370	Girlfriend
529015	267530	
529016	93667	
529017	89381	Mrs. Mary Flynn
529018	31654	Mary Rovell
529018	46742	Crowd Member #3
529018	53318	Miss Wisser
529018	85950	
529018	127743	Nurse
529018	182966	Nita
529018	187172	Secretary #1
529018	210643	School Secretary
529018	275762	Casting Director
529018	289406	Helen Travis
529018	327634	Elderly Woman
529019	128166	Angelina
529019	128604	Model ("Slumber Party" Segmen
529019	128807	Herself (Segment "Room Servic
529019	257595	
529019	257596	
529019	257602	
529019	314111	Mandalay Model
529019	357151	Redhead
529019	367765	Natasha
529020	117688	Nan Tristram
529021	362261	Amanda Mason
529022	175621	Tour Guide
529023	92618	Wedding Party
529023	230663	Christie
529023	366665	
529023	411284	Samantha Kepler
529024	105256	
529024	271282	May
529025	126511	Cynthia Lamkin
529026	331932	Voice over
529027	309584	
529028	22802	Band groupie
529028	27047	Xena
529028	91639	Herself
529028	105226	Football Fan
529028	167003	Dr. Abbott
529028	167117	CEO Advisor
529028	190171	Protestor
529028	215507	Kiki Call, Miss District of C
529028	230663	Sam Goodie's Shopper
529028	233840	Drunk Girl
529028	241578	Pizza Girl
529028	263307	Pricilla
529028	281388	Baseball Fan
529028	312151	Spy Mom
529028	312366	Herself
529028	334410	Jen
529028	363415	Bar Girl
529028	389815	Co-Host
529029	168087	Mother
529029	168959	Herself
529029	177369	Rita Keane
529029	196084	Susan
529029	230963	Harlem Club singer
529029	326155	Concession Girl
529029	361226	Jeannette Ross
529031	1953	Herself
529031	408088	Herself
529032	4369	Showgirl
529032	16895	Reception Nurse
529032	18828	Office worker
529032	51799	Girl in Dressing Room
529032	80970	Veronica
529032	96861	Model
529032	105289	Hostess
529032	124496	Mrs. Josten
529032	133705	Stewardess
529032	135911	Girl
529032	146011	Card player
529032	165004	Woman in restaurant
529032	167099	Girl
529032	184955	Waitress
529032	190179	Model
529032	192410	Girl
529032	195879	Dancer
529032	223913	Pretty girl
529032	229938	Model
529032	231925	Maid
529032	247143	Radio Operator
529032	252528	Girl
529032	254283	December Petty Girl
529032	273083	Showgirl
529032	273633	Nurse
529032	274412	The Queen
529032	294760	Mrs. Collingwood
529032	309858	Nurse in Thanksgiving Show
529032	323432	Dancer
529032	329527	Stewardess
529032	355030	Dorothy Sloan
529032	363282	Nurse Clerk
529033	319027	Joanne
529033	323824	Carrie (segment "The Bookstor
529034	58419	Mrs. Pamplon
529035	74199	Trauma Team Nurse #1
529036	35496	
529036	49576	
529036	49578	
529036	50483	
529036	64531	
529036	117159	
529036	130443	
529036	143258	
529036	143346	
529036	145805	
529036	166224	
529036	175806	Mrs. Marston
529036	191481	
529036	194547	Sea Lorelei
529036	195009	
529036	203482	Melissa
529036	223145	
529036	250390	
529036	280722	
529036	299941	
529036	307907	
529036	317408	
529036	336691	
529036	351725	Marion Grey Loring
529036	362713	
529036	364258	
529036	364720	
529036	366841	
529037	368171	Herself
529038	282935	Bucket Dancer
529039	81789	Lady
529039	139050	Woman at Airport
529039	194865	Jean Jean
529039	275682	Texas waitress
529039	280717	Sister
529039	303818	Esther
529039	365220	Librarian
529040	313975	Sonya
529041	56304	Cashier
529042	240774	
529042	317963	
529043	385299	Lorna Keating
529044	132529	Joanne
529045	147904	Herself - Historian
529046	180533	Marissa Alvarez
529047	382266	A&E Nurse
529048	220187	Bella
529049	109431	Waitress
529050	196084	Margarita
529050	254593	Mourner
529052	26886	Mrs. Whidden
529052	334974	Mother Kinemon
529053	84198	Clinic Patient
529053	102247	Hospital Medical Technician
529054	397032	Receptionist
529055	305571	Young American Miss
529056	347063	Avenger
529057	192171	Becky
529057	308183	Karen
529058	192726	Lady Sinclair
529059	241618	Mrs. Cohen
529060	18498	Anus's Woman
529061	206259	Busy woman
529061	222603	Princess Alexandra
529061	238991	Czarina
529061	276791	Museum Tourist
529062	411134	Jasmin Ainsworth
529063	258210	Gold's Assistant
529064	279203	Ridgway Prostitute
529065	408893	
529066	241456	Miss Kane
529067	241428	Penny
529068	68138	Handsome Nell
529069	26532	Sara
529069	55795	Alice Price
529069	248095	Hailey
529069	302033	Sarah
529070	128154	
529070	209112	Grocery Store Mom
529070	363708	The Demon
529071	274054	Christina, Cowgirls #2, Katie
529071	390121	Girls Team Coach
529072	45618	Galatea
529072	78082	Receptionist
529072	256623	Blue Stocking
529073	37374	Julian's Girl
529074	4623	Herself
529075	111701	Rose
529076	310166	Dr. Cynthia Jones
529077	254439	
529077	328343	Soraya
529078	24656	Nawar
529079	360741	Melba Lear
529080	362106	Girty
529081	113646	Chica reservados
529082	158462	Inez
529082	262621	
529082	343232	Macaw Parrot
529083	160759	Dani
529084	323832	Female Victim (segment "Meat'
529085	358012	Jihad
529086	8583	
529086	25059	
529086	88805	Journalist-Pernambuco
529086	116948	
529086	203939	
529086	266440	
529086	308751	Hospital clerk
529086	351269	(segment "Drão")
529086	379450	Nélia
529086	380626	Ronalda Cristina
529086	391674	
529086	392792	Vieira
529086	402371	Marizete
529086	402685	
529086	404834	Jurema
529086	407281	Cuca (1981-1986)
529086	409975	Guilhermina
529086	410245	Rosa
529087	201171	
529087	205337	
529087	337012	
529088	386728	Extra
529089	286655	Farida
529090	100146	Fati
529091	27742	Ne'mat's mother
529092	22206	Yasmina's mother
529092	30539	
529092	101685	
529093	8596	Amira
529093	8977	
529093	15328	
529093	97641	Samia Shakal
529093	98102	Sanaa
529093	220261	Samira
529093	276306	
529093	361585	
529094	25982	
529095	202117	
529095	285528	Shapinam
529096	8684	
529096	78636	
529096	139351	
529096	152165	
529096	231581	
529096	272991	
529096	309598	
529097	139584	Dalal
529097	322909	
529098	162733	
529099	317148	Hayley
529100	307174	Nadareh
529101	278335	
529102	285500	Driver #1
529103	286655	Naïma
529104	62891	Landbetjent
529105	25986	Tahar
529107	45801	
529108	318488	Prostitute
529109	347591	Renee
529110	23919	Herself - Honeyz
529110	249590	Performer
529111	182949	Tunisian Chambermaid
529112	80430	Bingo Burger Patron
529113	80430	Bingo Burger Patron
529114	223711	Seamstress
529114	343907	Donna
529114	393646	Beverly Florio
529115	388313	Louise (2001-????)
529116	21751	
529116	136943	
529116	184032	
529116	202801	
529116	208728	
529116	270789	
529116	288288	
529116	359511	
529117	195271	Andrea
529118	12705	The controller
529119	117656	Cashier #2
529120	168063	Fat Lady
529121	716	Herself
529121	1214	Herself
529121	1478	Herself
529121	1926	Herself
529121	1975	Herself
529121	2258	Herself - Presenter
529121	2302	Herself
529121	2630	Herself - presenter
529121	2797	Herself
529121	13996	Herself
529121	42365	Herself
529121	48489	Herself
529121	53320	Dancer
529121	54621	Herself
529121	87579	Herself
529121	105203	Herself
529121	117124	Herself
529121	126575	Herself
529121	157464	Herself
529121	165506	Herself - dancer
529121	170852	Sheri
529121	207440	Herself (Choreographer)
529121	212711	Herself (Liberian Girl video)
529121	221105	Denise Walton
529121	221473	Herself
529121	221482	Herself - Presenter
529121	250988	Herself
529121	250989	Herself
529121	250990	Herself
529121	250991	Herself
529121	257782	Herself (Former Choreographer
529121	281255	Herself
529121	302138	Herself
529121	302438	Herself
529121	326663	Herself - Presenter
529121	326664	Herself
529121	333322	Herself
529121	336753	Ellen Collier
529121	352958	Herself
529121	358357	Amy Fuentes
529121	375520	Herself
529121	378686	Host
529121	380012	Herself - Judge
529122	362330	Maynard's Girlfriend
529123	47117	Down Low Dancer
529123	372175	Dancer
529124	347878	Dancer
529125	73703	Vicki
529126	310715	Female Student
529127	34507	
529128	109098	
529128	268575	
529129	202294	
529130	60452	
529131	85215	
529132	363981	Partygoer #5
529133	173341	Woman Servant
529134	166631	
529135	179779	Exotin
529135	263349	
529136	195769	Court Clerk
529137	35696	Village Woman
529138	301105	
529139	370192	
529140	132110	Malyka
529141	373530	Fatima
529142	349627	
529143	339945	Khadicha
529144	323330	
529145	64153	
529146	16878	Dancer
529147	64153	
529148	162275	Casualty Nurse
529149	41518	Beach Woman #3
529149	124110	Casting Assistant
529149	203358	Diane Barnett
529150	84146	Peace Corps volunteer
529150	299078	Herself
529151	285919	Arimi Tashiro
529152	374601	
529153	8749	Keiko Sakai
529153	138067	Haru
529153	206759	Omitsu
529153	206765	
529153	206766	Oyone
529153	242122	Yukiko Nakatani
529154	255872	Nagiko's Baby
529156	285808	Onna
529158	192746	Mimi
529159	225621	Herself - a member of Mooning
529160	351898	Himself/herself
529161	286626	Post Office Worker
529161	322885	Kimishima
529161	334959	Tomomi Ito
529162	51270	Midori Tachibana
529162	280097	Sayo Kataoka
529163	145442	Eiko Ishii
529163	299337	Chonmaru
529164	299117	Shino's mother
529164	324536	Doctor's wife
529164	370302	
529164	372034	
529165	109395	Melody
529165	218180	Model #6
529166	182949	TV Eyewitness
529166	401053	Muriel (1982)
529167	21231	Simone
529167	106109	Rivas' Gang
529168	295210	Junkie
529169	83240	La gourvernante
529170	10963	Gabi
529170	33466	Nella
529170	101134	
529170	140724	
529170	172032	Rivka
529170	205595	Mary of Nazareth
529170	215520	Elise
529170	261794	Judith
529170	303024	Sharona
529170	349425	
529170	371296	
529170	374036	
529170	405010	Ella
529171	235645	Dead Aunt
529172	230116	CCU Nurse
529173	300361	Perlmutter attendee
529174	320109	Sara
529175	187073	GNN Floor Manager
529175	201709	Herself
529176	263725	
529177	250928	Tessa
529178	28994	Brigitte
529178	84695	Marina
529178	254314	Marie
529179	33395	Tribal dancer
529180	223978	Judy
529182	67198	Girl Announcer, Auto Show
529183	29512	Le ventriloque
529183	30418	
529183	207053	Denise
529183	225370	Gaby
529183	274315	(segment "Four on the Floor")
529183	283683	
529183	345137	Young Customer
529184	218067	Krankenschwester
529185	101752	Ulla Fink
529185	395667	Dr. Eva-Maria Sperling (1992-
529186	78491	Herself (performing 'Hyldest 
529187	158189	Laundry woman
529188	147980	Devotee
529189	313104	Young Lady in Bar
529190	346115	Penny
529191	177584	Johanna
529191	287777	Judy Emerson
529192	361854	Cast
529193	24346	Hausmädchen Steffie
529194	81342	
529194	118677	Local Radio Voice
529195	193624	Sue
529196	322335	
529197	109345	Laura
529198	100778	
529198	149553	Raquel
529198	149556	
529199	380430	
529200	104499	
529201	240236	
529202	268815	Qristine
529203	194110	Kristen
529205	390587	Herself (wife of producer Fra
529206	305160	Angry Woman
529207	127717	Christina
529208	113362	Maria
529209	378790	Carmen Reyes
529210	14964	
529211	165612	Märta
529212	12275	Linda
529213	205844	Connie
529213	381072	Catalina 'Cata'
529213	389233	Mariana (2004)
529213	396843	Judy Bedoya
529213	402055	Catalina Bayona
529213	409922	Adoración Domínguez
529213	412153	Luisa Carbonell Falla (Young)
529214	125739	
529214	385069	Laura de Arango
529214	387556	Abigail Dominguez
529214	396125	Vicky
529214	402333	Herself/Judge
529214	405866	
529214	412153	Claudia Riascos
529215	292736	
529216	51615	Júlia nena
529217	193108	Police Psychiatrist
529217	236693	Salesgirl
529217	365183	Singer at Funeral
529218	171700	Rebecca Porter
529218	212257	Maggie Cobb
529219	252754	
529220	314853	
529221	209291	
529221	361224	'Copsicle' Casting Director
529222	324673	
529223	153087	
529224	314853	
529225	168948	Townsperson
529226	119096	Ruth
529227	42805	Ellen
529228	114656	
529229	119565	Sea Urchin
529230	226868	Woman in Street
529230	241465	Ariadne
529231	321306	Suzanne
529232	257121	Suit
529232	333327	Brenda's Cellmate
529233	307195	
529233	343172	Airline Attendant 1
529234	24547	
529235	92445	Venus
529235	93981	Housekeeper
529235	176974	Diana
529235	301669	Beautiful Blonde #3
529235	326424	Bonnie Nelson
529235	390306	Herself - Assistant
529235	399277	Assistant
529236	276634	Diana at Three
529237	4363	Maya Cohen
529238	38170	La standardiste clinique
529239	66313	Lap Dancer
529239	176498	Goth Kid
529240	283195	Taco Girl
529241	3137	
529241	35321	Betty Blue
529241	115839	
529241	132432	Evchen Flint
529241	134835	
529241	153110	Hausmädchen
529241	155479	Erika
529241	169033	
529241	177192	
529241	180979	
529241	184272	Elli
529241	189537	Lorella
529241	209978	
529241	225138	Uschi
529241	226198	
529241	239015	
529241	263371	
529241	277230	Victoria
529241	279071	Monika, Bimbos Tochter
529241	288498	Lana von Meyerbeer
529241	290665	Mucki
529241	325445	Frau Lanz
529241	325491	Alexandra
529241	350876	Julchen Schiller
529241	359672	Tönchen
529241	361451	Gertie
529241	361528	Tina
529241	367037	Julchen Scherzer
529241	387735	Brigitte (1987)
529241	391283	
529242	10683	
529242	63130	Sister Sarah
529242	89288	Nun
529242	133958	
529242	166939	Teacher
529242	397936	Herself/Lady Aberlin
529242	405712	Regular Performer
529243	108633	Jacobis hus
529243	121013	
529243	276139	Bellboy in musical number
529244	220644	
529244	307883	
529245	393512	Co-host (Mar-Apr)
529245	409308	Contributor
529246	4694	
529246	25367	
529246	52007	Alcina Lewis
529246	53050	Walter's Mom
529246	90154	Henrietta King
529246	108250	Lorrie
529246	127094	E.R. Nurse
529246	130167	Martha
529246	134377	
529246	193669	Effie Petit
529246	215524	Nurse Betty
529246	222647	Sue
529246	232114	Francine, the Hacker
529246	245055	MHA
529246	304342	Dr. Hellstrom
529246	316209	Nurse
529246	327437	Mambo Azaleigh
529246	380455	Sara Jackson
529246	394502	
529247	1575	Herself
529247	402993	Herself/San Diego (2004)
529248	310707	Herself (leads march into Mon
529250	315214	News Anchor
529251	410725	Kristina Abernathy (Meteorolo
529251	410726	On-Camera Meteorologist
529252	17952	
529252	45831	Nurse
529252	57489	Mrs. Otis
529252	101573	Bank Teller
529252	109686	Mrs. Alexander
529252	124123	Teacher
529252	158312	Dispatcher
529252	161890	Nurse
529252	168166	Waitress #2
529252	183879	Church Voice
529252	240500	The Nurse
529252	245249	Edie
529252	262626	Nurse
529252	316720	
529252	323568	Guard
529252	331112	Clerk
529253	255146	Miss Mill Creek
529254	115269	Women Coalation Diner Patron
529255	346641	Mme la jurée Veuve Lacour
529256	27405	
529257	264941	Hôtesse ITV
529257	318584	Rathie
529258	59193	Bag Lady
529259	170823	Maria
529260	64940	
529261	12577	Helga
529261	34321	
529261	51123	Hansels Schwester
529261	91005	Anne
529261	121039	
529261	136615	
529261	140203	
529261	178534	Frau Siebert
529261	186874	
529261	189878	
529261	209875	Paul's Mother
529261	249097	Mutter
529261	259517	
529261	259535	Frau Blumenthal
529261	259663	
529261	265399	Ruth Mamlock
529261	280795	
529261	294589	
529261	314329	Rose
529261	325922	
529261	343955	
529261	352347	Hannelore
529261	375141	Luise Kramer
529261	376498	
529261	389955	Mary
529262	63499	
529262	173500	
529262	209797	(Guest Role)
529262	214034	
529262	233415	Geethu
529262	250608	
529262	355228	Annalachmi
529263	183459	
529264	103883	
529264	381144	Margô
529265	331427	Traditional village woman
529267	95223	
529267	99745	Granny
529267	126929	
529267	160288	
529267	359378	Fatma
529267	373761	
529267	374349	Zeinab's Mother
529268	81753	
529269	59185	Performer
529269	63102	
529269	96835	Herself
529269	241385	Mary
529270	20426	
529271	84570	Frau Gerlach
529271	90145	
529271	91039	
529271	147946	
529271	149878	
529271	225652	Mutter
529271	312887	
529271	325883	
529271	352367	
529271	367408	Nutte
529271	395701	Hermlind Strödter
529272	155233	
529272	320953	
529273	2683	
529273	11170	
529273	12737	Girl in See-Through
529273	12738	Mae
529273	46383	Helen
529273	52617	
529273	99281	Buxom Girl
529273	120110	
529273	128988	Voz de Lola Junco
529273	132467	
529273	189203	Fast food restaurant customer
529273	210485	Mrs. Simpson
529273	222555	
529273	233953	
529273	298463	Muriel Cordeaux
529273	318695	Woman in Pub
529273	364721	
529273	382206	Herself - Panellist
529273	382393	Mrs. James
529273	383882	Bambi Chute
529273	387491	Dulcie Dickson
529273	388323	Doreen Stubbs
529273	399130	Betty Bristow (1989)
529273	399816	Bev Houghton (1972-1973)/Eve 
529273	405960	Caroline Morrell (1984-1987)
529273	411809	Hilary Templeton (1977)
529274	309697	
529275	383344	Brenda
529275	397019	Perlita Ordonez
529276	43060	Kumiko Horiba
529276	298818	Uchiko
529277	411948	Herself - Host (2001-)
529278	22067	
529278	34123	Dagny
529278	64649	Herself - Various roles
529278	90167	Fru Pedersen
529278	95812	Fru Randskov
529278	108955	Gymnastiklærerinde
529278	110771	Dame Fra Kattens Værn
529278	116298	Farmor
529278	117585	Teatergæst
529278	117900	Frk. Liljenfeldt
529278	118607	Various roles
529278	119326	Fru Lembahle, Leo's mother
529278	138461	Mormor
529278	139858	Frk. Jensen
529278	142504	
529278	147395	Campist
529278	153947	Introducer
529278	156249	Yvonne
529278	170828	
529278	172978	
529278	182623	
529278	199995	Donna Elvira
529278	213438	Oplysningsdame
529278	214366	En togrejsende
529278	218898	Klinikdame
529278	258746	
529278	264282	Dame i publikum
529278	265830	
529278	277276	
529278	306054	
529278	308212	Krogæst
529278	310054	Datter af modebutiksindehaver
529278	320592	Frk. Laila Stjernholm (Kong V
529278	321992	Frk. Steinkop
529278	331004	
529278	348959	
529278	353035	Agnethe Sørensen
529278	386347	Herself (episode 1.5 "1960-19
529278	395824	Borgmesterinden
529278	405943	Norma, Sonjas mor
529279	68381	
529280	387580	Eliza
529281	363818	
529282	248124	Runaway Girl
529283	24142	
529284	344323	
529285	172115	
529285	232751	
529288	62781	Membre de l'équipe Arte
529289	399657	Herself (1993-1994)
529290	341926	FBI Interrogator
529290	352517	Lisa
529291	354588	
529292	136575	
529293	155013	Party attendee
529294	317672	The grandmother
529295	276731	Irene Gates
529296	44949	Hilda
529297	105372	Tracy
529297	344486	Carlos' Girlfriend
529298	290255	Elsa
529299	300180	Goddess Dancer
529300	78976	Stacy Phillips
529301	354907	La catcheuse brune
529302	351020	
529303	88559	Nurse
529303	92095	Pregnant Woman #1
529303	97788	Margot de Ruyter
529303	122530	Mirjam
529303	175241	
529303	191179	
529303	306937	Conny van Willigen
529303	325280	Nora ten Have
529303	339855	Karin
529303	342084	Teacher
529303	350376	Chantal
529303	387741	Marit Heydecoper
529303	395035	
529303	396158	Det. Daan (2002-)
529303	406032	Ellen
529303	406166	Anja Jansen
529303	407707	Barbara van Buren
529303	410437	Barbara 'Babs'
529303	410441	Rietje Verdonk (1995)
529304	18544	Sharks Trainer
529305	12293	Gilbert Jackson
529306	372317	Mary Lou
529307	17132	Mother Superior
529307	39564	Rehab Nurse
529307	385141	Chernokov's wife
529308	242093	Orval's Mother
529309	6347	Joana
529310	280998	
529311	387429	Pilar's sister
529312	109048	Illianna
529313	69470	Enfermera
529314	367083	Dancer
529315	58893	
529316	262394	Jim Carrey Doll
529317	326428	Terry Davis
529318	236155	Kate Jennings
529319	229783	Oito
529319	374096	Omatsu the maid
529320	219231	
529321	89777	Atriz
529321	210694	Nhá Loló
529322	81184	Princess
529323	42913	Circus Character
529324	379655	Gouvernante Hadj Hamou
529325	339797	(segment "Cuarteto")
529326	808	Nofar
529326	306934	Young Rivi
529326	378704	
529326	405010	Daniella
529327	410303	Gogó Rionda
529328	341505	Aijan
529329	393359	Devojcica
529330	398838	María Martín
529330	401248	Berta Rocha (2001-2002)
529331	128200	Girl From Monday
529332	381389	
529332	383290	
529332	391445	
529332	407540	
529332	409463	Secretaria (1991-1993)
529333	76783	
529334	289899	Afrikanerin
529335	151778	UCLA Girl Student
529336	232158	Lynette
529336	299870	Lady 1
529337	58907	
529338	189898	Helmuts Mutter
529338	290240	
529338	290495	
529338	365924	
529339	80812	Sybil
529339	213654	Beautiful Girl #2
529339	264514	Shareen
529340	75196	FBI Agent #1
529341	349627	Juli
529342	381436	Bethany Marshall (1991), Daph
529343	215690	Miss Virginia USA
529344	196233	Dancer
529345	52708	Rita
529345	157325	Lucy
529346	245040	Newscaster #1
529347	84941	
529347	176942	Player
529347	306785	Extra
529348	7811	Evan
529349	56545	Herself
529350	345641	
529351	97277	Edwina Handshet
529351	193263	Candy
529352	107473	
529352	167710	Francis
529352	305349	Receptionist
529353	281372	Wain Shepard
529354	40060	Ruth Henry
529355	314129	Lauren
529356	401449	Betty
529357	177390	2nd Kettle Customer
529357	388350	Sue
529357	404954	Hayley
529357	405526	Catherine Howard
529358	150350	Family in front of TV Store
529358	150351	Mother Whose Baby is Snatched
529358	335880	Pregnant Woman
529358	361167	Fishing Family
529359	78400	
529360	202604	Raya (segment "Raya")
529360	272990	Raya
529361	390118	Magda
529362	145623	Beatrice
529362	260500	Maggan (age 14)
529363	173742	Sunniva
529364	14558	
529365	275199	
529366	51298	Elise
529366	347005	
529367	32379	Anita's Mother
529367	33254	syster Ellen (episode 3)
529367	138528	Pharmacy clerk
529367	142234	The Principal
529367	173202	Fröken
529367	240213	Midwife
529367	283694	Vicar's Wife
529367	345937	
529367	357752	KVS-ledamot
529367	390725	Secretary
529367	393003	TV-host
529367	394197	Birgitta Grudd (episodes 4, 8
529367	394940	Mrs. Waern
529367	403769	Helga Piling (episode Det sis
529367	405825	Sonja
529367	406331	Kerstin
529367	406604	Aurore
529368	214584	Pia
529368	346209	Tupsu Lindbergh
529368	354285	Young Hetta
529369	132241	
529370	270935	Utegångsfåret
529371	153239	
529372	80241	
529372	378971	
529372	379093	María Clara/María Begoña
529372	380249	Rebeca Del Avila
529372	381859	
529372	383472	Candelaria Pabuena
529372	386149	
529372	387897	Constanza Borosfky
529372	394006	Maniña Yerichana
529372	394147	
529372	395403	
529372	396213	
529372	397578	Olimpia Mercouri de Villanuev
529372	399025	
529372	399520	Mercedes Aguirre
529372	400941	
529372	401905	
529372	402172	Marina
529372	404800	
529372	408408	Andrea Mijares
529373	386616	
529374	235810	
529375	342497	Espee
529376	97492	Henrietta
529377	122392	
529378	265171	April's Daughther, Elizabeth
529380	345878	Herself
529380	387533	Jess Weston (2001-2002)
529380	387534	Ruth Abram
529381	399295	Herself
529382	35116	
529382	56339	
529382	63821	
529382	66222	Daniel's Mother
529382	68809	
529382	99107	
529382	165516	
529382	168139	Olímpia
529382	204919	
529382	213708	
529382	269115	
529382	308750	
529382	352159	
529382	380946	Elvira
529382	382883	Chiquinha
529382	383243	Sara
529382	386245	
529382	389882	
529382	391674	Lúcia
529382	393795	
529382	393876	
529382	396741	Margô
529382	397547	Estefânia
529382	398547	
529382	398877	
529382	399713	
529382	400444	Bianca Ghirotto
529382	400678	Januária Brandão
529382	400687	
529382	402189	
529382	402506	Vitória
529382	402579	
529382	403083	Carmela
529382	407801	Old Bibiana
529382	407856	
529382	409407	Clarinha
529382	409415	
529382	409426	Amália
529383	65594	Girl in Diner
529383	80402	Young Girl
529384	3025	
529384	356936	Lena
529385	312963	Martha, Stalker's daughter
529386	59772	Verochka
529387	131086	
529388	28400	Herself
529389	411933	Yossefa
529390	201410	Molly
529391	342148	
529392	250573	TV reporter
529393	103201	Herself (Finalist)
529394	47492	Mama Esterin
529394	371642	
529395	10813	German Wife
529395	97513	Waitress
529395	118675	Hana
529395	301945	Ella
529395	304336	Scientist
529395	387531	Helle Poppe
529395	407531	Young Girl
529396	170552	Sophie
529396	224314	Zena
529396	231090	Hip Bistro Hostess
529396	363716	Hannah
529396	406026	VJ
529397	366753	Judge
529398	368913	Lisa
529399	289090	Heidi
529400	196887	People at Party
529401	144452	Date #1
529402	84397	
529403	296100	Mary's mother
529404	11384	(Older) Young Amy
529405	77616	
529406	298076	Bit
529407	158517	Sara
529408	245542	
529409	48923	Jennifer Walkens
529409	70421	Jennifer Malley
529409	170843	Waiting Room Woman
529409	224074	Jennifer
529409	232442	Shari Smith
529409	275872	Ann Marie
529409	340247	Wood Tales Girl
529410	298076	Bit
529411	57560	Family Woman A
529411	87432	Neuter Old Maid
529411	101070	Accident Bystander
529411	114145	Cleaning Lady
529411	140953	First fundraiser wife
529411	189325	Woman in Court #2
529411	251646	Death Row Dave's Mother
529411	294798	Emma Lou Jenson
529412	217187	Their child
529413	231533	Dutch Damsel
529414	305228	Senior Girl II
529415	391835	Talking head/soundbites (segm
529416	354751	
529417	70300	Checker
529417	117061	Nurse
529417	403509	Woman at stable
529417	406083	School Secretary
529418	102929	
529418	109856	Neighbor Girl
529418	120212	
529419	186601	
529419	376027	
529420	191437	
529420	205534	
529420	281628	Júlia Rica (wealthy)
529421	402504	
529422	89398	Ti' Ana
529422	191437	
529422	263925	D. Felicidade
529422	281604	Mariana
529423	394872	Bernarda
529423	396610	Cris (1996-1997)/Marilu (1999
529423	397540	Lara Ferreira de Souza
529424	88794	(segment "O Filminho")
529425	398503	Mariah
529425	407281	Emília (1983-1986)
529425	409025	
529426	239280	Amiga de Clara
529426	391860	Paula
529427	408381	
529428	42582	
529429	17061	
529429	54164	Herself - a singer
529429	61338	
529429	95325	
529429	202130	
529430	338208	
529431	309205	Herself
529432	69155	Herself
529433	383273	
529434	137222	Vinz's aunt
529435	26831	Sorority Girl
529435	182966	Lisa Weston
529435	193761	Bride
529435	252449	Laura Van Degan
529435	347566	
529435	357985	Judith Crane
529435	386578	Pia Bismark
529435	388793	Donna Patterson
529436	316377	
529438	230270	
529438	318006	
529438	385057	Lucía Notaro
529438	387127	
529438	390085	Gladis Villafañe
529438	396149	
529438	408720	Antonella
529439	380152	Youngest daughter
529440	103407	
529440	103986	
529440	216089	
529441	52924	Rose
529441	97353	Cibele
529441	135275	Luiza
529441	148467	Cledir
529441	237504	Reneé
529441	332732	Leonora
529441	369497	Baroness
529441	380387	Heloísa Andrade Pinto
529441	381328	Clara Ribeiro
529441	383727	Laura Prudente da Costa
529441	388592	Ana Paula Flores
529441	389153	Olívia
529441	391609	Luzia
529441	395044	Liliane
529441	400584	Zezinha
529441	402504	Alice
529441	402593	Princess Juliette
529441	402685	Empress Amélia de Leuchtenber
529442	281915	Roseanny
529443	212137	
529444	396387	
529445	22740	
529445	225553	
529446	401882	Herself
529447	10235	
529447	43591	Marilda
529447	70701	
529447	222181	Herself
529449	5747	Clara's Mother
529449	12528	Yen
529449	205537	Joana
529449	387849	Rita
529450	388565	Paula
529451	215074	
529452	14573	Paula
529452	198190	Catarina
529452	327096	Pintora
529452	350776	Herself
529452	393052	Various Roles
529452	393345	
529452	395376	Lele
529452	398840	Lucinda
529452	405856	Felicidade
529453	21079	Julia Smeyers
529454	132374	
529454	307721	
529455	68915	Alexandra
529455	251177	Flora
529456	71856	Tequila's Posse #1
529456	406336	
529457	88435	Olga
529457	229555	Mrs. Karásková
529458	384972	Lola Bonastre
529458	393582	
529458	404715	Eva
529459	53257	
529460	80093	
529460	99869	
529460	115019	Herself
529460	128965	Malena Vargas
529460	233339	Dolores Abril
529460	246374	Consuelo Montes
529461	10900	Geraldine Smythe
529461	149946	Nathalia
529461	195864	Estrella
529461	282277	Kittens Dalmayne
529461	331138	Grace
529461	372728	Miss Jenkins
529462	90525	Tango dancer
529463	210178	
529463	376657	
529463	391937	Various characters (2003-)
529464	17855	
529464	32409	
529464	111035	
529465	870	Lola
529465	3530	Gloria
529465	6090	Carmen
529465	6302	Patty
529465	7825	Pascale
529465	13071	Luisa
529465	21676	Carmela
529465	24986	Menchu/Ramona/Aurora Nin
529465	30407	Verónica
529465	30853	
529465	36561	Manolita
529465	51107	Betty
529465	51113	Ana Alonso
529465	52789	José María/María José
529465	54234	
529465	55962	
529465	56387	Alicia
529465	57230	Jacinthe
529465	66744	L'hôtesse
529465	67212	Julita
529465	68131	Abilene
529465	82587	Ana Duque & Clara Duque
529465	92347	
529465	101867	Miranda
529465	101883	
529465	103499	Sandra Vega
529465	103809	
529465	104200	
529465	111039	Anna
529465	124824	Loli
529465	125739	
529465	136306	Bárbara
529465	148108	
529465	149501	Saga
529465	152240	María Luisa Sánchez
529465	158709	Pilar
529465	161666	Luisa
529465	164174	Fifo
529465	167691	Lorraine de la Peña
529465	170054	Ada Lasa
529465	176630	Andrea Caracortada
529465	189005	
529465	189301	Floren
529465	197543	Bella
529465	197886	Chelo
529465	205488	Sabina
529465	207743	Clara
529465	217728	Anne
529465	221550	Mariana
529465	221926	Bel
529465	226489	Gloria Duque
529465	234345	Herself
529465	234399	Elena
529465	236515	La compagne de Jugnot
529465	237897	
529465	246393	Cardenala
529465	257126	La Merche
529465	266871	Lolita
529465	279720	Queen Isabella
529465	279773	Anne Birdsley
529465	282295	Marguerite
529465	284319	Engracia
529465	287202	Blanca Arauz
529465	287602	Jeanne
529465	293905	Maria da Luz/Lucilia
529465	299882	Marianne
529465	302359	Lola Nevado
529465	322345	Luciana
529465	322851	Rebeca
529465	328310	
529465	332584	Dorita
529465	343546	
529465	346819	Juliette
529465	357100	Véronique
529465	369748	Herself - Presenter: Best Fil
529465	369754	Herself - Presenter: Best Lea
529465	376760	Marina Osorio
529465	378994	Herself - Hostess
529465	381324	Roseta
529465	384536	Hemera
529465	392582	
529465	393549	Marian
529465	401064	Nucha/Young Manolita
529465	403450	
529465	409463	Azafata (1976-1978)
529466	408383	Hostess (1984-1987)
529467	150351	Chain Skimmer
529468	111405	
529468	289899	Festus
529469	52708	Irene
529470	180712	Agatha
529471	28143	
529471	261313	
529471	294371	
529471	306975	Vera
529472	373848	Peppi
529473	103042	Prostitute
529473	159291	
529474	358356	
529475	16297	
529475	18248	
529475	58312	Malvina
529475	72161	Katarina II
529475	109715	Barmaid
529475	171071	
529475	174177	
529475	181466	
529475	209394	
529475	229288	
529475	236019	Sekretarica
529475	236048	Unikonzum Saleslady
529475	237775	
529475	240087	
529475	263426	Gertrude Schmidt
529475	264129	Bordello Madame
529475	338197	Uta
529475	375741	
529475	397410	Secretary to Dr. Hamilton
529475	399005	
529476	1145	
529476	57929	
529477	401507	
529478	68430	
529479	142886	Xaveria Dodd
529480	60476	
529481	12661	
529481	29853	
529481	69223	
529481	91327	
529481	103765	
529481	160092	
529481	243685	
529481	265148	
529481	272639	
529481	275955	
529481	371733	
529481	373620	
529482	41231	Nurse Sylvia
529482	79065	Alice
529482	217816	Ginny Amsden
529483	238613	Herself
529484	109810	Lily
529485	251473	Rebecca
529486	140901	Shotzie
529487	173035	Helena's nurse
529487	264231	Witch
529488	222467	Monika
529489	33892	L'étudiante
529489	68403	Christine
529489	104222	
529490	6667	
529490	47760	Martha Lepschitz
529490	49301	Brigitte Neuhierl
529490	56903	Mother
529490	70106	Jutte Harnburg
529490	82874	Inga Schall
529490	94352	Martina
529490	98968	Kommissar Julia Gerling
529490	167127	Christine Jäger
529490	178584	Portier
529490	181728	Rica Severin
529490	225273	
529490	226722	
529490	234949	Nicole Hassel
529490	281754	Jenny Kenton
529490	322504	Melanie Kupert
529490	325434	Marion Kertesz
529490	325461	Carola
529490	325557	Carmen
529490	325916	Ute Vonhoff
529490	348059	
529490	365921	Jutta Rausch
529490	377358	Lena Walter
529490	379596	Anne Alberti
529490	387443	Kriminalkommissarin Julia Ger
529490	393481	Christine Jäger
529490	394901	Rica Severin
529491	225129	Monika
529492	281714	
529493	155344	Alina Koslowski
529493	334013	Nele Bronski
529493	404448	Luisa Ellwang
529494	8682	
529495	205503	Maria
529496	187004	Soloist (strings)
529497	23077	Halima
529498	111267	
529498	336856	La prostituée
529499	140039	
529500	60271	Narrator
529502	41757	Herself
529502	367867	Herself
529502	388812	Herself
529503	77265	
529503	90522	
529503	124526	
529503	138610	
529503	233367	
529503	272421	
529503	277395	
529503	283136	
529503	353972	Benedicta
529503	378048	
529503	380105	Silvia
529503	383531	
529503	384632	Alba
529503	386171	Raquel Rodriguez
529503	386504	Lysiana
529503	387825	
529503	389639	
529503	390405	
529503	391421	
529503	395657	Daniela
529503	397604	Raquel
529503	403741	Cándida
529503	405842	Maria
529503	409290	Camila
529504	186543	Cousin
529505	140050	Oshrit Meshulam
529505	179212	Ziva
529505	193054	
529505	216408	Shirly
529505	302060	Mazal Vasserman
529505	306955	Jossy Shushan
529505	386673	Various
529505	390882	Host
529505	397470	Ariela Sade
529505	398028	
529505	405130	Various
529506	269914	
529507	14966	
529507	17387	Rosa
529507	122910	
529507	380330	Flávia
529507	383355	Teresa
529507	384117	Marina
529507	386542	Teresa
529507	387804	Lúcia Andrade
529507	387901	Júlia
529507	393286	Alzira
529507	396337	Princesa Santuzza
529507	400445	Verônica
529507	402086	Anita's Mother
529507	412239	
529507	412258	Dora Falcão
529508	129868	Ugly Girl (Radon)
529508	404773	Narumi Saotome
529509	373488	
529510	25999	Maha
529510	38326	Friend's Lover
529510	216702	
529510	221806	
529511	332832	
529512	217780	Nino Barateli
529513	300810	Wife of Abyssinian prince
529514	155123	
529514	349051	
529515	64750	Sidewalk Woman #02
529515	104667	
529515	217912	Herself ('Europe in the Raw' 
529516	257204	Aunt Janet
529516	299944	Melissa Brown
529517	56170	Victoria
529517	159906	
529517	317876	Ana Lazar
529518	203358	Memphis Paramedic
529519	74803	Gina
529519	101866	
529519	328132	
529520	181409	
529520	219259	Lidia
529521	16957	
529522	82016	
529523	217273	
529524	37701	Jane
529525	64153	
529526	286666	Saltanat
529527	8168	
529527	204163	Guest of Honor
529528	328472	
529529	404915	Quitéria
529529	408381	
529530	35524	Waitress
529530	106120	Model #2
529530	305070	
529530	380526	Benjamin
529531	35620	
529531	96480	
529531	156211	
529531	222901	Cemile
529531	394377	
529532	373396	
529533	76135	
529534	75272	
529535	202063	Periodista
529536	164177	
529537	205967	Miss Marchand
529538	383032	Jessica Santana
529538	394017	Josefina Bernadette 'Jose' Mo
529538	396860	Catalina
529538	400728	Jazmín
529538	401358	Sofía
529538	403021	Sabrina Guzmán (2003)
529538	405407	Melina
529539	109452	Beef Lady
529540	206906	Jamie
529541	53893	
529542	13100	
529543	71842	Line Walter
529543	321800	
529544	152775	
529545	10046	Ottavia
529545	17744	Dora Dalmonte
529545	27977	
529545	111301	
529545	119402	
529545	124566	
529545	127901	
529545	127903	Fiammetta
529545	188600	Donna Dietro la Porta
529545	197641	Francesca
529545	258560	Juli
529545	264115	Lidia
529545	328689	Giulia Luzzato
529545	348138	Paola
529545	392739	Cora
529545	392740	Cora Sensesi
529545	396504	
529545	400789	
529546	256454	
529547	7889	Mr. O'Niel's Favorite Student
529548	167076	
529548	293332	
529549	82990	
529550	78573	
529551	402343	Various Character Voices
529552	97170	
529553	306421	So Fine Girl
529554	269537	
529555	20625	Extra
529556	95100	Jane Ace
529556	387251	Herself
529557	20625	Extra
529557	127527	Secretary
529557	128308	Flora Dora Girl
529558	412237	Yasemin
529559	166163	Biquette
529560	300573	Stewardess
529561	2928	Jenny
529561	38818	Kisenian (2000)
529561	38819	Himeko
529561	158609	Nurse
529561	183387	Chinese lover
529561	282300	Susan Lee
529561	330891	Hostess
529562	91349	Mother
529563	215831	Yuri's PR Lady
529564	43036	Hostess
529564	146569	
529564	244629	
529565	385872	Violeta
529565	389233	Laura (2004)
529565	396392	Catalina Bernal
529565	399557	Salomé Villegas
529565	399900	Silvia (Guillermo's Girlfrien
529565	401699	María Alcalá
529565	402333	Herself
529565	407347	
529566	56446	
529567	33081	Josie, child
529568	63676	
529568	322864	Micaela
529569	160853	
529570	94840	dancer
529571	176487	Girl at Party
529572	15356	
529572	27869	
529572	76016	Dña. Matilde
529572	87136	
529572	100276	
529572	133083	Mujer Madura
529572	187627	Doña Genoveva
529572	193316	
529572	221963	Doña Lidia
529572	276404	Invitada (Guest)
529572	286233	
529572	296449	
529572	332664	
529572	353545	Secretaria
529572	377193	Alicia
529572	378408	Aurelia
529573	396942	
529573	404287	
529574	203295	Fermina
529574	243362	Erinni/Coro (episode "Eumenid
529575	383444	
529575	385367	Daniela Malavé Betancourt
529575	391272	Penélope Bracho
529575	405809	Rubi
529576	80559	Young Jenny
529577	255879	
529578	252057	
529578	338162	Mucama
529579	202283	Woman with Bag
529580	59692	
529581	59692	
529581	233349	
529582	65892	Taxi Passenger
529583	96153	
529584	94317	Nurse
529585	7697	Herself
529586	100281	
529586	198568	
529586	268881	
529586	346609	Petit rôle
529587	12041	Une auditrice
529587	286318	
529587	396893	Claire, la secrétaire
529587	397137	Mariette
529587	409454	
529588	31702	Beach Community Member
529588	99327	Hospital Receptionist
529588	295557	Hotel receptionist
529588	330681	Weathergirl
529588	392244	Naila Zalmi
529589	27725	
529589	183455	
529590	221981	
529590	322403	Chica casting
529590	339184	Mariel
529590	389132	Dama del Fuerte
529590	402158	Greta
529591	10705	
529592	102297	Owener of Tea Garden
529593	55808	Mom
529594	11031	Jude
529595	1100	Herself
529596	66817	Miriam Cohen
529596	88986	
529596	103759	Sara
529596	105110	Celeste
529596	296471	
529596	307195	Silvia
529596	310042	
529596	389780	
529596	393362	Various Characters
529596	398454	Amalia
529596	407729	Various Characters
529597	58827	Emilia Tuppington
529598	363853	Mrs. Hale
529599	331021	
529600	123522	
529600	312865	
529601	233617	
529603	148247	Alsatia Renfroe
529604	395852	(season 1)
529605	42607	
529606	130484	
529606	299405	
529607	142824	Arab girl
529607	144153	Dame
529607	251811	Anitra
529608	111143	Nina
529609	51918	
529609	108903	Cherifa
529610	175010	Herself
529611	18929	
529611	97793	
529611	115174	Mrs. Gopalkrishna
529611	319823	Madhav's wife
529611	410512	Radhika
529612	191604	Little Girl
529613	31327	Foxy Boxer
529614	389480	Silvana Maldonado
529614	404074	
529615	36679	
529615	177140	
529616	240173	
529617	110079	
529617	122451	Gäl
529617	177140	
529617	278900	
529617	358990	
529618	240173	
529619	177140	
529620	21763	
529620	80697	
529620	80698	
529620	245338	
529620	245339	
529621	28004	
529622	248546	
529623	20853	
529623	212440	
529623	221985	
529623	357523	
529623	377872	
529624	8583	
529624	14650	Sandra
529624	20030	
529624	63573	Lurdinha
529624	70053	(segment "Vereda tropical")
529624	82349	(segment "Dois é Bom... Quatr
529624	88805	Journalist-Paraná
529624	104133	
529624	112767	
529624	135269	Neusa
529624	148472	Dorothéia
529624	169876	Leonor
529624	214632	
529624	229701	
529624	234605	
529624	234633	
529624	246375	
529624	263822	
529624	269537	Sílvia
529624	295097	Silene
529624	380120	Teresa
529624	399766	Teresa
529624	400656	Isabel
529624	401678	Júlia
529624	409898	Catarina
529625	287873	
529626	6088	
529626	78518	Emira
529626	374507	
529626	391144	Seher
529627	225898	Mira, zena Amazonca
529627	229294	
529627	229924	
529627	230480	
529627	259062	
529627	312420	
529627	375392	Stanija
529627	381161	
529627	385271	
529627	386131	Lela, Vladina ljubavnica
529627	386407	Babiceva supruga
529627	387137	
529627	395497	Medicinska sestra
529627	395837	Lula
529627	397701	
529627	400015	Mira
529627	400481	Draskova majka
529627	404090	
529627	404894	
529627	405691	
529627	406112	Mama
529628	48336	
529628	142378	Additional Cast
529628	187573	
529628	294820	
529628	348745	
529628	351269	(segment "Drão")
529628	388941	
529628	394121	
529628	398884	
529628	408330	Rosário
529628	409025	Jaqueline
529629	315897	Dental Hygienist
529630	228388	Malin
529631	5412	Nina
529631	56871	Miggy Acker
529631	134556	Kate
529631	236007	Jill
529631	252912	
529631	276892	Kathy Kersh
529631	380245	Winifred Burkle/Illyria (2001
529631	408361	Melissa Jorgensen
529631	411284	Various Characters (1995-1997
529632	90272	Diana
529634	66557	Mrs. Cashman
529634	115517	Mrs. Howard
529634	364465	Woman in boarding house
529635	20	Helen Long
529635	19552	Zorah
529635	19986	
529635	41688	Ruth Yancy
529635	42393	Bob's Cousin
529635	46168	Sky-Arrow
529635	46667	Barbara Drew
529635	60246	Pert Barlow
529635	78684	
529635	93101	Society Reporter
529635	131454	Bit Part
529635	142665	Ethel
529635	143339	Ruth Alden
529635	145822	Miss Benson, a Nurse
529635	157481	
529635	163485	
529635	163557	Undetermined Role
529635	178160	Isabella Chavez
529635	183326	Dora Leroy
529635	193562	Daisy
529635	203375	
529635	203378	
529635	207287	Guest
529635	207865	Party Guest
529635	215525	Friend of Miss Fane
529635	223917	Postponed case witness
529635	230088	Belle Madison
529635	230401	Vamp
529635	233791	Nightclub Extra
529635	237818	Cousin
529635	253126	Switchboard operator
529635	275452	Jury Member
529635	282446	Polly Hope
529635	286929	
529635	293102	Betty Gardner
529635	308109	Wife
529635	310843	Matron
529635	315483	Locke's Fifth Avenue Dress Sa
529635	330384	Tart
529635	351438	
529635	356230	Extra
529635	360563	Estelle Rolland
529635	367499	Felicia Coudret
529635	372633	Party Guest
529636	231771	Emma Nash
529637	107706	
529637	130718	Professor
529638	231771	Mother-in-Law
529639	294692	American Woman
529640	230123	
529641	231771	Teenager
529642	5880	Adele
529642	65502	Erin Stowe
529642	69691	
529642	74200	
529642	90336	Barbara
529642	114281	Pamela Williams
529642	138324	Carrie Gault
529642	138724	Estelle Wainwright
529642	141753	Nora Muldoon
529642	149941	Martha Lake
529642	196959	Christine Callaghan
529642	198875	Lady MacDuff
529642	222755	Jill Spencer
529642	238637	Nurse Gloria
529642	241692	(segment "Homecoming")
529642	244871	
529642	258858	Lynne
529642	316281	Dr. Bettina Cooke
529642	331738	Tilla Vrain
529642	358310	Emily
529642	382425	Ellen Stowe (1970-1971)
529642	388031	Helen Walling
529642	394231	Alice Davenport
529642	399264	Della Street
529642	407916	Judith Wheeler (1982)
529643	10901	Neighbor Lady
529644	388155	Woef Hektor (1973-1974)
529645	118843	Mary
529647	67564	Miss Sherman
529647	68675	Sara Nicholson
529647	79757	Belle Tucker
529647	88998	Sylvia
529647	107108	Grace Trescott
529647	141557	Stella Galvin
529647	218647	Herself
529647	222738	Nurse Cantelli
529647	230330	Dorothy
529647	262746	Miss Winters
529647	272466	Miss Whalen
529647	326602	Poetry Award Presenter
529647	340499	
529647	381636	Dr. Maggie Graham (1961-1966)
529647	403281	Constance MacKenzie #1 (1972)
529648	138669	Narrator of Play
529649	12909	Ama
529649	105186	Jen
529649	270896	Pin's girlfriend
529650	176784	Hatcheck Girl
529651	128245	Lingerie salesgirl
529652	322837	Tachyon News Service Anchor
529653	40250	Shelly
529653	64941	Girl at Hospital
529653	72472	
529653	114193	Susan
529653	139236	Felice
529653	169677	Leah
529653	185336	Prudy Cass
529653	186261	Karen
529653	202395	Harriet Parsons
529653	215791	Judith Rosenus
529653	219530	Claudia
529653	222686	
529653	253350	
529653	293098	Saleswoman
529653	297791	Bonnie
529653	303680	Barbara Skagska
529653	340540	Mrs. Gates
529653	362497	Leah Abels
529653	367791	Molly Dahl
529653	372626	Sharon
529653	405546	Barbara Skagska
529653	406793	Helen Borax
529654	17749	Boylan Sister
529654	224190	Woman in Charge
529656	214488	Linda
529657	36491	Betsy Blue
529658	194940	Olga
529659	157324	St. Jude Student
529659	365909	Smiley's Girl
529660	198	
529660	112651	Matilde
529660	158758	Rosalie Pourdon
529660	252009	
529660	386742	Signora Elliot
529661	51313	Lisa Behm
529661	125279	
529661	235962	
529661	325665	Frau Stiller
529661	325897	Karin Stiller
529661	388756	Trina Röver
529662	373992	
529663	38841	Heidacherin
529663	49280	
529663	139709	
529663	141959	Cook
529663	142276	Aurelia
529663	153921	Rosl
529663	155479	Nähmaschinenverkäuferin
529663	171846	Frau Schulz
529663	179840	Bibiane
529663	230179	Frau Ihle
529663	237419	
529663	241977	
529663	290820	Marianne
529663	325445	Gerda Bleyfuss
529663	325779	Gerda Bleyfuss
529663	325792	Frau Bleyfuss
529663	347812	Frau Katzmayr
529663	352315	Nanni
529663	352398	
529663	361500	Frau Bachmayr
529663	365638	
529663	377343	
529663	377344	
529663	377345	
529663	377346	
529663	377349	
529663	377350	
529663	396613	Babett
529663	403925	Franzi
529663	411109	
529664	82160	Irene Simonis
529664	93679	Showmaster
529664	144101	Katrin
529664	144180	
529664	153757	Coras Mutter
529664	177914	Anja Ranjewskaja
529664	178074	Officer Görke
529664	178669	Mutter/Aufnahmenschwester/Sch
529664	183268	Verkäuferin
529664	189664	Brigitte
529664	219270	Judge
529664	281743	Rowena
529664	325497	Frau Böhmer
529664	325652	
529664	325938	Jutta Glogau
529664	346852	Inez
529664	347767	
529664	367191	Tina
529664	376476	
529664	390190	Carla
529664	396874	Charlotte Meißner (1993-1995)
529664	409861	Marga Rösing (1998)
529665	164467	Various voices
529666	237917	Heike
529667	275435	The Acid Girl
529668	325949	Alice
529669	78330	
529670	125233	Dörflerin
529670	259598	
529670	334563	
529670	358046	Spezereihändlerin
529671	295297	Marlene Kosinski
529672	12379	Victorine
529672	48396	Johanna Stadler
529672	67958	Bob's Mother
529672	179762	Jägers Mutter
529672	204470	
529672	353995	Margareta
529672	393878	
529673	346566	Valérie
529674	277909	Grace Shelley Chiles
529675	284504	Ellie
529675	405525	Lady Margaret
529676	265481	Herself - interviewed
529677	62957	Kid in the Living Room
529678	125899	Young Barfly
529679	217827	
529680	52204	News Presenter
529681	114100	Gayle, P.I. Secretary
529682	1168	Jaqui Wordsworth
529683	80837	Steven's Girl Friend
529684	14757	
529684	14768	
529684	19382	
529684	54323	
529684	143807	
529684	145148	Jovita
529684	153336	
529684	160587	
529684	204683	
529684	252751	
529684	259946	
529684	266441	
529684	275946	
529684	277237	
529685	211375	Mathilde
529686	363189	Girl
529687	235404	Mary Manning
529688	16642	Audition Girl
529688	215048	Patsy
529689	263741	Baboon player 3
529690	379461	
529690	380099	
529690	383471	La Hermana Fortuna Rico 'Novi
529690	396209	Panchita
529690	410303	Chela
529690	412190	Rosita Rosales
529691	63983	Nora
529691	96354	Hermana Muchacha
529691	213514	Nivea
529691	383442	Cony
529691	391570	Consuelo Alcántara
529691	391572	Verónica
529691	398217	Morelia Campos Miranda Solorz
529691	402190	
529691	403690	Tamara
529691	407851	
529692	264119	
529692	396795	Eva
529692	412283	Tábata
529693	48264	Rosie Galindo
529694	56351	
529694	143684	Lili
529694	380578	
529694	384775	
529694	401186	Various Characters
529694	401550	Various characters
529694	403687	
529695	205540	Stewardess
529696	162779	Dancer
529696	384507	Dancer
529696	387698	Carmen "La Carmen"
529697	334706	Gladys
529698	50139	Interne
529699	411714	Herself
529700	48778	
529701	298311	Emily
529702	393187	Elena
529703	335169	Renata
529704	397011	
529704	403753	
529705	44855	Leila
529706	114310	Herself
529706	326386	
529707	203213	Pregant Indian
529708	238495	High School Student
529709	131128	Gomela
529709	170067	
529709	172694	Akira Viani
529709	304478	Natalia
529709	385601	Mariana Cervantes
529709	393369	Beatriz (2002)
529709	397029	Mariana Carbo
529709	403126	Laura Salinas
529710	21583	Estudiante 1
529710	242811	Secretary
529711	86388	Boobs
529712	250747	Celia
529712	273423	Norma
529713	189301	Miliciana #7
529714	384864	
529715	110749	Girl at Toy Shop
529716	380085	
529716	385252	Doña Puri
529716	387886	Mamá Rosa
529716	398519	
529716	400942	Mimina
529716	408570	Eulalia
529717	214031	
529718	269543	
529718	285470	
529718	403884	Leonor Miranda
529718	404988	Cándida
529719	52630	
529720	122210	Police officer/Mike's gang me
529720	252823	Isabel
529721	411585	Noviça
529722	171375	
529723	18197	Italian girl
529723	20625	Extra
529724	194743	Pepe's Wife
529725	340947	Moonshine
529726	303385	
529727	67700	Mejor recluta
529728	385402	Sandra Quiñones
529729	57907	Rita
529729	72967	
529729	143763	Victoria Andrade
529729	222049	(segment El imponente)
529729	269470	Dalilah
529729	269963	
529729	287901	Paloma
529730	367792	
529731	98976	Gavilán's Daughter
529732	25745	
529732	58408	Mía
529732	64431	Nadia Carolina
529732	84067	Anita adulta
529732	111994	Nelly
529732	134437	María
529732	184847	
529732	199030	Juana
529732	247296	Clementina Paita
529732	326295	
529732	332675	
529732	356459	
529732	378377	Matty
529732	383867	
529732	387916	Marisol
529732	388648	
529732	392992	Tahia Peñailillo Paoa
529732	395867	Danitza/Lorena
529732	400419	Jeanette
529732	401481	Matilde Del Solar
529732	406852	Daniela López Domínguez
529732	408562	
529733	360180	Dancer
529734	51729	
529734	400952	J.J. (2003-)
529734	401769	Vera Muñoz
529735	92618	Mexican Villager
529736	404580	
529736	412189	
529737	379559	
529737	380103	Alicia Ramírez
529737	398915	Paula
529737	399807	Isabel Olmedo Mendoza
529737	401251	Gina
529737	404989	Dolores (joven)
529737	406058	Isabela
529737	407304	Mari Jo
529738	373960	
529739	327227	Singer in Park
529740	35831	
529741	292779	Junior Optician
529741	403011	Presenter
529742	19557	Ishya
529742	52579	Native Girl
529742	54650	Paula Dupree
529742	80516	Tanya Czoraki
529742	170825	Paula
529742	187253	
529742	194783	Native Girl
529742	277521	Luani
529742	321705	Felice
529742	323474	
529742	325112	Lea, the High Priestess
529742	381212	Amanda Smeaton
529743	286418	Daughter
529744	383491	Cristina (2000)
529745	274475	Big Foot Clerk
529746	27145	Woman in Club
529747	26064	Valda
529747	49873	Julia's Dresser
529747	75650	Grandmother
529747	151778	Paper Seller
529747	185166	Mrs. Kennedy
529747	329307	Auntie Dulcie
529747	336721	Grandma Agnes
529747	342908	Mrs. Jones
529747	407531	Nursing Sister
529748	155201	Hitwoman
529749	155201	Hitwoman
529750	7618	1st Girl at Wedding
529751	65613	
529752	224968	
529752	293742	Dühös úr felesége
529753	61060	Barbara
529754	301984	Passante chic et sympa 2
529755	58430	Lisa Chadwick
529755	185485	Alice Morgan
529755	382149	Jennifer Charles
529755	401032	Barbara Sims Dickerson
529756	192160	Shane Philips
529757	77721	Kirsty 1
529757	388321	Geri Evans (2002-2005)
529758	189993	Herself
529758	385020	Tracy Barlow/Preston (III) (1
529760	21630	Mrs. Davis
529761	271886	Movie Actress
529762	257782	Herself (Olympic High Jumper)
529763	115318	Lisa
529764	95078	Bikini girl
529765	134568	Featured Extra
529765	229506	Letty
529766	82697	Alicia
529766	248707	Darcy
529766	323460	Sit-a-You Down Hostess
529767	300344	Keeka
529768	340401	Cleaner
529769	199967	
529769	242682	
529770	61888	Medic #1
529770	78038	Pageant Girl
529770	100711	Maria
529770	106493	Hispanic Housewife
529770	203290	Willa Martinez
529770	233923	Maria
529770	242500	
529770	366137	Vesuvius communication office
529770	392130	Vampirette
529770	400369	Co-Host
529770	411802	Keesha Monroe Winters (#1) (1
529771	238015	
529772	351491	
529773	66222	
529773	263268	
529773	268993	
529773	384266	
529773	390380	
529773	392846	
529773	398856	
529773	399713	
529773	400597	
529773	402108	
529773	402266	Maria
529773	404271	
529773	406987	
529773	407639	
529773	409902	
529773	410053	
529773	412270	Marta
529774	385402	Sara 'Sarita'
529774	398816	
529775	5289	
529775	212357	
529775	231594	
529775	271079	Muñeca
529775	273864	Paola
529775	291640	
529775	328735	
529775	387479	Larissa
529775	401068	
529775	410135	
529776	295083	
529777	354618	Dóri
529778	136901	The Girl
529778	395006	Anita
529778	407232	Böbe
529779	215332	Duccia
529779	296433	Musch
529779	410477	
529780	346243	
529781	13993	Lorraine Stein
529782	38692	Witch
529783	305692	Party Goer
529784	288907	
529785	32632	U.E. Secretary
529785	80691	News Director
529785	81880	Toilet Lady
529785	113294	Nathalie
529785	196892	Nicky
529785	287727	Grace
529785	397479	Mednaut Cowan (recurring)
529785	404112	Luk-Do (Daughter)
529786	400053	Onpu's Mom
529787	125241	Wife
529787	137336	Nabiki
529787	176537	Kayra Suu
529787	298966	Scorpion
529787	348755	
529787	380473	Jun
529787	394177	Calimero
529787	394428	Kate Bush
529787	396491	Pigu
529787	399478	Gacho
529788	143850	
529788	155798	
529788	239085	
529788	313329	Mika
529788	371706	
529788	389745	
529788	399830	Hiromi Kawai
529788	404776	
529789	108319	Party Guest
529789	351808	Grover's Wife
529790	21664	
529790	63992	Bit Part
529790	109057	Cafe girl
529790	153617	Bridesmaid
529790	154630	Ethel Dobbs
529790	232344	Chorine
529790	234797	Mary's Cook
529790	241547	
529790	255167	Sally
529790	264732	Aphrodite
529790	279399	Ethel
529790	288698	Girl
529790	362365	Undetermined Role
529790	365394	Mazie
529791	35523	Jan Bogomil
529791	83910	Rachel Slaten
529791	322164	
529792	253942	Datteren
529794	88195	Old Woman
529794	97022	Mrs. Fleck
529794	134083	Madge
529794	314797	Old woman
529794	380073	Annie
529795	6869	
529795	22911	
529795	45374	
529795	49730	
529795	56157	Cherry Purcelle
529795	59406	The Leading Woman
529795	68160	Margaret, the Dean's Daughter
529795	85832	Doris
529795	94047	Kurson's Daughter
529795	95537	Isabel, the Doctor's Wife
529795	117240	
529795	131477	Mary Lane, Morton's Secretary
529795	133941	Rose, Peter's Daughter
529795	203317	Dallas Wainwright
529795	218763	Rose Miqueleon
529795	219899	Sadie
529795	308287	Edna Horton, the Daughter
529795	365032	
529796	309867	Woman in theatre
529797	31202	Herself (ABC Team)
529797	34801	Herself
529797	113472	Daisy Lloyd
529797	191016	Kate Chase
529797	277648	Susan
529797	278188	Lt. Nina Crowley
529797	372449	Herself
529797	385824	Kate Roberts #1 (1993-1995)
529797	387152	Tracy Kendall (1983-1984)
529797	388745	Daisy Lloyd
529797	397401	Lucy Cabot (1992-1993)
529797	411802	Jill Foster Reynolds Chancell
529798	41773	Nurse
529798	80605	Vicki DeWright
529798	160645	Diane McDonald
529798	344151	Delores
529799	275000	
529800	94539	Server #3
529800	366015	Coach Rolland
529802	16770	
529803	223764	Mary
529803	384783	Helen Mason
529804	65764	Handmaiden in Bible fantasy)
529804	82738	1st Girl
529804	245687	Sandra
529805	128569	Mrs. Baker
529806	73673	
529806	113477	
529806	115166	
529806	143600	
529806	213577	Presumed Chorister
529807	5904	
529807	70077	Janice Machin
529807	80682	Joan Whitelaw
529807	115705	Betty Buckett
529807	159593	Bessie
529807	193005	Dion Brooks
529807	196964	Pearl
529807	232820	Molly Clayton
529807	273978	
529807	280149	Joan
529807	301963	Ira Laennic
529807	316770	Girl
529807	318074	Marjorie Majoribanks
529807	334383	Madge Barton
529808	7198	Mrs. Prentiss
529808	20886	Aunt Martha Brewster
529808	192721	Abigail Morgan
529808	226899	Little old lady
529808	308079	Aunt Mary Collins
529809	158359	Child
529810	61773	Helen Raymond (child)
529810	158359	Mary (age 6)
529810	201007	Virginia
529810	219193	Ruth Lorraine
529810	242003	Angelina Jerome
529810	304370	
529810	330489	Alice McDowell
529811	272867	Bosnian Girl
529812	368872	Herself
529813	11450	Donna
529813	389416	Jo Schirra
529814	342459	Bingo Assistant
529815	135996	Waitress
529816	360278	Tilly
529817	265425	
529818	220007	Muriel Warren
529819	34487	Mary
529819	41847	
529819	105651	The Girl
529819	123287	Gladys Danvers
529819	206443	
529819	267344	Jenny Rose
529819	302838	Sylvia Scarlett
529819	314341	Stella Fregelius
529820	229629	Autistic Child
529821	46765	
529821	145966	
529821	296870	
529821	334267	
529822	407448	Co-Host
529823	98922	
529823	101724	Mrs. Bindle
529823	313625	Frumpy Woman
529823	396145	Court Clerk
529824	11609	Sybil
529824	38053	Ann Hardy
529824	129965	American Female Prisoner
529824	135981	Belle Madden
529824	184435	Dorrie Oliver
529824	277969	Penny Pringle
529824	365310	Ann Kimball
529825	40228	Hunter
529826	358484	Casino Waitress
529827	78168	Dancer
529827	368244	Showgirl
529828	127129	Rebecca Haster
529829	276598	Arabelle Redmond
529830	13503	Herself
529830	155922	
529830	195602	
529830	236881	
529830	292188	Rebecca Roseenstein
529830	302569	Ashley
529830	324440	
529830	333069	Louisa
529830	340897	
529830	361739	Mildred Stanton
529831	318617	
529832	223471	
529833	376586	Barman's sister
529834	5698	
529834	8589	
529834	9490	
529834	21986	
529834	22047	
529834	22055	
529834	27617	
529834	33324	
529834	38444	
529834	38449	Handan
529834	38506	
529834	38637	
529834	39048	
529834	44598	
529834	51318	
529834	53876	
529834	83321	
529834	86599	
529834	86697	
529834	86949	
529834	98677	
529834	121698	
529834	124216	
529834	136762	
529834	138105	
529834	138942	
529834	156222	
529834	163111	
529834	163140	
529834	172013	
529834	172182	
529834	175385	
529834	175659	
529834	175850	
529834	177876	
529834	180327	
529834	182868	
529834	232619	
529834	289287	
529834	294126	
529834	301811	
529834	303605	
529834	307160	
529834	308427	
529834	310063	
529834	320472	
529834	326990	
529834	342162	
529834	348021	
529834	349230	
529834	370365	
529834	370628	
529834	370771	
529834	374151	
529834	374319	
529834	378236	
529834	378316	
529834	405465	
529835	21991	
529835	22011	
529835	31011	
529835	110402	
529835	125343	Naciye, Hidir's wife
529835	138952	
529835	172025	
529835	172182	
529835	173783	
529835	176689	
529835	178411	
529835	289321	
529835	357559	
529835	378271	
529836	183985	Mare 2
529836	328323	Conxa
529837	158774	Firuza
529838	44526	Mujer
529838	96291	
529838	136865	
529838	340227	Woman
529838	342021	
529839	147158	
529839	211073	Rasch
529839	230247	Wienerin
529839	325381	Margit
529839	361034	
529839	365638	
529839	403795	
529840	222226	Kate
529841	94711	Geisha
529842	195451	'Jig-a-boo' singer
529843	130994	
529843	357570	Roswitha
529844	12854	Teacher Erji Marion
529845	138907	Gast in Uschis Club
529846	284224	Une lycéenne
529847	89345	
529848	23750	Une pensionnaire de la Maison
529849	101346	
529849	289894	Schoolgirl
529850	258758	Herself
529850	334624	Herself
529850	347652	
529851	94250	Une femme
529852	381580	
529853	55619	Amy
529854	388091	Sophie
529855	124017	Kate's Co-Worker
529855	314358	Young Stella's friend
529856	23635	
529857	97070	Claire
529857	110148	Marie
529857	196287	Bernard's Wife
529857	228202	La secrétaire médicale
529857	288900	L'infirmière
529857	384209	Philippine de la Craye
529858	2968	Madame Moreau
529858	5900	
529858	17818	
529858	23804	Florine
529858	23832	Christine Dubreuil
529858	25112	
529858	28510	Madame le ministre
529858	65781	Gwendoline
529858	68331	La journaliste
529858	70192	Claire de Vargas
529858	82508	La mère de Delphine
529858	84616	Dorothée
529858	88177	Amélie Cosset
529858	91166	
529858	96021	Femme étude
529858	96104	Hélène
529858	99405	Le Guennec
529858	101225	Nicole Duquesnoy
529858	108895	Mme Berthelet
529858	113114	Irène Meyer
529858	119423	Eva De Berg
529858	119792	Juliette's Mother
529858	136657	
529858	157235	
529858	166127	La vendeuse de vêtements
529858	200965	L'assistante d'Antoinette
529858	217167	Hélène
529858	238864	Annabel
529858	248717	Martine Wurtz
529858	258113	
529858	301997	
529858	321284	Salesperson (Hermes)
529858	337431	L'aubergiste
529858	340143	Sandra
529858	345033	Mme Fauconnier
529858	354026	Marie-Christine
529858	357852	Mrs. Vierhouten
529858	384755	Mme Margairaz
529858	392911	Directrice
529858	395269	
529858	397195	Mme de Longueville
529858	406030	Blandine Olivier (1996-)
529858	410074	L'avocate de Victoire
529859	97731	
529859	202418	
529860	279335	Slate Girl
529861	133068	
529861	410211	Flore
529862	303492	La prompteuse
529863	24718	
529863	31879	Nichole
529863	68356	Caroline Clement
529863	157305	Madame Saint-Ramé
529863	189830	
529863	211291	Djalma
529863	231304	Arabella de Chaville
529863	246188	Violette
529863	251541	L'amie de Dominique
529863	264524	La mère de Josée
529863	269539	
529863	294770	Françoise Renaud
529864	296047	Starica III
529865	347652	
529866	127824	Barbara
529867	55619	Miranda
529868	214167	Gloria
529869	347432	
529870	105779	Zura
529871	178459	Billio
529871	242898	
529871	285318	Chloi
529871	380779	Lena
529871	393396	
529871	408830	Irini Haritou
529872	266091	Toi
529873	407264	Herself
529874	47065	
529875	357639	
529875	374727	
529876	35865	Hirsová
529877	244287	Alzbetka
529878	226733	Zrzka
529878	257723	Cja Machová
529878	257725	Cja Machová
529878	324566	Cetarka Babincáková
529879	35838	
529880	234665	La femme du rêve
529881	246880	
529882	46082	
529882	58205	
529882	201355	Katrina
529882	259171	Grochalka
529882	280400	Verona´s mother
529882	305821	
529882	322069	
529882	324127	Farská hospodyne
529882	349322	Rebrová
529882	374216	
529883	356569	Vassilisa
529884	88519	Simpson
529884	89813	Young Mother
529884	262198	Clerk
529884	378560	Danuta
529884	401860	Zoska
529885	75664	Julie Bardot
529886	197846	
529887	398807	López
529888	17918	Hanna
529888	119145	Witwe
529888	144080	Liesl
529888	290266	The Evil Queen
529888	290791	Ilonka
529888	308819	
529888	325398	
529888	325497	
529888	404169	
529889	290145	
529890	242615	
529891	3966	Old Lady
529891	86242	Mrs. Beierle
529891	102553	
529891	134903	Schwester Cecilia
529891	209918	Mrs. Karpinski
529891	344997	Seine frau
529891	392086	
529892	163688	
529893	189641	
529894	84522	Dolores
529894	89401	
529894	161817	Mariana
529894	199314	
529894	268852	Maria
529894	296117	Dora
529894	352127	Soninha
529894	355886	
529894	387901	Joelma
529894	391674	Marlene
529894	397522	Diana
529894	401897	Isabela
529894	402539	Lúcia
529894	407251	Gostosona
529894	408381	
529894	412258	Maria Laura
529895	319936	Slaney's wife
529896	280740	
529897	348203	
529898	5913	Herself
529899	14947	
529900	46456	Jill
529901	386633	Nira Horzynska
529902	80189	Sexo servidora #3
529903	198993	
529904	51039	Alicja
529904	95700	Ludwisiowa
529904	173064	
529904	180702	
529904	282755	
529904	311391	
529905	24828	Herself
529905	24829	Herself
529906	388419	Ernestine (segment "L'étreint
529907	97325	Elektra
529907	97338	Elektra
529907	387279	Elektra (1999-2001)
529907	388101	Elektra (1999-2000)
529908	70822	Beautiful Girl
529909	10412	'Hang the Bastard' Dancer
529909	243436	Orgazmo Woman #2/Orgazmo Old 
529910	125682	
529910	254240	
529910	341157	
529911	164550	
529911	216126	Store Manager
529912	56943	Teresa
529913	101752	Hildegard Knies
529913	395667	Elena Sarikakis (1985-) (orig
529914	387390	
529915	57777	
529916	180612	
529916	252161	
529916	267811	
529916	328221	
529916	383720	Mileva
529916	390909	
529916	395833	Paulina ... kapetanova suprug
529916	397988	
529916	402765	Meri Merimenka
529916	404207	
529916	411914	
529917	192887	Kitty
529918	305148	Maria
529919	89592	
529919	192625	
529919	217275	
529919	280377	
529919	340431	
529920	16199	Nadja
529920	25728	
529920	44587	Hanka
529920	48008	
529920	57211	Secretary Zuzana
529920	147225	
529920	147226	Andula
529920	155649	Mrs. Laura Cheveley
529920	162021	Marta Vlachová
529920	175030	Eva
529920	188869	Kamila
529920	198230	
529920	198233	Vera
529920	198582	
529920	213843	Zita Gráfová
529920	216574	
529920	223579	Herself
529920	224959	Petra
529920	227873	Mother Dása
529920	229232	Alice/Blanka
529920	234257	
529920	247950	
529920	257137	Marie (segment "Vrazedny útok
529920	259186	Betsy Hardingová
529920	263952	Princess Elenka
529920	267951	Alzbeta
529920	284408	
529920	305815	
529920	320730	Bára
529920	326292	
529920	344040	Asa, nurse
529920	350988	
529920	392081	
529920	392220	Eva Adamová
529920	399901	Hroudová
529920	404278	Eliska
529921	60102	Marie
529921	175012	Woman at interrogation
529921	179236	Actress
529921	180574	Schmeligová
529921	181532	Postwoman
529921	246341	Kadlecová
529921	247529	Sousková
529921	254365	
529921	266425	Dr. Králová
529921	270725	Runa
529921	282758	Mistress of Whorehouse
529921	283688	Witch
529921	292977	
529921	304130	
529921	311581	
529921	315929	Jana - Králová (segment 3)
529921	374397	Lucka
529921	375956	Head physician
529921	378524	Irena
529921	384131	
529922	370113	Noisy's Sister
529923	343979	
529924	134481	Annie Hart
529924	292167	Cragg's Daughter
529925	67413	Lola, Duke's Girl
529925	70484	Bit Role
529925	144453	
529925	206355	Pretty Girl
529925	206867	Mary Lou
529925	218783	Miss Mink
529925	239515	College girl
529925	245589	Officer Candidate's Wife
529925	262310	Girl on bus tour
529925	323070	
529925	338287	Receptionist
529926	289668	Wedding Guest
529927	214069	Maid
529927	289568	Nun from orphanage
529927	331407	Bit Part
529928	114163	Icecream-cone Girl
529929	358609	
529930	190972	Viper/The Swimming Girl/The D
529930	193776	Natalie
529931	64072	4th Maiden
529932	141030	Alicia Headley
529934	80833	Marta Thomas
529934	134046	Gwen Stacy
529934	224022	General's Daughter
529935	85860	Nurse
529936	111791	2nd Girl
529937	379925	Herself
529938	93217	Co-ed
529938	282563	Susie
529938	316802	
529939	56871	Brenda Strong
529939	74011	Kathryn Merteuil
529939	93959	Leslie Miller
529939	170620	Ashley
529939	185624	Alexis
529939	266577	Marvel Ann
529939	267105	Alex
529939	294980	Kate
529939	304560	Doreen
529939	308051	Amy
529939	313122	Elise
529939	386908	Alice
529940	380012	Herself - Finalist #10 (2004)
529941	19178	Diane
529941	41214	
529941	195640	Night Cashier
529941	252825	Sports Connection Member
529941	267174	Waitress of the Gas Station
529941	277038	Reporter
529941	278717	Cindy
529942	110971	
529942	194408	
529943	153113	
529944	366575	Female Cop
529945	391558	Valerie
529946	19741	Female Paramedic
529946	411517	Billy's Mom
529947	23210	Bathing Beauty
529947	143191	Glamazon
529947	297974	Lorenz
529947	331421	Girl
529949	215873	
529950	107930	Mary Coates
529950	146827	Fantasy Annoyed Woman
529950	283953	Groupie Interviewee
529951	326755	Storm Cargirl #2
529952	302283	Sim
529952	302290	Sim
529952	319063	Larua
529952	350467	The Woman
529954	26352	Teddy
529954	164587	Inquisitive Kid
529954	400849	CeCe Peterson
529955	115642	
529956	5329	Joanna Parsons
529957	347403	Lady in cab
529958	238256	
529959	338981	Herself
529959	338982	Herself
529960	233929	
529961	134726	Christina
529962	13596	Lovey Kravezit
529962	38588	Claudine Wald
529962	84960	Lynn
529962	128246	Girl #2
529962	137964	Ivory
529962	151672	Cassandra
529962	214439	Board Member #1
529962	222797	Lovey Kravezit
529962	230675	
529962	282463	Cora
529962	291687	Karin
529962	301558	Lovey Kravezit
529962	336326	Carla Hayes
529962	366390	Jo Ann Wallace
529962	386947	TV Hostess (12/19-23/1966)
529962	390048	Treasure
529962	390774	Vivian Cornell
529962	399552	Lorraine Codd
529963	16668	N.D. Pedestrian #1
529963	39840	Iroquois Torture Woman
529963	41288	Double for Marie
529963	289473	Punk #1
529964	133744	Herself (TV Presenter/Host)
529964	390586	Herself (TV Presenter/Host)
529965	12256	Erica Boyer
529965	22849	Carol Singleton
529965	26471	Elizabeth Thomas Brewer
529965	39252	Jennifer
529965	46813	Pat
529965	54749	Terry
529965	74674	Alexandra Lopez de Pulido
529965	79440	Mae
529965	80015	Abby
529965	80639	Sarah Bracknell
529965	106739	Kitty Preston
529965	113853	Narrator
529965	114127	
529965	124340	Nora
529965	133623	Party Guest
529965	140075	
529965	160061	Julia Newell
529965	161744	Elizabeth Driscoll
529965	165277	Beverly
529965	175795	Lisa
529965	183235	Pagan Tralone
529965	183239	Pagan Tralone
529965	185314	Anna
529965	191252	Grace Danet
529965	194525	
529965	199539	Elizabeth James Tivey
529965	203343	Jane
529965	203774	Stacey Bishop
529965	222718	Vera Franklin
529965	222815	Nurse
529965	229988	Sarah Dacos
529965	250955	
529965	265083	
529965	299476	Rose
529965	308146	Sally Norman
529965	308654	Olive Deems/Gloria Chambers
529965	310616	Diane Dupuy
529965	317451	Cameo appearance (in 'Stuff' 
529965	318669	
529965	327227	Jeannie
529965	328553	Nancy (Invasion of the Body S
529965	345686	Virginia Marshall
529965	349022	Marion Edwards
529965	364195	Diane Fowler
529965	399918	Cynthia Crackerby
529965	401427	Angie Varnas (Episode: "Songs
529966	223752	Young Missy
529967	220840	
529968	223066	Zaneeta Shinn
529969	126648	Postal Clerk
529970	51960	Sexy Girl #1
529972	191782	
529972	256612	Newsreader
529973	27298	Linda Barrett
529973	36841	Dancer
529973	41087	Collegian
529973	77820	Polly Adams
529973	105077	Dancer
529973	124775	Lucille
529973	150797	Chorus Girl
529973	155293	Helen
529973	190206	Dancer
529973	195368	Dancer
529973	230622	Dancer
529973	278042	Sally
529973	281878	
529973	286154	Dancer
529973	303146	Cynthia
529974	344547	Secretary
529975	65378	Dance Teacher
529976	191495	Reporter #1
529977	215623	
529978	119357	Mrs. Barb
529978	166073	Rivka Rabinovitch
529978	166879	Patty Bernstein
529978	247565	Cynthia
529978	335791	Carrie's Mom
529978	406302	Ms. Loomis
529979	411784	Regular
529980	126558	Customer
529980	192248	Roxanne
529980	243227	Captain Judy Trepanier
529980	384435	Gina
529981	7913	
529982	313269	
529983	410688	Nitro Girl Chiquita (1999-200
529984	1220	
529984	220487	
529984	242556	
529984	306923	Herself (Chloe Adams)
529985	14081	Diana
529986	272026	Extra
529987	318	Chrissie
529987	317844	Dr. Chappell
529987	363469	Sandra
529987	365888	Woman
529987	399849	Katherine
529988	169410	Sean's Mother
529990	34611	Herself
529990	192840	Herself (Columnist)
529990	301701	Herself
529991	6147	
529991	19134	
529991	21252	
529991	24211	
529991	37256	Justyn Reed
529991	39268	
529991	45496	
529991	45795	
529991	58169	Molly Culpepper
529991	62861	Betty
529991	65481	Phyllis Andrews
529991	67707	Wanda (his ward)
529991	67738	
529991	76549	Bobette Audrey
529991	84978	Martha Joyce
529991	88469	Juanita Sánchez
529991	95722	Janet Butler
529991	100859	Mary Lee
529991	107402	
529991	109506	Fay Colleen
529991	128297	The Girl
529991	130751	Mercedes McDonald
529991	133367	Nan Bennett
529991	133697	Ethel
529991	141371	Vivian Breed
529991	142304	Helen Lawrence
529991	143964	
529991	149137	Patricia Carson
529991	161887	Leila Templeton
529991	171289	Marianne Jordan
529991	175802	Ann Blair
529991	176894	Ruth Emory
529991	178026	Marion Weston
529991	178362	
529991	187194	Minnie O'Reilly
529991	197504	
529991	197656	Margaret Lampton
529991	203314	Helen Raynor
529991	203792	
529991	206412	Viola Helmesley Duxbury
529991	210709	Agnes Prescott
529991	215356	Phyllis Burton
529991	215747	Claire Mathers
529991	217948	Lucy Hegan
529991	224632	Columbine
529991	231929	Clia Milton
529991	237000	
529991	238670	
529991	239078	Betty Faine
529991	246704	Eunice Whitney
529991	252126	Barbara
529991	277967	Lenore Anderson
529991	289574	Beatrice Forbes
529991	291810	Maud Brewster
529991	300171	
529991	309580	
529991	310813	Alice Hall
529991	310871	Avice Milbrey
529991	311335	Ethel
529991	314477	Helen Durant
529991	362628	Kate O'Hara
529991	362993	Lucy Bostil
529991	363426	Felice McTavish
529991	363810	Ella De Fries
529991	364856	
529991	371038	Nona Deering
529991	372871	
529993	135727	Yahoo
529994	73319	Zackery's Concubine
529994	248884	Cindy
529995	363447	Mrs. Rowland
529996	94488	Marquise De Crenay
529997	142985	Consuela
529998	312977	Julie
529999	388088	Herself - Reporter
530000	394281	
530001	13953	Coed
530001	82075	Priest's Assistant
530002	41953	Tina
530003	99278	Hannah
530004	215507	Tinka Woods, Miss Missouri
530005	270389	Stephanie
530006	132475	Karina
530006	148460	Girl #2
530007	161982	Hat Check Girl
530007	178979	Princess
530008	90869	Victim
530009	365451	School Secretary
530009	372417	Diane
530010	375250	Lisa Ryder
530011	21792	
530011	69309	Alice's mother
530011	84402	
530011	92502	Mrs. Lanyon
530011	145835	Mrs. Rufus Kayne
530011	151736	Mother of the Groom
530011	206429	Mrs. Francis
530011	213470	Mrs. Trevor
530011	219884	Mrs. Walton
530011	224052	Mrs. De Veaux
530011	250392	Claire Morrell
530011	255082	Mrs. Peter Pett
530011	269389	Mrs. Evans
530011	273855	Mrs. Somerset
530011	283433	Mrs. Moore
530011	312278	Mrs. Pugfeather
530011	318709	Mrs. Anderson
530011	362946	Mrs. Gardner
530011	372168	Mrs. Normand
530012	2380	Mrs. Potter
530012	7413	Mother at Rehersal
530012	7512	Reception Nurse at Hospital
530012	26628	Bit Part
530012	26776	Mrs. Brown, Congratulator at 
530012	30922	Woman
530012	32561	Betsy
530012	34977	Mrs. Cameron
530012	36998	Hannassey woman
530012	45383	Mrs. Allen
530012	47358	Anna, Judy's Governess
530012	47566	Mrs. Trail
530012	48628	Mrs. Adams
530012	52661	Jenny's Mother
530012	54471	Nurse
530012	55055	Dr. Rhodes' Nurse
530012	55624	Carrie's mother
530012	61567	Nurse
530012	64505	Bolger's wife
530012	69237	Nurse
530012	73230	Second Fortune Teller
530012	73789	Emmy (tourist's wife)
530012	78935	Mrs. Mary Abbott
530012	84846	Mrs. Marcy
530012	92245	Miss Hopkins
530012	107697	Cleaning Lady
530012	107845	Stella's Neighbor
530012	112305	The Young Woman
530012	114157	Mrs. Dunn
530012	114851	Giraud's Cousin Sybil
530012	117926	Mrs. Winfield
530012	118543	Mrs. Fox
530012	120639	Mrs. Benziger
530012	124767	Nurse
530012	129231	Fruit Stand Proprietress
530012	131464	Mrs. Pierce
530012	133949	Sam's Wife
530012	135964	Mrs. Stotheby
530012	136509	Stage Mother
530012	140862	Housewife
530012	148391	Nurse
530012	150309	Ma Crawford
530012	159914	Emma Wilson
530012	167095	Mrs. Kovak
530012	168285	Nurse
530012	168672	Sarah Dark
530012	175175	WAC seamstress #2
530012	177019	Ruthie O'Reilly
530012	183664	Deaf Annie
530012	186117	Bessie Clary, Laura's Maid
530012	196998	Maid at Ethel's
530012	203175	Mrs. Hopkins' maid
530012	204883	Mrs. Crawford
530012	215658	Mrs. Johnson
530012	218471	Mrs. Kitty Maynard (Maria's h
530012	224086	Mrs. Rodwell, Mason's Houseke
530012	233044	Jacqueline, Swana's maid
530012	234220	Mrs. Stone
530012	234471	Complaining Woman
530012	235515	Mrs. Kelton
530012	237584	
530012	237618	Claudette
530012	240457	Florist
530012	241237	
530012	241349	Woman Behind Hope at Baptism
530012	245485	Farmer's wife
530012	246603	Emily Burroughs
530012	251785	Mrs. Prendergast
530012	252286	Mother in Stalled Car
530012	254590	Dr. Trykel's associate
530012	265265	Carpenter's wife
530012	285782	Widow Davitt
530012	286808	Spectator Responding to Dagon
530012	294357	Martha
530012	298438	Elvy
530012	302467	
530012	303379	Mrs. Goul
530012	306466	Lt. Irma Emerson
530012	327685	Slave Woman
530012	329593	Millie
530012	330097	Aunt Martha
530012	331369	Helen March
530012	334416	Payne's secretary
530012	340570	Henry's Mothers
530012	345860	Bucket Brigade woman at well
530012	347731	Nurse
530012	348072	Mrs. Paully
530012	360488	Bellevue Hospital Nurse
530012	363745	Mrs. Farrell
530012	366353	Ma Alexander
530012	367919	Miss Atkinson
530013	1088	Stella Leroy, Night Club Sing
530013	7961	Singer at Welcome Home Party
530013	36970	Mrs. Donogan, Eddie's Wife
530013	154885	
530013	273781	Undetermined Role
530013	276362	Bit Role
530013	302870	Shirley Allen
530014	40187	Martial Arts Kid
530014	75775	Amanda
530015	6862	Flo
530015	18828	Miss Olsen
530015	34701	Mabel Cantwell
530015	45370	Carolyn
530015	47385	Herself
530015	52442	Frederica Larson
530015	64070	Fairy Godmother
530015	70470	Massage Parlor Owner
530015	74202	Tessie
530015	102591	Mae West
530015	102592	Herself
530015	105420	Flossie
530015	109472	Connie Burton
530015	140179	
530015	148897	Merle McGill
530015	163462	Monica Crump
530015	165101	
530015	174512	Joanne Huston
530015	196181	Barbie (Barbara of Seville)
530015	196405	Rebel Davis
530015	199514	Irene Chase
530015	201424	Francine Sherman
530015	243954	Trina Yale
530015	261062	Mrs. Kennedy
530015	270521	Leslie
530015	299742	Hazel
530015	300160	Cameo appearance (Wife of man
530015	308037	Herself/Monica Crump
530015	319546	Joyce
530015	346178	Irene Wilson
530015	348336	Mrs. Tempest Stoner
530015	384037	Herself - Co-Host
530015	387753	
530015	387754	Regular
530015	391411	
530015	404747	Flora Cato
530015	407396	Herself - panelist (1960-1961
530015	407470	Ruby Miller
530016	31665	
530017	215746	McDonald's Secretary
530018	148954	Mrs. Hand
530019	296736	Young Narina
530020	316953	Madame Bonneau
530021	185771	Kate
530022	47275	Margaret
530023	26492	Firell
530023	113306	Dr. Kalarjian
530023	131225	Martine
530023	136277	Maid of Honor
530023	304529	Claremont's Secretary
530023	338277	Ann
530023	346224	Reporter
530023	407421	Susan Parker
530024	17751	Tessie
530025	359532	Woman At Well
530026	50794	
530028	116360	
530029	347982	Herself
530030	1272	
530030	34776	
530030	87370	
530030	108649	
530031	30672	Herself
530031	277503	Herself
530032	146333	Yari
530033	20625	Extra
530035	327976	Miss Parker-Ferguson
530036	228182	Liza
530037	223394	Mrs. Bligh
530037	301533	Lilian, Cyril's sister
530038	337833	
530038	357852	La fille station-service
530039	81441	Irma Middleton
530039	319716	
530041	163325	Mrs. Butts
530042	23927	Herself - Audience member
530042	36854	Herself
530042	77678	Herself
530042	381910	Herself (Series 2) (2001)
530042	395991	Herself - Hair & Beauty Advis
530045	391469	Eva Vosselmans
530045	409178	Cynthia Perla
530046	35092	The Girl
530046	73235	Michelle
530046	82106	Dawn Woods
530046	149676	
530046	233990	Prof. Kay Zorn
530046	274353	Shirley Tejas
530047	20091	Back Up Vocalist
530047	166940	Hamptons Party Guest
530048	28938	Gabrielle Gerard
530049	316953	Schoolgirl
530050	33192	Herself
530050	241418	Herself
530050	273284	Herself
530051	16895	First Pretty Nurse
530051	30957	Vicki Vale
530051	48278	Helen Paige
530051	66627	Julie Randall
530051	128221	Nora Malloy
530051	135822	Jane Darnton
530051	135962	Laura Burton
530051	140862	Nurse Scanion
530051	150904	Nina
530051	183792	Photographer
530051	186338	Margie Kendal
530051	186397	Marjorie 'Maggie' Bradley
530051	194775	Marjorie Elmore
530051	207420	Nancy Marlowe
530051	231964	Lotus
530051	245360	Kathy Martin
530051	283394	Miss Webster
530051	283855	Josephine Fremont
530051	286197	Salome girl
530051	292533	Peggy
530051	305771	Susan
530051	306563	Smoker
530051	316593	Secretary
530051	330836	Chorus girl
530051	337663	Dorothy Jackson
530051	361779	Judy Gordon
530052	17796	Clair Forsyth
530052	43372	
530052	79727	Marie
530052	80434	Kevin's girlfriend
530052	104338	Carrie
530052	109857	Dr. Megan Eisenberg
530052	114364	Ruthie
530052	120660	Ruth
530052	138683	Joy Jordan
530052	154427	Evans
530052	173516	Nettie Bolt
530052	187708	White Faced Woman #2
530052	190482	Randi Jost
530052	221306	Ruth Hale
530052	222292	Dr. Phyllis Sheeler
530052	223026	Irene
530052	243150	Mona
530052	278824	Meg Bradley
530052	308684	Eleanor 'Elna' Penleric
530052	323563	
530052	329088	Mary Joan
530052	355670	Suzanne Maloney
530052	367964	Oola
530052	372372	Sydney Anne
530052	384336	Reeva Eidenberg
530052	389275	Dr. Melinda 'Mel' Karnofsky C
530052	395490	Sara Scott
530052	403147	Karen Lukens
530053	158897	Third Nurse
530054	273872	Mrs. Whittle
530055	65464	Wrong Mom
530055	80560	
530055	80563	Cleaning Woman
530055	209527	Grandma
530055	218799	Old Lady
530056	393261	Herself
530056	407076	Herself
530057	303522	Dancer of Ballet West
530058	362984	P.J.'s Dinner Guest
530059	79990	Iris
530059	149828	News Reporter
530059	157737	Alicia
530060	380290	Toni Goodridge
530061	296260	
530062	295853	Herself
530063	170608	Mrs. Lace, the Housekeeper
530063	218471	Rancher's wife
530063	219917	Maid
530064	4682	
530064	47970	Sally Smith
530064	55718	WPC Harrison
530064	68005	Jan Kennedy
530064	69845	Miss Brent
530064	71569	
530064	73901	Sally
530064	81241	Evelyn Connors
530064	88857	Jill
530064	88882	Genevieve
530064	95478	
530064	117351	
530064	134074	Ann Vincent
530064	195866	
530064	241459	Judy
530064	241810	Shirley Harcourt
530064	245134	
530064	264907	Prudence Greenslade
530064	265740	Mrs. B.M. von Crispin
530064	289383	Julie Dawson
530064	350114	Joy
530064	364819	Shelley Stayman
530064	371087	June Wilson
530064	372627	Judy
530064	388976	Mary Meredith (the nurse)
530064	398726	Jill (Series 2) (1958)
530065	49893	Herself
530066	302121	Commune member
530067	245051	Michelle
530067	387247	Liza Moon (2003)
530067	395924	Andie Green (2000-2002)
530067	398555	
530068	61286	Sandy, Casting Director
530069	32052	Ruby
530069	32624	Julia Hyde
530069	37002	Layla Maloney
530069	37035	Grace
530069	38340	Monique
530069	48217	Donna Marie
530069	59858	Alyssa Jones
530069	69290	Christina
530069	70424	Beth Ward
530069	80050	Simone Kerr
530069	92453	Squirrel
530069	93025	Hippy Chick
530069	99851	
530069	105889	Linda Tuskin
530069	132768	
530069	135967	Daphne
530069	139745	Chesney Cort
530069	158433	Clarissa Huston
530069	165977	Alyssa Jones
530069	201631	Herself
530069	202490	Gwen Turner
530069	212687	Anita
530069	240734	Sarah (segment "Reaching Norm
530069	265527	Louanne
530069	265916	Shirley
530069	273185	Sarah
530069	275462	
530069	284526	Monica Dice
530069	304752	Lauren
530069	404645	Darby
530069	408551	Mona Mullins
530069	410229	Mona Mullins
530070	37033	Becky Rudolph
530071	124340	Trudi at 2 Years
530072	239750	
530073	302121	Commune member
530074	55624	Bride
530075	25443	Nadine MacDougall
530075	26840	Herself
530075	33941	Laura Baile
530075	39852	Mrs. Miller
530075	47017	Chris Paterson
530075	56895	Martha
530075	58875	Emma Hussey
530075	66650	Ann Rorchek
530075	67412	Ann Green
530075	70304	Margaret
530075	72860	Herself
530075	72863	Kay
530075	73687	Ann Hayden
530075	77172	Polly Medford
530075	109500	Ann
530075	112207	Nurse Hannelord
530075	113478	Sue Kipps
530075	118303	Kathy Conway
530075	118811	Capt. Jane Parker
530075	129772	Dorothy
530075	130689	
530075	131766	
530075	135909	Pauline Howard
530075	147865	Sally Rousseau
530075	149610	Lorna Hardin
530075	149966	Ann Green
530075	176824	Mother
530075	185420	Mrs. Anderson
530075	186398	Rosie
530075	194419	Sheryl Gregory
530075	203073	Beth Anders
530075	206529	Ann
530075	208940	Elaine Forrester
530075	215909	Ann Conant
530075	241309	Judith Watrous
530075	264882	Dr. Kay Lambert
530075	266566	Dr. Laura Scott
530075	273003	Helen
530075	274412	Starlet
530075	303429	Ellen Gallagher
530075	303433	The mother
530075	304558	Dee Pauley
530075	304993	Clover Doyle
530075	313051	Valerie Kendrick
530075	324911	Ruth Nelson Campbell
530075	332440	Vera Radford
530075	337329	Dora Paxton
530075	338800	Myra Wade
530075	346352	Dr. Monica Powers
530075	349999	Joan Simon
530075	361644	Ann Greene
530075	365351	Hannah McCulloch
530075	366193	Raquel Noriega
530075	383385	Paula Denning (1983-1987)
530075	384570	Ann Rorchek
530075	389858	Denise Wilton (1968)
530075	390607	Queen
530075	393540	Martha Howard (1971-1972)
530075	401646	
530075	411652	Amanda Eaton
530076	253248	Groupie
530076	374638	Angvisa Girl
530077	3141	Dolores Castleback
530077	7818	Rose Edgerton
530077	26385	Aggie
530077	34866	Leslie MacLeod
530077	37105	June Dant
530077	38549	The miner's wife
530077	44549	Edith Langwell
530077	48272	Annette Bossert
530077	72204	Lady Evelyn Bazelhurst
530077	75655	Muriel Clemm
530077	88156	Mrs. Cameron
530077	117448	Madame de Clermont
530077	125875	Lady Mercy Covington
530077	142313	Miss Cadwell
530077	145615	Joshua Stevens' widowed daugh
530077	160037	The Nurse
530077	191687	Sylvia Castle
530077	203003	Norma Graves
530077	244378	His wife
530077	247299	Fanny Minafer
530077	254577	Lilavan MacLeod, The Girl
530077	261687	Marian Caldwell
530077	267594	Olga
530077	270763	Gwendolyn
530077	276374	Judith Wingate
530077	277985	Masked rider/Millie
530077	280485	
530077	299029	Margaret Kenyon
530077	299729	Lou Maxwell
530077	301939	Daphne Grenvil
530077	301961	Anne Kepple
530077	312323	
530077	316766	
530077	340736	Ruth Merritt
530077	345734	Sylvia Kingston
530077	349863	Lucille Haines
530077	353288	Olivia Primrose
530077	364455	
530077	367424	Marie
530078	2833	Katherine Borden
530078	20087	Carol
530078	20249	Elsie
530078	26615	Eleanore Pierce, aka Jane Smi
530078	39428	Linda Connor
530078	41005	Phyllis Hamilton
530078	50074	Dorothy Walker
530078	142637	Girl
530078	152721	Fleur's Companion
530078	155838	Miss Corbett
530078	161945	Peggy
530078	170851	Grace
530078	196298	Susan
530078	209636	Gloria Mitchell
530078	214149	Betty
530078	216822	Salesgirl
530078	217430	Molly
530078	272961	Jo Ann Rawlings
530078	284916	Mrs. Brown, Young Mother
530078	303901	Lissa Ryder
530078	304320	Mary Blake
530078	329605	Mrs. Elizabeth Ralston
530078	346908	Katy
530078	372360	Girl
530079	224691	Dancer
530080	79272	Dater
530080	82519	Young Marilyn Fitch
530081	383790	Herself - Presenter
530081	394248	Herself - Host
530081	395782	Herself
530081	395978	Presenter
530081	401177	Herself (2001-)
530081	404951	Herself - Presenter
530081	408165	Herself - Chairman
530081	409140	Herself
530081	410173	Herself
530082	72912	
530084	201569	Herself
530084	264095	Tara Palmer-Tomkinson
530084	391759	Mickie Hendrie: Midwife (2004
530085	209310	Receptionist
530086	407374	Renee Aretha Jones
530087	149258	Show Girl
530087	186841	Sheila
530087	310648	Darlene
530087	326602	Linda Turner
530088	49441	Denisha
530089	315302	Juniors Friend
530090	145630	Herself
530091	22955	Stephanie Cooper
530091	40140	Teenage Girl
530091	61860	Natalie
530091	80931	Mittie Roe
530091	107891	Sandy Field
530091	363449	Alice
530093	393821	Court Reporter
530094	310303	Lollipop Girl #2
530094	381091	Herself (eliminated round 3)
530095	338733	Nurse
530096	96721	OWF Girl with Dog
530097	171079	Pregnant Woman
530097	253047	Tennis Player
530098	107922	Herself
530099	408649	Lee
530100	289228	Night Nurse
530101	36883	
530101	127616	
530101	129441	
530101	279229	
530102	188783	
530103	18635	Jack's Mother
530103	23536	Gracie
530103	31693	1st Older Lady
530103	48075	Mama Kowolski
530103	80924	University Teller
530103	95790	Landlady
530103	101065	
530103	101692	Theatregoer
530103	117558	Sonya
530103	131348	Beatrice
530103	137453	Bitsy's client
530103	137845	Estelle
530103	141730	Rosa
530103	142754	Indian Woman
530103	144376	Italian Woman
530103	152947	Blumenthal's Secretary
530103	166879	Tillie
530103	187977	Mama Meyer
530103	192100	Old Lady at Game
530103	195586	Mrs. Goldfarb
530103	200521	Donnie's Old Neighbor
530103	201349	Mrs. Stein
530103	205658	Marie Bianca
530103	250527	
530103	264581	Mrs. Goodman
530103	276202	Grandmother
530103	318783	Grandma Eakian
530103	320825	Woman
530103	321367	Aunt Frida
530103	334587	Selma
530103	336117	Mrs. Ellis
530103	347712	Aunt Estelle
530103	365148	Kiri Hawks
530103	396091	Mrs. Lewis
530104	328472	
530105	2382	Woman at club
530106	229728	Coach Passenger
530110	38885	Herself (trainer)
530111	117397	Mitch
530111	117528	Eleanor
530111	193915	Umpire #3
530111	261448	Colleague
530111	318195	
530111	351873	Rosie
530112	9139	Marylin Stone
530112	32200	
530112	41288	Sharon
530112	52538	Maggie
530112	55570	Alice Jarett
530112	59878	Post Mistress
530112	74077	Jessica
530112	80442	Sally
530112	80487	Del Rainman
530112	80608	Social Worker
530112	117397	Mitch
530112	117528	Eleanor
530112	118933	Aileen
530112	136970	Tara Fisher
530112	145736	Reporter
530112	158087	
530112	168714	Yakuza with rocket launcher
530112	225373	Martine
530112	236138	Ellie
530112	237906	
530112	241697	Iris
530112	276092	Det. Samantha Parks
530112	301649	Anna
530112	316716	Reporter
530112	317351	DA Milletti
530112	333192	Nora Walker/Nina Shawson
530112	333409	E.R. Nurse
530112	342618	Laura Carmichael
530112	344553	Lorrie
530112	345539	Julie
530112	362544	
530112	365443	Edwina
530112	366898	
530112	366923	
530112	366983	Callahan
530112	387668	Maureene McCleod
530112	395480	Sophie
530112	396525	Martine Keller
530113	132454	Kindly Nurse
530113	199539	Kate James
530113	390771	Leslie Jackson Bauer Norris B
530113	404694	Amy Ames Britton Kincaid #4 (
530114	158711	
530115	2131	Nahmnru
530116	144598	Mildred Holmes
530117	292335	Jude
530118	173467	Jayne Robbins
530119	329506	Gang Girl
530119	342552	Fat Trout Neighbor
530120	206355	Bit Role
530120	224301	Paula Marsden
530120	241303	
530121	313160	Herself
530122	175621	Klahn's Harem
530123	161922	Mrs. Dorwinkle
530123	222640	Milly
530123	271860	
530123	275522	Neighbor 1
530123	325242	Bag Lady
530123	375250	Hotel Manager
530124	271260	Baby Cynthia
530125	167564	Kimmy
530126	67618	Sheila Byrnes
530126	69195	
530126	132217	Maria
530126	205824	Gladys Baker
530126	208631	Shirley
530126	263170	First Lady Matthews
530126	292499	Ruth
530126	310577	Mrs. Zane
530126	363871	Mrs. Ford
530126	382419	Elizabeth 'Beth' Henderson Lo
530126	383385	Myrna Clegg #2 (1983)
530126	385824	Claire McIntyre (1999)
530126	389867	Helen Mullen (1989-1990)
530126	404694	Belle Clemens Britton Kincade
530126	408765	Dr. Chas Sternhause's Secreta
530126	411802	Dina Mergeron Abbott (1983-19
530127	403805	Claire McIntyre (1998-1999)
530128	41234	Mrs. Thornedyke
530128	48982	Woman
530128	66005	Mother Superior
530128	86002	Louise, Cordier's Cook
530128	105729	Mrs. Sara Asenath Grimm
530128	117222	Marge
530128	140676	Matron
530128	143429	School Nurse
530128	220356	Mayor's Wife
530128	231925	Miss Hendricks
530128	273622	Grandmaw Anstadt
530128	313695	Sue Wayne
530129	389064	Presenter
530130	70653	Pool party girl
530131	65499	Old Lady #4
530131	126542	Ms. Grady
530132	44516	Girl
530132	109439	
530132	222495	
530132	293105	Dr. Bennett
530132	380713	Neal Keller Alcott (1992-1993
530132	381082	Na'Toth #2 (1994)
530132	390771	India von Halkein Spaulding (
530133	31194	Herself - NBC Team Contestant
530133	36790	Vikki Lee Sanchez
530133	40081	
530133	43451	Herself
530133	45629	Photo Model
530133	62898	Cynthia
530133	80782	Elise Marlowe
530133	110189	Sineperver
530133	125716	Marta Mayer
530133	142378	Amanda
530133	149945	Sabrina Carver
530133	160291	Herself
530133	160315	Herself
530133	160317	Andrea Anders, from Man with 
530133	165264	Herself
530133	165265	Herself
530133	165419	Lola Pagola
530133	170097	Carmen
530133	176740	Crystal Tarver
530133	176815	Clare
530133	186145	Sarah
530133	200790	Miriam
530133	203649	Andrea Anders
530133	210726	Herself
530133	224578	Ariel Dubois
530133	226804	Anne Malone
530133	249862	Susana
530133	253338	Shelly Talbot Morrison
530133	257764	Mala
530133	262959	Herself
530133	278511	Leslie Polokoff
530133	280662	Ella
530133	301679	Fima
530133	325983	Maddy
530133	343879	Paula/Tracy
530133	354178	Woman in Fisherman's Warf Cro
530133	367909	Angie
530133	384058	Dr. Judith Bergstrom
530133	387510	Maggie Farrell
530133	394028	Host
530133	402763	Sister Katarina
530134	219864	Big Gyna
530135	7884	Woman #2
530135	156478	Eristina
530136	380679	Host
530137	128718	
530138	9	
530138	329751	Verda Forrest
530139	94488	Marquise De Creney
530141	38806	Shepherd Woman
530142	96694	Lizzie
530143	117389	Joanne
530144	12620	Doreen Patterson
530144	400709	Whartons' Maid
530145	401224	Angry Woman
530146	48704	Saleswoman
530146	63275	Car Woman
530146	80560	
530146	122242	Teddy Carella (Other Player)
530146	134873	
530146	136004	Herself
530146	185216	Herself
530146	232463	Saleswoman
530146	276836	Herself
530146	306451	Julie Stevens
530146	314605	Herself
530146	314606	Herself
530146	330682	Patsy St. Clair
530146	367807	'Connie'
530147	56955	Carlina
530148	110038	Donna
530149	47547	Lisa Vogel
530149	107024	Monique
530150	267434	Karen
530151	13503	Herself
530151	41645	
530151	52209	
530151	116013	Herself
530151	228030	
530151	228031	
530151	233739	
530151	297333	
530153	297253	
530154	195665	Prostitute
530155	48539	Praline Seller
530155	147754	Black woman
530156	30148	Dorothy Van Swearingen
530156	286252	Marjorie Kincaid
530157	281836	Ruth Pruitt
530158	64056	Florence Chapman
530158	65679	Ann
530158	78744	Helen
530158	99043	Ellen
530158	107892	Clare's Mum
530158	178002	
530158	222593	Ann Protheroe
530158	222596	Melanie Dearborn
530158	230377	Receptionist
530158	263556	Jane Bennet
530158	377925	Kathryn
530158	383277	Sarah
530158	384783	Julia Preston
530158	388208	Irene
530158	388788	Henrietta Churchill/Godolphin
530158	393966	Mrs. Brown
530158	405774	Dorothy
530158	411256	Jane
530159	57654	Exercise Tape Fan
530159	79507	Judith Fine
530159	170980	Forewoman
530159	252445	Mara Samuelson
530159	348545	Executive
530159	379716	District Attorney Louisa Dors
530159	387309	Carol Barclay, R. N. (1977-19
530159	390771	Dr. Barbara Sills (1999)
530160	146822	
530160	280259	Rockstar
530162	54214	Sharifa Nur
530162	117741	Sannie Grootboom
530163	61320	Cindy
530164	31738	Young Earlene Pomerleau
530165	406459	Herself/Starting Over roommat
530166	220456	Ginny
530166	311500	Woman in Gallery
530167	176365	Mary as a child
530168	18544	Party Girl
530168	257653	Herself (Miss July)
530168	257672	Herself
530168	257831	Miss June 1995
530169	276249	Kid
530170	393651	Herself - singing backup
530171	56801	Monique
530171	299396	Sarah
530171	350186	Fox
530172	351744	Grandma
530173	76606	Fiona Wilson
530173	408644	Young Barmaid
530174	157931	Bailiff
530174	208527	Lucille
530174	403089	(segment "Histoire d'eau")/(s
530175	116147	Crew member
530176	222687	Extra
530177	405302	Guest Host (1996)
530178	125830	Carole Slintak
530178	308684	Barn Band - Banjo
530179	240325	Delia (1 1/2 Years)
530180	73170	
530181	270896	Cindy
530182	82063	Kelly
530182	126558	Meter Maid
530182	242509	Tracey
530182	321283	Tina
530183	315577	Party Players
530184	11075	
530184	11301	
530184	12187	
530184	12196	
530184	26627	Mrs. Smith
530184	33057	
530184	36783	
530184	43103	
530184	48066	
530184	50924	
530184	66340	
530184	67123	
530184	71514	
530184	75319	
530184	75335	
530184	91615	
530184	97420	
530184	109902	
530184	116558	
530184	117191	
530184	118360	The GIrl's Mother
530184	121532	
530184	128435	
530184	128622	Jennie
530184	129980	
530184	130842	The Young Prospector's Mother
530184	131563	
530184	140527	
530184	140732	
530184	141294	
530184	143146	
530184	143148	
530184	143149	
530184	143186	
530184	143217	
530184	143330	
530184	143408	
530184	146208	
530184	146296	
530184	146302	
530184	149781	
530184	158453	
530184	159302	
530184	163285	
530184	165571	
530184	175213	
530184	175214	
530184	183576	Mrs. Allen, Marcia's Mother
530184	186694	
530184	194329	
530184	195325	
530184	196976	Lily Worthing
530184	200848	
530184	203324	
530184	208900	
530184	209108	Lizzie Williams
530184	209637	
530184	214619	
530184	216460	
530184	230358	
530184	231016	
530184	241279	
530184	259363	
530184	262044	Mrs. Del Mar
530184	262339	
530184	265000	Landlady
530184	274610	
530184	290966	
530184	298029	
530184	300184	
530184	302649	
530184	303256	
530184	306789	
530184	313843	
530184	323705	Mother Gray
530184	323757	
530184	326436	
530184	329903	Townswoman
530184	331098	
530184	331107	
530184	334331	Alice's Mother
530184	335523	Landlady
530184	342701	
530184	342703	
530184	346192	
530184	347037	
530184	350173	Georgiana
530184	359130	
530184	359285	
530184	360199	
530184	362062	
530184	362163	
530184	362707	
530184	362714	
530184	362736	Jenny Simpkins
530184	362771	
530184	362811	
530184	362827	The Club President
530184	363102	
530184	363199	
530184	363417	
530184	363635	
530184	364453	Newfoundland Woman
530184	366808	
530184	367738	
530184	368958	
530185	81761	
530185	139194	
530185	150237	
530185	249569	
530185	252402	Pet
530186	257651	Miss April
530186	257840	Miss November 1992
530186	367847	Herself
530187	17601	
530188	1308	
530188	6730	
530188	34776	
530188	95803	
530188	117302	
530188	154425	
530188	178320	
530188	228090	Sunrise Adams
530188	291279	
530188	302570	Shelley
530188	304005	
530188	306909	
530188	326736	
530188	372474	
530188	372751	
530188	401924	Herself
530189	73482	Eva
530189	204034	Jill Gosford
530189	314424	Angie Rawlins
530189	315776	Peggy McCall
530189	316264	Adoptee #2
530190	362141	Mrs. Warner
530191	324657	
530192	131470	Marion
530192	200875	Wrapping Woman
530193	160832	Street People
530194	67943	Shirley
530195	45232	Showgirl
530195	47088	Girl
530195	143577	Pretty woman
530195	154376	Blonde
530195	186117	Woman
530196	141140	Dressmaker
530197	3820	Herself
530198	134698	Zelda
530198	370880	Carmella
530199	2410	
530199	11364	
530199	11493	
530199	13389	Nirvana Mistress of the Dark
530199	13501	
530199	23466	
530199	26899	
530199	26914	
530199	26924	Herself
530199	31880	Herself
530199	34907	Herself
530199	34940	Herself
530199	36875	
530199	36881	
530199	36883	
530199	37194	
530199	37200	
530199	37505	
530199	41019	
530199	41486	Herself
530199	46341	
530199	49087	
530199	53199	
530199	69376	
530199	76181	
530199	78052	
530199	81839	
530199	85789	
530199	85862	
530199	87243	
530199	87374	
530199	98888	Jennifer
530199	98889	Nadine
530199	101410	
530199	102823	Herself
530199	114834	
530199	116212	
530199	116213	Herself
530199	116594	
530199	128793	
530199	128795	
530199	128836	
530199	128856	
530199	139157	
530199	140338	
530199	144831	
530199	154125	
530199	154549	
530199	154732	
530199	161588	
530199	161602	
530199	164656	
530199	169607	
530199	176771	
530199	183302	
530199	187412	Herself
530199	189065	
530199	194796	Girl recruit
530199	195069	
530199	195712	
530199	196008	
530199	197747	
530199	199492	
530199	202787	
530199	215294	
530199	221316	
530199	233693	Deep Inside
530199	236364	
530199	237784	
530199	243120	
530199	257519	
530199	258055	
530199	264561	
530199	270439	
530199	271825	Monique
530199	274137	
530199	277047	
530199	277068	
530199	277470	
530199	289463	Herself
530199	291414	Dancer
530199	295686	
530199	295688	
530199	295707	
530199	295813	
530199	296200	Private investigator
530199	304848	
530199	311121	
530199	311457	Herself
530199	316326	
530199	319705	Herself
530199	321023	
530199	321027	
530199	323202	
530199	323951	
530199	335605	
530199	336288	
530199	337283	
530199	337288	
530199	344649	Herself
530199	353483	
530199	355387	
530199	358074	Herself
530199	361063	
530199	361887	
530199	361946	
530199	365428	
530199	365494	
530199	365495	
530201	142521	
530201	265892	Shopper
530202	17941	John's Dream Girls
530202	296814	Ellen O'Malley
530202	374568	Secretary
530202	390180	Amy, the Farmer's daughter
530202	402020	Brandi Mae
530203	90430	Host
530203	261650	Polly
530204	241469	
530205	16643	Ma Brooks
530206	398670	Young Nia
530207	276315	
530208	32531	Cafe Customer
530208	164400	Older Sister
530208	189504	Sally
530208	194635	Dana
530208	220456	Round Card Girl #1
530208	275346	Peggy
530208	323983	
530210	292041	Woman at the Social
530211	1189	Herself
530211	1349	Herself
530211	1487	Herself
530211	2040	Herself
530211	2280	Herself
530211	2327	Hostess
530211	2394	Herself
530211	2626	Herself
530211	3297	Performer
530211	18983	Herself
530211	54308	Herself
530211	69081	Herself - Performer
530211	103906	Herself
530211	104994	Herself
530211	112601	Herself
530211	160461	
530212	52105	Neighbour
530213	410020	Herself
530214	275735	Saleswoman
530215	336242	Herself
530216	80478	Barnes' girlfriend
530216	160590	Amy
530216	185675	Jodie
530216	340962	Sherry
530217	83470	Andrea
530217	133682	Sylvie
530217	214519	Sara
530217	231818	Janet
530218	109251	Herself
530219	398251	Servitris
530220	62995	Caroline
530220	265606	Jane
530220	327726	Hostess (segment Addicted to 
530222	139588	
530222	342784	Paramedic
530223	82118	Maria Baretto
530224	39859	Voodoo Dancer
530225	230853	Policewoman
530226	166917	Women's Group Member
530228	213453	Schoolteacher Type
530229	23004	
530230	31346	Waitress
530230	233558	Ashe
530230	234212	Tess
530230	315085	Marilyn
530230	326753	Brenda
530231	271282	
530232	12964	
530232	88826	The maid
530232	109008	Mrs. Karlsson
530232	120139	TV Presenter
530232	174172	Birgitta
530232	259159	Kent's co-worker
530232	286103	Guja
530232	304425	
530232	314390	Eva Berg
530232	322001	
530232	354677	Debora
530232	355642	Rich Lady 3
530232	377423	Ulla
530233	405539	Thea/Agnes (2001)
530234	41508	Konrads mother
530234	47607	Woman at cocktail party
530234	100549	
530234	130071	Older woman at the sale
530234	154509	Guest at the hotel
530234	168392	Older woman at the new year's
530234	182542	Hulda, elderly lady
530234	344377	Lärkstämma's Mother
530235	47065	
530235	75496	
530235	75497	
530235	89749	
530235	143753	
530236	203918	Arthur's Child
530237	10820	Wedding guest
530238	10820	Cafe patron
530239	299816	Heriknaz
530240	124911	
530240	210525	
530241	225142	Teacher
530242	233875	Dance teacher
530243	52187	La pittrice
530244	14390	Elena Hackendorf
530244	14880	Elena
530244	20139	Maria
530244	20692	La moglie di Peppino Armentan
530244	44576	Siffredi's mother
530244	243635	Regina
530244	336150	Maria Vernowska
530244	339069	
530244	351848	
530244	397387	
530245	67499	
530245	193084	
530245	197572	
530245	263621	
530245	324861	
530246	296560	
530247	8658	Becky
530247	92665	Susan
530247	199348	Mme Jacques
530247	357107	Rivka
530248	109912	Maggie
530248	232390	Barrister
530248	385299	Linda James
530248	388493	Maggie
530248	396724	
530248	408477	Elizabeth 'Liz' M'Bundo (1974
530249	265005	Amy Garrett
530250	4935	
530250	16860	
530250	38630	Un'insegnante del collegio
530250	53160	
530250	54148	
530250	54829	
530250	55411	Una impiega della manifattura
530250	69986	
530250	97094	
530250	183494	
530250	255130	
530250	264251	Un' altra amica della cantant
530250	264261	
530250	265724	
530250	269074	
530250	277608	
530250	289329	
530250	295163	L'istitutrice zitella
530250	328210	L'istutrice Caterina
530251	172445	Kuzminichna
530252	92899	
530252	96207	Simone
530253	72706	Assistant at Bewitched
530253	201502	Herself
530253	209206	Clerk
530253	222308	Bevers
530253	334138	
530253	383490	Dora Mae Dreifuss
530254	383111	Herself - Panelist
530255	318792	Stock company member
530256	55473	
530257	43725	Bank customer
530259	71664	Bertha the Goat Girl
530259	385299	Jane Smith (1964-1968)
530259	408449	Julie Kirkby
530260	124685	
530261	191505	Laura, Christa's mother
530262	20070	
530262	153241	
530262	249749	Radijah's Mother
530263	36787	
530263	50680	
530263	105431	
530263	161053	
530263	213826	
530263	228591	
530263	230934	Bar Patron
530263	316861	
530263	325230	
530263	326167	
530264	59876	Detective
530264	338036	Texas Fiddle Player
530265	1650	Maxine Hagen
530265	25317	
530265	28460	Gina Graham
530265	31017	Tatyana
530265	67823	Katie Rinard
530265	104073	Herself
530265	111757	Szaga de Bor
530265	116518	Janet Clark
530265	120879	Dr. Catherine Langeac
530265	125055	Tila
530265	150768	Jane Frensham
530265	170699	Cynthia Slader
530265	176199	Diana Rivington
530265	177316	Ann Kay - TV Specialist
530265	188660	Janet (segment "Divorce, Le")
530265	193636	Mary
530265	210320	Cameo appearance
530265	211155	Norma O'Brien
530265	214168	
530265	216512	
530265	218703	Cynthia Slater
530265	231970	Dottie Phelps
530265	252338	Nadia Rakesy
530265	258375	Priscilla Mullins
530265	269173	Moglie di Rosi
530265	276901	Jamesina Hawkins
530265	278013	Susan Manners
530265	279636	Junia
530265	281425	Margot
530265	287976	Marianne
530265	301624	3rd Officer Jill Masters
530265	302696	Lady in Waiting
530265	326050	Marion Menil
530265	328740	Sofia
530265	338808	Hedi von Hartmann
530265	341599	Catherine de Vigogne
530265	342822	Kitty Jekyll
530265	347335	Ellie Fansworth
530265	350199	The Countess
530265	350913	Inez
530265	355280	Hélène de Winter
530265	356973	Anita Flores
530265	363395	Felicity 'Fiz' Moonlight
530265	372490	Kate Howard
530265	374638	Zeta
530265	375870	Irene
530265	377735	
530265	378078	Victoria
530265	379576	Kay Prindall (1953)
530265	385299	Mrs. Lambert
530265	388493	Georgie Thompson (1971-73)
530265	406392	President Clara
530265	408877	Mrs. Landers (1983)
530267	16104	Herself
530268	389046	Additional Voices
530270	399657	
530271	92480	
530272	68764	Angela
530272	129900	Anna
530273	55561	Policewoman
530273	176959	Clerk of Court
530273	233510	Childline Voice
530274	154040	Obnoxious Mom
530275	309347	
530276	35661	Doctor
530277	233792	Apt. Manager
530278	74215	Judy West
530278	99860	Sister Parkes
530278	108926	Sister
530278	109809	Gloria
530278	167562	Jean
530278	219190	Angela
530278	379746	Mrs. Birch
530278	383882	Barbara Taylor
530278	391369	Mrs. Phelps
530278	399130	Bunny Lawson (1993)/Rhonda Wi
530279	399415	Anja (2002)
530280	243276	Actress
530281	175149	
530281	367775	Karen's Party Guest
530282	148945	Sue
530283	245241	Marilyn
530283	278716	Officer Bates
530285	291962	
530286	99055	Steven's Lawyer
530287	260628	Bess
530288	13712	Young Beth Ann
530289	41696	The Fairy
530290	368244	Ensemble member
530291	362180	Girl in Elevator
530292	218106	Nicole Vasques
530293	26381	Joanne
530293	308184	Betty Anderson
530293	379716	Marissa Rampal #2 (1989)
530293	384366	Deborah Brewster Alden (1995)
530293	385580	Gabrielle Leggett
530293	390771	Kit Vested (1970-1974)
530293	396123	Deborah Brewster Alden (1993-
530293	404002	Jillian Coleridge Ryan (1975-
530294	29746	Attractive Female
530296	150054	
530297	126508	Nada Band
530298	19881	
530299	86001	Mrs. Prinz
530300	11362	Pianist
530301	384303	Beatriz
530301	385629	Selma
530301	388562	
530302	311136	African Girl
530303	50857	Herself/Janessa
530303	80942	Emma Simpson
530303	105354	Ellie Dinker
530303	146807	Monique
530303	148223	Jenna
530303	161060	Sally
530303	165852	Janessa
530303	355539	Allison
530303	397051	Host (1997-1999)
530303	397154	Celia Brjynski
530304	214021	Geneviève
530304	357177	Aurélie
530305	4098	
530305	25267	Sacrificial Maiden
530305	149032	
530305	208177	
530305	209869	
530305	299605	
530305	370946	
530305	373540	
530306	134418	Skateboard Girl
530307	107969	
530308	5006	
530308	30603	Ingy
530308	33370	
530308	102457	
530308	202117	
530308	284688	
530308	410511	Sara
530309	69175	Herself
530309	207036	Winston of the Bichon Frise
530310	242663	Mujer de Evelio
530311	401517	Mamaloe
530312	89398	
530313	99668	Amante
530314	47551	Mary Davies
530314	47860	Pilbeam
530314	96819	Mimi
530314	154938	French Girl
530314	213040	
530314	230674	
530314	331134	Mary/Lorna
530315	345	Marjorie
530315	76951	Daisy
530315	109613	Mrs. Karvan
530315	134137	Doreen
530315	144972	Bet
530315	318645	Barmaid
530315	391248	Ruby (1994)
530315	399816	Trixie O'Toole (1974, 1975, 1
530316	132931	Shirley Sanderson
530317	392629	Irma
530318	399082	Le bébé
530319	375663	Malvina
530320	7269	
530320	167485	Belya Kimbach
530320	293157	
530321	2688	Melissa Susilawati
530322	327812	
530323	85595	
530323	107316	Celestina
530324	254523	Girl in Ticket Line
530325	230926	Big Shirl's Beautician
530326	123986	Herself
530327	317945	Square-Q Girl
530328	130048	Olive Dennison
530328	183578	Mary Fanning
530329	1658	Julia Droste
530329	169160	Reception Girl
530329	277709	Diana Napier
530329	325545	Natascha
530329	325608	Sira Kalthoff
530329	381700	Brigitte Keil
530331	80724	Julia
530331	95078	Sexy Woman
530331	189987	Sally/Miss July
530331	257577	Galaxy Club host
530331	257653	Herself (Miss June)
530331	257828	Herself (Miss July 1994)
530331	322635	Barbara
530332	183635	Lady Fishbourne
530333	158311	Virginia Boyd
530334	341772	Body on Gurney 1
530335	16879	Patty
530336	307127	Jessica Goddard
530337	368309	Herself
530338	191227	
530338	220776	Herself
530338	226668	Wife
530338	292038	Herself
530339	384303	Ana Maria
530340	80959	
530341	38426	
530341	94261	
530341	111631	
530341	179615	
530341	181851	Leni Wodak
530341	182264	
530341	182563	
530341	182573	Silvia
530341	206192	
530341	215267	Eliante
530341	225625	Elsie
530341	264278	Lily
530341	270936	Kristina Kallgren
530341	317642	Mona Hansson
530341	335901	Ernestine Muche
530341	365485	Beatrice
530341	377421	Farmer girl
530341	399483	Nalle
530342	5891	Rose
530343	44335	Actor 2
530344	14728	
530345	153987	Bartendersken
530345	182601	
530345	209328	Mandolinspillerske i 1740
530345	255679	
530345	334079	
530345	338679	
530345	349650	Overklassedame
530346	162893	Lena
530347	19328	La vieille dame
530348	151919	
530350	43249	Ada
530351	160975	Brandi - Kickboxer
530351	177520	Betty X
530351	351412	
530351	408361	Bodega Teen Girl #1
530352	86213	
530353	237783	Ballroom Dancer
530353	300533	Lila
530354	285430	
530355	166725	
530356	130677	Eskimo child
530357	311523	Precinct Policewoman
530358	69706	
530359	7889	Mr. O'Niel's Favorite Student
530360	78014	
530361	126619	Extra Talent/Cage Guest (segm
530362	132931	Lil
530362	240615	Lil
530363	89972	
530364	177442	Rusty King
530365	354178	The Girls
530366	60003	Moira Logan
530366	69393	Female Examiner
530367	78445	
530367	94395	
530367	217688	Yvonne Calabrier
530367	334773	Sparta
530368	254140	Lucie
530369	95004	Dulahi
530370	328141	
530371	18785	Mokshada
530372	124620	Thuli
530373	98495	
530374	27390	Anjali's mother
530374	222357	
530375	150998	Elevator Woman
530376	10958	Becky
530376	14131	Central Michigan University G
530376	47797	Sasha (Series Regular)
530376	70468	Young Liz
530376	97388	ESPN Radio Announcer
530376	165958	Cheerleader #1
530376	220626	Hunter Davis
530376	304527	Ashley Lopez
530376	328127	Waitress
530376	406503	Samantha Milano (1996-1998)
530377	8657	Bodybuilder's Friend
530377	179554	
530377	306275	Good Queen
530378	97018	National Toilet Woman
530378	289558	Woman at Babylon Club
530379	278911	
530379	346552	
530380	156030	
530380	257767	Beautiful woman
530381	65786	Alice Morthampton
530382	399484	Herself - War reporter
530383	12101	Sophia
530383	370985	
530383	383111	Herself - Panelist (Deco)
530384	286565	
530385	40089	Secretary
530385	78058	
530385	295560	Colleague #1
530385	321774	Girl No. 1
530386	26981	Society Matron
530387	34739	
530387	34892	
530387	265683	Miss Lawrence
530387	378939	BarbTimmons
530388	21479	Receptionist
530388	79830	Sheila Benson
530389	181623	Lina
530390	112219	Mrs. Sun
530390	209865	
530390	283695	
530390	301648	Teacher
530390	374497	
530390	375254	Tuba
530391	209851	
530392	106710	Yige'al
530393	208582	Taran
530393	275845	Invitada
530393	329262	Lovely
530394	12535	Elisa Folbert
530394	14368	
530394	70897	Flo
530394	118069	
530394	119085	
530394	128025	Luisella
530394	163169	Lena
530394	226401	Brigitte, die Nymphe
530394	262707	Santa
530394	263722	
530394	268997	
530395	350880	Kristin
530396	6591	Ellénore
530396	17856	Isabelle
530396	18356	Antonieta Rivas Mercado
530396	19352	Herself
530396	24853	
530396	30242	Laure
530396	43423	Viviane Denvers
530396	52909	Camille Claudel
530396	57894	Herself - in Cannes
530396	65165	Clara
530396	65351	Herself
530396	85611	Mia Baran
530396	93818	The Player
530396	110107	Camille
530396	127498	Isabelle Doulean, their daugh
530396	146359	Adèle Hugo
530396	162700	Shirra Assel
530396	193227	Stella
530396	197561	Herself - Narrator
530396	218284	The Star
530396	219606	Catherine Leiris/Lucie, 'Mari
530396	235287	Lucy Harker
530396	241213	Ondine
530396	248055	Herself
530396	248848	Herself
530396	254002	Rose
530396	269088	Marya Zelli
530396	275124	Margot
530396	275862	Charlotte/Leïla
530396	286324	Herself
530396	292367	Maria
530396	306944	Emily Brontë
530396	317953	Héléna
530396	322577	
530396	336974	Pauline Valance
530396	337138	Pénélope
530396	354908	Violette Clot
530396	377664	Agnès
530396	377989	Eliane dite 'Elle'
530396	384296	Herself
530397	6502	
530398	102674	Valerie
530399	2428	
530399	3402	
530399	27257	
530399	48492	
530399	81925	Herself (Claudia Adkins)
530399	106433	Girl Sleeping in a Bikini
530399	138132	
530399	155922	
530399	176385	
530399	273298	
530399	348825	
530399	349380	
530399	368303	
530400	188181	Sue
530400	224025	Jeanette Humphrey
530401	238072	Charmaine, Lifted Security Gu
530401	317437	Escort (with Pat Morita in li
530402	47451	Seneca Clan Mother
530403	39298	
530403	321036	
530404	120412	Panicked woman
530405	270484	Sally Kaiser
530406	186650	Additional player
530407	27680	Virginia Parumog
530407	28085	
530407	148428	
530407	204602	Congresswoman
530407	341542	Perla
530407	394247	Sondra (2002)
530407	404049	Mercy
530410	35594	
530411	20928	
530412	242098	
530413	232069	Jocelyn
530414	199348	Mme Simon
530415	316716	Reporter
530416	12163	
530416	226899	Dress shop proprietress
530416	363326	Esther Liebman
530417	257238	Schwester
530417	303717	Marie Kurz
530417	308839	Janette
530418	55222	Luella Hopper
530418	69291	Cheryl Paisner
530418	87331	
530418	178931	Rocky
530418	214647	Lily Munster
530418	257379	(English-language version)
530418	282990	
530418	298127	Vesta Rose Commercial Voice
530418	379065	
530418	398543	Additional Muppets (1976)
530419	31740	Lonnie (Girl on Bench)
530420	168525	Herself (interviewee)
530421	371539	Gitl
530422	100210	Lisa
530423	224100	Mrs. 'Pygmy' Allen
530424	155072	Jogger
530425	101184	Hôstesse Assuranclone
530426	89470	Gregorius' housemaid
530426	94341	Woman at the party
530426	120892	Ågren, housemaid
530426	182466	Passenger at 'Saga'
530426	198265	Clerk at the boardinghome
530426	204720	Tora
530426	210372	Rutan
530426	227740	Nurse in Brede's home
530426	305303	Coffeeshop Cashier
530426	316909	Nurse in waitingroom
530426	337888	Reverend Olsson's housemaid
530427	169148	
530427	343130	
530428	117186	Gordon's Mother
530428	279306	Betty's Mother
530428	334011	Bassianus Supporter #2
530430	43922	Melissa
530430	92248	Piercing Woman
530430	93955	McCue's Bartender
530430	105035	Gaby
530430	114364	Heather
530430	114693	Neurotic Girl
530430	171278	Vickie
530430	224147	Betty
530430	252925	Vyczowski
530430	265904	F. Freemder
530430	290378	Summer's Mother
530430	300913	Policewoman Two
530430	301656	The Boy
530430	332730	Deke
530431	309809	Female KFWB Anchor
530432	29367	
530432	69383	
530432	150255	
530432	292644	
530432	345959	Linda Jenkins
530433	194889	
530434	309718	Mrs. Volkstaadt
530435	64333	Herself (1995)
530435	83382	
530435	270631	Herself
530435	387014	Herself (regular guest)
530436	104338	Rollerblader
530436	210269	Waitress
530436	217745	Art History Student
530436	290378	Concert Goer
530437	258947	
530438	115840	Andrea Perpin
530439	45618	Luciana
530439	256623	Chorus
530440	97042	Dildo Girl
530441	243447	Sofie, Zamano's girl
530441	315194	
530441	315197	
530442	92302	Bryn Mawr policewoman
530442	277471	Waitress
530443	195446	Woman in Nightgown
530444	99327	Clinic Receptionist
530444	282384	FME
530444	330681	Matron
530445	47132	Bit
530445	83787	Telephone Operator
530445	92959	Student
530445	154481	Night No. 1
530446	302948	Laura Henderson
530447	7615	Iris
530447	24809	Lili
530447	93532	Woman in coffee shop
530447	201181	Marlène
530447	235721	Judith Lerner
530447	299439	
530447	348451	
530447	350670	Pascale
530448	169148	
530449	195975	Linda Craven
530449	223981	Mrs. Faludi
530449	296827	Claire Porter
530450	297873	Pretty Girl
530452	193335	Dorothy
530452	242790	Jessica
530453	131538	Betty
530454	229234	Carmen/Herself
530455	379975	Contestant
530456	144681	Hotel Lady
530456	235291	Kolarova, Nina
530457	165354	
530458	341502	Sophie
530459	214006	Sophie
530460	129918	
530460	262726	
530461	391124	
530463	198010	Flower Shop Clerk
530465	42190	
530466	370643	Lindsay
530467	146845	Youngest sister
530468	154565	Ghost
530469	108197	Annika
530470	24360	Thälmanns Mutter
530470	108146	
530470	172844	Hilde
530470	178568	Großmutter
530470	178742	Greta Kuckhoff
530470	188835	Junge mutter
530470	217201	Jenny Marx
530470	239130	Ursel Grosse
530470	253965	Mutter
530470	259622	
530470	376419	
530470	379082	
530470	393408	Anna Schönlein
530470	409609	Frau Ziesche (1991)
530471	189831	
530472	288801	La schiavetta
530472	306989	Mlle. Tom-Tom
530473	7426	Alma
530474	7426	Alma, Hans' girl
530474	225641	Daisy
530474	366535	
530475	165627	Kontorist
530475	174076	Guest
530475	178483	Viola
530475	209311	Hildegard, guest at Berns
530476	17587	Leila
530476	18081	Nurse Veronica
530476	35026	Almagul
530476	42210	Eva
530476	78514	Greta
530476	88397	Woman in veil
530476	96015	Greta
530476	96419	
530476	101451	Louise von Klitzow
530476	101636	Maria
530476	108633	Ekdahlska huset - Siri
530476	142863	Lady Percy, wife to Hotspur
530476	148817	Girl applying make-up
530476	179615	
530476	190795	Renée
530476	197819	Astrid Skog, book store propr
530476	206246	Aina
530476	237265	Nurse
530476	289783	Acting student
530476	303199	Girl in school
530476	307316	Rakel
530476	342310	Nurse
530476	346971	Girl at the debutant's ball
530476	354419	Guard
530476	354691	Ninni's friend
530476	367083	Dancer
530476	386684	
530476	388448	Frida
530476	396252	Teacher
530477	175000	Herself
530477	175001	Herself
530478	120047	
530478	182742	Hofdame
530479	189631	
530480	116632	
530481	22189	
530481	140057	Mery
530481	158080	
530481	163994	
530481	323754	Suad
530481	378704	
530481	412000	
530482	298119	Ala Mode Photographer
530483	123627	
530483	368574	Fluffer
530484	360755	Nora
530485	67955	Other Appearance
530486	390180	
530487	55955	
530487	73993	
530487	74898	
530487	193380	
530487	206280	Juana la criada
530488	314943	Flower girl
530489	290449	Carolin
530489	395644	
530489	400021	Anke
530490	35206	Fee
530491	286951	
530491	390753	
530492	137757	Maca,józsa barátnõje
530492	153913	Titkárnõ
530492	172826	Enyedy Nóra
530492	182656	Nõi zenekar tagja
530492	225083	A szép vendég
530492	377722	
530493	13178	Mrs. De Leonardis, Mathematic
530493	47038	
530494	332732	Elisa
530495	1047	
530496	155927	Patricia Villalobos
530497	1381	Herself
530497	2741	Irene
530497	26801	Renee DeBois
530497	29140	Petra
530497	37256	Melisande
530497	40072	Fifi
530497	40320	Peggy Nolan
530497	42935	Musette
530497	52490	Lola
530497	58173	Henriette
530497	71347	Maryana
530497	79978	The Girl
530497	82118	Lucia Brescia
530497	104336	Andrée Grange
530497	105625	Elise Moran
530497	105676	Francine
530497	106192	Gypsy maid
530497	114919	Jeanne-Marie
530497	117388	Marie de Floriet
530497	141629	Marcelle
530497	149143	Moira Serern
530497	199497	Miss Lowry
530497	202897	Suzette
530497	203748	Wildcat
530497	205185	Herself
530497	207853	Catherine
530497	212812	Rose Morris
530497	216454	Mary Allen Sayre
530497	218517	Eugénie Danglars, her daughte
530497	221186	Wu Nang Ping
530497	240994	Musette
530497	246488	Madge
530497	249117	Marie
530497	274455	Masha
530497	293784	Anita Gray
530497	300106	Cameo appearance
530497	300119	Salome
530497	303524	Hester Taylor
530497	311111	Cleo
530497	317179	Claudia
530497	332475	Josephita Guerrero
530497	333510	Carita
530497	361622	Della Moore
530497	367897	Becky Keeler
530498	269141	(segment "16 ans-Sylvie")
530499	284666	
530500	6384	Dalila
530502	54464	Young Lemoni
530503	10058	
530503	111419	
530503	129036	
530503	131197	
530503	295151	
530504	207820	
530505	313916	
530505	346248	Mrs. Davenport
530506	376999	Oriane
530507	141252	Herself
530507	311226	Chantal
530508	15341	
530509	240034	Claudinneke
530510	388909	Sarah De Groot (2001)
530510	408151	Lotte Van Baelen (2001)
530511	187766	Herself - singer
530512	2339	Mrs. Hart
530512	24196	Jean Armour
530512	44539	
530512	150798	Receptionist
530512	347062	Vera
530512	367760	Ann Gordon
530513	122462	High school student
530514	5934	Jenny O'Hara
530514	9962	Kitty
530514	12773	Mary Washburn
530514	19127	Poker Polly
530514	26711	
530514	28782	Montana, piano player
530514	29959	Shopper
530514	37470	Girl at bar
530514	41103	Mae
530514	41809	Enid Garvey
530514	42019	Mimi
530514	42845	Aggie
530514	44751	Martha
530514	47294	Maisie
530514	48540	Frowsy Wench
530514	52113	Gert, aka 'Ma', Sluggy's Moll
530514	54933	Glenda
530514	55463	Celia
530514	55734	Saloon girl in fight
530514	59879	
530514	67123	
530514	73246	Hastings' girlfriend
530514	73766	Miss Baggart
530514	74288	Mrs. Martin
530514	102932	Anastasia-Anastasia, Actress
530514	107755	Mrs. Sindell
530514	109420	Wilma Belding (cafe waitress)
530514	109768	Woman
530514	113605	Babe Stanton
530514	114958	Inmate of Women's Prison
530514	118585	
530514	119356	Bus Passenger
530514	120011	
530514	122657	Lt. Adrian
530514	124714	Gettel's Wife
530514	126696	Neighbor
530514	129836	Mary Lou
530514	130624	Verna (in the fur coat)
530514	132793	Diane
530514	136141	Fan's Wife
530514	139082	Goldie
530514	140908	
530514	141820	
530514	142298	
530514	143499	Loud American wife
530514	144109	Arlene
530514	144462	Agnes
530514	145085	Sally (cafe waitress)
530514	145114	
530514	145829	Sunshine Twin
530514	149720	Arleen Grady
530514	151550	The Maid
530514	152911	Marie, McGuire's Neighbor
530514	154290	Verne Drake
530514	154467	Strip Club Waitress
530514	154950	Doris
530514	163469	Wilma
530514	168263	Miss Tuttle
530514	170307	Jinx Corey
530514	183440	Kitty McClouen
530514	183643	Chorus girl
530514	183741	Rita
530514	183760	Gee Gee Graham
530514	188378	Chorine
530514	194450	Lady In The Audience
530514	195252	Madame Mercadet
530514	195382	New Danceland Hostess
530514	195494	Carhop
530514	203424	
530514	209636	Switchboard Operator
530514	209682	Jailhouse Blonde
530514	211780	Undetermined Role
530514	213465	Woman
530514	214093	Maisie Dunbar
530514	215599	Mrs. McKelvey
530514	215990	Lil, Maizie's Friend
530514	218783	
530514	222578	Muriel Randel
530514	222620	Candy Store Proprietor
530514	223854	Peggy
530514	223913	Lola
530514	230953	Toots O'Day
530514	233545	Housewife
530514	238229	Waitress
530514	241036	Pearl
530514	241134	Theatergoer
530514	241703	Cashier
530514	241767	Myrtle
530514	243206	Blonde in Bus Station
530514	244913	Alice (Beer Garden girl)
530514	245197	Ginger
530514	247045	Pepper
530514	248613	Chorus Girl
530514	254708	Maggie McCarthy Blendon, aka 
530514	270502	Sadie
530514	278540	Peggy
530514	279373	Louise Rogers
530514	279459	French Soubrette in Cafe
530514	282565	'2-Gun' Gertie Baxter
530514	283236	Goldie Allen
530514	289455	Mavis
530514	289555	Floozy at Level Louie's Place
530514	297005	Manageress
530514	297081	Patsy Brent
530514	300924	Nellie
530514	302596	Francine La Verne
530514	302735	Lefty
530514	304273	Wanda LaFern
530514	305472	Newspaper Columnist
530514	306555	
530514	311866	Bernice
530514	312810	Miss LaRue, Chorus Girl
530514	314473	Shirley
530514	315095	Sunny Verne
530514	315301	Lucy
530514	315483	Gwen, Judy's Friend
530514	317822	Dorothy
530514	321503	Marge O'Day
530514	321511	Dena Maxwellton
530514	323474	
530514	326199	Diner Waitress
530514	329412	Mrs. Tabin the Landlady
530514	329987	Lulu
530514	332009	Saleswoman
530514	334367	Okay's Girlfriend
530514	335621	Hortense Kent
530514	337644	Paula
530514	340570	Rita La May
530514	342947	Diner Waitress
530514	349556	Bunny Wells
530514	349631	Extra
530514	350640	Herself
530514	365261	Mazie
530514	366696	Dance hall hostess
530514	367530	Streetwalker
530514	407684	Dottie
530515	16073	
530515	291224	Nurse
530515	295611	Flora's Friend
530515	323837	Mrs. Davies (segment "Poetic 
530516	78031	Conchita
530516	130677	Woman in dance hall
530516	360186	
530516	365081	Joseffa
530517	322837	Additional Voices
530518	77578	Dancer #2
530519	390151	Sofi
530521	2202	
530521	14706	
530521	99677	Adriana
530521	176528	Shinobu Nagumo
530521	260726	Herself
530521	346726	Natacha
530521	394420	Shinobu Nagumo
530522	8703	
530522	51599	
530522	52998	
530522	59781	Graciela
530522	67673	Irma
530522	68595	
530522	72366	
530522	135272	
530522	145259	
530522	202234	
530522	209047	
530522	235047	Beatriz
530522	239260	
530522	247050	
530522	251969	
530522	263209	
530522	277374	
530522	282060	
530522	301106	
530522	306705	
530522	308424	
530522	349930	
530522	370095	
530522	371768	
530523	23388	
530523	338162	Periodista
530524	381261	
530524	388575	Señora Orduño
530524	401690	Juanita
530524	409921	Sofía
530525	410093	
530526	397463	Mosita
530526	401918	Azucena Garza (niña)
530527	101366	Melissa
530527	156150	Waitress
530528	250699	
530529	2969	
530529	36561	María
530529	65216	
530529	74827	Mujer morena (segment "Frac")
530529	75030	
530529	80337	Rocio
530529	81688	
530529	114759	Ines
530529	119232	
530529	135139	
530529	136641	
530529	174019	
530529	197338	
530529	197438	
530529	204437	Isabel
530529	207011	
530529	210441	
530529	212439	
530529	213404	
530529	225065	
530529	231601	Marisa
530529	233338	
530529	237177	Psyché - Erzsébet Lónyay
530529	243704	
530529	249872	Irene
530529	263832	
530529	269907	
530529	278937	
530529	294251	
530529	320184	María
530529	328203	
530529	334685	
530529	355359	Sandra
530529	371747	Natalia
530529	373964	Ana
530529	376737	
530529	378403	
530529	383235	Lucia
530529	398914	Sofía
530529	407859	Princesa de Éboli
530529	410257	
530530	296255	Baby Amanda
530531	307359	Girl at Brothel
530532	25627	
530533	15330	
530533	196751	
530533	302896	
530534	340070	
530535	399542	Various characters
530537	235719	Professeur de gym
530537	249072	(segment 6)
530537	383865	Herself (Host)
530538	64912	Sherry
530539	7909	Victorine
530539	30155	Mary Bailey
530539	47552	Maria
530539	109852	Macushla Westmacott
530539	150905	
530539	203167	
530539	299196	Lorna Denton
530540	198745	moeder Arthur
530540	316979	Nurse Paula Pogluski
530541	196752	
530541	207006	
530543	277481	Teen
530543	292208	Paul's Mom
530543	340557	Veronique
530544	61952	Paola
530544	63192	Sailor Girl
530545	24545	
530546	17583	
530547	391928	
530548	5385	Sue
530548	178098	Linda
530548	242750	'Swan'
530548	388321	Barbara Fletcher (1997-1999)
530548	398296	Wendy Watson
530548	411532	Catherine 'Cathy' Earnshaw
530549	75806	Cyborg #1
530549	110441	Girl Punk
530549	223931	Marie Mitchell
530549	229729	Special Appearance
530550	91024	Mayé
530550	124460	Check-in woman
530550	237631	
530550	259561	Enuma
530550	259579	
530550	290131	Mambele
530550	325436	
530550	356691	
530551	378881	Sports Presenter
530551	378882	Sports Presenter
530551	389703	Herself - Presenter
530551	390338	Reporter
530551	395978	Presenter (2000)
530551	395991	Sport Expert
530551	404506	Investigator
530552	359550	Lord's wife
530553	160720	
530553	302829	Marie Morbius
530553	327575	
530554	46618	Herself
530554	267242	Herself
530555	80385	Hedera Maxwell
530556	187727	Angela
530557	98256	
530557	123925	
530557	210076	
530557	242405	Nikki
530558	165322	
530558	253638	
530558	264985	
530558	344323	
530558	356917	
530558	373639	
530559	174686	Mother
530560	73578	Sujka
530560	89815	Grandmother
530561	51668	
530561	58360	Maria
530561	70684	Enfermera tocólogo
530561	72417	
530561	75486	
530561	83486	Invitada fiesta
530561	101867	Juani
530561	122985	Herself
530561	134498	Chus
530561	188994	María
530561	193195	
530561	198215	Marisa Mallo
530561	204992	
530561	252519	Sara
530561	252781	Mariló
530561	277340	Belén
530561	277389	
530561	332573	Elena
530561	332598	Ángela
530561	333640	
530561	334667	Anabel
530561	349333	Herself
530561	355946	Kid
530561	357509	
530561	369417	Alicia
530561	369755	Herself - Presenter
530561	369989	Herself - Presenter: Best Ani
530561	369994	Herself - Accepting Best Supp
530561	380551	Lucía
530561	387476	Nuria Rosales
530561	388442	María (1994-1995)
530561	393369	Ana Martín (2003)
530561	397467	(1996-)
530561	399126	
530561	401188	María
530562	85522	Maria Ventania
530562	264910	Herself
530562	316037	Specialty Act
530562	392169	
530563	52059	
530563	68590	
530563	70887	
530563	122241	
530563	132981	
530563	148480	
530563	291892	
530563	387640	Celina
530563	388565	Rosa
530564	380842	Andrea Rosales (niña)
530564	383471	Dulce María Larios Valle
530564	401659	Dany
530564	403024	Florencia
530564	410303	Marisol
530565	390096	Pili
530566	390096	Mili
530567	5689	Laura Moretti
530567	382689	Host (2004-????)
530567	390812	Xenia di Montalban (2000-2003
530568	196390	Model
530569	346204	Penguin Girl
530570	66737	
530570	217638	
530570	235723	
530571	40819	Vicky
530572	86404	
530573	203961	
530574	8459	
530574	259869	
530575	152603	Aline
530576	99268	An
530576	388299	Eline Vaerenbergh (2005-)
530576	401966	Ilse Hiks
530576	410449	Herself (2000-)
530576	411311	Joke Collin (1994, 1997-2000,
530577	171728	Herself
530577	387952	Herself
530578	378614	Mevrouw van Veen
530579	170541	Audience
530580	215488	Herself
530580	397888	Herself (2003)
530581	86347	
530581	409928	Kim Vissers
530582	386488	Ruth Jones
530584	348727	Ursula's mother
530584	410461	
530585	62927	Maria Eleonora
530585	260406	Fortuna
530586	104807	Adam's Mother
530586	387963	Adams mamma
530586	390230	Desirée, waitress
530587	381316	Perlita Avilar (1982)
530588	213963	Gaggle Member
530589	356110	
530590	239958	Fiancée gare
530591	401339	Mrs. Lifanov
530592	260435	Karolina
530592	394750	
530593	35855	
530593	77096	
530594	343310	Student
530595	186151	Marianne
530596	405209	Simone Isaac (1998)
530597	8133	
530597	74131	
530598	16838	Angelique
530598	131431	Tina
530598	134723	Jody
530598	142165	Young Woman with Blane
530598	144545	Airport Stewardess
530598	146780	
530598	196328	Jasmine LeJeune
530599	257434	Herself at the Cocktail
530600	256133	Natalie
530600	366200	
530601	290378	Eleni
530602	409990	Laura Kunert
530603	80463	Lady in Nightgown (Frau im Sc
530603	91116	Ada Schellander
530603	103130	
530603	116023	
530603	134214	
530603	142003	Johanna
530603	142274	Hertha
530603	142510	Renate
530603	177034	
530603	179798	
530603	188745	Therese
530603	191426	
530603	230093	
530603	240402	Anna
530603	289860	
530603	312998	Ulrike Meinhof
530603	397957	Magdalena
530604	2637	
530605	345752	School Child
530606	252963	Girl
530607	410441	Angela Brown (1993)/Makoemba 
530608	54957	Yasmin Pizamonti
530608	89970	Tina
530609	162758	
530610	5232	
530610	395865	
530610	407906	
530611	389887	Paula
530612	350580	
530613	70228	Singer
530614	109948	Irmã Jacinta
530615	68809	
530616	301842	Fifi
530617	39138	
530617	39140	
530617	39521	
530617	43253	
530617	45873	NonSex
530617	62484	
530617	194252	
530617	231671	Laura
530618	182949	Prostitute
530619	16360	
530619	29241	
530619	38612	
530619	39039	
530619	88422	Nurse
530619	130307	Mai Ling
530619	163765	
530619	181109	Melba Lofranco
530619	192828	
530619	200508	
530619	234966	Adela Giroldi
530619	285608	Lang
530619	325720	Marilyn
530619	328270	
530619	392690	Sadinah
530619	404049	Christina Tiongson
530619	404051	Gloria
530619	407337	Badong's Mother
530620	39505	
530620	221011	
530620	355909	
530620	397578	Nereida
530620	401438	
530621	292817	Rachel
530622	385299	Jean Bates
530624	104705	Herself
530625	325134	
530626	331427	Western dressed village woman
530627	358114	Albanian Girl
530628	90950	
530628	373663	
530629	7769	
530629	43178	
530629	370995	
530630	215697	Miss Canada (Runner-Up)
530630	290936	Shaggy Chick
530631	355052	Extra
530632	316177	Jane Williams
530633	213037	Mrs. Herbert, the neighbor
530633	263319	Ma Parks
530634	155201	Ginny Novak
530635	37867	Susan McCarthy
530636	94416	Genevieve
530636	214028	Eliane
530636	336311	Ava
530636	356847	Judith
530638	132390	
530638	141670	
530639	326516	
530640	256599	Bente
530641	130607	
530641	190094	Angie
530642	37034	Sharon
530642	118363	Sailor's Wife
530643	44963	
530643	69119	Marie-Agnès
530643	83397	
530643	88845	Laura
530643	107533	Julie
530643	134598	Sophie
530643	170468	Une journaliste
530643	202069	Nicole
530643	280530	La psychanalyste
530643	319969	Modeste
530643	384576	Eliane Cerretti
530643	388312	Stéphanie Colin-Maillard
530643	391621	Herself
530643	393489	Herself (regular guest)
530643	395334	Judith Hutter
530643	404914	Cécile Ferac
530643	411998	
530644	217167	Cliente
530645	84820	Vera
530646	134226	
530647	134226	
530648	179588	
530649	7329	
530649	48329	
530649	95938	
530649	160814	
530649	223565	
530649	229023	
530649	238323	
530649	255900	
530649	258406	
530649	258684	
530649	263542	
530649	268133	
530649	284065	
530649	304170	
530649	324651	
530649	373573	
530649	375188	
530649	375330	Ninka
530650	314466	
530651	6289	
530651	8514	
530651	13214	
530651	85400	
530651	104893	Maria
530651	123103	Aunt Maria
530651	173084	Domna Sgourou
530651	182445	
530651	195236	
530651	246612	
530651	261625	
530651	317097	
530651	340287	
530651	403251	Sofia Sofianou
530652	23237	Maid
530653	239420	
530654	410434	Host
530655	83364	Sabine
530656	90152	Lady Altisidora
530656	175683	
530657	173958	
530658	211231	Vardush
530659	15232	
530659	15423	
530659	30875	
530659	99286	Elizabeth
530659	175702	
530659	222471	
530659	226685	
530659	273587	
530659	328091	
530659	334022	
530660	18503	
530661	201986	Journalist
530662	18221	
530663	190805	Lilja's Mother
530664	995	
530664	3025	
530664	34231	
530664	59977	
530664	60447	
530664	60457	Mrs. Holl
530664	62356	
530664	63354	
530664	63624	
530664	76998	Zinaida
530664	95749	
530664	124843	
530664	126267	
530664	132567	
530664	171673	
530664	180367	
530664	182462	
530664	198126	Anna Aleksandrovna
530664	198127	Anna Aleksandrovna
530664	227117	
530664	229021	
530664	229175	
530664	229906	
530664	231142	Simochka
530664	293907	Doctor
530664	297862	Aufbaum
530664	304253	
530664	312537	
530664	313621	
530664	313889	
530664	320697	
530664	323302	Mrs. Griffith
530664	337879	
530664	341025	
530664	341218	
530664	348709	
530664	349077	
530664	356921	
530664	357336	Shurochka
530664	357472	
530664	371001	
530664	373573	
530664	375114	
530665	258668	
530665	373777	
530665	374731	
530666	392802	Yasmine Bleeth
530667	338037	Darlina
530668	388557	Journalist
530668	398554	Dr. Anvar "Annie" Parvez
530669	64729	Dancing Girl
530669	277073	Woman on Boat
530670	121785	Strip Show Dancer
530671	364070	Secretary
530672	307768	Herself
530673	244033	
530674	6237	
530674	159306	Sneha Latha Reddy
530674	229816	
530674	237014	Leading Lady
530674	246075	Roma
530674	247162	Shruti
530674	350756	
530674	351078	
530675	123843	Gangotri
530676	159065	
530677	195461	
530678	124031	
530679	171994	Divya
530679	199869	
530680	169664	
530681	173220	Noriko
530682	19987	Mrs. Halton
530682	119796	Mme. Denaux
530682	154770	Mme. Cnockhaert
530682	290336	Mrs. Candour
530683	98992	
530683	198314	La petite chienne
530683	278554	Rini
530683	405282	Sarah
530684	243763	Aglaoniki
530685	364300	Herself
530686	67485	
530687	147188	Käthe
530688	358098	
530689	28719	
530689	68316	
530689	81336	
530689	83819	Bessie
530689	87797	Lily
530689	99828	Caya
530689	136461	Princess Rubali
530689	140001	
530689	152169	
530689	159227	
530689	159228	Mrs. Morrell
530689	161664	
530689	200474	
530689	211324	
530689	215836	Maria
530689	217993	Florinda Fielding
530689	278361	Flossie
530689	285872	Elena
530689	381380	Marina Lagdameo
530689	404049	Consuelo
530690	272944	Bills Daughter
530691	29706	Fifi
530692	29706	Rafia
530693	29706	Djita
530694	144406	
530695	146845	Oldest sister
530696	32899	Chique
530696	78974	Lia
530696	118027	Young Thai Nun
530697	30048	Herself
530697	114266	Tina
530697	381380	Rowena Macaraeg
530698	17318	The lesbian social-worker
530698	28099	Girl in the kitchen
530698	58830	Girl at Madames house
530698	114033	Woman having sex at the toile
530698	182540	
530699	149353	Herself (Tomika's daughter, A
530700	45825	Girl at party
530701	320100	Physician in audience
530702	8207	Herself
530703	185155	Mrs. Dixon
530704	149353	Herself (Arthur's mother)
530705	79486	Herself (Guest Back Up Vocali
530705	79487	Herself (Background Vocals)
530705	143526	Additional Voices
530705	143527	
530705	168295	The Roach Chorus
530706	149353	Herself (Arthur's sister)
530707	195262	Maryen
530708	195276	Lele Nash
530709	395090	Areti Drakou
530710	244679	
530711	57001	Sue
530711	137237	Jun Ni
530711	152777	Casey
530711	252935	Kiko
530711	274375	Matilda Wong
530711	328561	Student Aide
530711	335199	Maria
530711	390068	Lane Kim
530712	3088	Catherine
530712	14347	Léa
530712	14354	Annette de Jutras
530712	15240	Sarah Bernardt
530712	17848	Marianne
530712	23632	Madeleine
530712	33547	Constance
530712	35351	La maîtresse d'Alex
530712	58811	Mme de Ghuilain
530712	65382	Annie Valdès
530712	101507	L'hôtesse de l'air
530712	108895	Hélène
530712	111002	Louise de Nueil
530712	111024	Marion
530712	143520	Nicole Morand
530712	162485	Marie-France
530712	163820	Corinne, la deuxième femme de
530712	193222	Hortense
530712	199587	Mother Braun
530712	200952	Arlette
530712	205640	Anne-Marie Dupreux
530712	212782	Élisabeth Vaillant
530712	215262	Célimène
530712	227537	Jozefina
530712	229492	Mme Sénéchal
530712	234900	La juge
530712	235717	Marylin Menez
530712	240600	Camille
530712	251063	Laurence
530712	258111	Agathe
530712	286316	Hélène
530712	288443	Liliane de Vidal
530712	339992	Agatha
530712	341504	Juliette
530712	345537	Marie
530712	352933	Charlotte
530712	377987	Michèle
530712	381430	Liz
530712	393772	Françoise
530712	398992	
530712	402622	Marie de Champçenais
530712	403642	La duchesse de Montpensier
530712	409527	Reine
530712	410376	
530712	410472	Marion Delcroix
530713	197976	Journalist
530714	78489	Herself - Host
530714	388392	Herself - Co-host
530714	409097	Herself - Host
530715	214422	Diane
530716	24503	Julie
530716	46156	
530716	123041	Kendra Darrell
530716	141606	Heather/Heaven Tucker
530716	211530	Venus
530716	224064	
530716	256627	Apple Receptionist
530716	263760	Gwen
530716	297636	Samantha Peterson
530716	301974	Angela
530716	335258	Girl in Michael's Dream
530716	358723	
530716	389075	Varda
530716	392277	
530717	48935	Boopsie Underall
530717	53046	
530717	73235	Liz
530717	105424	Erin West
530717	105436	Terry
530717	109667	Diana
530717	159945	Maureen
530717	159946	Maureen
530717	216707	Pool Girl
530717	299451	Groupie #3
530717	305784	Candy (The 976-Girl)
530717	366703	Wanda Warden
530718	118020	Blossom
530719	29746	Gina's Customer
530720	78478	Herself (performing 'Gi'r du 
530720	78479	Herself (performing 'Á la car
530720	78483	Herself (performing 'Tid til 
530720	78484	Herself (performing 'Du og je
530720	83072	Herself
530721	405849	Herself
530722	129661	Ingegärd Toring
530722	136701	Waitress at the pub
530722	154509	Guest at the hotel
530722	170838	Girl
530722	171991	Waitress
530722	190845	
530722	192928	Schoolgirl
530722	203269	Majken
530723	53937	Bumper
530724	243265	Karen, a Servant
530725	121140	
530725	350793	
530726	43213	
530726	45711	
530726	234299	
530726	258380	
530726	258444	
530726	280600	
530726	357471	
530727	242820	(segment "Naparnik")
530727	370140	
530728	262544	(segment Nash papa majonez)
530729	98800	Cricket Spectator
530730	172894	Konstantinos' neighbour
530731	11743	Herself
530732	356094	
530733	387477	
530733	410360	
530734	356094	
530735	356094	
530736	51134	Sygeplejerske
530736	82776	Casper's mor
530736	117458	Elisabeth
530736	152704	
530736	172654	Charlotte
530736	259739	Lillian
530736	305882	Britt
530736	398260	Anna
530737	225687	Laura
530738	92946	
530738	99519	Clara, Brugge, skuespiller
530738	125752	
530738	300520	
530738	338676	
530739	15988	
530739	397297	Reby
530740	29064	
530741	171883	
530742	4101	
530742	31515	
530742	125154	
530742	174297	
530742	200749	Don's dancer
530742	232614	Nilofar
530742	236689	
530742	241170	Poonam
530742	250635	
530742	286155	Salma
530742	324828	
530743	226029	Herself
530744	33846	
530745	13607	
530745	211252	
530745	215585	
530745	218401	
530745	272155	
530745	310686	
530745	349563	
530746	60824	
530747	21842	
530747	95929	Anush
530748	374029	Zare's girlfriend
530749	249294	Anush
530749	288311	Anahit
530750	127657	Zani
530750	211230	Nune
530751	13685	Exiled actress
530751	132389	
530751	135417	
530751	150998	Nadi
530751	206937	Mrs. Armin
530751	294726	
530751	297749	
530751	308997	
530751	320109	Pari
530751	342403	Ghada Holiday
530752	50608	
530753	283035	
530754	313622	Interviewer
530755	377464	Mrs. Paquotte
530756	3938	Kanako
530756	174984	Yoshimoto's Lover
530756	175715	
530756	298815	
530757	305362	Woman at Lady E.'s
530758	319824	Enfant boutique
530759	89397	Percival's Wife
530759	124240	Kinuyo
530760	265102	Girl at Dance
530761	137208	
530761	195771	Person in French Pub
530762	5593	Sybille Bast
530762	10418	
530762	19072	Monika
530762	21405	
530762	40410	
530762	109733	
530762	120343	Monica
530762	126394	Ilona
530762	134967	Ruth Sommer
530762	142186	Judith Schwaiger
530762	156734	
530762	179293	Oberstaatsanwältin Maron
530762	179294	Oberstaatsanwältin Maron
530762	179295	Oberstaatsanwältin Maron
530762	188862	Anna
530762	189816	Bettina Fachmin
530762	206559	Marta
530762	225268	Hanna Naumann
530762	225635	Maike
530762	235906	
530762	259534	
530762	259570	Ines
530762	281753	Laura
530762	312647	Ingrid Maier
530762	325787	
530762	325803	Dusja
530762	343685	Sylvia Ebner
530762	343687	Dr.Katharina Sand
530762	356734	
530762	366587	Luisa
530762	386905	Katja Franke (1998-2002)
530762	388967	
530762	389359	Ruth Sommer (1994, 1995-1996,
530762	389840	Sylvia
530762	397089	Laura
530762	399179	
530762	408827	Viola
530762	410154	
530763	344053	
530764	63347	
530764	211195	
530765	104779	Maltese vote presenter
530766	142535	Chris
530767	51378	Herself
530767	325182	
530767	370104	
530767	376969	
530768	108033	Rebecca Riley
530769	356578	Caterina
530770	204355	Herself
530770	381978	
530771	406381	Herself (2004)
530772	188096	
530772	380559	
530772	391100	Monique
530773	240202	Severina
530774	266930	Bruna
530775	131832	
530775	250987	
530776	50850	
530778	1266	
530778	2210	Olin
530778	381913	Participant, first out (2003)
530779	211844	Child
530780	229728	Receptionist
530781	117061	Baby Thea
530782	79043	Submarine Lieutenant
530783	40785	Anna
530783	190774	May
530783	217465	Sister Leopoldina
530783	292489	Alison
530783	391869	Lindsay Simons (19??)
530784	44551	Julia Brockett
530784	68772	Michelle
530784	124467	Eva Ramirez
530785	244825	Mollie Duggan
530786	195898	Jenny Shipley
530786	397234	Jenny Shipley
530787	84347	Leslie
530787	168286	Well Wisher
530788	128321	
530788	153563	Herself (7 Year Bitch)
530788	199194	Drummer
530789	4322	Deepa/Salma
530789	11445	Ritu
530789	18580	
530789	25526	
530789	26228	Pinky
530789	34192	
530789	45322	Rajni
530789	63506	
530789	70430	Julie
530789	84697	Dr. Bharati Singh
530789	86672	Doctor
530789	88502	
530789	94930	
530789	98488	Sapna
530789	98544	
530789	152392	
530789	152496	Anju Kapoor, Karan's mother
530789	163811	
530789	168552	Madhu
530789	168704	
530789	171791	Major's wife
530789	180725	Abhay's mother
530789	181019	
530789	181479	Archana
530789	182480	Meenakshi, Arjun's mum
530789	201019	
530789	201363	
530789	207102	Geeta
530789	208736	
530789	211250	
530789	222054	
530789	222551	Kannamma
530789	225985	Esha's aunt
530789	246112	
530789	254913	
530789	267268	
530789	267919	Jyothi
530789	271651	Roopa
530789	285537	
530789	286586	
530789	288779	
530789	297800	
530789	300415	Sujata
530789	313184	Maya
530789	320769	
530789	326095	
530789	333755	
530789	341695	Naina's mother
530789	344406	
530789	370204	Shalini Singh Puri
530789	370954	Smita Mittal
530789	373543	
530789	375198	
530790	13595	Karen Natter
530791	407801	Bruxa Paraguaia
530792	187563	Baby 'Russin' Volt I
530793	88077	Maid
530793	187563	Mrs. Lilja
530793	269521	
530794	351884	Girl
530795	235826	
530796	122438	Nusja
530796	224514	
530796	268489	Zonja Neriman
530796	324297	
530797	59397	Shushan
530797	79534	Nany
530797	127336	Nektar
530797	127657	Dedi
530797	180821	Shake
530797	188006	Hasmik
530797	211230	Sona-tati
530797	227229	Mariam
530797	252563	Shushan
530797	295254	Mariam
530797	295260	Taguhi
530797	371284	Mother
530797	373890	Agyul
530798	103410	
530798	147292	Madre
530799	9715	
530800	335943	Woman #5
530801	31621	The Bob Theorist
530801	150188	Velcro Girl
530801	257177	
530802	383784	Silvia
530803	108507	La cartomante
530804	108113	Juliette II
530804	235346	
530804	269109	la sorella
530804	314578	
530804	348200	Ewelyn
530804	348215	
530805	1766	Nièce de Madame Dumais
530805	68390	Infirmière cours prénataux
530805	99590	Fille à la maison de Bob
530805	111089	Aline
530805	133045	Francine Fournier
530805	198641	Isabel
530805	217266	Christina
530805	383651	Secrétaire
530805	389137	Nathalie Leblanc
530805	398078	Francine Lebeau
530805	403475	Francine Brossard
530806	402302	
530807	263620	Véronique Vieljeux
530807	379801	Julienne
530808	56773	Mrs. Nell Ince
530808	130130	Woman with Child at Street Fa
530808	154988	Strike Woman
530808	190208	Hayward Housekeeper
530808	234594	Broadway Theatergoer
530808	301701	Sister James
530808	321237	Nurse
530809	210113	Creszenz Ferner
530809	344390	
530810	71176	
530811	1529	Waitress
530811	26291	Lucy Girl
530812	347575	Frau Kaufmann
530812	347771	
530813	8832	
530813	234972	
530814	44659	María de Guísamo
530815	39053	
530815	180588	
530815	278534	
530815	325008	
530815	370634	
530815	375894	
530815	375901	
530815	382135	
530816	25768	
530817	269596	Andre
530818	131002	
530819	121860	Herself
530819	403388	Herself - Presenter
530820	4423	Anu Verghese
530820	65950	Kurangi
530820	127028	
530820	165392	
530820	175902	
530820	177563	Fenni
530820	276693	
530820	330642	
530821	114138	Reshma
530822	331464	Young Kate
530823	120023	
530823	377390	Greta, Carl-Bertil's date
530824	378273	Peijer's housemaid
530825	8271	Helga
530825	9793	Mrs. Haddin
530825	13192	Donna Laura D'Agrò
530825	19612	Monique
530825	24837	Nurse
530825	28100	Jane
530825	34389	Angelica
530825	61030	Anita (segment "Ma non ci spo
530825	68428	Vera
530825	68441	Giulia Medici
530825	90760	Rika
530825	94416	Monika
530825	94644	Clorinda
530825	102918	Rodolfo's Wife
530825	113710	Tazia
530825	124552	Margaret
530825	127995	Diana
530825	158956	Lady Gloria Boyd
530825	159688	
530825	162059	
530825	162060	
530825	200050	Anna
530825	204130	Sheila Morris
530825	204228	Linda
530825	205511	Maria
530825	224871	Pamela
530825	235742	Liz Ziegler
530825	238021	Helen
530825	242301	
530825	247958	
530825	251055	Sandra
530825	252632	Daniela Rovati
530825	252673	
530825	257018	Simonetta
530825	259702	Gloria
530825	263240	Ingrid Nillsen
530825	267031	Publisher's receptionist
530825	269483	Terry
530825	269707	Lucilla
530825	270332	
530825	270879	Julia Scott
530825	274350	Varna
530825	277610	Frau Kuppler
530825	288021	Teresa
530825	294286	María José
530825	301165	
530825	307054	Dalia
530825	314021	
530825	326585	
530825	349718	Celeste
530825	351060	
530825	355662	Stella
530826	283285	
530827	270977	Edna
530828	254485	Dancer
530829	259910	
530830	117308	Britta
530831	255438	
530832	53652	
530832	143702	
530833	194435	
530834	205669	
530835	64709	Margarita Orantes
530836	127290	Birthday Party Kid
530837	73883	Nurse #5
530838	28387	
530839	336250	
530840	74830	Madre de Abelardo
530840	135073	
530840	189049	Teresa/Tía
530840	318269	
530841	379461	Martha Aguayo
530841	384864	Mónica
530842	383780	Blue Leaf
530843	135074	Girl
530844	186723	Shirley
530845	80608	Amanda Meyer
530845	308999	Nicole Urbain
530846	10475	
530847	19441	
530847	97567	Guerrillera urbana
530847	355259	Patricia
530847	382867	Rosario 'Sayo'
530847	385069	Martha
530847	388814	Lina Castillo
530847	389688	Leslie Restrepo
530847	393035	Herself
530847	396125	Valentina
530847	397029	
530847	400638	Susana
530847	402332	Herself - Teacher
530847	410082	Silvia
530848	351494	
530849	292561	Annie
530850	307783	Sirvienta
530851	318604	
530852	252823	Angel's secretary
530853	353234	
530854	43077	
530855	77705	Student
530856	283683	
530857	303429	Mrs. Florea
530858	33420	Rosa Tomasino
530858	39536	Mrs. Sabballera
530858	47980	Julia Rico
530858	51367	
530858	54478	Hernandez, Luisa's dueña
530858	55437	Mrs. Castro
530858	74232	Mama Roma
530858	74706	
530858	82997	Teresa Sparducci
530858	88853	Mother of Boy with Diphtheria
530858	96861	Grandma Senta
530858	183626	
530858	185384	
530858	203479	Mrs. Capa
530858	205707	Señora Gordon
530858	212538	Betsy
530858	245403	Guadalupe
530858	263774	
530858	278210	Mom Monterez
530858	281889	Assunta
530858	296467	
530858	317715	
530858	329467	Mamma Donnetti
530858	333386	Inez, Victoria's Maid
530858	339101	Adela Gardin
530858	345860	Squaw
530858	355755	
530858	360482	Mama
530858	362854	Rosa
530858	378489	Al Bribona
530859	236040	Vicky
530859	344692	Tetéia
530859	381328	Tita
530859	385947	Young Carla
530859	387732	Marizé
530859	398500	Claudinha (1998-1999)
530859	401900	Cecília
530859	408744	Tininha
530859	410245	Giovana
530860	386123	Camila
530861	387640	Polaquinha
530861	388591	Isoldinha
530861	391673	Lu
530862	384711	Isadora
530862	398884	
530863	8581	
530864	27256	The Nun
530864	95306	Nubile Trainer
530864	151055	Rene
530864	181135	Maria Latvin
530864	215507	Pageant Audience
530864	230663	Fan
530864	272417	Carmen
530864	391125	Joline Woods
530865	388398	Luciana
530866	380196	San Marino's servant
530867	319391	
530868	7235	
530868	25809	
530868	103478	
530868	108843	
530869	332460	
530870	64049	(segment "Zé da cachorra")
530871	388065	Nevenka
530871	401087	Lu
530871	401900	Denise
530872	105216	Tina
530873	234499	Prostitute
530874	385947	Young Sônia
530875	109948	Neighbor
530875	214875	Tia-Avó
530876	397415	Alice
530876	401095	Dinah
530876	402424	Maíra
530877	221136	Salsa Dancer
530878	6640	Herself
530878	302549	
530878	391674	Herself
530879	56632	
530879	63320	
530879	92335	Angélica
530879	92343	
530879	111315	
530879	122442	
530879	244578	
530879	246388	
530879	272993	
530879	277237	Lupita Chavez
530879	319661	Marisa Miranda
530879	351624	
530880	268940	Femme au lavoir
530881	302302	Luzia
530882	296696	Model #1
530883	302302	Concheta
530884	234641	
530884	306667	
530885	339945	Zanobar's Mother
530886	212241	
530886	354197	Singers
530887	212515	
530888	27627	Rose
530888	174888	
530888	404049	Esther
530889	37035	Traveler
530890	142064	Herself
530891	221737	Mujer de taberna
530892	9731	
530892	14768	
530892	52110	Amalia
530892	55089	
530892	67213	
530892	69652	
530892	82397	
530892	86097	Luciérnaga
530892	86905	
530892	100275	
530892	132652	
530892	153336	
530892	160824	
530892	215233	
530892	225704	
530892	231965	
530892	235979	
530892	253624	
530892	257431	
530892	278942	
530892	327199	
530892	339097	
530892	353592	
530892	355757	
530893	307277	Mujer Centro Social
530893	371290	Cuñada
530894	244656	
530894	394005	AJ
530894	403056	
530894	407337	(2003-)
530895	56022	
530895	73285	
530895	89916	
530895	334683	
530895	355781	
530895	373951	
530895	392653	Estela Barona
530895	399806	Amparo
530896	114322	
530896	341080	
530897	381380	
530898	75199	
530899	15061	Le mannequin
530899	116439	Rose
530899	211741	Sylvia Jeanjacquot
530899	286327	
530900	401694	Nancy
530900	405835	Carmen Pérez
530901	200048	
530902	381024	Obrera
530902	385401	Enedina
530902	385873	
530902	387090	
530902	397463	Gildarda
530903	194666	School Play Singer
530904	379023	
530905	14639	
530905	43431	
530905	135155	
530905	148120	Paloma
530905	205664	Mariana
530905	225050	
530905	225543	
530905	234057	
530905	235311	
530905	244628	
530905	267408	
530905	357507	
530905	380080	María
530905	387685	Mirna
530905	392806	
530905	401918	Sra. Encino
530905	402540	Lucía
530905	404259	
530905	407542	Maslova
530906	390450	
530907	33848	Attorney
530908	344	Mexican Wrestler #1
530909	108843	
530909	317710	
530910	128952	
530911	401916	
530912	90095	
530913	9669	
530913	51550	
530913	54824	
530913	69023	Cristina Lozano
530913	71283	
530913	76106	
530913	86729	
530913	92597	
530913	104078	
530913	121285	
530913	171461	Rosa Lara
530913	183160	
530913	192993	
530913	202217	
530913	204276	Beatriz; Laura, paciente
530913	207979	
530913	222029	
530913	222030	
530913	229803	
530913	239287	
530913	251183	
530913	256774	
530913	256800	
530913	301190	
530913	319733	Mrs. Madero
530913	345599	
530913	355936	
530913	368378	Mother
530913	378457	
530913	379908	
530913	380517	Amada
530913	384390	Ofelia
530913	384845	
530913	384988	Catalina de Altamira
530913	385047	
530913	385392	Doña Petra
530913	385417	
530913	387067	
530913	387602	
530913	391743	
530913	392957	
530913	396211	Clara
530913	396840	
530913	399084	Blanca
530913	399525	Sofía
530913	402249	
530913	405867	
530913	409011	
530913	409812	Isabel
530913	410327	
530913	412271	
530914	146528	
530915	370087	
530916	333291	Herself
530917	105110	
530918	215224	
530919	210483	Woman With Child
530920	168928	Guidance Counselor
530920	174888	
530920	287067	
530920	400738	Coring
530921	29673	Erigena
530921	62398	
530921	89916	
530921	136736	
530921	184242	Teresita Campos
530921	225051	Irene
530921	339988	Maria
530922	234318	
530922	310033	
530923	77705	Shanty girl
530924	287712	
530925	182334	Construction Worker
530926	9725	
530926	10825	Segunda Alicia
530926	19454	Nieves
530926	52916	
530926	55323	
530926	61204	
530926	74640	
530926	101472	Virginia
530926	121786	Dolores
530926	146475	
530926	148138	
530926	265330	
530926	269560	
530926	276487	Countess Elisabeth Bathory
530926	334702	
530926	337960	
530926	376807	
530926	406894	Ujier
530927	37706	
530928	381921	Vanessa 'La Muñe' Aguilar
530928	387182	Host
530929	380210	Nana
530929	387681	Sarah
530929	388814	Gaby
530929	389233	Johanna Escobar (2001-2004)
530929	402452	Violeta
530930	263880	
530931	221705	
530932	846	#23 Bad Hair Days
530932	1487	Herself
530932	1673	Herself
530932	1681	Herself
530932	1706	Herself - Performer
530932	1743	Herself
530932	1748	Herself - Presenter
530932	2258	Herself - Performer
530932	2549	Herself (performer)
530932	2562	Herself
530932	2581	Performer "Beautiful" and win
530932	2721	Herself
530932	48489	Herself
530932	62928	Herself
530932	62929	Herself
530932	62930	Herself
530932	120665	Herself
530932	208475	Herself (#3) (Interviewee)
530932	221413	Herself
530932	221424	Performer
530932	221426	Hostess
530932	221434	Herself
530932	221438	Guest/Performer
530932	221479	Herself
530932	221480	Herself
530932	221481	Herself - Presenter
530932	221482	Herself - Presenter
530932	221483	Herself - Performer
530932	224391	Herself
530932	231856	Herself - Singer
530932	249590	Performer
530932	274695	Fa Mulan
530932	334069	Herself - Best Female Artist 
530932	352972	Herself
530932	352987	Performer
530932	358818	Herself
530932	364401	Herself
530932	386470	Herself
530932	397991	Herself (Seasons 6-7)
530933	220171	Piedad
530933	379896	
530934	171469	
530935	183467	
530936	64976	Margarita Figa
530936	149128	Cleusa
530936	152253	Sara
530936	233539	Sonia
530936	269912	
530936	273836	Nicholas' Lover
530936	294732	Leni
530936	332377	Moon
530936	341780	Profesora novata de Patología
530936	343447	Marisa
530936	369870	Herself - Presenter: Best New
530936	379566	Miriam (1997-2000)
530936	385497	Sandra
530936	387811	Alicia Galván
530936	392849	Mar
530936	395041	
530937	185861	
530938	36554	Receptionist
530939	48831	Vendedora flores
530940	213389	
530941	159518	Danielle, age 7
530942	394247	Sugar (2003)
530943	383471	
530943	385873	Ximena
530943	397009	Déborah
530944	87896	Little Amy
530945	77640	Ella
530946	387946	Contestant (2003)
530947	61351	
530947	61434	
530947	83543	
530947	90017	
530947	100791	
530947	132720	Luz
530947	265147	
530947	280617	
530947	301113	
530947	308907	
530947	319492	
530947	384775	
530948	9656	
530948	12910	
530948	13139	
530948	31537	
530948	53615	
530948	74583	La Adelita
530948	94873	
530948	101875	Sor Ana
530948	108130	
530948	108714	Mercedes Benz de Carrera
530948	120721	
530948	123149	
530948	145237	Aurora
530948	190408	
530948	209066	
530948	213390	
530948	234014	
530948	235297	
530948	235298	Maria Eugenia Blanco
530948	243468	
530948	245478	
530948	249785	
530948	251564	
530948	253565	
530948	287739	
530948	296134	
530948	300734	
530948	301179	Rosario
530948	301186	
530948	302402	
530948	353990	
530948	371728	
530949	8727	
530949	171619	
530949	379043	Mariana
530949	383518	
530949	396898	Blanca
530949	397572	Teresa 'Tere' Del Alba de Leg
530949	398458	
530949	401696	Marina
530949	402219	Sister Regina
530949	403257	
530949	403752	Enriqueta de Navarrete
530949	409017	Virginia
530950	44662	Tamara
530950	54346	Lolita
530950	55669	
530950	70088	
530950	71123	
530950	74364	
530950	91338	
530950	91351	
530950	103425	Abril Mares
530950	114336	Agente 2
530950	121771	
530950	199977	
530950	209297	
530950	226193	
530950	235047	Lucía
530950	256793	
530950	269235	
530950	277361	
530950	293963	Sagrario
530950	326223	Almendra
530950	337461	Susan Riggs
530951	3135	Yaquita
530951	14772	Beatriz
530951	25806	Greta
530951	54232	Red Riding Hood's Mother
530951	54235	Red Riding Hood's Mother
530951	57252	
530951	61197	
530951	74559	Charito
530951	77250	Angélica
530951	86710	
530951	96263	
530951	96377	Doa Amalia Castelar
530951	97367	
530951	97658	
530951	100262	Orozco's mother
530951	100510	
530951	103788	
530951	108130	
530951	145139	
530951	193188	
530951	202025	
530951	202618	
530951	205607	
530951	208841	
530951	212365	
530951	212389	Alicia,esposa de Ricardo
530951	212434	
530951	216088	Rosario
530951	218092	
530951	225553	Carmelita
530951	236432	
530951	239251	
530951	246870	
530951	273842	Esther Iriarte (segment "Euta
530951	283140	
530951	292727	
530951	294071	
530951	306683	Lolita
530951	307205	
530951	318252	
530951	328194	
530951	328613	
530951	332689	
530951	332915	
530951	339088	
530951	354716	
530951	357504	
530951	379834	Rosita
530951	379904	
530951	379941	
530951	381224	Agustina
530951	381839	Emilia
530951	384864	
530951	384899	
530951	384980	Victoria Antillón 'abuela de 
530951	384982	Lorenza
530951	386169	
530951	386205	
530951	386660	
530951	387100	
530951	387170	
530951	387689	Doña Rebeca
530951	389428	
530951	389842	
530951	391848	
530951	392290	Dona Irasema
530951	395885	Esther Sandoval
530951	397018	
530951	398457	Nena
530951	398804	
530951	399823	Alfonsa Valderrama
530951	400947	Celina
530951	402250	
530951	404985	Señora Ricarte
530951	405415	Doña Salud Rojas viuda de Vil
530951	407860	
530951	410313	Luz Maria
530951	410315	
530951	410450	Agustina de Romero Rubio (II)
530952	34666	Taft Hotel Maid
530952	70224	Mrs. Sanchez
530952	218106	Uniform Cop
530952	223745	Executive #1
530952	287727	Spanish Teacher
530952	299198	Mexican Hooker #1
530952	338277	Female Spectator
530953	235022	Roman Slave #4
530954	84175	Magda
530954	396132	María Pía
530955	84085	Adolescente 2
530956	74865	Manuelita
530956	390745	Jessica
530956	405324	Fina
530957	25737	Niña
530958	62536	Girl on Phone
530958	139050	Security Guard
530958	293258	Conchita Velasquez
530959	143499	General's daughter #1
530960	5353	
530960	10121	
530960	10466	
530960	12910	
530960	13139	
530960	25811	
530960	53996	
530960	55946	
530960	68571	
530960	74648	
530960	74845	(segment "La seductora")
530960	74898	Ana María
530960	90223	Blanquita Alas de Cuervo
530960	90521	
530960	96270	
530960	103975	
530960	104005	
530960	112701	
530960	127394	
530960	145214	
530960	183526	Rosita
530960	190408	
530960	193021	
530960	207968	Hilda Cervantes
530960	209403	
530960	221682	
530960	221900	
530960	221929	
530960	221979	
530960	239268	
530960	243468	
530960	247425	La Valentina
530960	249785	
530960	253565	
530960	266472	
530960	296134	
530960	307637	
530960	345599	
530960	353573	
530960	353990	Dalia
530960	357520	
530960	379147	Elena
530960	381598	
530960	382197	Carolina de Castro
530960	395857	Abril Castellanos
530960	398069	
530960	398486	Marisa
530960	398490	Cecilia de Martínez (1999-200
530961	34553	Mari
530961	210163	Bego
530962	70090	Mujer entrevistada
530963	3399	
530963	4915	
530963	8708	
530963	19504	
530963	20856	
530963	28971	
530963	39083	
530963	49098	
530963	51099	
530963	51520	
530963	51902	
530963	57421	
530963	57978	
530963	67215	
530963	69325	
530963	73085	
530963	76106	
530963	77871	
530963	85732	
530963	91317	
530963	96298	Carmela
530963	96353	Chica de colita
530963	99066	
530963	104837	Eva
530963	110415	
530963	121969	
530963	124041	
530963	137001	
530963	143763	Hilda Molina
530963	143790	
530963	145177	
530963	198994	
530963	198997	
530963	207733	
530963	209046	Hora del Real
530963	212070	
530963	212466	
530963	216861	
530963	221891	
530963	226499	Isabel Carrasco
530963	231298	
530963	233949	
530963	243687	Omaira
530963	252606	
530963	253057	
530963	255547	Portera
530963	263829	
530963	264387	
530963	265330	
530963	270068	Rosita
530963	281607	
530963	284088	
530963	300683	
530963	301573	
530963	309092	
530963	327443	
530963	351026	
530963	355752	
530963	375882	
530963	376774	
530963	383155	Inés
530963	383273	Lilia
530963	383568	Casandra Del Junco
530963	384126	Tía Beatriz
530963	384864	Marcela
530963	386784	
530963	387100	Marina
530963	387478	
530963	392799	Sandra Morgado
530963	399763	María Treviño
530963	402181	Fernanda
530964	50444	Extra
530965	170727	
530966	104291	Fina
530967	68505	Drunken woman
530968	245053	Shooting Victim/Hostage
530968	367964	Student
530969	55901	
530970	197451	singer
530971	124528	La suavecita
530972	140819	
530973	148109	
530973	208710	
530974	408724	
530975	145162	Juana
530976	203344	Interviewer
530977	61067	
530977	76111	Marta
530977	251589	
530978	6475	Cashier
530978	17881	
530978	68058	Doña Nacha
530978	100377	
530979	100377	
530980	64157	Narrator
530980	192937	
530980	291626	
530981	152382	
530981	256888	
530982	200574	Ada
530983	61208	
530984	306705	
530985	247869	Nena
530986	52941	
530987	352009	
530987	380090	
530987	390816	Lupita
530988	97365	Child
530989	83761	J.T.
530990	114873	(segment "Martinete")
530990	148162	
530991	277115	Julie Meyers
530992	256188	Pink Chiquita
530993	408720	Leticia
530994	65158	Mother of Luis
530994	148036	
530994	184369	Blanca's Parent
530994	308303	Roseta
530995	89596	Lialia Telepniova
530996	199860	Hasnah
530997	173132	
530998	341939	Girl in Headshots and Auditio
530999	215687	Herself - Miss Philippines
531000	71157	
531001	251313	Beautiful barmaid
531002	206320	
531002	233188	Assistant to Guru
531002	266897	Nurse
531003	104764	Herself (Spanish Entry) (6th 
531003	322593	
531003	349335	Herself - Host
531003	387692	Leonora
531003	399505	Pilar Solano
531003	400341	Herself - Directora de la Aca
531003	409463	Secretaria (1987-1988)
531003	410203	Participant (1999)
531004	3283	Guardesa/Female Guard
531004	13071	Trini's mother
531004	43982	
531004	44659	Pelona
531004	76110	Emilia
531004	100254	Mariana
531004	101890	Directora
531004	115759	Neighbor A
531004	132723	Rosa
531004	148088	Anciana 2
531004	154440	Asunción
531004	161666	Juliana
531004	184850	
531004	187842	Marisa
531004	197441	
531004	197886	
531004	199805	Angelita
531004	202296	Mercedes
531004	215029	Housemaid
531004	221963	La monjita (the nun)
531004	233337	Aldeana Panal
531004	243560	Hermana/Sister
531004	252053	
531004	287462	María
531004	310302	Julio's Mother
531004	325341	Madre
531004	332636	Cristina
531004	357187	Madre de Charli
531005	13432	Antony & Cleopatra Promo - Cl
531005	14231	Nurse Alex Price
531005	15215	Amy Medford
531005	22816	Escaping woman
531005	28561	Ingrid Jensen
531005	45885	Mrs. Bruce
531005	45886	Mrs. Bruce
531005	60767	Anya
531005	61646	Joanne Simpson
531005	62004	Catherine Severnack
531005	78977	Carolyn Page
531005	79044	Burn Doctor
531005	89947	Ann Ballard
531005	90697	
531005	96634	Molly Prior
531005	96839	Asua
531005	102244	Jill Mason
531005	119408	Daffers
531005	124480	Maud
531005	132823	Herself
531005	154368	
531005	154619	Wynne
531005	160571	Unknown
531005	177519	Hannah Coke
531005	178058	Dominie Lanceford
531005	185827	(segment "A Subaltern's Love-
531005	193406	Jessica 6
531005	193408	Jessica
531005	193860	Johanna
531005	196232	Rosaline
531005	202960	Linda Frazier
531005	203177	Louise de la Vallière
531005	208663	Priscilla Mullins
531005	235386	Jill Albery
531005	236697	Kenosha
531005	244312	Desdemona
531005	249265	Sarah, Victor's Wife
531005	271154	Bobbie Waterbury
531005	271155	Mother
531005	274080	Herself
531005	277826	Clara
531005	281144	Lady Capulet
531005	290382	Cook
531005	292593	Miss Lowrie
531005	294573	Isobel
531005	298295	
531005	301490	Nancy Lammeter
531005	306234	Frith
531005	307137	Herself
531005	313514	Pamela Roper
531005	320144	Hobbs
531005	321351	Ann
531005	330856	Pam
531005	358621	Girl
531005	359279	Maureen Tomelty
531005	365246	
531005	379571	Jane Clark
531005	379718	
531005	380190	Connie Fairbrother Spencer
531005	381802	Lizzie Corlay
531005	382796	Presenter ("Gardens")
531005	382912	Idina Hatton
531005	399304	Kirsty Kerr #1
531005	402799	Roberta Waterbury
531005	403239	Lady Scott
531005	406212	Tessa Phillips (2002-)
531005	407683	Kate Milverton
531006	42831	Jasmine
531007	313881	
531008	101890	La Pelos
531009	385301	Lola Wise (2003)
531010	177935	
531011	214501	Vera
531011	229710	
531011	253782	Éva
531011	322065	Jolán
531012	338660	Lillemor (age 14)
531013	384861	Seductive
531014	379093	Blanca
531014	384925	Crisalida
531014	385252	Cachita
531014	396644	
531014	399804	
531014	404075	
531014	408408	Delfina Magallanes
531015	233952	Niña 2
531016	361901	The Girl
531017	89435	Tadai
531017	374497	Sepideh
531018	229719	Herself
531019	142184	
531020	175005	Herself
531020	383973	Naama Elifaz
531020	391739	
531020	395852	(two seasons)
531021	104756	Israeli entry (7th place)
531021	174997	Herself
531022	398689	Na'ama
531023	8653	
531024	203679	Kid Playing In Yard
531025	265772	
531026	166771	Doris
531026	259650	Susanne
531026	380396	Amanda
531026	382503	
531027	343415	
531028	349137	Vanhainkodin johtajattaren si
531028	349143	Kuningatar Silvia
531028	349146	Kuningatar Silvia
531029	64537	
531029	72497	
531029	89148	
531029	195493	
531029	238738	
531029	240181	
531029	359226	
531030	44456	Salsa club dancer
531031	31018	Extra: Metro
531032	287149	Young girl
531033	79719	Cynthia
531033	166879	Bride
531033	264581	Pvt. P.J. Soyer
531033	276635	Audrey
531033	364516	Day Nurse
531034	132739	Evangeline
531035	64161	Herself
531035	128960	Gladys (dancer)
531035	241865	Joyce Carewe
531035	255315	Laoma
531035	364430	Herself - Dancer
531036	192019	Susan
531036	194800	Baby Alice Standish
531036	279713	Their Baby
531036	345826	Little Harris
531036	360651	
531037	182359	Backing vocalist
531038	690	Mrs. Merton
531038	23932	Herself
531038	23934	Herself
531038	68026	Herself
531038	163463	Various roles
531038	353490	
531038	388474	Various roles
531038	389243	Mrs. Merton
531038	398425	Mrs. Merton
531038	398426	Mrs. Merton
531038	403853	Denise Royle/Best
531038	405558	Herself
531039	222777	Dancer at the 'Cocoanut Beach
531040	7641	
531041	255386	
531042	241249	Bikini-Clad Beauty
531043	303501	Deanna
531044	32373	Gas Station Attendant
531044	171580	Astrid
531044	182279	Wanda (episode 1)
531045	132460	
531046	223514	Jelena
531047	407109	Herself (2002)
531048	315034	Cop 2
531049	39602	Maria
531050	270952	Ninni Nyman
531051	182553	Ironing woman
531052	185964	Restaurant Patron
531053	358846	Miss Måneskin-pige
531054	56082	
531054	109323	
531054	189750	Madame Irene
531054	206307	Madame Pompadour
531054	352353	Peggy Barling
531054	358220	
531055	196303	Female Guard
531056	84113	Dumpster Baby
531057	181883	Vastaanottovirkailija
531058	147008	Margit
531059	322840	Herself as Huvudförfattare
531060	174779	
531061	198699	Aino
531061	405505	Anan vaimo, Selma Rummukainen
531062	1577	Jaggers pige
531063	18334	S.D.
531063	314993	Stella
531064	153717	Kicki
531064	182570	Kicki
531064	190811	Spåkvinnan
531065	282087	Waitress on the boat to Stock
531066	168119	Hauviette
531067	164633	Karin Sandstroem
531068	24742	Harriet Humbert
531068	89837	Young girl
531068	234664	Britta Olsson
531068	307710	
531068	394744	Greta Bremer
531069	148909	
531070	407262	Herself - Pianist (2004)
531071	136701	Woman
531072	342863	Woman Friend
531073	47407	Sanna
531073	153547	Taavi's Mother
531073	189899	
531073	200955	Nurse
531073	232585	Kaarina
531073	246913	Jelena
531073	271883	
531073	357788	Everstin tytär
531073	357789	
531073	380247	Gisela
531073	394886	Blonde
531073	395904	Leila
531073	399648	
531073	400780	Titta, Ilmarin tyttö
531073	407198	Hillevi Latva-Hintikka
531073	409041	Sara Tuunanen
531074	372971	Elsi Björkman
531075	59717	Lady
531076	153731	Kvinnan
531077	182566	Guest at the party
531078	115881	Dancer
531078	204532	
531078	343484	Dancer
531079	192827	Daughter of Nikolaus
531080	31822	Natalie, the bar-girl
531080	192783	
531081	149463	
531082	259353	Linder's secretary
531083	195831	Kelly
531084	84296	Herself
531085	104775	Host
531085	104778	Swedish Vote Presenter
531085	210357	Herself - Host
531085	387959	Himself - Co-Presenter (2000)
531086	20320	
531087	354339	Blenda Vogel/Blenda
531089	221613	Balli Tai
531090	187053	Party Woman No. 1
531091	4552	
531091	10545	Asmidar
531091	25751	Azura
531091	28206	
531091	38329	
531091	103635	Intan
531091	242958	Police Agent
531091	267894	
531091	267897	
531091	275795	
531091	384361	
531092	49134	
531093	209468	Nadia
531094	167069	Herself
531095	91427	
531095	163083	
531096	318891	Mahsuri
531097	157602	
531098	41245	Maria
531099	287254	
531100	378914	Presenter
531101	25417	Hysterical Woman
531102	41410	Sun's Student
531103	218284	Nadia
531104	85325	
531105	127032	Singer
531105	226114	
531106	138089	
531107	215697	Miss Ethiopia
531108	8063	
531108	23406	
531108	27753	
531108	28737	
531108	64611	Layla
531108	135434	Zakia
531108	171842	
531108	285534	
531108	289176	
531108	324996	
531108	381015	Khayria
531108	396594	
531109	79049	Vampire
531110	36022	Asha
531110	208531	Asian Mother
531110	365476	Mrs. Ayub
531110	378491	Ahira
531110	383363	Rani (The Sea Captain's Tale)
531111	30603	Maya
531112	8316	
531112	64611	Sabah
531112	112684	
531112	137328	
531112	139347	
531112	173309	Fatma
531112	175926	
531112	183950	
531112	220479	
531112	230069	Nadia
531112	271592	
531112	272991	
531112	275013	
531112	285540	
531112	324985	
531113	381451	News Correspondent (1997-1999
531113	383896	Herself - Presenter (2000-)
531114	312399	
531115	167891	Dina (Older)
531116	11242	
531117	12638	
531118	341724	
531119	9431	
531120	17374	
531121	226140	
531122	38181	Woman in bar
531123	126908	
531124	366027	Partygoer
531125	60658	Young-shin's mother
531125	243997	
531126	126810	Lee, Kyeong-won
531127	163996	Jin-ok
531128	8293	
531128	16550	
531128	37523	
531128	48528	
531128	51010	
531128	59059	
531128	60575	
531128	60665	
531128	80079	
531128	84507	Jeong-sun
531128	95043	
531128	102040	
531128	102079	
531128	123492	
531128	136374	
531128	136410	
531128	136500	
531128	153434	
531128	153515	
531128	155126	
531128	155573	
531128	163825	
531128	165030	
531128	165113	
531128	169014	
531128	202519	
531128	204523	
531128	227141	
531128	280899	
531128	294455	
531128	295246	
531128	298832	
531128	322904	
531128	329010	
531128	329014	
531128	349014	
531128	370334	
531129	162647	
531130	259078	
531131	44702	
531132	136408	
531133	60399	
531133	63488	
531133	138301	
531134	193801	
531134	299798	Grace
531135	220132	
531136	102079	
531137	288168	
531138	77086	
531138	94288	
531138	136932	
531138	216405	
531138	218444	
531138	226572	
531138	227403	
531138	324658	
531138	332404	
531138	371165	
531138	391954	
531139	7271	
531139	126774	Poltoknyeo
531139	166017	
531139	371162	
531140	102088	Teacher Kim
531141	221656	
531142	66212	Rahna, the dancer
531142	204015	
531142	339919	
531142	377913	
531143	266656	Tziganskoto momiche
531144	93423	
531144	98060	
531144	189653	
531144	210078	Director's Wife
531144	352262	Marianne
531145	34371	
531145	123500	
531145	153775	
531145	284393	Sara Offor
531145	354739	Sygeplejerske
531146	394074	
531146	409111	
531147	376036	
531148	180507	Tyttö kadulla
531149	56178	Stefan's Sister
531150	129900	Girl on Porch
531151	170922	Sini Virtanen
531152	280561	Une speakerine
531153	168866	Roosa
531154	324607	Sari
531155	170245	Summer girl #3
531155	214840	
531156	179366	Janita Dahl
531156	260055	Nelli
531156	349137	Hoitaja
531157	271053	Toimittaja
531158	18900	Waitress
531159	156039	Midwife
531159	258814	Maija Harri
531160	281298	Siiri
531161	330640	Secretary
531162	255386	
531163	178376	Statist
531164	181883	Potilas käytävällä
531165	246933	Rakel
531165	253796	Ilmi
531165	409931	Vanha Venny
531166	89586	
531167	139360	Woman in black
531167	379655	Mère maquerelle
531168	11878	Frau Hartmann
531168	15916	Frau Henning
531168	29111	Innensenatorin Roth
531168	32396	Vera Franck
531168	45976	Annette Drechsel
531168	76388	
531168	94422	Professor Konstanze Korda
531168	101763	
531168	122616	
531168	132240	Gisela
531168	142080	Fee
531168	142184	
531168	150568	Frau Goldy
531168	204493	Inge
531168	204494	Inge
531168	225293	
531168	229165	
531168	243452	
531168	278138	Wife of Hungarian Dentist
531168	286575	Ursel Rehbein
531168	290239	Marlies Schrader
531168	290240	Marlies Schrader
531168	312108	Hannah
531168	325399	Frau Hagen
531168	325479	Doris Schellenbaum
531168	325533	Marion
531168	325618	Jenny
531168	325910	Professor Werrling
531168	365920	
531168	377357	
531168	384444	Professor Konstanze Korda
531168	388609	Frau Steinwachs
531168	391287	Barbel
531169	301034	Nina Siebert
531170	29570	
531171	385926	Theatre Nurse
531172	259627	
531173	157324	St. Jude Student
531174	122746	Ilse
531175	33507	Bella
531175	309292	Charlotte Uldahl-Ege
531175	330586	The Woman
531175	382884	Emelie Djørup
531176	265171	Grace
531177	29111	Sekretärin/Secretary
531178	111563	
531180	99528	
531181	72826	Herself
531181	404471	
531182	2917	Connie
531182	29662	Marissa Lapujade
531182	29663	Pauline Downs
531182	94309	Nadine
531182	97480	Lane
531182	97481	Barbara Lane
531182	97482	Lane
531182	97483	Lane
531182	171846	Nina
531182	225206	Karin Pascal
531182	259555	Luzy
531182	259573	Verena Weißenborn
531182	276632	Caro
531182	281724	Julia
531182	313660	Danuta
531182	313661	
531182	342088	Marlene
531182	352187	Eva Lehmann
531182	369410	Henriette
531182	388798	Sophie
531182	390812	Elinor Schwarz (1995)
531182	392502	Herself
531182	400304	Claudia
531182	404067	Maren Wolf
531182	410839	Lisa Kant
531183	428	Clark's wife
531184	350876	
531185	89193	Corrie
531185	175572	
531186	405209	Stacey Clark (2000-2001)
531187	203232	
531188	52070	Tourist 1
531189	105524	Sister Anna
531189	120950	Veronika Sonntag
531189	261548	Marquise de Pompadour
531189	361104	
531190	325606	Eva Walder
531191	270935	Girl at the cafe
531192	94342	Marianne
531192	115424	
531192	132241	
531192	164778	Madame Dupuis
531193	167201	
531194	1400	
531195	400496	
531196	239153	Nurse
531196	242257	Maid
531196	253075	
531196	283593	Playing woman
531196	294685	Elli
531196	319317	New maid
531196	321999	Woman in a community hall
531196	323628	Siiri
531197	254952	Janitor's wife
531198	239180	Herself
531199	52941	
531199	68557	Doña Josefa
531199	71123	
531199	85973	
531199	91338	
531199	106994	
531199	131060	
531199	152628	
531199	207658	
531199	212470	
531199	213705	
531199	221664	
531199	272623	
531199	275846	
531199	296126	
531199	332665	
531199	337677	
531199	375873	
531200	224894	Indra Hamsa
531200	262540	Rupal Mohan
531201	175982	
531201	262540	Mrs. Mohan
531202	330391	Congratulator
531203	52941	Pescadora
531204	168666	Judge's Secretary
531205	396333	Evelyn
531206	78220	Cristy
531207	183958	
531207	327239	Party Guest
531208	172799	
531208	197612	
531208	221494	
531208	253754	
531208	328684	Various characters
531208	344675	Sanelma Käyrämö
531208	386432	
531208	393991	Various
531208	394722	Various
531208	405802	Various characters
531209	169303	Sirkka's sister
531209	285155	Nurse
531210	114181	Kim-Anh
531210	134028	Hien
531210	141605	Bargirl
531210	311368	Lan
531211	82831	Cheung Yue-ling
531211	204054	Xiao Hong
531211	369124	Hejiang
531212	96415	Isis (the seductress)
531212	172285	Kilaak Queen
531212	176577	
531212	309102	
531213	102554	Ermo
531213	141912	The woman
531213	236226	Wu Mengmeng
531214	297069	Kalika
531215	9588	
531215	28911	
531215	34137	Okichi
531215	63541	
531215	138047	
531215	172108	Kikukawa
531215	172229	
531215	172235	
531215	172238	
531215	229775	
531215	236844	
531215	293667	
531215	299300	
531215	328090	
531215	349168	Aioi Dayu
531215	371982	
531215	373179	
531215	373317	
531215	373365	Honghua
531215	375576	
531215	375615	
531216	300386	Princess Fragrance
531216	369635	Princess Fragrance
531217	52028	
531217	132263	
531218	28112	
531218	210185	Katsura Mafune
531218	234244	Okei, prisoner
531218	300479	
531218	314630	
531218	407381	Lana
531219	63434	
531220	7459	
531220	208753	Cascabelle
531220	404211	Nalah
531221	258483	
531222	127002	The sister-in-law
531223	33104	Mina
531223	91131	Berghoferin
531223	120997	Bäuerin
531223	125172	Theres
531223	125333	
531223	126846	Försterin, Poldis Mutter
531223	130919	Bürgermeisterin
531223	144014	Mrs. Anger
531223	144080	Frau Rötelbacher
531223	144155	
531223	171562	Buchnerin
531223	175780	
531223	182895	
531223	238124	Marianne
531223	253964	
531223	290172	
531223	290791	Zenzi
531223	322527	
531223	376339	
531223	376462	
531224	335518	
531225	7408	
531225	20156	
531225	77019	Miranda
531225	78792	Lili
531225	111747	Nadine
531225	113414	Dana
531225	270920	Anna
531225	313594	Tess
531225	384085	Fremen Midwife
531226	309018	Laura Mayerhofer
531226	405971	Laura Mayerhofer
531227	102527	Krankenschwester
531227	204414	
531228	277676	Duchess of York
531229	133850	Farmer's Wife
531229	194104	
531229	385353	Tertuliana (2003-2004)
531229	390448	The extraordinary woman
531230	315530	Dancers
531231	227428	Okaku Shimamura
531231	241923	
531232	126688	Maid
531232	187442	Mattress Maker
531232	382384	Miss Hara
531232	382932	Shinko
531232	390083	Misao
531233	510	Kite
531233	515	Kite
531233	516	Kite
531233	517	Kite
531233	201289	Shiro Kabuto
531233	201290	Shiro Kabuto
531233	262104	
531233	299105	Akagane
531233	378651	Kite (Episode 28)
531233	394974	Analyze Robo Mint
531233	405275	Taiyô Ôzora
531234	138063	Alice's Mother
531235	99804	
531235	160732	Intan Mahsuri
531235	165525	
531235	167660	
531235	187093	Safiah
531235	220882	
531235	294035	Linda
531236	179822	Assistant
531237	234551	
531238	397999	Mayumi Igarashi
531239	187464	Czarina
531240	69333	Julia Bradford
531240	91522	Nancy
531240	108941	Pool Mother
531240	179424	Elissa Barak
531240	192254	Passerby
531240	208739	Lydia
531240	223084	Mrs. Lamb
531240	232845	Gail's Nurse
531240	252445	Talia Greene
531240	293126	Larry's Sister-in-Law
531240	372097	Minister
531240	391537	Irene Holloway
531241	339702	Eleni
531242	169512	TV Newscaster
531243	226929	Hecate
531245	259864	Porno Picket
531246	26418	Mom
531246	105281	Video Store Manager
531246	290307	Ms. Calloway
531246	340808	Katie (age 35)
531247	111741	Herself
531247	380478	Herself
531247	410548	Herself - of University Colle
531248	170409	Susan
531249	184055	
531250	390244	Leonor
531251	153015	
531251	287733	
531252	336095	
531253	400679	
531254	69728	
531255	312116	
531256	209999	Maria
531256	258384	Mimmi
531257	15305	
531258	115679	Ichiko
531258	306616	Kimi
531259	391367	Hiroko Okusono
531260	411014	Denise
531261	209838	Rika Mikami
531261	244286	Keiko
531262	77743	Eri
531262	77744	Ryoko Irizawa
531262	132384	
531262	145763	Akemi
531262	145766	Reiko
531262	182428	Bar maid
531262	217615	
531262	233120	
531262	236853	Hisako
531262	239485	Misa
531262	270313	Maya
531262	318542	Chie Kawada
531262	348636	Fuyuko Hase
531263	174060	Jazz dancer
531264	8762	Sen Ishimaru
531264	153557	Omitsu
531265	125241	Zenigame
531265	247245	Barron
531265	258553	Koduck
531265	259033	Zenigame
531265	259034	Zenigame and Koduck
531265	264168	K2
531265	299125	Nahato
531265	394016	Gen Tanaka
531265	398464	Faina S Shinozaki
531265	401736	Rokon,Zenigame,and Kodak
531265	401740	Additional Voices
531265	410525	Ned
531266	207419	Undetermined Role
531266	328787	Mrs. Farrell
531267	49455	Bikini Girl
531268	51800	Mrs. Noonan
531268	193777	Ada Marshall
531268	311632	Mrs. Hennington
531269	33445	Mrs. Rogers
531269	147961	Debbie
531270	296990	Ettie Stroos
531271	68105	Herself
531272	242867	Rah
531273	138716	Herself
531273	390005	
531273	399299	
531274	375715	
531275	231399	Diane
531276	291895	Rosie Washington
531277	212126	Savottakokki
531278	133113	Saki/Sue
531279	36769	
531279	133595	Young Biddy
531279	289634	Dotty Marlowe
531279	348943	Hela
531279	355184	Lucy
531279	398781	Mysti
531281	321458	John Bosload's Secretary
531282	19327	Marthe
531282	68513	Marie
531282	84691	Juliette Bartillot
531282	111384	La coiffeuse
531282	121345	Femme-flic
531282	135428	Odile
531282	161703	Colette
531282	205485	Antoine's Mother
531282	254085	La tonnelière
531282	261864	La mère
531282	264525	La Directrice
531282	275700	
531282	276505	La Cuisiniere
531282	303481	La directrice de la maison de
531282	325084	Dorine
531282	346756	La soeur de Doudou
531282	377726	
531283	401798	Mme Janis (1966)
531284	97453	
531284	245881	Flower Decoration Teacher
531285	59301	Noémie enfant
531286	207929	
531287	29109	Tecla
531288	5316	
531288	7061	
531288	11250	
531288	26910	
531288	26983	
531288	27489	
531288	36324	
531288	36344	
531288	36403	
531288	37563	
531288	71379	
531288	77147	
531288	81737	
531288	92011	
531288	95799	
531288	109215	
531288	109429	
531288	128624	
531288	138346	
531288	191354	
531288	209750	
531288	231838	
531288	237068	
531288	243357	
531288	243475	
531288	274128	
531288	332739	
531288	332740	
531288	338152	
531290	34532	
531290	83165	
531290	88618	
531290	118638	
531290	158693	
531290	173836	
531290	179332	Artykgul
531290	230469	
531290	357235	
531290	370030	
531290	407055	
531291	134021	Kate McAllister
531292	100367	
531292	113298	Julia
531292	156444	Marie
531292	225370	Tina
531292	272693	Rosa
531293	222632	Hostess
531294	102204	
531294	176704	Woman in theatre
531294	193554	Valma
531294	268169	Ms. Vuorio
531294	324482	Waitress
531294	387500	Jutta Mikkola
531294	394732	
531294	394793	Elli
531294	401430	
531294	407885	
531295	368413	Freda
531295	383868	Miss. Hicks
531296	42105	
531296	55928	Doll
531296	70705	Elvira
531296	116426	
531296	148481	
531296	306641	
531297	1473	Eve, la mère de Madeleine
531297	3169	Luisa Anselmi
531297	6685	
531297	13111	Georgia Maglia (Juliette)
531297	19174	Carla
531297	20800	Laura
531297	34272	La bergère
531297	35107	Marie-France Coudaire
531297	57894	Anouk, en flash-back
531297	70078	Elena Vargas
531297	70083	
531297	87497	Claire Charvet
531297	89572	Maddalena
531297	92899	Jeanne
531297	109015	Hélène Laroche
531297	110427	Herself
531297	111388	
531297	111583	Millie Marquand
531297	115338	
531297	121332	Luisa
531297	125560	La comtesse Betsy Mirafiore
531297	127985	
531297	129011	Giorgio's wife Irene
531297	130855	Anna
531297	133161	Anna
531297	148775	The Widow
531297	155443	Francoise Maurer
531297	156317	Herself/Seul film-annonce
531297	156557	La mère de Vincent
531297	157278	Claire, Plemian's wife
531297	169504	Eva
531297	171401	Justine
531297	182989	Herself
531297	191208	Mita
531297	193480	Lola (Cécile)
531297	201204	Anouk
531297	203603	Jeanne, the prostitute
531297	206252	Françoise
531297	208239	Catherine Racan
531297	216820	Lola
531297	217718	Jane Romain
531297	218955	
531297	232762	Nina Iwanowa
531297	234366	
531297	254133	Myriam
531297	261609	Marie Pichon
531297	266419	Simone Lowenthal
531297	268826	Hélène
531297	268882	L'antiquaire
531297	277726	La fée
531297	277926	Albertine
531297	283653	Marthe
531297	286295	Marta Ponticelli
531297	289449	
531297	290022	
531297	300613	Sarah Gordon
531297	306873	Queen Bera
531297	307686	Bethsabea
531297	312861	
531297	316842	Annette Stein
531297	317975	Monique de Fontaine
531297	317985	Laura
531297	322766	Herself/La voix de la bergère
531297	328641	Anna Braschi
531297	336947	Isabelle
531297	337459	Barbara Spaggiari
531297	343566	Stéphanie
531297	344453	Herself
531297	345269	Anne Gauthier
531297	345270	Anne Gauthier
531297	345457	
531297	345489	Anne
531297	346708	Hélène
531297	346730	La femme du musicien
531297	347194	Herself
531297	355806	Anouk
531297	356163	Lorenza
531297	356335	Cuckoo
531297	378063	Eugénie
531297	398075	Sarah Ives
531297	398993	Letizia Bonaparte
531297	410074	Herself
531298	26	Freckles
531299	139228	Cabin Attendant
531300	175918	Shanno
531301	172575	Sidi
531302	125494	
531302	260156	Party Girl
531302	302793	Allyson
531302	390448	Herself
531302	400341	Herself (2002-2003)
531303	51585	
531303	188002	
531303	387804	Lucíola
531303	395882	
531303	396847	Maroca
531303	405418	Júlia
531304	138922	
531304	318654	
531305	150461	Kate
531305	223988	Herself (the girlfriend)
531305	255365	Herself
531306	239034	Becket's Secretary
531307	203636	Cora Cox Graham
531307	346229	Pat Gibson
531308	400109	Susan
531309	49051	Miss Brown
531310	46709	Craigie
531311	44446	
531312	275398	Mrs. Hunt
531314	113889	Peggy Howe
531315	96674	Marian Potter-Potter
531315	114811	
531315	125922	
531315	139746	Phyllis
531315	140751	Belle
531315	147355	Mary
531315	154894	Princess Gilda
531315	158456	Taska
531315	199246	Marian Morgan, Sweet Young Th
531315	215748	Showgirl
531315	253760	Party guest
531315	263585	Elaine White
531315	285690	Sadie
531315	303146	Vera De Vere
531315	307925	Nurse/Curly's Blonde
531315	311011	Nita Van Sloan
531315	331288	
531315	339876	Belle
531315	363079	Minnie
531316	382488	Humbah
531317	158064	
531318	314984	Hell Victim
531319	158079	
531320	1874	Hilda
531320	11410	Old Lady
531320	18589	Aunt Flo
531320	50275	Post Office Lady
531320	87512	Mrs. Ellis
531320	108384	Tour Guide
531320	112914	Newspaper Seller
531320	153001	Lovely Old Lady
531320	195345	Ticket Seller 1
531320	224346	Neighbour #2
531320	228989	Mrs. Warwick
531320	292779	Grandmother
531320	360544	Colin's mum
531320	365564	Miss Prism (in stage producti
531320	395181	Lady Markham
531321	29123	Girl
531321	319193	Girl
531322	355065	Sheila Davis
531323	323871	Squirrel/Country Mouse
531324	36840	Penelope
531324	37230	Vera
531324	51885	Bobo Brennan
531324	77674	
531324	88916	Amazon
531324	130664	Jane Crocker
531324	183721	Interior Decorator
531324	233783	
531324	304024	
531324	333657	Miss Ethel Waddums
531324	372364	Zeno Springs Hotel Guest
531325	23919	Herself
531325	32775	Tina
531325	61134	Sales Assistant
531325	68097	Herself
531325	96872	Maureen 'Little Mo' Mitchell
531325	138720	Rita
531325	218845	Drusilla Clack
531325	260291	Herself
531325	335982	Miss Dorothea Fitzherbert, Ch
531325	336655	Val
531325	384856	Loretta
531325	387247	Little Mo Morgan/Mitchell (20
531326	119822	Roxanna 'Princess' Du Boise
531327	278247	Stephanie
531328	24961	Luiza Traganza
531328	39341	Cultist
531328	39890	Lady Small Talk
531328	109673	Brazilian Opera Troupe
531328	275768	Marie
531328	283864	Saloon girl
531328	289630	Monk's accomplice
531328	293787	Dodo Sears
531328	363813	
531328	364569	Crook in Badger Game
531328	370578	Inez La Velle
531329	309309	Justin's PA
531330	239933	Allie
531331	202295	
531332	214901	
531333	59536	
531334	222321	Showgirl with Jonathan
531334	241243	Donna
531334	314779	Dutch Hitch-Hiker
531334	340991	Louise
531334	381236	Herself (host)
531334	381886	Herself - 'On the Bed' Presen
531334	382723	Kiki
531334	383078	Charlie (1992-95)
531334	384521	Presenter
531334	386385	Royston
531334	398442	Presenter
531334	407047	Lucy
531335	104274	Hibari Haruno
531335	348571	Mother of Fumiko
531336	155117	
531337	355135	
531338	136987	Herself
531339	44441	Reporter
531340	1168	Karen Painter
531340	55691	Maria
531340	64424	Sarah Ellis
531340	73361	Det. Sgt. Rebecca White
531340	93281	Maria
531340	111798	Jo
531340	138899	Juanita Carberry
531340	146632	Miss Polly
531340	161407	Deirdre
531340	261434	Ellen Ash
531340	283185	Dawn Boll
531340	291720	Ffion
531340	292787	Wendy Ansell
531340	311027	Pippa Hailsham-Brown
531340	323727	Beatrix, as a child
531340	329917	Julie
531340	330154	Gina Hudd
531340	379370	Rosemary Bonamy #2 (1985)
531340	386821	Ellen Hobson
531340	386991	Carla
531340	388863	Elspeth Grant
531340	391151	Allie Gray
531340	391981	Jace Elliott
531340	398294	Emily
531340	404599	Rowena Farre
531340	405829	Cpl./Sgt. Nancy Thorpe/Garvey
531340	410530	Dr. Frankie Wharton (Pilot, S
531341	77623	Mary
531341	79894	Nanny
531341	81109	Miss Halstead
531341	152918	Mrs. Campbell
531341	369439	Vi Harding
531342	244964	
531343	26530	
531343	32522	
531343	187411	
531343	318753	
531343	330348	
531344	252591	
531345	252591	Toquinho
531345	386422	
531345	397440	Glorinha
531345	397545	Pituca
531345	401199	Toquinho
531345	403747	
531346	252591	
531347	268826	
531348	338239	
531349	310632	P.J./Teacher
531350	342669	Bar patron
531351	211433	
531351	349137	
531352	14433	McDonald Girl
531352	55482	Inhabitant of Panarea
531352	70897	Carol
531352	74878	
531352	152534	Sandra Pallavicini
531352	316379	Carol Baxa
531353	294420	
531353	356147	
531354	52757	
531355	252141	
531356	7752	
531356	40502	
531357	14515	
531357	21625	Secretary
531357	44135	
531357	76536	
531357	98437	
531357	101521	
531357	113870	
531357	186616	Vasanthi
531357	247403	
531357	262353	
531357	272578	
531357	297630	Kalyani
531357	320408	
531358	289517	Beth
531359	29112	Bank Hostage
531360	401053	Fleurie (1981)
531361	218460	Taos
531362	139360	Shepherd
531363	255567	Aicha
531364	32110	
531364	34198	Miss Kale
531364	59817	Shifty Sadie
531365	112188	Music Hall Singer
531366	97611	Lil
531366	117556	Lodging house lady
531366	133728	Prison Guard
531366	138184	Waitress
531366	246688	Bag Lady
531366	262528	Mrs. Orton
531366	321090	Carter's neighbour
531366	338795	Landlady
531366	342587	Mrs. Finchley
531366	385299	Vi Blundell (1964)
531366	388631	Mrs. Monaghan
531366	395647	Lady Stallholder
531366	403526	Gertrude (1980-1981)
531366	405217	Mrs. Payne
531366	406482	Joan Walker
531367	41455	Lesley
531367	129913	Newsreader #1
531367	403970	Various Characters (Series 1-
531367	409652	Various roles
531368	84146	Kyrgyz student
531369	101001	Natasha
531370	256128	Blanche, Belaye Fiancee
531371	37387	Mrs. Beasie Mackenzie
531372	342871	Woman at dog wash
531373	68226	Fiona Morton
531373	190200	
531373	230024	Sheena
531373	382489	American Woman
531373	390152	Morag Somerville
531373	404617	April
531374	311499	Mark's mother
531375	343025	Mrs. Palletto
531376	33938	Millicent
531376	88874	Sloth
531376	112049	Di Harding
531376	114350	Wendy
531376	116738	Lady Amelia
531376	134634	Lavinia Freebody
531376	137487	The Hon. Maura Hardcastle
531376	167891	Edwina
531376	206925	Lady Jean Bothwell
531376	220102	
531376	245199	
531376	269842	Jemina Shore
531376	360876	Herself
531376	387337	Jean Conan Doyle
531376	396090	Lady Flamborough
531376	397380	Gladys de Grey
531376	401827	Kate Codd
531376	403112	Dorothy Saunders
531376	404538	Sukey Dunmayne
531377	138565	The Sandman and The Dew Fairy
531378	232608	Lydia Nelidova
531378	276804	Ballerina
531379	28417	
531379	89604	
531379	309128	
531379	374888	
531380	75791	Denise
531381	356417	
531382	351494	
531383	283829	Devushka Makhmuda
531384	233246	
531385	149464	Nanny Tallvik
531385	164248	Jussi's mother
531385	175327	Eetla
531385	177897	Teacher
531385	198255	
531385	214835	Annastiina Stenvall
531385	239155	
531385	258847	Mrs. Granlund
531385	278349	Mrs. Hall
531385	301864	Kreeta
531385	321925	Maria Berg
531385	336580	Lotta Perenius
531385	354282	Mrs. Arvidson
531386	342459	Sales Clerk
531387	281354	
531388	220159	Frank's Wife
531389	183985	Noia 1
531389	252532	Layla
531389	397414	Eva Cargol
531390	148624	Anna Maria
531391	298354	Mangmei
531392	149240	
531392	298929	
531393	233121	Rui
531394	294058	Mari
531395	61443	
531396	237842	
531397	165666	Masayo
531398	62606	Midori Saegusa
531399	81677	Kazue Onda/Shôichi's daughter
531400	104438	
531401	156589	
531402	1311	(Episodio "Mitzvah")
531402	4656	(segment "Noche terrible")
531402	5093	Sonia Makaroff
531402	48817	Doña Anita
531402	137000	Nilda
531402	222400	Adriana
531402	257417	
531402	272794	
531402	309373	
531402	351688	
531402	401771	Celia 'Vieja' de Carrizo
531402	410453	Clotilde (1999)
531403	376826	Herself
531404	238514	Leal child
531405	381246	
531406	34666	Fern City Show Spectator
531406	53327	Cupcake
531406	330386	Jocelyn Silverberg
531407	9195	Kyôko Aizome
531407	242135	
531407	347478	
531407	370678	
531408	17385	Akiko, 1st daughter
531408	137134	Mitsuko
531408	138098	Natsuko, dancer
531408	214414	Masumi
531408	232701	
531408	306657	Naeko Date
531408	335381	Musume - Yaeko
531409	382219	Bergère
531410	396976	Mari Koro
531411	409463	Secretaria (2004)
531412	7732	
531412	7825	Interpreter
531412	9197	
531412	11238	
531412	13866	
531412	30987	Kazumi Fukuda
531412	34752	
531412	34753	
531412	34754	
531412	37200	
531412	37264	
531412	37505	
531412	39069	
531412	39378	
531412	43527	
531412	48469	
531412	52418	
531412	61930	Reminiscing wife
531412	66114	
531412	68172	
531412	83010	
531412	83159	
531412	83857	
531412	87267	
531412	87306	
531412	93317	
531412	97122	
531412	98881	Herself
531412	102755	
531412	109477	
531412	110511	
531412	114834	
531412	120527	
531412	124827	
531412	128667	
531412	131521	
531412	140927	Ann
531412	141583	
531412	147757	
531412	148558	
531412	150148	
531412	159999	Delilah
531412	171085	
531412	183383	
531412	185705	
531412	187413	
531412	189453	
531412	190130	
531412	202539	
531412	208078	
531412	213086	
531412	215935	
531412	219150	
531412	228456	
531412	235584	
531412	242510	
531412	243131	
531412	245475	
531412	245774	
531412	267096	
531412	267381	
531412	270438	
531412	271298	Carol
531412	278086	
531412	278867	
531412	292377	
531412	293017	
531412	294281	
531412	296200	
531412	296247	
531412	298138	
531412	313086	
531412	318096	Contestant competing for new 
531412	320455	Nightclub singer
531412	325268	
531412	326240	
531412	327619	
531412	333605	
531412	335608	
531412	342875	
531412	347096	
531412	353471	
531412	358938	
531412	361829	
531412	361980	Undercover cop 1
531412	362583	
531412	364262	
531412	365323	
531412	365643	
531413	306620	Bolaji
531413	380259	Elaine Fitzgerald (1975)
531414	412075	Marzena
531415	129784	Evy's mother
531416	317181	
531417	197287	
531417	213507	
531418	119581	Abby Agoyian
531418	223840	Pamela
531418	238896	
531418	283952	Sarah Williams
531419	132707	
531420	335144	Nurse
531420	381059	Isabelle
531420	399130	Susan Cole (1986-1987)
531420	402197	Tammy Fisher (1981-1985)
531421	386021	Yolande
531422	38204	
531422	91217	
531422	129152	
531422	187999	
531422	213507	
531422	300376	
531422	339735	
531422	343594	
531422	344265	
531422	348666	
531422	374293	
531422	387729	Xhemilja
531422	394914	
531422	399887	Herself
531423	55716	Witch Doctor
531424	65763	Tanya
531425	8194	Agrippina
531425	285696	
531426	85644	
531426	255872	10th Century Woman
531427	213389	Mujer de la palodas
531428	40561	Mme Langlois
531428	42874	
531428	60676	La mère d'Alain
531428	69379	La mère
531428	133172	Suzanna
531428	149812	Louise
531428	156313	
531428	244574	Claire
531428	283704	
531428	288901	Nanette adulte
531428	332201	La goubernante des Humbert
531428	340921	Mme Berger
531428	346788	
531428	377648	
531428	383820	Naly
531428	396617	
531428	400762	Solange (1980)
531428	401972	Marie Pichon
531429	16819	
531429	57324	
531429	74180	
531429	163051	
531429	164691	
531429	166024	
531429	171494	
531429	225806	
531429	240086	
531429	262766	
531429	328942	
531429	357317	
531429	357328	Cuskoica
531429	357329	
531429	374293	Nikolina
531429	408862	
531430	263929	
531431	356482	
531432	98027	
531433	349034	
531434	29006	
531435	215696	Miss Turkey (second Runner-Up
531436	369385	Maki
531437	39632	
531438	40271	
531438	63248	
531438	83240	La fleuriste
531438	219705	
531439	379520	Yakko
531439	403966	Tasuke
531440	8809	Kiku
531440	61449	Okan
531440	129912	Oshin
531440	182065	
531440	198826	Ofumi
531440	216495	Old woman
531440	227436	
531440	234905	Nunoe
531440	300596	Omon Yayamata
531440	378152	Oyuki
531440	379516	Miyajima's wife
531440	399654	Matsu
531440	404245	
531441	9297	Tadae Takahashi
531441	9302	Nurse Iwashima
531441	172241	Mother
531441	217365	Hatsu, Eriko's mother
531441	275748	Okane, wife of Rinzo
531441	284076	Yoshie, Ryukichi's mother
531441	341321	School teacher's wife
531442	215380	Thug's Girl Friend
531443	300361	Jump rope girl
531444	300361	Jump rope girl
531445	325205	
531446	330588	Secret Crush
531447	184342	Auntie Wana
531448	62207	
531448	124296	Rakhi
531448	334912	
531448	373917	
531449	38185	
531449	256942	
531450	261852	Prostitute
531451	175855	
531452	23841	La promise du Maroc
531452	51918	
531452	139360	Fadila, the bride
531452	148705	Nejma
531452	184204	
531453	4602	
531453	12638	
531453	12645	
531453	20308	
531453	33304	Behçet's mistress
531453	38440	
531453	38485	
531453	82340	
531453	136776	
531453	144361	
531453	182811	
531453	210188	
531453	334989	
531454	394129	Yachiyo
531454	398038	Yukie Tarabana
531455	38799	Saeko Kurokawa
531455	179486	
531455	221838	Yuu
531455	238684	Secretary with Broken Heart
531455	275063	
531455	347484	
531456	181897	
531457	373218	
531458	137360	Madame Akama
531459	78615	
531459	222901	Emine
531460	28116	Ofuku
531463	57861	Tolunay
531464	149890	Chorus dancer
531465	21822	Megumi's Mother
531465	44784	Banzou
531465	83750	Tae
531465	98208	Misa
531465	106773	
531465	122089	
531465	130522	
531465	139735	Prostitute
531465	151738	Kakinuma
531465	170252	Yoko
531465	174346	Masako Tatsuoka
531465	179472	Jono Hiroko
531465	179537	Kyoko
531465	207117	Omaki
531465	217072	
531465	220228	
531465	226767	Sachiko Emura
531465	229964	Keiko Mitamura
531465	232518	Otsu
531465	243367	
531465	293460	Daughter
531465	293499	
531465	293606	Kyoko Hokujo
531465	298782	Fujiko Kinugasa
531465	299118	
531465	300500	Sayo Kashima
531465	318528	
531465	327938	Keiko Murata
531465	355018	
531465	405980	Kimiko Ohkawara
531466	233135	
531467	299300	
531468	146984	
531468	238395	
531469	79473	
531469	229972	Firuze
531469	356022	Siti Ana (Siti Mother)
531469	356023	Siti Ana
531469	382093	Lütfiye Çitir Fidillioglu/Zül
531471	260789	Kristina look-alike
531472	1488	Herself - Presenter
531472	327664	Driver
531473	90819	Tutor
531474	90819	Friend
531475	90819	Friend
531476	26003	
531476	171972	
531477	379237	Feryal Uysal
531477	391614	Nese
531478	104705	Herself
531479	154986	Mom
531480	1599	Miss Meredith
531480	18009	
531480	24696	Miss Mayne
531480	32431	Mrs. Boase
531480	38219	
531480	41851	Mrs. Waterboume
531480	53311	Mother
531480	71462	Miss Fernery
531480	82609	Mrs. Tisdall-Stanton
531480	105033	Tremlowe
531480	108085	Mrs. Bertwhistle
531480	115233	Mrs. Walker
531480	120128	Miss Twigg
531480	128333	Mme. Dupont, headmistress
531480	128491	Mrs. Badger
531480	131391	Vicar's Wife
531480	131569	Marya
531480	138659	Miss Jezzard
531480	143112	Agatha Brent
531480	159273	Mother
531480	163551	Ellen Beckett
531480	169232	Mrs. Savage
531480	171310	Emily, Maid
531480	177816	
531480	190006	Aunt Margaret Hamilton
531480	208703	Mrs. Ashcroft
531480	213040	Charlotte Hopkinson
531480	220054	Amy Andrews
531480	221140	Mrs. Piper
531480	222732	Miss Snell
531480	232110	Princess Amelta of Corsova
531480	233607	Mrs. Fothergill
531480	266716	Mis Trumps
531480	269390	Marie Soubrekoff
531480	281134	Spinster
531480	282621	Miss Mimm
531480	301598	Mme. Duvivier
531480	306412	Miss Shoebridge
531480	315682	Queen Victoria
531480	330172	Lady Gilling
531480	340456	Miss May
531480	364730	Mrs. Munce
531480	365787	Emily
531480	367969	Miss Frisbie
531480	370896	Mrs. May
531480	371327	Mrs. Peabody
531481	9153	
531481	14452	
531481	19724	
531481	25716	
531481	25998	
531481	28238	
531481	109603	
531481	121984	
531481	183952	
531481	370135	
531482	294980	Japanese interpreter
531483	153538	Cassandra's Nurse
531483	199483	Lotte
531483	313622	Jane
531484	127854	
531484	244659	
531485	31498	Mai
531486	125810	Mrs. George Atwater
531487	13763	Phyllis
531487	26081	Receptionist
531487	74077	Monique
531487	132405	
531487	174911	Miss Washburn
531487	263758	Announcer
531487	285723	
531487	306312	Jessica
531487	309754	Olsa
531487	321699	Girl
531487	343546	Elsa
531487	350433	Birgit Saunders
531487	386154	Sandy Leclerc (1992)
531487	400141	Lyne Levert
531489	1163	
531489	2646	L'étudiante qui ne comprend p
531489	38659	Herself
531489	64294	Herself
531489	166204	Julie
531489	166342	Neighbor
531489	188669	Herself
531489	214707	
531489	231041	
531489	288881	
531490	272606	Masa
531491	64415	Tess
531491	139540	Lianne
531491	304243	Coed in Caleb's Apartment
531491	349069	Tanci
531491	405212	Rock Candy
531492	337025	
531493	302211	Onlooker
531494	70486	Pamela Devereaux
531494	83600	Silver
531494	96580	Aunt Mona
531494	171084	Andrea
531494	176823	Stacey Courtney
531494	217502	Naomi
531494	222773	Tracy
531494	235615	Blonde Saleswoman
531494	238238	Mrs. Finelli
531494	360712	Wedding Guest
531495	51955	Ms. Cranberry
531496	404163	Herself
531497	7069	Frances Murphy
531498	321546	
531499	141416	Thelma Rice (the other woman)
531499	162159	Herself
531499	267568	Kitty Haynes
531499	353265	Hillary
531500	154554	Herself
531501	245950	
531502	189911	Second Nurse
531502	277621	Shirley Lawson
531503	27140	Doreen Bond
531503	46242	Mrs. Mackorsey
531503	78122	Murderer
531503	185703	Mrs. Monaghan
531503	209640	Samantha the Cat/The Sheep
531503	213028	Judy
531503	304794	Mary
531503	312340	Joy
531503	326342	Fiona Gilbert
531503	346228	Frau Stauffel
531503	353082	
531503	397859	Leonie Coigley
531503	405209	Marilyn Bluck (1995-1997)
531504	235922	Model
531504	321475	Dude's Last Hurrah
531505	37024	Shelly West
531505	139788	Myrtle Mae Simmons
531505	292017	Charlotte Bradley
531505	343248	Katherine Delaney
531505	398015	Anna Jacobs (1995)
531506	25609	
531506	136093	
531506	310065	
531507	268573	Khatuna
531508	281542	Hava
531509	87006	Judith
531509	139005	Various
531509	304561	Receptionist
531510	57747	Inmate
531511	237430	
531512	11000	
531512	35890	
531512	46551	
531512	47402	
531512	90971	
531512	94063	
531512	95617	
531512	124040	M.N.S. Malayeva
531512	124852	
531512	134226	
531512	162432	Nadya's friend
531512	162675	
531512	162677	
531512	163893	Princess
531512	179336	
531512	180738	
531512	181509	
531512	202307	
531512	209514	
531512	218995	
531512	219718	
531512	219723	Club's Director
531512	229175	Fima
531512	231173	
531512	237430	Loulou
531512	243970	
531512	244582	
531512	258613	
531512	273069	1st class passenger)
531512	293906	
531512	305286	Verochka
531512	313890	Lyubov
531512	318562	
531512	323926	Grandmother
531512	324656	
531512	339026	
531512	354717	
531512	356927	Julia Jermolina
531512	370138	
531512	374830	Zhikharka
531512	374990	
531512	402494	
531513	64659	Taiko Drummer
531514	234671	Hocha
531515	216609	Herself
531515	311726	
531515	374869	Reporter
531516	189429	Herself
531517	197464	Iokasta
531518	43070	
531518	76487	
531518	94063	
531518	228368	
531519	87034	
531520	265997	
531521	305909	
531521	410424	
531522	43021	
531523	268120	
531523	303058	Anushik
531523	367212	
531523	373838	Rambha
531524	184159	Bela
531525	187004	Vocals
531526	4435	
531526	9203	
531526	10616	
531526	24270	Radha
531526	29033	
531526	36173	Shobha
531526	38835	
531526	82306	
531526	85337	
531526	85418	Stage kallo ki ma
531526	86692	
531526	95235	
531526	109037	
531526	109351	
531526	122694	
531526	126972	
531526	145987	
531526	150670	
531526	152410	
531526	153237	
531526	155572	
531526	164302	
531526	164936	
531526	165188	Singer
531526	168442	
531526	174185	
531526	176192	
531526	202159	
531526	215272	
531526	226754	
531526	227623	
531526	254735	
531526	256938	
531526	260123	Rama
531526	260262	
531526	262470	
531526	262822	
531526	266964	Washerwoman
531526	271030	
531526	281478	
531526	287366	
531526	297014	
531526	298461	
531526	313917	
531526	323934	
531526	344368	
531527	116590	Sadia Khan
531528	172920	Rasa Devi's Courtesan
531529	64056	Polly Benton
531529	64517	Helen
531529	102641	Josephine Brunsvik
531529	184403	Janet
531529	194130	Nurse Grace Ingram
531529	285752	Policewoman
531529	323036	Nikki Jones
531529	339764	Schiller
531529	350458	Alice Grant
531529	381478	Mary
531529	409386	MI5 Officer Pru Banks (2003-)
531529	409836	Alice
531529	411382	Clare Latimer, object of Henr
531530	224953	Playing herself
531531	209090	Qetevani
531532	288907	
531533	108474	Dancer
531533	215191	
531534	244057	Izumi
531534	295691	
531535	328015	Keiko Kawashima
531536	359612	
531537	164024	
531537	173595	
531537	175793	Fusa
531537	206787	
531537	227658	Tamayan, Tatsuhei's wife
531537	230131	Ume
531537	242204	
531537	256532	Miki
531537	298992	
531537	299000	Geisha House Landlord 'Miho'
531537	322488	
531537	324308	Female candidate
531537	370705	Tora
531537	373233	
531538	234917	
531539	81415	Emi Makimura (Miki's mother)
531540	158831	Mylène
531541	381171	Josie Jump
531542	64107	Cast
531543	375472	
531544	191397	
531544	299585	
531545	284871	Kazuko Ohmura
531546	373485	
531546	373486	
531547	234529	Mrs. Misawa
531547	294180	Uehara Matsuko
531547	309779	Takako Ishihara
531547	324641	Yukiko Naoki
531547	360888	Tomoko
531548	38769	Anna Suh
531548	135953	Umemura
531548	285752	Japanese video girlfriend
531549	202100	Malaika
531549	366817	Ms. Moore
531550	104102	Herself
531550	260501	Herself
531550	397925	
531551	201379	Little girl
531552	138400	Minako
531553	32149	
531554	139831	
531554	174334	Midori Mizuhara
531555	294057	Miya
531556	327968	
531557	304052	Yurika Shimabara
531557	341275	Kaori Matsumoto
531558	95694	Babushka
531558	265914	
531558	284479	
531558	349349	
531558	374563	
531559	237832	
531560	230044	Zina
531561	17441	
531561	228268	Vote presenter
531561	389721	Herself (Series 1) (2003)
531562	265100	Lorrine
531563	380985	Selin
531564	5699	
531564	5706	
531564	7514	Esin
531564	7524	
531564	8351	
531564	9350	
531564	12127	
531564	17404	Hilda
531564	20305	
531564	20308	
531564	21723	
531564	22038	
531564	22059	
531564	22073	
531564	22081	
531564	22092	
531564	25599	Filiz
531564	26023	Nermin
531564	26049	Filiz
531564	28833	
531564	29530	
531564	31039	
531564	33232	
531564	34061	
531564	35617	
531564	35618	
531564	35627	
531564	38491	
531564	52782	
531564	76134	
531564	97858	Selma
531564	97859	
531564	102533	
531564	107311	
531564	107641	
531564	112782	
531564	125930	
531564	136092	
531564	136740	
531564	136765	
531564	145753	
531564	156208	
531564	156209	
531564	163104	
531564	163105	
531564	171973	
531564	171986	Papatya
531564	172008	
531564	173947	Zeynep
531564	173970	
531564	174107	Binnur
531564	178414	
531564	179582	
531564	180320	
531564	182916	
531564	210525	Leyla
531564	212280	
531564	238818	
531564	240516	
531564	251271	
531564	262389	Pasa Kizi
531564	262390	
531564	277413	Reyhan
531564	284803	
531564	285566	
531564	285873	
531564	288267	Sari Kiz
531564	293432	
531564	294125	Lale
531564	295530	
531564	307033	
531564	323077	
531564	324254	
531564	325349	
531564	325350	
531564	332751	
531564	345006	Cigdem
531564	348991	Bahar
531564	349230	
531564	351048	
531564	357597	Gül
531564	370581	
531564	370582	
531564	370634	
531564	370655	
531564	371562	
531564	373243	
531564	373245	Selma
531564	373247	Ilker's mother
531564	373326	
531564	373815	
531564	375853	
531564	377555	
531564	378209	
531564	378232	
531564	378235	
531564	378247	
531565	182136	Gabriels Mutter/Gabriel's Mot
531566	402955	
531567	253338	Reporter #2
531568	65430	Angeline
531569	260679	Flock Member
531570	59550	Amy
531570	124714	Linen Maid
531570	190268	
531570	223903	Spectator
531570	224321	Rosa Pina
531570	255229	
531570	277531	Party guest
531570	302886	Peggy
531571	125030	Kundin beim Friseur
531571	182136	Junge Frau im Reisebüro/Young
531572	81789	Lady
531573	110400	
531573	162813	
531574	96483	
531574	374153	
531574	378193	
531575	38481	
531576	23624	Gogo Tatami
531576	225046	Go-go
531577	174993	Nermin
531577	237439	
531577	240534	
531577	349226	
531577	371882	Seyran
531577	389814	Melek
531578	1160	Mother
531578	153209	Yoko Kurita
531578	156248	
531578	161684	Nurse
531578	174501	
531578	251819	
531578	287072	
531578	400480	
531578	406535	Satoko Hiyama
531579	324196	
531580	381821	Ensemble (1975-1977)
531581	45129	Irena Neski
531581	156017	
531581	173020	Ira
531581	190805	Lilja
531581	321952	Sveta
531581	349257	Ania
531581	356542	Princess Helen
531581	376070	Zoya
531581	411977	Kseniya
531582	360028	Yayoi
531583	402729	Kikuko Onoue/Various
531584	327965	Girl Student 'B'
531585	146351	
531585	409316	Eolia
531586	63395	
531587	400053	Hazuki Fujiwara, Dr. Hazuki (
531588	341254	Chieko Mizuhara
531589	211825	
531590	341254	
531591	123448	Tomoko
531591	412285	Mimi (1972-1975)
531592	165202	(segment "Hijiki")
531592	170542	
531593	394100	Mana Kazaya
531594	152605	Ignatia
531594	408264	Tsukubô Natsuyama
531595	299596	
531596	179377	Maid
531596	180426	
531597	9175	English Teacher
531597	9256	Yukie Shimokawa
531597	17100	Mon
531597	18661	Yuuko Kushimori
531597	18674	Hiroko Wakayama
531597	29322	Reiko Ando
531597	51270	Kei Kaneshiro
531597	61442	Sakura, the first daughter
531597	121443	Mitsuko
531597	121613	
531597	136096	Sakura Okii
531597	137341	Sawa Takiguchi (Guide)
531597	146900	Kasumi
531597	149245	
531597	156113	Fusako Harada, Mother
531597	157082	Neri Kojima
531597	170976	Azusa/Mizue (Plays two parts)
531597	182495	Tomoko Araki
531597	234085	Elizabeth
531597	244544	Takako Takai
531597	253224	Woman
531597	276310	Kaya Saeki
531597	288064	Junko
531597	288069	Kyoko Toda
531597	293493	Fuyuko Tadokoro
531597	300604	Noriko, the sister
531597	318401	Otomi Murai
531597	322735	Kayo
531597	336576	Yuki Kobayashi
531597	341267	Keechie's client
531597	355018	Shoplifter
531597	355277	Yukiko Sugihara
531597	359040	Nanako
531597	360888	Yoko Madaraneko
531597	371798	Ryu, Nagaharu's mother
531597	371827	Satoko Okazaki
531597	373333	Miyako Shinohara
531597	373389	Hisako Mitamura, the victim's
531597	386635	Neko Gozen
531597	394707	
531598	145282	Yoshino Koyama
531598	167939	Mawarame
531598	231272	Maria
531598	341254	Miki Sakai
531599	372034	
531600	166053	Herself
531601	226331	Hatice
531602	71598	Herself
531602	104774	German entry (3rd place)
531603	239461	Alev
531603	371348	
531604	382094	Oya
531604	396478	Sirin (1997-)
531605	4307	Sandra
531605	25579	
531605	32649	
531605	177964	
531605	211186	Eva
531605	289877	Madelon Gisberts
531605	293430	
531605	349228	
531605	409977	Simone Brieffies
531606	241627	Maartje
531607	390242	Ellie Ribbens (1993)
531608	23058	Sauri's wife
531609	23058	Child
531610	38509	
531611	387405	Suzan
531611	396478	
531611	404392	Seda
531612	21756	Djectema
531612	311173	1st Scientist
531612	363972	Reporter
531613	172013	
531614	173417	
531614	212285	
531615	9291	Kazuko
531615	77515	
531615	98203	Oyoshi
531615	121441	
531615	130526	Kageyama's wife
531615	139154	Woman Who Helps Yudo Shoplift
531615	149892	Akemi
531615	198950	
531615	217613	Yuko Taguchi
531615	217614	Yuko Taguchi
531615	217615	Yuko Taguchi
531615	236856	Tokiko Kazama
531615	243621	The classmate
531615	261665	Batma
531615	264503	Yoshiko Takashi
531615	296904	Mother
531615	299128	Shiina
531615	304843	Ecco Ecco
531615	306226	Fujiko Imada
531616	91111	Akira's Wife
531617	142118	Halise Alibullen
531617	170248	
531617	319302	Anna
531617	322287	Rouva Elisabeth Saarinen
531617	400857	Ada Karvala, ent. Ekman
531618	59094	Employée hôpital
531618	111045	
531618	377869	Mme Lebras
531619	348861	Azniv
531620	54203	Mai Shiranui
531620	54204	Mai Shiranui
531620	177380	Mai Shiranui
531620	177381	Mai Shiranui
531620	177382	Mai Shiranui
531620	177384	Mai Shiranui
531620	177385	Mai Shiranui
531620	177386	Mai Shiranui
531620	177387	Mai Shiranui
531620	177388	Mai Shiranui
531620	320546	Mai Shiranui
531621	173573	
531622	240473	Villager
531623	22076	
531624	51116	
531624	322840	
531624	403084	Bella Lindgren/Höök (1996-199
531625	407815	Herself (Single) (2002)
531626	403537	Participant, 'came to the fin
531627	70932	Herself
531628	13856	Vi
531629	110916	Featured Extra
531630	387389	
531630	401503	Host
531630	406690	
531631	380474	Alexandra Makri
531631	383113	Zoe
531631	387707	Katerina
531631	394078	Xenia Archou
531631	408343	Lina
531632	400270	
531633	122543	Margit
531634	240536	
531634	308322	
531635	374635	
531636	137595	
531636	182106	Halide Edip
531636	379237	Gülden
531636	411658	
531636	411706	
531636	412319	Belkis
531637	16262	
531637	21385	Maria, housemaid
531637	30205	Britt's Mother
531637	45943	Stoiweilers neighbour
531637	76558	Akshaya
531637	109953	Åldringen
531637	153740	Olof's Mother
531637	162252	Lady
531637	181846	
531637	237276	Signe
531637	350564	Inga, Birgit Sundell's housem
531637	357764	
531637	363803	Old Mother
531637	388309	Ida
531637	388646	Tobakshandlaren
531637	389600	Shop Assistant
531637	398195	Midwife
531637	401128	Gammel-Maja
531637	402881	Old woman
531637	405619	
531637	405785	Hillevi Karlén
531637	408801	Woman (1991)
531638	102533	
531639	296420	
531640	295504	
531641	8101	
531641	8497	
531641	9365	
531641	12638	
531641	22097	
531641	25647	
531641	27624	
531641	111312	
531641	140707	
531641	172024	
531641	173572	
531641	173574	
531641	173808	
531641	174990	
531641	181666	Zilha
531641	181682	
531641	293434	
531641	293665	
531641	301478	
531641	335959	
531641	341875	
531641	371891	
531641	374155	
531641	377511	
531641	377552	
531641	378227	
531642	51356	
531642	156212	
531642	256943	Kamile
531642	371272	
531642	394189	
531642	411658	
531643	35627	
531644	380739	Hediye
531644	383348	
531644	407308	Yakut
531645	36855	Herself
531645	328774	Herself - Celebrity Represent
531645	381898	Herself (2002)
531645	381917	Herself - Evictee #6: 19 May 
531646	308604	Tania
531647	305118	Mireille
531648	104705	Herself
531649	38492	Herself
531649	50817	Kadin
531649	104712	Himself
531649	214659	Sezen
531650	5709	
531650	7369	
531650	8472	
531650	38195	
531650	85138	
531650	199990	
531650	308314	
531650	377515	
531650	377530	
531651	225634	
531652	229179	Sylvie
531652	370169	
531653	82805	
531653	259200	
531653	303812	Marta
531653	324134	Vasilissa the Wisest
531653	350126	Katya Shevchenko
531654	227237	Aysel
531654	289163	Isabella
531654	295535	
531654	320407	
531654	325007	Bige
531654	370655	
531654	377512	
531655	179693	Lyudmila
531655	348713	
531656	32313	
531656	100269	
531656	136744	
531656	136913	
531656	180273	
531656	229473	
531656	240540	
531656	284810	Selma
531656	371882	Meral
531657	56054	Saloua
531657	386497	Naïma Mamdami
531657	393352	Leyla
531657	395863	
531657	400386	Yasmine Sullivan
531657	404364	Alicia Khoury
531658	89591	
531659	91202	
531659	225829	
531660	280771	
531661	33830	
531661	40935	
531661	40936	
531661	95654	
531661	98585	
531661	125497	
531661	280366	
531661	370159	
531662	28499	
531662	32503	
531662	164016	
531662	180115	
531662	181399	
531662	198127	
531662	205411	Maria Rostov
531662	237016	
531662	261939	
531662	273088	
531662	299432	
531662	340658	
531662	345090	La gynécologue
531662	352456	
531662	356925	
531662	357237	
531662	371432	
531662	373583	
531662	404577	Marusya
531662	409735	Lady Glenarvan
531663	10883	Police secretary
531663	40314	Campaign Worker
531663	67896	Reiko Sakoda
531663	74011	Min Lin
531663	113868	Marika
531663	115557	Dottie
531663	168129	
531663	176371	Tina
531663	177421	Meade Parks
531663	232447	Hotel Clerk
531663	382089	Momo Yashima
531663	387218	Maria Amardo
531663	389628	Jinx
531664	17877	Harunosuke's daughter
531665	65628	Airport Claims Clerk
531665	72580	
531665	88978	June's Nurse
531665	129944	Charlesletta
531665	159828	
531666	86847	Julia
531666	116309	Pigen
531667	51286	Sandra
531668	145173	Receptionist
531669	136095	
531669	284811	
531670	335050	Mirror Maze Visitor
531670	367203	Rachel
531670	389126	Toprak Yuksel
531671	180948	
531671	376070	
531671	389126	Ayse Köroglu
531671	389332	Mokey Freggel
531671	404898	Elvan (1997-)
531672	71798	Fmr. Minister of Health
531673	173210	
531674	155179	
531675	64363	
531675	387195	
531675	412319	Süheyla
531676	7517	
531676	10522	
531676	24847	
531676	27420	
531676	37712	
531676	99191	
531676	110403	
531676	121699	
531676	140618	
531676	156074	
531676	173786	
531676	173812	
531676	175445	
531676	182099	
531676	200797	
531676	238819	
531676	283967	
531676	294125	Dadi
531676	349709	
531676	377492	
531676	378190	
531677	23166	Salwa
531678	361592	May
531679	308400	Queen's secretary
531680	102283	Silvia
531680	144139	
531680	325541	
531680	365592	Mutter Juli und Joschka
531681	354687	Mahin
531682	7612	
531682	14459	
531682	17310	
531682	34283	
531682	124682	
531682	198624	
531682	207300	Salma
531682	222463	
531682	297582	
531683	10376	Shanewise
531683	38324	
531683	304149	Grandmother
531683	329371	Samara
531683	400127	Queen Nazli
531684	77705	
531684	274765	Mariajo
531684	284326	
531684	302403	Koro
531684	328094	
531685	126934	
531686	165361	Laura
531686	281665	Tomba
531686	404448	Karin Feilke
531687	149745	Khaled's Mother
531687	184150	
531687	216217	Mrs. Jallouli
531687	257114	Saliha
531688	109120	Herself
531688	333021	Herself
531689	332419	
531690	154836	
531690	370276	
531690	376217	
531691	215092	
531692	244021	
531692	270584	
531692	284687	
531692	284845	
531692	327132	
531693	186484	
531694	27753	
531695	83659	Herself
531695	192545	Herself - testifies about inc
531696	175912	
531697	1201	
531697	93116	
531697	102101	
531697	124270	
531697	380383	Katerina
531697	390037	
531698	11251	Prostitute #5
531699	22693	
531700	34928	
531700	152681	
531700	358502	Herself
531701	42913	Harriet Age 7
531702	371274	Lyuba
531703	70779	
531704	90541	
531704	163999	
531704	207552	Ugur
531704	286104	Nimet
531704	371129	
531705	309456	Téléphoniste #2
531706	28063	
531707	3054	Wanda 'Sifoncito' Manera
531707	118242	Isa
531707	153836	Claudia
531707	409957	Vera (1999)
531708	330951	Glenda
531709	196417	
531710	186422	Maureen
531710	362917	Lounge bar waitress
531711	24688	Marie-Therse
531711	27421	Claudia
531711	33849	Carla
531711	134996	Nurse
531711	155394	Jeanette
531711	325587	Redakteurin
531711	325752	Julia Wagner
531711	376167	
531712	270675	
531713	55598	
531713	148644	
531713	214882	
531713	215866	
531713	218243	
531713	236610	
531713	281300	
531713	350083	
531713	357861	
531714	226435	Presentadora
531714	247592	
531714	396396	Reportera (1995-2000)
531714	397208	
531715	181483	
531716	51944	
531717	346627	Le petite fille
531718	132207	George
531719	4151	
531719	10035	
531719	16147	
531719	77666	
531719	88279	Asha's mom
531719	135226	
531719	164125	
531719	171899	
531719	222062	Mrs. Verma
531719	271741	Commissioner's wife
531719	275015	Mrs. Malhotra (Reena's mom)
531719	312532	
531719	323674	
531719	330973	
531719	370388	Bharati Singhal
531719	391282	
531720	28589	Zulmira
531720	388683	Laurinha
531720	402148	
531720	403766	
531720	407780	Ana Sofia
531721	63981	
531722	29678	China
531723	248644	
531724	243436	Orgazmo Woman #1
531725	148696	Infirmière
531726	162134	Homeless girl in alley
531727	292906	
531728	1199	Merlin's wife
531728	20930	
531728	62494	
531728	83223	
531728	112800	
531728	208227	Marie jeune
531728	211366	
531728	259024	
531728	264525	Danseuse
531728	274757	La concierge
531728	276441	2nd Saloon Girl
531728	283183	Undressed to Get Screwed
531728	285984	Suzanne
531728	328751	Harvester
531728	337025	
531728	384168	Jacqueline
531729	1883	Geneva's Double
531729	380391	Arianne (1990)
531729	380713	Mildred Torres (1994, 1995)
531729	390771	Helena Manzini (1982-1983)
531729	400236	Elaine Dixon (1987)
531729	404002	Rose Pearse Melina (1980-1981
531730	8324	Clarita
531730	16360	
531730	17872	
531730	27738	
531730	31459	Luz
531730	37147	
531730	37714	
531730	38612	
531730	45479	
531730	48261	
531730	49150	
531730	51986	Nguyet
531730	53203	
531730	64785	
531730	81463	Gina Mercado
531730	90505	Donata
531730	99960	
531730	119108	
531730	123937	
531730	152421	
531730	162112	
531730	169106	
531730	172228	Oreng
531730	172303	
531730	174892	
531730	200008	
531730	204602	Gina Go
531730	218914	
531730	219942	Mother Ignacia (younger years
531730	222117	
531730	222472	Chayong
531730	224098	
531730	243175	Esper
531730	256096	
531730	257716	
531730	284674	Lola Munda
531730	286185	
531730	287506	
531730	300624	Narda
531730	302797	Esper
531730	303246	
531730	325358	
531730	325361	
531730	359143	
531730	370317	
531730	385582	
531730	392569	
531730	398494	Elena
531731	356420	
531732	153118	Isoleyne
531733	162816	Member of elderly Greek famil
531734	175000	Herself
531735	376662	Mesera
531736	224224	Woman Housekeeper
531737	300564	Valya
531738	30598	Veterinaren lekar
531738	95573	Dlazhnostnoto litze
531738	130140	
531738	208779	
531738	229062	Uchitelka
531738	261330	
531738	284473	
531738	293896	Tancheto
531738	320707	
531739	6384	Zineb
531740	344176	Fifi
531741	379967	Host
531742	3099	Sachiko Yokogawa
531742	26086	Juju
531742	30736	Baba
531742	30951	WGBS Reporter Summer Gleeson
531742	83471	
531742	96415	Marie
531742	117781	
531742	122109	Kaika's Mother
531742	122110	
531742	122113	Kaika's Mother
531742	135897	Alissa
531742	138135	Chigusa Tani
531742	143922	
531742	176534	Kamaria Ray
531742	187410	
531742	195629	Haruka Urashima
531742	213445	
531742	213446	
531742	217377	Brooke (English version)
531742	264053	Kaikeyi
531742	269596	Ann Agrama
531742	310087	Catherine
531742	310106	Catherine
531742	325314	Iczer-Two
531742	378718	Ritsuko Nakajima, Kaiko
531742	381392	Miss Winston
531742	381960	Announcer/Vice President (Sea
531742	385060	Shootem
531742	386345	Renamon (2001-2002)/Additiona
531742	389791	Saemi Ikeda, Frightened Girl,
531742	391257	Yoko Milchan, Alisa Ryan
531742	391948	Narrator
531742	393503	Jillian Grey
531742	394424	Mora Basch
531742	396440	Presia
531742	397187	Yayoi Matsunaga, Kasumi
531742	402729	Haruka Urashima
531742	402899	Lasagne
531742	403965	Megumi Takani
531742	404122	Rosa
531742	409323	Maggie Matheson
531742	409831	
531744	204747	Biker
531745	205131	
531746	45662	Girl with Attitude
531746	48936	Estelle
531746	68086	Anita Levine
531746	109857	Wife Mrs. Habib
531746	120017	Various
531746	124022	Gwen
531746	147974	Cleopatra
531746	184897	Cindy/Loudspeaker Voice
531746	280192	Karen Kupfer
531746	336556	Mother/Wife
531746	355166	Auntie Scraps
531746	378831	Various
531746	388343	Diane Simmons/Additional Voic
531746	388402	Invisible Woman/Susan Storm R
531746	394403	Nurse Pitts
531746	406210	Pearl Krabs
531746	407144	Lt. Felina Feral
531747	52776	
531747	66231	
531747	82961	
531747	132719	
531747	168748	
531747	278938	
531747	291603	
531747	383274	
531747	395864	
531748	81109	Helen Cooper
531748	234888	Margaret Allan
531748	407682	Helen Teckman
531749	32935	
531749	41077	
531749	65022	Reporter
531749	83900	
531749	150055	Bartender
531749	199293	
531749	275485	
531749	296182	
531750	1311	Doña Asunción (Episodio de Al
531751	400690	
531752	3235	Hulda
531752	42189	Madge
531752	55250	Hostess
531752	114961	Fransiska's work collegue
531752	115386	Lizzie Bjelvenryd
531752	120068	Gypsywoman
531752	121010	Countess Berta, Julie's mothe
531752	122499	Waitress
531752	135673	
531752	136404	Theatre actress
531752	142863	Dolly Bolster
531752	149480	Teacher
531752	149488	Lillan Persson-Quist
531752	153769	Sally, waitress
531752	159635	Judith Henriksson
531752	174049	Mistress in prologue
531752	179707	Sandra
531752	182455	Mrs. Paular
531752	204532	'Peter' Morell
531752	205677	Elisabeth
531752	213293	Helena
531752	214351	
531752	215467	Mrs. Binn
531752	218993	Girl at the travelling agency
531752	228408	Melissa
531752	237260	Lena i Härsikeby
531752	238802	Sippi
531752	245943	Mrs. Persson
531752	248191	Rosa Liebeling
531752	256502	
531752	270347	Mrs. O'Neal
531752	272642	Girl at the saloon
531752	284100	Madame Virette
531752	284136	Hildur
531752	285409	
531752	307765	Emma
531752	313045	Mona Gayle
531752	315549	Lisa, waitress
531752	320606	Salvia
531752	320629	The secret weapon
531752	322280	Lady leaving the cats
531752	326127	Hermansson's Woman
531752	343388	Woman in variety hall
531752	347016	Woman
531752	348728	Gerslög
531752	357803	
531752	377304	Bell
531752	377424	
531752	377433	Ulla Vaktell
531752	381054	Kitty
531752	382891	Boarding house hostess
531753	1293	La pharmacienne
531753	2107	Pharmacist
531753	3088	Gabrielle
531753	13036	Josette
531753	13875	Givenchy Saleswoman
531753	19106	Adrienne
531753	23799	Mme Dupont
531753	25726	Amélie
531753	30758	Yvonne Levasseur
531753	51381	La paysanne
531753	52012	Mlle Maroge
531753	68348	La femme de l'agence
531753	73472	Mamie
531753	77350	Marguerite
531753	100016	Valérie
531753	100018	Mme Grey
531753	101144	Justine
531753	101164	
531753	124322	Jeannette
531753	126258	Madame Grégoire
531753	127498	
531753	144498	Mme Crépin-Jaujard, la mère d
531753	148636	La mère
531753	165183	Mme Buzenay
531753	200973	Louise
531753	217829	Suzanne Berrant
531753	220258	Finette
531753	236539	Hélène
531753	243212	Juliette
531753	248711	Rosemary
531753	249181	Lucienne
531753	254039	Soeur Marie-Émilienne
531753	255490	
531753	261777	Isabelle Pigot
531753	265736	Mémé Hamon
531753	268463	Yvonne
531753	268822	Lulu
531753	322579	Zélie
531753	327549	Jeanne Favereau
531753	336470	Pascaline
531753	336959	La mère de Catherine
531753	340143	Geneviève Rougemont
531753	345135	Françoise
531753	354968	Grand-mère
531753	384816	Old woman
531753	386837	Amélie
531753	390491	
531753	391930	Mme Courtois
531753	401053	L'assistante sociale en chef 
531753	404358	Mme Octave
531753	405341	Estelle Dulac
531754	202915	Nightclub Worker
531755	109486	Chastity
531756	2252	(segment "Chambre, La")
531756	73472	Thérèse
531756	261756	
531756	346755	Macha
531757	13078	Post messanger girl
531757	146617	Lapland Lass
531757	184108	Sihteeri
531757	215941	Tyttö
531757	239979	
531757	301429	Leena Virtanen
531757	357793	Lissi
531757	380927	Tiina Korpelainen
531757	387464	Various roles
531757	391464	Janssonska
531757	392355	Kerttu
531757	394886	Blonde
531757	403996	Heidi
531757	404201	Irma (1999)
531758	93897	Receptionist
531758	209236	Extra 1
531758	231524	Busy Traveller
531759	26471	Charlotte Johanssen
531760	147988	Elena/Our Lady of Guadalupe
531761	360436	Stripper
531762	254242	Hoodlum
531763	174779	
531764	265904	Woman in Park
531765	32150	Belle
531765	215607	Marianne
531766	167048	Ensemble
531767	76888	
531768	68745	Surgeon Dancer
531768	314108	Dancer
531769	94730	Surama
531769	119366	Contessa Clara Dolores Traldi
531769	129018	La contessina Viola della Rov
531769	375017	Clara, la ballerina
531769	378858	Geneviève Lavigne
531770	175855	
531771	298321	Woman in Hotel du Ksar
531772	307485	
531773	73068	Aicha
531773	107160	
531773	133167	Malika
531774	233249	
531774	324947	
531775	24430	'60s model
531775	80630	Amelia B
531775	245016	Go-Go Dancer
531775	314238	Shay
531775	346060	Female mercenary
531776	201409	Chloe
531776	322837	Additional Voices
531777	72376	Dancing Girl in Bar
531778	23058	Young Sauri's wife
531779	12102	
531780	384734	Elena Serrano (2003-)
531780	404999	
531782	117336	Rufino
531783	131876	Elma
531784	85560	
531785	111402	
531785	309490	Iris
531786	51581	
531786	67700	Recluta violadór
531786	74354	Liz
531786	74641	Doña Herminia
531786	75198	
531786	80225	
531786	100782	
531786	103163	Nuchacha 2
531786	103425	Mariana del Castillo
531786	104022	
531786	118149	Montserat
531786	142740	
531786	152234	Charo
531786	183505	
531786	193185	Flor
531786	199977	
531786	234397	
531786	243239	
531786	247179	Cinthia
531786	259331	
531786	286019	Alma
531786	332653	
531786	343630	
531786	353240	Milagros
531786	376650	Esposa Columbiano
531787	70090	Bebe robado #1
531788	102441	Enfermera
531789	395861	Macarena
531790	318252	
531791	253551	(segment "La Búsqueda")
531791	351267	
531792	327648	Mme Berruyer
531793	19073	Madeleine
531793	62564	Catherine
531793	95552	Hélène Faucheux
531793	97035	Martine
531793	101127	
531793	113127	Hélène
531793	351778	Jeanne
531793	353886	
531794	56502	
531795	31018	Patron of Les Oiseaux Bar
531796	278179	
531797	7184	La mère de Christine/Christin
531797	8151	
531797	13114	Augusta
531797	14994	Constance Vernon
531797	15088	La mère d'Alice
531797	23814	Thérèse
531797	55532	Charlotte Berthier
531797	55533	
531797	62891	Françoise
531797	68702	Madame Grazzi
531797	85616	Mme le Censeur
531797	86890	Lucienne Vatelin
531797	88845	Michèle Teyran
531797	91456	Martha
531797	110140	Pierrette
531797	111132	Rachel Berger
531797	115433	Véronique Duvilliers
531797	124326	Nadine
531797	148640	Mireille Dalier
531797	156313	
531797	161994	Ginette
531797	166870	Alice Noblet
531797	169156	Claude Hermann
531797	169285	Blanche de Cominges
531797	191130	
531797	199328	La Maréchale de Guichelais
531797	201101	Marie-Jeanne Jauréguy
531797	205539	Julia
531797	205778	Mamina
531797	236534	Denise
531797	245557	
531797	249035	Herself
531797	258319	Marie
531797	264522	Myriam Frot
531797	268396	Mme de Beauséant
531797	268407	Monique Martin
531797	278870	Mrs. Arnaud
531797	294387	Mme. Barillet
531797	307480	
531797	327565	Récitante/Narrator (French ve
531797	340192	Elisa
531797	345248	Yvette
531797	345431	Gilda
531797	346620	Doctoresse
531797	377977	Suzanne Mercier
531797	380260	La Princesse
531797	380502	
531797	384028	Duchesse du Maine
531797	384212	Mme Quentin
531797	384855	Mme d'Enville
531797	388716	Mother Superior
531797	395074	Blanche
531797	396617	
531797	399193	Judith
531797	401030	Aline Gauguin
531797	401139	Fabienne
531797	409460	Hélène
531797	410142	Mère de Berlioz
531798	120141	
531798	134581	Mme. Chouinard
531798	333812	Mother Desilets
531798	388316	Maman Plouffe
531798	401322	Joséphine Plouffe
531799	23718	Une secrétaire
531800	71113	
531801	399648	
531802	213940	
531802	371650	Dancer
531803	89025	
531803	138716	Herself
531803	401874	Herself : True Bliss
531803	408880	Java (Series 4-5)
531803	410722	Herself - Celebrity Special #
531804	14746	
531804	106306	
531805	401251	Jazmín
531805	402404	Eloísa
531806	228475	
531807	69330	
531808	52628	
531809	13084	
531809	70656	
531810	67753	Gladys
531810	293004	Mariana
531810	383145	Viri (1981)
531810	391966	
531810	397201	
531810	405381	
531811	209061	Credit Girl
531813	251984	
531814	253676	Nazani
531815	322972	
531816	96198	
531816	124312	
531816	278137	
531817	298347	Additional Voices
531818	323881	Antonia's Mother
531819	273117	Jane Davis (segment "Nuestra 
531819	277380	
531820	148039	
531820	148093	
531820	377182	
531821	57284	
531821	87500	La voisine
531821	246306	Une consommatrice au bistrot
531821	345329	
531822	120279	Guest
531823	61148	
531824	46805	
531825	344228	Maggy
531826	211677	La mère
531827	63882	
531828	312252	
531829	394137	Christina Castillo
531830	212514	
531831	92338	Billy
531832	12064	Ezequiela
531832	131073	
531832	133246	
531833	69164	Herself
531834	2787	Herself
531834	53050	Gail
531834	78759	Max Guevara
531834	78760	Max Guevara
531834	108760	Susan Storm/The Invisible Gir
531834	148874	Honey Daniels
531834	155696	Molly
531834	161478	Sam
531834	221483	Herself
531834	230324	Kirsten Liosis
531834	231535	Herself (Presenter)
531834	246032	Samantha Swoboda
531834	248667	Chloe
531834	302329	Nancy Callahan
531834	304793	Selima
531834	326662	Herself
531834	326663	Herself - Presenter
531834	326664	Herself
531834	335711	
531834	351931	Young Eve
531834	385710	Max Guevera/X5-452
531834	388923	Maya Graham (1995-1996)
531834	402862	Herself - #17
531835	351564	
531836	327326	
531837	125659	
531838	61127	
531838	320306	
531838	349953	
531839	376769	Natalia
531840	64968	
531840	79414	Wateeka
531840	253198	
531840	306965	Ana Sokolova
531840	307842	Rosaura
531840	375861	
531841	12238	Mariette
531841	40770	Pepita
531841	52970	Angela
531841	59054	Princess Nadji
531841	59793	Spanish artist
531841	74850	
531841	76091	Mary Brady
531841	115632	Rosita
531841	121279	
531841	130967	Dolores
531841	133634	Eleana Nitto
531841	142452	Carmelita
531841	145209	
531841	153617	Princess Mitzi
531841	165892	
531841	169623	Agnes
531841	171025	A French Wife
531841	178095	Dolores Mendez
531841	189007	Fatima
531841	194619	
531841	219225	
531841	221104	Saturday
531841	239961	Princess Olimpia
531841	276663	Princess Nadji
531841	276664	Princess Nadji
531841	279320	Spanish Marla
531841	317711	Elena Desano
531841	361651	Dolores
531842	327329	
531842	344755	
531842	378371	
531843	294526	
531844	101926	Mother
531845	141278	Mammy
531845	194215	Nella
531845	288745	Joe's mom
531845	312290	Minerva Doolittle
531845	361148	Rebecca Cohen
531845	364568	
531846	64772	
531846	107685	Gertrude Montefalco
531846	118431	Landlady
531846	121840	Mrs. de Salle
531846	206847	Duchess of Addlecombe
531846	290346	Countess of Burwash
531846	296774	Cabaret Singer
531846	332065	Madame Boitier
531847	187488	
531847	206862	
531848	320451	Mme Arnaud
531849	3426	
531849	5263	
531849	10440	Ernestina
531849	19463	
531849	21076	
531849	53650	
531849	55372	
531849	55941	
531849	61149	
531849	62352	
531849	64023	
531849	68636	
531849	69837	
531849	74622	
531849	100932	Mother Gautère
531849	101467	
531849	102624	
531849	103710	Vieja 2ª
531849	106313	
531849	106326	Ignacia Vidal
531849	113238	
531849	121257	
531849	137865	
531849	146572	
531849	148110	
531849	160136	Mabille
531849	192943	
531849	194098	
531849	194622	
531849	212363	
531849	225032	
531849	246386	
531849	256412	Minnea
531849	265160	
531849	266481	
531849	281614	
531849	284959	
531849	296197	
531849	296500	
531849	320306	Tatiana
531849	343613	
531849	370068	
531849	376812	
531850	249671	Azafata
531850	256657	Magda
531851	138172	Abigail
531852	4797	
531852	12587	
531852	93495	Tante Nastja
531852	102152	
531852	125296	Lona Reimbacher
531852	142075	Fürstin Neupergk
531852	150630	
531852	180005	
531852	205543	
531852	205583	Gräfin Fuchs
531852	220720	Mother Mozart
531852	352536	
531852	361333	Frau Mozart
531852	361425	
531852	364988	Rosa, Luegers Schwester
531853	21533	Madge Palsey
531853	274597	Hotty #1
531854	89481	
531855	354902	
531856	389294	María José 'Majo'
531857	292208	Mrs. Ibrahim
531858	51733	Profesora joven
531859	23065	Milagros
531859	52074	Empleada Alquiler de Coches
531859	63862	Carola
531859	204642	Benítez
531859	244636	Professor
531859	255485	Araceli
531859	263860	Benítez
531859	275623	Maribel
531860	204642	Madre 1
531861	55635	School Board Superintendent
531861	58666	System instructor
531861	127779	Lucia
531861	139135	Bachelorette Party Guest
531861	149439	Mrs. Schifflett
531861	149448	Deborah 'Debbie' Reissen
531861	158354	Victoria Jennings
531861	252159	Stephanie Lowe
531861	302219	Waitress
531861	324052	
531861	334234	Nurse #2
531861	387457	Prosecution Judge
531861	396548	Letitia
531862	365651	Poker Player
531863	33530	
531863	268412	Charlotte Bertier
531864	270425	
531865	323300	
531866	288803	
531867	389323	Herself - Host
531867	400373	Herself (Sangerinde)
531868	384775	Pelusa
531869	84494	Brenda
531870	317309	Jogger Babe #2
531871	116499	Heidi Schiller
531871	192267	Restaurant Patron
531871	244270	Desdemona
531871	294692	Soprano
531871	336388	Herself
531872	384823	La Colorada
531872	391850	Leonor
531873	293318	
531874	35208	Waitress
531874	78640	Elin Garry
531874	133544	Lillian Leeson
531874	221184	Nang Ping
531874	240391	Mary Lixton
531874	303991	Jill Hillcrist
531875	21138	
531875	23267	
531875	324856	
531876	9737	
531876	52246	
531876	67010	
531876	83861	
531876	100267	
531876	103173	
531876	123476	
531876	148056	
531876	159648	
531876	170458	
531876	171613	
531876	188108	
531876	353354	
531877	18640	Emilia
531877	67933	Marco's mother
531877	236733	
531877	270804	Lucia
531877	295150	Genoveffa Cocconi Cervi
531877	316804	Gossip (segment "Strega Bruci
531878	14873	
531878	15149	
531878	18064	
531878	46908	
531878	48857	
531878	64770	
531878	76297	
531878	76761	
531878	77372	
531878	102542	
531878	111445	
531878	112661	
531878	115950	
531878	115968	
531878	122602	
531878	125071	
531878	125091	
531878	125119	
531878	126379	
531878	135548	
531878	151890	
531878	156703	
531878	157057	
531878	172357	Frau Alvaredo
531878	173173	Felicitas, Wife of Carrel
531878	188781	
531878	189789	
531878	199729	
531878	207208	
531878	216103	
531878	234753	
531878	254377	
531878	278961	
531878	281111	
531878	283612	
531878	286388	
531878	294201	
531878	311079	
531878	311814	
531878	315828	Fürstin Tatjana Nousinoff
531878	317571	
531878	325017	
531878	352603	
531878	361002	
531878	373624	Lia, la sua figlia
531878	377995	
531879	28777	
531879	70163	
531879	90676	Virginia Tabusso
531879	110387	Mafalda
531879	157855	Silvana's mother
531879	252660	
531879	315458	Vilma
531879	352455	
531880	97727	Rich Widow/TV
531881	1664	Cheryl
531881	39004	Susannah Schaffer
531881	86229	Kym
531881	92248	Emma
531881	128084	Girl
531881	177443	Carolyn
531881	246495	Natasha
531882	287433	
531883	351670	
531884	251194	Neighbor
531885	180705	Partygoer
531885	249494	Jogger
531885	359569	Lizzie
531886	383891	Maid Mary (Episode 1)
531887	69730	
531887	114813	
531887	132659	
531887	199336	Georgette Marjolin
531887	219509	Olga
531887	226793	Mary
531887	228940	Mme Rades
531888	356472	Lydia Perez
531889	380099	
531890	13194	
531890	43431	
531890	49098	
531890	52774	
531890	69018	
531890	91284	
531890	91405	
531890	98441	
531890	104837	Karina
531890	121771	
531890	121952	
531890	151806	Tigresa de filmación (segment
531890	165896	
531890	171465	
531890	186980	
531890	199973	
531890	207647	Defensora de oficio
531890	208995	
531890	209067	
531890	221891	
531890	246303	
531890	253669	
531890	258452	
531890	272635	
531890	275068	
531890	324841	
531890	328171	
531890	337987	
531890	338154	
531890	351409	
531890	351619	Enfermera
531890	351650	
531890	371276	Mama Niña
531891	83961	Hag
531891	110974	Sally
531892	186739	Roxanne
531893	63672	Tante Marie
531893	153241	
531893	161782	Violette
531893	345548	Suzanne Castel-Fortin
531894	117001	
531894	287173	
531895	73481	
531895	218393	Pantry Girl/Vampire
531895	270971	Underage ID girl
531896	303295	Penny
531897	52853	The Girl
531898	172059	Michal
531898	181547	Ilana
531898	280591	
531898	397482	
531899	90765	Monika
531899	104850	Ursula
531899	234507	
531899	290862	Signora palestra
531899	351072	
531899	374495	
531900	285468	
531901	129918	
531902	144138	
531903	349669	
531904	12171	Waitress
531905	85595	
531905	275021	
531905	353674	
531906	73985	Dorothy
531906	87561	Dorothy
531906	196083	Mrs. Grover
531906	319176	Mrs. Longstaff
531906	382838	Edna Cross (1983-1985)
531906	385020	Florrie Lindley (1960-1964)
531906	399963	Aunt Cissie
531906	403193	Mrs. Mumford (1976-1978)
531907	42357	Herself
531907	64109	Princess Charming
531907	94750	Anita Valdez
531907	120242	Stella Patrizzi
531907	143605	Theresa
531907	177991	Marsinah
531907	185158	Consuela de Quesada
531907	209503	Monica
531907	220848	Herself
531907	313774	Katri Walenska
531907	327765	Nina Martelli
531907	364428	Lady Zito
531907	383670	Princess
531908	128847	
531909	82938	
531911	164547	Woman with Champagne
531912	67135	Herself
531913	357124	L'Hôtesse
531914	390497	Herself (2nd Edition)
531915	45457	
531915	190056	Nonna
531915	245838	Quinson's Mother
531916	2164	Glumdalclitch
531916	75805	Laura Zellar
531916	77677	Bootsie
531916	212846	Herself
531916	220959	Girl in Dormitory
531916	232427	Sheri
531916	251196	Giulia De Sarno
531916	303295	Francie
531916	379065	
531916	380233	Herself (1962-1963)
531916	382770	Jody Harper (1971-1972)
531916	387286	Midge
531916	389300	
531916	393402	
531916	397640	Sherry (1956-1957)
531916	397696	Bo
531916	399266	
531916	407010	Wendy
531916	408447	Debbie Potter
531917	13429	
531918	31395	Herself
531918	206220	
531919	291466	Dr. Ephron
531920	67252	Jacky
531920	377633	Hélène
531920	388310	
531921	72074	
531922	360741	Gypsy Violinist
531923	244704	Souffleuse
531924	232438	Waitress
531925	366970	Hippie Girl
531926	98227	Adina
531926	303020	Leah Gootman
531927	187898	
531927	367054	The Wiz Singers Adult Choir
531928	78703	Ms. Janet Barch, Tiffany Blum
531928	162533	Ms. Janet Barch, Tiffany Blum
531928	162534	Tiffany Blum-Deckler
531928	385705	Ms. Janet Barch (recurring) (
531929	134784	
531930	387309	Bebe Spode #3 (1957)
531931	248715	Audrey's Mother
531932	387323	Greetje
531933	250764	Pub Patron
531934	386930	Various
531935	21523	The Debutante
531935	32169	Beauty
531935	92280	
531935	130851	The Little Girl
531935	158260	
531935	187102	The Girl
531935	187306	
531935	306272	Snow White
531935	306336	
531935	324393	Elsie Edwards
531935	361148	Mary Ellen Martin
531936	290624	
531937	178989	Madame Parpalaid
531938	204443	Lena Hinrichs
531938	225142	Marga
531938	341702	Anna Martin
531938	341738	
531938	366705	
531939	145663	Mme Sachaud
531940	377889	Riporter
531941	169844	
531942	195612	Valkarie
531943	228515	
531944	220080	Wild Babe
531945	263748	Vice President Clarke
531946	81446	Sophie Stokes
531946	212026	Herself - Presenter
531946	391786	Debbie Dean (2002-)
531947	287969	Hattie
531948	27404	
531948	41196	Babe
531948	41413	Kim Chi
531948	81060	Linda
531948	92400	Rocker Chick #3
531948	129435	Topless girl
531948	167566	Blonde Stripper
531948	192536	Helen Ferris
531948	215045	Bambi
531948	279323	Strip Joint Girl
531948	315214	Joe's Girlfriend
531948	347440	Guest corpse
531948	347441	Wendy Barnes
531949	167629	
531950	32466	DV8 Clubgoer
531950	134672	Woman with cigarette
531951	2481	
531952	100358	
531953	236476	
531954	198894	Apparition
531955	55008	
531956	266805	
531956	301141	
531957	148337	
531958	407662	Dokteres
531958	408151	Aisha Fawzi (2003-)
531959	411296	Herself
531960	34551	
531960	90140	La abadesa
531960	136997	
531960	143776	
531960	211874	
531960	221681	
531960	234371	
531960	301124	Elvira
531961	5755	
531961	182319	
531962	323394	Korba's Assistant
531963	189922	Mrs. Fontaine
531964	150883	Sophie
531965	80969	Camerawoman
531965	100148	Martha
531966	2116	Beth Klein
531966	47975	Susan
531966	93955	Nurse
531966	233676	Girl in Bar #3
531966	333289	Natalie
531966	364558	Morris' Secretary
531967	250764	Street Kid
531968	345277	
531969	220080	Wild Mom
531970	152636	Bee
531971	83230	Russian Girl
531972	113095	
531972	205699	
531972	320217	
531972	376644	
531973	207187	
531974	71368	
531975	5047	Being
531975	135804	Becky
531975	238608	Record Executive's Wife
531975	306006	Molly
531976	10698	Player
531976	31696	Tall Girl
531976	144380	Tina (episode "Monkees in the
531976	272418	Angel
531977	91361	Cynthia Berlín
531977	380066	
531977	384119	
531977	384775	Andrea
531977	389489	
531977	389780	
531977	392751	
531977	398166	
531977	398661	
531977	401823	
531977	402158	Julia
531977	403366	
531977	409957	
531979	162027	Alumna deseada
531980	90748	
531981	108873	
531981	128061	
531982	66064	
531982	67826	Massagiatrice
531982	158769	Una donna
531982	270887	
531982	291561	
531982	305540	Moglie dello Smemorato
531982	328625	Elisa's Maid
531982	359614	
531983	57301	Bianca di Pallanza
531983	212023	Anna/Countess Irene
531983	253031	Concettina
531983	277586	
531983	355700	
531984	10047	
531984	23361	
531984	53660	
531984	55966	
531984	74529	
531984	75179	
531984	75378	
531984	77235	
531984	88799	
531984	91408	
531984	103765	
531984	121223	
531984	192986	
531984	193026	
531984	197457	
531984	205712	
531984	221902	
531984	222027	
531984	235984	
531984	239243	
531984	247297	
531984	281605	
531984	285943	
531984	302980	
531984	332681	
531984	376681	
531985	248889	Monica
531986	352632	Susana
531987	58229	
531987	71905	Brookings Maid
531987	167268	Society Matron
531987	169650	
531987	256979	
531987	266413	
531987	377991	
531988	324619	Band Leader
531989	119287	
531989	120950	
531990	412170	Herself - Finalist #5
531991	6517	
531991	326050	
531992	13094	(segment "Amore e morte")
531993	132539	
531995	30145	Girl at Ball
531996	12044	La surveillante
531996	63686	Saladine
531996	114760	La patronne du café
531996	153804	Madame Cassard
531996	211216	Mme. Palmarède
531996	257216	
531996	292379	Renée, a maid
531996	300760	
531996	302242	Anne
531996	336845	
531996	377065	Une bonne
531996	377853	L'aubergiste
531997	47945	Female guard
531997	216862	
531997	313046	Translator
531997	316768	Mrs. Corona
531998	190644	Una bañista
531999	103211	
531999	221727	
531999	233344	Vicky
531999	338064	
531999	354775	
531999	376843	
532000	341181	
532001	182965	Lou
532001	291052	Harem Girl
532001	335258	Consuela
532002	79550	Aunt Betsy
532002	89745	
532002	128107	The Gypsy Girl
532002	161486	The Arab's Wife
532002	215470	
532002	240622	The Wife
532002	297866	Amenartes, the Pharaoh's daug
532002	324218	Mary
532002	364672	Mrs. Prim
532002	367531	Countess Fosco
532003	104769	Herself - Dutch entry (23rd p
532003	113061	Toos Roos
532003	228260	Herself
532003	242384	Lady Esmeralda
532003	281371	
532003	302964	Verkoopster
532003	384654	Celia de Graeff
532003	394612	Marleen Spaargaren
532003	401810	Karin van der Berg
532003	406521	Herself - presenter
532004	78403	Cousine Vanessa
532005	40448	
532005	55343	
532005	83348	Nathalie
532005	169556	
532005	217189	
532005	236868	
532006	54166	
532006	351484	Adelaide Alves
532007	272708	
532008	276982	Koumba
532008	302053	Mujer del baño 3
532009	367823	Herself
532010	2781	Disco Dottie
532010	13882	Allison
532010	41134	Old Lady
532010	42808	Organist
532010	55457	Mrs. Meltzer
532010	62941	Lydia
532010	70199	Hildegard
532010	98145	See's Candies Box
532010	125928	Receptionist
532010	130441	Grandma Haldane
532010	137541	Mrs. Kahn
532010	194136	Mrs. Fleisher
532010	210544	Mrs. Coulson
532010	222363	Little old lady
532010	223734	Nun
532010	250514	Aggie Kennedy
532010	265102	Lila Duvane
532010	270697	Organist
532010	273241	Mrs. MacKenzie
532010	279460	Mrs. Manilow, Barry's Grandma
532010	303225	Choir nun
532010	303226	Choir Nun
532010	336788	Old Lady
532010	343294	Mrs. Norton
532010	358576	Organist
532010	360684	
532010	360723	Rosie
532010	394306	Ethel Quagmire (1996-1997)
532010	397179	Grandma Harriet Krupp
532010	398568	Esther Kettering
532011	68780	
532012	24834	Lena
532012	38503	
532012	65139	
532012	217795	Ester
532012	345604	
532012	402240	Margherita queen of Italy
532013	23750	Paulette
532014	98402	
532014	170509	
532014	182740	
532014	219826	
532014	266069	
532014	273143	
532014	287645	
532014	287649	
532014	287651	
532014	334622	
532015	56074	
532015	64984	Lucia
532015	65598	
532015	68252	
532015	83501	
532015	149512	
532015	150558	
532015	193225	
532015	236437	
532015	335988	
532015	380146	Natacha Prado
532015	383438	Katia
532015	384115	Beatriz
532015	386783	Bettiana
532015	386792	
532015	387171	Isabel Constanzo
532015	388093	Elsa Parresi de Ricciardi
532015	391419	Ruth
532015	399537	
532015	401437	Idelma
532015	403022	Cecilia
532015	403677	Marisa
532015	404737	
532016	384618	
532017	297156	
532018	401882	Participante
532019	375736	Fátima
532019	385444	Herself - Guest
532019	412273	Presenter
532020	260429	Herself
532021	2645	
532021	15074	Katy
532021	20070	
532021	40263	Florence
532021	51395	
532021	83196	Rosette
532021	92043	
532021	153811	Woman on Rue Baudoin
532021	166283	La fille au musc
532021	189902	
532021	198189	Madame Esperanza
532021	244955	Boulangère
532021	276549	Lucienne
532021	309149	Une dame d'honneur
532021	331010	
532021	338112	
532021	377952	L'hôtesse du conseil
532021	392911	Anne Thibault
532021	398843	L'infirmière
532021	399811	
532022	150814	Nurse
532022	314526	
532023	282928	New Store Employee
532024	157227	Sandrine à 7 ans/Sandrine (7 
532024	327888	
532024	345467	Violette
532024	377652	Stéphanie
532025	27634	Sascha
532026	260092	Kim
532026	260094	Kim
532027	35735	Arcadia
532028	73913	Madame Claude
532029	379184	Flying Flo
532030	176697	Herself
532031	52425	Jeremy's Mother
532031	94881	Telephone Operator
532031	150066	Mrs. Dale
532031	218647	Lady with Cat
532031	396084	Helen Elliott Donnelly #1 (19
532031	409250	Louise Wilson
532032	7498	Secretary
532032	16686	Mrs. Will Sinclair
532032	20900	Judy Mason
532032	72104	Dancer
532032	94291	Undetermined Role
532032	108523	Dolly
532032	296806	Joan
532032	347418	Mona
532032	372093	Showgirl
532033	28067	Child extra
532034	166904	Clubhouse Waitress
532034	167591	Mrs. Reed
532034	323592	Subway rider
532035	41987	Mrs. Lipscott
532035	133949	Buttons' mother
532035	315545	Mrs. Rainey
532035	327685	
532036	5033	Mrs. Sims
532036	11288	Mrs. Kingsley
532036	11502	Mrs. McDowall
532036	29963	Aunt Harriet
532036	40024	Sylvia, Nanny's Employer
532036	66381	Regina Mitchell-Smyth
532036	90313	Mrs. Trabert
532036	110940	Irma Jones
532036	113550	Chairwoman
532036	117682	Society Reporter
532036	118303	Mrs. Conway
532036	123706	
532036	124816	Mrs. Chandler
532036	138379	Person
532036	148220	Inez Winthrop
532036	151150	Mrs. McDougal
532036	194093	Mrs. Stewart
532036	198542	Mrs. Andrews
532036	202861	Maggie
532036	223397	The Widow
532036	224233	Mrs. Frisbee
532036	240410	Mrs. Hatch
532036	253153	Mrs. Alice McGill
532036	272239	Mrs. Partridge
532036	298078	Velma Trumbull
532036	306490	Mary Garden
532036	362555	Mrs. Van Hoskins
532036	408106	Mrs. Whiting
532036	408447	Irene Brady
532037	326845	Julie
532038	80824	Dana
532038	297951	Hooker
532039	28067	Adult extra
532040	377442	Synn (episodes 1 and 2)
532041	394322	Doomsday machine
532042	378588	Tatjána
532043	71847	La patronne de la pension
532044	14429	
532044	20091	Martha
532044	84163	
532044	136993	
532044	376712	
532044	379116	Luisa
532044	380209	Ángel de la Guarda
532044	380796	
532044	381014	
532044	385852	Gabriela
532044	386129	Marta
532044	387818	Mariné Montero Figueroa
532044	390085	Micaela
532044	390381	
532044	397263	
532044	397498	
532044	399537	
532044	401358	Mabel
532044	402674	Paola(Negrita)
532044	405788	Estela
532044	408720	
532045	81601	Marilu
532046	399664	Host
532047	31387	Hebamme
532048	217215	
532049	126823	
532049	178801	
532050	6585	Ulla Wern
532050	29561	Stina Brinkman
532050	40523	Anne-Marie Andersson
532050	48379	Karin Ekberg
532050	108052	Greta Gustafsson
532050	108199	Therése Garpe
532050	119461	Maikki Paljakki
532050	165627	Margit Bergström
532050	209306	Miss Billström
532050	214220	Vera Brehmer
532050	214361	Eva
532050	286877	Ulla Waern
532050	317599	Pamela Janitros
532050	320621	Greta Berg
532051	48000	Dunja
532051	76734	Eva Lövgren
532051	84287	Eva
532051	96019	Elisabeth
532051	105605	Elisabeth Karbe
532051	118696	Inga Bergström
532051	119016	Girl
532051	138015	Martin's Wife
532051	138957	Karin Eghilsdotter
532051	144576	
532051	178745	Karin
532051	182302	Mary Blomquist
532051	192648	Ella Berglund
532051	198265	Guest at the nightclub
532051	209306	Guest at the party
532051	284387	Rosa Langenfeldt
532051	287487	Francesca Hutton
532051	303663	Guest at the birthday party
532051	308802	Maj Larsson
532051	362204	Jane
532052	6586	Old Woman in Search of Employ
532052	17564	Mrs. Lans
532052	23261	Old Woman
532052	29560	Woman
532052	48339	Old woman
532052	48364	Mother Olsson
532052	48369	Mrs. Sidonia
532052	97088	Inhabitant of Ebberöd
532052	109977	Lars' Mother
532052	115426	Unmarried woman
532052	116132	Grandma
532052	116456	Marsgård Farmer's Wife
532052	129661	Mother Mina
532052	145519	Malena Hansson
532052	153716	Gammel-Kersti
532052	159671	
532052	168392	Older woman who is attacked
532052	174697	Mother Lena
532052	181130	Woman with coffin
532052	181850	Woman on Staircase
532052	182254	Kristina
532052	182544	Hanna
532052	182806	Tuberculosis Patient
532052	192647	Woman on the road
532052	192926	
532052	219842	Old Woman
532052	220194	Johanna
532052	225333	Poor Woman
532052	243264	Maria
532052	247595	Erik's Mother
532052	258990	Kristin Sjölund
532052	268343	Guest at the birthday party
532052	268365	Woman at the pawnshop
532052	293314	Old woman
532052	296207	Mrs. Vikblad
532052	304212	Older woman with a signed boo
532052	305885	Anna Söderlund
532052	308198	Uncle Erland's faithful old s
532052	313015	Amalia Pettersson
532052	316909	Woman in the newsstand
532052	343471	Woman
532052	349586	Old Woman
532052	350564	Mrs. Andersson, patient
532052	357773	Annika Hansson
532052	377298	Curious lady at the square
532053	6388	La fille bar Colette
532053	189306	
532053	235844	Jenine
532054	30896	Mrs. Fisher
532054	129443	Herself
532054	140179	
532054	155263	Old Karina
532055	2339	Katherine 'Katie' Rogers
532055	144576	Inga
532056	161405	Madeline
532057	58760	
532057	156293	Denise
532057	167205	Rachel Guigui
532057	205437	
532058	68513	
532058	82920	
532058	155738	
532059	34556	Secretaria
532060	317942	Drug Squad
532061	394349	Herself
532062	200371	Female Cop
532063	66676	
532063	83716	
532063	92888	
532063	95123	
532063	103002	
532063	240396	
532063	288336	
532064	169438	Jenny
532065	151177	Lover 2
532066	334575	
532067	3456	
532067	4915	
532067	13062	
532067	22782	
532067	82961	
532067	106287	
532067	112058	
532067	112059	
532067	170052	
532067	222045	
532067	277409	
532067	326340	
532067	327317	
532069	189750	Annemarie
532070	66316	
532070	315143	Mary
532071	356018	
532072	204564	
532073	181736	Dorthe (baby)
532074	181736	Dorthe (baby)
532075	376036	Frau im Trenchcoat
532076	125899	Pretentious Starlet
532077	329527	Isabella
532077	360064	Lady Webster
532078	127908	
532079	136736	
532080	103499	
532081	44660	Peque
532082	14261	Elvira
532083	74006	Pat Wilson
532083	110279	Mediator
532083	312927	Vampire 1
532083	350209	Dawn
532084	108761	Electra
532085	350919	Madame d'Espard
532086	192822	Rengøringsassistent
532087	238095	Zosia
532088	331100	The Hunk
532089	12889	Gast bei Eickhoffs Fest
532089	40987	
532089	170711	Pfarrersköchin
532089	204497	Loni, Hausmädchen
532089	293561	
532089	376577	
532090	174829	Frau Wagner
532091	213291	Lilly (segment "Die Goblins k
532092	189784	
532092	198430	
532093	264157	French Citizen
532094	188737	Karin
532095	15224	Herself
532096	313583	UFO follower
532097	147737	Bebe
532098	290062	
532099	117500	Cathy
532099	213178	Lucille
532099	387020	
532099	393424	Pizzazz/Phyllis Margaret Gabo
532099	399248	
532099	405739	Additional Voices
532100	76784	Drachmanns veninne
532100	115975	
532100	124987	Neighbor
532100	142209	Brit
532100	174396	
532100	285000	Gräfin von Sulkowski
532101	254592	Girl in bar
532102	306444	
532103	4501	Maruska
532104	325192	Patient
532105	8226	Politikvinde
532106	26329	Emil
532107	2746	Monica
532107	13548	Theresa
532107	16019	Stacey
532107	27326	Sgt. Elke Mantooth
532107	27327	Sgt. Elke Mantooth
532107	41386	Serena Stalin
532107	53059	Hippie
532107	75557	Operator
532107	80472	Ellie Eibon
532107	80835	Telephone Repair Woman
532107	133349	Ghost
532107	134556	Woman From Town
532107	140161	Sarah
532107	149743	Nola
532107	155032	Anika Secord
532107	191056	Linda's friend
532107	217486	Angie Cornell
532107	259871	Donna
532107	279497	Witch
532107	287215	TV Voice & ADR
532107	308111	Herself
532107	314984	Hell Victim
532107	348229	Nicole
532107	348606	Cindy
532107	351744	Dreamgirl ADR
532107	366781	Lilith
532107	366782	Lilith
532107	375714	Witch
532108	210841	Narrator
532108	385824	Mandy Cox (1991-1992)
532109	80468	Aunt
532110	362818	Sam
532111	252524	Wanda Clark
532112	269588	Peering Over the Head of
532113	329477	Girl Two
532114	74199	Crystal
532114	394676	Meg MacKenzie [#2] (1989-1990
532115	74199	Crystal
532115	394676	Meg MacKenzie [#2] (1989-1990
532116	362378	Mary Connors
532116	364453	Passenger
532117	19890	Martha
532117	32226	Kay Woodstock
532117	42845	Mary Simmons
532117	58850	Palmer Harris
532117	66986	Iris Hartford
532117	67581	Claire Daley
532117	82517	Dossie Wilson
532117	96889	Hat Model/Showgirl
532117	113055	Herself
532117	122364	Barbara
532117	128192	Vickie, Torso Model
532117	131472	Margie Bellew
532117	142333	Azalea
532117	151380	Mrs. Pine
532117	156841	Herself/Meg (From Pawnee (195
532117	157234	Alice Kingsley
532117	170378	Mannequin
532117	176341	Dolly Fletcher
532117	176872	Francie Bennet
532117	194468	Marie Greene
532117	200482	Mona Wilton
532117	217968	Peggy Lido
532117	218207	Cathy Barrett
532117	236880	Hannah
532117	251165	Meg
532117	256592	
532117	291350	Herself
532117	295324	Julie Westcott
532117	302026	Waco, Red Rock Saloon Girl
532117	327847	Poppy
532117	328368	Dorothea Cabe
532117	338806	May
532117	341617	Candy Williams
532117	360271	Rebecca 'Becky' Evans
532117	363249	Peggy Martin
532117	363481	Roberta Lane
532117	401297	Edie Hart
532117	401350	Constance MacKenzie Carson (1
532118	385931	Herself
532119	70619	Mary at 26
532120	114546	Female Commando
532121	47078	Cheerleader
532121	150075	Jessica Cheer Girl
532122	316619	
532123	59813	Shelley
532124	61855	Ellen Chandler
532125	202389	Circulating Nurse
532126	340542	Charlotte
532126	365544	Dot
532127	305934	Virginia (age 2)
532129	288483	
532130	268848	
532131	161948	Kidnapped Girl
532132	18746	
532132	84329	
532132	107677	
532132	110986	
532132	156588	
532132	161550	Ela
532132	216698	
532132	263949	
532132	308270	
532132	319980	
532133	110644	
532133	147359	Anny Sedal
532133	150533	Gretchen
532133	272537	Hoffräulein Wera
532134	57981	Dora's Client
532135	355764	
532136	13100	
532138	74839	(segment El nido de amor)
532138	222049	(segment Amor y yoga)
532139	112758	
532140	351763	
532141	138537	
532142	12528	Xana
532143	28589	Cremilde
532143	56581	
532143	121294	Alda
532143	385209	Marília
532144	154502	Tourist Guide
532145	179373	Anna
532146	72931	Goodyear Chorus Girl
532147	103837	
532147	198360	
532147	204827	
532148	74545	
532149	106311	Laura
532149	253321	
532149	353629	Irma
532150	155684	Qualified Carer
532150	370801	Qualified Carer
532151	108506	Ballet Mistress
532152	100366	
532153	249767	
532154	273429	Herself/Hawaii
532154	273438	Hostess
532154	279423	Herself
532154	402993	Herself/Hawaii (1999)
532154	402996	Women/Real World
532155	127991	
532155	204690	
532155	233352	
532156	386118	Host
532157	9786	
532157	161830	
532157	236864	
532157	354774	
532158	278564	
532158	278616	
532159	339034	
532160	90407	Bartender
532161	95024	
532162	385252	Inocencia
532162	387089	María Eugenia
532162	391571	
532162	392847	Rebeca
532162	392958	Virginia/Estrella de Rossi
532162	395404	María Nieves
532162	395861	Roxana Soler
532162	396214	Mirta Valdez
532162	403884	Rubí
532162	404800	
532163	197442	Soloist (ballet: El Amor Bruj
532164	30418	
532164	44524	
532164	74616	
532164	76006	Claudia
532164	76007	Claudia
532164	95421	
532164	131074	
532164	146474	
532164	186980	
532164	236864	
532164	249892	
532164	251983	
532164	275280	Fufurra
532164	277405	Sen~orita Anastasia
532164	380054	Virginia Castro
532164	383977	Malicha (1974)
532164	384864	
532164	385484	
532164	387817	Socorro
532164	402219	Remedios López de Ramos-Fonse
532164	409719	Filomena
532165	397015	Inés
532166	184369	Townsperson
532167	332774	Airman Alcantar
532168	123435	Old Spanish Woman
532169	284672	
532170	131203	Fiametta
532170	145058	Leila
532171	204644	Muchacha
532172	132664	Punk
532173	136922	Spanish dancer
532174	103219	Vecina
532175	202420	
532176	380547	Host
532176	408404	Hostess (2003)
532177	366009	Girlfriend
532178	42946	
532179	400703	
532180	46937	Femme du vigile
532180	66227	
532180	66731	Justine
532180	69932	Emilia
532180	156962	
532180	163729	Les comédiens-mimes
532180	164153	Clotilde
532180	167239	
532180	226818	La Jeune Femme
532180	254719	
532180	345171	Mélanie
532181	55935	
532182	355946	
532183	491	
532183	12917	
532183	30304	Pepeta
532183	55935	
532183	58404	
532183	61127	
532183	70063	Rosalia Martin
532183	74622	
532183	77227	Margarita Townsend
532183	82235	
532183	84946	Dolores
532183	88936	Mrs. Sventytski (Christmas pa
532183	120774	Dolores de Cervantes
532183	148153	
532183	149550	
532183	160587	
532183	170459	
532183	192934	Estela
532183	207000	
532183	213533	
532183	221910	
532183	226440	Gilda
532183	248231	
532183	249772	Eve Miller/Eva Stanton
532183	251311	
532183	263774	
532183	275074	
532183	307219	
532183	318012	
532183	322718	
532183	348934	
532183	352024	
532183	378358	
532183	378427	
532184	210752	
532185	14723	
532185	18112	
532185	29439	Andrea
532185	48790	Aunt Carmen
532185	56320	
532185	147056	
532185	181348	Madre de Dani
532185	186144	
532185	205396	Lita Vilardell
532185	252534	Femme du gouverneur
532185	268018	
532185	283683	Eva
532185	318260	Madre de Maureen/Maureen adul
532185	356932	
532185	399505	Sílvia Ribalta
532186	38576	Birdie O'Conner
532186	42531	Young Girl
532187	199148	Jenny Baily
532188	233343	Amalia
532189	412112	Isabel Schwert
532190	111309	Cleaning Lady
532191	82565	Herself
532191	108079	Herself (1972 telecast footag
532191	214260	Herself
532191	383677	Herself
532191	384117	Herself
532192	46857	Underground leader's wife
532192	77016	Bela
532192	90688	Donna's moeder
532192	157588	
532192	394912	Mellisande
532192	397484	Janneke Timmers (episodes 1-4
532192	402545	Ada Blom
532192	406166	Eva van Lanschot
532192	408174	Petronella
532192	410838	Emma Noordermeer-Sluyter (199
532193	212476	Niña
532194	385864	Raquel
532194	387811	Alejandra
532195	91426	
532195	206981	
532195	219734	
532195	233942	
532195	244593	
532195	353616	
532195	386792	Jennifer
532195	387171	Amelia
532195	387810	
532195	388093	Hilda
532195	398480	
532195	399537	
532195	400717	
532195	400945	Martina
532195	402675	
532195	406050	Hilda
532195	408720	Virginia
532196	381295	Antiques Expert
532196	388931	Antiques Expert
532197	27247	Julie Saunders
532197	108951	Temperance Miller
532197	346078	2nd Chambermaid
532197	381121	Julie Saunders
532197	384100	Phoebe Hawkins
532197	384100	Phoebe Hawkins (episode "The 
532197	392129	Agnes (1991-1993)
532198	72468	Mama
532199	51910	
532199	74582	
532199	101615	tourist
532199	103782	
532199	233351	
532199	310043	
532199	336115	
532199	339164	
532199	339491	
532199	377165	
532200	29055	
532200	192983	
532200	275089	
532201	358461	
532202	253245	Iris
532203	152838	Ms. Thomas
532203	205969	Dory
532204	218074	Jean
532204	407414	Lorna Seton
532205	116945	
532205	193865	Lucy Mannister
532205	254516	La Sorelli
532205	319160	Nymph
532205	348381	Dancer
532206	114311	Courtney
532207	176865	Mistress Screaming Bitch
532208	384119	Clara 'Clarita' (1995-1996)
532208	387573	Consuelo Amenábar
532208	392609	
532208	393841	Herself (1993-1994)
532208	395546	
532209	333507	PGA Tour Player
532211	79813	
532211	186847	Typing Teacher
532212	7428	Berthe Caillaux
532212	15066	Grégoire
532212	17858	
532212	23818	Madame de Vintimille
532212	32027	Médecin S.O.S./Emergency Doct
532212	52698	
532212	58811	
532212	59056	Lady
532212	83209	La directrice d'école
532212	84593	
532212	84677	La seconde mère
532212	102006	La réceptionniste de l'hôpita
532212	116966	Carmina Faldo
532212	132983	Brigitte
532212	140293	Constance Desterac
532212	158189	Madame Rozier
532212	200902	Manageress
532212	206008	La détective
532212	231579	Madeleine Perrot
532212	240601	Claudine Vermont
532212	307380	Hérodias, Mezzo-Soprano
532212	336650	Hospital Receptionist
532212	346819	Mme. Cohen
532212	379805	
532212	384787	La secrétaire
532212	387612	Mme de Meillant
532212	398042	Thérèsa
532212	401972	Gasparine
532212	410309	
532213	51733	Palmira
532213	54805	Modista
532213	112652	Doctor
532213	193515	Sra. Colom
532213	211669	
532213	233952	Secretaria
532213	235296	Dora
532213	266862	Periodista
532213	266885	Tía Celia
532213	306701	Teresa
532213	314966	Maria Gil
532213	338053	Frau Kubler
532213	386093	Tia Ernestina
532213	392027	Dra. Matesanz
532214	300344	Party Guest
532215	110894	
532216	56500	
532216	90137	
532216	190770	
532216	202178	
532216	233353	
532216	234173	
532217	380533	
532217	387849	Eugénia Sales
532217	398840	Mónica
532218	30306	
532220	294829	Bizango Dancers Lead Singer
532221	153831	
532222	251631	
532223	239284	
532224	100234	
532225	384117	Dora
532226	78212	
532227	61079	
532228	64367	Bigail
532229	45726	Gisèle
532229	66715	Loulou
532229	108207	
532229	265715	La jeune fille
532229	303503	Paulette
532229	307476	
532230	19489	Enfermera
532230	24612	
532230	48185	
532230	69043	
532230	90032	
532230	103375	Bruja #1
532230	110989	
532230	111990	
532230	119442	
532230	164237	Cristina
532230	186591	Cristina
532230	198371	
532230	247846	
532230	255438	
532230	259326	
532230	263267	
532230	276487	Mikaiya
532230	280731	
532230	294860	
532230	296442	
532230	300667	
532230	309057	
532230	322830	
532230	348813	Suzanna
532231	379250	Viviana
532231	387083	Laura
532231	393028	Carmela
532231	397738	Teresa de Bellido
532231	405397	Inesita "Ita" Caride
532231	408793	Barbara Mori
532232	118372	Lisa
532232	210794	Susan
532232	230703	Judy
532232	389174	Lisa Callan (1984)
532233	118372	Beth
532233	232066	Cop in alley
532233	389174	Beth Burroughs (1984)
532234	355681	Herself - Singer
532235	73295	
532235	258381	Hermana del dentista #1
532235	338603	
532236	14124	Gloria
532236	14489	Dolores Montelli
532236	19188	Elma Kelly
532236	21198	Ann Travis
532236	40025	Irene
532236	53270	Rachael
532236	61672	Maureen
532236	78835	Miriam Cowley
532236	81984	Angela
532236	82063	Victoria Vandemeer
532236	91768	Gabriel Neuland
532236	122076	Kristen
532236	128741	Barney/Katie Cavanaugh
532236	134154	Linda (Shoplifter)
532236	134594	Mama Slovak
532236	144452	'Be Black Baby' Audience
532236	150691	Georgia Kristidis
532236	160042	
532236	183944	Dr. Kroyden
532236	185252	Georgette's Mother
532236	186846	Palmer Hospital Nurse
532236	193919	Rutanya Sweet
532236	195376	
532236	195526	Wanda Marshall
532236	217600	Carol Ann
532236	222769	Dr. Virginia McAlpin
532236	223932	Woman at Apartment
532236	231120	Party Guest
532236	247567	Admitting Nurse
532236	250458	Ruthie Lee
532236	262386	Jessica's Aunt Sarah
532236	270484	Mrs. Nash
532236	271219	Marge Crawford
532236	272356	Cecilia
532236	274650	Linda
532236	289512	Woman in Camper
532236	309563	Thea's Mom
532236	314225	Mrs. Hunt
532236	317451	Psychologist
532236	320890	Bath attendant
532236	330102	Sue Madehurst
532236	362689	Mrs. Mandrakis
532236	366271	Mrs. Paretti
532236	366585	Coach's Wife
532236	372089	Theresa
532236	374401	
532236	404282	Mabel Beaufort #1 (1990)
532237	103995	Hermana Verdugui
532237	355441	Maestra
532238	19463	
532238	68636	
532238	211071	
532239	107351	Judoka Woman
532239	208087	Hanged woman
532239	374638	Angvisa Girl
532240	302333	Señora maya de la haciuenda
532241	43082	
532241	70095	
532241	90093	
532241	91297	Rosita
532241	148025	
532241	213367	
532241	247464	
532241	277380	
532241	291649	
532241	351636	
532242	364752	Club patron
532243	101043	
532244	302053	Cantante del grupo
532245	106269	
532245	140493	
532245	208183	
532245	237722	
532245	256098	
532245	293401	Karen
532246	32160	Rosita
532246	269349	Tonda
532247	115826	
532248	70081	
532249	101318	
532249	270653	
532249	378476	
532250	185255	Sophie
532250	241086	
532251	321474	DeShon Williams
532252	215664	Miss Maine Teen USA (Top 15)
532253	54614	
532253	55417	Nurse
532253	118232	Allard's wife
532253	121360	Nurse
532253	190543	Mrs. Graham
532253	236946	Helen Barton Brent
532253	252488	Gertrude Mahoney
532254	108042	Female Panelist
532255	150292	
532255	288908	Mrs. Caziot
532255	308851	Catherine
532255	332897	Secretary
532256	154118	Rae
532257	91779	Audience Member
532258	66646	Ruth Stockton
532259	95847	Helen Havens
532259	278685	Princess Indora
532261	99621	Herself
532261	183671	Lady Grey
532261	192736	Jeannie
532261	383385	Meredith Ross #1 (1986-1987)
532262	20625	Extra
532263	11605	Miriam Strong
532263	206326	Dolly Page
532264	331416	Flo
532265	1019	Stephanie
532265	26531	Wilma
532265	57157	Female Teller
532265	64917	Mrs. Green
532265	67572	Producer
532265	79812	
532265	86958	
532265	111783	Bobby's Mom
532265	128478	Mrs. Simmenz
532265	151625	Em's Mother
532265	214911	
532265	299846	Mrs. Schwarzmeier
532265	363044	Ellen
532265	388202	Agricultural Princess
532266	26064	Sheep
532266	109856	
532267	276764	Dance Hall Girl
532268	77805	Chorus girl
532268	85109	Apache Dancer
532268	321616	
532269	305710	Frost Posse Queen
532269	360684	Christina
532270	52493	Molly O'Day
532271	323389	Girl in Gym
532272	275430	Mindy
532273	41234	Linda
532274	241286	
532275	47358	Floor Nurse
532275	78986	Judith's friend
532275	128827	Prisoner
532275	217946	
532275	367827	Aviatrix
532276	5776	Mrs. Carter
532276	17940	
532276	19278	Amelia Rosen
532276	20113	Nellie Marsh
532276	24425	
532276	26053	Mrs. Myra Babbitt
532276	31207	Mrs. Frank Andrews
532276	33749	
532276	35272	
532276	37154	
532276	38660	Lydia Brown
532276	43449	
532276	46550	
532276	47449	Zabie Elliot
532276	48029	Mrs. Brown
532276	54949	Housewife
532276	68463	Mrs. Neal
532276	71347	Lukashka's mother
532276	96651	Delia Jamiesoon
532276	96757	Martha Tilden (The Earth Woma
532276	100199	Alice Larkin
532276	102992	Erstwhile Susan
532276	107404	Ma Crumb
532276	116717	Myra
532276	116789	Mrs. Hunter
532276	125811	Aunt
532276	127268	Helen Arling
532276	131365	Jane Stuart
532276	133654	Mrs. Harvey
532276	138904	Aunt Maggie
532276	139804	Mrs. Bell
532276	142460	Lucy Mason
532276	142478	Doris Valentine
532276	143293	
532276	144637	Mrs. Randolph
532276	148404	The Mother
532276	148852	Mrs. Hutchins
532276	159463	Clarissa Mott-Smith
532276	160019	The Woman
532276	161542	Self-Styled Uplifter (Modern 
532276	169590	Mrs. Courage
532276	183413	Soft Annie
532276	184461	Gertie Marsh
532276	187469	Accident Onlooker
532276	188134	Mrs. Bradshaw
532276	190881	
532276	191744	
532276	194452	
532276	196523	Mrs. Wiggs
532276	197034	Helen Holland
532276	198867	Lady Macduff
532276	203674	Widow O'Neill
532276	203753	Elizabeth Town
532276	213871	Rose Sibley
532276	215618	Jason's Wife
532276	219914	An Uplifter
532276	227799	Shirley Martin
532276	227800	Margaret Dunn
532276	228702	Prince's Mother
532276	235674	Ann Boland
532276	239699	
532276	239753	Mrs. Anthon
532276	241557	Undetermined Role
532276	245290	Her Mother
532276	246720	Mrs. Bryne
532276	249392	Mrs. Masters
532276	255861	Lona Tonnesen
532276	257392	Mrs. Carver
532276	258045	Marjorie Benton
532276	259402	Mrs. Evans
532276	260867	
532276	261698	Ma Potter
532276	272532	
532276	289191	Mother
532276	292204	
532276	301061	Aunt Augusta
532276	301833	Edith Beecher
532276	304590	Sally
532276	306310	Bella
532276	307115	Mrs. Brown
532276	308017	Harriet Newton
532276	314120	Mrs. Burke
532276	316108	Mary, Leeds' Maid
532276	328086	Oulaid
532276	340936	
532276	342539	
532276	346148	Martha Maynard
532276	347516	Mrs. Parcot
532276	348100	
532276	362669	The Czarina
532276	366773	Helen Whipple
532276	367601	
532276	367745	Densie Plummer
532277	38619	Waiting Room Lady
532277	232845	Older Woman
532277	269617	Old Woman
532277	315172	Court Clerk
532279	134632	
532279	232455	Marcie
532280	128511	Clara
532281	219349	
532282	41795	Office Receptionist
532282	81196	Girl #1 in bar
532282	154087	Mamie
532282	199207	Nurse
532282	411809	Nurse Julie Holland (1978-198
532283	185441	Mrs. Whatley
532283	221259	Woman in Restroom
532284	315113	Waitress
532285	276899	Soccer Coach
532286	91745	
532287	367919	Woman Under Sunlamp
532288	286253	Luz Morales
532289	60753	Carrie
532289	85002	Sacrificial Victim
532289	350191	Office vampire
532290	196872	Student #2
532291	11632	Secretary #1
532292	42720	Kim
532292	81096	
532293	196872	Student #1
532294	26955	Reporter
532294	27167	Victim
532294	243276	Linda
532294	259829	Scott's Mother
532294	262798	Mrs. Sokol
532294	322638	Marsha
532294	380997	Idie Tull
532295	23998	
532296	187203	Madame Sociale
532297	305939	Student
532298	347609	Cashier in Theater
532299	61183	Margo Ryan
532299	113553	Aileen
532299	158997	Shelly
532299	171094	Dr. Doliveau
532299	213654	Patty
532299	220622	Mrs. Cadell
532299	348594	Corene Davis
532299	384854	Kiki Kirkridge
532300	259214	Martín's Lady
532301	5078	Mikah
532301	190698	Gloria
532301	271248	Hortensia
532302	300871	Ma Vicious
532303	119802	Red-haired prostitute
532303	245340	Female Prostitute (Leisure Cl
532304	400236	Starr Manning (#3) (1998-pres
532305	31950	Mrs. Kerchief
532306	131232	Extra
532307	92575	Woman at Autoteller
532308	321227	Secretary
532309	144787	Maude
532310	112049	Student Zoo Keeper
532310	141350	TV reporter
532310	300342	Carrie
532310	388501	Tasha Jarvis
532310	391194	Rowley House Maid
532310	399590	Anna Lacey
532311	208087	
532312	295504	
532313	112813	
532314	126200	
532314	370273	
532315	47038	
532315	229997	Daisy Hawtorn
532315	279294	Another diva (segment "Ricott
532315	412246	Mme Dambreuse
532316	104709	Herself
532316	104711	Herself
532316	104712	Herself
532316	104756	Turkish entry (18th place)
532316	136742	
532316	172175	
532316	380743	Ceyda
532317	88867	Dream Girl
532317	204386	Rachael McKenna
532317	345850	Candy
532317	367083	Policewoman Minnie Smith
532318	29956	Myrna
532318	87871	Judy Beckett
532318	117646	Bit part
532318	160470	Convict's Sweetheart
532318	193295	Mary
532318	207140	Patricia Wells
532318	318845	Phyl Yaeger
532318	324385	Millicent
532318	324572	Patricia Kane
532318	330915	Ann Jackson
532318	335327	
532318	367733	Bit
532319	281826	
532320	90207	Kitri/Dulcinea
532320	342009	Ballet Star
532321	72901	
532322	41004	Helen
532323	152641	Judy Ross
532324	88922	Ace
532324	88933	Herself ('Ace')
532324	89001	Herself
532324	154760	
532324	197775	Herself
532324	214517	Human
532324	214520	Space Pilot 6927896
532324	219163	Girl
532324	276253	Ace
532324	297106	Mari
532324	315620	Herself
532324	363354	Herself
532324	374582	P.R.O.
532324	385014	Herself
532324	386587	Dorothy 'Ace' McShane (1987-1
532324	393089	
532324	397403	Maureen
532325	78606	
532325	198876	
532325	202978	
532325	380207	
532326	394406	Dancer (1991-1993)
532327	197452	
532328	78766	Young Prostitute
532329	153211	Young Girl
532330	130720	Guest at Fawns
532331	28461	Nun #2
532332	80757	Judge McCarney
532332	109841	Panel Member #1
532332	212687	Woman #2
532332	252455	Dist. Atty. Snipes
532332	292637	Anne, Ellen's Mom
532332	293021	Gray-Haired Woman
532332	329094	Ann
532332	334234	Lawyer
532332	364439	Mrs. Hemphill
532333	165009	Flip's Mom
532333	346543	
532334	67902	Chris
532335	234826	Nonne/Nun
532336	26831	Girl in Diane's Class
532336	40878	Co-Eds
532337	169136	Child Chorus
532338	22907	Mannish woman
532338	27149	German woman
532338	29504	
532338	42023	
532338	44899	Opera Singer
532338	52904	Friend of Camille
532338	100085	Woman in Compartment D
532338	104950	Prison matron #1
532338	105649	Policewoman
532338	109673	Brazilian Opera Troupe
532338	117801	Homely woman
532338	118304	Crazy Woman
532338	144573	Bit part
532338	154906	
532338	155908	Swedish Cook
532338	183591	Lucretia
532338	192611	Dowager
532338	195470	
532338	199318	Tall woman
532338	208719	Opera Singer
532338	246730	German Teacher
532338	248450	Beauty Operator
532338	299163	Waldo's Mother
532338	308643	Mabu
532338	309581	Motion Picture Crew
532338	317169	Police Matron
532338	329463	Mrs. Sampson, Big Woman at Bu
532338	346201	Tall Woman
532338	363745	Hilda
532338	367919	Singing Teacher
532338	372364	Mme. Ziffnidyiff
532339	44709	
532339	117557	Donald's wife
532339	154906	Bit Part
532339	196496	Flora Martinelli
532339	360479	Housemaid
532339	367919	Masseuse
532340	311449	Amazon
532341	42720	Cindy
532341	43874	Cynthia
532341	73612	Passenger
532341	78778	
532341	178149	Suzanne
532341	209776	Callie
532341	222806	Luesa Kattai
532341	271213	Princess/Creature
532341	274312	Michelle
532341	274314	The Actress (segment "The Wri
532341	274327	TV Woman (segment "Burning Up
532341	288738	Alice
532341	361167	Charmaine
532341	385824	Kayla Brady #3 (1989)
532341	389858	Reporter (1997)
532342	91716	Mavis
532342	120738	Stella
532342	178762	Dancer
532342	248318	Nita Dominick
532343	26998	Angel
532343	44439	
532343	182963	
532343	258099	Cheyenne
532343	385824	Jill Stevens #2 (1996-1997)
532343	389858	Courtney Kanelos (1998-2000)
532343	401360	Catherine Winters
532343	401930	Courtney Kanelos (1998-2000)
532343	411802	Victoria Nicole Newman #4 (19
532345	93822	Horatio Jackson Lee St. Alban
532346	88465	Herself/Wife of Barry Eldridg
532347	347947	The Invisible Girl
532347	368666	Cop
532349	295806	Sauna woman
532350	287172	Atropos
532351	26725	School Girl
532352	78694	June Foster
532352	80543	Laura Thursday
532352	92117	Helen Carson
532352	94291	Miss April, Vargas Calendar G
532352	107703	Victory Gown Model, Spanish G
532352	119536	Adelaide
532352	128173	Lucy
532352	128256	Sarah Sorrell
532352	130808	Cornelia Hunt
532352	140096	Patricia Harding
532352	143618	Lillian Bennett
532352	150575	Melinda Craig
532352	195190	Louisiana belle
532352	203594	Wilhelmina Hammond
532352	228816	Navy Blues Sextette member
532352	237143	Nyoka Gordon
532352	253119	Nyoka Gordon
532352	254498	Claudia Moore
532352	281696	Lady in Waiting
532352	285664	Georgine
532352	299718	Evelyn Trent
532352	308112	Show Girl
532352	348008	Herself
532352	356230	Katherine, a Model
532352	371380	Janice
532352	372328	Navy Blues Sextette member
532353	7661	Katherine Hastings
532353	14164	Kate Webber
532353	88195	Agnes Brinn
532353	155257	Anne Cattrell
532353	192159	
532353	205718	Anne Woods
532353	208189	Kitty Hall
532353	281446	New Lucy
532353	305082	Belitski
532353	334271	Sarah Harding
532353	343323	
532353	368445	Barbara Daniels
532353	386862	Alice Hughes
532353	400807	DI Rosie Campbell (1989)
532353	401937	Serena
532354	139123	Girl at Bar
532355	68232	Dancer
532355	151122	Benita
532356	403542	Exotic Dancer #1
532357	368666	Restaurant Patron
532358	186443	Herself
532358	395290	Herself/The Aldridge Sisters 
532359	186443	Herself
532359	395290	Herself/The Aldridge Sisters 
532360	304911	Candy
532361	129762	Gnome Maiden
532361	144898	Betty Alexander
532361	278633	Kitty Anderson
532363	243024	Herself
532364	384618	
532365	59887	Allie
532365	69352	Fanchette
532365	91864	Lily
532365	187464	
532365	227800	Gladys Strong
532365	290331	Claire Manners
532365	307581	Isabel Meredith
532365	371061	Marian Turner
532366	76115	Sandra
532367	246379	
532368	73703	Florence
532369	246379	
532370	2815	Herself - Co-presenter: Best 
532370	2888	Herself (Nominee)
532370	2895	Herself - Co-presenter: Docum
532370	25516	Eva Duarte's mother
532370	52754	Beba
532370	55146	
532370	63908	Carmen/Carmen's mother
532370	65555	Cleopatra 'Cleo'
532370	70683	Mother
532370	72065	Edie
532370	78843	Isha
532370	83540	Clarita
532370	101936	
532370	107268	
532370	109264	Dolores
532370	111841	
532370	121333	La Varela
532370	122790	Florencia
532370	125759	Valentina Vernisi
532370	136734	Macacha Güemes
532370	143666	
532370	145205	Norma Belvedere
532370	146533	Alicia
532370	221706	
532370	234042	
532370	234310	Julia
532370	241524	Nidia
532370	242672	
532370	265549	
532370	281209	Julieta
532370	294732	Gloria
532370	301178	Hipólita
532370	307195	Clara Goldstein
532370	309246	(segment "Los pocillos")
532370	334577	Madre de Teresa
532370	338945	
532370	341662	Maria
532370	355670	Henrietta Walker
532370	357875	Voz en off
532370	378470	
532370	379658	
532370	380113	
532370	383559	
532370	385380	
532370	398479	
532370	400340	
532371	109264	Dolores
532372	230526	Sara
532372	381466	Sara
532373	110173	Blanche
532374	34576	Alumna 1
532374	55080	Jeny
532375	25461	Fire
532376	213142	
532376	359712	Candy
532377	90755	Detainee
532377	158852	
532377	207744	
532377	217759	Sister Ottavia Ricci
532378	28086	
532378	31107	
532378	39685	Juana
532378	142569	
532378	162639	
532378	169457	
532378	176853	
532378	181774	
532379	145120	
532380	12800	
532380	31454	
532380	49321	
532380	92632	
532380	130307	Eric's bargirl
532380	163053	
532380	207046	
532380	207923	
532380	234966	Prostitute
532381	27627	Fe Alvarez
532381	32898	Bargirl
532381	140640	
532381	281405	
532382	204643	Sita Asunción
532383	281182	Jade
532385	374208	Permanent
532385	400112	Princess
532386	71232	Herself
532387	249868	
532387	296121	Luisa
532387	380126	Shakira
532387	380535	Emilia Patiño
532387	381860	Carla
532387	382543	
532387	387916	Hermana Doris
532387	391611	Ximena
532387	401096	Rebeca Flores Corona
532387	402463	
532387	404292	
532388	80189	Chavo Banda La Raza
532388	283984	
532389	380054	Mary Loly Álvarez-Vega
532389	383471	
532389	385502	Doris Torres
532389	397009	
532389	399763	
532389	401659	(2003)
532390	212475	
532390	213779	
532390	277125	
532390	339204	
532390	351651	
532391	204652	Manon
532391	380085	Leticia
532391	381859	
532391	387846	
532391	387897	Yolanda Paz
532391	391272	Raquela Valderrama
532391	395403	
532391	396163	
532391	396956	Marta
532391	398470	Angélica Villar
532391	398482	Irene Rivas
532391	409790	Valeria
532392	62302	Vendedora de pescado
532393	121951	
532393	385401	Queta
532393	410477	
532394	347684	Nicole
532395	69232	Juror
532396	351281	
532397	79113	
532397	222288	
532397	235703	
532397	256831	
532397	349029	
532398	60438	
532398	88729	Camp Nurse
532398	172447	Lena
532398	173710	
532398	268185	
532398	305550	
532398	315003	Doctor
532398	370166	
532398	374867	
532398	375460	Teacher
532398	376234	
532399	353637	
532400	172445	Mirra Zagorskaya
532400	283775	Alexandra Fyodorovna, Wife of
532400	301897	
532401	104730	Belarussian entry (19th place
532401	411515	Herself (audience microphone 
532402	45711	Ket
532403	187013	
532403	261303	
532403	304170	
532403	394750	
532404	162675	
532404	237466	
532405	373242	
532406	97605	
532407	161865	Delilah
532408	237763	Meditzinskata sestra
532408	374869	Nastya
532409	25285	
532409	179018	Maria
532409	263424	(segment "Trofim")
532409	280807	
532409	306646	
532410	25690	Lizanka von Evert-Kolokoltsev
532410	116643	Léna
532410	225827	
532410	295499	Anya
532410	313526	Dziwa
532410	381530	Princess Maria Gessen-Darmsch
532411	60881	
532411	102996	
532411	376218	
532412	179094	Ekaterina II
532413	196338	
532414	226017	
532415	261305	
532416	333782	
532417	103931	Femme sélectionneur
532418	198137	
532419	317100	Dashteryata na starshinata
532420	60729	Hospital Employee
532420	181312	Zinka
532420	344365	
532420	356444	
532421	373948	
532422	165408	Oczyszczona
532423	173682	Gayane
532424	227229	Susambar
532425	49828	Rat Woman
532426	25690	
532427	273429	Herself/Miami
532427	273434	Hostess
532427	273436	
532427	402993	Herself/Miami (1996)
532427	402995	Herself/RW: Miami
532428	411911	
532429	392551	
532430	59772	
532431	60550	
532431	320655	
532432	263669	
532433	132111	
532434	198165	
532434	265936	Khvylka
532434	321877	
532434	344014	
532434	357246	
532434	357333	
532434	374457	Anna
532434	381631	
532435	356927	Katya
532436	32757	
532436	265840	
532436	312432	
532436	374770	
532436	392551	
532436	400449	
532437	827	
532437	83164	
532437	84470	Varvara Kashirina Peshkova, m
532437	91195	
532438	175956	
532438	294992	
532439	350789	
532440	114766	
532441	243719	
532442	28413	Vedrana
532443	355548	
532444	28044	
532444	136798	
532444	149865	
532444	189400	
532444	195247	
532444	209235	
532444	272187	Karlova majka
532444	312417	
532444	320710	
532444	375323	Gazdarica
532444	390721	Cila
532444	397373	
532445	399000	Staja ... fotoreporterka
532445	401927	
532446	280588	
532447	80514	Squeeze's Mother
532447	159712	Mother
532447	299736	Staring woman
532448	9468	
532448	46222	
532448	109743	
532448	131990	Baba Chechka
532448	180496	
532448	213513	
532448	229086	
532448	253836	Lelya Dochka
532448	258812	
532448	264557	
532448	293844	Oblachkata
532448	341024	Sasedkata
532448	397197	
532448	399115	
532449	224448	
532450	32024	
532451	65796	Cathy
532452	171342	Isabelle
532452	383371	Babette (1999-2000)
532453	371962	Sister of Freya #1
532454	283771	
532455	63863	Madre de Ana
532455	64333	Herself (1981)
532457	204184	Dancer
532458	61353	
532458	70517	
532458	80245	
532458	104153	
532458	131971	
532458	135301	
532458	153817	
532458	170044	
532458	183909	
532458	189109	
532458	202005	
532458	259745	
532458	306703	
532460	334666	Elena
532461	19748	Abuela
532462	225450	
532463	407138	Herself - Semi-Finalist
532464	209865	
532465	162598	Herself
532466	243933	Interviee
532467	9663	
532467	14431	
532467	25794	
532467	73975	
532467	115819	Teresa
532467	222022	
532467	251986	
532467	266888	
532467	293398	
532467	313025	Maria Amor
532467	318604	
532467	370152	
532467	380072	
532467	380840	
532467	385852	Victoria
532467	390085	Pilar Spadalacua
532467	390614	Claudia
532467	392804	
532467	396822	
532467	398842	
532467	401358	Susú
532467	405102	Sofía
532467	410289	Puma
532468	378415	
532469	5744	
532469	21678	
532469	48293	
532469	69929	
532469	74624	
532469	84062	
532469	134489	
532469	135366	La Maestra
532469	160518	
532469	162803	
532469	202838	Marta
532469	255936	
532469	320510	Miriam
532469	379853	
532469	380840	
532469	384065	Eva
532469	384809	
532469	387127	Silvia Ramos
532469	387778	
532469	388815	Silvia Rosales
532469	404998	
532469	408204	
532469	412187	
532470	26582	Wanda Ordoñez
532470	334966	
532470	383470	Martha Forero
532470	383472	Margot
532472	76670	Louise Daens
532472	105583	
532472	188035	
532472	285011	
532472	367194	
532472	395515	
532472	408739	Moniek
532472	411578	
532473	340491	Gypsy Dancer
532474	322943	
532475	13546	
532475	306981	Edith Barros
532476	62442	
532476	88793	
532476	119678	
532476	299483	
532476	344836	
532476	369980	Jéssica
532476	380326	Divina
532476	381328	Dina
532476	383293	Berenice
532476	383370	
532476	383441	Martina
532476	386729	Dileta
532476	387838	Laura Bernardes
532476	388591	Perla Menescau
532476	389662	Denise
532476	391580	Divinéia
532476	392629	Teresa
532476	394872	Natasha
532476	397553	Zilda
532476	400662	
532476	401944	Epifânia Pereira
532476	402685	Amapola
532476	403200	
532476	403618	Patativa
532476	404078	
532476	404185	
532476	408212	Laura
532476	409412	Alcina
532477	9874	
532478	170950	
532479	255640	
532479	344699	
532480	408212	Rosinha
532481	36554	Leninha
532481	383355	Camila
532481	386542	Camila
532481	391674	Malvina
532481	400096	Bianca
532481	402456	Francisquinha
532481	403326	Luzia
532481	410104	Rafaela
532482	365200	Herself
532483	180365	
532484	35904	
532484	35924	
532484	124843	
532484	132085	
532484	155205	
532484	173377	French teacher
532484	263677	French teacher
532484	349077	
532485	265934	
532486	65791	Angelica
532486	388299	(2003-)
532486	396568	Chrisje
532486	409928	Christel Biesemans
532487	371285	Olenina
532488	179333	
532488	219723	Katya
532488	265996	
532488	299289	Abzats
532488	321881	
532488	357333	
532488	357347	
532488	374165	Sonya
532488	374174	
532488	374764	
532488	381167	Zinaida Semyonovna
532488	399150	
532488	404204	
532488	404870	Vera
532489	274458	Daisey
532490	111041	
532491	271847	
532492	2498	Posh Student
532493	303648	Flagellant
532494	197452	
532494	337974	
532495	166069	Marlene Dietrich
532495	326875	
532496	95646	
532496	104431	
532496	132086	
532496	160110	O, the Alien Woman
532496	173710	
532496	241936	
532496	273046	Lidia
532496	278844	Olga
532496	294653	
532496	307614	Svetlana
532496	349311	
532496	357707	Lysusya
532496	370185	
532497	280129	Verónica
532498	380531	Beatriz
532498	381583	Lívia/Princess Cecília
532498	391673	Soninha Toledo
532498	392792	Dorothy Mackenzie
532498	397540	Lívia Maciel
532498	397645	Francisca
532498	401944	Lívia Proença
532498	402504	Cláudia
532498	405936	Inez
532498	408550	Tânia
532499	200457	Margherita
532500	12087	
532501	66227	
532502	400790	
532503	8987	
532504	26633	Desiree
532504	77640	Devil Dancer
532504	142417	Nightclub waitress
532504	160867	
532504	197228	
532504	206157	Toni
532504	214481	Priestess Tura
532504	258039	Girl #1
532504	295625	Body Flash Dancer
532504	303973	
532504	353297	Aphrodite
532504	353298	Stripper
532505	221987	Sra.Sutfield
532506	157522	
532507	334011	Mourner
532508	108339	Nina (3)
532510	17744	Grandmother
532510	197618	
532510	202576	
532511	231685	
532512	130407	April
532514	396145	Maria - Age 6
532514	399350	Herself (eliminated round 3)
532515	291553	Ciaccia
532516	355828	Oboe
532518	166616	
532519	70158	Amina
532519	157269	Djizme
532520	25095	
532521	34961	
532523	64571	Herself
532523	79719	Marilyn Oakes
532523	383456	Herself/Model (substitute, 19
532523	402113	Sub-model (1984-1991)
532524	64569	
532525	167918	Max
532525	324049	Mia
532526	34331	Stripperin
532526	75030	
532526	150047	
532526	172683	Nancy
532526	207821	
532526	225180	
532526	271176	
532526	312265	Rich Girl #2
532527	34103	
532527	48121	
532527	156734	
532527	204487	
532527	206559	Oberschwester Marianne
532527	223461	Marianne
532527	226346	Schwester
532527	259440	Ute Usch
532527	259493	Frau Otto
532527	259505	Hilde Ziehlke
532527	259510	Brigitte Perlbach
532527	259514	Vera
532527	259520	Rosalinde
532527	259557	
532527	259586	Monika Habelt
532527	312636	Molly
532527	347814	Frau Kunicke
532527	364959	
532527	389616	Gisela Warns
532527	389942	Maria
532527	394619	Frau Libeskind
532527	405806	Herta
532528	83248	Julia/Giulia
532529	365344	'It's Only Plastic' Chorus Gi
532530	141967	Herself
532531	382419	Molly Carter (1992-1998)
532531	411802	Molly Carter (1991-1993, 1995
532532	48122	
532532	76777	
532533	361240	Herself
532534	60507	
532535	161584	Herself
532535	168256	
532536	402059	
532537	266381	Musikstudentin
532538	367061	Stage Girl #1
532539	68609	Gilda
532539	351269	(segment "Pisada de Elefante"
532539	385947	
532540	29619	Redhead
532540	303282	Herself
532541	323721	Prostitute
532542	107928	Party Girl #2
532542	316284	Additional Voice
532542	379760	
532542	383849	Additional Voices
532542	401980	Brattina
532543	382028	Aja
532544	30463	Lucy
532544	145638	Casting Assistant
532544	191653	Nurse Kisilevsky
532544	224313	Waitress
532544	323866	Restaurant Manager
532545	66942	Waitress
532545	72707	Mrs. Avery's Secretary
532545	279152	Deanna, New Mom
532545	353294	The B-Girls
532545	372570	Dove
532546	193703	
532547	114067	Woman on street
532547	160406	Tenant
532547	300532	Angry Neighbors
532548	233954	Kim
532550	18207	Dancer
532550	37693	
532550	75771	Dancer
532550	84808	
532550	84809	
532550	187167	Commercial Girl
532550	213109	Britt
532550	295614	Roxana
532550	309213	
532550	366752	Sacrifice
532550	391835	Talking head/soundbites (segm
532553	228182	Emily Goodrich
532554	352517	Runaway Model Five
532555	42705	Card Girl
532556	196471	Bank Clerk
532557	211382	Librarian
532558	265738	Joan
532560	41093	Hat Check Girl
532560	63029	Nurse Smith
532560	64090	Waitress
532560	78163	Dr. Sue Harmon
532560	147663	Herself--Junior Hostess
532560	149635	Angel
532560	176321	Goldwyn Girl
532560	213820	Party Guest
532560	264143	Goldwyn Girl
532560	348327	Goldwyn Girl
532561	277948	Alex Stone
532561	321450	Mike's Girl
532562	103366	Carol
532563	57941	
532564	170787	
532565	51989	Prison Guard
532566	49453	Pizza Girl
532566	70391	Reporter
532566	380713	Samantha Markham Anderson #1 
532566	400236	Julia Michaels (2001)
532566	405767	Host (2000-2001)
532568	30418	
532568	68554	Tía Mary
532568	70008	Jose's Mother
532568	118661	
532568	199004	
532568	215148	Miroslava's grandmother
532568	274524	
532568	377142	Madre Kluzki
532569	304737	Nancy Miller
532570	97727	Reporter
532570	102580	Police Officer
532570	193915	Bartender
532570	312010	Dr. Matson
532571	94861	Beth the Hostess
532571	295377	Nurse
532571	339596	Bobbie
532572	16767	Librarian
532572	193523	Madeline
532573	51393	Simone
532574	25340	Girl
532574	168645	Waitress at BBQ
532575	101942	Nurse
532577	145113	Country Singer
532577	248133	Office Worker
532577	387075	
532578	366802	Supply Officer
532579	31608	
532579	59688	
532579	61582	Claire
532579	128403	Eloise Monroe
532579	246772	
532580	253361	Policewoman
532581	27321	Nurse
532582	73191	Maria Gioia
532582	84134	
532582	127534	Laura
532582	191065	Violet Sharpe
532582	375936	Axelle
532582	380391	Mary McKinnon (1986-1989)
532582	384433	Lois Adams (1960)
532582	385824	Susan Hunter Martin #1 (1966-
532582	389858	Dr. Lesley Williams Faulkner 
532582	406952	Sister Beatrice (1997-1998)
532583	100952	Magistrate
532583	131797	Mrs. Little
532583	141731	Miss Gutteridge
532583	147429	Gaye Sloane
532583	183722	Dressmaker
532583	198885	Gentlewoman
532583	209525	Hospital Doctor
532583	262534	Alice
532583	285669	Mrs. Cherret
532583	285879	Dr. Lydia
532583	308183	Children's Home Worker
532583	310532	Adela Knighton
532583	388491	Sister Bernadette
532584	158311	Doris
532585	117713	Dancer
532586	195271	Lady in salon
532587	330433	Fiona
532587	383631	Penny Hutchens: Paramedic (19
532588	195831	Crazed Bride-to-be
532588	201215	Maggie
532589	175163	Old Woman
532589	248459	Mrs Wallenstein
532589	276943	Old Countess Gertrud
532589	372717	Mrs. Goez
532589	408638	Frau Locher
532590	40800	Animal Veterinarian
532591	176378	Madeline Twirt
532592	178093	Angela
532592	212524	Mousie's Mother
532592	237604	Young Woman
532592	280192	Officer #1
532593	279414	Ellie
532594	10853	Cmdr. Rojean Page, Explorer D
532594	59244	Petra Graf
532594	169372	Liz Corbett
532594	176969	Jessica
532594	277862	
532594	289368	
532594	292062	Jenny Thornbury
532594	318819	Jenny Abbott
532594	342759	Barbara Borstein
532594	381608	
532594	381641	
532594	390287	Janet Garrety
532594	404927	Pride
532594	404932	Esther Wolcott
532594	405358	Jean Hamilton
532594	405447	Alison
532594	408018	Mrs. Rogers
532594	408280	Selma
532595	69457	Michelle Strigo
532595	70208	Mother Superior
532595	90771	Mob Girlfriend
532595	129516	Third Blonde
532595	367880	'Danger' World Champion
532595	411367	Danger
532596	90771	Mob Girlfriend
532596	129516	Third Blonde
532598	2232	Joy
532598	2781	Ciel
532598	68469	Cassandra Twymon
532598	71291	Herself; Pam Tucker
532598	109929	Venell
532598	121528	Lucy
532598	140843	Rita, Al's Daugther
532598	185085	Amy
532598	194055	Selma Cotter
532598	195844	Brenda
532598	202619	Young Flora
532598	224106	Joan
532598	245769	
532598	339597	Laurel
532598	385055	Pamela 'Pam' Tucker (1990-199
532598	389923	Oney
532598	390262	Cheryl Carter
532598	395815	Maxine 'Max' Felice Shaw
532598	396477	Madri/Hidimbi
532598	406712	Dee Mulhern
532599	398781	Ella
532600	200911	Reporter
532601	101620	
532602	7942	
532603	11198	
532603	43347	Rose Forsyth
532603	46990	Valerie Miles
532603	87645	Trees Quist
532603	117745	Stella Cannon
532603	203782	Denise
532603	225372	Christina
532603	304804	Gwenda Reed
532603	349571	Venetia
532603	383040	Janet Summers
532603	385627	Susan Tolland (segment film t
532604	37181	Marion Beemis
532604	90386	Mrs. Ransom
532604	107060	Mrs. Eliot
532604	116784	Mrs. Nora Tompkins
532604	153203	Grace Brooks
532604	153226	
532604	168583	
532604	191872	Mrs. Lealor
532604	264376	
532604	289119	Mrs. Winthrop
532604	306050	Enid's Mother
532604	308395	Princess Delgrade
532604	309521	Fanny Stone
532604	315868	Mrs. Stevenson
532604	316165	The princess
532604	339740	Ruth Kipp
532604	364146	Mrs. Hosack
532604	365770	
532604	372228	Mrs. Eustace
532605	85523	
532606	348594	Waitress #2
532607	171297	
532607	331664	Extra
532607	359902	Sharon
532608	88522	Lois
532608	175163	Barbara
532608	283600	Shane's Mother
532609	275881	Pvt. Lapdance
532609	388864	Hostess (1995-96)
532609	396050	Judy
532609	411322	Madame Martinka
532610	154629	Church Lady
532610	263485	
532611	123884	Woman
532612	391947	Ms. Elders (1997-1999)
532613	254	
532614	264157	Lady Caroline
532615	211601	
532616	244420	Hanna Thompson
532617	347141	Herself
532617	347142	Hand Motions
532617	347143	Herself
532618	1842	Herself - Performer
532618	2279	Herself
532618	2305	Herself - Co-host
532618	2527	Herself
532618	11525	Judy Hoback, Bookkeeper
532618	13921	Herself
532618	35184	Alicia Hardeman
532618	38990	
532618	41123	Doris Ashley
532618	48070	Lillian Gray
532618	52142	Calamity Jane (Martha Jane Ca
532618	55675	Mrs. Gortimer
532618	63832	Nurse Edna
532618	64389	Mary MacCracken
532618	64815	Addy
532618	79408	Peggy Ryan
532618	80982	Mrs. Patrick Campbell
532618	81051	Frances Gunther
532618	98803	Eleanor Roosevelt, age 18-60
532618	98804	Eleanor Roosevelt
532618	113512	Herself
532618	120268	Hannah Dournenvald
532618	129570	Sarah Blake Sturgis Shaw
532618	133870	Eleanor
532618	135913	Nora Tenneray
532618	157784	Sybil Stockdale
532618	158150	Sandy Caldwell
532618	166671	Jenifer's Mother
532618	175522	Herself
532618	175536	Herself
532618	175537	Herself
532618	180705	Margaret Phelps
532618	196524	Mary MacCracken
532618	202395	Hedda Hopper
532618	202673	Herself
532618	206405	Georgia O'Keeffe
532618	214970	Karen Walker
532618	230558	Dorothy Fehler
532618	231874	Doris Strelzyk
532618	232017	Herself
532618	242487	Ginny Carlsen
532618	257764	Alma Rose
532618	269674	Barbara Moreland
532618	278498	Dr. Grasnik
532618	312270	Juanelle
532618	314103	Blanche Kettman
532618	319270	Delia Temple
532618	321167	Anna
532618	328839	Carol Wetherly
532618	330815	Sarah Shaw
532618	361166	Anne Palmer
532618	363005	Nora Strangis
532618	367812	Herself
532619	48555	Susan
532619	263015	Emma Jung
532619	348181	Princess
532619	387465	Lucrezia Van Necker
532620	68842	Mother
532620	100182	Josephine
532620	107875	Mrs. Belvedere
532620	116949	Nurse Hillyer
532620	130020	Angela Clifford
532620	142860	Henrietta Maria
532620	144928	Lady Bracklethorpe
532620	150782	Margaret Graham
532620	154267	Jean
532620	233582	Mrs. Ansell
532620	235483	Mrs.Cassilis
532620	269374	Lady Doris Manners
532620	269392	Joan Hocking
532620	292679	Salome Westaway
532620	338799	
532620	354498	Mary Rivers
532620	362483	Elma
532620	365731	
532621	133705	Mary Browne
532621	226899	Little girl
532622	650	Herself
532622	81284	
532622	108366	Vera Stone
532622	118050	Herself
532622	149411	Mrs. Santa
532622	216718	Doris Clancy
532622	289396	Mrs. Keeler
532622	365864	Nanny
532622	367854	Hilda Ogden
532622	385019	Herself (Series 1) (2003)
532622	385020	Hilda Ogden (1964-1987)
532622	392954	Miss. Binns
532622	395178	Auntie Wainwright (1988-1989,
532622	401382	Lily
532622	403337	Granny Trellis
532622	410978	Kathleen Beresford (2002-2003
532623	206629	Party Guest
532623	215831	Vicki
532623	298316	Audience Member
532624	198901	Lady Macduff
532625	113152	Liza Deveroux
532626	102957	Carmella
532626	194410	The Flirt
532627	389815	Co-Host
532628	18544	Party Girl
532629	385887	Lyn Minero
532630	19892	Lois Lane
532630	37945	Lois Lane
532630	49343	Lois Lane
532630	84243	Lois Lane
532630	98913	Lois Lane
532630	99154	Lois Lane
532630	165706	Lois Lane
532630	170743	Lois Lane
532630	200447	Lois Lane
532630	209257	Lois Lane
532630	222323	Lois Lane
532630	300148	Lois Lane
532630	319598	Lois Lane
532630	328589	Lois Lane
532630	346291	Lois Lane
532630	356471	Lois Lane
532630	383426	Lyra
532630	398959	Herself/panelist
532630	399215	Lois Lane
532630	407023	Lois Lane
532631	109649	Athlete
532632	82923	Nurse
532632	208076	
532632	242712	
532632	267449	Rosalie
532632	328581	
532633	182956	Liz
532634	223713	Ruby
532634	389621	Herself
532635	27168	Max Logan
532635	275881	Brainwashed hooker
532636	173089	Angelica Wingate
532636	212049	
532636	230663	Highland High Student
532636	363668	Waitress
532637	7877	Julia Patterson
532637	10587	Evelyn Dow
532637	16915	Charlotte Lord
532637	17704	Ernestine Pringle
532637	21449	Alma
532637	30346	Arabel Barrett
532637	47370	Harriet Ingalls
532637	54903	Queen Anne
532637	77685	Miss Olmstead
532637	81281	Alda
532637	84898	Hilda Pierce
532637	91917	Claire Lodge
532637	100662	Mrs. Rose Arbuthnot
532637	117222	Miss Harkness
532637	127791	Mrs. Parker
532637	128170	Valentine French Marland
532637	128222	Lady Helen Lavering
532637	133702	Miss Billow
532637	139083	Ellen
532637	152522	Mrs. Steed
532637	152721	Madame de Lys
532637	157847	Laura
532637	168562	Phyllis McKinley
532637	178017	Janet Archer
532637	218786	Louisa
532637	236129	Miss Trask
532637	240898	Mrs. Andrews
532637	242812	Pauline Cushman
532637	246730	Mrs. Townsend
532637	257512	Mrs. Dice
532637	272470	Mrs. Adams
532637	276939	Mrs. Crandall
532637	297970	Gertrude Barclay
532637	300022	Mrs. Winifred 'Aunt Winnie'/'
532637	303146	Clara Hopkins
532637	305395	Mrs. Randall
532637	311475	Martha Lorrimore
532637	312773	Cast of Play
532637	320376	Anna Sutter
532637	326185	
532637	329399	Mrs. Lloyd Rogers
532637	331618	Abigail Pardway
532637	350484	Marcia Marshall Templeton
532638	303282	Herself
532639	110251	Lounge Lizard
532641	57489	Sissy
532641	62778	Dancer
532641	78779	Janelle Holland
532641	100034	Det. Middlestat
532641	116711	Icarus
532641	133973	Laura Densmore, P.I.
532641	151126	Janelle
532641	169207	Maralena
532641	200894	Hooker in Jail
532641	210902	Karen Lawson
532641	233567	Diana Campbell
532641	249499	Charlie
532641	252985	Christie Kaplan
532641	258752	Simone
532641	297246	Rosalie
532641	310500	Lakesha/Nurse
532641	316793	Star
532641	318361	Ella Skuggs
532641	328247	Dr. Deborah Levy
532641	330057	Joanie
532641	330271	Janet
532641	334260	Harriet
532641	362512	Darlene
532641	385013	Denise Francine 'Fran' Boyd
532641	385359	Chief Medical Examiner Alexx 
532641	387728	Jackie Robbins (1995-2001)
532641	389476	Various characters
532641	395587	Yolanda
532641	398307	Regular
532641	399334	Catherine Duke (1995-1998)
532641	406113	Lakesha/Nurse
532641	411565	Yolanda
532642	175740	Young Woman
532643	195278	Petra Kappel
532644	82327	
532644	138699	Mommy #2
532645	267101	
532646	316953	Elizabeth
532646	321213	New York citizen
532647	342045	Alice Mills
532648	178896	Laura Nixon
532649	43918	Waitress
532649	185405	Lead
532649	235906	Sister
532649	294717	NY Girl
532649	304862	Widow
532649	310749	Passenger
532649	326230	Girl Friend
532649	409609	Irina Tomczeck (1992)
532650	81055	Girl on Cliff
532651	310135	Operator
532652	105539	
532653	310141	Bellerian #2
532653	374589	Swimmer
532654	80535	Miram Barber
532655	230	Ann Norton
532655	44034	Virginal Woman
532655	80393	Woman with red hair
532655	104944	Girl
532655	277795	Ginger
532655	386006	Luna
532656	1642	Prince Daaker's daughter as a
532656	11605	Amy
532656	21289	
532656	24782	
532656	26648	
532656	35806	
532656	66616	
532656	116736	
532656	117740	Little Leone
532656	146328	
532656	165440	
532656	171169	
532656	248881	Agnes Melton, as a child
532656	309491	
532657	72689	Sheila
532657	182040	Lavina
532658	81155	Fortune Teller
532659	97018	Gunstore Girl
532660	109395	Female Gangbanger #1
532661	391915	Presenter
532661	393081	Presenter
532661	397747	Presenter
532662	309477	Jada
532662	398697	Ex-girlfriend
532663	62989	Fred's Wife
532663	320365	Christine Russell
532663	383071	
532663	391772	Jennifer Quilley
532663	407105	Christine Russell (1973-74)
532663	407949	Co-Presenter
532663	408072	
532664	403239	Naomi
532665	263941	Girl in Bluebell
532665	271293	Mrs. Bannerjee
532666	235692	Mary Lou
532666	346096	Redhead
532667	175573	Kenny's Sister
532668	29847	
532668	39598	
532669	135968	Madame
532670	4779	Gertie Ziesche
532670	189307	Elsie's mother
532671	348070	Karen
532672	195262	Zvette
532673	385653	Karen Holland
532674	371077	Mrs. Borg
532675	70413	
532676	214091	Lee Bevins
532676	380713	Sylvia Hill Suker, R. N. (196
532676	386603	Dr. Maggie Fielding (early 19
532676	387309	Gail Armstrong (1958-1959)/La
532676	389417	Gloria Saxon (1961)
532676	390771	Dr. Sara McIntyre Gantry Wern
532677	141987	McCleve's wife
532678	62431	
532678	116837	
532678	122865	
532678	298222	
532678	306841	
532678	311021	
532678	323943	Stacie
532678	333650	
532678	357168	Herself
532679	289367	Nea Blair
532679	303991	Anna
532680	12228	Tina
532681	55531	Party girl
532681	80687	Mrs. Robinson
532681	85021	Edna
532681	93804	Nick's Wife
532681	170243	Alexia
532681	176879	Sally Nicoletti
532681	236696	Hooker
532681	273275	Waitress
532681	303832	Lab Tech
532682	202673	Herself
532682	249265	Second Security Guard
532682	252983	Strange Woman
532682	405088	Prisoner
532683	268916	
532684	122204	Elfie Forest
532685	388653	Pepper (Season 4)
532686	254333	
532687	70248	Lurleen
532687	385718	Mrs. Buckley
532688	244779	Herself
532689	223711	Title Sequence Performer #1
532689	242702	Carianne
532690	123193	Grace Whitney
532690	205122	
532690	292328	Lola Walling
532691	150425	Toni
532692	166778	Jenufa
532693	188453	Yorki Peanut Butter Girl
532693	333430	Cigarette Girl
532694	194865	Church Lady
532694	309153	Dr. Eve Bolinger
532694	335058	Townspeople
532694	339860	Ticket Agent
532695	50292	Pat
532696	26442	Woman in Cab
532696	61643	Lucy
532696	226920	Lady in Elevator
532696	275789	Miss Barley
532696	331871	Elderly Woman
532697	102234	Rayette Ransom
532697	388653	Roxanne Lee (Seasons 2-4)
532698	168599	Herself (John Thaw's first wi
532700	103241	Gabrielle
532700	247137	University lecturer
532700	316715	
532701	54390	Caprice's aunt
532701	129550	Lucretia Wethersbee, Carey's 
532701	170820	Mrs. Morgan
532701	192039	Grandma White
532701	367614	Mrs. Clavell
532702	315444	Annetta
532703	1744	Herself
532703	47210	Herself
532703	68097	'Lovely' Liza Goddard (Blanke
532703	68111	(segment Popsters)
532703	130356	Stacey Bannerman
532703	230503	Felinet
532703	255124	Ursula
532703	292053	Jackie
532703	318726	Maisie
532703	333102	Lady Agnes Myton
532703	372210	Emma
532703	378711	Herself (2000)
532703	379582	Various roles (1997-1998)
532703	380632	Various roles
532703	385117	Susan Walker
532703	390627	Angela
532703	394146	Melanie
532703	405558	
532703	405664	Various Characters
532703	406684	Rina
532703	411499	Mel Cook
532704	74014	Girl at Club
532705	11426	Jackie Samantha Gold
532705	31206	
532705	196890	Susie
532705	319753	Jazzy
532705	342537	Miss America
532705	355278	Karen Chambers
532705	364401	Herself
532705	381184	Chloe Jones
532705	399087	Agent Caitlin Todd
532705	402089	Dr. Jackie Collette
532705	410620	Jesse Presser
532706	274648	Sam
532707	327187	
532707	378911	Herself - Liberal debater (19
532708	229316	
532708	229318	Samantha
532708	273699	AndrAIa
532708	273700	AndrAIa
532708	341849	Mandy Morgan
532708	384589	Bernice Boyle (1999-2000)
532708	392964	Tsubaki (Young)
532708	394425	Additional Voices
532708	397346	Ribitta
532708	403028	AndrAIa (1997-1998, 2001)
532708	405379	Marina
532710	21448	Female Passerby
532711	127279	Melissa Weiss
532711	262514	The Madonna
532711	289578	Maggie the Waitress
532712	384432	Organizer
532713	185533	Sarah McBride
532713	186516	Allayne Morrison
532713	380713	Samantha Markham Anderson #2 
532714	382254	Dee Dee
532715	13966	Vegas Show Girl
532716	128630	
532717	188502	Janice Dickerson
532718	14927	Carolina de Frizac
532718	100262	Anita Brenner
532718	122790	Betty
532718	160104	Carolina de Frizac
532718	250986	
532718	270066	
532718	353562	Carolina de Firzac
532718	371738	Carolina de Firzac
532718	371776	
532718	380084	Julieta
532718	380103	(2001)
532718	380151	Lola
532718	380516	Cristina
532718	384139	Tania
532718	384190	
532718	385368	María Luisa
532718	385988	
532718	387314	
532718	387479	María
532718	387550	Sofia
532718	387552	Madre Carolina
532718	387623	Alejandra Gunther
532718	391421	
532718	392950	
532718	393985	
532718	396131	
532718	396388	
532718	397204	Sofía
532718	398229	
532718	398664	Marga
532718	398801	Leonor
532718	399570	
532718	400943	
532718	402049	Inés
532718	403558	
532718	407304	Doña Angustias
532718	408709	Estela
532719	346039	Cafe patron
532720	56798	Zeta
532720	92224	Brenda Ralles
532720	119803	Model
532720	124224	Joanne
532720	128308	Flora Dora Girl
532720	154478	Camera Girl
532720	185931	Brazilian girl
532720	264189	Handmaiden
532720	307518	Model
532720	308382	Harem Girl
532721	372317	Petra
532722	23588	Fiora
532722	35740	Air hostess
532723	232413	Woman in Booth
532724	198137	
532725	58836	
532725	101756	
532725	181451	Lisa
532725	224350	Ingrid
532725	325835	Korinna Frank
532725	325946	Cindy Schulze
532726	37681	Bernadette
532727	139587	Herself (interviewee)
532728	254457	Picnic girl
532728	283639	Female News Anchor
532729	321240	
532730	279315	Girl in Hallway
532731	132801	Une danseuse
532732	231881	Stroke Patient
532733	192403	Nicole
532733	347455	Nightmare Girl
532734	2027	Lucy Sills
532734	80969	Female Minister
532734	118980	Night Waitress
532734	244421	Marge
532734	246257	Millie
532734	264158	Lady Caroline
532734	282022	Jefferson
532734	338403	Linda Quirk
532734	341459	Tucker's secretary #1
532734	385824	Myra Cox (1988)/Roz Fuller (1
532734	398778	Aunt Elizabeth
532734	399282	Claire Hartline (1991-1992)
532734	404282	Doris (1989)
532735	76782	Vivi Eriksson
532735	215467	Ex Miss Sweden
532736	40913	Maria
532736	48001	Kristin
532736	84270	Old woman
532736	99819	Fina
532736	100549	
532736	107325	Laura, Adolf's wife
532736	121009	Kristin
532736	122463	Prisoner
532736	138529	Mrs. Vestman
532736	153770	Priest's Wife
532736	164651	Customer
532736	184585	Alma
532736	192928	Maria
532736	198386	
532736	225666	Lovisa
532737	101451	Older woman
532737	182583	Flute Player's Grandmother
532737	217451	Col. Grip's wife
532737	303199	Guest at the cafe
532737	303674	Fru Bovin
532738	10359	Herself
532738	10365	
532738	50718	
532738	53992	Singer
532738	150047	
532738	188035	
532738	264677	
532738	274609	Hecate
532738	276415	
532738	315855	
532738	353905	Bernadette Soubirous
532738	366534	Herself
532738	370028	
532738	401885	Herself/L5
532739	333366	Picnic Baby
532740	5793	Louise
532740	69980	Therese
532740	131695	Chloe
532740	316057	Miss Moneypacket
532741	397886	Herself
532742	156524	Actress
532743	1179	Jenny
532743	103742	Hermana de paloma
532743	205882	
532744	37507	
532744	42152	
532744	119284	
532744	120133	
532744	303711	
532746	230985	Prosecutor
532746	231118	Thalia
532747	98256	
532749	251358	
532750	345525	
532751	58079	Chickadee
532751	85021	Linda
532751	315999	Erin
532752	390489	
532752	395865	
532753	316715	Painted Woman
532754	279757	Small Girl
532755	56881	Checkers Goldberg
532755	116078	Mai
532755	173951	
532755	176810	Tommie
532755	331430	Jan DuLong
532755	401079	Holly Nagata
532756	379438	
532756	380769	
532756	380770	
532756	380779	Madame
532756	409808	
532757	72056	Emilie
532758	123064	L'hôtelière
532758	166156	Léontine
532758	197384	
532758	359827	
532758	394166	La touriste (segment "Club de
532758	396788	Zabeth
532758	398073	Béa
532759	72056	Soraya
532760	315876	Winnie
532760	410252	Admin assistant
532760	410628	Barbara Dorcellus
532761	34660	
532761	44473	
532761	45318	
532761	57138	
532761	60291	Muffy
532761	68735	
532761	75193	
532761	81391	
532761	85823	
532761	96774	
532761	128624	
532761	153476	
532761	158598	
532761	186462	
532761	196036	
532761	242084	
532761	264800	
532761	288490	
532761	296312	
532761	307015	
532761	321111	
532761	323951	
532761	326240	
532761	337150	
532761	342553	
532761	345723	
532761	362895	
532762	346708	Jeanne
532763	57232	Une cliente de la pharmacie
532763	59697	Femme Etranglee
532763	134923	
532763	169156	Administratrice T.P.P.
532763	269822	
532763	336725	
532763	377595	Jackie McIntock
532764	63552	La fille du député
532764	199944	
532764	241878	
532765	347441	Alyda (the Creature) Winthrop
532766	29847	
532766	39598	
532766	71002	
532766	229453	
532766	260834	
532766	266805	
532766	269544	
532766	281293	Diana
532766	284841	
532766	332705	
532767	146433	
532768	383566	(season 1)
532768	387901	
532769	132953	Nicole
532769	133175	
532769	253998	
532769	341857	Marine
532769	385609	
532769	389005	La mère d'Hortense
532769	391632	
532770	404814	Ursula
532771	36440	Martina
532772	407864	
532773	281021	Jennifer
532774	161174	
532774	287318	
532775	360605	Estelle Pratt
532776	318963	Ellen Rutherford
532777	358146	Natasha Ivanova Nikolaia
532778	21630	Nat's Sister
532779	132488	Ms. Devi
532780	46937	Mère de Louise
532780	55534	
532780	99364	Vendeuse chouettes
532780	101127	Juliette
532780	186575	La femme du maire
532780	191130	
532780	235878	La femme PS
532780	247759	
532780	307570	
532780	332198	Lucie
532781	29580	
532782	114206	Mother of girl in Italian vil
532783	354930	L'Infirmière
532784	90710	
532785	320262	Jean Segal
532786	6445	Topalova
532786	171968	
532787	51449	
532787	202070	Alessandra
532787	207245	
532787	373915	
532789	128786	Herself
532789	326143	Svetlana
532790	244717	Arina Vailievna Kirsonov
532791	378273	Switchboard operator in Holms
532792	41299	Mystery Gril
532792	138902	Stacy
532793	113261	Pushy Nurse
532794	190868	Katerina
532794	334101	
532794	375516	
532794	387571	
532794	387716	
532794	390038	
532794	395900	Mania
532795	321853	
532796	30532	Anna, the dying woman
532796	43236	
532796	83177	
532796	264436	
532797	314457	Russian Mother
532798	328788	Student Teacher
532799	19174	Old woman on train
532799	41190	
532799	124559	
532799	127436	Micol's Grandmother
532799	129019	Susy's grandmother
532800	240317	Rom
532801	26666	Brunette Bride
532801	330057	Lisa
532802	97181	Child
532802	104762	Cyprian entry (7th place)
532802	135536	
532802	193582	
532802	269200	Maritza
532802	296334	Patsy
532802	390773	Bernadette Chirac/Michèle All
532804	46693	
532804	148714	
532804	169279	Olga
532804	191227	
532804	250547	
532804	254012	Camille Pierrotte
532804	284200	
532804	328103	
532804	370717	
532804	377841	
532804	402291	
532805	97080	Girlfriend
532806	156466	Tour Bus Woman
532806	318854	Mrs. Cline
532807	178982	
532807	379405	Oursoula
532807	379438	
532807	379618	Ririka
532807	387707	
532807	388676	
532807	390198	Hostess
532808	199496	
532809	1106	
532809	2430	
532809	8163	
532809	10386	
532809	10388	
532809	21285	
532809	43510	
532809	59902	Herself
532809	95014	
532809	98176	
532809	110554	
532809	151026	
532809	151027	
532809	159230	
532809	236440	
532809	262363	
532809	314550	
532809	315709	
532810	51725	
532810	86244	Barbara
532810	108895	
532810	125738	La jeune femme au bar
532810	189096	Suzy
532810	261785	Valérie
532810	261836	
532810	281435	
532810	307109	
532810	339967	Claire
532810	340143	La secrétaire de CRM/Secretar
532810	353413	
532810	376889	Olivia
532811	222947	Mary Phillips
532812	42711	Woman with Beautiful Hair (se
532812	113549	Host
532812	147972	Amber, Keratin Girl
532812	200223	Herself
532812	253338	Nina Morgan Morrison
532813	254138	Isabelle Pélissier
532814	46665	Courtney
532815	220465	Miss Carter
532817	72419	Doctor's Wife
532817	111134	
532817	119751	Bit Part
532817	198088	Fifi le Fleur
532817	237912	Olga
532817	300735	Mme. de Nouchy
532817	336311	
532817	338592	
532817	340670	Une fille de Jim
532817	345020	
532817	377049	Ketty
532818	382052	PC Ruby Buxton (2002-2003)
532819	131988	Lola Prize
532820	273298	
532820	306895	
532821	309153	Sara Kaufman
532822	1145	Witness
532822	175223	Party Guest
532822	205426	Bakery Lady
532822	216486	
532823	117496	Deloris
532823	254533	
532824	152286	
532824	383323	Herself-Finalist
532826	256234	
532827	236968	Parent
532827	305159	Dancer: The Dance Company
532828	389183	Maria
532828	395381	
532829	18940	
532830	128707	Convict
532831	383036	Eloise
532831	388477	Alana Burroughs
532831	390052	Sharon
532832	237675	Head in Bowl
532833	201623	
532834	155734	Nana
532834	214315	
532834	260062	
532834	338406	Nadia
532835	17546	Darya Aleksandrovna Oblonskay
532836	6684	Amour
532836	8214	Gilberte Jolivet
532836	16600	Geneviève
532836	25088	Adria-Adria
532836	33541	
532836	59278	Herself
532836	68894	Mercédès (part 1 & 2)
532836	71153	
532836	77355	Nadia
532836	83200	Lolita
532836	102943	
532836	111087	La femme sculpteur
532836	148722	Blanche
532836	166365	Jeannou
532836	191555	Aline
532836	197401	
532836	229494	Thérèse Romanay
532836	246838	
532836	251117	Odette
532836	260856	Ginette
532836	263003	
532836	263975	Lucette
532836	269097	
532836	271910	
532836	292356	Thérèse Cadifon
532836	307841	
532836	376955	Yvonne
532837	387932	
532837	388728	Cesar's servant
532838	324594	Donna d'onore
532839	24995	
532839	75649	
532839	82961	
532839	88198	
532839	93859	
532839	118172	
532839	131969	
532839	132646	Afrodita
532839	132719	
532839	161956	
532839	162475	
532839	193331	
532839	226442	Valeria de Ávalos
532839	234796	Marta
532839	319506	
532839	326225	(segment "El mago francés")
532839	333743	
532839	349463	
532839	370075	
532839	378018	
532839	389780	Dalila
532839	390425	
532839	392985	Miss Belleza
532839	403172	Nélida de Rosas
532841	195296	Joe's Relative
532842	195296	Joe's Relative
532843	204	
532843	123560	Dama I
532843	328711	
532844	71002	
532845	261448	Cleaning woman
532846	63804	
532846	91402	
532846	118832	Payesa
532847	4981	
532847	8143	
532847	21077	
532847	30748	
532847	40447	Soraya
532847	43431	
532847	44788	
532847	50141	
532847	55015	
532847	56094	
532847	61867	
532847	63903	
532847	67697	
532847	68558	
532847	74899	
532847	75387	
532847	77880	
532847	80248	
532847	80322	
532847	85973	
532847	91388	
532847	96274	
532847	96370	
532847	100644	
532847	101899	
532847	118149	Barbara
532847	160894	
532847	162773	
532847	205134	
532847	212456	
532847	227694	
532847	234318	
532847	248297	
532847	249796	
532847	251576	
532847	258452	
532847	262599	
532847	274945	
532847	275845	La Jacaranda
532847	280353	
532847	307512	
532847	307658	
532847	310049	
532847	328000	
532847	380842	Ludivina
532847	385875	Chuy
532847	392790	
532847	403741	
532847	409290	Carmela
532848	51811	
532848	100404	Tere
532850	137019	
532851	285313	Little Girl
532852	244636	Marilyn Monroe
532853	367055	Chorus
532854	356503	
532855	353236	Vidala
532856	53641	
532856	370439	
532856	376696	Herself
532857	215169	
532857	253972	
532858	326202	Colegiala
532859	309405	
532860	162030	Signora del treno
532861	132149	
532861	212294	
532861	265936	Odarka
532861	320490	Sofya
532861	373443	
532861	374766	
532862	144406	
532863	93282	Carmen
532864	14911	Ursula
532864	14953	
532864	82299	
532864	107028	Belle de Winton
532864	109943	The Sybil
532864	135295	Cassandra
532864	158762	La signora Couchet
532864	179761	Conny
532864	186863	
532864	187440	Giuseppina
532864	187983	
532864	197205	Luisa Sanfelice
532864	197916	
532864	204690	Pilar
532864	207540	Bianca Trau
532864	216335	Lucia
532864	219242	Dona Maria
532864	229737	
532864	234368	
532864	235767	
532864	246418	
532864	260909	Marchesa Anna Pironti, vedova
532864	320217	
532864	338726	Mary (segment "The Telephone"
532864	340007	Saveria
532864	344603	
532864	348162	Francesca
532864	355616	
532864	355622	Vittoria Colonna
532864	355660	Guicciardini
532864	375238	
532864	396195	
532864	401533	
532865	377199	Prostitute
532866	15306	
532867	24370	
532868	2275	Herself
532868	31198	Herself (CBS Team)
532868	40773	Chris Madigan
532868	64560	Herself (performer)
532868	79830	Mary Everly
532868	80022	Hope Williams
532868	80023	Herself/Hope Williams-Brady
532868	158293	Jeanna
532868	169207	Rita Marrick
532868	215690	Herself - Celebrity Judge
532868	245216	Cassandra Barber
532868	313333	Kelly Blake
532868	314611	
532868	362227	Chelsea Coals
532868	385824	Hope Alice Williams Brady #5 
532868	388237	Pilar Ortega-Cumson (1988-199
532868	397401	Lauren Etheridge (1993-1994)
532868	404681	Host
532869	14938	
532869	69542	
532869	103407	
532870	10049	Herself
532870	32366	
532870	63862	Elvira
532870	68969	Lupe
532870	74359	
532870	74580	Lina
532870	80129	
532870	83397	Sophie
532870	86870	Mary Nieves
532870	94848	
532870	95026	
532870	101618	
532870	106324	
532870	108135	
532870	108136	
532870	108137	
532870	110894	
532870	125719	
532870	127602	Pilar
532870	132675	La enamorada
532870	145231	
532870	152241	María de los Desamparados
532870	153334	
532870	154543	Herself - Presenter: Best Edi
532870	169557	
532870	192980	
532870	204646	
532870	206791	
532870	233333	Rocío
532870	263860	Mujer taxista
532870	285974	presenter
532870	322397	Madre Ángela
532870	357533	
532870	369755	Herself - Presenter
532870	375883	Manuela
532870	376701	Elena
532870	378399	
532870	378989	Dolores
532870	380155	Carmen Palermo (2004-)
532870	386568	
532870	386696	
532870	390851	Lourdes
532870	392034	Menchu (1996-1997)
532870	396873	Carmela
532870	401612	Carmen
532871	156584	La abuela
532872	249335	Rage
532873	378658	
532874	295484	
532875	391869	Dale Ross (1993)
532876	385416	Cecilia de la Macorra
532876	387552	
532877	24790	Night Club Singer
532877	137259	Trinklette #2
532879	174699	Cafe Patron
532880	389924	Patsy as Child
532881	99081	Horse
532882	20042	Herself (dog trainer)
532882	105453	Todd
532883	369982	(group 'Paquitas')
532884	11839	Misty
532885	37700	Rachel Greene
532885	291014	
532886	306414	Sandra
532887	10816	
532887	211053	
532888	309064	
532889	349128	Marta
532890	46647	
532891	197499	Extra
532892	314619	Movie Patron
532893	1402	Wenke
532894	246024	Eva
532895	89665	Fylgia Falkman
532895	109010	Margareta Solling
532895	142834	Catherine
532895	165626	Inga
532895	225191	
532895	237257	Marguerite
532895	249130	Ms. Savelly
532895	341113	
532895	360923	
532896	326544	Lietta, the comic actress
532897	236053	
532898	27684	
532898	35876	
532898	60438	
532898	76159	Costance Bonacieux
532898	134867	
532898	146595	Tamara
532898	154540	
532898	162731	Ruskinyata
532898	180091	Sidonija Nadherny
532898	181182	Elena Grigoryevna
532898	191415	
532898	192894	Melita
532898	231181	
532898	234442	Silina
532898	243971	
532898	249247	
532898	261689	
532898	262659	
532898	286216	
532898	293908	
532898	306069	
532898	317763	
532898	344013	The teacher's daughter
532898	350800	
532898	356943	
532898	371291	Alyona
532898	376219	
532898	394373	
532899	381706	Nadja (episodes 4-8, 12)
532900	261365	
532901	8589	Ayse
532901	38509	
532901	139373	
532901	173858	Fatma
532901	178389	
532901	237439	
532901	371555	
532901	378305	
532901	379688	Refiye
532901	380562	
532901	391144	Todora
532901	412318	
532902	15916	Putzfrau
532902	290202	Mutter Kafkas
532902	312103	
532902	325469	
532903	354847	Bailarina
532904	256657	Locutora TV
532905	346079	Camille Rodriguez
532906	263352	Ingrid Swenson
532907	365988	Field Mouse
532908	80577	Laurel
532908	385299	Linda Conway
532909	332216	Topsy
532910	190379	Shelly
532911	404898	Rosita/Alles/Loretta
532912	131183	
532913	243307	
532914	130	Chadèma
532914	298321	Belqassim's Wife
532915	193051	
532916	10223	
532917	103558	
532917	277002	
532918	392787	
532919	94728	Beatrice, la cameriera
532920	9650	
532920	34298	Ilse
532920	56100	Marcolina
532920	56367	Iole
532920	252660	
532920	343554	
532921	184981	Zach's Mother
532922	229235	Dial-A-Hooker
532923	96198	
532924	355245	
532925	132470	Madame
532925	170920	Camionera
532925	212369	
532925	220755	Ramona
532925	233917	Lourdes
532925	302358	Mujer en el Motel
532926	233913	Melissa/Bethany
532927	4597	Marionette princess (segment 
532927	78400	
532927	303194	Ballet Dancer
532927	368329	Herself
532928	386335	Fröken Zardin
532929	110749	Daniela
532930	303905	Alex Girl #3
532931	171576	
532932	134178	Chilean family
532933	60011	Tiana
532934	195262	College Girl #2
532935	57102	Cop #1
532935	290319	Valda
532937	30749	Amalia
532938	126492	Student #1
532938	276198	Danielle Hirschorn
532939	84113	Mother in Park
532940	162844	Fatima
532941	161299	Herself
532942	35652	Officer
532943	274449	Movie Director
532944	237239	Herself
532944	394236	Puvustaja
532945	82004	
532946	62053	Marge
532947	221834	Herself
532948	277801	Lisa Styles
532949	161299	Herself
532949	221832	Herself
532949	321296	
532949	411364	Herself
532950	88038	Celeste McGovern
532950	195615	Tacala
532950	306366	
532951	293247	
532952	382266	Maahin Wahid
532953	25666	
532953	86642	
532953	137826	
532953	166506	Nandlal
532953	167347	Dancing Courtier
532953	228799	
532953	233151	
532953	246364	
532953	289139	
532953	297146	
532954	35559	
532954	170908	Ruth Labadoor
532954	181380	Jaswant's wife
532954	201331	Dr. Priya Rana
532954	370983	Sister Namrata
532955	92029	
532955	181604	
532956	137300	Dove Girl
532957	394582	KKusum Kapoor (2001-2003)
532958	194833	Somali Girl
532959	14798	Madre de Ernesto
532959	55772	
532959	60106	
532959	63875	
532959	74349	Madre
532959	98976	Eloisa
532959	135110	Paula
532959	191497	
532959	205291	
532959	213389	Carpatera de Baracos
532959	226436	Cuca
532959	243509	Herself
532959	248076	
532959	287706	
532959	378488	Empleada de ferrocarriles
532960	166054	
532960	278833	Jeemeel Moondoc Sextet: drums
532961	97360	Vampira's Girlfriend
532962	88212	
532962	209870	
532962	231585	Doctor's wife
532962	250609	
532963	404052	Shakuntala
532964	4317	
532964	8374	Special Appearance
532964	16305	
532964	18182	
532964	63508	Asha
532964	198707	
532964	326959	Priyanka
532964	370213	
532965	328174	
532966	137300	Huda
532967	94	Park Girl
532967	1975	Herself
532967	26739	
532967	47857	Latifa
532967	47993	Cherie Smith
532967	66011	Monica
532967	97410	Eddie's sister (sketch)
532967	107632	
532967	107764	Sharon McKay
532967	129591	
532967	165958	Brenda Chad
532967	176526	Rita
532967	178138	Janell Cross
532967	228298	Claire
532967	234913	Lilleana
532967	289734	Herself
532967	389350	Ashley Banks
532967	390545	Herself
532967	398213	Herself
532967	398958	Co-host
532968	362588	
532969	232630	Monica (Tangy's Sister)
532970	141464	Sahira
532972	388299	Jamilla (2003-)
532973	222790	Girl outside nightclub
532973	360027	TV Producer
532973	360723	Mrs. Harold Veltri
532974	43145	
532975	42947	Cosette
532975	191039	
532976	275331	
532976	275332	
532976	286201	
532977	350985	
532978	22642	
532978	56075	
532978	57779	
532978	167135	
532978	205431	Mucama
532978	222039	Assistant 2
532978	255507	
532979	56951	Vendeuse magasin Scherer
532980	124824	Femme Café
532980	132743	
532980	326122	Femme Nettoyeur
532981	173542	Dania
532981	253751	
532982	409440	
532983	234332	
532983	325174	
532983	351355	Mamika
532984	217046	Makvala
532985	209235	
532985	261941	
532985	394876	
532986	13492	
532986	248552	Herself
532987	234978	Norma (soprano)
532987	256544	Imogene (soprano)
532988	350421	Young Penelope
532989	18871	
532989	102127	
532989	130478	
532989	173084	Sofia Pashalidi
532989	198447	
532989	246625	
532989	271643	
532989	303918	
532989	317097	
532989	333025	
532989	341178	
532989	350796	
532989	379232	
532989	379796	Annita Procopiou
532989	392517	
532989	401504	
532989	405566	
532989	405793	
532990	231071	Rina
532990	279709	Swiss teacher
532991	411515	Herself/Panelist (2003-)
532992	14314	Membre de la famille Butler
532992	34946	
532992	35255	Cimino the Ferret
532992	41616	
532992	60280	Alice
532992	91623	
532992	99370	Camille
532992	104759	Italian entry (5th place)
532992	123641	
532992	123817	
532992	161969	
532992	163373	Herself
532992	258286	
532992	353742	
532993	232203	Lisa's Mother
532994	332118	
532995	196662	
532995	243391	
532996	25417	Nurse Margaret
532996	31892	Cora
532996	32440	Alice
532996	43606	Annie Lamb
532996	56937	Dolores Williams
532996	59714	
532996	67379	Mrs. Garth
532996	69047	Edith Murray
532996	92150	Rosa Lynn Sinclair
532996	97699	Moms
532996	101704	The Oracle
532996	141019	
532996	159862	Evelyn
532996	171056	Helen Mayfield
532996	185103	Dorothy Cobb
532996	186156	Maggie Arnett
532996	186425	Minnie Hayward
532996	190273	Mrs. Gordon
532996	190317	Emiline Crane
532996	202195	School Teacher
532996	207988	Herself
532996	207991	The Oracle
532996	220062	
532996	253010	Lottie, Mack's Wife
532996	254876	Violet
532996	272972	Adele Thompson
532996	310417	Effie
532996	317586	Alberta Warren
532996	319270	Mrs. Eunice Stokes
532996	326428	Linda Ganz
532996	334313	Suzie
532996	352441	Altona
532996	362271	Herself
532996	366680	Mattie
532996	367844	Fannie Michael
532996	386338	Lettie Bostic (1988-1989)
532996	392459	Marguerite Peck
532997	1272	
532997	41640	
532997	44054	Vampire Dancer
532997	69774	
532997	105396	Church Member
532997	119063	
532997	194693	Mitzi
532997	212038	Naomi Baker/Bobby Fry
532998	31199	Herself (CBS Team contestant)
532998	57494	Host
532998	69263	Thelma Messenkott
532998	72191	Violet
532998	114874	
532998	137674	Nurse Janet Marshall
532998	137687	Janet Marshall
532998	138775	Veronica
532998	214937	Michelle Honda
532998	243228	Lisa Saldonna
532998	278610	Dolores Santillan
532998	281219	Arista Zelada
532998	282398	Yolanda
532998	285008	Drusilla Alvarado
532998	334158	Kathy's Mother
532998	388237	Melissa Agretti #2 (1982-1988
532998	404002	Alicia Nieves (1977-1978)
532999	380059	Gema
533000	223632	Dominique
533001	214538	Judy
533002	236657	
533003	10317	Another Picketer
533003	39191	
533003	163364	Roni
533003	177089	Sara
533003	188510	Squad Member #1
533003	199979	Female Concession Worker
533003	208390	Mrs. Talia
533003	219118	Hooker
533003	222492	TV Stage Manager
533003	355766	Miss Marker
533003	410798	Miss Topaz (1991-1993)
533004	20050	Cuppy
533004	163932	Hilda
533005	265626	
533006	203779	Taraneh
533006	297019	
533007	84806	Valentine
533008	139680	Shawn
533008	220995	Clarissa
533009	380747	Dame in parking
533010	202853	Girlfriend Natalie
533011	98569	
533011	180309	Christine Steinwetz/Christine
533011	301204	Geil
533011	379442	
533011	380814	
533011	387567	Dimitra
533011	387708	Aliki
533011	394078	
533011	394823	Tereza Richter
533011	407901	Hostess
533012	64557	Herself/performer
533012	77460	Anne
533012	92736	April
533012	195329	Patty
533012	257870	Jenny
533012	275522	Heroine
533012	337805	Jessie Revels
533012	411761	Alice Sycamore
533013	172852	Ruth
533014	249599	Herself
533015	232628	La pharmacienne
533016	234954	Senad
533017	127019	
533018	73578	Dadai's Sister
533019	367506	
533020	44909	
533020	167116	
533020	233424	
533020	315069	
533020	339058	Etleva
533021	6325	
533021	39780	Maria
533021	174676	Phoebe
533021	208260	Magia
533021	280370	
533021	334101	
533021	379509	Poly
533021	380167	Anastasia
533021	380497	
533021	412026	
533022	5800	
533022	400270	
533023	148686	L'employée
533023	261852	Prostitute
533024	261665	Aike
533025	229618	
533026	173325	Karmen's assistant
533026	394603	
533026	400680	
533026	406476	
533027	292981	
533027	339945	Khalima's Mother
533028	104802	
533029	86620	
533029	154566	
533029	202301	
533029	237529	
533029	350800	
533029	356937	
533029	374713	
533029	396605	
533029	409010	Nastya
533030	318210	
533031	148925	Woman on Bus
533031	237241	Alina Häkkinen, "Allu"
533031	362080	
533031	375537	Belly Dancer
533032	349899	
533033	62449	
533033	108051	Tina
533033	167605	Lisa
533033	171637	Pirjo
533033	333050	
533033	406775	Sjuksköterskan
533033	412287	Eva Öberg
533034	15424	
533034	86043	
533034	103446	
533034	345621	
533034	412066	Herself (2002 - )
533036	178975	V-Six Model/Cheerleader
533037	280663	Club Galore Twin
533037	314763	Irene Twin
533038	280663	Club Galore Twin
533038	314763	Eva Twin
533039	104729	Herself
533039	104777	Turkish entry (16th place)
533040	324594	Rosa
533041	324594	Caterina
533042	352086	
533043	96681	Tina
533043	197339	Marianne Passavetz
533043	304783	
533044	16976	Mieng
533045	260792	
533046	16147	Child artist
533046	119519	
533046	169848	
533047	10746	Oyster
533047	133401	Dancer
533047	296552	Dancer
533048	43115	
533048	204974	
533049	360444	Friend 2
533050	79875	London Pedestrian
533051	13376	Mrs. Allen
533051	24434	Doreen Swanson
533051	40738	Betty Rexton
533051	61639	Margery Chappell
533051	68674	
533051	74215	Avis Murchison
533051	92514	Mrs. Spencer
533051	104568	Mrs Bentley
533051	110996	The suicide
533051	126125	Health Visitor
533051	160985	Helen
533051	164501	Judith
533051	169398	Mrs. Latham (episode 'Paper D
533051	190103	Sister jane Fraser
533051	193868	Mary Halliday
533051	200073	Miss Peters
533051	202510	Maureen Davis
533051	203443	Mrs. Barnes
533051	204021	Miss Stockton
533051	236733	Sister Aurelie (martyred nurs
533051	263349	Mrs. Barlow
533051	263967	
533051	267564	Nurse
533051	273173	Nurse Brace
533051	276804	Brigadier's Wife
533051	278361	Mrs. Menzies
533051	289383	Barbara Leigh
533051	290072	Mrs. Schippan
533051	301846	Mrs. Tweakham
533051	308928	Rose O'Riordan
533051	341963	Joan
533051	342759	Mrs Widmore
533051	342978	Esther Kester
533051	366087	Mrs. Sullivan
533051	389140	Grandma Carr
533051	397380	Elizabeth Mitchell
533051	403144	
533051	408266	Lucy Freeman
533051	408664	Mrs. Frith
533052	230458	
533053	194410	Hocker
533054	222226	Waitress
533054	266600	Christine
533055	390812	Isabel Eggert (2003-)
533056	11606	Virginia
533057	85840	Raj's Girlfriend
533058	9262	Varvara Antonovna Ivanova
533058	21062	
533058	34588	Larisa Dmitriyevna Ogudalova)
533058	77271	Madame Gurov
533058	198154	
533058	235912	
533058	237523	
533058	251308	
533058	262161	Natalya Osenina
533058	270722	Pusya
533058	301916	
533058	305799	
533058	333575	Paliychuk
533058	338187	
533058	371001	
533059	1261	
533059	72800	
533059	216587	Ana
533059	252706	
533059	336666	
533059	382239	Wine Bar Waitress
533060	137427	Guardia #2
533061	392164	Riikka (2000)
533061	392355	
533061	401440	
533062	115924	
533062	132441	Rachel
533062	333171	Herself
533062	402190	
533063	355260	
533064	197464	Dancer
533065	238324	
533066	16539	
533066	223552	
533067	63625	
533068	256654	
533068	280807	
533069	243891	Barfyna
533069	264904	(DVD only)
533070	1092	Serving Girl
533070	59875	Meena
533071	1699	Herself
533071	104616	Herself/Performer
533071	375189	Zinat's Mother
533071	378027	Herself (student)
533072	146944	
533072	392379	Taciser
533073	376891	
533074	164051	
533074	258604	
533075	190452	Missy Hansen
533076	264439	Ruby
533077	4310	
533077	6362	
533077	85315	
533077	88609	Sherri
533077	90805	Herself
533077	93103	
533077	163857	Sushma
533077	172187	
533077	172696	Anju
533077	176020	Reeta
533077	176034	
533077	217147	
533077	262461	
533077	297317	Shanta
533077	322696	
533077	330976	
533077	359153	
533077	375202	
533078	368640	
533079	253168	Girl
533080	22090	
533080	136775	
533080	307161	
533080	323645	
533081	12649	
533081	173431	
533082	26028	
533082	182905	
533082	222275	
533082	349226	
533082	356022	Gulsen
533082	371272	
533083	227377	
533084	65593	Jaqueline Reese
533084	227377	
533085	181902	Chantal
533086	184772	
533087	16875	
533087	114206	Eleni's Mother
533087	209023	
533088	238449	Theban Child
533089	181182	
533089	223558	
533089	265993	
533090	183412	Lauren
533090	261431	Holly
533091	346016	Inmate
533092	12643	
533092	22107	Sümbül Karadag
533092	24748	
533092	25602	
533092	27729	
533092	38467	
533092	38491	
533092	42895	
533092	45541	
533092	50821	
533092	75086	
533092	87717	
533092	102511	
533092	102535	
533092	107649	
533092	114317	
533092	124915	
533092	135905	
533092	136686	
533092	136729	
533092	136771	
533092	156432	
533092	158642	
533092	161149	
533092	172007	
533092	172837	
533092	174659	
533092	179923	Necla
533092	189058	
533092	285249	
533092	288266	
533092	294092	Nazli
533092	301480	
533092	307151	
533092	350839	
533092	370337	Aylin
533092	370629	
533092	370695	
533092	371119	
533092	377558	
533092	380746	Sümbül Karadað
533092	394189	Hanim Aga
533093	120098	Prostitute
533093	146739	Rochelle Tackett
533093	321575	
533094	208739	Fashion Model
533094	249073	
533094	324057	Group cast appearance
533095	263675	
533096	361126	
533097	369465	X Kid
533097	369486	Captured X-Kid
533098	48040	Crafts Vendor
533098	400236	Camilla Carr (1997)
533099	9750	Rebekka
533099	17330	Grace Ranson
533099	25960	Meid Katrien
533099	43870	Elisabeth
533099	86442	Lady Hurf
533099	89044	
533099	93613	Marie-Louise Véraud
533099	97925	Moeder van Klaartje
533099	108166	Emma Kilner
533099	113103	
533099	126859	
533099	138495	Moeder
533099	141735	Vrouw Kepes
533099	188909	Anna Pavlovna
533099	195030	Katriens moeder
533099	202509	Gerda
533099	213555	Mevrouw Breughelmans
533099	217059	Moeder
533099	231712	Lisa
533099	242306	
533099	275660	Mme. de Montalembreux
533099	290428	Mrs. Gascoigne
533099	328136	Helen Shaw
533099	328859	Elza
533099	332207	Madame Raquin
533099	344237	Mevrouw Nachtegaal
533099	349597	
533099	351958	Marie
533099	352377	Adeline
533099	356822	Monoloog: de oude vrouw
533099	357311	Fronsine
533099	375721	
533099	389825	
533099	402044	Moeder
533099	410401	Monica
533099	411116	
533099	411916	
533100	154430	Marjam Mohamed
533100	279908	
533101	6994	Backup Singer
533101	31654	Female Dancer
533101	66917	Voodoo Dancer
533101	68232	Dancer
533101	126575	Herself (dancer)
533101	298108	Dancer
533101	324551	Liquid Silver Dancer
533102	135807	Police Matron
533103	115687	Anne
533103	332217	Geneviève
533103	332222	Natacha
533103	339497	
533103	404784	Anne
533105	101684	La belle Otéro
533105	162253	
533105	253213	Empress Eugenie (1865)
533105	275513	
533105	278144	
533105	278323	
533105	339495	Mme de Coislin
533105	341770	Ethel Lloyd
533105	350083	
533105	357036	
533106	73628	Béatrice
533106	118177	Madame Hauteclerc
533106	175675	
533107	45400	Waitress
533107	120219	Herself
533107	303288	Herself
533108	12370	Françoise
533108	20135	Les Jeunes Filles (segment "A
533108	24865	Mariana
533108	66078	Cricri
533108	72311	Sylvie
533108	80170	
533108	95276	Bizoute
533108	235863	Christine
533108	346557	La diététicienne
533108	377013	Stéphanie
533108	384030	Loïse
533108	389343	Mireille
533108	409436	
533108	409437	
533109	12228	Party Guest
533109	51984	Susan
533109	186759	Jingles
533110	83400	Classe sport et études
533111	175191	Julie
533111	311746	Fantasy Girl #2
533112	321361	Ashley
533113	288893	
533114	132770	2eme Plumeuse
533115	190303	Dulcie Thorndyke
533116	132770	Cliente Boucherie
533117	66550	Themselves
533117	229912	
533118	115085	Andra
533119	55693	Minnie
533119	117115	Rosalie
533119	161762	
533119	231130	Janet Cunningham
533119	298056	Model
533119	310298	Bruce
533119	350160	Eve
533119	368928	Girl on Train
533120	270321	Ada Gallotti
533121	103222	Miss Lunt
533121	200604	Susan Townsend
533121	301953	Meg
533122	79775	Anne
533122	235386	Brigitta
533123	256128	Wife/Sweetheart
533124	359944	
533125	158812	Museum attendant
533126	5550	Nancy Adams
533126	10631	Ursula Browne
533126	39386	Barbara Amory
533126	44427	
533126	45838	Dr. Phillipa Roberts
533126	52904	Nichette, the Bride
533126	59185	Performer
533126	61988	The Countess
533126	62155	Naomi Melsham
533126	78105	Victoria Ainswell
533126	92183	Maisie Collins
533126	116577	Angela Prout
533126	120685	Susan Grant
533126	128491	Leonora Barradine
533126	133726	Mrs. Cibber
533126	134454	Barbara Rankin
533126	140847	Jane Strawbridge
533126	141317	Louise Scobie
533126	147716	Herself
533126	160117	Margaret Hamilton
533126	160706	Pola Dubois
533126	165910	Nettie Vollar
533126	193374	Daisy Bunting
533126	194302	Caroline Service
533126	194772	Joan Elton
533126	204891	Freda Barcaldine
533126	206112	Irena Borotyn
533126	210764	Barbara Denham
533126	212690	Romo
533126	224726	Jane Frensham
533126	232859	Gracie Abbott
533126	233632	Shirley Scott
533126	233753	Peggy Wilson
533126	245286	Venice
533126	253467	Mrs. Clara Copperfield
533126	281775	Vera Mannering
533126	286222	Queenie
533126	294948	Sylvia Robertson
533126	296872	Sonia Bryant
533126	304606	Nancy Marlowe
533126	307355	Nadia
533126	307567	Helen Hemming
533126	323769	Lucie Manette
533126	329408	Lady Sybil
533126	342469	Carol-Anne Bailey
533126	361474	Peggy Pryde, [a Land Army Gir
533126	367595	Flora Anne Thistlewaite
533126	410912	Herself - Panellist
533127	86327	
533128	2632	Small Girl
533128	277787	Livvy Cowen
533129	131594	Girl
533129	149382	Cheerleader
533130	26285	Policewoman
533131	52312	
533131	109530	Herself
533131	257655	Miss April
533131	257813	Herself
533131	274148	Herself
533132	358651	
533133	409888	
533134	130316	The Dealer
533134	196084	Charlene
533135	265875	Martha Powell
533136	11581	Sally Jones
533136	195688	
533137	292291	Girl
533138	313872	William's Widow
533139	37346	Germaine
533139	41498	Baroness
533139	46240	Pamela Rose
533139	79458	Mavis
533139	88954	Gwen Summerfield
533139	117430	Fenya
533139	124752	Judith
533139	207840	Christine Vance
533139	235157	Anna Suvaroff
533139	257876	Madeleine McKinnel
533139	264417	Veronica
533139	280946	Pepita
533139	304805	Elise
533139	331121	Eve Douglas
533139	346115	Fancy Day
533139	364821	
533140	246510	
533141	283075	Demetra
533142	200052	Rose's mother
533142	229113	Mother
533143	120695	Rose
533144	218701	Make-out Girl
533145	138724	Cheerleader
533146	130307	Mother of tortured girl
533147	11922	Mother
533147	43373	
533147	55588	Wax Lips
533147	76220	Montgomery County Concilwoman
533147	78084	Domestic Violence Leader
533147	118970	Mrs. Ferrar
533147	131375	Ms. Ryan
533147	234200	Secretary
533147	253507	
533147	360497	Barbara Colbert
533147	395819	Coroner
533147	397054	Helmina
533148	191950	Pupil at Tadworthy House Scho
533149	123228	(1939 version)
533150	10384	Alexis
533150	240647	Dance Examiner
533151	318111	Jodie
533152	269088	Adriana
533153	66932	Barmaid
533154	139645	Grandma
533154	239521	
533155	56606	Red Queen Girl
533156	14025	Herself
533157	167047	Woman
533158	365760	
533159	315257	Stonewall Testimonial
533160	237331	La femme Comorienne
533161	161785	Herself
533162	346101	Party People
533163	382220	Camille Kérouac
533164	18318	Anne Bloyé
533164	33273	C
533164	74339	Henriette
533164	82920	
533164	103660	
533164	148741	
533164	201183	La tante
533164	219473	Marie Servoz
533164	248506	La mère
533164	250509	Paulette
533164	331010	La belle-fille de Thomas
533164	341546	Thérèse
533164	345205	Mme Sevetier
533164	353921	Housekeeper
533164	374208	Permanent
533164	377648	
533164	377856	Pierrette
533164	383915	La mère de Janjoie
533166	161473	Herself
533168	316333	Office Worker
533169	74921	Femme
533170	372318	Belinda
533171	99558	Librarian
533172	154083	Blonde
533172	254631	Secretary
533173	38421	
533174	66714	Dominique
533174	70607	Une fée
533174	135716	Jessica
533175	193581	
533175	214188	
533175	265892	Hooker
533175	295469	Nurse
533175	371025	
533176	8852	
533176	23778	Colette
533176	285080	La serveuse
533176	376943	
533177	322963	Frauen im Wald
533178	322963	Frauen im Wald
533179	213291	Zaubermädchen (segment "Die G
533180	96769	Herself
533180	151633	
533181	357887	
533182	20802	Rafaella Marini
533182	28549	
533182	33580	Giovanna
533182	53138	Valeria
533182	55168	Carmela
533182	75240	Fortuna
533182	86114	
533182	102634	
533182	206012	Marisa
533182	206793	Maruzzella
533182	226400	
533182	252772	
533182	261890	Giovanna
533182	270838	
533182	290004	
533182	320222	Susanna
533182	351604	Nina
533182	359174	Matrosha
533183	43183	
533183	108938	Natasha
533183	116992	Actrice
533183	160488	Monique Phillips
533183	195201	
533183	236361	Jeanne
533183	249753	Une jeune fille
533183	269743	
533183	283031	Violette
533183	294356	The actress
533183	307473	Louise Bompard
533183	383683	Michelle
533184	73217	Elly
533184	109513	Vicki
533184	199210	Cusha
533184	411245	Claire Guthrie (episode 5: Th
533185	32052	Summer
533185	68940	Casey Poe
533185	151483	8 Year Old Martha
533185	382419	Bridget Forrester [#5] (1996-
533186	332530	Girl in Schoolyard
533187	45232	Lillian Russell
533187	72703	Cameo appearance
533187	77938	Jane Claymore
533187	90847	Rose of Cimarron
533187	97890	Harriett Putnam
533187	110736	Felicia
533187	113907	Tig Callahan
533187	116523	Herself
533187	131532	Elizabeth Christine Smith
533187	143355	Sheila Winthrop
533187	159996	Margot Fraser
533187	163221	Edie Ives
533187	175210	Herself
533187	210751	Isabel Glenning
533187	235381	Ethel Burlridge
533187	248318	Helen Ames
533187	256899	Shannon Prentiss (Markham)
533187	286911	Virginia McCooley
533187	303379	Edna Philby
533187	308349	Katherine 'Kay' Caldwell
533187	324383	Dolores
533187	329481	Sheila Morgan
533187	330809	Harriet West Jarrett
533187	358552	Dr. Toni Neva
533187	364156	Jane Little
533187	384842	Maggie Marlowe #1 (1954-1955)
533187	392477	Herself/panelist (1952)
533187	406340	Celia Knox (1950)
533187	410669	
533188	411325	Herself (2002)
533189	16396	Herself
533190	127128	Tess
533191	330994	Lady
533192	173151	
533193	17291	Cassie
533194	183845	
533195	87697	Leggy Waitress
533196	150476	Mina's Victim #4
533196	232203	Lisa
533197	401514	Ravanusa's Daughter
533198	152603	Eliane
533199	295136	
533200	122604	Fräulein Schultze eine Hochst
533200	169863	Vroni
533200	312524	Karssavina
533201	340009	La Badessa (Suor Angelica)
533202	104779	Monegasque vote presenter
533203	86085	
533204	384427	Lali
533204	390504	Florencia 'Flo' Aráuz
533204	391113	
533205	106270	
533207	81562	Herself
533208	216772	Marion
533209	50231	
533209	52681	Angela
533209	59127	Diaphanta
533209	65825	WPC Lindsay
533209	160059	Helen Rickard
533209	222563	Val
533209	367536	Margaret Porcher
533209	378865	Jodie
533209	378962	Liz Hulley
533209	383631	Student Nurse Kelly Liddle (1
533210	39386	Lucia Amory
533210	43461	Mrs. Taverner
533210	113407	Aunt Ethel
533210	194379	Brenda Fallon
533210	209617	Mrs. Durant
533210	211545	Claire Hempstead
533210	218941	Judith
533210	232034	Elna Curry
533210	238158	Joyce Carden
533210	317166	Mary Thorpe
533210	356948	Mrs. Hall
533210	367440	Lady Pamela
533211	197236	
533211	197262	
533211	215974	Mrs. Westfall
533212	93336	
533212	275877	Wendy
533212	346405	Herself
533213	381991	Host (2000)
533213	411812	Super Trooper (1997-1999)
533214	53033	Jill Simmons
533214	158035	Herself/Laurie (finalist)
533215	19980	Lindsey Kingston
533215	34702	Flower Girl
533215	290378	Alicia
533215	382304	Side Table Drawer
533215	400554	Aleisha
533216	9244	Girlfriend
533216	34126	
533216	252868	Grace
533216	282470	
533216	293771	Jane Brunelli
533216	298766	Melanie
533217	52496	Mrs. Hoyt
533218	52310	Joyce
533219	44456	Salsa club dancer
533219	87295	BJ's Girl
533220	196872	Irish Step Dancer #5 (crowd)
533221	85186	Featured Comedy Club Patron
533222	31600	Mary, the Girl
533222	78713	Agnes Rushton
533222	206342	Eleannor Douglas
533222	270950	
533222	293781	Mrs. Spike Malone
533222	295084	Thora Barton
533222	295404	Max's Fiancée
533222	299504	Bessie Lane
533222	304094	
533223	307450	
533224	313474	Twi'Lek Senatorial Aide (DVD 
533224	313476	Aayla Secura
533224	313477	Aayla Secura
533225	52109	Maria
533225	162254	Alícia López
533226	103375	Secretaria de Harrington
533226	390587	Herself (script supervisor on
533227	42268	Herself (singer)
533228	139448	Sara
533229	141518	
533230	303765	
533231	365344	Woman at Bar
533232	123200	Jane Foster
533233	245762	Clair
533233	257651	Miss March
533233	257683	Herself
533233	257819	Miss August 1992
533233	370051	Girl with Knife
533234	349954	
533235	405493	Jamie (1994)
533236	16888	Restaurant owner's wife
533236	27178	Bobbie
533236	29159	
533236	138356	Isabel
533236	142439	Pick-up Girl
533236	151678	Joan
533236	184986	
533236	245375	
533236	288470	Lois
533236	365385	Constance Virtue
533237	236364	
533237	277068	
533237	295813	
533237	296045	
533237	361063	
533238	80531	Mrs. Winslow
533238	117926	Mrs. Goodspeed
533238	148550	Jenny Moss
533238	239402	Ma Posey
533238	312831	Katie
533239	27107	S.F.
533239	108314	
533239	269305	Girl
533240	155453	Dancing Secretary
533241	143208	Lila Davenport
533241	215356	Alysse Byecroft
533242	163357	Model
533243	160846	Laura's Mother
533244	71	Miss Konk, Receptionist at Ca
533244	44468	Mrs. Hoffman
533244	50801	Henriette Teagarden
533244	52644	Vera Vague
533244	66199	
533244	72242	Vera Vague
533244	75304	Vera Vague and Prudy Vague
533244	83787	Jane 'Janie
533244	88974	Vera Vague
533244	96669	Sherry Lane
533244	126510	Matilda Jones
533244	128440	Suzie Banks
533244	138806	
533244	141001	Vera Vague
533244	142875	Blue Eyes
533244	144453	Vera Greenfield
533244	146343	Vera, (as Vera Vague)
533244	155293	Vera Vague
533244	155294	Aunt Nellie
533244	170984	
533244	175552	Mrs. Potter
533244	178134	Myra Stanhope
533244	184094	Countess
533244	184833	Mme. Gloria
533244	199158	Louise Watkins
533244	201313	
533244	210388	Adelaide
533244	210432	Veronica Whipple
533244	215540	
533244	217185	Aunt Agatha
533244	218715	Auntie
533244	220679	Mrs. Errol
533244	221336	Tbitha Hazy
533244	236930	Vera Vague
533244	242941	Dolly DeHaven
533244	264358	Mariposa Ginsbotham
533244	275776	Vera Butts, (as Vera Vague)
533244	278452	Mrs. Errol
533244	282041	Vera Watson
533244	291332	Vera Vague
533244	291359	Herself - as Vera Vague
533244	291391	Vera Vague, the Bob Hope Show
533244	291392	Herself
533244	298002	Vera, the Reporter
533244	298014	
533244	302644	Susan
533244	303348	Vera Vague
533244	304773	Fauna
533244	305898	Madge Stevens
533244	312272	Gypsy Jones
533244	316918	Vera Clayton
533244	321540	
533244	331631	Vera Vague
533244	354490	
533244	362007	Vera
533244	367919	Receptionist
533244	372152	Vera, (as Vera Vague)
533244	389014	Hostess
533244	389079	Regular
533244	390608	Host (1953)
533245	36985	Elevator Operator
533245	41759	News Clerk
533245	253126	Farrington player
533245	282711	Dancer in Haiti number
533245	307980	Specialty Dancer
533245	361176	Telephone operator
533245	363787	Assistant Dance Director
533246	17692	Bit Part
533246	54564	The Girl
533246	108588	Azalia's Mother
533246	360605	
533247	26606	Girl
533247	242757	Lt. Johnson
533247	313920	Usherette
533247	329388	Teenager
533248	309803	Nurse
533249	119821	Bricktop
533249	119822	Becky
533249	139178	Poe's Date
533249	327627	Pooch Collins
533249	373874	Tess
533250	31322	
533251	214919	Willa Marshall
533252	129418	
533253	222636	Julia Skakel
533253	338790	Ellie
533253	338791	Ellie
533253	338792	Ellie
533253	344187	Julie, aged 13
533253	395357	Princess Vara
533253	403376	Eva
533253	408880	Amber/Eagle (Series 1, 3-5)
533254	206859	Ericka
533256	341965	Betty Bascom
533257	40441	Nurse
533257	142900	Herself
533257	185215	Woman
533257	274499	French Heels
533257	289568	Girl with Trixie and Daisy
533257	375045	Singer: Solo Lines in 'Ziegfe
533258	291295	Jookie/Crazy Annie
533259	20106	Princess Harmonia
533259	41463	Uriko
533259	124036	Takako Yoshinodou, Kanae Yosh
533259	128991	Kirah, Pico
533259	275031	Tomoe Hirasaka
533259	298347	Additional Voices
533259	298425	
533259	327046	
533260	39655	
533260	97410	Eddie's aunt (sketch)
533260	194664	
533260	265928	Evelyn
533260	309592	Etta Mason
533260	329553	Etta Mason (from Souls of Sin
533260	352441	Ida Rawlins
533260	366419	Receptionist
533260	367054	Aunt Em's Party
533260	387309	Ada Chandler #1 (1973-1975)
533260	401369	WAC Billie (1955-1959)
533261	308128	Harry's Old Flame
533262	58728	Baker Cooley
533262	63176	Mary Allen
533262	70304	Daughter
533262	384178	Mary Allen
533263	335160	Lucy
533264	80393	Stacey
533264	265683	Britney 2
533264	320030	Mary Foley (young)
533264	358835	June
533264	362307	Cecy Hall
533265	70168	
533265	75585	Leslie
533265	196050	Sandy
533265	366781	Janet
533267	196872	Irish Step Dancer #4 (crowd)
533268	115250	
533268	118278	Mrs. Marks
533268	385299	Lorna James
533269	253478	Carol
533270	295998	Scorpio
533271	125818	Suzy
533272	113810	Elizabeth Richie
533273	230873	Punker in Car
533274	48948	Cookie Family
533275	138840	Girl #3
533276	375223	Lina, porn actress
533276	397938	Fauve Child
533277	151789	Cheryl
533278	164391	Mouse
533278	391984	Hoppity Hooper
533278	406074	Scooter
533278	409480	Hoppity Hooper/Susan Swivelhi
533279	1038	Young Jenna
533279	62491	
533280	130153	Dana
533280	184086	Young Irene
533280	277483	Amy Sue
533280	404282	Missy Fortino (1989)
533281	159770	Kelly (9 years old)
533282	248008	Girl #1
533283	241875	Cindy MacNamara
533284	228298	Pyramid Team
533285	163258	1-A Girl
533286	62789	Nazbat
533287	99629	Prudence Kent, Dr. King's Sec
533288	57073	Governor's Wife, Singer, Peas
533288	200864	Mr. Lefferts' Girlfriend
533288	317956	Samantha May
533288	367405	Party Girl #2
533289	107297	Luke's mother
533290	80481	Drenda
533290	107297	Luke's Mom
533291	87979	Auditioner #4
533291	249819	Mrs. Hogan
533292	277787	Beth Cowen
533293	49851	Mrs. Swinnimer
533293	148460	Counselor
533293	190261	Mandy
533294	958	Herself - Presenter
533294	1480	Herself - Co-host
533294	2313	Herself - Performer
533294	2376	Herself
533294	2726	Herself
533294	7591	Herself
533294	10683	
533294	11124	Ruth
533294	31195	Herself - NBC Team Contestant
533294	31196	Host
533294	40301	Yvonne
533294	77802	
533294	87784	Herself
533294	97135	Claire 'Ebony' Bryant
533294	99975	Herself
533294	104994	Co-Host
533294	105327	Librarian
533294	108087	Lydia Grant
533294	114381	Ola
533294	127729	Herself
533294	133958	Julie Sutton
533294	160476	Herself
533294	161261	Herself
533294	161277	Herself
533294	161289	Herself
533294	161362	Herself
533294	163523	Herself
533294	168087	Michelle
533294	192760	Narrator
533294	212721	Deloris Jordan
533294	217748	Betty
533294	220207	Herself
533294	220212	Herself
533294	239790	Quilly (nee 'Queen Esther')
533294	245263	Manicurist
533294	246756	Bertha Lee Gilmore
533294	271003	Sarah
533294	286692	Herself
533294	294395	
533294	301615	Host/Narrator
533294	315190	Estelle
533294	319020	Sunday Chase
533294	336914	Rhonda Dillins
533294	367864	Carol Freeman
533294	378823	
533294	383768	Regina Brown
533294	386944	
533294	388272	Herself/Host
533294	391236	Herself
533294	391835	Talking head/soundbites (segm
533294	392710	Jackie Warren (1995-1996)
533294	403730	Nan Branch Haley
533295	40543	Red Cross Worker
533295	51835	Myrtle
533295	141226	Nurse #1
533295	156481	Narrator
533295	191933	Mrs. Cameron
533295	270595	Female Singer
533295	273316	Shopper - Supermarket
533295	273772	Dinner Guest 4
533295	315925	Mrs. Gould
533295	330391	Herself
533295	389088	Cabaret Dancer
533295	393522	
533297	21168	Herself
533297	96975	Herself
533299	32244	Ann Budd
533299	35786	Frances Gardener
533299	69681	Mamie Pike
533299	88157	Teddy Beaudine
533299	104957	
533299	105641	Ermintrude
533299	107056	'Dot' Maxwell
533299	116191	
533299	126594	Gertrude Dempsey
533299	142340	Alice Hasdock
533299	145906	
533299	175606	Anne Bruce
533299	202914	Diana Murdock
533299	203456	
533299	215445	Yvonne La Rue
533299	242496	Alice Drake
533299	282411	Mrs. Hastings
533299	286178	Salome
533299	331281	Vida Tiffany
533299	356311	Mary Vance
533299	360182	Dorothy Graham
533299	360261	
533299	367409	Heloise
533300	185712	Judy Berner
533301	372264	Black Woman
533302	35693	Lizzie
533302	47558	Loque
533302	95840	Jenny Allen
533302	119470	Minne Rauskekle
533302	129871	Tillie Waite
533302	149386	Mirandy Means
533302	155901	High Jinks
533302	245651	Agulitia
533302	251494	
533302	262110	Dorothy Armstrong
533302	290355	Muggins
533302	292263	Polly, a Maid
533302	372913	Pansy Mears
533303	308852	Anna Cornblatt
533304	147729	
533305	105805	Dancer
533305	384366	Dorothy (1997)
533306	47372	Girl with Louie
533306	277628	Undetermined Role
533306	289503	Mlle. Climène Binet
533306	327872	A tart at the depot
533306	355218	Edith Banton
533307	49804	Mandy
533307	346386	Undetermined Role
533308	31185	Herself (NBC TEam)
533308	54997	Evelyn Randall
533308	60938	Miss Plantagenet
533308	85819	Laura Beckett
533308	90801	Ameilia Sarah Dedham
533308	120639	Sage Rimmington
533308	233834	Jean Michaels
533308	313376	Landlady
533308	382636	Laura Deane
533308	383126	Capt. Quinlan (1976-1977)
533308	401032	Martha Simms
533308	407916	Victoria Bellman (1980-1982)
533309	26079	Lady Zammit
533310	331681	Old Welsh Woman
533310	390758	Herself/panelist
533311	37855	Kat
533311	134095	Carri
533311	301654	Shelly Saltemeir
533311	333417	Teenage Veronica Adams
533311	337071	Lead
533311	382981	Pam Boyd
533311	390625	Carri
533312	296777	Herself (resident, Béalnablát
533313	35496	
533314	358328	Magician's Asst.
533315	40015	
533315	143245	
533315	158098	
533315	199566	
533315	245695	Peggy Malone
533315	279406	Zorah
533315	362699	Mrs. Walrus' friend
533317	34863	
533317	34899	
533317	83159	
533317	128853	
533317	208521	
533317	231561	
533317	231562	
533317	289798	
533317	295859	
533317	295860	
533317	297823	
533317	297824	
533317	325231	
533317	365366	
533318	128126	
533319	1744	Herself
533319	1868	Cloakroom girl
533319	11462	Various Roles
533319	68097	Herself - Blankety Blank cont
533319	77204	Det. Supt. Julie Devon
533319	109590	Sandra
533319	129203	Smirgut the Fierce
533319	194456	Carlotta Adams
533319	236115	
533319	299744	Christine
533319	326596	Dog Barking Woman
533319	384695	Various roles
533319	385020	Julia Stone (1999)
533319	390367	Various roles (season 2)
533319	391000	Rachel
533319	392415	Herself
533319	392676	Dr. Sophie Masterson, Psychol
533319	405558	
533319	405664	Various Characters
533319	410702	Various characters
533320	5563	Lady Diana
533320	24971	Sally Sheridan
533320	113790	
533320	126062	Marian
533320	169623	Becky
533320	193744	Adrienne
533320	253126	Switchboard operator
533320	270623	Flo
533320	279320	Helen Grayson
533320	329437	School Board Member
533321	32448	
533322	87586	Prayer Band
533323	39830	Mrs. Jamais
533323	41868	A.F.M.
533323	89277	Airport Arrivals Clerk
533323	116033	Rose
533323	119583	Mrs. Carter
533323	133409	Mrs. Jones
533323	136287	Sister Carmella
533323	154315	Mrs. Gurney
533323	200860	Judge Hailey
533323	202619	Nana Fleming
533323	206811	Carrie Carter
533323	208661	Landlord's Lawyer
533323	213159	Lucille Wright
533323	247216	Mrs. Rambaugh
533323	249067	
533323	252856	Grandmother
533323	263485	
533323	334762	Gus's Mother
533323	345861	Black Woman
533323	366834	Nurse Janet
533324	46674	Donna Strachan
533324	384884	Lisa
533324	400078	Tamsin
533324	408250	Donna
533325	315311	Performer
533326	50073	Grandma
533326	230340	Secretary
533327	166026	Herself
533327	173516	Hey-Hey Club Musician: Piano
533328	846	Herself
533328	3944	Herself
533328	6730	NonSex
533328	11494	Herself
533328	13503	Herself
533328	26902	
533328	26923	Herself
533328	26924	Herself
533328	31880	Herself
533328	32892	Woman
533328	34907	Herself
533328	34919	Herself
533328	34920	Herself
533328	34929	Herself
533328	34930	Herself
533328	34931	Herself
533328	34932	Herself
533328	34933	Herself
533328	37949	Herself
533328	41076	Herself
533328	41486	Herself
533328	42809	Herself
533328	45032	Leslie
533328	49510	Herself
533328	57273	Herself
533328	57936	Herself
533328	61995	Mandy Walker
533328	63177	Herself
533328	65874	
533328	67831	Herself
533328	68185	Allison 'Al' McMurphy
533328	68282	Herself
533328	75191	
533328	81787	Herself
533328	81801	Herself
533328	81818	Herself
533328	85077	Fanny
533328	86706	Herself/Segment 1 Girl
533328	87361	
533328	91834	Herself
533328	92400	Rocker Chick #1
533328	98837	Girl practicing ballet
533328	98841	Miss Johnson
533328	98852	Rich woman
533328	98863	Pepper
533328	98868	Nurse Diane
533328	98869	Rachel
533328	98876	Bumper
533328	98883	Muffin Delight
533328	102809	Herself
533328	102920	Herself
533328	111650	Herself
533328	117369	Herself
533328	127802	Herself
533328	127804	Herself
533328	127805	Herself
533328	127806	Herself
533328	127807	Herself
533328	127808	Herself
533328	127809	Herself
533328	127810	Herself
533328	127817	Herself
533328	127818	Herself
533328	127821	Ginger
533328	127825	Herself
533328	127826	Herself/Host
533328	127827	Herself
533328	127833	Ginger
533328	128832	Herself
533328	128846	Herself
533328	129081	Herself
533328	130050	AA Speaker
533328	139209	Herself
533328	147655	Candy Chandler
533328	154145	Herself
533328	154717	
533328	159012	Mayor Kitty Storm
533328	160228	
533328	160240	Herself
533328	163479	Herself
533328	163480	Herself
533328	165204	Herself
533328	178196	Mrs. Whiteman
533328	185357	Sophia Carteris
533328	186759	Bree
533328	187392	Herself
533328	187411	Herself
533328	187412	Herself
533328	187414	Herself
533328	188415	Herself
533328	190738	Herself
533328	190991	Herself
533328	191139	Herself
533328	191140	Herself
533328	214481	Brenda
533328	216839	
533328	251808	Herself
533328	260726	
533328	271722	Herself
533328	272866	
533328	273528	
533328	276608	
533328	282719	Herself
533328	286637	Pandora
533328	288478	Christeeth
533328	289031	Virgil's Mother
533328	295748	Herself
533328	298221	Herself
533328	298268	Herself
533328	302577	Herself
533328	309211	Tina
533328	310674	
533328	310936	Herself
533328	311440	Herself
533328	311451	Herself
533328	311452	Herself
533328	311453	Herself
533328	311454	Herself
533328	311455	Herself
533328	311456	Herself
533328	311457	Herself
533328	311458	Herself
533328	313257	Herself
533328	313264	Herself
533328	313290	Herself
533328	316284	Sally Womack
533328	319398	Herself
533328	319522	Herself
533328	319705	Herself
533328	321050	Herself
533328	321160	Herself
533328	325240	Herself
533328	329865	Herself
533328	329866	Herself
533328	329867	Herself
533328	329868	Herself
533328	329869	Herself
533328	329870	Herself
533328	329871	Herself
533328	329872	Herself
533328	331104	Herself
533328	335590	Felicia
533328	335803	Herself
533328	339531	Herself
533328	340397	Herself
533328	340472	Girl on TV
533328	343068	Herself
533328	344499	Herself
533328	344648	Herself
533328	344649	Herself
533328	345715	Herself
533328	348369	Herself
533328	353294	Holly Wells
533328	353296	Prison Inmate
533328	353297	Holly Wells
533328	353298	Holly Wells
533328	357158	Herself
533328	358074	Herself
533328	366136	Chief Technician Rachel Corio
533328	366138	Chief Technician Rachel Corio
533328	366825	Herself
533328	367652	Linda
533328	372570	Dove
533329	69410	Girl
533329	69421	Naked college girl
533329	154984	Nutbrown's Girls
533330	798	Grace Allen
533330	18303	Miss Allen
533330	26058	Grace Allen
533330	36839	Gracie
533330	36840	Mrs. Platt
533330	36842	Gracie
533330	67139	Calliope 'Gracie' Dove
533330	67141	Gracie
533330	67159	Gracie Alden
533330	77476	Gracie
533330	114540	Miss Allen, a Salesgirl
533330	132473	Gracie Allen
533330	133819	Herself
533330	143581	Gracie Allen
533330	147804	Herself
533330	149126	Millicent 'Millie' De Grasse
533330	160930	Nurse Allen
533330	184236	Grace Allen
533330	188324	Gracie, a dance hostess
533330	195673	Gracie
533330	204876	Gracie
533330	210615	Herself
533330	220801	Pamela 'Pam' North
533330	239046	Nurse Allen
533330	241083	Grace, the Manicurist
533330	267020	Gracie
533330	291355	Herself
533330	303499	Gracie De Vore
533330	342873	Herself
533330	350906	Herself
533330	358666	Mamie
533330	360526	Gracie
533330	372848	Gracie Allen
533330	389909	Gracie Allen
533331	151789	Harriet
533332	360647	Tammie Sue Nelson
533333	220273	
533334	99695	Florence
533334	104357	Additional Player
533335	233914	Museum Receptionist
533336	100209	Woman in Black
533336	189233	Playground Teacher
533336	232114	Airline Aide
533336	240785	Young Mother
533337	277508	
533338	12228	Herself
533338	117498	Cop #1
533338	257646	Herself (Miss January)
533338	257820	Herself (Miss December 1987)
533338	257859	Herself
533338	257863	Herself (Playmate of the Year
533338	257865	Herself
533338	257866	Herself
533338	274148	Herself
533338	282434	Swimsuit Model
533338	301824	Sheila
533338	325995	Sombrero Girl
533338	365218	Alexandria 'Alex' Marcus
533339	30071	
533339	61306	
533339	109592	
533339	142612	
533339	280362	Magnolia
533339	282330	
533339	337178	Agathe, a Black Servant
533340	248981	
533341	321002	
533342	129227	Chorus Girl
533342	143648	
533343	203436	Chorus
533344	43933	Reporter
533344	283410	Reporter Jacqui
533344	385013	Mrs. Taylor
533345	14607	Jitterbug Dancer
533345	168125	Dancer
533345	304876	Dancer
533345	330179	Woman
533345	367970	Dancer
533346	44081	Alice Barnes
533346	92170	
533346	196293	
533346	206430	
533346	370562	
533347	215789	Mrs. Lilium
533347	334153	Ward Sister
533348	362176	Nurse
533349	235400	Jeanette
533350	120682	
533350	298425	Fangmei Xun
533351	143602	Elephant Rider
533351	176335	Goldwyn Girl
533351	224404	Consuello
533351	247141	School Girl
533351	313076	Dancer
533352	99971	Iris Bookman
533353	219737	Opera
533354	129784	Student #2
533355	310144	TV Journalist
533356	209237	Shadow
533357	47828	Kylie Stanlow
533358	114283	Rand's Class
533359	292275	Goth 1/Sally's Victim
533360	301681	Mrs. Rosenberg's Friend
533360	367083	Running Girl
533361	61291	Chicken
533361	149703	Sis
533362	11529	Judge's Wife
533362	60251	Barbara
533362	65612	Claudette
533362	99630	
533362	115668	Dahlia
533362	115886	Mom
533362	120148	Women's Awareness Teacher
533362	245332	Vonda
533362	289690	Reva
533362	292280	Woman in Hospital
533362	324777	Madame Olga
533362	340827	The Lying Woman
533362	358484	Waitress at Big Texan
533363	1674	Herself
533363	1703	Herself - Presenter
533363	11344	Ann Deever
533363	11533	Helen
533363	37321	Herself
533363	45129	Pamela Landy
533363	68825	Mary Alice Mahoney
533363	69961	Sen. Laine Hanson
533363	69962	Herself
533363	73989	Elizabeth Proctor
533363	104371	Zenobia 'Zeena' Frome
533363	107166	Dr. Eve Archer
533363	155277	Elena Hood
533363	157574	Irene
533363	169170	Caroline Whitney
533363	199194	Margaret Roberts
533363	204218	Reba McClane
533363	233307	Pat Nixon
533363	235541	Anne Hamilton
533363	238611	Arlene Groden
533363	251867	Maddy Nagle
533363	257922	Betty Parker
533363	267648	Not known
533363	281443	Ellie
533363	289229	
533363	291969	Bonnie Waitzkin
533363	341459	Vera Tucker(Fuqua)
533363	346124	Herself
533363	348527	Terry Wolfmeyer
533363	356310	Mrs. Frost
533363	363146	Sinead Hamilton
533363	366959	Sarah Brady
533363	371303	She
533363	379999	Narrator
533363	387987	Iris Friedman
533363	397941	Morgause
533363	399295	
533364	374353	Lala
533365	396015	Madge Smith
533365	403283	Madge Smith
533366	158895	
533366	305349	Parakeet Owner
533367	62886	Frau Lange
533367	125818	Truck driver
533367	155244	Lynne Sefton
533367	365753	Maggie
533368	170451	Partygoer
533369	14239	Rosa Parks
533369	31192	Herself (CBS Team contestant)
533369	42063	Dora
533369	46154	Fanny Crowne
533369	51967	Tommy
533369	67793	Carol
533369	71476	Secretary
533369	73735	Bishop Deb
533369	92582	Grace
533369	115869	Viola
533369	118116	Jacqueline Foster
533369	133334	Madeline Garrick
533369	150606	Sabrina
533369	213153	Lucinda Cavender
533369	220819	Mother Anne
533369	231123	Evelyn
533369	252123	Susan Jansen
533369	279141	Ann Vanderguild
533369	350170	Brandy
533369	353416	Maydene Jariott
533369	381703	Stacey Russell
533369	386897	Grace
533369	387299	Miss Kay Toliver
533369	389867	Doreen Jackson
533369	400714	Bessie Freeman
533370	165958	Make-Up Monger #1
533370	384366	Zoey/Mary Katherine (1995-199
533371	52043	Old Lady
533371	223019	Old Lady
533371	365062	Woman
533372	40626	Dancer
533372	232071	
533372	385930	District Nurse
533373	226899	Shop girl
533374	8067	Mrs. Barnes
533374	32965	Mary Kennedy
533374	35576	Betty White
533374	37815	Elaine Witworth
533374	44090	Bernice Allen
533374	46987	Adele Martin
533374	49972	Caroline 'Carrie' Long
533374	77810	Diane Trevor
533374	118304	Nurse
533374	118718	Gwen Porter
533374	128960	Doris Maxwell
533374	141093	Joan Bradshaw
533374	142345	Sally Driggs
533374	154594	Mrs. McSween
533374	163291	Ann Martin
533374	206480	The Widow
533374	210814	Mary Higgins
533374	228826	Anno Novna
533374	231763	Elizabeth Van Dusen
533374	239601	Betty McGonigle/Agnes Dowton 
533374	241846	
533374	254543	
533374	260874	Della Mason
533374	273813	Edith Adams
533374	280964	
533374	297962	Frances Arbuthnot
533374	304300	'Ruffles' Macklin
533374	308109	Woman
533374	327156	Helen
533374	329142	Barbara Allen
533374	330686	Gay Merrick
533374	332113	Milly Fayre
533374	335666	Ruth Brown
533374	336790	Ruth Lane
533374	337780	Belle Faith
533374	366774	Nancy Brookfield
533374	367919	Corset Model
533374	372431	June Dale
533375	410695	
533376	232266	Baby
533377	47192	Adelaide Culver, as child
533377	396684	Rona (1951)
533378	323619	
533379	269336	Susan
533380	263	Betty Dawkan
533380	2785	Herself - Presenter
533380	3651	Narrator
533380	11564	Hannah Raven
533380	13934	Herself
533380	17156	Alex Bristow
533380	17173	Katy
533380	26969	Mara McAndrew
533380	30683	Bessie Emery
533380	46686	Butcher Lee
533380	58666	Christa McAuliffe
533380	74076	Nancy Gates
533380	107922	Resse Nicholson
533380	127126	Terry Monroe
533380	133725	Herself
533380	149965	Margaret
533380	158102	Marla Keyes
533380	159177	Herself
533380	177456	Miss Mathey, Aaron's Teacher
533380	196524	Elizabeth
533380	201864	Hostess
533380	202195	Miss Dunne
533380	204163	Television Actor #2
533380	224021	Belinda Faulkner
533380	234812	
533380	234813	
533380	252976	Melissa Brown
533380	261541	Eunice Kray
533380	271095	Marion Ravenwood
533380	272413	Georgianne Corcoran
533380	278711	Dr. Clare Burton
533380	281519	
533380	287206	Mrs. Smalls
533380	287207	Mom
533380	291495	Claire Phillips
533380	292667	Ruth
533380	299663	Sandy, George's Girlfriend
533380	305341	Jessica Bloom
533380	311514	Rebecca/Amy
533380	313715	Jenny Hayden
533380	321335	Julie Maguire
533380	328291	Gus
533380	342020	Glory Lawson
533380	347592	Herself - Interviewee
533380	347850	Mo Alexander
533380	357007	Catherine 'Kit' Norvell
533380	358964	Nina
533380	363224	Alexandra
533380	363271	Katy Schoenstein
533380	365998	Martha (Wilson)
533380	368537	Delores
533380	370890	Herself
533380	387245	Abra
533380	403481	Allison Matson
533380	405037	Katherine Farewell
533382	51989	Annie
533382	365344	Gina Roberts
533383	76606	Kate
533384	381449	Travel Reporter
533385	234803	Millie Wilson
533386	79314	TV Week Journalist
533386	301945	Katya
533387	76606	Kate
533387	311182	Katie
533387	411500	Ethel Hallow (1999-2001)
533388	163069	Delilah Birch (age 16)
533389	5574	Airplane Stewardess
533389	59579	Anna
533389	102906	Phone Worker (segment "Let's 
533389	138902	Arleen
533389	169170	Annette at Reunion
533389	184579	Singer
533389	234523	Aunt Ronnie/Nurse
533389	237932	Mrs. Miller
533390	187870	Celeste Fox
533391	321213	TV fashion reporter
533392	48948	Cookie Family
533393	241342	Pregnant Saleslady
533394	16943	Stacy
533394	24793	Katherine 'K' Harrison
533394	69391	Pretty Woman
533394	99987	Emmanuelle
533394	99988	Emmanuelle
533394	99990	Emmanuelle
533394	99991	Emmanuelle
533394	99993	Emmanuelle
533394	99994	Emmanuelle
533394	100007	Emmanuelle
533394	100008	Emmanuelle
533394	107159	Syd Deshaye
533394	140149	2nd Mate Johnson
533394	189233	Busty woman in elevator
533394	209596	Lucinda
533394	251247	Holographic Woman
533394	272867	Cali Goodwin
533394	280720	
533394	300527	Tiara Benedette
533394	335530	Maddy
533394	336475	Meg Peters
533394	344498	Lisa
533394	374574	
533394	381442	Jenna Avid (2000-2001)
533394	385824	Billie Holliday Reed Brady (#
533394	409605	Herself
533395	400236	Tracy James (1985-1987)
533397	275861	Dark-Haired woman
533398	5066	Monarch Cheerleader
533399	195573	
533400	3593	Laura Kirk English
533400	217745	Susan Delacorte
533400	318099	Samantha
533400	321352	Jane
533400	378869	Lily Moore
533400	379716	Laura Kirk English #2 (2000-2
533400	406850	Samantha
533401	128135	Alexis
533402	119626	Woman in Bed
533403	41197	Bad Vampires Script Girl
533403	78976	News Intern
533403	254762	Mother
533404	53076	
533405	53732	Mabel
533406	285132	Mrs. Saunders
533406	296770	Ruth
533407	99287	Lady in Waiting
533407	119565	Law, Pan's Slyphs, Shadow, Ci
533407	330323	Townspeople #1
533408	92154	Jennie Parsons
533408	233465	
533408	278001	Mary
533408	396961	Marilyn
533408	410918	Various (1978)
533409	276869	Delivery girl
533410	196995	Dancer
533410	298108	Dancer
533410	300180	Goddess Dancer
533410	391013	Bombshell
533411	35524	Prescott Pig
533412	141965	Clara
533413	58893	
533413	339521	Herself
533414	237783	Nurse
533415	215905	Beauty Parlor Woman 2
533416	147536	
533417	20625	Extra
533418	133610	Undetermined Role
533418	241444	
533418	308632	
533418	330375	
533418	360837	
533419	245184	
533419	260200	Mrs. Smith
533419	362921	The Countess Irma
533420	72104	Cover girl contestant
533421	222749	Alicia Craine
533421	406464	Passer By
533422	366099	Hula dancer
533423	177988	Handmaiden
533424	17539	
533424	84403	Lady Dalton
533424	309510	June Meredith
533425	128269	Clare Wendell
533425	217432	Julia Allison
533425	312318	Helen Ralston
533426	20537	
533426	115673	
533426	118472	Matron
533426	118995	Mrs. Page
533426	154094	Sharon
533426	241270	Miss Ivy
533426	364205	Mrs. Whittacker
533426	387531	Sister Monica
533426	405960	Mrs. Brooks
533427	183323	Margarita
533428	245013	Secretary
533429	139778	Mom/Mrs. Pottsdam/Generic PTA
533429	190318	Herself
533429	205076	Patient
533429	215560	
533429	218599	Girl in Castle Anthrax
533429	327232	
533429	337107	Mrs. Anderson
533429	342566	Olive
533430	251397	Mrs. Atkins
533430	358161	Jenny Parris
533430	364530	Regina
533431	7094	Duchess
533431	39428	Mom Norton
533431	54607	Mabel Chester
533431	72274	Henrietta Barclay
533431	77919	Mrs. Hill
533431	132997	Mrs. Billings
533431	154481	Woman
533431	163557	Mrs. Smith Burlington
533431	170307	
533431	188213	Hilda
533431	219891	Undetermined Role
533431	246698	Yukon Kate
533431	286929	Elderly Woman
533431	287296	Dowager
533431	292658	Mrs. Hogan
533431	300062	Fat Woman
533431	305609	Woman Attendant
533431	349554	Dowager in Car
533431	360477	Bit Role
533431	363190	Woman
533431	363699	Mrs. Roberts
533431	367919	Cyclist
533431	372769	Woman Fainting at Downed Brid
533432	302591	
533433	133849	Mrs. Joseph Wilson
533434	37393	White Castles Cashier
533435	41739	Cheerleader
533435	65922	Pissed off Customer
533435	79938	Ellen Abercombie
533435	114339	Sam Cade
533435	209374	Bette
533435	231396	Jamie Lee
533435	301536	Ginger
533435	315703	Daughter
533435	326576	Julie
533435	362697	Southern Actress
533436	176243	Angelique
533436	250448	Margaret aged 2
533437	257369	
533438	275659	The Woman
533438	349570	Policewoman
533439	382486	Luce Jobin
533440	274805	Rachel Turner
533441	289972	Mrs. Montague
533442	185051	Suzette
533443	50610	Little Girl
533444	262589	St. Matthew's Choir & Band Me
533445	41261	Gypsy Dancer
533446	1390	Donna Stratton
533446	3749	Herself
533446	5903	Herself
533446	5909	Cathy Thomas
533446	8090	Maggie Hewitt
533446	41552	Sally
533446	48719	Carrie
533446	55625	Chris Hargensen
533446	61764	Rachel Colby
533446	64447	Louise
533446	75525	Herself
533446	93573	Liz Blake
533446	95496	Anna Bishop
533446	148308	Kristina
533446	154709	Pam Mitchell
533446	168604	Herself
533446	178147	Madge
533446	185224	Nancy
533446	190952	Casey Falls
533446	201658	Herself
533446	201743	Herself
533446	203614	Jessie Gallardo
533446	210622	
533446	217965	
533446	235422	Lois
533446	245103	Midge
533446	250752	Catherine Pelman
533446	254649	Allison Hayes
533446	259829	Patricia Wilson-Gardner
533446	268918	Linda Savage
533446	279841	Officer Anne Lewis
533446	279843	Anne Lewis
533446	279845	Officer Anne Lewis
533446	292539	Brenda
533446	304545	Herself
533446	316111	Betty Walker
533446	321283	Jillian Grey
533446	328553	Hostess/Liz Blake (Dressed To
533446	388202	Princess Elizabeth
533448	347990	Herself
533450	157734	Mary Lou
533451	69895	Herself
533452	38596	
533452	49778	
533452	49790	
533452	78714	
533452	118229	
533452	128285	Hector's Lady Friend
533452	131669	
533452	144932	Vonia Grayley
533452	153226	
533452	185493	
533452	239800	
533452	254579	Sister
533452	273977	Bertha Schriver
533452	280483	
533452	308334	
533452	313993	Mrs. Morton
533452	327462	
533452	359339	
533452	363672	
533452	363918	
533453	151055	Train passenger
533453	292008	Marilyn Carr
533454	79348	The Maid
533454	270763	Marie
533455	362512	Choir Member
533456	281255	Snotty Girl #1
533457	241538	
533458	391835	Talking head/soundbites (segm
533460	350300	Janet
533461	115095	Eve Allen
533461	129449	LaDonna
533461	207279	Tour Guide
533461	232166	Officer Judy
533461	404282	Wendy (1988)
533463	168220	Ethel, as Child
533464	34611	Melissa Goldman
533464	121814	Herself
533464	222721	Freda
533464	379197	Additional Voices
533464	404655	Queen Victoria
533465	252960	Suger
533466	228314	Schoolgirl
533466	315745	Chorus Girl (segment "The Jea
533466	367825	Nurse
533467	124351	Nosey Woman
533467	185127	Secretary (Kelly)
533467	185174	Helen
533468	2088	Helen
533468	32529	Judge
533468	73835	Woman on Bus
533468	88761	Mattie Earp
533468	89147	Sylvia
533468	153094	Dry Cleaner
533468	159874	Gloria
533468	163189	Jenny
533468	194289	Queen Elizabeth/Herself
533468	238991	Solo Chorus Girl
533468	240811	Rose
533468	276424	Ellie
533468	282156	Herself
533468	289512	Annie
533468	289978	DMV Lady
533468	321746	Miss Penny
533468	330388	Witt's mother
533468	330443	Nancy (segment "Fantasies Abo
533468	333237	The Farmer's Wife
533468	355405	Mrs. White
533468	359186	Marjoree
533468	404405	Mistress Hibbins
533469	387332	Colonial Wife
533470	79514	Johnny's Mom
533470	259279	Lily Pantages
533471	6854	Governess
533471	13562	
533471	50426	The Other Woman
533471	57140	Dancer
533471	75586	
533471	91997	Customer
533471	109718	
533471	109991	
533471	110011	
533471	111899	
533471	125901	His Wife
533471	126638	His Wife
533471	127474	
533471	136162	
533471	136163	Mrs. Gussle
533471	136164	
533471	136165	Mrs. Gussle
533471	136166	
533471	142606	Woman in hall
533471	143124	Minnie Fish
533471	143457	
533471	146262	Ambrose's Wife
533471	147290	
533471	169912	
533471	218160	
533471	220568	His real wife
533471	222872	
533471	231967	Lady in Audience
533471	240525	
533471	251190	His Wife
533471	255827	Congregation Member
533471	265854	Hamlene Fat
533471	278642	
533471	282453	Charlie's Wife
533471	317832	A pugnacious guest
533471	329451	
533471	331091	
533471	333076	Prison Matron/Restaurant patr
533471	364087	Madame Le Moyne
533472	227024	Misty II
533472	336458	Fat lady
533473	42087	Zoe
533474	159990	Undetermined Role
533474	278269	
533475	16968	Aunt Violetta
533475	44330	Dr. Alma Burke
533475	52199	Mrs. Macdonald
533475	77448	Gloria Thorpe
533475	107100	Ruthie
533475	175221	
533475	186650	Ma Keller
533475	195586	Gwen
533475	210960	Female Judge
533475	220622	Dr. Phyllis Ames
533475	297990	Judge Gondon
533475	313601	Barbara Shore, PhD
533475	323594	Mrs. Divito
533475	332785	Beverly
533475	363497	Gladys Hocheiser
533475	388202	Aladdin's Mother
533475	388543	Lucy Fearing
533476	372819	Randa
533477	224935	Waitress
533479	308382	Harem Girl
533480	65928	Mrs. Watling
533480	109867	Mrs. Wellington
533480	215421	Mrs. Cannell
533480	275517	Hester Morrison
533480	368369	Ernesto's Mother
533480	368991	Mrs. Evelyn Foster
533481	72930	Karen
533482	9831	Mrs. Duff
533482	40897	
533482	41044	Passenger
533482	58721	Mrs. Smiggles
533482	65818	Mrs. Prosser
533482	70295	
533482	79382	Witch of Badness
533482	88190	Madame Claude
533482	100199	Martha Blake
533482	105649	Bit Part
533482	115849	
533482	117740	Aunt Cordelia Dennison
533482	130051	Mrs. Pickens
533482	141017	Almira Worters
533482	141208	Mrs. Ogden
533482	146107	
533482	183578	Anne Marble
533482	185723	Bit
533482	190309	Ruth Martin
533482	190398	Mrs. scattergood
533482	199152	Ada Halleck
533482	200881	Bit Part
533482	203580	Miss Myrtle
533482	210876	Miss Lucy Withers
533482	219554	Landlady
533482	222679	Spinster
533482	233784	Ma
533482	237671	Anna Cassaba
533482	241531	Rock Person
533482	244885	Hattie Stitch
533482	245547	Madame Estrelle
533482	246730	Fish-Faced Mother
533482	249513	
533482	261996	Laurella Consadine
533482	267606	Little Boy's Mother
533482	274535	
533482	281696	School Teacher
533482	283433	Mrs. Honoria Blye
533482	298289	Landlady
533482	301489	Elina Tampscum
533482	308652	Jinny
533482	310813	Mrs. Buck Lennon
533482	329331	Politician
533482	330173	Mrs. Thing
533482	331324	Housekeeper (Sea-side hotel)
533482	337625	Tolliver family member
533482	364225	
533482	364453	Newfoundland Woman
533482	365037	Scraggs (housekeeper)
533482	366837	Aunt Letitia
533483	285978	Miss Pim
533484	400247	Panelist
533485	175632	2nd Wife
533486	329522	Wisconsin Dancer
533487	368894	Gail Sinclair
533488	57270	Herself - Yodeling Singer
533488	94599	Vocalist
533488	329934	Vocalist-Yodler
533489	2118	Pretty Girl
533489	3101	Tote Lady
533489	61765	Angela Casual
533489	77151	Julia Cunningham
533489	78184	Mrs. McDonald
533489	145169	Jennifer Benton
533489	159505	Holly Lambert
533489	195305	Qantas Flight Attendant
533489	219904	Woman at Gas Station
533489	226938	Bobbi, Soap Opera Actress
533489	252825	Sterling
533489	256356	Jennifer Garrick
533489	272973	Patricia Radcliff
533489	308344	Nina
533489	379716	Silver Kane (aka Noelle Keato
533489	398568	Ms. Lawson
533489	404282	Gretchen Richards #2 (1990)
533489	404605	Dr. Wendy Smith (1994-1995)
533490	38685	Woman in theater
533490	78850	Mrs. Murphy
533490	96829	Townswoman at Carnival
533490	183443	Short woman at wedding
533490	214932	Elderly Woman
533490	223903	Outraged woman
533491	404795	Valkyrie
533492	39929	Sadie's girl
533492	79409	Pamela Walker
533492	128246	Linda
533492	296178	
533493	123884	Girl Singer
533493	321375	Ruth
533494	92228	Mrs. Fuller Jermes
533494	365156	
533495	350700	Teen babe #2
533496	99766	Nymph #3
533496	102726	Camille
533496	102736	Camille (episode "Private Dan
533496	102782	
533496	122778	Grocery Store Clerk
533496	252384	Pet
533496	252402	Pet
533496	319460	Model
533497	20371	Mrs. Lennert, Max' Mother
533497	69812	Grouchy Nurse
533497	82055	Game show contestant
533497	97342	Cooper's Mother
533497	113411	
533497	118994	Bar Proprietress
533497	221114	Mom
533497	241322	Teacher
533497	267348	Martha
533497	282923	Fergus Groupie
533497	294918	Edna Vanoff
533497	320283	Ann Boulette
533497	329975	Sister Ellen
533497	358865	Judy
533498	6169	Joan
533499	56145	Court Stenographer
533501	396010	Brianna/Patchwork Girl
533502	214042	Herself - Youth Guidance Harp
533503	33174	Tallest woman in the world
533503	56100	Angelina the Giantess
533503	300901	Goliatha
533504	344203	Spatula Neighbor
533505	158414	Woman #2
533506	292671	Sheriff's Niece
533506	317351	Jenna
533506	358701	Carrie
533506	387058	Colleen Kelly
533507	1020	Punk Girl
533508	16677	Voodoo Dancer
533508	71474	Dancer
533508	116981	
533508	185228	Angela's Singer #1
533509	53033	Dee
533510	256240	Terry
533511	302699	
533512	7136	Claudine Lennart
533512	10746	Alice's Mother
533512	59185	Performer
533512	64791	Blonde Woman
533512	69339	
533512	245462	Mrs. Delehanty
533512	261237	Nurse
533512	313920	Hipplewaite's Girl
533512	337091	Mrs. Paula Ramsay
533512	355790	Sister Charity
533512	363189	Mona
533513	5885	Dulcie Sedgewick
533513	12404	Lady Diane Clarke
533513	18351	Tutor
533513	29358	
533513	61771	Diana Looran
533513	113458	Olivia
533513	117157	Christine
533513	129573	Mrs. Sokarev
533513	141812	Virginia
533513	177357	
533513	195300	Jamie's mum
533513	202508	Frau Kornfeldt
533513	220096	Eileen
533513	244410	
533513	249819	Mrs. Marchant
533513	263967	
533513	264489	
533513	278496	Frau Hedwig
533513	299070	Olga Leiner
533513	331419	Beth
533513	351801	Ellen
533513	380388	Cassie Manson
533513	382581	Cassie Manson
533513	395529	Fiona
533513	400083	Rhiannon Weaver
533513	405217	Mrs. Pethick Lawrence
533513	405271	Matron Mary Taylor
533514	194390	Lissa Gowring
533515	83558	Spelling Bee Contestant
533516	38068	Esther Spencer
533516	67589	Shirley Blaine
533516	102468	Marilyn Porter
533516	108360	Nora
533516	191065	Anne Morrow Lindbergh
533516	289522	Amelia Reddington
533516	291254	Peggy Johns
533516	303544	
533516	305497	Barbara Hutton
533516	372296	Kathleen
533516	383429	Cara Leslie
533517	113359	Alicia
533518	68064	Alicia Philips
533519	289934	Chokette
533520	2234	Annie
533520	21533	Gloria Feldmar
533520	84399	Miss Davis
533520	240746	Gabriella
533520	292698	Waitress
533520	334244	Mary Buchanan
533521	389858	Lesley Lu 'Lulu' Spencer #4 (
533522	297633	
533523	64119	
533523	92604	
533523	92665	Carol
533523	371824	
533524	370893	Lyla
533525	167925	Woman Player (Tag)
533526	73801	Lilly
533526	93098	Emmarine Douglas
533526	144523	Nyona's Daughter
533526	174584	Jennie
533527	292419	Girl at dock
533528	46862	Emma
533529	41138	Bargirl #1
533530	61326	
533530	66204	Theresa
533530	108514	Karen
533530	189329	May
533530	192634	Del Jordan
533530	193663	Sharon
533530	198021	Lyddie Worthen
533530	219440	Kimberly
533530	228484	Anna Jacobson
533530	257434	Astrid Kirsh
533530	274850	Sarah
533530	310877	April Kyle
533530	323148	Angie
533530	344474	
533530	363895	Erina Baxter
533530	366655	Tanya Rider
533530	399335	Audrey
533530	406422	Percy Montana
533530	406423	Percy Montana
533531	34316	Fräulein
533532	41475	Elaine Curtis
533533	6305	Waitress
533533	35783	Rose Wilder
533533	117986	Carolyn
533533	270931	Sheila Conner
533534	101573	Gracie Hiller
533534	402345	Hannah Hansen #3 (2001-2002)
533535	77643	
533535	130736	
533535	138744	Chorus Woman
533535	289610	
533535	321232	
533535	349631	Page
533536	363126	
533537	142881	Mona
533538	230385	007 commercial girl
533538	300326	Rugby Bikini Girl
533538	317929	
533538	353744	
533539	250576	
533540	87522	Dorra
533540	168766	Female Reviewer
533541	208870	Dr. Lebowitz
533542	33689	Olga
533542	38583	
533542	44374	Louise
533542	67902	Samantha
533542	84966	Della
533542	114678	Tommye Eden
533542	150379	Ruby
533542	154471	Francine, the hooker
533542	168858	Flora
533542	232837	Lucita Miranda
533542	240245	Harem Wife
533542	248817	Dance hall girl
533542	255878	Eileen
533542	299972	The Wife
533542	329395	Model
533542	362585	Dotty
533543	201095	Susan
533543	201550	Julie 'Princess' Anderson
533543	408627	Senator's wife
533544	88863	Mrs. Janet 'Jane' Cardmaker, 
533544	380391	Grandma Matthews (1964-1965) 
533544	389417	Kass (1958-1961)
533544	399907	Peggy O'Neill
533544	404613	Ida Weston (1969-1972)
533545	151732	Adagio Dancer
533547	166874	Holly
533548	242567	Mrs. Forrester
533548	364012	Donna Angela Chiaromonte, 'Th
533549	88761	Whore
533550	110527	
533551	105709	Herself
533552	190040	Herself
533553	341995	Susan
533553	400621	Miss Sally (1999-2003)
533554	13756	Hazel Stanley
533554	117286	Melia Nobbs
533554	120650	Alice Stevens
533554	140119	
533554	167920	
533554	194049	Mitchette Dubois
533554	203109	Phemie Sanders
533554	203555	Frances Clayton
533554	292263	Phoebe Barney
533554	295413	May Parcher
533554	363217	Peggy
533555	117409	Mrs. Lynde
533556	33258	Party girl
533557	113803	Mrs. Friedan
533558	304862	Young Lady Van Tassel
533559	87432	Betty Doggett
533559	206831	Female Lab Tech
533559	240688	Janet
533559	272026	Airline Spokesperson
533559	321961	Paralegal
533559	347537	
533560	63162	Harana's Wife
533560	140678	Yvette
533560	177294	Ahinoam
533560	343024	Antonella
533561	317148	Lydia
533562	387309	Mattie Lane Grimsley #2 (1956
533562	388799	Doris Kennedy
533563	13062	
533563	266676	
533563	289080	
533563	307725	
533563	328170	
533563	390085	Esther Suárez
533563	401691	
533563	405102	Ofelia
533564	54068	Herself
533564	61868	Herself (widow of Salvador Al
533564	384590	Herself (widow of Salvador Al
533565	12097	
533566	54068	Herself
533566	162596	Herself
533566	229510	Narrator
533567	169211	
533568	273955	
533569	132294	The Niece at 7
533570	105045	
533570	305520	
533570	322680	Kritisk ægtefælle ved party
533571	318748	Aggie
533572	289372	Featured Extra
533573	57525	Nelly Dumon
533574	104015	
533574	146544	
533574	244596	
533574	378400	Wife
533574	381217	
533574	384772	Dorotea
533574	384782	
533574	387904	Graciela
533574	396149	
533574	396180	Angélica Rivas
533574	396881	
533574	397731	
533574	398165	
533574	398476	
533574	398816	Beatriz 'Bety' de Quinteros
533574	399627	
533574	399711	Various Characteres (1983)
533574	399764	Betiana
533574	400420	
533574	400796	
533574	402158	Ángela
533574	406050	Celina
533574	412311	
533575	88344	
533576	234826	Pige/Girl
533577	251023	
533577	309300	Oles mor
533578	27571	
533578	346992	Karen
533579	183815	
533580	341098	Susanne Langenfeld
533581	247490	Singer, Zanba number
533582	140984	
533583	204594	
533584	322930	Margit
533585	390432	Tina
533586	29909	Caroline
533586	384766	Fiona Edwards
533587	376345	
533588	281052	
533589	264941	Veena
533589	265755	
533590	202633	Kaya Brandt
533590	326047	Nicki Lackner
533591	302432	Tina Barbato
533592	199040	Contessina di Pratolungo
533593	18746	
533594	165582	Pillow Fight Sorority Girl
533595	282609	Herself-Performer
533596	242431	Marine Sgt. King
533596	406952	Melinda Fall (5/1997-7/1998)
533597	129201	Delta
533597	390145	Gladiator 'Delta'
533598	2079	Vanessa Bartholomew
533598	2761	Herself
533598	2805	Herself
533598	26708	Gloria Beaumont
533598	40631	Claire Simpson
533598	49656	Gloria Steinem
533598	58875	Barbara
533598	60345	Rebecca Howe
533598	60346	Rebecca Howe
533598	60347	Herself
533598	68105	Herself
533598	79611	Sally Goodson
533598	81649	Joan
533598	93959	Gladys Leeman
533598	108374	Brenda Geck
533598	117136	Caroline Sexton
533598	159514	Ellie Denato
533598	163363	Diane Barrows
533598	194211	Mollie
533598	194212	Mollie Ubriacco
533598	194213	Mollie Ubriacco
533598	196434	Joyce Palmer
533598	199639	Jessie Bannister
533598	204926	Diane Highland
533598	207279	Casey
533598	207281	
533598	230279	McGill
533598	241548	
533598	243552	Herself - Actress
533598	253875	Annie
533598	264033	Jamie Harrison
533598	265506	Donna Lee Shelby Thornton
533598	270587	Gloria Goodman
533598	283398	Jackie Rogers
533598	288709	Herself/Guest Host
533598	298091	Cameo appearance
533598	299669	Sarah Renell
533598	300814	Marjorie Turner
533598	302949	Patrice Cantwell
533598	313449	Lt. Saavik
533598	313635	Maggie Carter
533598	314684	Joey's Mom
533598	318186	Marty
533598	318783	Ms. Robin Elizabeth Bishop
533598	333322	Herself
533598	335791	Katherine Lewis
533598	354520	Dr. Susan Verner
533598	368029	Herself
533598	382254	Elsie
533598	383994	Rebecca Howe (1987-1993)
533598	395165	Rose Marie Clericuzio
533598	395166	Rose Marie Clericuzio
533598	397046	Casey Collins
533598	399684	Virgilia Hazard
533598	399685	Virgilia Hazard
533598	404152	Ann Putnam
533598	409996	Veronica 'Ronnie' Chase Ander
533599	102580	Patsy
533599	216602	Herself
533599	397991	Herself (Seasons 1-7)
533600	81270	Sara
533601	403805	Billie Reed #6 (2000-2001)
533602	112919	Quinn Kenyon
533603	258099	Shelly
533603	307340	Catalina Olvera
533604	156767	The Girl
533605	5525	Mrs. Conner
533605	35482	Mrs. Midget
533605	40111	Mrs. White
533605	60162	Mrs. Monahan
533605	64930	Maria Barton
533605	66201	Mrs. Maile
533605	66859	Mrs. Cannatt
533605	92505	Mrs. Higgins
533605	107005	Mrs. Dorsey
533605	117647	Cook in 1917
533605	117976	Rose
533605	128194	Mrs. Beeler
533605	151339	Mrs. Beth Morgan
533605	162275	Mrs. Gogarthy
533605	163264	Mrs. 'Mac' McAvoy
533605	163576	Mrs. Hopkins
533605	163961	Martha Huntley
533605	165444	Bessie
533605	171251	Peggy
533605	174603	Mary Ellen O'Dwyer
533605	175835	Sister Martha
533605	178332	Old Meg
533605	186560	Bridget
533605	190060	Alma Lothian, Robert's Aunt
533605	190894	Mrs. O'Connor
533605	193375	Ellen
533605	193633	
533605	198023	Mary, Johnny's Mother
533605	203066	Woman at wedding
533605	219996	Grandmother McKinley
533605	220406	Landlady
533605	224421	Mrs. Brennan
533605	240812	Charwoman
533605	241788	Mrs. fogarty
533605	251835	Irish Woman
533605	261600	Mrs. Kelly
533605	278011	Maurya
533605	282565	Mrs. Morton
533605	284904	Bird Shop Customer
533605	301130	Mrs. Jonas
533605	304346	Mrs. O'Reilly
533605	309929	Miss Florence
533605	311250	Nurse Barker
533605	315520	Honoria Hegarty
533605	315993	Nona
533605	329438	Mrs. Cadogan-Lyon
533605	330664	Waitress in Tea Room
533605	334383	
533605	359171	Mrs. Michael Fitzpatrick
533605	368300	Mrs. Donohoe
533605	368621	Emme Stanger
533606	313975	T.V. Interviewer
533607	4935	Onoria
533607	272770	Paolina
533608	8990	Martine Vasseur
533609	27018	
533609	33943	
533609	242079	
533610	15041	Libra woman 3
533610	404466	Herself - Selwyn College Head
533611	68331	La lingère
533612	146838	Herself
533613	323153	Betty
533613	361229	Local Reporter Heather
533613	362216	Atlanta Teacher #1
533615	231525	Girl in Diner
533616	231525	Girl in Diner
533617	231525	Mother in Diner
533618	174665	
533620	211659	
533621	10144	Alceste
533621	46967	Fiorella
533621	195588	Princess Ninetta
533621	243380	La Musica
533621	252034	Mélisande
533621	377940	Lazuli
533622	204	
533622	36909	
533622	46693	
533622	91297	Ganadero 1
533624	403346	Herself/Various Characters (1
533625	187238	Aderishia
533625	201376	Okyo
533625	201377	Ohina
533625	204971	Jarna
533625	285922	Sakura Shinguji
533626	223324	Secretary
533627	71128	
533628	185255	Turkish passenger
533629	214815	Diner
533630	176967	Waitress
533631	62782	Jaylee Stanton
533631	315845	Murder Victim
533632	30583	FBI Agent
533632	80373	Mrs. Kimble
533632	82453	Deliverance Dancer
533632	196370	Pool Administrator
533632	301736	
533632	308084	Dancer #1
533633	35537	Reporter
533633	118948	Newswoman
533633	195395	Newscaster
533633	213466	News Reporter
533633	282147	TV Commentator
533633	318977	CNN Reporter
533633	340540	Cynthia Daniel
533633	362966	Reporter
533633	366954	Herself
533634	26831	Young Woman
533635	97492	Marissa
533636	97492	Marissa
533637	239032	1st Girl in Lounge
533637	402174	Voice
533638	1568	Herself
533639	77449	Meg Boyd
533639	117526	Herself (host (with Kukla and
533639	213579	Yum-Yum
533639	228969	Herself
533639	256343	Blue Haired Fairy Queen
533639	275368	
533639	383692	Fran
533639	386694	Aunt Fanny
533639	386859	Herself/panelist (1954)
533639	394879	Hostess
533639	402693	Hostess
533640	367073	Munchkin
533641	28309	Robin Woodbury
533642	269627	Dave's Girl
533643	27188	Mrs. Dixon
533643	47389	Alma Gamm
533643	74197	Irene Schullman
533643	81214	Marilyn Keller
533643	85054	Nell Lucas
533643	97503	
533643	99134	Mrs. Peters
533643	139236	Mrs. Steensma
533643	203361	Ellen
533643	314127	Florence Maguire
533643	316142	Mrs. Dempsey
533643	392177	Mrs. Stillman
533644	380713	Claire English Lowell Cassen 
533644	390771	Meta Bauer White Roberts Bann
533646	37965	Bingo Winner
533647	20540	
533648	40227	Kristl (P.A.)
533649	160832	Elizabeth Piper/Evetron
533651	368940	Eileen
533652	343160	Ad-lib Woman
533652	363282	Girl
533653	12236	Adrienne Le Blanc
533653	19949	Teddy Hayden
533653	37072	Eleanor Winthrop
533653	37471	Isobel Malvern
533653	47271	Mary Ellen Haley
533653	47464	
533653	50829	Alice Corbett
533653	56624	Fortuna Donnelly
533653	60177	Lilly Meany, aka Vashti Dethi
533653	64937	Elinor Voorhees
533653	67935	Patta Heberton
533653	79580	Mary Blake
533653	100858	Grace Wilson
533653	106293	Nancy Vane
533653	107407	Laura Bartlett
533653	114996	Claudia Bigelow
533653	116713	The Wife's Sister
533653	123292	
533653	132341	Katherine Strickland
533653	133769	
533653	133887	Corinne
533653	142253	Mary Manchester
533653	143224	
533653	143227	Kate Kendall
533653	144557	Lois de Contrecoeur
533653	150869	Martha Hobbs
533653	154721	Lael
533653	157679	Helen Corning
533653	162856	Maida Waring
533653	185124	Elsie Kirkwood
533653	190287	Helen Keating
533653	190862	
533653	203205	
533653	206382	Lady Kitty Bristol
533653	207194	Jill Jamison
533653	210797	Clare Pitt
533653	215432	Belle
533653	215974	Sadie Hicks
533653	241453	Linda Travers Paris
533653	244402	
533653	248846	
533653	251858	Peggy Ensloe
533653	255382	Diana Wynne
533653	265752	Ethel Manton
533653	276705	Mary
533653	279154	Rosalind Chalmers
533653	292675	
533653	292717	Loulie
533653	306750	Leonore Fielding
533653	317979	Virginia Houston
533653	327153	Grace Robinson
533653	328919	Mildred Vane
533653	337499	
533653	348468	Hortense Troutt
533653	358617	Kathleen Rutherford
533653	366333	Beatrice Buckley
533653	367648	Eva Lee
533653	368792	Rene
533653	372913	Molly Malloy
533654	29960	Jane
533654	141723	Sally
533654	164619	Hazel Gordy
533654	355212	Woman on Train
533654	389758	Beth Maza (II)
533655	62542	Norma
533656	35353	Woman #1
533656	56451	
533656	67569	Melanie
533656	211815	Florinda Beecham
533656	245236	Miss Fox
533656	269815	Nurse
533656	270484	Mrs. Spangler
533656	275319	Dr. Wexler
533656	282918	Pickup Man's Wife
533656	295461	Administrator
533656	305087	Waspy woman
533656	315298	Host
533656	321182	Surgery Nurse
533656	321660	School Principal
533656	359290	Maureen
533656	387309	Abby Cameron #2 (1966)
533656	389858	Dolores Moore (1982)
533656	399685	2nd Abolitionist
533656	400515	Barbara Lee
533657	3973	Milly Tanner
533657	46334	Blossom
533657	152220	Mrs. Sweet
533657	185736	Wheelchair Nurse
533657	243766	Dolly Hamma
533657	294795	Head Nurse
533658	168301	
533659	245016	Transvestite
533660	187328	Woman
533661	4946	Mary Lou Edwards
533661	16890	Mary Daniels
533661	52570	DOJ Voice
533661	197490	Miranda
533661	325279	
533662	131453	Waitress
533663	150948	
533663	302009	Young Marc
533664	204747	Sadie
533664	279489	Victim
533665	46804	Ellen Stanley
533665	393966	Ellen the maid
533666	75465	Joan
533667	273404	Child
533667	340975	
533668	1322	La Mere
533669	3088	
533669	92046	Louise
533669	100281	Noémie
533669	115360	
533669	118184	Mme Ruf
533669	118816	
533669	169346	
533669	201024	
533669	216217	Marie
533669	254966	
533669	255591	Adèle
533669	269145	Mme Delorme
533669	280551	Angèle
533669	328850	La voisone
533669	333772	Mme Duval
533669	346740	Eléonore, the maid
533669	354570	Gisèle
533669	357046	
533669	377238	
533669	385609	
533669	386476	Mme Fornier (segment "A brève
533669	389145	
533669	389271	(segment "Joseph")
533669	391927	
533669	391930	L'épicière
533669	396839	
533669	402357	
533670	104632	Herself
533671	170478	Inglesa
533672	40252	Annette Robertson
533672	176950	Buxom Blonde
533673	7011	Aunt Sally
533673	46321	Librarian
533673	98167	Neighbor
533673	137684	Mother Frump
533673	148947	Mrs. Sampson
533673	154529	Woman
533673	154702	Mama
533673	158067	Hysterical Widow
533673	175749	Meek Man's Wife
533673	192218	Little Red Walking Hood
533673	210393	
533673	231780	Cobina Gusher
533673	234889	Woman
533673	237007	Mother Kelp
533673	258048	Mrs. Mooney
533673	260683	Homeowner
533673	263969	Clarabelle
533673	279441	Homely girl
533673	303146	Ripple
533673	321379	Cobina
533673	331398	Eva
533673	360839	Mrs. G.
533673	372140	Second proprietor's wife
533673	381806	Elverna Bradshaw (1969-1971)
533673	382259	Cora Dithers
533673	401346	Selma Plout #2 (1966-1970)
533674	321511	Cobina, (as Brenda and Cobina
533674	333316	Cobrina
533674	360123	Elvira Allman
533675	381821	Ensemble (1985)
533676	241795	Receptionist
533677	149954	Host
533677	166566	Host
533677	272440	Host
533678	70970	Miss Ligaya/Cyborg 1/Cyborg L
533678	350245	Bob
533679	408704	(Episode 6: The Farmer)
533680	92556	Schwester Helga
533681	289331	
533682	111004	
533683	254002	
533684	202063	Mujer en la fiesta
533684	234390	Paula
533685	6907	Girl
533685	269305	Girl
533685	378830	Hostess
533686	68900	Alice
533687	318327	Lady at Fountain
533688	346670	Ramses
533689	104239	
533690	401744	Painted lady
533691	273872	Stacy
533692	92112	Girl Feeding Kerouac
533694	240612	Kate Robbins
533694	366777	Ashley Addison
533695	265100	Kid #3
533696	182987	Rape victim
533697	846	Herself
533697	16391	Herself
533697	110180	Herself
533697	168586	Herself
533697	240735	Councilwoman Gloria Johnson
533697	272602	Herself
533697	358783	Herself
533697	391781	Guest
533697	401998	Herself
533698	362192	Baby Jane Hudson, in 1917
533699	22645	Little sister in flashback
533700	394804	Herself - Meterologist
533701	40678	Dancing Girl/Housekeeper
533702	345748	Laura
533703	273188	Florence
533704	185850	Larry's mother
533705	136126	
533705	173353	Cecily
533705	382291	Const. Joanna 'Jo' Parrish (1
533705	399130	Samantha Spry (1995)/Shelley 
533706	336305	Girl in Car
533707	395875	Presenter
533708	162247	Little Stone
533709	356792	Student
533710	257264	Earring customer
533711	384212	Anne
533712	82735	Larissa/Dream Woman
533712	334117	Nurse Ratchett
533713	395647	Jeanne Marie (age 4)
533714	97713	Sophie - 1869
533715	290080	Samantha as a Child
533715	380344	Tanya
533716	149109	Dub's wife
533717	7130	
533717	11107	
533717	34768	Herself
533717	37448	
533717	39287	
533717	41587	
533717	42439	
533717	81807	
533717	81861	
533717	98175	
533717	134690	Alyssa
533717	139249	
533717	144568	
533717	177468	
533717	191356	
533717	197045	
533717	300524	
533717	306910	
533717	349969	
533717	354818	
533717	357150	
533720	108633	Ekdahlska huset - Fanny Ekdah
533721	150769	Denise March
533721	346838	Profiteer's Girl Friend
533722	5383	Genevieve Lang
533722	11385	Ray
533722	26627	Lola Butler
533722	32793	Mrs. Vivian Dawson
533722	59623	Janice Gage (daughter)
533722	64878	Nora Thompson, alias Nora Pag
533722	72452	Ethel Mitchell
533722	78528	Girl in Stoke-Hold
533722	86842	Cleo Marsh
533722	116217	Phyllis Crawford
533722	116527	Mrs. Iris Manning
533722	123848	Virginia Brandt
533722	128176	Mazie Williams
533722	133654	Nora, Bookstand Girl
533722	138230	Vivian Snowden
533722	139936	A party guest
533722	140757	Blonde
533722	142609	
533722	146751	Joyce Germaine
533722	148949	Fortune Teller at Egret Room
533722	160923	Phoebe Lane
533722	162387	Flo Lancert
533722	163225	Angela
533722	163476	Nancy Naylor
533722	183380	Chorus girl
533722	183846	Lola
533722	186771	Pat Danbury
533722	193740	Binnie Weldon
533722	195302	Linda Lee
533722	195303	Lois Clarke
533722	196099	Diane Audre
533722	209651	Violet
533722	210393	Gladys McClelland
533722	215002	Mrs. Zelma La Claire
533722	218511	Blondie Roberts
533722	221130	Susan Paine
533722	222628	Greta Barry
533722	224684	Lila Kane
533722	232000	Patsy
533722	233620	Gypsy Toland
533722	241557	Girl at Auction
533722	242110	
533722	266765	Yvonne
533722	275769	Mrs. Flora McKenzie Kane
533722	294919	Sigrid Hansen
533722	313301	Josephine Hall
533722	315791	Kay Swift
533722	330010	Girl
533722	346880	Sara Cochran
533722	351918	Iris Randall
533722	360166	Kate
533722	361819	Miss Brentino
533722	363960	Gertrude Mack
533722	367756	'Bubbles' Carson
533723	6010	Herself
533723	64801	Cheri
533723	335258	Stripper
533724	242724	Marge
533725	297759	Penny
533726	177204	Catherine
533727	390771	Hannah Gray (1994-1995)
533728	269847	Girl on sidewalk, opening sce
533729	277622	Literary Party Guest
533730	119001	Beddiferd Walton
533730	139264	
533731	147905	
533732	38136	
533732	105465	Woman 'A'
533732	141305	Miss Bennet
533732	145543	
533732	160324	Bertha
533732	190091	Casting Director
533732	198829	Scientist
533732	235061	Edna
533732	271063	Relative #1
533732	368342	Patty
533732	403509	Evelyn Lincoln
533733	242406	
533733	301493	
533733	318664	
533733	322736	Vera (episode: Vampira 2000)
533733	324847	
533734	130181	Barbara the Bait
533734	147644	
533735	11256	Mayor
533735	11688	Herself
533735	31058	Lt. Ruth McGara
533735	34650	Ethel
533735	38669	
533735	46739	Martha Terryton
533735	75530	Olga
533735	79305	Wilma Brown, Herman's girl
533735	86799	Harriet
533735	105729	Mary Blemond Walling
533735	128152	Specialty Solo
533735	128319	Dr. Emily Dunning
533735	129379	Helen Berger Miller
533735	131546	Connie Lane
533735	138700	Herself
533735	143191	Leslie Odell
533735	144764	Nancy Frazer
533735	160860	Helen Banning
533735	176392	Dorothea Powell
533735	178904	June
533735	188625	Monica
533735	192410	Josephine 'Jo' March
533735	208888	Pearl 'Butch' Brown
533735	209660	Annie
533735	223019	Barbara Ainsworth
533735	224137	Irene Bullock
533735	232017	Herself
533735	235465	
533735	242941	Kay Hilliard
533735	256933	
533735	264472	Princess
533735	274745	Kathleen 'Kathy' Maguire
533735	275391	Jody Revere
533735	278210	Pat O'Malley
533735	285654	Mary Hill
533735	291378	Herself
533735	292426	Penny Addams
533735	293109	Helene Spencer
533735	300312	Ann Downs
533735	302602	
533735	316205	Christina Beasley
533735	316444	Sally Holland
533735	316462	Ethel Stratton
533735	321496	
533735	329560	
533735	329562	Clip from 'Words and Music'
533735	329563	Herself
533735	329564	Herself (interview)
533735	330200	Mrs. Watkins
533735	331205	Cameo appearance
533735	331522	Constance Bonacieux
533735	331550	Marge Emery
533735	333054	Jane in 'Leave it to Jane'/Sp
533735	335725	Cynthia Potter
533735	342873	Patsy Deyo
533735	343133	Martha Canford Chandler
533735	348517	
533735	351169	Loretta Ochs
533735	367746	Katie Baxter
533735	368245	Guest
533735	372140	Ellen 'Ellie' Andrews
533735	387122	Herself/Host/Occasional lead 
533736	239867	
533737	84190	Mme Révérend (segment "Chère 
533737	400051	La secrètaire
533738	23632	Léonie
533738	25095	Une militante
533738	32012	Marguerite
533738	42381	Martine
533738	45769	Marie-Fraise
533738	55723	Marion
533738	58846	Jeanette
533738	59056	
533738	63683	Rosine
533738	65086	The prostitute
533738	68702	Bambi
533738	71972	Nicole
533738	101255	Yvette
533738	108897	Herself
533738	133183	Françoise
533738	139816	La femme de l'agence
533738	167168	Juliette
533738	169156	Dolly
533738	170926	Taty
533738	183735	Pantoufle
533738	189534	Mietzi
533738	205647	Chantal Dupré
533738	216003	Dr. Corbin
533738	219018	Agnès, la mère
533738	228915	Simone Lagrange
533738	243212	Rita Arnould
533738	250902	Joanna
533738	265350	Herself
533738	294372	Ginou
533738	294814	Mme Blondeau
533738	296049	Ginette
533738	305555	Catherine
533738	307479	Jeanne
533738	327556	
533738	336990	
533738	344631	Catherine
533738	345195	L'hôtesse
533738	346743	Madame Reynolds
533738	348647	La femme-taxi
533738	354661	Colette
533738	356496	Rita
533738	377472	Young Woman
533738	377793	Didi
533738	380058	Fancho
533738	383178	Mireille
533738	387659	Adèle
533738	396307	
533738	399082	Ginou, la serveuse (1989-)
533738	402622	Mme Ganticoeur
533738	412254	
533739	199519	
533740	85042	
533741	142214	Städfru II
533741	174726	Ann-Marie
533742	85195	
533742	309064	
533743	24722	Léda
533743	58234	
533743	70522	
533744	4773	
533744	40309	Helga Reich
533744	46857	Dutch villager
533744	86584	Els
533744	87414	Salvation Army Collector
533744	90829	Moeder
533744	95715	
533744	114978	
533744	141734	
533744	142677	Moeder overste
533744	158693	
533744	173736	
533744	210954	Fanny Beekhuis
533744	242384	
533744	253887	
533744	283040	Belle
533744	307288	
533744	333742	Edith Vieren
533744	352677	Moeder
533744	376246	
533744	394612	Mevrouw Buwalda
533745	208851	
533745	247150	
533746	107982	
533746	223484	
533746	317357	
533747	349584	
533748	75649	
533748	87744	
533748	88986	
533749	262720	Mother
533750	109948	Farmer 3
533750	121294	Girl
533751	381910	Herself (Series 5) (2004)
533752	395865	
533753	247462	
533754	103052	
533755	7367	
533755	8655	Ziva
533755	9679	Paula
533755	31473	Clara
533755	32615	
533755	46621	
533755	48417	Mary
533755	60096	Daliah
533755	78001	Zvia Yisraeli
533755	90768	
533755	98658	Margo
533755	103016	Ruti
533755	103343	The Judge
533755	104468	Mother
533755	105185	Lea
533755	117967	Margot
533755	137888	
533755	140056	
533755	140426	
533755	142251	Nuhad
533755	156929	
533755	174909	Mother
533755	182307	
533755	189059	Yona
533755	193049	
533755	198936	
533755	202435	Margalit
533755	208138	Tamar
533755	216406	Nurit Aviv
533755	220136	
533755	281834	Ruth Levi
533755	286107	Bathsheva Sosialit
533755	296560	Mother
533755	334524	Amina
533755	340918	Yasmin
533755	367443	Deborah
533755	393031	Neomi Roth
533755	398030	Herself
533756	158462	María Teresa 'Mate' Mirabal (
533757	324840	Janine
533758	158141	Bank patron
533759	79982	Arezou
533760	289090	Scary Photographer
533761	112644	
533762	155248	Additional Soul
533763	221739	Monja
533764	291626	
533765	6642	Secretaria de Andrés
533765	221752	Charo
533765	269976	Estibaliz
533765	273074	María Luisa
533765	307125	
533765	379100	Eva Rovira
533766	75496	
533767	18479	
533767	109625	
533767	275090	María de Molina
533768	74281	Voodoo Dancer
533769	51321	Elvira
533770	171382	
533771	327443	
533772	293732	Lauren
533773	70065	
533774	401468	Jente i fengslet
533775	87948	Inger Dahlberg
533775	184247	Lambi girl
533775	307508	Woman
533775	320200	Nurse
533776	27609	
533776	30869	
533776	61247	
533776	106044	
533776	137594	
533776	153305	Carol
533776	183907	
533776	198942	
533776	288277	
533776	320368	
533776	321953	Tanya Gomez
533776	341564	
533776	404050	Joey
533776	407943	
533777	200184	Precia
533778	349750	Emilia
533779	91024	Yuma
533780	83487	
533781	231456	
533782	260429	
533782	308749	Herself
533782	369982	(group 'Paquitas')
533782	411597	Pituxita
533783	109948	Irmã Jacinta
533784	114806	
533785	401944	
533786	119001	India
533787	386726	
533788	103857	Joana
533788	234623	Sonia
533788	276294	Amiga
533789	163735	
533790	84052	Herself
533790	387431	Herself
533790	391449	Contertulia
533791	6994	Backup singer
533791	108288	Nurse
533791	120122	Kate
533791	183590	Female Guard
533792	278585	
533793	17932	Hélène Santos
533794	341088	
533795	146700	
533796	352632	Gambler
533796	391673	
533796	395302	Estela Monteiro Fernández
533796	398501	Vida 'Vidinha' Nogueira Ribei
533796	401900	Natália Trajano
533796	402086	Luiza
533796	409419	Adelaide Guerrini de Andrade
533797	279701	Luciana
533798	126606	Lapdancer
533799	30275	
533800	34023	Dancer
533801	57287	Tânia
533802	400445	
533803	273724	
533804	110666	
533805	267251	
533806	400217	Sofie Mascini (1997-1998)
533807	14942	Julieta
533807	83776	Adriana
533807	205664	Young nurse
533807	209736	
533807	296154	
533807	351569	Claudia
533807	404701	
533807	407862	Luisa
533808	243347	
533808	244248	Rosita
533808	344922	
533808	405398	Ana López
533809	29619	
533809	310499	Diplomat's Wife
533810	201346	Majorette
533811	105280	Nanny
533812	28323	
533812	124597	
533812	377164	
533813	237897	
533813	353349	
533814	86432	
533814	96170	La concierge
533814	238463	
533814	284271	Soeur surveillante
533814	337734	
533814	409531	Marrineau
533815	377336	Script girl
533816	148036	
533817	19748	Mestra
533818	7545	Mrs. Gordon
533818	7809	Annie
533818	58811	
533818	62525	
533818	80841	Rachel
533818	114367	Jennifer Matherson
533818	130327	Ms. Meyers
533818	130437	Bonnie Bruckner
533818	136970	Ellen Bark
533818	158390	Mrs. Carwine
533818	189265	White Nursing Sister
533818	202137	Eleana
533818	271206	Libby Evans
533818	294519	Helene Gilbert
533818	296687	Tamara
533818	296688	Catherine Reynolds
533818	312962	Jeweled Lady
533818	317351	Patti Clark
533818	330771	Betty
533818	342560	Sophie
533818	343147	Angela Poppy
533818	350622	Eileen Fry
533818	375936	Female Gossip #2
533818	380869	Myriam Parker
533819	68382	Miz Duras
533820	25320	
533820	54142	Il Segretario
533820	158704	Dorotea D'Andrate
533820	252772	
533820	270805	
533820	315423	
533820	336605	
533820	377594	
533821	23959	Michalina
533821	146780	Club Girl
533821	228185	Nate's Mom
533821	321917	Hector's Date (Michalina)
533821	379716	Nurse (2003-present)
533822	213389	
533823	237544	Queen
533823	249872	Musica
533824	193483	Profesora Colegio
533825	77228	Isabella Schetti Marazzani
533825	277737	Elena
533825	279039	Signora Schomberg
533825	307455	
533825	349522	Bettina
533826	13455	
533826	21397	
533826	33658	
533826	51657	Sophonisba, Hasdrubal's Daugh
533826	62335	
533826	73049	
533826	94641	
533826	108583	
533826	111144	
533826	111146	
533826	112660	
533826	126314	
533826	141789	Hedda Gabler
533826	159899	Mara Flores
533826	162428	
533826	199041	
533826	199061	
533826	199067	
533826	206603	
533826	206697	
533826	207069	
533826	207775	
533826	207967	
533826	240272	
533826	243633	
533826	250703	
533826	255100	
533826	307061	
533826	314046	
533826	338650	
533826	341416	
533826	344596	La colonella
533826	375218	
533827	212337	Herself - Participant/Perform
533828	289212	
533829	279808	Silfverdahl
533830	319088	Anna Andersson
533830	406946	Anna Andersson (17 episodes)
533831	391835	Talking head/soundbites (segm
533832	128062	Efrat's Co-Worker
533832	243984	
533832	375644	Nitza
533832	379200	Host
533834	164539	Mary Jane Kelly
533835	80768	Suzy
533836	304889	One of four children at beach
533837	311608	Gertie
533837	370585	Neighbour
533838	83899	Hooker
533839	11624	
533839	22037	
533839	169453	Christina
533839	402338	
533840	159172	Flower Girl
533841	270346	Ghetto Victim
533842	236404	Evelin
533843	71687	Tina Tamina
533844	54921	Swift Heart Rabbit
533844	54922	Friend Bear
533844	54923	Swift Heart Rabbit
533844	379644	Additional Voices
533844	383462	Swift Heart Rabbit
533845	367271	Bearded Lady
533846	314958	Mrs. Nilsson's daughter
533847	116454	
533848	378897	Annika
533849	268351	Vera Tretiakova, school girl
533850	11987	Eva
533850	40915	Ruth
533850	96431	Clara
533850	100245	Clara Nilsson, Erik and Frida
533850	101641	Eva Gregers
533850	101976	Anna
533850	116455	Ingrid
533850	130071	Laura Ask
533850	135700	Renée
533850	138504	Eva Falk
533850	138525	Blenda
533850	140392	Mrs. Anna Persson
533850	140424	Gabriele
533850	147011	Albert's Sister
533850	153899	Waina
533850	154209	Blanche
533850	168511	Amelia's friend in England
533850	173143	Miss Fargan
533850	198017	Nelly
533850	213936	Asta
533850	214058	Agnes Friedman
533850	225333	Tora
533850	266364	Mari
533850	268339	Inga
533850	304142	Karin
533850	308443	
533850	322284	Karin
533850	322308	Annikki
533850	343711	Helga
533850	357778	Karin Larsson
533850	377399	Gudrun Lunde
533851	4664	
533852	146845	Ester
533852	354052	Ada
533853	271262	Catherine
533854	20855	Tonica
533855	91361	
533855	379583	Blanca
533855	379853	
533855	380578	
533855	384119	Chiche Bustamante (2000)
533855	384775	(1997)
533855	385859	
533855	387573	Carmen
533855	396646	
533855	396860	
533855	397119	
533855	401913	Noemí
533855	403021	Ayerza (2002)
533855	405788	Mirtha
533855	407647	
533855	409957	
533855	410453	Coca
533856	15887	Ensemble Vocals
533856	17751	Mrs. Pugh
533856	189982	Billy's Mama
533856	308634	Belle Archie
533856	330610	Bridget's Mom
533857	5360	Doris
533858	144410	Landlady
533858	294922	
533859	83158	
533860	1688	
533861	76050	
533862	17540	
533863	43109	Mom
533863	59539	Donna Lucia
533863	99741	Eve/The slave's wife/Lucia/Ju
533863	110704	
533863	136576	Annuska, Gál felesége
533863	140671	
533863	153859	Mrs. Lichnowsky
533863	155617	
533863	155796	
533863	175701	
533863	175753	Erzsébet
533863	200606	
533863	225695	
533863	266473	
533863	322246	Guinerva
533863	324097	
533863	350834	Tóth, Eszter
533863	357716	Magda II
533863	378283	
533863	382544	Bodó Ilona (Parázs)
533863	412293	
533864	96430	
533864	149918	Woman
533864	176285	
533864	180187	Erzsi, a bandafõnök felesége
533864	180344	Older woman
533864	225077	
533864	227533	
533864	278687	
533864	282124	Hajkóné
533864	322251	Mrs. Schmidt
533864	361533	Aunt Piri
533865	12520	Herself (wife)
533866	147005	Young crying girl
533867	182302	Lilly, Viola's sister
533868	254250	Thea
533869	240540	
533869	345005	Fatma
533869	371562	
533870	11189	Peg
533870	46427	Mrs. Jackson
533870	120459	Pamela (segment "Gate Crasher
533870	138698	Frances
533870	238991	Flo Smith
533870	263609	Maria Huxley
533870	308369	Ruth
533870	362772	Sue Kirkside
533870	369184	
533870	384333	Angela
533870	385920	Wendy
533870	387533	Susan Haskell
533870	398990	Madame Tallien
533870	403112	Charlotte Gaunt
533870	403806	Angela Conroy
533870	405993	Wendy (1987)
533871	93345	Dancers
533872	11135	
533872	42790	
533872	332739	
533872	332740	
533873	287858	
533873	287883	Agent X-25
533874	201347	Norma Anglada
533874	240390	Old Woman
533874	396544	Norma Anglada
533875	238552	Alicia
533876	258313	Un élève de la 4e techno
533877	276270	His Girlfriend
533878	154913	Dance Specialty
533879	23503	
533879	33675	
533879	58049	
533879	127933	
533879	158769	La signora Tremblet
533879	243304	
533879	252579	
533879	336621	Baronessa Renata Francesca
533879	341485	
533880	377466	
533881	378971	Amarilis
533881	380249	Julie
533881	398471	Ivonne
533881	401905	
533882	281226	Ms. Passbinder
533883	31622	Herself
533884	405104	Herself
533885	188933	Ilona's mother
533886	407831	Singing Soldier
533887	8653	Micky
533887	137139	
533887	174997	Himself
533887	175001	Herself
533887	233259	Roza
533887	391279	
533888	212819	
533889	187696	
533890	5980	Sylvie
533890	180948	The Angel
533890	203242	
533890	301152	Woman
533891	148053	
533892	384795	Leo (2001-2002)
533893	68422	Mina
533893	105550	Stéphanie
533893	247020	
533893	248902	Inès
533893	346526	Lydie
533893	371537	Rebecca
533893	380501	Claude
533893	384755	Substitut du procureur
533893	386154	Isabelle Walker Calvet
533893	387657	
533893	392894	Inspecteur Florence Moretti
533893	396864	Marie Fransson (1999-2001)
533893	404258	Carole Duplessis
533893	409529	
533894	10817	Herself
533894	10821	Herself
533894	128944	
533894	262983	Herself
533895	156018	Gémela 1
533896	384972	Sílvia
533897	53856	
533897	209038	
533897	383250	Amalia Martinez
533898	287414	
533899	14775	Maribel
533899	42577	La Mujer del Pañuelo Rojo
533899	45193	Recepcionista
533899	55377	Ágata
533899	70684	Nuria
533899	71282	Nena Colman
533899	73277	María
533899	103811	Concha
533899	118155	Herself
533899	118156	Herself - Winner: Best TV Act
533899	118158	Herself - Co-Host
533899	146482	
533899	148172	Pelirroja
533899	150653	Mavi
533899	156087	Herself - Host
533899	163879	Herself - Host
533899	163980	Herself - Presenter: Best Sup
533899	176630	Amparo
533899	189026	Florinda
533899	220755	Bella Mabel
533899	221963	Rocío
533899	259959	Agatha
533899	279839	
533899	339229	Marga
533899	341382	Lola
533899	354265	Herself - Presenter: Best Cos
533899	369437	Herself - Presenter: Best Cin
533899	369754	Herself - Presenter: Best Cos
533899	369989	Herself - Presenter: Best New
533899	369994	Herself - Presenter: Best Ani
533899	369999	Herself - Performer
533899	376743	
533899	378929	Diana Freire (2000-)
533899	383271	Rosa
533899	384852	Luisa
533899	384916	Teresa
533899	388889	Herself - Host (1997)
533899	391441	Hermana Sofía
533899	395059	Prudencia (Pruden) Smith
533899	397824	Herself - Host
533899	399932	Herself - Host
533899	401071	
533899	401187	
533900	83858	
533901	28010	Carlota Serrano de Durazo
533901	64043	
533901	70686	
533901	80239	
533901	106994	
533901	123544	
533901	131060	
533901	132704	
533901	142740	
533901	169775	
533901	198200	
533901	209079	
533901	212354	
533901	233624	
533901	239271	
533901	245583	
533901	265535	
533901	277369	Dona Chonita
533901	287446	
533901	288802	
533901	296125	
533901	302981	
533901	302983	
533901	351781	
533901	355781	
533901	371343	
533901	380084	Terencia
533901	380095	Gudelia
533901	384864	
533901	387685	Prudencia
533901	389639	
533901	395885	Herminia López
533901	399570	
533901	400792	Gumara
533901	402219	Imelda Salazar
533901	409289	Vicentaa
533901	410081	Bertha
533901	412184	Felicitas
533902	412304	
533903	208191	
533904	146570	Carmina Alonso, colaboradora 
533905	49696	Steven's wife
533905	71011	Dolores
533905	124426	Carmensita
533905	135153	Un'ausiliaria
533905	199064	Queen Capys
533905	199065	Queen Smedes
533905	219242	Concepcion
533905	229620	Eric, Slave Dancer
533905	235746	
533905	269184	
533905	270833	Maria Celeste Cortez
533905	273453	Suleima
533905	274896	Tanya, Queen of the Tartars
533905	290895	Princess Miriam
533905	301374	
533905	315816	Stella Von Kruger
533905	328623	Londo
533905	328627	Karima
533905	341738	
533905	361802	Herself
533906	392080	Herself
533906	412125	
533908	42648	Josefina
533908	134504	
533909	5332	Lisa
533909	39627	June
533909	277526	Rena
533909	380713	Pilar Domingo #2 (2004)
533910	14921	
533910	100334	Laura
533911	271344	Church Choir
533912	6497	
533912	193144	
533913	52974	
533913	67212	
533913	88215	
533913	121251	
533913	132698	
533913	137027	
533913	151797	
533913	237617	
533913	244610	
533913	272640	Simeona
533913	378451	
533914	19382	
533914	52110	Gloria
533914	74552	
533914	75622	
533914	82250	
533914	236742	
533914	248075	
533914	251565	
533914	293372	
533914	339146	
533914	376792	Ruth
533915	80104	
533916	155666	
533916	215219	
533916	397590	Lucrecia Ferrer
533916	402301	Olga
533917	400149	Herself (2000-)
533918	16809	
533918	339146	
533919	390443	Karola
533920	353612	Sole
533921	52779	Carmela
533921	236026	Novia 1
533922	53659	
533923	301172	
533924	12111	
533924	14932	
533924	16781	
533924	20712	
533924	34555	
533924	56290	
533924	56351	
533924	57245	
533924	57878	Mendiga
533924	63898	Matilde
533924	84012	
533924	96303	Doña Paula
533924	101046	
533924	115732	
533924	115828	
533924	236301	
533924	238514	Gwendolina
533924	281243	
533924	320215	
533924	355944	
533924	371271	Vecina
533924	371778	
533924	380578	
533924	383291	
533924	388584	
533924	391443	
533924	398476	
533924	398661	
533924	398842	
533924	405407	
533924	408204	
533925	160131	
533925	285240	
533927	1701	Herself - Presenter
533927	6023	Eva Ramirez
533927	9660	Herself (Hostess)
533927	9719	Herself/Hostess
533927	34611	Maria Katarina Caldone
533927	38673	Lupe Velez
533927	40089	Annette
533927	40676	Adriana
533927	56955	Charley
533927	57102	Betty
533927	58481	Vice-president Valdez
533927	59885	Maria
533927	66593	Rachel
533927	67445	Louisa Gomez
533927	68696	Vera
533927	68952	
533927	69130	Herself (Presenter)
533927	74854	Claudia
533927	74883	Caterina Ammirati
533927	86752	Lola
533927	96557	Herself
533927	106157	Nancy Drake
533927	106391	Sarita Cisneros
533927	113553	Claudia Pazzo
533927	117292	Theresa Rochetti
533927	134498	Miranda Vega
533927	141236	Mrs. Jones
533927	144863	Helen Ramirez
533927	151071	Tránsito Soto
533927	179017	Carmen Alvarado
533927	185950	Herself
533927	199114	Cindy Evans
533927	205527	Herself
533927	208871	Christina
533927	215522	Herself
533927	219692	Lucia Lombardo
533927	224027	Toni Diaz
533927	231079	
533927	262647	Leona
533927	264131	Minerva Rojas
533927	276838	Lupe Velez
533927	281512	Chata
533927	283543	Amber Mendez
533927	307697	
533927	318181	Marta Caldwell
533927	326460	Carmen
533927	329058	
533927	336654	Denise DeLeon
533927	350221	Alva Restrepo
533927	355343	Gloria
533927	379615	Alejandra
533927	379898	Herself
533927	380251	
533927	384424	Claudia
533927	387846	
533927	387886	
533927	390567	Herself (Hostess)
533927	392464	Herself (3rd Celebrity to Lea
533927	394510	Ariela
533927	396213	Luz Marina
533927	396872	Marielena
533927	397582	
533927	398904	
533927	399026	Mariana Brito
533927	400250	Maria Conchita Navarro (1989)
533927	410546	Herself
533928	392751	
533929	8537	
533929	183483	
533929	193016	
533929	261672	
533929	352151	
533930	247458	
533931	233974	
533932	156018	Gémela 2
533932	197976	Empleada grandes almacenes
533932	236026	Sonia
533932	356466	Condesa de Chinchón
533933	284209	
533934	87136	
533935	302896	
533936	1136	
533936	15319	
533936	37912	
533936	46658	Clementina
533936	51361	Giovanna
533936	55925	Moncha
533936	58145	
533936	61203	
533936	62763	
533936	70990	
533936	96360	
533936	135922	Dona Maria de Castellar
533936	145197	Dorothy
533936	152265	
533936	170237	
533936	197452	
533936	205429	Margarita Rodríguez Garcés
533936	212402	
533936	220193	Claudia
533936	225017	Isa Bustos
533936	231601	Mercedes
533936	238755	
533936	249301	
533936	249872	Betty
533936	307466	
533936	318006	
533936	334692	
533936	341648	
533936	349928	
533936	376641	
533936	384423	Gaby
533936	387127	
533936	388442	Begoña
533936	407305	Asunción
533937	101171	
533938	979	Draga #3 - "spanish fly"
533939	6477	
533939	6561	
533939	12123	
533939	145267	
533939	151794	
533939	193067	
533939	206987	Beatriz
533939	215219	
533939	222822	
533939	235987	
533939	273960	
533939	371742	
533939	377175	
533940	82589	
533941	410082	Blanca
533942	204643	Susana
533943	160535	Marina
533943	310073	Dancer
533944	379252	Viviana Moller
533944	380074	
533944	383812	
533944	383867	Magdalena
533944	387475	Adriana
533944	390459	
533944	392959	Ana María
533944	396925	Isabel Arrieta
533944	399612	Flavia
533944	402193	Milagros
533944	404707	Luzmira
533944	409283	
533944	410201	
533945	213389	Amiga de Carmen
533946	3477	
533946	48185	
533946	53639	
533946	55372	
533946	61149	
533946	61346	
533946	68993	
533946	69767	
533946	74649	
533946	87050	
533946	88196	
533946	91299	
533946	103186	
533946	108842	
533946	114881	Esmeralda
533946	145260	
533946	153334	
533946	190424	
533946	193083	
533946	194098	
533946	205690	
533946	221999	
533946	233901	
533946	240301	Clelia Valdameri
533946	246420	
533946	252541	
533946	257899	
533946	275952	Herself
533946	282141	
533946	292705	
533946	292747	
533946	294506	Pilar
533946	337952	
533946	348935	
533946	350259	
533946	350662	
533946	351997	
533946	370068	
533946	370156	
533946	371682	
533946	376693	
533947	233976	Loli
533948	100520	
533949	73735	Mary
533949	148615	Soprano
533950	74842	Clienta banco 2º
533951	148115	
533952	221174	Couple on Train
533953	3378	Housekeeper
533953	4528	Miling
533953	129123	
533953	173094	
533953	190079	
533953	190695	
533953	198718	
533953	199155	Marla
533953	200160	
533953	216111	
533953	256888	
533953	257716	
533953	264782	
533953	277108	
533953	284642	
533953	285859	
533953	286583	Tita Mona
533953	307719	
533953	323059	
533953	357966	Alice
533953	359356	Aling Gilay
533954	263372	La serveuse
533955	288113	Lottie
533956	327563	
533957	89764	
533957	223936	Bianca
533957	236108	Betsy Rallos
533957	394005	Dianne
533957	394247	Katrina Argos
533958	39984	Herself
533959	383111	Herself/Panelist
533960	79116	Lucila
533960	300623	Roma
533961	85084	Emilia
533961	365412	Nori
533962	179445	Anna
533963	323060	
533964	20625	Extra
533965	343907	Mike's girlfriend
533966	277064	Marney
533967	2007	Nancy
533968	132923	Friend at café 2
533969	192939	
533970	385151	Additional Voices
533971	11745	
533971	70434	
533971	97919	
533971	124914	
533971	149882	
533971	156213	
533971	177894	
533971	217202	
533971	227965	
533971	284812	
533971	357599	
533971	370270	
533971	371397	
533971	374319	
533971	377499	Nimet
533971	378258	
533972	28433	Anita Helling
533972	86261	Eva Petri
533972	87840	Marguerite Salvini
533972	105302	Rita Bonya
533972	114851	Opera Singer
533972	128997	Gitta
533972	135584	Marguerite Salvini
533972	154237	Jeanne, Madame DuBarry
533972	221140	
533973	124359	
533974	78793	Little Girl with Slide Whistl
533974	97890	Kettle Child
533975	29101	Aunt Sara
533975	248431	Old Lady #1
533975	319416	Nun
533976	165322	
533977	22107	Ayse Melek
533977	380746	Ayse Melek
533978	140966	Girl Optician
533978	338155	Jean Clark
533979	137195	Temp #1
533980	18635	Real Estate Agent
533981	339699	Kind
533982	33589	Herself
533982	403933	Julie
533983	89818	
533984	93159	Leah
533985	390523	Pamela Cartwright (1981-1982)
533986	123339	Cole
533986	140938	The Image
533986	310419	Kasey
533986	319486	Waitress
533986	330410	Violet
533987	387150	Jenny Beckman
533988	308382	Raider
533988	343160	Chorus Girl
533989	192779	Bar Patron
533990	92593	Angela
533990	319175	Michael's Secretary
533991	319218	Herself
533992	359444	Ina
533993	17586	Aliki
533994	5157	
533994	40564	Jocelyne
533994	43150	
533994	100364	La patronne du restaurant
533994	113139	La logeuse
533994	116434	
533994	174237	Mado
533994	220334	Hani
533994	234573	
533994	284242	
533994	292364	
533994	332216	Chloé
533994	353965	Eugénie, la quimboiseuse
533994	393769	
533994	402531	L'infirmière
533995	217835	Une invitée
533996	158877	Une petite fille de Raoul
533997	48570	Young girl
533997	82227	Herself
533997	154864	Usherette
533997	155586	Messener girl
533997	168741	McCandle's Secretary
533997	184826	Waitress
533997	188547	
533997	196404	Receptionist
533997	198539	Secretary
533997	212196	
533997	224610	Miss Buckley [Ch.9]
533997	231964	
533997	303528	
533997	308079	Model
533997	308605	Native girl
533997	329031	Herself (member, Corral Cutie
533997	333319	Miss Weber
533997	348328	Guest
533997	360632	Secretary
533997	361628	
533997	364037	Cynthia Bradford
533997	371316	Mrs. Tascarelli
533998	132174	Mutter Glitter
533998	156711	Hausdame
533998	284417	
533998	290105	
533998	365920	Melanie
533998	378648	Sofie Ratzenheim
533998	409958	Barbara von Anstetten, geb. v
533999	99327	School Teacher
533999	232297	Syla
533999	250448	Sue
533999	295557	Julie
534000	88102	Piquette's Baby
534001	351863	Julia Enfant
534002	263709	The little girl
534003	354373	
534004	399640	
534005	274344	Canoer
534006	320475	
534007	22032	
534008	50373	
534008	133921	
534008	220364	Herself
534009	104965	Cowgirl
534010	108543	Lison
534011	373845	
534012	20860	La mère
534013	20800	Benedetta
534013	57289	Muriel Picoche
534013	63954	Une psychologue de la DDASS
534013	65222	Martine
534013	91727	Clo
534013	94244	L'amie de Véronique
534013	94360	Marion
534013	146430	Caroline
534013	158877	Catherine
534013	170433	L'infirmière
534013	189347	Shéhérazade
534013	214869	
534013	219460	Sylvie
534013	225003	
534013	235825	Patricia
534013	240430	Agnès Pochet
534013	241878	La comtesse
534013	265797	Marie-Claire
534013	266746	Françoise Dubois
534013	268457	Liza Bérian
534013	268820	La Presidente
534013	276991	Sylvie Noec
534013	290283	Anna
534013	322581	Isabelle
534013	327889	Christine Vallier
534013	338003	La belle partouzeuze
534013	345445	Béatrice
534013	351697	Muriel
534013	382471	Franchette Cambrèze
534013	388868	Julie Manzoni
534013	391634	Paula (segment "Un rêve")
534013	397984	Diane Delorme
534014	331601	
534015	144103	
534015	156983	
534015	175289	
534016	278497	Passerby
534018	209224	Necking Girl
534019	155638	Fanny Volant
534020	236972	Servant Child
534021	280474	Yegor's mother
534022	60881	
534023	137300	Mohamed's Daughter
534024	72827	Schoolchildren
534025	84186	
534026	34564	Alexandra
534026	220755	Corista
534027	75558	Muddydoch
534027	122109	
534027	127102	Greta
534027	387049	Ayuko Rara
534027	394427	Topp
534028	43085	
534029	93512	Kendall
534030	26559	L'amie d'Elsa
534030	105456	Teacher
534031	11605	Motherless Child
534033	192827	Nina Andersson
534033	234664	Nina Andersson
534033	330562	Nina
534034	115389	Pia
534034	147009	
534034	204540	Kristina
534034	248425	
534034	320512	Sandra
534035	208719	Contralto in 'Success' Montag
534035	281696	Soloist in 'I've a Strange Ne
534036	53821	Henrietta Mosely
534036	143829	Girl Friend
534036	165976	Additional Voices
534036	282022	Greta
534037	371374	Extra
534038	107103	Dorothy Harris
534038	137657	Mrs. Darlene Carruthers
534038	137658	Mrs. Darlene Carruthers
534038	300893	Belva
534038	366777	Mrs. Ramsey, the Principle
534039	7018	Little Girl
534040	105890	Mrs. Kintry
534041	171485	Bikini Girl
534041	230531	Party Goer
534041	329757	Farmer
534041	405038	Lucille
534042	265598	Dee
534042	309809	Mrs. Johnson
534043	188278	Herself
534044	93526	Kylle Hvidmann
534044	215073	Hanna
534044	242715	Rikke
534044	306382	
534044	354365	Viktoria
534044	393861	Henriette ('Henry')
534044	405567	Henriette ('Henry')
534045	172983	Marguerite Gauthier, 'Kamelia
534045	284404	
534046	212333	Herself - Participant/Perform
534047	34446	
534047	135714	Berit
534047	298474	Veronika
534047	381311	Glenn's Crush
534047	381706	(episodes 1-5, 8, 9, 12)
534047	396250	Carolina Ekencrona
534047	405593	Betty
534047	410280	Magdalena Gren (1997-1998)
534048	3182	
534048	207225	
534048	237245	Girl #1
534048	403084	Lina Dahlén (1996-1997)
534048	410462	Madeleine Åqvist (1997-1998)
534049	17740	Barbara/Sally
534049	35680	Christine Sanders
534049	50972	Sandra
534049	51977	Herself
534049	52828	Herself
534049	55725	Herself
534049	56870	Trish Gannon
534049	72465	Dana Townsend
534049	80809	Saundra
534049	94735	
534049	146927	Marie
534049	151228	
534049	161217	Herself
534049	194217	Herself
534049	194219	Edy LaFontaine
534049	208094	Phoebe Lynn
534049	213381	Marina
534049	213884	Betta
534049	219525	Alma Rossetti
534049	223713	Judy
534049	243789	Alice
534049	255469	Veronica Flame
534049	257017	Marina
534049	260950	Elite Model
534049	264785	Gloria
534049	266051	Agent Monica McBride
534049	277010	Cindy Bolton
534049	278480	Tanya
534049	301398	Linda
534049	305949	Lori Dale
534049	315544	Grace
534049	332018	Kate LaRue
534049	332020	Kelly LaRue
534049	332021	Kelly LaRue
534049	339071	
534049	351526	Nancy Pertinace
534049	351534	Nancy
534049	353078	Margherita
534049	356013	Rosa
534049	379935	Karen Oldham
534049	383385	Carol Greshner (1987)
534049	390498	Anna Capilupi
534049	397920	Stella
534049	401148	
534049	402180	Catherine Saunders
534049	406004	Monica Marini
534049	408155	Kelly LaRue
534049	410546	
534050	179760	Arabella
534051	14587	Herself
534054	145415	Couch Girl #2
534055	14789	Lina
534055	71122	
534055	85582	
534055	100768	Sister Genevieve
534055	101894	Monja 2ª
534055	104008	
534055	109422	
534055	120706	
534055	121254	
534055	146568	Compañera de redacción
534055	148108	
534055	149904	
534055	170044	
534055	170050	
534055	189480	Barbara Leroux
534055	192983	
534055	221963	
534055	236021	
534055	244640	Mademoiselle tys
534055	255488	
534055	274481	
534055	334685	
534055	343629	Profesora
534055	377174	
534055	399807	Ximena
534055	402238	
534056	43198	
534056	60453	
534056	89803	Lyubov Ivanova
534056	129337	
534056	162677	
534056	180361	Asirk
534056	188004	
534056	206931	Ttushka-Nepogodushka
534056	207107	Vera
534056	219426	Stepmother
534056	238843	Baba Yaga
534056	244190	
534056	258436	
534056	258715	
534056	278358	
534056	294653	
534056	299428	
534056	306104	
534056	320668	Klava, a roommate
534056	323349	
534056	348570	Kostya's Girl
534056	349304	
534056	350728	Veselushka
534056	351020	Wife of Panas
534056	371425	
534056	373560	
534056	374765	
534056	374838	Katya's mother
534056	375674	
534057	359984	Carrie
534058	324448	Dancer: Esto es tango
534059	81640	
534059	227024	Miss Spain
534059	232933	Receptionist
534060	17135	
534060	43664	
534060	169783	
534060	317680	
534060	386167	
534060	387550	Pachita #2
534060	388568	
534060	398481	Balbina
534060	401695	
534060	401898	
534060	408721	
534061	59703	Charlotte
534061	226487	
534062	202839	
534063	48007	
534063	51339	
534063	89769	
534063	94905	
534063	279684	Gogo
534064	5131	Gülizar
534065	378216	
534066	350970	Dashteryata/The Daughter
534067	18973	Mira Meissner
534067	26241	
534067	91087	Rita
534067	124460	Denise
534067	125115	Lydia
534067	126384	
534067	168160	
534067	179875	Croatian Tourist
534067	189624	
534067	204921	
534067	213697	Maria
534067	248508	Lulu
534067	254713	Franziska
534067	267331	Antonia Lässler
534067	301022	Ati
534067	308827	Jessica Baum
534067	325551	
534067	352270	
534067	353655	Marilu
534067	389287	Gisela 'Gisi' (1994-1995)
534068	202784	
534068	218469	Pandora
534068	275026	Mezal
534069	23043	
534069	178833	Mujer carterista
534069	293367	
534070	3492	La sposina
534070	14343	Sophie
534070	55533	A Woman
534070	57472	
534070	66076	Dominique
534070	104220	
534070	132066	Sylvie Danlevent
534070	147375	Popeline
534070	147457	Unknown
534070	148677	Hélène Mercier
534070	194598	Natacha
534070	216235	Cosette
534070	248847	Sassia
534070	254056	Françoise
534070	264524	Une invitée au vernissage
534070	266947	Une invitée au vernissage
534070	269183	Anne d'Autriche
534070	295168	Isabella
534070	307136	Olga
534070	317676	(segment "Questione di princi
534070	327563	Lucie Grandvivier
534070	336602	Diana
534070	339932	Popeline
534070	345390	Maud
534070	346474	Saloon Woman
534070	354875	Lisiane Chartrain
534070	356214	Silvana
534070	371422	Paulette
534070	372719	Monique
534071	85554	
534071	214620	
534071	214621	
534071	339099	
534072	30734	Mrs. Parsons
534072	48217	Nosy Woman
534072	178020	Arlane
534072	196209	Gloria Zamora
534072	235441	Doctor
534072	252866	Carrie
534072	282922	Mrs. Stein
534072	289683	Courthouse Clerk
534072	342491	Day Nurse
534072	380997	Achsa Luckett
534072	381432	Naomi Baxter (1979-1980)
534073	45668	Brenda (segment "Crush")
534073	58514	Michelle
534073	74112	Brenda
534073	190461	NY Post Reporter #3
534073	220008	M.J.
534073	255424	Maria at 30
534073	279114	Catherine
534073	294595	Layla
534073	348741	Yeesha
534074	116436	Margarita
534074	240049	Herself
534074	406378	Singing teacher
534074	406379	Singing teacher
534074	406380	Singing teacher
534075	150079	Receptionist
534075	232483	Party Guest
534076	307828	
534076	380446	Laura
534077	351761	La Coneja
534078	17814	Girl at party
534078	45898	Esterina
534078	63890	
534078	334429	Aspasia
534079	22653	
534080	259474	
534081	117561	Sales Assistant
534082	340169	Doña Estefana
534083	21480	Camille
534083	117765	Flo
534083	190065	Radical
534084	217282	
534085	108178	En pike
534085	138571	Frk. Brun
534085	353047	Elsa
534086	2797	Accountant/'American Idol' sp
534086	35778	Lilly
534086	252925	Guest at Met
534086	318763	Lady in Car Window
534087	50896	Tora Larsen
534087	146986	Marie
534087	174719	Giza
534087	178436	Ragna
534087	178754	Frk. Fubre, 'Journalistens fo
534087	180710	Katinka Stordal
534087	180711	Katinka Stordal
534087	191076	Jacob's Mother
534087	191565	Mrs. Revaasen
534087	349776	Hanne
534087	352992	Tora Knudsen
534088	256315	
534089	116041	Rebecca van Stavenborgh
534090	105532	Haushälterin
534091	43412	
534091	63681	La caissière magasin mode
534091	64220	La mère
534091	253581	
534091	346567	Mme de Manerville
534091	386476	La serveuse du bar (segment "
534092	192825	
534093	367434	Woman
534094	318778	
534094	345784	Herself/Sheba Flieschman
534095	138311	
534095	346142	Hotel Rainbow Guest
534096	82594	Annie
534097	290450	
534097	387079	
534098	367046	Mrs. Merchant
534099	20987	Woman in Window
534100	9679	Zila
534101	25827	Orna's Mother
534101	72123	Hotel clerk
534101	162296	
534101	179112	
534101	201399	
534101	210250	
534102	606	Party Guest
534103	17923	Louise
534103	24960	Kay
534103	31874	Mona Wise
534103	60361	Juanita
534103	66119	Toni Stafford
534103	178227	Kissingers' secretary
534103	241792	Wife Terry
534103	241872	Sandra Allen
534103	294140	Shirley
534103	302584	Singer/Dancer
534103	401999	Renata D'Alessandro
534103	411091	Girl singer
534104	104295	Princess Bellini
534104	195073	Mrs. Wright-little mother
534105	334158	Sue
534106	28276	Eva
534106	76016	Nini
534106	83421	Mixed salad
534106	212288	Julia
534106	247168	Pecholata
534106	336257	Vanessa
534106	356153	Julia
534106	369755	Herself
534106	369994	Herself - Nominee: Best New A
534106	369999	Herself - Presenter: Honorary
534106	380551	Belén
534106	384734	Lorena (2003)
534107	187697	Taffy Girl
534108	4656	(segment "Noche terrible")
534109	69147	Himself
534109	104731	French entry
534109	157163	Singer
534109	237225	
534110	111110	Chloé
534110	199316	Helen
534111	147940	Mujer de los Drugos
534112	351821	
534113	303154	Zofe
534114	206956	
534115	52312	Herself
534115	63192	Maria
534115	134418	Winona
534115	257659	Miss September
534115	291052	Warrior Woman
534115	360684	Chaz's Girlfriend
534115	361854	Herself
534115	384181	Maria
534116	115222	Motel Owner
534116	331019	Washerwoman
534117	45460	Frieda
534117	45461	Violet
534117	59590	Freida
534117	59593	Frieda
534117	163642	Frieda/Violet
534117	372327	Violet
534119	8802	Ginette
534119	12689	Major's wife (segment "Pot-po
534119	14903	Una Indossatrice
534119	55656	Duchesse de Castro
534119	67496	Jole Precordi, sua moglie
534119	102364	
534119	135157	
534119	155669	
534119	157551	
534119	183477	The charitable Lady
534119	189261	
534119	196797	
534119	207070	
534119	243701	La collega di Marta
534119	262223	Anna
534119	269074	Sua moglie
534119	274899	
534119	281109	
534119	289489	
534119	289649	Marta
534119	336609	Sara, the fortune-teller
534119	344587	Director of the newspaper
534119	351850	
534119	352636	Marcella
534119	377589	Anna
534120	83889	
534120	383242	Laura de Gamboa
534120	383250	
534121	290011	Singer
534122	44328	Ragazza mercato
534123	237932	Lisa
534124	73651	
534125	162415	Young Phaedra
534125	289698	Fatma
534125	374584	
534126	38466	
534126	82360	
534126	85137	
534126	394189	
534127	12641	
534127	25598	
534127	83318	
534127	87714	
534127	105473	
534127	155939	
534127	172014	
534127	173434	
534127	173798	
534127	182099	
534127	187651	
534127	218892	
534127	248066	
534127	267817	
534127	285248	
534127	308323	
534127	349227	
534127	370224	
534127	377556	
534127	378244	
534128	104717	Herself
534129	46213	Mrs. Accrington
534130	307555	
534130	325644	
534130	347618	
534131	130227	Kate
534132	180227	
534132	341876	
534133	125934	
534134	374316	
534135	161041	Louise
534136	41206	Female Officer
534137	152894	Calendar Girl
534138	112246	Susan
534138	178136	Young Danni
534139	22629	Betty
534139	41829	Statistician
534139	49069	Melissa
534139	114298	'A Certain Age' Cast Member
534139	141399	Neely Kendall
534139	208410	Kyra Silver
534139	372487	
534140	82384	Sissy White
534142	250730	Ms. Anette
534143	398503	Krika
534144	107386	Jennie Johnson (President's s
534144	129862	Ticket Seller
534144	151098	Saboteur
534144	277908	
534145	261597	
534146	205268	Woman at Auction
534147	29676	Robinson's Aide
534148	33848	Mildread
534149	131258	Red
534151	181736	Dorthe (baby)
534152	119681	
534153	100948	
534153	147592	Walperin
534153	213423	Die alte Sterzerin
534153	365906	Grandma Georgina
534154	170501	
534155	30924	Narrator
534155	229259	Jane Jones
534156	155331	
534157	16199	Hroudova
534157	171531	Mother
534157	172909	Jeane
534157	206586	Kamila
534157	223487	
534157	266460	Clerkess
534157	290107	Feldberg Dame/Feldberg Lady
534157	383081	
534157	406814	
534158	236567	Yamina Slimani
534158	306950	Sonia
534159	370043	Une femme enceinte
534160	278156	Irene
534160	358687	Sieglinde
534161	391295	Gisela, Antons Tochter
534162	342588	Pfarrgemeinderätin
534163	301205	Päike
534164	215986	
534165	133340	Zane's Mother
534165	199467	Aunt Josie
534166	40901	Juniper Beausoleil
534166	153651	Marsh, Ali
534166	176713	Brunette Woman
534166	279456	Mrs. Portois
534166	304913	Jean
534166	355014	Hospital Administrator
534166	372097	Waitress
534167	348149	
534168	34733	
534168	36934	
534168	36939	
534168	59157	
534168	327781	
534169	88771	Cook
534170	394336	
534171	138909	Clara 'Tootsie' Stover
534171	163414	Yolande Szabo
534172	257332	Attendant to the Gods
534173	1500	Kathy Kogut
534173	51635	Brooke
534173	82561	Verline Owens
534173	87540	Tracy
534173	223633	Mandy Parker
534173	265109	Daphne
534173	275880	Hooker
534173	287126	Tina
534173	288977	Grey LeBlanc
534173	295377	Nurse 3
534173	356473	Dee
534174	318592	
534175	5660	Fabienne Rudel
534175	15101	Liz Essendine
534175	16233	Eva Litten
534175	33265	Virginie Walter
534175	48388	Senora Maria
534175	126176	Großfürstin
534175	126342	
534175	141948	
534175	142108	Aunt Monika
534175	169373	Adelheid Runeck
534175	178626	
534175	179779	Voice of Li Hu Wang's Secreta
534175	194443	
534175	210116	Nicoline Pratt
534175	221080	Olivia Marden
534175	260068	Procula
534175	263375	Königin Sophie Dorothea
534175	268856	Lady Serena Heronden
534175	289857	Anna Kronberg
534175	290099	Helga Rosenberg
534175	290699	Caroline Stehberger
534175	322520	Frau Karel
534175	325614	Frau Malcher
534175	400274	Lady Nollys
534175	404457	Vanessa Curtis
534176	21182	Muffy Alice Crosswire
534176	21184	Muffy
534176	21187	Mary 'Muffy' Alice Crosswire
534176	176510	Heather
534176	256500	Pippi Longstocking
534176	380692	Mary Alice (Muffy) Crosswire
534176	401518	Pippi Longstocking
534177	74311	
534178	2034	Herself
534178	190461	Herself
534178	221410	Host
534178	221469	Host
534178	221485	Host
534178	221486	Host
534178	269355	Herself
534178	383693	Herself - Reporter (2003-)
534178	383701	Herself - Correspondent (2003
534178	383702	Reporter/Herself (2003-)
534178	398438	Correspondant (1996-2000)
534178	398439	News reporter
534178	399332	Correspondent (2002-2003)
534178	408610	Herself (1998-2000)
534178	408978	Host
534179	5599	
534179	124908	Costume Designer
534179	134784	
534179	142273	
534179	216272	Schwester Hanne
534179	366509	O-90
534179	397764	Karen Holicek
534180	158976	
534180	187886	Girl
534181	357662	
534181	375935	Zoya's Teacher
534182	286423	Darian
534184	103605	Fatma
534185	400148	Nisan Öz
534185	412237	Meltem (2002-2003)
534186	188006	Maro
534189	222212	Cindy
534190	166270	
534191	173835	
534192	314441	Stepford Wife #3
534193	17325	Clienta Pescadería
534193	276303	
534193	317810	Victòria
534194	404750	Una bibliotecaria
534195	193415	
534196	42924	(segment "The Griffith Witch 
534196	189233	Passenger on Plane
534196	194017	Nancy
534197	395257	Mari Vanhala
534198	334706	Carmen
534198	385052	Natalia Caride viuda de Casar
534198	399943	Antonia
534199	182443	
534199	212553	
534199	212593	
534199	329735	
534200	90854	Godiva
534201	214359	Anis mor
534201	256962	Junes' mor (Junes' mother)
534202	384251	
534203	383149	Host
534204	44685	Gloria Olarte
534204	50599	Registress
534204	76206	Lopez
534204	79447	Felicia
534204	80397	Celina Rojas
534204	83680	Cheyenne
534204	135771	
534204	141387	Prostitute
534204	147673	Teresa
534204	154869	Lucy
534204	164481	Marie Sanchez
534204	169951	Rita
534204	192778	Pilar
534204	232292	Aura
534204	286228	Vicki
534204	296894	Ray Whitesinger
534204	298091	Model
534204	300195	Gina Reyes
534204	394510	Delia Flores
534205	81473	
534206	72870	Frieda the Maid
534206	84245	Anna
534206	100273	
534206	171619	
534206	186670	Senorita Mangano
534206	202209	Anna
534206	202210	Anna
534206	205138	Victim in Cell
534206	208852	
534206	225565	
534206	235359	Anna Duran
534206	265165	
534206	286019	Director de hospital
534206	287426	Anna
534206	296502	Cristina
534206	385400	
534206	386205	
534206	391422	
534206	391961	
534206	396853	
534206	396885	
534206	399973	Mafafa Musguito
534206	403048	
534206	405999	
534207	379001	Camila
534208	331467	Younger Woman
534209	404987	
534211	339649	Counter Girl #1
534212	162779	Daniela (Hostess)
534212	267297	
534212	286237	
534212	379000	Melissa
534212	380125	
534212	380249	Angélica Rodríguez
534212	386503	
534212	392848	Virginia Calcaño
534212	392971	Mariana del Carmen Guerra
534212	393802	Juana Pérez
534212	396902	Maria Eugenia Sampedro
534212	397012	
534212	398482	Martica Gallardo
534212	398488	Jo
534212	400938	
534212	403289	Gabriela
534213	284800	Chica joven
534214	293575	
534215	281388	Wack's Sister
534216	13162	
534218	20625	Extra
534219	212524	La Blue Eyes
534219	286228	Rita
534219	389269	Beehive Western Gal (segment 
534220	398483	Magola
534220	403125	
534221	383344	Raquel
534222	5976	
534222	10130	
534222	54234	
534222	67006	
534222	67212	
534222	74821	
534222	96338	Delfina
534222	99722	
534222	103433	
534222	135281	
534222	151818	
534222	193351	
534222	197886	
534222	202734	
534222	205001	
534222	353180	
534222	371760	
534223	2441	
534223	267050	
534224	4981	
534224	70833	
534224	83496	Segunda victima
534224	87086	
534224	114784	
534224	186977	
534224	336293	
534224	350261	
534225	10568	
534225	18799	
534225	69129	
534225	74510	
534225	135308	
534225	171466	
534225	205668	
534225	269236	
534226	176728	Serena
534227	381408	Mario's Wife
534228	103266	Woman in Bank
534229	52010	Super 'Chiquitibum'
534229	61540	
534229	74611	Graciela
534229	78559	
534229	90093	
534229	91297	Chayito
534229	221726	Lucero
534229	243444	
534229	277365	Melasia
534229	291649	
534230	321247	Carlotta
534231	5098	Helen
534231	57416	
534231	71158	
534231	193045	Maria
534231	221680	
534232	13798	Lorraine
534232	13942	Elinor Hartley
534232	26077	Helen Woodford Ruth
534232	36713	Goldilocks
534232	38990	
534232	58538	Lisa Titus
534232	63130	Beth
534232	93322	Teresa
534232	120297	Dr. Lucy Lynskey
534232	164647	
534232	185180	Denise Cope
534232	192413	Meg March
534232	200261	Jump Rope Girl
534232	201724	Herself
534232	220567	Dena McKain
534232	221324	Irene Soffel
534232	251011	Adult Marie Alweather
534232	252823	Teresa Perez
534232	264636	Gail Brock
534232	277638	Franny Philips
534232	288628	May 'Mooch' Stark
534232	294244	
534232	313827	Alicia Marin
534232	314351	Jenny Claire
534232	321247	Molly Garber
534232	333430	Pamela Pearl
534233	322819	
534234	379244	
534235	91151	
534235	133003	
534235	380328	
534235	380946	Júlia
534235	383293	Vilma
534235	383437	
534235	393616	
534236	308751	
534237	324502	Dancer
534238	340217	Aniata
534238	390470	Florence
534239	55120	Photographer
534240	381218	Various (2001-)
534241	100009	
534241	338643	
534242	389294	Malvina
534242	400342	Herself (Finalist #6)
534243	40447	Invitada fiesta
534243	122346	
534244	197089	Luna, age 1
534245	87282	Chabe Suarez
534246	32061	
534246	251739	
534247	56035	
534247	170860	
534248	121386	La Cubana
534249	8979	
534249	66160	
534249	104482	Clara
534249	196657	
534249	380328	
534249	383370	
534249	397553	
534249	401819	
534249	407639	
534250	325052	Featured Dancer
534251	112904	Peter's Agent
534252	387227	Herself - Entertainment Corre
534252	387706	Host
534252	408784	Host
534253	337494	Herself (University of Maryla
534254	390658	
534255	35524	Scared Girl
534256	277365	Clarita
534257	220593	Maid
534258	353290	
534258	357729	
534259	328155	
534260	9874	
534261	203344	AFI Plainclothes 1
534262	85032	Delia Rivera
534262	192049	Pregnant Woman
534262	202915	Nightclub Worker
534262	241386	Panamanian Girl
534262	346006	Woman in Park
534262	381904	Herself (3rd Evicted 2004/1)
534262	397572	
534262	399084	Yolanda
534262	409012	Raquel
534262	409908	Dulce Maria Salazar
534262	410477	Sonia 'Francis' Vázquez Solís
534263	381901	3rd evicted
534264	387901	Laura
534264	391675	Nefertiti
534264	396035	Juliana de Lucca
534264	396810	Celeste
534264	397522	Ritinha
534264	403616	Camila
534265	98655	Nina
534266	172308	
534267	144406	
534268	405984	UCDavis
534269	312966	Hostess
534270	17132	Sor Luciana
534271	53169	Madre de Andrea
534272	316220	Librarian
534273	383895	Anchorwoman (1993- )
534274	398662	Yolanda
534275	239704	Ghost
534276	122308	Mrs. Maria Antónia
534277	90138	
534278	376676	
534280	108612	
534281	238567	Reporter
534282	194780	Woman at Airport
534283	132912	Pedestrian
534284	63429	
534284	84975	
534284	131401	Cora
534284	185178	Babe La Marr
534284	227697	Drug addict
534284	360705	Party Guest
534284	362055	
534284	364773	Tart
534285	169918	Angel
534286	412158	Herself/Host
534287	355205	Socrates
534288	317893	Student
534289	15042	
534289	201191	
534289	214010	
534289	248235	
534289	254091	
534289	261806	
534290	169918	Dolores
534291	75649	
534291	135292	
534291	213754	
534291	355934	
534292	13953	Maid
534292	26291	Mexican Neighbor
534292	67559	Maid
534293	117797	Maila's Girlfriend I
534294	15917	Lee
534294	301784	Di Ding
534294	343678	Doctor
534295	70662	Mujer en silla de ruedas 2
534295	380839	Alicia
534296	148133	
534297	131760	Mike's Ex-Girlfriend #4
534298	7420	Student
534299	48851	
534300	57747	Inmate
534300	102332	
534301	246479	
534302	157752	Lupita Lopez
534302	189294	
534302	280489	Arlina Romano
534302	323460	Amy
534302	362381	Yeni
534302	381630	Anita Beltran-Perez
534302	390742	Maria Gonzales
534303	351785	Claudia
534304	191497	Jacqueline
534305	51228	Bérénice
534305	55563	
534305	59260	Henriette
534305	62781	Julia
534305	73068	Rosemonde Burel
534305	78389	
534305	78538	Eleonore
534305	99369	
534305	107457	
534305	132402	Hélène
534305	132403	Clara
534305	133172	Margaretha
534305	165908	Maria
534305	170355	Judith
534305	197393	Mme Pallaci
534305	258866	
534305	269744	
534305	283653	
534305	284188	Alouette
534305	294828	
534305	346815	
534305	351789	
534305	354573	Isidore
534305	355261	Monique, l'ex-femme de Denis
534305	376999	Florence
534306	23415	Husmafffia
534307	258138	Rocio
534307	275355	Viewer
534308	61128	Elsa, una empleada
534308	268042	
534309	246391	
534310	347005	
534311	224155	Race Course Extra
534312	384181	Model
534313	130307	Tortured girl
534314	15412	Daday
534316	135126	
534317	104110	
534317	205501	
534317	265196	Painter Josefa de Obidos
534318	103791	domestic
534319	383727	Palmira Pinto Feijó
534320	380081	Francisca
534320	402506	
534320	403618	
534321	317675	
534322	28589	Ivone
534323	213736	
534324	221539	Anna
534325	138705	
534326	224965	
534327	190269	Judy, age 2
534328	227664	Lilian Rose Calvess
534329	8566	
534329	55340	
534329	55343	
534329	104179	
534329	252348	
534329	337252	
534329	341469	
534330	265712	Maria's neighbour
534331	388317	
534331	401755	Commissaire Renoir
534331	410309	Agnès
534332	71223	
534332	275025	
534333	307362	
534334	169242	Interviewer
534334	288137	Herself
534335	18999	Pension Lady
534336	55812	Simone
534336	411932	
534337	69910	
534338	307673	Carla
534339	100723	
534340	14420	
534340	124507	Fermina
534341	51978	
534342	205696	
534343	89802	Ivone
534343	104110	
534343	113208	
534343	156411	
534343	219586	
534343	248757	Retornada
534344	102319	Princesa Luar
534344	308754	
534344	386142	Salete
534344	387901	Erica
534344	396899	Sulema
534344	398503	Glorinha
534344	404165	Assunção
534344	408381	Sacramento
534344	408944	Pitanga
534344	410104	Josefa
534345	380386	
534345	381144	
534345	396036	Daniela
534346	400094	
534346	404799	
534346	409003	Isis
534347	291892	
534347	398547	
534348	205696	
534349	70493	
534349	278564	
534350	71368	Beatriz
534350	183508	
534350	189086	Rosa, Anastácio's maid
534350	246593	Laurinha
534350	249297	Ermezinda
534350	252748	Isabel
534350	268301	Celeste
534350	308742	Rosinha
534350	344779	Ema, the wife
534351	66869	Newscaster
534351	83517	
534352	228338	Vera Thomas
534353	110666	
534354	405418	
534355	263415	
534356	104118	
534356	111887	
534356	148462	
534356	196657	Lia
534356	246794	
534356	336316	
534356	344799	
534356	379937	
534356	380386	Vitória
534356	381328	Moema
534356	381849	
534356	383469	Leda Maria
534356	384922	
534356	385184	Hildegard
534356	387424	
534356	387640	
534356	387654	Joana
534356	387932	Cássia
534356	388562	
534356	388721	Fafá Badaró
534356	388728	Iolanda
534356	390054	Maria Lúcia
534356	390752	
534356	391312	Helena
534356	391609	Beatriz
534356	391901	Tula
534356	393005	Potira
534356	393006	Cameo
534356	393615	Clarita
534356	394121	Daisy
534356	396610	Tulê Berná (1995)
534356	396628	
534356	397522	Bel
534356	398500	Telma (1998-1999)
534356	399481	Chiquinha
534356	401010	Sílvia
534356	401095	Betinha
534356	401678	Veroca
534356	404814	Beatriz
534356	404837	Mariquinhas
534356	407024	Raquel
534356	408330	Nicole
534356	408944	Isabel
534356	410014	Geralda
534357	13181	Dayse
534357	63633	
534357	69055	
534357	129992	
534357	269555	Girl of Caruaru/Girl in Olind
534358	70887	
534358	71224	
534358	82711	
534358	106228	
534358	116641	
534358	124174	
534358	125782	
534358	132944	Hotel Attendant
534358	168373	
534358	208243	Matilde
534358	222168	
534358	234633	
534358	248303	
534358	252754	
534358	280866	
534358	291678	Marilu
534358	294628	
534358	307828	
534358	349723	
534358	353068	
534358	381144	Conceição
534358	388565	Maria
534358	388591	
534358	388681	
534358	391673	Nazaré
534358	393005	
534358	394121	Isaura
534358	395089	Mabel
534358	396035	Iracema Rangel
534358	396722	Carmem
534358	396938	Bizuca
534358	398884	
534358	401900	Maria
534358	403739	Maurina
534358	404799	
534358	405810	
534358	407801	
534358	407830	
534358	410054	Rosa
534358	410377	Paciência
534358	411585	Rosa
534359	52928	
534359	85524	
534360	148472	
534361	378772	
534361	379491	Georgette
534361	380538	
534361	383269	Augusta
534361	386213	Sofia
534361	386245	
534361	386422	Gracinda
534361	390506	Abigail
534361	397440	Carmem
534361	397545	Tiê
534361	398548	
534361	398818	Adalgisa
534361	399489	Iolanda
534361	400214	Valquíria
534361	407800	Rosinha
534361	407802	
534361	410287	
534361	412238	Leonor
534362	97557	
534363	122820	Mariana
534363	268318	
534363	295478	
534364	291892	
534366	353500	Herself (Model)
534367	25059	
534367	397539	Luciana
534367	398793	
534367	400656	
534367	400902	
534367	402506	Maria Helena
534367	407275	Rosinha
534368	184824	Perpétua
534368	251839	
534369	56241	
534369	57465	
534369	344699	
534369	388728	
534369	407275	
534370	148466	
534372	241192	Estrela da Luz
534372	383142	Belinha
534372	386123	Leticia Moreno
534372	388458	Ana Clara Gouveia Prates
534372	395302	Clara
534372	397546	Lili
534372	398501	Dóris De Souza Duarte
534372	398549	Rosalia Olinto
534373	146700	
534374	56241	
534375	136113	
534376	353097	Menina
534377	322819	Marlene
534378	56241	
534378	344706	
534379	2570	Laura
534379	28589	Laura
534379	52070	Prostitute
534379	249544	Rapariga
534379	256706	
534379	349815	Lolota (little girl)
534379	381246	
534379	386124	Ana Serpa
534379	393714	Clara
534379	395865	Sabrina Venâncio
534379	398881	
534379	407906	Margarida
534379	410105	Mafalda Fragoso
534380	307265	
534381	25054	
534382	52070	Girl
534382	369982	Moto Girl #2
534382	380960	Su-013
534382	383566	(2nd season)
534383	403618	
534384	378834	
534385	260429	
534386	51585	
534386	53850	
534386	99708	
534386	149523	Lilia Cantarelli
534386	219580	
534386	219581	
534386	224965	Paloma
534386	239942	
534386	241180	
534386	248547	Anayde Beiriz
534386	307449	Regina
534386	381223	
534386	382741	Mercedes
534386	384480	Norma
534386	395089	Maria Bonita
534386	396718	Severina Dantas
534386	396810	Zefinha
534386	401104	Lola
534386	407830	Ana Mercedes
534386	408330	Clotilde
534386	408381	Julia Saruê
534387	403733	
534387	410054	Dolores
534388	15878	
534388	17387	Aninha
534388	43756	Sônia (segment "Primeiro de A
534388	71140	
534388	75485	
534388	106462	Ana Marina
534388	113023	
534388	124240	Antuérpia
534388	211008	
534388	248759	Paula
534388	260429	
534388	285245	Belinha (segment "Belinha, a 
534388	349607	
534388	354191	
534388	356681	
534388	369984	Rato Rosa
534388	380446	
534389	271696	Esperança
534389	380332	Andreia Barroso
534389	383389	Hermínia
534389	402148	Guida Cruz
534389	403232	Rosy
534389	405784	Susana
534389	407867	
534389	409422	Teresa
534389	410105	Patrícia
534390	246855	
534390	252591	
534390	269121	
534390	380112	Laura
534390	386245	
534390	387898	
534390	387900	Irene
534390	389789	Paula
534390	394600	
534390	397512	Gabriela
534390	397543	Catherine
534390	398310	Agostina
534390	400581	Ofélia
534390	401200	
534390	403829	
534390	406054	
534390	406832	
534390	407875	
534390	409004	
534390	409419	Herself
534390	409427	
534391	402626	
534392	409843	Barfly
534393	317817	
534394	304563	Creole's Girl
534395	218221	Minister of culture
534396	161572	
534396	355893	Milena Brava
534396	373864	Zana
534396	397614	
534396	402780	
534397	62713	
534398	28375	Lena
534398	63870	
534398	71214	(segment "Baci Proibiti")
534398	75238	
534398	99961	Marta
534398	108110	Angela
534398	238378	Michela
534398	249371	
534398	291063	Milena
534398	352292	Betta
534398	375851	Ragazza Piercing
534398	407852	Laura
534399	148284	Francine
534399	158528	Esperanza Batista
534399	241799	Nurse Teresa
534399	394510	Ines
534400	390889	
534401	7528	L'amie de Rayman
534401	8990	Bertrand's friend
534401	17142	Lucia
534401	20810	Alicia
534401	30353	Elise
534401	99360	Pregnant teenager on tv
534401	119044	Juliette Coadou
534401	120235	Michelle La Tour
534401	129432	The Prisoner
534401	130137	
534401	133175	Anne-Marie
534401	149202	Ève de Marcilly
534401	162613	Isabelle
534401	167158	Carolina de Saxe
534401	170999	Maria
534401	241878	Judith
534401	250902	Michelle Latour
534401	251067	Sonia
534401	275531	Helene
534401	300588	Dinharzade
534401	340573	Chantal
534401	345464	Catherine
534401	346535	Anne Korber
534401	373230	Tsuki
534401	378866	Virginie Lecharme
534401	384160	Nicole
534402	16365	Großmutter
534402	35881	
534402	44826	
534402	165362	Berta Remmers
534402	170132	
534402	180080	
534402	188806	
534402	210109	
534402	216258	
534402	280797	
534402	280801	
534402	345892	Frau Mond
534402	352043	Frau Krailing
534402	358221	
534402	361125	
534403	4307	Mrs. de Graaff
534403	62709	
534403	89462	
534403	180400	De Spin's mother
534403	231705	Mary Lucas
534403	356099	Moeder
534403	411115	Weduwe van Dijck
534404	99714	
534405	8598	
534406	360436	Take Out Gal #3
534407	209086	The Mother
534408	384972	Paula Ripoll (2003-)
534409	84297	Older woman
534409	99230	Maid
534409	377304	Housekeeper
534410	175684	
534411	225689	
534412	139227	Photo Session Hardbody
534412	281923	Bellhop
534413	359045	
534414	209543	
534414	224905	
534415	133961	Mother Superior
534416	384091	Edith Beverley
534416	395647	Mary Malcolm
534417	85137	
534418	15304	
534418	152224	
534419	38485	
534420	23803	Yerma, la voyante
534420	256755	Une dame au procès
534420	309756	Mme Laprade Mère
534420	354699	Madame Di Stefano
534421	189073	Sophia
534421	207918	
534421	304681	
534421	326691	
534421	386408	
534421	391100	Caroline Fisser
534422	78957	Isabel Simmonds
534422	90304	Christine
534422	132798	Pat Mainwaring
534422	136508	Lilli
534422	140954	Maisie
534422	163559	Fifi
534422	163563	Celestin
534422	186259	
534422	208657	Santa
534422	208659	Daphne
534422	239744	Pauline
534422	252859	Sylvia Burton
534422	302267	Stella Hemingway
534422	302707	Bunty Waring
534422	321177	Sylvia Tonbridge
534422	329306	Brenda
534422	330000	Mrs. Middleton
534422	359386	Clare
534422	366038	Clodine Asticot
534422	366053	Andrea
534422	372199	Dot Harris
534423	319283	Waitress
534424	302	
534425	94175	
534426	229203	
534427	134760	
534427	337466	
534427	374734	
534428	120785	Zina
534428	132112	
534428	185803	Vera
534428	229180	
534429	291903	Kids from Bear Valley
534430	3942	Bombshell
534430	168254	Lizzy Borden/The Serial Kille
534431	138369	Phyllis
534432	300937	
534433	37413	Ibsen script girl
534433	244823	
534433	273309	
534434	112820	
534434	112888	Lise
534435	18544	Sharks Trainer
534436	264937	
534437	351494	
534438	66219	
534439	103666	
534441	52708	Irene
534441	55617	Mujer Ranchera
534441	378995	
534442	91349	Nancy
534443	212162	
534444	248066	
534444	294129	
534445	255513	Vauva
534446	349574	Marina
534447	65097	Frieda
534447	93451	
534447	97842	
534447	104275	
534447	153173	Amalie
534447	167153	Eine Amerikanerin
534447	259509	
534447	259571	
534448	139992	Grandmother
534449	299300	
534450	207116	Akiko Takimura
534450	407350	
534451	208040	Fadya
534452	61558	Young Nadia
534453	134563	Tanya
534453	150891	
534453	326125	Fourth Robber
534453	360713	Wendy Richmond
534453	394510	
534453	397791	
534454	281758	Mujer sordomuda
534455	18999	
534455	51694	
534455	278568	Girl Kissing at Party
534455	383727	Olga
534455	386123	Meire
534455	388565	Renata
534455	395044	Teresa
534455	404165	Dalva
534456	67505	
534456	132807	Maria
534456	327903	Maid
534457	68980	
534458	209442	Daniela
534458	214754	
534460	15240	Oswalda
534460	56071	Noêmia
534460	69243	
534460	70487	Miloca
534460	211013	Mother Alix
534460	248775	
534460	269537	Iracema
534460	383464	Dona Joaquina
534460	383550	Tia Angela
534460	402424	Sofia
534460	405810	Noêmia
534460	407798	
534460	409410	
534461	2202	
534461	5316	
534461	6963	
534461	6974	
534461	21902	
534461	21923	
534461	21924	
534461	21925	
534461	39248	
534461	41650	
534461	49915	
534461	52260	
534461	82358	
534461	83619	
534461	87284	
534461	147760	
534461	178998	
534461	189064	
534461	199345	
534461	237068	
534461	260815	Herself
534461	305773	
534461	332450	
534461	347685	
534461	359740	
534461	367248	
534461	371586	
534461	371771	
534462	325125	Gertrudes
534462	327812	
534463	384871	
534464	187601	Shamara Payne
534465	216959	Herself
534466	42582	
534466	90457	
534467	103165	
534468	345226	Josette
534469	322628	Nelly
534469	333687	
534470	110666	
534471	401230	Herself
534472	202714	
534472	207035	
534472	246555	
534473	103487	
534474	23084	
534475	59366	
534476	219529	Parent
534477	385218	Herself
534478	16751	Grandmother
534478	215191	
534478	264131	Grandmother Torres
534478	308049	Woman in village
534478	359454	Indian Woman
534479	399640	
534480	75395	Young Gabriela's Mother
534480	228048	Dolores
534480	390733	Cira
534481	28719	
534481	137583	
534481	137586	
534481	144228	Lucia Sarmiento
534481	171969	
534481	182233	
534481	199407	
534481	208549	
534481	226612	
534481	226980	
534481	256102	
534481	265992	
534481	284647	
534481	284651	
534481	284675	
534481	286583	Pamela
534481	287066	Marie Perez
534481	295697	
534481	295713	
534481	312531	
534481	318402	Ditas
534481	318535	
534481	324281	
534481	380345	Margarita 'Maggie' Monteclaro
534481	391206	Suni
534481	404049	Myra
534482	16703	Mrs. Kona
534482	72108	Juanita
534482	93831	No Risk Radio Operator
534482	194543	
534482	208871	Teresa
534482	273597	
534482	292561	
534482	301818	Mrs. Tokuda
534483	404713	
534484	100868	Young Gimade
534485	254523	Dancer
534485	350138	
534485	396880	Natalia Montenegro
534485	398794	Consuelo
534485	398801	Lupita
534485	405398	Laura del Villar Rivera
534485	405868	Cora
534486	37630	
534486	153874	Une chanteuse
534486	240603	Gloria
534486	260886	
534486	278136	
534486	286327	La contractuelle
534486	346503	
534486	346536	Pauline
534486	349481	
534486	393769	
534486	396366	Mlle Jean-Baptiste (segment "
534487	19702	
534487	223353	Sally
534488	3113	Giaconda the Baby Factory
534488	4129	
534488	8384	Anjali
534488	28164	Sophie d'Arfeuille
534488	60283	
534488	61423	Judith
534488	66227	Charlotte
534488	78343	Eva
534488	79956	
534488	92679	
534488	101669	Maya Vinodini
534488	127387	Margot
534488	175240	
534488	204963	
534488	210219	
534488	220287	
534488	233181	Geetha
534488	234688	Marie
534488	252412	La dame W.C.
534488	265564	Isabelle Miller
534488	267661	Magician's daughter
534488	271482	
534488	299365	
534488	328230	
534488	344382	
534488	346546	Alexandra Cartier
534488	346560	Isabelle
534488	351051	Vaidehi
534488	351283	
534488	352906	Lalitha
534488	357177	Sandrine
534488	382219	Jeanne
534488	384754	Samantha Beaumont (1992-)
534488	388587	Procureur Elisabeth Brochène
534488	389469	
534488	396504	
534488	397911	Hélène
534488	398993	Madame Bertrand
534489	236807	Regina
534490	56304	Wife
534491	365200	Herself
534492	155998	
534492	162094	Laura
534492	374840	
534493	77607	Ola
534494	162683	Hana Mizuno
534494	293662	Shoutaro no joushi
534494	405155	Kiyo
534495	71591	Yoko Sugimura
534495	161685	Miki Bonomiya
534495	182028	Mayo
534495	216194	
534495	275627	Sasaki Namiko
534495	294164	Hikaru Genji
534495	336575	Sachiko Sassa
534495	349104	Woman with umbrella
534495	370785	Kasumi Moriwake
534495	381259	Aki Takahata
534495	408599	Haru
534496	187823	Vveryl
534496	327052	
534496	350189	Young Leila/Leila's Granddaug
534496	350723	Princess Gieraude/Miriya/addi
534497	235488	Gila's mother
534498	4421	Veera
534498	4722	
534498	9235	
534498	10625	Fatima
534498	14449	
534498	21762	
534498	24273	
534498	25961	Nisha singh
534498	29028	
534498	36209	Reshma
534498	36283	Zohrabai
534498	43314	
534498	43978	Alice Rodriguez De Fonseca
534498	60975	Rita
534498	62720	
534498	62752	
534498	64159	
534498	77048	Daku Hasina
534498	79087	
534498	79461	Geeta
534498	82005	
534498	85318	Princess Wooed by Dharam
534498	85445	Rani Ranjit Singh
534498	89994	Roma
534498	91471	Sheetal Sahni
534498	124677	
534498	131937	
534498	133612	
534498	136896	
534498	138319	
534498	139329	
534498	141849	Panna
534498	141851	
534498	152410	Neena
534498	152475	Rajesh's girlfriend
534498	152698	
534498	160202	Bharati Saxena
534498	162689	
534498	164318	Rajkumari
534498	164842	
534498	172577	
534498	174660	
534498	181112	Neera
534498	183134	Mohini
534498	200631	
534498	204678	
534498	211449	
534498	226036	
534498	246109	
534498	246899	
534498	262865	
534498	265416	Sonia Singh
534498	266965	Julie
534498	268105	
534498	270050	Sheela
534498	271712	Madhu
534498	282230	Sheetal
534498	286765	
534498	288780	Rupa
534498	297174	Sheila Enders
534498	307100	
534498	323624	Sapna
534498	324832	Nisha
534498	326961	
534498	341550	
534498	349769	
534498	359514	Rita Verma
534498	370209	Sunita
534498	370210	
534498	370214	
534498	370947	Sumati
534499	407195	Herself
534500	367623	Neighbor's Child
534501	275636	
534502	2165	
534502	12990	
534502	68815	Giga
534502	69180	Herself
534502	94711	Geisha
534502	102722	
534502	158767	La cantante del Night
534502	175829	
534502	211528	Amanda
534502	225046	Mujer madura
534502	264748	(special edition only)
534502	295715	
534502	338834	Amanda
534502	356006	
534502	356649	Herself
534502	356661	
534503	135138	Cecília
534505	10291	Michèle
534505	57968	
534505	68896	Mercédes
534505	90720	
534505	293062	Alina Spencer
534505	328363	
534505	336592	
534505	338715	Renata
534505	354880	Rossana
534506	146871	Munich artist
534507	45588	
534507	165091	Mitha
534507	189487	Swedish girlfriend
534507	255662	Amandla, Swedish Girl
534507	255712	Amandla, Swedish Girl
534507	406380	Herself (4° to leave, 17 days
534508	13616	Amelia
534509	40631	First Victim
534509	179878	
534509	180562	Lady in white
534509	235805	
534509	350544	
534509	389020	
534510	114206	Crown Princess Sophia
534511	388489	
534512	65554	Iris
534512	392705	Handmaiden
534513	22181	Elsa Kramer
534513	31665	
534513	34700	
534513	53218	
534513	79458	Joan
534513	134774	Marion
534513	134818	Betty Amann
534513	157882	Janet Leeds
534513	162931	Olga, the killer
534513	176248	Ruth
534513	178622	
534513	189834	
534513	220165	
534513	227338	Eula Denning
534513	231634	Ada
534513	237426	
534513	252902	Jacqueline Dubarry
534513	268173	Violet Ray
534513	277627	The Princess
534513	290150	
534513	302226	She
534513	316884	Theodora Smith
534513	316899	
534513	317252	
534513	337615	Amy Taggart
534513	361120	Saira
534514	18968	
534514	110648	Tatjana
534514	152769	Hanako
534514	236817	
534514	380652	Hélène
534514	389956	
534515	87224	Young Allison
534516	72376	Dancing Girl in Bar
534517	308884	Honma's Fiancee
534518	335986	
534519	244528	
534520	21830	
534520	384218	Mami's Mother/Teacher
534521	4577	Yukiko Shirane
534521	49934	Nanvel
534521	64823	Anna Shinjo
534521	82828	Hayakawa Moemi
534521	104291	Belleza/Bellena
534521	123110	Garnet
534521	155537	Kawai Kawai
534521	155714	Yayoi Toreishi
534521	182026	Oyu
534521	190590	Nami Kojima
534521	209785	Teela Zain Elmes, Tukasa Kusc
534521	217377	Jennifer
534521	232868	Girl in disco
534521	244232	Satô Yuri
534521	258547	Ibuki
534521	265579	Additional voice
534521	296855	Rirubelt
534521	298966	Gold Digger
534521	299125	Ifurita
534521	316618	Hokuto
534521	316619	Hokuto
534521	316624	Ibuki
534521	324535	Hase Miyako
534521	327801	Kiyone
534521	327803	Kiyone
534521	344945	Akiko Shimizu
534521	370447	Female employee
534521	373381	Keiko Yukimura
534521	380725	Mizuho Aritaka
534521	381162	Murasaki
534521	382108	Beruche
534521	382111	CereCere
534521	383019	Nanvel Candlestick
534521	383095	Shizuka Kawaii
534521	394419	Rain Mikamura
534521	394549	Karma
534521	396330	Patricia Longfellow
534521	396440	Alcyone
534521	396497	Kiyone Amayuri
534521	396503	Juju
534521	398579	Yuriko Star
534521	398900	Madoka Moriya & Helena (2)
534521	401393	Lashara (Japanese version)
534521	405028	Rirubelt
534521	405146	Kiyone
534521	405166	Snow White (Shirayuki Hime)
534521	407389	Nae
534521	407829	Kiyone
534521	407839	Naria
534521	410739	Reiko/Mimiko
534521	411883	Yukimura, Keiko
534522	357414	
534523	30506	
534523	188197	
534523	192837	
534523	267899	
534523	277690	
534523	284056	
534523	311766	Tanya
534523	349319	
534523	357345	
534523	375174	
534524	46408	Herself
534524	95793	Herself
534524	351255	Herself
534524	359312	Chief International Correspon
534524	378910	Herself - Correspondent (1999
534525	81640	
534526	27990	
534526	54576	Princess Maria
534526	68251	
534526	74909	
534526	75622	
534526	84064	
534526	200541	
534526	351564	Gina
534526	375861	
534527	175913	
534528	156950	
534529	307060	Donna
534530	348718	Soumaya
534531	242878	Herself
534531	275025	
534532	133509	Opera Montage
534533	160966	
534533	219852	
534533	255798	
534534	333143	Policewoman
534535	14924	
534536	53889	
534536	70096	
534537	52070	Dancer
534539	387901	Secretary
534540	110666	Dancer
534541	69239	
534541	115768	Cleonice
534541	336316	
534542	391900	
534543	54103	
534544	13050	
534544	14751	
534544	51931	Zulma
534544	68624	Dr. Renato´s wife ( segment "
534544	84533	
534544	94481	
534544	187529	
534544	199033	Madame Ribeiro
534544	210691	Madame Iara
534544	237933	
534544	247876	
534544	262234	
534544	269537	
534544	282812	
534544	327327	
534544	336124	
534544	340278	
534544	378772	
534544	379818	
534544	380168	Helena
534544	380538	Laura
534544	382690	Fabiana
534544	382724	Lucy
534544	383141	Emerenciana
534544	383584	Marisa
534544	384250	
534544	384303	Idalina
534544	385494	
534544	387052	Sara
534544	387424	
534544	387915	
534544	388998	Nara
534544	389153	Anita
534544	389786	Herself
534544	390499	Veridiana
534544	391901	Orjana
534544	393005	Branca
534544	396775	
534544	397439	
534544	398361	Regina
534544	400094	Isabel
534544	400444	Maria Clara
534544	400838	Zefa
534544	401092	
534544	401095	Eunice
534544	401678	Bruna
534544	402424	Ligia
534544	404273	Encarnacion
534544	404798	Valquíria
534544	404834	Modista
534544	405454	Inez Fontes
534544	405854	Andréa
534544	408381	Freira
534544	409428	Jaqueline
534544	410377	Maruca
534544	410476	
534545	254614	Inga
534546	207726	
534546	341473	
534547	43591	
534547	286571	
534547	286574	
534548	45899	Extra: park
534549	268993	
534550	286571	
534551	55343	Celina
534551	272890	
534552	122183	COPS officer
534553	388721	
534554	402582	
534555	381200	Nefasta
534555	383727	Jessica
534556	274967	
534557	63125	Guest #2
534557	114339	Candle Singer
534558	124240	
534559	406832	
534560	116392	
534561	15083	Melanie
534561	15134	Joséphine
534561	23815	Charlotte Cotterel
534561	23825	Migo
534561	24722	Gabrielle
534561	51223	Helga
534561	77259	
534561	104235	Pepita
534561	111046	
534561	123060	Mme Grance
534561	132994	
534561	148749	Paulette Bordier
534561	170421	Mélanie Rampeau
534561	179290	Marthe
534561	187573	
534561	222159	Carmem
534561	235244	
534561	248257	La belle touriste
534561	248329	
534561	248984	
534561	266121	
534561	275019	Tezinho's Mother
534561	337030	
534561	340357	
534561	380120	
534561	380386	Celeste
534561	380871	Suzy
534561	383247	
534561	384032	(1969)
534561	385629	Áurea
534561	386021	Sabine
534561	386140	
534561	386422	
534561	387166	
534561	387201	
534561	388592	Joana Flores
534561	390751	Nieta Carneiro
534561	391313	Dorzinha
534561	391933	Catherine Durupt
534561	393005	Tula
534561	393489	Herself (regular guest)
534561	395259	L'amie de Laure
534561	401199	
534561	402357	Reine Claude aka Prune aka La
534561	404861	Dora
534561	405810	Sofia
534561	409418	Beatriz
534561	410310	
534561	412305	
534562	275332	
534563	8650	
534563	354972	
534564	370294	
534565	192960	
534566	406645	Host
534567	41578	
534567	301393	Female Castanho
534568	64281	Herself/Interviewee
534569	35097	Suster Zaenab
534569	51506	Tinung
534570	166370	A girl
534571	37571	Debbie Worden
534571	78356	
534571	88314	Penny
534571	125588	Monet St. Croix/M
534571	147690	Kelly Starr
534571	407162	Patty Gilbert (1994-1995)
534572	335791	Man In Hellavator
534573	54164	Herself - a singer
534574	96325	
534575	3424	
534575	33506	
534575	48818	
534575	51101	
534575	51233	
534575	56057	
534575	74721	Blanquita
534575	99790	
534575	103529	Elena Silveira
534575	103985	Caridad Valdes
534575	150559	
534575	193356	
534575	212529	
534575	234389	
534575	265507	
534575	278423	
534575	293053	
534576	53864	Margarida
534577	202715	
534578	124098	Adrianas Granddaughter
534579	43591	
534579	63831	
534579	64679	
534579	134487	
534579	205696	Patrícia
534579	286571	Geni
534579	328191	Maria
534580	87166	Ms. Inners
534581	166873	Tirza
534581	362655	Townsperson
534582	103108	
534582	103899	
534582	139360	Yasmine
534582	171720	
534582	240968	La jeune femme
534582	314761	Rosa
534582	351550	Han Suan
534583	99081	Horse
534583	387092	Jennifer Collins
534583	387643	Ruby
534583	397859	Primrose Iredale
534584	19628	
534585	28871	Norma
534585	99375	
534585	173072	Huguette Tranchet
534585	353965	Une cliente de la quimboiseus
534586	124624	
534587	119327	Vocalist
534587	206621	Stupid Medley Martian
534588	100431	Eva
534588	208513	L'infirmière #2
534588	318514	
534590	26237	
534591	306853	Mary Jo
534592	595	Satomi
534593	124048	Foul Phil
534593	186680	Youny Woman
534593	214943	Schoolteacher
534593	308122	Chloe
534593	316641	Rookie Cop
534594	40450	Agent Rego
534595	47077	New Pope Cheerleader #1
534595	262093	Nurse
534595	308609	Caroline's Friend #2
534596	246448	
534597	105892	Little Dutch Girl
534598	10648	Undercover Agent
534599	86287	Cop #1
534600	73826	Hotel Patron
534601	188453	'Dislike' Girl
534602	268847	Lucia
534603	158857	
534604	71856	Jula Diva
534604	255232	1st Girl at Bar
534604	305317	Mr. Snooper
534604	406105	Herself
534605	384744	
534606	49600	La matrone
534606	157283	Innkeeper's Wife
534606	240617	
534606	276521	Amalia
534606	336302	Concierge
534606	356501	Faruda
534607	127098	Dr. Kay Foster
534607	187602	Shamara
534607	390916	Regular
534607	392135	Jenny Boychuk
534607	393887	Host
534607	408056	Herself/panelist (1976)
534607	408258	
534608	14624	Stenographer
534609	355701	
534611	53916	Lola
534611	141166	Waitress
534611	155072	Myrna Williams
534611	176723	Witness
534611	254523	Swan's Entourage
534611	275104	Nurse
534611	305341	Girl in Shower
534612	33676	Juzza
534613	13321	Herself
534614	113362	Anna
534615	77476	Singer
534616	232895	
534616	401970	Silvia Graziani
534617	21321	Lizzy
534618	305575	Member of Pregnant Family
534619	253246	Mathilde Pittas
534620	332719	
534621	2464	
534621	4835	Susa
534621	7556	Nora
534621	17491	
534621	20173	Ava
534621	98423	
534621	107024	Natasha
534621	119017	Vicky
534621	139706	Marie
534621	140375	Sara Stein
534621	186187	
534621	234467	Kelly Ream
534621	236813	Carmen
534621	248040	Alexa
534621	280205	Adrienne
534621	281967	
534621	325519	Beatrice Koch
534621	325597	Claire von Dohmen
534621	351892	Kay Vogel
534621	367454	Mary
534621	377365	Gila
534621	384085	Alia Atreides
534621	391078	Jessica
534622	9109	
534622	14938	
534622	53639	From 'Los Tarantos' (1962)
534622	90228	
534622	93682	
534622	116523	Herself
534622	145136	Soledad
534622	178881	Gypsy dancer
534622	206984	
534622	225704	
534622	247372	Dancer in "Good Neighbors" Nu
534622	269357	Herself
534622	293103	Specialty
534622	324894	Angustias
534623	114873	Dancer: Grupo Las Peligro
534624	353920	Claudine
534625	378357	
534626	114873	Dancer: Grupo Las Peligro
534627	10303	Pilot
534628	137038	
534629	103375	Enfermera #1
534629	183161	Cuban maid
534630	114873	Dancer: Grupo Las Peligro
534630	335169	
534631	353672	Carmen
534632	27845	Herself
534632	63922	La Chunga
534632	80140	
534632	189001	
534632	378490	
534633	84258	Cliente Telefonía 1
534634	150657	
534635	136529	
534636	28314	
534637	104758	Spanish Entry (20th place)
534637	114873	(segment "Tangos")
534638	29713	Lili
534638	52820	Nancy
534638	85726	
534638	104497	
534638	122240	
534638	225820	Luiza
534638	252759	
534638	287735	
534638	353104	
534638	383479	Rosimar
534638	387201	Alice
534638	390076	Mirtes
534638	390499	
534638	397409	Joaninha
534638	401086	Vitória
534638	401932	
534638	402809	Maria de Las Merces
534638	403119	
534638	404273	Pilar
534638	404834	Marlene
534638	408997	
534638	409025	Gigi Bourbon
534638	412306	Yolanda de Izzendorf
534639	255291	
534640	21426	Mimi Chardenet
534640	25180	
534640	356475	Olga Petrovitch
534641	12708	
534641	328760	
534642	250993	
534642	264845	
534643	393351	
534644	169512	Lady at Abby's
534645	57870	Azucena
534645	71282	Madre de Marina
534645	306693	
534645	322853	
534645	328888	
534645	343172	Woman in Party
534645	387187	Pía
534646	191604	Adinda
534647	400343	Spinning
534648	81272	Special Appearance
534648	140665	
534649	1258	
534649	2781	Stars on 54
534649	41615	
534649	42439	
534649	52294	
534649	54598	
534649	58002	Paint Girl
534649	59902	Herself
534649	70402	Bump
534649	72801	
534649	110539	
534649	147050	
534649	160393	Herself/Skating Dancer
534649	191356	
534649	233739	
534649	313380	
534649	316611	
534649	343050	
534649	344140	
534649	388192	Host
534649	404466	Herself/The Ditzy One
534649	405984	(Academic Chair, USC)
534653	320269	Sybil Packer
534653	367502	Maude Fenwick
534654	20613	Bit part
534654	348327	Goldwyn Girl
534656	245600	Janus Silverstein
534657	321141	Bonnie Martin
534658	139783	Danielle Carver
534659	235541	Nurse at Counter
534660	93096	
534661	16879	Girl in Pleasure Chest
534664	356701	
534665	200786	
534666	57928	
534666	85986	Edwige (Maid)
534666	242540	
534669	210881	Waitress
534670	53006	
534671	6575	
534671	14837	
534671	36473	Daughter of Lot
534671	67905	Paolo's Friend
534671	85729	Dancer
534671	119261	Betty Grimaldi
534671	133008	
534671	174482	
534671	202207	Laura
534671	202298	Freya Zemis
534671	230893	Verna
534671	238479	Laura
534671	256799	Rosy
534671	287647	Sarah
534671	296518	
534672	70184	
534672	217943	Broker
534673	15978	
534673	17343	Sujatha
534673	18184	
534673	77036	
534673	101364	
534673	155569	
534673	162496	Aswathy Varma
534673	171749	
534673	171765	
534673	198698	Shravani
534673	198770	
534673	221643	Radha
534673	226090	
534673	226093	
534673	233184	Baby
534673	246355	
534673	278191	
534673	285861	
534673	306089	
534673	350690	
534673	350966	
534674	74566	
534675	83486	
534675	222008	Ambite
534675	233539	Alicia
534676	175977	
534677	335363	Johanna
534678	58937	Nurse
534678	64056	Nurse
534678	387533	Hannah Tolly (1981-1982)
534679	22728	Patient at ball
534680	209237	Longshot
534681	2741	
534682	160572	Madeleine Tey
534682	267484	Eileen
534682	387533	Emma Nightingale (1995-1996)
534683	108228	Herself
534685	225618	Jo
534685	253589	
534685	325456	
534686	59316	
534687	83240	La pianiste classique
534688	257324	
534689	324255	Dishwasher
534690	229104	Vittoria Pagano, als Kind
534691	92510	Ashton's Patient
534692	402190	
534693	379118	(2000)
534693	383392	Esperanza
534693	401698	
534693	401916	
534694	48795	
534694	72626	
534695	93323	Teacher
534696	224883	
534696	346593	
534697	376956	
534698	359744	Former Clinton Intern
534699	6864	Maria
534699	12018	Bridget
534699	84486	Mother
534699	92248	Al's First Kiss
534699	194740	
534699	224693	Queen Mara
534700	36937	
534700	128635	
534700	327781	
534700	333829	
534701	382838	Julia Brogan (1985-1998)
534702	69357	Dotty O'Donnell
534702	176713	Customer
534703	160408	(segment "Brush Strokes")
534704	105819	Sarah's Mother
534705	239888	
534706	2787	Herself
534706	6556	Evie Brighton
534706	53323	Denise Fleming
534706	157436	Vicky
534706	266577	Florence 'Chicklet' Forrest
534706	300146	Herself
534706	318855	Tami
534706	321452	Frankie Wheeler
534706	404376	Grace Whitmore
534706	405512	Claire Fisher
534707	74988	Monica Commons
534707	379925	Herself
534708	380430	
534709	86017	Suga
534709	164572	Billingsley Sales Girl #2
534709	164587	Shaniqua Summers Wells (Jacki
534709	210837	Grace
534709	226777	Jamaican Tam
534709	278526	Vonda Simmons
534709	313825	Kiki
534709	329311	Stacy
534709	330383	Nikki
534709	379047	Joanne 'Jo' Walker
534709	382880	Dru
534710	39646	
534710	60761	
534710	98881	Star
534710	103451	
534710	113992	
534710	243125	
534710	253013	
534710	295586	Nurse trisa
534710	295680	
534710	316723	
534710	321023	
534710	332450	
534710	364815	
534711	286127	Cristal
534712	65991	Priscilla
534712	256074	Prostitute
534713	75242	Contadina
534714	2731	Belly dancer
534714	36473	
534714	39191	
534714	46786	
534714	346091	
534715	275233	Belly Dancer
534716	204470	
534717	315437	
534718	156964	
534719	202427	
534720	270884	
534721	78690	Herself
534722	296750	Dr. Susan Willem
534722	389858	Judge Anne H. Bailey (2004)
534722	392882	Mrs. Chen
534723	353499	Herself (Model)
534723	353500	Herself (Model)
534724	81690	Liduna
534724	110048	Alenka
534724	175074	
534725	104741	Yugoslav entry (7th place)
534725	170213	Herself
534726	290843	Viktoria
534727	62426	
534727	96603	Malwina
534727	165077	Eva
534727	284347	Cinema Menageress
534727	334199	Basia
534728	407837	Helén, a tábornok unokahúga
534729	182692	
534730	197417	Eva
534730	206307	Madeline Biron
534730	219340	
534730	242847	Tänzerin
534730	364993	Ilona, Verkäuferin
534731	250888	
534732	380367	Pamela
534733	69926	Kimberly
534734	85552	La femme de la maison
534735	171698	Angela
534736	19833	'Big' Ethel Muggs
534736	66661	Special Agent Janet Hood
534736	78781	Burgess
534736	109439	
534736	209683	Lola Larue
534736	227024	Miss Italy
534736	245345	
534736	254415	Edna
534736	379201	Jane Dragon Gianopolis
534736	391207	Valentina
534736	404665	Mona
534737	265101	'Hubba Hubba' Lady
534738	90004	Rock dancer
534739	123405	Herself (Widow of Alan Ameche
534740	103127	
534741	103127	
534741	103201	Profesora de Canto
534742	133052	L'infirmière
534743	193280	
534744	30401	Richard's Mistress
534744	299738	Woman in Limousine/50's Diner
534745	8052	
534745	36221	
534745	78650	
534745	86625	
534745	208583	
534745	285806	
534745	299738	The Mistress
534746	4728	
534746	27389	
534746	61008	
534746	82209	
534746	131888	Gopi
534746	139828	
534746	152487	
534746	152490	
534746	198677	Reeta
534746	201086	
534746	216400	Anna
534746	222436	
534746	227136	
534746	251217	
534746	278808	Roopa
534746	287641	
534746	299258	Shama
534746	341693	Meena
534747	89972	
534748	22115	30's Office Lady
534748	34287	Reiko
534748	137380	Madoka's senior
534748	177101	
534749	2618	
534749	183388	
534749	183389	
534749	373315	Fatma
534749	407152	
534750	223565	
534751	3159	Heather
534751	381912	
534752	262174	
534753	247422	
534754	6200	Meghan Walsh
534754	10329	Alexandra 'Alex' Deford - age
534755	2993	
534755	72967	
534755	91088	
534755	209000	
534755	212460	
534755	234181	
534755	261225	
534755	271992	Linda
534755	275509	Dancer
534755	322852	
534755	339116	
534755	365213	Teresa
534755	384899	
534755	391444	Lina
534755	391962	
534755	399709	
534755	409913	
534756	23067	
534757	328007	
534758	373333	
534759	81040	Accident Observer
534760	391407	Sara
534762	24984	
534762	208853	
534763	13056	
534763	24984	
534763	25322	Gertrude
534763	57480	
534763	119751	Arlette Vibert
534763	211292	
534763	227595	Caroline Murat
534763	294077	
534763	300778	Herself (segment "Emma Daniel
534764	26008	
534765	23903	Imma
534765	93736	
534765	93741	Madre di Aldo
534765	135158	Elisa
534765	206012	
534765	212478	
534765	229741	
534765	307584	Nerina
534765	336594	
534765	342124	
534766	84777	Elizabeth
534766	250764	Alexis Shannon
534766	296750	Jenny Penn
534767	240137	
534767	319325	
534768	19464	Nina
534769	158861	
534770	16867	
534771	16208	
534771	94305	Laura
534771	144129	Marie Bode
534771	405500	Viola Schmitz
534772	99137	Dancer
534773	191244	Additional Voices
534773	277071	Lincoln Cheerleader
534773	278526	Additional Voices
534774	390917	Sally
534775	399130	Melissa Jarrett (1989-1991)
534776	355039	Young Mexican Girl
534777	225031	Amiga de Bárbara
534777	296121	Elena
534778	197985	
534779	381917	Herself - Runner-Up (2004)
534780	118007	Departing customer #1
534781	346591	Julie
534782	7889	Party Goer
534783	334646	Gabriela
534784	51993	Matilde
534785	272650	Darla Gratch
534785	272651	Female announcer/Darla Gratch
534786	47334	Fan in Dressing Room
534787	168755	Girl
534788	26563	Maenad (chorus)
534788	104970	Suzy Spitz
534788	190453	Kelly
534789	49934	Navel
534789	123447	Various
534789	130730	Yuka
534789	136044	Cate
534789	202806	Reiko, Sayoko Mano
534789	239209	Fuki
534789	286864	Nakoruku, Child D
534789	380473	Moe Fujimiya/Akiko
534789	405144	Hikari Horaki
534791	92593	Tracey
534791	123303	Colette
534791	219248	Heather Whitewood
534791	224109	Meagan
534791	393424	Additional voices
534791	400236	Mari Lynn Dennison Coleman (1
534792	197040	Waitress
534792	277515	Comedy dance team member
534793	1871	Ruby Wintryingham
534793	4718	Therese Alder
534793	24950	Ruth Knowles
534793	32564	Paulette
534793	39884	Mrs. Millicent Caldwell Bath
534793	47307	Aileen
534793	64806	Vivian Ross
534793	81149	Marcia Lane
534793	87688	Julia Thorndyke
534793	112095	Herself
534793	120508	Joan Burt
534793	121389	Eileen Baker
534793	126068	Barbara Loraine
534793	127633	Kay Parrish
534793	128619	Anne
534793	135563	Vera Marsh
534793	139525	Jane McDowell
534793	153183	Myrtle
534793	154652	Lola Estermonte
534793	183380	Adele Michel
534793	211545	
534793	239601	Girl in audience
534793	247376	Lia Maing
534793	279425	
534793	286115	Bit Part
534793	302887	Claire Kinkaid
534793	304504	Helen 'Mme. Helene' Smith
534793	342946	Jean
534793	367637	Betty Randolph
534793	368315	Bit
534793	372361	Princess Lescaboura
534793	374581	Susan
534794	67085	First Victim
534794	87800	
534794	150853	Gwen
534794	158948	Kia
534794	254540	Juror
534794	271865	
534794	302157	Olivia Gebhart
534794	335613	
534794	362635	
534795	126275	Mrs. Burns
534795	194269	McBride's Secretary
534796	151716	Olga
534797	26636	Girl on Stoop
534797	383426	
534798	62018	
534798	297686	
534798	315674	
534799	251646	Venetia Keydash
534799	394311	Secretary
534800	81269	Receptionist
534800	219370	Carol Lester
534800	223965	
534801	123696	Can-Can Girl
534802	9630	Nurse
534802	33754	Miss Bull
534802	52635	Nurse
534803	45257	Sexy Girl with Gun
534803	77986	
534803	81256	Mary
534803	87025	Hea-Thor
534803	185096	Jacuzzi Party Girl
534803	196471	Flat Top
534803	234814	Seductress
534803	236087	Unknown Woman
534803	279386	Sexy Girl
534803	304540	Dancer
534804	292396	
534805	39470	
534805	55671	Elsie
534805	91795	Dance Speciality, as Ames and
534805	125528	Bit part
534805	137780	Mrs. Brendel
534805	145898	
534805	150723	Entertainer
534805	214735	Florence
534805	298107	Heiress
534805	311625	Elsie
534805	324240	
534805	362326	Lizzy
534805	367633	Principal
534806	245589	Officer Candidate's Wife
534806	331180	Handmaiden
534807	84925	
534808	41234	Nola
534808	144910	Meg
534808	149998	Lynn Conners
534808	151623	Arlene Dow
534808	196558	Rowdy girl at concert
534808	372346	Girl In Lobby
534809	11583	Annabelle (Barney's girl)
534809	12766	Girl
534809	42068	Jitterbug
534809	46730	Mabel, Embassy Club Hat-Check
534809	116521	Lucille Rose
534809	139214	Pudgy Girl
534809	160946	Blonde
534809	184833	Florence, manicurist
534809	202248	Hot Garters Gardner
534809	204708	Thelma, the Cafe Cashier
534809	214080	Phyllis, Girl at Party
534809	228816	Hawaii pickup #1
534809	262138	Googie
534809	340694	Waitress
534809	366369	High Schooler's Sister
534810	142597	Ermengarde Vandergelder
534810	334596	Haddie
534810	385913	Herself (1969)
534811	40343	Barbara
534811	171127	Teenybopper
534812	82137	Virginia, the American organ-
534813	101038	Michelle
534814	30896	Beth
534814	189408	Very Cute Girl
534814	259284	Janice Carson
534815	82113	Jack Fenton's Aunt
534816	292275	Brittany
534817	151769	Lulu
534818	407940	Herself
534819	297181	Diane
534819	336164	Mrs. Whiteson
534819	374659	Producer
534820	2275	Herself
534820	20846	
534820	76609	Dr. Parkington's Nurse
534820	135921	Alice
534820	277804	Betsy Williams
534820	342008	Girl
534820	363238	Julie Cummings
534820	389858	Audrey March Hardy (1963-; re
534820	395674	Policewoman Sandy McAllister 
534821	3448	Americana
534821	10340	Drunken woman
534821	10516	Nalu
534821	32160	Jeanne Du Bois
534821	33784	Lynn Turner
534821	40033	Ruth Dayton
534821	52658	Maria Steele
534821	66585	Sgt. Frances Blake
534821	72703	Cameo appearance
534821	116523	Laura
534821	122634	Frances Blake
534821	124704	Pepita Geralda
534821	127086	Undetermined role
534821	134026	Corinne
534821	139937	Mona Mallory
534821	183358	Bit Role
534821	213820	Party Guest
534821	222328	Amina Mansouri/Ananka
534821	254708	Virginia Berneaux
534821	283542	Madge Penderby
534821	307821	Ruth Dayton
534821	323661	
534821	333386	Bar Patron
534821	335726	Party Guest
534821	343120	Louise
534821	353373	Cafe Photographer
534821	354221	Betty Winslow
534821	360123	Betty
534822	249166	April
534823	384590	Herself (wife of Aldrich Ames
534824	133654	Eleanor Blake
534824	154063	True Merrill
534824	195973	Joan Prior
534824	221091	Norma McLeod
534824	241557	Miss Weber, Sheridan's Secret
534824	244865	Elsa Middleton
534824	267588	Mona
534824	318078	Helen Hallock
534825	364644	Tootsie Fahrenheit
534826	119803	Maid
534826	154478	Luxembourg Girl
534826	177989	Harem Showgirl
534826	184955	Guest
534826	343160	Beautiful Girl
534827	387309	Sarah Lane Karr (1956-1961) (
534828	157771	Simone
534828	304236	Motel manager
534829	50974	Ursula
534829	64072	Daughter
534829	127487	Libby Bennet
534829	136509	Scottish Girl (Uncle Jocko Sc
534829	157234	Francine
534829	394172	Candy
534830	362652	
534831	342150	
534832	193225	
534832	265147	
534832	307240	
534832	308277	
534832	370181	
534832	380106	
534832	397256	Lidia
534832	398454	
534832	401691	María
534833	274963	Prostituta 2
534834	310515	Emily
534835	52992	
534835	62043	
534835	131117	
534835	199814	
534835	247181	
534835	301580	
534835	338339	
534835	376847	
534836	16298	
534837	386024	Dinah Hunter
534838	231386	Beach Girl #2
534838	298083	
534838	346276	Vamp
534839	80619	Waitress #2
534840	215499	Carmelita
534840	379888	Elena
534840	383273	Mónica
534840	383471	Clarissa Santos Dorantes de V
534840	385416	
534840	390404	Hermana Marcela
534840	397021	Digna del Olmo
534840	402190	Gisela
534841	384390	Deborah
534841	404161	Romina
534842	345288	Maghrébine
534843	392911	Mère de Zakaria
534844	83059	Fru Nielsen
534844	90167	En dame
534844	94269	Fru Madsen
534844	96443	Fru Kærgaard
534844	105047	Fru Jørgensen
534844	105068	Fru Jørgensen
534844	109298	Fru Olsen
534844	120312	
534844	147395	Fru Kærbo
534844	151239	Dame i parken
534844	153348	
534844	166599	Smith
534844	184566	Fru Ludvigsen
534844	203398	Ældre Dame
534844	213436	Rengøringskone på svensk muse
534844	216781	Fru Løve
534844	240092	Ekspedient i sex-kiosk
534844	242919	
534844	245592	Veras mor
534844	251143	Fru Hansen
534844	262961	Garderobedamen
534844	268376	Damen på gaden
534844	304362	Mrs. Grigson
534844	317649	Oda Christensen
534844	317652	Dame på posthus
534844	317653	En servitrice
534844	318532	
534844	333012	Kunde
534844	351462	
534844	353004	Fru Martinsen
534844	356855	Gæst ved begravelse
534845	24470	Blanca
534845	59683	
534845	76157	Constance Bonacieux
534845	123952	Alex
534845	178849	Maja
534845	189554	Susan
534845	189555	Susan
534845	189556	Susan
534845	225202	Inken
534845	225203	Inken
534845	338430	Patricia Berger
534845	347583	Kathi
534845	405500	Pia Faruk
534845	412102	Dörte
534846	293600	
534847	14624	Girl 2 on Beach
534847	93962	
534847	142889	Young Woman in Library
534847	221158	Charlotte Vincent
534847	362869	Trish
534848	270352	Une secrétaire
534849	64007	Saba
534849	156551	La femme de ménage
534849	201135	
534849	303091	
534849	401319	
534850	183087	
534851	19545	Nubian
534852	364358	Sorority Girl A
534853	191054	Sara
534854	31500	Laurie Harris
534854	43378	Angeline
534854	44561	Megan
534854	56545	Herself
534854	72030	Lauren
534854	90407	Mandy
534854	93139	Lena Mathers
534854	107151	Jamie
534854	117266	Rhonda
534854	119775	Zina
534854	129460	Dr. Sera Levitt
534854	138370	Grace Mitchell
534854	141425	Ann 'Annie' O'Keefe
534854	152931	Samantha Clark
534854	154944	Amy
534854	170983	Miss Doddsworth
534854	191495	Gabrielle Mitchell
534854	196281	Lauren Harrington
534854	221105	Jackie McCoy
534854	272739	Susan Costello
534854	278864	
534854	289772	Carmen
534854	304854	Tanya Robertson
534854	338298	Sarah Collins
534854	342549	Shelly Johnson
534854	342552	Shelly Johnson
534854	342618	Rachel Dwyer
534854	368715	Julie Clayton
534854	383789	Carrie Fairchild (1995-1996)
534854	388654	
534854	409210	Shelly Johnson
534854	409630	Kylie Clarke
534855	394225	Rosa
534856	57210	
534857	232630	Skating Rink Extra
534859	103331	Indian Woman
534860	399012	Remzije
534861	29682	Une garde
534862	405076	Nitza
534863	2169	Fabienne
534863	6388	Poupée
534863	16076	Chambermaid
534863	30847	
534863	42526	
534863	86396	Kim
534863	104240	Marie
534863	112864	Liliane
534863	132800	Zina
534863	136796	Habiba M'Sika
534863	198357	Malika
534863	202088	Farida
534863	215851	Diane
534863	229490	
534863	234688	Amina
534863	245953	Salima
534863	258313	Radia Ben Saïd
534863	335081	L'infirmière
534863	345269	Françoise Gauthier
534863	349741	Sooledad
534863	379366	Judith Saint-Romans
534863	392003	Sarah
534863	396591	Linda
534863	397911	Diane
534863	403559	Inspecteur Fred Dubreuil
534864	64722	Herself
534865	166370	Ariane
534866	42372	
534867	187663	The Pupil
534868	84267	Young maid
534869	17856	
534869	24615	La femme du café
534869	33276	La concierge
534869	33892	Mme Caizergues, la patronne d
534869	57474	
534869	58755	Mère Martin
534869	64011	2nd Concierge
534869	77362	L'épicière
534869	84106	La belle-soeur
534869	90108	La Ramée
534869	95276	La villageoise
534869	111039	Señora Miniac
534869	111780	
534869	198639	La dame agée - dentiste
534869	198974	Une journaliste
534869	201183	Georgette
534869	231305	La Voisine
534869	232628	Femme police
534869	238463	
534869	254317	L'infirmière
534869	265797	Maman Catherine
534869	275652	Esther
534869	327551	
534869	346516	Suzanne
534869	357848	La concierge
534869	377652	Concierge
534869	386222	
534869	401319	Mme Leblanc
534870	189318	
534871	40530	Lisette
534872	1378	Child's Nurse
534873	88058	
534874	398585	Announcer
534875	396868	Alexandrine
534876	30421	Satsuki Hashimoto
534876	32574	Yoshiko
534876	127738	Minako Mizutani
534876	132094	
534876	169218	
534876	232907	Young girl
534876	244173	
534876	289177	Megumi
534876	294180	Tanigawa Kazuyo
534876	336581	Miho Yokoi
534877	27035	Herself
534877	148370	
534877	271450	Manisha's Friend
534877	313951	Boss' Assassin
534878	31461	
534878	36441	
534878	174160	Doray
534878	291309	Marietta Modestas
534879	6417	Cikgu Bedah
534880	320855	
534881	4896	Amaal
534881	8063	
534881	8692	
534881	19613	
534881	25536	First Lady Jihan El-Sadat
534881	27762	Mona
534881	30539	
534881	78612	Mona
534881	174670	Hind
534881	175959	
534881	235802	Layla
534881	268559	Nabila
534881	289175	
534881	326263	
534881	329371	Sana
534881	374184	Mona
534882	17439	Manda
534882	98524	
534882	126138	Lucy
534883	20398	
534883	74899	
534883	132386	
534883	159417	
534883	278742	Sol
534883	278743	Sol
534883	278744	Sol
534883	278747	
534883	292708	Cavazos, Sonia
534884	363505	Mrs. Bakshi
534885	75031	
534885	147240	French entry
534885	151188	1st Lady
534885	383027	Herself
534885	394967	
534886	131431	Governor's Wife
534886	183696	
534886	310880	Janet Howe
534886	331475	Patty
534886	407318	Amanda Taler (1988-1989)
534887	175866	
534888	296266	Nurse #1
534889	122500	Aunt Paula
534889	405540	Saima, andrepilot
534890	18081	Jenny's mother
534890	28628	Vanda Novak
534890	40865	Inga
534890	44831	Ingrid Borg
534890	48357	Ingeborg Brodd
534890	48368	Frida Frohm
534890	84314	Birgit Karpell
534890	100549	Linda Lejon
534890	108633	Biskopsgården
534890	109976	Gittan Svensson
534890	120892	Eva
534890	130071	Greta Ask
534890	142837	Gullan Karlsson
534890	144235	Mrs. Grönberg
534890	153744	Anne-Marie Stålhammar
534890	153945	Charlotte's private secretary
534890	154563	Carmencita
534890	168511	Mary
534890	170838	Nickan Dahlin
534890	188864	Marion
534890	198277	Old Woman
534890	199082	French teacher
534890	200410	Anna-Lisa
534890	209306	Britt
534890	219842	Eva
534890	248521	Christina
534890	262663	
534890	275867	Countess
534890	303200	Maria Valberg
534890	303207	Jimmy's Mother
534890	303662	Madeleine Haller
534890	317599	Juanita
534890	322664	Ulla Lundin
534890	338884	Germaine
534890	350564	Sonja Collin
534890	355642	Assistant Jeweller
534890	357762	Ulla le Fort
534890	357774	the Gracious wife
534890	390937	
534890	398828	
534891	332997	
534892	2974	
534892	35857	
534892	95821	
534892	117852	Lorentsa
534892	121290	
534892	164118	
534892	198127	
534892	214126	Countess
534892	221378	
534892	237529	
534892	262172	
534892	357659	
534892	373945	
534892	390430	Countess de Monpansier
534892	408861	Sekretarsha
534893	66731	The baby-sitter
534893	92981	L'étudiante/The student
534893	116431	Julie
534893	153788	Aude Amiel
534893	226660	Claudine
534894	39439	Réceptionniste hôptial psychi
534895	41467	
534897	25456	
534897	31467	
534897	38316	
534897	95225	
534897	116415	
534897	121598	
534897	137053	
534897	155154	
534897	155168	
534897	163103	
534897	172063	
534897	181604	
534897	183996	
534897	184030	
534897	221812	
534897	226474	Nadia
534897	297258	
534897	324837	
534897	358095	
534897	359581	
534898	16704	Sarah
534899	9679	Hospital patient
534900	306870	School Principal
534901	174920	
534902	7613	Dancer
534902	122398	Suzanne
534902	123804	
534902	159537	Raped girl
534902	176837	Dame bus
534902	218373	Party guest/Alien Dancer
534903	184814	Little Cambodian Girl
534904	23052	
534904	102504	Kibbutz member
534905	76942	
534906	186173	Mademoiselle Chappe
534907	42372	Anne's friend
534907	84648	La copine d'Anne
534908	212486	
534910	20893	Maia
534910	60335	
534910	62856	
534910	176018	Mother of Dzidzia
534910	200053	
534910	227051	Wife of Davit, princess
534910	247983	
534910	250656	
534910	268611	
534910	344194	
534911	247612	Leylomah
534913	94937	The Wives
534914	337701	Lush
534915	28480	Josephine Monaghan
534915	34002	Connie Roos
534915	37467	Aggie Donaldson
534915	41644	Kate
534915	51838	C.J. Crowley
534915	80410	Lisa Larkin/Dr. Sarah Flint
534915	105551	Molly Kenyon
534915	108530	The Girl in Dream Sequence
534915	113990	Jennifer
534915	169944	Jeanine Tyrell
534915	185662	Martha Cable
534915	226515	Cassandra
534915	241386	Laura Forrest
534915	257182	Robin Torrence
534915	277637	Rae Odom
534915	280152	Aggie Rockwell
534915	333856	Lizzy Calvert
534915	342683	Maureen
534915	343135	Eileen Mahoney
534915	348944	Edie Finneran
534915	359855	Anne
534915	363414	Chloe
534916	233840	English Hottie
534916	359499	Senate Aide
534917	395329	Ruchama
534918	304155	Ellie
534919	219572	Bambina
534920	60864	Mary
534920	195541	Young Gillian Guess
534920	224089	Penny
534920	319516	Little Greta
534920	330104	Young Julia
534921	110760	Nhozemphtekh
534921	308243	
534922	40300	Alanis look-a-like
534922	134378	
534922	332131	Anne
534923	17040	
534923	34293	Elisabeth Hausmann
534923	102386	
534923	125029	
534923	179797	Edmonde
534923	225295	Karin Neumeier
534923	281275	Mrs. Pacul
534923	290208	
534923	325857	Gaby Wechsel
534923	325867	Ria
534923	325944	Petra Koenen
534923	350881	
534923	395062	
534924	36208	Kalyani
534925	14510	Purushan's Mother
534925	280579	Bharathi
534926	267646	María Hernández
534926	280146	
534927	72973	Betta
534928	104955	Mother
534929	188579	Herself
534932	23058	Child
534933	23058	Asa
534934	23058	Child
534935	51807	
534935	221803	
534936	322335	Extra
534937	280756	
534938	10816	
534938	16438	Charlie
534938	18347	Antonia
534938	64676	Moeder Marie
534938	77003	Eva
534938	77016	Laura
534938	90839	Marcels moeder
534938	108417	
534938	118863	Eva
534938	134369	Constanze
534938	140288	
534938	142677	Katja (Zigeunermeisjel)
534938	149284	Margot
534938	158693	Fanny
534938	163580	Woman
534938	164320	
534938	169041	
534938	179475	Madame Germaine
534938	179814	Lily
534938	190386	Mieke de Beer
534938	190663	Madam Lauwereyssen
534938	193785	
534938	195163	Louisa
534938	197318	Gabriella
534938	204766	Maria
534938	205806	Griet
534938	208563	
534938	211053	
534938	213551	Queen
534938	213559	Susan
534938	214897	Mira
534938	229674	
534938	240402	Joanna's mother
534938	242445	Mathilde Bos
534938	247867	Michelle
534938	260846	
534938	282257	
534938	285512	
534938	290074	Mrs. Bleeker
534938	320256	Clara
534938	335532	Petra
534938	352377	Pascale
534938	352402	Marleen
534938	356107	Martha
534938	356818	Ilse
534938	358922	Karina
534938	366472	
534938	391424	Leonie
534938	394609	
534938	396408	Judith Bouwhuis
534938	404425	Lena
534939	2487	Female part of couple
534940	249192	Young Rosie
534941	125586	Andrea
534942	26777	Harper's Bazaar Models
534943	11697	
534943	111644	
534943	269094	Eva
534943	279244	Giulia
534943	281823	Rosa
534943	406000	
534944	169401	Old Lady
534944	329404	
534944	367342	Manufort's Mother-in-law
534944	399136	Nelly
534945	351842	
534946	236368	Miss France
534947	333520	Specialty Dancer
534948	330827	Herself
534949	364367	Prisoner
534950	61141	Julia
534951	74834	Cándida
534951	136997	
534951	187887	
534951	354041	
534951	378423	
534952	334249	Prostitute
534953	235760	
534955	280181	Herself
534955	362123	Lisa Napolitano
534955	370711	
534956	352405	2nd Girl Walking
534957	125939	La femme
534957	377001	
534958	165980	Jamuna
534958	290782	
534959	144929	Seajacker Samba
534960	11286	Julie Stevens
534960	41282	Kristi
534960	88561	Toby
534960	142249	Student #1
534960	242028	Coby's Girlfriend
534960	324518	Irene
534960	347852	Jessica
534960	401930	Marisa Murphy (2000)
534961	278511	Elsie
534962	122316	Technician
534963	225421	
534964	324729	Kinko's chick
534965	333002	Diana
534966	78968	Sister
534967	78968	Mother
534968	405209	Ivy Schmidt (2002)
534969	222360	Hostess
534970	283396	Sarah Manning
534972	10996	
534972	48522	
534972	49116	
534972	94628	
534972	128952	
534972	137587	Leonora
534972	144251	
534972	152418	
534972	163826	
534972	174386	Daisy
534972	202414	
534972	204975	
534972	219857	
534972	226671	Belen
534972	229796	
534972	281765	Rosario
534972	287952	Alyssa
534972	322972	
534972	328933	Carmela
534972	344201	
534972	355049	Aning
534973	124705	
534973	337960	
534975	12737	Peggy
534975	41400	Virginia Sheffield
534975	80610	Sister Kereby
534975	144895	First Teenage Girl
534975	154087	Rose
534975	236082	Margaret Burton
534975	253976	Annie
534975	264487	Voice
534975	306001	Paula
534975	336653	Sue
534975	380592	
534975	381608	Josie
534975	383525	Felicity Carson
534975	383813	
534975	385465	Mayor Burdette Buxton
534975	387357	
534975	391896	
534975	402197	Jean Vernon (1979)
534975	404357	
534975	406264	
534975	406891	Stella Burke
534976	296454	Rosi
534978	51827	Vertiginosa
534978	98699	
534979	394137	Yaya
534980	66366	
534981	228267	Herself
534981	228268	Herself
534982	68980	
534983	768	
534983	781	
534983	37424	Latino Nurse
534983	70374	
534983	115307	
534983	128554	
534983	136458	
534983	150052	
534983	168070	
534983	252939	
534983	291003	
534983	291023	
534983	316381	
534983	333994	
534985	7752	
534985	11556	
534985	33873	
534985	34876	
534985	38903	
534985	39484	
534985	39647	
534985	39918	
534985	53047	
534985	56192	
534985	97116	
534985	123783	
534985	128241	
534985	130285	
534985	149250	
534985	276672	
534985	283310	
534985	306389	
534985	319330	
534986	1792	Miss August 1989
534986	52312	
534986	235603	Party Girl
534986	257616	Herself
534986	257649	Miss January
534986	257819	Miss August 1989
534986	257859	(segments "Free Wheeling", "G
534986	291449	Mary Beth
534986	361862	Herself
534987	86450	
534987	246450	
534988	328666	Laura
534989	387946	Contestant (2003)
534990	204317	
534990	291045	
534991	68954	
534991	124441	
534991	229441	
534991	279830	Madre Zorba
534992	293437	Benedetta
534993	122767	Gertrudes
534993	397541	
534994	344869	
534995	382741	Andrea
534996	409347	Dona de bar
534997	218425	
534998	286415	
534999	14703	
534999	90457	
534999	329018	
534999	383369	
534999	402263	
534999	408997	
535000	12105	
535000	343966	
535000	353579	
535001	228180	Herself
535002	294028	Chihiro no okâsan
535003	386933	
535004	233806	
535005	273144	
535005	305541	Presidentessa
535005	344596	
535006	222883	Doris
535007	193403	Matilda Lagger
535009	402332	Herself/Teacher
535009	408419	Diva
535010	43273	Josefa Vokácová
535010	84223	Grandmother
535010	88434	Jahodová
535010	165348	Fída, widow at Kostnice
535010	244014	Círková
535010	315358	Anna Bernátová
535010	352779	Komínková
535010	357666	Málková
535011	40631	Girl in Bikini
535012	30306	
535013	146447	
535014	49373	Martha Hobbs
535014	53516	Ruthie, Night Shift at Canadi
535014	158903	Mrs. Oakes
535014	165098	
535014	185085	Patient
535014	195452	Motel lady
535014	217490	Old Woman
535014	236107	Mrs. Greenleaf (segment "Silk
535014	259214	Little Old Lady
535014	265678	Housekeeper
535014	349022	Mrs. Linn
535014	372409	Landlady
535015	16901	Woman Next to J.P.
535015	54948	Dwahza
535015	93223	Nurse #1
535015	97644	Autograph Mom
535015	160042	
535015	232845	Rebecca's Nurse
535015	250514	Older Waitress
535015	321266	Coffee Shop Waitress
535015	342635	Jones
535015	360618	Dr. Sanford
535015	363423	Kitty
535016	46877	Paula
535016	48739	Dawn
535016	113933	Ellen
535016	127122	Soprano
535016	275398	Joven Veneciana
535016	292779	Girl with Scar
535016	339464	Diana
535016	351972	Cynical Lady
535016	390370	Yvonne Sparrow (II) (Series 4
535016	395164	Julie Davies
535016	398350	
535016	401225	Deidre Pearce
535017	105274	Good Deeds
535018	144744	
535018	263076	Marie
535018	301541	
535018	323567	Marie
535018	366416	Sandra
535018	390050	Clara Sturgess
535019	255330	Laura Wotton
535020	106848	
535021	245008	Solid Gold Dancer
535021	405356	Nami Yamaigumo
535022	217745	Singer
535022	221456	Herself
535022	221478	Herself/Presenter
535022	278290	Herself
535022	309296	Herself
535022	336085	Herself
535022	336086	Herself
535022	361242	
535023	168238	Cafeteria Kid
535024	290562	Lieserl
535025	183213	Firey 3
535026	101750	Blondchen
535027	255691	L'hôtesse du labo
535029	19283	Elke
535029	174795	Bride
535030	276309	Frédérique
535031	19759	Blandine Lenoir
535031	23655	Rose
535031	85153	Paule
535031	100023	Alexia
535031	211847	Jeanne Salève
535031	211901	Isabelle
535031	214021	Mme Lechaix
535031	219442	Solange
535031	252710	La Pucelle de la tente
535031	276501	Fabi Wolff
535031	284246	La Comtesse d'Ozeray
535031	294554	
535031	319969	Ellen Elson
535031	375368	
535031	381245	
535031	384595	Young Colette
535031	407717	Valérie
535032	54848	Mira
535032	124648	Fahimeh Amouzandeh
535033	207754	
535034	403792	Nanda Kröger
535035	218136	Angela
535036	45768	
535037	303584	
535038	34733	
535038	36912	
535038	82541	Lungs
535038	98893	Herself/Host
535039	56967	Pauline Jones
535039	100812	Emmy
535040	69243	Ines
535040	103662	Rosa
535040	143757	
535040	236028	Hermana 1
535040	237192	Mónica
535040	302358	Secretaria
535040	326121	Chica Yonqui
535040	331301	Josefina
535041	69781	
535042	286992	
535043	409463	Secretaria (2004)
535044	379252	
535045	237192	
535046	70523	
535046	94700	
535046	122436	
535046	268292	Elsa
535047	57163	Extra
535048	147928	Maha
535049	51917	Zineb
535050	141748	Herself
535050	141749	Herself
535050	174997	Herself
535051	286655	La tante
535051	288248	
535051	377961	Selim's mother
535052	99197	Heni
535052	254285	Natasya
535052	381853	
535052	397144	
535053	275346	Mrs. Codman
535054	46937	Mère de Smaïn
535054	84625	
535054	275862	Charlotte's mother
535055	28310	
535056	28310	
535057	197464	Dancer
535058	71825	Clara
535059	86034	Miep Gies
535059	327240	Deirdre
535060	105630	Herself
535061	126688	Mrs. Blake
535061	153246	Hostess
535061	177367	Chief Inspector
535061	238042	Player in Everyman Theatre Co
535061	385820	Clinic doctor
535061	388321	Marie Taylor (2004)
535062	337552	
535063	55206	Michaëla
535063	230887	Maria
535064	292097	
535065	265389	
535067	37894	Woman #1
535067	166917	Patricia Logan
535067	196063	Writer
535068	354863	
535069	27153	Donna Hoyt
535069	105884	Katherine Miller
535069	131447	Big Haired Woman
535069	152984	Hooker
535069	202915	Marta
535069	215178	Countess St. Croix
535069	246243	Space Chick
535069	256817	Tough Girl/Margarita
535069	264914	Capt. Berava Gree
535069	275792	Boob Babe
535070	178007	Mannequin
535071	104016	
535072	27247	P.O. Paula Miles
535072	117728	Emma
535072	192624	
535072	320856	
535072	383363	Constance Musa (The Man of La
535072	390432	Martha
535073	355924	Vivienne's Make-up Artist
535073	383363	Minister's Wife (The Man of L
535074	387964	
535076	154020	Prosecutor Assistant
535077	387189	
535078	129944	
535079	2618	
535079	329559	Yumi
535080	152798	ViVi
535081	18635	Girl on T.V.
535081	29227	Ginger Kingsley
535081	42386	Child in Hospital
535081	80508	Helen (9 years old)
535081	96770	Teenage Girl
535081	199539	Sara Tivey
535081	289074	Cassandra
535081	326663	Herself - Presenter
535081	342286	
535081	393599	Herself (eliminated round 1)
535081	407815	Herself (Single) (2003)
535083	21911	
535084	218561	
535085	88181	Theatre Mistress
535085	215500	Miss Florida
535085	307854	Party girl
535086	100169	La mère
535087	47172	Herself
535087	116884	Chardonnay Lane Pascoe
535087	150865	Claire
535087	157196	Herself
535087	217023	Beatrice Hastings
535087	389042	Chardonnay Lane/Pascoe (Serie
535087	395028	Valentine
535087	405476	Helen Grey
535088	19061	La mère
535089	7185	Françoise
535090	23559	
535090	27247	Barbara Hunt
535090	115674	Vera
535090	150884	Anne Collingridge
535090	190933	Julie Villiers
535090	282439	Irene Brett
535090	294217	Betsy
535090	381121	Barbara Hunt (Series 2-5) (20
535090	385095	Winnie Holden
535090	396080	Fanny
535090	396862	Irene Curie
535090	399383	Miss Fanny Squeers
535090	408461	Aunt Gwen
535091	286655	La fille de la femme du prêch
535092	286655	La femme du prêche
535093	218460	Baya
535094	19323	Rebecca
535094	97060	
535094	294387	
535095	243391	
535095	263415	
535096	302302	
535096	356032	
535096	377608	
535096	397021	
535097	252798	
535098	169775	
535099	100391	Copera
535099	192942	
535100	265765	
535101	273241	Herself
535101	360344	Herself (Nitro Girl Chae)
535101	410688	Nitro Girl Chae (1995-2000)
535101	410690	Nitro Girl Chae
535102	27815	Zhen Yuanping
535102	111261	Sun Guilan
535102	170848	Herself - Participant/Perform
535102	278742	Ana
535102	284171	Herself (mother)
535102	323074	Herself
535102	384804	Herself
535102	398446	Model
535103	8582	
535103	84174	Cristina
535103	104768	Portuguese (10th place)
535103	169704	
535103	205512	Aninha
535103	256780	
535103	278620	Margarida
535103	381908	Herself (Season 3)
535103	393351	
535104	254316	
535105	331100	Dancer
535106	243436	Costumer
535106	272859	Complimenting Patron
535107	48552	Dumb Woman
535107	103999	Criminal's wife
535107	189258	Amante di Tanino
535107	336270	Luisa
535107	395885	Mariana
535107	399570	
535107	410303	Carolina
535108	215029	Carmen
535109	34508	
535109	44909	
535109	84477	
535109	87933	
535109	108196	Liria
535109	112723	
535109	136139	
535109	179735	
535109	181391	
535109	225587	
535109	228994	
535109	229061	
535109	257160	
535109	270094	
535109	275249	
535109	282783	
535109	326029	
535109	352902	
535109	357278	
535110	379414	Mother
535111	20154	Ariana
535111	25627	
535111	79507	Aunt Aftaw Khan
535111	123544	
535111	136996	
535111	142417	Belly dancer
535111	159418	
535111	180562	
535111	226364	
535111	234324	Herself
535111	262980	Herself
535111	263830	Jovana Luna Guerra
535111	356791	Drugstore cashier
535111	379834	Margarita
535111	384116	Various roles (1988-1993)
535111	384400	Jessica Riquelme de González 
535111	386284	Adela Monroy
535111	396394	
535111	397594	Samantha
535111	398458	
535111	398490	Jessica Duarte
535111	402152	Jovana Luna Guerra
535111	403024	Mía Colucci
535111	409017	Melissa
535111	410327	Talita
535111	412195	Claudia
535112	13390	
535112	86769	Sheena
535112	144344	
535112	150657	
535112	172539	Gita
535112	222112	Additional Voices
535112	232127	
535112	264729	
535112	285008	
535113	29273	
535113	185067	Cindy
535113	355980	Bertha Buxtrom
535114	178141	Bit part
535114	246923	
535114	352639	Bit part
535115	8122	Agapi Mou Oua Oua
535115	13214	
535115	13215	
535115	18195	
535115	86075	
535115	98211	
535115	99418	
535115	100569	
535115	129657	
535115	137887	
535115	149585	
535115	172210	
535115	173977	
535115	184764	
535115	203810	
535115	205021	Ester
535115	207919	
535115	208783	
535115	212590	
535115	225922	
535115	229488	
535115	239167	
535115	244752	The Girl
535115	251909	
535115	254343	
535115	261623	
535115	272248	
535115	312896	
535115	331747	
535115	344688	
535115	344886	Paula B
535115	354475	
535115	370593	
535115	375289	
535115	375541	
535116	183660	Rose
535116	280946	Dolores
535117	3399	
535117	62398	Cantante
535117	224487	Herself/Dancer
535117	341645	
535117	370209	Jack's daughter
535118	334930	Beauty Salon Assistant
535119	98085	Special appearance
535120	184158	Salma
535121	353773	Omana
535122	226076	
535122	284777	Radha
535123	4097	
535123	4160	Sharda Kapoor
535123	24282	
535123	25668	Rekha Sharma
535123	28308	Balbiro
535123	38218	
535123	70430	Deepa
535123	78740	
535123	126942	
535123	145464	
535123	152456	
535123	152815	Mrs. Tiwari
535123	165018	
535123	169847	
535123	171793	
535123	172539	Lajjo Kapur's Sister
535123	174277	
535123	176109	
535123	198764	
535123	209843	
535123	217155	Dancer/Singer
535123	226600	
535123	250481	
535123	250675	Rajni
535123	268068	Sapna
535123	268093	
535123	268595	
535123	286155	
535124	9326	
535124	222505	
535124	329161	Jyoti Deshmukh
535124	376090	
535125	229310	
535126	285810	Young woman in Menzel
535127	334353	
535128	24312	
535129	221417	Herself
535130	370917	
535131	40212	
535131	56431	Russian Babushka
535131	60453	
535131	84471	
535131	86612	
535131	89786	
535131	89803	Dasha
535131	92325	
535131	95820	
535131	104422	
535131	104429	
535131	164013	
535131	174163	
535131	174272	
535131	178701	
535131	180844	
535131	188522	
535131	199940	
535131	209275	
535131	244582	
535131	261323	
535131	261370	Merchant
535131	263257	
535131	293956	
535131	294653	
535131	313176	
535131	348713	
535131	349158	
535131	350728	
535131	357466	
535131	370166	
535131	373560	
535131	373744	
535131	382445	
535132	22073	
535132	25547	
535132	38637	
535132	53294	
535132	104706	
535132	107650	
535132	156432	
535132	172010	
535133	682	Sasha, the Purple Girl
535133	74012	Cassidy Merteuil
535133	75585	Brooke
535133	103265	Katriana
535133	193335	Elizabeth Ann
535133	199683	Tami
535133	293762	Nicole
535133	330217	Tara Quinn
535133	389858	Nurse Quinn
535134	398003	Rita Redsky
535135	345092	Old Woman
535136	267526	Drama
535137	217278	
535138	134786	Birgit Warga
535139	134786	Dagmar Warga
535140	134786	Agnes Warga
535141	273869	Friend Of Jesus
535142	3252	Herself - Performer
535142	47172	Performer
535142	78264	Herself - Performer
535142	99531	Guest vocalist
535142	135282	
535142	154051	Tiffiny/David victim
535142	172694	Singer
535142	221424	Presenter
535142	234149	Herself
535142	249591	Performer
535142	251087	Herself
535142	273869	Go-Go Girl
535142	282703	Herself
535142	328040	
535142	352977	Herself/Performer
535142	392423	Herself
535142	411714	Herself
535143	168464	Kyoko Age 8
535144	14019	Herself
535144	70667	
535144	176864	
535144	191092	
535144	250651	
535144	260785	
535144	372458	
535144	379905	Adriana Candamo Rivadeneyra
535144	383811	Rosa Davalos Montes (2000-200
535144	392263	Co-Host
535144	396898	Yoli
535144	403752	Alcira Ordóñez
535144	409719	Viviana Carillo
535145	105819	Conner's sister
535147	73231	Béatrice Delattre
535147	167197	Faye
535147	307479	Marie
535147	387617	Judith
535148	356896	Marie the Nurse
535149	350421	Eva
535150	92643	Melodic voice
535151	256451	
535152	244952	
535153	76083	
535154	163056	
535154	180856	
535155	173318	Waitress
535155	202366	Wannabe Cher
535156	356113	
535157	175006	Herself
535158	216408	Guide
535159	307380	Poker Player, Wilmington
535160	260563	
535161	146881	Maria Sanchez
535162	383895	Co-Anchorwoman (1998- )
535163	221739	Monja
535164	68351	Sophia
535165	6478	Amiga
535165	9997	Angelica de Alquezar
535165	15359	Ana
535165	80462	Mimi
535165	91417	Tatiana
535165	108115	Luna
535165	113646	Laura
535165	118646	
535165	133083	Susy
535165	136960	Ana
535165	136987	Ángela
535165	152246	Rosa
535165	161847	Adelaida
535165	197089	Belén Lozano
535165	198204	Alicia
535165	275623	Esther
535165	302359	Pili
535165	350321	Aleera
535165	350324	Herself
535165	369557	Herself
535165	369748	Herself - Presenter: Best Mak
535165	369994	Herself - Nominee: Best Suppo
535165	369999	Herself - Presenter: Best Lea
535165	376786	Catalina Bayarri
535165	377079	Africa
535165	377210	Sonsoles
535166	1950	Abuela
535167	8529	
535167	24992	
535167	54351	
535167	61353	
535167	65402	
535167	69221	
535167	70696	
535167	75500	
535167	86353	
535167	90196	
535167	90197	
535167	103108	
535167	104168	
535167	106302	
535167	143752	
535167	143753	
535167	145160	
535167	153333	
535167	186531	
535167	193166	
535167	223613	
535167	236022	
535167	243467	
535167	252553	
535167	258492	
535167	274783	
535167	277399	
535167	296211	
535167	352019	
535167	376779	Virginia
535168	334274	Hot Dog Vendor
535169	150061	Jennifer
535169	150657	
535170	238511	
535171	323083	
535172	368943	Drive-in worker
535173	380963	African girl
535173	386284	Lidi
535173	401659	Yuly
535174	86006	
535174	381904	Telejuegos Host (2004/1)
535174	384519	Host (2002)
535174	392213	Host (2003-)
535174	400343	Herself
535175	80189	Chavo Banda La Raza
535175	309985	Claudie
535176	392935	Herself/Co-host (1998)
535177	401885	Herself/Member of the jury (2
535178	84570	Organistin
535179	8368	Desiree
535179	10377	La charcutière
535179	19428	Woman
535179	64223	Ester Maklowsky
535179	82885	Laura
535179	99909	La jeune fille
535179	119792	Juliette
535179	140238	Marguerite
535179	142133	Nina
535179	148643	Beryl
535179	180712	Karla Fisher
535179	241342	
535179	349416	
535179	352350	Martina Ahlers
535179	388203	Woman (1999)
535179	391600	Simone
535180	123540	
535180	381015	Nadia
535181	399377	Herself (member of band 'Mode
535181	406459	Herself/Starting Over roommat
535182	17855	
535182	30550	Claire
535182	32409	
535182	43008	L'hôtesse de la mairie
535182	68784	La Monitrice
535182	258149	Françoise
535182	389762	La Juge
535183	120328	
535184	125667	
535184	234552	
535185	379809	Blanche
535185	381350	Adrienne
535185	383649	Catherine Legoix
535185	384866	Hélène
535185	396308	Madame Robinet
535185	406030	Elisabeth Chouchan
535185	406790	
535185	410149	Claudine
535185	412202	La Dame en noir et blanc
535186	383007	Damisela en peligro
535187	378416	Dancer
535188	101617	
535189	148246	Christina
535189	154034	Rachel
535189	401930	Arianna Shapour Thornhart (20
535190	121299	Pregnant woman
535191	247598	
535192	16657	Nurse at hospital
535192	145716	
535194	194727	Charles Loftis' Daughter
535195	333507	Golden Tassel Dancer
535196	3458	
535196	55089	
535196	70694	
535196	74562	
535196	98699	
535196	189013	
535196	212344	
535196	215036	
535196	234005	
535196	251563	Maria
535196	260579	
535196	266441	
535196	306683	
535196	337564	
535197	135313	Carmen
535197	384632	Lupe
535197	409833	Ana
535198	342849	Emily Morgan
535199	230126	The Baroness
535200	102161	OP sköterska 1
535200	354607	Sköterska (episode 2)
535200	378897	Nurse
535200	400001	Frk. Weismüller
535201	255129	Margherita
535201	270866	
535202	11462	Various Roles
535202	47210	Herself
535202	52160	Pat Connelly
535202	63532	
535202	67731	Peaches
535202	68097	Various Characters
535202	81438	Valerie's sister
535202	158584	Charlie Greene
535202	160558	
535202	175817	Maggie
535202	232018	Herself/Various
535202	261262	Herself/Various Characters
535202	311702	Herself/Victoria Beckham
535202	314369	
535202	381946	Various Roles
535202	384695	Various roles
535202	389410	Herself
535202	394626	Various characters
535202	402426	Various characters
535202	405559	Various Roles (2001)
535202	406345	
535202	410522	RMP Colonel
535203	96198	
535204	136305	Soeur Sainte-Cécile
535204	263359	Mrs. Shay
535204	276532	
535205	26583	
535206	376688	Viuda
535207	277295	Casino Secretary
535208	104723	Herself
535210	315246	Lizzy
535211	142372	Mink
535212	122538	
535212	136595	Veronika
535212	153697	
535212	212428	
535212	266468	
535212	322188	Éva mamája
535213	19681	Mom
535213	35558	(segment "Budai böjt")
535213	43186	
535213	108071	
535213	110696	Emerencia
535213	138393	Király Erzsi
535213	182653	
535213	198210	
535213	205436	
535213	322128	Setétke
535213	348999	
535213	382544	Mónika
535214	232801	Tóbiás' mom
535214	322099	Magdi
535214	343776	
535214	356603	
535214	377127	Margit néni
535214	410331	
535215	127341	
535215	222162	Senhora do Comité
535215	402282	Various Roles
535216	215680	Herself - Miss Philippines
535217	90450	Il·luminada
535217	132470	Doña Pepita
535217	334662	Jacinta
535218	18112	
535218	50147	
535218	51628	
535218	189298	
535218	190409	
535218	220755	Señora Canals
535218	235296	Madre de Óscar
535219	181623	Dina
535220	133257	Ina
535221	208463	Ilona Nocz
535222	187858	Herself
535223	6110	
535223	11734	
535223	26004	
535223	28837	
535223	49179	Zehra
535223	57872	
535223	136760	
535223	136766	
535223	139497	
535223	172176	
535223	177964	
535223	182842	
535223	186963	
535223	189057	
535223	227965	
535223	242368	
535223	294091	
535223	373615	
535223	378586	
535224	269104	
535225	1050	Miss Mild, Piano Teacher
535225	42208	Miss Stahre (teacher)
535225	84297	Mrs. Bråvik
535225	84317	Member of the national monume
535225	100549	
535225	108202	Claire Broström
535225	115382	Mrs. Johansson
535225	115388	Waitress at Klara Källare
535225	115391	Mrs. Svensson
535225	116018	Ms. Santesson
535225	116131	Ms. Psilander
535225	118696	Ms. Wiklund
535225	120922	Woman in the village
535225	121006	Olga, teacher
535225	129171	Hostel Guest
535225	135219	Teresia
535225	138520	Woman at the boarding house
535225	147016	Appellöf, Secretary
535225	149488	Chairman at the meeting
535225	154504	Telephone operator
535225	154509	Miss Viola Berg
535225	154565	
535225	164651	Customer
535225	173539	Miss Höst
535225	174256	Teacher
535225	174697	Woman in church
535225	181844	Ulla
535225	181850	Guest
535225	182263	Olsén's guest
535225	182464	Miss Gren
535225	190812	Miss Synnergren
535225	190822	Mrs. Lövgren in the milk stor
535225	190835	Miss Jönsson
535225	192644	Woman at the library
535225	228386	Mrs. André, cleaning-lady
535225	237260	Orphanage Manager
535225	237264	Woman
535225	238405	Elsa Dahl
535225	248186	
535225	248189	Holger Hallman's secretary
535225	252189	Myran
535225	270952	Pyret
535225	272512	Woman at Carnival
535225	277817	Peasant woman
535225	282086	Aunt Elvira
535225	289783	Cleaning lady
535225	296112	Speech therapist
535225	302152	Store Clerk
535225	303645	Miss Blom
535225	303661	Miss Grüning
535225	307762	Lady on the street
535225	312224	Kristin, Algot's wife
535225	312233	The Fiancé
535225	315373	Ms. Krans-Westerlund
535225	316909	Lady in Waiting Room
535225	317642	The landlord
535225	320583	Woman
535225	320606	Cashier
535225	321512	Greta And
535225	322420	Måns' landlady
535225	324807	CEO secretary
535225	337888	Lady in the audience at Conce
535225	341611	Miss Agnelius, the new secret
535225	350564	Tyra, guest at Collin's
535225	353005	Mrs. Karlsson
535225	353039	Old woman at Mosebacke Torg
535225	355638	Ebba Patkull
535225	357762	Mrs. Löfgren
535225	377284	Charlotte Hylén
535225	377428	Old customer
535225	378273	Woman at the boarding house
535225	381054	Lady in wheelchair
535226	145471	Waitress
535227	161732	
535228	204557	Jessie's Sister
535229	41179	Tina
535229	57001	Buddy's Secretary
535229	301716	Doris Prichart
535229	363393	Alice
535229	364516	Stella, Student Nurse
535230	65896	Board Member
535231	180877	
535232	69154	Herself
535233	1703	Herself
535233	215680	Judge
535233	258903	Mini
535234	41115	Birgitta (airport blonde)
535234	122334	Clerk
535234	180475	Chris
535234	182569	Cashier
535234	303198	Gun
535234	320608	Ballerina
535235	18343	Baroness Clarisse
535235	20348	Olly Frey, Sekretärin
535235	26568	
535235	60061	Antoinette Peterson
535235	77396	Elli, Jungfer
535235	78534	Lucile Desmoulins
535235	79165	Guest
535235	93396	
535235	99236	Mary Vetsera
535235	108146	Olga Benthin
535235	114782	
535235	124617	
535235	134830	
535235	134928	Lisa
535235	178576	
535235	183254	
535235	189689	
535235	189865	Nina
535235	200859	Lena
535235	209985	Hausangestellte
535235	226265	Bettina Bang
535235	236818	Yvette Carell, revue star
535235	272533	
535235	308245	Hermia
535235	324689	Therese
535235	337552	
535235	356901	Gerda
535235	358893	Lintschi Ebeseder
535235	361005	
535235	361377	
535235	361410	
535235	364899	
535235	364986	
535235	364993	Steffi
535235	376337	
535235	376576	Frau Linsemann
535236	208796	
535237	14382	Giorgina
535237	77228	Gianna
535238	4597	
535238	121013	
535240	281336	
535241	70686	
535241	225010	Estefania Bracho
535241	379147	Aidé
535241	380107	Antonia Morales
535241	383330	
535241	385392	Beatriz 'Betty'
535241	386458	Fabiola Montemayor de Shrinne
535241	387100	
535241	392960	Raquel Junquera Brito de Rold
535241	396394	
535241	396880	Angélica Santibañez
535241	399763	Clara Durán
535241	400490	Bernarda Sainz (joven)
535241	400860	Alba Zavala
535241	403786	
535241	404851	Leonor
535241	409719	Estefanía Bracho de Montero
535242	3502	Ella misma
535242	6617	
535242	12158	
535242	35023	
535242	51631	
535242	55964	Margarita Ramirez
535242	61208	
535242	68942	
535242	73543	
535242	74361	Margarita
535242	96263	
535242	96272	
535242	100339	
535242	100590	
535242	107838	
535242	124519	
535242	151803	Bertha
535242	161438	
535242	165705	
535242	170034	
535242	170271	
535242	184877	
535242	193492	
535242	231595	
535242	233518	Herself
535242	234411	
535242	238759	Graciela
535242	255056	
535242	265114	Rosa
535242	266886	
535242	269963	
535242	279904	
535242	294506	Clara
535242	296497	
535242	302131	
535242	337964	(segment "Yvonne")
535242	339171	(segment "Ana")
535242	352852	Nelly
535242	357503	
535242	371343	Yesenia
535242	373886	
535242	377165	Alicia de Roc
535242	379096	
535242	379446	
535242	379813	
535242	380090	
535242	381261	Leticia Reyes
535242	383267	
535242	383532	Rosina
535242	383563	
535242	384328	
535242	384869	
535242	384986	Aimée Molnar de Duchamp
535242	386076	
535242	387088	
535242	387551	
535242	387575	
535242	387587	Wendy Kepler
535242	387622	
535242	387935	
535242	389642	
535242	390514	
535242	390869	Alicia Bernal
535242	393329	
535242	395402	
535242	395474	
535242	396604	Beatriz de Martino
535242	397204	Mariana
535242	397572	Nuria Del Encino de Rivadenei
535242	397598	Doña Clara
535242	398069	
535242	399801	
535242	399806	
535242	400490	Bernarda Sainz viuda de Guill
535242	401088	
535242	402704	Ana María
535242	404259	Paulina
535242	404869	Alma de la Luz
535242	405319	
535242	405977	
535242	410450	Carmelita Romero Rubio
535242	412192	Emilia Santillana Roldán
535242	412193	Rocio
535243	206407	Kathleen
535244	339	
535244	60451	
535244	188708	
535244	216610	
535244	322708	
535244	344278	
535245	188799	Dame im Stiegenhaus
535245	273668	Die Mutter
535246	20324	Frau Steindl
535246	186957	Frau Rosalinda Oberlechner
535247	459	
535247	4783	Vera
535247	4788	Käthe
535247	12150	Friedl Meier
535247	12587	Mizzi Hanak
535247	23998	
535247	90513	Etelka
535247	92058	Zia Emma
535247	93441	Heiderl
535247	93470	
535247	100925	Gusti Gruber
535247	100983	Anna
535247	104824	Eva Spanberger
535247	120997	
535247	125107	
535247	126459	Mutter Brandner
535247	129702	
535247	129716	Hansi Reiterer
535247	134769	
535247	134820	Annemarie Sand
535247	137636	Gaby Brandstätter
535247	144014	Christa Schellenberg
535247	147190	
535247	147272	Marianne (mother)
535247	153172	
535247	156057	
535247	170711	Katrin
535247	172375	Fürstin zu Schenckenberg
535247	178605	Widow
535247	182004	Nadja
535247	185986	Karlin Purtscheller
535247	186901	
535247	189558	
535247	204367	Gräfin Manja Raminski
535247	204429	
535247	204444	
535247	210001	Resa Lang
535247	216375	Frau Anna
535247	218067	Barbara Daalen
535247	254373	Gertrud
535247	259822	
535247	280799	
535247	287098	
535247	290176	Sophie
535247	290846	
535247	292102	Agnes Forbach
535247	293554	Kinga Gerold
535247	303719	Mary Hill
535247	306405	
535247	312198	
535247	347707	Lina Strauß
535247	352368	Sigrid Eckberg
535247	352390	Barbl Gudauner
535247	352536	Rosa
535247	356200	Christl von der Post
535247	361087	Anni Manhardt
535247	361393	Marianne Klockenhoff
535247	366589	Franzl, die Wirtin des Seehot
535247	376514	Rena Morava
535248	37477	
535249	35289	Reyna
535250	66388	Lilian Anatole
535250	105182	
535250	113261	Supervisor
535250	177290	Betty
535250	198883	Lady Macbeth
535250	203786	Margo
535250	241106	Janet Demerjian
535250	245092	
535250	293032	Joe's Secretary
535250	372149	Alice Sycamore
535250	385821	Nina Shapiro
535250	387720	Pete O'Phelan (1987-1989)
535250	400236	Dr. Susannah Hanen (1995-1996
535250	404613	Sylvie Descartes (1981)
535251	12849	Sachbearbeiterin
535251	17527	Mrs. Tschudi
535251	182889	Maggie Lowitz
535251	186891	
535251	188780	Evi's Mother
535251	209920	
535251	225264	Elisabeth Krüger
535251	259460	
535251	259658	Frau Fiedler
535251	311400	Korporalin Egger
535251	325681	Katharina Matz
535252	1703	Herself - Presenter
535252	47049	Herself
535252	158144	Herself
535252	159202	Herself
535252	161193	Herself
535252	161294	Herself
535252	239992	Herself
535252	318983	Herself
535252	361224	Herself
535253	314445	Heather
535253	393614	Alex Garrett
535254	284417	
535255	31681	Jacuzzi Babe
535255	37701	Clarice
535255	48935	Santa's Helper
535255	86307	Marie
535255	88167	Lawyer B
535255	126626	
535255	128786	Herself
535255	133491	Paulina Smalls
535255	150049	
535255	273606	Ally
535255	274327	Ruby (segment "Burning Up")
535255	280016	Miranda
535255	295726	
535255	333540	Savanah
535255	366652	Jeannie
535255	392058	Cory
535256	16438	Martina
535256	41872	Zita
535256	175284	
535256	325673	Elvira Thiele
535256	349056	Monika
535256	390812	Carola Richter (1993)
535256	407204	Sabine
535258	39555	Fay
535259	44284	Devon
535260	71580	Donna
535261	158414	Woman #1
535261	230904	Nancy
535262	222693	Gabrielle
535262	406654	
535263	165339	Erika
535264	17321	Kimmi
535264	17487	
535264	18075	
535264	33267	Lucy
535264	40393	Yvonne
535264	40395	
535264	48532	Barbara
535264	57758	Miss Nicole
535264	102880	
535264	138765	Bibi Werner
535264	153749	
535264	164648	Junges Mädchen
535264	180002	
535264	208449	Brigitte
535264	218979	Virginia Hampton
535264	225201	Angela
535264	225204	
535264	225647	Edna Cormick
535264	253916	Wendy Darling
535264	261692	
535264	272563	Linda
535264	290462	Elisabeth
535264	308252	Monika
535264	322535	Flora
535264	327516	
535264	334549	Annicka
535264	343506	Gaby
535264	347616	Loni Vogt
535264	347759	
535264	348042	Lore Scholz
535264	348044	Lore Scholz
535264	348048	Lore Scholz
535264	376008	Helga
535264	388598	Julka
535264	389093	Christa Buchner
535264	392997	Mutter Gans
535264	395062	
535264	397969	Harald
535264	399478	Krümel (voice: German version
535264	399762	
535264	401467	Pinocchio (voice: German vers
535264	401996	Lilith Powenz
535264	408949	Frl. Güssow
535264	409613	Karin
535264	411929	
535265	367806	
535266	41682	Gussie
535266	209310	Annika
535266	270404	Janka
535267	202963	Millie Pickett
535269	23975	Maria (waitress)
535269	50340	Nurse
535269	120286	Mrs. Stern
535269	176391	
535269	202367	Woman at Party
535269	209413	Lady
535269	265775	Secretary in Bud's Office
535269	297955	Dean's secretary
535269	298266	Aunt Min
535270	136312	Une strip-teaseuse
535271	255654	Paige
535272	96329	Mara (8 years old)
535272	403404	Laura
535273	397930	
535274	206540	Laurie Dawson
535274	291393	Herself
535274	394304	Regular
535275	257522	Party Guest
535276	169822	
535276	229040	Vera
535277	77201	Journalist
535278	14198	Martha
535278	42261	Carolyn
535278	53921	Agent on Phone
535278	82599	Louise Haloran
535278	90984	Ginger
535278	96973	Lisa
535278	105420	Alice Fern
535278	123456	Party Guest
535278	130296	Lorette Anderson
535278	133417	Cholero Greaser
535278	141164	Records bureaucrat
535278	151461	Agatzi Girl
535278	157824	Mrs. Samp
535278	158061	Dorothy
535278	162449	Atlanta Widow
535278	176954	Louise
535278	185224	Donna
535278	190058	Carol Peck
535278	190952	Teacher
535278	200511	
535278	203498	Young Girl Addict
535278	204342	
535278	215923	Rancher's wife
535278	220519	Violette
535278	232254	Ellen
535278	235697	Gilda Hadley
535278	236153	Town Meeting Chairwoman
535278	241363	
535278	253458	Rita Cahill
535278	256813	Catherine Medina
535278	274728	Josie
535278	282022	Mrs. Gerard
535278	295602	
535278	297261	Devra
535278	321660	Nurse Ames
535278	329404	Sylvie
535278	339858	Waitress
535278	342938	Florist
535278	363120	Mary
535278	365183	Sanitarium Woman
535278	372134	Macie Hayes
535278	372719	Henny
535278	404282	Rona (1991-1992)
535279	44284	Lu
535280	1640	Karen Walker
535280	9046	Mona Whitney
535280	9129	
535280	11483	Mary Ann
535280	32173	Sybil
535280	33646	
535280	41215	Laura Dean
535280	52743	Marti Collins
535280	77173	Holly Dalton
535280	81126	Amy Phillips aka Miss Diesel 
535280	83856	Cathy
535280	103294	Robbie
535280	109210	Hannah
535280	110218	Grace McLean
535280	114594	Missouri Lady Ellen Downs
535280	115506	
535280	123305	Sharon Donovan
535280	130775	Chorine
535280	141138	Ruth Collins
535280	151049	Nancy Campbell
535280	151634	Fashion Model
535280	153589	Dodie Wilson
535280	215334	Cicely
535280	232200	Amy Hansen
535280	234034	Gloria Stuben
535280	250869	Mary
535280	254631	Robert's blond dance partner
535280	259247	Terry Dayton
535280	259258	Joan Olson
535280	264189	Handmaiden
535280	269776	Helen Reed
535280	271080	Dottie Harper
535280	292510	Janey Fowler
535280	311938	Dorothy
535280	331323	Bit Part
535280	332440	Estelle Penfield
535280	332806	Betty Collins
535280	333370	Carol White
535280	333851	College girl
535280	354858	The Girl in the Convertible
535280	358273	Adeline Halper/Adeline Burdge
535280	358665	Susan Mallory
535280	363073	Ellie
535280	367876	Lt. Karen Lamont
535280	372554	Alice
535280	372599	Belle Starr
535280	392184	Mike McCall
535280	393099	Val Marlowe
535280	406768	Joyce Erwin (1954-1955)
535281	20643	
535282	206587	Monika
535283	124340	Persi
535283	212524	Teenage Drug Customer
535284	30967	Knifethrower Dame
535284	91651	Martha Colby
535284	380005	Diamond (1990-1993)
535285	318110	Mrs. Lenox
535286	381297	Odile Bargeot
535287	107503	Jackie
535288	35480	Young Kate
535289	181736	Stor tvilling
535290	181736	Stor tvilling
535291	6163	Maid in room
535291	325983	Carol, Model
535292	125363	Mady Champy
535292	359811	Polly
535292	400288	Herself
535293	130685	Debbie
535294	240097	Pige på stranden
535295	5465	Deluxe guest
535295	23624	Roxy Foxy
535295	52789	Bibí
535295	103963	
535295	118156	Herself - Co-Host
535295	176630	Susana
535295	189005	Ada
535295	207602	Vendedora Flores
535295	225046	Cristina
535295	234399	Bibí
535295	275398	Fornarina
535295	280576	Dora Grizzel
535295	322324	Raquel
535295	322851	Suzanna
535295	341083	
535295	349334	Herself - Presenter: Best Scr
535295	354265	Herself - Presenter: Best Eur
535295	369748	Herself - Presenter: Best Cos
535295	369989	Herself - Presenter: Best Art
535295	384819	Herself
535295	385353	Herself
535295	387908	Herself - Host
535295	397457	Herself
535295	397850	Herself
535295	404980	
535295	407246	Herself - Host (1988-1989)
535296	341855	
535297	303950	
535298	35480	Kate Petherton
535298	111796	Amy
535298	199877	Mae - age 7
535298	232471	Brooke Houston (segment "Nigh
535298	248875	Mary Grand
535298	276704	
535298	288999	Savannah
535298	318800	Jill
535298	359750	Jenny
535298	388202	Gretel
535298	390795	Celia
535299	408802	Maria
535301	307273	Hooker
535302	316797	Herself
535303	261805	
535304	304518	
535305	10886	
535305	67573	Dori
535305	127795	Jesse Mickers
535305	140843	Janet
535305	173933	Barbara
535305	218472	Fran
535305	237600	Robin Schultz
535305	245275	Corinne
535305	263496	Alice
535305	314614	Martha
535305	346127	Terri Talbot
535306	78488	Herself (performing 'Første f
535306	341038	Papagena
535307	88838	
535308	78487	Herself (performing 'Vild med
535308	78490	Herself (performing winning s
535308	392311	Herself - Host (2002-)
535308	393865	Herself - Host
535309	21625	Madame Bencker
535309	29004	Elga
535309	30999	Sonia
535309	43680	Denise
535309	54259	Singrid
535309	66319	Elisabeth von Koltze
535309	67211	Hélène
535309	84400	Giovanni's wife
535309	100110	Widow
535309	129456	Yvette
535309	163080	Evelyn
535309	186592	Lisa Belgetti
535309	218202	Martha
535309	238464	Erika Murger
535309	240343	
535309	259732	
535309	288243	Stella
535309	291057	Corinne
535309	294845	Kate Cross
535309	295886	
535309	306406	Alice Sorel
535309	307245	Doris Hoff, Fotografin
535309	313543	Caroline
535309	377048	Montana
535309	380931	Barbara Andersen (1971-1974)
535310	131155	Stem schrijfster
535310	400294	Domineesvrouw (1993)
535311	322680	
535312	61614	Blonde Dancer
535312	190709	Tiffany, sales assistant
535312	269355	Flight Attendant
535312	382254	Sexy Actress at party
535312	398674	Attractive diner
535312	399130	Lip (2000)
535313	181736	Dåbs Kaj
535314	96879	Child
535315	181765	Lene
535316	240171	Herself
535317	280218	Franks mor
535318	54692	Erin
535319	306778	Herself
535320	305612	Smilla as a child
535321	90026	
535321	323453	
535322	388609	Ute Schmitz (1989-1993)
535323	11787	Kati Thomsen
535323	16403	Andrine
535323	39111	Fru Pedersen
535323	55096	Bitten
535323	84288	Maisen
535323	122506	Agnete Holmen
535323	153231	
535323	281992	Cecilia Wenner
535323	314628	
535323	317650	Cecilia
535323	322471	Mrs. Soerensen
535323	322472	Randi Sørensen
535323	334277	Miss Evelyn
535323	340248	Ebba Winger
535323	353001	Kari Hermansen
535323	357807	Moren
535324	395987	Various Roles (episodes 1 & 4
535325	328272	Starbucks Employee
535326	69856	Woman at Airport
535326	238052	Dead Girl
535327	122596	
535328	68381	
535329	283484	Borger
535330	11773	Lilli
535330	111339	Margot
535330	147159	Margot
535330	226333	Lieschen Brunnhuber, Schluete
535330	303710	Gerda
535330	312206	
535330	347771	Uschi
535331	343520	Herself - Stripper
535332	322683	
535333	27574	Herself/Malou
535333	137442	Malou
535334	182554	Alice Bradford
535335	486	Singer.'Lili Marleen'
535335	84557	Herself
535335	104736	German entry (13th place)
535335	122680	Sängerin im Lokal in Göteborg
535335	261692	
535335	282205	English Vocal
535335	343489	Agathe Brocksieben
535336	268349	Sygeplejerske
535337	78480	Herself - Member of jury
535337	78481	Herself - Member of jury
535339	377416	Massagepigen Mie
535340	212336	Herself - Participant/Perform
535341	392524	Seventh place (2003)
535342	72553	Mona
535343	279804	Herself
535343	403536	Herself - Participant (1999)
535344	22844	Kvinden
535345	95757	Hannah Bern-Jensen
535345	154828	Katja
535345	168446	Panelmedlem
535345	214367	Fru Flinth
535345	214368	Fru Flinth
535345	214369	Irene Flinth
535345	218897	Susanne
535345	228404	Lotte
535345	239339	Janni
535345	291686	Mette
535345	294661	Caroline Holmberg
535345	307601	
535345	344672	Louise
535345	373579	Lena
535345	387293	Lillian Olsen
535345	392343	Herself
535345	393875	Sus
535345	406755	
535346	152704	Laborant
535347	274831	Johanne
535347	315401	Johanne
535347	321671	Waitress
535347	399678	Various roles
535348	409874	Synnøve
535349	234826	Pige/Girl
535350	137	La petite fille
535350	153788	Ondine
535351	188733	
535351	282159	Luise
535352	249685	Ballet dancer
535353	114827	
535354	117585	Danser
535355	191560	La femme dans la maison du po
535356	59252	Wilma, turista alemana
535356	102631	Barbara
535356	111577	
535356	192996	
535356	236451	Isabel
535357	55096	Sølvi
535357	154678	Gerilja
535357	326048	Discodronningen
535358	29905	Lærerinde
535359	344237	
535359	388287	
535360	152704	Laborant
535362	4815	Airline Stewardess
535363	153957	Randi
535364	124795	
535365	324257	Herself - Former patient on t
535366	212334	Herself - Participant/Perform
535367	156272	Fiskekone
535367	182309	
535367	300143	Ved minibanken/Nonnen
535367	342063	Molfrid
535367	398285	Målfrid
535367	399510	Synne Iversen
535367	407093	Flere roller
535368	284388	Lille pige
535369	212334	Herself - Participant/Perform
535370	153398	Herself - MF, Soc.Dem.
535371	284388	Lille piges mor
535372	198400	Herself - Beach Camp particip
535373	3323	Velka
535373	28781	Silvia
535373	33567	Carla (segment "Il bastardo d
535373	129205	Tamar
535373	187430	Mayde
535373	200510	Wanda Mariotti
535373	229609	
535373	280749	Tullia
535373	283675	Mary Sheridan
535373	338726	Sdenka (segment "The Wurdalak
535374	284139	Herself
535374	381042	Herself - Host
535374	403183	Various roles (sketches)
535374	405592	Herself
535375	67346	Kris
535376	403537	Winner 2000 (2000)
535377	212333	Herself - Participant/Perform
535378	149121	
535378	171513	Betjent
535379	376036	Schwedische Polizistin
535380	386347	Herself (episode 1.6 "1970-19
535383	68683	Marlene
535383	183722	Lady Warwick
535385	369751	Pam, Nurses/Other Women #2
535386	92687	Elena (bride in Transylvania)
535386	128222	Mary Smith
535386	154355	Shelia
535386	154888	Nadia Renee, aka Marina Farin
535386	163220	Fortune Teller
535386	258198	Dagmar, the Sculptor
535386	296856	Patricia Delthern
535386	350408	Marion, the Barmaid
535386	360705	Helena
535387	246222	Neighbor
535388	69296	
535388	275280	
535389	56893	Pawn Shop Customer
535390	367054	The Wiz Singers Adult Choir
535391	32488	Julie
535392	339260	Mary Zapatelli
535392	389780	
535392	393803	Criada
535392	403683	Serafina
535393	175740	Sandwich Woman
535393	247217	Prisoner
535394	126112	Ethel
535396	297190	Sorority Girl
535397	99691	Businesswoman
535398	171079	Cash in a Box Girl
535399	323134	Satomi
535400	182507	Schoolgirl
535401	381821	Ensemble (1979-1981)
535402	239756	Debby Phillips
535403	7978	Student 1
535404	167051	
535405	34973	Elder Van Pelt's Girlfriend
535406	133113	Feena
535407	28481	Minor Talent Contest audience
535408	316225	Group Therapy Women
535409	300553	Susannah as a Child
535410	115421	
535411	393545	Additional Voices
535412	106632	Model
535412	260950	Ford Model
535413	3597	Herself
535414	31877	
535414	235062	Woman
535415	42139	Pretty Lady at Bar #1
535415	73411	Angie Donaldson
535415	75196	Wife of Victor Van Martin
535415	198078	Lynn
535417	54299	Béatrice de Beaufort
535417	121974	Consuela Moroni 2
535417	214923	Catherine du Tilla
535417	350184	Paula
535418	37918	Mrs. Clifton
535418	150747	Eliza Barrymore
535418	232370	Hostess
535419	57929	ABA Student
535419	79072	Lunchroom Girl
535420	41319	
535421	65552	
535421	102393	Dancing Girl
535421	295138	
535422	27447	Teeanage Waitress
535422	93964	Natalie
535422	184829	Punk girl
535422	218785	Audrey Anders
535422	246710	Tally Spruill
535422	390261	Claire Connor
535422	400209	Carla Aldrich (2000-2001)
535422	406554	Emily Morgan
535423	11219	
535423	13305	Dodo Spencer
535423	33607	Mrs. Claybourne
535423	40157	
535423	47553	
535423	52462	
535423	53727	
535423	54944	Matilda Bush
535423	58424	
535423	65083	
535423	67874	Mrs. Faulkner
535423	69238	
535423	96716	Mrs. Spencer
535423	135587	Mrs. Watkins
535423	196881	
535423	241892	Mrs. Wilkins
535423	271237	Edithe Worthington
535423	277645	Mrs. De Courcey Lloyd
535423	281050	Mrs. Martyn
535423	283093	Mrs. Wallaby
535423	295379	The Wicked Queen
535423	302875	Hilda Newton
535423	345825	Mrs. St. Clair
535424	43437	Annabelle 'Annie' Cartwright
535424	88998	Frances Latimer
535424	90250	Joan Kahn
535424	162437	Eve Whitfield
535424	276688	Eve Whitfield
535424	303488	Jean Manners
535424	311526	Eve Whitfield
535424	312536	Carla Stanley
535424	316101	Elaine Halsey
535424	355399	Susan Schaeffer
535424	372197	Susan Collins
535424	393015	Eve Whitfield (1967-1971)
535424	397916	Mimi Davis (1972-1973)
535425	166643	Wedding Harpist
535426	178355	His Daughter
535427	129575	Dr. Weaver
535428	378881	Presenter/Newsreader
535429	46149	Chorus
535429	325098	Additional Voices
535430	128602	
535431	158470	Stallkeeper
535432	30257	
535432	131313	
535432	264638	
535432	264736	
535432	340870	
535433	176306	Police Officer
535434	81321	Model #6
535435	82035	Newscaster
535435	139273	Housewife
535436	41581	
535436	41650	
535436	108837	
535436	306916	
535436	306923	Herself
535437	185715	Prentiss
535437	257293	Woman in car
535439	383004	
535440	235443	Congregational Singer
535441	93762	Electrocutes Vocalist (with T
535441	165958	The Donnas Vocalist
535441	221483	Herself
535441	392422	Herself
535442	262589	Sheep - Nativity Choir
535443	267213	Annie Castle
535443	293778	Amy
535443	318644	Liz Murphy
535443	372053	Charlie
535443	380884	Jacqui Raymond
535443	387203	Clare Fielding (1989-1992)
535443	390139	Lizzie Forbes
535443	391869	Hannah Williams (1996)
535443	399948	Cass Clayborn (1996-1997)
535444	34556	
535445	236154	Young Lillian
535446	47865	Additional Voice
535447	411808	Herself
535448	161537	Santa Fe Tart
535448	251040	Herself
535448	266631	Victim
535448	272920	Herself
535448	280081	Elevator hottie #1
535448	303863	Bravo Company
535448	360684	
535450	302710	Dancer
535450	316283	
535451	363967	Leah
535452	92150	Jesse's Wife
535452	216184	Demo Leader
535452	220778	Nurse
535452	222573	Captain Farr's Assistant
535452	236972	Snowflake
535452	245838	Securities Clerk
535452	302932	Witness
535452	317551	Checkpoint Guard
535452	329342	Dr. Susan Mather
535453	330391	Diner Waitress
535454	251007	
535454	313025	Solange
535455	335807	Dancer
535456	402733	Herself - Racer (1998)
535457	123986	Herself
535458	87697	Baby Doll Dancer
535459	379978	Herself (eliminated 6th) (200
535460	119625	Vic, Goody Two Shoes Nazi
535461	100193	Party Guest
535461	102117	Jina with a J
535462	364025	Danish School Girl
535463	70208	Sapphira
535464	304683	
535465	31637	Bikini Audition Girl 15
535465	80469	Marilyn (waitress)
535466	77690	Tanya
535466	241491	Serena
535467	1018	Supervisor
535467	5750	Jill
535467	18030	Sonya
535467	61626	Mrs. Donovan
535467	79514	Dee Fraser
535467	96707	Christine
535467	107990	Margaret Dunford
535467	110301	Sandy
535467	150924	Betty
535467	215191	
535467	235440	Secretary
535467	282046	
535467	341984	Mrs. Boyett
535467	342924	Marianne Plambo
535467	349877	Sharon
535467	364313	Joyce Wehmeyer
535467	367634	Nina
535467	368892	
535468	318673	Alma as a girl
535469	309927	Gladdy
535471	187411	
535472	59535	Susie
535472	297005	Lonnie
535472	317176	Cris (Student)
535472	319544	
535472	358076	Jen Collins
535473	236780	Sister Robert Anne
535473	236781	Sister Robert Anne
535473	279323	Party Girl
535473	362977	Herself
535473	385823	Jenny Barnett
535473	402776	Mrs. Walton
535474	338982	Herself
535475	68086	Herself
535476	18098	Goldie Shepard
535476	22815	
535476	30910	
535476	40781	Helen Halverson
535476	51768	
535476	58424	
535476	64115	
535476	65481	Mary Reynolds
535476	65586	
535476	73951	Diana De Lille
535476	88306	
535476	90538	
535476	109713	
535476	116095	Mrs. Allers
535476	128273	Doris Williams
535476	134284	Estelle Redding
535476	136166	
535476	143110	
535476	144620	Undetermined Role
535476	145781	
535476	145884	
535476	151000	
535476	185834	
535476	191211	
535476	207153	Sally Taylor
535476	209376	Dorothy Parkhurst
535476	216589	Paula Grey/Mlle. Paulette
535476	246954	Arlee Eversham
535476	250572	Sister
535476	263463	Amy
535476	277938	Roseen
535476	279309	
535476	294902	Mary Smith, The Drain Man's W
535476	297957	
535476	311409	Alice Foster
535476	315637	
535476	327396	Mrs. John Hammond
535476	331294	
535476	347596	
535476	363212	Phyllis
535476	364136	Ruth Burns
535476	364146	Toodles
535476	371077	Thora Erickson
535476	372228	Katherine Spencer
535477	318924	Narrator
535478	85850	
535479	293479	
535481	170558	Jeanie
535482	81330	Maternal Model
535483	126619	Extra Talent (segment "Gett O
535484	309902	Herself
535485	93158	
535485	361551	Helen
535485	367588	Customs Officer
535486	29098	Dana
535486	30734	Woman at Cafe
535486	69773	Phone Company Woman
535486	80813	Henri's wife
535486	143068	Connie
535486	196209	Matron
535486	277637	Inn Receptionist
535486	282922	Mother #1
535486	291922	Stacy's Mom
535486	342491	Department Store Supervisor
535486	342642	Clerk of the Court
535487	169438	Richy's Mom
535488	10888	
535488	238612	Nurse
535488	285287	Lynn
535488	363247	Harriet
535489	23705	Mrs. Howard
535489	32789	Lucy Lockit
535489	38959	Nancy Medwin
535489	54462	Mrs. Rash
535489	65963	Kate
535489	78869	Fisher-woman
535489	115711	
535489	147126	Alice Hobson
535489	154745	
535489	176316	Dora
535489	186008	Blonde singer
535489	197522	Ethel Waring
535489	234033	Marian
535489	244302	Emilia
535489	263973	Fanny
535489	273328	Morality Lady
535489	289615	Lady Grenville
535489	306295	Nora Hart
535489	315493	Dr. Mary Willis
535489	323825	Guest
535489	340439	Bertha
535489	390047	Kate Gideon
535489	398936	Kitty Cusack
535489	401274	Mrs. Clay
535489	406943	Evelyn Proctor
535489	411015	Mrs. Nicholson
535490	353314	Salesperson
535491	184822	Herself
535491	313820	Female trooper
535492	82099	Dawn
535493	139227	Bodybuilder
535493	222626	Sarah Lewis
535494	388860	Parade Model
535495	320917	Sara
535496	10877	Ms. Sagan
535497	97517	Bitchy Girl
535498	47588	Mother of Crazy Man
535499	80654	Waitress
535499	159706	Rachel Brown
535499	240681	Mary Holmes
535499	302492	Village Maiden
535499	408791	Jenny (1963-1964)
535500	386605	Grandmother
535501	97513	Singer
535502	72104	Cover Girl: Farm Journal
535502	73174	Connie Mace
535502	92230	Muse
535502	125863	Marian Rand
535502	241824	Capt. Henderson
535502	254566	Sandra
535502	291335	Herself
535502	302725	Helen Wyatt
535502	323389	Cashier
535502	331180	Novira
535502	335469	Toni
535503	341758	Melanie Edwards
535504	112305	The Receptionist
535504	128582	Marriage Bureau clerk
535504	153156	Effie, Boone's Maid
535504	166690	Customer
535504	188405	Teacher
535504	260285	Mary, Brewster's Maid
535504	313365	Molly (D.A.'s secretary)
535504	330173	Nurse
535504	330212	Bit Part
535504	367919	Nurse
535505	232023	
535505	295293	Girl in band
535506	269336	Grandma Alice
535507	269336	Grandma Alice
535508	149258	Bamville Club Dancer
535509	7782	Moeder van Tonnie
535509	90829	Moeder Ancilla
535509	184942	Ruth Butler
535509	266084	T.V. Newsperson
535509	307319	Aleta
535510	354751	
535511	149599	Herself
535512	245010	Tattoo Artist #2
535513	257027	
535514	190869	Additional Voice
535514	202324	Nerdy Student
535515	21627	Sarah
535515	28492	
535515	66146	Shula
535515	190396	
535515	232460	Greta Gibson
535515	268889	Jenny
535515	272879	
535515	296954	Jackie Delaney
535515	373874	Zandalee
535516	185067	Holly Kaust
535517	222592	Earl Carroll Girl
535518	125635	Concubine
535518	241559	Billie
535518	329693	La Poule
535518	336731	Melanie
535518	342868	Caroline
535518	359441	Catherine
535519	69047	Hisses' Neighbor
535519	166861	Susan's aunt
535519	186650	Older Mae
535520	282335	Tojola, Diego's Wife
535521	17189	
535521	109711	Jane
535522	362963	Herself
535523	88102	Mrs. Halpern
535523	117004	
535523	117278	Sales Clerk
535523	139755	Mrs. Scott
535523	204890	Madam Justice Macfarland
535523	340754	Mrs. Slotnikov
535524	405960	Ruth Wilkins
535525	362348	
535525	382961	
535525	390580	Host (1998-)
535525	410883	Presenter (1995-1998)
535526	41697	Granny Tyl
535527	227329	Nancy Ferencz
535528	398289	Liz Gideon
535529	184520	Elizabeth
535530	394869	Field Reporter
535531	46291	Jean Tredegar
535531	73216	Clare Pinnock
535531	79894	May
535531	91590	
535531	114989	Rene Wexford
535531	161637	June Maple
535531	193928	Connie Miller
535531	297105	Zena
535531	323760	Pamela (segment "Thief of Lon
535531	370520	Ruth Worth
535531	387518	Sister Shelley
535531	397032	Brenda Carpenter
535531	397751	Joanna Clarke
535532	119621	Baby Clay
535533	72049	Margaret Holman
535533	88558	Elsie Mont
535533	139357	Aunt Lily
535533	190933	Mrs. Forde
535533	207797	Miss. Pritchard
535533	213204	Old Lady
535533	252138	Mrs. Franklin
535533	257109	Jane
535533	292788	Matron
535533	304804	Mrs. Hengrave
535533	382279	Mrs Bullett Finch
535533	383683	Miss Treeves
535533	383799	May Harkness
535533	388320	Miss. Richards
535533	392808	Miss. Price
535533	396073	Mrs. Holland
535533	401275	Mrs. Croft
535533	411353	Countess Fosco
535534	61161	Brenda, Southside Girl
535534	150974	Lily Bart
535534	160472	Herself
535534	201813	Herself
535534	208036	
535534	213455	Kate
535534	213504	Loretta Lee
535534	218219	Moro
535534	257744	Meredith
535534	277701	Performer
535534	292886	Dana Scully
535534	292887	Dana Scully
535534	311128	Narrator
535534	331260	
535534	342020	April Cavanaugh
535534	364639	Herself (Narrator)
535534	369426	Special Agent Dana Scully
535534	369427	Special Agent Dana Scully
535534	369428	Dana Scully
535534	369449	Herself/Dana Scully
535534	369450	Special Agent Dana Scully
535534	369451	Special Agent Dana Scully
535534	369452	Special Agent Dana Scully
535534	389575	Herself (Host)
535534	411560	Dana Scully
535535	365123	Nurse
535535	405073	Woman Dug Out By Sam
535536	4369	Townswoman
535536	32550	Coed
535536	124502	Extra
535537	136266	
535537	300068	A show girl
535537	321522	Gloria
535537	343138	Grecian Girl on Riverboat
535537	348327	Goldwyn Girl
535538	364729	Caroline Booker
535539	156397	
535539	225841	
535540	65386	Emergency Room Nurse
535541	84457	Babe #6
535542	67243	Millicent
535542	152439	
535543	38370	Jill Valentine/Female Newscas
535543	61706	TV Reporter
535543	143531	Girl Being Heckled
535543	379710	Tiffany "Cheerfreak" Lander
535544	17783	Female Airline Agent
535544	99043	Teacher
535544	323250	
535544	364866	Troy
535544	395924	Fiona Pearce, née Hoddle (199
535544	408866	Carol Lennox
535545	16642	Norwegian Woman
535547	50690	Waitress Sheila
535547	185530	Herself
535548	340228	Woman Of Troy
535549	127176	
535549	292645	
535549	308380	
535550	143525	Cassiopea
535550	201845	Veronica
535550	219182	Angela
535550	385142	Gretchen
535551	54959	Agnes
535551	133594	Lois Pope
535551	273610	Mrs. Palmer
535551	346216	Enchantress
535551	366087	Helen Marlow
535551	404394	Const. Callahan
535552	44221	Patricia Massot
535552	205971	Dame Rose
535553	49546	Herself (singer)
535553	79736	Singer in roadhouse and barn
535553	146749	Ivy Anderson
535554	325995	Autograph Seeker 1
535555	188453	Opening Sequence Girl
535556	329	Walking Woman
535556	60852	Betsy Kline
535556	136558	Roxanne (Investigating Sex, E
535556	137470	Delilah
535556	161831	Linda
535556	167070	Tiffany
535556	304834	Kaitlin Moore
535556	400586	Host
535557	134522	Woman in Town Hall
535558	320797	
535559	34973	Elder Van Pelt's Girlfriend
535560	56871	Ilene
535560	75897	Shelby McCammon
535560	86716	Officer Divas
535560	87697	Tiffany
535560	178147	Wendy
535560	196444	Caitlin Ross
535560	213325	Amanda
535560	288111	Sara
535560	290983	Lolly Pop
535561	22714	Claire Null
535562	152584	Karen Benson
535562	383631	Staff Nurse Chloe Hill (1998-
535562	393018	Kim (2003-)
535562	395924	Lisa Hill, Station Cook (2002
535562	408213	Jodie
535563	256188	Snack Bar Cashier
535564	304578	Sarah
535565	261290	Writer (Herself)
535565	382061	Regular Performer
535566	128598	Omega Receptionist
535567	110450	Jodi
535567	281244	Jacqui
535568	23430	Donna
535568	23480	Slut/Zombie
535568	41206	Party Girl
535568	150472	Amy
535568	152948	
535568	160528	Abusive Woman/Groupie
535568	232417	Angry Driver
535568	390917	Freedom fighter
535569	218598	Virgin
535570	26725	Grandmother
535570	30347	Wilson
535570	32775	Lady Alice Hurleston
535570	40005	Madame Gallmington
535570	46133	Mrs. Sloan
535570	55034	
535570	58952	Dolly
535570	71713	Matron
535570	85922	
535570	88558	Lady Ann
535570	99292	
535570	100938	Nell
535570	118788	Miss Tuff
535570	131412	
535570	137462	Lady Botting
535570	139569	Mrs. Merz
535570	141193	Maria
535570	144981	Woman in Street
535570	168721	Mrs. MacIntyre
535570	176470	Grandma
535570	181849	Diana Masefield
535570	183834	Baroness Kisling
535570	186736	Miss Calthorp
535570	187886	Mrs. Samuels
535570	190104	Night Sister
535570	191407	Mrs. Jongman
535570	196959	Mrs. Welch
535570	199390	Lady with Removal Men
535570	206090	
535570	231881	Mrs. McMurtrey
535570	248974	Miss McLeod
535570	273591	
535570	279610	Ma Marston
535570	281052	
535570	291296	Mildred
535570	292652	Mrs. Martyn
535570	295298	Mother at train station
535570	301697	Mrs. Lacey
535570	302143	Roise
535570	304804	Mrs. Fane
535570	307688	Takyan
535570	309352	Miss Shaw
535570	310404	Mrs. Pond
535570	312562	Miss. Gilchrist
535570	316604	
535570	331465	Mrs. MacKenzie
535570	333197	Matron
535570	337107	Miss Horsefall
535570	347112	Elizabeth Madigan
535570	358872	Agnes
535570	363612	Queen Mum
535570	363797	Sister Gater
535570	379595	Mrs. Digby
535570	382854	Mary Hammond
535570	382930	Frau Consul
535570	385928	Belle Lafcadio
535570	388350	Dolores
535570	388504	Princess Natasha
535570	389625	Dr. Goldup
535570	395194	Voice #1
535570	395988	Mrs. Ridd
535570	398184	Miss Heliotrope
535570	402797	Mother
535570	402798	Mother
535570	407838	Jocelyn Holbrook (1982-1984)
535571	4815	Young Kaisa
535571	411574	Presenter
535572	170966	Mary (Social Worker)
535574	108529	
535574	230873	Nurse Robbie
535575	129439	Club Girl
535575	222687	Betty
535576	176969	T.V. Station Receptionist
535576	316752	Watch Girl
535577	408557	Herself - Dancer/Performer
535578	12319	Jennifer
535579	82669	Dancer
535580	7462	L'avocate d'Alexeiev
535581	217745	Projectionist
535581	278172	Secretary #4
535582	5037	Bridesmaid Reading St. Paul
535582	80852	Rhonda
535582	159119	Face at the Bar
535582	195787	Waitress
535582	240235	Gina, Simon's Girlfreind
535583	13825	Lisa
535583	52017	Charlotte
535583	255353	Standup
535584	19834	Midge
535584	395491	
535585	7978	Student 2
535586	67619	Lydia Corman
535586	79986	Bloom
535586	80379	Sister Madeleine/Starlet
535586	81655	Loreen Wendell
535586	154576	Robyn Griffin
535586	164481	
535586	165222	Prisoner's Woman
535586	167324	Julia Ann Mercer
535586	210960	Pam Bozanich
535586	213860	Farmer's Wife
535586	241857	
535586	263797	McGuire
535586	271175	Patsy
535586	292018	Martha Parker
535586	304342	Elizabeth Sobel
535586	320309	Capt. Melbeck's secretary
535586	386960	Marianne McKinney
535586	389416	Pat White
535586	405494	Dr. Charlotte 'Charley' Benne
535587	208024	Miss Trollope
535587	383582	La Lambertini
535588	194146	Lois
535588	386603	Nora Hansen (1964-1965)
535589	241349	Child
535590	253458	Nadia 'Pooch' Anderson
535591	8096	Mrs. Willis
535591	70304	Officer Marshall
535591	92575	Miss Apple
535591	102581	Ernest's Teacher
535591	114017	Ruth
535591	144392	Old Woman
535591	227926	Woman
535592	128707	Convict
535593	118304	Susan Forbes
535594	360794	Laurie
535595	43437	
535596	360470	Juanita Diva
535597	11583	Madame (Continental Art Galle
535597	16128	Emily Brent
535597	41225	Ruby Darling
535597	44562	Aunt Sophy
535597	56746	Ida 'Big Momma' Pollitt
535597	57766	Mrs. Danvers
535597	62151	
535597	64109	Wicked Stepmother
535597	85995	Madame Lanlaire
535597	90263	Maggie
535597	97493	Gerd Blarnesen
535597	99306	Queen Elizabeth I
535597	118040	Mme. Madeline Granville
535597	119475	Lady Joan Culver
535597	121982	Flo Burnett
535597	127161	Paulina
535597	133784	
535597	157324	The Sister of Purgatory
535597	159885	Caroline Straulle
535597	177689	Mrs. Harriet Gordon
535597	183814	Slade
535597	186117	Mrs. Ann Treadwell
535597	190500	Herself
535597	198874	Lady Macbeth
535597	202950	Buffalo Cow Head (mother of Y
535597	209384	Medea
535597	209388	Nurse
535597	218689	Tiare
535597	267589	Mrs. Medora 'Ma' Callum
535597	273585	Mrs. Danvers
535597	274163	Ellen Morgan
535597	286179	Queen Herodias
535597	310679	La Sylph
535597	312774	Herself
535597	313395	T'Lar
535597	316123	Mrs. Ivers
535597	327685	Memnet
535597	343316	Miss Braithwaite
535597	346281	Mrs. Snow
535597	387120	Marquesa de Montemayor
535597	390922	Elizabeth Devlin
535597	390922	Lady Macbeth
535597	404282	Minx Lockridge #1 (1984-1987)
535598	142889	Woman Outside Store
535598	233989	Beautician
535598	314700	Dental Assistant of Death
535598	348451	
535599	54655	
535599	75191	
535599	102791	Aunt Peg Norton
535599	118552	Dr. Honey Bottoms
535599	128752	
535599	187411	
535599	195611	Juliet Anderson
535599	195916	
535599	293655	
535599	320963	
535599	320964	
535599	320965	
535599	320966	
535599	320973	
535599	320976	
535599	320979	
535599	320986	
535599	320997	
535599	366829	Pamela Patrick
535600	53742	Cunegonde
535600	90670	Elena
535600	165297	Herself
535600	175544	Herself
535600	196786	Lucia (soprano)
535600	197203	Luisa Miller
535600	234979	Norma
535600	277611	Zoraide
535600	293984	Semiramide
535601	245649	Cashier
535602	92773	Mason's Wife
535603	10891	Jesse Jamison
535604	203740	Bruce's Mother
535605	8020	Dita
535605	202078	Marla
535605	269282	Miss Breen
535605	332880	Mrs. Willoughby
535605	390771	Laura Grant #1 (1953)
535606	366652	Coach Velma
535607	196558	Sis Jessup
535608	21008	
535608	21243	
535608	60212	2nd Grade Teacher
535608	158983	
535608	315514	TV Reporter
535608	330479	Jean Kriticos, The Withered L
535609	366598	Larson Child
535610	257078	Annie
535612	75195	
535613	122015	Marcia
535614	94202	Julie (Aquawoman)
535615	340754	Mrs. Bean
535616	109395	Little Girl #1
535618	305435	Kelly
535619	133450	Moo-Stayshe Mating Worker
535621	14490	
535621	109714	Cindy
535621	150462	Bridgette
535621	185053	
535621	305386	Woman On Street
535622	321214	
535623	252884	Young girl
535624	113852	Nurse
535625	128303	Little Girl (Flowers)
535625	134178	Greg's pupil
535626	407815	Herself (Single) (2002)
535627	65901	
535628	230663	Cheerleader
535629	14157	Gym Manager
535631	18212	Wendy
535631	61737	Sarah Coop
535631	73827	Millie (the barmaid)
535631	108374	Susan Carter
535631	186534	Techie
535631	234116	Elevator Girl
535631	239395	Carrie
535631	272602	Beautiful Woman #2
535631	282392	Elizabeth Banker
535632	8932	Leita Mae
535633	318337	Average Girl
535634	286785	Marilyn
535635	389135	Kathleen Sterling
535636	257660	Herself
535636	364294	Herself
535637	28481	Minor Talent Contest audience
535638	81030	
535638	141720	Herself
535638	148321	Herself
535638	150566	
535638	168484	Herself
535638	178281	
535638	186172	Herself
535638	190214	
535638	201537	Herself
535638	235887	Herself
535638	267353	Herself and Puppet
535638	283104	Newborn Baby
535638	291976	Herself
535638	321978	Sängerin
535638	362463	Herself and her Clone
535638	379685	Host and her Clone (1987)
535639	57489	Video Set Dancer
535639	110278	Sage
535639	345752	Party Girl #1
535639	372217	Cindy
535639	406869	Toby
535640	186633	Nancy Lehrner
535641	49248	Hat Check Girl
535641	96861	Lee Party Guest/Girl in Cafe
535643	252390	
535643	291449	Pageant Girl
535644	21776	Mrs. DeCourcey
535644	151105	Mrs. Slydes
535644	221596	Filet de Sole
535644	297475	Frances Warfield
535645	151789	Leslee
535646	71664	Gypsy Dancer with Circus
535646	348377	Can Can dancer
535647	132210	Morton
535647	305571	Young American Miss
535648	16784	Mother
535648	120095	Girl Driver
535648	321268	Vanessa
535650	126556	
535651	129241	
535652	265068	Herself
535653	65748	Sharon, Victor's Wife
535653	87526	Claudette
535653	140405	Sadie in her 20s
535653	188143	Vivian Baptiste
535653	192675	Toynelle Davis
535653	241375	Raisa
535653	339369	Eleanor Lyons
535653	392710	Heather Comstock (1995-1996)
535654	32601	Doris
535655	147687	Herself
535656	2136	Medusa
535656	11202	Flo
535656	41083	Blondie Bumstead
535656	41642	
535656	42342	
535656	42343	
535656	42345	
535656	42354	Herself
535656	57492	Herself
535656	64566	
535656	64573	Ringmaster
535656	66861	Leah
535656	69641	Herself
535656	71743	Mollie Dean Purcell
535656	80757	Martha
535656	123304	Fanny Porter
535656	161227	Herself
535656	161321	Herself
535656	161322	Herself (friend)
535656	166007	Jayne Mansfield
535656	188578	Lora Mae Holloway
535656	193761	Herself
535656	198075	Herself
535656	200213	Herself
535656	200314	Host
535656	200480	Mrs. Daroon
535656	222361	Cathy
535656	224164	Ellen Blake
535656	229216	Lauren LaSalle
535656	231798	Barbara Butabi
535656	232017	Herself
535656	249572	Herself
535656	263531	Lacey
535656	303608	Julie Davis
535656	309287	
535656	311976	
535656	315958	Stacy Tweed
535656	317120	Pembrook Feeney
535656	331550	Angela Ross
535656	335591	Ellen Berent
535656	354215	Peaches
535656	363666	Liz Bartlett
535656	363871	Thelma Todd
535656	366954	Actress in opening movie segm
535656	381044	Dawn St. Clair
535656	387254	L.K. McGuire
535656	392421	Herself
535656	398506	Mandi Mullet-Heidecker
535656	399834	Casey MacAfee (1993-1994)
535656	400908	Sydney Kovak
535656	411323	Jennifer Elizabeth Marlowe
535657	41292	Walnut Tart
535657	41750	
535658	398161	Candy Candle
535658	398163	Herself
535658	408769	Helen Chesternek
535659	682	Young Note Cheater
535659	54856	Kerry
535659	79612	Cyndi
535659	106174	Charlie's Girlfriend
535660	21852	Dark Sally
535660	279166	Wexel's Aunt
535660	321306	
535660	362963	Herself
535661	80642	Miss Daly
535662	329137	
535663	62964	
535663	71743	Herself
535663	109142	Herself
535663	138726	Herself
535663	182948	Women's Army of Revolt/Citize
535663	197071	Herself
535663	304013	
535663	345697	
535663	370035	Cameo appearance
535663	385913	Herself (1973)
535663	395290	Featured singer (1967-1968)
535664	296466	Line
535665	169963	Attorney
535665	195945	Anne
535665	275602	Mother with children in unemp
535666	253058	Vashtii's Daughter
535667	303288	Herself
535668	87949	
535668	106933	
535669	170746	Mouth #2
535669	216669	Club Patron
535670	29956	Pretender's wife
535670	138659	Alice
535670	184858	
535670	203577	Diana
535670	240459	Jennifer
535670	277096	Police Chief's wife
535670	279117	Nell (Charlie's girl)
535670	281052	
535670	281424	Christine
535670	361155	Sheila Sherwood
535670	366778	Sister
535670	385299	Mrs. Walton
535670	404931	Meg Woolcott
535671	246431	Miss Headlock
535672	362598	Old Woman
535673	372525	Boy with Fly's Mother
535674	205656	Herself
535674	205657	
535674	339524	Herself
535674	383804	Herself - singing at the linc
535674	390563	Herself
535675	117626	
535676	178048	Aunt Theresa
535678	68578	
535678	84063	
535678	84480	
535678	90452	Mirabel
535678	127587	
535678	157331	
535678	195118	
535678	222122	
535678	222187	
535678	236395	
535678	263417	
535678	264537	
535678	266121	
535678	275022	
535678	284842	
535678	336321	
535678	381633	
535678	387835	Elizabeth
535678	402424	
535678	404803	
535679	264	Girl
535679	11582	Rebecca Jay
535679	32903	Nora Bard
535679	60343	Amy Saunders, Mrs. Bishop's N
535679	61162	Mary Cannon
535679	78032	Anna Quinn
535679	87820	Girl with Max
535679	107390	Ann Rutledge
535679	115471	Daisy Lou
535679	131240	Maybelle Merriwether
535679	142872	Phyllis Michael
535679	142880	Phyillis Michael
535679	152911	Alice McGuire
535679	155071	Eileen Vickers
535679	167098	Maria
535679	185454	Swallow
535679	190327	Alice MacKenzie
535679	210934	Hilda
535679	224119	Woman Mistaken for Amelia by 
535679	241254	Hilda Jones
535679	291742	Maid of Honor
535679	308576	Jeanne Abadie
535679	334162	Corinne Piersen
535679	345958	Edie Baird
535679	346367	Molly Rankin
535679	363680	Mary Roberts
535679	365926	Eleanor Wilson
535679	366897	Anne Howland
535679	367919	Young Girl
535679	401350	Catherine Peyton Harrington (
535680	112742	Jenny Brown
535681	37845	Winnie Peters
535681	42027	Nan Beech
535681	48495	Bubbles
535681	48733	
535681	48734	
535681	50435	
535681	50906	Kate Saxon
535681	51494	Irva Jones
535681	52106	
535681	59087	
535681	88189	Wanda Carson
535681	101032	
535681	107403	
535681	108004	Cecilia Brooke
535681	109699	
535681	114935	Blanca
535681	118350	The Wife
535681	137473	Evelyn Huntington
535681	142684	
535681	145797	Helen Milton
535681	153215	Birdie Sankey
535681	168689	Ruth Gordon
535681	185391	Jeanne MacDonald
535681	200483	Jess Roth
535681	224198	Marguerite
535681	257877	Gwendoline
535681	298294	
535681	306742	
535681	310870	Helen Stetson
535681	319126	Janet Warned
535681	335673	Betty Colford
535681	343015	Ruth Turner
535681	350478	
535681	362945	Jessie Garden
535681	365668	Julie Grayton
535682	85242	Mrs. Green
535682	169453	Mrs. Jones
535682	292850	Irene Carson
535682	342848	Teresa Holmes
535682	382157	Erica
535683	79911	
535683	103284	Cora Lijek
535683	273794	Reporter #5
535685	47865	Additional Voice
535685	90092	The Waters and Friends Chorus
535685	115571	Soprano Singer
535685	157978	Turtle Choir Member
535685	312141	Singing nun
535686	16729	
535686	41188	Ethel Kennedy
535686	47542	Nancy Sloan
535686	190711	Dorothy
535686	215173	Annie
535686	232105	Helen Cooper
535686	242729	Leslie
535686	303608	Nurse
535687	201466	Lauren Blakefield
535687	291257	Herself
535687	326242	Lauren
535688	344246	Melissa The Cheerleader
535689	46	Herself
535689	7199	Maureen Tyler
535689	17259	Snake
535689	31183	Herself (NBC Team)
535689	31902	Kate
535689	48616	Herself
535689	57686	Herself
535689	57689	Herself
535689	60024	Jennie
535689	64560	Herself (performer)
535689	78871	Noelle Drake
535689	80540	Dulcie Niles
535689	86459	
535689	96775	Dr. Marilyn Blake
535689	108956	Young Nurse
535689	110187	Herself
535689	113472	Nikki Gatos
535689	114047	Toby King
535689	117404	
535689	138724	Virginia 'Ginny' Wainwright
535689	160018	Molly Rush
535689	161337	Herself
535689	161339	Herself
535689	161400	
535689	165253	Lacey Stevens
535689	191893	Mary Ingalls
535689	191896	Mary Ingalls
535689	193748	Nancy Rizzi
535689	194317	
535689	210618	Yvette Marcel
535689	212731	Herself
535689	212733	Herself
535689	212734	Herself
535689	213209	Vivian Sotherland
535689	224981	Kukki
535689	276725	Colleen McCloud
535689	303765	
535689	320082	Dana Lee
535689	363310	
535689	363521	Alexandria 'Alex' Benton
535689	395735	Mary Ingalls Kendall (1974-19
535690	35535	Claudia Winston
535690	40126	
535690	45435	Dulcie
535690	80374	Janet Gillis
535690	81753	
535690	99578	Bonnie
535690	102591	Edie Adams
535690	113371	Kate Davis
535690	113996	Patricia Goodwin
535690	115062	Dale Arden
535690	146855	Sharon franklin/Mary Lipscomb
535690	184579	Clair Trinavant
535690	204323	Brooke MacKenzie
535690	205819	Marilyn Monroe
535690	258018	Julie
535690	259307	Jennifer Oaks
535690	310784	Lea Roberts
535690	346068	
535690	379716	Natalie "Nat" Marlowe Hunter 
535690	396743	Det. Brooke McKenzie
535691	75542	Nurse
535691	194277	Wealthy Matron
535692	256093	Ursula...Age 5
535692	335301	Gloria Pincus
535693	251247	Nursery Customer
535694	302774	
535694	352644	Michelle Garden
535694	354102	Injured driver
535694	376454	Susi
535695	21472	
535695	22853	
535695	22969	
535695	31924	
535695	32234	
535695	37324	Big Sister
535695	40704	Edith Overton
535695	46706	
535695	64555	Kate
535695	64870	Claire Burton
535695	65084	Kate MacDonald
535695	75331	Neva Hedden
535695	79550	Dora
535695	89191	Alois, the miller's daughter
535695	104960	Selma
535695	109146	
535695	113587	The Wife
535695	139484	Mignon, his daughter
535695	139991	
535695	141234	Mrs. Robinson
535695	143215	Viola
535695	143384	The Loyal Sister with a Secre
535695	150935	Clarissa Rhinelander Bartlett
535695	152923	
535695	177548	Elva Barrett/Kate Arden
535695	178194	Bessie Neldon
535695	179043	Portia, His Daughter
535695	197082	Lucy, his daughter
535695	206468	
535695	207453	The Hunter's Wife
535695	209624	
535695	211341	Jessica
535695	211816	May, his wife
535695	213247	Mary Lynch
535695	213873	Pauline Avon, as an adult
535695	213993	Maggie Tulliver
535695	220323	Enid Forsythe
535695	226765	
535695	231437	Madeline Bray
535695	240894	
535695	247269	
535695	247271	
535695	254579	Jeanne de Beaulieu
535695	255457	
535695	258189	
535695	263486	The Younger Sister
535695	279645	
535695	279729	Ellen
535695	292591	
535695	301486	
535695	313352	
535695	365056	Phyllis Narcissa
535695	366460	
535695	367509	Dr. Beatrice Barlow
535695	372675	
535696	356953	
535697	366598	Mrs. Larson
535698	89631	Anna, the Nurse
535699	91908	Bessie, Leon's Maid
535699	116538	Grace
535699	134088	Eve
535699	166345	Jeanne's Maid
535699	183721	Maid
535699	196295	Maid
535699	239076	Cook
535699	253126	Black maid
535699	308089	Mwange Wife
535699	318607	Churchgoer
535699	337178	Therese, a Black Servant
535699	350484	Yancey's 1929 Second Maid
535699	363623	Agnes
535699	364081	Aganza
535700	46777	Florence
535701	67897	Patricia
535702	13789	Spartanette #8
535702	47232	Dancer
535702	120528	Insulted Girl
535702	313825	Nightclub Dancer
535703	178068	Lois Lane 'Bianca'
535704	339621	
535705	73319	Little Babe
535705	201569	Herself
535705	301678	Hospital Staff
535705	363967	Leah
535706	382128	Francesca
535707	170	
535707	16699	'Mother' De Vere
535707	18066	
535707	26963	
535707	35383	
535707	56624	Mrs. Larrymore
535707	59856	
535707	95458	Marua
535707	117441	Aunt Endor
535707	136551	
535707	143385	Undetermined Role
535707	149262	
535707	153225	
535707	178355	His Wife
535707	191272	Smith Sister
535707	191784	Mrs. Dawson
535707	191982	
535707	192407	Hannah
535707	195988	
535707	239732	
535707	245677	Sonia
535707	269300	
535707	289623	
535707	300011	Mrs. Maxon
535707	323700	
535707	342817	Mrs. Brooks
535707	366931	The Landlady
535708	272662	Self
535709	255157	
535710	131375	Woman at the Pound
535711	316028	Flying Nun
535713	68738	Bar Girl B, Additional Voices
535713	68739	Nerima Queen, Additional Voic
535714	139607	Woman in Kitchen
535715	321213	Catfish Festival singer
535716	1726	Herself
535716	29619	Barb Wire
535716	31497	Herself
535716	31498	C.J. Parker
535716	31499	C.J. Parker
535716	31501	C.J. Parker
535716	41063	Herself
535716	47223	Host
535716	57650	Herself
535716	57651	Herself
535716	57665	
535716	57936	Herself
535716	67816	Velda
535716	96555	Herself
535716	96769	Herself
535716	97461	Herself
535716	160464	Herself
535716	201861	Herself
535716	221413	Herself
535716	221424	Herself
535716	221479	Herself
535716	221483	Herself
535716	227006	Britt
535716	251040	Herself
535716	257618	Herself
535716	257630	Herself
535716	257648	Herself (Miss July)
535716	257681	Herself
535716	257682	Herself (Playmate)
535716	257824	Herself (Miss February 1990)
535716	272930	Sarah
535716	282677	Herself
535716	289668	Becca
535716	290939	Herself
535716	296352	Herself
535716	296353	Herself
535716	305987	Felicity
535716	311156	Herself
535716	323586	Cheerleader
535716	325258	Herself
535716	326663	Herself - Presenter
535716	344523	Herself
535716	349403	Vallery Irons
535716	352979	Herself
535716	361850	Herself
535716	368828	Herself
535716	381442	Casey Jean 'C.J.' Parker (199
535716	381571	Herself
535716	391835	Herself
535716	391880	Lisa (1991-1993)
535716	409741	Vallery Irons
535717	115563	Pebbles
535717	300180	Party Singer
535717	307902	Party Guest
535718	194082	Coach
535719	16705	Android
535719	43744	Newlywed Woman
535719	72108	Barbara
535719	87401	Lizzie
535719	116103	Toby
535719	231032	Sharon
535719	274679	
535719	294580	Billie Sue a Hooker
535719	318784	Sally
535719	322636	Elaine
535720	318798	Bud's Mamma
535721	186156	Denise
535721	202988	Second Receptionist
535722	35263	Phone Box Woman
535723	150974	Little Girl in the Hall
535724	98843	
535725	132739	Gang Girl #2
535726	40341	Brass
535727	145573	Melissa
535727	169662	Loribeth
535727	284938	Barbara
535728	67749	Marie
535728	126340	Manu from Baise-Moi
535728	224358	Manu from Baise-moi
535728	254128	Herself (interviewed)
535729	137689	Ballerina
535730	104057	Bibi
535731	294790	Jen
535731	380713	Hope Dixon #1 (1998-2000)
535732	185176	Herself
535733	158520	Bunny
535734	130685	Mrs. Davis
535735	389858	Alexandria 'Alex' Quartermain
535737	349880	
535738	26343	
535739	173089	Birthday Party Guest
535740	113631	Des
535741	342049	Girl at Zoo
535742	31450	Pru Lawson
535742	39161	Claire
535742	39836	Mary Plack
535742	64506	Linda Harrison
535742	85122	Anne Forest
535742	91717	Barbara Leyland
535742	115178	Monica Oliveri
535742	115723	Mary Anstruther
535742	144687	Helen Grant
535742	148386	Barbara
535742	192197	Julia Jackson
535742	203625	Stella
535742	234888	Jill Hallam
535742	258732	Joanna Benbow
535742	263786	Miss Lockhart
535742	269456	Stellina
535742	271168	Mrs. MacPhail
535742	279171	
535742	291487	Alice
535742	296774	Linda Bryant
535742	304787	Joan Maxted
535742	307103	Betty Walker
535742	307576	Jean
535742	315024	Katie Glebe
535742	333346	Sallie Harbord
535742	336105	Joan
535742	342416	Mary Game
535742	363697	Anne
535742	381087	Mary (1970)
535742	395045	Myrna Burton
535742	399581	Alison Campbell
535744	126060	Sonya's attorney
535745	82712	
535745	143485	Marguerite
535745	213350	
535746	65973	Juanita
535747	31049	Mrs. Thompson
535747	220828	Mabel Anderson
535748	274679	
535750	7889	Bikini Girl
535751	106459	
535751	107257	Miles
535751	191526	
535752	137259	Amusement Park Patron
535752	187697	Waitress
535753	272602	Mother
535753	298279	Lori
535754	5150	Secretary
535754	27078	
535754	101078	Tracey
535754	109093	Morning Show Hostess
535754	162821	Haitian Mother
535754	305717	Police Woman
535754	365147	Lakelea
535755	87697	Baby Doll Dancer
535755	297242	Dakota
535756	313189	Exotic Dancer
535756	372089	Nurse
535756	373216	Horizon Model
535756	399262	Cecily Pigeon
535757	126276	Reggie's Friend at Beach
535757	168114	
535758	72474	
535760	203463	Telephone Girl
535761	35239	Hot Dog Planet Customer
535762	340864	Jennie Boles
535763	193211	Herself
535764	407369	Hiromi Shinohara, Mika, Addit
535765	193000	Extra
535766	34913	Choir member
535767	321793	Dancer
535768	48935	Marilyn
535768	52199	Marilyn Monroe
535768	81052	Marilyn Monroe
535768	205848	
535768	205850	Marilyn Monroe
535768	360055	Other Pupil
535769	72759	Noah's Mother
535769	190332	Sandy
535770	387024	Host
535771	44568	Audrey
535771	83964	
535772	54575	Melody Angel
535772	154379	Herself
535772	332068	Lady Penelope Creighton-Ward
535772	332071	Lady Penelope Creighton-Ward
535772	383417	Melody Angel
535772	388767	Venus
535772	393587	Mrs. Ada Harris
535772	404692	Mrs. Harding
535772	407007	Jimmy Gibson
535772	408159	Lady Penelope Creighton-Ward/
535773	16921	Terry Grant
535773	79698	Sumi
535773	297899	
535774	196902	Wedding Guest
535775	29746	Customer Jiwanda
535776	96773	Debbie
535776	150273	Midnight
535776	198855	
535776	273431	Herself/Los Angeles
535776	273432	
535776	273433	
535776	273434	
535776	273436	
535776	285035	May
535776	324852	Judge
535776	383457	Dealer
535776	402993	Herself/Los Angeles (1993)
535777	295178	
535778	405209	Jacqui Briant (2000)
535779	117103	Mom
535780	141610	Nurse
535781	52577	Journalist
535781	124058	CIA agent
535782	212998	Lauri Blaine
535783	41192	
535784	168549	
535785	135942	Black servant
535785	278716	Hypnotist Volunteer
535786	326854	Joan
535787	103265	The Eunuch
535788	108526	The Lonely Housemaid
535790	67575	Maid
535790	149708	2nd Clerk
535790	307860	Angelica
535791	267453	Sonya
535792	38838	L'infirmière
535792	286896	La jeune conductrice/The youn
535793	161448	
535793	193522	
535793	208521	
535793	253579	
535793	270342	
535793	294420	Sandra
535793	302184	
535793	306881	
535794	115390	
535795	87015	
535795	107891	Vera Produce
535795	222750	Dr. Eschenberg
535795	251693	Cynthia
535795	278798	Katherine Simms
535795	307589	Linda
535795	310418	Sparkle
535795	366670	Kelly Ryan
535795	398792	Lily Bellows
535796	255654	Jenna
535796	262747	Ella
535796	299664	Patty
535797	331932	Liz Meyers
535798	213155	Det. Arraya
535799	202657	Tess Medford
535800	176920	Young Maggie
535801	341931	Choir Singer
535802	32585	Audience member
535803	99218	Kerttu
535803	192827	Maria
535804	377378	Stina
535805	445	Agda, bumpkin's daughter
535806	29556	
535806	232986	Sect member
535807	48380	
535807	389499	Evy
535808	320617	
535809	5653	Narrator
535809	7778	Elsa Jacobsen
535809	7923	Holga
535809	15031	Catherine Dumais
535809	17498	Annas Mor
535809	18083	Sara
535809	26156	Swedish Court Lady-in-waiting
535809	30185	The Mother
535809	34254	Ann-Charlotte Leffler
535809	34493	Karin Vergerus
535809	48375	Sylvia Blom
535809	60440	Britt Stagnelius
535809	69137	Francine
535809	84268	Solveig Olsson
535809	84290	Mia, the daughter
535809	88397	Britt-Marie
535809	94274	Victoria
535809	94450	Christina Blom
535809	94753	Ellen Grange
535809	95066	Elvira
535809	97883	Karin Johansson
535809	99218	Tora Holm
535809	101065	Catherine Stockmann
535809	106109	Margaret
535809	115401	Lilly
535809	115425	Liz Lindstrand
535809	117534	Tekla
535809	121010	Dancing girl
535809	121012	Julie
535809	122456	Humlan
535809	126255	Patricia Tauling
535809	140303	
535809	143995	Berghild
535809	144039	Anne-Marie
535809	153053	Singer
535809	154516	Dr. Fried
535809	154562	Herself
535809	156309	Monique Calvé
535809	164776	Siv Andersson
535809	170837	Britt
535809	174172	Monika
535809	180405	Edvarda
535809	180846	Erika (Beck) Kosnov, Prostitu
535809	182541	Lena
535809	190795	A tailor's daughter
535809	191171	Blanch DuBois
535809	192927	Herself
535809	192929	Muriel McComber, David's daug
535809	194160	Herself
535809	194940	Queen Alexandra
535809	197819	Anna, Fanny's daughter
535809	206246	Anna-Berit
535809	225349	Arkadina
535809	228382	Maj Månsson
535809	237265	Hjördis Petterson
535809	237466	
535809	239213	La Lumière
535809	253440	Alma, The Nurse
535809	258483	Gertrud
535809	269952	Ambrosia
535809	270293	Eivor
535809	276750	Elsa Berggren
535809	279065	Blanche Huysman
535809	289003	Lydia
535809	289731	Katarina
535809	291561	Ingrid
535809	303197	Viktor's Wife
535809	303199	Kerstin
535809	303648	Mia, Jof's wife
535809	305863	Sara
535809	307063	Mother
535809	308200	Actress
535809	308201	Mona Dahlström
535809	312283	Maria
535809	315446	Karin Ullman
535809	320510	Marie-Louise Wallén, embassad
535809	320516	Simone Cambral
535809	320519	Elin Pappila
535809	321971	Charlotte
535809	333049	Gloria
535809	339239	Viola
535809	342328	Laura
535809	343519	Jane Merrild
535809	343984	Girl on the train
535809	354691	Student at Tornelius' party
535809	354764	Marianne Severin
535809	354876	
535809	358744	Maj. von Dardel
535809	377307	The Girl
535809	378250	Marianne
535809	387162	Siri von Essen
535809	396250	Mrs. Tidrén
535809	396590	
535809	408799	Herself - Member of the Film 
535810	174779	
535811	12011	Hilma Randel
535811	23412	Mona
535811	34546	
535811	47997	Cigarette Girl
535811	71484	Brigit
535811	94262	The portress
535811	95178	Blomhåret
535811	100448	Lillan
535811	115401	Taje
535811	119420	Skryt-Marcus Farmor
535811	136613	Guest
535811	154565	Wife in Martin's movie
535811	171633	Doris
535811	171635	Doris
535811	171636	Doris
535811	171637	Doris
535811	171638	Doris
535811	171639	Doris
535811	172428	Mrs Boman
535811	181086	Helena Sandholm
535811	182277	Anna Högman
535811	202774	Young Lady in White Fur
535811	204542	Hans svenske kjæreste
535811	209331	Aunt Tinne
535811	209334	Helle
535811	217451	Sonja Elbegaard
535811	232656	Micke's Mother
535811	268348	Office clerk
535811	272501	Maja Jansson
535811	284100	Vidauban
535811	284102	Christina Grepeclou
535811	304183	Vera
535811	320606	Cikoria
535811	322279	Journalist
535811	334740	Lilly
535811	377287	The Mother
535811	377296	Isabella Korpulin
535811	377336	Luft-Hanna Lindberg
535811	377420	Britta
535811	389317	Ulla Fredriksson (1990)
535811	389466	Hedvig Hök
535811	389584	Margareta Björk (1996-97)
535811	390792	Teskedsgumman
535811	393578	Jeanette
535811	393898	
535811	407886	Mrs. Pepperpot
535811	408935	Daisy
535812	115424	
535813	341611	Dancer
535814	307768	Extra
535815	344925	Herself
535816	405853	Annika
535817	222998	Mrs. Barnes
535817	396250	Countess Spjuut
535818	171574	Anne
535819	359543	Marie
535820	115424	
535821	381288	Herself (säsong 3)
535822	115423	Clary Johansson
535823	394924	
535824	115424	
535825	303208	Herself
535825	388055	Herself (2001) (#Winner 2003)
535826	349575	Annika's mother
535827	210348	Host
535828	4597	
535828	48361	Dancer
535828	108633	Jacobis hus
535828	116131	Anita Berg
535828	144083	Bergsrådinnan
535828	174172	Nadja
535828	182306	Maj
535828	308198	Ballet dancer
535828	315373	Dancer
535829	6117	Eva's Mother
535830	109140	'Sippan'
535830	276209	Petra Ahlman
535831	354607	Tolk (episode 3)
535832	316985	Skolflicka
535833	401	Kajsa Håkansson
535833	16265	Majken
535833	17486	Anna Kivi
535833	23417	Louise
535833	29641	Barbara
535833	36689	Girl
535833	40315	Mother
535833	47997	Eva Malmborg
535833	79892	Ada Doork
535833	80699	Ann Dobbs
535833	89330	Gloria
535833	96019	Bit
535833	108633	Biskopsgården - Justina
535833	115425	Marianne
535833	115882	Linnea Berg
535833	120966	Job applicant
535833	121019	Hallman's bride
535833	122456	Isolde
535833	132182	Camilla Steen
535833	136404	Anne
535833	137975	Curious girl when Gertrud is 
535833	138760	Marja
535833	142780	Sonja
535833	144040	Aunt Bina
535833	145473	Jasmin
535833	146355	The Wife
535833	149488	Lena Lett
535833	153957	Miss Kjaer
535833	154562	Herself
535833	164782	Olivia
535833	169976	Ingeborg Lanz
535833	172428	Mrs Larsson
535833	173169	Mathaswintha
535833	173170	Mathawsintha
535833	182277	Marianne
535833	182298	Doris
535833	182466	Girl in Brenner's movie
535833	187662	Nix
535833	189186	Viveca Hedman
535833	191206	Lilly
535833	192927	Herself
535833	198016	Maja Karlsson
535833	209369	Young girl
535833	218084	Teacher's Wife
535833	220194	Waitress
535833	225313	Sofia Persson
535833	228386	Wivan
535833	234255	Hanka
535833	243672	Wera
535833	266755	Dockie
535833	268155	Eliza Doolittle
535833	272501	Cecilia Andersson
535833	284857	Monica
535833	293839	Karin
535833	303162	Siska Olofsson
535833	303199	Anita
535833	303649	The Mom
535833	304137	School Girl
535833	308194	Monika
535833	308197	Magda
535833	308200	Petra the Maid
535833	314911	Woman in hotel room
535833	320957	Boman
535833	321929	Ingrid Granliden
535833	322317	Karin
535833	322436	Birgitta
535833	332836	Anna Freeman
535833	340434	Siv aka Sivan
535833	342298	Noomi Moldovan
535833	342310	Viveka Burman
535833	343508	Anne Englund
535833	343984	Harriet, Gunnar's Girlfriend
535833	355545	Agnes
535833	355657	Monika Larsson
535833	377304	Agda
535833	377398	Marianne Retke
535833	381599	Astrid Belinder
535833	386156	Liv
535833	387527	Rebecka
535833	390854	Märta Dohna (segments 3-5)
535833	392406	Maria
535833	394197	Alberts syster Karin (episode
535833	396250	Stava
535833	396533	Majken's teacher
535833	401515	Fröken Lur
535833	404818	Conradette Glossner
535833	406604	Estrid
535834	137294	Model #1
535834	182583	Flute Player
535835	137738	Jan-Peter's Sister
535835	178376	Meeri
535835	332518	
535835	400356	Gudrun Eek
535836	354281	Linnarova's girl
535837	198252	Mari Jonsson
535837	246492	Karin
535837	252190	Biluthyraren
535837	287559	Lissi
535837	308197	Tanja
535837	393273	Jessica Berggren
535837	394940	Bauer's secretary
535837	404039	Reporter for 'Rapport'
535838	388446	Herself (#Winner 2002)
535839	165924	
535840	104778	Swedish Entry (5th place)
535840	192659	Carola
535840	397396	Herself
535840	397397	Herself
535841	101122	
535842	322437	Young woman
535843	99161	Punktjejen
535844	178478	Woman who gets a painting
535844	237263	Jenny
535845	171638	Sopranen hos Signore
535848	130070	Susanna Nordenson
535848	204543	Lisa Holgersson
535848	354607	Lisa Holgersson
535848	378897	Lisa Holgersson
535848	386641	Doctor
535848	400001	Handläggare
535849	165134	Herself (producer of Nya Tide
535850	24600	Dila
535850	26884	Teiresias
535850	57567	
535850	62891	
535850	135233	Gudrun
535850	158959	Kammerpigen
535850	228396	Nata
535850	291638	Woman
535850	293650	Dagny
535850	303747	Trade Union Negotiator
535850	307507	Melania
535850	354739	Sygeplejerske
535851	4594	Vocal backing group
535851	210336	Herself
535851	210338	Herself
535851	210340	Herself
535852	136701	Woman
535853	341810	Lisa
535854	158686	Louison, Argan's youngest dau
535854	179713	Siri
535855	212337	Herself - Participant/Perform
535856	137704	Emma
535856	394924	
535857	210359	Herself
535857	382307	Member of the Choir
535858	132592	The Grail
535858	400236	Jessica Lynn Buchanan (1998) 
535859	315365	Maid
535860	134943	Girl at Disco
535860	137738	Jan-Peter's Sister
535860	182579	Eva
535860	199082	Mackan
535860	242756	Fanny
535860	284104	Maria
535861	115424	
535862	357302	
535863	2608	Kajsa
535863	6212	Miss Blomgren
535863	47997	Waitress
535863	62448	Judiths Mamma
535863	88826	Kristine
535863	108633	Biskopsgården
535863	124027	Hairdresser
535863	153717	Gudrun
535863	180392	Lise Granell
535863	182548	
535863	182816	Dunjusjal, maid
535863	187639	Maja Svensson
535863	198266	Martine
535863	270936	Maggan
535863	303199	Girl in school
535863	315034	Hellström's mother-in-law
535863	315606	Hälerska
535863	322818	Aina
535863	335901	Second typist
535863	350927	
535863	354677	Doris
535863	382891	A woman
535863	387057	
535863	406646	Elsa Knutsson
535863	406823	Fru Lind
535863	408800	Gunvor Gustavsson
535864	28099	Girl with the fireplace
535865	168928	Party Guest
535866	18891	
535866	165923	
535866	264738	
535866	264740	
535866	264909	
535867	94341	Lady searching for housemaid
535867	99819	Court lady
535867	107881	Mrs. Bremssen
535867	109130	Mrs. Playgate
535867	115431	Baroness Harrebow
535867	120892	Ellen
535867	121005	Mrs. Rosengren
535867	122322	Lady von Schwerin
535867	138496	London lady
535867	142837	Guest at Restaurang Bristol
535867	144027	
535867	154504	Mrs. Lind
535867	173539	Mrs. Berner
535867	181845	Countess Ehrencrona
535867	182262	Mrs. Selma Åvik
535867	203102	Mrs. Beerg
535867	268365	Mrs. Adelberg
535867	303663	Mrs. von Berger
535868	14983	Jans flickvän
535869	107305	Young Laura
535870	27586	Herself/Grethe
535870	40505	Louise
535870	120857	Grethe
535870	130112	Reporter
535870	134949	Tascha
535870	181736	Irene
535870	194986	Ida
535870	195476	Berit
535870	225686	Aia
535870	228404	Joyce
535870	282597	Belinda
535870	300988	Inga
535870	358464	
535871	114033	Berit Nilsson
535872	159640	Bride/Death
535873	76782	Dagmar's friend
535873	104818	Eva Blom
535873	154204	Kate
535873	182455	Anita
535873	193298	Girl in bed with Lt. von Arno
535873	304199	Hedvig, their maid
535873	305874	Hooker #2
535873	322280	Marianne
535873	402881	Lena
535874	315366	Mother
535876	86071	
535876	197142	Mrs. Stoll
535877	381912	Herself (#Winner 2002)
535878	394028	Medium
535879	397397	Herself
535880	259395	Herself - Married to Jim sinc
535881	40165	Mother
535882	186633	Laurie Banks
535883	16319	Anna
535883	27480	The model
535883	99613	Anna-Rosa's Mother
535883	101492	Assistant
535883	112278	Susanna, chamber maid to the 
535883	134943	Woman at Gröna Lund
535883	136849	Eva
535883	159631	Boarding-house supervisor
535883	178733	Margit
535883	182455	Agneta
535883	182575	
535883	182576	Emilia
535883	182577	
535883	200645	Leekadja Bebick
535883	213293	Raija
535883	214357	Sonja
535883	215467	
535883	259425	
535883	272501	Defense Attorney
535883	286137	Inger
535883	289212	Lisbeth
535883	304407	
535883	304424	Veronika
535883	310254	Maria, Jannes fru
535883	313173	Anna Hallonlöv
535883	322276	Siv Åman
535883	322840	
535883	393873	Julstjärnan/The Christmas sta
535883	396250	Midwife
535883	403084	Siv Svensson (1994-1996)
535884	6117	Tove
535884	100477	Jeanette Karlsson
535884	122466	Leo's Mother
535884	153758	Solveig
535884	153763	Karin, mother
535884	180107	
535884	199083	Receptionist #1
535884	259814	Ylva
535884	268355	
535884	304407	
535884	315000	Sonja
535884	322818	Eva
535884	332378	Ylva Sundkvist
535884	377444	Mariette
535884	378338	Kvinne i leilighet
535884	385549	Nina
535884	387628	Peggy
535884	392265	Various
535884	399850	Alice (2001-)
535884	399891	Filippa Mörner
535884	400308	Katja Hilversum, nurse
535884	404039	Alice
535884	405594	Pia Strand
535885	66981	Isabella
535885	179071	Brandy
535885	231401	Karen
535886	37417	
535886	44654	
535886	62420	
535887	105244	
535887	119779	
535887	248981	
535888	80619	Candle Girl #1
535889	358012	
535890	314853	
535891	222467	Dame
535892	205200	Vicetiple 1
535892	277398	Queen's lady
535892	377151	Profesora de Historia
535893	35020	Hermana
535894	342822	Gypsy Girl
535895	13491	Mariami
535895	13492	
535895	19501	Kalantadze mother.
535895	20877	Manana
535895	26025	Babale
535895	32505	Nino
535895	60720	Motrher of Chermeni
535895	86252	Mother of Konstantine
535895	86859	
535895	95616	
535895	125565	Marta Funk
535895	126100	Rusudani
535895	132371	
535895	179825	Luisa
535895	202759	Rodami
535895	217780	
535895	227727	Salome
535895	244250	Otaraant qvrivi
535895	246345	Hans' mother
535895	268561	Babale
535895	268611	Princess II
535895	272733	Princess
535895	284790	Maro
535895	298275	Pelagia
535895	298652	Mariami
535895	340725	
535895	341199	Wife of the Peasant
535895	341200	
535895	351355	Dafina
535896	222441	Maretova keva
535897	73578	One of Dadan's girls
535897	95595	Leposava (waitress)
535897	187970	Waitress
535897	338863	One of three sriptease girls
535897	346269	Make up artist (making movie 
535897	401749	Striper in cabare rose
535898	91268	
535899	95925	
535900	209158	Girl at Party
535901	368073	
535902	29671	Okichi
535903	3113	Half Woman, 10 Years Old
535904	206765	
535905	64424	Daniela
535905	105186	Mrs. Berry
535905	154280	Anowa
535905	167110	
535905	193619	
535905	272675	Mandy Hulme
535905	362341	Jesse
535905	383631	Senior Staff Nurse/Sister Col
535905	384483	April
535905	387247	Karen, the Jazz singer (1991)
535905	391229	Sister Beth Williams
535905	408478	Amanda Jones
535906	211041	
535907	3184	
535907	13759	Emma
535907	28084	Marita
535907	30881	
535907	172453	
535907	218914	
535907	219942	
535907	222196	
535907	243712	Maggie Ojeda
535907	339813	Joboy's Mom
535907	380659	Isabel Arriba
535908	78765	E.R. Nurse
535909	377138	
535910	101895	Ana
535912	330579	The child Kate
535913	258602	
535914	49181	Baba Libenitza
535914	320529	
535915	374472	
535916	229748	
535917	9353	
535917	50965	Golyamata dashterya na Aleksa
535917	211281	Miro
535917	397471	Uchitelkata, Miro
535918	50965	Malkata dashterya na Aleksand
535918	174378	
535918	179603	Latinka
535918	180616	Maria kato malka
535919	210193	Mishkata
535920	214249	
535921	183244	
535921	369398	Bargast
535922	190758	Lili
535922	226709	
535923	93731	Girl at the beach
535924	137623	Child
535925	463	
535925	24025	Fern
535925	24044	
535925	24901	
535925	40357	
535925	49818	Isabelle
535925	74119	
535925	86296	
535925	93865	
535925	102599	
535925	103063	
535925	106655	Mrs. Taine
535925	119241	
535925	119293	
535925	121058	
535925	121798	Melitta Mirabella, Seiltänzer
535925	124888	
535925	125125	
535925	125927	Genuine
535925	126433	
535925	136781	
535925	148810	
535925	161630	
535925	186932	
535925	186933	
535925	189605	
535925	195103	Tamarah
535925	199374	
535925	217848	
535925	220224	
535925	226247	Königin Isabeau
535925	249103	
535925	262424	
535925	270422	
535925	282200	
535925	285333	Saferndri
535925	293236	
535925	293237	
535925	293532	
535925	307072	
535925	310260	
535925	314552	Bessy Shaw
535925	338956	
535925	344771	
535925	345824	
535925	352412	
535925	359495	
535925	361453	
535925	373468	
535925	373759	
535925	376315	Lilli
535925	376356	
535926	132403	
535927	257733	Sarah
535928	206252	Cathy
535929	74907	
535930	215836	Jenny
535931	20334	
535931	26142	Herself
535931	196063	Jesse's Date
535931	257656	Herself (Miss June)
535931	381442	Skylar Bergman (1997-1998)
535932	367083	Running Girl
535933	115772	
535934	33560	La Encarna
535935	13073	
535935	383677	Sonia
535935	384303	Margarida
535935	384778	Jô
535935	386419	Eva
535935	391900	Raquel
535936	407744	Herself/Leiria - Praça Rodrig
535937	87520	Reporter #2
535938	74219	Farm Woman
535939	412273	Finalist #5
535940	398360	Alice
535941	84925	
535942	12080	
535942	205696	
535943	126166	Raquel
535944	383294	Garota
535945	286592	Maria
535946	117093	Paloma
535946	318507	Carmencita
535947	210706	Rani
535948	385052	
535948	396214	Rosa Camejo
535948	401694	Wise woman
535948	405835	Dolores Ruiz
535949	110342	TWA Stewardess
535950	213717	Girl
535951	224991	
535952	124240	
535953	257380	
535954	326224	
535954	383273	Celia
535954	387689	Claudia
535954	398801	Eulalia
535954	405416	Crescencia
535954	410450	Desideria Díaz
535955	53258	Outra Prima
535956	384645	
535957	223099	Herself
535957	372175	Dancer
535958	93754	Silvia
535959	161293	Herself
535960	87511	Dancer
535960	278511	Flamenco Dancer
535961	401882	Herself - Rouge
535962	62349	
535962	69023	
535962	74768	
535962	128055	
535962	160085	
535962	167812	
535962	209366	
535962	385335	Lucila
535962	397258	
535963	291892	
535964	387930	
535965	136832	Conchita
535965	411585	Amélia
535966	14966	
535966	18391	
535966	210377	
535967	357189	
535968	106310	
535969	379242	Reporter
535970	281647	
535971	385444	Herself/Host (2003-200?)
535972	316640	Rosa
535973	156809	
535973	165734	
535974	379553	
535974	381900	Herself
535974	381904	Herself (8th Evicted 2003)
535974	387805	Vica
535974	399640	
535974	409908	
535975	381900	Runner up
535975	381904	Herself (Runner-up 2003)
535975	383031	Dalia
535975	390461	
535975	391572	Lucila
535975	396627	
535975	403257	Elvira
535975	404701	Larissa
535975	404851	Sofía
535975	411712	Clara Olmedo
535976	390733	Lizzie
535977	185973	
535978	300727	Mlle Beguin
535979	23750	Madame Bardin
535979	24914	Mme. Villary
535979	79578	Gloria
535979	91079	
535979	110122	
535979	127634	
535979	155777	
535979	169879	Madame de Trémeuse
535979	208808	Marchesa de Beaulieu
535979	229064	Madame Amin
535979	236611	La mère de Lisa
535979	249204	
535979	273670	
535979	281305	
535979	283049	
535979	324874	
535979	377933	
535980	234672	
535981	24656	
535982	241074	Party Guest
535983	172951	Magda
535984	16404	
535985	334631	Herself
535986	92918	
535986	121854	Philia
535986	140886	Julie
535986	143924	Girl Student
535986	200926	Judith Hollenbeck
535986	213995	Lucy Deane
535986	215883	Pekoo Rayne
535986	216032	Muriel
535986	264489	
535986	304556	
535986	330776	Jinny
535986	348349	Patsy
535986	364172	Herself
535986	385299	Sarah Alexander (1984)
535986	402197	Camilla Wells (1984)
535986	402848	Jeannie Hopkirk
535986	406625	
535986	407616	Jennifer Brent
535987	139089	Hannah
535987	241375	Martha
535988	142879	Millie
535988	154476	Girl at Country Club
535988	261603	Alice
535989	146145	
535989	210738	Nurse
535989	364434	Clerk
535990	1712	Violinist
535991	408689	Commentaire
535992	279150	Surrey driver
535992	361841	Pioneer Woman
535993	52579	Girl
535993	57042	
535993	133610	Hatcheck Girl
535993	177434	
535993	365552	
535994	107703	Diane Melford
535994	128443	Flo
535994	209633	Vilma Vlare
535994	233838	Margot Van Dearing
535994	279536	Natascha
535994	292867	Eugenie Dorain
535994	367686	Gusta
535995	327489	
535996	129762	Married Gnome
535997	13620	Purdue Female Guest 2
535997	16099	Red Cross spokesperson
535997	46425	Alice
535997	52007	Bobbi
535997	67379	Mrs. Bellinger
535997	74008	
535997	82327	
535997	127295	Bridge Lady
535997	133334	Woman at Barbecue
535997	196303	Ethel Bailey
535997	210960	Eric's Jury: Juror #3
535997	214228	Mrs. Dover
535997	240500	
535997	244810	
535997	276779	Dr. Beers (Chief Scientist)
535997	340858	Aunt Lilly
535997	342537	Waitress
535997	343045	Gladys
535997	380713	Sandy Wilson McGuire Hughes G
535997	390771	Dr. Sara MacIntyre Gantry War
535997	404282	Mrs. Cordell (1985)
535998	98177	Girl #1
535999	256616	Young woman
536000	216137	Paula
536001	44245	Diane
536001	47355	
536001	50954	Florence Purcell
536001	56191	Maxine, gang moll
536001	67141	Ginger
536001	67858	Shirley
536001	69419	Florence Davis
536001	75644	Belle Mead
536001	75645	Belle Mead
536001	81129	Helen Gage
536001	127231	Linda Morley
536001	128257	
536001	129923	
536001	133653	Miss White
536001	138687	Beatrice Manning
536001	139935	Marie Moreland
536001	143020	Hat Check Girl
536001	144827	Dixie Durkin
536001	147804	Herself
536001	160930	China Teacup
536001	188318	Undetermined Role
536001	194868	Sophie
536001	197028	Ann Thornton aka Madame Fatim
536001	211601	Maid to Sonia
536001	222592	Lona
536001	224634	Dorothy
536001	231780	Chorus Girl
536001	241711	
536001	244913	Lily (other Beer Garden girl)
536001	248838	Girl on bus with Tommy
536001	255167	Party Girl
536001	257201	Southern belle
536001	270383	Florence Davis
536001	278452	
536001	290328	Peggy
536001	291174	
536001	304352	Teddy Blaine
536001	304634	Dona Lee
536001	309629	Molly, gas-station patron
536001	319203	Nita Madera
536001	323373	Miss Miami Beach
536001	326199	Chorus Girl
536001	331552	Molly
536001	333457	Helen
536001	335666	Show Girl
536001	337707	Patty Blair
536001	342910	Pamela Devonshire
536001	342947	Chorus Girl
536001	346138	Girl
536001	360253	
536001	367412	Cora Matthews
536001	367629	Peggy
536001	372364	Girl
536002	141664	
536002	347681	Countess Feranti
536003	115744	
536004	94861	Finale Singer
536005	6549	Pedigrew's secretary
536005	123343	Dorothy
536005	126067	Chorine
536005	147418	Girl
536005	175626	Woman
536005	204244	Marvel
536005	205792	Teenager
536005	244913	
536005	298093	Instructor
536005	366126	Undetermiend Role
536006	16654	Lady Teasdale
536006	35725	Guest at Chase's residence
536006	36970	
536006	76964	Mrs. Ames
536006	103221	Guest
536006	113920	Civilian Wife
536006	125884	
536006	156939	Party Guest
536006	163485	
536006	163490	Guest
536006	233044	Gossip
536006	233899	
536006	234471	Woman
536006	241542	French UN woman
536006	241557	Undetermined Role
536006	259262	Mlle. Semononff
536006	264153	Woman
536006	291915	Second Author
536006	316323	Dowager
536006	346248	Saleswoman
536006	347335	Cocktail Party Guest
536006	351438	
536007	141664	
536008	254515	Lorenzi
536009	145379	Eliza Murdock aka Leni the Na
536010	267559	Customer
536010	273083	
536010	362363	Sister Clothilde
536012	231965	
536013	71639	Foreign Woman
536013	116594	
536013	163851	
536013	190006	Jacqueline (the nun)
536013	196530	
536013	213031	Martine
536013	215935	
536013	225180	
536013	228107	
536013	230259	
536013	261067	
536013	264748	(special edition only)
536013	264911	
536013	265128	
536013	270402	Old woman
536013	274332	Vicky's Dresser
536013	276642	Woman on Train
536013	292492	Martine, money collector
536013	316023	Nun
536013	330055	
536013	338193	
536013	363792	Magda Kavacs
536013	368514	
536013	387714	
536013	395966	Herself
536013	396071	Herself
536014	306950	La Folie
536015	43663	
536015	44218	
536015	269028	
536015	324868	
536016	233444	
536017	360538	
536018	170478	
536019	403805	Maggie Horton (2001-)
536020	205472	
536021	361240	Herself
536022	385845	La mère de Jacques (segment "
536023	6468	
536024	39682	Sita
536025	156474	Denise
536026	5794	Maestra
536026	17137	
536026	68433	
536026	183488	Antonio's Sister
536026	202576	Moglie farmacista
536026	247511	Ketty
536026	260909	Rosa Scalia
536026	406539	Beniamino's mother
536027	669	Secretaresse
536027	352299	Zuster van Wely
536028	43591	
536028	63831	
536029	188634	School Child
536030	45696	Dead Girl
536031	94566	Mina
536032	202529	Herself
536032	381912	
536032	385845	La mère de Suzy
536033	2584	
536033	112274	
536034	231577	La mère Santino
536035	258114	
536036	284885	La prostituée
536037	119272	
536038	195331	Ava Gardner
536038	380391	Dr. Taylor Benson (1990-1991)
536039	127125	Statue
536041	104730	Cypriot entry (5th place)
536041	104779	Cypriot entry (5th place)
536042	231966	Sailor Cap
536042	342826	
536043	76465	Bille
536043	223476	
536043	308230	
536044	93903	Herself: Forstander (Uummanna
536045	22844	School girl
536045	163496	Audience member
536046	64634	Yrsa
536047	87949	
536047	138532	
536047	178007	Fru Rasmussen
536047	222130	
536047	226104	
536047	237023	
536047	237076	
536047	243265	
536047	315374	
536047	322684	
536047	346989	
536047	357303	
536048	245603	
536049	3053	Herself - Best Live Action Sh
536050	409172	Herself - Reporter/Host (2003
536051	108256	Cindy
536052	254631	Dance Teacher
536053	335353	Girl's Mother in Church
536054	26884	Delta
536055	234826	Pige/Girl
536056	2976	
536056	16367	Dr. Vibeke Holt
536056	28555	Dafne
536056	104886	Sylvi Davidsen
536056	151243	
536056	169029	Brita
536056	247319	Edvarda's Friend
536056	307244	Ragna
536056	386911	Marika
536056	399786	Unn-Berit
536057	228411	
536058	3017	Girl in Skyscraper
536059	46631	Anne
536060	381913	Participant, 13th out (2002)
536061	104757	Swedish entry (8th place)
536061	104760	Norwegian entry (1st place)
536061	104769	Norwegian entry (6th place)
536061	104771	Norway Entry (2nd place)
536061	147240	Norwegian entry
536061	178733	
536061	210344	Herself
536061	210345	Herself
536061	210347	Herself
536061	210353	Herself
536061	210363	Herself/Host
536061	397395	Herself
536062	214343	Hilda
536064	29627	Maria Dahl
536064	116018	Bettan
536064	145520	Elna
536064	192647	Girl listening to Kolar-Jocke
536064	223187	Sylvia
536064	303666	Marita
536064	353013	Peggy
536065	262405	Sabrina
536066	142439	
536067	142439	
536068	313076	Dancer
536069	464	Trude Vogelreuther
536069	472	Agnes Donat
536069	15145	
536069	23891	Lilo
536069	32461	Lona
536069	33237	Zouzou
536069	40584	Alison
536069	67227	Colombe
536069	93475	
536069	94333	
536069	119123	Ambassador's daughter
536069	125316	Anna
536069	145487	
536069	156056	Prinzessin Ingrid
536069	178984	
536069	184525	Christine
536069	189580	
536069	189745	Anna, Enkelin des Töpfers Urb
536069	209954	Lena
536069	226334	
536069	237737	Käthe Sperling
536069	239026	Alice, Fotoreporter
536069	253946	Barbara Rottmann
536069	259436	
536069	265402	Schülerin
536069	272750	
536069	276324	Fee von Pohl
536069	277754	Maria
536069	279679	
536069	280797	
536069	284416	
536069	287098	
536069	290115	
536069	317658	Christine
536069	338960	
536069	343449	
536069	352368	Gabriele
536069	359656	Viola, Sebastian
536069	364935	
536069	365005	
536069	389615	Beate Zöllner
536070	223632	White Girl at Party
536071	53050	Jill
536071	242940	Miss Little
536072	14491	Claire Martin
536072	66148	Corri
536072	77652	Jodi Hurtz
536072	82327	Jane Maxwell
536072	93835	Legs
536072	110189	Harem Girl
536072	127324	Alice
536072	210837	Misty
536072	232372	Bet
536072	245137	Camille
536072	289467	Glenda
536072	304237	Irene
536072	316752	Policewoman on Horse
536072	321920	Susan Valentine
536072	328609	Sue
536072	350194	Iris
536072	388202	Dinetta
536072	389858	Jessica Holmes (1992-1993)
536074	265463	
536075	8239	
536075	30635	
536075	60811	Zhenata
536075	62829	
536075	181484	Maykata
536075	258378	Glavnata lekarka
536075	261331	Vanya
536075	323925	
536075	326261	Stamenova
536075	374864	Kremena
536075	404797	
536076	41412	Caesar's Girls
536077	302	
536078	285119	Veronika II
536079	182069	
536080	60811	
536081	95935	
536081	238821	Pena
536082	52693	Hanging Girl
536083	11855	Juliette Schollwer
536083	40567	Caty
536083	57089	Alex
536083	160055	Clara
536083	170294	Josette
536083	206598	Marie
536083	211366	
536083	213425	Edith
536083	235249	Claire
536083	266945	
536083	287331	Marie
536083	346419	Marion
536083	351507	
536083	351819	Malika Tadjer
536083	353464	Triche
536083	353912	L'automobiliste
536083	361013	
536083	401756	Frane
536084	158771	Nouchi Siveschi
536084	212022	Adele Salani
536085	28679	
536086	678	
536086	6006	
536086	8281	
536086	9710	
536086	10362	
536086	15204	
536086	22580	
536086	24150	
536086	24283	
536086	27822	
536086	40424	
536086	46080	
536086	51507	
536086	54201	
536086	55921	
536086	65703	
536086	68625	
536086	68626	
536086	86884	
536086	104503	
536086	110839	
536086	119104	
536086	131079	
536086	156737	Rali
536086	197355	
536086	197370	
536086	198661	
536086	231184	
536086	236238	
536086	274827	
536086	284344	
536086	286272	
536086	286273	
536086	295495	
536086	302643	Maria
536086	314292	
536086	338952	
536086	352466	
536086	365693	
536086	385156	
536086	389221	
536087	121342	
536088	16989	
536088	351292	
536089	350219	Vampire Victim
536090	46953	
536090	54803	Miss Peabody
536090	66880	Anussia
536090	123879	Lola
536090	158762	Celine Castel
536090	158766	Eva
536090	158767	Fernande
536090	212452	Sofia
536090	220192	The lady who is given a ticke
536090	221729	
536090	236733	
536090	307585	Anna
536090	336599	Nefertiti
536090	351543	
536090	375892	
536090	386742	Arlene Lambert
536090	390661	Rita
536091	56929	Professoressa
536093	284830	
536093	286418	Female Victim
536094	240317	Droid
536095	3112	Kseniya
536095	24308	Francesca Zaborszin
536095	53755	Marta
536095	60454	
536095	77485	
536095	89592	
536095	95694	Lyudmila
536095	179668	
536095	179899	
536095	187013	Yekaterina
536095	192110	Natasha
536095	198176	
536095	206043	Maritsa
536095	211464	Mary Poppins
536095	216970	Panthea
536095	237566	
536095	258612	
536095	265991	
536095	300806	Anastasya Solomina
536095	314403	Girl
536095	325801	Helenea
536095	336083	
536095	344278	
536095	357128	Lyuba
536095	398043	Lena's Mother
536095	401311	Eudoxia
536096	170131	
536097	133044	
536098	240317	Rom
536099	70725	La dame du vestaire
536099	103784	
536099	294606	Yvonne
536100	205625	Isabelle
536101	17566	Woman on street
536101	18552	Parent
536101	30122	First Woman
536101	39696	Nurse
536101	42318	
536101	78875	Dist. Atty.'s Secretary
536101	93220	Bit
536101	96861	Saleswoman
536101	131534	Secretary to Mr. Dove
536101	131594	
536101	144989	Nurse
536101	154287	Mrs. French
536101	154747	Secretary
536101	161743	Eleda Lentz
536101	163283	Secretary
536101	163443	Headwaitress
536101	190264	Mother of Twin Boys
536101	233684	Louise Russell
536101	242941	Gossip
536101	271203	Mrs. Riley
536101	289568	Flora
536101	302469	
536101	316603	Dr. Fenton's Nurse
536101	330240	Maid
536101	333054	Secretary
536101	335654	Mary Edwards
536101	343138	Policewoman
536101	347335	Secretary
536101	347724	Mother of the Bride
536102	82326	Tiffani
536103	3161	Nurse
536104	152196	Irene
536105	5712	Patricia Adams
536105	18640	Anna
536105	103554	Mexican girl
536105	161535	Assunta Esposito
536105	402302	La cameriera di Gertrude
536106	18999	Dancer
536107	157561	
536108	3456	
536108	18827	Adrian's Mother
536108	22782	
536108	82961	
536108	214823	
536108	234410	
536108	237903	
536108	294376	
536108	302376	
536108	327317	
536108	376860	
536108	380072	Nora
536108	403784	Beatriz
536108	409790	Deborah
536109	244347	Melissa
536110	319391	
536111	195467	Glenn's girl friend
536111	355157	Ambassador
536112	217856	
536115	394037	
536116	16857	
536117	369757	Armi, the maid
536118	7959	Grandma Driscoll
536118	46830	Rebecca
536118	90892	Joanie Caucus, Sr
536118	194315	Natalie
536118	272026	Wife At Fundraiser
536118	281381	Mrs. Lee
536118	330594	Neighbor
536118	362115	Claire (Dr. Marvin's secretar
536119	150316	Alicia
536119	178138	Beautiful Girl
536119	270144	Jordan
536119	323612	
536119	335258	Kelly
536120	200875	Hank's Wife
536121	144228	Woman in Checkpoint
536122	81604	Flak girl
536123	39625	
536124	35540	Nurse
536124	216707	
536126	123864	Baby girl
536127	99364	Christine Blanc
536127	196699	
536127	217695	Jeanne
536128	139151	Groupie
536129	379831	Lianne #1 (1989)
536130	314522	Liz (Valley Girls)
536131	204736	Sylvia Porter
536132	173166	
536133	319087	Isabell
536134	407257	Herself - Host
536135	157997	Herself
536136	206515	
536137	84393	Hege Drag
536138	10209	Merete
536138	46249	The princess
536138	182467	Cecilie
536139	242694	Deltas jente
536140	70309	Mrs. Brown
536141	87309	Belle's girl
536141	282339	Claire
536142	297377	Old Couple, Woman
536143	2437	Maxine Richter
536143	7636	Madeleine Cooper
536143	11877	
536143	14258	
536143	25322	
536143	25332	Josephine De Beauharnais
536143	33032	Herself
536143	33033	Herself
536143	34646	Herself
536143	34903	Herself
536143	41862	Countess Kaeti von Klugermann
536143	42357	Herself
536143	43451	Herself
536143	55441	Herself - at Carnival
536143	56314	Vesper Lynd/007
536143	56918	
536143	65228	Aphrodite
536143	67516	Nora Green
536143	72935	Queen of Chain
536143	81596	Caroline Meredith
536143	89578	Norma
536143	91053	principessa Dell'Orso
536143	92573	Honey Ryder
536143	108659	Xellesia
536143	108660	Xellesia
536143	112214	Louise de la Vallière
536143	121649	Marguerita Dauphin
536143	147796	Herself
536143	157441	Herself
536143	159469	Anna
536143	160293	Herself
536143	160295	Herself
536143	165265	Herself
536143	165266	Herself
536143	175469	Honey
536143	180750	Mabel Dodge
536143	188645	The Stroller and The Widow
536143	189347	Marie-Antoinette
536143	202864	Betty Starr
536143	204323	Karen
536143	218456	Susan Stevenson
536143	223076	
536143	232448	Wife
536143	252882	Britt
536143	265443	Susy Kaminski
536143	285278	Miriam
536143	297871	Ayesha (She who must be obeye
536143	307496	Cristina
536143	309932	Erica Kramer
536143	311546	
536143	328188	Herself
536143	339482	Alexandrine Pinardel
536143	388237	Madam Malec (1987-1988)
536143	401311	Athalie
536144	55463	
536145	300898	
536146	153865	
536146	254665	
536147	57211	Chmelarová
536147	82815	
536147	127928	Mme Forestier
536147	165061	
536147	171531	Widow
536147	180830	Functional
536147	181583	Frau Höpfner
536147	224372	Houdková
536147	224478	
536147	268294	
536147	380554	Witch
536147	410338	Aunt Eliska
536148	108941	Janice Whitaker
536149	332598	Angela (niña)
536150	230123	
536150	292806	Herself/Presenter/Narrator
536150	346534	L'assistante de la réception
536151	12090	
536152	160651	Herself
536153	30418	
536154	25103	
536155	99356	
536156	396595	1997-2000
536157	52981	
536158	18019	Woman Sitting with Nick in Ca
536159	350643	
536160	387359	Jane Edwards (1995-1996, 1997
536161	24417	Claire
536161	402197	Officer Di Hagen (1984, 1985,
536162	394349	Herself
536163	177427	Workman on Street
536164	297079	Mrs. Lethbridge
536164	399379	Sylvia
536164	403239	Cook
536164	411316	Betty
536165	69560	
536166	308033	Bianca
536167	80660	Prostitute
536168	19797	
536169	61156	Female Dancer
536169	246604	Cakes
536169	282935	Bootsie
536169	359381	Tina
536170	55204	Mercédès
536171	220083	Tina
536172	355015	Ella
536172	384783	Dinah
536172	400417	Triss Fenton (1965)
536173	245280	Bemish, Miriam's Maid
536174	11031	Trixie
536174	72515	Newsagent Assistant
536174	137568	Barmaid
536174	173353	Relative Singing
536174	398674	Landlady
536175	17215	Jade
536176	85071	
536176	330234	Jane
536177	19797	Milan charwoman
536177	29388	
536177	71928	Mrs. Sam
536177	127697	The Spinster
536177	128416	Cook
536177	134107	Miss Glennie
536177	143191	Tired Woman
536177	305934	Patient
536177	331306	Henrietta
536177	346248	Nora
536178	305405	Lacy
536179	80517	Mrs. Dobraski
536180	15218	Singing receptionist
536180	134664	New neighbour
536180	399129	Herself
536180	399130	Lyn Scully (1999-)
536180	401018	
536180	402197	Rebecca 'Reb' Kean (1984-1985
536180	408074	Pat
536181	48569	Patty/Maxene/LaVerne
536182	256086	
536183	213045	Grandma
536184	186021	Bus Passenger #1
536185	369905	Sue
536186	399018	Contestant (2004)
536187	60171	Mrs. Albright
536187	128140	Vera Ralston
536188	216000	Mrs. Hollaner
536189	32482	Older Ruby
536189	391251	Vi Murray
536190	367512	Eileen
536191	241251	Puddin' Cakes
536192	199684	Katie Olsen
536193	273188	Mrs. Stuart
536194	115062	Cytherian Girl
536195	127801	
536196	80695	Dancer in Nightclub
536196	340320	Redondo Troop Leader
536197	925	
536197	11316	
536197	13390	
536197	20724	Party Girl
536197	24428	Mistress Brittany
536197	31332	
536197	34709	
536197	34714	
536197	34740	
536197	36898	
536197	37421	
536197	37455	
536197	40650	Herself
536197	40949	
536197	41068	
536197	41077	
536197	43493	
536197	43494	
536197	47247	Brittany
536197	47249	
536197	47250	Mistress Brittany
536197	47251	
536197	47252	
536197	47253	Brittany
536197	47255	
536197	50578	
536197	64809	
536197	69774	
536197	71424	Bound Military Miss
536197	76932	
536197	80067	
536197	81924	
536197	87441	
536197	87974	Brittany
536197	89791	
536197	89879	
536197	93108	
536197	95803	
536197	100959	Brittany
536197	102825	Herself
536197	104925	Jamie
536197	105896	
536197	106190	
536197	108521	
536197	108643	
536197	110507	Brittany
536197	110980	Girl Cop/Theatre Woman
536197	111651	Nurse
536197	113153	
536197	116013	Herself
536197	116806	
536197	116807	
536197	116813	
536197	116820	
536197	116832	
536197	121555	
536197	124405	Mistress Brittany Andrews
536197	127403	
536197	128785	
536197	128851	
536197	129090	Herself
536197	140952	
536197	149396	
536197	150949	
536197	151107	
536197	158590	
536197	159012	Actress #3
536197	167525	
536197	177468	
536197	183338	Model (Outside video)
536197	186781	
536197	188053	
536197	190986	
536197	191142	
536197	196002	
536197	200831	Chie (US Version)
536197	210302	
536197	210452	
536197	210453	
536197	226890	
536197	226994	
536197	227997	
536197	232286	
536197	232651	
536197	242069	
536197	242074	
536197	250560	
536197	250651	
536197	252832	
536197	252930	
536197	254698	
536197	254703	
536197	254706	
536197	256086	
536197	257620	Herself
536197	257887	
536197	260816	
536197	263300	
536197	266185	
536197	273299	
536197	274415	
536197	293005	
536197	295689	
536197	300172	
536197	303291	
536197	305785	Brittany
536197	305786	Busty Mistress Brittany
536197	305788	Therapist
536197	306023	
536197	317886	Mistress Brittany
536197	322742	Brittany
536197	323196	
536197	323379	
536197	324766	
536197	326431	Ms. Andrews
536197	331995	
536197	332442	
536197	341933	
536197	348304	
536197	349880	
536197	349969	
536197	355153	Ginger/Dierdre
536197	360309	Nurse
536197	361893	
536197	362023	
536197	372344	
536197	404948	Sex Expert (1999)
536198	403805	Joanna Evans (1999-2000)
536199	41930	Dolly
536199	49371	Larceny Nell/Hattie Blake
536199	67251	Sadie
536199	135607	Leonola Waters
536199	183443	Automat cashier
536199	183608	Marge
536199	222684	Mona Tabor
536199	234141	Slummer
536199	304966	
536199	305498	Female Photographer
536200	34977	Saleswoman
536201	88568	
536202	137259	Amusement Park Patron
536203	45296	Cree
536204	264157	Princeton College Girl Cristi
536205	396206	Carro
536206	276770	Reporter
536207	176534	Crowley Hamon
536207	176535	Crowley Hamon
536207	404060	
536208	146680	Ideal Aryan Female
536208	165097	Erin Murray
536208	214937	Flight Attendant
536208	242934	Young Casey
536208	318756	Helen
536208	380391	Brenda (1989-1990)
536208	400236	Sarah Barry (1993-1996)
536208	404371	Bartender Olivia
536209	158920	Customer
536210	7933	Emma Sandbo
536210	145707	Sarah
536210	298279	Sherry
536211	91854	Older Sarah
536212	167043	Airport Offical
536213	35729	Teen Pam
536213	138213	Jenny
536214	134517	Aunt Sarah
536216	388860	Parade Model
536217	241366	Lady In Church
536218	108617	Kirsty
536219	11483	Myrtle
536219	118303	Wife at Pool
536220	240733	Woman watching TV
536221	39624	Mrs. Ashfoot
536222	195992	Lady Feellitt
536223	42696	Heather
536223	295949	Trina
536223	302570	Gia
536223	323972	Laura
536223	378928	Jillian
536224	163450	Zera
536224	362092	
536226	288205	One of the Hurley Twins
536227	359323	Herself
536228	108029	Tina
536228	194663	Peggy
536228	263450	Faye
536229	233288	Singer
536230	282917	Mother
536231	256211	Wedding Witness
536231	301956	Disco Girl
536231	392108	
536232	149444	Roger's Gang
536232	308938	Receptionist
536233	4692	Harry's Mother
536234	104753	United Kingdom entry (11th pl
536235	385299	Tish Hope (1964-1977)
536236	165421	Soprano
536237	155013	Girl/Jack's movie
536238	606	Samantha Taylor
536238	687	Herself
536238	1774	Herself
536238	2353	Herself - Presenter: Best For
536238	2360	Herself - Best Actress Winner
536238	2364	Herself - Presenter: Best Act
536238	2515	Herself - Presenter: Best Pic
536238	2572	Herself - Co-presenter: Best 
536238	2762	Presenter - Best Revival of a
536238	2779	Herself
536238	2940	Herself
536238	3044	Herself
536238	3053	Herself - Presenter: Past Osc
536238	3894	Herself
536238	7591	Herself
536238	13683	Herself
536238	13932	
536238	14255	Emily Barham
536238	47382	
536238	55505	Herself
536238	57665	
536238	64011	Mrs. Pamela Piquet
536238	64070	Cinderella
536238	79094	Lili Smith (Schmidt)
536238	87752	Mary Poppins
536238	87758	Mary Poppins
536238	87761	Mary Poppins
536238	87767	Mary Poppins
536238	87784	Herself
536238	94858	Stephanie Anderson
536238	99469	Nanny
536238	99470	Nanny
536238	132850	Herself
536238	140442	Jerusha Bromley Hale
536238	144406	Herself - Host
536238	147786	Mary Poppins
536238	154403	Herself
536238	170400	Herself
536238	170402	Herself
536238	170406	Herself
536238	170407	Herself
536238	170410	Herself
536238	170412	Herself
536238	170413	Host
536238	170414	Herself
536238	170415	Herself
536238	170432	Herself
536238	175544	Herself (Honoree)
536238	177255	Herself
536238	192048	Amanda
536238	192840	Herself
536238	201725	Herself
536238	203549	Marianna
536238	206881	Mary Poppins
536238	206882	Herself
536238	220584	Herself
536238	223904	Herself as Hostess
536238	223905	Herself (Host)
536238	230771	Herself
536238	240507	Ethel Thayer
536238	240877	Herself
536238	241731	Catherine
536238	244920	Audrey Grant
536238	264157	Queen Clarisse Renaldi
536238	264158	Clarisse Renaldi
536238	275291	Felicity Marshwood
536238	280364	Herself
536238	281623	Princess Zeila
536238	284538	Sally Miles
536238	286406	Herself
536238	300230	Queen
536238	307878	Herself
536238	309628	Herself
536238	309634	Maria von Trapp
536238	309636	Herself (interviewee)
536238	313514	Gertrude Lawrence
536238	324163	Judith Farrow
536238	329579	Gillian Fairchild
536238	330463	Herself
536238	331065	Millie Dillmount
536238	336141	Dr. Sarah Louise Sherman
536238	345857	Herself
536238	352696	Herself
536238	352697	Herself
536238	353465	Victoria Grant, aka Count Vic
536238	353466	Victor/Victoria
536238	358803	Mary Poppins
536238	358804	Mary Poppins ('Mary Poppins')
536238	358830	Herself
536238	358831	
536238	358832	Herself/Mary Poppins (from 'M
536238	368411	Herself
536238	368458	Herself/Host
536238	382817	Narrator
536238	393883	Host
536238	393888	Julie Carlisle
536239	36770	
536239	75043	
536240	43931	Leslie
536240	215816	Gina
536240	321266	Office Manager
536241	288205	One of the Hurley Twins
536242	37525	Kathy, Dum-dum's girl
536243	41733	Florida Oasis Cocktail Waitre
536245	12751	Herself
536245	20087	LaVerne
536245	47911	Herself
536245	48569	Herself
536245	116523	Herself
536245	129095	Laverne Andrews
536245	143260	Laverne
536245	147414	Herself
536245	147663	Herself
536245	151725	Elevator Operator
536245	158364	Herself
536245	164406	Herself
536245	192332	Herself
536245	201434	
536245	210434	Herself
536245	218769	Laverne
536245	264603	Herself
536245	279428	Herself
536245	291328	Herself
536245	291368	Herself
536245	308736	Herself (sings)
536245	321593	Herself
536245	362491	Herself
536246	242866	Mother Nature
536246	367581	Pari
536247	207440	Big Bottom Girl
536248	83599	Maznah
536248	88250	Dixie Dugan
536248	209599	Gloria Carstairs
536248	280448	Daisy
536248	283861	Trixie Fontaine
536248	361752	Cleo Raymond
536250	2545	Chorus girl
536250	126067	Chorine
536250	130622	Gold Digger
536250	176335	Goldwyn Girl
536250	191835	Society Girl
536250	246650	Show Girl
536250	247160	Goldwyn Girl
536250	305044	Fashion Show Model
536251	297233	Good Townspeople
536252	106253	Mrs. Pillinger
536253	321850	Miss Trebelly
536254	75520	
536255	354830	Saburo's Mother
536256	13998	News vendor
536257	120202	Mrs. Lockwood
536257	157824	Judge Amster
536257	191085	Maureen Dees
536257	389858	Betsy Kensington (1993)
536258	280421	
536258	297781	Dr. Carmichael
536258	368892	Bakery assistant
536259	5527	TV Commentator
536259	329503	Debbie Jack
536260	30071	Woman
536261	367960	Katia Borg
536262	239669	
536263	12751	Herself
536263	20087	Maxene
536263	47911	Herself
536263	48569	Herself
536263	116523	Herself
536263	129095	Maxene Andrews
536263	143260	Maxene
536263	147414	Herself
536263	147663	Herself
536263	151725	Elevator Operator
536263	158364	Herself
536263	164406	Herself
536263	192332	Herself
536263	201434	
536263	210434	Herself
536263	218769	Maxene
536263	264603	Herself
536263	279428	Herself
536263	291328	Herself
536263	291368	Herself
536263	308736	Herself (sings)
536263	321593	Herself
536263	362491	Herself
536264	381079	Mallory Pike
536264	388892	Beauty Weed
536265	300933	Mrs. Runt
536267	176215	Selena Kibbee
536267	199467	Psychiatrist
536267	232093	Mrs. Logan
536267	255697	Passenger With Crying Child
536267	288737	Yolanda
536267	318808	Mrs. Hungerford
536267	342605	Margie
536267	358007	Rosie
536267	361544	Mrs. Captree
536268	289558	Woman at Babylon Club
536269	183412	Santiago
536270	66917	Voodoo Dancer
536271	120014	Mall Patron
536272	12751	Herself
536272	20087	Patty
536272	47911	Herself
536272	48569	Herself
536272	116523	Herself
536272	129095	Patty Andrews
536272	131258	Herself
536272	143260	Patty
536272	147414	Herself
536272	147663	Herself
536272	151725	Elevator Operator
536272	158364	Herself
536272	164406	Herself
536272	192332	Herself
536272	201434	
536272	210434	Herself
536272	218769	Patty
536272	254917	Herself
536272	264603	Herself
536272	279428	Herself
536272	291328	Herself
536272	291368	Herself
536272	308736	Herself (sings)
536272	321593	Herself
536272	362491	Herself
536273	38378	
536273	157530	Allison
536275	60186	Whitney Young Team Member #1
536276	87506	
536277	251812	Anitra
536278	143264	Elizabeth Wakefield
536279	201502	Herself (set decorator)
536280	203048	
536280	292415	Mary Lennox
536281	27258	
536281	44653	
536281	113692	Herself
536281	145755	
536281	331995	
536282	288205	One of the Hurley Twins
536283	152579	Juanita's friend #2
536284	81033	Amanda (segment "World's Most
536287	71520	
536287	91643	Mme Earthquake
536287	247154	Loie Fuller
536288	166904	Roebuck's Friend
536288	187072	Media Relations Officer
536288	265681	Louise
536288	384588	Host
536289	38136	Roseanne
536289	44437	Josie
536289	55477	Sugaree
536289	69732	Mary
536289	128760	Tina
536289	146769	Jeannie Allen
536289	208938	Aprili
536289	238612	Justine
536289	281537	Herself
536289	303212	Herself, Sistas Round Table/I
536289	360880	Bernetta
536289	365835	Veronica
536289	379065	
536289	380823	Gwendolyn
536289	384909	Missy Dinwittie
536289	385824	Valerie Grant #1 (1975-1977)
536289	388237	Valerie (1983-1984)
536289	390144	Laser (1996-1997)
536289	404266	Angie Wheeler
536290	144816	Employee
536291	162763	Jennifer
536291	171197	Wendy
536291	303226	Valeria
536291	380000	Valeria
536291	399346	Herself
536292	60488	
536292	82668	
536292	264877	
536292	292605	
536293	115929	Window washer/maid
536294	389470	Maria
536295	7336	Lilliane
536295	58067	
536295	64977	
536295	84021	
536295	106312	
536295	112133	Genoveva
536295	143748	
536295	146568	Carmen
536295	197617	
536295	204782	Beatriz
536295	236745	
536295	246403	
536295	266479	
536295	301124	Susana
536295	306706	
536295	332603	
536295	352151	
536295	352778	
536295	354038	
536295	373757	
536296	35931	
536296	370939	Ksenia
536297	77099	
536297	128071	Valentina, Soviet official
536297	220695	
536298	375667	
536299	213158	Boris' wife
536299	378720	
536300	356418	
536301	171742	
536302	34448	Dancer
536302	133401	Dancer
536302	133402	Girl Greaser
536302	296552	Dancer
536302	375847	Blondie
536303	18375	
536304	388053	
536305	86064	
536306	124549	
536307	95411	Amira
536308	100624	
536308	250769	
536308	315194	
536308	333025	
536308	338206	
536308	380163	Tina
536308	380814	
536308	387716	
536308	400441	
536308	411974	Christina
536309	373723	
536310	3582	
536310	179694	
536310	223558	
536310	238367	
536310	262167	
536310	357228	
536310	357461	
536311	182259	
536312	124322	Monique
536313	248644	
536314	261232	
536315	161622	Rebecca
536315	393599	Herself (winner)
536316	16675	The Mother
536316	61667	Mother
536316	83967	
536316	100193	Young Patty
536316	106647	Corva
536316	165318	
536316	213272	Molly
536316	276686	Professional Woman
536316	364847	Policewoman
536317	264313	
536318	130226	Pam
536318	130230	Lysette
536319	392364	Cathy
536320	261862	
536320	294206	
536321	59511	La mère de la petite fille au
536321	63644	
536321	215854	
536321	398985	Hélène Toucas (1974)
536322	345245	
536323	257720	
536325	209944	Customer
536326	357490	Vanessa
536327	6408	
536328	10291	
536328	40402	Lou
536328	56042	Maria
536328	97073	
536328	216350	Une Girl
536328	322826	
536329	143950	Dianne Hoffman
536330	111063	Festival Guest
536331	43011	
536331	82770	
536331	91199	
536331	132084	
536331	351386	
536331	351387	
536331	354287	Agnes v. Mönnikhusen
536332	252342	La directrice
536333	197155	
536334	278318	Waitress
536335	381084	Elizabete
536335	396629	Various Roles
536335	400125	Comedy Sketch
536335	402457	
536336	241212	Catherine
536337	149552	
536338	329682	Lieschen
536339	341181	Lida
536340	390037	
536340	400998	
536341	28285	
536341	51432	
536341	60917	
536341	208221	
536341	266096	Protéa
536341	375105	
536341	375106	Nini
536341	375107	La Rosaria
536342	11440	French Girl
536342	27934	Madeline (The Minnow)
536343	48197	
536343	346691	La danseuse nue
536344	66337	Sean
536344	291231	Star
536344	314166	Marlene
536345	99276	
536346	379437	
536346	394037	Natassa
536346	404378	Tamy
536347	154274	Angel of Death
536348	117705	Mother
536349	132197	Gabi
536349	205754	Marie Ruzicka
536349	216572	Lenka
536349	244261	Alenka
536349	258645	Alenka
536349	263952	Princess Lenka
536349	322405	
536349	357922	Helena
536349	373456	Liduska/Princess Liduska
536349	375953	Lenka
536349	378840	Lída (daughter)
536349	380554	One of Peter's Friends
536349	384131	Marta
536349	386559	Irena Semberová
536349	396264	Susanne Trenkel
536349	399868	
536349	404278	Jarda's girlfriend
536350	403118	
536351	88362	Cemetary Woman
536351	147464	
536351	164028	
536351	197224	
536351	212792	
536351	229745	
536351	259133	
536351	263056	Barmaid
536351	320701	
536351	328505	Mujer del granjero
536351	357366	
536351	398998	
536352	41390	Christina
536352	215290	Herself
536352	235403	Molly
536352	276892	Sexy fan
536352	355352	Nicki
536352	361854	Herself
536353	13626	Woman At The Church
536354	80619	Bar Patron #3
536355	56170	Nurse
536355	238024	Sorina
536355	356051	Widow
536355	365244	Elena
536356	12263	
536356	22586	
536356	27395	
536356	28717	
536356	64131	
536356	67967	
536356	74893	
536356	92887	
536356	104503	
536356	106177	
536356	138367	
536356	157670	
536356	207049	
536356	216701	
536356	222926	
536356	236277	
536356	261487	
536356	273776	
536356	294688	
536356	302808	
536356	333871	Sarmisegetuza
536356	341509	
536356	375132	Tanta
536356	393157	
536357	235952	Duggo's Baby
536358	33269	Maria
536358	236599	Ahmed enfant
536359	57074	
536359	62346	
536359	99252	Eliso
536359	162541	Mother
536359	228189	
536359	297806	Wife of Stepane
536359	344051	Active worker
536359	374462	
536359	376230	Mother Ali
536360	63593	
536360	102997	Nana
536360	208618	
536360	209105	Tsira
536360	221496	Dzabuli
536361	58431	Guliko
536363	170301	Aunt of Jujuna
536363	221404	Khanipa
536363	268584	Katine
536364	241987	Anja
536365	268002	Maria Skriabina, social worke
536366	35852	
536367	49148	
536367	124843	
536367	142518	1st Prostitute
536367	349840	
536367	394642	
536368	230087	Claudia, ihre Tochter
536368	394049	Sabine Leitner
536369	280600	
536370	8528	Bull's Eye Molly
536370	11652	Rodine
536370	16660	Gretchen
536370	78530	Mary Kelly
536370	107895	Woman Who Throws Up
536370	121867	Sybil, Costumer
536370	144430	Wife Mourner
536370	154516	Nurse
536370	191626	Caroline Crabb (sister)
536370	196995	Judy
536370	232838	
536370	284628	Premiere Audience Member
536370	288737	Marge, the Real Estate Broker
536370	300344	Michelle
536370	329522	Diner Waitress
536370	333288	Ida Campbell
536370	372149	Essie Carmichael
536370	386278	Holly Green
536370	389858	Muriel (1993)
536371	14314	Membre de la famille Butler
536372	404378	
536373	379528	
536374	267844	
536375	60446	Varen'ka
536375	209529	Yelena Ivanovna Popova
536375	226856	Ana Stakhova
536375	244158	
536375	373063	Tatyana Alekseyevna
536376	155346	
536376	258389	
536377	94795	Cripsy's Smokejumpers
536377	324395	Diamond James
536378	88787	Stacy
536379	59729	(Uncredited)
536379	158522	Person in Cafe
536379	270135	(Uncredited)
536380	185270	
536380	213628	Prostitute #1
536380	367512	Girl #1 at Club
536381	96858	Herself
536382	98428	Kate Hackett
536383	85176	Sarah Louise
536384	97541	Jewish Woman
536385	149735	Roza
536385	180106	Olga Aleksandrowa
536385	304666	Princess Anna Bilinska
536385	344047	Joanna d'Ursins
536385	359589	Maria Kalergis
536386	2214	Zoska
536386	6094	Zofia
536386	89482	Mika
536386	89781	Ania
536386	91253	Jadzia
536386	95953	The Florist
536386	95968	Franka
536386	111109	
536386	179184	Iza
536386	180009	Filip's Mother
536386	197509	Neighbour
536386	212650	Stefania Kasprzak
536386	213384	Mother
536386	213898	Mikulowa
536386	217217	Stasia Naleczowa
536386	220144	Client at Post Office
536386	226602	Baska's mother
536386	248000	Jadzia
536386	248349	
536386	258570	Tomczewska
536386	260389	Rafal's Mother
536386	260600	Caretaker
536386	262197	Janicka
536386	266302	Old woman
536386	315814	Lilka Kloskowna
536386	358083	Kazia Wolska
536386	364971	Jadwiga
536386	365021	The Hostess's Daughter
536386	369375	Hanna
536386	373975	Jadzia Pietrusinska
536386	375064	Wawrzyniaczka
536386	375067	Bucholzowa
536387	369005	Lala
536388	323287	
536388	364982	
536388	406644	Niusia
536389	157602	
536390	326987	
536391	74450	
536391	147311	A fiatal Berta
536392	19670	
536393	2244	
536394	78287	Menyasszony
536395	354056	Laura
536396	270352	Une secrétaire
536398	370105	
536399	164963	
536399	210738	Nurse
536400	204532	Model
536401	33682	
536401	63736	Countess Pamela de Ortega
536401	67493	
536401	69012	
536401	71166	Duchessina Van Gold
536401	79565	
536401	80011	Irene
536401	86753	Boat proprietor
536401	90005	Caterina
536401	90008	
536401	100777	Mary
536401	107028	Cattle Annie
536401	109079	Françoise Pigaut
536401	110385	
536401	128024	Anna
536401	136657	
536401	136839	
536401	191406	
536401	199291	La Madama
536401	199931	La moglie
536401	218447	Mathilde
536401	219007	Danda
536401	219561	Esmeralda
536401	269075	
536401	269493	Sandra
536401	273101	Sharon Morris
536401	288801	
536401	334772	
536401	334773	Claretta
536401	341596	Sarah
536401	354871	
536401	356615	Milena
536401	371959	Ena
536401	373912	Krista Oatley
536401	402730	
536401	404255	Marianna
536402	237122	
536403	111118	
536404	319658	[Expérience #1] (2003)  La se
536405	89572	Tenant in Steiner's house
536406	1007	Suzanne Parmentier
536406	7245	Fortunata
536406	16600	Simone
536406	16862	
536406	43656	Stella Gazzini, la vedette à 
536406	53083	Cinzia di Rionero, Roberto's 
536406	55756	Piribichi
536406	59232	Maria
536406	90506	
536406	92963	
536406	96182	Stella
536406	101950	Mireille, une élève du Conser
536406	113252	Danielle
536406	129037	Giuseppina Strepponi
536406	132956	Dr. Marie Avedon
536406	134045	Gaby Saunders
536406	135432	Marie
536406	145076	Lee Fontaine
536406	153804	Janine
536406	158809	Hilda
536406	159663	Anna Valli
536406	164210	
536406	201189	Rolande
536406	218280	Colette
536406	248358	
536406	248422	Irène
536406	257939	Madame Carnet
536406	263711	La signora Bancani
536406	293325	Señora Gutiérrez
536406	300779	
536406	316169	Michele Dupont
536406	334772	
536406	336295	
536406	341417	
536406	345465	Sophie des Tournelles
536406	346514	
536406	351515	Alcinoe
536406	356151	
536406	377958	Aline
536407	99867	Girl at the inn
536407	274911	Regina von Emmeritz
536408	158933	
536410	169085	
536411	10283	
536412	230947	Citizen
536413	403771	Saskia
536414	199311	Shadow Theatre
536415	8494	
536415	63758	Narrator
536415	76534	Rachel
536415	123941	
536415	169980	Jeanne
536415	225574	La réceptionniste de l'hôtel
536415	228155	
536415	244985	Une amie de Nicolas
536416	44765	Verena
536416	79553	Emilie
536416	83260	Nadine Fermier
536416	85153	La tante Yaya
536416	86727	Mme de Sambreuse
536416	90131	Elvire
536416	96415	Marilin (French dub)
536416	107516	
536416	112277	Mme Franquet
536416	254101	Amy Dorrit
536416	332215	Elfy
536416	375937	Jacqueline
536416	409451	Mme Walder (1977-1979)
536417	378797	Fernande
536418	63722	
536418	76166	Hortense Schneider
536418	231304	
536418	263980	Ginette
536418	275616	
536418	333714	
536418	366535	
536419	89044	
536419	134564	Herself - contestant
536419	143487	Jongetje
536419	191410	Barmeisje
536419	214644	
536419	388909	Caro Segers (2001)
536419	397317	
536419	400294	Marie (1995)
536419	406876	
536419	407661	Inge
536419	407662	Inge
536419	410622	Kitty (1995)
536419	411311	Merel De Meester (2000-)
536421	74510	
536421	131972	
536421	200537	
536422	91183	
536423	190868	Marina
536423	198550	La soeur
536423	257061	Delphine
536423	353907	Eva
536423	383861	(segment "Amor")
536424	148518	Melanie
536425	108902	Jeanie, as a child
536426	128954	Teresa
536426	281198	
536428	188885	
536430	192821	En kvinna
536431	212337	Herself - Participant/Perform
536432	258492	
536433	42660	Wedding Guest
536434	380948	Host (1991)
536435	5406	Andrée Dorfeuil
536435	16410	
536435	16996	Madeleine d'Ambricourt
536435	24678	
536435	25085	
536435	29003	
536435	48064	Eva Choppard
536435	51222	The young girl
536435	51432	
536435	59263	Baronne de Thièvres
536435	63643	
536435	65732	Francesca Riccardi
536435	73156	
536435	78359	
536435	78392	Mme. Zangiacomo
536435	84681	Mme. Garadoux
536435	91771	
536435	96212	
536435	106020	
536435	108887	Josephine
536435	108888	
536435	112839	
536435	113121	
536435	118416	
536435	121410	
536435	135420	Madeleine de Croize
536435	137443	La femme du haleur
536435	144007	
536435	169877	Jacqueline Aubry
536435	169970	Gina Dicolle
536435	171441	Joséphine la pierreuse
536435	207793	
536435	219514	Joséphine
536435	219520	La fille du procureur
536435	235872	Jacqueline
536435	248259	Clémence
536435	249748	Mademoiselle
536435	251898	Mme Ferblantier
536435	254169	
536435	257353	
536435	268962	
536435	277028	Jeanne Danglade
536435	292383	Mme de Chambourcy
536435	300740	
536435	309750	
536435	336269	
536435	337446	
536435	345027	Béatrice
536435	345344	Laure de Jarcy
536435	351716	
536435	352928	
536435	354091	
536435	371418	Sancia
536435	377259	
536436	183162	
536436	353545	Prostituta
536437	238608	Lorenzo's Mother
536438	111747	Snowboardbabe
536439	85966	
536440	123109	Solnoid Bridge Crew
536440	139476	Walküre 13 Communications #1
536440	147362	Airi
536440	168828	Holly Joestar Kûjô (1993-1994
536440	175368	Takahashi Miami
536440	181564	Ashura
536440	181565	Ashura
536440	181567	Ashura
536440	190590	Kyôko Yoshida
536440	201376	Ochô
536440	201379	Waitress
536440	214588	Hilda
536440	226661	Mayaka Ogawa
536440	275086	Kyôko Yoshida
536440	293476	Kendappa-oh
536440	325314	Sepia
536440	384225	Migea
536440	391751	Airi
536440	391752	Airi
536440	394164	Yasha-Hime
536441	167985	
536441	167986	
536441	285930	Sakuya
536441	335272	Tomie
536442	161067	Jackie
536442	220813	
536442	222107	
536442	269200	Mamá de Adriana
536442	379461	Rebeca
536442	379602	Verónica
536442	409017	Laura
536442	410327	
536443	1273	
536443	207268	Female dancer
536444	146435	Madeline enfant
536445	75955	
536445	123597	
536445	372458	
536445	400825	
536446	324329	Massagepige
536446	399866	Herself
536447	326517	
536448	130200	
536449	172444	(segment Zhenya)
536450	293362	Clemencia
536451	374924	
536452	411653	Mei Feng
536453	285717	Bridgit
536454	94476	Showgirl
536455	285717	Shirley
536456	285717	Lily
536457	380799	Herself/Host
536458	122166	Violet McKenzie
536458	399130	Lori Lee (2002-2003, 2004)
536458	408880	Tai-San (series 1-4)
536458	411812	Super Trooper (1997-1998)
536459	92303	Jazmin Li
536460	245084	Francis
536461	82737	Ludlow's daughter
536461	117656	
536462	53169	Andrea
536462	65192	
536462	70118	Claudia
536462	103410	Julia
536462	121307	Diana
536462	157211	
536462	253290	
536462	334663	
536462	345588	
536462	392030	Dra. Raquel Dickman
536463	44328	Studentessa
536464	192250	Girl #1
536464	330580	Amelia
536465	395565	Armin
536466	389233	Jenni Rico (1999-2002)
536466	389481	Esmeralda
536467	412185	Alejandra
536468	288432	
536470	399170	Host
536471	63192	Sailor Girl
536472	128404	Jean Rollins
536472	326796	Erika Petersen
536473	94726	RCMP Officer 1
536474	23741	
536475	1250	
536475	2165	
536475	2429	
536475	6966	
536475	16740	
536475	18568	
536475	36903	
536475	39939	
536475	75028	
536475	87215	Pregnant Crack Ho
536475	99709	
536475	102734	Cynthia (episode "An Erotic C
536475	123160	
536475	127817	Angel
536475	128729	
536475	139103	
536475	144829	
536475	147275	
536475	149106	
536475	163851	
536475	184939	
536475	187412	Herself
536475	188035	
536475	194722	
536475	204993	A ballerina
536475	223983	
536475	228572	
536475	242070	
536475	242073	
536475	243103	
536475	243113	
536475	243116	
536475	248258	Une jeune femme au pub
536475	257812	
536475	276608	
536475	308185	
536475	308186	
536475	310350	
536475	311456	Herself
536475	313283	
536475	313686	
536475	331353	
536475	333904	
536475	336118	
536475	358477	Raver
536475	371674	
536475	389621	Herself
536478	80695	Rockhouse Girl #3
536479	213417	Homeless woman in doorway
536480	26123	
536480	39257	Actress
536480	191370	
536480	201322	
536480	361914	
536482	156950	
536483	24647	
536483	39237	
536483	39361	
536483	44135	
536483	107093	
536483	115307	
536483	119930	
536483	243095	
536483	303187	
536483	303211	
536483	359897	
536484	300174	Orange Juice
536485	140643	Weygate Children
536486	6720	Herself
536486	158590	
536486	191392	
536486	270592	
536487	12483	
536488	75195	
536489	50387	
536489	141663	
536490	89909	
536493	161115	Det. Robran
536493	279176	Policewoman Cara
536494	7876	Pat
536494	10741	Alice's sister
536494	20508	Mrs. Bradley
536494	20715	Phyllis Clavering
536494	34281	Helen Pettigrew
536494	37882	Rosemary Lannick
536494	43093	Lady Isabella Palma
536494	49245	Phyllis Clavering
536494	49246	Phyllis Clavering
536494	49249	Phyllis Clavering
536494	49252	Phyllis Clavering
536494	59621	Carlotte Eagan
536494	64892	Carmela
536494	74182	Andra West, Nurse Aide
536494	78227	Virginia Randolph
536494	94938	Susan Corbin Foster
536494	96715	Grete
536494	118685	Girl
536494	131239	
536494	137461	Anne Gladden
536494	141038	Myrna Van Buren
536494	150744	Beryl
536494	158331	Mrs. Nelson
536494	159594	Mary McPhillip
536494	163272	Chris Edwards
536494	178342	Girl in Prologue
536494	185490	Cora Munro
536494	190327	Mrs. Higgins
536494	210798	Ann Ford
536494	222679	Joan Cassell
536494	224711	Rosa Bud
536494	231959	Annette Lefevre
536494	243504	Coral Musker
536494	252886	Evelyn Alden
536494	253914	Mrs. Mary Darling
536494	255828	Suzanne
536494	260951	Elizabeth Manners
536494	262913	Kate Carrell
536494	263555	Kitty Bennet
536494	280896	Cynthia Brown
536494	289213	Vivian Saxon
536494	293760	Sookey
536494	296962	Sylvia Armitage
536494	302669	Frieda
536494	312029	Miss Smith
536494	320308	Ethel (Maid)
536494	329438	A Streetgirl
536494	331520	Constance
536494	333344	Myrle Davis
536494	346227	Cynthia Weld
536494	346414	Helga Hammond
536494	361745	Jeannie Thatcher
536494	381110	Mrs. Wallace
536494	401350	Mrs. Andrea Dowell (1965-1966
536495	30515	
536495	56327	
536495	222407	
536495	328533	
536495	385629	Herself
536495	402424	
536495	404798	Beatriz
536496	116556	Waitress
536497	118747	
536497	168768	
536497	215930	Miss Little
536497	230639	
536497	288463	Pamela Goodright
536497	315087	
536497	319720	
536499	26158	
536499	46114	
536499	54430	
536499	60970	
536499	78174	
536499	100045	
536499	264639	
536499	264737	
536499	264738	Herself
536499	264748	
536499	326900	
536499	333705	
536500	81750	Bijoux
536500	100008	Juliska
536500	295604	Roads
536500	305461	Rachel
536500	316791	Rosie
536500	323848	Nurse Roland
536501	81172	Esmeralda
536501	265979	Iris
536502	34666	'American Bitch' Photo Editor
536502	72562	Actor
536502	79794	Welfare Worker #2
536502	87926	Nurse
536502	97569	Surgeon 2
536502	116534	Teacher
536502	252924	Police Officer
536503	176957	Secretary
536504	252379	Herself
536504	252393	
536505	28866	
536505	191354	
536506	197489	Phacia
536508	46524	Susan
536508	292163	Nicole
536509	311512	Angel's Mother
536510	383174	Buitrago
536511	407377	Herself
536513	1284	
536513	75028	
536516	176596	Mary Harlow
536517	75031	
536518	112880	
536519	17941	Jackie Johanson
536519	46251	Herself - Party Guest
536519	53029	Cindy Davies
536519	72109	Rachel
536519	101033	Jennifer
536519	113995	Beth Hooper
536519	122633	Gloria Lake
536519	131473	Ms. Barlass
536519	176829	Deborah Walker
536519	177660	Claudia
536519	178207	Natasha
536519	183590	Christie
536519	199532	Debra
536519	245014	Susan Hastings
536519	249500	Angel
536519	252963	Attractive Woman
536519	260430	Dianne
536519	270979	Linda Olsen
536519	284929	Catherine Viciy
536519	304752	Marianne
536519	311133	Russian rocket crew
536519	315335	Stewardess
536519	319516	Jean Bobbins
536519	381442	Megan (1991-1992)
536519	410783	Lisa
536520	69168	Herself
536520	107008	
536520	115837	Bronka, granddaughter
536520	124405	Mistress Angela
536520	191139	
536520	191938	
536520	275588	Rena Laska
536520	294662	Maria
536520	369008	Kazia
536520	381091	Herself (eliminated round 5)
536520	382580	Herself/Red Team
536520	403487	Herself/X-Treme (2004)
536521	13949	Kohana
536521	40612	Amy Sato
536521	68268	Chinese Computer/Chinese Vill
536521	119523	Herself
536521	201302	Additional Voices
536521	211758	Vietnamese mother
536521	232388	Girl
536521	387438	Julie, member of the Short Ci
536521	398412	Sachi
536522	88998	Sharon
536522	269630	Saloon Girl #1
536523	137587	
536523	207035	
536523	255170	
536523	287952	
536524	1601	Erna
536524	146602	Christines kollega
536524	146991	Kontordamen
536524	162657	Else Nielsen (Johns mor)
536524	183314	Festdeltager
536524	203960	Esther
536524	227742	Young woman
536524	246558	Lis
536524	278197	Stuepige
536524	341697	Britta's friend
536524	343953	Fru Olufsen
536524	351798	
536524	394007	
536524	395824	Fru Oppermann
536524	406658	Fru Andersen
536525	46532	Additional Patron
536525	69390	Mimi Telesta
536525	95518	Dorothy
536525	95566	Several characters
536525	116086	Lisa
536525	127104	Blonde with Jaguar
536525	186579	Theresa Perota
536525	240865	Tina
536525	249805	Theresa
536525	323876	Dorothy (segment "Dutch Maste
536525	342824	Gloria
536526	30638	Generalshata Tiba
536527	11705	Madame Pepita
536527	18802	
536527	25063	Doña Jaimita Zapatilla
536527	57468	
536527	68698	Ángela
536527	378736	Àngels Gutíerrez
536527	387869	Fina Comes
536528	25324	
536529	71383	
536529	86063	
536529	87801	
536529	158770	La signorina Doncoeur
536529	206667	
536529	211804	
536529	229991	Signorina Althaus
536529	235776	
536529	282100	Una prostituta
536530	326202	Colegiala
536531	170057	
536532	79116	Narda
536533	135919	Wawona
536534	64657	Fast Track
536535	92606	
536537	9653	
536537	30754	Marie
536538	49091	
536540	40836	Tanner's Girlfriend
536540	130414	Sherri
536540	194213	Earthmother
536541	24959	
536541	27028	
536541	31217	
536541	39723	Prostitute
536541	41486	Herself
536541	127821	
536541	159940	
536541	199492	
536541	270439	
536541	306011	
536541	311440	Herself
536541	336732	
536541	338027	
536541	345723	
536542	307052	
536543	6292	Alexandra
536543	14548	Polly
536543	17031	Anna Curtis
536543	28916	Lila
536543	31168	Louise
536543	34373	Paula Krauss
536543	84905	Wilhelmina (Willie) Lehrt
536543	89833	Mirella
536543	89834	Luisa
536543	104073	Herself
536543	114838	Lisa
536543	179556	Eileen
536543	190493	Anna Vasarri
536543	202593	Denise de Flavigny/Nitouche
536543	209604	Cameo appearance
536543	211549	Selena Gallini
536543	214103	Herself
536543	215897	Hélène Blanchard
536543	219678	Consuelo
536543	229655	Falesse/Ester
536543	238139	
536543	241743	Ann Peterson
536543	252662	Betty
536543	260850	Ynez
536543	269471	Cecilia
536543	281885	Marie
536543	301941	Deborra
536543	306873	Ildith
536543	307842	Eufemia Calderon
536543	307985	Norma (Levine) Graziano
536543	309352	Teresa
536543	315745	Nina Burkhardt (segment "Equi
536543	328192	Teresa
536543	354735	Lucienne
536543	376744	
536544	16681	
536544	238944	
536544	292708	Las Nenas
536544	388014	Host
536544	388600	Herself
536545	110989	
536546	317451	Stuff Girl
536547	5184	Ruth
536547	44034	Forensic Woman #1
536547	75896	Stewardess to Omaha
536547	80411	Leila
536547	129626	Rosanna
536547	167591	Kaite
536547	184101	Prostitute
536547	230533	Danny's Girlfriend
536547	295560	Female Stripper
536547	348607	Swimming Woman
536547	391971	Trish
536548	104638	Member of the jury
536548	104640	Herself - Member of the jury
536548	104774	Cyprian entry (22nd place)
536549	1003	
536549	248674	
536549	329279	
536549	380779	Marta Yanouzi
536550	108322	Rose
536550	302653	
536551	119001	Daisy Plus
536552	29611	
536552	48298	Olimpia
536552	52893	
536552	57851	Carol
536552	158553	Soraya
536552	199728	
536552	199821	Gloria
536552	246416	Marta
536552	272643	Ballerina girl
536552	379901	Flavia Speranza
536552	390092	
536552	397297	Irene
536552	402257	Lella Baldini
536553	105309	Diane
536554	1273	
536554	108322	Rose
536554	117375	
536554	238003	Cameriera hotel
536554	361541	Receptionist
536555	72116	Serina
536556	326673	
536557	92416	Nurse
536558	308769	Additional Voices
536558	312135	Sheila
536559	78952	Girl in pool #2
536559	225485	Sanna
536560	682	Michelle, the Hummer
536560	273171	Emily Watts (reception)
536561	48461	Vintage Picture Model
536561	164567	
536562	303654	
536563	69239	
536564	104779	Portuguese vote presenter
536565	185568	Lady Pirate
536566	59094	Comédienne théâtre
536566	376939	La fleuriste
536567	15184	
536567	39353	
536567	43478	
536567	50371	
536567	50379	
536567	50380	
536567	50382	
536567	50396	
536567	56549	
536567	128641	
536567	133921	
536567	161732	
536567	188036	
536567	204022	
536567	267103	
536567	291003	
536567	295375	
536567	306841	
536567	311162	
536567	316776	
536567	324769	
536568	304595	Baroness de Sade
536568	338191	
536569	186030	
536571	26462	
536572	322324	
536573	113915	Mena
536573	279145	Tina Marston
536573	393439	Miss Howard
536573	408558	Jennifer Briggs
536573	411482	Connie
536574	16642	Isabel
536574	16644	Clubhouse 'Client'
536574	358305	Josie
536575	61765	Ruth Gordan
536576	18707	The receptionnist
536577	290534	Aretha
536578	72098	Gloria
536579	303360	Celia
536579	324953	Molly
536580	46914	
536580	358531	
536581	315801	
536582	114182	Herself (author, 'First Mothe
536583	117454	Featured dancer
536584	117081	
536584	190696	
536584	191852	
536584	206155	
536584	217884	
536584	236374	(segment "A Naked Wedding")
536584	237138	
536584	292397	
536584	316661	
536584	341934	
536585	118948	Girl #2
536586	46693	
536587	212334	Herself - Participant/Perform
536588	18978	Dee O'Hara
536588	109662	Lana's Prosecutor
536588	113868	Woman on the 32nd Floor
536588	200182	Robin
536588	320108	Wardrobe Woman
536588	340901	Mother
536588	350328	Kip's Mom
536589	41213	Beth Junowski
536589	41386	Bobbie Jo
536589	46752	Extra
536589	128600	Wanda
536590	197308	
536591	346738	
536592	50658	Emma
536592	339354	Diana Leach
536593	21160	Herself
536593	52743	Herself (singer from Trinidad
536593	99456	Narrator
536593	151625	Anna
536593	160476	Herself
536593	165254	Herself
536593	169422	Narrator
536593	202196	Herself (author)
536593	258752	Aunt June
536593	260628	Dancer
536593	260631	Herself
536593	273337	Herself (friend)
536593	277697	
536593	281537	Herself
536593	283464	Conjure Woman
536593	303288	Herself
536593	329938	Lelia Mae
536593	346916	Herself
536593	370653	Herself
536593	379950	Herself
536593	383802	Herself
536593	385192	Herself
536593	390563	Herself
536593	403728	Nyo Boto
536594	265966	
536594	397813	
536595	411921	
536596	258812	Doli
536597	92817	Nessa
536597	214535	Foster Mother
536598	343414	Chernata Mariya
536599	373465	
536599	400374	Andja
536600	339314	
536601	386025	
536602	228847	
536603	200408	
536603	326260	
536603	343919	Eva Parson's Sister
536604	152173	
536605	9353	
536606	1400	Mariya
536607	349084	Maykata na partizanina
536608	103931	Enfant appartement
536609	28181	Ruza
536609	198911	
536610	120800	Bunkhouse Girl
536612	83766	
536612	310216	
536613	208565	
536613	223246	
536613	328894	
536613	357970	
536613	402258	
536614	297186	Anne Dixon
536615	363224	Translator to Count Tommaso L
536615	381463	Host
536618	40723	Marilyn Janney
536618	90247	Lady Diana Summers
536618	104931	Eve Warren
536618	133707	Catherine McGinty
536618	134182	Dolly Mooreland
536618	145556	Beatrice Farrar
536618	159438	
536618	188395	The Bride Who Was
536618	190490	Maisie
536618	193005	Sybil Craig
536618	207085	Annie, Draftswoman
536618	233582	Ann Ansell
536618	273978	
536618	278512	Mary Lenley
536618	285264	Fay Thorne
536618	285685	Bit part
536618	306576	Katrina
536618	360191	Mary Brown
536618	365078	Peggy Gay
536619	12158	
536619	14432	
536619	14714	
536619	19921	
536619	21707	Lidia
536619	41767	
536619	41769	
536619	59204	
536619	65603	
536619	69007	Barbara/T002
536619	78102	Josie
536619	96741	Gas Girl
536619	112047	
536619	112701	
536619	115460	Hitchhiker
536619	119303	
536619	139234	
536619	148523	Blonde
536619	202366	Barbara Bush Impersonator
536619	212255	Herself
536619	214657	
536619	222384	
536619	223621	Barbara
536619	232770	Herself
536619	234343	Barbara
536619	251984	Barbara
536619	266886	
536619	339100	
536619	341711	
536619	346280	
536619	391835	Herself
536620	373732	Majorette
536621	389130	Felindra
536622	380859	Belina
536622	401377	
536623	190880	Lily
536624	60317	Sophia
536624	109711	Raminov's Girl
536625	178646	
536626	96009	Darja Schatowa
536626	101352	Lucie
536626	119295	Susanne Schröder
536626	137949	Ophelia
536626	153748	Tanja
536626	199828	Isabel
536626	259451	
536626	259470	
536626	259527	Tamara
536626	259598	Anja
536626	259604	Tatjana Schiefel
536626	259620	Tamara
536626	259684	Tamara
536626	290112	
536626	290235	Jessica
536626	325531	Karin
536626	336539	Sophie
536626	394619	Lore Libeskind
536627	390811	
536628	1537	
536628	24151	
536628	28457	Woman in the premiere
536628	137746	Woman in a party
536628	142641	Farmerwoman
536628	174209	Cook
536628	174477	Ball guest
536628	175759	Ines Kontiokorpi
536628	177898	Woman in window/Chorus singer
536628	181560	Wedding guest
536628	184796	Woman in a waiting room
536628	236717	naisia Karrin häissä
536628	236794	Paula's sister
536628	242269	Guest in the charity party
536628	266752	Birthday guest
536628	296508	Client at Sensation
536628	321782	Mrs. Löfberg
536628	321999	Woman in a parents' council
536628	322283	Singer
536628	354087	Woman in a courtroom
536628	354282	Customer in a restaurant
536629	10955	Aliisa
536629	17616	Husso
536629	21721	Matilda Bybom
536629	24151	Maria Blom
536629	25204	Sandra Matilda Hendonen
536629	98098	
536629	104277	Amanda
536629	136899	Accountant's Wife
536629	137746	Coffee drinker
536629	141937	
536629	142641	Mimmi
536629	145359	Woman in Restaurant
536629	156032	
536629	162649	Great aunt Eufrosyne
536629	163184	Karoliina Hurulainen
536629	163185	Birgit Alanne
536629	166668	Building Tilda
536629	169099	Eva Irvas
536629	172143	
536629	172295	Swedish spinster
536629	172406	Emilia
536629	172522	
536629	173407	
536629	174809	Jaana
536629	175700	
536629	175727	
536629	177810	
536629	181560	Huhta's wife
536629	181652	Miina Toropainen
536629	181755	Liina's Mother
536629	181936	
536629	182013	Liina
536629	182213	Sinikka's mother-in-law
536629	182840	Alma Lehtimaa
536629	184780	Widow Laurila
536629	187832	Jenni
536629	201364	
536629	209085	Kaisa, the widow
536629	213374	Angry Woman outside phone boo
536629	214712	
536629	214843	
536629	216398	
536629	221842	
536629	222824	Mimmi Aaltonen
536629	232586	Sorja Möttönen
536629	236717	Martta, Topiaksen vaimo
536629	236795	Nanni
536629	239913	Manta Mäkinen
536629	240543	
536629	242264	Sofia Björn
536629	242269	Emmi Kankkunen
536629	242853	
536629	251937	Justiina Puupää
536629	251938	Justiina Puupää
536629	251939	Justiina Puupää
536629	251940	Justiina Puupää
536629	251941	Justiina Puupää
536629	251943	Justiina
536629	251944	Justiina Puupää
536629	251945	Justiina Puupää
536629	251946	Justiina Puupää
536629	251947	Justiina Puupää
536629	251948	Justiina Puupää
536629	253075	Salli
536629	255512	
536629	255758	Paksulan rouva
536629	255759	Mari
536629	255764	Olga Rantanen
536629	258814	Kaisa
536629	258845	Mamma Kompura
536629	264291	Kunigunda, valtioneuvoksetar
536629	265452	Elisabeth
536629	272246	Jumbu
536629	282514	Muhoksen Mimmi
536629	283593	Ralla
536629	284025	Mimmi
536629	293510	Mari
536629	294685	Aleksandra
536629	296508	Siiri Koskeli
536629	319314	Hilda
536629	319315	Hilda
536629	319316	Hilda
536629	319317	Hilda
536629	319318	Hilda
536629	319328	Helga's Mother
536629	321782	Mrs. Hake
536629	321924	Elli
536629	321999	Mrs. Isola
536629	322283	Fiina
536629	322704	
536629	323141	
536629	323247	Anni's mother
536629	324606	
536629	326070	
536629	326954	
536629	336545	Bertha
536629	343394	
536629	343507	Mrs. Andersson
536629	349150	Tekla
536629	349734	Mrs. Miettinen
536629	349736	
536629	349738	Mimmi
536629	349748	Elisabet
536629	354290	Lyyli
536629	371650	Mrs. Lehtelä
536630	264291	Hovineito
536631	94308	Mariele
536631	125333	
536631	173176	
536631	211105	Lena
536632	31596	Mrs. Pucil
536632	34663	Flora's Mother
536632	40976	Bessie
536632	69393	Mrs. Truscott
536632	78045	Mrs. Fulljames
536632	85122	Midge
536632	90259	Renee O'Connor
536632	108410	Liz Piper
536632	131104	Mrs. Armstrong
536632	134074	Marigold
536632	190444	Miss Manley
536632	214168	
536632	215632	Factory girl
536632	220921	Fanny
536632	303485	Herself
536632	303954	Sheila
536632	312908	Miss Ricard
536632	329988	English Tourist
536632	331279	Gladys Tomlinson
536632	342710	Mrs. Burry
536632	367903	Bessie
536632	379691	Joan Harrison, stewardess
536632	382772	Molly McCrandle
536632	384766	Diane Parry
536632	392169	Rosie Lee (1950-1, 1953)
536632	393956	Jessie Worth
536632	398212	Doris Tingle
536632	399530	Beryl Armitage
536632	399963	Ma
536633	115361	Vivie
536633	190641	Lyne Lemieux
536633	195267	
536633	395095	Mimi Gendron
536633	400899	Isabelle Paradis
536634	25627	
536634	380065	Claudia Hernández
536634	383273	Odette
536634	390404	Coral
536634	397021	
536634	397598	Rosa
536634	399525	Alina
536634	402077	
536634	402917	Esther de Lerma
536634	405416	Leonor
536634	409782	Lourdes
536635	252328	Bella
536636	375987	
536637	332554	
536638	229626	Lyyli
536638	285959	
536638	341793	
536638	343509	Midwife Priita
536638	354274	Titti Tupanen
536639	21729	
536639	213939	
536639	271606	Turre
536639	343463	Bird
536639	343509	Pregnant maid
536639	371652	Soili
536640	43672	Various
536641	85458	
536641	101273	Herself
536641	122817	
536641	404900	Herself (Vocals, Piano)
536642	32809	Travel agent
536642	402077	
536642	404172	
536642	406056	Lupe, mamá de Beto
536642	410477	Jéssica
536643	235352	Dancer
536644	326679	Mrs. Sweeny
536645	252725	
536646	54248	Chanteuse taverne
536647	104777	Romanian entry (9th place)
536647	265903	
536648	347686	Hell's Bitch #1
536649	247984	Donna bulgara
536650	441	
536650	48788	
536650	226458	Mariana
536650	281294	
536650	300691	
536650	322219	Natalia
536650	353596	
536650	404270	
536651	91047	
536651	176996	Vanessa Elverado
536651	187820	Pop Star Angie
536651	401888	Herself/Member of the jury
536652	233912	
536653	6077	
536653	14879	
536653	34373	Miss Hopkins
536653	52892	Giovanna, moglie di Mario
536653	71357	
536653	87801	
536653	90756	Nice
536653	94705	
536653	102392	Dejanira
536653	122558	
536653	132949	
536653	135295	Andromache
536653	155585	(segment "Prima notte, La")
536653	234709	
536653	235776	Signora Baldi
536653	238019	Mrs. Davis
536653	263918	Madre di Francesca
536653	270804	Mother
536653	307633	
536653	339068	The nurse
536654	110162	Teresa
536654	127390	Luisa, Gian's sister
536654	205547	Salomè
536654	399657	Herself - Host (1992-1994)
536655	342118	Poliziotto
536656	3525	
536656	70616	
536656	75371	
536656	196819	
536656	202039	
536656	377588	Margaretella
536657	338715	
536658	96510	Partizane
536659	84693	
536660	292367	La gouvernante
536660	407273	Herself
536661	10205	
536661	15118	
536661	46705	
536661	54151	
536661	55533	Caroline de Bievre
536661	58059	Catherine
536661	58735	Jacqueline
536661	66218	Clémentine
536661	68360	Florence
536661	68405	Cécile
536661	86794	Lulu
536661	110143	La femme de Charles
536661	135624	
536661	152380	L'institutrice
536661	165306	Helene
536661	191556	Wife
536661	199316	
536661	207210	Brenda
536661	217943	Madame Landau
536661	220192	
536661	249128	Une collègienne (segment "Sop
536661	258338	Catherine (segment "Aujourd'h
536661	269636	
536661	275650	Fifine/Jacques's Fiance
536661	275848	Sophie
536661	294566	(segment "Envie, L'")
536661	294912	Aline
536661	336641	Femme Centre d'accueil
536661	342428	Franzi Bertram
536661	351259	Corinne (segment "Yacht, Le")
536661	387764	Josyane
536662	267315	Puppeteer
536663	313699	Maori woman
536664	158522	Person in Cafe
536665	71364	
536666	332127	Betty Jo Emery
536666	371318	
536667	50607	Pearl Fell
536667	77675	Mother
536667	93768	Birdwatcher Woman
536667	150794	
536667	195331	Mother Superior
536667	289470	Scanner in Attic
536667	326712	Mrs. Hatch
536667	342018	Sharon
536668	24484	Bag Lady
536668	107909	Saleslady
536668	146729	Aunt Lois
536668	220891	Jane, the Bench Woman
536668	337384	Duke domestic
536668	404002	Mrs. Barker, R. N. (1977)
536669	41297	Nancy
536669	289024	Glynn
536669	347969	Woman in elevator
536669	359902	TV reporter
536669	383654	Jenny Catlin
536669	389858	Cheryl Stansbury (1988-1992)
536670	87483	Kylie
536670	182331	Ruthie
536670	294595	Maya
536670	318864	Flece
536670	384877	Rebecca Casey
536670	411176	Isobel
536671	105618	Yvonne
536671	176388	Cora
536671	176740	Jazz club patron
536672	51984	Kay Kaswell
536673	106205	Sleepwalking Young Girl
536674	129566	Inuit Woman #1
536675	238649	Baggy's daughter
536676	5055	German woman
536676	13596	
536676	34403	Hilda, Beaumonts' Maid
536676	38583	German Mother
536676	41682	Emilie
536676	58171	Cook
536676	103237	Hilda, Ditten's Housekeeper
536676	122653	Mrs. Hagermann (Marla's landl
536676	130696	Mrs. Schiller
536676	133509	Hilda
536676	188547	
536676	192030	Nurse
536676	222772	Miss Watkins
536676	276713	
536676	278541	Mama Berger
536676	292405	Flora
536676	306411	Mrs. Ammers' sister
536676	320294	Nora
536676	335358	Frieda, Frame's Maid
536676	343199	German Tourist
536676	346262	Maxel's Cashier
536676	359695	
536676	364042	Frau Knubel
536676	367519	Tant Maria
536676	376473	
536677	409093	
536678	261830	Herself/Elle-même
536679	44892	Josephina
536679	185863	Marisol
536680	275285	
536681	139789	
536682	85530	
536683	41352	Woo Cowgirl #1
536684	25026	Ana
536685	31085	Mujer del cuarto azul
536686	5097	Doctor 3
536687	64709	Girl who arrives late
536688	399640	
536689	316768	Maria Zamora
536690	4561	Nartaki
536690	59389	
536690	81750	Torch Singer
536690	85135	Devdasi
536690	159241	Piyari Thandidi
536690	165331	Brindey
536690	198695	
536690	227885	
536690	270558	
536691	81205	Ann Smith
536692	130730	Noriko Katsuda
536692	286864	Young Mother, Village Women
536692	318540	TV Announcer
536692	380473	Woman, Reporter, Additional V
536693	72519	Beezie
536694	201901	Sissy Floyd Robertson
536695	114847	Hotel Proprietress
536695	171269	Undetermined Role
536695	286380	Halleluja Maggie
536696	128585	Dickinson
536697	69639	Woman in Crowd
536697	139745	Bartender
536697	165852	Adrienne
536697	167591	Frances
536697	186063	Girl
536697	285357	Z-100 Employee
536697	363780	Wheelchair Girl
536697	364203	Deputy Registrar
536698	329418	Parishioner
536700	389966	Herself
536701	399950	Bronwyn Michaels
536702	390552	Mrs. Casey
536702	399130	Maxine Williams (1988)
536703	372434	Rima
536704	23058	Young Panikpak
536705	223940	Lucy
536705	411245	Riordan Family (episode 4: Th
536706	324290	
536707	85692	Une carmélite
536707	108079	Hostess/Presenter
536707	144201	
536707	195244	The Visitor
536707	302303	
536707	338243	Angélica
536707	344802	Andréa
536707	344834	Tamí
536707	369980	Melissa
536707	375497	Angel
536707	381200	Angélica
536707	383686	Bela
536707	388262	Hostess
536707	388263	Hostess
536707	388939	Flora Encantada
536707	390737	Cecília
536707	409405	Angelina
536708	12707	
536708	14728	
536708	18694	
536708	53846	
536708	57448	
536708	84483	
536708	124242	
536708	156386	
536708	319626	
536709	69055	
536710	90454	
536711	383584	Cardosão's Wife
536711	389643	Neuzona
536711	401103	
536712	25021	
536712	30418	
536712	45314	Lupita
536712	54660	
536712	63324	
536712	69206	
536712	80189	Gloria
536712	101914	
536712	114521	
536712	171619	
536712	208852	
536712	234329	
536712	270066	
536712	270288	
536712	283204	
536712	283255	
536712	333535	
536712	334058	Wife
536712	378373	Dalia
536712	388575	Chona
536713	3439	
536713	27966	Angelita
536713	53667	
536713	88058	
536713	95020	
536713	110989	
536713	125661	
536713	132710	
536713	146582	
536713	183161	Susana
536713	207032	
536713	221925	Vanesa
536713	247198	Esther
536713	275080	
536713	339229	Catalina
536713	340689	
536713	409956	Nati
536714	243018	Une lutine
536714	350082	
536714	380381	Blanche
536714	383118	Host
536714	387853	Host
536714	401598	Host
536714	404198	Host
536714	406790	Aline
536715	354576	Baby 1
536716	84108	
536717	258841	Su
536717	286745	Akemi
536717	342758	Naï-Rea
536717	396524	Maï
536718	147071	Vietnamese Nurse
536719	231202	
536720	36643	
536721	32075	Mrs. Hoa
536722	231202	
536723	392023	Eva
536723	404785	Linda Karling
536724	191799	Erin Merryweather
536725	136880	Geneviève A.
536726	182949	Berthe
536727	140686	
536728	77272	
536729	286418	Female Victim
536730	100070	Liz
536730	131297	
536730	374024	
536731	154035	Loyce's Duaghter
536732	62781	La fille de Philippe et de Ju
536732	92043	
536732	121786	Mara's aunt
536732	153241	
536732	290440	Une cliente
536732	307479	Femme agée
536733	1344	
536733	43615	Vocals, dance
536733	350138	
536734	78902	Mindy
536735	89801	
536735	374173	
536735	380347	Kitty
536735	388489	Sluzhashchaya telegrafa
536736	94509	
536736	349316	Inna Nazarova
536737	182106	
536737	182841	
536738	180259	
536738	250821	Nancy
536739	57468	
536740	57468	
536741	100102	
536742	3350	
536742	21922	
536742	21924	
536742	27258	
536742	30452	
536742	49915	
536742	78145	Linda
536742	113395	
536742	196530	
536742	196531	
536742	217260	
536742	219053	
536742	219094	
536742	233906	
536742	294891	
536742	321183	
536742	334575	
536742	361244	Chita
536742	399350	Herself (eliminated round 6)
536743	357469	
536744	25690	2nd Lady
536745	90152	
536745	180122	
536746	302	
536746	164118	
536746	306646	
536747	95746	Mother
536748	1727	Herself
536749	215163	Nichole Newman
536749	245207	Flight Attendant
536750	263	Debbie
536750	846	Herself
536750	1681	Herself - Presenter
536750	1995	Herself
536750	2761	Herself
536750	2765	Herself
536750	2787	Herself
536750	2805	Herself
536750	2818	Herself
536750	2889	Herself - Best Actress Winner
536750	4642	Herself
536750	12338	Polly Prince
536750	13771	Herself
536750	27261	Herself
536750	28958	Annette
536750	48075	Grace Connelly
536750	53041	Ava Schector
536750	83095	
536750	85985	Kathryn Fayer
536750	86701	
536750	87981	Herself
536750	93097	Allison
536750	97793	
536750	104759	Austrian entry (19th place)
536750	120266	Herself
536750	123283	Nicole
536750	131447	Justine 'Teeny' Last
536750	134736	Herself - Hostess
536750	162352	Annie Hughes
536750	187224	Choti Chachi
536750	187984	Tory Reding
536750	201791	Herself
536750	212989	
536750	228970	Herself
536750	237783	Nina Borowski
536750	238695	Joanna
536750	255345	Kate Mosley
536750	257403	
536750	280081	Emily Poule
536750	297174	Tribal Dancer
536750	298117	Renee Fitzpatrick
536750	299317	Herself
536750	314618	Laura
536750	319017	
536750	330386	Clove
536750	333829	
536750	335738	
536750	347899	
536750	347924	
536750	358352	Herself
536750	370029	
536750	381913	Participant, 5th out (2003)
536750	387311	Herself/Various Characters (1
536750	388605	Jeannie Bueller (1990)
536750	389392	Rachel Green
536750	398058	Courtney (1990)
536750	398213	Herself
536750	398461	Madeline Drego Cooper (1994)
536751	334468	
536751	336994	
536751	354213	
536751	361081	
536752	26020	
536752	233032	
536752	300768	
536752	319966	
536753	286850	Deiva
536754	244392	Girl's Mother #1
536756	371885	
536757	176550	Old man's wife
536757	372090	
536758	29033	
536758	39137	
536758	81706	
536758	85324	Amma
536758	88586	
536758	110099	
536758	111098	
536758	114490	
536758	124032	
536758	125178	
536758	127330	
536758	137361	Aki
536758	142163	
536758	146433	
536758	148652	Le guide
536758	152469	
536758	166000	
536758	190820	
536758	198690	
536758	200804	
536758	238650	
536758	286585	
536758	289439	Michele
536758	290361	
536758	295792	
536758	312699	
536758	317485	
536758	341917	
536758	356658	
536758	381908	Herself (Season 3)
536759	137174	
536760	115397	Greta Blom
536760	145519	Elna
536761	164763	Ann-Marie
536762	139861	
536762	146831	
536762	160187	
536762	172758	
536762	175933	
536762	176111	
536762	193418	
536762	199371	
536762	201273	
536762	208179	
536762	268596	
536762	296720	
536762	299605	
536762	299607	
536762	370737	
536763	309362	
536764	42402	Venus
536764	48923	Vampire
536764	60763	Deputy Mina
536764	118957	Coed #2
536764	129218	Mouse
536764	194818	Girl #1
536764	212051	Nicole
536764	307206	Tramp
536764	326125	Officer
536765	389399	
536765	390457	Host (1998)
536765	393036	Herself (2003)
536765	399621	
536765	401270	Herself (1995-1996)
536765	408403	
536766	380064	
536766	385852	Nancy
536766	390504	Josefina 'Jose' Aráuz
536766	405918	
536767	373248	
536768	198252	Systern
536768	320512	Limpan
536769	116133	Anchell's Wife
536770	322840	Herself as Inspelningsledare
536771	106153	Annie
536771	239711	Woman in Convertible
536771	320099	Karen
536771	335258	Mistaken Natalie
536771	379047	Paige
536772	239415	Aggie
536773	153350	Dame #2
536773	326048	Nabokona
536774	11181	Jean Wells
536774	26615	Beth Chase
536774	33702	Village girl
536774	39270	Evelyn Carrington
536774	45232	Bonnie Latour
536774	49912	Ann McBragel
536774	54650	Beth Colman
536774	65435	Rosemary Claydon
536774	68176	Christine Squire
536774	72703	Cameo appearance
536774	96644	Nancy Mitchell
536774	109729	Priscilla Ames
536774	113838	Lady-in-Waiting
536774	115537	Catherine Forrest
536774	116523	Herself
536774	119790	Janet Morgan
536774	120824	Maura Daniel
536774	127150	Elsa Frankenstein
536774	133663	Muriel Dominey
536774	144109	Flo Simpson
536774	145829	Elizabeth Campbell
536774	146760	Patience Ryan
536774	147414	Norma Lind
536774	161915	Julie Herrick
536774	170825	Beth
536774	175119	Sheila
536774	178926	Bit Part
536774	183358	Wilhelmina Van Kronk
536774	184503	A Lady of the Court (segment 
536774	185502	Alice Munro
536774	193731	Iris Chatham
536774	199177	Isabel Lewis
536774	222664	Dorothy Osborne
536774	233613	
536774	235165	Mary Sloan
536774	245659	Girl
536774	248837	Julia Munson
536774	249269	Jojo Dumont
536774	251492	Naomi Drake
536774	255577	Celia Wellsby
536774	269319	Crystal McCoy
536774	275411	Girl
536774	292246	Molly Frame
536774	298584	Kitty
536774	308349	Claire Caldwell
536774	311558	Laura Reed
536774	325153	Gloria James Jessup
536774	329037	Calamity Jane
536774	354599	Joan
536774	361070	Ilona Carr
536774	366195	Bit Part
536774	367288	Gwen Conliffe
536774	372309	Lynn Smith
536775	395215	NBC Bookmobile Lady
536775	395220	Various Characters (1993-2001
536776	293705	Freja
536777	10064	Alberts mor
536777	22844	Fr. Frölich
536777	377416	Massagepigen Pia
536777	407621	Louise (1998-1999)
536778	368886	Narrator
536780	370166	
536781	72123	Reporter #5
536781	88284	
536781	123264	Geula
536781	137871	Hani
536781	152570	Laura Matthews
536781	156929	
536781	183951	Sari
536781	190180	Bleeding Woman
536781	214488	Glamorous Lady
536781	232660	Ihudit
536781	233259	Carmela
536781	245578	
536781	295435	Ms. Weingarten
536781	303020	
536781	305556	
536781	402830	Idit
536782	137139	
536782	176386	
536782	212129	Ruthie
536783	183266	
536784	20057	Roza
536784	80662	Samira
536784	175002	Herself
536784	187517	Navah
536784	276246	
536784	314135	Fara
536784	326356	
536784	405010	Hagit (1999-2002)
536785	248913	
536786	95960	
536787	42932	The Grand-daughter
536787	58690	Franka
536787	266339	Franka
536787	315017	Lili
536787	349170	Maria Rawicza
536788	84264	Józia
536789	128630	
536789	188076	
536789	255872	
536789	311133	WAMP technician
536790	165582	Stacy
536791	41316	Jeri
536792	7036	Susie, as Child
536793	152976	News Reporter 1
536793	187703	Mrs. Jamison
536794	55870	La perdue du début
536794	106991	L'ouvreuse
536794	248426	Yvonne
536794	254316	La fée Cyber Techno
536794	394414	Melanee 'Mel'
536795	15142	Friend of Alkmene
536795	166405	
536795	197417	Lola Tänzerin
536795	219340	
536795	282187	
536795	306592	
536795	314330	
536796	242554	
536797	87578	Denise
536799	150050	Contestant #15
536800	91630	
536801	125425	Herself
536801	128604	Model ("Summer Lust" Segment)
536802	249573	Birdlady
536805	35516	
536805	41077	
536805	77147	Dallas cheerleader wannabe
536805	109478	
536805	252169	
536807	257683	Herself
536808	248484	
536809	208398	Princess Etain
536810	300524	
536813	6720	Herself
536813	6721	Herself
536813	6722	Herself
536813	6730	
536813	13503	Herself
536813	34928	
536813	34930	Herself
536813	37421	
536813	40962	Herself
536813	81787	Herself
536813	127810	Herself
536813	128832	Herself
536813	129090	Herself
536813	139209	
536813	151512	Herself
536813	163480	Herself
536813	170370	
536813	191139	Herself
536813	252389	
536813	252390	
536813	257620	Herself
536813	323379	
536813	355180	Herself
536813	363376	
536813	367803	
536813	372522	
536814	38882	Marinka
536815	51989	Lea
536815	263798	Dancer
536816	171667	Judith
536818	93717	
536819	6722	Herself
536819	34740	
536819	87322	
536819	102739	
536819	115278	Princess Beth
536819	151512	Herself
536819	291023	
536819	295692	
536819	319460	Model
536820	56607	Bethany Greenwood
536822	54984	Penella-Pee
536823	87012	Lona
536824	92899	
536825	46698	Sherry
536826	311530	Daughter
536827	130888	
536827	264904	
536828	1221	
536828	6722	Herself
536828	7062	
536828	32344	
536828	41076	Herself
536828	49512	
536828	50528	
536828	50534	
536828	75018	
536828	82668	
536828	105156	
536828	146820	
536828	147771	
536828	154701	Herself
536828	188069	
536828	191838	
536828	194723	
536828	219146	
536828	228042	
536828	254072	
536828	254078	
536828	260297	
536828	264638	
536828	264843	
536828	264911	
536828	273550	
536828	302523	
536828	323159	
536828	323582	
536828	324258	
536828	324259	
536828	324260	Herself
536828	353292	
536828	353745	
536828	360011	
536828	363413	
536828	372395	
536828	372396	
536828	372403	
536829	148891	
536830	901	Cinderella
536830	2613	Herself - Performer: 'It All 
536830	2766	Barbara Mitchell
536830	17478	Herself
536830	17479	Herself
536830	17480	Herself
536830	18544	Margaret Pagniacci
536830	41918	Maggie Yearwood
536830	42357	Herself
536830	50096	Laurel
536830	50974	Kim McAfee
536830	51475	Ann McCalley
536830	55292	Bobbie
536830	60148	Jezebel Dezire
536830	64019	Melba Nile
536830	64084	Herself
536830	68002	Herself
536830	116438	Charlie Minerva
536830	116559	Lena
536830	125998	Herself
536830	126000	Herself
536830	126001	Herself
536830	134886	Ariel Gustafson
536830	134889	Ariel Truax
536830	138726	Herself
536830	138784	Lorraine Petrovich
536830	154530	Stephanie
536830	161060	Mrs. James
536830	169142	Lady Booby
536830	178316	Jody Dvorak
536830	185550	Mira Wexler
536830	185565	Flavia Geste
536830	190208	Pamela Harriman
536830	194229	Patti Warner
536830	199513	Herself (wardrobe test footag
536830	199514	Maggie Scott
536830	200090	Peggy Ann Snow
536830	210493	Carol Hargrave
536830	213027	Sue Ann
536830	222797	Suzie Solaris
536830	230703	Jackie
536830	231070	Medda Larkson
536830	234221	Carol Stevens
536830	241037	Kristine Pedak
536830	244920	Luanne Barnes
536830	252926	Patsy's Mother
536830	257055	Tula Bouvier Jeeters
536830	258067	Fran Hobson
536830	258555	Louise
536830	265462	Maggie
536830	270139	Rhoda
536830	273709	Singer
536830	276804	Jenny Baldry
536830	280184	Herself
536830	293011	Diane Borchardt
536830	295171	Leticia
536830	309540	
536830	312827	Dallas
536830	313920	Emily Porter
536830	316744	Blanche DuBois
536830	321521	Entertainer at Valley Forge
536830	321556	Kelly Olsson
536830	326125	Washburn's Mom
536830	329560	
536830	332821	Rose Butts
536830	332938	Carolina
536830	335277	Nora Walker Hobbs
536830	337771	Mrs. Lowe
536830	339526	Herself
536830	342459	Audrey Minelli
536830	343024	Ann Arden
536830	345264	Nancy Robson
536830	354560	Charming Jones
536830	355810	Rusty Martin
536830	360245	
536830	364313	Lucile Fray
536830	364378	Mrs. Walker
536830	367674	Claire
536830	378710	Queen Cinderella
536830	382254	Della
536830	386414	Herself
536830	389165	Amanda "Maggie" Wyatt (1998)
536830	402605	Sally Jackson
536830	404409	Belle Watling
536831	109139	Stripper
536831	119970	
536831	160261	Girl
536831	165083	
536831	328665	Tracey
536831	333831	
536832	87388	
536832	161174	
536832	232353	
536832	252068	
536832	290839	Susi
536832	315855	
536832	336122	
536832	361943	
536834	241496	
536834	270290	Nurse Rita
536835	1048	Suzanne de Beaumont
536835	2353	Herself - accepting Best Actr
536835	10238	Margarida
536835	13596	Slaygirl
536835	17713	Anne-Marie
536835	24653	Greta Bienert
536835	29010	Aischa la Slaoui
536835	29813	
536835	30277	Baroness Katrina Marissey
536835	30815	La marquise Mitsouko Yorisaka
536835	43350	Lt. Alexandra Zorich, MD
536835	43441	Violene
536835	46714	Luise Anzengruber
536835	54845	Princess Wilma
536835	64715	Viana
536835	83176	Hélène
536835	84631	
536835	86963	Ranie Racine
536835	89403	
536835	90104	Lady Ontiveras
536835	96233	Herself
536835	124133	
536835	140349	Dr. Ingrid Naarveg
536835	148717	
536835	153884	Renée
536835	199598	
536835	201177	
536835	202240	Flora Lévigné
536835	205763	Marie
536835	211519	Mermaid
536835	214127	Beatrice
536835	220808	Parisian woman with bread
536835	227594	Violine Fleuri, Desiree Clary
536835	227596	Violine Fleuri
536835	235226	Herself
536835	236623	Natacha Kovrine
536835	239877	
536835	249093	Solange Pascaud
536835	269134	Anna
536835	269544	
536835	281012	
536835	291942	Eva Braun
536835	295829	
536835	296291	
536835	308293	Annette Wéber
536835	308830	Marie
536835	318246	Toni Pellerin
536835	326078	Szabó Mária
536835	328530	Laurence Danville
536835	335477	Odette Bonnard
536835	340151	
536835	342392	Dr. Sigrid Bomark
536835	345224	
536835	345484	Mariette
536835	346146	Lady Marguerite
536835	350658	Jeanne
536835	350671	
536835	351249	Jeanne de Corlaix
536835	366195	Young Marie/Maria, Duchess of
536835	377865	Denise
536835	377910	
536835	382162	Nora Travers
536835	386579	Grasshopper
536836	33571	La Soeur de Jésus
536836	64333	Herself (1988)
536836	65554	Jehosheba
536836	104766	French entry (2nd place)
536836	150780	Samira
536836	158748	Malika
536836	202694	Fati
536836	205929	Amina
536836	225369	
536836	236599	Ahmed/Zahra
536836	254714	
536836	298321	Mahrnia
536837	91588	
536837	208734	
536838	58053	
536839	880	Paris Poodle Lady
536840	123900	
536840	258845	Liisa
536840	326070	
536841	4185	
536841	4235	
536841	6454	
536841	19213	Sankara Sastris wife
536841	23136	
536841	29042	
536841	31411	
536841	36108	
536841	36119	
536841	45817	
536841	58925	
536841	60022	
536841	62317	
536841	84723	
536841	84727	
536841	90571	
536841	91062	Herself
536841	97707	
536841	122714	Chitra's mother
536841	131879	
536841	132349	
536841	142545	
536841	142551	
536841	161142	
536841	164569	
536841	165239	
536841	166374	
536841	171503	
536841	175889	
536841	176773	Nurse
536841	179251	
536841	180559	Santhamma
536841	200016	
536841	204348	
536841	205062	
536841	209240	Lakshmi
536841	217851	
536841	223507	
536841	233181	
536841	239311	
536841	252016	
536841	252017	
536841	262237	
536841	266998	
536841	270188	
536841	271663	Sarada
536841	283885	
536841	286781	
536841	287355	
536841	300420	
536841	315273	
536841	317796	
536841	333017	
536841	338172	School Girl
536841	339759	
536841	367213	
536841	370459	Balu's mother
536841	373488	
536842	355185	
536842	355212	'IS' TV reporter
536843	129204	
536843	263672	
536843	412278	Herself
536844	392142	Child Guest
536845	232240	Nikki
536846	37691	Ursula
536846	295722	Secret Agent #1
536848	37495	Pandora Horn
536849	158825	Freddy's baby
536850	75535	Virgin #1
536851	174621	Herself
536851	209170	Topless pursuer
536852	156860	Painted Person
536853	288470	Jan
536853	316782	Sara
536854	367861	Eydie
536855	83561	Sandy
536857	407815	Herself (Single) (2003)
536858	359974	
536860	29887	
536861	75034	
536863	99370	Muriel
536863	132817	Sophie
536863	255919	
536863	275638	
536863	404974	A girl (in "Caroline et ses c
536865	241330	Bessie
536866	39287	
536866	41620	
536866	41623	
536866	41632	
536866	41641	
536866	59674	
536866	60280	Phyllisha
536866	81861	
536866	106031	
536866	117372	
536866	128548	
536866	142500	Herself
536866	143072	
536866	150620	
536866	150900	
536866	191356	
536866	201449	
536866	253611	
536866	306916	
536866	349880	
536866	362583	
536869	208497	
536870	200474	
536871	26118	
536873	81880	Video Vault Woman
536873	381013	Misc.
536873	394419	Allenby Beardsley
536873	396491	Chisa Shinohara
536873	406378	Herself
536873	412029	Fiona Elisi Linette
536874	302403	Clase de cuarto
536874	322345	Young Luciana
536874	403132	Herself
536875	62778	Dancer
536875	301217	
536876	10893	Jessica
536876	110751	Felicity Robinson
536876	193775	Marion
536876	310190	Cosia
536876	319568	Midvale Protestor
536876	340774	
536876	359932	Hostess
536877	12372	
536877	68387	Mrs. Chernov
536877	76534	Cathy
536877	133172	Barbara
536877	241175	Sonia
536877	251815	
536877	325084	Madame Pernelle
536877	403557	Stéphanie (1964)
536878	19019	
536878	89321	Gypsy
536878	330440	Clementine
536878	353457	
536879	379008	Carmencita
536879	383907	
536879	385043	Angela
536879	400656	Celeste
536879	403219	
536880	89321	Gypsy's Mother
536881	82193	
536882	235819	
536883	192100	Woman in Audience
536884	301810	Valerie
536885	53794	Sascha
536885	122198	Harlan
536885	124054	Jane
536885	151778	Jerboa
536885	235357	Beat Girl
536885	245536	Bar Girl
536885	257742	Abigail Kirk
536885	269355	Club Vampire
536885	316410	Imogen
536885	321335	Salesperson
536885	388306	Justine Stevens
536885	388860	Sally Clarke
536886	399065	WPC Yule (episode 1)
536887	395667	Dominique Mourrait (1988-1994
536888	22735	Rose
536888	53326	Kristine Kochanski
536888	91923	Sarah Clutten
536888	250440	
536888	274076	Kristine Z. Kochanski
536888	274077	Kristine Z. Kochanski
536888	274078	Kristine Kockanski
536888	274081	Kristine Z. Kochanski
536888	370412	Mary FitzGibbon
536888	385234	Science Office Holly Turner
536888	386577	Rebecca Stuart-Clark
536888	393492	Isabelle
536888	403061	Kristine Z. Kochanski (1997-)
536889	387533	Geri Cairns (1997-1998)
536890	139751	Katie Barnes
536890	295627	
536891	315627	Sister number 4
536892	382848	Serena Silvia
536893	78998	Young Pamela
536894	245712	Roxanne
536895	353863	Madame Lola
536896	9540	
536896	73600	
536896	82413	Rana
536896	108874	Giudice Pettoruta
536896	197454	
536896	212576	
536896	247967	Secretary of the director
536896	295137	Alfio's wife
536896	320698	Puccini's Secretary
536896	342098	
536896	378168	
536896	384618	
536897	14526	
536897	102834	Herself
536897	111011	Pupa
536897	128630	
536897	172892	
536897	208774	Shruthi
536897	220883	Nandini Thampi
536897	249652	
536897	267927	
536897	320832	
536897	328535	
536897	335048	
536898	318729	The Big Woman
536899	137224	Zenobia
536900	2937	
536900	26923	Herself
536900	34733	
536900	119800	
536900	154145	Herself
536900	169960	
536900	192126	
536900	241116	
536900	285189	
536900	290315	
536900	320992	
536900	320995	
536900	320996	
536900	321008	
536900	321018	
536900	323834	
536900	358074	Herself
536900	372574	
536901	109142	Herself
536901	274427	Wedding Party in Philadelphia
536902	271909	
536902	273309	
536902	389619	Local Edition (Rheinland-Pfal
536903	82630	Herself
536905	104422	
536906	397859	Lady Salisbury
536907	40694	Ganster på film
536907	78476	Herself (performing 'Sikken d
536907	130111	
536907	336653	Telephonist
536908	5196	Elizabeth Collier
536908	56721	Sylvia
536908	65552	Eiras
536908	68011	Luciana
536908	68214	Galina
536908	70499	Margrethe Bohr
536908	73709	June
536908	77194	Bonnie Fielding
536908	80839	Celia Harcourt
536908	81438	Val Dryden
536908	81539	Ellen Richmond
536908	90881	Sophie
536908	95181	Lady Jessica
536908	106621	Annie Jones
536908	115592	Gwen
536908	128717	
536908	140999	Sally Hall
536908	145771	Wanda
536908	181262	Lyssa, Widow of the Web
536908	207715	Ann
536908	208742	Catherine Frode
536908	213947	Harriet
536908	222692	Sheila Upward
536908	233649	
536908	241898	Katiusha
536908	252275	
536908	256083	Julia Almond
536908	258036	Sally
536908	273825	Anna Fairley
536908	281215	Juliet
536908	283375	Jean Parker
536908	284326	Dubarry
536908	288720	Jean
536908	292295	Tuppence Cowley
536908	301252	Tracy Conway
536908	304313	Uptight Girl
536908	317170	Kate
536908	337482	Lady Macbeth
536908	346101	Mrs. Wellington
536908	358661	Arabella Dainton
536908	360913	Leila
536908	361587	Phyl
536908	364556	Lady Frances Derwent
536908	368102	
536908	372598	
536908	379417	Tuppence Beresford
536908	381795	Angela Berridge (1993)
536908	387334	Lily Langtry
536908	390538	Katya Princip
536908	390572	Estella
536908	392461	Lily Amberville
536908	392871	Paula Croxley
536908	395647	Lillie Langtry
536908	396363	Emma Bovary
536908	400891	Katharine O'Shea
536908	403047	Anna Fairley
536908	411316	Claire Gibson
536909	224224	Danielle Talley
536910	229728	Coach Passenger
536911	401689	Denise
536912	267106	Sharon
536913	262054	Anita
536914	2430	
536914	29936	
536914	29946	
536914	54658	Alluring Hotel Guest
536914	63000	Mouse
536914	122179	
536914	230376	
536914	331316	
536914	334725	
536914	357168	Herself
536915	192944	
536916	33004	Head Nurse
536917	350035	Morelli
536918	195801	Grandmother
536919	219572	Persona nella sala d'attesa
536920	293387	Mariscal
536921	159915	Claudia Morda
536922	249914	
536923	159860	Mariya Antonovna Skvoznik-Dmu
536923	176663	
536923	213158	Greta
536923	244728	
536923	259221	Russian Mother
536923	261368	
536923	289861	
536923	300810	The governor's wife
536923	312939	Yagoda's Wife
536923	357128	
536923	375330	Liushka
536923	399344	
536924	20950	Naomi
536925	362984	Grandma Murphy
536926	72932	Baby Fay La Foe
536926	292496	Margie
536927	23530	
536927	101208	Une femme de la chorale
536927	201206	
536928	17796	Herself
536928	133081	Alice
536928	282273	Norma Johnson/Marie Johnson
536929	8033	
536929	8444	
536929	10389	Lola
536929	11974	
536929	14330	
536929	82773	
536929	85738	Bella, the hotelier
536929	86829	
536929	98073	
536929	100596	Yannis' Girlfriens
536929	104822	
536929	127358	
536929	127369	
536929	127442	
536929	130476	
536929	172210	
536929	173976	
536929	179456	Mirsini
536929	180661	
536929	205791	
536929	206580	Laura
536929	209771	
536929	213694	
536929	217247	
536929	228170	Natasha
536929	237080	
536929	239094	
536929	240384	
536929	243059	
536929	248852	
536929	258649	
536929	265649	
536929	309571	
536929	314648	
536929	333486	
536929	338992	Marina
536929	339001	
536929	341179	
536929	356095	
536929	370045	
536929	385986	
536930	6289	
536930	6323	
536930	6419	
536930	6431	
536930	8118	
536930	8129	
536930	8212	
536930	8378	
536930	8447	
536930	102741	Sexy FRiend
536930	131083	
536930	147998	
536930	156416	
536930	174646	
536930	179405	
536930	180553	
536930	194487	Benadryl
536930	198025	Marella
536930	212062	
536930	217245	
536930	217776	
536930	243328	
536930	257560	Lt. Pushkintucushkin
536930	284491	
536930	296328	
536930	326216	
536930	350203	Wendy
536931	315198	Flossie
536931	354827	Woman
536932	26809	
536932	80698	
536933	344184	Lil Patsy
536934	282822	Japanese Housewife
536935	285957	
536936	96288	
536936	96372	
536936	197088	
536936	222003	
536936	238338	
536936	263850	
536936	276566	
536936	285957	
536936	296461	
536936	341595	
536936	348939	
536937	179519	I-ko
536937	285957	
536938	26395	
536939	55906	
536939	383441	Guilhermina
536939	402728	
536939	404799	Vivi
536940	310240	Lucia
536941	330542	Video assistant
536942	403792	Ayesha
536943	22118	Headman's daughter
536943	183897	Jigni
536943	284777	
536944	105216	Little Boy's Mother/Customer 
536945	162539	
536945	366913	
536946	228449	Student
536947	38358	TV Reporter
536947	119017	
536947	156977	
536947	161797	Faustine
536947	164846	Desdemona
536947	172213	Redakteurin
536947	178654	Baerbel
536947	259611	Martina Engel
536947	268936	
536947	325528	Sheila
536947	376313	Sandra Maria Westphal
536948	297843	
536949	59001	
536949	204168	Bar Customer
536950	198425	Cleonice
536951	351892	Marie's Kid
536952	29162	Bankangestellte
536953	385683	Sorenza enfant
536954	40594	Penitente
536955	42738	Andrea
536955	150967	Melinda
536955	178102	
536955	289089	Det. Morrison
536955	346222	Melissa Morrison
536955	396758	Victoria Mann
536956	75084	Claire
536956	87451	Model
536956	144565	
536956	183355	
536956	266725	
536956	279920	
536956	296995	
536956	367889	
536956	369455	Claire
536958	56967	Inmate at Holm Lea
536958	348379	Prison Visitor
536959	92641	Elsa
536959	98275	
536959	111771	Anna
536959	115814	Helene
536959	119162	
536959	144111	
536959	167139	Hanna
536959	180987	
536959	246398	Priorin
536959	276626	
536959	281754	Heather Paddington
536959	314555	Schwester Johanna
536959	316833	Miss Vaughan
536959	325080	Marianne
536959	325410	Kriminaloberkommissarin Hanne
536959	325411	Kriminaloberkommissarin Hanne
536959	325452	Kriminaloberkommissarin Hanne
536959	325481	Kriminaloberkommissarin Hanne
536959	325511	Kriminaloberkommissarin Hanne
536959	325773	Kriminaloberkommissarin Hanne
536959	325842	Kriminaloberkommissarin Hanne
536959	325900	Kriminaloberkommissarin Hanne
536959	336571	Karin
536959	345900	Wilma Pobradt
536959	351946	Oberkommissarin Hellmann
536959	352531	Ursula Strauten
536959	356864	Voice
536959	361092	Dr. Alexandra Kluge
536959	367226	Veronika Bach
536959	381382	Dr. Katharina Freude
536959	388964	Schwester Serena
536959	396757	Frau Koenig
536959	406517	Schwester Johanna
536959	410001	Ursula Strauten
536959	411097	Eva-Maria Wadas
536960	15032	
536961	228152	
536962	10193	
536962	20138	
536962	51367	
536962	90731	Sua moglie
536962	102429	Mariantonia
536962	111419	Amalia
536962	124551	
536962	182938	Rosa Sardo
536962	184971	
536962	193422	Cesira
536962	205249	
536962	213935	Erminia
536962	248649	
536962	273144	
536963	197203	Federica
536964	49695	Herself
536965	249189	Tomassa
536966	384618	
536967	109421	Ferrari Passenger
536967	131226	Glass House Girl
536968	115269	Mrs. Olson
536969	274679	
536970	390410	Simone van Aemstel (1998-1999
536971	122464	Berit, nurse
536971	204392	Maheswari
536971	392332	Programvärdinna (1965)
536972	146402	
536972	264944	Louise Devos
536972	269726	La fille au scoubidou
536972	384756	Bea (2002-2003)
536972	412202	Julie Pellois
536973	200954	Myriam, the Little Girl
536974	42034	Gastvrouw instituut
536974	242445	Boetster 2
536974	390410	Alexandra 'Alex' Visser (2001
536975	77926	Elsa
536975	112874	Anicée
536975	112875	Anicée
536975	119792	Cop 1
536975	379809	Anne
536975	384388	Elizabeth Mariani
536975	389940	Judith
536975	398253	
536975	402577	
536975	408317	
536975	409437	
536976	232930	
536977	347053	Nancy Paulson
536978	218317	Maisie Smith
536979	257242	
536980	387336	Miss Anson, - Lady Olliff-Coo
536981	131232	Extra
536982	122028	Petunia
536982	218552	Lucy Sykes
536982	250827	Maid, The Past
536982	379370	Rosemary Bonamy #1 (1983) (pi
536982	395794	Carol
536982	409836	Blonde
536983	47524	Delores
536983	127637	
536983	167675	Patience Delavan
536983	299730	A Dancer
536983	331926	Rita
536983	367777	Carmelita
536984	42027	Lucy Page
536984	52477	Beatrice Lovell
536984	72749	Estrella De Morgan
536984	96977	Minnie Baldwin
536984	133437	Nadine Picard
536984	155906	Tessie Wyngate
536984	191736	Nellie Johnson
536984	301690	Mrs. Harker
536984	303925	Nadine
536984	360220	Olive Stark
536985	126563	Mrs. Georgina Van Aster
536986	71257	
536986	123918	
536986	134224	
536986	145527	
536986	152168	
536986	171969	
536986	173644	
536986	174887	
536986	200065	
536986	204107	
536986	204602	Elisa Go
536986	204604	
536986	208547	
536986	226688	
536986	246023	
536986	287828	
536986	325328	
536986	325362	
536986	359143	
536986	392560	Felisa
536986	404049	Corazon Montenegro
536986	404051	Amparo
536987	110155	Journaliste 1
536988	2376	Herself
536988	10911	Pamela Wood
536988	26783	Madeline Hix
536988	37062	Lila
536988	41284	Widow
536988	41869	Dr. Judith Glass
536988	42112	Nina Blume
536988	52005	Deborah Nelson
536988	53747	Angela
536988	77760	
536988	80748	Chris Butler
536988	84833	Penny Hart
536988	114284	Lucy
536988	114618	Catherine Van Oost
536988	117265	Terry
536988	124335	Jane Beardsley
536988	131210	Phyllis Daye
536988	141614	Karen McKeon
536988	154738	Donna Jo Martelli
536988	161487	Rosalind Winfield
536988	169433	
536988	184548	Susan Enders
536988	185290	Betty Leslie-Melville
536988	199144	Christina Sebastiani
536988	216217	Lilly
536988	218534	Marilyn Jordan
536988	257518	Nancy Felix
536988	261062	Jordan West
536988	282022	Beverly Dresden
536988	283510	Janet
536988	283914	Kate Simpson
536988	292462	Wilma
536988	321805	
536988	405624	Annie Maxwell
536988	406083	Elinor Grant
536988	411682	Grace McKenzie (1983)
536989	283006	Librarian
536990	26750	Janey Colfax
536990	81290	Marina
536990	274459	Bank Hostage
536991	12353	Dancer
536991	32886	Dancer
536991	60189	
536991	77015	Dancer
536991	90292	Dancer
536991	114845	Dancehall Girl
536991	146813	Show Girl
536991	196295	Talent Agency Girl
536991	203051	Dancer
536991	206530	Saloon Girl
536991	254558	Dancer
536991	298503	Girl
536991	331713	Dancer
536991	348972	Dancer
536992	342871	Cricketer
536993	200324	Herself (former film editor)
536994	222594	Patsy
536995	130848	Passenger
536996	131559	Girl in nightclub
536997	360221	Athena
536998	154738	Miss Kinamura
536999	199261	
536999	202135	
536999	327791	
537000	202135	
537001	373694	
537003	370062	Cristina
537004	97993	
537004	153864	
537004	175089	Svajdáné
537004	180824	Felhõvári Nicolett
537005	215393	
537006	124310	
537007	26981	Bohemian
537008	2944	
537008	152734	Woman in Crowd
537008	172070	Anna Lesznay
537008	322025	Tanulmányi titkárnõ
537008	371289	
537009	360960	
537010	19669	
537010	99740	
537011	383823	Ludmila Horká
537012	308605	European girl
537013	301077	Najiba Haddad
537014	36824	Celia/PBN Girl
537014	262394	Kacey
537015	88177	Action Alert Helper
537015	309567	
537015	345049	Fille boîte de nuit
537016	113022	Matilda
537017	124276	
537017	132540	
537017	199396	Sophie
537017	248540	
537018	63902	
537019	164349	
537019	265334	
537019	333847	
537019	393187	Carola
537020	306466	Filipino nurse
537021	266817	
537021	344267	
537022	89572	Woman at Castle
537023	153547	
537023	182377	Sorjonen's Wife
537023	393017	Hanna
537024	170224	Herself
537025	100990	Irene van Laan
537025	120789	Ella Bennet
537025	175289	
537026	116053	Scent Experiment Fan
537026	275397	Monica
537027	163509	
537027	190054	Stripper
537027	272758	1st Stripper
537029	99222	vocals Eline
537030	303290	Herself
537031	154490	Her self
537032	96020	Frida von Falkenstein, grevin
537033	315415	Astrid, datteren
537034	324329	
537034	354317	
537035	147988	Margarita Rivero
537035	194726	Maria
537036	167043	Mary Hark
537037	273431	Herself/Los Angeles
537037	273432	
537037	273433	
537037	273434	
537037	273436	
537037	402993	Herself/Los Angeles (1993)
537038	60820	
537038	91723	
537038	141677	
537038	276940	Carol
537038	355986	Hooker
537039	394123	Florentyna Koskiewicz 12-16
537040	7174	Barbie
537040	29760	Barbie
537040	84337	Barbie
537040	298007	Catherine Ann
537041	346361	Showgirl #1
537041	398159	Makoué Kibongo
537042	103215	Kid on school bus
537043	206389	The Other Woman
537045	230442	Samantha, Nicole's Friend
537046	71779	Mr. Porter
537047	81121	Aileen
537048	258039	Becky
537049	176989	Mrs. Anderson
537050	79719	Joleen Dahlberg
537051	231900	Moderator
537051	242035	Jack's Mother
537052	47588	Onlooker
537053	254867	Alex
537055	182958	Registration Lady
537055	312851	Julie
537056	54884	
537056	206431	
537056	267344	Lilla Lotti
537056	362402	Mrs. Flemyng-Smith
537057	5585	Katherine Croft
537057	92669	Debby Girl
537057	295881	Jackie
537057	396724	Sammy
537058	408074	Receptionist
537059	138489	Hilda
537060	56871	Little Girl
537060	60253	Young Flo Applebaum
537060	191608	Katie Kinney
537060	315317	Young Sophie
537061	186020	
537062	35661	Betty Slater
537062	270001	Maureen
537063	248491	Female Vocalist
537064	231331	
537065	243795	Jean
537065	395601	Missy
537066	310416	Jenny Bullock
537067	109857	Beautician #2
537068	238608	Delene
537069	386197	Barb the bar wentch
537070	123467	Timekeeper
537070	388971	Lofty
537071	14987	Hispanic Reporter
537071	69447	Martica
537071	190972	Karen MacIntosh
537071	365451	Ken's Secretary
537072	177988	Handmaiden
537073	318776	Woman
537074	7412	Lisa Parks/Lucy
537074	33971	Elizabeth
537074	47050	Michelle
537074	48311	Natalie
537074	78936	Angeliqué Bouchard
537074	80423	Alicia
537074	82983	Girl in 'I Feel You' Video
537074	92513	Sarah Carver
537074	92694	Lucy Westenra
537074	93966	
537074	100090	Princess Gilda
537074	107143	Julie Sanson
537074	109063	Louie Sinclair
537074	120799	
537074	127122	Mistral
537074	139210	Lisa Kantrell
537074	150654	Amanda Brown
537074	150780	Filette d'Auferre
537074	153190	Sam (Jack's girlfriend)
537074	163921	Lady Rowena
537074	164505	Mary Jane Kelly
537074	181262	Princess Lyssa
537074	183542	Lady Panthea Vyne
537074	194177	Herself
537074	194212	Samantha
537074	203290	Faith Moore
537074	215274	Caitlan Bourke
537074	232277	Kathy Chalmers, Eric's niece
537074	240023	Oliver's Mother
537074	258057	Charlotte
537074	258933	Veronica Cray
537074	264051	
537074	264154	Lady Sarah
537074	279792	Mrs Crusoe
537074	321632	Liz
537074	323748	Dr. Claire Mulrooney
537074	324966	Jennifer
537074	339711	Laura, Bobby's Mom, Dr. Simps
537074	366903	Impostor Leslie Giles
537074	375521	Marian Faber/Eileen W.
537074	377925	Patricia
537074	382733	Daphne
537074	384528	Miss Scarlett (Series 3) (199
537074	385299	
537074	385720	Angeliqué (1991)
537074	386657	Florence Dombey Gay
537074	393425	
537074	399415	Roxanne Doyle-Wells
537074	400109	Agnes Fleming/Rose Maylie
537074	408130	Angie Tyler
537075	103215	Kid on school bus
537077	3964	
537078	47474	Essie's Party Guest
537078	80618	Granny
537079	181155	Lilian
537079	223343	Bridget
537079	252741	Whitbread's Assistant
537079	289657	Girl At Party
537079	337482	Dancer
537081	33395	Marty's secretary
537081	232861	Maxine
537081	280192	Sally
537081	280194	Sally
537081	280195	Sally
537081	293258	Mrs. Herman (Bank Customer)
537082	20147	Prima Donna/Ariadne
537082	358690	Gerhilde
537083	69391	Prostitute
537083	266047	Margot
537083	325201	Prince's girlfriend
537084	46156	Death Center Alpha Girl #1
537085	80382	Marilyn
537086	179461	
537087	180452	Guardian angel
537087	300801	Marina
537088	25774	
537089	183033	Ristin
537090	140686	
537091	140686	
537092	140686	
537093	26470	Mme Durieux
537093	84654	Hôtesse location
537093	144317	Jo
537093	255589	
537093	384866	Stéphanie
537093	407212	Delphine Montiel
537094	111145	
537094	348161	Tonina
537095	402321	Maby
537095	403683	Aurora
537096	17516	Anna Christie
537096	84057	
537096	125759	Nora
537096	148504	Lilian
537096	166552	
537096	169972	Judith
537096	268494	
537096	387808	
537097	403805	Rae Harrison #2 (1998)
537098	344356	
537099	35657	Bride
537099	349973	Friend at beach
537099	408523	Lisa Flores (1986)
537100	35776	Irena, Pitsee's Mother
537101	203692	Gypsy dancer
537102	127238	Female Dancer #2
537102	127730	Falcons Dance Squad Member
537102	128727	Dancer
537102	130441	Kimberly
537102	160373	Waitress
537102	223787	Bimbo
537102	232124	Dancer
537102	307206	Happy Fan
537102	366970	Hippie Girl
537102	367083	Dancer
537103	358373	
537104	54387	Waitress
537104	125781	
537104	300671	
537104	315448	
537105	63950	The Wife
537105	88983	
537105	106085	
537105	246497	
537106	248409	
537106	318515	
537107	71266	
537108	44522	
537108	69002	
537108	82434	
537108	257528	
537108	269499	
537109	42894	
537110	376598	
537111	164773	Maria
537112	60451	
537112	172515	
537112	344095	
537113	258658	Zoya as a child
537114	131142	
537115	33824	
537116	29278	
537117	162398	Sklarnoff's Secretary
537118	198940	
537119	6725	Herself
537119	34818	
537119	81370	
537119	106548	
537119	278695	
537119	294292	
537119	306923	Herself (Azlea)
537119	316413	
537119	361243	
537120	126673	
537121	183867	Mrs. Fredricks
537122	232181	Lysis' Guard
537123	35653	Dead Body
537124	397623	Francisca
537125	352931	Les danseuses
537126	22958	
537126	32925	Lingerie salon manager
537126	45040	
537126	45072	
537126	68852	
537126	80061	
537126	83036	
537126	116806	
537126	116821	
537126	188167	
537126	197944	
537126	200331	
537126	219108	
537126	257889	
537126	267208	
537126	269289	
537126	309157	Angela (Office Clerk)
537126	310676	
537126	337808	
537126	355981	
537127	122813	Frankie Scouler
537127	390523	Poppy Silver (1995-1998)
537128	281547	Carmen Diaz-Taylor
537129	69181	Carole
537130	42372	
537131	101714	
537131	242424	La pompiste
537132	316926	Lana
537133	325343	Old lady on the bench
537133	345297	Tante Marie
537134	388311	La standardiste
537135	17769	Young Fan #2
537135	119785	
537135	150048	
537135	150055	Lingerie Seller
537135	196101	
537136	49334	
537137	39484	
537137	39504	
537137	39568	
537137	39570	
537137	39609	
537137	44109	
537137	157796	
537137	303209	
537138	70458	Polly
537139	308542	Channaleh
537140	174779	
537141	101256	Mariette
537142	9179	Stella
537143	100827	Chloe
537144	9179	Mimma
537145	332212	Herself
537146	114648	Dr. Knoll
537147	35802	Mrs. Keller
537147	46420	Aunt Virginia
537147	79981	Diane
537148	14203	Lisas Mother
537149	352914	
537150	82481	Thin Girl
537151	331894	Herself
537152	36928	
537152	248484	
537152	258285	
537152	356641	
537153	340502	Eva
537154	160453	Sandra
537154	215045	Mary
537155	162534	
537156	352914	
537158	403904	Acrobat - Song: 'Alegria'
537159	2376	Herself
537159	14094	Herself - Performer
537159	14099	Herself (presenter)
537159	31501	Jackie Quinn
537159	45507	Kalotte
537159	53959	Jill, Lamborghini Babe
537159	63032	
537159	64562	Herself
537159	128504	Susan Williams
537159	130948	Goldine Serafin
537159	133442	Betty Sue Allen - Last Year's
537159	168971	Various Characters
537159	187729	Sara
537159	200215	
537159	201597	
537159	201676	Herself
537159	230685	
537159	232017	Herself
537159	242985	Joanna Pacula/Princess Nicole
537159	311975	Stevie Castle
537159	313075	Herself
537159	342266	Herself
537159	381442	Jackie Quinn (1992-1994)
537159	397375	Co-host
537159	402085	
537159	406596	Susan Williams
537160	90083	Donna Elvira
537160	102550	Ermione (daughter of Helen of
537160	108065	Mrs. Meg Page
537160	198886	Dama
537160	199288	Kate Pinkerton
537160	232785	Nina, amante di Lindoro
537160	234978	Adalgisa (soprano)
537160	280344	Rodelinda
537160	352826	Ninetta
537161	63865	
537161	307677	Ester
537161	381622	Sara Borsi
537161	402160	Simona
537162	270840	
537162	337233	
537163	13095	
537164	24676	
537165	379361	Natalia Sklavou (2002-2003)
537165	397608	
537167	18345	(herself)
537167	316127	
537168	286655	Le médecin de l'hôpital
537170	71078	
537170	106328	Rubia Benidorm
537170	252541	
537170	317527	Frau Heller
537171	23392	
537172	13554	
537172	14834	Ombretta
537172	17813	Gabriella
537172	19926	Rosy
537172	46973	
537172	55968	
537172	112683	
537172	213512	Chiara
537172	217856	Chiara
537172	292274	Antonella
537172	312897	Attrice
537172	402781	Stefania
537173	44723	Sharon
537173	55812	Karen Albuquerque
537173	205597	Maria
537173	383550	Ana da Silva/Anita Garibaldi
537173	384480	Jade
537173	385024	Judy
537173	385522	Bárbara Campos Sodré
537173	389153	Violeta
537173	395302	Capitu
537173	396610	Isa Pasqualete (1999-2000)
537173	408381	Ressu
537173	408944	Benvinda
537173	411585	Elvira
537174	351009	
537175	11630	Sister Hildegarde
537175	19791	
537175	24865	Frosina
537175	56447	Rosa
537175	84378	Franca
537175	88050	Manoela Roderighi
537175	88843	Martine Dupont
537175	122724	Marie Colbert
537175	132513	
537175	132649	Sandra
537175	133110	Elèna Anzellotti
537175	158860	Daria
537175	160054	Giuliana Hermil
537175	160364	
537175	188645	The Pick Up
537175	202160	Tonina
537175	202424	Angela
537175	202425	Angela
537175	202428	Wanda
537175	202955	Ria
537175	206062	Pauline
537175	211509	Costanza Vivaldi
537175	212392	Roberta
537175	217101	Antonia De Angelis
537175	251618	Laura
537175	260606	
537175	278404	Noce Bove
537175	279259	Liliana
537175	279584	Mapi Petruzzelli
537175	287599	Juliette Vaudreuil
537175	291561	
537175	292969	
537175	295042	
537175	295049	Various roles
537175	302160	Simone
537175	311066	Rosanna
537175	338003	Monica Belli, la star
537175	338704	
537175	342026	Stellina
537175	351602	Angela
537175	355762	Anna Tassotti
537175	386478	Carmen de Blasco
537175	392787	Lisa
537176	14580	
537176	31000	
537176	161023	
537177	238376	
537178	272855	
537179	55804	
537179	55975	
537179	293980	
537179	353335	
537180	92758	Puar
537180	92855	Puar
537180	386922	Chaiotzu (II)(1999- )/Puar (I
537180	386923	Puar (2001-2003)
537181	62858	
537182	14273	Party Girl #2
537183	46251	Maria
537184	190728	
537185	310118	Streetwalker
537186	57264	La marchande de cigarettes
537186	229027	
537187	11782	
537187	29343	
537187	34321	Bewährungshelferin
537187	34417	
537187	42117	
537187	48396	
537187	147179	
537187	158637	Ina
537187	166430	
537187	177223	Grossmutter
537187	182593	
537187	186897	Uschi
537187	220512	Frank's Wife
537187	226317	Frau im Hospitz/Woman in Hosp
537187	227662	
537187	256331	Leontine
537187	259511	Rosi Pieske
537187	259537	Frau Mittelstädt
537187	259654	Hilde
537187	281652	Karin von Lomanski
537187	281653	Karin von Lomanski
537187	281654	Karin von Lomanski
537187	281655	Karin von Lomanski
537187	281656	Karin von Lomanski
537187	281657	Karin von Lomanski
537187	281658	Karin von Lomanski
537187	281659	Karin
537187	281660	Karin von Lomanski
537187	281661	von Lomanski
537187	281662	Karin von Lomanski
537187	281663	Karin von Lomanski
537187	281664	Karin von Lomanski
537187	281666	Karin von Lomanski
537187	281667	Karin von Lomanski
537187	281668	Karin von Lomanski
537187	281669	Karin
537187	281967	
537187	290037	Mutter
537187	290769	
537187	311120	Herself
537187	325531	
537187	347781	Kollegin
537187	352180	Mißgeschick
537187	367229	
537187	375171	
537187	392669	Else
537187	394619	Schwester Dost
537187	395049	Großmutter
537187	410774	Irma
537188	119692	Nathalie Voss
537188	134785	
537188	155449	
537188	189443	Mitarbeierin Achim
537188	227297	
537188	228173	Ewa
537188	325535	
537188	380396	Lena Kowacz
537188	390815	Helena
537189	345254	Sophie
537189	390448	The cow
537190	335017	Gallery Owner
537191	70211	Melanie Johnson
537191	90955	Tammy
537191	105093	
537191	324049	Dr. Altman
537192	43766	Girl with camera
537194	381918	Herself ( Evicted 3rd, 42 Day
537195	120966	Woman
537195	182285	Ballet girl
537195	237260	Guest at the party
537197	311120	Herself
537198	178189	Extra
537199	134967	Liane Völpel
537199	409609	Liane Völpel (1994-)
537200	116289	Amorous Girl
537201	379898	Angélica
537201	381862	Various
537201	390310	Gardenia
537201	390748	Blanquita
537201	412190	Rubi
537202	400678	
537203	74775	
537203	374060	
537204	71216	
537205	147530	Sarah
537206	396126	
537206	401087	
537206	404165	Deusa
537207	396021	Herself
537208	170558	Card club cashier
537209	158445	Yolanda
537210	301754	Kitty-age 2-4
537211	104930	Mother
537212	301754	Kitty-age 8-10
537213	32898	Vietnamese mother
537214	222674	
537215	310073	Titania
537216	223691	Bartender
537217	332845	Aloha
537218	222674	
537219	382126	Madonna
537219	396887	Azon
537220	379583	Diana Montserrat
537220	380116	Matilde
537220	387446	Cristina Fuentes
537220	387904	Angelina
537220	388093	Diana
537220	400420	
537220	403021	
537220	410289	Lidia
537221	9653	Boutique Manager
537221	155628	Nadia
537222	342863	Cleaner
537222	382393	Yvonne
537222	391869	Maria Wilson (1996)
537223	136510	Hollywood Blonde #4
537224	350607	Horat's People
537225	115606	Sam
537226	338009	Shoeshop customer
537227	119436	Little Girl
537228	24333	
537228	34598	
537228	46767	Frau Kokoschka
537228	98323	
537228	122488	
537228	137642	
537228	149251	The grand-mother
537228	170705	
537228	179762	Frau Ruprechter
537228	189669	
537228	202418	
537228	204470	
537228	254361	Mitzi Hartl
537228	290487	Ältere Frau
537228	293423	Tischlersfrau
537228	338115	
537228	365615	
537229	33426	Singer
537229	166940	Nursing Home Resident
537229	200283	Woman Dancing
537229	216803	Matron
537229	230933	Madam
537229	238514	Josephina
537230	100601	
537232	103930	
537232	200619	Teréz
537233	50959	Hane
537233	208779	Snezha
537233	265149	Bistra
537233	324427	Meri Kaeva
537233	402131	
537234	185219	Herself
537235	132003	Devoyka
537235	305463	Kalinka
537235	349286	Kleo
537235	374169	
537236	24430	Go-go dancer
537236	104549	Lace
537236	107125	Tasha
537236	199148	Young Woman
537236	267434	Chloe
537236	386197	Carmen
537237	18284	Jana Christova
537239	94184	
537239	341452	
537240	173026	Elia
537240	226012	Vera Lebedeva
537240	299404	
537240	396236	Yekaterina Dolgorukaya
537240	404204	
537241	410	
537241	125658	
537241	156007	
537241	312434	Yaroshko
537241	357127	
537241	357620	
537241	373443	
537241	374430	
537242	22585	Natasha
537242	134188	
537242	179724	
537242	258537	
537242	283826	Empress Catherine II
537242	341189	Tsarina Aleksandra
537242	373848	Tavern Owner
537243	304170	
537243	390635	
537244	399344	
537245	106708	
537245	212296	Viki
537246	129426	Avdotya Yakolevna Vorobyeva
537247	98576	
537247	132156	
537247	229045	
537247	261322	
537247	262498	
537247	265913	Culture minister
537247	268135	
537247	286732	
537247	349840	
537247	356118	
537247	370162	
537247	373573	
537247	374159	
537248	322816	
537249	401991	Sekretarica
537250	398874	'Ruda', friend of Ania (2002-
537251	94337	
537252	273497	Amanda Goddard
537253	128838	Rosemary
537254	191762	Waitress
537255	157036	Barfly
537256	353934	Sarah
537257	313135	
537258	8376	Vasudeva Warrier's Daughter
537258	99349	
537258	204387	
537259	162675	
537259	231163	
537259	258684	
537259	341217	
537259	386031	
537260	381532	Herself - Managing Director, 
537260	385904	Herself - Host (2003-2004)
537261	142621	Woman in Window
537261	349860	Video Woman #1
537262	367878	Woman #2
537263	399344	
537264	124110	Hooker
537265	368445	Gran
537266	95870	
537267	139637	
537268	18854	Young girl
537268	34115	Various characters
537268	83980	Model girl
537268	92627	Dyoni
537268	138754	Jetta Zoltan
537268	239568	Betsy Quilp
537268	240471	Lady Kate
537268	258036	Waitress
537268	366876	Gertrude
537268	408091	Lady Elise Truscott
537269	214387	
537270	382445	Teacher
537271	276125	
537272	181630	Baarimyyjätär
537272	300796	Eeva Sibelius aikuisena
537272	354286	Tiina, woman with the car
537273	324482	Tyttö Junassa
537274	152340	Sari Helkama
537275	184789	Sporafriidu
537276	337434	
537276	339187	
537277	392903	Tajnica Bosa
537278	132220	Ana
537279	63805	Herself
537280	52052	
537280	57448	
537280	339757	
537281	397552	Diana
537282	186250	
537283	396265	Júlia
537284	109948	Lúcia
537285	116005	Bigholska
537286	218434	
537287	391754	Dancer
537288	36854	Herself
537288	381910	Herself (Series 2) (2001)
537288	381920	Herself (Series 1) (2001)
537288	386963	Yasmin Shawcross (2001)
537290	100565	
537290	125350	
537290	136484	
537290	178684	
537290	239355	
537290	243888	
537290	256409	
537290	321817	
537290	329172	
537290	372958	
537291	68974	
537292	9618	Tia
537292	74524	Loreto
537292	82586	
537292	132686	Road Manager del grupo
537293	210592	Mujer Biberon
537294	61192	
537295	292964	
537295	393794	Herself
537296	373793	
537297	66671	
537298	79314	The Singer
537298	101704	Kali
537298	207989	Kali
537298	220276	Arabia
537298	282609	Herself-Performer
537298	401624	Herself (2004-
537298	401875	Herself - Judge (2004)
537299	80514	Jamie Zekes
537300	217454	Vera's Grandmother
537301	190230	Lanie -- 10 Years Old
537302	4060	
537302	34063	
537302	34064	
537302	62314	Nripabala
537302	98498	Mala
537302	131106	
537302	141426	
537302	141428	
537302	150671	
537302	155579	
537302	162658	
537302	166965	Toral
537302	182122	
537302	200016	
537302	204910	
537302	243320	
537302	285103	
537302	317792	
537302	328638	Sumitra
537303	16147	Child artist
537303	323674	Child artist
537304	709	
537305	81674	Vestica 4
537306	54996	Sobarica
537306	163050	
537306	176689	
537306	180696	
537306	249242	
537306	272187	Zena
537306	351016	Nura
537306	405705	
537306	409296	
537306	409878	
537307	168937	
537307	247263	
537307	375273	
537308	194314	Hot Girl in Bar
537309	181736	Gerda as little
537310	3204	Jessica
537310	31681	Sunny
537310	56170	Rebecca Doyle
537310	116280	Ann Bauer
537310	117101	Andy Hart
537310	133336	Jordan
537310	135608	Sophie Lennon
537310	151633	Jenny Seeger
537310	155859	Mariska
537310	155921	Kate
537310	157932	Jessica Stuart
537310	160016	Celia Graves
537310	177089	Kimberly
537310	204300	Tina
537310	204674	Charlotte Kleiner
537310	230279	Linny
537310	235060	Lu
537310	263976	Ramandu's daughter
537310	278718	Florry Lewis
537310	289013	Catherine
537310	289787	Donna
537310	317736	Laura Dyson
537310	330434	Dagney
537310	331529	Queen Anne
537310	335112	Eddie's Girlfriend (segment "
537310	341020	Lisa Monroe
537310	341849	Kate Hayden
537310	365288	Sonora Webster
537310	366937	Susan
537310	388787	Nell Forester
537310	391521	Tracy Wright
537310	397932	
537310	402092	Sam Black (1990)
537310	406912	Chrissie Kettering
537310	411671	
537311	173132	
537312	38719	Nina Kapoor
537312	62996	Julie
537312	115465	Shikha
537312	115553	Angel
537312	208632	Yasmin
537312	386597	Sister Zita Khan
537312	408016	Const. Maggie Habib (1995-199
537312	409143	Various roles
537313	62377	Chowdury
537314	211422	
537315	26085	
537315	122716	
537315	270790	
537315	270995	
537315	287101	
537316	107042	Counting Room Hostage
537317	1715	Fire Ghost
537317	4291	
537317	5633	
537317	16182	
537317	17461	
537317	24277	
537317	25671	
537317	27724	
537317	48681	
537317	60409	Katherine
537317	62842	
537317	70469	
537317	77049	
537317	90913	
537317	95031	
537317	95229	
537317	102310	Sasa
537317	135223	
537317	141837	
537317	145428	Rain
537317	152813	
537317	164749	
537317	166503	
537317	167981	
537317	168358	
537317	171883	
537317	177089	Lillie
537317	198695	
537317	209869	
537317	226629	
537317	267414	
537317	268057	
537317	298420	Nanako
537317	300218	
537317	373838	
537317	398446	Herself
537318	111613	
537319	35696	Karen Leader
537320	6628	The concierge
537320	8627	Maman Jo
537320	19097	La grosse Lolo
537320	25726	Mme Ancelin
537320	43425	Madame Clebert
537320	59239	La voisine de Clara
537320	60274	Knitting lady #1
537320	69343	La dame
537320	73165	La Madelon
537320	79918	
537320	94242	Mariette
537320	96221	Felice
537320	102042	
537320	103787	La buraliste
537320	108542	Madame Tranche-Montagne
537320	108615	Honorine (Fanny's Mother)
537320	111134	La matrone
537320	111684	La veuve Barrot
537320	120813	
537320	121411	La patronne du bistrot
537320	123941	
537320	124397	La vieille
537320	134616	Mme Bouton
537320	148630	Mme Irma, la patronne
537320	148677	
537320	157228	Tante Mathilde
537320	157269	Olga Tcherwonenkoff
537320	159479	Mme. Charlotte
537320	160064	Madame Celestin
537320	164680	
537320	167007	Mamma Parigi
537320	167230	La femme devenue folle à la m
537320	170925	
537320	191679	Madame Quilleboeuf
537320	195735	Mme. Gallou
537320	199328	La citoyenne
537320	205767	Une émeutière
537320	214239	
537320	214797	Une cliente
537320	215145	Madame benoit
537320	217541	Louise
537320	217694	
537320	225408	Une sténodactylo
537320	249684	
537320	260886	La patronne de la maison clos
537320	262942	Mme Tartet
537320	268878	
537320	280536	
537320	283023	Mme Germaine
537320	283048	
537320	287340	Titine Babin
537320	287595	La concierge de Forestier
537320	289388	
537320	295212	
537320	309748	Mme Malingret
537320	332226	L'hôtelière
537320	334136	Germaine
537320	338592	Lucienne Couronne, la patronn
537320	353821	
537320	354735	Marie
537320	375078	La cantatrice
537320	376943	
537320	376969	
537320	377950	Julie
537320	377996	La travailleuse libre
537320	378866	Dame chez le boucher (ep.6)
537320	388419	Mme Doulenques, la concierge 
537320	390057	Dame Léonarde
537320	396617	
537320	401939	La nourrice
537320	401972	Victoire
537320	409806	Fromentine
537320	410420	
537321	280780	
537322	13769	Becky Cameron
537323	336002	
537324	169191	Eri
537325	391116	Megumi
537325	407104	Reiko
537326	284068	
537327	8800	
537327	137130	
537327	140434	
537327	153866	
537327	153867	
537327	171627	Yoshiko Taki, prisoner
537327	239336	Kinuko
537327	308894	Natsuko
537327	334938	
537327	344020	Etsuko Shiraishi
537327	378147	
537328	283627	Mysterious Girl
537329	154796	
537331	80253	Stripper
537332	265932	
537333	381091	Herself (eliminated round 2)
537334	189973	Child
537335	153960	
537335	189012	
537336	193480	Madame Frédérique
537337	167233	La patronne de l'hôtel
537338	255773	
537339	134989	Tonia Llorrente
537340	46251	TV Reporter
537340	67863	Reporter
537340	223332	
537340	252976	TV news reporter #2
537340	323565	Reporter
537340	356472	Herself - The Media
537340	358114	Factory Reporter
537341	2252	(segment "Affreux, bêtes et t
537341	18644	Anémone
537341	19319	Isabelle
537341	23535	Eva
537341	26043	Alexandra
537341	27916	Minouchette
537341	33571	Mme Desjardins
537341	51927	Gigi
537341	58174	Marie-Annick
537341	63779	Clara, la morphopsychologue
537341	71813	Muriel
537341	71862	Claudine
537341	73068	Cecile
537341	80284	
537341	101208	Sylvette
537341	101247	Suzanne
537341	102006	Isabelle Fournier
537341	113116	
537341	119820	Christine
537341	132770	Marcelle
537341	135331	Anaïs
537341	135428	Viviane
537341	148648	Solange
537341	154434	Barbara
537341	158877	Une prostituée
537341	166186	Liliane
537341	166205	
537341	186192	Comtesse Adèle de Toulouse-La
537341	195203	Juliette
537341	198571	Nadine
537341	198574	Claire Trouabal
537341	198621	Laura Bécancour
537341	201210	
537341	202694	Lulu
537341	205635	Princesse Charlotte
537341	206300	La Voisin
537341	227317	Odile
537341	237471	
537341	243284	
537341	249757	Maxime Chabrier
537341	254053	Melanie
537341	258983	Anne
537341	261722	Béatrice
537341	261764	Nicole
537341	268401	Thérèse
537341	268402	Thérèse
537341	268446	Edwige Ledieu
537341	269073	Bonnie
537341	278136	
537341	284220	Madame Gonzales
537341	286046	Colette
537341	287602	Rose
537341	288885	
537341	318267	Marianne
537341	331010	Manou
537341	338003	Cécile/Hélène
537341	345286	Babette
537341	345544	La concierge
537341	346667	Deocadie
537341	350741	La scripte
537341	354024	Adrienne
537341	356981	Cousine Lucienne
537341	357124	Jacqueline
537341	373927	La femme à la robe orange à l
537341	377629	Jeanine, la juge
537341	378866	Marie-Ghyslaine (ep.6)
537341	384972	Remei
537341	397473	Various characters
537342	310248	
537342	349895	Grandmother/Elsa/Mother
537343	408736	Clipper
537344	242176	Mina
537344	242177	Miho
537345	176211	Otatsu
537346	287109	Omitsu
537347	97453	
537347	182154	Yurino
537347	358394	Bus Girl
537348	77744	Natsu Takamizawa
537348	97635	
537348	173476	Miki's Older Sister
537348	176611	Kodemari
537348	181887	Onami
537348	239483	Shinobu's mother
537348	242141	Kodemari
537348	373907	
537349	127922	
537350	61443	
537351	335271	
537352	394095	
537353	122900	Natsuko
537353	138063	Alice
537353	278737	Shiori Tsuda
537354	76895	Reiko
537354	141885	Qiqig
537354	169187	Michiyo
537355	192746	Michelle
537355	232799	
537356	9276	Prostitute
537357	1529	Suki
537357	76222	Dominique
537357	81177	Picasso
537357	302329	Miho
537358	162992	Yuriko
537358	295355	Sumi
537359	223971	Geisha
537360	1413	non-poli's mother
537360	212306	Hanae Ichinose
537360	348752	Commander
537360	379515	Charlie
537360	380699	Jean
537360	380725	Tomiko Ohta
537360	392330	Hisu
537360	397562	Ichinose Hanae
537360	397844	Jimsy
537360	408485	Huck
537361	211895	Akane Minagawa
537361	293566	Junko Nanase
537362	129868	Ms. Career Woman
537363	299083	
537364	294260	Yuri Sakuraki
537364	294261	Yuri Sakuraki
537365	168752	Food Server
537365	303902	Lady in Car
537366	373906	
537367	113332	Yuna
537367	113333	Yuna
537367	177632	Selphie
537368	293484	Emi
537369	238167	Leading Waitress
537370	234917	
537371	139492	Young Woman
537372	122963	
537374	9190	Nakata's wife
537374	137134	Sono fujin (His wife)
537374	375558	Nakata's wife
537375	77310	
537375	83007	
537375	102669	
537375	207621	
537375	264389	
537376	10900	Yuri Chan
537376	30814	
537376	32398	Janira
537376	39850	Blossom
537376	43549	Toku-ko
537376	46179	Sat-u
537376	46520	Yuki Onda
537376	52488	O'Mitsu, His Sister
537376	62087	Woo
537376	71926	Rei Oaki
537376	75518	Omi San
537376	77944	Marquise Yorisaka
537376	81156	
537376	92802	Ume Ko
537376	96613	Princess Nada
537376	114608	Ko Ai
537376	133369	
537376	133762	Nita
537376	141182	Sada
537376	142419	Mother Une
537376	145797	Saki San
537376	149196	Toki-Ye
537376	193271	Lotus Blossom
537376	231984	Herself
537376	237669	
537376	294031	Sen Yan's Wife
537376	309517	Kura-San
537376	334951	Asuti Hishuri
537376	343359	
537376	354487	
537376	368765	Toya San
537377	334016	
537378	178808	Ayako
537379	239329	
537380	229101	Marcia
537381	6619	
537381	61412	La directrice des études
537381	73140	Avocat General
537381	106109	Rivas' Gang
537381	108902	Monitrice DDSS
537381	114786	Sylvie Tramoni
537381	226818	La Sage Femme
537381	229033	Jacqueline Dalembert
537381	247980	Me Heytaud
537381	258250	
537381	262946	
537381	345459	Hélène, la mère
537381	387553	Dominique
537381	390487	Hélène
537381	408922	Claude
537382	388314	Elodie
537383	179465	Midori/Mio
537384	211966	
537384	384230	Mai Ohgi
537385	9589	
537385	168000	Izawa's wife
537385	208089	Gourmet Reporter
537385	376533	Maria
537386	366933	Control Room assistant #1
537387	7427	
537388	19816	
537389	213430	Leo
537390	207723	Belly Dancer
537391	43758	Claudine Bruneau
537392	1430	
537392	62242	Miya
537392	63374	Nanako
537392	63375	
537392	76343	Ma's whore
537392	130535	
537392	151812	Woman at Japanese Embassy
537392	168852	Mika
537392	236249	Linda
537392	307904	
537392	347726	
537392	374509	
537393	9333	Fumiko Kawanabe
537393	9470	Nagi
537393	17420	Yumiko
537393	34137	Ohan
537393	121448	The runaway girl
537393	121462	
537393	137044	Girl in Restaurant
537393	137132	Yukiko
537393	139726	Sonoko Kataoka
537393	156229	Sue Nakajima
537393	167957	
537393	167965	
537393	173060	
537393	178369	
537393	179392	
537393	179397	Flower girl
537393	179437	
537393	216500	
537393	221814	Odama
537393	229784	
537393	243990	
537393	244499	
537393	285614	
537393	289309	
537393	289311	Michiko
537393	299152	Hatsue
537393	320460	Ayako Nozaki
537393	334435	
537393	334938	
537393	344262	Okayo
537393	358398	
537393	375600	Michiko
537393	375618	
537393	375634	
537393	375639	
537394	77527	Onobu
537394	256288	
537394	328019	Miya
537394	371784	Kumiko
537395	3142	
537395	243995	
537395	307107	
537395	371975	
537396	178455	
537397	181987	
537398	375560	
537399	121992	
537399	174360	Reiko
537400	9160	Model
537400	145763	Ryoko Aoyama
537400	145764	Kuroki`s lover
537400	168006	Actress (cameo)
537400	169190	
537400	173476	Miki
537401	309100	Rika
537402	157541	Emma Rowan
537403	112767	
537404	405456	Anne
537405	356113	
537406	306944	
537407	49028	Assistant
537407	117535	Beryl
537407	380259	Rose Butchins (1979-1981)
537407	387247	Magda 'Mags' Czajkowski (1987
537407	387533	Helen Ackroyd, reporter (1997
537407	393925	Herself/Performer
537408	50639	Teen Punk Girl
537409	396505	Presenter (2003-)
537410	56387	
537411	4861	Anuradha
537411	25976	Shanti Damjee
537411	136087	Mrs. Choudhry
537411	152446	
537411	177977	Anand's wife
537411	183978	
537411	200699	Kohinoor's mom
537411	217202	
537411	233212	
537411	254837	
537411	268578	Tsiru
537411	271940	
537411	293899	
537412	404261	Prof. Elvira
537413	14650	
537414	25689	
537415	233841	
537416	103902	
537417	98757	Cláudia (segment "O Artesanat
537417	158941	
537417	384778	
537418	101922	
537418	246425	
537418	328331	
537419	6640	Lucia
537419	71332	
537419	99663	Neyda
537419	103791	
537419	148473	Nelson's Girlfriend
537419	166897	Neide
537419	248047	
537419	341135	
537419	344847	
537419	387201	Marisa
537419	391997	Sílvia
537421	204042	
537422	124240	
537423	91171	
537424	199032	Performer
537425	14942	Maid
537425	378380	Prostituta 1
537426	8598	
537427	8564	Actriz Shakespeare (Shakespea
537427	9084	
537427	16339	Blanca
537427	56117	Violeta
537427	140701	Luisa
537427	226435	Juan
537427	293379	Pilar
537427	383271	
537428	393527	Azafata
537428	409463	Secretaria (1992-1994; 2004)
537429	76093	Editor-in-chief
537430	61360	
537431	3326	
537431	3555	
537431	4965	
537431	4972	
537431	5263	
537431	5268	
537431	6738	
537431	6742	
537431	7250	
537431	9104	Tinacia Mazón
537431	9670	
537431	14644	
537431	14712	
537431	15357	The Mother
537431	18998	
537431	19463	
537431	21071	
537431	23369	
537431	24612	
537431	25793	Rafaela
537431	32366	
537431	43307	Madre del novio citado a las 
537431	51541	
537431	52789	Doña Pilar
537431	53639	
537431	54760	
537431	55941	
537431	56932	Elisa, la criada de Enriqueta
537431	61131	Manuela
537431	61349	
537431	61358	
537431	62350	
537431	63813	
537431	66677	
537431	68971	
537431	69474	
537431	69712	
537431	73464	
537431	73517	
537431	73528	
537431	73550	
537431	74506	
537431	74521	
537431	74557	
537431	75444	
537431	83457	
537431	91298	
537431	91372	
537431	94843	
537431	94848	
537431	99336	
537431	100266	
537431	100393	
537431	103110	
537431	103809	
537431	104057	Doña Resu
537431	104063	
537431	104089	
537431	106326	Paquita Vidal
537431	106458	
537431	119084	
537431	132688	
537431	132689	
537431	133215	
537431	133245	
537431	135122	
537431	135351	
537431	136149	
537431	138021	
537431	140564	
537431	140662	
537431	145136	Gregoria
537431	145179	Esposa del apostador de quini
537431	146465	Ayudante/Helper
537431	146510	Consuelo
537431	146570	Criada de Don Marcelino (1)
537431	151797	Elvira (Old Time Maid)
537431	152265	
537431	155196	
537431	156086	Herself - Winner: Honorary Aw
537431	158611	
537431	158935	
537431	159339	
537431	160725	
537431	183063	
537431	193192	
537431	193195	
537431	194624	Doña Alicia
537431	197216	
537431	202060	
537431	202832	Mamá
537431	204646	
537431	205019	
537431	206018	
537431	207960	
537431	207980	
537431	208192	
537431	212367	
537431	214224	
537431	221913	
537431	233599	
537431	233901	
537431	234174	
537431	236027	Señora en el restaurante
537431	239010	Superior
537431	246376	
537431	246393	
537431	247844	
537431	249301	
537431	251337	
537431	251580	Aurora
537431	251581	
537431	255290	
537431	263839	
537431	264392	
537431	265330	
537431	269926	
537431	275274	
537431	280731	
537431	284959	Mujer robada por 'El Grillo' 
537431	292709	
537431	292760	
537431	296476	
537431	296501	
537431	302310	
537431	309086	Hermana Rafaela
537431	319829	Milagros
537431	320212	
537431	322400	
537431	334690	Casilda, la madre de Marta
537431	334708	
537431	343622	
537431	343629	Testigo del atropello de las 
537431	350144	
537431	351831	
537431	351997	
537431	352846	
537431	353545	Vecina I
537431	353548	Clotilde
537431	353626	
537431	355479	Señora nati
537431	355758	(segment "Retrato de Regino, 
537431	355946	
537431	357533	
537431	370178	
537431	376667	
537431	376669	
537431	376717	
537431	376729	
537431	376790	
537431	378423	
537431	378466	
537431	378472	
537431	383558	
537431	387695	Rafaela
537431	395328	Javiera
537431	409463	Staff Humorist (1976-1977)
537432	376679	
537433	2114	
537433	3396	
537433	6741	
537433	8254	
537433	19504	
537433	43431	
537433	51720	
537433	55007	
537433	64693	
537433	69296	
537433	75383	
537433	83310	
537433	84091	
537433	95421	
537433	96277	
537433	103507	
537433	189002	
537433	189039	
537433	220236	
537433	220523	
537433	222015	
537433	227094	
537433	229434	
537433	255138	
537433	270062	
537433	272667	
537433	296157	
537433	328126	
537433	334568	Paty
537433	355238	
537434	134654	Mother with Baby
537434	171333	Alicia Gutierrez
537435	154899	Ana
537435	201986	TV star
537435	402282	Herself
537435	409422	Xana
537436	148430	Jane
537436	250839	
537437	30634	
537437	35890	
537437	87850	Author's Wife
537437	190955	
537437	221508	Justine
537437	223560	
537437	238322	
537437	274306	
537437	285752	Frankie
537437	299289	
537437	356114	
537437	386030	Amina
537437	394620	Nastya
537437	397392	
537437	404219	
537438	107947	
537439	308048	Pub Patron #3
537440	80416	Gallery Hostess
537441	13474	Ana
537441	16297	
537441	18152	
537441	94177	
537441	94889	
537441	113554	Gazdarica Olga
537441	172493	
537441	180696	
537441	187854	
537441	192886	
537441	206500	Mare
537441	229038	
537441	229190	Doktorica
537441	236048	Nama cashier
537441	258776	
537441	261234	
537441	263056	Milka
537441	267949	
537441	283751	Lili
537441	286642	
537441	314336	Anina majka
537441	335312	
537441	338197	Madame Morovia
537441	343796	
537441	386429	Polona
537441	394018	
537441	394138	Mara Luksina
537441	399767	
537441	399924	
537441	402392	
537441	409022	
537441	409909	
537442	14603	Tera
537442	73675	Huiarangi
537442	187263	Miriama's Mother
537442	405209	Mele Ualesia (2000)
537443	100557	
537443	174650	
537444	284296	Tweeling
537444	376188	Fien Kriegel
537445	284296	Tweeling
537445	376188	Lien Kriegel
537446	377061	
537447	115882	Girl at Los Caracoles
537448	289626	Catharina/the Scarlet Seducti
537449	66947	Dolly
537449	213049	
537449	244420	Hospital kitchen staff
537449	303830	Madeleine Thorpe
537449	321213	Starr
537449	411290	Jade
537451	215831	Jenny
537452	33672	Maria Cecconi
537453	22207	
537453	43394	
537453	60270	Firouzeh
537453	79201	
537453	111309	Maliheh
537453	220702	
537453	278259	Woman Reporter
537453	400201	Mrs. Nourbash
537454	13047	Carmen
537454	101867	Carola
537454	143778	Mar Ruidoms
537454	189301	Aura
537454	197885	María
537454	202022	Elena
537454	215027	Isabel
537454	247206	Rocío
537454	249883	Felisa
537454	332584	
537454	393549	
537455	313880	
537456	140945	Oksana
537457	95666	
537458	294548	
537459	337606	Old Lady
537460	251599	Postulanta Guineana
537461	213751	Milagro Townsperson
537462	82862	
537463	156460	Night Club Dancer
537464	301660	College girl
537465	83288	
537465	121736	
537465	222162	A Esteticista
537465	287700	
537465	306968	Laura
537465	341077	Hairdresser
537465	353652	Françoise-Marie
537465	355556	
537466	234559	
537467	386743	Signorina
537468	169581	
537469	75361	
537470	365113	
537471	72738	Miss Nikita
537472	215697	Miss Bolivia
537473	82984	
537474	171473	La Chica Go-Go
537474	212993	
537475	387817	Benita
537475	392806	
537475	396211	
537475	399525	
537476	46287	L.A.P.D. Female Cop
537477	154334	Modeling School Director
537478	285268	
537479	285098	Sister-in-Law
537480	63510	Patricia
537480	171824	
537481	1117	Timmermanné
537481	43110	Mari Anyja
537481	43185	Utcanõ
537481	104199	
537481	110702	
537481	122287	Ilka, Ughy's sister
537481	138393	Simonia
537481	138468	Lola
537481	153963	Jóska felesége
537481	182655	Cica
537481	200615	Szabóné, Zsófi
537481	258345	Csutorné
537481	322188	
537481	349132	A vörös nõ
537481	377760	
537481	377784	Jancsóné
537481	378310	Kovácsné
537482	177925	Éva,Steffy barátnõje
537483	33971	Julie
537483	211440	Harvard
537483	253059	Melissa
537483	338750	Carmen Miller
537484	344524	Herself
537485	394219	Zafiroula
537486	313479	Ewok
537487	41178	Mary Ellen Tustin
537487	330845	Alison
537487	351908	Kate
537487	409202	Joanna Pappas
537488	379529	Christina
537488	379910	Athina/Electra Klearchou
537488	380606	Morfo
537488	401723	Tessa
537489	18939	
537489	139718	
537489	180553	
537490	320745	Amy
537491	375512	
537491	379678	Aliki
537491	388684	Aggeliki
537491	394151	
537491	398131	
537491	401279	
537491	408894	
537491	409808	
537492	8288	
537492	14579	Fanny
537492	18222	
537492	98088	
537492	106470	
537492	121082	
537492	122782	
537492	148000	
537492	178530	
537492	212608	
537492	217026	Tailor's Girlfriend
537492	258924	
537493	9473	
537493	154184	Mara
537493	332955	
537493	339228	
537493	349804	Dalgata Mara
537493	370460	
537494	210193	Kartis
537494	370460	Fyut
537495	180656	
537496	230468	Elena
537497	321632	Gay Club Waitress
537498	362586	Disco girl
537499	160801	Questioner
537500	225523	Une collègue
537501	10688	Alice Blue
537501	45780	Summer
537501	126648	Student #3
537501	131624	Joanne
537501	190056	Rain
537501	205786	Sister Philomene
537501	238410	Kaylee
537501	273271	Sheila
537501	326272	Sparks
537501	381812	Jessica Poole
537501	383662	Heidi (1993-1994)
537502	47492	Shprintze
537502	104329	
537502	107593	Mrs. Mandel, Second Landlady
537502	134036	Rochel [Rokhl]
537502	141286	Mrs. Zelde Marantz
537502	147977	
537502	302702	Chaya Peshe
537502	321854	Hannah Klauber
537502	371642	
537503	97508	Alma Bronson
537503	107100	Elaine Leeds
537504	33027	Herself
537505	375171	
537505	404448	Tine Bergmann
537506	92557	Mabel Brown
537506	112207	Mental Patient
537507	55017	Martha
537508	141358	Susan
537509	87414	Speedboat Hostess
537510	7781	Majken
537510	94999	Nora
537510	100504	Lola
537510	108170	
537510	119326	Herself - Performer
537510	159207	Aprils søster, Nanna
537510	203960	
537510	265830	
537510	317624	Emma
537510	333011	
537510	387532	Various roles
537510	390768	Bente
537510	392098	Julie Faber
537510	397955	Lis, Bents Søster
537511	257985	Marian
537511	267932	Script Girl
537512	359194	Girl in Bookstore
537513	101451	Woman at the ball/Guest at th
537513	322298	
537514	148825	Dr. Anna Stecknell
537514	274911	
537515	181634	Helena's mother
537515	283593	
537516	50477	Wanda
537517	108199	Mrs. Pettersson
537517	115402	Woman at the harvest celebrat
537517	130071	Woman at the store
537517	134263	Woman at the party
537517	142729	Hilma Wigelius
537517	175351	Maid
537517	181130	Nilsson's customer
537517	182542	Sitting woman
537517	237246	Britta
537517	303666	Cleaning woman
537517	341611	Tickert woman at the variety
537518	16321	Andrea
537518	265174	Herself
537519	56617	Cleaning lady
537520	40387	
537520	115396	
537520	138496	Poppy Brock
537520	138515	Astrid Svensson
537520	173539	Vera Berner
537520	180077	Mary Lantz
537520	181127	Mary Björklund
537520	201265	Astrid Svensson
537520	206208	Brita
537520	218996	Elisabeth Örnfeldt
537520	303849	Mary
537520	303856	Bibi
537520	314389	Anette
537520	341169	Britta Kronfeldt
537520	344377	Anne-Charlotte von Stapelmohr
537520	346982	Lisa Lindh
537521	182257	Britt
537522	356058	Doppelgängerin von Neomi
537523	253627	Lady in elevator
537523	371307	Darling
537524	41229	Laurel
537525	6586	Miss Sandin
537525	17564	Maitre d'
537525	84287	Ms. Toll
537525	108202	Marie-Louise
537525	109976	Maid
537525	115427	Woman
537525	120892	Ågren
537525	142835	Woman in the waiting room
537525	164784	Ester, maid
537525	178745	Hildur Larsson
537525	181843	Canoness
537525	182302	Viola's mother
537525	190807	Major Gibus' wife
537525	198276	Esselde
537525	205498	Maria's employer's wife
537525	218993	Housemaid
537525	244204	Secretary
537525	245805	Mrs. Blake
537525	268354	Principal
537525	317619	
537525	321929	Ingeborg Granliden
537525	357802	Emma, school cleaner
537526	148370	Marguerite
537527	395307	Herself
537527	406251	Reportage 'Sabine op bezoek b
537528	26176	Viktorka, 18-age
537528	51262	
537528	268298	Sirotek Anicka
537529	317309	Bonnie & Clyde Musical Audien
537530	171578	Midwife
537531	346202	Jannika
537532	186984	
537533	88843	L'Infirmière Carole
537533	296049	Ingrid
537534	61102	Hospital warden
537534	410522	Archive Official
537535	76670	Scholliers Child #1
537536	222441	
537537	153273	
537537	188601	Trofimena Polito
537538	384378	
537539	49848	Amarax Station
537541	1462	Herself
537541	2516	Herself (performer)
537541	2721	Herself
537541	329470	Herself
537541	363340	Herself
537541	368288	Herself
537542	213324	Helena
537543	323521	
537544	79041	Additional Voices
537544	86017	Sue
537544	107453	Julia
537544	324747	
537544	338733	Female Employee
537545	405278	Nanami Kiryuu
537546	173089	Emma
537546	330434	Young Woman
537547	153458	
537548	387309	Maxine Burton (1984)
537550	389987	Presenter (1981 only)
537551	220638	Megan Hunter
537552	235591	Secretary
537553	13884	Lena
537554	363263	
537555	16455	
537555	21509	Doris
537555	39470	
537555	49545	
537555	59612	Nardi
537555	70301	Daisy
537555	70381	Roseitta
537555	85060	Stewardess
537555	88916	Woman
537555	109784	
537555	114534	
537555	116222	Maybelle, a Waitress
537555	120548	Dr. Lerious' Receptionist
537555	125528	Bit part
537555	130676	Hula Paradise Cafe Hat Check 
537555	141770	Ole's girlfriend
537555	144931	Margie (Joe's girlfriend)
537555	145898	
537555	154238	Alice Henley
537555	158456	Tiska
537555	164993	
537555	177515	Wanima
537555	183767	Erma
537555	188202	Lola McArdle
537555	192611	Lou, Bob's Model
537555	193306	Twitchell's companion
537555	196195	
537555	201408	Telephone Girl
537555	201923	Claire Sandford
537555	204708	Wilma
537555	235086	Ruby
537555	235590	Mrs. Plunkett
537555	248447	Kay Carson
537555	248824	Mary Crissman
537555	256849	Dagmar Spiggott, the wife
537555	278174	Gertie
537555	280201	Tessie
537555	290328	Florence Burns
537555	291778	Dancer
537555	305394	Sandra
537555	305395	Tim's dancing partner
537555	306448	Pomeroy's girlfriend
537555	311625	Newlywed wife
537555	312269	Kay Ellison
537555	312826	Girl in saloon
537555	324240	
537555	331288	
537555	339563	Susie Henry
537555	342910	Mitzie LaVerne
537555	345989	Elsie
537555	362326	Aggie
537555	362536	O'Brien's secretary
537555	363190	Waitress
537555	367919	Treatment Girl
537555	370551	Nazi Agent
537555	372245	
537555	373240	Judge's Wife
537556	146038	
537557	223713	Michelle/Brandy
537558	2789	Martha
537558	28460	Margaret
537558	314979	Lindy
537558	364510	
537559	67709	
537560	31156	Sarah
537560	41337	
537560	75504	Grace
537560	79039	Lilith
537560	80897	Laurie Petler
537560	102247	Ms. Murphy
537560	108350	Nina
537560	129832	Jessica
537560	140416	Amanda
537560	154446	Millie
537560	177007	Annie Winslow
537560	196095	Abby Morrison
537560	224685	Shiri
537560	244421	Free Sample Girl
537560	252874	Steff
537560	303997	Carla
537560	321446	Amy Miller
537560	330610	Bridget Manilla
537560	333226	Samantha 'Sam'
537560	346346	Violet
537560	362753	Nikki
537560	394658	Amy Escobar
537560	402294	Herself
537560	403789	Elizabeth 'Liz' Parker Evans
537560	406928	Rachel
537560	408515	Tina's younger sister
537561	49637	Bunny Lake
537561	106523	Antoinette de Montfaucon
537562	184955	Guest
537563	203741	Baby La Clerc
537564	1493	Herself
537564	5836	Kathy
537564	16006	Veronica Corningstone
537564	31937	
537564	37122	Pam Shulman
537564	65386	Claudine Van Doozen
537564	77575	Patrice Johnson
537564	90409	Sue Ellen Crandell
537564	100148	Sarah
537564	129118	Emily
537564	132449	Young Grace Kelly
537564	132914	Barbara Mansfield
537564	141307	Robin Kennedy
537564	143905	Wife
537564	155751	Herself
537564	161216	Herself
537564	161291	Herself
537564	165422	Diane Steen
537564	165970	Kim Perry
537564	171297	Julia Malfete/Princess Rosali
537564	201806	Herself
537564	206456	Herself
537564	206457	Herself
537564	206488	Sharona
537564	233560	Herself
537564	236135	Dingbat
537564	245020	Lilah
537564	263983	Kate
537564	274600	Herself
537564	288711	Herself/Various Characters
537564	307206	Happy Fan
537564	316752	Dawn
537564	320102	
537564	321367	Courtney Rockcliffe
537564	353273	Anamika
537564	354164	Christine
537564	358460	Veronica Corningstone
537564	365183	Lurline Newcomb
537564	368043	Susan Launius
537564	372584	Herself
537564	385824	Burt Grizzell (1972)
537564	391242	Robin Kennedy (1986-1987)
537564	393469	Jesse Warner
537564	396936	Kelly Bundy
537564	398213	Herself
537564	410617	The daughter
537565	66338	
537565	146197	The maid
537566	102104	
537567	258548	Boy's Mother
537567	329993	Mother
537567	395230	Host (1999-2000)
537567	398430	Anchor (1996-1998)
537567	410760	
537568	3988	Rachel Allen
537568	20788	Mrs. Roosevelt
537568	37210	Sadie
537568	114642	Myra Stone
537568	142893	Evelyn Sherman
537568	164840	Mrs. Stiles
537568	169918	Desk Sergeant
537568	174520	Ilona
537568	182966	Clerk #1
537568	195765	
537568	219903	Nurse
537568	239829	Baking Granny
537568	277091	Regent Von Tercel
537568	283944	Loan Officer
537568	383780	Clerk
537568	403509	Ruby
537569	121834	
537571	53691	
537572	26485	
537572	33866	
537572	34649	
537572	41620	
537572	44106	
537572	53763	
537572	56558	
537572	60776	Herself
537572	82406	
537572	87288	
537572	87289	
537572	93990	
537572	99834	
537572	106030	
537572	117371	
537572	121527	Herself
537572	129734	
537572	131917	
537572	139209	Herself
537572	142914	Herself
537572	158875	
537572	178863	
537572	219108	
537572	253617	
537572	253619	
537572	257315	
537572	272813	
537572	296229	
537572	304784	
537572	306910	
537572	306916	
537572	311951	
537572	349880	
537572	354811	
537572	354818	
537573	359744	Becky's Mom
537574	257292	Cindy (communications officer
537574	305228	Jo Ann
537575	83995	Mona
537576	139449	Linda
537576	381489	Herself/Assistant
537577	370566	Duke's informer
537578	17697	Emmeline Harris
537578	47462	Pamela
537578	206597	
537578	214913	Jeannette
537578	241494	
537579	360186	
537580	126193	Herself
537581	1955	Herself
537581	11447	Herself
537581	47171	Performer/Herself
537581	148848	Mandy
537581	243146	Herself
537581	305488	Herself
537581	328804	Celebrity Participant
537582	1955	Herself
537582	11447	Herself
537582	47171	Performer/Herself
537582	148848	Gerry
537582	305488	Herself
537583	184814	Young Lara
537584	293267	Joelle
537585	23221	Jane
537585	157436	School Reporter
537586	120	Herself
537587	248591	Nurse Helms
537588	243150	Gina Durkett
537589	281363	
537590	10885	Registrar
537590	10886	Priestess
537590	298596	Nurse #1
537592	208531	May (age three)
537593	65681	
537593	316639	Yokel's Moll
537594	15066	Lolita
537594	43625	Josette Pinglard
537594	66226	Evelyne Galuchon
537594	251006	
537594	311671	Cashier
537594	313386	
537594	377484	La fugueuse
537594	397938	Pomme 16
537595	163561	Miranda
537595	224192	Karen
537595	340775	Angela
537595	341939	Girl in Headshots and Auditio
537595	346926	Angel
537595	349865	Valerie
537596	288907	
537597	334354	Maryanne
537598	760	
537598	764	
537598	2435	
537598	19284	
537598	26114	
537598	44414	
537598	57949	
537598	104407	
537598	104925	Eve
537598	105430	
537598	105431	
537598	110214	
537598	113145	
537598	160240	Herself
537598	195771	Person in Brighton Pub
537598	258389	
537598	274612	
537598	295869	
537598	323892	April
537598	338012	
537598	366352	
537598	407055	
537600	247990	
537600	306916	
537601	324371	Destroyed Future Inhabitant
537603	212032	An-Akbar
537604	5009	Amnesty International Worker
537604	11026	Marie
537604	55632	Older Carrie
537604	118722	Susan Jackson
537604	120506	Polly
537604	131797	Mrs. Beech
537604	145412	Jenni Hicks
537604	176959	Billi
537604	184105	Beverly
537604	190525	Honey
537604	193521	Mrs. Leigh
537604	208529	Jenny
537604	292158	Fiona Morris
537604	304764	Claire Moon
537604	330957	Hostess
537604	359349	Nurse
537604	364866	Kathy
537604	382002	Alice
537604	385020	Patricia Hillman (2002)
537604	397626	Emma Micawber
537604	398698	Betty (Series 2) (1996)
537604	398743	Queenie White
537604	405048	Monica
537604	405829	Joy Wilton (1991-1994)
537604	408644	DI Karen Irving
537605	74983	
537606	4060	
537606	4318	
537606	4410	
537606	25553	
537606	98509	
537606	98541	
537606	153233	
537606	171762	
537606	271897	
537606	271898	
537607	63505	
537607	213881	
537608	13143	Princess Nandini
537608	15169	Sumitra
537608	18914	Meera
537608	35981	
537608	94907	Neela
537608	95243	Nirmala
537608	131921	
537608	131922	
537608	181877	Neera
537608	217141	Sujata
537608	271565	Kesar
537608	289178	
537608	300575	
537608	300576	
537608	317781	Subhadra
537608	350058	
537608	358201	Lata
537608	373838	Rupa
537609	271897	
537609	271898	
537610	41868	Audrey
537610	408299	Linda
537611	33278	Barbara
537612	20078	Yvette
537613	293383	Day Nurse
537614	100034	Wilkes' daughter
537615	381436	Cassie Roman (1992-1993)
537617	274941	
537618	274941	
537619	195418	Elizabeth
537620	213494	Bride
537621	254316	
537622	9635	Tina
537622	109087	
537622	396649	
537622	399657	Herself (1992-1994)
537623	356896	Sgt. Cranshaw
537624	304072	Port Captain
537625	147877	Gina Ciccone
537625	373295	Samantha
537626	351767	Fan #2
537627	51901	Silvia
537628	379924	Herself
537629	80695	Dancer in Nightclub
537629	176828	Arlene
537630	13062	
537630	222045	
537630	354107	
537631	9889	Ruth Silverman
537631	35145	
537631	45662	Anna
537631	83463	Catherine
537631	107990	Cathy
537631	164481	Sharon Hilliard
537631	185714	Ginny
537631	218848	Bonnie
537631	223772	Terry
537631	228310	Councilwoman
537631	241065	Barbara
537631	257107	Debby Hunter
537631	302710	Nurse Nozhki
537631	346392	Darlene Early
537631	363948	Miss Martinez
537631	368314	Alice Baxter
537631	382835	Phyllis Berger Silver
537631	387728	Dr. Janet Coburn (1995-2001, 
537631	396386	Sasha Danziger
537631	400250	Bernice DeSalvo
537631	401414	Dr. Joanna "Joey" Diamond (19
537632	6313	Fille d'indienne 1
537633	30792	Eleanor
537633	32106	Dolor
537633	74274	Choleng
537633	76585	Maribel
537633	131716	Maria Salazar
537633	152840	
537633	163177	
537633	184895	Carmen
537633	214777	Menchu
537633	287066	Karen
537633	294642	
537633	353635	
537633	359069	Sylvia
537633	403056	Cecilia Sebastian
537634	41757	Asa
537635	381559	Herself
537636	204602	Herself
537636	283878	
537636	358502	Herslf
537637	354952	
537638	64399	Huang
537638	102140	
537638	372052	
537639	7878	Hitomi
537639	123864	Sheila
537639	242078	Grace Nakajo
537639	249559	Figure Skater
537639	291422	Pam
537639	333893	Ticket Agent
537639	401930	Stacy (1998)
537639	404282	Waitress (1992)
537640	182978	Erika
537641	82194	Student Leader
537641	89764	
537641	109949	Fatima Buen
537641	126271	
537641	146964	Emily
537641	152592	
537641	168928	
537641	172221	Kathy
537641	200659	
537641	204602	Juliet Go-Co
537641	204603	Young Sol Tan
537641	247536	
537641	255384	Dida
537641	269249	
537641	297094	
537641	372052	Diana
537641	382126	Herself
537641	389704	Host
537641	398236	
537641	398237	Host (2002)
537641	405685	Host
537642	5360	Consuela
537643	380658	
537644	14373	Maura
537644	28767	
537644	119089	Ragazza sexy
537644	157162	Messalina
537644	163747	Luisa
537644	190010	Sophia Loren
537645	373793	
537646	40954	
537647	87409	News Announcer/Additional Voi
537647	130730	Chie
537647	177093	Kimera's Mother
537647	405144	Nurse, Asuka's Mother, Additi
537648	176864	Nurse Marsha
537649	27764	
537650	35620	
537650	85142	Hülya
537650	136707	
537651	4028	
537651	6381	Vasfiye
537651	8334	
537651	19535	
537651	21989	Melek
537651	22072	Mehtap
537651	30996	
537651	78615	Aynur
537651	107356	Fahriye
537651	136744	
537651	174993	Suna
537651	176212	Gülo
537651	179810	Hooker
537651	181941	Nilgün
537651	184602	
537651	200430	
537651	229473	
537651	325352	
537651	329160	Üftade
537651	336419	
537651	349712	
537651	371890	
537651	377554	
537651	380744	Bihter
537651	394154	Cemile
537652	234741	
537652	333882	Hortense
537653	184265	Girl teaching italian
537654	4121	
537654	25356	
537654	82007	
537654	88473	
537654	167343	
537654	222066	
537654	270211	
537654	322872	
537655	198388	Millan
537656	62199	
537656	137991	
537656	140366	
537656	160183	
537656	226774	
537656	248549	
537657	79982	Ticket Seller
537658	41820	
537659	9799	Maid-in-Waiting
537659	151734	Cook
537659	177254	Tuptim
537660	71820	La danseuse
537660	97840	
537660	335912	
537661	167708	Neighbor
537662	68018	Sketch/Stand-up
537662	123414	Casting Associate
537663	68266	In-Game Vehicle Personal
537664	327664	
537665	77251	child
537665	103613	
537665	341234	
537665	409782	Estrella
537666	80310	
537666	83532	
537666	91367	Bailarina
537666	171461	Gabriela
537666	207979	
537666	221946	
537666	235262	
537666	251985	
537666	267406	
537666	273659	
537666	349667	
537666	375779	
537667	346016	Inmate
537668	409463	Secretaria (2004)
537669	395073	Karin Avraham
537670	29814	Herself
537671	5737	Nichole
537671	176147	
537671	207253	Minni
537671	288665	
537672	375342	Mara
537673	239584	Lilla
537673	314759	Sofie
537673	343449	
537673	386953	
537674	216127	Mrs. Wright
537675	322833	Blondine
537675	381694	
537675	401112	Host (1999)
537676	79112	Valentina
537677	158888	Madame Chen
537677	383850	The Cheetah
537677	389022	Additional Voices
537677	393424	Synergy
537677	394949	
537677	405718	Additional Voices
537678	296552	The Computerettes/Dancer
537678	316040	Dancer
537679	404710	
537680	62017	Shiao-Mee Brandon
537681	193044	Teacher
537682	277362	Eva
537683	211044	
537684	186136	Laura
537685	148466	
537686	86241	Candy Girl
537686	86243	
537686	338233	
537686	369984	
537686	409057	
537687	388262	Herself/Teacher
537687	388263	Herself/Teacher
537688	247198	Cook
537689	63983	Teresa
537689	73281	Sanjuanera
537689	74365	Paloma
537689	80239	Nicolasa
537689	83868	
537689	87282	Alma Suarez
537689	91334	
537689	95181	Bene Gesserit Sister
537689	100309	Teresa, la madre de Alberto
537689	101864	
537689	105433	Maria
537689	111884	Doña Carmen
537689	121950	
537689	126311	
537689	130479	
537689	134506	Blanca
537689	139777	Dr. Emma
537689	184242	Maria de los Angeles
537689	235998	Sarica Mataraso
537689	255234	Dolores
537689	266822	Corner shop owner
537689	284889	
537689	286809	Niji
537689	296154	Carlos' mother
537689	318019	Irene Gorenko
537689	337163	Presidenta Lopez
537689	339095	
537689	358567	María José Aragón
537689	373950	
537689	376870	Mariana
537689	377142	Adrianina
537689	379461	Bertha
537689	380114	
537689	383548	
537689	383688	Josefina Montero
537689	383827	
537689	384126	Lucía
537689	385416	Amelia Larios (in flashbacks)
537689	385855	Chole
537689	387190	Lucía
537689	387552	Magdalena Ovalle de Muriel
537689	388647	La costeña
537689	391742	Genoveva Velarde-Aguirre
537689	396826	
537689	397838	María Inés Domínguez de San M
537689	397839	María Inés Domínguez
537689	398801	Chole
537689	400201	Stewardess
537689	400489	La Institutriz
537689	401917	
537689	402181	
537689	404259	
537689	405398	
537689	408406	Carmen
537689	409833	Alejandra
537689	410323	Andrea Santos de Merisa Obreg
537690	202019	
537691	3396	
537691	10476	Friné, esposa de Omán
537691	65000	
537691	73294	
537691	88054	
537691	91340	
537691	135248	
537691	160192	
537691	165792	
537691	212993	
537691	221968	
537691	251284	
537691	277405	Melchorita
537691	328119	
537691	377149	Refugio
537691	379118	Efigenia De La Cruz y Ferreir
537691	380252	Jova
537691	381224	Severa
537691	383548	
537691	385368	Elena
537691	385416	Magdalena Betancourt
537691	385855	Rosaura
537691	386738	
537691	387170	
537691	388649	
537691	393176	Gilda
537691	395657	Angela
537691	396848	
537691	397016	Rosaura
537691	398801	Rosaura
537691	400947	
537691	402404	La Tapanca
537691	403749	
537691	405842	Graciela
537691	405868	Marina
537691	409908	Henriquetta del Moral
537691	409913	
537692	386664	
537693	74585	
537694	246424	
537695	48795	
537695	199004	
537696	384508	Hostess (1993-1996)
537696	398838	Marta Sena (1997-1999)
537697	379566	Camino (2002)
537697	400840	Patricia
537698	376687	Carmen
537699	146617	CIA Switchboard
537700	35239	Cheerleader
537701	162224	Osayo
537701	210200	Omon
537701	242314	
537702	143686	Mirna niña
537703	149890	Presentor
537704	181566	
537705	8888	Ochiyo
537706	168872	Rika
537707	26369	
537709	237703	
537710	380099	
537711	24291	
537712	115833	
537714	316728	Wendy
537715	123111	Capt. Nebulart
537715	275086	young Rom
537715	354828	Ricky
537715	373366	Ito (segment 1)
537716	359612	
537717	345943	General Store Owner
537718	42423	
537719	295260	Partisan
537719	373890	Aznar
537720	255731	Debby Brockmeyer
537721	238167	
537722	38818	Chibi-Usa
537722	38819	Chibi Usa (Sailor Chibi Moon)
537722	38820	Chibi Usa (Sailor Chibi Moon)
537722	38821	Chibi-Usa (Sailor Chibi Moon)
537722	38822	Chibi Usa - Super Sailor Chib
537722	79070	Felicia
537722	126438	Ohri
537722	136044	'Minnie' May Hopkins
537722	179108	Fighter C
537722	258547	Felicia
537722	319444	Felicia
537722	344945	Yumi Kohama
537722	350723	Various children voices
537722	369533	Martha
537722	382108	Chibi Usa
537722	382109	Chibi Usa (Sailor Chibi Moon)
537722	382111	Chibi Usa (Sailor Chibi Moon)
537722	385980	Hikari Yagami
537722	385981	Hikari Yagami
537722	386344	Patamon
537722	389571	Miaka Yuuki
537722	394016	Toshiko Tanaka
537722	394419	Cas
537722	394424	Simonne
537722	405140	Hilde Schbeiker
537722	410525	Daisy
537723	150731	Shige
537723	182128	Masae Toda
537724	9276	Brothel owner
537724	18578	Old lady at Hongo
537724	50187	Shigeno, Kyutaro's mother
537724	76926	
537724	89049	Restaurant proprietress
537724	121214	Tatsu
537724	139726	Natsue Nakayama
537724	149134	Chika Yoshii
537724	167555	Mano
537724	169693	
537724	170592	
537724	172277	Yae Hayashi
537724	173994	Mrs. Koizumi
537724	174336	
537724	182129	Oharu
537724	198945	Young man's mother
537724	272225	Katsu, Seizo's wife
537724	293606	Etsuko, Kenichiro's mother
537724	297417	
537724	300141	
537724	335317	Fujio's mother
537724	341293	Toki
537724	370361	
537724	373231	Kimino Yamashina
537724	378130	Myoshin
537725	217019	
537726	404785	Ekspeditrise
537727	383261	
537728	30987	Rena Niimi
537729	61053	
537730	327601	
537731	121261	
537732	378848	Host (1990-1992)
537732	388590	Host
537733	162104	Novicia
537734	8314	
537735	211223	Zara
537735	211224	Zara
537736	5332	Carmen
537737	153785	Policía aduana
537737	248768	Madre
537738	273121	
537739	328193	
537740	305717	Latin Woman
537741	395041	Sol Manila
537741	407808	Francesc Dalmau's lover
537742	162104	Eva
537742	165022	Karmele
537742	296660	Trío Pimpinela
537742	403456	Host (2003)
537743	8696	Ahmed niño
537743	273664	
537744	111336	
537744	399657	
537745	248855	
537746	103965	Posadero
537747	70315	
537747	104244	
537747	112879	Sabine
537747	130116	
537747	159522	
537747	161646	Paula, the intruder
537747	173953	Nikie
537747	201185	
537747	260728	
537747	272637	Ingrid
537747	336057	
537747	346803	
537748	341865	Concettina a12 anni
537749	103425	
537750	14655	
537750	75444	
537751	192977	
537752	13062	
537752	30722	
537752	82961	
537752	104017	
537752	106015	
537752	124584	
537752	140566	
537752	160137	
537752	257566	
537752	310042	
537752	376785	
537753	262812	Herself - dancer
537754	66715	
537754	148036	Ana
537754	236559	Herself
537755	20738	
537755	94820	
537755	258479	
537756	68725	
537757	68554	Chencha
537758	86826	Heilen (segment "La Novia")
537759	253277	Junior Nurse (segment "Honest
537760	223235	
537760	281405	
537760	345621	
537761	344652	Pool Player #2
537762	378974	Ana Luisa Mosquera
537762	379668	Susana Rendon
537762	389233	Eugenia Gnecco (2001-2004)
537762	390449	Host
537762	392812	Susana Rendon
537762	396859	Patricia de Ibáñez
537763	252109	Doña Etelvinda de Sambrano
537763	389233	Maruja de Lopez (2001-2004)
537763	396125	
537763	397737	Betsabe
537763	399625	Gladys
537763	402055	Susana de Brigart
537763	405777	
537763	405865	Ana Gregoria
537763	408706	
537764	393023	Ana 'Fosforito'
537764	393035	Herself
537765	110148	Liva
537766	188453	'Dislike' Girl
537767	389233	Carlina Linares (2001-2004)
537768	107279	Girl in the Slave Market
537769	379887	
537769	400667	Soraya Martínez (2003-2004)
537769	402333	Herself
537769	409922	Selma
537770	351494	
537771	354996	Waitress
537772	263880	
537773	8564	Actriz casting
537773	319829	Estrella, 8 years
537774	18999	Pension Lady
537775	82235	
537776	230663	Highland High Student
537776	363415	Banquet Guest
537777	239279	
537778	69855	
537779	201095	Cello Girl
537780	203939	
537781	53846	
537781	171532	(segment "Flor de Lys")
537782	252070	Herself
537782	275029	
537783	380331	
537785	231601	Niña
537785	395044	Solange
537786	162745	
537787	173174	Katja
537788	377134	
537789	85529	La belle-mère de Lauderin
537790	324708	
537791	287773	Fat Prostitute
537792	21822	Shinobu Sugihara
537792	58409	Gris Gris, le chat
537793	3474	
537794	213840	
537795	208487	Police Woman
537796	213840	Honza
537797	135223	Little girl
537797	213881	
537798	109498	Sheriff
537799	86677	Receptionist at Kamya's Offic
537799	176612	Kitako
537799	298967	
537799	328020	
537800	17592	Nurse
537800	30702	Julie
537800	73340	Lt. Carlson
537800	97388	Frazier Radio Producer
537800	119622	Prosecutor
537800	144964	
537800	233307	Reporter #2
537800	244864	Attorney
537800	245229	Julie
537800	245275	Janet Adams
537800	291698	Mrs. Gould
537800	303861	News Anchor Betty Oates
537801	60163	Radio Talk Show Host
537801	288738	Sportscaster
537802	82284	Rva Lehmuskallio
537802	186072	
537802	228154	Marja
537803	15129	Annie Playden
537803	17857	
537803	52698	
537803	56078	Cecilia
537803	63657	
537803	78425	
537803	118752	Nicole
537803	156559	Madame Tissaigre
537803	235819	Bernadette, Etienne's co-work
537803	240280	Sandra
537803	240494	La patronne
537803	242353	Natacha
537803	250902	Sister Mercier
537803	251295	Geneviève Mauboussin
537803	275621	Psychanaliste
537803	282298	Yvette
537803	345132	Gabrielle Bonnace
537803	384576	Juliette Moroni
537803	410150	Marike (segment "Nuit de Laza
537804	63682	
537804	90132	
537805	288218	
537806	270923	Store Customer
537807	323250	
537808	51486	Agent Arata
537809	55	
537809	9479	
537809	9548	Setsuko Asai
537809	21331	Mother Yamada
537809	21825	Kyoko Yamana
537809	28128	Yuki
537809	29198	
537809	43064	Mitsuko, Junpei's wife
537809	62605	
537809	63542	
537809	76855	Ohama
537809	97141	
537809	101486	Mistress of the floral art
537809	125227	Lalita
537809	137131	The Real Mother
537809	139741	
537809	144213	
537809	144435	
537809	146968	Ofusa (episode 2)
537809	163973	
537809	171528	
537809	171744	
537809	172241	First wife (Black Hair)
537809	173102	
537809	174551	Blind Girl
537809	175364	
537809	176583	
537809	176598	
537809	176607	
537809	179348	Fumiko, eldest daughter
537809	179518	Nobuchi's wife
537809	181866	Toku
537809	182045	
537809	182419	
537809	185354	Kazuko Kita
537809	210199	
537809	216386	
537809	226636	Alamelu
537809	232564	Yuriko Hara
537809	232566	Yosiko
537809	232909	
537809	232916	Machiko
537809	232917	Machiko
537809	232918	Machiko
537809	233220	
537809	241939	Aizen
537809	242133	Okichi
537809	242144	
537809	242183	
537809	244518	Shizu
537809	272062	Actress
537809	286847	Okiku/Kukuhime
537809	288187	Geisha Kayoji
537809	288191	
537809	293674	
537809	294547	
537809	296631	Hyôtan
537809	296635	
537809	296638	
537809	296640	
537809	296644	
537809	298693	Ise's secretary and lover
537809	298988	
537809	298989	
537809	298990	
537809	298991	
537809	299407	
537809	320413	Tsutae
537809	334938	
537809	341276	Yoshimi Niemura
537809	358397	
537809	359843	
537809	373309	Misako
537809	373509	Hisako
537809	375580	Kisa Shibata
537809	375588	
537809	375596	Geisha Kayoji
537809	375597	
537809	375605	
537809	375607	
537809	375609	
537809	375611	
537809	375612	
537809	375614	
537810	68554	Esperanza
537811	83355	L'hôtesse de l'air
537812	184299	
537813	21138	
537814	160966	
537815	115768	Silvia
537815	349723	
537815	378108	
537816	29517	
537816	307449	La mulatta
537816	328035	
537816	349723	
537816	381144	
537816	384991	
537816	391900	Suzana
537816	396938	
537816	400799	
537816	401597	Iolanda
537816	402506	
537816	407872	
537817	222159	
537818	151369	
537819	80619	Fiesta Dancer #9
537820	391636	Hostess
537821	3388	
537821	196753	
537821	198244	Voice
537821	213525	Voice
537821	309090	Voice
537821	329276	
537821	385401	Miriam
537821	398458	Profesora Márquez
537821	402077	Patricia
537821	408855	(1999)
537821	411616	
537822	222854	
537822	371778	Sister Ursula
537822	384782	Regina Martínez Godoy
537822	397575	
537822	406050	Ema
537823	104501	Darlene's mother
537824	321678	Venus in Furs Diva
537825	174301	
537826	82990	
537827	402685	
537828	215402	
537829	387799	Rosinha
537829	409419	
537830	124235	
537830	344778	
537831	379132	Melba (Chapter 3)
537831	384373	
537832	379132	Soldier woman (Chapter 3)
537833	55194	Artistas invitados
537834	989	
537835	197866	Herself
537835	395236	
537836	394821	Juliet
537837	175378	
537837	300948	Radhika
537838	19283	Genossin
537839	279271	Fichera joven
537840	58408	Alicia adolescente
537840	326295	
537841	278317	Maddalena
537842	379001	Juanita
537842	379648	Olivia
537842	393340	
537842	396942	
537842	403782	Edith
537843	223084	Rachel
537844	55558	
537845	70910	Princess
537845	127386	Elizabeth
537845	127986	Sheba
537845	246978	Marfisa
537845	251627	Debra
537845	262641	Laggaina
537845	270807	Simone
537845	270828	
537845	301344	Venerdi'
537845	328742	Tesoro Hoaua
537846	27983	
537847	270160	
537848	130307	Dong Ha bargirl
537848	318003	Una bailarina/Una ballerina
537849	67701	
537849	155666	
537849	278930	
537850	104751	Israeli entry (6th place)
537850	104754	Host
537850	104763	Israeli entry (7th place)
537850	174998	Herself
537850	174999	Herself
537850	175000	Herself
537850	175002	Host
537850	175003	Herself
537850	209100	
537850	288274	
537850	387959	Herself - Co-Presenter (1979)
537851	158774	Ashkhen
537851	205350	
537851	250881	Yeranuhi
537852	378598	
537853	219581	
537854	18999	Dancer
537855	149517	
537856	392792	Beata
537856	408330	
537857	64043	
537857	67652	Solitary Woman
537857	77880	
537857	124442	Fabiola
537857	222119	Doña Chole
537857	344687	Isaurinha Dalva
537857	351628	Alejandra
537858	384922	
537859	246846	Herself/Hostess ('Semana Sant
537859	409118	Hostess
537860	251554	
537861	400678	
537862	5106	
537862	224965	
537863	63823	Recepcionista do Motel
537863	89993	Quitéria
537864	42976	
537864	63633	
537864	201647	
537865	400597	Terezinha
537866	235244	
537867	282797	Host
537867	402048	Herself/Host (1995-2003)
537868	52929	Ana Cavalcante
537868	92949	
537868	112764	
537868	124257	Elza Soares
537868	380242	Vivian
537868	380331	Vivian dos Santos Machado
537868	385522	Preta de Souza
537868	397540	Edivânia
537868	401944	Selminha
537868	402685	Dandara
537868	408381	Bernarda
537868	409347	Emilinha
537868	411585	Xica Da Silva
537868	411714	Herself
537869	25001	
537869	212133	
537870	190995	Åsa
537870	322433	Yvonne
537870	396266	Lollo Brandt
537871	272434	Nurse
537872	243348	Kaminskiene
537873	35614	Sedef
537873	86690	Dilan
537873	138316	
537874	31011	
537874	34221	
537874	63978	
537874	82319	
537874	124821	
537874	137809	
537874	163138	
537874	225750	
537874	285492	
537874	293664	
537874	371299	
537874	378271	
537875	327239	Ballet Teacher
537876	155884	Model
537877	69522	La secrétaire médicale
537878	310876	Wardrobe Woman
537879	186708	
537880	69161	Host
537881	45760	Countess Soumbatoff
537881	46612	Helga, Rudenburgs zweite Frau
537881	67242	Mrs. Pepys
537881	73245	Lady Mead
537881	113544	Elizabeth
537881	185767	Mrs. Stapleton
537881	200604	The Empress Elizabeth
537881	211565	Mme. Saroni
537881	222664	
537881	245527	
537881	292443	Mary Quarrain
537881	312988	Mme. Bouchier
537881	315122	Nurse
537881	362225	Mrs. Bromley
537881	367596	Marta
537882	12101	Claudia
537883	22596	Erin
537883	330434	Girl #1
537884	410069	Aude
537885	91402	Alicia
537885	98974	Prostituta
537885	165718	Flaca
537885	221762	María
537885	221963	Enfermera
537885	301115	Melany
537885	306701	Elena
537885	334469	Chica Autobus
537885	392027	Dra. Marta Vidal (2001)
537886	162300	
537886	377743	
537887	350111	
537888	346683	
537889	378731	Monique Frénette
537890	64281	Herself/Interviewee
537891	43697	Lucy
537891	65167	Isabelle
537891	73064	Thérèse Troppmann
537891	91770	Rosa
537891	100481	Jeanne
537891	106286	Agathe
537891	122375	Delphine
537891	132899	Hélène Raymond
537891	134957	Odile Bonheur/Emma Bovary
537891	148684	
537891	170473	Mathilde
537891	188681	Employée impôts
537891	207587	France Bouchardon
537891	208829	Simone Porquel
537891	217693	
537891	217733	Odile
537891	258327	Claire
537891	259862	Priscilla
537891	278143	
537891	279820	Nadia
537891	284297	Emilie
537891	286316	Laura
537891	291511	Gisèle Marton
537891	291576	The blond in 'Ideal Man'
537891	309730	Hélène
537891	336312	Gaspari, Valérie
537891	337032	La juge
537891	339226	Gaëlle
537891	346424	Julie Ferenzi
537891	346599	Agnès
537891	346730	La femme d'affaires
537891	356392	
537891	357490	Cécile
537891	385003	Sonia
537891	385237	Maud Berthier
537891	399082	Anne-Lise Bellec
537892	29627	Mrs. Dahl
537892	51122	Captain's Wife
537892	84284	
537892	95829	Criminal Inspector's wife
537892	98785	Frank's Mother
537892	105362	Karin, Granström's housemaid
537892	142214	Ulla's Aunt
537892	144252	Mrs. Widgren
537892	162627	An old woman
537892	182302	Convict
537892	182306	Rut, nurse
537892	192930	Helena Wijk
537892	197143	Mrs. Falk
537892	225314	Inga Loväng
537892	228386	Nick's Mother
537892	237264	Mrs. From
537892	248186	
537892	268338	Inga Loväng
537892	276126	
537892	276336	Ester's mother
537892	293314	Lovisa Johansson
537892	302152	Believer's Wife
537892	303199	Grandmother
537892	303200	Mrs. Berg
537892	304212	Nurse Karin
537892	307533	Mrs. Solberg
537892	321512	Selma
537892	325046	Inga Loväng
537892	348501	Mrs. Svensson
537892	353020	
537892	357774	Annika
537893	377478	La deuxième serveuse
537894	103759	Mujer que ama
537895	213107	Emily Morton
537896	400341	Herself - Presentadora de los
537897	302359	Cajera 1
537898	225432	
537898	283047	
537898	288204	
537899	313479	Sy Snootles
537900	334815	
537901	184521	Dead body
537902	151178	Nancy
537904	411714	Herself
537905	380917	Vicky
537905	387275	Mariana Valdéz
537905	393364	
537905	396712	
537905	405846	Angela
537905	411714	Mariana Valdéz
537906	24206	Madre de Lucía, de joven
537906	73063	
537906	76087	
537906	78657	
537906	302359	
537907	183234	Ragazza in Mercedes
537908	8241	Gypsy Matriarch
537908	8366	Housekeeper
537908	26583	Grandma
537908	103848	
537908	108905	Mado
537908	148696	Marie Deschamps
537908	174704	Martha
537908	202727	Italian Psychiatrist #5
537908	275535	Mme Rivard
537908	276104	Mme Savoie
537908	318642	Spassky's Mother
537908	364424	Mrs. Boulez
537908	380863	Alexinas
537909	399833	Miss Madeleine
537910	42855	Vrouw op kermis
537910	51598	La Manuela, de cabaret-prinse
537910	242328	Viola Sergrie
537911	338597	
537912	39799	
537912	49985	Prostitute (Story 1), Rape Vi
537913	39799	Kleines Mädchen
537914	256188	Kaye
537915	281696	Soloist in 'I've a Strange Ne
537916	165557	Martha Washington
537917	279389	Performer (The Golden Era Mus
537918	126745	Diane
537918	134405	Jill
537918	311952	Hot First Class Babe
537919	222009	Aurora
537920	337869	
537921	251268	Herself
537922	142479	
537923	8633	
537923	24863	
537923	174532	
537923	223565	
537923	228759	
537923	291594	
537923	349154	
537923	374162	
537923	381631	Zhenya Babich
537924	356541	
537925	59869	Groupie
537925	80700	
537925	206900	Martha
537925	368343	Mom
537926	154796	Waiter
537926	211698	Bartender
537926	319687	Herself
537926	367822	Penny
537927	394803	Badegül
537928	17405	
537928	30819	
537928	178409	
537929	268947	
537930	163985	
537930	255813	Suzanne
537930	381681	Patricia Beaulieu
537930	383186	Grand-maman de Caillou (newer
537930	400804	Colette Aucoin
537930	403254	Dominique Audibert
537931	97170	
537931	342100	La seconda zia
537932	247571	Woman Companion
537933	5557	
537933	258293	
537933	347723	Lores
537934	53119	
537934	91336	
537934	149557	Clarisa
537934	233372	
537934	260586	
537934	268270	
537934	273120	
537934	283199	Romina
537934	292905	
537934	339987	
537934	377188	
537934	379118	Gema
537934	379909	Diana Duarte
537934	380445	
537934	383273	Marilú
537934	383688	Chayo
537934	386126	
537934	397009	Malena
537934	397598	Julia
537934	399525	Remedios
537934	401698	Norma
537935	83364	La secrétaire
537935	343543	Vinciane
537936	107054	Woman at Gallery
537937	13850	Linda Mitchell
537937	79269	Rhonda
537937	79712	EMT #1
537938	61139	
537938	91308	
537938	141757	
537939	291892	
537940	101897	
537940	211044	
537941	76258	U.T. Announcer
537941	404138	Iris Chateaubriand #1
537942	384257	
537943	349847	Luisa
537944	353559	
537945	168300	Flirtatious Wife Tina
537946	74585	
537947	52952	Juanacha
537947	197198	
537948	108170	
537948	178508	Maria Johansen - Ida's mother
537948	179971	Lone Kjeldsen
537948	190819	
537948	234826	Mor/Mother
537948	283789	
537948	368740	Lena Lotzki
537948	382884	Ingeborg Stegman
537948	401573	Katia & Mikkels Mor
537948	412298	Emma Goldberg
537949	234019	Frances Boyd
537950	393844	Host
537951	399525	
537952	149198	Mandy's Friend #1
537953	45619	Sophie
537953	410252	Anne-Marie Bélanger
537954	87166	Stage Crew
537955	71223	
537955	377617	Marieta
537956	27639	Radha
537956	48681	Deepa
537956	76457	Kamakshi
537956	183010	Mme Ruffier
537956	208092	
537956	233172	
537956	233202	Sati Gujaral
537956	254827	
537956	256655	Chakyar's daughter
537956	293294	Seetha
537956	344902	
537956	351081	Sudha
537956	371822	Viswada
537957	259778	Pollyanna
537958	165848	Zetes Lemnite Girl
537959	53329	Mrs. Williams
537960	80965	Sylvia Polesworthy
537960	129960	Alicia Snitterfield
537960	321698	Mary Mortimer
537960	360792	Aunt Purdie
537960	362644	Mrs. Milton
537961	274031	Amelia Lucca
537962	274267	Rose McKenzie
537963	228536	Alison
537964	1749	Gal 2000
537964	2888	Herself (Nominee)
537964	2899	Herself
537964	7584	Herself
537964	11652	Drenna Valentine
537964	12218	Liza Hawkins
537964	21040	Eleanor Hooks
537964	32347	Abby
537964	41843	Laila
537964	42786	Joanne Braslow
537964	53621	Crazy Hollister
537964	55442	Herself - Narrator
537964	60227	Peggy Jackson
537964	65501	Cathy Muller Ryan
537964	78943	Nora Hancock Mulligan
537964	78969	Beryl Denright
537964	86458	
537964	99931	Mira Burski
537964	105861	Sarah Hathaway
537964	108350	Rita Jacobs
537964	109608	Beth Gallagher
537964	131466	Margaret
537964	133371	Ursula
537964	134063	Holbrook
537964	143832	J. Marsh
537964	149096	Deborah Moon
537964	159270	Julia Burton
537964	165108	Maggie
537964	165484	Mary Parker
537964	185441	Henriette Kroeber
537964	186680	Debby Franke Ogg
537964	188124	Leslie
537964	190332	Cathy
537964	193399	Lila Bristol
537964	195455	Miss Dolan
537964	196876	Herself
537964	203161	Krista Heldmann
537964	203319	Molly McCarthy
537964	206119	Teresa
537964	208077	Carol
537964	217317	Julie
537964	224027	Theresa 'Sissy' Sullivan
537964	226785	Mary Niles
537964	226920	Ann Blake
537964	227797	Carol Hunnicut
537964	231550	Julie Hastings
537964	232128	Claire McNichol
537964	235947	Sophie's Mother
537964	243552	Herself - Actress
537964	248441	Annie
537964	250737	Cathy Muller Ryan
537964	256593	Jordana Mason
537964	263105	Kate
537964	271331	Dana Archibald
537964	283186	Mrs. Mourain
537964	292688	Dr. Catherine Ryan
537964	299846	Claire Kane
537964	304341	Dr. Susan Keith Browning
537964	323578	Herself
537964	329946	Narrator
537964	335710	Kate Bridges
537964	337313	Barbara
537964	345786	Marie Micelli
537964	358868	
537964	363723	Gentle Heart
537964	368399	Herself/Host
537964	382331	Carol Sanders (1973)
537964	383271	Isabelle Derek
537964	388237	Cassandra Wilder (1985)
537964	388360	Annie
537964	391835	Herself
537964	404939	Myrna Gold
537965	89293	Little Girl
537965	131431	Stormy (age 13)
537965	309658	Sister
537966	2897	Rosie the barmaid at Black Li
537966	84964	
537966	92653	Inga
537966	110996	Liz Jenkins
537966	131392	Barmaid
537966	158470	Barmaid
537966	170571	Marlene
537966	189253	Barmaid
537966	214931	Gwladys
537966	216810	Betty Costard
537966	239082	Lady
537966	272758	Iris
537966	299233	Shopgirl
537966	316272	Rosie Foster
537966	331489	Pretty Girl
537966	348380	May
537967	7089	Angelica
537967	45781	Mrs. Whitfield
537967	63140	Mrs. Enid Cook
537967	71495	Mrs. Guber
537967	130347	Miss Myrtle
537967	191973	Ms. Greenfield
537967	265607	Military Researcher
537967	353314	Mrs. Luttrell
537967	358674	Pam Whitman
537967	379027	The Library Monster
537967	396538	Gunnery Sgt. Alva 'Gunny' Bri
537967	396643	Iola Lucille Boyland (1986-19
537967	398975	Lorraine
537967	406146	Miss Spier
537967	410617	
537967	410713	Judy Hibbard
537967	411802	Shirley Sherwood (1999)
537968	137462	Dancer
537969	105922	Woman in bar
537970	99590	Choriste du show
537971	3554	Gringuita
537972	146273	
537973	67698	
537973	175265	
537974	215862	Elderly woman
537975	11661	Cheerleader
537976	79643	Anna/Oceanna
537977	303894	Snowboarder
537978	6554	
537979	218942	
537979	245069	Movie Symbol
537979	312289	Nell
537979	321248	Candy
537979	343162	Mrs. Patten
537979	349121	Whore
537980	66655	Zora Oswald
537981	59244	Young Nun
537981	85070	Girl in pub
537981	381608	Sonia
537982	127268	Johanna
537982	255861	Betty
537983	160033	Lovejoy Mason
537984	99288	Older Elizabeth (episode 2)
537984	117672	Mary
537984	128923	Brigitte
537984	220419	Gilda
537984	233528	Mrs. Hunter
537984	240761	Assistant
537984	292417	Mrs. Crawford
537984	383881	Vanessa
537984	384071	Asst. Chief Constable Anne St
537984	388501	Dee Jarvis (1984)
537984	403992	Alice Sunderton
537985	343010	Mrs. Ogden
537986	261290	Mother
537986	288455	Sherry
537986	408361	Parking Court Secretary
537987	161462	Store Clerk
537988	155237	Leaflet Girl
537989	68590	Clarinha (girl at the car)
537989	388721	
537990	368314	Barbara Trask
537991	139631	Postman/School Girl 2 (segmen
537992	316716	Reporter
537993	1348	Herself
537993	400236	Natalie Balsom Buchanan Lawar
537993	411284	Various Characters
537994	193175	Aimee Giorgio-Wallace
537995	165909	Camilla Ammidon
537995	230790	
537996	152826	Singer
537997	121867	Sue
537997	376846	Suzanne McCloud
537998	107088	Lucille
537999	73392	Girl
537999	127086	Jitterbug
537999	154895	Jitterbug
537999	209612	
537999	252381	Jitterbug
538000	279609	Jennie Morrison
538001	115890	Mourner #2
538002	334271	Young Girl
538003	111796	Sister Therese
538004	10746	Queen of Diamonds
538004	36864	Passenger
538004	44516	Lois
538004	45781	Neighbor
538004	52005	Joan Samuels
538004	61819	Welfare Worker
538004	69137	Passenger
538004	73481	
538004	86274	Hostage
538004	108694	
538004	113852	Ellie
538004	139195	Mrs. Adilman
538004	139611	Woman Patron
538004	158975	Auction bidder
538004	176332	Dress Shop Saleslady
538004	183357	Helen
538004	188507	Policewoman
538004	188510	Officer Selma
538004	192596	Judge Blair
538004	212025	Woman in subway
538004	217600	Connie
538004	230963	Wife of Justice of the Peace
538004	245462	Nedda Riordan
538004	252887	Hotel Supervisor
538004	271205	
538004	291495	Mrs. Claus at party
538004	300896	Sand and Sea Receptionist
538004	323568	Woman in Pro Shop
538004	346276	Sales Lady
538004	352700	Mrs. Crane
538004	357994	Saleslady
538004	397401	Nurse Amy (1995-1999)
538005	379505	
538006	111731	
538008	72104	Cover Girl: Look
538009	27352	
538009	54827	Pipo
538009	68693	Witch Woman
538009	124113	
538009	215892	Mission Girl
538009	217741	Wig Girl in Club
538009	222616	Sally
538009	223698	Gang Member One
538009	275479	
538009	291503	Mary
538009	347716	Isobel
538009	396916	O'Hara
538010	191513	Mrs. Tomanski
538010	267174	Mrs. Petroviak
538010	318783	Mrs. Frazier
538010	372525	Woman Who Almost Got Licked
538011	203302	Mme. Brunschaut
538011	280845	Vanucci
538012	271882	Mrs. Averill
538013	196319	Girl In Hall
538014	7538	
538014	51846	
538014	255527	Herself
538015	221646	The girl who shouts
538016	248420	
538017	321702	Auctioneer Assistant
538018	24141	Gancia
538019	283549	Server
538020	185616	Helen
538021	37332	Blackfoot dancer
538021	118546	Indian Woman
538021	151503	Indian woman
538021	166345	Mrs. Horn
538021	291964	Wild Goose Flying in the Nigh
538022	71875	Baccara
538023	392597	Various characters
538024	41400	Mrs. Bacon
538025	38203	
538025	84091	
538025	119302	
538026	278917	Party Girl
538027	35543	Pam Washington
538027	76571	Kelli
538027	116750	Marissa
538027	145009	Lisa
538027	150061	Tia
538027	177605	
538027	201833	Herself
538027	252878	Sarah
538027	365454	Maya King
538027	370017	Jordan King
538027	405924	Jamaica St. Croix
538028	214854	Anna Quaranta
538029	142953	Self, performer
538029	222491	Grungetta
538029	295002	Grungetta
538029	295003	Puppetteer
538029	295006	Grungetta/Additional Muppet P
538029	368455	Muppet Performer
538029	379780	Lindi/Sonata
538029	387938	Quagmire/Emma
538029	404897	Grungetta (1984-1999)/Additio
538029	411523	Lulu's Dog
538030	21719	
538030	23115	
538030	52765	
538030	60942	
538030	67695	
538030	68827	Andrea
538030	68965	
538030	74371	
538030	74525	Madre
538030	75143	
538030	84187	
538030	87086	
538030	111890	
538030	114784	
538030	124511	
538030	148583	
538030	199003	Alicia
538030	212357	
538030	221739	Hermana Dulce
538030	222010	
538030	226192	
538030	227689	
538030	227690	
538030	234009	
538030	238760	
538030	251720	
538030	266472	
538030	269258	
538030	276148	Guayka
538030	292901	
538030	300683	
538030	301103	
538030	324909	
538030	332579	Madre Andrés
538030	337456	
538030	371754	
538030	395300	Claudia
538031	7522	
538031	370774	
538032	46224	
538032	386126	
538032	397009	Licenciada Rocha
538032	398490	Lupe
538032	411710	
538033	263861	Mamá de Sergio
538033	378373	Señora con Niño
538034	88412	Felus' Mother
538034	361576	
538034	379217	Monika Wilczynska-Rozdrazewsk
538035	380346	Princess Sorokina
538036	353186	Marta, the maid
538037	351494	
538038	24551	
538038	189679	Mrs. Eisner
538038	204439	Krankenschwester
538038	302684	
538039	283525	Dance
538040	37408	Honey
538040	63424	Limo Girl
538040	95078	Bikini girl
538040	101070	Model #4
538040	214755	Office Worker
538040	330122	Bella Ingraham
538041	324450	
538042	353197	Tomiches´ mother
538043	321501	Girl
538044	56534	
538044	213756	Mrs. Nicolasa
538044	271993	Rosa Pineda
538044	292248	Cook
538044	352024	
538045	197458	
538046	205370	
538046	322341	
538047	276485	
538048	117944	Suzie
538048	146961	Dumb German girl
538048	395093	Jessica Lambert
538048	402834	Chloé Mongeau
538049	277127	
538050	335558	
538051	3516	Maria Grazia
538051	11705	Scherezade
538051	27676	La bombolonaia
538051	48552	Adelaide
538051	71267	Maria
538051	75262	
538051	113444	
538051	133306	
538051	169794	Aixa-Beatriz
538051	186154	
538051	328871	Nina
538051	348138	
538051	353130	Mara
538051	356221	Ragazza Bruna
538051	380367	Laura
538051	383448	Paola Vitali (1st - 2nd serie
538051	386473	Angelina
538051	388613	Herself - Assistant (2003)
538052	81287	P
538052	92453	Fish
538052	128350	Chloe
538052	202915	Renee
538052	231099	Girl #2
538052	291457	Waitress
538052	347180	Bethany
538052	394510	Elena
538053	140705	
538053	171981	
538053	212284	
538053	370694	
538053	371553	Fatma
538053	378194	
538055	184012	
538056	26049	
538056	27764	
538056	33856	
538056	87719	Kudret's mistress
538056	94596	
538056	99549	
538056	102538	
538056	125931	
538056	156207	
538056	160226	
538056	163111	
538056	172661	
538056	173969	
538056	182871	
538056	189054	
538056	200672	
538056	212280	
538056	294539	
538056	294885	
538056	296406	
538056	296415	
538056	301448	
538056	335909	
538056	370631	
538057	172001	
538058	357819	Német nõ
538059	184608	Black Pawn
538060	235870	Performer
538061	160740	
538062	138737	Clara Potts
538062	263076	Noreen
538062	265748	Mrs. McNaish
538062	403490	Clara Potts
538063	100947	Beyaz
538064	68381	
538064	268828	
538065	101233	Child at Luxembourg Gardens
538068	3094	Pierrette
538068	7618	Miriam
538068	9653	Patricia
538068	12694	
538068	14582	Elle
538068	15085	Judith Martignac
538068	24168	Herself
538068	24434	Jeanne Gauthier
538068	25083	Catherine Crachat
538068	25795	Sor Consuelo
538068	28724	Eve Hanska
538068	34141	Benvenuta
538068	43754	Philomène
538068	52577	Maria Callas
538068	57832	Flora
538068	57894	La star qui tourne la nuit
538068	59094	Nina
538068	61426	L'infirmière
538068	67248	Countess Ferraud
538068	69761	La mère/The Mother
538068	83771	Lucia
538068	96021	Marie Langmann
538068	96229	Odette
538068	97928	Liliane, l'institutrice
538068	99287	Mary of Guise
538068	101587	Jessica Melrose
538068	108113	Adriana
538068	109029	Herself
538068	111014	Mathilde Bauchard
538068	111040	Nina
538068	113130	Anne
538068	119047	Herself
538068	146435	Madeline Usher
538068	167229	Récitante/Narrator
538068	189304	Madame Therbouche
538068	199600	Julie
538068	205776	
538068	216325	
538068	222946	Natacha
538068	225429	Christiane Levesque
538068	228202	Catherine
538068	238376	Silvia
538068	247241	Lotte
538068	251050	Velia
538068	258151	Roxane
538068	268417	Evelyne, dite Eva
538068	278024	Madame de Blayac
538068	278145	Muriel
538068	280793	Louise de Chaulieu
538068	284932	Irène
538068	302359	Marina D'Angelo
538068	303620	
538068	345039	Duchesse de Guermantes
538068	347566	Véronique
538068	353886	Livia Cerasquier
538068	355882	Barbara Becker
538068	355883	Herself/Barbara
538068	369870	Herself - Presenter: Best Eur
538068	376593	Herself
538068	377991	Dina
538068	383997	Katy
538068	385609	Fanny Villatte
538068	390491	Laure-Adélaïde de Chabrillant
538068	398650	Jeanne Laurent
538068	398837	(segment "Biafra: la naissanc
538068	407747	Herself
538068	409602	
538069	103869	
538070	74566	Dancer
538070	160610	dancer
538070	334672	
538071	85460	
538072	54343	
538072	90690	
538072	94717	
538072	184865	
538072	240272	
538072	253205	
538072	285242	
538073	78015	Courtesan
538073	343874	Mrs. Peggy Larson
538074	190461	Knowles Kid
538075	56170	Debutante #1
538076	6616	
538076	10587	Maid
538076	10689	
538076	11323	French Tart
538076	39177	
538076	42104	
538076	109824	
538076	113464	Louise
538076	116174	Maid
538076	128536	French Girl
538076	129839	Jeanette (French maid)
538076	143651	French maid
538076	156939	French Maid
538076	171054	
538076	184256	
538076	195071	French Midinette
538076	195968	French Maid
538076	200484	The French maid
538076	235691	Maid
538076	249022	Manicurist
538076	254278	
538076	258198	
538076	275438	Florabelle
538076	278563	French Telephone Operator
538076	283093	Lisette (French maid)
538076	308702	Jeanette Du Mont
538076	314943	Shopgirl
538076	339844	Maid
538076	342555	
538076	352929	Maxim's Girl
538076	360421	Stewardess
538076	367046	Sylvia
538077	3452	
538077	7051	
538077	50764	
538077	130619	
538077	147810	
538077	191838	
538077	205843	
538077	232882	
538077	236950	
538077	243436	Special Appearance
538077	289378	
538077	294209	
538077	318406	
538077	355989	
538078	53957	Terry's Daughter
538079	53957	Terry's Daughter
538080	325058	Mrs. Smoulder
538081	10737	The Cook
538081	271243	Becky
538082	41930	
538082	74288	Secretary
538082	117295	Cafe girl
538082	151041	Chorus Dancer
538082	168125	Dancer
538082	183638	Can-Can Dancer
538082	183706	Office Girl
538082	195190	Drum majorette
538082	210432	Majorette
538082	286334	Hostess
538082	313377	Girl in Bob Hope skit
538082	340853	Girl
538083	407291	Herself
538084	57936	Herself
538085	27263	
538085	51989	Angie
538085	141543	
538085	196444	Cathy
538085	264428	Kat
538085	274312	
538085	282919	
538085	340225	Girl in Video
538086	160885	Earring Admirer
538087	191966	
538089	207132	Hospital Doctor
538090	23441	Housewife
538091	162066	
538092	396874	Livia Gellert (1996-1998)
538093	205148	
538095	68513	
538095	91755	Silvia
538095	101819	Élodie Decoutret
538095	111384	Marguerite
538096	24519	
538096	92474	
538096	98057	Councellor
538096	102656	
538096	132540	
538096	140264	
538096	142213	Lissy
538096	169125	
538096	178781	Schwester Amalthea
538096	248540	
538096	265303	
538096	306506	Eva
538096	352054	Monique
538096	409613	Obstverkäuferin
538097	141000	Penny
538097	195680	
538098	2313	Herself - Presenter
538098	10745	Queen of Hearts
538098	11334	Miss Freeling
538098	15936	Maida Rutledge
538098	20549	Vivian Delwyn
538098	22907	Peerless Pauline
538098	32561	Virginia Cole
538098	37461	Susan Warren
538098	61567	Miss Pinty, A Nurse
538098	66549	Sophie De Lemma
538098	68879	Jane Wilson
538098	71422	
538098	72104	Cornelia 'Stonewall' Jackson
538098	75605	Lily Martin
538098	77805	Marcia (the Southern actress)
538098	78771	Lottie Lacey
538098	92007	Sgt. Natalia Moskeroff
538098	93156	Coralee
538098	96670	Tex Donnelly
538098	104352	Gloria
538098	117801	Carrie Ashburn
538098	131774	Woody
538098	133401	Principal McGee
538098	133402	Principal McGee
538098	135514	Employment lady
538098	140408	Henrietta
538098	146751	Belinda Wright
538098	157848	Aunt Theda Reeson
538098	176321	Ann Westley
538098	183824	Susan Wayne
538098	183836	Gladys Jones
538098	185467	Kate
538098	188341	Maggie Watson
538098	188562	Cora
538098	204708	Dolly
538098	213820	Ida Corwin
538098	223854	Vivian Martin
538098	224273	Ginna Abbott
538098	231768	Gabrielle
538098	234090	Winnie
538098	237818	Space' OShea
538098	238878	Shirley Truman
538098	241788	Molly Stewart
538098	244879	Constance 'Connie' Brooks
538098	246603	Tommy Thompson
538098	247359	Hoppy
538098	250724	Jean Mathews
538098	286899	Gabby Trent
538098	291359	Herself
538098	291392	Herself
538098	294742	Lt. Charlotte Kinsey
538098	297889	Alice Hinsdale
538098	297944	Sally Long
538098	302603	Barbara Stevens
538098	304962	Miss Ater
538098	308591	Maisie LeRoy
538098	308605	Madame de Talavera
538098	312773	Eve
538098	317176	Harriet
538098	326368	Pauline Hastings
538098	329528	Sally Aikens (Jones' secretar
538098	331410	Lucille McCabe
538098	346142	The Duchess
538098	346900	Paula
538098	352733	Hildegarde Withers
538098	356293	Olive Lashbrooke
538098	360527	Katie Woodruff
538098	363599	Chris Sherwood
538098	363745	Buzz Baker
538098	367827	Kit Campbell
538098	375045	Patsy Dixon
538098	383711	Co-host - part VI
538098	387970	Liza Hammond
538098	388202	The Stepmother
538098	398297	Eve Hubbard (1967-69)
538098	400527	Connie Brooks
538099	88260	Minnie Jordan
538100	8229	Monique
538100	25324	Ballerina Francese
538100	89576	
538100	161857	Maria
538100	188809	
538100	199051	Isabella
538100	263626	Maeva
538100	293355	
538100	375895	
538101	333054	Showgirl
538102	86807	Murderess
538103	160015	Nora Owen
538104	150723	Shimmy dancer
538104	291383	Herself
538104	403513	Herself (regular)
538105	103352	Flossie Lane
538105	166071	Bit part
538106	294527	Jane
538107	396009	Susie Hodson
538107	406695	Karoline
538108	39707	Sally Davidson
538108	135960	Jane
538109	2277	Herself - Presenter
538109	19924	Herself
538109	161177	Herself
538109	165606	Herself
538109	306319	Sarah Hotchkiss
538109	336204	Performer
538109	340814	Ghost of Christmas Specials o
538109	401883	Herself
538110	115562	Rockette
538111	287964	Kathy
538112	47880	Nurse
538112	68736	Consulate Receptionist
538112	304295	Nurse
538113	214105	Nan
538113	372107	
538115	147928	Rosa
538116	225408	
538117	527	
538117	23562	Gunilla
538117	34977	Miss Barbour
538117	52315	Stage Passenger
538117	67517	Dorothy
538117	94656	
538117	94712	
538117	109862	Secretary
538117	166241	Nurse
538117	180951	Gloria Farr
538117	206530	Saloon Girl
538117	215746	Madge, first kitchen servant
538117	351519	
538117	372907	Amy Clark (juvenile officer)
538118	41615	
538119	2369	Myrtle Clarence
538119	165557	Tabitha Larkin
538119	259762	Hattie Jones
538119	303276	Anna Little
538119	314120	Mary
538119	347553	Mary Powers
538120	119986	Hostess
538120	170552	Claudette
538120	185693	Maggie
538120	253059	Heidi
538120	282915	Valerie
538120	308011	Isabel
538120	311194	Eva
538120	318763	Simon's Female Friend
538120	346892	Other woman
538121	73303	Wedding Guest
538122	30965	Trapeze Act
538122	126130	Circus performer
538123	4369	Girl
538123	80947	Clara
538123	81023	Clara
538123	221044	
538123	234223	
538123	351438	
538124	335826	
538125	37619	
538126	291383	Herself
538126	294135	Herself
538126	319145	Herself
538126	347237	Herself - Singer
538128	23384	Student
538129	6679	Gisèle
538129	23636	Une vendeuse
538129	25126	
538129	83391	Yvonne
538129	198627	
538129	276493	
538129	340159	
538130	339310	
538131	336452	Hostess
538132	58041	
538133	2334	Mrs.Wendy McGowen
538134	59975	
538134	307703	Ganka
538135	104949	Sister Felicity
538135	294573	Nurse
538135	330771	Mrs. Kearney
538135	385436	Mairead
538135	403146	Nurse
538136	54791	Carmen
538137	351494	
538138	351494	
538139	52698	
538139	246306	
538140	239925	Vera
538141	237113	Undetermined Role
538142	26070	Nurse
538142	231768	Nurse
538143	365328	
538144	84006	Elyse
538144	215500	Miss Nebraska
538144	350281	Persephone
538145	14404	Marie-Jeanne
538145	15105	Hortense
538145	58322	Mme Carmat
538145	58415	Louisa
538145	58744	Adrien's mother
538145	64274	Christine
538145	68784	Françoise
538145	83227	Christiane Dancour
538145	94415	
538145	108220	Catherine
538145	111002	Pauline
538145	111780	Yvonne
538145	120982	Douniacha
538145	123686	La guichetière
538145	125724	
538145	144307	
538145	152621	
538145	154736	La boulangère
538145	191413	Marina
538145	201172	Marie Galibert
538145	218448	Christiane Andermatt
538145	219462	Paula
538145	225429	Yvonne
538145	231144	
538145	236516	Marie
538145	246840	Denise
538145	248246	Jocelyne
538145	248915	Huguette
538145	254077	Anne-Sophie
538145	254147	La directrice de l'école/Scho
538145	257075	Dany
538145	262993	Mme Sarah, la voisine
538145	279820	Thérèse
538145	282099	La petite maréchale
538145	283653	
538145	284271	Rachel
538145	293694	Oberschwester
538145	297358	Betty
538145	327551	Claude Martine
538145	327888	Marie
538145	345086	Mlle Leroy
538145	345146	Alexandra
538145	345365	Marie Galibert
538145	351250	Félicie, la bonne
538145	356390	
538145	374259	
538145	377931	
538145	383178	
538145	386798	
538145	388716	Léontine
538145	390513	Anny Feret
538145	396240	
538145	396290	
538145	399756	Alexandra
538145	400681	
538145	400698	Une cliente (Bacon panique)
538145	402896	Nelly
538145	409442	Françoise Poirier
538146	72387	Elisabeth
538146	248886	Sophie, the baby-sitter
538146	327551	
538146	356446	Sabine
538146	378129	
538146	410343	Julie
538147	356792	Student
538148	229832	Konduktorkata
538148	258569	Babata na Rufie
538148	332955	
538150	269001	
538150	278925	
538150	279113	
538151	197569	
538152	192355	Tessie Dunbar
538153	402919	Interviewer (2000)
538153	403021	Lulú (2002)
538153	405223	Various characters (2002)
538154	343566	
538155	144913	Featured Extra
538156	30582	Fan
538156	144913	Featured Extra
538157	30582	Inheritor
538157	144913	Featured Extra
538158	87660	Catherine's Friend
538160	91528	
538160	92072	(segment "Sarò tutta per te")
538160	160979	
538160	162045	Irma Caterini
538160	162076	
538160	243285	
538160	247516	
538160	338720	
538160	351069	
538160	404750	La telefonista
538161	143483	Professor Tarmac
538162	383811	Pamela Rosas (1999-2002)
538163	25799	
538163	43429	Mabel
538163	67702	
538163	293398	
538163	318006	
538163	352160	
538163	380442	Raquel Cornejo Mejía
538163	383439	
538163	385852	
538163	392030	Marikena Volpe
538163	404270	
538163	409957	(1999)
538164	70624	Moderadora
538165	380331	
538165	396610	Tininha (1995)
538165	404165	Sandrinha
538166	141855	Marjan
538166	175243	
538166	208278	Voorzitster Kunstcommissie
538166	250914	Willie
538166	394639	
538166	397369	Betsie
538167	13951	Jennifer
538167	29519	Holly
538167	33696	Alecia Champlain
538167	47556	Kate
538167	81580	Woman
538167	137603	Mara Payton
538167	178999	Carmen Salazar
538167	211398	Beth
538167	285305	Sarah
538167	329920	Samantha
538167	360661	Karma
538168	91388	
538169	45794	
538169	69004	
538169	134242	
538169	212376	
538170	27819	
538170	110641	
538171	126475	
538172	90407	Teenage Girl
538173	183510	Deolinda
538173	393052	Various Roles
538173	395865	
538174	230583	Ironhead's Gang
538175	226697	Rachel
538176	23649	Marianne
538176	56951	Caissière boutique mode
538176	68513	Mathilde Ternolain
538176	76534	Erika
538176	83349	
538176	100364	Une infirmière
538176	111046	
538176	118176	Dominique
538176	169980	Sonia
538176	170469	Laurence
538176	210910	Maria
538176	279698	Louise
538176	287976	
538176	353869	Isabelle
538176	365409	
538177	57747	Inmate
538178	272131	
538179	384118	
538180	163053	
538181	314446	Waitress
538182	206441	Julie
538183	78570	Dancer at Salón Los Ángeles
538184	3438	
538185	217464	
538186	153015	
538187	243592	Prostitute
538188	3438	
538189	275792	Barbie
538189	328127	Tina
538189	366328	Gabriella
538189	385697	Van
538189	407459	Alexis
538190	212524	Stranger
538191	381921	Wendy 'Wendylu' Arellano
538192	58323	
538193	210915	La chanteuse
538194	82043	Memory
538194	378651	Morganna
538194	383019	Additional Voices
538194	389870	Beatrice Ratio
538195	60924	
538196	14620	
538197	388272	Herself/contestant (season 1)
538198	2584	
538198	7330	
538198	24140	Bit
538198	25300	
538198	25324	Signora sulla Diligenza
538198	33433	Signora Puglisi
538198	33660	Assunta
538198	34031	Un prostitua
538198	51447	
538198	54149	
538198	55188	La dame dame dans la diligenc
538198	57317	
538198	90068	
538198	102396	Fenicia
538198	108750	Laundry Owner
538198	125360	Agata Casaccio, sua moglie
538198	157500	
538198	187440	Anna, Attilio's wife
538198	197616	Giovanna Vasilio
538198	228764	
538198	243372	
538198	247514	
538198	256707	A prisoner
538198	270025	
538198	282097	Rosa
538198	287648	
538198	290895	Zaira
538198	294423	Anna
538198	300782	Bit part
538198	307073	Furnished Apartment Landlady
538198	341417	
538198	344586	
538198	349527	
538198	377574	
538199	261049	Showgirl Dancer #1
538200	72515	Erica
538201	202576	Agostino
538202	56971	Irene
538203	276869	Nun
538204	386690	
538204	386691	
538205	52879	
538206	341453	Nicole
538207	396115	Ex-girlfriend
538207	406952	Pregnant Girl (1997)
538207	411802	Marissa Barton (1998-2003)
538208	16397	Herself
538208	118529	Herself (singer)
538208	252585	Herself (song: "Symphony Of L
538208	352981	Herself
538208	372759	Herself
538208	372760	Herself
538208	411830	Herself (1977-1983)
538209	45044	Perla
538209	80802	
538209	372570	Sonia
538210	33727	Mujer casada
538210	82589	
538210	110924	The Perfect Woman (segment "O
538210	207654	
538210	248750	Sonia
538210	276121	
538210	301240	Sofia
538210	409463	Calandria (1993-1994)
538211	379615	
538211	389788	
538211	397011	Consuelo
538211	398482	
538211	400942	Chiquinquirá Tovar
538212	112075	
538213	190306	Tasha
538214	308463	
538215	308463	
538216	204107	
538217	91382	
538218	47462	Hispanic Mother
538218	80801	Bianca
538218	103254	Martha
538219	185683	Theater Audience
538220	68954	
538220	184850	
538221	169264	La chanteuse flamenca
538222	221554	
538222	386330	Beatriz Fontana
538223	9642	
538223	14783	
538223	15375	
538223	23465	Ann Taylor
538223	24716	Nora
538223	25018	
538223	48292	Meche
538223	56288	
538223	61435	
538223	83129	Gloria Solis
538223	86445	
538223	103498	Rosaura Villarreal
538223	103738	Deborah
538223	107124	Ann Taylor
538223	112054	
538223	123178	
538223	125647	
538223	128967	
538223	140577	
538223	145156	
538223	146496	
538223	148102	
538223	159187	
538223	183496	
538223	198237	
538223	198239	
538223	202203	Emily
538223	202204	Flor
538223	206989	
538223	209067	Madre de Martha
538223	212365	
538223	216064	
538223	216077	
538223	217585	Flora Almadan/Princess Xochi
538223	217586	Flor
538223	221564	
538223	222030	
538223	225392	
538223	230266	Nora
538223	230268	
538223	233352	
538223	234412	
538223	236433	
538223	258095	
538223	280429	
538223	296453	Chelito
538223	307726	
538223	307785	
538223	339154	
538223	339163	
538223	341389	
538223	342614	Julia
538223	357914	
538223	376855	Marianela
538223	387292	
538223	396215	
538223	404827	Mercedes
538223	407851	
538223	409789	Blanca Landero
538224	40264	Baligi
538225	98976	Sta. Gavilán
538226	116041	Tikgeit
538227	38359	Marlene Bünte
538227	79624	Gaby
538227	121959	
538227	140202	Rosemarie
538227	229166	
538227	248206	
538227	284410	Serviermädchen
538227	290266	Snow White
538227	317343	Dorie
538227	356724	
538228	213769	Vidente
538229	347468	Cecilia
538230	310849	Herself
538231	85460	
538232	45976	Cara
538232	59746	Erika Schäfer
538232	89660	
538232	102452	Lisbeth
538232	107841	Christin Fendt
538232	141962	Frau Müller
538232	156704	
538232	174763	
538232	186125	Me Tobler
538232	191471	Erika
538232	234291	Babett
538232	374647	Barbara Schiller
538232	375160	Hanna
538233	176275	
538234	176275	
538235	278082	Jason (Age 1)
538236	327776	Rachel Silverstein
538237	252524	Kim
538238	175842	Wedding Dancer
538238	222668	Juror
538238	230972	TV woman
538238	265100	Nun
538238	390771	Pickpocket victim (2000)
538239	116377	Child
538240	116377	Child
538241	411941	Co-Anchor (2002-)
538243	105779	Cherry
538243	209209	Tiamat
538243	209210	Tiamat
538244	237844	Empress Eugenie
538244	284399	Mina
538245	98309	
538246	55791	
538247	99794	Tabernera
538247	147056	
538247	268044	
538248	29915	
538248	38399	
538248	44466	
538248	194722	
538248	305776	
538248	332865	
538248	353750	
538249	43197	Tanya Zhurbin
538249	44359	Marusya Nikolayevna, aka Mimi
538249	85213	
538249	156424	Alyenushka
538249	173691	Masha Mironova
538249	176049	Natasha
538249	179329	
538249	180751	
538249	225836	Vera
538249	229080	
538249	248803	
538249	258603	Nastja
538249	314468	
538249	357423	Polinka
538250	91065	Herself
538251	135636	Lo
538252	53635	
538253	353845	
538254	383600	Elena
538254	384376	Bea
538255	5741	
538255	384775	
538255	402158	
538256	21201	Salvati's daughter
538258	394074	
538258	409111	
538259	394078	
538260	389618	Frau Stiebel
538260	394903	Angela Jakusch
538261	401251	Otilia
538261	407640	Jaqueline
538262	55959	
538262	223618	
538262	328046	
538262	380059	La Güera
538262	385502	María Eugenia 'Maru' Rico
538262	398473	Mago
538262	398490	Florinda
538262	402077	Tracy
538262	404172	Tracy
538262	410477	Rebeca Irribaren
538263	72098	Spencer
538263	101765	Jill
538263	359712	Sally
538264	325521	
538266	38957	Herself
538267	57255	Nicosia's assistant
538267	278697	
538268	66075	Alice Hermin
538268	174594	Marie, Maid in Daydream
538269	129582	Becky
538270	402686	Catalina de los Ríos y Lisper
538271	356145	
538272	76011	child
538273	7460	
538273	43657	Mme Avelane
538273	72062	
538273	136974	La princesse
538273	298598	Librarian
538273	340209	Jenny
538273	379368	L'avocate-stagiaire
538274	280129	Amiga 1
538275	222897	La femme du Ball-Trapp
538275	294882	
538275	345342	Mme Paquin
538275	356847	Martine
538275	370105	
538276	3301	
538276	329661	Singer, soprano
538277	70624	Recepcionista Hotel 2
538277	307471	
538278	7457	Adruina Kergalen
538279	12917	
538279	14790	
538279	16162	Carmen
538279	28795	
538279	48841	
538279	51905	
538279	53639	
538279	53640	Herself
538279	53644	Aixa
538279	55241	
538279	55998	
538279	63951	
538279	64346	
538279	65402	
538279	68969	La madre
538279	70519	Dolores
538279	70642	
538279	124005	Herself
538279	132380	
538279	143752	
538279	143753	
538279	154543	Herself - Presenter: Honorary
538279	201351	
538279	210174	Gaby
538279	210439	Alina
538279	219223	Trini
538279	234174	
538279	236022	
538279	259726	
538279	281102	
538279	307839	
538279	317692	Gisèle Landry
538279	325304	Tata
538279	336364	Floria Tosca
538279	376779	Gabi
538280	53635	
538281	52754	
538282	101547	Prostitute
538283	14370	Simona
538283	25851	Beatrice
538283	61427	Lotte
538283	63890	Cousin
538283	68645	Cora
538283	69219	Olivia
538283	78736	Herself (interviewee)
538283	82126	Lorna
538283	82710	Ingrid Haller
538283	108722	Christine Daae
538283	127844	The nun
538283	141185	Sarah
538283	175192	Gina
538283	184466	
538283	185192	
538283	192542	Habagail Folger
538283	194541	
538283	213733	Sally La Chèvre
538283	219458	Violaine Charlier
538283	247189	Valentina
538283	252749	Arianna
538283	275124	Charlotte of Sauve
538283	289582	Anna Battista
538283	302517	Det. Anna Manni
538283	303137	Anita
538283	338403	Aura Petrescu
538283	341415	
538283	342987	Herself
538283	354769	Viola
538283	370017	Yelena
538283	370036	Herself
538283	375796	Martina
538283	378722	Host
538283	397947	Éponine Thénardier
538283	405800	Asia Argento
538284	55759	Lucia
538284	78736	Herself
538284	82709	Hannah
538284	217874	Herself/Vera Grandt
538284	254621	Vera Brandt
538284	338403	Farraday Clinic receptionist
538284	350039	Vera Grandt/Herself
538285	122121	Interviews
538286	115833	
538288	287997	
538288	379438	
538288	387389	
538288	388229	
538288	400998	
538288	408343	Erini
538289	411941	Correspondent (2000-2001)
538290	91215	
538290	206585	Herself
538290	229679	Herself
538290	287620	Martha Argerich
538291	18039	
538291	23938	
538291	52192	
538291	57697	
538291	65704	
538291	89350	
538291	107172	
538291	122042	
538291	153572	
538291	183060	
538291	333871	Gena
538292	193051	
538292	386782	Paula
538292	398665	The Marquise of Coulteray
538293	269499	
538294	2922	Waitress
538295	265841	Sofia
538295	339702	Danae
538295	353252	
538295	400825	Despina
538296	195945	Katia
538296	231129	Crystal (segment "Monstercam.
538297	373567	Singing the songs
538298	35455	Dancer
538298	56301	Angie Taylor
538298	66126	Allison
538298	74209	Laurie Matthews
538298	127549	Kathleen
538298	144840	Kathy
538298	276682	Jessica Bingham
538298	345850	Arvetta
538298	357681	Baboose
538298	388349	
538298	395056	Susan
538298	404613	Cindy French (1976-1977)
538299	138688	
538299	217745	Dancer
538299	241342	Passerby #1
538299	265904	French Lady #2
538300	12104	
538300	209034	
538301	90055	
538302	91298	
538303	6473	
538303	12022	
538303	29742	
538303	51778	
538303	51827	
538303	52715	Don~a Esperanza
538303	52992	
538303	82249	
538303	91307	
538303	91360	
538303	95010	
538303	100509	
538303	102190	
538303	145240	
538303	148035	
538303	167080	
538303	169086	
538303	213528	
538303	221971	
538303	225552	
538303	239278	
538303	248231	
538303	275089	
538303	276410	
538303	343609	
538303	354997	
538303	357907	
538303	371685	
538303	371885	
538304	30474	Rocky's French Girlfriend
538304	176874	Marie (the waitress)
538304	275743	Angela Harris
538304	315241	Carlotta Rucci Accinelli
538304	336783	Renie Lake
538304	396643	Sonja Harper (1983-1985)
538305	265797	Aïcha
538306	289650	
538307	358339	Screaming Girl #1
538308	380054	La chica
538308	380963	Belinda's double - Violeta/Ro
538308	385502	Double of Belinda and Daniela
538308	401659	(2003)
538309	72766	Rosa
538310	274494	
538311	214205	
538312	266227	
538313	239258	
538314	202367	Policewoman
538315	5961	Rose
538316	239258	
538317	232390	Waitress
538317	282037	Penny Green
538317	349876	
538318	123852	Helen, Receptionist
538318	230693	Shopper
538318	319760	Mrs. Calhoun
538319	6817	Anita Lorenzo
538319	63274	Maryana, servant girl
538319	236523	Betty the Dancer
538319	282607	Anna Pavlova
538319	329479	Eve Desborough
538319	330432	Catherine Cabal
538320	311517	Laura Cannon
538322	321227	Bike Shop Clerk
538323	284491	
538323	379816	Fofo
538323	397937	Mitera
538324	376814	Tattoo Artist
538325	8987	Une jeune fille/Chica joven
538325	51089	Verónica
538325	397606	Pilar
538326	73468	Elsa
538327	410380	
538328	287616	la zonarde
538329	308482	
538330	81427	Fille du train
538331	381918	Herself ( Evicted 8th, 105 Da
538332	296660	
538332	328788	Annie O'Farrell
538333	102897	Schaname
538334	766	
538334	767	
538334	768	
538334	770	
538334	6730	NonSex
538334	27014	
538334	34751	
538334	75060	
538334	91833	
538334	106340	
538334	108647	
538334	173720	Voice
538334	194274	
538334	291283	
538334	302251	
538334	312387	
538334	357168	Herself
538334	364724	
538335	307199	
538337	6261	
538337	6722	Herself
538337	20155	
538337	26990	
538337	34739	
538337	34757	
538337	39080	
538337	39081	
538337	43492	
538337	43514	
538337	49208	
538337	58502	
538337	64097	
538337	81797	
538337	83619	
538337	93537	
538337	93538	
538337	93539	
538337	95197	
538337	98986	
538337	101020	
538337	105306	
538337	115278	Morganna
538337	115320	
538337	121707	
538337	122136	Akiko Shiga
538337	139103	
538337	143747	
538337	159771	
538337	161968	
538337	178326	
538337	178327	
538337	195557	
538337	202532	
538337	207282	
538337	207400	
538337	219159	
538337	240741	
538337	245783	
538337	251806	
538337	266722	
538337	266724	
538337	268248	
538337	295643	
538337	303965	Lin
538337	304592	
538337	304783	
538337	314122	
538337	316396	
538337	316400	
538337	316401	
538337	316402	
538337	319643	Herself
538337	327150	
538337	360859	
538337	363413	
538337	367767	Alice
538337	370863	Tracy Tzu
538338	137546	Halfway House Girl #1
538338	229598	
538338	309240	
538339	64092	Mrs. Prune
538339	165442	Mrs. Rochester
538340	76093	Herself
538341	197452	
538342	122495	
538342	378555	Rosa
538342	394940	Mrs. Hamadi
538344	396125	
538345	351494	
538346	104015	
538346	104870	
538346	269269	
538347	380076	Margarita
538347	384501	Tía Agata (2002-2003)
538347	396216	Beatriz
538349	25023	Huésped 1
538349	110749	Party woman
538349	234012	Rachel
538349	398661	Andrea Ramos
538349	400733	
538349	405338	
538349	405916	
538349	408204	
538349	409035	Mariana Aria
538350	7249	
538350	14655	
538350	27981	
538350	44664	Mujer de Nicolás
538350	55240	
538350	56030	
538350	58141	
538350	61138	Engracia
538350	65403	
538350	67218	
538350	70730	
538350	87066	
538350	107479	Maria Ariis
538350	127602	
538350	136149	
538350	189001	
538350	192996	
538350	202149	
538350	202213	
538350	233357	
538350	246209	
538350	255928	
538350	275088	
538350	378396	
538351	92348	
538351	117980	Constanza
538351	127602	
538351	162712	
538351	205713	
538351	211067	
538351	236021	
538351	306707	
538351	375883	
538351	376835	
538352	224834	Mexican Maid
538353	158079	
538354	380088	Coni Valdez
538354	389788	Jimena Arismendi
538354	397015	Susana 'Susanita' Peña López
538354	401694	Carmen
538354	405835	Lucía Reyes
538355	380059	Isabel
538355	397463	Beatriz 'Bety'
538355	409908	Neddy
538356	84258	Mujer Sevastián
538357	158319	Credit Officer
538358	105185	Dress Maker
538358	306275	Nurse
538359	78838	
538360	286744	Poker player
538361	20793	Lola
538361	55168	Delia
538361	118019	Katya
538361	208029	
538361	218935	
538361	255868	
538361	265714	
538361	354231	
538362	370751	Herself
538363	65754	Hot Skates Saleswoman
538363	116053	Confused Lady
538364	29954	
538364	266768	Jennifer Montgomery
538365	25043	
538365	251718	
538365	380081	Leonor
538365	381633	Zora
538365	383141	Bina
538365	384002	Zoraide
538365	385876	Odila
538365	387052	Madame Xavier
538365	387424	Raquel
538365	389643	Sílvia Tavares
538365	391609	Conceição
538365	391901	Rita
538365	393005	Domingas
538365	396847	Rosalina
538365	397415	Bernarda
538365	398220	Lalá
538365	398797	Raquel
538365	399481	
538365	400678	
538365	402809	India
538365	403740	
538365	404273	Esmeralda
538365	404306	Santinha
538365	404798	Berenice
538365	404814	Clara
538365	405418	Constança
538365	409003	Luiza
538365	410014	Rosa
538365	410377	Nena
538365	410476	Rosa
538366	104139	Rocío
538366	266805	
538367	79133	
538367	258483	
538368	9002	La mère du commissaire
538368	53248	
538368	65203	La duchesse d'Alcantara
538368	133068	La reine Amélie
538368	198100	Mme de Lenoncourt
538368	207297	Rosette
538368	228193	
538368	251534	
538368	394166	Mme Laforge (segment "Nuit de
538368	409537	Mme Villeneuve
538368	411699	Mme Courie de Guy
538369	96198	Odette
538369	118176	
538369	218289	
538369	254966	Edith Gassion, dite Edith Pia
538369	281918	Sabine
538369	285751	
538369	386096	Lila
538369	409448	Josyane
538369	410143	La prieure
538370	250787	
538370	339148	
538371	111127	
538371	283982	Françoise
538372	112277	Thérèse
538372	112800	
538372	199871	Flower girl
538372	379665	Alice
538372	387615	Jean
538372	397814	Minouche
538372	405529	
538373	6173	Fransk kvinde ved tolden
538373	15238	
538373	166268	
538373	218243	
538373	350083	
538374	50150	
538374	58180	
538374	83538	
538374	100640	
538374	347464	
538375	51786	
538375	67006	Herminia
538375	255291	
538375	387712	Tía Emerinda
538376	86451	
538377	37902	Madame Dingois
538377	204559	
538377	346625	Evelyn
538377	365396	Party Guest
538378	136948	
538378	147475	Michaela
538378	209099	Dafi
538378	298280	
538378	327067	
538378	372023	
538378	391197	
538378	397881	Ruth Tamir
538378	398267	Maya
538379	185591	
538380	7418	Annie Simon
538380	161741	Nora Kline
538380	240318	Woman in Cemetery Crypt
538380	270891	Bit Part
538380	315275	Ellen
538381	161467	Waitress
538381	303965	Lily
538382	25527	
538382	35097	Suster Rehan
538382	125380	
538382	140002	
538382	163084	Lita
538382	175377	
538382	175742	Dewi
538382	226618	Kirana
538382	288376	Kishi
538382	319852	Berlian Merah
538383	46079	Nelia
538386	274449	Gypsy
538387	139101	Straight Nude Model
538388	175259	Hisako Misawa
538390	359612	
538391	109009	Ung kvinna
538392	24884	Zala
538392	50231	
538392	98325	Herself
538392	101342	Ayse Yilmaz
538392	122553	Anna
538392	126377	Ivy
538392	134219	
538392	184524	Tuelay
538392	186188	Die Kettenraucherin
538392	189601	Nursim
538392	208203	Ana
538392	216216	
538392	226308	
538392	235619	Lili
538392	236401	
538392	246245	Leonie
538392	286810	Noemi
538392	289899	Leyla
538392	290057	Nadiye
538392	314844	Miriam
538392	325852	Uschi Petzold
538392	325868	Sabine
538392	336420	Christina
538392	350849	Selvi
538392	392086	Isabel
538392	392788	Husnije
538392	398905	Hülya
538392	400906	
538392	403458	
538392	404483	Ayse Yilmaz
538393	188071	Akane
538394	177783	
538394	234917	
538395	394140	
538396	29970	
538396	33260	
538396	150050	Contestant #9
538396	307450	
538397	356022	Ismihal
538397	391114	
538398	8887	Asano
538398	29230	Sachiko
538398	50187	Maki, Shuzo's wife
538398	76906	Natsuko
538398	121433	
538398	137046	Teacher, Akiko Takagi
538398	137132	Teiko
538398	144734	Setsuko Hirayama
538398	145442	Setsuko Fujino
538398	156240	Herself
538398	160098	Dr. Takase
538398	164103	
538398	164105	
538398	179307	
538398	179537	Makiko, Isaku
538398	182054	
538398	216309	Junko
538398	219305	Tsuruko Sengi
538398	221846	
538398	227436	Umegawa
538398	232916	Yang Chun Lan
538398	238805	Gin Sama
538398	293673	
538398	309094	
538398	334898	Akiko Sugiyama
538398	358116	
538398	359835	Rui Kenjo
538398	371996	Otane, Hikokuro's wife
538398	374588	
538399	373392	Rose Aplovar
538400	321311	Children
538401	41790	
538401	125235	
538401	174955	Satomi Toba
538401	177239	Koharu Tanaka
538401	231308	
538401	244525	
538401	260417	
538401	373226	Chiyo Mizuno
538401	391522	Hiroko (Mitsuhide's wife)
538401	408438	Satomi Sekiguchi
538402	180683	Japanese diver
538403	217667	Wife
538404	282926	Shirani
538405	165718	Colorá
538405	221756	Azafata 'Un, dos, tres'
538406	10170	Aijan
538406	15196	
538406	95932	Dzhamilya
538406	180236	
538406	217368	
538406	217402	
538406	234298	
538406	253560	
538406	253638	
538406	253645	Altynai
538406	253734	
538406	255498	Miss Suzuki, the nanny
538406	283821	
538406	293713	
538406	303217	
538406	304457	
538406	311578	
538406	325195	Saule
538406	337890	
538406	338187	
538406	344323	
538406	349307	
538406	356041	
538407	75360	Jessica
538407	256220	Virginia
538408	33735	
538408	33829	
538408	48743	
538408	49128	
538408	63590	
538408	91198	
538408	92941	
538408	178798	
538408	180214	Leonida
538408	180539	Grandmother
538408	180743	
538408	182226	Aunt Vera
538408	182240	
538408	198122	
538408	202648	
538408	211192	Vera Arkadyevna
538408	225928	
538408	226000	Yuliya Dmitriyevna
538408	229083	
538408	244716	Popova
538408	258537	
538408	262174	
538408	262544	(segment Nash papa majonez)
538408	262697	
538408	265029	
538408	265991	
538408	266736	
538408	282824	Mme. Loiseau
538408	293847	
538408	303814	Stepmother
538408	313881	
538408	355721	
538408	373977	Nastya
538408	374885	
538408	374990	
538408	381631	Vonlyarlyarskaya
538408	390401	Yulya's Grandma
538408	390635	
538408	406757	Agafya
538409	48946	Angie
538409	79055	Nurse
538409	88548	Judy Muller
538409	91848	Lady Teller
538409	113808	Dr. Cayle
538409	117789	Jerry
538409	119775	Zina's Mother
538409	154450	Mom
538409	154969	Melanctha
538409	158313	Carol
538409	164996	Mrs. Wynn
538409	194963	Reader
538409	217421	Joyce Lacy
538409	226777	Aunt Rosie
538409	237904	Marge
538409	238061	Darlene
538409	259284	Test Examiner
538409	300044	Girl's Home Director
538409	331112	Julie's mom
538410	233482	
538411	233482	
538412	281423	
538413	36458	
538414	64424	Mary
538414	70106	Mawby's Assistant
538414	293198	Hillary
538414	313707	June
538414	317170	Margaret
538414	330026	Governor 1
538415	232011	Miss Robertson
538415	410539	Gillian
538415	410728	Margaret Royston
538416	1849	Sharon
538416	387533	Frankie Smith (1999) (32 epis
538417	377169	Extra fiesta
538418	92567	Tina
538419	229723	
538420	174994	Junko Sasano
538421	374633	
538422	122239	Ayame, Yuriko's sister
538422	371974	Yukino, Kiyoko's daughter
538423	125443	
538424	270453	
538425	386503	
538425	386788	
538425	397862	
538426	145205	Médica de guardia
538427	200518	
538428	374840	
538429	231303	
538430	63910	
538430	248769	
538431	135596	Betty
538432	264205	Cocktail Waitress
538433	165790	Sánchez, Dardo
538434	351494	
538435	143757	
538436	125766	
538436	220754	Luly
538436	378974	Rosa María
538436	401258	Viviana
538437	397499	Andrea Savatti
538438	409922	Gladys
538439	97167	Math teacher
538440	81249	
538441	102398	Slave Girl
538442	395090	
538443	29135	Bandolera
538443	177658	
538443	200143	
538444	300543	
538445	61490	
538446	97453	
538447	213107	Keiko Hatano, World Champion
538448	77151	Reporter
538448	144347	Reporter
538448	164992	Kelli
538448	186681	Female TV Anchor
538448	294980	Reservations clerk
538448	347244	Kitty Anderson, KTXO
538449	234539	
538449	323267	
538450	101818	La secrétaire
538451	317758	Sono, Yamiya's mistress
538452	166644	Gita
538453	355334	Gunapala's wife
538454	407735	Newsreader (1996-)
538455	349069	Aaliyah
538456	55768	
538456	65216	
538456	73092	
538456	148108	
538457	390449	Herself
538458	100293	Sara
538459	205540	Juana
538460	411714	Herself
538461	104853	
538462	401535	Host (1982-1984)
538463	380059	
538463	380795	Violeta Carmona (joven)
538463	385873	
538463	404161	Natalia
538463	410327	La Risitas
538464	387446	Juana
538465	400952	Sonia
538466	33721	Mrs. Vasquez
538466	35524	Scared Kids' Mom
538466	37094	Marbelly Morales
538466	55132	Lupe
538466	64672	Rosa
538466	68554	Rosaura
538466	79937	
538466	79938	Lila Rodriguez
538466	94203	Mary
538466	134506	Estela
538466	135915	Rosa
538466	139841	Rita
538466	186732	
538466	195313	Psychic
538466	296752	Dr. Marshall
538466	348303	Inez Cifuentes, Fashion Consu
538466	398568	
538467	276360	
538468	319554	Immanuelle
538469	399657	
538470	301115	Filipina
538471	17871	La mère de Félix
538471	33543	Hélène de Trevillac
538471	91445	Minerve 3
538471	148659	Élizabeth
538471	225525	Carla
538471	238463	
538471	246646	Lumir
538471	272320	Francesca
538471	301321	Florence
538471	314452	
538471	385680	Marie-Claire
538471	398785	Effie
538471	402622	Germaine Bader
538472	27857	
538472	73516	
538472	100473	
538472	103109	
538472	148771	Une copine d'Èva
538472	284096	
538472	336023	
538472	338869	
538473	337574	
538474	9533	Nurse
538474	18402	Fur shop saleswoman
538474	18452	Woman
538474	171588	Marusja
538474	258846	Singer in a party
538474	271632	Singer
538474	371656	Gregor's wife
538475	217601	Gerda Ryti
538476	231266	
538477	9473	
538478	286732	
538479	33056	Mrs. Queen
538479	81240	Mrs. Hipkin
538479	87025	Tam-Mee
538479	185750	
538479	195973	
538479	312285	
538479	315534	
538480	237832	Alyona, an erotic dancer
538481	174686	Girl
538481	332990	Dunyashka
538482	3181	
538483	92328	
538484	340639	Azucena
538484	343304	
538485	356921	Fenichka
538486	173861	
538486	202306	(segment 3)
538486	210379	
538486	238324	Mariya
538486	238825	
538486	239364	
538486	243989	
538486	265959	Erzhi
538486	280397	Herself
538486	294017	
538486	297858	Vera Groshko
538486	327129	
538486	349051	Yelena Mikhajlovna
538486	349077	
538486	349849	Herself
538487	174779	
538488	241053	
538488	350846	
538489	293450	Aiko
538490	163343	Hutton
538491	81862	
538492	106757	Chris
538493	156950	
538494	141180	Resident
538494	163478	Sally Ann Representative
538494	210462	911 Supervisor
538494	236222	Ticket Agent
538494	289074	PE Coach
538495	116632	
538496	317309	Bonnie & Clyde Musical Audien
538497	162247	Young Phillida Stone
538498	162247	Young Emma Stone
538499	296688	Model
538500	356062	
538501	160787	Anne
538502	75966	
538502	95960	Mother in Train
538502	231358	
538502	234258	
538502	262709	Secretary of Editor-in-chief
538502	300056	The Fatty
538502	359585	Lady with a Dog
538502	375961	Patient
538503	347092	Marie-Thérèse
538504	177912	Hansi, seine Tochter
538504	213781	
538504	308840	Mrs. Huber
538504	343479	Demoiselle Brigelli
538504	347703	Fini
538504	350863	
538505	126828	Gesang
538507	185633	Fortune Teller
538508	114300	Elsa
538509	99940	Stripper
538512	56798	Cat-Woman
538512	96861	Model/Lee Party Guest
538512	184955	Woman
538512	189957	WAF officer
538512	196390	Model
538512	211602	Girl at Maxim's
538512	221304	
538512	229938	Model
538512	289718	Girl with Sleeper
538512	298122	Chorus girl
538512	300063	Chorus girl
538512	308382	Raider
538512	318792	Show girl
538513	61306	
538514	183445	
538515	26633	Garage Customer
538515	73561	E.R. Nurse
538515	76241	Elaine Wells
538515	104681	Mrs. Garland
538515	114223	Sister Marguerite
538515	158142	Joanne Gertz
538515	168675	Girl on Steps
538515	176410	Gloria Duritz
538515	183357	Rochelle
538515	197018	Arlene
538515	220682	Concerned Passerby
538515	249367	Wendy
538515	294509	Dee Harris
538515	312557	Libby Beamish
538515	364459	Shelley
538516	142441	
538517	317354	Student
538518	178015	Salon worker
538518	199272	
538518	233610	
538518	362367	
538518	372431	Wampas Baby Star
538519	111700	Lily
538520	201151	Girl at party
538520	206355	Bridesmaid
538520	342873	Debutante
538521	26619	Mrs. Roberts
538521	31059	Blonde girl
538521	34968	Perky Nichols
538521	36949	Doll
538521	49547	Blonde
538521	105289	Blonde in washroom
538521	136509	Electra
538521	150305	L.P.
538521	150853	Hattie Miller's Girl
538521	156456	Ginnie Hathaway
538521	196352	Whispering Glades Hostess
538521	214932	
538521	304993	Cigarette girl
538521	308382	Raider
538521	372528	Maureen Cole
538521	381487	Assistant (1950-1955)
538521	390180	
538521	411236	Assistant
538522	241752	Henry's Wife
538523	158873	Extra
538524	248420	
538525	401070	Hostess
538526	148520	
538527	275265	
538528	19381	
538528	41769	
538528	55959	
538528	61341	
538528	253293	
538529	9012	Blanche Le Garrec
538529	12278	Ginette
538529	13033	Stella Losange
538529	13118	Agathe
538529	15096	Herself
538529	25094	Rose de Saint-Leu
538529	33541	Madame Desminières
538529	43236	Catherine
538529	55481	Herself
538529	58605	Bernadette
538529	64444	Marie Jeanne
538529	86858	Récitante/Narrator
538529	91983	
538529	96226	Madeleine, la femme de chambr
538529	101228	Garance (Claire Reine)
538529	101501	Lulu
538529	103170	La marquise
538529	104246	Lucrèce du Boccage
538529	107523	
538529	108314	
538529	111087	La locataire
538529	111691	
538529	112824	Ducoudray
538529	115338	
538529	120070	Loulou
538529	123274	La mère d'Albert
538529	124324	Niquette
538529	126081	
538529	127458	Madame Alice
538529	132815	Blanche
538529	135339	La chocolatière
538529	152364	Inès
538529	153884	Raymonde
538529	166176	Totoche
538529	169340	Clara
538529	193430	Loune de Lindt
538529	193432	
538529	194111	Madame Barrault
538529	199334	
538529	199380	Catherine
538529	199598	
538529	201130	
538529	205494	Eve Roland
538529	208481	Gazelle
538529	211849	La belle-soeur de la hourmeri
538529	215061	Arlette
538529	217671	Nine
538529	229030	Herself
538529	235708	Herself
538529	249030	Récitante/Narrator
538529	252321	Parasol
538529	253213	Queen of Abyssinia
538529	254013	Irma Borel
538529	263897	Récitante/Narrator
538529	268391	Edith Mars
538529	315799	Gabrielle
538529	327653	Ida
538529	345120	Josyane
538529	345187	Mme Harmier
538529	345485	Viviane
538529	346625	Anita, Dancer
538529	349493	Arlette Bernard
538529	352631	Emma
538529	355511	Dominique
538529	357036	Anita
538529	357088	Fernande
538529	377017	Herself
538530	8452	La comtesse d'Ormesson
538530	294608	
538530	345105	
538530	346609	Petit rôle
538531	181765	Anne-Mette
538531	304427	Mette
538531	377416	Lisa
538531	394052	Lisbeth
538532	127292	Bridesmaid
538533	128379	Margaret Sinton
538533	280942	Mrs. Willhart
538533	283940	Kate Vendig
538533	316779	
538533	351438	Actress 'Mrs. Elvsted'
538534	92007	School Girl
538535	31996	Betty
538536	20978	Madame Vera
538536	33491	
538536	40533	Dahnya
538536	81269	Mrs. Kosinsky
538536	87507	Gallery Owner
538536	99067	Ana
538536	107804	Madeline Usher
538536	113921	Natalia
538536	136287	Sister Fleming
538536	163586	Fanny Kondos
538536	222657	Gina Meier
538536	244397	Sister Theresa
538536	252853	Athena
538536	256593	Nabilia
538536	303882	Liz Stone
538536	314935	Loretta
538536	330815	Ida May
538536	369492	Helen
538536	403335	Maria Falconetti
538537	85103	Her Aunt
538537	87844	Lady Beaconsfield
538537	87845	Lady Mary Beaconsfield
538537	150996	Hannah Rothschild
538537	177610	Margaret, the Queen
538537	214160	Mrs. Laura Alden
538538	203698	Mary Alden
538539	235618	Lunarcruiser
538540	221645	Princess Christian
538540	285793	Betty
538541	1617	Emily
538541	366668	Hannah Bumpers
538542	1617	Rachel
538543	178462	
538544	148634	
538544	292337	
538544	341484	
538545	266576	
538546	40864	Girl at the Bar
538546	47800	Kim
538546	65432	Gloria
538546	103910	Jenny Bowles
538546	116053	
538546	120427	
538546	133419	Jayne
538546	167043	Nikki Nak
538546	360713	Guest
538547	104549	Collins daughter
538548	44787	
538549	87586	
538550	389359	Ilonka or Jurek or Tanja (199
538551	29558	Guest at the masquerade
538551	40913	Greta
538551	84295	Brita
538551	108200	Greta Björck
538551	182302	Annika
538551	192657	Salla Brockman
538551	209368	Margareta
538552	51800	Beeper's girlfriend
538552	231951	Patsy's Girl
538553	267547	Stacey
538554	219891	Undetermined Role
538555	128256	Clerk
538555	150575	
538555	190858	Lillian Russell's Sister
538555	365087	Sally Bostwick
538555	372676	Vaudeville Actress
538556	117600	Casey
538557	23741	
538557	269162	Georgette
538557	284180	
538557	324638	
538557	343567	
538557	353829	Christine
538557	353830	Christine
538557	378797	Marinette
538557	409435	Françoise Meriadec
538557	412242	
538558	4815	Alcoholic Woman
538558	48324	Rakel
538558	101395	Unni
538558	142951	Zimmy
538558	153287	Heidrun Iverson
538558	153288	Heidrun
538558	153289	Heidrun
538558	178435	Henriette Brunberg
538558	200451	Lame Woman
538558	219446	Eva
538558	229298	Kari
538558	234511	The grandmother
538558	268537	
538558	285877	Vigdis Myrnes
538558	300143	
538558	301408	
538558	378336	Anne
538558	404786	Snorrason
538559	104886	Maja Durban
538559	160521	Hilde Hagen
538559	181077	Ingbjørg
538559	204469	Anne
538559	234511	The mother
538559	284496	
538559	305877	Ida
538559	332254	Sager
538559	389192	Anne Lise Karterud
538559	409884	Ingrid Sterner
538560	284224	La voix au téléphone
538561	114071	
538561	205554	Lady Maud Derringham
538561	303036	
538562	284362	
538563	5291	
538563	12029	
538563	48839	
538563	52600	
538563	54083	Dora
538563	54111	
538563	54112	
538563	55766	Sra.Gamboa
538563	62348	
538563	68941	
538563	74510	
538563	74900	
538563	87743	
538563	125758	
538563	143804	
538563	160611	
538563	167135	
538563	199914	
538563	200537	
538563	210172	
538563	248302	
538563	260948	
538563	328720	
538563	345077	
538563	349845	
538563	352129	
538564	366768	Erica's Mother
538565	378374	
538566	114611	
538566	177692	Tina
538566	269421	Cashier
538567	73049	
538568	113286	Child
538569	27469	
538569	265149	Liliya
538569	403455	
538570	28994	Minette du 14 juillet
538570	319346	
538572	336475	Waitress
538573	337024	Tante Georgette
538574	66745	Nurse
538574	183172	Andreas's wife
538574	235878	Laurence
538574	284220	Mrs. Macer
538574	352300	
538574	374677	Woman
538576	138463	Theatergoer
538576	189125	
538576	205547	Giovanna
538577	303735	Pepa
538578	215402	
538579	328341	
538580	53036	Mary Lou McLooney
538580	96910	Salsa Dancer
538580	379552	
538580	392653	
538580	396394	
538580	398484	
538581	284180	
538582	25835	Herself
538582	25836	Herself
538582	195090	Herself
538582	305489	Herself
538582	360398	Herself
538583	97659	
538584	73234	Maid
538584	222573	Screaming Cleaning Woman
538584	289360	Carmelite Steward
538584	294140	Mrs. Woo
538584	342714	Actor
538584	405298	Nurse Rosa
538585	146452	
538586	224358	Herself/Senior International 
538587	209741	Meg
538588	14132	Cowboy Hat Girl
538588	35093	Holly Sender
538588	331337	Brandy
538589	264099	Herself
538589	292601	Herself
538590	35439	Angolan Cover Girl
538591	276968	Willemina Brown
538592	157343	
538593	276663	The Dancer [Ch. 4]
538595	12378	Kathi Ploderer
538595	42952	Heike
538595	97238	Astrid
538595	140268	Colly
538595	155737	
538595	170675	Fräulein Müller, die Verkäufe
538595	290521	
538595	290523	Zweites Mädchen des Fensterpu
538595	290524	Gerlinde
538595	290525	Evi
538595	361409	Lilo
538596	290048	
538597	289857	
538598	61818	Herself
538599	35814	Zizi's Friend
538599	170536	
538600	5186	Cerise
538600	16950	Une infirmière à la clinique 
538600	18324	
538600	20330	Lucie
538600	33626	La femme de la DDASS
538600	38170	Nathalie
538600	51505	Maéva Capucin
538600	71176	
538600	71528	Pétronille
538600	86727	Le juge d'instruction
538600	103645	Maéva Capucin
538600	106988	Philomène
538600	167103	Frénégonde
538600	192811	La fille en boîte
538600	198636	
538600	211375	Marie-Thérèse, la soeur de Vi
538600	217711	
538600	217843	Thiphaine
538600	219511	Diane
538600	258635	Laure
538600	286896	Célestine Fitting
538600	294187	Olga
538600	296095	L'avocate
538600	303533	Secrétaire-greffière
538600	337032	La journaliste
538600	345042	Charlotte
538600	377269	Mme Blaireau
538600	383305	Maéva Capucin
538601	6680	Marcelline
538601	7462	Une voix
538601	23844	
538601	105550	Irina
538601	198187	Adrienne Nivel
538601	218284	The Schoolmistress
538601	307473	Souka Azoulay
538601	399082	Gaby
538602	399082	Vanessa Ducroc
538603	69993	
538603	91048	
538603	301377	
538604	144405	Angie
538604	146755	Mrs. Ottavio Ferrari
538604	167684	Mama Butsicaris
538604	250546	Claudia Feinstein
538604	329562	Clip from 'Hit the Deck'
538604	396054	Sophie
538604	410614	
538605	321543	Miss Watkins, a Trumpet Playe
538606	6889	Coed
538606	82454	Danielle
538606	89271	Girl on Street
538606	118981	Cynthia
538606	128583	Cynthia Crowley
538606	218785	Caterer
538606	295352	
538606	368876	Col. Kovacevich
538606	393828	Donna Kozlowski
538606	397239	Baby Nurse
538607	72370	
538607	135306	
538607	150080	Fat Singer
538608	105465	Girl in Junin
538609	51809	
538609	395300	Felisa
538609	395707	
538609	409017	Natalia
538610	381013	Mrs. Mikage
538610	404061	Panther, Fan Fan
538610	404771	Rina/Capt. Lexshue/Alisa/Empr
538611	9945	Nurse
538611	199794	Gypsy
538612	202043	
538613	63890	
538614	187197	
538615	74281	
538616	318290	Rehen
538617	351648	
538618	212177	
538619	276972	Secretaria
538619	334646	Modelo
538620	84163	
538621	410311	Marta De Luca
538622	309969	
538623	322397	
538624	75380	
538624	104063	
538624	246390	
538624	255061	Donna petita
538624	263267	
538624	266411	
538624	397865	Host
538625	195247	Pjevacica Seka
538625	390427	Hana
538625	395832	Rada... pevacica u kafani
538626	321394	Melony
538627	400661	Olga
538628	261532	Herself
538629	406330	Jordanne
538630	204594	
538630	204644	
538631	12766	Lolita
538631	27316	Delores Mendoza
538631	44248	Dominga
538631	44293	Conchita Cortez
538631	49353	Herself
538631	51882	
538631	69552	Zalea
538631	112070	Cuca
538631	124689	Rosita
538631	125506	Fidelia
538631	128202	Lita Valdez
538631	143589	Mlle. Babette
538631	170754	Wanama
538631	183024	Carlotta De Vera
538631	198962	Nita Cordoba
538631	205911	Rosa Bona Ventura
538631	210429	Armida
538631	212240	Herself
538631	240693	Pepita
538631	245255	Argumentative Dancer
538631	250668	
538631	251458	Herself
538631	277515	Specialty Dancer
538631	281523	Rosa
538631	293134	Herself
538631	300103	
538631	309848	Putara
538631	309856	Pepita
538631	345957	Dolores
538631	346138	Rosa
538631	366172	Maria Valdez
538632	159145	Capt Roque
538633	5430	The Girl
538633	67816	Perky Clerk
538633	282872	Jacuzzi Girl
538634	144577	Exercise Class
538635	192777	Girl #2
538636	91651	Sophie
538637	255234	Aztec Dancer
538638	31962	
538638	117966	
538638	227870	
538638	235754	
538638	256542	
538638	274872	
538638	378450	
538639	81891	Jamilla
538639	393939	Usher
538640	387340	Additional Voices
538641	155013	Girl/Jack's movie
538642	266735	Toano Middle School Student
538643	372175	Dancer
538644	285471	Maid
538645	194809	Mrs. Bushell (voice on answer
538646	93791	Girlfriend
538646	119009	
538646	166917	Former Girlfriend
538646	214917	Girl in Bed
538646	257649	Miss November
538646	257841	Miss October 1990
538646	261270	Britany
538646	274148	Herself
538646	361850	Herself
538646	361851	
538646	379144	Cat (Catherine Avery Pascal)
538646	379145	Cat (Catherine Avery Pascal)
538646	403060	Co-host
538647	151789	Jaqueline
538648	47952	Tricia Snow
538648	389124	Mlle Beauce
538648	398965	Simmone Cabiroche
538649	58483	Dancer
538649	291897	Red River Valley dancer
538650	108027	
538651	51990	Family in Car
538652	168099	
538653	185477	Agnes Moore
538654	254417	Hortencia
538655	204785	Real Estate Woman
538656	102448	
538656	105185	Clara
538656	118879	
538656	140050	Mali
538656	141748	Herself
538656	174997	Herself
538656	175010	Herself
538656	183951	Noa
538656	193049	
538656	235519	Koran Teacher
538656	280772	
538656	306935	
538656	372039	Shelly
538657	378064	La fiancée
538659	21783	Jo
538659	388363	Martine
538659	391079	Lara
538660	88867	Airline Clerk
538660	158140	Distraught Wife
538660	210732	Susan
538660	211382	Ruth
538660	315160	Smoking Woman
538660	331871	1st Spinster
538660	364094	Flip's Mom
538660	410865	Polly Brannigan
538662	13298	Her Mother
538662	45963	Mrs. Bolton
538662	77296	Celia Stevens
538662	96860	Mrs. Breen
538662	117307	Mrs. Melford
538662	120177	Mary Sparr
538662	152558	
538662	244368	Marion Browning
538662	255452	Malone sister
538662	296908	Undetermined Role
538662	311699	Julia Oakley
538662	347318	Madame Gordon
538662	365964	Alma Fielder
538663	230693	Shopper
538664	209061	Pregnant Woman
538664	358657	Jacinta
538664	401290	
538665	280895	Dancer
538665	348327	Dancer
538666	230384	Momma Ingleborg
538667	139456	Bennie's Girlfriend
538668	352761	
538669	337649	Player
538670	358560	Alysha
538671	118273	Hannah
538672	334180	Dancer
538672	350492	Little Audrey
538673	308928	Cathy as a Child
538674	340033	Juno
538675	964	Jill Kelso
538675	29964	Corie Bratter
538675	63013	Molly Jackson
538675	85834	Katie Harnish
538675	93139	Elaine
538675	117789	Roberta 'Bobbie' Bradshaw
538675	118372	Ginny Newley (Callan)
538675	126696	Kristine Lawrence
538675	143006	Mandy Roberts
538675	144892	Eve 'Evie' Tozer
538675	150924	Cissy Anderson
538675	151641	Sally Claybrook
538675	165966	Kathryn Morgan
538675	166637	Mary
538675	183235	Judy Hale
538675	216445	Pilar Graham Coleman
538675	220059	Kate Watson
538675	235615	Donna Mildred Martin
538675	251646	Dr. Klompus
538675	252866	Jill Michaelson
538675	292223	Sister Elizabeth
538675	294798	Eugene Sutphin's Nurse
538675	297894	Denise Connell
538675	298008	Barbara Pope
538675	303755	Maggie
538675	315113	Becky Sapp
538675	323427	Connie
538675	329411	Mrs. Jade Randall
538675	330699	B.T. Brady
538675	358672	Laurel Lee
538675	362861	
538675	379715	Paula Winters Russell
538675	396934	Elizabeth Meyers
538675	398735	Patty Chase
538675	400161	Julia Peters
538675	407941	Mickey Glass
538676	14603	Helga
538676	14982	Pvt. Biddy O'Hara
538676	52804	Aunt Agg
538676	68290	Anthea
538676	78780	Old Katherine
538676	83982	Mary Anne
538676	102155	Massie
538676	117212	Elizabeth
538676	137462	The Maid
538676	139052	Lead makeup woman
538676	149769	Mrs. Webb
538676	158916	Marie
538676	159435	
538676	164400	Typing Teacher
538676	192570	Gloria
538676	213028	Isobel
538676	274057	
538676	290341	
538676	346374	
538676	360453	Rosemary Layton
538676	384783	Tessa March
538676	385299	Miriam Brooks
538676	386591	Liz Arkdale
538676	396787	Laura Ryder
538676	398564	Dian de Momerie
538676	403993	Various (104)
538676	407399	Cornelia
538677	66163	Allie
538677	66164	Alli
538677	66165	Allie/Annabel
538677	149757	Sam
538678	50207	Paula Douglas
538678	144972	
538678	207093	Bethany Edwards
538678	387429	Gerry Peters-Smith
538678	392705	Hittite Woman #1
538678	405045	Candy
538678	406040	Pearl Parker
538679	115378	Randy S. Drayer
538680	141305	Vesta
538680	189233	Stenographer
538680	252919	Jennifer
538680	387309	Tess McAdams (1984)
538681	236145	The prostitute
538682	331100	Wanda Dubois
538683	358560	Krista
538684	364556	Mary
538685	68733	Mrs. Emily Brown
538686	241055	Princess Hena
538687	30678	Street Girls
538688	305405	Woman at Mansion
538689	405553	Cissi Eldh (2002-)
538690	381455	Presenter
538690	390195	Herself - Presenter (1992-199
538690	399317	Herself - Newsreader (1987-19
538691	89009	
538692	39274	Jessica Gordon
538693	201724	Herself
538693	265769	Nurse
538695	41746	Player (Slammer)
538695	333604	Mud Wrestler
538696	52138	
538696	253099	
538697	358560	Hope
538698	65184	Robert's teacher
538699	254670	Police Officer
538700	70178	Margaret
538701	94621	Dancer
538701	207036	Lisa
538701	289113	Cheerleader
538702	201569	Herself
538702	233926	Grandmother
538703	137623	Child
538703	323394	Margaret Dorland
538704	242747	Hannah
538706	67063	
538707	36871	YMCA desk clerk
538707	310423	Old Lady
538708	340226	Maggie
538709	143868	Caroline
538709	208281	Susan One Spot
538709	233519	Isabel LeClaire, Miss France
538709	402610	Secretary
538710	155325	Anna Wertheim
538711	108060	Mrs. Alice Ford
538711	336506	Marietta
538712	236957	
538713	300583	Herself (theologian)
538714	40755	
538715	12254	Cindy
538715	13531	Roseanne
538715	20787	
538715	41227	Cindy
538715	72560	Christie
538715	228002	Prostitute
538715	301824	Nicole
538715	316720	Julie
538715	321734	
538716	181258	
538717	391588	Nancy Brindle
538718	184717	Woman Dance Partner
538719	149757	Roped Girl
538720	1646	Lydia Rawlings
538720	1734	Herself - Presenter
538720	15218	Sarah Trendle
538720	67833	Deb Forrest
538720	76542	Shawn Burton
538720	126700	Kate
538720	134333	Annie
538720	141257	Sue
538720	152968	Michelle Harris
538720	171332	Annie Martin
538720	175795	The Beauty
538720	184717	Sonja Zat
538720	201881	Lydia Rawlings
538720	241689	Carolyn Matisse
538720	245876	Trish
538720	379749	Beth Sumner (1992-1993)
538720	385016	Cheryl
538720	387152	Elena, Duchess of Branagh (19
538720	390917	Officer Jady
538720	396892	
538720	397236	Dr. Louella Davis (2002-2003)
538720	399948	Dr. Dianne Bates(1994-1995)
538720	402197	Lynn Warner (1979)
538720	405616	Angie Murrie
538720	406891	
538721	117496	Snake Charmer
538723	187986	Tammy Larsen
538723	200177	Gwyn
538724	62258	Silicon Sylvie
538725	218180	Puppeteer on Grim Reaper
538725	389217	
538726	84494	Deuce Girl
538726	317260	Office Worker
538727	213996	Kezia
538727	282384	DC Walker
538727	328754	Car Darch
538727	403849	Sister Brigid
538728	385299	Kathie Lamb
538729	303868	Courtenay
538730	43885	Zombie Girl with chair
538730	85002	Witch with Green Hair
538730	350191	Dancer
538731	380346	Dolly's Child
538732	26863	
538732	124714	Fat Woman
538732	220531	
538732	246730	German
538732	249621	Bit Part
538732	333726	
538732	363622	Fat Woman
538732	364773	Mrs. Johnson
538733	16089	Butler
538733	17475	Miss Jones
538733	17693	Undetermined Role
538733	17771	Mrs. Oakley
538733	32500	
538733	54949	Mrs. Hite
538733	60036	Miss Armstrong, Character Wom
538733	67157	Dean Elton
538733	94966	Mrs. John T. Duke
538733	109206	Iowa Neighbor
538733	113634	Undetermined Role
538733	118304	Admitting Desk Nurse
538733	129778	Mrs. Daniels
538733	132819	Martha
538733	155028	Undetermined Role
538733	183638	Governor's Wife
538733	190065	Mrs. Briggs
538733	190587	Martha, the Housekeeper
538733	192131	Mrs. Jennings
538733	198454	Mrs. Delia Morpher
538733	203543	Mrs.Van der Girt
538733	206861	Gossip
538733	210399	Ma Bradshaw
538733	234090	Dowager
538733	244865	Amy
538733	246215	Operator supervisor
538733	266689	President
538733	269851	
538733	297962	Martha, the Maid
538733	307355	Gypsy Woman
538733	309208	Mrs. Dawson
538733	331721	Mrs. Johnson
538733	335318	Miss Frazer
538733	337625	Tolliver family member
538733	346908	Woman
538733	360421	Mother
538733	361757	Mrs. Gregory
538733	367820	Mrs. Tatum
538734	68137	Alice Adair
538735	10813	Lucy Marione
538735	66680	Lorna
538735	66682	Lorna
538735	66684	Lorna
538735	383891	Older Vi
538736	16729	
538736	91862	
538736	123460	Helen
538736	142541	Financial Newscaster
538736	303608	1st Woman Inmate
538736	310572	
538736	330503	Anita Stevens
538736	383768	Woman at Houston Playhouse
538737	60037	Guest at Dude Ranch
538738	321774	Lady With Dog
538739	10875	Tammy
538739	37673	
538739	37700	Cheryl
538739	37701	Venessa
538739	80695	Rockhouse Customer
538739	100711	Mountain Nug
538739	102795	
538739	158138	Laser Model 2
538739	164983	Dawn
538740	230010	
538741	171297	Bystander #2
538742	29745	Grandma
538743	151183	Little Girl #1
538744	296967	Lady Attorney
538745	49389	TV Newsreader
538745	100952	TV Newscaster
538745	115209	Rosalinde
538745	400725	
538746	64498	Mimi Trakas
538746	311826	Stolen Purse Woman
538746	392294	
538747	209198	Mom
538748	411529	Reporter, Anchorwoman (1984- 
538749	16637	Catfight Groupie
538749	52312	Herself
538749	57936	Herself
538749	144689	Attractive Woman
538749	157061	June
538749	160637	Jamie
538749	219638	Nurse
538749	220545	
538749	257644	Miss September
538749	257859	Herself
538749	296353	Herself
538749	353699	Herself
538749	361850	Herself
538749	361862	Herself
538750	229935	Pluvia
538751	1737	Herself
538751	79081	Josie
538751	235403	Kara Fratelli
538751	368707	Sophie
538751	387678	Emily
538751	408757	Gypsy
538752	158102	Chorus
538752	304683	
538753	318344	Monica
538754	169136	Child Chorus
538755	64516	
538755	342367	Vocalist
538756	69895	Woman Senator
538756	220427	Franklin's Wife
538756	228664	Naughty Nurse
538756	232460	Mrs. Jordan
538756	235600	Lena Schwartz
538756	263360	Woman in Lobby (Hotel)
538756	279152	Debbie Hardgrave
538756	314127	Stewardess
538756	323588	Woman in red coat
538756	352712	Caroline Sorenson
538756	389530	Alice McRaven
538756	400236	Minna (1981-1983)
538756	404282	Marisa Perkins (1984-1985)
538757	1491	Herself - Performer
538757	367844	
538758	204943	Nerita (Nerissa)
538758	279165	
538759	333327	Dancer
538760	97022	Vicky
538761	396484	Minawa Ando/370 (Season 2)
538762	183764	Annie (age 8)
538763	342623	Nurse #2
538764	1787	Female Friend #1
538765	127811	Minnie Peters
538766	287413	Mousey Clerk
538767	137706	
538767	306976	Zora
538768	70397	Joanna
538768	395091	Anne Lancaster
538768	399130	Beverly Marshall/Robinson (I)
538769	115269	Women Coalation Diner Patron
538770	362860	Molly (age 2)
538771	402	Wanja Perescu
538771	34250	Pia
538771	35824	Katherina
538771	40768	
538771	53060	
538771	55148	
538771	96007	
538771	99174	
538771	125170	
538771	125277	Halbweltdame Pandorita
538771	127580	
538771	147015	Märta Tamm
538771	147168	
538771	159621	
538771	166764	Dirne/Prostitute
538771	174771	
538771	174772	
538771	177152	Lu Thiemann
538771	207166	
538771	211107	Mila Wentos
538771	219277	
538771	254931	Jessie Gurdon
538771	290067	Julchen
538771	290674	
538771	290818	
538771	293523	Frau Woerden, Pensionsinhaber
538771	293546	
538771	294213	Ines Brown
538771	324675	Elly
538771	329899	
538771	347009	Ärztin Fräulein Dr. Drewello
538771	347678	Lissy Verhagen,Schauspielerin
538771	350856	
538771	359627	Herself
538771	361384	
538771	367190	
538771	375224	Lillie Trent
538771	375986	Nelly
538772	83201	Silvia
538772	112665	
538772	120813	Rosemonde
538772	162609	Isabelle
538772	193501	Circus Rider
538772	213059	
538772	236555	Mlle. Farnoux
538772	237619	Nahedad Sin
538772	309450	Rita
538772	338592	La femme arrêtée
538772	340670	Mme Léonce
538772	353877	Lucienne
538773	32369	Kerstin
538773	33254	prästen (episode 3)
538773	96429	Lucy Krogh
538773	114776	Beata
538773	139647	Anna
538773	200451	Helena Bolin
538773	240208	Maria
538773	308195	Vanja
538773	308199	Sture's wife
538773	346062	Shop assistant
538773	351989	The Custume Designer
538773	387527	Elisabeth Hansson
538773	387628	Telefonist (episode 3)
538773	389600	Ann-Britt
538773	390725	Maria Westerholm, politician
538773	394940	Mona
538773	395716	Sonja (episode 1.1)
538773	396533	Majken's mother
538773	405570	Alice Cook (75 episodes 1999-
538774	64492	
538775	8548	
538775	9463	
538775	9866	
538775	13016	
538775	15432	
538775	34219	
538775	52734	(Episode 2)
538775	68067	
538775	91150	
538775	103657	
538775	104174	
538775	130003	
538775	137107	
538775	145550	
538775	162112	
538775	162587	
538775	168747	
538775	177746	Kathy
538775	180368	
538775	181838	
538775	197424	
538775	207833	
538775	213776	
538775	267068	
538775	270664	
538775	280274	
538775	284735	
538775	285403	
538775	294507	
538775	296553	
538775	308857	
538775	320279	Nelia
538775	321476	
538775	326401	
538775	351614	
538775	404051	Marietta
538776	85598	
538776	92482	Robot
538776	351578	Fafa
538777	270868	
538778	278319	Gilda
538779	403056	Tina Romero
538780	8360	Sigidur
538781	55709	Trudi Trelawney
538781	91784	Anna
538781	151005	Diane Gilbert
538781	153995	Model
538781	194690	Sue Cochrane
538781	203322	
538781	203678	Jean Cramer
538781	206108	Petra
538781	216810	Diana Leigh
538781	302128	Makeup Girl
538781	340919	Lisa Maitland
538781	350114	
538782	190774	Female Bus Passenger
538783	187627	Narradora
538783	205119	Albi
538784	12104	
538784	52788	
538784	101859	
538784	104171	
538784	125767	Herself
538784	138190	
538784	146472	
538784	307721	
538784	351997	
538785	205119	Albi
538786	235870	Performer
538787	235870	Performer
538788	334172	Damen i kurven
538789	212320	Grillbabe #2
538790	242873	Björt Herbertsson
538791	212320	Grillbabe #4
538792	378123	
538793	31625	Billa
538793	95277	
538793	95278	Uschi Jacobs
538793	95279	Uschi Jacobs
538793	95281	Uschi Wolgast
538793	95282	Uschi Jacobs
538793	126360	Margret
538793	144129	Gudrun Kullmann
538793	145353	
538793	159610	Ingalo
538793	196439	Ewa
538793	274912	
538793	290190	Leandra
538793	294574	Susanne
538793	314371	
538793	375513	Manu
538794	80904	Secretary
538794	197016	Schmidty
538794	310338	Amber
538795	23058	Elder lady
538796	34911	
538796	113610	Sharecropper
538796	192514	Fillet of Soul Singer
538797	73142	
538798	240428	
538798	260796	Swedish Au-pair #1
538798	377068	
538800	48940	La Maquerelle
538800	147457	Unknown
538800	202090	La voisine de Mme Bailly
538800	211677	L'hermaphrodite
538801	132403	Virginie
538802	92181	London blonde
538802	290389	Madeleine
538802	367909	Nonspeaking Model
538803	197537	
538804	307479	Employée
538805	7438	
538805	25322	Angelica
538805	72074	Une cliente
538805	120813	
538805	205217	
538805	355280	Louise de la Vallière
538806	239222	Martine
538807	18320	
538807	45140	Une timide
538807	66225	
538807	68663	Une femme du potier
538807	132991	
538807	169227	La serveuse du café
538807	240539	Rose
538807	345032	L'épicière
538807	345394	
538807	384744	Gisèle Pelletier
538807	384912	La vache rousse Cornette
538807	389000	Mariette
538808	396610	Célia Regina (2002)
538809	185824	
538810	907	Juliette
538810	345448	
538810	378789	Herself/Co-host (2004-)
538810	392935	Herself/Host (2004-????)
538811	54360	Mamma Lucia
538812	67211	Catherine Royer
538812	108886	Lady Beltham
538813	104731	Luxembourg entry
538814	340116	Streetwalker #1
538815	112840	Roberte Amoretti
538815	229494	Juliette
538816	382690	Sheila
538816	404306	Dulce
538817	88697	La pute frappée
538817	246291	La Pintade
538817	328087	
538817	399082	Fliquette Bruce Lee
538818	57284	
538818	340347	
538820	53602	Elma Melton
538820	74758	Marguerite Hickett
538820	83814	Pauline
538820	124688	Julie
538820	127283	Millie
538820	157293	Duchess of Tann
538820	183685	Queen of Ardenberg
538820	217701	Georgette, the Maid
538820	230259	Rosa Pirenti
538820	240445	Maria Wislak
538820	264149	Countess Annette
538820	315594	Louise
538820	327644	Amy Howard
538820	335344	Mme. L. Labouche
538820	335510	Louise Allington
538820	364850	Princess Suzanne
538820	367623	Henriette
538821	95697	
538821	209823	Vyara
538821	223581	
538821	227970	
538821	242462	
538821	242467	
538821	258536	Sakvartirantka na Pavlina
538821	288977	Eltzin's wife
538821	289340	Snezhana
538821	314392	
538821	320648	Madamata na Anto P. Antov
538822	6437	
538822	30596	
538822	32506	
538822	103565	
538822	244215	
538822	311584	
538823	298734	
538823	348708	Paraskeva Dimitrova
538824	244719	Zhenata na Stefan
538825	70940	
538826	108206	Mme. Calais
538826	121414	Hélène
538826	205973	Cathy
538826	237790	Élise
538826	269244	Martine
538826	345447	Véronique
538826	410309	
538828	170216	Herself
538829	64261	
538829	111421	Bambi
538829	114609	
538829	122815	
538829	154734	Rini
538829	165085	
538829	165086	
538829	210495	
538829	234501	
538829	250442	
538829	310627	Julia
538829	317725	Tience
538830	2355	Herself
538830	2775	Herself - Performer: 'Hooray 
538830	4703	Helen Steves
538830	31202	Herself (CBS Team)
538830	38006	Saunders McArthur
538830	42365	Herself
538830	57492	Herself
538830	64556	Herself
538830	64564	
538830	81269	Judy
538830	86459	
538830	92248	Judy Connelly
538830	154399	Herself
538830	166073	Molly Bell
538830	197069	Herself
538830	207866	Sydney Wyatt
538830	232017	Herself
538830	292247	Amy
538830	342216	Herself
538830	359750	Maggie Parker
538830	361255	
538830	364164	Gloria McClinton
538830	364195	Elizabeth Short/The Black Dah
538830	367068	Aunt Em
538830	391416	Kim Carter
538830	396133	Jane Lucas
538830	405961	Tess Hammersmith
538831	75031	
538832	268584	Krilova
538832	300490	
538833	77006	
538834	304408	Elna Persdotter
538834	314385	Inga Bohrn
538835	555	Katarina Arendt
538835	40389	
538835	62107	Sarah
538835	110430	Bibiana
538835	140025	Annemarie Reiter
538835	142141	
538835	144149	
538835	182995	
538835	184596	
538835	210491	
538835	225214	Sophie
538835	262512	Judith
538835	281639	Luise Kautsky
538835	305432	Angela Hauser
538835	358937	Petra
538835	364961	
538835	382116	Johanna von Bismarck
538835	386977	Marie
538835	405311	Frau Siebenstein (1989-)
538835	410536	Sybille
538836	314113	Mrs. Crawford
538837	5659	
538838	259554	
538839	29332	Karin Bergmann
538839	34288	Carola Franke
538839	122587	Melanie
538839	136086	Amelia Lindner
538839	210043	Claudia
538839	225258	Katja
538839	259463	
538839	278128	Stefanie Neumann
538839	281734	Caroline Page
538839	312875	Kerstin
538839	314878	Claudia
538839	325492	Bianca Raguse
538839	343686	Assistentin Schlueter
538839	352047	Lizzy von Kappel
538839	376289	Nicole Kost
538839	376361	Anna Jensen
538839	388798	Anna
538839	412102	Anna Jensen
538840	381294	Babette
538841	213964	Sandy
538842	112774	
538843	314811	Stewardess
538844	242775	Andrea Heddergott
538844	400353	Andrea Heddergott
538845	290194	
538846	16312	Mutter
538847	138348	Disco woman
538847	278711	Vivien Santiago
538847	395809	Tamara Cook
538848	307211	Fru Petersen
538849	34402	Martirio
538849	42556	Serveringsdame
538849	99514	Siri
538849	136451	
538849	144068	Frk. Monsen
538849	153958	Nina
538849	177092	Kari Nes
538849	198057	
538849	281992	Monica
538849	344290	Tone
538849	347004	Petrina
538849	348962	Kari Holm
538849	353000	Li Arnessen
538850	139643	The Jade Pussycat
538851	14155	Female Record Executive #2
538851	400553	Maria
538852	108977	
538852	124357	
538852	178303	
538852	183735	Brunette
538852	254175	
538852	266745	
538852	309697	Stella
538854	75705	Chetty's Girl
538855	170411	Coffee bar person
538856	387262	Ebba Matilde Reng
538857	272642	Guest at restaurant
538857	276336	Girlfriend
538857	284121	Maj Vikström
538857	304161	Amanda, waitress
538857	304212	Eva
538857	400344	
538858	210902	Deena
538858	368110	Woman with Stacey
538859	26563	Maenad (chorus)
538860	5028	Ruthie
538860	79478	Mom at Durenberger's
538860	114251	Deb
538860	204214	Virginia Peterson
538860	264761	Parking lot mom
538860	338553	Cora
538861	6561	
538861	9695	
538861	18799	
538861	23070	
538861	30400	
538861	51777	
538861	53084	
538861	75202	
538861	103743	
538861	113230	
538861	132713	
538861	136846	
538861	206571	
538861	235319	
538861	243685	
538861	291601	
538861	291677	
538861	296457	
538861	307728	
538861	317698	
538861	319857	
538861	334682	
538861	352945	
538861	353234	
538862	117543	Audrey
538863	201579	Alrene
538863	229213	Parent
538863	269674	Dr. Tippit
538863	314675	Miss Steigler
538863	339404	Marjorie Melville
538863	399251	Molly Lundstrom
538864	16298	Mila
538864	23362	
538864	28219	
538864	31922	
538864	35833	
538864	36532	
538864	43009	Ribarica
538864	58913	
538864	88135	
538864	95687	
538864	102918	
538864	132161	Anka... sluzavka
538864	137715	Maira
538864	163051	Delfina
538864	163052	
538864	163168	Vera
538864	171433	
538864	171494	
538864	179109	Mlada
538864	179626	
538864	180666	Nadica
538864	181174	
538864	182252	Nada
538864	192897	Devojka bez prenocista
538864	195251	Dana
538864	206072	Marija
538864	217290	Ruzica Zvezdanic
538864	223108	
538864	225859	
538864	228172	Biljana (Natasina majka)
538864	229176	Misina majka
538864	229220	Biljarica
538864	229277	Vida
538864	229564	
538864	230097	
538864	237855	Silvija
538864	239021	
538864	243578	Dusanka
538864	244024	Margerit Jursenar
538864	244026	
538864	247963	Caterina
538864	258640	
538864	259063	Rina
538864	259206	Vera
538864	262206	
538864	262220	
538864	265321	Marta
538864	266649	
538864	266738	
538864	267118	Djordjeva majka
538864	268954	Sophie
538864	270527	Ruzica
538864	273087	
538864	286888	
538864	295057	Ljubinka
538864	296981	Jazar
538864	318870	
538864	320367	
538864	323341	Narcisa Vidmar
538864	334500	Mrs. Coric
538864	339307	Natalija
538864	343799	
538864	349209	Jelena
538864	350680	Olja Miranovski
538864	351016	Meira
538864	351801	Anna
538864	355548	Visnja
538864	355550	Agata
538864	357316	
538864	357318	Popadija
538864	387137	
538864	390660	
538864	395607	
538864	397526	Miroslava, Zlatkova mama
538864	397527	Miroslava, Zlatkova mama
538864	397528	Miroslava
538864	397530	Miroslava, Zlatkova majka
538864	398921	Irina Spasic
538864	399133	Vokativ
538864	400481	Rut
538864	401749	
538864	401750	
538864	402118	Ljubinka
538864	402119	
538864	404090	
538864	409878	Meira Matsek
538864	410429	Popadija
538865	171227	Woman
538866	26258	
538867	101586	Innocent Victim (Wearing Dres
538868	199145	Melinda Foxwood
538869	50273	
538870	212336	Herself - Participant/Perform
538871	388307	Tonje Frydenlund (1996-1998)
538872	347300	Eyewitness #2
538873	26404	Fanny
538873	28518	Sekretær for Ludvigsen
538873	30282	Clarissa Rabenfeldt
538873	37904	Strygerske Agnes Solberg
538873	55126	Kamma
538873	154138	Ulla Strang
538873	154235	Nancy Parling
538873	154319	Fru Petersen
538873	166599	Connie Smith
538873	181152	Housemaid at Junkersen
538873	182603	Else Thorsen
538873	204226	Margaret
538873	211055	
538873	213437	Beatrice
538873	214330	Kitty
538873	240101	Fru Hansen, Egons sekretær
538873	300976	Bonnie Belgraves
538873	309292	Frue
538873	319087	Fru Mikkelsen
538873	322684	Esther Wulff
538873	331731	
538873	343519	Forstanderinden
538873	353010	Illona Wallberg
538874	365252	
538875	347038	Jamie
538876	220960	Ms. Swedlin
538877	253919	Pirate & Indian
538878	257644	Miss April
538878	257645	Herself (Miss July)
538878	319439	
538879	289966	Reva
538880	606	Party Guest
538880	45609	Lana's Mom
538880	46154	
538880	52635	Receptionist
538880	64830	
538880	82327	Mrs. Richter
538880	95270	Irma Pritchett
538880	113495	Grace
538880	113501	Alice Johnson
538880	114168	Sissel's Mom
538880	115470	Patricia 'Nikki' Felch
538880	115842	Donna Jo
538880	169859	Monica Grimes
538880	183872	Glynnis Mullen
538880	214751	
538880	251194	Nurse
538880	263782	Cheryl
538880	274449	Cindy
538880	296849	Southern Belle
538880	299202	Silver Melville
538880	302783	Maureen Harrison
538880	303235	Helene
538880	305341	
538880	307975	Edna Rice
538880	323487	Fran
538880	326780	
538880	372847	Lillian
538880	378627	Doris Shales
538880	393227	Sophie Ford
538881	230933	Femme Fighter
538882	215690	Miss Alabama USA (1st Runner 
538883	238550	Laura Mead Arnold
538884	266554	Flower Shop Girl
538885	112023	Margaret Tolkin
538886	397956	Narrator
538887	61615	Herself
538887	117223	Jude
538887	154482	Amy
538887	185539	Party Guest
538887	191896	Danielle 'Nellie' Olesen
538887	212734	Herself
538887	319951	Cameo
538887	331935	Stevie
538887	395735	Nellie Oleson Simms Oleson Da
538888	233989	Sólveig
538889	407361	Host (1987-)
538890	366765	Elen Farram
538891	135157	
538891	161776	
538891	235764	
538891	307598	
538892	120381	Hushjælp hos Peter Bruun
538892	154131	Korpigen Margot
538892	214197	Dolly Plummer
538892	249744	Mariannes Veninde
538892	340426	Paula
538893	99218	Sara
538893	130070	Mrs Johansson
538893	132431	Benny's Mother
538893	171557	Ove's mother
538893	182570	Hjördis
538893	197808	Elevhemsföreståndaren
538893	320611	Helga
538893	354426	
538893	390231	Mrs. Johansson
538894	101818	Sylvie
538894	236622	Véro
538894	346716	Infirmière de jour
538895	147745	Woman in Elevator
538896	19988	Austin's girlfriend
538896	23951	Nikki
538896	68153	Cassidy
538896	147745	Woman in Elevator
538896	209436	Wet Dream Nurse
538896	359700	Chic Sales Girl
538897	78006	
538897	147944	Hostage
538897	312141	Dancer #1
538897	344197	Venus
538897	403248	Toni Delacroix (2000)
538897	411802	Sasha Green (1995-1997, 2002)
538898	27408	Veera
538899	40815	Galaxrådsmedlem
538900	3369	(hardcore inserts - French 19
538900	25263	Marie-France
538900	61198	
538900	70315	
538900	104244	
538900	112879	Heplabelle
538900	159522	
538900	173953	Michèle
538900	198248	
538900	228201	
538900	255658	Marie-France
538900	259980	
538900	296466	
538900	336057	
538901	68400	
538901	94345	
538902	340009	La Suora Zelatrice (Suor Ange
538903	61424	La prostituée
538903	84639	
538903	193431	Zette
538903	236021	
538903	256873	Nicole
538903	257010	Françoise Piédalu
538904	153847	Floka
538904	261842	La serveuse
538905	185525	Miss Rosetti, clerk
538905	194934	Old Woman in Box
538905	195847	Russian Woman
538905	261023	
538905	264996	German Landlady
538905	306440	Madame Verni
538905	313954	Barber Shop Manager
538905	316604	
538905	323446	Mrs. Rusman
538905	330527	Kurtz's mother
538905	338746	
538906	11024	Isabelle
538907	158804	
538908	385824	Samantha Gene 'Sami' Brady (#
538909	87234	Abbie
538910	358560	Alique
538911	241502	Newscaster
538912	274010	Dorothy
538913	378942	Dawn Lodge
538913	398301	Herself - Presenter (1988-199
538913	399585	Dawn Lodge (1982-1988)
538914	194568	Julie
538915	30644	Dahlia
538915	81649	Rosalee/Harry's Character
538915	94167	Kathy
538915	108352	Louise
538915	114241	Miriam Feld
538915	114364	Cashier
538915	338930	Sandy
538916	42854	Sally
538917	329273	
538918	216278	Frau Stolz
538918	325670	Sigrit Stein
538918	380883	
538918	396874	Annalena Bergmann, gesch. Töp
538918	410002	Nicole Mauerhoff
538919	117207	
538920	43268	
538920	43785	
538920	45450	
538920	45481	
538920	53048	
538920	54475	
538920	74081	
538920	74084	
538920	109995	
538920	110327	
538920	111423	
538920	116099	
538920	116166	
538920	117920	
538920	118000	
538920	120569	
538920	120663	
538920	127317	
538920	130250	
538920	131841	
538920	131877	
538920	141153	
538920	141781	
538920	147106	
538920	149737	
538920	149738	
538920	149791	
538920	150828	
538920	161879	
538920	176380	
538920	183614	
538920	188413	
538920	194416	
538920	209498	
538920	215776	
538920	218386	
538920	218395	
538920	218412	
538920	218431	
538920	218432	
538920	218433	
538920	221798	
538920	222333	
538920	227547	
538920	236495	
538920	246953	
538920	252270	
538920	261606	
538920	264675	
538920	291521	
538920	300717	
538920	300861	
538920	305291	
538920	310960	
538920	312799	
538920	318480	
538920	329942	
538920	330461	
538920	331829	
538920	333727	
538920	339574	
538920	346189	
538920	349261	
538920	350693	
538920	364151	
538920	366709	
538920	372079	
538920	374403	
538920	397777	Penny Penguin/Flora Fly
538922	209221	Lee
538922	213866	Center Woman
538922	354673	Lisa, Massey's Girl
538923	13562	Mrs. Ambrose
538923	13563	
538923	13566	
538923	13567	Her Daughter
538923	27635	
538923	75586	
538923	91997	Waitress
538923	107130	Madeleine
538923	125901	Spectator
538923	126638	Girl
538923	136162	
538923	136163	
538923	136164	
538923	136165	
538923	136167	
538923	139036	
538923	140810	
538923	141466	
538923	143239	
538923	143307	
538923	143457	
538923	145979	
538923	146033	
538923	146113	Mrs. Rich
538923	146132	Girl
538923	146186	Cave Woman
538923	146234	Young Wife
538923	146249	
538923	146251	
538923	148229	
538923	152548	
538923	153216	Mary Wiggs
538923	207291	Actress
538923	295188	
538923	318021	
538923	329756	
538923	331102	Girl
538924	75653	Kiki Raphael
538924	127407	Kate O'Neil
538924	139434	Lucinda Kincaid
538924	167256	Annie Hilburn (Age 7-11)
538924	241461	Callie O'Malley
538924	272085	Sarah Berman
538924	285357	Sally Christianson
538924	384765	Zelda Larsen
538926	193000	Valentine Girl
538927	316028	Girl at Party
538928	190895	
538928	196956	Mrs. Sparsley
538928	222664	
538929	124968	Tamara
538929	392086	
538930	109395	Simone
538931	193124	
538932	42768	Dinah Lee
538932	190727	
538932	214508	Angelo's girlfriend
538932	240023	Charlotte
538932	273422	Lyndsay
538932	378830	Regular Performer (1978-1980)
538932	382514	Betty James
538932	385020	Sylvie Hicks (1981-1982)
538932	387247	April Branning (1995-1996)
538932	391216	Sasha Lascelles
538932	401039	
538933	270975	Disgruntled Shopper/Cashier
538934	270648	
538934	319243	Herself
538935	66643	Mildred
538935	106106	Hatcheck Girl
538935	108328	Cashier
538935	119990	Singer
538935	123355	Hostess
538935	143838	Dorothy, Dow secretary posing
538935	150913	Gloria DeVere
538935	192849	Elizabeth's Mother
538935	204185	Dancer
538935	254452	Jean Drew
538935	254453	Jean Drew
538935	256638	Waitress
538935	278854	Helen
538935	292821	Secretary
538935	315557	Nora, Bar Girl
538935	346863	Sally (showgirl)
538935	372116	1st Debutante
538936	367651	Old Woman
538937	67157	Posey
538937	73124	Nastasya
538937	195509	Elinor
538937	368315	Verne
538938	100756	Lady in Chair
538939	165447	Mrs. Fairfax
538940	13966	Vegas Show Girl
538941	390587	Herself (Magnum Agency photog
538942	101036	Dancer
538943	12863	
538943	77805	Chorus girl
538943	119507	
538943	147329	Party guest
538943	246650	Show Girl
538943	275678	Carlotta
538943	305044	Fashion Show Model
538943	319466	
538944	405606	Entertainment Correspondent (
538945	45908	
538945	142239	
538945	180885	Die Arbeiterfrau
538945	231355	Königin Ute
538945	231356	Koenigin Ute
538945	272537	Mutter Bilinski
538945	281982	
538945	311930	
538945	376162	Matten
538946	128107	
538947	127607	Herself
538948	29631	Lady Hawksley
538948	33690	Canteen lady
538948	54640	Official
538948	72573	Mrs. Dixon
538948	77613	Mrs Bennett
538948	78928	
538948	79822	
538948	98166	Mrs. Higgs
538948	125817	
538948	129086	Mrs. Gossage
538948	141454	Mrs. Fowler
538948	143924	Passenger on 'Galtesund'
538948	144809	Commandant's Wife
538948	150896	Tessa
538948	152225	Dicky's Mother
538948	152918	Woman in courtyard
538948	154657	2nd Wardress
538948	154915	Nurse
538948	163199	Landlady
538948	168688	Mrs Matthews
538948	179958	Miss Barnesdell (Foster's sec
538948	184283	Sister Sprock
538948	190104	Children's Sister
538948	195731	Emily Baxter
538948	196194	Mrs. Harris
538948	196490	Martha
538948	200443	Mrs Mercer
538948	203098	
538948	210873	Mrs. Hardy
538948	223764	Woman in Court
538948	246696	His sister
538948	261067	
538948	304339	Village Woman
538948	310395	Music shop customer
538948	330172	Isabel Blake
538948	331106	
538948	337111	
538948	340220	Mrs. Johnson
538948	360152	Mrs. Ned Fletcher
538948	361474	Mrs Owen
538948	405121	Mrs. Hudson (1968)
538949	252281	Undetermined Role
538950	52463	Mary Van Kleet
538950	241477	Magda
538950	366772	Viola Campbell
538951	69409	Child at Clinic
538952	232272	Mrs. Wall
538952	354857	
538952	361474	Mrs. Drew
538953	382740	Co-host (Episode 6)
538954	69409	Woman at Clinic
538955	117271	Marjorie
538955	151007	Makeup Artist
538955	217532	Mrs. Bishop
538955	261290	Florine
538955	315335	Mitchell's Girl
538955	345964	Bar Girl
538956	185648	13-Year-Old Girl
538957	80970	Rita
538957	220793	Joan Hartlane
538957	222459	Grace
538957	362529	Gertrude
538957	390771	Ellen Mason (1969-1973)
538958	321213	Catfish Festival singer
538959	358560	Holly
538960	9035	Mrs. Peabody
538960	18862	Mrs. Brill, Willie's Mother
538960	19797	Cashier
538960	29388	
538960	32561	Bit
538960	32904	Ma Mauger
538960	32982	Nurse
538960	33748	Nurse
538960	38986	Mrs. Blake
538960	39494	Nurse
538960	40074	Suzanne
538960	44747	Housekeeper
538960	44748	Lady at Radio
538960	47944	Maud
538960	51831	Bit part
538960	55417	Woman
538960	58943	
538960	60344	
538960	64509	
538960	69431	Nurse
538960	73777	
538960	78874	Inez
538960	83787	Wife of Miner
538960	88312	
538960	88853	Bit Role
538960	96614	Charlotte
538960	104912	Mrs. Green
538960	112419	Effie
538960	117340	Nurse
538960	117485	Sorter
538960	118413	
538960	120738	Stage passenger
538960	122051	Boy's Mother
538960	123135	
538960	126497	
538960	130676	Wife of Prospector Hearing Ab
538960	130775	Wardrobe Woman
538960	130802	
538960	133673	Undetermined role
538960	139087	Mrs. Patton
538960	140112	Mrs. Henshaw
538960	140739	
538960	146781	Mrs. Simpson
538960	148956	Aggie
538960	149261	Reporter
538960	150321	Aunt Minnie
538960	155724	Big Blond
538960	157866	Worried woman
538960	162514	
538960	168220	
538960	168930	Wardrobe Woman
538960	178017	Mrs. Waldo
538960	183654	School Teacher at Aquarium
538960	186402	Mrs. Murphy
538960	190466	
538960	190723	Landlady
538960	192122	Woman
538960	193817	
538960	194299	Marriage License Clerk
538960	194679	
538960	195188	Aunt Hepzibah
538960	199370	Frankie
538960	203244	Mrs. Davis
538960	203497	
538960	207199	
538960	212102	Landlady
538960	216448	Lottie Nagle
538960	221307	Leaping Rock Pedestrian
538960	223846	Mrs. Stokes
538960	224047	Mrs. Forsythe
538960	228911	Landlady
538960	229501	
538960	241865	
538960	248831	Mrs. Jones
538960	249621	Bit Part
538960	249623	
538960	257807	Louise
538960	259230	Neighbor
538960	264438	Prisoner
538960	266715	Bit
538960	273805	Old Lady
538960	277736	Woman
538960	279747	Mrs. Tyler
538960	280448	Wife
538960	280896	Switchboard Operator
538960	282301	Estelle Darrow
538960	282387	Spinster
538960	285435	Mrs. Fields
538960	298122	Wardrobe Woman
538960	299546	Lil
538960	306126	Woman
538960	306770	
538960	309911	
538960	313793	
538960	313803	Bit
538960	314354	Ed's landlady
538960	315956	Scrubwoman
538960	316166	Mrs. Thatcher
538960	316217	Woman Customer
538960	316462	Person in Theatre
538960	316903	
538960	318913	Woman
538960	319076	Mom Johnson
538960	323940	
538960	327221	Spinster
538960	327580	
538960	327979	Kate Kent
538960	330212	Woman in alley
538960	331324	Nurse (Sanatorium)
538960	331381	Clubwoman
538960	334754	Woman
538960	337654	Jason's Wife
538960	338560	Lady customer
538960	339394	Spectator
538960	342878	Secretary
538960	349633	Helen, Cleaning Lady
538960	355203	Landlady
538960	358142	Grace Livingstone
538960	360430	Korablova
538960	362489	Mrs. Hillbilly
538960	363737	Old Horty, barfly
538960	363892	Mary's landlady
538960	365350	Woman at Carnival
538960	366889	Matron
538960	367288	Gypsy woman
538960	371887	Woman at Fiesta
538960	372531	Crazy Girl
538960	372769	Woman at Station
538960	372777	Woman Who Falls Under Train
538960	374522	Townswoman
538961	31059	Cheap dame
538961	32404	Girl
538961	133671	Brunette
538961	147543	Daphne, Mamie's Daughter
538961	280028	
538961	289400	Sister Maria
538961	343160	Secretary
538962	7003	Susu
538962	51799	Bathing Beauty
538962	128234	June
538962	206466	W.A.C.
538962	308382	Raider
538962	315341	Party Girl
538962	327764	Lady in Waiting
538962	372170	Nurse
538963	99232	Annette
538963	122840	Lucienne jeune
538963	198574	Une commerçante
538963	240580	
538963	343544	L'actrice Porno
538963	346599	Sabrina
538963	381614	Zoubida
538963	389343	Cécile
538963	396805	Sophie
538964	297661	Heather
538964	332835	Hooker #2
538965	131351	
538966	55588	Hair Dryer Woman
538967	79025	Catherine
538967	330782	
538968	146273	
538969	116741	
538970	235571	Escort
538971	290721	Frau Eder
538971	308213	
538971	334528	
538971	376364	
538971	387736	
538971	389956	
538971	412104	
538972	116300	Hillary Vail
538972	263450	Joe's Sister
538973	269553	Karen
538974	311411	Aunt Mary
538975	56957	
538975	83201	
538975	84647	
538975	92899	Une invitée à la surboum
538975	116438	Phédre
538975	118115	
538975	133068	Juliette Drouet
538975	198339	Mme Massardy
538975	235816	Lucie
538975	250902	Girl at Patisserie
538975	291107	
538975	385296	Saleswoman
538975	402588	
538976	236987	
538977	362380	Jane's baby
538978	31665	
538978	339375	
538978	347026	
538979	6406	Virginie
538979	8214	
538979	13103	
538979	43702	Une dame
538979	43711	Mme. Debrais
538979	54804	Mademoiselle Andréa
538979	57512	
538979	62795	Mère de Hélène
538979	63656	Agathe
538979	73721	
538979	83363	La concierge
538979	91460	La reine Marie-Amélie
538979	96070	La prostituée au perroquet
538979	103206	Mme Courbessac
538979	103932	
538979	107533	Mme Barjon
538979	118093	
538979	149203	
538979	170471	La femme acariâtre
538979	205621	Marceline
538979	205767	Mme. Adélaïde
538979	206057	Mme. Victoire
538979	215003	La Patronne du bar
538979	217683	Mlle. Angèle
538979	226026	
538979	236580	Germaine Latour
538979	238041	
538979	249707	
538979	257011	
538979	258123	Morin
538979	258957	Germaine
538979	287595	La femme du dentiste (Marguer
538979	294566	L'épouse (segment "Gourmandis
538979	320273	Lynda
538979	336933	
538979	345403	La tantiette
538979	345470	Nurse
538979	379841	
538979	393718	
538979	396135	Mme de Serpierre
538979	396597	La vendeuse (segment "Aux inn
538980	307712	Nick's Mother
538981	26139	Twin
538982	197689	Jane Carlton
538983	302793	Stroke Lady
538984	101036	Dancer
538985	26139	Twin
538985	195771	Person in French Pub
538986	138912	Another Happy Girl
538987	83363	
538988	1975	Herself
538988	2526	Herself (presenter)
538988	12916	Co-host
538988	45591	Katie
538988	196048	Camille Livingston
538988	215932	Herself
538988	221478	Herself/Performer
538988	388232	Herself
538988	392423	Herself
538989	149183	Doctor
538990	115752	
538991	69409	Child at Clinic
538992	323499	Exotic Dancer
538993	389924	Mrs. Blair
538994	260300	Assistant
538994	280450	Herself (vocals)
538994	333548	Herself
538995	54398	Danseuse
538996	41733	Lily
538996	57380	Cissy Pritchard
538997	359431	Harem Girl
538998	130314	Lauren James
538999	89109	
538999	378710	Local Woman
539000	59573	Shari
539001	16878	Serving Girl
539002	58511	Judith
539002	337649	Beck
539003	68164	Deirdre Ledingham
539004	402940	Samantha Nikos
539004	402941	Samantha
539005	81975	
539006	39464	Amy
539006	110943	
539006	201790	Herself
539006	347376	Herself
539006	365396	Party Guest
539007	65681	
539008	366837	Mary Ames
539009	8080	Miss Frederick
539009	18559	Female Dispatcher
539009	39627	Peasant
539009	39675	Mother
539009	80813	FBI agent
539009	87936	Teacher #2
539009	158109	1st Female Officer
539009	193411	Pattie
539009	222809	Sgt. Marci Simon
539009	241621	Anne Davis
539009	260639	Yhe Butcher
539009	270607	Woman in Stands
539009	307380	Real Estate Agent
539009	318692	Vassar Graduate
539009	385013	Resturant Manager
539009	389416	Sarah (Field Producer)
539010	37210	Ritha
539010	65023	Aisha
539010	77793	Robber
539010	107632	
539010	126715	
539010	150901	Pesty
539010	151365	Vera Cook
539010	161388	Herself
539010	192268	Crystal
539010	197920	
539010	240818	Desiree
539010	252959	Susie
539010	289749	Ticket Seller
539010	313706	Evelyn Ruth
539010	371672	Ray Goods
539010	379716	Sharla Valentine (1989-1990)
539010	396975	Pamela 'Pam' James
539010	400253	Nicole
539010	404002	Zena Brown (1987-1989)
539011	302830	Prissy Bloomer
539012	282851	
539013	44561	Nurse
539013	142949	Becky
539013	296027	Purser
539013	299958	Sissy Mayron
539014	290252	Maria Heller
539014	312950	Viola
539014	361708	Petra
539015	263606	Girl in Confessional
539016	207784	Mom
539017	237056	Karl-Oskar's and Kristina's d
539018	363326	Julia Reisner
539019	258967	Mrs. Damskey
539020	175000	Herself
539021	110441	Female Marine
539021	128727	Mrs. Lemsky
539021	173931	Stewardess
539021	226894	Susan
539021	265100	
539021	300044	Additional Voices
539021	313423	Librarian
539021	331541	
539022	400786	Belle, Doodle Bug (1997-1999)
539023	34581	Happy Paddy's Bartender
539024	372758	Herself
539024	372759	Herself
539024	411830	Herself (1987-1988)
539025	213978	
539025	320018	
539026	280264	Clara
539027	85987	Gina
539028	6406	Françoise
539028	9870	Marguerite
539028	13116	Kathleen Dinver
539028	15069	Mme Huntzinger
539028	17862	Grandmother
539028	22190	
539028	24568	Andrée
539028	28152	Olivia
539028	37890	Violette
539028	40054	Madame Haris
539028	42560	Mère de Lise
539028	48229	Hélène
539028	51253	
539028	55009	Françoise
539028	57894	
539028	58933	
539028	60029	Cora
539028	60032	Suzanne Ménessier dite Cora
539028	60506	Yvette
539028	68648	Olga Viterbo
539028	68702	Une élève à l'école vétérinai
539028	82388	Françoise
539028	83279	Nicole, la femme de Marlys
539028	83363	Clotilde Brachet
539028	85543	Françoise Beaufort
539028	86789	Chantal
539028	88320	
539028	91266	Aimée de La Capelle
539028	95552	Emilienne
539028	96218	La script-girl
539028	100307	Herself in nightclub
539028	103710	Madame Lemonier
539028	118093	Christine
539028	119751	Nini
539028	120863	Martine Englebert
539028	122740	Himself
539028	124326	Mme L'Herbier
539028	136310	
539028	143485	Héloïse
539028	153789	Denise
539028	166292	
539028	180002	
539028	188660	Martine (segment "Riviera-Exp
539028	196961	
539028	201159	Louisette
539028	202794	Marthe Roux
539028	211367	Elisabeth
539028	217633	Rosita
539028	217681	Ginette
539028	219471	Denise
539028	219596	Geneviève
539028	220497	Marianne Durand-Perrin
539028	227595	La fille du Palais-Royal
539028	235822	Michekine Grosbois
539028	236560	Madeleine Guery
539028	240274	Herself
539028	249082	Françoise Noblet
539028	249128	Françoise (segment "Françoise
539028	251301	Marinette Ardouin
539028	254062	Isabelle
539028	254851	
539028	258319	Françoise
539028	261468	Madame LePluche
539028	263831	Narrator/Récitante (french ve
539028	268872	Simone
539028	270908	
539028	275647	Figurante
539028	281301	Diane Castelain
539028	281886	Martine
539028	285821	Sophie
539028	300695	Duchesse de L...
539028	327551	Rosa Bellefeuille
539028	332208	Thérèse Étienne
539028	333708	Sancha
539028	345238	Mado
539028	346716	Corinne Moustier
539028	349498	Mathilde
539028	350274	Herself
539028	350303	Mme de Winter
539028	353155	
539028	354908	Cécile, mère de Violette
539028	355971	Mme Vincent
539028	356379	Augusta
539028	376908	Lucy
539028	377835	
539028	377951	Emilie
539028	384288	Florence
539028	395878	Cad Wilson
539028	409732	
539029	157495	Isabel 8 jaar
539030	113825	Fire Maiden
539032	6402	
539033	238486	
539034	23681	
539034	23720	
539034	171008	Mme Romphaire
539035	101139	Médecin des urgences
539035	337032	Avocate défense
539036	6299	Cristina
539036	8834	Dancer
539036	9657	Elena's Sister
539036	12689	The Progress (segment "Ballo 
539036	13056	Venus
539036	13208	
539036	14955	Yvonne (segment "Epoca fascis
539036	57959	Lucie
539036	64264	
539036	77335	Olympe
539036	90720	
539036	113441	Simona
539036	116492	
539036	126317	
539036	127910	
539036	132721	
539036	212600	
539036	215011	Statue
539036	220127	
539036	237615	Dancer
539036	268250	Vera Baralli
539036	282114	
539036	315815	Francine
539036	327452	Her
539036	336614	Sonia
539036	355751	
539037	139583	Herself
539038	291179	Kris Peechick
539039	76728	Helga
539039	194359	
539039	242715	Theresa
539039	315397	1. artist
539039	379767	Dorte
539039	406755	Dorte Bløndal, Præst
539040	33739	The Dancer
539040	107401	
539040	231846	
539040	253125	
539040	336031	The Blonde
539040	366126	Imogene
539041	316165	Mary Armstrong
539042	825	Frau Kersten
539042	35202	Gräfin Palmatica Nowalska
539042	89706	
539042	110713	
539042	120668	Mrs. Latour
539042	136724	Councillor's woman
539042	144143	
539042	153109	Hausdame Frau Koch
539042	155355	
539042	160874	Jean Cukler's Wife
539042	186185	Frau Nathusius
539042	225186	Mrs.Barrow
539042	290113	
539042	306592	
539042	324696	
539042	335018	
539042	335026	Stock, Werner
539042	358220	
539043	306326	Herself
539044	153101	Dame på kro
539044	214371	Frk. Sol
539044	249743	Studine
539044	322680	
539044	353009	Funktionær
539044	354739	Jordmorder
539044	382884	Mortens mor
539045	394238	
539045	398274	Nijole
539045	399353	Nata
539047	353033	Lisbeth
539048	381913	Participant, First out (2002)
539049	346990	Anna, prestens datter
539050	155912	
539051	28041	Inspektør
539052	53029	Stacey
539052	288942	Rebecca Savage
539052	381422	Pilot #2
539053	261554	Bonnie
539054	40297	Lis
539055	135110	Vivian
539056	275169	Dame auf dem Schiff
539057	185828	Amy
539058	264291	Prinsessa Ruusunen vauvana
539059	170246	Vieras #3
539060	144055	Laina
539060	175367	Riskilä
539060	278597	Leskirouva
539060	303708	
539060	307163	Längen äiti
539060	392355	Kertun äiti
539060	393766	Joulumuori
539060	394793	Raija Makkonen
539060	409711	
539061	223274	
539062	171588	Sonja
539062	287575	
539063	174779	
539064	376794	
539065	74580	
539066	53261	
539067	14429	
539067	221679	
539067	253321	
539067	332583	
539068	87939	Niña
539069	387101	
539069	401896	
539070	104077	Ex-Wife
539070	221990	Zoe
539070	248076	
539070	397242	
539072	123415	Round Girl #2
539073	337360	Bank Teller
539073	404466	Herself - Shari's Mother
539074	162799	
539075	364281	Marianna
539076	29006	
539076	140273	
539077	606	Party Guest
539077	71495	Woman at Party
539077	150606	American Woman
539077	217600	Wedding Guest
539077	224405	Actress
539077	372264	Casting Director #6
539078	55108	La vieille dame
539078	80973	Molly
539078	147776	La mère supérieure
539078	158614	
539078	249210	Juré #1
539078	273918	
539078	369420	The woman
539080	324605	Ompelija
539081	183951	Noa
539082	136482	Anna
539082	212594	Tzina (Pasta Flora)
539082	213694	
539082	314086	
539083	298091	Young Kristy
539084	63837	Beatrice di Rionero, bambina
539085	310083	
539086	262086	Girl
539087	14972	Roxana
539087	71746	
539087	71752	
539087	85033	
539087	105898	Go-Go Girl
539087	114656	
539087	117088	
539087	130181	Marcy the Junkie
539087	138148	
539087	139627	
539087	147644	
539087	155912	
539087	200197	
539087	229242	Madame Heles
539087	272430	Barbara the Motel Guest
539087	295991	
539087	324657	Charlotte Kane/Tanya
539087	337151	
539087	362052	Shirley
539088	276085	Mrs. Miles
539089	29576	Kolezhka
539089	103565	Bremennata
539089	287326	Laurence
539089	326260	
539090	234435	
539091	188525	
539091	190384	Larisa
539091	219718	
539091	258129	
539091	357418	
539091	382758	Katya
539091	394642	
539091	399353	Dama v BUZe
539091	409403	
539092	108113	Marina
539092	340441	Marta
539093	39005	
539093	130219	Minnie
539093	375943	Zoë
539094	136511	White Trash Mommy
539094	229250	Amber's mother
539095	375943	Mevrouw Leopold
539096	243564	Mary Singleton
539097	143730	Ruby
539098	175087	
539099	81649	Bar Mitzvah Guest/Harry's Cha
539100	234010	
539101	176713	Lady taking Coat
539102	7868	Jennifer
539102	14106	Patricia Hickock
539102	70392	Cathy
539102	81749	Lilly
539102	83607	Claudia Valenti
539102	108425	Liz
539102	120126	Samantha
539102	138463	News Reporter
539102	304788	Kim
539102	361068	Hilly
539102	402473	Sara Duncan (1987-1988)
539103	39404	Maid
539103	194564	Conference Parent
539103	233852	
539104	365347	Herself - Woody Allen's Siste
539105	159888	
539106	82471	
539107	117454	First Teasing Girl
539108	370871	The Make-Up Lady
539109	47997	Beauty Parlor Receptionist
539110	134261	Maj-Britt
539110	293314	de Laval's housemaid
539111	77663	Janaki
539112	25430	Mona
539112	98463	Priti
539112	128595	Sapna
539112	178299	Karishma
539112	271622	Natasha
539112	297728	Sarayu
539113	98493	
539113	98517	
539113	204911	
539113	226675	
539113	268112	
539113	272850	Ravan
539114	43168	Herself (Hrithik Roshan fan)
539115	271450	Manisha's Friend
539116	4180	
539116	36550	Kiran (Special Appearance)
539116	86678	Dancer on train
539116	143890	Reshma's mother
539116	171791	Lisa
539116	198702	Special Appearance
539117	319333	Saraswati
539118	1174	
539118	25940	
539118	144403	Manjit
539119	43327	Heroine in Red
539120	370388	Vicky Malhotra/Singhal
539121	69634	Herself - Violinist
539121	331333	Switchboard Operator
539122	3163	Miami Girlfriend
539122	176630	Modelo (Model)
539123	57471	
539124	370572	Harem girl
539125	7599	
539125	17837	Vovka's mother
539125	34229	
539125	35931	Miusov's Secretary
539125	85206	Neighbour
539125	92893	
539125	95575	
539125	104431	
539125	132567	Dama
539125	161079	Banker Xidias, Zhen'ka's moth
539125	176189	
539125	180380	
539125	180489	Fox
539125	224278	
539125	227120	Fashion designer
539125	229056	
539125	230454	
539125	252817	
539125	262660	
539125	298305	
539125	313621	
539125	313881	
539125	339006	Parasya
539125	348713	Raya
539125	349269	
539125	351336	
539125	356592	Stella
539125	357465	
539125	357708	
539125	370231	
539125	374721	
539125	394010	Pani Monika
539126	95553	
539127	351234	
539128	309125	Solo Dancer
539129	2083	
539129	8728	
539129	9731	
539129	12026	
539129	12135	
539129	14749	
539129	18873	
539129	27866	
539129	35505	
539129	51525	
539129	51588	
539129	52596	
539129	53613	
539129	53996	
539129	56330	
539129	63860	
539129	63956	
539129	73065	
539129	74559	Lorenza
539129	74628	
539129	74817	
539129	77274	Julia
539129	88051	
539129	89737	
539129	91351	
539129	91355	
539129	91362	
539129	125464	
539129	139912	
539129	139913	
539129	145161	
539129	145177	
539129	145182	
539129	152252	
539129	171371	
539129	186670	Manuela Monterubio
539129	199798	
539129	200541	
539129	202217	
539129	205102	
539129	206991	
539129	207021	
539129	212244	
539129	212380	
539129	212455	
539129	212474	
539129	225553	Sra. de teatro
539129	225565	
539129	226360	
539129	234906	
539129	235297	
539129	243415	
539129	249321	
539129	249892	
539129	250795	
539129	251565	
539129	253033	Muriel, a Golddigger
539129	258500	
539129	259854	
539129	269216	
539129	269832	
539129	269973	Chona
539129	270015	
539129	273012	
539129	283204	
539129	284942	
539129	291681	
539129	294629	
539129	296194	
539129	306672	
539129	309156	
539129	334571	
539129	339109	
539129	339125	
539129	353559	Criada
539129	353573	Pasajera en Autobus
539129	355777	
539129	356908	
539129	371693	
539129	371729	
539129	371759	
539129	371769	
539129	376704	
539129	376732	
539129	379834	Maty
539129	380065	
539129	380269	
539129	381145	
539129	381805	
539129	382541	
539129	383031	Doña Edna
539129	385368	Paulina
539129	386284	Amparito
539129	386531	Carmelita
539129	387082	
539129	387550	Hortensia
539129	392028	
539129	395885	Doña Tomasa
539129	397572	Chonita
539129	399809	
539129	401698	
539129	401898	
539129	409913	Eulogia
539130	357889	
539131	115751	
539132	66945	Sylvie
539132	114251	Tammy
539133	398401	Herself
539134	21749	
539134	23527	
539134	152475	
539135	76496	Receptionist
539136	40907	Young woman
539136	182298	Woman at bakery
539137	76415	Karan's sister
539137	160675	Thérèse
539137	338593	La secrétaire du juge
539137	345434	(episodes 1 and 2)
539138	248735	
539139	30646	Practice Team/Cheerleaders
539140	218279	
539141	39937	
539141	73293	
539141	73533	
539141	87592	Mónica
539141	169085	Ilsa
539141	218499	Rita
539141	234384	Virginia White
539141	254338	
539141	255545	
539141	307721	
539141	339180	
539141	347502	
539141	376669	
539141	376717	
539142	19257	
539143	103804	La Hermana
539143	146505	
539143	234368	
539144	56500	
539144	90137	
539145	401879	Herself - Bellepop
539146	248760	
539147	301574	Nina cinco
539148	316210	Anne
539149	4642	Herself
539149	6177	Herself
539149	27447	Scarlett
539149	32717	Katherine
539149	35164	Deanna
539149	35696	Laura Bowman
539149	47130	Mary Burke
539149	76554	Stacy
539149	81969	Linda Boreman (aka Linda Love
539149	86750	Polly
539149	87981	Herself/presenter
539149	88086	Herself
539149	89854	
539149	97360	Kathy O'Hara
539149	104371	Mattie Silver
539149	108956	Jilly
539149	115635	Nancy Coplin
539149	128526	Dana MacCallister
539149	131739	Sandra Dunmore
539149	144467	Mona Birk
539149	147500	Kissin' Kate Barlow
539149	147974	Havana
539149	152555	Lila Jute
539149	159119	Dorothy
539149	159550	Arline Greenbaum
539149	160373	Grace Zetterland
539149	161369	Herself
539149	192100	Valerie
539149	194818	Renee Madison/Alice Wakefield
539149	232455	Kristen Parker
539149	232503	Katherine
539149	262531	Casey
539149	263308	Herself
539149	263352	Zero
539149	290884	
539149	291971	Herself
539149	292314	Winnie
539149	314745	Frankie Paige
539149	333307	Lucy
539149	333685	Lucy
539149	340472	Kit Califano
539149	340824	Alabama Whitman
539149	345752	Additional Voices
539149	365648	Alice Guthrie
539149	368289	
539149	397309	Allison Dubois
539150	43	Hippie Mother
539150	345	Wendy
539150	1703	Herself - Presenter
539150	2399	Herself
539150	3101	Sarah
539150	7842	Marcy Franklin
539150	13432	Karen (segment "Two I.D.'s")
539150	25086	Herself
539150	25191	Tillie Hansen
539150	26460	Jill Rosen
539150	36722	Velma
539150	39830	Martha Travis
539150	64949	Herself
539150	72557	Gabrielle
539150	80425	Deirdre
539150	81547	Mrs. Kennesaw
539150	84002	Roberta Glass
539150	86017	Grace Horn
539150	88548	Alex Langley
539150	105713	Nicole Baker
539150	107526	Jezzebelle
539150	109929	Miss Athena
539150	115515	Callie
539150	115668	Maurey Talbot
539150	127694	Sally
539150	131217	Rita
539150	131347	Cathy Sherman
539150	132098	Judy
539150	132747	Johana Baker
539150	135788	Lily
539150	140400	
539150	142464	Liz McNeary
539150	148540	
539150	149448	Connie Phillips
539150	154308	Stacey Keane
539150	154969	Rachel Krohn
539150	158175	Joanna Warren
539150	161090	
539150	161369	Herself
539150	162108	Effie Harte
539150	168238	Charlene
539150	168648	Belinda McAdam
539150	176498	
539150	190373	Herself
539150	191152	Lucy
539150	194062	Rose Cavanaugh
539150	208300	Vera
539150	212711	Herself (Liberian Girl video)
539150	217479	Charlie Meredith
539150	219030	Girl in Commune
539150	230947	Paulette
539150	234226	Cassie
539150	236148	Sarah Blake
539150	236153	Clydie Anderson
539150	238625	Pam
539150	239992	Narrator
539150	241276	Tracy Boone
539150	243231	Becky
539150	247151	Dawn
539150	248386	Tilda Kirby
539150	255696	Devon's Mother
539150	258939	Dana
539150	265761	Alice 'Lucky' Parker
539150	267038	Jody
539150	267039	Herself
539150	283719	Alex McGuire
539150	284538	Babs
539150	291897	Lauren Mirkheim
539150	291971	Herself
539150	294528	Sarah Weiss
539150	302031	Hannah
539150	308397	Libby Custer
539150	318370	Eva
539150	320078	
539150	321284	Kate
539150	321661	Linda
539150	330410	Pete
539150	335665	Amy
539150	355870	Herself
539150	358727	Halinka Apt
539150	363894	Artist
539150	364424	Sophie Oseransky
539150	368953	Missy Mills
539150	372357	Herself
539150	376141	Beverly
539150	385718	Kate Constantine
539150	405170	Debra Miller
539151	78563	
539152	184850	
539153	27942	
539154	390443	María del Carmen (Mari Carmen
539155	191436	
539156	201647	
539156	219588	Mrs. Roberta
539157	360840	
539158	387849	Mónica Santos (Nika)
539159	162104	Ione
539159	352854	
539159	390244	Sara
539160	148530	Annette Savinski
539160	154709	Flatbush Club Sheet Gierl
539160	361145	Herself
539160	410797	Mary Johnson-Horshack (1978-1
539161	169794	Ana
539162	101894	
539163	69895	Latina Anchor
539163	215688	Judge
539163	379564	Host
539163	402154	Host (1994-2002)
539163	409946	Host (2001-2002)
539164	211005	
539165	120037	Christien
539165	188001	Deroo
539165	202967	
539165	242498	Hortense
539165	382877	
539165	397317	
539165	400876	Marie-Jeanne
539165	408151	Mathilde Reimers (2003-2004)
539166	103375	Bruja #2
539167	67186	Hostess
539168	69972	Une prostituée/Mère d'Antonia
539169	1529	Police Chopper Pilot
539169	67052	Police Helicopter Co-Pilot
539169	389858	Jamey
539170	204946	Avik's girlfriend
539171	67376	Nancy
539171	89102	Maggie Kirk
539171	176722	Indian Girl
539171	301743	Velada McCree
539171	311323	Watawna
539171	318977	Pharmacist
539171	326595	Starwatcher
539172	119694	Herself
539173	55964	
539173	284893	
539173	389639	
539173	398534	
539174	240818	Rachel
539174	318507	Yolanda Garcia
539175	379457	Meylín
539175	385370	Leonor
539175	399807	María
539175	403690	Zulema
539176	379001	Verónica
539176	379648	
539176	380242	Nice
539176	382941	
539176	391611	Victoria de Arrieta
539176	396333	Sonia Trujillo
539176	396941	Vanessa
539176	400715	
539176	404815	
539176	407644	Gianna
539176	408591	Gaby
539176	409283	
539176	410204	
539176	412301	
539177	30413	
539178	208707	
539179	298129	
539180	60753	Michelle
539181	71	Singer
539182	41352	Elda
539183	27910	Mme Duberne
539185	68251	
539186	151803	
539186	192977	
539186	223618	
539186	256519	
539186	302982	
539187	54478	Mercedes De Vargas
539188	383554	
539188	398490	La Chupitas
539188	399823	La Chupitos
539189	390489	
539190	12135	
539190	52149	Doña Pancha
539190	74151	Marta
539190	108121	Frau Dressel
539190	277239	
539190	287694	Santa's Mother
539190	306682	
539190	339470	Duchess Elvira
539190	353628	
539190	357521	
539190	377111	
539191	94840	dancer
539192	562	Belén
539192	12441	Salgado
539192	135201	Claudia
539192	233387	Marta
539193	33171	
539193	114364	Rose
539193	127241	Mrs. Zuckerman
539193	127522	
539193	162700	Mrs.Clarke
539193	190209	Kay
539193	208054	Sue Glasgow
539193	213663	Annie
539193	230696	Gloria Cunliffe
539193	245625	Sarah Sherman
539193	275784	Mrs. Wiseman
539193	293637	Waitress
539193	331100	Mrs. Shoemaker
539193	342744	Mother of Deceased
539195	90456	
539195	102330	Carmo da Silveira
539195	344779	
539196	350143	
539197	82589	
539198	55617	Chica pueblo
539198	251599	Monja 2
539198	387119	
539199	6561	
539199	54402	
539199	55947	
539200	249678	(segment Pimprenelle)
539200	256073	
539201	48525	
539201	71664	Fortune Telling Gypsy Girl
539201	84927	Tanith Carlisle
539201	90378	Portuguese Waitress
539201	198969	Airship attendant
539201	236505	Odile
539201	265511	Orchidea
539201	312857	
539201	314083	Edith Boréal
539201	319006	
539201	321821	
539201	337787	Monique Maroyeur
539201	340163	Minouche
539201	367816	Contessa
539201	402866	Princess Nadia
539202	5794	Sorella di Elena
539203	125586	Dance Girl
539204	188683	
539205	310974	
539206	9652	
539207	14553	
539207	339172	Amanda
539207	342149	Luisa
539207	350071	
539207	380162	Delia Fernandez
539207	380210	Sandra
539207	380242	
539207	380535	Bernardita de Patiño
539207	381860	Teresa
539207	383579	Inés
539207	392986	María Luisa
539207	393836	
539207	396333	Estela Salazar
539207	397110	Matilde
539207	398806	
539207	400419	Raquel
539207	400715	
539207	403644	
539207	404292	Elvira
539207	404815	
539207	407644	
539207	408722	
539207	410204	
539207	412183	Regina
539208	219909	Lillie's Assistant
539209	100391	Loreley
539210	207906	Coffee House Musician
539211	235579	Doris
539212	305778	Workout Girl #1
539213	396516	Correspondent
539213	402987	Reporter
539213	409499	Herself (1999)
539214	132914	Crying Girl
539214	213325	TP Fairy
539214	284621	Boxer's Wife
539215	230127	Ghoul #2
539216	285717	
539217	310835	Mean Woman
539218	169779	
539218	291639	
539218	357911	
539218	376752	Singer
539219	85553	María
539220	350035	Chrystal Devine
539221	383271	
539222	193052	Azafata
539223	318003	La mensajera del califa/La me
539224	242804	Young Mother
539225	322336	Narrator
539226	160825	
539228	399950	Denise Bennett
539229	113773	Townsperson
539230	392131	Herself - Fitness Expert
539231	380077	Isabel Afanador
539231	383390	Maribel
539231	405798	Juliana
539232	40726	Ramona
539232	72292	Rosa
539232	78107	Josy
539232	100106	Cheena
539232	107895	Angie
539232	115179	Amber Garcia Sanchez
539232	120248	Ramona
539232	158528	G.G.
539232	186665	Maria
539232	215794	Maria
539232	241322	Rita Martinez
539232	299466	Lonnie
539232	339369	Mercedes, Juror
539232	380713	Bianca Marquez Walsh (1989-19
539233	342149	Amiga Ana
539233	402463	
539233	409919	Lola (2002-???)
539234	152572	Faculty Committee Member
539235	46445	Princess
539236	348918	Violeta
539237	204	
539237	68557	Sonia
539237	74613	
539237	91388	
539237	101849	
539237	200000	
539237	270447	Marta
539237	277380	
539237	340042	
539237	373953	
539238	161829	
539239	146509	
539240	23626	Bailaora
539240	122985	Herslf - Hostess
539240	391937	Herself - Hostess (2003-2004)
539240	398805	Aitana
539240	400952	Irene (2004-)
539240	401248	Alicia 'Ali' Rocha
539240	404076	Colaboradora (2003-2004)
539240	408725	Host (1995)
539241	380059	
539241	397463	Maruca 'Maruquita'
539241	401918	
539241	404172	
539241	404851	
539242	249750	La femme du commandant
539243	381219	Hostess
539243	391112	Host
539243	404161	Irma
539243	405415	
539244	215831	Aaron's Girl #1
539245	144431	
539245	306911	
539246	55085	
539247	206700	
539247	378357	
539248	291626	
539249	381921	Raquel 'Rachel' Arroyo
539250	204739	
539251	135377	
539252	93242	Marisela
539253	78212	
539253	97856	
539253	165406	
539253	381591	
539253	388379	Xantipa
539254	103902	
539255	381223	
539255	386377	Diaz
539255	402424	Patrícia
539256	273704	Harlem Girl# 1
539257	195118	
539258	383294	Xavier
539259	385184	Kiki Duprée
539259	393286	Branca
539260	273704	Harlem Girl# 2
539261	398197	Lara Queiroz
539262	5189	Luciano's Wife
539262	6640	Miss McClary
539262	17390	
539262	25054	
539262	43235	
539262	51931	Júlia
539262	63821	
539262	103884	
539262	104500	Maria Inez
539262	133003	
539262	199033	Maria
539262	222187	
539262	235244	Verinha's mother
539262	236380	
539262	278620	Augusta
539262	344847	
539262	344865	
539262	350141	
539262	381633	Florzinha
539262	382690	
539262	383907	
539262	387654	Neide
539262	387777	Querubina
539262	387803	Madame Monsour
539262	391285	
539262	395882	Mirtes
539262	398040	
539262	401791	
539262	403258	
539262	407798	
539263	263210	Narrator
539264	119291	
539264	204562	
539265	345511	Jeanne
539266	23166	Shosho
539267	11740	
539267	22072	
539267	28163	
539267	39049	
539267	42896	
539267	165704	
539267	177901	Kemal's mother
539267	180328	
539267	182908	
539267	240534	
539267	374521	
539268	186151	Myrte
539268	287155	Maily
539269	54131	Incarnaci&oacute'n
539269	118307	Marion Berkley
539269	243345	
539269	263576	Anita Supvelda
539270	178461	Zine
539271	105613	Newscaster
539272	205525	Aubergiste
539272	327552	
539272	380863	Ernestine
539273	77760	Young Claire
539273	171596	Jumelle Pomerleau
539273	220891	French Investor
539274	121498	Juliette
539275	32565	Baby
539276	308041	Mary McArchie
539277	261425	Cheerleader
539278	101218	Narrator
539278	123518	Une danseuse
539278	278141	Rachelle
539278	383186	Narrator (first few seasons) 
539279	384462	
539279	410628	Mireille Labbé (1994-2001)
539280	1140	Soeur accompagnatrice
539281	171596	Jumelle Pomerleau
539281	220891	French Investor
539282	92022	
539282	307385	Trendy woman
539283	162266	Reporter
539284	353845	Famille bulgare
539285	135338	Mme Tremblay
539286	10241	Vocals
539287	80303	
539288	80303	Narrator
539289	86624	
539289	99013	
539289	380606	Aunt Loukia
539290	300379	
539291	134705	
539291	244952	
539292	26241	
539293	86319	Game Show Director
539294	265171	Randy Kyle
539295	85273	
539296	173813	Jelena ... zena Karadjordjeva
539296	337465	
539296	357283	
539297	49134	
539298	370497	
539299	156735	Herself
539300	225808	
539301	228172	Devojka u mokroj majici
539302	265463	
539303	180215	2. Kontorpige
539304	378251	
539305	7038	Child
539305	133663	French Child
539305	133818	'Boots' Hollister
539305	152656	Gina as a Girl
539305	157899	Nanetchka
539305	218714	Sister
539305	221124	Fanny (at age 10)
539305	298495	Girl Prankster
539306	164897	
539307	99469	Head of Housekeeping
539307	99470	Head of Housekeeping
539307	131431	Eastern European Woman
539307	224184	Huge Woman
539307	406712	Stella Andronek
539309	346819	
539309	370043	L'infirmière Sophie
539310	3526	Toni
539311	120795	Ljuba
539312	170848	Herself - Participant/Perform
539313	198957	
539314	300796	Kätilö
539315	348070	Donna
539316	53135	
539316	207621	
539317	20042	Themselves (ballerina-acrobat
539317	26799	Additional Voice - German ver
539318	407735	Newsreader (1983)
539319	324653	
539320	356827	Engineer's Wife
539321	132838	
539321	412254	Elise
539322	298129	
539323	44571	
539323	379817	Alma Mía
539323	379898	Micaela Lugo
539323	385058	Tiffany Cruz
539323	385336	Maite
539323	386788	Diana/Dianita
539323	387536	Esther
539323	390310	Camelia González
539323	390748	Ana
539323	400938	
539323	401067	Julia Gallardo Gómez
539323	404203	Raiza Rincón Luzardo
539323	408570	Valeria
539323	408710	Dayana
539323	409013	
539324	409463	Staff Humorist (2004)
539325	363981	White Rod's Woman
539326	340689	
539327	342590	Herself
539328	342590	Herself
539329	285182	Ameena
539330	100193	Kissing Woman
539330	158930	Vicky
539330	375515	Waitress
539331	219422	
539332	86329	
539332	178584	Margot
539332	208214	
539333	379688	Zelis
539333	411965	Sila
539335	185809	Choreographer
539335	373706	
539336	30506	
539336	188525	
539336	238102	
539336	244159	
539336	352955	
539336	399482	Petrova
539337	5314	
539338	197065	Vocals, 'I'm Afraid That I Lo
539340	3448	Encargada de servicios
539340	8537	
539340	10221	
539340	10243	
539340	12065	Rosa
539340	14259	
539340	14669	
539340	14789	
539340	23937	
539340	24993	
539340	29847	
539340	30408	
539340	53654	
539340	58043	Criada de Doña Casilda
539340	68999	
539340	69470	Pueblerina
539340	69706	
539340	74645	
539340	74808	
539340	75484	
539340	76094	
539340	90189	
539340	100778	
539340	103844	Pepita
539340	108726	
539340	143670	
539340	148127	
539340	156589	
539340	170277	
539340	183503	
539340	192981	
539340	193187	
539340	193513	Vieja de la reja
539340	202560	Doña Enriqueta
539340	202561	
539340	203889	
539340	204644	Vieja 1ª
539340	220701	
539340	234366	
539340	236303	
539340	243467	
539340	255488	
539340	268273	
539340	269544	
539340	293382	
539340	320327	
539340	376659	Clotilde
539340	377196	
539341	155453	Architect's Wife
539342	133623	A Twin at Gatsby Party
539342	304528	Sparkle Twin
539343	133623	A Twin at Gatsby Party
539343	304528	Sparkle Twin
539344	297880	Fanny
539345	192748	Confessional Dancer #4
539345	241583	Carl's Assistant
539345	390699	Guest Star (2000)
539345	410674	Tanqueray (1998)
539346	94837	
539347	109066	Rita Ramirez
539348	257647	Herself (Miss May)
539348	257659	Herself (in bonus retrospecti
539348	257830	Miss June 1988
539348	257846	Miss June 1988
539349	64256	Irma
539349	201476	
539349	252194	
539349	317725	Ida
539349	391062	
539350	71479	Wellington hospital nurse
539351	99966	La meneuse ouvrière
539352	116799	Deane Stewart
539353	176253	Kristen
539354	195418	Julia
539354	330588	Katie
539355	319923	Dr. Johnston
539355	403805	Christina Rush (1999)
539357	2527	Herself
539357	2592	Herself
539357	2753	Herself
539357	2779	Herself
539357	11299	Herself
539357	31958	Herself
539357	34903	Herself
539357	42361	Herself
539357	47304	Herself
539357	47363	Herself
539357	47385	Herself
539357	64556	Herself/Ringmaster
539357	64559	Ringmaster
539357	101033	Paul's Mother
539357	108272	Herself
539357	116971	Beverly Makeshift
539357	121861	Herself
539357	146661	Dole office clerk
539357	161202	Herself
539357	161248	Herself
539357	161371	Herself
539357	175529	Herself
539357	196447	Bea Vecchio
539357	202736	Vera Charles
539357	223931	Jean Miller
539357	228969	Herself
539357	232017	Herself
539357	313463	Ackmena
539357	329446	
539357	330818	Herself
539357	342234	Herself
539357	342237	Herself
539357	358824	Herself
539357	379895	Amanda Cartwright
539357	383164	Regular (1956-1957)
539357	383711	Co-host - part II
539357	385773	Mel (1996?-1997)
539357	390279	Dorothy Petrillo Zbornak Holl
539357	397134	Maude Findlay (1972-1978)
539358	181534	Tall Lady
539359	44323	The Barmaid
539360	68697	The Ballet Mistress
539361	32469	
539361	75574	Alice Maitland
539361	194173	
539361	329408	Margot
539362	133559	
539362	204659	Fifine
539363	380430	
539364	12728	Melinda
539364	16770	Stripper
539364	62898	Last Party Guests
539364	207099	Lt. Leslie
539364	304889	Marian
539364	389858	Brooke Bentley Clinton (1970-
539365	58490	Jackie Mann
539366	2419	
539366	6805	Claire Peyton
539366	20235	Phoebe Titus
539366	36688	Bonnie Norton
539366	37540	
539366	40890	Grace Ryan
539366	44461	Eunice Morgan
539366	47112	Nancy Norton
539366	47480	Ruth Hale
539366	47933	Mary
539366	52822	Ann Playdell
539366	53609	Alys LaFosse
539366	56143	
539366	72248	Virginia Selby
539366	77941	Mary Ryan
539366	82064	Joan Hayes
539366	84834	Mary Jones
539366	85828	Jane Matthews/Emma
539366	91640	Marie Wells
539366	94043	Jean
539366	96925	
539366	96939	Mary Smith
539366	98146	
539366	105555	Ethel Simmons
539366	105571	Paula Bradford
539366	109409	Mary Brown
539366	112431	Ruth Wells
539366	112590	Rose Craddock
539366	116229	The Girl
539366	117545	Congresswoman Phoebe Frost
539366	123680	Sylvia Martine
539366	126050	Herself
539366	126563	Margaret Rendleby
539366	134120	Ada Greene
539366	137548	Greta Nelson
539366	142566	
539366	146616	Irene Vail
539366	149794	Miss Baker
539366	153130	June Mathews
539366	153181	Lettie Crane
539366	155908	Joan Hawthorne
539366	157121	Janice Anderson
539366	183822	Molly J. Truesdale
539366	186459	Beatrice Stevens
539366	190555	Marie Denton
539366	199225	
539366	201844	Herself
539366	203303	Loria Gatlin
539366	207187	
539366	219166	Carol Baldwin
539366	219189	Connie Milligan
539366	219515	Herself
539366	219786	Ellen Holmes, aka Biddy, Babe
539366	220892	Louise 'Babe' Bennett/Mary Da
539366	221130	Clarissa Saunders
539366	224584	Lia Eltham
539366	242009	Bonnie Lee
539366	248613	Sweetheart (Dream Girl)
539366	249621	Marge Oliver
539366	250377	Joan Hoyt
539366	257201	Calamity Jane
539366	260237	Margie
539366	262123	
539366	266710	Maria Theresa 'Terry' O'Reill
539366	266715	Cassie
539366	276674	Lia Eltham
539366	278046	Ruth Burroughs
539366	279565	Mary Watkins
539366	288698	Janie
539366	295284	Receptionist at country club
539366	297322	Marian Starrett
539366	301968	Mildred Wayland
539366	302936	Mary Spengler
539366	307979	
539366	311972	
539366	312911	Ruth Hutt
539366	316663	Judith 'Babe' Marsden
539366	323968	Miss Nora Shelley
539366	326475	Sally Harris
539366	327463	Bit Part
539366	332120	Mary Watkins
539366	332125	Ruth Burroughs
539366	335643	Vicky Lowndes
539366	338540	Betty Conway
539366	342681	Ruth Regan
539366	345996	Margaret Cranston
539366	355217	Barbara Olwell
539366	358753	Sandra
539366	359464	Mary Post
539366	363622	Sandra Morrison
539366	364434	Wilhelmina 'Bill' Clark
539366	366121	Automobile Reveler
539366	366258	
539366	372145	Alice Sycamore
539366	372542	Mary Gordon
539366	393391	Patricia Marshall
539367	29649	
539367	68462	Italy (prologue)
539367	146322	
539367	177334	
539367	190187	
539367	190188	
539367	227558	
539367	283963	
539367	345820	
539367	367614	Nurse Edith Cavell
539368	135513	Lady Dinner Partner at Romano
539368	190697	Stepmother
539368	222820	Ryker's Secretary
539368	366300	Miss Dairy Queen
539369	69856	Young Rosa
539370	16075	
539370	36949	Alice Loxley
539370	85997	Mrs. Lewis
539370	171449	Mrs. Elliot
539370	197073	Sal
539370	218718	Babs Turner
539370	252494	Alice Tinkerton
539370	279534	Rose Adams
539370	291391	Patricia Holmes, The Saint ra
539370	306102	The Snow Queen
539370	329527	Woman
539371	222790	Well-wisher
539372	336601	
539373	29558	Guest at the masquerade
539373	115382	Lab assistant
539373	182302	Girl
539373	305303	Student
539374	21256	
539374	125810	Florence Atwater
539375	139611	Mrs. Hawthorne
539375	150304	Marley
539375	151551	Lois Grey
539375	151675	Hedy LaRue
539375	176910	Elvira Sweeney
539375	190711	Aunt Kate
539375	195610	Evelyn Tremaine (end credits:
539375	195854	Ethel Evans
539375	202947	Joy
539375	238613	Herself
539375	332003	Babe
539375	364726	Barbara Sweeney
539375	383913	Assistant
539375	387539	Peg
539375	391775	Dorothy Jackson
539375	408497	Herself (Mondays and Tuesdays
539375	410907	Regular (1969)
539376	367856	Herself
539377	248050	Crying Baby
539378	20432	Leper Boy, Leper Woman, The L
539378	65756	Dianne
539378	119466	Secretary
539378	235174	Thorpe Sisters
539378	291825	Marcela's Friend
539378	328272	Field Reporter
539378	369460	Moira, Female Prisoner #3
539379	160633	Protester
539380	111049	Martine
539380	201104	Jessica
539381	201491	
539382	5028	Crystal
539382	7985	Aria Goodhalo
539382	31198	Herself (ABC Team)
539382	64559	Performer
539382	64560	Herself (performer)
539382	64561	Performer
539382	78176	Checker
539382	105116	Mimi
539382	126555	Las Vegas Waitress
539382	210837	Sharon
539382	242942	Victoria
539382	291495	Tina
539382	359902	Businesswoman
539382	401226	Mary Anne Spencer/Mary Anne B
539383	321104	
539384	124502	Extra
539385	257649	Miss October
539385	257825	Miss January 1991
539386	333377	
539387	54221	News Anchor
539387	383374	
539387	389416	Screaming Woman
539388	269305	Girl
539389	188400	
539389	313607	Ruth Baxter
539389	401617	Herself
539389	401623	Presenter
539390	284267	
539391	51989	Beth
539392	92618	Dr. T's Staff
539392	127834	Barfly Robin
539393	80430	Bar Patron
539395	381913	Participant, 12th out (2002)
539396	8152	
539396	335083	
539397	7855	Virginia
539397	78030	
539397	244306	
539397	281036	
539397	300553	Emma
539397	315696	Herself (interviewed)
539397	330246	Dixie
539397	337086	
539397	381406	
539397	384497	Mrs. Grimthorpe
539398	61142	
539399	235725	
539399	356969	Rose
539400	385252	Madre Montserrat
539400	392989	
539400	397011	Sarita
539400	397566	
539400	401896	
539401	184870	Camarera
539402	229902	Spanish Tourist
539403	186961	
539403	322449	
539404	298129	
539405	161731	Teenage Girl #1
539406	332163	Hologram Dancer
539407	88978	Nurse Jane
539408	389858	Dr. Diane Erskin (1995)
539409	59829	Police Dispatcher
539409	297625	Co-worker #1
539410	126035	Wilma
539411	28498	
539411	60444	
539411	63582	
539411	82772	
539411	97476	Kristina
539411	132203	
539411	173019	Valter
539411	174453	
539411	198134	
539411	209107	Vanda
539411	218854	
539411	225931	Mara Vilde
539411	231656	
539411	258672	Vera
539411	261300	
539411	261363	
539411	265236	
539411	271617	
539411	280384	
539411	301898	
539411	304724	
539411	310490	
539411	323312	
539411	326522	Dzhuliya Lambert (Julia Lambe
539411	334995	
539411	340239	
539411	341641	Veda Kong
539411	352012	
539411	357461	
539411	371116	Catherine the Great
539411	373469	
539412	113126	La brune
539413	187837	Elárusító lány
539414	352679	
539415	283496	Kate
539415	363756	Mik
539416	81286	Rhinette/Krinkle Kid #5
539417	262261	Antonia Owens
539418	165354	Gemma
539418	188904	Mercedes
539419	193554	Guide
539420	5158	
539420	8852	
539420	19201	La vendeuse de pommes
539420	33571	
539420	33626	
539420	54393	Eleonore
539420	68353	Lucienne
539420	96415	Impératrice de Ithica (French
539420	132597	Midinette
539420	133166	Viviane
539420	156317	
539420	191470	Gaby
539420	217843	Mathilde
539420	227317	Charlotte
539420	248902	Mme Saint-Georges
539420	258314	La mère de Marianne
539420	269227	
539420	275381	
539420	292336	Mathilde
539420	318515	La femme violée
539420	336930	Geneviève
539420	345351	L'employée de Madeleine
539420	346646	La patronne du café
539420	354026	Irène Rieux
539420	393885	Cristelle (1999-????)
539420	396222	Elisabeth
539420	396472	Caroline
539421	1300	Sushi Cue
539421	14132	Amber
539421	26708	Candy
539421	44301	Lisa
539421	49366	Three Deuces Chorus Line
539421	57031	Reseda Camarillo
539421	178149	Wendy
539421	185624	Ginger
539421	198956	Thea
539421	283558	Fawn
539421	362638	Kristen Sommers
539422	99498	Elsa's daughter
539423	380934	Co-Presenter
539424	51414	Simone Gilbert
539425	20828	Simone
539426	111142	
539427	384119	Catalina (1999)
539427	385402	Soledad Cazenave
539427	396180	Yanina
539427	398816	Lucilita
539427	403366	
539427	409957	Trinidad 'Titi' Guzmán (1999-
539427	411636	Claribel
539428	42607	
539428	270971	Girl #2
539428	358964	Buddy's Woman
539429	84469	
539429	283693	Printzessa
539429	373270	
539430	63318	
539431	223563	
539432	90317	Ingrid
539433	171779	
539433	212115	
539433	236633	Mother
539433	294673	Libekeel
539433	334995	
539434	133878	Herself
539435	336475	Young Meg
539436	113671	Sandrina
539436	196847	Cinna
539436	340264	First lady
539437	257522	Herself (ringside fan)
539438	292042	Featured Extra
539439	122622	
539439	343072	Surinder
539439	386599	Dr. Kali Hamanda (11/23/2001-
539439	387247	Shelley Lewis (1992-1994)
539439	393020	Sarah
539440	19931	
539440	24736	Herself
539440	127020	
539440	175911	
539440	184266	
539440	203976	Bordello girl
539440	259263	Deaf servant
539440	278337	Jhumku
539440	320257	
539440	339683	Cook
539441	172129	Mansi
539442	15866	
539442	21810	Kamale
539442	48681	
539442	81707	
539442	132611	Vilas
539442	152449	Chanda
539442	164297	Dhano
539442	165941	
539442	329372	Daughter of Policeman
539443	62154	Naomi Melsham
539443	128834	Matron
539443	129939	Kate Orchardson
539443	194379	Sally Britt
539443	335097	Molly Seagrim
539444	218552	Kathy Ellerbeck
539445	390523	Judy Preston (1978- (also as 
539447	27210	Simone
539447	76788	Tracy
539447	85893	Constable
539447	183094	
539447	286752	Cleo
539447	301735	Narrator
539448	234260	Devojka
539449	20222	
539449	38151	
539449	173550	
539449	177258	
539449	181976	
539449	189358	
539449	205993	
539449	284648	
539449	288649	Muk
539450	403532	Herself - Participant
539450	403536	Herself - Participant (1999, 
539451	404613	Suzi Martin (1975-1976)
539452	2073	Wendy
539452	42446	Sarah
539452	76566	Alison Watson
539452	79637	Young Ory
539452	138136	
539452	220567	
539452	252844	Darlene
539452	263747	Lauren Daly
539452	280212	
539453	210928	
539454	383826	
539454	385545	Various Characters
539454	399523	Vale
539454	400700	
539454	405235	
539454	405317	
539454	405789	
539454	405916	
539454	408625	
539454	409465	
539455	116028	Lilian
539456	17123	
539456	17883	
539456	18219	
539456	97874	
539456	97880	
539456	102919	
539456	104894	
539456	108746	
539456	124272	Dora
539456	138977	
539456	163152	
539456	174631	Rita Zafiriou
539456	180350	Mary
539456	180558	
539456	212569	
539456	229850	
539456	231111	Anna
539456	237088	Jenny
539456	244235	
539456	252700	
539456	284491	Mary
539456	296513	Warden's Mistress
539456	329855	
539456	330365	
539456	340287	
539456	340450	
539456	355995	
539456	374635	
539456	380771	
539456	385721	Ismini Christoyannis
539456	411032	Annika Zeferis
539457	217800	
539458	18843	
539458	180560	
539458	329671	
539458	338997	
539458	392517	
539458	405793	
539459	231345	
539460	25273	
539461	332910	
539462	284830	
539463	383355	Zuleika
539464	232300	Officer Laura
539465	890	Gladys Hightower
539466	285801	
539467	80959	
539468	42372	Girl #2 in bar
539468	84648	Fille
539468	96235	
539468	199584	
539468	340156	Thérese
539469	294565	La servante (segment "Luxure,
539470	175730	Mrs. Heinä
539470	177040	Leila Kesänen
539470	181652	Enni Suvinen
539470	211031	Lena Bergroth
539470	237241	Eila Viinikka
539470	247007	Head Nurse
539470	270673	Eila Ritolampi
539470	270674	
539470	271636	
539470	319311	Herself - interviewee
539470	319321	Inga Silver
539470	320400	Jenny Haavisto
539470	349947	Kirsti Salme
539471	92736	Lady Motor Cop
539471	364164	Inga
539471	404282	Celia Robbins (1987)/Angela R
539471	411802	Cassandra Hall Rawlins Carlto
539472	306221	Bursar
539473	397594	Mari Trini
539473	410477	
539474	6982	Mother
539474	7858	
539474	22888	
539474	22916	
539474	22942	Wife
539474	25466	The Maid
539474	26453	The Daughter
539474	28416	
539474	29095	Accomplice/Woman at Inn
539474	35161	The Maid/Party Guest
539474	47466	Mrs. Joe Stevens
539474	52122	Jennie
539474	52551	
539474	54906	
539474	59481	Mary Fleming
539474	61650	
539474	61653	A Friend of the Family
539474	61841	
539474	65776	
539474	65800	(unconfirmed)
539474	66169	Dinner Guest
539474	67704	Nellie Howe
539474	69050	
539474	69451	Dinner Guest
539474	70272	The Woman
539474	70292	
539474	70718	In Tenement
539474	70811	Farmer's Wife
539474	73100	Sister Dorothy
539474	73341	Party Guest
539474	75608	Party planner/Woman on street
539474	77784	
539474	79718	Servant
539474	81083	
539474	81585	
539474	93757	One of Mignon's Sisters
539474	94161	Mrs. John Wharton
539474	94976	
539474	97075	Mercedes' Friend
539474	97469	Virginia Poe
539474	101430	Member of Dramatic Club
539474	101555	Annie Lee
539474	101556	Annie Lee
539474	107046	
539474	107299	
539474	107442	
539474	109331	
539474	109653	Kidnapped Woman
539474	109791	
539474	109835	
539474	111714	Mrs. Caufield
539474	114391	Bertha
539474	116734	At Court
539474	116941	The Maid
539474	119773	
539474	123302	Mabel Grey
539474	130651	Ruth
539474	130678	
539474	130826	Reveller
539474	133416	Woman on Street/Party Guest
539474	141168	
539474	141240	Wedding Guest
539474	142688	Daisy Harcourt
539474	143117	
539474	144222	Farmer
539474	145860	
539474	146260	
539474	146261	
539474	146279	The Maid
539474	146308	Restaurant Patron
539474	149148	At Farewell
539474	154144	A Visitor
539474	157451	
539474	157770	James' Friend
539474	157875	Homecoming Party
539474	158156	
539474	159673	
539474	167594	Wedding Guest
539474	168976	In Crowd
539474	168978	
539474	168994	The Maid
539474	177433	Extra in Chase
539474	177588	Person in Court
539474	185221	
539474	185234	
539474	186775	One of the Colonel's Nieces
539474	191115	Emily
539474	195577	Lady-in-Waiting
539474	196957	Wedding Guest
539474	197033	
539474	197675	Rich Woman
539474	202908	Gladys
539474	209419	Telephone Operator/At Party
539474	213115	
539474	214216	Hulda, the Maid
539474	215324	Kathy's Mother
539474	220941	Manicurist
539474	220987	The Maid
539474	221280	
539474	241783	Nurse
539474	251434	Visitor
539474	256590	Mrs. Wilkinson
539474	257372	
539474	259393	Woman, Third Couple
539474	262392	On Porch
539474	264163	Lady-in-Waiting
539474	274105	Woman in Second Bar
539474	274206	Woman
539474	276388	
539474	276417	At Prison
539474	280303	
539474	282271	Noblewoman/Sculptress's Frien
539474	283662	Cynthia Stebbins
539474	285063	At Wigmaker's
539474	286331	
539474	289596	Hester Prynne
539474	291861	A Lady-in-Waiting
539474	305701	Maid
539474	308648	Dying Woman
539474	312802	Mother on Street
539474	315117	The Nurse
539474	316991	
539474	324226	Bianca
539474	328785	Guest/Woman at Wigmaker's
539474	331078	Theatre Audience
539474	331080	A Daughter
539474	331149	At Party
539474	331220	The Hotelkeeper's Wife
539474	331880	
539474	333761	In Crowd
539474	334292	In Audience
539474	337503	Mrs. Rankin
539474	342522	Museum Visitor
539474	342761	Mexican
539474	343081	
539474	345733	The Wife
539474	348952	Clerk's Wife
539474	350557	
539474	356295	At Party Meeting
539474	359113	
539474	360226	At Dance
539474	361147	The Maid
539474	362884	
539474	362886	
539474	363390	Alice Fairchild
539474	363992	
539474	365089	
539474	366312	Servant
539474	367461	Detective
539474	367735	The Camper's Wife
539474	368769	At Stage Door
539475	346142	Hotel Rainbow Guest
539476	304689	Grete
539477	127706	Blonde
539477	210157	Actress
539477	377426	Girl at nightclub
539478	42202	Läkaren
539478	88825	Nora
539478	153196	Elin
539478	182560	Mrs. Ekman
539478	225233	Mrs. Lea
539478	268344	Helene Weigel
539478	276209	Magda Farman
539478	284372	Margit Törner
539478	320406	Robert's Mother
539478	320623	Marianne
539478	388448	Little countess
539478	394863	
539479	163209	
539480	899	Resident
539481	157618	Laura Orlandini
539481	229485	Student girl (segment "La mel
539481	253200	Anna
539481	401507	Giulia Mercuri
539482	340491	Singer in Restaurant
539482	363758	Nurse
539483	154315	Red
539484	60482	Cat
539484	354851	Teresa
539485	157698	Maria
539486	74845	(segment "La insaciable")
539486	83129	Amiga de Elvira
539486	91345	
539486	104087	
539486	169561	
539486	171467	
539486	193143	
539486	204902	
539486	209475	(segment "El Guajolote")
539486	215231	Blanca
539486	222016	Mama de Pilar
539486	263772	
539486	273124	
539486	279060	
539486	287896	
539486	296502	Raquel
539486	329050	
539486	335517	
539486	357529	
539486	391428	
539487	40448	Extra
539488	66373	Handmaiden
539488	79371	Dancer
539488	337366	Hawaiian Girl
539489	253305	Vecina
539490	271053	Moottorisahablondi
539491	401689	Emma Francis (1998-)
539492	385887	Dana
539493	35105	Herself (child art student)
539494	59010	
539495	4003	
539495	98743	
539495	126951	
539495	131890	Mrs. Kamat
539495	142546	
539495	143467	Raju's mom
539495	172539	Kanta Bhen
539495	262919	Laxmi (Kajri's mom)
539495	268074	
539495	328181	
539495	396479	Nurse
539496	71130	
539496	117521	
539496	254157	
539497	29582	
539498	311816	Giada
539499	129518	
539500	7206	Irishka
539501	266410	
539502	53176	Rita
539502	153821	
539502	189063	
539503	137021	
539504	60865	
539504	124843	
539504	132087	The Secretary
539504	219716	
539504	229761	
539504	261318	
539504	305909	
539504	307025	
539504	312537	
539504	373484	
539505	33819	
539505	216610	
539505	265069	Old prostitute
539505	307621	
539505	350729	
539505	394750	
539506	54879	Secretary
539507	104764	Turkish entry (21st place)
539508	19486	
539508	46203	
539508	211150	
539508	284324	
539509	328751	Child
539510	72892	Sonia
539510	239213	Myrtyl
539511	18503	Anush
539512	58462	Herself
539513	17325	Madre
539513	29825	
539513	74745	
539513	100254	Rosa
539513	111055	Clara
539513	170920	Sonia
539513	222046	
539513	253277	
539513	254987	Luisa
539513	282062	Manoli
539513	318124	
539513	350123	Valèria
539513	384972	Paquita Miralles
539513	387869	Glòria
539513	395017	Roser
539514	193072	Herself
539514	262980	Herself
539514	379118	María del Carmen Campusano-He
539514	379147	
539514	379819	Maiguálida Roldán
539514	379820	Maria Elena Hernandez
539514	383333	
539514	383688	Leticia 'Lety'
539514	402190	
539514	402404	
539514	403173	Mayté
539514	406056	Jacqueline de la Peña
539514	410477	Perla 'Perlita' Gutiérrez-Men
539515	216250	
539516	38468	
539517	8712	
539517	9846	
539517	11730	
539517	12634	Zeynep
539517	15326	
539517	21412	Arzu's mother
539517	22032	
539517	27729	
539517	30698	
539517	34501	
539517	35626	
539517	38195	
539517	38468	
539517	38494	
539517	44597	
539517	48430	
539517	49439	
539517	56667	
539517	63982	
539517	87722	
539517	97099	
539517	105473	
539517	105474	
539517	136708	Behice
539517	136763	
539517	136764	
539517	139947	
539517	143179	The usurer
539517	146983	
539517	156213	
539517	156224	
539517	159659	
539517	171985	
539517	172008	
539517	172190	
539517	173430	
539517	173569	Zehra
539517	173759	
539517	173769	
539517	173797	Dora
539517	173809	
539517	174654	Huriye
539517	177877	
539517	177894	
539517	177964	
539517	178407	
539517	181458	
539517	182099	
539517	187629	
539517	200670	
539517	200795	
539517	210522	
539517	212317	Müzeyyen
539517	222076	
539517	227967	
539517	233034	
539517	285250	
539517	293676	
539517	294126	
539517	301238	
539517	307154	
539517	308297	
539517	308416	
539517	320473	
539517	322546	
539517	322550	
539517	323068	The sultana
539517	323920	
539517	325347	
539517	370224	
539517	370692	
539517	377496	
539517	377543	
539517	377559	
539517	378191	Hatice
539517	378211	
539517	378574	
539517	378585	
539517	378594	
539517	378595	
539517	378604	Döndü
539517	378605	
539517	378609	
539518	278143	
539519	2968	Femme visite
539519	23829	Cynthia
539519	101233	Second Dowager
539519	156281	Marie
539519	200949	Denise Aubonnet
539519	248055	Mrs. Redon
539519	286896	Félicie
539520	268343	Stina
539520	319788	Juliette
539521	92336	
539521	158874	
539521	202512	
539521	307204	
539521	307831	Señora Elsie
539521	317692	Madame Marchal
539522	91385	Mamá
539522	115820	Soltera Bus
539522	149511	Hija Vecino
539522	340689	
539522	357509	
539523	99714	
539524	59934	
539525	204988	
539526	252673	
539526	383727	Alice
539526	387833	Camille
539526	391580	Hilda
539526	396356	Consuelo
539526	396506	Maria Eduarda da Maia
539526	400445	Isabel
539526	402928	Bruna
539526	407868	Giuliana Esplendore
539526	409419	Yolanda Penteado
539526	412258	Amanda
539527	126831	Annet
539527	230395	Herself
539528	361169	Ibo Extra
539529	239294	Mina
539530	139856	
539530	144435	
539530	223294	Toshiko
539530	341298	
539530	341299	Michiko Hamasaki
539530	341300	Michiko Hamazaki
539530	341301	
539530	341307	Michiko Hamazaki
539530	341308	Michiko Hamazaki
539530	341309	
539530	341311	Michiko Hamasaki
539530	378706	
539530	411297	Eiko Furukawa
539531	150509	
539532	130730	Young Ayuko Hayami
539532	165023	Casa Clubs
539532	175518	Rinka Yoshino
539532	197489	Mia Ausa
539532	208486	Sophia/Sephonie
539532	385982	Juri Katou
539532	386344	Plotmon
539532	404879	Arisu Mizuki
539533	181897	
539534	283695	
539535	33459	Bea
539535	53220	Sarah Hackmann
539535	138273	Franziska
539535	138430	Iris
539535	179784	Gabrielle
539535	231463	Antonia
539535	325486	
539535	326847	Caroline Kerner
539536	6079	The Phantom Woman
539536	63716	Akemi
539536	64821	Saeko
539536	64823	Saeko Nogami
539536	127781	Claire
539536	144442	Hayauo
539536	174325	Voice from Svan
539536	208014	Claire (from Galaxy Express 9
539536	211961	Kusumoto Ellie
539536	269293	Baralûda
539536	289304	Metalmena
539536	327007	Tatsumiya Keiko
539536	344025	Mori Yuki
539536	344030	Yuki Mori
539536	344031	Yuki Mori
539536	344032	Yuki Mori
539536	370435	Amethis
539536	370437	Yuki Mori
539536	390081	Layla Destiny Schula/Kanna Yû
539536	394029	Various characters
539536	394030	Various characters
539536	396494	Fairy
539536	396536	Chiiko
539536	397372	Mrs. Hudson
539536	405175	Saeko Nogami
539536	409325	Yuki Mori
539536	409326	Yuki Mori
539536	409327	Yuki Mori
539536	410509	Kei Yûki
539537	169833	Yusuke's Mother
539537	344009	Haruko Miura
539537	405980	Yukimi Asaoka
539538	130252	Tomie Ushiguni
539538	169696	Haruko Shimamura
539538	334959	Tami's step mother
539539	77524	Aiko
539540	9299	Yuka
539540	146906	
539541	168356	Kikue, Kyoko's classmate
539542	35015	
539542	121439	Rie
539542	122136	Ryoko Shinohara
539542	138101	Kikyo
539542	172092	Junko
539542	239294	
539542	242208	
539542	275144	
539542	347481	
539542	347489	
539542	370786	Yumiko Natsume
539543	352587	
539544	394466	Ayu Daikuuji
539545	275144	
539546	137336	Isanako
539546	182507	Kei's Mother (ep.2)
539546	201302	
539547	173194	Tsuyu
539548	394255	Emily's Mother
539549	172412	
539549	269752	Ozaki's wife
539549	287553	Youko Sasaki, hisho
539549	294099	Kano
539549	298751	
539550	43060	Shino Kikuchi
539550	124037	Michiyo Hirota
539550	232561	
539550	289298	Adachi, Noriko
539550	379044	Osai (1988-1994)
539551	174334	Misa Mitomo
539551	178417	Keiko Wakita
539551	289298	Kurebayashi, Aiko
539551	371831	Naoko Mikimoto
539551	373751	Kaori Tachibana
539551	379044	Sagiri (1983-1987)
539552	139335	Namiko Kitazato
539552	180593	Woman of trip entertainer
539552	251929	Hatsuko Iida
539553	318538	
539553	318543	
539553	406883	Yui Kazama (Sandai-me Sukeban
539554	36105	Sita
539555	382648	Yukio
539556	19778	Chizuru Jyumonji
539556	25749	Sakaki
539556	191397	
539556	195628	Motoko Aoyama
539556	195629	Motoko Aoyama
539556	195630	Motoko Aoyama
539556	195631	Motoko Aoyama
539556	379521	Tsugumi Higashijuujou
539556	381025	Sakaki
539556	382908	Priss S. Asagiri
539556	383107	Nagi Kirima
539556	384233	Mizuki Tachibana
539556	390536	Mizuki Tachibana
539556	395888	Sheris
539556	401393	Pocheeni 2-28
539556	402729	Motoko Aoyama
539556	402790	Shinobu Miwa
539556	409831	Jura Basil Elden
539557	129868	Ms. Intelligence
539558	294157	
539560	169852	
539561	228449	Student
539562	271094	Shelly Godwin
539563	250372	
539564	138078	
539565	4016	Mishima Sayoko & Jewelry Stor
539565	92785	Leira
539565	96408	Suzuki Miho
539565	201091	Kumiko
539565	242206	Rubiella
539565	293465	Reiko/Star Laker
539565	408305	Fifi LaFume (Japanese version
539565	408487	Hidaka Kaoru
539566	242252	
539566	243436	G-Fresh's Daughter
539567	139335	Akemi Tashiro
539567	162316	Omina
539567	169185	Leader of Nurses
539568	1160	Sumire Oba
539569	102146	Virgil
539569	235631	
539570	159829	Misaki Yoshida
539570	159830	Misaki
539570	159838	Misaki Yoshida
539571	244023	
539571	348638	
539572	132094	
539572	153661	Ayumi
539572	260417	
539572	293591	Dream Girl
539573	122236	
539574	28120	Ouno
539574	97454	Masako Iwai
539574	174348	Chisa Yukie
539574	179472	Murakami
539574	298871	Akane Kitazawa
539574	305174	Sachino
539574	327768	Nami
539574	348948	Teruko Jodokoro
539574	371831	Azusa Ogata
539574	371862	
539574	378706	Kaoru
539574	396632	Ranko Mizutani
539574	396846	Sora Sakamoto
539574	400764	Miyuki Yonezaki
539574	406838	Yume Takabatake
539575	175511	Michiko
539576	226626	
539577	405155	Ikumatsu
539578	136681	
539579	510	BlackRose
539579	515	BlackRose
539579	516	BlackRose
539579	517	BlackRose
539579	378651	BlackRose (Episode 28)
539579	378652	Michi
539579	384233	Kaori Stephanie
539579	390536	Kaori Stephanie
539579	400269	Akina Sagawa
539579	403477	Aoi Seimoto
539579	406187	Hiyono Yuizaki
539580	227823	Haku
539580	298425	Ziming Hong
539580	328012	Arachine
539580	381013	Suzumi Aogiri
539580	383107	Minako Yurihawa
539580	395167	Claus Valca
539580	398997	Haku
539580	401100	Rob Pecola
539580	411343	Blue
539580	411648	Hisoka Kurosaki
539581	50185	Yuki
539581	172046	Makiko Takemura
539582	198950	
539582	214714	Yuno Mamiya
539582	370413	Ran
539583	92777	Venus
539584	100447	Nastassja
539585	182012	Naoko
539586	32576	Kanae
539586	58338	
539586	139856	
539586	305174	Keiko
539586	406651	
539587	91086	Kosei
539587	122100	Fusa
539587	130554	Tsukiyo
539587	181964	
539587	226643	Masumi Rindoh (Ryuji's wife)
539587	283919	Ayako
539587	287072	
539587	299308	
539587	309186	Tsukimaru
539587	358118	Misako
539587	358491	June Takigawa
539587	370748	Miyako Mori
539587	410626	
539588	86873	Herself
539588	238103	Herself
539589	73578	Dadai's Sister
539590	194247	Neighborhood Girl
539591	390523	Cheryl Webb (1985-1987)
539592	364468	Grace
539593	220671	Stripper #1
539593	235645	Brandy
539594	169579	Mom
539595	396355	The Voodoo Priestess
539596	285919	Kanako Onishi
539597	229773	
539599	299010	Kyoko (Takahide's wife)
539599	309095	
539600	159828	
539600	206787	
539601	294057	Misa
539602	8740	Miya
539602	8756	Etsuko
539602	8888	Hamako Matsuyama
539602	9222	Kyoko Misaki
539602	9281	
539602	19705	
539602	21331	Setsuko Takiguchi
539602	76946	
539602	98206	
539602	98207	
539602	132381	Oriha
539602	135635	
539602	138074	
539602	140017	
539602	156226	
539602	167545	
539602	169267	Michi
539602	172047	
539602	172098	
539602	175509	Midori Ishii
539602	179537	Aki Kaido
539602	181998	
539602	182385	
539602	198952	Okuni
539602	216520	Yumiko Hashimoto
539602	217366	Tokiko
539602	232692	
539602	233113	
539602	244531	Lily
539602	244534	Lily
539602	244543	Lily
539602	244555	Lily
539602	280605	Countess Asako
539602	294265	Yukiko Godai
539602	294266	Yukiko Godai
539602	294267	Yukiko Godai
539602	298794	Riku
539602	300129	
539602	303384	
539602	307043	Akiko
539602	318396	
539602	323126	Youth's Sister
539602	323129	Noriko Shinada
539602	334442	
539602	358394	Sumiko Hashimoto
539602	359720	Akiko
539602	359830	Mariko
539602	406874	Sakitani Natsuko
539603	76861	Machiko Mimura
539603	132383	
539603	149245	
539603	150731	Matsuko
539603	167480	Kikuchi Matsue
539603	172046	Kayo Nozaki
539603	181964	
539603	374090	Tomoe
539604	320134	
539605	43065	Masago's owner
539605	122948	
539605	144965	Aunt
539605	173560	
539605	280605	Head of maids
539605	283919	
539605	294164	
539606	9274	
539607	177791	Li Ping-Roh
539609	14867	Francesca (segment "Una domen
539609	94656	
539609	295172	
539610	302333	Muchachita Maya
539611	62346	Tsiala
539611	62859	The Other Marina
539611	86252	Gurandukhti
539611	102997	Countess Maia
539611	104282	Qetevani
539611	124809	Kama
539611	126100	Tekle, later Queen of Georgia
539611	188876	Tinatini
539611	208006	Gurandukhti
539611	221407	Aleqsandra Lomidze
539611	312954	
539611	341227	
539613	53318	Student
539614	219653	
539615	373333	
539616	358476	Violin Player
539617	248591	Crowd Ad Lib #1
539618	214755	Bulgari Model
539618	238829	Beatrice
539619	306421	So Fine Dancer
539620	235425	Angry Student
539621	314252	Dancing Couple
539622	133306	
539622	353130	Sorella di Jessica
539622	396649	
539622	402654	Zia Titti
539623	113235	
539624	287817	Ferrin
539624	385599	Elsa
539624	398662	Carmen
539624	399520	Rosaura Girón
539625	14354	Delphine
539625	18323	
539625	19201	La chanteuse du café
539625	20070	Simona Viali
539625	24669	Lulu
539625	29791	Herself
539625	47400	Madame Mélikian
539625	52390	La mère de Calino
539625	68513	Palmyre
539625	71849	
539625	80243	Catherine
539625	83239	Josiane
539625	86433	Tirelire
539625	94238	Isabelle
539625	166151	
539625	168346	Elise
539625	176204	Marie
539625	197317	Jeannette
539625	198642	Caroline
539625	205770	Marie-Jo
539625	206048	Jeannette
539625	208235	La mère d'Olivia
539625	217724	Natacha/Marie
539625	226477	Nadia
539625	226610	Nag
539625	246336	La caissière
539625	276466	Nadia
539625	276549	Lydie
539625	282288	Maggiorina
539625	294828	Marthe, la bonne
539625	351863	Marie-Brigitte Poradjawski
539625	354576	Michèle
539625	355867	Marie-Thé
539625	376938	Lola
539625	376972	Marianne Patché
539625	376986	Marie-Sol
539625	377060	Gilberte
539625	398359	
539626	12135	
539627	67188	Anne
539628	340370	Trio Ascencio del Rio
539629	317680	
539629	340370	Trio Ascencio del Rio
539630	68915	Rosarinho
539631	395301	Trixie (Episodes 101-105)
539631	399393	Pinky, Lefty
539632	31668	Girl Singer #3
539633	304863	Student
539634	303385	
539635	102989	Das lustige Mädchen
539636	134608	
539637	3182	Malou
539638	380556	Thereza Abschlussklasse (2003
539639	129358	Sara
539639	189602	Svenja
539639	216119	
539639	365922	
539639	383109	Simone Ritter
539640	175188	Anchorwoman
539641	88653	Jive Dancer
539642	91121	
539643	304529	Coffee Shop Waitress
539644	53312	Pie girl
539644	60340	Honey
539644	232129	The Prostitute
539645	226170	Melanie
539646	22188	Birthday Girl
539646	109564	Mall Patron
539646	175188	Peasant Girl
539646	223691	Kickboxing kid
539646	310262	Young Wedding Guest
539647	144153	
539648	124594	Miss Flaxman
539648	193125	Frances
539648	194513	Miss Flaxman
539648	248116	Alison
539648	361024	Sandra
539648	380625	
539648	382912	Mrs. Lindfrey
539648	400466	Doctor
539649	296524	Madre di Assunta
539650	283352	Padmé Amidala
539651	314491	Hazel Warrington
539651	324002	Hazel Barker
539652	317900	Secretary
539653	175	Studente
539653	124687	Stefanie
539653	389742	Monique (2001)
539653	390410	Irene van Cloppenburg-Verweij
539654	333714	
539655	225142	Hertha
539656	81640	
539657	291132	Amy
539658	253630	Huishoudster
539659	391021	Oma Asenbaum, 'Asi'
539660	231537	Singer
539660	390653	Dancer (1992-1993)
539661	61360	
539662	390653	Dancer (1992-1993)
539663	140271	
539663	259635	
539663	325522	
539663	378168	Frau Melzer
539664	244215	Dora-Mona
539665	314467	Behara
539666	9353	
539667	6468	Carmela
539667	13175	
539667	19600	Susana
539667	23368	Adela
539667	48184	La Coneja
539667	48953	
539667	49883	
539667	57253	
539667	60224	Pauli
539667	61146	
539667	70650	Ángela
539667	70679	Sonia/Sonja
539667	83446	
539667	103499	Carol
539667	103943	Paula
539667	117336	Magdalena
539667	143702	Jovita
539667	143757	
539667	152237	Lirio
539667	167097	
539667	206769	Azucena
539667	233336	Lucia Gandia
539667	243689	Gloria
539667	248766	Mercedes
539667	268289	Paciente 4 (Patient #4)
539667	279830	Lucía
539667	282095	
539667	285933	María
539667	301115	Carmela
539667	319655	Wanda
539667	320326	Carmela
539667	322714	Carmen
539667	327651	Angie
539667	336265	Amparito
539667	336267	Amparito
539667	369754	Herself - Presenter: Best Pro
539667	369994	Herself - Presenter: Best Art
539667	376859	
539667	380155	Silvia Palermo (2004-)
539667	381216	Benigna
539667	387476	Eva Rosales
539667	387692	Remedios
539667	390875	
539667	393549	
539667	408418	Margarita
539667	409570	
539668	198215	Margarita
539668	398914	Theresa
539669	148108	
539670	384510	Herself - Host (1995-1996)
539670	391445	Polly
539671	14791	
539672	314459	Anna's Friend
539673	160888	New Lady #2
539674	327331	
539675	66114	
539675	261289	
539676	215194	Mother
539677	9716	Mary
539678	305082	Little Girl
539679	12338	J.C. Superstar Singer
539680	57929	Jonathan's Ballet Soloist
539680	192680	Herself (New York City Ballet
539681	50444	Extra
539681	98149	Yard Sale Customer
539683	26525	Tracy Butler
539683	157916	Sarah Irwin
539683	194136	NYPD Pizza Waitress
539683	245219	Dental Assistant
539683	254785	Corky
539683	332835	Sheri
539683	410798	Erin Kelly (1992-1993)
539684	115421	Dark haired jump rope girl
539686	239082	Dancer
539687	238945	
539688	53329	Dancer
539688	282037	Rosie Dixon
539688	349876	
539688	380259	Sarah Regan (1975-1976)
539688	400529	
539689	25851	Nurse
539690	41464	Nagi
539690	298425	
539691	248981	
539692	81220	
539693	236368	Miss New Zealand
539694	330709	Vi
539695	116776	Patient
539695	142716	Virginia
539696	689	
539696	11462	Various Roles
539696	29305	
539696	75556	Juleta Shane
539696	80561	
539696	93830	
539696	222787	Philippa
539696	236952	Sharon
539696	245501	Sharon
539696	268867	Steph
539696	282037	Natalie
539696	296711	Carol Landau
539696	343105	
539696	382603	Jill Page
539696	383655	Fred Smith
539696	389505	Flight Attendant
539696	390895	
539696	391002	Nancy Gray
539696	395246	Herself/'Deborah'
539696	396916	Hazel
539696	397418	Deborah
539696	397493	Insp. Charlie Eden (2003)
539696	404654	Hazel
539696	406479	Jo Blake (1993)
539696	409018	Herself
539696	410978	Karen Buckley (2000-2003)
539697	161790	Store Clerk
539698	381533	Herself
539700	353278	Lilly
539701	80695	Terry
539702	186681	Angel of Mercy
539703	115421	
539704	176985	Jogger
539704	335863	Creature #8
539704	362834	
539705	328258	Mime
539706	8401	
539706	8680	
539706	11445	Ritu's mom
539706	17439	Anita's mom
539706	18929	
539706	31591	
539706	85316	Madhu's mom
539706	86686	
539706	88489	
539706	92317	
539706	95049	
539706	124957	Lata
539706	124958	Lata
539706	125823	
539706	126942	
539706	167355	
539706	171499	Kuntala
539706	171500	Kuntala
539706	204398	Shanti
539706	207937	
539706	232614	(Guest Appearance)
539706	246587	
539706	262824	
539706	262866	
539706	268108	
539706	271036	
539706	297066	
539706	300317	
539706	300415	Sujata's mom
539706	344917	Maya (Mohan's wife)
539706	353773	
539706	358108	Daya Sagar's wife
539706	367212	Maya's mom
539706	375199	
539706	375857	
539707	1189	Herself
539707	1738	Herself
539707	2040	Herself
539707	2258	Herself
539707	2274	Herself - Performer
539707	2394	Herself
539707	2573	Herself
539707	18983	Herself
539707	44945	Rudy
539707	46726	
539707	55094	Pam
539707	63063	Performer
539707	66286	Kyra
539707	75031	
539707	76554	Exchange Student
539707	110278	Tiffini
539707	120286	Art Major
539707	120665	Herself
539707	176252	Mylee
539707	208475	Herself (#29) (Interviewee)
539707	221426	Herself
539707	221482	Herself/Performer
539707	221483	Herself
539707	222497	Dorothy Gale
539707	231535	Herself
539707	249592	Performer
539707	318742	Herself
539707	321696	
539707	352976	Performer
539707	362846	Herself
539707	368832	Herself
539707	392422	Herself
539708	75766	Morgan's thug
539709	282026	
539711	32449	Young woman
539711	150189	Lucy
539711	381286	Hostess
539712	17779	
539712	41140	Sue
539712	86453	Helen
539712	120817	Police woman
539712	148848	Nadja
539712	190003	Annie Palmer
539712	194838	Ruthie
539712	217955	Patty
539712	231392	Adele
539712	247036	Kate Mercer
539712	297709	Ellie Nugent
539712	382002	Daffy
539712	382381	Anne-Marie
539712	385020	Amy Goskirke (2000)
539712	390270	Lisa Johnson
539712	396400	Sarah Madson
539712	403377	Carmen
539713	62996	Sue Cratchett
539713	87886	Maisie
539713	93594	Factory Girl
539713	111798	Paul's Mum
539713	112480	
539713	164381	Jackie
539713	190280	Mother
539713	195311	Betty Mackereth
539713	206691	Lil
539713	276411	Reeva
539713	384346	Sgt. Yvonne Mackey
539713	392667	Edna
539713	398416	Anne
539713	401652	Geraldine Powell
539713	403337	Karen Rudge
539714	230329	Sally
539715	1099	Peggy Noble
539715	13533	Beauty Devereux McKnight
539715	24570	Nora Rochester
539715	36601	Herself
539715	47994	Barbara Jean
539715	55159	Carly Fox
539715	79447	Mary Hope
539715	80525	Carrey Rose
539715	82323	Sara Malone
539715	88919	Dr. Grace Holloway
539715	95114	Belinda
539715	127730	Phoebe Willis
539715	161642	Lesley Hahn
539715	194100	Pearl
539715	195812	Debra Zabriskie
539715	244810	Officer Liz McKay
539715	253353	Miranda Bonner
539715	258963	Dyna
539715	269844	Katy Greer
539715	280054	Phyllis Gates
539715	319191	Julie
539715	329503	Collie Sherwood
539715	388237	Kathryn Anderson (1988)
539715	389142	Speed Davenport
539715	400512	Officer Liz McKay
539716	58	
539716	13304	Mrs. Green
539716	36845	Mrs. Sheean
539716	42014	Bridget
539716	66036	
539716	73781	
539716	105036	Kate Andrews, a Spinster
539716	107442	
539716	108494	Mother Fadet
539716	114299	
539716	117764	
539716	145021	The Nurse
539716	146315	
539716	193745	Mme. Troyon
539716	240469	Frau Bertha Schanne
539716	251873	Sarah
539716	270941	Mrs. Langford
539716	274168	
539716	289597	Mistress Hibbons
539716	302918	Undetermined Role
539716	312801	Mrs. Bob
539716	320315	
539716	320898	Lena Muller
539716	329798	
539716	335626	
539716	346135	
539716	347318	Miss Stegal
539716	350501	
539716	367583	Mother Fralonz
539717	141209	The Nurse
539718	13533	Jeanie Lynn Calhoun
539719	65976	Joanna Hutchinson
539719	317170	Joan
539720	258561	
539721	47132	Mrs. Peabody
539721	336049	
539721	336052	
539721	343129	Mrs. Rhodes
539721	361765	
539722	200505	
539723	10535	Nina (Julie's Best Friend)
539724	196995	Waltzing Crab Patron
539725	21173	Princess
539725	34708	Louise
539725	56275	Veronica Tate
539725	59470	Linda Boyland
539725	288933	Receptionist #2
539725	354178	Whistling Girl
539725	378629	Louise (Series 5-9) (1988-199
539725	404148	Hostess
539726	164364	The New Morty Show
539727	80801	Christine
539728	75524	Herself
539728	98856	Herself
539728	98870	Herself
539728	98890	Herself
539730	68901	
539731	1675	Herself
539732	41266	Richard's attorney
539732	158343	Receptionist
539732	340966	Nurse Teasedale
539732	368993	Laura
539732	369473	Lucille Trudeau
539732	395489	Lucille
539733	280447	Cher
539733	403635	Cher
539734	107024	Secretary
539734	154822	Show Girl
539735	216032	The Maid
539736	405601	Herself
539737	366078	
539738	385299	Beryl Gibson
539739	77749	Dorothy Harkins
539739	112539	Anna Hughes
539739	183326	Maid
539739	224050	Julia
539739	301782	Mrs. Norval
539739	303427	Mrs. Harris
539740	36602	Susan
539740	323871	Mrs. Pettitoes/Tabitha
539741	176275	
539742	77479	Goody Two Shoes
539742	326834	Joey
539743	176275	
539744	411176	Madame Celeste
539745	78528	Bit in New Inferno
539745	193264	Girl on Rum Boat
539745	364461	Goldwyn Girl
539746	54953	Townsperson
539746	398570	Prostitute
539747	295472	
539747	331910	Auxiliary Nurse
539747	387533	Norah Norris
539748	554	Susanna
539748	401623	Presenter
539749	41289	Sally
539750	207493	Fish fryer
539750	382854	Gwen Riley (1974-1976)
539750	386360	Miss Reynolds
539750	387007	Pamela Brock
539750	396514	Margaret Castleton
539751	2371	Margaret, crofter's wife
539751	27038	Herself
539751	57190	Frau Messner
539751	59182	The Woman
539751	60767	
539751	72782	Jean Wilsher
539751	79998	
539751	120466	
539751	122255	Lady Gray
539751	141559	Nettie
539751	152435	Lady Gee
539751	169142	Laday Tattle
539751	186166	Herself
539751	191802	The Rat Wife
539751	199390	Lady Emily
539751	222616	Agatha Christie
539751	236733	Mother Mathilde (Africa)
539751	252441	The Spanish Woman
539751	269882	Flower Lisle
539751	277488	Anna Carpenter, Writer
539751	282075	
539751	292325	Hannah
539751	298079	Lillian Huckle
539751	319006	Mrs. Greville
539751	327232	
539751	327426	Miranda
539751	331419	Belle
539751	342354	Viola
539751	358977	Olalla Quintana, prostitute o
539751	363170	Hilda Bloggs
539751	387332	Queen Mary
539751	393491	Barbie Batchelor
539751	401224	Miss Dubber
539751	401651	Herself
539751	410587	Margaret (Queen to Henry VI)
539751	410601	
539751	410602	Margaret
539752	18727	Sally Wilson (Jane's sister)
539753	40901	Judy Ashdon
539755	26464	
539755	142690	
539756	46869	Cathy Brubaker
539756	120740	Sylvia as a child
539756	154785	Dian
539756	296754	Nina Hopke
539756	313321	Esther at Age 6
539756	336814	Jesse Billings
539756	372633	Susan Webster
539757	27247	Newsreader
539757	263795	Newsreader
539757	404924	Presenter
539758	115460	Stephanie
539759	83969	Young ER Nurse
539759	308634	Anna Kronborg
539760	34945	
539760	34946	
539760	50361	
539760	50372	
539760	91624	
539760	131405	
539760	176865	Virtual Hooker
539760	220364	
539760	228670	
539760	306990	Herself
539760	333831	
539760	333832	
539760	356645	
539760	365676	Herself
539760	401527	Host (Danni.com)
539761	218702	Agnes
539762	9085	Naomi
539762	105383	Jenny
539762	162399	Mia
539762	312135	Kelly
539763	15220	Sara
539763	21526	Meg Snyder
539763	380713	Meg Snyder Reyes Landry (1986
539763	396123	Lily Slater #1 (1983-1985) (o
539764	383742	Various Celebrities (2000)
539765	340109	Woman in Car
539766	231870	Hillary
539766	366397	Hillary
539767	407587	Jenny
539768	190953	Waitress
539769	128162	Diane
539769	267886	Herself
539770	32790	Lucy Lockit
539770	55204	Frasquita
539770	280437	Herself
539771	308120	Townswoman
539772	347243	Head Nurse
539773	215766	
539774	392108	Beryl Stapleton
539775	171034	Pirate
539776	148909	Brianna 'Honeybee' Dukes
539776	389858	Keesha Ward (1994-1998)
539777	393236	Lucy Jackson
539778	162364	Prison Singer
539779	355036	Hillary Glen
539780	399136	Jennifer
539781	313855	Lord & Taylor Lady
539782	44185	Bell
539782	66324	Tanya
539782	161060	Waitress
539782	296019	Health Clinic Nurse
539782	324091	Constable Linx
539782	340742	Levealle
539782	362834	Motel Woman
539782	363502	Noreen Lookalike
539783	50032	Rachel
539783	72373	Dale Carver
539783	152572	Primus' Secretary
539783	317765	
539784	187263	Ulani
539785	20625	Extra
539786	6812	
539786	10413	Annie
539786	47011	Sonja
539786	50612	Margaret
539786	59537	Benesta
539786	65914	Anna
539786	77623	
539786	81764	Susan
539786	93249	Mrs. Liddell
539786	96817	Emma Vane
539786	110910	
539786	128293	Lindy Birkett
539786	134127	Hester
539786	141794	Mrs. Elvsted
539786	142930	Jane Seymour
539786	195767	Katha
539786	204021	Nina
539786	207268	Francesca
539786	213995	Maggie Tulliver
539786	244945	Herself
539786	248991	Pauline
539786	263967	Lady Jane Grey
539786	273727	Herself
539786	273930	Melinda
539786	283500	Helen
539786	315232	Jill Greeley
539786	317975	Bank Manager
539786	357076	Elizabeth
539786	366462	Perdita
539786	382744	Celia Ryder
539786	384142	Felicity Troy
539786	385301	Angel Samson (2003)
539786	390332	Herself
539786	391172	Lady Johane Williams
539786	397939	Helen
539786	402606	Mary Brandon
539786	411280	Faith Ashley
539787	235403	Naked Girl in Locker Room
539788	122113	
539789	80050	Mrs. Burnett, Carl's Mom
539790	136516	
539791	191041	Maddalena
539792	313762	Diner #2
539793	25829	
539794	29619	Emily
539795	37069	Chelsea Parker
539796	253564	Laura
539797	195540	Kim
539798	340858	CK
539798	396696	Juggy Dancer (1999-2000)
539799	285555	Ahuva
539800	32429	Marjorie
539800	51855	Iras
539800	63201	Princess Katharine
539800	75404	Milly
539800	79894	Angela
539800	97734	Lady Margaret Truscott
539800	134280	Carrie Belaney
539800	184899	Herself
539800	200112	Miss Tagg
539800	202530	Joan Rivers
539800	210514	Charmian Colston
539800	222681	Miss Dora Bunner
539800	234929	Lady Norbert
539800	241028	Pat
539800	244458	Old Lady
539800	260143	Sally
539800	269842	Mother Ancilla
539800	272536	Tsarina
539800	274072	Megan (segment "Red Dress' st
539800	280993	Beatrice
539800	283541	Old Lady
539800	290352	Anne Johnson
539800	305331	ATS corporal
539800	305602	Sybil
539800	329692	Mrs. Maxwell
539800	333257	Barbara Everton
539800	360152	Marjorie Gillingham
539800	360258	Iris Winterton
539800	384430	Miss. Gaily
539800	386481	Lady Bradford
539800	391001	Queen Victoria
539800	395529	Bobbo's mother
539800	396670	Mrs. Wainwright
539800	397676	Emily Simpson
539800	407838	Sylvia Ashburton (1981)
539800	408461	Mrs. Bartholemew
539801	62922	Carol
539801	67205	Sally Waterville
539801	107629	Eve Evans
539801	116130	Helen
539801	135402	Mrs Hardy
539801	176947	Rachel
539801	185407	Janey
539801	185844	Jody
539801	196574	Ruby
539801	203782	Kim
539801	204887	Elly Jackson
539801	241336	
539801	257990	Molly
539801	259779	Nancy
539801	264147	Ella
539801	267426	Helen
539801	274188	
539801	297802	Liz
539801	311427	Jenny
539801	315516	Kay
539801	321400	Juliet
539801	330830	Sadie MacGregor
539801	340557	Susie
539801	359349	Lucy
539801	385222	Dounia
539801	386546	Samantha
539801	396082	Kate (episode "Threesome")
539801	396786	Elly Rawsthorne
539801	399531	Sylvia
539801	405829	Cate Hobbs (1996)
539801	410654	Primrose
539802	29814	Herself
539803	23944	Auditioner
539803	339053	Host
539803	378841	Cheerleader/Dancer
539803	408635	Mime Dancer
539804	23944	Auditioner
539804	339053	Host
539804	378841	Cheerleader/Dancer
539804	408635	Mime Dancer
539805	194136	Innosense
539806	37089	Second Waitress
539806	38358	First Woman
539807	406014	Herself
539808	201688	Herself
539809	335708	Goose
539810	199311	Geisha
539811	18324	
539811	122099	
539811	130555	
539811	137256	
539812	299309	
539813	61529	Middle-Aged Woman
539813	172102	Song
539813	172103	Song
539813	299007	
539814	8764	
539814	125449	
539814	126835	
539814	200763	
539814	359845	
539815	8799	
539815	9176	Keiko Asada
539815	19595	Yuriko Shiratori
539815	19702	Midori Shima
539815	19703	
539815	28121	Ohisa, the maid
539815	144433	Kumiko, Shinji's sister
539815	180510	
539815	223353	Miyako
539815	232568	
539815	232692	
539815	288053	Fusako Okamoto
539815	293557	
539815	293593	
539815	298693	Painter's sister
539815	308882	
539815	320413	Tamako
539815	370351	
539815	375580	Momoko
539816	18072	
539816	46286	Hiromi
539816	167855	
539816	174329	Hideko Yamane
539816	174345	Emi Ozato
539816	226682	Kuwashima, Sumiko (Mother of 
539816	235373	
539816	344026	Emiko
539817	2950	
539818	176660	Osan
539818	227143	Friend of Wife
539819	59772	Nina Puhova
539820	76333	
539822	9594	Yoshi Okano
539822	268106	
539823	209935	
539824	226626	
539825	411640	Herself (2002-2003) (season 4
539826	402982	
539827	33908	Teacher
539828	32935	
539828	128624	
539828	149316	
539828	266583	Go Go Dancer #1
539828	342854	
539829	606	
539829	14989	Mildred Lasher
539829	18570	Hattie
539829	140402	Mrs. Montrose
539829	303680	
539829	320100	Woman
539829	321746	Cam
539829	349231	Ruby Engels
539829	385719	Minnie DuVal
539829	389858	Alice Grant #1 (1976-1977)
539829	406793	
539829	409744	Ruby Engels
539830	241342	Daily News Reporter
539831	160882	Dancer
539832	236350	Ashleigh
539832	381076	Nurse Andrea (1991)
539833	109524	Pat Bernardo
539834	354752	Alex
539835	380430	
539836	57242	
539836	60240	Nude model
539836	92155	Shel
539836	129627	Ashley - Bevery Hills Girls
539836	247991	
539836	250651	
539836	319461	Model
539836	359860	
539836	390180	
539837	190854	Dorothy's daughter
539838	115943	Fan
539838	158828	Alice
539838	201592	Documentarian
539838	201748	Narrator/Interviewer
539838	218016	Sarah
539838	279363	Vicki
539839	30686	Stripper
539839	282452	Hooker
539840	42388	A. G.
539841	128594	Ricki Stiles
539841	242922	Buff Opponent
539841	316327	Rolanda
539841	345946	Jackson Heights Boxer
539841	392941	Road Work Master
539842	69044	
539842	214469	Hayley Quinn
539842	257530	Susan Wright
539842	272863	Dr. Kaitlin Wallace
539842	303765	
539843	190627	Herself
539843	279400	
539844	339645	Irony
539845	129117	Huntswoman
539846	45878	Girl Hostage
539846	146091	Jean Beck
539846	165102	
539846	383385	Emily Riley (a.k.a Cheetah)
539847	45668	Kissing Teenager #1 (segment 
539847	74112	Kissing Teenager #1
539848	320959	
539849	193956	Lisa
539850	2266	
539850	7051	
539850	13398	(segment "Family Dog")
539850	21923	
539850	49915	
539850	60783	
539850	82401	Cheerleader
539850	91616	
539850	123610	
539850	140940	
539850	163375	Jenna Wilson
539850	165204	Herself
539850	228040	Herself
539850	244353	Herself
539850	264677	
539850	264748	
539850	284934	
539850	318977	Calantha
539850	321475	Interviewed woman
539850	366857	Blind sculptress
539851	52403	Jo Steele
539851	245766	Margot Masterson
539851	247968	Monica
539851	362869	Monique
539852	33777	Catherine
539852	349582	Uki
539853	224785	Mme. Mathieu
539854	299713	
539855	316693	
539856	168050	Mary
539857	133728	Charkie's Water Ballet Perfor
539858	114283	Rap/Bomb Girl
539859	71133	Claire
539859	244883	Girl Friend
539859	324983	Drive-in patron
539859	385299	Mrs. Warburton
539860	364731	Servant
539861	2360	Herself - Co-presenter: Art D
539861	3242	Jeannie Carter
539861	41693	Lolly Fontenot
539861	47385	Herself
539861	55583	Monica Winthrop
539861	67665	Mrs. Emerson
539861	78038	Miss Reed
539861	92736	Jane Kirkpatrick
539861	107105	Sally Dillman
539861	113810	Sharon Allan
539861	130830	Felicity
539861	133795	Nancy Sue
539861	136513	
539861	138683	Diane Freed
539861	139574	Marian
539861	140901	Freddie Fox
539861	142167	Diane Craddock
539861	144363	Mrs. Vitello
539861	148361	
539861	158107	Carla Scott
539861	168129	Herself
539861	171278	Mrs. Palinski
539861	175522	Herself
539861	195341	Emmalina
539861	200362	Sally Baker
539861	202490	Gov. Dalton (cut scene)
539861	206368	Nan
539861	208531	Margaret Lipton
539861	241625	Elizabeth Corban
539861	248135	Loretta
539861	249862	Gloria
539861	250546	Sophia Thatcher
539861	271994	Cora Brown
539861	273552	Vicky
539861	292130	Ellie Smith
539861	299174	Jenny Brown
539861	299664	Mrs. Comstock
539861	303490	Dr. Erica Bergner
539861	304814	Mrs. Tuccinini
539861	311514	Diana Stetson
539861	312828	Dallas
539861	320598	Eve Swiss
539861	330502	Alexandria Mallory
539861	335065	Joan Hammil
539861	343024	Babette
539861	350221	Dr. Glaser
539861	359194	Erica Tate
539861	359443	Blanche Webster
539861	362951	Helen Connelly
539861	366072	Andrea Glassen
539861	372863	Laurel Plunkett
539861	380391	Emma Frame #3 (1990)
539861	382912	Mrs. Closson
539861	387981	Freida Evans
539861	389326	Jane Addams/Dorothea Dix
539861	390922	Sally Devlin
539861	406854	Charlotte Sinclair (Pilot Onl
539862	318607	Churchgoer
539863	171411	Harem Girl #2
539863	213260	Shane
539863	245016	Hooker
539864	296824	
539864	330185	Ellen
539866	194641	Organino Girl
539867	304373	
539868	405073	Frozen Girl
539869	13386	Clare
539869	40698	Claire
539869	141081	Singer
539869	154237	Margot
539869	193374	
539869	208967	Josephine
539869	230430	Gloria Baxter
539869	237963	Babe Carson
539869	260238	Emily
539869	282607	Girl
539869	308677	Emmy
539869	317360	Desiree
539869	359518	Elaine de Lisle
539870	267547	Mrs. Maley
539871	57945	Charly
539871	58507	Grinder
539871	136288	Anna Kazan
539871	160278	Holly
539871	203549	David's Mother
539871	209114	T.V. Show Host
539871	232427	Flower Child
539871	249494	Secretary
539871	254523	Groupie
539871	259898	Laurie
539871	333618	Kelly
539871	337096	Jean
539871	372882	Teenage Driver
539872	213577	Presumed Chorister
539873	41898	Gloria
539873	64506	Rita Hanken
539873	73742	Kitty
539873	103323	Girl
539873	227806	Christy
539873	241459	Betty West
539873	243473	
539873	333346	Madeline
539873	366178	Sportscar Blonde [extra]
539874	6721	Herself
539874	6722	Herself
539874	11135	
539874	26112	
539874	27488	
539874	27489	
539874	30682	
539874	34928	
539874	36391	
539874	36703	
539874	38366	
539874	41008	
539874	41076	Herself
539874	41486	Herself
539874	44406	
539874	50764	
539874	54307	
539874	57949	
539874	67869	
539874	72778	
539874	83619	
539874	84874	
539874	113194	
539874	127272	
539874	128279	
539874	128560	
539874	128579	
539874	141390	
539874	147652	
539874	147760	
539874	147842	
539874	158590	
539874	165003	
539874	187058	
539874	188337	
539874	188418	
539874	194723	
539874	196398	
539874	201497	
539874	253623	
539874	266168	
539874	272813	
539874	273469	
539874	273525	
539874	278851	
539874	283987	
539874	295585	
539874	295687	
539874	295692	
539874	297229	
539874	300069	
539874	302890	
539874	304784	
539874	309203	
539874	319985	
539874	335568	
539874	335932	
539874	355989	
539874	367881	
539875	131687	Aisha
539875	194524	Aisha (Yellow Ranger #2)
539875	213479	Aisha (Yellow Ranger)
539875	326246	Jade
539875	347956	
539875	394306	Melissa (1999)
539875	397693	Aisha Campbell/Yellow Power R
539876	127585	Janet Larmon
539877	106666	Masked party principal
539878	30584	
539879	107002	
539879	110274	
539879	224430	Connie
539879	271191	Dancer #2
539879	295673	Dancer
539880	156510	
539881	223979	Judy
539882	16428	Cynthia Dupont
539882	25819	Jessica
539882	74140	Sandra
539882	116586	
539882	178114	Aja
539882	207622	Maryse
539882	211154	Laure
539882	214987	Maria
539882	285268	
539882	292890	Anne Métayer
539882	316306	Leïla
539882	319329	Ursula
539882	385090	Suzanne Addington
539883	365099	Dorothy the Dinosaur
539883	365102	Dorothy the Dinosaur
539884	34202	Sarah Nelson
539884	72844	Rose Waterford
539884	206410	
539884	239984	Ethel Sergison
539884	405217	Mrs. Rose Hyland
539885	185350	
539886	154890	Susannah
539886	269601	Jennifer
539886	384783	Valerie
539886	388306	Barbara Todd
539886	403993	Various
539888	74192	Sheila Marie
539888	201918	Lettie's friend
539889	323780	Eleanor
539890	228604	
539891	243795	Beverly
539892	29234	
539892	211317	
539892	282963	
539892	336332	Mercedes
539893	192503	Secretary #1
539894	28564	Herself
539895	89646	Mrs. Connolly
539896	241134	Businesswoman
539897	95269	Abra Lichtman
539898	11238	
539898	27034	
539898	34899	
539898	81832	
539898	81851	
539898	108451	
539898	130784	
539898	139193	
539898	150496	
539898	186469	
539898	195846	
539898	251201	
539898	257736	
539898	258055	
539898	296180	
539898	297823	
539898	297824	
539898	312374	
539898	321006	
539898	335448	
539898	337288	
539898	338189	Missy
539899	165102	Maureen
539901	54612	Annette
539901	308917	Louisa
539901	335636	Angela
539901	385299	Jane Templeton (1968)
539902	67863	Girl Fan
539902	102514	Ashley Jensen
539902	249517	Stacey Reardon
539903	307410	Pvt. Jackson
539904	232483	Party Guest
539904	403160	Hostess (1990)
539905	249548	Miranda
539906	122619	Girl Fan 1
539908	315248	Woman in window
539909	67352	
539910	4711	Nurse
539910	363001	Mrs. Matson
539911	170896	Christmas dinner friend
539912	48235	Maria
539912	150950	
539913	335258	Stripper
539914	232714	Club Singer
539915	238280	Oded's Mother
539916	127557	Amy
539918	236152	Saralynn
539919	363803	Nowya
539920	15156	Fayetta
539920	244271	
539921	80725	Herself (Palestinian academic
539921	183959	Herself
539922	351234	
539923	117664	
539923	151556	Dixie Cup Girl
539924	81055	Cynthia Coates
539924	152608	Girl on Boat
539924	159732	Amy Carver
539924	192187	Darla
539926	324844	Missy
539928	117788	Hannah McKenzie
539929	81487	
539929	90237	Grace Forrester
539930	62393	
539931	6266	Hitchhiker
539931	337301	Fallon Russo
539931	384730	Jo
539932	380934	Presenter
539932	386259	Presenter (1999)
539933	16642	Borstal Girl
539934	92104	Angel Scaldoni
539935	35655	Student
539936	179030	
539937	384091	Alice Beverley
539938	26563	Maenad (chorus)
539938	44488	Lisa
539938	190376	Pam
539938	352554	Pierced Girl
539938	408237	Housewife
539939	269627	Glenda
539939	388486	
539940	196031	Girl with Candle
539941	363756	Mary
539942	26485	
539942	41544	Herself
539942	55298	
539942	76932	
539942	158590	
539942	167590	
539942	304784	
539942	332877	
539942	342072	
539942	372522	
539943	73928	Tommy's Wife
539943	122109	
539943	122110	
539943	122113	
539943	400576	Additional Voices
539943	404879	
539943	408893	
539944	77703	Mimitta
539944	107989	Mrs. Dorian
539944	141520	Mrs. Grey
539944	184300	Emily Graham
539944	368244	Showgirl
539944	372112	Amy Powellson
539945	79308	Mouse Lady
539946	398707	Henrietta
539947	154182	Dancer
539947	175175	
539947	339940	
539948	277851	Athlete
539949	36855	Herself
539949	381917	Herself - Evictee #6: 15 June
539950	80374	Joyce
539950	317572	
539950	359431	Harem Girl
539951	29889	
539951	34658	
539951	50534	
539951	69774	
539951	70213	
539951	81797	
539951	91667	
539951	102825	Herself
539951	116013	Herself
539951	128347	Herself
539951	231834	Juli
539951	231835	Juli
539951	241066	
539951	243436	Saffi
539951	246865	
539951	251808	Herself
539951	257620	Herself
539951	266674	
539951	269341	
539951	292478	Herself
539951	319461	Model
539951	399419	Host
539952	108288	Bank Cashier
539953	362414	Laura
539955	11316	
539955	29970	
539955	45093	Kelly
539955	193523	Nude Model
539955	236337	Herself
539955	307450	
539956	13637	Tina Lyle
539956	381703	Laurel Hayes
539957	221287	Perky Saleslady
539958	60807	Cherry
539959	40252	Lisa
539960	199140	Saloon Dancer
539961	281800	Ringmaster
539962	34395	Miss Temple
539962	134015	
539962	338585	
539962	382838	Jean Crosbie (1992-1996)
539962	384783	Lily Todd/Kipling
539962	387247	Doris Moisey (2002-2003)
539962	391166	Luke's mother
539962	392603	
539962	397876	Monica Forbes
539962	404542	Bland's Daughter
539963	90277	Peggy Dean
539965	72901	Danielle
539966	213313	Dancer
539966	315311	
539967	33034	
539967	82356	
539967	241670	
539968	34911	
539968	41362	Barmaid
539968	78529	Fanny Conforth
539968	137462	Pub Character
539968	223402	Norah
539968	229124	Freda
539968	240706	Sally
539968	242980	Mrs. Bonini
539968	249611	Johnny's Mum
539968	381661	Various Roles (1972-1973, 198
539968	382530	
539968	382559	Glad
539968	389656	Betty
539968	408003	Annie
539968	408903	Hilda rimmer
539969	320309	Mrs. Newsham
539970	405209	Dr. Margaret Cole (2000)
539971	55804	
539972	12758	Molly Regan
539972	91854	Pianist
539972	317144	
539972	359465	Mrs. Marsh
539972	370854	Mrs. O'Neil
539972	383813	
539972	400982	
539972	401828	Mrs. Casement
539972	403244	Jessica Metcalf
539973	276873	Wheeler
539974	95878	Stefan's girlfriend
539975	27097	Skye
539975	162886	Penny Quinn
539975	295669	Skye
539975	404948	Skye the stenographer
539976	32531	Homeowner 2's Children
539976	386233	Valerie Mitchell
539977	32531	Homeowner 2's Children
539977	151166	Young Beth
539978	124286	Backup Vocalist
539978	307237	Herself
539979	11267	The Queen
539979	26363	In Office
539979	26658	Mrs. Malone
539979	30112	Ma Benson
539979	32207	
539979	35496	
539979	38038	
539979	38901	Women's Christian Temperance 
539979	42148	Mrs. James Horton-Kemp
539979	44320	Mrs. Conlon
539979	45292	
539979	48567	
539979	48580	Georgine
539979	60203	Mrs. Brockton
539979	62153	The Mother
539979	64919	Mrs. Babb
539979	65800	
539979	69735	Mary Page
539979	72260	
539979	72273	
539979	72599	Mrs. Carleton
539979	75288	The Young Woman's Mother
539979	77774	Katinka
539979	79205	Townswoman
539979	79362	Mrs. Walford
539979	79943	
539979	82472	The Bride
539979	83815	Mrs. Patrick Ryan
539979	90274	Mrs. Huckney
539979	97735	At Ball
539979	109998	
539979	116974	Sylvia's Aunt
539979	117175	Signora Bartoni
539979	118439	Mrs. Tidmarsh
539979	122130	Mrs. Ledyard
539979	124226	Widow Jones
539979	129905	The Baby Vampire
539979	133966	'Mommer' Sieppe
539979	140948	Mrs. Briggs
539979	141339	The Cook
539979	141470	Chaperone to Mabel
539979	143094	
539979	143147	Ma Carston
539979	143414	Belle Bright
539979	144783	First Actress
539979	145006	Extra
539979	145683	
539979	147443	Hoonora Canavan
539979	161542	Woman at Worker's Dance
539979	162547	Mrs. Pearson
539979	164490	Mrs. Parker Jennings
539979	166678	Second Visitor
539979	166729	Sophia Shuttles
539979	168689	Aunt Agatha
539979	171165	The Professor's Wife
539979	178219	At Church Fair
539979	183447	Ma Slcum
539979	187950	Mama Lolita
539979	194185	In Cabaret
539979	195074	Mrs. Peyton
539979	195513	Julia Nast
539979	196056	Mrs. Whitney
539979	204743	Prison matron
539979	207108	The Girl's Mother
539979	210892	Aunt Hannah
539979	221327	Mrs. Fuller
539979	229511	Second French Family, the Wif
539979	231512	
539979	237792	Extra
539979	239691	Woman at picnic
539979	239841	Sophy Murdock
539979	244862	Mrs. Brazey
539979	245695	Widow Malone
539979	246784	Lady Gower
539979	248012	Mama Binks
539979	250808	Tilda, Patsy's Wife
539979	251858	Mrs. Ensloe
539979	262063	Townswoman
539979	264086	Mrs. Prouty
539979	269304	Kelly's Aunt
539979	269441	The Sheriff's Wife
539979	271058	Mrs. Burton
539979	274337	Opal Summers
539979	277014	Undetermined role
539979	281845	Mrs. Ann Brooks
539979	288683	Mrs. O'Day
539979	291715	Widow McManus
539979	292814	
539979	297203	Aunt Bella
539979	297403	
539979	297720	Mrs. De Risque
539979	306150	Mrs. Haynes
539979	309533	Mrs. Hodge
539979	309581	Mrs. Kale
539979	318319	Old Woman
539979	319777	Bridget O'Malley
539979	321235	Dotty Driscoe
539979	329982	Rescued from Lake
539979	330805	Martha, Adeline's Maid
539979	331147	Chaperone
539979	332906	One of the Wife's Friends
539979	341033	
539979	346171	Lotta Crust
539979	348436	Dora's Mother
539979	352720	Mrs. Douglas
539979	360384	Kedzie's Mother
539979	363096	
539979	363558	Mrs. Bones
539979	363569	The Young Woman's Mother
539979	363836	Mrs. Gregory Bolton
539979	364550	Aunt Kate
539979	367734	Patron
539979	368704	Hank Hopkins' Wife's Friend
539979	372933	Mrs. Jolley
539980	317309	Casting Agent #2
539981	41773	Young Woman
539981	86307	Nola Carlisle
539981	334158	Counselor
539981	348795	Woman #2
539982	299689	Charlie's Girl
539983	1106	
539983	8163	
539983	207989	Link's Niece
539984	359744	Jeanine
539985	143637	Isabella Pearce
539986	13645	
539986	62658	Padma
539986	219888	Dell Ferris
539986	252016	Uma
539986	349018	Lakshmi
539986	355836	
539987	122185	Billice
539988	308918	Young Miriam
539989	363729	Disciple
539990	183213	Ballroom Dancer
539990	381661	Hill's Angel (1981)
539991	395028	Townsperson
539992	67394	Briana
539993	196907	The Mother
539994	26285	Hobbs' PA
539995	197507	
539996	409578	Beryl
539997	29233	
539997	39925	
539997	75028	
539997	107617	Evil Candy Jo
539997	223673	
539997	241613	Woman at bar
539997	243534	
539997	257121	Female Pool Player
539998	84095	Asiaín, Gloria
539999	89972	
540000	150587	
540001	66917	Voodoo Musician
540001	67395	African musician
540002	256878	Punkkarimimmi 1
540003	307163	Eija
540004	256878	Punkkarimimmi 2
540005	185000	Sosiaalityöntekijä
540006	220756	
540007	8132	
540007	11762	
540007	15286	
540007	28887	
540007	97932	
540007	102917	Maro
540007	136440	
540007	172227	
540007	173083	
540007	173084	Sylvia
540007	184183	
540007	200061	
540007	212562	
540007	212582	
540007	212589	
540007	234795	
540007	246622	
540007	247908	
540007	248037	
540007	249411	Koula
540007	250540	
540007	252701	
540007	253087	
540007	260067	
540007	280333	
540007	280334	
540007	280335	
540007	285698	Eleni
540007	288485	
540007	337529	
540007	338998	Bouli
540007	340101	
540007	402344	Beba
540008	6291	
540008	8122	Eva
540008	11974	
540008	11982	
540008	18219	
540008	32656	
540008	95889	
540008	96616	
540008	97136	
540008	98983	
540008	121079	
540008	121080	
540008	122785	
540008	126142	
540008	127362	
540008	136492	
540008	138764	Aspasia Markouli
540008	138968	
540008	140703	
540008	172061	
540008	174450	
540008	178474	
540008	180455	
540008	183892	Droso/Lafina
540008	187092	
540008	201972	
540008	226021	
540008	244953	
540008	251132	
540008	258171	
540008	262362	
540008	288131	
540008	315786	
540008	328765	
540008	340002	
540008	375138	
540008	395706	
540009	304048	Neighbor
540010	277899	Girl
540010	302021	Chiquita Esteban
540011	335406	Teacher
540012	198499	Madame's Girl
540013	51362	
540013	73651	
540013	116345	
540013	213380	
540013	238015	
540013	251137	
540013	302532	
540013	328321	
540013	354769	
540013	356223	Roxa
540013	383784	Fatima Hazim
540013	390498	Ragazza festa
540013	395662	
540013	397297	
540014	213495	Kid
540015	213495	Kid
540016	64399	Jocelyn At 4
540017	150351	Raker Girl
540018	104757	Yugoslav entry (14th place)
540018	142491	Kid
540018	170225	Herself
540018	342150	
540019	285819	La journaliste de Canal+
540020	213544	
540020	237054	
540020	277167	Herself
540021	181313	
540022	109141	Servitrice
540023	381605	Berta
540024	274333	Princess/Confirmation Class/V
540025	409930	Bitten Pettersen (70 episodes
540026	311192	
540027	106942	Narrator
540028	355028	The Academy's Blessed 'Virgin
540029	171154	Bellringer
540030	312341	Pearl
540031	148321	Herself
540031	186172	Herself - Musician
540032	5009	Additional SPAT Woman
540033	81133	Catherine Lynch
540034	81133	
540034	118848	Ma James
540034	292177	Mom
540034	294524	Sue Ellen Decker
540035	16878	Seamstress
540036	365910	Dr. Williams
540037	195866	Vera
540037	201430	Cameo appearance
540037	271892	Susie Ramsbottom
540037	380693	
540037	381557	(Series 4-7) (1956-1958)
540037	396053	Rose Brown
540038	169136	Child Chorus
540039	180215	Hej Pige
540040	78014	Janet
540040	111613	
540041	47546	
540042	285549	
540043	67425	Alma Elton
540044	208398	Dagda's Court Woman
540045	139813	Collective farmer
540047	385476	Programleder (2003) (host)
540048	337165	Kid
540049	294240	
540050	268574	
540050	354633	
540051	237439	
540052	20421	Frau Professor Vollmer
540052	46641	Hansi
540052	361116	
540053	293721	
540053	349226	
540055	231920	Jewelry shop salesgirl
540056	160784	
540057	404242	
540058	22019	
540058	29685	
540058	57802	
540058	97549	
540058	97813	
540058	163107	
540058	322448	
540058	377543	
540059	345741	Nardin
540059	363561	Mrs. Stiffner
540060	20289	Ellen Randolph
540060	46583	Barbara Pennypincher
540060	72229	Bertha Bullhead
540060	82119	
540060	161720	
540060	254449	Saloon Girl
540060	270505	June Merrill
540060	277993	Barbara Steelman
540060	329081	Grace Valentine
540060	337720	Jane Gordon
540060	361777	Molly Spellman
540061	86046	
540062	32052	Dancer
540063	334474	
540064	105473	
540064	126988	Suhair
540064	161453	Nadia
540064	200685	Soudamini
540065	2222	Trojanová
540065	266350	Soucková
540066	86046	
540067	58111	Amira
540067	206731	Nadia
540068	58111	Amira
540069	58773	Tipsy girl
540069	73612	Claire
540069	77398	Louise Creel
540069	110450	Janet Moreland
540070	175348	Maya
540071	198165	
540072	397122	Daria
540074	174795	Karola
540075	122811	Luder
540076	137402	Guest at party
540077	61812	Diner Patron
540078	390213	Herself - Host (2002)
540078	392318	Herself - Host (1999-2001)
540079	76049	Madlyn
540080	34611	Herself
540080	165977	Herself
540080	192535	Host
540080	387205	Herself/Guest Host
540080	387209	Herself/Coanchor (1999-2002)
540080	403291	Herself/Host
540080	411138	Herself/Host (1997-1999)
540081	3165	Herself
540081	45637	Susan (segment "Inside Out")
540081	47072	
540081	92513	Admirer
540081	160410	Susan
540081	231060	Nancy Sykes
540081	242529	Harriet
540081	251237	Lisa
540081	292150	Carol
540081	360670	Alice
540081	362453	Woman at Lunch Counter
540082	67896	Japanese Girl #1
540083	234085	Yumi
540083	299052	Waitress
540084	921	(segment Japan)
540084	145441	Tomomi Manabe
540084	160095	Younger Sister
540084	173600	Sonoko
540084	174917	Miki
540084	174994	Michi Kudo
540084	185630	
540084	201375	Clara Oshina
540084	232904	Chizuru
540084	260417	
540084	274309	Asuka
540084	278548	Etsuko Tachihara
540084	283723	Yasuko (Mika)
540084	292132	(Episode 1)
540084	305171	
540084	314517	Mika Andou
540084	374380	Miyako (prostitute)
540085	292661	
540086	167927	
540087	61472	
540087	61475	
540087	61479	
540087	61486	
540087	61501	
540087	61523	
540087	88677	
540087	122050	
540087	142958	Saloonkeeper of 'chaban'
540087	160149	Daughter
540087	169199	Dirty Mary
540087	173293	
540087	182043	Dirty Mary
540087	212656	
540087	213573	
540087	232590	
540087	241012	Horny Wife
540087	256323	Tomoe
540087	289477	Sayuri
540087	336350	Teenage Runaway
540087	347481	
540087	371875	Dirty Mary
540088	288355	Kanako
540089	281575	Kanako
540090	9175	
540090	44271	
540090	171903	Noriko Majima
540090	178421	Kyôko Fuda/Masashi's wife/Tet
540090	185630	Keiko Yoshino
540090	242145	
540090	242146	
540090	328971	Manako Tamaki (Miharu's mothe
540090	333264	
540090	395697	Social worker
540091	221400	Saten
540092	378256	Katty
540093	160982	Amazon
540094	24171	Waitress
540095	97492	Francie
540096	7243	
540096	10020	Madame Pierson
540096	63552	
540096	280527	Une curiste
540096	287595	
540096	307617	La dame du vestiaire
540096	357079	Marianne, la première jeune f
540096	377896	La conseillère conjugale
540097	153716	Maja-Stina
540098	209914	Leila
540099	190321	Little Rosie
540100	104758	Finnish entry (11th place)
540100	285799	Various
540101	1282	
540101	104752	Finnish entry (10th place)
540101	216397	Singer
540101	369882	
540102	766	
540102	1353	Herself
540102	34825	
540102	34869	House Guest
540102	41588	
540102	41641	
540102	47504	
540102	50789	Buttwoman of 2000
540102	59904	
540102	105911	
540102	120231	
540102	150176	
540102	230644	
540102	230952	
540102	247989	
540102	267886	
540102	300521	Puerto Rican
540102	306898	Latin Bisexual Lesbian
540102	306908	
540102	306911	
540102	306923	Herself
540102	319480	
540102	361873	
540103	59148	Art Store Customer
540103	136270	Sarah
540103	182984	Mindy
540103	244457	Vicky
540103	271961	Shayna
540103	291458	Susie Felton
540103	292637	Toni
540103	293099	
540103	307867	Jennifer Oberon
540103	308147	Maria Moore
540103	350424	Nina
540103	352701	Kathy Lawrence
540103	382357	Janet
540103	384422	
540103	384667	Karen
540103	400921	Daphne Jablonsky (1998-2000)
540103	403624	Trina Hamilton
540103	409943	Pam
540104	48700	Mette
540104	343401	Secretary
540104	395375	
540105	255347	Pantomime Artist
540106	18248	
540106	45712	Brigita
540106	81408	Olga Babicki
540106	144544	Dr. Mundt
540106	151879	
540106	226475	Counselor #1
540106	237707	
540106	258633	Glumica
540106	284591	
540106	295051	
540106	305197	
540106	343835	
540106	343852	
540106	373503	
540106	386429	
540106	402735	Jean Tatlock
540107	292735	Esposa de alcalde
540108	403616	Pietra
540109	91173	
540109	100378	Pepe's mother
540109	170091	
540109	287452	Doña Amparo
540109	292735	Esposa del Viceroy
540109	341361	
540110	179334	
540111	43021	
540112	68229	Weekley Child
540113	11833	Celia
540113	221174	Maria
540113	223713	Susan
540113	316998	Dolores
540115	81332	Lady Car Driver
540116	400546	Farrah Gibson
540117	99558	O'Connor's wife
540118	120287	(segment Nightfright)
540119	80554	Ground Controller
540119	185726	Blonde
540119	260206	
540119	385823	Reporter
540119	391680	Blossom
540120	186151	Ingrid
540121	233932	Chica del piano
540122	5356	
540122	24373	
540122	35004	
540122	47608	
540122	55668	
540122	61756	
540122	80333	
540122	83136	
540122	86880	
540122	91381	
540122	99715	
540122	99907	
540122	100775	Susana
540122	169091	Carmelita
540122	189009	
540122	217025	
540122	233372	
540122	235049	
540122	252619	
540122	284338	
540122	301176	Elena
540122	318010	
540122	350076	
540122	353235	
540122	376713	Ana Luisa
540122	379250	Constanza
540123	3544	Marisa
540123	3545	Clienta
540123	7336	María
540123	8574	
540123	12944	Ana
540123	14410	
540123	20738	
540123	23366	
540123	24987	Flora
540123	28314	
540123	53085	Señora del bar
540123	53635	
540123	58288	
540123	67218	
540123	68581	María
540123	68912	Encarna
540123	69516	Marìa
540123	80129	
540123	90104	
540123	90116	Juana De Torrellas
540123	90189	Luscinda
540123	90536	Colette Aurillac
540123	91286	Marcelle
540123	99866	
540123	101472	
540123	106312	
540123	107263	
540123	118165	Margarona
540123	121254	
540123	124453	
540123	132374	
540123	132707	
540123	143776	
540123	148011	Viviana
540123	148093	Diana
540123	150548	Tía Ángela
540123	154543	Herself - Presenter: Best Spa
540123	156590	
540123	170037	
540123	202734	
540123	204275	
540123	205019	
540123	206054	Ana
540123	210229	
540123	221756	Madre de Nino
540123	226489	Esperanza
540123	226494	
540123	229453	
540123	234383	
540123	234412	
540123	242685	
540123	244598	
540123	244616	
540123	251573	Alcira
540123	252526	
540123	252612	
540123	260834	Merche
540123	272793	
540123	275090	Leonor
540123	289488	Catina
540123	294506	María Eugenia
540123	303085	
540123	307203	Loli
540123	308461	
540123	319855	
540123	322341	
540123	322411	
540123	324922	Paloma
540123	326531	
540123	332664	
540123	333640	
540123	333709	La Reposada
540123	335516	
540123	339175	Gloria
540123	351831	
540123	353599	
540123	370093	
540123	371760	
540123	376679	
540123	378490	
540123	380274	Matilde
540123	396927	
540123	402500	Cándida
540124	196589	Herself
540125	133695	
540126	328905	Galya Shostakovich
540127	25387	Mrs. Wright
540127	262039	Mrs. Hall
540128	82005	
540129	79534	Zeynab
540129	172414	Ustian
540129	188007	Sona
540129	197721	Arus
540129	253676	Ashkhen
540130	7740	
540130	7742	
540130	7743	
540130	8968	
540130	39256	
540130	39258	
540130	39358	
540130	39365	
540130	39401	
540130	39461	
540130	39484	
540130	39589	
540130	39614	
540130	39635	
540130	40181	
540130	44168	
540130	44170	
540130	70336	
540130	70337	
540130	70338	
540130	103338	
540130	119319	
540130	125907	
540130	149250	
540130	267437	
540130	274138	
540130	294809	
540130	309813	
540131	90153	
540132	299232	
540133	189662	Nergis
540134	79794	Woman #1
540135	49416	Barbara Claxton
540136	286416	
540137	266420	
540138	154033	Mom
540139	62778	Dancer
540140	137145	
540141	267844	
540142	248161	Zoraima
540142	380342	King Mongcut's youngest wife
540143	90004	Bird lady
540144	202728	Karen
540145	315437	
540146	54652	The singing woman
540147	81062	Person in Office
540149	159646	Dancer
540150	56054	Hourya
540151	116992	Camille
540151	346778	Gaëlle
540152	205640	Une amie de la famille
540153	349861	Coiffeuse 1
540154	137065	
540155	2256	Graciela
540155	3182	Rosa
540155	354595	Juanita
540155	382307	Tilde
540155	400308	Ann-Kristin Persson, supervis
540156	148954	Severns
540157	15013	Yvonne Le Quellec
540157	43718	
540157	57473	Marie
540157	68896	Mme de Villefort
540157	130117	
540157	133081	Sophie
540157	200966	Police assistant
540157	214204	Yvonne Billois
540157	283032	Mme Dubourg
540157	287340	
540157	339539	
540157	371422	
540158	189340	La Cambrioleuse
540159	245956	Un membre du girls' gang
540159	318119	La métisse
540159	346794	Mirande
540160	274461	Little Girl
540161	227317	
540163	251527	
540164	2106	Madre Superiora
540164	5110	Mother
540164	57981	Jessé's Wife
540165	164892	Judith
540165	352534	Fiona
540166	17848	Dorothee
540166	56539	
540166	99376	
540166	117476	Gloria
540167	222897	
540167	353963	La servante
540168	28862	Beth
540169	163158	
540170	28426	Singer
540170	33167	Singer>
540170	69145	Herself
540170	69146	Herself
540170	104731	Swiss entry (Winner)
540170	104732	Swiss entry (8th place)
540170	104733	Swiss entry (2nd place)
540170	104778	Herself
540170	114328	Singer
540170	132871	Herself
540170	156498	Singer
540170	204488	Singer
540170	246951	Schlager-Sängerin
540170	290122	
540171	140280	
540171	167215	
540171	211682	Simone
540171	218263	
540171	340146	
540172	23841	La grand-mère, au Maroc
540173	189350	Florence Lorcy's daughter 1
540174	104200	
540174	307686	Egyptian Bride
540174	371423	Hala
540175	12125	
540176	125694	Natasha
540176	315194	
540177	7187	Carrie
540177	252070	Herself
540178	142866	
540179	273765	Girl Child
540180	102389	Helena
540181	288088	
540181	389956	
540181	395010	
540182	5596	
540183	19263	
540183	24046	
540183	41028	
540183	111155	
540183	152313	
540183	199396	Amelie
540183	200534	Sammy
540183	237223	Helga
540183	266775	Irene Lenz, Kellnerin
540183	277034	
540184	391294	Apollonia
540185	306271	
540186	37269	Dolly Greene
540187	134423	Tatum Webster
540188	331496	
540189	115357	Mme Sabatier
540189	238453	Myriam
540189	402577	
540189	407272	(Episode "La Mandragore")
540190	249678	(segment Pimprenelle)
540190	256073	
540191	68590	Branquinha
540192	211043	
540193	56064	
540193	67018	
540194	279701	
540195	28946	
540195	166379	
540196	57447	
540197	18504	
540197	82622	
540198	380447	
540198	384118	Linda Ribeiro (1997)
540198	412304	
540199	260569	
540200	243390	Deise
540201	383316	
540202	170671	Baroness
540203	13293	Vera Elvira
540203	32274	
540203	66123	Butch
540203	90728	
540203	94525	Music hall singer
540203	118199	Mrs. Venus
540203	141542	Lydia
540203	148523	Maggie Sinclair
540203	158920	Customer
540203	188117	Lesi
540203	196552	
540203	206856	Billie Rae
540203	255697	Fat Girl at Party
540203	267604	Horse lady
540203	303433	Madam Pace
540203	305147	
540203	326602	Women's Group #2
540203	348851	Dressmaker
540203	363528	Hooker
540203	368592	Bakery/Wardrobe Lady
540204	7598	
540205	283348	
540206	64043	
540207	111796	Hitch-Hiker
540207	142417	Showgirl
540208	369428	Additional Voices
540209	174163	
540209	187802	
540209	248705	
540209	264534	
540209	339284	
540209	343963	
540209	349305	
540209	349312	
540210	307052	
540211	108495	
540211	119385	Herself
540212	108	Gerard's Moll
540212	92612	Moll
540212	112183	Arrested Girl
540212	128168	
540212	132855	Polly
540212	185384	Paula Prodwell
540212	190611	Barbara
540212	199244	Julia Carling
540212	214068	Bobby (Jack's 'sweetheart')
540212	215625	Girl
540212	232163	Florence, Party Guest
540212	263503	Grace Schuyler
540212	307391	Lola Green
540212	339835	Rose Blood
540212	348492	Chorus Girl
540212	367827	Woman
540213	352893	
540214	11121	Customer
540215	108029	Ma
540215	213122	Coroner
540215	229858	Second Testifier
540215	236142	
540215	239891	Ruth Wilgus, Neighbor with te
540215	273340	Woman at Laundry
540215	281644	Librarian
540215	289262	Catherine
540215	302235	Parent
540216	275	
540216	26015	
540216	30792	
540216	148208	Hillary
540216	148209	Hillary
540216	322736	
540216	390338	Herself
540216	391867	Hillary
540216	395821	Herself
540217	169321	
540218	63041	Andrea
540218	80897	Peggy Doozer
540218	102581	Elizabeth
540218	234692	Andrea
540218	278610	
540218	286516	Young Samantha
540218	293011	Girl #2
540218	336556	Andrea
540218	355166	Andrea
540218	364290	Andrea
540218	378855	August (1996-1999)
540218	390331	Melissa Bowman
540218	400620	Andrea
540219	169692	City Councilwoman
540220	173074	
540222	235369	Gavazzi Lei
540222	238380	
540222	251055	Theresa
540222	272980	
540222	319327	Iris
540222	384243	
540223	255108	
540224	197616	
540224	352661	
540225	57236	Margot
540226	33084	Gwen Bingham
540226	65494	Marian Brent
540226	91649	Flossie
540226	115148	Trixie
540226	133823	Vera Montgomery
540226	154904	Pauline Mason
540226	169232	Betty
540226	190205	Blanche Hopkins
540226	194772	Madge
540226	203135	Prue Darrell
540226	209429	Patient
540226	214448	Barmaid
540226	240667	Betty
540226	255421	Betty Clarke
540226	316898	Mrs. Bill
540226	316940	Janet Wells
540226	319243	The Girl
540226	329597	Maudie
540226	329599	Lillian Harbottle
540226	330807	Edna Wynne
540226	332861	
540226	343056	Dancer
540226	365058	Mary Hamilton
540227	159175	Dancer
540228	76011	
540228	131072	
540229	33084	
540229	350390	Mary
540230	84175	Oliva
540230	88352	Tania
540230	239281	Angelica
540230	247176	Carmen
540230	247845	Pechuga
540230	265687	Enfermera
540230	333607	Valeria
540230	385052	Leticia Suárez
540230	396132	Maritza
540230	396214	Ofelia
540230	397738	Irene Ramírez (Body)
540231	46734	Brenda
540231	130322	
540231	150226	
540231	295659	
540232	130057	Rachel
540232	275366	Astrid
540233	155705	Alberta
540234	11042	Julie
540234	254068	
540234	282721	La Machine
540234	329277	
540234	346611	
540234	380610	Pamela
540235	137869	Elsa
540236	149587	
540237	16195	Hazardová
540238	55885	Lenka
540238	58127	
540238	70979	Pulice
540238	119877	Dindelová
540238	151777	Girl in Punk Club
540238	171531	Renata
540238	181299	Klarka
540238	205010	
540238	229756	Secretary
540238	230439	
540238	285862	
540238	317553	Stanková
540238	332388	Nurse
540238	339275	Cousin Beta
540238	352794	
540238	352820	Rumlenová
540238	354724	Ksírová
540239	99251	Jolanka
540240	408410	
540241	166122	
540242	105216	Customer in Salon
540243	5377	Amore
540243	14858	
540243	14905	
540243	15996	Pasquina
540243	20692	
540243	38154	
540243	46654	Scanziani
540243	49463	
540243	54379	Bianca (segment "Che cosa son
540243	56025	Giovannina Lucca
540243	61030	Bargagli (segment "La donna e
540243	61983	La mère d'Alice
540243	64309	Herself
540243	64773	Adrianna
540243	70310	Irene Nobili
540243	73068	Mme. de Villemer
540243	73650	
540243	75255	Felicita
540243	76146	
540243	87801	
540243	93731	Girlfriend
540243	94863	Francesca
540243	102432	Teta Ferramonti in Furlin
540243	108112	
540243	108898	La dame en noir et la soeur d
540243	110162	
540243	132649	Palma
540243	148781	Agnese Trescori
540243	197114	Lila Von Buliowski
540243	204117	La mère
540243	207081	
540243	209830	Adriana Carati
540243	212123	Stepdaughter
540243	226610	Nona/La nonna
540243	233085	
540243	235786	Nana
540243	247963	Beatrice
540243	249903	Insegnante Casal del Marmo
540243	252660	Gianna
540243	254206	
540243	257027	
540243	263269	Immacolata
540243	263709	Gina
540243	266118	
540243	279912	Laundrey Worker
540243	290002	Elena
540243	303620	Augusta
540243	314021	
540243	336376	
540243	337426	
540243	355643	Madre
540243	375877	Aunt Carmen
540243	379801	Victoria
540243	380990	Clara
540243	385683	Madame Di Luca
540243	390498	
540244	216373	
540245	293362	Manuela
540245	412301	
540246	30483	Sr. Gertrud
540246	52215	
540246	189373	
540246	350072	Maria
540246	377902	Tupamaros leader
540246	384054	
540246	404140	
540247	78356	
540247	97071	
540247	217660	La cascadeuse
540247	220926	
540247	253241	
540247	340573	
540247	393853	
540247	394166	Christine (segment "Club de l
540248	2169	Clara
540249	222946	
540249	319995	Claudie Lambert
540249	340086	
540249	385609	
540250	19337	Ingrid
540251	101818	Sylvana
540251	211663	Audrey
540252	354875	
540253	194500	Elanor Gamgee
540254	334011	Mourner
540255	22617	Herself
540256	6906	Party Guest
540256	90362	Sharon
540256	154984	Barmaid
540256	188350	ATS Girl
540256	257580	Doreen
540256	269351	Rosetta
540256	282037	Nurse
540256	317327	Girl in shower
540256	368416	Wendy
540256	372317	Monica
540256	380591	Mr. Grace's Nurse (Series 4-5
540257	196584	Muriel
540257	291457	Rita (morgue switchboard oper
540257	304057	Sara Pettigrew
540257	374523	Cashier
540258	44511	Labor Nurse
540258	63097	Margie Peterson
540258	80381	Jan Jackson
540258	97192	Mrs. Johnson
540258	160589	Leotta
540258	161051	Woman in Waiting Room
540258	163188	Aunt Jean
540258	190927	Waitress
540258	214909	Receptionist
540258	219385	Miriam Gaultier
540258	223773	Ms. Coolidge
540258	262033	Judge #2
540258	297228	Penny Ross
540258	335730	Mary Boyd
540258	366904	Filmore Nurse
540259	11492	
540259	22617	Herself
540260	36744	The Girl
540261	8553	
540261	12073	
540261	100298	
540261	246388	
540262	8146	Geometra Mirabassi
540262	55905	
540262	328891	
540262	342111	
540263	125659	
540264	233349	
540264	250667	
540265	347398	Sister
540266	348370	Lobelia
540266	390247	Herself
540266	390286	Hostess
540267	30437	Cherylene McKenzie
540268	322566	Mom on Beach
540269	27247	Performer: Bad Girls The Musi
540269	50645	Katie
540269	80529	Patti
540269	243160	Small Jess
540269	381799	Debbie
540269	384097	Sally Jordan (1990-1991)
540269	385020	Becky Palmer (1996-1997)
540269	390692	Trudy
540270	65134	Aphrodite
540270	195300	Family mourner
540270	208632	Roz
540270	213322	Fairy/Courtier
540271	104756	United Kindom entry (1st plac
540271	147240	United Kingdom entry
540272	352570	Mrs. Abramson
540273	78045	Celia Norris
540273	313707	Jessica
540273	382602	
540273	383071	Lucinda Lacey
540273	392129	Dorothy (1991)
540273	395325	Gina Ford
540273	410519	Sarah Snow (1990-1992)
540274	239703	
540274	351908	Misty
540275	122658	Civilian Girl
540275	327840	Woman at dance
540276	60763	Mother #1
540276	303564	Anna's Mother
540278	67196	Tania
540279	92411	Karin Lundbye, ein Modell
540279	96478	Inge
540279	125144	
540279	127638	
540279	207208	
540279	356849	Dolly
540280	21169	
540280	21264	Model No. 2
540280	29091	
540280	45863	
540280	46838	
540280	61967	Hortense, French Maid
540280	61968	The Duchess
540280	66619	
540280	70603	
540280	117174	Ninette
540280	117277	Vida
540280	124083	Suzanna
540280	191908	
540280	211818	
540280	274851	
540280	310336	
540280	315729	Hagar the Witch
540280	331204	Maggie, Olga's Friend
540280	334181	Patience Worth
540280	356996	
540280	363923	Daughter of Sitting Horse
540281	419	
540281	625	
540281	8657	Hertha
540281	24054	
540281	55902	
540281	243022	Anita
540281	290699	
540281	312597	
540281	322513	Martina
540281	325453	Monica Spehr
540281	325937	
540281	343494	
540281	397370	Dame
540281	404462	Günther's Tante
540282	11	McGlen Wife
540282	7963	
540282	8067	Mrs. Gans
540282	10677	Mildred Palmer
540282	11288	Customer
540282	11429	Mamie
540282	11639	
540282	16654	Eva Tanguay
540282	16669	Matron
540282	20625	Extra
540282	22826	Woman
540282	27149	
540282	31620	Lillian
540282	32066	
540282	32960	French barmaid
540282	35792	Morella Winmarleigh
540282	36841	Woman
540282	43369	
540282	43468	Eugenia Darth
540282	44245	Big Six (bargirl)
540282	44543	Maisie
540282	44709	
540282	44712	
540282	45419	Mrs. White
540282	45974	Betty Morena
540282	46211	Ms. Augusta Van Ruysdael
540282	47355	
540282	47361	Mrs. Dean Smythe
540282	48599	Gladys
540282	49959	Lucille
540282	50602	Fanny Lehman
540282	50909	
540282	52668	
540282	53324	
540282	54370	Speaker
540282	55445	Zandra
540282	56686	Cecily Young
540282	59756	Bertha Sedgwick
540282	59842	
540282	59879	
540282	60307	Rose
540282	60955	Girl from dancing hall
540282	65650	Woman in Audience Behind Fran
540282	66829	Paulette
540282	67806	Mrs. Hardy
540282	69093	Eva
540282	71688	Mrs. Andrews
540282	72731	Elderly Woman
540282	73665	
540282	76582	Woman
540282	77340	Nina Carrington
540282	77416	The Blonde
540282	78528	Concessionaire's Wife
540282	78729	Music
540282	79090	
540282	84194	Loraine Haswell
540282	85017	
540282	85058	Hazel Davidson
540282	88289	A former flame
540282	88970	
540282	90144	Baroness von Minden
540282	92883	Nurse
540282	94162	Peggy
540282	95474	Dame
540282	96939	Saleswoman
540282	96952	
540282	100213	Eloise Hayes
540282	105289	Bit part
540282	107789	Mrs. Ford
540282	109849	Librarian
540282	112745	Juror
540282	113595	Jane Madden
540282	114589	Blonde
540282	114927	
540282	114950	Annie
540282	116541	
540282	118314	Little girl's mother
540282	120335	Miss Beulah
540282	120829	Moosehide Kate
540282	127847	
540282	128510	Mrs. Walsh
540282	128512	Stella Carter
540282	128790	
540282	133368	
540282	133644	Young woman
540282	133697	
540282	133796	
540282	135412	Outraged Woman in Night Club
540282	135596	Marie
540282	136263	
540282	141262	
540282	142356	Rosie
540282	143261	Ruth Beresford
540282	143596	
540282	143610	Woman with Dog
540282	144211	
540282	145822	Undetermined Role
540282	146746	Trece
540282	147391	Young Woman in Bar
540282	147633	Cameo appearance
540282	148956	Lady Devonshire
540282	153144	Phyllis Fairfield
540282	154175	
540282	154263	Harriet Naisson
540282	154352	Interviewer
540282	154909	Junior's Mother
540282	157229	Alice Granville
540282	158561	Gertrude Henderson, Jackie's 
540282	162463	Dolly Carleton
540282	163557	Undetermined Role
540282	165574	
540282	167921	
540282	168269	Mrs. Howard
540282	168929	
540282	175614	Helen Gordon
540282	175630	Mrs. Beaumont
540282	176639	Paaaulette
540282	183638	Woman
540282	184988	Phyllis Ward
540282	186031	His wife
540282	186478	
540282	190607	Medley Market show spectator
540282	191250	Celeste La Rue
540282	191270	Lady Mary Leighton
540282	192138	Emmeline Warren
540282	192511	
540282	194389	Lady Hightower
540282	194412	Lady Gwendolyn
540282	194580	Countess of Brandir
540282	194758	Mrs. Anson
540282	196910	Madame Marinoff
540282	200467	Bit Part
540282	203490	Landlady
540282	203573	
540282	204188	
540282	206887	
540282	213453	Woman in museum
540282	213983	Woman
540282	215276	
540282	215759	
540282	216475	
540282	218471	Woman
540282	218849	Woman
540282	222277	
540282	223064	Mrs. Larkin
540282	223829	Miss Gee
540282	224568	Townswoman
540282	228610	Ninon
540282	229092	Edith Cortlandt
540282	232889	Kate Van Dyke
540282	233791	Nightclub Extra
540282	235182	Mae
540282	236096	Freddie's wife
540282	237994	Mona
540282	239066	
540282	239345	
540282	239416	Bit Part
540282	239799	Sylvia De Costa
540282	244913	
540282	245665	
540282	250985	Mrs. Brown
540282	257087	Bit Part
540282	259766	Lady Caroline
540282	261506	Woman with drumsticks
540282	263322	Rose Dunbar
540282	263353	Mrs. Hanson
540282	263452	Mis Schyler
540282	267587	Madame La Grande
540282	273513	Woman
540282	273819	Lucile Dupré
540282	276181	Mrs. Hendricks
540282	277651	
540282	278035	'Kansas' Lou
540282	279713	Adelaide Thomas
540282	281904	Wanda
540282	282343	
540282	283536	
540282	283637	Paula
540282	286929	Drunk's Girl
540282	288431	Dolores Sierra
540282	289537	Nightclub Patron
540282	289575	Lady Lillian Gentry Penningto
540282	289579	Helen Forbes
540282	292781	Mrs. Manwaring
540282	293211	Aunt Sue
540282	296942	
540282	297401	Bessie
540282	299175	Doris Barnes
540282	299177	Vera
540282	300514	
540282	301761	Mrs. Steele
540282	302326	Mary Wickham
540282	303232	Woman
540282	303379	Woman
540282	303524	Christine Palmer
540282	303969	Mrs. Carlson
540282	304876	Wife
540282	305330	Fanny
540282	307961	
540282	312807	Lillian Lyons
540282	313321	Race track patron
540282	315052	Goldie
540282	315721	Oscar's Wife
540282	315874	
540282	317151	Lily of Broadway
540282	319181	Courtier
540282	321570	
540282	321939	Sheila
540282	323206	Taggart's Moll
540282	324780	
540282	326142	Kitty Lane
540282	327211	
540282	330196	Kate
540282	331879	Hortense Reeves
540282	336264	
540282	339010	Mrs. Byrnie
540282	342519	Mrs. Solari
540282	343202	Agnes
540282	345826	Mrs. St. Clare
540282	347730	Mrs. Mason
540282	350157	
540282	352142	Mrs. Ronsard
540282	358694	Pamela Shiel
540282	359147	Mrs. Van Pelt
540282	359717	Maid of Olympia
540282	361300	
540282	361765	
540282	362134	Diana Newlands
540282	363238	Traveler
540282	363556	
540282	364136	Victoria Danforth
540282	364723	Adele Hoyt
540282	365036	
540282	365063	Mrs. Barry
540282	365072	Greta
540282	366126	Jennie Tilson
540282	367547	Party Guest
540282	367919	Nurse
540282	372224	Miriam Folansbee
540283	346386	Undetermined Role
540284	1989	Olly
540284	6684	La duchesse de Bouillon
540284	7244	Marguerite
540284	23759	Lucie Leroy
540284	30532	Natacha
540284	31019	L'ambassadrice
540284	32279	La reine
540284	33577	La Sarrazine
540284	45727	
540284	51238	
540284	51793	Mme Lever
540284	55010	
540284	55411	Tonina
540284	59278	Herself
540284	66075	Helene
540284	71841	
540284	71842	Suzanne
540284	76148	
540284	77341	Helene
540284	84688	Madame Lecoeur
540284	94349	
540284	101684	Une actrice
540284	103206	Aline Béchard
540284	120670	Claire Fromont
540284	124324	
540284	148641	
540284	148644	
540284	160986	Magda
540284	161993	
540284	162612	Béarice, mère d'Isabelle
540284	168892	Clara Soleil
540284	205360	Adriana
540284	218261	
540284	234645	
540284	250785	Sandra
540284	251539	Mme. Terrasse
540284	254131	
540284	257000	
540284	259257	
540284	269103	Flossie
540284	315830	
540284	334789	
540284	337047	La bonne
540284	339878	
540284	340670	Mlle Puc, la couturière
540284	342136	Elsa Ducrò
540284	345105	
540284	354875	Irène Raalten
540284	377620	L'avocate
540284	377915	Nathalie la brune
540284	377922	
540285	222661	
540286	101811	
540286	282607	Herself
540287	89483	Yvonne
540287	122550	
540288	5840	Alberta Marlow
540288	5882	Pat
540288	16089	Edith Farnham
540288	16932	Bit Part
540288	18552	Ada
540288	30621	Bit Part
540288	31998	Lady Margery Alvanley
540288	32780	Peasant Girl/Beggar Maid
540288	32910	Mary Linden
540288	41002	Delilah Donay
540288	46982	Mary Ann Young
540288	47008	Narcissa Escobar
540288	47888	Bit Part
540288	49363	Bit Part
540288	56208	Bessie Foley
540288	65372	Elizabeth Van Doren
540288	70212	Arlene Dale
540288	75889	Louise Bishop
540288	83587	Fritzi Haller
540288	85016	Mrs. Jargin
540288	86933	Mrs. Martha Daniels
540288	89100	Edith Cortright
540288	90103	Adriana della Varnese
540288	90176	Dolores de Muro
540288	93570	Jeanne
540288	94196	Elizabeth Quimby
540288	96986	Charlotte Hopkins
540288	101764	Leonore Bewlay
540288	112071	Senora Morales
540288	112393	Mary O'Mallory
540288	112438	Lucy
540288	117643	Jennie Clayton
540288	133688	Sandra Kovack
540288	141354	Princess Delatorre/Ellen Guth
540288	144961	Audrey Nye
540288	147511	Julia Seton
540288	147633	Cameo appearance
540288	147707	Herself (Queen of the Frolic)
540288	149437	Bit Part
540288	153146	Madame Germaine De Laage
540288	153211	Mrs. Jewel Mayhew
540288	154003	Odette Mauclair
540288	159430	Fay Bartholdi
540288	166691	Letty Pace
540288	168593	Irene Mason
540288	175559	Hilda Lake
540288	178027	Mrs. Corliss
540288	183379	Mimi Howell
540288	183651	Polly
540288	183758	Bit Part
540288	184994	Rosita Garcia
540288	191529	Mrs. Dorothy 'Dottie' Wingate
540288	191835	Ruth Wayburn
540288	192410	Marmee March
540288	194966	Follette Marsh
540288	202537	Brigid O'Shaughnessy
540288	203293	Vida
540288	203563	Young Woman
540288	203671	Jessica Wells
540288	206362	Vivian Hope-Clarke
540288	209605	Mrs. Anna Smith
540288	210781	Martha Silk
540288	213070	Helene Flammarion
540288	222701	Lillian Cooper
540288	230870	Marjorie Ware
540288	233871	Sally Montgomery
540288	234037	Kay McGowan
540288	239023	Dolores Hicks
540288	244371	Lily Kulper
540288	246182	Doris
540288	246512	Gladys Russell
540288	247139	The Princess Centimillia
540288	248450	Mrs. Irene Mallebre
540288	254655	Margaret Lord
540288	257807	Margo
540288	262004	Mrs. George Salt
540288	263455	Alice Barrows
540288	264484	Antoinette de Mauban
540288	272343	Elsie Worden
540288	274073	Barbara 'Babs' Willis
540288	274159	Patricia Sanford
540288	276808	Olga Morgan
540288	276876	Mrs. Roberta Carter
540288	280977	Judith Andrews
540288	281864	Elena
540288	282355	Dolly
540288	282594	Princess Anne
540288	283411	Mary Gray, AKA Sally Fairchil
540288	285692	Carol Trent
540288	289521	
540288	289624	Fidele Tridon
540288	291360	Herself
540288	291802	Amy Cortissos
540288	292167	Polly Crawford
540288	294368	
540288	300103	
540288	302383	Frisco Kitty
540288	305471	Nancy Gibson
540288	307940	Adriana
540288	315869	Marian Henshaw
540288	316205	Virgily Beasley
540288	317970	Rose Randolph
540288	317980	Emmy 'Sweetie' Wilton
540288	319186	Molly Gibson
540288	330001	Lola Fraser
540288	330711	Mrs. Tremaine
540288	331117	May Ballard
540288	331205	Hyllary Jones
540288	331725	Anna
540288	334348	Bit Part
540288	338291	Barbara 'Bobby' Blake
540288	339829	Herself
540288	341969	Marion Manning
540288	342723	Anis bin Adham/Mirza
540288	347030	Helen Castle
540288	348492	Mrs. Hettie Stream
540288	358904	Herself
540288	364010	Norma Selbee
540288	366615	Mary
540288	367415	Cynthia Holland
540288	367460	Dee Renaud
540288	367755	Violet Lynwood
540288	368383	Virginia 'Ginny' Clafflin Nor
540288	372588	Josephine 'Jo' Evans
540288	372672	Bit Part
540288	372805	Irene Perry
540288	391836	
540289	117579	Fili Harlow
540289	117683	Mary Anne Zlutnik
540289	346289	Vickie
540289	347403	Jeanne Moreau
540289	365439	Virginia
540290	162897	Mrs. Burgess
540291	196247	
540291	259364	
540292	6486	Dolores
540292	66403	Tía Cuca
540292	251599	Sor Asun
540292	268498	Lula
540292	322233	
540292	384376	Luisa
540292	390244	Begoña
540293	244088	
540295	57779	
540295	74513	
540295	111636	
540295	121230	
540295	199868	
540295	220740	
540295	227565	
540295	236000	
540295	338600	
540295	371725	
540296	90525	Tango dancer
540297	218182	Katerina/Belly Dancer
540297	299200	Lara
540298	235986	Marina as a little girl
540299	373302	
540301	71487	Mrs. Zimmer
540301	78766	Street Preacher's Wife
540301	228267	Herself
540301	311614	Naked Outtakes Woman
540301	352202	Astrid
540302	186145	Diane
540303	69053	Club Patron
540304	253253	
540305	90377	Stand-Up Performances #3
540305	121804	Herself
540305	366640	Herself
540306	23630	La baronne
540306	51223	
540306	59261	La Poule beige
540306	61419	
540306	68312	Paulette
540306	71998	
540306	72074	Mannequin
540306	108898	La femme du professeur
540306	114786	Françoise
540306	124322	Madame Paulin
540306	133093	Janine
540306	146769	Mmme. Frelou
540306	148677	
540306	157269	Louise Montalescot
540306	322337	
540306	353925	Germaine Gallois
540306	384859	Angela Verrochio
540306	398966	Laure
540306	403826	
540306	404153	
540306	408001	La caissière
540306	411699	Arlette
540307	124834	La belle-soeur du juge
540307	207769	
540308	129644	
540308	179556	
540308	300359	
540309	237071	En hulder
540309	302087	Edith, prestens datter
540310	170246	Tanssija #1
540311	70624	Madre de Maria Elena
540312	6125	Detectives' secretary
540312	37883	Dr. Edith Franklin
540313	77705	Woman in pickup (Dr. Edith Pu
540314	27918	Concierge au bordel
540314	89871	Mère de Marianne
540315	298782	Screenwriter
540316	65636	
540316	232681	
540318	320134	Herself
540319	63542	
540319	233136	
540320	213660	Nobuyô Tsushima
540321	21822	Old Woman Splashing Water
540321	156113	
540321	194874	Premium Fantasy Woman
540321	284871	Kazuo's mother
540322	77535	Keisuke's Wife
540322	125749	
540322	179474	Yuko
540322	201374	Kunoichi
540322	288410	Chika
540322	300601	
540322	373234	Aiko
540322	384224	Farrah
540323	321367	Brawling Bridesmaid
540324	250974	Singer with Ernest
540324	316541	Kleinwüchsige
540325	217465	Mrs. Meyer
540326	106988	Pretty Girl at Appointment
540326	211658	La morte
540327	320740	Annapoorna
540327	340625	Herself
540328	86676	
540329	344521	
540330	146834	
540330	173471	Abhirami
540330	271092	
540330	271093	Tulip
540330	289135	Savithri
540331	113716	Yagda
540331	164059	
540331	182800	
540331	370661	
540332	30765	
540333	292074	
540334	63726	Nijou Juri/Ohyellow
540334	125249	Nijou Juri/Ohyellow
540334	384234	Nijou Juri/Ohyellow
540335	38798	
540335	77525	
540335	78927	Koyuki
540335	89440	Riina
540335	138070	Step-Daughter
540335	177632	Jasmine
540335	179215	
540335	242129	Hitomi
540335	284068	Miki Uchiyama
540335	348634	Yasuko
540335	381035	Yui Toba
540335	394696	Mayu Tobita
540335	398900	Ririka Moriya/Nurse Angel
540335	401057	Blossom
540336	300596	
540337	127781	Tochirô's Mother
540337	208014	Setsuko Ôyama (from Galaxy Ex
540337	272211	Cologne
540337	272213	Cologne
540337	272214	Cologne
540337	379515	Mrs. Lind
540337	380700	Miss Lottenmeyer
540337	383345	Mary Jane
540337	394031	Various characters
540337	397786	Auntie
540337	401245	Lecri
540337	404390	Fune Isono
540337	411645	Narrator
540338	58097	
540339	64153	
540340	357235	
540341	137869	Mantali
540342	232599	
540343	172175	Magdure Hanim
540343	210254	
540343	222275	
540343	397383	Zinnur/Serbert
540344	96470	
540344	171971	
540344	293407	
540345	323134	Female Announcer, Additional 
540346	172539	
540347	247845	Coca
540348	411658	
540349	85141	
540349	378607	
540350	371348	
540351	265322	Bolnicarka
540351	356094	
540352	171596	
540353	121030	
540354	60965	
540354	120979	La femme d'André
540354	132853	La femme membre du jury
540354	214065	
540354	226610	La femme du client de Gisou
540354	377464	Mrs. Lienard
540355	349076	
540356	238320	
540357	37479	Haruko as a Girl
540358	191563	
540359	318212	Madre
540360	222441	Pocesi me ovde
540361	232674	
540362	95471	Catherine
540363	49475	
540364	35941	Fleytistka, kelnerka
540364	297463	
540365	24832	Brigadirka
540366	349086	Tzenka
540367	9353	Scriptsupervisor from the sho
540368	238169	Kid
540369	156262	
540370	132003	
540371	88436	
540371	180496	
540371	229900	Lena
540371	258590	
540371	306116	Nikolina
540371	357433	
540372	231153	
540373	262766	
540374	43154	
540374	77263	
540374	259834	
540374	304551	
540374	375126	
540375	373938	
540376	218893	Ruzan
540377	235712	Mme Mbarga
540378	404608	Finalist (2001)
540379	14817	Maruja
540380	137353	Farmers/Green People/Scarecro
540381	88284	Miri
540381	104754	Israeli entry (1st place)
540381	141748	Herself
540381	141749	Herself
540381	183951	Mali
540381	300052	
540381	397880	
540382	298248	
540382	397880	
540382	403041	Yona
540384	156210	Handan
540385	300636	
540386	180325	
540387	10982	
540387	22011	Zehra
540387	25595	
540387	33918	Ahmet's mother
540387	53616	
540387	83024	
540387	86949	
540387	96482	
540387	100637	
540387	136755	
540387	171984	
540387	227967	
540387	238819	
540387	248066	
540387	294091	
540387	295251	
540387	308322	
540387	310063	
540387	345006	Firat's mother
540387	370366	
540387	370367	
540387	370392	
540387	370628	
540387	373275	Tapduk's wife
540388	320037	Bride
540389	61247	
540389	168454	Doña Deliliah
540389	168455	Doña Deliliah
540389	168456	Doña Deliliah
540389	168457	Doña Deliliah
540389	168458	Doña Deliliah
540389	173631	
540389	190695	Lola Toyang
540389	200591	
540389	340355	
540389	366866	
540390	86593	
540390	118638	
540390	127450	
540390	357235	
540391	203610	Dancer
540392	137211	Bonnie Montgomery
540393	186907	Herself
540394	186907	Herself
540395	154481	Marie Antoinette
540395	179083	Batrhing Beauty
540396	289913	
540397	120148	Little Idgie
540397	194055	Anne (Girl at Oak Park)
540397	213122	Maggie Travers
540397	250779	Cecilia (age 15)
540397	264075	Savannah Wingo (age 10)
540397	266112	
540397	330102	Nikki Samuels
540397	365288	Arnette
540397	370893	Eulalie
540398	255357	Girl on Step/Camper
540399	334673	
540400	25980	
540400	206508	
540401	308951	
540402	205460	(segment "Papo Amarelo")
540402	379159	Ruby
540403	399715	
540404	16928	Model
540405	215488	Herself
540405	397888	Herself (2003)
540406	28249	Cafe girl
540406	147726	
540406	147805	Herself - Mrs. Roscoe Ates
540406	149104	Dance hall girl
540406	231952	
540406	304876	
540406	360045	
540406	367577	Phone Girl
540407	175666	
540407	177528	Moorish Dancing Girl
540407	308382	Dancer in market
540408	173197	
540408	173776	
540408	177844	
540409	23526	
540410	343768	
540411	248165	La parapentiste
540413	306500	Collector
540414	240050	Herself
540415	17088	La reine
540416	21482	
540416	182379	
540416	243058	
540417	242077	Maria
540418	19006	
540418	211572	Woman
540418	394038	Marina
540418	402344	Granddaughter
540418	406756	
540418	409935	Anthi
540419	22595	
540419	179406	
540419	379452	
540419	380497	
540419	387358	Machi Karathanou
540419	395381	
540419	395900	Magdalini
540419	400048	Victoria
540419	400835	
540419	410408	Evanthia Maniatea
540420	67223	
540420	68896	Fatima
540420	68897	
540420	70606	
540420	76038	Léa Meyer
540420	90179	
540420	124147	Marie
540420	202240	Zita, la gitane
540420	211648	
540421	113100	
540422	137866	
540423	141404	Effie
540424	379816	
540425	337735	
540426	192838	
540426	396045	
540427	199485	
540428	228608	Stripper
540429	159828	Miyu Mido
540429	383328	Maria
540429	383355	Janaína
540429	383621	Lana
540429	404888	Dusu
540430	201970	
540432	162416	Dancer
540433	72256	Mona Grant
540433	73168	Myrtle Perrin
540433	127211	Miss Brady
540433	131507	Welder
540433	162528	Girl
540433	241134	Chorus girl
540433	256849	Pearl the Plumber
540433	285130	Jane Fielding
540433	285660	Maid
540433	321519	
540434	221045	Puppy Munchie Singer #2
540435	290349	
540435	327583	Vera Hanka
540436	114071	
540436	152516	Sylvia Frescar
540437	365642	Fat Man's Wife
540438	41383	Fran
540438	91651	Sara
540440	82099	Sax Player
540441	165442	Miss Fairfax
540442	28769	Airport Hostess
540443	109686	Mrs. Thomas
540444	101837	
540445	76536	Athira
540445	174240	
540446	189505	Djana
540447	153142	Mrs. Smith
540448	41206	Veronique
540448	149597	
540449	290511	PE Teacher
540450	116297	Miranda Hart
540450	245953	
540450	257354	
540451	411680	Sheli
540452	230033	
540452	271599	
540455	12648	
540456	311	Julie
540456	38170	Alex Baretto
540456	65120	Emilie
540456	67748	Maud
540456	70324	Isabelle
540456	80094	
540456	110133	Nassera
540456	171107	
540456	189079	
540456	216033	Cécile
540456	263005	Juliette
540456	269189	Dassine
540456	286463	Eva
540456	292361	Aure
540456	306955	Simone Toledano
540456	319824	Périnne
540456	333537	Nora
540456	336826	
540456	337431	Sandrine Athan
540456	346793	Josée
540456	355866	Sabine
540456	357852	Karine
540456	357853	Karine
540457	100637	
540457	163851	
540457	256522	
540457	311523	Person at Bar
540458	96485	
540459	295096	
540460	356811	Stem
540461	25829	
540461	97952	Lily
540461	168797	
540461	343421	Yareach (Moon)
540461	371908	Grisha
540462	101199	United Nations Declaration
540463	59366	
540464	64813	Field Reporter
540464	163229	Television Reporter
540464	242938	TV Reporter
540465	219367	Pam
540466	330154	Female police constable
540466	364588	Herself
540467	207149	
540468	387533	Ruth Jameson
540468	388324	Sheila Ashton
540469	73606	Blonde Bikini Girl
540469	157817	Girl at Party
540469	163932	Jessie
540470	200060	Magenta
540471	245124	Angelique
540472	2816	Nominee Presenter for Best Pe
540472	10216	Herself
540472	22044	
540472	24955	Alice
540472	34463	Queen Mary
540472	35604	Mrs. Rutledge
540472	37186	
540472	46427	Mrs. Mailer
540472	50058	Kitty Higdon
540472	66912	Judith Starkadder
540472	66947	Maddy
540472	79557	Miss Jane Murdstone
540472	93579	Madge
540472	94529	Duchess
540472	98826	
540472	102244	Hesther Saloman
540472	132122	Elizabeth Croft
540472	140678	Lady Harriet's Maid
540472	145319	Maggie Clayhanger
540472	150790	Barbara
540472	153852	
540472	154180	Sister Albana
540472	158625	Shirley
540472	164381	Phil
540472	183661	
540472	183857	Jennet Jourdemayne
540472	188220	Lilian Bentley
540472	188587	Leslie Crosbie
540472	192632	
540472	194894	Rose Benjamin
540472	195311	Eva Larkin
540472	199308	Marie Louise
540472	201218	Mrs. May Maitland
540472	213317	Titania
540472	215880	
540472	229673	Nelly
540472	239984	Olive Hardy
540472	240023	Mrs. Mann
540472	269343	School matron
540472	271671	
540472	280804	Countess
540472	281429	Virginia Woolf
540472	297912	Vanity Fair
540472	304764	Violet Moon
540472	317441	
540472	331611	Olga
540472	334009	Queen Tamora
540472	350506	Miss Matilda Crawley
540472	355350	Helen Marriner
540472	362081	Jocelyn Dashwood
540472	366697	E.M. Ashford
540472	367254	Mary
540472	367886	Emily Boyle
540472	379418	Joan La Pucelle
540472	384105	Narrator
540472	385627	Dr. Emily Brightman (segment 
540472	398020	Reader (Eliot segment)
540472	405696	Madame Ostrakova
540472	405962	Gertrude Morel
540472	407504	Celia (episode "Hand of God, 
540473	261151	
540473	273004	Policewoman
540474	40037	Lia
540475	387533	Charity Dingle/Tate (2000-)
540476	303226	Iris Choir
540477	82445	Kareenah Dandrige
540477	151351	Jamie
540477	194314	Andrea
540477	196048	Toni
540477	232630	Nikita
540477	319020	Allison Chase
540477	369505	Tamikah Jones
540477	390914	Dee Dee Thorne
540477	396614	Julie Tate
540477	405684	Tasha Yvette Henderson
540477	409492	Charlotte 'Charlie' Langston 
540478	195134	Shady Lady, police officer
540479	102932	Serina
540480	35253	Rachel
540480	241146	Marlene
540480	406464	Kelvin Stagg's Girlfriend
540481	134112	Vicky
540481	157603	Amanda Hatfield
540481	400824	Calendular (1992)
540481	408638	Charlie
540482	265606	Carol
540482	394552	Alex (Series 2) (1999)
540482	403235	Lesley Eastern
540483	221024	Mommy
540483	242105	Doreen
540484	293447	
540485	51923	
540485	253213	
540486	120506	Bold Hooker
540486	177311	Glenn
540486	292224	Tracy Villiers
540487	372901	Teresa North
540488	138377	Long Necked Nellie
540489	81085	Mrs. Parker
540489	195987	Old Lady
540489	199140	Mrs. Russell
540489	215732	Mrs. Feeney
540489	233892	
540490	109667	
540492	47571	
540492	259943	Plinia
540493	29936	
540493	29970	
540493	32061	
540493	45093	Sadie
540493	116808	
540493	150245	
540493	155880	
540493	307450	
540493	345643	
540494	127530	Dorothy
540495	60317	Gina McDaniels
540495	195685	Helene Costanides
540496	41004	Crazy Sue
540497	3642	Herself
540497	3887	Herself
540497	147980	Herself (Manson follower, und
540498	47243	Class Member
540499	229506	Student
540500	356955	First Hunting Woman
540500	383191	Miss. Fellowes
540500	407831	English Woman Patient
540501	199246	Helen Johnson, Marian's Frien
540501	231945	Herself
540501	372927	Drum Majorette
540502	300736	Emily
540503	70796	Edna
540503	141730	Carole
540503	153281	Giselle
540503	186273	Lola
540503	200860	Margaret
540503	230340	Lorraine
540503	230558	Alice
540503	245498	Clair
540503	256105	
540503	303680	
540503	344151	Naomi
540504	16642	Mrs. Morgan
540505	229506	Student
540506	185516	Rochester Barmaid
540507	278511	Arielle
540508	157324	Bill's Wife
540508	175583	Girl on Street
540509	17934	Restroom Girl
540509	109449	Buxom Blonde in Car
540509	358374	Debbie
540509	361904	Expatriate's Wife
540510	331512	Milady de Winter
540511	83809	Girl
540511	113885	Autograph Seeker
540512	11410	Silent Passenger
540512	175163	Dora
540512	335982	Jessie Bond (Pitti-Sing)
540512	395924	Zoe
540513	409495	Ellen Fusco
540514	45419	
540515	205991	Madame de Jussy
540516	411698	Kate
540517	391786	Lisa Hunter (2001-)
540517	391787	Lisa Hunter
540518	39840	Member of the Algonquin Tribe
540519	117136	Teller
540520	39781	Flapper
540521	278909	Helen
540522	968	Ashley Carges
540522	5201	
540522	40301	Sandra Waters
540522	119532	Annie Greenwood
540522	119533	Annie Greenwood
540522	158107	Wanda Birney
540522	244928	Mrs. Julia Gibbs
540522	277055	Elizabeth
540522	354548	Tabitha Walker
540522	387331	Lyla (2001-2002)
540522	400853	Karen Buckman
540522	411673	Lindley Gardner Eisenberg
540523	275267	Katrin Sporre
540524	281155	Bit
540525	139219	Pamela
540525	165687	Jackie
540525	327591	Ruth
540525	384950	Ruth
540525	388483	Cassie Brown
540526	323841	Child
540527	173356	Dalia Alvarez
540528	315909	Blonde Fan
540529	215795	Lisa
540530	105884	ER Doctor
540530	108818	Herself
540530	365454	Terri Breur
540531	81177	Reporter 2
540532	71313	The Musicians
540532	84956	Therapist
540532	296875	Madam
540532	323970	Sheila Fleming
540533	227173	The Child
540535	80592	Soap Opera Character
540535	172666	Mrs. Templeton
540535	273496	Sister Agnes ('I'll Die Lovin
540535	323611	Tommy's Wife
540536	323841	Child
540537	100151	Redhead
540538	385465	Anthea
540539	389625	Little Barbara
540540	94613	Dancer #2
540541	138737	Cecily King
540541	286474	Sam
540541	397689	Alison Winfield
540541	403490	Cecily King (1995-1996)
540542	235432	Minnie Day
540543	236118	Girl
540543	405048	Karen
540544	131641	Doctor
540544	267106	Jo's mother
540544	335098	Mrs. Miller
540544	335342	Mrs. Taylor
540545	81639	Jane
540545	152989	Redhead
540545	320759	Mrs. Dudgeon
540545	321082	Mrs. Mead
540545	362501	Meg
540545	387533	Janet Anstey
540545	408716	Kath Brant
540546	195300	Billy's Video Vixen
540547	370675	Age 15
540548	80610	Patient
540549	278972	
540550	6269	Bag Lady
540550	42139	Primitive Culture Professor
540550	58172	Miss Bessie
540550	192267	Mrs. Guilder
540550	238245	
540551	47963	Jane
540552	333380	Nyenne
540553	72518	Various Characters
540553	315650	Herself
540553	382173	Mrs. Miggins, A Coffee-Shoppe
540553	394966	Anna Daptor/Anna Rabies/Vario
540553	400495	Herself
540553	404353	Herself
540553	406819	Presenter
540553	407463	Connie Blackheart
540553	411837	Tamara MacAskill
540554	387061	La jeune servante
540555	91432	
540555	167227	Marianne
540555	264953	Gisèle
540556	264525	Primaire
540557	261116	Young Girl
540559	48040	Hot 97 Assistant
540559	107044	Clinic Nurse
540559	400621	Floria Mills (2001-2003)
540561	340950	Spirit voice
540562	289864	
540563	154270	Marta Stevens
540564	191857	Katie Bryant Gym Double
540565	166724	Left Lady
540566	228164	Barn Dance Party Guest
540567	276198	Rebecca
540568	156219	
540569	47077	Jaime Dow
540570	163874	Mother
540571	64254	
540571	77308	Anjasmara
540572	16704	Linda
540572	77308	Queen Kencana Wungu
540572	169741	Nurlela
540572	186856	
540573	31018	Moroccan Family Member
540574	31018	Moroccan Family Member
540575	31018	Moroccan Family Member
540576	66986	Carol
540576	158948	Arndis
540576	316740	Linda Colby
540577	198921	
540579	129829	Ponti Assassination Bystander
540580	199099	Police Dispatcher
540581	1707	Themselves - Performers
540581	83230	Hostess At The Russian Bar
540583	210477	Meluka
540583	303111	Melouka
540583	317565	
540585	212103	Catherine Atsen Clinician
540586	299363	
540587	366430	
540588	15899	
540588	78332	
540588	82871	Yumi
540588	123452	Junko Aoki
540588	132383	
540588	174874	
540588	179524	
540588	217750	
540588	298735	Midori
540588	370521	
540588	371981	Yoko
540588	375601	
540589	327937	Tengenji Ruri
540589	407835	Tengenji Ruri
540590	217054	Embarazada: Pasajero del 86
540590	307195	
540590	390180	
540591	399495	Chi Chu
540592	217691	La femme dans le public
540593	113138	
540594	65391	
540595	205150	
540596	96043	La mère de la narratrice
540597	283242	La fille Schumacher
540598	29447	L'hôtesse Paris-Tunis
540599	124201	
540599	199444	La signora Lenci
540600	71435	Contessa Archi
540600	75237	Pelag'ja
540600	198906	Aunt Elvira
540601	28794	
540602	292704	
540603	336458	Additional Voices
540604	240428	
540605	377253	Emmanuelle
540606	249745	Léa
540607	387816	Irene
540608	307755	
540609	358476	Piano Player
540610	33190	Louise
540610	34384	Delia
540610	69732	Edna
540610	260628	Serena Robbins
540610	263169	Moll (Jackson's servant)
540610	271297	Parthenia
540610	323591	Mayor's nurse
540610	328554	Farmer's Wife
540610	372528	Philomena
540611	298321	Belqassim's Wife
540612	166597	
540613	17783	Patty
540613	63030	Food Stylist
540613	131692	Exercise Woman
540613	142668	Welfare Worker
540613	303975	Waitress
540613	330409	Cocktail Waitress
540613	361540	
540614	127514	Gaby Rettberg
540615	165449	Mary Rivers
540615	208554	Poopy Travis
540615	238991	Emma Smith Age 8
540615	298579	Margarete Froelich
540615	363729	Child in final crowd scene
540615	409401	Moorecroft Clinic manager
540616	299543	
540617	144898	
540617	169593	Clerk
540618	122610	Rosa Wiederkehr
540618	141952	Tante Dete/Heidi's Aunt Dete
540618	171556	
540618	182864	Tante Katie
540618	216534	Anneli
540619	164770	Nurse
540620	177815	Mrs. Walsingham
540621	321397	Topless Girl in Club
540622	127706	Cashier
540623	78400	
540624	237464	Rose
540625	285244	
540626	53251	Donata Peytavi
540626	160539	Maria
540627	187697	Nola's Mother
540627	211394	Lillian
540628	93876	Adèle
540629	13068	Elettra
540629	48971	
540629	57825	
540629	69141	Giuditta
540629	73643	
540629	86104	Gaby
540629	197587	Fantoni's wife
540629	236806	Maria (Young)
540629	263707	
540629	266922	
540629	269495	Agnese
540629	307553	Rosa
540629	313174	Matteo's Mother
540629	348181	Nurse
540629	352559	
540629	356455	
540629	380056	Lavinia's Mother
540629	386398	
540629	386399	Ida
540629	406347	Diana Castelli
540629	409093	
540630	159458	Valeria
540631	503	
540631	17580	Epiphanie
540631	18288	Melody
540631	51108	Maria
540631	65781	Karine
540631	264950	Leila
540631	280783	Lydie
540631	309730	Daphnée
540631	346560	Ursula
540631	385237	Nadia
540632	311342	Mother
540633	311342	Marie
540634	293839	Receptionist
540635	154465	Herself
540636	143712	
540637	313136	
540638	126040	Oompah Band Member (s)
540639	338350	Seductress
540640	48490	Additional Voices
540640	389869	Student
540641	142372	Miss Draper
540642	136360	
540643	395181	Grace Scott
540644	276197	Circus Performer
540645	269806	Second Slavic Girl
540646	45616	Band member
540647	303342	
540648	207991	Sati
540649	42811	Meg Camden
540649	51464	Lydia Brundage
540649	76609	Hospital Desk Nurse
540649	86300	Amanda
540649	108343	Mrs. Clay
540649	132016	Lady Vaughn
540649	133630	Mrs. Rutherford
540649	145822	Mary
540649	163256	Head Nurse (Miss Steuben)
540649	195854	Mary
540649	199092	
540649	209132	Linda's Mother
540649	235227	Angry Bus Passenger
540649	244923	Mrs. Margaret Pendleton
540649	255445	Mrs. Lind
540649	277857	
540649	313074	Sophie
540649	315923	Mrs. Fields
540649	316025	Mrs. Stevens
540649	321145	
540649	321310	Mary
540649	328192	Mrs. Lawrence
540649	340779	Mrs. Floyd
540649	360477	Nina Talbot
540649	391052	Gertrude Hardy (1977-79)
540649	391055	Aunt Gertrude (1977-1978)
540649	394251	Illsa Fogel
540649	396091	Phyllis Hammond
540650	352618	Francie
540651	195601	Connie
540652	60205	Herself
540653	345641	
540653	411221	Polly Forrest
540654	257241	Associate-Enlistment, Nationa
540655	406654	
540656	172213	Herself (Reporterin)
540656	226304	
540656	407355	Host (1994-1996)
540657	163439	Herself
540657	411230	Hostess
540659	3053	Herself - Best Costume Design
540659	160449	Herself
540659	201735	Herself
540660	178138	Beautiful Girl
540660	178693	Doris
540660	229858	Jo Lynne
540661	228048	Ms. Vogue
540662	155294	Ice-Capades Skater
540663	396123	Staige Prince (1992)
540664	42031	Girl With Too Much Make-up
540664	75775	Blair
540664	81758	Waitress #2
540664	134294	Heather La Point
540664	165851	Alexis (blonde camper)
540664	284526	Pebbles Goren
540664	308344	Nurse
540664	326467	
540664	367751	Waitress #2
540665	350700	Fan in crowd
540666	250524	Glass Cat/Woozy
540667	38663	Aunt Bella
540667	75572	Midwife
540667	126504	Old Woman
540667	366767	Mrs. McDowall
540668	23612	Herself
540668	100998	Herself
540668	205410	Herself
540668	235383	Writer/Poet
540669	234890	Cabaret Girl
540670	204971	Hoshimi
540670	228458	Marie
540670	261454	Cheerleader
540670	396019	Woman In Market, Pageant Cont
540671	274333	Mrs. Ingrid Sorenson
540672	250713	Nurse #3
540674	159861	Rocking Babe
540675	61407	Tereza
540675	162303	Une fille de joie
540676	280772	
540677	25570	Yasmin
540677	62853	
540677	88284	
540677	97710	Ronit
540677	103595	Nili
540677	105185	Victoria
540677	118879	
540677	142288	
540677	175004	Herself
540677	175006	Herself
540677	182307	
540677	183959	Censor
540677	201399	
540677	202080	Hanna
540677	214764	Mother
540677	299364	
540677	384364	Orit Aminadav
540678	261794	Institutrice
540678	285555	Rona
540679	231426	Nancy
540680	348361	Christina
540681	25931	
540681	101704	Additional Voices
540681	124574	Witch
540681	197221	
540681	216664	
540682	231221	
540682	373106	
540683	370863	Joey Tai's daughter
540684	92909	Tigers Boss
540685	216664	
540686	319096	Cat
540686	358659	Mei Ling
540686	410920	Vancouver Host (1998-2003)
540687	136325	
540687	369058	Shannon
540688	148531	Seow Fang's Teacher
540688	241480	
540689	136073	Master 9
540690	156424	Tugar Dancer
540690	372175	Dancer
540691	395885	Brenda Tovar
540692	32409	
540693	376299	
540694	91313	
540694	96274	
540694	101825	
540694	198993	
540694	301106	
540694	376692	Mujer adivina
540695	15076	Anita
540695	15114	Christine
540695	18319	Une invitée au mariage
540695	20220	Daisy de Maubrun
540695	57540	Blanche
540695	64299	Herself
540695	66733	Cécile Menessier
540695	96170	Blanche & Rose Colomb
540695	111117	Gisèle Boileau
540695	194598	Annie Fouquet
540695	203178	Queen Mother's Attendant
540695	212157	Grand-mère Gallais
540695	217669	Charlotte
540695	217717	Odette
540695	240371	
540695	241174	La mère de Mireille
540695	269971	Madame Pasquet
540695	275647	Thérèse
540695	309748	Denise Lambert
540695	334136	Danielle Foussard
540695	351524	
540695	353431	Marianne
540695	377692	Blanche
540695	397137	Françoise
540695	399106	Mme Lafoy
540695	407550	
540696	254076	Dance professor
540697	33464	Sarah Waltz
540698	58001	Le prof de géo
540698	80156	Directrice de l'Ecole
540698	96206	Mère d'Edouard
540698	100176	Dr. Berckmans
540698	111002	La femme mûre
540698	166106	La femme
540698	167228	
540698	171137	
540698	200949	Claire Mazeron
540698	208335	La prostituée
540698	225531	Welcoming nurse
540698	253994	Infirmière chef
540698	266403	Docteur Jannequin
540698	292279	
540698	336953	
540698	340343	Paula
540699	38645	
540699	154988	Strike Woman
540700	206317	Rosie Clémence
540701	4527	
540701	211315	
540702	238454	
540704	131686	
540705	340217	Fabienne
540706	112812	Sister Huguette
540707	47784	
540708	15035	
540708	73912	Minouche
540708	101534	Madame de Lursac
540708	125379	Mademoiselle
540708	132881	The Musical Star
540708	215061	
540708	261441	
540708	309735	
540708	322337	Colonel's Wife
540708	345377	
540708	346551	
540708	377853	Jeanne Aubry
540708	396370	Mme Rémy
540709	95908	Little Red Riding Hood
540709	117346	
540709	118908	Eliza
540709	120095	Donna
540709	147745	Shauntelle/Streetcar Blanche
540709	291052	Harlot
540709	309535	Giselle
540709	394396	Co-Host
540710	94238	Baby's mother, and voice of J
540711	17851	
540711	200927	Lucile Vernoux
540711	274757	La directrice de l'asile
540711	340211	
540712	4626	Angela Gordon
540712	5932	Mounirah al-Rashid
540712	29692	Zoitah
540712	42023	
540712	48651	Dr. Sandra Mornay
540712	56983	Marie Audet
540712	107981	Madame Winter
540712	140407	Gilda Mayfair
540712	154827	Fritzi Barrington
540712	244357	Yvonne
540712	262344	Ellen Wade
540712	276818	Alice Barclay
540712	330167	Mrs. Vanescu
540712	346575	Princesse Véra
540712	365052	Countess of Monte Cristo Hayd
540713	34770	
540713	77142	Lucia
540713	136706	
540713	142198	
540713	170695	Dorothee
540713	205826	
540713	225484	
540713	292097	
540713	292371	
540713	354028	
540713	354455	
540713	372779	Witch
540714	23817	Myrrhine
540714	225453	Headmistress of the film arch
540715	13100	
540716	89084	Forelady
540717	188682	
540719	112795	
540720	14351	
540721	108490	
540721	111134	
540721	161568	
540721	199328	
540721	205217	
540721	374199	Florianne
540722	71802	
540723	198567	Jogger
540723	402964	Herself
540724	19333	Herself
540725	190910	
540725	396650	
540726	113116	
540727	113116	
540727	123986	Herself
540728	51377	Featured Victim
540730	265626	
540731	43748	
540732	115362	
540733	328596	Cherry
540734	44833	Dancer
540734	189265	Prostitute
540735	51775	
540736	71835	
540737	64284	Herself
540737	390569	Herself (French Resistance le
540738	72525	
540738	258322	
540739	288889	La psychologue
540740	280793	
540740	357836	Mme de Peyrehorade
540740	389000	Mme Gassaud
540741	104737	French entry (1st place)
540741	104743	French entry (3rd place)
540742	355882	
540743	227473	Susy Fane, Dead daughter in f
540744	29080	Zena Crowley
540744	142534	Priss Dobbs
540744	144809	Susan
540744	155698	Caroline
540744	158367	The Doll
540744	166035	The Doll
540744	174187	Karolina
540744	176906	Jane Carlton
540744	188355	Anne Linton
540744	203217	Girl on Train
540744	234035	Italian girl
540744	292486	Jill Warren
540745	87586	Featured Disco Dancer/Disco G
540746	55718	Honoria
540746	101301	Nurse
540746	134454	Lily Rankin
540746	192125	Peggy
540746	254268	Gunnery officer
540746	256614	Margaret Blackthorne
540746	323433	Carole Carter
540746	354519	WRAC secretary
540746	359857	Barmaid
540746	365141	Jill
540746	407626	Sandra
540747	321653	
540748	214641	Old Hag
540749	71783	Mrs. Rigby
540749	274465	David's mother
540749	278439	Mrs. Jim Martin
540749	367731	Dame Murdockson
540750	16758	
540750	21475	2nd Bobbysoxer
540750	79261	Paula Burroughs
540750	83965	
540750	88650	Judy
540750	190103	
540750	202966	Gillian Murray
540750	216810	Annabelle Meadows
540750	240683	Lady Hinchingford
540750	240755	WAAF Corporal
540750	331326	
540750	335632	Mrs. Emily Cook
540750	385299	Katherine Knight
540750	387518	Nurse Julie Mayne
540751	13063	Asya
540751	34463	Queen Elizabeth
540751	81191	Miss Forsythe
540751	99327	Madeleine
540751	106443	Annie
540751	116673	Madeline
540751	117116	Lilian Glass
540751	129815	Karen Walker
540751	162247	Young Janet Stone
540751	164628	Leah
540751	168944	The Mother
540751	185741	Dolores, Mrs. Ferguson's Maid
540751	208694	Susan Henchard
540751	209186	Isabella
540751	219893	Sarah Thorman
540751	314779	Karen Knowles
540751	319753	Chomsky
540751	323463	
540751	327487	Martha
540751	347348	Sophia Carey
540751	361237	Helen Henderson
540751	381875	Susan
540751	397659	Dorothea Brooke
540752	60753	Kelly
540753	122660	Cover Girl
540753	389628	Cover Girl
540754	44009	Woman
540754	320916	Sam
540754	391869	Gilly Austen (2000)
540755	27345	Herself
540756	43164	Delilah Leigh
540756	54997	Nurse Angela Holder
540756	64940	Sabina Menard
540756	99400	Christy
540756	158449	Grace Worth
540756	194119	Ellen Gunther
540756	254501	Randy Cross
540756	350432	Jill Nichols
540756	352733	Sister Isobel/Leonore Gregory
540757	101448	Magalie
540758	2645	
540759	91551	
540759	193445	Jeanne
540760	169367	
540761	51932	
540761	83257	Mme Kessner
540761	126429	
540761	208115	Susanne
540761	252693	
540761	259722	
540761	279001	Beatrice
540762	208115	Suzanne
540763	19327	
540763	51422	Adèle
540763	110060	La lingère
540763	153803	Césarine
540763	198342	
540763	219471	Mme Salt
540763	388944	
540764	16780	
540765	246654	Alicia
540766	53853	Seriema
540766	198838	
540766	229648	
540767	29701	Aline
540767	39848	Maryam
540767	40364	Aline
540767	51378	Herself
540767	162443	L'américaine
540767	204648	Manon Lescaut
540767	256453	
540767	324677	
540767	391621	Herself
540768	37674	Lady Bug
540768	210548	
540768	230693	
540768	242713	Denise Darcel
540768	303490	Nurse
540768	391834	Bibi
540769	110173	Lucie Laplace
540770	111125	
540770	198559	
540771	68357	Herself
540771	270631	Herself
540771	345048	Herself
540772	249209	
540772	378705	Mme Durand
540772	385008	Victoria
540772	400804	Mme Guimond
540772	402734	Mathilde Beauchemin
540772	407807	Mémère Bouchard
540772	408173	
540773	64049	(segment "Zé da Cachorra")
540773	328879	
540774	65364	Lucille
540774	136509	Hollywood Blonde
540774	137453	Jill
540774	342612	Cynthia Cranley, Girl in Boot
540775	113252	Germaine
540775	258851	Ernestine Lepic
540776	6391	Christine
540776	15088	Alice
540776	42214	Vinca
540776	43638	Betty
540776	57280	
540776	84222	Dominique
540776	94245	Marthe Fille
540776	160016	Solange Montfort
540776	225471	Sarah Finkiel
540776	243151	Cécile
540776	247978	Laurette
540776	249713	Véronique
540776	258316	Claude.
540776	332139	Edwige
540776	346683	Tina
540776	355870	L'attachée de presse
540776	357054	Laure, la fille de Jeanne
540776	399164	
540777	78320	Danny's mother
540778	8988	
540778	383504	Charlotte
540779	181326	
540779	214387	
540781	114311	Ronald's Wife
540781	199499	Girl at Clios
540781	340502	Shana
540782	211439	Homeless woman
540783	143255	Clothilde
540784	44899	Chorine
540784	138744	Chorus Woman
540784	194403	
540785	137208	
540786	310963	Serveuse
540787	393395	Sita Riddez
540790	359621	Tischgesellschaft
540791	339032	
540792	247141	School Girl
540793	150008	Young Gypsy
540794	206563	
540794	216774	Une femme à la piscine
540794	336827	
540795	159974	
540796	103504	
540796	215231	Kitty
540797	23424	Marie
540797	42874	Lucy
540797	45619	Corinne
540797	59491	Journalist
540797	84667	Marjorie
540797	86396	La secrétaire de Finch
540797	118931	
540797	134605	Miss Gros Seins
540797	203178	Serving Woman
540797	208646	Sophie Perrin
540797	220258	Pauline
540797	236515	Une invitée
540797	250837	Sodomita
540797	259771	Paulette
540797	262944	
540797	287598	Vanessa
540797	346515	Véronique
540797	377013	
540797	377628	
540797	384388	Angèle
540797	388689	Fanny
540797	398253	
540797	400869	
540797	402529	Diane Bolski
540797	402577	
540797	404258	Isabelle
540798	101246	Mariette
540799	385099	Pam Brugencate
540800	398260	Gianna
540801	388840	Jane
540802	51201	
540802	94869	Le chercheur
540802	101208	Marion
540802	124824	Ingrid
540802	170466	Marie
540802	211156	
540802	229492	Nadine
540802	251904	
540802	340597	
540802	345284	Valérie Delisle
540802	377272	La femme du début
540802	380861	Mandel
540803	148699	Infirmière Martin 2
540804	217652	Sandra
540805	27841	Bambi
540805	30679	Nurse Sherri
540805	59913	
540805	63214	Herself
540805	63217	Herself
540805	63218	Herself
540805	144697	Melissa
540805	191987	Eddie's Girlfriend
540805	313068	Jane
540806	250961	Mirelle
540807	303776	
540808	301524	Roxane
540809	57284	Christine
540809	115343	Hedwige de Saint-Bris
540809	254039	Lallie
540809	343556	Marthe
540809	403178	Corinne
540809	406878	Sylviane Dornac
540810	379244	
540811	109524	Mary Anne Zalotnick (Pat Bena
540811	232198	
540811	363370	Student
540812	283021	
540813	26283	
540814	15132	Mme de Bonneuil
540814	23530	
540814	23866	Maria
540814	96069	
540814	100358	Une Toulonnaise
540814	144320	Juliette
540814	202746	Janine
540814	205437	Sergine Pons
540814	218276	Simone Duvernoy
540814	248263	La femme du président Mortier
540814	261811	Mireille
540814	275634	Lydia
540814	275700	
540814	282001	Isabelle
540814	347566	
540814	376931	La femme de la galerie
540814	377726	
540814	381430	Mme Fallière
540814	381590	Mme de Saint Sorlin
540814	384216	
540814	385602	Mme de Saint Luc
540814	386476	Mme Lavelle (segment "Vice-ve
540814	386804	Agatha
540814	387764	Juliette
540814	389116	
540814	389784	
540814	397139	Tonia (1970)
540814	398033	Eulalie (1975)
540814	399106	Martine
540814	401252	Yolande
540814	401321	
540814	403351	La jolie dame de Paris
540814	407550	
540814	409602	
540815	250752	False Marie-Claude 2
540816	265904	French Lady #1
540816	408158	
540817	36900	
540818	58792	Pierre's Sister
540819	89462	
540820	207640	Secretaria Cabos
540820	370089	Nicole Bazaine
540822	11483	Mrs. Humphrey
540822	57730	Blanche
540822	64069	Lady Tremaine
540822	121557	Mrs. Jameson
540822	123347	Mrs. Livingston
540822	148220	Mrs. Hathaway
540822	149298	Mrs. Durham
540822	154907	Mrs. Dow
540822	166345	Sob Sister
540822	230304	Matron
540822	234070	Wife
540822	241105	Herself
540822	263313	Miss Brindel
540822	264064	Mrs. Montchesington
540822	292248	Mrs. Trask
540822	304773	Maleficent
540822	311557	Mrs. Walters
540822	313695	Mrs. Williams
540822	318773	Mrs. Harrington
540822	331596	Warden
540822	347029	Mr. Pendleton's Secretary
540822	347681	Mrs. Cartwright
540822	347732	Lady Vernon
540822	356251	Speaker at Soup Kitchen
540822	362635	Art Critic
540822	407135	Cook
540822	407135	Mrs. Videau
540823	8458	Woman
540823	17544	
540823	30347	Arabel
540823	31220	Charmian
540823	42025	Cynthia
540823	95255	Diana Foreman
540823	118944	Ella Brandt
540823	127122	Lady Stanford
540823	142383	Julia Martineau
540823	143636	Mrs. Beauchamp
540823	150883	Matilde Rosier
540823	168903	Clarinda Bowles-Ottery
540823	177316	Queen Irene
540823	180372	Pauline
540823	202918	Lydia Daney
540823	219249	Eileen Gregory
540823	230363	Liz Teasdale
540823	234167	
540823	244872	Teresa
540823	251278	
540823	251798	Mrs. Stephens
540823	254268	Superintendent
540823	258034	Lady Ennui
540823	263791	Mrs. Marlow
540823	263973	Lady Sunningdale
540823	277800	Yvonne Phipps
540823	283560	Mrs. Betancourt
540823	297193	Rachel
540823	302568	Duchess of Argyll
540823	304812	Carol
540823	336541	Marion Fane
540823	339430	Ada Leverson
540823	354346	Enid
540823	356794	Marion Whittaker
540823	382593	Lady Charlotte
540823	388895	Gwendoline 'Gwen' Harper
540823	390572	Miss. Havisham
540823	394310	Queen Elizabeth I
540823	398990	Madame Permon
540823	402866	Sophia
540823	411926	Bianca
540824	15380	
540824	86902	
540825	346738	Madame Joulin
540826	73068	Surveillante prison 1914
540826	213840	
540826	240968	La mère
540826	264525	Religieuse
540826	375794	Madame Gouvier
540826	377798	
540826	384816	Mother superior
540826	388944	
540827	174765	
540829	80660	Older Nun
540829	283510	Spanish Lady
540830	2252	(segment "Poisson Rouge")
540830	23424	Mère de Michel
540830	78350	Madeleine
540830	80183	La mère
540830	134605	Vieille Dame
540830	197194	Margot
540830	208219	Corinne
540830	219478	
540830	258982	
540830	295210	His Mother-in-Law
540830	318523	
540830	345060	La vieille dame
540830	357834	La voisine d'Angèle
540831	1052	Herself/Elle-même, actrice da
540831	3502	Ella misma
540831	7540	Charlotte
540831	16129	Ilona Morgan
540831	20330	Diane
540831	23731	Josephine
540831	24407	La femme de Michel
540831	26156	Babette
540831	31441	Blanche
540831	32014	Ariane
540831	33581	Brigitte
540831	35302	Laure
540831	36548	Frédérique
540831	37279	Underground Walloon fighter a
540831	39283	Anna Kemidov
540831	43711	Aline
540831	43718	Ginette
540831	44930	Helene
540831	51949	Matrimonia
540831	51950	
540831	58811	Thérèse
540831	59748	Alice Senechal
540831	61030	Chantal/Belle (segment "Donne
540831	62442	Jeanne Faulques
540831	64333	Herself (1987)
540831	66744	Jeanne
540831	68401	Cécile
540831	70954	Edna Chabert
540831	71819	Huguette Cordier
540831	72066	Françoise
540831	73072	Claire, la mère d'Alexandre
540831	93883	
540831	95423	Rika Lormond
540831	96655	The Widow
540831	97393	Herself
540831	111073	Hélène Desvallées
540831	113116	
540831	116438	Claire Brandels
540831	122871	Hélène Dupré-Granval
540831	128977	Brigitte
540831	130117	Xavière, la danseuse/Xavière,
540831	140565	Susana
540831	164149	Gaby
540831	167164	
540831	169540	Adrienne
540831	171321	Hélène Masson
540831	184557	Fernande Segret
540831	189907	Mrs. Lowery
540831	190632	La femme du Dr. Lafaye/Wife
540831	198574	Jacqueline Boisdain
540831	199564	Lady Covington
540831	204305	Soeur Amanda
540831	205769	Olga
540831	206507	Juliette Poussin
540831	206563	Marianne Bernejoul
540831	208503	Chantal Moreau
540831	211809	Marie-Laure Villegrain
540831	219474	Christiane
540831	219606	The grey lady
540831	231599	
540831	231997	Janice
540831	234287	Lucienne Delamare
540831	238461	Helene
540831	244411	
540831	248423	Edith
540831	249071	The mother (segment "La Muett
540831	251541	Dominique
540831	253994	Françoise
540831	256516	Lulu Kreutz
540831	258208	Mme Boucher
540831	260229	Pauline
540831	261728	Madame Cuno
540831	266398	Charlotte (recorded 1961)
540831	283654	Hélène Régnier
540831	285742	Lucie
540831	285819	Bernadette
540831	287322	Gigi
540831	287599	Hélène Vallée
540831	289439	Jacqueline
540831	289565	Minon Palazzi
540831	301314	La patronne de l'hôtel
540831	301923	Shireen Firdausi
540831	303176	Sophie
540831	307490	Geneviève
540831	308913	Florence
540831	318515	La femme du téléphage
540831	325889	Dr. Bogdanovich
540831	328990	
540831	332912	La chanteuse d'opéra
540831	341946	Mrs. Grose
540831	345357	Marie Kastner/Anne
540831	345441	Geneviève
540831	354661	Catherine, Vincent's Wife
540831	354911	Germaine Nozière
540831	356519	Isabelle's mother
540831	360913	Minna
540831	377999	Claire
540831	381850	Lisa Montpleynet
540831	382744	Cara
540831	386803	Catherine
540831	397938	Paula Deslandes
540831	400407	La baronne Maria von Pallberg
540831	406917	Georgette
540831	407683	Isabelle Souverain
540833	127945	Sharon
540833	132056	
540833	135293	Isa
540833	163707	
540833	183235	Chateau Party Guest
540833	198104	Lady Dudley
540833	258315	Maïté
540833	278404	A nun
540833	290003	Katherine Miles
540833	339476	
540833	403474	Une Femme
540833	409457	
540834	197339	Collette Bleu
540836	13041	La mère de Martine
540836	14343	Monique Lemonnier
540836	28150	Martine
540836	54787	Girl in car
540836	60520	Yvonne
540836	64228	La reine Anne d'Autriche
540836	69152	Herself
540836	85692	Blanche de la Force
540836	86428	Mama
540836	90768	Sara
540836	97064	Hortense
540836	101534	Christine
540836	101896	Hélène
540836	108898	Mme Legendre
540836	122216	Mlle Bonnard
540836	122558	
540836	129216	Agnès
540836	157227	La mère de Thibault
540836	162511	
540836	167230	Fleur
540836	168051	
540836	183036	Adrienne de La Fayette
540836	201175	Mother
540836	204442	
540836	219524	Laure Malaussène
540836	222717	
540836	238455	Chantal Maillet, la kleptoman
540836	238467	La belle-soeur de Bortak
540836	252361	La femme
540836	259732	Elisabeth Matheu
540836	283038	Lulu
540836	294386	Mathilde
540836	309487	Siamese Twin, Right
540836	332223	Martha
540836	383027	Herself
540836	383888	
540836	403177	Florence Trincant
540836	405984	(Alumni Chair, USC)
540836	406196	La comtesse de Sérizy
540837	28751	
540838	2814	
540838	105853	La grenouille
540838	263176	Consuela
540838	397192	
540840	6393	
540840	23723	Wedding dresses saleswoman
540840	59508	Marie
540840	73066	Marthe
540840	83381	Marguerite Labbé
540840	148664	
540840	198314	Léonie
540840	254154	La mère de Gaëlle
540840	286624	Éléna
540840	314305	
540840	324944	Léocadie
540840	353958	
540840	377951	Charlote
540841	89908	
540841	252004	
540841	290895	
540841	344000	
540841	349962	
540841	374495	
540842	258318	
540843	333563	Ilonka
540844	307622	Jenny Brantley
540846	16208	Ivonne Schumacher
540846	44672	Jessica
540846	45976	Uta Schwengeler
540846	46620	Sarah
540846	51868	Nana
540846	65980	Narrator (German language ver
540846	75918	Roxane
540846	90703	Paola Brunetti
540846	90704	Paola Brunetti
540846	90705	Paola Brunetti
540846	90706	Paola Brunetti
540846	107978	Eva Klein
540846	110772	Luci
540846	119256	Kim
540846	134771	Irmgard Bode
540846	144144	Ena
540846	144184	Elke
540846	153088	Elisa
540846	156667	Maria Grund
540846	159958	Clara
540846	162472	Meta Foerster
540846	169975	Judith
540846	175298	Sina Bukowski
540846	183249	Maca Daracs
540846	188741	Shiminskaja
540846	189701	Anna von Wallenberg
540846	189739	Britta Bauer
540846	189741	Katja
540846	199014	Mäxchen
540846	199811	Angeles
540846	205507	Maria
540846	210104	Ruth
540846	218977	Katharina Steinberg
540846	219337	Marie
540846	232671	Astrid Protter
540846	255246	Claudia
540846	257268	Heike Hasselhoff
540846	265092	Theresa
540846	275179	Mafalda La Rocca
540846	289947	Ute Ritter
540846	294749	
540846	307651	Lydia Kominka
540846	314859	Marianne
540846	342335	Charlotte
540846	343664	Claudia Fischer
540846	352048	Larissa
540846	352188	Marie
540846	352219	Dr. Maria Jonasson
540846	358217	Jana
540846	359599	Gertrud Venske
540846	361038	Charlotte Becker
540846	361043	Marion
540846	376042	Kristine Müller
540846	395393	
540846	397757	Larissa Asselt
540846	397953	Annemarie Bieler
540847	236718	Kreeta
540848	6791	Landlady
540848	16462	
540848	22916	Daughter
540848	27152	Mrs. Meeham
540848	29856	
540848	32074	Mamma Gillardi
540848	32209	Madame Sonia Customer
540848	38813	Lady #3 at Michel's
540848	39205	Madame
540848	40998	First Dowager at Opera
540848	59825	Miss Connors, Lady barber
540848	91882	Mrs. Virginia Delaware
540848	98170	Mrs. Ruth Clyde
540848	102323	Matilda Scroggins
540848	107434	Lucrezia
540848	109653	
540848	112296	Juanita
540848	125862	Mrs. Archer
540848	129779	Mrs. Clyde
540848	131594	Woman on Bus
540848	138383	Czech Patriot
540848	141223	Lisette
540848	144410	
540848	145778	
540848	147410	Hope Andrews
540848	154481	Mrs. Roquefort
540848	163283	Miss Parker
540848	175604	
540848	177334	Wicked Sister
540848	178976	Aunt Lena
540848	183760	
540848	195903	Mrs. Braddock
540848	196487	Chestnut Seller
540848	197073	Woman at Sale
540848	199304	Mme. Petree
540848	212747	Mrs. Crawford
540848	232419	Jane (Lilith's housekeeper)
540848	235162	Woman farmer
540848	245650	Old Woman
540848	248834	
540848	277675	
540848	280915	
540848	291526	Model
540848	297865	
540848	301981	Mrs. Elmwood
540848	304534	
540848	313517	Old Biddy in Store
540848	313943	Grace Orval Draper
540848	326080	Mother
540848	329421	Ann Forsyte Heyman
540848	329502	Baretta's Girl
540848	329877	
540848	372929	Maude McGregor
540849	376441	Gast
540850	24738	
540850	37697	
540850	79176	Mitzi Bauer, Soubrette
540850	82880	Monika
540850	119212	Agnes
540850	119214	Sophie
540850	147539	Michaela
540850	155329	Gerda
540850	155385	Hannelore Auer
540850	179777	Walker's Girlfriend in the Un
540850	207210	Herself
540850	237225	
540850	239112	
540850	244684	Trix
540850	285816	Steffi Oberfellner
540850	290701	
540850	320231	Sophie
540850	322529	
540850	326059	Sherry Davis
540850	347658	
540850	365907	Helga Dobbelmann
540851	86071	
540852	189623	
540853	97436	
540854	115424	
540854	172579	Belly dancer
540854	178478	Rosmarie
540854	310254	
540854	333564	
540854	409267	Traudi
540855	398622	Herself
540856	381876	Teresa Delaney
540857	144347	Officer Turner
540857	195540	Linda
540858	223699	Restaurant Patron
540859	278523	Herself
540860	196397	Nana
540861	364886	Vera
540861	401996	
540861	406814	
540862	41328	Herself
540862	279383	Herself
540863	41155	1st Technician
540863	72664	Room Renter #2
540863	300871	Betty
540864	11772	Herself
540865	11772	Herself
540866	62356	
540866	63347	
540866	356570	
540867	291637	Lempi
540868	57061	Herself
540868	91182	Eva Hennig
540868	183338	Herself (Too Funky Video)
540869	3314	Performer
540869	257434	Herself at the Cocktail
540870	198298	Les enfants
540871	114017	Car Rental Agent
540872	152329	
540873	175223	Teenage Anna Riley
540874	57840	Prudence
540875	23646	
540875	47784	
540876	240586	
540877	87428	Marion
540877	107143	Actress
540877	138593	Alice
540877	170108	Madame Orlac
540877	211848	Moune
540877	229492	
540877	240617	
540877	263372	La starlette
540877	279430	Girlfriend at Art Gallery
540877	377848	La jeune femme
540877	388120	
540877	409439	
540878	240098	
540879	80842	Sandra
540879	267576	Halle
540879	321174	Libby Fox
540880	290029	
540881	363281	Sallie
540882	84428	(segment "Moy milyi chizh")
540882	259041	
540882	373704	Marusya
540882	394750	
540883	59729	Charly's Double
540884	333720	Catherine
540885	58044	Pareja frontera
540886	224039	Mrs. Greenzeig, a janitress
540886	288862	Herself
540887	277811	Anna Pezzi
540887	338681	Pallina
540888	215145	
540888	258981	
540889	97054	
540890	14851	
540890	19612	Carla Spinosi
540890	19879	Magdalena
540890	30743	Barbara
540890	33033	Herself
540890	33486	
540890	39601	
540890	42596	Veronica
540890	62936	
540890	67493	
540890	67914	
540890	72892	Mme Lenski
540890	74557	
540890	89578	Esmerelda
540890	95852	
540890	100013	
540890	102236	
540890	103191	
540890	106048	The mother
540890	108773	Johanne McPherson
540890	114976	
540890	115376	Catherine
540890	119034	
540890	128715	Ginette Beauchurch (story 'Th
540890	133042	
540890	148172	Isabelle
540890	148649	Lila
540890	158216	Clio
540890	161672	Sophie
540890	165264	Domino Derval
540890	172687	Amrita
540890	179761	Marina
540890	183862	
540890	188858	Lily Wenzel
540890	207260	Isabelle de Saint-Mars
540890	216102	Amrita
540890	220500	
540890	238792	
540890	242832	Concettina
540890	243286	The friend
540890	246379	Adriana
540890	247516	Betty
540890	252413	
540890	263240	Diana
540890	273573	Renata
540890	282286	Madame de Fervaques
540890	286255	George's mother
540890	291559	Ida Bernasconi
540890	292593	Sophie Meister
540890	292803	La princesse de Cadignan
540890	294566	La nouvelle servante (segment
540890	324893	Laura
540890	328374	
540890	328844	Minerve
540890	332065	Dominic 'Domino' Derval
540890	339446	Peter's wife
540890	339875	Paulette
540890	345399	Artémise d'Aubec
540890	345404	La femme à l'imperméable
540890	345431	Nathalie Silvener
540890	352003	Alfredi's Secretary
540890	353144	Elisa Massacesi
540890	372951	Isolina
540890	379619	
540890	389333	
540890	390291	
540890	400050	Annie
540890	401511	Annunziata
540890	402664	
540891	205932	Shopper in Store
540891	231837	
540891	236206	Juliette
540891	240491	Isabelle
540891	243300	Esther
540891	327896	Esther
540892	199380	L'impératrice Marie-Louise
540893	282224	Gaby
540893	332193	
540893	336995	
540894	393395	Juliette Béliveau
540895	230985	Receptionist
540895	312964	Vivian
540896	187418	Young Isabel Two
540896	386970	Little New Rider
540897	155912	
540898	245484	Girl
540900	198951	
540900	285726	Adult Agatha Deen
540900	390771	Jane (1999)
540901	353707	Zoe Blair
540901	361851	Extra
540902	358283	Spareribs
540903	62461	Julie
540903	263219	Cliente au restaurant
540904	89733	
540904	304721	
540904	394785	Claudette
540905	306641	
540906	764	
540906	781	
540906	1257	
540906	51984	Black Nurse
540906	75028	
540906	81925	
540906	95803	
540906	126035	
540906	130611	
540906	168072	
540906	178320	
540906	252939	
540906	273403	
540906	342639	
540907	18717	Ann
540907	147809	Dancer
540907	367913	Grace
540908	17498	Minna Terlow
540909	288478	Beverly (Mom)
540910	34448	Dinner Guest
540911	7169	Mamma
540911	10434	Sofie Hess
540911	11716	Skolkurator
540911	17498	Anna Terlow
540911	32822	Herself
540911	69843	Lara
540911	76731	Tomas Sister
540911	84328	Ann
540911	92639	Nina
540911	96429	Thora Dardel
540911	101636	Anna
540911	108633	Ekdahlska huset - Maj
540911	122448	Tove
540911	127706	Girl at Summer Hotel
540911	129268	Sofia
540911	130070	Anna Åkerblom Bergman
540911	132182	Molly Fischer
540911	144040	
540911	151821	
540911	154020	Hjertrud
540911	166943	Karin
540911	174118	Mum
540911	182580	Anna
540911	182725	
540911	184890	Karin Bergman
540911	191206	Abigail
540911	192494	
540911	192927	Herself
540911	197394	Anna Åkerblom
540911	206924	Mary of Nazareth
540911	240214	Agnes
540911	243673	Eva
540911	272005	Bergquist
540911	303195	Nina Nyman, Roger Nyman's wif
540911	303206	Patricia Hamilton
540911	312072	Beata Ekesjö
540911	313474	Shmi Skywalker
540911	313476	Shmi Skywalker-Lars
540911	337514	Ofelia
540911	341810	Åsa Eriksson
540911	354417	Gina Ekdahl
540911	377285	
540911	390231	Anna Åkerblom Bergman
540911	392289	Ingrid
540911	399873	Vanja Holm
540911	400001	Pia
540912	56545	Herself
540912	325549	
540913	47019	Gertrude
540913	158684	Ginger
540913	242024	Jenny Stein
540913	291265	Eve Knight
540913	389876	Socialite
540914	229238	
540915	324191	
540915	327326	
540916	349721	Maysa
540917	134763	
540918	46270	Actress (at Class)
540918	47993	Ursula
540918	116357	Anisa
540918	264157	Princess Nadege
540918	283601	Cynthia
540918	301974	Marla Rowan
540919	137273	Sarah
540919	148735	Gisèle Jeansson
540920	314847	
540921	295384	Claire
540922	10892	Baby Bodi
540923	303730	
540923	352320	Anita Dilek
540924	276206	Isabella
540924	375270	
540925	479	Singer
540925	104733	Austrian entry (5th place)
540925	111851	Singer
540925	186226	Singer
540925	189679	Singer
540925	282197	Night Club Singer
540926	182896	Isabelle
540926	312887	
540927	223963	Restaurant Diner
540928	243452	Bettina
540929	227340	Jenna Deblin
540930	69421	Sunlamp Girl
540931	120286	Coed
540932	40029	Cathy
540932	257182	Girl at Fair #1
540932	342549	Ronnette Pulaski
540932	342552	Ronette Pulaski
540932	387496	Paige
540932	389266	Olivia Escobar
540933	114043	Christinza Augustinos-Disk
540934	228157	
540934	389119	(1993)
540934	396874	Ortrud Saskia Winkelmann (#2)
540934	402046	Chea Siebert
540934	410839	Pia Weber
540935	263819	A Sonhadora
540936	167256	Mrs. Hamby
540936	207484	Frances Wauck
540936	287285	Charlotte
540936	315132	Margaret Whelmer
540937	173695	Nada Dabacová
540937	223539	Mária Alsterová
540938	63969	Angelina
540938	95996	Lady with the small foot
540938	105966	Ucitelka zpevu
540938	175032	Lady in a bar
540938	216614	Anicka
540938	240414	Sabina Veldenová
540938	249244	
540938	317632	Olga
540938	333807	Ossi
540938	357642	Evzenie
540939	119316	Evelyn
540939	138737	Marley Dean
540939	167002	Bernice Janos
540939	176985	Margaret Kramer
540939	224117	Mrs. Thompson
540939	240664	Miss Nichols
540939	245115	Sarah Goldstein
540939	265083	Sleep Talker
540939	292586	School Teacher
540939	296019	Masseuse
540939	344484	Elaine McThomas
540939	368941	Mrs. Drake
540939	408458	Dee Bullock
540940	105745	The guy
540941	130232	Baby Lotje
540942	305560	
540943	171333	Minute Clerk
540944	10168	Alcina
540944	136802	Sopran
540944	220728	Soprano
540944	256598	Mabel
540945	62437	
540946	84927	Satanist
540946	118501	Susan Travis/Sarah Kirsten
540946	189529	Margaret Farman
540946	254517	Maria
540946	319006	
540946	392483	Aelia
540947	315378	En kone
540947	315415	Kona i bua
540947	332249	En hamstredame
540947	353676	Ei trollkjerring
540948	16989	
540949	285009	Adelaide
540950	246188	Une danseuse/Dancer
540951	155311	Inuit Storyteller
540952	7285	Kim
540952	57895	Karyn
540952	76151	Cindy
540952	134605	Journaliste 1
540952	202088	Diane
540952	355806	
540953	207890	Modestina
540954	144445	
540954	213626	
540955	49028	Louella
540956	374775	
540957	20625	Extra
540957	140444	Hula Dancer
540957	218708	Lead Danceuse
540957	271224	Native Girl
540958	363415	Wal-Mart Assistant Manager
540959	169396	Herself/Narrator
540960	40690	Model #2
540961	98123	Tita
540963	212394	Dyane
540964	53762	Candy Christian
540964	58096	Marina
540964	70165	Lucia
540964	88395	The Girl
540964	90088	
540964	105515	Herself
540964	113710	Giacomina
540964	212984	Elizabeth
540964	219583	Gabri
540964	269002	
540964	269632	Isina
540964	282052	
540964	313844	Christina of Beligum
540964	341791	
540964	355640	
540965	240269	
540966	18501	Maria Nowarek
540966	46199	
540966	86393	Therese
540966	91131	Frau Wimpflinger
540966	93470	
540966	93486	
540966	94304	
540966	97435	Gidis Mutter
540966	98287	Bäuerin
540966	102291	
540966	105526	
540966	111485	
540966	111761	
540966	119140	
540966	120997	
540966	125172	Barbara
540966	130934	Johanna
540966	134222	Rosl
540966	138431	Frau Brunner
540966	142079	Vroni
540966	144014	Haushälterin
540966	144080	Vroni
540966	155101	
540966	155102	Gschwendtnerin
540966	155353	
540966	156714	
540966	170136	
540966	172357	Frau Dübolt
540966	175780	
540966	178608	Frau Ahazie
540966	178619	
540966	180703	Bäerin
540966	182247	
540966	188774	Gröberbäuerin
540966	199733	Mutter Nickel
540966	206694	Ulla, eine Magd
540966	251056	Haushaelterin
540966	253964	
540966	254360	
540966	254373	Appolonia
540966	272825	
540966	273751	
540966	278869	
540966	281924	Rosels Grossmutter
540966	284517	
540966	289956	
540966	290060	
540966	290791	Vroni
540966	301043	Cordula, Hebamme
540966	311078	Veronika Feldhofer
540966	314560	
540966	322427	Frau Seelenmayr
540966	322527	Frau Stangassinger
540966	322528	
540966	347702	Frau Bürgermeister
540966	351939	Frau Wimmer
540966	352311	
540966	361093	Theres Filser
540966	366545	
540966	369169	Frau Schwarzkopf
540966	376339	Frau Bimslechner
540968	308115	Caroline
540968	365288	Little Girl
540969	144873	Townswoman
540970	215984	
540971	60901	Elysabeth
540971	136974	Une chanteuse
540971	207723	Prostitute
540972	134097	Nurse
540972	242093	Marcia's Mother
540973	160832	Receptionist
540974	2017	Bowling Woman
540975	11913	Ma
540975	40281	Old Gypsy in the Pub
540975	40846	Cook
540975	51855	Egyptian Lady
540975	55418	Mrs. Dale
540975	60303	Mother-in-Law
540975	61797	
540975	67099	Sheelah
540975	70077	Sarah Sterling
540975	79341	Mrs. Dale
540975	79458	Mrs. Tring
540975	79655	Mme. Rappard
540975	82609	Mrs. Jones
540975	92298	Martha Jaikes
540975	108099	Mrs. Darling
540975	119582	Woman Customer
540975	145555	
540975	147125	
540975	154581	Mrs. O'Mara
540975	155828	Undetermined Role
540975	163289	Madame
540975	165221	Coach Passenger
540975	178331	Sarah Greenwood
540975	187744	Aunt Jane
540975	189979	Isidora
540975	191810	Mrs. Turner
540975	193373	The Landlady (Mrs. Bunting)
540975	195959	Mrs. Jike
540975	199364	Belotte
540975	199594	Aunt
540975	199712	Nun
540975	200859	Miss Woods
540975	201306	Rummy Mitchens
540975	203037	Hotelière
540975	215779	Mrs. Tweedle
540975	217957	Ma
540975	218172	Mrs. White
540975	233929	
540975	246339	Mrs. Adair
540975	264054	Nannie
540975	266221	Mrs. Masters
540975	272615	Mere Colline
540975	276793	Mere Colline
540975	280701	Grannie
540975	282010	Baroness d'Archeville
540975	301979	
540975	308543	
540975	310661	Mrs. Hudson
540975	313709	Old Prue
540975	321588	Mrs. Swid
540975	329803	Cook
540975	330172	Grandma Blake
540975	330555	Mrs. Midge
540975	331681	Beattie
540975	340027	Mere Colline
540975	340406	Nonnie
540975	342489	
540975	353519	
540975	355094	Aunt Janet
540975	358876	
540975	360389	Mrs. Metcalfe
540975	360792	Miss Todd
540975	366017	Maggie Spooner
540975	367621	Henrietta
540975	371080	Countess
540975	372280	
540976	210337	Herself
540977	168321	Helena, Veijon sisar
540979	2616	Cabaret Singer
540979	7413	Gabriella
540979	53336	Secretary
540979	54567	Celeste
540979	121819	French actress
540979	169455	
540979	178979	Airline Stewardess
540979	195879	Woman
540979	211602	Girl at Maxim's
540979	252883	Pregnant woman
540979	266099	Lili Carere
540979	316085	Yvette
540980	109735	Elsa Reicher
540980	353964	Muriel
540981	356382	Paroissienne
540982	9852	Herself
540982	10656	Filli
540982	19787	
540982	28995	Angélina
540982	36459	Señora Ricci
540982	41660	Polly
540982	51790	The prostitute
540982	56100	Henriette
540982	64333	Herself (1985)
540982	67914	
540982	70707	Ines
540982	70897	Daniela
540982	75255	Virginia
540982	75630	Anne Sernet
540982	87013	Nurse
540982	88050	
540982	100013	Carla
540982	109974	Rosa Bonetti
540982	120983	
540982	128024	Nelly
540982	140306	
540982	159449	Marcella
540982	166326	Herself
540982	190350	Anna
540982	191552	Prisoner
540982	202424	Luciana
540982	206294	
540982	208071	Valentina
540982	211832	L'adultera
540982	212022	Idina
540982	217014	Nicole
540982	225369	
540982	229249	
540982	231549	Herself
540982	249485	Salesgirl
540982	254676	
540982	264256	Gladys
540982	270332	
540982	273689	La bouchère
540982	288800	Circe
540982	291561	Romina
540982	294773	
540982	315425	Mara
540982	329063	Lonetta (Indian squaw)
540982	337426	
540982	340422	Dolly
540982	348208	Carmen
540982	410074	Estelle
540983	226586	
540984	164192	
540985	370043	Une conseillère 'Romance'
540986	190823	Body flame dame
540987	159638	Herself - 11 year old Dancer
540988	159638	Herself - Mother to Jeanne
540989	142721	
540989	144058	Mrs. Jorvas
540989	169226	
540989	170246	Vieras #4
540989	223511	
540989	233243	Guest
540989	236795	Ms. Holm
540989	236796	
540989	251947	child health centre nurse
540989	271635	
540989	302979	
540989	303708	
540989	350822	mother
540989	371442	
540990	11428	
540990	12767	
540990	15343	Ana Victoria
540990	16051	
540990	16360	
540990	17753	Annie Batungbakal
540990	23405	Nelia
540990	26012	
540990	27737	
540990	28077	
540990	28085	
540990	28086	
540990	28142	Neneng
540990	28902	
540990	30982	
540990	33741	
540990	37730	
540990	39006	
540990	43428	Bona
540990	43611	
540990	49150	Angela
540990	55465	
540990	69231	
540990	77083	
540990	88710	
540990	102337	
540990	110232	Fe/Esperanza/Sis Caridad
540990	115740	Flor Contemplacion
540990	127525	
540990	136262	
540990	145429	
540990	145545	
540990	154100	
540990	154442	
540990	156177	
540990	158615	
540990	158673	Sally Murillo-Corcuera
540990	174288	
540990	174430	
540990	181769	
540990	181831	
540990	193547	
540990	198718	
540990	200017	
540990	200668	
540990	202664	
540990	208552	
540990	210624	
540990	211482	
540990	214768	Corazon de la Cruz
540990	214773	
540990	222198	
540990	223732	
540990	224098	
540990	226686	Dorinda
540990	226860	
540990	234914	
540990	243138	
540990	247540	
540990	249639	
540990	251230	
540990	258773	
540990	280063	
540990	300949	Ah
540990	322603	
540990	325361	
540990	325372	Rosario
540990	333063	
540990	333580	
540990	336561	Pacita M
540990	341232	
540990	348115	
540990	366410	
540990	372279	
540990	372488	
540990	372623	
540990	382126	Laura Sandoval
540991	114148	
540992	129627	Aunt Kitty
540992	287375	Yngste
540992	390180	
540993	136360	
540994	74336	La barmaid
540995	110071	Siebel
540995	257474	Clarine
540996	5740	
540997	187167	Kool-Aid
540998	366683	Silverstein's Girl
540999	10476	
540999	22770	
540999	51737	
540999	100309	Madre de Laura
540999	101985	
540999	103462	Gaviota
540999	105658	
540999	160192	
540999	184558	
540999	197160	Emma, hermana de Pancho
540999	197439	
540999	208325	
540999	220129	Lawyer
540999	226489	María Luisa
540999	231568	
540999	263861	Mamá del Gordo
540999	266845	
540999	269259	
540999	273948	
540999	275070	Balmori
540999	280573	Neighbor woman
540999	292903	
540999	339160	
540999	370089	Enriqueta 'Queta' Allende
540999	376172	
540999	376868	Julia´s Mother
540999	377099	Trabajadora factoria
540999	377149	Marta
540999	379179	Angustias
540999	379815	Doña Guadalupe
540999	381145	
540999	383333	
540999	383777	
540999	387068	Azucena
540999	387100	
540999	387552	Celia
540999	389881	
540999	390300	Lupita Carranza
540999	393882	
540999	396211	Chole
540999	396391	
540999	402219	Josefina 'Chepa' Pérez
540999	402404	
540999	405868	
540999	407641	
540999	407862	Teresa's boyfriend's mother
541000	3437	
541000	24259	
541000	301819	Girl #1
541000	370089	Cecilia Huerta
541001	24261	Herself
541001	24262	Herself
541002	310515	High school student
541003	18282	Periodista #4
541004	288972	China
541005	43772	Martine
541005	45120	La cliente de la pâtisserie
541005	51223	
541005	68381	
541005	68663	L'employée du journal
541005	217704	Madame Chapelle
541005	248257	Rita
541005	250509	La voyageuse
541005	251063	
541005	251532	Une jeune fille dans la grang
541005	337432	
541005	377792	
541005	401798	Marina (1966)
541006	106813	
541006	114752	
541006	328403	
541007	261577	
541008	152114	Yuan Ying
541008	167324	District Attorney staff membe
541008	170020	Female Assassin
541008	188492	Female gangster
541008	193911	Ngan Ping
541009	338053	Nele
541010	29936	
541010	132498	
541010	138449	Moa Nosslin
541010	155880	
541010	327755	
541011	272423	Häßliche Prinzessin
541011	404445	Host
541012	324396	
541013	324396	
541014	26694	
541014	292270	Santina
541015	321266	Cute Cashier
541016	234270	Enfant de l'asile
541018	185500	Girl in Car
541019	3915	
541019	37386	
541019	71494	
541019	72145	
541019	77415	
541019	77940	Linda
541019	85763	
541019	87306	
541019	115089	
541019	117369	Herself
541019	128667	
541019	141539	
541019	242073	
541019	243522	
541019	296285	
541019	321016	
541019	331175	
541020	251614	
541021	136127	Teen Queen
541022	117091	Baseball Fan
541023	357610	Pim Labroche
541023	359811	Dorothy
541024	112891	Réceptionniste Palais de la F
541024	357116	Mme Bongran
541025	2195	Femme cimetière
541025	16980	Madame de Châtelet
541025	111063	Lily's Grandmother
541025	327577	Madame de Sainte Euverte
541026	29006	
541027	381532	Herself - Vice Chairman, LO
541028	59278	Himself
541028	377707	Herself
541029	213741	
541030	8480	
541030	66869	Professor
541031	128727	Dancer
541032	174761	Bank Clerk
541033	188236	
541034	131526	
541035	223502	Woman in restaurant
541036	83240	L'employée de l'agence
541036	106474	
541036	217652	
541036	285819	Angèle
541037	383592	Maryse Bellefleur
541037	410628	Émilie Laurin (1992-2003)
541038	11964	Annette
541038	15067	
541038	25094	Lili
541038	26586	Louise de Sandray
541038	33752	La Lumiere
541038	68898	
541038	112866	Ginette Leclerc
541038	131019	Countesse Strada
541038	131309	
541038	134340	
541038	155669	Rosy
541038	161567	
541038	168892	Edith
541038	170533	Nancy le Bail
541038	205763	La fille blonde
541038	240130	Maria Talleschi
541038	249204	
541038	253213	Gabrielle d'Estrees
541038	264223	Lucie de Mirecourt
541038	282407	
541038	308292	La princesse Dorothéa
541038	345106	
541038	353914	Simone
541038	356982	Evelyne
541038	377011	Maud
541040	83305	La mère de Frédérique
541041	379362	Regina Conrad
541042	35095	
541042	92644	Fee
541042	98649	Janet
541042	218978	Katja/Frau von Henkel
541042	259468	Greta Immendahl
541042	259507	
541042	259524	
541042	259565	Gerda Oeser
541042	259595	Irene Haberkorn
541042	259601	Irene
541042	312640	Regine Bunge
541042	412089	
541043	471	
541043	11777	Frau Steiner
541043	93452	Mia Schöner
541043	144348	
541043	188833	
541043	250413	Magdalene Mank
541043	282197	
541043	376329	
541044	19035	Hellas Kind
541046	50163	Margaret Cameron/Mary Cameron
541046	50193	Dale
541047	114672	T-Shirt Girl
541047	342605	Matt's Secretary
541048	50465	Daisy Mullen
541049	129944	
541049	256093	Nurse Spalding
541049	335301	Miss Freeman
541050	348540	
541051	15861	Dominatrix
541052	341773	Mrs. Heimerle
541053	157474	Woman in library
541053	300772	Girl in cafeteria
541054	80910	Family Member
541055	62495	
541055	197324	Sonia Kleinman
541056	56619	Andy Harper
541056	73333	Little Jessie
541056	78170	Chrissie
541056	79055	Mary Ann Guard (age 9)
541056	113267	
541056	138551	Wood Faerie
541056	158313	Betsy
541056	214924	Kelly Maguire
541056	220032	Amanda
541056	220141	Callie Reed
541056	220142	Andrea 'Andi' Carson
541056	233865	Mel
541056	235052	Sarah
541056	260430	Jane Brighton
541056	276606	Liz Lowry
541056	279349	Cynthia Carson
541056	282474	
541056	287777	Carla
541056	302235	Mathilda McCann (age 10)
541056	392834	Abby Logan
541057	186745	Christine Telliman
541058	399304	Sally Burroughs
541059	302235	Mathilda McCann (age 5)
541060	224376	Bonnie
541060	229865	Lisa
541061	184562	
541062	217523	Receptionist
541063	133921	
541065	383897	Herself - Correspondent (1991
541066	218717	Member of Jack Cole & Co. Spe
541067	154822	Nurse
541068	206617	
541069	302492	Village Maiden
541070	147710	Herself
541071	71740	
541071	115642	
541072	41682	Chorus Girl
541072	286536	
541072	314233	Rosa
541073	194344	Sandra
541073	396701	Caroline Foster
541074	89301	Annie Watson
541075	41876	Zoe
541076	317260	Bar Patron
541077	33646	Susan Whittaker, Student
541077	46727	Laura Carson Fuller
541077	76582	Sally McBride
541077	83853	Paulette Bonaparte
541077	109210	Pearl Dodd
541077	118929	Judy Stevens
541077	132043	Audrey Baxter
541077	151535	Midge
541077	151634	Ding-Dong
541077	203588	Carol Adams
541077	215334	Student
541077	218124	Student
541077	251165	Dancing Fawn
541077	271203	Cathy Blake
541077	330018	Lorna
541078	137036	Leona
541079	136512	Vanessa Ruddock
541079	295392	Ruth Spencer
541079	387471	Mrs. Pinto
541080	177023	Monique
541081	82846	Herself/Host
541081	82847	Herself
541081	82848	Herself
541081	385579	Herself
541081	386036	Herself/Host
541082	100117	Mrs. Rodrigue
541083	45044	Lois Levinson
541083	244920	Sally
541083	314445	Dancer
541083	360536	Airline Agent
541084	283496	Kath's Mother
541085	154554	Herself - victim in Punta Gor
541086	188371	Manley and Austin variety ac)
541087	143636	Susan
541088	271363	Social Worker
541089	215691	Miss Nebraska USA
541091	309172	Madoka Mido
541091	323889	Celsius/Fairess
541091	326654	Carolyn
541091	390900	Hikari
541091	392430	Sumire Amagasaki
541091	405982	Madoka Mido
541092	39699	Accordion player
541093	20625	Extra
541094	133402	Girl Greaser
541094	144964	Contestant
541094	289964	The Lantuch
541096	5881	Shirley #1
541096	106224	Michael's assistant
541096	129119	Marilyn
541096	129580	
541096	332496	Woman #4
541097	243476	Jane (segment "Roomates")
541098	39699	Yodeler
541099	121785	Mrs. Harper
541099	317314	Marianne
541100	276708	Big black man
541101	206840	Maria Archer
541102	223920	Marilyn Monroe
541102	347856	Debbie Sievers
541102	379831	Kimberly Corman #5 (1991)
541103	16646	Dancer
541104	890	Ginny Hightower
541105	7099	Nurse #1
541105	14131	Friend
541105	330177	Teenage girl
541105	391131	Chelsea Danvers
541106	80660	Topless Waitress
541107	195956	
541108	114192	Mother
541109	77578	Dancer #5
541109	102581	Parents
541110	215141	Laure
541111	7987	
541111	46169	Mrs. Morrison
541111	68786	Distellery secretary
541111	200052	Theresa
541111	348599	Teacher
541111	367886	Katy
541111	385307	Lizzie
541112	99558	
541112	106376	Cindy
541112	109631	Marybeth
541112	232126	Betty
541112	305784	Ms. Weston
541112	342651	Andrea Layton
541113	268865	Dime Bag
541113	335820	Callahan's wife
541114	56207	J.D. Jackson
541114	56262	Donna Bolen
541114	65118	Aba
541114	67573	Dr. Paula Hall
541114	108694	Allsion
541114	108942	Louise
541114	108959	Liz Parker
541114	114359	Mrs. Gideon
541114	128464	Karen/Bag Lady
541114	151196	Mrs. Paterson
541114	164840	Julie Jensen
541114	165097	Carson Warfield
541114	183357	Joan Taylor
541114	186131	Melody Gomphers
541114	186533	Anne
541114	188578	Kate
541114	190572	Mama Wheeler
541114	194865	Pierrepont Summers
541114	217534	Connie Frawley
541114	244665	Lena
541114	252123	Julie
541114	254994	Alice Cimino
541114	318776	Sandy Chester
541114	324237	Katherina
541114	358252	Joanie
541114	362690	Sally Ester
541114	363159	Joanna
541114	383768	Ceil Shannon
541114	387239	Farmer's Wife
541114	392130	Irene Lassiter
541114	395781	Helen Forbes
541114	398568	Lynette Parker Banks
541114	399423	Court Clerk Lana Wagner (1984
541114	402652	Carrie Welby
541115	26308	Nun
541115	47921	Jean Craig
541115	50975	Parent #1
541115	69917	Norma Meyers
541115	80381	Questioner
541115	80784	Mrs. Hall
541115	97192	Records Clerk
541115	160520	Additional Voices
541115	196320	Proper Lady
541115	221255	Office worker
541115	234218	Natural Mother
541115	252924	Irene
541115	340058	Mrs. Lang
541115	360355	Michael's Aunt
541115	360524	Bystander
541115	395819	Nun
541116	389416	Susan Lovell
541117	283501	Candice
541117	333270	
541118	326083	Sharon
541119	246222	Neighbor
541119	361611	
541120	11277	
541120	30122	Guest in Theater Lobby
541120	44501	Woman Shopper
541120	57919	Mrs. Phelps
541120	81576	Norma, Wedding Guest
541120	92190	Stella (posing as Ann Dodge)
541120	96861	Saleswoman
541120	108300	Louise Pickering
541120	109849	Mrs. Colton
541120	109862	Mrs. Sturgis
541120	117222	
541120	118236	Female party guest
541120	119490	Miss Firby
541120	120339	Sightseer
541120	121585	Mrs. West
541120	122656	Mrs. Smith
541120	122674	Miss Nolan
541120	130758	Mrs. Margaret Driscoll
541120	133673	Mrs. Workman
541120	142948	Mrs. Richards
541120	144764	Secretary
541120	158364	
541120	163443	Saleslady
541120	163961	English Lady
541120	167099	Saleswoman at Palm Springs Dr
541120	188547	Elderly Woman
541120	200472	Grace Phillips
541120	210393	
541120	215540	
541120	217478	Sarah Blake
541120	232225	Martha Wilson
541120	232285	Mrs. Rose
541120	234889	Woman on Street
541120	240569	Mother in silent movie
541120	255819	Lizette
541120	256899	Bit
541120	264445	
541120	297365	Landlady
541120	301991	Mrs. Austin (lady at Presiden
541120	305472	Juror
541120	308079	Bit
541120	311016	Jenny Hawks
541120	320787	Mary Tollington
541120	321390	
541120	329437	Kate Hillston
541120	329592	Governor's Wife
541120	331236	
541120	335329	Woman
541120	338225	Mrs. Thorn
541120	346900	Middle-Aged Woman
541120	356293	Part of a theater party
541120	364037	Agnes
541120	366422	Marcia
541120	366947	Congresswoman
541121	52312	
541122	257646	Miss May
541122	353699	Herself
541122	361862	Herself
541123	271625	Technician
541124	147753	Girl with an Attitude
541125	46242	T.B. Ward Sister
541126	44684	Minerva Sawyer
541126	302612	Trudy Hobby
541126	331538	
541126	337656	Clementine Van Sickle
541127	51051	Old Farley
541128	119412	Herself (Freddie Mercury's Lo
541129	20845	June Callwood
541129	40543	Brenda Gillis
541129	129401	TV Reporter #1
541129	141226	Sara
541129	141577	Welfare Worker
541129	148460	Miss Wanda
541129	206373	
541129	224158	
541129	235353	Female FBI Agent
541129	255894	Jill Turner
541129	257196	Jury foreman
541129	277150	Tina - Bistro Woman
541129	335721	Lorrie Kline
541129	367638	Maggie
541130	58666	June Scobee
541131	11410	Care Worker
541131	252840	Frances
541131	292208	Nurse
541131	292779	Dionne
541131	379872	Poppy Jonston
541131	382052	PC Yvonne Hemmingway (2003-)
541131	383363	Trish (The Wife of Bath)
541131	387247	Registrar (2001)
541131	395164	WPC Cheryl (2003)
541132	231391	Girl in Aerobics Class
541133	300747	Angel
541134	148255	Woman on Airport Phone
541135	308542	Mrs. Shlomo
541136	53960	Phone Booth Lady
541136	372417	Nancy
541137	6907	Wife in Bed
541137	65679	Girl in Pool
541137	70407	Stripper
541137	83143	Giggly Girl
541137	235510	At the West Side Health Club
541137	236952	Sylvie
541137	240761	Empress Messalina
541137	253248	Coral
541137	269351	Teresa
541137	290346	Tania
541137	292856	The Flicker Flashback Girl
541137	295998	Mrs. Doyle, Libra
541137	348358	Naked Woman
541137	350160	'Playboy' Bunny
541137	368416	Alice
541138	16646	Darla
541138	83643	Angela Rose
541139	92618	Wedding Party
541140	8147	Pierrot
541140	41809	Selena (Sandy) Emerson (H.S. 
541140	59366	Teenage Girl
541140	67564	Jennifer Williamson
541140	93594	Singer
541140	105420	Betsy Potter
541140	149394	Billy-Joe Henley
541140	178098	Trevor's mum
541140	178204	Selena Tatum
541140	253127	Pauline
541140	281132	Agnes
541141	18983	Herself
541141	157464	Herself
541141	163673	Herself
541141	164587	Herself (Gospel Singer at Pea
541141	175544	Herself
541141	241795	Back-up Singer
541141	269922	Herself
541141	341459	Millie (Tucker's cook)
541141	367054	The Wiz Singers Children's Ch
541142	73962	Mrs. Spriggs
541143	87427	
541143	171086	
541143	178320	
541144	26144	Elinor Downing, War Refugee
541144	228314	Schoolgirl
541144	323883	Susan
541145	298285	Karen
541146	405209	Kathy (1997)
541147	175788	
541148	338302	Madame Dufrene/alias of the R
541149	302235	D.C. Teacher
541150	190171	Traveler
541151	35532	
541152	28866	
541152	234842	
541152	342550	
541152	353315	
541152	361360	
541153	372134	Party Woman #1
541154	13855	Greta
541154	69631	Ann Wilson/Tracy Lee
541154	78102	Dominique
541154	78877	Lady Diamond
541154	108042	Sandralee Dawson
541154	123789	Mary Anne
541154	168733	Paula Westridge
541154	207910	Beth
541154	271340	Karen
541154	276168	Laura
541154	295625	
541154	328253	Lylah Crane
541154	354673	Lauren Lehman
541154	381537	Jane
541154	384961	Trish Vaughn
541154	394676	Jill Bennett (1985-1989)
541154	404419	Various Characters (1991-1992
541154	408138	Co-Host (later seasons)
541155	141412	Cashier at Auction
541156	66390	
541156	106219	Party Girl #2
541156	230933	Girlfriend
541156	302121	Commune member
541157	66761	Tracy
541157	154342	
541157	321013	
541158	42346	
541159	24957	Pat
541160	4704	
541160	353420	Bonnie
541161	190461	Lester's Mom
541161	194666	Rehab Leader
541162	347982	Herself (sculptress)
541163	7094	Beth Andrews
541163	44503	Toni Bradley
541163	44684	Dale Starr
541163	66373	Handmaiden
541163	84195	Phyllis
541163	113907	Divorcee
541163	131005	Dancer
541163	144450	Phyllis
541163	148927	Rosita
541163	183358	Bit Role
541163	196294	Party Guest
541163	204174	
541163	210718	Nancy Sinclair
541163	210751	Linda
541163	218715	Grace Towers
541163	218782	Brenda Allenby
541163	231854	Eleanor
541163	254708	Lorena Blendon Simms
541163	254709	Laurian March
541163	297919	Maybelle Clark
541163	302586	Ann
541163	314433	Millie Lynne
541163	322607	Genevieve
541163	339659	Ann Catlett
541163	342502	Sally Barton
541163	347983	Herself (leg model)
541163	370555	Pianist
541164	186632	Miranda Webb
541165	202272	Princess of Sorrow
541166	357952	
541167	246592	
541167	403199	Maria do Carmo
541168	11034	Hostess #1
541168	15412	Lyn
541168	15419	Seling, Pedring's Mother
541168	15422	
541168	17752	
541168	23405	
541168	26014	
541168	27681	Fatima
541168	48261	Monica Real
541168	49321	
541168	53203	
541168	57713	Bubble
541168	72112	
541168	103446	
541168	115740	
541168	119108	
541168	124243	
541168	132069	
541168	145618	
541168	149935	
541168	162587	
541168	164866	Cristy
541168	174886	
541168	200508	
541168	204602	Linda Go-dela Merced
541168	204604	
541168	207097	
541168	211041	
541168	222472	Luz
541168	222861	Susan
541168	227409	
541168	227730	
541168	229793	
541168	246501	
541168	246938	
541168	284634	
541168	302791	
541168	318394	
541168	340355	
541168	357561	
541168	385582	
541168	398996	Elsa
541168	400738	Lourdes Magbanua Buenavista
541169	187263	Young Viane
541170	321978	Kind im Autobus
541171	25749	Sakaki
541171	48490	Priss
541171	68738	Additional Voices
541171	68739	White Compiler/Additional Voi
541171	123029	Princess Mirage
541171	183613	Lady Death/Hope
541171	209804	Dump (ADV 2004 Dub)
541171	262013	Alice Knox
541171	285831	East Sanbutsushin
541171	379014	Karen Jordan
541171	379521	Jun Gotokuji/Blood Falcon
541171	380900	Marvel Frozen
541171	381025	Sakaki
541171	382908	Priss S. Asagiri (English Dub
541171	388022	Purin, Mother
541171	389503	Female Doctor
541171	389778	Empress, Symbol Pilot
541171	394421	Kumi's Mother, Queen
541171	394431	Shuko
541171	394997	Kichijoji
541171	396548	Azalie, Mother (ep. 8)
541171	398924	Tour Guide, Ashi, Mika Chinat
541171	399784	Belladonna, Additional Voices
541171	402175	Shino Hayakawa
541171	402790	Elvy Hadhiyat
541171	404127	Marin
541172	256823	Library Clerk
541174	372965	Mari
541175	253075	
541175	302115	
541176	3482	
541176	24140	Bit
541176	52784	
541176	69986	Martina
541176	90719	
541176	119366	Una ammiratrice del pianista
541176	124201	Geltrude Corbetti
541176	199921	La prima maestra
541176	205212	
541176	254041	
541176	328210	Giuseppina
541177	68815	
541178	2333	
541178	69469	The Student Nabokov
541178	228202	La patiente de Catherine
541179	254154	
541180	75504	Maria
541180	115127	Roget's Date
541180	297776	Chrissie
541180	406952	Dr. Luisa Estrada (10/1998-2/
541181	94317	Nurse
541182	240428	
541183	401970	Sara De Vito
541183	409093	Cinzia
541183	409936	Francesca Ghiglione
541184	17616	Farmwoman
541184	177898	Woman in stairway
541184	180444	Väkeä seuroissa
541184	181560	Wedding guest
541184	181652	
541184	182213	Farmwoman
541184	184796	Woman in a waiting room
541184	233244	Loviisa's guest
541184	236717	kirkkokansaa/väkeä Karrin tuv
541184	239154	Karelian woman at the school
541184	251938	Sunkreenska
541184	251941	Aunt Matilda
541184	251945	Aunt Amalia
541184	349738	Ironing woman
541185	198263	Anja Lehtinen
541186	400690	Tyttö
541187	188683	
541188	306950	Prostituée blonde
541189	165737	
541190	183426	Stringy Dancer
541192	24734	Julie
541193	8611	
541194	38084	
541195	338037	Silvia
541196	187259	Emma
541197	187259	
541198	347856	Mysterious Woman
541198	379831	Reoccuring (1991-92)
541199	115566	Betty Rubble
541199	115569	Betty Rubble/Nurse/Turtle #1
541199	115570	Betty Rubble
541199	119398	Betty Rubble
541199	366010	Betty Rubble/Traffic Cop
541199	389295	Betty Rubble
541199	389296	Betty Rubble
541199	393482	Additional Voices
541199	399239	Betty Rubble
541200	24711	
541200	32467	
541200	34739	
541200	34740	
541200	34762	
541200	34945	
541200	44651	
541200	44652	
541200	44653	
541200	44654	
541200	47211	
541200	59901	Herself
541200	62431	
541200	116837	
541200	118292	
541200	191201	
541200	196880	
541200	273281	
541200	291003	
541200	291022	
541200	312700	
541200	344473	
541200	367856	Herself (Carey's Sister)
541201	62948	
541202	29669	Bald handmaiden at Sogovian c
541203	16546	
541203	102619	
541203	270333	
541203	309964	Lady Professor
541203	354447	
541204	409168	Herself - Weather Forecaster
541205	126619	Extra Talent (segment "Gett O
541206	15079	
541207	397746	Herself
541208	152357	Waitress
541209	37068	Old lady
541209	213967	Villager
541209	323531	Annika's grandmother
541209	326998	
541209	397537	Mummo
541209	407885	
541210	69177	Herself
541210	104767	Swiss entry (15th place)
541211	335393	Herself - Singer/Musician (ha
541212	247606	Mme Branchu
541213	127992	
541214	55125	
541215	371585	
541216	52595	
541217	29876	Becky Mittford
541218	71835	
541219	376892	
541220	376892	Jeanne
541221	55815	Katia
541222	342286	
541222	394828	Stefanie
541223	210928	Gayane
541223	371279	Anahit
541224	29150	Herself
541225	124026	Gilbert's Mom
541225	188388	Tortuously Intricate Lawyer
541225	266191	Bernice Gibson
541226	6734	Lucia
541226	41043	
541226	41737	Mistress
541226	147872	
541226	158527	
541226	197784	
541226	232378	
541226	310672	
541227	361864	Marching Girl
541228	91920	Carla
541229	383444	
541229	398482	Milagrito
541230	165156	
541231	252506	
541232	57747	Inmate
541233	292748	
541234	116590	Rukhsana Khan
541235	380081	
541235	381198	Ritinha
541235	382676	Lourdes
541235	383247	Julinha
541235	384137	Yvete
541235	396718	Zuzu
541235	398040	
541235	400670	Delfina
541235	402371	Teca
541235	410054	Aline
541235	410096	Mariana
541235	411585	Eugênia
541236	23623	
541236	278163	
541237	375823	Didi
541239	114095	Protestor #2
541239	358114	American Dream Singer
541239	358642	Rhonda
541240	104974	Janice
541240	165998	Seetha
541241	52248	
541241	159065	Dil's step sister
541241	288242	Bar Dancer
541242	267174	Audience Participants and Hec
541243	153859	
541244	284183	
541245	88095	Herself, the last film censor
541246	265554	
541247	220608	Signora col cagnolino
541248	109610	Candy
541249	244037	
541249	379232	
541249	380559	Xinou
541249	383991	
541249	387571	
541249	393051	
541249	410360	
541250	181102	
541251	50500	Sister Kislih
541251	92087	
541251	179110	Tajnica na posti
541251	188257	
541251	188467	Cveta
541251	192900	Sestra Cecilija
541251	192902	Polonca
541251	227827	
541251	253745	
541251	258587	Jozi
541251	258782	
541251	263256	Milena
541251	273090	
541251	304890	
541251	315848	
541251	344046	Professor Erotika
541252	23125	
541252	163993	
541252	378240	Nazan
541253	328630	Novotny's Sister
541254	5701	
541254	8343	
541254	8348	
541254	12643	
541254	12647	
541254	19647	
541254	21411	
541254	22034	
541254	23126	
541254	25622	
541254	25686	
541254	26049	The dancer
541254	27420	
541254	27624	
541254	28836	
541254	29587	
541254	31519	
541254	33232	
541254	34504	
541254	38432	
541254	50821	
541254	51351	
541254	53293	
541254	53618	
541254	56668	
541254	56669	
541254	63800	
541254	63973	
541254	96434	
541254	96436	
541254	96467	
541254	97179	
541254	98677	
541254	102534	
541254	102537	
541254	105476	
541254	112782	
541254	114334	
541254	118105	
541254	121699	
541254	123004	
541254	125934	
541254	130559	
541254	136756	
541254	136768	
541254	136784	
541254	139875	
541254	140015	
541254	153974	
541254	156209	
541254	163104	
541254	171988	
541254	172186	
541254	172659	
541254	172973	
541254	173203	
541254	173212	
541254	173429	
541254	173757	
541254	173758	
541254	173970	
541254	174659	
541254	174662	
541254	174836	
541254	175443	
541254	175853	
541254	176699	Kilink's Lover
541254	176700	
541254	176701	Kilink's lover
541254	178403	Suzi
541254	179655	
541254	180321	
541254	180689	
541254	182093	
541254	182099	
541254	200669	
541254	200795	
541254	202455	
541254	207202	
541254	207203	
541254	212319	
541254	214280	
541254	221514	
541254	229060	
541254	233034	
541254	240335	
541254	244022	
541254	249229	
541254	285254	
541254	287060	
541254	288266	
541254	288267	
541254	288295	
541254	293432	
541254	293665	
541254	295493	
541254	295531	
541254	301481	
541254	302741	Melahat/Suzan
541254	303579	
541254	307029	
541254	307034	
541254	325353	
541254	327362	
541254	341874	
541254	370337	Hüsniye
541254	370773	
541254	370794	
541254	370795	
541254	371557	
541254	373815	
541254	374335	
541254	375853	
541254	377551	
541254	378202	
541254	378225	
541254	378228	
541254	378570	
541254	378601	
541255	44816	Gypsy
541256	402344	
541257	82812	Beauty
541258	43214	
541258	44389	Marina
541258	255779	
541258	341194	Singing Voice of Lyubasha
541258	371427	Olga Larina
541259	310241	
541260	404305	Vanja Gazivoda
541261	164897	
541262	164897	
541263	249478	Milja
541264	152445	
541264	268007	
541264	319967	Hildegard
541264	334995	
541264	343470	Evelin
541264	397264	Eva
541265	172440	Herself
541266	80782	Restaurant Extra
541266	87896	Mourner #6
541267	44712	Elsie Reynolds
541267	81784	Lillian Romberg
541267	144759	Miss Spalding
541267	167558	
541267	196084	Mrs. Kiner
541267	381995	Diane Walker (1955-1956)
541268	219593	
541269	28589	Isaltina
541269	109948	Old Woman
541269	248757	Retornada
541269	283982	Mother
541269	336926	Júlia
541269	379897	Rosa
541269	390489	Helena Ribeiro
541269	393714	Gloria
541269	398881	
541269	402637	Edite
541270	389153	
541271	392792	Prostitute
541272	193172	Cotovia
541273	25742	
541273	52036	
541273	70093	
541273	121960	
541273	174743	Solita
541273	197159	Voz Tía
541273	214256	Older Angela
541273	214694	Lupita
541273	225569	
541273	236035	
541273	251729	Justina Díaz
541273	276479	Coatlicue 1
541273	281295	
541273	291620	
541273	301386	
541273	307624	Abuelita
541273	327016	
541273	339086	Leobarda
541273	340655	
541273	356671	Beata
541273	379820	Nana Chayo
541273	380445	
541273	380842	Epitacia
541273	381024	Directora
541273	381650	Veneranda
541273	384139	
541273	384390	Catalina
541273	384986	Ana
541273	384987	
541273	385988	
541273	386077	Mamá Dolores
541273	386288	
541273	387623	Chuy
541273	389429	
541273	391523	
541273	393935	
541273	395839	
541273	396600	
541273	396713	Doña Catalina 'Cata' Sosa
541273	396854	
541273	397869	
541273	398455	
541273	398801	Serafina
541273	403048	
541273	403365	Morena
541273	403741	
541273	405834	Dominga
541273	406859	
541273	412180	
541273	412271	
541274	284800	Maite
541275	145137	
541276	18272	Ismène
541276	23782	Isabelle
541276	53575	
541276	201180	Herself - from 'Il faut qu'un
541276	215266	Arsinoé
541276	238483	Hortense Bertoullet
541277	385177	Kirsty
541278	38502	Teri
541279	32241	Club Patron
541280	121578	Herself
541280	147715	Herself
541280	157437	Herself
541281	182368	
541282	292587	Viva Cortese
541283	313334	Bus ride to Los Angeles
541284	398186	Sarah
541285	249812	
541286	2992	Virginia as a Girl
541286	14869	
541286	26693	La piccola Lidia
541286	90730	
541286	101472	Emily Russo
541286	109804	Luisa Barsanti
541286	112679	
541286	208100	
541286	219563	
541286	234556	Polly
541286	254621	Schoolgirl
541286	344569	
541287	349137	Hoitaja
541288	61141	
541289	66086	Kerstin Riemer
541289	281660	Simone
541289	290481	Uschi als Teenager (extended 
541290	54785	
541290	199820	Giustina Rossi
541291	60675	Frieda
541291	92641	Frau Hechler
541291	254364	Dicke Nonne
541292	39778	
541292	72053	Mme Fontaine
541292	125159	
541292	161985	Mme. Placet
541292	238848	Clothilde Viret
541292	269141	(segment "72 ans-Angèle")
541292	405529	Justine
541293	213722	
541294	331467	Police Officer
541294	333602	Lillian Bestaway
541294	389669	Host
541295	125664	
541296	103492	
541297	69781	
541297	135283	
541297	213767	
541297	301166	
541297	384655	Generosa
541297	387090	
541297	397009	Tía Eduviges
541297	397736	
541297	398481	Alejandra
541297	399084	Cleotilde
541297	401696	Magda
541297	405316	
541298	21583	Curiosa calle
541299	234906	
541299	284889	
541299	371782	
541299	380265	
541299	380954	
541299	387274	
541299	392950	
541299	395859	
541299	397017	
541299	397201	
541299	405316	
541300	22672	
541300	30396	
541300	51720	
541300	235311	
541300	255547	
541301	210276	
541302	71835	
541303	119629	Andrea
541304	16943	Baseball Fan
541306	220961	Women #3
541308	360796	Kelly
541310	288424	
541311	390401	Mila Rutkevich
541312	182956	Paula
541313	234499	Prostitute
541314	368666	Restaurant Bartender
541315	322779	Lori's Friend
541316	191252	Jemmy's Wife
541317	82495	
541318	333503	Mrs. Wilkins
541319	109857	Shower Guest
541320	131227	Debbie Sanborn
541320	219184	Linda
541322	349909	J.D.
541323	132074	
541324	379914	Herself - Host
541324	380530	Aileen
541325	214508	Young Nikki
541326	30582	Beers Cheerleader
541327	64098	Gabriella
541327	114095	Linda Patterson
541327	309550	Stacie Fergurson
541328	124115	Person in Bar
541329	27263	Gallery Bartender
541329	160023	
541329	202322	Hannah
541329	275996	Gym Receptionist
541329	303860	Krista
541329	360760	Deborah
541330	133443	Bit
541330	263601	Nightclub Singer: "Always"
541330	329480	Model
541330	330167	Mildred
541331	407369	Cop B, Policeman B, High Scho
541332	81162	Kay
541333	78780	Young Katherine
541333	183599	Julia Hammond
541333	330377	Natalie
541333	359533	Eve
541333	403373	Sacha
541334	192000	First Tart
541335	348374	Girl in Street
541336	171076	Perturbed Mother
541337	37189	Student
541337	232294	Student
541338	292175	Prostitute
541339	326155	Iris' Friend
541340	329549	
541341	129772	Jean
541342	318864	Rosalind
541343	342593	Bass Player
541344	330380	Lucy
541345	311037	Cop
541346	382304	Tickety Tock
541347	147601	Sarah
541348	304929	Buyer
541349	197243	
541349	197260	
541350	234851	
541351	213964	Verona
541352	42031	Hattie Cale
541352	67040	Herself
541352	67395	Shug Avery
541352	67396	Herself
541352	70393	Lark
541352	75806	Doc Edford
541352	114381	Toby Millman
541352	117284	Dottie
541352	141568	Roxie Turpin
541352	142424	Sister Jennifer
541352	164619	Martha
541352	185901	Heather LeLache
541352	190570	Dr. Sierheed
541352	195140	Alma Rae
541352	195788	Moon
541352	200525	Prostitute
541352	232282	Miss Sadie
541352	266623	Nurse
541352	276731	Francine
541352	279196	Bell Coleman
541352	291092	Belle Joplin
541352	292250	Insurance Agent
541352	295082	Olivia Dubois
541352	302783	Grace Williams
541352	304295	Rosemary
541352	308057	Irene
541352	358292	Pearline Loggins
541352	363528	Annie Mae
541352	363913	Megan Thomas
541352	364939	Mary McMillian
541352	379016	Nurse Sawyer
541353	96958	Critic at Fashion Show
541354	33748	Teacher
541355	331799	Tamara's Friend/Beach Babe
541356	70422	Big Daddy
541357	10325	Muriel
541357	17764	Enid
541357	190458	Dorothy Graff
541357	231981	Maid
541358	7868	Pat
541359	15943	
541359	34968	Maggie Henderson
541359	185147	Nurse
541359	199475	White Woman #1
541359	269295	Marjorie, Gossamer World segm
541359	282927	Tracy McAuliffe
541359	292457	Owl Lady
541359	384433	Ann Shelby (1960-1962)
541359	389913	Alice (1958-1959)
541359	397325	Peggy McNulty (1953-54)
541359	398398	Girls' Vice Principal Ruth Wi
541360	184959	Mrs. Radcliffe
541362	227549	LaFawnduh
541362	339937	Amazon Woman
541362	390115	Herself
541362	400253	Candy (2002-????)
541363	171485	Large Woman on Plane
541364	163362	
541365	170411	Coffee bar person
541365	403273	Lucy
541366	357208	
541367	365094	Factory Worker/Wife
541368	35930	
541369	14918	
541369	53895	Assunta
541369	77066	
541369	82721	
541369	86870	
541369	197569	
541369	200510	
541369	217872	
541370	356420	
541371	21842	
541371	127658	Nato
541371	154540	
541371	410403	
541372	205350	Neighbour
541372	259002	
541372	326287	Vartuhi
541372	357217	
541372	374717	Margarit
541373	5225	
541374	266519	
541375	188510	Highway Patrolman #2
541376	242929	Commissioner's secretary
541377	7367	
541378	380971	Herself (12th Banished, 40 da
541379	120258	Herself
541379	188030	Lovely Lady
541379	232357	Mellissa Rickman
541379	367232	
541379	368254	Marge
541380	263741	Baboon player 2
541382	255797	
541383	11946	Spanish Woman
541383	17474	Joan
541383	44511	Mrs. Diaz
541383	45044	Mother of PCP Kid
541383	80397	Corner Bar Hooker
541383	96910	Vincent's Mother
541383	147914	Marsha
541383	155888	Prayer Group (segment "1996")
541383	159959	Lab technician
541383	187147	Aunt Alma
541383	189233	Lupe
541383	195843	Dr. Cathy
541383	297189	Mrs. Underhill
541383	305087	Doctor
541383	355670	Non-Clown Nurse
541383	363247	Candy
541383	407580	Maria
541383	412072	Maria
541384	47144	Mrs. DeLama
541384	78107	Mrs. Sanchero
541384	120615	Mrs. Mira
541384	159874	Pepper
541384	208054	Blanche Orella
541384	222595	Jane Torres
541384	232164	Rita Torres
541384	233567	Hispanic Nurse
541384	293011	Mattie
541384	382538	Arrow Woman
541385	28485	Maria
541386	73944	Kiki
541386	314746	Girlfriend
541387	324646	Young Mia
541388	253820	Gwen
541389	82681	Mother
541390	368725	Amber
541391	28055	Marites
541391	39040	Lorraine
541391	115740	
541391	146966	
541391	167059	
541391	181085	
541391	196846	
541391	198719	
541391	207126	
541391	222198	
541391	246556	
541391	307719	
541391	311541	
541391	325358	
541391	380345	(1998-99)
541391	388282	
541392	133724	Rosario Calderon
541394	135385	Opening Voice
541395	41124	Patricia
541395	58483	Isa
541395	83901	Zamira
541395	102233	Anna Gutierrez
541395	164983	Pizza Girl
541395	196580	Latina Girlfriend
541395	212524	Sad Girl
541395	291054	Nadia
541395	307983	Taxi Dancer
541395	314962	Hotel Maid
541396	367951	Herself
541398	385023	
541399	188453	Michelle's Mother
541400	80257	
541401	189301	Miliciana #10
541401	276404	Secretaria
541402	233626	
541403	34565	
541403	74830	Gladys Maux
541403	400791	Lorena
541403	404987	
541403	408848	
541404	84015	
541404	105886	
541405	309347	
541406	129566	Aleqasina
541407	305358	Laurie
541408	198003	
541409	292213	Angela
541410	139651	
541411	293164	Carlitos' Mother
541412	48552	La Favorita
541412	189258	Sisina/2.Amica di Italia/Tabu
541412	352861	(segment "Stirpe di Ivana, La
541413	174999	Herself
541413	175002	Herself
541413	175005	Herself
541413	175009	Herself
541413	187696	
541413	384364	Dafna Sharon
541413	395073	Levana
541413	398030	Herself
541414	269421	Tour Guide
541415	7959	Conquina
541415	8652	Tali Shalev
541415	17213	Fatima
541415	19561	Scheherezade
541415	80502	Thel Russell
541415	100887	Featured Performer
541415	134697	
541415	152572	Young Iris
541415	161739	Theresa Barnes
541415	178207	Samantha Andrews
541415	209103	Miri Greenberg
541415	214764	Thea
541415	259360	Sofie
541415	263255	Emily Tylk
541415	313601	Sha'uri
541415	348505	Devorah Baron
541415	362753	Vanessa
541415	372555	Erin
541416	2161	Female Streetwalker
541416	297189	Darby Owens
541416	330786	Anne
541416	364351	Regina
541417	141748	Herself
541417	175004	Herself
541418	303022	Margalit
541418	306955	Etty Buchbut
541419	123696	Bank Customer
541420	2979	
541420	137719	
541420	139564	
541420	189863	Herself
541420	208138	
541420	215387	
541420	249745	
541420	279460	Student Getting Mail
541420	391279	Hedva
541421	24790	Elka
541421	187697	Young Franki
541421	206405	
541421	238682	Young Dorine Douglas
541422	84962	Dorrie
541423	260927	
541424	350311	Granddaughter of Osman
541425	23052	
541426	169975	Ecatarina Lazaride
541427	330204	Herself (rescuer, Poland)
541428	284815	Mrs. Ramsey
541429	25314	
541430	15209	Nelly, une serveuse
541430	68412	La coiffeuse
541430	71828	
541430	88842	La prostituée
541430	112837	Princesse
541430	116992	
541430	132838	Sarah
541430	148771	
541430	161992	Yvonne
541430	235705	Milly
541430	248895	
541430	269225	Une folle
541430	288893	Noémie
541430	294808	Clémentine, la petite voisine
541430	303481	Nelly, une journaliste
541430	328406	Aline
541430	346667	Anna
541430	375077	Mona
541430	387039	Cécile
541430	388159	Palmyre
541430	400698	Mlle Zézétte/La femme au nom 
541431	72973	Gertrude
541432	387219	Herself/Host ('E=M6 Découvert
541433	90056	Magali
541433	345548	Amélie
541433	370059	Directrice de l'A.N.P.E.
541434	240607	Madeleine Pichart
541434	302937	Leona
541434	322351	Artemise
541434	345268	Artémise
541435	257264	Earring customer
541436	213577	Presumed Chorister
541437	115432	Girl
541437	222690	Betty Heraldo
541437	333375	Sarah
541438	143636	Cath
541439	56929	Altra Pariola
541440	93159	Haganah Officer
541441	60084	Pregnant Woman
541442	12125	
541443	215520	Noa
541444	395852	(season 3)
541445	28237	Mireille
541445	255691	La gentille Prostituée
541445	357042	La mère de Maxime
541446	202685	Stéphanie
541447	205929	La serveuse
541448	289162	Hamzina majka
541449	282724	
541450	40148	Leanne
541451	284494	
541452	325976	Sales Clerk, Bookstore
541453	134288	Young Woman
541454	30598	Tziganka
541454	376228	
541454	391995	
541455	28408	Klara
541455	91438	Drugarica Marija ... ministar
541455	99019	
541455	207240	Klara
541455	229567	
541455	235001	
541455	258802	
541455	261255	Majka
541455	265805	Ranka
541455	272559	Vera
541455	302189	Gospodja
541455	351032	
541455	355996	
541455	385589	Fanny
541455	387748	
541456	110155	Victoire
541456	245555	
541457	174909	
541458	80050	Julie Simms
541459	206513	
541460	273689	Lisette
541460	345132	
541461	132975	
541462	107510	Marylin
541463	94148	
541463	111028	Young Woman
541463	326130	
541463	340161	
541464	26683	
541464	85978	Gisa
541464	158759	Rosalie
541464	278953	
541465	21280	Marie, une amie
541466	212439	
541467	8831	
541467	47887	The Bat's Sweetheart
541467	49852	
541467	63515	
541467	117039	Miss Leslie
541467	117239	
541467	123192	Mrs. James Bryan
541467	218245	
541467	231641	
541467	241838	Vivian
541467	263510	
541467	279579	Rob Roy's Wife
541467	309548	Lila Fenton
541467	316929	
541467	342565	
541467	367084	Pearl
541468	253035	
541469	44982	
541469	57535	
541469	378011	Vocal
541470	34060	
541470	34320	Dilber
541470	156210	Leman
541470	221849	
541470	229395	
541470	248648	
541470	286104	Nora
541470	347074	Baron (Turkish dub)
541470	371348	Elif
541470	373798	
541470	387200	Queen Gorg
541470	412121	Zümrüt Karahan
541471	764	
541471	1283	
541471	30036	
541471	34843	
541471	36770	
541471	81865	
541471	93990	
541471	117302	
541471	128156	
541471	136458	
541471	145503	
541471	178321	
541471	349389	
541472	391783	Mo Jingjing
541473	9716	Alia
541473	34518	Herself
541474	167894	
541475	5394	
541475	18689	Yoshie
541475	21334	Nanae
541475	32331	
541475	43064	Ofusa
541475	46869	Kimiko
541475	50776	
541475	62097	
541475	63542	Otoki, Hanbei's wife
541475	76875	
541475	76907	
541475	77904	
541475	136090	Yoshiko Kosaka
541475	137120	
541475	138050	Ogin
541475	142173	Otomaru
541475	149034	Mrs. Yang
541475	149097	
541475	153866	
541475	153867	
541475	156158	
541475	161685	Katsuko Doi
541475	171627	Keiko Nomi, prisoner
541475	174339	Kaneko Sugimura
541475	175715	
541475	176573	
541475	176574	
541475	176575	
541475	176576	
541475	176578	
541475	176585	
541475	176586	Fujiko Banno
541475	176588	
541475	176590	
541475	176591	Okiku
541475	176609	
541475	181485	
541475	181991	
541475	181992	
541475	194068	
541475	200545	Midori
541475	216222	
541475	232563	Wakamaru, a geisha
541475	233112	
541475	234903	Harumi Namaki, showgirl
541475	237662	
541475	242128	Yuri
541475	242184	Miss Misawa
541475	242200	
541475	243992	
541475	244494	Ikuko Takamura
541475	244528	Etsuko
541475	244541	
541475	246201	
541475	263361	Aoi Morishita
541475	281576	
541475	287530	
541475	288192	
541475	296631	Madame Mieko
541475	296633	
541475	296637	
541475	296642	
541475	298969	Ofumi
541475	299346	
541475	324197	Nami
541475	324363	Fuji
541475	326253	Kimiko
541475	328007	
541475	334823	
541475	334938	
541475	358399	
541475	359828	Eiko
541475	370300	
541475	370724	
541475	372034	Omaki
541475	375603	Madame Mieko
541475	375608	
541475	375610	
541475	375613	
541475	375631	
541475	378156	
541476	310485	Sharon
541477	186647	Empress Halitotia
541477	354203	Meg
541478	374113	Osaki/Tatekichi's lover
541479	18578	Oei
541479	28129	Aya Tamura
541479	62097	
541479	63541	
541479	76875	
541479	88754	Umeko the Madam
541479	97637	
541479	137120	
541479	138060	
541479	149094	Omachi
541479	150512	Otose
541479	156240	Herself
541479	160099	Asako
541479	163973	Yae
541479	168060	
541479	172042	
541479	174242	Chidori, Hajime's fiancee
541479	174881	
541479	176224	Oaki Murata
541479	176572	
541479	176573	
541479	176574	
541479	176575	
541479	176576	
541479	176577	
541479	176578	
541479	176579	
541479	176580	
541479	176581	
541479	176583	
541479	176584	
541479	176585	
541479	176587	
541479	176588	
541479	176589	
541479	176590	
541479	176591	Otsatsu
541479	176593	
541479	176594	
541479	176598	
541479	176607	
541479	176609	
541479	176617	Kakie Goi
541479	176627	Machiko Yoshida
541479	180050	
541479	182476	Tomoyama
541479	211214	
541479	216222	
541479	221845	Yoshiko Yoshioka
541479	227180	
541479	228373	Yayoi
541479	232513	
541479	232577	Otaka Inaba
541479	232916	Jin Tung Fu
541479	238101	Aya Amamiya
541479	238381	Hanae Hanamura
541479	242119	Nogami
541479	243314	
541479	298969	
541479	299291	Munakata's Wife
541479	309366	Masako Sugiyama
541479	328089	
541479	334960	Senko Oumi, Madam
541479	344293	
541479	373319	Norie Shima
541479	374465	Itsuko
541479	375634	
541479	375639	
541479	378130	Asaoka no tsubone
541479	378134	
541479	378152	Koharu, Sankichi's wife
541480	76976	
541480	130505	
541480	145441	Yumiko
541480	280595	
541480	298252	
541480	321517	Shio, Aki
541480	341267	
541480	343641	Yoko
541481	390338	Herself (2000-2001)
541482	383084	Crystal Sapolu
541483	309880	Lillie's 'niece'
541484	360927	
541485	342364	
541486	69399	
541487	376431	Joyce
541488	237261	Klara
541489	42216	Axet
541491	179290	Vieille paysanne russe
541491	214755	Reporter
541492	113228	La vieille dame
541493	84696	Madeleine
541493	88177	Television Interviewer
541493	278138	Flight Attendant
541493	345135	Madame Reynier
541493	410074	Marguerite
541494	141809	Hilkka
541494	184072	
541494	272246	Dancer
541494	328685	
541495	13292	Amateur
541495	32432	Nude Woman
541496	94337	Lærer Mortensen
541496	95000	Pia
541496	236253	Sygeplejersken
541496	304363	Fru Liisberg
541496	354739	Veronica
541497	32385	Receptionist
541497	42099	Rachel's Mother
541497	108461	Mary
541497	132431	Desirée's Mother
541497	172579	
541497	305658	Ms. Larsson
541497	308193	Iris
541497	322294	Florence
541497	381054	On-call medico
541497	390236	Mother at Kullen
541498	156324	Isabelle
541498	206677	
541499	84315	Couple in love
541499	200842	
541500	372967	Claes' admirer
541501	82088	The Woman
541501	149903	
541502	231088	Bel Air Matron
541503	11570	Amy
541504	46507	Marlene
541505	16907	
541505	65607	Jennifer
541505	66993	Dancer
541505	81640	
541505	231779	Double
541505	279323	Party Girl
541506	45867	Simulator technician
541506	66356	Waitress
541506	73574	Betty Briggs
541506	73744	Lois Hayes
541506	193956	
541506	219864	Terry
541506	280656	Bobby's Friend
541506	333375	Susie Fuller
541506	337379	
541507	126346	
541508	21375	Annika
541508	59596	Tess
541509	183314	Bibliotekar
541509	255699	Nina
541509	304393	Dame med barnevogn
541509	389956	
541509	397074	Omstillingsdame i Skjerns Mag
541510	320617	
541511	391435	Margaretha
541512	182576	Hanna
541513	122466	TV Reporter
541514	3767	Herself
541515	29556	Girl in Eliel's class
541516	20528	Fake Shemp
541517	295719	Marie
541517	405088	PO Barbara Hunter
541518	36391	
541518	45739	
541518	87284	
541518	97111	
541518	225664	
541518	263787	
541518	264181	
541518	333827	
541519	202522	Herself
541519	202524	Herself
541519	202526	Herself
541519	202527	Herself
541520	273278	Herself (Renaissance Lovers)
541521	2666	Von Papen's secretary
541521	52447	Telephone switchboard operato
541521	133807	Staring woman
541521	170157	Telephone Girl
541521	204563	Vincenta
541521	274217	Nina Petrovka
541522	147186	Bar Lady
541522	352262	
541523	140201	
541523	165124	
541523	170679	Mutter von Törless/Törless' m
541523	278573	Mäzenin
541524	21651	
541524	205813	
541525	407531	Gwen
541526	321474	Press Corps #1
541527	3145	Mrs. Dankworth
541527	353294	The B-Girls
541528	79957	Meta Thompson
541528	117616	Marie
541528	142359	Wan-o-mee
541528	285781	Guadulupe
541529	79690	Molly, Amos' daughter
541529	114893	Little George
541529	116733	Paula
541529	124100	
541529	128175	
541529	135708	Marie, as a child
541529	143026	Gretchen
541529	165909	Laurel Ammidon
541529	212102	Chorine
541529	239758	The Little Girl
541529	285029	Julie Duncan
541529	293161	
541529	309554	Girl
541529	311475	Brighton Maid
541529	360705	Frederica
541529	365079	
541530	211808	Marie-Odile
541530	219563	Eva
541530	234264	
541530	243381	Euridice
541530	252669	
541530	320322	Patty 'Pat' Hingle
541531	40907	Woman #1 trying to get Mr. Kj
541531	115401	Birgitta
541531	142214	Chris
541531	225331	Eva-Lotta Lisander
541531	321512	Student
541531	377435	Girl in the choire
541531	377437	Gun
541532	40907	Woman #2 trying to get Mr .Kj
541532	47836	
541532	78514	Girl in beauty contest
541532	109293	Görel
541532	115401	Marianne
541532	321512	Student
541532	377435	Girl in the choire
541533	176221	
541533	335894	
541534	322540	
541535	34123	Havfrue
541535	82340	
541535	322537	
541535	373486	
541536	390731	Hiroko Kotani
541537	331679	Sumi
541538	22053	
541539	64949	Une jeune passante
541539	327293	Rebecca
541540	173595	
541541	131215	Nadia
541541	284932	India
541542	294057	Kyôko
541543	303638	Sjimmie
541544	398213	Herself
541545	72766	Blanca
541546	236333	
541547	44432	Rudy's niece
541548	79049	Vampire
541549	36712	Carmen
541549	72504	Frida Kahlo
541549	96857	Jessica
541549	118020	Katie
541549	121858	Stacie
541549	274200	Corina-Hair Stylist
541550	197879	
541550	275017	
541550	324856	
541550	397553	
541551	409093	
541552	94738	
541554	351680	Jossy
541555	79495	Hot Chick
541555	216767	Rosarita
541555	235060	Wendy
541555	277232	Waitress #1
541556	31541	Doble Leticia
541557	12700	
541557	208565	Jahaira
541557	273239	Miriam
541557	314119	
541557	332629	Ninta Polglota
541558	221739	Monja
541559	355028	The Academy's Blessed 'Virgin
541560	153671	
541561	204218	SWAT Team Member
541562	310129	Chili Pepper
541563	379137	Herself - Contestant
541564	65011	Susana
541564	226498	Yessica
541564	355922	
541565	409922	Aminta
541566	140051	Margalit
541567	394259	Herself
541568	228342	Isabella
541569	77759	Jessie
541569	162763	Margarita
541569	165958	Elizabeth 'Liz' Purr
541569	174503	Patrice
541569	196117	Claire
541569	270933	Tracy Campbell
541569	275762	Samantha 'Sam' Parkes
541569	312092	Amy
541569	327307	Allison Fazio
541569	337814	Lisa Hoyt
541569	340225	Nina
541570	394078	
541570	395090	Areti #2
541571	63799	
541571	129127	
541572	18737	Constance Selden
541572	92526	Cynthia 'Cookie' Charles
541572	112070	Cholita
541572	152522	Mrs. Rose Sandoval
541572	228911	Kaaren De Relle
541572	276948	Juliette
541572	323881	Antonia
541572	372819	Susan Thayer
541573	19996	Bonnie
541574	113916	
541574	173973	
541574	296419	Fatma
541575	13623	
541575	165202	(segment "Justice")
541576	98429	Sachiko
541577	174952	Fusako Onada
541578	194780	Woman at bar
541579	34060	
541579	400890	
541580	174991	
541581	173781	
541581	229971	
541582	77759	Sophie
541583	136769	
541584	48433	
541585	224964	Maga Tilín
541585	387681	
541585	393805	Juana Manny
541585	403126	Sofía
541585	403262	Paulina
541586	360058	Young girl
541587	197508	Mailwoman
541588	73127	Cecil
541588	74014	Amy Metcalf
541588	80402	Annabelle
541588	82114	Gretchen
541588	89333	Susan
541588	91884	Teen Girl
541588	166471	Minxie Hayes
541588	190618	Herself
541588	217583	Tristen Geiger
541588	272858	Lidia
541588	304527	Tanner Jennings
541588	335053	Bridget
541588	402345	Lily Gallagher (1999)
541589	6698	
541589	25618	Ayse's aunt
541589	173863	
541589	180689	
541589	202456	
541589	210524	
541589	289163	Maria
541589	325007	
541589	325013	Queen of Vandals
541589	370701	
541590	258635	Secrétaire de Dandieu
541591	12543	
541591	19516	
541591	20183	
541591	25730	
541591	38462	
541591	38471	
541591	38637	
541591	39053	
541591	50065	
541591	82618	
541591	136684	
541591	136699	The nightclub girl
541591	140616	
541591	143723	
541591	173211	
541591	173787	
541591	176941	
541591	199990	
541591	325007	Aneta
541591	357559	
541591	370701	
541592	17402	
541592	38447	
541592	57802	
541592	125933	
541592	158802	
541592	295353	
541592	310058	
541592	370775	
541593	1101	
541593	12640	
541593	15316	
541593	15882	
541593	30522	
541593	34320	Zehra
541593	38445	
541593	53875	Türkan
541593	53876	
541593	58283	
541593	63980	
541593	76134	
541593	76767	
541593	124674	
541593	125934	
541593	136772	
541593	136785	
541593	139375	Ruhsan
541593	156204	
541593	163111	
541593	173575	
541593	174207	
541593	177836	
541593	181730	
541593	233034	
541593	236498	
541593	285246	Tegmen Aydan
541593	293409	Gönül
541593	293428	
541593	293431	
541593	294118	
541593	295532	
541593	301479	
541593	301481	
541593	308953	
541593	350998	
541593	370393	
541593	370656	
541593	370685	
541593	373377	
541593	375148	
541593	378175	
541593	378228	
541593	378601	
541593	397008	Hatice
541593	411705	Zeyno's mother
541593	412121	Nora German
541594	28042	
541595	192250	Nurse #2
541596	322827	
541597	356022	Reyhan
541597	356023	Ceyhan
541598	322544	Hotline Girl #1
541599	22074	
541599	89464	
541599	142786	
541599	323621	
541599	370909	Hüsniye
541599	373397	
541599	386039	Iraz
541600	109736	
541601	104340	Maid
541601	141453	Bathing Beauty
541601	162207	Helen Cheston
541601	185384	Red Sal
541601	209167	Nellie Clarke
541601	218477	
541601	282397	Marrat's Girl
541601	351753	Grace Winwood
541601	360547	Lily, the birthday girl
541602	88382	Madame Alevina
541603	238644	Ballett
541604	385538	Julie Martin
541605	273848	
541605	397204	Young Patricia
541605	399707	Alicia
541605	403048	
541606	345857	'Hitchcock Railway' dancer
541607	6262	Gwen
541607	29817	Betty
541607	39037	Vera Cox
541607	85050	Guide
541607	100193	Party Guest
541607	104338	Joel's Mother
541607	104371	Young Ruth
541607	124110	Faye
541607	154593	Passerby Girl 1
541607	166701	Amanda
541607	185201	Betty
541607	286464	Heather
541607	302256	Bendel's Sales Person
541607	322886	Jean
541607	358358	Merris
541608	318456	Nightclub dancer
541609	117657	Daisy
541609	136128	Lexi's Birthday Party Dancer
541609	148430	Ashley Look-Alike
541610	70286	
541611	401689	Angharad Davies
541612	334799	Dieter's Sister 2
541613	334799	Gossiping Old Lady 1
541614	117657	Madison
541614	221525	Chloe
541615	318456	Nightclub dancer
541616	333194	Lystra/Penny
541616	334274	Hostess
541616	338816	Brandy
541617	231771	Randi
541618	46121	The Girl
541619	308052	Reporter
541620	11535	Noel's friend
541621	334799	Dieter's Sister 1
541622	27234	Sally Downs
541622	231952	
541622	332278	Herself - stripper
541623	119888	Curtis
541624	293586	Hidemaro Hirose, Nikola Papul
541626	53059	Girl in bubble
541626	84523	SSC Chief
541627	131752	Kristen/Ellen
541628	7726	
541628	7727	
541628	7732	
541628	34310	
541628	35795	
541628	36882	Prostitute
541628	37200	
541628	37425	
541628	37426	
541628	39153	
541628	39207	
541628	39369	
541628	39488	
541628	39663	
541628	39998	
541628	45738	
541628	50153	
541628	53130	
541628	62486	
541628	97124	
541628	97125	
541628	97126	
541628	97127	
541628	131345	
541628	178142	
541628	197783	
541628	197787	
541628	221540	
541628	274137	
541628	323593	
541628	327780	
541628	331726	
541628	363786	
541629	64706	
541630	325131	
541631	104727	Herself
541632	117648	
541633	153045	Xilin Nayi
541634	389868	Lerato Modise (2000-2003)
541634	408071	Kwesi
541635	44083	Anthony Ford's Girlfriend
541636	178662	Mutter Akar
541637	69290	3 Year Old Connie
541637	235603	Porch Person
541637	305232	
541638	57413	
541638	371556	
541639	96493	
541639	177901	
541640	178125	Stan's Cleaning Lady
541641	42842	Emma
541641	67793	Matron at Ball
541641	71289	Herself
541641	104924	Gran Mere
541641	113720	Lola Aimes
541641	114075	Hattie
541641	194520	Lady in bar
541641	232812	Jewelry saleswoman
541641	302253	Zarita
541641	315599	Clara Wilkes
541641	333297	Marie
541641	334313	Hattie
541641	360745	Eunice
541641	385055	Carrie Hanks
541641	404002	Constance Small, R. N. (1980-
541642	81869	'Fresno' Kate Fallon
541643	45635	Kissing Couple (Pool Days)
541643	260139	Kissing Couple
541644	1923	Herself
541644	61673	Laurie Cannon
541644	68455	Letty
541644	109931	Business Woman
541644	185281	Mother
541644	203358	Mimi
541644	233546	
541644	272026	Mary Claire Clark
541644	299768	Daisy
541644	372372	Thanksgiving Guest
541644	378807	Michelle Dessler (2002-2004)
541644	379731	Philomena Cullen, M.D.
541644	400236	Rebecca Lewis (1993-1994)
541644	411176	Annie Jermaine
541645	104720	Herself
541646	222039	Carlo's mother
541647	228776	
541648	52625	
541649	169085	
541649	340227	Woman
541650	103630	Presentadora
541651	83858	
541652	20350	
541652	67841	Giulia
541652	75267	
541652	94646	Clara Fabbri
541652	193422	Lia
541652	295151	
541652	295152	
541652	316359	La Duchesa Di Settemonti
541652	327100	
541652	351512	Isabella
541653	1075	Security Guard Kim
541653	207238	Raelene
541654	404137	Erika
541655	221787	Mrs. Muggins
541655	331850	Mrs. Aylott
541656	128707	Convict
541657	249548	Whore
541658	31450	Barmaid
541659	100254	Violinista
541660	43982	
541660	125008	TV Reporter
541660	127727	Mujer Policia
541660	309961	Nieves
541660	377199	Girl with bubble-gum
541660	392388	
541661	61360	
541662	373874	Dancer #2
541663	25154	
541664	275087	
541665	6633	
541665	40316	La lavandiere Suzanne
541665	78403	Christine
541665	82580	Dame agence studio
541665	111043	Jeanne
541665	166156	Sarah
541665	225476	Helen
541665	225619	Jeanne
541665	258867	La Prof Nue
541665	264367	Françoise Chevrier
541665	278139	Catherine
541665	345284	Muriel
541665	349488	Odette Delaunay
541665	379846	Alexandra
541665	382471	
541665	389269	(segment "Le dernier mot")
541665	392911	Maria Alanis
541666	73831	Seductress
541667	62891	Waitress
541668	313898	Chiara
541669	222039	
541669	353606	
541670	169704	
541670	306981	
541671	7708	Léna
541671	50792	
541671	254864	Catherine
541671	266400	Jessica Wilson
541671	354582	Mathilde
541672	377536	
541673	133719	Gabriel Angel
541673	134112	Leila
541673	154279	Nurse Clayton
541673	292446	Talking Drum
541673	381584	Taneshia
541673	383363	Nicky Constable (The Man of L
541673	396522	DC Helen Tomlin
541673	404409	Pansy
541673	405829	Bernie Roberts (1993)
541673	408213	Helen
541674	123868	
541674	268074	
541675	212507	Virginia
541675	383826	Various
541675	389235	Greta
541675	400728	Gabriela 'Gaby' Miñón
541676	31865	Jocelyne
541677	212615	
541678	306447	Herself
541679	97990	
541680	10548	Ali Zaoua's mother
541681	140783	'I Love You' Leech
541681	364376	Female Nurse
541682	103038	
541683	5711	Elif
541683	8344	
541683	8346	
541683	8349	
541683	11731	
541683	12634	Fatma
541683	12641	
541683	34502	
541683	38429	
541683	38438	
541683	38458	
541683	48430	Naciye
541683	48440	
541683	83323	
541683	86601	
541683	96481	
541683	97178	
541683	136749	
541683	136766	
541683	139497	Emine
541683	140632	
541683	153965	
541683	153970	
541683	156074	
541683	173427	
541683	173432	
541683	173759	
541683	181458	
541683	184190	
541683	200670	
541683	200807	
541683	222547	
541683	227235	
541683	228926	
541683	294126	
541683	294884	
541683	295533	
541683	322446	
541683	335960	
541683	336213	
541683	349221	
541683	350842	
541683	370527	
541683	370528	
541683	370776	Hafsa Sultan
541683	371396	
541683	372021	
541683	373287	
541683	374151	
541683	374661	
541683	378211	
541683	378220	
541683	378236	
541684	187903	Old Lady
541685	91491	Dot
541686	321466	Young Girl Fan #1
541687	362106	Di Di
541688	7482	Annie Elliott
541688	25477	Lucy Slatterley
541688	38539	
541688	42094	Betty Hallowell
541688	44320	Spirit/Dora Becket/Edith Wayn
541688	44889	Alice Buckingham
541688	44954	Virginia Blaine
541688	47489	
541688	49864	
541688	50992	
541688	54369	Florrie Ricks
541688	65181	Violet Pinney
541688	66309	
541688	79362	Mary Fenton
541688	80062	Lillian
541688	81444	The Girl
541688	82023	Alicia Van Der Pool
541688	84326	
541688	90265	Alice Meldrum
541688	90796	Lydia Rankin
541688	100682	
541688	104934	The wife
541688	117378	Mary Maddock
541688	122003	Folly Vallance
541688	122005	
541688	123334	Isabel merson
541688	127143	
541688	128104	
541688	128432	Helen Reeves
541688	129771	Helen Allen
541688	135167	
541688	135589	Irene Short
541688	141343	Muriel Gray (a speed girl)
541688	141788	
541688	142242	Rachel Hayne
541688	143277	Nancy Dumont
541688	146128	Extra, Secretary
541688	147633	Cameo appearance
541688	157749	Irene Carson
541688	159953	Barbara
541688	161504	Billie Mardon
541688	183791	
541688	184600	Madelinette
541688	195613	Herself
541688	196056	Laura Gage
541688	200881	Bit Part
541688	202792	
541688	206362	Alexandra Vancy
541688	207201	
541688	213257	Society Woman
541688	215182	Undetermined Role
541688	216956	Helen Torrence
541688	218937	Bessie Hayes
541688	219390	Mrs. Kennedy
541688	220073	The Mother
541688	221228	Alys Crumley
541688	241768	Margarett Hayden
541688	243235	Sybil Bruce
541688	267544	
541688	270466	Virginia Kent
541688	271800	
541688	275600	Adele Fauquier
541688	277710	Imogene
541688	282838	
541688	285041	Madge Summers
541688	291329	
541688	298257	Lady Diana Mayo
541688	299517	
541688	303301	
541688	305398	Catherine
541688	308405	Diana, Wife of the Sheik
541688	309579	Bit Part
541688	312046	
541688	314976	Lela Trevor
541688	315765	Mary Walsworth
541688	327684	The Outcast
541688	334439	
541688	335351	Judith Stanley
541688	335691	Virginia MacMurran
541688	338105	
541688	351875	
541688	362669	Sasha Boroff
541688	368623	Eleanor Lawson
541689	56967	Anne Jones
541690	71913	Alice
541690	85075	Myra Roland
541690	206860	Lucille Perkins
541690	263449	Belle de Fargo
541690	334194	Kate Hoovver
541690	374579	Hilda
541691	45867	Bikini girl #1
541692	187100	Maude
541692	321280	Mrs. Beltzer
541693	155248	Additional Soul
541694	299028	Musician
541694	408867	Prison officer (part 2)
541695	11485	Nurse Capobianco
541695	41409	Janice Kent
541695	45782	Herself
541695	50025	Michelle
541695	80591	Waitress
541695	97407	Chris Macon
541695	150079	Rachel Wagner
541695	257689	Sandy
541695	259285	Nancy Morgan
541695	351422	Cass Tate
541695	378759	Jill Schrader (1987)
541695	378954	Linda Bowman (1983)
541695	382644	Marcia Brady Logan
541695	387309	Valerie Bryson (1981-1983)
541695	396088	Christy Bringham (1979)
541695	406319	Mona (1985-1986)
541696	6732	
541696	7735	
541696	35795	
541696	41076	Herself
541696	42673	
541696	67352	Owner of Bad Magazine
541696	70176	
541696	77754	
541696	91741	
541696	92615	
541696	98842	Truck stop baby
541696	98857	Blonde groupie
541696	98880	Sandy
541696	108825	
541696	114944	
541696	127827	
541696	128826	
541696	128861	
541696	149981	
541696	152799	
541696	154013	
541696	183381	
541696	197818	Susan
541696	202787	
541696	213220	
541696	233693	Woman at Play
541696	251866	
541696	254796	
541696	264150	
541696	278087	
541696	292604	Customer #1
541696	295680	
541696	302328	
541696	302579	
541696	302907	
541696	321022	
541696	321050	Herself
541696	328302	
541696	336808	Charlotte Hopper
541696	338034	
541696	362516	
541696	369484	Secretary
541697	75824	Sandy
541697	87309	Belle's girl
541697	164481	Ruthie Lambert
541697	217476	Carla
541697	241538	
541697	366925	Mrs. Shelly
541697	389858	Nurse Stevens (1989)
541698	283728	
541700	105018	
541700	410918	Herself (1976-1977)
541700	411450	Herself
541701	110237	Pedestrian
541701	123884	Wife on Street
541702	32122	Nora Thornton
541702	39274	Mistress Gordon
541702	63046	Mabel
541702	64056	Polly Benton
541702	74253	Maria Moore
541702	99923	Mama
541702	107145	Mrs. Travers
541702	120459	Prostitute/Edward's first vic
541702	130168	Elsa Lanchester
541702	138202	
541702	150875	
541702	167820	Australian Group #1
541702	190933	Anabelle Fraser
541702	191983	Ann Gedge
541702	266544	
541702	286099	
541702	305036	Isabella
541702	313566	Jeanette
541702	329541	Jeanette
541702	333856	Lady Lucille Duff-Gordon
541702	360594	Etty
541702	382579	Mary Mountjoy (1982)
541702	385103	
541702	388501	Dee Jarvis (1983)
541702	391868	Grace
541702	405217	Maisie Dunn
541702	408864	Theresa
541703	385023	
541703	408727	
541704	79427	Terri
541705	146003	
541706	146042	
541707	22076	
541708	8358	
541709	22019	
541710	159659	Helen
541710	308951	
541710	322448	
541710	371554	
541711	152610	Beth
541712	104892	
541712	114520	
541713	5733	
541714	330590	Babysis
541715	363780	Denise
541716	327127	Sinta
541717	2688	Sophia La Bamba
541718	174953	Boy
541719	146353	'Jack-of-all-trades' Nokayo
541719	146354	Kayo
541719	180626	Ozunu
541720	137298	
541720	183080	
541721	126355	Odgoo
541722	15380	
541722	64048	
541722	82717	Maribel
541722	100373	
541722	103433	
541722	212410	Criada
541722	214984	
541723	24203	
541723	25025	
541723	48179	
541723	55085	
541723	74649	
541723	76104	
541723	83858	
541723	104060	
541723	115034	Presenter
541723	115042	Herself
541723	149511	Dueña Merendero
541723	192946	
541723	193083	
541723	193195	
541723	212441	
541723	237802	
541723	242655	
541723	251581	
541723	301183	
541723	334692	Pilar
541723	335516	
541723	351997	
541723	376665	Remedios
541723	377894	
541723	392034	Milagros
541724	22036	Maxine
541724	155453	Paramedic 2
541724	319187	(segment "The Home")
541724	368314	Dewey Stone Reception Guest
541725	19918	Sousou
541725	25921	
541725	122839	Amine
541725	156948	
541725	219846	
541726	100391	Pituca
541727	233976	María Dolores
541728	289632	
541728	299287	Cooking Teacher
541728	333245	
541729	1938	Loubna
541729	19639	Méliné
541729	105817	Naima
541729	164141	Saïda
541729	193438	Sarah
541729	301156	Mabrouka
541729	309711	
541729	345312	Herself
541729	345378	Jacqueline
541729	346670	Touria
541729	355808	Goucem
541730	192015	Mermaid Crone
541731	403367	Botilla
541732	139652	Padma Patil
541733	315525	Sumita Bose
541734	206253	
541735	78431	Faten
541735	377376	The Little Singer
541736	31468	
541736	38486	
541736	57592	
541737	201465	Herself
541737	382113	Makoto Kino/Sailor Jupiter
541738	242817	
541739	99663	Afrodite
541739	170055	(segment "Divertimento")
541739	295096	
541740	146918	Miyoko, Maid
541740	179395	Sachiko
541740	206766	Oyoshi
541740	298816	Hide
541741	66131	Friends & Rebels
541742	87566	Aranxta
541743	339226	Jocelyne
541744	366684	Student With Mask
541745	336649	Hospital Staff
541746	127237	Melora
541747	194055	Grandma Thompson
541748	185835	Woozy Woman
541748	194268	Leanne
541748	360830	Cheryl
541749	26478	
541750	200938	Yvette
541751	175008	Herself
541752	32369	Ino
541752	122466	Ali's Former Wife
541752	210286	The mother of Marjam
541752	354687	Pari
541752	408800	Shaisteh Khezrian (1998-1999)
541753	327316	
541754	87989	Bathroom Girl
541755	262394	Belle
541756	64153	
541757	134230	
541758	226012	
541759	376697	
541760	376697	
541761	89923	
541761	213395	
541761	222013	
541761	292735	Clara de Montemayor
541762	89938	Ana
541762	146567	Guerrillera
541762	212406	Inma
541762	219311	The Junkie's Sister
541762	248865	Cati
541762	252531	Laura Sagalés
541762	252533	Nanny
541762	253277	
541762	273075	Isabel
541762	393582	
541762	397847	Srta. Rosa
541763	137021	
541764	86356	
541765	71405	
541765	83879	Ana (young)
541765	113018	Julieta
541765	212507	
541765	253695	
541765	280129	Nadia
541765	328743	
541765	349467	Tara
541765	383291	Camila Grande
541765	388946	Amelie
541765	401152	Felicitas
541765	402721	Georgina Rojas
541765	405916	Candela Carmona
541765	406051	María Emilia Calleja de Amaya
541765	409959	
541766	317893	TV Announcer
541766	348303	Miami Reporter
541767	25367	Brunette
541767	37786	Elizabeth
541767	302432	Maria Polini
541768	99958	
541768	132431	Lilian
541769	103656	
541769	270066	
541770	100397	
541770	132373	
541770	146501	
541770	197191	
541770	233349	
541771	178568	Lena
541772	359644	
541773	348737	
541774	408351	
541774	408352	
541775	183464	
541776	150873	Charlie's Girl at Party
541777	156317	
541777	229492	
541777	240429	
541777	251290	Charlotte
541777	388723	Chrétienne adulte
541777	391479	Olga
541778	33459	Bea's Mother
541778	381694	
541779	207261	
541781	242353	Françoise
541782	9604	
541782	60479	
541782	91211	
541782	132567	
541782	132724	
541782	156942	
541782	179907	
541782	180790	
541782	180853	Lida
541782	259805	
541782	268583	Antonina
541782	344096	
541782	356120	
541782	357236	
541782	382445	Lyuska
541782	400449	
541783	393109	(2003)
541783	404644	(2003)
541784	208746	
541785	344813	
541786	13042	Lise
541787	184336	
541787	211022	
541787	222168	
541787	403258	
541788	401900	
541789	287484	
541789	295095	Nelly
541789	308741	
541789	339269	
541789	388239	Lady Bela
541790	402504	
541790	408381	
541790	410348	Renata (episode "Assim é se l
541791	115833	
541792	205696	
541792	294887	
541793	42654	Elena Gombrowicz
541794	389153	Ivete
541795	369979	Júlia
541796	235541	Wife of Buyer No. 3
541797	18699	Mina
541797	175855	
541798	27529	
541798	56848	Tante Sonya
541798	56849	
541798	155186	
541798	165907	Aileen
541798	238476	Satih
541798	278609	Sinta
541798	323644	Mona
541798	327127	Rosa
541798	366940	Tanya
541798	381854	Peri
541798	397460	
541798	399647	
541798	400744	Nina Bobo
541798	402487	Intana
541799	79468	
541799	396198	Jennifer
541800	66580	Girlfriend
541801	20625	Extra
541802	174920	Singer
541803	29706	Mère du beau-frère de Boubaca
541804	61005	
541804	137136	Ragini
541804	162695	Vaswani, Viveck Desai, Anang
541804	163812	Naveli
541804	174124	
541804	285107	
541804	286088	Mumtaz
541805	127994	Margherita Sarfatti
541806	60270	Mrs. Younesi
541807	100723	Kid
541808	359044	
541809	17504	Lady of Court No.1
541810	2688	Shelly
541811	49196	
541811	64259	
541811	270315	Mak Inom
541811	392511	Mariam
541811	392512	Mariam
541812	390336	Herself - Reporter (1988)/New
541812	405606	Newsreader (1994-)
541812	405607	Newsreader (1994-)
541813	304473	
541814	29554	Effa
541814	49196	Dr. Ika
541814	126139	Suzana
541814	184011	
541814	338406	Jeslina
541814	392511	Julia
541815	331427	Pleading civilian woman
541816	196327	Kid
541817	25712	
541817	27770	
541817	59660	
541817	82524	Arab woman
541817	193488	Nightclub singer
541817	223516	
541817	271600	
541817	271822	Helicopter person
541817	287956	
541817	289947	
541817	314135	Lila
541818	64252	
541818	79954	
541818	165526	
541818	271426	
541818	289270	
541819	381147	Dr. Susalim
541820	316829	
541821	357126	Rano
541822	153170	Farmor
541823	61706	Rahi's mom
541824	392910	Malika
541825	406318	Michaela Sanders
541825	409625	Antonia 'Toni' Schwarz #2 (19
541826	372175	Dancer
541827	229912	
541828	212425	
541828	295253	Widow
541828	410403	
541829	349545	Daughter as a child
541830	17504	La-Ore
541830	78702	Mila
541830	278519	Lilian
541831	29544	The Bartender/Judy Gillman
541831	185815	Girlfriend
541831	224835	
541831	365825	
541831	393604	Piper "The Bachelorette"
541832	293676	
541833	4165	
541833	6351	
541833	6355	
541833	10076	Stella
541833	13130	Laxmi
541833	13134	Radha
541833	13463	
541833	17395	Anjuman
541833	17436	Laxmi
541833	17889	Annapurna (Anu)
541833	18141	
541833	18929	Chandranath's wife
541833	21150	Pooja
541833	21762	
541833	23197	
541833	25286	Radha (Avtaar's wife)
541833	27379	Lilian
541833	27697	
541833	36206	Bhavna
541833	62728	Priya
541833	64872	Kamla Pal
541833	79455	Kadambini
541833	81272	Chandravati
541833	84745	Lily/Mary
541833	85324	Kumud
541833	87701	Hansa Sarpat
541833	90947	
541833	96728	Older Lenny
541833	98455	
541833	98468	Aarti Mathur
541833	98479	Neeta
541833	98487	
541833	98497	Special Appearance
541833	98500	
541833	98527	Priyam
541833	107654	Neeta
541833	109404	
541833	109800	
541833	113724	Radha
541833	122926	Premchand's Nirmala
541833	123910	
541833	125598	The woman
541833	130158	Rambhi
541833	139399	Ghazala
541833	145676	
541833	152481	Sundariya
541833	152484	
541833	156957	Samira
541833	157578	Imtiaz Begum
541833	162689	
541833	163811	
541833	165170	
541833	166459	
541833	167355	
541833	170908	Javed's Wife
541833	171507	Kiran
541833	171786	
541833	171949	
541833	173109	Sarita Jadhav
541833	173461	
541833	174123	
541833	175916	Herself
541833	175939	Jamini
541833	176008	
541833	176095	Shano
541833	178185	Janata
541833	183977	
541833	189251	
541833	193398	
541833	194570	Geeta Malhotra
541833	199390	Sushita
541833	201020	
541833	201405	Makdee, the witch
541833	203976	Rukmini Bai
541833	205352	Shefali
541833	207253	Indu
541833	219396	Swarnlatha
541833	222505	
541833	227205	Mitthu
541833	227948	
541833	233201	Sushila (Schoolmaster's wife)
541833	236507	Indira Sen
541833	242396	
541833	246113	Rama
541833	248960	
541833	249645	Shabu
541833	250495	Jitni
541833	253787	Jeroo
541833	255269	Mother
541833	268110	
541833	270200	
541833	271036	
541833	271624	
541833	271743	Cameo appearance
541833	284785	Bansi Vrundavan
541833	286555	
541833	286625	
541833	288531	Uma
541833	296610	Herself
541833	297217	Shama
541833	297566	
541833	297727	
541833	297747	Khurshid, Mirza's wife
541833	300913	Chandra Raj
541833	308400	Queen
541833	310450	Kavita
541833	319834	
541833	320257	Gauramma
541833	320767	Saudamini
541833	320862	Geeta
541833	321081	
541833	327001	Rukhsana Jamal
541833	330973	
541833	335781	
541833	355326	Seema
541833	360026	Heera
541833	370211	
541833	370960	
541833	370967	
541834	921	Talat Hamdani (segment India)
541834	9387	
541834	9502	Madhu Pradhan
541834	79130	Poonam (Kiran's sister-in-law
541834	85276	Simbah
541834	95447	Sonia/Naina's mother
541834	101428	Malti Srivastava
541834	210218	
541834	215201	
541834	271450	Meera Kumar
541834	284779	
541834	353773	Sarojakka
541834	395598	Dr. Madhuri
541834	395901	
541834	411913	Smriti
541835	398809	
541835	402595	Colaboradora
541836	111130	
541837	86708	Berta
541838	211435	
541839	261846	La secrétaire
541840	161652	Viviane
541841	248984	
541841	249360	
541842	21842	
541842	34227	
541842	36292	
541842	59049	
541842	145521	Vartush
541842	165951	
541842	169927	
541842	183923	
541842	208557	Shanta
541842	208558	Shanta
541842	228863	
541842	272741	
541842	297049	
541842	308454	Nartaki
541842	319084	Nartaki
541842	325295	Tara
541843	103536	
541843	379936	
541843	405813	
541844	10129	
541844	21095	Herself
541844	21096	Herself
541844	21097	Herself
541844	25065	Señora en la barbería
541844	125660	
541844	205713	
541844	275089	
541844	354445	
541845	5268	
541845	24203	
541845	55932	
541845	64023	
541845	67218	
541845	74521	
541845	127602	
541845	233357	
541845	236303	
541846	169333	Charlotte
541847	169333	Michou
541848	302418	Sinaia
541849	2102	Sam
541849	6407	Carole Berthoulot
541849	193445	Françoise
541849	235817	Elle
541849	284884	Françoise
541849	307478	L'infirmière
541849	336985	Secrétaire gynéco
541849	383864	Soeur Clémence
541849	387697	Colombe dite 'Belle-en-cuisse
541849	404804	Lucie (age 28-44)
541850	188194	Girl #1
541851	29399	
541851	32615	
541851	53073	
541851	82524	Irenka
541851	147475	Levana
541851	152570	Lila Haddilh
541851	200802	
541851	226476	Nadia
541851	289846	Yael
541851	296560	Rachel
541851	305556	
541851	343410	
541851	373529	
541851	387890	Michal (2003-2004)
541852	68513	Une enfant
541853	410074	La femme du car
541854	354769	Cardilla
541855	403983	Catherine the Great
541856	210171	Empleada informes
541857	247159	Niña
541858	136964	
541859	123736	
541859	126945	
541859	135941	
541859	170830	
541859	195697	Sheela
541859	200657	
541859	212624	Lisa Horner
541859	219944	Chandra
541859	224118	
541859	271472	
541859	359153	
541860	176079	Khavar
541862	222381	
541863	55897	donna incinta
541863	100496	Prostituta #2
541863	211876	Georgina
541863	379000	Teresa
541863	383250	Silvia
541864	39083	
541865	380128	Rocío Morales
541865	408406	Marisol
541866	205395	
541867	296433	Young Girl
541868	336137	Jamilah
541869	47854	Flamingo Dancer
541869	254388	
541870	149236	
541871	29566	Eddie's Mother
541871	50187	Hori Tamba's wife
541871	171425	Setsu, Grandmother
541871	172112	Old woman
541871	174333	
541871	182473	(Voice)
541871	232699	Nobuko Matsui
541871	233128	Yukie Sakura
541871	358128	Kume Kwamura
541871	371996	
541872	9594	Masae Yoshi's mother
541873	233052	Kuniko
541873	293568	Kuniko
541874	229774	
541875	172926	
541875	180625	Oyuki
541875	180626	
541875	394030	Various characters
541876	255872	Grandmother
541877	137006	
541877	159841	Rôba
541877	373218	
541878	156197	Kaoru
541878	182033	A girl
541878	232579	Ex-singer/Tome/Stripper
541878	243881	Omitsu
541878	293587	Mental Patient
541878	303234	
541878	336576	
541878	371848	Teruyo
541878	373910	Yumiko's Maid
541879	371988	
541880	24429	Foxxy's Backup Dancer
541880	45591	Dancer
541880	92263	Astronette #3
541880	190702	Cheerleader #1
541880	192748	Confessional Dancer #1
541880	218180	Museum Dancer
541880	242866	Cosmetic Chick
541880	243150	Dancer
541880	250991	Dancer
541880	396452	Magic Assistant
541881	64249	Wati
541881	167660	
541881	197647	Sharifah
541881	252086	
541881	267930	Merah
541881	277565	Milah
541882	162763	Carmelita
541883	11984	Valicha
541883	187769	
541883	341799	
541884	87858	Azusa
541884	162104	Novicia
541885	4018	
541885	169267	Ishido's Sister
541885	176608	Makiko Fukuda
541885	180137	
541885	294051	Fumiko
541885	299254	
541885	341293	Midori
541886	402879	
541887	180043	Michiyo Aida
541887	233113	
541888	8620	Hostess
541888	9418	
541888	121933	Yae
541888	162315	
541888	174235	
541888	216355	
541888	242245	Kyoko
541888	244055	
541888	329658	Delinquent
541888	334901	
541888	375838	
541889	42607	Aunt Tilly
541889	56871	Darcy
541889	77575	Florist
541889	88174	Sylvia Bemous
541889	89365	Edna Pinsly
541889	96958	Rose Capuletti
541889	109971	Lydia
541889	137197	
541889	141517	Waitress
541889	150814	Ellen Grady
541889	152860	Hannibal Youngblood
541889	157720	Sydelle
541889	184468	Waitress
541889	195482	Amy Mitchell
541889	199467	Sheila
541889	201662	Herself
541889	214092	Rochelle Levitas
541889	330194	Teenage Girl
541889	347712	Joanie
541889	364184	Sally
541889	368592	Anne Calassandro
541889	383240	Shirley Balukis
541889	383502	Angie Spadaro (1996-1999)
541889	405769	Millie (1979)
541889	411051	Fran Thomopalous (1992)
541890	44596	Une nymphe
541890	159016	2ème entrée - Les Incas du Pé
541890	204653	Pousette
541891	277587	Sorellina di Enza
541892	105859	Corinne Wahl
541893	57852	Tisbe
541894	89957	
541895	43567	Cindy
541895	240529	Daugher in BMW
541895	288948	Alinne
541895	315484	Maggie Kennelly
541896	233346	Abuela mora
541897	339048	Stewardess
541898	28180	Antoinette
541898	206008	Chantal
541898	338632	Christine
541898	346772	Marie-Rose adolescente
541899	252587	
541900	285244	
541901	15085	Elisabeth Sutter
541901	19103	Sophie
541901	43636	Nicole Bergeade
541901	51310	Louba
541901	57894	Sabine/Irène
541901	58744	Anaïs
541901	64220	Yvette
541901	82920	Corinne
541901	126290	
541901	146416	Herself
541901	195143	Herself
541901	217689	Bérangère
541901	224880	Mathilde Stangerson
541901	225429	Romaine Belcroix
541901	234573	Lucy
541901	240449	Mlle Claude Ferroni
541901	240465	Odile Lalande
541901	240586	Marie-Laure Forestier
541901	248920	Mathilde Stangerson
541901	249753	Gilberte Valandray
541901	267510	Ariane
541901	268955	
541901	282105	Olimpia Pélissier
541901	290440	Françoise
541901	291586	Liza
541901	305751	Celia Teasdale/Sylvie Bell/Ir
541901	324517	Edith Guetz
541901	340110	Julia Poncenot-Guillermen
541901	345175	Irène
541901	345312	Herself
541901	350425	Clarisse Boulanger
541901	351250	Elle
541901	353886	Élisabeth Rousseau
541901	353898	Irène de Courtil
541901	375769	Claire Rousset
541901	389005	
541901	402103	Sophie
541901	412263	Laurence
541902	28006	
541903	189784	
541905	53853	Nenem
541905	67655	
541905	68578	
541905	96530	
541905	104082	
541905	147339	Juventina
541905	258688	
541905	286578	
541905	293388	
541905	327326	
541905	334704	
541905	377603	
541906	33638	Leila's handmaiden
541906	132801	Zizi
541906	225617	
541907	281903	Franciane Roy
541908	198187	(Voice)
541909	164177	Herself
541910	266513	Additional Voices
541911	70667	
541911	82585	Estelita, secretaria
541911	396898	Débora Valverde
541911	397838	Gloria
541911	402190	
541911	408859	Gloria
541912	16784	Bag Lady
541912	394773	
541912	402231	Herself
541913	115161	Joe's Woman
541913	162414	Khan Li
541913	163208	Kathy Paxon
541914	353394	
541914	385591	Themselves
541915	72909	
541915	254697	Herself
541916	26103	
541917	245020	Lefty's Main Squeeze
541917	382846	Petronella Peters
541918	322163	
541919	71187	
541919	216794	Herself
541919	226531	Herself
541921	104752	Luxembourg entry (16th place)
541923	306911	
541924	92742	
541925	42834	
541925	144165	
541926	80585	Peaches
541926	273431	Herself/New York
541926	273432	
541926	273433	Hostess
541926	273434	
541926	273436	
541926	360734	Heather B.
541926	402993	Herself/New York (1992)
541926	402997	Herself/Real Worlders
541927	242093	Boy's Mother
541929	407138	Herself
541930	37223	
541931	86769	
541932	391546	The Gossip
541933	345946	Backup Singer
541934	396629	Various Roles
541934	407867	
541936	4453	Jaya
541936	6703	
541936	13199	Manjari
541936	13200	Manjari
541936	35111	
541936	35987	
541936	36263	Goddess Parvathi
541936	62249	Chintamani
541936	76417	
541936	139387	
541936	161153	
541936	162500	Shanta
541936	164799	Jayanthi
541936	172872	Vasanthi
541936	178330	Queen Chanamma of Kittur
541936	203898	
541936	242618	
541936	246631	Malati
541936	247243	
541936	247437	
541936	247508	Kalavati
541936	252019	Vasanthi
541936	252027	
541936	253173	Puridham
541936	262686	
541936	263156	President's Daughter
541936	268090	
541936	271027	
541936	288412	
541936	290367	
541936	312480	Subhadra
541936	312488	
541936	320392	
541936	329249	
541936	330644	
541936	344895	
541937	361957	
541939	168939	
541940	102906	Slave #2 (segment "Let's Talk
541941	31892	Herself
541942	13446	
541942	23841	Sophie
541943	92018	Herself
541944	342626	Sylvie Vartan
541945	19561	Heart's Delight
541945	118279	Punk Chick
541945	130470	Celeste Seton
541945	161476	Zohra Labrooy
541945	194797	Elizabeth
541945	203642	Janice
541945	252840	Sunny
541945	330380	Joo
541945	335050	Celia Scofield
541945	370118	
541945	400546	Louise Tiffany
541945	408867	Det. Const. Lisa West
541946	51087	Raabi
541946	106274	
541947	191797	Foxy Lady
541948	387541	Nila
541949	339354	DC Lisa West
541949	383631	Jane Winter (2003)
541949	408868	DC Lisa West
541950	350506	Dancer: Slave Dance
541951	104200	
541951	139360	Drunk woman
541951	307686	First Wife
541951	345382	Fatima
541952	406814	
541953	132308	Girl
541954	2691	Frau Koch
541954	5121	Eva
541954	8248	
541954	21406	
541954	28317	
541954	35306	Hanna Theissen
541954	40273	Aunt Teresa
541954	40365	Lilian
541954	40406	Antje Doorn
541954	40883	
541954	40953	Maria Gebhard
541954	42525	
541954	71264	Herta Rossini
541954	71304	Uschi Kowalski
541954	78302	Hilde Kalka
541954	83189	
541954	83896	
541954	83902	Eva Buchholz
541954	93413	Nina
541954	98226	
541954	98404	Anni
541954	101324	Frau Gladow
541954	102510	Erika
541954	120954	
541954	122588	Uter Schmiededing
541954	123014	
541954	123924	Nelly
541954	124992	Gisela
541954	126426	Regine
541954	137419	Sissy Bohl
541954	138465	Vronia
541954	140233	
541954	140250	Witwe Bierlach
541954	144033	Eva
541954	144159	Tänzerin
541954	152753	Jane Wilson
541954	156667	Gertrud Grund
541954	166408	Katrin
541954	169033	Katrike
541954	170132	Inge Schumann
541954	170312	Othello's girlfriend
541954	170384	Voice of Avice Crichton
541954	170677	Eva Reck
541954	171566	Anna
541954	175252	
541954	188737	Julie d'Espard
541954	189610	
541954	190765	Anna Lederer
541954	193482	Lola's Mother
541954	204406	
541954	204407	Betsy Crane
541954	212730	Liese Bänsch
541954	216329	
541954	225187	
541954	225261	Erna Küfner
541954	225288	
541954	225720	Jenny
541954	230179	Frau Schneider
541954	250896	
541954	259488	Wirtin
541954	281639	Mathilde Jacob
541954	281668	Frau Seifert
541954	289946	Beate
541954	306388	Monika
541954	313674	Daniela
541954	314565	Anna
541954	316522	Nina
541954	325556	Kapitänsfrau Else
541954	325633	Frau Depke
541954	325665	Helga Martini
541954	325868	Ada Gerber
541954	325905	Eva Maria
541954	326049	Vera
541954	334530	
541954	336520	Nora Ward
541954	337550	Olenka
541954	338419	
541954	341769	Marianne von Krausnitz
541954	345924	Irene Dirks
541954	347819	Mutter Schlegel
541954	352607	Brigitte Bertram
541954	354754	
541954	366529	Nenne Briehl
541954	367143	
541954	369139	
541954	375993	Ingeborg Schoenbein
541954	379663	Ingrid
541954	379858	
541954	381689	Minna
541954	384393	
541954	393254	Frau Sonntag
541954	396920	Marga
541954	404440	Beate
541954	406321	
541954	410815	
541956	137938	Ophelia
541956	354667	
541957	28529	Pouls forlovede
541958	13092	
541958	21314	Leontýna Sobotová
541958	29811	Giacinta
541958	30856	
541958	38776	
541958	54354	Marinella
541958	55386	
541958	63864	Little girl's mother
541958	96394	Blanka, girl in blue
541958	98273	Gerda Hegert
541958	115199	
541958	117865	Margherita, la Fornarina
541958	121715	Miss Rozmarová
541958	125331	
541958	133105	
541958	133387	
541958	160056	Adriana Sereni
541958	162143	Elena Sergati
541958	166633	Vlasta, daughter
541958	169143	Lída Baarová
541958	169720	Irena
541958	174068	
541958	179717	Eva Kratochvílová
541958	181167	(unfinished)
541958	187672	
541958	188854	
541958	189481	Lída Baarová
541958	189493	Dr. Pavla Junková
541958	199692	Madla
541958	207224	Lenka Rossetiová
541958	211874	
541958	213363	Carlos wife
541958	225244	
541958	225946	
541958	237879	Member salvation army
541958	239123	
541958	239476	
541958	247081	Rozárka Valentová
541958	247528	Hana Polácková
541958	250749	Thérése
541958	255637	Eugenia
541958	259081	Milada Nováková
541958	263376	
541958	268264	Eva Svobová
541958	272374	
541958	283976	Sedlácková, his woman
541958	292989	Helena Radová, reportérka
541958	294162	Eva Konrádová
541958	304453	Herself
541958	311109	
541958	317494	
541958	317722	
541958	320494	Líza Bártová
541958	332242	Elisa De Laurenzi
541958	334708	
541958	341856	
541958	347761	
541958	351521	
541958	352489	Marion
541958	353202	
541958	355708	Moglie sig. Michele (Giulia, 
541958	355891	
541958	373510	Jana Radimska
541958	373942	Albínka, daughter
541958	375337	Jarmila Bendová
541958	375404	
541958	391696	Lida Baarova
541959	228237	Herself
541960	184608	Alice
541961	361524	Agathe
541962	368309	Herself
541963	279029	manicure
541964	96449	Herself - Chairman, Folketing
541965	305118	Nel
541965	379639	
541965	389332	Lead Doozer
541965	389841	Annemarie Hussert
541965	404898	Donna Schaap/Klaartje/Marga P
541965	410764	Anneloes
541966	393707	Jopoppinolou-kico-club
541967	329894	Koningin Beatrix
541967	350310	Koningin Beatrix
541968	107924	Bride
541969	285810	Meriem as a child
541970	28695	
541970	155104	
541970	183019	
541970	238813	
541971	52698	
541971	146430	
541971	388187	Niba
541972	372116	Princess Baba, The Great Edga
541973	30988	Yoshimi Yahagi - Girls #21
541973	43898	Kyôko Kinoshita
541974	403494	Herself
541975	134253	Grethel
541976	371278	Girl of dreams/Rita
541977	370961	Priya Thakral
541978	17290	
541979	110251	Lounge Lizard
541980	5708	
541980	8589	
541980	24849	
541980	25731	
541980	31009	
541980	38195	
541980	38448	
541980	38456	
541980	38621	
541980	39049	
541980	76717	
541980	99550	
541980	108868	
541980	126871	
541980	138105	
541980	146975	
541980	156228	
541980	172016	
541980	173771	
541980	173851	
541980	173860	
541980	175493	
541980	177833	
541980	181475	
541980	182914	
541980	210525	
541980	212275	
541980	227236	
541980	229389	
541980	244486	
541980	285251	
541980	288212	
541980	294117	
541980	294535	
541980	296384	
541980	296411	
541980	301448	
541980	303582	
541980	307031	
541980	307035	
541980	350993	
541980	370912	
541980	377506	
541980	377558	
541980	378217	
541980	378597	
541981	350276	His Wife
541982	238358	
541982	306102	Snow Queen in Russian
541982	313591	
541983	41197	Chambermaid #1
541984	79233	
541985	259002	
541986	17332	
541986	101499	
541986	326281	
541987	157258	
541987	220693	
541987	236070	
541987	339231	
541987	374764	
541988	77294	Rebecca Stanton
541988	323440	Beauty parlor woman #2
541989	12751	
541989	62269	Phyllis
541989	96669	Babs
541989	126513	Jivin' Jill
541989	129095	A Jivin' 'Jill
541989	151725	Waitress
541989	163221	Debutante
541989	183443	Dancer, with Johnny
541989	215981	Dorothy
541989	218780	a Jivin' Jill
541989	248619	Herself - Dancer on Talent Sh
541989	257856	Autograph Girl
541989	289422	Little Girl
541989	305898	Student
541989	313331	Dottie
541989	323968	Schoolgirl Noticing Beard
541989	362491	Winnie
541989	362959	Specialty Dancer
541989	372145	Child Dancer
541990	64098	Young Gabriella
541991	74014	Girlfriend
541992	203335	Caroline
541993	174353	Amrita
541994	46726	Mrs. Bakshi
541994	209558	
541995	42649	
541996	318138	Handmaiden
541997	51661	Bar patron
541997	87924	Visitor
541998	41181	Bag lady
541999	301681	Little Girl on Bicycle
542000	365526	Woman of Goona
542001	131692	Newswoman on the Street/Woman
542002	127308	Diane Bite News at 6
542002	135735	
542003	2304	Herself - Award Winner
542003	23471	Jane Dutton
542003	26763	Rickey's Mom
542003	29175	Team Owner
542003	39692	Madeline Whitfield
542003	61672	Rose Carlson
542003	62790	Lenore Chrisman
542003	63070	Rachel Sullivan
542003	79845	Angie Warfield
542003	108288	Miss Quinn Collins
542003	108919	Nora Christie
542003	121365	Rhonda Devon
542003	138889	Ruth Carpenter
542003	141253	
542003	141651	Mrs. Andrews
542003	148206	Molly
542003	185147	Shelley Drumm
542003	194528	Abigail
542003	210610	Louise Lowry
542003	220032	Mrs. Mitchell
542003	231037	Joanna Steckler
542003	253356	Martha Robertson
542003	269082	Judy Maida
542003	286054	June Petrie
542003	310112	Mrs. Barbara Corvin
542003	320082	Lorna Sims
542003	329531	Mrs. Douglas
542003	348894	
542003	356997	Ellen Brighton
542003	385594	Liz Craig (1978-1982)
542003	386897	Dorothy Jennings
542003	389174	Lorraine Elliot (1984)
542003	395278	Ellie Maginnis
542003	398411	Mrs. June Swinford
542003	400933	Lillian Greeley
542003	404613	Gwen Delon (1976)
542004	295853	Herself
542005	151461	Tour Girl
542006	82323	Grace Torelli
542006	312035	Jane
542007	240981	Herself
542008	10453	Laurence
542008	11415	Julia
542008	14315	Chantal
542008	29513	Marion
542008	30402	
542008	64227	Felicia
542008	66726	Lili
542008	80321	Nora Mouche
542008	82941	Fabienne
542008	96162	Mathilde
542008	101530	Marion
542008	102831	Inga
542008	107512	Alice
542008	109923	Emma
542008	111305	Sophie
542008	124328	Cathy
542008	131018	Orpa
542008	148643	Clair
542008	153092	Catherine
542008	160722	Loulou
542008	166122	Céline
542008	171325	La mère d'Arnaud
542008	208513	Claire
542008	215057	Anna Tümmler
542008	225369	
542008	239785	Christie
542008	269105	Germaine
542008	309985	Francine
542008	332194	Francine
542008	345368	Catherine
542008	345501	Anne Lambert
542008	347140	Sarah
542008	353880	Béa
542008	353922	Sandra
542008	356369	Camille
542008	356520	Mireille
542008	358214	Judith Mendes-Gauthi
542008	373927	L'actrice Camille Dor
542008	375794	Christine
542008	377068	
542008	378456	Esperanca
542008	398993	Madame de Staehl
542008	408652	Irène
542012	322233	
542012	334673	
542013	173026	
542013	180188	
542013	356182	Vera
542013	404577	Manager
542013	404870	Lyuba
542014	395529	Mrs. Sweet
542014	405611	Receptionist
542015	224073	Cousin
542016	29450	Diane Hadley
542016	266564	Anna Slaznowicz
542016	318106	Vanessa
542016	351504	
542016	355391	Stacey
542017	26442	Big Woman
542018	169545	Distressed Lady
542019	222784	Charlotte
542020	39624	Mary Lou Lawton
542021	198934	Ferroudja
542022	151732	Ann Dunn
542022	169586	Jennifer
542023	331574	
542024	145615	A child
542025	2338	Naina Rai
542025	4137	
542025	4722	
542025	8680	
542025	9326	Special Appearance
542025	13130	Jenny
542025	20662	
542025	21762	
542025	25203	
542025	27128	
542025	36143	Rupa
542025	49316	
542025	50017	
542025	58681	
542025	58998	
542025	59476	
542025	59480	
542025	62727	Seema
542025	62728	Bharti Khanna
542025	78710	
542025	82008	Anita
542025	83741	Dr. Priti
542025	85440	
542025	88476	Anju
542025	90921	Renu
542025	98493	
542025	135899	
542025	164313	
542025	171777	Shalu/Rani
542025	172565	Anita
542025	172568	
542025	173506	
542025	176084	
542025	176162	Mary
542025	180724	Sureli
542025	200631	
542025	201237	Ravi's girlfriend Neelu
542025	204081	
542025	207380	
542025	211451	
542025	227128	Nisha
542025	250636	
542025	271644	
542025	272048	
542025	273060	
542025	296601	Sunita
542025	303327	
542025	318412	Annu
542025	322701	
542025	327138	
542025	339745	
542025	370967	
542026	165077	Basi
542027	327542	L'Hôtesse d'accueil 1
542027	377630	L'infirmière
542029	222441	
542030	304454	Cousin
542030	409109	Amanda
542031	29867	
542032	328708	Herself
542033	261226	
542034	173388	Hanna Keller
542034	405705	Dunja Petrovic-Vragec (1992-1
542035	132044	Frau Schmidt
542036	29670	Harem
542037	153094	Receptionist
542037	188453	Morgan
542037	296324	Voice 5
542037	318510	Regina Van Reich
542037	404879	Additional Voices
542037	408893	
542038	238786	
542039	30052	Irina Pavlovna
542040	110075	Dancer
542041	74787	Prisoner Cielecina
542041	231362	Woman
542041	266019	
542041	282756	
542042	188888	
542042	330204	Herself (rescuer, Poland)
542043	63081	Herself
542043	240486	Regionals Judge #5
542043	352963	Herself
542044	249625	Chanteuse western
542045	291530	Mrs. Broelli
542046	17869	
542047	21760	Ananga, Gangacharan's wife
542047	39330	Daisy's Maid
542047	90921	
542047	130575	
542047	287634	
542048	259910	
542049	358756	
542050	236061	Atamansha
542051	217845	La danseuse
542052	178203	
542052	198567	Grimace girl
542052	244759	Sophie
542053	67788	Stoney's Victim
542053	140335	Ellen
542054	344114	
542055	49942	Dorcas Goode
542056	392747	
542057	292150	Disciple
542058	113975	
542060	125282	
542062	399939	
542063	266281	Maruska
542064	40865	Flower Girl
542064	84297	Inga 'Trollet' Larsson
542064	94259	Alice Babs
542064	104733	Swedish entry (4th place)
542064	129171	Anita
542064	147240	Swedish entry
542064	154203	Greta Norman
542064	181844	Alice Babs
542064	200410	Inga Danell
542064	223194	Ulla Wickström/Ulla Winther
542064	276139	Gun Karlsson
542064	308196	Karin Pettersson
542064	321510	Inga Danell/Linda Loy
542064	321512	Alice Lind
542064	321828	
542064	322311	Britt Forsberg
542064	337888	Inger 'Babs' Jansson
542064	352124	Herself
542064	357805	Alice Bergendahl
542064	378274	Marianne Hedvall
542064	392268	Herself (ep. 8)
542066	249408	
542067	80156	Daisy
542067	87814	Yvonne
542067	186192	La Goulue
542067	199369	Janine
542067	204117	
542067	263219	Jeune femme à la piscine
542067	357859	
542067	377470	Caissière
542068	126138	
542069	243501	
542070	192413	Hummel Child
542071	6445	Minka Topalova
542071	353276	Ina
542072	21394	
542072	23057	Martha
542072	329165	
542073	4247	
542073	4343	
542073	6362	
542073	8358	
542073	8629	Schoolgirl at graduation
542073	17366	Anjali
542073	19278	Child
542073	25354	
542073	25947	
542073	26615	Sandy
542073	27725	
542073	27838	
542073	35111	
542073	44058	Belu
542073	45321	
542073	45814	
542073	48054	
542073	48057	
542073	54491	Capt. January
542073	55238	
542073	57561	Herself/interviewee
542073	59390	
542073	60220	Baby Ruth Stanlaw
542073	61615	Herself
542073	61949	
542073	62211	
542073	62366	(segment "Nagarathinte Mukhan
542073	63431	
542073	64528	
542073	65161	Herself (Clara's co-star in '
542073	65472	
542073	68486	Little Marion
542073	71664	Belly Dancer at the Shepherd'
542073	75031	
542073	79097	Santussa
542073	79242	
542073	81705	
542073	84768	Young Parvati
542073	85368	
542073	91477	Sick Child
542073	95036	
542073	95229	
542073	96853	Sandy, the Barrett Baby
542073	98151	Hortense
542073	108365	Peggy Holmes
542073	115903	
542073	123295	
542073	123943	
542073	124474	Roger's little boy
542073	126592	
542073	128889	Schoolgirl
542073	131065	
542073	131939	
542073	133932	Their daughter
542073	135868	
542073	135941	Child Artist
542073	138553	
542073	140408	Extra
542073	141833	
542073	142304	Toddie
542073	143042	
542073	145459	
542073	147633	Cameo appearance
542073	147798	Herself
542073	147899	Herself
542073	152446	
542073	152469	Muni
542073	152480	
542073	156208	
542073	164327	
542073	164386	
542073	164798	
542073	165643	
542073	167336	Manu
542073	168358	
542073	168680	Herself
542073	171759	Pammi, daughter of Sinha
542073	171883	
542073	172553	Herself
542073	174398	Announcer at Art Exhibition
542073	174603	Sheila O'Moore
542073	176152	
542073	176367	
542073	176399	
542073	183458	
542073	183903	
542073	184079	
542073	186292	Peggy
542073	189563	Baby
542073	191588	Sandy
542073	192050	
542073	192186	
542073	192205	
542073	210215	Young Manju
542073	210403	Sandy
542073	213863	
542073	219039	
542073	220105	
542073	221627	
542073	221801	
542073	234222	
542073	238580	
542073	240435	
542073	240978	
542073	244910	
542073	247212	
542073	251222	Padma
542073	251829	
542073	251830	
542073	251871	
542073	254738	
542073	257855	
542073	260216	
542073	262852	
542073	270767	
542073	271711	Kuku
542073	287290	Sandy
542073	287296	Baby Sandy
542073	288245	
542073	291789	
542073	297578	
542073	298814	
542073	302404	Baby Winthrop
542073	307100	
542073	314488	
542073	316409	
542073	318039	
542073	318517	
542073	319823	Tulsi's mom
542073	321392	
542073	323598	
542073	326633	
542073	328180	
542073	332173	Krishna
542073	333680	
542073	340755	Autograph Hunter
542073	346863	Sandy
542073	348897	
542073	360829	
542073	370291	
542075	45992	
542076	29273	
542079	150275	
542079	358770	
542080	353935	
542081	75028	
542082	103262	Herself
542083	79068	Sandy
542083	243136	
542084	223977	Peasant Woman #1
542085	347300	Girlfriend
542086	126614	Rosa
542087	74828	(segment "Intriga familiar")
542088	341515	Dancer
542089	302931	Receptionist
542090	17749	Dancer
542091	381220	Irka
542092	255445	Estella Rios
542093	370359	Security Woman
542094	293744	Pedicurist
542095	311183	Young Francesca
542096	217423	Ancient Apache
542097	337701	Store Clerk
542098	157164	Woman
542098	350191	Flower Seller
542099	12286	Hand Maiden
542099	54830	Bit Part
542099	65551	Handmaiden
542099	67156	Dancer
542099	78528	Bit Part
542099	113920	Bit Part
542099	126068	Dancer
542099	128372	Dancer
542099	130300	Dancer
542099	133620	Bit Part
542099	133856	Dancer
542099	144672	Bit part
542099	188586	Bit Part
542099	211601	Maxim Girl
542099	242812	Bit part
542099	249022	Dancer
542099	265010	dancer
542099	274502	Dancer
542099	279519	Dancer
542099	299163	Woman
542099	313076	Dancer
542099	333433	Dancer
542099	335638	Dancer
542099	344816	Bit Part
542100	281680	
542101	386339	Sally
542102	398087	
542102	403479	Additional Voices
542103	190213	The Dog Nanny
542104	1401	Herself
542104	1842	Herself - Presenter
542104	2289	Herself
542104	2330	Herself - Presenter
542104	3077	Herself/presenter
542104	11280	Lillian Brooks
542104	13920	Herself
542104	13927	Hostess
542104	13928	Herself
542104	19116	Margo Channing
542104	19168	Lady Westholme
542104	26545	Host/narrator
542104	34813	Herself
542104	37334	Vivian Sternwood Rutledge
542104	38645	Eleanor
542104	40848	Elvira Condomine
542104	41129	Cathy Grainger
542104	46993	Sonia Kovac
542104	56047	Narrator
542104	64565	Herself - Ringmaster
542104	66381	Meg Faversen Rinehart
542104	69483	Rose Cullen
542104	70238	Herself
542104	83802	Marilla Brown Hagen
542104	85866	Sin-Dee
542104	86958	Carlotta Vance
542104	89330	Ma Ginger
542104	94668	Herself
542104	108474	Sally Ross
542104	113908	Posche
542104	117561	Lisa
542104	120633	Mrs. Basil E. Frankweiler
542104	127527	Julie Beck
542104	134241	Herself/Narrator
542104	139565	Elaine Sampson
542104	141109	Esther Brill
542104	147894	Herself (in photo)
542104	151634	Schatze Page
542104	152675	Herself
542104	152679	Herself
542104	161303	Herself
542104	168548	Herself
542104	169335	Sonia
542104	169998	
542104	175523	Herself
542104	175534	Herself
542104	175537	Herself
542104	175540	Herself (Honoree)
542104	175796	Nora Temple
542104	187904	Narrator
542104	190500	Herself
542104	190954	May
542104	191083	Herself
542104	192159	Beatrix Coltrane
542104	192840	Herself
542104	199567	Madame Lacroque
542104	203521	Narrator
542104	203972	Mam
542104	205836	Herself
542104	215157	Hannah Morgan
542104	215346	Marcia Sindell
542104	221055	Mrs. Amelia Cranston
542104	222727	Mrs. Harriet Belinda Hubbard
542104	223077	Herself
542104	223920	Margaret Kramer
542104	230890	Herself
542104	231560	Herself
542104	232017	Herself
542104	235167	Catherine Wyatt
542104	238613	Herself (with Bogie)
542104	248567	
542104	252887	Mrs. Lizzie Martin
542104	258858	Actress in televised movie
542104	261107	Fanny Church
542104	263089	Mado Remei
542104	266419	Slim Chrysler
542104	267033	Herself
542104	295616	Sylvia Broderick
542104	299470	Dr. Edwina Beighley
542104	299775	Bond Rogers
542104	303574	Herself
542104	311790	Herself
542104	313304	
542104	313319	Herself
542104	334180	Marie 'Slim' Browning
542104	338901	Marsha Archdale
542104	342901	Herself
542104	351773	Countess Camilla Volta
542104	359471	
542104	360288	
542104	367746	Elizabeth Burns
542104	368918	Lucy Moore Hadley
542104	372632	Amy North
542104	383711	
542104	384590	Herself (concerned about HUAC
542104	388656	Herself (concerned about HUAC
542104	391835	Herself
542104	402216	Interviewer
542104	402888	Herself
542104	408529	Doris Duke (elderly)
542105	185948	
542107	32466	DV8 Clubgoer
542107	54726	Beautiful Young Woman
542107	94613	Bartender
542107	123789	Aniko
542107	137470	Henchwoman
542107	223691	Nia
542107	233519	Malou, Miss Philippines
542107	287131	Kelly Quon
542107	299870	Timea
542107	306223	Barb
542107	338442	Coralee Stiller
542107	368092	Stunning Woman
542108	392244	Yolande
542109	360654	Gabi
542110	45865	Mrs. Keller
542110	95274	Elizabeth Hamilton
542110	185420	Miss Anderson
542110	389858	Dr. Gina Dante Lansing #3 (19
542110	407086	Marguerita
542111	19508	Houria
542111	65041	Viviane
542111	200377	Sadry's Sister
542111	236599	La Mère
542111	261866	Kinza
542112	241324	
542113	11353	Vena Cava
542114	143640	Herself
542114	253059	Monica
542114	280438	Girl in Bar
542114	294726	Inara Serra
542114	360230	Rebecca
542114	388771	Inara Serra
542114	406554	Maggie
542115	377042	
542116	23741	
542117	69369	
542117	270840	
542117	276102	
542118	379450	Pamela
542118	385522	Tina Fuchs
542118	396899	Sabrina
542118	402539	Mônica
542118	402685	Letícia
542118	410104	Renata
542119	81095	Judy
542119	102957	Paulette
542119	318763	Brian's Girlfriend
542120	238380	
542121	259269	Nicolette
542122	128735	Herself
542123	159175	Dancer
542124	69391	Woman in Veil
542124	133343	Nurse Posse
542126	21628	Female Corpse
542126	83282	
542127	163034	
542127	269074	Sua sorella
542127	307067	
542127	326088	The secretary
542127	348133	
542128	49696	Blondie's girl in Socorro
542128	56360	
542128	63752	
542128	67890	
542128	88343	Striptease girl
542128	94680	
542128	127439	
542128	161535	
542128	168724	
542128	256788	Sebastian's and Isabel's moth
542128	294338	
542128	295145	
542128	295154	
542128	328831	
542128	329147	Bar-maid
542128	348210	
542128	355957	
542129	100391	Reportera #1
542130	234997	
542132	6269	Trish
542132	70842	Sheila #3
542132	185549	Diana Sloan
542132	316153	Vicky
542133	237995	Ernestina
542133	324202	Tamerlano, Kaiser der Tataren
542134	334199	Nicinska
542134	343822	
542135	103723	Young woman in the cinema
542136	13093	
542136	86060	Countess Olga
542136	94812	Bianca
542136	169844	Mädchen bei der Ankunft des H
542136	183149	La contessa Lydia Lamsky
542136	211304	Fiamma
542136	249400	
542136	265810	La giovane contessa
542136	342103	Maria
542136	348166	
542137	205231	Melle Jeanne
542137	382466	Felisa
542137	404914	
542137	409001	L'habilleuse
542137	412201	
542138	34646	Herself
542138	57384	Lana
542138	64759	Barbara
542138	70427	
542138	97172	
542138	114578	Alice Brandt
542138	117466	Maritza Petrovich
542138	129092	Journalist
542138	160317	Herself/Anya Amasova
542138	162996	Amanda Marvin Rackham
542138	164871	Anna Thompson
542138	165264	Major Anya Amasova
542138	175469	Anya Amasova
542138	197636	Maud Brewster
542138	200317	Herself
542138	202151	Mira
542138	207082	Rema
542138	207135	Agent judson
542138	214868	
542138	223076	
542138	247963	
542138	262652	Helen
542138	264154	Vanessa Valerian
542138	312170	Maj. Anya Amasova
542138	324893	Jenny
542138	334357	
542138	344905	Lady Agatha
542138	345431	Héloïse/Elvire
542138	348366	Bliss
542138	399974	Nausicaa
542139	1767	Herself
542139	31190	Herself (CBS Team)
542139	31192	Herself (CBS Team contestant)
542139	31195	Herself - CBS Team Contestant
542139	53959	Marcie, Lamborghini Babe
542139	64568	
542139	73331	Pam Weiss
542139	93831	Harry
542139	94983	Daisy Duke
542139	94985	Daisy Duke
542139	109142	Herself
542139	153250	Peggy Summers
542139	200215	
542139	207525	Kitty Wheeler
542139	208022	Alice
542139	213190	Natalie
542139	222653	Linda
542139	231555	Sue
542139	232017	Herself
542139	236995	Benefit Reporter
542139	270903	Capt. Murdock
542139	274609	Sue
542139	316133	Lara, the Guide
542139	316644	Tamarra
542139	332080	Melody
542139	342216	Herself (The Dukes of Hazzard
542139	356350	Herself - Choir Member
542139	364070	Trisha Parker
542139	379380	Margo Dutton (1991-1994)
542139	387095	Daisy Duke
542139	387096	Daisy Duke
542140	46926	
542140	124657	Anel
542140	148023	Erika
542140	257130	
542140	310039	
542140	351663	
542140	371782	
542140	379457	Julieta
542140	380104	Cecilia
542140	380445	María Ignacia 'Güera' Rodrígu
542140	380839	Camila
542140	381156	Irene Saldívar Teodorakis
542140	382378	Magdalena
542140	383827	Gilda/Liliana/Delia/La Chacal
542140	384632	Peggy
542140	385875	Florencia
542140	387577	Catalina
542140	390127	
542140	398480	
542140	402321	Vicky
542140	403365	Joanna
542140	405834	Chelo
542140	410015	
542141	355987	Judy
542142	40083	Girl in Dune Buggy
542143	88410	Joanna
542144	207586	
542145	10813	Dream Child
542146	24315	Amandine
542146	66227	L'infirmière
542146	100242	
542146	120979	Léone Gravet
542146	164161	
542146	248888	Cécile Moriantes
542146	261468	Caroline
542146	345176	Marie
542146	400631	Agathe Monnier (2000-????)
542147	34311	Annas Mutter
542148	14131	Bathroom Girl
542148	185624	Felicia
542148	196889	Delivery Girl
542148	409226	Irene (1999-2001)
542149	24790	Miscellaneous Family Member
542150	324257	Herself - Pharmaceut, tidlige
542151	125880	Daisy
542151	388765	
542152	245338	
542152	245339	
542153	8980	
542154	201099	La mère
542155	146728	Anna
542155	334636	Brigitte Paoletti
542156	44575	
542156	223380	Cheerleader
542157	240838	Beauty Salon Boss Lady
542158	39404	Mrs. Santini
542158	89288	Mrs. Reynolds
542158	222783	Barb Fletcher
542160	5470	
542161	19170	Samantha
542161	56619	Libby
542161	219184	Marie
542161	381442	Kay Morgan (1991-1992)
542161	411802	Mari Jo Mason #1 (1995)
542162	75560	Sarah
542162	232032	Susan
542163	30646	Talk Show Audience
542164	75594	
542164	139910	Ann
542165	18531	
542165	34311	Anna Bach
542165	142085	Redakteurin
542165	187593	
542165	248508	Lilith
542165	351932	Venus Siebenberg
542165	352220	
542165	384368	Hannah Fink
542165	404184	Charlotte Busching
542165	405753	Katharina Wagenfeld
542165	410515	Karen Blumenberg
542166	234826	Pige/Girl
542167	10291	
542167	25142	
542167	34072	Mme La Tour
542167	43679	Yvonne
542167	77357	Lisa
542167	111105	
542167	157228	Une camarade de Jacqueline
542167	161568	Une danseuse
542167	165240	Dorothée
542167	214239	Chantereine
542167	249082	Barbara, la brune en robe rou
542167	249780	
542167	258250	
542167	269756	Dorothée
542167	346663	Sylvette
542167	380836	Sylvie
542167	396597	Mme Berquin (segment "Un plat
542168	32377	Secretary
542168	218054	Britta
542168	312072	Receptionist
542169	304799	
542170	202230	
542171	105621	The Mom
542171	387009	Mrs. Rapowski
542172	461	Helga
542172	4775	Mary Piper
542172	14837	
542172	19263	Sexy
542172	68991	
542172	81089	Marlene
542172	82880	Susanne Berger
542172	84278	Dorte Hansen
542172	93941	Adelsdatteren
542172	95822	Else
542172	99510	Olafs forsvundne kæreste
542172	104646	Betty Johnson
542172	111349	Birgit
542172	128993	Marina
542172	144101	Rosalinde
542172	147539	Vivi Sörensen
542172	156983	
542172	181002	Inge
542172	181237	Therese Schrøder
542172	204457	Birgit
542172	220707	Christina
542172	241975	Eva Erdner
542172	255671	Jonna Møller
542172	255679	Gæst i resturant
542172	256778	Agnes Goddard
542172	261470	Barbi Lothar
542172	290121	
542172	293699	Marianne
542172	303891	Karen Sloan
542172	322952	Kirsten
542172	326059	Gerti Brückner
542172	347658	Susi
542172	347659	Susi Güden
542172	352312	
542172	352502	Nichte Loni
542172	361408	Evelyn Bender
542172	366561	Marisa
542172	398624	
542173	109877	Debra Wilkins
542174	82003	Vishal's Sister
542174	95038	
542174	174799	Pramila
542174	271581	Preeti
542174	322696	
542175	1038	Dancer
542175	12338	Salsa Dancer
542175	59665	Treasure Chest Dancer
542175	131380	Demented Hills Dancer
542175	150075	Hip Hop Dancer
542175	192748	Confessional Dancer #2
542175	233560	Herself
542175	235052	Texas Dancer
542175	391013	Bombshell
542176	295826	Sex Monster Dancer
542177	17102	Luna
542178	183895	
542178	215388	
542178	222317	Hotel cleaner
542178	295435	Salim's Neighbor
542178	314135	Servant
542179	184012	
542180	328273	Mère Sarah
542181	132777	Herself
542182	62542	Janet
542182	364344	TV woman
542183	144697	Student
542184	286529	Messy Brides Maid
542185	212333	Herself - Participant/Perform
542186	29910	Møteleder TV2
542186	48700	Line
542186	395375	Helene
542187	266908	McGrane's Wife
542188	401891	Herself
542189	14480	
542189	51391	
542190	88067	
542190	129247	
542190	279709	Succo's mother
542191	2252	(segment "Exclusion, L'")
542192	2252	(segment "Exclusion, L'")
542193	283242	Ingrid
542195	40113	Carla
542195	53205	Dean Carson
542195	73213	Audrey Brandon
542195	96670	Claire Elliott
542195	105975	Elaine
542195	122674	Elizabeth Wunderlich
542195	123852	Jane Rodgers
542195	127114	Irene Winters
542195	143355	Marcia
542195	145829	Dot Stanley
542195	148590	Collette Rose
542195	155017	Redhead
542195	177392	Elsie Pringle
542195	183760	Princess Nirvena
542195	184094	Irene
542195	200488	Vera Lane
542195	203006	Ruth Warnecke
542195	260864	Muriel Chaney
542195	291082	Tony Collison
542195	292855	Sudan Ainger
542195	308923	Laura
542195	312044	Jean Loring
542195	346245	Marcia Conroy
542196	40571	Herself
542196	193392	Herself
542196	336929	Herself
542196	345048	Herself
542198	60214	La mère de Merwan
542199	116596	Voz Operador 110
542199	322403	Chica de Equis
542200	99233	Herself (Elisabeth's sister)
542201	112136	
542202	119243	Mammy
542202	374326	
542203	119242	Noschi
542204	406270	Tochter Habermanns, "Max"
542205	29576	Barabanchitzata, zhenata na b
542205	401684	
542206	229852	
542207	18518	
542207	53220	Alice Hopfenmüller
542207	259626	
542207	290449	Gaby
542207	325926	Brotzeit Moni
542207	395667	Erika
542208	42153	Stella
542208	144163	Wanda
542208	247347	Zosia Horeszkowna
542208	308254	Anke
542208	322000	Anna Stogowska 'Biruta'
542208	369005	Zosia
542208	398874	Anna Bochenek (2002-2004)
542209	144789	Alien Stormtrooper
542210	115562	Rockette
542211	51258	Starenka
542212	67606	Hooker
542212	274363	Amber
542213	257650	Herself (Miss April)
542213	257842	Herself (Miss October 1991)
542214	188407	Judy
542214	299466	Fast Food Cashier
542215	358226	Herself
542216	357032	Marina
542217	147534	Principal Model
542218	315259	Annie
542219	378033	Edda
542220	153865	
542221	49281	
542221	66054	Maibohm
542221	171846	Silke
542221	180712	Bettina
542221	185929	Ärztin
542221	204414	Lilly
542221	281656	Kerstin Wessels
542221	290116	
542221	301496	Iris
542221	325461	Tine
542221	329854	
542221	334609	Maria
542221	352500	Martins Frau
542221	379234	Marion Bachmann (1993-2001)
542221	379372	Helga Mauer
542221	389361	
542221	393878	
542221	395503	Regina Weber
542221	405807	Polizeioberkommissarin Antje 
542221	405902	Sommer
542221	410165	Eva Vierstein
542222	410142	Harriett Smithson
542223	31625	Lucie
542223	142078	Cora Beck
542224	118108	Performer
542224	363514	Herself
542225	103201	Miembro del Jurado
542225	401881	Integrante del Jurado
542225	401890	Herself-Member of the Jury
542226	97983	
542226	247592	
542227	226508	
542228	173689	Elena
542228	226191	Elka
542229	276219	
542230	14416	
542230	200408	Kranistkata
542230	212295	Maykata na Nadya
542230	242462	Dokya
542230	244214	Maykata na Yana
542230	258128	
542230	262496	
542230	265015	Anastasiya
542230	317293	Gana
542230	332955	
542231	373242	
542232	229155	
542232	303735	Raya
542233	19199	Sandra
542234	393999	(English version)
542234	404771	Yunseryua/Muinishu/Marca
542235	28375	
542236	68780	
542236	409092	
542237	399005	
542238	122204	Woman in Resturant
542238	183590	Rental Clerk
542239	16686	Miss South America
542240	234568	
542240	291302	The Renegade Ohms
542241	177935	
542242	92324	Cottage Officer
542243	132053	Patsy
542243	189577	Traudl
542243	240521	The German Girl
542244	214171	
542245	12319	Party Guest
542246	321652	Courtney
542247	122781	Sarakael
542247	317645	Louise
542247	388757	Various roles (2001)
542247	392322	Sofie Olsen
542248	66288	
542249	87857	
542250	18085	
542251	47397	Religiøs hysterisk
542251	50241	
542251	98426	
542251	106806	Den gamle damen
542251	120847	Tjenestejente
542251	219879	
542251	254250	
542251	303691	Fru Huseby
542251	335504	
542252	154687	Harriet Larsson
542253	172763	Herself
542253	382689	Host (1993-1995)
542253	391213	Host (1990)
542253	398433	Host
542253	407377	Herself
542254	93159	Nurse
542255	203178	Serving Woman
542256	34953	Kitty Rawlings
542256	56720	Ada (farmer's wife)
542256	67559	Harriet Jenkins
542256	67598	Mrs. Mayland
542256	110298	
542256	122743	Hedda Hopper
542256	129583	Mrs. Doris Poole
542256	137453	Dentist
542256	154740	San Quentin Nurse
542256	163358	Sally Meriden
542256	174508	Miss Grantland
542256	306298	Miss Ogelvie
542256	329527	Miriam
542256	343295	Offended Phone Operator #1
542256	348328	Swedish Immigrant Girl
542256	366236	
542256	367807	Mrs. Foster
542257	236184	Barbarina (soprano)
542257	374132	Papagena
542258	366418	
542259	22844	Grete Vedel
542259	59726	Elly (Steffens tante)
542259	99592	Fin dame
542259	154236	Gerda
542259	182276	Lenes mor
542259	198282	Forstanderinden
542259	252058	Joan
542259	283218	Passinger
542259	283483	Fru Clausen
542259	332734	
542259	351046	Mrs. Abel
542259	382884	Madam Bierfeldt
542259	388757	Various roles (2001)
542259	397074	Musse Skjold-Hansen
542260	46804	Margaret Lofty
542261	46804	Margaret Lofty
542261	279734	Nicole, Roger's Mistress
542261	299855	
542261	393934	Rosie Greenwood
542262	66584	Weather Girl
542263	61947	June Farrell
542264	681	Siv Jonsson
542264	105362	Signe
542264	115395	Maj Blomkvist, nurse
542264	120139	Office Girl
542264	122462	Britta, Ingrid's workmate
542264	134943	
542264	154607	Nurse Karin
542264	172784	Charles' Wife
542264	182286	Ann-Mari
542264	192657	Louise Haverman
542264	228386	Eva's Mother
542264	228410	Elsa Johansson
542264	237260	Aina Wickman
542264	241182	Barbro
542264	259007	Mrs. Elsa Bergström
542264	284387	Vera
542264	303207	Kerstin's mother
542264	303653	Kerstin Hagwald
542264	310254	
542264	312224	Miss Adolfsvaerd
542264	314765	Marianne Lundahl
542264	315352	Annemari Tirén
542264	354440	Greta
542264	377330	Ellen
542264	377382	Gertrud Grijp
542265	1390	Polar Bear Woman
542265	79835	Mandy Young
542265	133728	Charkie's Water Ballet Perfor
542265	134514	Eve
542265	134515	Victim
542265	165961	Christine 'Chrissie' Watkins
542265	165975	Herself
542265	201882	Herself
542265	316207	
542266	144083	Girl
542267	175727	
542267	182215	
542267	182298	Waitress at second bakery
542267	229543	
542267	250433	Opettajan rouva (teacher's wi
542267	283591	Manor hostess
542267	321924	
542267	343509	Emma Halme
542267	352895	
542267	371657	
542267	410177	
542268	870	Páll's Wife
542268	260103	Vala
542268	290579	
542268	377457	
542268	395358	Vala
542269	16806	Angela Anders
542269	20405	Rödhåringen
542271	103040	kabareelaulajatar Lussie Dalt
542271	175728	täti Bernhard
542271	187055	Sanni Huurros
542271	236791	Leena, Eeron äiti
542271	282516	Arviida Ekström
542271	356233	Arabella Andersson
542272	34035	Zara
542272	94341	Hitchhiking old lady
542272	320727	Marie, maid
542273	137899	Gertrude
542273	193603	
542273	193615	Maud Murphy
542273	206423	
542273	308345	Miriam Myers
542273	342972	Liza
542273	347410	Mary Myles
542274	125285	
542275	350990	
542276	258786	
542277	334154	June Hines
542278	152361	Host
542278	152362	Herself - awards presenter
542279	381086	Vickie (1957-1958)
542280	18724	Mrs. Keon
542280	32561	Cashier
542280	41085	Mrs. Jones, Housewife of Amer
542280	41090	Angry Neighbor Who Had Pies
542280	57217	Mrs. Warren the neighbor
542280	64729	Bertha Anderson
542280	70534	Martha Bassett
542280	93101	Edna
542280	116891	Imogene, Crandall & Avery's S
542280	117485	Sylvia Morse
542280	154476	Older Woman
542280	183706	Miss Sullivan
542280	183721	Nurse
542280	196963	Toy-shop Clerk
542280	200462	Matron
542280	206110	Duenna Concepcion
542280	218704	Villager
542280	219917	Mildred Tracy
542280	220901	Mrs. Petherby
542280	224003	Miss Peel
542280	233684	Nurse
542280	234220	Mrs. Wynn
542280	275859	Nurse
542280	300515	Townswoman
542280	308614	Mrs. Parry
542280	313118	Guest at Ritchie Home
542280	318192	WAC Maj. Cheever
542280	323380	Saleslady
542280	323968	Townswoman
542280	330148	German Secretary
542280	335614	Woman
542280	372081	Attendant
542281	40077	Miss Brady
542281	90353	Herself
542281	127714	Herself
542281	133705	Mrs. Rieber
542281	142552	Mrs. Webster
542281	147524	Connie McDougal
542281	200122	Edna Benson
542281	209604	Bossy Wife
542281	304096	Nurse
542281	382260	Cora Dithers
542282	381821	Ensemble (1981-1984)
542283	195540	Margie
542284	99288	Child Elizabeth
542285	35064	The Mother
542285	182583	Gunhild
542286	113319	Waitress
542287	20011	Countess Helenka
542287	24769	Grace Stillwell
542287	37946	Anna aka GoGo
542287	60305	Yvonne
542287	65367	Madame Daruschka
542287	78175	Tania Gregory
542287	88832	Lou
542287	92076	Bit
542287	92295	Baroness Eloise von Burgen
542287	117753	Lilly Harlow
542287	119338	Cleopatra
542287	133698	Savarova
542287	176042	
542287	179339	
542287	198149	
542287	203129	Sonia Barondoff
542287	203536	Duchess Josiana
542287	258434	
542287	302093	
542287	316678	Annie
542287	327143	
542287	331605	Baroness Hilda Brings
542287	336430	
542287	341328	Maruska
542287	351347	
542287	367294	Olga
542287	367451	Bit
542287	373650	
542287	374780	Title role
542288	187969	
542290	38065	The Voice Of Natasha
542291	252211	Insecure Gal
542292	166917	Cleo
542292	379967	
542293	264756	Satan's Sinner
542293	295798	Night Club Hostess
542294	396088	Sally Bridgeman Rollins (1969
542295	8216	
542296	364320	Herself (University of Michig
542297	264444	Cafe Dancer Maxine
542298	229687	Lady Nelson's maid
542299	45838	Nurse-Matron
542299	64524	Mrs. Scott
542299	71656	Matron
542299	204021	Mrs. Paul
542300	17928	Doris Capstick
542300	185516	Woman Picker
542300	195300	Natalie's mum
542300	263970	Applecart Lady
542300	381685	Lily
542300	392808	Woman at Pharmacist's
542300	400516	Female transvestite
542301	341224	Narrator
542302	162364	9 Year Old Rebecca Leighton
542303	91929	Party Flower
542304	40692	Kate Collins
542305	61230	Gert
542305	74756	Matron
542305	82271	
542305	91799	Mrs. Binks
542305	117115	Mother
542305	131391	
542305	164501	Fat woman
542305	183691	
542305	218317	Mrs. Rose
542305	240812	
542305	260143	Ethel, the barmaid
542305	266714	Landlady
542305	278078	Mrs. Winterbottom
542305	292123	Mrs. Whittaker
542305	327688	
542305	330841	
542305	348313	Maggie Entwhistle
542305	363202	Lottie Grady
542306	81784	Bit part
542306	372093	Dancer
542307	377055	Cliente de la FNAC 2
542308	73325	Nicki
542308	116673	Dianne
542308	295565	Stacey
542308	386869	Crystal Reynolds
542308	395523	Judith
542309	255654	Kid #1
542309	402234	Additional Voices
542310	312041	Peggy Snow
542311	169387	
542311	221297	Contestant
542312	251771	Nadine
542313	323443	Housewife
542314	136448	Herself - Greenpeace, Phillip
542315	272927	Hooker
542316	166349	Charlotte
542317	91735	Ruth
542317	342531	Vonda
542318	163263	
542319	381520	
542320	7460	Tata Bernarde
542320	32034	Une femme
542320	71835	
542320	96219	
542320	115360	
542320	117952	
542320	156321	La mère de Roger
542320	205586	Mme Vaureil
542320	254082	La voisine
542320	268825	The grocer
542320	274709	Mme Mozza
542320	328406	Marcelle Bordenave
542320	341384	Paulette
542320	341546	Mme Fenot
542320	345109	
542320	388723	La femme de l'aubergiste
542320	389271	(segment "Joseph")
542320	395620	Marguerite (segment "François
542320	397088	
542321	43112	Ildi
542321	163173	Ilona
542321	174279	
542321	349779	
542322	355565	Péter lánya
542323	174279	
542324	19018	The woman
542324	160368	Juliet
542324	203286	Florist
542325	125641	Juli
542325	229251	
542326	122454	Piókás szüle
542326	137757	Juli,házvezetõnõ
542326	139500	Hadayné
542326	322111	Sósné
542327	209839	
542328	402164	
542329	58358	
542330	318730	
542331	149142	Lady Attacker
542332	320659	
542333	3073	Frances
542333	287732	Virgen del Caño
542334	126697	Annie's Mother
542335	91166	
542336	320513	Mother
542337	51377	Journalist
542338	46599	
542339	106023	Naomi
542341	284518	
542342	104681	Rusty's French Girl
542343	227549	Shoney
542344	293355	
542345	256654	
542345	356945	
542346	357636	Janinka
542347	122638	Angela Cocci
542347	314203	Stevie
542347	365809	Mother
542348	124031	
542349	60142	Empleada de Aduana
542350	150880	Carrie Berkowitz
542351	6082	
542352	316298	School Child
542353	401208	Carina
542354	381455	Newsreader
542354	383896	Herself - Anchor (1989-1998)
542355	20491	Louka
542355	64712	Bit Part
542355	78860	Dark Lady
542355	127224	Julia Price
542355	211614	Mistress Page
542355	234033	Mrs. Harris
542355	268156	Mrs. Pearce
542355	269086	Mrs. Garnet
542355	282075	
542355	285324	The Girl
542355	310661	Helen Stoner
542355	331121	Charlotte
542355	335098	Mrs. Wilkins
542355	375799	Mrs. Ramsey
542355	389261	Special Guest (episode one)
542355	396964	Mrs. Gamp
542355	398392	Mrs. Jorrocks
542355	400080	Mrs. Jarley
542355	409666	Mrs. Kate Bridges, cook (52 e
542356	6939	Irene Chesney
542356	20218	Madame Adelaide Bonfamille
542356	33644	Miss Drownder
542356	40036	Hetty
542356	40976	Grace, Gran's friend
542356	47028	Ida Arnold
542356	51481	Mrs. Flower
542356	56468	Polly Eccles
542356	71300	Mrs. Collins
542356	71656	Del Mar
542356	79341	Calamity Kate
542356	80992	Eve Prohack
542356	88557	Vanessa Cartwright
542356	106176	Penelope
542356	136023	Mavis
542356	138661	Mrs. Worth
542356	139483	Marie Dressler
542356	142387	Mme. Louise Menstrier
542356	154648	Mrs. Lomax
542356	159584	Maudie
542356	163199	Doss-house keeper
542356	167111	Mrs. Satterly
542356	177816	Miss Meryle
542356	188355	Mrs. O'Grady
542356	206385	Jeannie MacPherson
542356	206881	Ellen
542356	213167	Dora Hammer
542356	233929	Mrs. Waters
542356	249921	
542356	255261	Mrs. Bardell
542356	269086	Beatrice Sunbury
542356	270776	Princess
542356	281413	Elspeth
542356	282607	Barmaid
542356	291487	Mrs. Cratchit
542356	292531	Auntie Shrew
542356	296732	Melody Lacey
542356	308601	Mrs. Ibbetson
542356	329952	Daphne Drimond
542356	329960	Gypsy Sarah, fortune-teller
542356	330699	Edwina Gaylord
542356	333245	Emma Stebbins
542356	335073	Sally Harrowell
542356	347681	Buttercup Grogan
542356	348377	Monique
542356	367510	Mrs. Finch
542356	367903	Grace
542356	379418	Mistress Quickly
542356	381552	
542356	383446	Mrs. Martha Burkhardt #1
542356	390329	Grace Dutton
542356	395735	Kezia (1977-1979)
542356	397134	Mrs. Nell Naugatuck (1974-197
542356	405022	Melody Lacey
542356	406043	Ald. Mrs. Beddows
542357	350402	Vanessa
542358	133475	Teenage Girl #1
542359	6219	Orlean Dinner Guest
542360	367678	Mrs. Brookes
542361	347969	Mrs. Blackmer
542362	342	
542363	254283	Dance Team Member
542364	93884	Grandmother
542364	96061	
542365	283551	Lorraine
542366	99375	
542367	65786	Angela
542367	66911	Flora Poste
542367	71479	Mrs Evans
542367	105135	Joanna Snow
542367	118917	Elizabeth
542367	139486	Moira Wingrave
542367	141731	Lady Julia Fish
542367	171297	Queen
542367	177340	Goneril
542367	194130	Society Lady
542367	195168	Louise
542367	221245	Sally Selton, Lady Rosseter
542367	222748	Mrs. Berkley
542367	235519	Nicole
542367	258005	The Widow
542367	297912	Virginia
542367	299731	Ida Nettleby
542367	324236	Katherine
542367	331611	
542367	379370	Jane Bonamy
542367	385627	Lady Molly (segments film two
542367	393001	Babs
542367	396081	Lady Kroesig
542367	400709	Lizzie Eustace
542367	401224	Baroness Weber
542367	405677	Hilary Swallow
542367	407826	Rachel
542367	408091	Felicity Stokeleigh-Pomeroy
542368	42388	Gallery Owner
542368	348641	Pagma
542369	244012	
542369	259672	
542369	325928	Shirin Bicici
542369	359461	Serviererin
542370	131359	Mother's Child
542371	34135	
542372	282024	Lee Ruth
542372	342909	Kyra Rockmore
542372	388672	Herself/Panelist
542372	390788	Vanessa
542372	394306	Kyra Rockmore
542373	55716	Girl Nosha
542373	179988	Segi
542373	195464	Skyline Waitress
542373	196134	Barbie Reynolds
542373	198977	Felicity Rae Ingram
542373	270896	Godwin's mother
542373	384097	Jan Stevens (1989)
542373	396106	Barbie Reynolds
542374	255927	
542375	41282	Katie
542376	40518	
542376	125187	Gesine
542376	259523	
542376	317579	Elke
542377	98819	Herself (Associate Justice, U
542377	383802	Herself
542378	236751	Mademoiselle
542379	190796	Girl at Bar
542380	98625	
542381	194609	Herself (Secretary, Friends o
542382	116953	Abby
542383	107842	Witness
542384	330061	Herself - Theremin Dancer
542385	130848	Passenger
542386	65809	Joan
542386	67833	Elvira
542386	72469	Dotty
542386	97463	Interviewer
542386	280737	Motel Manager
542386	408971	Mary Alice Evatt
542387	334996	
542388	140953	Transit reporter
542389	248735	
542390	93741	Giovanna
542390	199820	
542390	227587	
542390	292969	
542390	301175	Licia
542391	10322	Fabiana
542391	61103	Trielina
542391	236801	Ramona
542391	248056	Herself
542391	256450	Maria Cariddi
542391	274895	The Queen
542391	392738	Sonia Laris
542391	392743	Sonja Laris
542392	7528	Dolores Bancic
542392	15057	The Female Student
542392	40261	La jeune femme
542392	59213	La suivante fille du Seigneur
542392	91461	Jeannette Meydieux
542392	258868	Olga
542392	314083	Erna Wolfgang
542392	344438	Fana
542393	57836	
542394	195099	
542394	208815	
542394	286268	
542394	351497	
542395	149198	Physical Therapist
542396	233921	Kelly's Girlfriend
542396	267174	Audience Participants and Hec
542397	61768	Judith
542397	137031	'Cybersports' and Skaters
542397	310728	Passenger #1
542397	318763	Woman in Car (Victim #6)
542398	386970	Two Lodges
542399	66954	Receptionist
542400	74284	Kulada
542401	251812	Cowherd Girl
542402	13240	
542402	26265	Helen, the Baby
542402	26274	
542402	26292	The Baby Bride
542402	26445	
542402	30362	
542402	34015	
542402	36847	
542402	37324	The Baby
542402	47868	The Baby
542402	48655	
542402	50635	
542402	53782	Nell's Little Sister
542402	89251	Baby Helen
542402	91524	Dottie's New Doll
542402	113978	Billy
542402	117618	
542402	120810	Georges, Frou Frou's son
542402	128367	
542402	135566	The Guilty Baby
542402	141256	The Poor Little Girl
542402	192029	
542402	213873	Pauline Avon, as a child
542402	216934	Virginia Deane, age 6
542402	221331	
542402	223692	The Baby
542402	261687	Peggy's Sister
542402	263486	The daughter
542402	315167	Little Alice
542402	333579	The Little Girl
542402	362934	
542402	363154	Herself
542402	376014	
542403	77828	Wendy (Claudie, french versio
542404	363154	Member of Traveling Crew
542405	210721	Flakey Girl
542405	350243	
542406	7585	Herself
542406	70238	Herself
542406	110318	Herself
542406	188389	Chrissie
542406	244933	Mrs. Nutbush
542406	330866	Willie Starr
542406	334212	Jean Louise 'Scout' Finch
542407	101270	Herself
542407	401885	Herself (2002)
542408	29817	Aurora Boval
542408	110224	Chica Policía
542409	104221	
542410	104221	Djou
542411	136262	
542411	210624	
542411	223732	
542411	251230	Herself
542411	392772	Host
542412	15013	La fille du patron du bistrot
542412	23796	Agathe
542412	33088	Celestina
542412	43705	
542412	51807	Marie-Laure, la secrétaire de
542412	53894	
542412	59261	La Poule blanche
542412	68401	
542412	71528	Odette
542412	77338	Nanine
542412	96227	Henriette Corniche
542412	97732	
542412	115188	Eugenie, Hotel Coq Dor Maid
542412	135344	Bernadette Pluvier
542412	148749	La patronne du bar
542412	148769	
542412	166179	
542412	167243	Berthe Dolle
542412	169716	
542412	170421	Marie
542412	197173	Miss Sool
542412	197765	Adeline Ravoux
542412	200970	Lucienne
542412	201170	Marthe
542412	202340	Le commissaire du peuple
542412	205621	Franchette
542412	211630	
542412	217705	Mme Veestrate
542412	222830	Claudie
542412	247157	Mme Edgar
542412	248251	Sophie (segment "Résidence du
542412	250507	Jeannette
542412	251543	Ingrid
542412	256872	Mme Brichaud
542412	291105	Verra (Voice)
542412	307129	Félicie (segment "Boulingrin,
542412	326165	Conception
542412	338003	La paysanne
542412	338592	La serveuse
542412	345145	Jacqueline
542412	346586	Valentine
542412	349421	La manucure
542412	350741	Lucie
542412	353839	Geneviève Lacoste
542412	356496	Louise
542412	367620	Prostitute
542412	377485	Katherine
542412	384216	
542412	388311	Fernande
542412	397682	Tante Marthe
542412	398099	Mme Cartier
542412	400050	
542412	403826	
542412	404153	
542412	406917	Madame Truquoise
542412	410420	Epouse de Bonaparte
542412	412203	
542413	17796	Monica Rose
542413	70370	Mallory
542413	126104	Girl with Bobby
542413	214463	Dana
542413	221306	Joanie Gerard
542413	279420	Betty the Waitress
542413	280438	Donna
542413	307988	Toni
542413	336748	Lexi Davis
542413	355543	
542413	359194	Celia Zimmerman
542414	137099	
542415	385947	
542416	112795	
542417	165033	Anicka
542418	219572	Donna Teresa
542419	14664	
542419	14717	
542419	69697	Juana de Anjou
542419	81600	Pilar
542419	101821	
542419	103610	
542419	113298	Sofía
542419	121312	Maruja
542419	161850	Enfermera
542419	162104	Sor María Jesús
542419	165022	Yvonne
542419	205010	
542419	212411	
542419	334660	Leonor
542419	334673	Sor Inés
542419	349545	Madalen
542419	355201	
542419	401613	
542420	264945	
542421	15251	L'Africaine
542422	104221	Okonoro
542423	339673	Mihova sestra
542424	1849	Tim's Mother (Pat)
542424	16005	Mary
542424	16878	Lady Alabaster
542424	32122	Psychologist
542424	35640	Nurse Wrekin
542424	54657	Maggie
542424	57161	Katherine
542424	62171	
542424	62995	Mrs. Fezziwig
542424	66121	Stella
542424	73855	French woman on bus
542424	75699	
542424	125880	Mrs. Pinkton
542424	134634	Connie Babblehump
542424	135727	Farmer Grultrud's wife
542424	147608	Martyn's barrister
542424	148848	Rose
542424	159075	
542424	164336	Griselda Fishfinger
542424	178273	Cook
542424	178883	Mrs. Harris
542424	183235	Piggy Fassbinder
542424	183239	Piggy Fassbender
542424	185185	Jenny
542424	192171	Cook
542424	192349	Sadie
542424	194797	Confusion's 4th Wife
542424	208694	Mrs. Stannidge
542424	221215	Cook
542424	224221	The Head Nurse
542424	226902	Tap Dancing Pupil
542424	245089	Operator
542424	258550	Gladys Martin
542424	258931	Mrs. Spriggs
542424	274473	Brown Owl
542424	285033	Sister Mercy
542424	292643	Marlene
542424	321967	Linda
542424	354541	Lily
542424	380568	Shine
542424	382178	Dolly Buckle
542424	385455	Brawdie Henshall
542424	391769	Brenda
542424	392880	Nurse
542424	396580	Willow
542424	398582	
542424	400087	
542424	400110	Chertsey Cook
542424	401429	Vera
542424	402607	
542424	405706	Big Smithy
542424	408951	Christine
542425	31201	Herself (NBC Team)
542425	39919	Shelby Collins
542425	72099	Dana Noble
542425	96936	Jade Anderson
542425	114283	Karen Watson
542425	193017	Lucia
542425	243699	Julia
542425	252123	Katie Pinter
542425	328520	Pam
542425	346119	Sandy Torrence
542425	349231	Diana
542425	384529	Mrs. Elizabeth Peacock
542425	386603	Natalie Bell #2 (1981-1982)
542425	388237	Meredith Braxton (1986-1987)
542425	397917	Shannon Reed (1989-1990)
542425	400236	Melinda Cramer Janssen #2 (19
542425	409738	Diana
542425	409744	Diana
542425	409745	Diana
542426	148423	Nurse Simpson
542426	188326	Bubbles Malone
542427	8265	
542427	14548	
542427	33267	
542427	52879	
542427	65552	
542427	67513	
542427	68991	
542427	73380	
542427	217769	
542427	236419	
542427	252684	
542427	283675	Kenny
542427	300828	
542427	307337	Una Signora
542427	311065	
542427	315437	
542428	290902	Jo:
542429	80253	Monja 1
542430	320734	
542431	78977	Rebecca's Mother
542432	15995	Girl
542432	374495	
542434	232861	Lee Chang
542435	181359	Jakub's Mother
542436	103899	
542436	274494	
542436	288620	Lilia's Neighbor
542437	233249	
542438	5297	Fatma
542438	6190	
542438	22206	Yasmina's aunt
542438	76909	
542438	147081	Samira
542438	210772	
542439	1807	Evin
542439	48322	Samira
542440	693	Herself/Commentator
542440	2394	Herself
542440	2516	Herself (performer)
542440	42055	Queen Mousette
542440	63832	Rose Rose
542440	103019	Herself
542440	103906	Herself
542440	150891	
542440	347880	Herself
542441	397589	
542442	322403	Mujer padre Moron
542442	397013	Felicia
542442	397623	Irina
542442	401913	Carmen
542443	58190	
542444	180909	
542444	286823	Rosa
542444	308231	
542444	325955	
542444	332619	
542445	58431	Lali
542445	86252	Shorena
542445	188876	Marine
542446	270949	Farmer's Daughter
542448	97149	
542449	119023	Madame Grosjean
542450	166087	
542451	131	
542451	374585	Vivian
542452	375946	
542453	278708	L'employée de banque
542453	345194	La maîtresse
542454	61946	Jina
542454	125952	
542454	128039	
542454	166803	
542454	167604	Park Seong-yeon
542454	205493	Namoo's Mother
542454	227401	
542454	371389	Angel Gabielle (Korean versio
542455	43044	Cha Yeong-mi
542455	43387	Jeong, Hyeon-jae
542455	60599	Nam-ok
542455	114982	Hyeon-nam
542455	132378	Tae-hie
542455	135238	Jeong Geum-sun
542455	278435	Eun-suh
542455	335185	Izumi/Dejawa
542455	341439	
542456	204114	Princess Poplar
542457	318849	Young-mi
542458	165533	
542459	76663	
542459	153454	
542460	20061	Changhee's mother
542460	371389	Mary Magelene (Korean version
542460	405862	
542461	107806	Various
542462	338413	
542462	390812	Patrizia Bachmann-Gerner (200
542463	397888	Herself (2002)
542464	259489	
542465	6442	La pute
542465	8152	Paule
542465	15041	Olivia
542465	15071	Rose
542465	17114	Sandrine
542465	24683	Mother
542465	43767	Alexandra Thibaudat
542465	48124	Yolanda
542465	57262	Nadia Leforest
542465	83381	Valérie
542465	94869	Stella Garnier
542465	112893	Hélène
542465	113660	Sophie
542465	115345	Fanny
542465	115354	Karen
542465	115356	Agnès Bernon
542465	198638	Monique
542465	260026	
542465	288896	Aline
542465	288899	Aline
542465	300654	Marie Juvignac
542465	322760	Barbara
542465	360843	Clémence
542465	377061	Marie-Pierre Chénu
542465	377795	Corinne
542465	384737	Chesnais
542465	397857	Alexandra
542466	166815	Na-bi
542467	131273	
542468	29604	Kim, Yeon
542469	126818	
542470	43386	Grandmother
542471	373149	
542472	37595	
542473	397888	Herself (2002)
542474	379653	Hortensia de Arredón
542474	396209	Hortensia
542474	411710	
542475	330102	Jill
542476	315630	Alice Sherman
542477	310683	Wilhelmina
542480	97249	Carrie
542480	223713	Claire's Friend #1
542480	267503	Marsha
542481	270975	Millie
542482	130754	Girl
542483	169991	Nurse
542484	300533	Miriam
542485	326511	
542486	2178	Woman on the Beach
542487	137223	Dancer
542487	252506	Bethie
542487	306178	Lila
542488	72292	Melba
542489	90891	
542491	14152	Switchboard Operator
542491	61261	Tracy Vogel
542491	264719	Miss Phipps
542491	303264	Deborah Holt
542491	406793	
542492	61245	
542492	128600	Radio Announcer
542492	176848	ID Girl
542493	290789	Regiassistentin
542495	344638	
542496	362365	Undetermined Role
542497	31691	Beach girl
542498	169539	Clémentine
542498	265801	Liberté
542498	398843	Sorcière
542500	140088	The Mother
542501	319057	Lucy
542501	324049	Suzie
542502	409183	Herself/Apresentadora
542503	201409	Monica
542504	381911	Herself (2003)
542505	10559	
542505	182152	Rita
542505	215928	Fanny Kiekeboe/Lien
542505	348222	
542505	376188	Anne
542505	411311	Els 'Rachel Cohen' Jacobs (20
542506	351945	
542507	404810	
542508	1027	Magda
542508	50963	Strina Neda
542508	94082	Lelyata
542508	95640	
542508	126161	Bozhanitza
542508	133197	Strina Mitra
542508	156262	
542508	163939	
542508	187387	
542508	205432	
542508	230056	Donka
542508	294594	
542508	303116	
542508	305903	
542508	312442	
542508	324427	Lelyata na Kaevi
542508	326011	Gela Arnautkata
542508	334483	
542508	339257	
542508	349086	Zhenata na Ivan Ivanov
542508	357432	Starata karakachanka
542508	374472	Ana
542508	374794	Lelya Kera
542508	374864	Velichka
542508	404810	
542509	104831	
542509	228847	
542510	24681	Claire
542510	58414	Annie
542510	70325	Madeleine (Mother)
542510	101219	Sofia
542510	166171	Hélène
542510	168449	
542510	174166	Doriane
542510	200930	Germaine Piedboeuf
542510	208335	La jeune femme saoule
542510	265692	
542510	331005	Vanessa
542510	345554	Louise
542511	212666	Pulpo
542512	393833	Profesora Julieta
542512	397572	Diana Solís de Reyes
542512	410327	
542512	410477	Maribel 'sombrita'
542513	29293	
542513	37383	Herself
542513	55673	Herself
542513	57637	Herself
542513	90805	Herself
542513	95844	Herself
542513	111564	Herself
542513	139136	
542513	146640	Herself
542513	157942	Herself
542513	158447	Herself
542513	175537	Herself
542513	190023	Herself
542513	192508	Herself
542513	201752	Herself
542513	210657	Sängerin
542513	275604	Woman in White
542513	276657	Herself
542513	285380	
542513	302621	Herself
542513	305791	Herself
542513	310707	Herself (marches to Montgomer
542513	360451	Herself
542513	368159	Herself
542513	368160	Herself
542513	368162	Herself
542513	368170	
542513	383802	Herself
542513	389997	Herself/Interviewee
542513	407822	Herself
542514	2059	
542514	383291	Guillermina
542515	101618	
542515	236451	
542516	24206	Espectadora Fnac
542516	103646	
542516	145647	Policia 2
542516	235296	Teresa
542517	1017	
542517	48187	
542517	56289	
542517	80308	
542517	96284	
542517	115021	Herself
542517	236456	Mary Tere
542517	376815	
542517	410325	Herself
542518	392027	Esther Garcia
542519	398531	Host (1979-1980)
542520	34021	
542520	53261	
542520	251615	
542521	41316	First Woman
542522	10223	
542523	11251	Mashenka
542523	103370	Valerie
542523	108951	Bathsheba Everdene
542523	169135	Dinah
542523	176350	Princess Katey
542523	178902	Sandy
542523	194184	Paula
542523	238420	Melanthe
542523	265606	Irene Lloyd
542523	318967	Aideen Higgins
542523	380346	Kitty
542523	399531	Rose Grant
542523	403017	Ita Feeney
542523	407826	Rose Markham
542523	410672	Hetta Carbury
542524	30749	La Negra
542524	215465	Rosa Pasion
542525	325505	Maike
542526	198751	Young Samehe
542527	33773	Rosa Rubinsky
542527	50465	Ruby
542527	56893	Car Rental Girl
542527	103261	Lucy
542527	133623	Miss Baedeker
542527	199467	Corrine
542527	248087	Asheley Brooks
542527	279333	Janice
542527	364184	Ruthie Tresh
542528	116489	
542528	251616	
542529	146440	
542529	239266	
542530	197540	Lune
542530	345162	
542531	101221	Young Chi Chi
542532	114539	Yvonne
542532	204581	
542532	325422	Reporterin Mischke
542532	395667	Mary Sarikakis, geb. Dankor, 
542533	97479	Ann Pattison
542533	97480	Ann
542533	97481	Ann Pattison
542533	97482	Ann
542533	97483	Ann
542533	129742	Esther Tawane
542533	344737	
542534	314589	Sky
542535	81642	Lead Singer, The Alice Bag Ba
542536	210159	Hemangini's daughter
542537	317782	Chhalana
542538	19634	Chhoto Bou's daughter
542538	20096	
542538	28303	
542538	29402	
542538	233315	
542538	272180	Girl Rashmoni
542538	287534	
542538	298855	
542538	308450	
542538	312452	
542538	317782	Chalana
542539	5779	
542539	59350	Pianist
542540	322099	
542541	208679	Mrs. Cruz
542542	294673	Karoliine
542543	225438	Kisirma
542544	6596	
542545	269503	Chanteuse guinguette 2
542546	234954	
542547	399924	
542548	335937	
542549	179110	Waitress
542550	14369	
542551	144365	
542551	387832	
542551	400738	Rizza
542552	72116	Stripper
542553	105341	Tammy
542554	97388	Dancer
542555	304889	One of four children at beach
542556	104718	Herself
542556	104720	Herself
542556	104721	Herself
542557	104719	Herself
542557	104720	Herself
542557	104721	Herself
542558	248701	Sati
542559	113315	Courtney
542560	13365	Jean Peters
542560	24299	Alain
542560	59457	
542560	133442	Mary Lou
542560	238138	Aura
542560	256593	Maryam
542560	292039	Olivia
542560	316501	Telephone Girl
542560	389858	Maureen Morrissey (1982)
542561	145521	Satenik
542561	211231	Ruzan
542562	58713	
542563	112348	Pearl Haskell
542563	318999	Lizette
542564	2334	Anglo-Indian Lady on Landing
542565	150545	Herself - Boligsøgende
542566	76006	Silvina Perez
542566	76007	Silvina Perez
542566	82374	Cecilia's mother
542566	161668	
542566	329276	
542566	349461	
542566	376805	
542566	379890	Margarita
542566	379905	Esperanza Suárez González
542566	381029	
542566	381156	Laura
542566	381839	Adriana
542566	383333	Nora
542566	384770	
542566	385392	
542566	385484	
542566	388647	Elena
542566	396713	Eloísa Castañeda/Martha Casta
542566	397598	Sagrario
542566	400860	María Inés de Santos
542566	401093	Renee'
542566	402219	Miriam Arango
542566	405834	Cynthia
542566	409719	Paula Martinez
542566	409833	Laura
542566	410323	Alfonsina Dávalos de Larrea
542566	410477	Olga Vázquez de Gutiérrez
542567	256236	Jessie
542568	131654	Molly
542569	303285	Charity Peterson
542570	327337	Herself - Competition winner
542571	60967	Ellen
542571	135673	Gals and Pals
542571	164362	Jack's mother
542571	164786	Girl standing in line
542572	320617	
542573	390239	Herself - Host
542574	246024	Herself
542575	83078	Guvernante Clotilde
542575	225677	Gammel kvinde
542575	368732	Bedstemor
542575	395824	Karen 'Mor Karen' Thomsen
542576	166751	
542577	68266	Col. Morelli
542578	325280	Infant Nora
542579	103247	
542580	128759	
542580	264785	Girl in Lesbian Camp
542581	69053	Club Patron
542582	199140	Older Mrs. Miller
542583	65155	Mrs. Parrish
542583	164549	Mary (older)
542584	100210	Sophia the Hostess
542584	185079	Lauren
542585	7036	Susie Clemens
542585	9022	Nurse
542585	64090	Junior Leaguer
542585	69483	Singer
542585	76238	Mrs. Philips
542585	114836	Francesca
542585	147663	Herself--Junior Hostess
542585	165561	Hostess
542585	204708	Bit Part
542585	213820	Waitress
542585	216718	Peggy Clancy
542585	222733	Woman performer backstage
542585	231768	Sexboat
542585	241561	Party Guest
542585	277447	Guest
542585	282394	Salesgirl
542585	313317	Marie Santos
542585	329329	Miss Latin America (Good Neig
542585	331318	Chorus Girl (Framing Story)
542585	333300	June Prescott
542585	333386	Nurse
542586	69216	Voice of Monica
542586	86104	Dado's mother
542586	109087	
542586	162040	
542586	315439	Maria
542586	383491	
542586	385419	Lia Galanti
542586	386744	Sarah Sebastian
542586	392739	Anna Danesi
542586	392740	Anna Danesi
542586	392742	Anna Danesi
542586	404750	Giuliana
542587	85706	
542588	223711	Old Woman #2
542589	282043	Rosie
542590	282043	Rosie's Mom
542591	356472	Survivor #2
542592	11157	Vera West
542592	127822	Mother
542593	34748	
542594	8023	Mayor's Aide #3
542594	78084	Bank Teller
542594	203591	E. Watts
542594	232296	Reporter #2
542594	314503	Officer Sanders
542595	24607	Nurse
542596	75791	Patient
542597	285717	Nina
542598	348568	
542599	336613	
542600	196716	
542600	356224	
542601	27418	
542602	189852	Herself
542603	16539	
542604	95937	
542604	349366	
542605	204557	Dancer
542606	60852	Maggie Walters
542607	200919	Charity
542607	315516	Frightened Woman
542608	2781	Patti
542608	48413	Hope Fisk
542608	57654	Chekhov-Style Writer
542608	82321	One-A-Day Girl
542608	155213	Female Sloth
542608	177660	Beautiful Dancer
542608	212837	Antoinette
542608	314445	Charmaine Van Sant
542608	335285	Naked Woman at Motel Pool
542608	339544	Judy
542608	409996	June Bilson Anderson (1999-20
542609	337399	Old Woman
542610	272275	Sherri
542611	286686	Nurse
542612	97042	Jeff's Teacher
542613	90010	Princess Eboli
542614	87582	
542614	339537	
542615	196706	Spanish Teacher
542616	410978	Lucy Snow (1997-2002)
542617	30756	Myriam
542618	80501	Francesca Brown
542618	139679	Sherry
542618	382169	Ursula Hollis
542619	155453	Woman on Street
542620	350349	Complaining Woman
542621	90068	Bambina
542621	90731	La sorellina di Rosetta
542621	94661	La figlioletta di Jacopo e Lu
542621	124201	Una bambina del convento
542621	260053	
542623	168331	Karina Danzi
542624	323460	Iris Turk
542625	63079	Lupe
542625	189242	
542625	371320	Maria
542626	134957	Janine
542627	4615	Amalia Nardecchi
542627	10058	Matilde Narchetti
542627	29808	
542627	57828	Una dama alla festa
542627	86114	
542627	94718	Aunt Luisa
542627	117970	
542627	147057	
542627	159455	Marisa's mother
542627	162086	Masetto's mother
542627	166344	
542627	183286	Madre di Gianni
542627	188592	
542627	205446	La signora Villauri
542627	210318	Signora Weber
542627	242824	
542627	251609	Elsa
542627	263054	La signora Esposito
542627	265724	Un'amica del conte Attilio
542627	270847	
542627	274901	La duchessa di Ossuna
542627	310949	
542627	327452	(segment "Il pupo")
542627	332250	Mother Superior
542627	339078	Gertrude
542627	344590	La vedova Jurika
542628	352855	
542629	170423	Laetitia
542630	108206	Institutrice
542630	160542	Sylvie Corda
542630	241174	Mireille
542630	249138	Emma
542630	382199	Sylvie Corda
542630	385683	
542630	389762	Melinda
542630	400631	Nadine
542631	225531	Lola's grandmother
542632	96164	
542633	339078	
542634	203893	Augusta Ashton
542634	220942	Beatrice Asscher
542634	342389	
542634	369181	Frances Earnshaw
542635	146930	Nia
542636	206703	
542637	155123	
542637	273133	
542638	263424	(segment "Doroga")
542639	116741	
542640	30662	Emma Mannion
542640	251436	Linda
542640	382128	Sasha
542641	270199	Special Appearance
542642	713	Vanessa
542642	12837	
542642	43659	Sabrina
542642	49288	
542642	56545	Herself
542642	98385	Kassiererin American Diner
542642	156704	Lucia
542642	205514	
542642	210316	Allyssa Branningham
542642	231455	Tina Fahrenkamp
542642	259679	
542642	281658	Christa Guth
542642	281733	Allyssa Branningham
542642	290202	Supermarkt-Girl
542642	319736	Ute
542642	334551	Sabine
542642	409861	Marlene (1998-2002)
542643	380394	
542643	386159	Herself
542643	392500	
542644	300064	Parthy Ann Hawks
542645	53327	Erika
542645	70110	Betty the secretary
542645	219783	Co-Host
542645	238152	Bridesmaid
542645	295826	Woman on Street
542645	350782	Beauty Pageant Contestant
542645	388109	Co-Host
542645	400369	CO-Host
542645	403805	Sonya Bennet (2002)
542645	405436	Herself
542646	109141	Veninde 1
542647	281249	Félicité
542648	276692	
542649	281249	Désiré
542650	229391	Mirjana
542650	259603	Polizeiassistentin Alyin Süce
542650	259647	
542650	259679	Alyin Sücel
542650	290057	Fatma Gür
542650	325986	Meltem
542651	104716	Herself
542651	104718	Herself
542651	104761	Turkish entry (9th place)
542653	229452	Piedad Arencibia
542654	106721	Debra
542655	119355	Traci Torpedoes/Robot Girlfri
542655	140379	Computer Voice
542656	28713	Baluch's wife
542656	98966	
542656	142742	
542656	187517	Rivka
542656	200802	
542656	320340	
542657	19646	
542658	252812	Zulaika
542658	260062	
542659	1888	Valentina
542660	9473	Maykata na Neli
542660	95573	
542660	131025	Vera
542660	273708	
542660	293844	Igna
542660	354321	Maykata na Georgi
542660	356414	Roza Dimitrova
542660	401705	Yurdanitza
542660	405826	Roza Dimitrova
542661	238969	Terah
542662	292763	Skler
542663	292763	Skier
542664	22672	
542664	152628	Rosita
542665	285742	
542666	109766	Nora
542667	229006	
542667	236935	
542668	137353	Machshemashot Sisters & Witch
542669	6397	Martha
542669	24912	Mme Kern
542669	33521	Irène
542669	58288	Manolita
542669	59748	
542669	108898	Françoise, la nurse des Legen
542669	112805	Mme Duclos
542669	217696	
542669	309688	La patronne du restaurant
542669	327890	Josette
542669	356364	Madame Garnier
542669	357816	
542669	376875	
542669	391927	
542670	282177	
542671	131987	
542672	210010	Vanessa Gierok
542673	126375	Bride, 1933 (segment "Phönix"
542674	486	Fräulein Korn
542674	521	
542674	11897	
542674	12631	
542674	14383	
542674	17595	
542674	24065	
542674	31913	Frau Schröder
542674	33139	
542674	34520	Laborantin Fräulein Bornschle
542674	93482	
542674	95263	
542674	98301	
542674	107738	Valeska Durich
542674	119166	Frau von Blumenfeld
542674	120371	Rosalie
542674	120926	Tante Laura
542674	123957	
542674	126445	
542674	131124	
542674	136922	Ebba
542674	147178	
542674	174814	Lady Betty Mortimer
542674	178610	
542674	204411	Lady Headleigh
542674	207167	Ilona Köröscy
542674	210077	
542674	210080	
542674	218912	
542674	225142	
542674	225147	The Baroness
542674	225152	Fräulein Kaufmann
542674	225208	
542674	254455	
542674	259435	
542674	303719	Lady X
542674	307064	
542674	314897	
542674	344783	
542674	345013	
542674	356754	Fremde
542674	365674	Britta von Dermnitz
542674	376310	
542675	81770	Reporter 2
542676	47975	Audrey
542676	61234	
542676	75681	Star
542676	78041	Stella
542676	99254	Lena
542676	298117	Hope Fitzpatrick
542676	311188	Vicky Taylor
542676	353293	Savannah Logan
542677	256962	Claus' polske kæreste (Claus'
542678	238780	
542678	312724	
542679	129247	
542680	325687	Edith Reiser
542681	105841	Sibel
542681	273480	Student
542681	307372	Madeline Taylor
542681	313400	Crewman Telsia Murphy
542681	313406	Additional Voices
542681	313407	Sira D'Qua
542681	313418	Ensign Telsia Murphy
542682	190376	Pizza Girl
542683	167051	Lily
542684	118469	Innkeeper's Wife
542685	237717	Partyfrau
542685	399104	Schätzchen
542686	346069	Larisa Calabrese
542687	135552	Marie
542687	249458	Mum
542687	312657	Ärztin
542687	392636	Krankenschwester Isolde
542687	410154	Krankenschwester Lena
542688	106680	Mitra
542689	176171	
542690	29607	Baran
542691	243158	Judith
542692	301156	Soufiya Haydar
542693	277851	Athlete
542694	29307	Miss Brown
542694	116187	Clare
542694	342536	Judy Strangeways
542694	362093	
542695	325890	
542696	307468	Townsperson
542697	44055	Frau Ostrowskij
542697	76465	Oma Tillich
542697	189598	Frau Schnittgens, old
542697	217783	Herself
542697	226175	Schwester der Denunzlantin
542697	290721	Blinde Frau
542698	321154	Dancer in 'Rhythm of Life' nu
542699	366428	Mrs. Butterwaite
542700	196498	
542701	246896	
542702	314110	Minnie
542703	343648	Lan, Ying/Wife of So
542704	373098	Principal
542705	95190	Hung Chi's Wife
542705	102270	Jianfang
542706	1737	Herself
542706	17504	Tuptim
542706	32075	Ling
542706	46568	Lucy Westenra
542706	73926	Myca
542706	80464	Norriko
542706	80630	Amelia A
542706	106404	RJ
542706	107044	Kim
542706	122637	Herself
542706	151918	Jing Huan
542706	194797	Kwan Ying
542706	223691	XiXi
542706	233307	Chinese Interpreter
542706	248976	Linda/Shen Li
542706	258887	Wanda Orr
542706	274037	Shen Yuelin
542706	282534	
542706	297294	
542706	297937	Oni
542706	304267	Mysterious Woman
542706	308173	Lu Lu
542706	313477	Senator Bana Breemu
542706	315547	Skylar
542706	326129	Qiu
542706	365498	Miss East
542707	38966	
542707	38967	
542708	198645	Zhou Ruilian
542708	371467	Manager, Juxin Restaurant
542709	20625	Extra
542709	76195	Mala, Russell's Servant
542709	177989	Plump Ayah
542709	271294	Lachmaania
542709	320197	Native Girl At The Party
542710	36151	
542710	36231	Madhavi
542710	85329	
542710	174266	
542710	202127	
542710	281483	Rupkumari in the Hindi versio
542710	288134	Sarala
542710	303330	Azurie
542710	370292	Hannah/Daccia
542710	370714	Yasmin
542711	275575	Bin Bin's mother
542712	63304	Girlfriend
542712	86317	Courtesan
542712	87037	Ping Chang
542712	171430	Beauty
542712	181426	Princess of the Qin State
542712	189131	
542712	273985	
542712	280990	
542712	287505	
542712	365045	
542712	374996	Xiaoyu Huo
542713	15289	Shan
542714	111187	
542715	90609	Li Dongmei
542715	299403	Miss Yang
542715	341421	Peng Amei
542715	360980	Ding Menghui
542715	371486	Sufen
542715	374945	Xiang Lin Sao
542716	57929	ABA Student
542717	92007	School Girl
542718	153836	Empleada
542719	137182	
542720	173710	
542721	178678	Lehrerin Wuttke
542721	259689	
542721	261480	Katrin Lampert
542721	316547	Francis Dewart
542721	352567	Monika
542721	388640	Daniela Rickert
542721	409609	Frau Lindemann (1992)
542721	410515	Natascha Rechenberg
542722	396874	Steve Busch (2004-)
542723	115204	Ida
542724	178604	Nora Steiner
542725	49668	
542726	390213	Herself - Host (2003-)
542727	134573	The Girl
542728	10717	The Woman
542729	210481	Go-Go Dancer
542730	28281	
542731	385401	Secretaria de Montalvo
542732	255009	Bluebeard's Wife/Sunday Schoo
542733	290902	Gloria
542734	59455	Prema's Mother
542736	164637	Amy
542737	82777	
542737	163045	
542737	180758	
542737	197591	
542737	214191	Marylin Fairfax
542737	349244	Grazhina
542737	354373	
542737	354374	
542737	370121	
542737	374779	
542737	376239	
542737	390723	
542738	368724	
542739	153083	
542739	259561	Krankenschwester
542740	317	Joséphine/La vendeuse
542740	7462	La caissière du cinéma (La fe
542740	14349	Brigitte
542740	116992	Amie de Baron
542740	149053	Purple Rose
542740	151960	Yuliang's best French friend
542740	238301	
542740	248717	Patricia
542740	322335	Clementine
542740	326122	Femme Préfecture
542740	327487	Miss Gillei
542740	357852	Le mannequin/The Model
542740	376900	
542740	393283	Various characters
542741	346216	Mona
542741	399816	Susan Temple (1975)
542741	408664	Audrey
542741	411809	Nurse Vicki Rayner (1978-1979
542742	104778	French Entry (18th place)
542743	203051	Dancer
542743	212242	Dorothy
542743	331180	Harem girl
542743	356800	Kidnapped girl
542743	371072	Dancer
542744	26079	Additional Voices
542745	159010	Host
542745	380804	Host
542746	47078	Colleen Lipman
542746	120528	Alexa
542746	291768	Kate
542747	1250	
542747	93203	
542747	105156	
542747	138583	
542747	228032	Herself
542747	306911	
542748	40730	Motel Clerk
542750	283718	Gina
542751	130720	Dancer
542752	311262	Girlfriend #1
542753	273543	Choreographer with Miss Torso
542754	100868	Elisabeth Elliott
542755	311707	Herself
542756	171024	Mrs. Morris
542756	214649	Mini the Clown
542757	154092	Herself (vocalist)
542758	3927	Girl
542758	89691	Isabel Prange
542758	280023	
542758	310852	Cassandra Castle
542758	352968	Herself
542759	231537	Host
542759	380713	
542759	409299	Candace
542760	18250	Sarah
542760	51724	Penny
542760	63343	Fawn
542760	247092	Anna
542760	280613	Susan
542761	21664	
542761	52306	Dolores Cantova
542761	79371	Dancer
542761	85564	
542761	93664	Nickki
542761	271855	Servant
542761	283853	Dolores Romero
542762	207854	Susan Larkin
542763	364148	Helen
542763	391166	Jenny
542763	392808	Violet
542763	403235	Tina Conan Jnr
542763	409475	Helen Green
542763	411130	Georgina
542764	72376	Finale Club Back-Up Musician
542765	383503	Herself (Band - Keyboards)
542766	324949	Receptionist
542767	93245	Rachel
542767	99386	
542767	119625	Amputee Sex Brat
542767	356329	Trisha
542767	359971	Betty
542768	234669	Calico
542769	207854	Victoria Larkin
542770	112601	Little Terri
542771	199273	Madeline
542773	258082	Lisa
542774	275060	Mostly-Red Kang Leader
542775	123902	Cora Drew
542776	980	Agent February
542777	78899	
542777	117101	Model
542777	362588	
542777	366970	Roxanne
542778	117131	Singer
542779	93762	Pit Band Bass
542780	223649	Thelma
542781	291014	
542782	393340	
542782	412183	Carola
542783	26515	Bee
542784	382846	Carleen
542785	168298	Ruth
542785	306421	So Fine Girl
542785	316716	Yvonne
542786	385301	Jenny (2002)
542787	336705	Sarah Strickland
542787	360902	Operator
542788	402995	Herself/RR: Season II
542788	402996	Women/Road Rules
542788	403001	Herself/Road Rulers
542788	403487	Herself/Season II (1996)
542789	312979	Laramie (outlaw)
542790	32820	Ravella
542790	61545	Lucy
542790	385112	Maureen Galbraith
542790	387221	Cottia
542790	391402	Billie
542790	396862	Eve Curie
542790	401744	Jinny Martin
542790	402799	Phyllis Waterbury
542790	405525	Dorothy Seymour
542790	408166	Lavinia Beresford
542790	411291	Janey
542791	10575	
542792	336649	Patient
542793	102208	Allison's Friend
542794	144869	Presenter
542794	203800	Sarah
542794	383732	Herself (Evictee #3)
542794	391869	Carmen (1998)
542795	53208	Student #3
542796	11915	Nancy
542796	39175	Dr. Winnie Clark
542796	39489	Mary Johnson, Britt's Wife
542796	39490	Mary Johnson
542796	39491	Mary Johnson
542796	40100	Connie Hastings
542796	44547	Carly
542796	77795	Night Nurse
542796	80801	Reporter #7
542796	85813	Groves
542796	130178	Cora Williams
542796	134175	Jane Carey
542796	204890	Cheri
542796	214441	Wanda
542796	230703	Teacher
542796	270386	Sarah
542796	273926	Young Instructor
542796	275882	Cecilia Masters
542796	310877	Velma Fontaine
542796	311912	Det. Langston
542796	320095	911 Superintendent
542796	328594	Reporter #1
542796	368610	
542796	408692	Susannah Marks (1996-1997)
542797	131747	Con's girlfriend
542798	108499	Wowkle
542798	206727	Jumeaux
542799	1300	Starlet #1
542800	50826	Rhizomian Woman
542800	185850	Patty
542801	213325	Jennifer
542801	230124	Virtual Prostitute
542801	309946	Eileen
542802	183879	Tea Lady
542803	286045	Herself/Interview with Delven
542803	404149	Herself - Hostess (1991-1994)
542804	241590	Background Vocals
542805	55715	Child
542805	71102	Child
542805	190126	Child
542805	296752	Desk Clerk
542805	345766	Zena
542806	16796	Herself
542806	400242	Newsreader
542807	151196	Georgette
542808	348594	Singer at Gravesite
542809	45901	Woman from the Headland
542810	37683	Sherri
542811	26672	Meg Thompson
542811	107871	Deputy one
542811	120800	Nancy McKenzie
542811	263359	Marlene
542811	403068	Entertainment Reporter
542812	195300	Harris Street little girl
542813	214937	Cindy Thomas
542813	232294	Dolan
542813	366784	Whitney O'Shea
542813	393460	April Hudson
542814	380430	
542815	23450	Mrs. Gordon
542816	382281	Self
542817	154494	Cynthia's daughter
542818	93123	Mouseketeer
542819	7827	
542819	26064	Sheep
542819	117061	Baby Cakes
542819	194917	
542819	277091	Debbie
542819	298007	Sarah Harris
542819	363399	
542820	97388	Dancer
542821	305008	Karen
542822	215157	Henry's second date
542822	411930	
542823	41403	Bloodrayne
542823	41405	Bloodrayne
542823	84523	Alex D (Female)
542823	92751	Dende
542823	92756	Examiner C
542823	92852	Kid Trunks, Gotenks
542823	118262	Clara/Lisa/Mary
542823	132530	Marni
542823	264452	Ginger
542823	279488	Love Talk #1, Additional Voic
542823	373381	Keiko Ukimura (FUNimation Eng
542823	373382	Keiko Ukimura (FUNimation Eng
542823	382289	Marlene Angel
542823	386921	Princess Oto
542823	386922	Kid Trunks
542823	386923	Chi-Chi (2001,2002)
542823	389464	Tohru Honda
542823	394392	Alv
542823	397371	Serena Sebastian
542823	411884	Keiko Yukimura
542824	369881	
542824	369882	
542825	383121	Herself
542826	47930	News Reporter
542826	88186	Amy
542826	95736	Amy
542826	115717	Evelyn Willett
542826	150786	Paula
542826	166643	Delaware Student
542826	191907	Tracy
542826	347373	Tawny
542827	20287	Dancer
542827	77805	Chorus girl
542827	163544	Dancer, Page
542827	223054	Dancer
542828	306003	Sexy Club Girl 1
542829	26079	Additional Voices
542829	385177	Isabella Rocha
542830	350191	Dancer
542831	142572	Mary Lou (Creature)
542831	161051	Nurse in Waiting Room
542832	220249	
542833	362426	Mom at Party
542834	78155	Guest at Party
542834	140408	Extra
542834	294744	Model
542834	309027	Actress
542835	58928	Sondra
542836	11410	Carol
542836	77190	Lorraine Wildgoose
542836	90303	Gill Lane
542836	154860	Mary
542836	209179	Barbara
542836	228056	Jean Peach
542836	233786	Ros Swan
542836	238649	Mentor/False Mentor
542836	285879	Ludmilla Kovalov
542836	351972	Mrs Fowler
542836	360265	June
542836	381929	Alison Diamond
542836	391259	Gladys Carstairs
542836	397626	Lady Macefield
542836	408018	Wendy Skinner
542836	408350	Ann Fletcher
542837	253915	Wendy/Jane
542837	406024	
542838	110916	Dancer
542839	126130	Featured
542839	151540	Check-out-girl
542840	290319	Tina
542841	43	Digger Girl
542841	80373	Lisa Belmont
542841	281455	Janice
542841	324844	Sally Boyd
542842	381909	Herself (9th Evicted, 71 Days
542843	79944	Boat passenger
542844	187793	Kate
542845	305458	Pretty Girl
542846	102208	Alison
542847	1821	Herself - Performer
542847	1842	Herself - Presenter
542847	11502	Ruby Jones
542847	11675	
542847	34781	Herself
542847	47363	Herself
542847	55218	Frankie
542847	64121	Martha Dermody
542847	118505	Big Mama
542847	138726	Herself
542847	162979	Addie
542847	168656	Herself
542847	184548	Marge, Tenant
542847	185288	
542847	210502	Bernice Sadie Brown
542847	216670	Herself
542847	232017	Herself
542847	235023	Beatrice Chambers
542847	253896	Mother
542847	260628	Maria
542847	312585	Aunt Hagar
542847	329395	Gussie
542847	341436	Mrs. Elephant
542847	350645	Herself (specialty singer)
542847	401078	Host (1971)
542848	11181	Mrs. Carter
542848	20012	Police Matron
542848	26770	
542848	32496	Scrub Woman
542848	56691	Ballet Mistress
542848	61373	
542848	79290	Elderly Woman
542848	96926	Housewife
542848	96985	Landlady
542848	97890	Reveler at Country Dance
542848	101050	Woman
542848	117222	
542848	120645	Manageress
542848	120824	Older Lady in Audience
542848	124720	Landlady in Hallway
542848	129904	
542848	139786	Mrs. Krausmeyer
542848	139937	Dowager
542848	143887	The Mother
542848	144109	
542848	151191	Apple Sller
542848	154652	Mrs. Glutz, Woman in Clinic
542848	155003	Mrs. Cady, Landlady
542848	163557	Undetermined Role
542848	178342	Tenement Woman
542848	183443	Farmer's wife
542848	183663	Woman at Slot Machine
542848	183822	Beggar Woman
542848	188547	
542848	193295	The Cook
542848	203323	Crying Mother
542848	213160	The Reitter Cook
542848	214157	
542848	215975	Woman
542848	220901	Scrubwoman
542848	223767	Spectator at Races/Hot Dog Wo
542848	228911	Fat Woman
542848	234141	Bit Part
542848	234803	Ma Floom
542848	276713	Pekinese
542848	276739	Mrs. Webster
542848	308079	Bit
542848	313793	
542848	316462	Person in Theatre
542848	326475	Nora
542848	327221	Dumpy Woman
542848	329481	Large Woman
542848	330107	Irish woman
542848	330240	Untidy Woman
542848	330385	Janitress
542848	346914	Wardrobe Woman
542848	360479	Flower Woman
542848	360662	
542848	360672	Hooper
542848	365350	
542848	372588	
542848	372819	Governess
542849	155331	
542850	141618	Claire
542851	384097	Emma (2000)
542851	385301	Chloe Simms (2001-2002)
542852	159129	
542852	222710	Mrs. Ferrars
542852	232141	Mrs. Ash
542852	317350	Mrs. Grimes
542852	405217	Woman on train
542852	406296	Kate Tyson
542852	410961	Sarah Lytton
542853	74311	
542854	384962	Melissa Baker
542854	403244	Terri Hudson
542854	411809	Nurse Virginia Mason (1979-19
542855	194211	Sand Box Baby
542856	119355	Mermaids
542857	315901	Porter
542858	71743	Salesgirl
542858	143188	Nurse
542858	162565	Erna
542858	186425	Registrar
542858	227925	Smokey Mountain Laurel
542858	294524	Wanda
542859	73902	Georgia Ray Hiatt
542860	77213	Penny Wilson
542861	291915	New York Beauty Winner
542862	300304	Female Prison Guard
542863	137570	Nurse
542864	380285	Herself (Chief Vet)
542865	280655	Slave Girl #1
542866	29523	Barfly
542867	100823	Sue
542868	20557	Flo
542869	406463	Shirley
542871	370149	
542872	137723	
542873	338981	Herself
542874	366905	Jenny
542875	111583	Nikki
542875	151483	Sexy Whoville nurse
542875	292723	Travel Agent
542875	300896	
542875	366905	Jenny
542876	351255	Herself
542877	228201	
542878	308760	
542879	79046	Female guest
542879	80660	Nurse #1
542879	194708	French Nurse
542880	345250	Marie Lune
542881	383372	Brigitte Vigneau
542881	384043	Hélène
542882	10031	
542882	15004	
542882	65358	Narrator
542882	77366	Sister Gertrude
542882	88532	
542882	101898	
542882	104214	
542882	111021	Andrea Richler
542882	127748	Rita John
542882	132796	
542882	144311	
542882	155031	Gabrielle St. Peres
542882	171596	
542882	196337	Louise
542882	218333	Marie
542882	218577	
542882	218581	La femme du consul (segment "
542882	247607	Françoise Gélinek
542882	255026	Mireille
542882	284196	Louise Thibaudeau
542882	307499	Ginette
542882	308760	Roxanne
542882	327552	Monique, Helene's sister
542882	340190	Madeleine
542882	345016	Doctor in hospital
542882	353835	Star Morgan
542882	356391	Lorette
542882	378127	L'amante
542882	383319	Marie de L'Incarnation (segme
542882	403899	Louise Béliveau
542883	173129	Aurélie
542885	345342	
542886	87294	Coin Lady
542887	40280	Fernande's child
542888	40280	Fernande's child
542889	40280	Fernande's child
542890	254076	
542891	207723	Prostitute
542892	33553	
542892	72074	
542893	69421	Ronnie
542893	133636	Faye Mickelberg
542893	187338	Annabelle
542893	199167	Farm Girl
542893	389140	Nurse (part I: 'Starting Out'
542893	402012	Martha Ashton
542894	301302	
542895	138184	Rosa
542896	16682	Bartender
542897	386581	Operating Theatre Nurse
542898	257373	Arminah
542900	389264	Basile
542900	408677	
542901	203286	Aunt
542902	69378	La femme métal
542904	110173	Agnès
542905	230504	Rancid
542906	32011	Comtesse
542906	62561	Hermine
542906	63699	La Mélie
542906	97133	Mathilde
542906	104222	Amandine
542906	115687	Nanou
542906	117912	La nounou
542906	122353	La vieille au P.38
542906	148749	La mère à la mairie
542906	156280	
542906	166280	Adélaïde Jaurès
542906	216236	La vieille de l'église
542906	216237	La vieille de l'église
542906	254138	La vieille dame
542906	266242	Madeleine
542906	278502	
542906	281301	
542906	327891	la fleuriste
542906	333689	Mme Gilles
542906	355878	
542906	380864	Tante Valentine
542906	384744	
542906	388419	La concierge Roblin (segment 
542908	101501	
542909	219498	Madame Battut
542910	23750	Une pensionnaire de la Maison
542911	65552	
542911	84648	Bessie
542911	199997	Young Baroness
542911	292742	Amina
542911	314469	La Gitane
542912	282015	Second Saleswoman
542912	349488	Olga
542913	268420	Woman in love
542914	82332	Denise
542914	154614	Vegas Showgirl
542914	185758	Record Company Receptionist
542914	395819	Amy Condrin
542915	94316	Georgette
542916	408592	Vera
542917	87009	Additional Voices
542918	12419	
542918	51637	
542918	60361	Chanel
542918	66286	Dominique
542918	121535	
542918	201696	Herself
542918	219098	
542918	219099	
542918	221482	Herself
542918	254080	
542918	275494	
542918	293051	
542918	388080	Herself
542921	391786	Dannii Carbone (2004)
542922	119355	Mermaids
542923	397436	Angry Bank Customer
542924	186773	
542924	327685	
542925	245	Herself
542925	9143	
542925	10845	Dr. Helena Russell
542925	13966	Anne Tillman
542925	17213	The Mother
542925	33258	Agnes
542925	71317	Dr. Helena Russell
542925	84131	Dr. Helena Russell
542925	94197	Madame Richaud
542925	127480	Sarah
542925	131804	Susan Lakely
542925	139449	Dr. Olga Schmetner
542925	155298	Audrey
542925	169444	Dr. Helena Russell
542925	215832	Cinnamon Carter
542925	222735	Lisa Manning
542925	247559	Deidre
542925	257426	Madame Harwin
542925	288904	Gail Abbott
542925	304015	Martha
542925	311284	Hipster
542925	318810	Ellen Hailey
542925	337285	Judy Utermeyer
542925	340930	Mary Casal
542925	397916	Cinnamon Carter (1966-1969)
542925	403345	Karen Wells (1959)
542925	406087	Dr. Helena Russell
542926	79851	Barbara Crane
542927	137563	Prison Wardress
542928	79794	Spitball Girl
542929	321444	Whaler
542930	59135	Marie Dupres
542930	108333	Linda Rayfield
542930	148554	Merle Lee Swearingen
542930	178886	Nurse Nancy Gerson
542930	259279	Betty Stacy
542930	267111	Tracy
542930	311609	Lisa Wilcox
542930	321444	Whaler
542930	354130	Didi Sommers
542931	251769	Lucy Leslie
542932	37089	Brenda Hollis
542932	52686	Bargirl
542932	81493	The Entourage #8
542932	254522	Carlotta's Maid
542932	262591	Mrs. Cutts Watson
542932	279757	Sarah
542932	291503	Sandy
542932	382967	Mrs. Gardner
542932	394453	Mavis
542932	395028	Mrs. Planchet
542932	409645	Mrs. Morrissey
542933	341594	Ruth
542934	241598	Celine
542935	185441	Nurse
542935	291298	Smithers
542936	238649	Baggy's Ex 3
542936	375227	Oriolo
542937	291447	Bishop's Dancer
542938	118906	Frankenbabe
542938	248095	Natasha
542939	28466	Reba
542939	139140	Sheryl
542939	242585	Barmaid
542939	256468	Loretta
542939	258561	
542939	277897	
542939	365163	Jessica
542939	372882	Sugar
542940	2476	Ms. Willow
542940	36862	David's Mother
542940	66960	Bridget
542940	83877	Rachel
542940	87670	
542940	122732	
542940	131375	House Bidder
542940	141180	Nurse #5
542940	144957	Dr. Thornton
542940	171596	
542940	223773	Medical Examiner
542940	382160	Frannie Fineman
542940	392244	Doctor
542940	405833	Clarise
542941	257232	Little Gina/Kittern
542942	196918	Young Katherine Campbell
542943	292275	Laughing Teen 1
542944	130037	Young Man's Wife
542945	253894	Auntie
542945	371213	Dame Carruthers
542945	371215	Dame Carruthers
542946	66660	Housekeeper
542946	108410	Mrs. Bell
542946	385781	Miss Clarissa
542946	387533	Alice Wilks (1980)
542948	54274	
542949	72136	Wanda Clayton
542949	237570	Joyce McGregor
542950	11223	
542950	38284	
542950	38286	
542950	42316	
542950	54672	
542950	54907	
542950	56164	
542950	62861	Hulda
542950	66036	
542950	77296	The Florida 'Cracker'
542950	108433	
542950	143869	
542950	162273	
542950	163342	
542950	175206	
542950	193135	The Loan Shark's Secretary
542950	197681	
542950	200901	
542950	200909	
542950	239729	Mrs. Allen, the Wife
542950	241629	Sylvia de Crebillon
542950	255415	
542950	259356	
542950	265105	A Beautician
542950	280919	Julia Dayton
542950	297289	Mrs. O'Brien
542950	306764	Mrs. Amos
542950	311326	
542950	338315	
542951	102906	Phone Worker (segment "Let's 
542952	289413	Martha, columnist
542953	134145	Rosa One
542954	154742	Girl in Bar
542955	154927	Cafe person
542958	213662	Mary Raynee
542958	265091	Secretary
542958	297776	Waitress
542959	8083	Herself
542959	183198	Herself
542960	147628	Beth Morgan
542960	384346	Sharon Caplett (1999)
542960	387533	Joanne (1999)
542960	391786	Beth Morgan #2 (2001-2002)
542960	401077	Duty Manager (1999)
542961	382693	Carmen Phillips
542962	328905	Nina Shostakovich
542962	336655	Gemma
542963	59741	Susie Rolles
542963	176406	Bride
542964	397032	Policewoman
542965	318029	
542966	231585	Soumya
542967	228967	
542968	315900	
542969	179008	Suki
542970	311342	Janis
542971	20316	Mrs. Martha Allen
542971	26144	Miss 'Jonesy' Jones
542971	37840	Margaret 'Meg' Fairfield
542971	61843	Mrs. Amelia Tilford
542971	65847	Mrs. Morrow
542971	74182	Nurse Capt. Alice Marsh
542971	78993	Aunt Emily
542971	79429	Nancy 'Nan' Masters
542971	81949	Ellie Saul
542971	129093	Fay Norwick
542971	141665	Margaret Sibyll
542971	152522	Mrs. Macauley
542971	167311	Aunt Belle Massey
542971	169387	Trudy Strauss
542971	170608	Paula Winthrop
542971	176321	Mrs. E. Winthrop LeMoyne
542971	183545	Hattie Leonard
542971	201458	Anita Cooper
542971	206943	Charlotte Danfield
542971	216004	Emmy Jones
542971	219916	Mrs. Carey
542971	221336	Mrs. Elvira Wiggs
542971	244899	Ellen Carter
542971	244924	Mrs. Julia Hersey Gibbs
542971	263117	Mrs. Thornway
542971	263169	Mrs. Donelson
542971	268915	Susan Throssel
542971	286343	Jennie Bailey
542971	292470	Mrs. Mitty
542971	299064	Hannah Linden
542971	307355	Strogoff's Mother
542971	313919	Melissa Frake
542971	330875	Francene Turner
542971	331421	Frances Whittaker
542971	355103	Mrs. Taylor
542971	355837	
542971	359171	Stella Hadley
542971	363761	Hannah Parmalee
542971	367577	Ellen Whitcomb
542971	371331	Ann 'Annie' Murray
542971	372769	Mrs. Samuel 'Nancy' Edison
542972	231241	
542973	184723	
542974	70621	
542974	160248	
542974	161881	
542975	192159	
542976	223567	
542977	80642	Young Lady
542978	234988	Angela
542979	217420	Molly Greenfield
542980	411007	J.P./Spider Lady
542981	45825	Suzi Klein
542981	112246	Tiffany
542981	360684	
542982	220074	The Helper
542982	264152	Jenny
542983	289372	Featured Extra
542984	223131	Pam
542985	381331	Co-host
542986	39929	Mrs. Nemo
542987	16465	Sally Anderson
542987	76227	Mother at Woman's Store
542987	124713	Mrs. Conway
542987	126539	Jill
542987	232380	Mrs. Joanna Hansen
542987	395760	
542988	154544	
542988	379730	Paula Morgan (2001-2004)
542988	385177	Chris Sandford
542988	397535	Charlotte
542989	231331	
542990	308931	Verda Jensen
542991	5182	Madame Dumas
542991	5808	Mrs. Wilbur Norton (relaced b
542991	5934	
542991	6137	Eve
542991	6207	
542991	6834	The Model
542991	7036	
542991	7392	
542991	9022	Nurse #2
542991	11214	Mrs. Gardner
542991	15855	The Anarchist's Sweetheart
542991	20625	Extra
542991	21426	Elinor Clayton
542991	27315	Miss Brooks
542991	38717	Alice's Aunt
542991	39892	Clara's Mother
542991	42068	Nurse
542991	42731	Rest Home Nurse
542991	43453	
542991	46782	
542991	49361	Police Matron
542991	49623	
542991	50244	An Old Gossip
542991	52392	
542991	54311	Margaret Kennard/Agnes Blake
542991	61618	Mother
542991	63427	Terpsine, the Cause
542991	71532	The Industrialist's Wife
542991	75405	
542991	75892	Cynthia
542991	78185	Fake Telephone Operator
542991	79683	
542991	79702	Helen Mason
542991	80027	Ruth
542991	83653	Arab Woman
542991	84236	Mary Miller/Saraa Law
542991	85058	Jean Haskins
542991	88941	
542991	90282	Rose Manning
542991	91224	
542991	97204	Olive Martin
542991	106206	Mabel, Herbert's Wife
542991	106633	
542991	107137	Undine Borden, Myna's Sister
542991	108596	
542991	114913	Lillian, the Inventor's Daugh
542991	118118	An Heiress
542991	120325	Myra Strang
542991	123332	
542991	130177	
542991	133841	Herself
542991	138986	
542991	141188	Fancy Gray
542991	141283	
542991	141511	
542991	146019	
542991	150843	
542991	162524	Carol Lockwood
542991	163918	Rebecca of York
542991	167647	Marion
542991	177689	Aunt Mamie
542991	178110	
542991	183664	Matron
542991	185585	
542991	186289	
542991	186692	Diana Morley, a Newspaper Jou
542991	190229	Helen West
542991	190603	Yolande Cowles
542991	193297	Mrs. Jenkins
542991	194448	Adrienne, Cinderella's Younge
542991	195324	
542991	195326	
542991	195979	
542991	201460	Miss Worthington, Jerry's Sec
542991	203411	
542991	204708	Mrs. Taylor, Prison Matron
542991	213820	Police Matron
542991	214940	Doris Mansfield
542991	214989	A Poor Woman
542991	218930	Fay Hope
542991	220798	
542991	221240	Mrs. Carter
542991	224053	
542991	224273	Woman
542991	229937	
542991	231808	The Mother
542991	233091	Bill's Wife
542991	239590	
542991	239776	
542991	239797	The Little Boy's Sister Grown
542991	240710	
542991	241349	Undetermined Role
542991	241477	Helen
542991	245154	
542991	252482	Woman Lawyer
542991	255881	Archie's mother
542991	263509	
542991	263744	
542991	269682	
542991	270629	
542991	273986	Beth Whitney
542991	274004	Isabel, Professor Bain's Daug
542991	276706	Wife
542991	279345	
542991	280905	
542991	283215	
542991	285791	
542991	292389	Hotel Maid
542991	296776	Mrs. Calvin, Genevieve's Moth
542991	301982	
542991	302906	Laurette Maxwell
542991	309483	
542991	311022	
542991	314401	
542991	318223	Sue Simpkins, Aspiring Actres
542991	319231	
542991	329329	Bus Passenger
542991	329405	The Girl
542991	330797	Old-timer's wife
542991	333254	The GIrl
542991	339629	
542991	343093	Gerald Warren's Sister
542991	347442	Billie Norton
542991	348482	
542991	352143	
542991	356306	
542991	356475	Ruth Carroll
542991	359851	
542991	359863	Miss Drake
542991	360183	
542991	362835	Viola Baxter
542991	362904	
542991	363087	Blanche Mansfield
542991	363173	
542991	366369	High Schooler's Mother
542991	367386	Alice Grayson
542991	367550	
542991	367748	Ida Middleton
542991	368202	
542991	368308	Second Wife
542991	368710	
542992	323390	Doc Talada
542993	37347	Tracy's Mom
542993	93992	Waitress
542993	160020	Stacy
542993	204268	Rebecca
542993	280421	
542993	283546	Newscaster #2
542993	303102	Blanche
542993	350230	
542993	363812	Scarred Cultist
542993	385181	Verity
542994	24441	
542995	71535	Saunders
542996	382405	Margot
542997	292470	Model with Wolf Man
542998	95133	Teacher
542998	246260	Milan's Wife
542999	131534	School Girl
542999	275407	Nancy
542999	368033	Cinderella
542999	398693	Hildy Broeberg (1956)
543000	276366	
543001	40065	Karen Pendleton
543001	242509	Allison
543001	312185	
543002	41378	Little Elida
543002	123116	Herself
543002	212846	Herself
543002	219933	Little Miss Muffet/Old Mother
543002	266917	Shirley Pufnstuf
543002	272647	Ratboy
543002	358832	Herself (Mouseketeer)
543002	368476	
543002	382958	Funky Rat
543002	390866	Judy Frog/Lady Boyd/Shirley P
543002	395106	Sa
543002	397640	Sharon
543002	399301	Charlie the Owl
543002	405330	Big Daddy Ooze
543002	410803	Eeyore
543003	264459	Henry's wife
543004	50149	
543005	344078	Interpreter
543006	192011	Barbara
543007	64789	Additional Voices
543008	115322	Selma Kaiser
543008	141333	Anna
543009	109454	Babysitter
543010	79469	Kosuke's Mother
543010	89414	Chigusa
543010	98582	Kiriko (1979) Michio
543010	122141	Miyoko Ishikawa, Toshiyuki's 
543010	122146	
543010	136392	Sakura
543010	137366	
543010	138949	
543010	139734	Tamiko Kazami
543010	140221	Sophie
543010	171745	
543010	174982	
543010	176534	Kamaria
543010	177239	Yuki
543010	179553	
543010	214392	
543010	228377	Aiko Kazami
543010	232605	Haruko Hirayama
543010	244514	Sakura Kuruma :Sakura Suwa
543010	244515	Sakura Suwa (Torajiro's siste
543010	244516	Sakura Suwa (Torajiro's siste
543010	244517	Sakura Suwa (Torajiro's siste
543010	244518	Sakura Suwa (Torajiro's siste
543010	244519	Sakura Suwa (Torajiro's siste
543010	244520	Sakura Suwa (Torajiro's siste
543010	244521	Sakura Suwa (Torajiro's siste
543010	244522	Sakura Suwa (Torajiro's siste
543010	244523	Sakura Suwa (Torajiro's siste
543010	244524	Sakura Suwa (Torajiro's siste
543010	244525	Sakura Suwa (Torajiro's siste
543010	244526	Sakura Suwa (Torajiro's siste
543010	244527	Sakura Suwa (Torajiro's siste
543010	244528	Sakura Suwa (Torajiro's siste
543010	244529	Sakura Suwa (Torajiro's siste
543010	244530	Sakura Suwa (Torajiro's siste
543010	244531	Sakura Suwa (Torajiro's siste
543010	244532	Sakura Suwa (Torajiro's siste
543010	244533	Sakura Suwa (Torajiro's siste
543010	244534	Sakura Suwa (Torajiro's siste
543010	244535	Sakura Suwa (Torajiro's siste
543010	244536	Sakura Suwa (Torajiro's siste
543010	244537	Sakura Suwa (Torajiro's siste
543010	244538	Sakura Suwa (Torajiro's siste
543010	244539	Sakura Suwa (Torajiro's siste
543010	244540	Sakura Suwa (Torajiro's siste
543010	244541	Sakura Suwa (Torajiro's siste
543010	244542	Sakura Suwa (Torajiro's siste
543010	244543	Sakura Suwa (Torajiro's siste
543010	244544	Sakura Suwa (Torajiro's siste
543010	244545	Sakura Suwa (Torajiro's siste
543010	244546	Sakura Suwa (Torajiro's siste
543010	244547	Sakura Suwa (Torajiro's siste
543010	244548	Sakura Suwa (Torajiro's siste
543010	244549	Sakura Suwa (Torajiro's siste
543010	244551	Sakura Suwa (Torajiro's siste
543010	244552	Sakura Suwa (Torajiro's siste
543010	244553	Sakura Suwa (Torajiro's siste
543010	244554	Sakura Suwa (Torajiro's siste
543010	244555	Sakura Suwa (Torajiro's siste
543010	244556	Sakura Suwa (Torajiro's siste
543010	244557	Sakura Suwa (Torajiro's siste
543010	244559	Sakura Suwa (Torajiro's siste
543010	244560	Sakura Suwa (Torajiro's siste
543010	244561	Sakura Suwa (Torajiro's siste
543010	278364	Miyoko Yamakawa
543010	298724	Mitsue Shima
543010	298973	Sakura Suwa (Torajiro's siste
543010	344119	Kimiko, Naomi's Wife
543010	345234	
543010	347074	West Wind
543010	347077	West Wind
543010	359819	
543010	370408	
543010	372002	Machiko
543010	375593	Sakura Suwa (Torajiro's siste
543011	921	(segment Japan)
543011	9283	Mitsu Aizawa
543011	61525	Chikuzan's 2nd wife
543011	82829	Yasue Emoto
543011	98203	Oko
543011	106707	Aka Shu
543011	121469	Kazuko Enokizu
543011	130252	Naoko Yazawa
543011	136386	Saeko Kobayashi
543011	144443	Masae Murakami
543011	146336	Takako Miyarabe
543011	146346	Ofuku
543011	146901	Onimo
543011	149123	
543011	156246	Barbara
543011	172105	Oyunokata
543011	176600	Midori
543011	176604	Ryuko
543011	176613	Ai Shirakawa
543011	176614	Haruko Ogawa
543011	179400	Kyoko Takehara
543011	181722	Omatsu
543011	182065	Makiko
543011	182341	Megumi Nanbu
543011	185652	Shoko
543011	195807	Misuo (Snack Mama)
543011	211768	Ms. Tabata
543011	216496	Akemi
543011	224252	
543011	227658	Oei
543011	239380	
543011	244983	Yoshie 'Sensei' Azuma
543011	278364	Yoshiko Takai
543011	287556	
543011	292132	Yukino (Episode 3)
543011	299615	Ikuko
543011	307595	
543011	322698	Mori Satoko, Mother
543011	323125	Marie Koryo
543011	334860	
543011	334959	Hisako Hamanaka
543011	335313	Shima Akai
543011	345618	Misako Nakajima
543011	371862	
543011	373218	Mother of 'I'
543011	374313	
543011	404245	
543011	407549	
543012	110295	Park mother
543012	327906	Red
543013	61156	Acrobat
543014	87517	Gayle Hamilton
543015	233617	
543016	49841	Gospel Singer
543017	1445	Herself
543017	1447	Herself
543017	1451	Herself
543017	21295	Herself
543017	21296	Herself
543017	57642	Herself
543017	118527	Herself
543017	155276	Herself
543017	155278	Herself
543017	155279	Herself
543017	155280	Herself (World Team)
543017	155282	Herself (World team)
543017	155283	Herself
543017	155284	Herself
543017	212804	
543017	228976	Herself
543017	228977	Herself
543017	236957	Clara
543017	265742	Herself
543017	294763	Herself
543017	303763	Herself
543017	303764	Herself
543017	303778	Herself
543017	335606	Herself
543017	335607	Herself
543017	352963	Herself
543017	367069	Dorothy
543018	44836	Caroline
543018	218255	Guila Cohen
543018	243289	Estelle enfant
543018	286653	Ines Mallet
543018	376910	Myléne
543018	387612	
543018	410074	Lucette
543019	55085	
543020	348221	Restaurant patron
543020	396019	Stella
543021	356418	
543022	29554	
543022	125399	
543022	202104	Hamidah
543022	205552	Rina
543022	214315	Nona
543023	64993	
543023	105964	
543023	140564	
543023	236468	
543023	339138	
543023	351488	
543023	351997	
543024	61358	
543024	90157	
543025	179851	Njezna
543026	1034	Italy
543026	74746	
543027	143755	
543027	151572	Herself
543028	29703	Eléonore, la femme de Barbe-B
543028	206727	Vox coelestis
543029	112904	Herself
543030	91470	
543030	211270	
543030	233201	
543030	312532	
543030	341685	
543031	27770	
543032	197287	
543032	213507	
543032	280570	
543033	48300	
543033	322079	
543033	322096	
543033	322099	Pattantyúsné
543033	407236	Nóra Niski (Alma's mother)
543034	38619	Girl on Train
543035	349632	
543036	61752	
543036	70717	Dr. Webster
543036	72322	Hodgins
543036	105241	Mrs. McCarthy
543036	110306	Sally
543036	139433	Officer Finch
543036	141577	Long Haired Woman
543036	142351	Convenience Store Clerk
543036	176833	Gaby Bliss
543036	186306	Doctor
543036	204890	Female Doctor
543036	206373	
543036	213875	Susan Milgaard
543036	289530	Gayle McCrane
543036	292335	Dr. Mann
543036	297181	Woman at Party
543036	306814	Teacher
543036	340713	June
543036	366348	Flo
543036	367674	Woman in Chaps
543036	380855	Betty
543037	3465	
543038	334028	
543039	377217	Rebecca
543040	191081	Farah Asad
543040	315961	Lara Robinson
543040	392705	Zipporah
543041	245797	
543042	28409	Cerka Prasnjavog
543043	273136	
543044	365021	
543045	338048	
543046	182695	Mária barátnõje
543047	86826	Chica piernas (segment "No tr
543048	78330	
543049	41071	Harry's Sister
543050	124983	
543050	322564	Singer
543051	74416	
543051	182654	
543051	322217	Margit, Huber özvegy lánya
543052	290286	Pflegerin
543053	4438	Shalini
543054	167346	
543055	17393	
543055	27390	
543055	36013	
543055	195687	Tanya
543055	303406	
543056	314573	
543057	357463	
543058	91065	Herself
543059	24420	Mina
543060	237160	
543061	21562	
543062	189677	Herself
543063	43166	Herself
543064	299954	Lenka
543065	140985	Herself
543066	324312	Isaura
543067	46015	L'aÔeule
543068	304518	
543069	309206	Paula
543070	92652	Innkeeper's daughter
543071	191488	Malik's Sister
543073	244099	
543073	403859	Herself/Host (2000)
543074	195756	
543075	1027	Lena
543075	142082	Zora
543075	164090	Maykaya na Mitko
543075	173840	Mariya
543075	258433	Magda
543075	263419	
543075	349286	Dr. Ivanova
543075	398896	Margarita
543075	399115	
543075	404035	Ana Zyuderman
543076	211281	Priyatelka na Slava
543076	397471	Priyatelka na Slava
543077	335461	Tony
543078	137568	Mrs. Cheung
543078	399130	Jenny Lim (1993)
543079	1027	Irina Bachvarova
543079	146777	Kalinka
543079	173689	Druzhinnata
543079	265018	Dafina
543079	343414	Vera Radionova
543080	74777	Voice of Markova majka
543080	147219	
543080	351014	
543080	375741	
543081	234091	The lost girl
543081	286194	Woman
543081	383861	(segment "Chair en vie")
543082	192382	Building Society Officer
543083	192382	Building Society Officer
543083	222713	Dr. Patel
543084	238445	Saito Kinen Festival Dancers
543085	406242	Herself
543086	77164	
543087	41155	Mother's Friend
543088	374302	Vrouw die het met Willem wil 
543089	376258	
543090	372636	Judy Adams
543091	211357	Traci Leighton
543092	59193	Mary-Beth
543093	315627	Paternal grandmother
543094	226920	Teri Goldman
543095	117091	Baseball Fan
543096	26324	Dr. Rhodes' Receptionist
543096	77673	Sunny
543097	67481	Yoto Ping
543097	244420	Waitress
543098	248057	Emily
543099	52204	Highgyll W.I. Lady
543099	278187	Woman in bar #1
543100	224190	Maid at Ramada
543101	1214	Herself - Co-host
543101	2046	Herself
543101	2398	Herself
543101	2630	Herself/presenter
543101	157464	Herself
543101	286692	Herself
543101	302435	Herself
543102	213963	Checker at Grocery Store
543103	210806	Mary, Schechter's Fiancee
543103	277508	
543103	295282	Town girl
543103	397321	Corliss Archer
543104	50610	ButterCreamette
543104	50611	Buttercreamette #6
543105	230385	007 counter girl
543106	160885	Lipgloss Admirer
543106	232831	Female Guard
543106	340228	Andromache
543107	94749	
543108	73543	
543108	84226	
543108	170034	
543108	193189	
543108	222049	(segment Amor y yoga)
543108	229444	
543108	292941	
543108	351487	
543108	353468	
543109	115895	Linda Low
543110	121823	Woman in Stands
543111	48948	Student
543113	149138	Reporter Paula Williams
543114	2816	Cast of musical 'Assassins' a
543114	8243	Mrs. Donnelli
543114	27146	Architect Boss
543114	41940	Nurse #1
543114	57654	Doris
543114	67896	Marge McGurn
543114	69357	Nurse Carrounbois
543114	121550	Dorothy
543114	154988	Nurse
543114	157436	Darlene
543114	158320	
543114	164641	Nurse
543114	194564	Pellerman's Secretary
543114	210739	Mrs. Redgick
543114	266050	Samantha Alexander
543114	284932	Linda
543114	297990	Gail
543114	302221	Nancy Chambers
543114	329477	Mrs. Bell
543114	343201	RV Woman
543114	347712	Mrs. Harris
543114	364025	Ms. Boyde
543114	389289	Jean Weir
543114	406621	Ursula Godsoe
543115	23210	Herself - Belle Baker
543115	59467	Belle
543115	308591	Anna Gibson
543116	273486	
543117	19087	
543117	105380	Linda
543117	368224	Denise McNeil
543118	403509	Courtney Kennedy (Part 3)
543119	29549	Jean Polk
543119	107157	Calra
543119	123208	Mary Whipple
543119	224055	Mary Severn
543119	246728	Betty Winters
543119	289242	Secretary
543119	303816	Wanda Preston
543119	337652	
543119	337706	
543120	85105	Couch Girl
543120	289934	Waitress
543121	224793	Secretary
543122	25382	Candra Torres
543122	49453	Lisa DuSoir
543122	66924	Leslie Christo
543122	79891	Jolan Slezsak
543122	80464	Barbara
543122	119820	Laura
543122	138220	Ofglen
543122	192675	Kate Penndragin
543122	206832	Mary
543122	234218	Shari
543122	272917	Amy Kaminsky
543122	293032	Janet
543122	297101	Gail Feinberger
543122	303545	Ginny Baker
543122	391843	Anna Weiss
543123	222617	
543124	243787	Herself (vocalist)
543124	311866	Herself
543124	372364	Herself
543125	382769	Host
543126	245036	Well Wisher #1
543126	329946	Shindig Dancer
543127	37696	Boobalonia Guard
543128	183343	Skunk
543129	86218	Child
543130	69410	Millie
543131	110303	Club Dancer
543132	137650	College Kid
543133	154804	Caroline
543134	176899	Beverly
543134	188351	Herself
543135	278463	Mrs. Austin
543136	136822	Chorus - contralto
543137	92674	1st Victim
543138	385299	Garda
543138	405217	Girl in Lincoln's Inn Hotel
543139	3847	Herself
543139	4506	
543139	18032	Laurel's Mom
543139	26008	Baba Yaga
543139	26315	Baby Doll
543139	27107	Hazel Aiken
543139	36998	Patricia Terrill
543139	37098	Herself
543139	41004	Lovelle
543139	42351	Herself
543139	42357	Herself
543139	46856	Gwen Terasaki
543139	50448	Ellie Brown/Borden
543139	54427	Maude
543139	55583	Rina Marlowe Cord
543139	60938	Deborah Wright
543139	64198	Herself
543139	65209	Herself
543139	67531	Martha Caldwell
543139	70910	Madeliene
543139	71436	Nicole Perrier
543139	75838	Shiela
543139	77183	Naomi
543139	86059	Julie Harrison/Mary Harrison
543139	89561	Deborah
543139	96987	Clarice
543139	113700	Evelyn
543139	115826	Treasure
543139	123435	Ilsa
543139	127394	Luz Benedict II
543139	128049	
543139	133953	Veronica
543139	139374	Margherita
543139	139482	Jean Harlow
543139	141181	Edith Pearl Dockett
543139	146862	Gerda Hoffman
543139	147884	Herself
543139	151503	Eve Prescott
543139	156731	Elaine Mitchelson
543139	156841	Herself/Deborah Wright (from 
543139	162439	Annie Phelan
543139	164459	Cameo appearance
543139	164596	Madame
543139	165285	Herself
543139	169947	Alma List
543139	171315	Momie
543139	177204	Eleanor Crisp
543139	178145	Mrs. Graham
543139	189077	
543139	210611	Herself
543139	210733	Ruth
543139	214993	Teresa
543139	216016	Julie Anderson
543139	217122	Lucia
543139	228339	Mrs. Dalton
543139	231130	Sandy Marshall
543139	235160	Arlyne
543139	236144	Nana
543139	240500	Maureen
543139	243427	Kathryn West
543139	248657	Helen
543139	257341	
543139	270771	Sister Marie
543139	271168	Sadie Thompson
543139	274220	Brown
543139	276835	Herself
543139	292373	Mama Freud
543139	301354	
543139	303574	
543139	303836	Nancy Norton
543139	308121	Mary Ann Robinson
543139	311034	
543139	313189	Dorothy's Mother
543139	314003	Catherine
543139	321783	Sylvia: West (Karoki, Kay, Ca
543139	359899	Helen Curtis
543139	362320	Mrs. Seligman
543139	368416	Linda Cooper
543139	374623	Carol
543139	378390	
543139	398128	
543140	362792	
543141	321521	
543141	358007	Dixiebelle #1
543141	391281	Herself (1969-1991)
543142	137688	Teen Girl #2
543142	187704	Mrs. Stratford
543143	86274	Woman
543143	182977	Changing Room Woman
543143	188507	Girl in Shower #1
543143	279323	Well-Endowed Wife
543143	295625	Body Flash Dancer
543144	104753	United Kingdom entry (11th pl
543144	104756	United Kingdom entry (1st pla
543144	147240	United Kingdom entry
543144	392469	Herself - 5th Celebrity to Le
543144	403050	Presenter
543145	152962	
543147	153565	Pretty Girl
543148	155453	Art's Wife
543149	68248	
543149	176335	Goldwyn Girl
543149	188342	Mildred
543149	349633	
543150	29009	
543150	74380	
543150	96337	
543150	234424	Paloma
543151	27312	Funeral Director
543151	31668	Hooker #2
543151	41181	Cindy
543151	59759	Laundry Manager
543151	61820	Ada Willingham
543151	121386	Woman in car
543151	152222	New Year's Mob
543151	194820	
543151	234989	Roy's Sister Margie
543151	243276	Ms. Mellon
543151	278855	Test Teacher
543151	343907	Mama Conroy (woman in drug ho
543152	138821	Cindy
543152	380750	
543153	75771	Woman #2
543154	119613	Constable
543154	184767	Lorraine
543155	58893	
543156	280016	Additional Party Guests
543156	287994	
543157	356896	Aylinde Tribespeople #2
543158	143264	Old Biddy #1
543159	2242	Ellas, Leonidas' Niece
543159	5036	Lila
543159	28065	Jenny Baker
543159	31268	Herself
543159	34799	April Morrison
543159	51661	Steven's mother
543159	65896	Beatrice Grant
543159	67588	Joanna Clay
543159	69569	Eydie
543159	71923	Louise Boylar
543159	76213	Mary Brokaw
543159	78048	Amilia Rathmore
543159	82479	Jenny Chappell
543159	86031	Margot Frank
543159	88660	Rachel Jarvis
543159	93150	Mary Stone
543159	121351	Ellen 'Ellie' Roberts
543159	127161	Vivia Mandour
543159	139597	Mary Francis
543159	140162	Lorraine Warren
543159	142754	Carolyn
543159	149768	Suzie Clemens
543159	156851	Abigail Tate
543159	160449	Herself
543159	161293	Herself
543159	168112	Herself
543159	169474	Jenny
543159	169594	Mrs. Jordan, Ted's Mother
543159	175193	Miss Taylor
543159	176797	Tracey Morrow
543159	180683	Laura
543159	185694	Marilyn West
543159	191829	Elaine Hamilton
543159	192058	Mrs. Summers
543159	206255	Lil Mainwaring
543159	213502	Supreme Folk Defense Lawyer
543159	215041	Shela
543159	222573	Kitty Neil, First Lady
543159	230116	Mrs. Bennett
543159	232824	Sheila
543159	239721	Peggy Pulska
543159	240858	Mrs. Arnott
543159	241618	Carrie Williams
543159	253347	Laura Parrish
543159	255897	Pat Simpson
543159	259275	Jenny Dale
543159	265005	Emily Stratman
543159	287251	Susan
543159	288252	Carol Swanson
543159	292242	
543159	301540	Sen. Ruth Martin (TN)
543159	314738	
543159	315109	Ellen
543159	315923	Carol Harbin
543159	328758	Tess MacLean
543159	338895	Katie Nolan
543159	339410	Carole Trenet
543159	340555	Herself
543159	342403	Ruth Adams
543159	358867	Charlotte Gilchrist
543159	362634	Karen
543159	367060	Princess Yasmin
543159	382282	Evelyn Hale
543159	385189	Dina Stratton
543159	387120	
543159	391408	Susan Evans
543159	411356	Laura O'Neill
543160	136274	Charwoman
543160	144109	
543160	152522	Steed Cook
543160	278112	
543160	282325	Mother Burke
543161	35506	Dancer
543162	21521	
543162	26194	
543162	50872	The Gambler's Child
543162	78156	
543162	99329	Lotta Pill
543162	112375	
543162	126067	Chorine
543162	129567	Glory, the Child
543162	138744	Chorus Woman
543162	141276	True Blue
543162	144598	Wanda as a child
543162	145902	
543162	158187	
543162	177029	Doris Calhoun, as a child
543162	192140	Orphan
543162	292422	Bertha
543162	323184	
543162	346094	
543162	363565	Doris Reid
543162	372936	Edith Kent
543163	271285	Belinda
543164	47198	Madame DeVigney
543165	313479	Ewok
543166	142944	
543166	146145	
543166	154885	Sandtone's Secretary
543166	238732	
543166	292322	Vera Lorraine
543167	364129	Marpessa, Whity's mother
543168	42402	Lyman Townfolk
543168	166960	
543168	355350	Party Hostess
543169	166960	
543170	394214	Ellen Burwood
543171	27215	Mrs. Olzoneski
543171	31968	
543171	39936	
543171	40062	Daughter of the Buccaneers
543171	127293	
543171	224546	
543171	224809	Elderly Lady
543171	233930	
543171	250697	
543171	297100	Palmer's Maid
543171	331407	Bit Part
543172	109768	Secretary
543172	295396	Regan
543172	299470	Intern
543172	309634	Sister Bernice
543173	39713	Martha Baxter
543173	41800	Switchboard monitor
543173	58475	Mrs. Willis
543173	68695	Tilly Thompson
543173	80669	Alice Garrison Courtney
543173	91645	Lilly Sebastian
543173	108300	Fran Wilson
543173	109855	Miss Bellamy (Stanley's secre
543173	125853	Catherine Ashton
543173	151111	Margaret
543173	161713	Mrs. Wilson
543173	204165	Vi Langdon
543173	233778	Mrs. Felton
543173	233853	
543173	235676	Ethel
543173	254631	Radio Actress as 'Serena'
543173	276949	Miss Pearson
543173	289213	Mrs. Noble
543173	309204	Mrs. Tanner
543173	313517	Margaret's sister
543173	327221	Valerie Hobson
543173	338287	Margie O'Reilly, alias Sandra
543174	90329	Arlene MacLaine
543174	297897	Evelyn Kendall
543175	360068	Beatrice
543176	110251	Police Chief's Wife
543176	214162	The Gambler
543176	388517	Nurse
543176	406083	USO Dancer
543177	391079	Kimberly Palmer
543178	55792	Alma
543178	240764	Conchita
543178	361232	The Maid
543180	83822	Hostess
543180	201928	Alcoholic woman
543181	308121	Shopgirl
543182	154554	Herself - victim in Punta Gor
543183	37326	
543183	115319	Herself
543183	272922	
543184	147604	Herself
543185	169139	Gogo Dancer
543185	170411	Shirley
543186	73855	Anna
543187	127351	Emergency Room Nurse
543187	233782	Clairissa
543188	691	Herself
543188	56899	Mrs. Wiltshire
543188	229124	Nellie Pledge/performer of ti
543188	240030	Mrs. Sowerberry
543188	288688	Aunt Ada
543188	297948	Hylda Worswick
543188	348380	Winny
543188	381738	Hylda
543188	399109	Nellie Pledge
543188	399726	Nellie Pickersgill
543188	400519	Henrietta (Series 2) (1961-19
543189	16407	Lavinia
543189	37270	Mrs. Anderson
543189	73131	Lena Denny
543189	82167	Deirdre
543189	110374	Paula Ricks
543189	213311	Helena
543189	335642	Clare Brinkway
543189	372912	Yvonne (the Chairman's daught
543189	408266	Mrs. Denby
543190	208398	Queen Belphobe
543191	321306	
543192	89001	Herself
543193	327893	Claudia
543194	77375	Orfeo
543194	170499	Julius Caesar
543194	206892	Mary Stuart
543194	243382	Orfeo
543194	276492	Julius Caesar
543194	276826	Penelope
543195	297261	Model #1
543195	383456	Herself/Model (1978-1981)
543196	329976	Sacha's Mother
543197	84523	Lin May Chen
543197	181135	Nagasaki Plant Worker
543198	379113	Herself
543199	101586	Barbara Peters
543200	50612	
543200	105125	Jennifer
543200	121854	Geminae #1
543200	335277	Nurse #1
543201	33550	
543202	342590	Herself
543203	239554	Herself
543204	4952	
543205	334892	Hokuto
543206	33732	Cathy
543206	41490	Priscilla Blore
543206	128585	Anne Thornton
543206	139679	Jilly King
543206	149444	Faith,Grace's Sister
543206	198885	Lady Macduff
543206	205171	Dr. Prudence Cox
543206	230831	Gaynor Wringer
543206	240879	Jackie
543206	252983	Esther
543206	263792	Maria Henry
543206	273346	Julie Ferguson
543206	297115	Lady De Lesseps
543206	328906	Jill Taylor
543206	329525	Josephine
543206	382826	Claudette Monro-Foster
543206	383363	Mrs. Norman (The Pardoner's T
543206	388821	Sarah Cornice
543206	403373	Patrice Jenner
543206	404558	Rachael
543206	409836	Ms. Jeffries
543207	77148	City Clinic Woman
543207	198497	Vaiya
543207	198498	Vaiya
543208	197668	Rider
543209	405636	Amelia (First Voice)
543210	194513	Mrs. Pollock
543211	41226	Sales girl
543212	328596	Kendall
543213	335871	Student
543214	394650	Herself
543215	221128	Shelia
543216	64813	Mrs. Marquand
543216	103286	Police Anchor
543216	196005	Joanne
543216	245265	Rental Car Clerk
543216	248057	Dr. Kelley
543216	335867	
543216	391587	Jeanne Hiller
543216	408552	Susan Pengilly
543217	215288	Mrs. Newell
543219	15288	Singer
543219	55542	
543219	59857	Herself
543219	99516	Herself
543219	110051	Zazu Clairon
543219	161289	Herself
543219	163523	Herself
543219	169162	Herself
543219	220271	Princess Tam-Tam
543219	220272	Princess Tam-Tam
543219	249073	Herself (performs in musical)
543219	264223	Alwina
543219	292467	Herself (sings song Mon pays 
543219	303135	Papitou
543219	353439	Herself - Performer
543219	374418	Herself
543219	375928	Zouzou
543219	393379	Herself
543219	403494	Herself
543220	210852	Herself-Lee Harvey Oswald's m
543220	397430	Herself - Oswald's mistress
543221	16990	Woman on ship
543221	291834	Woman in restaurant
543222	77829	Woman at rest stop
543223	39379	Background Artist
543223	57208	Coven Witch/Dancer
543223	140953	Voter
543223	161537	Wedding Guest
543223	202324	Flower, the prostitute
543223	317437	Cocktail Waitress
543224	13884	Angela Argente
543224	20439	Pam
543224	315573	Ara
543225	24749	Colleen
543225	38961	Hurley Bank Teller
543225	91554	900-Girl
543225	104357	Couple at Party
543225	214123	Party Guest
543226	77146	Dallas Cowboy Cheerleader
543227	50610	ButterCreamette
543227	50611	Buttercreamette #2
543227	158602	Girl on Swing
543227	233782	Taylor
543227	276899	Asst. Coach #2
543227	311517	Little Girl 1
543228	94613	Cowgirl Stripper
543229	1038	Bev Rink
543229	3988	A.T.F. Director Maggie Hale
543229	21198	Dr. Diana Walton
543229	63832	Nurse Angela
543229	65453	Charlie Standers
543229	66947	Sally Swanger
543229	76496	Annie
543229	90911	Gladys Sullivan
543229	97727	Joyce Monroe, Neighbor
543229	109931	Nora
543229	118981	Herself
543229	156785	Marcie Guilford
543229	158413	Herself
543229	161790	Helen Holt
543229	164590	Martha Flannigan
543229	166701	Margie Ross
543229	176920	Maggie Gresham
543229	191910	Nancy
543229	197730	Janis Oliver
543229	199162	Lee
543229	206157	Exotic Dancer
543229	216003	Dr. Sarah Day
543229	232831	Camille
543229	234218	Lucy Stavros
543229	235443	Tammy Schnitzer
543229	239395	Priscilla Salyers
543229	241732	Ellen
543229	253228	Martha Sinclair
543229	255231	
543229	272776	Doris Trowbridge/Regina Lee S
543229	278259	Louise Shepard
543229	287133	Aunt Kate
543229	292015	Ruth
543229	316716	Punchy
543229	327767	
543229	330443	Rose (segment "Someone For Ro
543229	334175	Esther Wheeler
543229	335721	Susan Freeman
543229	368247	Herself
543229	382556	Meredith Peters (2001-2002)
543229	401414	Dr. Jill Brock
543229	405038	Janice Danner
543230	48948	Student
543231	90362	Experience Girl
543231	304554	Nancy
543232	334171	Mrs. Brenner
543233	52303	Karen
543233	120119	Terri
543233	120126	Terri
543233	124349	June
543233	213178	Sunshine
543233	257962	Candy
543233	269475	
543233	292913	Sue
543233	293040	Sue
543233	326681	Carol Hill
543233	360818	Kirsten
543234	24503	Schmile Girl
543234	26671	
543234	27097	Kitana
543234	158784	Herself (Crew of Discovery IV
543234	161537	Santa Fe Tart
543234	257600	
543234	291052	Barbarian Woman
543234	304494	Linda
543234	366103	Svetlana
543234	368832	Herself
543235	120840	Amy
543236	44439	Lydia
543236	392130	College girl
543237	138863	Peppermint Patty
543237	176819	Carrie
543237	306183	Peppermint Patty
543237	372165	
543238	163565	Gail
543239	23228	Herself
543239	216024	Herself
543239	280111	Herself
543240	201836	Herself
543241	330281	Bitch
543242	108956	Party Family
543243	389042	Lara Bateman (Series 1) (2002
543244	122991	Lucy
543244	229250	Eva
543244	266627	Heavy Metal Girl
543245	68272	Dr. Sydney Mobius
543245	74134	Woman Hanging from the Rope
543245	120827	Nurse Debby
543245	159947	Gaika
543245	187986	Waitress
543245	275033	Mio Amakura
543245	300351	Mitzi
543245	313400	Crewman Juliet Jurot
543245	313418	Ensign Juliet Jurot
543245	321490	Lauranne
543245	352730	Mary
543245	358438	Connie
543245	369460	Jean Grey
543245	395169	Joy
543245	411174	Ellen
543246	16644	Rose
543246	42779	Mack
543246	154087	Matron
543246	304548	Molly
543246	392688	Herself (1971-1972)
543246	392760	Herself (Hostess)
543246	399130	Angie Rebecchi (1995-1996, 20
543246	401031	Herself
543246	402197	Monica Ferguson (1979)
543247	74006	VA Shop Clerk #1
543249	232380	Principal Background
543251	313812	Melanie Anderson
543252	160000	Melody Lounge Dancer
543252	385653	Kimberly Martins
543253	7408	Dowager in Boat
543254	69053	Club Patron
543254	120804	Sandy
543255	114957	Polly
543256	60953	Pioneer Woman
543256	74218	Woman at picnic
543256	139227	Rocco's Girl
543256	139228	Cookie
543256	283538	Shane
543256	342924	Actress
543256	344661	Cathi
543257	77146	Dallas Cowboy Cheerleader
543258	38005	Sarah
543258	339380	Lynn
543259	350212	Vaughn
543260	81040	Cheryl
543261	197668	Stenographer
543262	102146	Girl in Wheelchair
543263	260679	Flock Member
543264	44468	Mother
543265	41838	
543266	323395	
543267	43455	Ann Sewell
543268	56085	Lucretia
543268	257645	Herself (Miss January)
543268	361862	
543269	33527	Miss Magenta
543270	319188	Maria
543271	216907	Claire's Maid
543272	264179	Liza Biggs
543273	50857	Herself
543274	109421	Gimel
543274	350343	Student
543275	409797	Tana
543276	358477	Raver
543277	381312	Keesha
543278	256188	Pink Chiquita
543279	65089	
543280	314635	
543281	49389	TV Interviewer
543281	238253	Posh Lady
543282	188351	Herself
543283	53766	Candy
543283	109764	Fran
543284	296948	
543285	308121	Bit Part
543286	142479	Rachel Braque
543286	278711	Web Runners' WELL/Josey Dorse
543287	241244	Party Girl
543288	38804	Beedle, the Maid
543288	46320	Madeleine's Maid
543288	130961	Ellen
543288	151569	Katinka
543288	176406	Slum nurse
543288	195419	Maid
543288	246694	Sippie
543288	274170	Clara Johnson, Gabrielle's Ne
543288	286377	The Woman
543288	306151	Maid
543288	329469	Masseuse
543288	367564	Masseuse
543289	31950	Maggie
543290	62051	
543291	93771	Guerrilla
543292	41475	Dr. Johnson
543292	154739	Lissa
543292	331871	2nd Woman
543293	342469	Sonia
543294	270138	Hostage
543294	374589	Stuffed Animal
543295	1793	Miss January 1984
543295	52201	
543295	207510	Christine Manning
543295	210881	Lake
543295	214100	Charity
543295	257866	
543295	273307	Ick's Girl at Party
543295	344524	Herself
543295	361862	
543296	97446	
543296	236681	Roma Godolfus
543296	328788	Sister Waterman
543296	372544	Freud's Mother
543296	399816	Roma Godolfus (1972-1975)
543297	87989	Advice Pixie
543298	129403	
543298	139527	Molly
543298	316771	
543299	408153	Additional Voices
543300	155264	Shinada
543300	273422	Melanie
543300	296851	Julie
543300	382052	DC Juliet Becker (2003)
543301	89684	LouAnn
543303	294519	Hostess at Lodge
543303	362702	Anna
543304	39344	Diana
543304	321134	Young Megan
543305	84850	Yvonne Wallace
543306	382254	Little Girl
543307	154869	Taxi driver
543308	120270	Catherine
543308	144930	Chloe
543309	80952	Buffy
543309	190796	Patient
543309	205076	Mademoiselle Coulmier
543310	84451	Ethel
543311	160576	Elena Weaver
543312	121135	Funeral Attendee
543313	159754	Henriette
543314	50610	ButterCreamette
543314	50611	Buttercreamette #3
543314	158602	Girl Playing Kickball
543314	233782	Toni
543314	276899	Asst. Coach #1
543314	311517	Little Girl 2
543314	321213	Dix
543315	11945	Chickenette Restaurant Patron
543315	265352	Carol
543316	295170	
543317	349689	Trailer Park People
543319	221534	Dancer
543320	84601	Amie au café
543320	108314	
543321	105412	Kathy James
543322	77292	
543322	230126	Marie Furguson
543323	43986	
543323	50612	Kate
543323	105125	Susan
543323	121854	Geminae #2
543323	180951	Margie Swan
543323	335277	Nurse #2
543324	49028	Dancer
543326	131394	Girl in Mustang
543327	384340	Mandy Lynch
543328	174950	Lisa
543329	279323	Table Dancer
543330	88879	
543331	390144	Fox (1997-2000)
543332	287509	Donna
543333	188561	Woman
543334	77464	Alice Anderson
543335	691	Herself
543335	70881	Herself
543335	151452	Herself
543335	363011	Herself
543335	385019	Herself
543335	390195	Herself - TV Soap Expert
543335	390353	Soap Expert
543336	154629	Psychic Phone Caller
543337	334011	Goth
543338	187263	Turtle Island Grandmother
543338	255009	Hira
543338	386339	Arahita Tahanga
543338	390630	Whetu
543339	128923	Megan Davies
543340	215690	Miss New Jersey USA
543341	188351	Herself
543342	230508	Victoria
543343	151726	Anna
543343	389342	Marie-Christine (1990-91)
543344	79850	Guest
543344	139987	Levicy Hatfield
543344	308121	Girl in the 5 & 10
543344	327760	Frau Bauer
543344	332080	Woman at Station
543345	313692	
543346	44301	Kelly
543346	358287	Claudia
543347	383027	Herself
543348	37883	Ruth
543348	41563	Det. Monica Ricci
543348	103910	FBI Agent Julia Gates
543348	159486	Distraught Mother
543348	206486	Lt.Meryl McPherson
543348	304341	Neighbor
543348	307886	Claire's Stepmother
543348	328301	Lee Anne
543348	389858	Melissa Bedford #1 (2000)
543349	239756	Molly Phillips
543350	141404	Christina's Class
543351	26381	Reporter #2
543351	37246	Jackie
543351	80675	Donna
543351	121522	Lucy Delgado
543351	222686	Reporter
543351	367668	Young Woman
543352	276444	
543353	198161	Dete
543354	6926	Herself
543354	23935	Herself - questioner
543354	41490	Herself
543354	66911	
543354	68304	Herself
543354	162247	BBC Presenter
543354	336731	Interviewer
543354	340945	Herself
543354	381334	
543354	391245	Herself - Presenter (1987-200
543354	395211	Herself - Presenter
543354	396519	Herself
543354	400228	Herself - Presenter
543355	92921	Mishka
543356	243968	
543357	409295	
543358	396017	Annabelle
543359	321351	Daisy Kershaw
543359	384658	Lucy
543360	88810	
543361	286216	
543362	116590	Tahara Khan
543363	403462	Zara Malik
543364	33846	
543365	18286	
543366	213665	Pepelo
543367	391219	Anchor (1997-)
543368	142831	Henna
543368	164951	
543368	217152	Poonam Singh
543368	222508	
543368	288249	
543368	317528	
543369	34168	
543369	313618	
543369	320236	
543370	64750	Androgenous Model
543370	276838	
543370	313334	Fantasy Reporter
543371	1870	Young Woman
543371	14169	Daphne
543371	60465	Lorna Doone
543371	176265	Pearl
543371	338930	Kelly
543372	178726	
543372	323330	
543372	344279	
543372	357693	
543372	373639	
543373	77436	Voix féminine radio
543374	145019	Race Official
543375	294160	
543376	108981	Hafida
543377	17941	Sandy/Nurse#1
543377	78102	Chris
543377	81276	Laura Danvers
543377	82683	Cordelia
543377	109479	Julie Comstock
543377	109891	Nurse Pitzer
543377	114492	Ellen
543377	114734	C.J.
543377	118698	
543377	123915	Texas Air Ranger Sgt. Nim
543377	134556	Joyce
543377	135968	Maria
543377	139228	Morgan
543377	144860	
543377	150316	Old Lady
543377	150351	Michelle Rodham Huddleston
543377	182955	Lana Turner
543377	185567	Veroneeka
543377	186821	Victoria Blake
543377	193669	Wren
543377	209496	
543377	209504	
543377	220626	Ginny Forster
543377	234200	Laurel Trevelyn
543377	236152	Joannie
543377	269800	Jane
543377	289693	Kimberly Blake
543377	292793	Sandy Warwick
543377	298308	Helena
543377	307264	Claire Beeson
543377	315172	Samantha
543377	328271	Zinovitz
543377	333270	Alice
543377	340713	Hope
543377	343294	Allison McKenzie
543377	346060	Linda Gilder
543377	359455	Kim
543377	380006	Selena Coombs
543377	399117	Wren
543377	403998	Mrs. Caulfield
543378	20373	Gypsy Hooker
543379	402965	Co-Host
543380	109622	Janet Williams
543380	183306	Missy
543381	348963	Kari, tjenestejente
543382	119694	Herself
543383	120512	Suzanne
543383	133949	Vicki
543383	327685	Egyptian Courtesan
543384	51287	
543384	137494	Leslie
543384	281496	Sophia
543384	386608	Jacqueline Durlacher
543384	392674	Ellen Andersen (2000-)
543384	410441	Lieke Zandbergen (1993)
543385	208810	Diva
543386	302965	Professor Hulpje 5
543387	97936	Galeriedame (Gallerygirl)
543387	118723	
543388	185771	Girl
543389	129688	Isa
543389	256492	Mamaloe
543389	401517	Mamaloe
543389	407166	Freule
543390	231711	
543391	367625	
543392	100868	Rachel Saint
543392	297233	Second Housewife
543393	60075	Mrs. Kurelik
543393	81450	
543393	222750	Hellen Collier
543393	249047	Mrs. Fleigel
543393	307589	Woman Graphologist #2
543393	321285	Older Woman
543394	8234	School Nurse Hatcher
543394	13861	Screaming Woman
543394	80381	Journalist
543394	117230	Reporter A
543394	207136	Madame
543395	6394	Arlette/Micheline
543396	202470	
543396	210127	
543397	275770	Nurse
543398	106635	Herself
543399	92583	Alice
543399	386897	Alice (1993-1996)
543400	339	
543401	96555	Herself
543401	270622	
543401	341885	
543402	69905	Herself
543403	78974	Andi
543403	86955	Grace
543403	91880	Nikki Capelli
543403	103355	Sarah
543403	112192	Carolina
543403	154372	Charlie Warner
543403	162502	Nightclub Vampire
543403	230947	Young Woman
543403	241375	Mrs. Garrett
543403	248660	Jana Mercer
543403	263760	Nikki
543403	274312	Alex
543403	274314	Alex Winters
543403	274317	Alex Winters
543403	274319	Alex Winters (segment "Swimmi
543403	274320	Alex Winters
543403	275882	Kathy Moskow
543403	285729	Icelia
543403	289314	Pai, Sanjiyan (Manga Entertai
543403	289315	Pai, Sanjiyan, Pabo Avanokoji
543403	316067	Iris
543403	321285	Macy
543403	360830	Jessie
543403	368964	
543403	389758	Angela
543403	389759	Angela
543403	390241	Monique Dupre
543403	397791	Bianca Berman
543404	176561	
543405	191419	
543405	330358	
543405	380489	Hostess
543405	404243	Hostess
543406	12905	
543406	140628	
543406	284794	
543406	287978	Marshmallow
543407	200613	Turkish woman #2
543408	74464	
543409	51220	
543410	15858	Szakácsnó I
543410	74464	Ildikó
543411	343776	Kriszta
543412	200610	
543412	229574	
543412	355566	
543413	370460	Lyulyuche 8
543414	74172	Blagajnica u ciglani
543414	163050	
543414	209394	
543414	229190	Pjevacica
543414	238764	Seljak/peasant
543414	357366	Duska
543414	409878	
543415	30529	Nura
543416	267932	Mrs. Keranga
543417	102945	Jeune Femme au parapluie
543418	83054	Katey Wells
543419	356120	
543420	375177	
543421	27410	
543421	49316	
543421	83741	
543422	37786	English Family Member
543422	304080	Francine
543423	177935	
543423	230118	
543424	174253	
543425	91198	
543426	17137	Pabe
543427	35060	Vénlány
543427	74437	Gubinyi's neighbour
543427	97986	House Manager
543427	122131	Füttymûvésznõ
543427	122397	Kapusnõ
543427	129506	Kerzenverkäuferin
543427	136428	
543427	136441	Egy lakó
543427	136576	WC-s néni
543427	137146	
543427	137555	Titkárnõ/estélyt adó háziassz
543427	149494	Baleset szemtanúja
543427	153688	Csizmadiané
543427	153854	Francia milliomosnõ
543427	162975	Bernáthné
543427	171603	
543427	172529	Csuriné
543427	175466	
543427	175699	
543427	182847	
543427	198210	
543427	199873	A kórházi nõvér
543427	207584	Proprietress
543427	213698	Katisha
543427	229692	
543427	235375	
543427	237162	Ilonka
543427	252152	Crazy Old Woman
543427	309289	Grandmother
543427	322051	Utas a buszon
543427	322097	Angol turista
543427	349035	
543427	349779	
543427	356601	
543427	375774	Old Woman
543427	377126	Szakácsnõ
543427	378262	
543427	402164	Tánctanár
543428	23660	La fille
543429	68692	Patricia Cahill
543429	381086	Suzanne Collins (1961)
543429	395444	Herself/Host (1960; NBC Playh
543429	396054	Pat Baker
543429	398398	Assistant Vice Principal Jean
543430	306785	Extra
543431	28164	Kristl Callas
543431	112917	Pascale
543431	222514	Wendy
543431	375677	Vrouw
543431	388299	Gwen (1993-1996)
543431	388850	Herself
543431	388909	Claire Van Eeckhaut (1999)
543431	400328	Herself
543431	408151	Isabelle Vinck (2000-2002, 20
543431	412036	Nathalie (1993-1994)
543432	210091	Baronin
543432	301027	
543433	367581	Mrs. Mahloogee
543434	227813	
543434	287522	
543435	262838	
543435	282230	
543435	300319	Ms. Verma
543435	308494	
543436	262863	Queen Maya
543437	88685	
543438	218547	Herself
543439	2042	Herself
543439	7933	Lind Archer
543439	17832	Neilburt
543439	104290	Lisa
543439	121492	Meryl
543439	138812	Amelia
543439	230841	Moonie Pottie
543439	285723	Jude
543439	295387	Fiona
543439	366670	Mary
543439	368537	Meg
543440	217448	Kate
543441	8652	Oranit Cohen
543441	25830	
543442	248890	Little girl
543443	15231	Tina
543443	154450	Nina
543443	255654	Daisy
543443	365664	Young Wife
543444	184073	Slavka
543445	259208	Maricota
543445	263811	Irene
543445	380112	Matilde
543445	380271	Jane
543445	380448	Heloísa
543445	382690	Cristina
543445	382776	Vera
543445	383584	Violeta Souza
543445	384991	Maria
543445	384996	
543445	385030	Teresa
543445	385522	Germana Lambertini
543445	386212	Dona Armênia
543445	387424	Helena
543445	387640	Dona Geninha
543445	388565	Paquita
543445	389587	Isabel
543445	390751	Greta
543445	391313	Úrsula
543445	395882	MIlena
543445	396741	Lúcia
543445	396809	
543445	397543	Nellie
543445	399498	Branca
543445	401095	Teca
543445	402149	Giovana
543445	402371	Filomena Ferreto
543445	402504	Rosário
543445	402593	Maria Fromet/Lenore Gaillard
543445	402807	Dona Armênia
543445	404077	Hermínia Lemos
543445	404118	Cassandra Mathias Salão Perei
543445	406841	Helena
543445	408330	Marta
543445	408727	Ana
543445	409415	Alba
543445	410191	Gabriela
543446	336488	Non-Fat Latte Drinker
543447	120919	Mãe de Vera
543448	204000	
543448	250886	
543449	164088	Izgorata
543449	242462	Venka
543450	89572	Reporter
543450	226971	Carlotta Joaquins
543451	409008	
543452	33539	La reine, mère du prince
543452	63554	Mme Lanzmann
543452	120982	Mme Kokhlatova
543452	132748	
543452	205774	La dame à la gare
543452	281795	
543452	286317	Madame Gromoff
543452	389004	Victoire Chassebon
543453	320209	Lisa
543453	347327	Lemonade Stand Girl #1
543454	243763	Persephone
543455	90819	Friend
543456	21448	Caterer
543456	81463	Rose Mercado
543456	310303	
543457	322397	
543458	551	
543458	14664	
543458	34553	Amalia
543458	42577	Madre de Luci
543458	52986	Madre de Damián
543458	54084	
543458	55996	Madre de Yolanda
543458	61067	
543458	76110	Doña Charo
543458	76111	Antonio's Mother
543458	96371	Abuela
543458	106328	Gloria
543458	110750	
543458	115021	Herself
543458	143771	Abuela
543458	148036	Primitivo
543458	148700	Antonio's Wife
543458	149501	The nun
543458	152246	Leoni
543458	184870	Assumpta de Casals
543458	189378	
543458	189379	
543458	193195	
543458	197338	
543458	202055	Paulina
543458	207008	
543458	210592	Juana
543458	215222	
543458	221925	Doña Resu
543458	233337	Abuela
543458	234422	
543458	244601	
543458	247198	Tata Caridad
543458	249812	
543458	251917	Benedita
543458	252758	Rosario
543458	253385	
543458	263848	Isabel
543458	268239	Señora Rica
543458	269907	
543458	318265	Abuela Iñaki
543458	318267	Juana
543458	322397	Tía Ángela
543458	352084	
543458	369870	Herself - Presenter: Best Sup
543458	376864	Puri
543458	377581	Rosa
543458	385258	
543458	386328	
543458	390172	
543458	390851	María
543458	393911	Trini (prestamista)
543458	407859	
543459	74660	
543459	199956	Voice
543460	399506	Antònia
543461	12083	
543461	14770	Pasajera
543461	42577	Portera
543461	52750	
543461	55592	
543461	68765	Clienta
543461	70060	Dolores
543461	101867	Begoña
543461	134498	Merche
543461	153667	
543461	178833	Chica del Km. 0
543461	201347	Marta
543461	212406	Limpiadora
543461	226435	Mujer del marido infiel
543461	235296	Neli
543461	252537	Voz de la madre
543461	259959	
543461	276565	Clienta
543461	285460	Marta
543461	286233	
543461	286369	Sonsoles
543461	302403	Nacha
543461	334678	
543461	334686	Maestra
543461	334699	Pilar
543461	371705	
543461	376786	
543461	377079	
543461	380551	Nieves Cuesta (2004-
543461	396544	Marta
543461	402639	Ángeles
543462	68940	Waitress
543462	72376	Hostess
543462	80031	Autograph Fan
543462	101070	Martha
543462	131226	DMV Clerk
543462	372525	Spoiled Brat
543463	10837	Dancer
543464	43114	
543465	398895	
543466	77036	
543466	395706	
543467	7891	Tammy
543467	149434	Gretchen
543467	332627	The Angel
543468	56170	Burlesque girl
543469	131945	
543470	51567	Reporteada
543471	101139	Sylvia
543472	46794	Circus Performer
543472	78374	Herself
543473	135756	
543474	184044	
543474	297010	
543475	204124	
543476	167198	
543477	292415	Taina
543478	125350	
543478	150734	Ira
543478	385587	
543478	385636	
543478	386147	
543478	386638	Sassa Papadima
543478	397727	Mitis
543478	404378	Ketty
543479	28281	Nela's mother
543479	36686	
543479	62305	
543479	65703	
543479	86886	Mara
543479	94912	
543479	159656	
543479	162102	
543479	222225	
543479	227516	
543479	236784	
543479	251353	
543479	256716	
543479	267178	
543479	271913	
543479	290980	
543479	293999	
543479	317898	Irina
543479	325318	
543479	344924	
543480	240315	Wraith's Woman
543481	1218	Mia
543482	136488	Beba Iordanoglou
543482	287997	
543482	380211	
543482	385636	
543482	389459	Tzella
543482	400825	Joy
543482	411974	
543483	120702	Carla
543484	30071	
543485	15873	
543485	42437	
543485	62321	
543485	93866	
543485	203805	
543485	247164	
543485	249147	
543485	262872	
543485	286791	Kamakshi
543485	288157	
543485	312480	
543485	312495	Sarabha's wife
543485	320836	
543485	327792	
543485	333757	
543486	210527	
543487	401834	Jula
543488	293854	Dumya, a girl
543489	261584	
543490	198082	
543490	294667	Mariya
543491	13432	Bernice Pitnik (segment "Crit
543491	14124	Rita
543491	15944	
543491	20003	
543491	39464	Mary
543491	42428	Essie Beaumont
543491	53957	Maryann
543491	80716	Terry
543491	81269	Jenny Storm
543491	106062	Special Vocal Effects
543491	116676	Rita
543491	117473	Ginger
543491	134193	Mrs. Joe Harris
543491	134195	Movie Theatre Mom
543491	140400	Ann
543491	142893	
543491	151788	Terry Fisher
543491	193358	Janet Willimer
543491	207838	Stan's Mom
543491	221313	Lynn Hollister
543491	256527	Betsy
543491	266103	Nell
543491	283422	Mrs. Nicholson
543491	283468	Cindy Britton
543491	287767	Lois
543491	292148	Graphic Designer
543491	293011	Principal
543491	305379	Neighbor
543491	333036	
543491	347376	Herself
543491	350191	Vampire Mother
543491	359428	Barterer's Wife
543491	361257	Herself
543491	361545	
543492	5186	Eddie Mousson
543492	5900	André Dussollier 2
543492	8494	
543492	15258	
543492	17194	La fille du supermarché
543492	20330	Arlette Bathiat
543492	47784	Nathalie Morin
543492	47786	Nathalie Morin
543492	58305	Michèle Varin
543492	65165	Louise
543492	86244	Madame Massort
543492	87941	Nadine
543492	101269	Herself
543492	101272	Herself
543492	105567	
543492	113130	Suzanne
543492	120983	Aline
543492	124824	Marijo
543492	134605	Josiane Balasko
543492	143500	
543492	148771	Lydie Langlois
543492	153840	Une cliente endommagée
543492	153875	Colette
543492	164671	La monteuse du 'Grand échiqui
543492	175761	Mireille Molyneux/Insp. Molyn
543492	189304	Baronne d'Holbach
543492	193227	Office Worker
543492	198639	Leah Lemonier
543492	199332	Nina Tchitchi
543492	208806	Mlle Lajoie
543492	218310	
543492	235819	Josy, Lucien's girlfriend
543492	236515	Frède
543492	240288	Sophia
543492	245953	Rolande
543492	248218	La pharmacienne
543492	251019	Pauline
543492	268402	Madame Musquin
543492	271069	Madame Jo
543492	284961	Anita
543492	287602	A servant
543492	292890	La scientifique
543492	300739	Herself
543492	301321	Béatrice Flamand
543492	305327	Simone
543492	307748	
543492	336311	
543492	336980	Irène
543492	338003	La parisienne
543492	340343	Colette Chevassu
543492	345162	Lulu Braconnier
543492	345246	Gigi Ortega
543492	346576	Simone
543492	351717	Jackie
543492	378866	Emma-Ammé (ep.6)
543493	174279	
543494	111313	
543495	86470	Arabic Singer
543496	309289	Girl 2
543497	19238	Nathalie's sister
543498	269355	Mudvayne Fan
543499	23455	Extraterrestrial 1
543499	102459	Widow/Model
543499	395090	
543500	284506	
543500	333871	
543501	125303	Olga Kubicka
543501	275691	Laura
543501	356837	Leonie
543501	405902	Monika
543501	406814	Stefanie Wolters
543502	38000	Fox & Mother
543503	267174	Waitress of the Gas Station
543504	175050	Sondrah's mother
543505	345526	
543506	356792	Student
543507	256657	Clara
543508	103791	Kidnapper
543509	334706	Mery Balboa
543510	2742	Shop assistant
543510	80721	Arianna
543510	267424	
543511	385043	Elaine
543512	33644	Mademoiselle de St. Emilion
543512	71666	French maid
543512	121913	Jacqueline Legrain
543512	151005	Maid
543512	329537	Pru Latour, her sister
543512	340969	Marcelle
543512	388946	Sofia
543512	403021	Felicitas Mitre
543513	345552	Juliette
543513	378063	
543514	342390	Titters the Pie Girl
543515	244634	
543516	341082	
543517	349848	Valentina
543518	245513	Young Natalie
543519	234012	Leopoldo's Daughter (11 month
543520	14962	
543520	24205	
543520	28987	
543520	49443	
543520	50132	
543520	52760	Murcama
543520	73299	
543520	77871	
543520	78623	
543520	92444	
543520	101887	
543520	110415	
543520	131963	
543520	132704	
543520	143772	
543520	145673	
543520	149515	
543520	150529	
543520	151806	(segment "Miercoles")
543520	158901	
543520	159346	(segment "Correo sentimental"
543520	165788	
543520	193223	
543520	194626	
543520	197087	
543520	207959	
543520	212375	
543520	212491	
543520	212517	
543520	223611	
543520	246301	
543520	250795	
543520	253280	Violeta
543520	256787	Bertha
543520	258504	
543520	261225	
543520	268271	
543520	278936	
543520	337443	
543520	354453	
543520	379147	
543520	379602	Mariana
543520	380795	Martha Corso
543520	384400	Bertha De La Reguera (2003)
543520	385257	
543520	393837	Leticia
543520	396880	Eugenia
543520	397018	
543520	400490	Lupe
543520	401690	Lourdes
543520	401918	Dra. Guzmán
543520	405318	Constanza De La Parra
543520	406861	
543520	408855	Rosa María
543520	412192	Esther Miranda de Lizárraga
543521	23331	Frankenstein Chick
543522	14635	
543522	65063	Verónica
543522	151811	
543522	206739	Nadia
543522	376826	Herself
543522	380514	
543522	385402	Gabriela Sánchez
543522	387573	Ana
543522	398166	Martina
543522	406857	
543522	409957	Elena Moreno (2000)
543523	216593	
543524	83558	Barbara Jo Chismore
543525	57929	ABA Student
543526	292856	Old Lady With Lizard
543527	324551	Mother
543528	144384	Hyde
543529	144384	Jekyl
543530	188780	
543531	124323	Michelle
543532	97718	Chorus of Nobility
543532	104048	Mrs. Barfield
543532	117652	Herself (interviewee)
543532	131641	Roberta
543532	145065	Wardress
543532	155596	Lady Bracknell in stage produ
543532	194934	Rebecca
543532	211345	Jessica
543532	222661	
543532	231438	Madeleine Bray
543532	288076	Knesbeck
543532	367023	Leopoldine Wittgenstein
543532	387471	Lady Cobham
543532	404795	Lady Alexandra Darco
543533	183009	Irma
543534	145246	Mariana
543535	122255	Henriette Markowitz
543535	308819	
543536	326849	
543537	157303	Tammy
543538	157303	Tammy
543539	41422	Michelle
543540	45452	Florence
543540	51254	
543540	288890	Isabelle's sister
543541	71010	
543542	87166	Mrs. Decker
543543	160120	Fisalina
543543	166126	Sylvia
543543	260974	Ela
543543	264270	Camila
543544	61097	Camerierina che ride
543544	291647	
543545	46747	Wedding Guest
543546	223762	Italian lady
543547	161447	Miriam
543547	183873	
543547	217760	
543547	359540	
543548	340009	Una amante (It Tabarro), 2. c
543549	76278	
543549	307975	Erica Macaluzzo
543550	409958	Yvonne Sennewald (2003)
543551	67578	Brimmer's Secretary
543551	138392	Beverly
543551	151233	Donna Matthews
543551	303818	Dorothy OConnell
543551	365424	
543551	367807	Ginger
543551	397288	Nurse Holmby (1971-1976)
543552	106796	Aby, Her Daughter
543553	81880	Party Girl
543554	186443	Herself
543554	395290	Dancer (1979-1982)
543555	97232	State Bar Agent
543555	190539	Deepika
543556	33498	
543557	48320	Moeder van Joris
543557	53722	Candida
543557	105081	Katlijn
543557	205577	Moeder Pycke
543557	209735	Schippersvrouw
543557	244753	Moeder
543557	282891	Maria Pypelinckx
543557	312014	Mevr. Driebergen
543557	357391	Tante Mélanie
543558	59058	
543559	80189	Sexo servidora joven #2
543560	302333	Mama de Santiago
543561	113900	Pearl
543561	252524	Cherry
543561	358902	Herself
543562	112400	Family
543562	117073	Robin
543563	30451	
543564	326400	
543566	258811	
543567	311702	Presenter
543567	311703	Presenter: Superstars
543567	390522	Racing Presenter (1999-)
543567	400122	Presenter
543568	272518	Karin/Kara Van Dael
543568	291231	Shay
543569	43871	Trish Michaels
543569	80765	Amy Franklin
543569	124503	Julie
543569	124504	Julie Pelham
543569	301716	Scotty Parker
543569	389340	Harriet Kleinfeld
543569	396033	Carla Mardigan (episodes 1 - 
543569	396574	Corky Crandall
543569	405769	Carol David (1978-1981)
543569	408058	
543570	89851	Marcella
543571	396536	Mirtilla
543572	391287	Therese
543573	245766	Michelle
543574	115269	Women Coalation Diner Patron
543575	12822	
543575	252596	
543576	235316	
543577	287990	
543578	117858	Dancer
543579	204827	
543580	383897	Herself - Correspondent (1995
543581	52177	Superiora
543581	279113	
543582	34656	Secretary
543583	214171	
543583	236820	
543584	6781	Marýna
543584	17327	Její teta
543584	21314	Márinka Drmolová
543584	42193	Stárková
543584	77109	Mrs. Kaufman
543584	84418	Josefína Kocová
543584	104839	Aunt Pa
543584	113102	Marinka's Mother
543584	120671	
543584	122765	Zofka
543584	139511	Soldánová
543584	139865	
543584	149244	
543584	155648	Tumová
543584	165729	Jarka's mother
543584	165809	Aunt
543584	167928	Elisová
543584	178802	
543584	181103	Klara Horakova
543584	189493	Professor's wife
543584	211904	
543584	219648	
543584	221197	Drázná
543584	221350	
543584	223572	
543584	225968	Králová
543584	229219	
543584	230475	
543584	231160	
543584	231169	Marjánka
543584	237879	Irma
543584	246211	Mrs. Janota
543584	249244	Zuzanka'z mother
543584	261381	Mrs. Kohoutová
543584	266347	
543584	266462	Marie Hrubá
543584	268304	
543584	277209	Mme. Anna Andreyevna Skvoznik
543584	282748	
543584	282764	Mrs. Malá, widow
543584	282766	Petr´s mother
543584	305552	Bozencina matka
543584	317257	
543584	328935	Felixová
543584	339319	Julie Hubácková
543584	343814	
543584	344352	Ela Vydrová
543584	349838	Maruska Kudrnová
543584	357715	
543584	375478	
543585	79272	Dater
543586	70011	Prostituta
543586	71160	Marisa
543586	74342	María
543586	152354	
543586	229207	
543586	251340	
543586	322345	Herself in video clip
543586	327933	Eva
543586	334469	Ana Rosa
543586	384594	
543586	384795	Lucía (2001-2002)
543586	388621	Angela
543586	391643	La hija
543586	393549	
543586	398838	Gertru
543586	400420	
543587	107483	Celtic Harpist
543588	290511	
543589	17743	
543589	21084	
543589	127982	
543589	269635	
543589	284971	
543590	101618	
543590	170382	
543590	236451	Jovita
543590	348931	
543592	395667	Meike Schildknecht
543593	65449	Reena
543594	203549	
543594	372134	Glenda
543595	149804	Nurse #1
543596	93959	Opera Singer
543597	245008	Hot Tourist Chick
543598	251387	
543599	94136	Winchester's Secretary [Ch.1]
543599	94137	Wally Winchester's Secretary
543599	117759	Jackie
543599	173534	Senorita
543599	271997	Susan Putnam
543599	358711	Peggy Hammond
543599	367292	Gladys
543600	74197	The Woman
543600	328523	Newswriter
543600	387069	
543601	384808	Melissa
543602	10903	Kelly Hill
543603	255346	Photographer
543604	106628	Cathleen
543605	123003	Herself
543606	91920	Cheerleader #2
543606	217745	Art History Student
543607	34739	
543607	44651	
543608	27486	Maid
543608	70390	
543608	289558	Woman at Babylon Club
543609	178906	Christie Eastman
543609	214456	Mother
543609	215177	Carolyn
543609	405123	Chris Weaver
543610	250428	Angel
543611	76252	Herself
543611	317223	Nan Wilson
543612	388219	Hostess and narrator
543613	265604	Karen Summers
543613	280498	
543614	330375	
543615	12217	Topeka Partier
543616	15214	Isabelle's Mother
543616	29101	Sister Kathleen
543616	39830	Eva Callow
543616	80813	Colleen Daniels
543616	183186	Dr. Sharon Hagler
543616	284003	Marcia Rosselot
543616	308115	Mary Jane
543618	41843	
543618	44437	Denny
543618	44449	Glorianna
543618	52328	Sissy
543618	67611	Tina
543618	89126	Roeanne Lee Peters
543618	141569	Susan
543618	152647	Carla Simmons
543618	175100	Tracy McVey
543618	201424	Angela Roberts
543618	254523	Groupie
543618	263779	Violet
543618	282918	Leslie Claire
543618	363393	Mary
543619	355157	Nurse
543621	35642	Herself
543622	29968	Barefoot Model
543623	267486	Gemma
543623	383078	Cher (1996-2000, 2003-)
543624	31715	Screaming Woman
543624	56462	Ginger Grant
543624	80898	Luckup Hostess #1
543624	82504	Penny
543624	104943	Sorority Girl
543624	105851	Priscilla
543624	127714	Herself
543624	154762	Rita Kimbel
543624	165278	
543624	199525	Dorie
543624	233967	Stephanie
543624	263360	Susan
543624	264157	Wedding Guest
543624	276163	Ginger Grant
543624	295351	Fremont's Girlfriend
543624	314441	Kimberly Summer
543624	314444	Patricia Cornell
543624	323893	Saloon Girl
543624	324020	
543624	360891	Kristen
543624	362379	Dir: Kevin Connor (I)
543624	382419	Elizabeth 'Beth' Henderson Lo
543625	331601	
543626	106676	Rebecca
543626	167566	Receptionist
543626	185111	Carol
543626	231893	Ellen
543626	310838	Mona
543626	318164	TV director
543626	322606	Reporter
543626	364367	Heather -- Wendy's friend
543627	343310	
543628	216803	Lily White Girl
543629	19986	
543629	29335	Aunt Fanny Holbrook
543629	200040	Franiska
543629	245614	Miss Patchin
543630	297097	Sireena
543631	175144	Miss Ada
543632	155063	Librarian
543632	296266	Kathy
543633	165582	Pillow Fight Sorority Girl
543634	318729	Beautiful Lady
543635	222291	Thomas's Mum
543636	210814	Woman
543637	70322	Samantha
543637	183671	Pru
543638	13742	Dancer
543638	289526	Heather Roberts
543638	322759	Rowdy's date
543638	363117	Mother
543639	110311	Rose
543640	41747	Donny Bartowski
543640	389858	Laura Vining Webber Baldwin S
543641	1225	Robin's Sister
543642	332163	Police Control Officer
543643	21499	Wanda
543645	83692	
543645	117163	
543645	189959	
543646	293009	Party guest
543646	358376	Shopping Mall (extra)
543647	276505	Servante
543648	74567	
543648	243619	America
543648	377183	Angela Morante
543650	242815	Club Woman #5
543651	80634	Kandi
543651	81205	Mrs. Wayne
543651	231070	Medda's Helper
543652	284527	Denise Walker
543653	139897	Verónica
543653	387478	
543654	409144	Herself - Anchor (2002-)
543655	395376	Felisbela
543656	7217	
543656	7219	
543656	17113	
543656	41665	Mrs. Skurová
543656	45723	Porodní bába
543656	45724	
543656	63359	Tereza, wanton
543656	75993	
543656	88583	Anna, servant
543656	88746	Client
543656	88747	Countess von Botzenheim
543656	102898	Midwife
543656	107713	Assistant
543656	121715	The Sister-in-law
543656	172906	Babka s fajfkou
543656	173557	Neigbour
543656	175032	Nováková
543656	179357	Rézinka Popelková
543656	181341	
543656	198374	Blichtová
543656	199692	Aunt
543656	204906	
543656	206950	
543656	244259	Muknsnáblová
543656	253253	
543656	253829	Wedding guest
543656	262254	Maránková
543656	266023	
543656	266426	Zpìvaèka
543656	266533	
543656	268297	Vesnická drbna
543656	268510	
543656	320576	
543656	323640	Employer
543656	341631	Neighbour
543656	349318	Anna
543656	350612	Maiden
543656	350983	Nohejlová
543656	351496	
543656	373402	Sousedka
543656	373403	Filoména
543656	373414	
543656	374534	Pretender
543656	375413	Neighbor
543657	311423	
543658	165255	
543659	39404	Hotel Cleveland Extra #1
543660	32366	
543660	86870	Asun
543660	132675	La mellada (as María Jesus Va
543660	162712	
543660	236468	child
543660	273014	
543660	301158	
543660	339122	
543660	353619	
543661	77792	Billie
543661	96614	Doris
543661	152911	Rolene Wood
543661	209612	Pillow
543661	245384	Beth Larabee
543661	246183	Eve Drake
543661	254561	Claire
543661	264063	Princess Maria
543661	283865	Sally Boylston
543661	291851	Margaret McLean
543661	321505	
543661	363590	Janet Keller
543661	379305	Betty Leonard
543661	397642	Pat (1954-55)
543662	289749	Chocolate Candy Girl
543662	380713	Jade Sullivan (1991-1992)
543663	254145	Sili
543664	238612	Beautiful Woman
543665	209289	
543666	101501	
543667	308097	Nurse
543668	316679	Sam's wife
543669	94097	
543669	383681	Netal
543669	393971	Shannon
543670	197577	
543671	276986	
543671	282913	La fille légère
543671	301126	La Mère
543671	336982	La fleuriste
543671	384754	Baba (Season 3+)
543671	392581	Pierette
543673	24140	Assunta
543673	51367	
543673	54285	
543673	57334	Mamma Lucia
543673	121907	
543673	202354	Caristìa, la fattucchiera
543673	205355	Maria
543673	205445	
543673	206793	Donna Concetta
543673	217872	
543673	242298	
543673	310468	
543673	310888	Paolina
543674	268923	Anna
543675	28401	
543676	408410	
543677	33471	
543678	80876	Girl in Store
543679	233875	Dance student
543680	137620	
543680	340791	Audience Member #1
543681	273105	
543682	85963	Beatriz
543682	379566	Lucía (2001-2002)
543682	396179	Maite Padilla
543682	398914	Natalia
543683	212400	
543684	2016	Mrs. Robinson
543684	40822	Blinkeyes
543684	48030	Elizabeth Brown
543684	58803	Betty
543684	58832	
543684	64114	Cinders
543684	73722	
543684	85529	Ludivine Bucaille
543684	99279	Eliza Vandan
543684	105094	Maudie
543684	191643	
543684	196305	Tip-Toes
543684	206927	Mary Smith
543684	218505	
543684	218970	Maud Emily
543684	224206	Lil
543684	233092	The Nipper
543684	235611	Sally
543684	248428	Kitty Cranston
543684	251494	
543684	254086	
543684	271330	Maisie Grey
543684	274885	
543684	284240	Mick
543684	288475	Jude Tyler
543684	291804	Fay Wynchbeck
543684	301037	Mizzi
543684	307987	Joan Meredith
543684	312349	Squibs Hopkins
543684	312350	Squibs Hopkins
543684	312351	Squibs Hopkins
543684	312352	Squibs Hopkins
543684	312353	Squibs Hopkins
543684	349639	Sally/Princess Xonia
543684	360792	Christine
543685	37550	Edith Stoddard
543685	132335	Edith
543685	315913	Marion Madison
543686	11568	Lavender Lawn
543686	39898	Laurie Fenton
543686	50039	Margaret Dennis
543686	75891	Cynthia
543686	104928	Veronica Leigh
543686	108869	The Woman in Black
543686	114664	Viola
543686	164491	Margherita
543686	224743	
543686	282646	
543686	283774	Anna Cargill
543686	289640	Mrs. Raeburn
543686	367569	Noah Berwell
543686	367646	
543687	367886	Midwife
543688	13747	Sophia Kebabian
543688	196068	Mrs. Barrett
543688	223019	Elsa
543688	296974	Mrs. Brown
543688	326428	Theresa
543688	385719	Nurse (1968)
543689	6859	Amparo's mother
543689	37788	Mrs. Morrow
543690	367083	Dancer
543691	133345	Party Guest
543692	211427	Rosie Leadbatter
543693	13451	Lali
543693	51232	
543693	56085	Casino patron
543693	71319	(segment "The First Commandme
543693	86478	Model
543693	142390	Tina
543693	171270	Rita
543693	197436	
543693	248085	Gina Valenzuela
543693	318604	
543693	359532	
543694	21738	Callie
543694	93955	Amanda Bennett
543694	115179	Cristal
543694	300943	Young Hooker
543695	10595	Ames, the Nurse
543695	11215	Mrs. Van Espen
543695	17922	
543695	22812	
543695	24782	
543695	31431	
543695	33707	Katherine
543695	50903	
543695	69048	Martha
543695	75846	The Widow Pryor
543695	92701	Mrs. Alden
543695	109822	
543695	117979	Ursula Winwood
543695	133797	
543695	159025	Mother
543695	191869	Mrs. Carlyle
543695	195888	
543695	203723	
543695	214747	The Mother
543695	215643	Aunt Agatha
543695	243233	The patriot's mother
543695	278667	Rip's Wife
543695	304445	Mrs. Christy
543695	312024	Marguerite
543695	337159	The Mother
543695	345700	Mrs. Murrish
543696	241260	Virginia
543696	400351	Beulah Cosserat
543696	403112	Mrs. Cranleigh-Osborne
543697	192181	Sabrina
543698	26289	Nanny
543698	26804	Herself
543698	60746	Glory Hole Hotel Clerk
543698	64836	DA warrior
543698	65756	Attractive Woman
543698	69895	Dr. Patel
543698	210469	Teacher
543698	245040	Martha
543698	275889	Debbi, Punk
543698	279509	Labia Mirage
543698	315901	Fabienne
543698	324777	Calypso Dancer
543698	353265	Gloria
543698	361068	Biker Girl
543700	34122	
543700	390242	Marja Ducroo (1994)
543700	393707	Jopoppinolou-kico-club
543700	407620	Linda
543701	147595	
543702	180284	
543703	10032	
543703	10037	
543703	13608	
543703	15819	Shanti
543703	25969	
543703	25973	Leena
543703	27412	Lata
543703	27465	
543703	27466	
543703	27767	
543703	29419	
543703	29584	
543703	31432	Tara
543703	62731	
543703	95006	Kasturi
543703	108986	
543703	128895	Meena
543703	135868	
543703	160552	
543703	164288	Maria
543703	164331	
543703	165007	Chhaya
543703	167331	
543703	174839	Basanti
543703	213806	
543703	215505	
543703	217181	
543703	226751	
543703	226752	Heroine
543703	228854	
543703	229576	
543703	233210	
543703	258551	
543703	270166	
543703	285620	
543703	287984	
543703	296714	
543703	318414	Kammo
543703	318422	
543703	373791	
543704	44366	Herself
543705	341646	
543706	270166	
543707	9235	
543707	25968	
543707	28890	
543707	39034	Rina
543707	49589	
543707	58400	
543707	59480	
543707	98466	
543707	98517	
543707	122805	
543707	164315	
543707	167342	Jugnu
543707	174148	
543707	175863	Guest Appearance
543707	184002	
543707	210679	
543707	211399	(Guest Appearance)
543707	226675	
543707	228697	
543707	238867	Radha
543707	248796	Tara
543707	249662	Asha Varma
543707	271414	
543707	285954	Sunita Sarit
543707	286665	
543707	289170	
543707	289308	
543707	346841	
543707	373809	Razia
543707	373830	Roopa
543708	84151	
543709	98353	Herself (Universite de Paris)
543709	204117	
543709	336453	Leila
543709	353907	Jacques' landlady
543710	24924	Eugénia
543710	32015	Jeanne
543710	65448	Irene Paolini
543710	66584	Sylvie
543710	68387	Valérie
543710	68923	Isabella
543710	73158	Charlotte
543710	73620	
543710	86432	Anna
543710	113216	Jenny
543710	116431	Madeleine
543710	161440	The Woman
543710	164153	Annie
543710	172076	Récitante
543710	204117	La fille
543710	285150	Madame Santero
543710	286277	Vanessa Bartholomioux
543710	294387	
543710	312721	La jeune femme
543710	337029	Marianne
543710	340191	Claire
543710	345176	Nina
543710	346419	Sylvie, l'ex de Manéri
543710	349418	Cammille B.
543710	377470	Elisabeth
543711	410830	Sandy
543711	410831	Sandy
543712	35878	
543712	179180	
543712	357984	Jadwiga
543713	70802	Mujer
543713	318198	
543714	356701	
543715	23873	Nurse Miralpeix
543716	328301	Woman
543717	154530	Shelley
543717	158920	Beth Kramer
543717	198489	Cari/Serena
543717	308440	Bryn Kaufman
543717	315776	Chrissie
543717	364325	Janey
543718	270353	
543719	348671	
543720	94244	La démonstratrice
543721	170109	
543721	346474	Johanna
543722	354793	
543723	5877	Maria
543723	39760	Mary Valente
543723	52554	Marla Hayes
543723	59789	Tracey Winters
543723	61710	Herself
543723	67685	Pilar Graile
543723	67945	Julie Thomas
543723	68835	Mike's girlfriend
543723	77936	Marla Fears
543723	83972	Otilia Ruiz
543723	90097	Nella
543723	120639	Natalie Benzinger
543723	123250	
543723	133953	Martha of Bethany
543723	149938	Rita
543723	157008	Maria Cassala
543723	193784	Karen Menardos
543723	247576	Countess Hedy Maria Tovarese
543723	250811	Ellen Betz
543723	259275	Martha LaFrita
543723	265624	The Girl
543723	283353	Mona Shannon
543723	329548	Sister Mary Enquirer
543723	329984	Marsha
543723	350782	Regine
543723	372527	Cathy Hunt
543723	387120	
543724	6399	Une jeune fille
543724	54246	Véra Agatcheff
543724	55872	
543724	71886	La comtesse Vilma Isopolska
543724	83177	Bella Score
543724	83258	Louise
543724	90179	The Niece
543724	111087	Jane
543724	120670	Sidonie Chèbe
543724	135422	Madeleine
543724	140282	Gisèle Esteban
543724	167199	Gine
543724	198847	Mireille
543724	202140	Madeleine Barral
543724	205733	Marie
543724	210915	Denise
543724	227526	Assunta
543724	240427	Denise
543724	268436	Gisele "Gaby" Gould
543724	272355	Helen Wells
543724	280780	Cora
543724	296081	Nicole
543724	300652	Marcelle
543724	328399	Georgette/Giorgetta
543724	355857	Lilette
543724	357837	Judith
543725	61710	Herself
543726	85117	Mrs. Avedon
543727	390338	Herself
543728	282096	
543729	48211	Woman
543730	41530	Ebony
543731	27841	Elaine
543731	146420	
543731	191152	Vivian
543731	230892	Herself
543731	296917	Woman with Baby
543731	316261	Eva
543731	338930	Marie
543732	120058	Miriam
543732	309019	
543732	325639	
543732	381694	
543733	276444	
543734	310888	
543735	147612	Trick or Treater
543736	388600	Herself
543737	279315	Elan Alms
543738	401595	Herself
543739	21899	
543739	227990	
543739	375353	
543740	124340	Shopkeeper
543740	221065	Singing Lady
543740	245499	Mrs. Brzjinski
543740	297228	Pam
543741	1674	Herself
543741	12217	Saphire Loveson
543741	13978	Stacey
543741	14124	Alice
543741	34638	Beth Bradley
543741	69596	Herself
543741	72509	Nancy Downs
543741	77949	Lisa
543741	80784	Stacey
543741	81588	
543741	84494	Annie
543741	87640	Molly
543741	107478	Herself (interview)
543741	124340	Shade
543741	132912	Mercedes Cortez
543741	156851	Sonya Weiler
543741	162853	Aissa
543741	194530	Lady T'Lak
543741	201480	Bella Sotto
543741	222668	Caril Ann Fugate
543741	245499	Delia Brzjinski
543741	253497	Herself
543741	253498	Herself
543741	253499	Paula
543741	260229	Barbara (age 12)
543741	274180	Gretchen Van Buren
543741	276873	Dorothy Gale
543741	296769	Angel Harwell
543741	297228	Lizzie Curtis
543741	330019	Mona
543741	330434	Lucinda
543741	335016	Doris
543741	350062	Cécile Volanges
543741	358803	Dorothy
543741	360027	Vicki Vallencourt
543741	362285	Snail
543741	363585	Herself
543741	366776	Herself
543741	368675	Mildred Hubble
543741	370851	Lola
543742	20306	Necibe, Djemil's wife
543742	38454	
543742	164059	Fazilet
543743	355766	Mrs. James
543744	26514	Mrs. Black
543744	73949	
543744	404124	Sailor Mercury/Amy (II) (2000
543745	127808	Herself
543746	370460	Dyavol kradetz 2
543747	284467	Sasedka
543748	230451	
543748	352781	Mlada dama
543749	81116	Mustafa's Wife
543750	18567	Danseres Toyota
543751	18567	Danseres Toyota
543752	1092	Oracle - Old Woman
543752	11787	Frk. Margareth
543752	48130	Sekretær
543752	50273	
543752	104253	Fiffa
543752	120022	Martins kone
543752	146985	I husmorfilm
543752	153767	
543752	173087	Kokke
543752	173088	Kokka
543752	178434	En madam
543752	178715	
543752	178754	Kjøkkenpiken, 'Bridgepartiet'
543752	198272	Fru Holmsen
543752	223204	En oberstfrue
543752	234512	Nabofrøken
543752	237272	
543752	240110	Kokka
543752	250412	
543752	304976	
543752	315187	Fru Halvorsen
543752	317650	En husmor
543752	322454	Sint hybelvertinne
543752	322471	Mrs. Baltzersen
543752	322472	Laila Baltxersen
543752	344164	Fru Monsen
543752	347004	Krestna
543752	349001	Bestemor
543752	349002	Stuepiken
543752	382898	
543752	394180	Mrs. Smith
543752	396828	Gerda
543753	382435	Zowella
543754	278855	Girl in Nurse's Office
543755	50690	Libby Gunther
543755	104972	Angela Victoria Adams
543755	160882	Dancer
543755	205830	Sally Ann
543756	61843	Mary Tilford
543756	244923	Laura
543757	13736	Myra Rosenblatt
543757	144544	Reporter
543758	78007	Lynn
543759	11936	
543759	17084	
543759	23731	La vieille dame
543759	45768	
543759	54979	Madame Dietrich
543759	58287	Thérèse
543759	65382	Mme Lévy
543759	65385	Mme Lévy
543759	69983	
543759	92680	
543759	92899	La femme sur le banc
543759	94787	
543759	95854	Marie
543759	99912	
543759	100027	La patiente
543759	101534	
543759	105612	La grand-mère
543759	132748	
543759	165757	
543759	190421	Marie
543759	219524	
543759	234783	La patronne
543759	294808	
543759	295210	Dying Lady
543759	345205	
543759	346740	Bit Part
543759	353814	
543759	374208	Permanent
543759	377060	Louis' mother
543759	385003	la Dame agée
543759	389271	La secrétaire en chef (segmen
543759	392369	La boutiquière
543760	2691	Monika Hepp
543760	11894	
543760	325418	Beate Berger
543760	325559	Beate Berger
543760	325638	Beate Berger
543760	325867	Beate Berger
543761	362133	Young Alice
543762	252974	Party Girl 2
543762	285922	Additional Voices
543764	307002	Narcoleptic Jen
543764	393599	Herself (eliminated round 3)
543765	281466	Tara
543766	16673	Barbara Collins
543766	24476	Carmela Cicero Maresca - Fina
543766	27929	Millicent White
543766	41478	Molly Bloom
543766	43358	Lydia McCracken
543766	47973	Mary
543766	62996	Bella
543766	68450	Imelda Quirke, Backup Singer
543766	123326	Mlle. Blanche
543766	125557	Tina
543766	151177	Mignon
543766	162268	Herself - Award Winner
543766	223979	Maggie Muldovan
543766	251551	Gwynne/Chinstrap
543766	291000	Martina
543766	328559	Suzanne Price
543766	340221	Shirley
543766	343032	Simone
543766	380456	Nora Moggin
543766	400516	Daphne
543766	400602	Finnoula
543766	401427	Simone (segment "Two Nudes Ba
543767	89705	
543768	92927	Güzin
543768	200670	
543768	232729	
543768	370270	
543768	375281	
543768	377499	
543768	377546	
543769	251812	Cowherd Girl
543770	38999	Jennifer
543770	391803	Herself
543771	366657	Lynda (aged 11)
543772	17132	Extra talent
543773	392735	Herself (Piano)
543774	299963	Rhonda
543775	297120	Narissa
543776	114307	
543777	111268	
543778	64661	Triple Trapeze/Body Skating
543779	192725	Michaela
543780	117646	Corinne Carlton
543780	175835	Nora
543780	366157	Jane Preston
543781	367083	Running Girl
543781	393268	Cordelia
543782	381608	Nancy Bacon
543784	286611	Catherine DeMeo
543785	7889	Anti Smoking Girl
543785	223776	A.S.S. Cast Member
543786	364647	Max's Sister
543787	47269	Performer
543788	142618	Go-Go Dancer
543789	127098	Donna
543790	59341	Daughter
543790	106923	
543790	276679	Clarice Bellamy
543790	298569	Therese
543790	372411	Mrs. Grouch
543791	35644	
543791	316635	Gretchen
543792	37452	Child - Mrs. Dill
543793	2304	Herself
543793	2726	Herself
543793	2893	Herself
543793	4619	Herself - Cameo appearance
543793	7483	Annabel Allison
543793	7486	Lady-in-Waiting
543793	11115	Narrator
543793	13745	Herself
543793	13921	Herself
543793	17479	Herself
543793	17619	Annabel Allison
543793	29660	Herself
543793	32210	Jean Russell
543793	32954	Secretary
543793	34650	Herself
543793	34921	Herself - Roastee(Guest of Ho
543793	37255	
543793	37364	Gloria Lyons
543793	41225	Davy's girlfriend at racetrac
543793	42336	
543793	42337	Herself
543793	42338	Herself
543793	42357	Herself
543793	42365	Herself
543793	42382	
543793	44899	Girl
543793	45236	Bit Part
543793	47311	Blonde Telephone Operator
543793	47372	Girl at the beach
543793	49247	Girl
543793	49597	Miss Rosie Kelly
543793	55417	Nurse
543793	55448	Herself
543793	55505	Herself
543793	57495	Herself
543793	60036	Lillian Temple
543793	60679	Herself
543793	64564	Host/Ringmaster
543793	73551	Angela Ballantine
543793	77685	Bubbles
543793	78793	Kathleen
543793	90418	Ann 'Annie' Howell
543793	94291	May Daly/Madame Du Barry
543793	95136	The Actress
543793	96940	Anne, Lenahan's Secretary
543793	96990	Gladys Benton
543793	97355	Herself
543793	105320	Herself
543793	107262	Kitty Weaver
543793	108523	Agatha Floud
543793	109206	Gloria Wilson
543793	114595	Peggy Nolan
543793	116527	Kitty Collins
543793	117682	Susan Vega
543793	121360	Beauty operator
543793	121585	Sally Elliot
543793	121861	Herself
543793	125511	Herself
543793	128582	Dorothy 'Dot'/'Spindle' Dunca
543793	129778	Carol Meely
543793	135513	Technical Adviser (Mrs. Joe X
543793	136533	Herself
543793	138726	Herself
543793	140408	Miriam 'Screwball'
543793	143203	Margaret Weldon
543793	144838	
543793	146145	
543793	147415	Girl
543793	147876	Herself
543793	147892	Herself
543793	154199	Gwendolyn Dilley, Tourist
543793	154398	Lucy Ricardo
543793	154399	Herself
543793	154885	Lucille
543793	164408	Herself
543793	164411	Herself
543793	166240	Extra
543793	169604	Salina
543793	169998	
543793	175529	Herself (Honoree)
543793	175530	Herself
543793	176358	1934 Goldwyn Girl
543793	194095	Tacy Bolton - Collini
543793	194209	Julie Patterson
543793	196404	Kay Williams
543793	196838	Herself
543793	197069	Herself
543793	197070	Lucy Whittaker
543793	197071	Host/Herself
543793	197077	Herself
543793	197702	Sandra Carpenter
543793	200129	Princess Narah
543793	202736	Mame Dennis
543793	205915	Joan Grant
543793	209660	Julie Hampton
543793	210814	Peggy
543793	215534	Ellen Grant
543793	220270	Chorus Girl
543793	222592	Chorine
543793	223241	Departing Train Passenger
543793	227290	Chorus Girl
543793	231124	Nancy Crocker Fleming
543793	231785	
543793	238613	Herself (with Desi)
543793	239719	College Girl
543793	241489	Maxine
543793	247374	Lucy
543793	253020	
543793	279687	Fashion Model
543793	280830	Slave Girl
543793	281432	Christine
543793	286342	Herself
543793	295301	Terrence 'Terry' Havalok-Alle
543793	302442	
543793	306387	Sally Curtis
543793	309268	Gladys O'Neill
543793	312773	Judy Canfield
543793	313319	Herself
543793	314587	Herself
543793	315228	Florabelle
543793	321508	Bit
543793	321521	Voice of Statue of Liberty
543793	329429	Claire 'Clair' Williams
543793	329560	
543793	329563	Herself
543793	329605	Sandra Sand
543793	329947	
543793	331205	Cameo appearance
543793	331446	Daisy Simms
543793	331520	Extra
543793	335638	Consuelo 'Connie' Casey
543793	335844	Flower Clerk
543793	339525	Herself
543793	342186	Herself
543793	342376	Paula Sanders
543793	343138	Ricki Woodner
543793	347545	Herself
543793	350026	Christine Larson
543793	364434	Girl
543793	366484	A girl
543793	366934	Kitty Trimble
543793	367552	Cameo appearance
543793	367802	Herself
543793	372126	Clara Fields Hinklin/Mercedes
543793	372901	Helen North Beardsley
543793	375044	Specialty
543793	383711	Co-host - part II
543793	388268	Herself
543793	391416	Lucille Carter
543793	392419	Lucy Esmeralda McGillicuddy R
543793	395580	Lucy Barker
543793	396146	Lucy Carmichael
543793	396148	Lucy Ricardo
543793	404517	Additional Voices
543793	409121	Herself
543794	1843	Herself
543794	1928	Herself - Co-host
543794	18345	(herself)
543794	382309	Herself (segment "Piano Blues
543795	47474	Essie's Party Guest
543796	261119	Lisa Parker
543797	126538	Aerobic Girl (segment "Get Ou
543797	199877	
543797	319709	
543798	200462	Mary (the maid)
543798	206943	
543798	323883	Shantytown Woman
543798	337178	Black Servant
543799	132140	Charra Davies
543800	317314	Enraged Mother
543801	117491	
543802	39193	Sheila
543802	195401	
543803	354683	Celeste Jones
543804	385930	Sue Bradley
543805	354683	Celeste Jones
543806	389046	Additional Voices
543807	21182	Mother Jane Read
543807	21184	Mom/Quackers
543807	21187	Mother Jane Read
543807	79555	Additional Voices
543807	128345	Radio Announcer
543807	141710	Kerrie
543807	164838	
543807	164839	
543807	191253	
543807	197108	
543807	197109	
543807	252203	Oily Doily Valdeez
543807	273398	Olivia
543807	363653	
543807	380692	Jane Read (Mom)
543807	380986	Marina/Hedwig (English versio
543807	381938	ZigZag/Stop/Trafic Light
543807	382998	Additional Voices
543807	383048	Various Voices
543807	390789	Fosla
543807	395732	Various Characters
543807	396378	Nicole, Marie (1990-1992)
543807	398082	Madge Bryerson
543807	402176	Anita
543807	404112	Nai-Nai
543807	404230	Polly Esther, Mama-san, Carla
543807	406006	Jackie's Mom, Sally
543807	411202	Wimzie
543807	411828	Will Scarlet
543808	188639	Maple
543808	220674	Zoe Crowe
543809	27181	Truck Stop Band
543809	395395	Mitzi Green
543810	204662	Madrigal Singer
543811	9799	Harem Girl
543811	61374	Black Shawl (Little Fawn)
543811	64790	Venita Nightclub-Singer
543811	96841	Minyora
543811	313319	Herself
543811	347739	Lottie
543811	359183	Avis
543811	368410	
543811	370546	Countess Donna Margarita
543812	365288	Kid #2
543813	120290	Myrna
543813	137623	Child
543813	157170	Principal Boy
543813	168330	Rabbit's second girl
543813	206847	Woman #2
543813	385825	Maid
543814	691	Presenter
543814	47172	Hostess
543814	68101	Herself
543814	68111	Herself
543814	68113	Host
543814	138721	Herself
543814	228327	Presenter
543814	274225	Presenter
543814	302275	Narrator
543814	314779	Zoë
543814	381886	Herself - Main Presenter (199
543814	395014	Herself
543814	395764	Herself - Presenter (1996-199
543814	401642	Presenter
543814	402187	Herself
543814	405662	
543815	294717	Bride
543815	310989	Nikki (Nikita) Chadha
543816	122998	Orsi
543817	180112	Szofi
543817	200613	Harem singer #1
543817	212509	Sabine
543817	219836	Zsófi
543817	377739	
543818	343776	
543819	111313	Bárénekesnõ
543820	48519	Sister of Muck
543820	68879	
543820	95163	Bella Blazsek
543820	97984	Weber Magda, Ellen komornája
543820	153690	Piri
543820	214504	
543820	226278	
543822	294160	
543823	154377	
543824	182729	Gruber rokona
543825	311805	
543826	92694	Ballroom Guest
543826	279755	Wedding Guest
543827	364022	
543828	363522	Moore Child
543829	170623	
543830	21154	Kid in Street
543831	61663	Mrs.Whitfield
543832	396084	Kim Hale (1969-1970, 1973)
543833	319537	Herself
543834	60763	Young Loralee Sherman
543835	300901	
543836	137570	Examiner
543836	399130	Clara Britton (1998)
543836	408109	Spitting woman
543837	103642	Kerry, gallery employee
543837	121615	Inmate
543837	366751	Keli
543838	100880	TV Reporter
543839	109063	Performer
543839	131915	Louise
543839	237008	Nurse
543839	254523	Dancer
543839	305746	Woman 1
543839	311046	Mary Jane Watson
543839	406157	Mary Jane Watson
543839	408622	Additional Voices
543840	230377	Adams' Secretary
543841	94529	Cariola
543841	275479	
543841	294215	Lady Middleton
543841	328824	Mary Armstrong
543841	360469	Margaret
543841	388320	Doreen Mandeville
543841	405217	Emily Wilding Davison
543842	41570	Shelagh MacBean
543842	41792	Mrs. Pascow
543842	46330	Millie
543842	54519	Mrs. Greenwood
543842	78606	
543842	100889	Welfare Officer
543842	277889	
543842	293809	Loopy Laura
543842	381608	Laura 'Lori' Chandler Grey (1
543842	396892	
543842	399130	Cathy Alessi (1992-1993)
543842	402012	
543842	402197	Meg Jackson-Morris (1979-1986
543842	402413	Aunt Annabelle
543842	406192	Grace Tree
543843	192381	Liz
543843	221096	Mrs. Thompson
543843	278842	Mrs. Arnold
543843	405960	Mrs. Brennan
543844	82529	
543845	314484	Dancer
543846	38822	Himeko
543846	330994	Percy
543846	380942	The Wasp (Janet Van Dyne)
543846	404124	Sailor Moon/Serena (III) (200
543847	187709	The Old Woman
543848	43738	Mrss. Kingsburgh
543848	46709	Jessie
543848	118001	Mrs. Quentin
543848	186463	Nurse Connachy
543848	220916	Cameron
543848	280179	Bit Part
543848	299191	Mrs. Shields
543849	13960	Jenny O'Malley
543850	338748	Biker
543851	96702	Mathilda
543852	82742	The Psychiatrist
543853	362551	Mable
543854	170558	Shana Riggs
543855	47334	Bird Lady
543856	277032	Riger Lil
543857	117730	Topless Dancer
543858	171079	Cash in a Box Mom
543859	86001	
543859	339547	Susan
543859	339707	Nina
543860	16255	Mrs. Green
543860	71996	Miss Wharton
543860	122019	Julia
543860	185086	Uncle Ernie VanderWal
543860	190218	Mrs. Lewis
543860	259284	Hostage's Wife
543860	315619	Client
543861	272857	Lipstick Lesbian
543862	79862	Alice
543863	254645	Court Stenographer
543864	40676	Elisa
543864	60179	Susan 'A'
543864	68073	KC Boone
543864	230815	Glaze
543864	242091	Sally
543864	294795	News Anchor
543864	342630	
543865	31632	Herself
543865	220206	Herself (Supremes member)
543865	220208	Herself
543865	322615	Herself
543865	406014	Herself
543866	190104	Nurse Soper
543867	366777	Liz Wagner
543867	380071	Alby
543868	241464	Billie
543869	2537	
543869	244785	Marnie Lowell
543870	201512	Herself
543870	289668	Sue
543870	384180	
543870	400548	Young Lorna
543871	90329	Herself - Jitterbug Contest W
543872	3265	Stripper
543873	10745	Duchess
543873	24749	
543873	26352	Mayor
543873	47385	Herself
543873	64070	Stepsister Portia
543873	93156	Esther Kessler
543873	94726	Mrs. Vecchio
543873	104357	Sabrina/Selma
543873	107910	Mrs. Lewis
543873	109758	Judy
543873	119356	Coach Betsy
543873	128332	Marge
543873	150853	Sidonia
543873	191909	Queen Palooma
543873	214094	Mrs. Crabby
543873	216878	Mrs. Grumpy Old Man
543873	216920	Secretary
543873	232017	Herself
543873	253121	
543873	260141	Herself
543873	279030	Vivian Proclo
543873	332807	Aunt Thelma
543873	363531	Mayor's Wife
543873	386778	Angie Palucci (1970-1971)
543873	391376	
543873	391827	Herself (semi-regular, 1968)
543873	397376	Herself
543873	398297	Kaye Buell
543873	401259	Herself (Kraft Music Hall Pla
543873	406524	
543873	410865	Mrs. Treva Travalony
543874	301677	Child at Orphanage
543875	169650	Le belle nageuse
543875	341939	Girl in Headshots and Auditio
543876	221638	Sister Hanson
543877	87599	Haley's Grandmother
543878	82545	Pool Hall Owner
543880	249548	Laundry Woman
543881	193832	
543881	193833	
543881	193834	
543881	193836	
543881	193839	
543881	193840	
543881	196301	
543881	245633	
543881	315323	
543882	116079	Jackie
543883	87586	Prayer Band
543884	55456	Dress Sales Lady
543885	46810	
543886	4642	Maxine Helms
543886	91888	Woman Passenger
543886	97527	Wife
543886	99128	Lana
543886	192250	Elderly Woman
543886	256925	Civil Servant
543887	41757	Herself
543887	314415	Herself
543887	367867	Herself
543888	82055	Julia's daughter
543889	29446	Patty
543889	192380	Nurse #1
543889	270349	Another Officer
543889	308110	Group Leader
543889	315335	Detective
543889	336663	Anne
543890	242515	Moder Sakförare
543891	70465	Alice Maguire
543891	83599	Naga, slave girl
543891	96889	Showgirl
543891	99856	Guest
543891	109097	Pat Condon
543891	130681	
543891	163443	Beautiful Girl on Bike
543891	170378	Mannequin
543891	176321	Goldwyn Girl
543891	176755	Girl
543891	186036	Grace Martin
543891	254283	January Petty Girl
543891	289419	Telephone Operator
543891	292262	Vivian Sheppard
543891	308569	
543891	325119	Slave Girl
543892	92695	Mrs. Westenra
543893	250746	Townswoman at Pembroke
543894	246304	
543895	18949	
543896	396506	Melanie
543898	26563	Maenad (chorus)
543898	313756	Nurse Sampson
543899	336095	
543900	304518	
543901	42855	
543902	194693	Waitress
543903	287210	Amy Hanson
543903	356351	Truddi at 8
543905	75030	
543905	75031	
543905	75059	
543905	178321	
543905	320941	
543906	409388	Herself
543907	248437	Hollywood Starlet
543908	100377	
543908	384374	Co-Host
543909	291611	Laura
543909	372950	Zurine
543910	329467	Rosina Donnetti
543910	331333	Cigarette Girl
543911	160535	Madre de Isabel
543912	383028	Hostess
543912	387547	Hostess
543912	401908	Hostess
543912	409945	Hostess
543913	389489	
543913	390444	Herself
543913	390452	Herself
543913	390453	Daniela
543913	390454	Herself
543913	404855	
543913	409809	Herself
543914	42948	
543914	127602	
543914	153334	
543914	306707	
543914	334690	
543914	341882	
543914	376836	
543914	378109	
543915	111142	
543916	400932	
543916	401907	
543917	253595	
543918	50139	Interne
543919	287907	Nieves
543920	148075	
543920	233766	
543920	355805	
543920	356622	
543920	377111	
543921	68554	Tita de adolescente
543922	65173	Elena adolescente
543922	157161	Octavia
543922	174316	Laura
543922	197156	Ana
543922	306701	
543922	384508	Hostess (1996-1997)
543922	398805	Lola
543922	400653	Veva
543922	401248	Isabel 'Isa' Sanz (1997-2001)
543923	107054	Woman in Black
543924	12944	Pilar
543924	58096	Maid
543924	68969	Sebastian's Sister
543924	71281	
543924	74580	
543924	80148	
543924	108844	(segment "El mago de Oz")
543924	115763	
543924	162155	
543924	202149	
543924	204822	
543924	212489	
543924	235306	
543924	238561	
543924	265555	
543924	370078	
543924	402238	
543925	96255	Irene
543925	169794	Catalina
543925	302403	Clase de cuarto
543926	44224	
543926	52988	Débora
543926	62763	
543926	116596	Voz Madre Ana
543926	202063	
543926	242658	
543926	307819	Alicia
543926	322234	
543926	333848	
543926	351782	
543926	379907	Mónica
543926	380116	Laura
543926	380513	
543926	384775	Virginia
543926	392609	Nancy
543926	395310	
543926	395864	
543926	395997	
543926	396596	Paula
543926	396781	Teresa
543926	398661	Rosario 'Rosi' de Albertini (
543926	399805	
543926	401899	Belén
543926	407285	
543927	220701	
543928	165718	Portuguesa
543928	371703	
543929	103173	
543930	42631	
543930	148075	
543930	218295	
543930	295513	
543930	355805	
543931	3370	La mujer felina
543931	12083	Paula
543931	43231	
543931	48817	Raquel
543931	52960	
543931	74146	Madre
543931	92333	
543931	163969	
543931	170057	
543931	183466	Ana
543931	183467	Ana
543931	193309	
543931	215589	
543931	234012	Woman
543931	249784	Ofelia
543931	280524	
543931	293708	
543931	324502	María Elman
543931	376860	Extra
543931	379900	
543931	380578	
543931	384775	
543931	389780	
543931	391647	Gladys
543931	396808	
543931	398995	
543931	403237	Eva Santoro
543931	409957	Sabrina (1999)
543932	50139	Interne
543933	309378	
543934	383111	Herself/Panelist
543935	71364	Anna Giralt-Romaguera
543935	281597	Maquilladora
543936	49678	
543936	108113	Carlo's grandmother
543936	160979	
543936	311675	
543936	342112	
543937	128021	
543938	374	Nicklaus, La Muse
543938	218543	Ramiro
543939	35280	
543939	226506	
543939	355160	Lap Dancer
543940	17049	Yolanda
543940	142510	
543940	325887	
543940	364129	Judge's wife
543941	25169	La fille de Myriam
543942	351858	
543943	28669	Mrs. Lu
543944	336512	
543945	285083	La mère belge
543946	30377	Christine Randolph
543946	32158	Cassie
543946	42545	
543946	42552	
543946	42553	
543946	66644	Mary Stockwell
543946	77930	May Wentworth
543946	96812	Isabel Vane
543946	117286	Alice Davis
543946	129550	Lucretia, as a Girl
543946	156538	Penelope Morse
543946	165442	Jane Eyre
543946	169502	The Girl
543946	186015	Alice Walker
543946	194439	Mrs. Tudway
543946	206438	Dorothy Cluer
543946	244448	Jacqueline Lee
543946	246481	Kathleen Levinsky
543946	269794	Hester Blaine
543946	277986	Jane Withersteen
543946	294952	Gwendolyn Plummer
543946	299059	Mary
543946	309581	Celebrity
543946	311910	Georgina Vanderpyl
543946	341956	Young Girl
543946	345982	Helen Clayton
543946	350504	Becky Sharp
543946	363856	Marion Hume
543947	338948	Ines
543948	390213	Herself:
543949	163075	Debbie
543951	279456	San Guest
543952	371381	Colleen Gallagher
543953	299654	Bernice
543954	333768	Mom
543955	368832	Herself
543956	283285	
543957	225273	
543958	113678	Mère de Bah
543959	234512	Fru Løwensvans
543960	267088	Police Dispatcher
543961	409981	Journaliste
543962	209646	Herself
543962	405984	UCDavis
543963	23588	Prima donna
543964	210694	Baronesa
543965	133475	Female Fan
543965	151071	Young Lady
543966	10862	Melissa
543966	75721	Geometry Student/Cheerleader
543967	249872	Chica #4
543968	160589	Russian Woman
543969	46747	Nana
543970	115339	Daniele
543970	249071	Odile (segment Gare du Nord)
543970	267226	Nadine
543971	46747	Miss Grimble
543972	209634	Tillie, Herman's girl
543973	37267	Mrs. Billings
543973	52904	Corinne
543973	72499	Ines
543973	147512	Portrait of Grandmother Seton
543973	192408	Mrs. Kirke
543973	210404	Sister Agnes
543973	232341	Mrs. Morgan
543973	244797	Old lady
543973	249235	
543973	253467	Aunt
543973	260951	Mrs. Manners
543974	126442	
543975	367073	Munchkin
543976	71953	La sage-femme
543977	16646	Hooker
543978	103080	Geistliche Schwester
543978	119247	
543978	198417	
543978	225240	Lil Dewohl
543978	290803	Sie
543978	312888	Kommissar Martin
543978	352245	Jeanne Löhr
543978	389959	
543978	405946	Cleo Sonntag
543979	274801	
543979	341346	Herself
543980	12812	Marthe
543980	58233	Evelyne Broca
543980	64218	
543980	132991	Mélane
543980	192820	
543980	261711	Manon
543980	286048	
543980	336979	
543980	342856	Simone
543980	345154	
543980	346533	
543980	396370	Gigi
543980	408000	Geneviève
543981	105280	Nanny
543981	209591	Madeline
543982	75187	
543983	294713	Jeanette
543984	273119	
543985	352931	Les danseuses
543986	233617	
543987	14448	Sladjana
543987	277430	Angela
543987	303418	Suzana
543987	373606	Magdalena
543988	27672	
543988	214921	
543989	43413	Caroline
543989	129431	Marine
543989	198291	Léa
543989	254066	Tina
543989	354576	Ameline
543989	359699	Betty
543989	376972	Sophie Patché
543990	100741	
543990	106028	
543990	150678	
543990	352405	The Prostitute
543991	137402	Yasemin
543992	125983	2nd Girl Tourist
543993	249283	
543994	145022	Isabel
543995	91461	La paysanne
543995	380587	La mère de Béziers
543996	12737	First Nun
543996	12738	Employment Clerk
543996	199167	
543996	229259	Nell Sherritt
543996	381608	Jane Mitchell
543996	395119	
543997	13367	Herself
543997	391508	Kimee
543998	105396	Voodoo Dancer/Church Member
543999	380795	Anel Paulín
544000	394077	Hostess
544001	13707	Herself - Overcomer's Victori
544002	30678	Social Worker
544004	43114	
544004	58358	
544004	200610	
544005	156433	
544006	111313	
544007	44330	Jenny Kemp
544008	282123	
544009	42927	
544009	350830	Táncos
544010	80908	
544011	31950	Bored Woman
544012	28537	
544012	42927	
544012	103052	Vendég
544012	136431	
544012	136441	Varga Jolán
544012	140061	Baba
544012	163130	
544012	175699	
544012	180824	A modell
544012	182691	
544012	182828	
544012	207584	Marquesa de la Casa Funta
544012	209835	
544012	237176	
544012	322199	
544012	343703	
544012	343747	
544012	354609	
544012	402164	
544013	129672	
544013	136433	
544013	153859	Countess Wirnbrandt
544013	229574	
544013	322025	Büfésnõ
544014	199872	Fiatalasszony
544014	293991	Mrs. Hebra
544015	408839	Host
544016	248594	Herself
544017	187512	Galagonya
544018	239432	
544019	409858	Uta
544020	350833	Cigány
544021	17079	
544022	44199	Rozi
544022	177925	Nagy Marika színésznõ
544023	343446	
544024	142726	
544024	322064	Tire-woman
544025	136430	
544026	98027	
544027	18638	
544028	189907	Carella's Daughter
544029	74454	
544030	211217	
544031	284355	Évi
544032	322195	Ida lánya
544033	18712	
544033	142233	Josephine
544033	171603	Kati
544033	175662	Ida
544033	190748	Lili,táncosnõ
544033	322079	
544033	322128	Estella
544033	322185	
544033	357300	Conference lecturer
544033	377797	
544033	378578	Józsi felesége
544033	412290	Baráthné (episodes 2-3)
544034	267165	Receptionist Nurse
544035	390233	Sody Pop
544036	379530	Stella
544037	221342	
544038	16143	Gawker #1
544038	216126	Acting Teacher
544038	298027	
544038	314631	'Hip' Woman
544039	247132	
544040	26082	
544041	165119	Olsovská
544041	172607	Charwoman
544041	174470	Matka Kohoutová
544041	198233	Lemplová
544041	315928	
544041	339342	Nurse
544041	373755	
544041	410338	
544042	269892	Aborigine
544043	186723	Grandmother
544044	157758	Dorothea/4. Geschichte
544044	197121	Cosima von Bülow
544044	225125	Elisabeth Roeder, Alex's Sist
544044	286221	Nofretete als Geist
544044	328991	Anne Eilers
544045	290717	
544046	307385	Ginger
544047	234646	
544048	10351	
544048	52142	Jean Irene O'Neill
544048	53057	Mary
544048	66990	Jean Alexander
544048	68669	Charlene
544048	69771	Margie
544048	72653	Lori Bancroft
544048	72747	Eve
544048	100034	Suzanne
544048	158338	Judy Cusimano
544048	159765	Allison
544048	161490	Dr. Linda Boyle
544048	175597	Sandy Scheuer
544048	176829	Emma
544048	177233	Sharon Raymond
544048	183452	Linda
544048	214162	Doreen
544048	226475	Marta Karolyi
544048	239104	Noranne Wing
544048	245994	Jenny Fox
544048	297232	
544048	302944	Liz
544048	314675	Grace Geary
544048	319161	Ann Rosario
544048	319653	Pvt. Angela Lejune
544048	320082	Rona
544048	323844	Verna
544048	340930	Catherine Walker
544048	349896	Greenhorn Checker Linda
544048	358838	Susie the whore
544048	395020	Julie Lonner
544049	68430	
544050	8306	
544051	52699	Young Girl
544052	166565	Madame Royal
544053	270181	
544054	12365	
544055	277295	Nick's Mother
544056	366549	
544056	397382	Svea Melchior
544057	155385	
544057	156984	
544057	205581	
544058	245115	Girl
544059	65791	Moeder van Michael
544060	97035	
544061	37768	
544061	261516	
544062	115441	Senta
544063	34960	Holly Meechum
544063	36425	Jewel
544063	130968	
544063	135514	Debby
544063	141154	Alice
544063	191898	Nancy Oleson
544063	191899	Nancy Oleson
544063	191900	Nancy Oleson
544063	194223	Daughter
544063	395533	Chrissy Roberts
544063	395735	Nancy Oleson (1981-1983)
544064	58771	Young Kam
544065	137453	Receptionist
544065	185500	Charlotte
544065	330716	Mrs. Phillips
544066	97071	
544067	37115	Heroin Chic Hooker
544067	372261	Owen's date in bar
544068	64281	Herself/Interviewee
544069	243434	Athanasia
544069	379361	Lina (2000-2001)
544069	379466	Natasa
544069	386354	Alexandra
544069	387409	
544069	387651	Dafni
544069	397345	
544070	325182	
544071	373489	Stanka
544072	54071	
544073	322397	
544074	55531	Dream Lover
544074	87018	Cave Girl
544074	346009	Monica
544075	123914	Fernanda
544077	183426	Student Dancer #1
544078	177794	Carol Watson
544079	69049	Sandra
544080	63618	
544080	154685	Mother
544080	173026	Tomila
544080	184839	Deniza
544080	261325	
544081	206621	Scavenger
544082	83600	Roadside Waitress
544082	369453	Video sequences
544083	281913	Geraldine (11)
544085	31489	Aurore
544086	106636	Reporter
544087	14132	Deputy
544087	315160	Carly
544088	274494	
544089	28791	Mau Mau: Smooth Blak
544089	145636	Herself
544089	306129	Trix
544089	318742	Herself - Surprise Guest
544090	367054	Green Lady
544091	132259	Diane Giacalone
544092	26077	Shoeless Girl
544093	187231	Mary Beth Searcy
544094	160785	Girl in Bar
544095	183138	Mayka Mirza
544096	37699	Muffy
544096	41363	
544096	144650	Judy Ramteize
544096	160785	Girl in Bar
544096	163625	Stripper #2
544096	213233	Sandy
544096	227024	Miss Cuba
544096	297187	Rose
544096	355173	Woman at Restaurant
544097	55198	Carmen
544097	69970	Giulietta
544097	71446	Despina
544097	90011	Eboli
544097	94862	Vera Litassy-Eltz
544097	143492	Herself
544097	197127	Mezzo-soprano
544097	281974	Octavian
544097	287643	Dalila
544098	387401	Aunt Ortansia Triovolou #1
544098	389459	
544098	390038	
544098	395608	
544098	402382	
544099	374833	
544101	12610	Schizophrenic Patient
544101	84833	Heidi
544101	206356	Corkey Dennis
544101	392462	Karen Hawks
544102	349906	Herself: Vælger
544103	366479	
544104	386133	Design Team
544105	12635	Vera Nielsen
544106	233948	Rocio
544106	307632	Andrea
544106	390096	Ester
544107	148702	
544108	83879	Secretaria de Ernesto
544108	231303	
544108	246412	
544108	292766	Secretaria Dra. Rozemberg
544108	328504	
544108	384775	Silvina
544108	412120	Alicia Di Paolo
544109	313726	
544110	109365	Gwen
544111	292763	Juana
544111	379653	
544111	380059	
544111	393833	
544111	395885	Tita Juan
544111	396898	Lola
544111	401916	
544111	402059	
544111	410303	
544112	397016	Panchita
544113	94613	Dancer #7
544114	61418	Flasher's victim
544114	144366	Kate
544115	248668	Faceless Figure #4
544116	380358	Pepita
544117	83400	Classe sport et études
544118	74570	
544118	113239	
544118	170067	
544118	225611	
544118	236437	
544118	254340	Selva María
544118	351951	Herself
544118	357535	
544118	378971	Rafaela Ferrer
544118	379898	Rosita Mérida
544118	380102	Amalia Sifuentes
544118	380125	Gallarda Camacho
544118	385599	Carmen
544118	389751	
544118	398453	Ofelia
544118	398456	Mónica
544118	403884	La China
544118	404203	Lavinia Luzardo de Rincón
544118	412133	Denisse de la Iglesia
544120	199375	
544120	285991	
544120	333898	
544121	125599	JP's Girlfriend
544122	377484	Velma
544123	124323	Hélène Suze
544124	113362	Stewardess
544125	196820	
544125	217004	Pia Delarue
544126	26008	
544127	36667	Union Delegate
544127	49431	Grandma
544127	61989	
544127	73477	Sra. Ramirez
544127	174743	Vecina
544127	200456	
544127	226365	
544127	236472	
544127	318019	Mama Febre
544127	339479	
544128	64091	Examining Nurse
544129	255244	Jaqueline
544131	391078	
544132	272528	Anna Wyrubowa
544132	352761	
544133	47148	Megan
544133	240316	Ronnie
544133	297102	Hostage Girl
544134	41869	O.R. Nurse
544135	88657	Herself
544136	53893	
544137	147321	Gräfin Lubowska
544138	151865	Jana
544138	205704	
544138	211866	
544138	253785	Ema Gabrielová
544138	284477	Dása Adámková
544138	357297	Vera
544138	357437	Ing. Beková
544138	380662	Madeline's mother
544138	381196	Kety
544138	388165	Marion Feders
544138	399141	Dr. Alzbeta Cenková
544138	399142	Dr. Albeta Cenková
544139	67897	Mother Superior
544140	209839	
544140	322194	
544141	66401	Chuchi
544141	83128	Nené
544141	237736	
544141	278936	
544142	162974	
544143	402164	
544144	193338	
544145	153859	Selina
544145	377889	
544146	209839	A Girl
544146	403110	Herself/Host
544147	11069	
544147	171598	Reporter
544147	387087	Host
544147	402544	Herself
544148	13998	Mathilde Mattieu
544148	43121	Belgian landlady
544148	54600	
544148	58828	Peasant
544148	105297	Pharmacist's Wife
544148	130754	Wise old woman
544148	133807	Female fountain attendant
544148	217619	
544148	276948	Newsstand Woman
544148	334136	Bit part
544149	355267	
544150	213225	Commentator (author)
544150	295374	Narrator
544150	357997	
544151	142085	Prostiutierte
544151	352065	
544152	179858	
544153	48593	Alice
544153	218428	Bea Mullins
544153	348334	Mabel
544153	372433	Party girl
544153	380457	Assistant
544154	192254	Theresa Donovan
544155	46545	Caroline's Daughter
544156	159885	Mrs. Bennett
544156	358621	Woman
544157	3212	Herself
544157	48501	
544157	66769	Coffeehouse Owner
544157	71357	
544157	128639	
544157	128640	
544157	150047	
544157	228022	Herself
544157	239880	
544157	239881	
544157	316611	
544158	130500	Mothra's Little Beauties
544159	166972	
544159	303622	Ruskinja
544159	375744	Gena
544159	394152	Ruzica
544160	178728	
544161	70615	
544161	383441	Marisol
544161	391674	Nina
544162	183480	
544163	44124	
544163	61260	
544163	75039	
544163	123810	
544163	185388	Strozzi Gang Member
544163	264814	
544163	306923	Herself
544163	332850	
544164	96235	
544165	60350	
544165	164568	Millie
544166	164635	Shelly
544167	11267	The Dancer
544167	12201	Member of Lizzy and Her Danci
544167	24250	Mrs. Peter Jay
544167	26363	On Street
544167	37951	
544167	47594	InTelegraph Office/On Street
544167	47942	Non-Commital Woman
544167	49792	Birthday Wellwisher
544167	64508	
544167	68823	Bessie, the Mayor's Daughter
544167	75288	The Young Woman
544167	88202	Cyprienne
544167	100881	Among the Holy Groaners
544167	110084	Among Maidens
544167	117256	In Garment Factory
544167	119054	Bessie
544167	130013	In Bar
544167	130588	
544167	144528	In Purity League
544167	145006	Extra
544167	145997	Female Half of Couple
544167	149773	Leading Lady
544167	166678	On Street
544167	169978	Lead Assyrian Dancer
544167	171165	The Professor's Daughter
544167	177263	The Queen
544167	183680	The Villain's Che-eld
544167	189319	
544167	190959	Among Bathers
544167	195666	In Hotel Lobby
544167	208897	Older McGann Daughter
544167	220076	Female Apache Dancer
544167	220979	One of the Nurses
544167	221135	On Street
544167	223228	At Dance
544167	229118	Gato's Sweetheart
544167	230918	In Shop/Outside Church
544167	237792	The Young Woman
544167	239173	Among Dancers
544167	239691	Woman at picnic
544167	241715	The Stenographer
544167	253036	Storybook Lover
544167	271008	The Bride
544167	273293	One of the Daughter's Friends
544167	274121	In Crowd
544167	274747	League of Civic Purity/Terpsi
544167	275229	
544167	288675	Harry's Sweetheart
544167	318319	Among Suffragette Minstrels
544167	327151	The Maid
544167	331101	Marguerite Fleischer
544167	342790	Backstage
544167	355207	Alice
544167	364846	One of the Kids
544167	366344	Gertie
544168	192879	Zena Izbjeglica
544168	289162	
544169	131142	
544170	16909	WAAFS
544170	88856	Eva's Mother
544170	108099	Bessie McFadden
544170	118122	Miss Foster
544170	138698	Mrs. Holloway
544170	141454	Vera
544170	141986	Mrs. Burton
544170	162124	Alice, Dalby's Secretary
544170	171211	Mrs. Crossley
544170	191950	Pupil at Tadworthy House Scho
544170	194690	
544170	214931	Mrs. Mop
544170	287999	Sgt. Cook
544170	312175	Mother
544170	331279	Gussie Hagstrom
544170	333245	
544170	364510	
544170	366449	Officer/Passenger
544170	399534	Kitty
544172	59721	Aranea
544172	67989	Self
544172	82837	Newscaster
544172	103288	Brittany the Bank Teller
544172	196995	Wendy the Waitress
544172	317262	Teacher
544172	368394	Herself
544172	383643	Shriek Dubois
544173	52204	Highgyll W.I. Lady
544174	137574	Wardress
544175	116053	Aardvark Fan's Friend
544176	85588	
544177	129727	
544177	325758	
544177	335027	1. Schwester
544177	386334	
544177	389956	
544178	279709	Lea's cousin
544179	242375	
544180	33451	
544181	15049	Madly-Céphise
544181	25095	Une vacancière
544181	123684	La Martiniquaise
544181	256710	La mulâtre qui danse
544181	353925	Josephine Baker
544182	153875	La mère de colette
544183	129769	
544184	29265	
544185	2928	Old Lady
544186	318087	Eunok
544187	325205	
544188	292282	Maddalena
544189	217321	Zosia
544190	70822	Young Girl
544191	48453	Zaiton
544192	244206	Girl in school class
544193	290481	Grauer Star Dancer (extended 
544194	107101	Angie
544195	7378	Orli
544195	176017	Iris
544195	208432	
544195	379200	Limor
544195	387738	IDF Spokeswoman Merkava Feldm
544195	397482	
544195	402818	Limor (host)/Khamami
544196	20641	
544196	127030	
544196	127035	
544196	161875	Jahan's wife
544196	206939	
544196	209881	
544196	215088	
544196	350829	
544196	373870	
544197	211517	Him/Herself
544198	35709	Waitress
544199	84007	Julia Hunt
544199	91651	Production Assistant
544199	214467	Ginger Beddow
544200	86243	
544201	140938	Goddess
544201	246243	Mairsa Vinitieri
544202	142668	Lady with Clipboard
544202	236880	Christina
544202	256963	Marilyn Quayle
544202	280054	Host
544202	280356	Joyce
544202	359733	Virginia Hawley
544202	389791	Additional Voices
544202	408730	Carly Witwicky (1985-1987)/Ad
544203	373384	Additional Voices
544203	403805	Chelsea (1997)
544204	229255	Muffy
544204	290939	Carol
544204	379873	Marissa Taylor
544204	397230	Kate Manfredi (2004-)
544204	397859	Louisa Iredale
544204	403818	Ariel
544205	109649	Annie Rivers
544206	76670	Nini
544207	52734	Episode 1
544207	324389	Chona
544207	379023	
544207	382126	Melody Sandoval
544207	404049	Minerva
544207	407337	(2000)
544208	237935	
544209	236697	Brothel prostitute
544210	391337	Woman Ghoul, Jessica, Attende
544211	28169	
544211	283045	Fanta
544212	154866	Babs Martin
544213	410688	Nitro Girl Starr (2000-2001)
544214	103116	
544215	238169	Reporter
544216	90683	
544217	265726	
544218	262586	
544219	109841	Teenage Girl
544219	277637	Horse Carriage Driver
544220	351208	Pea Monk
544221	259194	Herself
544222	195	Thelma Cates
544222	1821	Herself - Presenter
544222	2353	Herself - Presenter: Best Act
544222	2375	Herself - accepting Best Actr
544222	2515	Herself - reviewing Academy's
544222	2909	Herself - Co-presenter: Writi
544222	3005	Dr. D.R. Cartwright
544222	3021	Herself - Past Winner
544222	3148	Helene Hanff
544222	7586	Herself
544222	8366	Mother Miriam Ruth
544222	13915	Herself
544222	17777	
544222	18441	Queen
544222	21168	
544222	23928	Herself
544222	34448	Meredith Perlestein
544222	40472	Extra in church congregation
544222	47315	Kate Jerome
544222	57665	
544222	73559	Nun
544222	81785	Gerry Eileen Cummins
544222	82300	Sedessa
544222	82602	Paula
544222	90262	Lyn Lesley
544222	92694	Madame Ouspenskaya (Gypsy Wom
544222	99081	Mrs. Kendal
544222	109971	Antoinette
544222	122658	Sen. Lillian DeHaven
544222	124056	Estelle Rolfe
544222	128262	Beth Dixon
544222	132043	Laverne Miller
544222	132525	Mrs. Robinson
544222	133594	Ms. Nora Dinsmoor
544222	140371	Mama Gruber
544222	141412	Gloria Vogal/Barbara
544222	145539	Ursula, The Countess
544222	148255	Adele Larson
544222	148426	Abigail Tillerman
544222	148952	Bea Singer
544222	151625	Glady Joe Cleary
544222	154954	
544222	158018	Golda Meir
544222	175223	Ruth Schram
544222	176328	Marian Foley
544222	185276	Corinna Marston
544222	190113	María Ibinia
544222	191344	Carla Bondi
544222	196005	Madame Ruth
544222	202389	Mrs. Kennsinger
544222	206133	Narrator
544222	214984	Annie Sullivan
544222	220062	Mrs. Fanning
544222	220985	Dr. Catherine Holland
544222	221236	Lillian Cage
544222	227012	Rosalie Regalzyk
544222	230902	Kathy Lupo
544222	232370	Marie Gardner
544222	239891	Lucy Marsden (age 99-100)
544222	243950	Herself
544222	258883	Amanda
544222	264469	Edna Edison
544222	267106	Jo Armitage
544222	271072	Katie Bishop
544222	276355	Angelita
544222	280833	Contessa
544222	295636	Herself
544222	299559	Narrator of US home video ver
544222	300960	Herself (36th [1963] academy 
544222	301669	Herself
544222	304889	Inge Dyson
544222	318977	Dr. Renata Baumbauer
544222	334104	Anna Bronski
544222	335479	Emma Hurok
544222	336034	Ma
544222	338812	Marie
544222	342009	Emma Jacklin
544222	348302	Princess San Ferdinando
544222	358594	Tianay
544222	372787	Jenny (Lady Randolph) Churchi
544222	389309	Maxine (Max) Chandler
544222	393476	Mary Magdalene
544222	396820	Signora Polo
544222	401646	
544223	358478	Villager of Tullymore
544224	170373	Jackie
544225	292790	
544227	169502	The Child
544228	77217	Gilly
544229	150880	Mrs. Denbigh
544230	247932	
544231	187497	Valerie Stubbins/Jingle Singe
544233	93600	Zuza Sechnárová
544234	56343	
544235	133345	Party Guest
544236	297880	Christmas Party Guest
544236	340246	Older couple on TV
544237	267348	Cairo Child
544238	158938	Odette, la femme de Mickey
544239	104726	Host
544240	333340	Patron at Jazz Club
544241	169517	Marta Buenostro
544241	358476	Friendly Girl
544242	66177	Pilar Ellis
544243	373185	Landlady
544244	213742	Salomé
544245	160728	(segment "Ladrão, O")
544246	287484	
544247	18999	Pension Owner
544247	29517	
544247	51632	
544247	113209	
544247	124174	
544247	148480	TV hostess
544247	160119	Luisa
544247	169072	Olga
544247	195115	Vera Cooper
544247	205814	
544247	291678	Calói Volante
544247	308751	
544247	349723	
544247	350254	
544247	351857	
544247	376925	Verônica Prado
544247	380386	Laís
544247	384304	Suzana
544247	401597	Isabel
544247	409025	Zélia
544248	306639	
544249	275025	
544250	54088	
544251	63831	
544252	18999	
544252	29517	Cotinha
544252	379451	Laura
544252	380946	
544252	381523	Dinha
544252	385947	
544252	396126	Rutinha
544252	402623	
544252	402626	Valentina
544252	402807	
544252	403618	Alice
544252	406833	Consuelo
544252	409405	Giovana
544252	409418	Estela
544252	410190	Elvira
544252	411932	Dorothy
544253	90011	Tebaldo
544254	112708	Maddie
544254	120653	Priestess #4/Girlfriend
544254	178896	Beth
544255	313603	Sha're/Amonet
544255	323073	
544255	343907	Stacia Vela
544255	400645	Linda Dominguez (1996-1998)
544256	202728	Anita
544257	2894	Herself
544257	72706	Marilyn
544258	216803	Swell's Regular
544259	135291	
544260	11906	
544260	38636	Katharina Roth
544260	289899	Stewardess
544261	323925	
544262	217771	Italian Daughter
544263	108102	Donna Fausta, la marchessa
544264	56937	Jasmine
544264	150657	
544264	276202	Bird
544265	52358	Woman at bar
544266	204666	Un musico
544266	352827	Ninetta, sua cameriera
544267	63030	Kevin's Mother
544267	217374	Brenda
544268	405594	Olga Jung
544269	251624	
544270	277596	Ribo-A-Irep
544271	158141	Bank teller
544272	29109	Rosetta
544273	172769	Wife
544273	244099	
544274	367083	Supporting Cast
544275	270388	Herself
544275	366936	Herself
544276	291503	Molly
544277	6549	Henry's girlfriend
544277	73500	Girl
544278	153836	Chica calle 1
544279	14800	Dueño Pensión
544279	17125	
544279	17198	Natalie
544279	20282	
544279	22615	
544279	27964	
544279	46648	
544279	48839	
544279	70118	Sonia
544279	74146	Ester
544279	82267	
544279	84012	
544279	96329	Mabel
544279	104835	Juana de Ibarbuen
544279	121227	
544279	146560	
544279	155666	
544279	161999	
544279	197436	
544279	215221	
544279	236301	
544279	239280	La Rubeo
544279	246278	
544279	247057	Beba
544279	256358	
544279	258618	
544279	272794	
544279	286880	Laura
544279	294376	
544279	301109	
544279	302582	
544279	322396	Madre Matías
544279	324470	Madre de Mariana
544279	326294	
544279	353236	Dominique Sanda
544279	353629	Beba
544279	378481	
544279	379852	
544279	384809	
544279	384851	
544279	385874	
544279	389780	
544279	395871	Regina Terrile
544279	396335	
544279	399805	
544279	408856	
544279	410453	Mercedes
544279	412040	
544280	22844	Servitrice i Kannibalen
544281	326678	Ratan (segment "Postmaster")
544282	21760	Moti
544283	172895	Dia
544284	77069	
544284	160168	
544284	187224	Durga Bhabhi
544285	153547	Reetta
544285	168321	Paula
544285	197612	
544285	237237	Herself
544285	246573	
544286	18771	
544286	176176	
544287	172895	Keya
544288	166508	Rekha
544288	353803	
544288	359820	
544289	98484	
544290	14575	
544290	308995	Gauri
544291	62587	Annapurna
544292	250585	Little Durga
544293	17369	
544293	17370	
544293	38505	Biraj
544293	79323	Bijoya
544293	93723	
544293	94918	Kalyani
544293	166006	
544293	174361	Kamala
544293	208604	Sabitri
544293	227981	
544293	247131	
544293	247479	Kusum
544293	286534	
544293	287190	
544293	317782	Shubhada
544293	319162	
544293	344374	Kamala
544294	137906	
544295	24958	
544295	31087	
544295	47854	Priscilla
544295	67767	
544295	77940	Diana
544295	92865	Flora
544295	108386	Barbara Forester
544295	150606	Mrs. Berry
544295	176778	Joanna Westrope
544295	185253	Elder
544295	189726	Woman
544295	194169	Allison Porter
544295	205718	Toni Greer
544295	212623	Gynecologist
544295	220058	Jessica Lewisohn
544295	224326	Lisa Eubanks
544295	241697	
544295	267105	Chippy McDuffy
544295	277114	Vi Sams
544295	366933	Elfriede Prefontaine
544295	372569	Mallory
544295	390117	Meredith Holt
544295	391359	Martha Gelhorn
544295	394123	Anne Kane
544295	400236	Eve McBain (2004-)
544295	405924	Anita Massengil (2000-2001)
544295	408529	
544295	408876	Doreen Morrison
544296	73561	E.R. Nurse
544297	28552	Rocky Plato
544298	291052	Bazaar Barmaid
544301	236622	Manager
544301	237768	
544302	33667	
544302	133110	Assunta
544302	240138	
544302	270320	Valeria
544302	285743	
544302	375235	Mercedes
544302	380255	
544302	384784	
544302	397297	Tea
544303	170233	Herself
544304	391908	
544304	398430	Anchor (1999-2003)
544305	34120	Wanda
544305	142668	Berri
544305	144577	Helen
544305	192098	Woman
544305	220622	Kitchen Couple Woman
544305	252915	Rhonda
544305	330762	Maura Wilson
544305	382089	Additional Voices
544305	383016	Lily Morgan
544305	383849	Additional Voices
544305	385437	Christine
544305	385824	Vanessa Walker #2 (1988)
544305	400314	Officer Edie
544305	403730	Cynthia Palmer (early years)
544305	404371	Grace Voyer
544305	405718	Additional Voices
544306	114674	Gail
544307	244332	Anne's nurse
544309	136463	Lone
544309	218886	Lykkes mor som ung
544309	258747	Forårspigen
544309	340080	Eva
544310	120082	Kaisa
544310	301423	
544310	341733	
544311	15301	Karen
544311	39111	
544311	84269	Margrethe, sosialsekretær
544311	101389	Hilde, sykepleierske
544311	145474	Fru Brenden
544311	191076	Jacob's Sister
544311	322292	Venninne av Erik
544311	351223	Fru Dahl, fiolinisten kone
544311	353049	
544312	33139	
544312	121138	
544312	134987	
544312	145488	Lizzie Faber
544312	155470	Frau Elvira
544312	156689	
544312	170701	
544312	175569	
544312	204438	Steffi
544312	210076	
544312	302045	
544312	311109	
544312	344783	
544312	352366	
544312	359646	Gerti
544312	373343	Fürstin
544313	76893	
544313	102041	
544313	104557	
544313	135767	Agent from Underworld
544313	136412	
544313	165532	
544313	166803	
544313	234103	
544313	258938	
544314	1848	Mi-yeong
544314	2253	301
544314	137358	
544314	199888	
544314	229849	
544314	279337	Jung-in
544314	282829	
544314	287111	Hae-Suk Min
544314	317874	Adoption Agency Director
544314	318087	Chang-guk's Mom
544314	322900	Partisan
544314	353766	
544315	392497	Go, Haeng-ja
544316	175194	Veronica
544317	1517	
544317	7261	
544317	28354	
544317	49433	Yong-nyo
544317	77168	
544317	123940	
544317	126791	
544317	138607	
544317	147302	
544317	149009	
544317	156034	
544317	159611	
544317	164844	
544317	165529	
544317	166208	
544317	167476	
544317	222355	
544317	245873	
544317	268177	
544317	284816	
544317	287573	
544317	288160	
544317	299051	
544317	300793	
544317	371265	
544318	9501	
544319	63410	
544319	130279	
544319	130284	
544319	136368	
544319	153421	
544319	166815	Eun-shil
544319	226573	
544319	370334	
544320	64673	Lynn Goodson
544320	80578	Toni
544320	80915	Sandra
544320	105039	Joy
544320	200925	Joy Broom
544320	232062	Joanna
544320	257518	Julie
544320	263339	Rita
544320	266561	Kendell
544320	274343	Corky
544320	294527	
544320	304313	Lynn Beasy
544321	227713	
544322	319109	
544323	403532	Herself - Participant
544323	403536	Herself - Participant (1998, 
544324	7265	
544324	7358	
544324	60652	
544324	95732	
544324	122935	
544324	126794	
544324	130279	
544324	136421	
544324	155193	
544324	156370	
544324	157076	
544324	159807	
544324	164338	
544324	165332	
544324	167882	
544324	199951	
544324	219711	
544324	236777	
544324	285840	
544324	344220	
544324	368078	
544325	153770	Helga Levion
544326	49146	
544326	60575	
544326	60582	
544326	90598	
544326	126903	
544326	135437	
544326	136346	
544326	153417	
544326	156367	
544326	166299	
544326	167518	
544326	171490	
544326	204126	
544326	204852	
544326	236763	
544326	294429	
544326	298786	
544326	359036	
544326	367356	
544326	367946	
544327	80101	
544327	101125	
544327	146991	Værtinden
544327	151823	Isabelle
544327	165176	Værtinden
544327	166607	Pauline Tutein
544327	173139	Fru Eriksen
544327	181083	Fru Solli
544327	203922	Fru Olga Christensen
544327	210373	
544327	216781	Borgmesterfruen Kamilla
544327	228188	Else Michelsen
544327	237277	Erna, kriminalkommissærens ko
544327	255660	
544327	262961	
544327	304362	Mrs. Henderson
544327	312125	Ellen
544327	322942	Alfreds kone
544327	345968	Lilly
544327	346992	Garderobedamen Eva
544327	349081	
544327	360846	
544327	395824	Blomkålsmarie
544328	142889	Teenager at World of Donuts
544328	191653	Katie
544328	216370	
544328	279871	Receptionist
544328	385013	Deli Cashier
544329	14477	Margru
544330	296595	
544330	370963	Anu
544331	239453	
544331	392916	Katia
544332	56545	Herself
544332	393878	Helga Schuster
544333	158813	Police Officer#1
544335	326834	Gloster Squeeze
544336	357231	
544337	20373	Rag Doll
544337	94749	
544337	194865	Debutante #3
544337	236387	Famke
544337	245781	Mysterious Babe
544337	306479	Lilith
544337	342769	Miller Girl #2
544338	109811	Self
544338	331599	Tammy
544338	337325	Sara
544338	405443	Self
544339	378914	Presenter (2002-)
544339	382715	Regional Presenter (2003-) (N
544339	399693	Presenter (2001-)
544340	282935	Bucket Dancer
544342	225415	Szobalány
544343	58405	
544344	273910	Neighbor
544345	243653	Orlando's Mother
544346	55036	Teresa
544346	118949	Voluntary worker
544346	125918	Jane Davidson
544346	141094	Ann Meadrow
544346	265606	Sian
544346	336655	Laura Aldridge
544346	398139	Clara Baquet
544346	403811	Tessa
544346	408988	Teresa Bradley
544347	120227	Herself
544348	367271	The Geek
544349	66264	
544350	56604	
544351	137254	Dana
544352	367443	Golda - age 5
544353	384373	Julio's Mother
544354	260781	Servant Weronika
544355	80493	Young Alice
544356	28414	Danica Cvorovic
544356	49740	The Bosnian Serb Mother
544356	72091	
544356	72163	
544356	74781	Ikonija
544356	75739	Spasenija Pasanovic, Draganov
544356	88446	
544356	88541	Sladoledzika
544356	95924	
544356	132162	Tetka Daca
544356	146842	Zaretova zena
544356	154508	
544356	160826	
544356	163052	
544356	163888	
544356	164849	Svastika Ruza
544356	166450	Keva
544356	172506	Marija ... sluzavka
544356	176284	
544356	180281	Milica Njegovan, Hadzijina ze
544356	181474	Svekrva
544356	181555	
544356	186527	
544356	187970	Veljina majka
544356	187980	
544356	193487	Slavka
544356	195251	Nata
544356	201359	Kuvarica I
544356	209531	
544356	213787	
544356	213882	Marija
544356	216555	
544356	217295	
544356	229038	Mileva
544356	229577	
544356	236169	Nena Hikmeta
544356	241007	Baba Mara
544356	242473	Milina majka
544356	246858	Strina Cana
544356	258595	
544356	265929	
544356	267811	Zorica Bozovic
544356	270675	
544356	270719	Katica
544356	271379	
544356	272195	
544356	283747	Natalija Simeunovic
544356	293807	
544356	295057	Saveta
544356	301902	Persa Micic
544356	303114	
544356	303626	Majka
544356	304510	
544356	305524	
544356	306645	
544356	312426	Inspektor
544356	320551	Draginja
544356	320558	Saveta, Rankova mati
544356	320634	
544356	320649	Tetka Slavka
544356	320669	
544356	339624	Draginja
544356	341526	
544356	350680	Petrova majka
544356	351345	
544356	357555	Vera
544356	373493	
544356	375352	
544356	375855	Herself (interviewed)
544356	376191	
544356	376193	
544356	376225	Kaca
544356	381182	Mira Baba
544356	386407	Budina ujna
544356	386510	
544356	386527	
544356	386634	
544356	386659	Cica
544356	390182	
544356	390388	Kaja, prva kucna pomocnica
544356	394110	Inspektorka
544356	394111	
544356	394253	Anina baba
544356	394254	Anina baba
544356	395704	Kleptomanka
544356	396875	
544356	397527	Desa, Dushkova tetka
544356	397528	Desa
544356	397530	Prija od pre 100 godina
544356	399008	
544356	400405	
544356	401281	
544356	401927	Roska Gazikalovic
544356	401928	Roska Gazikalovic
544356	402021	Herself
544356	402118	Saveta Govedarevic
544356	403623	Anka
544356	403668	
544356	404036	
544356	406129	
544356	406314	
544356	406567	Udovica Scepana Jovovica
544356	410442	Mara... Firgina verenica
544356	411900	Dankova majka
544357	94317	Juliette, babysitter
544358	210158	
544359	34189	Herself
544360	283006	Walk-on
544361	55110	Witness for Peace
544362	108333	Laura #1
544362	140162	Shawn
544362	218393	Phoebe Crenshaw
544362	247194	Heather
544362	278264	Gail
544362	366925	Jane
544363	203049	
544364	302847	
544365	70013	Mrs. Yablonowitz
544365	242487	Mrs. Roth
544366	170036	Nelida
544366	247869	Tía
544367	24484	Complete Stranger
544367	101570	Mme. Nazdarova
544367	320162	Accosted Old Lady
544368	378327	
544369	297790	2-Yr. Old Shari
544370	190808	
544370	355630	
544371	40941	
544371	322671	
544371	342307	
544372	152629	
544373	103654	
544373	254212	
544374	154040	Rita's Colleague
544374	158321	
544374	185253	Anchor
544374	192219	
544374	210887	Lauren
544374	222771	Rachel
544374	249548	Back Up Singer
544374	399225	Taylor (1990)
544375	158113	Guard
544375	217994	Mrs. Williams
544376	56579	
544376	60171	Elsa Carlyle
544376	79977	The Sea Witch
544376	84837	Diana Sturm
544376	107593	Carol Morgan
544376	108482	Mrs. Trefoile
544376	146003	Nina Graham
544376	190327	Constance 'Connie' Porter
544376	201068	Herself
544376	201421	Cameo Appearance
544376	201844	Herself
544376	224301	Carlotta/Ann Trevor
544376	282688	Catherine the Great
544376	312774	Herself
544376	325030	Nancy Courtney
544376	330623	Barbara Wright
544376	332008	Susan
544376	338223	Helen Carson
544376	362946	Alice Edwards
544376	364250	Nell
544376	389177	Herself (alternate host) (195
544377	251477	Extra
544378	29619	Spike
544378	120122	Young Tina Shepard
544378	400647	Ashley MacInally
544378	406952	Tiffany Thorne #2 (5/1997-6/1
544379	3114	
544379	374794	Mariela
544380	395759	Herself
544381	315244	Virgin
544382	138735	Nasty Natalie
544383	1258	
544384	38080	
544384	57009	
544384	95022	Aunt Emmie
544384	150869	
544384	372937	Mrs. Jenkins
544385	35251	
544385	77949	Policewoman
544386	34946	
544386	50378	
544386	91622	
544387	89586	Dolemite Girl
544388	621	
544388	11604	Laura
544388	14116	
544388	33943	
544388	34747	
544388	76932	
544388	81862	
544388	97489	Berry
544388	116013	Herself
544388	121555	
544388	140952	
544388	242068	
544388	250651	
544388	273300	
544388	302317	Blonde Adult Actress
544388	306908	
544388	306911	
544388	333994	
544388	348387	
544388	349380	
544388	360898	Herself
544388	401924	Herself
544389	94578	Female Cyclist
544389	126492	Maid
544389	403542	Trooper Wilma DC
544390	391077	Angie Adams
544391	27243	Nun
544392	195765	Angie Adams
544393	34702	Flower Girl
544394	131372	Outsider
544395	253458	Kim Stone
544396	185725	
544399	368318	Diane
544400	186769	Estelle Van Horn (Round Three
544400	285344	Angela StJacques
544401	116673	Louise
544401	308400	Nurse
544402	31439	Caroline
544402	56871	Lucy
544402	141985	Isabel
544402	243280	Rachel
544402	291825	Marcela Howard
544402	292455	
544402	296273	
544402	296980	Trey's Friend
544402	303308	
544402	311037	Betty Brant
544402	311038	Miss Brant
544402	314367	Woman at Yoga Class
544402	320033	Vicki
544402	321420	Debi
544402	337367	Sioux Sever
544402	361907	Lindsay
544402	372584	Herself
544403	60227	Travel agent
544403	135912	Amy Martin
544403	142439	FBI Agent
544403	192503	RKC&P receptionist
544403	257202	Louisa Cody
544403	362823	Betty Phillips
544403	404385	Model (1963-1964)
544404	22822	
544404	66206	Mrs. Lawson
544404	143285	Barbara Hale
544404	146776	Undetermined Role
544404	168593	Mrs. Lang
544404	179054	Mrs. Barrett
544404	202792	
544404	275709	
544404	285792	Lydia
544404	291999	
544404	302928	Mrs. Guthrie
544404	340628	Tony's Grandmother
544404	367556	Undetermined Role
544405	99859	Sister
544406	760	
544406	75028	
544406	178863	
544406	178866	
544406	297810	
544407	49893	Herself
544408	93191	
544409	358486	Nurse 1
544410	33432	Betsy Bell
544411	244801	Mrs. Roberts
544412	235579	Bessie
544413	47017	Janet Grayson
544413	74191	Alice Fletcher
544413	215993	Lily
544413	224233	Ivy Tolliver
544413	276876	Bit Part
544413	359754	Mrs. Vatek
544413	402214	Sylvia Platt
544414	77127	
544415	298090	Receptionist
544416	82688	Cahill
544416	144347	Reporter #1
544416	276588	
544416	313449	Khan's navigator
544416	362650	Stinger
544417	19024	Female Sonny Supporter
544417	75897	Greta
544417	80508	Parent #4
544417	108042	Mrs. Stiner
544417	124499	Miss Merle
544417	139169	Marie
544417	141659	Woman driver
544417	147127	Mrs. Higgins
544417	150292	
544417	168649	Miss Beaton
544417	193521	Nurse at Hospital
544417	214981	Kate
544417	245520	Delia
544417	330704	Mrs. Acky
544418	75824	
544418	265892	Party Guest
544419	151758	Mama Biker
544420	16677	Voodoo Dancer
544420	339514	
544421	231966	Emma Spaulding
544422	118623	Police officer #9
544423	131636	Mrs. Howard
544424	118677	Judy
544425	68733	Malindy Brown/Malaika Brown
544426	11462	Various Roles
544426	17825	Beth
544426	43938	Herself
544426	53301	Interviewee
544426	78018	Sylvia (segment "Babysitter")
544426	164395	Goldilocks
544426	184853	Lorraine
544426	203782	Pam
544426	216829	Angel
544426	245406	Queenie
544426	263380	Penelope Gold
544426	313984	
544426	342228	Various
544426	379127	Various roles
544426	381127	Eva Starzia Schnorbitz Melitz
544426	381235	Various roles
544426	381950	Lady in Waiting
544426	383660	Tess
544426	385175	
544426	398124	
544426	398266	Herself
544426	401853	Sister Marie
544426	404337	Various (1995)
544426	405442	Julie
544426	406684	Supersupervisor
544426	406729	Claire Feeble, Heather Perfec
544427	11384	Jullian Kramer
544427	37010	Annie
544427	106193	Loreen Ridgeway
544427	168018	
544427	207765	Eva's Nurse
544427	232356	Betty Carver
544427	331891	Female Detective
544428	3006	Dream Girl
544429	27153	Model
544430	192509	
544431	47277	Station PA
544435	251202	Band Booster
544436	78775	Human Xylophone
544438	81286	Rhinette/Krinkle Kid #4
544439	53318	Student
544439	159709	Gril in Parade/student & the 
544439	190095	Kate
544439	313961	Computer Lab- Student
544440	2331	Herself
544440	2894	Herself
544440	18818	
544440	39756	
544440	72376	Zoe
544440	98145	Victoria's Secret Gown
544440	99461	Herself
544440	137687	Herself
544440	137688	Nora Winston
544440	145019	Deja
544440	159482	
544440	183338	Herself (Too Funky Video)
544440	184829	
544440	190324	Eve
544440	195262	Kyra Kessler
544440	196063	Holly Garnett
544440	311781	Model
544440	311784	Herself
544440	315865	Herself
544440	353499	Herself (Model)
544440	353500	Herself (Model)
544440	353501	Herself
544440	367541	
544440	379978	Herself/Host/Judge
544440	388465	Herself
544440	389350	Jackie Ames (1993-1994)
544441	52320	Bikini Girl
544441	315190	Dancer
544442	367073	Child Munchkin
544443	57127	
544443	60194	
544443	71378	Blonde
544443	71379	
544443	123666	Whitney Banks
544443	264872	
544443	264874	
544443	361878	
544445	132765	Blonde
544445	140407	Bathing Beauty
544446	113286	Child
544447	307948	Grocery Store Extra #3
544448	150048	
544449	5898	Chantal
544449	27918	Vendeuse
544449	32281	La mère de Gaby
544449	42214	Vinca's Mother
544449	43001	
544449	51418	La mère de Lili
544449	82636	La caissière épicerie
544449	94233	Mme Richard
544449	97852	Serveuse perroquet
544449	155138	Petit rôle
544449	156532	La femme du bar
544449	169538	Monique
544449	197325	
544449	219606	
544449	235246	La boulangère
544449	235719	Marguerite
544449	249208	Christine
544449	254147	La tante Léa/Aunt Léa
544449	265703	
544449	270433	Zelpha
544449	309733	Loulou
544449	336931	La boulangère
544449	340950	Undercover cop
544449	341121	
544449	345190	Rose
544449	345225	La gardienne
544449	345444	Henriette
544449	351821	
544449	398164	
544449	409462	Rosine
544450	244917	Lois Jessel
544451	352473	Veronika's Mother
544452	357311	Dame Claude
544453	51441	Wendy
544453	80656	
544453	152957	Holly Farnell
544453	296840	Jessie Drover
544453	311008	Virginia
544453	348210	Caroline
544453	360881	Carol
544454	191343	Herself
544455	58987	Seema
544456	23195	
544457	209813	
544458	18785	Sarbojaya Ray
544458	52166	
544458	84790	Harasundari
544458	161081	
544458	173286	Labanya Roy Chaudhuri
544458	174675	
544458	250585	Sarbojaya Ray
544459	36543	
544459	91464	
544459	295259	Shobhana Devi
544460	138584	
544461	69171	Himself
544461	267141	
544462	88489	
544463	157578	Courtesan
544464	282945	
544465	7499	Miss Prodmore
544465	21550	Celia
544465	36602	Biddy
544465	40295	Jane
544465	87530	Jennifer
544465	117214	Kate Bradbury
544465	144862	Effie
544465	157190	Cecily
544465	184403	District Commissioner
544465	191774	The Milliner
544465	195168	Iris Maitland
544465	227470	Egyptian Nanny
544465	237786	Diana Winters
544465	263556	Elizabeth Bennet
544465	324163	Rachel Paterson
544465	354428	Nina Blount
544465	366162	Kate
544465	411228	Kate Gaylion
544466	364237	Anna Kreuger
544467	66201	Lady Alice Carmel
544467	104995	Store Person
544467	114883	Cuckoo
544467	124735	Muriel Eden
544467	131703	Florence Tempest
544467	133550	Laura Locke
544467	143386	Margaret Henderson
544467	145554	Beatrice Farrar
544467	148552	Ellamae Scott
544467	154237	Marechale
544467	171330	Miss Cokeson
544467	183557	Lady Audley
544467	190884	Mrs. Abbey
544467	206845	Countess Folkington
544467	245643	Diana
544467	282607	Bit Part
544467	343209	Lydie Charrington
544468	138720	Vanessa
544468	176960	Joanna
544468	208632	Melinda
544468	384585	Jessica (2000)
544468	391786	Maddie Parker (1995-1997)
544469	72931	Title Sequence Chorus Girl
544470	144789	Alien Stormtrooper
544471	272478	
544472	214743	Bibi
544473	105856	
544474	105856	
544475	402733	Herself - Racer (1998)
544476	182526	Glasa
544477	192275	Marianne
544477	196915	
544477	244830	
544478	32550	Coed
544478	39561	Sally
544478	51751	
544478	128896	Martha Frawley
544478	146011	Jennie Stone
544478	153123	Debbie Smith, Jonathan's Daug
544478	275740	Ellen Miller
544478	283870	
544478	312839	Ann Stewart
544478	317824	Mrs. Barton
544479	90869	Mary Jane
544480	32365	Ambulance Dispatch
544481	292400	Judith
544482	17287	Lucia
544483	348229	Club Patron
544484	240650	Talent Show Winner
544485	64735	Sister Grace
544486	5381	Secretary
544486	42013	Clerk
544486	72219	Maybelle
544486	115937	Girl
544486	116169	Georgette's Girl Friend
544486	128168	
544486	130622	Gold Digger
544486	133880	Ziegfield girl
544486	153617	Bridesmaid
544486	167707	Tea Assistant
544486	206469	Bit
544486	218717	
544486	224782	Joan Gale
544486	235633	Pocahontas
544486	255327	Guest at Mayfair tea
544486	269868	Woman
544486	329480	Model
544486	330375	Member of Girls Band
544488	21533	LuLu
544488	381408	Suzy
544489	279879	Additional Voices
544490	58352	Sachiko, the Daughter
544490	381165	Mai Hakua
544491	188502	Prostitute #2
544492	32711	Herself
544493	12764	Model
544493	44899	Chorine
544493	47355	
544493	116169	Georgette's Girl Friend
544493	130622	Gold Digger
544493	133880	Ziegfield girl
544493	158331	Mrs. Farnum
544493	176358	1934 Goldwyn Girl
544493	191835	Society Girl
544493	204552	Woman
544493	241444	Girl in band
544493	280830	Woman
544493	324054	
544493	329480	Model
544493	330375	Member of Girls Band
544493	331469	Girl at Party
544494	138744	Chorus Woman
544495	169644	Bachelorette
544496	351551	Maya Papineau
544496	395097	
544496	410252	Karine Constantin (1996-2003)
544496	410628	Martine Frigon (1992-1996)
544497	107288	Spoiled Brat
544497	399784	Additional Voices
544497	402175	Kyoka Houjo/Kisaragi Girl/Yuk
544498	6200	Alice
544498	117653	Lisa
544498	285831	Aunt Han
544498	389778	Old Wife
544498	396548	Elder #3, Netta (ep. 10)
544498	402175	Nosey Neighbor, Jr. High Prin
544499	117665	Karen Day
544499	137029	Nurse
544500	250887	The kid
544501	152483	
544501	183897	Kesarya
544501	184170	
544502	77663	Tara
544503	320524	Bettina
544503	369414	Flora
544504	190661	
544505	304458	Roza
544505	365454	Action News anchor
544506	68232	Soul Glo woman
544507	72436	
544507	159419	
544507	186214	
544507	379043	Margarita
544507	379602	Ivonne
544507	381169	
544507	385251	Paulina (young)
544507	397009	Patricia García Marín
544507	402181	Brenda
544508	383564	Francisca
544509	6630	Roberta
544509	222006	Roberta
544509	381839	Mónica
544509	388647	
544509	390869	
544509	393837	
544509	395060	
544509	397579	
544509	402585	Valeria
544509	402633	Erika
544509	403365	Esther
544509	407645	Violeta Larios
544510	170460	
544510	202178	
544510	353671	
544511	374092	
544511	374113	Otane/Tatekichi's sister/Seis
544512	29067	
544512	45814	
544512	62749	
544512	171869	
544512	175105	
544512	288151	
544512	300318	
544512	326963	
544513	60503	
544514	107909	Nurse
544515	142095	
544515	144032	Laina
544515	172349	
544515	243438	
544515	352100	Frau Reimers
544515	375095	Julcsa
544515	390811	
544516	90082	Zerlina
544516	111968	Marzelline
544516	374133	Pamina
544517	377905	
544518	343310	Student
544519	347832	
544520	42056	Mother
544520	132247	Officious Woman
544520	252919	Laurel
544521	5194	TV reporter #1
544521	252919	Val
544522	74724	Herself
544523	205446	Emilia
544524	90681	Bettina
544524	129009	Servant Girl
544524	138474	
544524	183286	Fiorella Donato
544524	242298	Elvira
544524	290932	Angelina
544524	291693	Luisa (segment "Il principale
544524	336186	
544525	5363	La tabaccaia
544525	6276	
544525	16867	
544525	19220	Angela Baldwin
544525	110164	
544525	212311	
544525	235338	Sexy teacher
544525	257017	
544525	301354	
544525	313915	
544525	327903	Marion
544526	113533	Susan
544527	281371	
544528	317120	Autograph Seeker
544529	69391	Black Bachelorette
544529	190539	Raquel
544529	203186	Diana Ross
544530	56198	Hostage
544531	95161	Duna
544531	219311	The Little Girl
544532	187807	Iskra
544533	317255	Carol
544534	13128	
544534	27743	
544534	77054	
544534	78646	
544534	83737	General's Daughter
544534	110032	
544534	116243	
544534	135223	
544534	135941	
544534	145535	
544534	153128	Padma
544534	165943	
544534	228797	
544534	298806	
544535	17898	
544535	27658	
544535	58590	Sumitra
544535	59013	
544535	62370	
544535	90897	
544535	147533	
544535	166515	
544535	171852	
544535	172553	Herself
544535	176089	Ophelia
544535	228705	Malka-e-Iran
544535	228842	
544535	246896	
544535	266964	Queen Nurjehan
544535	296625	
544535	323672	Roopa
544535	344249	
544536	246896	
544537	4084	Meena Khanna
544537	4196	Reena
544537	4346	
544537	4393	
544537	12976	Meloda
544537	19279	
544537	25553	
544537	27899	
544537	42098	Seema
544537	58551	
544537	83738	
544537	88222	
544537	90903	
544537	95231	Ravi's Mom
544537	107521	Radha
544537	131934	Seema
544537	143466	Kiran
544537	167357	
544537	170830	Rajkumari
544537	171510	
544537	172551	
544537	179371	
544537	242425	
544537	246367	Bindu
544537	246826	
544537	267410	Prithi
544537	268123	Reeta Singh
544537	276222	
544537	285450	Lalita
544537	285451	
544537	296594	
544537	297011	
544537	353482	
544537	373834	Sunita
544538	354089	
544539	153819	
544541	377199	Prostitute
544542	49389	Extra
544542	120422	
544542	125581	
544542	356133	Vocal Student
544542	356259	
544543	105936	
544544	157184	Ed Summers
544544	163188	Television Announcer
544545	238251	Nun
544546	356281	Betsy
544546	362367	Mrs. Bennett
544547	239746	Circus Performer
544548	239746	Circus Performer
544550	12119	Herself
544551	67880	Ruthie
544551	113150	
544551	162567	Various characters
544551	170426	
544551	190796	Patient
544551	214674	
544551	264816	
544551	326390	
544551	326778	Rosie
544551	334378	
544551	351914	
544552	139091	
544552	244397	Madame Rosa
544552	403336	Miss Lenaut
544553	6118	
544554	69251	
544555	52021	Ye Feng
544555	359009	Ai Li
544556	369638	Han Muna
544557	197602	Yao Yueyin
544558	200832	
544559	348641	Bourma
544560	50006	Rani Sahiba
544560	89284	Mother
544560	98479	Neeta's mother
544560	228895	
544560	329221	
544560	375213	
544561	77791	Herself
544561	348641	Bayartou
544562	124424	Little girl 1
544563	124424	Little girl 2
544565	71368	Ermelinda
544565	376680	Helena
544566	261103	Gardienne #2
544567	307201	Herself - fado singer
544568	296750	CJ's Opponent
544569	310598	
544570	333294	
544571	15288	Singer
544571	113052	
544571	225135	
544571	314549	Singer
544571	321828	
544571	322513	Monika
544571	324677	Singer
544571	364947	Singer
544572	12043	Sophie Ponthivier
544572	96052	
544572	217254	Rosine
544572	278870	Martine
544572	318637	Kim
544572	339494	Clémence de la Faille
544572	384032	Colette (1967)
544572	386084	Geneviève
544572	402069	La journaliste
544572	402177	Annunciata
544572	402619	Martine Anodin
544572	403643	Marguerite de Bourgogne
544572	409440	
544573	176265	
544574	70928	Lonnie's Angel
544576	299322	
544577	101449	Mariami
544578	74351	Reportera
544578	222031	
544579	8991	La vieille dame
544580	401280	Herself (season 3 winner)
544581	121212	
544582	281130	Ana
544583	133335	Grad Student #2
544584	138701	Korean Girl
544585	23052	
544586	8657	Young Girl on the Beach
544587	338833	The Ghost Party
544588	57929	ABA Student
544589	132656	
544590	159005	Herself
544590	175086	Yardena
544590	291767	Grecia
544590	394337	(1996-1997)
544590	411933	Maya
544591	215387	Zfira
544592	372555	Socialite
544593	178841	Flora, School Counselor
544593	179555	
544593	382327	Heli Brown
544593	396798	Hagar
544593	401609	Various
544593	411640	Herself (2000) (season 1)
544594	21239	Herself
544595	385618	Edna
544596	42070	Kobi
544597	21372	Herself
544597	402830	Sharon
544597	405012	Ariel (2001)
544599	317864	
544600	2419	
544600	295284	Mother of underage girl
544601	19680	Flóra néni
544601	28053	Vilma
544601	74415	Anyica
544601	78206	Eszter
544601	90126	
544601	136845	Takácsné
544601	144677	Bükyné, Rózsa
544601	149919	
544601	153697	Zsuzsa
544601	157256	Wife
544601	165125	Josefa
544601	174688	
544601	175699	Anna
544601	225784	Adamkó Vera
544601	246283	Dobáné
544601	259784	Angela
544601	268278	
544601	268284	Szalkayné
544601	322017	Böröcz Horváth Klári
544601	322049	Anica
544601	328970	Schneiderné
544601	376559	Patóné
544601	377725	
544602	39559	Chiquita
544602	96990	Rumba Dancer
544602	124765	Lupita
544602	127674	Girl at carnival
544602	215727	Alpha
544602	222326	Young Cajun woman in Cafe
544602	247359	Miss Argentina
544602	331333	Cuban Singer
544602	331764	
544602	337816	Actress having dinner
544602	371887	Chambermaid
544602	406077	Tonga
544603	199380	Toinon
544604	286569	Dona Martírio
544605	1774	Herself
544605	33618	Fleurett Sackton/La Belle Rus
544605	52901	Marguerite Gauthier
544605	55179	Carmen
544605	56579	
544605	65534	Iza
544605	65549	Cleopatra
544605	79098	Esmaralda
544605	84242	Fernade
544605	84989	La Gioconda
544605	96811	Lady Isabel
544605	104333	Laura Bruffins
544605	116713	The Vampire
544605	117409	Mary Lynde
544605	118054	Herself
544605	123167	Francesca Brabaut
544605	130592	Theresa Decordova
544605	141159	Jess
544605	143080	Mary Doone
544605	143175	Hazel
544605	147841	
544605	174601	Kathleen Cavanagh
544605	180867	Celia Friedlander
544605	183556	Helen Talboys
544605	190502	Blanchette Dumond, aka Madame
544605	195613	Herself
544605	197653	Olga Dolan
544605	199327	Jeanne Vaubernier
544605	199358	Madame Mysterieux
544605	205185	Herself - From 'A Fool There 
544605	264065	
544605	281158	Juliet
544605	281849	Lisza Tapenka
544605	286176	Salome
544605	294846	Vania Lazar
544605	297898	Lorette
544605	302313	Rosa
544605	303071	
544605	303079	Marie Bernais
544605	309512	Priestess
544605	312900	Gang moll
544605	332808	Princess Petrovitch
544605	343074	Henriette
544605	345738	Caroline Knollys
544605	346177	Maria Valverda
544605	346183	Cigarette
544605	355983	Elsie Drummond
544605	362694	Lilian Marchard/Poppea
544605	362948	Marie Lohr
544605	367615	Princess Zara
544606	118018	Girl Lover
544606	174584	Jessica
544606	348346	Tracy Chamber
544607	88450	
544608	1518	
544608	91194	Asya
544608	98585	
544608	104257	
544608	219723	
544608	229541	
544608	231142	Nastenka
544608	350739	
544608	373560	
544608	382445	
544609	7388	
544609	20187	
544609	85214	Postal Clerk
544609	89475	Timofeyich
544609	104437	
544609	113644	Nenila
544609	123249	
544609	123509	
544609	132097	
544609	172433	Wich
544609	174532	
544609	181654	
544609	216616	Old actress
544609	224277	
544609	224432	
544609	235912	Olya
544609	236062	Cat
544609	239371	
544609	258997	
544609	261296	Nurse
544609	263893	
544609	264320	Eduard/Tom
544609	265047	
544609	273029	
544609	283834	
544609	284482	Olimpiada Vasilyevna
544609	303810	
544609	307704	
544609	318562	Busygin's mother
544609	323302	Mrs. McCanzy
544609	350806	Bell-ringer
544609	357465	Barashkina
544609	374779	
544609	375463	
544610	320410	
544611	29670	Harem
544612	69926	Hunter
544613	34347	
544613	94490	Madame Dubarry
544613	239082	Rosalinda
544614	64756	
544615	110675	Narrator
544615	110676	Narrator
544616	403110	Herself/Host (2001-)
544617	25334	Mysora
544617	67889	
544618	29255	
544618	29678	Allura
544618	33667	
544618	82438	Laura, Venice prostitute
544618	212083	
544618	281584	Ragazza violentata
544618	327908	
544619	14828	
544620	18358	Clémentine
544621	340689	
544622	386803	
544623	161927	Eve
544624	25320	
544624	26687	
544624	33662	
544624	71294	
544624	183286	
544624	207071	
544625	101229	Juliette enfant
544626	401217	Hostess
544628	8560	
544628	13195	
544628	20398	
544628	21715	
544628	47752	
544628	71084	
544628	114336	Novia
544628	121398	
544628	137426	
544628	145207	
544628	148583	
544628	170062	
544628	189040	
544628	199972	
544628	212381	
544628	221891	
544628	246377	
544628	259331	Esposa de hombre inocente
544628	259890	
544628	269981	
544628	275982	
544628	281607	
544628	332578	
544628	332579	Lorena
544628	337443	
544628	351680	Laura
544628	354845	
544628	373953	
544628	384980	Lilia 'Paty's mother'
544628	396880	
544629	187828	
544630	292089	
544631	97659	
544632	356749	Freundin
544633	54856	Jen
544634	47588	Wedding Party
544635	191404	Khagit
544636	55122	Club Patron
544637	183958	
544637	298764	
544638	214488	Hotel Maid
544638	218876	Eirit
544640	219233	
544642	9473	
544642	27469	Gena
544642	30094	Saprugata
544642	88436	Neli
544642	104831	Zlateva
544642	164061	Zhana
544642	228847	Mariya, lyubovnitza na Abrash
544642	244471	
544642	250655	Maykata
544642	263697	Kmetitzata
544642	264383	
544642	284467	Aleksandra
544642	312469	Zhenata na Grigorov
544642	401684	
544643	409281	
544644	365259	
544645	215041	Irene
544645	398979	Francine Fowler
544646	67819	Antonella
544646	85464	
544646	121889	Angela
544646	164434	
544647	383586	Floriana Verderame
544648	99580	
544649	154806	Helen
544649	253499	Felicia Wong
544649	361236	Andrea
544650	1395	
544650	2480	Woman in the Bathroom (segmen
544650	51361	Olga
544650	51376	Maria
544650	52835	Linda
544650	64772	Onlio
544650	90760	Angela
544650	118619	
544650	128061	
544650	161538	(segment "Roma Ovest 143")
544650	205488	Mrs. Sciallero
544650	205542	
544650	213803	
544650	252652	
544650	259950	
544650	269007	Katorcia
544650	270880	
544650	278911	
544650	294774	Sgt. Callahan
544650	315437	
544650	334429	Barbona
544650	338361	Altra prostituta
544650	352235	Aida, the Maid
544650	370865	Bernier's Wife
544650	374495	L'Altra amica di Zenabel
544651	331017	L'infirmière
544652	3305	Herself
544653	11446	Girl in Fish Market
544654	73857	Frances
544654	388977	Penny
544655	183906	Aurore de Nevers
544655	266383	La jeune fille
544655	397857	Elena
544656	33730	Ruth
544657	196588	
544658	156040	Anna lapsena
544659	178380	
544659	325182	
544660	226903	
544661	183467	
544662	398996	Esmeralda San Victores (2003)
544662	400738	Queenie Bermudez
544663	63908	Lidia as a baby
544664	215400	Diana
544665	92694	Ballroom Dancer
544665	291495	Solid Gold Dancer
544665	314108	Dancer
544665	329946	Shindig Dancer
544665	405839	Herself (Solid Gold Dancer, 1
544666	212002	Sally Donnelly
544667	404547	Jennifer 'Scout' Lauer
544668	8051	
544669	21292	
544669	349353	
544670	124157	
544670	334996	
544670	343963	
544670	357128	
544671	159915	Katya (10 years)
544672	25285	
544672	210031	Anna
544673	23653	
544673	25128	La première gouvernante
544673	123070	
544673	127580	
544673	129759	Vera
544673	179909	His wife
544673	187550	
544673	207558	Niovna-Vlasova, the Mother
544673	218249	
544673	277229	
544673	320545	Ludmila, grandmother
544673	323640	Laundress
544673	335494	Mother
544673	352281	
544673	356082	Ira
544673	356825	
544674	119069	
544675	88635	
544676	179180	
544676	181840	Bendkowska
544676	189443	Besitzerin Bekleidungsgeschäf
544676	208144	
544676	237701	
544676	300189	Polish woman
544676	364978	
544676	364982	Jurek's Wife
544677	25425	
544677	62694	Chopin's Mother
544677	151835	Anna Cosel
544677	178773	Secretary
544677	231597	Carmen
544677	234268	Barbara Niechcic
544677	375648	
544678	376526	Ina
544679	273710	Janka
544680	1674	Herself
544680	2753	Herself
544680	2762	Presenter - Featured Actress 
544680	2779	Herself
544680	6248	Becky Martin-Granger
544680	37315	
544680	38572	Katherine Archer
544680	45237	Carol
544680	49441	Constance Bulworth
544680	61156	Mary Sunshine
544680	72468	Maxine
544680	74010	Bunny Caldwell
544680	99469	Prunella Stickler
544680	99470	Prunella Stickler
544680	126680	Mrs. Margaret 'Maggie' Higgs
544680	136128	Chantal
544680	150879	Bunny Flingus
544680	151483	Martha May Whovier
544680	162159	Herself
544680	166567	Ann Marwood Bartle
544680	175538	Herself
544680	175540	Herself
544680	187172	Carol Freeman
544680	190273	Carol
544680	196503	Nymphomanic
544680	205268	Mary Ellen Spinkle
544680	213320	Helena
544680	230682	Prosecutor
544680	232321	Lucy, Ellen's Pal
544680	232812	Thea
544680	238228	Thelma
544680	255169	Harriet
544680	257764	Olga
544680	274650	Connie Chasseur
544680	277140	Andrea Reynolds, Claus' Girlf
544680	288703	Herself - Audience Member
544680	306744	Bree
544680	309678	Blonde in Bar
544680	334151	Kate
544680	359351	Miss Strapford, School Teache
544680	361229	Charlotte Cole
544680	379716	Jewel (1984)
544680	380391	Beverly Tucker (1983)
544680	385473	Maryann Thorpe (1995-1998)
544680	391010	Annie Brennan
544680	399769	Ruth Bender
544680	406138	Trixie Fontaine, Spritle Font
544680	410800	Marsha Bickner
544682	188126	Kilina's Child
544683	17538	Kittie
544683	88810	
544683	205980	
544683	226126	
544683	265022	
544683	277285	Revolutioner's daughter
544683	304898	
544683	349367	
544684	275411	Waitress
544685	296047	Katica
544686	110702	
544687	44573	Talla-Galla zenekar
544688	51314	
544688	136428	Rita
544689	25924	Lolita
544689	119727	
544689	189821	
544689	306702	Antónia
544690	358560	Mom
544691	128320	Karen
544691	161544	Megan Foster
544691	233792	Laurie
544691	358560	Mikey
544692	9454	
544693	343633	
544694	175050	
544694	215455	Reigning Miss America 2001
544694	215460	Newly Crowned Miss America 20
544695	103499	
544695	156087	Herself
544695	163881	Herself
544696	192318	Thelma
544697	13990	Susie
544697	69996	Charlotte
544697	92400	Leeanne
544697	115886	Ruthie
544697	133333	Darla
544697	158896	Girl in the Lake
544697	250873	Fahizah
544697	252877	Janet
544697	275889	Leila, United Fruitcake Outle
544697	331907	Baket
544697	339439	Ruthie
544697	341515	Ronnie
544697	392704	Willie
544697	400551	Laura Richards
544697	404694	Lupita
544697	411419	Louise (1970-1971)
544698	138487	Frau Schwab
544699	94767	Maria
544699	308400	Female reporter
544699	331137	Maria
544700	67207	
544701	158184	Job Centre Lady
544701	340652	Helen's Handmaiden
544702	337512	La belle ferronniere
544703	340191	
544704	84268	Female Announcer
544705	127380	
544706	284319	Mrs. Snyder
544707	163038	Bolnicarka Nina
544707	395028	Sonia
544708	63342	Melissa Booth
544709	124893	
544710	82993	
544711	334516	
544712	122725	Lucky
544713	42979	Edith
544713	67509	
544713	67511	Micaela
544713	85116	Christine Becker
544713	176836	
544713	256791	
544713	273141	Gloria Devon
544713	289346	Stefanie MacConnell
544714	162215	Lady at station
544715	28336	
544715	48838	
544715	64033	
544715	113227	
544715	202119	
544715	221987	Vecina
544715	249869	
544715	266820	
544715	292938	
544715	301886	
544715	353659	
544715	355751	
544716	51955	Lips
544717	35809	Nurse
544718	387572	Jenny
544719	32305	FBI Agent Hurly
544720	14741	Helena
544720	189298	
544721	162077	(segment "Giochi acerbi")
544722	6047	
544722	13513	
544722	14672	
544722	14797	
544722	14811	
544722	21487	
544722	25806	Gloria
544722	55955	
544722	71211	
544722	74518	Raquel
544722	74552	
544722	74579	
544722	104283	
544722	110766	
544722	132659	Camelia
544722	145209	
544722	152643	
544722	186544	
544722	193317	
544722	193490	
544722	212475	
544722	221892	
544722	221943	
544722	225551	Ella misma
544722	225715	
544722	229431	
544722	249851	
544722	251559	
544722	268516	
544722	271991	
544722	275946	
544722	286419	
544722	300637	
544722	309379	
544722	351900	
544722	371684	
544722	381169	
544722	385251	Yolanda
544722	396880	
544722	397019	Lupe
544722	397021	Doña Chonita
544722	401696	Elvira
544722	401700	
544722	403741	
544722	403752	Angustias
544722	406861	
544722	409719	Abigail Rosales
544722	409782	
544723	62579	Street Hooker
544724	73281	Bebe Chato/Chato Baby
544725	8489	Dancer
544725	18149	
544725	102130	
544725	102888	
544725	190643	
544725	198447	
544725	209083	
544725	209489	Vassilissa
544725	217800	
544725	259336	
544725	282723	Rena
544725	314741	Eleni, The Prostitute
544725	338985	
544725	354947	
544725	378730	
544725	379415	
544725	379533	Pamela
544725	386408	
544725	387561	
544725	393403	Vera
544725	404236	Zoya
544725	404240	Ketty Grey
544725	405384	Anna
544726	198990	The lesbian bouncer
544727	114873	Dancer: Escuela Flamenca Mati
544728	321702	Sarah
544729	393151	
544730	287990	
544731	392367	Marie-Soleil Cesaire
544733	87557	Concetta Rizzuto
544734	133390	
544735	333364	Jo Ellen - age 5
544736	122341	Syngende krogæst
544737	58180	
544737	191549	Papila
544737	210178	La madre
544737	237851	Madre de Benito
544737	383600	Gloria Domínguez
544737	398088	María Fernanda
544737	401614	Carbonell
544737	409455	Rosa
544738	2165	
544738	24407	Herself/En personne
544738	40571	Herself
544738	119023	Leonie
544738	123955	
544738	166142	Barbara/La Dame de la Nuit
544738	239218	Alexandre Blitz-Balfour
544738	264751	
544738	264837	
544738	336643	La danseuse
544738	347079	
544738	368703	Herself
544739	120208	Lisa
544739	366394	The Pretty Girl
544740	81485	Herself
544740	234324	Herself
544740	262980	Herself
544740	334646	Ana Barbara
544740	387805	Ana Bárbara
544741	75207	Dancers
544742	340411	
544743	127798	Bette Davis
544744	13458	
544744	18162	
544744	19174	Mother
544744	23937	
544744	28957	
544744	46184	Leonora
544744	53166	
544744	53172	
544744	53895	Baingia
544744	54289	Soledad
544744	57259	Mrs. Staffler
544744	57313	
544744	57341	
544744	69364	Luisa Tolnay
544744	70622	Anna
544744	78558	Elena di Vigliè
544744	83387	
544744	85582	Ana's mother
544744	102334	
544744	102364	
544744	111984	Marga
544744	112650	
544744	112655	
544744	112657	
544744	116494	
544744	133181	Mariella, La granduchessa & F
544744	162215	Lady at hospital
544744	189024	
544744	195061	
544744	202955	Jade
544744	217757	
544744	227500	
544744	227573	
544744	230006	
544744	234393	
544744	243457	
544744	251626	Maria Ferrante
544744	252688	
544744	254962	
544744	260044	Madonna Imperia
544744	260516	
544744	266471	Julia Castro
544744	269074	L'impiegata del banco lotto
544744	269180	
544744	269640	
544744	273154	La duchessa di Cosse
544744	282103	Isabella Colbran
544744	283675	Kenny's mother
544744	289988	
544744	293320	
544744	295167	
544744	315448	
544744	317712	
544744	317716	
544744	318003	Zobaida
544744	322411	
544744	336146	Adriana
544744	341140	
544744	341835	Adriana Rinaldi
544744	365965	
544745	23635	
544745	287340	
544746	1262	
544746	6382	Agricultrice
544746	402215	Herself
544748	214391	
544749	347063	Demon
544750	350314	Madame Chevalier
544751	196496	
544752	136843	
544753	151187	Sr. Agnes
544753	331463	Martha
544754	105398	
544755	193144	
544755	318283	
544755	326294	
544755	370152	
544755	383601	
544755	389932	Host
544755	389933	
544755	395873	
544755	395997	
544755	397119	
544755	407091	Co-Starring in the sketch
544755	409927	Host
544755	410276	
544757	235877	Francine
544758	302358	Ángela
544759	40938	
544760	374302	Tante Saar
544761	188683	
544762	384315	Maria
544763	390497	Herself (3rd Edition)
544764	306834	
544765	47334	Angelina
544765	84113	Bella
544766	16144	Carmen
544768	89871	Alphonse Doinel
544769	44390	Xenia
544769	166340	La Vierge
544769	196847	Celia
544770	324625	La serveuse
544771	100288	
544772	57282	Little girl
544772	269244	La fille
544773	166120	Judith
544774	58848	
544775	255691	L'Infirmière labo 1
544776	5833	Mrs. Randall
544776	20998	Narrator
544776	26831	Vanessa
544776	31183	Herself (CBS Team)
544776	31186	Herself (CBS Team)
544776	38165	
544776	41292	Georgina
544776	46818	Lynn Chandler
544776	49734	Silvia Hartnell
544776	49828	The Queen
544776	53939	Dr. Kurtz
544776	53960	Marcie Thatcher
544776	58868	Nancy Muldenhower
544776	59580	Susan O'Neill
544776	70208	Adult Christine
544776	72554	Veronica Daniels
544776	72916	Wilma "Billie" Northrup (segm
544776	79016	Margaret Corwin
544776	83472	Dr. Katelyn Harper
544776	91953	Debbie Seal
544776	94692	Jessica Valdemar (segment "Th
544776	103289	Maggie
544776	109841	Celeste
544776	110297	Herself
544776	116377	Stevie Wayne
544776	127191	Mattie Baker
544776	133655	Daisy White
544776	140399	Allie Duggin
544776	164996	Mrs. Norton
544776	201502	Herself
544776	231111	Andrea
544776	233865	Evie
544776	242509	Lisa Grant
544776	273979	Judy Wyche
544776	276834	Herself
544776	276852	Margo Dean
544776	278459	Alex
544776	287777	Homeless Woman
544776	290952	Simone
544776	293007	Barbara Orloff
544776	301824	Violet
544776	308030	Sophie
544776	311952	Judge Stern
544776	320784	Alice Cable
544776	323849	Herself
544776	330401	Computer voice
544776	335866	Elizabeth Stone
544776	336885	Barbara Huggins
544776	349864	Beverly McGraw
544776	358438	Aunt Lidia
544776	383490	Ruthie
544776	390403	Catwoman (Selina Kyle)
544776	397134	Carol Trainor (1972-1978)
544777	29098	Ellen Wheeler
544777	186822	Nurse
544777	289683	
544778	71799	Herself
544779	256220	Tory
544780	67560	Diane
544780	86279	Newscaster (WZDC)
544780	149183	Probation Officer
544780	245249	Flight Attendant
544780	302432	Marilyn Maxwell
544781	103036	
544782	23530	
544782	337013	Cliente taxi endormie
544782	355806	
544783	73871	
544784	33078	Herself
544784	88656	Jennifer
544784	187098	Zoey
544784	303754	Tilly Curtis
544784	334177	2nd Viewer
544784	385824	Carrie Brady #1 (1982-1986)
544784	389501	Kimberly 'Kimmy' Louise Gibbl
544785	186443	Herself
544785	395290	Regular Performer (1974-1982)
544786	199466	John Mason, Jr., the Infant
544787	294391	Jessica
544788	134595	Girl in club
544789	331234	Kristen's Mom
544790	18993	Patty Garretson
544790	41161	
544790	44416	Carol Trainer
544790	80915	Annie
544790	107727	Woman
544790	114314	Wendy's Girlfriend Pat
544790	118020	Ms. Venidera
544790	169892	Victoria Price
544790	228447	Secretary
544790	232812	John's secretary
544790	263010	Andrea Fletcher
544790	264669	FBI secretary
544790	276184	Virginia Phillips
544790	333237	Amabilia Filicchi
544790	352708	Luda
544790	366908	Martina
544790	400236	Dr. Dorian Cramer Lord Callis
544790	404002	Lauren Halt (1978)/Pamela Tha
544790	404694	Joanna Morrison Landers #2 (1
544790	405882	Marian Parker (1974)
544791	342464	Crystal Harrington
544792	17979	Girl
544792	133667	Medical Student
544793	115421	
544794	1857	Betty
544794	2149	Andrea Wallis
544794	5385	Jill
544794	20224	Adonia
544794	32866	Rebecca
544794	44935	Agrippina
544794	56455	Sister Saint Winifred
544794	58755	Gert
544794	65532	Lisa
544794	77215	Amanda 'Cap' Marvell
544794	87407	Sally
544794	88558	Jenny Coldfield
544794	94339	Anna Lindsay
544794	104045	Rivka Kahn
544794	105450	
544794	116130	Frances
544794	125880	Julia Sinclair
544794	127928	Marie
544794	148372	Melody
544794	155257	Diana Goode
544794	186847	Lily's mother
544794	187336	Miss Piggy
544794	215892	Mission Girl
544794	243213	Joan
544794	254889	Beatrice Templeton
544794	263544	Leonie Orton
544794	273422	Anna
544794	273424	Anna Nicholls
544794	276839	Karen
544794	282689	Lady Jersey
544794	283185	Harriet Saunders
544794	286687	Rosie Hobbs
544794	292404	Angela
544794	299040	Georgie
544794	303137	Eva
544794	307019	Miss Trumble
544794	314779	Lady in Black
544794	319713	Isabella Flores
544794	320453	Joyce Spencer
544794	326359	
544794	329625	
544794	337152	
544794	342363	Viola
544794	360469	Megan
544794	363790	Alice
544794	372746	Ann
544794	374291	Venus de Milo
544794	382725	
544794	383725	Suzi
544794	391155	April Summers
544794	396081	The Bolter
544794	396716	Elizabeth, James's ex
544794	398020	
544794	398124	
544794	399459	Helga Bauer
544794	401603	Louise Fermen
544794	403319	Princess Catherine Radziwill
544794	406643	Medusa
544795	2964	Katherine's Doctor
544795	7212	District Attorney
544795	10836	Roselyn McPherson
544795	26308	Nurse Nancy
544795	29186	Principal Meyer
544795	40836	Therapist
544795	47935	Ski Shop Clerk
544795	56992	Factory Receptionist
544795	63185	Catherine
544795	67377	Carol
544795	76220	Audrey Duncan
544795	85629	Susan Blankenship
544795	87926	Judy Effkin
544795	91595	Coroner
544795	91769	Rebecca Tingely
544795	113389	Mrs. Hofflund
544795	130629	Grace Briggs
544795	130992	Mother Fitz
544795	135608	Maddy Corrigan
544795	137536	Sister Mary Catherine
544795	144957	Pediatrician
544795	155020	Eric's Mother
544795	157184	Voice on the Phone
544795	157563	Bonnie Clutter
544795	160778	Chairperson
544795	164369	Vice Principal
544795	164483	Francine Hood
544795	170522	Mrs. Thomas (real estate agen
544795	178279	Barb
544795	203614	Art Sycophant
544795	207765	Julie Taft
544795	207837	Marilyn
544795	208281	Donna, Jayne's Friend
544795	217528	Adoptive Mother
544795	224089	
544795	229325	Myrtle Keeton
544795	232204	Dr. Melville
544795	234200	Ann Corley
544795	235088	Secretary
544795	244372	Mrs. Kramer
544795	271253	Yellow Queen
544795	294976	Col. Koufalis
544795	296847	Dr. Bonnie Talbott
544795	299897	Nurse
544795	308004	
544795	311791	(segment How Doc Waddems Fina
544795	314163	Mary Keenan
544795	314440	Anne Barnes
544795	315524	Mrs. Parker
544795	320319	Mrs. Schmidt
544795	336753	Betty
544795	346872	Rita
544795	379197	Additional Voices
544795	384180	Catherine
544795	390109	Arliene
544796	10742	Alice
544797	18963	Janine Courtland
544797	33198	Nancy Preston
544797	94742	Mutoid
544797	96117	Claire
544797	149727	Janice Jefferson
544797	149976	Church
544797	150749	Beryl Stapleton
544797	215154	Lola Brewster
544797	222879	Patricia Morris
544797	240814	Anthea Davis
544797	324386	Beth
544797	328517	Carol Tucker
544797	355537	Lucy
544797	357178	
544797	359426	Soolin
544797	364731	Caroline
544797	371379	Susan
544797	382191	Soolin (1981)
544797	386028	Det. Sgt. Harry Makepeace aka
544797	391835	Talking head/soundbites (segm
544797	393321	Jane
544797	399207	Lucy Simmons
544797	399415	Fiona Brake
544799	395613	Co-host
544800	9802	Chorus
544801	169136	Child Chorus
544802	169579	Tiffany
544803	2895	Herself - Best Makeup Winner
544804	2252	(segment "Teuf d'enfer, La")
544805	137259	Dodge 'em Car Patron
544806	25792	
544806	51811	
544806	55752	
544806	56518	neighbor
544806	74380	
544806	135248	
544806	197160	
544806	199808	
544806	207877	Directora
544806	218242	
544806	228560	
544806	234424	Don~a Trini
544806	262981	
544806	332596	
544806	343603	
544807	54221	Gail Weathers
544807	185225	
544807	383374	
544808	357	
544809	206943	Linda, Age 5
544810	400684	Caroline
544811	90771	Singer
544812	196981	Berk County Woman
544812	396142	Berk County Woman
544813	31635	Twin #1
544813	257782	Herself (Dallas Cowboys Cheer
544814	31635	Twin #2
544815	362512	Choir Member
544816	6604	
544817	63036	
544817	248509	Nina
544818	74829	
544819	242289	
544820	407139	Nancy Robbins
544821	113908	Young Scout
544822	255111	
544823	65	
544824	19087	
544824	111442	Economics Student
544824	124048	Tangerine
544824	235487	Roberta
544824	252764	Stewardess
544824	311661	
544824	348795	Barb
544824	379653	Isabel Ontiveros de Lamas
544824	383471	Noelia
544824	383568	Florencia Uribe
544824	397594	Pamela
544824	401916	Miranda Narváez de Durán
544824	402219	Paula
544824	403016	Regina Montalbán
544824	404161	Laura
544825	75585	Herself
544825	82454	Fungahena Retardo
544825	221435	Herself
544825	296104	Commentator
544825	356472	Herself - The Media
544825	388018	Host
544825	389199	Weatherwoman (1993-1995)
544825	390316	Herself - Weatherwoman/Co-Hos
544825	392421	Herself
544825	392423	Herself
544825	407890	Herself
544825	411561	Commentator
544826	358633	Adm. Destiny Quest MacRockett
544827	274892	Ragazza metro
544828	307440	
544829	19018	Woman at the table
544830	185964	Restaurant Patron/Airport Pas
544831	344442	
544831	371097	Valentina Garbini
544832	34576	Marian
544832	101890	Gore
544832	140660	Ángela
544832	341382	
544832	392027	Dra. Susana Cortés (2001)
544833	102658	
544834	1434	Herself (Babes In Toyland)
544834	235407	Herself
544834	284526	Herself
544834	306309	Nancy
544835	371290	Lavandera
544836	292738	
544837	92899	
544838	5862	Asst. Dir. of The Play
544838	339386	Glamour Doll
544839	17851	
544839	64006	Mona
544839	219485	Sylvia Deruaz
544839	234286	Thérèse Gerbaut
544840	97062	Petite Seine
544841	345246	
544842	122185	Juad
544843	367852	
544845	405173	
544846	79912	Herself
544847	79912	Herself
544848	10899	Center Stage Dancer #3
544848	12146	Barbie
544848	34786	
544848	121567	Barbie
544848	123802	
544848	128721	
544848	150337	
544848	173079	Wardrobe mistress
544848	289465	Herself
544848	355667	Stripper
544849	243131	
544851	75043	
544851	139261	
544851	160777	
544852	20625	Extra
544853	51378	Brigitte Mayen
544853	104246	
544853	153810	
544853	214204	Mme Boutain
544853	219849	
544853	339539	
544854	108543	Matrone
544855	59715	Housewife
544855	384434	
544856	118757	
544857	12372	
544857	43657	Une femme
544857	46015	Mère d'Émile
544857	46946	Une mère de famille
544857	52771	
544857	55403	L'épicière
544857	63681	Madame Guillaume
544857	89352	
544857	96164	
544857	110192	Old Lady in Park
544857	123719	
544857	169310	
544857	182949	Old Woman
544857	198339	Emmilienne
544857	198639	La secrétaire - dentiste
544857	199305	
544857	199307	Natasie
544857	217235	La sacristaine
544857	217705	Mme Landais
544857	228155	
544857	244985	La logeuse de Colin
544857	248678	
544857	257178	Maeve Lackan
544857	264378	Pierrette Dufour
544857	265467	La vieille dame
544857	266237	Jane, la caissière
544857	266424	La postière
544857	275344	Soeur Saint-Jean
544857	288893	
544857	309441	
544857	340148	
544857	345443	La vieille
544857	346466	
544857	346768	
544857	354908	
544857	354967	
544857	356369	
544857	377856	Louise
544857	378866	Marchande de fruits (ep.6)
544857	380587	Madeleine Rouveyre
544857	388419	La soeur tourière (segment "L
544857	389880	Pierroune
544857	390876	Madeleine, la nourrice
544857	392369	La grand-mère d'Arthur
544857	394166	Mme Charrue (segment "Couronn
544857	395620	La belle-mère (segment "Fin e
544857	396366	La vieille dame (segment "2 +
544857	397506	Mme Harno
544857	401939	Soeur Marmotte
544857	409440	
544857	410143	La tourière
544858	402177	Mme Bézac
544859	340872	Gazelle
544860	14347	Mme Boum
544860	22191	
544860	64220	Doublure Annie Girardot
544860	111876	Cascade
544860	148702	Liliane, la Karateka
544860	159198	La conductrice
544860	191499	L'otage
544860	235825	
544860	249461	
544860	278136	
544860	346416	
544861	279714	
544862	24985	La 'Mort'
544862	133255	La Fleur, serveuse
544862	300739	Herself
544863	104785	
544863	148654	
544864	52726	
544864	58530	
544864	88064	
544864	100060	
544864	148668	La Patronne
544864	170291	
544864	216233	Toussainte/L'inspectrice
544864	258842	
544864	258850	
544864	283047	La mère de Jeanne
544864	340161	
544865	244034	The Zoo Visitors & Staff
544866	25794	
544866	29672	Zoraida
544866	249784	Fotógrafa
544866	249786	
544866	332940	
544866	383032	Marcia
544866	384119	Clara (1998)
544866	384372	
544866	385379	
544866	386666	
544866	387127	Susana
544866	387446	María Luz Montenegro
544866	388093	Fiamma Ricciardi Parresi (Fal
544866	392751	
544866	396646	María Cristina 'amiga de Clau
544866	397263	
544866	397589	Rita
544866	398267	Daniela Ponce de León
544866	399627	
544866	399805	
544866	400494	
544866	401691	
544866	401913	Camila
544866	402158	
544866	402428	
544866	405338	
544866	407285	Amparito
544867	333375	Coed #1
544868	113709	
544869	22784	
544869	322220	
544869	339142	
544870	67012	
544870	69016	
544870	106015	
544870	135285	
544870	150558	
544870	223622	
544870	277376	
544870	319507	
544870	327317	
544870	383718	Mercedes 'Mecha'
544870	384775	
544870	384807	Host
544870	397118	
544870	398318	Host
544870	403302	Host
544870	407091	
544871	258640	
544872	64048	
544873	16347	Madelon
544873	57337	Lucia
544873	57852	Cenerentola
544873	242615	
544873	278312	Giovanna
544874	34069	
544874	58222	
544874	70593	
544874	73162	
544874	129634	
544874	134956	
544874	224900	
544874	252775	
544874	274756	
544874	336877	
544875	87582	
544875	284830	
544876	192997	
544877	237913	Mrs. Portinari
544878	277365	Nancy
544879	78182	Paula
544879	215347	Mary Kay Misery
544879	231894	Dr. Angela Cross
544880	249485	
544881	187440	Tourist's Wife
544882	407055	
544884	193480	Minnie
544885	377674	
544886	196682	
544886	196683	
544886	198191	
544886	233906	
544886	275029	
544886	294891	
544886	397553	
544886	402728	
544887	287990	
544889	348374	Chesty Girl #2
544890	5447	
544891	197499	Extra
544892	105464	Eva Perón
544893	199758	Herself
544894	166369	
544895	322779	Pozzi's Secretary
544896	393731	Laetitia Bonaparte
544897	360032	Stripper
544898	137675	Betty Kupfer
544899	3324	
544899	13475	Nona
544899	155104	
544899	262586	Alina Ungureanu
544899	294047	
544899	306631	
544900	395089	
544901	57465	
544902	672	Misleidi
544902	387700	
544902	392971	Raquel
544902	393802	María Rosa
544902	396644	Clarita
544902	397862	Rubí
544902	398483	
544902	408747	Norys
544903	29713	
544904	131780	Henry's Sister #1
544905	257433	
544906	400685	
544907	233841	
544907	344704	
544908	12661	
544910	89397	
544911	199385	Firmina
544913	35492	
544913	133056	
544913	205462	
544913	212135	
544913	233841	
544913	344704	
544914	104082	
544914	153863	
544915	19468	Marta
544915	63635	Carlota
544915	68920	
544915	111127	
544915	165013	Job Getter
544915	166193	
544915	200939	La vieille femme
544915	260989	
544915	276561	
544915	302419	Mulher da Casa de Passe
544915	321260	Store Lady
544915	345072	Matilda
544915	376500	Mona
544915	395376	Dona Rosa
544915	397552	Luísa
544915	401534	Berta
544915	402637	Dona Aparecida
544916	383907	
544917	98758	
544918	379937	Olinda
544918	380531	Elisinha
544918	380777	Mara Célia
544918	394121	Araci Cortes
544918	397645	Minervina
544918	399481	Mazinha
544918	404306	Bia
544918	412173	Ritoca
544919	401104	
544921	101471	Jurema
544921	161653	Efigênia
544921	211023	
544921	222152	Cecília
544921	353100	
544922	2232	Seamstress In Bridal Shop
544923	379450	Joana
544924	103746	Almerinda
544925	381253	Herself
544926	233841	
544927	408596	
544928	408212	Manon
544929	380166	Marie
544930	278616	
544931	73655	Josilene
544931	246854	Matilde
544931	382676	Edilaine
544931	391580	Guiomar
544931	404165	Jacinta
544932	52072	
544932	328366	Irene
544933	59885	Club Dancer #1
544933	127627	Beach Dancer
544934	90737	
544935	88867	Dream Girl
544936	385299	Rosalie
544937	308382	Tartar Girl
544938	54460	Satanya
544939	42785	Jessie
544940	32729	Madame
544940	54609	Mrs. Reid (housekeeper)
544940	85808	
544940	90398	Harriet
544940	100694	Sophie Desmond
544940	117285	Barmaid
544940	151197	Barbara Fane
544940	163357	Lady Burridge
544940	201023	
544940	284904	Renee
544940	286222	Sally
544940	315296	Miss Peters
544941	27189	
544941	41575	
544941	67828	
544941	75191	
544941	131734	
544941	196334	
544941	227328	
544941	295653	
544941	305401	
544941	313680	
544941	316084	
544942	64801	Tina
544942	82683	Crypt Keeper starlet
544942	132454	Sha Sha
544942	207828	Female Sticky Contestant #1
544943	418	Miss Bates
544943	79691	Edie
544943	395119	
544943	411760	Mrs. McCoy
544944	338981	Herself
544945	338981	Herself
544946	139972	Moon Face
544947	30202	
544948	45096	Townswoman
544949	226191	
544949	349804	Drebosak vtori
544950	379833	
544950	387103	Sor Angustia
544950	387621	Patricia Anzola
544950	387624	
544950	387700	
544950	390748	Clarissa
544950	392610	
544950	396858	
544950	400839	
544950	401211	Eugenia
544950	401896	
544950	402462	
544950	404203	Cristina
544951	15155	Edith
544951	24150	
544951	36686	
544951	67024	Agatha Slatineanu
544951	68626	
544951	89976	Aurica
544951	92892	
544951	94149	
544951	107172	
544951	137185	
544951	137186	
544951	183060	
544951	183279	
544951	206706	
544951	207049	
544951	210369	
544951	216040	
544951	229916	
544951	240395	
544951	246442	
544951	265199	
544951	272347	Anita
544951	272463	
544951	273049	Anita
544951	288025	
544951	325318	
544951	336583	
544951	338007	
544951	344642	
544951	357578	
544951	365693	
544951	374637	
544951	375134	
544951	404019	Anitza
544951	409679	
544952	53133	Heather the Locket (segment "
544953	257121	Bar Patron at table
544954	3088	L'antiquaire aux puces
544954	7549	La secrétaire
544954	8214	
544954	20220	L'hôtelière
544954	23791	Mme Chanel, la gouvernante
544954	23795	Mme Arcati
544954	24855	La mère de Marianne
544954	29001	Mme Merelin
544954	29447	La vieille dame Paris-Tunis/O
544954	33268	
544954	33628	Tante Mina
544954	33638	Woman in post office
544954	42381	Marie-Louise
544954	48209	
544954	51436	
544954	55406	La Femme de Chambre
544954	55532	Mme de Tourville, la gouverna
544954	55533	
544954	57891	Limonade
544954	59249	L'infirmière
544954	73072	Berthe
544954	76040	Mme Colombot
544954	79553	Mrs. Commindge
544954	84678	
544954	91453	La soeur du procureur
544954	96243	Christine's Mother
544954	100281	Bordenave
544954	100307	Madame Dumont
544954	103827	L'amie de Mamy
544954	116409	
544954	120813	Berthe, l'habilleuse
544954	132769	Mme. Rivoire
544954	133081	La dame au chapeau jaune
544954	144307	
544954	158877	La dame-pipi
544954	159450	Simone
544954	167243	
544954	172468	Tante Marthe
544954	178968	Une infirmière
544954	188673	
544954	200966	Butcher's client
544954	201184	Mlle Estienne
544954	205767	Mme Sophie
544954	208818	Scholastique
544954	211809	Madame Lopez
544954	212150	
544954	215866	
544954	216235	Soeur Simplice
544954	217694	
544954	224904	Mme Godin
544954	225408	Mme Dubois
544954	225471	Tante Marie
544954	225528	
544954	231304	Madame Jarville
544954	235710	Madame Outarde
544954	239222	Mme Bobignot
544954	248031	Une bonne
544954	248032	Une collègue de Fernand
544954	250835	La Cousine
544954	254056	La veuve Mouriot
544954	254101	Affery
544954	255574	Mathilde
544954	260118	La femme
544954	266386	
544954	268948	
544954	281271	Mme Grégoire
544954	282417	Lise
544954	287595	La marchande de jouets
544954	294189	Mathilde
544954	294565	La secrétaire céleste (segmen
544954	319026	Mamie (segment "The French Me
544954	322337	Madame Robert
544954	332205	Mme Noblet
544954	335224	Mme Sivelle
544954	336303	
544954	341126	
544954	345117	
544954	345145	La concierge
544954	346813	Amandine
544954	353821	
544954	356979	Mammy
544954	375940	
544954	377953	Marthe
544954	378017	Mlle Janvier
544954	380967	
544954	384789	(1989-1990)
544954	386021	Mamie
544954	391620	Mme de Coutrai
544954	396870	
544954	398966	Mme Lerat
544954	400762	La grand-mère (1980-1982)
544954	402577	
544954	402588	
544954	409440	
544955	308827	Tourist Guide in Akrotini
544956	195242	La soeur du Gitan
544957	12227	Shaquinna
544957	45297	Beautiful Woman
544957	46877	Lara from the New York Office
544957	118368	
544957	145050	Kate MacLeod/Faith
544957	212782	Ruth Wong
544957	294844	Lillith
544958	4638	
544958	14890	
544958	33550	Lucy
544958	73600	
544958	82412	Claudia
544958	90683	
544958	132557	
544958	158628	Loredana
544958	255544	
544958	256454	
544958	270878	
544958	397072	Daniela
544959	157162	Licia
544959	342118	Candidata
544960	1285	
544960	47334	Tropical Fish Lady
544960	264844	(in commercials)
544960	264845	
544960	264910	Herself
544960	339915	
544962	28908	
544962	90744	
544962	159547	
544962	332259	Loretta
544962	348193	
544962	375235	Simona Cavalieri
544962	385067	
544962	403363	Margherita
544963	88058	
544964	88058	
544965	251028	Berta
544965	352091	
544969	218345	Bar Girl
544970	267408	
544971	260563	
544971	376654	
544972	380601	Co-host (2003-)
544972	386346	Host
544972	398109	Correspondent (1999-2001)
544972	411941	Correspondent (2001)
544973	26586	
544974	129042	Mezzo-soprano
544974	197055	Maffio Orsini
544974	234979	Adalgisa
544975	55078	(segment Fernando De Barros)
544975	68624	(segment "Melhor da festa, O"
544975	381849	
544975	409426	Beth
544976	44723	Nurse
544978	980	Agent October
544979	111037	
544979	132743	
544980	309980	Therapeute
544981	384447	
544981	394036	Eden
544982	288943	Female Rebel
544983	153151	Ruby McDowell
544984	337180	Poker Player
544985	3973	Birdwatcher
544986	18670	
544986	99107	
544986	197963	
544987	205460	(segment "Papo Amarelo")
544988	19466	Herself
544988	122985	Herself
544988	156095	Herself
544988	392815	Herself - Newsreader (1997-)
544988	412177	Herself - Host
544989	148127	
544990	225560	
544991	220755	Niña
544991	225698	
544992	249596	
544993	8723	Ana de Matos
544993	80301	
544994	291643	
544995	215069	The Abbess
544996	403616	Dolores
544997	301406	
544998	348601	Hot Bod
544999	162999	
545000	355385	Narrator
545000	355386	Narrator
545001	316614	Blanka's Date
545002	308889	
545003	28589	Amélia
545004	169539	Laure
545005	79272	Dater
545006	148761	
545007	305884	Hanna
545008	108202	Vallholmadraken
545008	118696	Woman at retirement home
545008	142787	Clara
545008	305303	Doctor's Wife
545008	357805	Mrs. Berglund
545009	4694	Juror
545009	321405	Mary (present day)
545010	206889	
545011	41469	Restaurant Owner
545012	271248	Rainbow Girl
545013	13961	Terri
545013	39412	Dutton
545013	50936	Tatiana
545013	53823	Caroline Sullivan
545013	55531	Caroline
545013	108330	Celia Brent
545013	123435	Maggie
545013	185287	Dykstra
545013	282562	Girl in Street
545013	284526	Mindy Lawford
545013	294524	Young Lily Mae
545013	310647	Drunken Girl
545013	316975	Sandra McKay
545013	323804	Blonde Secretary
545013	329503	Jill
545013	357991	Britt
545013	366892	Dr. Dana Shaw
545014	201170	La femme du client
545014	242833	Marisa
545015	69194	Miss Hutching
545015	93982	
545016	297869	
545016	308946	Diana
545017	44498	Race Girl #3
545017	161525	Girl at gas station
545017	178906	Loraine Olson
545017	203774	Laura
545017	276413	Lab technician
545018	81541	Katie McCarthy
545018	157826	Celia
545018	233822	Amy Burchall
545018	328596	Melanie Fraser
545018	405209	Kelly McKinley (1998)
545019	391584	Mairi Beaton
545020	55417	Nurse
545020	151097	Sextet Girl
545021	43718	
545022	291506	
545023	2545	Chorus girl
545023	13252	Betsy Cummings, alias Mary La
545023	20613	Barclay
545023	26337	Job seeker
545023	29083	Sally Mattison
545023	38055	Ellen Gorman
545023	38056	Betty Webster
545023	38057	Mrs. Howard
545023	39450	Alice Saunders
545023	40235	Hope Mason
545023	40236	Hope Mason
545023	41502	Guest at First Party
545023	43297	Bit
545023	55433	Peggy
545023	67096	Cafe Guest
545023	70284	Elaine
545023	70967	Alice Wentworth
545023	107694	Hysterical Girl
545023	107698	Mrs. Irwin
545023	107699	Unconfirmed Bit Appearance
545023	111720	Molly Henderson
545023	113634	Short Girl
545023	113885	First School Girl
545023	116283	Helen Munson
545023	116548	
545023	123679	Girlfriend
545023	124585	The Girl of the Shrine (young
545023	125845	Georgia Coburn
545023	127698	Julie Potter
545023	128883	
545023	129594	Lucy Strong
545023	130622	Chorus girl
545023	132806	Young Girl in Lobby
545023	162818	Helen Carsons
545023	176365	Mary Mason/Brokaw
545023	177401	Young Girl
545023	183440	Joan Samuels
545023	190181	Well-Wisher
545023	190560	Sarah Smith
545023	191835	Society Girl
545023	195539	Telephone Operator
545023	199330	Girl in Field with Flowers
545023	203796	Betty, the nephew's girl frie
545023	210816	Laura Long
545023	212216	Bit part
545023	214105	Molly Henessey
545023	218789	Saloon girl
545023	221172	Ann Mitchell
545023	222701	Nurse
545023	223046	Chorus Girl
545023	224237	Willie, Mrs. Anstey's Secreta
545023	245433	Jessie Treadwell
545023	254535	Doris McCloud
545023	256425	Alice Waite
545023	263326	Errol's Secretary
545023	264437	Mary Grant
545023	267575	Jean McAllister
545023	278041	Gloria O'Neil
545023	278110	Joan Westfall
545023	281391	Connie
545023	285438	Sally Winters
545023	292145	Whiteman's receptionist
545023	295470	Gladys
545023	296780	Joan Whiting
545023	296781	Joan Whiting
545023	297366	Paula Webb
545023	299197	Song Spectator
545023	302727	Joan McClain
545023	303529	Jean Harper
545023	304318	Marion Bronson
545023	312586	Girl at Dance
545023	316946	Goldwyn Girl
545023	321384	Chorus Girl
545023	329146	Molly Arden
545023	330096	Schoolgirl
545023	330825	Young woman
545023	339394	Spectator
545023	340941	Betty Pember
545023	342885	Nancy
545023	361630	Helen Haldain
545023	363641	Peggy Radford
545023	372931	Woman
545023	375045	Actress in Slayton's Office
545025	152945	Irene Samuels
545026	5641	Iris Blackstock
545026	114350	Nanny
545027	294524	Young Holly Faye
545028	142926	Patience
545028	265556	Intelligence
545028	282627	
545028	294361	Helen Nelson
545028	301260	Poppaea
545029	295372	Katinka
545030	5843	Sally Howard
545030	363974	
545031	128497	Marina Owner
545031	141026	Lady Ambrose
545031	183770	Second Woman
545031	272536	Superior Lady
545031	277274	'A's Mother
545031	295611	Cynthia
545031	302937	Ellen Canter
545031	385299	Stella Dane
545032	114694	Sunny
545032	210520	A.D.
545032	330462	Little Girl
545033	167014	Scullery Maid
545034	151291	
545035	87062	
545036	399484	Herself - Health Corresponden
545036	400750	Herself - Reporter (1994-1999
545037	7944	Mrs. Adams
545037	58160	Clerk
545037	115125	
545037	194211	Nurse
545037	221065	Orderly
545037	292818	Helen
545037	304285	Woman on Ferry
545037	331697	Mrs. Clark
545038	405611	Nurse
545039	8842	Grande Sacerdotessa
545039	107489	Caroline
545040	221657	La mujer de Fernández
545041	135132	
545042	9945	Baker
545043	94591	
545043	193190	
545043	249768	
545043	273113	
545043	274839	
545044	114148	
545045	9682	
545045	132212	Patricia
545046	23977	Young Audrey
545046	292163	Franchesca Le Matin
545046	350488	Woman with Barrette
545048	267640	Sheeba
545049	44416	Serena Belcher
545049	379716	Anne Tyler St. Cyr Davis Mart
545049	380391	Lenore Moore Curtin Delaney #
545049	380713	Dr. Susan Burke Stewart Baxte
545049	387309	Louise Cavanaugh (1977-1978)/
545049	400236	Victoria Lord Riley Burke Ril
545049	404002	Barbara Wilde (1981-1982)
545049	405882	Lenore Moore Curtin (1970)
545050	13322	
545050	237984	
545050	369012	
545051	154083	Fran
545052	209	Gretchen
545053	94202	Loving Couple Girl
545054	41843	Judge Redford
545054	81627	Joan Rummill
545054	118804	Ida Powers
545054	151653	Mary Hunter
545054	160336	Melora Swan
545054	160980	Nurse Flynn
545054	168673	Mrs. Crandall
545054	185336	Grace Minihan
545054	269662	Mrs. Winters
545055	90357	Ann
545056	21466	Woman #2
545056	50979	Woman in Ladies Room
545056	120265	Etta
545056	131539	Aunt Rain
545057	34289	Cilly
545057	122680	Vorsitzerin der Frauenliga
545057	136208	
545057	173734	Dorothy Hopkins
545057	178610	
545057	189589	
545057	211079	Grethe Schulze
545057	262954	Lydia Loo
545058	163373	Herself: Author, "Shadow Wome
545059	7450	Nine
545060	22596	Fallen Woman
545060	82055	Julia's judge
545060	152860	Mrs. Bainbridge
545060	218799	Grandma
545060	276688	Nun
545060	301716	Nurse in Psycho Ward
545060	308440	Roz
545061	21630	Annie
545061	41852	
545061	102674	Coffee Shop Patron
545061	315302	Juniors Friend
545062	172032	Malka
545062	177817	
545062	319726	Esther
545063	259828	Kane's People
545064	162778	
545064	238328	
545064	248747	
545064	341342	
545064	371753	
545065	285098	Basmati Rice
545066	396132	Consuelo
545067	5292	Moglie di Luca
545067	55497	
545067	210917	Virginia
545067	251999	
545067	302051	
545068	97608	Dora
545069	242745	Nicole
545070	176534	Sayla Mass
545070	176535	Sayla Mass
545070	176536	Sayla Mass
545070	389791	Additional Voices
545071	13805	Thelma
545071	45498	Erin
545071	117231	Angie
545072	61102	Doctor
545073	208979	Bride
545073	346169	Mabel Turner
545074	235760	Woman in Canteen
545075	229644	
545076	10825	Alicia de mayor
545076	31805	Mado Francina
545076	74566	
545076	184850	
545076	189298	
545076	243959	
545076	266445	
545076	357729	Madre de Ana
545077	20912	Martha Brewster
545077	111995	Dona Monica Tiù
545077	125661	
545077	254987	Mme Carmeta
545078	71122	
545078	96269	Interviewee
545079	42577	
545079	74842	Dependienta tienda
545079	101890	Envenenadora Hija
545079	176630	Paca
545079	225046	Chica 2/Girl #2
545079	276404	Obrera (Worker)
545079	410217	
545080	1616	
545080	9084	La Herme (dueña puticlub)
545080	9661	
545080	14701	Amparo
545080	34556	Sor Purificación
545080	42577	Madre de Victor
545080	48811	
545080	48848	
545080	51103	Lucía
545080	51728	Prima
545080	54234	
545080	55372	
545080	55388	Doña Centro de Mesa
545080	57782	La Macuto, prostituta
545080	63408	
545080	64048	
545080	65216	
545080	67218	
545080	70060	Madre de Rosario
545080	71267	Remedios
545080	74842	Rosa
545080	76110	Portera
545080	83457	
545080	94593	María
545080	97376	Encarna
545080	99353	
545080	100295	Gloria
545080	101890	J. Monaco
545080	122973	Herself
545080	128988	Pepa Molina
545080	132710	
545080	143757	
545080	148108	
545080	155196	
545080	169557	
545080	189379	
545080	193503	
545080	199805	Madre
545080	210229	
545080	212347	
545080	215029	Grandmother
545080	217728	Grandma
545080	222418	
545080	226489	Doña Julia
545080	236010	
545080	238755	
545080	239264	
545080	243238	
545080	247845	Chuchupe
545080	252564	
545080	258619	Portera
545080	258625	
545080	263857	
545080	266871	Isabel
545080	274861	
545080	276003	
545080	296141	Panadera
545080	301181	Petra
545080	302359	Manny's mother (in a photo)
545080	307297	
545080	322233	Barbara
545080	334673	Begoña
545080	349545	Paulina
545080	350662	
545080	351645	
545080	355946	
545080	356674	Sra. Acevedo
545080	369437	Herself- Winner: Best Support
545080	369557	Herself
545080	369754	Herself - Presenter: Best Scr
545080	369994	Herself - Presenter: Honorary
545080	369999	Herself - Presenter: Best Mus
545080	371748	
545080	379088	Adela
545080	384852	
545080	391441	Madre Superiora
545080	392849	Doña Encarna
545080	394348	
545080	395979	
545080	402541	Cariharta
545081	170539	Heather's Mom
545081	246222	Neighbor
545081	354520	Woman at Town Hall
545081	363931	Stephanie
545081	380391	Titania (1997)
545082	319081	Farm couple
545083	358373	
545084	57929	ABA Student
545085	112819	
545086	82844	Une danseuse
545086	88845	Sylvie Teyran
545086	189163	Cécile Volanges
545086	339475	Marlaine
545086	377905	Danielle
545086	411699	Yvette Lagrement
545087	157212	
545087	405318	Bonnie
545088	89477	
545088	102501	
545088	181086	Siri
545088	204532	Märta Falk
545089	63636	
545089	77880	
545089	124042	
545089	171462	
545089	207014	
545089	212480	
545089	337579	
545089	350399	
545090	135992	Joan
545091	55809	
545092	20674	Herself
545093	5375	
545093	17483	A Nurse
545093	45376	
545093	75994	dancer
545093	90759	
545093	108533	Dancer
545093	147054	
545093	252579	
545093	278858	Gianna
545093	295516	dancer
545093	344607	
545093	355616	
545094	390753	
545095	40174	Young Helen
545096	142518	Louise
545097	30111	Dulcine Fielding
545097	35760	Eugenia Moore
545097	219964	Sylvia Marshall
545097	232343	Mrs. Mitchell
545097	257103	Flora Desimone
545097	282301	Bess Brown
545097	311468	Goldie
545097	331176	Lady Vere-de-Vere
545098	8469	
545098	41771	Kitty Martin
545098	135074	Gloria
545098	242681	
545099	14200	Landlady
545099	17048	Kellnerin
545099	18522	
545099	23987	
545099	118997	Erste Schwester
545099	143514	
545099	173842	
545099	189639	Petra
545099	209957	Mrs. Kreuzinger
545099	276096	Wirtin
545099	290087	
545099	318725	Marie
545099	325843	
545099	377344	
545099	392997	Bäuerin
545099	412088	Zenta
545100	90840	
545101	5271	Vicenta
545101	6477	
545101	96363	
545101	97370	
545101	202023	
545101	268250	Asistente 1
545101	332908	
545101	354839	
545102	69522	La repasseuse
545103	225574	
545104	30166	Hooligan
545105	23802	Renée Andrieu
545105	23824	Rose
545105	43757	Une pensionnaire (segment "Fe
545105	51138	
545105	149679	
545105	208715	Madeleine
545105	217213	Ginette
545105	266417	Andréa
545105	318515	
545105	339539	
545105	345084	Betty
545105	345258	Micheline
545105	384816	La Carconte
545105	388714	Mouche
545105	397192	Madeleine
545105	410272	Colette
545106	383183	Alice Lacey #1
545107	383183	Alice Lacey #2
545108	204728	
545109	305778	Vamp
545110	197314	Wardrobe Mistress, Groom, Sch
545110	294883	Amastre
545111	190252	Veda
545112	391124	
545113	282416	
545114	258336	La chanteuse
545116	68473	Babette
545116	155064	
545116	217912	Bouncy
545117	3629	Herself
545117	7434	Woman in restaurant
545117	15118	Agnès Bernauer (segment "Agnè
545117	25855	Herself
545117	26153	Babette
545117	29869	Herself
545117	37629	Ursula
545117	44983	Linda Larue
545117	46774	Sophie
545117	57665	
545117	58310	Brigitte Latour
545117	80949	Herself
545117	82944	La femme du témoin au mariage
545117	88857	Helene Colbert
545117	90132	Jeanne
545117	100281	Yvette Maudet
545117	100307	Agnès Dumont
545117	104212	Juliete Hardy
545117	111054	Eva
545117	111142	Clara
545117	112980	Herself
545117	113112	Pilar d'Aranda
545117	122216	Sophie
545117	133081	Lucie
545117	142301	Andraste
545117	146404	Arabelle
545117	146433	Giuseppina (segment "William 
545117	147841	
545117	195143	Herself
545117	195613	Herself
545117	197387	Olivia Marceau
545117	198051	Herself
545117	204326	Manina
545117	205758	Cameo appearance
545117	206057	Chouchou
545117	207092	Girl in a couple
545117	214859	Poppea
545117	225492	Camille Javal
545117	235708	Herself
545117	236009	Agnès
545117	244964	Felicia
545117	248054	Herself
545117	261020	Domino
545117	268458	Louise
545117	275993	Geneviève
545117	297172	Countess Irina Lazaar
545117	300735	Mlle. de Rosille
545117	328059	Herself
545117	328844	Cameo
545117	337389	Anna
545117	340448	Javotte Lemoine
545117	345020	Mimi
545117	346710	Brigitte Laurier
545117	346740	Penelope Lightfeather
545117	353921	Jill
545117	355812	Maria II
545117	356973	Virginie Dandieu
545117	357858	Dominique Marceau
545117	376901	Cecile
545118	277635	Darling Cruel
545119	81783	
545119	199503	
545119	213086	
545119	271298	
545119	332422	
545119	338027	
545120	119819	
545122	70096	
545122	148129	
545122	202130	
545122	207660	
545122	229703	
545123	51400	
545123	67076	Carole
545123	84054	
545123	171004	Josiane
545123	256541	Eleanor di Monteforte
545123	271911	Gracieuse
545123	295798	Suzanne
545123	346440	Brigitte Geoffrain
545124	291307	Extra
545125	13401	
545125	243113	
545125	313242	
545125	365513	
545126	285567	
545127	6720	Herself
545127	11150	
545127	30610	
545127	32465	
545127	32926	
545127	37225	
545127	37592	
545127	50528	
545127	50559	
545127	60206	
545127	95803	
545127	111815	Letter carrier
545127	114015	
545127	115278	Dagmar
545127	118034	
545127	119789	
545127	150900	
545127	151512	Herself
545127	178716	
545127	185494	Senator's assistant
545127	198505	
545127	198509	
545127	199346	Heidi Floss
545127	260806	
545127	274415	
545127	290377	
545127	312710	
545127	329868	Herself
545127	347685	
545127	359740	
545127	365870	
545127	369475	
545128	9473	
545128	164090	
545128	220733	Zhenata na profesora
545128	258812	
545129	81202	Nurse
545129	241028	WAAF Flight Sergeant
545129	363697	Maid
545129	367670	
545130	381099	Herself
545131	265758	The Woman's Sister
545132	335592	Jamie
545133	319185	
545134	32469	
545134	35578	Madame Martiny
545135	135245	
545136	238749	Amanda
545138	222185	
545139	238788	Yumeko, Diana Melon
545139	342677	Prof. Momone (Naughty Profess
545140	194753	Mother Frog
545141	300985	Harem
545142	8564	Sex-shop
545142	182517	Monja surfera
545143	19470	Sra. Borges
545143	115169	The Mole
545143	148519	Suzana
545144	408066	Herself
545145	170620	Kitty
545146	340827	
545147	2201	Sarah Meyers
545147	84486	Kate
545147	168296	
545147	210269	Sally
545147	224935	Daphne
545147	226974	Kim Bliss
545147	246710	Kathleen Chandler
545147	247915	Nicki
545147	306226	Susan Marie Heine
545147	332730	Rachel
545147	342675	Tracey (segment "Hungry Like 
545147	400236	Emily di Mauro (1996)
545147	400621	Tricia Ross (1999-2000)
545148	128429	Singer in Bar
545149	215214	Secretary
545150	48211	Woman in Red Hat
545151	192102	Cook
545152	390928	
545153	17813	1° ragazza festa
545153	125776	
545153	375851	Tossica
545153	399657	
545153	409092	
545154	40678	Townsperson
545154	347687	Illegal Alien
545155	411045	Herself
545156	244106	
545157	82203	Majka
545157	97541	Jewish Boy's Mother
545157	375023	
545157	385985	Majka
545158	178610	
545159	170462	
545159	192820	
545159	283023	Mme Moreau
545159	300655	
545159	390876	Mme Schwartz
545160	104742	Monegasque entry (5th place)
545161	21120	
545162	135564	Miriam Langford
545163	50711	
545164	117476	Maitre D'
545164	160781	Nurse #1
545164	331575	Ellen/Susie
545164	366183	
545165	6679	La concierge
545165	13040	La concierge
545165	13114	Amélie
545165	18319	La blanchisseuse
545165	23636	Madame Bédoré
545165	46226	La Colombe
545165	56388	
545165	57517	
545165	59435	Madame Ripolin
545165	83200	Pâquerette
545165	103207	Madame Dubois
545165	110023	Mme Elise
545165	110118	
545165	113115	Mme Chatin
545165	118177	La douairière
545165	169367	La mère
545165	183800	La dame des toilettes
545165	198343	
545165	198610	
545165	205616	L'habilleuse
545165	208481	L'habilleuse
545165	214376	Woman
545165	218561	La marchande des quatre saiso
545165	227292	Hortense
545165	235709	Zéphyrine
545165	236541	
545165	258852	
545165	282047	Fernande
545165	295211	
545165	309983	
545165	334789	
545165	345027	
545165	356370	Une commère
545165	357117	Une parente
545165	377733	
545166	340509	Redactrice
545166	350977	
545166	411101	Herself - Panellid
545167	67934	
545167	87414	Witkar Hostess
545167	115688	Buurvrouw Fröbel
545167	160781	Shirley
545167	210660	Wife of José
545168	4307	Mother Steenwijk
545168	23559	
545168	72289	
545168	124903	Bea
545168	128013	
545168	191604	Nurse Winters
545168	217081	Mutter de Jong
545168	223735	Mw. Van de Broeck
545168	243011	Mevrouw Dinther
545168	273753	
545168	314885	Christine M.
545168	352336	Harry's vrouw
545168	383950	Cordier
545168	391569	Moeder Francien
545168	394470	Connie
545168	396408	Hansje Bras
545168	404425	Rosita Lefevre
545168	410441	Moeder Stoker
545168	411927	Anja Pieters
545169	388832	Major
545169	392021	
545170	176253	Maciah's Girlfriend
545171	71953	La grand-mère
545172	8152	Marcelle
545172	15071	Louise
545172	20916	Mme Ackermann
545172	23791	Louise, la femme de chambre
545172	26043	Tania
545172	38838	Irène, la mère de Dorine
545172	46937	Betty
545172	51201	
545172	66226	La langouste
545172	69770	La directrice de l'école
545172	80156	Moretton
545172	100469	Lili
545172	107536	Maryse Laval
545172	111043	Clara
545172	122367	Madame Irzou
545172	132955	Sister Marie-Hélène
545172	135332	Joséphine
545172	153840	La mère de Karine
545172	157227	La mère d'Audrey/Audrey's Mot
545172	167195	Nina's mother
545172	191470	
545172	197540	Angèle
545172	200940	La postière
545172	205150	Simone
545172	205635	La dame du vestiaire
545172	211643	Jacqueline
545172	211666	Janou
545172	217642	Rosalie Couderc
545172	217723	Denise
545172	235714	
545172	240420	
545172	250401	Marie Pasteur
545172	258314	Georgette, l'habilleuse
545172	265218	
545172	269227	Madame Cire
545172	270433	Esther
545172	275531	Julia
545172	278911	
545172	291682	Bernadette
545172	307312	La femme en exode
545172	309733	Gaby
545172	325343	
545172	345246	Bernadette
545172	345290	The General's Wife
545172	346432	Lucienne
545172	351822	Rose
545172	354024	La malade
545172	377008	Jacqueline Desportes
545172	377869	Huberte
545172	396039	La mère supérieure/Mother Sup
545172	408002	Mademoiselle de Waize
545173	96021	Monique
545174	212406	Vendedora 2
545174	253277	Anni (segment "Spite")
545175	108353	Betsy Winfield
545176	34270	Lisa König
545176	50212	Julia Raimes
545176	65176	Katrin Köhler
545176	164167	The amnesic girl
545177	12034	
545177	56077	
545177	56353	
545177	61861	Madre Silvia
545177	64696	
545177	76115	
545177	78623	
545177	79133	
545177	107268	
545177	111988	
545177	115732	Teresa
545177	121774	
545177	132469	
545177	149512	
545177	161432	
545177	206921	
545177	215221	
545177	221227	Margaret the Cat
545177	258249	
545177	269572	
545177	294997	
545177	306693	
545177	307028	
545177	307734	
545177	328386	Valeria
545177	328885	Marguerite
545177	341869	
545177	376839	
545177	377152	Grazia
545177	379249	
545177	379463	
545177	380100	Paloma Domeq de Villegas
545177	381840	Bianca
545177	383769	Teresa Visconti
545177	383770	Teresa Visconti
545177	403683	Romina
545177	412198	Herself/Teresa Visconti
545178	79269	Lisa
545179	92248	Faith Keenan, Clepto
545179	210643	Jenna
545180	404137	Kohmi's Father, Mashu's Party
545181	45648	Narrator
545182	14031	Herself
545183	146596	
545184	398045	Herself - Stylist
545185	178731	
545186	178731	Karla
545187	95757	Sygeplejerske
545187	120968	TV journalist
545187	214367	Mor
545187	214368	Mor
545187	214369	Mor
545187	237291	Fars Nye Kæreste
545187	255672	
545187	303747	Lola
545187	390857	Julie Parsberg
545187	394188	Lotte
545188	20713	Acordeonista
545189	259559	
545190	10675	
545191	384972	Mar Voladeras (2003-)
545192	82095	Jan
545193	333426	
545194	77818	Marie Claire
545194	309764	Samira
545195	407987	Herself
545196	309764	
545197	20362	Mother
545197	59715	Madame Galliot
545197	61954	Dr. Horsley
545197	78104	Gertrude Bell
545197	87645	Onno's mother
545197	90889	Cheryl
545197	103593	Madam Olga
545197	177343	Goneril
545197	184090	Mrs Urban
545197	186064	Gwen
545197	195300	Cabinet Minister
545197	211727	Frau Mesmer
545197	224566	Mrs. Inglethorp
545197	228295	Dr. Bird
545197	269663	Eileen Cartwright
545197	330154	Mildred Strete
545197	347112	Mary Madigan
545197	380346	Princess Shcherbatskya
545197	382169	Millicent Hammitt
545197	385627	Mrs. Erdleigh
545197	386869	Mrs. Ajax
545197	393939	Eva Prohaska
545197	411482	Antonia
545198	309747	
545199	248420	
545200	292366	Simone Rouvier
545202	12338	J.C. Superstar Singer
545203	400811	Herself (episodes 1-2, 21-25,
545204	247190	
545205	261756	
545206	198638	Zoé Fabre
545207	215290	Herself
545207	410305	Host
545208	8239	
545208	75975	Mrs. Zocha
545208	88519	Tekla Zemlikowa
545208	236159	Gosia
545208	237869	Club Manager
545208	238404	
545208	248537	
545208	262150	
545208	275250	
545208	311820	Merlinska
545208	373425	
545208	375912	
545209	24791	Receptionist
545209	33673	Barbara 'Baska'
545209	77102	Krystyna, Piotr's Wife
545209	88594	Woman on Gajcy's Funeral
545209	131754	
545209	136361	
545209	211724	Hanka, Bartek`s mother
545209	254986	Wailing Woman
545209	322104	Arrested Criminal
545209	336217	Woman
545209	343338	Basia
545209	364975	
545209	379217	Krystyna Bednarczyk
545210	390497	Herself (3rd Edition)
545211	392164	Sofia Ingberg (2002)
545211	400356	Ulla Skaren
545212	289679	Scathach
545213	382308	Host
545214	109103	
545215	55532	
545215	55533	
545215	200782	
545215	353920	L'habilleuse
545216	115722	Faye
545217	43586	Attentive Girl
545218	134606	Herself
545219	163074	Sarah
545219	190709	Sante Kimes prostitute mother
545219	221785	
545219	241689	Beggar
545219	340226	Patty
545219	402599	
545220	96958	Buyer
545220	129514	Bitch Mother #2
545220	313583	UFO follower
545221	32626	Feminist at Rally
545221	150606	Jolanta
545221	193761	Cabbie
545222	65449	Jenny (Girl in Club)
545222	131217	Gena Waters
545222	208063	Jules
545222	346405	Audrey from Season 3
545223	2342	Traveler
545223	2351	Showgirl
545223	2565	Bit
545223	4625	Leota Van Cleef
545223	10520	Bit
545223	12764	Jessica
545223	13379	Christine Faber
545223	30277	Klari, Maid
545223	31103	Marjorie Clark
545223	41142	Encarnacion
545223	44899	Chorine
545223	46836	Micaela (La Perichole)
545223	51877	Bit
545223	54471	Adelaide Frost Rickenbacker
545223	54830	
545223	59607	Marie Dubon
545223	59612	Night Club Patron, "Singe Ble
545223	59615	
545223	59799	Marge Duncan
545223	59867	Renée Claire
545223	62023	Capt. Fifi
545223	64806	Waitress
545223	64850	Julie Reynolds
545223	68248	Bit
545223	72437	Bit Part
545223	75481	Orphan girl
545223	77444	Pat Noble
545223	77805	Chorus girl
545223	78528	Bit
545223	79581	Bit
545223	91971	Girl
545223	96762	Linda Reynolds
545223	105248	Secretary
545223	107446	Candy Counter Girl
545223	107700	Ann Riordan
545223	112183	Bit
545223	118811	Maj. Louise Simpson
545223	119536	Carol
545223	124714	Bit
545223	125811	Young lady outside church
545223	126067	Chorus girrl
545223	128889	Student
545223	133654	Party Guest
545223	133880	Chorus girl
545223	138282	Bit
545223	139800	Harriet Blaisdell
545223	142557	Bernice Croft
545223	147665	Actress in 'The Man Who Came 
545223	148406	Marian Carstairs
545223	150575	Barbara Hunter
545223	154043	Bit
545223	154190	Mrs. Dowell
545223	154840	Mrs. Billywith
545223	154881	Cecelia
545223	163250	Bit
545223	169167	Mrs. Dupree
545223	176323	Katherine Jackson
545223	177364	Dancer
545223	178237	Dolores Murphy
545223	183373	Dress Shop Clerk
545223	183380	Chorus girl
545223	183626	Bit
545223	184360	Miss Fenwick
545223	190064	Bit
545223	190858	Edna McCauley
545223	195368	Bit
545223	195764	Secretary
545223	200473	Claire Harris
545223	203066	Zee 'Ma' Simms, alias Zee Hea
545223	203463	Flower Girl
545223	205449	Miss Palmer
545223	209631	College Girl
545223	209645	Terry Wilson
545223	212102	Undetermined Role
545223	218714	Susan Rossiter
545223	221030	Penny Kendall
545223	223048	Bit
545223	223054	Movie Cashier
545223	224139	Pat
545223	231047	Maxine Thomas
545223	231812	Lynn Thorndyke
545223	232837	
545223	234471	Frances Ransom
545223	240672	Chorine in 'Love' Number
545223	240793	Alice Bradley
545223	243206	Jaynie Stevens
545223	243217	Bit
545223	246255	Yvonne
545223	248843	Terry Wilson
545223	252970	Chris Mason
545223	255520	Sally Kelly
545223	255737	Girl in stadium
545223	260224	Bit
545223	264775	Gambler
545223	273600	
545223	274502	Chorus Redhead
545223	276748	Ann Carver
545223	291915	Beauty Contestant Entrant
545223	292306	Kay Murdock
545223	297724	Dianne Woodward
545223	297931	Bit
545223	299453	Elaine Jordan
545223	302593	Secretary
545223	302639	Hotel Telephone Operator
545223	304767	Kay Bentley
545223	308540	
545223	310775	Marion Clark
545223	312007	
545223	313076	White House secretary
545223	313301	Bit
545223	318933	Vivian Dawn
545223	319145	Mary
545223	321125	Pat Sterling
545223	324278	Kathie Hall
545223	327693	Bit
545223	329331	Telephone Operator
545223	330768	
545223	338399	Helen Garrison
545223	346043	Brooklyn girl
545223	358453	Telephone Operator
545223	358643	Sandra De Voe
545223	360166	Dancing Girl at Party
545223	360420	Rose Coughlin
545223	360805	
545223	361154	Bit
545223	365086	Girl at party
545223	367756	Secretary
545223	367863	Queen Maimiti Christian
545223	372133	Bit
545223	372729	Mrs. Donford
545223	382549	Gwen Allen
545223	386195	Connie Conway
545224	90900	Hot Dogwalker
545224	260705	Snake Stroker
545225	36105	Radha
545225	242375	
545226	323584	Mr. Costa's Assistant
545227	139283	Singing Telegram Person
545228	218350	Abbey Hunzinger
545229	6118	
545229	78738	Borka
545229	141943	Penny
545229	173700	
545229	182735	
545230	235721	
545231	260398	
545232	403904	Co-host
545233	34528	
545234	169652	Germaine
545234	198635	Juliette Pétrie
545234	313562	
545234	394647	Roxanne Tremblay
545234	398096	Rachel St-Denis
545235	200076	
545236	333902	Patsy
545237	360749	Mama
545238	93255	Dorothy Leslie Gage/Dorothy G
545238	121803	Alexandra
545238	158061	Ashley
545238	161642	Young Mary
545238	183874	Sarah Packard
545238	208245	Music Box Girl
545238	276893	Young Lilli
545239	154434	Maria
545240	43681	Elsa
545240	51725	
545240	284271	La fille du restaurant
545240	357849	La journaliste
545241	171732	
545241	202706	
545241	248416	La prof de sciences naturelle
545241	319658	[Expérience #1] (2003)  L'inf
545242	2252	(segment "Sida, c'est les aut
545243	14570	Inés
545243	90119	Dama (Lady)
545243	193052	Bea
545243	252519	Rosy
545243	295180	
545243	356466	Duquesa de Osuna
545243	376701	Sara
545243	376810	
545243	378988	
545244	1366	Peasant-woman
545244	51375	Superstitious princess
545244	67691	Luisa
545244	68325	Serenella
545244	348675	
545245	24735	
545245	58734	Le jeune première
545245	80143	La femme de chambre
545245	107455	
545245	268966	Régine
545245	340111	
545246	399813	Weather Forecast Presenter (2
545247	99257	Agent Katrina
545248	123863	Luna
545248	309419	Pamela
545248	334429	Lulù
545249	21606	
545249	98497	
545250	195703	Herself
545251	5483	Mrs. Randolph
545251	21429	Aunt Abbie
545251	39542	
545251	45589	Shopkeeper
545251	47832	
545251	53885	
545251	54398	Maid at Steadman's
545251	62526	Sarah Snapp the Grandmother
545251	91603	Marie Truesworth, Maud's Moth
545251	91788	
545251	93262	Mrs. Fuller
545251	108712	The Princess' Mother
545251	110382	Sarah
545251	140131	Mary Travis
545251	147959	Muriel
545251	148434	Mrs. Tilford
545251	163326	
545251	196238	Mrs. Brey
545251	230760	Mrs. Murphy
545251	239077	
545251	247887	Mrs. Peale
545251	279728	Maid at Merwyn's
545251	301651	
545251	329454	Gwendolyn Green
545251	359098	Mrs. Baxter
545252	33593	
545252	57742	
545252	309501	
545253	23007	Celia Harland
545253	57706	
545253	71461	Sally
545253	151080	Barbara
545253	192308	Millie Dent
545253	198090	Julie
545253	222774	Diana Baring
545253	249106	
545253	283441	
545253	300001	Joan Murray
545253	316081	Clare Relf
545253	343228	Esther Goldscheider
545253	346261	
545254	293183	
545254	316341	
545255	388489	Medsestra
545256	60251	Singer
545257	72372	Old Woman Buyer
545257	97042	Picnic Server
545257	154854	Tom Tom Girl Darlene
545257	187191	Old Lady at Manicurist
545257	191260	Marla
545257	194687	Mrs. Elderly Couple
545257	276169	Chemistry Teacher
545257	282434	Grace
545257	313167	Sarah
545257	348303	Focus Group Member
545258	161505	SAVAK Bimbo
545258	335230	Jennifer
545259	60436	
545260	261363	
545262	254294	
545263	281618	Gobernanta
545264	25085	
545264	73384	
545264	108059	
545264	225413	
545265	10829	Alice
545265	15025	Jeanne Delmas
545265	68347	La mère d'Alix
545265	77362	Anne-Marie
545265	101807	Marthe
545265	111868	Anne
545265	133255	
545265	153874	Catherine Guedel
545265	162613	Séverine
545265	198357	Brigitte
545265	261785	La psychologue
545265	269823	
545265	339475	Simone
545265	377014	Veronique
545265	380358	Anne
545265	382525	Dr. Marie Dumont
545265	383860	Florie
545265	384290	Florence
545265	384434	Sandrine Crozade
545265	387657	
545266	198215	Laura
545266	322325	Madre Alvaro
545266	328750	Violante
545266	389679	Sandra Novo
545268	85540	La femme de la rue
545268	186193	La duchesse de Lavallière
545268	205150	
545268	401328	Various characters
545268	410143	Mlle de Fare
545269	2169	Brigitte
545269	252424	Une jet-setteuse en cure
545269	400149	Herself (2002-2003)
545270	280896	Child Specialty
545271	210358	Herself
545271	210359	Himself
545271	322433	Kriss
545272	392015	Wolfie
545273	26484	Jane
545273	152274	Anna
545274	54637	
545275	266027	
545275	271643	
545275	401007	
545276	395329	Policewoman
545277	96873	Nadia
545277	145312	Acolyte
545277	387247	Nadia Borovac/Mitchell (1993-
545278	47163	Noell
545278	68225	Polly
545278	105265	Joleen
545278	277526	Gladys
545278	297179	Lynette Swanson
545278	307881	Siobhan
545278	313971	Francine
545279	321386	Girl in Floral Dress
545280	137031	'Cybersports' and Skaters
545281	294370	
545282	341939	Little Girl with Doll
545283	341939	Mother
545285	168425	
545285	314960	
545286	57179	
545286	154854	Teenage Mom on Bus
545286	178279	Girl In Car
545286	196101	
545286	257790	Janice
545286	394418	Herself
545287	117063	
545287	153624	
545287	241622	Landlady
545287	274420	Mrs. Molloy-Smythe
545287	281159	Juliet's nurse
545287	333266	Mrs. Mallachi
545287	345737	Mrs. Murtha
545287	366837	Fanny
545288	346271	Bianca
545289	56923	Jessica Turner
545290	346016	Guard #2
545291	196566	Tracy
545292	408668	Freda Frog
545293	60162	Mary Gilbreth
545294	20625	Extra
545295	164225	Barkeep
545295	365523	Herself
545296	20287	Dancer
545296	26863	
545296	77805	Chorus girl
545296	163544	Dancer, American Girl
545296	245391	Stella (the singer)
545297	224192	Therapy Patient, Dog Richard'
545297	319063	Laura's Mom
545298	75791	Patient
545299	22808	Bridget Sotheby
545299	364866	Vicky Pierce
545299	366657	Gillian
545299	404558	Shirley
545300	42967	Mimì
545301	12006	Reluctant Paramedic
545301	68771	FBI Secretary
545301	235571	Manicurist
545302	339968	Isolde
545303	128923	Annie Davies
545303	385299	Tracey Hobbs (1985)
545303	393314	Helen Burns
545303	399931	Margaret
545303	407988	Jane James
545304	248669	Hanted House Patron
545305	47531	Mrs. Drexel Trask
545305	65662	Julia Godesby
545305	100695	Nalia
545305	130860	Gaby
545305	217974	Fanette
545305	241832	Lola Canby
545305	251386	Sophy McGurn
545305	251645	Hortense Martinot
545305	276372	Helen Davis
545305	301595	Millicent Jacques
545305	364571	Ethel, a Golddigger
545305	364589	
545306	100730	Countess
545306	122903	Miss de Courtney
545306	185642	Woman Reporter
545306	191628	
545306	392169	(1950-1951)
545307	260229	
545307	314441	Lois Gregson
545308	121824	Rented Parent
545308	355519	Flavin, Sally
545310	334210	Molly Fairfax
545311	185639	Renée's Baby at 3
545312	408623	
545313	224070	Child
545314	411355	Eleanor #2
545315	44441	Roxanne
545316	253420	Owen's Girl
545317	7400	The Woman
545317	25466	
545317	49773	Alice Wendell, the Girl
545317	52564	Edith Lawson
545317	61630	Alice Paulton
545317	61635	
545317	62672	Gladys
545317	71969	Florabel Thurston
545317	77784	Bella
545317	85852	Mrs. John Wilson
545317	91057	Dora
545317	93299	
545317	97828	Violet, the Other Woman
545317	101430	
545317	107299	
545317	107573	John's Sweetheart
545317	126655	
545317	128623	
545317	130678	The Prospector's Wife
545317	138846	The Stamford Daughter
545317	143103	The Maid (unconfirmed)
545317	143423	Alice
545317	143464	The Woman
545317	145860	Mary
545317	146067	Alice Eggleston
545317	146231	
545317	157102	Vergie
545317	176403	Doris Marshall
545317	179040	Milly Howard
545317	185221	
545317	195930	Lady Irma
545317	203780	Mildred, Steve's Wife
545317	213115	The Country Girl
545317	231025	Dora Dean
545317	237663	Madame Prevost
545317	241581	At the Party
545317	264372	Priscilla
545317	264373	Priscilla
545317	264374	Priscilla
545317	264375	Priscilla
545317	265887	
545317	267366	Mrs. Shawnston
545317	273924	
545317	291852	The Daughter
545317	294813	Adele
545317	318801	Mabel
545317	327866	The Girl
545317	342761	Mexican
545317	343081	
545317	343217	The Washwoman
545317	346868	Mrs. John Barker
545317	348224	Victim
545317	348952	
545317	353284	
545317	353390	The Wife
545317	356242	
545317	360226	The Modern Magdalene
545317	368770	The Barker
545318	252856	
545319	9148	Rachel Lonsdale
545319	318862	Tanya
545320	347006	Baker Girl #1
545321	309546	Halloween Child
545322	73950	Babysitter
545322	136256	Murder Victim/Zombie
545322	304683	
545323	282667	Cockney Lady
545324	43372	Barbershop Wife
545325	44513	Carlotta
545325	58014	
545325	121506	Eileen Lands
545325	192527	Gallery Crowd
545325	210837	Angie
545325	337404	Helena's Friend
545325	347946	
545326	15113	Corinne
545326	131015	Jinny
545326	165746	Anna
545326	208128	Carole Bonin
545326	300787	
545326	302142	Carole
545326	346701	
545326	388690	Charlotte Baumier
545326	392962	Julie Boileau
545326	400141	Roxanne
545326	403254	Josée Lebeau
545326	407050	Herself
545327	154087	Sadie
545327	219190	Bridesmaid 1
545327	220484	Sales girl
545327	405520	
545328	292603	Sarah French
545328	406949	Debs
545329	128829	Joyce Johanneson
545330	76945	Miss Bunch
545330	77837	Ticket Lady
545330	128891	Helen
545330	273163	
545330	292158	Eileen Saxon
545330	293198	Matron
545330	367854	Janet Barlow
545330	380190	Mrs. Dempsey
545330	382273	Mam
545330	382838	Audrey Manners (1995-1996)
545330	385020	Janet Reid/Barlow (1969-1977)
545330	385299	Constance Dory
545330	389625	Margie
545330	401275	Jemima
545330	402031	Pauline Kent
545330	404575	Mrs. Heath
545331	267608	Herself
545331	273544	Luscious Woman
545331	385926	Theatre Nurse
545332	58672	Miss Adair
545332	88102	Nurse #1
545332	109877	Anna
545332	194856	Matron
545332	206373	
545332	340754	Sister
545333	309468	Family in Boat
545334	387533	Dolly Skilbeck (1977-1979)
545335	411089	Matron
545336	59159	Designer - UK
545336	157196	Herself
545336	219785	Herself
545336	228312	Herself
545336	360269	Herself
545336	383892	Herself - Designer
545336	392124	Herself
545336	392463	Herself (Series 2) (2003)
545336	407877	Herself - Guest Host (2003)
545336	408148	Herself - Panellist (2004-)
545336	411294	Herself - Presenter
545337	55632	Women
545337	260291	Herself
545337	382297	Herself - Presenter (2000-)
545338	46910	Beth Singleton
545339	104995	Store Person
545339	109929	Old Lady
545339	188489	Mary Hope
545339	194749	Nurse Richmond
545339	261986	Wealthy Matron
545339	380391	Leueen Parrish (1978-1979)
545339	387309	Dorothy Stewart #2 (1970)
545339	396117	Sophie Slocum (1977)
545339	404694	Grace Harris Tyrell #2 (1969-
545340	328752	Mrs. Durbeyfield
545341	395924	Lisa Hammond (1998-1999)
545342	131491	Casey Lincoln
545343	152	
545343	31630	Secretary
545344	202907	Landlady
545346	95078	Sweater friend #3
545347	275435	Rock Chick 1
545348	14620	
545349	92480	
545349	119848	Henrietta
545349	263117	Poppy Mars
545349	331494	Mary Jones
545349	372417	Pat
545350	213324	Titania
545350	236972	Clara (in the dream)
545351	385299	Brekkie Bebe
545352	2976	
545352	42203	Rita
545352	109118	Marlene
545352	109924	Helga Schröter, Tour Guide
545352	136630	Dagny
545352	140389	Susanne
545352	154506	Signy
545352	216220	
545352	223207	Helen
545352	244306	Company
545352	321404	Lisa, Allans kone
545352	331210	Mol
545352	388761	Wife, psychiatrist
545352	389192	Lone Pedersen
545352	390848	Dagny
545352	402749	
545353	88628	
545354	363146	Reporter
545355	266679	
545355	293228	Betty
545356	309468	Family in Boat
545357	12633	
545357	311702	Herself
545357	311703	Herself
545357	390522	Presenter (1993- )
545357	400123	Presenter
545357	402659	Presenter (1997-)
545357	408864	Herself
545358	242529	Susan Steenland
545358	259214	Martín's Lady
545359	320797	
545360	7999	Laura
545361	26493	Woman
545361	30741	
545361	81157	Frances McKenna
545361	107002	Waitress
545361	120337	Sarah Mindl Bender
545361	241957	Greg's Woman
545361	245140	
545361	275785	Claire Fealy
545361	292266	Cafe Waitress
545362	165278	Mrs. Stark
545363	130958	
545364	51928	Cafe customer
545365	20879	Countess Rusudan
545365	341199	Wife of Capitalist
545366	145587	Komsomol girl
545366	295254	Mane, village girl
545366	371284	Secretary
545367	297635	Night Nurse
545368	142524	Nun
545369	380817	
545369	397968	
545370	2924	Herself
545370	5881	Annette Gilly
545370	6936	Penny Priddy
545370	27195	Margaret Wells
545370	32737	Gloria Marie Jackson
545370	37031	Anne Osborne
545370	46418	Herself (N.Y. Premiere)
545370	65698	Nadine Powers
545370	73127	Maggie Skolnick
545370	78217	Phyllis Isaacson
545370	83558	Aunt Starr
545370	86892	Beth
545370	92122	Laurette
545370	93959	Annette Atkins
545370	97389	Maggie Foley
545370	101570	Virginia
545370	108477	Jewel Stern
545370	110251	Waitress at North Star Cafe
545370	139606	Katie
545370	161519	Kathleen
545370	168701	Sunny Boyd
545370	175597	
545370	198828	Oona
545370	199169	Rita Everly
545370	199499	Lucille
545370	203436	Joan Spruance
545370	211385	Det. Catherie Palmer
545370	247093	
545370	249254	Donna
545370	264206	
545370	291771	Helen
545370	297937	Margo Chadwick
545370	301147	Claire
545370	308011	Diane Roberts
545370	321632	Amanda Brooks
545370	327840	Sue Anne
545370	328253	Mary O'Connor
545370	328458	Ronnie
545370	330670	Caroline
545370	348336	Woman playing guitar
545370	360510	Chris Capoletti
545370	363977	
545370	365183	Calamity Jane
545371	60866	Pucker
545371	107283	Stacy
545371	164612	Girl in Restaurant
545371	227927	Alice
545371	266084	Safari Girl
545371	298108	Doug's Secretary
545371	305718	
545371	350347	Sue
545371	401662	Vicki Janes
545371	404282	Marcia (1985)
545372	286571	
545373	35401	Young customer
545375	139273	Elsa
545376	16669	Waitress
545376	20268	Clara Drummond
545376	32550	Valerie Tillinghast
545376	36985	Hatcheck Girl
545376	69614	Page Girl
545376	83599	Undine
545376	109587	Lola Gordon
545376	115536	Terris
545376	119847	Dealer
545376	130809	Azalah
545376	133756	Miss Bennett
545376	198543	
545376	213976	Nurse
545376	244441	Mrs. Darman
545376	251855	Contestant
545376	264513	Soura
545376	289718	Corinne
545376	338270	Betty Mason
545376	350645	Secretary
545376	363464	Salesgirl
545377	10348	Autograph Seeker
545378	79293	Jill, the Florist
545378	162208	Helen
545379	126011	Chorus Girl
545379	203549	
545379	320938	Lynne
545380	33190	Teresa
545381	39602	Kerstin, Tommy's Wife
545381	382307	The Nurse
545381	390784	Gerd
545382	122504	Alma
545382	142765	Amanda's mother
545382	284553	Krisse
545382	314740	
545382	389600	Jenny
545382	390230	Mia Waldén
545382	392883	Doctor
545382	394940	Ingrid Linder
545382	397845	Skolsyster
545382	405539	Sonja Björklund (1999-2000)
545382	405553	Clara
545383	259625	
545383	259671	
545383	385660	
545384	12889	Dienstmädchen Anna
545384	223230	
545384	241972	
545384	314509	Hertha
545384	338456	Olga
545384	361378	Lena
545385	142535	Little Girl
545386	81584	Hospice Administrator
545386	92584	Elizabeth Cady Stanton
545386	92729	Ida Silverman
545386	97696	Abusive Teacher
545386	101040	Party Goer
545386	117073	Milena
545386	149834	Mrs. Waxman
545386	214422	Lydia Hopkins
545386	250872	Ms. O'Halloran
545386	289472	Nurse
545386	296695	Secretary
545386	296954	Hospital Receptionist
545386	346413	Tania's mother
545386	350622	Frau Willie
545386	358581	Selma Levitsky
545386	362880	Forensic Examiner
545386	364165	Judge
545386	366983	Judge
545386	369195	Patient's daughter
545386	372318	Doctor 'J'/Mother
545386	400635	Charity's Mother
545386	407345	Britany
545387	162744	(segment Zolotaya pugovitsa)
545388	158102	Chorus
545389	158102	Chorus
545390	316153	Stoner on couch
545390	318798	Beverly Jo Tucker
545391	73410	Heather Desire
545391	93364	Tarnya
545391	218373	Edie
545391	238245	
545392	325990	Sam
545393	154031	Mother
545394	198917	
545395	28032	Dénes húga
545395	136600	
545395	198984	Bözsi
545396	165719	
545397	48762	Stephanie
545398	177203	
545398	301181	
545399	104706	Herself
545400	287550	Fru Fredrikke Kruse
545401	145617	
545402	380005	Sunny (1989)
545403	272687	Hamilton's Girl
545403	273344	Sherry
545403	310184	Waitress
545404	146206	
545405	480	Frau Roland
545405	11872	
545405	24059	Mrs.Mills
545405	111343	
545405	155102	
545405	156090	
545405	180972	
545405	204922	
545405	226289	
545405	275201	Köchin
545405	317365	
545405	324475	
545405	325831	
545405	396874	(1992)
545406	165439	Insane Mrs. Rochester
545406	190796	Patient
545406	265288	Lady
545406	289495	Cora's Maid
545406	366460	The Princess of Sicilia
545407	107681	
545408	185441	Ichi's Young Sister
545409	169568	
545410	21201	Guest in the party
545411	57825	
545412	68138	Jean Armour
545413	67527	
545414	114313	Boot Camp
545415	389459	
545416	396142	
545417	354968	Kitty
545419	391569	Julia
545419	393535	
545419	406202	Herself
545421	85860	Head Nurse
545421	263976	Queen Prunaprismia
545421	384142	TV Interviewer
545421	385299	Mrs. Carey
545422	114651	Cynthia
545423	342009	Ballet Mistress
545424	98145	Additional Singer
545425	288387	Clown
545426	78997	Old Navajo Woman #2
545427	409388	Herself - Brandon's Date
545428	47148	Women
545428	240316	Amber
545428	254592	Hostage
545429	196872	Irish Step Dancer #8 (crowd)
545430	12094	Mrs. Greene
545431	149603	Narrator
545431	392008	Narrator (1999-)
545432	239069	Lorraine
545432	404124	Sailor Venus/Mina (II) (2000)
545433	63422	Bit Role
545433	116963	
545433	209592	Bit part
545433	334252	Guest
545434	371043	Sally
545435	281716	Jenny
545436	26752	
545437	107797	Mrs. Parves
545437	168926	Woman at Grotto
545438	26752	
545439	72918	Elizabeth (segment "Warped")
545439	77640	Evon
545439	82055	Talk show guest
545439	134395	Sarah
545439	385824	Brooke Lawson (1989)
545439	394362	Flame
545440	233588	Concierge
545441	37334	Taxi driver
545441	40113	
545441	52476	Concertina Player
545441	64090	Junior Leaguer
545441	81605	Model in Dream
545441	84138	Wolf's girl
545441	90292	Dancer
545441	126069	Showgirl
545441	149635	Angel
545441	195190	Girl jester
545441	329329	A Lucky Star (The Lucky Star 
545441	334180	
545441	363292	Bit part
545442	344197	Kara
545443	108516	Ma
545443	155246	Cook
545443	191642	Pamela Ayers
545443	231981	Wife of War Profiteer
545444	195945	Matty B. Johnson
545445	54214	Mrs. Van Heern
545445	387359	Coreen McKenzie Edwards (1998
545446	70932	Herself
545446	82633	Herself
545447	192779	Bar Patron
545448	19281	Clara
545448	161525	Motel proprietor
545449	61156	Female Dancer/Ensemble
545449	114298	Dancer
545449	353466	Ensemble
545450	290346	Judy Arkwright
545451	70883	Mavis Wilton
545451	72888	
545451	79556	Mrs. Heep
545451	177604	Ethel
545451	312983	Letitia Hayes
545451	321155	Jan
545451	367854	Mavis Riley/Wilton
545451	385020	Mavis Riley/Wilton (1971-1997
545451	386386	Dolly Belfield
545451	388486	Mrs. Ashburn
545451	406549	Miss Hardwick
545451	406679	Mistress Fetterlock
545452	368917	Celia
545453	348327	Dancer
545454	31665	
545455	88953	
545455	115709	
545455	311629	
545456	342497	Computer Voice
545457	339637	
545458	396239	
545459	149198	CSI Girl
545460	43886	
545460	52476	Jitterbug
545460	94881	Girl at Soda Fountain
545460	183760	
545460	345860	Girl at whipping post
545461	342802	Cindy
545462	359910	Chloe
545463	274846	
545464	322091	
545464	343631	Beteg
545465	369327	
545466	5967	
545467	245600	Mary
545468	321774	Reena
545469	253920	Mermaid
545470	249073	Herself (in Paris with Joyce)
545471	388863	Susan Robinson
545472	59574	Court Room Stenographer
545473	35239	Assistant Vice Principal
545474	17765	Elspeth McAlpine
545476	128340	Herself
545478	58942	'Sport' of Sisterly
545479	401517	Petra
545480	395091	Pretty Girl #2
545481	388863	Violet Robinson
545482	38248	May
545483	316945	Kate
545484	167200	
545484	235824	Une gamine
545485	30418	
545486	232845	Little Girl #2 in Ballet Clas
545487	83486	
545487	197162	Fabiana
545487	249910	Silvia
545487	252537	La pianista
545487	322407	Estudiante
545487	334678	Yael
545488	10355	Gravin Alexandra Andronowitsc
545488	24329	
545488	32801	
545488	37507	
545488	46971	
545488	111438	
545488	157611	
545488	178838	Junge Schauspielerin/Young ac
545488	284120	
545488	286801	
545488	288487	(1. Episode)
545488	290745	
545489	72418	Maggie
545489	108937	Heidi
545489	131447	Heavy Set Woman
545489	236387	Fantasy Bremelo
545489	299723	Realtor
545489	300229	Wrestling Fan
545490	395073	Naomi Sofer
545491	199505	
545492	169974	Mrs. Gross
545494	359298	Mother
545495	239758	The Maiden
545495	355046	Ruth Hastings
545496	114251	Jane Simonson
545497	114481	
545497	200448	
545497	270689	
545497	275168	
545497	290744	Gerda
545497	308847	Elsie
545497	325577	Sisi
545497	325853	Sabine
545497	365591	Julia
545497	401058	Anna Sophie Bollkamp, gen. Sö
545498	5201	Nurse Lawson
545498	24137	Mailman
545498	30647	Nurse
545498	32052	Home Economics Teacher
545498	49441	Mrs. Brown
545498	51511	Judge
545498	56435	Nun
545498	63140	Mary
545498	102514	Anna
545498	118277	
545498	156785	Nedra Scroggins
545498	162364	Ida Wells-Barnett
545498	168627	Woman at Door
545498	171333	Treala Johnson
545498	178127	Amanda Gilbert
545498	191925	Aunt Etta Green
545498	211753	Miss Gregory
545498	222611	Lab Technician
545498	223772	Nurse Sandy
545498	257107	June Carey
545498	295320	High School Secretary
545498	297692	Head Nurse
545498	321660	Tracy's Mom
545498	382301	Eve Munroe
545499	395570	Penne (2002-)
545500	276238	Tish
545501	14225	Ava
545502	67955	Other Appearance
545503	13356	Linda
545503	174503	Clara
545504	30071	
545504	31665	
545504	34700	
545504	36571	
545504	53192	
545504	53218	
545504	152189	
545504	195447	
545504	283381	
545505	382259	Cookie
545506	50020	Nurse
545507	56955	Malatasta
545507	156478	Officer Bright
545507	166470	Officer Natasha Weston
545507	244918	Mary Anne
545507	318181	Det. Grantham
545508	2763	Boy's Mother
545508	10329	Miss Arthur
545508	55046	Esther Walters
545508	221221	
545508	222642	Louise Leidner
545508	284359	Nobuko
545508	317153	Nurse
545508	361024	Annie
545508	406643	Graea
545509	279125	
545510	161495	Liberty Winston
545511	37920	Herself
545512	264	Comtesse de Bresac
545512	2475	Maud Ericson
545512	7035	Nazama
545512	12764	Harriet Martin
545512	16915	Sybil Barton
545512	29691	Lil Damish
545512	46580	Henrietta Fairfax
545512	47356	Caroline Whipple
545512	52543	Vi
545512	71535	Leslie
545512	79949	Blanche
545512	81515	Contessa de Firenze/TheCounte
545512	85828	Lillian Russell
545512	88170	Lady Claire Mere
545512	92183	Tessie Bernstein
545512	92520	Rosa Wopp
545512	94604	Kiki Kelly
545512	112095	Herself
545512	114131	Claudia Weston
545512	117430	Valerie Petrovna
545512	120749	Jerry
545512	124482	Mrs. Simms
545512	126670	Barbara
545512	127519	Cameo Appearance
545512	141081	Lil Pickering
545512	143498	Herself
545512	147512	Mrs. Laura 'The Witch' Cram
545512	150765	May Heatherton
545512	154481	Peggy Canery
545512	155902	Natalie Bagshaw
545512	157866	Lacey Miller
545512	160066	Peg Guinan
545512	163562	Eve Floogle
545512	183720	Helene Dupont
545512	185162	Mrs. Meredith
545512	185490	Alice Munro
545512	195832	Junetta
545512	200467	Della Lane
545512	202095	Frisco
545512	202852	Lady Arlington
545512	203002	Aggie Dawlins
545512	222576	Bit Part
545512	224228	Geraldine
545512	230856	The Countess Carolinda
545512	231959	Therese
545512	232820	Ruth Jordan
545512	233572	Myra Fengler
545512	239810	Carmen
545512	241327	Rena Sorel
545512	245120	Rosa
545512	249527	Billie
545512	254818	
545512	256652	Queen Carolina
545512	264730	Rosita, a Maid Pure and Simpl
545512	264733	Katherine Howard
545512	275668	Olivia Karloff
545512	296815	Catherine the Great
545512	302002	Lady Perivale
545512	304367	Myrtle Vantine
545512	305398	Priscilla Hyde
545512	310326	Anne Bonney
545512	315815	Esther Clementi
545512	320376	Countess Elizabeth Bartoffski
545512	326189	Joan Melhuish
545512	329334	Kay Swift
545512	329803	Lola
545512	330003	Alice White
545512	330889	Charlotte Campbell
545512	331283	Miriam
545512	331381	Faith Banner
545512	331521	Milady De Winter
545512	331614	Donna Lyons/Precious
545512	332874	Sybil Ash
545512	333300	Mildred Prescott
545512	340370	Marilyn Joyce
545512	340542	Sister Celestine
545512	348332	Alicia Larchmont
545512	363262	Sister Celestine
545512	365087	Cecil Carver
545513	70322	Jesus Freak
545514	282928	Wanda
545515	26258	
545516	280740	
545516	294415	German Mother
545517	292158	Herself
545517	297802	Herself
545517	381886	Herself - 'Guest Newsreader (
545517	393154	Newsreader (1991-2004)
545517	404924	Presenter
545518	274473	Joe's wife
545519	318458	Waitress
545520	341808	FBI-agentti
545520	357785	
545521	95154	Goth Girl #2
545522	137223	Hud's fiancee
545523	203414	
545524	44511	Technician
545524	58487	Nurse Sandra
545524	139520	Audrey Stalker
545524	224667	Bonna
545524	235088	Tracy
545524	339596	Shirley
545524	368715	Nurse #2
545525	68733	Auntie Nidia
545525	194666	Inmate
545527	223072	
545528	325229	Lisa
545529	92479	Leigh
545530	313076	Dancer
545531	34448	Crown Royal Commercial Girl
545531	46067	Eleanor Ashby
545531	163231	
545531	200926	Tara Portman
545531	276906	Traveler's Daughter
545531	388501	Gemma Jarvis
545531	390988	Lady Anne
545531	408691	Sara
545532	81177	Bar Woman 1
545532	92513	Young woman
545532	115460	Lisa Clarke
545532	176261	June
545532	283305	Mother at Scream
545532	331573	Donna Barnes
545532	360717	Cindy
545532	398939	Co-host
545532	405437	Herself
545535	172479	
545535	217122	Brigitte
545535	229987	
545535	236789	
545535	293973	
545536	383065	Herself
545537	334596	
545538	195271	Mrs. O'Neill
545538	205268	Woman at Auction
545538	330999	National Art Club Guest
545539	92918	
545540	52639	Joan Bellamy
545541	134018	Serious INS Cop
545542	10587	Counselor
545542	47370	First 5 & 10 Salesgirl
545542	78119	
545542	99224	
545542	120745	Ethel Gordon
545542	124714	Hazel
545542	147701	Herself
545542	147921	Herself
545542	154355	Ruth, at Christmas Party
545542	203323	Marie Rossetti
545542	210435	Helen
545542	228639	Casquette Girl
545542	286929	Girl
545542	313320	Waitress #1
545542	318078	Nancy Ryan
545542	360488	Office Girl
545542	363190	Waitress
545542	363960	Miss Watkins
545542	372887	Marjorie Baxter
545543	93302	Woman on Beach
545544	48217	Reporter
545544	230531	Student
545545	79838	Amyrillia
545546	196508	Mother
545547	24240	Gloria Upson
545547	25877	Jane Ink
545547	90353	Diane Prescott
545547	109070	Carsia
545547	124224	Bit Model
545547	131721	Janie Highland
545547	148220	Cathy Bergner
545547	154825	
545547	241961	
545547	248877	Vicky Robinson
545547	248878	Vicki Blake, Meredith's Mothe
545547	254662	Angela
545547	267554	Amy Carter
545547	292820	Carina
545547	310455	Claudia Marius
545547	325160	Jane Parker
545547	325163	Herself
545547	335652	Katie
545547	354858	Peg Lawrence
545547	359338	Lola
545547	378794	Lola
545547	385749	Hostess
545547	408875	Katie
545548	280657	Secretary
545549	178123	Greek Mother
545550	81068	
545551	321546	
545552	239415	Kate
545553	295325	Ruth
545554	170411	Coffee bar person
545555	77805	Chorus girl
545556	110256	Madame Chen
545556	347918	Concerned Mother
545557	157870	Bit
545557	241444	
545557	313301	Chorine
545559	403817	Fiona
545559	403818	Fiona
545559	405204	Fiona Frischmann
545560	46524	Tina
545560	52580	Jordan Alcott
545560	93093	Herself
545561	249573	Bored Lady
545562	162892	Mary Ann
545563	215525	Baby Prentiss
545564	309803	Patty
545565	113743	Sam Little
545566	75030	
545567	108252	Ruby/Naomi
545568	326681	DeDe
545569	44450	Friend
545569	67597	Waitress
545569	211615	Anne Page
545570	113985	Serviceman's Girlfriend
545571	34968	Clara Bow-type
545572	44330	Karen Kendler
545572	363263	
545572	387359	Adele de Bruyn de Koning (199
545572	406846	
545573	337113	Mrs. Ramsey
545574	83599	Girl in bathtub
545574	134675	Second Girl
545574	216802	Model
545575	291137	Vicky
545576	193523	Doctor
545577	238260	Annie
545577	365523	Herself
545579	15185	Herself
545579	21154	Hooker
545579	388559	Melba
545580	15988	
545581	410692	Herself
545582	168286	Sharone
545583	331053	Judy Cross
545584	364220	Crystal Clayburne
545585	12327	Claire Andrews
545585	23441	Crystal
545585	24749	Sarah
545585	26750	Stephanie
545585	35704	Leslie Valentine
545585	56955	Sally Willows
545585	70563	
545585	72228	Marlene Brighton
545585	73835	Verna
545585	88180	Chris
545585	102906	Claire (segment "Taboo Parlor
545585	113376	Sharon Moreno
545585	139841	
545585	141305	Miss Olivia
545585	157180	Chloe
545585	176945	Della Desordo
545585	185397	Helena Dryden
545585	188620	
545585	189403	Della Churchill
545585	194538	Claire
545585	202490	Miss Ivannah
545585	208544	Sister Fong
545585	222292	Landlady
545585	232017	Herself
545585	252936	Amy
545585	253357	Brenda Kingsley
545585	291509	Melanie
545585	294150	Sylvia
545585	295916	Roxy Free
545585	300344	Sheila
545585	302666	Frankie
545585	314439	Christine Davis
545585	319026	Donna (segment "Skippy")
545585	324091	Cassandra
545585	329085	Claudia
545585	331717	Herself
545585	333277	Weena
545585	333618	Girl From Bar
545585	335053	
545585	338638	Mayor Alexandria Cray
545585	349555	Denise Franklin
545585	365525	Maggie McCulloch
545585	366703	Edith
545585	380004	Rebecca Tomkins
545585	408135	Terri Alden (1981-1984)
545586	1302	Lida as a Child
545586	151197	Button Faringdon
545587	147566	Pamela Rogers
545587	201430	Sally
545587	308170	Marjorie Willoughby
545587	335861	
545588	277109	The Vixen
545589	406807	Herself (1991)
545590	344	Merle's Wife
545590	16729	
545590	27207	Connie
545590	45050	Girl singer at migrant camp
545590	46287	Teller
545590	80829	
545590	89236	Grace
545590	90423	Sandy Ryter
545590	110180	Cat Food Lady
545590	119622	Mrs. Cullins
545590	158107	Donna Evans
545590	160832	Call Girl
545590	161790	Mrs. Porter
545590	186841	Desk Clerk
545590	194314	Helen
545590	196407	Jean
545590	203005	Attractive Woman
545590	209630	Opal Withers
545590	235647	Delores
545590	236873	Darlene
545590	241605	Malinda
545590	245332	Maggie Mitchell
545590	251743	Movie Lot Actress
545590	275889	Agent Rogersz
545590	291495	Harpy
545590	293011	Barb
545590	294976	Capt. Kern
545590	298094	Grace
545590	303362	Alice
545590	310726	Female Executive
545590	310728	Constance
545590	315959	Helen Anderson
545590	321526	Skinny
545590	321661	Marie
545590	324040	Hag in Alley
545590	330177	Brown Haired Woman
545590	350488	Colleague
545590	363423	Mrs. Foster
545591	92181	She
545592	6305	Eileen Kester (Matt's Mom)
545592	35714	Gloria
545592	61855	Leslie Button
545592	66162	Vicky Ruckman
545592	128741	Dawn Sorenson
545592	141639	Joanne
545592	142541	Jason's Nurse
545592	219530	Holly Boncher
545592	247491	Chelsee Bando
545592	248083	Mrs. Wheeler (Gunther's Mom)
545592	286609	Zorb
545592	329027	Chelsee Bando
545592	345952	Chelsee Bando
545592	357104	
545593	77146	Dallas Cowboy Cheerleader
545594	407482	(segment "Ashes")
545595	79036	Georgina
545595	142493	
545595	232472	Susan Greenfield
545596	259864	Porno Picket
545597	193624	Kelly
545598	315262	Windy
545599	239082	Dancer
545599	275362	Rosa
545600	40660	Woman Client #1
545600	75617	Voodoo Ma
545600	80482	Woman in Bookstore
545600	92150	Prim Woman
545600	97459	Delilah
545600	108339	Retta
545600	116356	Maid
545600	131431	Mabel's Mother
545600	149932	Matron
545600	176985	Sara Joshua
545600	183387	Edna
545600	241792	Ka'reem's Mother
545600	274476	Mrs. Williams
545601	302128	
545602	63623	
545602	129190	Ekonomika
545602	282745	
545602	299432	
545602	307751	Mother
545602	339284	
545603	19065	
545603	219503	
545604	285950	Bride
545605	257634	Additional Cast
545606	94217	Tobi
545606	141305	Rhonda
545606	252919	Terri
545606	323848	Reporter #3
545607	336242	Herself
545608	68010	Ensemble
545608	163232	
545608	332153	Secretary
545608	360883	Louise
545609	63424	Melody
545610	200864	Shopper
545611	39518	Supporting Players
545611	297261	Mona
545612	103289	Gypsy
545612	165278	Auntie Ortense
545612	263265	Reporter
545612	314948	Driving Student
545612	366914	Bumblee Woman #1
545613	127793	
545614	350191	Alley vampire
545615	252866	Nurse Novak
545616	65895	Ella
545616	388837	Jackie
545617	67955	Other Appearance
545618	244987	Carla
545620	176823	Allison Moreland
545620	324020	Jody
545620	385824	Stephanie Woodruff (Brooke Ha
545620	394676	Judith Scott (1987-1988)
545620	404282	Marsha Connors (1987)/Sidney 
545621	249265	Sales Assistant
545622	26440	Bartender
545622	393880	Sarah Slocombe (Series 1-2) (
545623	56883	Mädchen aus Germany
545624	115081	
545625	288690	
545626	361238	Maya
545626	405217	East End girl #1
545627	302128	
545627	410912	Herself - Panellist
545628	139776	
545629	358604	Choir Singer
545630	159261	Erica
545630	383136	Amanda
545630	390320	Presenter
545631	312904	Kayla
545632	338731	Mrs. Shapiro
545633	94099	Sister Victoria
545633	301398	Margaret
545633	333602	Pietro's Girl
545634	364300	Herself
545635	82099	Sally
545635	121855	Woman in Bar
545636	61663	Alicianne Del Mar
545636	67996	2nd Waitress
545636	131777	Margaret
545636	131805	Margret
545637	9089	Waitress
545637	188505	Lizzie (the tour guide)
545637	235645	Flygirl
545637	316648	Silvie
545638	147543	Dancer
545638	183638	Can-Can Dancer
545638	304876	Dancer
545638	312042	Bit
545639	364094	
545640	397936	Herself (1972-2001)
545641	125704	Herself
545642	313706	Doreen
545643	53218	
545644	152838	Bernadette
545644	196107	Robin
545644	298120	Bedroom Girl #1
545644	341999	Danielle Whitaker
545645	351914	
545647	118376	Rachel Barnett
545648	115062	Aquarian Girl
545649	138865	The Daughter
545650	57380	Groupie
545652	199315	Charlotte
545653	16065	
545654	72909	
545655	160476	Herself
545655	303288	Herself
545656	123920	Singer
545657	194810	Herself
545658	166871	Lady in stagecoach
545659	42050	Red Mack
545660	190464	Coed
545661	59729	Sister Johnson
545662	160724	Secrétair ANPE
545662	385491	Christian
545663	135935	Softball Fan
545663	183586	Female patient
545664	95479	Mrs. Jack Stevens
545664	141259	Madame Estelle
545664	145922	Mrs. Harrison Tyler
545664	195426	Hannah Shay
545664	203942	Mrs. Stone
545664	207958	Mrs. Sanborn
545664	258955	Mrs. Filbert
545664	314249	Mrs. Phillips Wetherelll
545664	334194	Lillian Drew
545664	367558	Mrs. Bland
545665	324371	Crash Site Firefighter
545666	39372	Jean
545667	95414	Nurse
545667	400993	Professor Mary Meadows
545667	400994	Professor Mary Meadows
545667	400995	Professor Mary Meadows
545668	390523	Maddie Gilkes (2001-)
545669	293198	Janice
545670	59883	Photo Daughter 2
545671	317338	Sharon
545672	128583	Older Catatonic
545673	2816	Cast of musical 'Avenue Q'
545673	381473	Additional Muppets (200?-)
545673	381798	Cleo
545673	382491	Puppeteer (Owl)
545673	404897	Momma Bear (2003-)/Gladys the
545674	185530	Herself (AIDS activist?)
545675	123053	Rita
545676	367951	Herself
545677	338981	Herself
545678	410932	Co-host
545679	276606	Lulu Botts
545680	185492	Humming Woman
545681	64734	Concerned Woman
545683	347534	
545684	232203	Kim Morrison
545685	87551	Tiffany
545686	361078	
545687	57747	Guard
545688	245667	
545689	42352	Herself
545689	175615	Herself
545689	192254	Beauty
545689	198830	Herself
545689	201315	Hostess/Twin #1
545689	242699	
545689	306421	Model
545689	402569	Betty II
545690	42352	Herself
545690	175615	Herself
545690	198830	Herself
545690	201315	Hostess/Twin #2
545690	242699	
545690	402569	Betty I
545691	47760	
545691	138487	Eva
545691	142195	
545691	175294	Frau Vorbusch
545691	226175	Gestapobeamtin
545691	255901	Old Drogist
545691	276943	Girl in Tax Building
545691	321772	
545691	341781	
545691	349056	Renate
545691	367346	Mascha
545691	381694	
545691	389962	
545691	391604	Marlies Teubner (1997-)
545691	398056	Frau Buseberg
545691	409609	Frau Pieper (1991)
545692	274427	Wedding Party in Philadelphia
545693	407916	Lacey Walker (1981)
545694	90092	The Waters and Friends Chorus
545694	312141	Singing nun
545694	362512	Choir Member
545695	399719	Herself (executive director, 
545696	228164	Barn Dance Party Guest
545697	16968	Young Angie
545697	41917	Darienne
545697	44474	Lacey Carr
545697	120633	Claudia
545698	1712	Mrs. President
545698	106335	Hillary Clinton
545698	408496	Hillary Clinton (1993-1999)
545699	33742	One of 'The Thirty Women'
545700	36885	
545700	50370	
545700	63409	Bárbara, prostituta
545700	243436	Special Appearance
545700	356652	Herself
545701	48798	
545701	104005	
545701	211044	
545702	279092	Brook's Mother
545703	166370	A student
545704	24683	La Femme de ménage
545704	384434	
545706	226814	
545707	366642	Laila Montenelli
545708	16794	
545708	26758	
545708	34620	Woman in bathtub
545708	49087	
545708	56752	
545708	199492	
545708	260725	
545708	261527	
545708	274002	
545709	43933	Foreigner #3
545710	389394	Tess
545711	355764	
545712	26491	Carolyn Sykes
545712	116085	Susan Thomas
545712	117558	Rachel
545712	126752	
545712	154427	Flight Attendant
545712	186650	Margaret
545712	264932	Brenda
545712	289052	Mrs. Hodgkiss
545712	293098	Sarah Tanner
545712	357129	Tish Van Alden
545712	405531	Gloria
545713	105393	Librarian
545713	111442	Shermerite
545713	241555	Party Girl
545713	380243	Sally
545714	206215	Betty
545715	137677	Vera
545715	167566	Script Girl
545715	229240	Gail
545715	309199	Frankie
545715	328568	Lorraine
545716	105890	Nurse
545717	247915	Julie Hammer
545717	367068	Background Singers
545718	40864	Nick Cave Fan
545719	296082	Louise
545720	154846	Dana
545720	192765	Susan
545720	197324	Nancy
545720	231870	Jennifer
545720	389858	Cheryl (2003)
545721	202625	Dancer
545722	7761	Onoria
545722	14859	
545722	14902	
545722	16820	
545722	20245	
545722	23586	
545722	26685	Wally
545722	26686	La madre di Vincenzo
545722	29580	Maria
545722	33495	Enrico's mother
545722	52179	Madre superiore
545722	52889	
545722	54141	
545722	57341	
545722	57968	
545722	64348	Maria
545722	64782	Alberto's Mother
545722	64997	Madre de Rafael
545722	70745	
545722	79566	
545722	86336	
545722	87793	
545722	87801	
545722	87822	
545722	90156	
545722	91422	Luke's Mother
545722	94670	
545722	94811	
545722	97465	
545722	119364	
545722	128017	
545722	128027	Giulia
545722	128031	
545722	161573	Gregoria
545722	161860	Mother
545722	187480	
545722	199048	
545722	199962	
545722	202094	
545722	211196	
545722	240273	
545722	242825	
545722	246417	Missis Bacci
545722	247023	
545722	252772	
545722	260106	
545722	263918	Maria Lojacono
545722	265724	La madre di Cecilia
545722	269173	Madre di Montanari
545722	288182	
545722	315423	
545722	328695	
545722	344452	
545722	351513	
545722	353088	Giovanna
545722	355957	
545723	287976	
545724	380391	Miss Devon (1983-1984)
545724	387309	Louise (1979)
545725	23692	La petite fille dans l'avion
545726	64807	Monica
545726	75704	Susie Swanson
545726	308018	
545726	324983	Larkin's girl
545726	333182	Carol
545726	365396	Grace
545727	37902	Paulette Martin
545728	54855	Secretary
545728	167561	
545728	202395	Ellen
545728	244923	Mrs. Reed
545728	259826	Woman buyer
545728	264581	Selma Lemish
545728	265747	Maxine
545728	276667	Mrs. Liza Nelson
545730	218393	Pantry Girl/Vampire
545731	11280	Salesdervish #2
545731	11937	Allie Dadadad
545731	16968	ICU Nurse #1
545731	38999	Sales Lady
545731	47799	Aunt Rose
545731	49967	
545731	72707	Mona Tuckman
545731	82930	Mrs. Saunders
545731	108350	Neighbor
545731	116085	Ms. Jones
545731	130057	Beryl
545731	139114	Gretchen
545731	161544	Dr. Eilene Preminger
545731	161594	Ring-a-ding Girl
545731	169608	Miss Post
545731	172605	Mrs. Goldman
545731	183876	Marsha Levine
545731	224475	Marilyn
545731	229826	Ned's foster mom
545731	253059	Janice Crawford
545731	253820	Marilyn Yeagher
545731	259969	Miss Teacake Magee
545731	263955	Margueritte (Royal Designer)
545731	273307	Mrs. Taylor
545731	292457	Registrar
545731	308025	Helen Greening
545731	311038	Skeptical Scientist
545731	312592	Priss
545731	329548	Stand-up Comic
545731	331733	Curt Woman
545731	347241	Waitress
545731	349973	Miss Lieberman
545732	85734	La commessa
545733	40341	Brass
545735	97194	Mrs. Jones
545736	179455	Elena
545737	397137	Berthe
545739	19325	
545739	25263	
545739	65729	
545739	161993	
545739	240602	
545739	281816	Louise
545739	300735	Mme. de Balbo
545739	346514	
545739	354759	
545739	381051	The Old Woman
545740	43281	Losana
545740	44259	Rosita
545740	47566	Conchita Alvarado
545740	58817	Lita Malone
545740	66111	Isabelita
545740	68636	flamenco dance couple
545740	90214	Dorothea
545740	124765	
545740	144912	Chi-Chi
545740	166997	Delta
545740	170769	Zia
545740	247359	Lupita
545740	274362	Maria
545740	286582	Isabelita
545740	288913	Sari
545740	304966	Lola
545740	329585	
545740	329592	Herself
545741	53273	Baby Boobala Salesgirl
545741	55691	Meg
545741	67478	Mrs. Vitali
545741	86542	Emma Stamps
545741	97603	
545741	138248	Long Liz
545741	144657	
545741	150239	Louise the Waitress
545741	221214	Mrs MacNamara
545741	221234	Miss Fisher
545741	227327	Dashka
545741	281341	Herself
545741	305413	Girl
545741	332738	Anna Karokin
545741	338401	CID Officer
545741	371131	Peshe
545741	378642	Herself/'Nurse Gladys'
545741	381447	Herself
545741	384665	Auntie Mable
545741	385299	Phoebe Tompkins
545741	386711	
545741	388486	Norma Patterson
545741	390719	Beryl Loomis
545741	395178	Lily Bless Her
545741	400029	Vera (2)
545741	400313	Nurse Gladys Emanuel
545741	403704	Sheila
545741	409660	Patricia Roberts/'Auntie Pat'
545742	327093	Airport Clerk
545743	131201	Gianetta
545743	162098	Phyllis
545743	213585	Yum Yum
545744	192777	Peggy
545746	382556	Carmen Torres (2003-2004)
545747	248878	Lady at Pool
545748	24486	Narrator
545749	243782	
545750	231895	Girl in Bar
545751	193553	La maman de Lola
545752	274957	
545753	274645	Mesera
545753	371782	
545753	391572	Evelia
545753	397018	
545753	410303	
545754	248509	Spiripicchio
545755	273484	La jeune fille
545756	5152	Bailey
545756	6651	Wocek
545756	70419	Actress
545756	90280	Waitress/Phone Sex
545756	117883	Oat's Diner Waitress
545756	128236	Monica
545756	157180	Det. Karen Orr
545756	164494	Hope
545756	185167	Caroline
545756	193716	Smyrna
545756	199463	Wife
545756	218791	The Soul
545756	228458	Sally Dickensen
545756	232115	Claire Goodman
545756	235472	Amanda Sayles
545756	243930	Theresa
545756	278496	Tammy Liebman
545756	311021	Mike, forger
545756	318464	
545756	366137	Col. Tamara 'Panther' Farnswo
545757	11080	
545757	32788	
545757	59100	Phyllis Carmichael
545757	85039	Gwen
545757	85828	Bit Woman
545757	96956	Tonia
545757	98151	Pickles
545757	99853	Ada Miller
545757	114534	
545757	118232	Geof's wife
545757	147446	Sadie Cline
545757	178034	
545757	183579	Dode
545757	190061	Abercrombie Maid
545757	197942	
545757	201408	Secretary
545757	211601	Maxim Girl
545757	252488	Woman
545757	258198	Marie, the Maid
545757	267606	Meg Mallory
545757	269285	Woman
545757	272532	Woman getting cigarette
545757	273801	
545757	307428	Sonia
545757	309275	
545757	318675	
545757	323769	(We Must Be Brave)
545757	347319	Mrs. Van Brunt, Jr.
545757	363029	Antonia
545758	410999	Herself (carpenter) (2003-)
545759	50690	Wendy Blitzer
545759	73570	Waitress
545759	93223	Mary
545759	171138	Rebecca
545759	171311	Carrie, Danny's Girl
545759	241470	Gina
545759	277801	Waitress
545759	281769	Irene Jimenez
545759	283570	Janie
545759	295826	Carol
545759	323519	Cindy Lane
545759	368718	Franny
545759	383493	Skit characters
545759	385538	Linda Woods
545759	393415	Karen Foxworthy (1995-1996)
545759	395594	Jordan Emery
545760	299768	Betsy
545761	15070	
545761	23535	
545761	71904	La dame de l'hôtel
545761	200902	Elisabeth
545761	302304	L'Esprit Carina
545761	307111	L'Américaine
545761	321284	Francine Scott
545761	325392	
545761	325494	Madame Fèvre
545761	325556	Pauline Fèvre
545761	345544	
545761	391634	Marina (segment "Loupe du dia
545761	397938	Gay Barnes
545761	401319	
545761	403641	
545762	166097	Fille thérapie 3
545763	83029	Sheina
545763	193403	Lil Baby D
545763	310396	
545764	169939	Lucille Arnaud
545765	140310	Dream Extra
545766	284621	Newscaster #1
545767	78915	Jaded Audience Member of Gran
545767	347069	Demon Lesbian #2 in Nightmare
545768	301128	Marina
545768	380256	Clerical angel
545769	20625	Extra
545770	347410	The Bastard Child
545771	91848	Waitress
545772	189079	
545773	10331	Bagoas dancer
545774	196659	
545774	308749	
545774	383441	Júlia
545774	383727	Soninha
545774	396610	Cacau (1998-1999)
545774	404165	Inês
545774	409347	Shiva Maria
545774	411597	Catuxa
545775	6078	Lucilla
545775	199728	
545776	265235	Gerbina, la moglie adultera d
545776	349542	Barbara
545777	115838	Trina
545777	334405	Yolanda Petrova
545777	337759	Irina (segment The Composer)
545777	371885	
545778	340116	Élise
545779	147026	Hkhuman, the Boy
545780	395024	Herself
545781	163483	
545782	285831	Black Widow
545783	126269	
545784	86849	
545785	195758	
545786	105851	French maid
545786	194870	Eman
545786	264157	Genovian Cafe Patron
545786	381871	Jara
545786	397693	Delphine/White Alien Power Ra
545787	113116	
545788	219472	
545788	345297	La bonne
545789	347385	Pharr
545790	150845	Emily
545791	384590	Herself
545792	236154	Nichole (Mike's Daughter)
545793	83023	
545793	159530	
545793	283199	Elvira
545794	261116	Cocktail Model
545795	73531	
545796	208844	
545797	401280	Herself (season 3 second runn
545798	134881	Susan
545798	154021	Helen
545798	169908	
545798	171127	Teenybopper
545799	12217	High School Band Member
545800	80050	Stacy
545801	3501	
545802	189266	Herself
545803	305437	
545805	256624	Isabel
545806	353294	Cherry Pop
545807	379128	Host (2001-2003)
545807	396277	
545807	409169	Newsreader
545809	103728	Singer
545810	94132	Myrtle Simpson
545811	215812	
545812	302468	Jenine Saleer
545813	372411	Mrs. McGuire
545814	130356	Natasha
545815	281912	Additional Player
545816	194289	
545816	380713	Courtney Baxter Dixon (1990-1
545816	390771	Harley Cooper (1999, 2001, 20
545817	203060	Helen Ross
545818	138751	Girlie
545818	185992	Mrs. McNab
545818	188283	Katie
545819	214488	Greta
545821	213772	Lolly Flores
545822	121359	Bit Part
545822	190796	Miss Glassman
545822	193886	Cathleen
545823	1348	Herself
545823	2010	Self
545823	2086	
545823	3593	Herself/Brooke English
545823	155072	Norma Childs
545823	379716	Brooke Allison English Cudhay
545823	404002	Irene "Reenie" Szabo (1976)
545824	192159	
545825	6412	Maetel/Queen Promethium.Tetsu
545825	29755	Aunt Drosselmeyer/Owl
545825	29757	Fairy Queen/Marie
545825	33901	Esther
545825	38408	Toa Gali
545825	56384	Carol Jollimore
545825	114043	Kevin
545825	120418	Frogger
545825	123027	Maetel/Tetsuro's Mother/Queen
545825	134069	Ran's Mother
545825	134572	Roxanne
545825	140919	Evil-Lyn
545825	157221	Dr. Lucy Welling/Velika LePet
545825	222300	Additional Voices
545825	227856	Megan 'Spitfire' Fassler
545825	232928	Narrator
545825	272209	Yotaro's Mother
545825	272213	Colonge, Tsubasa Kurenai
545825	272214	Colonge
545825	273699	Dot Matrix
545825	273700	Dot Matrix
545825	273701	Dot
545825	282992	Rudolph the Red Nosed Reindee
545825	292450	Eulalia (porcelain cat)
545825	312539	
545825	312540	(front end voice, North Ameri
545825	323776	Grandma
545825	323839	
545825	350190	Morrigan Aensland the Succubu
545825	359567	Tsun
545825	379337	Additional Voices
545825	381426	Princess Angelica
545825	381475	Botanica (2000)
545825	384836	Additional Voices
545825	384838	Mesmira
545825	386928	Wheezie
545825	387290	Kevin/Marie Kanker
545825	388729	Jessica
545825	389866	Mrs. O!
545825	391202	Evil-Lyn
545825	392064	
545825	392294	
545825	394463	
545825	394486	Morgana/Guinevere/Lady of the
545825	395491	Henri LeFevre
545825	395762	
545825	396526	Kyoko's Mother
545825	396564	
545825	397341	Roll
545825	398125	Additional Voices
545825	398513	Additional Voices
545825	399002	Megan 'Spitfire' Fassler
545825	401702	Scribbles
545825	402863	Young Cologne (season 3-4)
545825	403028	Dot Matrix
545825	405501	Bev
545825	405941	Additional Voices
545825	406154	Additional Voices (1999-2001)
545825	406420	Draga
545825	406714	Lucinda
545825	406975	Additional Voices
545825	410504	Chastity Knott, Additional Vo
545825	410791	Digger, Mama-B Chassis
545826	117488	Kathy
545827	279315	Teen Helen
545828	162416	Pretty Woman
545829	323037	Kirsty
545829	406330	Lena
545830	36841	Showgirl
545830	47088	Girl at Pool
545830	52476	Guitarist
545830	109415	Miss St. Louis
545830	147543	Dancer
545830	154481	Mermaid
545830	158711	Pretty Blonde
545830	204708	Model
545830	234090	Show Girl
545830	276948	Girl in cafe
545830	302633	Dancer
545830	304962	Girl on Counch
545831	80763	Robot
545832	118715	Lola
545833	56652	
545834	376002	
545835	79944	Boat passenger
545836	18385	Octavia
545836	19824	Mandras
545836	56240	Loretta Bonner
545836	70300	
545836	78843	Hikmet
545836	84991	Kitty
545836	91927	
545836	113553	Director's Wife
545836	121365	Phyllis
545836	123019	Waitress
545836	158150	Inmate
545836	170982	Libby Starling
545836	236982	Dayroom Woman #1
545836	259280	Helen Monciano
545836	338403	Hilda Volkman
545836	397156	Lauren
545837	114293	Hannah
545837	278247	4-Year-Old Courtney
545838	335665	Tammy
545839	95080	Nice Jugs Girl
545840	178976	Girl
545841	79269	Video Clerk
545841	329703	Tori
545841	360027	Cheerleader
545842	267031	Gloria Swanson
545843	335665	
545844	28545	
545844	64246	
545844	90028	
545844	307583	La signora Italia
545845	361318	
545846	143832	Woman in Crowd
545847	14420	
545848	274346	Larosa
545849	195214	La couturière
545850	73643	
545851	183674	
545851	376940	
545852	81611	
545853	51615	Secretaria Marinyes
545853	229441	
545853	252646	
545853	341084	Sonia
545853	407863	
545854	8026	Additional Story Teller
545855	166643	Delaware Student
545856	24447	Sharon
545857	334138	Bag Lady
545858	8560	
545858	171465	
545858	227684	Mariana
545858	277365	Andrea
545859	402638	Clarinha
545860	317692	Simone
545860	371726	
545861	74501	
545861	148138	
545861	223619	Lola
545862	6642	Mujer
545862	51113	Maribel
545862	183161	Room maid
545862	189005	Enfermera
545862	222008	Secretaria Paulina
545862	259959	
545862	281581	Rita
545862	322851	Luisa
545862	357189	
545863	213239	Nikole Sampson
545863	218785	Bride
545863	245772	Kristen
545864	107086	Waitress
545865	65598	Panelista
545866	373871	
545867	373871	
545868	29044	
545868	29061	
545868	87075	
545868	101920	
545868	103495	Ana Maria
545868	104123	
545868	159432	Celadora
545868	165705	
545868	169748	
545868	207772	
545868	210445	Gracielita
545868	212523	
545868	235298	Carmen Ortiz
545868	248291	
545868	251563	Acacia Beltran
545868	255619	
545868	292744	
545868	317774	
545868	328728	
545868	340655	
545868	341405	
545868	351461	Lupe
545868	353239	
545868	353641	
545868	397305	Reliquias
545868	408390	
545869	32707	Woman (UNEAC)
545870	235988	
545871	44513	Pharmacist
545872	189007	Mary Herbert
545873	362588	
545874	149930	Child
545875	397552	Laura
545876	128977	Isabelle
545877	399	La jeune fille
545877	5619	
545877	19844	Renarda Lovecall
545877	37630	
545877	99912	
545877	118760	
545877	130116	
545877	301553	Madeleine
545878	328750	Lurpia
545879	129812	
545879	382126	
545880	331234	Shopkeeper #1
545881	3283	Lara
545881	4525	Herself
545881	17325	Natalia
545881	19499	Lola
545881	19945	Carmen
545881	23626	María
545881	27864	
545881	42577	Angela
545881	50846	Dori
545881	71281	Nena Colman
545881	74842	Ana
545881	90146	Doña Inés
545881	97376	Ely
545881	97809	Olivia
545881	98998	
545881	119008	Chus
545881	124591	Carmen
545881	156096	Herself - Winner: Best Suppor
545881	163980	Herself - Host
545881	170039	María Luisa
545881	204643	Cata
545881	219330	Elisa
545881	221916	
545881	221924	Luz
545881	222008	Candela
545881	233336	Embajadora
545881	236026	Paz
545881	240266	Ana
545881	243689	Alejandra
545881	247198	Mary
545881	249909	
545881	262977	Herself
545881	277398	Lucrecia
545881	281650	Rosae
545881	293055	Merche
545881	301181	Angelines
545881	322233	Marta
545881	332586	Sara
545881	334673	Azucena
545881	334699	Susana
545881	341383	
545881	344886	Teresa
545881	345499	Herself
545881	349334	Herself - Winner: Best Suppor
545881	353017	Herself - Accepting the Best 
545881	353197	Aurora
545881	369754	Herself - Presenter: Best Ani
545881	369989	Herself - Co-host
545881	369994	Herself - Presenter: Best Mak
545881	376038	Teresa
545881	376760	Médica
545881	380078	Herself - Host
545881	382950	Herself
545881	387476	Ana Rosales
545881	389109	
545881	390266	Herself
545881	404980	Virginia
545881	405968	Alma
545882	551	
545882	27869	
545882	28953	
545882	42645	
545882	53675	Rita
545882	73976	
545882	75594	
545882	96351	
545882	99059	
545882	108842	
545882	119307	
545882	120706	
545882	132709	
545882	145531	
545882	166544	
545882	199942	
545882	218228	Paca
545882	225032	
545882	228776	
545882	251590	
545882	252681	
545882	257423	Alcaldesa
545882	263849	
545882	309084	
545882	352846	
545882	376667	
545882	412149	
545883	283236	Rumba dancer
545884	409062	Holly-Anna Jones
545885	139145	Tracy
545885	290353	Sharon
545887	116884	Shannon Donnelly/Lawson
545887	389042	Shannon Donnelly/Lawson (Seri
545888	50971	L'amante
545889	100391	Rosemary
545890	13073	
545891	58754	Nurse at saleroom
545891	236505	Martine
545891	355882	Passerby
545892	213344	Danseres
545893	122159	
545894	74230	Villager
545894	237828	Prostitute
545895	383078	Spuggie
545896	331205	Cameo appearance
545896	380182	Hostess
545897	404180	Presenter/Restorer (2002-)
545899	113499	Sally
545900	294566	Suzon, prostitute
545901	234573	La mère
545901	254162	Josiane
545901	301406	Hermeline
545902	396806	La grand-mère
545903	14886	Valentina
545903	15046	Louise
545903	15057	Dream Sequence
545903	15077	Rose-Marie de Boisel
545903	17858	
545903	19344	Jeanne
545903	23831	Lady Chiltern
545903	25764	Elizabeth Broyer
545903	34461	Thérèse
545903	43758	Marie Wileska
545903	45770	Françoise Sampaing, la tante 
545903	51402	La prof de maths
545903	58993	Jacqueline
545903	69343	Brigitte
545903	72055	Marthe
545903	77421	Jacquette de Bourdeille
545903	78272	
545903	84696	Mathilde
545903	86727	Thérèse Rambert
545903	87902	Lisa Gastier
545903	90056	Jeanne
545903	93876	Christine
545903	94330	Marie-Christine
545903	101153	Leubovère
545903	101511	Marie-Josèphe
545903	108210	Marie-Louise en 1930
545903	112277	Julie
545903	132743	Thérèse Cabreyrolle d'Azérac
545903	146405	Rose
545903	161652	Françoise
545903	166160	Constance
545903	166314	Herself
545903	166739	Jenny Marx
545903	168530	Hanna Hansen
545903	170933	Manuela
545903	171596	Dubbing actress
545903	184356	La reine Guenièvre
545903	189598	Maria Wyler
545903	195180	Mme Royer
545903	198558	Jeanne
545903	198602	Françoise
545903	201172	Françoise Cornier
545903	208834	Elisa
545903	209525	Patricia
545903	209943	La mère de Véronique
545903	214891	
545903	217224	Mme Costal
545903	217722	Germaine Bellanger
545903	220219	Eliane
545903	225574	Eva
545903	233496	Suzanne
545903	237917	Ella Beckmann
545903	238490	Hilzonde
545903	238493	Christine
545903	243771	La mort
545903	248158	Hélène Prest
545903	248409	Sylvie
545903	252710	La Reine Guenevievre
545903	255011	La mère de Maria
545903	264525	Dessombes
545903	265981	Elena
545903	284306	Madame Labourdette
545903	285466	Léone
545903	285758	Catherine de Médicis
545903	287493	Nedie
545903	309569	La lune
545903	313583	Isobel
545903	322754	Marie
545903	327888	Françoise
545903	334386	Herself
545903	336844	Miss Jessel
545903	345039	Madame Verdurin
545903	345146	Jeanne
545903	345557	Anne
545903	346559	Marianne
545903	350904	Madeleine
545903	353954	La Duchesse
545903	357391	Lieve
545903	377827	Marie-Laure
545903	377904	Laurence
545903	377976	Herself
545903	377977	Lise
545903	389762	Geneviève Salvagnac
545903	396863	Marie Curie
545903	397856	Martine
545903	399478	Narrator
545903	399756	Jeanne
545903	401319	Marie-Louise Leroux
545903	402588	
545903	410215	Mme de Cheilly
545904	2968	Chantal
545904	124824	Vero
545904	175761	L'entraîneuse brune
545904	198639	L'infirmière - hôpital
545904	200961	Betty
545904	217652	Clementine
545904	251050	Zaira
545904	269073	La secrétaire
545904	345534	
545904	345535	
545906	14942	Octavio's Mother
545906	247174	
545906	263861	Mamá de Bruno
545906	293373	Mama Lulu y Laura
545906	379653	Clara Domínguez
545906	385401	Trabajadora Social
545906	392653	Flora
545906	395885	Soledad Retana
545907	58728	Gate attendant
545908	189369	
545909	38084	
545910	384290	L'épicière
545911	269742	La Vendeuse de parfum
545912	11441	French Girl
545912	104222	Anna
545912	366264	Susan Merril
545913	1020	Charlotte
545913	224942	Selina
545913	354563	Jungle Queen
545914	2252	(segment "Vertige de l'amour"
545915	69877	
545916	17491	
545916	72053	La cuisinière
545916	85693	Mère Gérald
545916	165184	
545916	182949	Old Woman Dealer in Apartment
545916	198550	La paysanne
545916	208227	La laitière
545916	261842	La paysanne
545916	266153	
545916	268400	
545916	282280	
545916	286046	L'aubergine
545916	327549	La concierge
545916	333460	L'habituée du square
545916	341504	L'horlogère
545916	341546	
545916	345389	
545916	373344	Clémence
545916	378070	La patronne du bistrot
545916	384887	
545916	384971	Une cliente
545916	385002	Mme Blangin
545916	395620	La soeur de Rambaud (segment 
545916	401972	La piqueuse de bottines
545916	404281	Miner's Wife
545916	407535	
545916	412246	La femme du concierge
545917	26631	Bijou
545918	26825	Patron
545919	397738	Melissa Wilson Echevarría/Raq
545919	401694	Niní
545919	405835	Beatriz Aguilar
545920	217728	Mujer gorda
545921	73259	
545921	87488	
545921	139394	
545921	173094	
545921	181676	
545921	184647	
545921	200465	
545921	200522	
545921	266593	
545921	302071	
545921	318735	
545921	329461	
545921	334324	
545922	116103	Receptionist
545922	150060	Tomara
545923	173218	
545923	200760	
545923	256098	
545923	296544	
545923	358496	
545924	143666	
545925	402919	Host (????-1999)
545926	62349	
545926	199798	
545926	236756	
545926	243415	
545927	393833	
545928	168958	Une prostituée
545929	349482	Salomé
545930	346438	
545931	283639	Chuck's Wife
545932	152237	La Novillera
545933	4656	(segment "Mundo mágico")
545934	14802	
545935	388756	
545937	18329	Herself
545937	18330	Herself
545937	87920	
545938	250504	
545939	49347	Señorita
545939	156460	Night Club Dancer
545940	70065	
545941	55935	
545941	145204	
545941	149232	
545941	307722	
545942	183948	
545942	245727	Waitress
545943	278743	Gabi
545943	278744	Gaby
545943	278747	
545944	146571	
545944	265155	
545944	379210	Marta
545944	380210	Berta
545944	382691	Tatiana
545944	383774	Yolanda Giordano
545944	392959	Raquel
545944	402686	Jerónima
545944	408722	
545944	412301	
545945	75838	
545945	104846	
545946	278288	Girl
545946	345745	
545947	187795	Bride
545948	354266	Herself - Host
545948	369755	Herself - Co-Host
545948	385035	
545948	398916	Host
545948	409463	La comentarista no lectora (2
545949	251247	Nursery Customer
545950	147988	Consuelo
545951	70065	
545952	122214	Beautiful Girl
545953	258876	Mandy Ellis
545954	29817	Plain princess
545954	202231	
545954	355846	Monja
545954	400660	Isabelita 'la Monja'
545955	9692	Radio DJ
545955	51089	Madre de David
545955	51113	Celandora
545955	65158	
545955	65638	
545955	67212	
545955	121245	Chon Oralio
545955	132470	Flora
545955	174019	
545955	197976	Rita
545955	202162	Mujer marcada
545955	328154	Pilar
545955	381216	Charito
545956	183516	
545957	220805	Janet
545958	70065	
545958	252564	
545959	30408	
545960	307277	Mujer del Enfermo
545961	148523	Waitress
545961	167315	Jezebel
545961	251236	Woman in Prison
545962	14131	Courtney (the Random Cute Gir
545962	93992	Heather
545962	142623	Daphne
545962	148523	4-Year-Old Girl
545962	167315	Young Jezebel
545962	187191	Another Girl
545962	248676	Kelly Billingham
545962	278498	Girl Teen #1
545962	403930	Sally Franklin
545963	307075	
545963	341390	
545964	2520	
545964	9727	
545964	13085	
545964	13127	Extra
545964	14578	Rosa, servant
545964	19383	
545964	19462	
545964	20737	Tacha
545964	21487	
545964	25001	
545964	27987	Primer esposa de Carlos
545964	42662	
545964	52234	
545964	53000	
545964	53576	
545964	55375	
545964	55951	
545964	59786	
545964	64041	
545964	64044	
545964	64047	
545964	68610	
545964	68623	
545964	71298	
545964	74007	
545964	74606	
545964	74845	(segment "La insaciable")
545964	76017	
545964	91285	
545964	96270	
545964	102190	
545964	103162	
545964	103529	Lola Gutiérrez, secretary
545964	103664	Margarita Frías
545964	103870	
545964	104283	
545964	115743	
545964	115751	
545964	125464	
545964	134494	Clotilde
545964	148158	
545964	159432	Nana
545964	167083	
545964	183500	
545964	186544	
545964	202217	
545964	206983	
545964	209231	
545964	209475	(segment "Las Cucarachas")
545964	212057	
545964	212244	
545964	216088	La Gitana
545964	222536	
545964	225390	
545964	225391	
545964	234316	
545964	234355	
545964	238855	
545964	242879	
545964	247418	
545964	251566	
545964	261224	
545964	270067	
545964	273112	Estela
545964	281762	
545964	287695	Flora
545964	287736	
545964	296498	
545964	302306	
545964	317709	
545964	318242	Matilde
545964	332576	Mamá de Sonia
545964	332663	
545964	334680	
545964	339205	
545964	347082	
545964	348934	
545964	351640	
545964	353641	
545964	353977	
545964	357524	
545964	357910	
545964	371728	
545964	376634	
545964	376645	Carolina
545964	376648	
545964	376662	Amiga de la novia
545964	376723	
545964	376752	Gracia, drugstore woman
545964	377106	
545964	384630	
545964	387088	
545965	157008	
545966	66164	Tiffany
545967	366761	Lenox School Band
545968	10146	Alceste's Children
545968	101156	Louise
545968	115356	Clara Dubreuil
545968	170452	Maryse enfant
545968	201115	Mariane
545968	345251	Marina à 8 ans
545968	346507	Juliette
545968	388313	Charlotte (2001-????)
545969	249728	
545969	376956	
545970	30549	Madame Lancon
545970	30550	Mme Lançon
545970	32035	Woman in Theatre
545970	112880	
545970	161424	Édith
545970	217654	La femme de la campagne
545970	235875	Yvonne, la femme du jardinier
545970	324526	Louise
545970	357490	Mère de Cécile
545970	398042	
545970	404804	Mme Grévy
545971	45899	Extra: park
545972	14792	Mother
545972	16000	
545972	23623	
545972	55078	
545972	148479	
545972	276060	Nadine Verne
545973	106115	Carmen
545973	176410	Flight attendant
545973	336026	Jose's Fiancee
545973	367581	Woman Reporter
545973	380000	Young Berta
545974	70491	
545974	99677	
545974	166376	
545974	198838	
545974	233841	
545975	142866	
545976	197991	Little Girl
545977	143684	
545977	383032	
545977	401358	Graciela
545977	403006	Herself
545978	197991	Little Girl
545979	386419	Dalita
545980	197991	Little Girl
545981	51736	
545981	159006	
545982	373428	
545983	33152	
545983	70615	
545983	136920	
545983	275024	
545983	296458	
545983	404283	
545984	33283	Donna (child)
545984	269164	Bambina
545985	269544	
545986	53574	
545987	146702	
545988	387902	Priscila Lima
545989	160610	ballet
545990	148472	
545991	324855	
545993	169765	
545994	320415	
545995	82596	The Gamine
545995	219190	Karen
545996	46270	Lisa (Tony's Girlfriend)
545996	70498	Sarah
545996	99931	
545996	126649	Reporter
545996	158818	Boxing student
545996	215829	
545996	308779	Shelly Peterson
545996	380391	Mary Frances 'Frankie' Ordway
545997	142238	Chloe
545997	403509	Kerry
545998	302283	Sim
545998	324049	Sally
545998	361604	Camille Wallace
545998	372873	
545998	385177	Wendy Greenham
545999	10670	Mrs. Keyes
545999	51990	Amy
545999	151154	Amy
545999	152607	Amy
546000	71866	
546000	232118	
546001	232119	
546002	116497	Bunny
546003	115256	Chorus Girl
546004	235676	File Clerk
546005	193409	Reporter #1
546006	26271	
546007	291295	Liz
546008	95365	Katie
546008	191630	Maggie
546008	193000	P.E. Girl
546009	196479	Sandy's Mother
546011	363486	Vogue woman
546012	58475	Pilot
546012	58486	Harriet Owens
546012	83915	Kathy, Nugget's niece
546012	133673	
546012	138909	Miss Dolly Travers
546012	185710	Lola
546012	190051	Madge Neilan
546012	232192	Julie Bauer
546012	239620	Betty Ames
546012	279864	Alice
546012	283868	Carol Reynolds
546012	295393	Gilda
546012	315721	Nurse
546012	323013	Lola
546012	363854	Cashier
546012	372183	Fran
546013	82886	Barbara
546014	187908	Woman in Bikini
546015	20103	
546015	36985	Secretary
546015	41930	Showgirl
546015	72598	
546015	93101	Dancer/Showgirl
546015	183443	Photographer
546015	213820	Waitress
546015	237618	Brady's London Secretary
546015	253126	Girl
546015	267060	Buckety Sue
546015	363464	Model in Window
546015	367073	Manicurist in Emerald City
546016	12751	Mrs. Cavanaugh
546016	126513	Miss Roberts
546016	127196	Ellen Roberts
546016	129095	Agatha Waverly
546016	147527	Mrs. Corvier
546016	154695	Mrs. Rand, Wesley's Mother
546016	157783	Mrs. Lenaine
546016	165444	Mrs. Fairfax
546016	175835	Aunt Polly Bannon
546016	183374	Louisa Creed
546016	183638	Katherine Alderson
546016	183663	Ruth Phillips
546016	217426	Julia
546016	283940	Mrs. Burnside
546016	308576	Croisine Bouhouhorts
546016	316314	Ivy Miller
546016	320806	Elsa
546016	329616	Abigail
546016	372121	Lucille
546017	85186	Katie McRae
546017	143650	
546017	203626	Young Mother
546018	323568	Diane's Assistant
546020	223769	Nicola
546021	232250	Minsky's Girl
546022	114943	
546023	87591	Dee
546023	243268	Oonagh
546024	295048	Jennifer Tracy
546025	46545	Cheryl
546026	366930	Undetermined Role
546027	328272	Young Blonde
546027	334214	Woman
546028	1898	Claire
546028	20957	Tiffany
546028	46878	Rebecca
546028	53133	Heather Wallace (segment "The
546028	152572	Steena Paulsson
546028	156961	
546028	183323	Linda Morrison
546028	221102	Heloise
546028	273431	Herself/London
546028	293123	
546028	348608	Lisa
546028	384336	Dori Baines
546028	385517	Finley Scott
546028	402993	Herself/London (1995)
546028	411213	Kate Poole (1998)
546029	264439	Dr. Po
546029	367083	Running Girl
546030	66123	Sissy
546030	151062	Janet
546031	43455	Mary Sewell
546031	54640	Caroline Harley
546031	59117	Betty Gallen
546031	64712	Bit Part
546031	67243	Alice Graham
546031	80954	Victoria
546031	104568	Alicia Dunne
546031	111878	
546031	281801	
546031	321687	Lady Margaret
546031	333245	Sally
546031	361611	
546032	154756	Secretary
546032	203130	Cashier
546032	205739	
546032	221124	Witness
546032	271855	Dancer
546032	278607	Woman
546032	329329	A Lucky Star (The Lucky Star 
546033	300180	Change Girl
546034	287215	Bimbo Model
546035	403273	Lil Dawkins
546036	166997	
546037	20474	Ella
546037	32992	Jane Arledge
546037	36873	Sarah Ellen
546037	37162	
546037	63992	Donna Cravat
546037	95832	Good Mixer
546037	112560	
546037	116217	Helen Brooks
546037	131583	Ina
546037	132473	Dixie Del Marr
546037	133848	Marie Clark
546037	140939	
546037	147722	
546037	154952	Lola Pike
546037	156464	Marie Arden
546037	188285	Rita Johnson
546037	206352	
546037	253525	Blase Blonde
546037	279441	Gloria Wycott
546037	280869	
546037	289395	Janet
546037	304092	
546037	306833	June
546037	327193	Gwen Lawson
546037	331060	Colleen Riley
546037	331123	Mirabel Allstairs
546037	356230	Model
546037	367905	Peggy Athens
546037	371104	Ruth Foster
546038	178931	Musician Trio
546039	92613	Sarah
546039	114165	Felicia
546040	37700	Cindy
546041	174918	KEl
546042	49547	Secretary
546042	98177	Mrs. Bayne
546042	360307	Frances Wingate
546043	114898	
546044	277948	Dora
546044	385013	Prosecutor
546045	310180	Pedestrian
546046	207990	Costume Designer
546047	2074	Louise Blake
546047	141183	Mrs. Kelly
546047	252925	Met Woman #1
546047	341942	Miss Jessel
546047	368952	Constance Willis
546047	379716	Bitsy Davidson #1 (1987)
546047	387309	Molly Sherwood #2 (1980-1981)
546047	396117	Edith Cushing #2 (1977-1978)
546048	299463	
546049	159754	Girl
546050	2418	Patty Pestilence
546050	80390	
546050	80429	Hospital Receptionist
546051	215607	Debbie
546052	236657	
546053	208398	Princess Etain's Dining Hall 
546054	32118	Elder Hamilton girl
546054	215748	Adele
546055	21554	Joyce Goodwin
546055	39760	Luisa
546055	48540	
546055	71694	Miss Wynn
546055	89964	Mrs. Schnaible
546055	125606	Primus Dominic
546055	135513	Mrs. Fred V.
546055	187907	Number One
546055	195652	Alice
546055	203198	Miss Forsythe
546055	206486	NASA Chief Suzanne O'Dell
546055	217602	Mrs. Withers
546055	257269	Yuloff
546055	269713	Dr. Bradley
546055	269763	Teresa
546055	310682	Lilith
546055	313393	Herself
546055	313394	Memory Alpha Computer
546055	313396	Dr. Christine Chapel
546055	313409	Computer
546055	313413	Federation Computer Voice
546055	313416	Computer Voice
546055	313419	Enterprise Computer
546055	313420	Enterprise Computer
546055	313421	Enterprise computer
546055	313425	Enterprise computer
546055	313428	Computer Voice
546055	313438	Number One
546055	313441	Dr. Christine Chapel
546055	313442	Enterprise Computer
546055	313443	Computer Voice
546055	313445	Federation Computer
546055	313446	Federation Computer
546055	313447	USS Enterprise NCC-1701-D com
546055	313450	Federation computer Voice
546055	318462	
546055	321783	Anne
546055	328211	Henrietta
546055	337308	Georgia Clark
546055	338981	Herself
546055	361848	Miss Carrie
546055	365740	Opening 'advertising' scenes:
546055	387237	Dr. Julianne Belman (1997-199
546055	389858	Bea (1983)
546055	395519	
546055	404642	
546055	406405	Nurse Christine Chapel
546055	406406	Nurse Christine Chapel/Lt. M'
546056	138377	MayJune Jones
546057	363948	Sign Language Interpreter
546058	121374	Veronica
546059	112745	Woman prisoner
546059	368952	Miss Daily
546060	270794	Beth, His Sister
546060	286380	Young woman
546061	205739	
546061	271855	Dancer
546062	33408	Rebecca
546062	150895	Carolyn Stoddard
546062	232027	Clair Jenkins
546062	379224	
546062	385719	Carolyn Collins Stoddard Hawk
546062	386603	Kathy Ryker #2 (1971-1972)
546062	400236	Rachel Wilson Farmer (1974)/A
546062	404002	Dr. Faith Coleridge #2 (1976)
546063	403244	
546064	92115	Kali
546065	298127	Bob's Secretary
546065	333340	Sheila
546067	24299	Secretary
546067	32088	Sandra's Mother
546067	32519	Secretary
546067	41746	Lori
546067	113286	Blonde Motel Clerk
546067	113287	Blonde Motel Clerk
546067	176480	Secretary
546067	195365	Susan Sweedburg-Kohli
546067	214037	Reporter #2
546067	245710	Lexicorp Reporter
546067	316961	Odette's Mother
546067	384894	CBC reporter
546067	393228	Woman in Garden
546068	28473	Woman in Cafe
546068	40185	Karen Novak
546068	238959	
546068	314738	'B' Girl
546068	363540	Nurse
546069	246923	Stripper
546070	88568	
546070	141040	Herself
546070	161325	Herself
546070	169680	Herself
546070	212716	Herself
546070	254917	Herself
546070	296206	Herself
546070	302835	Herself
546070	310612	
546070	368822	Herself
546070	385749	Correspondent, Hostess
546070	390334	Herself
546070	407774	Regular
546070	408479	Co-Host (1980-1981)
546071	333075	Mrs. Nosey
546072	7421	Kealidh
546072	392802	Monica Lewinsky
546073	243268	Breda Lynch
546074	197715	Lelia
546074	371579	Kai
546075	68470	Barb
546075	303092	Red Headed Girl
546076	342914	Dodo
546077	131559	Lucy
546078	318775	Mary
546079	364459	Mrs. Storey
546080	143532	Phaedra
546081	35597	Mary Rose Carr
546082	19282	Singer
546084	388860	Parade Model
546085	50502	
546085	208454	
546085	239876	
546085	239885	
546086	47223	Presenter
546086	133952	Herself
546086	163623	Herself
546086	228301	Herself
546086	249555	Herself/Performer
546086	257309	
546086	260291	Performer
546086	273900	Herself
546086	284447	Tina
546086	284448	Tina
546086	284449	Tina
546086	284450	
546086	284451	S Club 7
546086	284452	Tina
546086	284453	
546086	284454	
546086	284456	Tina
546086	305490	Herself ('S Club')
546086	342189	Herself
546086	384084	Herself/S Club 7 (1999-2001)
546086	395019	Tina
546086	397615	Tina
546086	404032	Tina
546086	410298	Tina
546087	117626	Sharron
546087	182952	Miss Felton
546087	268191	Merleen
546088	154264	Glynis/Witch/Manya
546090	13643	Lakella
546090	150080	Victoria Stevenson
546090	150297	Jill
546090	245625	Paddleball Player #1
546090	283784	Viktoria
546090	331426	Terry O'Shea
546091	270840	
546092	363486	Vogue woman
546093	301398	Ann Coyne
546094	26586	
546095	26583	Mme Gagnon
546095	43629	Voisine
546095	169652	La mère de Joseph
546095	378858	Dorothée Bérubé
546095	404364	Monique Dubois
546095	409677	(1996)
546096	2684	
546097	13742	Alison
546097	192072	Kiersten
546097	230947	Girl
546097	379716	Emily Ann Sago Martin #3 (198
546097	390979	Kristy Ford (1997-2000)
546098	15412	Carla
546098	52734	(Episode 1)
546098	76812	Mela
546098	89764	
546098	114903	Karina
546098	132207	Antonia 'Toni' Villacosta
546098	148208	Bing Kosme
546098	148209	Bing Ksme
546098	172309	Lena Duran
546098	183900	Pops Fernandez
546098	199779	Rachel
546098	204107	Jenny
546098	208547	
546098	208548	
546098	213786	Jenny
546098	222110	Olivia Pereira
546098	242406	Marian
546098	248851	
546098	270664	
546098	307719	Lisa
546098	379023	
546098	383054	Meg
546098	391867	Bing
546098	396887	Marina/Cristina
546098	398494	Olivia Pereira
546098	404049	Angelina/Angeline Montenegro 
546098	404051	Rosario, Rosenda, Rosemarie
546099	9463	
546099	145547	
546099	154442	
546099	156183	
546099	168747	
546099	172308	Anna
546099	190059	
546099	213531	
546099	327818	
546099	404049	Andrea Crisostomo/Sabrina
546100	270879	Maria
546101	53203	
546101	301483	
546101	392569	
546102	1356	Victim
546102	65464	Mary
546102	201605	Herself
546102	273473	V.J.
546102	301222	Marie Evans
546102	326245	Christine
546102	389858	Trixie (1998-present)
546103	43656	
546104	278082	Sophia
546105	326129	Mère Noèl
546106	273565	Mother
546107	37683	Cyndi
546108	27247	Bev Tull
546108	31555	Herself
546108	48917	
546108	55684	Anthea
546108	55690	Cleopatra
546108	88882	Rona
546108	96713	
546108	155029	Jo
546108	180372	Rosemary
546108	189993	Herself
546108	213317	Hermia
546108	213621	Herself
546108	228312	Herself
546108	241628	Mrs. B.J. Spence
546108	242712	ATS Girl
546108	246769	Exotic dancer (snake)
546108	252848	
546108	323786	
546108	360247	Herself
546108	362472	Cleopatra
546108	367854	Alma Sedgewick/Baldwin
546108	381121	Bev Tull (Series 5-) (2003-)
546108	382982	Sandra Prentiss
546108	385020	Alma Sedgewick/Baldwin/Halliw
546108	386836	Hostess
546108	391319	Herself (Series 1) (2004)
546108	395015	Sally Small
546108	400296	
546108	403153	Geraldine Woods
546108	408267	Joan Archer
546109	223036	
546109	239739	Duchess
546109	356895	Preston
546110	31	Mrs. Walsh
546110	2201	Barbara Trainer
546110	7946	
546110	29964	Mrs. Banks
546110	33426	Jay Cee
546110	46367	Evelyn Stoller
546110	54995	Edna
546110	57671	Herself
546110	58946	Ruth Pulmer
546110	61703	Hanna
546110	100843	Jean Haney
546110	105711	Sophie Langbein
546110	109931	Ruth
546110	117265	Charlotte
546110	127394	Mary Lou Decker
546110	135394	Delores
546110	143526	Alcmene; Hercules' Foster Mot
546110	143543	Alcmene
546110	169991	Sue Berlin
546110	179421	
546110	223931	Ruth Waxman
546110	224342	Shirley
546110	235449	Martha Dawson
546110	238230	Gloria Unger
546110	241698	Julie Cullen Richards
546110	243568	Herself (Sarah)
546110	264581	Harriet Benjamin
546110	273344	Mom Pirandello
546110	292122	Dorothea
546110	318761	Mrs. Bergen
546110	327233	Emily McPhail
546110	334114	
546110	334278	Mrs. Krents
546110	343044	Dottie Minor
546110	355669	Frances
546110	362479	Libby Hoffstetter
546110	366271	Mrs. Drake
546110	368305	Schoolteacher
546110	381110	Mamie Eisenhower
546110	381316	Elizabeth Miller (1975-1976)
546110	382716	Evelyn Stohler
546110	386278	Norma Brodnik
546110	386831	Aunt Margot
546110	391069	Kaati Fludjicki
546110	392461	
546110	396088	Ginny Crandall (1960)
546110	403111	Elizabeth Potter
546110	403730	Dodie Brattle
546110	404409	Pauline Robillard
546110	406854	Helen 'Nana' Miller
546110	409021	Ellen Hobbes
546111	16977	
546112	231386	Mrs. Del Whacko, Owner Casa D
546113	292228	News Reporter
546113	293267	Reporter
546113	380540	Alison
546114	56579	
546114	147413	
546114	147716	Herself
546114	151684	
546114	151691	
546114	213070	Simone
546116	280279	Bridesmaid
546117	403968	Liz (1976)
546118	17031	1st Teenage Girl
546118	109483	
546118	306414	Irene
546119	381451	Newsreader
546120	39517	Rose Maitland
546120	105568	Barbara Lacey
546120	144582	Nora Lane
546120	185275	Rose Maitland
546120	249575	Leeda Cather
546121	245042	Isabelle Benallack
546121	363469	Woman in Bus Shelter
546121	384483	Sally
546121	400516	Barrister
546122	330158	Pauline
546123	19798	Proprietress
546123	65532	Chip Lady
546123	65825	Freida
546123	184536	Mrs. Padmore
546123	186404	Mrs. Marsh (Tim's Mother)
546123	198977	Olive Bugdale
546123	309820	Passeggera aeroporto
546123	316150	Joe Meek's Mother
546123	372105	Mrs. Swanson
546123	384092	Miss Clegg
546123	389011	Brenda
546123	396428	Narrator
546124	47028	Molly, giggly girl in beach c
546124	250411	Lina Veit
546125	54934	
546126	112032	Singer
546127	11323	Margaret Scrope
546127	52062	Mrs. Morrison
546127	55519	Virginia Buchanan
546127	59610	Lady Mary Bristol
546127	79685	Sadie Rand
546127	85036	Louise Mitchell
546127	99396	Nurse Marion Tracy
546127	114280	Cassie Mayhew
546127	143609	Evelyn Howard
546127	154117	Dora Hilton
546127	154487	Helen Anders
546127	154652	Sandra Mayberry
546127	154874	Anne Barry
546127	171081	Harriet Travers
546127	177364	Rosalind Cleve
546127	183380	Rita Witherspoon
546127	183679	Woman
546127	183848	Mrs. Hilda Brooks
546127	195968	Baroness Hilda Spandermann
546127	196294	Lisa Blake
546127	196298	Deedee Dore
546127	210404	Sylvia Turina
546127	210718	Miss Beatrice 'Bea' Harris
546127	211780	Spanish Spy
546127	220318	Evelyn Wayne
546127	222568	Clair Turk
546127	223846	Dr. Antonia (Toni) Cordell
546127	224817	Margaret Benoit
546127	230344	The Producer's Wife/Mrs. Pang
546127	241283	Jane Merrick
546127	241595	Lally
546127	258291	Tourist
546127	279396	Millie Rankin
546127	281379	Mrs. Gordon Lane, Gerry's Mom
546127	289236	Lady Westover
546127	292568	Linda Vail
546127	304367	Charlette Gorell
546127	304766	Ada Robillard
546127	308113	Stephanie 'Steffie' Hajos
546127	315530	Evelyn
546127	315531	Theresa
546127	316046	Eileen Crispin
546127	316085	Diana
546127	318078	Wanda Paris
546127	321898	Lillian
546127	334586	Martha Courtney
546127	337468	Alta Wilton
546127	348080	Madeline Chamberlain
546127	362670	Cordova
546127	362894	Mabel Guiness
546127	364204	Eve Benedict
546128	65370	Lucy
546128	167565	Lady in Church
546128	360500	
546128	387332	Queen Mary's Lady in Waiting
546129	218736	Ariadne
546130	239932	Ist Party Girl
546131	2875	Nude woman
546132	196503	Jaffe's Wife
546133	5904	Joyce
546133	30486	Phyllis Grey
546133	36839	Sue
546133	46580	Floria
546133	52581	Iris Banner
546133	56267	Lilian Gilbert
546133	67157	Julie Fresnel
546133	67194	Joyce
546133	73789	Diane North, aka Maggie 'Jone
546133	79293	Helen Reed
546133	79949	Kitty
546133	80439	Kay Burton
546133	106652	Betty Standing
546133	110363	Pauline Anders
546133	114595	Alice Melbourne
546133	116497	Anne Merriday
546133	117647	Edith Trimble-Pomfret
546133	119577	Phyllis Harcourt
546133	124720	Helen Reed, Maxine's Secretar
546133	128522	Mary Morton
546133	129070	Karen Svenson
546133	150745	Beryl Stapleton
546133	151080	Angela
546133	154046	Frankie Ballou
546133	163347	Herself
546133	163422	Mary Bogle
546133	163476	Jane Dale
546133	195950	Paula Gilbert
546133	203135	Marion Round
546133	210705	Kay Mercedes, aka Kay Green
546133	214187	Marion Keller
546133	222589	Angela
546133	231066	Gwen Dutton
546133	246227	Nurse Ann Grayson
546133	263083	Valerie Wilson
546133	264733	Jane Seymour
546133	266694	Bonnie Parker
546133	275859	Emily Bladwin
546133	285713	Elna Johnson
546133	285740	Val Travers
546133	285741	Ruth Summers
546133	310724	Jane Mitchell, an alias if Ja
546133	317821	Ann Patterson
546133	329949	Madeleine Sarteaux
546133	331224	Olive Wynn
546133	332420	Jane
546133	346201	Cynthia Drexel
546133	360719	Lady Mary Rose
546133	362378	Polly Moore
546133	363334	Lucie Kleiiner
546133	364204	Sally Ambler
546133	366205	Lauralee Curtis
546133	366966	Molly Bannister
546133	367001	Joan Marplay
546133	367833	Pamela Starr
546133	379320	Hostess
546133	401425	Herself
546133	406438	Host (1952)
546133	410811	Hostess
546134	220637	
546134	305036	Dancer
546134	318716	Shepardess
546134	372671	Dancer
546135	221174	
546135	244928	Woman in Balcony/Ensemble
546135	321179	Nan Klein
546136	39779	Cindy
546136	61756	
546136	138348	Party woman
546136	297246	Molly
546136	300913	Lydia
546136	316716	Hispanic prostitute
546136	336033	Maria
546136	346006	Teresa
546136	380391	Pilara Sanchez (1988-1989)
546137	387177	Comentarista (2004-)
546138	44884	Lucy Grant
546138	92831	Mme. Curzon
546138	108399	Mrs. Willy
546138	129762	Nell
546138	197765	Jet
546138	265591	Madame President
546138	304637	Mandane (Cyrus' real mother)
546138	350521	Mrs. Colfax
546139	38170	Sonia
546140	355120	Beggar
546141	101967	Isabel
546142	334706	Rita
546143	366397	Liz
546144	182865	Annemarie
546145	68073	Barb
546146	247992	
546146	305232	
546146	305233	Bobbi
546146	326735	
546147	56150	Bobbie Barton
546148	286334	Girl in canteen
546149	11022	Mrs. Alfonsín
546149	103284	Zena Sheardown
546149	194708	Ellie
546149	335859	Yolanda
546149	399034	Lady Dufferin
546149	399153	Belinda Reade
546149	399153	Daphne O'Neill
546150	128532	
546151	93255	Mrs. Munchkin
546151	150792	Little Critter
546151	154472	Herself
546151	346142	Hotel Rainbow Guest
546152	24776	Secretary
546153	71617	
546153	236107	Mrs. Henderson
546153	401026	Mrs. Patterson
546154	114843	Nancy
546155	26659	
546155	34758	
546155	36743	
546155	37949	Herself
546155	38399	
546155	50558	
546155	61995	Lily Chang
546155	75191	
546155	75192	
546155	81747	
546155	84453	
546155	85800	
546155	91901	
546155	92615	
546155	98842	Orgy member (extra)
546155	98846	Dragon Lady
546155	98847	Salon customer
546155	98868	Geisha
546155	102809	Herself
546155	113804	
546155	115089	
546155	128826	
546155	150147	
546155	150709	
546155	154305	
546155	178117	
546155	188183	
546155	194397	
546155	243522	
546155	243524	Pregnant Woman in Waiting Roo
546155	245473	
546155	245475	
546155	258053	
546155	261527	
546155	271828	The maid
546155	273528	
546155	291286	
546155	295823	
546155	296294	
546155	304700	
546155	313224	
546155	313231	
546155	317862	
546155	319363	
546155	319946	
546155	321584	
546155	323163	
546155	323595	Stewardess
546155	325256	
546155	326099	
546155	326501	
546155	344499	Herself
546155	347733	
546155	361597	
546155	367917	
546155	372664	
546156	410726	Melissa Barrington
546157	8465	Barbara/'Brandy'/Barton's wif
546157	11550	Cindy
546157	128528	
546157	204785	Cathy
546157	217912	Herself
546157	243479	Shirley/Gold Girl
546157	266554	Belly Dancer
546157	297456	
546157	303289	
546158	93641	Bonnie McNary
546158	135845	Mrs. Parker in Photo
546158	186353	Joan
546158	222671	Lois Brandon
546158	257884	
546158	270480	Marian Martin
546158	273811	Mary Jones
546158	289636	
546158	302831	Ruth Frazer
546158	318102	Clare Walton
546158	327743	Ann Slade
546158	346052	Jane Lawrence
546159	77664	
546159	192779	Married Woman
546159	230991	Blanche
546160	1747	Herself (National Anthem Sing
546160	2626	Herself
546160	380012	2004 Winner
546161	28277	
546161	51099	
546161	379093	
546161	383250	
546161	385252	Lucrecia
546161	396163	
546161	401697	
546161	401905	
546161	404800	
546162	10499	
546163	125764	
546163	249872	Charo
546164	12083	
546165	12661	
546166	293362	Bsltasara
546167	97376	
546168	390446	Herself
546169	204266	
546169	338966	
546170	285071	
546171	12917	
546171	14652	
546171	74153	
546171	96321	Conchita
546171	114864	Sister Paula
546171	117333	
546171	121248	
546171	147375	
546171	149550	
546171	293325	
546171	378432	Blanquita Peña
546172	349953	
546173	269185	Fabiola
546174	313049	Ganas kid
546175	273783	Female Reporter Re: Fire
546176	397011	
546176	403753	
546177	253304	
546178	400952	Cristina (2002)
546179	192983	
546180	131258	Herself
546180	390306	Herself/substitute assistant
546181	80385	Ona Falafel
546181	149307	Hooker
546181	159947	Succubus
546181	291292	
546182	217745	Art History Student
546183	318781	Van Girl
546184	69392	Sheila Drachman
546185	126589	Secretary
546186	5059	Mother
546186	11381	Norma Brisbane
546186	31426	Barbara 'Bawbs' Colby
546186	32399	Marquita Shay
546186	33692	
546186	33739	Mrs. Walkins
546186	40775	Peggy Muldoon
546186	44553	Nora
546186	46394	Ruth Marshall
546186	47479	Aurora Lane
546186	49355	Countess Olga
546186	56441	Pansy May
546186	70805	Shamrock
546186	75276	Helen Fiske
546186	85102	Isabella Zanden
546186	98218	
546186	130741	Lillian Hillary
546186	134099	Margery Allison
546186	139979	Janice Salsbury
546186	141291	Rachael
546186	141480	Nancy
546186	143359	Sheka
546186	148180	Bessie Wheaton
546186	149187	Winnie Mallory
546186	169228	Ellen Latimer Josselyn
546186	178352	Dr. Kitty Kelly
546186	185051	Ethel Duprey
546186	190307	Muriel Chester/Tina Pierce
546186	196857	Geraldine Laird
546186	199278	Jeanne Beaufort
546186	200870	Ariel
546186	201859	Agnes Elliston
546186	203567	Louise, the Maid
546186	207869	Doris Willard
546186	235461	Grace Tyler
546186	235699	Mary Ware
546186	246725	Irene Brock
546186	250763	Robin Cameron
546186	251281	Phyllis Page
546186	257187	Jane, 'The Orphint'
546186	273232	Grace Tyler
546186	277335	Jane Wallace
546186	281844	Virginia Singleton
546186	281866	Juanita
546186	292782	Susan Carlton as an Adult
546186	300076	Kitty
546186	306019	Helen Dean/Marion Dean
546186	309273	Beatrice
546186	324416	Margaret Wayne
546186	331135	Dorothy Warner
546186	339564	Anna Gerard/Mary Lee
546186	343264	Betty Craig
546186	363888	Dorothy Kingsley
546186	366885	Thisbe Lorraine
546186	367542	Mira Sacky
546186	367658	Madge Graham
546186	368128	Pampy
546187	47945	Tina
546187	67587	Waitress
546187	232004	Ticket Clerk
546188	111143	Copine Delphine
546189	100539	Herself
546191	254094	A customer at the beauty parl
546192	70209	
546192	77752	
546192	86342	
546192	91408	
546192	99788	
546192	103743	
546192	106306	
546192	106951	
546192	109326	
546192	197446	
546192	205703	
546192	212400	
546192	212469	
546192	213534	
546192	221557	
546192	221563	
546192	221580	
546192	221994	
546192	222039	Clara
546192	233942	
546192	235989	
546192	248227	
546192	249869	
546192	258487	
546192	270612	
546192	343722	
546192	351463	
546192	357518	
546192	371685	
546192	371727	
546193	1986	
546193	23070	
546193	55942	
546193	221987	Carolina
546193	245948	
546193	252065	
546193	300755	
546194	13953	Reporter
546195	290896	
546196	71835	
546197	243002	
546197	301997	
546198	33892	La deuxième patronne du bistr
546198	58744	Marguerite's mother
546198	132597	Concierge
546198	268826	
546198	309569	Dona Honoria
546198	332219	
546199	381430	Mme Ruppert
546200	62548	Nan Higgins
546200	78991	Victim Services Worker
546200	158791	First Woman
546200	314163	Nancy Sinatra, Sr.
546201	35519	Julie
546201	41231	Sis Flowers
546201	43919	Sparta
546201	110242	South Carolina Victim
546201	127491	Kim
546201	140162	Katie
546201	203669	Libby
546201	231507	Girl swimmer
546201	232072	Helen
546201	232457	Girl on Bus
546201	244444	Young Jessica
546201	250737	CIA Analyst
546202	76233	Herself
546203	208054	
546203	232164	Elvira Newton
546203	235460	Parent
546204	11121	Mrs. Barkley
546204	13941	Autograph Hound
546204	147972	Sunbather #1
546205	388861	Aunt Mildred
546206	6029	Herself - Huberty's Former Ne
546207	26118	
546207	250560	
546208	65990	Clerk
546211	63135	Audrey Griswold
546211	64871	Gena
546211	81318	Erica Sheldon
546211	95150	Laura
546211	140798	Diane
546211	141400	Beth Devereux
546211	158326	
546211	164996	Sue
546211	168973	Laurie Moore
546211	200181	
546211	200182	Maggie
546211	203179	Louise de la Vallière
546211	207139	Louise de la Vallie
546211	208873	Marta
546211	233771	Megan Wells
546211	252929	Fawn Lewis
546211	268221	Kristin
546211	281455	Junky Applicant'
546211	312847	Renee Bloomer
546211	340546	Tiny
546211	349550	Audrey Griswold
546211	360647	2nd Girl On Street
546211	381811	Nikki Witt (1992)
546211	396467	Casey
546211	400236	Michelle Boudin (1984-1985)
546212	35671	Jen
546212	118201	Reporter
546212	185624	Stunning Brunette
546213	56996	Session singer
546214	127522	
546215	3973	Birdseye Fan
546216	270914	Donna
546217	245992	Donna
546217	405248	Herself
546218	157324	St. Jude Student
546219	58002	Beach Girl
546220	173318	Waitress
546221	61690	Sister
546221	394283	The Vicar's Wife
546222	409939	Molotov Cocktease
546223	227032	Mrs. Johnson
546224	230127	Nude on Coffin
546225	230934	Wedding Guest
546226	307883	
546227	320797	
546228	350621	Herself (Curator, Los Angeles
546229	55253	Carolyn
546229	203319	Buffalo Billiards Cocktail Wa
546230	405248	Herself
546231	304443	Coke Heist Accomplist
546232	149226	Laurie Norman
546232	194246	Carly's Friend
546233	68404	
546234	96382	Myrna
546234	143911	
546234	231569	María
546234	292192	Louisa
546234	391359	
546234	408848	
546234	412190	Simona Ramirez
546235	380842	Olga Bocker
546235	384400	Adriana Pineda/Ángela Pineda 
546235	384864	
546235	392290	Rocío Medina
546235	395885	Beatriz Sandoval
546235	396852	Mariana Montenegro/Elisa de M
546235	397009	Valeria Montaño de Sanz
546235	399084	Angelita
546235	401918	Thelma
546236	352855	Dona Madalena
546237	311781	Model
546237	353500	Herself (Model)
546238	396610	Lavínia (1996)
546238	411585	Noviça
546239	30515	
546240	351489	
546241	28025	
546241	55997	
546241	111994	
546241	379210	Delfina
546241	380096	
546241	391611	
546241	392959	
546241	404707	Señora Ovalle
546241	409283	Tuca Chica
546242	94613	Patty
546242	184714	Hôtesse
546242	381549	Horribelle
546243	130558	
546243	165737	
546243	234045	
546244	68609	Paciente da clínica de aborto
546245	157077	
546246	30515	
546247	15995	Pilar
546247	55078	
546247	57453	Indaiá
546247	73527	
546247	98759	
546247	103791	kidnapper
546247	104850	Eva, the savage girl
546247	113446	
546247	146704	
546247	148479	Marialva
546247	258134	Lara
546247	263268	
546247	269486	Zelda
546247	284898	dancer
546247	291687	
546247	344762	
546247	353096	
546247	357961	Lola
546247	387929	Escrava
546247	397873	
546247	409424	
546248	114873	Dancer: Grupo de Baile Marche
546249	234005	
546250	376587	
546252	369982	(group 'Paquitas')
546253	39711	
546254	274486	
546255	369982	(group 'Paquitas')
546256	84156	
546256	89971	
546256	225110	
546257	384804	Herself - Designer
546258	403329	
546259	104497	
546260	5740	
546261	124786	
546262	64429	
546262	68609	Mulher do Corcovado
546262	396610	Mariana (2002)
546262	402626	Angela
546262	408944	Inês
546263	189113	Chica Tienda
546263	229794	Eli
546264	68578	
546265	251554	
546266	82989	
546267	383294	
546267	386727	
546267	409025	Arlete
546267	409428	Laura
546269	377617	
546270	377617	
546271	381222	Cláudia
546272	300096	Angela
546272	321917	Executive Bar Patron - Rap Co
546272	328272	Passenger
546272	360684	Wedding Guest
546273	115000	Andrea
546274	234635	
546275	396852	Cándida Chávez
546276	345072	Ines
546277	55343	
546277	72551	
546277	83520	
546277	84165	
546277	222148	
546277	263415	
546277	377281	
546277	377608	
546277	393794	Herself
546278	136967	
546278	171493	
546279	13061	
546280	252748	
546281	68255	
546282	224991	
546283	55925	Filo
546283	111563	
546283	146572	
546283	149205	
546283	177054	
546283	191581	
546283	249890	
546283	332644	
546283	337869	María
546283	377196	
546284	384137	Estela
546284	404077	Madona
546284	404834	Bianca
546285	14689	Madre Superiora, tia de Teres
546285	19474	
546285	34056	Genoveva, the house-keeper
546285	221609	Júlia
546285	309569	La voix des saints
546286	103851	
546287	8564	Actriz casting
546287	196736	
546288	9734	Martina
546288	196736	
546288	210592	Madre Bautizo
546289	205163	
546290	71160	Bailarinas (Dancers)
546291	376864	Chari
546292	103845	
546293	221863	
546294	78102	Wendy
546295	377749	Gilberte
546296	56048	Cherry White
546297	315311	
546298	19270	Broadcast Host #1
546299	1422	Woman Supervisor
546299	51514	Lizzie Ann Occleshaw, his wif
546299	73918	Mrs. Wilson, Diana's Mother
546299	80954	Mrs. Jordan
546299	232070	Mrs. Hobart (deleted from US 
546299	235516	Lady Maud Catesby
546299	340519	Bishop's wife
546300	278909	Judy
546301	63835	Rosie Burdock
546302	169512	Elizabeth
546303	305008	Woodridge's Secretary
546304	15879	Janet
546305	74311	
546306	58511	Dancer
546306	158226	Extra
546307	6259	Marcy Brennan
546307	6994	Sorority Girl
546307	100820	Arlene
546307	110189	Fanny
546307	120122	Maddy
546307	134741	Menstruating Girl
546307	224149	Stacey Pubah
546307	298108	Lisa
546307	306829	Herself
546307	345251	Margaret
546307	357361	Herself
546307	402328	Denise (1991-1992)
546308	385824	Noelle Curtis #2 (1984-1988, 
546309	123454	Kate Nelson
546310	255827	Bit Part in Church Scene
546311	74048	Children of Castor Fan
546312	3796	Herself
546312	208661	Peggy Eaton
546313	305147	
546314	387605	Dancer
546315	77906	Pai Thunder
546316	390526	
546317	326854	Rival Group
546318	349582	Lorna
546318	382332	Beth Armitage
546318	384477	Peggy Hargreaves
546319	34914	Bartender
546320	356637	Carrie
546321	200925	
546322	327427	Miranda
546322	405960	Charlie Bartlett
546322	408266	Ursula Waune
546323	21154	Wedding Guest
546323	40954	
546323	96958	Browser
546323	109570	
546323	170388	Emma
546323	182999	Anne Harrigan
546323	243743	Lady in Crosswalk
546323	281769	Sister Grace
546323	337384	Duke domestic
546324	277831	Betty
546324	337666	Mary Jane Moorehead
546325	329477	Sister Lorraine
546326	319191	Brandon's Model
546327	7065	Grace Palmer
546328	160832	Extra
546329	61693	
546330	56972	
546330	79925	
546330	115574	Mrs. Sinclair
546330	186979	
546330	282968	House Mistress
546330	332860	College Girl
546330	378861	Herself
546330	406941	Herself
546331	68696	Angel
546331	401875	Herself - Herself (2000)
546332	16948	Soeur Blaise
546332	23343	
546332	23870	
546332	43762	La sécretaire
546332	65727	
546332	70715	
546332	83287	
546332	84599	
546332	107681	Lucienne
546332	149609	Jacqueline
546332	199611	
546332	218304	Louise
546332	254056	Mme. Aubin
546332	258323	
546332	258328	
546332	265565	
546332	266405	
546332	289435	
546332	345248	Jacqueline
546332	353821	L'épouse
546332	362576	Dresser
546333	309493	Undetermined Role
546333	310833	Undetermined Role
546334	216470	
546335	558	
546335	110150	
546336	31327	Foxy Boxer
546337	321394	Flo
546338	385299	Dora Rutlidge
546339	23592	
546339	33311	
546339	35633	
546339	65661	Mrs. Hunter
546339	114893	Mrs. Vogel
546339	114910	Mrs. Quail
546339	124626	Sally Worthing
546339	133787	Mrs. Elsmere
546339	141381	Mrs. Nelson
546339	191217	Mrs. Rossmore
546339	212755	Marfa Strogoff
546339	228226	Mrs. Sawyer
546339	331858	Jane Barrett
546340	224845	Lanie
546340	261976	Lori
546341	71474	'Bandana Babies' lead vocal
546342	5460	Girl
546342	23557	Mrs. Mooney
546342	59366	Cook
546342	68055	Amateur Actress
546342	77592	Small Towner
546342	79821	
546342	103781	American Tourist
546342	105075	Pedestrian
546342	121819	Southern wife
546342	128827	Prisoner
546342	192064	Accident Spectator
546342	195768	Bit Role
546342	196294	Party Guest
546342	197073	
546342	210718	Secretary
546342	238616	Telephone operator
546342	317825	Wife on Pier
546342	319166	Campaign Worker
546342	331292	Miss Howell
546342	365329	Guest
546343	380967	
546344	15222	Theresa
546344	81543	Carol's Nanny
546344	108339	Mary (18-31)
546344	230124	Carla
546344	272413	Bonnie Corcoran
546345	270138	Dr. Steel
546345	356472	Java Lady
546346	143164	Genevieve
546347	198548	Lloyd's Singing Party Date
546348	390163	Mary-Ann Byrne
546349	381091	Herself (eliminated round 3) 
546350	193882	Rosemary Groome
546351	385748	Host (1999- )
546352	55706	Grandma Grubb
546352	68217	Grandmother
546352	69363	Mrs. Meldrum
546352	69545	Dana
546352	77066	La vecchia signora
546352	93039	Elizabeth Drayton
546352	118653	Miss Dacey
546352	131729	Stallholder
546352	149739	Woman in Hall
546352	153611	Mary's Housekeeper
546352	168577	Ma Miggs
546352	185727	Mrs. Hunt
546352	192207	The Grandmother
546352	210387	Grandma Perkins
546352	230322	Mrs. Sanders
546352	240706	Old Woman
546352	255008	Ada
546352	260206	Customer in Pub
546352	292785	Despatch Lady
546352	314508	Woman with carrot
546352	332780	Mrs. Talisman
546352	348379	Old May
546353	157716	Judge Wallbridge
546354	7961	Chorus Girl
546354	170617	Miss Rixey
546354	316903	Hope Jennings
546355	243213	Young Cornelie
546356	23206	Betty Tate-Hughes
546356	40111	Alice White
546356	54881	
546356	97083	Mary
546356	114184	Elsie Fraser
546356	138770	Molly Craddock
546356	153299	Joan
546356	203298	Grace Irving
546356	221250	Felicia/Mrs. Dane
546356	245526	Lalage Sturdee
546356	277627	Emily Hill
546356	281134	Mrs. Maxted
546356	286125	Sally Bishop
546356	367899	Fay
546357	294753	Rita Waters
546357	310136	Jean Meyers, a brunet
546359	60829	
546360	143824	Kelly, Flight 104 Survivor
546360	311037	Times Square child
546361	38872	Extra
546361	130316	Jackie
546361	329530	Patty Lexington
546362	118369	Millie
546362	185379	Rowena Hale
546362	328581	Tong Room Girl
546362	382850	Sally Mannering
546362	385020	Joan Walker
546362	389123	June Forsyte
546362	389705	Kathy White
546362	406265	Vera Reid
546362	406717	Jenny
546362	410711	Vera Mundy
546362	411829	Mrs. Turnbull
546363	41137	Wanda
546364	235383	
546364	399719	Herself (biographer)
546365	215872	Tourist at Border
546366	167283	Lady Fleetwood
546367	184682	Kate
546368	194893	Elizabeth Moore
546369	26846	Hoverboard Girl #2
546370	222810	Clara
546371	404324	Presenter (1992-1997)
546372	313334	Bar Patron
546374	71742	Dancer
546375	68080	Herself
546375	121833	Herself
546376	385088	
546376	396427	Host
546376	396429	Host
546376	400713	Host
546377	163053	
546378	33557	
546378	58223	Jeanne
546378	96068	
546378	111075	
546378	166335	
546378	205472	
546378	276540	
546378	284219	
546378	285081	
546379	41151	Madame Marechek
546379	79654	Mrs. McGuire
546379	218824	Cynthia's Mother
546379	276288	Madame Hale
546380	333018	Bore
546382	8274	
546383	328581	Tong Room Girl
546384	382800	Herself (2001)
546385	187404	Green Ghost Lady
546386	390787	Mrs. Clancy
546387	218733	Bar Dancer
546388	230605	
546389	18635	Casting Assistant
546389	108319	Kate's Assistant
546389	298115	Helen Caldwell
546390	264818	Resort Guest
546391	31837	Clara
546391	40451	Lola Carter
546391	42904	Zelda O'Moore
546391	67602	Francine
546391	73945	Felicia
546391	74202	Jennifer Harris
546391	74251	Angela, Maid
546391	77671	
546391	80546	Lisa Martin
546391	80970	Mitchell
546391	100814	Mrs. Merriman
546391	114312	Anne
546391	115139	
546391	117061	Adoption Official
546391	129779	Co-ed
546391	133442	Kay Earnshaw
546391	143233	Girl
546391	143248	Gloria Rogers
546391	152656	Fritzie
546391	161738	Drama Coach
546391	166880	Mrs. Van Buren
546391	178316	Vera
546391	204165	Maggie Graham
546391	206368	Dr. Sadler
546391	248834	
546391	278005	Helen Carter
546391	281859	Dolores de Garfias
546391	285292	Johanna Price
546391	286705	Helen Loomis
546391	291771	Older woman
546391	294065	Linda Bullard
546391	298037	
546391	302697	
546391	304961	Hilda
546391	326003	Dr. Mary Mahan
546391	338287	Joan Howell
546391	342512	Mother (Segment #3)
546391	346240	Muriel Gordon
546391	350645	Herself
546391	362670	Ellen Trennis
546391	368782	Deborah Allen
546391	379716	Peg English (aka Cobra) (1980
546391	385824	Adelaide 'Addie' Horton Willi
546391	387987	Mrs. Lerner
546391	388799	Laurie James
546391	389340	Bee
546391	390771	Sally 'Miss Sally' Gleason (1
546391	391076	Kate Harris
546391	396117	Viola Brewster (1977-1978)
546391	396123	Isabella Alden #4 (1992-1993)
546392	279303	Gretel
546392	300062	Kim as a baby
546393	106176	
546394	130592	Ethel
546394	134115	The Governess
546394	216962	
546394	302918	Margaret Marvin
546395	7485	Ellen
546395	40605	Gwen
546395	43742	Gossip
546395	49244	Hortense
546395	52904	
546395	56194	Julia, Charriere's Maid
546395	75884	Doris Lea
546395	77290	Margie (the carrier)
546395	87106	Fifi
546395	117386	Politician's Daughter
546395	119848	Woman in Gaming House
546395	125846	Secretary
546395	131738	Dorothy
546395	145671	Madame Irene
546395	146616	Bit Part
546395	159476	
546395	161923	Mrs. Aline Dolman
546395	168981	Actress
546395	176361	First Girl with Mrs. Reynolds
546395	193974	Guest
546395	195591	Waitress
546395	195986	Beth Ramsden
546395	206384	Dorothy
546395	218844	Anne Verinder
546395	224583	Ruby
546395	232492	Mrs. Chase
546395	241703	Felice (Maillot's secretary)
546395	263966	Barmaid
546395	292819	Sally Adams
546395	296962	Lucy Timson, the Maid
546395	314420	
546395	331450	Spy
546395	334252	Guest
546395	337366	Ruth
546395	346908	Sheila
546395	360068	Second girl at estate dace
546395	360369	First Chorus Girl
546395	362467	Hortense
546395	363364	The Brunette Chambermaid
546395	367001	Miss Carson
546396	8079	Elderly Nurse
546396	87893	Teacher
546396	189314	Suffragette
546396	320263	Bag Lady at River
546397	73471	Lola Garcin
546397	268405	Valérie Marbois
546397	302168	
546398	91702	
546398	102175	Odette Martin
546398	119423	Loulou
546398	125469	
546398	214028	Jocelyne
546398	222897	La michetonneuse
546398	402866	Tinker's wife
546399	93981	Muffy
546400	304837	
546401	24434	Madame Dumoulin
546401	252412	La vieille dame du cimetière
546401	357024	Rachel
546402	45095	Shoko
546402	89945	Leona
546402	100939	Nikke Bergman
546402	123110	
546402	150844	Susie
546402	218685	
546402	266070	Linda, Paul's Girl
546402	267536	Asa (English version)
546402	284359	Haruko
546402	310102	Pine
546402	354458	Mrs. Bunny Wimhurst
546402	369415	Karen Kasumi
546402	407667	Debbie
546402	407759	Additional Voices/Announcer/C
546403	80046	Monica's Friend
546404	33197	Newswoman
546405	333394	Sasha Miller
546406	5570	Madeline Faulkner
546406	12201	In Audience
546406	30918	
546406	31639	
546406	37863	
546406	40118	Nurse
546406	47495	
546406	48510	
546406	53952	
546406	61388	
546406	66310	Lucy Sturgiss, later scenes
546406	75508	
546406	89143	
546406	90867	
546406	93998	
546406	104872	Evangeline
546406	107989	Felicity
546406	107998	Dorothy Fair
546406	108010	
546406	109692	
546406	109870	
546406	109886	
546406	116274	Adelaide E. Thompson
546406	120206	
546406	120299	The Young Woman
546406	126059	The Quebec Coquette
546406	130762	Rose
546406	131497	Evelyn Haselton
546406	136168	
546406	139115	Jessie
546406	142674	
546406	145923	Beautiful Lady
546406	146106	Woman at Dock
546406	158129	
546406	159147	
546406	168468	Haydee
546406	168576	
546406	183547	At Garden Party
546406	184444	Mary Anderson
546406	192322	The Other Woman
546406	192606	
546406	195412	
546406	195856	Goldie Lewis
546406	206645	Ruth Morse
546406	208913	
546406	216218	A Thieving Merchant
546406	219046	Angela
546406	220076	The 'Idle Woman'/Outside Club
546406	220307	
546406	221595	
546406	237816	Miss Barry
546406	246739	
546406	251160	
546406	253036	Storybook Lover
546406	260243	
546406	271971	At Party
546406	273227	Wife
546406	274424	Loys Andres
546406	287510	
546406	287968	Girl
546406	291808	Maude Brewster
546406	291809	Undetermined Role
546406	295566	Daisy Henderson
546406	312308	
546406	320894	
546406	334951	Ethel
546406	336516	(prologue)
546406	342700	
546406	346165	
546406	357106	
546407	111025	
546407	249085	Simone
546407	259310	
546407	334787	
546408	82643	Dancer
546408	318716	Dancer
546408	331395	Dancer
546409	2382	Lora
546409	178942	Jasmine
546409	288912	Lipservice
546410	203294	Martha Durban
546411	15126	Claudine
546411	58606	Magali
546411	266947	La fille de la concierge
546411	277029	
546411	307494	
546411	319968	
546411	345269	Mistress of Jean-Louis
546411	345270	
546411	346572	Cafe Owner
546411	354150	
546411	382466	Sophie
546411	399403	
546412	127646	
546413	58504	
546413	131410	
546414	136826	Booth Singer
546415	31336	Mara
546415	41375	Betty Belleau
546415	43434	The Maid
546415	44260	Rita
546415	109409	Blanca
546415	109446	The Other Woman
546415	130149	An Inmate
546415	147896	Herself
546415	177405	
546415	186790	
546415	310815	The witch
546415	356470	Azaline
546416	386279	Mary
546417	128585	Young Margaret
546418	82391	Joaquine
546418	278925	Christa
546419	7036	
546419	35488	Caroline Bishop
546419	76238	Bit part
546419	96644	Anne Partridge
546419	113907	Eve
546419	120726	Claire
546419	147663	Herself--Junior Hostess
546419	183358	Nadine Shannon
546419	204708	Bit Part
546419	216718	Bit Part
546419	232408	Leslie Stafford
546420	740	Herself
546420	1133	Susan
546420	1674	Herself
546420	1737	Herself
546420	1748	Herself - winner
546420	2709	Lucy Whitmore
546420	2893	Herself
546420	3040	Herself
546420	3165	Herself
546420	6957	Con Sawyer
546420	7583	Herself
546420	12610	Margaret Jessup
546420	15221	Amy Fisher
546420	16821	Herself
546420	26140	Lisa Piper
546420	27228	Lilly Laronette
546420	30965	Sugar
546420	32917	Herself
546420	34705	Hope
546420	42904	Leslie Bogart
546420	45662	Holly Pulchik-Lincoln
546420	56766	Amanda ("The General")
546420	59664	Dylan Sanders
546420	59665	Dylan Sanders
546420	69313	Darlene
546420	69391	Penny
546420	69806	Jody Woldarski
546420	79312	Herself
546420	87784	Herself
546420	90772	Karen Pomeroy
546420	90984	Holly Gooding
546420	95328	Nancy Kendricks
546420	96555	Herself
546420	96592	Herself
546420	96593	Gertie
546420	96594	Herself
546420	102099	Herself
546420	105069	Danielle De Barbarac
546420	105280	Schuyler Dandridge
546420	108942	Joleen Cox
546420	111800	Lindsay
546420	113985	Charlene 'Charlie' McGee
546420	119425	Mr. Davidson's Receptionist
546420	126668	Herself
546420	135888	Anita Minteer
546420	138700	Herself
546420	148260	Sally Jackson
546420	160446	Daisy
546420	162449	Casey Brodsky
546420	190677	The Jockey
546420	199194	Casey Roberts
546420	201646	Herself
546420	201661	Herself
546420	207398	Herself
546420	220164	Fantasy Girl
546420	221483	Herself
546420	230324	Josie Geller
546420	233878	Tinsel Hanley
546420	239997	Olive
546420	258948	Ivy
546420	271861	Herself
546420	274567	Herself
546420	278082	Beverly D'Onofrio
546420	288682	Herself
546420	288703	Herself - Audience Member
546420	288718	Herself/Various Characters
546420	291221	Casey Becker
546420	293126	Cathy
546420	303860	Daisy
546420	304059	Fantasy Girl
546420	318195	Bobby Graham
546420	333840	Akima
546420	335085	Herself
546420	347883	Herself
546420	360150	Vampire Victim #1
546420	360291	Bjergen Kjergen
546420	360723	Julia Sullivan
546420	364179	Herself
546420	366673	Lena
546420	378781	Lindsay Rule (1992)
546420	392421	Herself
546420	406387	Hillary
546421	11166	
546421	14236	Elizabeth Carter
546421	25387	Helena Richie
546421	52463	Egypt
546421	53627	Herself
546421	80669	Margaret Garrison
546421	88190	Lady Frederick Berolles
546421	104326	Maris
546421	109222	Agatha Morley
546421	113361	Jane Carleson, Mrs. Murray Ca
546421	133807	Grandmother Ostrovsky
546421	133945	Miriam Monroe
546421	163414	Mrs. Brian Patrick Riordan
546421	168751	Katherine Chandler
546421	171134	Alida De Bronkhart
546421	177142	Mary Herries
546421	178105	Nadia Turgeneff
546421	190309	Esther Carey
546421	190398	Clorinda Gildersleeve
546421	201068	Herself
546421	218811	Grandma
546421	219747	Lady Sterling
546421	228308	Flanders/Belgium
546421	232223	Miss Willey
546421	232391	Isola Franti, 'The Nightingal
546421	234803	Ma Mott
546421	244885	Emma McChesney
546421	248413	Lady Sophie Horfield
546421	256328	Miss Em
546421	261082	Miss Spinney
546421	272532	Czarina Alexandra
546421	274051	The Mother Superior ('Mother 
546421	292508	Granny
546421	300070	Herself
546421	311250	Mrs. Warren
546421	315745	Mrs. Hazel Pennicott (segment
546421	329467	Abigail Trent Budell
546421	350906	Herself
546421	363971	Nan Baldwin
546421	372484	Aunt Jessie Tuttle
546421	387924	Herself/Host
546422	259280	Party Girl #2
546423	36712	Nurse
546423	87165	Carla Bass
546423	90984	Mrs. Gooding
546423	100661	Ms. Robbins
546423	121858	Female Therapist
546423	129219	Cameo appearance
546423	135888	Woman with Dog
546423	140832	Mrs. Parks
546423	159421	
546423	162449	Whispering Woman
546423	185201	Tiger Lady (Francesca)
546423	196996	Adele Monroe
546423	209114	Bag Lady
546423	232213	Joyce
546423	291968	Herself
546423	301701	Joan
546423	313087	
546423	360747	
546423	387340	Additional Voices
546424	60513	Cécile
546425	25960	Madame Beaumarton
546426	253520	
546427	276309	La mère
546428	75767	Herself
546429	34013	
546430	296487	Voice in off
546431	334570	
546432	345428	
546433	23635	Madame Aurélie
546433	111693	
546434	189809	Herself
546435	20894	Gulchora
546436	337742	
546437	114099	Nurse #3
546438	194706	Flutist
546439	175785	Bebe
546440	29703	La reine Clémentine
546440	46967	La Princesse de Granada
546440	197310	Kunstgewerblerin
546440	200927	La femme de la caserne
546440	268441	2ère Cousine/2ère Dame d'Honn
546440	288890	Chanteur d'opéra
546440	357027	La reine Popotte
546441	81534	Hotel guest
546441	170558	Linda Stiles
546442	170338	
546443	261852	Prostitute
546444	167712	Waitress
546445	965	Aphrodite
546445	364372	Max's Fan
546446	337361	Herself
546447	2893	Herself (Memorial Tribute)
546447	11202	Anne-Marie
546447	88656	Kathleen
546447	106537	Jennifer Matthews
546447	108248	Billie
546447	109722	Kimberly (age 3)
546447	165976	Thea Brody
546447	176496	Jennifer Ryan
546447	184384	Ducky
546447	304480	Bean
546447	329984	Molly Reed
546448	90525	Tango dancer
546449	346364	Gunshot Girl
546450	42560	Mère de Freddie
546452	197509	Róza
546453	370275	Young woman
546454	24429	Skater
546454	201008	Young Darius' Mother
546454	379928	Herself (2001)
546455	189520	Aunt #1
546456	71665	Martine
546457	368721	Pool girl
546458	144991	Nurse
546459	323408	Barso's girl
546460	462	Baroness Maria Inockay
546460	2379	Grete Müller
546460	28433	Mary v. Wollheim
546460	39100	
546460	94279	Musotte Chatlier
546460	100926	Eva, daughter of baker
546460	138973	Erzsi
546460	142725	Éva,Dobos lánya
546460	189636	Margit Raday
546460	223594	
546460	289985	
546460	308840	Ilona
546460	335033	Anita, Dancer
546460	354328	Hadházy Viki
546460	357831	Mária,Inokay lánya
546460	358894	Ilonka
546461	32491	Hotel Guest
546461	75777	University Student
546461	84197	Hollywood Assistant Director
546461	224430	Blonde Waitress
546461	249631	Party Guest
546462	25689	
546462	68591	
546462	69496	
546462	82173	Elza
546462	86503	Angela
546462	88216	
546462	104500	Leninha
546462	132985	
546462	204263	
546462	210263	
546462	234619	
546462	244958	
546462	251579	
546462	263822	
546462	268987	Patrícia
546462	281251	Juliana
546462	344707	
546462	344811	
546462	350254	
546462	353588	
546462	382741	Malu
546462	383584	Young Carolina Galvão
546462	384265	
546462	387104	
546462	389887	Indhira
546462	392629	Maria
546462	401086	Gigi
546462	402626	Tânia
546462	404947	
546462	407864	
546462	408330	
546462	409024	Laura Tiradentes
546462	409025	Lisandra
546462	409412	Mira
546462	409417	Márcia
546462	410310	
546463	182531	Veronika
546464	198585	
546465	43214	
546466	233840	Jenny
546467	409167	Host (2000 -)
546468	157870	Bit
546468	241444	
546469	125379	Female Dancer
546470	125379	
546471	28618	Amelia
546471	129539	Queen Elizabeth I
546471	155755	Elettra
546471	198880	Lady Macbeth
546471	201153	
546471	245820	Mrs. Wingrave
546472	21299	Eating Blonde
546472	120512	Roxanne
546473	223558	
546474	146540	
546474	255497	Lucypher
546474	321425	
546475	95968	Bronka Mossakowska
546475	133185	Elzbieta Biecka
546475	178463	Krystyna Olakowna
546475	180419	Hanka
546475	243301	Vision of Stefcia
546475	244110	Ewa
546475	247351	Neta
546475	258177	Wanda Porebska
546475	265335	Marysia Wilczurowa Czynska
546475	284052	Malgorzata
546475	338886	Stefcia Rudecka
546475	341073	Kasia
546475	375469	Beata Wilczurowa/Maria Wilczu
546476	17305	Teresa, Jan's Wife
546476	165123	Mrs. Frankfurter
546476	181322	Sara
546476	183153	
546476	247347	Stolnikowa
546476	394176	Nina Poniemirska-Kunicka
546476	401665	Eugenia Piecuch
546477	147464	
546478	128849	
546479	61431	La petite Marie
546480	275645	
546480	279988	
546481	125899	Amanda (reading Roland Barthe
546482	57013	Singer
546483	298596	Alexa
546484	231438	Infant
546485	343312	
546486	67731	
546487	41425	
546487	218743	
546487	328260	Dying Woman
546487	363359	Secretary
546488	268232	
546488	343776	
546489	402999	Herself/Road Rulers
546489	403487	Herself/South Pacific (2003)
546490	157185	
546491	2855	Sharon
546492	69523	1st suora
546493	264229	
546494	166179	
546494	208827	Secretary
546495	42125	
546495	67860	
546495	114811	
546495	116983	
546495	121672	
546495	140854	
546495	149288	
546495	150181	English woman at cafe
546495	230391	Hilda
546495	241735	
546495	248823	Gang Moll
546495	315204	Secretary
546495	335797	Andy's Sister
546496	208632	Ewan's Posse
546497	263758	Old woman
546500	377268	
546501	367823	Herself
546502	120241	Ashley Hansen
546503	24430	Fembot
546503	57934	Billie
546503	280720	Bartender
546503	289185	Beautiful Woman
546503	333410	Clarissa
546503	334355	Rose
546503	403887	Kathy
546504	243954	Secretary
546504	280192	Lila Lansing
546504	287128	Swede
546505	390027	Meiko
546506	10829	Landlady
546506	407167	Andzia
546507	392561	Host (1989-1998)
546508	53058	Theresa Russell
546509	304889	Woman in elevator/Typist
546510	182809	Gerda
546510	312119	Marie
546511	167069	Herself
546512	53957	Reporter at Finish Line
546512	81247	Laurie
546514	29669	
546515	29669	
546516	79518	Woman of Tekoah
546516	231440	Nurse #1
546516	261039	Isabel's Maid
546517	246005	Samantha
546518	261608	Crash Girl
546519	105456	Girl Student
546520	288690	
546521	288690	
546522	364750	
546523	59806	Laura Warren
546524	158141	Dining woman
546525	158141	Bank patron
546526	92767	Manolo's Girlfriend
546527	300153	Shirley
546527	349689	Judge
546528	76447	
546528	352377	
546528	359630	Dienstmeisje
546528	374631	Eerste actrice
546528	391030	Vrouw in boot
546529	180357	
546530	251925	
546531	25903	Diana
546532	212010	Granny Lee
546533	5196	Julia Shillitoe
546533	71659	Tilly
546533	99952	Mrs. Bates
546533	294517	Lady Matheson
546533	296900	Woman in Bookshop
546533	363261	Mrs. Theobald
546533	382279	Miss Percival 2
546533	385299	Daisy Penfold
546534	168301	
546536	115424	
546537	73913	Waitress
546538	231753	Sandra/Prostitute
546538	348396	Club Girl
546538	359753	Party Guest
546538	387331	Student
546539	200487	Landlord's Daughter
546540	7167	
546540	17669	Gitte
546540	18526	Hilde Wandke
546540	34034	
546540	42167	
546540	43234	1. Animierdame
546540	44029	Marianne Bach
546540	45975	
546540	61982	
546540	72678	
546540	82636	Rita
546540	83880	
546540	84588	
546540	88841	Mrs. Sehr
546540	95424	Frau Pastor
546540	98040	Vevi
546540	98297	Maria
546540	101355	
546540	103150	Frau des Pilatus
546540	105854	
546540	118965	
546540	119182	Günthers Freundin
546540	120063	Gilla
546540	120797	Frau, die Obdach gewährt
546540	126467	Katja Feenberger
546540	130963	Isolde
546540	134903	Lotte Hoyser
546540	144174	
546540	147158	
546540	153064	
546540	155427	
546540	155489	
546540	157648	Sybille
546540	169540	Ania
546540	184627	Aunt Mathilde
546540	189816	Friederike Leuthental
546540	193482	Frau Volker
546540	202418	Mother
546540	204581	
546540	205761	
546540	210095	
546540	211366	Pauline
546540	236827	
546540	247060	Schlagersängerin
546540	253775	
546540	259634	
546540	269557	Mädchen
546540	272791	
546540	272822	
546540	275132	
546540	281719	
546540	289903	Schneewittchen
546540	290780	
546540	290782	
546540	294840	Girl in uniform
546540	325457	Ruth Frevert
546540	325473	
546540	325942	Iris
546540	325949	
546540	326049	Jutta
546540	336650	Gina
546540	347011	Isolde Strätter
546540	347797	
546540	352187	
546540	368296	Dr. Verena Hauke
546540	376082	Agnes Schlick
546540	376292	
546540	377349	
546540	381692	Frau Spitz
546540	389361	Frau Frohwein
546540	391843	Eva
546540	395049	
546540	399754	Elvire
546541	103326	The Resistance Force/Kovarick
546542	132212	Angel 1
546542	229826	TV assistant
546543	393240	Marfa
546545	151237	Carmem
546545	156387	
546545	337972	Raquel
546546	333517	Gibraltar Operator 1
546547	381821	Ensemble (1968-1969)
546548	254934	Frau Rose
546548	301343	.
546549	259523	
546549	259694	
546550	136201	
546550	225283	
546550	325524	
546550	356742	
546550	400497	Renate Bommel
546551	136128	Lexi's Birthday Party Dancer
546552	380331	Marcy
546553	394937	Mrs. Olsén
546554	35200	Baronesse Lori
546554	212749	
546554	258128	
546554	314565	Lore
546554	345929	
546555	189667	Iris Lichting
546555	209874	Iris
546555	376248	Susanna
546556	105352	
546557	224094	
546558	375965	Police girl
546559	58358	
546560	375966	Police girl #4
546561	136600	Dr.Pozsonyi Magda
546562	215472	
546562	322028	
546562	322053	
546562	399160	
546563	193508	Rita
546564	394574	Host
546565	282781	Pierre
546566	282781	Pierre
546567	78403	Infirmière hôpital
546568	7477	
546568	266413	Sylvia
546568	410309	
546569	332377	Star
546570	212796	
546571	107895	Trina at Back Yard Party
546572	376186	Herself
546573	325884	
546574	325868	Thea Grundmann
546575	374333	Franzi
546576	111624	
546576	198019	
546576	250466	
546577	18639	Anne Marschall
546577	34495	Rose Mayer
546577	93007	Margret
546577	172855	
546577	259666	Beate Beyer
546577	270421	
546577	284862	junge schwangere Frau
546578	276991	
546579	65632	Fastgun
546580	71286	Nurse
546580	374573	Staffer #2
546581	6279	
546581	96007	
546581	126363	
546581	138545	
546581	143724	
546581	152750	Laura Lyons
546581	174565	
546581	177189	Frieda Schulze
546581	177218	
546581	178576	
546581	184496	
546581	204508	
546581	207166	
546581	289385	
546581	290842	
546581	312739	Seine Frau
546581	315450	
546581	324675	Kitty, Joes Freundin
546581	328360	
546582	360798	Cuckoo
546583	287478	
546584	274449	Jane
546585	115355	Pam (9 ans)
546586	218004	Herself
546587	198456	
546587	198457	
546587	198458	
546587	237116	
546588	235877	Hélène
546588	346599	Cliente
546589	363165	Miss Tregarthen
546590	117558	First Woman in Restaurant
546590	155099	Mother
546591	106062	Girl in Classroom
546591	300871	Mary Jane
546592	385651	Nun
546593	202952	Grandmother
546594	238552	Nurse
546595	395421	Queen Pin
546596	46666	Louise Sedgwick
546597	195758	
546597	404150	Assistant (1984-1989)
546597	410946	Substitute hostess (1982)
546598	120837	
546599	322	Senator Leon
546599	26799	Susi - German version
546599	231484	Axels Mutter
546599	312641	
546599	350878	Frieda
546600	222495	Additional Muppet Performer
546601	377141	
546602	349899	
546603	325441	
546603	407351	
546604	98027	
546605	227483	Elise
546606	205730	
546607	215647	Child
546608	83233	Copine
546609	117943	
546609	221318	Nora Kilkenny
546609	315763	Isabella Noble-Rat
546609	362848	Jac Benson
546609	390682	Lily Finnerty
546609	394414	Lynsey Bartilson Question Tim
546611	384541	Stock Market Reporter/Anchor 
546611	408395	Business News Reporter (1996-
546612	39052	
546614	71424	Bound Nurse
546615	225732	
546616	52448	Tess Lennox
546616	109336	Vera Maitland
546616	110300	Ivy Bywater
546616	113970	Kay Byrne
546616	116261	Ann Parryman
546616	143320	Kitty Vickery
546616	156972	Violet Fayre
546616	196012	Rita Payne
546616	235483	Mabel Marchmont
546616	240940	
546616	278513	Mary Lenley
546616	316341	Grace
546616	333511	Daphne Drake
546616	348315	Dorothy Gordon
546616	359849	Audrey Thurloe
546617	176838	Little Girl
546617	295481	Tina
546618	211281	Mis Stoun
546618	350973	Uchitelkata po angliyski
546618	397471	Miss Elen Stone
546619	306126	Woman
546620	118451	The Orphan
546621	6989	Gina
546621	73680	Andrea
546621	99456	
546621	163622	Halle
546621	278268	Candy
546621	295002	
546621	295007	Gina
546621	295008	Gina
546621	404897	Dr. Gina Jefferson (1987-)
546622	289483	Marie-Noel
546623	11362	Patricia
546623	37246	Anita Parker
546623	40740	
546623	41393	Ruth
546623	52303	Melinda Booke
546623	72030	Cathleen Fitzgerald
546623	79478	Female Senator
546623	80729	Marge Shoat
546623	81118	Teresa Noble
546623	82327	Louise Bundy
546623	82763	Celia Dempsey
546623	90508	Renata Donato
546623	108257	Mavis Lallek
546623	118763	Stylist
546623	127295	Billie DeLaughter
546623	158354	Aunt Alice
546623	163331	Kate Gazelle
546623	176851	Debra Snowden
546623	185735	Brady's secretary
546623	185774	Mrs. Garrity
546623	187271	Sylvia Knowlton
546623	194062	JoAnn Booth
546623	195818	Maggie Winter
546623	202395	Ida Koverman
546623	209169	Aunt Myrtle
546623	222738	Elena Champion
546623	252915	Judge Greenburg
546623	253335	Rosemary Sutter
546623	259285	Margaret Wilson
546623	263755	Martha Harris
546623	265775	Nurse Farber
546623	278264	Lillian
546623	286054	Ann Norton
546623	293098	Doris Ravenson
546623	293145	Velma
546623	297911	Miriam Scott
546623	298852	Mrs. Wallace
546623	298853	Mrs. Wallace
546623	304821	Stasha Dubrovich
546623	323427	Sylvia
546623	341499	Charlotte
546623	342593	Mary Ann Benedict
546623	349231	Lynn Bernstein
546623	353394	Lucille Mohr
546623	361156	
546623	363265	Judge Carol Jean Woods
546623	383768	Aunt Mabel Hofmeyer
546623	392571	Mamie Eisenhower
546623	395735	Grace Snider Edwards (#1) (19
546623	396088	Ellie Crown (1951)/Vanessa 'V
546623	399684	General's Wife
546623	400209	Barbara Brooks (1999-2001)
546623	406319	Ellen Craig
546624	195758	
546625	321861	Stephanie Kleinbrecht (Aristo
546626	332451	
546627	10305	Miss Macrae
546627	280477	Dr. Webb
546627	283725	
546628	144941	Susanna
546629	386950	Hostess
546629	387990	Assistant
546629	391888	Model
546629	396062	Susie, Loveboat Mermaid (1985
546630	310462	Mrs. Newton
546631	381806	Joy Devine (1970-1971)
546632	191106	Phillips
546633	26633	Candy Counter Lady
546633	209224	Talkative Lady
546633	275889	English Dustbin Lady
546634	16697	Gertie
546634	139560	Mrs. Shannon
546634	150170	Suzette
546634	239050	Mitzi
546634	300061	Elly
546635	50815	Julie Madison
546635	79932	Meat's Girlfriend
546635	81731	Girl #1
546635	128164	Hope
546635	157576	Sheila
546635	185624	Amelia
546635	192100	Fenner, Stripper
546635	267105	Corinne
546635	271344	Fashion Show Model
546635	297190	Bella
546636	108941	Woman at Party
546636	139030	Nan
546636	252445	Sarah Niles
546636	348545	Woman
546637	406306	Herself (1998-2001)
546638	183782	Margaret
546638	210422	
546638	308757	Lady Dainton
546638	367563	Lady Cecilia
546639	41926	Betty
546639	275762	Registration Clerk
546640	166643	Wedding Guest #2
546641	361543	Daisy
546642	83982	Chorus #1
546642	310142	Kate
546642	405209	Ros Fenton (1999)
546643	292163	Persi
546643	302458	Young Shalizar
546644	169676	Martina Hirsch
546645	382997	Philippa Stokes
546646	12937	Papagena
546647	131631	Sharon Doogan
546647	155453	News Reporter
546647	320263	Marilyn
546648	178840	Water skier
546649	12276	Rose's Mother
546649	23474	Bea Sutton
546649	88566	Margaret
546649	122242	Sadie (Other Player)
546649	154516	Secret Wife
546649	173518	Mrs. Carr
546649	194468	Inez
546649	234075	Alma Mulloy
546649	265005	Saralee Garrett
546649	303608	Freda
546649	321746	Hattie
546649	360514	
546649	381642	Lil Morrison
546650	26666	O'Dell's Daughter
546651	69915	Cheryl
546652	41278	Mrs. Bell
546653	30465	Marjenka
546654	298579	Ida
546655	289217	Op Shop Lady
546656	39278	
546657	73214	Warden's wife
546657	317945	Day Player
546658	1018	Anne Jackson
546658	10670	Nina
546658	11317	Annie Roth
546658	26289	Yuppie Wife
546658	64842	Anne
546658	71897	Rita Ce De Baca
546658	73303	Wedding Guest
546658	78006	Martha
546658	78107	Carla Nichols
546658	81543	Charlotte
546658	95775	Bella
546658	125488	Tatiana
546658	141656	Mrs. Lezak
546658	148906	Patti Szalinski
546658	155859	Mrs. Grober (aka 'The French 
546658	186665	Mrs. Elliott
546658	218848	Barbara
546658	257764	Etalina
546658	261530	Aretha
546658	274805	Phyllis
546658	293126	Group Therapy Patient
546658	304129	JDL Girl
546658	309039	Lillian Grossman
546658	393060	Eve
546658	396350	Debbie Buchman (1995-1999)
546658	402018	Sophie Lipkin
546660	44330	Pharmacy saleswoman
546660	87855	Femme cabine Téléphonique
546660	134563	Mother
546660	280082	
546661	47799	Clubgoer
546662	186032	Barbara
546663	49956	Mother
546664	40878	Old Woman in Tent
546664	99850	Disaster Worker
546664	241050	Lunch Counter Lady
546665	36958	Betty Anderson
546666	116741	
546667	215507	Vanessa Black-Wooding, Miss S
546668	205300	Princess Ming Yu
546668	209358	
546668	302406	Andie
546668	327595	
546669	167022	
546669	172906	Panicka
546669	207714	White Lady
546669	229558	Woman
546670	276178	Daisy Dane
546671	77826	Reily
546672	171555	
546673	77556	
546673	199258	
546674	69572	
546676	23092	
546676	83436	
546676	170051	
546676	337946	
546677	41932	Paula Fradkin
546678	21410	Alexandra Kasalinsskaja
546678	25301	
546678	35738	Karin von Seefeldt
546678	46272	Lisa
546678	73424	Consuelo
546678	86402	Vera
546678	92046	Barbara
546678	95251	Dunja
546678	95381	Karoline Brandt
546678	98055	Eva Horn
546678	103114	Vera
546678	111345	
546678	120685	Mrs. Thorpe
546678	123511	Paula Wendt
546678	188797	Baronesse Vera
546678	199554	Girl
546678	199558	Madeleine
546678	210116	Nicoline
546678	239106	Gina Bergold
546678	242706	Anna
546678	243505	Roxane
546678	249165	Nadina Rodin
546678	283273	Lilli
546678	284856	
546678	309352	Maria
546678	310209	Dr. Lisa Frank
546678	317343	Gabriela v. Holthüs
546678	323731	Kathaline Telek
546678	327765	Maria Martelli
546678	332241	
546678	347762	Laura Beaumont
546678	351590	Adriana Medova
546678	354371	Viktoria
546678	356692	Sonja
546678	397671	Veronique Vranja
546679	265604	Sybil Dennis
546679	308057	Mrs. Hackett
546680	142949	Waitress
546681	136360	
546682	29776	Rosina
546682	30479	Mezzo-soprano
546682	57563	Herself - Mezzo-Soprano
546682	57569	Mezzo-soprano
546682	57570	Mezzo-soprano
546682	57571	Herself
546682	57858	Angelina
546682	71444	
546682	71446	Fiordiligi
546682	90086	Donna Elvira
546682	165297	Herself
546682	173824	Mezzo-soprano
546682	220728	Mezzo-soprano
546682	232786	Nina
546682	289351	Lucilla
546682	341859	Donna Fiorilla
546682	355828	Mezzo-soprano
546682	390558	(segment "Mozart")
546683	409277	Herself/Panelist ("Sport")
546684	232786	
546685	101270	Herself
546685	116411	Herself
546685	240049	Herself
546685	313195	Singer
546685	406380	Herself (winner, 84 days)
546686	77818	Denise
546687	28781	Luisa
546687	36512	Una duchessina
546687	68812	Employée de la clinique
546687	90727	
546687	101016	
546687	158765	Jacqueline
546687	159740	
546687	229998	Thelma Mitchell
546687	379754	(episode "Allarme a bordo")
546687	402781	
546688	54288	
546689	67104	Lucilla
546689	109740	
546690	43426	Sally Brown
546691	301342	
546692	66364	Model
546693	57471	
546694	94202	Unibrow Blind Date
546695	127877	Giada
546695	154017	Woman at Party
546696	104473	
546697	135115	
546697	248756	
546698	91417	Anciana Carnicería
546698	96269	Madre de Juan Carlos Cruz
546698	152246	Goya
546698	221756	Folklórica despedida
546698	221963	La enfermera (the nurse)
546698	234358	
546698	258133	Dependienta
546698	259959	
546698	310240	Manola
546698	318264	Obrera
546698	388604	Berta
546698	396767	Porfiria
546699	38930	Bag lady
546699	104389	Mabel
546700	290902	Chiara
546702	74883	Louisa's Secretary
546702	82710	Woman with Dog
546702	211832	La Samaritana
546702	238376	
546702	252749	Elda
546702	316841	
546702	351787	Adalgisa
546702	354005	Maria
546703	261551	Cora
546704	337998	Trancer
546705	78829	Katherine
546706	80443	Lucille
546706	224573	Zoe Matthews
546707	67685	Mrs. Schofield
546707	84111	Grace Hill
546707	131239	Smithy's wife
546707	133735	Clell's wife
546707	134109	Sally Abel
546707	187079	Mrs. Hill
546707	251165	Martha Brewster
546707	263232	Mother
546707	316264	Mrs. Carter
546707	360271	Mrs. Moynihan
546707	362192	Cora Hudson
546708	195271	Waitress
546709	142290	Miss Johnson
546710	23463	Gretta Attenbaum
546711	101504	Ruth Stevens
546712	251812	Ingrid
546713	240326	Herself
546714	78756	Hitchhiker
546714	126748	Alexandra
546715	55581	Trasha's Mom
546715	90876	Kyle's Mom
546715	358441	Auntie Louise/Richie's Mom
546716	377044	
546717	114561	
546718	84007	Kidnapped Girl
546718	99136	Therapist
546718	108333	Flight attendant
546718	160975	Rich Girl on Beach
546718	196889	Sadie Pray
546718	286341	Dancer w/Liza Minnelli
546718	324646	Mia
546718	380506	Teller
546718	406952	Julie Jordan (1/3/1997)
546718	408882	Carrie
546719	350860	Tina Fröhlich
546720	159175	Dancer
546721	333478	Amazon
546722	184341	Marco's Prostitute
546723	80526	Mona
546723	116471	Carole
546723	210960	Real Estate Agent
546723	233577	Woman #2
546723	246230	Jill
546723	254605	Kathy Greenberg
546723	296276	Christine
546723	303975	Helena Walker
546723	357561	
546723	367098	Freyja
546723	379494	Alison Stratton
546723	387303	Andrea
546723	388349	Deirdre Greene
546723	411802	Mari Jo Mason #2 (1994-1996)
546724	191950	Pupil at Tadworthy House Scho
546724	341962	
546725	20330	Garde hôtel
546726	18096	The Lost Magdalene
546726	43546	Mother
546726	54909	Duenna
546726	134084	
546726	151118	
546726	204892	
546726	205554	
546726	263460	Letty Grierson
546727	73900	
546727	82382	
546727	88663	Beth Morgan
546727	92263	Sally
546727	117558	Coffee Shop Girl
546727	151633	Tiffany Kennedy
546727	171105	Candance 'Candy'
546727	176481	Georgia
546727	206595	Young Martha Stewart
546727	379288	Kat Peterson
546727	400236	Beth Garvey (1993-1994)
546727	406424	Tess Farraday
546728	151732	Rita Rivero
546729	67111	Herself - student
546729	265779	Girl in Doctor's office
546729	300077	Herself - young singer
546729	407170	Regular (1948)
546729	410125	Herself - Hostess
546730	373538	
546731	307788	
546732	89735	
546732	139717	
546732	174646	
546732	234701	
546733	32404	Miss Flowery
546733	47470	Gladys
546733	68248	
546733	124718	Undetermined role
546733	126561	Diane Prescott
546733	154355	Miss Wilcox
546733	191251	Sherrifa
546733	224238	Gretchen
546733	244775	Diana, George's Mistress
546733	292588	Ann
546733	294198	Miss Grayson
546733	313004	Dale Milford
546734	328808	Betty Williams
546735	153617	Woman on boat
546736	133588	Miss Havisham
546736	139762	Cornelia Fullerton
546736	141259	May Weatherbee
546736	159912	Mrs. Sawyer Flint
546736	199349	Sorrow
546736	270948	Crazy Anne
546736	295442	Aunt Abigail
546736	317399	Rachel Farnum
546736	337116	His Wife
546737	213350	Sam Hardin
546737	248667	Kirstie
546738	169396	Herself
546739	102398	Ella, Queen of the Demulus
546740	345066	Woman in Town
546741	158230	Woman #1
546741	207132	Jr. High Secretary
546741	349550	Dodge City Cashier
546742	16640	Lila Neal (saloon singer ['Th
546742	63941	Glenda Paige
546742	193707	Jean White
546742	206867	Ann Parker
546742	280982	Melodie
546742	316095	Mary Murray
546742	343160	Girl
546742	385115	
546743	323225	Student
546744	256211	Groupie
546745	18345	(herself)
546746	178286	2nd Jiving Waitress
546747	46892	Beryl Walters, Tea Room Assis
546747	60075	Mrs. Lucas
546747	116081	Myra Hapgood
546747	124719	Peggy Gowland
546747	131641	Agnes
546747	138791	Anne
546747	142937	Old Woman
546747	184519	Rick's Sister
546747	265482	Herself
546747	281052	Bessie
546747	327600	Betty Mallison
546748	205787	
546748	346200	Mrs. Sheepshanks
546749	363729	Villager
546750	108711	Miss Peabody
546751	151672	Manicurist
546753	118970	Francesca 'Frankie' Humphries
546753	170427	Lisa Johnson
546753	186427	Devon Stockard
546753	194706	Mary 'Mouse' Bradford
546753	230906	Drummond
546753	235790	American Starlet
546753	238140	Natasha 'Nat' Wilson
546753	248667	Theresa
546753	259347	Diane
546753	267393	Rocky
546753	278463	Vicky
546753	303564	Kyra Collins
546753	304059	Maurey Pierce
546753	325058	Grace Bailey
546753	352985	Herself
546753	394013	Betty Ann Bongo (1996-1997)
546753	399912	Marissa Cooper
546753	400209	Katie Singer (2001-2002)
546754	272848	Mushroom woman
546755	7110	Morgan le Fay
546755	157456	2nd Hatcheck Girl
546755	273805	Receptionist
546755	292405	Louise
546756	215364	Young bride
546757	85018	Helen Thomas
546758	252060	Girl
546759	294357	Orphan Girl
546760	227925	Herself
546761	329527	Model
546762	107504	A Fairy
546763	35532	
546763	214467	Annette
546764	74219	Martha
546764	121575	Razor (Vultures)/Wendy (Vultu
546764	266564	Monica Pozok
546765	38718	Young Sophia
546766	361854	Herself
546767	144217	Grandmother's Friend
546768	339418	Titorelli's Girl
546769	222566	Landlady
546770	180013	Woman #2
546771	256598	Cecily
546772	211921	
546773	320533	
546774	404627	Magdalena, Parson's Daughter
546775	188466	
546776	58127	Eva Kurzová
546776	95065	
546776	108657	Governess
546776	147235	Nurse
546776	151826	Klára
546776	179883	
546776	223526	Eva
546776	317582	
546776	327763	
546776	384174	Magd Anna
546777	402531	
546778	84103	
546778	238040	
546778	306948	
546779	339292	Benedikta
546780	384128	
546782	217217	Zofia Czerska
546782	244100	Helene, a teenage prisoner
546782	315814	Cashier
546782	343299	
546782	373522	Amelie Holska
546783	213226	Nurse
546784	120116	Brenda
546784	380391	Karen Campbell (1978-1979)
546785	316027	Bouncer
546785	383969	Herself
546786	136460	Student in Self Defense Class
546787	73693	Penny
546787	107180	1st Nurse
546788	57232	La pianiste
546789	18527	Haftrichterin
546789	95304	
546789	98980	Renate Stemper
546789	100919	Sekretärin
546789	107841	Karin
546789	125290	Berufsberaterin
546789	177219	Mother
546789	179294	Kerstin
546789	225643	Rosa
546789	226179	
546789	231623	Uschie
546789	281669	TV-Reporterin
546789	282235	Sandy
546789	284125	Steuermännin
546789	290107	Burga
546789	317131	Vicky Retzlaff
546789	325389	Anita Kaden
546789	325402	Angelika Weiss
546789	325422	Irmgard Köster
546789	325441	Chris Stegmann
546789	325504	Kirsten Fassbeck
546789	325551	
546789	325565	Ann Silenski
546789	325820	
546789	325845	Petra
546789	339799	Dorothee
546789	352659	Beata Hersfeld
546789	356547	Rita
546789	356566	Ingeborg Gilardi-Hölzle
546789	376291	Frau Heymann
546789	376292	Sonja Wernicke
546789	388246	Frau Wieland
546789	389286	
546789	403791	Käthe Boetzkes
546789	405500	Jutta Holzer
546790	288862	Herself
546791	325377	Angelika Merten
546791	394480	
546791	398429	Christa Wilde
546792	104655	Marylou
546793	334385	New York pageant judge
546794	104665	
546794	216864	Vivian
546794	254989	Woman in drive-in
546795	172858	Jacqueline
546796	132786	Olga
546796	162099	Leila
546797	380005	Elektra (1992-1993)
546798	108146	
546799	72670	Paula Lebert, Benjamins Schwe
546799	91028	Sylvia Mergentheim
546799	98302	Nina Rehberg
546799	123952	Lisa
546799	352061	Pia
546799	352583	
546801	159890	Danka
546802	386938	Herself
546803	7441	Marie Dominici
546803	24181	Huguette
546803	75628	Marianne
546803	101511	
546803	156553	Yvonne Bertoli
546803	198100	Manette
546803	198339	Marie Blum
546803	202319	Judith
546803	258788	Janine Manin
546803	265223	
546803	267015	Mme Andrieux, la femme qui a 
546803	319826	Madame Castang
546803	345458	La Mère
546803	377792	Grandmother
546803	383819	Cécile
546803	396240	
546803	405351	Teresa
546804	174405	
546804	284446	Princess Angelína
546804	317553	Marta
546804	399869	Dr. Olga
546805	107696	Señorita
546806	77306	Chameli
546807	283197	Maggie
546808	34022	
546808	98554	
546808	233229	
546809	169664	
546810	76799	Jhinuk's mother
546810	145716	
546810	147026	Daughter-in-Law
546810	320172	
546811	16767	Tara
546811	22849	Kate
546811	35690	Darla
546811	53318	Young Nona Gina
546811	94019	Paisley
546811	121367	Cell mate
546811	223768	Tourist Girl
546811	235622	Lara
546811	326389	Waitress
546811	326410	Sheila Lipton
546811	331209	Ashley
546811	366670	Debbie
546812	30756	Batseba
546812	124438	Annie Lantinga
546812	243018	Bugs Bunny
546812	375377	Zjenja
546812	375521	Hoertje
546812	394612	Suzan
546812	402545	Akkie Swaan
546812	402546	Akkie Zwaan
546813	54595	The Spider Queen
546815	403738	Isabel
546816	81649	Beth Kramer's Daughter
546817	104758	Yugoslav backing vocal
546817	215443	Miss planete
546818	104757	Yugoslav entry (14th place)
546818	104758	Yugoslav backing vocal
546818	104759	Yugoslav entry (18th place)
546818	147240	Yugoslav entry
546818	170227	Herself
546818	170234	Herself
546819	226442	Administrativa Hospital
546820	48783	
546820	218041	Benedicta
546820	269969	Conceição
546820	378940	Tuca
546820	396035	Letícia Moraes
546820	396610	Débora (1997)
546820	400670	Tiburcina
546820	408592	Shirley da Silva
546821	208746	
546821	378940	Bia
546821	381328	Leninha
546821	388450	Sula
546822	379182	
546823	408529	Hawaiian Doctor
546824	100916	
546824	302761	Claudia
546825	292446	Sugar
546825	395919	Kim Symmons
546826	377353	Lüders Tochter
546827	230699	Woman with projector
546828	315807	
546829	258666	
546830	366139	
546831	336234	L'assistante de Peggy #1
546831	346769	Anne Saulieu
546832	160064	
546833	3582	
546834	77271	
546835	40871	
546835	82489	
546835	88729	
546835	132204	Nun
546835	179338	
546835	180361	Grandmother
546835	219426	Matchmaker
546835	238843	Nurse
546835	258638	
546835	294663	Zhurkevich (professor's aide)
546835	350806	Malanya's mother
546835	374179	Kaurova
546836	98022	
546836	379217	Malgorzata Okinczyc
546837	209046	Mesera
546838	147945	
546839	119137	
546840	222778	Lorraine
546841	124378	Extra
546842	157231	Galela
546842	164622	Joker (1976)
546843	315829	Ragazza compagnia comici barc
546844	134323	
546845	304691	Jennifer
546846	3139	(segment "No mamma no")
546846	6208	Eva Bianchi
546846	19926	Lea
546846	22000	Italo's mother
546846	25320	Lucilla
546846	33662	
546846	44829	La Kleptomane
546846	51376	Elena
546846	54149	La Fidanzata
546846	64244	Gina
546846	92071	Zazà
546846	94702	Matilde
546846	102303	Grazia
546846	112175	Patricia Cotten
546846	112274	Rosina
546846	113707	Clelia
546846	124233	
546846	128029	
546846	132721	
546846	133388	
546846	158626	Teresa
546846	200540	
546846	213797	
546846	217553	
546846	234774	
546846	247023	
546846	256154	
546846	259949	Herself
546846	260604	
546846	263934	
546846	293451	Lana Ross
546846	295161	Fiorenza
546846	334487	
546846	336587	La signora del vagone-letto
546846	336590	Doriana
546846	336594	La nipote di Gemma
546846	341860	Giulietta
546846	351074	Lucy
546846	355801	
546846	366553	Jeannette
546846	399653	Matilde Bonelli
546847	156858	Herself
546848	395872	
546848	408410	Alicia
546849	19624	Denise Dupuy
546849	28623	
546849	51241	Alice Moreau
546849	53743	Mademoiselle Cast
546849	97966	
546849	121936	Dr. Karadin
546849	168890	Fille Sacré-Coeur
546849	198970	Liliane
546849	217039	Catherine, The Teacher
546849	217943	Ute
546849	285773	Christine
546849	309569	Prouhèze
546849	336968	Eva
546849	382754	
546849	401931	Nathalie Langeac
546850	336968	
546851	181339	Agáta
546852	13440	Lulu
546852	41446	Talking Tina
546852	107509	La petite fille défilé de mod
546852	112895	Judith
546852	121414	Caroline
546852	293694	Céline Rivière
546853	234826	Pige/Girl
546854	64637	Maria
546855	1017	
546855	6493	
546855	9706	
546855	9725	
546855	18755	
546855	28970	
546855	42577	La Madre de Raúl
546855	44659	Amelia Roade
546855	52987	Lola 'La Guindilla'
546855	54760	Loles
546855	55515	
546855	55741	
546855	61145	
546855	71281	Balbina
546855	71282	Balbina
546855	88199	
546855	98998	
546855	100498	Aurora
546855	192935	
546855	205429	
546855	212402	
546855	231601	Fuen
546855	236014	Helena
546855	247198	Reglita
546855	272374	
546855	294075	
546855	307291	Lola
546855	314715	Felisa
546855	327927	
546855	332668	María
546855	339122	
546855	341162	
546855	378929	Soledad Huete
546855	387566	
546855	389676	
546855	393932	Benigna
546855	402570	Eulàlia Padrós i Pi
546855	408203	
546855	408306	
546856	56500	
546856	90137	
546857	216059	Mariana
546858	7189	
546858	191168	
546858	216059	Marianeta
546858	233334	
546858	332640	
546859	162254	
546860	145152	
546861	412138	Panelist
546862	247469	
546863	60921	Camarera
546864	153828	Santa
546864	219009	
546865	357727	Maya's Daughter
546866	109264	Aneta as a child
546866	383206	Malena
546866	389780	Loli
546866	403651	María Roldán González
546866	405789	Ana 'Anita' Campos
546866	405916	Lila
546867	52060	
546867	379460	La Perra
546867	384775	La perra
546867	385852	
546868	10114	Louise
546868	249713	Cécile, la soeur
546869	277372	
546870	76814	Young Esperanza
546871	135366	
546872	117867	Ninfa
546873	203925	Dieng's Sister
546874	202215	Lucinda Malcriada
546875	67052	Young Girl
546875	194814	Nicole
546876	325007	
546876	325009	
546877	18949	
546878	38792	Heera
546878	172933	
546879	176955	
546879	198915	
546880	322547	
546881	173706	
546881	177843	
546882	49440	
546882	182804	
546882	238395	
546882	308288	
546882	377539	
546882	387200	Red Fraggle
546883	252725	
546883	346726	The Blonde
546884	69090	Miss G.
546884	395095	Judy Mercier
546884	395096	Judy Mercier
546885	110306	Amy
546886	105478	
546886	137559	Gül
546886	172660	
546886	310058	
546886	370775	
546887	12649	
546887	25729	
546887	33300	
546887	34046	
546887	158642	
546887	176700	
546887	256943	Ulviye
546887	285246	
546887	370631	
546887	371555	
546887	375853	
546888	155939	
546888	160226	
546888	164035	
546888	172140	
546888	182803	
546888	187629	
546888	371897	
546888	377492	
546889	215119	Erzika
546890	115941	Margot
546891	180418	
546892	166566	Clatsop Indian
546893	24738	
546893	98263	Grit Haase
546893	197833	
546893	359645	
546894	86303	Mimi
546894	138457	
546894	207086	
546894	306930	
546895	166566	Clatsop Indian
546896	115300	Girl In Porn Room
546897	166566	Clatsop Indian
546898	201112	Girl in wheelchair
546899	121888	
546900	43401	La prostituée
546900	111022	Maria
546900	171416	
546900	208513	Daouïa
546900	307478	Angèle
546900	343565	
546901	395895	Hostess (2002)
546901	405799	Co-Hostess (2002)
546901	409310	Herself (2002)
546902	81463	Car Girl
546903	325311	
546904	213352	The Old Midwife
546904	292474	Grandmother
546905	186413	Texas Rose Bascom
546906	92439	Mrs. Stratton
546906	109823	French Widow
546906	141454	Phyllis
546906	163199	Barmaid of the 'Two Compasses
546906	203535	Edna
546906	338746	Olivia Winter
546906	372862	Janet Fry
546907	49634	Herself/Bunny Girl
546908	268252	
546908	387621	Gabriela Inés Reyes Valderram
546908	404203	Anabela
546908	405776	Chery Benavides
546908	408389	Elizabeth Tariffi Martínez
546909	142284	Little girl
546910	148686	Deliah
546911	255501	Marcela
546911	383812	Heidi
546911	401481	Trinidad Molina
546911	402411	Javiera
546912	68697	The Ballet Mistress
546913	224341	
546914	217648	Lena
546914	353823	Mirabelle
546915	104726	Herself
546915	104727	Himself
546915	104728	Herself
546916	27480	
546916	320629	French mistress
546917	340798	Katie
546918	343800	Andrea
546919	122019	First Bank Teller
546919	275523	Granny
546920	291825	Female Mariachi Band
546921	131347	Woman in Central Park
546921	137620	Elmira
546921	188453	Jazz's Mother
546921	278711	Prof. Lillian Bech
546921	330594	Judge
546922	26971	Party Animal
546922	108535	
546923	97688	Candy
546923	121374	Dell
546924	300589	
546925	233460	
546926	90243	Natalie Lee
546927	305458	Angie Age 2
546928	19177	June
546929	9679	Hospital patient
546930	305148	Lisa's Office
546931	319083	2nd Woman
546931	396550	Hanan
546932	170243	Megan
546933	243411	Herself - Kidney donor/Worker
546934	145848	Bess Shelgrove
546934	203414	
546935	409578	Ruth Anderton
546936	411802	Mackenzie Browning #1 (1999-2
546937	407076	Herself
546938	263637	
546939	244046	
546940	125658	
546940	394750	
546941	224032	
546942	33175	Ivana
546942	77214	Bosnian interpreter
546942	205443	Nina Kovacs
546942	265269	Lyndita Zecciri
546943	192904	
546944	87188	Pevacica
546944	94062	
546944	386659	Ruza
546945	193211	Herself
546946	60323	Madonna
546947	262541	Herself
546948	210483	Shushing Woman
546948	328272	La Perla Employee Julie
546949	137579	Comedienne
546949	391222	Herself
546949	400256	Herself/Various
546949	405887	Herself
546950	121794	Laura
546951	209683	Constituent #2
546952	18352	Herself
546952	46296	Dancer
546952	56895	
546952	96973	Mary
546952	97035	Jackie
546952	114618	Terry Grouse
546952	133417	Indian Girl
546952	140925	Dancer (segment "Daddy's Song
546952	185420	Rose
546952	220057	Addict
546952	246230	Désirée
546952	246861	Pajama Girl
546952	280263	Phoebe LaVie
546952	304571	Sammy Mitchell
546952	321154	Dancer in 'Rhythm of Life' nu
546952	322615	Herself (go-go dancer)
546952	335463	Herself
546952	354521	Red
546952	392423	Herself
546953	176742	Joann
546954	5363	
546954	20794	
546954	277610	
546954	349520	
546955	344593	Vittorio's daughter
546956	354028	
546957	3206	Joanne
546958	401970	Maria Boschi
546959	109449	Court Reporter
546960	141187	Angela
546961	6569	Rose, épouse du contonnier
546961	15096	Michèle Broussard
546961	23750	Gaby
546961	23781	Yvonne
546961	28239	Peggen Mike
546961	57540	Natacha
546961	75628	Mlle Vineuil
546961	83341	Nadine
546961	91453	Suzanne Broussard
546961	111684	Julia, la bonne
546961	125461	Suzette Grégorio
546961	199584	
546961	200966	L'assistante de police
546961	229495	Bertha
546961	269752	
546961	309748	La stoppeuse
546961	333611	Voice
546961	340448	Madeleine
546961	345154	Clara
546961	389784	
546961	392580	Mme Rachmaninoff
546962	291517	Iodice
546963	355014	Classmate One
546964	40066	
546965	25318	The Little People
546966	378731	Mme Jeneau
546966	381617	Angélique
546967	37387	Hotel clerk
546967	139056	Leslie Miller
546967	185173	Jamie
546967	194687	Sexy party girl
546967	381819	
546968	35269	Sexton's Wife
546968	54706	Herself
546968	59691	Herself
546968	88095	Herself
546968	99302	Herself
546968	125484	Herself
546968	240466	Herself
546969	1435	Herself - Presenter
546969	1674	Herself
546969	2899	Herself
546969	3021	Herself - Best Supporting Act
546969	3027	Herself - Presenter: Best Sup
546969	3100	Stephanie Smith
546969	30955	Vicki Vale
546969	40533	Maggie O'Connor
546969	40632	Nadia Gates
546969	57665	
546969	57762	Jessica Martin
546969	58022	Herself
546969	70421	Holli Would
546969	89126	Officer J.Z. Kane
546969	90900	Marion Cole
546969	99593	Harmony Jones
546969	116698	May
546969	126340	
546969	126604	Carol McCoy
546969	127148	Prissy Frasier
546969	139050	Jodie
546969	154200	Kuki Gallmann
546969	174644	Katie McEvera
546969	177022	Laury Medford
546969	182955	Lynn Bracken
546969	203549	Louise Carr
546969	206477	Vicki Anderson
546969	219957	Andrea Spalding
546969	224336	Celeste Martin
546969	226504	Nadine Hightower
546969	228473	Memo Paris
546969	230394	Domino Petachi
546969	232812	Elizabeth
546969	233774	Michel Duvall
546969	252445	Victoria Gray
546969	266419	Kitty Potter
546969	273340	Karen McCoy
546969	278891	Narrator
546969	291878	Herself
546969	291880	Herself
546969	335112	The Corpse
546969	360291	Honey Horneé
546969	386613	Officer J.Z. Kane
546969	389411	Lorene Rogers
546969	389412	Lorene Rogers
546970	301701	Susan
546970	347327	Sandra
546971	93217	Sorority Sister
546972	223740	Leilani
546972	366102	Coed #1
546973	236340	Herself
546974	383799	Mrs. Hunter
546975	280194	Commentator
546975	301615	
546976	71474	'Creole Love Call' sung by
546977	64424	Mrs. James
546977	79025	Form teacher
546977	293198	Mrs. Skynner
546977	382332	Christine Smith
546977	385020	Sue Jeffers (1990-1997)
546977	402141	Dr. Littlefield
546978	402123	Jane Bennet
546979	387533	Lesley Walker (1998) (4 episo
546980	378883	Presenter
546980	404349	Presenter
546981	117281	College Girl
546981	192503	Model #2
546981	221021	Herself
546982	380713	Daniel Hughes #1 (1999-2001) 
546983	257232	Woman on Plane
546984	311975	
546985	231671	Janna
546986	2107	Nathalie
546986	15066	Blanche
546986	17847	Juliette
546986	24684	
546986	32031	Gisèle
546986	36671	Béatrice
546986	40259	Marie-France Mariani
546986	42214	Lady in White
546986	45729	Lou
546986	55404	Marion
546986	64006	Nina
546986	66714	Vanessa Wenger
546986	68812	Angela
546986	68921	Une jeune femme
546986	70116	Claire Vignon
546986	77421	Marguerite
546986	77926	Hélène
546986	99222	Eline Vere
546986	109102	Countess Mauer
546986	111031	Rose Cassenti
546986	126427	
546986	157325	Chantal
546986	170452	Lucienne
546986	199369	Madame Quatre
546986	206300	Madame
546986	212159	
546986	217830	Sophie sauzet
546986	220255	
546986	224872	Marie Avril
546986	234270	Nicole, la mere
546986	240580	Claire
546986	243011	Julia Jaspers
546986	243295	Nadine
546986	245484	Gritte
546986	248895	
546986	254312	Irène Weber
546986	261756	Jeanne
546986	265694	
546986	275131	
546986	281637	Rosa
546986	284257	Gabrielle Danton
546986	286931	
546986	287330	Raymonde
546986	307399	Belle
546986	309561	Marion
546986	324616	Joanna
546986	345055	
546986	349418	Sonia
546986	349424	Simone
546986	353660	Mireille
546986	377047	
546986	387612	Angélique
546986	393889	
546986	407272	
546986	409974	Constance
546987	49206	Mrs. Ferry
546988	146661	Game Show Girl
546988	173933	Cheerleading Coach
546989	98687	
546989	173214	
546989	210772	
546989	226082	Samira
546989	300770	
546989	379630	Marina Foskolo
546989	397345	
546990	29099	Patsy
546991	74600	Mujer
546991	279803	Mélanie
546991	281636	Edelmira
546991	286229	La Goya
546992	136684	
546993	153121	Social Worker
546994	188963	Woman Cop
546995	30647	
546995	129627	Hollywood
546995	303225	
546995	390180	Hollywood
546996	371425	
546997	340431	
546998	258129	
546999	321952	
546999	410411	
546999	410412	Sestra
547000	35690	Lehua
547000	48959	Divine Hill
547001	41587	
547003	20285	Kathreine 'Kay' Moore
547003	20345	Zelma Shaw, a Dancer
547003	47879	
547003	48539	Roxanne
547003	54841	
547003	57653	Jane
547003	63426	
547003	67769	Mary Houston
547003	77646	
547003	93171	
547003	94610	Helen Dane
547003	95093	Child
547003	97084	Attwater's Servant
547003	113350	Belle
547003	118334	Ah-Nee
547003	124471	Agatha as a child
547003	130149	The Girl
547003	130967	Constantina
547003	134446	
547003	139087	Senorita Martini
547003	142588	Janet Kenyon
547003	146316	
547003	152515	
547003	171446	
547003	191992	
547003	213170	Mona
547003	218938	Claudia
547003	220378	Nanette LeStrange
547003	231909	Mona
547003	234890	Dot
547003	248486	Nada
547003	252296	
547003	254460	Betty
547003	258004	
547003	259765	Nellie Vance
547003	263999	
547003	272119	Felice MacLean
547003	281097	
547003	281868	Anita
547003	291314	Herself
547003	294690	The Dancer
547003	299546	Undetermined Role
547003	300076	Rita
547003	309579	Brunette in Saloon
547003	313512	
547003	315095	
547003	338267	
547003	360554	Jessie
547003	362614	Ada Berkowitz
547003	372812	Birdie Goldfish
547004	65384	Aimée Lanthenay
547004	254132	
547004	396366	La baigneuse (segment "Autops
547005	360818	Grad Student
547006	23937	
547006	56465	
547006	266479	
547006	277002	
547007	200864	Telephone Operator
547008	145630	Herself
547009	194687	Singer #3
547010	39627	Rebel #3
547010	279456	Nurse
547010	322566	Waitress
547011	388363	Georgia
547012	299018	Herself
547013	100193	Corinne
547013	199697	Stacy
547014	368419	
547014	382932	Carol
547015	238612	Triathlon Bikers
547016	134716	Margret Packmuhn
547016	266625	Mother
547017	194833	Nancy
547018	113152	Dana Diamond
547018	175844	Fran
547019	340104	Jennifer
547021	202195	Hilda, 8 years old
547022	381910	Herself (Series 5) (2004)
547022	381920	Herself (Series 4) (2004)
547023	215539	Herself
547023	230877	
547023	264785	Herself
547023	368834	Herself
547023	369279	Herself
547023	369287	Herself
547023	402907	Herself (1999)
547023	406933	Herself (1999)
547024	277378	
547025	161345	Herself
547026	154984	Nutbrown's Girls
547027	395613	Waitress/prize model
547028	60016	Harwood's Secretary
547028	61888	Darlene
547028	63068	Rachel's mother
547028	90908	Sally
547028	120148	Nurse
547028	126705	Processor
547028	223799	Woman
547028	254291	Petunia Baxter
547028	321213	Shirleen
547028	333364	Lady in welfare office
547028	338553	Cafe Waitress
547028	402605	Server
547029	297776	Convention Girl
547029	372244	Casino Woman
547030	70391	Singer at final club
547030	71474	Dancer
547030	132562	Glam Slam Dancer
547031	42842	Woman in Green
547031	55444	
547031	88663	Detective
547031	106254	Laureen
547031	199460	Lisa
547031	257451	Matty
547031	310639	Socialite
547031	335710	Cynthia Oberman
547031	337281	Susan Dobson
547031	365451	Judge Sylvia B. Waxman
547032	48070	Waitress
547033	224173	Norene, AA Member
547033	280141	Abby Aldrich
547033	318712	Estelle
547034	2252	(segment "Teuf d'enfer, La")
547035	6570	Samar
547036	245090	Tracey
547037	377736	Fille couple wagon squatt
547038	151187	Antoinette
547039	199892	Anouk
547040	67494	
547041	77429	Damiana
547042	212336	Herself - Participant/Perform
547043	29817	Woman (jazz)
547043	101867	Lola
547043	324295	
547043	384972	Laura Martínez (2002 -)
547043	399506	Sònia
547043	405498	
547043	407808	Renee
547044	336941	
547045	206681	
547046	209073	
547047	44794	
547047	54111	
547047	69223	
547047	71279	
547047	86899	
547047	143784	
547047	150529	
547047	248763	
547047	277435	
547047	351574	
547047	353616	
547047	387478	
547047	390657	Elisa
547047	409288	
547048	12449	A lady
547048	63153	
547048	83957	Frau Raeder
547048	93603	Parisian lady
547048	103237	Mrs. Henning
547048	124971	Mom of Ilse Thorn
547048	154759	Mrs. Marie Hoprecht
547048	188744	
547048	199318	Madame Perot
547048	230856	
547048	277447	Guest
547049	395667	Philo Bennarsch
547050	1989	Alice Perrin
547050	19836	Mme Grégoire
547050	58416	Simone
547050	60506	
547050	63668	
547050	66850	
547050	70591	
547050	70596	
547050	78447	
547050	84661	Léonie
547050	85543	L'habilleuse
547050	87840	Cecile
547050	94240	
547050	107640	Titi
547050	111117	Henriette
547050	111687	
547050	124357	Camille Serin
547050	132769	La mère d'Etienne
547050	134588	
547050	149119	
547050	164188	Maria
547050	193895	
547050	200966	Maid
547050	204559	
547050	206055	
547050	215501	
547050	244967	
547050	248256	Madame Roussel
547050	249459	Carmen
547050	251301	
547050	258842	
547050	259732	
547050	260861	
547050	262942	Une infirmière
547050	264024	Fernande
547050	268980	
547050	270765	
547050	282065	
547050	282282	La femme de Fredo
547050	283027	
547050	283032	Mme Gildas
547050	285081	Fifine
547050	324615	
547050	327563	Martine Grandvivier
547050	332923	
547050	336756	Marinette
547050	345480	
547050	345518	
547050	354094	
547050	404153	
547051	103375	Esposa de Holquist
547051	164871	Richard's secretary
547052	846	#43 Passing on Big Role: Mons
547052	1703	Herself
547052	2307	Herself
547052	2314	Herself
547052	2626	Herself
547052	42871	Lena
547052	45707	Reva Devereaux
547052	58666	Cheryl McNair
547052	64869	Reesha
547052	69895	Rachel Constantine
547052	73575	Fran
547052	91959	Prostitute at Headquarters
547052	103840	Herself
547052	106767	TV reporter
547052	108333	Bev Andress
547052	113868	Allison
547052	143918	Lt. Phoebe Jeter
547052	147666	Herself
547052	151458	Stella Payne
547052	158106	Lori
547052	160000	U.S. Attorney Sinclair
547052	164619	Katherine Jackson
547052	177204	Stewardess
547052	186534	Elizabeth Chase
547052	189314	Linda Thornton
547052	191085	Pat
547052	193280	Willie
547052	202195	Betty Shabazz
547052	207171	Mistress
547052	220783	Mo
547052	220805	
547052	221832	Herself
547052	223084	Janet Williams
547052	238613	Herself
547052	241732	Lois
547052	244824	Miles' Mom
547052	247882	Betty Shabazz
547052	253361	Carla Peters
547052	281644	Rosa McCauley Parks
547052	282935	Ruby Delacroix
547052	291026	Diane
547052	316067	Lornette 'Mace' Mason
547052	319270	Desiree Stokes Perry
547052	319656	Kaela Evers
547052	345728	Reader
547052	350192	Rita Veder
547052	358376	Bernadine 'Bernie' Harris
547052	362512	Tina Turner
547052	363723	Groove
547052	364124	Herself - Bernadine 'Bernie' 
547052	367812	Herself
547052	379381	Narrator
547052	383802	
547053	151670	Dr. Naomi Fisher
547054	236972	Adult at the Party
547055	176335	Goldwyn Girl
547056	311975	Karen 'K.C.' Castle
547057	5925	Cindy
547058	152826	Cathie Levey
547059	330881	Jesse's Girlfriend
547060	62437	
547061	152826	Chrissie Levey
547062	310589	Neville's Asst. Director
547062	311975	
547063	1782	Herself
547063	2005	Herself
547063	2322	Herself
547063	2535	Herself
547063	2994	Herself
547063	295391	Herself
547064	382379	Mousey (1995-99)
547065	57817	
547065	122991	Allison
547066	32122	Sister
547066	47210	Herself
547066	52204	Cora
547066	67478	Trolley Lady
547066	90209	The Housekeeper
547066	96799	Ella Khan
547066	108951	Maryann Money
547066	140076	Madame Brontski
547066	150790	Nelly Boxall
547066	159132	Doctor
547066	185713	Evelyn
547066	188220	Mrs. Miles
547066	190003	Mary Thornton
547066	194667	Tom's Mother
547066	195205	
547066	196353	Mother
547066	206691	Anthea
547066	206884	Mary's Mother
547066	231046	Virginia Lyddon
547066	243934	Betty Stratton
547066	248991	Janet Swanton
547066	294510	Maggie
547066	305344	Sandra Matkin
547066	311427	Auntie Vee
547066	311662	Mrs. Spud
547066	330830	Nurse Nina
547066	354488	Gwen
547066	382659	Maud
547066	382663	Maud
547066	382751	Maureen Tyler
547066	399531	Ellen Slater
547066	400530	Abby Potterson
547066	400546	Carol-Anne Kumar
547066	401307	Iris Jennings (Pilot) (1995)
547066	408704	Rachel Lithgow
547067	33179	Ballet Dancer
547068	95877	Model
547069	63764	Receptionist
547070	197185	Nancy
547071	131473	Rhonda
547072	18993	Anna
547072	78107	Jody
547072	100198	Nancy
547072	257108	Sharon
547072	303225	Teenage girl #3
547072	385544	Kelly Armstrong
547074	36839	Woman in Old Ladies' Home
547074	221297	Glee Club Member
547074	366946	Sour-faced Old Dame
547075	311664	Hyacinth
547076	3593	Herself/Marion Colby Chandler
547076	43606	Diplomat's Wife
547076	95271	Mrs. Dellacroce
547076	130098	Mrs. Wilson
547076	156472	Real Estate Woman
547076	163248	Mrs. Allen
547076	257445	Mrs. Farber
547076	277091	Ruth
547076	302789	
547076	314439	Dr. Brady
547076	343294	Mrs. McKenzie
547076	360149	Mrs. Loftmore
547076	379716	Marian Colby Chandler (1983-1
547076	387309	Juror (1976)/Abby Wolcott #2 
547076	396088	Dr. Jennifer Stark (1969-1971
547076	405882	Dorothy Conrad (1975)
547077	305920	Tyler's Party Girl #2
547078	23919	Herself
547078	38241	Herself
547078	47079	
547078	84286	Herself
547078	138721	Herself
547078	165265	Herself
547078	169815	Herself/interviewee
547078	223076	Herself
547078	228303	Performer/Herself
547078	234188	Herself
547078	249555	Herself/Performer
547078	262959	Herself
547078	282701	Performer
547078	316316	Herself
547078	330774	Herself
547079	248412	Volksvrouw
547080	115161	Joe's Woman
547081	158627	
547082	310974	
547083	19926	Cinzia
547085	52079	Abuela
547086	2683	
547086	56351	Sole
547086	73468	Magdalena
547086	83879	Liliana
547086	96294	Elsa
547086	103773	
547086	197162	Natacha
547086	207947	
547086	244618	María
547086	250799	
547086	266478	Lisa de Sanabria
547086	334577	Lili
547086	355488	
547086	391860	Alejandra Maciel
547086	392805	
547086	402158	Catalina Baigorria 'Cati'
547086	406051	Luz Reyes de Amaya
547086	409959	Carolina Gutiérrez
547087	170359	Albert's companion
547088	33893	Party Girl
547089	244365	Cheerleader
547090	21756	Nana Benz 1
547091	30056	Lilly
547091	115634	Nurse #1
547091	159200	Judy Johnson
547091	277772	Sheila
547091	280000	The Witch
547091	331871	Newswoman
547092	80558	First Kissing Couple
547093	71658	Kelly Kellogg
547093	224729	Marion Marshall
547093	399130	Isabelle 'Izzy' Hoyland (2003
547094	398501	Marly
547095	152930	Annie McKnight
547095	213466	Cabriolet Girl
547095	279386	
547095	389103	Karen
547095	411802	Shelly (1995)
547096	63130	Anna (Age 18)
547097	319742	
547098	70963	Angie
547098	176892	
547098	338037	Jamie
547099	342035	Woman in Store
547100	217167	L'Orage
547100	397857	Cliente librairie
547101	400921	Diana Salinger (2000)
547102	127938	Romana
547102	301165	
547103	400921	Diana Salinger (2000)
547104	90718	
547105	167043	Jane D'Ho
547106	14668	Child
547107	387359	Nora Roelofse Naude (1992-)
547108	10051	Luca Maria
547109	50127	
547109	55925	Tona
547109	57781	
547109	64023	
547109	90099	Viuda
547109	115763	
547109	124786	
547109	183984	
547109	189024	
547109	274481	
547109	286357	
547109	351830	
547109	376719	
547110	99443	Ekspeditrice I parfumeforretn
547110	324635	
547110	356855	
547111	40296	
547112	66837	Prosecuting Attorney
547113	260296	Lisa
547114	108411	
547114	368561	Sarah
547114	380165	Eva Pourais
547115	263056	Police Clerk
547117	334597	Herself (ex-wife)
547118	10820	Convent nun
547119	7457	Amie Gwenaêlle 2
547120	108361	Une adolescente
547121	100897	Espectadora/Enferma
547122	1034	England
547122	30959	Mrs. Delane
547122	51668	
547122	56314	Meg
547122	65113	
547122	93017	Bess, Harry's Girlfriend in B
547122	113463	Victoria
547122	127321	Angela
547122	140130	
547122	140979	The Girl
547122	154101	Girl Friend
547122	187312	Sharron Macready
547122	191399	Radio Operator
547122	203218	Joan Lytton
547122	224124	Cicely Clarkson
547122	235991	Mircalla Karstein
547122	238330	
547122	329501	
547122	332371	
547122	341351	
547122	352083	
547122	380484	Helene
547122	383872	Sharron Macready
547122	384571	Diana Dalzell
547123	188579	Herself
547124	353707	April Ellison
547125	80584	Suzanne Dayton
547125	281193	Girl #1
547125	308173	Johanna
547125	361611	
547126	181902	Moeder Drost
547127	249559	Voice of reporter
547128	132641	
547129	208707	
547130	208707	
547131	339172	Rossi
547131	396333	Secretaria de Bernarda
547132	117585	Danser
547132	165917	Frk. Frost
547132	202310	Dania
547133	395969	Herself
547134	361538	Child
547135	67922	Tara
547135	231091	Monica
547135	391786	Rebecca 'Becca' Hayton (2001-
547136	306216	
547137	366670	Beth Ryan
547138	139833	Sabine
547139	189079	Catherine 'Cathy' Kean
547140	365918	
547141	2795	Susan Rather
547142	231359	Bic
547143	58662	Kelly Turman
547143	107793	Nicole
547144	94881	Crying Infant
547144	228660	Baby
547145	12217	Nurse
547145	26644	Gail
547145	35144	O.R. Nurse #2
547145	59350	Dinner Guest
547145	73561	Porno Shop Cop
547145	80606	Margie
547145	107990	Inmate
547145	158338	Judy's cellmate #2
547145	183715	Judy Adams
547146	17137	
547146	109778	
547146	390498	Cameriera Casa Antonio
547147	202244	
547147	336970	
547147	386691	
547148	17379	
547148	225102	
547149	307440	
547150	10246	
547151	63905	
547151	221755	
547152	319516	Rosita
547153	319516	Rosita
547154	398807	Rafaela
547155	19839	(segment "Goûter de Josette, 
547155	132411	
547156	94238	Woman cop
547157	292355	
547158	399082	Fliquette Véronique
547160	19621	Rose
547160	27778	Bea
547160	64007	Kittin
547160	70715	Thérèse
547160	88844	Katia
547160	91242	Dorothée
547160	122431	Delphine
547160	187751	Marianne
547160	199984	Patricia Cheremetiev
547160	211741	
547160	234783	Violette Desmartine
547160	245794	Juliette Huet
547160	256360	Josyane Krawczyk
547160	256999	Fabienne
547160	261864	Violetta
547160	264525	Brigitte
547160	270542	Scenes Deleted
547160	272098	
547160	272285	
547160	284336	
547160	287316	
547160	293319	
547160	315829	Caterina
547160	327892	Angela
547160	328047	Lio
547160	329663	Doaiva
547160	343569	Eva
547160	345118	Anna
547160	348647	Lysa Forstier
547160	356974	Suzanne, la secrétaire Hiagau
547161	276137	Herself (Société Radio-Canada
547162	289055	Loulou
547163	51451	Enfant au foulard
547164	355507	
547164	410628	Aline Filion
547165	83480	
547166	2684	
547167	230434	Jr. Editor
547168	9695	
547168	12929	
547168	108579	
547168	146511	
547168	148029	
547168	205703	
547168	211906	
547168	212452	Elena
547168	216854	
547168	246300	
547168	278529	Kay Hillman
547168	307203	Leonor
547168	333751	
547168	338323	Micaela
547169	327577	Madame de Marsantes
547170	240694	Ed's Hooker
547171	295998	Virgo
547172	352290	
547173	212761	
547174	95987	
547175	346886	Carolyn
547176	333143	Wife
547177	91164	
547177	262406	
547179	42589	Canária
547180	385023	Margareth Fraga Dantas
547181	104082	
547181	281647	
547182	341158	
547183	390244	Margarita
547184	307638	Manuel's Mother
547184	344851	Lina's mother
547184	354736	Libânia
547184	381246	
547185	12528	Carla
547185	57287	Susana
547185	384480	Amália
547186	197991	Maid
547187	84183	Maria da Silva Oliveira
547188	30388	Unknown (Portuguese version)
547189	278890	Rita
547190	13460	Herself
547190	88805	TV Hostess
547191	18999	Dancer
547193	384832	Host
547195	301342	
547196	246687	Sandwich Queen
547197	107347	Girl in a group of friends
547197	284434	Lehrerin
547198	89812	
547199	2617	Herself (Performer)
547199	4294	Raina (Special Appearance)
547199	7361	Ria Malhotra
547199	9234	'Fake' Sonia/Neeta
547199	43171	Herself (bonus songs)
547199	62725	Insp. Ranjita
547199	116914	Sanjana
547199	135867	Prabha
547199	162687	Khusboo
547199	167988	Sonia Khanna
547199	211421	Ria
547199	270218	Sanjana Dhanraj
547199	271622	Drishti
547199	283003	Dr. Gayatri
547199	323626	Panasa
547199	373828	Nandini
547200	172920	Dance Teacher
547201	137988	
547201	344066	
547202	375515	Gentry
547203	5244	Esther Alfandari
547203	17102	Rosa
547203	23052	Atalia
547203	24531	Aya
547203	31473	Sonia
547203	86080	
547203	89040	
547203	112826	Milena
547203	138434	Russian woman
547203	157231	Nadia Cohen
547203	200026	
547203	209099	Asia
547203	215372	
547203	217568	Yola
547203	227920	Rebecca
547203	270443	
547203	353863	Nadine
547204	137088	Mother Dashti
547205	35059	
547205	98748	Parasztmenyasszony
547205	189084	
547205	378261	
547206	185649	Fiona
547207	317	La serveuse d'Elvire
547208	36457	
547208	148702	La jeune femme à la robe fran
547209	15986	
547209	211832	Sorella di Erode
547209	266002	
547209	388419	La coloneel
547209	388419	La colonelle (segment "L'écha
547210	33626	
547210	35302	
547210	76584	Juliette
547210	112812	Sister Félicité
547210	122367	Marina
547210	135343	
547210	171107	
547210	182949	Woman Bitten by Dog
547210	329158	Corinne
547210	376989	Irène
547211	27823	Valérie
547211	61983	Mimi
547211	66158	Johanna
547211	70594	Karine
547211	183010	Frédérique
547211	201143	Pamela Rose
547211	288896	Julie Giordano
547211	288897	Julie Giordano
547211	288898	Julie
547211	288899	Julie Giordano
547211	288900	Julie Giordano
547211	345537	Julie
547211	376910	Nadia
547211	390773	
547211	398843	Sylvie
547211	409462	Lily
547212	119751	La Pygmée
547213	7244	Marie-Jeanne
547213	7449	Madeleine Brabant
547213	14915	Henriette (segment "Miracolo,
547213	53104	Marie-Louise
547213	55008	Yvette Martin
547213	63653	
547213	67180	Anny, la serveuse
547213	73157	Edith
547213	101251	Simone
547213	117685	Ming
547213	125737	Yvonne Barlay
547213	166716	Florence
547213	170419	Lucie
547213	260584	
547213	260939	Claire Lécuyer
547213	269103	
547213	280788	Rabbit
547213	281795	
547213	294740	
547213	335899	
547213	345512	
547213	346712	Henriette
547213	356982	Paulette Papillot
547213	377957	Marie
547214	80959	
547215	79185	Beatriz Figueira
547216	60025	Religieuse orientale
547217	145137	
547218	233334	
547218	302350	child
547218	373757	
547219	372191	Singer
547220	399505	Sergent Mayte Aguirre
547221	90152	
547222	95696	
547223	49828	Danielle
547224	52070	Daughter
547224	71377	Evita
547224	89399	Luísa
547224	99403	
547224	163501	Penelope
547224	234623	Carla
547224	237503	
547224	251917	Maria João
547224	260989	Mariana
547224	269054	Ana
547224	327533	
547224	349815	Luisona (little girl)/Young E
547224	380071	Lucia Stone
547224	389124	Annette
547224	389125	Annette Forsyte nee Lamotte
547225	17813	M.me Hischier
547225	246398	
547225	390753	
547225	406294	Madre Massimo
547226	342675	Louisa (segment "Shooting, Th
547226	350237	Adriana
547227	404577	
547228	145339	Fairy
547229	26610	Van's Secretary
547229	36970	
547229	116172	
547229	176358	Goldwyn Girl
547229	367073	Inhabitant of Emerald City
547230	170411	Coffee bar person
547230	368675	Maud Warlock
547231	59185	Performer
547232	217726	La copine de Benjamin
547233	355924	Extra 1
547234	405209	Simone Hanson (1999)
547235	407224	Bailiff (Parent's Court seque
547236	379255	Rosie Mole
547236	409356	Marie
547237	316325	Waitress
547238	344534	Herself
547239	202511	Victoria
547239	307595	Mary
547240	100193	Gus
547242	80444	Dr. Marilyn Beck
547242	86797	Maureen Delaney
547242	134664	Pat Denton
547242	137563	Sophie Hennington
547242	199167	
547242	380207	
547242	399130	Madeline Price (1989)
547243	69953	
547244	121615	Inmate
547245	270135	Kelly Powers
547246	294804	Colby
547247	147541	Liz
547248	52882	
547248	164506	
547249	193900	
547250	240429	
547251	203037	Nurse
547252	278822	Emily Hodge (Age 10)
547253	5500	Mrs. Wayne
547254	18029	Lisa Temple
547254	48592	Carla
547254	53308	Karin Nichols
547254	65896	Jessica Grant
547254	80649	Marty Hiller
547254	108384	Mallory Keaton
547254	109658	Megan Brennan
547254	114262	Sara
547254	130050	Meradith
547254	145002	Sandy
547254	147781	Lucy Freers
547254	158191	Lynn Carlson
547254	178009	Molly
547254	213867	Herself
547254	232321	Janet Beehan
547254	263758	Darcy Link
547254	278268	Deborah Jahnke
547254	288628	Jennie Lee
547254	289265	Chelsea
547254	328560	Robin
547254	383802	Elizabeth
547254	388359	Mallory Keaton
547254	397419	Sarah Stretten (1996)/Sarah M
547254	400548	Annie
547255	190702	Cheerleader #2
547255	235403	Cheerleader on Football Field
547255	243150	Dancer
547255	391013	Bombshell
547256	366655	Edna Daniels
547257	365108	Herself
547258	13397	Gail (segment "The Amazing Fa
547259	21196	
547259	32145	Mrs. Calkins
547259	53263	Mary's Landlady
547259	54476	Señora
547259	64104	Ma Du Geen
547259	92064	
547259	104340	Mrs. Tucker
547259	128568	Mrs. Browne
547259	143055	Victory, Fred's Sister
547259	143310	The Aunt
547259	150849	
547259	152589	Mother Finnegan
547259	155700	Mrs. O'Reilly
547259	155847	Aunt Ollie
547259	175233	Mrs. Henshaw
547259	231437	Miss La Creevy
547259	262041	Undetermined Role
547259	281158	Lady Montague
547259	294952	Aunt Judith
547259	317161	
547259	324413	The Widow, Florence's Mother
547259	327750	
547259	328753	Joan Durbeyfield
547259	330289	
547259	339842	Mrs. Smiley
547259	341921	Mrs. James Sheridan
547260	180545	Koudelka Iasant
547261	57177	Phyllis Weston
547261	109859	Mrs. Fitzwilliam
547261	146053	Mrs. Tukes
547261	155843	Mrs. Biltmore
547261	222655	
547261	231975	Nan
547261	245527	
547261	323402	Lady Foxham
547262	299842	Amanda
547263	84325	Waitress
547264	132486	
547264	154434	Dentist's assistant
547265	223506	Candidate #13
547266	63654	Courtisan (English version)
547267	122657	Member, WAC Quartet
547268	321276	Katrina
547268	379741	Regular Performer (1995-1996)
547269	97206	Prospective Roommate
547270	355153	Erica
547271	79611	Small girl
547271	116079	Bratty Sister
547271	140183	Donna
547271	287728	Elf in hangar
547272	6984	
547272	11108	Phoebe
547272	11158	Jane Stanton
547272	12784	Ticket Seller
547272	18736	Jennifer Fair
547272	33646	Ernestine Gilbreth
547272	51799	Lisa Anthony
547272	60162	Ernestine Gilbreth
547272	73392	Girl
547272	107013	Debbie Terkel
547272	137393	Debbie Terkle, in 'Fabulous J
547272	150800	Beth Roberts
547272	151005	Judy Anderson
547272	154840	Jenny Brock
547272	160566	Leza
547272	168646	Gracie Anderson
547272	170608	Jeanne Brinker
547272	183792	Hat Check Girl
547272	188403	Barbara Denham
547272	231964	Palace Maiden
547272	241468	June Payton
547272	245301	Piney
547272	269804	Helen
547272	277440	Effie Cahill
547272	280992	Stewardess
547272	286197	Salome girl
547272	292508	Barbara Purcell
547272	330836	Mrs. Dailey
547272	337111	Elizabeth Fenner
547272	393077	Cathy 'Katy' Morgan
547273	246697	'Salvation' Nell
547274	23553	Faith
547274	73826	Jennifer
547274	155099	Felicia
547274	238067	Nurse Susan
547274	245142	Maggie
547275	44264	Joan Randall
547275	292051	
547275	335154	
547276	329346	Paula's Mother
547276	333856	Steerage dancer
547277	22020	Stacy
547277	25711	Servant Girl in Black
547277	386616	
547278	130037	Mother
547278	273930	Lucy
547278	281446	Maid at Windy Corner
547278	328751	Girl in meadow
547278	329692	Agnes
547278	363263	
547278	383582	Manon
547278	400530	Market Woman
547279	343032	Nana
547280	155890	Nurse Murphy (segment "1961")
547281	70486	Dancer
547281	369492	Muse 4
547282	274456	Jennifer Paris
547283	327625	Mrs. Rogers
547284	238252	Girl Dancer
547285	139650	Brunette Lady - Moving Pictur
547285	304353	Laura
547285	330681	Susan
547285	389099	Freddy Boult
547285	393042	Zoe (1997-)
547285	394239	Kate Kavanagh
547285	397626	Constance
547285	404742	Fiona
547286	385728	John Blenheim (1992-1993)
547287	2472	Emma
547287	83777	Waitress
547288	33601	Nellie Chatfield
547288	33610	Viola
547288	46013	Mrs. Murdock
547288	52646	Mrs. Emmie Dolittle Trippe
547288	62498	Madame 'Pugsie' Helene
547288	65372	Nancy Riddle
547288	66201	Dowager
547288	71788	Ma Ryan
547288	83836	Mrs.Lannie
547288	84834	Customer
547288	85995	Rose
547288	109863	Minerva Bobbin
547288	124720	
547288	128192	Miss Emma Shoemaker
547288	140320	Mrs. Fillmore
547288	141620	Mrs. Edna Craig
547288	145829	Lady Sloughberry
547288	152221	Duchess
547288	154553	Florence Dana Moorhead
547288	160433	Geraldine Atherton
547288	169906	Chita
547288	174594	Woman Customer at Shoner's St
547288	177988	Karsha
547288	178342	Customer Buying Perfume
547288	188577	Mrs. Manleigh
547288	195382	Mrs. Davis, Landlady
547288	195539	Mrs. Cooper
547288	197297	Mrs. Anna Hubbell
547288	201068	
547288	203130	Mrs. Thorpe
547288	203140	Woman
547288	207138	Madame Chavez
547288	212212	Mrs. Baldwin
547288	215334	Madame Bonnet
547288	215981	Mrs. Mary Davis
547288	218688	Tiare Johnson
547288	221001	Mrs. Van Every
547288	223829	Horible Hannah Reeve (the lan
547288	224003	Mrs. Saunders
547288	240904	Madame Dilyovska
547288	245209	Harriet Pringle
547288	249039	Mrs. Nora Sullivan
547288	261082	Mrs. Jekes (landlady)
547288	273585	Mrs. Edythe Van Hopper
547288	279135	Ma Dunnegan
547288	279361	Mrs. Newton
547288	286895	Henrietta
547288	286961	Sadie
547288	288208	Sophie Bellop
547288	292262	Amelia Foster
547288	292470	Mrs. Griswold
547288	302467	Hungry Woman on train
547288	304959	Mrs. Roanoke-Brooke
547288	308370	Countess Mathilde
547288	315996	Katie
547288	323071	Queen Liliha
547288	324042	Mrs. Charlotte Alsop
547288	329148	Mandy
547288	330167	Gypsy Woman
547288	333386	Mme. Lucia Cassel
547288	335469	May Tolliver
547288	342128	Emily
547288	360479	Mrs. Elsa Vanderlip
547288	363731	Molly Veech
547288	363732	
547288	366422	Mrs. Castle
547289	298055	Kid on Bike
547290	106249	Herself
547291	72688	Nurse
547292	49945	Amy
547293	260327	Aries
547294	20287	Dancer
547294	143651	Dancer
547294	157870	Bit
547294	280895	Dancer
547295	26721	Agnes, the Bradley housekeepe
547295	39797	Olga
547295	41149	Almee
547295	58943	Mary Watson
547295	81186	Mother
547295	86279	Older Woman (Northeast Plane)
547295	93139	Jeanne
547295	102344	Mrs. X
547295	120609	Nurse
547295	126696	Divorced Woman
547295	132756	Mrs. Menken
547295	136002	
547295	136141	Nurse
547295	144411	Chief WAC
547295	207137	Victoria
547295	217476	Emily Dwyer
547295	222194	Irene
547295	250985	Attending Nurse
547295	254583	Diana Palmer
547295	270500	Phyllis Lake
547295	276816	Miss Norcutt (first victim)
547295	284808	Durga
547295	294746	Terry
547295	296927	Adele Carter
547295	298069	'Red' Burns
547295	301679	Katherine
547295	305179	Wife
547295	309505	Ann Winson
547295	310598	
547295	316281	
547295	316351	Clara Thomas, the Nurse
547295	319076	Sidney Hawkins
547295	319760	Mrs. Flanders
547295	335469	W.A.C. Woman
547295	340327	Weaver's daughter
547295	340521	
547295	353305	Marilyn
547295	365381	Mrs. Felt
547295	381636	Nurse Wills
547296	105398	
547297	13805	Portland Hair Dresser
547297	41869	Lobby Nurse
547297	73829	Sheryl
547297	80381	Michelle Brown
547297	80832	Rita
547297	110243	Julie Masse
547297	119625	Female Jailer
547297	141662	Girl in Locker Room
547297	156970	Home Buyer
547297	158983	
547297	190378	Lust
547297	215274	Dr. Rory Sorensen
547297	252989	Karen
547297	284935	Coach
547297	296769	Tiffany
547297	405118	Newscaster
547298	273794	Mary
547299	228785	Fiona
547300	261425	Student
547300	343258	
547301	350172	Ellen
547301	404282	Weatherperson (1984)
547302	38685	Woman in theater
547302	45494	Small Town Woman
547302	128386	Mrs. Rogers
547302	132821	Tenant
547302	134107	Mrs. McTavish
547302	138224	Carrie
547302	329116	Woman School Teacher
547302	347411	Mrs. Smith
547303	2761	Herself
547303	2899	Herself - Best Actress Winner
547303	2904	Herself - Presenter: Best Act
547303	3021	Herself - Past Winner
547303	3053	Herself - Presenter: Past win
547303	5037	Roberta Hertzel
547303	7585	Herself
547303	14122	Ma James
547303	17067	Meg Bethune
547303	17751	Miss Hannigan
547303	20620	Queen Victoria
547303	21157	Mrs. Canby
547303	22873	Hazel Quarrier
547303	26425	Mrs. Mellon
547303	46837	The Marquesa
547303	48217	Mother Superior
547303	57665	
547303	65022	Bankruptcy Judge
547303	67791	Stella Mae
547303	81629	Herself
547303	85611	Shirley Voguel
547303	89742	Dolores Claiborne
547303	92865	Mrs. Belmont
547303	97830	Voice of Raphaella, the Magic
547303	120148	Evelyn Couch
547303	131677	Herself
547303	144956	Jill
547303	148316	Frances Lacey
547303	149953	Peggy Say
547303	157464	Herself
547303	159680	The Judge
547303	168654	Katherine Kovacs
547303	185853	Helen Kushnick
547303	191653	Kippie Kann
547303	192688	Lunar Mom
547303	195844	Mary Ann Bankhead
547303	210732	Lisa Coleman
547303	215346	Annie Wilkes
547303	219371	Woman on Mateo Street
547303	222739	Bobbi Burk
547303	223709	Helen Blake
547303	224313	Christine Chapman
547303	226475	Romanian Judge
547303	233864	
547303	235052	Alaskan Mom
547303	243950	Herself
547303	260384	The Sea Hag
547303	262798	Leah Blier
547303	263755	Libby Holden
547303	267648	Not known
547303	272602	The Squirrel Lady
547303	279409	Elsa Barlow
547303	280421	
547303	296917	Prostitute
547303	301393	Mary Beth Alder
547303	314455	Herself
547303	315899	Selma Darin
547303	318712	Ruth
547303	321421	Miss Swaffer
547303	323594	Audition Singer: 'Even the Ho
547303	324022	
547303	333856	Margaret 'Molly' Brown
547303	333861	Margaret Brown
547303	333878	Mrs. Margaret Brown
547303	341813	Narrator
547303	343045	Furniture Man's Wife
547303	345857	Grace Beasley
547303	347924	
547303	348838	Bibby Berman
547303	359186	Maurine Collier
547303	360027	Helen 'Mama' Boucher
547303	361689	Mr. Goo
547303	363953	Rosemary
547303	366936	Frances Marion
547303	379716	Belle Bodelle (1984)
547303	406363	Rae Flowers
547304	182334	'Don't hit me' Woman
547305	166746	Teresa
547306	36781	Marlene
547306	238648	
547306	324091	Woman at airport
547307	10901	Bordello Lady
547309	197615	
547310	184906	Herself
547311	232335	Alma
547312	6805	Bit
547312	7190	
547312	20489	Olga Karnovitch
547312	33748	Undetermined Role
547312	52062	Mrs. Woodhue
547312	56113	Tourist
547312	63422	Bit Role
547312	78762	Hunt Guest
547312	96788	Elfie St. Clair
547312	112183	Guest
547312	122967	Guest
547312	129088	Mrs. Ethel Hayle, the Hostess
547312	141481	Woman
547312	143098	The lady crook
547312	143588	Party and Wedding Guest
547312	143651	Bit Part
547312	160615	Undetermined Role
547312	185991	Ellen
547312	205991	Madame de Lancey
547312	210838	Ada Semple
547312	221297	Miniver Guest (Dance)
547312	231797	Banker's Wife
547312	259789	Guest
547312	266179	Doctor's Wife
547312	299163	Passenger
547312	301488	His sweetheart
547312	334402	Dowager
547312	362187	
547312	368763	Ethel Clarke
547313	213590	Schoolgirl
547313	335332	Lily (Joanna)
547314	389803	
547315	256428	
547316	5146	The Girl
547317	278784	Granny
547318	395647	Lady Suffield
547319	96795	Honey
547320	119484	Cartoonsville Mom
547321	263589	Sheila
547322	30582	Beers Cheerleader
547322	136836	
547323	169510	Jenny Singh
547324	279200	Dancer
547325	292817	Girl
547325	323385	First hitch hiker
547326	10141	Miss 'Tolly' Tolliver
547326	366124	Marjorie Mayhew
547327	2288	Herself - Presenter
547327	31187	Herself - NBC Team Contestant
547327	109424	Enid Gutkas
547327	142893	
547327	258018	Zelda Golden
547327	279481	Alice Poo
547327	382208	Arkansas
547327	389512	Regular
547327	394276	
547327	403661	Mongo Sue Lampert
547328	270346	Ghetto Victim
547330	157324	Second Grade Communion
547331	278988	
547332	92170	
547332	206430	
547333	252483	Springfield Prison Guard
547334	119803	Paris model
547334	308382	Trumpeter
547334	323432	Girl on Train
547335	213142	
547336	28708	Granddaughter
547337	145415	Liz
547338	354519	The Children
547339	387269	Alison 'Allie' Burr/Allegra T
547339	397521	Haley
547339	402138	
547339	410629	Tess Eveling
547340	192575	Herself
547341	261049	Girl
547341	334085	Trisha
547342	199367	Belotte
547343	10420	Alfreds Frau
547343	34334	
547343	42117	
547343	113051	
547343	147186	Registrar
547343	165339	
547343	174088	Karl May's Grossmutter
547343	180638	Inge Bombach
547343	225116	
547343	228547	
547343	259521	
547343	259522	Ruth Brender
547343	259572	
547343	259641	Martha Abeleit
547343	259642	Martha Abeleit
547343	312651	
547343	361514	Helga Redlich
547343	376278	
547344	59350	Party Guest
547344	106731	Elderly Woman
547344	135177	Mrs. Horniman
547344	333366	Lady B
547345	139227	Rocco's Girl
547346	71364	
547347	367054	The Wiz Singers Adult Choir
547348	131431	Stormy (age 17)
547349	138716	Herself
547349	378833	Presenter (1989)
547349	382961	Presenter
547350	346978	Marika's Mother
547351	322101	Madeleine,Duday felesége
547352	128445	
547352	155056	Holly
547353	920	Woman
547354	207268	Female dancer
547355	97882	
547356	4028	
547357	394868	Assignment Editor (1998- )
547359	250961	Marina
547360	68573	
547361	356029	
547362	529	
547362	4514	
547362	12826	
547362	12827	
547362	28873	Queen of Bananaland
547362	43366	
547362	55312	
547362	55340	
547362	55362	
547362	82991	
547362	101791	
547362	101922	
547362	103953	
547362	104179	
547362	104494	
547362	116393	
547362	116426	
547362	122161	
547362	135268	
547362	169712	
547362	184824	Camélia
547362	212059	
547362	222191	
547362	237208	
547362	241194	Nonoca
547362	333693	
547362	356035	
547362	377605	
547362	377606	
547363	393351	
547364	44218	
547365	234614	
547366	54571	Mamba
547367	55343	
547367	58710	
547367	205142	
547367	252348	
547367	354217	
547367	383560	
547367	391310	
547368	43609	
547368	90821	
547368	148482	
547369	99998	
547370	297937	Jo
547371	286574	
547372	28908	
547372	92054	Maria
547372	100648	Alma
547372	376467	Martina
547372	384343	
547372	387465	Isabella
547372	392740	Denise Nascimento
547372	392741	Denise Nascimento
547372	392742	Denise Nascimento
547372	396162	Eleonora de Fonseca Pimentel
547372	405037	
547373	4514	
547373	8581	
547373	12826	
547373	28873	
547373	34284	
547373	55340	
547373	55344	
547373	57465	
547373	76066	
547373	82991	
547373	101922	
547373	103953	
547373	104179	
547373	104494	
547373	116393	
547373	116426	
547373	205696	
547373	212059	
547373	222191	
547373	237208	
547373	237216	
547373	254240	
547373	262235	
547373	286573	
547373	333693	
547373	339996	
547373	341469	
547373	341476	Herself
547373	344699	
547373	355131	
547373	377605	
547373	377606	
547374	182443	
547374	275589	
547375	340359	
547376	70732	Herself
547376	91151	
547376	377609	
547377	345895	
547377	349721	
547377	351476	
547378	148472	
547379	196682	
547380	387897	Anastasia/Alexandra/Catalina
547380	393802	Desirée de Rojas
547380	397578	Chiquinquirá Lorenz Rivero
547381	52070	Dancer
547382	12080	
547382	205696	
547383	18802	
547383	23873	Neighbor Miralpeix
547383	56840	
547383	58180	
547383	94622	
547383	111995	
547383	124295	
547383	160794	
547383	170920	Rosa
547383	186144	
547383	189298	
547383	191549	Hiparquia
547383	233260	
547383	236447	
547383	236752	
547383	239284	
547383	243959	
547383	254987	Teresa
547383	257908	
547383	273740	
547383	355472	
547384	324502	Dancer
547385	16760	Pauline Drauffer
547385	49255	Douglas
547385	133773	The Child
547385	191720	Peggy
547385	276596	Child
547385	282108	Nurse West
547385	302952	
547385	326005	Pat
547385	331441	Peggy
547385	337669	Child
547385	359265	Pierre
547386	382294	Jaime Smith
547387	255009	Marama
547388	393268	Portia
547389	259925	
547391	14192	Real Danielle
547392	340872	L'adolescente allemande
547393	281978	Annina
547394	30530	Pratibha
547394	36000	Lawyer's daughter
547394	57877	
547394	59038	Driver's daughter
547394	86674	Sonia Chopra
547394	134002	
547394	139827	Pooja
547394	163858	Roshni Hiranandani
547394	168206	Casino Dancer (Special Appear
547394	172150	Mona
547394	173317	Nandini (actress)
547394	181479	Savitri (Special Appearance)
547394	209816	Col. Thampuran's wife
547394	228870	TV reporter
547394	249663	
547394	297210	Rupa
547394	323279	Queen Noorjahan
547394	323674	Kamini
547394	354978	Anita
547394	355329	Ravi's girlfriend
547395	63574	
547395	258675	
547395	291593	
547395	349076	
547396	123923	The Wife
547396	162733	Gigi
547396	288272	Mona
547397	255234	Aztec Dancer
547398	230857	Gaia's Handmaiden
547399	129521	Chicago Girl #4
547400	363415	Girl in Bar/Girl on the Stree
547401	343128	Nun
547402	102581	Trolls
547403	28791	Orchid Dothan
547403	62560	Susan
547403	126535	Dr. Cook
547403	127488	Diana
547403	128089	Acting Coach
547403	150814	Shirley
547403	158896	Mrs. Maier
547403	195518	Brenda
547403	245498	Mavis
547403	268936	
547403	269674	
547403	315228	Ruby
547403	318763	Bed Stuy Woman Interviewed
547403	369178	Teenaged Girl
547404	75802	Mary
547405	282772	H.S. owner's wife
547406	122198	Religious Group Member
547406	257048	Marnie
547407	317309	Bonnie & Clyde Musical Audien
547408	86021	Francine
547408	93981	Gloria Levin
547408	149107	Charlotte
547408	196544	Dulcy
547408	245434	Mona Griswold
547408	288695	Girl in Disco
547408	293644	Nurse
547408	307898	Olivia
547408	340757	Girl
547408	342975	Classmate
547409	89830	
547409	243307	
547410	53058	Russell, Jenny
547411	342744	Guendolina's Son's Wife
547412	51362	
547412	161126	
547413	384253	
547413	398489	
547413	400488	Wife of the Porter
547413	400640	
547413	401437	Otilia
547413	407792	
547413	410404	Charito
547414	302484	Delia
547415	383784	Michela (commessa di Laura)
547416	366617	Luggage Salesperson
547417	2042	Herself
547418	67940	Club Musician
547419	356055	
547420	277851	Athlete
547421	291923	Dramization actor
547422	13850	Alice Prescott
547422	22802	Rebecca
547422	39142	New Woman Cop
547422	48468	Dancer
547422	59665	Treasure Chest Dancer
547422	70355	Dorena
547422	206524	Petal
547422	274319	(segment "Tears")
547422	294236	Punk Waitress
547422	302943	Allegra
547422	321367	Go-Go Dancer in Club
547422	357998	Catherine Lane, Noah's Ex
547423	1382	Herself (flies across South A
547423	16796	Herself
547424	218853	Guitar Player (segment "Come 
547424	221474	Herself (Michael Jackson's gu
547425	383323	Herself-Finalist
547426	20625	Extra
547427	109576	Suzie
547428	43976	
547428	82376	Tracy DeLors
547428	241311	Karina
547428	270008	Cornwall Cousin
547428	380523	Brittany
547428	406279	Natalia Carlisle
547428	406952	Sarah Cummings #2 (5/1998-12/
547429	145171	Kim
547429	380713	Connor Jamison Walsh Strickly
547429	400236	Luna Moody Holden (1991-1995,
547430	2090	Annabelle
547431	149716	Housewife
547432	132247	Rolling Hills Dance Team
547433	133163	La cliente du magasin
547433	153874	Mme Guedel
547433	357092	
547434	155430	
547434	213291	Melanie (segment "Pax")
547434	405500	Susi
547435	15238	Jacqueline
547435	23871	Gloria Royal
547435	24735	Ketty
547435	57896	Louloute
547435	65089	
547435	71832	Gigi
547435	96241	Isabelle
547435	116070	Mrs. Bridleford
547435	122428	Gisele
547435	134589	La comtesse
547435	164208	Lucie
547435	165185	
547435	166268	Mlle Rolande
547435	198840	
547435	199611	
547435	220279	Claudine
547435	235821	Marinette
547435	236527	Marie-Madeleine
547435	238466	Martine Cairolle
547435	248953	Claudia
547435	254093	Rosette
547435	268402	
547435	280537	
547435	285083	L'épiciére
547435	307124	Roxy
547435	336725	La femme d'Henri
547435	338592	Mariette
547435	340127	Margot
547435	340129	Angèle
547435	346702	Georgette
547435	346703	
547435	357097	
547435	377910	
547435	377945	Olga
547435	396187	Mme Moreau
547436	276295	
547437	255122	
547438	69546	
547438	129046	
547438	228555	
547438	339207	
547439	115325	Madeline Turner
547439	115326	Bly Assistant
547440	239756	Airport Cafe Waitress
547441	314491	
547442	239588	Marlene
547442	313706	Lori
547442	375801	Bobbi
547443	28775	
547443	117331	
547444	69895	Herself
547444	126648	Herself
547444	384542	Bobbie Battista
547445	22996	Mary Mathews as a Girl
547445	41045	Alice
547445	44010	Chinese Girl
547445	75513	Baby Betty
547445	75636	Lettie
547445	101504	Lillian Stevens
547445	106502	Hassouna's Little Sister
547445	120543	Toinette
547445	131587	Pearl Binswanger, as a child
547445	152655	Minnie Ginsberg
547445	203563	Little Girl
547445	287759	Molly
547445	302390	
547445	305598	Little Mary, Moonyeen's Siste
547445	314120	Lydia Canfield, as a child
547446	154108	Malone's Secretary
547446	158276	Laura Burrows
547446	227377	
547447	58184	
547448	336587	La Serva di casa
547448	336606	Antonietta
547448	341860	Lisetta
547449	236722	Wife
547450	407139	Jazz
547451	48297	Marcella Celhoio
547452	29596	Sophie
547453	127324	Dancer
547454	56903	Anna
547455	513	Old Lady
547455	3099	Sam
547455	20460	Additional Voices
547455	67586	2nd Female Guest
547455	69265	Lieutenant
547455	74270	'Lady' Kimie Hanada
547455	91848	Nurse
547455	96415	Lunarian Queen
547455	122109	Taiisukun
547455	122110	Taiisukun
547455	122111	Taiisukun
547455	122112	Taiitsukun/Narrator
547455	122113	Taiitsukun/Narrator (English 
547455	137049	Gen Nakaoka
547455	143921	
547455	147362	Old Woman
547455	164703	
547455	181965	'Lady' Kimie Hanada
547455	213445	
547455	213446	
547455	213448	
547455	265100	
547455	296785	
547455	300044	Additional Voices
547455	310087	Sandra
547455	310106	Sandra
547455	313402	Narrator
547455	313425	Narrator
547455	331541	
547455	350782	Mrs. Ellison
547455	378718	Circus Master
547455	386396	
547455	389791	Additional Voices
547455	400576	Additional Voices
547455	404060	
547455	409831	Captain Mango Vivian
547455	411289	Methuselah
547456	307975	Gigi
547457	10871	Nurse
547458	184548	Laura Ann
547459	20146	Zerbinetta
547459	29777	Rosina
547459	55394	Herself
547459	90076	Zerlina
547459	99248	Adina
547459	108683	Feature Soprano (segment "Pom
547459	173824	Zerlina (segment "Don Giovann
547459	174596	Herself
547459	174597	Herself
547459	175536	Herself
547459	175548	Herself
547459	212107	Performer
547459	230211	Sopran
547459	230684	Herself
547459	350411	Lead Singer
547459	374131	Pamina
547460	210324	
547460	308109	Slave Girl
547460	358535	
547461	367055	Poppy/Emerald City Citizen
547462	67604	Waitress
547462	195140	Gertrude
547462	223867	Second Maid
547462	308057	Mrs. Faraday
547463	121615	Female Prison Guard
547464	116523	Magic Maid
547465	367083	Running Girl
547466	8216	Singer at GP&S
547467	144816	Miss Big Booty '95
547468	196946	Second Waitress with Turkey
547469	196965	Redhead
547469	247363	Chevreuse
547470	252450	Cassie Ryan
547472	115873	
547473	213246	
547474	304683	
547475	154902	Partygiver Sheridan
547475	231439	Mrs. Ralph Nickleby
547475	238140	Vacation Woman
547476	162364	'Shut Up' Guard
547476	191016	Earle
547477	30202	Charity 'Chairy' Barnum
547477	263795	Carsen
547477	389876	Aristocrat
547478	24951	
547479	139373	Cerkez Cariye
547479	179810	Su
547479	237512	Müzeyyen
547479	303027	
547480	38333	
547481	84762	Karel's mother
547481	178803	Renata
547481	238209	
547481	357279	Jana Jakoubková
547481	357904	
547481	402047	
547482	357127	
547483	212624	Tresh
547483	405209	Suzy Bailey (2001)
547484	122110	
547485	95966	Olga Michajlowna
547486	357639	
547487	3179	
547487	293903	
547488	200802	
547489	242443	Clementine
547490	20571	Woman
547491	186237	Zorka
547491	373568	
547492	285195	Dashteryata na pchelarya
547493	168326	Patrolman Rizo
547493	245625	Hooker
547494	3476	Alicia
547494	5107	
547494	14775	Periodista TV
547494	15371	
547494	55592	
547494	63904	Narradora/NCV
547494	71288	
547494	76110	Marta
547494	106993	Mercedes
547494	211048	Inés
547494	265140	Granddaughter
547494	269915	Luci
547494	284888	Marta
547494	334656	Natalia
547494	378929	
547494	408418	Chelo
547495	275680	Herself
547496	290070	Herself/Schindler mourner
547497	357516	
547498	138532	Nanna
547499	82580	La femme Lavazza
547499	91980	
547500	9704	
547500	14942	Susana
547500	25798	
547500	49430	
547500	68564	
547500	75368	
547500	80189	Amparo
547500	86570	Digna
547500	95012	
547500	99798	Magda
547500	139908	Adela
547500	151806	(segment "Jueves")
547500	169335	Muchacha
547500	188999	Ana
547500	212257	Woman Kidnapper
547500	222537	
547500	229432	
547500	234315	
547500	241517	Flor
547500	250796	Maribel
547500	255487	
547500	301657	Gladys
547500	331300	Mariana
547500	334056	Lucia
547500	393363	Cristina Valdés
547500	398229	Carla
547500	402839	Margarita
547500	405398	Julia
547501	57561	Herself
547501	147896	Herself
547502	194605	Girl on Disco
547503	119074	
547504	20831	
547504	142417	Member of Squad
547505	385092	Dr. Skellman
547506	51829	La soeur de Marie
547508	99590	Mme de la Courneuve
547509	21280	Anne, une amie
547510	383470	Adriana Libordo
547510	385365	Alfonsina Russo a.k.a. 'La Ne
547510	392212	Jessica
547510	397862	Beatriz Estrada Rossi 'La Beb
547510	398471	Gloria Leal
547511	1050	Lawyer
547511	2939	Agata Pressvik
547511	6584	Mrs. Eriksson
547511	47607	Girl
547511	47836	Vera Sanders
547511	84317	Svea Ohlsson
547511	99819	
547511	108200	Miss Widen
547511	109544	Betty, maid
547511	115398	Lotten Brenner
547511	121018	Mrs. Andersson
547511	138521	Madame Hillgren
547511	138529	Miss Ström
547511	142791	Mrs. Söderström
547511	150613	Tok-Greta
547511	154533	Aunt Augusta
547511	181006	Customer
547511	181847	Johanna Lindquist
547511	182288	Waitress
547511	182549	Doris
547511	182566	Greta
547511	182806	Salvation Army Soldier
547511	188874	Hilda, mayoress
547511	190807	Nurse Gudule
547511	190835	Woman at the party
547511	198018	
547511	203100	Teruska
547511	209306	Mrs. Svensson
547511	214362	Selma Jöhs
547511	216359	Aunt Sara
547511	217007	Mrs. Berg
547511	237257	Madame Jeanne
547511	237260	Emma
547511	240313	Maria, maid
547511	244075	Baroness Adelstolpe
547511	272755	Beda Kvist
547511	284123	Maria Larsson
547511	303644	Valborg Jeppman
547511	304161	Mrs. Schöling
547511	306371	Emilia Orre
547511	307762	Mrs. Örnstedt
547511	312022	Miss Göransson
547511	312225	Matilda Persson
547511	317471	Miss Gullkvist
547511	322297	
547511	341169	Frida
547511	342306	Stina
547511	343511	Mrs. Öhman
547511	346962	Nurse
547511	348501	Cook
547511	350397	Ms. Oskarsson
547511	353005	Anna Bergman
547511	353014	Hildur
547511	354569	Mrs. Karlsson
547511	354593	Grandma
547511	377298	Maria, housemaid
547511	377434	Mrs. Niklasson
547511	410218	Grandmother
547512	77362	
547513	68381	
547514	399315	Herself
547515	324729	Secretary
547516	287727	Cookie Elf
547517	81665	Ice Queen
547517	128345	Christine [Julie]
547517	232074	Holly
547517	263348	Cheerleader #2
547517	272022	Attendant
547517	305007	Herself
547517	411759	Stephanie (1989-1990)
547518	153847	
547519	46935	
547520	320316	Croupier
547521	62437	
547522	263848	Alicia
547523	13119	Tamara
547523	29614	Conchita
547523	32025	
547523	47158	Gisèle
547523	51378	Herself
547523	71821	
547523	103207	Germaine
547523	113115	Gretel
547523	198847	Une joueuse
547523	240477	
547523	243017	Claire
547523	258332	Christine de Villard-Beaupert
547523	260856	Clara
547523	295211	Eliane Roy
547523	345465	Guita
547523	347092	Yvonne
547523	357123	
547524	277850	#65
547525	134970	
547525	344671	
547526	202732	Inge
547528	211657	Copine
547529	97852	Clara Bauman
547529	101144	Amélie
547529	108635	Angéla Faber
547529	133167	Alice
547529	134617	Véronique
547529	254147	Bonnin
547529	260943	Hélène Borzet
547529	290440	Églantine
547529	345055	
547529	388150	Madonna
547529	404365	Corinne
547529	410469	Marie
547530	300613	Lucienne Lanot
547530	337028	
547531	224559	
547532	275619	L'indécise
547533	23105	Marie
547534	83344	Clarisse
547534	387697	
547535	201819	Herself (Script Supervisor on
547535	368902	Herself (Script Supervisor on
547536	146362	
547537	66215	Servilia
547538	198777	
547539	69953	
547540	96537	
547541	193058	
547542	285702	Liliane (10 jaar)
547543	270631	Herself
547544	66925	Rosemary
547545	20625	Extra
547546	254718	
547547	268074	Dancer
547548	36480	Hexenwächterin
547548	145494	
547548	374557	Liesl
547548	388468	
547549	5876	Sandy Andrews
547549	9145	Gabrielle Ademaur
547549	14200	Sarah
547549	19824	Estra
547549	56145	Joanna Gains
547549	115106	Katie Hurley
547549	229243	Nancy Gallmore (part 1)
547549	258949	Angela Falk
547549	279843	Dr. Juliette Faxx
547549	281769	Pat Lennon
547549	286809	Delilah
547549	294918	Christine Scavello
547549	302911	Dorian Gray
547549	313557	Mary (the Alien)
547549	333424	Claire Cygne
547549	335480	Pamela Ahlberg
547549	344203	Mud Wrestler
547549	366419	Yvette Malone
547550	198974	La mère de Fred
547551	241428	Perdita
547552	72502	Bert Bauer
547552	379612	Mary Aldrich #1 (1949-1950) (
547552	390771	Bertha 'Bert' Miller Bauer Ba
547553	285034	Gossip #1
547554	229038	
547555	5140	Silke
547556	275060	A Mostly-Red Kang
547557	71934	Nancy Neuberger
547558	304298	Grace Ward
547559	133212	Emily
547560	298545	
547561	361401	Dr. Gundacker
547562	203549	Svetlana
547562	338833	The Dream Dancers
547563	38590	Little Girl
547563	174953	Princess Lastelle (Disney 200
547563	193898	Tammy
547563	217745	Art History Student
547563	383742	Various Celebrities (1999-200
547563	390771	Erica (1999-2000)
547564	87953	The dancer
547564	180356	Furstin Von Dorstein
547564	373495	The girl
547565	12870	Regina Milde
547565	40404	Telse
547565	129709	
547565	142240	Frau Schober
547565	155431	Evi Meierhöfer
547565	156683	Barbara
547565	178536	
547565	184513	Charlotte Sellmann
547565	225273	Helga Krull
547565	290598	
547565	293543	Anna
547565	304194	
547565	325753	Mutter Dahlmann
547565	325776	Frau Holzmann
547565	351968	Oma Elfriede
547565	352581	Elli Lauritzen
547565	365707	
547565	376126	Erna
547565	376361	Elsbeth Schmitz
547565	379372	Ada
547565	379493	Mrs. Lauritzen
547565	379884	Regina Milde
547565	384393	Oma Dorothea
547565	386200	Olga Roth
547565	389956	
547565	390701	Olga Fink
547565	392636	Mathilde Kretschmar
547565	395001	Charlotte
547565	398089	Gisela Lorenz
547565	400273	Frau Behrens
547565	404488	Hildegard Zeisig
547565	406321	
547565	409588	Frau Schrübel
547565	409720	Mathilde Jordan
547565	412102	Elsbeth Schmitz
547566	72502	Mrs. Rawlings
547566	144392	Aunt Ruth
547567	254038	
547567	261116	Dancer
547567	291584	(segment "Hier, tu m'as dit d
547567	406790	
547568	389636	Herself (Host)
547568	407362	Host (September 1998 - 2001)
547569	196387	Fexi's mother
547570	330204	Herself (rescuer, Germany)
547571	191769	Old Woman
547571	323475	Farm House Lady
547572	358466	Telemarketer
547573	366586	
547574	11814	
547575	126223	Secretary
547576	174780	Inge König
547576	314541	Helga Held
547577	129590	Gay Raydon
547578	17697	Miss MacKay
547579	57945	Jackie
547579	64568	
547579	64569	Herself (performer)
547579	128479	Door Girl
547579	224593	Lizabeth
547579	262519	Mary of Nazareth
547579	363419	Brandy
547579	366408	Dr. Laura Spencer
547579	372525	Cameo appearance
547579	381281	Barbara Fisher
547579	385824	Dr. Laura Spencer (#5) (1993-
547579	404727	Elizabeth Alsop
547579	411802	Lauralee 'Lorie' Brooks (1973
547580	35079	
547581	324015	Water Taxi
547582	145623	Åsa
547582	355237	Gunilla
547583	93415	Jasmin
547584	2709	Female Firefighter
547584	67618	Suzie Endicott
547584	77759	Nico
547584	78759	Lydia Meyerson
547584	123024	Commander
547584	129578	Caroline
547584	129579	Dina
547584	147812	Kathleen
547584	178149	Katy Scott
547584	192788	Jean
547584	281254	Kelly
547584	281402	Karen
547584	384742	Lizzie Winter
547584	385204	Maggie Reynolds
547584	391516	Belinda Slypich (2002)
547584	408612	Geneva Renault
547585	84430	Lobo
547586	308206	
547587	106681	Clorinda, ex-dancer, their ne
547588	353464	Prostitute
547589	256976	Trashy Woman
547590	315807	
547591	124892	Gabrielle
547591	290216	Laura Klein
547591	336498	Myrna Fergusson
547592	211478	Damsel
547593	325402	Laura
547593	325543	
547593	325940	Laura
547594	194525	Nancy Bradshaw
547595	268585	
547596	229821	
547597	381429	Herself
547598	88192	
547598	135835	
547598	183669	Fifi
547598	312289	May Liggett
547599	158986	Client #2
547600	14150	
547600	20439	Dancer
547600	23447	Dr. Joyce Mann
547600	23448	Screaming Mom
547600	34636	Herself
547600	35532	Owner of Modeling Agency
547600	35540	Kristina
547600	37686	Dyanne Lynn
547600	37687	Miss Howell
547600	38165	
547600	38166	
547600	41017	Amanda Blackwell
547600	41138	Maude Stuart
547600	43531	
547600	53707	Herself (Candid Candid Camera
547600	53708	Debbie White (Candid Candid C
547600	57381	Locker room student
547600	57947	
547600	60706	
547600	61245	Greta 'Chickboxer' Holtz
547600	61898	Herself
547600	65562	
547600	65604	
547600	68319	
547600	75839	Shower Girl
547600	77754	
547600	80746	Female Spirit of Sex
547600	81262	Julia Wilcox-Weston
547600	82595	
547600	82757	Betsy
547600	84206	Stripper
547600	87018	June
547600	89888	
547600	91741	
547600	92400	Coed #1
547600	93534	
547600	98854	Gas station customer
547600	98863	Girl in hot tub
547600	98879	Hot tub girl
547600	105436	Mrs. Burt
547600	115300	Kitty Genovese
547600	142627	Michelle Novak
547600	147667	Mercedes
547600	148572	Dream Groupie
547600	155852	Herself
547600	161753	Herself
547600	165433	
547600	167566	Cindy Jakulski
547600	176463	Tracey Tailor (as Kim Bittner
547600	183559	Annalee
547600	192045	Kristin
547600	196041	Herself
547600	197758	Jackie
547600	203600	Nymphet
547600	204873	
547600	208502	Shana
547600	217771	Nazi Woman
547600	221287	Miss Kingsbury
547600	222762	Girl in Shower on TV
547600	226958	Michelle
547600	226981	Table Dancer
547600	232099	Sue
547600	232465	Mickey
547600	236366	Model
547600	241533	Cavegirl
547600	245725	Neighbor
547600	247195	
547600	252374	Therapist's Patient
547600	252397	Punk or Bust Hairdresser
547600	254457	Cave Bunny #1
547600	257641	Herself (Candid Candid Camera
547600	260092	Suzie
547600	260094	Suzie
547600	260095	Pony Girl
547600	267349	Lili
547600	274198	Lisa
547600	280653	Bod Sister
547600	281548	
547600	291248	Herself
547600	291414	Dancer/Ninja Girl
547600	297242	Homemaker
547600	297453	Photographer
547600	309199	Lisa
547600	310625	Jan
547600	311367	Sister Mary
547600	318863	Stevenson, Marilyn
547600	328259	
547600	328568	Jo
547600	328586	
547600	335214	Nefratis
547600	335230	Woman in Corvette
547600	338229	
547600	350216	Shampay
547600	355028	Miss Bush
547600	359431	Harem Girl
547600	361945	
547600	362516	
547600	366117	
547600	366703	Tara
547600	367829	Tracey Tailor
547600	384446	Madame Greta
547601	51941	
547601	360148	
547602	144842	
547603	274224	Betty
547604	28980	Colic
547605	79169	(uncredited)
547605	142129	
547605	189851	Host
547606	98204	
547606	230235	
547607	335353	Young Girl in Church (1920's)
547608	230087	Elisabeth, Freundin des Vater
547609	6044	
547609	193225	
547609	221570	
547609	221576	
547610	381429	Herself - mother of Frans
547611	227534	
547612	140317	Kerry Mendelson
547612	309804	Dominique
547613	43	Katie's Friend #2
547614	81649	Actress/Harry's Character
547614	85996	Sister Mary
547614	94167	Lucy
547615	376339	Bessy Turner
547616	179882	
547617	229559	
547618	370017	Female Opera Singer (Zerlina)
547619	295053	
547619	351381	Bozenka
547620	73987	
547620	241008	
547621	276202	Queen Contestant
547622	315745	Ballerina (segment "The Jealo
547623	379716	Adam 'J. R.' Chandler Jr. (#1
547624	42314	Stranger
547624	386921	Pan
547624	389464	Momiji's Mother
547624	394392	Ricky
547624	397371	Additional Voices
547624	411884	Additional Voices
547625	379716	Adam 'J. R.' Chandler, Jr. #1
547626	107928	Cheating Couple
547626	277648	Ilsa
547626	330219	Adele
547627	277648	Inga
547627	330219	Anadel
547628	353912	Marie-Madeleine
547629	58744	Louis' wife
547629	217684	
547629	287491	Catherine
547629	345371	Muriel
547630	217668	
547631	217668	Baronne Honoré de Villetaneus
547632	277717	
547633	381913	Winner (2003)
547634	390401	Albina Fetisova
547635	236788	
547635	357694	
547636	176989	High School Girl
547636	402175	Yuki Azuma/Additional Voices
547637	236957	
547638	315586	
547639	70408	Monica
547639	191084	
547639	203376	Lucy
547639	372234	
547640	93255	Aberdeen Townsperson
547641	93255	Aberdeen Townsperson
547642	93255	Aberdeen Townsperson
547643	286066	The Mother
547644	81343	Jennifer Andrews
547645	309134	Sister
547646	85975	Madame Block
547646	215433	Directora Redacción
547646	284331	Lena
547647	45237	Laker Girl
547648	343430	Lora
547649	251194	Rough Kid #1
547650	125899	Estranged Girlfriend Annah
547650	329452	Jamie
547650	385824	Cassie Scofield (1990-1991)
547651	65729	Une lavandière
547653	9188	Paula
547654	111791	Lois Towner
547655	325752	
547656	368001	Mombi
547658	233854	The Fan
547659	30679	Mouse Face
547660	326456	
547661	22657	
547661	54720	
547661	83142	
547661	161771	Brunhilde Frankenhausen
547661	171614	
547661	171619	
547661	192993	
547661	221960	
547661	222386	Martha Coleman
547661	249888	Marta
547661	301193	
547661	340655	
547661	350260	Countess Eugenia Frankenhause
547661	378039	
547661	384845	
547661	385486	
547661	403459	
547662	115941	Passerby in Park
547663	267547	Margaret Caulfield
547664	226482	Nadia
547664	283680	Tsubame Sanjo
547664	386236	Chiyoko
547664	389570	Nadia
547665	16130	Barbara Levine
547666	97476	Kristina's mother
547668	128001	Fanny
547669	211364	Anna
547669	219596	Anne-Marie
547669	344574	Julia
547670	285201	Demoiselle
547671	206221	Mercedes de Acosta
547672	160262	Rita
547673	113513	Karina
547674	361498	Manuela
547675	290029	
547677	142189	2. Arbeiterin
547678	170127	
547679	11770	
547679	49480	
547679	316808	Servant
547679	325634	
547679	325666	
547679	392615	
547680	3274	Baby
547680	77145	Ginny O'Neil
547680	81035	Carol
547680	104943	Sorority Girl
547680	115534	Sheila Waters
547680	133442	Melinda Wilson
547680	188625	Girl at Pool
547680	281505	Amy Hammond
547680	304541	Jenny
547680	323491	James' Girl
547680	328523	Sally
547680	391087	Betsy (1974-1975)
547680	394276	
547681	85986	Anna
547681	85987	Anna
547681	85988	Anna
547681	86046	Anna
547682	82688	Luisa
547682	93831	Fruit Stall Holder
547683	391604	Gerda Keller (-2004)
547684	56956	Pyllis
547684	270389	Teacher Mrs. Gallagher
547685	92284	Jana
547686	81581	French Maid
547687	218733	Bar Dancer
547688	44444	
547692	102134	Bardame
547693	32909	Herself
547695	5913	Herself
547696	49656	Playboy Bunny
547697	204755	
547698	34437	
547699	11862	Christa
547699	11892	Die Bösen: Marlies
547699	12835	Annie
547699	34293	Irene Hausmann
547699	34425	Barbara Reichenbach
547699	47390	Svetlana
547699	101756	Ina Heidfeld
547699	102283	Patricia
547699	119218	Corinna
547699	125023	Stefanie von Nauenstedt
547699	155407	Hanna
547699	155429	Sofie Meisner
547699	156631	Tina Ehlers
547699	179005	Schwester in der Ambulanz
547699	189773	Dr. Bea Valori
547699	204502	Irena
547699	209970	Elsa
547699	210103	Jenny
547699	219346	
547699	223478	Ellen Buchner
547699	236812	Nina
547699	259532	Schwester Dorothea
547699	281750	Victoria Bradshaw
547699	290495	Heike
547699	312119	Nicole Brandt
547699	338440	Karin Westphal
547699	350855	Vera
547699	352581	Katja Simon
547699	356199	
547699	364825	Ulrike
547699	367226	Lisa
547699	375164	Mara
547699	376352	Stormy
547699	386913	Lucy
547699	387386	Carla Simon
547699	389286	
547699	391136	Bea Donner (as Muriel Baumeis
547699	406814	Belle
547700	17291	Rachel
547701	238714	Assitant Coroner
547701	327756	Trish
547702	132247	Rolling Hills Dance Team
547703	45935	Patient
547704	117713	Veronique
547705	98057	Brigitte Mittler
547705	140264	Brigitte Mittler
547705	140265	Brigitte Mittler
547705	140266	
547705	140267	Brigitte Mittler
547705	140269	Brigitte Mittler
547705	266614	
547706	122568	Petra
547707	276212	Extra
547708	169163	American Reporter
547709	40301	Girl at Amusement Park
547710	229593	Woman in Dream
547711	404489	Christa Lenz
547712	115812	Frau Engel
547712	189831	
547712	230196	Frau Engel
547712	259538	Frau Verchow
547712	259544	
547712	259622	
547712	356564	Gandmother
547712	386640	
547713	51783	(segment "Uma Grande Vocação"
547713	253662	
547714	137402	Guest at party
547715	79177	Petra Buntje
547716	406432	Herself
547717	314495	Aunt Noel
547718	355051	White House courtesan
547719	158079	
547720	274427	Driscoll Townsperson
547722	358044	
547723	269141	(segment "16 ans-Sylvie")
547724	35292	Monika Reber
547725	111014	Arlette Coudray
547725	220219	Michèle
547725	396369	Christine
547726	18524	Frau Baumgaertner
547726	33671	
547726	35053	
547726	37748	Helga
547726	43716	
547726	49265	
547726	62174	
547726	91125	Traudel Geiger
547726	103078	
547726	108165	Brigitte
547726	124411	Mia
547726	126183	
547726	129495	Lisl
547726	129833	Verkäuferin
547726	135895	Gunda's mother
547726	145494	Mutti Rutzmoser
547726	166688	Maria
547726	171568	Therese
547726	172377	
547726	173180	Gerdi Reiche
547726	175291	Waltraud
547726	180883	Ambrosia Lindpaintner
547726	189639	
547726	189722	
547726	223462	Schwester Laetitia
547726	225738	Evelyn
547726	262256	Mrs. Kolb-Oberlaender
547726	277760	Mutter
547726	287218	
547726	288810	Anni
547726	290449	Sonja's mother
547726	309018	Charlotte Mayerhofer
547726	314513	Brigitte Wallner
547726	319706	Marie Stocker
547726	325822	Frau Scherkamp
547726	334551	Irmgard
547726	345906	Hausmeisterin
547726	347632	
547726	348050	
547726	365608	Elisabeth Mayerhofer
547726	374557	Frau Martha
547726	377349	
547726	379493	Katia Haerlin
547726	387625	
547726	389840	Corinna
547726	397370	Bärbels Mutter
547726	397765	Monika Hartinger
547726	399386	Frau Ziesemann
547726	403779	Theresa
547726	403925	Rumplhanni
547726	404453	Kattrin
547726	405817	Tosca Zimmermann
547726	405971	Charlotte Mayerhofer
547726	409613	Sekretärin Almuth
547726	412088	Gerti Weingartner
547727	222946	
547728	94088	Neighbor Lady
547728	265738	Mrs. Green
547729	136511	Lois
547729	299200	Courtney
547729	363894	
547730	18880	
547731	73313	
547731	137579	Annette
547731	381979	Lexie Ciani (Series 1-1997)
547731	405062	Delilah
547732	68252	
547733	348229	Funeral Goer
547734	357177	L'hôtesse
547735	204557	Garbage Woman
547735	212025	Communications Center technic
547735	330177	Woman on Phone
547735	374596	
547736	44759	Harriet Fordin
547736	276688	Fran Belding
547736	393015	Fran Belding (1971-1975)
547736	395100	Teresa O'Brien
547737	69222	
547737	135055	Hortensia
547737	165161	
547737	197972	
547737	349855	Valentina
547738	34522	Berta
547739	386219	Finalist #5
547740	84962	Mina
547740	90209	Teresa Panza (Sancho's wife)
547740	356566	Irene Escher
547741	17173	Shelly
547742	114008	
547743	107348	Young Claire
547744	355745	Carlota Castelar
547744	385058	Tentación Lujan (2004)
547744	385880	
547744	386866	Doña Barbara
547744	387536	Emperatriz
547744	399026	Natalia
547745	367083	Dancer
547746	76960	Maryse
547746	160542	Valérie Corda
547746	345535	
547747	153874	Victoire
547748	386696	
547749	204275	
547750	96519	La Principessa Lherimia
547750	125571	
547750	136987	Herself
547750	256094	Herself
547750	345320	Herself
547750	359687	Herself
547750	401572	Herself
547751	214194	Janine
547751	381728	
547752	140832	Miss Boodilyboo
547753	249038	
547754	101216	Léna
547755	16928	
547756	207723	Oasis Maid
547756	324321	Madame Meurisse
547756	324437	Driver
547757	29817	Woman (USO bombing)
547757	355846	Cris
547758	45591	Dancer
547759	340355	Amor
547760	355667	Surgical Nurse
547761	625	
547761	1656	Peggy
547761	6468	
547761	8574	Agustina
547761	13003	
547761	69247	
547761	75457	
547761	82134	Woman of Danger City
547761	83138	Elena
547761	88058	Marica del Reino
547761	106267	Prioress
547761	115031	Herself
547761	124448	
547761	140543	
547761	143757	
547761	170920	
547761	187430	
547761	193340	Dona Juana
547761	206041	Elena
547761	238144	
547761	249789	
547761	252526	Elisa Medina Fernández 'Pepa 
547761	252612	
547761	259726	
547761	272639	
547761	307839	
547761	308469	Concha
547761	328202	
547761	333640	
547761	343612	Tula
547761	347469	
547761	351280	Marta
547761	369556	Herself - Presenter: Honorary
547761	385258	
547762	204827	Niña
547763	31405	
547763	45479	
547763	54431	Gagamba
547763	80843	
547763	145552	
547763	190695	
547763	340355	
547764	82194	Rallyist
547764	394247	Lilibeth dela Cruz (2003)
547765	3474	
547765	33553	
547765	42645	
547765	65404	
547765	68636	
547765	103500	
547765	104736	Spanish Entry (9th place)
547765	104740	Spanish Entry (12nd place)
547765	111327	
547765	115024	Herself
547765	121224	
547765	214388	
547765	235981	
547765	271927	
547765	275089	
547765	332136	Margo
547765	351686	
547766	93831	Diner Server
547766	288943	Female Rebel
547767	363032	Narrator
547768	124675	
547768	162641	
547768	382126	Tootsie
547768	404049	Mirinisa
547769	33519	
547769	144406	
547769	302110	Rosenda Lopez
547770	184104	The Laker Girls
547771	287897	
547772	63322	
547772	70648	
547772	83749	
547772	236018	
547773	249386	
547774	248526	
547775	11704	
547775	41367	Angela
547775	56174	Cam Su
547775	64399	Elena
547775	74009	Kim
547775	82743	Julie
547775	93831	Leather Clad Girl
547775	117797	Maila
547775	185661	Vietnamese mother
547775	237905	Lorna
547776	204644	Carmencita (niña)
547777	36824	Beachgirl
547777	41757	Luau Guest
547777	409616	Monica, News Reporter
547778	288943	An Lee
547779	57	
547779	9868	
547779	15420	
547779	16360	
547779	27682	
547779	37730	
547779	48261	
547779	49150	
547779	79121	
547779	94902	
547779	168928	Ruben's Grandmother
547779	171815	
547779	173134	
547779	201386	
547779	206146	
547779	214768	Yolanda Santos
547779	221261	
547779	226986	
547779	227409	
547779	254341	Rosalba
547779	300794	
547779	333063	
547779	382126	Atang
547779	394247	Lucila Guinto (2002)
547779	400738	Chayong
547780	294829	Bizango Dancer
547781	381921	Sabina 'Sabi' Bautista
547782	10995	
547783	353572	Luisa
547784	200517	
547785	252115	Charlotte
547786	411116	Nelly
547787	412138	Panelist
547788	199845	
547788	382418	Humanoide
547788	385053	
547788	387823	Host
547788	387827	Host
547788	400491	
547789	148054	
547789	173649	
547790	399497	Antonia
547791	139914	
547791	145230	
547791	193077	
547791	281622	
547792	476	
547793	205937	Herself
547794	1092	Wendol Mother's Companion
547794	71334	Preema
547794	241799	Nari
547794	249451	Betty
547794	306286	Luna
547794	385960	Marika Rau
547795	121600	Marta Bayarri
547796	88177	Children's Shop Assistant
547797	348602	Roxy
547798	279259	Nanna
547798	354101	
547799	88724	
547799	375316	
547800	170221	Host
547801	155610	
547802	137623	Child
547803	282781	Pierre
547805	380071	Surgery Receptionist
547806	16463	Herself
547806	16464	Aunt Bee Taylor
547806	27346	Woman in dinner party scene
547806	33941	Mrs. Prentiss
547806	34087	Lady with the Cat
547806	79897	Mrs. Barley
547806	149610	Martha Hammond
547806	160481	Herself
547806	163358	Mrs. Tappe
547806	183813	Aunt Alice
547806	203159	Helen Harley
547806	224412	Mrs. Chamberlain
547806	231398	Mrs. Solitaire
547806	286120	Mom O'Moyne
547806	315266	Mrs. Rogers
547806	380225	Aunt Bee Taylor (1960-1968)
547806	387970	Nora
547806	393077	Mrs. Amy Morgan
547806	397181	Aunt Bee Taylor (1968-1970)
547807	95236	Sonali
547808	11989	Aliya Amre
547808	34325	Nana
547808	210055	Shanti Jhabvala
547808	286784	Sujata
547808	390812	Manjou Neria (1993-1994)
547809	73542	
547810	209843	
547811	373714	
547812	276757	Evelyn
547813	79058	Dancer
547814	66083	Cathy
547814	142414	Cathy
547815	96728	Sher Singh's sister
547816	249283	
547817	8140	Guest Appearance
547817	31623	
547817	123943	
547817	183884	
547817	268120	
547817	348464	
547817	373903	
547818	139219	Sheryl
547818	379396	Skye
547819	338981	Herself
547820	37387	Stig's Hair Model
547820	45591	Supermodel
547820	126544	Dora Lynn
547820	167591	Serena
547820	253059	Maitre D'
547820	315512	Jessica Holloway
547820	327995	Christy
547820	360436	Margo
547821	283814	
547822	14847	
547822	33664	
547822	42601	Tebalda
547822	43038	Eva
547822	53745	Veronique
547822	68441	
547822	79621	Natalija
547822	124124	
547822	158854	Emmanuelle
547822	176652	Vivijana
547822	216554	
547822	252636	Poppea
547822	265235	Fiammetta
547822	311546	Detective's Wife
547822	328622	
547822	349789	Donna
547823	43192	Maggie
547823	47208	Herself
547823	66926	Rachel Bradley
547823	73843	Ruth Clarke
547823	80411	Julie Matthews
547823	104997	Herself
547823	116130	Sam
547823	161839	Sgt. Caroline Meagher
547823	198891	Lady Macbeth
547823	206541	Anita
547823	243268	Lisa
547823	303682	Stella
547823	340990	Lorna Johnston
547823	379255	Pandora Braithwaite
547823	383461	Dr. Claire Maitland
547823	384585	Rachel Bradley
547823	409619	Cordelia Gray
547824	223700	Attending Nurse
547824	391786	Ellie Hunter Mills (2002-)
547825	32123	Melpo
547825	178459	
547825	387358	Pepi
547825	387390	
547825	387561	
547825	387707	
547825	388201	
547825	396635	
547826	5133	Stella Valencias
547826	27423	
547826	33125	
547826	91122	Die Schwarze
547826	104828	Eva
547826	117667	Helena
547826	119027	Junges Mädchen
547826	147132	
547826	155410	Eva
547826	155741	Herself
547826	156728	
547826	173304	Madame Rousselin
547826	189705	
547826	201263	
547826	202815	Denise von Flavigny
547826	204922	
547826	210106	Denise Bermont
547826	215079	Miranda
547826	220709	
547826	223210	Maxie
547826	289985	
547826	290748	
547826	306591	Aurora, seine Nichte, Schausp
547826	317658	
547826	346851	
547826	346998	Betty Ball
547826	356724	Reni Fürst
547826	359639	Helga
547826	376438	
547826	396753	Reporterin
547826	399762	
547826	409628	Mark´s Mother
547826	409998	Clare Linton
547827	11210	Schoolteacher
547827	27485	Stagecoach passenger--the dau
547827	67776	Mrs. Faun/Her Sister
547827	71587	Jean
547827	96829	Nurse at Deathbed
547827	105890	Shirley
547827	156813	Voice on telephone
547827	157251	Margaret Elliott
547827	183407	Mrs. Gordon
547827	186381	Judge Rebeccah Fornier
547827	224824	Jessica Reardon
547827	227925	Lady Pearl
547827	234075	Belle Poppie
547827	234984	Leona Wichard
547827	288915	Judith McGuire
547827	291771	Miss Allen
547827	299469	Lillian
547827	310563	Ann
547827	316226	Lally
547827	379740	L.W. Carruthers
547827	410977	Margaret Jardin #1 (1971)
547828	81652	Hostess
547828	154108	Girl on Phone
547828	342491	Student
547828	406621	Annie Huston
547829	51432	
547830	390291	
547831	252296	
547832	270874	
547833	5191	Vikki
547833	7500	Josie Hart
547833	34437	
547833	37682	Judy
547833	41063	Herself
547833	41350	Natasha
547833	47277	Kendall Saranski
547833	75773	Virtual Girl
547833	83824	Holly Caruso
547833	98883	Herself
547833	108706	
547833	128772	Howard Stern Girl WXRK 92.3 F
547833	131061	Barbara Olsen
547833	158209	Herself
547833	194480	Sally
547833	252408	Pet
547833	287457	
547833	305734	Lynn
547833	318729	Susan
547833	349893	
547834	405209	Miss Wilton, Ferndale Headmis
547835	1629	Joan Johnson
547835	1962	Herself
547835	11108	Eve Harrington
547835	16728	Barbara Foster
547835	19858	Narrator
547835	32484	Monica Johnson
547835	34835	Interview
547835	35192	Herself
547835	40441	Lucille Stewart
547835	41800	Norah Larkin
547835	50417	Margo Foster
547835	55466	Willie
547835	56893	Kate
547835	58671	Stephanie York
547835	59553	Amy Spettigue
547835	59815	Kimberley Prescott
547835	63993	Dixie Lee (owner, Dixie's Soc
547835	67605	Nora Chandler
547835	67868	Rita
547835	68675	Carlotta Mauridge
547835	72570	Jean Hewlett
547835	104918	Janet Feller
547835	108309	Actress in In-Flight Movie
547835	114636	Mouche
547835	116538	Valerie Hogan
547835	116803	Cleo
547835	119261	Mary Ann
547835	133766	Mary Maxwell
547835	135404	Evelyn Heath
547835	148423	Mrs. Penny Johnson
547835	154110	Ruth Grandfort
547835	155896	Miss Cramer
547835	165421	Lilliana Zorska
547835	185836	Liz Addams Hatch
547835	191431	Margaret Schilling
547835	192067	Jessamyn Connolly
547835	196871	Nora
547835	200462	Lucy
547835	205315	Myra Sherwood
547835	207232	Irene Adler/Mrs. Norton
547835	216423	Dr. Anne Dyson
547835	219996	Narrator
547835	224412	Virginia Mason
547835	229988	Mrs. Rachael Bruner
547835	235162	Marina
547835	237598	Joanna (The Last Leaf)
547835	241309	Tacey Cromwell
547835	245301	Cal
547835	255465	Nicole Rougeron
547835	273083	Sophie Nelson Macdonald
547835	279014	Jolene Wiley
547835	282688	Countess Anna Jaschikoff
547835	283273	
547835	305754	Julie Richards
547835	311566	Cherry Malotte
547835	316231	Valverda Johnson
547835	318608	Katherine Mary Sullivan
547835	318770	Olive
547835	319010	Tessa Osborne
547835	320785	Julie
547835	327685	Nefretiri
547835	331670	Lorna Hunter Saunders
547835	332425	Kit Dodge Jr.
547835	358583	Teresina Vidaverri
547835	358777	Julia Norman
547835	371076	Constance Mae 'Mike'
547835	372345	Hannah Adams
547835	380687	Edwina Dorsey
547835	387245	Faye
547835	392094	Victoria Cabot (1983-1986)
547835	396824	Myra Sherwood (1969-1970)
547836	337381	Lily
547837	257652	Miss February
547837	257820	Miss December 1993
547839	119633	
547840	59522	
547840	71656	Girl
547840	155721	Theresa
547840	298604	Doreen
547841	9883	Melinda, Texan Girl
547841	62778	Dancer
547841	104986	Sybil
547841	183357	Jill
547841	192412	Mrs. Hummel
547841	195765	
547841	252068	Skate
547841	269596	Queen Of Atlantis
547841	385437	Mary Gibbons
547841	411363	Mary Haskell
547843	81052	Dancer
547843	324742	Dancer
547843	369492	Xanadu Dancer
547844	126130	Resident of Idyllia
547846	144991	Emily Thornton
547846	365972	Alice Roosevelt
547847	52686	Receptionist
547848	14911	
547849	222495	Elevator Passenger
547851	154887	Police
547851	401570	PC Linda O'Connor
547852	323488	
547853	11268	Lady DeVille
547853	32431	Audrey Corteline
547853	32514	Rosie
547853	41498	Vicki
547853	46979	Sylvia Briggs
547853	62111	Charlotte Merivale
547853	65107	Christine Shawn
547853	69484	Jill Trevor
547853	69848	Antonia Sanger
547853	81202	Mary Welling
547853	91713	Evelyn Martingale
547853	92186	Hilary Gordon
547853	92916	Elizabeth Sydenham
547853	95504	Linda Kent
547853	100662	Lady Caroline Dester
547853	115146	Eileen Merridew
547853	115229	Tresha
547853	128834	Renée van Hoffenheim
547853	191080	Eva Rutland
547853	202930	June Slade
547853	203484	Bit Part
547853	213041	
547853	222765	Pamela Raymond
547853	232110	Peggy Studholme
547853	282607	Girl
547853	292123	Patricia Lynton
547853	299208	Celia Wetherby
547853	343209	Alison Drury
547853	359386	Lady Margaret Ware
547853	360430	Missy Kortchagin
547854	360146	Mary
547855	13736	Lauren Bessette
547855	42571	Various Characters
547855	84396	Margo Conroy
547855	119879	Young Woman #2
547855	137766	Katie Reed
547855	178994	Terri the Waitress
547855	184466	Featured Zombie
547855	196328	Trish Papandreou
547855	242514	Karla
547855	252985	
547855	276039	Patsy
547855	339480	Nurse
547855	359716	Stacy1
547855	384698	Various Characters
547855	387021	Kat
547855	393097	
547855	405563	Various (The Bobroom)
547855	411035	
547856	187411	
547858	178976	Maria Romano
547859	306989	Vera Lynn
547860	247932	
547861	265606	Teacher
547862	298056	Girl
547863	381898	Herself - Lisa's Friend (2001
547864	112182	Holly
547865	27196	Summer
547865	41469	Semaji
547865	93829	Zebony
547865	177692	
547865	222226	Pat
547865	300913	Maggie
547866	359872	
547867	89628	Receptionist
547867	385020	Marie Stanton (1976-1977)
547867	394456	Stella Tyson
547867	396701	Ruth Faraday
547867	410961	Lady Caroline #2
547868	32705	Elsie Manning
547869	385299	Avril Clandon
547870	67401	Kitty, Doyle's sister
547871	37121	Anne
547871	191973	Annie
547871	318195	Regina-age 8
547872	130807	Nurse
547873	5885	Jane Sedgewick
547873	7170	
547873	40264	Lady Makinson
547873	65200	Bella
547873	88769	Petronella
547873	88770	Petronella
547873	105427	Catherine Mereday
547873	119802	Ernestina
547873	128261	Barbara
547873	130947	Wren Lieutenant
547873	132139	Mary Magdalene
547873	154615	Santina
547873	158137	Milena Tatour, Anna's mother
547873	258057	Sammy
547873	273328	Jackie
547873	275433	Danielle
547873	313707	Elizabeth
547873	317989	Jane
547873	334352	Nancy Ramsay
547873	379398	Felicity Hale
547873	383881	Victoria Douglas
547873	385646	Beth Saunders (1998)
547873	386235	Isabelle
547873	390393	Cora Groan
547873	398582	Clea
547873	399065	Lucy
547873	399438	
547873	400351	Betsy Cosserat
547873	401077	Kate Turner (2000)
547873	402138	Sandy
547873	402391	Dr. Karen Smith
547873	405727	Serena
547874	74790	
547874	98918	
547874	100687	
547874	193098	
547874	239001	
547874	279548	
547874	305914	
547874	340532	
547874	349868	
547874	361741	Mrs. Van Nest
547875	28946	
547875	54762	
547875	55343	Aparecida
547875	101575	
547875	222148	
547875	273654	
547875	338644	
547875	380537	
547875	383269	
547875	386505	Honorina
547875	392031	
547875	392629	Giselda
547875	392793	Violeta
547875	395366	
547875	395400	
547875	396520	
547875	396775	
547875	397440	
547875	398361	
547875	398877	
547875	400289	Marta
547875	403083	Dona Marocas
547875	403245	
547875	408414	Aparecida
547875	409407	Mariana
547875	412255	
547876	200492	Charlady (segment "Lust")
547876	391061	Cook
547876	391618	Cook
547877	252296	
547877	302925	Christine Fox
547878	7848	Maggie Stapp
547878	7996	Carol
547878	11525	Debbie Sloan
547878	31197	Herself (NBC Team contestant)
547878	33851	Eve Garrison
547878	35169	Amanda Nelson
547878	39001	Patricia
547878	49485	Martha 'Red' Tierney
547878	49952	Lynn Hollinger
547878	56711	Rena Carter
547878	63137	Carol Boyajian
547878	79055	Mary Ann Guard
547878	85072	Kate
547878	85949	Eve
547878	89240	Cow
547878	92257	Leah Garr
547878	99131	Ann
547878	108318	Mercedes Cole
547878	108384	Elyse Keaton
547878	117209	Margaret Gibson
547878	143108	Betty Broderick
547878	147967	Annie Cass
547878	148252	Lorraine
547878	157251	Julie Watson
547878	159718	Beatrice Hamilton
547878	161736	Carol Enders
547878	167315	Virginia De Leo
547878	174520	Kate Stark
547878	178223	Florence Tulane
547878	188235	D.A. Kerry McGrath
547878	192412	Meg March
547878	193957	Maura Wells
547878	214934	Sarah Weatherby
547878	219819	Harper Green
547878	220023	Terry Stone
547878	220034	Lila
547878	222728	Mrs. Caroline Hubbard
547878	228970	Herself
547878	232243	Linda Davis
547878	235953	Mary Kingston
547878	241552	Margaret Reed
547878	244373	Paula
547878	297947	
547878	313074	Tracy
547878	316264	Joanne Denver
547878	323487	Carol Marriner
547878	324969	Linda Flayly
547878	342975	Carol Letner
547878	350491	Joanne
547878	360769	Muriel Davidson
547878	366271	Winnie
547878	367606	Betty Broderick
547878	381802	Lauretta Pennington
547878	382747	Bridget Fitzgerald Steinberg
547878	388197	Flynn Sullivan
547878	388359	Elyse Keaton
547878	388362	Nancy Lawrence Maitland (1976
547878	398213	Herself
547879	191210	Dancer
547881	1300	Ms. Turlow
547882	334757	Chorus
547883	58648	Teacher
547884	300064	Magnolia Hawks/Kim Ravenal as
547885	34945	
547885	188475	
547886	51984	Cowgirl
547886	336650	Campaign Worker
547886	366959	Therapist Wynne
547887	271315	Susan
547887	302954	Jenny Tevitt
547887	379600	Lisa O'Shea
547887	380348	Maggie Daniels
547887	381503	Isobel
547888	139486	Gillian Ferry
547888	387533	D.I. Cooke (1997) (15 episode
547889	41820	
547889	199970	Dr. Lawrence's wife
547889	241401	Kishi Croxen
547890	81320	Nurse 1
547890	163588	Maryanne
547890	300901	Helen Janis
547890	319876	Rose Lady
547891	57654	Second Nun
547891	105280	Old Woman
547892	132139	Girl at Gate
547892	193618	Office Girl
547893	158141	Extra
547894	87599	Bridesmaid
547895	296901	Queen Nefan
547896	2351	Miss Jessup, Student Actress
547896	56789	Withers' Housekeeper
547896	87688	Flynn
547896	193738	Marjorie
547896	239601	Berta (hotel maid)
547896	244993	
547896	249621	Rebecca
547896	317957	Miss Smith
547896	372361	
547897	14989	Lydia
547897	19601	Evelyn Metcalf
547897	23557	Librarian
547897	37121	Madame Zarona
547897	37452	Mrs. Haynes
547897	41988	Aunt Barbara
547897	48704	Female Patient
547897	52635	Mabel Simpson
547897	59148	Midge
547897	70302	
547897	70371	Harry's Wife
547897	73574	Mrs. Menges
547897	79767	Rosa
547897	91720	Old Woman
547897	96625	
547897	113473	Mrs. Darmsetter
547897	118199	Mrs. Russel
547897	120033	Anna Freud
547897	131739	Old Woman
547897	133334	Iva Ruth McKinney
547897	134345	Arizona Motel Clerk
547897	138797	Grandma Gilmore
547897	140966	Mrs. DeLillo
547897	149107	Mrs. Lewenowski
547897	158298	Grandma Shallot
547897	158343	Mrs. Pickman
547897	160373	Grandma
547897	160560	Thelma Burr
547897	173932	Mrs. Milo
547897	173933	Lady with Dog
547897	178136	Grandma Julia Sposato
547897	181005	Edith Proxmire
547897	209496	
547897	216390	Mitzi
547897	220519	Betty Gritz
547897	220537	Wise Old Woman
547897	222657	Myra Hill
547897	229499	Aunt Sylvia
547897	230422	Elisabeth Kronner
547897	234677	Bertril
547897	239005	Maggie Winchester
547897	242815	Mrs. Sloan
547897	248081	Mrs. Rosemont
547897	256815	Esmeralda
547897	259280	Mary
547897	264825	Birdie Fallmouth
547897	282106	
547897	292227	Old Woman
547897	302211	Mrs. Lewis
547897	302777	Elderly Neighbor
547897	310423	Raspy
547897	315777	Storyteller
547897	316238	Mrs. Steiner
547897	342552	Mrs. Tremond (Chalfont)
547897	342593	Mother Superior
547897	360713	Dottie
547897	365169	Madam
547897	366163	Mrs. Timmins
547897	383072	Annie Pyle
547897	388202	Grandmother
547897	390045	
547897	392231	Mrs. Fitch
547897	404282	Mrs. McRae (1985)
547898	1226	
547898	40117	
547899	11091	Anna
547899	35121	Massagepige
547899	92559	Svenja
547899	149879	Tove
547899	185251	Tanya
547899	216208	Mia Hviid
547899	305004	Dit
547899	340077	Sonja
547900	123864	Ann
547901	28774	
547901	214025	
547901	344597	
547902	30071	Woman
547903	37221	Suzie Cartwright
547903	304355	
547904	66645	Phyliss Gordon
547904	130149	
547904	233784	Flo
547904	239403	Grace Standing
547904	249452	Corliss Fiske
547905	292113	Reporter
547905	365947	Herself
547905	399094	Hostess (1991-1998)
547906	229601	Tula
547907	241324	
547908	212507	
547909	101956	
547909	173627	
547909	325736	Sevda Yilmar
547910	75619	
547910	104116	
547910	110667	
547910	128277	Louise Dunning/Kitty Herman
547910	143478	
547911	12170	Brittany
547912	28992	Sophie
547912	240429	
547913	30889	Germaine
547913	32031	
547913	57504	
547913	58196	La dame du 5ème
547913	63662	
547913	64007	Lasca
547913	64318	Une actrice
547913	68663	Paulette Papin
547913	68927	La concierge
547913	75835	
547913	100353	La tante de Gustave
547913	102042	Micheline
547913	111867	La Goulette (Mélanie Lechat)
547913	122417	Germaine
547913	125093	Mme. Deferre
547913	132735	Bourget's secretary
547913	132991	La concierge
547913	132994	
547913	149237	Mémé
547913	169313	
547913	191560	Madame Mirral
547913	197306	
547913	200517	
547913	216774	La boulangère
547913	240637	Le professeur
547913	255598	La patronne de l'hôtel
547913	268943	
547913	278136	La patronne
547913	287052	La femme de Pinuche
547913	287601	
547913	292890	Maman Tonnerre
547913	303618	
547913	329322	La secrétaire du docteur Monn
547913	340573	La patronne de l'hôtel du sep
547913	341120	Germaine Constant
547913	343980	La reine Rosemonde
547913	345132	
547913	346438	
547913	351821	La pharmacienne
547913	377827	Mme Weill
547913	383819	Mme Le Cronas
547913	385508	
547913	390520	La Chopin (segment "Monsieur 
547913	396523	Mme Latour
547913	397946	La Thénardier
547913	401981	
547913	410309	Eliane Shiftmaker
547914	38257	
547914	332618	
547914	382373	Bobinette (1960-1973)
547914	385123	Perle des bois
547914	402534	
547914	402535	(Voice)
547915	412200	Florentine
547916	23070	
547916	53648	
547916	57777	
547916	84057	
547916	138948	
547916	148017	
547916	148089	
547916	153834	
547916	328157	
547916	353980	
547917	19369	
547917	51812	Zenaida
547917	67363	
547917	104111	Prostituta 4
547917	114336	Rebeca
547917	124442	Naty
547917	135357	
547917	222435	Lupita
547917	269197	
547917	319623	
547917	337439	
547917	351628	Bernardino's wife
547918	2169	Sonia
547919	45735	
547920	268589	Hayran
547921	78617	
547921	124648	
547921	200755	
547921	217328	
547922	9353	Dancer
547923	9353	Dancer
547925	345351	L'autre fille au flipper
547926	233792	
547926	358466	Joe's Wife
547927	5186	Patricia
547927	16099	Dr. Françoise Barre
547927	23814	Martine
547927	25093	Herself/Interviewee
547927	28269	Nicole Danet
547927	30186	Lucie
547927	32027	Charlotte
547927	56871	Paula Abagnale
547927	58754	Cecilia Mandel
547927	68513	Jeanne Vanderberghe
547927	83262	La fille aux cerises
547927	96240	Françoise Chenal
547927	100513	Catherine
547927	101208	Sophie
547927	103876	Fabienne
547927	110107	Giselle
547927	115345	Anne Charpin-Vasseur
547927	116673	Michele
547927	118754	Sofia
547927	119047	Herself
547927	120648	
547927	127498	Christine
547927	135430	Nathalie, la fille
547927	148702	Martine Desdoits
547927	158836	
547927	164174	Helene
547927	166186	Brigitte
547927	183010	Lena
547927	197545	Cécile Carline
547927	198975	Marie Lacroix
547927	199389	Adèle Sourdis
547927	199715	Catherine
547927	203219	Christine
547927	211136	Emma
547927	217718	Fabienne
547927	218310	Janine
547927	225367	
547927	225444	Judith Mesnil
547927	230472	Leonore
547927	235714	Donatienne Pouget/Marie-Thérè
547927	236505	Joelle
547927	240293	Anna
547927	248055	Nicole
547927	256107	
547927	258111	Charlotte
547927	266153	Christine
547927	276517	Bertrande de Rols
547927	279110	Sacha Vernakis
547927	285080	Marianne
547927	288890	Denise Rimbaud
547927	291581	
547927	293850	Claire
547927	294374	Carole
547927	300660	Muriel
547927	343083	
547927	345312	Herself
547927	345326	Julie
547927	345448	
547927	345538	Camille Valmont
547927	346657	Her
547927	346762	Laurence Cuers
547927	346799	Jeanne
547927	346824	Nina Coline
547927	356412	Lorraine
547927	357040	Sophie
547927	357834	Angèle
547927	377470	Sophie
547927	387612	Comtesse Diane de Breyves
547928	65420	
547928	206940	
547928	335795	
547929	294567	La pauvre
547930	1927	
547930	2785	Herself - Best Song Winner
547930	2816	Introduce Nominee for Best Mu
547930	7591	Herself
547930	50060	Herself
547931	399163	Annemarie (older)
547933	18525	
547934	72065	Cathy
547935	208300	Baby Grace
547936	342944	1st Young Woman
547937	104769	Herself - Hungarian Entry (4t
547938	111313	Ledér hölgy
547939	194219	Patsy
547940	336508	Partygast
547941	209198	Old Lady
547942	255442	Lee Quong Tan
547943	56545	Herself
547943	290564	Hitchhiker Girl
547943	382689	Mia (2003-)
547943	403792	Sascha Roland
547944	140912	Kathy's Nurse
547944	235422	2nd Robbery Victim
547945	189685	Lily Gomez
547945	193460	Mega's Mutter
547945	210320	Maxi Moll
547945	227778	
547945	284417	Eva Burger
547945	325380	Verena Loderer
547945	361399	Anne
547945	376455	Hauptkommissarin
547946	77753	L'interne
547947	244202	
547948	120249	
547949	17017	
547949	18517	
547949	36480	Frau Müller-Riebensehl
547949	59314	Schwester Ortud
547949	82164	
547949	173842	
547949	173980	Nurse
547949	204414	Mother
547949	236828	Schwester Uschi
547949	276096	Frau Mannel
547949	290449	Secretary
547949	309019	Fürstin Walburga
547949	375282	Marie Hartinger
547949	376291	
547949	376412	Oberschwester Inge
547949	391294	Pauline
547949	396874	Frau Ritter (1992)
547949	412110	Tante Pauline
547950	220574	Polo player
547951	238310	Berenice
547952	372929	Meg Chandler
547953	95135	Actress
547953	190796	Nurse
547953	273794	Mary
547953	379716	Millicent Greenlee #1 (1999)
547953	385323	Sari Adams
547954	223722	Audrey
547954	235570	Yasmine
547955	75546	Voltan's Assistant
547955	170552	PVC girl
547955	321126	Rita (Opium Party Hostess)
547956	60803	Muriel
547956	234106	Nance
547956	298570	Rose Faulkner
547956	316662	Peg
547957	198164	Devoykata
547958	156223	
547959	10954	
547959	11726	
547959	22051	
547959	29860	
547959	34047	
547959	34097	
547959	34151	
547959	39084	
547959	53618	
547959	63979	
547959	83103	
547959	89457	
547959	103881	
547959	104892	
547959	125344	
547959	137317	
547959	146976	
547959	171987	
547959	172018	
547959	172139	
547959	172828	
547959	173417	
547959	173774	
547959	173853	
547959	175849	
547959	177821	
547959	182093	
547959	182803	
547959	182835	
547959	212285	
547959	222520	
547959	285550	
547959	285552	
547959	289320	
547959	308295	
547959	350847	
547959	370223	
547959	373773	
547959	377567	
547959	378214	
547960	141885	Somiya (As a Child)
547960	203426	Likola
547961	378305	
547961	380363	Katrin
547962	383778	Penbe
547962	391179	
547963	44394	
547963	103565	
547964	18544	Party Girl
547965	313304	Catherine
547965	383864	La Guide
547965	386012	Joyce
547965	393732	Madame Beltramo
547965	402529	Marie-France
547965	409528	Hèlène Lemercier
547966	117101	Model
547967	219471	Mme Voulon
547967	375769	
547968	32106	
547968	35030	
547968	117684	Trisha
547968	154663	
547968	168928	Shona
547968	185800	Carina
547968	244656	
547968	287383	
547968	381380	Mariel Buenaflor
547968	400738	Felicity
547969	14480	
547970	130690	
547970	130691	
547970	130692	
547970	130693	
547970	130694	
547970	283541	Receptionist 1
547970	381238	Sarah
547970	381638	Various roles (1994)
547970	387247	Elizabeth Beale (1988)
547970	408074	Kathy Robinson
547971	19541	
547971	213088	
547971	329127	Mrs. Brander
547972	136266	
547972	223019	Orchestra Member
547973	8961	
547973	39448	Nurse-Receptionist
547973	80018	Zeerelda James
547973	122635	Nurse-Receptionist [Ch.14]
547973	163485	
547973	171134	Bit Part
547973	184955	Woman
547973	200488	
547973	297890	
547973	325970	Woman
547973	329592	Governor's Secretary
547974	137232	Violet Tickle
547975	408122	Various roles
547976	128173	
547976	154182	Dancer
547976	168125	Dancer
547976	312042	Bit
547977	147254	
547978	133125	Grandma
547978	190197	Mrs. Shakespeare
547978	239698	
547979	30485	Ethel Standish
547979	43461	Madame
547979	55415	Simonetta
547979	66387	Madge Webster
547979	99292	Mother in 1946
547979	129086	Mrs. Ross
547979	130711	Mrs. Felton
547979	140959	Mrs. Braham
547979	148368	Mrs. Wright
547979	154918	Mrs. Tremayne
547979	199354	Mme. Louise
547979	199742	Mrs. Fiske
547979	221547	Lady Driscoll
547979	223764	Mrs. Perry
547979	281422	Dressmaker
547979	289424	Charlotte
547979	290334	Mrs. Andrews
547979	303287	WAAC Girl
547979	309514	
547979	345950	Mrs. Forbes
547979	346074	Countess Nada
547979	361474	Cousin Maude
547979	363242	Lady Langfield
547979	367654	Marion Dorchester
547980	254488	Dancer
547980	363787	Assistant Dance Director
547981	69812	Nurses' Aide
547982	105266	Woman who hid mother
547983	113354	Milander Coler
547983	316116	Nurse
547984	122204	Female Dancer
547984	328495	Clerk At Store
547985	140843	Theatre Dancer
547986	225453	National Film and Sound Archi
547987	249548	Madame
547988	399130	Charlie Thorpe (1999)
547989	115062	Cytherian Girl
547989	229298	Pornomodellen
547990	342531	Roll Call Girl
547991	138311	
547992	191369	Concierge
547993	342531	Roll Call Girl
547994	331226	Manpower Officer
547995	282158	Maria Bellini
547996	283410	Girl at Church
547997	215553	Miss Geraldine Holbrook (Miss
547998	96113	Dancer
547999	291081	Delmont Switchboard Operator
547999	385299	Cynthia Cunningham
548000	41455	Madame Zelda
548001	77285	Bryan's Mother
548001	160589	Cleo McGinty
548001	253507	
548002	239415	Mabel
548003	41288	Woman Doctor
548003	222736	Mary
548004	295185	Yachtclub Announcer
548005	264288	
548006	318218	Job Interviewee
548007	109993	Maggie
548007	148592	Herself
548007	203061	Rosemary Hume
548007	277862	James' wife
548007	378753	Helen Gilchrist
548007	383525	Jennifer Carson
548007	383851	Eileen Bond
548007	390648	Betsy Tender
548007	392930	
548007	399130	Faye Hudson (1991-1992)
548007	401624	Herself (1966-197?)
548007	406891	Grace Sullivan
548007	408145	
548008	5789	María
548008	48817	
548008	57245	
548008	60050	
548008	65063	Mercedes
548008	74150	Mercedes
548008	83501	
548008	233978	Mother of Javier
548008	253321	
548008	302349	
548008	379889	Josefa
548008	387573	Nelly de Serrano
548008	388097	Carmencita
548008	396149	Nilda
548008	397013	Corita
548008	397589	Celia
548008	398661	Amparo Rodríguez alias Socorr
548008	398842	Alicia
548008	405102	Laura
548008	405816	Nonina
548008	409957	Rita
548009	5770	
548009	111846	
548009	115835	
548011	5506	Olga Petroff
548011	6207	Eva Dixon, a Waitress
548011	6605	Marion Conover
548011	8181	Countess Olenska
548011	13534	Annetta
548011	18573	The Woman
548011	26855	Mollie
548011	27580	Mildred Mackay
548011	37978	
548011	38026	Kitty Reese
548011	46876	
548011	47905	Hal's Wife
548011	50653	Beverly
548011	69802	
548011	71619	
548011	71673	Countess Ysioff
548011	72040	Cousin Jane MacArthur
548011	73441	
548011	75435	The Wife
548011	75846	Sally Phillips
548011	78726	Louise de Villars
548011	80998	Dora Allen
548011	81315	Alice, the Niece
548011	85083	Ethel Vandiver
548011	88029	Mrs. Balse
548011	102119	
548011	105138	Elba Allen
548011	106663	
548011	106846	Mrs. Smalley
548011	106857	Clara Louise Willoughby, The 
548011	106858	Lucy Livingston
548011	109219	Nellie Allen
548011	116825	Beverly
548011	117123	
548011	117445	
548011	125869	Dolly Fraser
548011	128127	Mary Burns
548011	128283	Ruth, Old Geaser's Niece
548011	130053	Ruth Heatherly
548011	131386	
548011	131562	The Sanitarium Nurse
548011	133321	Princess Yetive
548011	133797	Beverly
548011	133805	Loyal Channing
548011	135753	The Innkeeper's Daughter
548011	141467	
548011	143279	Carol Hilton
548011	143800	Diana Trevor
548011	145324	Mrs. John Woods
548011	146240	Lola
548011	150988	Mrs. James Williams
548011	153602	Susan
548011	158179	Beverly Ryerson
548011	158228	Martha Stedman
548011	162359	
548011	186757	
548011	187136	
548011	192312	The Child's Mother
548011	193134	
548011	194377	
548011	195378	Gwendoline, Miss Ohlen's Niec
548011	195851	The Farmer's Sweetheart
548011	196022	Hazel
548011	196240	Betty
548011	200310	
548011	201564	
548011	202894	Mary Knowles
548011	203518	
548011	204568	
548011	204737	
548011	207201	Margery Winters
548011	214073	Dagmar Lorraine
548011	215238	Sarah, Silverman's Niece
548011	215649	
548011	216925	Denise Varley
548011	224770	
548011	226899	Mrs. Stoneman
548011	230567	Beverly Barlow
548011	239022	Beulah Crane
548011	239838	Jennie
548011	240720	Helen Armstrong
548011	241861	Lady Hermione
548011	241891	
548011	242463	Miss Proctor and Queen Carlot
548011	246771	Virginia Parke
548011	252215	Alice Danville
548011	252248	Eugenia Blondeau/Marie Blonde
548011	254692	Mary Adams
548011	258246	Alice Graham
548011	260248	Arizona Brown
548011	262037	
548011	264081	Betty Ogilvie
548011	264781	Muriel March
548011	266138	Jeanette
548011	273166	
548011	274223	
548011	274420	Helen Molloy-Smythe
548011	274470	Alice Prescott
548011	276653	Becky
548011	278239	Rosemary
548011	279057	John Redmond's Daughter
548011	279103	Mary
548011	281159	Juliet
548011	286606	The Manicurist
548011	289661	Louise Cartwright
548011	293181	
548011	305601	
548011	305647	
548011	306015	Mary Clement, the Detective
548011	306764	Phyllis Lane
548011	309536	Mary
548011	312021	Billy's Wife
548011	314743	Alice Madden, an Outcast
548011	319120	Young Woman
548011	319776	
548011	323702	Dora Dean
548011	324494	Mrs. Jigger
548011	326439	Dolly Featherheels
548011	328082	Willa Brookes
548011	329751	Mollie Anderson
548011	330596	Jeanne Lamarde
548011	330622	Ellen March
548011	330802	
548011	331448	
548011	331749	
548011	331852	Bessie Morris
548011	331913	Susan Burton
548011	333813	
548011	335011	
548011	337618	Mary Brown
548011	343007	Marian
548011	346047	Helen Churchill
548011	346072	Virginia Blake
548011	346320	Mary
548011	352141	The Young Woman
548011	355093	
548011	356264	Allane Houston
548011	356625	
548011	358693	Edith Ferris
548011	359383	Priscilla
548011	360243	The Young Woman
548011	361277	Female Orchestra Member
548011	362214	The Girl
548011	362537	Gertrude Davis
548011	363023	
548011	363588	
548011	363986	
548011	363993	Mary Fuller
548011	364144	Mrs. Hosack
548011	364522	
548011	365758	Helen, Jack's Sweetheart
548011	366837	Geraldine Ames
548011	366973	
548012	27065	Mrs. Finnegan's Nurse
548013	113837	Kris Andrews
548013	214248	Kata/Kate
548013	316216	Claire LaRivierre
548013	346006	Carla
548013	401796	Julia Walker (original cast) 
548014	291449	Mrs. Abercrombie
548016	118980	Johnny's Daughter
548017	404500	Blonde
548018	114206	Wife of man under broken cart
548018	142616	Evelyn
548018	196180	Marie
548018	263517	
548018	274171	Ecologist
548018	278001	WTV Vision Mixer
548018	305082	Rosie
548018	319568	Party Guest
548018	387490	Ria
548018	392545	Woman in diamond factory
548019	34008	Mrs. Toft
548019	70612	Maggie
548019	139679	Gloria
548019	152722	Fleur-de-Lys
548019	160233	Mrs. Kirsch
548019	183599	Hilda
548019	214488	Kitti Hartman
548019	232608	Magda
548019	239607	Sophie
548019	264913	Dr. Frevel
548019	292453	Annie
548019	294216	Charlotte Palmer
548019	295312	Vera
548019	323876	Mrs. Kirsch (segment "Insatia
548019	340393	
548019	369353	Actress
548019	388249	Tatiana
548019	395188	Jane
548019	399383	Matilda Price
548019	403948	Leila
548020	118980	Johnny's Daughter
548021	11077	
548021	66171	
548021	193840	
548021	360442	
548022	326324	Mariyka
548023	55678	Tuttle's Mother
548023	55682	Mrs. Spragg
548023	55686	Mrs. Fussey
548023	55706	Corset Lady
548023	55707	Mrs. Jenkins
548023	97611	Jessie
548023	155887	Jewish Mother
548023	379593	Ada Bissel (1972)
548024	87511	Señora Aguirre
548024	143757	
548024	185446	Carmen
548024	322830	
548025	324312	Amenaide
548025	353139	Madama Cortese
548026	105883	Cabo Aloisius
548027	48811	
548027	134510	
548028	260040	George Sand
548029	69424	Cook
548030	68566	
548030	103530	Mili Terán
548030	352848	
548031	8577	
548031	68566	
548031	91299	Mili
548031	91399	
548031	103530	
548031	135277	María
548031	236023	
548031	264121	Princess Marciana
548031	352848	
548031	363662	
548032	128966	Campesina
548033	8577	
548033	66077	Mónica
548033	68566	
548033	83136	
548033	91299	Pili
548033	91399	
548033	100467	
548033	102335	
548033	103530	Pili Luna
548033	112027	
548033	135277	Pilar
548033	209298	Blond girl in white
548033	236023	
548033	264121	Marciana
548033	269915	Marisa
548033	274932	Silvia
548033	326144	La tendera
548033	328726	Magda Rossini
548033	352848	
548033	363662	
548033	384795	Madre de Leo (2001-2002)
548033	407859	
548034	353604	
548035	63910	
548035	71001	
548035	296434	
548036	9188	Aida
548036	56085	
548036	63910	
548036	71001	
548036	82399	
548036	205019	
548036	206738	
548036	266853	Diana
548036	332633	Laura
548036	339229	Diana del Sol
548036	389796	Eva
548036	407272	Lady Roxana (1990)
548036	409570	
548036	410217	
548037	150009	Bank Cashier
548038	41563	Denise Greer
548038	86716	Ming Li
548038	195788	Kashi's Friend
548039	185567	Herself
548040	9758	
548041	325692	Ines
548041	325855	Franziska Redders
548041	408949	Orla
548042	96485	Naciye
548042	139863	
548042	322541	
548042	322543	
548042	389159	
548043	201619	Soprano in Studio
548043	294883	Romilda
548044	387963	Julia
548045	78297	Herself
548046	124909	
548046	387405	Mehpare Somuncu
548047	356503	
548048	84433	Diana (reporter)
548049	72733	Operator #3
548050	175310	Claire Marshall
548050	408235	Mutter
548051	136752	
548052	34039	Hacer
548052	391614	Hasret
548052	397383	Döne
548053	6382	Agricultrice
548054	322102	
548055	170476	
548055	323533	
548055	377902	Militant
548055	383579	Renata
548055	390459	
548055	391418	
548055	391611	
548055	393340	Mimí
548055	393832	Paola
548055	395867	Diana
548055	397117	
548055	397735	
548055	403686	Chepa
548055	409919	Karla (2001-2003)
548055	410316	Ana María
548055	410383	Jessica Morel
548056	200664	
548057	26490	Centauri Woman
548057	44270	Paralegal #2
548057	142330	USC Woman #1
548057	158975	Citizenship student
548057	337125	Yvette Fahd
548057	382419	Yasemin Baytok (1994-1995)
548058	398543	Betsy Bird (1980-1981)/Additi
548059	400554	Viv
548060	108543	Enfant de Tranche Montagne
548061	13064	
548061	35023	
548061	61208	
548061	70688	
548061	84018	
548061	91325	Elena, the mother
548061	101616	
548061	132645	
548061	150909	Cordelia Rash
548061	205661	
548061	287697	
548061	301117	(segment "Isabel")
548061	337964	(segment "La sorpresa")
548061	383556	
548061	384986	
548061	386165	
548061	387478	
548061	397569	
548061	402405	
548061	402406	
548062	235997	
548063	196981	Saloon Girl
548063	248108	Dairy Queen Girl
548063	396142	Saloon Girl
548064	5800	
548064	9500	Eleni
548064	11017	Kalliga
548064	17670	Zoi
548064	19040	
548064	23455	Bey, Evi
548064	102462	
548064	108539	Bartender
548064	162708	
548064	180541	
548064	244139	
548064	248388	
548064	254220	Eleni
548064	275408	Andriana
548064	301390	
548064	369514	Xenia
548064	380497	
548064	388630	
548064	390837	
548064	390838	
548064	397813	
548064	404232	
548064	407634	
548064	411871	
548065	367271	Nadja the Rubber Girl
548066	390446	Herself
548067	250993	
548068	305147	
548069	171055	
548070	163366	Herself
548070	403030	Herself/Performer
548071	202301	
548072	84416	Mary Grant
548073	44394	
548073	326260	
548074	161927	Sam
548075	232055	Frankie
548075	362501	Margaret
548075	382744	Grizel
548075	385244	Sharon Roy
548075	392483	Poppaea
548075	411056	Mrs. Fountains-Abbott
548076	291125	Cayuse girl
548077	223550	
548078	312183	The Lilac Fairy
548079	207999	
548080	148735	Sarah adulte
548081	210189	
548081	244038	
548081	398902	
548081	409295	
548081	411977	Ludmila
548082	180381	
548083	313951	Timmy
548084	119047	Herself
548085	118754	Fille 2 sublime
548086	217728	Señora de la entrevista
548086	288992	
548086	362268	Old Woman
548087	5148	Millicent
548087	10329	Barbara Keator
548087	43551	Sally
548087	54641	
548087	77795	Susan
548087	80930	Mother
548087	97217	Lynn Reinert
548087	140371	Lili
548087	144593	Food Bank Worker
548087	147557	Eve
548087	158510	Heather
548087	187919	Antonia
548087	188506	Dr. Addington
548087	232098	Kate
548087	274476	Barbara's Agent
548087	292586	Grandma Foley
548087	293756	Barbara
548087	302932	Virginia Cherry
548087	346408	Nicole Madriani
548087	363895	Ella
548087	367588	Amy Bryson
548087	378846	
548087	383662	Julia Owens (1992-1993)
548087	408347	Alice Pearson
548088	27837	Justine
548089	377246	Extra #2
548090	377246	Louìse
548091	148959	Julie Fitch
548091	151503	Dora Hawkins ("The Rivers")
548091	177404	Salome
548091	385824	Mary Anderson #1 (1972)
548091	408531	Pam Blake (1959)
548092	33112	Sonja
548092	40957	Fatima
548092	40958	Fatima
548092	40959	Fatima
548092	40960	Fatima
548092	120043	Serpil
548092	122588	Nesrin Özturk
548092	163088	Biljettförsäljare
548092	168975	Jasmin
548092	189607	
548092	225202	Cheyenne
548092	376412	
548092	376455	Deniz
548092	392669	Schwester Arzu Ritter
548092	404480	Ramona
548093	354860	
548094	394138	
548096	45482	Nikolina
548096	87702	Sestra Ivanova
548096	213513	
548096	225817	
548096	227924	Saprugata Veneta
548096	229832	Mladata zhena
548097	210064	Marie Dingsbums
548098	112771	
548099	112771	
548100	276450	Lorenza Bambina
548101	103742	Paloma
548101	158462	Patria Mirabal (age 15)
548101	267296	Aurora
548101	383031	
548101	383261	
548101	383633	
548101	384771	Regina
548101	384988	
548101	386787	Fernanda
548101	387479	Liliana
548101	391644	
548101	397019	
548101	397594	
548102	197212	
548103	323236	Tainá
548103	323237	Tainá
548104	43673	Tante Olga
548104	63777	Vielle dame
548104	127943	
548104	132801	Poupoul
548104	164154	
548104	168799	Une femme du club du troisièm
548104	243077	
548104	309023	La journaliste dactylo
548104	345641	
548105	251533	
548106	237331	La dame à la cafetière
548106	336453	Honorine
548107	249386	
548108	99356	
548109	379004	Host (2004)
548110	189001	
548111	202434	
548112	119791	
548113	328559	
548114	55388	Chica
548114	102799	
548114	295907	
548114	400341	Herself (2003)
548115	131552	Betty
548116	316693	
548117	31094	Mrs. Bateson
548117	38850	Penelope
548117	64896	Lottie
548117	91556	Gran
548117	109483	
548117	146632	Mrs. Johnson
548117	150616	Victoire, the Boniface's maid
548117	177525	Miranda's Mother
548117	201423	
548117	230367	Bridie
548117	235790	William's Mother
548117	240023	Mrs. Sowerberry
548117	240755	Iris
548117	269652	Mrs. Chubb
548117	278777	Receptionist
548117	292058	Pamela
548117	342880	Mrs. Leveller
548117	346020	Polly Garter
548117	389347	Sonia Barrett
548117	391872	Dotty Miller
548117	395595	Phyllis Shore
548118	267148	Waitress
548118	347959	
548119	79862	Blind Wife
548120	385299	Margaret Swann
548121	216879	Mother with Baby
548122	362153	Mrs. Trayne
548123	224790	Jeanne
548124	115517	Newscaster #2
548124	209156	Channel 7 Anchorwoman
548125	117579	Punk band bass player
548126	196209	Donna
548126	224360	Nun Girl
548127	93291	Little Girl
548128	10925	Girl Student
548128	195446	Little Girl
548129	32917	Herself
548129	157575	Gail
548129	291221	TV Reporter #1
548129	291223	Studio Tour Guide
548130	332163	Announcer
548131	117101	Julian Russell Girl
548132	133509	Opera Montage
548133	2635	
548133	26114	
548133	36703	
548133	41068	
548133	41077	
548133	186129	
548133	219146	
548133	228591	
548133	254080	
548133	266674	
548133	273469	
548133	292517	
548133	295715	
548133	306025	
548133	306026	
548133	321033	
548133	323186	
548134	183743	
548135	163520	Lucy van Pelt
548135	240032	Community Activist
548136	60685	Dancer
548137	249073	Herself (bookseller, publishe
548138	76227	Hostess
548139	1744	Presenter
548139	16073	Catherine Fengriffen
548139	20172	
548139	27247	Phyl Oswyn
548139	34903	Herself
548139	39463	
548139	59112	Marie
548139	69363	Vanessa Welch
548139	87878	Rosemary Richardson
548139	92669	Jessica Van Helsing
548139	117550	Rosemary Radley
548139	119180	Christine Petersen
548139	123470	Angela Simmonds
548139	160278	Kate
548139	190749	Judy
548139	232365	Miss Jessel
548139	269408	Mary, Queen of Scots
548139	275291	Elizabeth
548139	277947	Molly Carter
548139	289096	Dana
548139	290080	Beth
548139	291891	Dr. Kristin Westphalen
548139	292793	Sabina Quarles
548139	300700	Joanne
548139	324117	Janet Ainsley
548139	334112	Arabella
548139	340320	Vicki Sprantz
548139	345857	Harriet Fox-Smith
548139	360670	Tanya's Mother
548139	363011	Herself/Sable Colby
548139	366760	Madeline
548139	367406	Letitia Slighcarp
548139	368707	Amaelia
548139	381121	Phyl Oswyn (Series 5-) (2003-
548139	381811	Iris McKay (1991-1993, 1995)
548139	384528	Mrs. Peacock (Series 1) (1990
548139	384582	Sabella 'Sable' Scott Colby
548139	384884	Connie
548139	387152	Sabella 'Sable' Scott Colby (
548139	391155	Vernice Green
548139	393313	Blanche Ingram
548139	396145	Susan Martino Santangelo
548139	396909	Georgina Layton
548139	398989	Therese
548139	398990	Madame Duchatel
548139	399531	Dorothea Grant
548139	402777	
548139	404605	Dr. Kristin Westphalen (1993-
548139	404850	Rosanette
548139	405488	Sister Kate
548139	405558	Herself
548139	405988	Florence Palfrey
548139	407838	Rose Millar (1981-1982)
548139	409875	Nicolette
548140	38401	
548140	95855	
548141	37888	Herself
548141	41757	Herself
548141	314415	Herself
548141	367867	Herself
548143	224382	1st Lady's Secretary
548144	241447	
548145	12529	
548146	189473	Reggie's Mum
548146	397536	Cindy
548147	130094	B.G. aged 9
548147	391869	Caitlin (2002-)
548147	411008	Ruby Hill (2002-2003)
548148	177044	Mrs. Strong
548149	4919	Megan
548150	391509	Tracy Bentward (Series 3-5) (
548150	394560	
548151	40101	Julie Egan
548151	62697	Tanya
548151	73613	Jo Buckley
548151	115540	Stephanie
548151	194963	Flirtatious Girl
548151	207991	Coat Check Girl
548151	292287	Eve Lambert
548151	316140	Poppy
548151	368788	Kinch's Girlfriend
548151	379396	Margaret
548151	390052	Enzo
548151	396083	Alicia 'Albee' Barrett
548152	114940	Dottie Phillips
548152	203190	Emily Jones
548152	241428	Rolly
548152	334460	Mademoiselle Jeanette
548152	388634	Teeny
548153	40734	
548153	76618	Brenadelle
548153	154451	Marian
548153	158920	Woman Executive
548153	209169	Sarah Ann Talbot/Narrator
548153	303777	Ida Faraday
548153	331907	Eleanor Tuttle
548153	393881	Marie Waggedorn
548154	112831	Une soeur d'Angélina
548155	41473	Monique
548155	81093	Alyson
548155	99768	Gigi
548156	2928	Ma
548157	223787	Beebop
548157	304591	Tisa
548158	302871	
548160	178137	
548160	331681	Old Welsh Woman
548161	69085	
548162	86319	Shannon Maldonato
548163	344635	
548164	355104	11 Year Old Girl
548165	89321	Amina
548167	155108	Herself
548168	134275	Herself
548169	199499	Matron
548169	297672	Bus Rider
548169	394502	
548169	399685	Slave
548170	363929	
548171	134275	Herself
548172	197755	Schoolgirl
548173	317309	Prom Night Teacher
548174	313611	Status
548175	257267	Amer. Touri-Frau
548176	271315	Christopher
548177	79809	Judi's Martian Double
548177	128884	Leona Stavros
548178	79809	Judi Fielding
548178	128884	Linda Stavros
548179	244864	Grunge Girl
548180	31879	Official's Wife
548180	327279	Old Crone
548180	343278	Eva Fischer
548181	38619	Shirley
548181	71474	Myrtle Fay
548181	96958	Maid of Honor
548181	175795	Marcy
548181	196434	Robin
548181	231951	Slick
548181	313933	Stevie's Date
548182	13576	Girl at Club
548183	1046	Suzi
548183	2804	Herself (Presenter)
548183	2809	Herself (Presenter)
548183	7959	Mrs. Gavotte
548183	17796	Gina Taylor
548183	19551	Princess Yum Yum
548183	37133	Lorraine Brewster
548183	41134	Mona
548183	42708	Gina
548183	46270	Juliet
548183	46794	Eva
548183	55482	Herself
548183	56880	Molly
548183	80559	Rebecca Darcy
548183	83877	Elizabeth
548183	84873	Daphne Monet
548183	88841	Sonja Vogler
548183	110286	Jessica
548183	115106	Alex Owens
548183	118367	Angela
548183	132856	Joyce Ferranti
548183	147715	Herself
548183	150826	Amanda Dickson
548183	158440	Angelica Pena
548183	158960	Ellie
548183	185201	Nina Moritz
548183	188223	Emily
548183	199769	Patty Meredith
548183	213930	Julie Sanders
548183	221306	Gertrude Benchley
548183	223740	Clifford's Friend
548183	232158	Julia
548183	245073	Parole Officer Jenny Capitana
548183	249470	Lady Olivia
548183	265861	Valerie Rosales
548183	280438	Sophie
548183	283434	Vanessa Lembeck
548183	291931	Ellen
548183	308083	
548183	308913	Transvestite
548183	311512	Barbara Uribe
548183	311927	Xinia Kelly
548183	329560	
548183	330217	Sloan McBride
548183	342499	Suzanne Stein
548183	350221	Rachel
548183	366673	Elizabeth
548183	366937	Sam (Samantha)
548183	378781	Perry Quinn (1992)
548183	388202	Cinderella
548183	388545	Dolly Rose
548183	395016	Bette Porter
548183	399740	Justine Madsen Judd (1997-199
548184	190952	Reporter
548185	249554	Claire
548186	301753	Little Julie
548187	66146	Alison
548187	157291	Kay
548187	162462	Jeannine Miller
548187	184445	Waitress
548187	202843	
548187	244444	Jessica Mathews
548187	296681	Truck Stop Waitress
548187	313869	Monica Andrews
548187	323228	Sara Baldwin
548187	340385	Carolyn
548188	176624	Herself
548189	366080	Annie Cima
548190	80426	Ann
548190	185322	Petra
548190	289941	
548191	146934	Waitress in Bar
548192	97718	Elektra Quartet, Cello
548193	42388	Diana Serene
548193	66589	Andrea James
548193	112301	1st Girl
548193	115163	Jennifer
548193	135623	Younger Woman in Café
548193	247566	Panic
548193	290982	Connie
548194	155926	Mrs. Summer
548195	298119	Tina
548196	136015	Virginia Duncan
548196	200710	Evelyn
548196	365491	Ann
548197	14224	Herself
548198	37057	1950's Woman/Circus Vendor
548199	324371	Destroyed Future Inhabitant
548200	220504	Andrea
548201	20146	Dryade
548201	104522	Filippyevna
548201	136720	1. Norn
548202	11546	Nicole
548203	304758	Demi
548204	324371	Destroyed Future Inhabitant
548205	347403	Pocahontas
548206	64424	Molly Norman
548207	22849	Young Laura Singleton
548208	325995	Annie
548209	62035	Felicity Turner
548210	194071	Leah
548210	303964	Junkie With Pierced Nipples
548211	9124	Next Woman in Line
548211	14137	Showgirl
548211	117454	Sexy Student
548211	221024	Executive #5
548211	248097	Booking receptionist #1
548211	282046	Grace Raines
548211	329309	Shirley
548211	369492	Xanadu Dancer
548211	373990	Corinne Updike
548212	195771	Person at the Paris Opening
548213	28781	
548213	51373	
548213	81519	
548213	127950	
548213	205573	
548213	244077	
548213	268997	
548213	279113	
548213	290926	
548214	341554	
548215	365712	Lertie Pottle
548216	365712	Jenny Pottle
548217	312666	Sylvia Nash
548218	92453	Girl Bear Cub
548218	134735	Self
548219	87309	Old crone
548220	20841	
548220	46556	
548221	16042	
548221	42318	Martha Wright
548221	46737	Miss Stone
548221	131472	Typist
548221	138987	Mrs. Henley
548221	168635	Nurse
548221	190193	Eunice
548221	219917	Faith Morgan
548221	231131	Nurse
548221	251279	Miss Matthews
548221	302715	Albert's Mother
548221	314343	Myra
548221	329450	Isabella (an ancestor)
548221	340535	Sgt. Hazel Craine
548222	62898	Last Party Guests
548222	117454	Gunfighting Student, Johnny
548223	72931	Goodyear Chorus Girl
548224	337311	
548225	274679	
548225	388104	Player - Barbell Mafia
548226	263916	
548227	113286	Brunette Autograph Seeker
548227	113287	Brunette Autograph Seeker
548228	316208	Lauretta
548228	346907	Nurse
548229	216688	
548229	363169	Hector
548230	38710	Buckwheat
548230	117130	Buckwheat
548230	273205	Marmalade
548230	299388	Cotton
548231	173535	Viola
548232	387336	Ellen - the Scullery Maid (Do
548233	401889	Herself - Clea
548234	309829	Margaret
548235	117575	Doris Jennings
548235	135195	Kidnapper
548235	277948	Jessica Stone
548235	301626	Carol Simmons
548235	310648	Biologist
548235	321450	Receptionist
548235	337381	Cleaning Mom
548236	119531	Stymie's mother
548237	48490	Additional Voices
548237	243575	Additional Voices
548237	382908	Additional Voices
548237	387457	Daisy, Villager, Cashier
548237	389869	Dream Crowd/Student
548238	191772	Maria Jose/Celestine
548239	120412	Catholic schoolgirl
548240	177232	Choreographer
548240	381303	Shirley Muggleton
548240	399816	Raylene Shackleton (1974)
548241	293198	Prompter
548242	121507	Young Julia
548243	381166	Ming Ming
548243	401100	Coco
548243	403066	Kelly Cook
548243	404124	Sailor Mini Moon/Rini (II) (2
548244	72290	Laurie
548245	153650	Teenage Girl
548246	358291	Coast Girl
548247	136038	
548248	249420	Barbara
548249	347069	Hotel manager
548250	92248	Imogen at 11 Years
548251	309882	Kay Johnson
548252	328	Nurse
548252	149107	Betty Boo Radley
548252	265775	Mrs. Keyes
548252	299796	Woman In Park
548252	332785	Kentucky Neighbor
548252	335586	Records Clerk
548252	363422	Goldie Pease
548252	374418	Telephone Operator
548252	387309	Switchboard Operator (1975)
548253	189997	Labia
548254	157962	
548254	224778	
548254	324120	
548255	287777	Reporter
548256	396772	Young Julia
548257	395736	Annie
548258	209209	Featured Zombie/Terrified Pop
548259	62922	Nutlady
548260	201311	Denice's Daughter
548261	201311	Denice's Daughter
548262	90855	Barmaid
548262	114047	Karen
548262	119097	Nicole Ferret
548262	120285	Amy Peterson
548262	129094	
548262	130098	Cathy
548262	143573	Mrs. Pearl
548262	206456	Herself
548262	206457	Herself
548262	245244	Host
548262	266084	Soap Opera Actor
548262	379716	Amanda Cousins (1982-1984)
548262	396936	Marcy Rhoades D'Arcy
548263	39840	Member of the Algonquin Tribe
548264	240715	Destiny
548265	279412	Herself (as "Pretty Miss Norm
548265	401936	
548266	31198	Herself (ABC Team)
548266	52443	Telemarketer
548266	56940	Sally
548266	93223	Sophia
548266	101726	Frankie
548266	110187	Herself
548266	117546	Librarian
548266	124166	Girl Cats 2 and 3
548266	142597	
548266	154491	Senta
548266	187191	CULA Advisor
548266	193108	Spinach Destiny
548266	196302	Cindy
548266	200182	Waitress
548266	218799	Agnes DiPesto
548266	220164	Chimera Receptionist
548266	233831	Zoe
548266	241276	Mrs. Cutler
548266	263974	Constance
548266	272687	Receptionist
548266	273743	Miss Alordayne Grotkey
548266	273745	Miss Alordayne Grotkey
548266	273746	Miss Grotke
548266	283305	Hildy
548266	301679	Janice
548266	317261	Aunt Beatrice Little
548266	335310	Becka Paulson
548266	358806	Herself - Performer
548266	365609	
548266	366668	Mom Bumpers
548266	385727	Tia/Additional Voices
548266	398188	Agnes DiPesto
548266	403038	Miss Alordayne Grotkey
548267	127834	Puppeteer
548268	127834	Puppeteer
548269	8028	Macaela
548270	42296	Swedish Suntanning Team Membe
548271	120640	Erica
548272	262589	St. Matthew's Choir & Band Me
548273	119601	
548274	66305	Patsy Lynn
548275	136	Jenny
548276	66305	Peggy Lynn
548277	125578	Mrs. Pullman
548278	46242	T.B. Ward Sister
548278	396911	Raewyn
548279	315076	Woman at Home
548280	135623	Sexy Bridesmaid
548281	60016	Mae's Mother
548282	293387	Starr
548283	262589	St. Matthew's Choir & Band Me
548284	203436	Chorus
548285	383374	
548286	334410	Vollyball Player
548287	43629	Invitee party
548288	32241	Chi Chi
548289	187167	Brandy
548290	24519	
548291	108768	Monica
548291	190080	
548291	265247	Linda
548292	14693	Carito
548292	18641	La prima Rocio
548292	20567	Sister Carmen
548292	32707	Teacher
548292	82585	Jackie, mesera
548292	212493	Socorro
548292	380128	Ángela
548292	401068	Consuelo
548292	410317	
548293	346079	Darlita
548295	16654	Tiny
548295	219189	Miss Finch
548296	328033	
548297	331234	Riot Kid
548298	144788	Ramona
548298	245219	Ramona
548298	245222	Herself
548299	140019	Cop
548300	91903	Pedestrian #1
548300	105116	Kim
548300	196281	Ruthie
548300	214917	Woman at Party
548300	303860	Counter Girl
548300	331733	Girl at Registration
548301	65928	Miss Mazie
548301	78156	
548301	203619	Sarah Butler
548301	211756	Mrs. Jones
548301	299806	Undetermined Role
548302	27667	Sue Creswell
548302	31819	Det. Ace Blood
548302	37696	Princess Nibbi
548302	41198	
548302	41428	Det. Alexandre Cyphre
548302	72650	Jillian Gardner/Helene (Young
548302	77826	Rebecca
548302	95791	Model
548302	105396	Devon (Satan)
548302	105453	Serena
548302	106653	Sondra Gard
548302	140990	Mrs. White
548302	218367	Girl #1
548302	297781	Waitress
548302	304911	Ash McCoven
548302	323832	Karen (segment "Weekend in th
548302	323842	Helen (Hercaylac)
548302	326742	Rebecca
548302	342481	Beth Koski
548302	347455	Jennifer Cartwright
548302	349393	Veronica
548302	366751	Det. Lucy Lutz
548302	366754	Det. Lucy Lutz
548302	366755	Det. Lucy Lutz
548302	375707	Alice Hudson
548303	158138	Model 4
548304	32907	
548305	229959	
548305	252703	
548306	293787	The Baby
548307	111663	
548307	390448	Bea
548309	124235	
548309	263929	
548309	278564	
548309	333693	
548309	334565	
548310	386169	
548311	190663	Fine Laarmans
548312	34311	WG-Bewohnerin
548312	34522	Gin
548312	169518	
548312	321978	Prostituierte
548312	322989	Ottilie
548313	140966	Waitress
548314	334011	Goth
548315	250746	Upper-class townswoman at Cha
548316	20625	Extra
548317	114921	
548319	105092	Hélène
548319	106023	Katie
548320	97513	Receptionist
548321	257048	Young Ellie
548322	323721	Extra
548323	47755	Margaret
548323	214226	Elaine Nicholson
548323	225799	Shonagh
548323	257344	Deirdre McIntyre
548323	384358	Vicki (1987)
548323	387533	Laura Johnstone (1998-2000)
548323	388597	Various roles
548323	398944	Various roles (1991)
548323	407667	Maureen
548324	185422	Sallie Latham
548324	252479	Ms Veronica Tyler/Mrs Mavis B
548324	283068	
548324	342365	Maria
548324	379722	Vanda
548324	382660	Alice Costigan
548324	382661	Alice Costigan
548324	382662	Alice Costigan
548324	383631	Staff Nurse Sandra Nicholl (1
548324	395437	Elizabeth Dickens
548324	396425	Cathy
548324	408072	
548324	408951	Mary
548324	411224	Anna Crozier
548325	79361	Mrs. Korsikov
548326	92565	Christina
548327	150351	American Gladiator
548327	380005	Siren (1992-1997)
548328	220276	Montmartre Dancer
548329	288719	Herself
548331	113881	
548332	82451	Martha Gentry
548332	105889	Liz
548333	338778	Woman at inn
548334	32404	Lady Blanche
548334	37840	Susan
548334	62983	Martha Cratchit
548334	109824	
548334	117557	Bit part
548334	119848	Alice
548334	189255	Barbara 'Babs' Burns-Norvell
548334	291082	Girl in the Park
548334	299072	Nancy Hormiston
548334	321794	Maid
548334	360805	Miss Elsie Allardyce
548334	367919	Debutante in Powder Room
548334	370537	Chorine
548335	53039	Rainbow
548336	18207	Dancer
548336	51991	Billie
548336	75806	Pleasure Unit #2
548336	81640	
548336	83843	Fiona
548336	99987	Cara
548336	99991	Cara
548336	100007	
548336	100008	Cara
548336	213260	Sandra
548336	280016	Furious Woman
548336	316926	Model
548336	319910	Second Woman
548336	366753	Keli
548337	79679	Joan
548337	150169	
548338	71474	Dancer
548338	124056	Lady in Jail
548339	56709	
548340	354163	Nurse
548340	366957	June Clark
548340	403145	Carol (1987)
548341	321031	
548342	67196	Waitress
548343	266547	
548344	295305	
548345	7108	Mrs. Jameson
548345	8093	
548345	17475	Bit Role
548345	32404	Miss Briggs, Miss Crawley's S
548345	34128	Mrs. Paula Banning
548345	43742	Undetermined role
548345	44937	Bit Part
548345	47355	
548345	52431	Frank's Landlady
548345	52904	Second Doorman
548345	73203	Deep-Voiced Woman
548345	74288	Dowager
548345	86957	
548345	93571	Phyllis Lathrop
548345	96816	Charity Bazaar Committee
548345	100662	Martha, Lady Caoline's Maid
548345	104352	Dowager
548345	105568	Lady Harriett
548345	117647	Cook
548345	118272	Mrs. Parracot
548345	127180	Landlady
548345	128477	Aunty
548345	129227	Journalist
548345	143596	Miss Doyle
548345	149827	The Duchess
548345	153996	Maggie
548345	154692	Lady Handel
548345	155846	Anna
548345	160432	
548345	161934	Mme. LeGrand
548345	191962	Mrs. Mellon the Housekeeper
548345	192026	Rintoul Maid
548345	192747	Dowager
548345	193007	Lady Markham
548345	195757	Gloria
548345	199192	Françoise, Gogol's Housekeepe
548345	202946	Mrs. Sanderson
548345	203799	Landlady
548345	206926	Governess
548345	224332	Annie
548345	224611	Woman at inquiry
548345	231990	Mrs. Betts
548345	241845	Mrs. Spencer
548345	252886	Harriet's Friend
548345	263555	Mrs. Philips
548345	264775	Grandma Gammon
548345	269364	Ellen, the Sturgis maid
548345	271231	Queenie
548345	280941	Lady Argyle
548345	288438	Mrs. Arden
548345	297956	Mrs. Michaels (Skillet's mom)
548345	300062	Landlady O'Brian in Chicago
548345	314943	
548345	321794	Older woman on Ship
548345	323769	Aristocrat (Forgive Them)
548345	327783	Jackie's maid
548345	330664	Customer
548345	347128	Mrs. Hogan
548345	350509	Mrs. dantry
548345	354201	Mrs. Merchant, Prescott's Hou
548345	360369	Mrs. Patterson
548345	363758	Nurse
548345	364837	Dowager
548345	367919	Fat Woman/Society Woman
548346	17695	Essie
548346	24960	Meter Maid
548346	49050	Sherry
548346	61303	Mother
548346	64904	Mary Stover
548346	80487	Donna Swift
548346	87418	Reisman
548346	103304	Trimbell
548346	105354	Mrs. Dinker
548346	106378	Ruth Myrick
548346	117278	Franny
548346	130867	Mrs. Drossos
548346	131539	Anna's Mother
548346	139582	Miss Elson
548346	140347	Marge
548346	142870	Minnie
548346	190261	Jane Hurshman
548346	193951	Jean McBride
548346	194656	Cynthia Porter
548346	205786	Sister
548346	208067	Sandi
548346	212802	Mrs. Haggerty
548346	234218	Lee
548346	261992	Katherine
548346	276198	Ella Weinstock
548346	291771	Raymond Brown's wife
548346	292892	Carol
548346	299202	Mavis Bangs
548346	336692	Mrs. Kraft
548346	361157	Woman
548346	363496	Mom
548346	399153	Mrs. Irwin
548346	399153	Mrs. Orwin
548346	399335	Nancy
548346	406621	Octavia Godsoe
548347	67955	Comedian
548348	149136	Mrs. Fleming, Party Guest
548349	176777	Celeste
548350	314853	
548351	75820	
548352	121997	Herself (Volume IV: Initiates
548353	20787	Prostitute
548353	303225	Teenage girl #2
548353	342769	Cynthia
548355	176777	Celeste
548355	217528	Abby
548355	306320	Megan Mulligan
548356	108353	Lucy Gorman
548357	217528	Abby
548357	305317	Jane
548357	306320	Megan Mulligan
548357	316090	Lauren (segment "More Than a 
548357	372968	Maria Messa
548358	162455	Julie
548359	282781	Pierre
548361	201189	Elisabeth
548361	250785	Christiane
548361	333613	
548361	376955	
548361	410473	Une femme juré
548362	39880	Meg
548363	238138	Hostess
548364	10888	Doctor
548364	42677	Singer
548364	67395	Corrine
548364	109857	Annie's Nurse
548364	226939	Wilma Nordberg
548364	363265	Nurse
548365	378731	Françoise Piché
548366	45936	Alethea Brand
548366	60246	
548366	201060	
548366	206675	Irene Lawson
548366	366351	Undetermined Role
548367	163559	
548368	133684	
548369	99362	L'infirmière-chef aimable
548370	54706	Herself
548370	366936	Herself
548371	106188	
548371	304917	
548372	211153	Narrator
548373	50465	Fat Woman
548373	302031	Neighbor Woman
548374	163267	Myrna Loy Double
548375	319568	Ali
548375	380352	Anna Tellwright
548375	405969	Young Constance
548375	407831	Girl at Cemetery
548376	292225	Jayne Wilde
548377	80687	Susan O'Brien
548377	196285	Haley
548377	312678	Lily
548377	335245	Mexican bride
548378	80695	Skater
548379	256989	
548381	256996	
548383	148696	Coiffeuse
548383	161765	
548383	393395	Rita
548383	401983	Annie Geoffrion
548384	221266	Young Dorothy
548385	410628	Nadeige Miljours
548386	343588	
548387	330057	Insurance Spitballer
548388	306119	La secrétaire
548389	389005	Victoire Lafontaine
548389	399106	Brigitte Espardieu
548390	1031	Herself
548391	42879	
548393	232278	Anna
548395	100189	Girl In Flashback
548396	389595	
548397	100442	La petite fille
548398	250922	
548400	45591	Young Jennifer
548400	45661	Raindrop
548400	55457	Young Alex
548400	133594	Estella at Age 10
548400	305458	Gwen Patroni
548401	170	
548401	7392	
548401	26060	Marie Moreau
548401	31060	Mrs. Vandergriff
548401	37932	
548401	38253	
548401	49651	
548401	50659	
548401	71543	
548401	75688	The Mother
548401	130626	Cissie Gray
548401	134098	Ida Faraday
548401	143254	Mrs. Chazy Bunker
548401	166933	
548401	186288	Mrs. Wharton
548401	202926	Lavinia Backsetter
548401	224053	
548401	224198	Olga
548401	240524	Mrs. Carter
548401	263442	Duchess de Segni
548401	263529	Mrs. Gower
548401	279345	
548401	286114	Madame Julie Du Fay
548401	289188	
548401	304645	Mrs. Leeds
548401	334140	Marie Pratt
548401	362524	
548401	362654	Mrs. Brooks
548402	249121	Cisette
548403	146934	Kimberly
548403	264110	First Girl
548404	3206	Shop clerk
548405	341850	L'institutrice
548406	403254	Martine Provencher
548407	252299	Margaret Schofield
548408	80541	Duty Secretary
548409	44471	Mrs. Hoffman
548409	52635	Young Mother
548409	164243	Nymphet Fan
548409	166007	Secretary (Casting Office)
548409	205080	Secretary #1
548410	314252	Receptionist
548411	269041	Grosse Louise enfant
548413	230643	
548414	257673	Additional Talent
548414	303788	Herself
548415	46226	
548416	197400	Mme. LeRoyer
548417	27195	Wanda
548417	103348	Ronnie (Veronica)
548417	108334	Young Sue
548417	127824	Winnie
548417	192527	Celia Watson
548417	216445	Jane
548417	284935	Marnie Littlefield
548417	298008	Tawney
548417	321405	Rita Spiridakis
548417	360279	Anise
548417	396384	Penny Foster (1994-1995)
548417	404083	Jennifer 'Jenny' Kelley (1996
548418	148696	Mère de Hugues
548418	199078	Mère de Sennett
548418	388029	Mrs. Sauve
548418	398158	Mme Bérard
548419	1038	Sydni
548419	197292	Granddaughter
548419	310499	Cyan
548420	100113	
548420	120970	
548420	205211	
548420	242360	
548420	249712	La mère de la fillette blonde
548420	251547	Jeanne
548420	300609	Carole
548420	340190	L'oculiste
548420	382449	
548420	403254	Catherine Landry
548420	404018	Josette
548421	19057	
548422	404812	France Lecavalier
548423	269725	Mere de la mariee
548424	24673	Narrator
548425	161051	Anesthesiologist
548426	234677	Nurse
548427	128621	Caroline
548428	91745	
548429	107508	
548430	87428	Pretty Beach Girl
548431	384789	Paul (1990-1991)
548432	83617	Sally Kent
548433	168894	Mab
548434	189367	
548434	334112	Stripper
548435	51393	Jacqueline
548436	164193	Camériste Hôtel
548436	229663	Domestique Josette
548437	193440	
548438	64287	Herself
548439	84696	Jeune visiteuse
548439	345406	
548440	79045	Little Girl
548441	281270	Lady Montaigu
548442	43373	
548443	169652	La folle du métro
548443	393395	Marguerite
548443	404018	Préposée no.2
548444	46854	Leslie Burke
548444	71897	Barbara Solto
548444	241494	Noonan kid
548445	268936	
548446	57076	Geneviève
548447	332618	
548447	364643	Suzanne
548447	393718	Chon
548448	333731	Geneviève
548449	173129	Dame au the
548449	243300	Prison's Guardian
548449	249209	Fan de Jeannot
548449	332618	
548450	302142	
548451	148696	Femme d'affaires
548452	225488	
548453	170842	Thug's Girlfriend
548454	378858	Marjolaine Tremblay (1995-)
548455	229663	La religieuse
548456	410628	Odile Cusson (1992-1995)
548457	45883	
548457	126699	Matilda Bussard
548458	111079	
548458	148743	La gouvernante
548458	261806	
548459	251540	
548460	190592	
548461	240615	Sarah
548462	117288	Victoria
548463	240614	Sarah
548463	282948	Sarah
548464	59935	Jenny
548464	152324	Wendy
548464	154902	Partygoer Stella
548464	160582	Amanda
548464	214912	Hannah Abrams
548464	222710	Ursula Bourne
548464	269403	Cath
548464	297377	Cigarette Girl
548464	316858	Laura Nichols
548464	318775	Carly
548464	327726	Nun (segment Addicted to the 
548464	362380	Girl on Boat
548464	368418	Nina
548464	384483	Trish
548464	408636	Emily Hawkins
548464	408638	Emily Hawkins
548465	191359	Nina
548465	370615	
548465	382838	Deborah Lawson (1999-2000)
548465	392129	Emma Casson (1991-1993)
548465	405829	Sgt. Sally Hawkins (1994)
548466	119097	Hooker Smith
548466	304644	Ballerina
548467	6188	
548467	10630	
548467	10631	
548467	24209	Dorrie
548467	24696	Audrey
548467	38599	May Wortle
548467	39657	Gwen, young maid-next-door
548467	106811	
548467	131527	Lottie
548467	144428	Secretary
548467	148215	Ellen
548467	154793	Barmaid
548467	188216	Greta, hotel receptionist
548467	188283	
548467	197027	Polly
548467	201419	Annie
548467	204551	Lady Diana Savage
548467	222655	Girl
548467	235157	Millie
548467	239727	Millie Jeans
548467	239743	
548467	245045	
548467	273270	Mary
548467	292660	Helen Allinson
548467	300911	Nancy Brown
548467	315083	May
548467	330151	Pamela Budmarsh
548467	362906	Hilde
548468	11563	Daphne Dression
548468	12015	Tootsie Sloper
548468	12016	Tootsie Sloper
548468	105238	Mrs. Newlywed
548468	128179	Peggy Marsden
548468	130895	Winifred Rowan
548468	133897	Joyce Henderson
548468	244836	Peggy O'Connor
548468	250709	Patricia Brent
548468	271216	The Girl
548468	295189	
548468	359882	The girl
548468	359916	Evelyn Selby
548469	211755	Bella
548470	114889	Lucille Errol
548470	282356	Rosalind Nolan
548471	277947	Lady Roxborough
548472	54390	
548472	192039	Maudie Butterfield
548472	355046	Constance Holt
548473	211600	Chorus girl
548474	86046	
548475	188388	Burnt Out Retreat Lawyer
548477	10741	Alice
548477	10751	Alice/Narrator
548477	87769	Alice
548477	163289	
548477	177632	Alice/Wendy
548477	240440	Penelope Peabody aka Pineappl
548477	241415	Co-host
548477	253914	Wendy Moira Angela Darling
548477	291929	Alice
548477	292414	Muriel
548477	354564	Alice
548477	358802	Wendy
548477	372099	Herself
548477	392134	Alice
548478	360269	Herself
548478	368559	Laura
548479	87551	Jennifer
548480	408867	Justine Hayward (part 2)
548481	12333	Aunt Alvira
548481	21798	Charlotte
548481	33760	Villon's mother
548481	38854	Aunt Priscilla
548481	40682	Mrs. Summers
548481	45957	The Mother
548481	57192	Mother Talley
548481	60187	
548481	65878	Mary Newell
548481	68885	Mrs. Dixon
548481	69236	Mother Molly
548481	73935	Mary's Mother
548481	75339	Mother
548481	85109	Madame Lavond
548481	87798	Mrs. Fay
548481	101032	
548481	108026	Miss Milgrim
548481	108365	Miss Abigail Selfridge
548481	112461	
548481	119513	Grandma Ashe
548481	128310	Lorna Montrose
548481	131360	Mrs. Benson
548481	133887	Tante Ilde
548481	134292	Mrs. Williams (Bill's Mother)
548481	139232	Grandmama Duhamel
548481	145885	Mrs. Leek
548481	149293	Mother Smith
548481	158371	
548481	162551	
548481	178952	
548481	185465	Bland's wife
548481	192422	Mrs. Milburn
548481	196166	
548481	197044	Mrs. Winship
548481	200881	Rebecca
548481	203682	Mrs. Nolan
548481	210813	Mrs. Abbott
548481	213170	Grandma Austin
548481	220528	Mrs. Hall
548481	230498	Mrs. Dalrymple
548481	239799	Mrs. Hawley
548481	241733	Mother Kelly
548481	245288	Mrs. Mary Davis
548481	249223	
548481	276421	Aunt Sophya
548481	278025	Mrs. Riordan
548481	287286	Widow Mackey
548481	308853	Mother Thorpe
548481	313959	
548481	315268	Mrs. Wells
548481	315955	Grandmother
548481	327583	Headmistress
548481	331689	Cassie's Mother
548481	331769	
548481	336258	Doña Pepa Moreno
548481	340569	Grace's Mother
548481	347120	
548482	96213	
548483	78865	Sis
548483	305343	Ginny
548483	379730	Rebecca Green (2001-2003)
548484	163733	
548484	235738	
548485	27221	Carol Bailie
548485	75913	Precieuse/Mother Marguerite/L
548485	77857	Hilde
548485	124594	Dorothy Collins
548485	194513	Dorothy Collins
548485	224566	Mrs. Raikes
548485	233694	
548485	263793	Elizabeth Bramwell
548487	356792	Student
548488	168330	Girlfriend
548488	321982	Marianne
548488	384783	Karen
548489	55708	Frances James
548489	106669	Probationary Nurse
548489	144974	Kristy
548489	160033	Liz
548489	170571	Susan Storer
548489	203322	
548489	203539	Stella
548489	233937	Jean
548489	240860	Kitty Casey
548489	302128	
548489	310264	Margaret Manton
548489	360626	Janet Shenley
548490	136822	Chorus - soprano
548491	157278	Suzanne
548492	20862	L'ordinateur (voix)
548492	171284	Sophie
548492	245984	Narrator
548492	386803	Evelyne
548493	68381	
548493	70957	Infirmière Nice
548493	114828	
548493	132955	Louise
548493	146954	
548493	248423	
548493	307111	La maman
548493	377474	L'hôtesse
548494	216795	
548495	24681	Une convive
548496	391248	Nikki Ruark (1997-1998)
548496	391869	Stephanie Mboto (1996-1997)
548497	199364	Madame Poisson
548498	130154	
548499	360027	Helen 'Mama' Boucher (Photo A
548500	235367	
548501	68773	
548502	5509	
548503	230273	
548504	400414	Host
548505	124328	
548506	269645	La compagne de travail
548507	198337	Young Rita
548508	75629	
548509	390486	Linda
548510	369421	Orgy Crowd #6
548511	41379	Showgirl
548512	222736	Mrs. Moore
548513	11934	
548513	27837	Rita
548513	58534	
548513	71947	Stéphanie
548513	88382	Wissi
548513	96037	A Roissy Passenger
548513	232132	
548513	258635	Nadège
548513	284666	L'entraîneuse noire
548513	301519	Simone
548514	124046	Dream Girl
548515	13283	
548515	37448	
548515	44123	
548515	92353	
548515	150043	
548515	247990	
548515	292866	
548516	4671	Herself
548516	13967	Sara
548516	27196	Nicole
548516	29746	Loretta
548516	68232	Rose bearer
548516	91881	Chloe
548516	105116	Woman #2
548516	160307	Herself
548516	204218	Young Woman Housebuyer
548516	292245	Larissa
548516	365498	Belle
548516	392421	Herself
548516	393299	Francesca 'Fancy' Monroe
548516	398015	Cynthia Nichols
548516	400371	Ms. Maya Bradley
548517	158902	Meg Middle
548519	381876	Summer
548520	214422	Marjorie Simpson
548521	320266	Prosecutor #2
548522	356405	
548523	213512	Mignon
548523	269699	Fulvia
548524	132763	Solange
548525	64230	Herself
548525	83298	Récitante/Narrator
548525	96233	Herself
548525	96237	
548525	207243	Herself
548525	288322	Herself
548525	302166	Herself
548526	34325	Singer
548527	158842	La jeune modèle
548528	65947	Car Scrapman daughter
548529	395888	Leylia (Ep 22-24)
548530	152435	Governess
548531	21180	Carys
548531	50275	Nicky Edwards
548531	186061	Sophie Clemant
548531	217381	Young Girl
548531	386858	Sarah Addis (Series 1-3) (200
548531	410659	Kyla Kane
548531	411130	Natalie
548532	158343	Old Lady
548532	325272	
548533	344187	Helen's friend
548534	254279	Lynn Jessup
548535	41319	
548536	382838	Alison Matthews (1993)
548537	157121	Baby Bill
548538	115378	Jill Williamson
548539	41179	Jill
548540	1705	Glendora
548540	1784	Frat Party Girl
548541	196038	Monica
548542	2545	Pansy
548542	11181	Willie
548542	11502	Rose
548542	17629	Ruby
548542	17655	Miranda
548542	26762	Nellie
548542	29285	Lindy
548542	29691	Bedelia
548542	30201	
548542	32534	Pansy
548542	32788	
548542	33622	Mammy Lou
548542	36946	
548542	37364	Rudy, the Maid
548542	43376	Loretta
548542	46999	Angela, the Maid
548542	47894	Jenny
548542	49364	Nellie LaFleur
548542	57973	Hotel Maid
548542	60183	Lily
548542	67415	Mattie, Jackie's Maid
548542	70600	Julia (the maid)
548542	78848	Levinnia, Kay's Maid
548542	82364	Hannah, Jo's Maid
548542	88165	Rosetta, Shumaker's Maid
548542	88257	Opal
548542	90257	Maid
548542	92558	Sarah, Mary's Maid
548542	94291	Niagara
548542	98821	Farina's mother
548542	106011	Lulu, maid #2
548542	107262	Gussie
548542	116523	Herself
548542	117222	Bertha
548542	119338	Maid
548542	123350	Suzy the Cook
548542	125540	'Mammy' Cornelia
548542	128330	Julie, Daisy's Maid
548542	128619	Hattie
548542	128896	Hatti
548542	129168	Hannah
548542	129227	Millie
548542	130106	The Cook
548542	130625	Sadie the Maid
548542	130626	
548542	131532	Cleo
548542	131594	Chloe, Lu's Maid
548542	131618	September
548542	131696	Bonnie Drew
548542	132016	Aunt Sukey
548542	133998	Beautician
548542	134411	
548542	139942	Imogene
548542	141030	Hyacinth
548542	141630	
548607	15987	Virginia
548542	142454	Rascal's Sweetheart at Visito
548542	143020	Margot's Maid
548542	143406	Anastasia
548542	144211	
548542	147446	Elite Club attendant
548542	147543	Mamie, Jim's Housekeeper
548542	154063	Prisoner
548542	154190	Mammy
548542	154238	Maid
548542	154712	Celestine
548542	155028	Crystal
548542	156939	Delilah Johnson
548542	158335	Lily
548542	163654	Ada, Janet's Maid
548542	164446	Mammy Jenny
548542	164584	Jackie's mother
548542	167683	Maid
548542	178200	Clotilda, Laura's Maid
548542	183405	Ivory
548542	183853	Aunt Tina
548542	185286	Gloria, Talya's Maid
548542	190088	Sally Weston
548542	195647	Millie
548542	196404	Martha
548542	199466	Lily, Cook #3
548542	201458	Mamie
548542	204744	Rose, Prison Inmate
548542	211568	Camille, Hattie's Maid
548542	211610	Reno Hotel Maid
548542	213170	Bit
548542	213193	Anna, Mary's Maid
548542	213218	Maid
548542	214068	Maid
548542	214079	Mother
548542	216670	Beulah
548542	216907	Azais' Maid
548542	220849	Gussie
548542	223733	Selma
548542	230435	Artamesa, Jo's Maid
548542	232344	Maid
548542	233304	Magnolia
548542	234027	Clementine, Actress in Show/L
548542	235685	Ophelia
548542	239715	
548542	242110	
548542	244778	Amelia, the Mannequins' Maid
548542	245510	Judy, the maid
548542	246596	Black Convict
548542	247200	Cystal, Mayme's Housekeeper
548542	249261	Aunt Lindy
548542	249586	Laura's Maid
548542	251644	Cassey
548542	254441	Penny
548542	255167	Magnolia
548542	264413	
548542	271230	Toinette
548542	273513	Maum Maria, the Claiborne Mai
548542	273726	Maid
548542	273802	
548542	274727	Mother Barton
548542	274924	Flo, Sadie's Maid
548542	285350	Messalina
548542	289417	Maid
548542	289422	Clairce
548542	292144	Maid
548542	295380	Petunia, the Maid
548542	296827	Estrellita
548542	297887	Cora
548542	297909	Pearl (Lou's maid)
548542	300305	Maid
548542	301273	Beulah
548542	303440	Bit Role
548542	309827	Chloe
548542	309938	Laundry woman
548542	315726	Minnie
548542	316124	Washroom Attendant
548542	316681	Mattie, the Maid
548542	319073	Auntie Jenny
548542	324261	Osia
548542	326814	Willamay, Fallon's Maid
548542	327221	Cleo
548542	327972	Addie, Stevens' Maid
548542	330030	
548542	335575	Mammy
548542	335852	Cleo (the Warrens' maid)
548542	340855	Maid
548542	345627	Amanda Jones
548542	345826	Extra
548542	348311	Maid
548542	350484	Aunt Emmeline Preston
548542	355082	Ophelia
548542	358707	Magnolia
548542	361651	Mauree
548542	362365	Bonita, Mary's Maid
548542	362367	Hannah
548542	364800	Easter
548542	365264	Mammy Lou
548542	366205	Mamie
548542	367046	Florabelle
548542	367449	Sally
548542	367905	Ivory
548542	372140	Maid
548542	372359	The Maid
548542	372412	Maid
548542	372413	
548542	372777	
548542	381803	Beulah (1952-53)
548542	396559	Louise (1953-1954)
548542	407135	Delia
548543	61611	Character Actress
548543	61625	Auntie Betty
548543	63038	Lady at Desk
548543	82030	Woman in Jewelry Shop
548543	129461	Margaret
548543	154302	Mrs. Lassell
548543	220954	Mrs. Sillas
548543	268159	Mrs. Pearce
548543	287285	Cara Pink
548544	165278	Marilyn Monroe
548544	215500	
548544	245466	Madonna
548544	267641	Dolly
548544	291247	Cherry Red
548544	309202	Tri Pi
548544	316851	Madonna Lookalike
548545	53033	Tracee
548546	272279	Makita
548547	980	Agent June
548547	32075	Waitress
548548	404445	Host
548549	367707	Maria de la Ruis
548550	180096	
548551	131232	Extra
548553	212547	Alexandre's Mother
548553	265919	
548553	380150	
548553	401242	Athina
548553	410239	Areti
548554	37312	Alley
548554	182948	Women's Army of Revolt/Citize
548555	286416	
548556	408291	Uschi
548557	383742	Various Celebrities (1998-200
548558	354981	
548559	76333	Dode Dumanic
548559	141785	
548559	173388	Ana Katusic
548559	399767	Maca
548560	88356	
548560	233253	
548561	384209	Une Dame
548562	232088	Pearl
548563	297858	Oksana Podpruzhenko
548563	324908	Uskova
548565	269499	
548566	113420	
548567	403021	Luján Linares
548568	273093	
548568	280565	Stojankina cerka
548568	407668	
548569	351074	La piccola Anna Maria
548570	15064	
548570	52698	Client Cossue
548570	59118	
548570	71875	
548570	92902	
548570	99493	
548570	99912	
548570	104244	
548570	111130	
548570	112856	
548570	118760	L'actrice du film publicitair
548570	130116	Prostitute
548570	132748	
548570	135427	
548570	145663	Miss Cui-Cui
548570	153807	
548570	159739	Carol Levis
548570	175677	
548570	345050	
548570	345272	
548573	399657	
548574	370068	
548575	129439	Young Roxanne
548576	181667	
548577	377537	
548578	11737	
548578	22077	
548578	28388	
548578	51347	
548578	51350	Selma
548578	82851	
548578	83321	Nazli
548578	83323	
548578	102271	
548578	109968	
548578	136696	
548578	156207	
548578	171971	
548578	172190	
548578	174993	Naciye
548578	322548	
548578	370524	
548578	377537	
548578	378600	
548579	379905	Sandra Murguía Navarro
548579	409012	Ines
548580	72958	
548580	205857	
548581	353236	Violeta
548582	411714	Mónica Agudelo
548583	338981	Herself
548584	326178	Almacenera
548585	385500	Jenny
548586	195558	Drill Team Member
548587	36667	Rosita
548588	44659	Ofelia Gundin
548589	55196	Carmen's Friend
548590	257522	Ring Card Girl
548591	28955	Hija de familia
548591	169775	
548592	395885	Elisa Becerril
548593	351619	MP #2
548594	266425	Dagmar
548594	374171	Santina
548595	257622	Fax Girl
548595	257623	Fax Girl
548596	162657	Operettedame
548597	30169	Mary
548597	89616	Julia
548597	100245	Frida Nilsson
548597	116296	Ula-Kiri-Maja
548597	122463	Rosa Falck
548597	124450	Jenny
548597	135700	Jeanne
548597	138504	Helene
548597	148825	Elna
548597	153899	Nurse
548597	184575	Elvine/Daniela
548597	187659	Margit Degn
548597	214713	Maria
548597	219239	
548597	225335	Therese
548597	237250	Thora Flemming
548597	248501	Ayo Vindico
548597	303850	Ethel
548597	308443	Margaret Stensson
548597	315567	
548597	320518	Lydia
548597	330075	Therèse
548597	341092	Young Woman
548597	350283	Theresa
548597	354690	Lucia de Zamikow
548598	168936	
548598	182625	Winnie
548598	228358	Jytte
548598	258747	Pin-up girl
548598	334310	Frk. Berg
548598	346965	Eva Lundberg
548599	382322	Programleder
548599	389407	Programleder (1987-)
548599	391468	Herself
548600	5558	
548600	16046	
548600	23555	
548600	33757	
548600	35381	
548600	42542	
548600	53625	
548600	53727	
548600	83908	
548600	134446	
548600	193817	
548600	195796	
548600	226940	Maud, as a child
548600	237645	Bechara
548600	246265	
548600	292742	
548600	329780	
548601	58111	Lamia
548602	245480	
548603	25708	
548604	25708	Zarina
548604	91198	
548605	303950	
548606	162745	
548608	71934	Julie Blackman
548609	71934	Kat Blackman
548610	218713	Nina Mae Brown
548611	377470	Femme en rouge
548612	22849	Rosie Miles
548613	56364	Sara
548613	124020	Gloria
548613	184054	Eliane
548613	251313	Teacher
548613	309345	Commessa
548614	21015	Herself
548614	294763	Herself
548615	107826	Miss Barnes
548615	174790	Ludovika
548616	303695	Elev i klassen
548617	6300	Oma Zeuner
548617	19283	
548617	90145	Wirtin
548617	115983	
548617	126196	Therese Reimann
548617	168420	Kepler's Mother
548617	259478	
548617	311834	
548617	359697	Alte Drögern
548617	410774	The Old Simmoneit
548618	255590	
548619	352208	Oberschwester
548620	338009	Martha
548621	387457	Villager
548621	389869	Dream Crowd/Student
548621	394421	Eri, Additional Voices
548621	396548	Townspeople (ep. 1)
548622	216959	Herself
548622	381908	Host (2000-2003)
548622	381930	Herself/Substitute Host
548622	392913	Host (1995-1999)
548622	409625	Kerstin (1995)
548623	259173	Tendler's wife
548624	48632	Blind Girl
548625	80581	Nurse Kygar
548625	311500	Susan/Woman in Gallery
548626	4726	Mrs. Cohen
548626	6833	
548626	10383	
548626	17468	
548626	17755	
548626	22953	
548626	23001	
548626	38690	
548626	44845	Mrs. Becton Brown
548626	53885	
548626	62955	Mrs. Gilton
548626	72011	
548626	73200	
548626	77713	
548626	143964	
548626	145893	
548626	151248	
548626	151510	
548626	184388	Joe's Grandmother
548626	187713	
548626	187937	
548626	192128	
548626	193404	
548626	197119	
548626	197671	
548626	217444	
548626	220035	
548626	229228	
548626	231641	
548626	233525	
548626	240896	Irene's Aunt Ellen
548626	241430	
548626	261028	
548626	267555	Mrs. Severn
548626	269614	Ellen's mother
548626	269669	Madame de Brissac
548626	276436	
548626	283520	
548626	286151	
548626	330554	
548626	333126	
548626	365711	
548627	348303	98-Year-Old Twin
548628	238660	Little Gretchen
548629	206618	Radio Operator E
548629	389503	Additional Voices
548629	398924	Receptionist
548629	404127	Additional Voices
548630	29162	Hildegard Kampmann
548630	96010	Mother
548630	310901	Lisa Bruck
548631	278155	Mannequin
548632	25661	
548632	88209	
548632	339276	Marek's wife
548632	351975	Hácinka
548633	401063	(1996)
548634	88713	
548634	202038	Teodora
548634	396292	
548635	334990	
548636	20207	Refugee
548637	42203	Lena
548637	96445	Lena
548637	127581	Lena
548638	31950	Bored Woman
548639	40504	Amber Johnson
548639	169644	Beergoggle Hottie #1
548640	286423	Susan
548640	313522	Blind Date
548641	277011	Jewish alchemist's wife
548642	96861	Model
548642	191038	Cameo Girl
548642	192721	Junior League Girl
548642	327221	Guest
548643	57001	Melanie
548644	80969	Bodacious TV Anchor
548644	158999	Monica Soloway
548644	159002	Monica Soloway
548644	394869	Co-Anchor (1991-2001)
548645	402626	
548646	189801	
548647	35721	
548647	211359	Angela
548647	304235	Sarah Adams
548647	323611	Young Girl
548647	365443	Barbara
548648	59880	Kristin
548648	83600	Joyce
548649	246683	Cardiology Team
548650	109613	Jenny
548651	356549	Ina
548652	392774	Herself - Host (2003)
548652	409168	Herself - Host (2004-)
548653	158637	Tonne
548654	2382	Cobrettes
548654	45639	Punk Girl
548654	94616	Missoula's Girl
548654	277885	
548654	317946	T'resa
548655	275468	Secretary
548656	218530	
548657	155013	Party attendee
548658	66954	Reporter
548658	106632	Model
548659	205443	Hotel Receptionist
548659	333679	Annie Price
548659	366131	
548659	396587	Leading Reg Liz Wilson
548660	273282	Up on the Roof/Woman
548660	323228	Marie
548661	155256	Rossetti Lady
548661	406936	Mrs. Edgworth
548663	180578	
548663	190800	
548664	107347	Member of Antifa Board
548664	290145	(Framing story)
548665	195518	Rabbit
548666	243411	Herself - Wife to Jan Beck
548667	177422	Karen
548668	113504	Pearl
548668	113505	Pearl the Jellyfish
548668	190869	Additional Voice
548669	135810	Jean Hess
548670	185835	Girl
548670	310656	Gloria Davy
548670	359060	Samantha
548671	122507	Herself
548672	92041	
548673	211686	
548673	245791	Eppie's mother
548674	382329	Herself
548675	146420	
548675	210767	
548675	279072	Bride
548676	246683	Cardiology Team
548677	233479	Cafe Waitress
548678	136510	June (adult)
548679	54031	Virginia Otis
548679	332897	Penny Block
548679	340246	Wendy Potter
548679	400817	Claire Carroll
548679	409744	Elizabeth Maxwell
548680	194028	
548681	273429	Herself/Hawaii
548681	273438	Hostess
548681	402993	Herself/Hawaii (1999)
548682	249595	Dancer
548683	244322	
548683	310276	Nelly
548684	396892	
548685	103215	Mother on Street
548686	6868	Chanteuse
548686	30659	Marsha Miller
548686	80783	Sally Raynor
548686	110223	Hardesty's daughter (age thre
548686	120121	Trish Jarvis
548686	120122	Trish Jarvis
548686	120126	Trisha 'Trish' Jarvis
548686	132747	Sally
548686	158175	Margot
548686	158999	Housewife
548686	177013	Customer
548686	200894	Kim
548686	206255	Jessie Cotton
548686	211815	Piety Beecham
548686	222653	Bonnie Buehler
548686	232423	Cheri Griffiths
548686	257870	Secretary
548686	264880	Kim
548686	280656	Lana
548686	292457	Mrs. Buchinsky
548686	313852	Stephanie Harvey
548686	336229	Lt. Doyle's daughter (age 2)
548686	372901	Janette North
548686	376141	Cathy
548686	383385	Julie Clegg #1 (1982-1983) (o
548686	387374	Nancy Bradford (pilot only)
548686	388410	Cindy (1978-1979)
548686	389858	Samantha Livingston #1 (1975)
548686	396128	Terry Klitsner
548686	401350	Kim Schuster (1965)
548686	403335	Diane Porter
548686	410847	Robin
548687	383316	Diet & Nutrition corresponden
548688	75312	
548688	236669	
548689	347300	Alley extra
548690	7180	The Mother
548691	380750	TV Interviewer
548692	79938	Officer Sanchez
548692	81116	Maria
548692	165418	Operator
548692	283501	Bartender
548692	336531	Anna
548693	34611	Herself
548693	98655	Marilyn
548693	203633	Reporter
548694	110124	Irène
548694	388421	
548695	46807	Nurse Brown
548695	87523	Maid
548695	130845	Sally
548695	213313	Hermia
548697	253228	Blonde Buttercup
548698	196889	Woman At Station
548699	41843	
548699	87222	Mary
548700	28481	Minor Talent Contest audience
548701	3233	
548701	115326	Betty Dilworth
548701	195971	Ava Dietrich
548701	224296	Andie
548701	317893	Deidre Lane
548701	383789	Jordan Tate (1996)
548701	396123	Patricia 'Trisha' Alden Sowol
548701	409019	Jeannie Pierce
548702	62437	
548703	110447	Judy Taylor
548703	388323	Claudia Rossi
548703	391486	Samantha Kelly (1991-1994)
548703	391869	Kim Mitchell (1991)
548703	408074	Susan Clarke
548704	356325	Deana
548705	25539	Kayoko
548705	123107	Additional Voices
548705	123108	Amy
548705	123112	Amy
548705	124309	Falan
548705	259003	
548705	300594	Kozue Kaoru, Wakaba Shinohara
548705	348753	Lum
548705	383107	Rie Sato, Arisa Nishi, Profes
548705	394420	Additional Voices
548705	395888	Little Neese
548706	155638	Personalchefin
548707	55291	Carla
548708	144383	Cheerleader
548709	58624	Trina
548710	247847	Aurélie
548710	365592	Cousine #1
548711	297625	Doctor
548712	174764	
548712	259536	
548712	290503	Kassiererin
548712	325475	Politesse
548712	376352	Frau Göbel
548713	228388	Sara
548713	349575	Louise
548714	41229	Jennifer
548714	158483	
548714	211788	Sarah
548714	216807	Janice
548715	305069	Museum Lecturer
548715	406710	Additional Voices
548716	93443	Susanne Tobler
548716	225269	
548716	310430	Gerda Asfari
548716	317570	Susanne Labmann
548716	325784	Karin Distler
548716	325953	Claudia
548716	376395	Trixi
548716	379177	Zollinspektorin Karin Wünsche
548716	382124	Vera Martin
548716	387372	Inge Karsubke
548716	387736	Manuela Schulze
548716	389956	
548716	391314	Lore Hummel
548716	397368	
548716	401679	Host Susanne
548716	404498	
548716	409613	Frl. Enderle
548717	34034	Monika
548718	197758	Holly
548720	328417	Lisa
548722	26238	Linna Yamazaki
548724	81048	
548724	148405	Betty Marlin
548724	240667	
548724	270649	Herself
548724	289243	Sylvia
548725	359319	Herself
548726	108956	Party Family
548727	189292	Herself
548728	230947	Andrea
548729	118273	Shea
548729	380933	Host
548729	382411	Series Regular
548729	384676	Host
548730	15101	
548730	84571	
548730	105782	
548730	107771	Diana Cunningham
548730	155482	Gerlinde Schneiderhahn
548730	156992	
548730	168435	Lady Caroline Laney
548730	187556	
548730	274863	Vera Cohen
548730	290726	Constanze, seine Tochter
548730	317564	Patricia Theotokis
548730	359672	Christine
548730	361042	Belinda
548730	386266	
548730	408388	Alice
548730	409860	
548731	22844	2. Kollegianer
548732	348601	Puke Girl
548733	359060	Molly Epstein
548734	54749	Charlene
548734	79719	Ellen Hendry
548734	316760	Richmond Citizen
548734	333182	Nurse
548735	403483	Sybil Overton Fuller
548735	410681	Regular (1951-1952)
548736	119888	Fiona
548736	166274	Jeanne Deschamps
548736	190013	Narrator
548736	196020	Belinda
548736	221819	
548736	255582	Marie-Ange
548736	314700	Ofelia
548736	377199	Sara
548737	77721	Elizabetta
548737	142929	German Lady in Waiting
548737	298761	Creature Vocalist
548738	80823	Shallie Kittle
548738	106263	Blake's Wife
548738	261564	Benning woman
548739	936	
548740	52072	
548740	115794	Lucília
548740	197964	Suzana
548740	384382	Augusta
548741	100732	Cathy
548741	120674	Une dame
548741	157325	Jacotte
548741	258864	
548742	53142	Petite fille
548743	281382	Receptionist
548744	163231	Dancer
548745	250796	Mother Consuelo
548746	14806	
548746	42656	
548746	248752	
548746	341362	
548747	311120	Herself
548748	65598	
548749	110149	
548750	70460	TV Reporter
548751	308397	Young Kate Bighead
548752	87634	Herself
548753	103619	Esmeralda
548753	345073	Madame Devaux
548754	231262	L'institutrice
548754	388439	La secrétaire du garage
548755	158873	Red-haired Gas station Agent
548756	157870	Bit
548756	273913	
548757	36481	Carina
548758	108146	
548759	46767	Maria Mahler (Age 3)
548761	67378	Meg
548761	83989	Con Woman in Saloon
548761	90932	Clara Morrison (Jim's mom)
548761	93139	Celine Rogers
548761	97360	TV Host's Assistant
548761	99135	
548761	105822	Petra
548761	113925	Melia Buchanan
548761	147745	Venice Nanny
548761	152201	Lisa
548761	182962	Tina
548761	216127	Hamburger Girl
548761	328630	Mornel
548761	336914	Victoria
548761	358658	Beth Taylor
548762	186450	Herself/Mary Magdalene
548763	144134	
548763	186885	
548763	254455	
548763	361389	
548764	59378	Mail Girl
548765	391604	Andrea Burgschulte (2003-)
548766	377792	
548767	398338	Host
548768	383291	Yoli
548769	6264	Allison
548770	404137	Additional Voices
548771	306363	(segment "Lust Murder")
548772	407138	Herself
548773	179787	
548774	96736	Blonde Cheerleader
548774	288739	Holly
548775	301678	Hospital Staff
548776	153399	Barn
548777	60513	Madame Marthe
548777	84525	Gard
548777	94399	Mamy
548777	162065	
548777	357024	Directrice du musée
548777	381427	Marie
548778	157209	Atriz revoltada
548778	207597	Narration
548778	230147	Enfermeira Catarina
548778	341148	Marília
548778	351268	Narration
548778	396177	Hotel Attendant
548779	35598	Cashier
548779	204757	Berties Mutter
548779	310274	
548780	52811	
548780	100386	Mujer en restaurante
548780	103498	
548780	120908	
548780	145674	
548780	186968	
548780	221975	
548781	108778	Sabine
548781	212996	Jenny Lucci
548782	18501	
548783	20643	
548784	108146	
548785	97849	
548785	209721	Szanto's Mother
548785	217799	Natalja Petrovjna
548785	356838	
548785	365701	Gertrud Stauffacher
548785	366183	Dr. Frisch
548786	381821	Ensemble (1984)
548787	375095	Jolan
548788	24082	
548788	198602	Marie, Maud's Daughter
548789	237291	
548790	222006	Tere
548791	113287	Den Mother
548791	214538	Mom
548792	11814	Leah
548792	40410	Isabelle
548792	40960	Uschi Schlenz
548792	67958	Erna Eggstein
548792	85727	Charlie
548792	97092	
548792	98351	Arbeiterin
548792	104621	
548792	111405	
548792	119722	Ali
548792	120056	Sophia
548792	122036	Lulu
548792	125116	Junge Frau
548792	125290	Fanny Freese
548792	126609	Katrin
548792	137949	Hamlet
548792	138731	Hanna Hecht
548792	142102	Teresa Grantke
548792	152766	Jenny
548792	156751	
548792	160050	Ulrike
548792	174774	Dodo
548792	178584	Herta
548792	179784	Valerie Koch
548792	179875	Phyllis Higgins
548792	186897	Moni
548792	189624	Maria
548792	223493	Dr. Loch
548792	231457	
548792	234542	Maria
548792	236643	Kathrin
548792	246695	Katya
548792	256480	Sanja
548792	257267	Frau
548792	258689	
548792	259660	
548792	268540	Elli Gast
548792	282104	Zillie Watussnik
548792	282177	Judith Vegener
548792	289849	Rita
548792	301085	Angelika 'Sunny' Schaefer
548792	310899	Magda
548792	352567	Young Sophie
548792	357570	Tilly von Kammer
548792	361559	Rumpelstilzchen
548792	380882	Bettina
548792	411526	Lou
548793	306363	(segment "Thrill Rape Kill")
548794	51726	Conducter's daughter
548795	290871	Rezeptionistin Werbeagentur
548796	317248	
548797	135513	Party Guest
548797	157771	Lady Client #1 at Fabulous Fa
548797	350012	Telethon telephone girl
548798	9646	
548798	30765	
548798	103410	Madre del secretario
548798	184939	Marian
548798	371271	Farmacéutica
548798	376808	
548799	204890	Female Reporter #2
548800	20244	Amelia Young
548801	86329	
548801	127051	Erna Solinger
548801	226180	
548801	314853	Oberin Verena
548801	325650	Helga Mirsch
548801	325710	Sekretärin
548801	325793	
548801	325813	Ellen Spilonska
548801	325898	
548801	352659	
548801	384368	Hannelore Krebs
548801	408320	Dr. Maria Jacobi
548802	34103	
548802	134986	Nachbarin
548802	259455	
548802	259475	
548802	259653	
548802	352367	
548803	255654	Stacy
548803	337814	Letty
548803	398213	Herself
548803	406952	Elizabeth (12/97-1/98)
548804	63648	
548804	273429	Herself/Miami
548804	273434	
548804	273436	
548804	402993	Herself/Miami (1996)
548805	122466	Sara
548805	394744	Maria Östergaard
548805	412286	Judith
548806	19778	Alka
548806	20992	King
548806	105292	Wendy
548806	142793	Chizuru Yoshida
548806	159073	Molly
548806	300594	Anthy Himemiya
548806	373369	Kikyo
548806	390027	Reiko Mikami
548806	405278	Anthy Himemiya
548806	405633	Mazenda, Miwan
548807	125335	Stubenmädchen
548807	147157	Roswithas Kammermädchen
548807	204466	
548807	225307	
548807	226354	
548807	317477	
548807	360927	Junge Dienstmagt auf Gut Blos
548807	361411	Sofie
548808	311408	Clare
548810	124608	
548811	271615	Partygast
548812	210003	Herself
548813	64975	
548813	103813	
548813	341362	
548814	260679	Screaming Girl
548815	189863	Herself
548816	372024	Jagger's Mother
548817	119614	Heidi
548818	63167	Herself
548818	318186	Cass
548818	389858	Martha McKee (1987-1988)
548818	396038	Helen
548819	200442	
548820	399873	Anne Gross
548821	223817	Claude's Sister
548822	248133	Doreen
548822	282864	Mrs. Bumblemeyer
548823	161946	Receptionist
548823	198489	Vicki
548823	245434	Arlene
548823	369492	Muse 8
548824	191191	Interviewee
548825	42116	Florence
548825	44974	
548825	55009	
548825	61426	La femme parking
548825	62795	Hitchhiker
548825	73132	
548825	76063	
548825	82507	
548825	83227	La préposée
548825	93874	
548825	111054	
548825	112863	Josée
548825	122428	
548825	148744	
548825	208355	
548825	216350	
548825	227595	Une Merveilleuse
548825	236527	Hélène
548825	245977	
548825	261609	
548825	286317	
548825	286619	
548825	345329	Madame Carlille
548825	346572	
548825	354661	Myriam
548825	357858	
548825	381245	
548825	398834	
548827	5671	
548828	284125	
548829	17214	Ellen Evans
548829	81155	
548829	144577	Louise Halmer
548830	51603	Laura
548831	13188	Herself
548831	248976	Herself
548832	314507	Baby
548833	108139	Angela Craddock
548834	274205	
548835	231118	Seana
548835	312341	Aunt C
548836	96927	Vicki
548836	247568	Artist
548837	282935	Bucket Dancer
548838	382838	Jenny Swift (1995)
548838	396400	Cheryl Berry
548839	323594	Audition Singer
548840	40497	Remedial Trainee
548840	61683	Neighbour
548840	91637	Client's wife
548840	139099	Julie
548840	144837	Receptionist
548840	292779	Pin-Up Housewife
548840	388802	Mrs. Dewhurst (1988-1989)
548841	255254	Woman In Crowd
548841	315481	Mabel
548842	131232	Extra
548843	169136	Chorus
548844	242980	Laundry Lady
548844	340227	Woman
548844	385299	Mrs. Marauley
548844	405217	Mrs. Morrissey
548845	313076	Child's Mother
548846	11560	Woman Next Door
548846	183772	Lunch Guest
548846	203203	Mrs. Merchant
548846	387580	Aunt
548847	405490	Presenter
548847	405491	Presenter
548847	405492	Herself
548848	381451	Business Correspondent
548848	382706	Herself - Business Correspond
548848	382715	Business Correspondent'/'Pres
548848	411410	Presenter/Reporter (2002-)
548849	171034	Pirate
548850	7848	Sabine
548850	109857	Nina's Nurse
548850	191152	Lanie
548850	206467	
548850	214443	Linda
548850	308128	Hamptons Nurse
548850	388808	Madeleine
548850	408666	
548851	13712	Mrs. McClaren
548851	16901	Family Court Judge
548852	383909	Various (2003)
548853	1737	Herself
548853	1975	
548853	23922	Herself
548853	23933	Herself
548853	27261	Herself
548853	33192	Herself
548853	47170	Performer/Herself
548853	47223	Herself
548853	48489	Herself
548853	63076	Performer/Herself
548853	68096	Herself
548853	68111	Herself
548853	132580	Herself
548853	163623	Posh Spice/Herself
548853	180826	Herself
548853	208475	Herself (#71) (Interviewee)
548853	213830	Herself
548853	215170	Presenter
548853	221417	Herself
548853	221422	
548853	230786	Herself
548853	241418	Herself/Posh Spice
548853	249590	Performer
548853	264079	Herself
548853	273284	Herself
548853	295295	Herself/Posh Spice
548853	305488	Herself/Posh Spice
548853	307670	Herself
548853	310980	Herself
548853	310981	Herself
548853	310982	Herself/Posh Spice
548853	310983	Posh Spice
548853	310984	Herself
548853	310986	Herself
548853	310987	Herself
548853	310988	Herself
548853	310990	Herself
548853	310991	Herself
548853	310992	Victoria
548853	310993	Posh Spice
548853	311703	Herself
548853	352985	
548853	353503	Herself
548853	360143	Herself
548853	368408	Herself - Performer
548853	375827	Herself
548854	1725	Herself
548854	2765	Herself
548854	3165	Herself (Presenter)
548854	25192	Ava Gardner
548854	47423	Darlene Davis
548854	66912	Flora Poste
548854	99952	Emma Woodhouse
548854	130720	Maggie Verver
548854	140076	Christina Mariell
548854	169489	Herself
548854	183338	Girl ('Waltz Away Dreaming' v
548854	185201	Charlotte Pingress
548854	186158	Alex
548854	205773	Marie-Louise
548854	221536	Hero
548854	241236	Barbe Lindell
548854	251477	Nurse Lt. Evelyn Johnson
548854	264050	Ethel
548854	270442	Rachel
548854	294717	Sara Thomas
548854	299715	Georgie
548854	333685	Carol
548854	345873	Julia
548854	346364	Selene
548854	346942	Herself
548854	347940	Selene
548854	350321	Anna Valerious
548854	350324	Herself
548854	350326	Herself
548854	368487	Herself
548854	386233	Young Alice Mair
548855	40653	Patty
548855	190525	Sally
548855	227327	Nesta Carew
548855	263352	Sub #1
548855	346942	Herself
548855	387064	Gillian "Marilyn" Monroe
548855	389998	Mrs. Howell
548855	393268	Blue Eyes
548855	395924	Firefighter Kate Stevens (199
548855	400550	Sarah
548855	404407	Nana
548855	408250	Gillian Walcott
548855	411446	
548856	69265	1st Watch Controller
548856	105711	
548856	237931	Woman
548856	303819	Dental Receptionist
548856	385824	Caroline Brady #3 (1984-1985)
548856	401930	Mrs. Green (2003)
548857	264481	Princess Flavia
548858	377964	Employée agence
548859	93833	Narrator
548859	219993	
548860	243575	Additional Voices
548861	335258	Stripper
548862	43154	Stamena
548862	90900	Mrs. Mountsier
548862	107937	Rachel
548862	137924	Lady-in-Waiting
548862	259749	Vita Peterson
548862	277254	Sarah McCrae
548862	335017	Rabbi Glickstein
548862	362663	Doria
548862	368647	Elaine
548862	379716	Silver Kane (aka Noelle Keato
548862	380713	Sabrina Fullerton Hughes Crow
548863	34446	Voice on sex education tape
548865	320617	
548866	34729	
548867	40815	Galaxrådsmedlem
548868	11875	
548869	339939	Six of One
548870	186891	
548871	74988	Sephi McClendon
548872	3973	Birdwatcher
548873	340752	Miami Reporter
548874	59765	Jitterbug
548874	323504	Accident Victim
548875	411925	Kim
548876	79851	Schoolteacher
548877	43154	Inspicijent
548877	89295	Alka
548877	137289	
548877	201222	
548877	234260	Seka
548877	261232	Teodora Pantic ... farmaceut
548877	261944	
548877	273093	
548877	327103	
548877	333928	Djurina majka
548877	350367	Senka
548877	351007	Starija devojka
548877	394110	Bibliotekarka
548877	405775	Sestra Viki
548878	192201	Her Chum
548879	64657	Fast Track
548880	213697	Sylvie
548881	394776	Herself (1999-)
548882	274010	School Administrator
548883	247359	Miss Peru
548884	365960	Waldo (age 6)
548885	196341	Coffee Shop/Restaurant Custom
548886	196341	Waitress
548887	70869	Rita
548887	72376	Management Office Receptionis
548887	187193	Mira
548887	209436	Perky Woman in Elevator
548887	395054	Sabrina (2001)
548888	315293	Susan Vanlerberg
548889	302769	Younger Ella
548890	73405	Nevada
548890	88089	Linda
548891	23927	Herself - Audience member
548891	23933	Herself/Audience Member
548891	155595	Margaret Marchmont
548891	311702	Herself
548891	341751	Woman in Car
548891	381886	Herself - Guest Presenter (19
548891	383624	Herself
548891	392469	Herself (Series 3)
548892	188114	Girl In The Light
548893	387377	Anita Backx
548894	221494	Herself
548894	247991	
548894	378659	Herself (2002-2003)
548895	291003	
548895	312700	
548895	356661	
548896	46967	Pipa
548896	77869	La femme en noir
548897	162389	Dispatcher
548897	275719	Defense attorney
548898	25265	Herself
548899	334203	
548900	140302	
548901	319596	Fiancée de Johnny
548902	36670	La prof d'allemand
548902	161085	
548902	265308	Charlotte
548902	346569	Caroline Fabre
548902	383371	Pauline (1999-2000)
548903	235491	
548904	214387	Mina à 10 ans
548905	208285	Singing Girl
548906	310186	Senior counselor
548907	395307	Herself
548908	72140	Dancer
548909	14998	Fanny
548910	32531	Pub Customer
548911	166420	
548911	206950	
548911	216790	Smith
548912	151528	Self
548913	183467	
548914	167082	María
548914	167083	María
548915	257229	Larsen's Nurse
548916	323584	French Reporter
548917	133684	Papillon
548918	973	Babe
548918	2862	Laura Cooper
548918	37098	Herself
548918	72697	Black Buffalo woman
548918	97492	Annie Shorty
548918	132739	Reyna
548918	133419	Abbey
548918	156841	Herself/Suzy Song (from Smoke
548918	184127	Mary Crow Dog
548918	194765	Grace
548918	228479	Tanya Lewis
548918	228725	Audrey Wyako
548918	248976	Sandy
548918	258509	Pocahontas
548918	258513	Pocahontas
548918	305694	Suzy Song
548918	308584	Minnehaha
548918	312266	Nakooma
548918	315388	Oglala
548918	336300	Liberata
548918	340864	Tobe
548918	342849	Sana
548918	365651	Ruby
548918	372847	Katherine 'Kat' Damon
548918	403812	Gen. Miriam Redwing (2000-200
548919	108773	
548920	188666	
548921	26258	
548922	380863	Colette Lafresnière
548923	35684	Tourist's Wife
548923	142387	Mrs. Irma Reinhardt
548923	349404	Visitor
548924	217705	Janine enfant
548925	280174	Girl at Newsstand
548926	58826	Herself
548927	128869	
548927	321238	
548928	51955	Wheelchair Stewardess
548929	242077	Teacher in Office
548929	379396	Nurse Judy
548929	381059	Stephanie
548930	301681	Moviegoer
548931	159175	Dancer
548932	91646	Old lady
548933	40409	Reporterin
548933	240687	Rosie
548934	363414	Runway Model
548935	224863	
548936	78318	Regina Carter
548937	390846	Various
548938	10329	Carole Deford
548938	18549	Dorothy Hajdys
548938	18635	Carol
548938	27311	Nancy
548938	35400	Ellie
548938	37062	Suzanne
548938	45498	Charlene Michaelson
548938	81203	Grace
548938	86274	Holly Gennero McClane
548938	86279	Holly Gennero McClane
548938	86288	Herself
548938	109584	Kitty Oppenheimer
548938	112399	Aleta
548938	113826	Suzanne Morgan
548938	115925	Rose
548938	129516	Brenda
548938	136540	Annie Burke
548938	140533	Edith Dayton-Thomas
548938	141187	Shirley Muldowney
548938	141569	Laura Taylor
548938	143051	Dr. Diane Weston
548938	148426	Eunice Logan
548938	169963	Gwen Warwick
548938	183662	Janet Weston
548938	187147	Jill Coit
548938	193268	Lydia
548938	196447	Susan Henderson
548938	204204	Alice
548938	210567	Cass
548938	211783	Janet Thatcher
548938	214092	Marcia Miller
548938	220042	Dr. Elizabeth Morgan
548938	223879	
548938	229325	Polly Chalmers
548938	233771	Megan's Mother
548938	255273	Flo Owens
548938	263265	Barbara Sabich
548938	264056	Pam Marshetta
548938	269674	Joan Saltzman
548938	286054	Susan Norton
548938	287171	Jenna Hampshire
548938	292017	Valerie Sabbath
548938	296769	Robin Harwell/Roberta Novak
548938	307974	Hannah McGrath
548938	309153	Latrelle Williamson
548938	310715	Annette
548938	316158	Rosalie
548938	316282	Alice Kildee
548938	321660	Virginia Twigg
548938	329873	Temple Brooks
548938	330218	Ruby
548938	333234	Kitty
548938	334234	Iris Sayer
548938	336885	Mandy Burke
548938	354905	Ruth Squires
548938	358672	Dr. Rand
548938	363159	Liddy Travis
548938	386509	Captain Kaitlyn 'Kate' McCaff
548938	396088	Sandy Porter (1961-1967)
548938	399251	Anna Larsen
548938	400911	Ellie Boone
548939	151460	Woman listening to Classical 
548940	93261	Angelle
548941	109415	Miss Conshohocken
548941	157870	Bit
548941	168125	Dancer
548941	220901	Dancer
548942	104342	
548942	202924	Mrs. Overbury
548943	184448	
548944	340666	Anda
548945	10820	Wedding guest
548946	231460	Elisabeth Boysen
548947	222212	Melissa
548948	589	Nurse
548948	5775	Edith Craig
548948	10405	Alfalfa's mother
548948	10406	Alfalfa's mother
548948	10583	Helen
548948	11111	Alfalfa's mother
548948	14193	Corset Buyer
548948	16466	Miss Howard, Bank Secretary
548948	16468	Dean's secretary
548948	17986	Mercia Solano
548948	19554	Nadine Fortier
548948	26144	Mrs. Crainen, the Matron
548948	27031	Julia Joyce
548948	27279	Mrs. Dodd
548948	32703	Helen Saldivar
548948	34079	Janet's mother
548948	34650	Spectator at Dance
548948	36970	Woman Who Screams
548948	37271	Hope Standish
548948	38985	Bett Kingston
548948	43992	Nurse
548948	44501	
548948	45669	Catholic Nun
548948	47052	Brenda
548948	47370	Gracie, Collier's Secretary
548948	47524	Caricia
548948	47943	
548948	48515	Alfalfa's Mom
548948	49922	Woman in movie house (first s
548948	50226	
548948	52661	Dr. Carew's Secretary
548948	57299	Lucia D'Arquista
548948	58862	Beatrice Charles
548948	59838	Brandon's Secretary
548948	64095	Norris Gradley
548948	64503	Mrs. Goodwin
548948	64881	Esther Strom
548948	65746	USO Manager
548948	66791	First Nurse, at Desk
548948	67798	Angry parent
548948	69236	Martha Kristan
548948	72022	Elsa, Nesbit's Maid
548948	72493	Nora
548948	73772	Village Woman
548948	77767	Secretary
548948	77971	
548948	79736	Secretary
548948	81149	Script Girl
548948	81952	Betty West
548948	83668	Anne Dixon
548948	84992	Helen Paine
548948	89912	Party Hostess
548948	90400	Beauty Shop Customer
548948	92136	
548948	92480	
548948	92523	Carew's Secretary
548948	92526	Dr. Carew's Secretary
548948	96672	Martha Jackson, Ramsey's Secr
548948	96956	Mrs. Turner
548948	107126	Thora
548948	108396	Janet's mother
548948	109436	MacMillen's Secretary
548948	114131	Sadie
548948	116868	Darla's mother
548948	117394	
548948	117398	
548948	117509	Mrs. Byrd
548948	118208	Edith Roberts
548948	118304	Nurse Behind Counter
548948	126590	Dr. Glass' Maid
548948	128152	Churchill's secretary
548948	128161	Anna
548948	128182	Mary Davis
548948	128377	Elvira Carney
548948	129346	Nini
548948	129836	Baby's Mother (on stage)
548948	130676	Mrs. Hartley
548948	131361	Alfalfa's mother
548948	132752	Doctor's Secretary
548948	140121	Nancy
548948	143962	
548948	145822	
548948	149104	Salvation Army woman
548948	152522	Woman on Street
548948	154439	Miss Stingecombe (Larry's sec
548948	155678	Nurse #1
548948	159561	Woman in Close-Out Sale Monta
548948	163323	Nurse
548948	175179	Nurse
548948	183652	Mollie Carter
548948	184994	Lupe
548948	185488	Cora Munro
548948	190159	Nora Dowen
548948	192096	Miss Wilson, Nurse with Baby
548948	195539	Renny's Secretary
548948	196143	Luane
548948	199244	Margie Taylor
548948	201067	Nurse
548948	201150	Mrs. Roseman
548948	201152	Nurse
548948	203439	Margaret Langdon
548948	203750	Yvonne Fontaine
548948	204176	Margaret
548948	204733	Martha
548948	206470	Elinor
548948	209660	Girl
548948	210750	Sonny's mother
548948	210779	Nun in Infirmary
548948	213219	Kathleen Ryan
548948	214557	Secretary
548948	214945	Miss Grant aka Mrs. Wilson
548948	216769	Tatiana
548948	220801	Lucille, Mrs. Brent's Maid
548948	220846	Woman
548948	228811	Hospital nurse
548948	228911	Woman
548948	235693	Mary Marlowe/Mary Brownlee
548948	239680	Marny
548948	240457	Mrs. James Northrup
548948	240624	Mable Gordon
548948	245193	Marcette Vallois
548948	252480	Dr. Carew's Secretary
548948	252727	Imogene Chandler
548948	260875	Ruth King
548948	261742	
548948	262049	Maria Almeda
548948	263117	Assistant Boardinghouse Manag
548948	266719	Markovitz's Secretary
548948	270635	Mrs. Crane
548948	276286	Johnson's Maid
548948	276948	Mme. Vigouroux
548948	277644	Kate
548948	278442	Carol Anderson
548948	280897	Nan Harvess
548948	282521	Studio clerk
548948	293180	Bit Role
548948	294173	Mona Cartier
548948	294744	Nurse
548948	299163	Mrs. Loring
548948	304300	Maid
548948	305670	Joy Gastrell
548948	308603	Peasant Woman
548948	308937	Miss Peters
548948	309581	Celebrity
548948	310287	Mrs. Munn
548948	311563	Helen Chester
548948	311758	Lady Gwendolyn Cavens
548948	314422	Lorraine Leighton
548948	317169	Miss Watson, Flagg's Secretar
548948	318101	Mr. Allen's Secretary
548948	319130	Margaret Manners
548948	319264	Sunshine O'Day
548948	323984	Barbara Farley
548948	324425	Carver, Enright & Burt Recept
548948	330514	Woman at Railroad Station
548948	331324	Rita, Singer Accompanied by E
548948	331425	Nurse
548948	331552	Addie
548948	332529	Mary Ellen Gray
548948	333637	Alfalfa's mother
548948	334975	Rose Kinemon
548948	335105	Janice Terhune
548948	335357	Miss Booth
548948	335599	MacArthur's Secretary
548948	341679	Molly Lassiter
548948	346928	Martha Osborne
548948	350484	Mildred Simpson, Yancey's Sec
548948	360175	Sick Farmer's Wife
548948	360479	Tearful Courtroom Spectator
548948	360488	Hospital Telephone Operator
548948	360738	Miss Douglas, the bride
548948	362209	Jenny McFarlan
548948	362894	Anna, Bridget's Maid
548948	363610	Grace Woodward
548948	363745	Cult follower at service/Tele
548948	364366	Wife
548948	366368	Mary Sudan/Mary Wyatt
548948	366889	Secretary
548948	367415	
548948	367813	Miss Townsend, Head Nurse
548948	367897	Emily Swift
548948	368366	Woman
548948	372382	Rooming House Diner
548948	372531	Nurse
548949	390145	Cheerleader
548950	199390	Nurse
548951	333047	Nurse
548953	335353	Reporter 1
548954	300178	Mona
548955	159863	Pam
548956	357151	Jennifer
548957	270607	Receptionist
548958	172684	
548958	175792	Felicia
548958	241830	Woman at Ressie's Door
548959	86637	
548959	105216	Mrs. Ruia
548960	86769	Preety
548960	296595	
548960	394967	Dr. Mandira 'Mona' Kapadia
548960	405057	Shanti
548961	4422	
548961	98531	
548961	168206	Rinki
548961	172567	Monica
548961	176035	
548961	268063	Maya
548961	319846	Diana
548961	323276	
548961	333712	Shikha Oberoi
548961	373904	
548962	112023	Danielle Cassidy
548962	159037	Narrator
548963	4448	Ganga
548963	168086	Devika
548963	194417	
548963	254737	Seema
548963	355296	
548964	215475	Kamla Devi
548965	8901	Rion
548965	13857	Nina Shah
548965	20690	Ruby
548965	28878	Teller
548965	71334	Geetu
548965	90289	
548965	96904	Sohni
548965	100087	Anna Mehta
548965	134018	Bharathi
548965	350771	Annie/Mala
548965	366185	Reena Khanna
548966	44240	
548966	163812	Anjali
548967	4680	Sona
548967	101367	Woman in Depot
548967	112904	Aunty in the Park
548967	136128	Lady in Glasses in Dance Clas
548967	157137	Taslim
548968	55617	Vecina
548969	33296	Zus Pauw
548969	229237	
548969	352126	
548970	121344	Ginette
548971	266625	Cafe Dancer
548972	3252	Herself - Performer
548973	6285	Mirella
548974	20895	Gulchokra
548974	83326	Zhahrabanu
548974	175683	Nigyar
548974	223552	
548974	349310	(segment V odin prekrasnyj de
548975	156206	
548976	12839	
548976	227826	Jelka
548976	229005	Hiperbola
548976	339287	
548976	352814	Hiperbola
548977	73069	Saliha
548978	256823	Louise
548979	95565	Bank Clerk
548979	290070	Ghetto girl
548979	303620	Student
548980	119091	
548981	32044	Svetlana
548982	280586	Geslicka
548983	76254	Gabriella
548984	58243	Pregnant Woman
548984	98022	
548984	179342	Woman in Village
548984	179708	
548984	258475	
548984	397622	
548984	404216	Renata Augustynek
548985	350237	Kirsten
548986	48124	Caroline (Age 6)
548987	51260	Lída
548988	242675	Faviola
548989	341395	Julie Verly
548990	235038	Romain
548991	58327	L'infirmière
548991	82784	Kristina's Mother
548991	164013	
548991	176133	
548991	180999	
548991	226187	
548991	263260	Sonja
548991	265941	Olga
548991	304254	
548991	316429	
548991	323220	
548992	219030	Girl in Bus
548993	85042	
548994	401884	Herself/Escarcha Member
548995	100868	Gimade
548996	86451	
548997	18169	
548998	36539	
548998	190805	Neighbor
548999	323594	Audition Singer
549000	232203	Receptionist
549001	103548	
549002	3919	Tricia
549003	327726	Spacemen (segment Addicted to
549004	146540	
549004	231690	Judge
549004	236160	Cloakroom Woman
549004	303739	Secretary
549004	357962	
549005	100263	Catita
549005	111380	La montañesa
549005	129519	
549005	197190	
549005	284895	
549005	371677	
549006	74455	Kati
549007	58457	Yoong
549008	238991	Girl Friend in 'Goodbyee')
549009	161927	Heather
549010	71598	Herself
549011	75030	
549012	2709	Ula's Wife
549012	41757	Cashier
549012	274567	Mumu
549017	154379	Herself
549018	148214	Woman At Depot #1
549019	59806	Doris Warren
549019	70984	
549019	130417	Julie Ann
549019	145389	
549019	279283	Herself
549019	318734	Alice
549019	372755	Vicki Crawford
549019	401494	Herself
549019	407841	Herself
549020	407995	Professor
549021	2805	'Sally' Colonial Trollop
549021	137766	Beth Goodson
549021	137786	
549021	165871	Kathy
549021	385577	Correspondent (2003-)
549021	387598	Various Roles
549022	222713	ARA Woman
549023	342797	Rehab Attendant
549024	330550	Janine
549025	21514	
549026	72233	Specialty dancer
549027	87429	Macy
549028	17417	Flo
549028	37946	Floozie
549028	49382	
549028	53197	
549028	63429	
549028	64805	Cafe patron (silent version)
549028	65123	
549028	67095	Kitty
549028	72188	
549028	77615	
549028	88185	
549028	88833	Rose
549028	90258	
549028	90371	
549028	91963	Marge Clancy
549028	92738	
549028	105574	
549028	108016	
549028	109220	Margerine Hopkins
549028	109592	
549028	112447	Peaches
549028	114048	
549028	114885	Gertie Martin
549028	127179	
549028	140859	
549028	143596	
549028	145408	Sophia
549028	147388	
549028	147665	Telephone Operator in Silent 
549028	147855	
549028	148536	Babe
549028	148974	
549028	150251	Margie
549028	152537	
549028	153617	Pearl
549028	157746	
549028	179026	
549028	194943	Minnie, Rita's Maid
549028	195639	Mamie Potts
549028	207684	
549028	220574	
549028	222577	Gertrude
549028	230664	
549028	235485	Margie
549028	241865	Newstand Girl
549028	243728	Mrs. Barnes
549028	270498	
549028	270510	Mrs. McGloin
549028	270642	
549028	275798	
549028	277632	Maybelle
549028	282330	
549028	293131	
549028	310529	Speakeasy Patron
549028	310723	
549028	316031	
549028	318367	
549028	321166	
549028	330300	Jeanne
549028	335640	
549028	345771	
549028	348491	
549028	352711	Stella
549028	362468	
549029	63019	Receptionist Louella
549030	82683	Party babe
549030	128350	Cocktail Waitress
549030	176712	Lucky
549031	192628	Nurse #2
549031	253347	Court Clerk
549032	215086	Annie May
549033	148304	Herself
549033	288194	Catherine Clark
549033	288353	Mary
549034	304734	Bus Driver
549035	252314	Dagmar-Girl
549036	352405	Dream Girl #1
549037	265266	Young Mother
549038	316165	Mrs. Abbey
549039	255841	Priscilla Mullins
549040	303538	Prisoner
549041	356313	Cashier
549042	11582	Miss Haines
549042	32762	Mrs. Agatha Steward
549042	35478	Miss Pringle
549042	36970	Sophie Sloane
549042	38982	Lady Daventry
549042	54929	Mrs. Amy Cruthers
549042	78762	Mrs. Shannon
549042	113540	Jane Reynolds
549042	116963	Miss Merton
549042	123136	Maria Sherwood
549042	124701	Kate Brewster
549042	129097	Cathy Gaffney
549042	131583	Matilda Hawley
549042	142873	Mrs. Lowry
549042	144453	Hattie Greenfield
549042	154758	Mrs. Martha Harrison
549042	154841	Governor's Wife
549042	169890	Miss Budge, Suzanne's Tutor
549042	183627	Janet Pike
549042	185289	Helen
549042	185991	Mary Carter
549042	188393	Mrs. Routledge
549042	194118	Mrs. Briggs, Carl's Mother
549042	195468	Mrs. Colby
549042	203279	Mrs. Sarah Lea
549042	203543	Mrs. Milford
549042	206118	Señora Isabella Vega
549042	210779	Spokeswoman
549042	210801	Mrs.Sam Houston
549042	213453	Nancy Barnum
549042	221336	Mrs. Olcott
549042	223825	Mrs. Sinclair
549042	241027	
549042	248632	Mrs. 'Ma' Lewis
549042	249349	Mrs. Tweedy
549042	263164	Mrs. Craig
549042	273513	Mrs. Mottram
549042	281696	Miss Baker, Vasser Dorm Super
549042	289236	Mrs. Carrington
549042	301988	Mrs. Forsythe
549042	304962	Mrs. Cushing
549042	306468	Sally Bedford
549042	315748	Mrs. Foote
549042	330606	Lady Crosby
549042	337468	
549042	352758	Miss Steele
549042	354540	Amy Somerville
549042	361681	Mrs. Graves
549042	367415	Mrs. Holland
549042	371047	Miss MacDade
549043	17802	Ginny
549043	125886	Maxine
549043	127563	Sati
549043	278546	Dancer
549043	373276	Diana
549044	38745	
549044	243734	
549044	319258	Betty Hopkins
549045	35798	Rosa
549045	160067	Louise Leval
549046	254522	Female Ensemble
549047	213590	Schoolgirl
549048	2780	Performer "You'll Never Walk 
549048	118460	Feathers, the Sparrow
549048	137223	Black Boys
549049	26799	Additional Voice - German ver
549049	348059	
549050	193836	
549050	342546	Beatrice Van Loan
549051	167201	Yvonne
549051	344226	Dochter apotheker
549052	23211	Mrs. Reese
549052	121741	Shirley
549052	139776	
549052	148387	Frances
549052	207155	Mrs. Kelly
549052	241692	
549052	391096	
549053	93978	Saskia
549053	107864	Alice
549053	262591	Tanya's Priestess
549054	56649	Emma Grace Glasscoque
549055	78298	Herself
549055	240171	
549056	364956	Herself
549057	392912	Linda Ramirez (2003-)
549058	294357	Orphan Girl
549059	185201	Clubgoer
549060	395969	Herself
549061	390242	Els Hoffman (1994)
549062	15187	Woman on waterbike
549062	88559	Woman In Airplane
549062	92095	Astonished Passer-by
549062	115688	Vrouw bij zwembad
549062	160781	Coma Patient #1
549063	125650	Vrouw van de huisvriend/Wife 
549063	188915	Van Dijck's vrouw/Van Dijck's
549063	302054	
549064	51799	Dowager
549064	292426	Customer
549065	12319	Girl in Towel
549066	150468	Waitress
549066	191893	Charlotte Quiner Holbrook, Gr
549066	348336	Judge Gladys Dykes
549067	410640	Sarah Lynch (Series 4-7) (198
549068	410640	Zelda Lynch (Series 5-7) (199
549069	283758	Dona cun scuva 3
549070	283758	
549071	181957	Beate Künzel
549072	327976	Cathy
549073	271868	Mrs. Hendrickson
549074	185600	
549075	187228	
549076	14132	Amy's Friend
549076	187191	Nervous 1L Girl
549076	330114	Devon
549077	297764	Denise
549078	359	Gayetri Oberoi
549078	11464	Poldervogelvrouw
549078	16147	
549078	17357	Mrs. Padma Agnihotri
549078	17895	
549078	22105	Mrs. Laxmi Narayan (Birju's m
549078	25940	
549078	45417	
549078	59010	
549078	82001	Mrs. Sharma
549078	86628	Karan's mother
549078	90945	
549078	114166	
549078	126970	Mrs. Srivastav
549078	156256	Zarina
549078	162687	
549078	162706	
549078	164603	Pooja
549078	164923	
549078	166460	
549078	166485	
549078	174129	
549078	175985	Madam Prosecutor
549078	176029	
549078	176154	Laxmi Sethi
549078	178299	
549078	179349	
549078	179393	
549078	186196	
549078	187658	Sharda
549078	196440	
549078	200749	Devi
549078	201043	Bhabhi
549078	207098	
549078	207120	
549078	211460	Parikshit Sahni's wife
549078	222452	
549078	251877	Urmilla Verma
549078	254833	
549078	262820	
549078	268605	Saroj (Raj's mother)
549078	284783	
549078	285955	
549078	288780	
549078	288848	
549078	298811	
549078	298840	
549078	299365	
549078	320165	
549078	326959	Manjula's mother
549078	327011	Shanti (Tejaa's mother)
549078	329284	Laxmi (Mangal's wife)
549078	339962	
549078	355227	
549078	374652	Kamla
549079	250745	Holly's friend #1
549080	390242	Nina Sanders (#2) (1997)
549081	33742	Denver aged 9
549081	411384	Zoe Hatcher
549082	31156	Bridesmaid
549082	402294	Herself
549083	389413	Presenter
549083	402317	Presenter
549084	386930	Various
549085	6316	De Vrouw
549085	11764	
549085	40776	Danielle
549085	195030	Katrien
549085	390242	Viola Bezemer (1991)
549086	395409	Bloody Nora
549087	132618	Janey
549088	388264	Herself (Series 1) (2002)
549089	23919	Herself
549089	108194	Herself
549089	387253	Presenter
549089	388305	Herself
549089	391263	Reporter
549089	402974	Presenter
549089	410636	Presenter
549089	410637	Presenter
549090	119328	Sheri
549091	33276	La prostituée bidet
549091	136312	Une strip-teaseuse
549092	145759	Anni Huber
549093	249579	Hi-Tech Falafel Vendor
549094	467	Sekretärin
549094	550	Viola
549094	5133	Cecily Sims
549094	21404	
549094	21406	Sabine
549094	71643	Klara Holtz
549094	81764	Baths cashier
549094	115971	Barbara
549094	124983	
549094	129494	Lia Serrana
549094	130934	
549094	156729	
549094	177214	Monika Baerwaldt
549094	177615	Frieda
549094	188797	
549094	204563	Elise LeFevre
549094	210051	Olympia Renée
549094	210058	Regina Hale
549094	216245	Erika Wieland
549094	219701	Sylvie
549094	225745	Wally
549094	282188	Mrs. Carlyle
549094	290667	Harriet Morton
549094	306388	Vera Reinhardt
549094	352073	Erna Kallies
549094	358543	Simone
549094	380587	Mme Legendre
549094	390938	Kim Marshall
549094	398863	
549094	411957	Frau Düring
549095	166917	Anne-Louise
549096	199514	Denise Marton
549096	255878	Yvette
549096	265005	Monique Souvir, Dr. Claude's 
549096	291268	Marianne, French refugee
549096	299844	Waitress
549096	329395	Model
549096	389340	Madam Grilley
549097	56649	Dawn Sperling
549098	612	Kid on street
549099	23087	
549099	92935	Marr Toledo
549100	63835	Older Jo
549101	333443	Genie, Franz
549102	129551	Barbara Castlemaine
549103	142267	Bankkunde/Bank's Client
549103	149565	Anna
549103	157498	
549103	181728	Kathi
549103	225192	
549103	290240	
549103	303667	Sandra
549103	380392	Karin Radke
549103	394901	Kathi
549104	252193	
549105	139610	Taxi Driver
549106	157720	Mrs. Lefkowitz
549106	175223	Greta Nussbaum
549106	199467	
549106	211698	Martha Galinski
549106	245625	Ruth Sherman
549106	313827	Mrs. Kvares
549106	314697	Frances
549106	319187	Judy
549106	331475	Woman at gift shop
549106	387309	Ernestine Hubbel (1972)/Eilee
549106	400249	Mrs. Green
549107	29488	Charity
549107	59729	Charlene 'Charly' Riley
549108	240305	La femme de Paul
549109	93800	Tied Up Office Worker
549110	154927	MP
549111	62047	Carol Ann, Little Girl Saved 
549111	272691	Carol Ann
549112	149911	Mead's Secretary
549112	385719	Joanna Mills (1971)
549112	395352	Maid Marian
549113	78993	Nurse
549114	154472	Dorothy Braid Contest Winner
549115	34291	Karl-Heinz' Mutter
549116	210662	Betty's Child
549116	321746	
549116	372551	Helga, Girl at Well
549117	117674	Woman at Picnic
549118	35506	Clampett Maid
549118	58490	Flower Shop Owner
549118	314131	Brandy
549119	140765	Goth 1
549120	193261	Herself
549121	85063	Joelle
549121	245496	Rose
549122	236657	
549123	11202	Anne-Marie (singing voice)
549123	63108	
549123	256350	Twinkle
549124	372080	
549125	290922	Polly Graham
549126	110732	Extra
549127	394634	Host (2001-)
549128	46411	
549129	98261	Sdngerin
549130	350973	
549132	55715	Penny Lee
549132	317835	WRNS Officer
549132	384783	Michelle Donnelly
549132	402657	Mary Ann Kent
549133	124987	Sick Woman
549133	134986	Frau von Witzonkel
549133	216290	Woman at bar
549133	259445	
549133	259481	
549133	259511	
549133	259685	
549133	259691	
549133	322424	Cate
549133	324322	
549134	86907	Phyllis Daley
549134	230857	Holly
549135	260943	Femme de Germain
549136	264279	Stepmother
549136	396345	Mrs. Månsson
549137	108361	Une adolescente
549138	151188	Mrs. Raj
549139	297190	Sorority Girl
549140	8090	Lucia DelMarez
549140	14141	Laura Staf
549140	35542	Marianne Moore
549140	64557	Herself/performer
549140	79310	Mona Evans
549140	117061	Carlita
549140	126555	Vikki Vespa
549140	162005	Herself
549140	185550	Elizabeth
549140	194818	Raquel
549140	216737	Anna Lansky
549140	261989	Denise
549140	301539	Cindy
549140	333289	Denise Gondelman
549140	341515	Dancer
549140	345702	Mickie
549140	383119	Laura Sharp-Recurring regular
549141	41242	
549142	348835	Gertrude
549143	9169	Giulia Roberti
549143	202284	Patrizia
549143	400789	
549144	61103	
549145	228727	Navajo girl
549146	39412	Native American Waitress
549147	300506	Teri
549148	22665	Amelia Brand
549149	211499	Forest children
549150	101140	
549151	118994	Anne Marie Bois
549153	6675	La Principessa di Bouillon
549153	79401	Marquesa
549153	85703	Mother Mary of the Incarnatio
549153	131199	The Duchess of Plaza Toro
549153	213583	Katisha
549153	213587	Katisha
549153	236180	Marcellina
549153	250640	The Lady Jane
549153	340639	Inez
549154	403026	Lady Redgauntlet
549155	348752	Maid 2
549156	34106	Tall Girl
549158	117150	
549159	11627	Angelica di Villagrazia
549159	16869	Sister Luisa
549159	19878	Nora
549159	33474	Ines
549159	54288	
549159	62334	Grazia
549159	78558	Anna di Vigliè
549159	90718	Doretta
549159	94675	
549159	126203	Amelia
549159	129036	Un ammiratrice di Verdi al ca
549159	132699	Luisa
549159	133111	Emilia
549159	160122	
549159	205355	La figlia del negoziante di p
549159	210318	Costanza Weber Mozart
549159	217113	
549159	229814	
549159	243373	
549159	243635	Nora
549159	246450	
549159	255125	
549159	281887	Rosina, la cameriera
549159	289446	Gismonda Contarini
549159	307067	
549159	308809	Ornella D'Engelsbourg
549159	341831	Adriana
549159	344625	
549159	353066	Ines
549160	275881	Buffy
549161	180699	
549161	214250	
549162	558	
549162	33455	Hermine
549162	98270	Babsy
549162	98272	
549162	115958	Elder woman
549162	125166	Genoveva
549162	156651	Edeltraud Storch
549162	167700	Girl
549162	206581	Erna
549162	225157	
549162	248185	Gertrud Mielke
549162	290105	
549162	290183	Brückenwirtin
549162	299261	Betty
549162	314377	
549162	394536	Liane von Alversleben
549162	404462	
549163	1510	
549163	5222	
549163	38706	Bibiana
549163	46907	Irina Zehender
549163	118845	
549163	125027	Jenny
549163	134612	Louise
549163	173116	Dr. Tod/Frau Neumann
549163	189793	Anke
549163	225644	Sonja
549163	225660	
549163	226306	Sonja Wörner
549163	230222	Sabine
549163	230232	Marie Kremer
549163	233958	Natalia
549163	314855	Rita
549163	325633	Sarah
549163	325727	Carmen Radzynska
549163	325835	Rafaela
549163	325923	Karoline Schmidt
549163	327726	Girl (segment The Enlightenme
549164	26258	Rene Walker
549165	107099	
549165	139677	Mrs. Duncan
549165	186751	Woman Receptionist
549165	191532	
549165	245532	Mrs. Cochran
549165	308917	Mrs. Radford
549165	358610	Matron
549167	365691	Gaynell
549168	363262	Miss Ohio
549169	164653	Sara Flannagan
549170	362501	Daughter
549171	381891	Alessandra
549172	232134	Lover
549173	95743	
549174	118694	
549175	124061	
549175	206500	Slavica
549175	232514	
549178	181530	
549178	191488	Enes's Mother
549178	289162	Gordana
549178	359553	Mother (Sase)
549178	410330	Sofija
549179	8454	Laura Lenbach
549179	28402	Danka
549179	42558	
549179	55846	Svilena
549179	58312	Mirta Mesog
549179	58763	Ana
549179	88374	Sestra
549179	109715	Mrs. Sumner
549179	129360	Baroness Castelli
549179	147212	Tereza
549179	155622	Milica... babica
549179	174177	Frida
549179	180695	Visnja
549179	229079	
549179	239465	
549179	246308	Veronika
549179	255772	
549179	338865	Hela Martinic
549179	339316	Maria
549179	352844	
549179	381182	Danka
549179	404305	Doktorka
549179	408796	
549180	18152	
549180	18248	
549180	25727	
549180	54421	Young Italian woman
549180	88374	Sestra 2
549180	125569	
549180	190661	
549180	226835	Dina
549180	238210	Renata
549180	294643	
549180	304136	
549180	318971	
549180	343852	
549180	402392	
549180	410202	
549181	198911	
549182	487	
549182	6740	Emiliana
549182	12535	
549182	32366	
549182	42633	Marta
549182	74622	
549182	74649	
549182	91358	
549182	145260	
549182	148106	
549182	152265	
549182	193506	
549182	236029	
549182	275076	
549182	287439	
549182	306692	Chelo
549182	336255	
549182	352021	
549182	376665	Engracia
549182	392034	Asunción
549182	408390	
549183	219257	
549184	383261	
549185	44974	Mme Castagnier
549185	85543	
549186	218247	Mme Pons-Romanov
549188	58920	
549188	62660	Step Mother
549188	146831	
549189	135667	
549189	172559	
549189	222283	Mohini
549189	264544	Minalvati
549189	288569	
549189	351096	Subhadra
549190	230271	
549191	4285	
549191	10515	
549191	24277	
549191	60008	
549191	86667	
549191	139993	
549191	145578	
549191	159321	
549191	201298	
549191	208135	
549191	221778	
549191	262833	
549191	271783	
549191	300210	
549192	4194	
549192	4318	Rohit's mom
549192	25553	
549192	27765	
549192	30453	
549192	58837	
549192	60057	Pyare Mian's mother
549192	76429	
549192	76808	Chanda's mom
549192	86652	
549192	86680	Mohan's mom
549192	98541	
549192	123295	
549192	164853	
549192	172619	Karan's mother
549192	173279	
549192	173397	Madan's mother
549192	183134	Mohini's grandmother
549192	184022	Laila's grandmother
549192	227989	
549192	229336	Akash's mother
549192	248559	Taropdar's wife
549192	250843	
549192	270766	Salim's mom
549192	271562	
549192	287391	Naubat Lal's wife
549192	288037	
549192	297216	
549192	322695	
549192	323686	
549192	328180	
549192	330976	
549192	375037	Judge's wife
549193	263760	Kenna
549194	32624	Young Prostitute
549195	59290	
549195	169850	
549195	184816	
549195	199427	
549196	373530	Azeeza
549197	157497	
549198	315378	
549199	411726	
549200	284932	Model
549201	170440	
549202	94015	Airline girl
549202	383363	Woman in Cathedral (The Pardo
549203	78318	Teenager
549204	187478	
549204	238221	
549204	332942	Donna
549206	152	Carol
549206	2275	Herself
549206	38964	Herself
549206	70359	Dottie
549206	144697	Gertrude
549206	161379	Herself
549206	195751	Mary
549206	204190	Marilyn
549206	330773	Ruby
549206	345711	Herself
549206	366640	Herself
549206	381066	Helga
549206	395161	Herself (Celebrity Talent Sco
549206	400244	Herself
549206	410171	Herself
549207	400236	Anna Wolek Craig (#3) (1978-1
549208	6434	
549209	143522	Pilar Estravados
549209	385020	Maya Sharma (2003-)
549209	399692	Stevie Goode
549209	403228	Emma Peters
549210	39518	Supporting Players
549211	132955	Lætitia
549211	269806	Tasha
549212	357416	Mother from Douglas
549213	68886	Sarah Loveless
549213	144558	Blonde Woman (in B&W film)
549213	160713	Beatrice
549213	196232	Maria
549213	323114	Mary Sinclair
549213	325081	Mariane
549213	327435	Miranda
549213	361978	Young Marcia
549213	398020	
549213	405042	(segment "The Tempest")
549213	405969	Young Sophia
549214	311785	Herself (Model)
549215	12738	Girl in Taxi
549215	143952	Alice
549215	152826	Mrs. Levey
549215	160368	Elizabeth
549215	194070	Marcia
549215	232030	Horse Girl
549215	232470	Angela
549215	272916	
549215	303974	
549215	382100	Tuesday
549215	382590	Judy Donovan
549215	387203	Margaret Bennett
549215	388306	Diana Stevens
549215	388860	Samantha Harmon
549215	390778	Louise
549215	399130	Amanda Harris (1987)
549215	399816	Helen Eastwood (1972)
549215	401963	Eve Cambridge
549215	411809	Frances Taylor (1981)
549216	215690	Miss New York USA
549217	201078	
549217	211249	
549218	198706	Mother
549220	9161	
549221	111966	Leonore, seine Gattin unter d
549222	115964	Guste
549222	136212	Edith Parker
549222	391295	Frau Lichtblau, Clarissas Mut
549222	409612	Erna Koslowski
549222	412110	Mutter Lichtblau
549223	255424	Mr. Hardwick's Assistant
549224	37682	Bistro Patron
549225	32214	Lily
549226	215119	Igracica II
549227	290556	
549227	302045	
549228	257528	
549229	180222	Jenni
549230	162590	Golda
549231	379831	Jennifer (1989-1990)
549232	106263	Elsie
549233	66557	Little Girl #3
549234	81644	Peep-show girl
549235	359318	Narrator
549236	389961	Gudrun Schmidt
549237	146533	
549238	233290	Yossefa
549239	261532	Herself
549240	261532	Herself
549241	297120	Lady Macbeth/Beth McBride/Nar
549242	403356	Herself (Prosecutor)
549243	194727	Anita
549244	43221	Presenter
549244	55442	Herself - Host
549244	131723	Blondie
549244	190698	Paula
549244	260291	Herself
549244	272006	Charlie
549244	322778	Herself
549244	368399	Herself
549244	382597	Herself - Host
549244	386034	
549244	392501	Herself - Host
549244	401170	Herself
549244	404350	Presenter (2001-2002)
549244	411401	Herself - Presenter
549245	40412	Vera Hansen
549245	56545	Herself
549245	270427	Corinna
549245	306669	
549246	128807	Herself (Segment "Private Cab
549247	100008	Ursula
549247	102771	
549247	171410	Madame Souvray
549247	171411	Madame Souvray
549247	171413	Madame Souvray
549247	171414	Madame Souvray
549247	215295	Vickey
549247	231885	Arresting Development Segment
549247	257672	Herself
549247	319641	
549247	333407	Savannah
549247	347035	(segment "The Ransom")
549248	311609	School Nurse
549249	26971	Party Animal
549250	51104	
549251	27181	Nurse Ginger
549251	41797	Jack
549251	89689	Nurse Ginger
549251	184543	Liz Reese
549251	206477	Dee
549251	208993	Will
549251	223699	Restaurant Patron
549251	252988	Andrea
549252	261532	Herself
549252	297120	Homeless #7
549253	232166	Hooker
549254	342313	
549255	337384	Duke & Duke employee
549256	283006	Girl in Cafeteria
549257	8240	Marlene von Weisswasser
549257	282183	Sekretärin
549258	103072	Margrit Graf
549258	178808	Junge Frau
549258	325637	Silvia Rademacher
549258	341408	
549259	200534	
549260	182602	Irenes datter
549261	167797	Model
549262	117457	Lotto Girl 2
549263	180822	Dancer
549264	130773	Sister Theresa
549264	338582	Madame
549265	259540	
549266	124340	Hostess
549266	280054	Doris Day
549266	366572	Typist
549266	388237	Connie Johnson (1990)
549267	193725	Biker Babe
549268	99020	Elektra
549268	115442	Senta
549268	136720	Brünnhilde
549268	155756	Elettra
549268	301091	Brünnhilde
549268	336372	Floria Tosca
549268	339976	Isolde
549268	358688	Brünnhilde
549268	368745	Marie
549268	407462	Brünhilde (segment "Winter St
549269	14131	Female Voice in Porn Film
549270	78863	Tina Frick
549271	80463	Mrs. Vogler
549271	98060	Trude Lorenz
549271	125225	Frau Kurda
549271	134785	
549271	173961	Clara
549271	177904	Martha Mertens
549271	186874	
549271	218990	
549271	230162	
549271	231469	Trude
549271	259493	
549271	308831	Emmi Jahnke
549271	314716	
549271	317613	Renate
549271	320226	Gussy Alfken
549272	119197	
549272	124987	SS Woman
549272	210078	Sybille's Mother
549272	259627	
549273	276035	Connie Miller (American versi
549274	195193	Jane Benton
549275	119435	Maud Miller
549275	147147	Alice Mylius
549275	209310	Lena Christenson
549275	279676	Yvonne Berger
549276	400273	
549277	79938	Suzy
549277	105831	Kindra
549277	122768	Jesica
549277	224186	Angela Vasquez
549277	310639	Schoolgirl on Bus
549277	339429	Rosie
549278	229186	
549279	369492	Xanadu Dancer
549280	239583	The Dressmaker
549280	365863	Willie's Sister
549281	365676	Herself
549282	301020	
549282	325717	
549282	325907	
549282	387625	Mathilde
549282	390929	Lisa/Quietschbeu Karl-Heinz (
549282	399503	
549283	18820	Jeanne
549283	32066	Roulette
549283	67920	Nun
549283	117646	Makeup artist
549283	273083	Guest
549283	346901	Bit Part
549283	362959	Woman in Box
549284	336480	Michele
549285	172898	Herself/Jazz+Az singer
549285	179863	Herself/Jazz+Az singer
549286	119140	Renate Reinhard
549286	182894	
549286	259174	Lisei
549286	347702	Anna
549287	265986	
549287	330358	
549287	397267	
549288	298318	Little Girl
549289	232239	Party Girl 1
549290	326114	Lisa
549291	18523	
549292	40422	Evelyn Döppke
549292	140770	
549292	147170	
549292	187402	
549292	259493	
549292	259522	Frau Kuhn
549292	259600	
549292	259663	
549292	259676	
549292	259688	
549292	266358	
549292	312636	
549292	352572	Frau vom Architektenbüro
549292	356877	
549293	35052	Dancer
549294	12438	Filmemacherin
549294	87287	Rita
549294	92938	
549294	94335	
549294	136192	
549294	157711	
549294	185858	
549294	189698	
549294	189813	
549294	226353	
549294	236104	
549294	332626	Wife
549294	352028	
549294	352106	
549296	104013	
549297	356388	Charlotte
549298	240057	la femme au chat
549299	256374	
549300	127494	Veronika Schaarschmidt
549300	179783	Talkshowgast
549301	193176	Astonished Girl
549301	381515	Barkeeperin
549301	382138	Host (27 September 1999-31 De
549301	387365	Elke von Schoenstein
549301	392502	Herself
549301	410515	Cornelia Friedrich-Friedlände
549302	154614	Vegas Showgirl
549303	54487	Old lady
549303	56789	Boarder
549303	92505	Spinster in Art Museum
549303	92612	Effie
549303	96672	Old Maid
549303	97890	Reveler at Country Dance
549303	108300	Woman passenger
549303	117647	Woman Drunk
549303	121368	Tourist
549303	128152	Committee Woman
549303	128168	
549303	144109	
549303	152208	Flower Woman
549303	155837	Idylwood resident
549303	195071	Undetermined Role
549303	200881	Mother
549303	223032	
549303	278607	Club Woman
549303	292405	Patient
549303	304966	
549303	316462	Person in Theatre
549303	329481	Thin Woman
549303	330836	Irish mother
549303	342878	Spinster at Bus Station
549303	349633	
549303	372819	Woman
549304	232372	Nomad Dancer
549305	301032	Marlene
549306	101354	Hanna Koller
549306	319736	Junge Schwäbin
549307	101354	Pauline
549308	23108	Li Sun
549308	37224	
549308	98349	
549308	136906	
549308	185137	Jessica Cheung
549308	187860	Apia Kolong
549308	325673	Katzuko Yamabayaschi
549308	347974	Kai Lemberger
549308	390701	
549309	24137	Waitress
549310	8542	Demetria
549310	387621	Isabella Malavé
549311	39862	Dispatch
549311	196397	
549311	268210	
549311	372343	Edie
549312	24148	Frieda Salcher
549312	49264	Prostitute
549312	231677	Heidi
549312	250646	
549312	290837	
549312	314357	Nina Prantner
549312	378550	Gertrude Bacher
549312	386637	Sandra
549313	274449	Maisie Hanrahan
549314	357246	
549315	171311	Whisperer at Party
549316	203927	Mercedes
549317	156726	Ines
549318	339269	
549319	104765	Icelandic entry (4th place)
549319	104767	Icelandic entry (7th place)
549319	104769	Icelandic entry (12th place)
549320	380391	Marianne Randolph #1 (1970)
549321	359062	Dancer
549322	33166	
549322	195784	Wendy
549323	43021	
549324	62622	Ai-Dai
549325	18544	Party Girl
549325	96601	
549326	267407	Sekretärin
549327	28681	Le secrétaire du Maire
549327	167240	Adrienne
549328	115079	Dellie Bliss
549329	99470	Linda Daniels
549329	140371	Eva's Cousin
549329	245115	Marta Weiss
549329	289259	Bambi
549329	342714	Prep Student #2
549330	11570	Chloe
549331	130302	Beautiful Young Girl
549332	17168	Muriel
549332	89628	Businessman's Secretary
549333	234796	
549333	253779	
549333	324483	Couple Opening Door
549333	376800	
549333	378400	Dead Person
549333	380108	Delfina
549334	18653	Señorita de la agencia
549334	74869	Dependienta
549334	101895	Adelaida
549334	160261	Mother
549334	162104	Sor Nieves
549334	212411	
549334	390244	Mila
549335	170713	Nurse
549336	153788	
549337	156929	
549338	254569	Kid at Party
549339	155013	Press person
549340	55477	Monkey Girl
549340	202750	Makhia
549340	364241	Herself
549341	302458	Minion
549342	83138	
549342	389788	Dona Cruz Olivares
549342	390733	
549342	412190	Tomasa
549343	219315	Señora Solano
549344	52764	Edecan
549345	61127	
549345	68636	
549345	94839	
549345	96321	Dueña del piso
549345	136964	
549345	148110	
549345	170082	Doña Margarita
549345	202213	
549345	236021	
549345	266805	
549345	296463	
549345	320306	Dueña de la pensión madrileña
549345	339014	
549346	72262	Mona Escovar
549346	85564	
549346	188202	Mexican Woman
549346	196969	Pedro's Mother
549346	212181	Manuela
549346	263074	Juanita (Ortega servant)
549346	271855	Guest
549346	355755	
549347	386107	Herself/Survivor Team
549348	384501	Florecita
549348	400667	Alejandra (2001-2003)
549349	84502	Mónica Rosero, the youngest d
549350	402332	Herself
549351	328928	Nate nõje 1.
549352	87165	Production Assistant
549352	217507	Angela
549352	229119	Karen
549352	269421	The poodlegirl
549353	1857	Olivia
549353	3311	(segment "Enceinte ou lesbien
549353	54652	Sarah
549353	63757	Liccia
549353	68353	Lola
549353	78367	
549353	87855	Margo
549353	100657	
549353	132887	Perla Kurtz
549353	136812	Carrie Pitezel
549353	146361	Laurence
549353	167236	
549353	178929	Christiana
549353	179165	Margo
549353	209944	Laetitia Rance/Laetitia Franc
549353	246653	
549353	287587	
549353	287954	Emma Verdier
549353	293898	
549353	306950	Karine
549353	346721	La jeune femme
549353	403089	(segment "Monstre, Le")
549353	404365	Valentine
549353	409442	Sophie
549354	38480	
549354	52781	
549354	156221	
549354	173414	
549354	187629	
549354	378606	
549355	82320	
549356	15341	
549357	200600	Herself
549358	402	
549358	15142	Friend of Alkmene
549358	42599	Gesellschafterin der Herzogin
549358	103074	Dorina Clay
549358	113453	Zofe bei Diana
549358	120926	Frl. Lotte
549359	118897	Herself (CITY TV host)
549359	216806	Reporter (Fashion Television)
549359	399260	Co-Host w/J.D. Roberts
549360	187375	
549362	294834	Twin Sister #1
549363	294834	Twin Sister #2
549364	119966	Noula
549364	307357	Toula
549365	23723	Antiques Dealer
549365	46006	La sage-femme
549365	51422	Philomène Sapillon
549365	70715	
549365	99249	Madame Dulcamara
549365	196006	Madame Dulcamara
549365	217727	Petite dame bistrot
549365	224578	Prostitute
549366	332188	Amara
549367	251088	Guest Performers
549367	288923	Herself
549368	188502	Girl at Cutters
549369	265892	Hooker
549369	291457	Chicken girl
549370	388051	Herself (2002)
549371	68351	
549372	59301	Samia
549372	76151	Tante Zou
549372	91977	Mère Malouf
549372	131215	Djamila
549372	160541	Hameda
549372	253999	Ben's Mother
549372	271048	
549372	288893	
549372	300660	Khadija
549372	309764	Hafida
549372	332188	Malika
549372	346730	
549373	304457	
549374	357235	
549375	287399	
549376	409178	Herself
549377	286039	Child in shopping mall
549378	222378	
549379	399133	Herself
549380	354189	Jackie
549381	2654	Marja
549381	7816	Miss Ellie Ewing
549381	41271	Amy Lufton
549381	50889	Clarissa Winner
549381	57099	Leonora Eames
549381	89368	Miss Ellie Ewing
549381	114678	Bobbie Meredith
549381	118434	Virginia Foster
549381	154553	Katrin
549381	193991	Jo Ann
549381	237910	Herself
549381	244926	Mrs. Webb
549381	247572	Nancy Reed
549381	318857	Ruth
549381	334596	Mrs. Todd
549381	352639	Midge Wood
549381	385594	Eleanor Southworth Ewing Farl
549382	285810	Fatma
549383	233653	Katie Poleski Winslow
549384	268417	
549385	357839	Un musicien nocturne
549386	29701	
549386	148677	Marie
549386	201196	
549386	204916	
549386	258323	
549386	300723	L'hôtesse Air France
549387	84695	La petite amie du père de Vin
549387	118754	Fille 1 sublime
549387	156331	Maria Barbara Bach
549387	158938	La copine de Céline
549387	184053	La fille près de la Pulpo
549387	261763	
549388	322362	
549389	120562	Herself
549391	99709	
549391	353354	
549392	245484	Girl
549393	25796	María Vélez
549393	336019	Amanda
549394	377247	Deborah
549395	400342	Herself (Finalist #4)
549396	43663	
549397	105205	Dawn
549398	81509	Herself
549399	328	Mrs. Thompson
549399	5201	Fran
549399	12240	Anna McCue
549399	39692	Married woman
549399	72502	Edna Burns
549399	91994	Mayor Tippi Dink
549399	107385	Mrs. Johnson
549399	109457	Mrs. Gilroy
549399	138419	Building Manager
549399	141155	Louella Parsons
549399	149932	Edna
549399	167602	Olive
549399	181005	President Porter
549399	185707	Housekeeper
549399	194315	Libby Levine
549399	196883	
549399	226938	Dr. Roberts
549399	238228	Blanche Madison Povitch
549399	242929	Mona Malkin
549399	295032	
549399	298127	Paula
549399	311439	Mrs. Needler
549399	335799	Rita Marshall
549399	360510	Doctor
549399	362115	Dr. Catherine Tomsky
549399	362573	
549399	380391	Madge Murray (1966-1967)
549399	381159	Captain Florence Baker
549399	382669	Mayor Tippi Dink
549399	386603	Dr. Claudia Howard (1980)
549399	386840	Mrs. Wingo/Tippi Dink
549399	387309	Peggy Collins (1958)/Carol (1
549399	388322	Lillian
549399	395263	Beverly Fielder
549399	400236	Anna Wolek Craig (#1) (1968-1
549401	31892	Elizabeth
549401	47004	Kathy
549401	139516	Lennie
549401	173516	Hey-Hey Club Hostess
549401	242790	Bernice
549401	384752	Officer Carmela Pagan (1991-1
549402	232113	
549403	26494	Elizabeth Trent
549403	31198	Herself (Host)
549403	31199	Herself (ABC Team contestant)
549403	31200	Herself (ABC Team contestant)
549403	31201	Herself (Host)
549403	111746	Serena
549403	119827	Martine
549403	139464	Mrs. Beacham
549403	141965	April Lambert
549403	150520	Julie Gillette
549403	155909	Heather Johnson
549403	161231	Narrator
549403	174520	Gail
549403	206483	Doc Halliday
549403	213153	Melissa Cavender
549403	222609	Lisa
549403	238171	Narrator
549403	245764	
549403	257689	Herself
549403	310784	Margaret
549403	333375	Linda Flores
549403	351422	Julie Rhodes
549403	367844	
549403	381822	Laura Wingate (1991-1993)
549403	390534	Blanche
549403	391485	Mrs. Johanssen (1996-1997)
549403	392094	Julie Gillette
549403	395602	Herself (Hostess) (1994-1995)
549404	97688	Janet
549404	331510	Donna/Dorian
549405	80436	1940's Girl
549406	29537	Cecile
549406	249209	Fan de Jeannot
549406	277217	La tante
549407	93435	
549407	103102	
549407	358039	Eva-Maimune-Eine Bojarin
549408	29581	Elvira
549408	70550	Èrni Krempelj
549408	81559	
549408	174829	Aunt Mica
549409	112818	Nedjma
549409	236592	
549409	355808	Madame Sassi
549410	171122	Photographer
549411	33742	Nan
549412	113975	
549413	133684	
549413	235870	Performer
549414	251547	Religieuse
549415	90176	The Dancer
549416	64659	Bungee
549417	136360	
549418	124340	Elvia Ribero
549418	212524	Elva Rivero Player
549420	197420	Abby
549421	51917	Betsoul
549421	107160	
549422	10841	(segment "Alien Abductee Inte
549422	10869	FBI Agent Dana Harley
549422	85874	Office Worker
549422	206092	
549422	339668	
549423	293082	Pamela Bruce
549423	363492	Art Woman
549424	285781	
549424	327684	
549425	241	His Wife
549425	22939	The Baker's Wife
549425	31609	Mrs. White
549425	41132	The Villainess
549425	49255	Gipsy Woman
549425	75389	Mother
549425	105601	Beggar's wife
549425	159154	Ayah
549425	162459	Miss Frewin
549425	171329	Mrs. Prescott
549425	195658	The Mother
549425	215422	Mrs. Matthews
549425	229523	The Woman
549425	232042	The Woman
549425	238954	Wifey
549425	245161	Mrs. Brown
549425	268910	Mrs. Brown
549425	270940	
549425	298435	Wife
549425	301975	Woman
549425	302952	
549425	303247	
549425	305423	Mother-in-Law
549425	331165	Mrs. Armstrong
549425	363651	Lady Betty
549426	354885	Mikki
549427	207723	Nurse
549427	338094	
549427	355882	Paule Delbecq
549428	45283	Herself
549429	80156	Jeune Femme Invitée
549429	88177	Chanel Assistant
549429	111063	Woman in Panic
549429	345302	Concha
549430	3041	
549430	14870	Angela
549430	24202	
549430	58360	Marta
549430	71830	
549430	74584	Adela
549430	74869	Pili
549430	83542	Ana
549430	128988	Lola Junco
549430	198367	
549430	202296	Reina
549430	206558	Marta
549430	210178	Gloria
549430	231571	Andrea
549430	259619	Antonia
549430	264262	Sonia
549430	273074	Marta
549430	281618	Ana
549430	322371	Carmen
549430	369417	Beatriz
549430	369870	Herself - Presenter: Best Pro
549430	396154	Ana
549430	402409	
549431	412126	Reporter
549432	237523	
549433	94845	Fraskita
549433	349077	
549434	48174	Herself
549435	174316	Hija de Brahim
549436	357658	
549437	138895	
549438	105551	Next Door Neighbor
549438	321601	Ms. Johnson
549439	30071	
549439	36571	
549439	41049	
549439	41064	Miss Wattles
549439	41895	
549439	47313	
549439	72269	
549439	88153	
549439	90258	
549439	146273	
549439	147122	
549439	209633	Scrub Woman
549439	215968	Jane Moriarity
549439	247221	Charley Anderson
549439	292188	Rachel Rosenstein
549439	305626	
549439	347983	Herself
549439	361819	Hogan's Companion
549440	231110	Patsy-Ruth
549441	190040	Herself
549442	128429	Girl in Robin's School
549443	64538	Beryl
549444	23441	Female Judge
549444	40029	Nurse Kitty
549444	42263	Stephens
549444	42773	Judge May
549444	65501	INS Officer
549444	73330	Female Bank Executive
549444	75668	Roberta
549444	76526	Christine
549444	90943	Madge
549444	94194	Abagail
549444	94983	
549444	106493	Quarreling Woman
549444	110180	Modesto Judge
549444	115161	Edna, Ward Nurse
549444	116537	Counselor
549444	141412	Hotel Housekeeping Maid
549444	159200	Juror #1
549444	166470	Jezelle Gay Hartman
549444	186431	Impatient Customer
549444	211764	Annie
549444	217421	Margaret Duffy
549444	274699	Mom
549444	310647	Admittance Clerk at Park Bay 
549444	367634	Judge
549444	368110	Mrs. Hughes
549444	372203	Judge Tanner
549444	381408	Renee
549444	408955	Lila
549445	223330	Pam
549446	32809	Alex
549446	360861	Babysitter
549447	374473	Meditzinskata sestra
549448	2816	Cast of musical 'Avenue Q'
549448	132454	Betty
549448	257532	Vy/Vyman
549448	318361	Lynette
549448	368092	Hootchie
549449	178189	Extra
549450	113933	Louisa
549450	165450	Anna
549450	213996	Young Lucy
549451	281656	Laura Vorburg
549452	130211	Brunette
549452	305434	Kidnapped Woman
549452	358683	Manager's Secretary
549453	356979	Mme Gaspard
549453	383978	Josiane
549455	299073	Young woman in bath
549456	363123	Arline Cary
549457	163485	
549457	223733	Lady
549458	95489	Sophie Delacasino
549459	78023	Marlene
549459	122757	Frau Miller (Lady at Herrench
549459	156960	Mrs. Mueller
549460	231951	Odyssey Dancer
549461	82326	Forewoman
549462	7806	Talbot
549462	32088	Judith
549462	79202	Hospital Receptionist
549462	105823	Female Volunteer
549462	137449	Press Reporter
549462	304955	Laura Penny
549462	308929	Alice
549462	331664	Joanne
549462	408529	British ATS
549463	59301	Zora enfant
549464	258954	
549464	268152	Mrs' Higgins Parlormaid
549465	80409	Caterer
549466	380863	Rose-Lilas Villeneuve
549467	50993	Femme agricaine
549467	118668	
549468	266164	
549469	183095	
549470	63046	Katie
549471	3068	Mujer
549471	14817	Cajera
549471	57778	Chica empaquetadora 3
549471	132686	Relaciones Públicas del Hotel
549471	286901	
549471	296660	
549471	301115	Lola
549471	338201	Toñi
549471	386358	Lola
549471	404708	
549472	292479	Lizzie Hurst
549473	267818	
549474	222280	Herself
549475	374227	Laura Chudá
549476	33280	Wife of director prison
549476	208476	Cherqez woman
549476	268576	
549476	326066	Vera
549477	103931	Irina
549478	228845	
549479	250551	
549480	123344	Demoness
549481	69917	Health Worker #3
549481	92759	Chi-Chi
549481	92760	Chi-Chi
549481	92761	Chi-Chi
549481	122665	Scarlett
549481	122675	Scarlett
549481	124244	Mai Shiranui
549481	140919	Teela
549481	170881	Suzuko Nozawa
549481	176540	Kycilia Zabi/Cima Garahau
549481	216726	Relena Peacecraft
549481	275880	Terrified Neighbor
549481	290936	Mullet Nerdette #2
549481	382648	Dr. Irene Carrier, Kanan's Mo
549481	385726	Felicia
549481	386922	Chi-Chi (Vancouver Dub)
549481	387775	Varie (Van's Mother)
549481	388042	Field Liaison Lt. Nara Burns/
549481	391202	Teela
549481	392964	Mayu's Mom
549481	394422	Kamaria Ray, Fed Officer
549481	394425	Murrue Ramius
549481	394440	Mary Champ
549481	394463	
549481	398000	Relena Peacecraft
549481	405356	Kiddy Phenil
549481	406012	Yui Kirihara, Yui's Secretary
549481	406702	Cammy
549481	406714	Cammy
549481	410975	Additional Voices
549482	90821	
549483	40246	Herself
549484	182646	
549484	377761	
549484	377891	
549485	23065	Virgi
549485	51733	Ayudante dentista
549486	82346	
549486	212498	
549486	278936	
549487	357563	Carmela
549488	286655	Musicienne 3
549490	25318	First Amazon
549490	132807	Journalist
549490	162051	
549490	229601	amica Sparafico
549490	324452	
549491	5447	Bambina
549492	86098	
549492	240340	
549493	324448	Dancer: Mercado spinetto
549494	23588	Lucia
549495	19883	
549496	96958	Off-camera singer
549497	173613	Maiden (segment "Requiem")
549498	1161	Fatima
549499	28840	Carlie Kirkland
549499	62938	Regina Cunningham
549499	70412	Adrienne/Marcella Pascal
549499	79811	Louise
549499	83992	
549499	134678	Nicole
549499	144858	Sgt. Liz Spencer
549499	174513	Charlotte Randall Chase
549499	175581	Eliza
549499	183357	Dr. Constance Lewis
549499	214107	Lil
549499	229505	Meg Penner
549499	245410	
549499	258552	Adelita
549499	310425	Rosemary Barton
549499	334206	Agnes Cusack
549499	350432	Gretchen Greer
549499	371334	
549499	381204	Carlie Kirkland (1973-1974)
549499	381811	Samantha Sanders (1991-1999)
549499	387539	Jackie Willow
549499	396937	Emily Gorey
549499	400578	Lt. Maggie Randall
549499	405371	Evelyn Stratton (1983-1986)
549500	83693	Mary
549501	164180	
549502	130677	Woman in dance hall
549503	322840	
549503	403084	Lina Dahlén (1992-1993)
549504	12101	Claire
549505	112732	Marise, the bookseller
549506	400239	Teddy Lawton (1951-1952)
549506	408128	Beth Waring
549507	283452	Guard
549508	184900	Vicki
549508	184901	Mother Pearl
549509	7517	
549509	10982	
549509	34505	
549509	38491	
549509	57860	
549509	63977	
549509	109958	
549509	136745	
549509	140608	Gulay
549509	173786	
549509	178405	
549509	215091	
549509	238819	
549509	284436	
549509	293429	
549509	320471	
549509	322548	
549509	325012	Yonca, daughter of Attila
549510	59772	Katenka
549511	186413	Sis
549512	280398	
549513	138681	Priscilla Wingate
549514	133242	Une danseuse
549515	31543	
549516	178189	Extra
549517	83847	Moeder
549517	149911	Nurse Reardon
549517	212027	Mrs. Harris
549517	236870	Mrs. Donovan
549517	323591	Maid
549517	400236	Sadie Gray (1980s) (temporary
549517	404002	Mrs. Williams (1989)
549518	296407	
549519	84667	
549520	211375	Madame Laroume
549521	211375	Sabrina
549522	211375	Samia
549523	172575	Nedjma
549523	268387	
549524	220218	Marie, France
549525	294602	
549525	371423	Zinba
549526	122398	Soeur Alain 1
549528	35903	
549528	101418	Woman with Baby In Square
549528	250907	Maedchen
549528	285244	
549529	106158	
549530	222358	
549531	101907	
549532	344001	
549533	5495	Delphine
549533	74890	Honey
549533	150555	
549533	324331	Ana
549533	346546	Avocate
549533	346726	Christine
549534	226188	(segment Angel)
549535	180237	
549535	237832	
549535	394750	Nadya
549536	26153	Mado
549538	409080	Bank cashier
549539	225421	
549540	49465	
549540	155989	
549541	23385	
549541	356654	
549541	380065	Ana Capistrán Vidal
549541	380963	Violeta Flores/Rosenda
549541	384980	Elena 'Elenita' Arellano Góme
549541	385502	Mariana Cantú/Silvana Del Val
549542	52036	
549543	61900	Megan
549544	367	Herself
549545	24171	Librarian
549545	64775	
549545	326010	Clerk
549545	400112	Rita
549546	119221	Karin
549546	126261	Bella
549546	135007	
549546	290669	
549546	314893	
549547	387359	Candy Botha Smith (2001-)
549548	263819	O Chato
549549	361541	Girl in Jeep
549550	314157	Girl in street
549551	95575	
549551	261666	The Commandant's Wife
549552	87051	
549552	123884	Nancy Starr
549552	152928	Laura
549552	155293	Ice-Capades Skater
549552	161982	The Debutante
549552	183863	Herself
549552	203352	Gisella
549552	230357	Valentina Alexandrovna
549552	291347	Herself
549552	301842	Vera
549552	301998	Belita
549552	320294	Robert Leonard, aka Roberta E
549552	328386	Belita
549554	109856	Bridesmaid
549555	393894	Garde Doyon
549555	410628	Josée (1994-1998)
549556	96305	
549556	251961	
549556	271966	
549557	73887	Kit's Friend
549557	273423	Glitz Receptionist
549558	115381	Russin
549559	3565	Elvira
549559	4737	Elza
549559	38345	Barbara von Brent
549559	43019	
549559	43175	
549559	89472	
549559	94041	Olga
549559	95984	
549559	114976	
549559	129424	Vela
549559	151844	
549559	180694	Kraljica Rozamunda
549559	180764	
549559	183911	
549559	192886	
549559	192904	Ceca
549559	200794	Uciteljica
549559	229713	Lela... direktorova svastika
549559	230459	Dzeni Merkus
549559	238355	
549559	248773	Mica
549559	263448	
549559	263528	
549559	266970	Branka
549559	270719	Georgina
549559	272195	Vukica
549559	305527	Mama Rada
549559	312417	Briga
549559	318980	Doktorka
549559	339328	Vera
549559	339330	
549559	351339	Pavlova devojka/Pavle's girlf
549559	381182	Blagajnica
549559	394330	
549559	394876	Lokmarka
549559	398883	Marion Banderer
549559	400309	
549559	401281	
549559	409758	Psiholog
549559	410442	Prevodilac
549560	96603	Go-Go Dancerin #3
549561	61814	
549562	88119	Nouria
549562	91977	Farida
549562	93876	Malika
549562	160541	Fraah
549562	355962	Lakhdar
549562	376876	Nadia
549563	328404	
549564	23919	Herself - Honeyz
549564	71598	Herself
549564	249590	Performer
549565	24674	La mère
549565	51807	
549565	64333	Herself (1987)
549565	188889	Laura
549565	234574	Secretary
549565	236560	Nat Jones
549565	261764	
549565	266748	La mère
549565	279709	Lea's mother
549566	199311	The Family
549567	148003	Dr. Sachs
549569	172059	Extrasensory's Wife
549569	179670	
549570	377546	
549571	131197	
549572	22092	
549572	38443	
549572	38923	
549572	63985	
549572	111334	
549572	296421	
549572	325007	Genseriko's daughter
549572	378223	
549572	378580	
549573	144681	Hotel Lady
549574	10156	Marissa
549574	81057	Tracy
549574	385905	Chase (2000)
549574	390973	Lily
549574	397291	Eva Rossi
549575	16942	
549576	33848	Tammy Sheets
549577	322393	Mother Basista
549578	18288	Une infirmière chanteuse
549579	58728	Herself (on-air newscaster)
549580	380430	
549581	339634	Clara Schubert
549582	7801	
549584	165892	
549585	156970	Kid on Blanket
549586	34116	Various characters
549586	353728	Various characters
549586	381661	Hill's Angel/Various Roles (1
549587	165892	
549588	271262	Young Anna
549589	9640	
549589	22791	
549589	69124	
549590	130305	Clown
549591	154731	Herself
549591	404350	Presenter (2004-)
549592	290936	Dancer
549593	231468	Alte Kartenspielerin
549593	291228	Woman
549594	39629	Joyce
549594	54421	Tom Kimball's mother
549594	58875	Valda Embiricos
549594	62886	Mrs. Burton
549594	92621	Ann Rogers
549594	97035	
549594	107351	Doris
549594	115153	Susan
549594	116177	
549594	117296	Maria
549594	127198	The Colonel's Daughter
549594	155257	Molly Phillips
549594	165447	Jane Eyre
549594	184403	Philip's Mother
549594	256767	
549594	273834	Rosemary Marler
549594	279465	Lavinia Hassall
549594	294027	Hermia
549594	297006	Receptionist
549594	310682	Anitra Cyon
549594	314058	Pat
549594	315348	Sue Chambers
549594	317335	Teacher
549594	327964	Marion Jefferson
549594	334307	Mrs. Dare
549594	341670	Helen Stubbs
549594	345838	
549594	348302	Beryl Bryson
549594	356254	Tessa Bright
549594	356895	Bunty Mainwaring
549594	362996	Sarah Muir
549594	366767	Sally Benson
549594	367536	Mrs. Rideout
549594	382176	Casting Director
549594	384792	
549594	386821	Mary Webster
549594	389124	Aunt Hester
549594	391206	Gracie Ellis
549594	396005	Sylvia Llewelyn Davies
549594	407838	Marion Jefferson
549594	409593	Ann Peronett
549595	74311	
549596	348302	Beryl Bryson
549597	190213	Party Goer
549598	315261	Female Reporter
549599	378413	Camila
549600	184942	Barbara, Pregnant Woman
549601	330513	Mrs. Carstairs
549602	224485	Herself/Singer
549603	13094	Studentessa tedesca (segment 
549603	269027	
549603	288319	Saloon singer
549603	294540	
549603	301183	Virna
549603	336564	
549605	107857	Jade Bowman
549605	214521	Jen
549606	10885	Cop
549606	39977	Lisa
549606	48075	Susan Ortega
549606	51511	Sandy
549606	57492	Herself
549606	72571	Lt. Cmdr. Lisa Stark
549606	95632	Herself - Presenter
549606	150681	
549606	210827	Grace
549606	219979	Chastity
549606	333329	Elizabeth Wintern
549607	51991	Tuesday
549608	367061	
549609	213751	
549611	20158	
549611	107972	
549611	188781	
549611	189603	
549611	216996	
549611	310857	
549612	268034	Joon
549613	211755	Minnie
549614	366743	Hospital Nurse
549615	379505	
549616	277635	Miranda Rap Dancer
549617	372268	
549618	79964	Eve
549619	43718	
549619	122969	
549619	280830	Slave Market Soloist
549620	117647	WAAC Girl
549621	239745	
549622	72668	Lab Technician
549623	120830	Jill
549623	160570	
549624	90209	1st Country Girl
549624	121808	Doggyduo
549624	124594	Carrie Sadler
549624	194513	Carrie
549624	267484	Ruth Davis
549625	67	Herself
549626	65701	
549626	86034	Edith Frank
549626	102703	La Contessa
549626	201261	Olive
549626	210274	Joyce Dean
549626	310622	Flight Lt. Jo Foster
549626	389206	Elsie Kramer
549626	396692	Emmi Hessling
549626	405525	Anne Askew
549627	232251	Faith
549627	344149	
549628	400814	Charlotte as child
549629	7022	
549629	203897	Reporter
549630	219976	
549631	199725	Herself/Dancer (video 'Lucky 
549631	199763	Herself (segment "Lucky Star"
549632	110111	
549632	378480	
549633	25058	
549633	33152	
549633	43243	Eudóxia
549633	57454	
549633	88794	(segment "O Torneio")
549633	208143	
549633	210691	Marina
549633	222177	Madame Petit
549633	222191	Virtuosa
549633	269533	
549633	327327	Margarida
549633	378102	
549633	384002	Vitória
549633	388721	Maria Chupeta
549633	393005	
549633	404165	Imaculada
549634	216162	Jessie
549635	46662	Lena Krautheimer
549635	65490	Mrs. Herringbone
549635	76586	Mrs. Jenkins
549635	119893	Anna Stilletto
549635	166223	Maude Mullen
549635	176457	Lena Krautheimer
549635	201542	Auntie
549635	219999	Mother Pilkins
549635	297969	Rose Muggs
549635	299523	Clara
549635	305842	Gwendolyn
549635	372111	His Wife
549636	140658	The Tourist
549637	26478	
549637	37246	Matubu's Secretary
549637	105196	
549637	232404	
549637	313413	Jennifer Sisko
549637	385824	Glynnis Turner (1990-1992)
549637	389858	Dr. Simone Hardy #3 (1993-199
549637	399431	Jessica Rodgers
549638	7987	Lucy
549638	35392	
549638	94538	Carmen
549638	134178	Maddy Underwood
549638	154578	
549638	313050	Eva
549638	337830	Diane's Mother
549638	340990	Maggie
549638	405829	Angela McCleod (1996-1997)
549639	347979	Herself
549640	31846	Newsreader
549640	101704	Councillor Tuchman
549640	207991	Councillor Grace
549640	338300	IPNN Newscaster #1
549640	365574	Amanda Murphy
549641	225522	L'infirmière
549642	18855	Nature Photographer
549643	175009	Herself
549644	19299	
549644	204673	
549644	306606	
549645	29388	
549645	41987	Head Nurse
549645	90133	Dowager
549645	116523	Woman
549645	143260	Dowager
549645	198844	Woman passenger
549645	249513	
549645	254787	Mrs. Fletcher
549645	304966	
549645	306595	
549645	308109	Old Lady
549645	329616	Guest
549645	347128	Kate
549647	333303	Lorene & Killer's Sidekick
549647	396123	
549648	183198	Narrator
549648	217421	Nurse
549648	398392	Belinda
549649	127481	Dolly Saparelli
549650	185964	Hollywood Starlet
549651	320266	Gospel Singer #2
549652	90932	Whiskey girl
549653	300856	
549654	310639	May's Mom
549655	39534	Lisa
549655	56078	Fatme
549655	62560	Fanny Forbes
549655	87578	Karen
549655	178468	Mary Anne
549655	209158	Diane
549655	210268	Jean
549655	223362	Kelly
549655	229444	Joyce
549655	322636	Diana 'T.N.T.' Jackson
549655	331655	Polly
549655	340530	Leona
549656	129236	Rosa
549657	168745	Student
549658	257213	
549659	1849	Jo
549660	362180	Lecturer
549661	330836	Young Susette
549662	390523	Sarah Wilks (1983-1985)
549663	130979	Nudist
549664	47004	Runway Model
549664	305948	The Kid
549664	351534	Cissy
549665	134333	Claudine
549665	380391	Caroline Stafford (1988-1991)
549666	156460	Band Member
549667	121527	'Forgotten' Woman
549668	2687	Anni
549668	40189	Naimi (fourth sequence)
549668	79552	Dora
549668	118606	
549668	173207	
549668	178789	
549668	190816	
549668	237083	Primula Rask
549668	277282	
549668	365015	
549669	390523	Kelly Bradshaw (1995-2001)
549670	89247	
549671	143576	Patty O'Malley
549671	204584	Mary
549672	41138	Gambling Lady
549673	27145	Tessa, Kelly's School Friend
549674	400814	Psychedelic dancer
549675	146783	Evelyn Davis
549676	81979	Jodi
549676	112246	Gracie
549676	132475	Gracie Thompson
549676	177260	Alison
549676	259360	Teenage girl
549676	260266	Record Executive's Daughter
549676	274559	Mary
549676	310462	Laura Newton
549676	409994	Veronica Mars
549677	168745	Student
549678	145413	Jillian Dunne
549678	154456	Felicia
549678	304494	Gina Micelli
549678	310530	Sara Marnikov
549678	359324	Nora Stone
549678	382555	Sally Heep
549678	397892	Victoria
549679	277088	Omega Mu
549680	397078	Herself/panelist
549680	411802	Christine Marie Blair (1983-2
549681	264157	Bridal Shower DJ
549682	161908	Puss 'n' Boots
549684	84516	
549684	307881	American Woman
549684	313100	Annette
549685	393922	
549685	395412	Various characters (1952-1954
549686	297996	
549687	134004	Lucy
549688	212614	Sausage Girl
549689	31870	Ms. Lydia
549690	167153	Mutter von Henrik
549691	147885	Cerberus
549692	37923	
549694	12622	Voice Four
549695	49873	Kyte's Daughter
549695	73324	
549695	206825	Mary MacKillop
549695	224025	Marlene Watson
549695	235357	Sarai Anderson
549695	243934	Miss Mary Hasset
549695	321553	Girlfriend
549695	321758	Virginia
549695	329307	Andi
549695	367208	Celia O'Brien
549695	398553	Det. Tessa Vance
549695	405744	Kate Logan
549695	408145	
549695	408664	Jane
549696	142527	Nurse
549697	82097	Herself
549698	92099	Jean Donnelly
549698	411837	Roxanne
549699	51540	
549699	74521	
549699	145211	
549699	189222	
549699	225051	Clienta
549699	274954	Zarina
549699	350137	
549699	404992	
549700	40284	
549700	43710	Marie-Paule
549700	54389	Isabelle
549700	58323	Hélène
549700	58954	Tania Balieff
549700	59278	Herself
549700	59774	Soeur Maria
549700	67247	La comtesse Rosine Ferraud
549700	82605	
549700	110436	
549700	112268	
549700	113699	
549700	116470	Nelly Irwin
549700	124324	Monique Lerbier, 'la garçonne
549700	124571	
549700	129636	
549700	132814	Florence/Irma
549700	148613	Herself
549700	148743	Stéphane Oswill
549700	150616	La Grande Antoinette
549700	168861	
549700	198317	
549700	199375	
549700	234645	Caroline
549700	236581	Bettine de Barsac
549700	247895	
549700	248968	
549700	254937	Phèdre
549700	259310	
549700	268966	Mattia
549700	280778	
549700	309746	
549700	328052	
549700	345100	Christine Sugere
549700	349677	Sandra's mother
549700	350081	
549700	353920	Florence
549700	356496	Aurore
549701	372371	
549702	159648	
549702	188108	
549703	92153	Jennie Parsons
549703	231794	Bit Part
549703	375044	Violetta in scene from 'La Tr
549704	5264	
549704	233344	Mariona
549704	233901	
549704	236475	
549704	353654	
549704	375875	
549705	137923	The Players
549706	120323	Hannah
549706	226905	Big Sally
549707	231533	Dutch Damsel
549708	37068	Nursing Home Resident
549708	300312	Miss Wingate
549708	303034	Herself
549708	354734	
549709	29916	
549709	338771	Mary Lou
549710	144542	Mrs. Molloy
549711	230444	Wendy Darling
549712	192634	Mary Agnes
549712	245758	Adrienne
549713	40726	Patty
549713	134175	Andee
549713	323201	Janice Wiseman
549714	34723	Herself
549714	120131	Herself
549714	351908	Emily DuBois
549714	387203	Bonnie Tate (1993)
549714	399130	Lucy Robinson (III) (1991-199
549714	400806	Emily Harris
549715	406809	Trudi
549716	63719	Yoenki
549717	10138	Alicia
549718	128286	Assistant Manageress
549719	646	Jill
549720	405209	Mrs. Fahey (1998)
549721	45707	Female club member
549722	195327	Secretary
549722	205171	Customs officer
549722	209630	Coach Himler
549722	236047	Trooper Bunch
549722	242929	Executive
549722	259829	Observer
549722	265527	Sharon Braver
549722	279273	News Reporter
549722	343907	Deputy Holt
549722	345786	Bonnie
549722	359902	Supervising agent
549723	59715	Female Instructor
549723	118789	Miss Tuff
549723	158352	Dawn
549723	281442	Registrar
549723	391073	Jane Preston
549724	267543	
549725	25753	Female 4
549726	105313	Victoria
549728	48799	
549728	292774	
549729	340851	Tilda
549730	122218	Erica
549730	128336	Teacher
549730	323594	Audition Singer
549730	333464	Simone
549731	14212	Chris Arguedas
549731	141690	
549731	330580	Mary Devane
549731	390771	Susan Bates Spaulding (1995-1
549731	393777	Robbie's Teacher (1998-)
549732	292420	Martha
549733	120268	Anni
549733	166568	Secretary
549733	295565	Mandy
549733	355184	Hoover
549734	383078	Debbie Dobson (1990-1993)
549735	235570	Judy
549736	67198	Singer at Rib Joint
549737	52511	Miller's Wife
549737	147978	
549737	219178	The Mother
549737	292679	Sarah Tapp
549737	301977	Mrs. Spagnoli
549737	360228	Landlady
549738	65095	Evil Woman
549739	65628	Train Passenger
549740	313479	Ewok
549741	408879	Helga
549742	220574	Polo player
549743	399770	Amanda Elston
549744	58937	School Secretary
549744	78744	Mrs. Morell
549744	232297	Annie Jonas
549744	258550	Jennifer Fortescue
549744	319713	Forewoman of the Jury
549744	321351	Mrs. Kershaw
549744	385728	Edith Pilchester
549744	385920	Louise
549744	386481	Clara
549744	390523	Mrs. Margaret Holmes (1997-20
549744	408234	
549745	73196	
549745	278585	
549746	184568	Bernadette Protti
549747	239932	Collette
549748	20727	Alice
549748	21533	Jodi Horn
549748	47077	Kasey
549748	49945	Amanda
549748	127237	Graduation Speaker
549748	279460	Carla
549748	328272	Nadia
549749	165892	
549750	66582	Terry Williamson
549750	122075	Carol Simms
549750	301700	Laura Holden
549750	385465	Honey Fontaine
549751	104357	Additional Player
549752	126011	Menage a Trois
549753	379831	Amy (1989)
549754	289372	Featured Extra
549755	151572	Herself
549756	292178	Sally McClure
549757	182967	The Widow
549758	39510	
549759	91761	
549759	139261	
549759	243090	
549760	93304	Mary Jennings
549760	113641	Lana Vandross
549760	150151	
549761	13264	
549761	34817	
549761	81761	
549762	372884	Belly Dancer
549763	160882	Ensemble
549763	230857	Louise
549764	196372	Montage typist
549765	364184	Sky Phone Operator
549766	126060	Interviewer
549767	224352	Jane Serling
549768	157324	St. Jude Student
549769	121824	Jokios
549769	144366	Sandy
549770	13384	Stella
549770	67314	Ethel Newcome
549770	130041	Cicely Bourne
549770	234157	Hetty Doran
549770	280936	Millie Wren
549771	323970	Girl #2/Lucy
549772	37708	Beverly
549772	95510	Grace
549772	141272	Interviewer
549772	163362	Lisa
549772	224012	Guest at Barbeque
549772	273800	Hollywood Outlaw
549772	291449	Mrs. Perkins
549772	349399	Stacy, Murray's new Girl
549773	79880	Nurse Sally
549774	232239	Executioner
549775	360544	Club girl
549776	26281	Girl #1
549776	391006	Trudy (1974-1975)
549778	385705	Various
549779	73872	Waitress
549779	244363	Daphne
549779	292817	Mrs. Green
549780	229250	Hooker
549781	261503	Postal Dude's Bitch
549782	33435	Gina
549782	79878	Florence
549782	120931	Dona Julia
549782	184884	
549782	197296	
549782	236372	(segment "Bell, Bare and Beau
549782	306363	(segment "Lust Murder")
549783	405209	Jocelyn Kingston (2000, 2001)
549784	330830	Baby Luke
549785	37995	Sandra
549785	91639	Herself
549786	214826	
549787	385299	Maureen Bryce
549788	292275	Raunchy
549789	78952	Girl in pool #1
549789	102834	Herself (sex tour taker)
549789	225485	Woman at Manor #1
549789	258286	
549789	270884	Maria Rosa
549789	342867	Crab
549790	159497	
549791	7505	
549791	16779	
549791	27258	
549791	43585	
549791	55903	
549791	60970	
549791	120912	
549791	137726	
549791	178702	
549791	208521	
549791	224399	Sex Therapist
549791	354330	
549792	197798	
549793	322097	
549795	3995	The Woman
549795	38061	Mrs. Slick
549795	38120	The Fiancée
549795	97292	Mother
549795	151734	Mrs. Snow
549795	152441	Mother
549795	203154	
549795	215768	Mother
549795	242040	
549795	250755	Mrs. Brown
549795	328450	Mother
549797	75195	
549797	100045	
549797	252706	
549798	104295	Leone's wife
549799	31641	
549799	34860	Lady of the House
549799	41616	
549799	52169	
549799	54381	Herself
549799	128720	School Girl
549799	150112	
549799	159984	
549799	197798	
549799	210463	Herself
549799	228021	Herself
549799	301372	
549799	306916	
549802	11457	Herself
549802	34785	
549802	91840	
549802	282962	
549803	364242	Wife
549805	13967	Hailey
549805	41276	Meredith
549805	73989	Betty Parris
549805	84980	Young Nikki
549805	151187	Young Teresa Santangelo
549805	167676	Judy
549805	192172	Betsy
549805	196291	Young Gigi
549805	278498	Rebecca 'Becca' Kotler
549805	357998	Suzie
549805	362980	Ruthie
549806	396537	Fräulein Schmidt
549808	11358	
549808	41645	
549808	59850	
549808	81826	
549808	95801	
549808	142500	Herself
549808	160240	Herself
549808	188415	Herself
549808	263300	
549808	349969	
549808	363375	Herself
549808	369908	
549809	7505	
549809	178702	
549810	198462	La barmaid
549810	204698	
549810	236555	Augusta
549810	249699	
549812	65384	
549812	284257	Une femme (segment "Années Lu
549812	343544	
549812	377014	Mireille
549813	6730	
549813	14117	Herself (Belladonna)
549813	30037	
549813	41604	Herself (Belladonna)
549813	50787	Buttwoman (Bella)
549813	75028	
549813	75031	
549813	75059	
549813	91832	
549813	96924	Vicki Vanderlene
549813	128156	
549813	162375	
549813	228032	
549813	228090	Belladonna
549813	273300	
549813	306908	
549813	306909	
549813	306916	
549813	306917	
549813	310419	
549813	321162	Bella
549813	334146	
549813	349383	
549813	349385	
549814	101581	Groupe polyphonique Tavagna
549815	44335	Actor 6
549816	38005	Other Ways Demolition Squad s
549817	128154	
549817	196889	Woman In Wheelchair
549817	380506	Woman on scooter
549818	119458	Herself - Reporter
549818	192643	Herself - Host
549818	406472	Herself - Host (1998-)
549818	409168	Himself - Host
549819	23750	Une pensionnaire de la Maison
549819	95854	Albanne
549820	130784	
549820	131653	
549820	365320	
549821	130051	Bobbie
549821	310318	Manuela
549822	108883	Swanhilda's Friend #1
549823	389561	Anna Day
549824	187333	Wheelzone Warrior
549826	191774	Housemaid
549826	404617	Hetty
549826	411778	Rose (Series 2-4) (1990-1993)
549827	34800	
549827	296320	
549827	342523	
549828	11511	Sandy's mother
549828	26528	
549828	41773	Emily
549828	42904	Louella Parsons
549828	44444	Mrs. Prang
549828	47117	Hostess
549828	56431	Anne Larson
549828	112246	Grandma Jones
549828	119316	Gramma
549828	160669	I.F.R. Female Clerk #2
549828	176723	Goodman's Secretary
549828	220622	Woman at Yard Sale
549828	294789	Nana Younger
549828	361848	Middle Aged Woman
549828	400208	Helene McConnadin
549829	111796	Exotic Dancer
549830	91571	
549831	163348	Herself
549831	328754	Cissie
549831	387533	Laurel Potts (2002-)
549832	9023	White House switchboard opera
549832	13620	Mrs. Atkinson
549832	22664	Arlene
549832	40632	Maid
549832	44432	Harry's wife
549832	69265	Opera Singer
549832	73574	Rosalie
549832	73883	Hospital Supervisor
549832	76217	Maudie
549832	83680	
549832	85611	Ms. Vawze
549832	119508	Woman Guard
549832	127295	Barbara Holder
549832	177663	Darla Eastwood
549832	200894	Woman in Unemployment Office
549832	202389	Ms. Worthington
549832	223787	Blue lady
549832	229216	Apartment manager
549832	230089	Mrs. Pennington
549832	238238	Woman in Restaurant
549832	245275	Mrs. Pananides
549832	245468	Madam
549832	263496	Mother
549832	299679	Lillian
549832	303999	Miss E. Muse/Ivy
549832	310838	Grace Woods
549832	366271	Nurse
549832	378726	Head Nurse Maggie Poole
549832	401894	Principal Cecelia Hall (1999-
549832	407017	Mrs. Cha-Cha Rimba Starkey
549833	109851	Eileen O'Brien
549833	331875	Eileen Donovan
549835	17857	
549835	66213	
549835	69980	Lucrezia Borgia
549835	248423	
549836	375823	Hooker
549837	17417	Nora
549837	19984	Phyllis Thorpe
549837	34459	Bertha Sloan
549837	39798	Sylvia Douglas
549837	40675	Julia Larson
549837	52504	Virginia Albret
549837	58809	Girl in Cab
549837	59610	Becky Fothergill
549837	67095	Sheila Kelly
549837	72437	Secretary
549837	75277	Pain
549837	77718	Una
549837	78732	Sally
549837	88260	Aida Fippany
549837	88529	
549837	113839	Molly Thatcher
549837	116691	Countess von Pless
549837	121388	Alice Carroll
549837	124263	Sue Desha
549837	127636	Suzanne Ricord
549837	130873	Dixie Denniston
549837	131980	Mary Gray
549837	133654	Tessie
549837	137210	Nan Higgins
549837	140414	Tessie Dunton
549837	145953	Suzanne
549837	150697	Peggy Fairfax
549837	162362	Miriam Marsh
549837	186559	Kit
549837	190542	Miss Millie Jones
549837	194580	Lorna Doone
549837	195358	Gabrielle
549837	195912	Tilly Whaley
549837	196277	Nadine Milton
549837	203139	Tita Sartori
549837	212102	Woiman in Negligee
549837	219951	Sally Quail
549837	233799	Peggy Van Dyke
549837	235218	Mrs. Yeager
549837	240895	Mary Jordan
549837	248714	Joan Laird
549837	257513	Madge Norton
549837	273819	Mary Hamilton
549837	277835	Marie Meyer
549837	278640	Lil Daley
549837	287278	Sandy McNeil
549837	291317	Herself
549837	292876	Anne Maynard
549837	301834	Ruth Stevens
549837	307006	Nancy Woods
549837	309523	Ruth Lorrimore
549837	318675	Derry Thomas
549837	327153	Kitty O'Brien
549837	332033	Azalea
549837	335471	Jane Eldridge
549837	346201	Miss Stafford
549837	352711	Madge Murphy
549837	364011	Hattie Lou Harkness
549837	364088	Madeleine Short Parker
549837	366198	Madelyne Manners/Angela Du Bo
549838	17978	Girl at dance
549839	140334	Sid's Mother
549840	67156	
549840	190580	Dorothy Horton
549840	222768	Guest
549841	51991	Semi
549841	67445	Woman #1 at Recreation Center
549841	334313	Mrs. Baker
549842	385455	Calypso Henshall
549843	18662	Gen. Gilford
549844	300044	Orphanage Cook/Additional Voi
549845	55974	
549845	239276	
549845	265148	
549845	266058	Inés González
549845	380113	
549846	13963	Budda
549846	39555	Terry
549846	177455	
549846	303534	Mary Lou
549847	377061	
549848	714	Carla
549849	97230	Ariane
549850	45620	Myriam
549850	79716	Jama
549851	76032	
549852	7447	La duchesse de Polignac
549852	45109	Simone
549852	60899	Huguette
549852	90044	Solange Veyron-Laffite
549852	106297	
549852	167200	
549852	235815	
549852	262948	Une pensionnaire de l'orpheli
549852	262966	
549852	377948	
549853	326899	
549854	375709	
549855	241295	Angela Stone
549856	154629	Madame Marie
549858	261116	Salesgirl In 2nd Boutique
549859	21213	FemMecha nanny
549859	27077	
549859	28508	
549859	79518	Tamar
549859	110108	Rachel
549859	114045	Emily Dubois
549859	176751	Annabelle Peltz
549859	243158	Angèle
549859	254601	Mathilde
549859	272032	Eve
549859	275651	Esther
549859	304870	Mushroom Girl
549859	306500	Sarah
549859	330881	Kari
549860	111442	Economics Student
549862	53131	Bar Go-Go Dancer
549862	273241	Herself
549862	360328	Gorgeous George
549862	387279	Gorgeous George (2000)
549862	388101	George (2000)
549862	399845	Mensa (2004)
549862	410688	Gorgeous George (1999)
549863	183875	Mary
549864	16391	Herself
549865	236345	
549866	263372	
549867	14828	Maria
549867	346293	
549868	275862	Clothes shop seller
549869	72800	
549869	104759	United Kingdom entry (7th pla
549869	147240	United Kingdom entry
549869	365812	La riveraine méchante
549870	72878	Waitress (segment "Hollywood 
549870	147784	
549871	293387	Ginger
549872	1267	
549872	18540	
549872	33034	
549872	75030	
549872	75031	
549872	297338	
549873	56033	Lisa
549873	65638	
549873	68646	
549873	73599	
549873	113533	Annie Belle
549873	121301	Kia
549873	121303	
549873	127959	
549873	186151	Laure
549873	189238	Nurse Nancy
549873	217101	Clara
549873	217471	
549873	227295	Rennée de Chéselles
549873	235749	Dyanne
549873	236543	
549873	237550	Daniela
549873	270036	
549873	315422	Marlene
549873	321631	Dory
549873	351402	Pina
549873	351602	
549873	392787	
549874	356813	Begeleidster
549874	389087	Odeille van Rhoonskerken
549874	390242	Stephanie Stenders-Kreeft
549875	59904	
549875	228594	
549875	235119	Blonde girl
549879	300654	La vendeuse bijouterie
549880	36327	
549880	36337	
549880	36403	
549880	36406	
549880	36918	
549880	36921	
549880	37425	
549880	93082	
549880	189453	
549880	195503	
549880	258017	
549880	317997	
549880	325271	
549880	327780	
549880	335608	
549882	17779	Molly
549882	26860	Lizzie Buscana
549882	28476	Rose
549882	63432	Crystal Falls
549882	81652	Young Elizabeth
549882	91490	Dot
549882	100198	Sally
549882	161891	Phoebe, Age 10-12
549882	192172	Jane
549882	206524	Boot Coleman
549882	250745	Holly McClaren
549882	258949	Daphne Falk
549882	262261	Young Sally Owens
549882	275872	Mandy
549882	278647	Sydney
549882	292539	Diana
549882	340540	Jennifer Gates
549883	403805	Dr. Barrington (2004)
549883	407453	Co-Host/"The Belle of the Bal
549885	175158	Nita Carlos
549886	19344	
549887	228784	
549888	167210	Mariette Leduc
549889	256332	Marla
549890	120635	Officer #216
549891	339596	Showgirl #4
549892	273364	Ann
549893	188341	Lena
549893	271224	Native Girl
549895	328874	Girl No. 1
549897	123108	Shildy
549897	123112	Shildy
549898	12365	Docteur Gruber
549898	377485	
549898	404038	Herself
549899	409451	La secrétaire de Villequier (
549900	80533	Ma
549901	382838	Emma Piper (1994)
549902	2630	Herself/performer
549902	18986	Herself
549902	46665	Nana
549902	258515	Herself
549903	116836	
549903	142703	Burglar
549903	233576	
549903	246637	
549903	252990	Linda
549903	252991	Linda
549903	282390	
549903	332441	Soldier Girl
549903	335598	
549906	305093	Girl in boat
549907	243646	
549908	22957	Alice
549908	38549	The child, age 5
549908	41697	Mytyl
549908	45920	Rana (Idiqui's daughter)
549908	69754	Child
549908	82449	Young Nadja
549908	89631	Helmar Child
549908	110293	Child
549908	191707	Child
549908	214941	
549908	214991	Daughter
549908	239571	Little Girl with two mothers
549908	245647	Rose's Sister
549908	353288	Dick Primrose
549908	367424	The Child
549909	346528	Farmer's Wife
549910	355507	
549911	355507	
549912	23104	Herself
549912	63672	Thérèse Mauric
549912	85693	Soeur Félicité
549912	188692	Anne
549912	193446	
549912	195215	Geneviève
549912	198339	Renée
549912	200936	Madame Maigret
549912	200938	Madame Maigret
549912	200945	Madame Maigret
549912	200964	Madame Maigret
549912	200973	Madame Maigret
549912	250643	Madame Maigret
549912	322349	Françoise
549912	345468	Nelly
549912	349488	Madame Maigret
549912	371416	
549912	381323	Frida
549912	400681	Adelaïde Parrot
549913	106286	Présentatrice TV
549914	220494	La vendeuse arc-en-ciel
549914	258279	L'institutrice
549915	3206	The Mother
549916	340992	Station
549917	71329	Cleopatre
549918	94312	L'épave
549918	217004	Laurette
549918	278136	
549918	307380	Test Monitor
549918	327542	L'Infirmière Véronique
549918	361710	Cafe Patron
549919	2814	Carole
549919	38618	Helena Borda
549919	118183	Madame de Montespan
549919	279220	Agnès
549919	345072	Maria
549919	375077	Catherine
549919	379809	Claudine
549919	385649	Marina Bonnelle (1992)
549919	397192	Carole
549919	401139	Colette
549919	406030	Nicole Lacroix
549920	45000	Éliane
549920	119423	Thérèse
549920	166186	
549920	217714	Cécile
549920	269073	L'attachée de presse
549920	294814	Mlle Raynaud
549920	345119	Clara
549920	398966	Caroline
549921	71835	
549922	139642	Virtual Girl
549922	180533	Robin Sloan
549923	90764	
549924	267807	
549925	288272	Grandmother
549926	125224	
549927	161870	Lady Lo
549928	307988	Club waitress
549929	19995	Gail Osborne
549929	35184	Betsy
549929	40081	Carla
549929	65958	Meredith Tolliver
549929	73137	Pam Agostino
549929	77968	Cheryl Singer
549929	80803	Laura Daniels
549929	95877	Kirby Alicia Anders Colby
549929	117908	Theresa
549929	130129	Girl in 'Senza Mamma'
549929	140401	Dawn
549929	187123	Eliza Williams
549929	189991	
549929	206900	Mary White
549929	219909	Renie
549929	220552	Angie Popchik
549929	233876	Amy Manning
549929	265775	Elizabeth (Buffy) Koenig
549929	272354	Beatrice
549929	308063	Jean Cappelletti
549929	319921	Kate
549929	321688	Princess Alana
549929	333366	R.J. Craig
549929	336742	Jennifer
549929	382282	Kathy Reynolds
549929	382832	Mary Caitlin Callahan
549929	387152	Kirby Alicia Aynders Colby (1
549929	396744	Maureen O'Brian
549929	404613	Liza Walton Kaslo Sentell Ken
549930	382773	Babby Dennis (1954-1959) (ori
549930	385743	Judy Foster
549931	59278	Herself
549931	335881	Mudy
549932	21628	Dead Daughter
549933	52197	Guest
549934	360629	Herself
549936	43642	
549937	243151	Patronne Flavie
549938	351585	Assuntina (segment "Una domen
549939	90058	
549939	94681	
549939	198553	
549939	279038	
549940	70359	Vito's Friend
549941	236786	
549942	76054	
549942	107241	Julia
549942	346793	Femme de client
549943	16672	
549943	61774	Mrs. Clarksdale
549944	197405	Mrs. John Bixby
549945	22950	The Girl
549945	24968	
549945	33010	Flo
549945	87843	
549945	109813	The Girl
549945	116406	Typist
549945	119400	Freda
549945	123438	The Wife
549945	135408	The Girl
549945	139177	Louisa
549945	143975	The Girl
549945	158115	The Wife
549945	177278	Dulcia Beard
549945	186613	
549945	194578	Lorna Doone
549945	194769	
549945	195425	
549945	195926	
549945	196160	Nettie
549945	207451	Milly Wilson
549945	207452	Sarah Dennis
549945	208148	Maud
549945	208154	Maudie's Sister
549945	215020	The Girl
549945	231774	The Girl
549945	265503	Leslie Brundenal
549945	269664	Maisie
549945	282316	Effie
549945	289042	Dora Stanmore
549945	297699	The Girl
549945	317150	Elizabeth
549945	346113	The Girl
549945	347423	Understudy
549945	362767	The Girl
549946	173353	Heather's Tyo
549947	99366	Elle
549947	165181	Girl in the park
549947	333425	Michelle's Friend
549947	412174	Annie, Trudeau
549948	73234	Little Girl
549949	191106	Margaret
549950	14275	Missy, VP Advertising
549950	115498	Danielle
549950	185737	The Tree
549950	232164	Battered Wife
549950	275682	Sherry Leonard
549950	276771	Eowyn
549950	282990	
549950	341758	Mrs. Pat Borzak
549950	387245	Mrs. Trask
549950	394295	Regular
549950	408153	Princess Ariel
549951	396017	Fran
549952	11630	Nurse Brunhilde
549952	16820	Marta
549952	26683	Mariuccia Ferrante
549952	42020	Caroline
549952	52150	Fulvia
549952	54774	
549952	70310	Francesca De Renzi
549952	72534	
549952	90663	
549952	91053	Teresa
549952	101145	Claudia Lanza
549952	107030	
549952	110162	
549952	117846	
549952	119084	
549952	127937	Giulia
549952	132316	
549952	132792	Amandine
549952	136306	Caterina
549952	138759	
549952	147931	Sara Golan
549952	157855	Silvana Lazzaroni
549952	163926	Cristiana
549952	167158	Maria, la servande des Saxe
549952	197342	Elisa
549952	198553	Giulietta Ciova
549952	203840	Claudia
549952	214317	Rosalia
549952	235744	Sdenka
549952	255029	
549952	265513	Sara
549952	269002	
549952	277292	Anna Cipriani
549952	294407	Giovanna
549952	294541	
549952	307334	Anna Fili
549952	327098	Marcella Valmarin
549952	328445	Giorgina Lorenzi
549952	336145	
549952	344437	Veronica
549952	345043	Zaveria
549952	345502	Anne Taubelman
549952	349716	
549952	355125	
549952	379425	
549952	409838	Host
549952	409850	Hostess
549952	410344	Cristina
549953	389847	Christina Scott
549955	14871	
549955	290930	
549955	315445	
549956	28529	Pige i omrejsende Tivoli
549956	116298	Kaptajnens kone
549956	398299	(segment "Tannhäuser")
549956	405951	(1986-1987) (segment "Tannhäu
549957	31000	Barbara
549957	56360	Erika
549957	76268	Paola
549957	107030	
549957	112694	Apollonia Trizzino
549957	127949	
549957	138475	
549957	213799	Mary Lou Perrino
549957	217759	Sister Candida Colomba
549957	240275	Susanna
549957	259704	Anna Maria Sprovieri
549957	259706	Laura Ponti
549957	260615	Gloria
549957	312858	Monica
549957	353346	Safiana
549957	387644	
549957	389726	Marianne Laforet
549957	391729	
549957	404750	Una ragazza
549958	255543	
549959	7438	
549959	25337	Jana
549959	53895	Lia
549959	54242	
549959	87801	
549959	102391	Aretusa
549959	125361	
549959	129047	Nike
549959	206998	Maria Nuñez
549959	242294	
549959	263626	Melina
549959	269632	
549959	294706	
549959	319323	
549959	356152	
549959	405291	
549960	229414	
549961	14670	
549962	1335	Gesuzza, Carmine's wife
549963	403643	Demoiselle de Derby
549964	24626	
549964	164193	Serveuse Zanzibar
549964	382583	Victorienne Beauchemin
549964	387616	Kass
549964	396530	Julie Cormier
549965	345042	La secrétaire Juliette
549966	14404	La fille d'Hélène/Hélène's da
549967	200253	Girl
549968	273241	Herself
549968	360344	Nitro Girl Spice
549968	410688	Nitro Girl Spice (1995-2000)
549968	410690	Nitro Girl Spice (1998-2000)
549969	218550	
549969	335316	Sarah Eubanks
549969	380391	Ann Fuller (1964-1966)
549970	211912	Leny Frankel
549971	31464	Vina
549971	56849	Vera
549971	56850	Vera
549971	56851	Vera
549971	168291	Pinky
549971	172072	Syariah
549971	175665	
549971	281583	Roro Mendut
549971	284758	
549971	323643	Desi
549971	323644	Desi
549972	17209	Zia Elisa
549972	111448	
549972	127389	Zia Bettina
549972	274899	
549972	313899	
549972	356224	
549973	288387	Scream Queen
549974	166384	
549975	374332	
549976	38761	Lydia
549976	120323	Noonah Comeaway
549976	134664	Receptionist
549976	139681	Maude Green
549976	227028	Casey
549976	388978	Sharon Herbert (1986)
549976	389874	Trish Emu
549976	395478	Lionel Dexter/Lillian Dexter
549976	402197	Sarah West (1986)
549977	213402	
549978	311474	Louise
549978	361655	Mrs. Nawn
549979	233081	
549980	353742	
549981	381874	Herself (1996-1997)
549981	408481	Presenter (1983-1985)
549982	689	
549982	11194	Helen Herriot
549982	11462	Various Roles
549982	23933	Herself/Audience Member
549982	42854	Poppy Fields
549982	57665	
549982	69393	Mary Truscott
549982	77203	Jess Pitman
549982	85012	Marlene
549982	88924	The Inquisitor
549982	90314	Maxine
549982	138494	Landlady
549982	138890	Teresa
549982	144406	
549982	278081	Miss Mott
549982	281037	Empress Alexandra Fyodorovna
549982	289634	Emily Marlowe
549982	313082	Valerie
549982	321090	Janice Wyatt
549982	355350	Mary Morris
549982	360069	Likely Lady
549982	379706	Helen Herriot (1988-1990)
549982	380425	Presenter
549982	380798	Pauline Farnell
549982	388221	Faith Grayshot
549982	389580	WPC 'Purrfect' Purvis
549982	389859	Nurse Hilda Price
549982	396341	Ruth Isaacs
549982	396965	Mrs. Lupin
549982	398743	Mrs. Gadsby
549982	399966	Magdalena
549982	401485	
549982	402935	Penny Martin
549982	404646	Faith Grayshot
549982	407787	
549983	290051	
549983	325791	
549983	405500	Yvonne
549984	396166	Coco Weber
549985	98980	Verena Stemper
549985	164892	Simone
549986	28908	
549986	49717	
549986	401065	
549986	401066	
549987	133025	
549988	211155	Maud
549988	249128	Une amie d'Ella (segment "Ell
549988	286619	
549989	205249	
549989	289648	
549990	84258	Mujer en aquarium
549991	26619	Gladys Schmidler
549991	55583	Cynthia Randall
549991	64072	3rd Maiden
549991	133366	Receptionist
549991	163621	Model On Beach
549991	183445	
549991	329560	
549991	364357	Shirley Lott
549992	11806	Rosa
549992	30726	
549992	52871	
549992	108106	Marina Bartolla
549992	112926	
549992	294407	The Girl From Campobasso
549992	409591	
549993	46368	Nurse Bethany
549994	155324	Lenny
549994	334498	Laura
549995	70836	
549996	374610	
549997	404879	
549998	14826	
549998	30520	
549998	53641	
549998	57478	
549998	91329	
549998	121976	
549998	167809	
549998	193143	
549998	215408	Elke
549998	236032	Gilda del Monte
549998	246396	Sara
549998	263874	
549998	265114	Sra. Galvan
549998	276143	
549998	287878	Gloria
549998	322402	Angelita
549998	333535	
549998	343448	
549998	349464	
549999	89574	
549999	155324	Lenny
549999	334498	Laura
550000	369429	
550001	344578	
550002	173754	
550003	14865	
550003	82299	Madre di Fedora
550004	140996	Princesa
550005	80969	Regular Customer
550005	276688	Jennifer Wilson
550006	110550	Charly
550007	70423	
550008	36855	Herself
550008	381917	Herself - Evictee #5: 8 June 
550009	366118	Nonie
550010	62778	Dancer
550010	157575	Key Dancer
550011	37894	Kristen
550011	185593	Nuzo's Daughter
550012	41869	Alice Bradley
550012	46237	Melanie Fein
550012	73501	
550012	79003	Tracy
550012	93211	Nurse
550012	108330	Melanie Fein
550012	108331	Melanie Fein
550012	131835	Holly
550012	141155	
550012	194405	Mona Lott
550012	214078	Sally Rand
550012	230703	Tina
550012	231915	Maggie
550012	311005	Blair
550012	382130	Various Characters
550012	383188	Dori Lowe
550012	387215	Terri Morgan (1989-1992, 1993
550012	411211	Honey Bailey (Season 1-3)
550013	5092	Doctor
550013	185387	Charlie
550014	138246	Cell Whore
550014	326544	Rosa Bell, a dramatic singer
550015	240661	Tessie
550016	149834	Fran Waxman
550016	296692	Susie Majors
550017	7309	
550018	47210	Herself
550018	79518	Michal
550018	149777	Sandra/Marion
550018	177294	Tamar
550018	187886	Lisa
550018	206458	Amanda
550018	248667	Eve
550018	292404	Helen
550018	295297	Claudia
550018	301748	Clegg (Spotter)
550018	317904	Junkie Spirit
550018	326596	Henrietta Spain
550018	357430	Ann
550018	374616	
550018	382176	Blackeyes
550018	385117	Jane Christie
550018	390523	Trudy (1984)
550018	395741	
550018	398642	Gena
550018	406643	Eurydice
550019	72173	Woman at pool
550020	35373	Betty
550021	387751	Hanna Zorn
550022	389831	
550024	86826	Chica (segment "Hasta que la 
550024	191549	Calo
550024	391015	Eulalia
550025	14770	Chica Streap-tease
550026	401871	Letterina (house guest)
550027	398048	Herself (Bribed/7th Eliminate
550028	707	Monica
550028	1674	Herself
550028	24503	Patricia Olson/Patrica Crane/
550028	62068	Ruth Harkness
550028	68421	Betsy
550028	70428	Natalie Belisario
550028	72376	Lil
550028	79005	Adèle
550028	94861	Suzi Loomis
550028	146664	
550028	201111	Eddie
550028	234239	
550028	251239	Rosie
550028	253227	Kitty
550028	286464	Anastasia Powell
550028	292671	Amy Rainey
550028	292672	Herself
550028	292673	Herself
550028	301946	Nora Allardyce
550028	302329	Ava Lord
550028	303308	Marcia
550028	387728	Dr. Anna Del Amico (1997-1998
550028	398213	Herself
550028	398367	Mrs. Smith
550029	377737	
550030	213389	
550031	18849	Angelina
550031	79184	
550031	116391	
550031	189185	
550031	302302	
550031	343634	Alice
550031	383552	
550031	386729	Dona Santa
550031	387732	Santa
550031	393791	Pina
550031	394872	Dolores
550031	396610	Olga (1995)
550031	396795	Zilda Machado
550031	397198	
550031	400094	Micaela
550031	401243	Dona Gema
550031	402685	Giovanna, Marquess di Pesto
550031	406002	
550031	408592	Carlotinha Bimbatti
550031	409347	Pierina
550031	410054	Cininha
550031	410245	Antonieta
550031	412069	Santinha
550032	57929	ABA Student
550033	41829	Statistician
550033	58483	Santera
550033	132932	Santera
550033	186261	Chico's Mother
550033	196883	Nurse
550033	261439	Mrs. Pererz
550033	263265	Ernestine
550033	263439	Mrs. Garcia
550033	269771	Flower Lady
550033	272234	Woman on Street #1
550033	293156	
550034	389881	
550035	266930	Young Woman at Party
550036	111377	
550037	28375	
550037	49695	Zia di Chiara
550037	243044	Zia di Ernesto
550038	28375	
550038	49695	Zia di Chiara
550038	243044	Zia di Ernesto
550039	382639	Chiara
550040	20855	Teresa
550040	253776	
550040	339130	
550040	371696	
550041	175575	Cathy
550042	1221	
550042	2442	
550042	6720	Herself
550042	31629	Xena
550042	31630	Xena
550042	37686	Carrie
550042	38165	
550042	161015	
550042	208521	
550042	260806	
550042	260807	
550042	273363	
550042	273550	
550042	293638	
550042	295692	
550042	317111	
550042	319669	
550042	319670	
550042	333540	Tina
550042	348304	
550042	355153	Jungle Girl
550042	372540	
550043	8920	Suzanne Berger
550043	32284	Mme Barbenlane
550043	33278	Anne
550043	56388	Leonie Danard
550043	73184	Dounia
550043	104536	Marie D'Argoult
550043	124134	Lilette Audiffred
550043	165233	Agathe
550043	167091	Adrienne Redoux
550043	208804	Hélène
550043	224873	
550043	248919	
550043	258871	Marie
550043	264954	Esther
550043	269162	La Flécharde
550043	269510	Raphaële
550043	339502	Anne Crookes
550043	345348	Suzanne
550043	384098	
550043	400869	Andrée Tasson
550044	111039	
550045	69993	
550046	130129	Ellis Island nurse
550047	103877	Couturière
550048	14386	Ragazza con lo spacco
550049	87807	Mujer de Lugo
550049	185948	
550050	44855	Renee
550051	235022	Dancer #4
550052	357635	Andrea
550052	384085	Girl #1
550054	295326	Lisa's Friend
550054	342459	Jean
550055	185237	Himself
550056	14610	Narrator
550056	169374	Beth, mother
550056	282321	Vivian
550057	315925	Mental Health Patient
550058	32404	Girl
550058	36840	Mrs. Peters
550058	111882	Miss Knott
550059	102945	Victime de la piquerie
550059	327836	Clinic Nurses
550060	268351	Fira Kantorovil, school girl
550060	382891	The mistress
550061	47269	Fishnet Floozys
550062	56307	
550063	204581	
550063	325720	
550064	345342	La jeune femme seule
550064	382584	Aurélie
550064	409434	Corinne
550065	33586	Magali
550066	197577	
550067	3462	Valeria
550067	8277	Barbara/Lisa
550067	19073	Lisa
550067	22681	Cléopâtre
550067	22682	Herself
550067	46973	
550067	47964	Queen Mirror
550067	63890	
550067	67754	
550067	67844	Nellina
550067	68362	Myrtille
550067	68816	Monique, la jeune première
550067	88697	Nathalie/Nat the gipsy
550067	92660	Dracula's bride
550067	101704	Persephone
550067	118824	Laura
550067	132413	Herself
550067	162486	Alex
550067	169135	Pharaoh's Wife
550067	169467	Herself
550067	201505	Herself
550067	202576	Malena Scordia
550067	207989	Persephone
550067	207991	Persephone
550067	208219	Camille
550067	216324	Deborah
550067	218065	Herself
550067	225399	Marguerite
550067	244130	Marina and Angela
550067	246289	Herself
550067	246291	Sylvia
550067	247108	Melina
550067	277811	Alessia
550067	278170	Francesca
550067	297937	Simona Bonasera
550067	302457	Marina
550067	309171	Princess
550067	316853	
550067	326496	Dr. Lena Fiore Kendricks
550067	344593	Giulia
550067	345312	Herself
550067	346079	Chantal Hearst
550067	355613	
550069	115521	She
550070	238658	Drug Park kid #1
550071	90682	
550071	252337	
550072	9128	Lisa
550072	26417	Marsha Burroughs
550072	31200	Herself (ABC Team contestant)
550072	57738	Amanda
550072	62547	Dorothy
550072	66394	Robin Barstowe
550072	80865	Annie
550072	81753	Anna
550072	91862	Joan Harik
550072	95875	Herself
550072	108370	
550072	124123	Mrs. Swenson
550072	138322	Sarah Michaels
550072	141425	Jennifer Chadway
550072	158920	Sandra Dyson
550072	169153	Clara Childress
550072	235809	Sylvia
550072	294786	Carol
550072	310425	Ruth Lessing
550072	343010	Peggy Ramsay
550072	359341	Amy
550072	365525	Sarah
550072	375685	Patty
550072	387152	Claudia Johnson Blaisdel Carr
550072	410488	Ellen Cunningham
550073	34277	Clara, la mannequin
550073	96037	Air France Attendant
550073	166127	Hôtesse de l'air 2
550073	203178	Wench
550073	345041	Paola
550073	346564	Marie
550074	295046	
550075	74587	
550076	128735	Herself
550077	335229	
550078	89247	
550079	190663	Maria Laarmans
550079	380747	Carla Van Den Heuvel
550079	404735	Els Museeuw
550079	411311	Tanja Tavernier (1994-1996)
550080	333140	
550081	104285	
550081	122240	
550081	194831	Slave Girl
550081	232370	Spanish Woman
550081	335477	Daughter
550082	252057	
550084	12373	La première hôtesse de l'air
550084	158831	Laurence Rogissart
550084	283044	
550084	307570	La réceptionniste de l'hôtel
550085	216239	Germaine
550085	384560	Herself (Cocogirl)
550086	149552	
550087	83174	
550088	80174	Supermarket casher
550089	335345	The Waitress
550090	277726	
550091	81382	
550091	195596	
550092	270502	Operator
550093	77852	Samantha Wykowski
550093	161791	Maggie Tanner
550094	21783	Hayley
550094	46251	Herself - Party Guest
550094	142929	Mary Tudor (Katherine's Daugh
550094	176947	Sandra
550094	194044	Stella
550094	238913	Sophie
550094	359349	Jessie
550094	385222	Sonya Marmeladova
550094	407141	
550095	360165	Diana Tremont
550096	3935	Girl
550096	26692	Clara Dominici
550096	33662	
550096	35137	Carter's Showgirl
550096	39212	Girl
550096	72008	Carol Madison
550096	72400	Wife
550096	75245	
550096	78190	Roberta 'Bobbie' Page
550096	126069	Showgirl
550096	128440	Troupe member
550096	140407	Party Guest
550096	147054	
550096	168262	Nurse
550096	168636	Cigarette Girl
550096	176321	Goldwyn Girl
550096	189420	
550096	216050	
550096	230278	Dancer
550096	239393	Judy Joyce
550096	245748	Marcia Brandon, aka Madeliene
550096	247359	Pan-American Girl
550096	251853	Emilia
550096	256652	Annette
550096	262313	Peggy Porter
550096	270114	Bobbie Page
550096	272139	Sheila Carroll
550096	301612	Rene Richards
550096	302632	Cigarette Girl
550096	321197	Gloria Martin
550096	326150	Luisa Forenti
550096	333703	
550096	355890	
550096	362063	Showgirl
550097	190634	
550099	28611	Sharon Pearlman
550099	338731	Maria
550100	25781	
550100	104179	
550100	174739	
550100	205529	
550101	85482	Specialty
550101	250668	Herself
550102	280872	
550102	280998	
550103	202178	Herself
550104	70653	Pool party girl
550105	65404	
550105	76011	
550105	121392	
550105	193073	
550105	328741	
550105	351994	
550106	31825	Laida
550107	184059	
550108	146493	
550109	235371	
550109	255899	Anna
550109	338652	Adriana Terrazzani
550110	355846	Blancanieves
550111	232861	Phoebe Hotz
550111	289645	Jean Arthur
550112	110973	
550112	128507	Sophie Coventry
550112	128514	
550112	299800	Jessie Brown
550113	19987	Mrs. Bloodgood
550113	31572	Jenny Smith
550113	41498	Madame
550113	47445	Daisy
550113	87631	PCW Duggan
550113	129070	Mrs. Brune
550113	130331	Masculine Lady
550113	138697	Mrs. Brummelberg
550113	147405	Lady Milchester
550113	158439	Madame Moppert
550113	175138	Mrs. Puddlefoot
550113	188401	Policewoman
550113	213016	Mrs. Carter-Blake
550113	245616	Lady Drewsden
550113	245643	Jennifer
550113	257986	Agatha Pink
550113	269439	Henrietta Travers
550113	282607	Schoolmistress
550113	297888	Dr. Grimstone
550113	297889	
550113	306576	Harriet
550113	360750	Mrs. Leadbetter
550113	371328	Emily Peabody
550113	372221	
550114	10569	Mrs. Matson
550114	11440	Bit Part
550114	25989	
550114	25991	Hannah
550114	44490	Tibbetts, the Baby's Nurse
550114	52904	Saleswoman
550114	62047	Martha, Sybil's Maid
550114	92652	Coach passenger
550114	112241	
550114	128193	Mrs. Collins
550114	132793	Molly, the Apple Woman
550114	145811	Aunt Julie
550114	191962	Mrs. Baines, Cook
550114	224245	Mrs. Bennett
550114	263966	Cockney
550114	289610	Miss Isobel Kennedy, Orphanag
550114	295300	Emma Mickelham
550114	295379	The Witch
550114	317288	
550114	321794	Fat Woman on Beach
550114	327743	Old Hag
550114	360172	
550114	360358	Mrs. Schmidt
550114	363758	Nurse
550115	258876	Ruthie
550116	249044	
550117	8473	Criada Moderna sketch
550117	86928	
550118	2570	Fernanda
550118	6345	Secretary
550118	18669	Rosa
550118	19471	Florry
550118	28589	Isabel
550118	68915	Celestina
550118	100729	Alice
550118	276561	
550118	307810	Helena
550118	385209	Luísa Sarmento
550118	387850	
550118	392900	
550118	403232	Helena
550119	384924	
550120	296129	
550121	88587	Little Girl
550122	3582	
550122	134227	
550123	166244	
550123	347852	Sarah
550124	402348	
550125	125658	
550125	154836	
550125	181694	
550125	244658	Maria
550125	256698	
550125	263673	
550125	265935	
550125	298641	
550125	311579	
550125	318150	
550125	356451	Stella
550125	356938	
550125	373744	
550125	400448	
550126	228845	
550126	284467	Sasedka
550127	33824	
550127	34224	
550127	84259	
550127	95636	
550127	132082	
550127	132150	
550127	163163	
550127	180746	
550127	187382	Nele
550127	226468	Nadezhda Krupskaya
550127	231181	
550127	239351	
550127	264324	Grafinya Palenskaya
550127	273099	
550127	312921	Queen Anne
550127	323308	
550127	326978	Marie/Nathalie
550127	343821	
550127	357626	
550127	373738	
550127	373744	
550127	375463	
550127	396605	Donna Anna
550128	194635	Russian Sage
550130	316953	Little Evie
550131	58505	Woman
550131	128144	Eleana
550131	364016	Girl #1
550132	395480	La pianiste de la fondation
550133	190745	Salomé
550135	339006	Vasilina
550136	233841	
550137	192777	Leasing Agent
550138	217282	
550139	132112	
550140	244221	
550141	266017	
550142	258432	
550142	280807	
550142	373744	
550143	33769	
550144	341217	
550145	89784	Zina
550145	108851	Uchitelnitsa
550145	180382	
550145	261139	
550145	289862	
550145	320483	
550145	399195	
550145	402325	
550145	402865	
550146	399482	
550147	311224	Woman on Street
550148	261127	
550149	320483	
550150	77096	
550151	399344	
550152	43213	
550153	148562	
550153	216165	Near Woman
550154	229003	
550154	346138	Cafe Dancer
550155	352832	Liene
550156	275217	
550157	401875	Herself - Scandal'us (2001)
550158	120481	Vamp Girl
550159	42844	De La Fuente
550160	34968	Photographer
550160	139275	Reporter
550160	168676	Waitress
550160	248817	Townsperson
550161	71979	Court Lady
550162	306670	
550163	23699	Pola
550164	400	Business Rep.
550164	18029	Nurse Doris
550164	28755	Mother
550164	109832	Bea
550164	138236	Miss O'Hara
550164	138737	Farm Wife
550164	142870	Judith
550164	176480	Valerie, Nurse
550164	185085	Hospital Nurse
550164	220778	Landlady
550164	241739	Mrs. Petrie
550164	276196	CDJ Woman (segment "Marie Taq
550164	359205	Red Cross No. 3
550164	381112	Elva
550165	167048	Soul/Herod Girl 2
550165	169139	Wife
550166	346405	Herself
550167	89045	
550167	164755	
550167	248000	
550168	60550	
550168	63574	
550168	370162	
550169	283803	
550170	269115	
550170	380329	
550171	66047	Fortune Teller
550172	293855	Young Mother
550173	266283	Vera
550174	238238	Choir Member
550175	146822	Extra
550176	66737	
550177	125212	Glenda
550177	325835	Frau mit Sandaletten
550177	353821	
550177	390812	Mara (1993)
550177	396874	Sandra Behrens, geb. Lindner
550177	401995	Babs Sailer
550177	404462	Rudi's Freundin
550178	110474	Rachel
550179	248461	Agnes Delight
550180	213852	Mrs. Pressley
550180	291222	Reporter #4
550181	315998	Diane Ferry
550182	43340	
550183	23773	Marie
550183	23817	Cléonice
550183	112277	Ninon Amélie
550183	384009	Sophie
550183	391924	Betsy Brand
550183	396135	
550184	222790	Girl in dugout
550185	124795	
550186	32775	WDC Jones
550186	291529	Dina
550186	388350	Mrs. Foster
550187	64400	Moaning Girl
550187	111439	Breda
550187	160884	Student #2
550187	305990	Desk Nurse
550187	409005	Sinéad Ward
550188	154790	Kate
550188	305514	
550188	401962	
550188	405217	Catherine Hogan
550189	333882	Bernice
550190	332664	
550191	280756	
550191	281076	Un' amica di Annetta
550191	353066	Bianca
550192	197204	
550192	295163	Una collegiale
550193	29516	Une fille de Bébé
550193	167224	La buraliste
550193	236596	
550193	252424	Une jet-setteuse en cure
550193	349754	Lucia
550194	222750	Ivan's Attorney
550194	273777	The Mother
550195	365750	Herself
550196	292733	Chiquita
550197	50815	Hispanic Woman
550197	67579	Housekeeper
550197	81992	
550197	113926	Spanish Lady
550197	124077	Maria
550197	124580	Mama Campos
550197	127073	Woman Ghost
550197	135805	Second Mexican Girl
550197	140862	Miss Montalvo (liquor store p
550197	143499	General's wife
550197	150814	Gina
550197	156970	Spanish Woman
550197	161505	Cleaning Woman
550197	169817	Servant girl
550197	178918	Luce
550197	195317	Airline clerk
550197	196487	Trinket Seller
550197	197373	Mary
550197	204214	Lupe Ybarra
550197	205089	Laundress
550197	206368	Raquel
550197	206856	Maria
550197	212242	Modern Girl
550197	231902	Maria
550197	234226	Jennieva
550197	239032	Rosa, Paula's Housekeeper
550197	247359	Miss Guatemala
550197	248568	Joy Holder
550197	252825	Grieving Woman
550197	274343	Excilda Montoya
550197	307842	Party Guest
550197	308014	Thelma Lambeth
550197	330200	Rosa, Bar Owner
550197	340930	
550197	343908	Woman Worker
550197	371887	Maid
550197	375847	Lowrider's Mother
550197	381703	Mami Morales
550198	145663	Sylphide
550199	1321	
550200	55366	
550201	378974	Jenny
550201	401097	Nurse Eloisa
550201	402898	Maria
550201	404580	Marisa/Ana Maria Mallarino
550202	317673	
550203	265713	
550204	405606	Sports Correspondent (2003-)
550205	21681	
550206	70639	
550206	350066	
550206	377108	
550207	335943	Woman #1
550208	64435	
550209	400667	Daniela Franco de Huertas
550210	139912	
550211	20855	Gertrudis
550212	158847	
550212	236304	Frutera
550213	251574	
550214	52730	
550214	128982	
550215	231283	
550215	236413	Singer
550215	262980	Herself
550215	269270	Graciela
550215	275072	
550216	351494	
550217	9656	
550217	27846	
550217	29045	
550217	29621	
550217	34539	
550217	52946	
550217	53641	
550217	53669	Lola
550217	54101	
550217	69023	Prieta de Xochimilco
550217	70519	
550217	74768	
550217	80109	
550217	83489	
550217	90533	
550217	94826	
550217	103664	Singer
550217	121285	Chabela, Eufemio's wife
550217	121976	
550217	123171	
550217	148048	
550217	169561	
550217	193489	
550217	207655	
550217	209001	Lupita
550217	220520	
550217	225550	
550217	225561	
550217	225704	
550217	246396	Matilde
550217	252344	
550217	277322	
550217	280429	
550217	318015	
550217	333700	
550217	340048	
550217	376787	
550217	380893	
550217	397601	
550218	98440	
550219	197373	Mary
550220	4915	
550220	24545	
550220	48789	
550220	54111	
550220	54113	
550220	66401	Salustia
550220	67026	
550220	67027	
550220	73284	
550220	84176	Mother
550220	88198	
550220	90017	
550220	91415	
550220	100318	
550220	112058	
550220	112059	
550220	131963	
550220	132641	
550220	189295	
550220	200080	
550220	222033	
550220	222379	
550220	246872	Rosalía
550220	248302	
550220	252048	
550220	255276	
550220	265329	
550220	265883	
550220	271798	
550220	281790	
550220	283071	
550220	306826	
550220	308907	
550220	327200	
550220	353555	
550220	354448	Gorda
550220	354449	
550220	355942	
550220	370152	
550220	371763	
550220	381217	
550220	384975	Dora
550220	401912	
550220	412194	Teresa
550221	14326	Chachita
550221	221971	
550221	229430	
550221	260579	
550222	35007	
550222	106305	
550222	158936	Clotilda
550222	257127	
550222	287433	Ofelia
550222	351670	
550223	3520	Gente Bar #2
550224	32336	
550224	35094	
550224	43756	Andréa (segment "Sábado Quent
550224	57443	Malu (Denise Dumont)
550224	60048	Vivi Sampaio
550224	70615	Hellena
550224	103441	Glória Campos
550224	124236	Gloria
550224	214409	Januária
550224	249448	Regina
550224	252592	Luiza
550224	275024	Thaís
550224	280038	
550224	295103	Maria
550224	349723	
550224	380626	Zelda Scott
550224	385023	Angela Mendes Machado
550224	387732	Bruna
550224	388681	Tatiana Cavalcante
550224	390495	Marilda
550224	396387	Marta
550224	398503	Tônia
550224	401104	Úrsula Pontes
550224	402807	Ingrid de Bresson
550224	410054	Lisa
550224	410245	Helena
550225	248547	
550226	380386	
550226	388728	César's secretary
550226	390751	Dalete
550226	391609	Solange
550226	393615	
550226	400902	
550226	409418	Isabel
550227	68590	
550230	84426	
550231	400698	Troupe du Palace
550232	79716	Binata
550233	281194	Vicky
550234	195118	
550235	23944	Acress #1
550235	26672	Carol
550235	292594	Model
550236	17173	Bluto's Dance Partner at Toga
550236	42056	Cocktail Waitress
550236	221021	Herself
550236	235618	Musician
550236	347594	Interviewee
550236	370890	Herself
550237	3169	Bit part
550237	13178	Tobacconist
550237	81686	
550237	85463	Maria Vincenzoni, detta 'King
550237	102918	Gertrude
550237	129050	Signorina Barzuacchi
550237	160130	Evelina De Vitis
550237	252634	
550237	255029	
550238	384118	Dina (1998-1999)
550239	384118	Lúcia
550240	291070	La joggeuse
550241	25205	
550242	239713	Emily Theodorou
550243	51377	Featured Victim
550244	336559	Wife (Mary)
550245	108112	
550245	132557	Sonia
550245	155533	Giulia
550245	157161	Julia
550245	157548	Isabella
550245	188601	Margherita Guzman
550245	230075	Lucrezia
550245	249371	
550245	278957	Alessandra
550245	286976	Irene
550245	287771	Rita
550245	294259	Miriam
550245	300636	Silvana
550245	309786	Clara
550245	310975	
550245	345135	Isabelle
550245	348153	Sara Consoli
550245	375660	Gesuina
550245	385997	Sandra
550245	388613	Herself - Assistant (2003)
550245	396157	Giulia Pisano
550245	401402	Gienevra
550245	402780	Fiamma
550245	403448	Baba
550245	406814	Kassandra (young)
550245	408842	Candy
550246	80583	Mrs. Perry
550246	148313	Martha
550246	297455	Hazel
550247	118684	Grace
550248	65452	Girlfriend
550248	212350	Younger Kitty
550248	238695	Swanson's Patient #1
550248	329088	Young Girl
550248	334234	Geena Sayer
550249	276295	
550250	163957	Grace Ellicot
550251	84471	
550251	172442	
550251	179728	
550251	231166	
550251	376217	
550252	35855	
550253	95915	
550254	244255	
550255	63583	
550255	82492	
550255	163845	
550255	172445	Varvara Sergeevna
550255	243970	
550255	310472	
550255	370671	
550256	9392	
550256	17581	Anna Pavlova
550256	26206	Semikina
550256	54192	Sachen`ka
550256	63609	Joana Sedli
550256	84469	Filina
550256	124839	Galya
550256	126267	Vika
550256	181409	Anjel
550256	181510	Olesya
550256	187785	Girl in jeans
550256	188005	Varya Lopukhova
550256	216616	
550256	217278	Olga Urbenina
550256	249153	Vika
550256	253091	Perikola
550256	357208	Galya
550256	357471	
550256	373270	Falina
550256	374174	Vika Lyuberetzkaya
550257	303805	
550258	60881	
550258	88453	
550258	280807	
550258	339333	
550258	357463	
550258	381631	
550258	385990	
550259	94181	
550260	88811	
550261	3179	
550261	39013	
550261	76989	
550261	179329	
550261	202532	
550261	262176	Olga Sergeyevna
550261	341452	
550261	349360	
550261	352610	
550261	370997	
550261	371425	
550261	375662	
550261	410457	
550262	17575	The Princess
550263	189430	
550264	318598	Mathilde
550264	376279	Die andere Frau
550265	359621	Tischgesellschaft
550266	105883	Sgt. Burkina Fasso
550266	149551	Carmen
550266	384972	Blanca Vilches (2002 - )
550267	336993	
550268	356671	
550269	156726	Jane
550270	135346	
550272	305089	Bela
550273	71192	
550274	273654	
550275	390751	
550275	397541	Dorinha
550276	114873	Dancer: Grupo de Baile Marche
550277	3381	
550277	3393	Herself - Performer
550277	4525	Herself
550277	6481	Beatriz Arteche
550277	9654	Pilar
550277	14697	Aurora
550277	14770	Diana
550277	15315	Herself
550277	18282	Josefa Ferrer
550277	22785	Herself
550277	24203	Paloma
550277	50150	La Bailarina
550277	51775	
550277	55911	Adela
550277	67212	Victorita
550277	71193	Mari Pili
550277	71285	Hortensia
550277	73092	
550277	74500	Herself
550277	74827	Carmen (segment "Tiempos roto
550277	82724	Ana
550277	84052	Herself
550277	84059	Ángeles Gutiérrez
550277	88058	Mari Gaila
550277	89740	
550277	91328	Herself
550277	99069	
550277	99906	
550277	103710	Isabel
550277	118157	Herself - Winner: Best Movie 
550277	118158	Herself - Winner & Presenter
550277	123080	Herself
550277	124303	
550277	136185	Herself
550277	148514	Herself - Performer
550277	154543	Herself - Presenter: Best Lea
550277	163980	Herself - Nominee: Best Lead 
550277	165710	
550277	168099	
550277	189301	Pilar
550277	194436	Herself - Narrator
550277	194591	Herself
550277	205704	Natasha
550277	213523	Herself - Guest
550277	215499	Alejandra
550277	218956	Alicia
550277	221594	Herself
550277	230013	Herself
550277	234322	Herself
550277	234345	Herself
550277	243959	
550277	249322	
550277	249883	Desideria Oliván
550277	253990	Teresa
550277	262977	Herself
550277	262983	Herself
550277	281650	Rosa
550277	294506	Isabel
550277	308966	
550277	322324	Rosa
550277	326009	Herself - Performer
550277	333707	Lupita
550277	336125	
550277	345499	Herself - Honoree
550277	353556	Ana
550277	357509	Paloma
550277	369556	Herself - Presenter: Best Lea
550277	369557	Herself
550277	369989	Herself - Presenter: Best Lea
550277	369999	Herself
550277	373854	Ana Belén
550277	389139	Fortunata
550277	401336	Petra Delicado
550278	25220	Enfermera
550278	339110	Lucy
550279	48291	
550279	73295	
550281	206947	Amélie
550282	215214	Singer
550283	328366	
550284	108711	Cindy
550285	80174	Movie theater casher
550286	141039	Herself
550287	14040	Herself - as Bambi
550287	348837	
550288	110319	Jackie's Sister
550288	297246	Bruised Woman
550289	28208	
550290	16922	Cool Chick
550291	318488	Prostitute
550292	40559	
550293	116910	Sarah
550294	198629	Randonneuse
550295	138495	Grietje
550296	281355	
550297	190056	Ballet Dancer
550298	21200	Fatma
550298	21730	La Jamila
550298	285810	Aicha
550299	18317	La mère de Nedjma
550300	174036	
550301	174036	
550302	261761	Fedhah
550303	70192	Yasmina
550304	31018	Moroccan Family Member
550305	233346	Mid-e-mid
550305	282002	Berbère 1
550306	21730	Cliente de Salih
550306	25270	
550307	19508	Arbia
550307	21730	La matrone
550307	285696	Habiba
550308	271421	Fille du bar 2
550309	202382	Denise
550309	303268	Sarah
550310	127059	Madame Mimouni
550311	30847	
550312	193080	
550313	200377	Sadry's Mother
550314	285244	
550315	274494	
550316	131776	Supply Room Supervisor
550317	72123	Reporter #6
550317	295435	Nightclub Bartender
550317	403041	Moshe Ufnik
550318	8652	The Colombian girl
550319	271421	Fille du bar 1
550320	285810	Young woman in Menzel
550321	396874	Lucy Vogt (2000-2002)
550322	139360	
550323	21730	Cliente boutique pere
550324	285696	
550325	175086	Isha
550326	178114	Hooker
550327	78015	Courtesan
550328	19508	Asfour
550328	21730	Salouha
550328	112818	La femme répudiée
550328	186505	
550328	285696	Mroubia
550328	318616	
550328	345564	
550329	296049	
550330	252325	Franziska
550331	278335	
550332	131776	Airport Official12
550332	315668	Michal
550333	50150	
550334	32711	Herself
550335	175006	Herself
550335	333659	
550336	109395	Woman
550336	112632	Herself
550336	203358	Day Player
550336	309576	Supporting
550338	215236	
550339	157896	Herself (wife)
550340	202077	
550341	254388	Inbar
550342	355028	The Academy's Blessed 'Virgin
550343	397881	Waitress
550344	147008	Ingegärd
550345	27770	
550345	296560	Young Rachel
550346	40812	Khalil's Aide
550347	185549	Hiker Sasha
550348	141746	Israeli Rental Agent
550349	391739	
550350	175007	Herself
550351	42070	
550352	23052	
550352	298280	
550353	139753	Sister
550353	235519	Fereshte
550353	243877	
550353	411680	Yael
550354	254859	
550355	171892	
550356	121615	Inmate
550357	142288	
550358	105185	Singer
550359	185764	Center Person #3
550360	199505	Tourist Guide
550360	238388	
550360	383005	Malca
550360	387852	Tamar Levi
550361	297895	Ballerina
550362	296106	Dolores
550363	38427	Martine
550364	38427	Genevieve
550365	167661	Herself
550366	64238	
550367	189248	Bradley Reynolds
550368	16347	Contessa di Coigny
550368	45720	Emma
550368	111965	Leonora
550368	209739	Margherita/Elena
550369	405932	Katryn Bekker
550370	11073	Granny
550370	30566	The Statue of Liberty
550370	31761	Ma Bear
550370	31762	Ma Bear
550370	32589	Ma Bear
550370	35607	Witch Hazel/Gretel/Pretty Rab
550370	40024	Mrs. Franklin Wash
550370	48990	Mama Bear
550370	53611	Granny
550370	57003	Penelope's Mistress
550370	62838	Additional Voices
550370	89278	Dog's owner
550370	96964	Laura the Hen
550370	110361	Additional Voices
550370	110464	Marc Anthony's Mistress
550370	114280	Mrs. Potter
550370	115572	Betty Rubble (I)
550370	120445	Teacher
550370	127546	Granny
550370	131340	Additional Voices
550370	144518	Daisy Lou
550370	147477	
550370	154655	Woman
550370	176427	Dodsworth's Mistress
550370	178060	Vi
550370	178241	Beatrice
550370	192211	Little Red Riding Hood
550370	196366	Hazel the Hen, Other hens
550370	235676	File Clerk
550370	238538	Miss Prissy/various hens
550370	240904	Working girl
550370	243144	Additional Voices
550370	258295	Ella Heather
550370	267687	Woman
550370	269551	Baby Toots
550370	287287	Granny
550370	289618	The Fair Melissa
550370	289800	Narrator
550370	327831	Mrs. McKisco
550370	328493	Frisky's Mistress
550370	342342	Woman
550370	342346	Granny
550370	343236	John's Wife
550370	360559	Additional Voices
550370	362484	Ma Bear
550370	365493	Marsha, Daughter, Old Women w
550370	381806	Cousin Pearl Bodine (1962-196
550370	382960	Additional Voices
550370	382964	Additional Voices
550370	388366	
550370	388915	Betty Rubble (1960-1964)
550370	389909	Blanche Morton
550370	389911	Blanche Morton
550370	397490	Additional Voices
550370	401301	Wilma (1960-61)
550370	401346	Kate Bradley (1963-1968)
550370	403489	Additional Voices
550370	408443	
550371	118754	Fille en collant
550372	286655	Samia
550373	6698	
550373	327026	
550374	46192	Herself - No Angels/Performer
550374	233480	Herself - No Angels
550374	367052	Girl Group Member
550374	401886	Herself - No Angels
550375	45548	Angry Woman
550376	139360	Singer
550377	285810	Meriem
550377	321483	Ghania
550378	131215	Saïda
550379	249678	(segment Relou)
550380	249678	(segment Relou)
550381	339474	Charlotte
550382	218541	Dancer
550383	357269	Young girl in metro
550384	324995	Sihem
550385	289694	Marissa
550386	181314	Lise
550387	360635	
550388	27037	Understudy for Maria
550388	306744	Alexandra
550389	178600	Sabinchen
550389	184598	
550389	275139	Kitty Hallet
550389	322518	
550389	335034	
550390	380209	Felipa
550390	387083	Paquita
550390	393803	Estela
550391	231990	Swimmer
550392	389130	
550393	284302	Herself
550394	124048	Messy Tessie
550395	188686	Alexandra
550396	24587	
550397	58232	Mme Bichavent
550398	229052	La vendeuse de téléphones
550399	336970	
550400	321475	Interviewed woman
550401	192702	Girl
550402	693	Herself/Commentator
550402	694	Herself/Commentator
550402	716	Herself/interviewed
550402	958	Herself - Winner
550402	1927	
550402	2048	Herself/Singer (songs 'Heartb
550402	3817	Herself/interviewed
550402	56858	Herself/Singer (song 'You Bet
550402	154722	Herself
550402	161355	Herself/Interviewed
550402	190798	Herself
550402	219135	Herself/Host
550402	221470	Herself/Singer (song "7 Rooms
550402	250451	Herself
550402	250452	Herself
550402	250453	Herself
550402	250454	Vocals
550402	250455	Herself/Singer
550402	250456	Herself
550402	279990	Herself
550402	280067	Herself
550402	318912	Herself
550402	328908	Herself
550402	336139	Donna
550402	339522	Herself
550402	347119	Jeanette Florescu
550402	352976	Performer
550402	367824	Herself
550402	379601	Herself/Interviewed ("Live fr
550402	400416	Herself/singer
550402	403571	Herself/Performer (1979)
550403	178455	
550404	73513	Madre superiora
550404	158767	Luciènne
550405	158766	La portinaia
550405	229644	Vera
550406	113138	
550407	45780	Annie (Girl w/Cat)
550407	68064	Heather Keller
550407	169916	Kimberly Hill
550407	223248	Molly
550407	289253	Casey Needham
550407	362323	Heather Cataldi
550408	342118	Suocera Rag. Stella
550409	152603	Neighbour
550410	55998	
550410	59237	
550410	63377	
550410	103844	Juanita
550410	132749	
550411	80619	Bar Patron #5
550412	72664	Prostitute
550413	393338	
550414	12442	
550415	80619	Fiesta Dancer #4
550416	106514	Nurse
550416	134288	Anja
550416	237422	Ms. Serney
550416	348451	
550417	27236	Housekeeper
550418	367861	Nadia
550419	80619	Bar Patron #1
550420	87282	Esmerelda
550421	279094	Laya
550422	64785	
550423	351761	Danse Orientale
550424	233599	
550424	266411	
550424	378109	
550425	70065	
550426	169540	
550427	385492	Host
550427	388026	Host (2001-?)
550428	124328	
550429	92030	
550429	309988	La mère
550430	123559	Voix Enregistrées
550430	345046	Khera
550430	392582	
550430	400422	
550431	168119	Camp follower
550431	211687	
550431	292405	Patient
550432	173516	Rose
550433	120305	Ergoterapeut
550434	1863	
550434	3522	
550434	6465	
550434	6489	
550434	10421	Alfonsina Storni
550434	52971	Irene Rossi
550434	54814	
550434	55938	
550434	63950	The Prostitute
550434	74162	
550434	77254	
550434	77752	
550434	78557	
550434	80140	
550434	81472	
550434	91281	
550434	100335	
550434	117335	
550434	121330	
550434	135307	
550434	138948	
550434	143779	
550434	148089	
550434	159346	(segment "Romántico")
550434	186147	
550434	207007	
550434	207935	
550434	212451	
550434	236034	
550434	236412	
550434	239277	
550434	244620	
550434	248793	
550434	251557	Julia
550434	280883	
550434	301186	
550434	308298	
550434	328157	
550434	334682	
550434	339129	
550434	339185	Eugenia de la Fuente
550434	357514	The Enrique Núñez' wife
550434	387818	Milena
550434	403683	
550434	405242	
550435	69003	Amiga
550435	148037	
550435	160611	
550435	336396	
550436	352308	Ludmilla
550437	247032	People of the Night
550437	316752	Punk Girl
550438	174279	
550439	179599	Regica
550439	181466	
550439	326547	
550439	356072	Susjeda
550439	386429	Kata Barulek
550439	390721	Regica
550439	392903	Zmegaceva tajnica
550439	397373	
550439	398998	
550439	409296	
550440	365232	Beth
550441	163334	Roly Poly
550443	5677	
550444	101184	Hôstesse accueil centre
550444	357852	Carole
550445	302198	Sadie White
550446	347993	Herself (zoo director)
550447	304656	
550448	174279	
550449	255274	Pupil
550450	255274	Pupil
550450	405960	Janice Merrill
550452	210347	Herself
550453	166443	Martina
550453	374098	Elena Dvorová
550454	141656	Mrs. Eggleston
550454	311428	Skater in Ski Sweater
550455	142233	
550455	177931	Panni, Verebes felesége
550455	183174	Vágó
550455	275537	
550455	281086	
550455	312759	Zsuzsa
550455	377140	
550455	378931	
550455	404025	
550456	219529	Marina Stone
550457	20625	Extra
550457	141667	Czech lady
550457	190431	
550457	255327	Queen
550457	306804	Party guest
550458	1625	
550458	196588	Renata Kaminska, Funeral Parl
550458	266980	
550458	373733	Katia
550458	375471	Maria
550458	394585	Maja Barcz (2000)
550458	412075	Journalist
550459	395892	Herself (6th eliminated, 56 d
550460	60849	Michael's Girlfriend
550461	5186	Herself/En personne
550462	168895	Fan 1
550463	388567	
550464	294160	
550464	375965	
550465	278904	Rita
550465	286400	
550465	382867	Liliana 'Lili'
550465	385601	Victoria
550465	397029	
550465	401699	Dra. Patricia
550465	402452	Victoria
550466	375798	Audience Member #1
550467	340401	Prostitute Prisoner
550468	124222	Garlic Queen
550469	391364	Katrine Mortensen
550470	262115	Instructor
550471	128536	Child
550471	176358	Child on tug
550471	314486	Italy
550472	9632	
550472	16224	
550472	24059	Vera
550472	24076	
550472	26311	
550472	40392	Petra Roscak
550472	86924	Eva Frazer
550472	102386	
550472	111763	Kind III
550472	115963	Dorrie Cain
550472	126833	
550472	132835	Judy
550472	134379	
550472	137435	
550472	138543	Lina Kirch
550472	147539	Rita Kussmaul
550472	159606	Frida Palme
550472	159853	
550472	184271	
550472	289903	Rosy
550472	302761	Ines Winkler
550472	325432	
550472	325685	Roswitha Wolf
550472	325726	Gerda
550472	325819	Marlies Weber
550472	325892	Gisela
550472	325952	Helga Böcker
550472	361042	Mary
550472	366476	Olga
550472	376249	
550472	381382	Nachmieterin
550472	383200	Hannah
550472	389119	Hanna Müller, ehemals Ritter,
550472	389287	Therese (1996-1997)
550472	392634	
550472	404433	
550472	411258	Mary Selnik
550472	411929	
550473	6020	Katherine Follets
550473	69338	Lisa as a Baby
550473	162837	Murray's wife
550473	308674	Isabelle Chopin, age 9
550473	315993	Joan Warren
550473	320294	
550473	326851	Betty Morgan
550473	333062	Françoise
550474	72867	
550475	20625	Extra
550475	308382	Raider
550476	38485	Eva
550476	106682	
550476	156432	
550476	173828	
550476	293435	
550476	308321	
550476	325010	Gosha, the sorceress
550476	325012	Ursula
550476	325013	Gosha, the sorceress
550476	370695	
550476	377512	
550477	178613	
550478	87618	Francine
550479	41772	Girl
550480	155479	Verkäuferin in der Boutique
550480	391294	Martina
550480	399503	
550481	330376	Mrs. Archer
550481	399685	2nd Asylum Inmate
550482	243775	Eurydice
550483	208379	Boarder Guard
550484	104769	Herself - German Entry (3rd p
550484	130915	Herself
550485	158602	Barbara Wood
550486	51996	Connie Kirschbaum
550487	120044	Tanja
550488	288478	Location Reporter
550489	309678	Topless Girl at Door
550490	82683	Party babe
550490	86751	Brunette Hooker
550490	331555	Julia
550491	35704	
550491	130311	Shirley, News Reporter
550491	138699	Reporter
550491	250546	Laurie
550492	15231	Beautiful Girl
550492	100148	Wendy
550492	241583	Karen
550492	255345	Pregnant Friend
550492	330386	Dust
550492	405392	Libby
550492	406854	Maddy Piper Springer (1997-19
550493	10483	
550494	38005	Other Ways Demolition Squad s
550494	200048	
550494	327227	Lisa
550495	147507	Holgis Mutter
550495	325688	
550495	390812	Helga Markmann (1992)
550496	31405	
550497	390900	Child
550497	399405	Chie Karita, Additional Voice
550498	252003	Kristine
550499	22065	Herself
550499	26329	Nicoline
550499	83068	Ida
550499	134976	Egil's Date
550499	153355	
550499	182629	Charlotte
550499	274831	Læge
550499	305004	Veronica
550499	307769	Celia
550499	314993	Solveig
550499	344678	Anna
550499	375163	Ulla Hartmann
550499	382899	Gurli Lund
550499	393474	Maria
550499	397955	Helle Bang
550499	401737	Various roles (sketches)
550500	258289	Prudence Malone
550500	281374	Poppy Dickey
550501	396412	Host (1954-1957)
550502	134950	
550502	136635	Søster Erika
550502	166751	
550502	198052	
550502	224182	Fru Henningsen
550503	175351	Farmer's wife
550504	381134	Herself - Interviewer
550505	46657	
550506	186328	
550507	22844	Ulla
550507	107427	Elena
550507	159573	Samantha
550507	160579	Fiona Luxford
550507	181152	Helle Junkersen
550507	189505	Lieve
550507	206924	Mary Magdalene
550507	308548	Rosa
550507	385307	Verity
550507	396786	Susanna Boyd, Russell's wife
550507	397955	Mona Worm
550507	406079	Officer Jane Castle
550508	214825	
550509	10702	Alice, Age 8
550509	71861	Christy Hamilton
550509	122242	Little Girl (Other Player)
550509	149708	Jodi
550509	183343	Pregnant Girl
550509	188642	Lisa (The Andersons episode)
550509	265859	Girl
550509	364692	Thelma
550510	44786	
550511	374285	Dominic's Mother
550512	299424	
550513	8942	Frau Jäger
550513	23199	Emilie
550513	34996	
550513	134986	Nackte Frau
550513	144022	Mutter Lehmann
550513	209999	Geliebte des Vaters
550513	210144	Gräfin
550513	258772	Therese
550513	292104	Prinzessin
550513	312633	Anne Lüders
550513	314716	
550513	410774	Müllerin
550514	184579	Woman in News Office
550515	9752	
550515	40212	
550515	63583	
550515	63612	
550515	374837	
550516	178532	
550516	180686	Mother
550517	349007	Mirka
550518	244138	Conducteress Masa
550519	216240	Azelma
550520	4093	
550520	15366	Queen Sheelavati
550520	16573	Roma
550520	18926	Special appearance
550520	36000	
550520	43313	
550520	58592	Vicky's beloved (Special Appe
550520	62750	Pooja
550520	76809	
550520	85276	Nisha (special appearance)
550520	86651	Roja
550520	86736	Radhika
550520	90443	
550520	95329	Lily
550520	101400	Bijuriya
550520	122806	Priya
550520	137815	Khushi
550520	152486	Preeti
550520	152697	
550520	159306	Pallavi
550520	160932	Herself
550520	167980	Saawni
550520	172539	Dr. Priya
550520	175106	Mansi
550520	175879	Swathy
550520	184075	Special appearance
550520	195786	Sapna Chopra
550520	196188	Shivani
550520	201331	Nisha
550520	204392	
550520	226111	
550520	247162	
550520	268563	Neelam
550520	271646	
550520	287989	Kajal
550520	288242	Seema
550520	297432	
550520	323625	Mohini
550520	324914	Pooja
550520	328141	Madhuri
550520	373709	Soniya
550520	394955	Host
550521	376596	Keltoum
550522	51134	Irene
550522	78435	Young Regitze
550522	181736	Else Hansen
550522	300988	Editorial staff member
550522	382884	Tjenestepige hos Stegman
550523	116313	Kvinde i merkanteri
550524	89376	
550525	240584	
550526	307189	Additional Voices
550527	132951	Ragazza Marco #2
550528	400112	Anja
550529	138603	
550530	32052	Shopper
550530	254415	Tim's Mother
550531	256679	Falusi lány
550532	380059	Roxana
550532	385336	Cynara
550532	385873	Reneé Lastra
550532	398490	Joanna Sierra
550532	401090	Rosalía Alamo
550532	401438	Sandra
550532	403884	Zoraida
550532	405473	La Divina Joana
550532	412192	Catalina Lizárraga Miranda
550533	281336	
550534	281873	Jani
550535	55759	Francesca
550535	127844	Elena's Aunt
550535	247642	
550535	386748	
550535	400789	
550535	408797	
550536	67909	
550536	112720	Maria Teresa Zucca
550537	89271	Alice
550537	358339	Nun
550538	346476	
550539	59375	Reynolds Dey
550539	84956	Menage A Trois Woman
550539	152898	Dixon's Wife
550539	163719	Anna
550539	196586	Bridgette
550539	262261	Maria Owens
550539	296980	Karen
550539	304814	Suzanne
550539	305150	Catalina McTeague
550539	329844	Sally Trent
550539	333423	Jacqueline Kennedy
550540	52187	
550540	207827	Matilda
550540	214002	madre famiglia De Blasi
550540	222856	Sandra
550540	234776	
550540	377591	
550541	15030	Clémentine
550542	403885	Lupe
550542	410477	Valentina
550543	34567	Cécile
550544	23602	
550545	14433	Mrs. Porter the Madame
550545	78247	
550545	124568	
550545	129004	
550545	159740	
550545	227497	Mme. Lerat
550545	269008	
550545	269465	Lucy
550545	348129	Amalia Cavicchioni
550546	68325	Milly
550547	251611	
550547	351523	
550548	26042	Zephir (french version)
550548	53239	La reine Margot
550548	101534	
550548	107540	Soledad
550548	195152	Marie d'Anjou
550548	251543	Franca Lachenay
550548	284182	Tina
550548	355883	Herself/Franca
550548	381520	
550549	34567	
550550	175054	
550551	281637	Yvette
550551	377068	
550552	52892	Luisa
550552	251609	Wife
550553	396305	
550554	71143	
550554	384891	
550555	386020	
550556	23377	Silvia
550556	27997	
550556	69016	
550556	70009	
550556	80105	
550556	108882	
550556	131970	Gladys
550556	193144	
550556	193225	
550556	193502	Lola Mora
550556	197158	Nelda
550556	258618	
550556	265159	
550556	266478	Doctora
550556	281612	
550556	287867	
550556	292766	Raquel
550556	333383	Rebecca Kaplan
550556	379651	
550556	383089	Barbara Narvaez
550556	384775	Claudia
550556	397574	
550556	400661	Amanda de Jáuregui
550556	401436	Serena Santamarina
550556	402248	
550556	402301	
550556	402586	
550556	403366	Raquel Falconi
550556	403650	Matilde
550556	403748	Rosa
550557	6021	In the Supermarket
550557	41135	Claire
550558	331467	What's The Point
550559	129862	Beauty Contest Entry
550560	41733	Diner Waitress
550560	96691	Triage Nurse
550560	269809	Ginger
550560	306051	NSA Agent Mary
550560	325980	Sandy
550560	327756	Patricia Buchanan
550560	368259	Sarah
550560	368707	Sheila
550560	389858	Connie Cooper (1995)
550561	327756	Patricia Buchanan
550562	185369	Judith Wilson/Edna Renfro
550563	256401	Hilda
550564	183586	Chelsea Price
550565	110739	Miss Calligary
550565	211486	Cook Saba
550565	383226	Jude Patton
550565	388547	Matron
550565	402139	Esme Allen
550566	108474	Assistant Choreographer
550567	96564	Cherry Apple-Day
550568	41059	Miss Hilden, Salesgirl
550568	116790	Evelyn
550568	192064	Sister Margaret
550568	210718	Secretary
550568	224672	Helen Paggi
550568	250647	Mrs. Carol Lethany
550568	304954	Myrtle, Remy's secretary
550569	149974	Office Gossip #1/Office Voice
550569	273480	Herself
550570	254625	Townswoman (May)
550571	380276	Mrs. Parker-Smythe
550571	383136	Ruth
550571	385095	
550571	386577	Emma Stuart-Clark
550572	116179	Moira
550572	138821	Sally
550572	264992	Dori
550572	288697	Poopsie Patata
550572	329915	Judge
550573	183053	Cop #1
550574	41352	FBI Agent Littel
550577	399468	Luna
550578	367833	
550579	259409	Herself
550580	184579	Nurse
550581	7933	Mrs. Sandbo
550581	242524	Cafe Woman
550582	90378	Fern Averback
550583	397938	American Woman
550583	406917	Eve Braddocks
550584	29650	Store Customer
550584	204890	Woman
550584	228493	Realtor Woman
550584	336164	Norma
550585	384800	Herself
550586	291222	Reporter #8
550587	64672	Spy for the Cause
550588	34735	
550588	38875	Michelle
550588	39869	
550588	46582	
550588	132297	
550588	183368	
550588	196554	
550589	190047	Secretary
550589	230116	Elevator Woman
550589	317261	Hot Dog Vendor
550589	341847	Air Traffic Controller
550589	342020	Vivian Sinott
550590	330836	Child
550591	89881	
550592	8322	
550593	339151	
550594	1923	Herself
550594	93762	Chloe Frost
550594	112601	Rosa Lopez
550594	193296	Amanda Ibarra
550594	253227	Vola
550594	333893	Samantha Sanchez
550594	345648	Cinnamon
550594	408326	Samantha Sanchez
550595	336078	
550596	40271	Adela
550596	53838	
550596	96375	
550596	148072	
550596	189032	Inés
550596	193052	Lali
550596	199930	Rosa
550596	253776	
550596	301151	Rosa
550596	319655	Emilia
550597	97983	
550598	133347	Young Polly
550599	348199	
550600	8841	First dancers
550601	316881	Ya Ya
550602	337007	Dame event 2
550603	295181	Infermiera
550604	131765	First Elderly Lady
550605	193426	Edelknaben
550606	303920	
550606	317651	Fru Kristoffersen
550607	325457	Irene Frevert
550608	6985	Party Goer
550609	190805	Natasha
550610	352145	Deborah Ann Kaye
550611	172826	
550611	215096	Áronffy Gerõné, nagyanya
550612	225019	
550613	46871	Lucy Redfield
550614	357834	La serveuse
550615	13450	Kelly
550615	80959	Bookseller
550616	185530	Herself
550617	8984	Kei
550617	24688	Birgit
550617	48342	Sibylle
550617	94317	Anette Halm
550617	113660	Julia
550617	121046	Wendla
550617	171846	Ulla
550617	172065	
550617	186735	Pien
550617	204470	
550617	269954	Eva Zauner
550617	311424	
550617	322623	Claudia Stöckle
550617	325606	
550617	381700	Katja Bauermann
550618	14192	Lana
550618	339645	Fortune
550619	26120	Zelika
550620	40486	
550620	58508	Tina Lukof
550620	149621	Lucka
550620	286631	Irena
550620	339281	Grand-Daughter
550620	351276	
550620	374074	Lída
550621	12520	Herself (daughter)
550622	345074	La mère
550622	380864	Anne (jeune fille)
550622	383955	Sophie
550623	31632	Samantha
550623	139739	Emerald
550623	149708	Sally
550623	337308	Shelly Newman
550623	358662	Luan Paxton
550623	385824	Lee DuMonde Carmichael Willia
550623	410977	Sally Moore (1969)
550623	411819	Jill McComb #2 (1965-1966)
550625	260149	
550626	217919	
550626	309088	
550626	322395	Gloria Gold
550626	353557	Alicia
550626	355882	Clement's secretary
550626	396215	
550627	278093	Helen 'Gypsy' Vale
550628	45511	Maria
550628	109597	Miriam
550628	297082	Mary Madigan
550628	328451	Bella O'Neill (Dermont's sist
550629	100279	
550630	332016	Roadhouse Stripper
550631	183445	
550631	329448	Tess
550632	55016	La fiancée brune
550632	108210	
550633	379793	Engrace Testemale
550633	385002	Une ménagère
550634	155453	Blonde in Church
550635	218969	Nadine Schäffler
550636	2584	Rosetta
550636	3574	Rita
550636	8540	Amelia
550636	24835	Rosella
550636	51360	Giulia
550636	83248	Nidia
550636	86114	
550636	90526	
550636	121941	Marietta
550636	125773	Maria Bossi
550636	160122	
550636	192968	
550636	204924	Tina
550636	221910	
550636	230260	
550636	237518	La giovane padrona di casa
550636	269110	Isabella
550636	269177	
550636	327440	
550636	328210	Teresa Venerdì
550636	335227	
550636	336147	
550636	347499	
550637	2252	(segment "Sida, c'est les aut
550638	56929	Precisa
550640	14842	
550640	16373	
550640	94697	
550640	110434	Olga Sukareff
550640	126316	
550640	158708	
550640	205156	
550640	229669	
550640	238294	
550640	249250	
550640	255093	
550640	301356	
550640	336380	
550641	398040	
550642	285245	(segment "Belinha, a Virgem")
550643	51569	
550643	344739	
550643	356029	
550644	47426	Chicklet Girl
550644	114296	Jesse
550645	316054	Marsha Spillane
550646	154593	Isabelle de Courcy
550647	2017	Carol
550647	87391	Officer Davis
550647	151297	Waitress
550647	185624	Bridget
550647	238234	
550647	245183	Judith Mudd
550648	162986	Manicurist
550648	184879	Alicia Del Ferril
550648	241697	Ursula
550648	321699	Mrs. Hamshari
550648	366983	Reporter #2
550648	395135	Alicia Del Ferill
550648	398208	Charlene
550648	400899	Hérane
550650	140283	Nadia
550651	71835	
550651	301296	
550652	309820	Fabiana
550653	235012	Second lady
550654	42805	Pam
550655	383582	Mlle de la Mare
550655	408785	Tabitha
550656	1519	
550656	32438	Lady Reporter
550656	40301	Party Guest
550656	42438	Patty
550656	100827	Mrs. Morton
550656	244919	Woman with Flowers
550656	252925	Police Technican
550656	289021	
550656	293021	Detective
550656	338909	Denise Mayfield aka Nefertiti
550656	400236	Judith (1997-1998)
550657	316661	
550658	145041	Lee's mother
550659	352157	Maria's dochter
550660	53923	
550661	12083	Paca
550662	158628	Nadia
550662	255544	Supplente Rizzi
550662	270840	Simona Comelli
550662	392979	
550663	279680	Herself
550664	209959	
550665	4925	Madame Zero
550665	5106	
550665	17382	
550665	18180	
550665	28544	
550665	33486	Luciana, moglie di Ettore
550665	51863	Leda
550665	54334	Mensageira
550665	55078	Paula
550665	55451	Model
550665	69054	
550665	69494	
550665	70615	Laura
550665	71384	Bruno's Mother
550665	74001	Claire
550665	75259	Milena (segment "E vissero fe
550665	82622	
550665	83706	
550665	84536	Dona Sol
550665	96078	
550665	97647	
550665	102669	
550665	103791	
550665	104353	
550665	112765	
550665	116641	
550665	129330	Herself
550665	148473	B.B.
550665	155550	Amazon Queen
550665	159546	Herself
550665	162054	Wanda
550665	171477	
550665	199997	Marta
550665	204993	a singer
550665	205003	
550665	216335	Anna
550665	221729	
550665	222158	Herself
550665	222181	Herself
550665	222185	
550665	225811	
550665	227834	
550665	234627	Mara
550665	244069	Friend
550665	246469	Marly
550665	246852	Débora
550665	246971	
550665	248680	Sílvia Riccelli
550665	278568	
550665	283554	
550665	307500	Norma
550665	322819	Madame Xavier
550665	328035	
550665	328628	Sanya
550665	346801	Vellini
550665	349673	Gertrudes
550665	379244	Paula
550665	392629	Nena
550665	400799	
550665	400902	Irene
550665	404960	Vera
550666	376383	
550667	204060	
550668	143808	
550669	86948	
550670	72029	Julia
550672	96301	
550673	88199	
550674	220193	
550675	349696	Reni
550676	279204	Susan
550677	197986	
550678	19406	Herself
550678	144792	Herself
550679	139647	Anna
550680	159646	Dancer
550681	214364	Dancer
550682	203965	Christina
550683	206209	Waitress 2
550684	84268	Woman Cashier
550685	29559	Annie
550685	115401	Anna Rydell
550685	120922	Lo
550685	225235	Karin
550685	228397	Maria Pettersson
550685	304161	Doris
550685	315373	Linda Svensson
550685	322310	Maria
550686	77701	Dancer
550687	147002	
550688	233284	Direktør Pelvings sekretær
550688	283484	Borger
550689	381908	Herself (season 2)
550690	35502	La spécialiste de rap
550690	55815	La gardienne
550690	69116	La concierge
550690	80174	Lady with the dog
550690	118837	Le femme-flic
550690	123444	Dietetician
550690	178287	La voisine
550690	211362	Elodie
550690	233058	Concierge
550690	275621	Pauline
550690	278146	La psy
550690	286463	L'hôtesse de la mairie
550690	356362	Myriam
550690	390861	Béatrice Goldmann
550691	43638	
550691	58232	Mme Gabison
550691	59301	La femme médecin
550691	93878	L'interprète
550691	132887	Viviane
550691	134957	La mère de Grégoire Moulin
550691	154241	L'actrice
550691	166125	Eva
550691	167103	La baronne
550691	211658	La cadreuse
550691	217728	Martine
550691	240429	
550691	275128	Stéphanie
550691	278734	Audrey
550691	291584	(segment "Déçue")
550691	357093	
550691	400698	La vierge/Une cliente (Détour
550692	340006	
550693	32313	
550693	104705	Herself
550694	5579	
550695	22096	
550695	211287	
550696	11745	
550696	23133	
550696	89509	
550696	377536	
550697	11639	
550698	64510	
550698	121381	Undetermined Role
550698	128367	
550698	143128	
550698	186310	
550698	250563	Barbara
550698	276676	
550698	360605	Little Bessie
550699	9047	Mary Lacy
550699	66624	Helen Calhoun
550699	112630	
550699	162401	Anita Nelson
550699	210903	
550699	282356	Mary Ross
550699	310789	Elsa McGuire
550699	342841	Helene Dumont
550699	361725	Mary Osbourn
550700	10900	Mrs. Conway
550700	78155	Guest at Party
550700	115616	Laura, Her Sister
550700	194465	Grace Callender
550700	194466	
550701	46709	Barmaid
550701	55698	Cynical Lady
550701	61564	Vera McNally
550701	77623	
550701	83618	Una
550701	94201	Blonde
550701	133995	Lady Allison
550701	139235	Norma Blackhurst
550701	152531	Aunt Louise
550701	154657	Restaurant Manager
550701	160064	
550701	163547	Wife,\\ Girlfriend of Mr Routi
550701	177606	Countess Astrid
550701	183438	Miss Pinsent
550701	190934	Lady Faraday
550701	194641	Miss Bullen
550701	200132	Socialite in Sotheby's
550701	203548	Chloe
550701	210274	Paula Hepburn
550701	222567	Matron Alice Fanbraid
550701	252882	Miss Welsh
550701	255261	
550701	263102	Monica Reed
550701	282037	Sister Tutor
550701	323871	Nurse
550701	324142	Mrs. O'Shaugnessy
550701	349404	Miss Potter
550701	364437	Party Guest
550701	365141	Assistant
550701	382559	Mrs Templeton-Smythe (eps 1-7
550701	382701	Hannah Harvey (Season 1)
550701	386583	Mrs./Lady Elizabeth Loftus
550701	392083	Kate Brett (1960)
550701	398745	The Secretary
550701	405890	Betty Keyes
550701	406919	Fiona
550701	407408	Mabel Norrington
550701	409666	Lady Prudence Fairfax (16 epi
550702	405144	Maya Ibuki
550703	337467	Lady Barnsdale
550704	2252	(segment "Vertige de l'amour"
550705	103877	Nanou
550706	224904	
550707	152676	Amie
550707	240444	Karaoke bank client
550707	307672	Anne
550708	376907	Fatiha
550709	399807	Yahaira
550710	91071	Herself
550710	104778	Croatian entry (15th place)
550711	27676	
550711	119074	Niobe
550711	375301	Katia
550711	383448	Agostina (Tina) Rosati
550712	63542	
550713	331496	
550714	374572	Rachel Lurie
550715	308311	
550716	365592	Cousine #3
550717	375723	Meisje
550718	342669	Maya
550719	202421	Femme du conducteur
550720	190024	Melody D'Canario
550721	128154	
550721	129989	Adwoman
550722	32241	Club Patron
550723	75769	
550723	237630	
550724	2527	Herself
550724	2899	Herself
550724	2904	Herself
550724	3040	Herself - discussing Warren B
550724	3044	Herself
550724	3761	Herself
550724	11670	Herself
550724	13789	Carolyn Burnham
550724	13793	Herself
550724	14141	Sydney Ellen Wade
550724	33180	Julia Lambert
550724	35720	Herself
550724	43941	Herself
550724	49026	Virginia Hill
550724	87964	
550724	117659	Herself
550724	133743	Kate Craig
550724	134345	Myra Langtry
550724	135569	Ruth Merrill
550724	149932	Jill
550724	157636	Claire Cooper
550724	175544	Herself
550724	195305	Terry McKay
550724	204210	Ann Tillman
550724	206488	Barbara Land
550724	221267	Jean Harris
550724	242524	Sue Barlow
550724	243147	Herself
550724	261530	Evelyn Ames
550724	274805	Sarah Turner
550724	277681	Queen Elizabeth
550724	299317	Herself
550724	301077	Elise Kraft/Sharon Bridger
550724	346026	
550724	350062	Katherine Merteuil
550724	362355	Susan Anderson
550724	386414	Herself
550724	395491	Abigail Adams
550725	40129	Jennifer the Babysitter
550726	49848	Sarah Michaels
550727	252589	Pilar
550727	383566	(2nd season)
550727	386420	Emília
550727	387732	
550727	387901	Bia
550727	395302	Isabel
550727	396610	Laura (1999)
550727	402537	
550728	55208	Zuñiga
550729	263359	Teenage Sarah
550730	198905	
550731	192267	Restaurant Patron
550732	165830	Manako
550732	288053	Otane
550732	348571	Otsuru
550733	68276	Ann Bryan
550733	133497	
550733	309047	Renee Marcus
550733	386603	
550733	392177	Mina
550733	400236	Meredith Lord Wolek (#2) (196
550733	411802	
550734	163450	Tabitha Quick
550734	197922	Zoe
550734	376740	Rosita
550735	294662	
550736	89482	Karolka
550736	95727	Flora
550736	125141	Lora, Ania's cousin
550736	164260	Joasia Kopytkiewiczowa
550736	165845	Hania Pudlowiczowna
550736	166614	Ania Porecka
550736	197128	Anna
550736	214245	
550736	217217	Nina Kostowna
550736	266325	Maryjka
550736	294662	Hanka
550736	311770	Lili Madecka
550736	341165	Inez, gold-digger
550737	100106	Sandy
550738	96335	Madre de Miriam
550739	65640	
550740	55937	Woman on Bus
550741	55122	Dancer
550741	72292	Featured dancer
550741	231900	Juror
550741	262589	Store Owners Wife
550742	276121	
550743	383076	Host
550744	55091	
550745	401644	Herself - Friend
550746	367982	Lillian Taylor
550747	196660	Gorda Maria
550748	286228	Dancer
550749	326202	Colegiala
550750	100703	Chica del club
550751	103201	Herself (Finalist)
550752	27160	Mam
550752	279611	Tattooed lady
550752	317194	Mrs. Greatres
550753	69004	
550754	148036	
550755	223106	Herself
550755	288696	
550755	401681	Shirley (2002-)
550756	140193	Psych Patient #1
550757	280663	Russian Doctor
550758	95154	Claire
550759	227317	Une cliente gym-center
550760	275104	Miss Hagerson
550761	127581	
550762	143264	Marching Girl
550763	39621	Miriam
550763	68235	Teacher
550763	154180	1st Nurse
550763	365214	
550763	393290	Presenter
550763	397182	
550763	401617	Herself
550763	401623	Presenter
550763	404826	
550764	322353	Enfant Brochu #2
550766	318738	Trish Saunders
550767	65754	Rave Dancer
550768	7718	Basketballplatz
550769	169046	Girl
550769	220793	Grace
550769	391184	Susie Baxter (1965-1966)
550770	93987	Summer
550770	283624	Additional Voices (Manga Vide
550770	394424	Additional Voices
550770	408893	
550771	122986	
550772	143522	Young Stella
550773	381503	Young Claudia
550773	384485	Kate Shepherd
550773	387247	Lisa Shaw/Fowler (1998-2002, 
550773	393934	Fiona McBride
550773	402092	Julie Craig (1989, 1992-1993)
550774	26825	Herself
550775	44433	Woman at Site
550777	47210	Herself
550777	378825	Herself
550778	216734	Fiona Armstrong
550779	170895	Anita
550780	318138	Handmaiden
550781	391803	Herself (1998)
550782	298318	Radio Voice
550783	196546	Belly dancer
550784	276712	Belly Dancer
550785	379154	Tracy Kramer
550786	318337	Lunch Lady
550786	401885	Herself/Production coordinato
550787	2252	(segment "Teuf d'enfer, La")
550788	241249	Kaylee
550789	305435	Jennifer Cross
550790	100382	Herself
550791	12087	
550792	339147	
550792	389233	Margarita Ubaque (2002-2003)
550792	393364	Mireya
550792	398478	Ana Soler/Mariana Ferrer
550792	404580	Victoria Segura
550792	408205	Mafe
550793	177527	Angelina
550794	276437	
550795	349861	Kimy
550796	353710	(segment "Beach Scenes")
550797	349627	Gráci
550798	355244	Ének
550799	142273	
550799	361997	Andrea Blecker
550800	217850	Molly
550801	372071	Sloan
550802	31470	Herself (Ex-Girlfriend)
550803	458	Luise Papendiek
550803	12571	
550803	14538	
550803	15142	Andria
550803	24010	Luise
550803	33140	Thekla
550803	35204	Gräfin Palmatica
550803	36475	Auguste Wolff
550803	42599	Bianca
550803	56102	
550803	59561	
550803	78546	Mme. Georgette
550803	86328	Suleika
550803	87738	
550803	93439	
550803	94168	
550803	101340	
550803	102371	Lilly Clausen
550803	102518	
550803	102969	Käthe
550803	104661	Tante Fita
550803	108158	
550803	108550	Daisy von Roy
550803	119166	Frau Gerlack
550803	119242	Stabila
550803	119688	
550803	120951	
550803	120953	Franziska
550803	121041	
550803	125214	
550803	126461	Anna von Boehlen
550803	130579	
550803	130931	
550803	140204	Frau Kellermann
550803	140239	Katja
550803	142111	Mme Pythia
550803	142140	
550803	142824	Die Kesse
550803	144158	Elinor
550803	145348	
550803	145468	
550803	155357	
550803	155382	Maria Dahlberg
550803	155603	
550803	156057	
550803	156983	
550803	156987	
550803	157843	Hermine Kackelmann
550803	159625	Tante Ottilie
550803	163080	Tante Emma
550803	168396	
550803	173734	Peggy MacFarland
550803	175278	
550803	177151	
550803	178649	
550803	180637	I.Schulze
550803	180640	Erna
550803	186186	Elisabeth
550803	189673	Ilse
550803	189685	Frau Lüsenhoop
550803	189780	Angelina
550803	195052	
550803	201263	
550803	204037	
550803	208469	
550803	209345	
550803	210077	
550803	210140	
550803	210317	
550803	216375	Madame Lavable
550803	218912	
550803	219273	
550803	223470	
550803	225226	
550803	242841	
550803	242842	Hermine
550803	252323	Josefine Krüger, Schriftstell
550803	253967	
550803	272781	Frau Striese
550803	272782	
550803	281768	
550803	289823	
550803	290221	
550803	290272	Fin
550803	290649	Philine Melchior
550803	290836	
550803	290846	
550803	302679	Dr. Toni Bruscher
550803	306405	
550803	308216	Therese Leuchtenthal
550803	310511	Katharina Eberhorn
550803	314895	
550803	316555	Hilde Neumann
550803	316818	
550803	317636	
550803	324691	Nicolle Ferrar
550803	326204	Elvira Rembrandt
550803	345571	Lisa Brandt
550803	356751	Margot Hollmann
550803	359627	Herself
550803	359691	
550803	359694	
550803	361367	Hermine Knauer
550803	361389	Frl. Biermann
550803	361431	Lilo Wörner
550803	361470	Selma
550803	361553	
550803	374371	
550803	376330	
550803	387769	Barbara Barstow
550804	229279	Chernata Vera
550805	192902	Komarka
550806	290939	Reporter #2
550807	43954	Josie
550807	45309	Waitress
550807	68687	Hope
550807	113261	Blonde in Bar
550807	113826	Wendy Richter
550807	151183	Waitress
550807	360055	Baby's Mother
550808	182831	Worker girl
550809	377726	Boxer
550810	388015	Host
550811	144073	
550811	156592	
550811	173662	
550811	189400	
550811	356069	
550811	394876	
550811	396726	
550812	383107	Kazuko Suema, Additional Voic
550813	44199	
550814	3547	Lilla Kalmár
550815	147929	
550815	176207	
550815	258808	
550815	278421	Galambosné
550816	377055	Fille au Luna Park 2
550817	145754	Choreographer
550818	145503	
550819	50203	Carmen
550820	73142	Lili
550821	163529	
550822	375694	Zombie
550823	233249	
550823	339227	
550824	144681	Hotel Lady
550825	191190	
550826	364300	Herself
550827	226506	
550828	2520	
550828	10464	
550828	33517	
550828	51554	
550828	61756	
550828	61989	
550828	68793	
550828	80333	
550828	194129	
550828	249788	
550828	249893	
550828	353235	
550828	353551	
550829	330282	Stacy
550830	108389	Jessica
550830	157636	Ruby
550830	200105	Baby Brady
550831	71495	Woman at Party
550831	336782	Girl in Torreyson's
550832	183879	Gawain's Sister
550833	211336	Canning Receptionist
550833	242732	Drunk at Bar
550834	289558	Gutierrez child
550834	295032	Rachel
550835	25152	
550835	28771	
550835	64781	
550835	68650	Cinzia
550835	132557	
550835	135150	
550835	255541	Domenica
550835	265450	
550835	294526	
550835	315437	
550835	328891	
550835	344451	
550835	375235	
550835	392974	
550836	395644	
550837	306371	Restaurant Guest
550838	188835	Fischerin
550838	219263	Sprecherin
550839	5659	
550839	21403	
550839	33140	
550839	94423	Kundin bei Schütz
550839	237738	Frau Wolfert
550839	347430	
550840	347998	Herself
550841	3023	Inge Brunner
550841	15018	La fausse italienne
550841	45975	Angela
550841	89956	Andrea
550841	99527	Ann
550841	197308	Lulu
550841	210095	
550841	264220	Anna Freud
550841	276096	
550841	290277	
550841	301784	Pharmacist
550841	306149	
550841	325881	Margot
550841	336499	
550841	345039	Chloe
550841	358900	
550841	365596	Hedwig
550841	395866	Sabine Schulke (episode "Der 
550841	407986	Luise
550842	167866	Toddler
550843	154449	
550844	73	Walter's Daughter
550845	167866	Toddler
550846	342390	Boiler Girl
550847	124646	
550847	293108	Signing Woman
550848	158102	Rockland T-Ball
550849	225485	Woman at manor #2
550849	357765	Hannah Blomkvist
550850	169387	Screaming girl
550851	310950	Woman
550852	102397	Solo Ballerina
550853	27983	
550854	178140	Fantasy girl
550855	238503	
550856	213352	Eleanor's Mother
550857	77643	Amazon Chorus Girl
550858	27091	Additional Voice Talent
550859	188210	
550859	241788	Woman in park
550859	280675	Ruth Moody
550859	375045	Ziegfeld Girl
550860	190088	Betty
550861	139409	
550862	27598	Herself - Participant
550862	403530	Herself - Participant
550862	403531	Herself - Participant
550862	403535	Herself - Participant (2003)
550862	403536	Herself - Participant (2003)
550864	245337	High School Student
550865	222599	Reporter #3
550866	241615	Student
550867	7482	Chorus Girl
550867	31363	Arabella Hawkins
550867	34700	
550867	47419	
550867	47791	Agnes De Costa
550867	49804	
550867	53192	
550867	56821	
550867	75856	Doris Steele
550867	76564	
550867	79664	Polly
550867	90144	Carlotta
550867	107132	Lottie
550867	114930	
550867	116691	Annette Ritazi
550867	128150	
550867	130613	
550867	131693	Toots
550867	132590	Susie Trammel
550867	132602	Dorothea Hallowell
550867	137209	
550867	140958	Mabel Manning
550867	143027	The Vamp
550867	145955	
550867	147736	
550867	152189	
550867	168916	
550867	190471	Bonita
550867	190780	Doris
550867	193998	His Downfall (Bebe Blair)
550867	194991	Gladys Hungerford
550867	203759	Jessie McRae
550867	213116	A Vamp
550867	220165	
550867	224062	Typist
550867	230752	Marie Cartier
550867	243215	The Vamp
550867	246703	Jury Member
550867	263515	Ardath Courtney
550867	278267	Lily
550867	301658	Haldee
550867	301761	Lily Elliott, the soubrette
550867	305608	Louise Briggs
550867	307978	
550867	330343	
550867	331423	Annie Darrell
550867	331757	Princess Zola
550867	335625	
550867	340011	A Flower Girl
550867	342997	Rose
550867	364613	Jean Ralston
550867	366917	Nora Foster
550868	66655	The Pilot
550868	271198	
550869	385705	Mrs. Diane Bennett (recurring
550870	311037	Jewelry thief #2
550871	63135	Lab Assistant
550871	109649	Sue Allen Baines
550871	117730	Paltrow's Girlfriend
550871	239756	Secretary to Mr. Shaffer
550871	241811	Hanna's girlfriend
550871	267174	Nurse
550871	340546	Valerie
550872	221773	Candy
550873	242734	
550873	344074	Kvindelig mudderbryder
550873	360708	
550874	392119	Presenter (2002)
550875	67862	Nancy Harris
550875	212746	Mary Jones
550875	330188	Janie Webster
550875	362154	Little Marion
550876	169172	Theatre Audience
550877	245337	High School Student
550878	308177	Shelley, Richard's Girlfriend
550879	39596	Nancy Blake
550879	195314	Virginia Hamilton
550879	220003	Beatrix Townleigh
550879	321897	Fleurette
550879	349982	Unborn soul
550880	5419	
550880	13259	
550880	20611	
550880	21790	Gonda
550880	23310	Belle Hathaway
550880	26464	
550880	31208	Mrs. Judson
550880	32349	Valerie
550880	37308	Mrs. Isabel Thompson
550880	43454	Mary Jackson
550880	48164	
550880	54193	
550880	59755	Charlotte Whitney
550880	71895	Mary Colbrook
550880	81280	Nellie Van Alston, the Colone
550880	84852	
550880	85085	The Devil Skipper
550880	85094	Millie Benton
550880	96815	Afy Hallijohn
550880	109330	
550880	109568	
550880	113974	Helen Mallory
550880	115262	Truth Eldridge
550880	118446	Virginia
550880	121238	Angela De Haven
550880	141439	
550880	142556	
550880	145965	
550880	146246	Carla Light
550880	155863	Eleanor Woodbury
550880	157747	Mrs. Perlmutter
550880	162384	The Queen Mother, Anne of Aus
550880	166911	
550880	167263	
550880	185562	Cora Batesford/Floribel Bates
550880	190911	Odette
550880	192150	The Daughter
550880	193798	Martha Sellers
550880	196972	
550880	203709	
550880	208695	Mollie Vaughn
550880	213509	Musette
550880	217424	Molly Wilson
550880	218156	
550880	219900	Mrs. Ellis
550880	219968	Mother Machree (Ellen McHugh)
550880	221333	Undetermined Role
550880	224062	Mamie Reynolds
550880	235461	
550880	257807	Amy Dale
550880	262059	Mamie Stone
550880	273726	Helen Parr
550880	273801	Mrs. Fleming
550880	273829	
550880	273830	Jane Whiting
550880	307430	Dora, the General's Daughter
550880	309486	Courtney Maitland
550880	311733	Miriam Driscoll
550880	314353	Stella Dallas
550880	321079	
550880	321231	Lady Julia
550880	329809	Harriet Marlett
550880	360190	Mrs. schilling
550880	363328	
550880	364198	
550880	365260	Amelia Gare
550880	367660	Miss Miller
550880	372825	Aida
550881	54465	Mutter
550882	218942	
550882	220443	
550883	12194	Maud Smith
550883	13259	Duchess of Camberhurst
550883	31927	
550883	41322	
550883	52500	
550883	64115	
550883	65415	Mrs. Harriatt
550883	71912	Margaret O'Doone
550883	73817	Alice Dawson
550883	73856	Mrs. Warren
550883	93998	
550883	104340	Mrs. Tucker's Friend
550883	109401	Jane
550883	112443	Mrs. Dabney
550883	112590	
550883	123210	Aunt Martha
550883	128209	Mamie
550883	133832	Soubrette
550883	146187	
550883	183841	Duchess
550883	198792	Woman
550883	206327	Mrs. Pope
550883	206720	His Wife
550883	210646	
550883	220090	Undetermined Role
550883	224062	Gossip
550883	232341	Miss Brown
550883	241706	Synphorosa
550883	249109	Katherine Carrigan
550883	252296	
550883	272244	Mrs. Truesdale
550883	279730	Lady Marian's serving woman
550883	297875	
550883	304627	Mrs. Rivers
550883	308898	Aunt Marie
550883	331164	
550883	333076	Girl at Party
550883	337492	Landlady
550883	358717	Aunty Jones
550883	359101	Mrs. Lorraine
550883	362699	Hotel guest
550883	369369	Blendy Betts
550884	349982	Woman
550885	40842	
550885	129233	Cigarette Girl
550886	267565	Brenda
550887	41301	Beauty Contestant
550888	319462	Herself
550889	191427	
550890	78058	Nurse
550890	131635	
550890	134147	Mother
550890	254996	Willa Kilworth
550890	270258	Judith Fitzpatrick
550890	339711	The Waitress
550892	2202	
550892	6975	
550892	39226	
550892	41578	
550892	44674	
550892	264817	
550892	264877	
550892	306908	
550893	49320	Young Black Child
550894	362555	Ticketseller
550895	60186	Whitney Young Cheerleader #1
550896	263788	Account's Secretary
550897	212103	Sabina Johnson (Texas Deb)
550898	78080	Anita Carson
550898	84970	Helen Hand
550898	246531	
550898	309497	Dolly
550898	362892	Princess Elizabeth New Jersey
550898	365210	Eleanor Harbison
550899	59872	Pam
550900	192302	Mother #2
550901	141569	Secretary
550902	396050	Little Girl
550903	195300	Billy's Video Vixen
550904	7486	Duchess of Florence
550904	7877	Sharon Norwood
550904	7968	Carla, aka K-14 and Karen Sch
550904	16732	Dr. Karen Lawrence
550904	21555	Lucille McKinley
550904	32439	Lorry Evans
550904	44490	Doris Kendall, aka Lady Drake
550904	44951	Stephany Dale
550904	57919	Zenia Lascalles
550904	66644	Georgie May
550904	68464	Ellen Neal
550904	68477	Valerie West
550904	75928	Annette Sherman
550904	76911	Herself
550904	96789	Laura Murdock
550904	103330	Christine Blaine
550904	105308	Anna von Stucknadel
550904	105348	Edith
550904	131902	Lois Ingals
550904	131909	Hazel Woods
550904	141806	Herself
550904	161502	
550904	163347	Herself
550904	183373	Yoli Haydn
550904	183846	Venice Muir
550904	186354	Joan Madison, aka Miss Moore 
550904	199394	Joan Bannister
550904	199404	Estelle Anderson
550904	206459	Marcia Livingston
550904	211546	Jerry Kilbourne
550904	220270	Helen Hall/Raquel
550904	224321	Betty Smith
550904	224408	Aileen Alton
550904	244775	Lady Pearl Saunders Grayston
550904	245286	Iris March
550904	249068	Kitty de Mornay
550904	255339	Herself
550904	256110	Abby Nettleton
550904	273824	Chorus Girl
550904	277649	Connie Hayden
550904	280134	Judy Carroll
550904	286153	Sally
550904	294944	Helen Murphy
550904	302388	Sylvia Brenner
550904	302396	Kye Allen
550904	305472	Paula Rogers
550904	308391	Allana
550904	323154	Gerry Lester
550904	324010	Herself
550904	329565	Appearance
550904	330888	Ann Marvin
550904	331352	Frances Hawtree/Z-1
550904	335952	Marion Kerby
550904	335956	Marion Kerby
550904	342712	Adele 'Dell' Hamilton
550904	343249	Griselda Vaughn
550904	347724	Jane Moynihan
550904	349982	Unborn soul
550904	358969	Guerda Anthony
550904	362365	Mary Evans
550904	362562	Elise Bascom
550904	365188	Belle Andrews
550905	112445	Clara
550906	276799	Singer
550906	333245	
550907	330999	Bit Part
550908	823	Dismissed Model
550908	21047	
550908	31835	
550908	72754	
550908	91899	Twin
550908	112746	Actress in stag film
550908	128533	
550908	150255	
550908	160642	
550908	160945	
550908	161175	
550908	197741	
550908	215305	Secretary
550908	217899	Girl in bathtub
550908	226932	Herself
550908	228663	
550908	236348	
550908	236367	
550908	236370	
550908	236372	(segment "Art School for Nudi
550908	236374	(segment "Nudes on Tiger Reef
550908	239932	
550908	246016	
550908	275790	
550908	281469	Darlene
550908	292644	
550908	302347	
550908	302794	
550909	72754	
550909	91899	Twin
550909	112746	Unguenist
550909	150255	
550909	160642	
550909	160945	
550909	226932	Herself
550909	236348	
550909	236367	
550909	246016	
550909	281469	
550909	295664	Girl trying to get lucky into
550909	302794	
550909	309540	
550910	194665	Nurse
550911	407082	Herself (27 Days, Jaburu/Jaca
550912	171399	Himself (JT's band)
550912	368092	Sister at Concert
550913	99527	La mère
550914	321227	La Cantina Waitress
550915	146783	Mrs. Martin
550916	305489	Herself - Eternal
550917	359849	
550918	27149	Saleswoman
550918	37052	Winnie
550918	56310	Nurse to Lynn
550918	72247	Katie Werner
550918	79736	Nurse
550918	178758	Dance Hall Girl
550918	183405	The Countess
550918	211610	Attendant
550918	231794	Maid
550918	286058	
550918	286334	Woman
550918	305398	First Nurse
550918	312586	Flora
550918	329527	Mrs. Wilson
550918	340853	Woman on Bus
550919	26882	Bit
550919	46240	
550919	76027	Marcella
550919	123716	Bit
550919	140779	
550919	221547	Jackie Somers
550919	245527	
550919	268548	Bit
550919	332150	Phoebe Wilson
550919	340915	Eve
550920	130149	
550921	178883	Jealous Woman
550921	227470	Mr. Brown's child
550921	263955	Princess Arabella
550921	403228	Natasha Bell
550922	26289	Mrs. Atwood
550922	47191	Nurse/Demonstrator
550922	47952	Sarah Barratt
550922	52204	W.I. Judge
550922	70883	Mrs. Bligh
550922	120477	Fabia Quadrant
550922	151155	
550922	277142	Shirley Singleton
550922	299193	Angela Woodruff
550922	378675	Joan
550922	380373	Antonia Courtney
550922	382384	Sister Vincent
550922	382668	Various roles
550922	383998	Lola (1993)
550922	384384	Susan Adams
550922	386279	Mrs. Gayelorde-Sutton
550922	386858	Daphne Brewer (Series 3-4) (2
550922	391893	Enid Thompson
550922	395080	Mrs. Archer
550922	395164	Mrs. Dorothy Fulljames
550922	397626	Mama Sturgeon
550922	399738	Victoria
550922	400591	Beattie, Lady Wrathdale
550922	404252	Diane Lawler
550922	411741	Enid Tompkins
550923	142718	Abigail Folger
550923	189325	Mary
550923	220643	Tina
550924	64098	Waitress
550924	160976	Video Game Fighter/martial ar
550925	224025	Elkin's Girlfriend #2
550926	69938	Eve
550926	114974	Barbara enfant
550926	167239	
550927	21393	
550927	27307	Mrs. Morgan Pell
550927	37575	Roxie Kemp
550927	44078	Nell Bradley
550927	66311	Nell Bradley
550927	72027	Priscilla Mullens
550927	83678	Avice Bereton
550927	108030	Betty Palmer
550927	114805	Betsy Ross
550927	116717	Olivia Gale
550927	122130	Susie Baldwin
550927	126593	Fanny
550927	128237	Glory Wharton
550927	131512	
550927	137257	Muriel Rossmore
550927	138681	Doris Wingate
550927	138884	Millicent Lee
550927	140084	Betsy Thorne
550927	143206	Judith Westover
550927	160880	Greta Stenborg
550927	175233	Lizzie Henshaw
550927	175836	Mary Manning
550927	186313	Laura Dayne
550927	191692	Jerry Ross
550927	206390	Anne Mertons
550927	209588	Anne Hewitt
550927	219948	Eleanor Coutierre
550927	228686	Roberta Miller
550927	238705	Helen Burton
550927	249528	Agnes Cuyler
550927	264184	Fay Herron
550927	274192	Marise La Noue
550927	279730	Lady Marian Fitzwalter
550927	289459	
550927	291741	Lady Rosamund Godolphin
550927	292838	Film clips-stock footage
550927	301832	Marjorie Bowen
550927	304078	Mrs. Ellen Skinner
550927	308971	Mrs. Skinner
550927	314480	The Wife
550927	316321	Poppy Faire
550927	316955	Mrs. Morgan
550927	330253	Rita Hackett
550927	350151	Nancy
550927	355224	Shirley Armitage
550927	360067	Mrs. Mary Cronin Wetherby
550927	362202	Amy Fortesque
550927	362751	Nora
550927	367525	Mary Moreland
550927	367699	Eve Waring
550927	368962	Henrietta
550927	372843	Patricia Stanton
550928	317847	
550929	37383	Herself
550930	197270	
550931	145711	Celesti
550932	106626	Betty
550932	140539	Edith Busworth
550932	204551	Queenie
550932	207395	Lady Sinden
550932	238728	Ann Telford
550932	241383	Violet
550932	263589	Peggy Ramsbottom
550932	293183	Marion Harvey
550932	297185	Lady Jane
550933	388321	Belinda Rhodes (1997-1999)
550933	390422	Mavis Moulterd
550933	402776	Laura Forester
550934	3163	Nun
550934	35480	Night Nurse
550934	40740	
550934	46415	Judge Richards
550934	72691	Judge Sandra Farrell
550934	88978	Admissions Secretary
550934	102591	Miss Deal
550934	118548	Judge Holifield
550934	151365	Mrs. Cook
550934	165097	Judge
550934	166692	Judge
550934	178886	Nurse Mary Falk
550934	201350	
550934	204957	Grandmother
550934	219371	Airline Clerk
550934	223802	Nurse Etting
550934	230743	Dr. Christine Heffner
550934	231088	Judge Tracey Bennett
550934	241065	Dr. Liz Wells
550934	253335	
550934	258374	Debra
550934	265775	Emergency Room Nurse
550934	276835	Herself
550934	281054	Doctor #1
550934	281540	Mammy May
550934	304293	Mrs. Quinn
550934	327634	Nurse Lorenzo
550934	345689	Miss Bennett
550934	354817	Ms. Merriam
550934	389858	Flora Johnston (1983)
550934	399450	Head Nurse Lenore Ritt
550934	406952	Chief Harris (1997-99)
550935	17657	Connie
550935	108954	Bit part
550935	127394	Judy Benedict
550935	177434	June Edwards
550935	276835	Herself
550936	31437	Mrs. Newman
550936	53316	Lady Driver
550936	138164	Mother
550936	171675	Mrs. Gale
550936	206847	Esther
550936	305942	Polly, the barmaid
550936	362510	
550936	379590	Victoria Hackett #3 (1971)
550936	382830	Mrs. Robinson
550936	384783	Mary Augusta 'Gussy' Brown
550936	386481	Lady Chesterfield
550936	395559	Pam Batten (1961)
550936	398177	Monica Bakewell
550936	408091	Lady Weidler
550937	299688	Franny
550938	6146	Eve #1
550939	394390	Carla
550940	52528	Kit
550940	155678	Woman with powders
550940	211600	Hard-Boiled Virginia
550940	327582	
550940	329985	Mrs. Gibbs
550940	347061	Newspaper woman
550940	361806	Abigail
550942	100711	Mountain Nug
550942	215783	Joan
550943	32352	Reporter
550943	40968	Ruth Dixon
550943	118809	Mrs. Hargrove
550943	175405	Columnist
550943	194775	Indra
550943	213045	
550943	240902	Mrs. Lange
550943	276876	Interviewer
550943	282649	Dillie Clark, aka Mme. Myster
550943	289588	Ruth Halliday
550944	232676	Gallery Patron/Lesbian #2
550945	5531	Undetermined Role
550945	58828	Girl
550945	96989	Jane
550945	115849	
550945	144675	Undetermined Role
550945	183579	Girl in Sailboat
550945	223654	Bit Role
550945	257201	Girl at dock
550945	304305	
550945	335649	Mabel
550946	355028	The Academy's Blessed 'Virgin
550947	109237	Ma Jefferson Brown
550948	45867	Dr. Janet Bock
550948	368224	
550949	59930	Carnegie McCue
550950	7315	Eustasia
550950	15926	
550950	24209	Julie
550950	47191	Dr. MacMillan
550950	59456	Mrs. Fanny Duberly
550950	71682	Alice Carlion
550950	73360	Maggie
550950	79775	Miss Prosser
550950	106232	Susan
550950	117314	Jacoba Brink
550950	121503	Lily Lofting
550950	140535	Vivian Bancroft
550950	142154	
550950	142349	Capt. Gerda Peterson, Whale C
550950	154745	Margaret Stevenson
550950	158625	Liz
550950	170496	Calpurnia
550950	183722	Mrs. Ellen
550950	193882	First murdered girl
550950	197765	Willemien
550950	213313	Helena
550950	220273	Sarah (Moulin Rouge bartender
550950	222813	
550950	227473	Aunt Pen
550950	239562	Stella
550950	239568	Sally Brass
550950	248319	
550950	275413	
550950	298321	Mrs. Lyle
550950	304234	Jane Maitland
550950	331611	
550950	400407	Jane (segment "Jane")
550950	400814	Lady Grace Fanner
550950	401827	Daisy Troop
550951	114368	Betty
550951	258027	Marcy
550951	273769	Blind Date Girl
550951	341440	Heather
550951	385697	Grace
550952	20287	Lynn Martin
550952	21300	Patricia Harper
550952	36856	Eve Fallon
550952	49240	Phyllis Benton
550952	54973	Sally Brown
550952	67251	Ella Sue Dozier
550952	69490	Jennifer Carson
550952	72745	Ann Jordan
550952	78937	Herself ('Elizabeth Collins S
550952	78938	Elizabeth
550952	83834	Mrs. Marquand
550952	87845	Lady Clarissa Pevensey
550952	88076	Extra
550952	88174	Adele Burgess
550952	88999	Nina Wyndram
550952	104296	Page
550952	106622	Aunt Alexandra
550952	109372	
550952	109855	Ellie Banks
550952	109897	Ellie Banks
550952	117015	Lydia Bolton
550952	127484	Claire Ramsey
550952	128468	June Delaney
550952	133784	
550952	134055	Stephanie Richardson
550952	136280	Kathy Joplin
550952	141807	Herself
550952	145085	Mrs. Cummings
550952	147609	Evelyn Hahn
550952	147816	Herself
550952	150797	Brenda Bentley
550952	150895	Elizabeth Collins Stoddard
550952	151191	Hilda
550952	153207	Joan Gordon
550952	154488	Julie
550952	192408	Amy March
550952	199097	Margaret Macomber
550952	201844	Herself
550952	203122	Jerry
550952	203132	Carol Hoffman
550952	203176	Princess Maria Theresa
550952	203463	Helen Berkeley
550952	203567	Adele Verin
550952	204858	Pat Coster
550952	205453	Sophia Baumer
550952	208635	Nan Sheffield
550952	208972	Helen Riley
550952	215903	Lucy Rumford
550952	215908	Lucy Blackburn
550952	228830	Peg Blain
550952	234141	Harriet Carruthers
550952	261984	A dame
550952	264888	Sally MacGregor
550952	267606	Prudence Kirkland
550952	267964	Dolores Fenton
550952	273805	Lucia Harper
550952	289631	Kitty March
550952	291079	Xandra, Lady Lasher
550952	292318	Celia Lamphere
550952	297891	Carol Van Dyke
550952	297944	Gloria Winters
550952	298021	Jane Miller
550952	308370	Grand Duchess Zona
550952	310861	Herself
550952	318195	Mrs. Graham
550952	320322	Madame Blanc
550952	324010	Herself
550952	329052	Ivy Preston
550952	330004	Marion Groves
550952	330598	Felice Rollins
550952	330715	Rag Lady
550952	331458	Rose Gordon
550952	337366	Kay Kerrigan
550952	339407	Vivienne Ware
550952	342520	Julie Abbott
550952	342859	Bobbie Lockwood
550952	342929	Julia Wayne
550952	349982	An 'unborn soul'
550952	356230	Wendy Van Klettering
550952	360523	Amelie Ducotel
550952	360714	Monica 'Rusty' Fleming
550952	360826	Venetia Carr
550952	365062	Anita Woverman
550952	365261	Sally Murdock
550952	365264	Salomy Jane
550952	367530	Alice Reed
550952	367582	Peggy Butler
550952	385719	Elizabeth Collins Stoddard (1
550952	387120	Grace Graves
550952	408531	Mary Blake (1959)
550953	131780	Marie #1
550954	379328	Narrator (All Characters)
550955	167566	Casting Assistant #2
550956	76699	
550956	120397	Flora
550956	124759	
550956	144391	Cindy Bear
550956	154778	
550956	156456	Miss Worth
550956	177698	Female Voices
550956	220440	Woman Customer
550956	304928	Widow Hen
550956	307456	Amanda
550956	316337	Miss Prissy
550956	329346	Julie
550956	338196	Agatha and Emily - The Two-he
550956	379759	Monica
550956	381205	Queen, The/Constance
550956	382959	Various Characters
550956	382960	Additional voices
550956	382964	Various Characters
550956	382988	Additional Voices
550956	383659	Chessie
550956	385296	1st Lady
550956	386380	Monica
550956	388366	Snow White
550956	389300	
550956	389524	
550956	393402	
550956	397696	Boo
550956	398087	
550956	402670	Sagebrush Sal
550956	404518	Cindy Bear
550956	407023	Lois Lane
550956	407991	
550956	408443	
550956	411728	Cindy Bear (1960- )
550957	115737	Hillbilly woman
550957	367908	April as a Child
550958	7091	Shirley
550959	281255	Girl at Party
550960	73551	1 st Usherette
550960	162862	
550960	310863	Minnie-Cora Cook
550961	35353	Reporter #4
550961	61765	Mary Simpson
550962	35353	
550962	56655	Julie
550962	81260	Merlin, at Talismania
550962	195719	
550962	211324	
550962	365344	Tami, the Stage Manager
550963	13595	Diner Waitress
550963	71287	Brenda
550964	310634	Miriam
550965	372210	Tara
550966	75366	Biker's Wife
550966	283506	
550967	77414	Laura, Mathilda's Maid
550967	88935	Mamie, Xavier's Maid
550967	96986	Hotel Maid
550967	99949	Matilda, the Maid
550967	114306	Hattie
550967	122052	Edna Hooper
550967	125887	Whining Woman
550967	151211	Jenny, the Maid
550967	206112	Maria, the New Maid
550967	233838	Susie Bogavitch
550967	241096	Sally
550967	241571	Betty
550967	267423	Emily, the Hotel Maid
550967	316891	Miss Mary Hoffman
550967	317426	Daft Dolly
550967	326193	Ruby
550967	328519	Lena Klein
550967	332798	Muggsey, a Barber
550967	342712	Bootlegger
550967	347319	The Maid
550967	358184	Hetty Masters
550967	360838	
550968	279371	1st Nurse
550968	320758	Peggy, Amazon
550969	389258	
550970	335638	Tallulah Lou
550971	823	Cafe Patron
550971	18617	Ann
550971	37113	Joyce Bannion
550971	66042	Judy Henderson
550971	72875	Penny Walker
550971	131534	Peggy
550971	226926	
550971	269282	Trissa Phillips
550971	295343	Madeleine Foy
550971	312133	Little Girl
550971	353303	Christine
550972	51989	FBI Agent
550972	65973	Woman at Bar
550972	121533	Dr. Weise
550972	263572	Receptionist
550972	296266	Interviewee
550973	225	Herself
550974	52740	Martha
550974	61067	
550974	66131	Portia
550974	144991	Mamie
550974	211323	Mrs. Ubi
550975	367446	Mother
550976	400	Lynne Reimuller
550976	7933	Ellen Gare
550976	35143	Sara
550976	50607	Eva/Rose
550976	69806	Little Girl
550976	88102	Morag (13 years old)
550976	115712	Beth Dellenbach
550976	131539	Young Anna
550976	132181	Vlasta
550976	184719	Jane Stuart
550976	187072	Young Girl on Plane
550976	187732	
550976	205731	Irene Curie
550976	230083	Lucy
550976	235651	Kit
550976	325058	Jill
550976	362860	Carol
550976	391330	My Melody
550976	404152	Mercy Lewis
550977	291948	Eyewitness/Herself
550978	400	
550978	6865	Nurse
550978	13736	Woman in Car
550978	16068	Ruth Boylan
550978	27363	
550978	38021	4th Grade Teacher
550978	40533	Head Nurse
550978	44975	Mrs. Braverly
550978	45780	Secretary of H & H Services
550978	60186	Joan Isenberg
550978	68242	Board Member #1
550978	77796	Nurse Susan
550978	97351	Laura Edelman
550978	117715	Laura Foy
550978	127679	Mrs. Elizabeth Clementine 'Di
550978	129439	Caseworker
550978	129596	
550978	130178	Principal Hersch
550978	134175	Alice Dodge
550978	138784	Judge Peale
550978	140901	Rose Randall
550978	152910	Judge's Secretary
550978	153147	Jean Wahl
550978	194566	Mrs. Norman
550978	200241	Carol
550978	223896	Motel Woman
550978	234515	Nurse Stein
550978	263983	Queen Isabel
550978	273771	Mrs. Olimer
550978	294717	Mrs. Trager
550978	295560	Margaret
550978	304797	Megan
550978	305978	Barbara
550978	310879	Mrs. Henderson
550978	316648	Janice
550978	321364	Librarian
550978	325058	Ms. Major
550978	328261	Gloria
550978	329342	Dr. Joyce Lasnot
550978	338298	Bus Station Clerk
550978	342156	Water Executive
550978	344484	Bank Manager
550978	362307	Mrs. Pettifer
550978	368151	Ms. Mackinaw
550979	256188	Tourist Mom
550980	14080	Mrs. Payne
550981	257526	
550982	237465	Coffee picker
550982	364231	Edie Sherman
550983	149699	
550984	6146	Eve #2
550984	87943	
550986	88174	Jill
550986	280208	Herself
550987	2138	Mrs. Berkeley-Kent
550987	2340	Charwoman (spy at train stati
550987	2437	Miss Emmaline
550987	4622	Militant Woman on soapbox
550987	4625	Fat woman
550987	4626	Second Maid
550987	23148	Mrs. Smith (customer)
550987	24705	Waitress
550987	35232	Marjorie Crane
550987	38051	Mary Ann Bentley
550987	47389	Mrs. Henderson
550987	54930	Columnist
550987	59548	Mrs. Taft (old woman at trail
550987	66381	Sadie
550987	70341	Mrs. Fowler (little old lady 
550987	72865	
550987	74244	Woman in Elevator
550987	93572	Antique Shop Assistant
550987	108309	Airline Passenger
550987	110965	Mrs. Murchison
550987	115180	Nora's Neighbor
550987	118231	Journalist
550987	123456	Nora
550987	126646	Madeline Erickson
550987	127144	
550987	128237	Sally Barton
550987	128441	
550987	128884	Mrs. Dicks (hat customer)
550987	139578	
550987	140349	Mrs. Huntingford
550987	148220	Hazel Evans
550987	152326	Marie
550987	152551	Unidentified role [Script Nam
550987	154825	
550987	170608	Mrs. Nellie Brinker
550987	178061	Manager
550987	186480	Mrs. Speckleton
550987	190947	Mrs. Alsop
550987	195610	Miss Pickering
550987	203008	Mrs. Warren
550987	203270	Vera, Housekeeper
550987	203479	Mrs. Quimby
550987	206881	Miss Lark (old woman in park)
550987	213216	Minnie
550987	218330	Marie's Maid
550987	223867	Cockney with Pipe
550987	228686	Prudence Sampson
550987	230675	Undetermined Role
550987	232302	Manager
550987	235059	Mother Thurber
550987	235694	Autograph Seeker
550987	238071	Mrs. Allenby
550987	241428	Duchess
550987	244879	Mrs. J. Boynton
550987	251855	Flossie
550987	252981	Mrs. Moore
550987	265779	Mrs. Snavely
550987	269766	Bar Maid
550987	272603	Edie
550987	275361	Woman at mailbox
550987	277804	Mrs. Harvey
550987	284931	Margaret (cook)
550987	285618	Mrs. Chowder
550987	285786	Mrs. Madigan
550987	298590	Mrs. Martha Hudson
550987	299678	
550987	301991	Large woman
550987	306396	Housekeeper
550987	312680	Florence Chambers
550987	314262	Cleaning Woman
550987	316110	Jodie, Carmichaels' maid
550987	318673	Saleslady
550987	321556	Philbert's Wife
550987	323457	Waitress
550987	332039	Mrs. Yates
550987	334371	Pablo's Model
550987	342842	Mrs. Simpkins
550987	346339	Wife at bar in Vegas
550987	362107	Mrs. Freeman
550987	362192	Dehlia Flagg
550987	372484	Mrs. Ridgefield
550987	374280	Hefty Woman
550987	396785	Mrs. Blossom Kennedy (1959-19
550989	74113	Parent
550989	138184	Marjorie's Maid
550989	167565	Susan
550989	215153	Heather Babcock
550989	289452	Patti
550989	317975	
550989	340960	Jury Forewoman
550989	359284	Master's Wife
550989	375246	Mother
550989	391194	Nurse
550989	396699	Matron
550990	404282	Megan Richardson (1989)
550990	404613	Liza Walton Kaslo Sentell Ken
550990	411802	Julia Newman (1980-1984, 1986
550991	359971	Nubile Grad
550992	298425	
550993	122217	Hot Tub Woman
550994	411682	L.C. Champion
550995	190197	Charlotte Clopton
550996	258152	Rosa Latimer
550997	10561	Saleswoman
550997	152208	Girl at Inn
550997	330893	Luci LeRoy, Nora's understudy
550997	331333	Toney Tiger
550998	319923	Mrs. Waters
550999	354581	
551000	236494	Wendy
551000	310997	Sarah
551001	105296	Ray's Wife
551001	358595	Nikki Raye
551002	342552	French Girl at Hap's
551003	334757	Chorus
551004	72877	Press Conf. Reporter (segment
551004	364220	Rimshot Girl
551005	196627	Herself
551005	196628	Herself
551005	245678	Female arm wrestler
551005	310195	Barracuda leader
551005	351502	Conchita
551007	353680	
551008	87979	Waitress
551008	202387	Sister #2
551008	216602	Herself
551008	234055	
551008	387509	Nichole 'Niki' Williams (1993
551008	391897	Loquatia
551008	397991	Herself (Seasons 4-7)
551009	13637	Stripper
551010	93261	Doctor in White Room
551011	265100	
551012	11485	Stripper #3 in Flashback
551012	69406	Sex inserts
551012	203897	Herself (George Best fan club
551012	270971	Emma (Miss 48s)
551012	297241	Go-Go Dancer
551013	270622	Teacher with Carrot
551014	80911	Bonnie
551014	105427	Gemma Clarkson
551014	134725	Carmen
551014	160016	Janet Blain
551014	220096	Ruby
551014	276386	Eleanor
551014	305318	Elizabeth
551014	357385	Lyn
551014	383285	Rose Thompson
551014	390694	Carmen
551014	391243	Flora
551015	394003	Presenter
551016	176904	Miss Vincent, secretary
551017	133691	Curley
551018	307691	Samaki Miller
551019	23977	Strange Woman
551019	63098	Marilyn
551019	102215	Mrs. Escajeda
551019	124026	Mrs. Rock God
551019	218378	Mussed Woman
551020	54465	Tochter
551020	313479	Ewok
551021	131594	Woman Chasing Bus
551021	214961	Woman
551022	106667	Shaz
551022	152958	Molly
551022	289113	Cheerleader
551022	352409	Cora
551022	366749	Mrs. Carter
551023	147612	Erica
551023	407664	Hippy Chick (2002)
551024	33936	
551024	46533	Anna
551024	194254	Anita Mann
551024	201592	Dr. Anderson
551024	302198	Barbara Wolverton
551024	304751	Byron's Mom
551025	119250	
551027	69413	Eliza
551027	82943	Sue
551027	224089	Sarah
551027	252963	Pregnant Girl
551027	267146	Ariel
551027	359971	Grad
551027	363449	Bonnie Trout
551027	384589	Det. Sam Walters (2004)
551028	73560	Danette
551028	213504	Little Girl
551028	347242	Annie
551028	362307	Elsie Carr
551028	363001	Crystal Hughes
551028	404092	Stephanie 'Stevie' Lake
551028	404152	Abigail Williams
551029	41379	Thelma
551029	398313	
551030	218409	Angie
551030	307854	Samantha
551031	37056	Stephanie
551032	392879	Ray Charles Singers
551032	394245	Herself
551032	406855	
551032	407694	Singer
551032	411843	Herself (vocalist; 1951-1952)
551033	5430	Waitress in Restaurant
551033	145086	One of Mickey's Girls
551033	265869	One of Ervil's Wives
551033	333287	WAC
551033	335570	
551033	367865	Judge
551034	8528	Alma Roja
551034	61764	Morgan
551034	66274	Lynne
551034	151590	Elizabeth
551034	267576	Amanda
551035	254614	
551036	213318	Fairy
551037	289934	Irene
551038	252983	Ruth
551039	160914	
551039	335348	Principal, Garfield Elementar
551040	217377	Additional Voices
551041	178125	Wrong Couple
551042	31555	Performer
551042	34683	Marilyn Thompson
551042	70881	Herself
551042	106775	Kika
551042	299287	Millandra Bradshaw
551042	307908	Nell Tate
551042	385020	Sharon Gaskell (1982-1984, 19
551042	390084	Stella
551042	393679	Tracy Glazebrook
551042	396580	Norma
551042	399351	Liz (1995-1996)
551042	403337	Nikki
551043	305489	Herself
551044	319270	Chairwoman Kate Phelan
551045	105211	Claudette
551046	382838	Emily Farnham (1995-1997)
551047	116289	Party Girl
551047	215905	SNCC Interviewee
551048	12184	Rita Brent
551048	84964	
551048	157188	
551048	213310	Titania
551048	213311	Titania
551048	232009	
551048	292379	
551049	78986	Judith's friend
551049	131494	Queen Mab
551049	183627	Party Guest
551049	196296	Conscience Williams
551049	233044	Swana's Restaurant Guest
551049	331123	Miss Chickering
551049	362087	Miss Doolittle
551049	367919	Mrs. Carter
551050	89117	
551051	211396	Neighborhood Couple
551052	108968	Hestedressør
551052	130111	
551052	406551	Herself - Participant
551053	220762	Laleti
551054	16860	
551054	70859	La vedova di Licinio
551054	127976	Domenica
551054	287121	Maria
551054	301381	Emma, una figlia del professo
551054	342136	
551055	211385	Miss Dawes
551055	363895	Moderator
551056	134423	Mother Halloway
551057	146600	
551058	223084	Woman at Opus Meeting
551059	170005	Courtney
551059	364050	
551060	158319	Wanda
551060	178145	Maid #1
551060	192675	Dancing Lady
551060	360745	Gigi
551061	26276	
551062	154071	W.P.C. Hotdog
551062	397815	Peg Hobson
551063	243595	Woman in Past
551064	149282	Ariane
551064	410441	Marjan Daal (1993)
551065	25412	Nurse
551065	177294	Maacah
551065	221534	Ursula
551065	380798	Denise Skidmore
551065	387247	Guizin Osman (1985-1989)
551065	394340	
551066	88874	Dancer
551067	255471	Maria Grazia
551067	349533	Simona
551068	12665	Oshka
551069	68002	Herself
551070	13074	
551070	71142	
551070	75485	
551070	83523	
551070	171478	
551070	266014	
551070	320357	
551071	68086	Herself
551072	100343	La mère du fiancé
551072	407887	
551073	277726	
551074	66547	Marie-Ange
551074	126132	Marcella
551075	268413	Céline (sur la photo)
551076	71487	The young woman in the restau
551076	92044	Michèle
551076	108901	
551077	206410	Taxi Girl
551078	164688	Reine 2
551079	57894	Une visiteuse
551080	23673	La fille au cimetière
551081	23330	
551081	71338	TV Personality
551081	341746	Alex
551081	383592	Claire (1998-1999)
551082	274373	Dead Woman #1
551083	57894	La Nïmoise, la servante acrob
551084	41422	Sandra Walker
551085	194985	Aaron's Grandma
551085	195558	Old Lady
551085	239829	Prospect Granny
551086	16042	
551086	24705	
551086	38583	Guest
551086	80034	Tenant
551086	110302	
551086	114626	Woman
551086	163245	Assistant
551086	178342	
551086	186773	Nurse
551086	188326	Policewoman
551086	193921	Bit
551086	203175	Secretary
551086	203917	Woman in Lobby
551086	209592	Secretary
551086	241788	Reporter
551086	250869	Dr. Miller's nurse
551086	255327	Guest at Mayfair tea
551086	280130	Mrs. Hoffman
551086	287230	Trustee's wife
551086	319166	Campaign Worker
551086	327685	
551086	329481	Proprietress
551086	331398	Musician
551086	334402	Bit Part
551087	384216	
551088	380713	Betty Jackson Stewart (1960-1
551088	398400	Nancy Remington (1955)
551089	240838	TV Interviewer
551090	100209	White nurse
551090	127528	Liesl's Mother
551091	401346	Sandra Nelson (1965-1966)
551092	80785	Salesgirl
551093	71802	
551094	380066	Carolina
551094	383718	Irina
551095	209943	L'infirmière
551096	222515	
551097	71449	Ada
551097	287762	Multiplex theatre waitress
551098	7184	
551098	17835	
551098	69450	
551098	225402	La nourrice
551098	287610	
551098	336985	Témoignage "livres"
551099	51726	Diane
551100	25088	Jeanne
551100	57472	
551100	100053	Client
551100	110139	Mme Lalouette
551100	116410	
551100	166134	Irma
551100	169361	
551100	249356	
551100	254149	
551100	281315	Yvette Guilbert
551100	292357	
551100	295211	
551100	339499	Miss Pinkleton
551100	343567	Amèlie
551100	353925	Lauthenay
551100	383178	Berthe, la voisine
551100	390436	Mme Chanule
551100	398834	
551100	401939	
551101	24180	Denyse
551102	80174	Receptionnist
551102	106205	Metro woman
551102	205610	Julie
551102	284244	Sylvette
551102	287329	Elia
551102	384212	Emilie Berg
551102	409280	Théo
551103	33179	Lester's Friend
551103	406783	Infirmière 2
551104	22191	
551104	96198	
551104	198348	Brune
551104	237471	Josèphe
551104	345394	Mme Prévot
551104	401319	Antoinette
551105	220218	Membre du Conseil, Belgique
551106	43767	Léo's mother
551106	168827	Prostituée
551106	244759	Mère du cabinet Moenner
551106	377629	l'institutrice
551107	409277	Herself/Panelist ("Expos")
551108	135276	
551109	100249	
551110	20070	Child
551111	359569	Lizzie
551112	6903	
551113	107397	
551114	289853	
551115	48260	
551116	287491	Muriel
551117	217608	Leila
551118	112826	Evelyne/Une ondine
551118	195180	La tante
551118	217406	Thérèse Marquise du Parc
551118	217660	L'étrangère/Foreign girl
551118	231036	
551118	261765	
551118	321255	
551119	301393	Dee Dee Alder
551120	104755	Morrocan entry (18th place)
551121	229248	Begrafenis bezoeker
551122	78414	Lola
551122	256993	Laura
551122	296082	Dorothy
551122	339476	
551122	399082	Suzanne Mérignon
551123	373276	Waitree
551124	88766	Farm Lady
551125	101699	Doc
551126	222573	TV Reporter #1
551127	65607	Nurse
551127	80695	Mona
551127	133130	Mrs. Sackett
551127	145086	Sara
551127	280000	Mrs. Grossman
551127	372259	Mrs. Snazowski
551128	242804	Nurse (Operating Room)
551129	47588	Wedding Party
551130	253994	Jeune Infirmière
551130	324966	Alice
551131	154034	
551132	35155	Radio Caller
551132	73833	Mrs. Grossman
551132	134071	Flossie
551132	223009	Loop Group
551133	70657	Periodista
551134	117192	Prison Psychologist
551135	288891	Melle Orvieto
551136	313558	Andrea
551137	1726	Herself
551137	48925	Tara Maclay
551137	50989	Meg Damico
551137	53323	Stephanie, Stoned Girl
551137	58930	Chance
551137	74117	Cheyenne
551137	80875	Patty
551137	90237	Amy
551137	147912	Mandy Calhoun
551137	156851	Margaret
551137	160871	Barbie
551137	164480	Nicole Reed
551137	164481	Nicole Reed
551137	164483	Nicole Reed
551137	177456	Ella McShane
551137	185964	Traci Levine
551137	263782	Batgirl
551137	280277	Herself
551137	284526	Barbara 'Babs' Wyler
551137	322784	Piper
551137	323400	Justy
551137	359911	Stephanie Gallagher
551137	382955	Tara Maclay (2000-2002)
551137	387618	Abby
551138	7981	Myra Massingham
551138	69446	
551138	79439	
551138	80682	Madeleine d'Arblay
551138	92282	Mabel
551138	138994	Lina Nelson
551138	160281	Adrienne
551138	195460	Helen Warwick
551138	196454	Nadine Melville
551138	199723	
551138	203020	Faustina ribière
551138	217658	
551138	217961	Diana Hastings
551138	234811	Beryl Danvers
551138	266948	
551138	278512	Cora Ann Milton
551138	299741	Mae
551138	303036	
551138	309874	
551138	312349	Ivy Hopkins
551138	312352	Ivy
551138	327524	Mary Lamb
551138	331457	Mrs. Woofers
551138	351248	
551138	360840	
551139	361224	Aussie Casting Director
551140	51984	Daddy
551141	1038	Six Chick
551142	256777	Maggie
551143	330884	Lynda
551145	150946	
551146	58430	Dr. Eisenberg
551147	223979	Esther
551147	234054	Homeless Woman
551147	292163	Aunt May
551147	350211	Rebecca
551148	319639	
551149	170485	Portia
551149	198864	Lady Macbeth
551149	277676	Lady Anne
551149	324227	Kathrine
551150	327298	Sock Hop Dancer
551151	97363	Customer
551151	304751	Christy
551152	2584	
551152	111852	Caterina
551153	323400	Student
551154	59574	Housewife
551155	366670	Sam (the geek)
551156	323400	Doug's Mother
551156	363824	Grey Beaver's Wife
551157	182156	The Tree-Sister/Kusah Hakwaan
551158	43925	Nephi's Sister 2
551159	239567	Nell
551159	282607	Child
551160	147429	Hilda
551160	294216	Mrs. Wallis
551160	385139	Doris Proctor
551160	396073	Secretary
551160	399442	Receptionist
551161	94621	Singer
551162	108474	Fan
551162	164992	Wife
551162	191842	Mrs. Morella
551162	203462	Mother Burns
551164	65717	Maid
551164	124374	Bit Part
551164	221297	Contestant
551165	213973	Soldier
551166	292193	
551167	95140	Ivy
551168	282563	Mrs. Griffen
551169	54221	Hospital Doctor
551169	62035	Rupert's Secretary
551169	389416	Margaret Chase Smith
551169	410798	Miss Petruka
551170	104357	Nurse
551171	849	Anita
551171	28709	Jenna
551171	28710	Jenna
551171	32186	Host
551171	48951	Atta
551171	62994	Belle
551171	63064	Joshua
551171	87754	Ariel
551171	87757	Ariel
551171	87770	Host
551171	115943	Weebo
551171	127618	Ariel
551171	133114	Millenia/Reena
551171	143543	Helen of Troy
551171	169155	Asenath
551171	177632	Ariel
551171	183550	Lady (segment "Pidge")
551171	192014	Ariel
551171	192017	Ariel
551171	212908	Ariel
551171	212930	Ariel
551171	213468	Ann Darrow
551171	241954	Voice of Mother
551171	272371	Lenee
551171	331986	Thumbelina
551171	337168	Tour Guide Barbie/Barbie on B
551171	346150	Herself
551171	366654	Ariel
551171	392134	Ariel, Belle
551171	395739	Ariel
551171	401528	Tula
551172	59914	Telegraph Worker
551172	100843	Lucille
551173	296801	Miss Christine
551175	65683	
551176	127323	Girl
551177	73551	Audience Member
551177	93957	Natalie
551177	110314	Lisa Ann
551177	113293	Dead Body
551177	312538	
551177	364039	The Brunette
551177	368715	Cohen's Secretary
551178	199485	Job Centre Girl #1
551178	378819	Christine
551178	390523	Mary Johnson (1978-1980)
551178	400814	Girl at garage
551178	407587	Tracy
551179	362340	
551180	23446	Alien Woman #2
551181	13621	Anna
551181	15107	Laurence
551181	15251	Geena
551181	69934	Perdita
551181	78093	Emilie
551181	89119	Helene
551181	153872	Anna
551181	154736	Elsie Wellman
551181	156330	
551181	195245	Fred
551181	266419	Milo's entourage #1
551182	209178	Little Girl
551183	31643	Beach girl
551183	37674	Beach girl
551183	222931	Surfer girl
551183	246861	Pajama Girl
551184	6906	Maisie
551184	53278	Maxine
551184	69382	Evelyn
551184	102789	First Blonde
551184	154984	Party Guests
551184	310682	Third Maid
551184	334337	Girl #2
551184	368416	Girl in Hotel
551185	26809	
551185	78611	Ronke
551186	1390	Gas Mama (Eloise)
551186	7089	Mrs. Levelor
551186	15215	
551186	35130	Eunice Russell
551186	39697	Mrs. Krieg
551186	41843	Elmira Gooch
551186	51758	Mrs. Sawyer
551186	59528	Miss Fay
551186	67200	Bess Truman
551186	69197	Peg the Madam
551186	79896	Miss Virginia Porter
551186	82504	Mrs. Loveless
551186	84991	Janet Poole
551186	94741	Lady at Snakerama
551186	97135	Mrs. Stone
551186	103240	Trudy
551186	121359	Beulah Binnings
551186	133962	Mrs. Fairlie
551186	137674	Mrs. Elrod
551186	141557	Lillian McWhorter
551186	152205	Widder Douglas
551186	168328	
551186	176880	Flo
551186	191809	'Mom' Fauss
551186	202736	Mother Burnside
551186	211783	Woman on Train
551186	222649	Mrs. Bloom
551186	264784	Aunt Martha
551186	274682	Mrs. Turner
551186	283406	Madge Henshaw
551186	302010	Rita Babtree
551186	304572	Billy's mother
551186	316142	Housekeeper
551186	335120	Widder Douglas
551186	359146	Miss Elsie Powell
551186	363250	Greta
551186	367807	Billie
551186	369178	Matron
551186	372730	Grandma Hopkins
551186	382547	Lilly Sinclair (1980-1981)
551186	392177	Miss Walker
551186	399013	Birdie Huff
551186	403732	Helen's Mother (1979-1980)
551187	11937	Michelle Halaburton
551188	154781	Hilda
551189	216920	Chloe
551190	81505	
551191	390594	Herself
551192	133838	Maisie
551192	183799	Mrs. Sluggett
551192	362371	Tony Sheldon
551192	362805	Miss Lockwood
551194	9	
551194	114795	
551194	142983	
551194	143442	
551194	190292	
551194	196163	
551194	205671	
551194	206653	
551194	209192	
551194	224159	
551194	239555	
551194	329774	
551194	366877	
551195	99860	Physiotherapist
551196	32369	Dist. Atty. Lindgren
551196	32376	Prosecutor Lindgren
551196	32378	Lindgren
551196	32379	D.A. Lindgren
551196	79650	Madame Rusk
551196	180101	Miriam
551196	203256	Secretary
551196	284141	Lena
551196	386175	Mom
551196	390236	Frida Brontén
551196	405550	Annie B
551197	165853	Black Girl
551199	128278	Elviry Tatum
551200	348366	Sheik's Wife
551201	244332	Jane Seymour
551202	9044	Laureen
551203	7089	Matella
551203	194406	Martha
551204	56766	Mrs. Milquetoast (segment "Qu
551204	140798	Guest at party
551206	353464	Mira d'or
551207	202375	Mrs. Bentley
551209	266577	Girl
551210	30202	Joice Heth
551211	33904	Herself
551212	273275	Bobby
551213	185175	Emily Hampton
551214	38178	
551214	41887	Andrea
551214	60316	Miss Dee Dee Tipton
551214	184959	Amanda
551214	219638	Salesgirl
551214	223787	Party girl
551214	264818	Bikini Girl
551214	368753	Waitress
551215	31721	Lauren Reading
551215	46156	Fanny
551215	107860	
551215	159916	Karen
551215	165278	Julie Harris
551215	196867	Rebecca Johnson
551215	263348	Sue Ann Stepanek
551215	296238	
551215	314777	Brigitte
551215	363492	Heather
551215	366684	Shannon Amberson
551215	380713	Meredith Delaney (1992)
551215	382981	
551215	398578	Cleo
551215	404689	Misty
551215	409558	Barbara Caufield (1998-1999)
551216	31637	Bikini Audition Girl 4
551217	1390	USO Girl
551217	1524	Driver's Friend
551217	3202	Charlotte
551217	77949	Mary Ann Carlin
551217	80969	Juanita
551217	89305	Claire Garrett
551217	127108	Linda
551217	171082	Constance
551217	214123	Woman at Party
551217	221313	Kerry
551217	223328	Justine
551217	235067	Mrs. Hartman
551217	244940	Alice Baker
551217	348795	Liz
551217	356350	Herself - Choir Member
551217	363247	Lucy Matson
551217	389340	Betty
551218	411809	Edna Curtis (1976-1977)
551219	20124	
551219	85738	
551219	108746	
551219	180562	Rita
551219	315194	
551219	350111	
551220	134632	Shelly
551221	273352	Céline
551222	271421	Raja
551223	275860	
551224	254996	Emma Kilworth
551225	299715	Bank Clerk
551226	77721	Trish
551226	139123	Night Club Hostess 1
551226	261434	Woman in Hotel
551227	249073	Herself (author)
551228	6154	Sarah Thorne
551228	134483	
551229	252312	Gilda
551230	144681	Bilal's Wife
551231	158747	
551232	13386	Mrs. Mott
551232	197502	Lady Alicia a Fyre
551232	256486	Aunt Maggie
551232	279106	Mrs. Malaprop
551232	284240	Amelia Fitch
551233	28480	Russian Girl
551234	367865	Nicole Winger
551235	31643	Beach girl
551235	37674	Beach girl
551235	113879	Fan
551235	151672	Bookend #1
551236	109883	
551237	307466	
551238	83698	
551239	254076	Truck Driver
551240	65888	Connie
551241	17861	
551242	90184	Babette
551243	354647	Marie Hoornik
551244	217627	Herself
551245	367986	Margrietje
551246	142505	Bardame
551247	230985	Rocco
551248	334337	Isabel
551248	340227	Woman
551248	350181	Schoolgirl
551249	271338	Fusty Kent
551250	385299	Sister Tillett
551251	75633	
551251	398362	
551251	404752	Ana Maria
551252	297787	Carrie Cameron
551253	263339	Other Pretty Maids
551254	291052	Courtesan
551255	38750	Massage Lady
551255	77213	Lindsey Wilson
551255	117728	Michelle
551255	122686	Sharon
551255	139486	Debbie Crowne
551255	196903	Julie Gumbell
551255	292701	Female Worker
551255	295806	Linda
551255	406636	Tracy's Mum/Carly Beaker
551256	71928	Ruth Williams
551257	143981	
551257	335930	
551258	335013	Barbara 'Elsie' Carver
551259	35763	Mary Pope
551259	51482	Doris
551259	200925	Kingsley's wife
551259	275346	Gladys
551259	289794	The Decoy Sally
551259	365136	Margie
551259	381487	Assistant (1955-1958)
551259	402112	Herself/Model 1957-1958
551260	118811	Female MP
551260	119803	Showgirl
551260	264189	Handmaiden
551260	308382	Raider
551261	77676	Theater Arts Dancer
551261	306944	
551262	89099	Female Ranger
551263	27236	Martine
551263	81159	Jason's girlfriend
551263	161922	Newscaster
551263	182987	Prostitute
551263	275888	Jenny
551264	123891	Singer
551264	411133	Female Army Sergeant
551266	220844	Baba Wawa, TV Reporter
551267	116443	Usherette
551267	120748	Mary Reid
551267	176358	1934 Goldwyn Girl
551267	224404	Jane Holman
551267	305753	Betty Jarvis
551268	316926	Mary Dalton
551269	178207	Beautiful Woman at Bar
551269	224430	Julia
551270	349509	Couple In Intro (Female)
551271	77148	Stewardess
551272	50632	The Girl
551272	264441	Officer McIntyre's Wife
551273	56996	Session singer
551274	61641	Miss DeRopp
551274	114672	Waitress
551274	151584	Ethel Purvis
551274	280356	Wanda
551274	352733	Mrs. Singer
551275	7423	Starr
551276	83653	Barber Woman
551276	248993	Simone
551278	281414	Elizabeth
551279	105962	Mrs. Philly
551280	97023	Indecisive Girlfriend
551282	114940	Dorothy Howard
551282	206404	Girl
551283	16120	Caroline Trent
551283	64566	Herself
551283	64567	Herself
551283	64569	Herself
551283	81348	Codille
551283	117218	Anita
551283	133442	Miss Iowa
551283	152295	Herself
551283	160464	Interviewee: Former Girlfrien
551283	200314	Herself
551283	214886	Lynn Keefe
551283	222590	Herself
551283	257684	Herself
551283	330517	Melanie
551283	348174	Girl in Bed
551283	352965	Herself
551283	391281	Herself (1971-1976)
551283	406872	Maxx (1977-1978)
551284	59488	
551285	41158	
551286	229108	Maria's mother
551286	277232	Singing townslady
551287	170154	
551287	354317	
551287	400265	Elizabeth Onedin/Frazer/Lady 
551287	408091	Grace Laughton
551288	1225	Third Nurse
551288	67609	Bayleaf Hostess
551288	105792	Mrs. Anderson
551288	148925	Tour Leader
551288	169170	Canadian Mother
551288	337206	Researcher
551288	364612	Spokeswoman
551288	372865	Susan Zimmel
551289	67063	
551290	92194	Barbara
551290	186030	
551290	213628	Jennie
551290	251383	Kate
551290	276708	Jenny
551290	397714	Jenny the Bartender (1984)
551291	269694	Mrs. Hamilton
551292	183662	Kimberly Weston
551293	216963	Larissa (Alternate)
551294	289558	Woman at Babylon Club
551295	347611	Aunt Helen
551295	371374	Diva
551296	34654	Kathy
551296	45384	Quilla June Holmes
551296	56889	Dreedle's WAC
551296	72115	Sybil
551296	106740	The Starlet
551296	135390	Chloe Gregory
551296	167560	Arlene
551296	185321	Susan Archer
551296	263085	The Blonde
551296	320068	Susanne
551296	329404	Nina
551297	351908	Barbara
551298	201941	Rachel
551299	78915	Maxime of the Grand Guignol
551300	202195	Roseland Dancer
551301	368368	Vivian Gould
551302	340812	Karaoke Singer
551302	381608	Miranda
551303	381202	Ælling #1 (1993-2000)
551303	381203	Ælling
551305	148457	Sonya
551305	152561	Receptionist
551306	1963	Herself
551307	120063	
551308	350166	
551310	402445	Presenter (2001-, Irregular)
551310	402446	Presenter (2001-)
551311	88825	Anne-Marie
551311	94257	Mrs. Pettersson
551311	405785	Fisher's wife
551312	317599	Girl in London
551313	41281	Julie
551313	46553	Amy Rollings
551313	387309	Nicole Travis Stewart Drake C
551314	33135	Birgit
551314	90992	Frau Hoffmann
551314	134985	Rosalie
551314	142002	Carola
551314	325960	Viola Bender
551314	389287	Dr. Sita Rentropp (1997)
551314	406335	Andrea Pohl
551314	408208	Bettina
551314	410350	Elfriede Arbogast
551315	234826	Pige/Girl
551316	111852	
551317	129427	Friend Alice
551317	180707	The Farmers' Wife
551317	365706	Alice van Hemert
551317	387581	Didi
551318	3505	
551318	3537	Roberta
551318	19203	
551318	33815	
551318	37570	Uncle Carlo's Bride
551318	41028	Al simmons
551318	42979	Annie
551318	47261	
551318	48201	Lisa Mancini
551318	51429	
551318	52177	Zeinab
551318	52180	Livia
551318	54024	Viola
551318	55301	
551318	60118	
551318	60119	
551318	61135	Laura
551318	67166	Emy
551318	68417	Argentinian
551318	70896	
551318	81517	(segment "The Horny Horseman"
551318	89566	
551318	89579	
551318	89870	Lola Mandragali
551318	113446	Zumurud
551318	119214	Giovanna
551318	119216	Clarissa
551318	127884	(segment "4 Wives")
551318	129051	Flora
551318	148781	Ersilia
551318	157176	
551318	189077	
551318	198183	Italian widow
551318	202040	Nana
551318	202064	
551318	202070	Maria
551318	212121	
551318	228362	Flory Waltamore
551318	236038	Nunziatina
551318	247963	Whore
551318	251620	
551318	260405	Poppea
551318	265235	Laura
551318	269002	
551318	269631	
551318	269949	
551318	270571	Linda
551318	282118	Alice Norton
551318	284210	Alma
551318	286718	Yasmin
551318	287495	
551318	291685	Saloon Girl
551318	295142	Saloon Girl
551318	295155	
551318	313135	
551318	315440	
551318	325164	Tarzana
551318	327485	Rubia
551318	336187	
551318	338699	
551318	341791	
551318	343987	Luna
551318	348206	
551318	349542	Marisa
551318	356006	
551318	375907	
551319	353297	Spanish Fly
551320	77541	
551321	310888	Nunzio's mother
551323	289939	Ilaria
551324	5772	La capo infermiera
551324	33658	
551324	33672	
551324	42595	Donna Olimpia Del Fermo
551324	86060	
551324	86069	Signorina Polipini nº1
551324	89853	
551324	111924	Signorina Torriani
551324	147053	
551324	206029	Anna, la governante
551324	207978	
551324	212478	
551324	264261	La direttrice del collegio
551324	266743	
551324	294423	Bettina, la sorella del duca
551324	295163	Veronica Mazzoni
551324	328210	
551324	355616	
551324	377576	Teresa, la governante
551325	58542	Bradford's Secretary
551325	295185	Sarah
551326	238789	
551327	34372	
551327	212096	
551328	68578	
551328	344799	
551329	32498	Tori
551330	214536	Waitress
551331	66749	Henriette
551332	34955	Salesgirl
551332	152572	Sally
551332	158951	Witch
551332	162986	Skeptical housewife
551332	164839	
551332	184795	
551332	266166	Kurt's Mother
551332	350622	Older Woman
551333	38006	
551333	160375	Hospital personnel
551333	332151	Nurse
551334	377484	
551335	104039	Esther
551336	232933	Phillip's Girl
551336	350234	
551337	374285	Helen
551338	163483	
551339	365616	Serena
551340	286294	
551341	97844	Caroline Marny
551342	380391	Sally Spencer Frame Hobson Ew
551343	194223	Ellen
551343	204010	Cindy
551343	222820	Terry
551344	58660	Akiko Yoshida, Toru's daughte
551344	72554	
551344	262515	Aiko
551344	314963	Nancy
551345	154580	Liz
551346	9625	
551346	68845	
551346	103771	
551347	48392	Sigrun
551347	335034	
551348	267333	Rosa
551349	21448	Receptionist
551349	29960	Sexy woman
551349	47993	Jesse Caldwell
551349	79007	Julie Falcon
551349	87223	Angie
551349	94692	Betty (segment "The Black Cat
551349	109777	Danielle
551349	126040	Ursula
551349	141435	Kristy
551349	161790	Co-ed
551349	165958	Marcie Fox
551349	194032	Annie Garrett
551349	213052	A - List Actress
551349	288473	Alison Kingsley
551349	300304	Barbara Primesuspekt
551349	358865	Mae
551349	387540	Christie Lambert
551349	391503	Babs Nielson
551349	401061	Breeze O'Rourke
551349	407421	Kate Keys/Walker
551350	120528	Dancer
551350	150075	Palace Girl
551351	181321	
551352	43343	Fuerstin Anastasia
551353	100469	Press attache
551353	316880	Judith
551354	175076	Piluca
551354	244590	Mireia
551355	40244	Capoeirista
551356	122692	Bartender
551358	7437	La Flamine Allia
551358	64333	Herself (1979)
551358	66711	Herself
551359	40370	
551359	169844	Hausmädchen bei Sturm
551360	352948	
551361	26329	Datter Sommer
551361	178731	Amalie
551361	400428	Herself - Host
551362	25661	
551362	183138	Adolzayda
551362	187381	Chuva
551362	187386	Doykata
551362	246341	Klimesová
551362	262568	Vozická
551362	324567	Sykorova
551363	67964	Leila Jenkins
551363	217931	Madelon Lulu
551363	349931	
551363	369062	Nag Ping
551364	378386	
551365	124663	
551365	284215	Emilia
551366	68996	
551366	75385	
551366	242681	
551366	280878	Herself
551366	335517	
551367	69515	
551368	54069	
551369	236470	
551369	341662	
551369	371733	
551369	378400	Mother
551370	199946	
551371	187372	
551372	75361	
551372	355759	
551373	395727	April
551374	387465	Lucia Ceppi
551375	385299	Hester Van Ryn
551376	289946	Yasmin
551377	90666	
551377	143756	Teresa
551377	349533	Marta
551377	407540	
551378	346350	Billie Hovis
551379	108339	Mary (1)
551380	98025	
551381	80858	Paula
551381	101848	
551381	296442	
551382	25322	
551382	348134	
551383	71450	
551383	202770	
551383	283977	
551383	357476	Landlord
551384	64661	Triple Trapeze/Body Skating
551385	73114	Pool passage guard #1
551387	58394	
551387	68648	
551387	97071	
551387	249699	
551387	272388	
551387	328374	
551387	345248	
551387	346575	
551387	377791	
551388	133009	
551390	175029	Dominika
551391	80619	Fiesta Dancer #2
551392	117292	Jenny Rochetti
551393	205710	
551393	322220	
551394	37133	Stella
551394	117292	Young Jenny
551394	138912	Madison 'Maddie'
551394	362439	Sarah
551394	372203	Nicole Tyler
551396	26971	Party Animal
551397	98184	Model
551398	23741	
551399	169068	Herself
551400	385025	Mônica
551400	403618	Nazaré
551401	71148	
551402	33152	
551403	302841	Frances
551404	121341	Carlotta
551404	409936	
551405	54821	Pulido's mother
551405	170047	
551405	212993	
551405	318019	Terapeuta
551405	324431	
551406	57139	Kelly
551407	380431	
551408	2917	Herself
551408	5129	
551408	5594	Jane
551408	16357	Marie
551408	18533	Sandra
551408	33165	
551408	45986	Iris
551408	62934	Christina Faber
551408	68721	Lola
551408	71304	Cosima Richter
551408	84391	Annabella Quant
551408	86379	Rita
551408	91174	Lilli
551408	93399	Moderatorin (Host)
551408	94865	
551408	107348	Claire
551408	115701	
551408	118454	Ute Martens
551408	119188	Frau Rettich
551408	120405	Queen
551408	120956	Madelon
551408	125010	Nora Bruhn
551408	125019	
551408	125093	Miriam
551408	134785	Johanna
551408	137422	
551408	156650	
551408	173842	Nina Achtermann
551408	179766	Ellen Büchner
551408	179875	Frau Dr. Riffleson
551408	188978	
551408	192703	Ellen
551408	204423	Susanne Ahlemann
551408	204452	Ann
551408	216190	Anna Maron
551408	216536	
551408	225659	Luisa
551408	226722	Julia
551408	251460	Dr. Greta Goerre
551408	271695	Vera Beck
551408	275764	Almut Gützkow
551408	279968	Zdenka
551408	281652	Rosa Roth
551408	281653	Rosa Roth
551408	281654	Rosa Roth
551408	281655	Rosa Roth
551408	281656	Rosa Roth
551408	281657	Rosa Roth1
551408	281658	Rosa Roth
551408	281659	Rosa Roth
551408	281660	Rosa Roth
551408	281661	Rosa Roth
551408	281662	Rosa Roth
551408	281663	Rosa Roth
551408	281664	Rosa Roth
551408	281665	Rosa Roth
551408	281666	Rosa Roth
551408	281667	Rosa Roth
551408	281668	Rosa Roth
551408	281669	Rosa Roth
551408	284415	Conny van Haagen
551408	290659	
551408	290770	Sylvia Rosch
551408	301021	Marta Weber
551408	301236	Jane Wolff
551408	301526	
551408	302174	Simone
551408	307555	Maja Stein
551408	308240	Franziska
551408	312605	
551408	314307	
551408	314849	Sigrid Pelzer
551408	319569	Supergirl Fancesca Farnese
551408	324785	Laura
551408	325479	Frieda Helnwein
551408	325744	Sybille Kral
551408	329003	Lea Hoffmann
551408	334547	Susanne Evers
551408	334616	Marlene
551408	334713	Cathrin/Vera
551408	347586	Carola
551408	352178	Julia/Elke Steinman/Barbara
551408	352220	Christine Wagner
551408	352351	Kristina Bouvier
551408	354089	
551408	361508	Maja
551408	374135	Charlotte Pfeffer
551408	376421	Mona Sander
551408	376772	Rita
551408	381813	Frau Feldheim
551408	383108	Annette Münzner
551408	387735	Evelyn von Guldenburg, gesch.
551408	389880	
551408	390190	
551408	396753	
551408	397370	Frau Windlechner
551408	405562	Various roles
551408	406321	
551408	411198	Gudrun Idstein
551408	412101	Chantal
551409	16244	Else
551409	86228	Dida Ibsen
551409	86305	
551409	92541	Taenzerin im Frack
551409	93435	
551409	93498	Grisi
551409	107982	
551409	130933	Natascha
551409	132543	
551409	162473	
551409	196823	
551409	197050	Gräfin Julia Orsini
551409	226249	
551409	226316	Tänzerin
551409	251810	
551409	266008	Lola, dessen Tochter
551409	275183	Aouda
551409	290224	
551409	290745	
551409	343472	
551409	347045	Die Dirne (framing story)/Wom
551409	352170	
551409	358893	Tänzerin
551409	364992	
551410	749	La mère de Majid
551410	25786	
551410	96153	
551410	139360	Nasser's mother
551411	209609	Dancer
551412	353886	La nourrice
551413	218005	Carjacker
551414	343807	
551415	14690	
551415	248759	
551416	83301	
551417	376203	
551418	388053	
551419	41414	Hotel Room Maid
551420	29703	Boulotte
551421	186607	Frau Corbic
551422	15079	
551423	359477	La jeune fille
551424	44660	Luci
551425	225210	Monique
551426	162613	Jeune femme sur la plage
551427	345929	Herself - Fan
551428	52890	
551428	101921	Carmela
551428	222045	
551428	244596	
551428	252075	Lucia
551428	281600	
551428	380072	
551428	386127	Luisa
551428	387774	Alicia
551428	391860	Nora Cepeda
551428	398470	Sofi
551428	399764	Mirey
551430	66216	Marion
551430	88084	La deuxième fille de l'agence
551430	270844	Emmanuelle
551430	346730	La femme de Sam Morvan
551430	377052	
551430	377464	Mrs. Tievaux
551430	377903	
551431	337742	Joshua
551432	280263	Chris
551432	330285	Ruthie
551432	335866	Karen
551433	185683	Theater Audience
551434	92660	Dracula's bride
551435	367271	Kick Line
551436	114940	Bird's Wing
551436	149928	The Priestess
551437	103375	Secretaria de C.P.I.
551438	8366	Sister Therese
551438	15208	
551438	23718	Mme. Zom
551438	29537	Leslie
551438	33536	Cécile Gauthier
551438	70743	Mme Parslow
551438	97054	Françoise
551438	127938	Caretaker
551438	164220	An OldMaid
551438	173129	Sa femme
551438	197014	Cashier
551438	249209	Grande Admiratrice de Jeannot
551438	269952	Charity house woman
551438	332274	
551438	333731	Mrs. Turcotte
551438	351826	Soeur Amanda
551439	153956	
551440	253818	Ellie Creed II
551441	253818	Ellie Creed
551441	317145	Heather Weinberg
551441	360507	Buster
551441	390035	Lenni Frazier
551442	180361	
551444	14800	Madre de Borges
551444	42653	
551444	68961	
551444	104015	
551444	205381	Herself
551444	301113	
551444	391446	
551444	391853	Dr. Helga
551444	395310	
551444	398454	
551444	398913	Mercedes
551444	401692	Otilde
551445	163087	Corinne
551445	207051	Gaby's Daughter
551446	387953	Herself
551446	387954	Herself
551447	154516	Drawing Patient
551447	161415	
551447	231871	Operator
551447	366763	Mercy Lewis
551448	58044	Employee
551449	118634	
551450	397738	Silvia Zapata
551451	240372	Sue
551451	316959	Sister
551452	85546	Mme Passereau
551452	197535	
551453	254621	Teacher
551454	70887	
551454	234633	
551454	295097	Hilda
551454	352855	Vidente
551454	353104	
551454	381328	Raquel Ribeiro
551454	385629	Inês
551454	387732	Letícia
551454	388591	
551454	396938	Vanessa
551454	401678	Lídia
551454	404283	
551454	404799	Kátia
551454	407872	Ester
551455	51989	Lisa
551455	92773	Dixie Dancer
551455	193523	Bren
551455	215295	Lacy
551455	232181	Lysis
551455	346016	Zelda
551456	132746	Bissa
551456	148735	Mirabelle
551456	229492	
551456	286313	Fatoumata
551457	103499	
551458	121260	
551459	228155	
551460	98027	
551461	138603	
551462	149494	Jelena
551462	324098	Szép szemû lány
551464	19764	A sebes arcú nõ
551464	97972	
551464	97974	Emmi
551464	106690	Koroknainé
551464	110717	Balázs anyja
551464	129672	Mrs. Tar
551464	163174	Sarolt
551464	176682	Mother of Juli Kovács
551464	182515	
551464	243878	Ancsa
551464	266473	
551464	268284	Olga, Géza felesége
551464	322076	
551464	322238	Narrátor
551464	377778	
551464	377784	Virágh Anna
551464	378279	Csontosné, Kata
551464	378577	Lili
551465	193566	mother
551465	212310	
551465	285009	Sister Katalin
551465	322065	
551465	378582	Balogh Anna
551466	108146	
551467	223324	Reporter
551468	58777	Nicky
551469	352126	
551470	352126	
551471	383171	
551472	7408	Mademoiselle Subur
551472	83381	La jeune femme du train
551473	111118	
551474	24958	Amanda Heaton
551474	185593	Baptismal Baby
551475	24958	Emma Heaton
551476	185593	Baptismal Mother
551479	158338	Maria (the tuna lady)
551479	387424	Vic
551479	387932	Lilian Serra Jardim
551479	390507	
551479	404803	Beta
551479	408058	
551480	16805	Angela
551481	399315	Anchor (2001-)
551482	52754	
551482	71299	
551482	95008	
551482	100264	
551482	112096	
551482	140575	Carmen
551482	160518	
551482	197436	
551482	204769	Lola
551482	235529	
551482	236458	Berta
551482	334679	
551482	355488	
551482	380578	
551482	380947	
551482	388097	Semprum
551482	392609	
551482	392985	
551482	395255	
551482	397589	Malva
551482	402151	
551482	402301	Chantal
551483	253380	
551484	90137	
551485	53722	Garnett
551485	125356	Arbeidersvrouw
551485	125366	Hilda
551485	174407	Prostituée
551485	180081	Betsy
551485	184354	Moeder
551485	203251	De vrouw
551485	213558	
551485	222511	Martha
551487	56750	Sandra
551487	275448	Barbara Curry
551487	366419	Morgue Attendant
551487	404570	Receptionist
551488	19725	L'Arbalète'
551488	30431	Lady Lyndon, Countess of Lynd
551488	51576	Natalia Landauer
551488	56078	The Caliph's Wife
551488	67478	Alix Rich
551488	99403	Chloé
551488	101153	Radegonde
551488	109387	Narrator
551488	114814	Jeanne Barnac
551488	126664	Mrs. Childs
551488	127435	Charlotte
551488	132746	Helene Schweitzer
551488	170444	Madame de Maintenon
551488	176812	Ann
551488	191413	Princess Maruschka
551488	192840	Herself
551488	193807	Verena
551488	200950	Madame Crosby
551488	201114	Marianne
551488	217029	
551488	219561	Frau von Aschenbach
551488	222488	Herself
551488	232067	Françoise
551488	235677	Katarina
551488	252424	Daniella
551488	254876	Julie
551488	257764	Elzvieta
551488	263883	Martha Werther
551488	276546	Stéphanie
551488	277726	Alizéa
551488	284538	Mavis
551488	292373	Emma Herrmann
551488	308820	Anne de Bois
551488	335492	Mme Pflaum
551488	336885	Marian
551488	343569	Vera
551488	353078	
551488	363877	Kay Gibson (film star)
551488	381590	Clotilde de Marelle
551488	383151	
551488	390749	
551488	391359	Pauline Pfeiffer
551488	399952	Muneca Chavez
551488	404503	
551488	405460	Luba Tcherina
551488	409974	Madame Laura
551489	236596	
551490	255506	
551491	130314	Beren Gayle
551493	110253	Woman at Door
551494	78393	Flageolet
551494	154295	Skytte-Lisa
551495	71225	L'infermiera
551495	273140	
551496	157856	
551496	229738	Irma
551496	356588	
551497	185964	Airport Passenger
551498	207014	
551499	11121	Sharhari
551499	82095	Guy's Sister
551499	100431	Linda
551500	102486	Erica
551500	257604	
551501	73249	Policewoman #1
551501	344650	Grace
551502	39840	Mademoiselle Le Fontaine
551502	126700	
551503	17756	Queen Victoria
551503	48867	Queen Victoria
551503	117647	Bit Part
551503	147417	Mrs. Thornley
551503	183627	Party Guest
551503	214695	Fat Lady
551503	224611	Large English woman
551503	224711	
551503	238504	Coughing Lady
551503	257939	Fat Woman
551503	264484	Lady Topham (British ambassad
551503	329421	Mrs. Taylor
551503	343295	Old Lady Motorist
551503	346901	Madame Pompadour
551503	347028	Lady Darrington
551503	372676	English woman
551504	32118	Mrs. John Randolph
551504	143109	Marquis de Nati
551505	371043	Pool Model
551506	344379	Herself - Leader, Wiston Lodg
551507	70015	A Friend of Flossie's
551507	215497	Landlady
551508	108444	Buddy
551509	65717	Governess
551509	146781	Mrs. Chilton
551509	213453	Cockney Scrub Woman
551509	223399	Ellison's mother
551509	248828	Mrs. Hawker
551509	289585	Sophia's aunt
551509	337113	Mrs. Grimes
551509	364453	Newfoundland Woman
551510	210427	
551511	115235	Sturdy Woman
551511	324028	W.P.C
551511	388787	Doctor
551512	62430	Bridie
551512	131509	Christmas Girl
551512	185174	Title Sequence Girl
551512	186632	Laughing Girl
551513	79393	Lillian Hetherington
551513	88089	June
551513	246602	Beth Harris
551514	256438	
551516	152297	Herself (friend)
551517	84569	Helga
551518	34344	
551518	345916	Ines
551519	56388	
551519	116430	
551520	90263	Harry
551520	125077	Katya
551520	267449	Jane
551520	295402	Deirdre
551520	321648	Janice Lampton
551520	353382	Sylvie
551520	384783	Lois James/McClusky
551521	322694	
551522	75535	Party girl who is painted
551522	374638	Angvisa Girl
551523	199921	La seconda maestra
551524	215332	
551525	19797	Woman injured by crane
551525	52163	Woman
551525	73772	Village Woman
551525	92587	Mrs. La Rue
551525	130754	Tourist
551525	188542	Mother
551525	237618	Resistance woman
551525	321794	Woman
551525	335477	Daughter
551526	159503	
551528	132735	
551528	199570	Annette
551529	95960	
551530	214987	Chantal
551530	404974	Presenter
551531	1727	Herself
551531	155279	Herself
551531	224293	Older Ekaterina Gordeeva
551532	91214	
551532	283829	Devushka
551532	289863	
551533	248133	Hope's Mother
551534	25417	Psychiatrist
551534	68825	'Newsday' editor
551534	80464	Next Door Neighbor
551534	128598	Rabbi's Wife
551534	140843	Mrs. Bryer
551534	192254	Joyce
551534	194140	Office Manager
551534	197247	Mother
551534	220288	
551535	219723	
551536	350992	
551537	324652	
551538	113348	Reporter
551539	228167	Mariyka
551540	349292	Ivanovna-Sergeyeva, daughter
551542	231358	
551543	192625	
551544	684	
551544	12145	
551544	17432	
551544	18286	
551544	24863	
551544	26475	Matryona
551544	35854	
551544	48330	
551544	74430	
551544	84414	
551544	86611	
551544	87191	
551544	125648	
551544	163040	
551544	171682	
551544	179910	
551544	198127	
551544	198151	
551544	224279	Mother
551544	229541	
551544	229922	Zhura
551544	236065	
551544	242820	(segment "Naparnik")
551544	244722	
551544	246343	Konsyerzhka
551544	258999	
551544	263257	
551544	263676	
551544	280398	
551544	284468	
551544	288363	
551544	304710	
551544	305288	
551544	313866	
551544	317241	
551544	327129	
551544	349290	(segment Prodkomissar)
551544	349329	
551544	349345	
551544	350738	
551544	352832	Zafarova
551544	356120	
551544	357640	
551544	357675	
551544	370191	
551544	373213	
551544	373699	Groom's Mom
551544	374102	
551544	374431	
551544	375793	
551545	138006	Girl
551546	109139	Passenger on train
551547	93958	Girl in Elevator
551548	29354	
551548	79177	Clementine
551548	135361	Cynara
551548	156989	Lollo
551548	216278	
551548	319729	
551548	354346	Pigtails
551548	376368	
551548	406488	
551549	264525	Monique
551550	77232	
551550	344824	
551551	303849	Girl selling chocolate
551552	211228	Herself
551553	204548	Mother
551554	34291	
551554	195057	
551554	361514	
551555	120321	Acea
551555	266151	Vannina
551555	328361	
551555	338715	
551556	256935	Mae Fumaca
551556	287737	
551557	201140	
551558	89937	Speaker
551559	144154	Melanie
551559	156711	Schwedin
551559	244711	
551559	259579	Helga
551559	348161	
551559	379372	
551559	389616	
551559	390703	Laura Berthold
551559	396874	Ulla Neuhaus (1999-2001)
551560	400886	Herself (Blue Team) (2003-)
551561	1793	Miss July 1987
551561	257646	Miss July
551561	361862	
551562	103215	Porcelain Bus Dancer
551563	21056	Lucia Bernardi
551563	74347	
551563	78807	Eva
551563	94734	
551563	112233	Caroline
551563	134699	
551563	169156	Claudine
551563	182245	Madame Morey
551563	205248	Olimpia
551563	207622	Madeleine
551563	230637	
551563	242944	La femme du comte
551563	248423	Nicole, une femme nue à la pi
551563	271372	Anne
551563	302419	Aunt
551563	323242	Fille topless
551563	324068	Dorothée Lusy
551563	335224	Sonia
551563	346417	Hélène Fillon
551563	365012	Olga
551563	380380	Elisabeth Dupré
551563	383112	
551563	400389	Marianne (1989)
551563	404666	
551563	410147	Mme Lavalette
551564	401	Eva
551564	40907	Lilly (waitress/Benkan's girl
551564	77404	Ann-Marie Hansson
551564	90211	Isabella
551564	90768	
551564	108461	Jungfru Maria (Virgin Mary)
551564	199871	Communist secretary
551564	268351	Marina
551564	276209	Elis's wife
551564	303648	Young woman kneeling for the 
551565	114961	Girl
551565	238093	
551566	361224	Baywatch Casting Assistant
551567	99528	
551568	190377	Woman
551568	197738	Sara
551568	386156	Alice
551568	404039	Sussie
551568	409662	Nova
551569	403527	Wooseleys Nichte
551570	20378	
551570	23513	
551570	33530	
551570	40561	Mme Quintard
551570	43657	Jeanne
551570	44974	
551570	46774	
551570	69761	
551570	72534	
551570	76054	
551570	112864	Marie-Christine
551570	132991	Une locataire
551570	192834	Liza's friend
551570	211741	
551570	218507	Katrina's Maid
551570	219459	Une infirmière
551570	220395	
551570	265223	La seconde novice
551570	278870	Madame Cault
551570	307399	Older Woman
551570	316845	Concierge
551570	345641	
551570	356364	La mère de famille/Mother
551570	357858	
551570	376895	
551570	384212	
551570	384576	
551570	389000	Lazarie
551570	391927	
551570	391930	
551570	402588	
551570	404281	Miner's Wife
551570	412165	Mme Cozannec (segment "Gros c
551571	347599	Native Girl
551572	84007	Gina
551573	377314	Cecilia
551573	404782	Kioskimyyjä
551574	1050	
551575	210352	Herself
551576	165825	Jinger
551576	232986	Lab technician
551577	85117	Devils Are Dreaming Actress
551579	122470	Committee member, Green Party
551580	333517	Woman at smorgasboard
551580	359753	Sloper's Cook
551581	181736	Lille tvilling
551582	281860	Mamie
551583	130696	Molly Goldberg
551583	201068	Herself
551583	368475	
551583	389949	Sarah Green
551583	390271	Molly Goldberg (1949 - 1954)
551584	319687	Herself
551585	200402	Britta
551585	307772	Karin
551586	197243	
551586	197260	
551587	203243	Shopper
551588	99461	Oinker Sister
551589	314886	Susan 12 jaar
551590	94258	
551590	318443	
551591	40006	Cha Cha
551591	53327	Kiki Langford
551591	231068	Helen McNamara
551591	277635	Receptionist
551591	308980	
551591	330386	Choreographer
551591	397784	School restaurant clerk
551592	62437	
551593	87882	
551594	119691	
551595	112174	
551596	94012	Skipping Girl's Mother
551597	167301	Dancer
551598	7557	Frk. Hjort
551598	17705	Fru Møller
551598	20891	Svigermor
551598	30282	Privatlærerinde Astrid von Pl
551598	93941	Mette Gyde
551598	108179	Frk. Mortensen/'Morten'
551598	117001	
551598	118593	Pensionatsværtinden
551598	136619	Direktrice af Kjolesalon
551598	146603	Den gamle greves kone
551598	159641	Teaterdirektør
551598	159909	
551598	173148	Helene
551598	181304	Helene
551598	182603	Frk. Juhl, ansat hos Thorsen
551598	198052	Rasmussen, husholderske hos F
551598	214371	Tante Alma
551598	237300	Fru Helene
551598	239454	Fru Jørgensen
551598	264295	Speaker
551598	308229	Fru Rasmussen
551598	317510	Magdalone
551598	343945	Frk. Lund
551598	346992	Forstanderinden
551598	346993	Mathilde
551598	350562	Fru Hald
551598	353045	En konsulent
551598	392299	Mrs. Hammerstedt (1976-1977)
551598	395824	Arrig kone
551598	397074	Mrs Fernando Møhge
551599	303690	
551600	127968	
551600	163000	Arlene
551601	403805	Sabryna Newman (1999, 2001)
551602	178189	Extra
551603	29411	
551604	176525	Colonist
551605	1114	
551605	3581	
551605	18525	
551605	18880	
551605	101322	Meret, Joes Mutter
551605	102979	Beckys Mutter
551605	134643	Sibylle Hügl
551605	155350	Angela Liebig
551605	186125	Julia
551605	191839	
551605	204757	Florentine
551605	225282	Sonja
551605	341171	Janine
551605	356735	Kerstin Döring
551605	358224	Barbara
551605	365916	
551605	381694	Frau Weissenberger
551605	387735	
551606	210348	Himself
551607	168383	Maid
551608	136460	Weak Girl
551609	86334	
551609	106818	
551609	111852	
551609	246450	
551609	246832	Maddalena (Po Valley)
551610	142859	Gretchen
551610	147008	Kontitorns fru
551610	210340	Herself
551610	275884	Doris' Friend
551611	45000	
551613	389138	Grete Steffensen
551614	28555	Nurse 1
551614	392072	Marianne Halvorsen (2004-)
551615	31668	Lady in Leather
551616	199499	Matraca
551617	1545	
551618	281898	Secretary
551619	405720	Herself
551620	222599	Cassi
551621	405720	Sig själv
551622	398260	Stuepigen Marie
551623	48388	Currita
551623	193464	Eva Lotze
551623	226173	Karin
551623	290797	Judith
551624	107386	Ilsa Wolfe (party)
551624	332016	Karen Hallet Cassidy
551625	236870	Irene
551626	167721	Aurora
551627	234948	Nadia
551627	256962	Bobbys søster, Nadia (Bobby's
551628	98628	Herself
551629	129829	Cat's Fan
551630	74156	
551630	251339	
551630	317949	
551630	408720	Ernestina
551631	84571	
551632	92474	
551633	278257	
551634	18218	Vicky Karamanlis
551635	137294	Model #2
551636	355237	Extra in Hotel Lobby
551637	57564	Moren til Cecilia
551638	2298	Mrs. Ferm
551638	16263	Bobergskan
551638	47607	Mother Stina
551638	59716	Mrs. Forsius
551638	76450	
551638	94001	Josefina Pettersson
551638	97087	Carolina Vipperup
551638	102897	Servant
551638	109010	Housekeeper
551638	122460	Mrs. Lanner
551638	122477	Sister Scolastica
551638	124450	Guest
551638	134939	Sumi's Wife
551638	135975	Mrs. Blomgren
551638	138491	Stina, housekeeper
551638	138496	Antje
551638	142833	Comtess Nasi
551638	142834	Housekeeper
551638	143994	Landlady
551638	165626	Bernhardina
551638	169865	
551638	173114	Jägmästarens husföreståndarin
551638	181127	Aunt Julia
551638	182555	Stina, the housekeeper
551638	184575	
551638	187659	Faithful old servant
551638	198017	Housekeeper
551638	198383	
551638	204533	Tram Passenger
551638	213936	Klara
551638	216985	Maid
551638	235039	Mamsell Mauritz
551638	235041	Görel's Mother
551638	239473	
551638	239902	
551638	259352	Ms. Dina Björnbom
551638	268356	Benjamin's Mother
551638	301037	Countess Aurore Hohenstein
551638	304142	Stina
551638	308443	
551638	320527	Stina Pilbom
551638	321900	Catherine Dupont
551638	322270	Mrs. Svensson
551638	342303	
551638	344671	
551638	357750	Female Cook
551640	37690	Jacqueline Renee
551641	32626	Grace
551641	233923	Amy
551641	256530	Beverly
551641	386944	
551642	27594	Herself - Makeup Artist
551642	184666	Herself - Makeup Artist
551643	224003	Babs
551644	291653	Herself
551645	32383	Anja
551645	350772	Karin Månsdotter/The trumpete
551646	392072	Samina Zaman (2002)
551647	326985	
551648	280877	
551649	269712	Laura's mother
551649	392740	Teresa Gellini
551649	392741	Teresa Gellini
551650	14894	Sofia
551650	14948	
551650	67899	
551650	76164	
551650	209830	Giulia Monfalco
551650	215009	
551650	216611	
551650	356162	Ludovica
551652	266930	
551653	196682	
551654	127971	
551655	353381	
551656	7504	
551656	39302	
551656	63792	
551656	75251	
551656	87041	
551656	89668	
551656	94710	
551656	100768	
551656	108777	Diana
551656	132964	Louise
551656	157855	Flora
551656	179778	Jenny Carter
551656	180951	Miss Dickinson
551656	184212	
551656	184960	
551656	202242	
551656	204129	
551656	213796	
551656	219597	
551656	269002	
551656	270954	
551656	277598	
551656	280747	
551656	289348	
551656	291631	
551656	295146	
551656	295150	Antenore's wife
551656	300689	Gloria
551656	307336	
551656	313543	
551656	319298	
551656	319862	Louise
551656	322576	
551656	338323	
551656	338654	
551656	348159	
551657	8564	Actriz sex-shop (Sex-shop act
551657	34576	Perla
551657	77377	Sonsoles
551657	90119	Muchacha Rio
551657	101867	Diana
551657	121245	Tina Robia
551657	234400	Concha
551657	251589	
551657	252781	Gloria
551657	322397	Cuñada Ángela
551657	398805	Elena
551658	339439	Edith
551659	4696	Patricia
551659	41402	
551659	113501	Sandra Harrington
551659	143108	
551659	158113	
551659	222607	Production Assistant
551659	243231	Young Stenographer
551659	270894	Gladys
551659	272973	
551659	292463	Janice
551659	303608	Louise
551659	329548	Patient
551659	331152	
551659	343189	
551659	379715	Cecile Porter-Lindsey
551659	386662	Candy Crane
551659	396424	Buffy
551660	56893	
551661	308482	
551662	77705	Laura
551663	157321	Jazz Group - Vocals
551664	29772	Rosina
551664	90074	Zerlina
551664	134403	Mother
551664	238144	
551664	273836	Wells' Mother
551664	363097	Herself (soprano)
551664	376657	Carmen 'Carmencita' Martínez-
551665	87511	Mercedes
551666	3010	Sue Hantak
551666	16255	Tracy Green
551666	77799	
551666	349392	Natalie
551667	270495	Bykvinna
551669	263010	Nurse
551670	207157	Cigarette Girl
551671	394941	Herself - (Host)
551671	407631	Various/Herself
551672	142266	Herself (Oberreferent im Mini
551673	233989	Ethel
551674	323871	Pig/Town Mouse
551675	302121	Commune member
551676	131199	Casilda
551677	40953	Erika
551677	79167	
551677	168760	Linda
551677	170675	Charlotte
551677	186935	
551677	199047	Agmir, Nem's Girl
551677	369400	Dodo
551678	910	Maren Shirell
551678	1674	Herself
551678	1753	SAL 9000
551678	2538	Herself - Presenter: Best Sou
551678	2780	Herself
551678	2787	Herself
551678	2809	Herself
551678	6859	Sue Ann Daley
551678	7586	Herself
551678	11670	Herself
551678	20052	Herself
551678	21173	Morgan Le Fay
551678	33718	Herself
551678	34745	Host
551678	38904	Miss Jones
551678	55292	Susan
551678	57492	Herself
551678	68105	Herself
551678	79898	Electra Brown
551678	89964	Ellie
551678	96739	Herself
551678	105715	
551678	113530	Lizzy
551678	115018	Herself
551678	116928	Daisy Lowendahl
551678	118731	Herself
551678	121861	Host (segment 'Murphy Brown' 
551678	123572	Margaret Bourke-White
551678	126730	Jan
551678	134694	Lakey Eastlake
551678	152989	Melissa Ruger
551678	156844	Host
551678	158609	Judy Tobias
551678	161272	Herself
551678	175544	Herself
551678	191257	Herself
551678	200599	Lily
551678	206823	Mary Horton
551678	208661	Sydney Biddle Barrows
551678	215507	Kathy Morningside
551678	222786	Ewa Berwid
551678	222866	
551678	232022	Herself
551678	240032	Marcie Bonwit
551678	277622	Merry Noel Blake
551678	287155	Shirley Eckert
551678	288700	Herself/Consumer Probe
551678	288703	Herself
551678	307356	Kathy Maribel Lee, 'Cresta'
551678	313855	Jessica Potter
551678	314656	Kyle
551678	321213	Mayor Kate Hennings
551678	322638	T. R. Baskin
551678	348008	Herself (baby)
551678	354164	Sally Weston
551678	355975	Candice
551678	360245	
551678	360709	Herself
551678	364186	Herself
551678	365972	Eden Pedecaris
551678	368455	Herself
551678	383802	
551678	388032	Herself
551678	391834	Elaine Conti
551678	392246	Herself
551678	395276	Judge Amanda Anderlee
551678	398571	Murphy Brown
551679	285887	
551680	265859	Social Worker
551681	7405	Girl in Candy Shop
551681	10638	Connie Nimrod
551681	36827	Nancy Smiley
551681	37236	Blonde Secretary
551681	39387	Virginia Caswell
551681	108032	Mrs. Kennedy
551681	116175	
551681	116527	Ticket Seller
551681	118413	
551681	144994	Singer
551681	163507	Dorothy
551681	200862	
551681	203244	Nurse
551681	215625	Beauty Contest Participant
551681	239345	
551681	254218	Doris (Mantee's girl)
551681	259016	
551681	297918	Gun Moll
551681	306387	Elizabeth Campbell
551681	309911	
551681	335662	Ruth Brown
551681	341957	Maixie Jones
551681	367046	Miss Giddings
551682	303295	Liz
551683	296188	
551684	13953	Mrs. Laudner
551684	29885	
551684	97035	Whitney
551684	143429	Sylvia Carlin
551684	160860	Gertrude Kirk
551684	199475	White Woman #2
551684	219371	Mrs. Harding
551684	222495	Leonard Winesop's Secretary (
551684	277622	Literary Party Guest
551684	313206	Mrs. Cummins
551684	314923	Lady Dorsett
551684	333851	Madeleine Astor
551684	368455	Mr. Winesop's Secretary
551684	391834	Pamela Lancaster
551684	399838	
551684	405169	Glinda the Good
551685	26563	Maenad (chorus)
551685	340228	Woman Of Troy
551686	107350	
551686	119283	
551687	92095	Pregnant Woman #5
551687	382637	Angela
551687	389742	Shanice
551687	410849	Astra
551688	86266	Margot
551689	318707	The Summer Girl
551690	1071	Herself - Presenter
551690	5847	Cantina Singer
551690	6259	Vivien Langford
551690	20034	Ruth Danvers
551690	20338	Ruby Bee
551690	23025	Helen Palmer (Vic's girlfrien
551690	23219	Herself
551690	33621	
551690	44416	Marion Carmody
551690	54208	Peggy Bowden
551690	54995	Lorna Melford
551690	58850	Radio/jukebox singer
551690	74234	Janet Tunner
551690	74259	Mrs. Vernon-Williams, Allison
551690	81072	Sylvia Carter
551690	92513	Mrs. Unterveldt
551690	97202	Suzy Hunter
551690	103278	Alice Owens
551690	109437	Carol Maldon
551690	117056	Molly
551690	131239	Woman of the town
551690	135513	Technical Adviser (Clara Brow
551690	137452	Guest Appearance
551690	140186	Emily Stepford
551690	151641	Dana Greenberg
551690	158113	Murial
551690	178201	U.S. President Leslie McCloud
551690	183536	Cleo Storrs
551690	186822	
551690	201597	Estelle Stone
551690	214087	Jo Burns
551690	220059	Barbara Cutler
551690	220514	Bianca Steele Arden
551690	222718	Mona Briarly
551690	223780	Myra Gilbert
551690	241148	Miss Maybry
551690	253363	Barbara Fox
551690	298027	Laura Lee Webster
551690	315266	Mary Turner
551690	320041	Sandy Gilman
551690	327172	Dorothy Goodwin
551690	329588	Betty Hunter
551690	351422	Mrs. Vance
551690	359506	Molly Quade
551690	381076	Doris Campbell
551690	382283	
551690	391069	Vera Keppler
551690	401196	Host (c. 1955)
551690	401790	Host (1957-58)
551690	408365	Herself/panelist (1956-1961)
551690	410582	Rhoda Henry
551690	411221	Rhoda Henry
551691	98057	
551691	312601	
551691	345921	
551692	29817	Montserrat Raventos
551692	60769	Anya
551692	75005	
551692	141782	Pandora Bailey
551692	149828	Alicia Coxhead
551692	153114	Laura
551692	161890	Gillian
551692	169478	Alice Hastings
551692	196363	Girl at Party
551692	199210	Guardian
551692	214727	Alice May Richards
551692	222809	Colleen
551692	257048	Ellie McAdam
551692	321515	Evey
551692	341991	April
551692	356314	Lily Buxton
551692	379871	Frieda Kennon
551692	405960	Denise Turner (1984-1985)
551692	407531	Natasha
551693	151183	Ticket Saleswoman
551694	681	Lady
551694	11780	Woman in Shelter
551694	84318	
551694	119016	Kund i konditoriet
551694	142788	Lotten
551694	154249	Britta
551694	164651	Young woman
551694	181843	Lady
551694	198265	Student
551694	209327	Bathing beauty
551694	272755	Ulla Kvist
551694	307221	Waitress
551694	314765	Marguerite
551694	316909	Medicine student
551694	337888	Young lady in the audience at
551694	338674	Guest at Marianne's birthday 
551694	353013	Waitress
551694	377382	Kätchen
551695	307766	Pallas Athene
551696	130070	Mrs Fredin
551696	346202	Sandra's aunt
551697	281908	Roseanna McGraw
551698	388444	Herself - Participant (2nd pl
551699	236290	Sister
551700	351424	Infirmière
551701	13320	Stella
551701	43919	Mama Gabooch
551701	70104	Mrs. Charlie Moore
551701	73303	Aunt May
551701	78775	Mrs. Malt
551701	81750	Congresswoman
551701	100954	Nurse
551701	127237	Seymour's Mother
551701	132856	Clairette Taieb
551701	141746	Harriet Tubbleman
551701	144226	Poultry Woman
551701	151101	Funeral Woman
551701	176911	
551701	185707	Mrs. Munro
551701	194963	Mrs. Levotsky
551701	196503	Analysis
551701	213037	Caroline
551701	215786	Elaine Freiburg
551701	216737	Mrs. Greene
551701	219555	Mother Weinschank
551701	219972	Epstein's Mother
551701	225797	
551701	252449	
551701	271063	Mrs. Berg
551701	307473	Honorine Azoulay
551701	308114	Mrs. Goldberg
551701	316646	Louise
551701	323591	Mother
551701	328458	Real Estate Agent
551701	330620	Irate Tourist
551701	393646	Ma Tenuti
551701	404002	Beryl Feldman (1979)
551701	404939	Celia Blackman
551701	405431	Mrs. Tarkasian
551702	65990	Rose
551702	230512	Mrs. Rabinowitz
551703	97071	
551703	205610	Madame Rinaldi
551703	205640	Ninette
551703	211741	
551703	248265	
551703	258315	Rosette
551703	280413	Fifine
551703	294559	
551703	345032	La marraine
551703	346788	
551703	371537	Rita
551704	230512	Mrs. Rabinowitz
551705	376999	
551706	23776	La dame
551706	112835	Madame Julien
551706	115376	
551706	122542	Amazon
551706	124824	Secretary #1
551706	132994	
551706	133009	
551706	142638	
551706	145663	Grace
551706	166131	
551706	198639	
551706	251532	Nicolette
551706	270108	Une prostituée
551706	272320	
551706	345394	La femme du commissaire
551707	134806	
551708	47334	Lady in Trance
551708	270622	Mrs. Silverman
551709	390867	Freddy
551709	400217	Renee Couwenberg (1994-)
551710	309425	
551711	106149	Babette
551712	39101	
551713	196708	Young girl
551714	92486	Nurse Lushtush
551715	39009	
551716	104749	German entry (14th place)
551716	189850	Herself
551717	388413	Host
551718	191065	Reporter
551720	189059	Margo
551720	343425	
551720	392988	Dana
551720	405010	Yael (2004)
551721	2766	O'Boyle's Wife
551721	44423	Bridget
551721	78184	Ms. Hoffman
551721	161714	Cpl. Walker
551721	171259	
551721	190593	Lili Castle
551721	211649	Déliah
551721	227295	Satin
551721	248690	Debbie
551721	269464	Nicole
551721	281918	Gertrude
551722	258331	Une actrice
551723	296266	Interviewee
551724	186935	
551725	125306	Mareili
551726	45503	Emergency Room Nurse
551726	205317	Jo-Ann Marcus
551726	269372	Jennifer 'Jenny' Asher
551727	228233	Herself - Host
551727	228236	Herself - Host
551727	228237	Herself - Host
551727	228249	Herself - Host
551728	281971	Sophie
551729	402445	Horoscope Presenter (1996-200
551729	402446	Horoscope Presenter (1995-200
551729	402447	Presenter (2001-)
551729	404437	Reporter
551730	24894	Violetta (segment "La Traviat
551730	90070	Zerlina (Soprano)
551730	112280	Susanna
551730	290194	Soprano
551730	361333	Singer
551731	43714	Lydia
551732	373	
551732	12569	Wife of Rabbiner Mayer
551732	24127	
551732	92541	Fine, a servant
551732	105460	
551732	134989	Frau Gazul
551732	155601	
551732	161569	
551732	184496	
551732	211101	
551732	212097	Working woman
551732	225724	
551732	231356	Hunnenweib
551732	254430	Pfandleiherin Schwabe/Pawnbro
551732	308244	Puck
551732	311238	
551732	317356	Komtesse Margit
551732	328360	
551732	352193	
551733	183805	
551734	200159	
551735	80463	Hostess (Wirtin)
551735	103017	Hotel neighbor
551735	103130	
551735	105843	Dr. Brigitte Licking
551735	187682	Anna, Dienstmädchen
551735	277758	Miriam
551735	338468	
551735	338469	Frau Krupnik
551735	395393	Amalie Struve
551736	13339	Penny
551736	160565	Penny (segment "Gadget's Gadg
551736	392897	Penny (1985-1986)
551736	406387	Jennifer
551737	63093	Tommy (French version)
551737	96415	Princesse Arnese (French dub)
551737	241954	
551737	270343	Julie
551737	318515	Voice only
551737	380847	Jeanne/Hazuki (French version
551737	381841	Tommy
551737	398102	Shangora
551737	402732	Lisa Raccoon (1987-1991)/Tomm
551737	407381	Esteban
551738	330204	Herself (rescuer, Ukraine)
551739	93482	
551740	348651	Klaus Nomi's band
551741	95382	Senitza
551741	97435	Marianne
551741	337555	
551742	327831	Nurse
551743	12241	Maria & Freddie's Daughter
551743	197543	Catherine
551743	227295	Nana
551743	255107	Eva
551743	315459	Girl on beach
551744	94341	Miss Nordblad, journalist
551744	120892	Irma, housemaid
551744	268348	Lisa
551744	341912	Young Girl
551744	353021	Bettan
551745	109591	Nanette
551745	129347	Mrs. Lawndale
551745	164657	Helen
551745	168973	Pat Greenway
551745	192286	Rachael
551745	257078	Sandy
551745	292463	ALice
551746	88063	Jacqueline
551747	157654	Miral
551748	127051	Nina
551749	359144	Hot Mama Matrix
551749	364439	Ethel
551750	294609	Salome
551751	170599	Choir member
551752	43919	Cleaning Lady Bomboni
551753	392524	Second place (2004)
551754	142079	Bärbel
551754	155353	
551754	253964	
551754	289956	
551755	220916	Frau Kahn
551756	219273	
551757	280729	Newscaster
551757	402268	Interviewer
551758	272531	
551759	131988	
551760	248133	Zap's Doctor/Feature Journali
551760	363560	Rita Hayworth Bundy/Grocery S
551761	65796	Mrs. Williams
551762	143922	
551762	213445	
551763	92453	Fish
551764	95365	Jane Calloway
551764	226785	Mail carrier
551764	319206	Cop at Apartment
551766	80711	Lana
551766	127238	Double
551766	213268	
551767	16600	
551767	255659	
551768	20797	
551768	23503	
551768	343761	
551769	13526	Claire Rancourt
551769	25122	Nèle
551769	42213	Vinca Ferret
551769	57790	Mariori
551769	58533	Simone
551769	59712	Véronique
551769	92899	Françoise
551769	96173	Eleonore Germain
551769	100281	Jeanine
551769	112871	Néda
551769	159275	Elisabeth Langeac
551769	168182	Julie, la soeur de Jocelyn
551769	170462	Martine Valendor
551769	192669	Elisa Fernandez
551769	198971	La jeune fille
551769	199582	Diana
551769	225125	Angeline Meunier/Engele
551769	262942	Annie Chapois
551769	264311	Cécilia
551769	301073	Sara
551769	333738	Theresa Saroyan
551769	357862	Véronique
551769	385490	Cécilia Baudouin
551770	13852	Hooker
551770	59709	Alexis Pivot
551770	217816	Nancy
551770	351932	Biggie
551771	8653	
551772	378011	Vocal
551773	51414	Philomène
551774	339494	Elisabeth
551775	5792	La comtesse de Puypeux
551775	15039	
551775	64224	
551775	103783	
551775	107057	
551775	133179	
551775	345223	
551775	351261	
551776	405679	Herself in 'Sorry It's Not My
551776	405887	Herself
551777	211912	Arlette Candry
551778	24483	Marcellus M. Peckinpaw
551778	24518	
551778	72639	Leroy Calhoun
551778	114229	
551778	158807	
551778	196322	
551778	220005	
551778	342913	
551779	219773	Zandra
551779	223720	Lola
551780	24420	
551780	82199	
551780	110115	
551780	131754	
551780	231743	Judge
551780	248157	Supervisor
551780	398874	Dr. Renata Ziemianska
551781	67501	Liane
551782	287616	le Bergers
551783	145339	Fairy
551784	376311	Dancer
551785	46988	Cathy Howard
551785	73988	Abigail Williams
551785	99043	Mary Harper
551785	109924	Leni Kalder
551785	134075	Diana
551785	166569	
551785	230831	Mrs. Collard
551785	262534	Madeleine
551785	383630	
551785	384333	Toppy
551785	392896	Sheila Birling
551785	404404	Madame Derville
551785	404407	Madame Jouvin
551786	386	Jane
551786	6413	
551786	13054	Fela
551786	13596	Francesca Madeiros
551786	14858	
551786	17062	Contessa Spodani
551786	17208	Miss Abbott
551786	33465	Teresa
551786	33674	
551786	38845	
551786	46161	Gretl
551786	47405	Roberta
551786	56426	Magda Simon
551786	57209	
551786	60275	Erica
551786	62178	Detta
551786	63027	Herself
551786	73771	Eva
551786	75265	Giovanna
551786	78541	Marion
551786	80305	Anne de Montreuil
551786	85474	Paolina Borghese
551786	85612	Christiane
551786	86402	Chantal
551786	90684	
551786	90976	Sara Renzi
551786	94734	Clara
551786	98252	
551786	99899	Emilia
551786	101963	
551786	103114	Francoise
551786	109981	
551786	116297	Nina
551786	119271	Elisabeth Sibelius
551786	119671	
551786	121047	
551786	124982	
551786	125088	
551786	127373	Marta
551786	129583	Lou Woddard
551786	137423	
551786	155385	Vera Bleichinger
551786	155857	London Saleswoman
551786	156994	Rosemarie Schulze
551786	159449	Giulietta Cavamacchia
551786	163092	Mila Darvos
551786	164511	Jenny
551786	169504	
551786	170667	Madeleine Talbot
551786	172687	Catherine Talbot
551786	173628	Lilian
551786	174636	Une dame de la cour
551786	176930	Marie Landauer
551786	184276	Susa
551786	184625	Doris Holberg
551786	189628	
551786	189664	Franziska Ackermann
551786	191070	Marie
551786	197208	
551786	201314	Teresa Santiago
551786	202785	Clara
551786	216102	Catherine Talbot
551786	216268	Marie
551786	216320	Alice Burgmann
551786	225302	Herself
551786	226252	Teresa
551786	227327	Alex Gower
551786	235765	
551786	235783	
551786	237519	
551786	242832	Maggie
551786	244873	Kyra Stanovy
551786	246426	Angela
551786	251528	Gertraud Sphax
551786	260410	Photograph girl
551786	265096	Anna
551786	269006	Filli
551786	269007	Fili
551786	269900	Inge
551786	271857	Yvonne
551786	275052	Emma
551786	278988	Carla Richter
551786	288876	Sylvaine Orsini
551786	289857	Solveigh Kronberg
551786	289859	Hester Prynne
551786	290751	Herself
551786	290845	Captain Jenny
551786	292666	Elsa
551786	293092	Orlando Miller
551786	294317	Herself
551786	298598	Ellen Blackburn
551786	301014	Charlotte
551786	301371	
551786	312172	Serena
551786	321604	Denise Abbott
551786	328848	Nelly
551786	338381	
551786	338655	La contessa
551786	339065	Dr. Carla Severin-Bauer
551786	344435	
551786	346851	
551786	347794	Eva Maria Prohacek
551786	347795	Eva Maria Prohacek
551786	347796	Eva Maria Prohacek
551786	348204	Sara Grimaldi
551786	352549	
551786	352655	
551786	353516	Trudi
551786	354009	
551786	357872	
551786	358871	Henriette Treffz
551786	361495	
551786	369136	
551786	375164	Elisabeth
551786	376772	Unna
551786	377343	Dr. Margarethe Martin
551786	377344	Dr. Margarethe Martin
551786	377345	Dr. Margarethe Martin
551786	377346	Dr. Margarethe Martin
551786	377347	Dr. Margarethe Martin
551786	377348	Dr. Margarethe Martin
551786	377349	Dr. Margarethe Martin
551786	377350	Dr. Margarethe Martin
551786	377960	May
551786	381053	Susanne Stefan
551786	394536	Mona
551786	394828	
551786	395644	Lilli
551786	397743	
551786	399952	
551786	402222	
551786	404461	Gerdi Angerpointner
551786	404462	Gerdi Angerpointner
551788	104222	Cat
551788	212314	
551788	248265	
551789	321397	Bridget
551790	176972	Wife
551791	18975	
551792	307949	
551792	313442	Pentara
551793	287616	les Bergers
551794	101961	Frau
551795	145339	Arabelle
551797	68370	Mathieu's Girlfriend
551798	233048	Schwester Lusja
551799	77793	Writer One
551799	105945	Sue
551799	120017	Various
551799	138713	Sally
551799	154590	Blythe
551799	195619	Amy
551799	210540	Meadow
551799	266577	Cookie
551799	272602	Hotel Clerk
551799	279349	Nina
551799	311477	Model #1
551799	316225	Teresa
551799	330217	Maggie
551799	384888	Nina
551799	388197	Amanda Duvall
551799	390116	
551799	392834	Donna French
551799	397419	Katie (1997)
551800	163577	Madeleine, Joyce's Maid
551800	209650	Mrs. North-West
551800	267443	The Cook
551800	302723	Chinese Madame in Stage Show
551800	365266	Undetermined Role
551801	354658	La spectatrice
551802	154056	
551802	238742	Jytte Schiller
551803	290026	Manuela
551804	206953	
551805	32266	
551805	378761	Prof. Anne Victoria Mugler
551805	382220	Jovette Viel
551805	390502	Sophie Latour
551805	398078	Ginette Lachance
551806	298768	
551807	96834	
551807	167043	Natalie Nytnite
551808	203188	Eileen Sanders
551810	157759	
551811	221182	Michelle
551812	308584	2nd Old Woman
551813	51451	Marie-Stella
551814	249712	Fillette blonde
551815	251547	Fillette escalier
551816	107125	Beautiful Woman At Airport
551817	259440	
551817	259447	
551817	259506	
551818	97529	Anne Davis
551818	326586	Lucy
551819	235509	Josephine
551820	89754	Inés
551821	178439	Girl
551821	332480	
551822	37899	Raffaella
551823	11992	Moa
551823	386911	Rebecka
551824	101216	
551825	223340	Women in L.A.
551826	411176	Sarah (3 yrs)
551827	21385	Mrs. Montgomery
551827	89643	Woman in the hotel lobby
551827	121020	Celia
551827	122483	The Baroness
551827	154132	Karin Sommar
551828	402341	Schoolteacher
551829	77701	Receptionist
551829	215067	Micks mors veninde
551829	373726	Girl outside cafe
551830	198402	
551831	326127	Waitress Giving Notice
551831	378294	Rosa
551832	99218	
551833	315417	Storgårds-Anna
551834	320617	
551835	182306	Dancer at the nightclub
551836	16267	Cinema Cashier
551836	104737	Swedish entry (7th place)
551836	210328	Himself
551836	322433	Lilian
551836	397394	Herself
551837	5552	Herself
551838	5552	Herself
551839	284104	Woman
551840	304409	Lovisa
551841	136360	
551842	96441	Marit, Eriks forlovede
551842	153768	Vera
551842	193984	Ilse
551842	303678	Else Wang
551842	303691	Den modne damen
551842	351797	Edna Gran
551843	405840	Klara
551844	146931	Jean Reed
551844	224796	Jennifer Travis
551845	314845	
551846	147740	Amy Thomas
551847	86412	Frida
551847	142765	Sofia
551847	320512	Justine
551847	322840	
551847	389397	Monica Gustafsson
551847	397971	Helena
551847	403084	Paula Svensson (1994)
551847	406604	Sonja
551848	322128	
551849	89871	Kyoko
551850	129857	Clara
551851	95871	Moeder overste
551851	278177	
551851	376246	
551851	397407	Janet (1963-1965)
551851	397484	Grootmoeder Gijzen
551851	405350	Gonne
551852	175679	Truus
551852	243170	
551853	110170	Ladies at Church
551854	381911	Herself (2002)
551855	392822	Host
551856	211073	Inge
551857	125130	Sekretärin Bernhard
551858	98315	Mrs. Hassert
551858	104951	
551858	124460	Newscaster
551858	325574	Fräulein Schäfer
551858	376366	Nachrichtensprecherin
551858	379372	
551858	391022	
551858	399105	Host (1982-1984)
551858	406321	
551858	407361	Host (16 June 1976 - 31 Decem
551859	42308	Myrna
551859	233544	Helen
551860	136701	Woman
551861	978	
551862	184009	Hilma
551862	263202	Kirsti
551863	405292	Eukko #2
551864	131776	Brit
551865	270191	Ystävätär
551866	100193	Beat Woman
551867	38917	
551867	236939	Martine
551867	336428	
551868	312079	
551869	89483	Margarita
551869	225315	Elvira
551870	160884	Karen
551870	253864	Neighbor
551870	305990	Midwife
551870	350349	Dawn, Nightclub Girl
551870	388209	Natalie Phelan (1994-1997)
551871	241878	Jennifer
551872	80066	Rescue worker
551872	265683	Bull Dyke
551873	399314	Reporter
551874	40851	Nadine
551875	16267	Britt's Mother
551876	312739	Renate
551877	134943	Woman with babycarriage
551877	142214	Greta Berglund
551877	154203	Maj the housemaid in final nu
551877	182263	Member of Anemon choire
551877	210331	Himself
551877	272642	Tipsie Blink
551877	322271	'Bojan'
551877	323041	
551877	341611	Young woman
551877	350722	
551877	355642	Rich Lady 1
551877	387896	Hostess
551878	357302	
551879	59891	Sadie
551879	113311	Helga
551879	138735	Talia
551879	270933	Rachael Lang
551879	407421	Lisa Clarke (adult)
551880	372806	Swing Dancer
551881	46807	One of Fu Man Chu's slaves
551882	181746	Leskirouva Harryson
551885	91793	Student
551886	154492	
551887	190809	Sikkan Jönsson
551887	190811	Sikkan Jönsson
551888	214917	Flower Vendor
551889	263352	Preen #3
551890	227042	Striptease Dancer 2
551891	35065	Lotta Eriksson
551892	144235	Singer
551892	210327	Herself
551892	210328	Herself
551892	210329	Herself
551893	1050	Model
551894	201785	Herself
551895	406576	Erika
551896	201785	Herself
551897	102944	Virginie
551897	148685	La secrétaire de Fabrice
551897	383371	Alice Moliano (1998-2000)
551897	408719	Martine
551898	114997	
551899	159718	Emma
551899	168973	Sue Ann
551899	362310	Devon
551899	396056	Gemmy Nardini
551900	181076	Maj Westman
551900	357747	Anna
551901	6911	Helga
551901	24790	Alice as a Young Woman
551901	89380	Herself
551901	95514	Prostitute #1
551901	108633	Teatern - Hanna Schwartz
551901	197186	Eva
551901	233465	Hotel Receptionist
551901	236952	Tashi
551901	252164	Penelope Charterley
551901	269305	Native Girl
551901	365263	Sonny's Girlfriend
551901	377397	Sleeping girl
551901	397793	Ingrid Svenson (Series 2, 4) 
551902	379800	
551903	102513	Reporter
551905	270809	
551907	24697	
551908	408798	Biblioteksfröken (Librarian)
551909	271688	Girl at dance
551911	2273	Herself - Presenter: Best Pic
551911	2364	Herself - recalling her award
551911	2525	Herself - Presenter
551911	2589	Herself - Best Supporting Act
551911	6162	Emilie Gallatin
551911	13931	Herself
551911	15886	Anastasia
551911	19797	Joan Madou
551911	21530	Herself
551911	24165	Cameo appearance
551911	26545	Herself
551911	33704	Sister Benedict
551911	48339	Karin Ingman
551911	51757	Stephanie Dickinson
551911	56044	Ilsa Lund Laszlo
551911	89643	Julia Balzar
551911	90606	Herself
551911	92505	Ivy Peterson
551911	99653	Elena Sokorowska
551911	100337	Eva Beckman
551911	103723	
551911	104643	Irene Girard
551911	117295	María
551911	120632	Mrs. Frankweiler
551911	124374	Paula Alquist
551911	128008	Giovanna d'Arco (Joan of Arc)
551911	131677	Herself
551911	131715	Paula Tessier
551911	141792	Hedda Gabler
551911	142856	Herself
551911	147922	Herself
551911	152586	
551911	153945	Charlotte
551911	159260	Anne Kalman
551911	159685	Herself
551911	159886	Gladys Aylward a.k.a. Jen-Ai
551911	160873	Anita Hoffman
551911	160880	Anita Hoffman
551911	168119	Joan of Arc
551911	170838	Kerstin Norbäck/Sara Nordanå
551911	182288	Anna Holm/Miss Paulsson
551911	184577	Girl waiting in line
551911	195613	Herself
551911	208071	Countess Sanziani
551911	222444	Elsa Edlund
551911	222727	Greta Ohlsson
551911	235676	Alicia Huberman
551911	243798	Herself (segment "Salute to O
551911	251056	Irene Wagner
551911	268365	Eva Bergh
551911	270911	Stella Bergen
551911	288208	Clio Dulaine
551911	300778	Herself (segment "Ingrid Berg
551911	310843	Dr. Constance Peterson
551911	314911	Mathilde Hartman
551911	317130	Karin
551911	320954	Astrid
551911	320958	Herself
551911	329563	Herself
551911	330061	Actress in 'Spellbound' Clip
551911	341942	Governess
551911	342426	
551911	345970	Lady Henrietta Flusky
551911	349802	Lena Bergström, Johan's Secre
551911	353155	Katherine Joyce
551911	354059	Marianne
551911	355427	Karla Zachanassian
551911	358571	Libby Meredith
551911	367443	Golda Meir
551911	371070	Gerda Millett
551912	322311	Woman at Anne-Marie's party
551913	18544	Party Girl
551913	42257	Monica
551913	52312	Herself
551913	79081	McGowan
551913	79962	Suzy
551913	95908	Alice
551913	131226	Blonde in Drag Race
551913	160464	Herself
551913	178862	Candi MacIntyre
551913	251040	Herself
551913	257618	Herself
551913	257625	Herself
551913	257657	Herself
551913	257668	Herself
551913	257684	Herself
551913	257813	Herself
551913	257827	Herself (Miss January 1999)
551913	257866	Herself
551913	309572	Buxom Blonde
551913	310801	Bombshell #1
551913	344524	Herself
551913	355114	Melissa
551913	405924	B.J. Cummings
551914	89938	Madre muerta
551915	174055	Herself
551915	317599	Geisha
551916	21198	Clerk
551917	398651	Various
551918	312228	Madelaine
551919	191630	Karen
551920	289731	Karin, syster till Eva
551920	303648	Young woman kneeling for the 
551920	305863	Kristina Borg, twin
551920	355545	Maria as a child
551921	42209	Mia
551921	59208	Mari Andersson
551922	53674	Rosanna Yanny
551923	16050	Emma
551924	322431	Helen, Jocke's girlfriend
551924	402873	My
551925	77404	Nanna
551925	78514	Doggens inackorderingstant
551925	94253	Vainos-Kari
551925	102501	
551925	102513	Grannfrun i Trappan
551925	120922	Postkassörskan
551925	120966	Nurse at the maternity ward
551925	160873	Skjuksköterskan
551925	164770	Nurse
551925	170838	Nurse
551925	175351	Nurse
551925	181847	Gäst på Jubileet
551925	182288	Nurse
551925	244204	Woman at the station
551925	277817	Peasant woman
551925	288052	Sköterskan på Barnhemmet
551925	315352	Fru Kvist
551925	316909	Woman in waiting room
551925	404435	
551926	1050	Model
551926	29627	Marianne
551926	162252	Lady
551927	109795	Elena Lennox
551927	109796	Elena Lennox
551928	104746	Swedish entry (6th place)
551928	104747	Swedish entry (13th place)
551928	104769	Swedish entry (13th place)
551928	210335	Herself (member of Family Fou
551928	210336	Herself
551928	210357	Herself
551930	7591	Herself
551931	58778	Jessica
551931	155453	Pretty Woman
551932	2761	Additional Voices
551932	12722	Milena, Natasha, Royal Boy C
551932	12735	Mother
551932	17630	Hens
551932	17779	Miss Hannigan/British childre
551932	28709	Fox/Wolverine 3
551932	30951	Barbara Gordon/Batgirl
551932	32178	Bimbette
551932	42402	Lady in Red, Telephone Voice 
551932	63045	Sheila Broslofski/Shelley Mar
551932	70446	Gabby Gertir/Jitters/Teacher
551932	75523	Minnie Stromie Goodsoup the G
551932	81731	The Parrot
551932	87754	Bimbette
551932	107472	Timmy Turner (original versio
551932	122756	Gerde/Little boy/Old lady/Ope
551932	130291	Herself
551932	131912	Flo
551932	143526	Earthquake Lady/Wood Nypmh/Wa
551932	152724	Quasimodo's mother
551932	162352	Additional Voices
551932	165981	Jay Jay the Jet Plane/Herky/S
551932	177601	Apothecary Gnome/Swamp Witch
551932	178272	Doris
551932	183550	Si (Siamese Cat)
551932	187601	Charlotte Donay/Cavaricci Vua
551932	187602	Drew Baringmore/Jamie Lee Coi
551932	189974	Martha
551932	222112	Female Ancestor, Additional V
551932	232862	
551932	234999	Heather
551932	260087	Calamity Jane
551932	283895	Myrtle the Duck
551932	290938	Daphne Blake
551932	290940	Daphne Blake
551932	290948	Daphne Blake
551932	290952	Daphne Blake
551932	292861	Young Girl
551932	308029	Toby Toaster/Taste Test IV
551932	309863	Ms. Cartman/Wendy
551932	309865	Various Female Voices
551932	309866	Wendy Testaburger/Mayor McDan
551932	309867	Liane Cartman/Sheila Broslofs
551932	313475	Old naboo Woman/Torno the Ham
551932	314828	
551932	337168	Jessie (yodeling)/Additional 
551932	359052	Addie the Kangaroo
551932	359056	Addie the Kangaroo
551932	364639	Additional narration
551932	369453	FBI Agent Dede Scudder/Gillia
551932	383414	Dr. Blight (1991-1993)
551932	388333	Additional Voices
551932	389541	
551932	395739	Arista/Additional Voices
551932	400033	Timmy Turner/others
551932	403501	Additional Voices
551932	404670	Mitzy/Mitzy's Owner/Timmy/Scr
551932	405328	Spanish Interpreter/Iranian I
551932	405429	Fifi/Hansel/Gretel/Elf/Witch/
551932	405493	Announcer for Kids WB
551932	406042	Principal Victoria/Liane Cart
551932	409212	Additional Voices
551932	411149	Mattie/Eliza/May
551932	412074	Ursula
551933	321510	Student
551934	248133	Audience Member
551935	123986	Herself
551936	408800	Moa Lindgren (1996-1997)
551937	123463	
551938	297190	Sorority Girl
551939	106310	
551940	9124	Officer #1
551940	11485	Principal Dancer #1
551940	69043	Valeria
551940	114020	
551940	126714	Nadine Cawley
551940	141387	Filmmaker's Mother
551940	142361	Spangle
551940	151641	Blonde jogger
551940	158089	Nurse Henninger
551940	159946	Sharon Reed
551940	173318	Harlow
551940	191350	Lilly Miller
551940	196552	Lulu
551940	232051	Marla Miles
551940	245982	Rachael
551940	261426	Peggy Hansen
551940	265538	Samira
551940	272935	Gloria Freedman
551940	274350	Queen Gedren
551940	277114	Python
551940	288754	
551940	297873	She
551940	302710	Dancer
551940	303574	Herself (Presenter)
551940	309137	Virginia
551940	314631	Wanda Polanski
551940	327061	Valkyrie
551940	369492	Muse 1
551941	40053	Foreign Female
551942	236982	16 Year-old Claudia
551943	198745	Judith
551943	382864	Rosemarieke van der Roer
551943	390242	Sara Middelkoop (1991)
551944	252960	Hospital Recept
551945	104807	Annika
551945	387963	Annika
551946	18952	
551946	42595	Alba Corsi
551946	53160	Wanda Gregorovitch
551946	54157	
551946	94702	Una collegiale
551946	103101	Carla Walden
551946	106803	La diva
551946	106805	
551946	121324	
551946	187435	
551946	198493	Oliva
551946	199444	L'insegnate Elisa Malgari
551946	204704	Elisa
551946	234714	Lisa Baratti
551946	235754	La ragazza misteriosa
551946	326984	
551946	326985	
551946	338702	Elena
551946	344424	
551947	407351	
551948	301094	
551949	26563	Maenad (chorus)
551950	364306	Greta
551951	307916	Lisa, Au Pair
551952	347831	Mutter Heßling
551953	180212	
551954	290177	Galina
551955	407361	Host (early edition) (1997-20
551956	201095	Holly's Mom
551957	215696	Miss Poland
551958	409172	Herself - Host (2004)
551959	403535	Herself - Participant (2004)
551959	403536	Herself - Participant (2004)
551961	30275	Zuleika
551961	184353	
551962	142935	War Photographer
551963	279029	duivenmeisje
551964	12507	Karin
551965	219332	
551966	57757	Sekretaresse
551966	91255	Ulle
551966	124946	Verpleegster
551966	125270	Coralie Vernet
551966	127497	Cecilia
551966	143487	Marjanne
551966	174407	Vrouw in Geel
551966	202509	Voorbijgangster
551966	251016	Cécile
551966	261657	Marilène Van Houtte
551966	279646	
551966	375724	Meisje in de trein
551966	384311	Silvia
551966	389782	
551966	393617	Rosita de Bobadila
551966	399410	Moeder De Vos
551966	400287	Adèle D'Hert
551966	407884	Treske
551966	411311	Angèle Cools-Robrechts (1999-
551967	385299	Miss. Spredding
551968	58000	
551969	188755	
551969	281736	
551969	343694	Prinzessin
551969	379433	Elfi Grütze
551969	391078	Thea
551969	410497	PM Judith Ahrend (1994)
551970	84616	Gogo-girl du bar
551971	186924	
551971	264350	
551972	20157	Ariane Kusnetzowa
551972	21545	Rosalind
551972	56952	Catherine
551972	74230	Oona
551972	78089	Madame Lafois
551972	92339	
551972	93277	Gaby Lawrence
551972	103316	Gemma Jones
551972	104869	
551972	110654	Else
551972	118057	Anna (initial shots)
551972	120932	Else Thalhoff
551972	122255	Frau Lilienthal
551972	124274	
551972	125102	
551972	125173	
551972	125334	
551972	129711	Frau Thorwald
551972	134837	Herself
551972	166737	
551972	182005	The Mother
551972	189536	
551972	226309	Baroness
551972	233438	
551972	248993	Marianne
551972	254372	Margarete Johannsen
551972	283936	Ruth
551972	315122	Sylvina Lawrence/Martina Lawr
551972	317495	
551972	341109	Gaby
551972	361432	
551973	93493	
551974	119287	
551974	330965	Therese Glenloch
551975	107364	Anny
551976	55065	Moira
551977	356162	Sabrina
551978	121286	
551978	258670	
551979	70389	Louise
551981	410280	Emma Rudberg (1999-)
551982	893	Bosses tjej
551982	101366	Rebecca
551982	101610	Jonna's friend
551982	109139	Elli
551982	201670	Herself/Elli
551982	249537	
551982	410280	Helena Thorén, Sarah's girlfr
551983	96420	Girl in nightclub
551983	232986	Dyanne, The Assistant
551984	76782	Dagmar's friend
551984	198008	
551984	210338	Herself
551984	259353	Broberg's Secretary
551984	305874	Lotta, Stefan's sister
551984	346971	Little girl on the bus
551985	153768	Woman in village
551986	152318	
551987	45943	Bodil Kollberg
551988	181883	Sairaanhoito-opiskelija
551989	36473	Eve
551989	102124	Tourist
551990	266614	
551991	7432	
551991	198189	La concierge
551992	64073	The Fairy Winter
551992	69970	Stella
551992	153997	Dancer (segment "Field Figure
551992	281170	Harlot
551993	281371	Danseres
551994	366585	Helena
551995	12378	Susi
551995	24644	
551996	268338	Lilly, Börje's fiancee
551997	410203	Winner (2001)
551998	204534	Mrs. Wahlberg, Eva Zetterberg
551999	160897	Surfer Chick
551999	296679	Linda
552000	43886	
552000	47088	Hat Check Girl
552000	143577	War worker
552000	244842	Girl
552000	245209	Margie (trombone player)
552001	37189	Lady with Child
552001	137674	WWAR Producer
552001	358274	
552002	311923	Young Katy
552003	211764	Office Worker #1
552004	209492	Dede
552005	143629	
552006	311923	Battered Woman
552007	210352	Herself
552008	131234	Waitress
552009	100193	TV Anchorwoman
552010	26705	Artist
552011	210333	Herself
552011	210334	Herself
552012	198276	
552013	286778	Lena
552013	322280	Guest at Peter´s party
552014	1385	Berit
552014	39602	Ingrid Forsberg
552014	120236	Bonnie
552014	132182	Stella Lindberg
552014	153196	Dora
552014	171557	Anna Sivertsson
552014	171558	Herself
552014	182305	Anna
552014	192659	Mona
552014	221285	Melitta Klein
552014	248500	Annika Bengtzon
552014	249105	Kickan
552014	269343	Nancy Ackerman/Emily Bradley
552014	284141	Anita
552014	303194	Tove Särlefalk
552014	312072	Annika Bengtzon
552014	314779	Astrid Simms
552014	322315	Tin-Tin Matsson
552014	346062	Ellen Lind
552014	350978	Anna
552014	377318	Åsa
552014	377320	Fanny Zander
552014	377321	Fanny Zander
552014	408272	Lena
552015	310385	Paula Klink
552015	322671	
552016	270935	Katja
552017	29560	Gärda
552018	11713	Lisa
552018	211233	Lisa
552018	379764	Lisa/Narrator
552019	122500	Aunt Malla
552020	405853	
552021	29556	Lea
552021	396533	Majken
552022	164763	Aina
552022	181638	Regina Sylvester
552022	182284	Child nurse
552022	182298	Woman at bakery
552022	303645	Aina
552022	303666	Miss Viola, waitress
552022	340245	
552023	223514	Tyttö polttareissa
552024	397397	Herself
552025	287568	Part of the older gang
552025	397779	Emma Pettersson (episodes "Et
552026	168790	Nainen kasinolla
552026	174265	Irma Melanen
552026	197364	
552026	261537	Emmi
552026	409904	Various characters
552027	18900	Suvi
552027	164601	
552027	175400	Marianne Kunnas
552027	198887	
552028	49736	Herself
552028	182575	
552028	182576	Herself
552028	182577	
552028	211283	
552029	23502	Pernille
552029	182629	Michelle
552030	242692	
552031	123501	Stewardess at charter plane
552032	100311	
552032	100341	
552033	56388	
552034	21724	Woman who bothers policeoffic
552034	147221	Lene
552034	382250	
552034	388424	Anita
552034	392072	Alexandra 'Alex' Kvamme (1998
552034	408803	Camilla
552035	267261	
552036	309341	TV reporter
552037	59560	Dona Lucia d'Alvadorez
552038	281039	Maid
552039	315606	Värdshuspiga
552040	244206	TV Reporter
552041	58820	Herself - dancer
552042	383784	Marina Kroeger
552042	396305	
552042	410311	Paola Manetti
552043	126656	
552043	207779	Alice Middleton
552043	291400	Herself
552044	83343	Madeleine
552045	5308	Marie-Louise
552045	79847	
552045	205760	Jane Talbot
552045	266152	Daria
552045	376580	Madame Mourleau
552045	380358	Claire
552045	388586	Marian Halcombe
552045	403472	Marguerite
552045	410143	La religieuse
552046	5308	Michelle
552046	8944	Rose
552046	12038	Paule
552046	28149	Mme De Sarcey
552046	34072	Marion
552046	48227	La femme de chambre
552046	51843	Anne
552046	51957	Récitante/Narrator
552046	55784	Mme de Saint-Hillaire
552046	56944	Sarah
552046	62567	Anne-Marie
552046	69522	La mère
552046	87618	Cécile
552046	94339	
552046	99653	Une soubrette de Rosa
552046	100014	Natacha
552046	100692	Suzanne
552046	124397	Anne-Marie
552046	160722	Lulu Nicoletti
552046	169878	Diana Monti/Marie Verdier
552046	175549	Lydia Brentano
552046	195152	Agnès Sorel
552046	197306	La comtesse Geschwitz
552046	199297	La mère
552046	205622	La comtesse
552046	218289	Nicole
552046	219510	Mascha
552046	222946	Rachel
552046	244304	Desdemona
552046	248266	
552046	251013	Monica Dadi
552046	266377	
552046	275344	Soeur Sainte-Christine
552046	279250	Headmistress
552046	281315	Maximilienne de Poussy
552046	288887	La mère de Marie-Thérèse
552046	294601	La mère de Mathilde
552046	300654	Madame Fontana
552046	335082	Peggy
552046	336642	Marcia
552046	337019	Hélène Verdier
552046	345160	Mme Dunand
552046	346620	Francine
552046	353886	Young Lady
552046	354246	Mama Lozinska
552046	357122	
552046	377050	La mère de Mathilde
552046	379366	
552046	381323	Henriette
552046	387657	Luce Paquelier
552046	403557	La belle jardinière (1965)
552046	409454	Joséphine
552047	377069	La touriste
552048	217223	
552048	292366	Anna Goze
552048	309149	Une dame d'honneur
552049	91973	Madame Ash
552050	83393	
552050	111136	Armande
552050	117472	
552050	166565	Head and Heart Game
552050	379805	Madame de Thianges
552050	386222	
552050	409436	
552051	376671	
552052	285248	
552053	128718	
552054	78217	L.A. Receptionist
552055	45767	
552055	88731	
552055	94061	Pajina zena
552055	95656	
552055	166101	
552055	187980	
552055	215119	Igracica I
552055	261355	
552055	296047	Stojanka
552055	304184	
552055	341335	Razuzdana zena
552055	350367	
552055	356129	
552055	375125	
552056	236995	Julia
552056	282562	Sandy
552056	289650	Hooker
552057	154449	Aimee
552058	373764	
552059	29622	Nineta
552059	43153	
552059	64357	
552059	72087	
552059	129424	
552059	192885	
552059	202347	
552059	242640	
552059	258792	
552059	261351	
552059	262184	
552059	266213	
552059	286022	
552059	376231	
552059	393168	
552059	394111	
552059	400481	Komsinica (I)
552059	404144	
552060	34189	Herself
552060	104767	Yugoslav entry (13th place)
552060	170234	Herself
552061	76790	Tamro
552061	173377	
552062	265739	Valentine Mailer
552062	389666	Vanessa
552063	254601	Catherine
552064	320820	Anja
552065	11568	Delia Rackham
552065	56603	Mrs. Thompson
552065	78928	
552065	238158	Miss Heap
552065	308078	
552066	125143	Janet Lang
552066	147261	Michaela
552066	155484	
552066	176479	
552066	212128	Isabell Heuse-Forberg
552066	319706	Lover
552066	379579	Jeanette (1997-1998)
552066	382855	Silvia Dorn
552066	393576	
552066	410497	KHK Eva Faber (1998)
552067	193834	
552067	197243	
552067	197248	
552067	197260	
552067	245633	
552068	9004	Party mom #2
552069	136987	Lawyer's Receptionist
552069	376786	Escenografa
552070	28616	Ulrica
552071	14369	
552072	307400	The Princess
552073	306952	Stella child
552074	158784	Party Guest
552075	6475	Mamá
552075	61989	
552075	74812	
552075	96346	
552075	101864	
552075	103736	Esposa de don fili
552075	139908	Chenta
552075	152312	
552075	205148	
552075	213705	Mother in flashback
552075	219406	
552075	234424	Hermana Tete
552075	262981	
552075	264264	Cleo
552075	292746	Romelia Orantes
552075	328716	Clotilde
552075	353551	
552075	381028	
552075	384395	Dolores
552075	386401	
552075	388649	
552075	389483	Evelyn
552075	390174	Vicenta
552075	400663	
552075	403786	Irene
552075	404851	Graciana
552075	405868	
552075	407641	Aída
552075	408198	
552075	408390	
552076	373744	
552077	380391	Bridget Connell (1985-1997)
552077	380713	Claire English Lowell Cassen 
552077	387309	Irene Eagon (1964-1965)
552077	389417	Lynn Franklin (1959-1961)
552077	390771	Barbara Norris Thorpe #2 (197
552078	153635	
552079	112049	Panda Performer
552079	134295	Kala, Primate Mother
552079	135727	Yahoo consultant
552079	191291	Aslan
552079	191701	Elephant
552079	263976	Aslan/dragon
552079	276873	Wheeler
552079	301940	Aslan/Dragon (puppet)
552079	378710	Evil Stepmother's Skeleton
552080	292234	Nurse
552081	322886	Thanksgiving party guest
552082	27920	
552082	122358	
552082	285596	
552082	296080	
552083	311632	Doris
552084	17749	Tessie
552084	133121	Debbie
552085	134369	Mrs. Grijpstra
552085	204766	Annie
552085	272665	Grijpstra's vrouw
552085	312056	Moeder van Emile
552085	352336	Kees' vrouw
552085	388164	Leentje
552085	393707	
552085	399979	Geesje Zoet
552085	401807	Boerin Griet/Annemarie
552085	410441	Mevrouw Piep
552086	295506	
552087	190440	
552088	204747	Wife
552089	37687	Candy
552089	42415	
552089	124280	
552089	150940	
552089	324593	Stacy (Temp Office Worker)
552091	284430	
552092	269891	Angel #2
552092	272031	Maps Girl
552093	349779	Réka
552094	366501	Dancer
552095	296724	Julia Treven
552097	46284	Mrs. Bray
552097	162357	Mrs. Martin
552097	171273	Octavia Hicks
552097	245685	Undetermined Role
552097	308610	Mrs. Kardos
552097	309510	
552097	320321	The Old Woman
552097	343074	Mother Frochard
552097	359204	The mother
552097	360189	Mrs. Lee
552098	160034	Glamorous Blonde
552099	54949	Helen Clark
552099	128889	Dora
552099	131005	'Gorgeous' Goldwyn Girl
552099	195368	Bit Part
552099	308704	Carol Turner
552099	372133	Joan
552099	372364	Girl
552101	231115	Woman in Hotel
552102	72931	Goodyear Hostess in the Red L
552103	15079	
552103	90108	La Violette
552103	149753	Henriette
552104	72123	Susan Clifford
552106	91007	
552106	170711	Frau Holzinger
552107	130654	Molly Ryan
552108	213681	
552109	110683	Narrator
552110	171604	
552111	402220	Zsuzsa
552112	176207	Tv bemondó
552113	267081	New Girl
552114	147929	
552115	231110	De Witt's Wife
552116	259535	Nina
552117	128013	
552118	47802	Nurse Elle
552119	202470	
552120	322101	
552121	325059	Herself
552121	381655	Herself (interviews)
552121	389164	Herself
552121	399295	Herself
552122	1378	Nina
552122	17555	Nanny
552123	1784	Molly Lovelace
552124	1784	Molly
552125	272518	Kmichelle
552126	7628	Barbara Craig
552126	18544	Mandy Murphy
552126	20459	Naomi Armitage
552126	29099	Beth
552126	57665	
552126	70169	Karen Bishop
552126	72118	Samantha Noble
552126	75546	Jill
552126	84433	Jane Dreyer
552126	99138	Celeste
552126	114298	Phoebe LaVelle
552126	120385	Kathy
552126	185112	Helena
552126	201751	Herself
552126	209596	Linda
552126	217416	Kimberly Sweeny
552126	220646	Liz Woodward
552126	257437	
552126	272022	Alicia 'Allie' Brayman
552126	273271	Tina
552126	280438	Andrea
552126	289052	Jessie Spano
552126	289053	Jessie Spano
552126	299198	Candy Colucci
552126	300180	Nomi Malone
552126	317351	Christie Dawson
552126	323148	Eve
552126	326230	Nadia Rubakov
552126	333357	Tiffany Whittmar
552126	364082	Crystal
552126	404373	Jessica 'Jessie' Myrtle Spano
552127	361400	
552128	79010	Gannish
552129	58777	Nurse
552129	140019	Crab Crawling Victim
552129	241391	Tracy
552130	273876	Rachel
552131	175008	Host
552132	15129	Jacqueline
552132	83257	La fille Hornig
552132	133069	Mme de Boeldieu
552132	380669	La bonne de l'hôtel
552133	54593	Susan Henley
552133	239849	Irma
552135	136798	
552136	85163	Ivanova majka
552137	226475	Emilia Eberle
552138	251729	Ana Rentería
552139	246260	Translator
552140	63125	Child with Theater
552141	4585	
552141	4586	
552141	4587	
552141	179211	Eleanor
552141	383005	Gally
552141	394191	Co-Host (2000)
552142	93159	Seamstress
552143	141859	Christie (Teenage)
552143	273742	Sadie
552143	335053	Valedictorian
552144	37069	Lauren Parker
552145	46263	Kelly
552145	208668	Geisha, Mime, Maralyn
552145	242515	Sue Levitt
552146	185101	Reporter Alex Weber
552147	90811	Mother #2
552147	95476	Hope
552148	75360	Brianne
552148	236145	Mimi
552149	51352	
552149	163103	
552149	173854	
552149	322447	
552150	95553	Samil, le marié
552151	142185	
552151	310249	
552152	19668	Athalia,Brazovic lánya
552152	51309	Pólika,a dajka
552152	78287	
552152	95163	Veronka, Erzsi nagynenje
552152	97970	Garáné
552152	106684	Tóni néni
552152	110574	
552152	110697	Vándor anyja
552152	140712	Berta néni
552152	153690	Harmadik sárkány
552152	155545	Fõnökasszony
552152	177925	Erzsébet királynõ
552152	200823	Péter anyja
552152	211706	Kovács mama
552152	224987	Özvegy Balogh Jánosné
552152	224989	
552152	225083	Özvegy Bálintné
552152	229708	Pepi néni
552152	252556	
552152	253073	Szabóné
552152	284358	Anna
552152	288119	Nagymama
552152	322240	Erzsike,Bajkai lánya
552152	322242	Özvegy Aporné,Klári anyja
552152	322557	Sárika nagyanyja
552152	324708	id.Nagy Istvánné
552152	343631	Koltay édesanyja
552152	349048	
552152	354328	Zsuzsa,Hadházy felesége
552152	375310	Kemenesné
552152	377778	Öreg méltóságos asszony
552152	378346	Tóni néni,Esztáry felesége
552153	124905	The Woman
552153	325687	Vera
552153	374355	Ödipa
552154	1470	Woman with Goatman #2
552155	6118	Charly
552155	84570	Reporterin
552155	325913	
552156	83207	Mathilde
552157	91382	
552158	93981	Stewardess 2
552158	218014	Rita
552158	256238	Marlene
552158	314923	O'Malley's Girls
552158	316173	Cindy Flanders
552159	84268	Katja
552160	361907	Friends, Friends Girl #1
552161	361907	Friends, Friends Girl #2
552162	385483	Host
552162	401907	
552162	402592	Host
552162	407528	Host (1991-1992)
552162	410531	Host (1989-1991)
552164	325688	
552165	39111	
552166	161992	
552167	7661	Alice Endicott
552167	177634	Peasant Woman
552168	131086	
552169	101950	Une élève du Conservatoire
552169	236523	
552170	176851	
552171	321469	
552171	366925	Young Woman
552172	375091	
552173	210313	Nurse
552174	139711	Böse Kollegin
552175	61572	Celia Mathews
552175	369450	The Orderly
552176	277274	Nurse
552177	16506	Herself
552177	27107	Estelle
552177	37639	
552177	60461	The Duchess
552177	60462	Herself
552177	63215	Herself
552177	63764	The Duchess
552177	73569	Mother
552177	118384	Ondine's Wife
552177	156938	Mother
552177	196495	Wife to Ondine
552177	236347	Girl in tub
552177	251646	Super Market Rich Lady
552177	255401	Herself
552177	294798	Mean Lady
552177	367822	Bar Owner
552178	140310	Dream Extra
552179	2382	Cobrettes
552180	263786	Schoolgirl
552181	255401	Herself
552182	43557	Lady on Bus
552183	26382	Charlotte
552183	43557	The Girl
552183	67601	Janie Brandt
552183	126730	Judy Kramer
552183	141403	Lila
552183	157848	Heather
552183	158445	Crystal
552183	220504	
552183	240410	Girl in orphanage
552183	252723	
552183	260966	Bubbles Girardi
552183	298266	Sheila Levine
552183	316501	Clipboard Girl
552183	343065	Harriet
552183	364531	
552184	160042	
552185	155311	E.K.G. Doc
552185	183639	Librarian
552185	221065	Mental Patient
552186	102740	
552186	303884	
552186	317938	
552186	358585	
552186	361878	
552187	188769	
552188	4	
552188	185159	Edna
552189	73202	Jeanne Ross (the child)
552190	63764	Richie
552191	331703	
552193	93191	
552193	100090	Christine
552193	131692	Woman in Tux
552193	283304	Clerk's Wife
552193	307898	Jeanette, Bank Teller
552193	331100	The Redhead
552194	217785	Extras: Train Passenger
552194	327474	Extras
552195	381122	Presenter
552195	381874	Herself (1998-)
552196	84297	Stina #2
552197	155094	Dinner Guest
552198	132231	Alice
552199	216987	
552200	307516	Jake
552201	56044	Baccarat player
552201	86100	Edith Karin
552201	89711	German Actress
552201	93463	Carla
552201	95393	Fifi
552201	98046	
552201	103134	Eva
552201	120928	
552201	134854	Juliette
552201	147145	
552201	155388	
552201	166405	
552201	172386	Annemarie Schulz
552201	180907	
552201	207208	
552201	209988	
552201	216995	
552201	225225	Margot
552201	276948	Customer
552201	277463	
552201	289823	
552201	289882	Kitty Rallay
552201	290036	
552201	302681	Carmela
552201	316070	Frau Reitler
552201	317478	Carmen
552201	326052	
552201	327505	
552201	332825	
552201	347667	Trude
552201	358889	
552201	360870	
552201	376386	
552202	341515	Dancer
552203	51932	
552204	387953	Herself
552204	387954	Herself
552205	360855	Larry's Pick-Up
552206	376676	
552207	43075	
552208	405314	Mary
552209	34388	Stewardess
552210	106597	Popular Girl
552211	177652	
552211	303514	Tiny's Girl Friend
552212	332212	Herself
552213	343871	
552214	86468	Young Mrs. Prior
552215	336977	Julie
552216	142311	
552217	353428	Hélène
552218	192267	Restaurant dowager
552219	31668	Bikini Girl #2
552220	185766	Mitzi
552220	253509	Female clerk
552221	21206	Narrator
552222	297635	Second Pretty Co-ed
552223	129575	Mom
552224	199590	
552225	210960	Newscaster #4
552225	313872	KoKo
552226	132909	Pedestrian
552227	260697	
552228	94726	Mrs. Drake
552228	101070	Ruthie
552228	134175	
552228	148594	Shirley
552228	330270	Carrie
552229	257014	Fur Woman #2
552230	3631	Herself
552231	133007	Lurdes Coxão
552231	380531	Sofia
552232	190225	Dorothy
552233	196361	
552233	208661	Job Interviewer
552233	247216	Mary Dudley
552233	363225	Ruth
552234	185000	Naapuri
552234	392164	Talousmamselli Frieda Siegell
552234	394736	Ritva
552235	381697	
552236	67346	
552237	275462	Hannah Wilson
552237	350437	Cathy
552237	400209	Julie (1999-2000)
552238	159084	Tina
552239	11420	Nurse
552240	130249	Police sergeant
552240	257121	Rachel
552240	285069	Alexis
552241	381697	
552242	344510	Dominic
552243	248124	Marie
552244	120412	Catholic schoolgirl
552245	275871	Wannabee Cheerleader
552246	81062	Dutch Villager
552247	283939	Herself
552248	139243	Lizzy's Mother
552249	59594	Lucy Van Pelt
552249	295320	Arlene
552250	387806	Reporter (2003-)
552250	391112	Host
552250	400400	Co-Host (2003-2004)
552251	5862	Madison
552252	14192	Interviewer
552253	188502	Prostitute #3
552254	72765	Fortune Teller
552254	150468	Old Woman Watching Television
552255	7099	Weasel
552255	37683	Bikini Girl #1
552255	75602	Miriam
552255	201597	Ivy Stone
552255	305638	Wren
552256	402964	Herself
552257	307712	Music Box Couple
552258	300345	Violet Jones
552259	114097	Mrs. Reed
552260	406645	Host
552261	72973	Miriana
552261	90672	
552261	120880	Elena
552261	302517	30-year-old woman
552261	334814	
552262	302847	Meid Frida
552263	384829	Host
552264	19928	Marisol
552264	30389	Cliente pizza 1
552264	90119	Sirvienta al Padre (Servant t
552264	101890	La Quinqui
552264	205200	Vicetiple 2
552264	212406	Enfermera 3
552264	255485	Quiosquera
552264	410257	
552265	94704	Passion Flower
552266	56518	Voluntad
552267	96280	
552268	301117	(segment "Rosa")
552268	302380	Maria
552268	370164	
552268	396131	Señorita Rangel
552269	233976	Locutora Crímenes
552270	12944	
552271	52601	
552271	110733	
552271	213363	
552272	411330	Mother
552273	105167	Trisha Kanter
552274	70208	Nun
552274	106723	Christine
552274	310728	Passenger #2
552275	191468	La comtesse
552276	10727	Zesty Poetry Lover
552277	10309	Madame Blanche
552277	196302	Kim
552278	131202	Inez
552278	184122	Rose
552278	211604	Zozo
552278	213587	Pitti-Sing
552278	250640	The Lady Angela
552279	197052	Princess Negrone
552280	192678	Dr. Anderson
552281	70639	
552282	28089	
552283	273606	Linsey
552283	359529	Lola
552284	127129	Funeral Attendee
552284	290971	Onlooker at Contest
552285	375700	Nurse
552286	59885	Miami TV Reporter
552286	193072	Host
552286	234324	Host
552286	402154	Host (2002-)
552287	191440	
552288	146586	Jenny
552288	384400	Miriam Robles de Jiménez 'mam
552288	403024	Miguel`s mother
552289	157304	
552290	392971	Merly
552291	161670	Lucila
552292	162092	
552293	257478	
552294	160285	
552294	163100	
552295	32736	Marta
552296	68271	Soviet newscaster
552296	333262	Ann
552297	48399	
552297	120932	
552297	160259	
552297	189826	
552297	250637	
552297	275053	Frau Peters
552297	337552	Yvonne
552297	343476	
552298	201903	Tracy Hart
552299	24790	Alice Krichinsky
552299	47799	Nanna
552299	57654	Elderly Homeowner
552299	73833	Would-be Victim
552299	105313	Grandma Kessler
552299	114241	Landlady
552299	115179	Mrs. Spivak
552299	154988	
552299	163229	Muriel's Neighbour
552299	179712	Herself
552299	192110	Grandma Tsilya
552301	115178	Vera
552301	175132	Colette Dare
552301	263456	Herself
552302	30765	
552302	191762	Gwendy
552303	411579	Dirce
552305	199329	Graefin Gramont
552305	288487	(2. Episode)
552306	67346	
552307	253	
552307	42877	
552307	48159	
552307	94924	
552307	147242	
552307	311877	Liza
552308	232830	Quilt Party
552309	89226	
552310	5271	Gregoria
552310	35005	
552310	42109	
552310	49443	
552310	52600	
552310	53604	
552310	53995	
552310	55001	
552310	56074	
552310	57463	Tia
552310	58433	
552310	62348	
552310	71105	
552310	74902	
552310	80278	
552310	82269	
552310	84176	
552310	100439	
552310	100641	
552310	112096	
552310	125758	
552310	131970	
552310	140558	
552310	146452	
552310	146507	
552310	149197	
552310	159346	(segment "Correo sentimental"
552310	169760	
552310	211300	
552310	214213	
552310	221575	Camila's friend
552310	225062	
552310	253670	
552310	281790	
552310	282900	Institutriz
552310	292910	
552310	296464	Sra. Bárbara
552310	301189	
552310	339102	
552310	349845	
552310	355746	
552310	376721	
552310	376860	
552310	377872	
552310	379544	
552310	380947	
552311	132955	Madame Fanon
552312	333423	Cheryl Stein
552313	17084	
552313	19792	
552313	23589	
552313	91080	
552313	106803	
552313	157277	
552313	158700	Old Assunta
552313	234564	
552313	262223	
552313	295151	
552313	355703	
552313	360466	
552313	377576	
552314	84385	
552315	146888	
552316	69173	Herself
552316	104758	Dutch entry (7th place)
552316	228251	Herself
552316	254076	
552316	282224	
552316	365526	Woman of Goona
552316	404608	Herself (2002)
552317	371674	
552318	372372	Florist
552319	214087	
552320	53839	
552321	148443	
552322	160805	
552323	219602	Lab Assistant
552324	94840	dancer
552325	797	
552325	57425	
552325	62618	
552325	62621	
552325	80225	
552325	85731	Sandra
552325	165766	
552325	186130	
552325	221658	
552325	227684	
552325	236467	
552325	271079	Justina
552325	272617	
552325	272638	
552325	277375	Lucia Cavazos
552325	277388	
552325	332350	
552325	351653	
552325	378425	
552326	70951	
552326	74156	
552326	100322	
552327	116397	
552328	57463	Tía
552328	296464	Sra. Isabel
552329	192936	
552330	326321	Puri
552331	12929	
552331	197041	
552332	402410	Esperanza
552333	406452	Judge
552334	145041	Spanish school teacher
552335	211045	Fé
552335	396179	Lucía Quintana
552335	400840	Victoria (2002-2003)
552335	404711	Virginia Serrano
552335	404999	
552335	412122	Alvarito's teacher (2002)
552336	300919	Women's Kata Champion
552337	211043	
552337	343608	
552338	118149	Víctima #2
552339	276405	Sirvienta
552340	13162	
552340	13627	
552340	15309	
552340	54821	Neutral woman
552340	69855	
552340	73265	
552340	137002	
552340	187625	
552340	307534	
552340	353226	
552340	380128	Susana de Herreros
552340	389881	Angélica
552340	401093	Margarita
552340	406058	Frida
552340	407862	Esperanza
552340	411694	
552340	411712	Camila
552340	412195	
552341	1579	
552341	6008	
552341	10479	
552341	21596	
552341	25206	
552341	25514	
552341	47617	
552341	51548	
552341	55650	
552341	63878	Brenda
552341	67034	
552341	67363	
552341	69908	
552341	74612	
552341	75377	
552341	91393	
552341	98441	
552341	100773	
552341	110204	
552341	110414	
552341	142739	
552341	145200	
552341	145259	
552341	156375	
552341	159232	
552341	161779	
552341	163766	
552341	166545	
552341	166550	
552341	169755	
552341	171383	
552341	188996	Rosenda Romo
552341	189009	
552341	193153	
552341	203920	
552341	209000	
552341	221674	
552341	221991	
552341	222852	
552341	227701	
552341	251719	
552341	253327	
552341	253717	
552341	255551	
552341	256367	
552341	260580	
552341	269253	
552341	272633	
552341	282060	
552341	301863	
552341	328886	
552341	332917	
552341	337435	
552341	337436	
552341	337565	
552341	341404	
552341	341647	
552341	353408	
552341	357531	
552341	371275	
552341	377161	
552341	380084	Evangelina
552341	395300	Sonia Altamirano
552342	332598	Niña
552343	124686	
552344	91884	Ulysses' Girlfriend
552345	55120	Script supervisor
552346	4528	Rose
552347	27854	Young woman
552347	48782	Yanet
552348	100539	Herself
552349	257592	Herself
552349	257658	Herself (Miss February)
552350	257592	Herself
552350	257658	Herself (Miss February)
552351	397738	Rossy Bermúdez
552352	74348	
552353	19324	
552354	397157	Frédou Bigras
552355	34395	Judy
552355	59350	Yankee Doodle Dancer
552355	65742	Nancy Hamilton
552355	74273	Jane
552355	77188	Gwen Evans
552355	143522	Magdalene Lee
552355	222625	Hattie
552355	291708	Sarah
552355	346641	La mère Rousseau, 15 ans plus
552355	382806	Angie (1991)
552355	391786	Liz Burton (2003-)
552356	286274	Performer
552357	92445	Girl in Phone Booth
552357	279409	
552358	60965	
552359	63098	Young Beth
552360	237875	
552361	276541	Isabelle
552361	336843	
552361	345389	Jeanne
552362	178114	Hooker
552364	79530	
552365	173129	La mère d'Antoine
552366	254883	
552366	346618	Ouvreuse
552366	383186	Dee-Dee (French language vers
552367	64607	
552368	382769	Reporter
552369	175190	Haitian Band Vudu 155
552370	380580	Rosine Courtade
552371	21447	Susan Warfield
552371	58778	Shelly
552371	63098	Beth Sawtelle
552371	95784	Ellen Hart Pena
552371	107155	Allison Bevens
552371	127480	Jean MacLemore
552371	144922	Anne-Marie Conklin
552371	164600	Cheryl
552371	183536	Dol Bonner
552371	207425	Carrie Brown
552371	214919	Lisa Porter
552371	292586	Marie Foley
552371	303102	Kaitlin Mullane
552371	334243	Melissa Brennan
552371	363225	Julie Weston
552371	366925	Marty
552371	372513	Co-Host
552371	372525	Julie
552371	391006	K.C. Cunningham (1982-1983)
552371	393083	Amy Tompkins
552371	398213	Herself
552371	411229	Helen Chappel Hackett
552372	379343	Elaine Frost
552373	275436	Narrator
552374	91745	
552375	78986	Lucy (a servant)
552376	178332	Taffy tarts peddler
552377	5474	Katherine Harcourt
552377	21471	
552377	25466	
552377	26268	The Workman's Wife
552377	39881	The Young Woman
552377	41505	Mildred, Thorold's Sister
552377	43545	Greeba
552377	47510	Ursula
552377	58932	The Maid
552377	67845	Aunt Bessie
552377	70292	
552377	70718	
552377	73100	
552377	87919	Helen Knight
552377	92585	Conchita Roland
552377	107393	The Woman
552377	107419	Old Woman
552377	109791	Mary, a Waitress
552377	110962	The Other Woman
552377	112409	Evie Colby
552377	113377	Marie
552377	113396	Ruth
552377	115080	
552377	117053	The Secretary
552377	123278	Gene Vane
552377	128095	Grace, the Telegraph Operator
552377	128623	
552377	130101	The Goddess's Sister
552377	133804	Elsie Alexander
552377	141616	Ynez
552377	143117	
552377	146016	Mrs. William Standish
552377	146039	Mary, the Wife
552377	146260	
552377	146261	
552377	150897	
552377	158475	
552377	159136	
552377	162093	Jack's Sweetheart
552377	183676	
552377	191873	Babbie
552377	192322	
552377	192407	Jo March
552377	203309	
552377	211777	
552377	213075	
552377	213115	
552377	216231	Eponine
552377	221282	
552377	229118	
552377	231025	
552377	241455	Poor Wife
552377	245285	
552377	257194	
552377	264197	Ipanoff's wife
552377	271260	Cynthia
552377	271852	
552377	281517	The Wealthy Man's Daughter
552377	292159	
552377	298516	
552377	302918	Elsa Schumann
552377	303072	
552377	303259	
552377	307390	Margot
552377	308583	Undetermined Role
552377	311734	Mary Ballard
552377	316991	The Poor Woman
552377	318718	
552377	319274	The Maid
552377	323759	Young Woman
552377	324207	Lady Clarissa
552377	331149	
552377	342014	
552377	342971	
552377	343081	Florence
552377	343223	
552377	348952	
552377	353390	
552377	360226	
552377	362564	
552377	362881	The King's Favorite
552377	365277	Mrs. Hastings
552377	366311	
552377	367461	
552377	367735	
552377	395576	Margaret
552378	205625	Mme. Beulemans
552378	345481	
552378	374631	Mevrouw Pace
552379	193581	
552380	235790	Keziah
552380	386233	Barmaid
552380	396090	Deirdre
552381	229499	Infant (present day)
552382	308382	Raider
552383	225459	
552383	251007	
552383	356445	La théâtreuse
552384	128618	
552384	211622	La femme du cimetière
552385	17198	Aristocrat Lady
552385	24545	
552385	52754	
552385	70951	
552385	74624	
552385	85946	
552385	96358	
552385	101465	
552385	115754	
552385	146513	
552385	160132	
552385	166711	Aunt Emma
552385	202023	
552385	281612	
552385	293578	
552385	302349	
552385	351949	
552385	378656	
552385	379583	Águeda Freyre
552385	379853	
552385	379900	
552385	380115	
552385	380442	Lucrecia Cornejo Mejía
552385	383138	
552385	383274	
552385	383769	Amanda Sadowska
552385	383770	Amanda Sadowska
552385	384119	Carmen Morán (1995-1997)
552385	385057	Elisabetta Di Velletra
552385	388093	Sister Sacramento
552385	388946	
552385	395252	
552385	396646	Doña Inés Vázquez 'Miguel's M
552385	396781	Mme. Guerrero
552385	396881	
552385	397013	Amelia
552385	398454	
552385	398470	Giovanna
552385	398489	
552385	398517	Ana
552385	398526	Ana
552385	398842	
552385	399523	
552385	400945	Feliciana
552385	400950	
552385	401691	
552385	403021	Hilda Acosta
552385	403748	
552385	406050	Sister Sacramento
552385	408204	
552386	78084	Woman on Porch
552386	144674	Jonas' Wife
552387	159202	Herself
552387	295636	Herself (interviewee)
552388	359933	
552389	28450	
552389	79578	
552389	123057	
552389	211645	
552389	218299	La colonelle
552389	377279	
552390	67052	Nurse
552391	391587	Allison Hiller
552392	194410	Mrs. Sninhack
552393	360165	Mrs. Tremont
552394	15088	Nathalie
552394	56948	Mathilde
552394	57275	Claire (soeur Didier)
552394	67637	Le substitut
552394	76054	Myriem
552394	206681	
552394	208217	Carole
552394	230887	
552394	307479	Isabelle Cornille
552394	345256	
552394	384434	Carole Sermane
552394	384577	Patricia
552394	389234	Isabelle Girardin
552395	6273	Janine
552395	7240	Janine
552395	13103	Yvonne
552395	17088	La Voisin
552395	24735	
552395	30885	La patronne de La Marine
552395	52573	
552395	58225	Mamie O'Brien, Bar Owner
552395	68830	Suzy
552395	69713	
552395	82944	Raymonde Josserand
552395	101194	
552395	103403	Jenny
552395	125838	Ginette
552395	136312	Sarah
552395	156550	Isabelle
552395	160820	Suzy
552395	160986	Lucy
552395	169345	
552395	193895	
552395	214882	Une autre comédienne
552395	225408	Une entraîneuse
552395	229495	Une fille
552395	236552	Soeur Ursula
552395	237619	
552395	249205	La mère de Daniel
552395	264527	Une détenue
552395	268462	Jenny
552395	281960	Georgie
552395	294555	La cantinière
552395	300761	
552395	309023	La fille au restaurant
552395	340156	
552395	353129	
552395	379103	Marie Devaux
552395	379841	
552395	381520	
552395	383178	Suzanne
552395	396597	Germaine (segment "Dans l'int
552395	401030	Gaby
552395	407070	L'inconnue
552396	64951	Child
552397	100954	Patient
552398	41614	
552399	233693	Sexual Persuasion
552400	361710	Lena
552401	130903	Harlan`s Nurse
552402	334428	La bruja
552402	400790	Sister Renata
552403	52725	La petite Renée
552404	327326	
552405	356010	Viscountess
552406	229663	Pianiste chez Barry
552407	261868	Soprano
552408	133165	Marielle D'Amour
552408	144305	Narrator
552409	46532	Meditation Student
552410	204051	Party Girl
552411	362984	Brenda
552412	90729	Herself - Singer
552412	161240	Herself/Donna's sister
552412	352981	Herself - Backing Singer
552413	26971	Ninja
552414	362984	Bride's Maid
552415	1766	Madame Laperrière
552415	270735	
552415	310963	Suzanne
552415	371421	Catherine Rondeau
552415	386497	Mère de Chloée
552415	391631	Simone
552415	397157	Estelle Aucoeur
552415	398078	Josianne Bernier
552415	402761	Jocelyne Letendre
552415	402834	Louise Pérusse
552415	404018	Evelyne
552415	405284	Francine Boisvert
552415	410067	Camille
552416	25128	
552416	29404	
552416	83211	
552416	122133	Eliane
552416	204983	
552416	335898	
552416	352631	
552417	18544	Tina
552417	145636	Yolanda
552418	107258	Jane Willis
552419	251194	Molly
552420	109715	TV Anchorwoman
552421	56780	
552422	105133	Herself
552423	23750	Anna
552423	378058	
552424	39056	
552424	305918	
552425	73565	Margor Gage
552425	100853	Dona Serafina
552425	163258	IA Woman Commandant
552425	177336	Regan
552425	387471	Lady Tyrwhit
552425	401136	Madame Blitskaya
552426	322830	
552427	411116	Alice
552428	353945	Pauline
552430	233914	Amelia at 19
552430	283718	Andrea
552431	356325	Psychologist
552431	389858	Terry Brock O'Connor (1984-19
552432	224075	Audition Assistant
552432	231746	Mona Jenkins
552432	244770	Sophie Newman
552432	386565	Receptionist
552432	406285	Liza Carrington
552432	407046	Soldier
552433	78817	
552435	43919	Dove
552436	148758	
552437	176954	Tina
552437	198983	Julie
552437	204926	
552437	229241	Nancy
552437	254917	London Belly
552437	316204	Woman
552437	326846	
552437	329518	Terry Manning
552437	366780	Felicity Johnson
552437	389858	Beverly Cleveland Fairchild (
552438	23750	Une pensionnaire de la Maison
552438	37898	Lulu
552439	310445	One of the children
552440	65022	Trustee's Assistant
552440	231394	Eve
552440	254417	Marie
552440	273241	King Sexy Girl #2
552441	361710	Tudy
552442	342048	French reporter #2
552443	898	Herself
552444	270631	Herself
552445	286168	
552446	168622	
552447	90449	Woman 1/Couple 2
552447	295103	Vampirete Dora
552447	349670	
552447	380449	
552447	383479	Duda
552447	386123	
552447	392589	
552447	401932	Marlene
552447	402626	
552447	403733	Angela Flores
552447	404160	Isolda
552447	408727	Estela
552447	410096	Henriqueta
552448	294115	Rosa Viviana
552449	388417	Host
552450	190956	
552451	154502	Mother
552452	251009	
552452	278617	
552453	132730	
552454	69531	Deputy Mayor
552455	16181	Sara
552455	269739	Claudia
552456	101570	Mrs. Hegel-Shtein
552456	166720	Woman
552457	391129	
552458	16857	
552458	135146	
552458	156904	Deborah's Mother
552458	234764	Nora (Elsa's mother)
552458	247511	Nancy
552458	249445	Johnny's mother
552458	315437	
552458	315439	Olimpia
552458	344589	Adele
552458	383784	Sophie Rosseau
552459	327726	(segment Histoire d'eaux)
552460	384645	Antônia
552461	232115	Fountain Girl
552462	212796	
552463	269510	Anne
552464	115533	
552464	346173	Gay Tourist
552465	16968	Aunt Louisa
552465	47773	Fish Store Customer
552465	130130	Woman in Cafe
552465	235618	Train Mother
552465	311153	Grandmother
552465	348838	Aunt Louisa
552466	129833	
552467	26686	Maria
552467	202772	La sposa (The Bride)
552467	211800	
552467	279294	Stripteaser (segment "La rico
552468	388939	Tanachata
552468	396387	
552469	21403	
552469	199021	The Lady
552470	245053	Gretchen's Friend #1
552471	6493	
552471	19884	Locutora
552471	34054	
552471	55745	
552471	56447	
552471	74359	
552471	123083	
552471	221967	
552471	242678	
552471	257478	
552471	258742	
552471	266849	
552471	273017	
552471	292747	
552471	318230	
552471	351861	
552471	353619	
552471	371760	
552471	379566	Concha (1998-2001)
552472	264264	Señora
552472	379909	Bettina Riquelme
552472	383392	
552472	383777	
552472	392290	Milagros
552472	392653	Livia's friend
552472	393833	Camila de la Mora 'mamá de Pa
552472	396209	Sra. Directora
552472	396631	Elisa
552472	397009	Trinidad
552472	399763	Lola
552472	407542	Kitty
552472	409921	Daniela
552472	410098	
552474	63766	
552474	205967	Audrey's parisian friend
552474	332198	Aimes
552476	255515	Marlena
552476	319660	Woman in TV
552476	375961	Maryska
552477	396132	
552478	230583	Sister Maria
552478	383684	Mimi
552478	396132	Alexandra
552478	405835	
552478	410108	Becky Lipton
552479	220218	La logopediste, Suisse
552480	2250	Viva Las Vegas Showgirl
552481	75767	Herself
552482	345555	Ami Julie
552482	384434	
552483	58509	
552484	323385	Anne Davis
552485	84381	Alicia
552485	123792	
552485	376838	
552486	178002	
552487	94621	Dancer
552487	289113	Cheerleader
552488	60148	Dancer
552488	67586	Cashier
552488	67593	Woman #5
552488	267088	PTA Parent #4
552489	64109	Jill
552489	112030	Janie Hardy
552489	166004	Marth
552490	32512	Karins mor
552490	96441	Fru Hansen
552490	346964	En nysgjerrig nabo
552491	132551	
552491	336945	
552492	125097	
552492	171660	
552492	345655	
552492	375268	
552493	93771	Dance instructor
552493	127167	Justine Woolf
552493	154076	Elizabeth Drexel
552493	232029	
552493	256813	Maria
552493	285397	Dagda
552493	314279	Bar Waitress
552493	350022	Jan Spencer
552494	173318	Waitress
552495	366697	Code Team Blue 4
552496	158183	Adorable Girl in Photo Shoot
552497	40100	Nurse
552497	79202	Children's Hour Actress #2
552497	140371	Beata Stern
552497	208503	Assistant Bank Manager
552497	329342	Dr. Nashal
552497	330635	Female guide
552498	58830	Mrs. Faversham
552498	88392	Jonny's lady friend
552498	89836	Secretary
552498	94261	
552498	108200	Miss Engström
552498	122480	Customer in gloves-shop
552498	127706	Singer
552498	136404	Rope walker
552498	138433	Woman at the beauty shop
552498	144062	Shop Assistant
552498	162252	Lady
552498	170374	Kontorsflicka
552498	174697	Prostitute at Berns
552498	181843	Maid at the inn
552498	182575	
552498	187662	Guest at wedding
552498	193298	Schnell
552498	264277	Mamsell
552498	272501	Waitress
552498	281039	Fredriksson's secretary
552498	293839	Woman
552498	303644	Prostitute
552498	312697	Guest at the masquerade
552498	315361	Ms. Svensson
552498	320606	Miss Pepping
552498	354677	Mrs. Jonsson
552498	388448	Mina
552499	347046	Junges Mädchen in der Irrenan
552500	152849	
552501	12704	Erika Kornfeld
552501	18518	Dr. Wissmuth
552501	24055	Zofia Steinmann
552501	38639	Schmiedin
552501	89478	Friedl
552501	93401	
552501	103037	
552501	116318	
552501	119247	Mary Haines
552501	122631	Die Horlacher Lies
552501	126182	
552501	132541	
552501	136906	
552501	147153	Gretchen
552501	155428	Frau Kroepfl
552501	174535	Pfeifferin
552501	178608	Princess Mareile
552501	181944	Susi
552501	187521	
552501	187774	Alwina
552501	226266	
552501	268922	
552501	275187	
552501	284416	
552501	290029	Emerenz Meier (Adult)
552501	290544	Anna
552501	290591	Frau Sönke
552501	325776	Olga Spindel
552501	365591	Frau Hilton
552501	367025	Magd Zenzi
552501	367034	Gabriele
552501	378554	Anna
552501	409860	
552502	156723	Elena
552503	156985	
552504	153940	
552505	361124	Carolin
552506	2691	
552506	38771	
552506	388165	Böhmke
552507	119197	
552508	11871	Daisy Rix
552508	277463	
552508	289885	
552508	290685	
552509	379768	
552510	182146	M. Zwintsala
552510	182864	Emma
552510	290748	Lilli Schneider
552510	340013	Mika
552510	399163	Hanne
552511	94202	'Three Fingers' Barducci
552512	155384	Girl
552512	399175	
552513	34595	Mrs. Puttgarten
552513	204484	
552513	259667	
552514	90685	
552515	6414	Leni Steiner
552515	103112	Patty
552515	126183	Karola Seitz
552515	144025	Fräulein Veronika
552515	144174	Sister Josephine
552515	147314	Olga
552515	166688	Rosl
552515	189613	Caroline
552515	206221	Frau mit Pelz
552515	211078	Renate
552515	216865	
552515	223487	Junge Deutsche Schwester/Youn
552515	282104	Blondine I
552515	286255	Jodie
552515	290449	Ramona
552515	325678	
552515	347637	
552515	352398	Lisa
552515	376125	Sylvia Monti
552515	377343	
552515	377344	
552515	377345	
552515	377346	
552515	377347	
552515	377348	
552515	377349	
552515	377350	
552515	382399	Patty
552515	389119	Gilda Schneider
552515	403113	
552515	405817	Inge Strobl
552516	94015	Dutch woman
552516	385717	Inga
552517	14353	Mme Kruger
552518	16642	Myrtle
552519	366906	Angie
552520	272930	Hooker
552521	332198	The Cripple
552522	25480	Mrs. Ackerly
552522	50449	Mary Meyer
552522	51855	Lady in Waiting
552522	70775	
552522	71742	Joanna
552522	108709	Mrs. O'Malley
552522	114127	Woman on Platform
552522	129117	Winnie Hawcock
552522	131392	Ethel Georgia
552522	141140	Receptionist
552522	196037	Irish Waitress
552522	269053	Meg
552522	279758	Countess
552522	314797	Old woman
552522	316184	Laura Riordan
552522	323738	Mrs. Walsh
552522	367623	Lolo
552522	411556	
552523	344652	Meany's Masseuse
552524	20765	
552525	5475	
552525	324391	Mrs. Lane
552525	362231	Mother
552526	284220	Mrs. Macer
552527	368001	Gen. Jinjur
552528	412089	
552529	348522	
552530	16491	Andy Panda
552530	21299	Mrs. Stilton
552530	26987	Dorothy, the maid
552530	30614	Mamma Buzzard
552530	41555	Mabel the Fat Lady
552530	43939	
552530	48993	Mama Buzzard
552530	55624	Mrs. Oransky
552530	64784	Selma
552530	88307	Andy Panda
552530	113416	Shuffler woman
552530	116600	Mother
552530	124728	Ethel
552530	131740	Andy Panda
552530	142845	Mrs. Daffy Duck, Chicken
552530	149861	Maysie
552530	153208	Sniffles
552530	163773	A. Flea (singing)
552530	167527	
552530	190063	Mama Panda
552530	194209	Mrs. Goldfarb
552530	194717	Sniffles
552530	196963	Helen
552530	227012	Millie
552530	235062	Telephone operator
552530	237005	Andy Panda
552530	273543	Woman on fire escape
552530	279411	Mabel, Lady Camel
552530	285654	
552530	312003	Paula Kratz
552530	315700	Amy, a Con
552530	345639	Sniffles, Mama Bear
552530	346162	Andy Panda
552530	365071	Agnes
552530	390985	
552531	289718	Voice on tape
552531	408443	
552531	411392	Andy Panda
552533	139597	Austrian Woman
552534	139597	Austrian Woman
552535	60341	Anita
552536	318515	
552537	369492	Xanadu Dancer
552538	194706	Allison's Friend #2
552539	192111	
552539	200492	Mrs. Spencer (segment "Pride"
552539	308917	Polly
552539	365141	Tea Trolley Girl
552539	404323	
552540	202785	
552541	310166	Lt. Katie Covell
552542	1877	Herself
552543	15887	Ensemble Vocals
552543	393424	Pizzazz (singing voice)
552544	103306	Herself
552545	387963	Johanna (1999)
552546	366541	
552547	88522	Maxine
552548	219555	Bartender
552549	225121	
552549	280742	Claudia
552550	330601	VO
552551	716	Herself/interviewed
552551	7581	Herself
552551	9897	Ann Glover
552551	18964	J.T. Wayne
552551	56654	
552551	57061	Herself
552551	57894	La première quêteuse
552551	68022	Herself
552551	77148	Dallas Adair
552551	86982	Jennifer Freely
552551	106157	Janet
552551	119357	Frieda Debny
552551	122265	Herself
552551	141720	Herself
552551	143543	Cassandra
552551	150924	Angel Dutton
552551	152219	Minerva Mayflower
552551	154822	Sandy Sands
552551	160373	Imogene
552551	166915	Herself
552551	177369	Masha
552551	185853	Herself
552551	196407	Marci Guerra/'Angel'
552551	199765	Herself
552551	216670	
552551	222495	
552551	222975	Kitty
552551	225774	Herself
552551	231386	Girl Nut
552551	241404	God
552551	257772	Bibi Carlson
552551	258283	Bunny Roberts
552551	274868	Herself
552551	277697	
552551	280386	
552551	287238	Herself
552551	287239	Herself
552551	291968	Sherry Dansen
552551	295006	Grouch Waitress
552551	299926	Herself
552551	301974	Sheila Fontana
552551	308173	Betty
552551	315598	
552551	330501	Ola
552551	337302	Nurse Stein
552551	348106	Herself
552551	364459	Extra
552551	366970	Herself
552551	367874	Host
552551	368997	Dr. Fridley
552551	375827	Herself
552551	391392	Cassandra
552551	403097	Herself
552551	403346	Herself (1977)
552551	403765	Nancy Bartlett (1991-97)
552551	404256	Host
552552	26509	Gabrielle
552553	182762	
552554	290011	Singer-Sjöman (Swedish versio
552555	338711	Hannas dotter
552556	32622	Augusta
552556	99613	Elvis' Mamma
552556	101126	Mrs. Andersson
552556	101493	Lotte
552556	122504	Lena
552556	137883	Niemi
552556	137884	Niemi (episode 2)
552556	182279	Grafologen (episode 2)
552556	231752	Mom
552556	240218	Gittan
552556	249105	Secretary
552556	252000	Soen/The Sow
552556	252005	Gullan from Arkadien
552556	252006	Gullan from Arkadien
552556	252007	Maja's Mother
552556	259354	Cat Byman-Sylvander
552556	268355	
552556	284553	'Darling'
552556	287568	Karin's mother
552556	305528	Eva
552556	315606	Woman Cook
552556	322276	Mrs. Angerud
552556	341091	Märta
552556	354687	Ulla-Britt
552556	355702	Asta Berner (episodes 3, 4)
552556	377331	Martina
552556	386363	Jenny
552556	390230	Mrs. Håkansson
552556	397783	Aunt ohlson
552556	399873	Mrs. Nilsson
552556	401128	Maja's mother
552556	403084	Sara Nilsson (1999)
552556	404039	Charlotte
552556	404048	Ann-Sofie Bernardsson (1998)
552556	408933	Gulli
552556	408935	Mara/Dora/Mamman
552556	412047	Marianne Lagerlöf
552557	168687	Ring Doctor
552558	42219	Judy
552559	170928	
552560	279721	Woman
552560	367064	Dorothy
552561	216258	
552562	68360	Mme Barlemont
552563	102575	Mrs. Gaines
552564	343201	Bridesmaid
552565	188388	Burnt Out Retreat Lawyer
552566	240597	
552567	174179	Woman on party #1
552568	360116	Loofa Girl
552569	119218	
552570	353070	
552571	6683	Adrienne Lecouvreur
552571	15124	Queen Elizabeth I
552571	52898	
552571	58320	
552571	77333	Camille
552571	94757	Hamlet
552571	112976	Camille, from 'La Dame aux ca
552571	163274	Herself
552571	166343	Jeanne Dore
552571	225368	
552571	297124	Hamlet
552571	336377	
552571	357125	
552572	223658	Sally Harling
552573	363560	Teacher
552574	344765	
552575	20625	Extra
552576	159045	Voix de la réception
552576	217660	Marx
552576	227317	
552577	17131	
552577	17490	Woman #3/Woman in White Veil
552577	47333	Tourist
552577	68308	Sylvia Andrew
552577	118911	Elizabeths Grandmother
552577	154988	Russian Lady
552577	171191	Mrs. Glantz
552577	184974	Mahjong lady
552577	318174	Old Lady #1
552577	383981	Polly, the Prize Lady
552577	390771	Mrs. Pappas #1 (1991)
552578	51297	Prestefruen
552578	237072	Madam Anders, en klok kone
552578	287550	Gamle fru Kruse
552578	314843	(Norwegian version)
552578	341048	Olga Liplassen
552579	32512	Mona
552579	111582	Maria Grey, a starlet
552579	114773	Rudolf, piccolo/Ruth
552579	153231	
552579	214196	Maj Grønlien Granner, revypri
552579	219879	
552579	242691	Molly, datter på Kafé 'Solglø
552579	305859	Anne
552579	317650	fru Sørensen
552579	322472	Fru Thommesen
552579	399483	Nora
552580	325846	
552581	54148	
552581	197204	
552581	262223	
552581	294402	Una indigena
552581	326086	
552581	377576	
552582	5372	
552583	5363	
552583	379854	
552583	396307	
552584	5372	Arnalda
552584	5373	The Swindler
552584	36514	Venere
552584	49690	Bianca Maria
552584	106166	
552584	111374	
552584	121959	Cnidia
552584	127953	Countess
552584	133011	
552584	170312	Domenica
552584	199051	Zuleima
552584	208199	Antonella
552584	218935	Una diva
552584	234745	
552584	243304	Mrs. Cipriani
552584	287644	Romilda
552584	290932	Mignon, la soubrette
552584	293062	Office worker
552584	293353	Susanna
552584	310217	Isabella
552584	310974	Mrs. Marini
552584	336621	Elena
552584	338369	
552584	338689	Amalia
552584	354231	Mayor's lover
552584	402302	La madre di Cecilia
552585	208158	Liza Modzel
552586	99791	
552586	209024	
552586	221573	
552586	221578	
552587	31526	
552589	6569	Suzon
552590	148596	
552591	15054	Micheline
552591	84669	
552591	115331	Michelle
552591	217697	
552591	273969	
552591	301094	Loreley
552591	370104	
552591	380717	Rollande Beaupré
552591	398158	Coltte Charpentier
552592	217235	La femme de l'église
552593	310963	Femme
552594	6623	Jacqueline
552594	15015	Myriam
552594	68381	Maryse, la fille en panne
552594	72311	La conductrice du taxi
552594	84692	Monique
552594	96155	Elle, Lui et tous les autres
552594	118841	Noémie
552594	124824	Solange
552594	125723	La serveuse du Jazz Club
552594	125724	
552594	140285	Martine
552594	168890	Lisette
552594	247994	Josiane
552594	251007	La fermière
552594	256515	
552594	268940	La mère de Typhus
552594	280530	La fille agressée
552594	286896	Berthe Bérurier
552594	287598	Nurse
552594	327293	La patiente
552594	341623	Sophie van Osterhuis
552594	343557	
552594	343579	Julie, la bonne
552594	355877	Mimi
552594	355880	Annette
552594	377479	Supermarket casher
552594	377629	Madame Lambert
552594	380859	Catou
552594	401328	Various characters
552595	7464	Juliette
552595	30186	Cécile
552595	68353	Constance
552595	219511	Charlotte à 14 ans
552595	254104	
552595	389299	Ella (2001-????)
552595	410470	Bijou
552596	259870	
552596	410628	Lorraine Boisvert
552597	280530	
552598	273687	
552599	372371	
552600	321728	Club Fencer
552600	379165	Lady Illusion
552600	382632	Mom
552601	26583	Member du jury
552602	118980	Flora
552603	245794	
552603	389307	Bulder
552604	317505	
552605	317505	
552606	49206	Dolores
552607	188903	
552608	381721	Charito
552608	382578	Caren Molinary
552609	406864	Magaly de la Vega Maldonado
552610	383483	Claudia Menchelli
552610	399620	Carmela de Molina
552610	404713	
552611	20667	
552611	100485	
552611	169879	Diana Monti
552611	220269	Wardrobe Mistress
552611	278149	
552611	337744	
552611	373342	
552612	73507	
552612	341661	Anciana
552613	397886	Herself
552614	29699	
552614	166339	
552614	357026	Lady in the moon
552615	245115	Gypsy Woman
552616	8949	
552616	37874	
552616	48275	
552616	50009	
552616	90294	
552616	117193	
552616	128285	Sally
552616	145714	
552616	145965	
552616	165487	
552616	184965	
552616	191686	Undetermined Role
552616	195796	
552616	199240	
552616	205307	
552616	216464	
552616	220563	
552616	221059	Jemima Fenny
552616	224626	
552616	250472	
552616	281430	
552616	285347	
552616	294832	
552616	296854	
552616	298193	
552616	304602	
552616	304995	
552616	307893	
552616	315071	
552616	335980	
552616	337120	
552616	362691	
552616	362712	
552616	363013	
552616	363014	
552616	364266	
552617	18530	
552618	18530	Richerin
552619	262513	Annegreth
552620	3233	Marjoree
552620	59135	Dr. Maxine Richmond
552620	67593	Old Single Woman
552620	80716	Airport Clerk
552620	107990	Woman
552620	110967	Boutique Saleswoman
552620	143918	
552620	157240	Disgruntled woman
552620	159505	Dr. Kates
552620	230857	Cora
552621	127530	Rose
552622	339858	Alexandra
552623	7468	La secrétaire de Schwerdtfege
552623	24479	Wife
552623	46934	Myriam
552623	75907	Roxane
552623	87902	
552623	169346	Mme Michelon
552623	343556	Marie Jacobe
552623	395074	Comtesse de Montboron
552624	55526	Cindy Lou
552625	24790	Miscellaneous Family Member
552626	33023	Herself
552627	363326	Malka (housekeeper)
552628	319525	Sideline Reporter
552628	337494	Herself (Broadcaster/Universi
552629	117454	featured dancer
552630	202945	
552631	139651	
552632	50212	Isabel
552632	242761	Kali 'Bondgirl' Bond
552632	274320	Lily (segment "The Game")
552632	360150	The Master's Girl
552632	364376	Kelly
552633	238238	Dickette
552634	277088	Omega Mu
552634	291293	Reporter
552635	32807	
552635	300330	
552635	326400	
552636	307988	Young woman
552637	322833	Lisbeth
552638	87527	CSI Willis
552638	99601	Gina E. Sandy
552638	176990	Crew
552638	234054	Cleaning Lady
552638	318386	Bar Girl
552638	342375	Kari
552639	33527	Lady Lox
552640	108350	Julie
552640	112304	Felice Abrams
552640	117061	Mary Bobrucz
552640	169476	Sara
552640	259828	Young Diane
552640	278264	Lynn
552640	333468	
552640	352700	Jessica Logan
552640	382644	Jessica Logan
552640	401174	Aurora Kellogg
552641	100954	Susan
552642	295349	Teacher
552643	158207	Homeless Woman
552644	342499	Young Suzanne
552645	391619	Histeria Kid Chorus
552646	38818	Amy - Sailor Mercury
552646	38819	Amy - Sailor Mercury
552646	38822	Amy - Sailor Mercury
552646	364647	Violet Sinclair
552646	381809	Tara/Jett
552646	382104	Olivia Owl
552646	391328	
552646	395742	Maggie
552646	396447	Additional Voices
552646	401518	Mrs. Settergren
552646	404124	Sailor Mercury/Amy (I) (1995,
552647	300351	Mrs. Berkowitz
552648	138821	Marilyn
552648	200353	Esther
552648	263789	
552649	82052	Kristyn's Teacher
552649	118725	Assistant Manager
552649	160463	Talk Show Host
552649	206373	
552649	340754	Rachel
552649	366687	Jennifer
552649	367638	Blodwen
552650	134321	Attorney
552651	158207	Homeless Girl
552653	187898	Maria (in dialogues)
552653	187901	Herself
552654	186847	Jenny
552654	267213	Ginny
552654	358296	Rosie
552655	402947	Nina Pepperman
552656	321729	Monica
552657	115421	Jump rope girl with hat
552658	18037	Fan
552658	98689	
552658	102573	Marorie Hastings-Hardwicke
552658	131852	Additional Voices
552658	187601	Gammie Boysulay/Rose
552658	187602	Dewmi Moore/Captain Thygh/Jud
552658	210620	Dancer
552658	224109	Buttons/Woodland Creature/Bus
552658	275996	Lady with Snake
552658	337168	Additional Voices
552658	379027	Additional Voices
552658	379568	Additional Voices
552658	379707	Additional Voices
552658	382993	Additional Voices
552658	385727	Additional Voices
552658	393293	Princess Yasmine
552658	395739	Aquata/Additional Voices
552658	401489	Eskimo Mayor/Additional Voice
552658	402234	Additional Voices
552658	406090	Additional Voices
552658	407697	Housekeeper
552659	362588	
552660	320059	Party Guest
552661	273327	Margaret
552662	193036	Sokolova
552662	198654	
552662	202435	Mother
552662	320186	Mother
552663	392665	Jennie
552664	57243	
552665	79012	Mrs. Gregory
552666	107720	Katja
552666	343518	Mette
552667	318315	Amneris
552667	350606	Lollo
552668	138524	Serveringsdame i klubben
552669	109133	Herself - Lektor, cand.psych.
552670	46529	Receptionist
552671	182602	Ensom dame på cafeteria
552672	156851	Gigi Rucklehaus
552673	190823	Guri Gravdahl
552674	244068	Elin
552675	190273	Opera Singer
552676	197577	
552677	400733	
552678	57830	Bognárová
552679	353637	
552680	227828	
552681	49206	Mary
552682	146888	
552683	70696	
552684	302356	Reportera
552685	171604	Ági
552686	343776	Magdi kislánya
552687	259205	
552687	268228	Hromasová
552688	48762	Patty Jamison
552689	34552	
552689	97181	
552689	99547	
552690	23221	Patty
552690	42528	His Girl
552690	138004	Princess the Hamster
552690	142530	Laura Ashton
552690	296547	Mother/Slut
552691	302304	Roselyne
552692	285271	Victoria Hawthorne
552693	49185	
552694	308839	Party
552695	64516	
552696	326260	
552696	399704	Mariya
552697	33282	Bela
552697	86614	
552697	350992	
552698	126266	Bela
552698	320707	
552698	357324	Gyulfie
552698	365915	Mihajlova
552698	374030	Pevitzata
552698	398896	
552699	127657	Guest
552699	252563	Darcho's mother
552700	51094	La Capretta
552701	226974	White Wall Woman
552702	52320	Bikini Girl
552703	216737	Dancer
552704	19344	
552704	22191	
552704	32026	Pingre #6
552704	43772	Nadine
552704	63552	
552704	96046	La préparatrice en pharmacie
552704	166370	Prostitute
552704	170469	Patronne de la boutique
552704	220492	
552704	233691	Mali
552704	247608	
552704	260886	
552704	321943	
552704	328391	Angèle
552704	382471	
552704	383978	Maryse
552704	389225	
552705	52390	Djamila
552705	211362	Fiancée de Rachid
552705	332139	
552706	173613	
552707	6384	Copaine Raymond
552707	139360	
552707	167041	Adulteress
552707	205547	
552707	379655	Djamila
552708	107428	Hotel desk clerk
552709	329151	Stauffer Girl
552710	329151	Stauffer Girl
552711	184842	Sage Hughes
552713	273431	Herself/Los Angeles
552713	273432	
552713	273436	
552713	402993	Herself/Los Angeles (1993)
552714	11936	
552715	94697	
552716	7204	Moeder Quispel
552716	16788	
552716	28958	Marlene
552716	59702	Frau Morgan
552716	188737	Frau Magnus
552716	201953	
552716	238007	
552716	245791	Mies
552716	247515	Erika
552716	265829	Trudy Jaspers
552716	283072	Therese
552717	85463	
552717	278697	
552718	104222	La violée
552718	120403	Chantal
552718	227317	
552719	6491	
552719	399126	
552720	83370	
552721	15260	Madame Garnier
552721	51919	Odette
552721	63781	
552721	83297	Lydia
552721	88059	Divine (Ludivine Jarisse)
552721	99409	Madame Bernier
552721	111087	La veuve
552721	163859	Itto
552721	220271	L'amie de Colorado
552721	220272	Simone
552721	249094	Lydia de Saintonge
552721	310056	L'actrice
552721	327883	Annette Dupont, l'ennemie
552721	377010	Lucie
552722	68351	Linda
552723	12937	Constanze Mozart
552723	46270	NY Girl
552723	47417	Leslie
552723	114601	Melanie
552723	121785	Amy Harper
552723	144536	Annie Oakley
552723	148247	Francine Tibbetts
552723	201614	Herself
552723	218472	Lavetta
552723	228447	Sheila Steward
552723	251239	Hooker in bar
552723	301539	Penny Jacobs
552723	305782	June
552723	362716	Rosie Casals
552723	363135	Frankie
552723	393634	Officer Eve Eggers (1993-1996
552723	402018	Charlotte (1992-1993)
552723	407916	Allison Linden (1981-1982)
552724	317335	Student
552725	189987	Karen
552725	385626	Dancer
552726	94055	Herself (author)
552727	65112	
552728	305917	Carrie
552729	313706	Anita
552730	226454	
552730	285577	
552731	23540	Alice
552731	258983	Fabienne
552731	345233	Vero
552732	9254	Rich woman in restaurant
552732	129573	Newsreader
552732	132139	Virgin Mary
552732	401744	Margaret
552733	29909	Donna
552734	12737	Kinky Lady
552735	145100	Gerda
552736	3113	Celeste, Emmenthal Maid
552736	80903	Cherie Blair
552736	184853	Dog therapist
552736	192346	Elizabeth McAshton
552736	199150	Pru
552736	218845	Limping Lucy
552736	226868	Giselle the Waitress
552736	227470	Letitia
552736	241898	Mlle Volkonsky
552736	269901	Charlotte
552736	292779	Jane
552736	311427	Nigel's secretary
552736	330066	Suzanne
552736	348599	Mrs. Ash
552736	351972	Cynical Lady
552736	388327	Jessica Brooker
552736	395080	Ruth
552736	398752	Marina
552736	399069	Miss Owthwaite
552736	403803	Irene Anderton
552736	405050	Myrtle
552737	109839	Harriet 'Harry' MacGregor
552738	109839	Elizabeth Anderson
552739	104853	
552740	378666	Jackie LeMurr
552741	138348	Party woman
552742	16415	
552742	55372	
552742	60921	Vecina
552742	70065	
552742	70690	
552742	84061	
552742	103854	
552742	127592	
552742	146472	
552742	165789	
552742	168099	
552742	199852	
552742	209233	
552742	255928	
552742	294611	
552742	343724	
552743	69378	Mage Gerardini
552743	162206	Lepers
552743	215021	Un membre de l'association
552744	52708	Silvia
552744	55170	Maria/Chica del descapotable
552744	63904	Laura/Falsa NCV
552744	71830	
552744	74869	Concha
552744	101903	Lola
552744	249778	Ainara
552744	323961	Milagros
552744	378020	Ona
552744	398805	Bea
552744	401613	
552745	63960	
552745	307470	
552745	355958	
552746	23624	Super India
552746	336265	Lulú, maricón
552746	392080	Herself
552747	205112	
552748	361710	Hélène
552749	65134	Persephone
552750	318212	Niña Parque del Retiro
552751	256413	
552752	294071	
552753	309559	
552754	247137	Leilani Adams
552755	239829	Granny Ensemble 3
552755	280489	Vera
552756	235825	
552756	396425	Jean McKinley
552757	16025	
552757	20765	
552757	46261	
552757	65801	
552757	73199	
552757	135597	
552757	165821	Emma Jarr
552757	165909	Sidsall Ammidon
552757	210609	
552757	363022	
552758	366104	Carmella
552758	381798	
552759	158102	Rockland T-Ball
552760	257616	Herself
552760	257658	Herself (Miss August)
552760	361854	Herself
552761	175171	Dream girl
552761	248093	Candy Love
552762	331738	Cathy
552763	27192	Lucy
552763	158572	Fran
552763	165289	Bronwyn
552763	238433	
552763	304800	Stella Parker
552763	382707	Various
552763	393208	Caroline Evans
552764	285922	Maria Tachibana
552764	410739	Aphrodite
552765	37057	Lobster Woman
552765	113900	Lobster Girl
552766	77203	Kate Walker
552767	203692	Rukheleh
552767	355331	
552768	40838	Zoé
552768	72509	Stewardess
552769	201818	Herself
552770	251420	Screaming New York Girl
552771	189534	Sängerin
552772	20916	Alice's secretary
552773	101036	Polish Beauty
552773	245130	Margaret Van Beekman
552774	80480	Herself
552775	5066	Younger Player
552776	27183	Val
552776	131347	Mother of Patient
552776	194985	Dana's Mother
552776	305919	Clarice
552776	347852	Female partygoer
552777	305917	Connie
552778	84738	
552779	134246	Charlotte
552779	201506	Herself
552780	290437	
552781	192634	Baptist Singer
552782	65551	Roman soldier
552782	291915	Illinois Beauty Winner
552784	134780	
552784	170531	
552784	340372	Lady
552785	846	Herself - #83: Halle Berry: A
552785	1674	Herself
552785	1681	Herself - Presenter
552785	1717	Herself
552785	1748	Herself - Presenter
552785	2280	Herself
552785	2290	Herself
552785	2314	Herself
552785	2761	Herself
552785	2765	Herself
552785	2787	Herself
552785	2818	Herself
552785	2889	Herself - Presenter
552785	3044	Herself
552785	3046	Herself - Best Actress Winner
552785	3053	Herself - Presenter: Best Act
552785	3749	Herself
552785	3820	Herself
552785	7586	Herself
552785	13751	Herself
552785	25834	Nisi
552785	43451	Herself
552785	44005	Angela Lewis
552785	49441	Nina
552785	57064	Patience Phillips/Catwoman
552785	57489	Herself
552785	57665	
552785	69079	Herself
552785	86263	Jinx Johnson
552785	96555	Herself
552785	105723	Jean (flight attendant)
552785	109841	Kathleen Mercer
552785	115568	Sharon Stone
552785	118566	Foxy Brown
552785	128089	Herself
552785	132233	Miranda Grey
552785	133822	Herself
552785	135524	Jane Whitefield
552785	147666	Herself
552785	160294	Herself
552785	161260	Herself
552785	161594	Dorothy Dandridge
552785	165265	Herself
552785	168604	Herself
552785	170746	Vivian
552785	175542	Herself
552785	185096	Cory
552785	194666	Khaila Richards
552785	218398	Leticia Musgrove
552785	221426	Jinx
552785	221474	Herself
552785	227604	Venus Johnson
552785	243148	Herself
552785	262959	Herself
552785	265527	Autumn Haley
552785	270384	Miss Sandra Beecher
552785	277643	Josie Potenza
552785	279888	Cappy
552785	307684	Nikhaule/Queen Sheba
552785	311150	Herself
552785	316886	Natalie
552785	321718	Ginger
552785	329757	Janie
552785	345706	Herself
552785	360745	Shelby Coles
552785	361224	Herself
552785	364558	Zola Taylor
552785	367883	Herself
552785	369448	Herself
552785	369458	Storm/Ororo Munroe
552785	369461	Herself
552785	369486	Storm/Ororo Munroe
552785	383802	
552785	391189	Herself
552785	391835	Herself
552785	394676	Debbie Porter (1991)
552785	395807	Emily Franklin (1989)
552785	402605	Queen
552786	283500	Schoolgirl
552787	158102	Rockland T-Ball
552788	44284	Scenester
552790	302750	Female Singer
552791	96834	
552791	164247	Phoenix Montgomery
552792	43236	
552792	77334	
552792	120987	
552792	236623	
552792	355511	
552793	157636	Hunter
552793	363780	Hamptons Girl
552794	356802	Cindy Gorgeous
552795	168745	Student
552797	48709	Sam
552798	20916	Léa (child)
552798	217210	Sarah Delgado
552799	407084	Herself (Yasur Tribe)
552800	61855	
552800	83949	Luanne
552800	194315	Phyllis
552800	228447	Girl in brothel
552800	357985	Dixie Devoe Bobby
552801	366933	Extra in crowd
552802	63832	12-Year-Old Girl
552803	257133	
552803	268947	
552804	192357	Jane Peachtree
552805	151672	Beach Boy
552806	268947	
552807	139262	
552808	212982	Party Host
552809	244919	Kim
552810	304437	Lucille
552811	78038	Pageant Girl
552812	249677	Fille 1 toilette
552813	7239	La princesse Ulrique-Marie
552813	8214	
552813	15104	
552813	16616	
552813	20907	
552813	20909	
552813	40284	
552813	46941	
552813	55008	Madame Blanco
552813	58223	
552813	60497	
552813	64216	
552813	64225	La concierge
552813	64715	Patronne de l'hôtel
552813	65729	La mère Brodequin
552813	66716	
552813	71824	
552813	73179	
552813	76493	
552813	77341	Mme Tassin
552813	90179	Sancho Panza's Wife
552813	111075	
552813	112822	
552813	112846	
552813	122360	Madame Michon
552813	122905	Madame Bijou
552813	129511	Thérèse
552813	158843	
552813	160048	
552813	167199	
552813	167203	
552813	169340	La concierge
552813	170293	Catherine
552813	198620	
552813	202592	
552813	202594	
552813	207770	Mme. Paulin
552813	217694	
552813	217839	
552813	219498	Célestine
552813	225489	
552813	235815	
552813	238488	Leonie
552813	240581	Marie
552813	240607	Mme. Paput
552813	244230	Maria
552813	248235	
552813	257008	La cuisinière Sidonie
552813	260939	Madame Quinquina
552813	263975	La mère d'Eugène
552813	266421	
552813	267509	
552813	268859	
552813	272355	
552813	275642	
552813	278307	Mme Corbin
552813	280536	
552813	280560	
552813	281826	
552813	282047	Virginie
552813	282491	Mme. Landrin
552813	287596	
552813	289438	Madame Férioul
552813	303503	Pauline
552813	320010	Mme Bontemps
552813	328410	La Michelonne
552813	337012	
552813	337543	Dounia
552813	340197	Anfissa, la norrice
552813	340208	
552813	345098	Marquise de Montelone
552813	346585	
552813	351524	
552813	354242	
552813	354982	
552813	377939	Mélanie
552814	234891	
552815	395249	Holly
552816	68370	Lolita Cassard
552816	198639	La petite fille - dentiste
552816	262993	Hannah Goldman
552817	404471	
552819	304683	
552820	143610	Ginger
552820	223913	Girl in casino
552821	166087	
552822	242540	
552823	51483	Onlooker
552823	105379	Annie Knowby
552823	201667	Annie Knowby/Herself
552824	2339	Wren
552825	104733	Luxembourg entry (9th place)
552825	113425	Herself
552826	334150	Lois Finch
552827	79768	
552827	113489	Janice
552827	128848	Angela's Mom
552827	158930	Evelyn Roy
552827	164641	Partygoer
552827	210874	Mrs. Morgan
552827	264036	School Principal
552828	32052	Little Girl at Slumber Party
552828	149448	Orange Julia
552828	307351	Ellen
552829	133772	Refugee Woman
552829	207989	Priestess
552829	386339	Nhan Le
552830	344474	
552831	141193	Maid
552832	143284	Travel Agent #3
552832	254625	Townswoman (at bar)
552833	302157	Secretary
552834	79632	Kate Kennedy
552834	200467	Nurse
552835	7809	Dr. Friedlander
552835	23973	Ella's Friend
552835	26769	Juliet Powell
552835	38421	
552835	51934	Pauline
552835	69120	Cécile Sirois
552835	74333	Micheline
552835	74936	Francine
552835	77828	Aunt Ruth
552835	86911	Directrice de production
552835	96054	Louise
552835	119501	Miss Jensen
552835	123518	Rita
552835	127748	
552835	159326	
552835	161765	Louise
552835	164470	Tante Jeanne
552835	166115	Bibiane Guérin
552835	183426	Bag Lady
552835	205738	Nathalie Gendreau
552835	234279	Annie
552835	254985	Samantha
552835	263348	Bea
552835	289472	Mayor
552835	309695	
552835	323501	Sandra Mathers
552835	333731	Charle's mother
552835	345064	
552835	350622	Mme Fanny
552835	354936	Secretary (Montréal)
552835	360777	Mark's Mother
552835	366421	Agatha
552835	368993	Judge
552835	372102	Art Patron
552835	375108	Mère d'André
552835	382449	
552835	383664	Marjolaine
552835	384242	Therresa Lanza
552835	386092	Julie Bastien
552835	386295	
552835	399369	
552835	403475	Soeur Agnès
552835	404018	L.-A. Martimbault
552835	408883	Yolande
552835	410153	Gisèle
552836	289650	Carla
552837	766	
552837	33943	
552837	34788	
552837	34854	
552837	41120	
552837	45101	Samantha Boyd
552837	81817	
552837	81861	
552837	108651	
552837	108837	
552837	126340	Herself
552837	128851	
552837	130318	
552837	149336	
552837	158590	
552837	163864	
552837	165924	
552837	219858	
552837	228667	
552837	229236	Camping Girl
552837	236881	
552837	256196	
552837	258089	Samantha Boyd
552837	296101	
552837	306909	
552837	306911	
552837	316067	Stoned Girl's Lover
552837	333705	
552837	336441	
552837	349969	
552837	353742	
552837	357168	Herself
552837	372444	Mistress Sylvana
552837	372564	
552837	402215	Herself
552837	410422	
552838	389480	Gracia
552838	396333	Amiga de Tía Chita
552838	404990	Lulú
552838	408722	
552838	412301	
552839	8283	
552839	124550	
552839	132942	
552839	159897	
552839	355618	
552840	33466	La paysanne du bateau
552840	291575	Femme du tueur
552841	376964	Speakerine TV7
552842	362946	
552843	215691	Miss Florida USA (Finalist)
552844	215691	Miss Florida USA (Top 10)
552845	293854	
552846	89759	Violin-Mädchen
552847	76811	
552847	181768	
552847	382126	Herself
552847	387920	Herself/Host
552847	396411	
552847	407498	Host
552848	191394	
552849	26690	
552850	101883	
552851	223488	
552852	43400	
552852	111074	
552852	294912	Aline's Mother
552852	353946	Helene
552853	83388	
552853	201113	
552853	208335	La jeune fille vulgaire
552853	227300	Nurse #2
552853	246632	
552853	268310	
552853	327658	La Femme quai 1
552854	42204	
552854	327781	
552856	154950	
552856	298126	Marta, the Maid
552857	218279	
552858	73779	Jackie
552858	123199	Elsie Gray
552858	130644	
552858	215007	
552858	306481	Peggy Newton
552858	317222	Norma Day
552858	337665	Molly
552859	21403	
552860	261574	
552860	339074	
552861	16156	Greta
552861	23343	
552861	23677	Gisèle
552861	55724	Betty
552861	67250	
552861	101138	Aline
552861	153849	Irène
552861	160550	Bijou
552861	160820	Monique
552861	166134	
552861	183075	Duchesse de Châteauroux
552861	234750	
552861	235831	
552861	243505	Roxane
552861	249759	
552861	250708	La bonne
552861	294778	Bijou
552861	300735	Armande Bejart
552861	346575	Annabelle
552861	346792	
552861	356370	
552862	40074	
552862	315880	Aunt Mehitabel
552862	368011	Lady Sophia Alexandria Manner
552863	589	Nurse
552863	5882	Bystander
552863	11277	
552863	18552	Parent
552863	26282	Receptionist
552863	30122	Mary the Maid
552863	32818	Townswoman
552863	34079	Martha, Mickey's mother
552863	38982	Woman on Stairs
552863	41502	Helen
552863	46714	Chalet guest
552863	52661	Mrs. Benson, Tommy's Mother
552863	53215	Wife
552863	66791	Mother in Waiting Room
552863	73772	Village Woman
552863	73933	Nurse
552863	75570	Dan's Housekeeper
552863	89912	Gertrude's Mother
552863	90400	Wife of Mike, the Injured Wor
552863	91917	Waitress in Crowd at Wedding
552863	96889	Florist
552863	96987	Mrs. Huffnagel
552863	107390	Ann's Rutledge's Mother
552863	108430	Housekeeper
552863	113605	Dr. Santelle's Maid
552863	117485	Sorter
552863	117885	
552863	118304	Miss Waring, a Nurse
552863	122759	Nurse
552863	128161	Bertha, the Chambermaid
552863	130676	Mrs. Carter
552863	131361	Freddie's mother
552863	142692	Mickey's mother
552863	143191	Maid
552863	144573	Bit part
552863	149261	Secretary
552863	152522	Woman on Street
552863	154652	Nurse
552863	154855	Mother of Boys
552863	155678	Nurse #2
552863	168220	
552863	174594	Margaret, Davis' Maid
552863	176846	Nurse
552863	188542	
552863	190179	
552863	192096	Miss Deane, the Reception Nur
552863	201067	Mrs. Schulte
552863	201152	Boy's Mother at Carnival
552863	210750	Nurse
552863	215002	Mary W. Hotchkinson
552863	221307	Nurse
552863	223019	Elevator Girl
552863	223767	Passenger on Trolley
552863	223825	Rabbit Boy's Mother
552863	228911	Mrs. Dennis
552863	240650	Woman Boarder
552863	249576	Wardrobe Woman
552863	262758	
552863	274745	Woman
552863	278210	Maid
552863	279875	Julia, Froggy's mother
552863	282711	Ellen's maid
552863	288253	Mrs. Rogers
552863	289718	Woman at crime scene
552863	295439	Woman on street
552863	296784	Nanny on Street
552863	302696	Wardrobe woman
552863	312795	Nurse
552863	313793	
552863	316221	Nurse
552863	317169	Sara, Susan's Nursemaid
552863	318715	Mrs. Nichols
552863	320006	Froggy's mother
552863	323703	Alarmed citizen
552863	323941	Woman
552863	327970	Tabernacle Committee Member
552863	329481	Mother
552863	331596	Maid
552863	333054	Maid
552863	335599	Office Worker
552863	346877	Mickey's mother
552863	346914	Hairdresser
552863	351755	Mrs. Calhoun
552863	360488	Nurse Bringing Letter
552863	360738	Delia, the housekeeper
552863	363710	Gossip
552863	364366	Diner
552863	367813	Nurse
552863	367841	Wiley's Secretary
552863	372113	Miss Austin, Burton's Secreta
552863	372531	Little Boy's Mother
552863	372819	Governess
552864	26580	Mag
552864	34370	Therese
552864	62441	
552864	156273	
552864	249037	
552864	300970	
552864	333713	
552865	19337	Lola
552866	104772	Swiss entry (22nd place)
552867	106116	Lingerie Model
552868	30765	
552869	237160	
552870	44301	Miss Kitty
552870	121404	Woman #1 at Gym
552870	193132	Liza
552870	210730	Collette
552870	223762	Gina Casale
552870	246243	Anna Marie
552870	274374	Mattie
552870	296986	Hooker
552870	411802	Graziella (2002)
552871	380964	Brenda
552872	151787	Midget #1
552873	322396	Chica muerta
552874	202130	
552874	254240	
552874	263929	
552875	13610	
552875	55340	
552875	341158	
552876	104051	Paula
552876	107717	
552876	182261	The Woman
552876	182642	
552876	212509	Idegenvezetõ
552876	349031	
552877	217448	Classroom student
552878	266930	
552879	400380	Herself/Host (2004)
552880	242944	Constance
552881	309970	Parisian
552882	197577	
552883	217064	Tinneke
552884	279456	Breathing Instructor
552885	23525	Una donna all'orgia
552885	30723	
552885	110389	
552885	194541	
552885	243381	Narratrice
552885	269489	
552885	315437	Loredana Berte, cantante
552886	112863	Rougeau
552887	44433	Isabel
552887	84002	Prisoner
552887	238648	Laura
552888	261850	
552889	310549	Herself
552890	356247	Miss Light
552891	208794	
552892	183283	
552893	152603	Nurse
552893	353851	Infirmière
552894	218469	La grande-mère
552895	384154	Juffrouw Valveckens
552895	386056	Nadine Muys (2002-)
552896	48326	Old woman
552897	108477	Waitress
552898	255108	Sara
552898	355648	Catherine De Medici
552898	384618	
552899	102547	
552899	280526	La grand-mère
552900	58946	Airline Representative
552901	93399	Sebastians Filmteam
552902	43750	
552904	335847	
552905	152288	
552906	18712	
552907	58811	
552907	65392	La fille
552907	100738	
552907	236540	
552907	259374	L'hôtesse
552907	324068	Sophie
552907	324449	Christine
552907	346548	
552908	217682	Agathe
552908	254052	Rose, la fille de l'ogre
552909	282199	Professor Lindners Assistenti
552909	360960	
552910	122414	Mlle. Renaud
552911	217354	
552912	261832	
552913	42855	
552913	365770	
552914	353411	
552915	78444	Amanda
552916	6118	Betty
552916	92559	Steffi
552916	204482	Felicitas Schilling
552916	209773	Charlotte
552916	210048	Jane
552916	356550	Marion
552916	364903	Nele
552916	386895	Steffi
552916	394627	
552916	396757	Felicitas
552917	375077	
552918	103843	Cécile
552919	67669	
552920	71835	
552921	234699	
552922	361710	Child at Meal
552923	355333	Sylvia
552924	20553	Vaino
552924	47997	Mrs. Johansson
552924	89713	Mrs. Rundkvist
552924	95829	
552924	129171	
552924	159635	Woman at Henriksson's
552924	162252	A woman
552924	174697	Beda
552924	305303	Anna
552924	343712	Stina, maid at Närlunda
552924	348501	Klara
552924	349802	Maid
552924	377417	Mrs. Liljelund
552924	377418	Eulalia
552925	161692	Herself
552926	64641	Herself/Various roles
552926	113002	
552926	192662	
552927	78267	Herself - Presenter
552927	170347	Herself - Host
552927	170348	Herself - Host
552927	170349	Herself - Host
552927	170435	Herself
552927	212334	Herself - Performer
552927	376101	Herself - Performer & Winner
552927	376102	Herself
552927	376103	Herself
552927	401872	Herself - Participant (2002)
552927	401878	Herself - Participant (2002)
552928	70500	
552928	153341	Lis
552928	156029	
552928	214027	Lise
552929	253999	Auto stoppeuse 2
552930	346101	Party People
552931	102484	Nadine
552931	103229	La libraire
552931	168958	La femme du tram
552931	234573	La directrice
552931	285984	Zoé, la dactylo
552932	52988	Alina
552932	85180	María Luz
552932	87686	
552932	96098	The Belén's friend
552932	96294	
552932	236406	Susana
552932	253291	
552932	376869	Det. Basualdo
552932	385070	Sandra Rosetti
552932	392609	
552932	403651	Hilda Roldán González
552932	405916	Rita
552932	409957	Dolinda (2000)
552933	208235	
552934	49233	Casting Director
552935	164220	A Dancer
552936	204341	The Old Woman
552936	247502	The Mother
552937	32277	
552938	74077	Diane
552938	122422	
552938	207874	La monitrice à la garderie
552939	23802	Pierrette
552940	55405	Herself
552940	108979	Julie
552940	166097	Sonia
552942	356506	
552943	69155	Herself
552944	235246	Carole
552945	24165	La servante d'Auguste
552945	25263	Jacques' Mother
552945	65136	Monique
552945	120879	
552945	124357	Annie, une serveuse
552945	148769	
552945	159275	Juliette
552945	205213	
552945	228201	
552945	259732	La bonne de Matheu
552945	262942	La bru de Bousquet
552945	284150	
552945	328374	
552945	357858	
552946	43000	
552946	198341	Marion
552946	261837	Herself
552947	46967	Zerlina
552948	82920	
552948	268402	
552948	275825	
552948	354911	
552949	102881	
552949	164833	Lehrerin
552949	248540	
552949	364913	Bertha Wiesel
552949	381382	Olympiade-Logiergast
552949	392509	Ilse
552949	411526	
552950	290464	
552951	341781	
552952	114781	Liese
552952	282238	
552953	165450	Adele
552954	240429	
552955	15919	
552956	43772	
552956	386222	
552957	71942	Damigella/Amore
552957	243773	Cupidon
552958	218283	
552959	71835	
552960	13115	Barge operator
552961	119436	Cruel Child
552961	327164	Naomi
552962	215101	
552963	55625	Rhonda
552963	165253	Kathy Hunter
552963	372600	Pat Kennedy
552963	393292	Kathy Hunter
552964	50465	Girl on Train
552965	2361	La morte
552966	273150	
552967	381909	Herself (6th Evicted, 48 Days
552968	58041	
552968	205500	
552969	234310	Secretary
552970	311676	
552971	132139	Woman in Crowd
552972	4720	Aziza
552972	13626	La Principessa
552972	14899	
552972	16868	Illa
552972	25317	
552972	33923	Flavia
552972	49682	
552972	52249	Clementine Dobardo
552972	54086	
552972	54304	
552972	55386	
552972	56444	Beatrice Turina
552972	57300	
552972	57319	Jacqueline Planchet
552972	63889	Carla
552972	65552	Queen at Tarsus
552972	67491	
552972	69760	
552972	72534	La soeur d'Alberta
552972	75267	
552972	77130	
552972	77468	Mereka
552972	82997	Gina Carapia
552972	86334	(segment "Non desiderare la r
552972	88042	
552972	88050	Manoela's Aunt
552972	90162	La professoressa
552972	90678	Zosi
552972	102619	
552972	107029	
552972	107090	Anna
552972	108723	
552972	110391	Lucia
552972	121340	Lucia
552972	124233	
552972	127380	Celestina
552972	134317	Dina
552972	155857	Gina
552972	167007	Filippella Risino
552972	199383	Elisa
552972	199506	Bored Diner (segment 1 'Usi e
552972	205767	Comtesse de Polignac
552972	218246	Madame Danoni
552972	219707	Eliseba
552972	229998	Callie Frost
552972	235763	Caterina
552972	238336	
552972	242824	
552972	244130	
552972	252413	
552972	254980	
552972	259699	Mrs. Polvesi
552972	260890	La crocerossina
552972	261495	
552972	262813	Anna
552972	263735	
552972	264043	Angela Borgia
552972	268901	
552972	270025	Eunice
552972	274902	Zamira, betrothed of Rehoboam
552972	294349	
552972	302546	
552972	310218	Countess of Osta
552972	311258	Constanza San Germano
552972	315445	
552972	315826	
552972	327586	
552972	328895	Linda
552972	338688	
552972	344435	
552972	344635	Laura Stradi
552972	348210	Ethel
552972	348321	Emi Rosso
552972	349959	
552972	352828	
552972	390090	Mabel Scott
552972	393476	Elizabeth
552972	399974	Arete
552972	402786	
552972	404451	Fürstin Federica di Veneria
552972	408120	Jacqueline
552973	51099	
552973	74749	
552973	383480	
552973	386866	Marisela
552973	387103	Zarina
552973	404988	Candela
552974	268853	
552975	236804	La cantante
552975	376137	Sor Teresa
552975	376139	Suor teresa
552978	75252	Herself
552979	226877	
552980	355698	
552981	403187	Mia Smith (2000-2001)
552982	83380	Employée Sardinerie
552983	315521	Gaste op huwelijk
552984	355631	Miss Blomkvist
552985	410050	Francesca
552986	23779	Louise
552986	84667	
552986	135325	
552986	136305	Soeur Marie-Josèphe
552986	166172	La jeune femme à la trompette
552986	200955	Mrs. Lognon
552986	275634	Kalyope
552986	387650	Mme Cherrier
552986	387659	Danièle Malik
552986	390520	Lucette (segment "Monsieur Le
552986	403643	La Divion
552987	16005	Meg Carpenter
552987	76670	Marie
552987	213550	
552987	374261	
552987	393919	
552988	292275	Theodora
552989	8152	Madeleine
552989	15030	Madeleine
552989	16950	Madame Albert
552989	17846	Un personnage de l'hôtel
552989	23646	
552989	23856	Marguerite
552989	31018	Luc's Grandmother
552989	52698	
552989	54652	The grandmother
552989	55594	
552989	70939	
552989	71953	La mère de Trouillard
552989	78431	La vieille dame du square
552989	84605	Denise
552989	85616	Le Professeur de Français
552989	85690	Une servante
552989	92047	Denise
552989	99736	Rosa
552989	108210	La mère
552989	112880	Alice
552989	115345	Thérèse
552989	119044	La mère Coadou
552989	135344	Carmen
552989	135505	La teinturière
552989	153871	Mme Bellot
552989	154736	La cliente de la marchande de
552989	169345	
552989	176837	La vieille dame
552989	184053	Monique, joueuse de belote
552989	184055	
552989	192810	
552989	193442	Elena
552989	193449	Adrienne
552989	198351	Mlle Blanmoutiez
552989	200942	Catherine
552989	212152	Mme Matanierl
552989	215134	Maman
552989	222830	Simone
552989	225472	
552989	229492	
552989	240465	Little Lady on Tour
552989	240637	La première standardiste
552989	249713	
552989	251529	Mademoiselle Espitalier
552989	254601	Mme Jouvin
552989	273672	Bernadette
552989	292336	
552989	314967	La Comtesse
552989	333772	Françoise
552989	336985	Josie
552989	340132	La tante de Francisé
552989	340950	Woman on train
552989	345173	La mère de Léo
552989	346554	Mme Pollet
552989	346646	Mme Pelletier
552989	379595	Alphonsine
552989	379846	Liselotte
552989	383676	Faustine
552989	383978	Mémé
552989	384912	La voisine
552989	386803	
552989	393397	La belle-fille
552989	395492	La vieille dame
552989	400681	
552989	401988	Angère
552989	409436	Joséphine Labrède
552989	409760	Mme Léger
552989	412246	La couturière
552989	412254	Mme de Hon, la tante de Damie
552990	11774	
552990	11836	Stripperin #1 in Uwe's Bar
552990	110643	
552990	129683	Stripperin #1
552990	204481	
552990	267077	
552990	310892	
552990	310897	
552990	325482	
552990	325708	
552990	361010	
552990	376306	
552990	404452	Louise
552992	21625	Veronique
552992	43757	Une pensionnaire (segment "Fe
552992	169653	Yolande
552992	275344	Soeur Saint-Thérèse
552992	384746	Aline Barlett, soeur de Myria
552992	408000	Isabelle
552993	193220	
552994	31186	Herself (CBS Team contestant)
552994	31189	Herself (CBS Team)
552994	31190	Herself (CBS Team)
552994	31191	Herself (CBS Team)
552994	51481	Casey Norton
552994	56144	Kelly Porter
552994	57492	Herself
552994	72721	Wife
552994	113498	Kathleen McCallister
552994	140180	Helen Walker
552994	154396	
552994	154762	Kate Tosconi
552994	157444	Angela Cimarelli
552994	161210	Herself
552994	161241	Herself
552994	161391	Herself
552994	200213	Herself
552994	200228	Herself
552994	222704	Laurie Wade
552994	228975	Herself
552994	236696	Teresa Barzak
552994	243269	Maria
552994	247415	Pancho Barnes
552994	253507	Susannah Stanton
552994	264132	Joanna James
552994	265747	Kathy Wakeman
552994	280135	Susannah Bartok
552994	289074	Herself
552994	293028	Gina Breslin
552994	297791	Mary Gilligan
552994	301769	Anna Dunne
552994	323506	Stephanie Monroe
552994	343020	Jody Ann Shaffell
552994	362390	Molly Kilcoin
552994	372626	Robin Gibson
552994	383166	Holly Aldridge
552994	388202	Princess Sabrina
552994	392461	Maxime 'Maxi' Amberville (Cip
552994	399439	SBI Agent Megan O'Malley
552994	400223	Barbara Cooper Royer
552994	407196	Sydney Kells
552994	408635	Gloria (2001-2003)
552995	284552	
552996	1366	Sister Desolata
552996	3536	
552996	5463	
552996	13456	
552996	14850	
552996	14854	Margherita
552996	14907	
552996	16373	
552996	17134	
552996	17136	
552996	17143	
552996	17144	
552996	20351	
552996	20807	
552996	24864	
552996	25347	
552996	26370	
552996	31954	
552996	31965	Beatrice d' Este
552996	48861	
552996	51657	
552996	54145	
552996	54236	
552996	54860	
552996	67490	
552996	69716	
552996	69874	
552996	69989	
552996	69991	
552996	73095	
552996	80357	
552996	84181	
552996	85919	
552996	87970	Herself
552996	90175	
552996	90685	
552996	90713	
552996	90736	
552996	90738	
552996	91076	
552996	92967	Elisabetta Marmorai
552996	97655	
552996	104525	
552996	108498	
552996	109343	
552996	110434	Fedora
552996	111013	La princesse de Lystrie
552996	111357	
552996	113231	
552996	118768	Francesca
552996	120811	
552996	128034	
552996	129536	
552996	130568	
552996	146368	Pierrot
552996	155670	
552996	155748	
552996	157664	
552996	161845	
552996	162164	
552996	183287	
552996	187439	
552996	191418	
552996	197046	
552996	197734	
552996	199443	
552996	199919	
552996	202276	
552996	202404	
552996	204658	
552996	205966	
552996	206051	
552996	211305	Jessica
552996	218529	
552996	229608	
552996	229646	
552996	229669	
552996	238294	
552996	238295	
552996	238296	
552996	240134	
552996	240271	
552996	241913	
552996	243458	
552996	247633	
552996	248193	
552996	250859	
552996	252653	
552996	252658	
552996	253195	
552996	254953	
552996	255093	
552996	256452	Daria Oblosky
552996	261441	
552996	264254	
552996	264257	
552996	264260	
552996	265192	
552996	270823	Gabriela
552996	273148	Cordelia
552996	281184	Giulietta
552996	281625	
552996	281824	
552996	286200	
552996	287476	Princess of Monte Cabello
552996	296527	
552996	301356	
552996	311360	Simone
552996	319319	
552996	328355	
552996	336380	
552996	337895	
552996	339981	
552996	341366	
552996	344421	
552996	344624	
552996	351299	
552996	354236	
552996	355735	
552997	277811	Amica di Stefano
552999	308810	
552999	336126	
553000	171607	
553001	96102	
553002	21201	Benedetta
553003	42854	Solicitor
553003	43593	Woman Officer
553003	77672	Carole Findlater
553003	248143	Miss Vanstone
553003	274557	Mrs. Farlow
553003	280833	Karen's Secretary
553003	405461	Velda
553004	1092	Hulda
553004	1168	Margaret Harris
553004	34129	Half-woman, half-man
553004	68012	Adriana
553004	68304	Vivian Newburgh
553004	73325	Lady Macbeth
553004	79775	Georgina
553004	118686	Sister Mariana
553004	138482	The French Girl
553004	141496	Anne Ashton
553004	152844	Phyllis
553004	169856	Rohab
553004	190933	Clare Omney
553004	271315	Alice Durkow
553004	280833	Julia
553004	282934	Herself
553004	289611	La Touraine
553004	330377	Lotte
553004	334352	Lily Briscoe
553004	348527	Gina
553004	351778	Carlotta
553004	358702	Rosa Klein
553004	366191	Kate Croy
553004	389357	Minna Bernays
553004	395525	Fanny Squeers/Milliner/Miss S
553004	397182	Julia Charlton
553004	398020	
553004	404407	La Touraine
553004	405151	Frieda Gottlieb
553005	53056	Constance
553005	138449	Hannah's grandmother
553005	204543	Fru Dunér
553005	204548	Förståndarinnan
553005	378897	Kvinna i stuga
553005	388309	Frau Köhler
553005	394744	Morelius mamma
553005	412286	Frk. Fredriksson
553006	1569	Girl talking to Robert
553006	6570	Juliette
553006	19620	
553006	20068	Arlette Rivière
553006	30755	Catherine
553006	52771	Juliette
553006	52905	
553006	54183	Paula Baretto
553006	57284	Annick Damien
553006	57474	Célia Murelli
553006	62239	Yvonne
553006	64007	Dila
553006	64138	
553006	64333	Herself (1984)
553006	65214	
553006	70228	Helena
553006	76049	Celine
553006	84192	
553006	94805	Leni
553006	96078	Juliette Cristiani
553006	102484	Claude
553006	103178	
553006	122886	Patricia Lumumba
553006	135991	Margot
553006	140291	Fabienne
553006	153885	Prostitute
553006	213889	Juliette
553006	214707	
553006	218289	Jeanine
553006	222898	La visiteuse
553006	225099	Isabelle
553006	229489	Anita
553006	244985	Frédérique
553006	244986	Frederique
553006	261015	Herself
553006	266035	Nathalie Malakian
553006	276500	
553006	279698	Petit F
553006	296049	Isabelle
553006	305108	Secretary
553006	307137	Herself
553006	318778	
553006	345046	Mona
553006	345562	Sylvie
553006	346767	
553006	353847	Mara
553006	356057	Juliet/Weatherwoman/Hippie
553006	360823	Woman in car crash/F.L.S.O. m
553006	362613	
553006	377944	Carole
553006	384787	
553006	389271	Madeleine Dirol (segment "Mad
553006	391479	Fernande
553006	396366	Monique (segment "Innocent, L
553007	8152	Solange
553007	43423	
553007	67640	Fabienne
553007	80206	Anna-Andrée
553007	116643	La sage-femme
553007	121413	La femme policier
553007	166156	Michele
553007	197547	Mme Bonnard
553007	322579	La patronne du café
553007	337735	Marie-France
553007	346760	L'Assistante sociale
553007	404804	Mme Pinteau
553008	96550	Pontiff's Mother
553009	16297	
553009	374156	
553010	350253	
553011	64366	
553011	65014	Dudaca
553011	107172	
553011	110839	
553011	265463	
553012	284543	
553013	292282	Terrorista
553013	295181	Elena
553014	34470	Herself
553014	34471	Herself
553015	339573	Fairy
553016	101441	
553017	66943	Jordan Donnelly
553018	88090	Little Sidda
553018	115588	Sandy's Sister
553018	366811	Dana Dimartino
553018	395324	Kate Galante
553019	208830	Journaliste équipe télé
553020	214705	Narrator
553021	96519	
553022	28871	
553023	202323	Courtney
553024	1311	Dueña del almacén (Episodio d
553025	349422	
553026	65063	Momi
553026	197440	
553026	220171	Ana Maria Guevara
553026	398816	Soledad Duvafi López Paz
553026	405789	Erica
553028	211506	Sarah
553029	261711	La mère d'Elle
553030	65555	Nena
553031	121975	Periodistas
553031	248229	Coni
553031	252549	
553031	351688	
553031	412194	
553032	25023	Huésped 2
553034	251527	
553034	269735	Nadine
553035	191432	Radio and Television Shows
553036	366187	Yvette
553037	179065	Janet's Friend
553037	260329	A nun
553037	401516	Pig/Topov/Octavia/Pigeon
553038	390496	
553039	232799	Mrs. DeLaurier
553040	96098	Belén
553040	109264	Aneta
553040	202063	Connie
553040	385403	
553040	387098	Daughter of Fabián
553040	388946	Flor Fazzarino
553040	396180	Sol
553040	405916	Valeria Marquesi
553040	409957	Dolores 'Lola' Guzmán (1999-2
553041	138692	Patty
553042	138692	Mrs. Ellison
553043	121832	Nina
553044	52247	Jennyfer
553044	193191	
553045	24063	Fotografin
553045	134803	
553045	376579	Elli
553046	34425	Berlinerin
553047	134903	Schwester Columbanus
553047	175657	
553047	271751	Grandma
553047	289920	Gartenmarie
553047	290449	Sonja's grandma
553047	352646	Mutter
553047	361500	
553047	365568	
553047	365786	Ehefrau
553047	395644	Anna
553047	399175	
553048	81338	First baron's wife
553048	84962	Mary
553048	158142	Julie Marko ( age 16 )
553048	254512	Caitlin
553048	402379	Dana Praeger (1998-1999)
553049	54487	Old lady
553049	190562	Molly Randolph
553049	277531	Aunt Delia
553050	254512	Lisa
553051	45640	Cashier
553051	80938	Mary Driscoll
553051	99213	
553051	108339	Nina (12-15)
553051	232121	Stacey Jones
553051	257434	Jessica Webb
553051	302923	
553051	380218	Trance Gemini
553051	402947	Amanda Zimm
553051	404622	Judith Brewster
553052	124594	Annie Wilson
553052	194513	Annie Wilson
553052	233510	Female doctor
553052	335982	Florence Gilbert
553052	348354	Bryony's mother
553052	364382	Nanny
553052	383683	Ellen
553052	396081	Lady Patricia
553052	400466	Josie's Mum
553053	18535	
553053	189718	Marie Zeigler
553053	290255	Julia
553054	212524	Trendy Girl
553055	42431	Waitress
553055	214962	Night Nurse
553055	388547	Orderly 1
553056	355184	Reporter
553057	29087	Mrs. Tom Fleming
553057	47632	Nan Fowler
553057	47634	Laughing Fawn
553057	47660	
553057	47689	
553057	47693	Mrs. Hart
553057	47702	Vedah Barclay
553057	47710	Lois Martin
553057	47712	Vedah Trent
553057	47713	Vedah Craig
553057	83048	
553057	83662	Mary
553057	117591	Sue Jordan
553057	218830	Vedah Stevens
553057	240489	Mary Trent
553057	240707	Vedah Powers
553057	271945	Nan Morgan
553057	271959	
553057	279301	Lucy Mackley
553057	305841	Vedah Gregg, the Smuggler's D
553057	315702	Clayton's Daughter
553057	346018	Vedah Fowler
553057	361749	Vedah
553057	365054	Bart McGrew's Wife
553058	113886	Kastchei's Wife
553059	17188	
553059	61614	Mrs. Pulucci
553059	67833	Nolly
553059	110444	Sarah Griffin
553059	110446	Sarah Griffin
553059	110447	Sarah Griffin
553059	110448	Sarah Griffin
553059	110449	Sarah Griffin
553059	110450	Sarah Griffin
553059	110451	Sarah Griffin
553059	110453	Sarah Griffin
553059	176229	Sonia Quaid
553059	185503	Dorothy Ryan
553059	280737	Laurel Trent
553059	346133	Juliet
553059	382393	Victoria
553059	391869	Rosemary White (1989)
553059	397858	Violette de Lutrelle
553059	400806	Paula Taylor
553059	401018	
553059	402197	Randi Goodlove (1983)
553059	403244	Olivia Baxter Russell
553059	405062	Kylie
553060	19467	Baba
553060	82592	
553060	147056	
553060	156087	Herself- Host
553060	193483	
553060	249322	
553060	270057	Marica
553060	302431	
553060	377199	Girl with the scar
553060	383526	Various Characters
553060	395256	Laura (1998-1999)
553060	395845	Various characters (1993-1996
553063	1211	Clémence Coquard
553063	25248	Mme Irma
553063	29447	La vieille dame pavillon
553063	33627	
553063	43757	Mme Pauline (segments "Fermet
553063	51843	Maria
553063	57751	La grand-mère
553063	111076	
553063	125838	La patronne du bar
553063	157179	Zélie Holdy
553063	166283	Massote
553063	169345	
553063	201990	La gouvernante
553063	216236	Mme Magloire
553063	216237	Mme Magloire
553063	248271	La belle-mère
553063	266539	Suzanne
553063	276541	Elise
553063	281303	Carelina
553063	287398	Le brigadier
553063	313991	Nina Letrinquier
553063	322581	
553063	324944	Mme Delair
553063	332218	Avodtja
553063	341857	Mme Jacob
553063	345389	
553063	345394	La concierge-explosion
553063	353952	Raymonde
553063	384009	
553063	391634	Javotte (segment "Un rêve")
553063	396867	
553063	400869	Louise
553063	404663	Berthe
553063	404784	Marie Legoff
553064	266398	Clara (filmed 1951)
553065	42372	Girl #1 in bar
553065	83363	
553065	202593	Janine
553065	340670	
553066	160	Dresser
553066	153241	
553066	270433	Villageoise
553066	282417	La mère de Julien
553067	367022	Fientje Perdju
553068	345236	Marie
553069	82541	Prim & Proper Girl #2
553070	384434	
553071	157325	Miss Prince
553072	59663	Bathing Beauty
553073	32705	Diane
553074	118480	
553074	355126	L'Américaine
553075	190171	Young nun
553076	328404	
553077	218307	Blanche de Saint-Phalle
553078	241444	
553079	307646	
553080	17131	Iris
553080	56893	Jewelry Saleslady
553080	142426	French Girl
553080	205268	Woman at Auction
553080	303455	Mrs. Bannister's Guest
553080	376906	Mere
553081	37278	Therese Fornet
553081	94507	
553081	148753	Mme Lamarche, mere Therese
553081	225537	
553081	254084	Catherine
553081	402620	Fernande Tremblay
553082	207051	Member - Mr. Butterfly
553083	58164	Mrs Page
553083	209179	Hayley's Friend
553083	341670	Night nurse #2
553084	24314	Armandine
553084	28091	La concierge
553084	72402	La voisine de chambre
553084	84616	La fermière
553084	198348	Rose
553084	248263	Jeanneton (segment "Madame Ti
553084	254085	La femme à la voiture rouge
553084	384971	Rosalie
553085	53570	
553086	26043	L'etudiante
553087	334011	Mourner
553088	194229	Girl in Jeep
553088	203549	Girl
553089	2341	Carmen
553089	56230	Woman in Cape
553089	69391	Stud Bachelorette
553089	110421	Vicky Brogianto
553089	123404	Rosemary Borghi
553089	171105	Angela
553089	313562	Model
553089	318671	Eve
553089	379731	Belinda
553090	205645	Yvonne
553091	135359	Paysanne (segment "Premier em
553091	235279	La servante
553091	377827	Jacqueline
553092	365062	Woman
553093	166283	Germaine
553093	377625	Valérie
553094	241815	Black Jack Dealer
553095	263869	
553096	236611	
553097	92513	Pneumatic young woman
553098	16640	Saloon girl
553098	20246	
553098	81658	Ruth
553098	325119	Slave Girl
553100	5895	Juliette
553100	43681	Cécile
553100	94243	Sophie
553100	97639	Natacha
553100	276505	1ere Femme
553100	276538	Alice
553100	282417	Pilou
553100	286622	
553100	296094	Virginie
553100	322340	Elodie
553100	336936	
553100	345072	Ana
553100	347114	
553100	377914	Isabelle
553100	396042	Mélodie Garrel
553101	57230	La comparse
553101	123896	Betty
553102	9032	
553102	154885	
553102	347357	
553103	158419	Narrator
553104	80206	Marthe
553105	244033	Lucie
553106	315521	Maria Paals
553107	387615	L'infirmière
553108	53139	Jessica Bannink
553108	334736	
553109	170292	
553110	381523	Heleninha
553111	807	
553111	12096	Fanny
553111	42579	
553111	106311	Erika
553111	135114	Valeria
553111	143758	Elena Levín
553111	197440	Cristina
553111	266478	
553111	302053	Brite
553111	383499	
553111	385375	Rita
553111	389780	Elbita
553111	398816	Luján Robledo
553111	408204	
553111	409959	
553112	256825	Knife Woman
553113	385252	Tula
553113	387536	
553114	282096	
553116	14834	Gemella sala da bagno
553116	396305	
553117	14834	Gemella sala da bagno
553117	396305	
553118	43715	
553119	6684	Une dame
553119	60907	Modèle Minouche
553119	71974	
553119	112881	
553119	189367	
553119	308293	
553119	337543	
553121	120478	Bar Dancer
553121	164572	Chicks who Love Guns
553121	396452	Magic Assistant
553122	245632	School Kid
553123	4981	
553123	51581	
553123	52617	
553123	56442	
553123	62304	
553123	66674	Minerva
553123	68964	
553123	71008	Ana
553123	91387	
553123	91405	
553123	95421	
553123	152227	
553123	156789	
553123	166550	Margarita
553123	170098	
553123	186977	
553123	199973	
553123	207642	Amanda
553123	207728	
553123	213711	
553123	215499	
553123	247588	
553123	253380	
553123	272623	
553123	277380	
553123	291640	
553123	324841	
553123	334568	Empleada Boliche
553123	338154	
553123	351657	
553123	351684	
553123	351690	Juana
553123	377195	
553124	8728	
553124	247086	
553124	275079	
553125	279585	
553126	152234	Comensal II
553127	117292	Carla
553127	128464	The Waitress
553127	164699	Assistant District Attorney
553127	189408	Girl at DMV
553127	283351	Jill
553127	411146	Alibi
553128	2383	
553129	69227	
553130	376923	
553131	129180	Herself - Dancer
553132	149198	Girl in waiting room
553133	28675	Female Cleaner
553134	23448	Sunbather
553136	261290	Amber Heath
553136	404177	Z.Z. Ziff
553137	82149	Nikki Berwick
553137	209365	Kidnap Nurse
553138	381658	Speedy Winters
553138	408278	Madge Byron
553139	295438	Margaret Bannister, hearing-i
553140	33746	Mrs. Briggs
553140	160858	Mrs. Whitney
553140	196205	Nurse
553140	215630	Mrs. Sarah Copeland
553140	266236	Prim
553140	306752	Mrs. Stephen Barkley
553140	317159	Mrs. Torrence
553140	319244	Mrs. Morris
553140	367438	
553141	227300	La vendeuse de magasin de jou
553141	377477	Le maître d'hôtel
553142	93003	
553143	203921	
553144	55875	Anna
553145	321698	Marion Grey
553146	312591	
553147	257214	
553148	40214	Masha Smolina
553149	18799	
553149	74508	
553149	100294	Elisa
553149	140558	
553149	148118	
553149	199786	
553149	250693	
553149	250790	
553149	263876	
553149	353189	
553149	371733	
553150	343446	
553151	352803	Ede
553152	168057	Jiyan
553153	247668	
553154	216145	Karl, the Mortician
553155	104792	Francia nõ
553156	134347	Marieta
553157	307806	
553158	373456	Princess Viola
553159	16192	
553159	66266	Neighbor
553159	179357	Ruzenka
553159	193457	Aloisie Strnadová alias Lojzi
553159	196732	Hanicka
553159	229558	Kanerová
553159	230483	Komorná Marie
553159	252557	
553159	252801	Vilma
553159	261383	Anicka
553159	266023	Skalská, Vera
553159	275235	Pepicka Matuková
553159	304708	
553159	320638	Saleswoman
553159	341631	Zorka, adult
553159	343859	Ruza Brabencová
553159	374226	Hanicka Langrová
553160	104792	Nyaraló
553161	322099	Jancsi anyja
553162	2554	Portera
553163	16686	Miss England
553164	69579	Herself
553165	104222	
553165	339495	Une cliente
553165	396806	
553165	409440	
553166	31018	Marie
553166	51970	La juge d'application des pei
553166	80335	Marion
553166	88119	Marion Desroches
553166	99364	La serveuse
553166	101163	Marie
553166	101547	Nurse
553166	153868	Marie-Anne
553166	200928	Alice Barron
553166	211657	Psychologue
553166	211683	La rouquine
553166	217728	Sophie
553166	258335	Chantal, la femme de Maurice
553166	377470	Céline
553166	377869	Jeanne
553167	332674	
553168	194652	
553169	4544	Iris
553169	31840	Caroline MacCleary
553169	35131	Pat
553169	35183	Nancy Lovell
553169	41693	Claire Goldanna
553169	72691	Cynthia
553169	79281	Grace Sanders
553169	79719	Eve Dahlberg
553169	80612	Rita
553169	80636	Mrs. Evans
553169	81168	Hilda Flushing
553169	87856	Joanne
553169	89388	Lisa Carter
553169	106355	Mrs. Fields
553169	131210	District Attorney
553169	139236	Mary
553169	140907	Marcia
553169	141137	Mrs. Goldman
553169	176722	Jack's Secretary
553169	183587	Judy Bingham
553169	185647	Helen Tullis
553169	190722	Beth Warner
553169	193766	Maria Wilson
553169	193775	Veronica Randall
553169	212025	Helen Bradley
553169	221255	Doreen Delafield
553169	223871	Mrs. Gillespie
553169	246257	Marge
553169	253907	Emily Lundy
553169	258371	Barbara O'Neill
553169	265754	Dr. Faye Allison
553169	272759	Gail Hendershot
553169	292820	Tessa Beaumont
553169	304397	Natalie Ward
553169	309047	Simone Parks
553169	313449	Dr. Carol Marcus
553169	314252	Belle Marmillion
553169	314275	Janet Anderson
553169	325980	Coach
553169	335065	Lou
553169	336783	Marlene Lake
553169	338155	Norene
553169	339018	Megan
553169	353525	German Woman
553169	364367	Mrs. Worthington
553169	368718	Joan Lance
553169	381110	Miss Lahan
553169	387309	Susan Forbes #2 (1969-1970)
553169	390958	Adrienne Duncan Mortimer (198
553169	393415	Lois (1995-1996)
553169	396084	Iris Donnelly Garrison #2 (19
553169	404694	Janet Hill (1966-1967)
553169	404720	Dorothy Wheeler (1980-1981)
553169	405882	Eve Lawrence (1973-1976)
553170	297262	Cheyenne
553171	394265	Herself - Entertainment Repor
553172	60909	
553172	169321	
553173	290200	
553174	185797	
553175	183906	Flore
553175	336985	Témoignage "vibro"
553176	74842	Señora Mayor
553177	93356	Mrs. A.
553178	370166	
553179	100475	
553179	323668	Chico bar
553180	456	Frau Medicke, Eva's landlady
553180	48391	Frau Michaelis
553180	51123	
553180	65368	Bäuerin
553180	102134	Schiffsjunge
553180	111775	The Queen
553180	134787	Frau Boergel
553180	175283	
553180	189831	
553180	248062	Frau
553180	275164	
553180	294589	
553180	302683	
553180	308239	Klara Linse
553180	313335	
553180	352222	
553181	409958	Freundin (2000)/Evelyn Thoma 
553182	27841	Sexy mugger
553183	243724	Young Anna
553183	412066	Herself (1999-2000)
553184	203696	Ali's girl
553184	347852	Partygoer
553185	173754	
553186	278318	Gilda/Voice wife of Ceprano)
553187	181255	Verpleegster 2
553187	278318	Wife of Ceprano
553187	390242	Barbara Alberts-Fischer (1999
553188	109560	The girl
553188	394196	Deniz
553189	142283	
553189	349012	
553190	364302	Sexy woman
553191	324483	Olga
553192	170228	Herself
553193	163997	
553193	261912	
553194	367073	Munchkin
553195	127051	Frau im Dirndl
553196	194663	Roxie
553196	248669	Sarah Falls
553196	275453	Emma's Friend
553197	268442	Berginella, Brambilla
553197	308689	Olivia
553198	84085	La préposée aux cabines
553199	15271	Gennie
553199	23871	
553199	32267	Marguerite, the gypsy girl
553199	67206	
553199	91266	
553199	132862	
553199	156562	Simone
553199	187509	Arlette Leguignon
553199	319804	
553200	376972	Nora enfant
553202	377736	Marilène
553203	214078	Rose Dionne, 11 yrs.
553204	272927	Hooker
553205	272927	Hooker
553206	56501	
553206	84340	
553207	345288	Employée maigre
553208	42311	The Chest
553209	198158	Bogdana
553210	247970	Khana, 12 Years
553211	252803	Lena
553212	43013	
553212	63347	
553212	139690	Valya
553213	265765	Diana
553214	123127	Herself
553214	149806	Herself (horse)
553214	374457	Rakhita
553215	307536	Allison Waters
553216	192688	Ms. Hozuni
553217	190552	Herself - Lady Bess the Horse
553218	219819	Mary-Fran Frabreze
553218	291825	Pollard Child
553219	384118	Roberta (1998)
553219	400445	Lucy
553219	402456	Young Guida
553220	68351	First Flirt Girl
553221	396610	
553222	260974	Dama texto
553223	118755	Extasy
553224	407138	Herself - Contestant
553225	71519	Florence
553225	132864	Rolande de Raconval
553225	218272	Lucette
553225	234744	Martine
553225	254106	La maîtresse
553225	291583	Geneviève
553225	327547	Mireille
553225	379366	Lyliane Saint-Romans
553225	384887	Louise
553225	389595	Anne-Isabelle de Sarans
553225	396817	Rose Chambarcaud
553225	408651	Juliette Fradasse
553226	32027	Marion
553226	218901	Aline
553226	250723	Herself
553227	55404	
553227	91726	
553227	346542	Christine
553227	365812	Karine
553227	376889	
553228	26283	
553229	33237	
553229	119247	
553229	134912	Anita
553229	140311	Fürstin Blawazka
553229	228207	
553229	277464	Claire's Mother
553229	312204	
553230	408291	Babsi
553231	43114	
553231	84821	
553231	226706	
553231	322131	Villanyszámlás
553232	383441	
553233	332390	Vysetrovatel
553234	76092	
553235	2566	Mrs. David Dean
553235	5725	
553235	12163	
553235	17511	Marthy
553235	21532	
553235	35580	Mary DeLacy
553235	40160	
553235	44079	
553235	45928	Señora Castillo
553235	46244	Mrs. Sturgis
553235	46394	Mrs. Janeway
553235	46835	A nun
553235	46848	
553235	46997	Patsy's mom
553235	49608	
553235	54573	Mrs. Buxom
553235	55582	Mrs. Chedsoye
553235	61608	
553235	64413	Lady Catherine "Kitty" Cheney
553235	64485	Aunt Ray
553235	64882	
553235	66317	Nanny
553235	69407	Elanora
553235	72293	
553235	72632	
553235	73492	Mrs. Brice
553235	75514	The Mother
553235	88002	
553235	94140	Duchess de Alvia
553235	99308	Hilda Crosby, An Unscrupulous
553235	100865	Alice Gray
553235	101032	
553235	105416	
553235	106631	Mrs. Lowe
553235	109435	Mrs. Kane
553235	111904	Mrs. Price
553235	112536	
553235	112585	Jezebel
553235	113749	Mrs.O'Neil
553235	115263	Leo's Mother
553235	116691	Mother
553235	117257	Dona Luisa
553235	120213	
553235	124083	Lady Rens
553235	126059	Madame Esmond Warrington
553235	127544	Martha Vinton
553235	128107	
553235	131670	Mrs. Emmeline Shelby
553235	132337	
553235	133946	Mrs. Hilton
553235	138245	Mrs. Claveloux
553235	141460	
553235	143365	Madame Cervanez
553235	145925	
553235	149383	The Squire's Wife
553235	154955	Mrs. Warrington
553235	156494	Mrs. Jacob Schmittlap
553235	157686	Doña Generosa
553235	157694	
553235	158989	
553235	159681	
553235	163281	Prologue
553235	166071	Sara Rabinowitz
553235	170616	Mrs. Whitmore
553235	177231	Mrs. McKaye
553235	183761	Mrs. 'Ma' Crandall
553235	184092	
553235	185439	
553235	189936	
553235	190449	
553235	190753	Madame Berthelot
553235	191905	
553235	191968	Mrs. Welcome
553235	192140	Mrs. Goode
553235	193787	Martha True
553235	195469	Mrs. Walters
553235	199402	Rose, Floriot's Servant
553235	210599	Mary, Professor Scott's Sweet
553235	214150	Mrs. Gray
553235	214151	Mrs. Knobhill
553235	215977	Mrs. Jorny
553235	217441	Antonia Bacigalupi
553235	218516	Mercedes
553235	220061	
553235	239535	
553235	241626	
553235	252296	
553235	254588	Natalie Storm
553235	258753	
553235	263530	Mrs. Elton Gower
553235	265089	Granny
553235	265501	
553235	272894	
553235	274851	
553235	275697	Nini
553235	279369	Aunt Julie
553235	281773	Widow Kelly
553235	281774	Widow Kathleen Wilson
553235	282669	Mother
553235	285061	
553235	286384	
553235	286700	
553235	289556	Citizens Committee member
553235	289581	Rosie Nell
553235	290916	Boorman's Wife
553235	291726	Kealani
553235	293165	Judith Cree
553235	295315	Madame Vallon
553235	302366	Alicia Queed
553235	303479	Undetermined Role
553235	304379	Wardrobe Mistress
553235	304936	
553235	304973	Aunt Lydia
553235	310328	Mrs. Avery
553235	310799	Mrs. MacDonald
553235	312665	
553235	314773	
553235	314774	Undetermined Role
553235	315729	Queen of Urania
553235	316329	Mrs. McPherson
553235	329808	
553235	331154	My Wife
553235	332076	Mrs. Morgan
553235	334351	Granny Spelvin
553235	337493	
553235	342017	Mrs. Feverill
553235	342679	Martha
553235	342982	Madame Van Rycke
553235	354732	
553235	358970	Elizabeth Stuyvesant Whitney
553235	358971	Peggy's Mother
553235	362246	Madame O'Donnelly
553235	362674	The Landlady
553235	363704	Jim's Mother
553235	364274	Mrs. Munroe
553235	366355	Mary Allen
553235	367757	Grandmother America
553235	368021	Momba
553235	371051	Archduchess
553236	141201	
553237	50823	
553237	204991	Chaya
553237	252787	
553237	373869	Yudith
553238	167033	The queen
553239	324795	A Child
553240	8243	Sophia
553240	148285	Mrs. Kramer
553240	222598	
553240	251236	Jim's Wife
553241	64660	Aerial Hoops
553242	346346	Violet's friend
553243	49196	
553243	191340	Joanna
553243	214315	
553243	292275	Herman the Car
553243	384636	Julia
553243	394775	Marie Tan
553244	264205	Priestess 3
553245	332163	ELC
553246	109264	Turista 2
553247	261729	Représentant du rectorat
553248	324526	Tania
553249	1149	
553250	249030	
553251	194110	Spider
553252	43207	Juliet
553252	128946	
553252	134764	Czaring
553252	310461	Friggia
553253	33	Beth Locke
553253	4536	Susan Bunwell
553253	5643	Lucy Boxwell
553253	7982	Monica Bloom
553253	26350	Laura Jackson
553253	41876	Laurie
553253	43432	Margie
553253	45688	Femme au Hot-Dog
553253	51934	Angela
553253	69391	Chuck's Mother
553253	103309	Claire Powell
553253	133624	Lucille
553253	141378	Florence Chadwick
553253	141536	Woman in Van
553253	185900	Personality #1
553253	191500	Secrétaire
553253	206159	Jan Atkinson
553253	228448	Claire, Receptionist
553253	263235	Tracy Hunt
553253	266166	Miss Brooks
553253	273260	Doria Reagan
553253	310963	Lois
553253	311491	
553253	314763	Kimberly Touches
553253	317812	Sunglasses Woman
553253	342618	Model
553253	342690	Mai
553253	358701	Junior Partner's Wife
553253	378735	Monique
553253	387058	Vince's wife
553254	124847	
553256	12372	
553257	112888	
553258	288992	
553259	57289	Petite fille
553260	1293	Marie
553261	57289	Petite fille
553262	154937	Baba
553263	144195	Lisa
553264	104752	Greek entry (5th place)
553264	171050	Marsha
553264	233577	Woman Hostage
553265	48201	
553266	161982	The Model
553266	254034	
553266	346689	Alma Vargas
553266	355879	Ingrid
553266	409001	Olympe
553267	23720	
553267	99805	Anne-Marie Guéret
553267	120670	Désirée Delobelle
553267	140282	Héléna
553267	148644	
553267	175674	
553267	240477	
553267	356370	La jeune danseuse
553268	94241	Mme. Lebourcier
553269	219018	Rose
553270	354658	L'habilleuse
553271	34610	Herself
553271	392463	Herself (Series 3) (2004)
553272	47946	Jenine Williams
553272	49231	Clare Hampton
553272	139461	Alice
553272	203286	Lisa
553272	246214	Mandy
553272	275294	Clare
553272	391774	Lisa Kendall
553272	402197	Tracey Belman (1983)
553272	403244	Alexandra Lindsay
553273	92490	Morgan
553273	276429	Sister Bliss
553273	295481	Lauren
553273	329577	Herself
553273	361535	Gypsy Woman
553274	50869	Pineapple
553275	362512	Choir Member
553276	338225	Winifred
553277	65214	
553278	132892	
553279	146856	
553280	126551	Dahlia
553280	259271	Kelly
553280	261977	Chrisie
553281	149258	Prostitute
553281	231099	Sheriff Lady
553281	329915	Marcia
553282	25843	Thelma
553283	330757	Passenger
553284	37334	Waitress
553284	297365	Phyllis Powers
553284	367970	Goldwyn Girl
553285	38379	Caitlan Palmer
553286	35733	Mary Hayes
553286	52207	Jill Panniford
553286	71857	Molly Roarke
553286	87820	Ida Magnus Reuter
553286	103235	Shingled Lady
553286	107580	Blackie Anderway/Blackie's Da
553286	127075	Martha Huggins
553286	160880	Margit Brandt
553286	162342	Mrs. Albert Foster (neighbor)
553286	175812	Norah Kerr
553286	185830	Catherine Apley
553286	194379	Nina Grant
553286	195590	Cecily Harrington
553286	203534	Jill Lawrence
553286	212690	Mary Rowe
553286	264447	Yvonne Chanel
553286	304805	She
553286	309872	Sarah Barton
553286	321605	Elizabeth Robinson
553286	330709	Ethel
553286	333095	Tilly Welwyn
553287	189519	Roselyn Tyler
553287	193370	Yuni
553287	296657	Eleanor Shackleton
553287	392808	Ellen McGillvray
553288	55690	Hand Maiden
553288	55693	Bridget
553288	55714	Funhouse Girl
553289	302175	Nadine
553289	329682	
553290	162935	
553290	222661	
553294	372576	Jeanie Grousley
553294	383385	Tiffany (1986)
553294	405839	Herself (Solid Gold Dancer) (
553295	314459	Anna's Friend
553296	41319	
553297	17861	
553297	58017	Sick Girl
553297	94015	Sarah's assistant
553297	299492	Italian
553297	369910	Jane
553298	266695	Young Kate Clarke
553299	140160	
553300	32941	Reporter at interview
553300	176833	Lacy Chambers
553300	240941	News Anchor
553301	186443	Herself
553301	248601	Herself (vocalist)
553302	229935	
553304	367977	Tangodanseres
553305	278255	Q's Mom
553306	301677	Infant Ricky Chapman
553307	372446	Herself
553308	50869	Pineapple's mother
553309	40072	Bit Part
553310	269045	Receptionist
553311	101991	
553312	314457	Roman Mother
553313	109395	Kassidy's Dresser
553314	71567	Aristocratic woman
553315	188453	'Likes' Girl
553316	195467	Samuel's girl friend
553317	53933	
553317	54472	Spaceknight Dancer
553317	129627	Tara - Southern Bell
553317	204386	Margaret Skinner
553317	390180	Tara
553318	388369	Aunt Fanny Kirrin
553319	383277	Doctor
553320	81604	Wehrmacht girl
553320	111763	Mutter I
553320	142319	Doris' Mutter
553320	376339	
553321	362512	Choir Member
553322	282781	Pierre
553323	176904	Helen Martin
553323	203666	Nancy Cooper
553323	228734	Judy Clark
553323	285276	Peg Jethrow
553323	342810	Diane 'Dee' Hewitt
553323	363899	Margaret Monohan
553324	60428	
553324	88450	
553324	207999	
553324	225829	
553324	259837	
553324	280805	
553324	293907	
553324	309994	(segment "Inostrantsy")
553324	333575	Palagna
553324	370194	
553324	374431	
553324	382821	
553325	78804	Jennifer
553325	110633	Susan
553325	115323	The Stewardess
553325	158345	Pam
553325	182317	Inge
553325	263393	Yvonne Pearl
553325	334336	Angelica
553325	337142	Sarah Williams
553326	188282	Lydia, secretaresse van Adam
553327	4811	
553327	111352	
553327	140203	
553327	243767	Venus
553327	259490	
553327	259678	
553328	65598	
553328	105462	Starlet at Audition #1
553328	322396	Mariana
553328	326298	Margarita
553328	384775	
553329	229248	Rebecca Embrechts
553330	398575	Floris
553331	303763	Herself
553331	303764	Herself
553332	30582	Stephanie
553332	259405	Panelist #1
553333	206259	Woman #2
553333	216810	Tessa
553334	13596	Slaygirl
553334	399974	Calypso
553335	156692	
553336	26981	Militant
553337	246971	
553338	150400	Girl on Street
553339	295819	
553340	229236	Shower Girl
553341	137745	Turid
553342	231186	Marta's Sister
553343	51688	
553343	56927	Princess Woronzoff
553343	263626	Francoise
553344	137910	Lady
553344	399485	Suzanne Legros
553345	726	Herself
553345	732	Herself
553345	26696	Nara
553345	28309	Narrator
553345	33032	Herself
553345	33033	Herself
553345	46755	Herself
553345	73137	Dr. Sonia Schroeder
553345	73575	Angela
553345	75839	Waters
553345	84854	Red Haired Lady
553345	92514	Sister Hyde
553345	92573	Girl dancing in opening credi
553345	115251	Herself
553345	120574	Zora
553345	147648	
553345	160299	Herself
553345	161753	Herself
553345	168549	Dona Antonia
553345	190223	Linda James
553345	194139	Nikki Bell
553345	210481	Realty Agent
553345	212614	Noira, Waitress
553345	224024	Francesca Bellini
553345	232115	Barbara
553345	238749	Katherine White
553345	241536	Nupondi
553345	252385	Harry
553345	262741	Kari
553345	288720	Barmaid
553345	293643	Queen of Evil
553345	295636	Herself (interviewee)
553345	316133	Tana
553345	328078	Joan Poole
553345	328188	Herself
553345	332065	Paula Caplan
553345	337999	Nurse Trotter
553345	344632	La ragazza
553345	376822	Adelita
553345	380750	Joan Carolinian
553345	385824	Abigail Abernathy (1984)
553346	381449	Breakfast Travel Reporter
553347	3364	Lány
553347	237169	
553348	3055	Herself - Performer: 'Bellevi
553348	99709	
553348	398595	Sarah Greenberg
553349	106802	Barista
553349	390497	Herself (1st Edition)
553350	387429	Trine Svendsen #1
553351	387621	Laura Rengifo de Ruiz Montero
553352	92813	Locutora de radio
553352	205071	Madre
553353	186897	Sängerin im TV/Singer on TV
553354	392649	Host (1997-1998)
553355	389233	Lyda Catherine Martinez (2003
553356	31715	Miss Valdez
553356	40533	Maria
553356	66589	Griselda Fernandez
553356	79408	Eva
553356	81117	Court translator
553356	92865	Mother
553356	108321	
553356	109722	St. Mary's Sister
553356	116799	Amalia
553356	124467	Lenora
553356	164516	Mary
553356	168166	Dr. Martinez
553356	169377	Kate
553356	176828	Sonia
553356	190047	Lois
553356	190245	Nurse
553356	194963	Mrs. Quintana
553356	201350	Waitress
553356	219371	Nurse
553356	220682	Elena
553356	245988	Serena's Mother
553356	252449	
553356	293150	Mrs. Santiago
553356	296799	Santa Barbara Judge
553356	297894	Panel Professor
553356	305087	Jackie Kinsella
553356	311038	Woman at Fire
553356	318745	Alita
553356	334235	Nurse
553356	372217	Cashier
553356	389858	Nadia Greco (1990)
553357	64750	Jossie
553358	170919	
553358	211780	Undetermined Role
553359	67510	
553360	405857	Michelle
553361	40012	
553361	195617	
553361	332863	
553361	335793	
553361	337288	
553362	3419	
553362	105888	
553363	287694	Singer
553364	386107	Herself/Celebrity Team
553365	185927	
553366	191054	Paula
553366	193069	Beatriz
553367	390745	Rosa María Henao
553367	396843	Maria Arboleda
553367	399900	Totoya (Eduardo's Girlfriend)
553368	114873	Dancer: Escuela Flamenca Mati
553369	130666	
553370	26777	Harper's Bazaar Models
553371	407017	Jennifer Doyle
553372	115837	
553372	181361	
553372	181384	
553372	248000	
553372	265335	
553372	315017	
553372	373548	
553373	24626	Herself (actress)
553373	52318	Boudoir Photo Girl
553373	91867	
553373	104778	Spanish entry (8th place)
553373	125494	
553373	235922	Susan
553373	277070	Rosie Valentine
553373	364207	Samala
553373	400341	Herself (2002-2003)
553374	360251	Heiress
553375	394414	Janessa
553376	91161	Doris, Debbie's Mother
553377	56575	
553378	214984	Martha at age 10
553379	301077	FBI Agent Anita (Counterintel
553379	400236	Rachel Gannon (#1) (1992-1995
553380	377038	Actrice tarmushienne
553381	238601	Big Tammy Edwards
553382	14922	
553383	390443	Fayna
553383	393036	Herself (2003)
553383	397457	
553384	33487	Ella
553385	317194	Jody
553386	130919	Magd
553386	184505	Pflegerin
553386	189696	
553386	325555	Frau Frühwein
553386	336531	Großmutter
553386	361042	
553386	369406	
553386	399503	
553387	16221	Frau Probst
553387	17524	Bertha
553387	93422	
553387	168432	
553387	189617	
553387	210071	Sophie
553387	223230	
553387	225181	Mrs. Dittmar
553387	225307	
553387	254667	
553387	309045	
553387	361411	Wantje
553388	336498	1. Verkäuferin
553389	353516	
553390	35094	
553390	63820	
553390	103748	Leila Assunção
553390	104490	
553390	104491	Rose
553390	133014	
553390	148480	Marieta
553390	161653	Juliana
553390	214632	
553390	248775	
553390	284087	Cristina Lemos
553390	293331	
553390	349673	Madalena
553390	379450	Rutinha
553390	381523	Angela
553390	384991	Glorinha
553390	385853	Beatriz 'Bia' Lopes Jordão
553390	385947	Irene
553390	388998	
553390	390751	Vânia Trabuco de Moraes
553390	391609	Karina
553390	393615	Rosana
553390	396610	Catarina (1999)
553390	397541	Regina
553390	399481	Mimi
553390	400097	Valquíria
553390	401900	Flávia Nogueira Dantas
553390	404799	Laura
553390	404803	
553390	408550	Marisa Kundera
553390	409130	1990
553390	409814	Telma
553390	409975	Verônica
553390	410245	Cassandra
553390	412179	Gilda
553391	491	
553391	21407	Frau Maurer
553391	75933	Helene
553391	90649	Helga, seine Tochter
553391	102880	
553391	119271	Sister Irene
553391	137188	Edith Wegener
553391	142022	Eva
553391	142097	Renate
553391	144067	Monika Knauer
553391	159252	Irene Rhode
553391	163078	Elisabeth
553391	169486	Irene Rhode
553391	169803	Carmencita
553391	172066	
553391	176545	Erika Badke
553391	210101	Helga
553391	219279	Christine Hackrath
553391	225138	Fräulein König
553391	250413	Hanna Osterwald
553391	259344	Natalja
553391	291083	Nancy Masterson
553391	332805	Irene Rodhe
553391	351851	Elisabeth
553391	358543	Marianne
553391	376135	Frau Burki
553391	384450	Jacqueline
553392	222592	Fat Charwoman
553393	27171	Megan Burnett
553394	26844	Ma Peabody
553394	41215	Elga
553394	52635	Mrs. Carver
553394	78882	Mrs. Hocker
553394	106628	Rachel
553394	131777	Ruby Kirshner
553394	131805	Ruby Kirshner
553394	154709	Foreign Woman
553394	187244	Mrs. Durand
553394	203641	Female Patient
553394	231037	Mrs. Ferguson
553394	236151	Mrs. Schneider
553394	290906	Female Dog Walker
553394	299773	Woman
553394	313064	Clara Jones
553394	330715	Martha
553394	336475	Eunice
553394	341985	Mrs. Miller
553394	368949	Housewife
553394	388497	Miss Tuttle (1981-1982)
553394	389858	Abigail (1987)
553395	310649	Colleen
553396	44046	Dance Teacher/Choreographer
553396	192411	Amy March
553396	319166	Anna Roosevelt/Sis
553396	364368	Girl
553396	390771	Robin Lang Holden Fletcher #1
553396	396088	Barbara Sterling #3 (1965-197
553396	399836	Gail Lucas
553396	399838	Paula
553396	411811	Lisha Steele #1 (1959)
553397	35108	Herself
553397	58177	
553397	61335	Herself
553397	83416	Herself
553397	88804	Herself
553397	101593	Herself (cinema novo segment)
553397	124235	
553397	148482	
553397	205693	Herself
553397	269011	Rosa
553397	288209	
553398	275276	
553398	390509	Suzana
553398	407856	
553398	410103	Betinha
553399	139640	
553399	173084	Christina Livanou
553399	350796	
553399	379618	
553399	406476	
553400	176499	Wally's neighbor
553401	303837	Neighbor
553402	155638	Spanischlehrerin
553403	48823	
553403	96329	Silva
553403	96358	
553403	121335	
553403	225397	
553403	233617	
553403	265159	
553403	281695	
553403	380442	Mónica
553403	380514	
553403	382946	Anabella
553403	382951	
553403	383206	
553403	384782	
553403	385852	
553403	387126	
553403	389235	Adriana
553403	391419	
553403	392609	Silvina
553403	392751	
553403	395851	
553403	396180	
553403	396335	
553403	397571	
553403	397575	
553403	397589	Paula
553403	397623	Nieves
553403	398165	
553403	399523	
553403	401913	
553403	404993	
553403	405917	
553403	410326	
553403	412311	
553404	345026	La râleuse de Morocco Tours
553405	365970	Memory
553406	195343	Woman hygiene class
553407	8023	Linda
553407	51883	Mary
553407	80904	Jared Secretary
553407	87234	Lila
553407	121831	Beth
553407	185758	Zipporah
553407	193486	Dancer
553407	197016	Gemma
553407	233792	Fiona
553407	266200	Julia
553407	290375	Nurse
553407	338157	Julie
553407	399699	Cindy (1991-1992)
553408	45774	Thuy
553409	46969	
553409	51360	
553409	86334	
553409	124201	La madre superiora
553409	125360	Carmelina Munoz, sua madre
553409	199921	La direttrice
553409	230080	La madre superiora
553409	234564	Maria Petrovna Dunaev
553409	243634	Natalia
553409	255899	La signora Rossati, madre di 
553409	256693	Zia Sofia
553409	269074	
553409	276443	
553409	307067	La contessa
553409	328210	La direttrice dell'orfanotrof
553409	341831	Bice, madre di Silvia
553409	342103	Madre di Giulio
553410	212334	Herself - Participant/Perform
553411	290644	Leni Tanner
553412	103077	Lehrerin
553412	121050	
553412	289894	
553413	7987	Bar Patron
553413	184469	Park extra
553414	44830	Girl
553414	75504	Girl at Motel
553415	45578	
553415	46169	Toothless Girl
553415	150974	1st Millinery Girl
553415	323020	Laura
553416	86727	Conseillère de Maître Couturi
553416	105835	Presentatrice
553417	24865	
553417	157856	
553418	75641	
553418	244875	
553418	404849	Miss Carter
553419	228449	Cool Girl
553420	6569	Violette
553420	17471	La bonne de l'hôtel
553420	23530	
553420	45197	Yolande de Faverges
553420	69761	La belle-soeur/The sister-in-
553420	84475	La mère de Marc
553420	133172	Ursula
553420	155082	Mme Bellony
553420	156299	
553420	163819	Bette
553420	201114	
553420	235841	
553420	268826	
553420	292367	La servante
553420	293850	Mother
553420	309689	Juliette
553420	336554	Nurse
553420	345422	Maryse Bellier
553420	345554	Yvonne
553420	346606	La mère de Sandrine
553420	352135	
553420	377464	Mrs. Delacourt
553420	385609	
553420	393400	
553420	396924	
553420	408885	Avocat 8
553421	74747	
553422	396126	Vick
553422	401897	Verônica
553423	132951	Vicine di casa
553424	2382	Mrs. Barts
553424	21157	Housekeeper Wife
553424	81117	Carter court clerk
553424	140179	
553424	148344	
553424	190332	Marvins Wife
553424	191065	Woman in House Coat
553424	191755	Miss Nichols
553424	205658	Saleslady
553424	241120	Selena Izard
553424	244809	Secretary
553424	307898	Teller
553424	322631	Woman #1
553424	340540	Grandmother
553425	139222	Student #1
553426	63635	Adriana
553426	149549	Maria
553426	264271	
553426	327446	
553427	215691	Miss Rhode Island USA
553428	5470	Juliette
553428	35351	
553428	58743	Cop
553428	67248	Julie
553429	394359	
553430	14967	
553430	41837	
553430	99065	
553430	113446	
553430	162036	
553430	205570	
553430	293438	
553430	328892	
553430	376411	Maria
553431	33444	Erminia detta "Pepespezie"
553431	53160	Bianca Martini, sua figlia
553431	87793	
553431	310889	
553431	346383	
553432	10193	
553433	162143	Una soubrettina
553434	1366	Regina
553434	10528	
553434	11973	Esther
553434	14866	
553434	20870	Clio
553434	22662	
553434	34478	
553434	52187	
553434	53016	Milena
553434	54379	Desdemona (segment "Che cosa 
553434	54810	
553434	58845	Olympia
553434	68980	Beatrice
553434	70940	Laurie
553434	71905	Signora Bonelli
553434	74878	
553434	77421	Catherine de Medicis
553434	85966	
553434	89572	Laura
553434	96513	
553434	97568	Jocasta's Maid
553434	97836	
553434	102307	
553434	102616	Dottoressa Trebbi
553434	102625	
553434	109974	Tisa Borghi
553434	110758	Suora
553434	111005	Leonore
553434	111365	
553434	119071	Presidente del tribunale
553434	121427	Leonide
553434	122728	
553434	123719	Felicia
553434	132962	Aida
553434	162065	Herself
553434	164216	Linda Moreno
553434	165423	Lardy
553434	166667	Mademoiselle von Planta
553434	183148	The Painter
553434	193440	Madame Hanska
553434	197475	Ludovica
553434	200077	
553434	202955	Sister
553434	205674	Giuseppa
553434	205965	
553434	217877	
553434	229613	Franco's Mother
553434	236164	Keli
553434	236543	Virginia Capacelli
553434	236602	Jacqueline
553434	249902	Herself
553434	251014	Hortense
553434	255119	Signora Bondi
553434	259704	
553434	266026	Judge
553434	268847	Contessa Celi Sanguineti
553434	270326	The Wife from Bath
553434	273573	Anna Fosatti
553434	277587	Sister Valida
553434	278953	
553434	279294	The 'Diva' (segment "la ricot
553434	281808	
553434	282118	Mildred Harrington
553434	286418	Signora Vaccari
553434	289335	Zigaina
553434	293323	
553434	294541	
553434	316804	A Tourist (segment "La terra 
553434	328105	Emilia, the servant
553434	342098	
553434	344601	Passagera corriera
553434	344631	Miss Blandish
553434	345023	
553434	345404	Madame Carrabo
553434	351787	Mme Poli
553434	353144	Laura
553434	356003	Therese
553434	364879	Herself
553434	383815	La Vivandière
553434	411400	Maria
553435	55968	
553436	38396	
553436	49678	
553436	66861	Signora Mantegna
553436	86820	
553436	90004	Nicolina
553436	158767	La sorvegliante
553436	158770	La signora Dubois
553436	160054	
553436	363261	Hotel-Keeper
553436	380989	Candlewick's mother
553436	392431	
553436	403118	
553437	392787	
553438	50400	
553438	62994	
553438	80280	
553438	82342	
553438	108837	
553438	143571	Lucy Little
553438	169470	Maria
553438	171092	Dottie
553438	189315	Lucy Little
553438	241525	Alma
553438	264727	Herself
553438	264734	
553438	264751	
553438	264837	
553438	264910	Herself
553438	271213	Wisp/Rainbow Brite
553438	321565	
553438	368033	The Ballerina ('The Cobbler a
553438	390003	Dotty Dog
553438	390004	Dotty Dog
553438	395758	Lucy Little
553438	398717	Additional Voices
553438	402800	Wisp/Rainbow Brite
553438	403907	Alisa Carmicheal (2002)
553439	14380	Margherita
553440	329388	
553440	354824	Nurse in Chicago
553441	319001	Featured Player
553442	219595	
553443	18951	
553443	106745	
553443	270847	
553443	300785	
553443	319447	
553443	349538	Sandra Fontana
553443	353083	
553444	40533	Jenna
553444	46660	
553444	55626	Carrie White
553444	64417	
553444	66335	Effie
553444	114957	Alice King
553444	128583	Janet Webber
553444	185084	Lolly Ann Summers
553444	196020	Mary
553444	208527	May Dove Canady
553444	253059	Wilhemina
553444	259969	Bonnie Dee Peacock
553444	315444	Maria
553444	335757	Nell Barrows
553444	349968	Caitlin
553445	7396	Veronica Huebling
553445	188332	Lilly Adair
553446	65914	Mother in Department Store
553446	390523	Fay Lucas (1982-1987)
553446	399561	Sonia
553447	311323	Medicine Woman
553448	241772	Danielle
553448	278469	Darlene
553449	10963	Carmel
553449	34513	
553449	187753	Carmi
553450	13089	
553450	18951	
553450	21591	
553450	57279	
553450	85692	Une carmélite
553450	114332	Giovanna, Inzerna's lover
553450	127984	
553450	187928	Isabella Fieschi
553450	201024	Christiane
553450	235026	Queen Patricia
553450	235776	Orietta Fantoni
553450	243191	Marcia
553450	279036	Rita Di Salvio
553450	287224	Samoa
553450	287225	Samoa
553450	324610	Annie
553450	328873	Roberta
553450	336738	Rayon de Lune
553450	344637	Ruth Collins
553450	348185	Rita
553451	34474	
553451	349537	
553452	118363	Bad Girl #7
553453	84186	
553454	400698	Troupe du Palace
553455	366730	
553456	331249	Keisha
553457	196291	Teen Gigi
553458	73850	Amy Fulton
553458	246285	Jane Alvarez
553459	78862	Natalie, Maid
553460	328555	Monique Crenshaw
553461	385299	Josephina Rafael (1968-????)
553462	113416	Fat woman
553462	248440	
553462	348386	Woman Doctor
553463	186794	
553464	66582	Ticket Agent
553465	202283	Jacob's Mother
553466	57061	Herself
553467	23932	Herself
553467	390144	Lightning (1992-2000)
553468	72971	Catherine
553468	350199	1st Vampire
553468	374638	Angvisa Girl
553469	193716	Flossy
553470	279152	Jennifer Keene
553470	319283	Jennifer
553470	362655	Girl Victim
553471	18544	Mayor's Aide
553472	385266	Bank Patron
553473	123030	Sky
553474	313479	Ewok
553475	100211	Pet Bettanny
553476	1269	
553476	1290	
553476	56010	Specialty act
553476	97395	Herself
553476	163625	Strip Club Waitress
553476	245237	Amy Ziff, Elizabeth Ziff, Aly
553476	251296	Enfant
553476	270352	Le transsexuel
553476	274427	Wedding Party in Philadelphia
553477	103459	
553478	157840	Young Laurie
553479	235839	
553480	71314	Laura
553480	273417	
553481	20625	Extra
553481	73475	Servant
553481	186795	Cook at Robie's Ranch
553481	213976	Plump Girl
553481	218330	Martha Bottello
553481	230693	Amazon
553481	245414	Fat squaw
553481	292470	Dowager
553481	308079	Women's Quartette
553481	331633	Woman
553481	371887	Stout Dowager
553482	390257	
553483	312977	Joy
553483	380526	Shell
553483	407815	Herself (Single) (2001)
553484	243766	Woman on Telephone
553485	133240	Herself - Tennis Player
553486	81079	Dominique
553486	139642	Agent Ito
553486	142530	Melissa Moran
553486	194136	Melissa
553486	196844	Beatrice
553486	197435	Cameron
553486	241782	Brook
553486	316288	Becky Hathaway
553486	316330	Ruby
553486	329515	Rhonda
553487	334621	Girl in park (in Wednesday ep
553488	325786	
553489	354764	Alberte
553490	53082	Maria
553491	99081	Principal Boy
553491	241898	Ballerina
553491	247592	
553491	327431	Spirit
553492	162893	Audrey
553492	219773	Nurse Mary
553493	373985	
553494	281594	
553495	103660	Jeannette
553495	224899	
553496	69895	NASA Public Relations
553497	32270	Anya
553497	63856	Dora
553497	65613	
553497	160724	Iris
553497	253246	Anne Roland
553497	253999	Auto stoppeuse 1
553497	345146	Marie
553497	346660	Léa
553497	377479	Patricia
553497	399756	Marie
553497	402720	Laetitia
553497	402885	Nadège Semaille
553498	226295	Lid van meisjesbende
553499	194836	
553500	245484	Girl
553501	190230	Gwen's Daughter
553502	55877	
553502	377255	Madame Corbidas
553503	307883	
553504	63856	La concierge
553506	2078	Hottie 1
553507	323222	
553507	404194	Nina (2001-)
553507	411233	Tamara de Vries
553508	51803	Melle Cortier
553508	74953	Céline
553508	202516	Madeleine Malraux
553508	346515	Manon Gallet
553508	376936	
553508	379655	Leila
553508	380365	Leila
553509	170299	Katrien
553509	193896	
553509	320071	Jessica
553509	356101	Linda
553509	378951	Ellen Vermeer
553509	389827	Wilma van Hall
553509	408764	Astrid van der Linden, Hoofd 
553509	411943	Liesbeth
553510	374198	Tiller girl
553511	327030	Vriendin
553511	354088	Adrienne
553512	52708	Mimi
553513	145496	
553514	42928	
553515	67755	The woman
553516	44672	
553516	213697	Johanna
553517	133475	Rebel Room Dancers
553518	347035	(segment "A Murder Out of Jea
553519	115102	
553519	191471	Rothaarige
553519	264220	Psychoanalytikerin Ruth Mack
553519	290185	
553519	392669	Hanna Felber
553519	404454	Fanny Strobel
553520	407660	Kat
553521	86809	Rachel Roundtree
553522	142084	Herself (young talent's coach
553523	364910	
553523	405760	Spinnwebe
553524	290400	Student
553525	248235	
553526	228025	
553526	238125	
553527	80645	
553528	390145	Gladiator 'Glacier' (1996)
553529	142744	Yvonne
553529	311877	Loni
553530	1488	Herself: Producer, accepting 
553531	240615	Mum
553532	292213	Sian
553533	7408	The Princess Royal
553533	99287	Arundel's Daughter
553534	312938	Margaret
553535	125868	Mme. de Bruhl
553535	217941	Georgina Vesey
553535	279155	Cynthia Sutton
553535	342972	The Model
553536	5885	Millie Arnold
553536	127311	Dr Lin Pascoe
553536	160059	Alison Hayes
553536	178020	Barbara Ives
553536	332149	Marilyn Forbes
553536	384071	Det. Supt. .Rose Penfold
553536	385627	Mrs. Andriadis (segment film 
553536	396009	Cissie Mapes
553536	396111	Ruth Jackson
553536	407656	Clare
553537	107052	Marie de Brisson
553537	107417	Elsie Randall
553537	232859	Ailene Pannarth
553537	267369	Joan Harding
553537	301253	Mary Morstan
553537	313369	Lady Susan Loman
553537	368621	Beatrice Elton
553538	48896	Duchess Warwick
553539	39157	Model
553539	346830	Business Woman
553540	35782	Young Laura
553541	78641	Darby Templeton
553541	284904	Bit Part
553541	316945	Miriam Burnett
553541	343137	Pamela
553541	372437	Bit Part
553542	185552	Sandy Clark
553543	232839	Journalist
553544	381514	Herself (2002)
553545	158243	Dr. Mabel Ross
553546	134694	Mrs. Hartshorn
553546	199679	Mrs. Hewitt
553546	235694	Mrs. Brown
553546	368449	Emma Hambler
553547	373216	Model
553548	16755	
553549	131241	Drew's Mother
553550	250642	
553551	365169	Hotel Custodian
553552	244408	Indian Children
553553	387580	Cathy
553554	366061	Darlene
553555	177438	Mary Warren
553556	340033	Diana
553557	407139	Mayor Margaret Rutledge
553558	384097	Sister Diane Meadows/Gallaghe
553558	405067	Sharon Wilkes
553559	23006	Adele Rossignol
553559	289407	Irene Adler
553559	367636	Rose
553560	33742	One of 'The Thirty Women'
553560	55526	City Clerk
553560	116981	
553560	158319	Goody
553560	230316	Night Nurse
553560	276424	Dr. Ellen Baxter
553560	303235	Johnny
553561	20037	Wild Boy
553561	56010	Specialty act
553561	81135	Monique Constance Manin
553562	300070	Themselves
553563	197615	
553564	6086	
553564	59606	Norma Duncan/Nancy Wood
553564	134036	Tsine [Tzine]
553564	190431	Hodel (the blind)
553564	207478	Mrs. Martha Varin
553564	245787	Wanda Mirova
553564	257714	
553564	279636	Rebecca
553564	312913	Jane Adams
553565	37392	Bartender
553565	250380	Joy
553567	245049	
553569	33940	Hounslow Harrier
553570	392971	Vanessa Martínez Aldana
553571	33811	
553571	233081	
553572	350267	
553573	69342	Céline
553573	406030	Chloé (2001-2002)
553573	409535	
553574	119608	Athlete
553574	306341	Athlete
553575	96846	Mother
553575	131438	Dorothy Marcus
553575	190320	Joanna
553576	163919	Lady Rowena
553576	224712	Rosa Budd
553576	302952	
553576	359265	Marthe
553577	7921	Undetermined Role
553578	249621	Bit Part
553579	41393	Girl
553579	159916	Olivia
553579	273423	Girl #2
553579	346405	Vanessa from Season 2
553579	403949	Molloy Simpson
553580	10883	Cassandra
553580	13450	Vivian Todd
553580	174520	Monica Fields
553580	189263	Maxine Lewis
553580	193761	Seven Deadly Sins
553580	235952	Elizabeth
553580	242938	World News Reporter
553580	245241	Deputy
553580	253336	Rosa Westlake
553580	310184	Commanderette Zircon
553580	312347	Gem Vigo
553580	323804	Marla
553580	385594	Diana Farrington (1989-1990)
553580	388237	Gwen Fuller (1986)
553580	411802	Ruth Anne Perkins Williams Br
553581	250376	Social Worker
553582	131988	First Go-Go Dancer
553583	395420	Bernie the Scorekeeper
553584	288315	
553586	223330	Get your Damn hands off me, y
553586	270440	Simone
553587	96817	Isabel Lucy Carlyle
553588	155897	
553588	350191	Balloon making vampire
553589	153186	Narrator
553590	66837	Couple Doing Laundry
553591	116289	Party Guest
553591	185503	Nurse
553592	21313	Girl in Soaked Suit
553592	204673	
553592	231357	
553592	335832	Herself
553593	83184	
553594	388272	Herself/contestant (season 1 
553595	286754	Sampo's mother
553596	92302	Maid
553597	838	
553597	44218	
553599	264352	Prinzessin Elisabeth
553599	368692	Beate Riek
553600	122772	Carla
553600	138392	Julie
553600	184548	Lanie
553600	281470	Carla
553600	318360	Diana 'Sugar' Hill
553601	350814	
553602	233065	Mama Butler
553603	116502	
553603	327585	Oriental Dancer
553604	183400	
553604	240935	Narrator
553605	115269	Women Coalation Diner Patron
553606	305000	Princess Jeneka
553607	172648	
553608	318022	
553609	322	Kelly Reisfeld
553609	3973	Heidi Von Erlach
553609	105859	Mrs. Micholwsky
553609	125303	
553609	156684	Sylvia
553609	179730	Gerda
553609	313673	Corinna Döring
553610	313033	Les collégiennes
553611	313547	Herself
553612	163496	Waitress
553613	211986	Extra 1
553614	75932	Gizi Takacs
553614	134853	
553614	178610	
553615	107350	
553615	324681	
553615	373343	Hausmädchen Suzanne
553616	11116	Herself
553616	126119	Herself
553616	167280	Jewel
553616	390338	Herself (2000- )
553617	204418	Nina Lalinde
553618	213122	Female Reporter
553618	360616	Secretary
553618	363225	Reporter
553618	366834	Peg
553619	302643	Susann
553620	225045	
553620	378380	Mariana
553621	290474	Sarah
553621	394611	Anna
553622	11851	Melanie Tamm
553622	11852	Melanie Tamm
553622	11853	Melanie Tamm
553622	11854	Melanie Tamm
553622	11855	Melanie Tamm
553622	11856	Melanie Tamm
553622	11858	Melanie Tamm
553622	11859	Melanie Tamm
553622	11860	Melanie Tamm
553622	11861	Melanie Tamm
553622	11862	Melanie Tamm
553622	11863	Melanie Tamm
553622	11864	Melanie Tamm
553622	23108	
553622	178724	
553622	396874	(1992)
553622	403209	
553623	381690	Della Laudan (1999-2000 and 2
553623	398160	Della Laudan
553623	398163	Herself
553624	297074	Rose
553625	12603	Elfriede
553625	16560	Anka
553625	44825	Viola Akolk
553625	71304	Frau Storz
553625	126356	
553625	126375	Gisela (segment "Die Prüfung"
553625	138534	
553625	139691	Brigitte Jansen
553625	139833	Königin
553625	140203	Duchessa
553625	156652	
553625	156734	
553625	182596	Hilde
553625	189709	
553625	225115	A Diver
553625	259442	Beate Pfefferkorn
553625	259456	Frau Storch
553625	259490	Ingelore
553625	259505	Frau Zoch
553625	259520	Ursula
553625	259521	Waltraut Stoll
553625	259544	
553625	259562	
553625	259600	
553625	259662	Drogistin
553625	259665	
553625	293549	
553625	308815	Anna Neumann
553625	312642	Marion Elbing
553625	364959	
553625	376422	
553625	381294	
553625	388291	
553625	389381	
553625	404427	Queen Luise
553625	408827	Karin
553626	230233	
553627	257650	Herself (Miss March)
553627	361851	
553628	138907	Gast in Uschis Club
553629	48391	
553630	5802	Black prostitute
553631	1491	Herself - Presenter
553631	2079	
553631	10847	
553631	25834	Tracy Shaw
553631	87797	Carla
553631	97388	Beth Hastings
553631	114642	Baby Doll
553631	127834	Konnie Dugan
553631	131347	Nancy
553631	168586	Miriam Smith
553631	188453	Jasmine 'Jazz' Hampton
553631	190452	Kira Hansen
553631	191760	Defense Attorney
553631	201716	Herself
553631	202325	Kelly
553631	281365	Elana
553631	284013	Herself
553631	320108	Diner
553631	345828	Emmeline
553631	360856	Claudia
553631	363840	Kim
553631	387152	Jacqueline 'Jackie' Deveraux 
553631	398567	Carla Latrell (1996-1997)
553632	338981	Herself
553633	290782	Milena Nitsche
553633	347832	Jule
553634	18743	Zelie
553634	24691	Spanish Kate
553634	32095	
553634	39240	Mrs. Hallam
553634	46689	
553634	47563	
553634	67867	
553634	73437	
553634	74320	
553634	91730	
553634	112002	
553634	137458	Katherine Challoner
553634	145819	
553634	146180	
553634	146328	
553634	186311	La Carmona
553634	190896	Dolores
553634	192053	Elinor Grenville
553634	209375	
553634	213509	Filina
553634	227799	Mrs. Latham
553634	274724	
553634	286198	Mrs. Heath
553634	311754	Undetermined Role
553634	316837	Clara La Joie
553634	327597	Mamma Costello
553634	334345	
553634	346063	Stella Crofton
553634	362451	Countess de Chevigny
553635	401876	Herself
553636	277336	Rhoda Dunbar
553637	314108	Dancer
553638	203957	T.V. Reporter #2
553639	250551	
553640	148716	
553640	201194	
553640	278144	
553641	17576	Dancer
553642	285761	
553643	116002	Awake Student
553644	194497	Hero Orcs, Goblins, Uruks & R
553644	194502	Hero Orc
553644	359935	Helen
553645	249748	Rosine
553646	57757	Dolly
553647	156223	
553647	335938	
553648	31470	Herself (Tour Associate)
553649	47004	Runway Model
553650	202915	Nightclub worker
553651	277011	TV reporter
553652	405073	Nurse at Train
553653	101446	
553653	252154	
553653	346768	Mother
553654	326165	Laurence Pontonnier
553655	184059	
553656	209546	Sushila
553657	162758	
553659	375479	Rychtankova
553660	78849	Drum Majorette
553661	19168	Ginevra Boynton
553661	372505	Alice
553662	391674	Sofia
553662	402504	
553663	263814	Rosa
553665	404078	
553666	229003	
553667	164688	La tante Nique
553668	68370	Louna
553669	55228	
553669	228976	Herself
553669	369874	Figure-Skating commentator
553670	264423	Harem girl
553671	138399	
553672	137494	
553673	166186	Ariane
553674	88453	
553674	132084	
553675	68452	Isandra
553675	71766	Elsa
553675	73158	Madame Genève
553675	88337	
553675	177634	Hallbera
553675	247101	Katrina MacDonald
553676	20141	
553677	19669	Kasszírnõ
553677	182729	Gruber rokona
553677	205804	Ella barátnõje
553678	218341	Dubbist
553679	50006	Village Woman
553680	4396	Sarla's mom
553680	29064	
553680	131181	
553680	227813	
553680	287526	
553681	2617	Herself (Best Supporting Actr
553681	4852	Jaya
553681	4864	Uma
553681	15803	Anamika
553681	17633	
553681	29425	
553681	31424	Krishna
553681	63505	Vasudha
553681	79455	Abhagi
553681	83733	Suprabha Devi
553681	85310	
553681	86643	
553681	90948	
553681	98466	
553681	98526	Shabnam
553681	114747	Mother Nishatbi
553681	122695	
553681	135223	Kusum, 'Guddi'
553681	140665	Sujata Chatterji
553681	145433	Herself (Special appearance)
553681	164925	
553681	165947	
553681	171853	Nandini Raichand
553681	171935	
553681	172539	Jennifer Kapur
553681	179373	Mansi Devi
553681	180233	Archana Gupta
553681	180428	Aarti
553681	200678	Bani
553681	213881	Mili
553681	228697	Geeta
553681	228853	
553681	248947	Rama
553681	254401	
553681	256937	
553681	286496	
553681	299603	Radha
553681	299804	Raat Ki Rani/Rani
553681	301908	Shobha Malhotra
553681	348450	
553681	373903	Mala
553682	4448	Rohan & Anju's mom
553682	18182	
553682	18494	Anju
553682	25554	
553682	58687	
553682	67129	
553682	77666	
553682	86684	
553682	86845	
553682	124298	
553682	125155	
553682	126952	
553682	126970	
553682	131923	
553682	143851	Meena's Chachi
553682	150515	Asha
553682	150861	
553682	152479	
553682	160224	Sumitradevi (Ranjit's wife)
553682	160791	
553682	164880	
553682	170403	
553682	171851	Mary Sullivan
553682	174362	Rama
553682	175950	
553682	176095	
553682	181664	
553682	182338	Ajay's mom
553682	195291	Stella Pinto
553682	201021	Geeta, Tony's mother
553682	201047	Kalavati
553682	226678	
553682	227990	Shanti
553682	270554	
553682	271419	
553682	284781	Gitanjali
553682	317528	
553682	324154	
553682	328229	
553682	344083	
553682	346841	
553682	354978	Mausi
553682	355321	
553682	367223	
553682	411913	Shanno
553683	85373	
553684	241605	Armani Model
553685	6107	
553685	382436	Host
553686	25930	
553687	287685	
553688	172338	Tulsa
553689	18462	Gauri
553689	126940	Roopa
553689	142558	
553689	152694	
553689	201088	Suman
553689	246143	
553689	268567	
553689	322696	
553689	343314	
553689	365200	Herself
553689	394015	
553690	65950	
553691	249140	
553692	50006	Village Woman
553693	76558	Priya
553693	133826	
553693	139999	Dancer (Special Appearance)
553693	225985	
553693	271774	Prof's Admirer
553694	254733	
553695	97644	Ticket Taker
553696	288026	Hema
553697	81272	
553698	168627	Voodoo Priestess
553699	110253	Anjali
553700	172920	Young Maya
553700	233204	Ranjana
553701	4350	
553701	17645	Goddess Padmavathi
553701	19012	
553701	25700	
553701	29198	Rajiv's Wife
553701	35944	Bhabhi
553701	39981	
553701	42442	
553701	58582	
553701	62317	
553701	77078	Pathma
553701	84742	Neelakandan's Mother
553701	90573	Priyamvada
553701	97646	Goddess Padmavathi
553701	124209	
553701	124954	
553701	131940	Kalyani
553701	162658	
553701	164924	
553701	166374	
553701	171503	
553701	174240	Bharathy (grandmother)
553701	175107	
553701	175889	Radha
553701	176165	
553701	179217	Maya Varma
553701	202609	
553701	204384	Arundhathi
553701	207382	Sharda
553701	217132	
553701	226645	Madhu
553701	229963	
553701	251662	Wife of Elder Brother
553701	285169	Vidya
553701	293248	
553701	295119	Sethu's sister-in-law
553701	299603	
553701	313953	
553701	318988	
553701	320177	Suraj's girlfriend
553701	320883	Meenakshi
553701	324141	
553701	329224	
553701	330656	Saraswathi
553701	339759	
553701	349109	
553701	349437	
553701	354315	
553701	373669	
553702	16276	
553702	28718	
553702	42436	Heroine
553702	81998	Kajal
553702	85338	Balakrishna
553702	86628	Laila
553702	86653	
553702	86657	Shalni/Seema
553702	95451	
553702	124952	Neha
553702	164304	
553702	181380	Tanvi
553702	272046	
553702	282543	
553702	297746	
553702	299601	Divya
553702	330978	Prashanth
553702	355328	Kusum
553703	393491	Shinaz
553704	137815	Pinky
553705	380815	Herself
553706	98474	Aditya's Grandmother
553707	130158	Shanti (Veeram's sister-in-la
553707	139399	Rampyari
553707	375997	
553708	4317	
553708	126947	
553708	152498	
553708	207382	
553708	233029	
553708	267410	
553708	285416	
553708	297442	Ratnaprabha
553708	367212	
553708	370415	Menaka
553708	370422	
553709	29081	Little Girl
553710	318029	
553711	140665	
553711	164311	Shobha
553712	279836	Young Woman
553713	83999	Eisha, teenager
553714	203876	
553715	30530	Sandu's mom
553716	333186	Guru Rohini Bhate
553717	35688	Traci at 6 Yrs. Old
553718	43170	Anjali
553718	189473	Party Goer
553719	207036	Bibi Solanki
553719	222317	Voiceover
553719	223741	Mother
553719	223896	Dr. Elizabeth Balraj (Cayahoh
553719	248799	Neeta
553720	86650	
553720	324761	Pinky
553721	43166	Herself
553721	62751	News Reporter
553721	201053	Herself (Special appearance)
553721	390337	Presenter
553721	401582	Herself - Hostess
553722	186841	Hispanic Prostitute
553723	8410	Dancer ('Chal Re Sajan')
553723	62751	Dancer at Ghod Bharai
553723	152697	
553723	159485	Shalimar
553723	171778	
553723	179873	
553723	204403	Speical Appearance
553723	252028	
553723	268563	Sapna
553723	271741	Ritu
553723	344370	
553724	151935	Young Panna
553725	88534	
553725	165391	
553725	228852	
553726	187195	Simran
553727	4509	Vaishali
553727	178002	
553728	22118	Devi
553728	59426	Naina
553728	86684	Jojo
553728	136888	Niharika
553728	245052	Richa
553728	297594	Neha Sengupta
553729	29081	Rukhmani, age 11
553730	184090	Mrs Bhavnani
553731	92317	
553732	16573	Pooja
553732	17015	
553732	44240	Kanu
553732	58362	Pooja
553732	76555	
553732	86648	Pooja Dharamchand
553732	105216	Tanya
553732	135900	
553732	152459	
553732	170909	Dr. Nita
553732	171855	Tina
553732	180726	
553732	226111	
553732	251883	Monica
553732	254737	Pooja
553732	262824	Radha
553732	284779	
553732	285107	Pooja
553732	303026	Pooja
553732	322882	
553732	324154	Tamanna
553732	370945	
553732	370970	
553732	373709	Ajay's mother
553733	2338	Vijay's mom
553733	9324	Vijay Kumar's mother
553733	9844	
553733	14462	
553733	17410	Ruby Fernandes (Lilly's mom)
553733	27774	Madhuri's mom
553733	28385	
553733	34530	Rosy
553733	52631	
553733	81708	
553733	85315	
553733	85440	
553733	85445	Step-Mother
553733	88470	
553733	98524	
553733	124953	Ganga
553733	137987	
553733	143466	
553733	143821	
553733	164300	
553733	167342	Prabhadevi
553733	168369	
553733	175909	
553733	180428	
553733	183432	
553733	204909	Mrs. Khosla
553733	211257	
553733	213710	
553733	232614	(Guest Appearance)
553733	254727	
553733	271712	Jagatpal's sister-in-law
553733	271744	
553733	287391	Ganeshi Prasad's wife
553733	287920	
553733	288544	
553733	324878	
553733	334774	
553733	335781	
553733	344369	Laxmi
553733	375879	
553734	19931	
553735	4438	Amita
553736	98457	Girl
553736	165375	
553736	316579	
553737	323056	
553738	320850	Turni's aunt
553739	84769	Manorama
553739	114747	
553739	152471	
553739	394967	Payal Mehra nee Malhotra
553740	14528	Sirisha
553740	51492	Meena
553740	59999	Indira
553740	63199	Sandhya
553740	163934	Nandini
553740	227211	Parimalam
553740	250603	Asha
553740	262832	
553740	264655	Chandra
553740	283606	Cameo
553740	320841	Padma
553740	328638	Old Lady
553740	330357	Gauri
553740	349797	Sangeetha Varma
553741	21748	Anu/Anita
553741	29026	
553741	36020	Ragini
553741	60068	Poonam
553741	98589	Asha
553741	124150	Vidya
553741	142831	Chandni
553741	148923	
553741	169896	
553741	170972	Kiran Saxena
553741	174904	Shehnaz Lakhnabi/Marya D'Souz
553741	209569	
553741	217152	Shalu Singh
553741	248639	Rajeshwari
553741	285699	Alka
553741	350554	
553741	373133	Dipti
553741	373714	Gayatri
553742	247560	Linda
553743	27515	Jayanthi
553743	140427	Sanjana's daughter
553743	287397	Daughter of Mahesh
553744	4184	Pappy's Sister
553744	17341	
553744	17343	Lakshmi
553744	60532	
553744	243813	Deenamma/Annamma
553744	295122	
553744	357404	Pankajavalli
553745	260176	
553746	117660	Davis' Mom
553747	278223	The Maid Servant
553748	209436	Food Swilling Wench
553749	67480	
553750	319966	Queen Suriyothai
553751	183925	
553751	288286	Kautai
553752	234483	La patronne de l'hôtel Khajur
553753	79240	Shamshad
553754	103185	
553755	161918	Barmaid
553755	226902	Receptionist
553755	396786	Hannah
553756	563	Herself
553756	326187	Singer
553757	62847	Sujata
553757	134349	
553757	179446	
553757	200726	
553757	228884	Kabita alias Gita
553757	271532	
553758	403737	Róise De Búrca
553759	134126	Prison Board official
553759	201245	Gulshan
553759	222563	Sita Gupta
553759	305424	Dr. Farah Khanum
553759	387247	Meena MacKenzie (1993-1996)
553760	43168	Herself (Movie Mag Internatio
553761	208632	Nigel's Posse
553762	223817	Nurse (Maputo)
553763	303406	
553764	124460	Refugee girl
553765	45588	The Prostitute
553765	218341	Veena Verma
553766	98527	
553767	255026	Catherine Tremblay
553768	386745	Cantante
553769	139820	
553770	335492	Sprinter Charlety
553771	546	
553771	246940	
553771	355946	Teacher
553772	19215	
553772	28859	
553772	30998	Karl
553772	36457	
553772	60121	Helga
553772	94729	Lieutenant Governor
553772	110422	
553772	133025	
553772	155744	
553772	225785	
553772	229617	Luigi
553772	237769	
553772	256412	
553772	300785	
553772	317718	
553772	326320	Valerio
553772	336564	
553772	338654	
553772	351585	Una bagnante (segment "Intrig
553772	356214	
553773	311528	
553774	134295	Bit Part
553774	282933	Great Aunt Edith
553775	258503	Fernanda
553776	338648	giovane aritocratica
553777	261570	Jane St. John
553777	390152	Miss Clifford
553777	407414	Beth Anderson
553778	71164	
553779	10484	
553779	14407	
553779	135114	Cecilia
553779	193078	
553779	272284	
553779	302053	
553779	355944	
553780	12691	
553780	14376	Edy
553780	14381	
553780	14837	
553780	23551	
553780	42601	Ambrugia
553780	48298	Olimpia's mother
553780	52875	
553780	63765	Isabella
553780	65114	Il fantasma
553780	66397	Fata Rosa
553780	67516	
553780	72568	Ambassador's wife
553780	78560	
553780	94679	Jacqueline
553780	94733	
553780	102918	Dott.ssa Bonetti
553780	106752	Madonna Sofia
553780	118830	
553780	122227	
553780	133110	Tester
553780	159470	
553780	162060	
553780	205573	Maria Rosa Ceccantoni
553780	208798	Franco's wife
553780	247964	Signora ricca
553780	252305	
553780	269489	Fiore
553780	270814	Maria Innocenza Furlan
553780	293348	
553780	302484	Teresa Ravizza
553780	304473	
553780	313135	
553780	328622	
553780	342110	
553780	351922	
553781	262406	
553782	28771	
553783	215862	Russian Woman
553784	245801	Ragazza balcone
553785	241277	Screaming girl
553786	74785	Nurse
553786	266293	
553786	341166	
553786	349453	Nun
553787	110272	Emilia Botti
553787	141210	Marcia
553787	186363	Kleath's Wife
553788	328985	
553789	183722	Wedding Dancer
553790	103215	Remnar's Daughter #3 (age 4)
553791	103215	Remnar's Daughter #2 (age 7)
553792	103215	Remnar's Daughter #1 (age 10)
553793	31715	Cecilia 'CC' Carol Bloom (age
553793	37800	Herself
553793	41494	Blossom Russo
553793	64560	Herself (performer)
553793	90284	Susan Hollander
553793	96739	Herself
553793	117124	Herself
553793	117125	Herself
553793	172605	Maggie Goldman
553793	177076	Justine Flanner
553793	177626	Petey
553793	267111	Wallace kid
553793	333322	Herself
553793	358820	On-Street Interviewer
553793	369487	Bush Pilot, May Deuce
553793	379309	Brittany Bright
553793	382277	Blossom Russo
553793	398058	Molloy Martin (1990)
553793	398213	Herself
553794	343130	Betty, as a child
553795	14252	Mother Aarons
553795	190431	Drabke [alt. Dropke]
553796	380430	
553797	406318	Sophie
553798	64964	
553799	303517	Amy
553800	247626	
553801	16928	Angel
553802	72402	L'infirmière à domicile
553802	120192	Librarian
553802	122767	Bataclete 5
553802	130724	
553802	260096	
553802	260097	
553802	264742	
553802	306883	
553802	340029	SS woman
553802	345379	La secrétaire de normale
553802	345420	Anita
553802	346583	Friend
553802	353095	
553802	356657	
553802	404466	Herself - Amber's Friend
553802	410607	Assistent
553803	10813	Stephanie
553803	45377	Girl at Bar
553803	191369	Suzie
553803	246286	Internet Cafe Woman
553803	259324	Madeleine Walker
553804	4692	Maria Marcolini
553804	152263	Ana
553805	374126	
553806	129200	Herself
553806	404959	Herself
553807	107481	
553808	115833	
553809	275653	Liliane, Marcelle's friend
553810	188661	
553811	392751	
553812	7448	
553812	19100	
553812	24729	
553812	25117	Louise de Sermèze
553812	52002	Marie-Antoinette
553812	56081	Catherine II
553812	101152	
553812	114831	
553812	115582	
553812	116482	
553812	144316	
553812	168180	
553812	198305	Nilidor
553812	199379	Empress
553812	221777	
553812	224901	
553812	227594	Marie-Antoinette
553812	227596	Marie-Antoinette
553812	237309	
553812	268394	
553812	280522	
553812	281302	
553812	284291	
553812	354912	
553812	354913	
553813	8515	
553814	215148	School girl
553815	33660	
553815	49681	Rita
553815	112642	
553815	348124	
553815	355651	Migia
553816	14361	
553816	38630	Marianella
553816	97094	
553816	157277	
553816	289386	Una stiratrice
553816	301367	
553817	59377	Electric Girl
553817	340904	Cinder
553818	32677	
553818	81516	Pietro's wife
553818	81518	Simona
553818	112648	
553818	133093	Young Girl
553818	269024	
553818	270325	
553819	323497	Waitress 2
553820	33033	Herself
553820	77154	Kristina von Keist
553820	89852	Donatella
553820	96165	
553820	100281	
553820	120574	Tatiana Romanov
553820	145183	Elvira
553820	160293	Herself
553820	160299	Herself
553820	215898	Lady Arabella Chaplin
553820	223076	
553820	239302	Maya
553820	240301	Isabella Dominici
553820	276101	Edith bressart
553820	289346	Helen Harris
553820	304473	Carmela
553820	332912	Mehlica Baskine
553820	340422	Arabella
553820	374014	Mercedes
553821	53017	Cevia
553822	85968	
553822	233279	
553823	8268	
553823	57971	
553823	64241	
553823	102502	Gudrid
553823	112671	Renata
553823	162158	Criséide
553823	199066	Fazira
553823	199074	Girl about to be sacrificed
553823	251556	
553823	326320	Dorothy
553823	328738	Siglinde
553823	344363	
553823	356616	
553823	375860	
553824	310694	
553825	5322	
553825	102365	
553825	169556	
553825	344833	
553826	103440	
553827	293352	
553828	327227	Ann
553829	41697	Her daughter
553830	92260	Dead Person
553830	303563	Girl Ghost
553830	318327	Microfilm Lady
553831	355765	
553832	133390	
553833	188453	Opening Sequence Girl
553834	21678	Rosa
553834	24545	
553834	30766	Elena
553834	55909	
553834	63727	
553834	66229	
553834	140575	Luisa
553834	169256	
553834	199478	
553834	221553	Martha
553834	270336	
553834	281695	
553834	307228	
553834	379900	
553834	383291	(2000)
553834	384775	
553834	391861	
553834	397571	Magdalena
553835	51659	
553836	83518	
553837	159900	La diva dei fumetti
553837	212478	
553837	247023	
553837	270318	
553837	270804	Nuccia
553837	274900	
553837	336622	
553838	176811	Jane
553838	176899	Jami Ryan
553838	201793	Herself/Jane
553840	64445	
553841	17084	
553841	52880	Azzaro's wife
553841	54872	Donna Assunta
553841	57696	Rosa
553841	90973	Margaret
553841	92075	
553841	94661	Lucrezia Contarini
553841	96496	
553841	127942	Giulia
553841	127962	
553841	129005	Mrs. Livatino
553841	129011	
553841	129029	
553841	132649	(voice double: Shelley Winter
553841	173613	Pirandello's mother (segment 
553841	204697	
553841	205705	
553841	212555	
553841	229999	
553841	235489	Tonia
553841	242830	
553841	244962	
553841	260047	Anna
553841	269179	Concetta Capuozzo
553841	306820	
553841	310391	Rosa Amitrano
553841	313136	Palmira
553841	315452	Valeria's mother
553841	335538	Mrs. Arzenta, Tony's mother
553841	355698	Grandmother Angela
553841	373987	Maddalena Esposito
553841	379801	Mémé
553841	381195	
553841	387465	Countess Agnese Ristori
553841	389726	Madre
553841	393476	Anna
553843	14942	Aunt Luisa
553843	58087	
553843	189369	
553843	192995	Francisca
553843	215148	Sofía
553843	231571	Carmen
553843	252042	
553843	260532	
553843	301206	Herself
553843	379614	Helga Aguayo
553843	383273	Alicia
553843	383333	Alicia
553843	385416	Berta Moscoso
553843	388095	Malena Salazar Obregón (1988-
553843	392806	
553843	395885	Clemencia Castañón
553843	397463	Sara de Fernández Negrete
553843	397593	Piedad
553843	398167	Esther
553843	398469	Carolina
553843	399084	Josefina
553843	400490	Lupita Ibáñez
553843	402404	
553843	405415	Dr. Carmen Albán
553843	407862	Rosa
553843	410098	Irene
553844	53017	Riota
553845	42913	Circus Character
553846	269771	Mrs. Russ Crane/Lumbino
553847	190772	
553847	319626	
553848	132962	
553849	273144	
553850	223709	Waitress
553851	259913	
553852	237643	Mother-in-law
553853	67826	
553853	127933	
553853	206955	
553853	217900	
553853	236419	
553853	252649	Huguette
553853	326036	
553853	343996	
553854	197577	
553855	91881	Latino Crying Woman
553856	128707	Convict
553857	183234	Una cliente
553858	305362	Neighborhood Kid
553859	57851	Cindy Cardone
553859	217440	Nicky Foster
553859	340949	Woman in Bar
553860	18827	Girl in Cafe
553861	56353	
553861	68982	
553861	101260	
553861	161768	
553861	177203	
553862	106311	
553863	2266	
553863	306910	
553864	319326	Mother Superior
553864	375239	Sonja
553865	398983	Fiorella 'Fiore' Canelo
553866	410325	Herself
553867	381328	Daise
553867	411585	Clara's mother
553868	197879	
553868	324907	
553869	287406	La Santa
553869	302358	
553869	376838	
553870	364573	Peggy Leslie
553871	64659	Swimmer
553872	133024	
553873	25327	La Civetta
553873	243889	Church Girl
553874	289667	Exorcist Party Goer
553875	409094	
553876	52072	
553876	55078	
553876	83458	Renata
553876	115794	
553876	124235	
553876	205706	
553876	222375	Marilu
553876	281647	Nilse
553876	295095	Mother
553876	328366	Filó
553876	344871	
553876	377608	
553876	381849	Alzira
553876	382724	Francine
553876	383469	Hermínia
553876	385030	Gilda
553876	387915	Adelaide
553876	388728	Jandira
553876	389887	Eulália
553876	395882	Sílvia
553876	396886	Rita
553876	397804	Tia Miquita
553876	398220	Violante Miranda
553876	401460	Mirtes
553876	401597	Olívia
553876	402149	Olga
553876	402370	Dulce
553876	406833	Madre
553876	406847	Filomena Steen
553876	407643	Laura
553876	408592	Terezinha Romano
553877	199291	
553878	197543	
553879	318607	Churchgoer
553880	80375	Waitress
553881	159270	Dorothy Orsni
553882	391869	Pia Correlli (2003)
553883	329657	Herself
553884	170444	Julie, Chevalier de Maupin
553885	313182	Maria, Rosalia's sister
553885	355698	Croce Di Stefano
553886	113702	
553887	66864	Sandra
553887	84482	Cíntia
553887	160870	
553887	161817	Lúcia
553887	233478	The Girlfriend
553887	352127	Rita
553888	49103	Bibah
553888	200619	
553889	94869	La jeune femme Vanelli
553889	130776	Odile
553889	269503	Hôtesse bar
553889	402885	
553890	99912	
553891	278154	Marie-Claude
553892	54264	Paige Armstrong
553892	264785	NBC tour guide
553892	293108	Stephanie
553892	304243	Chloe Whitfield
553892	311857	Herself
553892	330881	Summer
553892	336663	Fawn
553892	372583	Herself
553892	372770	Cassandra
553892	381932	Janine Rebbenack (1997)
553892	387728	Erin Harkins (2002-2003)
553892	395669	Paige Van Doren
553892	401894	Brooke McQueen
553893	12320	Kate Rogers
553893	14124	Cashier
553893	161554	Sarah Lowell
553893	304851	Bridget Smith
553893	319923	Tracey Marks
553893	334747	Randa
553893	343318	Teenaged Girl
553893	349896	Tammy
553894	4858	Sushila
553894	20358	
553894	36255	
553894	124193	
553894	132629	Tilottama
553894	161471	
553894	164843	Neela
553894	204398	Vimala
553894	208583	
553894	208734	Padma
553894	295259	
553894	326702	
553894	359820	Princess Nigar
553895	123696	Can-Can Girl
553896	87586	Featured Disco Skater
553897	346210	Innkeeper's Wife
553898	154351	Bit Part
553899	53152	
553899	77958	Hélène
553899	195137	Admiratrice agee
553899	207930	Mme Meloche
553899	381681	Mariette Berger
553899	406028	L'employée d'un magasin
553900	160787	Erin
553900	194254	Sequoia
553901	71346	Catherine II
553902	269626	Little Girl
553903	80900	
553903	325607	Manuela Kastrup
553903	325646	Petra Kolb
553903	325936	Susanne Trier
553903	394610	Susi
553903	395010	
553904	28153	Roberte
553904	59301	Sitcom Actress #1
553904	62567	Laure
553904	239785	Témoin confrontation
553904	249434	Suzanne
553904	265564	Alice Weiler
553904	278734	Libraire russe
553905	264091	Friday
553906	243411	Herself - Kidney donor/Worker
553907	175918	Allabi
553908	73578	Dadai's Girl
553908	368703	Herself
553909	18863	Cathy
553909	28611	Reporter
553909	109395	Casting Director
553909	262033	Reporter
553909	291449	Restaurant Patron
553909	292302	Woman in Bleachers
553910	6090	Lola
553910	185369	District Attorney
553911	195945	Mother
553912	80013	Vera
553912	128414	
553912	316085	Nurse
553913	15862	Zanda
553913	60481	Ololi
553913	289275	
553914	212356	Herself
553915	205025	Doctor (The Hospital)
553916	100405	Avia
553916	377200	Leonor
553917	77407	
553917	232625	Irina Ardelean
553918	169887	Additional Voices
553919	30646	Practice Team/Cheerleaders
553920	18935	
553920	53142	La fille enceinte de Vandeput
553920	148766	Agnès Brillot
553920	198638	Lisette
553920	222514	Journaliste
553920	264451	Mme Legouasguen
553921	27613	
553921	383247	
553921	383866	Norminha
553921	388592	Cláudia (child)
553921	391900	Young Joyce
553921	403733	Tininha
553921	407275	Cila
553922	349670	
553922	380386	Solange
553922	384991	
553922	391673	Elizete
553922	397409	Berenice
553922	400656	Mercedes
553922	407281	Narizinho (1983-1984)
553923	167250	
553924	407384	
553925	192892	
553926	192892	
553927	286550	
553928	83377	
553929	236494	Questioning Motorist
553930	132207	Toni's Aunt
553930	168928	Mrs. Chavez
553930	385703	Vennie
553930	400738	Charisma Ledesma
553931	176525	Colonist
553932	217223	Schoolgirl
553932	396135	Lucie de Serpierre
553933	134881	Neighbor Lady
553933	215573	
553934	247859	Simone
553935	357215	A song
553936	99190	Model
553937	263613	Gretl
553938	248401	
553939	283931	
553940	279992	
553941	245115	Dr. Ruth Stern
553942	55531	Detective #1
553943	115603	
553943	195771	Person in Casino
553943	199150	Sputnick
553943	264147	
553943	266419	Herself
553943	295557	Catwalk model
553944	8098	Tina
553944	94539	Police #1
553944	219856	Eve
553944	299836	
553944	317927	Phyllis, Adult
553945	230643	
553946	234668	Walker 2
553947	264427	Emily
553947	364558	Laura
553947	384435	Akeyla
553948	358478	Villager of Tullymore
553949	171297	Screaming Peasant Woman
553950	26352	Diaper Cart Nurse
553950	56955	Mary Mason
553950	107258	Helen Brown
553950	204255	Dottie Freeze
553950	272238	Woman Stranger
553950	310647	Fitch's Secretary
553950	315131	Katie's Mom
553950	401828	Dental Nurse
553950	405960	Leanne Watson
553951	16084	
553952	160473	Herself
553953	112290	Cosmetics Buyer
553953	197730	Singer
553953	365278	Reporter
553953	384432	Designer
553954	114350	Stenographer
553954	209170	Nurse #2
553954	220638	Elsie Holland
553955	166763	Bea
553956	259440	Anja Ludwig
553956	259456	
553956	390812	Ariane Lehnhardt (1995)
553957	360919	Kleine Sonja
553958	259266	Florist
553959	81211	
553959	293944	Juno, Queen of the Gods
553960	167256	Rachel
553961	316603	Hospital Nurse
553962	222644	Andrea
553962	309309	Nicole
553963	144667	Junie Hacklin
553964	235622	Emma Ericksen
553965	291842	Store Clerk
553966	230324	Miss Haskell
553967	252527	
553968	247665	Sestra
553968	354617	
553969	28688	Lány
553970	99828	Kachiri's Cousin
553970	142378	Additional Cast
553971	397548	Lili
553972	406144	Arla
553973	58212	
553973	268294	Jarka
553973	349323	Jarka
553974	96208	Anne
553975	234206	Alex
553975	310648	Press Agent
553976	23396	
553976	28336	
553976	35005	
553976	47611	
553976	48800	
553976	48829	
553976	52214	
553976	56004	
553976	61351	
553976	68941	
553976	74900	
553976	103720	
553976	103939	
553976	121774	
553976	200537	
553976	221576	
553976	226184	
553976	233338	
553976	234389	
553976	249387	Dueña de la pensión
553976	267043	
553976	280617	
553976	288805	
553976	294334	The Bettina's friend
553976	320215	
553976	336396	
553976	351491	
553976	352129	
553976	354449	
553976	376811	
553976	398913	Nora Rivas
553976	400640	
553976	403650	Magoya
553977	114045	Lucia
553977	120478	Bar Dancer
553978	43163	
553978	88077	Dancing Girl
553978	114045	Isabel
553978	120478	Bar Dancer
553978	157240	Frowning nurse
553978	263345	Mrs. Azzouni
553978	330565	Mahareinlu
553978	333861	Salini Yasbeck
553978	385181	Riddlesnake Raj
553979	256769	Girl
553980	158419	Herself
553981	15107	Camille
553981	43772	
553981	51242	Les filles
553981	58744	Woman in metro
553981	94339	Charlotte de Hardenberg
553981	112819	Nicole
553981	153872	La cousine
553981	156330	
553981	160722	Directrice de casting
553981	166349	Dame Boucher
553981	206008	Annette
553981	215136	La gardienne de l'Opéra
553981	236042	Nadine
553981	285150	
553981	351811	Natalya
553982	81196	
553983	354751	Krystal
553984	43565	Nurse
553984	273619	Raphaela
553984	305916	Lucinda
553985	72140	Model
553985	87975	Terry Freeman
553985	174151	Prison Gov. Angelique
553985	217004	Fille de Nuit
553985	274447	Cynthia
553985	314763	Daria
553985	333409	E.R. Doctor
553985	364424	Jazz Singer
553985	386497	Nathalie
553986	305916	Nurse
553986	375706	Young Molly Mokembe
553987	93261	Kathy
553988	249281	Un serveur chanteur chez Grub
553990	313084	L'hôtesse à l'enregistrement
553990	352931	Les danseuses
553991	97463	Girl
553991	190774	Inmate Two
553991	342863	Kelly
553991	382294	Joy Rogerson
553991	401828	Shirley
553992	14900	
553992	68781	
553992	102955	Susanna
553992	127885	Gargiulo
553992	269924	Sister Liberata
553993	398053	
553994	362312	Beatrice
553995	97277	Asylum Inmate #2
553996	46444	Olga Livingstone
553996	222593	Miss Wetherby
553997	70787	
553997	75538	
553997	85004	Maudie
553997	161725	Elaine
553997	215559	
553997	283560	Mrs. Case
553997	386234	Lady Dexter
553997	395755	Mrs. March
553998	218809	
553998	385299	Jenny Clint
553999	73675	Grace
554000	353926	La seconde infirmière
554001	101547	Prostitute
554002	13040	
554003	122811	Kvindelig Betjent
554004	404608	Winner (2001)
554005	403724	Herself - Designer
554006	190464	Mourner
554007	111567	Milla
554007	357612	Sofia
554008	27195	Mrs. Beach
554008	40115	Saleslady
554008	142615	
554008	274663	Cassie
554009	51603	Ellen
554009	92215	Jo Dunmore
554010	13380	Child
554010	75533	Little Girl
554010	96644	Child
554010	131532	Little Bevins Girl
554010	144764	Girl
554010	330825	Emily (schoolgirl)
554011	90041	Herself - Dancer
554011	166910	Herself (and the Nita Bieber 
554011	177041	Waitress
554011	177989	Dancer
554011	192033	Dancer
554011	193732	Hotel Maid
554011	214069	
554011	231045	Mame
554011	264094	Cahuena
554011	277505	Wilda
554011	318792	Sarah Higgins
554011	323940	Chorus Girl
554012	276948	Little girl
554012	367552	Bit Part
554013	305405	Mrs. Carter
554014	93401	Annamirl
554014	134222	Maria Brandl
554015	140843	Wally's Secretary
554015	203328	Leslie Dameron
554015	330391	Truck Stop Waitress
554016	2252	(segment "Teuf d'enfer, La") 
554016	121936	La prostituée de l'hôtel
554017	58507	Bobbi
554018	330562	Dauphins fru
554019	189987	Morgan Hall Coed
554020	210483	Ben Franklin Girl
554021	317309	Tru Play Audience
554021	351034	Chris
554022	134788	
554023	317309	LA Promenade with Cher
554024	102879	
554025	71598	Herself
554025	178568	Greta
554025	209773	Jeanette Biedermann
554025	378947	Herself
554025	390812	Marie Balzer (1999-2004)
554026	40520	
554026	76387	Pia
554026	185798	Christine
554026	209972	Julia Fruehwirth
554026	290699	Eva Brock
554026	325700	Karin Kundler
554026	382203	Ulrike von Adlersdorf
554026	392086	
554026	392503	Tanja Graf
554026	396874	Franziska 'Fränzi' Ginster #2
554027	111485	
554028	30646	Student
554029	2240	Journalist
554029	12681	Alia
554029	44391	Marina Mnishek
554029	82196	Anka
554029	138603	Wally
554029	180341	
554029	182642	A NÕ
554029	187976	Dorota
554029	207164	Ewa
554029	214246	Eliza
554029	226425	
554029	231732	
554029	237975	
554029	246880	Ewa Wisniewska
554029	255605	Janina
554029	255844	Grundol's Wife
554029	290289	
554029	344037	
554029	375381	Laura
554029	385985	Anka
554029	388834	Ewa Góralczyk
554029	394585	Nina Stec (1998-2001)
554030	11024	Anna
554030	177037	Sophie
554030	324461	La mère de Ric
554031	185809	
554032	180013	Nurse
554033	400236	Connie Bensoncroft (1994)
554034	40296	
554035	304365	Russian Leader
554036	38104	Connie Rogers
554037	169628	
554038	71437	
554038	113671	Serpetta
554038	155759	Ilia
554038	236181	Cherubino
554038	374130	Pamina
554039	40203	Abigail Whistler
554039	57762	Chloe
554039	99311	Ellen
554039	154854	Allie
554039	163432	Regrettal
554039	283183	Lara Holleran
554039	314168	Lt. Kara Wade
554039	318692	Tenley Parrish
554039	344331	Casey Jackson
554039	378943	Mary Camden Rivera (1996-2001
554040	100908	Kathleen Sullivan
554041	91511	Ania
554041	337033	La sauvage
554043	80836	Hooker #3
554044	382899	Kusine Beatrice
554045	114160	Ambulance Driver
554046	31834	Wife on vacation
554047	411420	Herself
554048	153735	Gretel
554048	350864	Traudl
554048	376577	Beate
554049	11782	Ella
554049	24323	Die Schöne III
554049	290847	
554049	308240	
554050	74000	Stone
554051	1569	Girl in Bath
554052	24542	Hotel Manager
554052	51881	
554052	57796	Szamotulska
554052	66266	Rybinska
554052	89781	Korolkiewiczowa
554052	89847	Prezeska
554052	95725	Sarnecka
554052	95726	Marta's Neighbour
554052	123909	Kowalski's Wife
554052	162205	Kwiatkowska
554052	165844	Klechna
554052	176545	Postwoman
554052	202571	Burczykowa
554052	247354	Makowiecka
554052	255497	Franciszek's Second Wife
554052	255608	Plewina
554052	256148	Hanka
554052	311893	
554052	373706	Girl Street Singer
554052	400701	Aunt
554052	406881	Maria Stafford
554053	406881	Maria Stafford
554054	247626	
554055	373706	Orator
554056	396845	
554058	166763	Verkäuferin im Spielzeuggesch
554059	358708	Woman in Plane
554060	144163	Wanda's friend
554061	255635	Alicja Bonecka
554062	1034	Sweden
554063	184785	La vieille dame
554064	410311	Alice Gherardi
554065	87984	Herself
554065	256601	
554065	409978	
554066	64143	Herself
554067	10192	
554068	398838	Anita Martín
554069	56316	Telefonista 1
554070	143722	Olga
554071	27975	
554071	66234	
554071	147177	
554071	165048	
554071	180013	Shopkeeper
554071	209277	
554071	265080	Krystyna, Janicz's friend
554071	267008	Blonde (Dudek's woman)
554071	325787	Jadwiga
554071	361576	
554071	365126	Maryna Wosinska/Countess Juli
554071	369373	Bartender Sroczyna
554071	379217	Renata Klos-Kamienska
554072	24542	Secretary
554072	84264	Iwona
554072	89790	Guest
554072	187641	Maid
554072	215410	
554072	262508	Irena
554072	266317	
554072	343386	Izabella Szelest/Marek's Wife
554073	241391	Mrs. Dreiling
554074	28998	Rirette Maîtrejean
554074	124608	Jeanne
554074	218031	Françoise
554074	275661	La femme du train
554074	279648	Mme Millet
554075	30497	Student
554075	228691	Wiesia
554075	396286	Dr. Renata Zakrzewska (2003-)
554077	364300	Herself
554078	94312	L'aide-soignante jour
554078	103843	Dominique
554078	133052	La bouchère
554078	261752	Catherine
554078	383861	(segment "Coccinelle")
554080	265884	Herself
554081	28793	Irene
554081	78330	Danny's mother
554081	91036	Frieda Gertis
554081	92284	Frau am Band
554081	100991	Erna Goltz
554081	108186	Manuela
554081	112235	Wife
554081	116318	
554081	119435	Alice Miller
554081	130994	
554081	140271	
554081	156623	Waltraut
554081	156721	Agnes Matzke
554081	181496	
554081	186607	Erika Schröder
554081	204405	
554081	209918	Moni
554081	225124	Rosi Schindler
554081	230179	Köchin
554081	248185	Brigitte Mielke
554081	254372	
554081	288433	Elsa
554081	310904	
554081	310905	Frau Seidenfaden
554081	311928	Gudrun Bendler
554081	313022	Irmchen
554081	313649	Frau Schäfer
554081	313674	Polizistin
554081	314960	
554081	334542	Alexandra
554081	347819	Luzie
554081	352518	
554081	359001	Dame
554081	359685	Mutter
554081	361432	
554081	372618	
554081	375993	Herta
554081	378168	Frau Mengelberg
554081	385009	
554081	387395	
554081	391078	Frau Koller
554082	96011	Maria, Mistress of the Daemon
554082	110430	Woman in Cafe
554082	175519	Blondy
554082	259531	
554082	334530	
554082	347035	Barbara (segment "The Rival")
554082	358099	Kerstin Ularczyk
554082	379779	Estelle Tourjours
554082	380920	
554082	390812	Erika Flamme (1992)
554082	399734	
554082	402046	Yvonne (1987-1988)
554082	404452	Carmen
554084	74411	
554085	64951	Baby
554086	305559	
554086	358390	
554087	13322	
554087	35878	
554088	404748	Isabelle als Kind
554089	30497	Student
554089	379864	Ewa Majewska
554090	266327	Basia
554091	16065	
554092	238494	Student
554093	39712	Kennedy
554094	195192	His Mother
554095	274798	Nurse
554096	322857	
554096	354933	
554097	381504	Isabelle Grégoire
554098	29853	
554099	42686	Herself (winner)
554099	46645	Director
554099	377408	Herself
554099	386347	Herself (episode 1.8 "2000")
554100	387803	Janete
554100	398362	
554100	402264	Xênia
554101	321490	Woman at Bar
554102	24376	
554103	4507	Nun
554103	36679	
554103	83004	Frau
554103	122451	Annamirl
554103	125233	Vreneli
554103	126425	
554103	142017	
554103	155331	
554103	179698	
554103	188747	
554103	216427	Bettlerin
554103	226260	
554103	229412	
554103	240173	Ilona
554103	267155	
554103	278900	
554103	294986	
554103	340012	Bäuerin
554103	358990	
554103	367235	
554104	147988	Lucinda, the Cuban Matron
554105	254110	Une soeur Monthoux
554106	252314	Dagmar
554106	312999	Mrs. Danzer
554106	366531	Cafedame (Lady at the cafe)
554106	396451	Sonja
554107	133337	The daughter
554108	321397	Izzy
554109	97239	Ruth
554110	140928	Heather Connelly
554110	156936	Julia
554110	250746	Guest at Lord Cornwallis' bal
554111	27928	Police Photographer
554111	165852	Briggs (E-X Grunt)
554111	328261	Alien/Angie
554111	331172	Elizabeth
554111	360650	Survivor 2
554111	381482	The New Sorceress (2001)
554111	406007	Gigi
554112	28569	Pinky
554112	46645	Louise
554112	169055	
554112	198058	Mia
554112	238555	Molly
554112	305311	Karen
554112	305549	
554112	389734	Rita
554113	87922	Sister Mary Eclair
554114	40923	Olive
554114	118863	
554114	141734	
554114	158693	
554114	173736	
554114	204766	Gerda
554114	269985	Francis Stelma
554114	359816	Blonde Greet
554114	384341	
554114	386642	Bernadette Zomsky
554114	392073	Kitty Overwater
554114	397369	
554114	404425	Femma Nagel
554115	183209	Fotografe
554116	215644	Clerk
554117	146530	Staszek's Grandmother
554118	266307	
554119	9536	
554119	71262	Patient
554119	322030	
554119	369013	
554120	211840	Chrissie Stone
554120	294391	Nemesis
554120	313937	Nina Latimer
554121	15106	Madame Blanc
554121	42560	Grand-mère de Lise
554121	266235	
554122	196588	
554123	12058	
554124	19747	Florence
554124	374384	
554125	118702	Hooker
554126	241316	Restaurant Patron
554127	217852	Katrin
554128	77710	Dancer
554129	241295	EMT #1/ER Voice
554130	270151	Emergency Room Technician
554131	18704	Miyuki Haneda
554131	95486	Randy
554131	144660	Darcy
554131	204971	Lin
554131	285922	Sumire Kanzaki
554131	308790	Sara
554132	93602	Zoska
554132	181408	
554133	403494	Herself
554134	231704	Verpleegster
554135	109252	Sally at 12
554136	342254	
554137	342254	
554138	117939	
554139	10727	Janey
554140	102605	Krankenschwester
554140	145499	Susanne Hoffmann
554140	208459	Daniela
554140	259511	Inge
554140	259641	Anne
554140	285001	Sophie Potzki
554140	350857	Petra
554140	351946	Reporter
554140	381710	Elisabeth
554140	390814	Weather Forcaster (1992-1994)
554140	395507	Melissa
554140	402444	Weather Forcaster (1995-1998)
554140	402445	Weather Forcaster (Irregular)
554140	402446	Weather Forcaster (1994-2000)
554140	402447	Weather Forcaster (2000-)
554140	403862	Weather Forcaster (1994)
554141	61100	Prisca
554141	90710	
554141	198904	Luisella
554141	236807	
554141	277806	Sister
554141	290100	Georgia
554141	387737	
554142	217760	
554142	290100	Laura
554143	312217	The youngest daughter
554144	234624	The Woman
554144	384118	Ernestina/Matilde (1997-1999)
554144	393286	Iracema
554144	396899	Inezita
554144	404272	Suzana Corrêa
554145	252286	Trina (at the Age of 1 Year)
554146	165853	Herself
554146	299490	Publisher
554147	77728	Village mother
554148	139680	Indian Mother
554149	28673	
554149	101009	
554150	252141	
554151	322930	Monika
554152	161271	Herself
554153	395846	
554154	365415	
554156	229538	Lauren
554156	235542	Charlie/Mary Kelly
554157	30497	Zofia
554157	69839	
554157	75757	
554157	82197	
554157	304439	Receptionist
554157	311255	
554157	341068	
554158	41552	Ecstatic coed
554159	155066	Diana
554159	185123	Diana
554159	315218	
554159	319921	Nikki
554160	142719	Killer - Defendant
554161	44433	Newspaper Editor
554161	192723	Herself
554161	253470	Herself
554161	379989	Herself
554162	202195	Qubillah, 3 years old
554163	403805	Dr. Valerie Grant #1 (2001)
554164	15254	President's secretary
554164	54920	Saleslady
554164	79611	Woman
554164	80482	Mrs. George Harris
554164	106224	Grace Prescott
554164	120265	Mary
554164	144593	Marian Millerton
554164	148387	Clara Hirshman
554164	183730	Docent
554164	191311	Doris
554164	196481	
554164	203161	Mayor's wife
554164	220023	Priscilla Gordon
554164	241599	Wife
554164	276198	Mrs. Kolchak
554164	338297	Anna Roche
554164	343055	Older Woman
554164	364203	Mrs. Melton
554164	367588	Mrs. Zess
554164	369473	Business Woman
554164	393173	Nurse Barkley
554165	107044	Hospital Nurse
554165	365163	Liz Hannah
554166	74000	Crude Oasis Bar Patron
554167	249105	Ingela Bengtsson
554168	379454	Herself
554168	381514	Herself (1999)
554168	390335	Herself (2000-)
554169	16643	Farm girl
554169	270463	Connie Stevenson
554170	116753	
554170	333553	
554171	310571	Kelly
554172	273549	Janelle
554172	303501	Ludi
554172	313762	Hotel Receptionist
554172	329976	Mary
554172	382050	Ensemble cast member
554173	154629	Margo Wycoff
554174	216782	Girl who tries to pickup Linc
554175	37565	Host
554175	162337	Field Reporter
554175	388113	Host
554175	395774	Host
554175	402948	Hostess (1995-2000)
554176	366758	Secretary
554177	263786	Helen McPhee
554178	225180	
554178	340771	Lovely barmaid
554179	236954	Orphanage Governor
554180	401652	Additional team member
554181	190853	Lillian
554182	292996	Matilde Ascalone
554183	43724	Sylvia
554183	75796	Newman
554183	113732	Terri Mayberry
554183	265171	Samantha Taggart
554184	33742	Cynthia (Clearing Singer #2)
554185	234209	Julie
554185	346909	Julie Marks
554187	56656	Prostitute
554187	87520	Waitress
554187	141164	Beatnik
554187	197040	Stripper #2
554188	326755	Catgirl on Road
554191	184521	Young mother
554192	356055	
554193	184521	Child
554194	38021	3rd Grader
554195	326242	Bar Patron
554196	108329	Tina
554197	322680	Deltager I strejkemøde
554198	262956	
554199	236194	Soprani
554200	390497	Host (1st - 2nd Edition)
554201	14840	
554202	150741	Quenn of Bohemia
554203	394121	
554204	99820	The Woman
554205	186578	
554206	399799	Host (2004-)
554206	408746	La Prima de los Telejuegos #1
554207	97659	
554208	254851	
554209	240254	
554210	362330	Charmaine
554211	58845	L'acheteuse
554212	96441	Brita
554212	180710	Fru Berg
554212	303678	Liv, sykesøster
554212	312238	
554212	343716	3. Ekspeditrise
554212	353000	(Norwegian version)
554213	294791	Mulher
554214	353840	Fille du fermier
554215	19651	
554215	23362	
554215	46589	
554215	48459	Radnica u perionici
554215	48757	Recepcionerka
554215	49740	
554215	73577	Sekretarica
554215	74738	
554215	88446	
554215	92357	
554215	124428	
554215	137288	
554215	155622	
554215	173101	Sekretareva zena
554215	174972	
554215	180698	
554215	187970	Halilova majka
554215	205099	Olja
554215	215997	
554215	226691	
554215	229895	Sekretarica
554215	244580	Folksdojcerka
554215	249733	
554215	261232	Komsinica
554215	261944	
554215	262220	
554215	282729	
554215	288986	
554215	295057	
554215	312618	Cistacica
554215	328707	
554215	343967	Lawyer's Wife
554215	351973	
554215	375126	
554215	390427	
554215	395457	
554215	395832	Prodavacica
554215	398660	Konobarica
554215	400481	Folksdojcerka
554215	401991	Bela
554215	402118	
554215	402765	
554215	404391	Bosa
554215	406315	
554215	406316	
554215	409294	
554215	410442	Sekretarica direktora
554216	199649	
554217	360713	Guest
554218	88809	Lisa
554219	28537	Tanuló
554220	357865	Éva
554221	146853	Herself
554222	202548	Elsie
554223	396477	Virata's daughter
554224	55059	
554224	93903	Herself (Maniitsoq)
554225	122875	
554226	122875	
554227	184192	Ladan
554228	184192	Laleh
554229	4753	vriendin Laura
554229	76726	Flo Valeton
554229	213551	Katootje
554229	379080	Vriendin laura
554229	391469	Shannon (1999)
554230	350977	
554231	142677	Irene Muller (Schooljuf)
554231	228248	Herself - Host
554231	357309	Schoolmeisje
554231	357381	
554231	378638	Catharina Bovenkerk
554231	397438	Herself
554231	401810	Tuburella
554231	411101	Herself - Panellid
554232	365651	Young Cally
554233	139998	
554233	140009	
554233	160559	Sangeeta
554233	170969	Witness
554233	174679	
554233	176088	
554233	184136	
554233	195212	Geneviève
554233	233162	
554233	246102	
554233	299356	
554233	339625	Natasha
554233	355300	Sangeeta Sampat
554233	371796	
554234	86716	Cathy
554235	323711	
554235	364242	Secretary
554236	282416	
554237	262411	
554238	36208	TV Newscaster
554239	390242	Paula/Colette Maas (1993)
554239	400217	Jet Van Sprang (1996-1997)
554239	412033	Liza, vriendin Maria
554241	47546	
554242	366592	Katerina
554243	226027	
554244	354751	
554245	289164	Marusya
554246	330772	
554247	270151	Artoo Fan Club Member
554248	137233	Asst. Nurse N.
554249	222441	
554250	353886	
554251	381821	Ensemble (1972)
554252	300230	Bar Frog
554253	159647	
554254	80399	Ruth
554255	295819	
554256	355946	
554257	251599	Monja 3
554258	2368	
554258	5105	Profesora de idiomas
554258	14783	
554258	53637	
554258	53650	
554258	55745	
554258	73516	
554258	91315	Berta
554258	97658	
554258	112779	
554258	119307	
554258	119862	
554258	205155	
554258	206313	
554258	206986	
554258	212463	
554258	221966	
554258	221967	
554258	234357	
554258	251581	
554258	253037	
554258	271927	
554258	274481	
554258	320306	Isabel
554258	322341	
554258	327077	
554258	339153	Profesora
554258	353619	
554258	370065	
554259	222378	
554260	165022	Leire
554260	380547	Host (2004)
554260	404166	Herself - Entrevistadora
554261	371726	
554262	2969	
554262	3353	Paquita
554262	6486	Grandmother
554262	24206	Madre de Lucía, de mayor
554262	52210	Margarita
554262	52708	Señora
554262	55209	Vieja
554262	62485	Angelita
554262	68912	Señora Enjoyada 1
554262	101895	Beatrzi
554262	122985	Herself
554262	152246	Felisa
554262	162104	Sor Ángela
554262	165772	
554262	195229	Madre
554262	202296	Madre superiora
554262	205010	
554262	206769	La Santa, Doña Rosi
554262	215031	Feli
554262	233760	Felisa
554262	249790	Casera
554262	251599	Sor Genara
554262	257567	
554262	263864	Begoña
554262	286285	María
554262	322233	
554262	322345	Graciela
554262	328168	Madre
554262	328249	Pasajera
554262	336257	Señora de Anasagasti
554262	380551	Marisa
554262	387684	
554263	22642	
554263	23070	
554263	76003	
554263	83139	
554263	88197	
554263	124447	
554263	135118	
554263	136846	
554263	158728	
554263	167135	
554263	171466	
554263	199922	
554263	212400	
554263	212508	
554263	216856	
554263	216862	
554263	221748	
554263	222039	Woman 1
554263	225041	
554263	235927	
554263	236034	
554263	266820	
554263	275955	
554263	349966	
554263	352097	
554263	371678	
554263	376865	
554264	86803	Secretaria TV
554264	277398	Queen's lady
554265	276513	
554266	41181	Peggy
554267	228314	Schoolgirl
554268	47029	Mrs. Manby
554268	81026	Mrs. Errol
554268	92505	Lady Copewell
554268	109862	First Lady at Launching
554268	117647	Mother
554268	163961	Mary Hampton
554268	212212	Lady Ada Epping
554268	212213	Lady Ada Epping
554268	212215	Lady Ada Epping
554268	212216	Lady Ada Epping
554268	212217	Lady Ada Epping
554268	221068	Voice
554268	232408	Mrs. Bates
554268	255327	Mrs. Vane
554268	256761	Mrs. Burton
554268	257086	Marjorie Capel
554268	298582	Colonel's wife
554268	305616	Mrs. Rosenburg
554268	362063	Mrs. F. Farrington Fowler
554269	231848	Nita Fleming
554270	5449	Lorraine
554270	5876	Maria
554270	49941	May Ellen
554270	238111	
554270	245233	Prod'n Secretary
554270	310019	Kugel 1
554270	330340	Isobella
554271	47474	Ivan's Party Guest
554272	32271	Danseuse Aphrodite
554273	342332	Rape stopping girlfriend
554274	47077	Whitney
554274	53323	Ready to Have Sex Girl
554274	66194	Summer
554274	74029	Mikko
554274	109777	Tiffany
554274	117664	
554274	118294	Herself
554274	120233	Paige
554274	248085	Leesu
554274	326760	Laura
554274	385131	Jenna Livingston
554275	10877	Miltwater
554275	289098	Cowboy #4
554276	209654	Ben's Mom
554277	16619	Chloé
554277	17110	Claire
554277	66565	
554277	211848	Tatiana enfant
554277	217843	Léa
554277	292336	Léa
554277	378063	Zazanne
554278	110967	Young Eve
554279	187333	Hawk's Bride
554279	280654	Hawk's Bride 1
554280	104729	Herself
554280	104777	Turkish entry (16th place)
554281	26050	
554281	30697	
554281	48429	
554281	114334	
554281	136686	
554281	143463	
554281	146983	
554281	180701	
554281	182909	
554281	189057	
554281	232729	
554281	237445	
554281	240516	
554281	276266	
554281	370581	
554281	370915	
554281	371555	
554281	378572	
554282	40476	Chuck's girl
554282	83472	Additional Voices
554282	382089	Helen Bennet/Mother-1
554283	236837	Mondäne Blondine (Mondaine bl
554284	156210	
554285	104705	Herself
554286	125978	
554286	140626	Harpsichord player
554287	138603	
554288	229220	
554289	139438	
554290	275250	
554291	312131	Heather/Young Susan
554292	234186	Daughter
554293	43106	Icas
554293	97985	Udvarhölgy
554293	182646	Szolgáló
554293	284186	Trafina imádottja
554293	322133	Direktrissz
554293	333112	Micike
554294	148696	Infirmière 1
554294	398078	Josette Toussaint
554294	398595	Denise
554295	108146	
554296	387247	Sharmilla Kapoor (1998)
554297	84029	Charlie Roadtrap
554298	89994	
554299	357435	
554299	357667	
554300	133027	
554300	377899	
554301	299319	Little Girl
554303	319556	Mrs. Cody
554304	7408	Irène de Valois
554304	285031	Mary Magdalene
554305	302681	
554307	404517	Additonal Voices
554308	8984	Yuri's Mother
554308	25153	
554308	72727	Carola
554308	125114	Beatrix Baeumler
554308	166434	Gute Werke
554308	186945	Dolly
554308	338468	Franzi Beimbichler
554308	338469	Franzi Beimbichler
554308	343746	Elfi Kahlbeck
554308	374331	Marie
554309	193434	Fannine Villaret
554309	250708	Chantal
554310	78902	Melanie Knox
554311	54789	Helga Hopfner
554312	102645	Corrine Clery
554314	411367	Summer
554315	25087	
554316	245838	Tori the Teller
554316	402947	Busy (Elizabeth) Ramone
554317	260950	Elite Model
554318	281114	Karline
554319	174166	Larbi's Mother
554320	118543	Tante Caleen
554320	141487	Hoodoo Woman
554321	43979	
554321	81470	Skuespillertrup
554321	92639	Pil
554321	95757	
554321	214359	Louise
554321	228395	Rikards kone
554321	240105	Holm Hansens Dame
554321	317814	Muse
554322	325416	Portiersfrau
554323	341810	Barbro Karlsson
554324	348336	Jail Bait
554325	276295	
554326	340227	Woman
554327	115421	
554328	331349	Sad Queen, Queen Bee, Queen P
554328	355404	Lucy McGee
554328	355766	Viva
554329	253458	Women's Team Member
554330	364942	Fan 7
554331	256188	Pink Chiquita
554332	21453	Singer
554332	190743	Hédi,táncosnõ
554332	203495	Tereza Novak
554332	223595	
554333	294683	Serena
554333	313425	Gerhard/Babysitter/Pupil
554334	343780	Clinic Doctor
554335	114961	
554336	178455	
554337	325343	Doctor's assistant
554338	83379	Madame Linard
554338	167240	Prostitute
554339	269742	L'Institutrice
554340	51842	Lucrèce
554340	77348	Adela
554340	157305	Simone, la secrétaire
554340	256518	Lucie, la fiancée de Jacques
554340	352085	
554340	393400	Antoinette
554341	357932	Silvia Hess
554342	196930	
554343	332133	Denise, age 7
554344	58718	
554345	104284	
554345	133026	
554345	215340	Concetta
554345	336615	
554345	341860	Giuliana
554345	349531	
554345	356961	
554346	259024	Agostina
554348	313033	Les collégiennes
554349	124345	Baby
554350	130350	Casino Cashier
554351	75363	
554352	137449	Baby Julian
554352	207860	Naomi Chester
554352	360491	Pauline
554353	6300	Tante Jules
554353	35498	
554353	40520	
554353	58528	Concierge
554353	147236	
554353	187825	Leonie
554353	188647	Mrs. Grutzmacher
554353	211186	
554353	213564	
554353	217059	Cordule
554353	237917	Florist in Metro
554353	257105	
554353	259663	
554353	352299	Serveerster
554353	357359	
554353	406814	
554354	89686	Mrs. Bomarita
554354	283563	Aunt Sophie
554354	315160	Esther
554354	315897	Thelma
554355	303965	Tattoo Model
554356	135000	Herself (Corseaux, Switzerlan
554357	259676	
554358	77712	Sandra
554359	405209	Beverly North (2000)
554360	236107	Salesgirl (segment "Silk Stoc
554360	381332	Billboard girl
554361	231646	Bugajowa
554361	311834	
554361	359589	Moniuszka (wife)
554361	363512	
554362	7099	Ice skater
554362	22824	Restaurant Patron
554362	57654	Wardrobe Lady
554362	57929	Dance Student
554362	72504	Show girl
554362	131557	Betty
554362	160888	British Supermodel
554362	163248	Waitress
554362	241485	Reporter for The Sun
554362	282452	Cocktail Waitress
554363	217745	Dancer
554364	281255	Donna
554365	18816	His Wife
554365	20884	Germaine
554365	79668	Nancy Cartwright
554365	101084	Geraldine
554365	128428	The Countess
554365	152926	Marie
554365	274464	Baroness Von Ehrenstein
554365	289623	
554365	309494	Arline
554365	315166	Mrs. Leonori
554365	331146	Mrs. Tearle
554365	338096	Carline Shrefton
554365	366887	Helen Morris
554366	47050	Brunette in French Restaurant
554366	152528	Zoe Taylor
554366	321474	Roxy Randall
554366	338000	Jana
554366	355150	Greta
554366	359425	Amanda Sloan
554366	359428	Gita
554367	41899	Sybil Trent
554367	50907	Madge Sears
554367	73662	Laura Campbell
554367	77296	Mrs. Langham
554367	78004	Dawn Moyer
554367	84212	Florence Martin
554367	107441	Marjorie Townsend
554367	108013	Mrs. Van Orden
554367	116955	
554367	133849	Vilma Le Brett
554367	133910	Aunt Helena
554367	138175	Miss Dell
554367	141210	Rosalind Dana
554367	141223	Lady Calvert
554367	143150	Mildred Manning
554367	193102	Roose Ashtoon
554367	196242	Rita Norwood
554367	206367	Molly Mahoney
554367	215492	Eva
554367	234182	Mrs. Fallon
554367	265088	Nina Stockley
554367	273560	Lady Highford
554367	279340	May Larrabee
554367	280950	Countess of Moravia
554367	302883	Mrs. Madge Fields
554367	311910	Mrs. Cornelia Le Roy
554367	322594	Mildred Morton
554367	358468	Ruth Gregg
554367	362210	Kate Claybourne
554367	364138	Barbara Draper
554367	364536	Widow Gushing
554367	366700	
554367	367409	The Woman
554367	367466	
554367	367971	Mrs. Stoner
554367	368627	Marcia Marshall
554368	330218	Lillian
554370	105279	Rebecca
554371	171698	Jean
554371	277616	Alice
554372	81640	
554373	117665	'Love' Maiden
554374	65612	Ballentine's Wife
554375	105396	Coven Member/Voodoo Dancer/Ch
554376	181534	Little Girl in Hospital
554377	138863	Lucy van Pelt
554377	306183	Lucy van Pelt
554377	372165	
554378	402993	Herself/Philadelphia (2004)
554378	410576	Herself
554379	33094	Carol Vega
554379	44855	Scene Reporter/Waitress One
554379	80537	Jasmine Tyner
554380	5882	
554380	6791	Dame #2
554380	9035	Madeline Moore
554380	9125	I speak jive lady
554380	16900	Hat Check Girl in Restaurant
554380	18552	Gambler
554380	20115	Elizabeth Court
554380	20549	Clerk Weil
554380	26838	Announcer
554380	27112	Evelyn Lucien, Costume Design
554380	31445	Beatrice Gower
554380	54977	Helen Meredith
554380	57099	Store customer in flowered ha
554380	79866	Wife of Pontius Pilate
554380	85653	Dorothy, Editor's Secretary
554380	107581	Department Store Clerk
554380	108272	Herself
554380	130441	
554380	154104	Mrs. John Campbell
554380	160436	Miss Meadson
554380	161713	Kelston's secretary
554380	161961	Simon's Secretary
554380	178035	Miss Hibbs, Harry's Secretary
554380	183836	Phyllis
554380	192721	G.I. Bill's Wife
554380	238983	Mrs. Lark
554380	262758	Doris Green
554380	263313	Edna the Receptionist
554380	289213	Mrs. Maddox
554380	292426	Saleswoman
554380	292611	Miss Ruthie
554380	296835	Olga
554380	309982	Johnny's Mom
554380	318913	Nurse
554380	324042	Young Mother
554380	331393	Ann White
554380	331688	
554380	339417	Rheta Melford
554380	342810	Miss Pierson, secretary
554380	346248	Guest
554380	346914	Miss Morgan
554380	348322	Barb's Friend at Maisie's Poo
554380	349916	Linda Mason
554380	367519	Evelyn Courtney
554380	372633	Party Guest
554380	382853	Barbara
554380	398542	Nanny (1984-1991)
554380	402255	Helen Wilson
554380	404447	Olivia Bryant
554381	48273	
554381	51475	Pom Pom
554381	147777	Buttons
554381	183678	Elaine
554381	281393	Jill Danko
554381	312172	Taffy
554381	330589	Laura
554381	361168	Broad
554381	363900	Lou
554381	372628	Karen
554381	389858	Polly Prentice #2 (1966-1967)
554382	119542	Herself
554383	124477	Herself
554384	222739	
554385	330154	Dancer
554386	80640	6-Year-Old Sarah
554387	35132	Charlotte Age 5
554387	280215	Joan
554388	22998	
554388	26464	
554388	29339	
554388	31888	Helen
554388	34693	
554388	35284	Suzie Scott
554388	36853	
554388	39888	Esther Saunders
554388	40452	Martha Randolph
554388	40679	Mrs. Armstrong
554388	41510	
554388	41703	Mary Lee
554388	42550	
554388	44016	
554388	44017	The Wife
554388	46519	
554388	47535	The Girl
554388	61580	Frances Angel
554388	78164	
554388	79884	Marion Buckley
554388	83612	Barbara Remington
554388	91058	
554388	105447	Henriette Ville Handry
554388	112524	
554388	113413	Mary
554388	118709	Jane Anne
554388	119095	
554388	121922	
554388	133433	Beryl Caruthers
554388	141348	Johanna
554388	141456	
554388	141479	Lady Winifred
554388	141514	
554388	143445	
554388	144820	Jane Anne
554388	144874	Marion Leonard
554388	157519	Victoria Harrison
554388	172069	
554388	187196	
554388	190111	
554388	193657	
554388	201106	Edith Craven
554388	207182	Catherine Villiers
554388	208699	
554388	211771	
554388	213264	Alice Moreland
554388	215739	
554388	218022	
554388	220352	
554388	220386	Mrs. Coy
554388	223925	Virginia Leighton
554388	226940	Maud
554388	230924	Gwendolyn Van Loon
554388	251428	
554388	261063	
554388	263522	
554388	263560	Thelma Everett
554388	263567	
554388	272111	Ann Hobbs
554388	274724	
554388	276375	Lida Parkington
554388	278262	Scrooge's Sweetheart
554388	282374	
554388	283427	
554388	287257	Nora Farnes
554388	291758	Emily Gordon
554388	296655	Marion
554388	305982	Marah
554388	316455	Mrs. Errol/Lucille
554388	324936	
554388	328615	Phyllis Harland
554388	329024	
554388	331886	
554388	334979	
554388	338301	
554388	340671	Sybil Sayre
554388	341978	
554388	342840	
554388	343111	
554388	348953	
554388	351736	
554388	360720	
554388	361747	
554388	362110	Lillian Martin
554388	364011	Grace Van Gore
554388	364280	
554388	368951	
554388	374580	
554389	129900	Baby
554390	207706	
554391	265352	Maid
554392	129900	Mother
554392	130410	Shopper
554393	77209	Molly Lock
554393	408644	Kelly Langley
554394	209112	Girl on Bus
554394	245507	Girl with cookie batter
554395	68274	Additional Voices
554396	145607	Mrs. Meier
554396	164905	Frau Cermak
554396	198533	
554396	223489	Evelyn Schöbinger/Kassiererin
554396	260414	Grete Nowak
554396	268921	
554396	359088	Mercedes/Martens
554396	393878	
554396	394049	Aranka
554397	34292	
554397	162229	Architekturstudentin
554397	406724	Protokollführerin (2001-)
554398	682	Dana, the Algae Eater
554398	222947	Spielberg Secretary #2
554398	261075	Becca
554399	228314	Schoolgirl
554400	100820	Carol
554401	10138	Doctor #1
554401	107333	Sasha Cardona
554401	230444	Mermaid
554401	355036	Brandy Hu
554402	189325	Halloween Stripper
554403	376311	Dancer
554404	301984	Fille de rêve 3
554405	113486	Herself
554406	58461	Amanda
554407	165976	Polly
554408	52454	She
554408	96684	
554408	203223	Bad Driver #2
554409	131484	Ludmilla's Servant
554410	80959	
554411	122462	Bridegroom
554412	124451	Ulla Billquist
554415	92095	Pregnant Woman #6
554416	4513	
554416	27480	Ulla
554416	40941	
554416	84293	Woman at the court
554416	101451	Officer's wife at the ball
554416	109278	Matilda, Mrs. Jönsson
554416	120315	Spastic Woman
554416	137975	Prostitute
554416	138449	Lady in store #2
554416	161156	Lab assistant
554416	178478	Helge's mother's friend
554416	190808	
554416	198277	
554416	225668	Karin
554416	237258	Girl saying goodbye to Hanna 
554416	244015	
554416	314387	Märta Brolin
554416	322436	
554416	322671	
554416	342307	
554416	342308	Maruschka
554416	342314	Bojan
554416	357747	
554416	398195	
554416	400001	Farmor
554417	349509	Groupie #4
554418	313441	Lieutenant
554419	306250	Mohican Girl
554420	74333	Ambre
554420	345427	Alex
554420	403899	Isabelle Gélinas
554421	322353	Bébé Brochu
554422	214259	Lady Comic
554423	164544	Jill of Spades
554423	167047	Woman
554423	393124	
554424	272325	Cathouse Girl #5
554425	232282	Michelle
554425	272325	Cathouse Girl #6
554426	401694	Dr. Ana María Torreblanca
554427	334117	Terri
554428	130190	Herself - Host
554428	382874	Herself - Host
554428	390213	Herself - Host (1996-2002)
554428	402429	Herself - Host
554428	405792	Herself - Host
554428	412216	Herself - Host (season 2-2004
554429	86279	Stewardess (Northeast Plane)
554429	193108	Cookie Receptionist
554429	274312	Passing Woman
554430	171434	
554431	236102	The Child
554431	244827	Widow
554432	152968	Woman in Black
554433	42087	Holly
554434	345696	Rachel
554434	392424	Herself
554434	399912	Summer Roberts
554435	14207	Cholena
554435	47451	Catherine
554435	362379	Norleen
554436	328788	Nurse 3
554437	203286	Florist
554438	47393	
554438	109715	Photo Shop Assistant
554438	163038	Dragica Pozgaj
554438	232311	GNN reporter, Amsterdam
554438	236048	Ira Novak
554438	263056	English Woman
554439	75759	Monet Graham
554440	265839	
554441	308344	Nurse
554442	310462	Undercover Agent
554442	313914	Girl PA
554442	366378	Winslow's Undermaid
554443	10057	
554443	325685	
554444	60695	Dr. Debi
554444	66874	
554445	47025	Dance Teacher
554446	284016	Eun-seo
554446	306785	Extra
554447	288216	Dr. Miss Banalata Sen
554447	288405	
554447	367765	Servant Harem Girl
554448	55313	
554449	148523	Wife at Fruit Stand
554449	207266	Woman Villager
554449	289260	Christian Lady
554449	298108	Harpist
554449	340320	Freida
554450	289513	Stephanie
554451	177948	
554451	332394	Mother
554452	38816	
554452	173547	Rangila
554452	181042	Satyabhama
554452	271557	Basantasena
554453	2855	Alison
554454	4561	
554454	164955	
554454	165331	Lalita
554454	320764	
554454	339074	
554455	179357	Malý´s wife
554455	365614	Lydia
554456	252420	
554457	74108	Anna Comnena
554457	96634	
554457	100942	Nell
554457	114206	Connolly's mother
554457	214449	Barmaid
554457	221245	Ellie Henderson
554457	258036	Nurse
554457	291522	Marie
554457	292787	Jean Ansell
554457	301254	Maid
554457	305514	
554457	314739	Katherine
554457	372105	Valerie
554457	385299	Gloria Tilling (1985)
554457	388209	Mrs. Prendergast (1999-)
554457	391680	Jill Unrin
554457	398738	Sheila O'Riorden
554457	403377	Dearbhla
554457	408867	Sister Osbourne (part 2)
554458	81062	Dutch Villager
554460	122194	Jonge vrouw
554463	390811	
554464	226992	Lamaze Instructor
554465	195093	
554465	379787	
554465	397362	Claudia Fischer
554466	133859	
554466	145415	Jesse
554467	8097	Florence Malou
554467	40281	Lousia
554467	47507	Lilli Romer
554467	53751	Woman
554467	71628	Martha Lert, Bruckner Nazi Ho
554467	93498	Hannerl
554467	129674	
554467	130855	Mme. Labree
554467	155721	Mrs. Lachman
554467	174784	
554467	185937	Mme. Cordova, the medium
554467	203037	Erna
554467	231972	Baroness von Klaveren
554467	261023	Eitel
554467	332058	Anne-Marie
554467	353328	Camila Perichole, an actress
554467	371025	Fifth-columnist
554467	375978	
554468	142726	
554469	42113	
554470	147017	Burgerpige
554471	139006	
554472	13174	Iolanda
554472	13544	
554472	20695	
554472	23903	Luisella
554472	24840	
554472	25300	Carmelina
554472	51445	Ferdinando's mother
554472	53090	
554472	60121	Toto Baby's wife
554472	68427	
554472	90676	
554472	110104	
554472	135153	
554472	161857	Moglie dell'apestato
554472	198554	
554472	198907	Giulietta Del Bello
554472	206027	Giacinto's wife
554472	206667	
554472	207064	Inn Keeper
554472	217559	Matilde Fontana
554472	217769	
554472	227578	
554472	237769	Lady in sauna
554472	252679	
554472	259711	
554472	261495	
554472	263055	Signora Carmela Esposito
554472	263721	
554472	280747	Signora Gioielleria
554472	289445	
554472	290895	
554472	305685	The Countess
554472	324890	
554472	336614	Lady with fruits on her hat
554472	342124	
554472	351922	
554472	352238	A friend of Gina's
554472	400729	Lilia's mother
554473	60121	
554474	105280	The Helen Miles Singers
554474	231546	Helen
554474	308978	Member of the Skye Band
554474	341721	Dot
554474	390596	Francine
554475	89025	
554475	137629	Parimala
554475	138716	Herself
554475	172588	
554475	287565	
554475	370976	
554475	401874	Herself : True Bliss
554476	288862	Herself
554477	141228	Ma Jackson
554477	361650	Mrs. Osborne
554478	136879	
554478	164319	
554478	176032	
554478	268093	Gudei
554478	323674	
554478	370204	
554478	370966	Jyoti
554479	4160	Bijli
554479	4293	Anuradha
554479	4504	
554479	4864	Chitra
554479	6364	
554479	8398	
554479	8492	
554479	9149	
554479	11733	
554479	13134	Asha
554479	17095	
554479	17888	
554479	18041	
554479	18919	Sumi
554479	18930	
554479	20298	
554479	24252	Gopi's sister-in-law
554479	25525	
554479	27497	
554479	28892	Lily
554479	29028	
554479	34530	Manju
554479	38190	
554479	39030	
554479	49589	
554479	58551	
554479	58559	
554479	58716	
554479	61022	
554479	62372	
554479	77046	
554479	79239	Mala
554479	83384	
554479	85327	
554479	85330	Chaman's girlfriend
554479	85424	Dancer
554479	86658	
554479	86743	
554479	88150	Jayant's wife
554479	88494	Dancer
554479	88597	Neela Allopee Prasad
554479	89598	
554479	95437	
554479	95445	
554479	98471	
554479	98591	
554479	107521	Rita
554479	109110	
554479	122695	
554479	123737	Jayshree
554479	124032	
554479	125156	
554479	126952	
554479	130662	
554479	139827	Shakuntala (Guest appearance)
554479	139830	
554479	140496	
554479	143821	Radha's Aunt (widow)
554479	144733	
554479	145676	
554479	148923	
554479	152449	Aunt
554479	152467	
554479	157339	
554479	163857	Renu
554479	164297	Rajrani
554479	164923	Bindia
554479	169194	
554479	169987	Sindhi woman
554479	171507	P.D.'s wife
554479	171845	
554479	174129	Tulsi's Chachi
554479	174633	Shabnam 'Shabu'
554479	175992	
554479	177952	Kamini
554479	180728	
554479	183134	
554479	183432	
554479	200623	
554479	201041	Miss Kaker
554479	207380	
554479	210679	
554479	211257	Amar Singh's step-mother
554479	211406	Kamal
554479	211421	Kapila Tai
554479	222506	
554479	227619	
554479	227881	Herself
554479	229375	
554479	239311	
554479	246803	Shanti
554479	248796	Suchitra
554479	250481	
554479	254409	
554479	254833	
554479	262374	
554479	262857	
554479	268064	
554479	268071	
554479	268078	
554479	268079	
554479	268093	
554479	271044	
554479	271727	
554479	272046	
554479	281480	
554479	284715	
554479	287800	
554479	288285	
554479	295544	
554479	296601	Guest Appearance
554479	297431	
554479	297566	
554479	297584	
554479	299570	
554479	299601	Girls Hostel Principal
554479	308995	Radha's mother
554479	343313	Dancer
554479	373714	
554479	373903	Mona
554479	375879	
554480	142085	Ehefrau Banker
554481	61627	Nora
554482	38299	
554482	252419	
554483	386497	Aide-infirmière
554485	167195	
554485	355882	
554486	159523	Sandrine
554487	382486	Ginette Galarneau
554487	411623	Corinne
554488	235870	Performer
554489	179318	
554489	304170	
554490	127263	Aphrodite
554491	312270	School Girl #1
554492	77829	Doctor
554493	286873	Chinatown Girl
554494	142770	Lars' mor
554495	328602	
554496	99075	GSA Student
554496	331992	Sasha
554497	52725	La gouvernante
554498	219497	Tong
554499	35783	Laura Ingalls at 3
554500	176686	Medicine Woman
554501	46818	Alice Williamson
554501	55891	Annie
554501	70473	Deborah Kent
554501	81343	Suzy Andrews
554501	120123	Miss Colleen Van Deusen
554501	214087	
554501	273344	Woman in Park
554501	307383	Susan Alexander
554501	311537	Susie
554501	406083	Cluny Bell
554502	238503	
554503	340220	
554503	358876	
554504	395929	Herself - Traveler
554504	408835	Trekker
554506	244421	Bridesmaid #1
554507	56996	Etcetera
554508	217745	Art History Student
554509	367516	Clare Foster
554510	174584	Sharon
554511	293643	Betsy, the maid
554512	14075	Herself
554513	41313	
554514	320150	Herself
554515	155303	Suzanne
554516	28920	Jen
554516	134145	Mary Beth
554517	1487	Herself
554517	26142	Herself
554517	31681	Stephanie
554517	76249	Victoria Carrera
554517	82683	Party babe
554517	106120	Model #4
554517	106121	Model #7
554517	116750	Simone
554517	118294	Herself
554517	122636	Herself
554517	194136	Herself
554517	202359	
554517	219129	Sandra Marshall
554517	264811	Laina Brookhart
554517	318743	Bikini Contestant
554517	381410	Feature Reporter (2001)
554517	381442	Jordan Tate (1996-1998)
554517	386964	Victoria Carrera
554517	388071	Host
554517	407067	Herself/Season 2 (2003)
554517	408369	Herself/Guest Panelist
554518	44325	Kathy Landry
554518	45503	Kay
554518	67593	Woman #4
554518	127204	Sears' Mother
554518	142251	
554518	335346	Cheryl
554519	136828	Little Buttercup (Mrs. Cripps
554519	264161	Lady Blanche, Professor of Ab
554520	310118	Rene
554521	199148	Nat Jackson
554521	262591	Angle Grinder
554521	365691	Mother
554522	255108	
554523	97147	
554523	162069	
554524	337378	Luisa, Bambina
554525	90731	Isabella
554525	199444	L'allieva Caricati
554525	218522	
554525	256542	Olivia
554525	303178	Signorina Bracco-Rinaldi
554525	307598	
554525	337506	
554525	356225	
554526	195771	Person at the Paris Opening
554527	6291	
554527	10959	
554527	18221	
554527	23407	
554527	25625	
554527	98088	
554527	163152	
554527	174650	
554527	243079	
554527	247601	
554527	259860	
554527	304122	
554527	332177	
554527	354475	
554528	33433	Santuzza
554528	64773	Marina Prandi
554528	89576	
554528	261612	
554529	276869	Big Hair
554529	333327	Dancer
554530	18395	
554530	35048	Beate
554530	156683	Irmgard Eyssen
554530	173304	Louise
554530	392503	Frau Hofmann
554531	356326	Herself
554532	236019	
554533	266019	Maud
554533	394585	Teresa Drabik (1997-1998)
554533	402755	Miroslawa "Mirella" Kaminska
554534	382491	Puppeteer
554534	385174	Puppeteer
554535	304758	Phoebe
554536	68162	Waitress Go-Go
554538	134672	'Jeopardy!' viewer
554539	34419	Roberta
554539	64825	Doris Greasza
554539	160669	Joanne Newcomb
554539	307386	Roselle
554539	403728	Martha Johnson
554539	404613	Robin Kennemer (1975)
554540	64743	Citizen
554540	245219	Driver
554540	346830	Granny Skreeb
554541	264158	Private School Student
554542	7978	Student 3
554543	304734	Hallucination Surgeon #1
554544	236696	Voice Over in Car/Plane
554545	87414	Florinda Bolkan
554546	400217	Nathalie Van Leeuwen (1994-19
554547	12174	Angela Leighton
554547	131391	Elsie
554547	148926	Josephine
554547	195973	Maid
554547	238728	Phoebe
554548	101193	
554548	353934	Ariane Bucquoy
554549	149930	Freda Hoffman
554550	86797	Angelique
554550	90236	Susan
554550	94856	Jacki Nesbitt
554550	154087	Prostitute Ruby
554550	392090	
554551	2369	Penelope Penn
554551	37838	
554551	56153	Dorothy Stone
554551	102992	Barnabetta Dreary
554551	114163	Kathleen O'Donnell
554551	200135	Mary Malloy
554551	213066	Edna Morris
554551	281407	Lady Noreen
554551	304845	Doris Dumond
554551	308054	Alice Lea
554551	311754	Norah Cavanagh
554551	315118	Felicia Day/Octavia, her Moth
554551	318028	Anne Victoria Gzbfernigambia
554551	328787	Juliett Hollis
554551	331534	Elizabeth Winthrop
554551	335154	
554552	41899	Angelica Topping
554552	93220	Henry's Mother-in-Law
554552	108027	
554552	120751	Hilda Shea
554552	128213	Hope Dugan
554552	143597	Ethel Sinclair
554552	194770	Joan
554552	195903	Mrs. Frazier
554552	196610	Peggy
554552	199768	Patsy
554552	203688	Linda Hyde
554552	203737	Lucy Osborn
554552	218124	Dowager
554552	242567	Kitty Walton
554552	292263	Lucy Remmick
554552	310774	Betty West
554552	311754	Kitty Cavanagh
554552	362210	Peggy Kendricks
554552	364812	Helen Morely
554552	367409	Civil War Girl
554552	367971	Dorothy Stoner
554553	55690	Virginia
554553	90335	Queen of the Surf
554553	283396	Dorothy
554554	240192	
554555	165518	Young Janey
554556	108788	Cook
554557	49389	The Duchess
554557	73872	Bride
554557	326378	
554557	381981	Miss. Lindsay
554558	356764	Tammy-Jade
554558	384097	Tash (1998-1999)
554558	387533	Ollie Reynolds (1999-)
554558	399069	Anne-Marie
554559	137	Juliette
554559	2940	Herself - Best Supporting Act
554559	3044	Herself
554559	5185	Herself
554559	6388	Brigitte B.
554559	10704	Alice
554559	13115	Michèle Stalens
554559	32585	Miriam Naumann
554559	51739	Anne
554559	62460	Vianne Rocher
554559	64292	Herself
554559	66596	Anne Laurent
554559	71766	Anna Malan
554559	89410	Herself
554559	91242	
554559	96037	Rose
554559	101233	George Sand/Baroness Aurore D
554559	101418	Hana
554559	109730	Anna Barton
554559	117910	
554559	146416	Herself
554559	153241	Pauline de Théus
554559	166317	Herself
554559	169959	Herself
554559	189318	La fille du rallye
554559	195147	
554559	208226	Anna
554559	209943	Une amie de Véronique au bar
554559	217651	Esther Bouloire
554559	227317	Antoinette
554559	243147	Herself
554559	254172	Herself
554559	275635	Nina/Anne Larrieux
554559	330329	Herself (Joan of Arc Sequence
554559	337186	Maud Garrance
554559	340119	Julie Vignon (de Courcy)
554559	340120	Julie Vignon (de Courcy)
554559	341068	Julie Vignon (de Courcy)
554559	345177	Beatrice Saulnier
554559	345312	Herself
554559	345511	Elsa
554559	345641	Tereza
554559	352927	Pauline (Madame La)
554559	353847	Natacha
554559	367767	Mara
554559	369185	Cathy Linton/Catherine Earnsh
554560	212135	
554561	119145	Goldmarie
554562	66745	Nurse 3
554563	176893	Telephone Operator
554564	408951	Tess
554565	122631	Rosl
554565	188763	Mary
554566	319941	Herself
554568	262647	Hooker
554569	163888	
554569	346269	Lady in the Theatre Box
554569	382029	Gospodja u pozorisnoj lozi
554570	193319	
554571	48124	Anizka
554572	67188	Lisa
554574	6722	Herself
554574	6723	Herself
554574	11358	
554574	26782	
554574	29782	
554574	31027	
554574	33565	Dancer
554574	34752	
554574	34753	
554574	34754	
554574	34757	
554574	34786	
554574	34863	
554574	36350	
554574	36364	
554574	50711	
554574	56936	
554574	60014	
554574	60156	
554574	62471	
554574	66069	
554574	69984	
554574	73609	Cindy
554574	97505	
554574	97506	
554574	105219	
554574	109526	
554574	120566	
554574	121614	
554574	127264	
554574	127808	Herself
554574	127810	Herself
554574	127818	Herself
554574	127826	
554574	128724	
554574	128832	Herself
554574	130157	
554574	139200	
554574	140986	
554574	141394	Cheryl
554574	149106	
554574	150220	
554574	161969	
554574	162832	
554574	165204	Herself
554574	166227	
554574	170898	
554574	177740	
554574	178324	
554574	178923	
554574	188049	
554574	188066	
554574	188624	
554574	190738	Herself
554574	194723	
554574	206450	
554574	206451	
554574	207862	
554574	246666	
554574	262618	
554574	263533	
554574	270116	
554574	271298	Ms. Templeton
554574	273467	
554574	282719	Herself
554574	304817	
554574	305523	
554574	307915	
554574	309217	
554574	316147	
554574	317117	
554574	317407	
554574	317938	
554574	321264	
554574	321636	
554574	321640	
554574	323822	
554574	335605	
554574	344499	Herself
554574	366857	
554575	79133	
554576	356221	Bea
554577	130827	Maria
554578	398051	Herself (5th Executed)
554579	14846	
554579	54024	La gallina
554579	66374	
554579	85610	Policewoman
554579	121894	Lidia
554579	214002	madre famiglia Caliciotti
554579	219591	
554579	252339	
554579	252638	
554579	256772	
554579	269154	Marthes mother
554579	270864	Segretaria dell'università
554579	272643	Pregnant woman
554579	281910	Signora Aprea
554579	296525	
554579	344601	Prostitute
554579	409093	
554580	356493	Necrophyle woman
554581	71266	
554581	100162	
554581	356493	
554581	380852	La pitonessa
554582	63890	
554583	217727	Maître Blondeau
554583	346762	La mère de Claudine
554584	43994	Nurse
554585	24960	Maria Alleghieri
554585	212094	
554585	342060	Female Lover {Mille Lune Mill
554586	170361	
554587	255643	Roller rink white woman
554588	160832	5th Officer
554589	215485	Herself
554590	111096	
554591	266859	
554592	87018	Cave Girl
554593	375709	
554594	226769	
554595	96183	The Woman
554595	134582	Suzanne Goffinet
554595	225454	Elisabeth Iglesias
554595	327573	Jeanne
554595	352031	Simone Hanot
554595	403170	Vera Pesci
554596	397094	Herself/Host (2001-2004)
554596	402921	Host
554596	409277	Herself/Panelist ("Cinéma") (
554597	20092	
554597	51743	Azevedo's Mistress
554597	83501	
554597	152642	Marcela
554597	170238	
554597	199958	Ada
554597	257892	
554597	301178	Elsa
554597	340068	
554597	354107	Delfina
554597	354448	Beba
554597	378799	Alicia Falcone
554597	380113	
554597	380116	Vanesa
554597	384119	Mercedes Quintana (1998)
554597	386783	Mariné
554597	391446	
554598	378908	Herself
554599	17626	
554599	268450	Elsa Tribeau
554599	328751	Girl in meadow
554600	83082	Gerda
554600	149477	Tilly
554600	252629	Festdeltager
554600	322459	Disa
554601	99240	
554601	123885	
554601	153776	Frk. Anne Marie Jensen
554601	209808	Leonora
554602	26060	Henrietti
554602	50659	
554602	109933	Anna
554602	153225	
554602	240524	Inez (veiled woman)
554602	308629	
554602	333414	The Employee's Sweetheart
554602	334140	Janet Poole
554603	5066	Birdie Girl
554603	43921	Roscoe's Waitress
554603	55122	Afro Waitress
554603	84956	Reporter
554603	195441	Reesa
554604	360027	Red's Watergirl
554605	303657	
554606	16113	Debbie Nolan
554606	156970	Sam's Mother
554607	33940	Hounslow Harrier
554608	26490	Woman 1
554608	86955	Woman in Chinese Restaurant
554608	411355	Hotel Maid
554609	387247	Teresa Di Marco (1998-2000)
554610	50985	Herself (Liverbirds)
554611	381571	Herself
554612	23463	Old woman
554613	381753	Vera (Series 1) (1969)
554614	169139	Wife
554615	103215	Joe Berry's Sister/Porcelain 
554615	319479	Rhonda
554616	84523	Donna Morgan
554616	265171	Helga
554616	316170	Rotten Tomato Vendor
554617	1674	Herself
554617	3040	Herself - Presenter: Best Doc
554617	9965	Jessie Barnes
554617	11280	Hallie O'Fallon
554617	13789	Jane Burnham
554617	13793	Herself
554617	18635	Mary
554617	65501	Sally Ryan
554617	78773	Susie Donovan
554617	95220	Empress Savina
554617	127237	Enid
554617	147214	Dani
554617	147496	Elizabeth Dunn
554617	148460	Liz Murray
554617	160464	Herself
554617	163852	
554617	201674	Herself
554617	218162	Eva
554617	221422	Herself (Presenter)
554617	232186	Clea Mahler
554617	236083	Young Tina 'Teeny' Tercell
554617	248431	Billie Pike
554617	250737	Sally Ryan
554617	267563	Molly Johnson
554617	292688	Sally Ryan
554617	296847	Susan Thornhill
554617	301516	Grace
554617	301946	Karen Cross
554617	305013	April
554617	305710	Lincoln Roth
554617	354750	Julie
554617	385806	Molly (1988-1989)
554617	400853	Taylor Buckman (1990)
554618	195400	Kissing Couple
554619	114827	
554620	209619	Baby Penny
554621	183868	
554622	35253	Child at Pool
554623	136827	Cousin Hebe
554623	213588	Pitti-Sing
554623	213591	Pitti-Sing
554623	256626	Edith
554624	127084	Annette Fleming
554625	106520	Waitress
554625	117073	Ilona
554625	164838	
554625	171596	
554625	191495	
554625	199117	Candy
554625	313562	
554626	69257	Radical Inmate
554626	136298	Masseuse
554627	109971	Chubby Checker Member
554628	347686	Jess St. James
554629	111108	
554630	389110	Herself - Host
554630	394726	Herself - Host
554631	368023	
554631	411378	
554632	134202	
554632	269435	
554634	200253	Ma Liang
554635	50056	Elinor Miller
554635	70642	
554635	78042	
554635	110562	
554635	110713	
554635	115977	
554635	125092	Zofe Betty
554635	134534	
554635	134801	Anny Huber
554635	134990	
554635	142013	Pia
554635	142239	
554635	142245	
554635	144038	Steffi Andersen (Daughter)
554635	144177	
554635	152750	Beryl
554635	155486	Käthe
554635	189818	
554635	207184	
554635	216373	
554635	223453	
554635	242847	Vicky die Zofe
554635	286211	Ellen Brinkmann
554635	310271	
554635	358896	
554635	359627	Herself
554635	360059	
554635	365004	
554636	239882	
554636	239883	
554637	29963	Drunken neighbor
554637	41772	Woman
554637	44468	Drunk's Wife
554637	56701	Mrs. Prattle
554637	77138	School Teacher
554637	79105	Rosie
554637	82899	Mitty Butterwell
554637	100820	Mrs. Yabledablov
554637	102580	Mary Morrissey
554637	126730	Landlady
554637	137452	Ernestine
554637	142668	Bea
554637	148200	Woman at Airport
554637	168858	
554637	169406	Gertie
554637	170982	Rose
554637	171049	Pearl
554637	184944	
554637	187691	Race Track Better on Iron Bar
554637	207865	Mugsy
554637	208326	Older Woman
554637	224412	Katie
554637	238229	Smoking neighbor
554637	241277	Grandma
554637	247378	Woman Manager
554637	259217	Mrs. Lois Feldman
554637	259219	Mrs. Stanwyck
554637	272647	Psychic
554637	289021	
554637	292510	Mama Miller
554637	303545	Dorothy Baker
554637	307980	Essie
554637	335714	Mrs. Jefferson
554637	348072	Gertie
554637	367746	Woman in Bargain Basement
554637	372525	Mrs. Greschler the Flower Lad
554637	381668	Mrs. Rose Cassidy
554637	385921	Mrs. Philbert
554637	393070	Mama
554638	51974	Herself
554639	112183	Elevator Operator
554639	187470	Celeste
554639	204550	Toto
554639	204798	Stenographer
554639	246358	Blanche Galloway
554640	318746	
554641	331872	Young Stacy
554642	132321	Rebecca 'Becca'
554642	295416	
554642	383631	Maxine Price: Health Care Ass
554642	399123	Paula
554643	87309	Old crone
554644	13685	Girlfriend
554644	80793	Woman in title sequence
554644	278220	Hot Girl
554644	319675	Jane King
554645	224429	Girl in Park
554647	71474	Dancer
554647	290319	Jacquelyn
554648	149757	Mrs. Smith
554649	154033	Cherry
554649	310583	Ann
554650	254523	Dancer
554651	17760	Tony Lacey's Girlfriend
554651	343279	The Girl
554652	33374	Kathy
554652	330640	Simone
554653	330640	Mrs. Stevens
554654	380226	Narrator
554656	155094	Nurse
554657	10415	Gloria
554657	118278	Cyn
554657	186512	Maria
554657	193594	Narcotics Agent
554657	232390	Mavis
554657	252741	Miss America
554657	317327	Molly
554657	350160	Rose
554658	11485	Nurse Bates
554659	158625	Sheila
554660	36855	Herself
554660	381917	Herself - Winner 2003
554661	37672	
554662	327840	Concessionaire
554663	399034	Mary Macdonald
554664	113416	Olly's sister
554664	248491	Siobhan O'Riordan
554666	273606	Shelly
554667	114109	
554667	189987	Nice Waitress
554667	269617	Anreonne
554667	298119	Consuella
554668	99212	Customer at the Gate
554669	27072	
554669	291176	
554670	75844	Norma
554670	147122	
554670	165459	
554670	166071	Bit part
554670	166081	Kitty Pew
554670	193264	Girl on Rum Boat
554670	207184	
554670	311031	Audience
554671	128142	Old Indian Woman
554671	196981	Indian
554671	396142	Indian
554672	378882	Presenter (2002-)
554673	283242	Charlotte
554673	396164	Gunvor
554673	403771	Elisabeth
554675	102581	Parents
554676	229687	Lady Hamilton's maid
554677	223658	Margaret
554678	195586	Chaney
554678	375515	Lurleena
554679	219207	Annie
554680	205312	
554681	161357	Herself
554681	220206	Herself (Supremes member)
554681	220208	Herself
554681	220209	Herself
554682	35451	Young Abigail
554682	41301	April Evans
554682	144790	Terry
554682	222363	Terry
554683	5052	Esther
554683	132912	Michaela Carapadis/Jenny Loui
554683	256951	Siobhan
554683	275876	Nicola
554683	306221	Sneakered Businesswoman
554683	375527	Mom
554683	384915	Herself
554683	385290	Various Characters
554683	385577	Correspondent (2002)
554683	410800	Connie
554684	194810	Tourist
554685	41428	Receptionist
554685	105396	Maria
554686	26846	Loretta
554687	151006	Mrs. Daniels
554687	197729	Na-Non
554687	313181	Anais's grandmother
554687	337180	Morehouse's Secretary
554688	165240	
554689	157235	
554690	9032	Renee Dupont
554690	21449	Princess Cherry Bouladoff
554690	47132	Mrs. Lehman
554690	54482	Gerta Klargi
554690	62000	Blonde
554690	73124	Antonya Raskolnikov
554690	78106	Sonia Bardos
554690	90864	Maria Di Mai
554690	120824	Valerie Monet
554690	128790	Alma, confined murderess
554690	148590	Rita Brown
554690	161897	Sandra Kamarov
554690	162931	Christine, the regal beauty
554690	169167	Mlle. Josette
554690	170805	Dr. Elise Bork
554690	188342	Hedwig Forsell
554690	188393	Countess Margot de Legere
554690	189545	Marie-Anne
554690	193738	Liane Mallison
554690	201460	Marie Gruber
554690	203400	Bit
554690	210060	Lucienne
554690	211099	Eileen Kell
554690	218377	Maxine
554690	221307	Lady Nora Ebbsworth
554690	226630	Countess Sandra Lubeska
554690	241283	Sonia
554690	254709	Tina Cromwell
554690	254710	Elizabeth Phillips
554690	262072	Constantine Ivaneska
554690	267550	Johanna Hartwig
554690	295347	Baroness
554690	298080	Stephanie Duval
554690	308576	Madame Bruat
554690	308592	Princess Valerie Hohenfels
554690	312007	Lola
554690	325299	
554690	333062	Mme. Bouchard
554690	363885	Dr. Sterne
554690	367805	Ruth Bracken
554690	367825	Yvette Aubert
554690	388870	Queen of Cygni
554691	299443	Herself
554692	286070	
554693	10918	Rebecca
554693	102964	Natasha
554693	106821	Connie
554693	316140	Loser-Magnet Woman
554693	370854	Lyn
554694	340348	Pauline
554695	110550	Mother Charly
554696	252769	Glorinha
554697	32371	Alice Levander
554697	32373	Alice Levander
554697	32375	Alice Levander
554697	32377	Alice Levander
554697	32380	Alice Levander
554697	32382	Alice Levander
554697	32383	Alice Levander
554698	267932	Stewardess #3
554698	314394	
554698	354477	
554699	59988	La crémière
554699	85612	L'infirmière
554699	111142	
554699	164169	Nurse
554699	307493	
554699	325961	
554700	120315	Singing girl on train
554701	125313	Mrs. A. Willek
554702	254867	Donna
554703	12380	
554704	160599	
554704	258689	
554704	288994	Anna
554704	364903	Kopfi
554705	1888	Foto prodajalka
554706	266363	Maid
554707	24171	Woman next door
554708	214931	Lottie, girl with telephone t
554709	324632	Sigrid, datter
554710	407608	Herself (host)
554711	43	Joanie
554711	56431	Lauren Madden
554711	185180	Ariel
554711	227335	George
554711	242866	The Broom Witch
554711	248057	Allison
554711	282467	Desert Lolita
554711	310689	Kelly Webber
554711	350343	Cheesy TV Announcer
554711	368151	Marcy Turner
554712	78470	Herself - Host
554713	3593	Arlene Vaughn Chandler
554713	43565	Lindsay Rubin
554713	108941	Nancy
554713	188615	Stephanie
554713	240746	
554713	347101	Patricia Carver
554713	348451	
554713	379676	
554713	379716	Arlene Dillon Vaughan Chandle
554713	399439	Karen Wright
554713	400236	Sondra Hall (1991)
554714	111251	Borghild
554715	26263	Ginny
554716	27347	Younger Christine
554716	161165	Ginny
554717	336723	American Tourist #1
554718	408769	Sonja Schmidt
554719	285313	Maid
554720	182602	Strip-poker-deltager
554721	10848	Shirley
554721	13396	Tina (segment "The Wedding Ri
554721	86958	Hattie
554721	141412	Jack's Mother
554721	166637	Mrs. Simpson
554721	166922	Cast Member
554721	178063	Mother
554721	187098	Miss Parillo
554721	221024	Young Woman Shopper
554721	272687	Mrs. Sweeney
554721	312557	Rachael
554721	393107	Jackie Schumacher
554722	55094	Nurse Kim
554723	16673	WPC
554723	37995	Billy's Mum
554723	40613	Nursing Sister
554723	366159	Hospital Nurse
554724	147124	Alice Hobson
554725	264054	Lady Jersey
554725	339688	
554726	1955	Herself
554726	260295	Herself
554726	401836	Herself (Series 1) (2001-2002
554726	401837	Herself (Series 1) (2001-2002
554726	411175	Herself
554727	350155	Matron
554727	364223	Snug Harbor Nurse
554728	384992	Bruna
554729	304518	
554730	34595	Mother of Dana
554730	137929	Gertrude
554730	277717	
554731	1358	Milja
554731	10007	Flora
554731	12694	
554731	14347	Marie-Pierre
554731	15063	Emily
554731	17194	La vedette féminine
554731	23646	Peggy
554731	33586	Liz
554731	33587	
554731	35453	The Woman
554731	41657	The Blonde
554731	43752	Jeanne
554731	53894	Jane
554731	56951	Catherine
554731	57557	Louise Vernet
554731	57894	Celle qui dit radin
554731	60520	Jane
554731	64079	Mab
554731	64489	Hélène Duvernet
554731	68401	Jane
554731	68930	Elle
554731	70145	Herself (segment "Pour Maria 
554731	71972	Janet
554731	76584	Caroline
554731	78896	Alta
554731	81239	Louise Bourget
554731	85530	Linda
554731	90132	Clara
554731	95467	Magda
554731	97948	Vally
554731	105440	Christine Redfern
554731	105566	Aurélie
554731	110054	La Comtesse
554731	111024	Laura
554731	112851	Anne
554731	122411	Herself
554731	124066	Barbara Penning
554731	165423	Calamity Jane/Claude Jade/Joa
554731	165424	Chanteur
554731	166168	Johnny
554731	172664	Exquisite Thing
554731	178840	One of Tolen's Girls (Girl on
554731	181842	Mary-Jane
554731	185640	Francie Montmorency
554731	186794	Katherine Mansfield
554731	206060	Renée
554731	210225	Olga
554731	211361	Pénélope
554731	212768	Herself
554731	213391	Inés
554731	219587	Corringa
554731	219590	
554731	220482	Jackie Logan
554731	220492	Marie-Paule
554731	230100	Hélène Chatelain
554731	230472	Johanna
554731	234573	Caroline
554731	240465	Jane
554731	256591	Alma
554731	256710	Penelope
554731	261015	Herself
554731	265623	Kate/Hélène
554731	268955	
554731	275128	Jane
554731	275700	Catherine
554731	280906	Naomi
554731	281256	Herself
554731	289557	Cesca
554731	294560	Jane Berg
554731	295886	Jane
554731	305108	Evelyne
554731	307111	La cigale
554731	307380	Mrs. Fortescue
554731	322358	Ariane Berg
554731	340347	Christine
554731	368057	Penny
554731	376593	Herself
554731	389997	Herself/Interviewee
554731	398837	(segment "Mer de Chine")
554731	403065	Violet Harrison
554732	395220	Herself (2001-)
554733	396399	Line Madsen
554735	11066	
554735	31403	Frau Solness
554735	35098	Priorin
554735	92544	Margaretes mother
554735	177914	Ljubow Andrejewna Ranjewskaja
554735	184364	
554735	223491	Frau Herrmann
554735	278489	
554735	290541	Maria Walser
554735	334515	Isabel Restrepo de Torres
554735	352358	
554736	198043	Nohra
554737	155414	Rita Flimmer (Chief Of Police
554738	411078	Katharina Wichert
554739	74934	
554739	124136	Grand-mère
554739	171545	Tourist
554739	181583	Governess
554739	198229	Clerkess
554739	223977	Max's Mother
554739	265233	Women
554739	281639	Prison Guard, Breslau
554739	283261	Woman with cat
554739	325653	
554739	339342	Women with pot
554739	339418	Bookstall Woman
554739	357437	Nurse
554739	373587	Servant maide
554740	24702	Lady 2
554741	226919	Lana Wilson
554742	78496	Herself - Choir
554742	154294	Ung pige i bank (Young girl i
554743	120305	Kvinde Med Sort Tale
554743	214339	Maid
554744	244450	Herself (friend)
554745	360251	2nd Girl in Casino
554746	35931	Doctor
554746	60425	
554746	60443	Mme. Sibircheva
554746	85212	Madame Irène
554746	90152	The Housekeeper
554746	94183	
554746	163896	Boyarina Efrosinia Staritskay
554746	163897	Boyarina Efrosinia Staritskay
554746	179722	
554746	244158	
554746	258658	
554746	349887	
554746	373750	
554747	156872	Herself - Architect
554748	274668	Wenda McMann
554748	359149	Brie
554749	81640	
554750	12985	Herself
554750	142642	Laura
554750	142818	
554750	342145	
554751	150462	
554751	278855	
554751	411802	Lynne Bassett (1988-)
554752	135000	Herself (Brussels)
554753	127780	Tadashi
554753	259003	
554753	259032	Additional Voices
554753	259088	Molly Hale
554753	259095	Max
554753	259096	
554753	259097	Officer Jenny/Nurse Joy
554753	259098	Melody
554753	272997	Umi
554753	392026	Additional Voices
554753	401740	Max (2004-), Caterpie, Butter
554753	405942	Helen
554753	411261	Stella
554753	411886	Tea Garnder
554753	411887	Tea Gardner (English version)
554754	24422	Friederike
554754	338658	
554755	33454	
554756	115106	Stripper #1
554757	280156	School Kid #1
554758	178281	
554759	25826	
554760	26478	
554761	256206	Party Guest
554762	378743	Silke
554762	404448	Iris Kleintann
554763	342662	Granddaughter
554765	321154	Dancer in 'Rhythm of Life' nu
554766	294566	(segment "Luxure, La")
554767	219933	Mary (Lamb Owner)
554768	302175	Bettina
554769	73416	Louise
554770	65474	Drunk
554771	937	
554771	122388	Margit,fodrászlány
554771	200823	Viola
554771	239432	
554772	291886	Maid at Clayton's
554773	265711	Alice
554774	287399	
554775	8103	
554775	38488	
554775	113484	
554775	156205	
554775	227968	
554775	377525	
554776	315242	
554777	19955	
554777	19956	
554777	21258	
554777	26655	
554777	33781	Alice Elliot
554777	34454	
554777	41914	
554777	45004	
554777	46724	
554777	48057	
554777	52667	
554777	54528	
554777	78919	
554777	89143	
554777	143106	
554777	145798	
554777	147090	
554777	239191	
554777	241281	
554777	300034	
554777	342532	
554778	340681	Fille 6
554779	262507	Katka Soligova
554780	401949	
554781	411366	Alice Wilson (episode 4: Lo-A
554782	249918	
554783	145754	Binnur
554783	380985	Asli
554784	33742	One of 'The Thirty Women'
554784	190503	Vera Harper-Lewis
554784	238072	Parole Board Member #1
554785	245265	Supermodel
554786	136763	
554787	290319	Carla
554788	11454	
554788	14247	Noemie Nioche
554788	41471	Maura Duffy
554788	44581	Liz Joyce
554788	70439	
554788	93693	
554788	116590	Roisin Hanlon
554788	126653	Jane
554788	201552	Kathy
554788	214912	Karin
554788	224853	Samantha
554788	274296	
554788	286300	Deborah McCeever
554788	319003	Maura Young
554788	333174	
554788	390163	Regina Crosbie
554788	408988	Maria Acklam
554789	37551	Herself
554790	72208	Liliom
554790	92695	Lucy Westenra
554791	383997	Zelda
554792	27160	Robbed Woman
554792	102199	She
554792	178125	Waitress in Toilet
554792	190177	Gina
554792	197740	Anna
554792	328501	Helen Shelley
554792	333246	Commando
554792	405165	Young Woman on Train
554793	16810	Kristie Lang
554794	356365	Leila
554795	83158	
554795	94100	
554795	118823	Viki
554795	153859	Countess Felicia Zichy
554795	172070	Hilda Bauer
554795	309289	Woman at the window
554795	343744	Agi
554795	354252	Edit
554795	377129	
554796	153698	
554797	112984	Herself
554798	216794	Herself
554799	338677	
554800	23549	
554801	412166	Hélène Beauchemin
554802	3093	Popolana
554803	46330	
554803	410359	Sophia
554804	96074	Marquita
554805	160492	Mike Wallace's Assistant
554805	162292	Wedding Guest
554806	89586	Dolemite Girl
554807	135835	
554808	89726	Secretary, Yo soy Godzilla
554809	212487	Mikaela
554810	19126	Young Lady #1
554810	24774	Skier
554810	45831	Ballet dancer
554810	66388	Nurse
554810	126282	Dancer at ball
554810	168648	Girlfriend
554810	291509	Saleslady
554810	380654	Lawyer
554810	385751	Guest Star (1978-1979)
554810	405882	Ursulla (1975-1976)
554810	406024	Comedy Skit (1962)
554810	406424	Maid
554811	58185	Graziella
554811	64013	
554811	85979	
554811	295171	
554811	355649	
554812	217689	
554813	197440	Macarena
554813	261643	Adriana
554814	137766	Phyllis
554815	87306	
554815	346402	
554815	364261	
554816	393878	
554817	40586	
554817	222697	
554818	179685	
554819	125279	Narrator
554820	244679	
554821	79761	Party Guest
554822	484	Nadine
554823	330221	Dr. Brown's Nurse
554824	187836	
554825	96148	The Woman
554826	89096	Dodo
554826	90829	Andrea
554826	93620	Kitty
554826	93627	Hoer 4
554826	105840	Mevrouw Dumont
554826	110548	Herself
554826	124901	Fenja
554826	126181	Linda
554826	126382	Zienka
554826	126859	
554826	132272	Blanchette
554826	142506	Dora
554826	152366	Jonge vrouw
554826	156137	Karin Jones
554826	164322	
554826	173037	Margo
554826	180192	Dora Van Duin
554826	187893	Joan
554826	188909	Masja
554826	196821	Linda
554826	203446	Sekretaresse
554826	227361	
554826	244307	Bianca
554826	247590	Janine
554826	249735	Paultje
554826	251632	Tereza
554826	257420	Rosa Knal
554826	288117	Moeder van Annie
554826	289855	Laurencia
554826	314887	Hoofdredaktrice
554826	326282	Sophie
554826	326349	Magdalena
554826	331968	Jenny Verbeeck
554826	357355	Felicity
554826	357391	Tante Leontien
554826	370073	Hostess
554826	371288	
554826	373797	Mevrouw De Vos
554826	375525	Bea Garato
554826	375724	Lynda Lambrecht
554826	381652	Angèle
554826	382403	Odile
554826	382551	Leonie
554826	386998	Herself
554826	387953	Vriendin Nicole & Hugo
554826	394203	Els
554826	394333	Rinda
554826	397654	Pim Donders
554826	400876	Lizzy
554826	401670	Annie Briers
554826	408151	Jenny Van Goethem-Bomans-Verb
554826	408223	
554827	170358	La fille de garde
554827	404281	Maid (ep 4&5)
554828	108361	Une adolescente
554828	170358	Louloute
554829	40202	Kimiko
554829	81463	Annabelle
554829	127237	Jade (Graduation Rapper)
554829	197420	Narrator
554829	235403	Ashley
554829	389858	Casey (2002-2003)
554829	401930	Casey Leong (2002, 2003)/Mari
554830	41934	Officer's wife
554830	56142	Allison
554830	68767	Patricia Meyer
554830	80382	Denise Long
554830	80402	Black Women
554830	118908	Gloria
554830	119585	Mrs. Summer
554830	154876	Adult Adlaine
554830	158319	Mikey's Mom
554830	195540	Hannah
554830	202619	Jessica
554830	236142	
554830	239891	Maynelle
554830	247498	Donna Paul
554830	263450	Phyllis
554830	301753	Beth Thompson
554830	302211	Nurse
554830	340109	Ms. Paul
554831	281769	Woman Newscaster
554832	54183	La barmaid
554832	86715	Clara
554832	135321	Mrs. Bonzon
554832	202700	Roberta
554832	252412	Dame Saumon
554832	300836	Buurvrouw
554832	319803	Laura
554832	354457	
554832	381815	
554833	88841	
554834	30247	Inga
554835	240614	Mrs. Anderson
554836	172337	
554837	240429	
554838	195247	
554838	236019	
554838	394876	
554839	285949	
554840	2883	Sandra Stark
554840	14878	Katia
554840	16033	
554840	56606	Baker's Wife
554840	74942	
554840	85978	Chief Matron
554840	238016	Olga
554840	263722	Beautiful brunette
554840	312170	Felicca
554840	319385	Lisa
554840	320343	
554840	352235	Enrica
554841	373856	
554842	23446	Reporter
554842	39404	Nurse Adams
554842	136270	Doris
554842	147900	Instructor
554842	152950	Dr. Wessberg
554842	300345	Crystal Conway
554842	306853	Ms. Fester
554843	30726	
554844	403533	Herself - Participant
554844	403536	Herself - Participant (2000)
554845	275257	Koncertsangerinde
554846	158986	Mrs. Hossela
554847	330221	Receptionist
554848	43126	
554848	228131	
554849	218180	Statue Woman
554850	77306	Putoli
554851	179393	The super six
554852	81054	Daughter
554853	187926	
554854	341674	Angie
554854	351908	Perilous Date 1
554855	308738	Daughter #1
554856	65542	Herself - Judge
554856	392678	Herself - Reporter
554856	400735	Herself (1998-1999)
554856	404608	Herself (2002)
554857	31021	Woman in kitchen
554857	41235	Liz Arden
554858	194269	Customer
554858	216802	Alice
554859	161712	Ren's Wife
554859	265473	Latin Woman
554859	296769	Teresa
554860	65946	Nurse
554861	41868	Pam Hodge
554861	215892	Mission Girl
554861	249611	Skirts
554861	274521	Zombie
554861	291503	Doreen
554861	300871	Phoebe
554861	304689	Beth
554861	361632	Marianne
554861	383516	
554861	388321	Janey Hutton (2003)
554861	395408	Jo-Ann
554861	401530	Helen Kitten
554861	410837	Yola Cromer
554861	411089	Bella O'Reilly
554862	5559	Lola Vane
554863	102834	Herself (founder, Mother Goos
554864	147560	Pier Lady
554865	134088	Mrs. Japheth
554866	59507	Maid
554866	141535	Alice Wilson
554866	193996	Sally Walters
554866	265253	Helga Neilson
554867	224025	Dolores Lassen
554867	270272	First Farm Mother
554868	292307	Blonde
554869	140019	Funeral Goer
554870	128655	Mrs. Fisher
554870	145952	Frau Schultzenbach
554870	271855	Guest
554870	335124	Bit
554870	365062	Woman
554871	153578	Grieving Farmer's Lovely Wife
554872	137578	Samantha Anderson
554872	399130	Kat Reilly (2003)
554872	405204	Sophie Bennett
554873	405209	Rose Crozier-Kearney (1997-19
554874	209221	Hillary
554875	37525	Bobbi
554875	110943	Grace
554875	149726	Lian Malian
554875	151044	Jennifer Andrews
554875	157314	Ann Moy
554875	167006	Rachel
554875	199228	Mrs. Ericson
554875	201959	Karen
554875	202533	Joanna Clay
554875	245375	
554876	90913	
554876	139048	Tracy/Louise
554876	360392	Sharon Evans
554877	270002	Herself
554878	5934	Pearl
554878	10738	Alice's Sister
554878	13378	Face of 7th Victim in Newspap
554878	18558	Bride
554878	26742	Taffy
554878	29547	
554878	32911	Sheila Murray (as Jacqueline 
554878	37174	Kate Johnson
554878	39341	Joan Alison
554878	42022	
554878	42940	Arline as an adult
554878	50244	Reba, the stranded woman
554878	54450	
554878	58647	Herself
554878	61740	
554878	64090	Camille
554878	65125	Ann Laurie
554878	70868	Barbara Forrest
554878	71531	Ann McIntyre
554878	79304	Herself
554878	83046	Claire Benton
554878	91235	Child Extra
554878	103270	Molly O'Hara
554878	108400	Annabelle Heller
554878	115494	Joan Hammond
554878	115530	Barbara Fisk
554878	118711	Betty Lindale
554878	128256	Loma
554878	128651	Ann Casey
554878	130716	Flora, as a child
554878	131360	
554878	138849	Janet Curtis
554878	139214	Chorine
554878	141035	Laura Stewart
554878	143135	Eileen Strong
554878	143944	Ann Blaine
554878	144586	Rita Channing
554878	144759	Lillian Pardee
554878	144970	Julie Vaughn
554878	145093	Jane Brady
554878	147663	Herself--Junior Hostess
554878	148298	Helen
554878	154789	Ruth Marshall (Scott)
554878	155586	Pat O'Rourke
554878	158561	Jackie
554878	160946	Mary
554878	173534	Maria
554878	178015	Salon client
554878	179034	
554878	183664	Myrtle Reed
554878	185502	Cora Munro
554878	190612	
554878	191589	Helen Gould
554878	192061	Mary LaRue
554878	195125	Janet Melrose
554878	201034	Helen Phillips
554878	208718	
554878	222672	Diane
554878	224324	Myrna Kingsley
554878	224325	Julia Allen
554878	231839	Claire Martineau, alias Marty
554878	235197	Laura McBain
554878	236901	Florence Lentz
554878	246606	Joan Bradley
554878	264171	Stewardess
554878	272110	Jane Tabor
554878	277447	Lee Gershwin
554878	284926	Mrs. Marge Hale
554878	287256	Mary
554878	289550	
554878	292831	
554878	297968	Betty Dennis
554878	304056	
554878	311995	Mady Platt
554878	312291	Sally Wayne
554878	314226	Myrtle 'Myrt'
554878	316064	Virginia Sommers
554878	325140	Mary Brooks
554878	325141	Mary Brooks
554878	331236	Ann Williams
554878	333070	Mary Sheridan
554878	336333	Joan Martel
554878	361841	Laurie Smith
554878	362792	Marjory Drake
554878	365188	Violet, Chorus Girl
554878	372093	Joyce Heath
554878	372359	Jacquie
554878	372491	Louise Mason
554878	398702	Julie Marshall (1952-53)
554879	244399	Mrs. Fawcett
554879	283084	Evelyn Henderson
554879	300326	Lady Irene
554879	348848	Doris
554879	391919	Izzy Johnstone
554879	403376	Alice
554879	405209	Olive Weaver (2000)
554880	393500	Mary Tobin
554881	7199	Rita Borden
554881	51886	Mrs. Jelke
554881	87280	Marjorie Houseman
554881	155453	Eleanor Aramis
554881	212623	Zelda
554881	224430	Sylvia Wienstein
554881	237562	Beth Douglas
554881	264785	Ray Stern
554881	269427	Maria
554881	273920	Kaye Brenner
554881	303455	Adele
554881	307273	Tutor Nover
554881	347414	Elaine
554881	367964	Amanda Leer
554881	390068	Emily Gilmore
554881	398751	Gloria
554881	400236	Serena Wyman (1989)/Dr. Robbi
554881	406907	(segment "First Impressions")
554881	408098	Ginger Thorn
554882	89334	
554883	13736	Caroline Kennedy Schlossberg
554883	30197	Nancy
554883	37467	Adele
554883	38822	Lady Badiyanu
554883	43015	
554883	43567	Leslie
554883	62542	Dana
554883	95786	Dr. Elizabeth Elkins
554883	119879	Carrie Reynolds
554883	124335	Bobby's Girlfriend
554883	161018	Mrs. Treadway
554883	164637	Marfa
554883	166904	Dead Blond
554883	176804	Senator Dawson's Wife
554883	191862	
554883	192015	Marina (English version)
554883	240529	Women in BMW
554883	248011	Jessica
554883	273835	Emily
554883	283015	Judith Nathan
554883	296684	Cody
554883	299393	Elevator daughter
554883	317926	Pam Wright
554883	355519	Denise
554883	359573	Peggy Ross
554883	402837	Aunt Bea
554884	160888	Resin
554886	35637	Army Nurse
554887	26394	Nurse
554887	107990	Nurse #2
554887	149938	Colette
554887	172703	Female Officer
554887	178138	Kate's Nurse
554887	310689	Suzanne
554887	331694	Bystander
554887	389858	Rose Kelly (1980-1984)
554887	404282	Rita Grant (1988)
554888	411354	Young Jackie Bouvier
554889	99558	Rosa
554890	18577	Woman
554890	88025	Hannah Krause
554890	149923	Mary Alice
554890	194810	Stella Ruess
554890	202239	Mrs. Johnson
554890	235443	Second Woman
554890	304691	Sean's Mother
554890	311517	Miss Leachman/Miss Hatfield (
554891	182412	Woman with dog
554892	194753	Child's mother
554892	252853	Star
554893	97314	
554894	178691	Emily
554894	404697	Annie Mack (1994-1997)
554895	169673	Maid
554896	5884	Johnson
554896	17685	Red Cross Rep
554896	275424	Nurse
554897	277355	Ewell
554898	215507	Warehouse Dentist
554899	30311	Sgt. Whitten
554899	67833	Mrs. D'Arcy-Twining
554899	76501	Maude White
554899	90236	Jenny
554899	97446	
554899	97463	Muffet
554899	152574	
554899	203297	Ann Turtle
554899	276004	Edith
554899	278218	
554899	278476	Beth Rogers
554899	291049	Cab driver
554899	307001	Nursing Sister
554899	333244	
554899	366955	Cecile Bannerman
554899	382743	Mary Maloney
554899	387151	
554899	389140	Alice McCall
554899	399816	Melissa Hobson (1976)
554899	400775	Marjorie Stack
554899	402197	Antonia McNally (1979)
554900	404409	Bonnie
554901	67240	Marco Polo
554902	274521	Miz Ashley
554903	1787	Receptionist
554903	278255	Jewel
554904	187338	Tania
554904	398972	Mrs. Keppel
554904	405525	Lady-in-Waiting (episode "Cat
554905	116741	
554905	223864	Lynn
554905	405847	Gloria
554906	384483	Mrs. James
554907	320030	Mary Foley (adult)
554909	189403	Stripper
554909	189921	Biker Girl
554909	223787	Party girl
554909	273275	Girl on Beach
554909	283944	Hooker in Car
554909	292018	Jonelle Murphy
554909	324777	Foxy Extra
554910	396718	
554910	396899	Vilma
554911	14908	
554913	12252	Head Nurse
554914	387958	Herself
554915	294987	
554916	65555	Empleada
554917	219511	Grand-mère Charlotte
554918	169679	Pancake Waitress
554919	205960	Rosalla
554920	136448	Herself - Nutrition Expert, I
554921	188936	
554922	127238	Tabitha
554923	351548	
554924	50199	Mary Lloyd
554925	111035	
554926	100364	Dorothée Bancel
554926	137273	Mother
554926	148735	Camille Desrouillere
554926	234576	Diouana
554926	332216	Cassy
554926	361606	Soeur Marie Joseph de Cluny
554926	391924	Sarah
554927	215691	Miss New Hampshire USA (Semif
554928	274060	
554929	375045	Ziegfeld Girl
554930	321678	Phrenology Head
554931	312564	St. Ives' Mother
554932	16940	Judi
554933	72	Herself
554933	3857	Herself
554933	7592	Herself
554933	9129	Gwen Meighen
554933	13736	Jacqueline Bouvier Kennedy On
554933	14567	Louise
554933	17555	Anna Karenina
554933	33375	Pamela
554933	47194	Lady Lewis
554933	49378	Cathy
554933	54219	Candy
554933	55725	Herself
554933	56314	Miss Goodthighs
554933	62542	Marisa Granger
554933	73258	Holly McPhee
554933	74940	Jacqueline
554933	76058	Catherine Lelievre
554933	77760	Maggie
554933	78015	Paola Franco
554933	79753	Herself
554933	81958	Gail Berke
554933	84377	Norma MacIver
554933	90676	Anna Carla Dosio
554933	93956	
554933	100822	Christine Van Buren
554933	103930	
554933	109340	Maureen Doherty
554933	114281	Anna
554933	117343	Nina von Halder
554933	118888	Herself/Interviewee
554933	125744	Angie
554933	130192	Herself
554933	133995	Liz Cassidy
554933	144930	Katherine
554933	147255	
554933	147703	Host
554933	158773	Barbara Hallsworth
554933	161272	Herself
554933	167041	Mary
554933	168120	Isabelle D'Arc
554933	178840	Extra
554933	185964	Lila Montagne
554933	186041	Headmistress
554933	186822	Nell
554933	188275	Helen Lyne
554933	190034	Rose Bean
554933	200517	Tatiana/Christine
554933	200902	Nicole Chantrelle
554933	201173	Jane Lambert
554933	206252	Frédérique
554933	211219	Paula Clarkson
554933	222727	Countess Andrenyi
554933	230869	Geraldine
554933	235552	
554933	236505	Julie
554933	237891	Herself
554933	241166	Sheila Gaines
554933	251082	
554933	277622	Liz Hamilton
554933	277749	Anna Crawley
554933	282105	Isabella Colbran
554933	292784	Jenny
554933	294573	Pandora
554933	295560	Madame Simone
554933	304870	Frances
554933	311252	Helen Mallory
554933	312563	Janet Whistler
554933	313074	Sheila Hammond
554933	314606	Herself
554933	320156	Carol Rosen
554933	321288	Vickie
554933	321486	Christine/Mrs. DeLuca
554933	330315	Laura
554933	342856	Jackie
554933	346174	Yvonne Firmin
554933	355883	Herself/Julie
554933	363189	Kay Kirby
554933	364190	Natasha
554933	365380	Claudia Lirones
554933	366712	Barbara Thomas
554933	373405	Herself
554933	377639	Wendy
554933	391835	Herself
554933	392705	Sarah
554933	398989	Josephine de Beauharnais
554934	385613	Sister Leo
554935	378966	(1983)
554936	2761	Herself
554936	11661	Tally Fuller
554936	26387	Ann
554936	43919	Lily
554936	78670	Jessica Wells
554936	80854	Bobbi Gilbert
554936	90932	Robby Krieger's girlfriend
554936	137543	
554936	161290	Herself
554936	210458	Herself
554936	213662	Jessie
554936	251054	Daniela Foster
554936	261270	Claire
554936	292793	Gaby Smith
554936	293082	Herself
554936	304342	Jennifer Thorne
554936	363270	Herself
554936	391740	Cara (1990-1991)
554936	397401	Jane Andrews Mancini Mancini 
554937	235622	Rachel Ericksen
554938	34031	La madre di Giovanni
554938	90673	
554938	260890	La signora Enrichetta
554938	322575	Concierge
554938	339997	Marta
554938	374211	Natalia
554939	249236	Bridget Blair
554940	272743	Kassiererin
554941	219007	
554942	387247	Clare Tyler (1993-1998)
554943	363393	Stewardess
554944	52988	Notera Coronel Serrano
554945	178119	Maid
554946	18999	Ana
554947	86911	Loulou
554948	64660	Aerial Hoops
554949	336979	
554950	147136	Serveuse
554950	225373	La prostituée junkie
554950	237306	Samantha
554951	101646	Elizabeth
554952	231997	Ballet Dancer
554953	35652	TV Reporter
554953	87885	
554954	7982	Cassie
554954	99631	June
554954	309564	The Girl
554955	231997	Ballet Dancer
554956	18	Teacher
554957	131015	Camille
554959	6618	Infirmière Louvre
554959	24681	Un convive
554959	88119	Angèle
554959	217648	Boule
554959	327076	Sylvette
554960	20625	Extra
554961	377141	
554962	196700	Johanne
554963	168714	Prostitute
554964	261830	L'attachée de presse
554965	12651	Gianna
554965	148718	Sandra
554965	199997	Dr. Zanchi's Secretary
554965	211307	
554965	292969	
554966	258536	
554967	29650	Lauren
554968	73576	
554968	94889	Vera Kolar
554968	163050	Jagoda
554968	239466	
554968	272556	
554968	272565	
554968	399928	
554969	393036	Comentarista (2004)
554969	409955	
554970	24571	Morgan Black
554970	163453	Herself
554970	320148	Taylor
554970	340418	Corrine Findlay
554970	351775	Wexler's Secretary
554971	3504	
554971	12021	
554971	12661	
554971	14962	The Humberto's lover
554971	52214	
554971	54113	
554971	68941	
554971	74966	
554971	80105	
554971	83128	Lina
554971	85575	
554971	146504	
554971	149959	
554971	150529	
554971	160137	
554971	181668	
554971	189295	
554971	193059	
554971	194614	
554971	206741	Martín Fierro's Wife
554971	233039	
554971	236437	
554971	239276	
554971	253670	Catalina
554971	257901	
554971	287460	
554971	293578	
554971	294858	
554971	379852	
554971	384253	
554971	384826	
554971	384975	Susana
554971	386737	
554971	391854	
554971	392847	Eglantina Alonso
554971	395477	Raquel
554971	397581	
554971	398489	
554971	399497	Natalia
554971	399714	
554971	402427	Paula Corvalán
554971	405242	
554971	407249	
554971	407756	
554971	408847	
554972	21759	
554972	60973	Basudha
554972	172616	
554972	204372	
554973	300887	Siddeshwari--as a Child
554974	23195	Tarapada's mother
554974	27663	
554974	43410	Attama-young
554974	60973	Latika
554974	138935	
554974	139986	
554974	287396	
554975	29081	Phoolan Devi
554975	36277	Maid
554975	43978	Bharti
554975	68681	Ranibai
554975	82006	Psychiatrist
554975	98495	ACP Malti Vaidya
554975	126911	Tanya
554975	140665	Somu's mother
554975	175922	Flavy
554975	256161	Village idiot
554975	286537	Dulari
554975	359934	
554976	4728	
554976	19510	
554976	25952	Roopa
554976	59012	Noorie
554976	86746	
554976	98552	
554976	164857	
554976	206932	
554976	285620	
554976	344066	
554977	67480	
554978	254996	Nun
554979	141696	Vesping
554980	1117	Laura
554980	211217	Motzné, tragika
554981	165123	Lady Singer
554982	60790	College Student 4
554982	81378	
554983	29864	
554983	87933	
554983	130146	
554983	191403	
554983	300379	
554983	351540	
554984	91769	Prisoner at Phone
554985	114384	Bunny
554986	35320	Herself
554987	25045	
554987	53889	
554987	62513	
554987	103903	(segment "A Morte da Porta-Es
554987	166381	
554987	202547	
554987	207726	
554987	214631	
554989	369373	Wandzia
554990	304164	
554991	104930	Cherry
554992	124328	
554993	67187	
554994	365812	Enfant
554995	325857	
554996	51295	Smukke Sally
554997	63046	Miss Sky Mountain
554999	5086	
554999	11770	Carla Polandt
554999	18527	
554999	18535	
554999	43659	Fannerl
554999	49275	
554999	49299	
554999	87889	teacher
554999	91125	
554999	92555	
554999	155374	Vermieterin
554999	229391	Wirtin
554999	259603	Bäuerin
554999	259821	Bibsi Swoboda
554999	261146	
554999	325379	Frau Seelbruck
554999	325628	
554999	352071	
554999	361500	
554999	361559	Lehrerin
554999	365638	
554999	369167	Hebamme
554999	376268	Johanna Lottermeier
554999	376575	Nachtschwester
554999	377350	
554999	396613	Burgerl
554999	403925	Kellnerin
554999	412110	Erika
555000	70700	
555000	212139	
555000	269580	
555000	344815	(segment "Com Um Pouquinho de
555000	376587	
555000	386123	Mercedes Miranda
555000	392792	Veneranda Faruk
555000	401103	
555001	101811	
555002	235244	
555003	70487	
555003	385025	
555003	387777	Young Vivian
555003	396651	Soninha
555004	184353	
555005	100721	
555006	400902	
555007	6756	(segment A Assinautra)
555007	18504	
555007	29051	
555007	51783	(segment "Cartão de Crédito")
555007	98757	(segment "O Artesanato de Ser
555007	159510	(segment "Tuba, A")
555007	196662	
555007	247390	
555007	251009	
555007	265456	
555007	322265	
555007	356033	
555008	21609	
555008	104179	
555008	135268	
555008	217388	
555008	234630	
555008	237216	
555008	237875	
555008	258688	
555008	286578	
555008	377609	
555008	388998	Suely
555008	393005	Manuela
555008	403740	Marta
555008	404798	
555008	410476	
555009	20029	Sílvia
555009	68808	Zilda
555009	197989	
555009	320415	
555009	377281	
555009	377608	
555010	368872	Herself
555011	177975	
555012	132247	Marshall Dance Team
555013	58511	Dancer
555014	138487	Grandmother
555015	165054	
555015	268509	Ivanka
555016	224478	Alena
555017	169843	Kathy
555018	5106	
555019	27264	Peeper with telescope
555019	37701	Sandra
555019	50488	
555019	84407	
555019	106528	
555019	128869	
555019	131660	
555019	151618	
555019	188513	Miss Dillion
555019	252382	
555019	267381	
555019	295943	
555019	296111	
555019	303366	
555019	308087	
555019	309050	
555019	318183	
555019	321238	Woman who wants to be licked
555019	365127	
555020	103215	Grandma with Groceries
555021	158873	Extra
555022	230531	Nurse
555023	164193	Vendeuse
555024	132817	Laurence
555024	158733	
555025	71829	La femme
555025	244985	Iris
555026	345557	Enfant
555027	254968	Performer
555028	49973	Religious Vendor
555028	261052	Israeli Interrogator
555028	359060	Boomer
555029	28234	Erzika
555029	58252	Herself
555029	160264	Teresa
555029	165054	
555029	213678	Gypsy singer
555029	229469	
555029	283977	Jolanka
555029	374397	Zena
555029	378510	Gypsy
555030	152790	
555031	373856	
555032	60699	
555032	134867	
555032	134909	
555032	162144	Natasha
555032	198131	
555032	217280	
555032	244644	
555032	261323	
555032	294674	
555034	223719	Aunt Nota
555035	41401	Roxy
555035	69814	Beverly Colburn
555035	117522	Juanita the Bull Tamer
555036	281027	
555037	254621	Schoolgirl
555038	188489	Woman in Camp
555039	188489	
555040	154959	Brothel Woman
555041	176525	Colonist
555042	176525	Colonist
555043	187193	Lady With Hair
555044	88382	Safou
555045	82055	Daniel's mother
555045	113803	Furniture Buyer
555045	134672	Anchorwoman
555046	315131	Young Sally Ann
555047	213114	Person on Dock
555048	80813	Eleanor Steadman
555048	241270	Miss Julene
555048	279456	Woman on Train
555048	279467	Waitress
555048	285726	Mrs. Jordan
555048	309022	Receptionist
555048	315238	Maria
555048	318755	
555048	333421	
555048	362407	Mrs. Raymond
555049	47993	Spurned Woman
555050	347688	
555051	88654	
555051	149390	
555051	171258	
555052	120298	Shanie
555052	143284	Wendy
555053	321661	Sally
555054	355703	Mirella
555055	160832	Mrs. Brown
555056	73483	Yanina
555056	105379	Linda
555056	201667	Linda/Herself
555057	139360	Meriem
555057	355808	Papicha
555057	390477	Herself
555058	396882	
555059	10825	Ángel de la guardia
555061	88697	Dobermann bébé
555062	43183	
555063	220534	Maylay Ogstad
555064	69926	Newscaster
555064	81339	Female Soldier
555064	387493	Szandra
555064	407233	Viktória Liszka (2003-2004)
555065	18973	Eva Asimov
555065	56545	Herself
555065	189687	
555065	289508	Marie Nathusius (jung)
555065	325754	Andrea Jahns
555065	356567	Barbara
555065	376134	
555066	84367	The Girl
555067	59277	
555067	62824	
555067	94653	
555067	110052	Une ouvrière
555067	110118	
555067	197401	
555067	306947	
555067	340123	
555067	390491	
555068	276505	Marie
555069	320529	Lyuba
555070	83377	
555071	4016	Mishima Sayoko
555071	26238	Female Boomer, Nam, Naoko
555071	74122	Norma
555071	260320	Mary
555071	322417	Sahari
555071	323134	Hiroko
555072	243763	Dancer (Bacca)
555073	173430	
555074	159346	(segment "Elixir de amor")
555075	187238	Jenoba
555076	270037	Sira
555077	166129	Hostesse Ibis
555077	261729	Lt. Galard
555078	352405	Body in Woods
555079	49678	
555079	90727	
555079	183148	
555080	69560	
555081	218549	Signora Bonizzoni
555081	229618	Una cameriera
555081	252309	
555081	252749	Aurora
555081	294526	
555082	43756	Enfermeira (segment "Primeiro
555083	177935	
555084	1050	Birgit Malm
555084	202774	Miss Lindkvist
555084	310254	
555084	326127	Prostitute
555084	348728	Kristina
555085	129166	En bondejente
555086	111475	Mother
555086	237421	Magga fyrrverandi kona Þórs
555087	870	Ingey
555087	231422	
555087	233989	Marta
555088	304393	Laila
555088	331069	Ingeborg
555089	144225	
555090	26981	Militant
555091	27571	Kirsten Wilmer
555091	32542	Else
555091	40297	Moderens veninde
555091	42204	
555091	105047	Edith Frederiksen
555091	105068	Edith Frederiksen
555091	114827	Restaurationsgæst
555091	116362	Jytte Dahl
555091	136463	Gymnastiklæreinde Frk. Christ
555091	140726	Herself
555091	143219	Sarons Rose
555091	154075	Kolja
555091	213436	Sergent Bentsen
555091	234534	Speaker
555091	237286	Sygeplejerske
555091	255671	Fjernsynskommentator
555091	305128	Iversen
555091	343719	Ekspedient i forretning
555091	385525	Frøken Christensen
555091	394830	Backstreet abortionist
555092	22065	Herself - Choreographer/Direc
555093	376231	
555094	172509	Gospodja Martin
555094	187969	
555094	351345	
555095	394152	Muzicar
555096	92086	Sekretarica
555096	95925	
555096	183882	
555096	215355	Russian officer
555096	243641	
555096	255770	
555096	271379	
555096	272559	
555096	288986	
555096	390388	Boskova sekretarica na klinic
555096	401928	Lenina majka
555096	406315	Beba... Poparina sekretarica
555096	406316	Beba... Poparina sekretarica
555097	43153	
555097	261676	
555098	190826	Gottlieb
555099	3161	Woman being beaten
555099	134165	Karin Olsson
555099	142732	Elisabeth
555099	226516	Nadja's Mother
555099	390950	Mum Eva
555099	405539	Elisabeth (2000)
555100	1434	Herself (Babes In Toyland)
555100	235407	Herself
555100	284526	Herself
555101	410019	Naken Jente i kollektiv
555102	102161	Sköterska 1
555103	78488	Herself (performing 'Der er m
555103	78495	Herself (performing: 'Helt de
555104	184666	Herself - Makeup Artist
555104	184669	Herself
555106	340429	Krestine
555107	34222	Margita Brenner
555107	174255	Dolly
555107	312225	Singer
555108	347148	Torill
555109	134943	Mia
555109	172789	Kottegroen
555109	198008	
555109	245943	Eva Velin
555109	341810	Gerda Skogsberg
555109	342313	Mirre
555110	255485	Palma
555111	167056	
555111	401515	Miranda
555112	7580	Johanne
555112	234826	Nanna
555113	391354	Herself - Host
555113	407264	Herself - Model
555113	410225	Herself - Host (2004-)
555114	7578	Hanne - Tines mor
555114	30160	En rig kone
555114	84266	Nancy
555114	101314	Fru Dampe
555114	138930	Berits mor
555114	146605	Kims mor
555114	181736	Broderiforretningsejer
555114	190826	Fru Riisgaard
555114	237291	
555114	304363	Jenny Knudsen
555115	391315	Herself - Reporter
555116	123504	
555116	214346	Kokkepige
555116	284393	Dorthe Senille
555117	78486	Herself (performing 'Med eksp
555118	397389	Host (1981-1988)
555118	409555	Herself - Host (1980)
555119	304479	Brittany
555120	153402	Pigen
555120	378334	Signe
555121	92379	Herself
555121	119447	Herself - Minister for Food/F
555121	153398	Herself
555121	237405	Herself - Minister for Food/F
555121	306778	Herself
555121	353037	Herself
555122	181071	Herself
555123	99511	Stine
555123	234826	Pige/Girl (Benedicte)
555123	388757	Various roles (2001)
555123	400118	Yvonne
555123	401573	Jenny
555124	14994	Gundelil
555125	147018	Herself - Receiving donations
555125	246034	Herself - Presenter
555125	325133	Reklamepige
555125	387450	Herself - Host (1992)
555125	406573	Herself - Host
555125	407003	Host
555125	407056	Herself - Host
555126	122339	
555126	255673	Smuglerpige
555126	255699	Bondekone
555127	238555	Rita (Johns mor)
555127	252000	Karna
555127	351046	Marie
555128	99519	Enkefru Holm
555128	138530	
555128	192662	Miss Dorrit Vollmond
555129	187563	Baby 'Russin' Volt IV
555130	206170	Elesius, en ung bonde
555131	47930	Drake University Student
555132	32658	Heather, the girl at baseball
555133	213276	Little Girl
555134	263360	Female Guest (Party)
555135	88766	Girl with Spider
555136	78782	Abigail
555137	305898	Student
555138	356472	Herself - The Media
555139	383456	Herself/Model (1978-1981)
555140	305898	Student
555141	18	Party Guest
555142	13685	
555142	85032	
555142	127103	
555142	215500	
555142	264157	Countess Elan
555142	271344	Mourner
555143	80022	Chloe Lane
555143	80023	Herself/Chloe Lane
555143	206397	Tracie
555143	385824	Chloe Lane (1999-2003, 2004)
555144	126508	Chantamina
555144	212320	Hekla
555144	219030	Eva
555144	321688	Elizabeth: Cromwell's Whore
555144	386966	Angelique
555145	361541	Carrie
555146	145415	Girl with guy
555147	195771	Person in the Colony Room Clu
555148	173089	Birthday Party Guest
555150	232385	Mrs. Sostrom
555151	108053	Baroness Brita Gyllenblad
555151	228384	Marja
555152	349575	Louise's friend
555153	303843	Flicka i vit kappa
555154	211815	Mrs. Doyle
555154	220891	Shareholder
555154	375792	Martha Ritchie
555155	109976	Coffee shop girl
555155	174076	Bergström's Maid
555155	190845	Guest at Hotel d'Italia
555155	198265	Guest at the nightclub
555155	203100	Model
555155	209306	Guest at Party
555155	219294	Young Woman
555155	237081	Ung dam på restaurangen
555155	321510	Dancer
555156	199518	Jörgens flickvän
555157	6117	One of Tova's girlfriends
555157	20546	Krogdam: Nettan/Progbrud: Mar
555157	156504	Policewoman
555157	169976	Rosalyns mor
555157	190846	Veronika
555157	355702	Camilla (episodes 1, 2)
555157	357612	Nenne Philgren
555157	403084	Jeanette Wester (1995-1998)
555158	23415	Solarieflicka
555159	51116	
555159	131560	Blondie
555159	287569	Tracy
555159	325079	Filipote
555159	377332	Martina
555159	387194	Åsa Moström
555159	396345	Stum-Sara/Sara the dumb
555159	408800	Janet Karlsson-Persson (1997-
555160	99015	Chrysothemis
555161	181825	Cordelia
555162	846	Herself - #53: Red Carpet Dis
555162	3044	Herself - Performer: 'I've Se
555162	19631	Interviewee
555162	39112	Herself
555162	39113	Herself
555162	39114	Herself (singer)
555162	39115	Herself
555162	39119	Herself
555162	62748	
555162	77701	Selma Jezkova
555162	119520	Herself
555162	135730	
555162	142327	Gestur's Mother
555162	151839	Gest's Sister
555162	155019	Herself
555162	167654	Herself
555162	170866	Margit
555162	174103	Eiginkona
555162	221417	Performer
555162	221480	Herself
555162	246485	Herself
555162	253218	
555162	266419	Model
555162	280593	
555162	314371	Stella
555162	354601	
555162	356765	Herself
555162	368287	
555162	368289	
555162	368290	Herself
555163	681	Elsa Borell
555163	14964	
555163	17587	Anna Sophie Hedvig
555163	21374	Märta Skaug
555163	26570	Agnes
555163	29014	The baroness
555163	35026	Anvar
555163	37754	Selma Lagerlöf
555163	70829	
555163	77404	Inger von Schilden
555163	84287	Siv
555163	101636	Karin Åkerblom
555163	104414	Simone
555163	117691	Ingeborg Eriksdotter Jaatun
555163	121010	Miss Julie
555163	126304	
555163	127569	Helene
555163	130070	Queen Victoria
555163	130072	Mrs. Yvonne Frejer
555163	136613	Eva Dahl
555163	137907	Ofelia
555163	138015	Karin Engström
555163	138182	Jessie Weston
555163	144346	
555163	145455	Anna Jesper
555163	146924	Amanda Kattong
555163	159642	Evelyn
555163	174093	Ulrika Eleonora
555163	179707	Narcissa
555163	179773	
555163	182263	Maj Andersson
555163	182282	Frida Grande
555163	182306	Rakel
555163	182807	Mrs. Holm
555163	184890	Anna Åkerblom
555163	204532	Birgitta Lindell
555163	206193	Madame de Monteuil
555163	215267	Célimène
555163	217451	Margareta Snellman
555163	225314	Birgit Maria Larsson
555163	232168	'Hoffy' Hoffmeir
555163	268338	Birgit Larsson
555163	284101	Lilian Lind
555163	287560	Karin
555163	312283	Sophia
555163	322310	Kyllikki Malm
555163	334740	Erna Alm
555163	339454	Siri von Essen
555163	343484	Rebecka Striid
555163	349081	
555163	355627	Helen G:son Lundberg
555163	377304	Petra
555163	377386	Anna's mother
555163	382893	
555163	388894	Amalia (episodes 4-9)
555163	390231	Queen Victoria
555164	60278	Girl 2
555164	60371	Sussi Balzar
555164	107236	Gerd
555164	122273	
555164	134547	Various Characters
555164	184890	Mia Falk
555164	252007	Inredningskatt
555164	283694	Lena as older
555164	303843	Marie
555164	381258	Pia Lorentzon
555164	388894	Berta
555164	393273	Elisabeth Tobiasson
555165	311980	Angel 2
555166	88392	Inga Grönlund
555166	115402	Girl at the harvest celebrati
555166	305303	Waitress
555166	316909	Daughter in Waiting Room
555167	353436	Fireman
555168	11716	Alice
555169	398852	Fru Nyström
555170	197808	Nilla
555170	354426	
555171	307766	
555172	165134	Herself (director of the cast
555173	225310	Camilla
555174	214839	Vanha nainen haudalla
555175	349148	
555176	22194	
555176	38897	
555176	95146	Donna Jordan
555176	148875	Natasha
555176	165117	Gimma
555176	184786	Rimma Kyrö
555176	188933	Hanna-Riikka
555176	194701	Cora Stanton
555176	200933	Leena Liikanen
555176	201721	Herself
555176	214839	Milla
555176	274169	Mary Shaw
555176	283145	Kaarina Vainikainen
555176	320513	Maria
555176	330562	Rebecca
555176	332518	Matilda
555176	346209	Renée (at age 17)
555176	354083	Hanne Salmi
555176	371962	Gertrude
555176	386432	
555176	398541	Various (2001-)
555176	400496	
555176	407489	Tanja
555176	410461	Alea
555177	212337	Herself - Participant/Perform
555178	156504	Priest
555179	212337	Herself - Participant/Perform
555180	122272	Malin
555181	163496	Managers assistant
555182	122449	Young girl
555182	142765	Amanda
555182	387262	Lisa (segments 2, 6, 9)
555183	228409	Rosa Lund
555183	315603	Flora Hubert
555184	198386	Ina Floor
555185	320508	Agneta
555186	158685	Louison
555186	312229	Martin's daughter
555187	182566	Guest at the party
555188	29559	Matilda Roos' Maid
555188	204532	Model
555189	6580	Maid
555189	178743	Narrator
555189	184577	Karin Lind
555189	190668	Sonja's maid
555189	209311	Woman, 1908
555189	276336	Märta, restaurant guest
555189	322298	Actress
555190	156038	
555190	182219	Anni Stark
555190	248145	
555190	324102	
555191	142792	Marja Nyström
555192	309064	
555193	190807	Novice
555194	188886	Madden
555195	159646	
555195	170710	Anna
555195	192821	Modekonferencier
555195	268355	
555195	293101	
555195	307773	Audrey
555195	313173	Acupunturist
555195	332378	Zoe
555195	332791	Mona
555195	395992	
555195	397845	Fröken
555195	403084	Krystyna (1997)
555195	405825	Ombud
555196	42954	Marja Holm
555196	51122	Sonja Jacobsson
555196	122496	Ulla Kronberg
555196	144062	Inger
555196	148826	Elsa
555196	238802	Ann-Margreth Söderberg
555196	266755	Elsa Ringschiöld
555196	304137	Helene Berglöf
555196	316909	Inga Berg
555196	321901	Edith Björk
555196	378273	Ingrid Peijer
555197	109278	Hilma Bengtsson, author
555197	190808	
555197	314387	Ros-Marie Willer
555198	121009	Fröken Julie
555198	134258	Baroness Gustava Grane
555198	342303	Mrs. von Stapelmohr
555198	350042	Gretchen's Mother
555199	12010	Ester Roslin
555199	24742	Aurore, Patrik's Mother
555199	47176	Gerda
555199	55105	Anna Björnhufvud
555199	55525	Carola
555199	59560	Kitty Werden
555199	84314	Jeanne
555199	95272	Anne-Marie Ehinger
555199	107325	Bertha, Adolf's daughter
555199	115391	Mrs. Dücker
555199	115401	Maria, principal
555199	121008	Fob
555199	127569	Woman on carriage
555199	136170	Margareta Brahe
555199	137732	Magda
555199	164784	Miss Schultze
555199	178782	Dortka
555199	182277	Mathilde Croneman
555199	182298	Mrs. Berger
555199	182569	Mrs. Lind
555199	187662	Svea Erneman
555199	192656	Frida von Rambow
555199	228397	Mrs. Wilhelmsson
555199	235041	Eva
555199	268155	Mrs. Higgins
555199	289783	Edit Strand
555199	302152	Woman Drinking Coffee
555199	305303	Ebba Ekberg
555199	308194	Wife of house owner
555199	308198	Aunt Elisabeth
555199	316909	Betty Berg
555199	322298	Mrs. Grinnan
555199	340434	Ove and Marianne's mother
555199	342303	Ann-Charlotte von Stapelmohr
555199	350042	Gretchen
555199	353031	Astrid, datter
555199	353032	Astrid Beck
555199	354422	Alice Brenner
555199	354691	Else Rönne
555200	314957	Extra #9
555201	212337	Herself - Participant/Perform
555202	211038	Vaalea rantatyttö
555203	16264	Teacher
555203	34267	Anne-Marie Löwenskiöld
555203	108200	Irma
555203	120892	Mrs. Gerda Willman
555203	122480	Mrs. Falkstedt
555203	134258	Emilia Grane
555203	136628	Ebba Riddercrona
555203	142337	Julia Lysander
555203	142788	Professor's Wife
555203	142835	Bishop's wife
555203	153760	Mrs. Olsson
555203	178743	Mayor's wife
555203	203269	Mrs. Svensson
555203	227740	Woman at the party
555203	307533	Mrs. Carlesson
555203	312226	Beat-Sophie Brage
555204	78400	
555206	116291	
555207	86414	Herself
555208	870	Elsa
555208	314759	
555209	104774	Icelandic entry (2nd place)
555210	4796	Inge Costello
555210	11881	
555210	103066	Yvonne
555210	289821	
555210	315828	Beatrice Amati
555210	352242	Irene Hart
555210	366478	
555211	144083	Ingrid Berg
555212	108052	Mrs. Eva Bromeé
555213	34267	
555213	174201	Ticket lady
555213	247595	Ingeborg Burmeister
555214	142790	Daughter
555215	214196	Dancer
555216	153911	Nurse Beatrice
555217	2733	Unni Lie
555217	48324	Gerd Balstad
555217	82152	
555217	170375	Else
555217	234512	Hjortgunn
555217	234942	Maggan
555217	382898	
555218	32861	
555219	229414	
555220	12509	
555220	252000	Skoleelev/Classmate
555221	1577	Jakobs mor
555221	18334	Anton's mother
555221	22844	Tante Johanne
555221	182626	Inge-Lise
555221	255670	Tanten
555222	7216	Herself
555223	22845	Lotte
555223	34516	Merete
555223	40754	Isabel
555223	44519	Karen
555223	93517	
555223	119732	Marianne
555223	147017	Ulla
555223	147229	Hodja's Mother
555223	153396	
555223	171513	Maibritt
555223	211033	Frederiks mor
555223	214293	Vera
555223	216208	
555223	242715	Dan's Mother
555223	255672	
555223	261554	Kvinde til fest/Moderens stem
555223	312018	Festdeltager
555223	389397	Secretary
555223	390217	Various roles (1990-1992)
555223	395115	Sanne Nordfeld
555223	403379	Pediatrician
555224	399936	Herself (interviewee)
555225	108967	Hanne
555225	108970	Nina
555225	108974	Hanne
555226	154678	Gerilja
555227	352475	
555228	378936	Participant (2001)
555229	187766	Herself - singer
555230	286242	Mother
555231	403537	Participant (1999)
555232	22818	Mai-Britt
555233	173087	Fru Monsen
555234	79252	Antoinette
555235	93986	Police officer
555235	265829	Saskia
555235	281327	
555235	392564	Daan van Buren (1996)
555236	45203	Neeltje
555236	390242	Gerda Kelder-Timmer (1990-199
555238	333572	
555239	384709	
555240	164149	La petite fille
555240	345371	Fillette bus
555240	376964	Léa
555241	346016	Model
555242	182765	
555243	160412	Hazel
555244	12411	Laura Hills
555244	12412	Laura Hills
555244	17685	Edith Hollander-Frank
555244	22189	
555244	24113	Sabine
555244	24406	Ina Wenzel
555244	43651	Christel von Dohnanyi
555244	61890	Anna
555244	91018	Karen Lambeck
555244	101342	Charlotte Schmutte
555244	108936	
555244	109510	
555244	115990	Carlotta
555244	156635	Bea Krieger
555244	172841	Katharina
555244	178016	Emma's Mother
555244	186607	Hilde Behring
555244	203767	Rita
555244	204482	Susanne Schilling
555244	259503	Thea Dietzel
555244	259573	
555244	275160	Nina Vorbeck
555244	281652	Hannelore
555244	284113	Marlene Planitz
555244	309019	Irma Butkin
555244	313663	Beate Schwanhold
555244	325430	Jessica Steinbeck
555244	325440	Regine Schweikhardt
555244	325595	Dr. Simma
555244	325730	Verena Kersten
555244	347636	Bärbel
555244	347637	Bärbel Ramsbächle
555244	352340	Gisela
555244	369128	Lea
555244	374138	Manuela
555244	395667	Dagmar Hoffmeister
555244	396757	Susanne
555244	409861	Laura (1995)
555245	209115	Betty Simon, Age 10
555246	235278	
555247	403535	Herself - Participant (2004)
555247	403536	Herself - Participant (2004)
555248	165759	Herself (daughter-in-law of A
555249	301628	Herself (daughter of Alice Gu
555249	354918	
555250	165759	Herself (granddaughter of Ali
555250	213199	Themselves
555251	360272	Herself
555252	2581	Performer
555252	221483	Herself
555252	392422	Themselves
555253	54836	
555253	159943	Mrs. Costa
555253	289217	Cafeteria Lady
555254	37701	Athena
555255	24447	Shirley (Norm)
555255	113811	Mrs. Andropolous
555255	319936	Country barmaid
555256	361611	
555257	88195	Radio Newsreader
555258	206139	Janie
555259	40215	
555259	346267	Woman in Subway Station
555260	158964	TV Reporter
555260	391834	Herself
555261	131006	Popcorn kid
555263	169644	Sue
555264	82055	Soap opera woman
555264	144383	Cheerleader
555265	104380	Herself - Band Vocalist
555267	151006	Newscaster
555268	241523	Eleanor
555269	14145	Vanden
555269	137766	Casting Complex Director (Col
555269	188634	Andrée Cazabon
555269	194638	Military Jacket Girl
555269	220954	Sharon
555270	278757	Melissa King
555271	130346	Younger Sheryl
555272	107930	Delivery Room Nurse
555273	148945	Elaine
555274	13993	Airline Passenger
555275	214802	Karen Durwin (age 18)
555276	194252	
555276	295564	Herself
555277	206488	Tom Jones backup singer
555279	23929	Herself
555279	42383	Herself
555279	43986	Herself
555279	50060	Herself
555279	63989	Herself
555279	68112	Herself
555279	77092	Herself
555279	111457	
555279	118050	Herself
555279	154379	
555279	223079	Herself
555279	273234	Herself
555279	282702	Performer
555279	300144	Herself
555279	302625	Herself - Presenter
555279	311703	Presenter: Superstars
555279	330028	Herself
555279	364227	Herself
555279	368284	Betty Dorrick
555279	368432	Cilla
555279	381501	Herself (at Apple boutique op
555279	382226	Herself - Presenter (1985-200
555279	384260	Host
555279	384261	Various Characters
555279	384262	Various Characters
555279	389254	Herself (1966)
555279	398067	Herself
555279	407064	Herself - Presenter
555280	13421	Karina
555280	109286	Officer Aeryn Sun
555280	109287	Host/Aeryn Sun
555280	109288	Aeryn Sun
555280	194530	Lady Briana
555280	256839	Sharon 'Shazza' Montgomery
555280	269355	Pandora
555280	384356	Angela Kostapas
555280	385105	Claire Bonacci (1993)
555280	388452	(Officer) Aeryn Sun
555280	388453	Aeryn Sun
555280	394997	Steel Angel Mikhail
555281	305367	Devil's girlfriend
555282	27247	Jessie Devlin
555282	45648	Herself
555282	76606	Sue
555282	131629	Janet Lavery, Head of Securit
555282	160572	Tessa Mowbray
555282	163352	Herself
555282	185516	Carol Johnson
555282	198893	Witch
555282	289612	Mademoiselle Guillotine
555282	292158	Rachel Craig
555282	330444	Young Pat
555282	385020	Denise Osbourne (1992-1996)
555282	395782	
555282	396082	(segment "Toyboys")
555282	400158	Jackie Ruane Hopkins
555282	402610	Hazel Tyler
555282	402611	Hazel Tyler
555282	405461	Mattise Clegg
555283	113303	Siobhan
555285	148203	Health Club Woman
555286	315885	Ms. Walker
555287	6550	Donna Teresa
555287	54626	Adventuress
555287	78861	Queen Elizabeth I
555287	97609	Clara
555287	143366	Georgina Pastell
555287	156939	Peola Johnson, Age 9
555287	231927	Miss Fenwick
555287	273586	Mrs. Danvers
555287	342353	
555287	372585	Cicely
555287	405525	Lady Margaret Seymour
555289	9881	Herself
555290	291274	
555292	155983	The victim
555292	206089	Housekeeper
555292	220165	
555293	213190	Bus Dispatcher
555294	271994	Grandma Hooper
555295	34911	
555295	49389	Old Cleaning Lady
555295	62385	Courtier
555295	93956	Matron
555295	147548	Mrs. Hudson
555295	152723	Clergy
555295	240706	Ada
555295	295881	Miss Grimm
555295	325244	Schoolteacher
555296	359855	Ellen's Dinner Guest
555297	186156	Ms. Martin
555297	276238	Naom
555298	367612	Joan Stockdale
555299	12207	Phoebe St. Thomas
555299	121404	Big Zit Bonnie
555299	122193	Bridget Belle
555299	329915	Abby
555300	328260	Douglas Cade
555301	219824	
555303	299652	Gina
555304	228725	Amy
555304	296791	Secretary
555305	41262	Granny Radford
555307	7505	
555308	639	Alice
555308	52218	
555308	56607	Aunt Jane
555308	68689	Agnes
555308	75554	
555308	79554	Clara Copperfield
555308	128497	Victory Du Cann
555308	140130	
555308	178121	Tania
555308	200498	Juanita
555308	342597	Ingrid Hoffer
555308	366723	Katrine Yester
555308	382750	Samantha Hellier
555308	383620	Cathy Dunbar
555308	391425	Torfrida
555308	403026	Greenmantle
555308	408080	Sandra
555308	408960	Eileen O'Rourke (1967-68)
555308	409251	Kate
555309	235570	Cassandra
555310	395957	(2003)
555311	28937	
555312	239746	Circus Performer
555313	196571	Alpha Beta
555313	273944	Det. Cipolla
555314	141678	Sister
555314	154578	Shop Assistant
555314	193207	Stella
555315	335342	Mrs. Carter
555316	131006	Jesse
555316	131007	Jesse
555316	131008	Jessie
555317	152759	Wurstverkäuferin
555319	120344	Silver
555319	125478	
555320	278498	Cashier
555321	382838	Kirsty Brown (1986-1989)
555322	176321	Acrobatic dancer
555323	70109	Hannah
555323	70717	Emily
555323	84811	Madeline
555323	206349	Wendy
555323	210233	Susan Kendell
555323	232158	Siren in Alley
555323	368942	Cindy
555324	6724	Herself
555324	6725	Herself
555324	16986	
555324	17991	
555324	27008	Herself
555324	27021	
555324	37448	
555324	41615	
555324	46633	
555324	50179	
555324	50764	
555324	51869	
555324	59850	
555324	70213	
555324	81664	
555324	105220	
555324	111651	Nurse
555324	121555	
555324	126642	
555324	129734	
555324	130619	
555324	143072	
555324	150177	
555324	153582	
555324	228020	
555324	301307	
555324	306923	Herself
555324	310847	
555324	361950	
555325	136298	Acolyte
555326	51855	Lady in Waiting
555327	5571	Susan Winters
555327	9131	Nancy Pryor
555327	13656	Marianne Brown
555327	32343	Anne
555327	37321	Herself
555327	38675	Sara
555327	44509	Parm
555327	45032	Carla
555327	50037	Marian Rolf
555327	50076	The Mother
555327	50690	Mrs. Buttleman
555327	51984	Blanche
555327	53296	Zee
555327	54405	Judy Drinkwater
555327	59056	Emilienne d'Alençon
555327	59415	Jude
555327	61767	June Rhodes
555327	61794	Karen Thompson
555327	61856	Sybil Lullmer
555327	64560	Herself (performer-elephant a
555327	64673	Sue
555327	66105	Sally Rich
555327	67791	Joanne
555327	69053	Lady Byron/Mother Coer
555327	73115	Rose
555327	73325	Millicent
555327	75543	Aunt Nelly
555327	79850	Faye Greener
555327	80469	Insp. Wilson
555327	87025	Ro-Kell
555327	88258	Zelma Putnam
555327	89327	Rose Van Horn
555327	90697	Amy
555327	91554	Mrs. Elliot
555327	93771	Olive
555327	96973	Karen
555327	96974	Herself
555327	96975	Herself
555327	105161	Schubert
555327	107861	Lucy Romano
555327	108343	Fran
555327	108642	Herself
555327	109627	
555327	113359	Mrs. Sorrel
555327	113900	Sandra/Eleanor
555327	114618	Rayette Dipesto
555327	133623	Myrtle Wilson
555327	134720	Gladys Fitzpatrick
555327	134942	Mary Turner
555327	135913	Jenny Simms
555327	136511	Bambi LeBleau
555327	139041	Ellen
555327	139114	Aunt Judy
555327	140172	Dr. Julia Harcourt
555327	148523	Belle
555327	149931	Laura Lawrence
555327	150863	Mother Firefly
555327	154822	Whip Lady
555327	157922	Maya
555327	159012	Herself
555327	159499	Karin
555327	161714	Linda Magnusson
555327	161842	
555327	161893	Courtney Whitmer
555327	161908	Mom
555327	163492	Ellen Jarvis
555327	168959	Herself
555327	169918	Tiffany Powers
555327	174006	Herself
555327	176379	Actress in Clip from The Grea
555327	176812	Kate Neville
555327	176888	Barrett
555327	185532	Molly
555327	185774	Paula Herbert
555327	186261	Gloria
555327	187333	Tarot
555327	187393	
555327	190452	Mrs. Melnick
555327	190483	
555327	191953	Laura
555327	195026	Gloria
555327	202100	Jessica Martin
555327	206671	Karen
555327	207052	Aunt Eloise
555327	208300	Grace's Mom
555327	210700	Alex
555327	215174	Susan Gordon
555327	216952	
555327	220593	Bettie
555327	220964	Ernestina Crawford
555327	224186	Social Worker
555327	227925	Connie White
555327	230906	Mrs. Tender
555327	231779	Rita
555327	235805	
555327	240029	Mrs. Mary Happ
555327	245137	Ruth Wilson
555327	245330	Bett Jarrow
555327	245716	Mrs. Trowbridge
555327	248446	Mama
555327	248976	Chantelle
555327	257229	Nehor
555327	257437	
555327	257689	Herself
555327	259277	Officer Evelyn Carter
555327	260966	Mary Jane Reid (The Monkey)
555327	261985	Rose Vanda
555327	263804	Painted Woman
555327	268229	Elizabeth Lucy
555327	269850	Kim Martino
555327	271702	Miss Kuchenbacker
555327	274065	Aunt Summer
555327	276796	Tarot
555327	277478	Daisy
555327	279389	Herself
555327	280654	Tarot
555327	282908	Rula
555327	288912	Rachel
555327	294521	Valentine Colby
555327	309572	Magnificent Martha
555327	312346	Clarisse
555327	313829	Bertha
555327	314962	Dr. Kessler
555327	316142	Miriam Oliver/Sandy
555327	317114	
555327	318386	
555327	318791	Dr. McDermott
555327	327055	Dirty Dick
555327	335570	
555327	339710	Julie/Millicent/Therese/Ameli
555327	340940	Maria Vandermeer
555327	341495	Michelle
555327	342651	Mrs. Granger
555327	346280	Mother
555327	358054	Evelyn
555327	358313	Dental Assistant
555327	358902	Herself
555327	358996	Herself
555327	363421	Helen
555327	364100	Mrs. Leider
555327	364101	Mrs. Leider
555327	364186	Herself
555327	372305	Amy Partlett
555327	373989	Substitute Teacher
555327	388202	Sea Witch
555327	403988	Patricia
555327	404642	Marcia Garroway (1967-1968)
555327	407470	Herself
555329	330707	Bully Girl
555330	119315	Karen
555330	224176	Kiosk Attendant
555331	96990	Masseuse
555331	244301	Emilia
555332	333120	Person of the Night
555333	68063	Sarah
555334	335871	Suzie
555335	194223	Reston Girl
555336	242750	WPC Mary Robson
555337	60287	
555337	60320	
555337	106433	Girl Knaked by a Pool
555337	110917	
555337	228594	
555337	239871	
555337	304340	Herself
555337	306911	
555337	306916	
555337	306917	
555337	312381	
555337	354799	
555338	171332	Havers
555338	267608	Anna
555338	388477	Cath Usher
555340	3231	Diva
555342	78991	Trainee #4
555342	83877	Officer Wright
555343	80801	Reporter #2
555343	348719	Mom
555344	368640	
555345	110916	Dancer
555345	396582	Herself (2002)
555346	97027	The Child Star
555346	217913	The Virgin Mary's Assistant
555348	344184	Lucielle
555350	384699	
555351	262712	Herself
555351	406872	Maggie Barton
555352	95306	Crystal, The Interviewer
555352	188895	Sally Brooks
555352	362269	Ollie
555352	371962	Pagan Initiate #1
555353	89169	Melissa
555353	106027	Laura Dupont
555353	138669	Katie
555353	165096	Sarah Heywood
555353	277137	Toni
555353	321718	Hostage
555353	323153	Holly
555353	326604	Kate
555353	337657	Christine
555353	350182	Dana Lynn Cooper
555353	360686	Nora Landry
555353	393263	Sarah Heywood
555354	159947	Monica
555354	165958	Dreamgirl #1
555354	390523	Ms. Patty Janowitz (1992)
555354	396750	Maid
555355	64394	Cleaning Lady
555355	80483	Mrs. Trivers
555355	80793	Mrs. Alard
555355	82332	Grant's Mom
555355	82943	Amy Mason
555355	90911	Mrs. Warren
555355	99164	Nurse
555355	109629	Mrs. Mortley
555355	130290	Peter's Aunt
555355	135608	Mrs. Gilbert
555355	149455	Mrs. Peterson
555355	158361	Lynette Burke
555355	218106	Mrs. Street
555355	219769	Mrs. Brown
555355	315514	Church Volunteer
555355	368359	Helen, Randy's Mean Mom
555355	368997	Woman with IV
555355	393000	
555356	104987	Herself
555357	309293	
555358	55626	Norma Watson
555358	60863	Ginny Eastman
555358	81038	Anne-Marie
555358	99164	Elf
555358	134572	Star
555358	236222	Michelle
555358	290084	Lisa
555358	306257	Robber Girl
555358	316191	Leslie Rule
555358	387312	Kat Deosdade
555358	411569	Rogue
555358	411800	Chloe
555359	191051	Scruff #2
555360	362261	Katie
555362	157826	Jackie as a teenager
555363	22701	Nurse
555364	297880	Christmas Party Guest
555365	158609	Bridesmaid #4
555365	285737	Nurse Riggin
555365	358283	Blonde
555365	393058	Herself
555365	401020	Patti
555366	35685	Jennifer Sellers
555366	109809	Prosecuting Counsel
555366	133792	Cheerleader
555366	257108	Joan Morgan
555366	342871	Sperm bank
555367	122214	Beautiful Girl
555368	131006	Popcorn kid
555369	372778	Maria
555370	266767	Model
555371	54922	Share Bear/Funshine Bear
555371	54923	Share Bear
555371	80382	Street Prostitute
555371	383462	Share Bear
555372	121839	Psychic Commando
555372	141464	Joanna
555372	267239	Herself
555372	293737	Singer
555372	400552	Dr. Innocent Adesigbin
555373	195400	Woman in bathroom making love
555374	286478	Marge
555375	105405	Female student
555376	49366	Three Deuces Chorus Line
555376	335017	Naomi
555377	147767	'Angel Baby' Singer
555378	68063	Lily
555379	36713	Cinderella
555380	29183	
555381	6200	Susan
555381	12240	Molly McCue
555381	315263	Michele
555381	402813	Miranda Marshak
555382	186017	Aunt Kitty
555386	43885	Dancing Girl Zombie
555387	147844	ReceptionistMissy Ann/Woman o
555388	66913	Janice
555388	268920	
555388	348608	Blonde Girlfriend
555388	382177	Lady Hammond
555388	399153	Priscilla Eads
555389	151055	Sonya Kharacter as a teenager
555390	190751	Debbie
555390	232521	The Girl
555391	87583	
555392	362952	Singer, Child
555393	61643	Bellevue patient
555394	122214	Street Mutant
555396	220276	Parisian Dancer
555397	286949	
555398	96958	Off-camera singer
555398	305390	Winkler Party Guest
555399	321218	
555400	375694	Tammy
555401	119581	Noreaster #1
555402	62456	
555403	364220	Lewinsky
555404	35567	Annabelle Brown
555404	194749	
555405	343907	Network reporter
555405	359902	Reporter
555407	193805	Waitress in Diner
555408	78318	Police Operator #1
555408	224155	Radio producer
555409	238096	Waitress
555409	326617	Store manager
555410	41379	Minnie the Shrimp
555410	71474	Dancer
555410	90868	Couple on TV
555410	162439	Clara
555410	177451	
555411	158056	THL Chretienne de Courtenay
555412	233479	Wendy Dixon
555413	272325	Pool Girl #2
555414	296871	
555415	83230	Young Girl
555416	17618	Annabel Lee, as a child
555416	290311	His Sweetheart
555417	44416	Cindy Springer
555417	58778	Andrea
555417	65892	Flirtatious Woman
555417	78936	Carolyn Stoddard Haskell
555417	385720	Carolyn Stoddard (1991)
555417	404002	Siobhan Ryan Novak #5 (1988-1
555418	142479	
555419	73987	
555419	203340	Mrs. Brennan
555419	232027	Mrs. Castle
555419	263347	Mrs. Bronson
555419	354823	Eva Baumgarden
555419	380713	Marion Connolly, R. N. (1976-
555419	385719	Sobbing woman (1966)/Mrs. Sar
555419	386603	Theodora Van Alen #2 (1966)
555419	387120	
555419	390771	Edith Spurrier (1987-1988, 19
555419	396088	Nurse (Year Unknown)/College 
555419	400236	Hattie Fredericks (1973-1974)
555419	404694	Mary Lou Northcote (1970)
555419	410977	Amy Snowden (1971-1973)
555420	120403	Ros
555420	127311	Sandra Hughes
555420	382912	Lady Gertrude
555420	383285	Jane Malcolm
555421	44759	Minnie
555421	139787	Mrs. Ethel Chauvenet
555421	296974	
555421	380391	Luella Watson (1970-1971)
555421	380713	Alma Miller #3 (1978)
555421	387309	Mrs. Hubbel (1964)
555421	405882	Sarah Briskin #2 (1975-1976)
555422	2597	Lisa
555422	58507	Lulu
555422	95525	Cathy Williams
555422	190223	Joanie
555422	201845	Jenna
555422	223734	Stewardess
555422	235449	Mara
555422	249595	Angelica
555422	288929	Jenny
555422	304395	
555422	321469	
555422	333375	Sherri
555422	338630	
555422	346096	Mrs. Yorpin
555422	371100	Mister Prostitute
555422	409744	Lorraine
555423	392735	Herself (Trombone)
555424	273316	Brunette
555425	317900	Aunt Mary
555426	39404	Margie
555427	17073	Concession Girl (new movie)
555428	135835	
555428	150856	
555428	271890	Lucy
555428	288012	Britt
555429	26440	Jessica Pierce
555430	27408	Mari
555430	179366	Sofia
555430	181632	
555430	392164	Ulla Lindhof (2000-)
555430	394960	Katariina (2002)
555430	396747	Various characters
555430	408194	Niina Ilves
555431	254760	The Child
555432	257107	Amy Russ
555433	30047	Herself
555434	183426	Lola
555435	104931	
555436	119116	Herself
555437	70743	Mme Viau
555438	289362	Angelina
555439	55347	
555440	406949	Sunny
555441	340467	Specialty act
555442	80696	Veronica
555442	152584	Jip's Ex #2
555443	391258	Herself (contestant)
555444	309158	Lady Mufon
555444	326834	Ms. Vella
555445	88760	Mrs. Eastman
555445	105675	Mrs. Jim Wellington
555446	249579	Wanda
555448	223848	Miss Abbott
555449	82707	
555449	130170	Mrs. Thompson
555449	204134	Mrs. Adelle Frawley
555449	211508	Audrey Jenkins
555449	243623	Sister George
555449	283914	Mrs. Bumbry
555450	38872	Extra
555451	301633	Sue Massey
555451	336452	Fighting Hostess #2
555452	144861	Mrs. Henderson
555452	147609	Woman
555452	163245	Lady
555452	371887	Woman at Fiesta
555453	79682	Neighbor
555453	143005	Mrs. Wragg
555453	148492	
555453	178855	
555453	227805	Miss Pine
555453	280071	Widdie Kinsella
555453	290339	Aunt Agatha
555453	333095	Mrs. Banks
555454	196135	Charlotte Bertaud
555454	211548	Phyllis Dean
555454	321374	Bunny
555455	79682	Landlady
555455	148492	
555455	178855	
555455	227805	Miss Pine
555455	250709	Miss Wangle
555456	26728	Miss Bembridge
555456	46877	Auntie Shirley
555456	161170	Headmistress
555456	175163	Librarian
555456	220084	Paddy
555456	258139	Miss Simpson
555456	307566	Middle-aged Woman on Tube
555456	375246	Doctor
555456	391893	Fiona Fennell
555456	393037	Mrs. La Palotte
555456	400814	Matron Smurthwaite
555456	405088	Gov. Ennis
555456	405669	Heather
555456	407158	Jane
555456	407398	Ruth
555457	391151	Doreen
555457	396699	Waitress
555458	121615	Inmate
555459	283522	Young Catherine
555460	311923	Angry Prisoner
555461	16450	Kristen
555461	71105	
555461	73514	
555461	353204	
555461	376839	
555462	4881	
555462	30049	
555462	88847	
555462	172545	Pishima
555462	222101	Digambari
555462	233229	
555462	278373	
555462	288216	Annakali
555462	298630	
555462	325091	Netya
555463	365443	Sid
555464	93205	Older Vision Woman
555464	209433	Martha Old Crow
555464	365142	Old Indian Native Woman
555465	277088	Rho-Rho
555466	340791	Acting Student #1
555467	138659	Mary
555467	184911	Larry the Lamb
555467	233929	Lily
555468	47924	Mountain Woman
555468	277114	Female Trucker
555469	204747	Susan
555470	399816	Edie McDonald (1974-1977)
555471	317957	Mrs. Blotnick
555472	391835	Talking head/soundbites (segm
555473	5501	Sarah Hayward
555473	8180	Mrs. Boswell
555473	24977	Herself
555473	33032	Herself
555473	33033	Herself
555473	34646	Herself
555473	34903	Herself
555473	41079	Herself
555473	43451	Herself
555473	45530	Susie Bates
555473	46295	Paula Grant
555473	46877	Penny Husbands-Bosworth
555473	67478	Madam
555473	67575	Lilian Stanhope
555473	69820	Joyce Pennistone
555473	79345	Julie Tallent
555473	82271	Maxine Banner
555473	85748	Mary Hart
555473	108098	Emma
555473	114206	Madam Ursula Schumann
555473	120280	Helen
555473	130953	Pussy Galore
555473	134054	Meg Cuffley
555473	148423	
555473	158006	Pussy Galore
555473	160293	Herself
555473	164398	Jules, Jack's Secretary
555473	164413	Madeline Dubouir
555473	165264	Pussy Galore
555473	165265	Herself
555473	165847	Hera
555473	173169	Amalaswintha
555473	183235	Selma
555473	185304	Katherine Whiteley
555473	190054	Norah Hauxley
555473	192196	Jocelyn Cullum
555473	203889	
555473	208076	Sister Bryan
555473	214508	Helen Spender
555473	217541	Daphne Fields
555473	223076	
555473	232261	Mrs. Liz Lucas
555473	269086	Paula
555473	271226	Mrs Tyler
555473	292295	Rita Vandemeyer
555473	292420	Mrs. Medlock
555473	292527	Lily, Baroness von Lukenberg
555473	294682	Ann Rogers
555473	297172	Lady Julia Baggett
555473	301230	Margaret Smith
555473	306440	Rhoda O'Donovan
555473	308049	Mary Anna Morgan
555473	312284	Lesley Cartland
555473	320282	Lynn Pearson
555473	323748	Captain Shea
555473	334337	Anna Fountain
555473	334338	Herself
555473	334382	Joy Adamson
555473	342587	Mummy
555473	342622	Julie Chambois
555473	355015	Mrs. Fawcett
555473	356284	Doric Asterman
555473	371069	
555473	372238	Susie Westlake
555473	380943	Dr. Catherine 'Cathy' Gale (1
555473	389170	Nicole (Dan Dailey episodes)
555473	399189	Veronica Barton
555473	402230	Iris Cope, Probation Officer 
555473	403312	Mother (Series 2) (2004)
555473	409660	Laura West
555474	153190	Receptionist
555474	230985	Attorney #2
555474	324371	Newspaper Editor
555475	11286	Waitress
555475	300926	Jeanie
555476	41809	Maile Duval
555476	54930	Barbara
555476	78725	Kathryn Carlyle
555476	84247	Stassa Gertmann
555476	131402	Laurie Cutler
555476	133665	Canadian Lt. Catherine Lacey
555476	141601	Mrs. Reynolds
555476	161161	Barbara Nicholson
555476	176341	Rose Grogan
555476	199099	Carol Morgan
555476	218813	Reba Rainey
555476	241496	
555476	254242	Geraldine Mills
555476	276906	Mother
555476	299393	Elevator mother
555476	342495	Susan Harper
555476	355411	Ellen Spelding
555476	401350	Marian Fowler (1965-1966)
555477	274473	Muriel
555478	160858	Aunt Patricia
555479	294753	Capt. Beal
555480	69381	Blackbird
555480	394453	Sexy Sadie
555480	409695	Beverley Pinnock (1993)
555481	207991	Charra
555482	141609	Pepsie
555483	112021	Herself (United Negro Improve
555484	237913	Amy Courtland
555485	248132	Herself
555487	223343	Alligator Girl
555489	73361	Arsey Barmaid
555489	240752	Faynia
555490	381785	Kaede
555490	394419	Janet
555490	396491	Sarina Masuda
555490	412029	Alina
555491	69405	Woman on doorstep
555492	160633	Protester
555494	35825	Dr. Adrian Molina
555494	100820	Department Head
555494	219182	Roz
555494	277106	Druggist's Wife
555494	330762	Melissa Morgan
555494	380750	Vanessa Faye
555494	385594	Serena Wald (1980; 1982-1985;
555495	165294	
555496	161198	Herself
555497	186633	Karl Zimmer
555498	192191	Hood Rat
555499	77192	TV reporter
555499	78921	Doctor in Casualty
555499	169894	Defence Solicitor
555499	281919	Baby Butch
555499	330957	Nurse
555499	391666	Abigail
555499	411270	DS Annie Reiss (2002)
555500	165441	
555500	335008	
555501	176989	Dancer
555502	232847	Mena Jell
555503	251769	Mother Manikin
555504	201959	Annie
555505	204244	Neighbor
555505	205792	Dissaproving Woman
555505	355053	Mary Arundel
555506	67178	
555506	86013	
555506	107486	
555506	192310	
555506	192436	Paula Wyngate
555506	288611	
555506	311984	
555507	67178	
555507	68462	Little Belgian Refugee
555507	86013	
555507	107486	
555507	129551	Lady Beatrice (younger)
555507	150823	Violet
555507	192310	
555507	192436	Violet Wyngate
555507	218824	Ktie Jones
555507	288611	
555507	311984	
555507	355053	Lettice Knollys
555508	107195	Herself
555509	319128	Chanel
555510	65683	
555511	155108	Herself
555512	273698	Liz
555513	980	Agent August
555513	260902	Friend
555514	13941	Race Official
555515	69409	Girl Hitchhiker
555516	203980	Blonde Girl
555517	15887	Additional Voices
555517	70421	Additional Voices
555517	382993	Additional Voices
555517	385575	Shirley Mayfield
555518	26442	School Teacher
555518	302569	Betty
555519	21781	Grandma
555520	2762	Performer from musical "Candi
555520	28619	Oscar
555520	260629	Clara
555520	308489	Herself
555521	279611	Singer in pub
555522	40675	Mrs. Thomas
555522	100191	Frances Kingsley
555522	129550	Undetermined Role
555522	131670	Inna Brouevitch
555522	149140	Mary
555522	351693	Mrs. Van Ness
555523	411802	Daisy
555524	46156	Beta Plus Receptionist
555525	122198	Simone's Friend
555525	401828	Judy
555526	418	Bronwyn
555526	20537	Bev
555526	31286	Molly
555526	336723	Sue
555526	390552	Ann Marks
555526	403144	Cath
555526	405165	Lucy
555527	316730	Linda (second drug-buying vic
555528	117231	Maria
555529	367061	Stage Girl #3
555530	37995	Debbie Wilkinson
555530	80910	
555531	360734	Pam
555532	126686	Girl Reading Dictionary
555533	80590	Keyboardist
555533	255878	Perry
555534	49514	Mother
555534	59151	Newsroom Producer
555534	192805	Susan
555535	16041	Donna
555535	65378	Charlene
555535	73479	Caroline Fuller
555535	133958	Sandra Bird
555535	196320	Eugenia
555535	247565	Angie
555535	255433	Cheryl
555535	299649	Woman Witness
555535	316760	Richmond Citizen
555535	319371	Girl
555536	59685	Charlie (1940's)
555537	41435	
555538	39884	Edith
555538	67858	Girl #4
555538	68248	
555538	84901	Freddie's Girl Friend
555538	128889	Student
555538	255146	Mrs. Apple Valley
555538	313076	Dancer
555539	64750	Herself
555539	236693	Reporter
555539	272647	MTV Vee-Jay
555539	273800	Gossip Reporter
555539	280005	Video DJ
555539	281911	Restaurant Reporter
555539	353307	Ginger
555539	378721	Host (1986)
555539	405839	Herself (1986-1988)
555540	19949	
555540	108444	Buddy
555540	220115	Valentine
555540	305601	Mary Green-Brown
555541	65386	Woman on Bus
555541	115011	Eunice
555541	202619	Older Nurse
555541	215574	Bettina
555541	229858	Schoolmistress
555541	275453	Nurse Allice
555541	302211	Gretchen
555541	321213	Virgie
555542	41268	Gladys
555543	204473	Beryl
555543	224346	Anna
555543	232839	Underworld secretary
555543	255124	Princess
555543	360544	Wendy
555544	411786	Herself (Series 2) (2003-2004
555545	154182	Dancer
555545	175175	WAC
555545	371887	Telephone Operator
555546	89973	
555546	104868	
555546	216780	
555546	229264	Martha
555546	308229	Generalkonsulinde Fryant
555546	351041	
555546	356852	
555547	80070	Herself
555548	118205	2nd Gal
555548	303268	Amy
555550	276386	Whittlesea Dancer
555551	246637	
555551	310908	
555552	43677	Miss Brathwaite
555552	152535	Secretary
555553	347006	Sonia's Friend
555554	114392	Parry's WIfe
555554	141309	
555555	134315	Alexia Cruz
555555	230116	Remote Reporter
555556	269627	Judy
555557	86319	Nikki Maldonato
555559	115423	Karin's colleague at work
555560	281244	Tracy
555561	199360	Mado
555562	63790	
555563	242827	
555563	356147	Susy
555564	292708	
555565	390069	Andy Cuyugan
555566	51067	Annabella
555566	53234	Henriette
555566	58992	Jacqueline
555566	84189	Paule de La Sesque
555566	96110	Claire
555566	275125	L'Infante de Navarre
555566	328850	La femme de l'ambassadeur
555566	353824	La patronne de l'épicerie
555566	379809	Marguerite
555566	388688	
555566	396856	Ellis Selton
555566	396867	Mme Campan
555566	401981	
555566	402356	Suzanne
555566	409458	Simone Derville
555566	409932	Elise
555566	412251	Mme Alphonse Daudet
555567	91061	Herself
555567	91064	Herself
555567	91065	Herself
555567	91071	Herself
555567	104771	Croatian entry (4th place)
555568	259198	
555569	366726	Helen Hoggart
555570	170232	Herself
555570	170233	Herself
555570	327370	
555571	199896	Female thief
555572	202180	
555572	230055	
555572	265021	Dina
555573	20625	Extra
555573	191679	Sister Therese
555574	111840	
555574	205366	Edoardo's translator
555575	7285	Mary
555575	34172	
555575	44615	Bolnicarka/nurs
555575	74738	
555575	74778	
555575	88368	Andjelija Nedic-Vukic
555575	133188	Ljubica Topic
555575	134762	
555575	181113	
555575	183911	
555575	184148	
555575	187982	
555575	202046	
555575	211887	
555575	215119	Luna
555575	219575	
555575	236169	Rabija Osmanovic
555575	243173	
555575	244225	
555575	259206	
555575	261343	
555575	263528	
555575	289128	Vera's Mother
555575	303626	Dolly Bell
555575	320558	Zoranova zena
555575	320569	
555575	323634	
555575	327450	
555575	351016	Rosa
555575	351345	
555575	351588	
555575	353780	
555575	356430	Vesna
555575	357350	Zivka Vujovic
555575	382431	Branka Pavlovic
555575	386634	Ana... doktorka
555575	389141	Rosa
555575	394813	Kraljica Draga
555575	401750	
555575	401949	Branislava Kovacevic ... 'Pav
555575	402119	
555575	404144	
555575	409878	
555575	409909	
555575	410363	
555575	410582	
555575	412003	Sekretarica
555576	305099	
555577	10266	Raisa Alekseyevna
555577	374427	
555578	84414	
555578	182462	
555578	299421	
555578	378720	
555579	61328	Mistress
555580	226709	Szerémy grófnõ
555580	343446	
555581	176837	Fille blonde
555582	14126	Michelle
555582	27125	Jenny
555582	100711	Teena Morgan
555582	157824	Lissa Elias
555582	241107	Abigail
555582	270431	
555582	331111	Molly
555582	404639	Cathy Palmaro
555583	17088	De Montespan
555583	43711	Thérèse
555583	51629	Lucia
555583	67211	Marthe
555583	67641	Catherine
555583	70722	Hélène
555583	83353	Béatrice
555583	92899	Sylviane
555583	101528	Violaine
555583	103206	Une copine de Léo
555583	110140	Nadine
555583	115188	Defendant
555583	118751	La femme
555583	120887	Maria Manzana
555583	139819	La fille
555583	156750	
555583	220492	Shirley Douglas
555583	239213	La mère
555583	256649	Isabella
555583	261811	Jenny
555583	307309	Justine Favart
555583	324615	
555583	336564	Diana
555583	336994	
555583	355969	Nicole
555584	403277	Bea
555585	55719	Hospitality girl
555586	114594	Maria 'The Knife' Garcia
555587	59983	Manon
555588	136310	
555589	164169	A follower of Rasputin
555590	127086	Jitterbug
555590	197869	Bit part
555590	303379	Jitterbug
555590	363292	Bit part
555591	101942	Stewardess
555591	106112	Guest-star on pilot
555591	152930	Trish VanDeVeer
555591	165097	Guest star
555591	231834	Susan
555591	323992	Party Guest
555591	353299	Reporter
555591	382174	Diabolique
555592	315140	
555593	72491	Polly Ann Parsons
555594	46121	Patient X
555595	87030	Chica
555596	70540	Peggy Randall Comer
555597	49328	
555598	282594	Lady in Waiting
555599	297838	Andy Dufresne's wife
555600	38946	Mrs. Channing
555600	42024	Wife
555600	44047	
555600	61816	Isabel Sherwood
555600	135863	
555600	141052	Stella Austin
555600	190573	Cynthia Storne
555600	213145	Natalie Schuyler
555600	278039	
555600	328571	Dorothy Hunter
555600	343151	Blonde girl
555600	365202	
555601	11672	Herself (Pinup Girl)
555601	47382	
555601	72458	Helen
555601	79002	Courtney Floyd
555601	89620	'Doll Face' Carroll
555601	109472	Sylvia
555601	128468	Barbara
555601	130339	Herself
555601	134149	Bonnie Watson
555601	136290	Miss Adelaide
555601	140790	Sally Conway
555601	154957	Laura Lowell
555601	155851	Linda Ferrell
555601	168017	Susan Cowan
555601	174644	Marietta Cutler
555601	201068	Herself
555601	234141	Sally Templeton
555601	248706	Miss Daley
555601	266721	Rita DeLacey
555601	277657	Cameo appearance
555601	304096	Una Yancy
555601	308066	Blossom Hart
555601	308978	Make-up artist
555601	313919	Emily Edwards
555601	331439	Liz
555601	331951	Sue Boardman
555601	408105	Co-Host (1951-1952)
555602	37225	
555602	106545	
555602	107743	Anna
555602	188415	Herself
555602	233279	
555602	300524	
555603	79554	Girl
555604	238043	Couple
555605	186681	Angel of Mercy
555606	32469	Sylvia Johnstone
555606	147405	Jane Howard
555606	154291	Renée la Lune
555606	197032	Minnie
555606	245527	Wendy
555606	313349	Hilda
555606	324029	Nancy Richardson
555607	11360	Emily
555607	17997	Birdie Bagtry
555607	35155	Gladys Simmons
555607	47385	Herself
555607	52601	Isabel
555607	81188	
555607	82299	Contessa Rita Cherè
555607	82334	Edna
555607	83480	
555607	91779	Girl in Wigshop
555607	125223	Germaine
555607	125484	Herself
555607	134318	Elvia
555607	135553	Katie
555607	137630	Martha Halliday
555607	177142	Ada Elcott
555607	189915	Mother
555607	195026	Helen
555607	205316	Grace Simpson
555607	206711	Clara Snyder
555607	208747	Second English Teacher
555607	224809	Jackie Elcott
555607	244302	
555607	275616	Nancy Blanding
555607	280365	Herself
555607	294127	Amalia Brentani
555607	305934	Hester
555607	320309	Lady McLaidlaw
555607	404409	Sister of Mercy
555608	64833	Woman at center of table in r
555608	231768	Nurse
555608	311475	Fitter
555609	31893	
555609	72438	Dorothy
555609	107701	Hat Check Girl
555609	107702	Telephone operator
555609	146752	Showgirl in Cameo Club
555609	278175	Airport Official
555609	367582	Girl at Party
555610	26471	Stacey McGill
555610	60763	Stacy Twelfmann
555610	161642	Leigh Holland as a child
555610	322635	
555610	346405	Elena, from Season 4
555610	405747	Patty
555611	71332	
555611	269028	
555611	356035	Zazá
555612	48083	Second Dieter
555613	249555	Herself
555613	391377	Herself
555614	326834	Cindy The Waitress
555615	35578	Madame Marold
555616	256356	Mother at Party
555617	275330	Reporter
555618	411363	June
555619	354866	Thelma
555620	27087	
555621	124541	Stonekeeper
555622	219923	Water Lily
555623	321129	
555624	7510	Chloe
555624	256220	Female Student/Girl At Party
555624	360816	Victim
555625	311910	Young Lizzie
555626	7213	Katherine Dunbar
555626	7214	Katherine Dunbar
555626	7987	Jackson, Dr
555626	10845	Female Alien
555626	31100	Mrs. Andy
555626	32790	Jenny Diver
555626	43953	
555626	77202	Florence Stockton
555626	92621	Pretty Girl
555626	94742	Sinofar
555626	101432	Jill/"Sally"
555626	115188	Antoinette, Charles' Wife
555626	117768	Christina
555626	118686	Mother Agueda
555626	133952	Grand Lady
555626	139052	Shakespearean actress
555626	141633	Mary Weston
555626	146619	Flor Beniform
555626	150872	Peg Wallington
555626	158582	Jamie's Mother
555626	159172	Mrs. Donovan
555626	207692	Sheila Bailey
555626	221215	Matron
555626	238701	Hillary Drummond
555626	273328	Anna
555626	315233	
555626	325276	Lucy Paxton
555626	327985	Eileen
555626	338786	Mrs. Hawkins
555626	340851	Mrs. Mortimer
555626	350062	Baroness
555626	379624	Alexa
555626	382483	Insp. Leesley
555626	382579	Laura Miles
555626	385205	Emma Antrobus
555626	386604	Dr. Linda Carpenter
555626	388726	Claire Carlsen
555626	395485	
555626	398294	Ruth
555626	410961	Lady Caroline #2
555627	20635	
555627	39216	Joanna Sedley
555627	41087	Laura Wadsworth
555627	45684	Marge Drayton
555627	47294	Billie Moore
555627	69617	Sandy
555627	107005	Jane Howard
555627	121586	Ann Elliot
555627	123135	Regina Cleary
555627	154426	Norma Shannon
555627	224304	Eileen Sherwood
555627	232077	Tansy Taylor
555627	241134	Jeannie Thompson
555627	241240	Katie Bower
555627	241789	Venus
555627	266721	Edith Enders
555627	291358	Herself
555627	308112	Jeanie Maxwell
555627	325052	Christine Bradley
555627	331381	Charity Banner
555627	335469	Judy Kane
555627	343233	Patricia Dare
555627	367948	President's girl
555627	383164	Jane Victor (1956-1957)
555627	384037	Herself/Co-Host (1959)
555627	395321	Herself/panelist (1949-1954)
555627	405702	Betty Smith
555628	53959	Waitress
555629	245359	Millie
555630	228071	
555631	140765	Skin 3
555632	95853	
555633	7131	Frau Klott, alias Mrs. Hargro
555633	16078	Blonde with Convict
555633	16728	Brazen Girl (in Hell)
555633	21172	Mrs. Bradford
555633	64729	Georgia
555633	69850	Lina Kamaroff
555633	80674	Helen
555633	96670	Mrs. Weems
555633	96771	Pawnbroker's Wife
555633	134474	Mrs. Fred Palmor
555633	136266	
555633	146323	Gertrude
555633	155908	Kate
555633	183822	Lilly
555633	201152	Girl
555633	220899	Betty paradise
555633	220900	
555633	222701	Ina Harrigan
555633	224333	Cynthia Morgan
555633	230435	Maj. Thompson
555633	230753	Constance Vigil (columnist)
555633	234090	Woman at Smith Home
555633	254528	Lodger
555633	260404	Mrs. Errol
555633	271000	Belle Cassidy
555633	278466	Old Woman
555633	289256	Mrs. Errol
555633	290968	
555633	298587	Nora, Maid
555633	299780	Customer
555633	301687	Lady Sylvia Marlowe
555633	308349	Mrs. Land, Tommy's Mother
555633	308923	Glenda
555633	316070	Countess Eugenie
555633	316735	Valentine Laval
555633	329388	Natalie's Friend
555633	363683	Helene LaSalle
555633	367919	Miss Atkins
555633	372811	Belle Ryckman
555634	682	Bathing Suit Woman
555635	7684	Pit Stop
555635	59665	Beach Lady With Sandcastle
555635	66662	Aunt Petronella
555635	76571	Day Care Lady
555635	90772	Mystery Woman
555635	97232	Court Clerk
555635	127237	Lady Crossing Street Slowly
555635	187191	Prisoner in Visiting Window
555635	193534	Kathy Rohl
555635	203601	Prison Matron
555635	223932	Sauna Woman
555635	252831	Ruth
555635	263325	Grieving Mother
555635	320102	Pill Lady
555635	335258	Moustache Lady
555635	347924	Reporter
555636	19798	Rolande
555636	31596	Wanda
555636	52271	
555636	53273	Oat-O-Rinos Girl
555636	73707	Carol
555636	166035	Rene
555636	169465	Betty (Do Me a Favor - Kill M
555636	176906	
555636	197065	Roxana
555636	216032	Lady Dorothea
555636	236700	Carol Clyde
555636	239082	Lady
555636	283289	
555636	340220	Beryl Johnson
555636	365141	Monica
555636	371547	Doris, storeclerk-friend
555636	395163	Lucretia
555637	34799	Brenda
555637	111792	Paula Thornwall
555637	112030	
555637	142357	Paula
555637	162861	Mercuria
555637	193723	Florrie Stuart
555637	203270	Chorine
555637	244879	Miss Lonelyhearts
555637	270267	Judy
555637	330682	Chorus Girl
555637	359421	Dance hall girl
555637	379321	June (Mrs. David Nelson) (196
555638	46588	Herself - Dance Specialty
555639	251044	Hilda
555640	231110	Tolbert
555641	145071	Fountain Girl
555642	59375	Redhead
555643	7420	Bobbie Pin
555643	136270	Nicole
555643	183683	Nicole
555643	233750	
555643	245684	Sascha
555643	366746	Gina
555644	196038	Kelli
555645	193897	Jogger
555646	404918	Herself
555647	2603	Herself (Presenter)
555647	7584	Herself
555647	9131	Janice Abbott
555647	24226	
555647	34437	Sally Tyler
555647	40220	Heather
555647	44437	Chris Parker
555647	52202	Jane Mader
555647	58507	Carol Henderson
555647	61928	Mary Hampton
555647	64561	Herself
555647	64569	Herself
555647	64570	Herself
555647	75769	
555647	80610	Maggie Healey
555647	81490	Herself
555647	91576	Claudia
555647	105889	Regan MacNeil
555647	105891	Regan Teresa MacNeil
555647	109613	Leonie Stevens
555647	110288	Herself
555647	134632	Lisa
555647	146679	Herself
555647	147796	Herself
555647	147828	Herself
555647	149712	Herself
555647	151591	Herself - Hostess
555647	191040	Herself
555647	205862	
555647	218378	Shelly Stoker
555647	232166	Officer Sue Perman
555647	232380	Carla
555647	253347	Hannah Hawkes
555647	263397	Cody Johnson
555647	274118	Christine Carlson
555647	275996	Nancy Aglet
555647	280656	Terry Barkley
555647	282944	Jenny Bellows
555647	288107	Sarah Travis
555647	288941	Daly
555647	291221	Obnoxious Reporter
555647	296534	Doris
555647	304046	Maggie
555647	309135	Amelia Reynolds
555647	311744	Barby
555647	316210	Rachel Bryant
555647	321216	Doris Mae Withers
555647	328553	Regan MacNeil (The Exorcist)
555647	342237	Herself
555647	345869	Herself
555647	348402	Vickie Adderly
555647	353525	Chana Vilnofsky
555647	357991	Nettie
555647	360266	Sara Aldridge
555647	365299	Hank Bradford
555647	366758	Jane Brooks
555647	373989	Miss Mitchell
555647	391515	Allyn Jaffe
555647	392421	Herself
555647	395019	Joni
555647	404403	Herself
555647	410546	
555648	219218	Young Sarah
555648	331475	Mary Bennington
555649	7809	Doctor
555649	369421	Female attendant
555650	65742	Scissorwoman
555650	171297	Thibault's Sister #2
555653	331475	Mary Bennington
555654	149407	
555654	222761	Girl #1
555656	30437	Clothilde
555657	144388	Roberta Russo
555657	399130	Carmella Cammeniti (2003-)
555658	115639	Star Bar Dancer
555659	1787	Doctor
555659	17749	Annette
555659	32305	Flight Attendant, White House
555659	32682	Dr. Ryan's Assistant
555659	185180	Dance Teacher
555659	208992	Dawn
555659	213452	Greek Chorus
555659	320598	Trish
555659	379716	Maida Andrews (1985)
555659	380391	Bonnie Broderick (1994)
555659	396123	Rita Mae Bristow (1983-1985)
555659	404002	Elizabeth Shrank Ryan (1980)
555660	39910	Laurie Munroe
555660	51964	Holly Taylor
555660	64861	June
555660	73122	Christy Rowen
555660	98922	
555660	170548	Gizele Bonet
555660	183445	
555660	187077	
555660	283468	Louise Britton
555660	385657	Rebecca Boone
555660	403378	Lou Mallory (1962-1963)
555661	73744	Cosgrove's Girl
555662	118451	His Wife
555662	146314	
555662	257967	Vicky
555663	313308	Belina Te
555664	135835	
555664	304643	Dancer
555665	120	Herself
555665	1681	Herself
555665	10663	
555665	13421	Cyane
555665	20727	Drugged Woman
555665	47388	Pretzel Cart Lesbian
555665	48047	Jane
555665	53323	Girl Mike Hits On #1
555665	66324	Stacey Pierce
555665	74010	Cecile Caldwell
555665	77143	Peg
555665	80904	Abbey Gallagher
555665	81464	Nan
555665	87432	Caprice Stickles
555665	92248	Cyrus
555665	128085	Darcy
555665	131209	Ayla
555665	136277	Karen
555665	142491	Liz Sherman
555665	145071	Cassie
555665	157436	Cousin Linda
555665	160302	Herself
555665	176724	Shawn Holloway
555665	187191	Vivian Kensington
555665	201806	Herself
555665	233653	Lauren Winslow
555665	263345	Gail
555665	274600	Herself
555665	291222	Cici's Friend on Phone
555665	315781	Vi ('Fiction')
555665	317145	Tara
555665	321367	Jane Burns
555665	321917	
555665	326663	Herself - Presenter
555665	342934	Shea
555665	412019	Zoe Bean
555666	266176	Blonde secretary
555667	89657	Myrtle Vane
555668	286243	Janice
555669	286141	
555670	261992	Staffer
555672	171079	
555673	108696	
555673	367917	
555674	12338	J.C. Superstar Singer
555674	185964	Restaurant Patron
555675	95211	Aura
555675	155010	Erika
555675	191324	Dominique
555675	274358	
555676	36395	
555677	204552	Wedding Guest
555678	366755	Kelly Jordan
555679	364372	V.P. of Comedy
555679	401473	NBC Executive
555680	41353	Greta
555681	168737	Angela
555681	194954	Animala
555681	201260	Carl's Date
555681	237756	Herself
555682	69417	Bridesmaid
555683	161708	Engineer Collins
555684	381617	Iphigénie
555684	404863	Une infirmière
555685	8930	Julie
555685	21617	Charlotte Comtois
555685	69391	Chuck's Date #2
555685	108905	Jeanne
555685	161765	Sylvaine
555685	194265	Manon
555685	218063	Sylvana
555685	270083	Katherine
555685	288948	Lise
555685	300787	
555685	345158	Marie
555685	378761	Sophie Véronneau
555685	408883	Mélissa
555685	411186	Gabrielle
555686	8366	Sister David Marie
555686	10324	Narrator
555686	17697	Mrs. Harrison
555686	26981	Bohemian
555686	85143	Di Fabrizi Naighbor
555686	345406	Mme Schumacher
555686	346139	Sister
555687	389237	Sophie Pouliot
555688	40250	Stewardess
555690	389137	Kathleen Giroux
555690	398096	Rina
555690	403919	Jasmine
555691	35315	Betty's Sister
555691	54434	Captain Barnacle's Daughter
555691	54435	
555691	125548	
555691	158384	Ania, The Nurse's Rival
555691	161555	
555691	240426	
555691	274844	An Abandoned Wife
555692	313398	Young Amanda Grayson
555692	333423	Teacher
555693	241148	Louise
555693	352441	Enid
555694	105813	
555695	280000	Miss Box
555696	35650	
555696	282944	Sally the Barmaid
555697	309597	Dying Lady
555698	5033	Gilly
555698	7003	Banah
555698	25874	Rosie
555698	35130	Helen Mercer
555698	44046	Barbara
555698	57052	Marian
555698	71657	Karen Michelle
555698	94527	Linda Kinston
555698	136053	Kitty Russell
555698	144935	Clarissa Jones
555698	190759	Peach Lips (red-haired dame)
555698	215641	
555698	284926	Helen Daniel
555698	289568	Susan Bradley
555698	305843	Susan Clarke
555698	313321	Susan Ettinger
555698	313793	Faith Radmore Samuels
555698	319145	Susie Manning
555698	387309	Dr. Julianna Stanhower (1984)
555698	390803	Kitty Russell (saloon owner) 
555699	56558	
555700	42012	
555701	154772	First Victim
555702	6768	Member of the Law & Order Lea
555703	292592	Mrs. Wilson
555704	75515	Burgomeister's wife
555704	75572	Rosa Valiente
555704	85872	Nashka
555704	92800	
555704	94501	
555704	109483	
555704	149947	Mrs. Steen
555704	222744	Miss Jack
555704	243262	Mme. Lafitte
555704	245973	Mrs. Tyson
555704	264747	Madame
555704	285638	
555704	288688	Civil Defence Officer
555704	292201	Fortune Teller
555704	304339	Mrs. Potts
555704	312168	Miss Crail
555704	325237	Marie
555704	338795	Local lady
555704	389931	Madame Lavarre
555704	395194	Mrs. Amherst
555704	399485	Lady Wilbraham
555704	410580	Princess Drubetskoya
555705	161254	Herself (interviewed)
555705	395230	Co-Host (1999-2000)
555705	395557	Host
555705	411433	Herself - Anchor (1996-1998)
555706	274214	Herself
555707	11522	Kathy
555707	257979	Herself (singer)
555707	320068	Barbara
555708	131629	Roanna
555708	197481	Jackie
555708	292158	French Woman
555708	389248	Caroline (1994)
555709	114708	Wife No. 3
555710	65482	Susan Clancy
555711	199712	
555711	238256	
555712	72886	The Young Mistress
555713	26782	
555713	26895	
555713	26905	
555713	57273	
555713	87461	
555713	97506	
555713	141691	
555713	160228	
555713	271792	
555713	271828	Thelma Jean or T.J.
555713	298268	Herself
555713	313253	
555713	330675	
555713	333904	
555714	189417	Crossword Puzzle Girl
555715	42136	Dorothy
555715	78864	Linda
555715	236107	Hilda Adams (segment "The Rej
555716	176350	Maya
555716	323721	Virginia (5)
555718	189986	Anna
555719	176713	Lady Spinning
555721	341931	Choir Singer
555722	198338	Girl
555723	392151	Designer
555724	165975	Herself
555725	90287	Girl on 'bus
555727	33197	Jenny
555727	35353	Sandra
555727	40678	Helsa
555727	53916	Wisteria
555727	58767	Girl
555727	66795	Nurse II
555727	79891	
555727	79896	Evelyn Ferguson
555727	80765	Waitress
555727	98803	
555727	139611	Cleaning Lady
555727	161415	Bridget
555727	169046	Anita
555727	182966	Elizabeth Brand
555727	185567	Dorothy Cocoran
555727	185670	Clara Potter
555727	195307	Nurse #1
555727	223893	Nurse
555727	265741	Housewife
555727	270349	Maid
555727	307579	Landlady
555727	320082	Mrs. Honfi
555727	320266	Dolly
555727	328595	Agent
555727	334259	Sean Six
555727	343044	Berta
555727	369336	Paris
555727	372806	Sally
555727	389340	Tony's wife
555727	395023	Elizabeth Brand (1986-1988)
555728	113810	Co-ed
555728	185473	Marnie
555728	328520	Beth
555729	846	#22 HeidiBowl/Heidi
555729	141956	Heidi
555730	60796	
555731	196491	Alison Love (aka "Smudge")
555731	389018	Dora
555732	280493	Lady in waiting
555733	132906	Accordionist
555734	71	Miss Martin
555734	5525	Boxing Fan
555734	20536	
555734	26615	Brunette who delivers note
555734	32352	Mabel
555734	35603	Glenda
555734	37460	Gambling Woman
555734	41042	
555734	50858	Helen
555734	53324	
555734	54933	Janie
555734	62269	Receptionist
555734	64668	
555734	67842	Hotel Telephone Operator
555734	68248	Secretary
555734	90371	
555734	92524	Maisie, Emergency Switchboard
555734	92527	Nurse Maisie
555734	93101	Telephone Operator
555734	96672	'Babe', Silken Legs
555734	109415	Miss Brooklyn
555734	110264	Bank clerk
555734	113907	Diana
555734	116120	Salesgirl
555734	125863	PBX Operator
555734	130763	First Stenographer
555734	140676	
555734	142879	Saleslady
555734	143191	Pearl
555734	143260	Woman in Garter Gag
555734	144448	Operator
555734	154263	Second Actress
555734	154439	Salesgirl
555734	157206	
555734	158067	Manicurist
555734	168017	Dice-game operator
555734	168678	Sally
555734	168681	Receptionist at Verne's offic
555734	183406	Flower Shop Girl
555734	183643	Chorus girl
555734	188381	Miss Schlepheimer
555734	192604	Ann, Patsy's Receptionist
555734	196928	Secretary
555734	196990	Blackie, Clerk at Carpenters
555734	200473	Mitchell's Secretary
555734	200488	
555734	206414	Marie, Complaing Wife at Lect
555734	206480	
555734	209612	
555734	212747	Saleslady
555734	218012	Miss Pitts
555734	219189	Barmaid
555734	220801	Station Master's Receptionist
555734	224047	Miss Brooks
555734	224404	Mitzi
555734	228660	Girl in garter gag
555734	231317	Trixie
555734	231925	Mrs. Byers
555734	234471	Movie Theater Cashier
555734	241443	Switchboard Operator
555734	245589	Girl
555734	246603	Talkative woman
555734	254515	Jeanne
555734	262265	Brooklyn girl in subway
555734	270456	Phyllis Reynolds
555734	271231	Nellie Valleron
555734	273786	Waitress
555734	280206	Betty Vale
555734	285664	Beauty Operator
555734	289546	Lilly Beth (the maid)
555734	289718	Voice on tape
555734	294919	Telephone operator
555734	295380	Newspaper Telephone Operator
555734	296965	Myrtle
555734	298050	Miss Donovan
555734	298069	
555734	299163	Merton's Secretary
555734	302649	Cecily Gordon
555734	305472	Elsie
555734	313377	Liz, Switchboard Operator
555734	316156	Receptionist
555734	316221	Birdie
555734	316672	Marjorie
555734	327256	Myra Haskins (the bride)
555734	329945	Stella
555734	330059	Fran
555734	330087	Joy Lane Cashier
555734	330915	Maggie, the Hairdresser
555734	333301	Sidekick
555734	334162	Lorena
555734	335852	Madge
555734	346195	Lulu
555734	360420	Maid
555734	361681	Salesgirl
555734	363190	Woman
555734	364156	Telephone operator
555734	367577	Flo Peters
555734	367919	Miss St. Claire, Woman with T
555734	372145	Mary
555734	372483	Mrs. Blake
555735	220090	Undetermined Role
555736	33742	One of 'The Thirty Women'
555737	366373	Edwina Gunn
555738	311192	
555739	381492	Rox
555740	330689	Suzanne
555740	383589	Phyllis Collier [1960]
555741	246000	P.A. Operator
555742	296202	Sandy
555743	208487	Marian
555744	314445	Stepford Wife
555745	7038	Theresa
555745	29388	
555745	346278	Elena
555746	125900	Dancer
555746	141026	Kooch Dancer Ghost
555746	279171	
555746	331395	Miss Penny
555747	359140	Jane
555748	45119	
555749	230	Eva Prunier
555749	51746	Club Speaker
555749	95189	Mum
555749	97463	Eve
555749	109809	Iya Zetnick
555749	117456	
555749	117627	Margot
555749	126103	Elizabeth
555749	126700	Isabella Shepherd
555749	150554	Edith Dunne
555749	152583	Mother
555749	158971	Matron
555749	159971	Claire
555749	193359	
555749	193765	Pamela
555749	200416	Jean Shaw
555749	203286	Art Teacher
555749	222998	Flo
555749	223758	Mother
555749	223940	Kirstin
555749	286182	
555749	306001	Mrs. Bailey
555749	331042	Fee Cleary
555749	338577	Frances
555749	379411	Cook
555749	381608	Elaine Thomas (1972-1975)
555749	386339	Mrs. McKenzie
555749	395180	Mrs. Scott
555749	398357	
555749	402197	Evelyn Randall (1981)/Nancy M
555749	407189	Jean Rogers
555749	409197	
555749	409488	Milly
555749	411245	Reformed Sinner (episode 4: T
555749	411366	Mrs. McPhee (episode 2: Maydi
555750	368244	Ensemble member
555751	343346	The Typist
555753	70323	
555753	129762	Married Gnome
555754	17702	Elizabeth Boleyn
555754	137962	Janet Lord
555754	142430	Cynthia McKenna
555754	152918	Waitress
555754	198872	
555754	203374	Marie
555754	306299	
555754	334184	Claudia Lyon
555754	360771	Chris
555754	386360	Dr. Barbara Finch
555754	411300	Prison Governess (2) Helen Fo
555755	230571	Maud Chesterton
555755	302838	
555756	293030	Crystal
555757	77215	Ada Pascoe
555757	80995	
555757	125918	Charlotte Crisp
555757	142302	Clytemnestra
555757	160576	Mel
555757	222747	Heather
555757	293094	Emma Morton/Cassidy
555757	384346	PC Judy Byrd (1999-)
555757	392450	Lady Aurelia Ashington/Mary J
555757	407157	Lillian Wood
555758	30647	Roxy's friend
555758	105851	Policewoman
555758	231888	
555758	381184	Diane Woo
555758	400261	Nui Shaw
555758	406235	Kim
555759	201346	Little Majorette
555760	372175	Dancer
555761	66917	Voodoo Dancer
555761	309206	Indian Dancer
555762	5179	Happiness
555762	26452	
555762	39896	
555762	45891	
555762	47522	
555762	104312	Amy
555762	127268	Regina
555762	146181	Christine Cadwalader
555762	171233	Genevieve
555762	192173	Lavinia
555762	284879	Evelyn
555763	60268	Pat
555764	84965	Madame Delong
555764	307282	Raynor's Sister
555764	315145	Aliced Mason
555765	6194	Mrs. Bonner
555765	8961	
555765	13998	Edna Mae Bestram (perfume cus
555765	27112	Mrs. Rosser
555765	30954	Aunt Harriet Cooper
555765	35420	Mrs. Mallory
555765	46959	Mrs. McIntosh
555765	113478	
555765	113940	Commissioner's Wife
555765	116513	Cora Anderson
555765	129568	Aunt Martha
555765	141184	
555765	162390	Mrs. Cuny
555765	163245	Woman
555765	163300	Clubwoman
555765	163516	Mrs. Stamper
555765	175405	Stout Woman
555765	185505	Middle-Aged Lady at Topless a
555765	190179	Regent Studios' Wardrobe Woma
555765	194095	Aunt Anastacia
555765	194269	Mrs. Press, Party Hostess
555765	196558	Hired agitator
555765	198436	Police Station Witness
555765	233899	Ellen's landlady
555765	257963	Mrs. Kilkinny
555765	257981	Jenny, the housekeeper
555765	266179	Martha Gilvray
555765	269295	Mrs. Kimpel, High Diver segme
555765	277440	Mrs. Cahill
555765	277804	
555765	294760	Mrs. Parent
555765	302696	Dora Bailey
555765	304096	Jane
555765	307518	Commentator
555765	308065	Mrs. Chadwick
555765	327847	Society Reporter
555765	340542	Exasperated lady on train
555765	359754	Woman bystander
555765	381393	Aunt Harriet Cooper (1966-196
555765	393611	Mrs. Barnes (1961-1962)
555765	402971	Flora MacMichael (1957-63)
555766	319775	Florence Lockwood
555767	257730	Mrs. Williams
555768	4619	Royce's secretary
555768	10405	Alfalfa's aunt
555768	10977	Mrs. Nesbitt
555768	11181	Miss Ryan
555768	16895	Mildred 'Millie', Telephone O
555768	27152	Miss Worth
555768	34701	Cleaning woman
555768	35479	Sally
555768	40608	Harriot
555768	42013	Ethel
555768	46964	
555768	52659	Sally
555768	52661	Sally the Switchboard Operato
555768	53212	Susie Smith, Hartmans'secreta
555768	57169	Nurse with castor oil
555768	61164	Telephone operataor
555768	61567	Ethel, Reception Nurse
555768	63009	Reporter
555768	63029	Mrs. Wright
555768	78802	Sally
555768	79949	Western Union Girl
555768	83932	Motel landlady
555768	92480	Sally
555768	92523	Sally
555768	92524	Sally, Hospital Receptionist
555768	92525	Sally, Hospital Switchboard O
555768	92526	Sally, Switchboard Operator
555768	92527	Sally
555768	92959	Annette
555768	94291	Night Club Patron
555768	110219	Slum landlady
555768	120639	Nellie
555768	121663	Mr. Prigee's Secretary
555768	123141	Woman Helping to Look For Rin
555768	123884	House Mistress
555768	125862	Maid
555768	127699	Harriet Morgan
555768	128194	Committeewoman
555768	129095	Biandina Waverly
555768	129097	Policewoman Davis
555768	129921	Mother
555768	131532	Nicky Clark
555768	143588	Clara, Vance's Maid
555768	145316	Clara
555768	148307	Party guest
555768	152551	Unidentified role [Script Nam
555768	154476	Purity Sykes
555768	155247	Effie Lane, Tolliver's Secret
555768	159996	Hilda
555768	166690	
555768	169889	Augusta McBride
555768	175175	WAC supply corporal
555768	189152	Miss Lulubell
555768	195579	Augusta, the Cook
555768	195741	Hillier's Secretary
555768	195903	Mrs. Quigg
555768	201305	Bertha
555768	201460	Woman Jerry mistakes for Susa
555768	203615	
555768	203799	Telephone Girl
555768	204552	Mrs. Schwartz
555768	220406	Minnie Ames
555768	223825	Telephone Operator
555768	246603	Tired woman
555768	252480	Sally
555768	254528	Marie
555768	255881	Wilbur's Mother
555768	262260	Butch's mother
555768	275451	Miss Cartwright
555768	277644	Mrs. Gussler
555768	282394	Nurse
555768	285664	Beauty Operator
555768	292248	
555768	292511	Sally, Telephone Operator
555768	294212	Miss Grear
555768	297897	Hannah, the housekeeper
555768	305395	Beauty Operator
555768	305399	
555768	305934	Patient awaiting staff
555768	306284	Servant
555768	308930	Hannah Dobbs
555768	309827	Ruby
555768	313517	Annie, Stones' Maid
555768	321566	Woman in Apartment No. 1
555768	330159	Waitress
555768	330173	Waitress
555768	331062	Hospital Telephone Operator
555768	331469	Second Woman Gettiing Autogra
555768	349554	Bill's Receptionist
555768	363683	Sally Lukens, boarder
555768	365062	Frieda
555768	367415	
555768	367552	Wax operator
555768	367919	Stockroom Girl
555768	372364	Beauty Shop Operator
555768	372531	Miss Sally Green, the Switchb
555768	379228	Grandmama Addams
555770	66636	Janet Parker
555770	239027	
555770	347119	Young Woman in Crowd
555771	121808	Musical Saw Player
555772	73788	Sugar
555772	86558	Lt. Thompson
555772	93152	Ballet mistress
555772	100758	Grace Braxton
555772	159549	Karen
555772	161757	Girlfriend
555772	163362	Megan
555772	177284	Grace Stills
555772	219638	Tammy
555772	242938	Bobette
555772	246032	FBI Agent Houlihan
555772	267605	Minister
555772	268025	Karen England
555772	321147	
555772	346009	Carla
555773	25253	Glenys
555774	92959	Eurythmic Teacher
555775	147072	Herself
555776	118623	Denise Casey
555776	366906	Giselle
555777	138772	Cindy
555778	197765	Elizabeth
555779	371374	Extra
555780	23552	Mrs. Castle
555781	114708	The Current Wife
555782	400257	
555783	37225	
555783	41581	
555783	56561	
555783	150043	
555783	247989	
555783	306923	Herself
555784	405209	Melissa Simpson (2000)
555785	263942	Helen
555786	389379	Nzinga
555787	7139	
555787	44289	Ellen Reed
555787	54593	Marion Graves
555787	56191	Susan 'Susie' Hart
555787	61232	Ellen Dale
555787	77178	Joan Talbot
555787	77981	Vicki Jason
555787	110418	Judith Palmer
555787	119901	
555787	121513	Laura Mahoney
555787	127177	Rita White
555787	127178	Rita White
555787	128217	Annette
555787	129613	
555787	135930	Cynthia
555787	139935	Susan Hart
555787	145075	Doris Lacy
555787	157041	Emily Davenport
555787	168270	Anne Howe Palooka
555787	176312	Ivy McGinnis
555787	192604	Mary Mahoney
555787	201150	Elsie McIntyre
555787	206413	
555787	210705	Nurse
555787	214149	Eleanor
555787	220779	Lily
555787	224588	Elora Lund
555787	224610	Shirley Clinton
555787	233615	Betty James
555787	240237	Julie Santley
555787	241278	Ruth Matson
555787	241444	
555787	249518	Elizabeth
555787	260285	Edna Brewster
555787	280688	
555787	283394	Waitress
555787	291174	
555787	291745	Ann Whitney
555787	304298	Carol
555787	304959	Mitzi
555787	308356	Cathy Thornton
555787	309208	Coed
555787	312773	Actress
555787	312811	Janet Winters
555787	321495	Lois, Nagen's Secretary
555787	321529	Billie
555787	330703	Annie, Hotel Maid
555787	331618	Mamie Donaldson
555787	331713	Diane Whipple
555787	335638	Student
555787	347330	Julie
555787	348976	Sally Jeffers
555787	358077	Kathy Clark
555787	364573	Diana Leslie
555787	369363	Irene Parker
555788	199604	Undetermined Role
555788	372853	
555789	306278	Thursday (Green)
555790	1734	Herself - Presenter
555790	40785	Sophie
555790	95788	Narrator
555790	184717	Jane 'Janie' O'May
555790	188590	Narrator
555790	236150	Anne Prescott
555790	251173	Amy
555790	252984	Melanie
555790	331639	Helen Howard
555790	335144	Helen White
555790	391869	Mandy Thomas (1995-1997)
555790	411172	Maxine Summers
555791	388321	Nikki Warrington Farmer (2000
555792	316332	Greta
555793	3915	
555793	98842	Resort member/Girl in hot tub
555793	129238	
555793	139193	
555793	154342	
555793	358074	
555794	250546	Hospital Nurse
555794	389858	Judy Clampett, R. N. (1964-19
555796	324117	Kate
555796	384430	Clara Clayhanger
555797	329746	The Mother
555797	350501	
555797	356630	
555797	358141	
555798	207703	Cynthia
555799	392496	Herself
555800	329503	Wendy Halversen
555801	114708	Wife No. 4
555802	75043	
555802	97538	
555802	168070	
555803	59151	Insurance Broker
555804	146726	Police Detective
555804	321654	Waitress
555804	384586	Barmaid
555804	389487	Shopper (June 2000)
555805	291449	Pageant Girl
555806	333726	
555807	36773	Charlie
555807	45050	Judy (waitress)
555807	142716	Ronnie Howard (inmate)
555807	158076	Connie DiAngelo
555807	168237	Charlie
555807	176810	Josephine
555807	176972	May Wheeler
555807	185147	Woman in Subway
555807	196302	Mrs. Sweetser
555807	208326	Teacher
555807	218150	Charley
555807	222737	Charley
555807	232493	Margie
555807	238524	Girl
555807	282563	Roxanne's Mother
555807	292266	Ermy
555807	299649	Maggie
555807	330955	Mrs. Baker
555808	36760	Mrs. Roberts
555808	77985	Tattooed Topless Dancer
555808	111442	Singing Nurse
555808	126700	
555808	161922	Mrs. Cello
555808	194865	Kayla/Stripper
555808	202728	Stripper
555808	245678	Ticket agent
555808	295194	Carrie
555808	300177	Herself
555809	14258	
555809	36612	Anna
555809	243307	
555810	82624	Sandy
555810	97277	Peggy Sue
555810	252853	Penelope Bott
555810	404848	Hostess
555811	11198	Various characters
555811	41490	Belinda Beauchamp
555811	99141	Glenda Whitehead
555811	112049	Woman in Red Dress
555811	291494	Ghost of Christmas Present
555811	353490	
555811	358458	Libby Hughes
555811	379181	Announcer
555811	382530	Pam Redstone
555811	385020	Bev Unwin (2003-2004)
555811	396379	
555811	400814	Pammy Rose
555811	402165	Beverley Baker
555811	405448	Jackie
555811	405885	Various roles
555811	406345	
555811	410080	Various characters
555812	208529	Social Worker
555812	300801	Maggie
555812	387247	Frankie Pierre (1996-1997)
555813	127928	Mme Petaud
555813	166943	
555813	364866	Grieving Mother
555814	267568	Variety Reporter
555814	270622	Miss Gordon
555815	164587	Antandra Washington (Jackie's
555815	188317	Various
555815	207710	Sports Reporter
555816	356953	
555817	147620	
555817	358074	
555818	121404	10 College Woman
555819	3593	Gloria Marsh, R. N.
555819	163247	
555819	189403	Ticket Agent
555819	196902	Woman on Greek island/female 
555819	228048	Virginia
555819	251235	Christy
555819	277090	
555819	282563	Party Guest
555819	292697	
555819	334886	Woman
555819	362268	Vulture Woman
555819	379716	Gloria Marsh Chandler Marick,
555820	193567	Herself
555821	55463	
555821	103896	
555822	114708	Interviewer
555822	256220	Hostess
555823	31880	
555823	81747	
555823	113520	
555823	194397	
555823	199492	
555823	245473	
555823	256355	Child
555823	277068	
555823	288490	
555823	310936	
555823	313222	
555823	319946	
555824	6151	Girl at Party
555824	27333	Mrs. Lupus
555824	87309	Belle's girl
555824	93357	Mrs. Blair
555824	111796	Babs
555824	113480	Estelle Norris
555824	138392	Gwen
555824	230963	Nurse
555824	253843	Lucy Lund
555824	303433	The leading lady
555824	310577	Mother
555824	330229	Margie Dell
555824	342472	Dr. Rhammy
555824	345277	The Dominos
555824	364325	Jody
555824	400235	Sally
555825	12737	Alvin's Mother
555826	382912	Rose
555827	398187	Grace Maskew
555828	331	Peggy Gatlin
555828	35184	Elizabeth Hardeman
555828	45512	Helen Owens
555828	84137	
555828	186273	Mary-Ellen Crowley
555828	224000	Nancy Williams
555828	276923	Millie Stephenson
555828	316101	Peggy Harwood
555828	316264	Emma Verko
555828	384607	
555828	391184	Dorothy Baxter (1961-1965)
555829	107082	
555830	215507	Miss Georgia
555831	107351	Book Person: 'The Jewish Ques
555831	154543	Herself - Presenter: Best Cos
555831	201514	Herself
555831	323578	Herself
555831	369870	Herself - Presenter: Best Cos
555831	369999	Herself - Winner: Best Costum
555832	207493	Woman
555833	80696	Young Josie
555834	75906	
555834	222661	
555834	282626	Miss Peake
555836	84851	Lady #2
555838	396932	Nikki Butler
555839	110338	Girl Scout
555839	220978	Imogen
555839	263998	Elaine
555839	342499	Hillary
555839	372372	Shopper
555840	185341	Crazy Lucy
555841	71658	Brittany Cooper
555841	110447	Victoria Payne
555841	196157	
555841	208391	Ricki/Claire
555841	370734	Sandy
555841	372580	Alcmene, Hercules' Mother
555841	399130	Gaby Willis (1991-1994)
555841	407478	Isabelle Reed
555841	408879	Lucille Fournier
555842	49071	Verda (1970)
555843	8079	Billie
555843	16113	Gail Bugliosi
555843	17783	Layla
555843	19294	Sarah Cooper
555843	40115	Lucinda
555843	41123	Marie Farrell
555843	47433	Catherine Coburn
555843	49605	Eva Braun
555843	54340	Iris Crawford
555843	58481	Danforth
555843	66274	Teri Halbert
555843	67374	Linda
555843	69137	Maggie Whelan
555843	72584	Barbara
555843	74202	Polly Harris
555843	80588	Alex Barnard
555843	93054	Cherry Diamond
555843	93250	Karen
555843	109620	Patricia Erdain
555843	136194	
555843	139967	Martha Boyd
555843	143280	Laura Mannhart
555843	145739	Betty Bennett
555843	149181	Leslie Abramson
555843	152876	Barbi Harris
555843	158798	Billie
555843	160911	Jeanne Roberts
555843	161642	Leigh Holland
555843	182984	Vivian
555843	183877	Lilah Corbett
555843	194525	Jane Bradshaw
555843	201424	Joyce Windsor
555843	220048	Donna
555843	222756	Gert Kiley
555843	224149	Leslie Shaber
555843	233509	Peggy Young
555843	239394	Sally Jo Purkey
555843	245105	Alice Lundgren
555843	245678	Christina Hawk
555843	252929	Dr. Julia Bruning
555843	270347	Margaret Carlyle
555843	275904	Patty Butler
555843	283784	Susan Dennison
555843	288980	Cecily, a Debutante
555843	292786	Andrea Fleming
555843	314949	Evelyn Decter
555843	320094	Linda
555843	326607	Joan Kennedy
555843	336139	Jennifer
555843	336940	Alice
555843	337091	Patty Simmons
555843	360270	Judianne
555843	365648	Ada Guthrie
555843	365742	Frances Farmer
555843	403336	Julie Prescott
555844	187263	Natiti's Sister
555844	396302	Presenter
555845	288923	Herself
555846	193884	Frances
555846	385020	Marie Ramsden (1990)
555847	165286	The Reporter
555848	277801	Reporter
555849	41127	Lix
555849	248459	Kim Wright
555850	41530	Receptionist
555850	96799	Trisha
555850	314779	Waitress 1
555850	383056	School Secretary
555850	384968	Cindy
555851	364103	Mother
555852	399130	Christina Alessi/Robinson (19
555852	407420	Herself - Hostess
555853	387234	Herself
555853	399130	Caroline Alessi (1990-1992)
555853	407420	Herself - Hostess
555854	7293	Mrs. Lunt
555854	11838	Mrs. Bradley
555854	19960	Miss Bumstead
555854	24240	Dowager
555854	38042	Mrs. Myra Patterson
555854	50601	
555854	67875	Mrs. Beach-Howard
555854	77015	Mrs. Stowe
555854	84134	
555854	90304	Frankie
555854	92527	Mrs. Worth
555854	105690	Aunt Fanny Stafford
555854	105975	Cissie
555854	123911	Nedda Beaumont
555854	129070	Mrs. Brune
555854	129231	Miss Treat
555854	134109	
555854	142611	Daisy Montrose
555854	142873	Mrs. Aldrich
555854	142874	Mrs. Aldrich
555854	142875	Mrs. Aldrich
555854	142876	Mrs. Aldrich
555854	142877	Mrs. Aldrich
555854	142878	Mrs. Aldrich
555854	142879	Mrs. Aldrich
555854	142880	Mrs. Aldrich
555854	143221	Polly
555854	154740	Corona warden
555854	186795	Mrs. Louise Robie
555854	186798	Blanche Wetherby
555854	221165	Ann Henfield
555854	228828	Mrs. Will Jamison
555854	234141	Carruthers' Housekeeper
555854	248635	Mrs. Aldrich
555854	260864	Aunt Caroline Hubbard
555854	261560	
555854	272025	New Country Inn receptionist
555854	279454	Herself
555854	281369	Mrs. Andrews
555854	291864	Camilla Cameron
555854	294357	Mrs. Deane
555854	316166	Mrs. Hollis
555854	329528	Margie Stallings
555854	330514	Louise
555854	331292	Miss Scott
555854	331474	Mrs. Winston
555854	333319	Mrs. Fernald
555854	343239	Mrs. Madison
555854	343249	Phyllis
555854	386889	Mrs. Grady
555855	350407	
555856	108934	Officer's Wife
555857	849	Cruella de Vil
555857	881	Cruella De Vil
555857	19769	Selkis
555857	64089	Stepmother
555857	107471	Wanda
555857	107472	Mom Turner and Wanda
555857	107473	Wanda/Mrs. Turner
555857	107474	Mrs. Turner/Wanda/Others
555857	119601	
555857	167696	Wanda
555857	167710	Wanda
555857	177632	Maleficent
555857	184561	Jadin, Rosalinda
555857	212902	Cruella De Vil
555857	236163	Woman 1-3
555857	318865	Bashra, Perduellion, Nepanthi
555857	321709	Dunteth's Wife
555857	325099	Kala
555857	325146	Voice
555857	338823	Admiral Amelia
555857	347888	Wanda/Mrs. Turner
555857	373997	Wanda/Mom
555857	385149	Additional Voices
555857	388215	Wanda/Timmy Turner's Mom
555857	392134	Cruella De Vil
555857	395354	Kala
555857	400033	Mom Turner/Wanda/Others
555858	38647	
555859	279532	Ascopo
555860	22808	Lady Bess Sedgwick
555860	61791	Aunt Judith
555860	66853	
555860	118466	Angela Berenson
555860	155731	2nd Woman at Party
555860	189529	Esther
555860	200132	Hon. Esther Grand
555860	215335	Madame Thenardier
555860	292143	Dr. Odile Keppler
555860	313479	Mon Mothma
555860	319006	Rowing woman
555860	341028	White Nun
555860	370585	Golfing friend
555860	383958	Margaret Mottram
555860	384091	Judith Villiers
555860	384345	Dr. Ann Boyd
555860	387518	Lena Hyde
555860	389123	Marjorie Ferrar
555860	395188	Alice Bannister
555860	396623	Anna Brigmore
555860	398399	Co-ordinator
555860	399534	Pat Penmore
555860	402169	Lady Frances Jersey
555860	402212	Countess
555860	402743	Sylvia Guiccoli
555860	403102	Helen Crichton-Crick
555860	403373	Scarlett
555860	408234	Lady Longbridge
555860	411315	Lady Harriet
555861	73389	Cas
555862	56773	Didi
555862	62996	Ellie
555862	87333	Kathy
555862	132122	Mabel Nesbitt
555862	230368	Jo's friend
555862	263558	
555862	359202	Rosie
555862	387282	Kate
555862	391194	Camilla French
555862	398364	Abi
555862	399531	Sandra
555862	401652	Kelly (1999-2001)
555862	408638	Mo Morrison
555863	28707	Carolina Red
555863	83993	Selena Watson
555863	88184	Gina Sherman
555863	89004	Herself
555863	93818	The Connection
555863	131506	Betsy
555863	154536	Herself
555863	183376	
555863	190577	Herself
555863	204577	Singer
555863	222609	Faith
555863	227925	Barbara Jean
555863	232458	Marge Thompson
555863	239394	Valene Burns
555863	264669	Carrie DeWitt
555863	275604	Mrs. Dylan
555863	276882	Sally
555863	286338	Herself
555863	297880	Willy Westall
555863	308018	
555863	317339	
555863	365118	
555864	52681	Young Mrs. Donnelly
555865	23077	Jamila
555866	161936	
555867	150642	Mrs. Cicely Dysfunctional
555868	1492	Herself
555868	101711	Subcommander T'Pol
555868	165848	Medea
555868	221435	Herself
555868	240734	Charlie's wife
555868	269296	Hot Babe in Yellow
555868	305152	
555868	386272	Ruby Grange
555868	387671	Subcommander T'Pol
555869	158514	Penny
555869	398020	
555869	404404	Madame Valenod
555870	158818	Vivian Marie Roberson
555871	259280	Party Girl #1
555872	54173	
555872	65066	
555872	65068	
555872	77263	
555872	129760	Kuma Dusica
555872	159224	Dara vestica
555872	195255	
555872	221193	
555872	230480	Sekretarica
555872	293711	
555872	293712	
555872	305096	
555872	305813	Glumica
555872	320577	Nada
555872	339023	
555872	343968	
555872	344256	
555872	350250	Nada
555872	381182	Ruskinja
555872	382073	
555872	382939	
555872	386526	Milka
555872	389113	
555872	402119	
555872	408837	
555872	410442	Anca
555873	25881	
555873	195771	Person in the Colony Room Clu
555874	283021	
555875	283021	
555876	6254	Candy
555876	257114	Chambermaid at the Ritz
555877	276821	Twin
555878	276821	Twin
555879	202045	
555880	63602	
555880	131029	Rojza
555880	195114	
555880	234257	
555880	237496	Cernava
555880	264230	Devil
555880	264231	Devil
555880	314078	Andrea
555880	317553	Janecková
555880	357279	Colleague
555880	375380	
555880	402368	
555881	380059	Alumna
555881	381153	Elena
555881	386531	Secretaria
555881	395885	Alumna
555881	402330	Himself
555881	410477	Edecán
555882	4760	Vera
555882	17527	
555882	121050	
555882	124983	
555882	127670	Gilberte Montavon
555882	155468	Frau Dr. Helm
555882	156684	Frau Gottscheit
555882	180147	
555882	181499	
555882	199601	Mademoiselle Ziselin
555882	204581	Hedwig Pringsheim
555882	205772	Heidi Rüegg
555882	208115	Maria
555882	216295	
555882	216534	Gritli Störteler
555882	230093	
555882	240602	
555882	246951	Inhaberin des Hotels
555882	280801	Eva Roberts
555882	289953	
555882	309349	Frau Gruber
555882	333465	
555882	353076	Frau von Richenau
555882	354788	
555882	357570	Dr. Schroeder
555882	358045	Sonja Witschi
555882	363799	Louise
555882	375160	
555882	396285	Esther Weiss (2001)
555882	408377	Grossmutter Josefine Staeubli
555883	260904	
555883	301354	
555883	311817	Clizia
555884	404958	Herself
555884	410148	Herself
555885	754	
555885	44905	
555885	68416	
555885	93990	
555885	106548	
555885	108647	
555885	121555	
555885	123805	
555885	128235	
555885	150044	
555885	151208	
555885	154187	
555885	237135	
555885	242553	
555885	247990	
555885	247992	
555885	250651	
555885	274415	
555885	292866	
555885	295920	
555885	298163	Robin
555885	300519	
555885	304343	
555885	319673	
555885	324440	
555885	329748	
555885	335468	
555886	166274	
555887	252424	Une jet-setteuse en cure
555888	265797	La femme BCBG
555889	5900	Geneviève, Piccoli's wife
555889	7560	Isabelle Morigny
555889	12366	Rose
555889	19334	Agnès Manise
555889	24924	Adèle
555889	51411	Edith
555889	51431	Jeanne
555889	57281	Agnès Manise
555889	58329	Catherine
555889	107524	Elle
555889	110124	Mathilde
555889	111024	Sylvia
555889	158840	Martine
555889	159290	Yvette
555889	166139	Madame Vernet
555889	183235	Teresa
555889	184062	Claire
555889	184868	Lucy
555889	192815	
555889	193442	Zana
555889	205619	
555889	214253	Claire
555889	228155	Jacqueline Leroux
555889	251527	Soeur Augustine
555889	251815	Une jeune fille
555889	254939	Phèdre
555889	257159	Sylvie
555889	257207	Clo
555889	260785	Jeanne
555889	269518	Georgette
555889	275124	Henriette de Nevers
555889	277720	Mme de Comballet
555889	288843	
555889	288992	Jeanne
555889	297358	Marie-Laure
555889	307380	Candida
555889	313084	Hélène
555889	319822	Jeanne
555889	336445	Isabelle Rimbaud
555889	337739	
555889	345156	Agnès Manise
555889	345434	Olympe de Cardoville
555889	346417	Jasmine
555889	356521	Françoise Barnier
555889	361085	Adele Natter
555889	377623	
555889	379805	Françoise d'Aubigné, marquise
555890	8255	Kate
555890	8257	
555890	13099	Eleonora Santoro
555890	14388	Jenny
555890	14534	
555890	14862	
555890	23525	Margot
555890	28777	
555890	33508	Rosaria
555890	33681	
555890	42797	Dr. Corti
555890	48201	
555890	51446	Trixie
555890	54872	
555890	55982	
555890	67406	Saloon singer
555890	69021	Zora
555890	71436	Danielle Reynaud
555890	82134	Woman of Danger City
555890	86730	
555890	88349	Jessica
555890	89870	Silvana
555890	109766	Veronica
555890	111740	Maud Taylor
555890	112646	
555890	118778	Monna Piva
555890	127880	
555890	127944	Lidia Caselli
555890	144352	Elisabeth von Salmenau
555890	148058	Linda
555890	156356	Luciana Alpi, madre di Ilaria
555890	162076	Italia
555890	162082	Emmanuelle
555890	170048	
555890	187852	Elide
555890	189384	Silvana Scaporella
555890	198183	Russian widow
555890	200534	Antonella Amaldini
555890	201368	
555890	204595	Sabina
555890	214005	Joschita
555890	215405	
555890	235737	Susie
555890	242828	Monica Schuftan
555890	246426	Olga
555890	258334	Lisa Müller
555890	258560	Angela Valle
555890	260952	
555890	261850	
555890	263936	
555890	279036	Geneviève
555890	282094	
555890	295173	Mildred
555890	307070	Hippolyta
555890	310393	Sally
555890	311065	
555890	318858	
555890	328691	Laura/Daniela
555890	328829	Denise
555890	335078	
555890	335538	Prostitute
555890	343526	
555890	348199	Leslie
555890	351517	Lillian
555890	351528	Jo Anne
555890	356162	Augusta
555890	383448	Gemma Pellegrini
555890	387305	
555890	399651	
555890	400788	
555891	52750	
555891	83528	Herself
555891	276396	Doña Elsa
555892	2	$ stripper
555892	153241	Lucienne
555893	336311	
555894	85538	
555894	204015	
555894	319861	
555895	25367	
555895	28708	
555895	45781	Valley Girl
555895	70389	Joannie
555895	73926	Additional Voice
555895	78759	Kendra Maibaum
555895	80539	Sgt. Susie Warzenak
555895	105945	Christine
555895	114383	Vicki
555895	120233	Zanne Armstrong/Suzanne Boxer
555895	178149	Sage
555895	239588	Street kid
555895	256234	Andy
555895	268918	Victim #3
555895	277919	Linnette Stillwell
555895	330566	Candy
555895	361618	Jenna
555895	385710	Kendra Maibaum (2000-2001)
555895	392238	Straight Girl
555895	398070	Tiffany (1993-1994)
555895	400921	Kate Bishop (1994-1995)
555896	218303	Mother Chupin
555896	295456	Marie
555897	404957	
555898	266377	
555899	393186	Clavelina Carsio
555900	116280	Elderly Woman
555901	58507	Doper
555901	142527	Party Women/Stooge #1
555902	309963	Little Girl
555903	289633	Helen Chapman
555904	345152	La Donna giudice
555905	51431	Hélène
555906	164080	
555907	67207	
555907	355872	Amélie blonde
555908	7184	
555908	195569	Anouk
555908	211366	
555908	296921	Francine
555908	349491	Sibylle
555909	306313	La serveuse
555910	94238	Louise
555911	263018	Une enfant
555911	355872	Virginie Leblanc
555912	220219	Jeanne
555913	392911	Enfant
555914	145263	
555914	350138	
555914	392911	Enfant
555915	253	Jonge moeder
555915	281357	Fanny Coens
555915	357367	Suzanne
555916	39158	Dayana
555917	239629	
555918	88908	
555919	207633	
555920	1581	
555920	4528	Matilda
555920	9472	
555920	10988	
555920	12768	
555920	14752	
555920	15429	
555920	15430	
555920	17753	
555920	19269	
555920	21978	
555920	25588	
555920	26012	
555920	27678	
555920	27695	
555920	27716	
555920	28080	
555920	30867	
555920	30871	
555920	30982	
555920	39039	
555920	49438	
555920	49509	
555920	56003	
555920	77074	
555920	77812	
555920	77813	
555920	79092	
555920	79093	
555920	79113	
555920	80713	
555920	85476	
555920	86567	
555920	96935	
555920	101681	
555920	105202	
555920	108117	
555920	108125	
555920	108341	
555920	108388	
555920	117727	
555920	123012	
555920	123944	
555920	126271	
555920	130298	
555920	135736	
555920	138167	
555920	139410	
555920	139956	
555920	145194	
555920	145357	
555920	146970	
555920	150404	
555920	152592	
555920	153306	
555920	155173	
555920	155182	
555920	156179	
555920	156189	Dr. Tagle
555920	156190	
555920	157099	
555920	159109	
555920	162112	
555920	163055	Isputnik
555920	165207	
555920	168454	Marsha
555920	168455	Marsha
555920	168456	Marsha
555920	168457	Marsha
555920	168458	Marsha
555920	168459	Marsha
555920	171969	
555920	172893	
555920	172968	
555920	174429	
555920	176402	
555920	178261	
555920	180260	
555920	181821	
555920	182187	
555920	185002	
555920	185998	
555920	187879	
555920	190416	
555920	190695	Emily
555920	195819	
555920	197552	
555920	197921	
555920	198806	
555920	199779	Fides
555920	200055	
555920	200423	
555920	200659	
555920	209367	
555920	213531	
555920	219942	
555920	222110	Carmen
555920	222402	
555920	224005	
555920	224292	
555920	227077	
555920	228817	
555920	245858	
555920	246464	
555920	247536	
555920	256095	
555920	256886	
555920	264289	
555920	264301	
555920	266214	
555920	266697	
555920	267004	
555920	269768	
555920	274095	
555920	281708	Rosalina
555920	284633	
555920	284646	
555920	284647	
555920	284733	
555920	287066	Linda Perez
555920	289278	
555920	292076	
555920	297075	
555920	297095	
555920	301440	
555920	307719	
555920	309623	
555920	312316	
555920	322634	
555920	324100	
555920	326250	
555920	326251	
555920	328091	
555920	333538	
555920	333568	
555920	333581	
555920	333740	
555920	334022	
555920	334755	
555920	339208	
555920	341581	
555920	341614	
555920	341659	
555920	341877	
555920	342200	
555920	348430	
555920	349073	
555920	349074	
555920	350161	
555920	351882	
555920	358497	
555920	358503	
555920	359361	
555920	368726	
555920	370317	
555920	370903	
555920	380345	(2000-01)
555920	385540	
555920	398494	Carmen
555921	184939	Elisa
555922	90890	
555922	122705	
555922	127643	
555922	127852	
555922	172642	
555922	214485	
555922	224004	
555922	247540	
555922	339867	
555923	38299	
555924	61617	Betty
555924	100033	School Nurse
555924	334171	Mrs. Ryan
555925	200539	Bruja y Dona Brujilda
555925	379043	Vecina
555926	4553	
555926	10254	
555926	24908	
555926	25001	
555926	25033	
555926	28727	
555926	30304	Teresa
555926	53649	
555926	55945	
555926	55967	
555926	58696	
555926	69222	
555926	87075	
555926	91360	
555926	96373	Grandecita
555926	99354	Cristina Elizondo
555926	101850	
555926	108994	
555926	110231	Lolita
555926	145239	
555926	148057	Anciana que camina descalza p
555926	197644	Luisa Benitez
555926	202217	
555926	209066	
555926	212445	
555926	213528	
555926	213704	Principal
555926	215232	
555926	215344	
555926	221975	
555926	222006	Tia Clotilde
555926	222041	
555926	234005	
555926	234306	Sara
555926	252602	
555926	253319	
555926	263069	
555926	265114	Mariana, Abuela de Carlos
555926	266669	(segment "Una cena de navidad
555926	275815	
555926	286371	
555926	302306	
555926	309081	
555926	326343	
555926	328867	
555926	333663	
555926	334058	Spinster
555926	334571	
555926	336252	
555926	339140	
555926	355948	
555926	357911	
555926	371719	
555926	376655	Beatriz de Alpuche
555926	376837	
555926	377102	Don~a Maria
555926	379813	
555926	380119	
555926	380476	
555926	383267	
555926	383532	
555926	384139	Carmelita
555926	384551	
555926	385399	
555926	385941	
555926	385988	
555926	386076	
555926	386296	
555926	387082	
555926	387550	Pachita
555926	387602	
555926	388649	Madame Brisson
555926	390514	
555926	392950	
555926	393329	
555926	393852	
555926	395841	
555926	396631	
555926	397170	
555926	397567	
555926	397569	
555926	397734	
555926	398491	
555926	398534	
555926	398815	
555926	399535	
555926	399707	
555926	399801	
555926	400493	
555926	402191	
555926	402407	
555926	403754	
555926	405977	
555926	408708	
555926	409812	Rosa
555926	409907	
555927	27906	Consolación
555927	52935	
555927	55945	
555927	68995	
555927	103508	
555927	197644	Isabel
555927	227291	Nana's Aunt
555927	234355	
555927	240155	
555927	268516	
555927	292774	
555927	341361	
555927	376837	
555927	400493	
555927	402249	
555928	8069	Charlotte Sutter
555928	27559	Jennifer Glenn
555928	40734	Eileen
555928	65653	Christina Cooper
555928	219370	Karen Lester
555929	206041	
555930	82061	
555930	91315	Encargada
555930	111157	Anna
555930	135301	
555930	212463	
555930	221966	
555930	228776	
555930	234319	
555930	236456	
555930	251631	
555931	25315	Giulia
555931	33500	
555931	81604	Monique
555931	104539	Eugénie Grandet
555931	254047	Mme Pommier
555931	277720	Marie de Médicis
555931	292357	
555931	309087	Sor Maria/Sister Maria
555931	314967	Elise Stern
555931	345140	La mère
555931	346824	La mère de Nina
555931	383997	Tessa
555931	384030	Catherine de Médicis
555931	385489	La mère
555931	387659	Mme Maigret
555931	396290	
555931	400698	Une gardienne du bon goût
555932	83252	
555933	194547	Sea Lorelei
555934	278218	
555935	347852	Reporter #4
555936	6859	
555937	65165	Sylvie
555938	26292	The Widow
555938	72287	
555938	96944	The Landlady
555938	158404	
555938	313352	The Albino
555938	329571	The Wealthy Old Woman
555938	353283	
555939	53823	Young Caroline McKeever
555940	269737	La boulangère
555940	401328	Various characters
555941	155108	Herself
555942	372570	Tom's Dove
555943	5405	
555943	6207	A Spinster
555943	6829	
555943	11050	
555943	14269	
555943	37834	
555943	38024	
555943	38025	
555943	38026	
555943	38528	
555943	44048	
555943	45074	
555943	64102	The Mother
555943	65465	
555943	68877	
555943	70812	
555943	71690	
555943	72040	Mrs. Lawrence, Jane's Aunt
555943	75350	
555943	80366	
555943	80998	
555943	88977	
555943	90340	
555943	92157	
555943	114419	
555943	117225	Mamie
555943	118213	
555943	127267	
555943	129044	
555943	142151	
555943	142982	
555943	145324	Hilda
555943	153602	Miss Winkle
555943	183554	
555943	185607	
555943	191531	
555943	191970	
555943	195378	Miss Ohlen
555943	196102	
555943	196989	The Widow
555943	208944	Maria Cappa
555943	215414	
555943	215649	Miss Simkins
555943	215956	
555943	220965	
555943	240725	
555943	240773	
555943	244703	
555943	244707	
555943	274470	Mrs. Prescott
555943	279339	
555943	286606	
555943	289968	
555943	323701	
555943	326439	Sue Simkins, The Old Maid
555943	331749	Samanthy
555943	350117	
555943	359383	Harriet, Priscilla's Old Maid
555943	362214	The Girl's Mother
555943	362684	
555944	11934	
555944	46947	
555944	107241	Maria Ficelle
555944	201206	La veuve
555944	225769	Juliette
555944	237648	Annie
555944	240541	La fille
555944	245963	
555944	346764	
555944	351884	Annie
555944	370102	Juliette
555945	105614	Kate Rogers
555946	116497	Jerri
555946	392070	Herself (Host)
555947	270346	Ghetto Victim
555948	103286	Female Narrator
555949	4618	Allura
555949	26707	Nina (Johnny Redondo's accomp
555949	29388	Eloise
555949	39575	Alida Spain
555949	46964	Dona Dolores Castro
555949	70484	Copa Girl
555949	73701	Joanie Daniel
555949	74024	Mary 'The Babe' Thompson
555949	84250	Brandy
555949	90330	Dulcie Corbin
555949	170759	Ann McRae
555949	173913	
555949	198941	Jean Montoya
555949	208932	Camille
555949	221044	
555949	233879	Iris Lee LaVonne
555949	233899	Natalie
555949	240841	Eugenie
555949	245745	Stella
555949	271153	Lou Carter
555949	276689	Texas Rose
555949	297897	Kyra Zelas
555949	308109	Hat Check Girl
555949	308382	Kristina
555949	312839	Barbara Duval
555949	327764	Marie DeLatour
555949	342474	Sylvia Ward
555949	347335	Sally Tever
555949	351256	Selima
555949	394637	Kathy O'Hara
555950	53614	(segment "Canasta")
555951	149563	Herself
555952	139841	Crystal
555952	295728	Melissa
555953	222636	Secretary
555954	139172	Judge
555954	161217	Herself
555954	161219	
555955	363560	Rita's Fan
555956	24299	
555956	313362	Rachel Clay
555957	10329	Wendy
555957	59878	T.J. Jensen
555957	65183	Jill
555957	129580	
555957	162347	Kitty Shaw
555957	194521	Herself
555957	226777	Kelly Sherman
555957	240575	Tania
555957	270933	Monica Jones
555957	279460	Tiffany Henderson
555957	318337	Hannah Wald
555957	363449	Maureen O'Flaherty
555957	365244	Moll
555957	366906	Flower
555957	372597	Rowena
555957	378943	Roxanne Richardson (2002-2004
555957	380589	Kristen (1992-1993)
555957	384156	Dinah McGee
555957	384531	Cher Horowitz
555957	388869	Ellen Fisher (episodes 1-4)
555957	410588	Debi McCullough
555958	333865	Herself - Titanic survivor
555958	333885	Herself (titanic survivor)
555959	71807	Sophie
555960	6866	Joanna Anderson
555960	200480	Marcie Hamilton
555960	230721	Nell McGarahan, Crupper's Mai
555960	263172	Margaret 'Mugsy' Evans
555960	264038	Kelly
555960	283824	Mrs. Vandermeer
555960	298094	Pvt. Virginia Marshall
555960	330177	Ingenue
555960	379716	Mary Kinnecott Martin, R. N. 
555960	381468	
555960	398412	Tina Kelly
555960	411820	Nell McGarrahan
555961	117646	Beck Marshall
555962	2810	Nominee 'Gypsy'
555962	2818	Herself/nominee
555962	190269	Young Judy Garland
555962	190270	Herself
555962	314156	Noreen Plummer
555962	360483	Marianne Mulvaney
555962	390771	Drew Jacobs (1997-2000)
555963	13978	Ally Vinyard
555963	48939	Alicia
555963	67863	Suzanne Crough
555963	315747	Erin Jordan at Five
555964	270346	Ghetto Victim
555965	348453	Velma
555965	366771	Liz
555966	237008	Woman Dignitary
555967	118801	Herself
555967	301403	
555967	327564	Agnès
555968	32277	
555968	223263	
555968	384386	Huguette Dauphin
555969	146533	
555970	164169	A follower of Rasputin
555972	70954	
555972	301403	
555973	113137	
555973	147414	Pretty girl
555973	162525	Herself
555973	164426	Herself
555973	374198	French girl
555974	100952	Sister
555974	306500	Alice
555974	362275	Girlfriend
555974	382838	Avril (1987)
555974	390523	P.E. Teacher (1990)
555974	390692	Jotinder Bholla
555975	351884	Girl
555976	35208	Suzette
555976	39898	Nora Ackroyd
555976	66380	Miss Debb
555976	68136	
555976	132741	
555976	134483	Elsie Maudsley
555976	224354	Tina Hatzell
555976	257086	Rosie Blair
555976	289640	Nancy
555976	321132	Jean Trevellyn
555976	338987	Claire de Foenix
555976	367569	Olive St. John
555977	90201	The Housekeeper
555977	99544	Lady Marguerite
555977	133664	Enid Linden
555977	262731	She-of-the Permanent-Wave
555978	163109	
555979	162084	
555980	103851	
555980	222177	Judite
555980	278564	
555980	287484	
555980	383469	Mariana
555980	400678	Nenê
555980	403119	
555980	409410	
555981	279413	Jill
555981	281800	Jenny Oakes
555981	384581	Julia Barnes (1990)
555981	388978	Paula Patterson (1988-89)
555981	394280	
555981	399130	Julie Robinson/Martin (I) (19
555981	401386	Chris Faithful (1993)
555982	377805	Liliana
555983	164164	
555984	113116	
555985	383149	Host (2003-2004)
555985	384829	Host (2004 - ???)
555985	399808	
555986	6415	Old lady
555986	46966	
555986	197537	La mère de Vincent
555987	292446	Mrs Delgado
555988	19759	
555989	284222	
555990	26583	Fanny's Mother
555991	19186	La patronne de l'hôtel
555991	23632	Emilienne
555991	43754	Chantal
555991	45115	Lucile
555991	48175	
555991	60052	
555991	65168	Cécile
555991	69770	Madame le juge
555991	70116	La mère de Claire
555991	71827	Madame Manoli
555991	80316	Albertine Soulac
555991	116643	Mme Mouchard
555991	118415	Aminta
555991	126085	Madame de Sottenville
555991	153883	Victoire
555991	158829	Madeleine
555991	170452	La concierge
555991	205973	Mireille
555991	217210	Mamy
555991	220492	
555991	232931	Elsa
555991	236526	
555991	243158	Filomène
555991	261764	Odette
555991	266097	Brindosier
555991	284271	Soeur Michelangela
555991	327573	Madeleine
555991	345251	Jacqueline
555991	346444	
555991	346482	Christina
555991	351811	La femme du docteur Hoop
555991	354646	La femme de Jacques
555991	376914	Cécile
555991	379368	Francine
555991	379806	Cécile
555991	383997	
555991	385003	
555991	389762	Peggy
555991	390480	Indira Gandhi
555991	401728	Jeanne
555991	408659	
555992	8527	
555992	83748	
555992	101978	
555992	202227	
555992	212527	
555993	686	Herself
555993	2818	Herself/nominee
555993	2894	Herself (Presenter)
555993	25192	Katharine Hepburn
555993	29112	Kate Wheeler
555993	29228	Julie-Anne
555993	59715	Charlotte Gray
555993	66766	Cate/Shelly
555993	99287	Elizabeth I
555993	118529	Herself
555993	127562	Annabelle 'Annie' Wilson
555993	130701	Elizabeth I
555993	141612	Philippa
555993	155596	Lady Gertrude Chiltern
555993	160292	Herself
555993	160318	Herself
555993	190046	Jane Winslett-Richardson
555993	191815	Tracy Heart
555993	194497	Galadriel
555993	194500	Galadriel
555993	194502	Galadriel
555993	201664	Herself
555993	201796	Herself/Galadriel
555993	203492	Lola
555993	215813	Maggie Gilkeson
555993	228290	Herself/Galadriel, Lady of th
555993	230636	Herself
555993	243146	Herself
555993	243934	Lucinda Leplastrier
555993	248491	Susan Macarthy
555993	249192	Rosie
555993	259271	Vivian
555993	267653	Connie Falzone
555993	269610	Herself/Galadriel
555993	274688	Herself
555993	299202	Petal Bear
555993	323813	Meredith Logue
555993	329307	Lizzie
555993	352465	Veronica Guerin
555993	382526	Bianca
555993	386938	Herself
555993	391251	Elizabeth Ashton
555994	224942	Teacher#3
555995	160982	Amazon
555996	164193	Vendeuse
555997	174508	Woman in Office
555998	30375	Ally
555998	82093	Crazy Woman 1
555999	117279	WNN Reporter Julie James
556000	141140	Ronnie's Mum
556001	353903	
556002	42874	
556002	72402	Marie
556002	90727	
556002	101153	
556002	112828	
556002	121809	Pamela
556002	161995	La blonde
556002	240298	Cécile
556002	248678	
556002	254077	Agnès
556002	291120	Marie-France de Guillemin
556003	148648	Infirmière 2
556004	64951	Schoolchild
556004	71813	Alice
556004	170452	Aînée des Doinot enfant/cadet
556005	254170	Femme du recordman
556006	19209	Myriam
556006	314445	Stepford Wife
556006	350850	
556006	383676	Rock's girlfriend
556006	387331	Student (2001-2002)
556007	381911	Assistente (2000)
556007	388850	Herself
556008	11791	Secretaresse
556008	314524	
556009	170452	Cadette des Doinot enfant
556009	218255	Sarah Cohen
556009	399082	Marie Galvani
556010	308212	
556011	21423	Mrs. John Mason
556011	45920	Mrs. West
556011	77930	Mrs. Rogers
556011	100869	Mrs. Ryan
556011	141349	Mrs. Noyes
556011	188188	Madame Heriot
556011	239758	The Woman
556011	263286	Maria Pettingill
556011	300006	Countess de Moutsorel
556011	301611	Mrs. Nevins
556011	304803	Mrs. Fiske
556011	310017	Mrs. Leigh
556011	316778	Jenny
556011	317979	Aunt Louise
556011	332808	Marion's Mother
556011	337636	Mrs. Hilliard
556011	340628	Mrs. Lleweellyn
556011	363619	Mrs. Foote
556011	364571	Mrs. Hedder
556011	366931	Mrs. Marlowe
556012	19744	Zelda
556012	23856	Julie
556012	24681	La vendeuse de poussettes
556012	58752	
556012	112888	Vivianne
556012	113134	Marie
556012	122421	Bérénice
556012	196837	
556012	240288	Alexandrine
556012	266403	Véronique Guillou
556012	274799	
556012	276505	Teresina
556012	282270	
556012	286432	Marie
556012	336554	Alice
556013	180712	Fanny
556014	209046	Hermana del chofer
556015	67207	
556016	42643	Hostess
556016	249910	Reportera TV
556016	401436	
556016	407735	Newsreader (1992-)
556017	255499	Clara
556017	401590	Mariana Pocaterra
556018	86362	
556018	216083	
556020	27964	
556020	56351	Fernanda
556020	85180	María Belén
556020	157245	Teresita
556020	191441	Víctoria
556020	255052	
556020	267877	Matilde
556020	308963	
556020	353629	Norma
556020	386480	Soledad
556020	388886	
556020	390884	Carla
556020	396646	Karina 'hermana de Martín'
556020	400796	
556020	402770	Dauhter of El Rafa
556020	409035	Lorena Rodriguez
556020	410453	(1999)
556021	48782	Psychologist
556021	74691	Teacher
556021	139902	Aleida March
556023	55212	
556025	123150	
556026	672	Señora Claudia
556026	183915	
556026	245582	
556026	383444	Candelaria
556026	385367	Assunta
556026	387523	Yoli
556026	387816	Blanca
556026	388567	Margot
556026	390310	
556026	390748	Dionisia
556026	391272	Clara de Salazar
556026	392989	
556026	398456	Cecilia
556026	399519	
556026	401090	
556026	401213	Yolanda
556026	401896	
556026	404075	
556026	404203	Alba Luján de Aranguren
556026	412084	Olga
556027	42911	Herself
556028	90525	Tango dancer
556029	44659	Lechera 5
556029	135280	
556029	196736	
556030	263415	
556031	80241	
556031	384781	Asunción
556031	398218	
556031	400942	
556031	402321	María del Carmen
556031	403753	Luz
556032	77091	
556033	332920	Carmen
556034	90525	Tango dancer
556035	376769	Noiva
556035	380944	
556035	396827	María Ares
556035	398914	Irene
556036	306672	
556037	71283	
556038	120253	
556038	138330	
556038	145126	
556038	154442	
556038	174887	
556038	181767	
556038	197425	
556038	200291	
556038	215397	
556038	219405	
556038	224218	
556038	246938	
556038	368331	
556038	387832	
556038	392560	Sabrina
556038	404051	Violeta
556039	129487	Marta
556040	380795	Cecilia Calderón Corso
556040	409908	Claudia
556041	383633	Alicia
556041	386169	
556041	397018	Felicia
556041	409782	Julia
556042	393186	Clavelina Carsio
556043	253291	
556043	302379	
556043	405812	Prostituta
556044	78550	
556044	233942	
556044	249869	
556044	339144	
556045	2161	Waitress #1
556045	37393	Juvenile Hall monitor
556045	85667	Maria
556045	198517	Austin Bank Teller
556045	278217	Kelly
556045	283466	Mom
556045	328272	Burger King Employee
556046	239279	
556047	186158	Debby
556047	371015	Beth Gunder
556048	43665	
556049	353604	dancer
556050	17851	
556050	57323	Leopoldine
556050	70116	Rula
556050	96381	
556050	121013	
556050	200954	Lucette Calas
556050	236513	Madame de T.
556050	392370	(1990)
556050	395636	Sophie
556050	398787	Frédérique Bondonnat
556052	207646	
556052	310073	
556053	114873	Dancer: Grupo Cobo de la Peña
556054	398914	Marta
556055	83140	
556055	281759	
556056	3428	
556057	2570	Celeste
556057	8480	
556057	73194	
556057	107718	Ana Mateus
556057	112753	Maria
556057	123914	Cidàlia
556057	129663	Maria
556057	160120	Gabi
556057	194105	Rute
556057	211047	
556057	212142	
556057	222162	Maria de Lurdes, a secretária
556057	234623	Celeste
556057	248274	Dona Rita
556057	254999	Pépin
556057	324925	Arlete
556057	341077	Jesus' Mother
556057	341147	
556057	378456	Ivone
556057	379617	
556057	379662	Alice
556057	383685	Herself/Host
556057	398840	Teresa
556057	404117	Marta
556058	12095	Pamela
556059	395846	
556060	44185	Bonnie
556060	117554	Joy
556061	167797	Lead dancer
556061	171930	Aboriginal dancer
556062	222472	Gela
556062	288166	
556063	211168	
556064	12816	
556064	23274	The Daughter
556064	76786	Madre Ezequiel/Ezequiel's Mot
556064	143757	
556064	152354	Maria
556064	187768	Rosa
556064	194437	
556064	294010	Xonxa
556064	332675	
556064	396767	Sita Espe
556064	396827	
556065	9890	
556066	58288	
556066	108898	Aliette
556067	101926	
556068	29060	
556068	65536	
556068	70648	Landlord's daughter
556068	84258	Actriz
556068	101595	
556068	103533	
556068	108718	
556068	149235	
556068	162304	
556068	192992	
556068	221937	Woman at the cabaret
556068	222013	
556068	251591	
556068	253703	
556068	328727	Mary Smith
556069	250479	Odalis
556070	30418	
556071	100843	Chester
556072	338858	Wife
556073	27159	Jane
556073	116728	Kathy
556073	131723	Francis' mum
556073	139486	Brenda Boswell
556073	171178	Betty
556073	366378	Suffragette
556073	381795	Ellie Hughes (1994)
556073	385635	Dorothy Martin
556073	391553	Sheila
556073	402212	Daisy
556073	404664	Casualty Nurse
556073	405088	Heather Dunn
556073	410649	WDS Jackie Byrnes
556074	154309	Contestant #2
556075	30486	Helen Barton
556075	62286	Lady
556075	64712	Nurse Sharp
556075	68176	Isobel Strudwick
556075	73131	Valerie Merryman
556075	93277	Christine
556075	114792	Mrs. Cameron
556075	131569	Countess Helga
556075	278200	Ellen
556075	303572	Florence Nightingale
556075	312155	The Empress
556075	336712	Mrs. Fairclough
556075	353486	Florence Nightingale
556076	381387	Mrs. Houston
556076	399304	Vera Harker
556077	68011	'Porpentine' Girl
556077	177367	Elizabeth Steiner
556077	294216	Lady Middleton
556077	368395	
556078	371010	
556079	120865	Beverley
556079	154071	Hospital Nurse
556079	324552	Stripper
556079	390523	Claire Scott (1981-1985)
556079	409840	Betsy Horrocks
556080	6994	Receptionist
556080	129768	Dancing Register Woman
556080	184232	Lesley
556080	302710	Dancer
556081	1038	Dancer
556081	64098	Rollerskating Waitress #1
556081	176297	Jump Rope Queen
556082	144406	
556083	377736	Fille wagon
556084	7008	Miss Watson
556084	10722	Grandmother
556084	17704	Mrs. Morton Pringle
556084	18197	Mrs. Jorham
556084	21509	Cora Shaw
556084	33739	Miss Murfee
556084	37362	Customer seeking record
556084	38986	Mrs. Jackson
556084	44951	Miss Sprigg
556084	46739	Aunt Pewtie
556084	47311	Mrs. Peterson
556084	50018	Mrs. Winkle
556084	53324	Aunt Cissy Frost
556084	56229	Judge Mary F. O'Daugherty
556084	59621	Minerva Winterslip
556084	61583	Aunt Sophie
556084	65372	Mrs. Barry
556084	73230	Phoebe Sawyer
556084	77682	Bit Part
556084	79958	Frau Hoffman
556084	88245	Mrs. Mason
556084	93284	Jessica Spencer
556084	94129	Mrs. Borst
556084	94138	Abbie Krantz
556084	94291	Old lady on Subway
556084	96789	Agnes Murdock
556084	101079	
556084	105070	Anna, the Cook
556084	120739	Abigail
556084	121360	Aunt Margaret
556084	122052	Judge's wife
556084	125857	
556084	126590	Mrs. Higgins
556084	128199	Miss Newberry
556084	128442	Mrs. Ward
556084	130337	Miss Perkins, Divinity Teache
556084	132016	Louisa Abbott
556084	139551	Ma Lovewell
556084	141481	Aunt Ellen Patterson
556084	141620	Grandmother Van Cleve
556084	143211	Agatha 'Aunt Gussie' Kingdon
556084	152204	Aunt Polly
556084	154651	Sue Barnes
556084	154758	Aunt Sarah Scarlett
556084	157741	Martha Adams
556084	160618	Madeleine's Mother
556084	163359	Nurse
556084	163482	Mrs. Stanton
556084	166240	Mrs. Douglas
556084	175805	Liza, Silas' housekeeper
556084	183679	Tourist
556084	185466	Bit Part
556084	186038	Salvation Army woman
556084	186638	
556084	190057	Mrs. West
556084	190264	Maid Service Proprietor
556084	196108	Landlady
556084	200899	
556084	201457	Mrs. Dell, Drew's Maid
556084	210714	Ma Fisher
556084	214458	Auntie
556084	221133	Susan Balmuss
556084	221231	Emily Mason
556084	222579	Aunt Julia Gray Kennedy
556084	224211	Granny Blair
556084	230498	Mrs. Layton
556084	235168	Mrs. Burns
556084	236901	Miss Juliet Mitchell
556084	241032	Mrs. Mason
556084	241349	Mrs. 'Sister' Watkins
556084	241751	Mrs. Brush
556084	249621	Mathilda Sherman
556084	251873	Mrs. Donnelly
556084	252434	Grandma
556084	254708	Stella Blendon
556084	255877	Belle Kincaid
556084	260198	
556084	261422	Marian's Mother
556084	263164	Mrs. Delling
556084	264170	Miss Van Cortland
556084	264776	Miss Phillips
556084	265384	Mrs. Green (landlady)
556084	278080	Mrs. Peterson, from Broadway 
556084	278540	Mrs. Beasley
556084	279303	Woman
556084	280134	Brida
556084	280846	Miss Abigail Armstrong
556084	281514	
556084	296804	Mother Randall
556084	298165	
556084	299801	Mrs. Livingston
556084	300123	Mrs. 'Ma'/'Mumsie-Wumsie' Fis
556084	302929	Martha Wagenkampf
556084	303303	Miss Gower
556084	305394	Mrs. Armstrong
556084	306424	Mrs. Meade
556084	313320	Aunt Mattie
556084	313331	Miss Esther Jones
556084	315123	Martha
556084	315167	Mrs. Rowley
556084	315869	Mrs. Anderson
556084	316043	Mrs. Lyons
556084	320812	Mrs. Griffin
556084	321549	Ma Sisler
556084	331553	Mrs. Keaton
556084	331721	Landlady
556084	335118	Aunt Polly
556084	335124	Aunt Polly
556084	335228	Aunt Martha
556084	337625	Landlady
556084	338104	Eva Branham
556084	341927	Mrs. Gimlet, Joe's Mother
556084	342712	Aunt Agatha
556084	358191	Mrs. Williams
556084	361927	Mrs. Tarleton
556084	366205	Evie Curtis
556084	366361	Aunt Maggie
556084	366613	Ma
556084	367073	Auntie Em
556084	372133	Townswoman
556084	372935	Miss Bradshaw
556085	189807	Barmaid
556086	252331	Rosalia
556086	381330	Doña Fortunata
556087	408419	Young Marilyn
556088	260429	Mel
556088	385024	Herself
556089	392971	María Virginia Martínez Aldan
556090	399557	María Felix
556090	400067	
556091	376172	Carmita
556092	387681	
556092	396843	Paula Echeverry
556092	397737	Natalia Amor
556094	383443	Amalia
556095	216079	
556095	411581	Bibi P. Luche
556096	224139	Doris
556096	288438	Babe
556098	7198	Louise
556098	8089	Martha Gray
556098	16773	Pauline Kaye
556098	17629	Dora
556098	19553	
556098	45675	
556098	49329	Marie Temblay
556098	56249	Floradora Girl
556098	59604	Stella Essex
556098	64591	
556098	64835	Helen Matthews
556098	64908	Rose Wentworth
556098	72619	Ann
556098	73220	Sylvia Kennett
556098	73757	Grace Varney
556098	78005	Marjory Randolph
556098	80512	Ethel Hume
556098	87798	Helen Burke
556098	103220	Kay Whitney
556098	106651	Florence Hueston
556098	112543	Ann
556098	115114	Co-Ed
556098	116789	Louise Hunter
556098	117359	Janet Blake
556098	121331	Mrs. Garland
556098	131618	Marge
556098	133653	Ann Smith
556098	137460	Phyllis
556098	137484	Sally
556098	142599	Lily Smith
556098	143415	Grave
556098	143716	Judy Naab
556098	149819	Dawn O'Day
556098	153998	Alice
556098	177289	Polly Randall
556098	186348	Betty Merton
556098	191587	Isabel
556098	193200	Marian Meade
556098	208657	Brenda Mason
556098	232047	Mary Rinehart
556098	233800	Helen Young
556098	236706	
556098	241032	Hope Patterson
556098	241529	Barbara Harrison
556098	245408	Anne
556098	254460	Carolyn Nolan
556098	263591	Peggy
556098	265087	Janet Holman
556098	273833	Judy
556098	280647	
556098	283536	
556098	297405	
556098	297930	Clara
556098	298257	Arab child
556098	299699	Lucy Blake
556098	300103	
556098	302011	Ruth Dexter
556098	303095	Child
556098	311311	Peggy
556098	313513	Sue Leeds
556098	315162	Patricia Belmont
556098	315644	Gertrude Hubbard
556098	319033	Herself
556098	324582	Janet Reynolds
556098	327671	Molly
556098	330808	Helen Davis
556098	339563	Constance Russell
556098	339829	Herself
556098	349636	Jean
556098	350462	June Shelby
556098	352724	Nora
556098	360169	Claire
556098	364406	
556098	365059	Colette
556098	365301	Sandy Melberne
556098	367391	Helen Marsh
556098	367840	
556098	369432	Sue
556099	309713	Herself
556100	239844	
556101	73565	Miss Armitage
556101	364158	Actress
556101	385299	Miss. Leopold
556103	81172	Index Singer
556104	43718	La fille du bal
556104	47842	Gertrud
556104	56606	Red Queen Girl
556104	60366	Vers Svenson
556104	65116	Theresa
556104	193446	
556104	198292	Léa
556104	201205	Miss Hansen
556104	219329	
556104	245844	Leslie
556104	261017	Marianne
556104	336994	Marie
556104	341395	Clara Verly
556104	356502	
556104	383862	Laurence Dulac
556104	397088	
556105	32409	
556106	238969	Nicole
556107	17485	
556107	58226	
556107	66221	Dorothée
556107	82643	Passerby
556107	108223	
556107	119751	Bit Part
556107	142638	
556107	164169	Tsarina Alexandra
556107	183735	Blonde girl
556107	193480	Dolly
556107	225517	Une fille à l'hôtel particuli
556107	243015	
556107	243039	
556107	248685	Girl in Cafe
556107	251532	
556107	258123	
556107	293321	
556107	346529	L'infirmière
556107	346533	Prostitute 3
556107	353301	La jeune militaire allemande
556107	377034	Concubine
556108	105881	Paula
556108	346298	
556109	154554	Herself - relative of a victi
556110	110967	Mother in Boutique
556110	196576	Herself
556110	245249	Dance Instructor
556112	216486	Loquesha
556113	408615	Herself
556114	204260	Sanitarium Patient
556114	231768	Singer, "Easy To Love"
556115	109324	
556115	120855	Elinor, seine Frau
556115	125059	
556115	136778	
556115	216987	
556115	361415	
556116	56149	
556117	2917	Junge Bedienung Restaurant
556118	167042	Melchior
556119	376433	Martha
556119	397306	Reini van Lennep-Hermans (198
556120	4250	Kitty
556120	87645	Coba
556120	281148	Tweede dokter
556120	349442	Vampire Lady
556120	393184	Martine Oudgeest (d99)
556120	394634	Various parts (1989-)
556120	400294	Jana Tohr (1993)
556121	373732	Majorette
556122	274461	Nurse 2
556123	127581	
556124	189563	4 Freundinnen
556125	11836	Bardame #1
556125	23110	Renate
556125	155638	Sara
556126	347547	Emily
556127	193359	Anna Callinan
556128	321452	Waitress
556129	80424	Terry
556129	87517	Lisa
556129	186713	Assistant
556129	364709	Mrs. Smith
556131	188334	Georgette
556132	259870	Anna
556133	313522	Tricycle Girl
556134	95514	Mrs. Van Der Merwe
556134	98214	
556134	114978	
556134	179039	Moeder Sonja
556134	204766	Anne
556134	217061	Moeder
556134	276518	Ien Dales
556134	314530	
556134	349442	Narrator
556134	360918	Hella
556134	365706	Queen Wilhelmina
556134	386797	
556134	387749	Moeder
556134	394155	Juffrouw te George
556134	402101	Hanna
556134	410773	Jannie
556135	739	Herself
556135	133238	Herself
556135	395916	Herself
556136	359744	Dude Girl
556137	165630	
556138	175091	
556139	237931	Cynthia
556140	379716	Tara Martin Tyler Brent Jeffe
556140	380391	Thelma (1979)
556140	380713	Dr. Carol Ann 'Annie' Stewart
556140	396123	Jenny Baylor (1986-1987)
556141	314748	La petite Gaby
556142	44298	Beaudry's woman
556142	252764	Airport Waitress
556143	138220	Third wife
556144	346627	Universitaire
556146	43999	La fille de la boulangère
556147	271202	Club Hostess
556147	325276	Bordello Girl
556148	144069	
556149	126039	Caterer
556149	198042	Cheerleader
556150	149313	Host
556150	273431	Herself/New York
556150	273432	
556150	273433	
556150	273434	
556150	273436	
556150	402993	Herself/New York (1992)
556150	402995	Herself/RW: New York
556151	380396	
556152	353637	
556153	392034	Lara
556154	282781	Pierre
556155	5443	
556155	8470	Madre
556155	10440	Almudena
556155	55619	Tía Elvira
556155	55996	Madre Superiora
556155	57259	Eva
556155	69278	Madre
556155	72434	
556155	77248	Madame Perrin
556155	124303	
556155	125389	
556155	135280	Hermana Matilde
556155	140543	
556155	146510	
556155	148042	Berta
556155	148053	
556155	154542	Herself
556155	154543	Herself - Presenter: Best Art
556155	158709	Tía de Miriam
556155	228776	
556155	234399	
556155	236748	
556155	252519	Madre
556155	253296	Anarda
556155	269571	Clara
556155	301110	
556155	306701	Carmen
556155	307800	
556155	322400	
556155	326121	Mari
556155	334673	Asunción
556155	353548	Periodista
556155	369755	Herself - Presenter
556155	405968	Leonor
556155	408854	
556156	63950	Maid
556156	84459	
556156	92444	
556156	103939	
556156	104013	
556156	111992	
556156	113247	
556156	148089	
556156	206921	
556156	207959	Ana
556156	210172	
556156	229210	
556156	268440	
556156	383610	
556156	384975	Bumilda
556156	385380	
556156	404998	
556157	81211	
556158	37883	Mrs. Noble
556159	401329	L'ouvrière
556160	29046	
556160	49485	Marguerite
556161	347039	
556162	375307	
556163	314984	Albright Demon
556164	42965	Musetta
556164	232785	Voci del coro - VI
556164	273153	Aminta
556166	89558	Sarah
556166	113707	Lisa
556167	24793	Carolina Marquez
556167	134877	Maria
556167	188139	Woman in Black
556167	201545	Deanna
556167	234966	Vicky Amador
556167	391706	April Beane
556167	406760	Dr. Luisa 'Lu' Delgado
556168	241045	Sexy Photographer
556169	89871	Silvana
556169	96036	
556169	116492	
556169	198568	Christine
556169	269504	
556169	336587	
556170	145387	Alexis
556171	333423	Caroline Kennedy
556172	312996	Ein BDM-Mädchen
556173	303721	
556174	83561	Heather
556175	16857	
556175	121303	
556175	294214	
556176	235367	
556177	235367	Cannibal girl [in tv show]
556178	14132	Amy's Friend
556179	48756	
556179	49738	
556179	72089	
556179	155659	
556179	164877	
556179	169100	
556179	200794	
556179	215120	
556179	249672	
556179	259834	
556179	260399	
556179	280906	Girl
556179	292091	
556179	305527	
556179	310654	
556179	320555	
556179	323341	
556179	373599	
556179	374060	Slavka
556179	381239	
556179	394111	
556179	410452	
556180	87511	Yerma
556180	138792	Actress
556180	234966	Felicidad Noriega
556180	347195	Maria
556181	33555	Maid
556181	164195	Linda
556181	275944	
556181	384098	
556182	245412	'Bloody' Mary Nash
556182	335708	Lil
556183	116775	
556183	232389	Genevieve
556184	5186	Les mannequins
556184	43412	
556184	110143	La femme de Daniel
556184	124322	Cliente brasserie
556184	202088	
556184	227317	Estheticienne
556184	252412	Madame Flotte
556184	301403	
556184	355965	
556184	402664	Catherine
556186	404448	Josephine Langmann
556188	82199	Hanka
556188	91508	
556188	101015	
556188	138603	
556188	172979	
556188	180341	
556188	226535	Klara Molosz
556188	231362	Beata Miauczynska
556188	237701	Regina
556188	237953	Herself
556188	259083	Warden
556188	290759	Eva
556188	307085	
556188	311599	Luba Orlowa, Otwock High Scho
556188	365106	
556188	385236	
556188	385985	Hanka
556188	404216	Elzbieta Rowicka
556188	412009	Katarzyna Piórecka
556189	98201	
556190	7992	Receptionist
556190	55643	Nurse
556190	89634	Helen
556190	89636	Anne-Marie
556190	91936	Annabel
556190	365942	Mrs. Biggins
556190	382932	Pyke's Maid
556191	56662	Herself
556191	118897	Herself (columnist, National 
556192	291105	Vera
556193	356033	
556194	130486	Reporter
556195	61672	Karen (Age 12)
556196	342391	Chronic Juicer
556197	27115	Ferry Worker
556197	355104	Young Female Househand
556198	11447	Herself
556198	47171	Performer/Herself
556198	89160	Ex-Girlfriend
556198	148848	Jo
556198	305488	Herself
556199	35302	Thérèse
556199	383358	Kathleen
556200	131739	Girls' Chorus Member
556201	4507	Schoolgirl
556202	233055	Waitress
556203	98312	Jeannette Heider
556203	142012	Rosmarie
556203	289985	Gerti
556204	23987	
556204	26241	
556204	139890	Frau auf dem Kurfürstendamm
556204	173959	
556204	176925	
556205	73956	Mrs. Wilmerding
556206	5913	Herself
556207	120536	Herself
556208	34347	
556210	24051	
556210	327473	Sylvie
556211	230185	Evelyn
556211	290705	
556212	195558	Drill Team Member
556212	372175	Dancer
556213	15030	La maquilleuse
556215	188453	Box Receptionist
556216	112315	Dr. K
556216	259003	Meowth of Team Rocket
556216	259032	Meowth
556216	259088	Meowth
556216	259090	Meowth
556216	259092	Meowth
556216	259095	Meowth
556216	259096	Meowth of Team Rocket/Additio
556216	259097	Meowth/Additional Voices
556216	259098	Meowth
556216	259109	Meowth of Team Rocket
556216	259111	Meowth of Team Rocket
556216	259113	Meowth
556216	259120	Meowth of Team Rocket
556216	296751	Margarete G. Zelle
556216	350723	Arngrim/Lezard/Lawfer
556216	373385	Solomon Moto
556216	385384	Dr. K
556216	389567	Osgood
556216	392026	Chef Kawasaki
556216	394064	Oslo (aka The King of Food, a
556216	401740	Meowth, Growlithe, Abra, Corp
556216	405635	Jillas
556216	409390	Wally Tusket, Comrade Turbins
556217	41883	Marianne, Duitse vrouw van de
556217	226402	Verena
556219	152603	Visitor to fort
556220	405960	Maggie Hunt
556221	405960	Coral Ward
556222	79356	
556222	133431	
556222	224039	Helen Rabinowitz
556223	5168	Mrs. Edwards
556223	280477	Emily
556223	289523	Mrs.Breece
556223	339411	Ghost
556223	405209	Louise Vizard (2001)
556224	222495	Additional muppet Performer
556224	276958	Loretta
556224	379349	Bubbles
556224	387938	Eureeka
556225	20591	Waitress
556225	43162	Jilly Rogers, True Love
556226	130604	Newscaster
556227	58735	
556228	257730	Mrs. Porter
556230	224942	Raph
556231	217268	
556231	259343	
556231	261341	
556231	273136	
556233	64654	
556233	171035	Cyndi The Drive-By Hooker
556233	361951	
556235	75031	
556235	75032	
556235	75060	
556236	392519	Heather
556241	50982	Teacher
556241	227534	
556242	322104	Robert's Housewife
556243	257723	
556243	257725	Irena
556244	405745	Herself - Snuporter (2003)
556246	388122	Woman in Orange Blouse
556247	254	
556247	265043	Danseres
556248	15887	Ensemble Vocals
556248	32185	Chorus
556248	50274	Additional Voices
556248	187899	
556248	380713	Ariel Aldrin Dixon Donovan (1
556248	390771	Marissa Spencer (1999)
556249	39935	Narrator
556250	254	
556251	405506	TV reporterka
556252	142652	
556253	234450	
556254	30260	Court Dancer
556255	341944	Flora
556256	273090	
556257	243976	
556257	304191	Convict
556257	326262	Eva Horáková
556257	357435	
556258	26176	His wife
556258	58258	Vanek's mother
556258	66267	Nána, nursemaid
556258	105966	Slabova hospodyne
556258	147573	Adina Matka
556258	244030	Antonín´s mother
556258	244176	Dvorák´s mother
556258	247934	
556258	247949	
556258	262254	Snáblová
556258	266130	Veronika Pospísilová
556258	266218	
556258	268228	Nováková
556258	282764	Woman
556258	343827	Verina matka
556258	352792	
556258	373510	Anna Truneckova
556258	375411	Ruzenka
556259	264230	Baruska
556260	246283	
556261	262006	Herself
556262	119028	Agnes
556263	17332	Tigran's mother
556264	88195	Radio Newsreader
556264	385094	Co-Presenter (2003-)
556265	67779	Kym
556266	46990	Miss Wood
556266	139650	Mrs. Granger
556266	308918	Mrs. Anthony
556266	359553	Mother (Supermarket)
556266	390432	Lizzie
556267	405069	Robin
556268	359553	Child (Supermarket)
556269	382612	Anne Marie Hughes
556271	37448	
556271	107093	
556271	165204	Herself
556271	186129	
556271	360893	
556272	159971	Old Woman in Church
556273	381694	
556274	274437	Jungle Girl
556275	57894	La petite Lili
556275	410074	Alexandra adolescente
556276	295050	Girl in black 2
556276	339277	Kalina's daughter
556277	110170	Mrs. Konzulman
556278	238281	
556279	74786	Grazynka
556279	123099	Katarzyna Solska
556279	132609	Kostucha
556279	146530	Chanutka V
556279	165408	Weronka
556279	179342	Katarzyna Solska
556279	200452	Lena, Sekretarzowa
556279	231730	
556279	258797	Kustyczka
556279	258803	Dziedziczka
556279	260781	Maria, Hipolit's Wife
556279	322012	Marianna
556279	369373	Klos's Wife
556280	211182	
556281	69047	Girl on Piano
556282	29670	Sevra
556282	200993	Dancer at End
556282	357208	
556283	46726	
556283	95908	Goldilocks
556283	243727	Dylan
556283	283739	Extra
556283	302329	Becky
556283	303266	Lena Kaligaris
556283	326663	Herself - Presenter
556283	326664	Herself
556283	341455	Winnifred 'Winnie' Foster
556283	390068	Lorelai 'Rory' Leigh Gilmore
556285	86247	Cindy
556286	399449	Charlie
556287	188453	'Dislike' Girl
556288	110284	Hostess
556289	188453	'Dislike' Girl
556290	198026	Ametiste
556291	2019	Church Secretary
556292	846	Herself - #66: Terrible Talk 
556292	16511	Herself
556292	26672	Janey
556292	71289	Herself
556292	71291	Herself; Vanessa Huxtable
556292	77575	Margaret
556292	93080	Danni Fairview
556292	105945	Tanika
556292	113720	Pam Moore
556292	127517	Grace
556292	220212	Herself
556292	228969	Herself
556292	228970	Herself
556292	287701	Maria Dangola
556292	358805	Herself (1988)
556292	385055	Vanessa Huxtable
556292	398213	Herself
556292	407795	Host
556293	31672	Sarah
556293	137861	Mia Vunk
556293	202367	Jane
556293	305093	Cynthia Thursby
556294	47390	Irmela
556295	120458	Bondage Girl
556296	30582	Jenna Reed
556296	31498	Caroline Holden
556296	31499	Caroline Holden
556296	68225	Mimi
556296	73959	Danielle Stevens
556296	107145	Emily Gilmore
556296	117498	Coral Wilson
556296	131762	Lavinia
556296	141639	Rachel
556296	144366	Theresa O'Brian
556296	144632	Alexia Forman
556296	163211	Pepper Upper
556296	184099	Jackie Ivers
556296	208505	Jo
556296	208506	Jo
556296	279349	Ellen Carson
556296	323974	Diane Shepherd
556296	333893	Heather Lane Williams
556296	344484	Terry Cuff
556296	346222	Holly Anderson
556296	381442	Caroline Holden (1994-1997)
556296	383743	Herself
556296	399011	Caitlin Cross (1998-2000)
556296	400236	LeeAnn Demerest Buchanan (199
556296	404002	Ryan Maeve Fenelli Hyde #3 (1
556296	408326	Heather Lane Williams
556297	807	
556297	67368	
556297	89601	
556297	193078	Girl
556297	258483	
556297	302053	Silvia Prieto
556297	357875	
556297	371778	
556298	120058	Maren
556299	28616	Oscar
556299	99247	Adina
556299	138561	Gretel
556299	140626	Soprano
556300	168948	Laura Carrot
556300	184913	Laura Carrot
556300	184914	Laura Carrot
556300	351201	Laura Carrot
556300	351210	Laura Carrot
556300	351213	Laura Carrot
556301	78472	Herself (performing 'Melodien
556302	5293	
556302	53119	Gladys
556302	94822	
556302	383554	Various Roles
556302	383811	Virginia del Hoyo (1998-2000)
556302	400490	Maestra Jolie
556303	199980	
556303	400490	Maestra Jolie
556304	151870	Sona
556305	196823	
556306	110540	
556307	1051	
556307	11886	
556307	11897	
556307	24082	Äbtissin
556307	93495	Herzigin Tatjana
556307	101337	Sophie Alt
556307	103066	Peter's Mutter
556307	107371	
556307	119255	
556307	123946	Gräfin Hoyer
556307	124983	
556307	134855	
556307	144086	
556307	144089	
556307	144176	Grossmutter Verhagen
556307	145603	
556307	150630	Frau Anna Sacher
556307	186898	
556307	189868	The lady
556307	204422	
556307	205543	
556307	210105	Tante Ottilie
556307	225147	The Grandmother
556307	264338	
556307	268150	Mrs.Higgins
556307	289389	
556307	311109	
556307	330527	Anna's landlady
556307	343480	Inges Mutter
556307	358538	Frau Lutz
556307	364998	Furstin Auerbach (aunt)
556307	365001	Baronin Neudegg
556307	365007	
556307	365009	Lisi
556307	369169	Frau Wagner
556308	5126	Helene Weigel
556308	6318	
556308	12381	
556308	12582	
556308	12819	Julie
556308	13626	Mrs. Hinze
556308	17051	
556308	24095	
556308	26481	Pulver Anni
556308	32805	
556308	36480	Walpurgia
556308	36481	Walpurgia
556308	42118	Aloisia Habesam
556308	82542	Regina Willmann
556308	84540	
556308	90702	
556308	91116	Hertha Schellander
556308	97233	Frauke
556308	98365	Seine Mutter
556308	98367	Frau in Villa
556308	103078	Frau Moser
556308	107950	Ina
556308	119251	Hausmeisterin
556308	119292	
556308	122576	Ingrid
556308	124999	Veronika
556308	126418	Christiane
556308	126462	Ruth Boden
556308	142067	Christa Hübner
556308	145476	Aloisia Habesam
556308	153088	Maria
556308	155476	
556308	156170	Ida
556308	168860	Cilly
556308	176925	
556308	177181	
556308	187683	
556308	187782	
556308	189596	Susan
556308	189606	Clara
556308	189793	
556308	193504	Die Blinde
556308	197115	
556308	199750	Maria, older
556308	204581	Katia Mann
556308	205507	
556308	206221	Witwe von Losch
556308	208144	
556308	211123	
556308	223110	Fürstin
556308	223476	
556308	225285	Karin Wolfgram
556308	229167	Annas Mutter
556308	231472	Frau Herzog
556308	233958	Kontrolleurin
556308	237951	Rosa
556308	254385	
556308	259821	Frau Habesam
556308	259823	Aloisia Habesam
556308	281988	
556308	290183	Lehrerin
556308	290724	Renate
556308	293696	
556308	302774	Mother
556308	310904	Frau Spiegel
556308	325377	Margot Merten
556308	325384	Karin Melzer
556308	325396	Anni Klein
556308	325488	Dr. Krüger
556308	325508	Ursula Danz
556308	325723	Herta Wingert
556308	325871	Eva Jahn
556308	325876	Dana
556308	325986	Kommissarin Roth
556308	336493	
556308	343667	Kommissarin
556308	350624	
556308	352398	Großmutter
556308	361296	Generalin von Palinkow
556308	367232	Mrs. Shapiro
556308	373996	Stefans Mutter
556308	377352	Lore
556308	393674	
556308	397957	
556308	404486	Frau Rossi
556308	411198	Anja Bokowski
556308	411526	Tante Lenka
556309	315551	Dorothea Storm
556309	399175	
556310	109591	Treasure Hunter
556311	321678	Mrs. Loeb
556312	99089	
556312	133829	Carol
556312	138821	Tennis Pro
556312	143832	Commercial Star
556312	164663	Marsha
556312	280662	Girl in Library
556313	10066	Eva
556313	17501	Anna
556313	119024	
556314	149090	
556315	395667	Marion Beimer #1 (1985-2000)
556316	385564	Nyhetsoppleser (1997-)
556317	345984	Mother
556318	38648	
556319	65102	Arrow
556319	167013	Kate
556320	246861	Little Girl
556321	281143	Lady Montague
556322	119295	
556322	157618	
556322	172856	
556322	195537	Lisa Nordbrock
556322	226330	Gaby
556322	325715	
556322	325768	
556322	325919	Ulrike Frank
556323	392531	Herself - Finalist (2003)
556324	167809	
556325	307468	Townsperson
556326	230934	Art Gallery Guest
556327	111955	
556328	390105	Herself
556329	81973	Girl
556329	405073	Nurse #1 (Chebucto)
556330	92773	Mother
556331	409109	Zofka
556332	33327	
556333	11890	Madame Verbiest
556333	45586	Mrs. De Schepper
556333	69497	
556333	76744	
556333	108166	Paula Barrett
556333	126861	Danielle
556333	147128	Alice Hobson
556333	174407	
556333	180081	Augustine
556333	185864	Agnes
556333	208282	Josette
556333	213563	Floorke Vannoote
556333	238477	Julienne
556333	242498	Sylvia Ramant
556333	247590	Non
556333	251016	Slagersvrouw
556333	285702	Ambtenares
556333	309693	
556333	331968	Madeleine Rousseau
556333	382877	
556333	383180	Jenny
556333	384154	
556333	386013	
556333	388299	Vriendin van François (1994)
556333	389782	
556333	393245	
556333	397317	Lerares
556333	397318	
556333	399410	Hoofdredactrice Danielle
556333	402768	
556333	402838	Carla Baas
556333	406558	Moeder Meyer
556333	409992	Suzy Hendrickx
556334	178932	Blu
556334	229729	Morico
556335	124345	Cowboy's Wife
556336	296144	
556337	259522	Anni Wegener
556337	259651	Adelheid
556338	292380	
556339	290511	
556340	285240	
556342	140945	
556342	152757	Vera
556343	334409	Circe
556344	65947	Linda
556345	83842	Pat
556346	48898	
556347	90957	Mrs. Rogers
556348	117516	Carrie
556348	341939	Girl in Headshots and Auditio
556349	217657	
556350	300062	Fat Girl
556350	335329	Girlfriend
556351	17685	Auguste Rottgen-van Pels
556351	33732	Jess Copplestone
556351	34903	Herself
556351	35794	Polly Cassotto
556351	40872	Aunt Millie
556351	42390	Dr. Florence Montfitchett
556351	49377	Gwen
556351	76562	Julia Montgomery
556351	113006	Herself
556351	115674	Janice
556351	128891	Dawn Wilkinson
556351	134751	Gloria
556351	142923	Joan La Pucelle
556351	158494	Ida Stubbs
556351	177343	Cordelia
556351	192349	Mari Hoff
556351	196370	Jane Marks
556351	223026	Grace Swan
556351	232268	Alice Mooney
556351	240409	Joan
556351	240814	Mrs.Delaney
556351	255084	
556351	258207	Betty Rhys-Jones
556351	260122	Mama Heffalump
556351	260229	Tiki
556351	263558	Mrs. Bennet
556351	267105	Judy Romanoff
556351	267648	
556351	275445	Shirley
556351	279173	Mrs. Maclean
556351	279277	Louella Parsons
556351	279444	Herself
556351	289099	Grace Trevethyn
556351	292779	Cynthia Rose Purley
556351	304793	Aggie Bullard
556351	308851	Jewel Phillips
556351	360200	Annette
556351	365458	Mrs. Fairgood
556351	366768	Mrs. Jenkins
556351	371019	Mrs. Louise Tutwiler
556351	381799	Hazel Delany
556351	382932	Margaret Amir
556351	383878	Alison Little
556351	385930	Angela Foley
556351	388765	Narrator
556351	395045	Erica Rogers
556351	400585	Miriam Dervish
556351	406936	Sylvia
556352	320789	Batifolette
556353	1790	
556353	5074	
556353	6732	
556353	26926	
556353	27176	
556353	34753	
556353	34754	
556353	36879	
556353	37168	
556353	37264	
556353	37505	
556353	39068	
556353	40996	
556353	46220	
556353	47141	
556353	47276	
556353	49630	
556353	49649	
556353	51357	Seafood delivery lady
556353	52304	
556353	60014	
556353	64519	
556353	72443	
556353	72528	
556353	72818	
556353	75188	
556353	75191	
556353	75205	
556353	81787	Herself
556353	81971	
556353	82667	
556353	82668	
556353	83820	
556353	86706	Segment 3 Girl
556353	90404	
556353	91673	
556353	96544	
556353	98842	Resort member
556353	98860	Connie
556353	102756	
556353	102758	
556353	102809	Herself
556353	102811	
556353	113579	
556353	114944	
556353	114945	
556353	115296	
556353	115728	
556353	119477	
556353	119624	
556353	121657	
556353	127616	
556353	127802	
556353	128724	
556353	128826	
556353	128861	
556353	131508	
556353	140924	
556353	141067	
556353	141691	
556353	154386	
556353	154717	
556353	162457	
556353	169683	
556353	186764	
556353	187409	
556353	187414	Herself
556353	188049	
556353	190679	
556353	190738	Herself
556353	190991	Herself
556353	191861	
556353	194408	
556353	195502	
556353	196896	
556353	197752	
556353	197848	
556353	197852	
556353	197868	
556353	210475	
556353	214446	
556353	228053	
556353	228665	
556353	239868	
556353	240840	
556353	243116	
556353	243125	
556353	243475	
556353	243524	Pregnant Woman in Waiting Roo
556353	245475	
556353	245782	
556353	252220	
556353	261289	
556353	263315	
556353	265413	
556353	267054	
556353	271300	
556353	280204	
556353	282871	
556353	288616	
556353	292517	
556353	295643	
556353	295748	Herself
556353	296090	
556353	304817	
556353	311442	
556353	311455	Herself
556353	313237	
556353	314712	
556353	319408	
556353	319428	
556353	319705	Herself
556353	321009	
556353	321325	
556353	323186	
556353	323581	
556353	323890	
556353	325224	
556353	327399	
556353	328302	
556353	330885	
556353	332866	
556353	335727	
556353	337292	Herself
556353	339890	
556353	351177	
556353	353729	Tanya
556353	357158	Herself
556353	358074	Herself
556353	358720	
556353	361936	
556353	362534	
556353	364762	
556353	364815	
556353	365383	
556353	368749	
556353	369913	
556354	227996	
556356	217707	
556358	67958	Lola
556358	323659	
556358	376134	
556358	388798	Vera
556358	395470	May (2000)
556359	14669	
556359	376969	Rosette
556360	218276	Une dévote
556361	381911	Herself (2000)
556362	157324	Second Grade Communion
556363	235952	Female Special Agent
556364	21521	
556364	47539	Red Lewis's Wife
556364	56434	Fred's Wife
556364	59108	
556364	80613	
556364	100831	Eileen Sheridan
556364	120183	Girl's sister
556364	195421	
556364	220658	Mary
556364	230792	The Teacher
556364	309042	
556365	10902	Farmer's Wife
556366	282851	
556367	152572	Young Ernestine
556368	82669	Makeup Artist
556369	239889	
556370	139633	
556370	224409	
556371	60802	Blonde College Freshman (Deja
556371	123627	
556371	158589	
556371	201449	
556371	306920	
556371	368574	Fluffer
556373	188386	
556373	362066	Maid
556374	117588	Woman
556375	196084	Debbie Lawson
556376	279680	Herself
556376	393378	Herself
556377	81644	Pirate
556378	167094	Dorit
556379	70150	La surveillante
556379	386476	Juliette (segment "A brève dé
556379	387650	Corinne
556380	77139	Getuige
556380	282736	Angela
556381	113603	Pizza Customer #1
556382	31563	
556382	104468	Mira
556382	387890	Esti Ben-David
556383	275124	Polish Ambassador
556384	30646	Student
556385	251110	
556386	114808	Felicita, dancer and friend o
556386	121026	Pupil at convent school, girl
556386	307325	Servitrice
556387	3243	
556387	86816	
556387	237084	2. unge pige
556387	255664	Stuepigen Tine
556387	307325	Sygeplejersken Karen
556387	320590	Train Passenger
556388	82742	Vampire Woman 2
556389	73559	Intern #2
556390	264638	
556391	223793	Betty Brightwood
556391	223807	Nancy
556392	11865	Gisela
556392	15189	Ulla Herbst
556392	100991	Frau Schönstedt
556392	119163	
556392	186900	Mother Gertrud Bartsch
556392	212765	
556392	256957	Hilde Schmitz
556392	282209	Mutter Wagner
556392	290087	
556392	325542	Beate Adam
556392	325815	Karin Fellner
556392	325907	
556392	345925	Ulla Herbst
556392	352499	
556392	369139	
556392	376026	
556392	378648	Anita Bach
556392	380141	Ulla Herbst
556392	380905	
556392	388623	
556392	393360	
556392	393978	
556392	394764	Lene Schmidt
556392	399503	
556392	406321	
556392	411198	Betty Erlemann
556393	406321	
556394	161334	Herself
556395	1487	Herself
556395	1740	Herself
556395	2048	Herself/Singer
556395	2581	Presenter
556395	2816	Guest Performer 'What I Did f
556395	3079	Herself
556395	3297	Performer
556395	11129	Herself
556395	13691	Performer
556395	16784	Guardian Angel
556395	99531	Guest vocalist
556395	102471	Herself
556395	103906	Herself
556395	161215	Herself
556395	161230	Herself
556395	161334	Herself
556395	161346	Herself
556395	163623	Herself
556395	212713	Herself
556395	221410	Performer
556395	221421	Herself
556395	221426	Herself
556395	221479	Herself (presenter)
556395	221482	Herself
556395	224392	Herself (performer)
556395	264441	Mrs. Butler
556395	280017	Herself
556395	309709	Performer
556395	319355	Herself
556395	352748	Herself - Musical Perfomance
556395	352976	Performer
556395	352977	Performer
556395	352978	Performer
556395	352979	Herself
556395	353499	Herself (Singer)
556395	385591	Herself
556396	379108	Herself
556397	193622	London Town Dozen & One Girl
556397	215577	
556398	292660	
556398	360780	Sheila
556399	262682	Herself
556400	115688	Vriendin van Johnny
556401	13327	Sykepleierske
556402	120202	Courtney
556402	409399	Julie Young
556403	165754	
556404	106474	
556404	318515	
556405	133068	Hortense Cornu
556405	291586	Jeannette
556407	242983	
556408	94	Ida
556408	60279	Missy
556408	73611	Ida
556408	96768	Jessica
556408	115628	Miss Guinevere MacReady
556408	130409	Miss Griffiths
556408	203584	Co-plaintiff
556408	213278	Carol
556408	232349	Patti Stevens
556408	245273	Agatha/Frau Etzel
556408	378753	Mrs. Brewer
556408	387787	Mrs. Posset
556409	215242	Akku
556409	285462	Anne-Marja
556409	354426	Woman on Train
556410	153740	Woman in Tale
556410	238554	Varia
556411	191566	Anna
556412	277088	Pi-Delta-Pi
556413	59596	Telefonpige
556414	269068	Kayla
556415	336139	Angela Morris
556416	6805	Telephone Operator
556416	16089	Guest
556416	16455	
556416	21053	Girl at nightclub
556416	37351	Secretary
556416	40121	Maid
556416	40855	First-aid worker
556416	51872	Daisy
556416	52641	Nurse
556416	70301	May
556416	71630	
556416	72576	Party Guest
556416	78003	Carter's Secretary
556416	78085	Teacher
556416	116203	Brewster's secretary
556416	128651	Mae
556416	128894	Teacher
556416	130722	Anna 'Duchess'
556416	131454	Girl
556416	141770	Nurse
556416	147512	Maid
556416	148587	Woman
556416	183759	Student
556416	194822	Passenger
556416	220892	Bit Part
556416	224325	Telephone Girl
556416	235590	
556416	246606	Lois
556416	255145	
556416	289418	Secretary
556416	296873	Shaw Sister
556416	305044	Fashion Show Woman
556416	311025	Adams' stenographer [Ch. 2]
556416	313982	Mrs. Williams, (uncredited)
556416	315322	Nurse
556416	321552	
556416	328296	Guest
556416	331589	
556416	340487	
556416	343252	Secretary
556416	362792	Brunette Secretary
556416	364467	Girl
556416	372145	Neighbor
556417	14092	Marquise de Beaulieu
556417	52465	Nancy Wayne
556417	65549	Octavia
556417	68464	Mrs. Fullerton
556417	69745	Mrs. Marsh
556417	72749	Mrs. Landis
556417	90405	Mrs. Morgan
556417	92957	Mary Todd's Sister
556417	155847	Sister Ursula
556417	157970	Barbara's Mother
556417	177639	Mrs. Agnes Carson
556417	185464	Mrs. Lee
556417	199327	Duchess deGaumont
556417	250572	Forewoman
556417	269342	Beth-Sheba
556417	271249	Ruth
556417	281849	Governess
556417	286176	Queen Marian
556417	319072	Mrs. Fernando
556417	324410	Countess Dassori
556417	325981	Sally Smythe
556417	340736	Lady Somerfield
556417	362694	Mrs. West
556417	362778	Mrs. Veriker
556417	365082	Countess de Moray
556417	366194	Lady Costabel
556417	366773	Mrs. Campbell
556417	367544	Helen Schuyler
556418	236066	
556418	390635	
556419	28258	
556419	82800	
556419	179667	
556419	262644	
556419	280600	
556420	95603	
556420	179225	Marfa
556420	186246	
556420	253750	
556420	262674	
556420	313620	Kolka's mother
556420	374181	(segment "Biletik na vtoroj s
556421	374252	
556422	23952	Dana
556422	117651	Tina
556422	246012	Janice
556423	23960	Henrietta
556424	51765	Bank Teller, female
556425	58338	Cathy 'Cat'
556426	348229	Club Patron
556427	132562	George Clinton's Funkestra
556427	301246	Herself
556428	150044	
556429	34754	
556429	41780	
556429	69432	
556429	75191	
556429	105370	
556429	127809	Herself
556429	127810	Herself
556429	128728	
556429	140980	
556429	150147	
556429	228574	
556429	228643	
556429	228665	
556429	270758	
556429	297817	
556429	311914	
556429	321014	
556429	323595	
556430	41640	
556430	42439	
556430	44905	
556430	105725	
556430	125584	
556430	150620	
556430	210539	
556431	48468	Cashier
556431	95150	June
556431	219819	Gretyl
556431	228298	Dominique the Hooker
556431	247560	Zoe
556431	279494	Julie's Friend
556431	326604	Lee
556431	359423	Robin
556432	53329	Betty Grable Maniquin
556432	114283	Girl at Restaurant
556432	380391	Kit Halloway Perrini (1979-19
556432	390771	Muffy Baxter (1984)
556433	40862	
556433	46207	Vanessa Rawlings
556433	56158	Sarah Quin
556433	59504	Lady Diana Spencer
556433	189403	Miss Moneypenny
556433	192702	Miss Moneypenny
556433	218034	Sarah
556433	223765	Edie Martyn
556433	260330	Rosa Kossack
556433	392853	
556433	400807	DCI Sarah Turnbull (1990)
556435	328554	Brill's Sister
556436	108256	Roz
556436	131434	Judy Blackwell
556436	283501	Tina Tuttle
556437	129761	Teen Mother
556437	336139	Elizabeth Bliss
556438	50382	
556439	263557	Anna Darcy
556440	59377	Elderly Lady in Bookstore
556440	63130	Sister Lucia
556440	177407	Magda
556440	207866	Nora
556440	277657	Mother
556440	315228	Violet
556441	64823	TV Anchorwoman
556441	165849	Margo Moll/Lorelene Moll
556441	195415	Cheryl Hudson
556441	283678	Kaoru (English version)
556441	327632	Tina
556441	371962	Gretta
556441	389570	Gargoyle's Henceman
556441	404840	Kashi
556442	365651	Commune Dinner
556443	8961	
556443	11277	Belle Stanton
556443	16042	
556443	20502	Mrs. Harris
556443	37416	Mrs. Marshall
556443	41800	Miss Stanley (switchbord mont
556443	64920	
556443	78875	Mrs. Didriksen
556443	124343	Mrs. Crowley
556443	127087	Margo the Medium
556443	129093	Mrs. Boyd
556443	146782	Nadia De La Ney
556443	148328	
556443	149288	
556443	154553	Head Nurse
556443	161633	Mrs. Mallison
556443	196492	Hilda Gunning
556443	214967	Mrs. Shellhammer
556443	215599	
556443	230303	Mama Dude
556443	233899	
556443	240793	Nurse
556443	251279	Mrs. Filson
556443	252528	Dowager
556443	263340	Letitia Proudfoot
556443	302467	
556443	305934	Miss Greene
556443	308592	Mrs. Heller
556443	320206	
556443	331369	
556443	334272	Regina's Secretary
556443	340487	
556443	362670	Betty Broadway
556443	362959	Woman
556443	366947	Mrs. Bertha Randall
556444	2761	Herself
556444	31316	Shaden
556444	64069	Anastasia
556444	92832	Princess Daphne
556444	92833	Princess Daphne
556444	115556	Bam Bam Rubble
556444	121867	Girl of 1000 Voices
556444	214943	Old Woman in Diner
556444	231817	Gal Baby
556444	241428	TV Commercial Singer
556444	271215	Narrator
556444	291221	Checkout Lady
556444	292531	Mrs. Fitzgibbons
556444	310154	Sharpei/Waitron
556444	313467	Rozatta 'Roz'
556444	317146	Smurfette
556444	358168	
556444	362024	Jane Katz
556444	385329	Crusader Rabbit (1949)
556444	392965	Miss Bitters
556444	405718	Smurfette (1981-1990)
556444	406074	Snoopy
556444	407470	Cable Car Lady
556445	177808	The Colonel's Lady
556446	195824	
556446	205428	
556446	228040	Herself
556447	46981	Mae
556448	40499	Miss Spollenhauer
556448	99235	
556448	115976	
556448	125710	
556448	230193	
556448	257715	
556448	280309	
556448	346998	Assistant
556449	157065	
556450	58751	Nicole
556450	94316	Madame Dejasse
556450	96164	
556450	162613	Madame Vaudois
556450	191557	Caroline
556450	243295	Mme Malempré
556450	268310	
556450	343549	
556451	192853	Margaret
556452	79611	Susan (10-12 Years)
556452	136970	Chris
556452	318390	Annette Giancana
556453	76554	Female Customer
556454	75030	
556455	111703	La secrétaire
556456	64386	Andrea
556456	79611	Susan (8 Years)
556456	318390	Francine Giancana
556456	330773	Lisa
556456	396447	Janet
556457	46647	
556458	392531	Herself - Member of jury (200
556459	392072	Sidsel Birkeland (2000-2001)
556460	136176	Washerwoman
556460	284138	German journalist
556461	184955	Change Girl
556461	391166	Mrs. Duggen
556461	395924	Marion III
556462	58358	
556462	350833	
556463	91067	Herself
556464	103565	
556465	403494	Herself
556466	350484	Robert Sr.'s Wife
556467	190931	Receptionist
556468	312391	Woman in Park
556468	395180	Benalla Barmaid
556469	271212	
556470	38084	Julie-Berthe
556471	168670	Screaming Neighbor
556472	389882	
556473	166370	Cautious mother
556474	162345	Family Friend
556475	35094	Bete
556475	44723	Tânia
556475	54813	Isabelle
556475	110748	Maria (segment "Estrada")
556475	132999	
556475	234633	
556475	244137	Mother
556475	250705	
556475	308753	Clara
556475	351269	(segment "Drão")
556475	379008	Sílvia
556475	380196	Júlia Montana
556475	383247	Ana Machadão
556475	392973	Isabelle
556475	393615	Lívia
556475	402456	Guida
556475	404165	Teodora
556475	405810	Clara
556475	409130	Melissa Grandene, Adelaide
556475	410087	
556476	24809	Nehama Tinski
556477	373985	Mulle's mother
556478	154147	Courtney
556479	76664	
556480	7213	Receptionist
556481	161108	Maid
556482	176969	Zoe
556483	43606	Sally Rawthrote
556483	81649	Ms. Paley
556483	105280	Lynn Spence
556483	125830	Theresa
556483	155094	Dinner Guest
556483	177369	Crockett's Secretary
556483	236870	Christine Belser
556483	245265	Florence Needleman
556483	266764	Mrs. Driscoll
556483	299469	Secretary #1
556483	305390	Edgar's Wife
556483	400236	Irma Weber (1999)
556484	223963	Tango Dancer
556485	54891	Rika Sasaki
556485	107610	Carol
556485	170832	Little Rongo
556485	403965	Ayame
556485	404228	Reiha
556486	216406	Avraham Ben-David's Wife
556487	153788	
556488	318814	Jenny
556489	47078	Nervous Girl
556489	52580	Coffee Shop Girl
556489	390979	Grote Girl #1 - Episode "Tole
556490	147252	Hoffa's Daughter
556491	221287	Nurse Proctor
556491	311284	Chris' Mom
556491	362592	Marcie Clark
556492	298094	Joanne
556493	359938	
556494	375166	Mutter
556495	154662	Marsha
556495	175328	Rami Nanahikari, Spot
556495	175329	Rami Nana-Hikari
556495	299066	Jill Baker
556495	382089	Meg Bennet/Rock-1
556495	393293	Additional Voices
556495	393424	Roxy/Roxanne Pelligrini
556495	410975	Additional Voices
556496	389356	1st Singer
556497	184955	Change Girl
556498	87020	Host
556499	17242	
556500	368797	Natasha
556501	126691	Student
556502	129090	Herself
556502	391835	Talking head/soundbites (segm
556503	361391	Lieselotte
556504	78943	Rebecca Hancock
556504	139711	Bäckerin
556505	141109	Joan E.
556506	223340	Petra Rodewald
556507	6857	Duenna
556507	12764	Masseuse
556507	17475	Matron
556507	54949	Woman in Court
556508	26430	Margaret Rose Thomas
556509	34344	
556509	34417	
556509	46107	Ilona Merkel
556509	91044	
556509	101739	Marga
556509	105968	Alex Mutter
556509	126462	
556509	142038	Clara
556509	142269	Klaus' Mutter
556509	177213	Kalb
556509	218969	Susanne Kast
556509	220512	Mrs. Schiller
556509	225648	
556509	226196	Policewoman
556509	255732	Manuela
556509	259498	Susanne Hecht
556509	259684	
556509	317270	Eva Förster
556509	317490	
556509	323658	
556509	325920	Reporterin
556509	325932	Birgit Sofsky
556509	352322	Architektin
556509	391472	Paula Drews, Wirtin
556509	406270	
556509	406520	Claudia Benz
556510	282452	Law Student
556510	376053	Christmas caroler
556511	308114	Choir Member
556512	312843	Marina
556513	51896	
556513	142529	Herself
556514	10899	Mary Jordan
556515	355036	Gretchen Coneelie
556516	178896	Waitress
556517	108353	Justine Winfield
556518	404444	Stem van de papegaai
556519	185109	Old Jane
556520	381911	Herself (2002)
556521	162104	Sor Teresa
556522	270394	Ethel Henderson
556523	143831	Betsy
556523	272859	Woman in Play
556523	411761	Essie Sycamore
556524	381821	Ensemble (1970-1971)
556525	336559	RR Hood
556526	85176	Teacher
556527	185228	Sho's Woman #2
556528	198745	Tinelou
556529	151680	Girlfriend of DC
556530	156128	Carla
556530	226352	
556530	256493	Tante Anouschka
556530	258242	Paard Langhorst
556530	296902	Bella
556530	394532	
556530	400297	Herself (2003-2004)
556530	409977	Ria Blauwboer
556531	135716	Pina Overgauw
556531	226068	Celia Strumpf
556531	242434	
556531	255630	Vrouw van 47
556531	329894	Brigitta Berger
556531	381672	
556531	384341	
556531	387125	
556531	388919	Oma Kneuteltje
556531	392675	Irma (1992)
556531	394609	
556531	404425	tante Door
556532	144082	
556533	204141	Miss Jones
556534	401466	Herself, the host
556535	107681	
556536	114871	
556537	2602	Hilda
556537	42644	Dona Patricia
556537	48831	Doña Amalia
556537	65598	
556537	146533	
556537	193558	
556537	307642	
556537	326298	Matilde
556537	351480	
556537	383769	Lucía's Doctor
556537	385852	Ema
556537	390614	
556537	391860	Silvina de Maciel
556537	392847	Enriqueta
556537	396646	
556537	398842	Jacinta
556537	401358	Aída
556537	402158	Beatriz
556537	405917	Carancha
556537	412198	Floria Cardone
556538	97235	Tessa's mother
556538	108145	Sandra
556538	130220	
556538	180644	Roos
556538	181255	Moeder Keesie
556538	203784	
556538	231711	Karin
556538	352126	Tante Connie
556538	365113	
556538	376185	Wanda
556538	382017	Bertie (jong)
556538	408221	Rietje Kok
556538	411943	Moeder Bonnie
556539	289831	parapluie stelende dame
556540	42860	Journalist
556540	76725	
556541	45965	Executeur Testament
556541	124945	Tante Toetje Kluif
556541	175678	Friettent-houdster
556541	314571	
556541	337050	
556541	393180	Zuster Klivia
556541	394912	De lelijke slaapster
556541	398575	Vrouw op bankje
556542	47834	Ted
556542	72289	
556542	97640	
556542	211911	Vrouw in auto
556542	259801	Eef
556542	338962	Secretaresse Camilla
556542	350311	Joke
556542	374648	Klant
556542	375122	
556542	381680	Wanda (2nd season-????)
556542	385145	Annemarie de Graaf (episode 1
556542	390242	Jozette Calland (1992)
556543	128013	
556544	311074	
556545	89032	Lisa
556546	8113	
556546	262542	
556547	2621	
556549	91212	
556550	46532	Mrs. Cherkin, the Babka Lady
556550	274313	Wife (segment "Strip Poker")
556551	112174	
556551	218281	Emma, de kokkin
556552	122320	Anna
556553	234879	Neighbour
556554	246470	
556555	167321	Lonneke
556555	379739	Kayleigh (1999-2000)
556556	180076	Brita Andersson
556556	350564	Brenner's housemaid
556557	148460	Student #5
556557	206595	Lynn
556557	295563	Leeza
556558	374130	Dama
556559	137733	Olga
556560	5640	Vrouw in grachtenpand
556560	82166	Cella
556560	99427	Anita
556560	149111	Soeur John Gielgud
556560	187632	Gynaecologe
556560	193386	Zuster Ten Hoeven
556560	229237	Sandra
556560	375524	
556560	378614	Jeanine van der Hoop
556560	393184	Liselot Zomer (pvdv)
556560	395889	Zuster ten Hoeve
556560	400507	Elise Bussink-Vermeer
556560	409178	Joy Freud
556561	285801	
556562	182531	Elin
556564	179772	Kari
556565	77643	Amazon Chorus Girl
556566	251951	
556567	319302	Tarjoilija
556568	236228	Woman at the dressmaker's sho
556569	394936	Various Roles
556570	184000	Mrs. Nielsen
556571	378897	Therese Martinsson
556572	176621	Eeva as a child
556573	402413	Jenny
556574	250509	La femme du retraité
556575	92553	
556575	380452	Frl. Lattmann (1976)
556576	98968	Nicole Leschkov
556577	136277	Elderly Shopper
556577	333393	Old Woman
556578	315606	Anna-Sofia
556579	248521	Eva
556580	1425	
556580	165165	
556580	405539	Kerstin (2000)
556580	405822	Nils´s fru
556581	13576	Hospital Receptionist
556581	66053	Frances
556581	73833	Leslie
556581	92248	Psychologist
556581	97727	Tinka
556581	100055	
556581	117101	Charlotte
556581	117683	Jackie Coles
556581	135195	Kimberly Cannon
556581	142894	Gertrude Cox Hill
556581	165009	Dr. Lemmings
556581	166885	Sister Mary
556581	195529	Nancy Novacelik
556581	220427	Ms. Park Avenue
556581	222779	Dottie
556581	253499	Mrs. Toron
556581	253818	Missy Dandridge
556581	314104	Ducker
556581	328594	Umbrella
556581	382735	Beverly Shippel
556582	70178	Elsie/Rick's Assistant
556583	377397	Åke's sister Aja
556583	409853	Sara Forss
556584	155412	Rita
556584	173469	
556584	361495	
556585	389407	Programleder (1987-)
556586	34446	School girl
556586	381706	(episodes 1-5, 8, 9, 12)
556587	237263	
556588	148816	Receptionist
556589	404785	Siw Ruud
556590	48338	
556590	153740	Elfrisina
556590	199082	Mackan's Mother
556590	320607	Marianne
556590	336103	
556590	357764	Marianne Berg
556590	402881	Britta
556591	322674	
556592	106109	Katia Tolov
556593	11316	
556593	200431	The Girl in Mirror and her An
556593	255183	
556593	264639	
556593	264837	
556593	264873	
556593	264909	
556593	290849	
556593	295715	
556593	326904	
556593	351818	La prostituée
556593	361877	
556595	264734	
556601	210722	Lingeriemodel
556605	354866	
556606	39143	Additional Voices
556606	74048	PA Romy
556606	335206	Lara Croft
556607	27107	Baby-Killing Mother
556607	118038	Escort
556607	199397	Long Beach Party Giver
556607	216449	Caterer
556608	279953	
556611	29411	
556611	354191	
556613	50384	
556614	155205	
556616	101547	Prostitute
556617	268463	Mariée
556618	410215	Marie enfant
556619	132953	Danielle
556620	136360	
556621	337025	
556622	184559	
556623	166172	Une secrétaire
556624	215096	Melania
556625	10844	Mrs. O'Houlihan
556625	16019	Professor Cyphers
556625	207454	Jessica
556626	5460	Patricia Carmody
556626	23308	Switchboard operator [Chs. 2,
556626	78680	Lucy Mack
556626	90262	Janey
556626	118405	Gertrude, Lansford's 1st Secr
556626	129967	Tree Critic/Wife
556626	171444	Secretary
556626	183759	Grace
556626	216822	Gloria
556626	226609	
556626	287946	Louise Wallace
556626	311025	Chase's secretary [Ch. 12]
556626	343295	Lady Bill Collector
556626	363899	Ann Garfield
556626	395563	Honeybee Gillis (1954-1955; 1
556627	2548	Herself - Co-presenter: Best 
556627	6768	Easy Jenny
556627	6791	Helen Melohn
556627	13378	Maxine Carroll
556627	13924	Herself (table bow)
556627	16643	Mollie Hays
556627	26737	Timothea 'Timmy' Blake
556627	30268	
556627	31021	Edna Thompson
556627	36873	Pearl
556627	36973	Vida Fleet
556627	37001	
556627	40993	Anne Roberts
556627	41092	Blondie Johnson
556627	41987	Annie Rawlins
556627	47307	Tony Landers
556627	47343	Alice Hughes
556627	47381	
556627	49364	Lee Morgan
556627	57985	Dot
556627	58799	Dolly Kenyon
556627	63009	Ann Nelson
556627	64018	Herself
556627	64019	Lady Fingers
556627	67096	Minnie Hawkins
556627	70212	Nancy Lorraine
556627	70960	Rosemary Durant
556627	73932	Anne Scott
556627	74182	Grace Lamert, Nurse Aide
556627	77414	Mabel Anderson
556627	80431	Levenia
556627	81049	Marcella Geffenhart
556627	83856	Peg Costello
556627	85052	
556627	90133	Marjorie Mossrock
556627	96853	Mary Wilson
556627	108435	Maizie Dickson
556627	116894	Nan Prescott
556627	117015	Daphne Peters
556627	129618	Mrs. Fitzgerald
556627	130038	Fifi
556627	130622	Carol King
556627	130623	Herself (Trailer Only)
556627	130624	Norma Perry
556627	131454	Jenny Swanson
556627	131714	Anne Rogers, Bixby's Secretar
556627	133401	Vi
556627	133998	Schatzi
556627	140321	Mae Knight
556627	140871	Rose Lawrence
556627	141172	
556627	147788	Herself
556627	154712	Geraldine Brokaw
556627	155028	Marie Lawson
556627	156468	Helen 'Duckie' Childers
556627	173526	Rosie Sturges
556627	176326	Doris Harvey
556627	177262	Miss Dorothy Ellis
556627	179846	Kittibelle Lightfoot
556627	183638	Jenny 'Jen' Blake Alderson
556627	186452	Olga Michaels
556627	192849	Aunt Morgan
556627	201421	'Flips' Montague
556627	214068	Angie Wickerstaff
556627	215625	Gloria Fay
556627	215634	Nurse Adams, aka Miss Pinkert
556627	216822	Joan Chambers
556627	224245	Marion Moore
556627	232012	B. Maloney
556627	232419	Zeena Krumbein
556627	238616	Jane Morgan
556627	238698	Katherine Murdock
556627	242585	Sarah Goode
556627	242941	Edith Potter
556627	244371	Marie
556627	252973	Mona Carter
556627	254917	Ruby
556627	266706	Mamie
556627	273798	Myrtle Nichols
556627	277867	Mrs. Lavender
556627	302888	Myrtle
556627	305481	Vicki Wallace Thorpe
556627	308921	Yvonne
556627	312147	Mrs. 'Fingers' Stilletto
556627	312810	Peggy Revere
556627	313085	Lester Plum
556627	314098	Glenda Callahan
556627	319757	Jenny
556627	323807	Guest
556627	330001	Sally Reardon
556627	330682	Crystal St. Clair
556627	331381	Hope Banner
556627	331495	Mabel
556627	331553	Mary Keaton, aka Mary Bernard
556627	335955	Gail Richards
556627	338557	Angela Twitchell
556627	338894	Sissy Edwards
556627	342878	Molly Mahoney
556627	347120	Ruth Collins
556627	359471	
556627	359473	
556627	360051	Lavinia
556627	360521	Ginger Stewart
556627	365740	Violet
556627	365962	Larouge
556627	366236	Beverly Craig
556627	367537	Aunt Coll
556627	367948	Landlady
556627	381247	Peggy Revere (1972-1973)
556627	391401	Lottie Hatfield (1968-1970)
556627	394457	Rose Kelsey
556627	402971	Winifred Jordan (1963)
556627	403027	Mrs. Brumple
556628	4682	
556628	27646	
556628	50794	Goddess of Beauty
556629	163190	Themselves
556630	345190	Girl at the factory
556631	234324	Herself
556631	262980	Herself
556631	383360	
556631	385337	
556631	398217	Liza
556631	412126	Host
556632	13501	
556632	31880	Herself
556632	34778	
556632	39869	
556632	41074	
556632	41846	
556632	46220	
556632	52267	
556632	72777	
556632	72817	
556632	75780	Chelo
556632	79889	
556632	83857	
556632	98867	Girl by pool
556632	98868	Topless birthday girl
556632	98869	Princess Luna's Guard
556632	98870	Cleopatra tryout
556632	98883	Morgan's girl
556632	98885	Construction worker
556632	127804	Herself
556632	128762	
556632	149106	
556632	149399	
556632	175407	
556632	178181	Envelope Licker
556632	187409	
556632	196554	
556632	197783	
556632	228647	
556632	232099	Mondo Zombie Girl Darlene
556632	295586	Lt. raea
556632	310175	
556632	321030	
556632	321160	Herself
556632	347733	
556632	362602	
556632	369913	
556632	369914	
556634	309249	
556635	264638	
556635	264910	Herself
556635	355880	
556637	388689	Adeline (1995)
556637	406030	Caroline Drancourt Calas (199
556638	18085	
556638	306776	
556639	102945	Saxophoniste
556640	86911	La Journaliste
556640	163851	
556640	308186	
556640	345539	Nurse
556641	3438	
556642	150266	
556643	99367	Babeth's mother
556644	99367	Babeth
556644	124321	Yolaine Bisson
556711	118624	Claire
556644	211677	La propriétaire de l'appartem
556644	251007	
556645	72066	
556645	301314	
556646	1664	Cheryl's Friend
556646	27206	Giselle
556646	57889	Brenda
556646	72377	Ava Walker
556646	74259	Inga, Swedish Exchange Studen
556646	273768	Bonnie
556646	284628	Jane
556647	20625	Extra
556647	234803	Dancer
556648	86892	Carol Heathrow
556648	151641	Suzie
556648	317451	Jason's Mother
556649	119446	
556650	82203	
556651	338037	Grandma
556652	4507	Paula
556652	18517	
556652	189649	Emma
556652	380349	Trixi
556653	85093	Helen Danvier
556653	277835	Kristine
556654	27149	Irish woman
556654	56139	Police Matron
556654	86842	Mrs. O'Casey
556654	216234	Factory Forewoman (Fantine)
556654	228639	Casquette Girl
556654	367637	Matron With Ann
556655	195021	Bridgette
556655	236317	Naja (Counter Terrorist)
556655	365947	Gorgeous Woman
556655	403607	Alana
556656	215690	Miss Mississippi USA
556657	210617	Herself
556658	26258	
556659	388653	Jennifer (Season 4)
556660	387231	11 year old daughter
556661	286595	Girl
556661	387231	9 year old daughter
556662	379831	Andre Romo's ex-girlfriend (1
556663	391558	Student
556664	51967	Joleen
556664	83842	Marge Bookman
556664	87218	Janet Simmons
556664	108015	
556664	196544	Nurse
556664	311042	
556664	324020	
556664	329548	Maid Marian
556664	399725	Frosty Kimelman
556664	400878	Mrs. Lewis (1990-1991)
556664	408617	Host (1990-1991)
556665	368537	Ranch House patron
556666	117664	
556667	144114	Nurse
556667	220080	Decent Mom
556668	131226	Swimming Girl
556669	3128	Julie Monks
556669	7063	Sheperdess
556669	8183	
556669	10340	Barsine
556669	12529	Laura (segment "Peccato nel p
556669	15892	Czarina Alexandra
556669	17549	Anna
556669	34488	Lady Delamere
556669	40671	Mary Dearing
556669	43913	Eva Smallwood
556669	47974	Katya
556669	48540	Bonnie Brown
556669	59356	Herself
556669	59366	Naomi Shields
556669	59691	Herself
556669	59727	Alice Kinnian
556669	65228	Hera
556669	73303	Miriam Rosenthal
556669	75881	Queen
556669	79986	Eleanor Trilling
556669	89634	Nora Helmer
556669	96113	Eleanor Harvey
556669	110252	Akhmatova
556669	115805	Fanny Nightingale
556669	127241	Hope
556669	130462	Hannah
556669	137945	Gertrude
556669	140192	Theodora
556669	142927	Katharine
556669	147429	Edwina, Lady Dunvale
556669	156529	Felicia
556669	156882	Mrs. Sternberg
556669	157068	Elinor
556669	160064	Susan Robbins
556669	161170	Ruth Gregory
556669	162906	Audrey
556669	163610	Evelyn Whitloff
556669	172605	Eleanor
556669	183542	Lady Emma Darlington
556669	183696	Emma Sachs
556669	189314	Madame Bartholdi
556669	190008	Constance
556669	190947	Thereza
556669	194167	Helena Charles
556669	195397	Nina Love
556669	199173	Stringer's Wife
556669	199933	Ada
556669	202937	Susanne Mallison
556669	213452	Amanda's Mother
556669	215154	Marina Gregg
556669	238449	Jocasta
556669	240466	Herself
556669	245464	Wife
556669	249690	Maria Cruz
556669	264135	Fairy Godmother
556669	265777	Sally
556669	269419	Vicky Kelley
556669	274343	Ann Arnold
556669	275433	Anne Deveraux Rawlings
556669	276039	Onion
556669	277678	The Lady Anne
556669	281168	Juliet
556669	286687	Alice
556669	289826	Irene Andreny
556669	294517	Miss Cooper
556669	295489	Honor Klein
556669	296899	Joy Davidman
556669	297124	Herself/Juliet/Lady Anne/Port
556669	307363	Queen Anne
556669	309636	Herself/Narrator
556669	312168	Nan Perry
556669	330829	
556669	331419	Frances Howard
556669	333188	Mrs. Conway
556669	354488	Cecily Jordan
556669	362407	Mrs. Tynan
556669	368033	Dorothea Grimm
556669	368863	Lulu Fraker
556669	371376	Margaret
556669	380713	Orlena Grimaldi (aka Lena Smy
556669	381110	Edith Bolling Galt Wilson
556669	382744	Lady Marchmain
556669	383277	Sophy
556669	383929	Herself
556669	387490	Rebecca Weiler
556669	388350	Frances Pye
556669	393000	
556669	400401	Athene
556669	402245	Roxane
556669	405040	
556670	43919	T.V. Actress
556671	50004	Mika
556672	44474	Country Store Cashier
556673	134037	Nurse
556674	224088	Catty Co-Worker
556675	320059	Airport Desk Clerk
556676	38022	Waitress
556677	29723	Marilyn
556677	291224	Helen Bradford
556677	385299	Lydia Ashley
556678	228267	Herself
556679	392802	Jessica Hahn
556680	46818	Elaine Gardner
556680	64569	Herself
556680	64571	Herself
556680	72108	Claire
556680	75833	Herself
556680	119821	Big Butt Annie/Policewoman in
556680	134517	Rebecca Brummette
556680	136832	Melody Ragmore
556680	152300	Jean Harlow
556680	193702	
556680	201035	Girl in bed
556680	213628	Velda
556680	219182	Velda
556680	276708	Velda
556680	303534	Sixpack Annie Bodine
556680	329085	Suger
556680	385594	Bonnie Robertson (1982)
556680	397714	Velda (1984-1987)
556681	384494	Herself
556681	390560	Herself/Legal Commentator (19
556681	401998	Herself
556682	285067	Helen
556683	57747	Inmate
556684	170852	Nurse
556685	154614	Vegas Showgirl
556686	265389	
556686	378693	Herself
556687	228239	Herself
556689	199292	One of 'The Girls'
556690	1874	Waitress
556690	144406	
556690	321106	Daisy
556691	7842	June
556691	17173	Marion Wormer
556691	27433	Maureen
556691	41844	Moody Larkin
556691	61842	The Girl
556691	70104	Emily Hovannes
556691	92583	Maude Bray
556691	96113	
556691	144873	Sarah Belding
556691	145705	Hannah Collings
556691	149109	Emmy
556691	169427	Farm Woman
556691	185704	Mary, Mother of Jesus
556691	194194	Herself
556691	209492	Eileen
556691	249422	
556691	257764	Paulette
556691	265777	
556691	279251	Bertha
556691	288107	Jean Hodges
556691	327267	Herself
556691	363271	Marion Wormer
556691	363313	Jenny
556691	370890	Herself
556693	44455	Herself
556694	124506	The Gathering
556694	292701	Gushy Young Woman
556695	188317	
556695	389858	Marty (2003-present)
556696	306221	Sharon
556697	43677	Vikki
556697	120297	Debra Bannister
556697	405209	Rachel McKenna (1992-1999, 20
556698	34732	Herself
556698	36848	Housemate: Evictee #8
556698	36855	Herself
556698	202970	The Manager: Mrs. Hug-n-Kiss
556698	381898	Herself - 7th Evictee: 17 Jun
556698	381917	Herself - Intruder Evictee #8
556699	61622	Mother-in-law
556700	405069	
556701	330886	Marcia
556702	282416	
556703	13475	Woman from the ministry
556703	19348	The blind woman
556703	55989	
556703	73973	
556703	86881	
556703	88203	The Judge
556703	105588	
556703	109602	
556703	207932	
556703	232625	Poucha Ardelean
556703	238024	Mihaela's mother
556703	250878	Stela
556703	292894	
556703	306631	
556703	346546	Aline
556703	377586	Director
556704	365244	Nurse
556705	14204	Bridget
556705	109610	Charlene
556705	269595	Anna
556705	393424	Aja Leith/Kimber Benton/Ashle
556706	154983	Fat Woman
556706	161914	Woman
556706	190490	Mother
556706	191588	Third Woman
556706	216716	Woman
556706	221779	Hatchet-faced woman
556706	289236	Dowager
556706	292821	Nurse
556706	304970	Club Woman
556706	319111	
556706	321549	Dancer
556707	156438	Hermia
556708	394146	Belinda Blunt
556709	259447	Eleonora Berger
556709	259583	Katrin Schicker
556709	259688	
556709	361041	
556709	379362	
556709	409625	Irene Weigel, geb. Schwarz (1
556710	47004	Bald Girl
556711	44143	
556711	47284	Blossom
556711	148235	Blossom
556711	151363	Blossom
556711	191535	Blossom
556711	195122	Blossom
556711	243957	Blossom
556713	41776	Waitress
556713	150973	Mme. Regine
556713	221055	YMCA Visitor
556713	270364	Mrs. Eastman
556714	46759	Mary Jenkins
556715	13954	Bikini Teen
556716	362236	Minerve
556717	88242	Mary Allan
556718	141109	A Steinette
556718	260362	Blossom Walfleur
556719	42412	
556719	67069	
556719	97309	
556719	98183	
556719	150373	
556719	150945	
556719	156831	
556719	158596	
556719	191325	
556720	56891	Lucille Bascom
556720	83594	
556720	116737	Dilly Gilliam
556720	125802	June Prowitt
556720	183332	Ruth Jones
556720	232167	Louise Hollister
556720	310737	
556720	363698	
556720	363835	Berenice Nolden
556721	62922	Nutlady
556722	106879	
556723	29792	
556723	55533	
556723	87902	Véronique
556723	94392	
556723	235819	Marie-Ange, Bouly's ex-wife
556723	345544	Marie-Ange
556724	7549	
556724	14343	La Cuisinière
556724	29001	La première fleuriste
556724	30472	La femme de mènage
556724	43710	
556724	52698	
556724	54804	La tenancière
556724	59249	Mlle Mortier
556724	66218	L'assistante de l'ingénieur
556724	86794	
556724	103827	La dame des puces
556724	107537	La femme de ménage
556724	108891	La dame
556724	110027	Wanda
556724	110139	Babette
556724	113256	La voisine
556724	114828	Adelaïde, la femme du Hongroi
556724	125461	
556724	132066	Une salutiste
556724	132744	
556724	132769	Mme Florentin, la nurse
556724	168078	Madame Cramusel
556724	192820	La concierge
556724	193227	Madame Zy
556724	201343	L'infirmière
556724	202340	Pauline, la bonne
556724	206317	
556724	208481	Antoinette
556724	220498	
556724	220500	
556724	224904	La nouvelle locataire
556724	250507	Mlle Postic
556724	254056	Une soeur
556724	285083	La postière
556724	300676	La dame dans la rue
556724	336725	Mademoiselle Kerlouette
556724	345186	
556724	377467	Florence, Francis' secretary
556724	380967	
556724	381384	Mme Castille
556724	384287	
556724	384287	La mère
556724	393718	
556724	396617	
556724	403178	
556724	404861	
556724	409440	
556725	43999	Un juge
556726	43703	
556727	211683	Une bonne copine
556727	307478	La conductrice musclée
556729	397440	Glorinha
556730	204035	
556730	380120	Isabel
556730	380777	Doralice
556730	385385	
556730	385629	Emília
556730	386245	Eugênia
556730	387052	Roberta Bernardes
556730	387900	Marta
556730	388592	Lurdes
556730	388721	Creusa
556730	388998	Lurdes
556730	389887	Beatriz
556730	390054	Selma
556730	391900	Zuleima
556730	393464	
556730	398361	
556730	398503	Hilda
556730	398548	Manoela
556730	400584	Jurema
556730	400838	
556730	401243	
556730	401678	Iara
556730	402506	Joana
556730	404837	Maria do Carmo
556730	407798	
556730	407864	
556730	408330	Lídia
556730	408592	Josefa
556730	408944	Nilda
556730	409898	Carmem
556730	410245	Patrícia
556730	412179	Marlene
556731	7184	
556731	111002	La femme de chambre du grand 
556731	294387	Nurse
556731	345538	La femme de chambre
556732	299287	Chambermaid
556732	411201	Library Assistant
556733	160560	Young girl
556734	186665	Girl in Cafeteria
556735	3202	Billie Jean
556735	3973	Vicky Sharpless
556735	14196	Becky Meadows
556735	17783	Cindy
556735	40668	Annie Winchester
556735	45289	Purlene Dupre
556735	57550	Paula Murphy
556735	63266	Chrystal
556735	80374	Girl on the Beach/Nurse/Lisa
556735	111060	Jenny Purge
556735	126572	Mary Mandrell
556735	133475	Lois Brown
556735	155927	Sarah Cooper-Toole
556735	158061	Carmen
556735	159499	Fran Hudson
556735	169963	D.A. Theresa Lewis
556735	222598	Janet Myers
556735	222690	Michelle Jameson
556735	229325	Cora Rusk
556735	232379	Audrey
556735	238709	Lynette Pomeroy
556735	245007	Phyllis
556735	264038	Catherine Danforth
556735	270684	Miles Archer
556735	286478	
556735	309838	Anette Clark
556735	312962	Janie
556735	315569	Sissy Rigetti
556735	337403	
556735	347059	Karen Sader
556735	362436	Leslie Peterson
556735	402275	Bobbi Stokowski
556735	405961	Mary Ruth Hammersmith
556735	408757	Lisa
556736	85822	Woman, green with envy
556736	286925	
556737	1711	
556737	80699	Eunice Scarr
556737	330776	Gindy
556738	303226	Tanya
556739	351982	Carlton's Wife
556740	190603	Mrs. Cowles
556740	210912	Mrs. Burnell
556740	214952	
556740	263744	
556740	306764	Mrs. Byrd Cuttinng
556741	173079	Herself
556741	241045	Jennifer
556741	351181	Futura Volare, KUN-TV
556742	252222	Ellen
556742	387029	Reporter
556743	286477	Car Hop
556744	329541	Young Girl at Fair
556744	385299	Lynn Hope
556746	50240	Dancing Fantasy
556747	274200	Felladium Sexy Queen
556748	312826	Bit part
556749	16363	Moidele (6)
556749	325591	Maria Stecher
556751	199787	
556752	252706	
556753	248377	Sayaka Tamura
556754	217099	
556755	20518	Vikki/Bombshell
556755	20519	Vikki
556755	20522	Vikki
556755	20523	Vikki
556755	37528	
556755	65630	
556755	80857	Shirley
556755	116043	Bink, Tippi (1986)
556755	120122	Mrs. Amanda Shepard
556755	133123	Grandma Spankenheimer
556755	224109	Lofty/Grundle/Bushwoolie
556755	281881	
556755	290943	Sibella Dracula
556755	313171	Stanley
556755	338092	Arcee
556755	365499	Gabrielle Jackson
556755	378727	Flim Flam
556755	380283	Voice of Reggie the Heggie
556755	380775	Zoran
556755	382089	Additional Voices
556755	382687	Judge J.B
556755	388394	Kim
556755	388913	Additional Voices
556755	389628	Bree Van Mark, Sheila McDermo
556755	389671	Aimee Brightower
556755	390031	Belfrey the Bat/Futura/Jessic
556755	390534	
556755	392758	Additional Voices
556755	392967	Additional Voices
556755	393424	Lindsay Pierce/Stormer/Mary P
556755	393482	Additional Voices
556755	393545	
556755	395730	Additional Voices
556755	398087	
556755	398717	Lofty/Phluma
556755	401056	Princess Paw Paw
556755	404517	Additonal Voices
556755	404520	Additional Voices
556755	405718	Granny Smurf (1988-1989)
556755	406387	Jazz
556755	408667	Additional Voices
556755	408730	Arcee (1986-1987)/Marissa Fai
556755	410268	Galadria
556755	410988	Additional Voices
556755	411166	Brutus
556756	164685	
556757	346405	Herself
556758	304929	Club Audience
556758	409958	Frau Keppler (2003-)
556759	248422	
556760	1220	
556760	11347	
556760	21017	
556760	41050	
556760	41518	One of Derek Foreal's party g
556760	41588	
556760	67117	
556760	68149	
556760	123832	
556760	125584	
556760	191325	
556760	224187	
556760	243093	
556760	243094	
556760	275878	
556760	295581	Blonde In A Limo
556760	330049	Girl Jogging In Blue Shorts
556760	347390	
556760	360412	
556761	58795	
556761	116443	Girl in secretary dance
556761	256085	Apache dancer
556761	313076	Dancer
556761	318933	
556761	330375	
556762	368310	
556764	41319	Naked Cannibal Woman
556764	68231	
556764	117439	
556764	151658	
556764	332089	
556765	759	
556765	6730	
556765	11621	
556765	30036	
556765	67145	
556765	75028	
556765	92207	
556765	95800	
556765	122845	
556765	128156	
556765	128905	
556765	139261	
556765	161477	
556765	232648	
556765	243109	
556765	253616	
556765	349388	
556766	285205	
556767	235509	Pocahontas
556767	367822	Betty
556768	362990	
556769	128747	
556770	257869	
556772	47251	
556772	233737	
556772	326734	
556774	257887	
556774	289378	
556775	336034	Teacher
556776	11347	
556776	106356	
556776	149336	
556776	150945	
556776	150948	
556776	296073	Lauren
556776	306917	
556776	345867	
556776	350180	
556779	296051	
556780	53023	Billie
556780	59056	Young Woman
556780	118994	Bernadette's Aunt
556780	205732	Anne
556780	222139	
556780	236622	Laura's Mother
556780	332188	Joséphine
556780	377277	Young woman at the wake
556780	377726	
556782	132656	
556787	360436	Crying Kid
556789	75195	
556790	65603	
556790	103846	
556790	221565	
556790	238759	Lillian
556790	239301	
556790	287875	Gloria Halder
556790	337964	(segment "El dilema")
556790	350399	
556791	321129	
556791	331316	
556792	38978	Ma King
556792	54591	Mrs. Ward
556792	245750	Mrs. Parsons
556793	131987	
556793	310130	Nerdluck Pound
556795	194155	Lady's Voice
556795	249175	Lady with dog
556795	315773	Diner #1
556796	5382	
556796	29887	
556796	175407	
556796	274680	
556796	295927	
556796	335573	
556797	13270	
556800	150937	
556800	187412	Herself
556801	361907	Cure Girl
556802	236972	Toy Soldier
556803	117496	Monica
556806	222687	Court Clerk
556808	223074	Erica Zann, Voice
556809	75034	
556810	83850	
556811	106062	Snack Bar Girl
556811	226475	Older Teodora Ungureanu
556812	13737	
556812	31331	
556812	37173	
556812	43883	Jacuzzi girl #1
556812	47013	
556812	50359	
556812	120481	Joaquin's Vamp
556812	121834	
556812	122178	
556812	128554	
556812	197850	
556812	261289	
556812	295614	Ruth
556812	311162	
556812	329748	
556812	333834	
556812	360898	Herself
556812	369332	
556812	369907	
556814	360162	
556815	16677	Toots Sweet Band - Harmonica
556817	41620	
556818	239628	
556819	93821	Pagan
556821	39140	
556821	39237	
556821	39791	
556821	70459	
556821	97117	
556821	126667	Herself
556821	130285	
556821	221010	
556821	228021	Herself
556821	319346	
556821	319673	
556821	321218	
556821	350422	
556821	367849	
556822	6961	
556823	765	
556823	6728	Herself
556823	23469	Ananka
556823	30036	
556823	33945	
556823	47504	
556823	75060	
556823	81865	
556823	91667	
556823	93711	
556823	93990	
556823	106340	
556823	109517	
556823	110294	Brittany Sears
556823	132017	
556823	135522	
556823	228637	
556823	235119	
556823	310662	
556823	313363	
556824	8611	
556824	113658	Celebrant
556824	255659	
556824	322362	Dancers from the Lido
556824	322713	
556825	241502	Santiago's Girlfriend
556825	322713	Dancers
556826	24519	
556827	191755	Chubby
556827	232093	Kathy Boyd
556828	208470	Exercise Class Lady
556829	127104	Club Couple
556830	387490	Mrs. Fleming
556831	44080	Grandma Pruitt
556832	308317	Phyllis
556832	370532	Clara Matthews
556833	56087	Stewardesse
556833	168446	
556834	16897	Mrs. Gillespie
556834	65658	Nurse
556834	68940	Female Baggage Handler
556834	209638	
556834	233653	Sarah
556834	283497	Nurse Williams
556835	21198	Men's Ward Nurse
556835	80400	Terri Beaumont
556835	330262	Mrs. Rogers
556836	325904	Frau Bauer
556837	191426	
556838	300173	Shower Guest/Mourner
556839	5976	Aurora
556839	23377	
556839	27977	
556839	42653	
556839	55259	
556839	70313	Aurora
556839	80139	Madama
556839	103157	Rosa
556839	103760	Nora
556839	160518	
556839	162475	
556839	170057	
556839	205000	Ana
556839	217565	
556839	222379	
556839	223628	
556839	234363	
556839	234379	
556839	265147	
556839	281612	
556839	288326	
556839	292539	
556839	302376	
556839	326294	Coca
556839	335988	
556839	341881	
556839	352853	
556839	379900	
556839	383144	
556839	383291	Clelia
556839	392652	
556839	393803	Lucrecia
556839	399800	
556839	403366	Emilia
556839	403748	
556839	404712	Eloísa
556839	406051	Alba Esther Soto de Salvatori
556839	408204	
556839	409959	
556840	185255	Tatiana Obolenskaya
556841	376635	
556842	102227	Ulla
556843	26520	Claudia
556843	199025	
556843	244678	Old Speis Görl
556843	259536	
556843	259677	
556843	336510	Gesa
556843	392669	Eva Wiechert
556843	411347	Kathrin Neumann
556844	10484	
556844	171618	
556845	187556	Cordelia
556845	389359	Schwester Claudia (1994-1995)
556845	391294	Lotti
556846	325520	
556846	325897	Isolde Bothüter
556846	406321	
556846	408291	Frau de Santos
556847	336531	Zigeunerin
556848	17315	Nurse/Anita Berber
556848	170706	Dorothee Müller
556849	12889	Gast bei Eickhoffs Fest
556849	293874	
556849	316813	
556850	132413	Herself
556851	313395	Vulcan child
556852	252441	
556853	300173	Mourner
556854	398516	Juliana
556855	295556	Brenda
556856	82742	Vampire Woman 3
556857	86972	Poldi's secretary
556857	376011	Frau Neulinger
556858	14690	
556858	33154	
556858	52107	
556858	55451	Secretary
556858	56071	
556858	90777	Eva
556858	106228	Narrator
556858	214591	Nini
556858	222185	
556858	258229	
556858	285578	
556858	295096	
556858	308754	
556858	351966	
556858	380387	Valquíria Galvão
556858	381198	Carmem
556858	382690	
556858	383369	Maria
556858	383727	Hercília
556858	384303	Frau Herta
556858	385043	Clarice
556858	386017	Pamela
556858	387424	Marieta
556858	387804	Malvina Fontoura
556858	392611	
556858	393008	Isabella
556858	396126	Maria Cecília
556858	396886	Sônia
556858	397198	
556858	402539	Leonor Luchini
556858	404837	Aurélia Camargo
556858	405454	Nina Teixeira
556858	409898	Suzana
556858	412306	Clara de Olemberg
556859	34298	Cook
556860	232933	Nudist
556860	304540	
556860	309213	Inga
556860	359539	Sara
556861	290971	Erin Potter
556862	318687	Nurse Newman
556863	318408	Herself
556864	222790	Mother at Little League
556865	62953	Frau
556866	379978	Herself (eliminated 3rd) (200
556867	63081	Herself
556867	75717	Nationals commentator
556868	141399	Young Actress
556868	255353	
556868	294717	Courtney
556869	307649	Vicky
556870	175223	Chaya
556871	12378	Mathilde Ploderer
556871	241974	
556871	281700	Rosalie's Mother
556872	32440	Mumuu Woman
556873	294595	Led
556874	87414	Rollerskater
556875	188639	Anne
556876	404448	Alexandra Wilde
556877	369428	Additional Voices
556878	14153	Herself
556878	18746	
556878	34103	Renate Pfeffer
556878	86912	Susy
556878	87889	Tom's mother
556878	102603	Hilde Schneller
556878	124987	Ingrid
556878	126608	Rita Seidel
556878	178233	Joy Gastell
556878	188859	Karin Lindau
556878	189709	
556878	198416	Journalistin
556878	225285	
556878	226405	
556878	259445	Angela Broske
556878	259588	Liane Schuchard
556878	259653	Sonja Wilke
556878	259657	
556878	259665	
556878	259671	Helma Jonas
556878	259688	Grits Mutter
556878	264330	Annunziata
556878	272423	Königin
556878	285001	
556878	312641	Elke Schlüter
556878	325866	Ursula Weinkauf
556878	344684	Leona
556878	374625	Prinzessin
556878	380577	Renate Wiesner
556878	381294	Josi
556878	382030	Esther Schattmann
556878	390186	
556878	396970	
556878	399825	Gabrielle Thurau
556878	405307	
556878	411995	Brigitte
556879	363488	Diner Lady
556880	150598	Herself
556881	410390	Cotta
556882	400553	Veronica
556883	24402	Senay
556884	91033	Laura
556884	367181	Taddy
556884	404478	Maike
556885	68647	
556886	3007	Ruth
556887	179608	Lotte
556887	308232	
556888	37686	Girl Who Kicks Monster
556889	394920	Renan Sahim
556891	192172	Rosemary
556892	371719	
556893	35494	Eine Sirene/Ein Hawaiimädchen
556893	37756	Sie
556893	91139	
556893	184763	Esmeralda del Rio/Olimpia Vin
556893	199408	Madame X
556893	261147	Tänzerin
556893	326192	
556893	344356	
556894	4785	
556895	318644	Frances Wilson
556896	252925	Guest at Met
556897	23052	
556898	205975	Herself
556899	318644	Nurse Sophie
556900	8218	Mercedes
556901	20738	
556902	362037	Dancer
556903	241036	Herself
556904	192062	Baby Aaronson
556905	179840	Walburga Zeislmeier
556906	5086	
556906	17017	
556906	38841	Emerenzia Stich
556906	49274	
556906	49285	Walburga Hechenbichler
556906	93404	Babette
556906	102961	Hostess
556906	114329	Mutter
556906	120331	
556906	126135	Therese
556906	147154	Schneiderbäuerin
556906	164645	Resy
556906	173180	
556906	173980	Housekeeper
556906	178624	Mama
556906	179840	Walburga Zeislmeier
556906	188824	Olga
556906	189664	Gärtnerin
556906	189701	Kartoffelfrau
556906	208182	Frau Dillis
556906	231455	Paula
556906	259652	
556906	267117	
556906	288810	
556906	293534	
556906	301017	
556906	319736	Strickende Schwäbin
556906	322278	Else Armbichler
556906	325445	
556906	325918	
556906	338368	Gundula
556906	339065	
556906	352176	Carsten's Mother
556906	352314	
556906	358099	Anna Riegler
556906	361092	
556906	376134	
556906	377346	
556906	377347	
556906	377348	
556906	396613	Wirtin
556906	397765	
556907	176358	1934 Goldwyn Girl
556908	59706	Herself (soprano)
556909	169136	Child Chorus
556910	101942	Chapel Owner
556911	380430	
556912	301541	Young Woman
556913	47745	Landlady
556914	229538	Rebecca
556915	197185	Maria
556915	271254	
556916	77414	Chorus Girl
556917	70234	
556918	56180	Anita
556918	81709	
556918	108964	Mary McEwan
556918	160712	Catherine Reid
556918	274312	Lisa
556918	301693	Mrs. Packard
556918	308131	The Queen
556919	255289	Ashley
556920	154071	Old Man's Nurse
556921	44935	Isolda
556921	142929	Catherine Howard
556921	224343	Tamsin
556921	258930	Linnett Doyle
556921	387541	Camane
556922	2339	Wren
556922	52681	Old Mrs. Donnelly
556922	65968	Addie, the housekeeper
556922	85922	Queen Elizabeth
556922	195847	Doreen
556922	204021	Miss Larner
556922	238449	Theban Citizen
556922	250448	Old Lady in Home
556922	280179	Catriona
556922	282108	Alice
556922	292295	Annie
556922	335545	Grace
556922	363660	Catriona Macroon
556922	365937	Mrs. Bulstrode
556922	385299	Penelope Farrar (1984)
556922	404795	Gerda Christian
556923	10899	Coach Day's girlfriend
556923	99558	Santa's pretty helper
556924	128332	Dancer
556925	6889	
556926	223733	Pringle girl
556927	247032	People of the Night
556928	273942	Créature, la drag-queen
556929	360667	Author
556930	133342	The Girl
556931	197306	
556932	377792	Jerome
556934	37245	Herself - Media escort
556935	7547	Interior Decorator
556936	70557	Girl in Police Station
556936	86543	Emily's Friend
556936	261290	Waitress
556937	258607	
556938	21736	Kate
556938	75284	Vivian Lindford
556938	85872	Honey
556938	101778	Cindy Nash
556938	105144	Stella
556938	113275	Luan
556938	116128	'Perk' Murphy
556938	129218	Jeanne Fox
556938	130767	Bess McCartney
556938	139178	Gayleen Schoonover
556938	148010	Doris Blake
556938	163713	Lorna
556938	169435	Receptionist
556938	176415	Joan Cessna
556938	185297	Manny
556938	189238	Ellen 'Babs' Duncan
556938	191755	Ms. Bright
556938	195843	Lucille Carver
556938	208648	Susan Mackenzie
556938	210484	Kate Kelly
556938	215288	Claire Miller
556938	223803	June Grant (Mother)
556938	265873	Maureen Swan
556938	301792	
556938	307018	Margaret Lennox
556938	311744	Janey
556938	318673	Dusty
556938	333176	Mae
556938	346244	Billie Ruth Rowe
556938	360051	Billee Copperud
556938	394694	Mandy
556939	260406	Virtu
556940	134062	Alex
556941	33757	
556941	128481	Bertha Stanley
556941	363264	Richard's Sister, a Eugenic W
556941	363626	'Babe' Morris
556942	335319	Laurie
556943	182569	Maid
556944	11496	Priscilla Holt
556944	17997	Regina Hubbard
556944	26146	Carol Curtis
556944	45232	Bessie Jo Kirby
556944	48276	Ruth
556944	50290	Gloria
556944	53627	Herself
556944	62269	Glory Marlow III
556944	64713	Christine
556944	74092	Herself
556944	119490	Ann Abbott
556944	130809	Princess Shalimar
556944	133509	Dorothy Benjamin
556944	142298	Helen Morgan
556944	150847	Helen Pettigrew/Martha Forsyt
556944	174641	Katherine Standish
556944	176846	Sheila Carrson
556944	177609	Lady Mary
556944	177989	Marsinah
556944	211589	Sheila DeRoyce
556944	213820	Veda Pierce Forrester
556944	221068	Lenore the Mermaid
556944	241078	Marita Connell
556944	241542	Mrs. Landa Day/Narrator
556944	244932	Gail Macaulay
556944	274026	Lucy Bostel
556944	281841	Rose Marie Lemaitre
556944	286120	Sally O'Moyne
556944	291361	Herself
556944	304503	Connie Martin
556944	317349	Kathie
556944	321411	Marian Tyler
556944	332042	Valerie Carns
556944	335858	Conn McNaughton
556944	367733	Doris
556944	368410	Countess Marina Selanova
556944	372096	Herself
556945	307457	Crash Victim
556946	200150	Papagena
556947	72616	Sara
556948	113685	Young Fiona
556948	168289	Alice
556948	346345	Little Sister
556949	399018	Contestant
556950	89311	Madge Willis
556951	74014	Margaret Chadway
556951	183696	
556951	289456	Editorial Assistant
556952	4619	
556952	6791	Mrs. Buckley
556952	11321	Belle Foliot
556952	17543	Woman
556952	26775	
556952	27441	Mrs. Claire van Alstyne
556952	29497	Mrs. Stevens
556952	30122	Guest in Theater Lobby
556952	31933	Hebe Norse
556952	32264	Carol Thorpe
556952	32704	Mavis Fry
556952	46518	Sybil Russell
556952	46889	
556952	50040	Helen
556952	50225	Elena Clydesdale
556952	59444	Mille Garreth
556952	59616	Mrs. Manning
556952	60344	Lil Langdon Walton
556952	63273	Zahrat
556952	68787	
556952	69676	Princess Mirska
556952	73168	
556952	79102	Charmion Winship
556952	79439	
556952	79685	Mrs. Elmira Corkle
556952	82379	Mrs. Wharton
556952	87844	
556952	88831	Mrs. Darcy
556952	89866	Carrie
556952	95479	Corrinne Torrence
556952	96620	Paula
556952	96674	Mrs. Potter-Potter
556952	103780	Passenger
556952	105074	Mrs. Vandergrift
556952	107434	Countess Margherita
556952	109204	
556952	110416	Marcia
556952	112264	Lavinia Sardham
556952	112449	Caryl Rundlege
556952	116575	Mrs. Ridgeway (modern sequenc
556952	119379	Mrs. Potter
556952	123425	Elaine Huntington
556952	123881	Mrs. Davis
556952	128182	Mademoiselle Fanchon
556952	128377	Mrs. Parker
556952	128700	Mrs. Grey
556952	129552	Princess Fredericka
556952	132016	Mrs. Wainwright
556952	134047	Muriel Temple
556952	142298	
556952	143191	Diplomat's Wife
556952	146165	Lady Mary Thorne
556952	146303	Olympia Brewster
556952	147417	Wedding Guest at Piermont's
556952	147865	Herself
556952	149104	Mrs. Wilson
556952	149261	Bit Part
556952	150908	
556952	151716	Rosa Roma
556952	155018	Woman
556952	157747	Rita Sismondi
556952	159561	Next Door Neighbor Who Begins
556952	161468	Th Countess
556952	167528	Mrs. Van Belden
556952	167529	Mrs. Vacuum
556952	167530	
556952	168271	Mrs. Stafford
556952	171236	Floria Wheaton
556952	176321	Mrs. LeMoyne's friend
556952	177374	Lucille Bennett
556952	177610	Mrs. Clarence Langley
556952	187725	Mrs. Nichols
556952	188547	Frau Kohner
556952	192234	Eileen Murtagh
556952	193855	Mrs. Wells
556952	196295	Wife
556952	197765	
556952	197943	
556952	199739	Mrs. Brown
556952	203608	Barbara Le Moyne
556952	203799	Country Club Woman
556952	206355	Bit Role
556952	214075	Mrs. Gordon
556952	214936	Madame Gloria
556952	215276	Mrs. Butler
556952	215454	Edith Webster
556952	217984	Mrs. Ferris
556952	219975	Fan Baxter
556952	220046	Lady Fitzpatrick
556952	221035	Margaret Murray
556952	222578	Ann Randel
556952	223867	Lady at Ball
556952	231763	Helen Smith
556952	234681	Nanette Roland
556952	237994	Bunny Winston
556952	242110	Mrs. Vincent
556952	244938	
556952	245677	Madame Arnot
556952	252727	Lolita
556952	252850	Ursula Chesebrough
556952	254997	
556952	255828	Janet Prescot
556952	261558	Customer
556952	263117	Dowager
556952	266948	Agar
556952	269342	Queen of Sheba
556952	271230	Flower Buyer
556952	273858	Norma Selbee
556952	280959	Mrs. Parker
556952	288306	Miss Ellsworth
556952	289601	Innkeeper
556952	292470	Floor Manager
556952	295636	Herself (from Queen of Sheba)
556952	297869	Ayesha
556952	301740	Ruth Madison
556952	301967	Mildred Wayland
556952	302868	Mademoiselle Iris
556952	303146	Mrs. Farnsworth
556952	303297	Mrs. Wenham Gardner
556952	304502	
556952	306317	Julia Barry
556952	308079	Society Matron
556952	308592	Lady with Opera Glasses
556952	309921	Dolores
556952	310287	Mrs. Godfrey
556952	310722	Mary Whipple
556952	311412	Jean Bronson
556952	311866	Mrs. Baker
556952	313800	
556952	315125	Modiste
556952	324411	Hilda Howland
556952	330231	Officer's wife
556952	330516	Helen Van Dusen
556952	335069	Dolores Delight
556952	335884	Mrs. Lewis
556952	335952	Lady
556952	340671	Vera Delauney
556952	340967	Helen Frazer
556952	342154	Miss Hornblower
556952	342910	Mrs. Walker
556952	346245	Cissy Van Horne
556952	346248	Saleslady
556952	346251	Mariska
556952	361726	Mrs. Hanley
556952	362184	
556952	363274	Mrs. Cheston
556952	367919	Mrs. South
556952	371857	Woman reporter
556952	372898	May
556953	34385	Sandra Weston
556953	60186	Reporter #1
556953	85006	
556953	113485	Mrs. Ross
556953	131433	Barbara
556953	140515	Dr. Rebecca Palmer
556953	152910	Café Manager
556953	187251	Reporter #1
556953	191495	Elizabeth Miller
556953	248149	Gail Morgan
556953	292115	Sandra Wolf
556953	297558	Cyberwitch
556953	323592	Video camerawoman
556953	327060	Centra
556953	327061	Centra
556953	327062	Centra
556953	327063	Centra
556953	328263	Maria
556953	363414	Runway Model
556953	407588	Host
556954	16791	Ellie
556954	346345	Girl
556955	50932	The Girlfriend
556955	122686	Sophie
556955	387533	Marian Wilks (1987)
556955	394560	Sally Beamish
556955	394561	Sally Beamish
556955	396353	Jane Stoddard
556956	7982	Helene Pelletier
556956	80702	Eve Boychuk
556956	106224	Sylvia Riordan
556956	214078	Nurse Lena de Keyzer
556956	218581	Vielle dame (segment "Vue d'a
556956	221306	Actress in Mirror
556956	257369	
556956	288948	Gayle
556956	313562	
556956	350181	Anna Mueller
556956	350433	Marielle's Mother
556956	356314	Lady Virginia Milford
556956	359573	Lady Barbara D'Orsey
556956	377242	Rachel
556956	389116	
556956	398208	Helena Parrish
556956	398311	Katherine Valeur
556956	404613	Estelle Kendall (1986)
556957	195866	
556958	251190	Extra
556959	714	Yuppie Woman
556960	60341	Afton
556961	39743	Melba
556961	57945	Room Mate
556961	97030	Lynette
556961	145395	Rachel/Ruby
556961	145396	Ruby
556961	158909	Nell
556961	161753	Herself
556961	194238	Herself
556961	205851	
556961	254523	Groupie
556961	307383	Alex Prichard
556961	311209	Carrie Lonegan
556961	376141	Jennifer
556962	361611	
556963	99825	Iris
556964	256477	
556964	288141	
556965	69848	Lena Sanger
556965	184995	
556965	194581	Girl
556965	290965	Marion Melville
556966	10697	Dancer
556966	10700	Bat Woman
556966	81316	
556966	81346	Gloria Sternvirgin
556966	273944	
556967	171228	Linda
556968	152441	Mrs. Pink
556968	200865	
556968	208973	Comtesse de Versailles
556968	271611	Comtesse de Versailles
556969	32894	Miss Williams
556970	88808	Old Marfa
556970	90050	
556970	91195	Arina
556970	95598	Nikolay's mother
556970	162736	Dvoina
556970	177911	
556970	179705	
556970	180855	Krepysh's mother
556970	207115	Sapozhnikova
556970	207998	Ivan Galay's mother
556970	225884	Glagolev's wife
556970	235912	
556970	258658	Grandmother
556970	261329	Old Lukerya
556970	349247	Grandma
556970	350807	Zaychikha
556970	352870	Anna Markovna Kozelskaya
556970	357456	
556970	370934	
556970	374852	
556970	376221	Eliza de-Brien's mother
556971	335	Julinka
556971	87826	Anna
556971	151778	Olga Gorki
556971	151829	Anna Símová
556971	152869	Mrs. Bono
556971	172607	Majka
556971	222074	Zina Zachová
556971	229217	
556971	231140	Simtha
556971	250402	Chief
556971	263955	Lady in Waiting
556971	287258	Laila Ibrahaim
556971	308938	Honor
556971	357647	
556971	384085	Old Reverend Mother
556971	399130	Maria Ramsay (1985)
556972	213765	
556973	324499	
556974	222378	
556975	405968	Eva
556975	410091	Rosarito
556976	193503	
556976	236476	Molly Stevens
556976	301147	
556977	126243	
556978	170249	
556978	180443	Hanna, Iisakin tytär
556978	211434	
556978	234567	Selma
556978	236716	Jaana
556978	320385	
556979	96445	
556980	190745	Victoria
556981	71835	
556981	346454	
556982	187526	
556982	290521	
556983	250717	Blumenverkäuferin
556984	6641	Yasmina
556985	54024	(segment "Brache di San Grifo
556985	69369	Turci
556985	214009	
556985	268998	
556985	288243	Yu Pei
556985	311364	
556985	317401	
556986	404270	
556987	193907	Lin Jie
556988	362613	Anka
556989	374902	Big Sister An
556990	28992	Une invitée
556990	167233	Nena
556990	283035	
556991	108497	Loretta
556991	373160	
556992	271206	Screaming Woman
556993	67577	Shari
556994	147376	
556995	73286	
556996	281617	
556997	95008	
556997	103720	
556997	151804	
556997	250790	
556997	349936	
556997	351833	
556997	380947	
556997	392985	
556997	403683	Clara
556998	311703	Herself
556998	406731	Herself (Martin's Partner) (S
556999	324502	Dancer
557000	231537	
557001	74014	Judge Kirchner
557001	149965	Sally
557001	172666	Receptionist
557001	195365	
557001	220778	Receptionist
557001	330559	Jenny
557002	390523	Anita Unsworth (1980-1984)
557003	97727	Neighborhood Extra
557003	265101	6th Grade Mother
557004	200159	
557005	240673	
557006	368092	Shanay
557007	44596	Danseurs
557007	107185	
557008	359185	Herself (Quaker peace activis
557009	10833	Traci
557010	115179	Reporter
557010	230512	Wayne's Mother
557011	1381	Herself
557011	23897	Lorelei Knight
557011	29862	Roxalanne de Lavedan
557011	36957	Singer
557011	54706	Herself
557011	64413	Elizabeth Cheney
557011	73935	Mary
557011	79820	Jane Maynard
557011	85818	Tillie
557011	105625	Margaret Rathburn
557011	115709	
557011	127728	Clothilde Kingsley
557011	133709	Diony Hall
557011	202720	Helen von Linden
557011	210646	Mary
557011	242090	Thyra, Princess of Svendborg
557011	254542	Woman in audience
557011	266102	Fernanda
557011	274455	Lisa
557011	297921	Joan
557011	301587	Barbara Jane
557011	302886	Penelope Stevens
557011	306493	Beth Marsh
557011	309581	Remember Steddon
557011	312323	Lady Diana Kerhill
557011	316329	Jean McPherson
557011	327223	Nurse Norma Dale
557011	331327	The Miller's Wife
557011	331687	Rena Fairchild/Sydney Fairfie
557011	340731	Ethel Parry
557011	341921	Mary Vertrees
557011	350504	Amelia Sedley
557011	360181	Rosamond
557011	365053	Joan Converse
557011	366121	Mary
557011	367835	Helen Fields
557011	391836	Herself
557012	229538	Mrs. Roberts
557012	326451	Blondie
557013	13998	Maid
557013	31277	Belgian woman volunteer
557013	46769	
557013	65847	Woman Patient
557013	67920	Nun
557013	110965	Mrs. Gomez
557013	154110	Maid
557013	170378	Saleslady
557013	221296	Georgette Beauclaire
557013	254528	Camille's Mother
557013	300864	Mrs. Willoughby
557013	334189	Maria's mother
557013	353362	
557013	408057	Mrs. Fisher
557014	28751	Mrs. Quail
557015	29941	Mrs. Blake
557015	40615	Mrs. Sandell
557015	44698	The Foreman's Wife
557015	45933	Mrs. Murdock, Verna's Mother
557015	47722	Woman in cabin
557015	73225	Mrs. Kate Neal
557015	92218	Mrs. Kruger
557015	121370	Mrs. Roberts
557015	128376	Margaret Sinton
557015	135917	Marjorie Camp
557015	148298	Mrs. Prouty
557015	150454	Minnie
557015	150935	Nurse Ledwidge
557015	177459	
557015	183738	Amelia Tuttle
557015	190468	Bonita
557015	201007	Mrs. Morley
557015	212745	Michael O'Halloran
557015	214574	Leonie Davis
557015	215865	
557015	219980	The Shorter Daughter
557015	230605	
557015	239627	Dorothy Gorman
557015	241865	Molly's Mother
557015	248836	Mrs. Rogers
557015	252112	Mrs. Palmer
557015	252296	
557015	256426	Mrs. Salter
557015	271147	
557015	274262	Polly Fleming
557015	279436	Martha Dixon
557015	289550	
557015	303256	
557015	305969	Tuscan Annie
557015	309040	
557015	310814	Widow Lucian
557015	328784	
557015	330489	Mother McDowell
557015	331423	Mrs. Darrell
557015	335242	Mrs. Smith
557015	337113	Mrs. Sprowl
557015	339407	Timid Juror
557015	342973	
557015	343208	The Dancer
557015	354500	His Wife
557015	359516	
557015	363494	MarthaBeecher
557015	364453	Housekeeper
557016	111557	Farmor/Grandmother
557016	304377	
557017	171797	Een hospita
557017	394155	Vrouw in winkel
557017	394612	Tante Koos
557018	409983	
557019	253228	'HMS Pinafore' cast member
557020	293812	Selkvinnen
557021	58175	Barbie Doll #3
557021	262092	Reporter #3
557023	202619	Shapely Blonde
557024	28573	
557024	274079	Tongue-Tied Dancer
557024	390523	Mrs. Bassinger (2003-)
557025	138558	Dew Fairy
557026	195004	Alberto D'Avila
557026	266440	
557027	401882	Participante
557028	204042	
557029	71192	
557030	353573	Rebeca
557031	194780	Girl
557032	132032	Interpreter
557032	216587	Sena Hrle
557033	12091	
557033	47393	
557033	375354	Ela
557034	54996	Dvorska dama
557035	113857	Margo
557035	379071	Joanna Peabody
557035	400714	Diana
557036	253058	Dawn
557036	292307	Waitress
557036	353307	Dixie
557037	367964	Student
557038	168695	Lana
557038	399689	Mary Cook (1993-95)
557039	171170	
557039	252390	
557039	255452	Child
557039	257461	
557039	379831	D C Dancer (1989)
557039	410830	Gigi
557040	123103	Eleni Glaros
557040	408643	Herself (2001)
557041	345298	Cleaning lady
557042	94	Meg (Tourist)
557042	65681	Wilma
557042	73612	American Lady
557042	89387	Connie
557042	97463	Mabel
557042	99281	
557042	118995	Surgeon
557042	320096	Mrs. Haines
557042	402197	Judy Bryant (1980-1985)
557043	93115	Attendent
557043	200793	Meruru Sheckle
557043	238788	Aruko
557043	342677	Tutor (Sex'tra Credit segment
557043	373360	Miyuki
557044	339390	Herself
557045	249579	Venus
557046	4318	
557046	17633	
557046	98521	
557046	98529	
557046	143443	
557046	207382	Nain-Tara
557047	26394	Anne
557047	32089	Sarah Morris
557047	44450	Suzanne Kovic
557047	49734	Marta Stern
557047	61761	Anne
557047	68070	Laura Metcalf
557047	113507	Debi
557047	115739	Herself
557047	138683	Rhonda
557047	170980	Ticket Agent
557047	219979	Anne
557047	232357	Lori Desinger
557047	255169	Mona
557047	362407	Tallasse Tynan
557047	384961	Officer Vicki Quinn
557048	159196	Cherna baba
557048	335461	
557048	371694	
557049	13626	Woman 1
557050	148258	Tenant at Meeting
557051	46532	Meditation Student
557052	1468	Herself
557052	58893	
557052	87984	Herself
557052	87985	Herself
557052	87986	Herself
557052	145641	Herself
557052	155279	Herself
557052	155285	Herself
557052	155286	Herself
557052	236958	Clara
557052	335606	Herself
557053	196084	Jeanine
557054	1567	Vickie
557055	170359	Mathilde
557056	313208	Xchagger
557056	347537	
557057	32842	Kims Datter
557057	392098	Sille
557058	33254	Carina
557058	180222	Postal clerk
557058	213430	Karin
557058	320406	Nurse Vera
557058	390151	Josefins mamma
557058	403167	Bettan Mjunstedt
557058	405825	Woman in Crisis
557059	1146	
557059	7580	Johanne
557059	7781	Hanne
557059	17431	Linda
557059	27666	Mille's Mother
557059	32842	Kims Kone
557059	51134	Connie
557059	59596	Selskabsdame
557059	89975	
557059	117458	Jossi
557059	125376	
557059	128935	
557059	143219	Ung kvinde
557059	172654	Susanne
557059	344672	Astrid
557059	358464	
557059	392098	Anette Bak
557060	347710	
557061	68369	Monica
557062	17120	Jelenka
557062	86734	Tetka
557062	92356	G-dja Draga
557062	180470	
557062	181174	
557062	227764	Spirinica
557062	230061	
557062	248613	
557062	251128	
557062	260287	Sida ... popadija
557062	266261	Vracara
557062	305526	
557062	314651	
557062	386526	Stara
557063	405705	
557064	197105	Jugoslava Hadzu
557064	232599	Bliznakinja II
557065	49738	
557065	132073	
557065	169554	
557065	249733	Strazarka
557065	288346	
557065	303115	Radmila ... inzenjer
557065	337533	
557065	394110	Mosina komsinica
557065	395832	Sekretarica direktora
557066	81509	Herself
557067	232599	Bliznakinja I
557068	389511	Penelope Granville
557068	403348	Jo
557068	406468	Various Voices
557068	409112	
557069	401595	Herself
557070	234299	
557071	244716	
557072	97438	Child
557073	76989	
557073	84426	
557074	87611	Jitka
557074	259128	Musician
557074	271845	Herself
557074	370856	S.B
557075	408425	Sally
557076	29745	Ricky's Girlfriend
557077	120856	
557078	219498	Madame Laroche
557079	380332	Lina
557080	317865	Marie
557081	164897	
557082	161948	Prostitute
557083	233617	
557083	234796	
557084	35893	Herself
557084	59302	Herself
557085	256407	
557086	13971	Girl in Food Bank
557087	15886	Bechmetieff
557087	132326	Genrarme
557087	153995	Proprietor (Troika)
557087	360900	Mayor
557088	91936	Body Double
557088	158882	Princess Marita
557089	253514	Performer
557090	239238	
557091	165032	
557091	202571	Anna Kwilecka
557091	259479	
557092	236300	Chica 2
557093	236300	Chica 1
557094	313059	Mayor's Wife
557095	97167	Margherita
557095	157786	Wanda
557095	159536	
557095	178594	Zuzana
557095	215123	Elena
557095	230051	Princess Pavlina
557095	245802	Emma
557095	246400	Emilia
557095	264241	Natalia
557095	274894	Maria
557095	287013	Dinah
557095	301128	Azzurra Rispoli
557095	310946	Valeria
557095	384343	Christine Barlow
557095	385275	Rachel
557095	390753	Giulia
557096	356075	Kajka
557097	101322	Asi
557097	120039	Nele
557097	120057	Astrid Jakob
557097	138123	Merle
557097	223477	Rena Zardiss
557097	272822	Klara
557097	325676	Anne Walter
557097	352534	Lena
557097	374333	Christel Hilfers
557098	225808	
557099	137121	
557100	135346	La Madelon
557100	212151	Eve Fugeres
557100	377937	Anaïs
557100	397943	
557100	397944	
557100	401549	Lyne Chabrol
557101	128594	Marisol
557101	298284	Betty Bonhauser
557101	312092	Giggles
557101	363948	Girl In Fight
557101	378956	Herself
557102	349462	Delegada
557103	160137	
557104	341	Lída
557104	8695	
557104	131029	Brana
557104	196818	Lída
557104	198227	Jana
557104	261466	Messalina
557104	264229	
557104	266464	Vera
557104	266643	Queen
557104	270717	
557104	327205	
557104	343439	Ria Amala
557104	357947	
557104	374127	Bludimíra, witch
557104	374284	Vicky
557104	383082	Maxmiliána
557104	383856	Chairman's little daughter
557104	387031	
557104	396134	Frieda
557104	410338	Marketka
557105	185420	Nightclub singer
557106	297937	Rachel's Girlfriend
557107	337974	
557108	31327	Foxy Boxer
557109	66213	
557110	84536	
557111	115178	
557111	167559	Mrs. Simpson
557112	193561	Sofia
557112	225490	Pabtalis
557113	76381	
557114	195702	Couple drenched by water wago
557115	397359	Angelina (Italian version)
557115	403208	Antoinette "Tony" Dubois (Ita
557115	411885	Rubinia
557116	104744	French entry (1st place)
557117	380	Connie Briscott
557117	440	La lavandaia
557117	6276	
557117	6859	Caroline de Coyne
557117	18894	Suzanne
557117	48970	Paola
557117	53942	Ismene
557117	56360	Delia
557117	57340	Baroness
557117	69213	
557117	74883	Sara Salina
557117	79747	Mary Magdelene
557117	84378	Sandy Bronson
557117	86104	Adult Sandra
557117	102236	
557117	107282	
557117	111748	
557117	113682	
557117	128024	
557117	143525	Athena
557117	157302	German lady
557117	160556	Lisa Morrel
557117	162993	Madamoiselle
557117	182005	Sangarre
557117	196718	Madre di Marco
557117	198905	Livia
557117	208794	Redheaded prostitute/The 'sai
557117	234507	
557117	235327	Moglie di Domenico
557117	238019	Barbara Bates
557117	252652	Giovanna Micheli
557117	259697	Maria
557117	259721	Sandra
557117	269712	Carlo's mother
557117	272369	Elena
557117	276505	Amelie
557117	280750	Olga
557117	295180	Sara
557117	306241	Lorraine Borman
557117	311818	Assunta
557117	316844	
557117	328045	Vicky Gleason
557117	338321	Elda
557117	338699	Mady
557117	344601	Germana
557117	346562	Dora Cooper
557117	382054	Florence Marlieux
557117	384668	
557117	384933	
557117	387644	
557117	392738	Tilly Nardi
557117	392739	Tilly Nardi
557117	392740	Tilly Nardi
557117	392741	Tilly Nardi
557117	392742	Tilly Nardi
557117	392743	Tilly Nardi
557117	396966	
557117	397914	Giovanna
557117	401511	Marta
557117	402781	
557117	403447	Giovanna
557117	404017	Fatima
557117	404115	Giovanna Waldegg
557117	404686	Jasmine
557118	38845	
557118	78247	
557118	269005	
557119	86086	Ella
557119	193022	
557120	197179	
557121	49026	Ciro's singer
557122	105318	
557123	226938	Mother Theresa
557124	410999	Host (2002)
557125	256815	Contessa's Son
557126	247885	
557126	261850	
557127	221737	Gente de carnaval
557128	213324	Dwarf
557129	293574	
557130	67932	Crista
557130	204166	Susie Hacker
557130	235338	
557130	385419	Marina Sensi
557130	386748	
557130	403363	Veronica Gianfelice
557131	278707	Maud
557131	396513	Host
557131	399501	Herself
557131	402590	Host
557132	306911	
557133	331150	Helen
557134	338981	Herself
557135	193060	
557136	31637	Bikini Audition Girl 3
557137	237529	
557138	394620	
557139	135756	
557140	289864	
557140	294370	
557141	159961	
557142	352058	Julia
557143	37781	Prudence
557143	218808	Blonde Beauty
557143	412266	L'interne
557144	244099	Prof. Bajkowska
557145	202436	Zora
557145	312442	
557146	98639	
557147	103565	Maykata na Liza
557147	147042	Lelia Vasilka
557147	174677	
557147	202182	Sanitarka
557147	324427	Mayka
557147	350252	
557148	153859	
557149	376229	
557150	376217	
557151	157301	
557152	100726	Mrs. Smith
557153	102528	Sandy
557154	109970	Vanina
557155	86232	Daro
557155	271847	
557156	285031	Sister Teresa
557157	236160	
557158	17120	Krstinica
557158	72093	
557158	75695	
557158	139811	
557158	181942	
557158	221348	
557158	266751	
557158	341450	
557158	404036	
557158	409710	
557159	124704	Mexican Woman
557159	254488	Dancer
557160	6118	Karin
557160	50797	Anja
557160	92542	
557160	100923	
557160	155431	Tini
557160	159608	Elsa Sörmland
557160	242775	Kris Mertens
557160	302056	Silvia
557160	325717	Ira Berg
557160	338392	
557160	388640	Lisa Schneider
557160	400353	
557160	400353	Kris Mertens
557161	62422	Rebecca
557162	112816	
557163	411929	Angie
557164	83329	Mum
557164	137568	Pauline
557164	196902	Hotel Hospitality Lady
557164	208445	Paula
557164	222636	Caroline Fuhrman
557164	294249	Marty McKlean
557164	301700	Anita Young
557164	313626	Sasha
557164	320040	Joan
557164	375757	Anne/Novan Anne
557164	392000	Kimberley Tate
557164	399130	Rachel Bailey (2000)
557165	94477	Wanda
557165	117136	Penny, Brad's Secretary
557165	294717	Bloomingdale's Saleswoman #2
557166	342918	Julianne
557167	173121	Girl in bar
557168	168948	Townsperson
557168	184913	The Rumor Weed, Madame Bluebe
557168	351208	Penelope
557168	351211	Miss Kitty (Madame Blueberry)
557169	125184	Erica
557170	270773	Floozy
557171	109971	Nurse
557172	316551	Ilona
557173	386339	Sophie
557175	127642	Anette
557176	44599	M
557177	33454	
557177	136086	Linda
557177	256536	
557177	259593	
557177	356909	
557177	388640	Esther Schäfer
557178	264231	Terinka
557179	34917	Waitress
557179	128782	Herself
557179	257648	Herself (Miss January)
557179	257837	Herself (Miss May 1990)
557179	296352	Herself
557179	336479	Lillian Tucker
557180	144452	NIT Journal #1
557181	94239	Manu Bazin
557182	253520	
557183	32270	Docteur Sandberg
557184	58565	
557185	65602	Karen
557185	330588	Popular Girl #1/Dancin' Diva
557186	16965	
557186	17555	Railway Worker's Wife
557186	58358	Mamika
557186	74455	
557186	110702	
557186	153963	Gerencsér Istvánné, Anna
557186	161682	Székely néni
557186	163123	
557186	175753	
557186	182693	Lublói asszony
557186	201967	
557186	207584	Old Widow
557186	246974	
557186	251976	Griffné
557186	254518	1st Cleaning Lady
557186	284581	
557186	322199	
557186	348999	
557186	357819	
557186	357943	Rendõrnõ
557186	388279	Grandma
557186	399860	
557186	410513	Frau Lüttichau
557186	412078	
557188	171797	Eerste winkeljuffrouw
557189	243170	
557190	255557	
557191	179643	
557192	304427	Pige udenfor en bar
557193	25796	Mariasun
557194	18550	Heather Evans
557195	200208	Citizen of Pekin/Ensemble
557195	318390	Doris
557195	340669	Ms. Willow
557196	165498	Dancer
557197	82644	
557197	347194	Herself
557198	79655	Herself
557199	351744	Little Julia
557200	354456	
557201	231850	
557202	341855	
557203	94352	Sabrina
557204	7426	Sekretärin
557204	34354	
557204	293561	
557205	57243	
557206	55626	Girl In Locker Room
557206	119436	Female Counselor
557207	169136	Child Chorus
557208	105196	Disney Secretary
557209	11623	Regieassistentin
557210	9883	Bowie's man
557211	316550	Ärztin im Chefarztzimmer
557212	842	Rose
557212	390417	Herzogin von Osuna
557212	406730	
557213	102881	
557213	248540	
557213	376165	
557214	263174	Girl in desert
557215	221756	Gemela terminal
557216	221756	Gemela terminal
557217	271282	
557218	32383	Receptionist
557218	34622	
557218	105352	
557218	403084	Elin Hagberg (1995-1996)
557219	220128	
557220	28035	Dark
557221	320617	
557222	301700	Tammy Holden
557223	22732	
557224	341646	
557225	232203	Anne Barron
557226	109093	Cashier
557227	104045	Kathryn, make-up girl
557227	277258	Abby
557228	170398	Trauernde
557228	193901	Paula
557228	409963	Annika
557229	269954	
557230	240298	Soizig
557230	339226	La fiancée de Patrick
557230	383864	Rose
557232	290830	
557233	456	
557233	24323	Guido/Flora
557233	34524	Grit
557233	102159	Angela Baufeld
557233	115975	
557233	134986	Mutter
557233	140205	Hannelore Ullrich
557233	163753	
557233	173704	Karin
557233	177752	
557233	178784	Christl Hauschild
557233	195045	
557233	214717	Franziska
557233	231465	Liese
557233	259530	
557233	277318	
557233	301033	
557233	302046	
557233	302683	Die hochmütige Prinzessin/Arr
557233	308255	
557233	314716	
557233	324792	Traute
557233	325958	
557233	353993	Beatrice
557233	359657	Viola
557233	361417	
557233	387752	Inge
557233	394086	
557234	99940	Stripper
557235	71623	Nishka
557235	87281	Dirty dancer
557235	196342	Mistress Olga
557235	213097	
557235	216737	Dancer
557235	315960	Tania
557236	117162	Awards Dinner Dancer
557237	261976	Tracy
557238	286624	Giuliana
557239	24616	
557239	86428	Eva
557239	136496	
557239	261756	La patronne du salon
557239	333689	Colette Dupre
557239	386476	Rita (segment "Double fond")
557240	152676	La vendeuse joyeuse
557241	147980	Cult video reporter
557242	10305	Swimmer
557243	27597	Interviewer/Speaker
557244	104526	Mrs. Des Grassins
557245	70422	Lady
557246	87460	Nurse
557247	308632	
557248	352031	Luzie
557249	53256	Herself
557249	69380	Laurette
557249	336968	
557250	6585	Dancing guest at the ball
557250	10211	Mrs. Karlsson
557250	11780	Woman in Shelter
557250	28319	
557250	29345	Mrs. Olsson, wardrobist at Ku
557250	29560	Woman
557250	42954	Woman in window
557250	47176	Sofi
557250	84297	Mrs. Askeryd
557250	88393	Court Spectator
557250	94450	Speaker
557250	95273	Beata, housemaid
557250	95829	Woman in milk store
557250	101639	Tilda
557250	101640	Tilda
557250	108975	Ms. Lundbom
557250	109122	Miss Alm
557250	109132	Waitress
557250	109976	Hat check girl
557250	109977	Woman in the stairs
557250	114961	Mrs. Andersson
557250	115388	Waitress at Klara Källare
557250	115390	
557250	115391	Dücker's cook
557250	115426	Ethel, waitress
557250	115879	Dancing Restaurant Guest
557250	116018	Mrs. Lundgren
557250	116456	Waitress at the inn
557250	120138	Woman at Kvinnogillet Dinner
557250	120139	Mrs. Gustafsson
557250	120922	Woman in the village
557250	121019	Augusta
557250	122462	School janitor's wife
557250	127569	Lova, housemaid
557250	129267	Telegraphist
557250	142729	Prostitute
557250	143995	Innkeeper
557250	148820	Mrs. Jansson
557250	149488	Woman with dog
557250	150660	Hilda Jansson
557250	154565	Tyll-Stina
557250	164781	Karin
557250	165613	Mrs. Nyberg
557250	172784	Mrs. Bodell
557250	179918	Banck's cook
557250	182257	Berra's mother
557250	182288	Woman
557250	184585	
557250	190821	Member of 'Kvinnogillet'
557250	190822	Mrs. Bladh
557250	192928	Emma, Olsson's maid
557250	193390	Maid
557250	202774	Sales Clerk
557250	209311	Waitress, 1916
557250	228382	Alma Månson
557250	240312	Waitress at the railway stati
557250	268338	Gunda Fredriksson
557250	268343	Mrs. Erikson
557250	270952	Hat Check Girl
557250	272512	Mrs. Andersson
557250	272642	Cook
557250	272755	Customer
557250	276138	Woman Cashier
557250	286877	Woman at party
557250	288307	Sjökvist's wife
557250	289783	Cleaning lady
557250	302152	Woman in Square
557250	303644	Sofia Pang's Secretary
557250	303647	Radio listener
557250	304161	Washing-woman
557250	304425	Peasant woman
557250	305519	Farmer's wife
557250	306380	Maid
557250	307533	Housemaid
557250	307760	Signe, housemaid
557250	308194	Woman in window
557250	308802	Waitress
557250	309148	Church Visitor
557250	312022	Mrs. Johansson
557250	312224	Mrs. Adolfsvärd
557250	315352	Hedda, Kirsewetter's cook
557250	315373	Ms. Knarring
557250	315549	Woman
557250	320583	Cleaning woman
557250	320608	Woman
557250	322271	Anna, bather
557250	322312	Cleaning-lady listening to Ca
557250	322420	Maid
557250	324807	Cleaning woman
557250	333046	Guest at Marta's birthday par
557250	334039	Lisa, maid
557250	338729	Lady
557250	343471	Greta, maid
557250	346967	Anna
557250	348501	Mina, waitress
557250	350397	Woman on mr. Håkansson's room
557250	353038	Mrs. Blomgren
557250	355638	Tenant at Själagårdsgatan
557250	357804	Girl in Shop
557250	377324	Woman
557250	377417	Tilda
557250	377418	Woman
557250	377423	
557250	377427	Astrid Svensson
557250	377437	Astrid
557250	378273	Selma Boman
557251	357612	Florist
557252	48001	Policewoman
557252	182302	Policewoman
557253	84299	
557253	357805	Bettan
557254	208199	Mara
557254	339807	Queen Tenefi
557255	388320	Diana Russell
557256	87504	
557257	291584	(segment "Rampe, La")
557258	271884	Voisine
557259	290449	
557260	402345	Hannah Hansen #1 (1999-2000)
557261	402345	Hannah Hansen #1 (1999-2000)
557262	56871	TWA Ticket Agent
557262	237783	Wedding Guest
557263	380008	Herself
557264	251190	Extra
557265	89837	Old lady
557265	181130	Mrs. Rovlund
557265	193390	Lola, actress
557265	198265	Teacher
557265	275590	Actress
557265	289783	Speech teacher
557265	402881	Socken-Klara
557266	359431	Harem Girl
557267	74463	
557268	301701	Pip
557269	143628	Amanda Fielding
557269	143742	Woman at TV Station
557270	113063	Zsuzsa Magyar
557271	147507	Klientin
557271	160114	
557271	290534	Senior #3
557272	7420	Alexis
557272	34838	Susan
557272	57747	Manny
557272	83460	Kate
557272	120195	Maddy
557272	128696	Susan
557272	153009	Tara Wexford
557272	213262	Southern Woman
557272	215251	Miss Smith
557272	265876	Coby
557272	295720	Queen Mummy
557272	295725	Melissa Grogan
557272	295726	Crystal
557272	396102	
557273	307516	Lady Jane
557274	40836	Girl
557275	224341	
557276	92181	FBI agent
557277	130576	Ewa
557278	11069	Eszténa anyja
557278	17525	
557278	43108	
557278	43110	Gizi
557278	50840	Kati
557278	79346	Nicole
557278	99559	Narrator
557278	103051	
557278	112911	
557278	137750	Mária
557278	140061	Erika
557278	155795	Bitmanné
557278	162974	
557278	182696	Béla's Mother
557278	198210	Borika
557278	205822	
557278	213394	Teréz
557278	227534	
557278	261204	
557278	312520	A bratyó felesége
557278	322126	Flaksza Erzsi
557278	322245	Öcsi, Bóna elvált felesége
557278	324097	
557278	333800	
557278	343751	Varga Irén, pszichiáter
557278	348999	
557278	357732	
557278	378116	Utcalány
557278	378300	
557278	404025	
557279	21416	
557279	57530	Rose
557279	307473	Annie, age 14
557280	357991	Lady Jogger
557281	46568	Woman
557282	110700	Amerikai lány
557282	225075	
557284	304168	Zsófi 2 évesen
557285	214863	Lollo
557286	138862	
557287	28153	
557287	360251	Nurse in Luxembourg
557288	93627	Hoer 5
557288	133090	
557288	344238	
557289	377362	
557290	326248	Irinka
557291	118034	
557291	367765	Milla/Statue Priestess #2
557292	298239	Mrs. Stafford
557293	2266	
557293	6725	Herself
557293	26073	
557293	87322	
557293	140463	
557293	147617	Holly
557293	147626	
557293	170440	
557293	179003	
557293	198514	
557293	209747	
557293	241619	
557293	307918	
557293	319892	
557293	335580	
557294	206219	
557295	254485	
557296	30071	
557297	371289	
557298	34267	Johanna
557298	115426	Unmarried woman
557298	115431	Woman in court
557298	142760	Fridolf's mother
557298	173188	Loffe's mother
557298	173201	Old woman at bed
557298	307222	Wife of Reverend Lundgren
557298	357773	Erik's landlady in Uppsala
557299	182694	Nászutas
557299	255856	
557300	322108	
557301	236972	Scrim Mouse
557302	389138	konfirmant
557303	57443	Girl
557304	29626	
557304	201274	Maida/Majidas
557304	295131	Mrs. Heins
557304	387445	
557304	409799	Catherine
557305	347700	Elisabeth
557306	75370	Hoxie Twin
557307	75370	Hoxie Twin
557308	105412	Radio News Broadcaster
557309	404448	Antje van Rheeden
557310	16560	
557310	31400	
557310	49611	Lehrerin
557310	140770	Jutta
557310	259572	
557310	259630	
557311	400217	Ruby Moret (1998-1999)
557312	93023	Ripley Bates
557313	329513	The Stranger
557314	195455	King Child #2
557315	145346	Helena
557315	347794	
557316	72688	Becky
557317	206831	Candy
557318	212097	Working woman
557319	30582	Felons Cheerleader
557319	32466	Cheerleader
557319	45237	Laker Girl
557319	66286	St. Francis Cheerleader
557319	329311	Heavenly Dancer
557320	190399	Mother
557320	320266	State Trooper
557321	84432	Jill Trankas
557321	291100	Beth
557322	176321	Acrobatic dancer
557322	321522	Mabel
557323	146854	Magda, a camp girl
557323	149952	Hostage
557323	177988	Handmaiden
557324	197081	Maureen Class
557325	127255	Young Woman on Crutches
557326	60205	Herself
557327	346251	Jack Duncan, Jr.
557328	295114	Herself
557329	290110	
557330	175621	Sister
557331	175621	Concubine
557332	290214	Kaja
557333	205166	Drunk in Bar's Daughter
557334	325888	Frau Graefe
557335	167070	
557336	94817	Aline
557337	178189	Cancer Corpse, a Cadaver
557338	84230	Shower Siren
557339	390242	Nina Sanders (#4, #15) (1997-
557340	164164	
557341	390242	Christie van Catenbrughe (199
557342	70504	Herself
557342	78267	Herself
557342	78268	Herself
557342	78480	Herself (performing 'Piano')
557342	109123	Herself - Singer
557342	130190	Herself
557342	311727	Herself - Performer
557342	314989	Herself
557342	351368	Herself
557343	53140	Cykelpige
557343	64645	Herself/Various roles
557343	175603	Herself
557343	181152	
557343	181736	Tøjekspedient
557343	268213	Josefine Brahe
557343	304361	
557343	323399	Blonde
557343	379775	Josefine Brahe
557343	379776	Josefine Brahe
557343	379777	Josefine Brahe
557343	390857	Hofdamen
557343	402499	Josephine Brahe
557344	403724	Herself - Designer (2003-)
557345	179972	Herself - Minister of Food, A
557345	376108	Herself
557347	410849	Manga
557348	7142	Angel
557349	342401	
557350	160238	Stefanie
557351	317094	
557352	78496	Herself - Choir
557353	204133	Extra Student
557354	87979	Secretary
557355	135812	Autograph Girl
557356	15142	Friend of Alkmene
557356	174824	
557357	63004	Brandy
557357	207837	Sherri
557357	232460	Amanda Kreuger
557357	269045	Ivan Joad
557357	299669	Nun
557357	312924	Carol Reimers
557358	381821	Ensemble (1979-1980)
557359	175241	
557360	359816	
557361	128013	
557362	8053	Ineke
557362	390242	Betty Kroone (1994)
557363	248071	Karin van Dam
557364	6089	Cinta's mother
557366	405833	
557367	381867	Betsy (2000-)
557367	410853	Eva
557368	6623	Yvette
557368	30353	Flora
557368	43642	La femme névrotique
557368	57282	Toussaint's admirer
557368	83349	
557368	158938	La fonctionnaire du RMI
557368	225768	
557368	251019	Une des 'Jeannes'
557368	264525	Recidiviste
557369	30353	Mlle Suzanne
557369	251019	Une des 'Jeannes'
557370	197378	Iseult
557371	281937	Mrs. Fountain
557371	314893	
557372	380882	Lotte (1996-)
557372	380883	Lotte
557373	90219	Quack Woman
557373	252078	
557373	334679	
557374	255108	
557375	14241	Teacher (911 call)
557376	209355	Additional Voices
557377	345907	
557378	226299	
557378	250422	Wife of Poerstamper
557378	272665	
557378	352299	Annelies
557378	356107	Verpleegster
557378	359816	
557378	368048	
557378	398429	Aavje Wilde
557379	93359	Other voices
557380	379504	Herself (Customer Service Sup
557381	143988	Alice
557382	386987	Various Characters
557383	82166	Vrouw in de overgang
557383	157767	
557383	281148	Nel
557383	301785	
557383	387921	
557383	389126	Pauline de Metz
557384	277098	Richelle Darlington
557385	374008	Witwe Browe, Zimmermeisterin
557386	389118	Herself - Business Astrologer
557387	409851	Mirja Kujansuu
557388	12513	Kokkepigen
557388	23507	
557388	90167	Fru Hansen
557388	95001	
557388	108955	
557388	117585	Påklæderske
557388	122596	
557388	138570	
557388	153101	Gæst hos pastorinden
557388	154236	Pensionatsværtsinde
557388	168578	Stuepige I pensionat
557388	214366	Fru Edel Andersen
557388	214370	Edel Andersen
557388	214371	Fru Edel Andersen
557388	214372	Edel Andersen
557388	275265	
557388	315058	
557388	322476	En bondekone
557388	324329	Tantens sekretær
557388	399892	Receptionist
557389	391492	Host
557390	93622	Cora Corelli, operaster
557390	178697	
557390	181168	
557390	211481	Janekee
557390	241210	Getuige
557390	242411	
557390	356097	
557391	178451	
557392	220587	Lauren
557392	267111	Mountain girl
557392	333366	Kate
557393	259740	Caro
557394	175241	Kees' Classmate
557395	259556	Haushälterin
557396	104779	Belgian entry (22nd place)
557396	384154	Herself
557396	387953	Herself
557396	387954	Herself
557396	407173	Herself (1997-2001)
557397	105172	Mr. B
557398	360795	Profster
557399	309076	
557400	141804	Herself
557401	125978	
557402	146954	
557403	73855	Little Rose
557404	20805	Nellina
557405	336401	Seller
557406	9353	
557407	9088	Alexis
557407	380391	Holly (1998)
557408	264950	Le mère
557409	117656	
557410	131217	Reporter #2
557411	76786	Vicki
557411	293383	Mrs. Hastings
557411	384985	
557411	389479	
557412	284623	
557413	62795	
557414	8495	Patty
557414	23535	
557415	94244	Une bouchère
557416	20729	
557417	375851	Dafne
557418	97596	
557418	265463	
557419	94912	
557419	157327	
557419	157328	
557420	172920	Aunt Laila
557421	4741	De Beer
557422	359175	Maria Akhrossimova
557423	124157	
557423	129643	
557423	269348	The Governess
557423	304710	
557424	191155	Katarzyna Bukowska
557425	388299	Dré (2002)
557426	69179	Herself
557426	104775	Swiss entry (20th place)
557427	71600	Herself
557428	33539	La vieille fée
557428	70709	Cliente chez Germaine
557428	73195	Mme. Lenormand
557428	77336	Nanine
557428	77420	Mme. D
557428	86424	
557428	101194	
557428	200966	Mme Veuve Adèle Maurin
557428	248158	Juliana
557428	285275	
557428	307489	Old woman
557428	345240	Mme Tournier
557428	350919	Europe
557428	356496	Adélaïde
557428	407535	
557429	388299	Paulette (2002)
557430	105853	Lingerieverkoopster
557431	153758	Maria
557432	190952	Andy Lincoln
557432	267250	Lisa
557433	396211	Paulina
557434	163619	
557435	130358	Slimy
557436	212854	
557436	212857	
557436	212864	
557436	212866	
557436	212871	
557436	212872	
557436	212874	
557436	212877	
557436	212891	
557436	212899	
557436	212903	
557436	212905	
557436	212907	
557436	212910	
557436	212914	
557436	212915	
557436	212916	
557436	212918	
557436	212919	
557436	212923	
557436	212937	
557436	212943	
557436	212944	
557436	212954	
557436	212955	
557436	212958	
557437	96031	
557438	178180	Herself
557440	197593	
557441	79081	Stacey
557441	133967	Ashley
557441	185624	Chloe
557441	207440	Group Dancer
557442	176306	Ferry Passenger
557443	248117	The Widow Stanley (Elvira)
557444	113774	
557444	312373	
557444	328131	
557444	346225	
557445	24432	Party Girl in Pink
557445	140938	Goddess
557445	256859	Nicole
557445	292611	Christmas Guest
557446	118541	Sissie
557447	168217	Patient
557449	177451	Young Rose
557450	53621	Teenage girl
557450	79740	
557450	140400	
557450	185073	Eunice Abelman
557450	239033	Woman in Restaurant
557450	303989	Miss Lizabeth Calloway (daugh
557450	317353	Female Hippie
557450	323845	Mary
557450	327250	
557450	336034	Secretary at School
557451	28871	
557452	215076	
557453	284442	Violincellist
557454	207989	Old Woman at Zion
557455	4661	Helenka
557455	18157	The Governor's Servant
557455	35900	Janina Renska
557455	70774	A Revolutionist
557455	129602	Jenny Burton
557455	179184	Marysia Zurkowna
557455	216593	Wanda Litynska
557455	247343	Irena
557455	247351	Kasia
557455	272373	Janka Zatorska
557455	343299	Maria Ostrobramska
557456	355190	
557457	260789	Limousine girl
557458	15106	Anne Blanc
557458	24314	Rose Melrose
557458	33525	Belle
557458	127898	
557458	202685	Nana
557458	218031	Marlène
557458	247666	
557458	272475	
557458	345489	Moira
557459	132149	
557459	264539	
557459	323333	
557460	235675	Art Gallery Patron
557461	70197	
557462	336265	Criada
557463	283145	Old evacuee woman
557464	399133	Mina
557465	399133	Mina
557466	23550	
557466	34607	
557466	84820	Grandmother
557466	118692	
557466	134227	
557466	162675	
557466	163930	
557466	188522	Grandmother
557466	225846	
557466	254234	
557466	261909	
557466	262674	
557466	265042	Mother
557466	288363	
557466	316373	(segment Dumy)
557466	357478	
557467	97438	Child
557468	7329	
557468	265846	
557469	339	
557470	209823	Dzhuliya
557471	223213	Fille université
557471	243969	
557471	245897	
557471	300542	(segment Vanderbul' bezhit za
557471	306656	
557471	343306	
557471	356122	
557471	397392	
557472	210193	Kucheto II
557473	28258	
557473	273707	Grandmother
557473	304170	
557473	374734	
557474	253091	
557475	995	Yelena Stanislavovna Bowr
557475	18336	
557475	41699	
557475	45710	Herself
557475	113644	Veselushka
557475	172324	
557475	180854	
557475	188708	Amalia
557475	216006	Toni's mother
557475	299555	
557475	307704	
557475	339006	Parasya
557475	341191	
557475	344058	
557475	344311	Maria Mikhailovna, the bookke
557475	373694	
557475	376216	A dame with a dog
557476	539	
557476	122036	Nunzia
557476	207800	
557476	219575	Ragazza
557476	258781	
557476	320551	Rozamunda
557476	392654	
557477	156895	
557478	351255	Herself
557479	47395	
557479	181530	Badema
557479	217270	Anka Tomlinovic
557479	243578	Lena
557479	379616	Anka Tomlinovic
557479	403668	
557480	22856	Child (Lord & Taylor)
557480	104999	Toni
557480	156466	Reggae Singer
557480	185537	Singer
557480	263485	
557480	276198	Nicole Bloch
557480	318370	Maya
557480	330108	Stefania Russo
557480	334308	Lynn Guzman
557480	364439	Teacher
557481	235922	Martha
557482	212051	Judy
557483	22856	Child (Lord & Taylor)
557483	330108	Georgina Russo
557484	229506	Co-ed
557485	267174	Waitress of the Gas Station
557486	133044	
557487	290930	
557487	364971	Irena
557488	294662	
557488	373975	The Headmistress
557489	159828	Additional Voices
557490	194572	Dicki Hoppenstedt
557490	395987	Dicki Hoppenstedt
557491	98012	Tavern waitress
557492	107717	
557492	155796	
557492	182794	
557493	407231	Julcsi
557494	304834	Warehouse Vampire
557495	109610	Teri
557496	409625	Lili Rose (2001-)
557497	130965	
557497	283054	Leni
557498	272930	Donna Stiles
557498	305778	Nurse Bimbo (Brenda)
557499	252841	Leslie
557500	130230	Jasmijn
557501	99268	Hollandse
557502	130230	Sarah
557503	136128	Party Planner
557504	44533	Adele Cartwright
557504	53753	Lucille Hope, Garth's Wife
557504	69484	Rose
557504	72732	
557504	99279	Vera Laurence
557504	105302	Carolyn Dexter
557504	105690	Lucille
557504	125916	Dora Deleamere
557504	126532	Matilda
557504	128289	Girda Long
557504	138205	Fifi
557504	160466	Agnes Judd
557504	161404	Jane Gommery
557504	163560	Rose Trelawney
557504	190205	Caroline Bleeby
557504	199180	Lady Felicity
557504	204551	Nancy
557504	233929	
557504	263785	Lady Blessington
557504	289243	Kay
557504	293183	Nita Leonard
557504	302707	Rosa
557504	310588	Mrs. Howard
557504	330904	Mme. Florien
557504	330965	Simmonds
557504	332150	Madame Felicia
557504	334093	Countess Delavel
557504	342846	Lady
557505	2587	Karin Kruth
557505	2588	Karin Kruth
557506	122757	Village people (Opera)
557507	238774	Anderhage's daughter
557508	70583	Dr. Alice Borealis
557509	273119	
557510	71140	
557511	209133	Animal Dancer
557512	65595	
557513	231884	
557513	379831	Lianne Barrigan #3 (1990-1991
557514	138220	Aunt
557515	16050	Denise
557515	75479	Anise Hall
557515	97644	Wife
557515	127073	Oda Mae's Sister
557515	382832	Roz
557516	147745	Little Girl on Bike
557517	138816	Rachel
557518	1439	Herself
557518	235414	Herself
557518	281530	Herself
557518	370035	Cameo appearance
557519	360382	Herself (wife of MIA)
557520	357618	
557521	365909	Doctor #1
557522	276611	
557523	249268	
557524	43758	Angela
557524	87500	La petite fille
557525	253456	Herself
557526	232599	
557527	74006	SS Agent Jane Vezeris
557528	107973	Nichte
557528	126128	
557528	183259	
557528	290745	
557529	129668	Marie-Theres Lamprecht (kid)
557530	136443	
557530	182645	Pincérnõ (Waitress)
557530	232801	The Girl
557530	322364	Suzi
557530	327475	Anna
557530	328928	Anna
557530	366972	Girl
557531	211217	
557532	58358	
557533	149611	Girl Next Door
557534	55796	
557534	73063	
557534	187627	Susana
557534	215027	Clara
557534	291625	Lucía
557534	293055	Vanessa
557534	304478	Reportera
557534	307635	
557534	379566	Verónica (1998)
557534	392027	Eva Méndez (2002-)
557534	395059	Ana García
557534	395476	Hostess
557534	397307	Ana (2000)
557534	401336	Magali
557534	410047	Hostess
557534	410257	
557535	408797	Giornalista TV
557536	18534	
557536	24098	Brigitte
557536	101355	Frau im Film auf Party
557536	125137	
557536	187556	
557536	207933	
557536	217626	
557536	248540	
557536	290516	Gabi
557536	311827	Sandra
557536	314558	Irma Herzchen
557536	376368	
557536	395644	
557537	286643	Jeca
557537	399012	Mateja
557538	341335	Zelja
557539	311133	Dr. La Fong
557540	378720	
557541	86595	
557542	256895	Olga, young daughter
557543	357222	
557544	180743	
557545	129829	Princess Gambada
557546	207566	
557547	402348	Natasha's mother
557548	356921	Matryona Pavlovna
557549	69926	Cocktail Waitress
557550	165077	Ada's Mother
557551	186389	
557552	14693	
557552	294731	Rony
557552	386119	La Tesorito/Tearruina Fernánd
557553	66174	Mrs. Peacock
557553	66186	Mrs. Peacock
557554	35532	
557555	56992	Sophie's Sister
557555	63832	Big Dot
557555	72706	Woman #3
557555	127237	Popcorn Customer
557555	203601	Prisoner Visitor
557556	95353	
557556	318562	
557557	327812	
557558	32859	Daisy
557558	88617	
557558	132726	
557558	189427	
557558	352805	
557558	357461	
557558	382445	Svetlana Afanasyevna
557559	279416	Luigi's Sister
557560	320190	
557561	29112	Bend Bank Teller
557562	56545	Herself
557562	96910	Claire Gabriel
557562	333893	Jenny Williams
557562	342331	Sharon Wasley
557562	398312	Max Dowling
557562	408326	Jenny Williams
557563	374074	Zdena
557564	182735	
557564	379840	Dr. Dehning
557564	403113	
557564	408689	Commentaire
557564	409611	Cora Kirsch
557565	146533	
557566	240317	Droid
557567	35059	
557568	212332	Herself - Participant/Perform
557568	212333	Herself - Participant/Perform
557569	88540	
557569	155610	Michke Bahscj
557569	229408	Irtev
557569	238390	
557569	273090	
557570	21372	Herself
557570	187696	
557570	379470	Eden
557570	384364	Osnat 'Ossi' Shmilovich
557571	45883	Dana Lloyd
557572	138837	Mary Teegarden
557573	324729	Diane
557574	195551	Mary Cloney
557575	303685	
557575	334049	Ana Safranek
557575	339330	
557575	375316	Gdja. Klaric
557575	375323	Vanda
557576	117557	Sophie
557576	136274	English Girl
557576	263601	Little Girl
557577	110916	Dancer
557577	272930	Dancer
557578	75360	Nikki
557578	316153	Annette
557579	238229	Bowler
557580	92526	Katie Johnson, Child with Dip
557580	94775	
557580	116222	
557580	192184	
557580	262260	
557581	262260	
557582	96834	
557582	330383	Parking Attendant
557583	62898	Last Party Guests
557583	155562	Karen Braden
557584	307468	Townsperson
557585	262570	Sousedka
557586	168950	
557587	19673	
557587	61552	Lola
557587	64558	Performer
557587	132449	
557587	150520	Megan Kendall
557587	319709	Ann Leahy
557587	332151	Ruthie
557587	356313	Girl Friend
557587	379390	Host
557587	381781	Host
557587	392094	Megan Kendal (1983-87)
557587	400915	Host
557588	303264	Girl in Cafe
557589	9378	Ramuz's daughter
557589	93602	Helka
557589	220233	
557589	236159	Patient
557589	237869	Luba
557589	237983	
557589	261595	Kasia Rochowicz
557589	304128	
557589	327752	
557589	348704	
557589	374232	
557589	376521	Lapsiewiczowa
557590	341	Little Formelák
557590	17111	Teacher
557590	25660	Julie
557590	29356	Spisovatelka Colinsova
557590	30324	Singer
557590	42933	
557590	49170	Bohácková
557590	51050	Vendla
557590	51259	Andula
557590	58128	Sleèna
557590	58276	
557590	62438	
557590	64262	
557590	64638	
557590	70979	Viki
557590	74476	Sabrina
557590	77264	Marie Kucerová
557590	81678	
557590	108909	Fany
557590	115798	
557590	115863	Séfredaktor Kostrbaty
557590	125594	Josephina Pontiová
557590	149244	
557590	153363	
557590	162603	Isabela
557590	165057	Herself
557590	166442	Klára
557590	167317	
557590	171890	
557590	171891	Berta
557590	174122	
557590	174306	Slávka
557590	174936	Medium
557590	179594	
557590	179721	
557590	181337	
557590	183210	
557590	184123	
557590	196818	Little Formelák
557590	199693	
557590	201354	
557590	209532	Anezka
557590	223535	
557590	229270	Anicka
557590	230051	Envy
557590	230438	
557590	237205	
557590	237497	Nanny
557590	237535	
557590	238398	
557590	247950	Mrs. Piper
557590	252207	Anca 'Paraplícko' Kulatá
557590	258833	
557590	265200	
557590	266215	
557590	266459	Lida
557590	266643	Jadwiga
557590	273690	Teacher
557590	283261	Aunt Evzenie
557590	283309	Queen
557590	304131	
557590	304708	
557590	305887	
557590	310257	Jarmilka
557590	320565	
557590	320673	
557590	322333	
557590	322672	Veronika
557590	323927	
557590	344017	Anna
557590	344115	Herself
557590	348553	Mother
557590	349072	
557590	349274	
557590	352794	Voice of green octopus
557590	357288	Ona
557590	357438	
557590	373934	
557590	374237	Jirina
557590	374531	Helena
557590	374535	Ema
557590	375375	Little girl
557590	375401	Dcerka zraneného dílovedoucíh
557590	375417	
557590	378507	
557590	381196	Odeta
557590	383856	Fuchsová
557590	384319	Hammerschmiedová
557590	386559	
557590	387031	
557590	396264	Lehrerin Knobloch
557590	398744	Joklová
557590	399901	
557590	399902	Hoková
557590	400727	Helene Urban (1975)
557590	401716	
557590	402368	Helenka
557590	403860	Krikavová
557590	407428	Neighbour
557591	58212	
557591	58255	Katerina
557591	149684	Johanka Muzáková
557591	151848	Svatava
557591	165069	Nanny
557591	175030	Hynek's Mother
557591	181235	Ciruvková
557591	181251	
557591	226464	
557591	231186	Nurse
557591	259053	Countess
557591	261873	
557591	281214	Kubiasová
557591	322675	Jarmila
557591	322676	
557591	339339	Frágnerová
557591	354724	Eva
557591	392081	Ada Herbichová
557591	401806	Jitka Matejková
557591	408863	Slámová
557592	323283	
557593	259347	Elaine
557594	380868	Dirkje
557594	400217	Carlijn van Bussum (2001-2002
557595	6217	The Castanet Girl
557596	359477	La fille au bras d'honneur
557597	275491	Lana
557598	134302	Nera
557599	190273	Tobin Twins
557600	400353	
557601	190273	Tobin Twins
557602	102104	
557603	41205	Interviewer
557604	59559	
557604	98082	Candida
557604	115994	Liliane Berndorf
557604	139475	Ria
557604	153919	Jasmine
557604	189577	Lynn
557604	301094	Brunhild
557604	323454	Heidi
557604	325854	Christa Kassdorf
557604	334630	Cindy Holden
557605	372967	Herself
557607	65427	Penny/Bunny
557607	161117	Wife
557607	348526	Wife
557608	150600	
557608	182534	Rosa Bärchen
557608	302276	Lisa Simpson (German Voice)
557608	396874	Jennifer 'Jenny' Deile, gesch
557608	397953	
557608	409952	
557609	259460	
557610	48361	Choir Member
557611	404448	Sylvia Ziethen
557612	125289	
557612	370700	Little girl
557613	100919	Lotte
557613	122587	Maria
557613	147175	Luzie
557613	188822	Sophie Lingner
557614	160590	Shelley
557615	320283	Correspondence 1
557616	39241	Party girl #1
557617	237492	Marie
557618	347046	Frau des Mörders
557619	167615	Herself (Munich, Germany)
557620	204484	
557620	259450	
557620	259509	
557620	259557	
557620	259639	
557620	259653	
557620	290712	Katja
557620	387142	
557621	361514	Eva Schall
557621	409860	
557622	234803	Girl
557623	333850	
557624	138220	Alma
557625	394608	Maximiliane/'Max'
557625	396166	Lisa Lenz (1999-)
557625	409622	Sophie
557626	374373	Kathrin
557627	224891	
557628	322108	
557629	311523	Girl in Nightclub
557630	363948	Prisoner
557631	373854	
557632	300056	Agnieszka
557633	22764	
557633	54070	
557633	197972	
557633	205793	
557633	214211	
557633	222047	
557633	260550	
557634	125218	
557635	235470	Waitress
557636	24308	Sharon Pruett
557636	29885	
557636	31672	Champagne Girl
557636	37033	Anna Rudolph
557636	70769	Suzy
557636	73768	Susan
557636	80612	Janie Rimmer
557636	84112	
557636	108255	Mother
557636	141967	Actor
557636	143389	
557636	155072	Soap Opera Actress
557636	158825	Eve
557636	166637	
557636	169692	Patsy Rutter
557636	176391	
557636	188620	
557636	223918	Bonnie
557636	231518	Martha Allard
557636	254512	Mrs. Riley
557636	259217	Laura
557636	277092	Jennie Humphrey
557636	297246	Nancy
557636	313329	Janet Holloway, Science Teach
557636	314631	Cindy Adams
557636	319899	Cindy Lou
557636	335867	
557636	342623	Nurse Judith
557636	346198	
557636	353314	Sam
557636	373990	Cindy
557636	386828	Zoe Fuller
557636	387218	Nurse Cory Smith
557636	389320	Winnie Goodwinn
557636	392461	
557636	396693	Constance Leroy
557636	403887	Tish (1998-2000)
557637	360503	Chryl Lee
557638	70594	Lucie
557638	258854	Nicole
557639	5470	Sophie Vasseur
557639	17522	Anna
557639	19073	Alice
557639	24315	Bérénice Morel
557639	27917	Sandra (voix)
557639	57894	La jeune fille en violet
557639	60918	La mère
557639	63850	Juliette
557639	67248	Sophie
557639	84625	Maya
557639	96213	
557639	100238	Val
557639	111016	Zoe
557639	116436	
557639	140765	Anya
557639	156312	
557639	173072	Julie
557639	177317	Catherine
557639	197394	(segment "Claude Miller")
557639	214387	Mina Tannenbaum
557639	215264	Célimène
557639	235246	Constance
557639	236622	Laura
557639	254052	La mère de Poucet
557639	261116	Lise
557639	269507	Marguerite
557639	270844	Romane
557639	336445	Mathilde Maute
557639	339931	
557639	354246	Lydu Lozinska
557639	376888	Françoise Hervy
557640	34650	Elderly Woman
557640	72570	
557640	81784	Bit part
557640	147609	Guest
557640	163490	Guest
557640	188542	Dowager
557640	196487	Bit Part
557640	257087	Party Guest
557640	305763	Mrs. White
557640	307518	Dowager
557640	311629	
557640	321384	Woman in Lobby
557640	328794	Saleslady
557640	371887	Woman at Fiesta
557641	70980	Jolanda
557642	2470	Madame Joliet
557642	21181	Betty
557642	22735	Mrs. Brindle
557642	37089	Mrs. Harper
557642	39952	Miss Sutcliffe
557642	65786	Mrs. Love
557642	87886	Aunty Nell
557642	128261	Mrs. Taswell
557642	163352	Herself
557642	167651	Mrs. Leaver
557642	189277	Narrator
557642	220084	Mary
557642	334153	Mrs. Downs
557642	363257	Mary Teague
557642	382612	Miss Sutcliffe
557642	382693	Nellie Boswell
557642	382774	Josephine
557642	387815	
557642	397182	
557642	404575	Gran
557642	405962	
557642	406286	Mrs. Silvers
557642	407790	
557642	408868	Female Neighbour
557643	250371	Daisy
557643	289657	Maria, landlord's wife
557644	396504	Cantante Pianobar
557645	276736	Nurse #2
557647	29742	
557648	210830	Ekspedetrise i videobutikk
557648	240108	Politikone som venter på iskr
557648	240114	TV-script
557649	198229	Student
557649	229822	Kamila
557650	379459	Kathy
557650	399922	
557650	409922	Clara Noyo
557650	412185	Nora "Norita"
557651	235760	Rosanna as a child
557652	163641	Molly
557653	183010	Suzanne
557653	381078	Anais
557653	384789	Lola (1990-1991)
557653	399082	Yolande
557653	399082	Yolande Navarro
557656	1766	Madame Caron
557656	43330	Lyne
557656	68390	Directrice de thèse
557656	161765	Nurse Suzanne
557656	205645	Noémie
557656	206589	
557656	254043	Dancer
557656	303617	
557657	254816	Elle
557658	322840	Herself as Upphovskvinna
557659	28681	Annie
557659	71141	La domestique du château
557659	166288	Marthe
557659	265797	Geneviève
557659	336302	Denise, the make up artist
557659	357848	Le chauffeur de taxi
557659	404662	
557660	385151	Additional Voices
557661	398843	Sorcière
557662	19808	Russian Soldier
557663	58666	Marcia Jarvis
557664	198337	
557665	300365	July Gross
557665	397878	Shiran Hason
557666	71950	
557667	69181	Herself
557668	400422	
557669	32409	
557669	77004	
557669	88012	
557669	111022	Claire
557669	113114	Katia Servin
557669	126258	Cécile Grégoire
557669	133052	Coralie, la peintre
557669	166133	Guilaine
557669	197005	Camille Zecca
557669	200931	Mademoiselle Vague
557669	201162	Alexina
557669	220213	
557669	257059	Marie
557669	265699	Isabelle
557669	276444	Mariette
557669	280513	Madeleine
557669	280785	Judith
557669	346726	Sabine
557669	346772	Justine femme
557669	377475	Eliane
557669	379846	Mathilde #1
557669	380609	Ariane Ferry
557670	264226	Viviane
557671	4792	
557671	42445	
557671	98064	
557671	125126	Ilse Verstraaten
557671	125219	Miss Bourne
557671	134805	
557671	333846	
557671	343654	
557671	347556	
557671	352526	
557672	283021	
557673	13620	Young Amelias
557674	53308	
557674	139151	
557675	12414	
557675	15064	Nicole Degand
557675	17088	
557675	20343	La servante
557675	59239	
557675	59699	
557675	112887	Rolande Glory
557675	142614	
557675	153874	La mère de Rose-Annie/Mother 
557675	209295	
557675	324457	Loretta
557675	384009	
557675	388507	
557675	392602	
557675	409537	Nathalie
557676	202090	La femme qui a perdu son frèr
557677	15054	
557677	190631	Mère de Robert
557677	218333	La mère
557677	254936	
557677	285755	Narrator
557677	374589	Maman
557677	377478	Adèle Marquis
557677	381189	Monique Mathieu
557677	382469	Madeleine Lemieux
557677	383504	Mme Gagnon
557677	384622	Solange
557677	396868	Mélodie Tourangeau
557677	402534	Pépinot
557677	402535	(Voice of Pépinot)
557677	404863	Danielle Desgagné
557677	406028	Annette
557677	406031	Adrienne Chevalier
557677	407068	Mélodie
557679	401081	
557680	191000	Girl Watching TV
557682	396523	Une femme de chambre
557683	300613	
557683	346743	L'amie de florence
557683	349421	Christine
557684	307478	La femme mince
557685	218180	Model #5
557686	181465	
557686	261756	
557687	379805	
557688	353840	Evelyne (3 ans)
557689	299287	Woman in Taverna
557691	142919	Katherine
557691	195152	Charlotte de Savoie
557691	195153	Charlotte de Savoie
557691	229042	
557691	240591	Bess jeune fille
557691	252710	La Pucelle qui rit
557691	272009	
557691	357040	
557691	380864	Véronique
557691	381245	Annie
557691	385680	Suzanne
557691	389005	
557691	392369	Béatrice
557691	398273	Michéle
557691	401986	Marguerite
557691	404433	
557691	409537	Anne dite Nanou
557691	409613	Nadine
557691	410142	Camille Moke
557691	412199	Susanne Vollmer
557692	71470	As herself
557693	252998	Dance Couple
557694	7473	Denis
557695	48956	
557696	6594	La femme de Caïn
557696	14404	Victoire Jollin
557696	23864	Llana
557696	43681	Anna
557696	43703	Florence/The Sister
557696	44423	Christine
557696	51201	Mathilde
557696	52187	Marie Christine
557696	59217	
557696	66746	Nicole Bouquet
557696	69214	La mère
557696	86575	Catherine
557696	88060	
557696	94314	
557696	99978	Marie-Ange
557696	100342	Clémence
557696	101151	Dr Claire Lacoste
557696	102585	Narrator (french version)/Réc
557696	105550	Julianne Marchal
557696	106464	Cora
557696	111015	
557696	111689	Dorothée
557696	115376	Jocelyne
557696	116324	
557696	147928	Sima
557696	148685	Nicole
557696	155628	Ida
557696	156317	La femme au petit caillou/The
557696	157662	Caroline
557696	157676	
557696	166288	Gilberte
557696	166667	Nina
557696	167158	Christina, la fille dans la m
557696	170115	
557696	189346	Gémina
557696	195869	The home's head mistress
557696	200941	Germaine Martin
557696	201175	Jeanne
557696	204336	
557696	206252	Marie-Claire
557696	212156	Claudine
557696	217235	Elda
557696	225369	
557696	234280	Charlie
557696	238931	Elle
557696	249072	Genie (segment 3)
557696	249355	
557696	249757	Florence
557696	265218	
557696	270620	Agnès Deluca
557696	270907	Sonia
557696	283019	Emma-la-Rouge, dit 'Manu'
557696	283036	Mimi
557696	295232	Carole
557696	330984	Sophie
557696	340950	Cmndt. Dominique
557696	345040	Sandra
557696	346683	Laurence
557696	384434	Colombe
557697	202090	
557698	102945	Maria 8 ans
557698	382583	Thériault, Mandoline
557699	379103	
557700	195267	
557701	71953	L'ambulancière
557701	88067	Catherine Morange
557701	94312	Pauline
557701	109020	
557701	109408	Madame Noise
557701	219477	La belle-mère
557701	225523	Marie
557701	254119	L'actrice qui incarne Léone
557701	265467	La cliente au marché
557701	284257	Simone Evrard
557701	354647	Mme Ginoux
557701	377629	La chef de cabinet
557702	26201	Babiole
557702	254816	Temoin de Jehovah
557702	382777	Agnès Nadon
557703	200532	Lilth
557703	251693	Camera Gal
557703	333624	Niki
557704	142572	Dancer #3
557705	165783	Hélène Henriet
557707	8615	Hélène
557707	8880	La comtesse Camerata
557707	43670	La mère de Liselette
557707	56083	
557707	58321	
557707	62801	Reine
557707	69280	
557707	86439	Alemene
557707	108215	Irène de Grange
557707	111109	
557707	134382	
557707	148761	
557707	200966	Louise Maigret
557707	205633	
557707	205767	Mme. Campan
557707	208194	Madame Labarterie
557707	227595	Madame de Dino
557707	254070	
557707	254131	
557707	275513	
557707	275526	
557707	281129	Olga
557707	300695	Mme Geoffrin
557707	300726	Maryse
557707	300735	Mme. de Sevigne
557707	308294	
557707	340193	
557707	345150	
557707	345488	
557707	346659	
557707	399193	Mme Vaugricuse
557708	65131	
557708	82577	
557708	83379	Madame Romi
557708	108224	La mère de Jessica
557708	135332	Isabelle
557708	167240	
557708	197914	La concierge
557708	213425	
557708	217608	La libraire
557708	227483	Josiane
557708	247977	
557709	278154	Raphaëlle
557710	33581	Enfant
557711	294796	Invitée d'Alice
557712	1087	Townswoman
557713	321512	Liane Berglund
557714	393395	La mère de Didier
557715	101534	
557716	308009	Olivia
557716	395737	Gloria
557717	409620	
557718	1578	Receptionniste #1
557718	57795	The actress
557718	73143	Maryse
557718	77366	Soeur Ste-Anne
557718	77817	
557718	99590	Président APFQ
557718	101151	Annette Ducharme
557718	124398	
557718	142850	Infirmiere
557718	217266	
557718	249712	L'infirmière
557718	378761	Prof. Noémie Leclerc
557718	382469	Gisèle
557719	100306	
557719	279837	
557720	248975	
557721	153642	English Girl
557722	97483	Jacqueline
557722	373938	
557723	232599	
557724	188519	
557724	374172	
557725	312626	
557726	4737	Vera/Katica
557726	209536	
557727	272537	Gymnasiastin
557728	40934	Barbara
557729	266327	Kasia Ciepielewska
557730	303666	Girl dancing with Evert Taube
557731	305516	
557732	317309	Jogger Babe
557733	155610	
557733	186541	
557733	227826	Mrs. Vrabec
557733	312430	Pehta
557733	320640	Kuharica
557734	234955	
557735	212028	Olga
557735	223478	Maria Kastowsky
557735	225273	Margret Benninger
557735	325409	Marianne Santner
557735	325783	Helena
557735	335041	Mrs. Fredemann
557735	336571	Claudia Hartwig
557735	352185	
557735	365786	Rose-Marie Roth
557735	389956	
557735	392086	Waltraut Kannegießer
557735	399503	
557736	37683	Operator #1
557737	179110	Blind woman
557737	192900	
557737	263256	Liljana
557738	370398	Miss Hariman
557739	132149	
557740	7386	
557740	14329	
557740	19651	
557740	34172	
557740	43157	Emilija Popadic
557740	78258	
557740	88377	
557740	137713	
557740	164052	Desa
557740	166393	
557740	166447	
557740	166448	
557740	179847	
557740	183940	
557740	187975	
557740	188534	
557740	192888	
557740	209507	Herself (interviewed)
557740	215270	
557740	215996	
557740	229570	Danica
557740	229577	
557740	229895	Branilac 1
557740	230061	
557740	237764	
557740	240333	
557740	249733	Mika
557740	258601	
557740	259206	Radmila
557740	261348	
557740	262220	
557740	262762	Olga
557740	265909	(segment "Proputovanje")
557740	266062	Draginja, ministrova kci
557740	266649	
557740	266751	
557740	286645	
557740	305813	Zivana Zanka Stokic
557740	318895	
557740	318970	
557740	339331	
557740	351316	
557740	352950	
557740	357555	
557740	369418	Mrs. Y
557740	369441	Mrs. Y
557740	373730	
557740	375744	Jevda
557740	382430	Emilija 'Ema' Popadic
557740	382431	Emilija 'Ema' Popadic
557740	382939	
557740	383720	Visnja Lazarevic
557740	386362	Dobroslava Djordjevic
557740	393168	
557740	394876	Vera
557740	395833	Teodora
557740	396292	(2004)
557740	396771	Kruna
557740	397988	
557740	399008	
557740	400481	Olivera
557740	401749	
557740	401750	Radmila
557740	401927	Valerija Gavrilovic
557740	401928	Valerija Gavrilovic
557740	401991	Stana
557740	402021	Herself (interviewed)
557740	403623	Ana
557740	406315	Antonija Miloradovic
557740	406316	Antonija Miloradovic... glavn
557740	407129	
557741	168944	
557742	238127	Mevrouw Te Bokkel
557743	176712	Hooker #6
557744	252798	
557745	336683	Bobbie
557746	35558	(segment Honvéd Kórház)
557746	44773	ál-királyné
557746	278687	
557747	258999	
557748	258999	
557749	322251	Mrs. Horgos
557750	110695	
557750	153690	
557751	181850	Sigrid
557752	152826	Ileana's mother
557752	301945	Mrs. Bronowska
557752	382393	Mrs. Kowolski
557753	82474	AAU member
557753	105487	
557753	118723	
557754	46183	
557754	60575	
557754	125949	
557754	126898	
557754	241930	
557754	258828	
557754	286662	
557755	214895	French Woman
557756	55094	Carmine's Girl
557756	72372	Carol Delvecchio
557756	101573	Mitch's Young Blonde
557756	245020	Sarah
557756	274459	April
557757	153846	Caissière 2
557758	399133	Dada
557759	60469	
557759	206516	
557759	336471	
557760	396036	Nely
557760	400838	
557761	38938	Patty
557761	92555	Jennifer
557761	102985	Lea
557761	217607	Momo
557761	290499	Kathrin
557761	325658	Gaby
557761	403458	
557761	404686	
557762	164618	Maid
557763	398603	Chris Bokeno, a regular
557764	154540	
557765	279072	Bureaucrat
557766	309804	Dancer
557767	54712	Herself (Judge)
557768	225503	
557769	322064	Autogramot kérõ lány
557770	15858	Woman in the kitchen #3
557771	377821	
557771	407241	
557772	378160	Riporternõ
557773	25578	Herself (artist)
557774	64333	Herself (1995)
557775	266463	
557776	149577	Lenka Horecká
557777	217038	
557777	266456	
557778	32432	
557779	73989	Sarah Pope
557780	186246	
557781	197837	Mistress Ford
557782	270129	
557783	305956	Swedish Hitch Hiker
557784	404425	Judith Kloosterhof
557784	405984	(Pledge, USC)
557785	7236	Herself
557785	42280	
557785	73194	
557785	109349	Gringa
557785	143731	
557785	237218	
557785	269569	Elvira
557785	293905	Nurse
557785	382461	
557785	383603	Celeste Royal
557785	386117	
557785	387164	Débora
557785	391448	Various Roles
557785	392261	Pureza Madredeus Teixeira da 
557785	398498	Lola Rocha
557785	400793	Various Roles
557785	406313	Lola Rocha
557786	340681	Fille 7
557787	378922	Sònia Polanco
557787	404904	Various characters (2001-2002
557787	407808	Hermínia
557787	409455	Joana
557788	404161	Salomé niña
557789	293411	
557790	326147	Une passante
557791	58312	Volodjina tajnica
557791	73576	
557791	125569	
557791	188468	Girlfriend
557791	267120	
557791	273762	
557791	283751	Mimi
557791	361237	
557791	399020	
557792	9232	Cabrajina tajnica
557792	124061	
557792	132514	
557792	303622	Romana
557793	53798	Audrey
557793	384069	Mabel (1974-1975)
557793	409066	
557794	354857	Mary Murphy
557795	341623	Mare Celan
557796	187251	Newscaster
557797	104538	
557798	395759	Herself
557799	16899	Pretty Baseball Groupie
557799	46153	Zoe Moscatel
557799	59765	Tom's Sister
557799	80066	Young woman
557799	139434	Dewey's Girlfriend
557799	152838	Cynthia
557799	217484	Tiffany
557799	254512	Hillary
557799	272661	Co-worker
557799	296019	Barista
557799	303236	Cynthia Johnson
557799	331740	Julie
557799	343055	Patty
557799	408713	Dana Davin
557800	135410	Allegra
557800	169946	Young Ellie Nesler
557800	190056	Jake's Daughter
557800	241798	Laura
557800	307964	Tamara Anderson
557800	316981	Motel Girl
557800	330559	Bold Twin
557800	390775	Elly Moran
557800	399628	Kate
557800	404152	Annie Putnam
557800	411902	Gwendolyn 'Gwen' Killerby
557801	8362	Splish
557802	122646	Irate Wrestling Fan
557803	330896	Suzanne Prazeen
557804	21300	Mrs. Isabel Channing
557804	36839	Mrs. Sealingsworth
557804	45494	Sybil Fitch
557804	67139	Carola Gaye
557804	77995	Mrs. Alice Pemberton
557804	92247	Queen of Malakamokalu, 'Queen
557804	96716	Tessie Weeks
557804	97518	Alma Clayton
557804	105032	Jennie Kent
557804	117679	Aunt Mary
557804	118299	Mrs. Mardick
557804	135570	Smitty
557804	140818	Ethel Hillary
557804	143604	Mrs. Widden
557804	146253	Verna Devore
557804	146750	Emily Potter
557804	147799	Herself
557804	155837	Mrs. Peabody
557804	157899	Mrs. Bromley
557804	170378	Mrs. Gheneccio
557804	192334	Mrs. Berry
557804	200478	Mme. Geraldine Genet
557804	202630	Jessie Todd
557804	202641	Alice Summers
557804	206472	Ollie Radway
557804	210400	Mary Blodgett
557804	220309	Lily Bud Raines
557804	230731	Valerie de Rossac
557804	231760	
557804	232034	Mazie Strawn
557804	232342	Sybil Fitch, the Mother
557804	235602	Mrs. Elvira Hawkley
557804	241592	Aunt Kitty Marblehead
557804	252217	
557804	252488	Clarice Wilton
557804	252909	Mrs. Whitney
557804	253471	Mrs. Otis Gary
557804	263484	Bertha Miller
557804	263555	Mrs. Bennet
557804	265260	Marion Farnham
557804	267606	Comfort Kirkland
557804	283093	Effie Floud
557804	291326	Herself
557804	292822	Mrs. Merritt
557804	303499	Flora Whinney
557804	307567	Mrs. Zelma Hopkins
557804	308299	Mary Grady
557804	314489	Mary Beresford
557804	314943	Mrs. Clarkson
557804	329953	Mrs. Russell
557804	331721	Nellie Rimpleger
557804	342859	Mrs. Smythe
557804	367046	Marcia Bigelow
557804	367684	Agnes Roydant
557804	367919	The Countess DeLave (Flora)
557805	219739	Mrs. Spellgood
557806	16041	Older Patient
557806	26831	Agnes
557806	45503	Ruth
557806	52361	At the Airport - Passenger
557806	99578	Teacher
557806	166007	Fan
557806	215911	Shop-at-Home Anchor Person 1
557806	261985	
557806	368592	Woman
557806	383768	Ruth Paine
557806	389858	Mrs. Clancy (1983)
557807	104770	Belinda
557808	113811	Aunt Marna
557809	84295	Karin Maar
557809	89643	Karin, nurse
557809	95273	Mrs. Fristedt
557809	115400	Vacuum cleaner saleswoman
557809	121018	Mrs. Blomberg
557809	130071	Mrs. Mallander
557809	136701	Woman from Child Care Agency
557809	160873	Emma, the Maid
557809	170838	Courtroom nurse
557809	225314	Birgit's mother
557809	284101	Nurse
557809	304125	Nurse
557809	315362	Mrs. Grönberg
557809	322664	Officer Manager
557809	337888	Miss Sundström, county counci
557811	264393	Lola
557812	80286	
557813	395061	Nancy
557813	401068	Laura
557814	14798	Anciana
557814	199254	
557815	73477	Pilar
557815	222031	
557815	383518	
557815	392290	Mother Carmela
557815	396898	Dorina
557815	397018	
557815	401918	
557815	403752	Luciana
557815	405398	
557816	387275	Jenny García (La Pupuchurra)
557816	389233	Catalina Mendoza (2000)
557816	392963	Esmeralda
557816	393035	Herself
557816	411714	Jenny García (La Pupuchurra)
557817	57468	
557818	73477	Mama de Monica
557818	74351	Mama
557818	222031	
557819	104111	Prostituta 5
557819	397016	Alundia
557821	185964	Airline Attendant
557822	12806	
557823	357360	Laura
557825	231353	Hildegunt
557825	231354	Hildegunt
557825	361499	Cathy Carmichael
557826	231468	Ruth Fähmel
557828	379675	Jake
557829	126275	
557830	113127	La grand-mère
557831	252983	Young Rebecca
557832	123420	Secretary
557833	114642	The Crystals
557833	342802	Angela
557833	379831	Patrice #2 (1989)
557834	107902	Checker Girl
557835	39627	Dancer
557836	321952	
557837	47980	Stewardess
557837	49547	Louise
557837	124224	Model
557837	234034	Sandra Collins
557839	199641	Polly Bond
557840	361357	Store Owner
557841	69977	
557841	236561	
557842	180356	Juliette
557843	201112	Complaining Renter
557844	201112	Biker Chick
557845	89480	Dorka
557846	215092	
557847	134318	Lina
557848	18436	Jerome Davenport's Niece
557848	156286	Eve Repass
557848	384183	Chronicle Staff Writer
557849	158055	Denise Bolan
557850	161584	Herself
557850	168256	
557851	364300	Herself
557852	161584	Herself
557853	185182	Toaster
557854	159863	Natalie Board
557855	8216	Quinn's Secretary
557856	40864	Bar Voice
557857	340724	
557858	101445	
557858	112830	
557858	339919	
557859	9081	
557859	144818	Betty Daniels
557859	176282	Betty
557859	195984	
557859	365174	
557859	372359	Betty
557861	188502	Female Detective
557862	196313	Mrs. Lee
557863	403024	Belen
557864	158141	Woman on copy line
557865	40209	
557866	235750	
557866	327911	Seconda infermiera
557866	343993	
557868	92445	Alice
557868	199144	Marie
557869	272020	Lisa
557870	223937	Woman in ad
557871	316125	Ann (segment "Homo Means Man"
557872	273486	
557873	116753	
557874	129784	Alice
557875	373559	
557876	238815	
557877	235404	Joyce Papadimitriou
557878	7198	Miss Lonelyhearts
557878	33979	
557878	61753	Fanny Kaye
557878	72255	Mrs. Krinkenheim
557878	77643	Gussie
557878	78036	Ma Spinelli
557878	81169	Ma Sloane
557878	106011	Mrs. Smallbridge
557878	112421	Jane
557878	130467	May Bunch
557878	137209	
557878	142892	Miss Flana, Henry's Landlady
557878	159594	Madame Betty
557878	178030	
557878	178342	Fainting Customer
557878	183848	Mrs. Peabody, Belasco's Cook
557878	188562	Mrs. Meggs
557878	190781	Maizie
557878	213453	Bearded Lady
557878	253525	Mme. Thompson
557878	264420	'Shifty' Sue
557878	273251	Mrs. Beadle, the Landlady
557878	273803	Mother Ryan
557878	304367	Fat woman in subway car
557878	337041	Louise, Dupont's Cook
557878	346227	
557878	358177	The Strong Woman
557878	366942	Mrs. Maddy Overhose
557878	367448	Mascha
557878	367460	Mother Price
557878	367781	Hotel Maid
557878	367919	Mud Mask
557879	259345	The Lady's niece
557880	201215	Maisy
557881	230320	Bar girl #2
557882	900	Herself
557882	157499	Ariel
557882	160884	Child with Ice Cream
557883	195551	Rebecca Auld's Sister
557884	277541	Razzel
557885	291293	Holly
557886	195551	Rebecca Auld
557887	900	Herself
557887	157499	Christy
557887	195551	Eileen Cloney
557887	292296	Helena Fitzgerald
557887	411460	
557888	313989	Girl in Bar
557889	128254	Ruth Lang
557890	35889	
557890	276611	
557890	300809	
557890	328924	
557890	410433	Nadia Toropova
557891	98803	
557892	53037	Lola
557892	101765	Linda
557892	118201	Producer
557893	307473	Paula la Maltaise
557893	346516	Corinne
557894	93384	Sasna Kunze
557895	190322	Casey Clark
557896	72931	Goodyear Chorus Girl
557897	239756	Emily
557898	307710	
557899	23331	Holly
557899	195761	Porn actress #1
557899	286873	Hollywood
557899	366752	Secretary
557900	30749	Social Welfare Secretary
557901	61855	Molly
557901	77448	Meg Boyd
557901	155824	Housekeeper
557902	2019	Waitress
557903	291179	Striker
557904	185096	
557905	232386	
557906	13022	Mãe
557906	56581	
557906	71192	Maria Rita Branco Raposo
557906	71377	Senhora 2
557906	107025	Dolores
557906	132220	Isaura
557906	219511	Claire
557906	237502	
557907	381072	Valentina Luna Parejo
557908	14693	Araceli
557908	200539	Ema y Hada Glinda
557908	396826	Zoila
557909	11836	Kundin in Marios Deli
557909	129693	Ariane
557909	409609	Gesine Schwan (1994, 1995)
557910	1548	
557910	2454	
557910	9694	Agente Coral
557910	12026	
557910	12161	
557910	14725	
557910	19504	
557910	21706	
557910	21717	
557910	30404	
557910	31540	
557910	55167	
557910	55602	
557910	57810	Olivia
557910	58393	
557910	65000	
557910	65398	
557910	74647	
557910	76014	
557910	77237	
557910	80311	
557910	84178	
557910	85559	
557910	90364	Teacher
557910	102331	
557910	103507	
557910	121304	
557910	121310	
557910	121733	
557910	123187	
557910	134427	
557910	135349	
557910	145181	
557910	145192	
557910	145262	
557910	171465	
557910	183501	Olivia
557910	188998	
557910	189403	Barrelhead Waitress
557910	189405	
557910	193153	
557910	193495	
557910	198366	
557910	199010	
557910	199968	
557910	207734	
557910	209025	
557910	212055	
557910	212465	
557910	218105	
557910	222530	
557910	226364	
557910	227690	
557910	227691	
557910	227702	
557910	242668	
557910	242675	Lorena
557910	242682	
557910	253324	
557910	253326	
557910	253368	
557910	253664	Claudia
557910	255803	
557910	256792	
557910	259889	La Secuestradora
557910	274954	Laura
557910	276972	Sol
557910	277039	Roxanne
557910	277390	
557910	292925	
557910	294331	
557910	301577	Diana González
557910	310040	
557910	332665	
557910	332982	
557910	334646	Nadia
557910	334693	
557910	335525	Jacqueline
557910	337569	
557910	341651	
557910	351626	
557910	351657	
557910	353410	
557910	375873	
557910	385416	Paulina Cifuentes
557910	409289	Paulina
557911	5762	Wilma Walsh, Sandy's mother
557911	17916	Valeria
557911	26694	Aldina
557911	33283	Mãe Ana
557911	46654	Clara Mataro
557911	51847	Olga
557911	53762	Lolita
557911	55034	Giulia Bonanni
557911	57021	
557911	60693	
557911	68908	Loredana Davoli
557911	84378	Vera Fontana
557911	93874	Helena
557911	96549	Rossana
557911	104491	Eleonora
557911	115172	Flavia Gaetani
557911	122724	Ellen
557911	158856	
557911	158955	Augusta Terzi
557911	161535	Joni Adamo
557911	185739	Erica
557911	187199	
557911	196733	Carol Hammond
557911	199574	Bianca di Falco
557911	203840	Manuela
557911	212123	Nina
557911	213884	
557911	220492	Flora Danieli
557911	234748	Maciara
557911	240261	Mme Labronsky
557911	240277	Kalantan
557911	240289	
557911	243671	Alice
557911	264468	Stella
557911	270832	
557911	282630	Lola Montez
557911	288128	Sophie
557911	295176	Sister Cristina
557911	298178	Herself
557911	307887	Mrs. D'Arc
557911	312857	Gennet
557911	315942	
557911	334536	Walpurga
557911	348163	Anna
557911	356502	Florinda
557911	357122	
557911	379663	Elisabetta Mancini
557911	392741	Corinne Grasso
557911	397920	Helena
557911	401508	Olga Camastra
557911	401513	Olga Camastra
557911	401514	Contessa Olga Camastra
557911	402808	Antonia Fidalgo
557911	411400	Angela Monti
557912	220519	Nurse
557913	7426	Dienstmädchen
557913	17723	
557913	171559	
557913	225216	
557913	225719	Jenny Hagemann
557913	316550	Olly Gebauer
557914	41843	
557914	66942	Maid
557914	95078	Swanson maid
557914	118564	Large Lady
557914	118964	Mrs. Curtis
557914	130829	
557914	163232	
557914	176516	Jail Guard
557914	259828	Mother
557914	333119	Mrs. Davenport
557915	3966	Annabelle
557915	113580	
557915	247177	Schwester Baerbel
557915	308858	Erste Krankenschwester
557916	381436	Paige Davenport (1990-1993)
557917	51248	Claudine
557918	86803	Irma
557918	91392	
557919	102915	Nymphomania
557920	261807	Barbara
557921	14548	
557921	127376	
557922	385299	Lilian Holmes
557923	78789	Naked Woman
557924	9615	
557924	28690	Maria
557924	86803	María
557924	88707	Anita
557924	91392	
557924	101926	Sandra
557924	147378	Cantante en karaoke
557924	165769	Chica
557924	184369	Maite
557924	187842	Leo
557924	202162	Rocío
557924	210165	Maria
557924	211048	Amaya
557924	213402	
557924	233361	Asun
557924	234378	Julia
557924	235254	Julia
557924	248541	Alicia
557924	259847	
557924	288060	Herself
557924	317810	Paula
557924	317811	Laura
557924	319829	Estrella, 15 years
557924	326579	Teresa
557924	334469	Araceli
557924	351558	
557924	353017	Herself - Presenter: Best Dir
557924	369870	Herself - Presenter: Best Mus
557924	369999	Herself - Winner: Best Direct
557924	390172	
557925	4904	Jean Gooding
557926	16222	
557926	76480	
557926	237717	Frau Jeczkowitz
557926	252313	
557926	290712	
557927	114609	
557928	107958	Lilli
557928	254170	La prostituée
557928	265341	
557928	339472	
557929	360161	Cindy's Sister
557930	103425	
557931	247151	Miriam
557932	210343	Herself
557933	311975	
557934	325599	
557935	129218	Socialite
557935	242790	Angelika
557936	77152	Deborah
557936	87218	Pretty woman
557936	92618	Dr. T's Patient
557936	113732	Helen Smith/Sally Howard
557936	115252	Woman with Crying Baby
557936	120106	Booster Wife
557936	139135	Bachelorette Party Guest
557936	140912	Marcia
557936	162820	Sally Redman
557936	222668	Clara Ward
557936	258917	Boutel's Secretary
557936	279166	Joyce
557936	279841	Ellen Murphy
557936	279843	Ellen Murphy
557936	279845	Ellen Murphy
557936	310135	Navigator
557936	329151	Marylou Marlow
557936	383654	Babe Chalifoux
557936	411355	Mrs. Fleck
557937	177643	Mildred Cobb
557938	217816	Girl in Fight
557939	198284	Tabitha
557939	341855	Sunniva
557939	363121	Saleswoman
557940	124459	Brenda
557940	309706	Wanda Vanguard
557941	17998	Regina Hubbard
557941	43744	Ellie
557941	53798	Jessie
557941	57945	Vera
557941	81268	Lioa
557941	175807	Ruth Frazier
557941	177643	Diane Ashley
557941	206368	Girl in the Rain
557941	242509	Judy Roberts
557941	335549	Photo girl
557941	350077	Sam's mom
557941	355365	Lt. Jeffries
557941	364777	Lisa James
557941	365396	Kate
557941	399263	Susan Bradley
557942	64659	Taiko Drummer
557944	215690	Miss Missouri USA
557945	314589	Charlotte
557946	178189	Extra
557948	11784	Marion Blanc-Evert
557948	24002	Vera Sternberg
557948	62887	Rita Hohenfeld
557948	75932	Eva Tornay
557948	91121	Fifi
557948	98043	Helga
557948	104828	
557948	111343	Henny Busch, genannt Hannelor
557948	120995	Anna Lamken
557948	134822	
557948	137639	Herta
557948	142055	Inge Sonnleitner
557948	144183	Juliane
557948	145759	
557948	156992	
557948	157843	Lotte Kackelmann
557948	172375	Prinzessin Christine
557948	172382	Steffi
557948	174175	Annelies Seethaler
557948	180002	
557948	180005	Babette
557948	189551	
557948	239015	
557948	281944	Dora Köslin
557948	289909	Brigitte Grohmann
557948	293866	Vivi Reisch
557948	308844	Fin
557948	311237	Pauline von Heymeneck
557948	321828	
557948	347659	Inge Eckmann
557948	352356	
557948	376275	
557949	225755	Herself
557950	125005	
557950	159607	
557950	204495	
557950	226343	Standesbeamtin Hendrichs
557950	376007	
557950	389359	Bärbel Schmitz (1996-199?)
557950	391472	Dr. Susanne Vahrenholt
557950	392669	
557951	289931	
557952	95952	Miki
557952	323351	
557952	344039	
557952	373551	Buzka, Marek's sister
557952	374190	Jadzia
557952	379134	Ines
557952	404216	Anita Kubiak
557952	411506	Mary Robinson
557953	53897	Marie
557953	101163	La cheftaine
557953	112893	
557953	171325	Vanessa
557953	217728	Clementine
557953	235811	Sylvette
557953	309034	Muriel
557953	346554	Alice
557953	409535	
557954	303552	Shop assistant
557954	320611	Receptionist
557954	322437	Maj
557954	387766	Fostermamman
557955	37480	Party Girl #3
557955	158608	Ad Lib #1
557955	239032	2nd Girl in Lounge
557956	398217	Karina La Fontain
557956	411714	Herself
557957	207947	
557958	128759	
557959	30965	Trapeze Act
557959	110251	Trapeze Artist
557960	10193	
557960	16856	
557960	20100	Olga
557960	28565	
557960	53172	
557960	79157	Maria
557960	85733	
557960	85969	Marie's Mother
557960	104458	
557960	107687	Berta
557960	112639	
557960	128029	
557960	147060	
557960	162086	
557960	184968	La zia di Veronica
557960	196797	
557960	199937	
557960	208796	
557960	212600	
557960	213935	
557960	223116	
557960	243505	
557960	243718	
557960	248224	Henriette Fontages
557960	263704	
557960	276443	Matriona
557960	286593	
557960	300782	
557960	306820	
557960	309248	
557960	339997	Cassiera del Caffè
557960	342136	
557960	344436	Anna's mother
557960	349935	
557960	351850	Pamela
557960	355890	
557960	356218	
557961	251313	Cloack-room attendant
557962	163986	
557962	240480	
557963	351297	Madre dei fratelli Strano
557964	335775	Nansalmaa
557965	162144	
557965	259910	
557965	320493	
557966	96149	
557967	216610	
557968	37	Mara
557968	32848	Miss Battle
557968	63623	
557968	89818	Galya
557968	103615	
557968	132081	
557968	154837	Varvara
557968	164015	
557968	174251	Yuliya Vasilyevna
557968	181312	Tanya
557968	181399	
557968	198125	Tanya
557968	217373	
557968	242477	
557968	249658	Konkordiya
557968	258655	
557968	282980	
557968	294764	
557968	318151	
557968	347840	Lena
557968	371354	Tanja
557968	373998	Tretyakova
557968	386540	
557969	202265	The Third Bride
557970	385131	Anastasia
557971	88353	Daughter of Telemak
557971	175955	Elo, daughter of adam
557971	285864	Wife of procurator
557971	286651	Valida
557971	326066	Vicountess Meri
557972	33326	Pavel "Pavlik" Bachei, a smal
557973	121286	
557974	97886	Alya
557974	400446	
557974	404034	
557975	265023	
557976	302019	
557977	196741	
557977	353201	
557978	343011	Screamer
557979	1168	Elizabeth Knight
557979	73325	Sandy
557979	161839	Pvt. Brenda Riley
557979	257102	Kathryn
557979	276239	Dr. Anna Bolt
557979	341946	Anna
557979	354246	Misha
557979	395919	Nell Miller
557980	11187	Child
557980	157046	Jane/Maria
557981	162996	Samantha (US version)
557982	313211	
557983	406483	Cassie Naylor
557984	381954	Samantha
557985	306363	(segment "To See What It's Li
557986	365616	Dan's daughter
557987	53959	
557987	300361	Dance mother
557988	131983	Married Woman
557989	370260	The french tourist
557990	35537	Dancer
557990	149258	Dancer
557991	35526	Pretty Girl
557991	122188	Bartender
557992	212006	Herself
557992	310591	Herself
557993	180184	
557995	49505	
557995	92474	
557995	126443	
557995	140264	
557995	140268	Carola Vierhaus
557995	189795	
557995	248540	Stewardess
557995	301015	
557995	376368	
557996	223885	Raymond's Girlfriend
557998	162529	Linda
557999	100130	British Prisoner
557999	127105	Lady in Square
557999	133447	Mom
557999	254514	Mrs. Parker (Mother)
557999	313523	Mom
557999	392280	Rita (Bart's friend in Copenh
557999	404470	Miss Prosser
557999	408091	Edna
558000	28203	
558000	193970	Red Anna
558000	367381	Naroutcha
558001	179631	Female Impersonator
558002	166857	Swan
558003	130311	Dancer
558003	382208	Bridget Muldoon
558003	411053	Bridget
558004	100133	Susan
558004	218808	Manuela
558004	327964	Christina Campbell
558004	380344	Tzigane Singer
558004	383376	Sylvia Roux Teng
558004	385299	Lia Hua (1976)
558004	389737	Manga (1976)
558004	406087	Operative June (1975-1976)
558004	407838	Christina Campbell
558005	55589	
558005	104562	Woman
558005	114313	Waitress
558006	16644	Housing Agent
558006	20806	Jenny
558006	137578	Dr. Webb
558006	156537	
558006	220772	Meg
558006	264499	Elizabeth
558006	271259	Pauline Parker
558006	282921	Nurse
558006	358305	Abortion Clinic Nurse no 2
558006	382594	Shirley
558007	76503	
558007	145699	
558007	194843	Duchess of Cornwell
558007	223015	
558008	277222	
558009	360010	Beautiful woman
558010	66049	Sim's Clown Double
558010	346133	Acrobat
558011	252741	Miss Thailand
558011	307905	Nurse
558011	349876	Bianca De Saulles
558011	394346	Liz Mason
558011	411221	FDR's aide at train
558012	279200	Dancer
558013	252935	Chloe
558014	183036	Mme de Washington
558014	241875	Melanie Hazeltine
558015	268835	
558016	303080	
558017	41185	Mrs. Dorothy Fremont
558018	190003	Mary
558019	297269	Patsy
558020	253230	Mother
558021	40497	Remedial Trainee
558022	224106	The Talent Show - Jump Rope
558023	142361	Medtech Personnel
558024	274333	Queen
558025	980	Omega Omega Leader
558025	123030	Lead-DENA
558025	302664	Asia
558025	381493	Co-Host
558025	382168	Cooper Snow
558025	406276	Special Agent Tiffany (2001)
558026	84760	
558027	257435	Rosa Von Zulow
558027	361077	Albrecht Sterenberg
558027	393032	Joey Ortlepp
558027	401955	Shoshanna
558028	177184	Herself
558029	120063	
558030	401879	Herself
558031	383861	(segment "Mauvais joueur")
558032	205746	
558033	251061	
558034	179818	
558035	294160	
558036	232419	Maid in Grindle house
558037	166763	Marie
558038	47975	Mrs. McMullen
558038	273497	Prologue & Epilogue
558038	273498	Prologue & Epilogue
558039	236807	
558040	379248	
558040	383242	Dionisia
558040	392971	
558040	394006	Josefa
558040	401211	
558040	402688	
558040	403753	Cinthia
558041	251821	
558042	333416	
558042	377304	Stanny, Bernhard's sister
558043	363262	Miss Missouri
558044	341611	French singer at Coq d'Or in 
558045	13327	Grete
558045	410253	Pia
558046	182455	Greta
558046	228408	Guest at party
558047	89713	Dresser
558047	162252	Door-lady
558047	171991	Shop customer
558047	173201	The doctor's housemaid
558047	174255	Aronsson's maid
558047	306371	Mrs. Pettersson
558047	316909	Nurse
558048	55195	Micaela
558048	342302	
558049	48361	Flute Player
558049	49199	
558049	94262	Lina
558049	110925	Sofia Dahl
558049	153766	Kristina
558049	169976	Konferencier
558049	175352	Barnmorskan (episodes 1 and 3
558049	198277	Lotta
558049	202763	Barbro
558049	219437	Shop assistant
558049	377305	Dr. Lindevall
558049	402362	
558050	202828	Lena på Mc
558051	379162	Lucia/Fore/Nurse
558052	2256	Police officer #1 at the ice 
558053	33198	Evie
558053	185368	Ethel Barridge
558053	192344	Polly Evans
558054	270975	Gimp Girl
558055	60754	
558055	60755	
558055	327782	
558057	229629	Twin
558057	301626	Twin #1
558058	399377	Herself (Polish candidate)
558059	174028	
558060	229629	Twin
558060	301626	Twin #2
558061	160463	Karen
558061	360483	Cheerleader
558062	679	Herself
558062	13026	
558062	55881	
558062	101860	Denyse
558062	238426	La Reine
558062	377242	Denise Lancaster
558063	337404	Ruiz's Secretary
558064	26201	Little Girl
558064	82407	Louise Leduc
558064	195137	Cliente du magasin
558064	383959	Garde Légaré
558065	202727	TV Interviewer
558067	124296	
558068	168129	Herself
558069	262526	
558070	158118	Rosie Deela
558070	209433	Bertha Morely
558070	308584	Sparrow Song
558070	399689	Rosie Deela
558071	297221	Maxime
558072	396610	Julieta (1998)
558073	230116	Reservation Clerk
558074	28544	
558074	28775	
558074	88346	
558074	98654	Chiquita
558074	202224	
558074	351536	
558074	351537	
558075	139296	Curio Lady
558075	150400	English Dope Pusher
558075	199460	Mrs. Plummer
558076	148069	
558077	55784	
558077	390057	Aurora
558077	392579	Catherine
558077	398033	Carmélite (1973)
558078	202345	Sophie
558079	103106	
558080	7470	Juliette
558080	68331	La starlette
558080	114823	
558080	144317	Alexandra
558080	186192	Fille bijou 2
558080	205973	Isabelle
558080	303533	Jeune femme Passy
558080	319826	Marguerite
558080	384789	(1989-1990)
558080	388120	
558080	396039	Isabelle
558081	346641	Le Garde-forestier
558081	353899	
558081	378022	
558082	14964	
558083	407847	Sara
558084	383111	Herself/Panelist (Animals)
558085	327241	
558086	67642	
558087	92052	
558088	199323	La femme de chambre
558088	408002	Nicole
558089	36911	
558090	13183	
558090	56000	
558090	75564	Beth
558090	85724	
558090	246404	
558090	249897	
558090	292551	Businesswoman
558090	300685	Andréa
558090	318249	
558090	353181	
558090	371767	
558091	240428	
558092	99278	Emma Smith
558092	128154	Rachel
558092	328869	Martha
558093	17498	Pensionatværtinde
558093	33567	Camilla (segment "La cernia")
558093	113574	Sara
558093	132056	
558093	251618	
558093	327908	
558093	337426	
558093	349422	
558093	379549	Melia
558093	402258	
558094	225969	Running girl
558095	128154	Daughter at Park
558096	101867	Chica joven
558096	169794	Ines
558096	260934	Felisa
558096	336265	Lolita
558097	208794	
558098	31696	Japanese Soldier
558099	21625	Genevieve
558099	58532	
558099	83157	La surveillante du pensionnat
558099	309447	Aunt Claudine
558099	381590	Mme La Roche Mathieu
558100	9250	Zongoristanõ
558100	209839	
558101	61354	
558102	106802	Virginia
558103	13192	Cristina
558103	31922	
558103	97139	
558103	112926	
558103	170990	
558103	207082	Pamela
558103	247963	
558103	270783	Smeralda
558103	341792	
558103	399657	Host (1991)
558104	107040	
558105	290862	Rivale Claudia
558106	227611	Hotel Manager
558106	373522	Amelie's Cellmate
558107	111775	Die Kammerfrau/The Lady-in-wa
558107	189831	
558107	228547	
558108	291997	Nikki
558109	64190	Herself (ticket taker)
558110	375706	Louise Washington
558111	13711	Debbie
558112	14946	Xenia
558112	228216	Loredana
558112	319326	Claudia
558113	101921	Lali
558113	410453	Mónica
558114	60145	
558115	5052	Esther's Mom
558115	240644	Woman/Sweatshop
558116	274478	
558116	276442	
558116	300582	Portia
558116	338052	
558117	16682	Skunk
558118	137259	Amusement Park Patron
558119	14884	Delia
558119	30726	
558119	38201	
558119	41658	
558119	90661	
558119	92070	Mother
558119	111840	
558119	112926	
558119	119080	
558119	125795	
558119	128018	Francesca Falcone
558119	219572	Anna
558119	243362	Coro (segment "Eumenidi")
558119	255115	Fedra
558119	261549	Matilde
558119	263718	Marina
558119	267879	Countess Longhi
558119	290898	Laura Serano
558119	302485	
558119	311258	
558119	312245	
558119	315439	Amelia
558119	326536	Sara Cataldi
558119	328205	
558119	344595	
558119	352861	(segments "Stirpe di Iana, La
558119	355125	
558119	399655	Rosaria
558119	404865	
558120	255115	
558121	255115	
558121	266177	(segment Gelosi e tranquilli)
558121	326536	Giulia
558122	29517	
558122	30302	
558122	43666	
558122	44218	
558122	50980	Widow
558122	56327	
558122	66353	
558122	67656	
558122	103883	
558122	117327	
558122	204035	
558122	218426	
558122	222168	
558122	248775	Iaiá Garcia
558122	251716	
558122	274328	(segment "Night of Abandon")
558122	294628	
558122	314340	
558122	328973	(segment "O Corno Imaginário"
558122	349723	
558122	377118	
558122	400098	
558122	403739	Naná
558123	60505	
558123	73140	Madeleine Pazeres
558123	94867	La dame de la brasserie
558123	188917	Une gouvernante
558123	281960	La voisine
558123	282967	Armande Thouars
558123	336311	L'hôtelière
558123	339080	Louise
558123	358172	Jeanne
558123	384209	Marguerite Severin
558123	387553	Louise Gomez
558125	166370	A student
558126	21295	Herself
558126	21296	Herself
558126	58893	
558126	87983	Herself
558126	87984	Herself
558126	155283	Herself
558126	155284	Herself
558126	155285	Herself
558126	155286	Herself
558126	228976	Herself
558126	228977	Herself
558126	352963	Herself
558126	368407	Herself
558127	252772	
558128	93744	Additional Voices
558129	16606	Fanny
558129	41446	Mallory
558129	54652	Andrée
558129	63856	Lydie
558129	83348	Nora
558129	99358	Eugénie
558129	112880	Juliette
558129	112889	Élodie
558129	156553	Véronique
558129	166565	Schoolgirl
558129	205640	Lisa Zagury
558129	219608	La soeur
558129	254024	
558129	255585	Marie
558129	256991	Agathe Rioult
558129	294023	Triyandfilis
558129	319819	Annie
558129	345445	Julie
558129	346653	Vanessa
558129	346730	Olivia Colbert
558129	357177	Léa
558129	377629	Chloé
558130	350670	Prisca
558131	115819	
558132	81973	Franny (Age 3)
558133	214253	Neighbor
558134	96500	Ragazza Chiapas
558135	251313	Anna
558135	256449	Beatrice
558135	301128	
558136	78015	Venetian Wife
558137	154999	Sophie
558138	43977	
558138	383784	Elena Novelli Ferri
558138	386487	Nina Moretti
558138	409788	
558139	177702	Fairy #3
558139	212549	Natalia
558140	63836	Beatrice, la bambina
558140	111377	La bambina
558140	133037	Little girl
558140	273139	The king's youngest daughter
558140	295163	La collegiale golosa
558140	307064	
558140	336268	Little Rosetta
558140	338662	La piccola Anna
558141	64877	Woman With Weapon
558142	182360	Herself (head dancer)
558143	73703	Peanut
558144	17611	
558144	57023	
558145	184608	Black Pawn
558146	402234	Additional Voices
558147	25319	
558147	199059	
558147	199068	
558147	279241	
558147	287646	
558147	311257	
558148	329158	La visiteuse
558149	366006	Vanessa
558150	9653	
558150	69264	Flute
558150	72973	Luisa
558150	127895	
558150	127896	
558150	183478	
558150	207065	
558150	243266	
558150	401402	
558151	98149	Yard Sale Customer
558152	216592	Shepherdess
558152	255608	Waitress
558152	343339	Accountant
558153	243079	
558154	34074	Bibi Blocksberg
558154	82879	Gaby Tochter von Hanna
558154	97239	Ruth
558154	117343	Christa
558154	132217	Operative
558154	275188	Narrator
558154	366522	
558155	242750	DC Gladys Wooley
558155	411353	Sarah Hertright
558156	384448	Co-Hostess/Announcer (1997-19
558157	48003	Annette
558157	231579	Nadia
558157	248165	Vendeuse magasin de sport
558158	104438	
558159	170442	Miss Thomas
558160	55847	
558160	252008	
558160	260900	Anna
558160	402303	
558161	116948	Iracema
558161	385522	Dalva
558161	387902	Cida Barreto
558161	388065	Young Luzia
558161	388565	Eunice
558161	394872	Teresa
558161	396610	Rafa (1995)
558161	401900	Anita
558161	402504	Daniela
558162	270852	
558163	315842	
558164	3566	
558164	43665	
558164	148487	
558164	334468	
558164	345895	
558165	323226	Waitress
558166	187434	
558167	198	
558168	40316	La cliente au village
558168	149958	Bonne
558168	165243	Brigitte
558168	183221	The Spy
558168	266235	
558169	218336	2nd Postulant
558170	57747	Punta Member# 1/Inmate
558171	235779	
558172	38486	
558173	122914	Claudet
558174	317329	
558175	251087	Himself
558175	398874	Dr. Edyta Kuszynska (2001-)
558176	124594	Miss Fowler
558176	194513	Miss Fowler
558177	187332	Melanie Jenkins
558178	46353	Nurse
558178	62898	Last Party Guests
558178	187343	Nazimova
558179	196598	
558180	43941	Seria
558181	34055	Newscaster
558182	106362	Amanda
558183	295781	
558183	296995	Mingetastic--Co-presenter
558184	315076	Little Girl
558185	236345	
558186	349973	Marie
558187	55711	Barbara Sinclair
558187	88242	Ella Allan
558187	116737	Clare
558187	271243	Alice Ripper
558188	48506	Starlet
558190	354677	Linnea
558191	56880	Mom #2
558191	91881	Waitress at Malibu
558191	101711	Lorillian mother
558191	118873	Co-Worker
558191	208390	Mrs. Didion
558191	231396	Bridget
558191	321367	Greta
558192	224179	Waitress
558192	303905	Wendy
558194	82010	Temptress
558194	145011	Rosalind
558194	391558	Rosalind
558195	89308	The Girl
558196	29669	
558196	55928	Liza
558196	157771	Jan
558196	246861	Pajama Girl
558196	321571	Girl in Pink Polka
558197	323881	Olympia
558198	235541	Lon's Secretary
558198	365454	Pool party girl
558199	41120	
558199	264639	
558200	309927	Mrs. Wiggins
558201	16739	Lena Golspie
558201	68689	Mr. Lansings Secretary
558202	296947	Milly Fargo
558203	11530	Herself
558203	40056	Royal Reporter
558203	96867	Herself
558203	169815	Herself/interviewee
558203	232018	Herself (Mockstars contestant
558203	328801	Celebrity Participant
558203	328804	Celebrity Participant
558203	381452	Herself - Royal Correspondent
558203	392463	Herself (Series 3) (2004)
558203	399484	Herself - Royal Correspondent
558204	79272	Brad's Girlfriend
558206	770	
558206	2436	
558206	34841	
558206	34879	
558206	99769	White Faced Girl
558206	102826	
558206	106116	Britt Campbell
558206	291274	
558206	296035	Sasha
558206	323972	Judy
558206	354752	Kim
558207	384695	Various roles
558208	126060	Nasia's friend
558209	155824	Karen
558209	295833	Sheley Coates
558210	69381	Bikini Girl
558210	238687	Samantha Worthington
558210	348518	Polly
558211	16710	Woman From Orphanage
558211	16746	Mother
558211	140636	Wardrobe Lady
558211	241058	Mrs. Neederman
558211	275322	Mopper
558211	279766	Sister Angelina
558211	305377	Reporter #2
558211	314104	Yogi Beer
558211	371373	Miranda
558212	208078	
558212	298100	
558213	30647	Hand puppet model
558213	31715	Diva
558214	257606	
558215	230605	
558217	109667	
558218	96741	Curl Up and Dye Dancer
558219	58666	Caroline McAuliffe
558220	52160	Stan's Mum
558222	185820	Miss Lovecraft
558222	249420	Anne Friar
558223	161755	WAC
558224	7481	Carlotta
558224	9117	Irene Wilkins
558224	32191	Girl at Bar
558224	36830	Dorothy Norton
558224	37470	Daisy's girl
558224	38803	Mrs. Millie Waller
558224	40952	Roberta Trent
558224	62047	Mrs. Timmons
558224	83932	Adele Belden
558224	87477	Evie Wynne
558224	91738	Monica Paige
558224	113948	June Farnum
558224	133698	
558224	142354	Millie
558224	143406	Jill McAllister aka Laura Ger
558224	144880	
558224	147804	Herself
558224	150276	Hortense
558224	150321	Eva Randolph
558224	151191	Gladys Fontaine
558224	163654	Edna Jackson, Boynton's Secre
558224	168930	Woman
558224	171025	Lady Agatha Carrol
558224	202851	Carlotta Cortez
558224	203159	Annie Rowley
558224	204191	Sewing Girl
558224	208741	Margaret Dilling
558224	233784	Mary Grail
558224	234471	Mrs. Billings
558224	239572	Gladys DuCane
558224	255167	Muriel Stevens
558224	255327	Kate
558224	256641	Sono
558224	277942	Betty Harper
558224	285439	Sheriff's Daughter
558224	291080	Lady Constance
558224	306126	Mrs. Fitzpatrick
558224	312323	Babs
558224	314482	Cleo
558224	318226	Mrs. Muriel Webster
558224	323373	Thelma Green
558224	329421	Old Jolyon's Maid
558224	337468	Lola
558224	339407	Dolores Divine
558224	347120	Actress on Train
558224	361806	Lily Langtry
558224	363029	Marian Drake
558224	367919	Mrs. Erskine
558225	81053	The Resurrected
558226	78161	Bonita
558227	103163	Elena
558228	215858	
558229	62665	Cousin
558229	100906	Judy Hiatt
558229	141109	Daisy Bell
558229	237600	Mrs. Bunny
558229	252853	Wilma
558229	257689	Witness
558229	260362	Daisy
558229	299846	Dora Willis
558229	360741	Lombardo
558230	151382	Monica
558231	222194	Ruth Elms
558232	292225	Additional Voices
558233	50382	
558233	282096	
558233	290518	
558234	245883	Dorothy
558234	266914	Sandy
558235	84833	Mrs. Minushkin
558235	241106	Roz French
558236	137453	Party hater
558238	51993	Queenie
558238	356472	Herself - The Media
558238	391835	Talking head/soundbites (segm
558239	36880	
558239	36915	
558240	330154	Dancer
558241	33772	Sammy's Girlfriend
558241	35130	Betty, waitress
558241	48280	
558241	64931	
558241	66923	
558241	70309	
558241	71746	
558241	85033	Frenchy
558241	114656	Toni
558241	128258	Girl in a Basket
558241	135395	
558241	139143	
558241	140486	Lady Godiva
558241	146784	
558241	148880	
558241	150089	
558241	150284	
558241	150424	
558241	154982	
558241	160329	Diane
558241	161741	Bee lady
558241	165514	
558241	177061	
558241	187411	Herself
558241	190726	
558241	211527	
558241	224111	
558241	226913	
558241	229242	Shirley
558241	247918	
558241	249530	
558241	251758	
558241	251792	
558241	257860	Bunny Waitress
558241	257961	Harry's Wife
558241	264807	Hilda McTash
558241	295632	Miss Scott
558241	295891	
558241	296029	
558241	296046	
558241	306211	Madie
558241	309990	
558241	326510	Andrea
558241	326773	
558241	335110	
558242	185765	Rose Martin
558243	138220	Black woman
558244	402627	Hannah Durgens
558245	34646	Herself
558245	39330	Bridget Mordaunt
558245	40760	Caroline Lamar
558245	43358	Patsy
558245	43451	Herself
558245	43952	Marsha Hillier
558245	46444	Dr. Lisa Temple
558245	86263	Miss Moneypenny
558245	90795	Kate Donovan
558245	99952	Mrs. Weston
558245	102500	Helga
558245	152915	Lady Patricia Whitton
558245	165264	Miss Moneypenny
558245	165265	Herself
558245	169959	Herself
558245	221166	Helen Nash
558245	222681	Julia Simmons
558245	228989	DS Maureen Picasso
558245	234188	Narrator
558245	241813	Sue
558245	282933	Mary Spencer
558245	335336	Miss Moneypenny
558245	346136	Francesca Jenson
558245	362380	Jane
558245	368418	Miss Moneypenny
558245	368419	Miss Moneypenny
558245	371303	Kate
558245	382668	Miss Moneypence in 'Rodney Bo
558245	383363	Jane Barlow, producer (The Wi
558245	386482	Lisa Shore
558245	388350	Isabel
558245	390083	Mary MacKenzie
558245	396772	Maria Bertram/Maria Rushworth
558245	399103	DS Maureen Picasso
558245	403926	Elizabeth 'Mizz Liz' Probert 
558245	407667	Sarah Baylis
558246	235510	Health Club Girl
558246	253248	Groupie
558246	290346	
558247	47334	Lady at Party
558247	112991	Herself - Tap Dancer
558247	206476	Joan Shipley
558247	311316	Model/Dancer
558247	392879	Herself
558248	74048	PA Romy
558249	308094	Waitress
558250	79083	Gillian
558250	82738	Zorn's Wife
558250	108627	Mrs. Cole
558250	304732	Mother
558250	365141	Sue Blair
558250	383627	Fiona Morris
558251	48566	Herself
558252	16445	
558252	44374	Wilma
558252	66978	Cissy
558252	67791	Juanita
558252	91939	
558252	101570	Mrs. Raftery
558252	117540	Norman's Mother
558252	130602	
558252	133937	Emma Smurch
558252	136030	Sudie
558252	154044	Edna
558252	168675	Cleaning Lady
558252	168907	
558252	170538	Ernestine
558252	196068	
558252	287135	Annie
558252	301855	Thelma Rice
558252	321526	Annie
558252	330194	Maud
558252	332785	Miss Lane
558252	335316	Mrs. Hulie
558252	355051	Mom Millmore
558252	363422	Miss Fleetie
558252	388927	Mama Velma Castleberry
558252	390771	Viola Stapleton #1 (1975)
558252	407794	Martha Mercy (1973-1974)
558253	34729	
558253	72911	Girl in Tavern
558253	112743	Karen
558253	119599	Girl in blue film (1)
558253	125986	Marlene
558253	186796	Janeen
558253	200492	Girl with Glasses (segment "L
558253	237465	
558253	292856	The Call Girl
558253	363777	Desiree
558253	371310	Maria
558253	381661	Various Roles (1970-1973)
558253	383582	Whore
558253	388589	Dolly (1971)
558253	397793	Rita (Series 4) (1986)
558254	20625	Extra
558255	41253	
558255	87195	
558255	151678	Pam
558255	190706	Kim
558256	237536	Nelly Vardová
558257	101055	Woman officer
558258	84200	Herself- Payload Specialist
558259	302427	Miss Tanya
558260	53318	Student
558261	381530	Empress Alexandra
558262	26245	
558262	84469	
558262	132150	
558262	163039	
558262	180746	
558262	188005	
558262	207570	
558262	229191	Irina
558262	307751	Hari
558262	343302	
558262	349302	
558262	350801	
558262	357706	
558262	373270	
558262	373274	
558262	374845	
558262	376218	Volkonskaya
558263	44391	Tsarevna Kseniya
558263	174253	
558263	249149	
558263	259040	
558263	357334	
558263	374845	
558264	48764	
558265	28258	
558265	262660	
558266	60449	
558266	349353	
558267	86611	
558267	340658	
558268	305211	
558269	352931	Valencienne
558270	138461	Moster Helga
558271	360795	Doodle
558272	255901	
558273	80991	Herself
558274	242519	Blind Date
558275	256962	Stripper
558276	229053	Gisèle
558276	396175	Zélie
558276	412263	
558277	95432	
558277	252589	Heloísa
558277	384117	Maria Isabel Ribeiro do Amara
558277	384137	Marieta
558277	392510	Olga
558277	400445	Giusepina
558277	407868	Mariana
558278	25379	Bess Morton
558278	215471	Miss Arizona Farnley
558278	230605	
558278	302953	
558278	342973	
558278	345684	Nancy Lee/Dick Lee
558278	355522	
558278	359516	
558279	60179	
558280	16074	Aunt Em
558280	20851	Mrs. Tozer
558280	26717	Martha Spangler
558280	26787	Bertha Barnes
558280	27149	Mrs. Larkin
558280	30255	Loma Morales
558280	37059	Hannah
558280	46329	Mrs. Annie Reed
558280	48539	Aunt Charlotte
558280	54487	Angie Peabody
558280	56139	Mrs. Livingston Ames
558280	63158	Mrs. Haggett
558280	113634	Miss Van Alstyne
558280	121982	Mrs. Anaheim
558280	131426	Dr. Schultz
558280	132016	Rachel Jackson
558280	141481	Madame Letizia, Napoleon's Mo
558280	144776	Clara Kingsley
558280	154376	Etta Lane
558280	161934	Lady Arabella Stevens
558280	163485	Ma Bailey
558280	185931	Woman analyst
558280	190193	Miss Martha Bogle
558280	193700	Minniver Bryan
558280	200881	Abigail Goode
558280	201458	Lucy 'Ma' Cooper
558280	218734	Mrs. Boyce Medford
558280	221130	Ma Smith
558280	221133	Mrs. Hangale
558280	238507	Mary Wilkins
558280	240457	Nellie Northrup (Granny)
558280	241349	Mrs. Lydia Sandow
558280	244842	Miss Horn
558280	244924	Mrs. Myrtle Webb
558280	246730	Frau Koerber
558280	252286	Miss Oliver
558280	271167	Mrs. Davidson
558280	273225	Mrs. Burke
558280	274924	Nurse McKenna
558280	275057	Grandma
558280	275452	Mrs. Sargent
558280	279733	Mother Church Mouse
558280	285782	Hester Rivercomb
558280	298016	Angela Medina (Mrs. M)
558280	298069	Agatha Kittredge
558280	298438	Aunt Mollie
558280	303232	Mary Kenny
558280	303307	Rose Elliott
558280	305934	Mrs. Greer
558280	306400	Grandma Kincaid
558280	309939	Granny Tucker
558280	316273	Beatrice
558280	316692	Emma Jones
558280	318773	Mrs. Emily Hamilton Hamble
558280	324262	Annie Call
558280	324266	Mrs. Call
558280	335477	Mme. Bonnard
558280	337306	Ma Bridges
558280	337625	Melissa
558280	342715	Mrs. Slag
558280	346204	Miss Thornton
558280	347068	Emma Hochen
558280	352752	Mrs. Wheeler
558280	355837	Mrs. Morgan
558280	359863	Anise
558280	368033	The Gypsy ('The Dancing Princ
558281	133962	Bess
558281	256527	Swimming Deb
558281	276424	Sarah, woman at healing
558281	307579	Trigger
558281	323564	Checkout Girl
558282	374456	Farm Girl
558283	340079	Kirsten
558283	371059	Jerry
558283	373985	Kirsten
558284	363826	Young White Fang
558284	404897	Lexine (1992-1999)
558285	74893	
558285	112700	
558285	150555	
558285	153572	
558285	260993	
558285	395334	Margie
558286	2252	(segment "Sida, c'est les aut
558287	25385	
558288	198549	Sophie
558289	100099	Executrix Speaker
558289	112290	Weeping Woman
558289	285794	Mel Taybach
558289	309213	Natalia
558289	310171	Bio-Mechanical Warrior
558290	341926	Paralegal
558292	142510	
558293	292275	Christian Girl
558294	316153	Orange haired girl
558295	26041	Flora
558295	26834	Snail
558295	50607	Ruth (Age 5/6)
558295	103357	Marilyn
558295	115712	Allie Dellenbach
558295	127679	Young Gilda
558295	193960	Girl #1
558295	280626	Zowie
558295	280627	Zowie
558295	389264	Snail
558295	396420	Maggie
558295	403657	Zowie
558296	40613	Debbie
558296	112188	Nancy Kelly
558296	384097	Nurse Katie Grahams (1990)
558296	389700	Maggie Ridley
558296	400516	Barbara Cox
558296	411011	Jeannie Tanner
558297	92397	Herself - Stewardess, Air Can
558298	266614	
558299	108951	Lizzie Coggan
558300	1826	Prostituierte/Prostitute
558301	127380	
558301	147060	
558301	202499	Giovanna, la governante
558301	255127	La signora Barborin
558301	265724	La vecchia nel castello dell'
558302	383770	Marcela
558302	387171	María Inés
558302	390614	Margarita
558302	398816	
558303	124544	
558303	234341	
558303	380477	María
558303	383769	Laura Corran
558303	386294	
558303	387473	Elvira
558303	387904	Katy
558303	389938	
558303	391419	Patricia
558303	396646	Anabella Mazziotti
558303	396781	Silvina
558303	396860	Clara
558303	397013	Dorita
558303	403651	Chichita Banegas de Uriarte
558303	410289	Carlota
558304	387429	Maribel
558305	14890	Bionda
558305	39022	Franca
558305	243266	
558305	336650	Barbara
558306	1664	Punk Dancer
558306	57929	Girl at Salsa Club
558306	387987	Ruth's Daughter
558307	287429	
558308	133056	
558308	166376	
558308	302549	
558308	389587	Paulette
558309	15051	Epiphanie
558310	382741	Guta
558311	202528	Host
558312	8640	
558312	14579	
558312	95891	
558312	97932	
558312	100608	
558312	105863	
558312	174583	
558312	174631	
558312	179635	
558312	180456	
558312	181392	
558312	212553	
558312	234795	
558312	243080	
558312	254247	
558312	310241	
558312	329173	
558312	354475	
558312	370045	
558313	41757	Marisa
558313	325033	
558314	64377	
558315	23886	Frau Vibiral
558315	72775	
558315	93581	Krankenschwester
558315	97234	Mrs. Radke
558315	101355	
558315	102881	Sadistische Ehefrau
558315	125279	
558315	129833	
558315	140264	
558315	169121	Mutter
558315	169125	
558315	170675	Babs' Mutter
558315	178781	Käthe Malzahn
558315	180473	
558315	187526	Sozialfürsorgerin
558315	198938	
558315	207933	Mrs. Edelhuber
558315	225131	Angelika
558315	225640	Maria Stein
558315	248540	
558315	290516	Dr. Hammacher
558315	290525	Ottilie Strassmann
558315	290839	Frau Struckmeier
558315	325402	
558315	364931	
558316	26258	
558317	298431	Anne
558318	18540	
558318	297338	
558319	210730	Female Trucker
558320	306058	Hannah
558321	76269	Beverly
558322	9669	
558322	21718	
558322	55451	Prostitute
558322	74137	
558322	74555	
558322	80278	
558322	82224	
558322	83888	Marcela
558322	90113	
558322	103371	Rosario
558322	121258	
558322	135057	Lourdes
558322	136596	
558322	139897	Claudia
558322	167815	
558322	184729	
558322	253416	
558322	253596	Blanca
558322	265114	Lupe
558322	269219	
558322	272000	
558322	282938	
558322	318010	
558322	324279	
558322	351461	Aurora
558322	377190	Carmen
558322	378975	
558322	383556	
558322	384771	Madre María
558322	402585	
558322	404989	
558322	406844	
558322	410313	Paty
558324	125661	
558325	16511	Herself
558325	16677	Epiphany Proudfoot
558325	29311	Priscilla
558325	31202	Herself (NBC Team)
558325	37650	Queenie
558325	71289	Herself
558325	71291	Herself; Denise Huxtable Kend
558325	80424	Catherine Briggs
558325	101070	Rachel F. Banks
558325	121864	Herself
558325	144804	Marie DeSalle
558325	185900	Heather Lelache
558325	220212	Herself
558325	230603	Lily
558325	358806	Herself - Performer
558325	364100	Mae Evans
558325	364101	Mae Evans
558325	385055	Denise Huxtable Kendall (1984
558325	386338	Denise Huxtable (1987-1988)
558326	132679	
558326	205025	Manuel's mother (The Village)
558326	235886	Intérprete
558327	79900	Helena
558327	84960	Tanya
558327	85992	
558327	107493	Scheherazade
558327	133962	Suzie Gomez
558327	168531	Specialty dancer
558327	234465	Nocturna
558327	312171	Belly Dancer
558328	93705	
558328	97538	
558328	128338	
558328	295648	
558329	77248	Mercedes
558329	167601	Mariana
558329	272693	Noia 2
558329	349883	Ana
558330	189026	Bruja de Mougas
558331	49044	
558331	65043	
558331	74374	
558331	131137	
558331	149512	
558331	199793	
558331	242672	
558331	243614	
558331	269269	
558331	337574	
558331	351452	
558332	150268	
558332	263076	Gina
558332	296698	Seamstress
558333	3163	Nun
558333	164364	Nurse
558333	346198	Desk Nurse
558333	362188	Angie
558334	399657	
558335	158553	
558336	378628	Peasant
558338	97977	Dulcinea, a madridi dúsgazdag
558339	49184	Lyuba
558339	223597	
558339	223599	
558339	327925	Ljuba
558340	175121	Hillary
558341	338623	Violetta Valery
558342	3169	Bit part
558343	336828	Isis
558344	1938	La patronne du café
558344	23686	
558344	31354	Mme Eugène
558344	207051	Norma
558344	265341	
558344	304441	Marie
558344	346675	
558345	62569	
558345	272454	Jonquille
558345	346707	Anna
558346	20800	
558346	87623	Romy
558346	113674	
558346	344605	
558347	94664	
558348	90506	
558348	217123	Elsa Pasquali
558348	217886	Nina Swanson
558348	234777	Rosina
558348	252672	
558348	270841	Lucia
558348	294708	
558348	339634	
558348	353245	Giuditta
558349	342151	
558350	36513	Melania Hamilton
558350	183148	Signora Martini
558350	336146	Mimi
558351	346618	Pleureuse
558352	377081	
558353	353073	
558354	88193	Liliane
558355	182623	
558356	287616	la voyageuse méfiante
558357	254053	Hotel Manager
558358	369443	Sara, la madre
558359	79616	Bankassistent
558360	41416	Darling Dead
558361	96164	
558362	107022	
558362	280866	
558362	406833	Wanda
558363	8979	
558363	17381	
558363	57453	Maria Leite
558363	84410	
558363	88330	
558363	98760	
558363	171532	(segment "Oh! Dúvida Cruel")
558363	222149	
558363	275019	Agripina
558363	302549	
558363	317719	
558363	319391	
558363	354985	
558363	382375	
558363	383130	Cláudia
558363	383370	
558363	388940	
558363	397553	
558363	407802	
558363	408942	Luiza
558363	409925	
558363	410188	
558363	411739	
558364	390410	Marjolein (2000)
558365	205746	
558366	142985	Clown
558367	18240	Lucia Flieder
558367	347635	'Sternchen' Lisa
558367	350855	Jessica
558368	97407	Newscaster
558369	231623	
558370	352029	Gerrie van der Laan
558371	127642	Monika
558371	185744	Young Woman
558371	404899	Finchen (1999-)
558372	126340	Herself
558373	92618	Psychiatric Patient
558373	247415	April Smith
558373	329151	Nellie
558374	71466	Bart's Date
558375	51362	
558375	109642	Isabel Fairbrain Ritt
558375	247984	
558375	270840	
558375	287771	Caterina Mancini
558376	212083	
558377	148385	Virginia Wolf
558378	42311	Bonj
558379	138472	
558379	234716	
558379	256454	
558379	383784	Ginevra Accardi
558380	43931	Bounce's Mother
558381	347194	Une demoiselle de l'Allée Raf
558382	37057	Jenny (Young & Senior) & The 
558382	50598	
558382	55471	Milly
558382	57665	
558382	59578	Mrs. Bucket
558382	70959	The Corpse Bride
558382	77837	Pandora/Julie
558382	78744	Faith (adult)
558382	109622	Marina Oswald
558382	112290	Marla Singer
558382	116847	Mum
558382	118777	Chiara
558382	118925	Elizabeth
558382	126688	Lady Minerva Munday
558382	137923	Ophelia
558382	140678	Serena Staverley
558382	141279	Dinah
558382	142929	Anne Boleyn
558382	151761	Helen Schlegel
558382	175163	Rosemary
558382	183722	Lady Jane Grey
558382	192545	Ingrid Formanek
558382	201735	Herself
558382	205417	Margaret MacNeil
558382	207072	Iris
558382	208189	Lady at Cricket Match
558382	211500	Morgan Le Fey
558382	213452	Amanda
558382	229135	Herself
558382	236047	Susan Ivey
558382	243148	Herself
558382	250827	Netty, The Past (introducing)
558382	254259	Narrator
558382	257296	Ari
558382	261116	Ada
558382	277123	Karen Knightly
558382	281446	Lucy Honeychurch, Miss Bartle
558382	329917	Jane Hatchard
558382	333047	Ruby
558382	342367	Olivia
558382	355350	Jo Marriner
558382	358734	Lady Tottington
558382	363261	Caroline Abbott
558382	366192	Kate Croy
558382	367886	Cora
558382	390599	Vera Brittain
558383	67834	White Girl #2
558383	305737	Herself
558384	308671	Herself
558385	149455	Ivy Hotel waitress
558386	68769	Herself
558387	67834	White Leader
558387	305737	Herself
558388	78796	Waitress
558389	183845	
558390	141279	Clarissa
558391	94535	Caroline
558391	252320	Blanche-Marie
558392	70723	La mère de Micheline
558392	341353	
558393	33084	Lady Millicent Coombe
558393	33702	
558393	98777	Lady Hobbs
558393	100847	Mrs. Edwards
558393	144974	Aunt Mary
558393	160784	
558393	183375	Dora Lester
558393	203200	Sister at Newhaven
558393	274394	Ella
558393	280832	Mrs. Jamison-Walker
558393	328592	Mrs. Morell
558393	338808	Sister Angelica
558393	359077	Baby Face
558395	411420	Herself
558396	120674	Une dame
558396	167240	Solange
558396	190970	
558397	354151	Florence Dandieu (8 years)
558398	62945	
558399	25539	Tasaka (Ayane's Mom)
558399	123108	Adrienne
558399	123112	Additional Voices
558399	167257	Mizuki Seo, Additional Voices
558399	293450	Kumi
558399	300594	Juri Arisugawa, Shadow Girl F
558399	383107	Rie Takai, Girl, Atsuko Abe
558399	390537	Additional Voices
558399	392570	Tachibana
558399	394175	Yurika
558399	401740	Additional Voices
558399	405278	Jury Arisugawa/Female Teacher
558399	405633	Mimi/Nene
558399	410444	Tequila
558399	411449	Yuki Kashiwazaki, Additional 
558400	58170	Female Counter Customer
558401	228316	
558402	69942	
558403	69149	Herself
558404	6279	
558404	6509	
558404	24902	
558404	65544	
558404	68894	La Colombine (part 2 only)
558404	76166	LaComtesse Tamberlani
558404	77234	
558404	111047	
558404	111951	
558404	113701	
558404	116350	
558404	124984	
558404	125144	Angelica, Clarinas Tochter
558404	174565	
558404	198600	
558404	215516	
558404	217103	
558404	217924	
558404	229064	Lia Berthier
558404	255094	
558404	262639	
558404	264346	Prinzessin Xenia
558404	269102	
558404	269481	Elena
558404	277737	Suzanne Sandi
558404	278752	
558404	279039	Alma
558404	289385	Scampolo
558404	290896	
558404	315450	
558404	344610	
558404	349522	Lina Hobart
558404	351911	
558405	35550	Mevrouw Motes
558405	43381	Mariette
558405	48156	Rosalie
558405	60968	Liz
558405	76447	Melanie
558405	90827	Barones Boboni
558405	125356	Vrouw van de kantonrechter
558405	125394	
558405	126454	
558405	126861	Boerin Van Paemel
558405	142745	Zij (Agnes)
558405	163087	Barmaid in Gent
558405	178603	Bessie
558405	179814	
558405	187066	Moeder Breydel
558405	188001	Ferket
558405	195030	Bootvrouw
558405	202636	Moeder
558405	202700	Beatrice
558405	203777	Mevrouw Perella
558405	213566	Barones Latour
558405	231693	Betty
558405	245609	Ann
558405	248412	Onze-Lieve-Vrouw
558405	257105	Martha
558405	258170	Bessie Burgess
558405	273756	Verool
558405	304899	Moe
558405	331968	Yvette Backx
558405	349598	Margreet
558405	350299	Fernande
558405	356103	Raymonde Chandebise
558405	356817	Mevrouw Bergmann
558405	357312	Madame Frosine
558405	357378	Kate
558405	371288	
558405	379770	Elvire Goeleven (1998-1999)
558405	393919	
558405	397318	Directrice
558405	403417	Irma Vanderkinderen
558405	408151	Yvette Backx (2001-)
558405	411116	Germaine, waardin in Leuven
558406	195397	Young Jeanne
558407	82938	
558407	86065	
558407	213799	
558407	219595	
558407	247961	
558408	146515	
558408	212390	
558408	255506	Jou-Jou
558408	353355	
558408	386782	
558409	30581	Amelia
558409	76603	Jody Mitchell
558409	98149	Erica's Sister
558409	159200	Tara
558409	192010	Nan Harding
558409	194681	Olivia Barker
558409	194706	Allison's Friend #1
558409	333192	Victoria Walker
558409	336556	Munchkin #2
558410	184485	Kyra
558410	328730	Karma
558411	7318	
558411	13009	
558411	14902	
558411	16864	
558411	25313	
558411	33558	
558411	56929	Andreina, madre di Gianfilipp
558411	57302	Isabella
558411	71159	
558411	86114	
558411	118615	Maria
558411	127985	
558411	199996	
558411	227292	
558411	243372	
558411	255135	
558411	270840	
558411	290923	
558411	294772	
558411	296522	
558411	322713	Simone
558411	327452	(segment "Scena all'aperto")
558411	336588	
558411	390090	Kay Richardson
558411	397297	Edda
558412	176229	Jacqui
558413	190482	Model #1
558414	160193	
558414	204042	
558415	81541	Rachel
558415	115162	
558415	156194	Woman at Savoy
558415	271364	
558416	340779	Mrs. Bagby
558416	358561	Mexican Athlete
558417	5625	Dinner Guest
558417	11266	Mother-in-law
558417	11569	Party guest
558417	14609	Prisoner
558417	16496	
558417	16640	Brawl spectator
558417	17416	
558417	19167	Woman
558417	26294	Party guest
558417	32209	Mrs. Fletcher
558417	32499	Mrs. De Puyster
558417	35420	Woman
558417	35573	A Gossip
558417	37921	
558417	39341	Cultist
558417	40853	
558417	44485	Gambler at Roulette Table
558417	47311	
558417	52641	
558417	54989	
558417	63158	Auction Extra
558417	65127	Dress Saleslady
558417	69338	Actress
558417	72576	Mrs. Van Bustle
558417	77681	
558417	79958	Bystander at Baccarat Table
558417	92738	
558417	96669	Screaming Woman
558417	96986	Roulette Player
558417	107873	Guest
558417	109724	Marie Jordan
558417	115139	
558417	122673	Landlady
558417	127674	Gambler at roulette table
558417	128790	
558417	128889	Professor Clotilde Federa
558417	129779	Mrs. Gray
558417	130712	
558417	131362	
558417	134553	
558417	137498	
558417	137534	Mrs. Smythe-Smythe
558417	141668	Mrs. DePuyster
558417	143191	Maid
558417	144766	
558417	146343	Mrs. Hubblebubble,
558417	151097	Blackjack Player
558417	157645	Townswoman
558417	158456	Mrs. Gottrocks
558417	163654	Autograph Seeker
558417	166883	Mrs. Pennyfeather
558417	167519	
558417	168119	Peasant
558417	186700	Club Extra
558417	193306	Dancer with mouse down dress
558417	194831	Slave Girl
558417	202998	Matron
558417	203564	Woman in Audience
558417	209618	Cook Show Hostess
558417	212974	Mrs. Bixby
558417	219419	
558417	220557	Actress on the screen
558417	221307	Clothing Fitter
558417	222671	Katura the Seeress
558417	222678	Theatre Patron
558417	230742	Party Guest
558417	233044	Gossip
558417	233508	Lady having bridge party
558417	235695	Grand Dame
558417	239008	
558417	239027	
558417	241283	Woman
558417	241595	
558417	248834	
558417	248839	Party guest
558417	253760	Mrs. Smythe-Smythe
558417	256111	Mother-in-law
558417	256634	The Lotus Lady
558417	256849	
558417	258276	Party guest
558417	270666	
558417	276713	Hedwig
558417	280493	Charcoal burner's wife
558417	280685	Mary's Aunt
558417	289979	Mrs. Norfleet
558417	290968	
558417	298209	Mrs. Cynthia Hickenlooper (Un
558417	304534	
558417	304961	Undetermined Role
558417	305044	Mrs. Morgan Morgan
558417	307925	Mrs. Winthrop
558417	309588	Nurse at 'The Manger'
558417	311621	Well-dressed woman
558417	315322	Mrs. Bixby/Party Guest
558417	316908	
558417	316918	Mrs. Barker
558417	323940	
558417	325140	Sara, Arab Woman, Conspiring 
558417	328296	Guest
558417	329429	Wedding Guest
558417	343033	Lane's mother-in-law
558417	343103	
558417	346877	Extra in Froggy's dream
558417	347736	Milly (Avy's wife)
558417	349634	Mrs. Norfleet
558417	353617	Lady Who Sits in Wet Chair
558417	359717	Maid of Olympia
558417	360671	
558417	365926	White House Reception Guest
558417	367577	Tess' Party Guest
558417	367781	Lady Behind Claudius on Boat
558417	372152	Woman pushed into swimming po
558418	243392	Euridice
558419	184233	
558420	96958	Julio's Mother
558421	9939	
558421	28964	
558421	148121	
558421	248779	
558421	322717	
558422	287694	
558423	3055	Song Performer "Belleville Re
558423	339924	Triplets
558424	29792	
558424	81596	Lidia
558424	257886	
558425	243266	
558426	275803	Teresa
558427	383293	Belinha
558427	386214	Candinha
558427	392628	
558427	408942	Young Adélia
558427	412257	Young Maria Isabel
558428	277398	Queen's lady
558429	35239	New Year's Party Flirt
558430	280573	Girl
558430	395043	Rebecca
558430	396713	Mirna de Aguirre
558431	84258	Cliente telefonía 2
558432	268047	Esther
558433	249805	Sonia
558434	371722	
558435	5056	Girl in Shower
558435	44270	Secretary
558435	66589	Paramedic Sandy Friese
558435	95271	Consuelo
558435	148440	Nurse
558435	184714	Hôtesse
558435	263481	Grace Chavez
558435	277643	Gangbanger
558435	339358	Court Reporter
558435	340775	Lisette
558435	386897	Teresa Morales (1996-1997)
558436	74602	María de los Ángeles
558436	246405	
558436	267404	
558436	332577	
558437	104121	Court secretary
558438	41843	
558439	17881	
558439	51902	
558439	74812	
558439	80338	Leonor
558439	95012	Clotilde
558439	145211	
558439	148033	
558439	189369	
558439	217308	
558439	246295	
558439	251724	
558439	256367	
558439	263830	Milagros García
558439	338948	Pilar
558439	353557	Magdalena/Jacqueline Cascorro
558439	380445	
558439	383471	Doña Cruz
558439	383518	
558439	384245	Hna. Refugio
558439	390404	Prudencia
558439	391742	Diana
558439	393363	
558439	395043	Rebeca
558439	396215	
558439	396713	Norma Morales
558439	396852	Nelly 'Yadira's mother' (2004
558439	396898	Doña Rosita Suárez
558439	397593	
558439	399522	Casilda de Criollo
558439	400663	
558439	402152	Milagros García
558439	402404	
558439	403365	Sra. Jimenez
558439	407276	Alicia
558439	410450	Margarita Maza
558440	234670	Rene
558440	266577	Go-Go Girl
558440	329311	Heavenly Dancer
558441	72554	
558441	103319	
558441	232861	Maria Delgado
558441	297643	Maria
558441	297667	Linda
558441	347063	Consuela
558442	22766	
558442	22767	
558442	65415	Saba Rockwood
558442	75636	Gussie Bosley
558442	127837	Sonia Mason
558442	197405	Veronica Neidringhouse
558442	271855	Guest
558442	283585	
558442	296654	Marie, Their Daughter
558442	312801	Countess Koefeld
558443	347779	Elsbeth
558445	227042	Striptease Dancer 1
558446	334354	Soloist
558447	238468	
558448	16339	Andrea niña
558448	332377	Star
558449	234209	Waitress
558450	54911	
558450	117863	
558450	196716	
558450	251614	Cristina
558450	289446	Isotta de la Vida
558450	307573	
558451	162076	
558453	338369	
558455	247023	
558455	349652	
558456	34786	
558456	81816	
558456	155610	
558456	196530	
558456	196531	
558456	206861	Gossip
558456	213983	Landlady
558456	244797	Mother
558456	273090	
558456	315881	Tenement Woman
558456	334316	Franja
558456	355092	
558456	382834	
558457	58026	Herself
558458	324202	Irene, Prinzessin von Trapezu
558459	54197	
558459	89930	
558459	169247	Baroness
558459	295093	
558460	2252	(segment "Mère séropositive")
558460	254154	
558460	294374	Sonia
558460	340205	
558461	260389	Balet Dancer
558462	291063	Roberta de Francesco
558463	102618	
558464	27693	Fanny
558464	125744	Winnie's sister
558465	311058	Carolyn
558466	20864	
558468	364300	Herself
558469	376165	
558470	188622	
558470	273281	
558470	331321	Interviewer
558471	196287	
558472	391693	Herself
558473	96206	La copine
558474	165243	
558475	151892	Infirmière urgences
558477	646	Other 'Gold Mine' Girl
558478	9884	Lady in Blue Dress
558479	397546	Cecília
558479	398501	Isabel de Andrade De Melo
558480	133498	Guitar Player
558481	70096	
558482	75207	The Hen
558483	51107	La femme de la station-servic
558484	23673	Vivianne Sterne
558484	40280	Marie
558484	43713	Chen Tché/Chui Ta
558484	44998	Extra
558484	51406	Suzanne
558484	54637	La captive
558484	57894	La vagabonde métamorphosable
558484	63849	Suzanne
558484	64292	Herself
558484	64333	Herself (1982/1995)
558484	69469	Anna
558484	71488	Hélène
558484	76058	Sophie
558484	81141	
558484	103931	Marie
558484	111063	Special Guest Cannes Film Fes
558484	160068	Jeanne
558484	163043	Natalia
558484	165901	Angele
558484	166349	Jeanne d'Arc
558484	166350	Jeanne d'Arc
558484	188694	
558484	199572	Claire Canselier
558484	209943	Véronique
558484	218283	Alice
558484	230337	Katherine Beaufort
558484	251550	Annie
558484	253779	Martine Rambert
558484	259212	Lydie
558484	262276	Elena
558484	267510	Manon
558484	269518	Francine
558484	276251	Lucette
558484	287616	Mona Bergeron, sans toit ni l
558484	290487	Monica Besse
558484	292388	Sylvie
558484	309759	Mouchette
558484	309772	Girl in the crowd, at the sho
558484	333692	Marilyn
558484	345312	Herself
558484	352559	Stella
558484	356508	Olga
558484	377002	Suzanne
558484	377869	Mabé Le Guen
558484	396524	Margaux Dampierre
558484	409531	Margaux Dampierre
558485	20070	Mme Degros
558485	84605	Douchka
558485	92047	Douchka
558485	205770	Mrs. Fauvelet
558485	206048	Monique
558485	217724	La voisine
558485	219607	Cécile Lahaye
558485	253246	Agnès Roubleau
558485	282288	Céline
558485	301405	Mademoiselle Roy
558485	303481	Juliette, la répétitrice d'Al
558485	307487	Marie
558485	340921	Juliette Renaud
558485	354576	Mrs. Préférence Nationale
558485	355864	
558485	376938	Marthe
558485	376986	Jaco's wife
558485	382219	Maître Lapaz
558485	388723	Olympe #2
558486	254408	
558487	86974	Simone de Beauvoir
558487	194513	Prison Wardress
558487	226895	1st Gaoler
558489	134178	African band
558490	83349	Catherine Rougerie
558490	85616	Le Professeur d'histoire
558490	118181	
558490	248263	Mme Brunelle (segment "La mar
558490	268825	Julie
558490	345549	Claire
558490	346620	Gabrielle
558491	64228	Pierre Le Poète
558491	84651	Le garçon du motel
558491	346641	L'Acteur jouant Horatio
558492	261735	Journaliste JT
558493	346591	Brigitte
558494	133	Leilla Sterns
558494	255694	
558494	287230	Celebrant #9
558494	362635	Zelda, the Cigarette Girl
558494	398732	Eileen Sherwood
558495	397138	Amie de Lucille 2
558495	398595	Jacinthe Poitras
558495	408883	Tanya
558497	66759	Patricia
558497	144307	
558497	254317	Tante Claire
558497	376895	
558497	384744	Olympe
558497	389271	Catherine Fougeray (segment "
558497	391930	Marie-France
558497	395620	La religieuse (segment "Franç
558498	24585	Prostituee
558498	234279	Secrétaire
558498	302142	
558499	110399	Quadra
558500	177463	
558501	236542	Dolly
558502	387612	Hélène petite
558503	205620	Fanchette
558504	291584	(segment "Chienne de vie")
558506	146780	Coca Cola Girl
558507	129801	
558507	310721	Vera Harper
558508	32627	Bonny
558508	37140	Cleaning Lady
558508	142579	Herself
558508	147798	Herself
558508	224508	Bonnie
558508	230012	
558508	257260	Woman with Flowers
558509	6259	Broker
558509	13432	Theatre Customer #3
558509	52303	Alma
558509	63030	Norah
558509	70302	
558509	79408	Mary
558509	89151	
558509	99584	Alberta
558509	117129	Loretta
558509	127073	Ortisha
558509	147115	
558509	158089	Mavis
558509	168129	
558509	169163	Josephine's Mother
558509	183804	Calypso Singer
558509	186614	Old Lady
558509	318783	Mrs. Green
558509	321660	Nurse Ford
558509	326428	Nurse
558509	341493	
558509	367844	Black Woman
558510	140315	Monica
558511	130958	
558512	189892	
558513	236511	Anne-Eurydice
558514	166878	
558515	192822	Dame i kantinen
558516	30678	Casey
558516	30679	Casey
558516	30680	Fast Food Manager
558516	45829	Neighbor
558516	118911	Casey
558517	370734	Bit Part
558517	399129	Herself
558517	399130	Stephanie Scully/Hoyland (199
558518	19808	Lustful Youth
558518	323841	Elfa Egilsdóttir/Nurse/Gimli 
558519	50095	
558520	41063	Herself
558520	257654	Herself (Miss November)
558520	257817	Herself (Miss April 1996)
558520	277564	Riana Rouge
558521	300312	Dr. Barrow
558522	243473	
558523	48217	Nurse #3
558524	214042	Herself - Shortstop Program, 
558525	81176	Bonnie
558526	47588	Onlooker
558527	2161	Interviewer (Film Crew)
558528	272325	Sally
558529	16022	Angel Fanchon
558529	47349	Mary Andrews
558529	65551	Roman girl
558529	78047	
558529	79456	Maisie
558529	118409	Katy Pearl Lee
558529	144755	Myrt Riley
558529	177405	Bit Role
558529	199538	Margery Murray
558529	207405	Violet Dane
558529	251267	
558529	260214	Vivian Stewart
558529	272335	Dixie Demnman
558529	275767	Marjory Towne
558529	277943	
558529	278090	
558529	292051	Madame Du Barry
558529	292576	Mary, Janet's friend
558529	301261	Roman Woman
558529	302872	Sadie
558529	337594	Ruth Tobin
558530	2071	Millie Stanley
558530	19296	Shannon O'Rourke
558530	42332	Schoolteacher
558530	47298	Queenie Morgan/Gloria Livings
558530	58619	Betty Towner
558530	59550	Kitty
558530	83925	
558530	94171	Sally May Ferris
558530	96757	Sally
558530	106629	
558530	107987	Bessie Flannigan
558530	123219	
558530	128852	Sally Casey
558530	130857	Lucy Weston
558530	147442	The Sister
558530	148358	Susan Deep
558530	148526	Rachel Prouty
558530	148852	Ellen
558530	163187	Molly
558530	193998	His Bride (Priscilla)
558530	203520	Prue Winn
558530	204733	A City Girl
558530	210432	Saloon hostess
558530	238706	Sadie
558530	245288	Alice Davis
558530	251267	
558530	263254	Herself
558530	264045	Faith Cable
558530	266102	San Francisco Girl
558530	267541	Ruth Ketchell
558530	274170	Gabrielle Darley
558530	296909	Mary Brent
558530	301628	Herself
558530	317151	Mary Brown
558530	325024	Aggie
558530	363495	
558530	363805	Mrs. Foster
558531	112601	Ramiyah
558532	242872	Running Executive
558533	244830	
558534	10262	Herself
558534	384590	Herself (with Andrei Sakharov
558535	306500	Rachel
558535	316693	
558536	162538	Sarah
558537	60237	Biggie
558537	92542	Trixi
558537	172170	
558537	289948	
558537	310898	Zenia
558537	345672	
558537	380392	Rita Stollenwerck
558537	382013	Rieke
558537	395667	Pia Lorenz (1998-)
558537	406518	Korinna
558537	410815	
558538	6173	Fru Brun
558538	26404	Landsretssagfører Else Jessen
558538	28512	Fru Else Jessen
558538	28603	Jenny Møller
558538	30170	Cora
558538	108169	Ida (malerens kone)
558538	108180	
558538	117459	Lærerinde Marie Hansen
558538	140042	Louise Smith
558538	153775	Fru Staalfeldt
558538	184013	Grevinde Virtus
558538	211056	Else Jessen
558538	214547	Betty Weber
558538	218894	Inger Holm
558538	272509	Lotte
558538	322316	Enkedronningen
558538	322942	Landsretssagfører Else Jessen
558538	338666	Isabella
558538	339237	Fru Mona Løwe
558539	43638	
558539	43673	
558539	84085	La méchante vendeuse
558539	91643	
558539	182949	Police Station Receptionist
558539	231262	La femme de Gérard
558539	235717	Amandine
558539	345554	Liz
558539	353898	Madame Lohac
558540	44220	Lilas
558541	49443	
558541	53604	
558541	66084	
558541	68961	
558541	194626	
558541	204728	
558541	204994	Adela
558541	221570	Mercedes Ramos
558541	229210	
558541	235995	
558541	242664	
558541	249865	
558541	251574	
558541	265329	
558541	268440	
558541	322234	
558541	344704	
558541	354453	
558541	388399	
558541	392609	Noelia
558541	392804	Amalia
558541	405242	
558542	194836	
558543	212796	
558544	111118	
558544	154736	La femme chauffeur de taxi
558544	217705	La secrétaire de M. Louis
558544	246292	Suzanne Chaumelle
558544	278136	
558544	309149	La bergère
558544	353886	
558544	395493	Martine
558544	409933	Claire
558545	109408	
558546	247634	Woman in white
558547	275646	
558548	345342	
558549	273020	in Biarritz
558550	153874	La première postière
558551	161495	Glory Winston
558552	269743	
558553	379801	Chanteuse du Lapin Agile
558554	269560	
558554	378653	Tina
558554	403054	Betún
558556	65613	
558557	93093	Herself
558557	197067	Young Bette Davis
558559	243151	Agathe
558560	48418	La chorégraphe
558560	101233	Preening Woman
558560	253999	Juene fille sexy Bus
558561	331085	Angel
558562	43412	
558563	64949	Tiffany
558563	106205	Secretary with High Heels
558563	168827	Bella
558563	211848	Prostituée
558563	248055	Julie
558564	311	
558564	38838	Reine
558564	84222	Arthur Pommerel's wife
558564	111701	Ève
558564	118754	Norma
558564	148648	Myriam
558564	165568	Femme 1 bus
558564	166346	Sophie
558564	196287	Florist
558564	218679	Soeur Rose
558564	219497	Flo
558564	338488	Nathalie
558564	353917	
558564	354026	Patricia
558564	356362	Brigitte
558564	357124	Agnès
558564	366270	Paupiette, l'assistante de Cl
558564	388315	Caroline Guérin
558564	390477	Claudie
558565	129944	
558566	395893	Herself
558567	275169	Dame 2
558567	277747	
558567	325468	Bode
558568	104761	French entry (17th place)
558569	11034	
558570	384223	Little John Armstrong, Octo 1
558571	5003	
558571	13759	Marissa
558571	16964	
558571	27754	Loida Lavares
558571	28076	Mara
558571	28082	
558571	30876	Mariel
558571	32106	Carmen
558571	46711	Tates
558571	60090	
558571	103584	
558571	135757	Rachel
558571	138340	
558571	145549	
558571	145550	Danica
558571	148349	
558571	154812	Louise
558571	156181	
558571	171735	
558571	173632	
558571	200055	
558571	200392	
558571	202643	
558571	215397	
558571	234848	Joey
558571	243175	Trixie
558571	247088	Ditas
558571	250624	
558571	277888	
558571	284652	
558571	287059	
558571	287069	
558571	322971	
558571	324389	Grace
558571	325323	Lupe Moreta
558571	327601	
558571	327818	
558571	333580	
558571	344562	Estrella
558571	385651	Celie Balamo
558571	398996	Violeta San Victores
558572	143699	Kaja
558573	1092	Olga
558573	76731	
558573	145491	Juni
558573	150667	Inger Brunell
558573	151821	Xenia
558573	153379	Embla
558573	154017	David's Mother
558573	154020	Dina
558573	160521	Ane
558573	166943	Gertrud
558573	182309	Princess
558573	202779	Rebecka
558573	273889	Simone/Aimee
558573	321056	Amanda
558573	321906	Evelyn
558573	327126	Pernille
558573	338711	Emma
558573	339633	Herself
558573	341202	Elin
558573	378338	Maria
558574	304518	
558575	284139	Herself
558576	400118	Klassekammerat (Classmate)
558577	20146	Najade
558577	44596	Alphise
558577	77375	Sophie
558577	108062	Nannetta
558577	281975	Sophie
558577	281976	Sophie
558578	3024	Chippie's Date
558578	4626	
558578	10602	Undetermined role
558578	26857	Old woman
558578	33412	Betty
558578	35745	Woman
558578	41800	Policewoman
558578	51975	Inmate
558578	55624	Older Chorus Girl
558578	56698	Mabel Bentley
558578	67845	Mrs. Totter
558578	80034	Gladys, the Cleaning Lady
558578	81186	Mother
558578	81269	Landlady
558578	81784	Lodge guest
558578	84991	First Woman
558578	88853	Nurse
558578	93220	Small Boy's Mother
558578	116245	Moe & Larry's Mother
558578	118236	Woman
558578	121585	Babysitter
558578	129921	
558578	143503	
558578	176872	
558578	177695	Mrs. Mooney
558578	183836	Landlady
558578	185836	Maid
558578	195753	Mrs. Oelschlager
558578	200485	Phyllis
558578	214098	
558578	223811	Helen
558578	224327	Jail Matron
558578	241752	Vocalist
558578	242941	Gossip
558578	246923	Heavyset Woman
558578	252489	Secretary
558578	252883	Spinster
558578	255445	Mrs. Tietgens
558578	257963	Miss Bonney
558578	263608	Josephine McMurtry
558578	264445	
558578	273805	Woman
558578	281937	Babysitter
558578	292405	Nurse
558578	300909	Woman's voice
558578	305076	Gossipy Woman
558578	306126	Woman
558578	335702	Nurse
558578	367552	Woman
558578	368918	Hotel floorlady
558579	14056	Herself
558580	308382	Veronica
558581	313699	Schoolgirl #2
558582	290162	Joyce
558583	331137	Rowena
558583	404466	Herself - Shari's Little Sist
558584	107930	Store Clerk
558585	138526	
558586	51675	Camille
558586	63855	
558586	83237	Annie Beaudoin
558586	107063	Nathalie
558586	214078	Elzire Dionne
558586	218063	Monique Sparvieri
558586	222963	Martine Tanguay
558586	310963	Angie
558586	322353	Nanette
558586	326592	
558586	351826	Manon Mentha
558586	386079	
558586	386080	Wendy Desbiens
558586	397043	Louise Gabriel
558586	407356	Mélanie Jobin
558586	407358	Melanie Jobin
558586	407360	Mélanie Jobin
558587	138526	
558588	23804	La deuxième femme de chambre
558588	148702	Fabienne
558588	199315	Une vendeuse
558588	386222	
558589	22187	
558589	240429	
558589	377586	Cristina
558590	220231	Dora
558591	83193	Carole
558592	3251	Presenter
558592	311953	Presenter
558592	399994	Co-Presenter/Reporter (2000-2
558592	403325	Presenter (2002)
558592	408555	Herself - Presenter (2002-)
558593	354586	Agnès
558595	88084	La fille de l'orchestre
558596	153250	Girl in Airport Bar
558596	195610	Toma
558597	183797	La suivante de la Reine
558597	219459	L'infirmière de jour
558598	14947	
558599	120670	
558599	211682	Le soubrette
558599	336995	
558599	345100	L'entraineuse
558600	348599	Mrs. Miller
558602	391611	Paula
558602	402330	Himself
558603	29523	'Scorp
558603	120722	
558603	280084	Herself
558603	280210	Herself
558603	308849	Herself
558603	314778	Herself
558603	405948	Herself (1973-1974)
558603	405949	Regular Performer
558604	53026	
558605	395885	
558606	70972	Zombie
558607	70972	Zombie
558608	16626	Girl Assistant
558609	383742	Rosie O'Donnell (1998)
558610	92289	Herself
558611	56922	La segretaria di Danieli
558611	183149	Laura Croci/Antonietta Marrad
558611	210318	Giuseppina Weber
558611	251626	Anna
558611	313901	Elvira
558611	326086	Maria
558612	3107	The Vince Gill & Karla Bonoff
558613	14746	
558613	66414	
558613	244578	
558613	291602	
558614	87831	
558615	277611	Fatima
558616	178852	
558616	247177	Hausmaedchen
558616	325444	Graziella
558616	368717	
558617	286602	Abi
558618	308797	
558618	378356	
558619	199227	
558620	22651	Screaming Girl
558621	63124	Meteora
558621	222490	
558621	222491	
558621	323743	Twitch
558621	393509	Fern, JoJo, Miss Belle
558621	404897	Countess von Backwards (1970-
558622	28691	Sonnambula
558623	26685	Elsa
558623	94688	Giuseppina
558623	94718	Anna Martelli
558623	97170	
558623	184723	
558623	344412	
558623	351010	Bianchina
558624	81033	Gretchen (segment "The Psychi
558627	40309	
558627	115235	Roly Poly
558627	257363	Lous
558627	354293	Jeanette
558627	386642	Pieternel Bredius
558627	388949	Viola
558627	393707	
558629	249548	Laundry Woman
558630	107990	Neighbor
558630	213662	Eva
558631	186062	Mouni
558632	82413	
558633	111928	Bielke
558634	110542	Marjan
558635	20435	Candy
558635	31857	Zed's Wife
558635	32178	Villager/Additional Voices
558635	82662	Computer voices
558635	123404	Italian bride
558635	224405	Blue Moon Waitress
558635	308128	ER Nurse
558635	328272	Airline PA Agent
558635	333375	Student in Lab
558635	363365	Serena's Secretary
558636	125310	Antoinette
558636	205577	Klaartje
558636	337973	
558636	411578	
558637	164157	Ninon's Mother
558639	198248	
558640	15084	La chanteuse
558640	23677	Monique
558640	27670	
558640	60897	La gommeuse
558640	63692	Youyou
558640	378058	
558641	325059	Herself/Narrator
558642	278687	
558643	153296	
558645	69522	Marion
558646	389838	The Internationals
558647	344606	
558648	171720	
558649	19307	
558649	313179	Carla
558650	96294	Amiga de Candy
558651	72973	Giulia
558652	120248	Diana, age 8
558652	234068	Little Girl On Bus
558652	396123	Alexis Masters #1 (1994)
558653	217502	Peg
558654	217502	Peg
558656	120481	Snake Girl
558657	249072	(segment 5)
558658	174155	Échangiste
558659	25764	Waitress
558660	6569	La fille du maire
558660	23230	
558660	76131	Anne
558660	88842	Georgette Petiot
558660	106048	Aunt Marguerite
558660	124057	La femme de Lucien
558660	125715	Nadine
558660	131526	Mrs. Griffith
558660	153885	Frédérique
558660	160146	Dominique Verdier
558660	186989	Joel's Mother
558660	202516	Bérénice
558660	218258	Geneviève
558660	224899	Blanche
558660	316880	Voix seulement
558660	321535	Luce Bauer
558660	337260	Joseph's Wife
558660	340441	Danielle Mallet
558660	353886	
558660	377752	Mireille
558660	386211	
558660	409462	Soeur Marie-Angèle
558661	224486	Herself/Singer dancer
558661	224487	Herself/Dancer
558662	117424	Dancer
558663	353560	
558664	64507	
558665	134694	Mrs. Prothero
558666	10878	Herself
558667	256240	Girl in Park
558668	24683	Sandrine
558669	1955	Herself
558669	77619	Herself
558670	32228	
558671	50396	
558671	141663	
558673	185635	Ellie
558676	37425	
558676	37426	
558676	45738	
558676	158875	
558676	191824	
558676	327781	
558676	354956	
558676	364338	
558677	50378	
558678	126476	Ursel
558679	312904	Grace
558680	278318	Girl
558681	235936	Daisy
558682	45842	Bertha
558682	51946	Gang Girl
558682	66105	The Ex-Wife
558682	81349	Amazon Champion Wrestler
558682	82541	Terrible Tawny
558682	87348	
558682	98837	Herself
558682	129627	Matilda the Hun
558682	141606	Shirley
558682	142502	Herself
558682	151365	Female Wrestler
558682	192049	Sarge
558682	197758	Big Eddie
558682	209683	Lady Party Guest
558682	236995	Large Nurse
558682	238612	Louise
558682	269306	Herself
558682	304540	Repo
558682	310184	Bearded Lady
558682	329906	Meanest Woman Truck Driver
558682	361178	Tough Broad
558682	390180	Matilda the Hun (1986-1987)
558682	402020	Queen Kong
558683	404943	Alyce Morapedi (2002-)
558684	330518	
558685	268370	
558686	210349	Herself
558686	210350	Herself
558686	237520	Herself
558687	119202	
558687	119290	
558687	180972	Barbara Eber
558687	180977	
558687	307250	Fraülein Anna Sailer
558688	17918	Rosanne
558689	89811	
558690	36536	World Congresswoman
558691	236387	Audition Woman
558692	19303	Devin
558692	137223	Debutante #1
558693	287125	Spinster
558694	44020	Marie Giannone
558694	95722	Julia Gallagher
558694	113586	Betty Randall
558694	287969	Agnes Gates
558694	327418	
558695	79812	
558695	195277	Doris
558695	317260	Cleaning Lady
558695	391503	Honey Nielson
558696	181534	Woman in Curlers
558697	107902	Mrs. Green
558698	152435	Lynn
558698	229728	Miss Cooke
558698	263609	Barbara Weekley
558698	355213	Carolyn Schurmann
558698	384601	Sarah Venables
558698	386724	Felicity Spicer-Gibbs
558698	388786	Fiona Seymour
558698	389968	Prudence Sweet
558698	398981	Lady Charlotte Somerville, la
558698	401224	Mary Pym
558698	408331	Sue Bramble
558698	409386	Barrister for French
558699	15222	Josephine
558699	40660	Miss Pogue
558699	50816	Aunt Babs
558699	57380	Mrs. Jackson
558699	87480	Mrs. Murphy
558699	157290	
558699	176480	Court Clerk
558699	185424	Rose
558699	294519	Grandmother
558699	313948	Ethel
558699	397101	Cast
558700	245993	Col. Matty Lewis (Ret.)
558701	43933	Reporter, Fox 45
558702	41953	Samantha
558703	149258	Cotton Club Dancer
558704	220355	Rose Harding
558705	398427	
558706	375696	Elementary school student
558707	245907	Mike's mother
558708	284530	Margaret DeFelice
558709	118128	
558710	358545	
558711	246923	Secretary
558712	265256	Mother
558713	101366	Belinda
558713	390410	Emma Verkuil (1997-2000)
558714	229285	
558715	148531	Seow Fang's Schoolmate
558716	171798	moeder Laarmans
558717	35765	Annabelle Branagh
558717	124096	Rebecca Verlaine
558717	258940	Juliette
558718	27841	TV shopper
558719	130730	Mother
558720	106101	
558720	171408	Justine Wilkinson
558720	171409	Justine
558720	171410	Justine
558720	171411	Justine
558720	171413	Justine
558720	171414	Justine
558720	238410	Hooker
558720	252354	Blonde at Russo's
558721	1768	Herself
558721	1801	Herself
558721	1820	Herself
558721	1963	Herself
558721	2759	Herself - Performer: 'When Yo
558721	11675	
558721	31187	Herself - ABC Team Contestant
558721	31189	Herself (ABC Team)
558721	31200	Herself
558721	67863	Beth
558721	81406	Star
558721	96880	
558721	119846	
558721	127538	
558721	130707	Herself
558721	147833	Jane
558721	152275	Herself
558721	177626	Essie
558721	200214	
558721	302949	Clarissa Hope
558721	315872	Herself
558721	338922	Beth Tayor
558722	41559	Mrs. Gilroy Yates
558722	107591	The widow
558722	148876	Mrs. Harris Doreyn
558722	240832	Chorus Girl
558722	244369	Viola Gordon
558722	297225	Undetermined Role
558722	331853	Alice Weston
558723	186425	Marvin Tayman's Secretary
558724	318607	Churchgoer
558725	97026	Phone Operator
558725	141425	Nurse Ella
558725	181275	Miss Pumpkins
558725	233567	Smoking Hospital Lady 1
558725	235647	Ginger
558725	314434	Nurse Granger
558726	11439	Chieko
558726	25749	Chiyo Mihama
558726	29395	Yoshimi
558726	206618	Sayuri Terasaki, Hisagon, Nad
558726	267200	Mitsuki Aasu
558726	347385	Ruby
558726	348870	Gamin Daughter
558726	379081	Arumi Asahina
558726	381025	Chiyo Mihama
558726	384233	Ena
558726	390536	Ena
558726	394431	Misaki
558726	398924	Maid, Child, Fuyuki, Koharu
558726	402790	Operator, Additional Voices
558727	108308	Evelyn
558727	154854	Marjorie
558727	289315	Ken-Ken
558727	317264	Jodie Smalley
558727	381057	Marlene Gilbert
558727	387287	Molly Hudson
558727	392422	Herself
558728	44046	Delores
558728	109666	Jenny La Costa
558728	113275	Pusser's Secretary
558728	309678	Girl #5
558728	358664	Joan Lashley
558731	87418	Herself (Special Appearances 
558731	277139	Shaw's Mom
558732	184456	Dorothy
558733	99211	Abigail
558734	191106	Joanne Alger
558735	231396	Laura Beth
558736	159175	Dancer
558737	332548	Ria
558738	100008	Girlfriend
558739	306132	Woman in Bathing Suit (in sti
558740	334780	Toi's Sister
558741	29248	
558742	108417	Branka
558742	175243	
558743	243624	Dochter
558744	35894	
558744	41883	Raouma
558744	350977	
558745	315773	Thai Waitress
558746	308549	Prang
558747	342048	Lan
558748	49698	Buppah Rahtree
558748	62840	Pinky
558748	131757	
558748	237464	
558748	282822	Nid
558748	288489	
558749	282822	Noi
558750	114557	Iris Double
558751	338403	Mrs. Potter
558752	157315	Mrs. Ashley
558753	17132	Extra talent
558754	345921	
558755	12332	Megan Rose
558755	41757	Penny Chadwick
558755	55520	Maine Mirabeau
558755	87282	Susie Miller
558755	87753	Herself
558755	97696	Little Girl
558755	141484	Carol Gerber, Molly
558755	164432	Natalie
558755	210643	Lily
558755	213466	Young Jill Young
558755	250746	Margaret Martin
558755	278082	Beverly D'Onofrio (Age 11)
558755	304838	Hannah
558755	305572	Katie
558755	330443	June (segment "Love Waits For
558755	358865	Carla
558755	408455	Alissa Amross
558756	339927	Kirsty Vichot
558757	374028	Eternal (flashback scene)
558758	11026	Hayley Forbes-Clinton
558758	93249	Lorina
558758	120799	Nanda Gray, child
558758	142489	Tiffany
558758	383631	Nikki Wyatt: Ash's Girlfriend
558758	385020	Vanessa Morgan (1992)
558758	410837	Hannah Preston
558759	130179	Bonnie
558760	289632	
558761	226929	Margo
558762	6090	Eva
558762	43638	Rosemary
558762	52909	Jessie Lipscomb
558762	56275	Terrorist
558762	105597	Igrayne
558762	124824	Emily Crumble
558762	149444	Charity,Grace's Sister
558762	205243	Katrina
558762	205635	Clarissie
558762	217210	La mère de Sarah
558762	229753	Duchka/Nemo's Mother
558762	249072	(segment 5)
558762	345038	Rita
558762	374028	Eternal (flashback scene)
558763	259214	Martín's Lady
558764	323179	Sarah Pendel
558765	339927	Lucy Vichot
558766	105597	Lady of the Lake
558766	124824	Dorothy Crumble
558766	268417	
558766	374028	Eternal (flashback scene)
558767	359543	Voice Artist
558768	281404	
558768	359543	Nissa
558769	226929	Student
558770	75789	Senator's Mistress
558771	11822	
558772	396268	Gerti Soleder
558773	130275	Lady with Chicken
558774	141540	Nancy Burris
558775	98765	Herself
558775	157464	Herself
558775	192573	Herself
558775	209222	Mother
558775	219931	Mother Hubbard
558775	240559	Herself
558775	249572	Herself
558775	363024	Herself
558775	381177	Hostess
558776	41848	
558776	136512	Mrs. Mutimer
558776	139614	Mrs. Tanner
558776	222744	Dorothy
558776	355031	Mrs. Carruthers
558776	372862	Mrs. Compton Chamberlain
558776	389231	Aunt Lin
558777	127279	Landlady
558778	41743	
558779	62057	Zenna
558779	299767	Herself
558780	296801	Eleanor
558781	208973	Landlady
558781	271611	Landlady
558782	101036	Swedish Beauty
558783	157870	Bit
558783	183418	Betty
558783	321616	
558784	308348	Woman
558785	67569	Redhead
558785	127279	Landlady
558785	149287	Secretary
558785	321339	Saleslady
558785	389072	Woman (1998)
558785	393087	Self (1999)
558786	9139	Andrea Prescott
558786	26081	Mathilde
558786	52538	Mercedes
558786	91135	Trina
558786	117037	Faye Lawrence
558786	129566	Josephine Peary
558786	174911	Althea
558786	306312	Snowbunny
558786	400236	Andrea 'Andy' Harrison Guther
558787	196336	Harriet
558788	318644	Alyson Levenstein
558789	128600	Audience Member
558790	234986	
558791	3148	The Lady from Delaware
558791	13942	Caroline Hartley
558791	16071	Best Girl
558791	80767	Helen Trapp
558791	107550	Pat Harbinson
558791	117192	Naomi Balliol
558791	140535	Nurse Jarvis
558791	144950	Marge
558791	150749	Laura Lyons
558791	151603	Various
558791	158544	
558791	187886	Yvonne Chadwick
558791	191964	Mrs. Errol
558791	209711	
558791	211520	Various
558791	218599	The Witch
558791	218602	Various roles
558791	226804	Mrs. Gardner
558791	238630	Jane Parry
558791	249325	Various roles
558791	250371	Linda
558791	276729	Violet
558791	280168	Belle Stark
558791	292600	Herself
558791	305318	Ms Kane
558791	315719	Ruth
558791	316057	Mrs. Hudson/Francine Moriarty
558791	329316	Annie
558791	364556	Sylvia Bassington-ffrench
558791	368445	Madge
558791	382912	Miss March
558791	388519	Polly
558791	388932	Isabel
558791	390168	Jill
558791	411884	Additional Voices
558792	321403	Jarvis' Mother
558793	83617	Juanita
558793	239761	
558793	278093	Mrs. Roberts
558794	232939	Mrs. Buzz Mumford
558795	185489	Cora Munro
558795	213217	Joyce Greeley
558795	244882	
558795	337368	Nina Trent, the White Godess
558795	338305	Dorothy Brandon
558795	350456	Caroline Hall
558796	105462	Dancer
558797	21177	Denise Clarington-Semi-Skimme
558797	72494	Melissa
558797	72495	Girl on music video 'From The
558797	105367	
558797	107857	Sally Munro
558797	159491	Laura
558797	184813	Herself
558797	253628	Pervirella
558797	285031	Williams Girl
558797	311051	Fly Girl
558797	366754	Linnaca
558797	381249	Herself (2003)
558797	381886	Guest Presenter (2001)
558797	382123	(as Emily Bouff)
558797	387957	Herself
558797	400595	Eden (2002 -)
558797	403082	Herself
558797	408136	Eve
558797	411574	Guest reviewer (2002)
558798	69405	Little girl at cinema
558799	297646	Roberta Ainslie
558799	383036	Dana
558800	103215	Porcelain Bus Dancer
558801	113966	Herself
558802	108410	Mrs. Lee
558802	186058	Maid
558802	355015	Cook
558803	56967	Landlady
558803	158543	Mrs. Winter
558803	385299	Mrs. Peterson
558804	40091	Wardress
558804	100812	Mavis
558804	244306	Company
558804	276264	Naomi
558804	391617	Dorothy
558805	46804	Bessie's Companion
558806	106723	Risa
558806	157438	Sugar
558806	331831	Kate
558807	46194	Sally
558807	107863	Mrs Parks
558807	186061	Rose's Friend
558807	399534	Ann
558808	279171	Molly Craig
558808	385299	Mandy Bradshaw
558809	88853	Nurse
558809	132323	Secretary
558809	133807	Woman in room
558809	212216	Nurse
558810	4619	Louise (manicurist)
558810	7676	Ann Davis
558810	27498	Lorna
558810	33754	Janet Pierce
558810	36971	Florence Bartlett
558810	55055	Frances Harrison
558810	59452	Maria Sand
558810	73453	Julie Hanson
558810	73693	Sandra Hastings
558810	78126	Miss Day, Caighn's receptioni
558810	92480	
558810	96990	Clerk
558810	115214	Hostess
558810	117613	Girl
558810	128152	Girl
558810	129231	Helen Trent
558810	147391	Girl at Desk
558810	147543	Hat Check Girl
558810	149261	Bride
558810	170309	Leslie Anders
558810	170791	Dr. Bonnie Crandall
558810	185454	Belle
558810	188332	Deborah Randolph
558810	194831	Beautiful Girl
558810	195190	Louisiana belle
558810	201151	Girl at party
558810	206355	Girl With Miles
558810	209660	Girl
558810	223943	Miriam Ball
558810	224003	Co-ed
558810	285654	
558810	293978	Susan Hannah
558810	313377	Kate
558810	313949	Shirley Manners
558810	321495	Girl
558810	321529	Louise
558810	323380	Blonde stenographer
558810	330703	Waitress
558810	334449	Janice Roberts
558810	335834	Laura Mead
558810	346914	La Darina
558810	367970	Goldwyn Girl
558810	368549	Polly Barrett
558810	375044	Showgirl
558811	67571	Southern Pin-up
558811	329968	Tracy
558811	365868	Krystal
558812	40543	Emma O'Rourke
558812	49938	Marita Wraight
558812	73190	Ashley Roberts
558812	74011	Lauren
558812	84457	Cashier
558812	116774	Sam
558812	132181	Diane
558812	152910	Buffy Maddux
558812	155209	Jessica
558812	167256	Annie Hilburn (Age 19)
558812	220023	
558812	240786	Sam
558812	265759	Jennifer Stoller
558812	304742	Dr. Macy Olsen
558812	315132	Motel girl
558812	323153	Evie
558812	342714	
558812	385706	Tracy Grace
558812	400808	Trudy Sinclair (2002)
558812	404152	Lizzy Porter
558813	157785	Anna Scanlon
558814	32195	Beauty
558815	14146	Cassandra Blaire
558815	29531	Lara
558815	39784	Diva
558815	43174	
558815	58020	Supergirl/Sylvia
558815	62583	
558815	63137	Liz
558815	74254	Dodger Allen
558815	79675	Nicole
558815	84457	Girl #2
558815	107505	Laura
558815	120400	Shannon
558815	143006	Kelly Roberts
558815	147793	Molly
558815	167133	Riley Grant/Hawk
558815	190269	Lana Turner
558815	221045	Amy White
558815	238410	Holly Culverson
558815	266692	Monica
558815	282826	Lea
558815	304242	Kelly
558815	316116	Margaret
558815	326823	Katie
558815	366448	Zoe
558815	368980	Francine
558815	384945	Chloe
558815	387344	Carrie Taylor
558815	388372	Riley Grant/'Hawk' Hawkins (1
558815	399977	Holly Culverson
558815	401610	Penny
558815	403149	Claudia (1999-2001)
558816	18552	Girl in Country Club
558816	192410	Girl
558817	2750	Herself - Honorary Award Reci
558818	128812	Edna
558819	251151	Suzanne
558820	309133	
558821	18809	
558822	261499	
558822	311475	Second Woman
558822	349917	Customer
558822	367046	Mrs. Lawyer
558822	374272	
558823	216602	Herself
558823	397991	Herself (Seasons 4-7)
558824	265874	Nelda
558825	176256	Angie
558826	203522	Sarah Pringle
558827	53284	Wet T-Shirt Contestant
558828	189417	Governess
558829	1821	Herself - Presenter
558829	1962	Herself - Best Actress Winner
558829	1974	Herself - Presenter: Best Act
558829	5033	Mrs. Vivien Leslie
558829	67795	Lola Delaney
558829	88566	Heloise Michaud
558829	150379	Alma Duval
558829	201068	Herself
558829	207705	Dolly 'Gallagher' Levi
558829	305857	Mrs. Hudson
558829	370885	Mrs. Santa
558829	391184	Hazel Burke (1961-66)
558829	408631	Grace Simpson
558830	256188	Pink Chiquita
558831	33052	Herself
558831	73612	Tourist on Bus
558831	160562	Reporter
558831	312074	Trudy
558832	6182	Klara, die Zofe
558832	17045	
558832	102282	
558832	128471	
558832	157652	
558832	188781	
558832	204036	
558832	204508	
558832	227171	Olga
558832	307247	
558832	324698	
558832	334615	
558832	352168	
558833	68451	Lillian Farmer
558833	131731	Mrs. Bodine
558833	134017	Mrs. Adler
558833	336742	Adele
558834	101695	Woman Reporter
558835	385299	Rose Scott
558836	63022	Reader
558836	353490	
558837	302777	Bookstore Customer
558838	93821	Pagan
558839	16878	Seamstress
558840	191420	Sylvia
558841	248411	Bert
558842	386720	Helen Carter
558842	388578	Mrs Hollinsczech
558843	200800	Mahsuri
558844	352675	Mme. Chaumette
558845	7782	Moeder van Luuk
558845	125395	
558845	210128	Moeder
558845	246885	
558845	275433	Lida
558845	406217	
558846	76958	Mrs. Brunton
558847	92257	Amelia McIntyre
558848	108061	Mrs. Page
558848	216343	Farnace
558848	279659	
558849	33940	Hounslow Harrier
558850	22179	Robin's Friend
558851	64864	Bar Kep Girl
558852	45120	L'agent de publicité
558852	106988	Woman by the Merry-Go-Round
558852	111043	Claudine
558852	166127	La secrétaire de J.C.
558852	168276	Cathy
558852	211140	La mère de Raphaël
558852	246641	La secrétaire
558852	248165	
558852	249278	
558852	319824	Josie Turbot
558852	355880	
558852	382188	Carole
558852	402885	Nurse Arles
558853	7184	
558854	178604	
558854	314315	
558855	237138	
558856	162758	
558857	110421	TV Reporter Quentina Smith
558857	191495	Anchor Woman
558857	220462	
558857	251410	Reporter
558858	208220	
558858	268972	Cécile
558859	8616	Madame Benhassine
558859	62277	Julie
558859	238911	
558859	258635	Infirmière/hôtesse
558861	255357	Camp Leader
558862	241559	Night Club Girl
558863	140584	
558864	182808	
558865	305778	Patient #1
558866	6107	
558867	344673	Kim
558868	154614	Vegas Showgirl
558869	290971	Miss Provella
558871	115269	Women Coalation Diner Patron
558872	276444	
558873	301370	Lorella
558874	319935	Amy
558875	2281	
558875	3169	Mystery woman
558875	14379	
558875	16820	
558875	33674	
558875	53170	Elsa
558875	55932	
558875	56606	Red Queen
558875	61076	
558875	65190	
558875	82438	Robert's Mother
558875	82917	Isabella
558875	85610	Lady Clark
558875	98079	von Gassner
558875	104459	
558875	112639	
558875	129019	Giulietta's mother
558875	138473	
558875	162083	Luigia, Peppino's Sister-in-l
558875	183596	
558875	205157	
558875	217759	Sister Francesca Imbersaga
558875	234761	
558875	236543	Mme Faustine
558875	241102	Madame de Senneville
558875	243671	
558875	252669	
558875	263919	
558875	265813	Aunt Amelia
558875	270828	
558875	281113	Margherita
558875	286418	Signora Castelli
558875	291561	Agnese Frustalupi
558875	294251	
558875	313900	
558875	315424	Marco's Mother
558875	315449	
558875	332938	Delia
558875	337378	Clara Vanzetti
558875	347471	
558875	351526	Mother Superior
558875	355888	
558875	375237	
558875	388428	Mrs. Chiverton
558875	396171	
558876	24305	
558877	111142	
558878	75946	Jola, Baczek's Secretary
558878	82199	
558878	301097	
558879	172444	(segment Zhenya)
558880	38000	Soloist
558881	228258	Herself
558882	32707	Woman in Car #2
558883	54088	
558884	529	
558884	22670	
558884	25216	
558884	28873	
558884	30153	Rosita
558884	52107	
558884	55312	
558884	55344	
558884	67655	
558884	80271	
558884	101922	
558884	104018	
558884	104082	
558884	104834	
558884	116426	
558884	124237	
558884	124241	
558884	135268	
558884	222191	
558884	237208	
558884	254240	
558884	258688	
558884	275023	
558884	280872	
558884	293388	
558884	334704	
558884	337252	
558884	339996	
558884	341469	
558884	350140	
558884	350142	
558884	355131	
558884	377604	
558884	377605	
558884	377606	
558884	384117	Herself
558885	380777	Jamile
558885	387052	Francisca
558885	401086	
558886	387640	
558887	23989	Karin
558887	48259	Carla Wall
558887	101338	Elke
558887	109100	Marianne
558887	123069	Lene
558887	140224	Lisbeth Voß
558887	189187	
558887	220130	Christa
558887	244012	
558887	251001	Teacher
558887	259437	Kleinert
558887	259604	
558887	259655	Anna Eder
558887	312119	Frau Schreiber
558887	316558	Natalie
558887	326175	Kerstin
558887	352573	Claudia Rattey
558887	356877	
558887	392632	Frau Voigt
558888	381055	Herself - Author
558889	377416	Pernille
558890	276489	
558891	7465	Mme Bobika
558891	10054	
558891	14955	Elena's aunt (segment "Amore 
558891	19521	Duchess Moretti
558891	25307	
558891	26687	
558891	33815	
558891	37570	Signora Rosa
558891	38630	La direttrice del collegio
558891	41778	
558891	51367	
558891	51950	Mrs. Baldi
558891	54144	
558891	56444	Signora Monti
558891	57277	
558891	57319	
558891	63789	Miris' grandmother
558891	64762	Anna
558891	68750	Mrs. Baracchi-Croce (segment 
558891	69218	
558891	77337	
558891	113445	Zia Letizia
558891	119041	
558891	119366	Baronessa Masiero
558891	122035	
558891	125361	
558891	127976	Elena Birolli
558891	147053	
558891	164652	
558891	170109	Victoria
558891	193220	Dejanira, l'attrice
558891	197334	Virginia
558891	202593	Rosa
558891	202780	
558891	210917	
558891	212478	Madame Sonia Varonowska
558891	216845	La moglie di Andrea
558891	229743	Clara Korsen
558891	229991	Signora Bruner
558891	230004	Agrippina
558891	232774	
558891	234714	L'impresaria teatrale Greta A
558891	238021	
558891	247958	Nonna di Paolo
558891	252652	Immacolata
558891	255099	
558891	257019	
558891	269006	
558891	270887	
558891	276128	
558891	277608	Carolina Barra
558891	280756	Matilde
558891	280803	Charwoman
558891	282114	
558891	295049	
558891	300779	
558891	305541	
558891	307067	La portinaia
558891	328688	
558891	344615	
558891	348146	
558891	348156	La contessa
558891	351842	La principessa di Danimarca
558891	352231	La signora
558891	353147	
558891	355654	La signora Lorini, madre di E
558891	355708	Mamma Sandra (Sandra's Mother
558891	355888	
558891	377589	Luisa
558892	213681	
558893	17523	Tanja
558893	201967	
558893	213681	School Principal
558893	246974	
558893	251976	Hoffer Fánika
558893	348999	
558893	390846	Various
558893	407236	Stefi Béres (1993-1999)
558893	410331	
558894	357817	
558895	43189	Piri
558895	162974	
558895	171598	Matild
558895	171825	The gardener
558895	226702	
558895	254519	House Mother
558895	378583	The bride's mother
558895	388511	
558895	390390	
558895	399459	Nurse
558896	109009	Ung kvinna
558897	16965	
558897	340280	
558898	97985	Krisztina szobalánya
558898	182667	Marika,falusi lány
558898	182805	
558898	322128	
558899	162745	
558900	70673	
558901	70673	
558902	146567	Loli
558903	307317	Stuepige hos statsadvokaten
558903	338728	Husassistent Thyra Jensen
558904	39111	
558904	178754	Datteren, 'Direktørens fortel
558905	268199	Claire the Novice
558906	134948	
558906	145474	Berit, Evas mor
558906	178754	
558906	198272	Anita
558906	306266	Inger Lundstrom, Peter's Moth
558907	178007	Toiletdame
558908	17073	Concession Girl (old movie)
558909	17073	Nurse in Street (new movie)
558910	322037	Bride
558911	14096	Mark's Mom
558912	347796	
558913	397949	
558914	521	
558914	4797	Karin Manelli
558914	5160	Dr. Elisabeth Markert
558914	17918	Cornelia
558914	21406	Harriet Owen
558914	37179	Frederica Burkhardt
558914	88027	Inga
558914	105528	Marie Donatus
558914	115706	Anne Gordon
558914	140241	Dr. Elisabeth Keller
558914	163085	Stephanie Bauer/Karen Fieldin
558914	198417	Ellen Gruber
558914	206672	Irene
558914	208469	
558914	230391	Lisa Gosting
558914	237645	Karine Salstroem
558914	282159	Rosemarie
558914	290508	Regine
558914	290605	Helene Samboni
558914	343675	Angelika/Inez/Lisette/Maria
558914	348060	Michèle Printemps
558915	361611	Sue's friend
558916	211090	Herself (record seller)
558916	360854	Herself
558917	323882	Vanessa Martin (segment "Dämo
558918	259615	Manuela
558919	255103	Magalí
558920	12635	Asta
558921	278356	
558922	395375	Nora
558923	22192	Warden
558923	49267	Frau Strehle
558923	49297	Schimpfende Frau
558923	375164	Frau auf Balkon
558923	395001	
558923	395394	Hildegard Melzer (2003)
558923	399180	Funny Assistant
558924	12513	Lise Simonsen
558924	22067	
558924	76752	Kirsten Skovgaard
558924	83078	Eva - The Witch
558924	94998	Fru Linde
558924	108970	Søs
558924	128261	Jytte Borgen
558924	138036	Laura Lublinski
558924	173141	Frk. Pedersen
558924	184566	Kontesse Birgitte Foné
558924	198397	Inge Olsen
558924	206580	Lone Andersen
558924	210292	Lone
558924	214371	Westernheltinde
558924	215268	Éliante
558924	226141	Fru Gormsen
558924	228358	Bente Jessen
558924	238784	Sonja
558924	262961	Ulla Smith
558924	304518	Diana
558924	315054	Kitty
558924	317649	Frk. Monalisa Jacobsen
558924	317651	Frk. Monalisa Jacobsen
558924	317652	Frk. Monalisa Jacobsen
558924	330749	
558924	338697	Dorte
558924	346966	Gymnasieelev
558924	353050	Gerd
558924	394601	Himself - Host
558925	289791	Natasha's Patient
558926	397074	Agnes' mor
558927	225117	
558928	46033	
558928	156983	
558928	193286	
558928	345915	Susanne
558929	162289	Little Girl Faerie #1
558930	286780	Badegast 1
558931	153328	
558932	316173	Angela Platt
558933	264279	
558934	57723	
558935	406555	Tina Miller
558936	44660	Linda
558936	387811	
558937	214316	
558938	224146	
558940	246479	
558942	19960	Yvonne
558942	148423	Nurse
558942	154481	1st Maid
558942	306399	Flower Girl
558942	367805	Litzl
558943	301703	French Girl
558944	405073	Woman Amputee
558945	51800	Pre-deb
558946	67860	
558946	116039	Fifi
558946	119782	Fifi
558946	121672	
558946	140833	
558946	152328	Fifi
558946	158815	Dinner Guest
558946	160057	
558946	194396	French showgirl
558946	211587	May
558946	215709	Fifi
558946	253760	Fifi, the Maid
558946	304526	Louise
558946	331394	Lulabelle
558946	366123	
558948	63002	Alicia
558948	358658	Corrina Mitchell
558949	220218	L'autre, Quebec
558950	111118	
558950	216236	Cosette Jeune
558950	216237	Cosette enfant
558951	118262	Elaine Wilkes
558952	53823	Liz
558953	55587	Jillene
558953	140400	
558953	323893	Widow Honeywell
558953	407934	Ruth 'Ruthie' Bauman #2 (1969
558954	222665	Rosetta Young, age 9
558955	288435	
558956	367448	Crown Princess Milan
558957	388822	Herself
558958	334156	The 'Hatchet Man'
558959	328601	Candy
558960	204386	Female Drug Runner Leader
558961	3774	Herself
558961	146695	Herself
558961	192854	Herself
558962	369897	Herself
558962	369898	Self
558962	411601	Herself
558963	355041	
558964	37286	Grace Bishop
558964	39685	Matron Densmore
558964	42308	Cutter
558964	46581	Harmon's Overnight Date
558964	55583	Starlet in Restaurant
558964	80034	
558964	87393	Evelyn Stanton
558964	89126	Mavis
558964	120425	Jenny Crockett
558964	142527	Susan's mother
558964	282463	College student
558964	288999	Carol Collier
558964	312563	Party Girl
558964	330716	Diane
558964	358662	Margie Ann
558964	360880	Connie
558964	362107	Bit Part
558964	364131	Miss Pinkey
558964	383780	Vesta Volkema
558964	391184	Barbara Baxter (1965-1966)
558965	82595	
558966	56893	
558967	2071	Lee Carlton
558967	9049	Morgan's Daughter
558967	10019	Georgie
558967	27148	
558967	62424	Chloe (Betty Ann Gordon)
558967	67918	Joan Century
558967	71688	Valencia
558967	77611	Gracie Nolan
558967	88171	Marie Douglas
558967	93593	
558967	104350	Anita
558967	112265	Eve Smith
558967	123706	Flowers
558967	137484	Judy Paige
558967	138904	Ima
558967	142582	Vee Newell
558967	150650	
558967	161807	
558967	169590	Jewel Courage
558967	186811	Peavey
558967	195709	Zarah
558967	213815	Baby Doll
558967	218161	Olivette
558967	224225	Alice Deering
558967	245735	Ruth Dent
558967	246869	Angela Wade
558967	292650	Rosemary Merton
558967	300014	The New Maid
558967	302884	Ann Hardy
558967	306756	Gloria Staunton
558967	315268	Goldie
558967	355037	Norma
558967	360721	Eve Quinn
558967	370577	Manuelita
558967	371038	Saina
558968	54126	Mildred Manning
558968	112516	Conchita
558968	176310	Teresa Mendoza
558968	218768	
558968	278037	Carmencita
558968	281001	Leila Wells
558968	361760	Beatrice 'Bee' Brent
558969	294804	Doria Lookalike #1
558970	72709	Mandy
558971	222495	Bingo Caller
558971	263572	Mrs. Kleeman
558972	26784	Waitress
558972	265860	Toothless Woman
558973	197706	Mrs. Townsend
558974	123080	Narrator
558975	32243	Chanel's Customer
558975	55520	Marilyn's girl
558975	367861	Larissa
558976	270680	Tuz Tuz
558977	183868	Policewoman
558978	4553	
558978	183526	
558978	376655	Josefina
558979	279829	
558979	407640	María
558980	110050	Patronne Rica
558981	38838	Mademoiselle Guesh l'infirmiè
558982	263709	The mother
558984	224882	
558985	374431	
558986	410211	Kalamine
558987	29332	Bea
558987	56545	Herself
558987	67958	Leila
558987	126447	Katja
558987	161865	Hedda Christiansen
558987	202633	Patrizia Haberland
558987	254354	Juliane
558987	311080	
558987	381694	
558987	389361	Sandy Busch
558987	390812	Sonja Wiebe #1 (1997-1998)
558988	101225	Juliette Oliveau
558989	275225	Tarmfolkskvinde
558990	53621	Teenage girl
558990	139791	Cindy
558991	355047	
558992	62302	Camila Bustillo
558992	102947	Marizza
558992	384119	Pato/Camila Bustillo (1996-20
558992	384120	Camila Bustillo
558992	388946	Paloma
558992	403021	Marizza Pía Spiritto (Andrade
558993	26633	
558993	232213	
558994	105110	Radio Announcer
558995	278933	
558996	69945	Madeleine
558997	94290	Irene Wainwright
558997	171026	Herself
558997	195190	Madame Bordelaise
558997	248970	Vivienne Rolland
558997	300103	Just for One Hour of Love num
558998	15049	Puck
558999	307613	
559000	374597	Little Girl
559001	16425	
559001	74421	Zsolnay Vera
559001	182656	Torma Vica
559001	211113	
559001	256679	Török Zsófi
559001	322111	Sós Juliska
559001	349190	Julis
559001	350661	Silvia Costelloni
559001	354257	Erzsi
559001	377758	Balogh Anna,Szabó menyasszony
559002	74431	Dorica
559002	103052	Bunyin kisasszony
559002	104197	Klári néni
559002	147929	
559002	155795	
559002	178231	
559002	182693	Mária Jablonszky (Mrs. Kaszpa
559002	211217	Filmszínésznõ
559002	215095	
559002	225486	Erzsi
559002	227329	Nancys Mutter
559002	227524	
559002	324098	Parti Bözsi
559002	342039	Klára Bedö
559002	377893	
559002	408841	Erzsi
559003	178231	
559004	201968	
559004	343776	János anyja
559005	108864	
559005	108865	
559006	97223	Nun
559006	144972	Mona
559007	244223	Teacher and Director of the P
559008	80463	Lady in the Elfi (Dame im Elf
559008	85983	
559008	103029	
559008	126367	A lady
559008	187683	
559008	222217	
559008	325699	
559008	325847	Gerda Sivetzki
559008	354718	Cilli
559008	391843	Nadya
559009	13100	
559010	41279	Witch who gets stoned
559010	197615	Daniella Neseri
559010	229612	
559010	340704	Stalingrad
559010	360902	Doris
559011	75576	Lorraine van de Bohr
559011	206273	Marotia
559012	309898	Cajun Couple
559013	309898	Cajun Dancer
559014	257448	
559015	103319	
559016	129811	Lily Bratton
559017	95757	
559018	63908	Nighbour
559018	79133	
559018	84065	
559018	85554	
559018	103760	
559018	115828	
559018	278938	
559018	380072	Paca
559018	391850	Clotilde
559018	396781	
559018	400700	
559018	400945	Rosalia
559019	9925	
559019	21425	
559019	32110	
559019	41654	
559019	50663	
559019	50871	
559019	52129	
559019	54857	
559020	112032	Riverside girl
559020	147490	Fenella
559020	195168	Paulette
559020	225117	
559020	374638	Angvisa Girl
559021	84181	
559021	336128	
559022	22732	Lucina Martin
559022	29441	Joan
559022	38006	
559022	59714	
559022	88568	
559022	129762	Married Gnome
559022	159073	Ma
559022	195610	Erica Lane
559022	237600	Stella Stiggs
559022	279014	Aline Wiley
559022	380391	Reena Bellman Cooke (1979-198
559022	385824	Mary Anderson #4 (1975)
559022	388237	Connie Giannini (1985)
559022	407916	Reena Bellman Cook (1980-1982
559023	321678	Courtroom Extra
559024	19321	
559024	58286	Miranda
559024	96233	Herself
559024	112733	
559024	126442	Annette Dumont
559024	161568	Jany Noël
559024	215062	
559024	260946	Un Petit Garçon
559024	340670	Une femme de Jim
559024	377916	
559025	59231	
559025	61416	Lily, Lulu's Friend
559025	215062	
559025	248971	
559025	258851	
559025	303135	
559025	308294	
559025	332203	
559025	347757	Estelle enfant
559026	120911	Eva
559027	84109	Gina
559027	229983	Teppista
559028	290932	
559029	94786	
559029	107515	Miss Julie Mercadet
559029	108215	Marinette
559029	124396	La voyageuse
559029	205236	
559029	215062	
559029	216113	
559029	303135	
559029	345167	
559029	353905	
559029	353906	
559030	44605	
559030	55412	
559030	87970	Herself
559030	90712	
559030	107712	
559030	113698	
559030	187454	
559030	198584	Elsa Holbein
559030	199395	Madame Tallien
559030	202498	Marina di Malombra
559030	205269	
559030	210560	
559030	235734	
559030	272381	Alba d'Oltrevita
559030	315426	
559031	320228	Susanne Sillemann
559032	339101	La criada
559033	227927	Publicist
559034	201480	Nurse
559034	251979	Reporter
559034	252455	Roz
559034	336165	Mattie Peck
559035	248878	Camp Counselor
559036	135843	Dancer at Cheemo's House
559037	399286	Herself
559038	203581	
559039	307195	
559039	383439	Valeria
559039	384138	Marilusa
559040	102448	
559040	144208	
559041	75966	Teacher
559041	88410	Waitress
559042	4664	
559043	276428	Woman in Upper Room
559044	409093	
559045	315185	Marianne
559046	7558	Martha Ellekær
559046	178751	Irene
559046	248521	Kajsa
559047	293879	Turid
559048	153745	Lena
559048	166943	Gunhild
559049	36691	Gisèle
559049	51570	Madeleine
559049	59774	Suzanne
559049	94353	
559049	96066	
559049	108215	
559049	153882	Paquerette
559049	166335	
559049	167200	
559049	268406	
559049	337047	Hélène
559049	350078	Jacqueline
559050	5806	Mary
559050	78777	Thelma
559051	218974	Betjent
559052	104734	Swedish entry (9th place)
559052	115423	Karin's colleague at work
559052	154150	Singer
559052	154203	Member of 'Flickery Flies'
559052	154565	Member of 'Flickery Flies'
559052	172420	Girl
559052	182286	Lillan Bergström
559052	190812	Inga
559052	259817	Elena Lubiewska
559052	284028	Singer
559052	305303	Student
559052	315373	Herself
559052	321510	Student
559052	322613	Old Mrs. Gustavsson
559053	142302	Midwife
559053	277011	Jewish alchemist's daughter
559054	396867	Mme Elisabeth
559055	347003	Pasient
559056	122075	Patty Hanlon
559057	346989	
559058	106805	
559058	219677	
559058	287473	
559059	397845	Emma
559060	148308	Swedish Nurse
559060	169029	Agnes ("county council")
559060	344164	Trine
559061	133728	1st Model
559062	396792	Saeko Kodai/Medusa
559063	153100	
559064	2195	Patronne hôtel
559064	14349	La femme de l'épicier
559064	33626	
559064	320240	
559064	340205	
559065	104771	Maltese entry (10th place)
559065	202521	Herself
559065	202523	Herself
559066	4664	
559067	188362	Maris D'Amato
559068	21117	Pastor's wife
559068	80518	Blond Hostel Girl
559068	406148	Astrid Moreland
559069	4369	Girl in red
559069	5017	Daisy, Blonde Hustler
559069	5472	Joyce Kimball Bonniwell
559069	9883	Blind Nell Robertson
559069	10141	The Red Head
559069	20314	Hettie Huston
559069	24770	Claire Jeremy
559069	26606	Agnes Prescott
559069	32996	Bessie
559069	37153	Madge
559069	37238	Mayme
559069	37458	Vivian LeRoy
559069	38950	Whitey
559069	38982	Manon
559069	41040	Connie Harper
559069	47088	Girl at Bar with Phil
559069	51872	Cafe Hostess
559069	56226	Gladys
559069	61265	Rita Kirby
559069	69338	Xenia
559069	71182	Maria
559069	77592	Bit
559069	78086	Jenny
559069	84353	Mrs. Georgia Wentworth
559069	90133	Beattle LaRue
559069	92147	Cashier
559069	92435	Carol Compton
559069	94966	Maureen
559069	107019	Mary
559069	107695	Billie Atkins
559069	108003	Joyce Ford
559069	110342	Vivian Loder
559069	116372	Sylvia Jordan
559069	117804	Clair Dunning
559069	120740	Francie Merritt
559069	126590	Black's Blonde Dance Hall Pic
559069	128202	Flossie
559069	128485	Cynthia Harrison/Sylvia Scott
559069	129233	Lucille
559069	136290	Laverne
559069	146750	
559069	147418	Candy Calin
559069	149104	Pearl
559069	150250	Doris Burton
559069	154405	
559069	154481	Ilona Prohaska, Willie's Morn
559069	154650	Flo
559069	154868	Waitress
559069	154916	Manicurist
559069	162267	Belle La Tour
559069	162931	Luana, Krogan's woman
559069	163577	Elsie, a Maid
559069	170378	Louise
559069	170809	Cora Bell
559069	173351	Stella Grey
559069	176340	The redhead
559069	186010	Celeste
559069	186286	Dora Lewis
559069	190262	Hazel, Blackie's Girl
559069	195879	Dance Hall Hostess
559069	196295	Marge
559069	206167	Blanche
559069	206472	Nurse With Cartoon on Uniform
559069	210432	Receptionist
559069	210749	Rita Crane
559069	213820	Miriam Ellis
559069	214977	
559069	215809	Miss Finlay
559069	215915	Jeanette
559069	216026	Blonde
559069	219996	Rosemary Olcott
559069	222678	Fiona Maclair
559069	226936	Susan Stark
559069	241468	Gaye Winston Lardner
559069	245681	Maxine
559069	252127	Julie Jackson, Stuff's Moll
559069	253106	Sadie
559069	255819	Eve Standish
559069	256900	Barbara Ellison
559069	266730	Bernice, Flip's Receptionist
559069	277113	Lila von Altermann
559069	277932	Gypsy Avery
559069	282387	Lorine Gray
559069	284916	Actress on movie screen
559069	287018	Helen
559069	289536	Flo Rosson
559069	296874	Margo Lane
559069	297956	Betty Williams
559069	298093	Diane Jordan
559069	302723	Diane
559069	305456	Lee
559069	308112	Flo
559069	313118	Peggy Fuller
559069	317825	Dolly
559069	331317	Consuelo Dormant
559069	331587	Faye Foss
559069	332029	Marie
559069	343233	Bubbles
559069	347330	Helen
559069	350704	Passerby
559069	362063	Pat Campbell
559069	365071	Nola Reed
559069	366182	
559069	372346	Mrs. Noonan
559069	385007	Dolly Porter
559069	395563	Honeybee Gillis (1953-1954)
559070	40309	Sacha
559071	403805	Dr. Madeline Jacobs (2000)
559072	23625	
559072	46594	
559072	153961	
559073	258864	
559074	55110	Brigadista
559075	104886	Sofie
559075	219444	
559076	21157	Decorator
559076	108353	Madge Winfield
559076	282957	Mona
559076	346892	Aunt Rikke
559077	190436	Emily Jane
559078	14485	Elliot's Assistant
559078	314814	Heather Wilson
559078	325983	Sandra
559079	385069	Titina
559079	397499	
559079	399557	Natalia
559080	5470	Madame Vasseur
559080	8919	Milly
559080	28533	
559080	36648	Mme Claude
559080	52012	Mme Leprince
559080	53597	Gina Ekdal
559080	57616	Angela
559080	66676	Zoitza Zograffi
559080	68922	Louise
559080	69531	Alain's Mother
559080	77869	Madame de Sotenville
559080	80335	Catherine
559080	91453	Danièle
559080	91458	Evelyne
559080	111012	Mamouche
559080	140287	
559080	148702	Delphine Grezel
559080	150528	Ninette
559080	166183	Étiennette
559080	166346	La mère de Jeanne
559080	202085	Béline
559080	202088	
559080	217705	Arlette Le Gall
559080	222830	La femme du couple d'acheteur
559080	225376	
559080	225494	Hermine
559080	234524	Geneviève
559080	236521	
559080	240465	Doctor #3
559080	249205	La belle mère
559080	249281	Julie
559080	303136	Berthe
559080	312663	La mère
559080	318121	Hilda Courtois
559080	338587	
559080	341701	The Mother
559080	346508	L'amie de Rose
559080	346683	Nadine
559080	346708	Juliette Deberle
559080	352511	
559080	353908	
559080	353936	
559080	376485	
559080	383815	La princesse de Parme/Princes
559080	408651	Récitante/Narrator
559081	156635	Renate Wolf
559081	389823	Lisa
559082	117528	Kathy
559083	290438	Eva
559084	337184	
559085	22865	Nancy Jones
559085	82327	
559085	137657	Woman Attendant
559085	180061	Clerk
559085	229860	Aria
559085	233936	Narrator
559085	301677	Mrs. Randall
559085	301681	Mrs. Randall
559085	307622	Girl Mechanic
559085	326655	Mrs. Henderson
559085	339952	Pitt's Secretary
559086	14192	Cashier
559087	201444	Ma
559088	15240	
559088	146714	
559088	369982	Barbara
559088	382375	
559088	386123	Frida
559088	387799	Neura
559088	395044	Antonieta 'Nietinha' Martins 
559089	383727	Regina
559090	116948	
559090	404960	Marilu
559091	396610	Thaíssa (2002)
559091	401944	Luiza
559091	404834	Jennifer Improta
559091	411605	Paquita (1995-1999)
559092	380151	Elena
559093	338242	
559094	104501	Female mourner
559095	352855	
559096	88330	
559096	234022	
559097	12394	ATF Agent Tonya Brauer
559097	66593	Mac
559097	131447	Makeup Patron
559097	247155	Art buyer
559098	42645	
559098	61143	Nina
559098	64377	
559098	64696	The Nélida's friend
559098	65063	Mecha
559098	70202	
559098	74374	
559098	80278	
559098	82987	Señorita Plasini
559098	95008	Young Anastasia
559098	105663	
559098	111988	
559098	113224	Mariana Braceras
559098	121774	Azucena Funes/Tena
559098	134429	
559098	143992	Peny
559098	159535	
559098	166552	
559098	177203	
559098	206741	The Captive
559098	211303	Madre Julián
559098	218201	
559098	225062	
559098	243240	
559098	249787	
559098	255506	Marcela
559098	258483	Clara
559098	265883	
559098	266676	
559098	270336	
559098	277252	
559098	277394	Herself
559098	289080	
559098	306679	
559098	307228	
559098	322835	Interviwee
559098	328386	Claudia
559098	337573	Marina
559098	340068	
559098	351949	
559098	353355	
559098	373620	
559098	376858	
559098	379852	
559098	379853	
559098	392805	
559098	393549	Dona Amalia
559098	401121	
559098	402158	Inés Rivera Fuente
559098	405918	
559098	408847	
559099	166378	
559100	269164	Dosolina
559101	4514	
559102	33152	
559103	203600	Nymphet
559104	352632	Judge
559105	83520	
559107	69890	
559108	15066	Le travelo
559109	68590	Neighbour
559110	672	Consuelo
559110	113235	
559110	118101	Maria
559110	243498	Fidelia
559110	380102	Mercedes
559110	385367	Rosaria Boromeo
559110	391272	Marina de Alcántara
559110	398218	
559110	398488	Micaela
559110	398519	Chabela Soriano
559110	403413	
559111	13013	
559111	199003	Mirta
559111	281609	
559111	396644	
559111	401896	
559111	408389	
559112	188002	
559113	26544	Carmem
559113	55391	
559113	84533	
559113	144198	
559113	219229	
559113	248680	Gracinha
559113	280866	
559113	322222	
559113	344885	
559113	380147	
559113	383479	Pomba Gira
559113	384265	Gegê
559113	384480	Dalva
559113	385629	Madalena
559113	385853	Terê
559113	386214	Narcisa
559113	386730	Rosemary
559113	387804	Rita
559113	390507	
559113	392792	Florência
559113	393463	
559113	397198	
559113	397548	Eugênia
559113	400799	
559113	402582	Tereza
559113	403118	Marta
559113	403739	
559113	404799	Creusa
559113	405451	Zana
559113	409057	
559113	409925	
559113	410053	
559113	410287	
559113	412270	
559114	287859	
559114	334651	
559115	381200	
559116	28589	Eva
559116	99942	Paulina/Lúcia
559116	107718	Maria Filipa
559116	194104	
559116	198190	Luísa, Cristiano's wife
559116	210940	
559116	222162	Leonor Ferreira Bastos, a psi
559116	265196	Joana de Almeida
559116	269538	
559116	288137	Herself
559116	294723	Isabel
559116	307835	Mujer José
559116	319826	Brigitte
559116	324925	Laura's Mother
559116	341077	Julius Caesar Actress
559116	346523	
559116	349750	
559116	352632	Assistant Auctioneer
559116	376500	Mrs. Ammann
559116	381246	
559116	385339	
559116	387849	Teresa Castro Barahona
559116	393345	
559116	400095	Isaura Sinfães vasconcelos
559116	401104	Inez
559117	251560	
559117	380328	
559117	398856	Cleonice
559117	410287	Pérola
559118	132201	
559118	308751	
559118	395089	
559119	143551	
559119	205131	
559120	380081	
559121	62778	Diana Morales
559122	279701	
559123	21157	Diner Customer
559123	141517	Western ingenue
559123	195483	Dolores
559123	363654	
559123	380391	Dr. Alice Matthews Frame Fram
559123	389858	Sylvia Whitby (1984-1985)
559124	379239	Ingwild
559125	342410	A Girl
559126	330240	Mrs. Roberts
559127	321794	Bit Part
559128	9494	Lydia
559128	41759	Mexican Waitress
559128	87820	Woman
559128	121819	Assistant hairdresser
559128	128536	French Girl
559128	195816	Italian waitress
559128	205739	Shopper
559128	218257	Wife
559128	223654	French Maid
559128	249068	
559128	317825	Panama Percentage Girl
559128	329421	Party Guest
559128	333062	Jeannette
559128	334136	Frenchwoman
559129	2351	French girl
559129	20625	Extra
559129	48539	Passenger
559129	116443	Usherette
559129	148423	Newswoman
559129	178096	Cashier at Luigi's
559129	188393	Waitress
559129	199403	Customer at Nora's
559129	330148	Stewardess
559129	330689	Bit Part
559130	24149	Hofdame Ballett 2
559130	197823	
559131	343711	Helga's Mother
559132	43772	
559133	43432	Young Mistress
559134	128031	
559135	56300	
559136	118274	Anna
559136	291968	The Makeup Artist
559137	211960	Amorina
559137	309638	Maja Picotti
559137	385613	Gina
559138	55809	
559138	74879	
559138	94707	
559138	204229	Fosca
559138	213089	Francesca
559138	246435	
559138	260605	
559138	267959	
559138	282113	Margit
559138	317364	
559138	320528	
559139	83860	Bernardinha
559140	212311	
559140	255122	
559141	185053	Tammy, Hell's Kitchen Hooker
559142	14755	Bernetta
559142	64204	
559142	116593	
559142	222856	Giornalista
559143	234752	
559144	25331	
559144	224409	
559144	294420	Luana
559144	328868	Valeria Venturi
559145	316312	Customer
559146	316312	Customer
559147	2733	Eva
559147	123241	Karin, Mariannes datter
559147	153955	Sara
559147	169120	Sofus
559147	201230	Kjersti
559147	307244	Gurin
559147	382895	Girl's voice
559148	306974	Spansk senorita
559148	392072	Sue-Astrid Wallace (2003-)
559148	400008	Charlotte Berg
559149	109415	Miss Los Angeles
559150	195931	Restraurant Patron
559151	190595	Storm Victim
559151	218785	Family Member at Funeral
559151	252976	Church parishioner
559151	333915	Shirley
559151	338308	Rescuer
559152	281649	Host
559153	401729	(Episode "Del 6")
559154	170123	
559155	18532	
559155	115605	
559155	126462	
559155	137411	Annette
559155	150568	Cora Blitz
559155	156660	Marion
559155	185854	Redaktionsassistentin (Produc
559155	239152	Sandra
559155	325430	Claudia Adam
559155	325605	Mona
559155	325765	Astrid
559155	325936	Laura Lord
559155	338425	Meike Arnold
559155	359601	Fiona
559155	380392	Ulrike Petersen
559155	381694	Rosalie (2002)
559155	392077	Cora Blitz
559156	207947	
559157	167110	
559158	33470	La nonna di Roberta
559158	159495	
559158	237769	
559158	240275	
559158	336622	Maria
559159	55059	
559160	5885	Giselle Roux
559160	15254	Empress Farah
559160	28769	Banker
559160	45127	Boutique receptionist
559160	71254	Madame Roulier
559160	88177	Ballet Mistress
559160	108898	
559160	116966	Nathalie Vernet
559160	120772	Madame Morissot
559160	134589	
559160	192171	Mariette
559160	228155	
559160	231305	Jacqueline Maurois
559160	243934	Belgian Grandmother
559160	252983	Nazik
559160	269503	Patronne bar
559160	336650	Lady Doctor
559160	353364	Madame
559160	377013	
559160	379793	Liz Chatelain-Pélissier
559160	398966	
559160	401429	Margot
559160	402657	Adelaide Bartlett
559160	405585	Gabrielle
559160	410309	
559161	348194	
559162	408550	Yoko Ono
559162	409814	Girl
559163	46981	Investigator
559164	306257	8-Year Old Gerda
559165	444	Mrs. Bergsten
559165	17613	Anna-Clara's Mother
559165	29345	Aunt Alberta
559165	30732	Taina
559165	32862	Mrs. Quist
559165	45984	Mrs. Wester
559165	47176	Ida
559165	48001	Miss Alma Furuvik
559165	48357	Karin, maid
559165	55525	Ann-Sofi
559165	76734	Old Finnish woman
559165	77406	Prudence
559165	89470	Kristin
559165	93809	Kerstin
559165	94341	Charlie's Mother
559165	95273	Gunilla Fristedt
559165	95829	Mrs. Plym
559165	96019	Charlotta Dahl
559165	96431	Mary
559165	104812	Maria
559165	105362	Emma
559165	108199	Kalle's Mother
559165	109132	Anna
559165	109255	Grandma Holm
559165	115382	Aunt Louise
559165	115394	Märta
559165	115395	Vilma Andersson
559165	115402	Jordmor
559165	115403	Blenda
559165	115431	Aunt Sofie Björk
559165	116457	Per's Wife
559165	119016	Miss Öhrström
559165	122496	Widow Jenner
559165	123071	Gamla Kristin
559165	127568	Annie Behrman
559165	129661	Hilda Toring
559165	131180	Augusta
559165	136701	Aunt Brink
559165	142767	
559165	142837	Sonja's Grandmother
559165	144252	Caligula's mother
559165	159626	Ingeborg Holm
559165	164770	Miss Ruth Miller
559165	164784	Augusta Condé
559165	168511	Ann Cassidy
559165	175351	Mor i Falla
559165	178743	Sara
559165	181848	Charlotta Anker
559165	182288	Emma
559165	182302	Mrs. Pettersson
559165	182806	Mrs. Holm
559165	183752	Lady Marion
559165	192648	Mrs. Nilsson
559165	192654	Aunt Malin, Jimmy's aunt
559165	198271	Sjögren's Mother
559165	209311	Old mrs. Bergström
559165	223187	Lovisa
559165	235039	Mrs. Edlund
559165	237063	Grandma
559165	244204	Mrs. Meijer
559165	264277	Matilda
559165	277817	Mother Sigga
559165	284135	
559165	302139	Grandmother
559165	305303	Vilma
559165	316909	Mrs. Hagberg
559165	321901	Mrs. Alm
559165	322311	Mrs. Lövgren
559165	335362	Storyteller
559165	341170	Countess
559165	349586	Hedvig
559165	350564	Mrs. Lundkvist
559165	350710	Aunt Louise
559165	354688	Mother Holmstrand
559165	357750	Lilli's Mother
559165	357773	Lisa
559165	377387	
559165	377417	Ma Fia
559166	235872	La baronne d'Apremont
559167	408309	Herself - Member of questioni
559168	95133	Mrs. Lang
559169	127059	Souad
559170	315259	Rebecca
559171	42116	Florence
559171	119283	
559172	17470	Irma Chappelle
559172	37457	Etheline
559173	193483	Enfermera
559174	49631	
559174	57198	
559174	141213	Dolly
559174	215292	
559174	305856	Sally Atkins
559175	47474	Ivan's Party Guest
559176	183882	
559176	261941	
559176	313137	
559176	315927	
559176	341724	
559177	374220	
559178	154434	
559179	154434	
559180	92044	
559181	339082	Claudine
559182	135861	Waitress
559183	156283	Mother
559183	254089	Anna
559184	65603	
559184	221755	
559185	248399	Doris Webb
559185	287889	
559185	336994	
559186	34700	
559186	45961	Rosa
559186	71347	Stepka
559186	110212	Aicha
559186	269049	Maid
559186	289583	Mara
559186	311733	Nancy Driscoll
559186	343378	Mitza
559186	367667	Native Girl
559187	26685	Pina
559187	28691	Pasqua
559187	55905	
559187	208794	
559187	210917	
559187	374292	
559188	148480	
559188	384137	Madre Superiora (2003)
559188	389887	Arlete
559188	391313	Magdala
559188	402626	Nair
559188	404160	Teresa
559188	410096	Nena
559188	411585	Vicentina
559189	63890	
559189	113444	
559189	132557	Cinzia
559189	160514	
559189	210680	
559189	255543	
559189	344591	Sonia
559189	392742	Linda Longhi
559189	410311	
559190	410839	Julia Kuhnert
559191	12780	Kathy
559191	41063	Herself
559191	42257	Eve
559191	84811	Cecilia
559191	92817	Princess
559191	102184	Sondra
559191	105831	Dancer
559191	142486	Nurse
559191	160809	Jena Goodwin
559191	228482	Herself
559191	251452	Kat Walker
559191	257616	Herself
559191	257618	Herself
559191	257655	Miss November
559191	257683	Herself
559191	274148	Herself
559191	318442	The Blonde
559191	359423	Lisa
559191	361853	Herself
559191	389858	Angel Ellis (2001)
559192	136632	Nina
559192	377320	
559192	393273	Sofia Wall
559192	408999	Kristina Jonsson
559194	17208	
559194	42844	Medico
559194	55392	
559194	68429	
559194	69262	Lia
559194	118777	Woman in the Hovels
559194	162051	
559194	171102	
559194	198599	Rosina
559194	214002	Tecla Rossi
559194	217760	
559194	247642	
559194	252778	
559194	278933	Positano
559194	338648	moglie di Pietro
559195	229193	Olvra
559195	352866	
559195	356420	
559196	381021	
559197	230987	Newena
559198	91083	
559199	297863	Old Woman
559200	10225	Boriana Borisova
559201	9353	
559202	258378	Lili
559202	265994	Sobol
559202	276219	Marina
559203	1400	
559203	219426	Old Mushroom
559203	220692	
559203	316433	
559204	63614	
559204	261332	
559204	261372	
559204	265029	
559204	294992	
559205	103565	
559206	294019	
559206	339228	
559206	410405	
559207	249627	Ballerina
559208	164013	
559209	312434	
559210	341189	Princess Anastasiya
559211	719	
559211	30599	
559211	30600	
559211	95573	Mila
559211	163901	
559211	178234	
559211	180785	Yuliya Beleva
559211	181067	
559211	188875	Lelyata na Zahari
559211	204047	Peeva
559211	250885	Katya
559211	265011	
559211	304720	Maykata na Yuliya
559211	332958	Bimbashieva
559212	237523	
559213	84428	(segment "Moy milyi chizh")
559213	88451	
559213	214311	
559214	155673	Nastasia Philippovna
559214	162297	
559214	216618	Hero
559214	261411	
559215	377987	Agnès
559216	250887	The kid
559217	166368	Tatjana
559218	268489	Asimeja e Vogël
559219	351761	Une tante
559220	263039	
559221	43077	Herself
559221	281009	
559222	123864	Ann's friend
559222	391910	Carpenter Caren
559223	390751	
559224	263039	
559225	91423	
559226	74842	Gitana
559227	98758	
559228	231388	Gemma
559229	54919	Sophie, Pauline's Child
559229	231388	Laura
559230	64098	Halloween Dancer
559231	131383	
559233	232295	Emmie
559234	347035	(segment "Thou Shalt Not Comm
559235	164493	Grad student
559235	194635	Cocktail Waitress
559235	195540	Clarice Greenway
559235	208042	Cynthia
559235	326753	TV reporter
559236	181945	Duznica
559237	152747	Henry's Fiancee
559238	259762	Mrs. Jones
559239	237962	Maggie
559240	8152	La femme de James
559240	319822	Monique
559240	353945	Le Thérapeute
559240	396228	Mazoyer
559241	7792	
559242	337017	Extra
559244	410582	Brenka Ginsburg
559245	74174	
559246	27481	Old Lady
559246	370626	
559247	31908	Girl with Coffee
559247	75975	Tennis Player
559247	75976	Casting Attendant
559247	236159	Nurse Lusia
559247	242460	Informer's Girlfriend
559247	255497	Ignacy's Girlfriend
559248	373729	
559249	266293	
559250	398874	Agnieszka Walicka
559251	104306	European Tourist
559251	108992	Exotic Dancer
559251	114528	Extra
559251	129043	The lady from Coffee Club
559251	206953	Hairdresser
559251	247286	Student
559251	259134	Tour Hostess
559251	275250	Spanish Girl
559251	322037	Bride's Maid
559251	364979	Young Lady
559251	378122	Rock & Roll Dancer
559251	394141	Sex-Kitten
559252	32562	German Twin
559253	32562	German Twin
559254	14155	Natasha
559254	83777	Drunk Woman
559255	224192	Pet Psychiatrist
559256	121028	3. vipstjært
559256	154142	Pige
559256	306021	Ung kone
559256	312234	Datter
559257	74207	Woods' receptionist
559257	117672	Sandra
559257	342435	Agency Woman
559258	728	Herself
559258	730	Herself
559258	731	Herself
559258	38368	Rula Murphy
559258	206112	Luna Mora
559258	208979	Bridesmaid
559258	289375	Dr. Sharon Reynolds
559258	396155	Herself
559259	338882	Arianna
559260	209492	Gun clinic lady
559261	249039	Berta Courtallez
559264	391345	Tricia
559265	373495	Lee, her daughter
559266	1711	
559267	411998	
559268	4829	Pattie
559268	35174	Jennifer
559268	107969	Jennifer 'Jenny' Jacobi
559268	120043	Miriam
559268	176515	
559268	187835	Ayescha
559268	189898	Britta
559268	225292	Vickoria Bolander
559268	226317	Patty
559268	272820	Anna
559268	281725	Janie
559268	290057	Maya
559268	290140	Lana
559268	338933	Röschen Forster
559268	376476	
559268	392855	Anne Marie
559268	394134	Sophie
559269	390497	Herself (3rd Edition)
559270	35882	Julia Lambert
559270	156498	Frau Bauer
559270	312867	
559271	281953	
559272	338847	Annette
559272	390523	Karen Stanton (1980-1981)
559273	142030	Dr. Rothe
559273	325458	
559274	119928	Waitress
559275	404448	Anne-Claire Clemens
559276	133673	Maid
559277	57929	Emily
559278	242856	
559279	70865	Locutora radio
559280	382419	Deveney Dixon (1988-1989)
559281	350506	Dancer: Slave Dance
559282	267174	Audience Participants and Hec
559283	893	Ingrid
559284	152792	Mia
559284	152793	Mia
559284	171580	Susanne
559284	216981	The little child
559284	237036	
559284	354687	Lotta
559284	392089	Charlotte Ivarsson
559284	403084	Madeleine Boisse de Blaque (1
559285	91261	Lehrerin
559285	137642	
559285	155599	
559285	189879	Gretl Feller
559285	239018	
559285	281944	Fräulein Putzke
559285	335994	Magd Klara
559285	348064	
559285	354073	Miss Scheibenpflug
559285	361434	Jutta Bärmann
559285	361992	Cilly, Hausmagd
559286	210358	Herself
559287	19669	
559287	171629	
559287	377815	Hubay Péter titkárnõje
559288	338399	Maid
559289	19328	Mimi
559290	24465	Frau in Schlange
559291	235946	Empfangsdame Mercedes
559291	405696	Girl hiker
559292	299653	Christina Schultz
559293	126511	Sister Mary Elizabeth
559294	126511	Retired Nun
559295	174432	Miranda (Mirre) Larsson
559295	237252	Anna-Stina, student
559295	342314	Young Inga
559296	244277	Dancer Soloist
559296	338614	Dancer
559297	193488	Girl on schoolbus
559298	29888	Marcy, Sydney's Secretary
559299	121804	Herself
559300	115814	Virginie
559301	410774	
559302	239829	Auricon Granny 3
559303	69678	Dorothy
559304	45980	Herself
559305	389236	Margalit Berski
559306	289128	Baby
559307	289128	Baby
559308	39494	Second Nurse
559308	276948	Saleslady
559308	367577	Leni
559309	23238	Betty, their daughter
559309	210006	
559309	357783	Brita, seine Nichte
559310	84413	
559310	193238	
559310	211655	
559310	265934	
559310	297861	
559310	334064	
559310	337885	
559310	370183	
559311	6677	Principessa di Bouillon
559311	44393	Marina
559311	269348	Pauline
559311	286815	Dalila
559311	312541	Soloist
559311	359175	Countess Hélene Bezukhova
559312	231165	Ulfata
559313	63574	
559314	198148	
559315	316693	
559316	73384	
559317	378916	Host (1979-1981)
559317	380488	Herself - Host (1979)
559317	389852	Host
559317	409810	
559318	31908	Monika, aka "Unka"
559318	75961	Irena Zawadzka
559318	165053	Elzbieta
559318	247344	Show Guest
559318	321432	Gabrysia's Friend
559319	51039	
559320	247665	Madona
559321	310679	Mamochka
559322	2833	Olga, the Cook
559322	20087	Mama Viejos
559322	26628	Mrs. Weiss
559322	39498	Wife of Hospitalized Miner
559322	44451	Ma Beretti
559322	44951	
559322	57169	Yetta
559322	63034	Mrs. Schwartz
559322	92007	Irena
559322	95474	Delicatessen Proprietress
559322	96861	Rosa's Grandma Sistina
559322	98151	Frau Kruger
559322	118232	Nurse
559322	123141	Madame Wachek, the Landlady
559322	125887	Angela
559322	128183	Mrs. Broken Thumb
559322	143026	Mrs. Schultz
559322	144429	Amelia, Inez's Dueña
559322	144776	Old Woman on Train
559322	152215	Mrs. Amatto
559322	152601	
559322	183024	Mama O'Brien
559322	183379	Mrs. Forziati
559322	190490	Madame Binat
559322	190858	Mrs. Rose
559322	191704	Mrs. Passa
559322	195303	Terry's Landlady
559322	201458	Mrs. Rubens
559322	205453	Mrs. Finkelstein
559322	233670	Nick's Mother
559322	241110	Elsa (Katie's maid)
559322	255465	Madame
559322	264171	Mrs. Pulaski
559322	264754	Louise, Cook at Chalet
559322	264776	Mrs. Goldberg
559322	270768	Rosie Eckbaum
559322	278563	Maria
559322	304767	Farm Lady
559322	308625	Cook
559322	317169	Mrs. D'Amoro
559322	320596	Marta
559322	321852	Mary Schultz
559322	323968	Mrs. Pulaski, Borscht Woman
559322	330167	Laughing Woman
559322	330836	Housekeeper
559322	331319	Tenement Woman
559322	338894	Grandma Rommely
559322	348546	
559322	368371	Sasha, Maria's maid
559323	93433	Julischka (Fee) von Wendorf
559323	147185	Dodo
559323	156994	Madame Nimborg
559323	180972	Sekretärin
559323	377123	
559324	200170	Teacher #3
559324	246444	
559325	122131	
559326	322017	
559327	227534	
559328	140712	
559329	206669	
559329	263056	Ana's Grandmother
559329	293808	
559329	357366	
559330	306870	Irit
559331	306870	Keren
559333	14353	Suzel
559333	43001	Catherine
559333	65615	Lélia
559333	84097	Clarisse
559333	132743	Marie
559333	149211	Margot
559333	160675	Jeanne
559333	186192	Hélène
559333	211138	Florence
559333	211848	Agnès
559333	269165	La mère
559333	346568	Léa
559333	382219	Talia Vargas
559333	406853	Sylvie
559334	183511	Roxinha
559336	240317	Rom
559338	66764	Waitress
559338	70778	Secretary
559338	168238	Cute Girl
559339	407384	
559340	337884	Franya
559341	48770	
559342	356418	
559343	35857	
559343	374195	
559343	398902	
559344	85268	
559345	298305	
559345	374427	
559346	237957	
559347	254170	Une danseuse
559348	9378	Raczynska
559348	36586	Cieszkowska
559348	129043	Lady on the train
559348	165053	Prostitute
559348	178773	Secretary Krysia Roszkowska
559348	180012	Jurek's Aunt Ewa Chmielewska
559348	220144	Gracja
559348	226634	
559348	231618	Woman in Kitchen
559348	234268	
559348	236159	Secretary Krysia Roszkowska
559348	256156	Customer Asking for Eggs
559348	258664	Waitress
559348	261595	Górecka
559348	343386	
559348	359590	Pleciuga
559349	95963	
559349	114333	Monika
559349	134233	
559349	178460	Tosia
559349	239438	Kindergärtnerin
559349	293684	
559350	212333	Herself - Participant/Perform
559351	26289	Yuppie Wife
559351	110911	Joan Kaufman
559351	134721	Helen
559351	139606	Nina
559351	150673	Dr. Issy Schrader
559351	156480	Rachel
559351	160897	Tova Arrocas
559351	171183	Tura
559351	198828	Alice Vitelli
559351	203601	Ann Nirdlinger
559351	210794	Ruthie Battaglia
559351	220062	Marie
559351	293637	Margaret
559351	343157	Amanda
559351	368363	Rachel
559351	387987	Ruth
559351	392102	Dr. Issy Schrader
559352	321766	
559353	99018	5. Magd
559353	176131	Emma
559354	192070	Blond friend
559355	15062	
559355	50993	Bobo
559355	88067	
559355	124824	Portière Sopha
559355	188683	
559355	336962	La grosse dame
559355	390663	Gisèle 'Gisou' Gromelot
559355	399082	Gardienne
559356	169554	Rodjaka
559356	267811	
559357	236806	
559358	2416	
559358	6490	
559358	24623	
559358	59252	
559358	73656	
559358	74521	
559358	75471	
559358	113095	
559358	135122	
559358	136858	
559358	137865	
559358	152261	
559358	170460	
559358	229802	
559358	233357	
559358	244640	Mademoiselle jacquet
559358	273011	
559358	307701	Girlfriend
559358	343629	Directora
559358	376796	
559359	52808	Cola
559360	255122	
559361	71287	Juanita
559361	87511	Lidia
559361	90209	Mother Panza (Younger)
559361	106993	Elvira
559361	187767	Reporter
559361	237192	
559361	238106	
559361	287417	
559361	299714	Pillow Mint Maid
559361	369557	Herself
559361	392027	Dra. Cruz Gándara (2003-)
559361	394526	Gloria Murillo
559361	396154	Berta
559361	401248	Ana Ruíz
559362	22191	
559362	65086	
559362	71904	Sylvette Goldoni
559362	167168	Pauline
559362	340921	Dany
559363	152905	Sally Ryan
559364	162779	Dancer
559364	384306	Dancer
559364	384507	Herself (co-host)
559364	387698	Andrea
559365	167062	Extras
559366	14834	Carità
559367	42677	Waitress
559367	166917	Former Girlfriend
559367	304752	Amy
559367	364709	Radio Dispatcher
559368	370112	
559369	351631	Loca
559369	410091	
559370	379566	Melissa
559371	264513	Slave Girl
559372	70473	
559373	195088	Freddie
559374	14818	Julia
559374	55911	Muchacha
559375	65	Clara Franconeri
559375	57825	
559375	159536	
559375	217808	Clara
559375	217809	Clara
559375	222945	Clara Franconeri
559375	251137	
559375	259771	Clara
559375	307440	
559375	325178	
559375	325616	Clara Franconeri
559375	351849	
559375	355660	
559375	359727	Maria 'Sissy' Kolba
559375	383676	Sara
559376	41262	Roberta
559377	215480	Herself
559377	215481	Herself
559379	43237	Vice President
559379	84502	Eugenia Alfaro, Carlota's sis
559379	309061	Woman on stairs
559379	381026	Caridad Solaz
559379	383174	Lucía Sandoval Portocarrero d
559379	388814	Tatiana Toledo de Valencia
559379	389233	Adriana (1999-2000)
559379	391862	María Fernanda Acosta
559379	396125	Laura
559379	396601	
559379	397024	
559379	397262	Julia
559379	400485	Diana
559379	401240	
559379	402333	Herself/Teacher
559379	402452	Estefania Braun/Katherine Bra
559379	405858	Amalia
559379	409779	Helena Roitman
559380	146002	Undetermined Role
559381	248076	
559381	306700	
559381	308327	
559382	312785	Tabitha
559382	368914	Alvarez's Date
559385	191054	Mercedita
559387	79514	Geri Chambers
559387	159959	Lab technician
559387	183877	Jane Rand
559387	223739	Jana
559387	365759	
559390	11950	Gin
559391	265681	Student
559392	318267	Melancholic Man
559393	323521	
559395	392294	
559396	12540	
559396	252661	
559397	371744	
559398	151351	Harem Girl
559398	320102	Elf
559398	333685	Margaret
559398	350321	Dwerger
559399	122226	
559400	15333	
559400	57908	
559400	198848	
559400	202560	Alfonsa
559400	354038	
559401	12065	dancer
559401	78565	
559401	189024	
559402	383344	Priscila Galván
559403	110749	Toy shop's old woman
559404	72628	
559405	74566	
559406	121811	
559407	261229	
559408	270797	Szobalány
559408	374536	Szobalány
559409	270691	Amica di Cristina
559410	238009	
559411	85597	
559411	89930	Maria Armanda
559411	183508	Marcolina
559411	222155	
559411	252748	Hospital assistant
559411	268320	Maid
559411	269575	
559411	287488	Miss Brown
559411	353652	Dona Aninhas do Ó
559411	355763	Maria do Céu
559411	398881	Countess
559411	403232	Perpétua
559412	163363	Wanda
559413	119182	Redakteurin
559414	247387	Alessandra
559414	383784	Barbara Nardi Ryan
559415	90237	Slapper
559416	48324	kronprinsessen
559417	262161	Mariya Zubova
559418	20620	Little Girl
559418	33454	Ronja Liebich
559418	34288	Marion Hänel
559418	153751	Nicole Weber
559418	281729	Miranda Milhouse
559418	289986	Charlotte
559418	290252	Julia Müller
559418	310902	Simone Caspari
559418	326047	Laura Lackner
559419	74437	Évike (the teacher)
559419	153859	Mrs. Wesselényi
559420	224164	Biker Girl
559421	404958	Herself
559422	60521	La cantatrice
559422	218543	Mitrena
559422	243380	Proserpine
559423	368309	Herself
559424	27153	Darcy Smits
559424	27344	Milwaukee Mom with Photo
559424	48021	Registrar
559424	57064	Sally
559424	72376	Bidding Customer
559424	176275	
559424	192857	Miss Ungermeyer
559424	293192	Tracy
559424	300195	Casting Director
559424	383735	Host
559424	388343	Lois Griffin/Loretta/Tricia T
559424	396359	Various (1997-2002)
559424	402009	Queen Machina
559425	231468	Strickende Meisterin
559426	267008	
559427	343748	
559428	95962	Czesia
559429	86750	Mrs. Wanatka
559430	14160	Interviewer
559431	145413	Nicole
559431	158591	Brittany Jarvis
559431	301760	Katrina Munro
559431	303268	Devin
559431	368043	Sonia
559432	1050	Irene Haller
559432	17587	Mrs. Karmach
559432	28628	The Queen
559432	77404	Dagmar Frohm
559432	89836	Mrs. Randel
559432	94261	
559432	108203	Marianne Winkler, Ellen's dau
559432	115402	Klas' Wife
559432	120966	Dinner guest
559432	124466	
559432	138182	Lady Johnson
559432	154132	Dancer
559432	154607	Märta
559432	162252	Mary Motander
559432	174076	Guest
559432	182264	Alma
559432	182550	Anna Liewenhielm
559432	209386	Chorus leader
559432	238093	Nurse
559432	268338	Elin Tarp
559432	271688	Svarta Bjoern
559432	303200	Elisabeth von Häcken
559432	303851	Girl on the street
559432	304214	Millie Crocker-Harris
559432	315361	Mrs. Wiland
559432	335901	Typist girl
559432	343712	Hildur
559432	352990	Elsa Trotsig
559432	353038	
559432	355638	Mrs. Eksell
559432	357801	Elsa
559433	108600	Goth
559434	395356	Queen Kama
559435	339048	Nun
559436	251326	Herself
559436	309183	Herself
559437	392723	
559438	4737	
559438	172484	
559438	191479	Voice of Baba
559438	192889	
559438	225859	
559438	240087	
559438	263056	Granny
559438	263429	
559438	265726	
559438	266522	
559438	267120	
559438	314336	Baka
559438	339283	
559438	355551	
559438	374081	
559438	409296	
559438	409909	Baba Marta
559439	40148	Mrs. Ayoub
559439	78318	Helen Costas
559440	138365	Ogmed Kunundar
559441	213996	Young Maggie
559442	355652	Compagna di classe
559443	253510	Spider
559444	81177	Nanny
559444	108425	Soap Actress
559444	171030	Flight Attendant
559444	171700	Woman on Train
559445	354377	Eva
559446	210298	
559447	7329	
559447	25690	Amaliya Kazimirovna Bezhetska
559447	186238	Lyulya
559448	83829	Office Worker
559449	210031	
559451	332224	Mme Gaugilier
559452	42711	Peggy (segment "The Gas Stati
559452	158321	
559452	304854	Jeanette
559452	373989	Friend #1
559452	386760	Janine Stewart (1989-1992)
559453	361855	Cast Member
559454	395911	Zuzanna 'Zuzia' Sniezanka
559455	367099	
559456	266303	Wanda Okszynska
559456	266325	Horpyna, wife of Dmetro
559457	139867	
559457	259925	
559458	251313	Girl in a sleeping-bag
559459	144889	Liz
559460	28463	Herself (Bering Strait)
559461	13203	
559461	374584	Angela
559462	77481	
559462	95808	
559462	124850	
559462	179259	
559462	180365	
559462	188015	
559462	198172	
559462	223562	
559462	229003	
559462	232669	
559462	242466	
559462	244134	
559462	252795	
559462	299431	
559462	343962	
559462	390635	
559462	399344	
559462	405637	
559463	35857	
559463	159915	Popova (Girl Officer)
559463	245901	
559463	297861	
559463	324652	
559463	370917	
559463	373460	
559464	225498	Mérette de Potins
559464	254110	Capucine
559465	14288	Anny
559465	55232	Carmen
559465	125045	Annie Vogel
559465	125046	Van der Meulen´s huishoudster
559465	132273	Lona
559465	141993	Leida van Galen
559465	168541	Weduwe Clara Headcombe
559465	181168	Jess Newton
559465	188908	Annie
559465	189891	Jennie
559465	189895	Margareet Blanker
559465	189896	Kate van Marlen
559465	196771	Alice Stanton
559465	199363	Liane Fraser
559465	201304	Francis Mordaunt alias Majoor
559465	218676	Juultje
559465	229284	Maria Tesselschade
559465	242328	Marfa Darbet
559465	242411	Anny Godard
559465	242442	Jo
559465	273757	Maria
559465	275821	Alda
559465	289839	Marianne
559465	334730	Sylvia
559465	334738	Adèle
559465	344328	Jan van Oort´s dochter/Jonge 
559465	352033	Rose Arundel
559465	356104	Annie van Dalen
559465	357390	Dochter van de schipper/Barge
559465	360916	Boerin/Farmer´s wife//Vrouw i
559465	375789	Gloria Grey
559466	165354	Lennie
559467	94303	
559467	135007	
559467	155478	
559467	166404	Dagmar von Hergenth
559467	189603	
559467	189876	Thea Warner
559467	210142	
559467	280796	Yvonne
559467	290555	Irene Taft
559467	347430	
559467	374032	Prinzessin Dorothea
559468	6071	Ida
559469	105579	Mother
559470	218857	Journaliste
559471	142930	Anne of Cleves
559472	165630	Betje, kaartlegster
559472	220226	
559473	217648	Blonde Platine
559474	384341	Linda
559474	392308	Saskia
559474	394639	
559474	402545	Berthe Bennebroeck
559475	342084	Annie
559476	2640	
559477	44599	Spetty Baghetty
559478	394479	Callas Kramer
559479	221502	Gill's Daughter
559480	221502	Gill's Daughter
559481	369373	Tereska
559482	116741	Rickie
559483	257168	Jill, little girl
559484	237984	
559485	137563	Marcia Denny
559486	303124	Majka zene drugog sluzbenika
559487	163050	
559488	160492	Mr. Scrugg's Assistant
559489	322758	Little girl/Narrator
559490	174138	Alexandra
559491	10146	Dancers
559491	22688	Danseuse
559491	54985	Caresse
559491	125744	Admirer
559492	57397	Hélène
559492	65771	
559492	82441	
559492	110138	
559492	112881	
559492	202697	
559492	238486	La secrétaire d'Etat
559492	281816	Jeannette
559492	288760	
559492	346703	
559492	370450	Yamilé
559493	60524	Première cliente montres
559495	400486	
559495	408848	
559496	386745	La cameriera
559497	66402	
559498	302403	Invitada a la fiesta de Mario
559499	407355	Presenter (2001-)
559499	409999	Presenter (1996-1998)
559500	221571	
559500	355006	
559501	252348	
559502	187827	Marietje
559502	219267	
559502	349600	
559503	5981	
559503	6345	Barbara
559503	9692	María Ramos
559503	19488	Amante 1
559503	51532	
559503	53001	
559503	55996	Blanca
559503	87835	Lali
559503	106268	
559503	118158	Herself - Nominee: Best TV Ac
559503	122983	Herself - Winner: Best Actres
559503	154542	Herself
559503	163880	Herself - Presenter: Best Cin
559503	197462	Eva
559503	212406	Julia
559503	246950	Helena Higgins
559503	249322	
559503	268242	Jacinta
559503	349334	Herself - Co-Host
559503	369437	Herself - Presenter: Best Cos
559503	369556	Herself - Presenter: Best Sup
559503	369989	Herself - Nominee: Best Lead 
559503	372365	Julia
559503	386358	Teresa
559503	386665	Herself - Host
559503	387944	
559503	389109	Aurelia
559503	390457	Herself - Host (1993-1994)
559503	390875	
559503	395844	Trini
559503	398838	Alicia Soller
559503	400102	
559503	402702	Paloma
559503	404758	Herself - Host (1991)
559503	405409	Herself - Host
559503	407246	Herself -Host (1987-1988)
559503	408415	
559503	409463	Secretaria (1984-1986)
559504	130222	Alies
559504	184657	Sofie
559505	95055	Isolde
559506	170920	Recepcionista Residencia
559506	235296	Clienta Nike
559507	42947	Mimi
559507	65403	
559507	89754	Nicasia
559507	295011	
559508	387818	Delia
559509	95014	
559510	242445	Opoe
559511	126322	
559512	276490	Mutter
559513	149679	Sylvie Fromont
559514	17435	
559515	88842	Alice
559516	386	Elga
559516	4524	Lidia
559516	13544	
559516	15035	
559516	15994	Marta
559516	30252	Brune
559516	44404	
559516	49099	Myrna
559516	54150	
559516	60691	Vonny
559516	61037	Ginevra Storelli
559516	67891	Regina Sullivan/Jenabell
559516	69026	
559516	83353	
559516	89667	
559516	89852	
559516	90740	Mariarosa
559516	94809	
559516	107033	Licia Pinelli
559516	111686	Monique
559516	118834	
559516	119365	Queen of Rocky Valley
559516	121069	Beth Conley
559516	121944	
559516	125074	
559516	142203	
559516	156023	Ambassador's Mistress
559516	156911	Mrs. Taverna (segment "Societ
559516	162077	(segment "La donna che viveva
559516	166153	Monique
559516	189354	Helene
559516	191556	Colette
559516	200507	Alba
559516	202577	Nadia
559516	204262	
559516	204593	
559516	205367	
559516	206955	
559516	216350	Une Girl
559516	244071	
559516	248978	
559516	251618	
559516	262479	A prostitute
559516	272563	Sylvia
559516	278409	Tina (la triste)
559516	290462	Margarete
559516	301365	Vivianne
559516	302484	Marisa
559516	307585	Marisa
559516	310973	Pallina
559516	311064	Liz
559516	323770	
559516	336932	
559516	339072	Helen
559516	342121	
559516	344363	The queen of the bird-people
559516	353335	
559516	355932	
559517	319824	Enfant boutique
559518	221744	Madre de Mario
559518	397738	Micaela 'Chela'
559519	245994	Denise
559519	403608	Jessica Stuart (2)
559520	380556	Nina Abschlussklasse (2003-)
559521	23588	Martina
559521	43768	
559521	53016	Anna
559521	56027	Elena
559521	62459	Aimée Dalens
559521	76287	Francesca
559521	235766	Daria
559521	255011	Maria
559521	261219	Ada Zambon
559521	293342	Rosa
559521	300840	Giovanna Ferra
559521	348200	La donna barbuta
559521	381692	
559521	402160	Lisa
559521	405814	
559521	406814	Kassandra
559522	7718	Spielplatz
559523	124225	Poncho Model
559524	229987	
559525	307437	Barbara
559526	11934	Fanny
559526	30754	Magali
559526	51243	Françounette
559526	75247	Isotta
559526	205639	Marie
559526	212793	Nadja
559526	386570	Claire
559527	6568	
559527	48297	Gaetana
559527	102430	Maddalena
559527	183915	
559527	385252	Peppina
559528	348211	
559529	385252	Peppina
559530	1311	(Episodio "La comedia divina"
559530	5093	Rita
559530	17198	Empleada Agncia de Turismo
559530	18836	Médica Obstetra
559530	20713	Norma
559530	57878	Vilma
559530	65598	
559530	89744	
559530	96303	Sonia
559530	121333	
559530	326298	Prostituta
559530	338060	
559530	355488	
559530	355943	Madre de Viri
559530	379116	Clara
559530	380066	Sofia
559530	384119	(1999)
559530	386129	
559530	394017	Notary Karina de Armendáriz
559530	401823	
559530	405788	Valeria
559530	412311	
559531	43756	Ivete (segment "Sábado Quente
559531	67656	Cida
559531	122767	Glória
559531	127587	
559531	211022	
559531	278568	Drug dealer
559531	293331	
559531	295103	Vampirete
559531	344809	Bel
559531	396718	Manoela
559531	407275	Ana Maria
559531	407830	Ester
559531	408381	Lia
559532	22694	
559532	325066	
559533	60070	
559533	93723	
559533	94918	
559533	247479	
559533	320766	
559534	204912	
559534	283643	
559535	15163	
559535	17313	
559535	27651	
559535	29064	
559535	36008	Munnibai
559535	58344	
559535	62370	
559535	85290	
559535	139830	
559535	140429	Neelampari
559535	152490	
559535	166462	
559535	242618	
559535	262850	
559535	298805	
559535	325104	
559535	325124	
559535	375037	
559536	19671	Jaya
559536	85124	
559536	166098	
559536	199653	
559536	271116	
559536	297435	
559536	300580	Shyamali
559537	262454	Sutapa
559538	195728	Sarita
559539	344066	
559540	60070	
559540	286535	
559541	193902	Dancing Girl
559542	85283	Sharada
559542	247611	
559543	2334	English Lady
559544	8393	
559544	297614	
559545	98634	Anita
559545	344374	Gopa
559546	4883	Manisha
559546	10615	Marjina
559546	36251	
559546	71977	Madhuchanda
559546	181698	Kumkum
559546	181699	Kumkum
559546	209551	Meenakshi
559546	295021	Katy or Ketaki
559546	297436	Parvati
559546	354356	Urvashi
559547	30540	
559547	326648	
559547	342073	
559548	126477	
559548	337135	Krankenschwester
559549	170308	Mom
559550	249059	Little Lili
559551	290737	Hermann's mother
559552	380911	Herself - Top 30 (2004)
559553	29670	King Kandor's People
559554	3973	Swiss News Interviewer
559554	352174	TV-Moderatorin
559555	147018	Herself - Host
559555	257244	Herself - Host
559555	342169	Herself - Host
559555	409168	Herself - Host
559556	384072	Girl Dancer
559557	104967	
559558	32057	Madame De Travillac
559558	40074	Grandma Crocker
559558	235431	Mrs. Andrews
559559	379102	The Abominable Showman
559560	10376	Corinne
559560	300045	Baby Maria Oldsmith
559561	5195	Walters Oma
559561	8146	Romeo's mother
559561	113559	Portiera
559561	128061	
559561	212552	
559561	217856	
559561	223322	Stefania's mother
559561	235756	
559561	247511	Costantino's Mother
559561	323813	Ermelinda
559561	348138	
559562	275784	Mrs. Spovic
559563	406522	Jurylid
559563	411107	Team Member
559564	360382	Herself (wife of MIA, Mike Bo
559565	325344	
559566	43220	Other Extra
559567	43220	Other Extra
559568	1366	Nella Dalco
559568	74746	Diana
559568	108871	Pina Fantozzi
559568	115279	Olga, the maid
559568	132649	The crippled neighbor
559568	197342	L'inquilina
559568	244576	(episode "La svitata")
559568	267031	Typist #1
559568	273510	
559568	292284	Pina Fantozzi
559568	319026	(segment "Armando's Notebook"
559568	319553	Pina Fantozzi
559569	176848	Flower Girl
559570	95471	Villager
559571	81482	
559572	16819	Mimi
559572	70706	
559572	72092	
559572	88588	
559572	120795	Frosina
559572	215129	
559572	226837	
559572	318209	
559572	357316	
559573	229293	
559574	89295	Devojka
559575	28401	Lili
559575	28409	Marija Lazarevic (Majka Prasn
559575	48757	Klara
559575	72091	Dasa
559575	72161	Elfa
559575	95978	Mrs. Baker
559575	164077	
559575	177819	Juca ... supruga
559575	179232	
559575	180418	Radmila Marjanovic
559575	192899	
559575	192904	Gizi
559575	201359	Bosa, sekretarica
559575	202042	Tatjana Petrovna
559575	202495	
559575	204300	Olympia
559575	230062	Kafina ... kraljeva kci
559575	235001	Mira's Mother
559575	236049	
559575	239465	Pina
559575	261342	
559575	272606	Ministarka
559575	284875	Eva
559575	295057	
559575	303822	Nevesta II
559575	305096	
559575	340094	
559575	349153	Bombica
559575	353783	Ema Goldfis
559575	356533	Leposava
559575	357400	
559575	385589	Seka eureka
559575	389113	
559575	395704	Dunja
559575	399899	
559575	401750	
559575	402118	Glumica
559575	404732	
559575	404734	
559575	406316	Lola Golubovic #1
559576	25117	Jeanne
559576	113135	
559576	154811	
559576	205242	
559576	240597	
559576	245957	
559576	284098	
559576	306475	Primaballerina
559577	205960	Governess
559578	233653	Corrie
559578	328869	Adultress
559579	46959	Jean Campbell
559579	239414	Dancer
559580	1050	
559581	129829	Ponti Assassination Bystander
559582	249268	Tracy Dodd
559583	191301	Nurse
559584	224370	
559585	69555	Lucienne
559586	351083	Lena
559587	377014	
559588	134321	Susie
559588	313583	UFO follower
559589	74691	Tatiana
559590	296047	Omladnika II
559591	53318	Student
559592	173813	
559593	305607	Fortune Teller
559594	278940	
559597	258904	Herself
559598	282781	Pierre
559599	45867	Tape library woman
559599	94096	Mrs. Redfield
559599	130296	Passenger
559599	147745	Taxi Lady
559599	182977	Old Woman
559599	220681	Housewife
559599	270265	Frail Old Lady
559599	310728	Passenger #8
559599	321657	Matron #2
559599	361699	
559601	47210	Naila Boss
559602	194684	Italian Woman
559603	102575	Rhonda
559603	305008	Marsha Dwiggins
559604	25791	Rosa
559604	162027	Chica Andrés
559604	338363	Lucía
559604	396827	Belinda (1999-)
559605	55653	
559605	279271	Shara Goldberg
559605	381026	Ana Julia Belden
559605	385601	Katia
559605	393023	Ketty León
559605	395332	Patricia
559605	398218	Magdalena Vallán
559605	399625	Natividad
559605	403126	Ángela de Santacoloma
559605	407347	Alejandra
559605	408205	
559606	337232	
559607	25340	Girl
559608	386170	
559609	104514	Anette
559610	33678	Ticket Check-In Clerk
559610	37374	Barbara
559610	52686	Girl's Mother
559610	92406	
559610	152514	Journalist #2
559610	193621	Hotel Assistant
559611	48305	
559611	191410	Ilse
559611	314863	
559612	169991	Child in class
559613	269421	Dominatrix
559614	17564	Baroness Löwenfeldt
559614	43354	Franskan
559614	159672	Brita
559614	173049	Bertha
559614	174046	Brita
559615	335492	Sprinter Charlety
559616	76786	Imbocan 4
559617	68978	Melanie Richards
559619	381652	Germaine
559619	388299	Julienne (1992-1997)
559620	5910	Voice of Natalie
559621	341107	Loana
559622	203358	Foxy Jackson
559623	123076	
559624	377269	Karate girl
559625	51094	
559626	274241	Website fan
559627	33444	Donna Concetta, la barista
559627	117865	L'ostessa
559627	339997	Signora Rublo
559628	79260	Woman One
559628	350191	Archer Vampire
559629	100210	Emily
559629	132615	Herself
559630	254851	
559631	29682	La reine-mère Tartagina
559631	84104	
559631	85549	Louvaine
559631	195241	Marie
559631	324428	
559631	381628	Irène Nando
559632	167043	Ruth Norman
559633	74110	Angela Iseman
559633	134725	Mary Anne
559633	169868	Anny
559633	379875	Alice Bury
559633	390694	Mary Anne
559634	389233	Luna Alarcón (2001-2004)
559635	38727	Laura
559635	191210	Amanda
559635	321268	Samantha
559636	49378	Nurse
559636	49644	Herself
559636	52201	Nancy
559636	54405	Alva Leacock
559636	97689	Lisa Stubbs
559636	115739	Herself
559636	149938	Roberta Spooner
559636	170983	Brattner
559636	185670	Jane Rogan
559636	192318	Mrs. Davies
559636	202736	Emily
559636	242699	
559636	277745	Sharon Peterson
559636	295030	
559636	319647	Mrs. Crandall
559636	368259	Kathy
559636	384961	Mayor Louise Plank
559636	391972	Captain C.Z. Stern
559636	398567	Miriam Grasso
559636	398568	Miriam Grasso
559636	403352	Sharon Diederson
559637	69631	
559638	100807	
559639	48320	Mariette
559639	59695	
559639	406203	Tessa Certijn (2000-2001)
559641	2404	
559642	99736	Prostituée 2
559643	406381	Herself (season 1)
559644	126686	Nude Girl with Flamethrower
559645	296972	Sweet Betty
559646	118824	
559647	176791	Roseanna/Housekeeper
559648	198158	Maykata
559649	45847	
559649	222790	Det. Leone
559650	44738	Old woman at the market
559651	126663	Chatty Woman
559652	170620	Lucille
559652	229629	Jean Malinowski
559652	279456	Miss Jarvis
559653	329618	Velour Page
559653	396117	Connie Ferguson #2 (1977-1978
559654	257626	
559655	252725	
559656	155312	
559657	377044	
559658	206892	Hannah Kennedy
559659	82266	Mrs. Donaldson
559659	128829	Helen Parkinson
559659	157848	Agnes
559659	294135	Flip
559659	310837	Jill
559659	396091	Carol Parker
559660	72274	Pamela Barclay
559660	218844	Roseanna Spearman, Maid
559660	252996	Maid
559660	329370	Kitty Stratton
559661	399381	Marion
559662	331121	
559663	307878	Herself
559664	203727	Joan
559665	283073	
559665	390242	Denise van Dam (1990-1991)
559665	410808	Oma Betje Weltevreden
559666	157444	Lamaze Instructor
559666	374650	
559667	81270	Sheila
559668	297796	Pearl Carpenter
559669	206499	Herself
559670	112246	Lindsay
559670	305742	Jaquelyn Mason
559670	379997	Beth Mason
559671	194028	Television Producer
559672	2814	
559672	397192	
559673	166724	Jenny
559674	388392	Herself - Co-host
559674	396719	Herself - Host
559675	17346	Hjørdis
559675	17347	Herself - Director
559675	76182	Lise
559675	76183	Lise
559675	76184	Lise
559675	76185	Lise
559675	76187	Lise
559675	76188	Lise
559675	218897	Gitte
559675	314846	Sekretær
559675	315377	Gravid
559675	378907	Herself - Team Captain (2003)
559675	382557	
559675	398023	Herself - Host
559675	407264	Herself - Actress
559675	408802	
559676	99613	Teacher
559676	267672	Friend
559676	396266	Ann-Christin Nord
559677	322277	Skier
559678	277349	Cyklande barn 1
559680	93042	The Woman
559680	112002	
559680	141452	
559680	166083	Marline
559680	184965	
559680	202935	
559680	255827	Congregation Member
559680	276813	
559680	281587	
559680	286799	Zorah, Samson's wife
559680	291859	
559680	329314	Mrs. Jones
559680	329440	
559680	354888	
559681	300960	Herself
559682	154781	Girl at Lake
559683	120810	Louise
559684	345136	L'assistante de Mournon
559685	325478	Fräulein Busch
559686	338045	Themselves
559687	383897	Herself - Correspondent
559688	65613	
559689	21297	Specialty
559689	36842	Herself
559689	44771	Herself (One of the Boswell S
559689	65813	
559689	69634	Herself
559689	163513	Singer
559689	178134	Polly
559689	183430	Herself
559689	220270	Herself
559689	271806	Herself
559689	294135	Herself
559689	319033	Herself
559689	321522	Herself
559689	321898	Cafe Singer
559689	338045	Herself - a Boswell Sister
559689	362870	Herself
559689	401292	
559690	121585	Sue/Lou
559690	231131	
559691	36958	Singer
559691	180270	
559692	139527	
559693	318776	Floyd
559694	36842	Herself
559694	44771	Herself (One of the Boswell S
559694	65813	
559694	195125	
559694	220270	Herself
559694	271806	Herself
559694	338045	Herself - a Boswell Sister
559694	362870	Herself
559695	197615	
559696	21012	
559697	44771	Herself (One of the Boswell S
559697	65813	
559697	220270	Herself
559697	271806	Herself
559697	338045	Herself - a Boswell Sister
559697	362870	Herself
559698	120412	Catholic schoolgirl
559699	293645	Nurse
559700	1737	Herself
559700	2765	Herself
559700	6778	Trinity Montage
559700	32585	Chali
559700	35794	Sandra Dee
559700	41757	Anne Marie Chadwick
559700	149804	Judith
559700	230985	Courtney Docherty
559700	275453	Emma Hoyt
559700	283183	Kelly
559700	365947	Rosalee Futch
559700	367867	Herself
559700	368043	Dawn Schiller
559700	372584	Herself
559700	411801	Bella Banks
559701	366260	
559702	38365	Herself
559702	99305	Herself
559702	118249	Elizabeth
559702	218547	Herself (biographer)
559702	236733	Simone (postulant who changed
559702	384842	Cindy Clayton
559702	387309	Lyn Wilkens Warren #2 (1964)
559702	411811	Fran Merrill (1959)
559703	118865	Martha
559704	133056	
559705	237480	Eva
559706	23041	
559706	23608	
559706	28281	
559706	41398	Widow
559706	54248	Mère Ilyana
559706	68627	
559706	76078	
559706	80099	
559706	84110	
559706	95123	
559706	105936	
559706	107172	
559706	108995	
559706	161532	
559706	238024	Aunt Leana
559706	256373	
559706	317876	Caretaker
559706	337742	
559706	354187	
559706	357928	
559707	3502	Ella misma
559707	5372	Stefania Giovetti
559707	10049	Herself
559707	19787	
559707	24865	Dona Elvira
559707	48193	
559707	55932	Alxandra
559707	57616	Clara
559707	58096	Erzsebet Bathory
559707	63761	
559707	67340	
559707	70165	Nora
559707	70620	
559707	73642	Paola Molon Fontana
559707	73646	Placida Linero
559707	82220	
559707	94732	
559707	98079	
559707	101894	
559707	102236	
559707	102302	Nausicaa
559707	102637	
559707	124233	
559707	139373	Old Safiye
559707	166862	
559707	170981	
559707	197385	Laura
559707	203890	Eva
559707	211808	Hélène
559707	212022	Viola
559707	217681	La mère
559707	221681	María José
559707	228198	Isabelle
559707	233346	Directora
559707	233974	
559707	234491	
559707	234712	Lucia
559707	238795	
559707	244064	Anna
559707	248953	Mimi de Angelis
559707	252660	Francesca
559707	268899	Sylvia Forrest
559707	269635	Franca (segment "Marsina stre
559707	270841	Marisa Benvenuti
559707	280756	Simona
559707	288801	La matrona
559707	289333	Lucia
559707	301363	Clara Manni
559707	302536	
559707	309405	Glaia
559707	328844	Une amie d'Orphée/Orphée's Fr
559707	337389	Elisabeth
559707	351983	Cecilia
559707	353243	
559707	354513	Thérèse Miceli
559707	354788	Donna Violanta
559707	356524	Grazia
559707	377582	Clara Montesi
559707	379854	
559707	383815	La marquise Del Dongo/Marches
559707	404983	Señora García
559708	52253	Helen Preston
559709	106983	Hortense
559710	1675	Themselves
559710	41488	
559711	396987	Host
559711	404073	Herself
559712	380115	
559712	398913	Marenga
559713	410303	
559714	396211	Luciana
559714	402050	Mary Ríos
559714	404869	Ana
559715	7173	Morgan LeFay
559716	11410	Supervisor Nurse
559716	74048	Mrs. Hatcher
559716	139573	Jane Mellick
559716	333679	Woman with cigar
559716	342566	Jean Lewis
559716	378632	Di Clark
559716	381625	Vanessa
559717	412066	Herself (2000-)
559718	175217	Herself
559719	383727	Carmem
559720	384118	Luciana 'Ana' (1997-1998)
559721	135132	
559722	313087	Megan Dolan
559723	234021	
559724	215647	Child
559725	18478	
559726	291599	Herself - a child
559727	225819	
559728	211012	
559729	30967	Emperor Penguin/Baby Penguin
559729	105537	Teek
559729	234054	Sexy
559729	333685	Irene
559730	100574	
559730	379530	Thalia
559730	380497	
559730	400825	Anna
559730	402382	
559731	223514	Trumpetisti
559732	300650	Fred
559733	20788	N.C.A.R. Woman
559733	281150	Post Haste Clerk
559734	88703	Figurante
559735	389723	Co-Host (2000-2002)
559735	404562	Co-Host (1998-2000)
559735	411941	Gaming Correspondent (2000-20
559735	411942	Tilde (1998-2000)
559736	379887	
559736	402055	Mireya Botero
559737	73646	
559737	332577	Sonia
559738	206976	
559738	379887	Victoria Giraldo
559738	386790	Laura Blanco
559738	402331	Host
559738	402332	Herself
559739	411714	Hugo Lombardi's model #3
559740	96198	
559741	74327	
559742	14107	Alicia Sanborn
559742	393032	Cherel de Villiers Haines
559742	408905	
559743	127456	Rabotnichka
559744	343414	Svetla Palaveeva
559745	100391	Adriana
559746	213537	Cristina
559747	49587	
559748	381449	Breakfast/Lunchtime Presenter
559748	381451	Presenter
559748	382715	Newsreader (2002-)
559748	392713	Reporter
559749	350300	Leonora
559750	51989	Prison Guard
559751	387359	Elsa du Plessis Pienaar (1991
559752	111997	Bartha
559752	265763	Kotie
559753	138716	Herself
559753	383766	Herself (2004)
559754	388646	GRU-datatekniker
559755	117091	Baseball Fan
559756	332832	Ruth
559756	361404	Mady
559757	29406	Charlotte
559757	84078	Soeur Angèle
559757	101225	Femme Test FIV
559757	153814	Stéphanie
559757	164161	
559757	168799	Reine
559757	294554	
559757	354446	
559757	354610	Laura
559758	260104	
559759	241982	Sonja
559759	392089	Katja
559760	6217	Mawa
559761	137579	Belinda
559761	406462	
559762	396843	Consuelo
559762	402332	Herself/Teacher
559762	408706	Estrellita
559763	409008	
559764	88805	Photographer
559765	164493	Nursery school teacher
559765	236153	Sarah Lewis
559766	51091	Jaruska
559767	87166	Group Rehearsing In Hallway
559768	162103	
559769	111060	Answering machine voice
559771	149504	Macumba assistant
559772	18630	Waitress #1
559772	34707	Stephanie Segal
559772	56842	Helen
559772	73499	Phone Operator
559772	86282	Sonia
559772	209704	
559772	227035	Leigh
559772	237685	Talia
559772	244331	Cherry
559772	264724	Model
559772	304080	Brunette in Bar
559772	327844	
559772	334355	Amber
559773	85042	
559773	270935	Nina
559774	294160	
559775	326565	
559776	153698	Mókica
559776	322123	
559776	377889	Menyasszony
559777	63574	
559778	342563	Herself
559779	20845	Kate O'Hara
559779	49938	Meredith Farley
559779	50869	Angie
559779	73796	Tricia
559779	78121	Heather Allen
559779	80755	Kelly Leonard
559779	109682	Janice
559779	112551	Maggie
559779	114734	Bonnie
559779	135989	Maude
559779	170562	Lady Sarah Billings
559779	187172	Barbara
559779	222612	Ridley Taylor
559779	237949	
559779	244838	Mrs. Farber
559779	277795	Harriet Nelson
559779	314814	Gail Phillips
559779	330270	Je l'alme Woman
559779	339020	Christine Lord
559779	380713	Lilith McKechnie (1988, 1990)
559779	387215	Ann Hildebrandt
559779	396024	Norma St. Claire
559779	408968	Mrs. Kathleen Sinclair
559779	411516	Mercedes De Pedroso
559780	279293	
559780	379438	
559780	394151	
559780	394839	Maria
559780	395706	Nena
559780	403230	Soula
559780	405384	Jenny
559781	102997	Lela
559781	229977	Mother
559781	247078	Pati
559781	341827	
559782	195685	Dixie
559783	66813	Fat Woman
559784	34831	Cora Hinze
559784	34832	Cora Hinze
559784	34993	Sonja
559784	390812	Cora Hinze-Moreno (1997-2004;
559785	49091	
559786	345752	Woman in Car
559787	364103	Female Guest
559788	25169	La secrétaire intérim 2
559789	81081	
559789	257292	Nyla
559790	75797	Newscaster
559790	230503	
559791	211657	Collégue de bureau
559792	148317	Alana
559793	132892	
559794	254522	Ballet Girl/Masquerade Dancer
559795	261832	
559796	39901	Neighbor
559796	148244	The Neighbor
559796	213047	Herself
559797	29414	Esther Sylberstein
559798	293338	La signorina Botti, segretari
559799	21633	Claire
559799	153788	L'employée vidéo
559799	195203	
559800	342116	
559801	28766	La mamma
559801	263733	
559802	389726	Bambina
559803	270833	
559804	197481	Jenna
559805	17748	
559805	49690	
559805	53998	
559805	76355	Marisa
559805	102618	
559805	161654	Bianca Serpieri
559805	207978	
559805	212478	
559805	226971	Maja
559805	256541	Eva, Manfred's mistress
559805	270822	
559805	289488	Anna, direttrice lavanderia
559805	293062	Alina's maid
559805	300669	
559805	307447	Marcella
559805	341417	
559806	405605	Newsreader (1999-2002)
559806	405606	Reporter/Newsreader (1995-)
559807	237261	Klara as a child
559808	349783	
559809	4615	Maria Bianchi
559809	33482	
559809	70645	
559809	124571	Mademoiselle Dombreuil, the G
559809	156911	Boutique Owner (segment "Suor
559809	187440	Maria
559809	219828	Barbara
559809	251051	Gipsy
559810	219228	
559810	263834	
559810	288221	
559810	351677	
559811	251051	
559812	100703	Diseñadora
559813	4525	Laura
559813	24986	Fueguiña
559813	28276	Ana adulta
559813	55209	Fernanda
559813	57778	Cinta Vidal
559813	86708	Recepcionista
559813	294732	Tania
559813	307303	Conchi
559813	314715	
559813	369870	Herself - Nominee: Best New A
559813	369999	Herself - Best Supporting Act
559813	384202	Paula
559814	211529	Perfect Family Girl
559815	77201	Christine Fitzgerald
559815	160580	Bride
559815	387225	Melanie
559815	391247	Susie Ward (2003)
559817	4979	Girl in Cemetery
559818	117454	Featured dancer
559819	233819	
559821	299028	Louise as a baby
559822	306305	Betty Jo Blodgett
559823	24434	La femme de ménage
559824	215488	Herself
559824	397888	Herself (2003)
559825	343633	
559826	298216	Lisa
559827	281505	B.B.
559827	397866	Peaches (1980-1981)
559828	10413	One of Alfie's girlfriends
559828	316348	Nell Pretty
559828	384929	Maria Galen
559829	94344	
559829	199733	
559829	345013	
559831	10453	Mimi
559832	319596	Enfant secte
559833	58490	DC Technician
559833	121386	Myoelectric technician
559833	235615	Jo-Jo
559833	308080	Woman Passerby
559833	385420	Tina
559833	393192	Belinda
559834	355808	La conductrice
559835	292349	La juge
559836	226531	Herself
559837	286655	Chanteuse #1
559838	286655	La mariée
559839	254076	
559840	205727	Louisa
559841	153802	
559842	215142	Woman
559843	201181	Le Petit Ange
559843	248165	Elsa
559844	43638	Juju
559845	131215	Zohra
559846	106474	
559847	75827	
559848	328273	
559849	403474	Virginie à 4 ans
559850	283045	Jean
559851	24734	Linda
559852	208812	Fofana
559853	374497	
559853	375254	Masoumeh's Mother
559854	86727	Une gardienne de prison
559855	40513	Bleeke Bet
559855	64662	
559855	93622	Juffrouw Talloni
559855	102460	De zeeuwse boer
559855	110018	
559855	125650	
559855	165631	Tante Piet
559855	183121	
559855	188902	
559855	211481	Janske
559855	219267	
559855	242444	
559855	243170	Aal
559855	314571	
559855	318469	
559855	349600	
559855	351162	Juffrouw
559855	368754	Bruid van Bruinsma/Bride of B
559856	55107	Carla
559857	8433	Dancer
559857	36483	
559857	58792	
559857	112804	
559857	123479	Gaby
559857	132173	
559857	196744	Lucette
559857	243756	Josette
559857	245957	
559857	249108	
559857	255600	Pierrette
559857	280519	
559857	314748	Geneviève
559858	120989	Elisabeth
559858	278947	
559859	51433	
559859	291584	(segment "C'est presque terri
559860	20067	Corinne
559860	153874	La seconde 'Roploplo'
559861	170421	
559861	225382	Lucinde
559861	349842	Marinette
559861	393718	
559861	410139	Francine
559862	293555	
559863	307121	Madeleine
559864	238424	
559865	194693	Mommy
559865	212038	Trish Vanderplop
559866	310963	Louise
559867	292351	Visiteur
559868	380717	Madeleine Brossard
559869	135338	Mme Maranda
559870	111873	
559871	310963	Choriste
559872	69102	
559873	391883	Josie Small
559874	24268	La fleuriste
559875	406381	Herself (season 1)
559876	120248	Diana, age 11
559877	64951	Miette, age
559877	400506	Jennifer
559878	270453	
559879	169662	Soap Opera Actress
559879	196457	Penny Lamson
559880	195137	Chanteuse de la chorale
559881	135338	Mere de Pierre
559882	236599	Soeur
559883	36878	
559883	50352	
559883	87322	
559883	152664	Herself
559883	314201	
559883	323159	
559883	353746	
559885	59715	Housewife
559886	133345	Fabulous Franne
559886	141662	Stripper
559887	160815	
559888	134380	La gouvernante
559889	160720	
559889	208225	
559889	272465	
559889	276510	Lou
559890	410628	Alanis Dumoulin-Doré
559891	70723	Aline
559891	113431	
559891	195137	Fonctionnaire fumeur
559891	336973	Isabelle
559891	381504	Diane Langlois
559891	381617	Arthémise
559891	386092	Évelyne Lamontagne
559891	398158	Denise Joyal
559891	400899	Rita Paradis
559891	404479	Suzel (1971-1974)
559891	412164	Luce Ouellet
559892	254123	Céline
559893	77421	La femme qui fait trop l'amou
559893	148647	Maurice's Concierge
559893	149114	La Grande
559893	203178	Madame Rotund
559893	203492	Opera Chorus
559893	211362	Madame Rolande
559893	244404	La femme du maire
559893	261627	
559893	278155	Femme salle d'attente
559893	345251	Louison
559893	393894	Juliette Pomerleau
559893	410074	Mlle Blaise
559894	202106	
559895	16061	Monique
559895	208833	Monique
559896	32903	Girl
559897	320106	Waitress
559898	85900	Diana
559898	107565	
559898	114869	Toni Saumarez
559898	138903	Dora
559898	155895	Christine Leslie
559898	178855	Peggy Malvern
559898	196248	Ruth Mereton
559898	203460	Elsie Marion
559898	203513	Violet Selwyn
559898	210848	
559898	224113	Beryl Foster
559898	262057	Elsie Vigor
559898	335072	Cynthia Brown
559898	359546	
559899	80441	June Ross
559899	272602	Crazy Lucy #40
559900	235851	Organist
559901	345427	Cathou
559901	410252	Claudie Paré
559902	97081	
559903	5910	Jacqueline
559903	270697	Soapbox girl
559903	275467	Grandma Rose
559903	278065	Chelsea Grimwood
559903	314227	Receptionist
559903	363708	Jennas Mother
559904	264651	Lynn
559905	249209	
559906	2062	Mother
559906	97035	Eloise
559906	105226	Darlene Kiely
559906	109662	Woman Juror
559906	114604	Georgie Haskin
559906	185683	Suzanne
559906	194007	Zerelda Amanda 'Zee' Mimms/Ja
559906	195969	
559906	209630	Dottie
559906	235067	Joanne Rodney
559906	236928	Ada
559906	238238	Loretta & Lynette
559906	239394	Darla Guthrie
559906	275319	Marianne
559906	289467	Margaret Harrigan
559906	321281	Anne Haggarty Cheever
559906	340973	Mrs. Quigley
559906	358868	
559906	363509	
559907	301678	Hospital Staff
559908	316480	
559909	39478	
559909	111281	Liz McCord
559909	114604	Wanda Dulac
559909	236928	Solange
559909	263085	Air hostess
559909	303295	Diana
559909	363900	Sherry Lynne
559910	44980	
559911	377647	
559912	74077	Barmaid
559912	174154	Colette
559912	320421	Go Go Dancer
559912	374401	Lounge Singer
559912	398096	Elizabeth Benoit
559912	409452	Elizabeth Benoit
559912	410628	Linda Primeau
559913	19343	Employée de l'hôtel
559914	99590	Adolescente hurlante
559915	97035	
559916	16840	
559917	2480	The Woman (segment "I soldi i
559917	8237	Ava Vestok
559917	8335	Ero
559917	11703	Greta Franklin
559917	14364	
559917	14908	Corinna
559917	15952	Patty
559917	15996	
559917	16033	
559917	19223	Adelaide Picchioni
559917	22002	
559917	27429	Elena, badessa di Castro
559917	32562	German Girl
559917	47405	
559917	52150	Lucrezia
559917	52179	Esmeralda Vargas
559917	55902	Francine
559917	56314	Moneypenny
559917	57329	Gemmata
559917	58049	
559917	67518	Monica
559917	67878	Eleonora
559917	68998	Anny
559917	69651	
559917	70412	Carla Miles
559917	72928	Eleonora
559917	77269	Kitty Wildenbrück
559917	77961	Mari
559917	81418	
559917	85736	Lisa
559917	85801	Karen
559917	113446	Mariam
559917	118069	
559917	123849	Mrs. Schermerhorn
559917	129456	Girl
559917	131543	Receptionist
559917	157708	Liz Eddington
559917	168531	Astrid Porche
559917	191401	Raffaella
559917	205488	
559917	213796	Nelly Bordon
559917	217115	
559917	234647	
559917	234718	Nadin
559917	234748	Patrizia
559917	252648	Amelia
559917	252660	Carla
559917	263273	Signora Marchio
559917	270332	
559917	284830	Enza (segment "Domenica")
559917	289567	Minna Kapplar
559917	295616	Frannie
559917	308878	Herself
559917	310231	Celeste
559917	311546	
559917	319835	Irene Stone
559917	320627	
559917	321154	Ursula
559917	324893	Maria Zani
559917	333664	Scilla
559917	338634	
559917	341791	
559917	342127	Contessa Federici Fontana
559917	348164	
559917	349888	
559917	362107	Girl on Plane
559917	392742	
559917	402621	
559918	354456	
559919	1199	Sophie, l'amie de Chad
559920	225358	Gigi
559921	285031	Incarcerated Nun/Sister Helen
559921	399404	Nicole
559922	124399	Femme Abandon
559923	171472	
559924	349902	Solveig
559925	17856	Tantine/Aunt
559925	68312	La Miette
559925	85697	
559925	111076	
559925	113139	La dame d'Etretat
559925	133175	
559925	153874	Belle-Maman Dandrel/Grandma D
559925	189163	Mme de Rosemonde
559925	216236	Mlle Baptistine
559925	216237	Melle Batistine
559925	226026	Mme Jeandieu
559925	228922	Azalée Levert
559925	236602	La septuagénaire du train
559925	240586	
559925	243022	La concierge de Paulo
559925	249728	
559925	257886	Bit Part
559925	281271	Mme Grégoire
559925	286046	La vieille dame de l'hôtel
559925	301553	La Comtesse
559925	322329	
559925	336964	Augustine
559925	346566	La réligieuse
559925	354154	La chaisière
559925	377648	
559925	381245	
559925	384216	
559925	388141	Mme Cruvelliez
559925	389004	Mme Codet
559925	401319	La vieille dame
559925	403177	La vieille dame
559926	34277	Hôtesse Roissy
559927	2252	Julie (segment "Anniversaire,
559927	13656	Rosie
559927	31885	
559927	33182	Justine
559927	46694	Jeanne
559927	48003	Sandrine
559927	51420	
559927	52011	Virginie
559927	63850	Lola/Marguerite
559927	64333	Herself (1992)
559927	66158	Lola
559927	72391	Marlene
559927	88084	Angèle
559927	108907	
559927	110133	Lucie
559927	114969	Georgette/Juliette
559927	135348	Ana Maria
559927	164183	Térésa
559927	166189	
559927	176472	Claire
559927	188679	Michèle
559927	195170	Louise
559927	196442	Jeanne
559927	199609	
559927	211646	(segment "Les mots de l'amour
559927	212147	
559927	220215	La fille
559927	246292	Gaëlle/Sarah
559927	248483	
559927	254052	La femme de l'ogre
559927	258316	Delphine
559927	263005	Léa
559927	265904	Young Girl
559927	268448	Sophie
559927	269251	Maïté
559927	281916	Maïté Alvarez
559927	299768	The Happy Coffee Shop Girl
559927	313033	Natacha
559927	315597	Cora
559927	324437	Girl in Aeroplane
559927	335665	Juliette
559927	336936	
559927	353926	Isabelle 'Isa' Tostin
559927	375794	Carmen
559927	377039	
559927	377055	Julie
559927	384789	(1990-1991)
559928	29116	
559929	145113	Tracy
559930	41762	Yutka
559930	45389	Publican's Wife
559930	48037	Ninon de Veaux
559930	52515	Poquita
559930	55416	Simonetta Steno
559930	56155	Katherine Dyson
559930	59085	Countess Rita
559930	61229	
559930	64880	Ariel
559930	71639	Gerta, Housekeeper
559930	78957	Betty Trimmer
559930	79655	
559930	80500	Mrs. Winston
559930	81087	Kay Lord
559930	92298	Lena
559930	97083	Cassie
559930	105299	Sally Green
559930	107229	Anna Braun
559930	107574	Pamela Carson
559930	126532	Marie
559930	127113	Cleopatra
559930	136508	Hassina
559930	149227	Kate
559930	163428	Babette
559930	177574	Betty Conway
559930	178212	Gabrielle
559930	186033	Louise
559930	196923	Patsy Cartwright
559930	199180	Vicki
559930	208659	Carmen
559930	214448	Elsa Weford
559930	214779	Dee Dawn
559930	220885	Julia Levine
559930	221113	Jacqueline Manet
559930	221262	Norris
559930	222343	
559930	222654	Doris Masterick
559930	224413	Rosa Latour
559930	238699	
559930	239749	Cora
559930	246981	No. 2
559930	267584	Mary Willmore
559930	276661	Anne Dempster
559930	282607	Landgirl
559930	299741	Bathing Beauty
559930	301972	
559930	302707	Kit Fitzwillow
559930	309929	Estrella Estrello
559930	318731	Sue Brown
559930	334093	Diana Whitcombe
559930	359470	
559930	363498	Sonia
559930	367507	
559930	372192	
559930	384280	Herself (actress)
559931	72066	
559932	26470	Mme Grumeau, la femme du pédi
559932	30550	La mère d'un collégien
559932	112880	Bernadette Monthet jeune fill
559932	286432	L'hôtesse d'enregistrement
559932	398042	Antoinette Guitherez, une ouv
559932	404439	Josiane, la femme de chambre 
559933	5752	
559933	10223	
559933	21690	
559933	43661	
559933	49726	
559933	51600	
559933	57622	
559933	59253	
559933	67366	
559933	68642	Marta Gonzalez
559933	71121	Betty
559933	91291	
559933	100404	Olga, secretaria
559933	143679	
559933	171468	
559933	226193	
559933	233396	
559933	238772	
559933	259889	Maria
559933	262214	
559933	263177	
559933	266530	
559933	284322	
559933	293924	
559933	319623	
559933	328884	
559933	339149	
559933	357541	
559933	373954	
559933	375873	
559933	380795	Chela
559933	390404	Leoncia
559933	392960	Sra. Villalobos 'Directora de
559933	397734	
559933	401916	Azucena 'Cielo's servant'
559933	402704	Juventina
559933	403741	
559933	405416	Irene
559934	397857	Infirmière urgences
559935	409001	Jacynthe
559936	223022	Herself
559937	214298	
559937	341366	
559937	375280	
559938	113702	Aziza
559938	345369	
559939	116552	Mrs. Tee
559939	170145	Miss Mary Clifford
559939	215116	Mrs. Rozella
559939	239067	Althea Gregory
559939	246339	Mrs. Blake
559939	316033	Mrs. Anstruther
559939	330911	Duchess of Swinford
559940	146181	Pansy Prindle
559941	9008	Emma Putter
559941	214929	Cindy
559941	215657	Ashley Vankinkel
559941	248884	Dwarf
559941	310639	Young May
559941	314416	
559942	205535	
559943	23750	Irma
559944	86250	La sorcièrs
559946	64951	Stripper
559947	216217	Woman in Red Light District
559948	377067	Annette
559948	384744	La journaliste
559948	398966	
559949	58912	
559950	276121	
559951	318121	
559952	146419	
559953	29767	Rosine
559953	43633	Janine
559953	43645	Elvire
559953	45114	Nicole
559953	51381	La directrice du théâtre pari
559953	64452	Claude
559953	74336	Edmée
559953	75628	Madame de Listomère
559953	100021	Madeleine Lonant
559953	110058	Araminte
559953	148621	Neighbor
559953	156299	Corinne
559953	170468	
559953	188681	Adelaïde
559953	200949	Isabelle de Wissemberg
559953	201131	Clarisse Vendroux
559953	205620	Suzanne
559953	219498	Clara Bijou
559953	264087	Hortense
559953	278151	Mme. Temple
559953	284297	Mathilde
559953	303615	Marie-Paule
559953	316845	
559953	359752	Tante Lavinia
559953	380867	Amélie
559953	405929	Gloriane
559954	25095	Une vacancière
559954	193508	Actrice hysterique
559954	217669	Miquette
559954	269521	Viviane
559954	288876	Lee
559954	337734	
559955	175241	Kees' Classmate
559956	346266	Herself
559957	150627	
559958	134437	Pupi
559959	218333	L'éffeuilleuse
559959	251547	Professeur
559960	44833	Dancer
559960	97223	American tourist
559960	178166	Heather
559960	213105	Parfait
559960	265679	Patsy Riviera
559960	276104	Cindy
559960	302584	Cheap Chick
559960	362880	Arlene
559961	23841	
559962	57762	Chloe's Friend
559962	380593	Herself (Winner)
559962	398008	Herself
559963	27756	
559963	49596	
559963	91536	Eva
559963	158137	Policewoman Pictures
559963	167033	Anna
559963	221194	Klara
559963	262137	
559963	318760	(segment "Powers")
559963	383081	
559963	383082	Anicka
559964	1199	La grand-mère
559964	73070	La vieille
559964	149115	
559964	189106	La grand-mère
559964	217167	Zohra, la mère de Fatima
559964	292338	Aïcha
559964	332190	La mère
559964	345526	
559964	405528	Malika
559965	2252	(segment "Exclusion, L'")
559966	155215	Stephanie
559966	203591	Waitress '2
559966	289113	Beautiful Woman
559966	349860	Video Woman #2
559968	371101	Barmaid
559969	105723	Party girl
559970	2837	Theresa
559970	256220	Windy/Chloe
559970	348106	Herself
559971	88763	Tippy Williams
559971	291252	Portal Ghost
559971	386565	Tippy Williams
559972	256620	Daughter
559973	339924	Triplets
559975	202511	Abigail
559976	117557	Bit part
559977	60516	
559977	132177	Gossette
559977	169289	
559977	183228	
559977	224882	
559977	254040	
559978	148685	
559979	8234	Natalie's Friend
559980	40087	
559980	46035	
559980	227411	
559980	324954	
559980	325313	
559981	189340	La Miraculée
559982	286277	Maud
559983	169456	Patty's Daughter
559983	190269	Sick five-year-old girl
559983	213358	Hannah Purington
559983	224184	Jane Garfield
559983	263276	Bonnie Taylor
559983	265506	Donna Lee Shelby (as a kid)
559983	336765	Megan Benton
559983	379935	Mary
559984	111074	
559984	220494	La première vendeuse truc-en-
559985	165255	
559986	253246	Maria Pittas
559987	294567	Ange
559988	247634	Woman with black map
559989	353934	Ballet dancer
559990	169348	Patricia S
559991	34420	Marie-Solange Clermont
559991	69531	Sylvie
559991	74336	Voisine escalier
559991	211683	La chieuse
559992	200443	Sally Mercer
559993	195300	Language student
559994	377736	Directrice collège
559995	146730	Narrator
559995	381352	Presenter
559995	384514	Narrator
559995	390195	Herself - Music Reporter (200
559995	392416	Herself
559996	226531	Nadro's mother
559997	166169	
559999	377055	Femme de la ruelle
560000	274494	
560001	46937	Lila
560001	227300	Zoé
560001	412202	Fatia Ben Kerouf
560002	101139	Agent Assistance Publique
560003	77421	Demoiselle d'Honneur de Margu
560004	376887	Ottman's Mother
560005	408001	Gise
560006	208277	Un môme
560007	268448	
560008	195203	
560009	337033	Père d'Emilie
560010	53738	Pauline Kiriloff
560010	66214	Colette Andrieu
560010	86432	Corinne
560010	164149	La femme policier
560010	189350	Kids entertainer 2/A waitress
560011	60965	Cathy
560011	71827	Christelle
560011	126085	Claudine
560011	130724	
560011	276505	Lise
560011	346567	Marie-Angélique
560011	351250	La petite brune
560011	357174	
560011	399811	Marion
560011	403253	
560011	409280	Camille
560012	315571	Spirit of Free Cinema
560013	12365	Evelyne Lambert
560013	32035	Madame Vigee Lebrun
560013	33913	Blanche
560013	36673	Emilie
560013	42560	Lise
560013	52012	Odile Langlois
560013	54794	Marie
560013	57530	Ida
560013	58410	Félice
560013	63849	Clothilde
560013	64333	Herself (1985)
560013	95276	Alice
560013	107670	Marie-Catherine
560013	111035	Anna Morignac
560013	122431	Zita
560013	125740	Cécile
560013	137220	La Serveuse
560013	157227	Audrey Delubac
560013	165179	Muriel
560013	166283	Louisa
560013	170443	Florence
560013	196707	Isabelle
560013	216236	Fantine
560013	216237	Fantine
560013	231262	Mathilde
560013	240599	La choriste
560013	249461	Salomé Lerner
560013	256993	Juliette/Camille
560013	264943	Christine
560013	270620	Françoise
560013	275394	Katrin Leconte
560013	275825	
560013	276553	Suzanne
560013	278136	La jeune fille
560013	327545	Isabelle
560013	327551	La fée Carabosse
560013	337013	Marilyne Grandin
560013	345270	Françoise
560013	345382	Maud
560013	345387	Claire
560013	346755	Violaine
560013	347566	Evelyne/Edith
560013	355806	Sarah Gaucher
560013	377726	Edith Piaf/Margot de Villedie
560013	378063	Lily
560013	390496	
560013	390513	Sylvaine Dual
560013	398837	(segment "Karens, Les")
560013	400698	Liliane
560013	402896	Christine Hoflehner
560013	409602	Evelyne/Edith
560014	23841	
560015	73140	Avocate de Jean-Christophe Ge
560016	139360	Woman in red
560017	25986	Fatima
560018	286655	La tante
560019	187831	
560020	1045	Anna
560020	41458	
560020	44945	Alice
560020	86436	L'hymne à la sodomie
560020	148731	The young girl
560020	202579	Julie
560021	146567	Gretel
560022	332188	Malika
560023	271421	La soeur de Raja
560024	257105	Malika
560025	78431	Mena
560026	81325	Nadia
560026	95166	Stella
560026	200618	Printzesa Liliya
560026	244718	Elka
560026	247836	Momiche
560026	392017	Valentina
560027	21730	Zekhia
560027	189106	Mme Abdel
560027	274494	
560028	192438	Tante Marie
560029	269503	Femme médecin SAMU
560030	151680	Extra
560031	196582	Christian Accordionist
560032	270037	
560033	83364	Juliette
560033	396261	Camille
560033	406030	Aurélie Servet (2001 -)
560034	257075	Anne à 6 ans
560034	346678	Ludivine
560034	346681	Ludivine
560035	235257	
560036	8473	
560037	80649	Princess
560038	71007	
560038	252710	chant, guitare, pucelle etc.
560038	257075	L'infirmière
560039	10071	Dany Cooke
560039	10761	Alice
560039	36639	Brigitte
560039	125738	Pauline
560039	125744	Woman with the dog
560039	148647	Flavienne, Bridesmaid
560039	164137	
560039	235850	Agnès
560039	294373	Danielle
560039	296095	Gabrielle
560039	337032	La femme romantique
560039	341402	Laurène
560039	354586	Le regard dans la nuit
560039	376889	Agathe
560039	380502	A. de Bruchet
560039	381078	Prune
560039	383676	
560040	399813	Herself/Miss Météo/Chroniqueu
560040	400931	Herself (1995-1999)
560041	305108	
560041	396523	Mme Pouilly
560042	337033	Prostituée à Londres
560043	2195	Cathy
560044	1699	Herself
560044	223106	Herself
560045	202784	
560045	275026	Moniel
560046	345236	Monique
560046	390486	La secrétaire médicale
560047	166186	
560048	90271	Herself
560048	153246	Cabaret Singer
560048	223059	Claire
560048	382846	Sister Pearl
560049	321155	Young girl
560050	254889	Clara Templeton
560051	144826	Herself
560052	351846	Maaike Boule
560053	64951	Miette, age 43
560053	67231	
560053	100280	Nadine
560053	280551	Carole
560053	288893	
560053	319969	Henriette Cygne
560053	383356	Sylvette
560053	387659	Josée
560053	389660	Substitut 3
560053	392579	Agnès
560053	406878	Marcelle
560054	71891	Sara
560055	369421	Orgy Crowd #1
560056	46363	Redhead
560057	240284	Le mère Capello
560058	40263	
560058	51107	La patronne de l'hôtel
560058	153241	
560058	211157	
560058	235959	
560058	270433	Domestique
560058	345548	Lucienne
560059	306814	Marlene
560060	328273	Agathe
560061	162109	Waitress
560061	168799	L'infirmière de l'hôpital
560062	10548	Journalist
560063	28711	
560064	195137	Chanteuse de la chorale
560065	117241	Anne
560066	65384	
560067	216217	Secretary at Ned's Office
560068	48124	Plant Worker
560069	362595	
560070	160072	Amour (Echo et Narcisse)
560071	223212	La bonne
560072	295213	Michelle
560073	84654	Sophie
560073	345420	
560074	70524	
560075	112880	
560075	352609	
560076	113287	Blonde Autograph Seeker
560077	392971	Verónica
560078	409277	Herself/Panelist ("Environs")
560079	164195	The Grandmother
560079	231549	Herself
560080	104222	
560081	226145	Anna
560082	31018	Luc's Mother
560082	65613	
560082	215136	La gouvernante
560082	254601	Femme cité
560082	258335	La mère
560082	307571	Eva's mother
560082	351822	Martine Chastelou
560083	5800	
560083	54464	Mad Person
560084	4637	
560085	395764	Herself - Presenter (1998-199
560085	406898	Presenter/Hope from HopeLes H
560085	409061	Herself - Regular Special Gue
560086	11329	Mrs. Stephens
560086	114197	Mabel Lovesay
560086	125817	Sally the Telephonist
560086	126022	Mary Colton
560086	147562	Joyce Deane
560086	195456	Betty Foster
560086	209349	Billeting Officer
560086	276650	Carol
560086	277540	Monica Jimson
560086	282620	Hortense
560086	330841	Brenda Ferguson
560087	176229	Jenny
560088	85850	
560089	185735	Kathleen Moore
560090	195168	Mrs. Latham
560091	173467	Valentina Thereshkova
560091	245502	
560092	257634	Additional Cast
560093	27291	
560093	72349	
560093	271987	
560094	344524	Herself
560095	172077	La mère
560095	339495	La malade
560096	292474	Neighboor #2
560097	30734	Bone at age 4
560097	331463	Jessica (6years old)
560098	49508	
560098	288800	
560098	301094	
560098	303937	
560099	384576	Lucie Cerretti
560100	12469	Hoofdverpleegster
560100	124945	
560100	242434	
560100	401150	
560101	74423	Jenny Strickland
560101	398464	Cafeteria Girl, Dicastia Crew
560101	412028	Sweet
560102	352485	Tweede buurvrouw
560103	391784	
560104	284881	Elena
560105	118110	Farida
560106	20070	Child
560107	141624	Adoring Girl
560107	190461	Bridget
560107	194666	Inmate
560107	276869	Zebra girl
560108	32241	Club Patron
560109	337019	La ménagère
560110	399657	Herself (1993-1994)
560111	399657	Herself (1993-1994)
560112	347346	Mary
560113	338590	
560113	384029	Sophie
560114	3502	Ella misma
560114	36670	Béatrice Roze
560114	38264	Laura
560114	40277	Anne d'Autriche
560114	40302	Nada
560114	43416	Héméré
560114	48918	Le jeune femme/The young woma
560114	49600	Clara
560114	50203	Kate Swallow
560114	51229	Bérénice
560114	54359	Valentine
560114	58288	Conchita
560114	65351	Herself
560114	66578	Eleonore
560114	70145	Herself (segment "Pour Andrea
560114	90743	Margherita
560114	91787	Hélène
560114	100469	Viviane Farnese
560114	110136	
560114	111781	Hélène
560114	117314	Melina Havelock
560114	134605	Carole Bouquet
560114	160298	Herself in screen test footag
560114	166667	Lucrezia von Planta
560114	196813	Lucie
560114	199323	Madame de...
560114	217210	En personne/Herself on TV
560114	224871	Mystère
560114	229753	Rals-Akrai
560114	230947	Princess Soroya
560114	256516	Anna Ghirardi
560114	261868	Interviewer
560114	273673	Nilca
560114	279110	Babée Senanques
560114	282286	Louise de Rénal
560114	283966	La reine
560114	312220	Isabelle Rodin
560114	322936	Carole
560114	324437	Female Guest
560114	338493	
560114	340343	Florence Barthélémy/La voisin
560114	345312	Herself
560114	345437	Mina
560114	359699	Sofia
560114	388311	Béatrice Damien-Lacour
560115	162134	Sophia
560116	55406	
560116	353821	
560117	24113	Monika
560117	181496	
560117	188817	
560117	383171	
560117	396759	Tilda
560117	403942	Henrike Prill
560118	402291	
560119	51928	
560119	62448	Anne
560119	95757	Jenny
560119	120065	Susanne
560119	154828	Blondine
560119	155684	Axel's Wife
560119	190826	Sus
560119	204962	Katja
560119	215349	Rose
560119	228395	Tanja
560119	291615	Rød Partner 1/Red Partner 1
560119	351047	
560119	388674	Cæcilie Josefsen
560119	391720	Anne
560119	394188	Susanne
560119	405582	Margrethe Olsen (2000)
560119	407621	Rikke (1997)
560119	412298	Marie Wied
560120	85155	Herself
560121	393395	Janine Sutto
560122	2169	Nadège
560123	354398	Danseuse
560124	365526	Wana
560126	154610	Brunette prisoner
560126	278683	
560126	350232	
560128	15113	Technicienne
560128	345247	
560129	407360	Martika
560130	324517	La jeune chinoise
560131	254621	Schoolgirl
560132	364125	Herself (music critic)
560134	3088	
560134	13875	Doctor
560134	24855	Dame Claude
560134	33559	
560134	45000	Journaliste 'VSD'
560134	73719	Une cliente de la librairie
560134	125468	Mme Cécilia Gerber
560134	125469	Mme Cécilia Gerber
560134	236624	La marinière
560134	248895	
560134	251290	Vanessa
560134	338003	
560134	345422	Monique Berges
560134	354911	Madame Oinguet
560134	384971	Marthe
560134	391932	La marinière
560134	393400	Mme Roussin
560135	14351	Suzel
560135	19340	
560135	23635	
560135	25128	Thierrette
560135	36610	
560135	59225	Clara
560135	123057	
560135	163859	Françoise
560135	205472	
560135	217638	
560135	259913	
560135	260946	Louise
560135	269158	Marie
560135	280514	Livette
560135	282047	La rosiere
560135	309746	
560135	328410	Marie Rose
560135	337010	
560135	337744	
560135	345169	
560135	353906	
560135	356411	
560136	142809	Sexy Girl
560136	395893	Herself
560137	79739	
560137	311358	Sonja
560138	322814	
560139	195789	Helen Foster
560140	146359	Victor Hugo's servant
560141	406790	
560142	236957	
560143	356370	Une petite fille
560144	30533	
560144	30549	Docteur Latifa Lecoq
560144	60732	
560144	68663	Une femme du potier
560144	110054	Le Chevalier
560144	116427	Mme Almayer
560144	169980	Marianne
560144	345456	
560144	401972	Lisa
560145	270363	Herself
560146	453	Yvette de Motestant
560146	51436	Jeanne
560146	58225	Claire, Legrand's Mistress (R
560146	87822	
560146	90667	Tosca
560146	101194	
560146	183475	
560146	185089	Monique
560146	195702	Madame X
560146	268878	Lise Vincent
560146	279246	Princess Tchéliabruskoi
560147	160820	Une entraîneuse
560148	217223	Schoolgirl
560149	238492	
560150	54953	Townsperson
560151	120653	Priestess #1/Girlfriend
560152	45688	Instructeur d'aérobie
560153	73074	Corinne
560154	309759	Child's Mother
560154	350314	Jo
560155	11921	
560156	57262	
560156	319914	Réceptionniste
560157	64333	Herself (1987)
560157	92902	
560157	260728	
560158	261730	
560159	139235	Madeleine
560160	139587	Herself (interviewee)
560161	135340	Sabine
560162	256339	
560163	24852	Dame Claude
560164	195012	Dana Harris
560164	347300	Katie's mother
560165	384009	
560166	378872	Frédérique
560166	380370	Josée
560166	382574	Dolorès Bougon
560166	408883	Valérie
560167	35135	Marit
560168	166565	Nun
560168	389465	
560169	307249	
560170	198629	Présentatrice Météo
560171	266235	
560172	342924	Lynn Jett
560173	120328	
560174	228198	Laurence
560175	194888	Bedienung Café Flory
560176	78157	Sharon
560176	80823	Stenographer
560176	97413	Tyranny
560176	120480	Marcy
560176	296665	Dealer
560177	137470	Henchwoman
560178	188453	Opening Sequence Girl
560179	205628	Suzanne Beulemans
560180	3088	Laura
560180	4550	
560180	17719	
560180	30314	Dominique
560180	44980	Lucie Aubrac
560180	57262	Caroline Faraday
560180	68341	
560180	71520	Louise
560180	71952	Jeanne Kern
560180	83381	Olivia
560180	83385	Martine
560180	94360	Patricia Jolivet
560180	124316	Aline Rousseau
560180	132746	Ingrid
560180	134206	Irene
560180	195210	Mathilde de Vaunoy
560180	195834	Sophie Allen
560180	199341	Catherine G
560180	200955	Mirella Jonker
560180	217843	Barbara
560180	230100	Gin
560180	236164	Elizabeth
560180	236550	Marthe
560180	249721	Fran
560180	273673	Emmelne Mourrail
560180	281434	
560180	292336	Barbara
560180	326034	Juliette
560180	345133	Helene
560180	345401	Estelle Tramont
560180	345445	Fabienne
560180	346512	Diane
560180	346564	Edith
560180	355867	Genichka
560180	380861	Béatrice
560180	385845	Wilbur (segment "Lourde gueus
560180	389299	Isabelle Martinet (2001-????)
560180	391634	Clara (segment "Marchand de s
560180	393400	
560180	405460	Jeanne
560180	406917	Nicole
560181	375077	Hairy girl
560182	19319	
560182	32022	Teresa
560182	33640	Une prostituée
560182	51403	Simone Barbès
560182	53065	
560182	110024	Suzanne
560182	302165	Simone Barbès
560182	345417	Simone
560182	377068	
560183	23741	
560185	97232	Young woman who's being sued
560185	224492	Lucy
560186	85002	Fire-eating Witch
560186	147660	Shiva
560187	240617	Gaëlle de Boilesve
560188	245844	Café (Paris)
560189	133171	
560190	72475	Psy
560191	200095	Marlon/Mother
560191	240029	Nurse
560192	154937	Femme enceinte
560193	255589	
560195	311037	Office lady
560196	212796	
560197	42874	Florence Dulatre
560197	71827	Sandra
560198	45736	Fille Mirza
560199	44945	Danseuse Ophélie Winter
560200	77672	Ballroom Singer
560200	139486	Sylvia Wexford
560200	178224	Sylvia Wexford/Fairfax
560200	233528	Sylvia Wexford/Fairfax
560200	233786	Sylvia Wexford
560200	267846	Sylvia Wexford/Fairfax
560200	279347	Sylvia Wexford/Fairfax
560200	302110	Sylvia Wexford/Fairfax
560200	304800	Sylvia Wexford/Fairfax
560200	346211	Karen Preston
560201	140832	Mrs. Price
560202	21324	
560202	31924	
560202	34015	
560202	38117	
560202	50635	
560202	89251	A visitor
560202	139991	Wiggins' wife
560202	195567	Matilda Winthrop
560202	197405	Mrs. McMurtry
560202	207491	Neta, the Magdalen
560202	221331	
560202	252739	
560202	267583	
560202	278244	Mike's Mother
560202	300882	Kate
560202	316967	
560202	324400	
560203	137567	Tabletop Dancer
560205	387605	Reporter
560206	45530	Mary Bates
560207	224909	Suzanne Laforest
560207	386497	Renata Di Salvio
560207	394647	Mélanie Charest
560207	410628	Maggie Malo
560208	209210	Zombie
560209	304929	Buyer
560210	254232	Woman
560211	329903	Baby
560212	399082	Policier
560213	409933	Marie-Jo
560214	33278	
560214	219596	
560214	328850	Lise
560215	278136	
560216	113498	Grieving parent
560216	206595	Woman at Book Signing
560216	333856	Woman in life boat
560217	324371	Worshipful One
560218	43657	La petite Rose
560219	137900	Gertrude
560220	228267	Herself
560221	57186	Narrator
560221	191647	Venus Lamour
560222	360837	
560223	339354	Tara Mellor
560223	385222	Katerina's child
560224	56545	Herself
560224	209095	Carolyn
560225	68164	Molly
560225	120268	Marianne Lowberg
560225	385112	Joyce Harding
560225	388306	Isabelle Bannerman
560225	389357	Martha Bernays
560226	140968	Norma
560227	201504	Radio News Voice
560228	16068	Tom's Secretary
560228	44547	
560228	113371	Twyla Belton
560228	118725	Suzanna Ford
560228	169946	Jail Guard
560228	222736	Sylvia
560228	329484	Waitress
560229	290397	Tessa Campanelli
560230	309581	Leva Lemaire's Mother
560231	202660	
560232	40877	Teenager
560233	220484	Susan
560233	381608	Margaret
560233	390917	Miss Harrow
560234	105462	Eva's Maid #1
560234	144406	
560234	154087	Maggie
560234	383889	Herself
560234	406891	
560235	32182	Maison des Lunes Worker #1
560235	40246	Herself
560235	169456	
560235	335606	Herself
560236	13828	
560236	63093	Julie
560236	265678	Young Robin
560236	270343	Julie
560236	270344	Julie
560236	411686	Co-Host
560237	253920	Sleeping Children
560238	383406	Parita
560239	32210	Peggy Ponsby
560239	40607	Julia Fraser
560239	91635	Carolyn Martin
560239	115485	Lee Wilson
560239	192743	Mary Wilson
560239	199217	Pat James
560239	241055	Nina
560239	264470	
560240	18108	Tiana
560240	163473	Jennifer
560241	22629	Airport Ticket Agent
560241	318763	Anthony's Girlfriend
560242	211663	Charlotte
560243	400838	
560244	326129	Mère Noèl
560245	82613	Jacqueline
560246	217850	Sa femme
560247	162485	
560247	225370	La secrétaire du théâtre
560248	300820	Herself
560249	292450	Pretty Girl
560250	253245	Mary
560250	279984	Edna
560251	290534	Dancing Partner
560252	184346	Linda Hébert
560252	184348	Linda Hébert
560252	191500	Francine Savard
560252	276523	Linda Hébert
560252	288948	Marcelle Martin
560252	395094	Linda Hébert
560252	395095	Linda Hébert
560252	395096	Linda Hebert
560253	7488	Specialty Dancer
560253	125923	Flo (Moe's Wife)
560253	372907	Nightclub act
560254	272614	The rat exterminator's wife
560255	355261	La secrétaire de l'agence
560256	48502	
560256	147705	
560256	149910	Cassandra
560256	157196	Herself
560256	210745	Herself
560256	226783	Crystal
560256	260291	Herself
560256	311703	Herself
560256	381886	Herself - Guest Presenter (19
560256	386964	Dani West
560256	389372	Co-Presenter (1998-99)
560256	391787	Saskia
560257	313474	Aurra Sing
560258	353464	Prostitute
560260	25260	
560260	25261	moeder Bell
560260	279740	
560261	1569	Solange Jeanson
560262	52242	Herself
560263	333245	
560264	337837	Edith
560265	87151	
560266	389643	
560266	400838	Jacira
560266	403083	Young Angela
560266	407024	
560267	197537	La bonne
560268	25986	Hanifa
560269	75583	Susan
560269	116118	Tawny
560269	135341	The Ulam Tribe
560269	152647	Donna Blake
560269	175230	Judy
560269	194211	Melissa
560269	296685	Tiffany
560269	328607	Pet
560269	331798	Maggie
560269	406120	Billie Locke
560270	351549	La vieille dame
560271	166370	A philosophy student
560272	179711	Krystýna
560272	249859	
560272	305825	Lída
560272	402368	Andy
560272	407278	Dana Svátková
560272	411960	Micheala Holubová, Anna´s dau
560273	287215	Waitress
560274	131988	Second Go-Go Dancer
560275	238969	Frank's Wife
560276	262943	
560277	350281	Mary
560278	97390	Dancer
560279	27914	
560280	14380	Alunna
560281	194700	Young Woman
560281	273477	Heather
560282	51505	Nancy
560282	80191	
560282	123896	Judith
560282	168276	La brune
560282	325068	
560282	326128	Swimming woman
560282	333459	Sexy nurse
560282	378789	Endwina (Bern Académie)/Vario
560282	383305	Nancy
560282	406030	Jeanne Bouvier (1998-)
560283	353886	
560283	398033	Louison (1973)
560284	345040	Tango dancer
560285	319824	Traductrice muets
560286	240429	
560287	85987	Antonella
560288	111037	
560289	110192	Mustapha's Wife
560291	26597	
560292	314824	Barge Waitress
560293	1599	Mrs. Hadfield
560293	38524	Alice Greenleaf
560293	67790	Mrs. Hapgood
560293	116081	Mrs. Hapgood
560293	128333	Mrs. Blount
560293	130855	Mme. Guillard
560293	131793	
560293	154581	Second Woman on Train
560293	203143	Amelia
560293	222732	Mrs. Armitage
560293	223764	Mrs. Gaige
560293	225381	Martha, his wife
560293	238158	Mrs. Newman
560293	306513	Woman
560293	327600	Mrs. Frost
560293	345708	The Pony Act
560293	360551	
560293	367670	Madge
560293	368017	Housekeeper
560295	339870	
560296	390670	Herself
560297	60025	Religieuse orientale
560298	2252	(segment "Mère séropositive")
560298	3916	Pascaline
560298	8152	Laurence
560298	18877	Agnès
560298	61440	Alice
560298	68666	Martine
560298	69378	Gwen
560298	124138	Adèle Dénès
560298	162306	Laure
560298	191501	Lucie
560298	202003	Delphine
560298	202090	Viviane, la serveuse
560298	211670	
560298	237998	Marion
560298	250892	Marta
560298	260859	Alice
560298	278151	Violaine Rachat
560298	280563	
560298	287607	
560298	307063	Anna
560298	308311	Claire
560298	346527	Jeune fille au concert
560298	346673	Audrey
560298	346683	
560298	371406	
560298	377277	Charlotte
560298	381850	Françoise Delmas
560299	375077	
560300	112441	'Lizbeth' Horton
560300	153617	Ballet girl/performer
560300	190580	Stage passenger
560300	272962	Patricia Whitney
560300	363646	Alice Baldwin
560301	96080	Samia
560302	409277	Herself/Panelist ("Cinéma")
560303	113116	
560304	2413	Visitor
560304	251021	Marie
560305	180730	Fille poursuite
560306	265829	Valerie Jaspers
560307	59301	La veuve Blanchet
560307	73251	Gisèle
560307	217727	La caissière
560308	86792	La fille
560308	128618	
560308	133175	
560308	160701	Angela
560309	249281	Enfant Julie
560310	249281	Enfant Julie
560311	276309	Betty
560312	230637	
560313	403919	Maryse
560314	40571	Herself
560315	84190	La chroniqueuse (segment "Chè
560316	3264	Wife
560317	349823	Female Store Clerk
560318	243620	
560319	275619	La fille amoureuse
560320	75928	Claire Morris
560320	76619	Julia 'Julie' Pendleton
560320	90288	Barbara Dow
560320	105814	Alice Carroll
560320	113276	Emily Westervelt-Moore
560320	141190	Marjorie Lee
560320	142413	Glory, Paula's Sister
560320	203728	Avis Dale
560320	217450	Mollie Warren
560320	235378	Jean Ross
560320	291779	
560320	331480	Mrs. Julia Draper
560320	372127	Jill Mackie
560321	363997	Sue
560321	372570	Juanita
560322	23960	Ashley
560322	355114	Annie
560323	61876	Marie
560323	82636	Sophie
560324	320451	Mme Bourdin
560325	199587	
560326	10453	La chanteuse
560327	406380	Herself (7° eliminated, 35 da
560328	33063	Lady at piano
560328	41429	Mandy
560328	360221	Arianna
560328	383205	Guest Star (2004)
560329	16677	Toots Sweet Band - Vocalist
560329	170347	Herself - Singer
560329	170351	Herself - Singer
560330	223963	Cajun Waitress #2
560331	196005	Church Lady
560332	99737	Bourgeoise 2
560334	47572	
560334	123264	Gina
560334	169887	
560334	292225	Additional Voices
560334	294104	Remy Shimada
560334	322601	Marguerita Peperoni
560334	333441	
560335	375077	Hostess
560336	40594	Hélène Grisar
560336	124416	Louisa
560336	125224	
560336	126381	Betke
560336	178730	Nel
560336	188001	Turnlerares Debruyn
560336	213567	Nelly Neerganck
560336	356109	
560336	373797	Katie
560336	384763	
560336	397488	An 'Boogschutter' De Schrande
560336	406266	Marie-France Goegebeur-Van Me
560336	408151	Linda Verbist-Lievens (1999-2
560336	409162	
560336	411311	Camilla Thijssen (#1) (1996-1
560337	235677	Isabella
560338	7462	La spectatrice témoin
560338	19839	(segment "Goûter de Josette, 
560338	33640	La fleuriste
560338	44269	
560338	51403	La femme au banc
560338	58845	La dame sur le banc
560338	68774	Madame Patsch
560338	70955	Lina
560338	82941	Paulette
560338	100358	
560338	110024	La passante
560338	132411	
560338	133086	La dame au grenier
560338	169328	La présentatrice du spectacle
560338	184052	
560338	193440	
560338	198974	Lina
560338	332233	Madame Nogrette
560339	16434	Little girl
560340	5186	Prostituée commissariat
560342	58758	
560342	83301	
560343	53573	
560343	207075	
560343	340311	
560344	345251	
560345	292275	Ms. Ferrier
560346	102669	
560346	135297	
560346	275019	Aninha
560346	309425	
560346	378494	
560347	332198	Novice
560348	400217	Sanne Klein (2004-)
560349	181260	Helen
560350	210128	Tinka
560351	206623	Directrisse bejaarde tehuis
560352	393556	
560353	164461	Giselle
560353	294193	
560354	4248	
560354	94923	Thérèse's zieke zusje
560354	102460	Nellie van Loon
560354	125045	Lilly Vogel
560354	142514	Louise
560354	201304	Jonge Francis/Young Francis
560354	203703	
560354	219267	Willy Verhulst, de schoolmeis
560354	265043	Hun dochter
560354	268151	Elisa
560354	298217	Marion Deslisle
560354	344328	Anna als kind
560354	349600	Judy Aalders
560354	351162	
560355	108162	Fietje
560355	168998	
560356	181168	
560357	64662	
560357	89463	Mevrouw Stroeks
560357	90839	Oude vrouw 2
560357	94923	
560357	204766	Tante Bep
560358	201304	Tante Roselaar/Aunt Roselaar
560359	64662	
560360	64662	
560361	156649	Batsheba
560362	749	Leila, soeur de Rachid
560363	84616	Gogo-girl du bar
560364	385282	Estrella
560364	389774	
560364	404176	Estrella
560364	408002	La concierge Fontanin
560364	409439	Isabelle
560364	409750	Jeanne
560365	130269	Fulia
560366	176254	Girl
560366	243720	Maria de Alencar
560366	401243	Pimenta
560366	405990	Branca
560367	146570	Isabel Bouzas, colaboradora d
560368	36662	
560369	12441	Mujer Marchena
560369	19922	Rosa
560369	25804	
560369	69242	Carmen
560369	211934	
560369	274784	Conchi
560369	310073	
560369	322325	Encarna
560369	376769	
560369	388281	
560369	402045	Charo
560370	18288	Une jeune femme
560371	309764	Fouzia 1958
560372	199236	
560373	235986	
560374	78416	
560375	285244	
560375	285696	Schema
560375	285810	Zeineb
560376	54061	L'Americaine
560376	226783	
560376	292208	Airline Clerk
560376	383631	Ellen Zitek: Nurse (2004-)
560376	385301	Eva (2002)
560376	386599	Zoe Carter
560376	399415	Anke (2001)
560377	23656	Pauline
560377	100444	
560377	100494	
560377	211154	Valérie, la mère de Thomas
560377	336996	Audrey
560377	370059	Marie Amblard
560377	385237	Pimprenelle
560377	394543	Käthe Goldfisch
560378	345471	Herself
560379	92742	Foreign girl
560380	87166	Lighting Booth
560381	289089	Emily
560382	269251	Le surveillant
560382	281916	Guard
560383	59520	
560384	16466	Student Peering From Stage Ri
560384	36856	Manicurist
560384	59933	Undetermined Role
560384	82378	Betty Smith
560384	112634	Sorority Girl
560384	116283	Maizie
560384	128700	Taffy
560384	140408	Camp Guest
560384	149129	Tourist
560384	183695	Miss Lucille Morlet
560384	202933	Apartment House Tenant
560384	202934	Blonde Club Inferno Patron
560384	203941	Girl At Cocktail Bar
560384	238711	Giggly Girl
560384	245253	First Girl at Party
560384	247141	School Girl
560384	252286	Girl
560384	285654	
560384	305898	Student
560384	308149	Alice, the Tattletale
560384	312773	Actress
560384	313301	Flapper
560384	367813	Mary Wilson
560384	372107	Trudy's Friend
560385	21198	Amelia Sturdeyvant
560385	35183	Grandma
560385	78217	Frieda Stein
560385	91959	Lou DiMona
560385	125830	Doris
560385	150268	
560385	155314	Pearl
560385	171200	Waitress
560385	177290	Mrs. Campana
560385	185707	Marie
560385	218848	Rita Cappomaggi
560385	223734	Vinnie's Mother
560385	288695	Flo Manero
560385	314108	Mrs. Manero
560385	327241	Ramona
560385	333364	Chuck's mother
560385	352145	Maureen Rooney, Obstetrics Nu
560385	365827	Mrs. D'Amico
560385	366617	Lil Dickstein
560385	389417	Rose Corelli Fraser #1 (1958-
560385	396686	Angie Bavasso
560386	392751	
560386	412194	Sandra
560387	94747	The Girl
560388	48124	Old Anizka
560389	290862	Maestro yoga
560390	198837	Mrs. Duval
560391	13656	Mrs. Noonan
560391	67481	Bonnie DeLorean
560391	79643	Mom
560392	355652	Compagna di classe
560393	128018	
560395	209737	
560396	100318	
560396	104017	
560396	222410	
560396	226495	
560396	242679	
560396	248228	
560396	280617	
560396	376726	
560396	391853	Miss Manner
560396	399800	
560396	400790	Camila
560396	401691	Selva
560396	402769	Carmen
560396	403650	
560396	410404	Nidia
560397	61707	Marian Loesser
560397	63012	Linda
560397	295006	Linda
560397	295007	Linda
560397	309963	Computer
560397	404613	Melissa Hayley Weldon (1973)
560397	404897	Linda (1971-2003)
560398	307481	Catherine
560398	353908	An actress at the theatre lec
560399	179977	Herself - PR-Manager, Microso
560400	335764	Undetermined Role
560400	335766	Undetermined Role
560400	335768	
560401	16940	Judi
560402	67071	
560402	87388	
560402	96922	
560402	108765	
560402	150283	
560402	150345	
560402	187411	Herself
560402	313680	
560402	319458	
560402	335803	Herself
560402	366829	In 'Coming of Angels'
560403	314923	Girl in Club
560404	204168	Face Behind the Window
560405	117550	Stewardess
560405	124594	Shrewsbury graduate
560405	194513	Shrewbury graduate
560406	178874	Jorien van jeugdzorg
560406	193386	Mevrouw De Haas
560406	313089	
560406	349767	Petra
560406	395889	de Haas
560407	142808	Voice
560408	145678	Mila
560408	174794	
560408	175664	
560408	207047	Koala
560408	226686	
560408	324281	Marites
560408	343875	
560408	381564	
560409	32542	Ida
560409	32842	Henriks Datter
560410	32842	Karens Mor
560411	29905	Lenas mor Connie
560411	219443	Sygeplejerske
560411	315400	Herself - Director
560412	32842	Kims Datter
560412	172654	Mia
560413	225084	Mette
560414	318181	Josephina Arguello
560415	70399	India
560415	176854	Beautiful nurse
560416	10072	Emmy
560416	39407	
560417	12213	Hooker
560417	75399	Rachel
560418	307712	Office Employee
560419	348555	Nina
560420	12318	Peppino's Step-Sister
560420	57279	
560420	67406	Nora Danders
560420	86333	
560420	108506	Jeannie Gordon
560420	128030	
560420	147060	
560420	215011	Little Edvige
560420	285988	Neshma
560420	289388	
560420	289696	Wanda Cavalli
560420	307509	
560420	349652	
560420	351521	
560420	366584	
560421	43994	Mrs. Faravalli
560421	89853	Marisa
560421	90754	
560421	120813	
560421	158760	Emma
560421	158765	La signora Barillard
560421	229997	Diana Karn
560421	318632	
560421	327913	Daniela Brandi
560421	338715	
560421	384758	
560421	384908	Julie
560421	386743	Myriam
560421	386745	Florence Lavoisier
560421	390090	Liz
560422	361521	
560423	1009	
560423	7465	La grand-mère
560423	20465	Madame Lea Lobligeois
560423	24407	Une invitée
560423	33542	Madame de Trévillac
560423	33543	Mme de Trevillac
560423	43679	Mme. Cohen
560423	44970	Mme Bonnet
560423	73186	Alione
560423	76166	La Mere De Dunant
560423	83287	
560423	86789	Nanette
560423	96209	Mrs. Marchand
560423	108889	
560423	146374	
560423	169284	
560423	201159	Mme. Ramdin
560423	205204	
560423	217706	La grand-mère Elisa
560423	292365	La supérieure de Paris
560423	324428	
560423	328415	La Trouille
560425	69342	La fille de bonne famille
560426	336643	Première voisine
560428	85052	
560429	7180	The Girl
560429	16023	Doris
560429	34615	Peggy Swain
560429	35786	Virginia Gardener
560429	39154	
560429	39654	Martha Larned
560429	39781	Janet Ogelthorpe
560429	52427	Nasa 'Dynamite' Springer
560429	54275	Delia Tate
560429	56579	
560429	61727	Kitty Flanders
560429	65161	Herself/Various roles
560429	77626	
560429	77815	Kittens Westcourt
560429	78036	Pat Delaney
560429	78731	Mary
560429	79446	Lila Millas
560429	92244	'Dot' Morgan
560429	100205	Rosalie
560429	101036	Girl dancing on table
560429	104935	Rena D'Arcy
560429	109334	Guest
560429	115213	Trixie Deane
560429	119526	Marie Anthony
560429	126586	Nancy Worthington
560429	134481	Orchid McGonigle
560429	142304	Alice Mayton
560429	143447	Norma Martin
560429	147848	Herself
560429	149364	Lou
560429	152395	Hula Calhoun
560429	163187	Betty Lou Spence
560429	175181	Lolly Cameron
560429	176236	Molly Hewes
560429	176300	Clara McCoy
560429	178056	Grizette
560429	183413	Yvonne
560429	186391	Molly Burns
560429	195314	Pepper Whipple
560429	195613	Herself
560429	204798	Alverna
560429	208718	Alice Tremaine
560429	224055	Prudence Severn
560429	224061	Lola Lombard
560429	233664	Helen 'Bunny' O'Day
560429	248613	Herself (True to the Navy)
560429	249116	Marie
560429	257392	Cynthia Day
560429	258971	Margot LeBlanc
560429	263943	Marilyn Merrill
560429	274111	Bubbles McCoy
560429	282328	Rosie O'Reilly
560429	283460	Cynthia Meade
560429	288698	Mayme
560429	289637	Miriam
560429	291396	Herself
560429	295772	Herself
560429	296820	Mary Brophy
560429	330914	Aline Sturdevant
560429	331674	Gladys O'Brien
560429	339829	Herself
560429	340855	Ruby Nolan
560429	342767	Dorothy Hammis
560429	365394	Stella Ames
560429	366110	Angela Warriner
560429	366161	Mary Preston
560430	96768	Lyla
560430	119850	Miss Morton
560430	137455	Shipwrecked woman
560430	141596	Annie
560430	162294	Grandma Doolan
560430	319264	Queenie May
560430	330385	Stenographer
560431	234955	
560432	365782	Paula Stihi
560434	17760	School Teacher
560434	139610	Old Landlady
560434	223128	Herself
560435	3919	Dancer
560436	110447	Tina McLean
560436	110449	Tina McLean
560436	110450	Tina McLean
560436	110451	Tina McLean
560437	91954	Linda
560438	144452	'Be Black Baby' Audience
560439	297006	Pedestrian
560439	356955	Lady Chairman
560440	402805	Zippy's Neighbour (1990)
560441	106391	Donna Lee
560442	51835	Female Cop
560443	242027	
560444	26238	Interviewer, Sings Of The Rel
560444	35155	Radio Caller
560444	72733	Young Executive Anderson
560444	109929	Wendy
560444	207902	Neighbor
560446	120817	Young Kath
560447	241405	Allison Crawford
560448	37918	Miss Channing
560449	196902	Marjorie, Nicholas' Wife
560449	382482	Const Bev Miles
560450	313360	Witch
560451	48075	Day Care Kid
560452	405209	Norelle (1996)
560453	330864	The Girl
560454	224691	Dancer
560455	76820	Shawna
560455	330281	Leyla
560456	15214	Evelyn Cunningham
560456	29101	Sister Angela
560456	39830	Nurse Shelly
560456	196339	
560456	232442	Carol Metts
560456	252856	Vicki Roth
560456	284003	Reporter
560456	360855	Fashion Designer
560457	156939	Black Secretary
560458	12764	
560458	92174	Tessie Moody
560458	94129	Mary Reall
560458	166690	Lottie
560458	218704	Molly Morden
560458	372641	Carrie Sue
560460	201504	Herself
560461	320263	Public Defender's Office Clie
560462	257670	Herself
560463	310572	
560464	56730	Sally
560464	145002	Witch/Fairy
560464	194116	Young April/Alatien Child
560464	230906	Child
560464	249620	Billie
560464	274268	Ashley #2
560464	386144	Jenna Mayer
560464	407941	Zooey Glass
560465	87341	Sgt. Reineke
560466	152584	Moff's Grandmother
560467	254774	Ginsu
560468	238274	Becky Thompson
560469	68138	Clarinda
560470	54421	Girl at beach
560471	330375	
560472	188403	Secretary
560473	103261	English's Daughter
560473	148572	Labrenna
560473	276163	Pom Pom Girl
560474	123702	Raven
560475	58029	Herself
560476	367782	Smiling Woman
560477	253248	Lacy
560477	387528	Harriet Smith
560478	72140	Iris Cole
560479	292474	Mother
560480	276842	Wendy
560481	90266	
560481	107902	Checker Girl
560481	300044	Additional Voices
560482	137659	
560483	381514	Herself (2001)
560484	216905	Girl in Love
560485	87578	Su Ling
560486	217745	Art History Student
560486	260705	Fanatical Girl #2
560487	330377	Clarissa
560488	81062	Dutch Villager
560489	14232	Amy Finch
560489	15231	Nikki
560489	114692	
560489	138797	Virginia Venit
560489	168286	Meg Harper
560489	176498	
560489	185385	Hope Chayse
560489	222265	Robin
560489	228970	Herself
560489	228984	Herself
560489	249503	Katherine
560489	283422	Angie
560489	314367	Mother Nature
560489	351892	Lisa
560489	363265	Kirstie
560489	372343	Jamie Quinn
560489	387287	Carol Vessey
560489	387728	Roxanne Please (1998-1999)
560489	388117	Andie McDermott
560489	396123	(1992)
560489	398213	Herself
560489	408131	Amanda Webb
560490	29183	
560490	69065	Katrin
560490	119467	Samantha
560490	300341	Vampire
560491	276160	Kelly
560492	239203	Desire
560493	324253	Tom Mannix
560494	267101	Herself
560495	38358	Barmaid
560495	131723	Duke's girlfriend
560495	190000	Cockney Girl
560495	196300	
560495	245056	Tina
560496	79049	Vampire
560497	154580	Lori
560498	215453	Pageant Assistant
560499	16776	
560499	84457	MATMOK Lieutenant
560499	253352	Joanna Calder
560499	257689	Trixie
560499	385824	Leslie Landman (1986-1987)
560499	393897	Aurelia
560499	395111	Courtney Saunders
560499	396123	Colby Cantrell (1984-1985)
560499	403949	Headmistress Karen Gilman
560500	149204	Janie
560501	224336	12th Navigational Command
560502	56142	Girl on Car
560502	224336	12th Navigational Command
560503	196488	
560504	240761	Prostitute
560504	317326	Verena
560505	255424	Female Fan
560506	79299	Mrs. Jones
560506	164493	Nurse
560507	12744	Child on Bus
560508	41312	Bea (Marion's Mother)
560508	66131	Pamela
560508	67598	Frances Galesko
560508	72217	Mme. Rostov
560508	81209	Cara Fellman
560508	86300	Esther
560508	105433	Claire, Molloch's Sister
560508	114312	Marsha
560508	140533	Vivian Vincent
560508	211219	
560508	223400	Lady Gwendenare
560508	265678	Mrs. 'Vi' Hammond
560508	291044	Terry
560508	293109	Peggi Larson
560508	319266	Iris
560508	319518	Dr. Alix Pardee
560508	333375	Dr. Hayworth
560508	392441	Shelby Clavell
560508	399148	Fox Devlin (1989-1992)
560508	408096	Sarah MacQueen
560509	103326	Other Princesses
560510	197691	
560510	255085	Elsie
560511	69194	Sean's Mother
560511	69381	Holiday Maker
560511	256188	Pink Chiquita
560511	300553	Village Girl
560512	358688	Rossweisse
560513	61767	Janet McLellan
560514	330994	Young Tasha
560515	320782	
560516	362678	Larry's Sister
560517	113485	Kim Axelrod
560518	293067	
560519	14596	Lyn, Ray's Wife
560519	45106	Mrs. Bligh
560519	142616	Nurse
560519	184536	Lynn
560519	243160	Mrs. Vole
560519	335051	Secretary
560519	395525	Waitress/Rich Lady/Milliner/P
560519	396009	Julie's Replacement
560519	408636	Linda Hawkins
560519	408638	Linda Hawkins
560519	408704	Doctor (episodes 4: The Crimi
560520	273323	Sexy Housewife
560520	355035	Vivian (Reporter)
560521	37867	Ester
560522	241933	Shinatama
560523	71567	Maid
560523	154760	Herself
560523	355349	Miss Anderson
560523	383631	Sandra Mute: Paramedic (1986-
560524	274257	Daughter
560526	360834	Cigarette Girl
560528	24503	Cynthia Lynn
560528	28791	Mona
560528	35658	Mary-Peter
560529	160000	Melody Lounge Dancer
560530	289558	Miriam
560531	354859	Bank Teller
560532	275597	
560533	129627	Vine
560533	390180	Vine/Princess of Darkness
560535	311952	Azrial
560537	11560	Mrs. Hadfield
560537	58618	Anna
560537	92669	Matron
560537	117482	Mrs. Hanson
560537	154619	Aunt Rene
560537	155887	Robin's Mother
560537	220812	
560537	244880	Miss Flodden
560537	252573	Lady March
560537	255431	
560537	268156	Mrs. Higgins
560537	272529	
560537	281445	
560537	291296	Mrs. Kingsley
560537	305036	Queen
560537	324142	Mrs. Cartwright
560537	338989	Mrs. Telfer
560537	348358	Procuria
560537	348370	The Voice
560537	360425	Mrs. Dewberry
560537	396053	Sal Brown
560537	397668	Lady Murgatroyd
560537	398723	Mrs. Maybury
560537	401246	Aunt Angharad
560537	411794	Dolly Love
560538	61320	Waitress
560539	207954	Gilberta Stanley
560540	255715	Claire
560541	141154	Schoolgirl
560542	110399	
560543	18004	Mrs. Wegman
560543	81587	Teacher
560543	100198	Donna
560543	215346	Waitress
560543	258374	Bethany
560543	311500	Woman in Gallery
560544	223377	Fetish Demon/girfriend
560545	195300	Cabinet Minister
560546	362855	
560547	71484	Susie Zickafoose
560547	130645	
560548	230386	Gina
560548	232019	Michelle Jackson
560548	370580	Tienkie
560548	394003	Presenter
560549	401689	D.I. Ellis
560550	299396	Demon Girl #2
560551	80870	Bartender
560551	82595	
560551	97023	Henry's Wife
560551	375101	Herself
560552	120095	Tasha
560552	348234	Bootylicious
560553	10727	Janey
560554	169512	Annette
560555	40613	Hotel Receptionist
560556	381608	Marlene
560557	167210	Ginette
560558	242487	Willa Jo
560558	381638	Various roles (1994)
560559	393447	Lucy
560560	402015	Brenda Gains
560560	407545	Stevie Chevalier
560561	11354	Young Laeha
560562	382294	Stripper
560563	119094	Isha
560564	17555	Kitty
560564	65228	Princess Andromeda
560564	71548	Wilhelmina 'Mina' Westenra
560564	92507	Tupenny
560564	96831	Eve Proudfoot
560564	119090	Clare
560564	158514	Joanna
560564	210908	Tessa Shriving
560564	255329	Sibyl Vane
560564	299731	Lady Olivia Lilburn
560564	365685	Eileen
560564	379292	Vicky Gordon (1972-1973)
560564	387490	Georgiana 'Georgie' O'Donnell
560564	390168	Francesca Davidson
560564	405460	Natalie Junot
560564	406043	Midge Carne
560565	93364	Tammy
560566	252138	Joel's girl
560567	31706	
560567	47541	
560567	246785	Sally Parker
560567	340873	Betty Deane
560568	25851	Angie
560568	123874	Roland's Girl #2
560568	220084	Sam
560568	408868	Diana Harwood
560569	303776	Nun
560570	378752	Herself
560571	206090	Second Programme Seller
560572	378752	Herself
560573	378752	Herself
560574	378752	Herself
560575	136877	Sara
560576	185368	
560577	389858	Denise (1991)
560578	365123	Neighbour
560579	126039	Ursula's Friend
560579	127237	Angry Garage Sale Woman
560579	310462	Entertainment Reporter
560579	410639	Susan
560580	147603	Girl in Car
560581	313479	Ewok
560582	381091	Herself (2004)
560583	244831	
560584	13988	Herself
560585	25022	
560585	71194	Secretaria de Raquel
560585	87894	Gloria
560585	218101	
560585	284095	
560585	354997	
560586	55639	Mrs. Jones
560586	58775	Marti
560586	243270	Rose Renker
560586	409616	Becca Farrell (1989)
560587	196567	Karen Templeton
560588	13988	Herself
560589	206035	Cantante
560590	191799	Erin's voices
560591	128293	Receptionist
560592	403805	Laura Spencer Horton (1997-19
560593	78997	Edna Nezzie
560593	228733	Herself
560594	193878	Amy St. Pierre
560595	211387	Stacia Bennett
560596	17132	Extra talent
560597	366253	Cheryl Stafford
560598	43933	Ham Lady
560598	87432	Cow Party
560599	175842	Sixty-Six Club Dancer
560600	81143	Old Lady
560600	149977	Lady Phyllis Gregory
560601	65588	Herself
560601	129319	
560601	390157	Presenter
560601	396558	Presenter (2003)
560601	398436	Presenter
560601	401843	Narrator
560601	403325	Presenter (2002-2003)
560601	406383	Presenter
560602	176874	Tour guide
560602	335820	Female detective
560602	368892	Young woman
560603	158243	Herself (Psychiatrist)
560604	30933	Washer Woman
560604	54362	Child in Park
560604	72872	Rachel
560605	258954	
560605	356948	Old Lady
560606	606	Party Guest
560606	146783	Lydia Welles
560606	160375	Hospital personnel
560606	188507	Cop
560607	41743	Sam's Grandmother
560607	276268	Mother
560608	99192	Mrs. Parker
560609	356948	Old Lady
560610	7899	
560610	201346	Nicole Hendricks
560610	347572	Kristen Bennett/Madeline
560611	304763	Woman in Mazurka club
560612	46337	Marlena
560612	83094	Bailey Kristoff
560612	92584	Colleen Cooper-Cook
560612	169614	Charlotte
560612	188506	Sarah Farris
560612	275519	Judy
560612	292794	Anna Berter
560612	308021	Cayley Young
560612	372577	Lissa
560612	386897	Colleen Cooper/Cook (1995-199
560612	403481	Darcy
560613	81980	Bambo Immitating a Woman
560614	29150	Tabitha McTavish
560614	46432	Jill
560614	187493	The Lipstick Lady
560615	60211	Misc. Student
560616	38747	
560616	48287	Mrs. Carrison
560616	94132	Auntie Hagar
560616	130056	Aunt Carrie
560616	215658	Woman
560616	222638	Mrs. Epps
560616	308365	
560616	327728	
560616	351233	
560617	97922	Deceased Heiress
560618	80428	Caprice
560618	185687	Vaughn
560619	238660	Gretchen
560619	390778	Brad
560620	243280	Mrs. Scherm
560621	96973	Hooker #4
560622	93080	Woman in Hotel Room
560622	113412	Neighbor
560622	121487	Mrs. Flora Hawkins
560622	131571	Mrs. Faversham
560622	139135	Walt's Mom
560622	150390	Woman at Gas Station
560622	158354	Landlady
560622	186681	Woman with Cherries Hat
560622	253010	Trick 'r Treat Lady
560622	302219	Nurse Louise
560622	358321	Costume Designer
560622	411355	Old Nanny
560623	28493	Townspeople
560624	58666	Norma Boisjoly
560624	139135	Miss Bowman
560624	160415	Daughter (segment "There's Th
560624	167324	FBI receptionist
560624	186681	Calvins Wife
560624	297914	Waitress
560625	61765	The Children of the Corn
560626	106626	Mrs. Knocker
560626	239740	
560626	356948	Old Lady
560626	360072	
560627	58660	Girl in Gym
560627	153650	New York Model #2
560627	289547	Janie Richter
560627	343045	Jet Setter's Date
560629	239342	
560630	220593	Pink Cross Lady
560631	362970	Natalie
560632	41367	Nancy
560633	203062	Stable Hand/Rider
560634	234661	Mrs. Brown
560635	128583	Maureen
560636	159105	Little Squaw
560637	228164	Barn Dance Party Guest
560638	13531	Media Reporter #1
560638	169211	
560638	190690	Nurse with heart patient
560638	216126	Real Estate Agent
560638	223833	Well Dressed Woman in Subway
560638	364300	Herself
560639	29889	
560640	218074	Susan
560641	121867	Social Scientist's Wife
560642	342468	Young Kristin
560643	409382	Co-host
560644	76252	Herself
560644	168959	Herself
560645	262682	Herself
560646	389394	Pattie
560647	318164	Joan
560648	213225	Commentator (archivist)
560648	329556	Interviewee
560649	88867	Dream Girl
560649	161505	Girl on Boat
560649	365341	Girl at Party
560650	161265	Herself
560651	88075	Tamara
560652	410881	Herself - makeup expert
560653	14231	Creepy Little Girl
560653	407398	Lucy Warner
560654	191933	Baby Hooft
560655	387533	Frankie Smith (2000-jan 2001)
560656	73484	
560657	173882	
560657	317991	Dr. Gottadouche Moore
560658	340827	Hey Now Kid
560661	35655	Student
560663	213875	Gail Miller
560663	228493	Mother
560664	176316	Mrs. Alf
560665	329530	Rachel
560666	25851	Tory Lady
560666	27137	Linda Marks
560666	63835	Miss Biggs
560666	138720	Barbara Scott
560666	147429	Minerva
560666	208742	Mrs. Levett
560666	235352	Patient
560666	279347	Clare Cox
560666	289109	Mrs. Margaret Ryan
560666	294216	Fanny Dashwood
560666	304804	Joan West
560666	335071	Matron
560666	339352	Rebecca Wilding
560666	383844	Amanda Trippley
560666	384441	Cleopatra Tryphaena
560666	395647	Constance Wilde
560666	395830	Tania
560666	408868	Lady Winfield
560667	239180	Herself
560667	307429	Herself
560667	337404	Herself
560668	27312	Congressman's Daughter
560668	145169	Melinda Benton
560668	215657	CheyenneDeVerennes
560668	369460	Marrow
560668	372336	Kiera
560669	119626	Lover in Truck
560670	186448	Mother
560670	321678	Mrs. Franks
560671	302682	
560672	367856	Lori's Friend
560673	292561	
560674	103276	Girl
560674	325607	Sonja
560675	290194	
560676	122033	Nun
560676	148108	
560676	168099	
560676	205140	
560677	292400	Margie
560678	292224	DC Holt
560678	292226	DC Holt
560678	292228	DC Holt
560678	292229	DC Holt
560678	323737	Alice
560678	339464	Young Doctor
560679	255691	Momo/Marlène
560679	355513	
560680	53173	
560681	349286	
560682	258693	
560683	262496	
560684	214249	
560685	171050	Angry Waterford Resident
560686	323925	Iskra
560687	296994	
560687	341217	
560688	48075	Day Care Kid
560689	192413	Sally's Friend
560690	186230	Schoolgirl with Eiffel Tower 
560690	342469	Susie
560690	406081	Pupil
560691	391547	The Sophomore Flirt
560691	409388	Herself - Jayre's Date
560692	399298	Herself - Top 24
560693	93123	Gina Portman
560694	50815	Nikki
560694	96910	Girl at bar
560694	184219	Club Kid
560694	314699	Sienna
560695	65118	Baby Durc
560696	358339	Deaf Lady
560697	130358	Miss California
560698	46396	Connie Morgan
560698	170157	Daughter
560699	176085	
560699	320862	
560699	367213	
560700	340196	Natacha
560701	4920	Big Annie
560701	19797	German woman
560701	91850	
560701	147645	Ezzy
560701	311909	Landlady
560701	375044	Countess
560702	226901	Nude in the window
560703	18622	
560703	81232	
560703	95844	Herself
560703	98961	
560703	128242	Go-Go Dancer
560703	195517	
560703	239931	
560703	242031	Linda
560703	300934	
560703	318350	Honey
560703	334193	
560703	336327	Madelaine
560704	65184	Clarence's classmate
560705	131232	Extra
560706	393907	Maggots
560707	37374	Fi's New Woman
560708	258458	Kellyanne Williamson
560709	364465	Dancer
560710	58002	Seducer
560711	230458	
560712	193534	Ch. 7 Reporter
560712	345788	Mrs. Big
560712	370017	Bimbo Intern
560713	222599	Sandra Greenway
560713	318390	Showgirl
560713	368942	Manicurist
560714	207036	Aerobics Instructor
560715	351431	Girl on the Subway
560716	47782	Momicheto Lidiya/Girl
560716	409263	
560717	229279	Vanya
560718	252492	Herself
560718	390554	Presenter (Diana, Princess of
560718	403299	Panelist
560719	7155	Bertha Beetle
560719	37391	Canada Montalban
560719	50058	Marjory Ling
560719	75523	Gov. Elaine Marley/Son Pirate
560719	89169	Sabrina
560719	220960	Sarah Olmstead, Teacher
560719	276899	Sarah
560719	296865	Lily
560719	313480	Ferry Shuttle Pilot/Ruulian C
560719	333856	First-class woman
560719	365458	Victoria
560720	186708	
560721	178694	
560722	196779	Kate Ashton 'Lucia'
560723	181135	Operations room staff
560724	20032	Louise Baker
560725	107230	Herself
560726	98906	Maybel Swank
560727	34913	Isabel
560727	349509	Muh' Dear
560728	223990	The Queen
560729	56046	Nadine
560730	12341	Sue Long
560730	105574	
560730	107845	Bank Clerk
560730	119794	
560730	130149	
560730	134049	An Ayah
560730	135820	Nita Hammond
560730	148991	
560730	190781	Joyce
560730	200892	
560730	216907	Party Guest
560730	238565	
560730	239643	
560730	248464	Poppi
560730	267487	
560730	278205	
560730	282669	Mitzi
560730	286808	Woman
560730	345957	Girl
560730	349557	
560731	127189	Julie Wilson
560731	128700	George
560731	142877	
560731	168050	Cubby
560731	234223	Corabelle Fiefield
560731	252381	Receptionist
560731	302586	
560731	372819	Beverly
560734	306341	Athlete
560735	382379	Mrs. S. Melly (1998-99)
560735	385299	Rosanna Dinonte
560735	410256	Miss Phoebe Littlejohn
560736	99075	Punk Girl
560737	148996	Woman at party
560738	108354	
560739	18	Russ' Wife
560740	248486	Belle
560741	215905	Interviewee
560742	161754	Dental Assistant
560743	400811	Herself (ep 17-25,30)
560744	5567	Nita
560744	24195	
560744	28442	
560744	38608	Mollie
560744	52613	Pauline March
560744	69847	Pauline Sanger
560744	93089	
560744	96991	Hilda Whittaker
560744	105302	Miss Winston
560744	105307	Grethe
560744	126587	Nancy McAlpine
560744	128301	Cecile
560744	151081	Diana
560744	160466	Dorothy Ayres
560744	162406	Eva Marshall
560744	163275	Patricia
560744	190894	Norah Cregeen
560744	195832	Joyce
560744	196012	Ida Mostyn
560744	196250	
560744	238928	Josephine Morrow
560744	251515	Madge Hart
560744	281013	Anne
560744	284030	Peter
560744	294322	The Woman
560744	296886	
560744	299934	Alaris Browne
560744	307995	Sally
560744	311698	Dulcie Primrose
560744	330555	Jennifer Elling
560744	332413	Lillian Walters
560744	335459	
560744	335635	The Girl
560744	336712	Mona Dupare
560744	352899	
560744	355095	Virginia Trevor
560745	81605	Secretary in Dream
560746	81605	Secretary in Dream
560747	154869	Elisabeth
560748	195043	
560749	240682	Lt. Ashton
560750	385013	Herself
560751	329307	Guy and Lizzie's children
560752	118442	Julia
560752	194940	Tatiana
560753	62778	Connie Wong
560753	139678	Sally Cheng
560753	314269	Cami
560755	152932	Loretta
560755	157502	The Girl
560755	206840	Felice Wallace
560755	215813	Dot Gilkeson
560755	230636	Herself
560755	303266	Bailey Graffman
560756	399415	Lydia (2002-2003)
560757	274697	
560758	311500	Agent
560759	358190	Prudence Taylor
560760	80819	Nancy Fagot
560760	160885	Anklet Wearer
560760	315076	Bessie Mae
560761	20435	Little Girl
560762	155013	Party attendee
560763	326143	Sparkle
560764	153488	Lida Todd
560764	203473	Sarah
560765	121033	Karin
560765	126164	Tamara
560765	166768	The mother
560765	211217	Juliette Martens
560765	225291	
560765	239020	
560765	259679	Gerda Stadler
560765	301078	
560765	303359	Dr. Susanne Pohl
560765	387086	Jennifer Donner
560765	389840	Ute
560765	392855	Julia Hartwig
560765	399825	Sally
560765	405500	Dr. Susanne Pohl
560765	406160	Esther Fasani
560765	411163	Jutta Kenton
560766	211499	Forest children
560767	18635	Choir Member
560768	39526	Alice Anderson
560768	116144	Ruth Sawtelle
560769	281901	Blonde Girl in Leonard's
560770	52320	Biker Girl
560770	342925	Video Woman
560771	10749	Sister
560773	125675	
560774	11584	
560774	14619	
560774	72131	The Girl
560774	96844	Audience member
560774	141719	
560774	185384	
560774	239827	
560774	246531	
560774	321127	
560774	323184	
560774	331536	
560774	331990	Helen Stanton
560774	367388	Peggy Tanner
560774	367699	Patsy Allen
560775	188486	Linda
560776	16898	Grace
560776	32250	Samantha Steele
560776	34666	Cabot Party Guest
560776	35145	
560776	38933	Herself
560776	43596	Nancy
560776	87926	Lucille Strick
560776	91932	Singer
560776	94655	Lizann Gold
560776	109645	Elza
560776	109646	Elza
560776	113306	Nora Carpenter
560776	125588	Alicia Lee
560776	130423	Nick's Mother
560776	131732	Donna Douglas
560776	137336	Tamazusa (2) (English version
560776	139788	Mrs. Chumley
560776	154308	Liz
560776	154614	Edna
560776	160589	Trudy Barron
560776	160887	Cynthia Skyes
560776	161712	Gail
560776	186845	Kryla
560776	215860	NASA Wife
560776	223887	Zlata
560776	228778	Cara Lieb
560776	230505	Stephanie Evans
560776	232479	Rita Walsh
560776	234200	Sgt. Karen Compton
560776	240941	Carrie Kilmer
560776	252963	Anna's Mother
560776	256894	Receptionist
560776	265578	Miss Ayumi
560776	265579	Miss Ayumi
560776	265580	Miss Ayumi
560776	265581	Liza
560776	265582	Liza
560776	272213	Monlon
560776	296769	
560776	298279	Shirley
560776	302030	Anna McLean
560776	314503	Margaret Curtis
560776	321405	Alice Belzer
560776	330676	Latrice
560776	346872	
560776	356477	Maureen
560776	359202	Dee Dee
560776	382240	Isabel
560776	385308	Darla Mohr
560776	395762	
560776	396526	Godai's Mother
560776	402001	Tykwa
560776	402863	Kaouri (season 2)
560776	406714	Additional Voices
560776	411800	Rachel
560777	266767	Advertising Girl
560778	639	Old Lady
560778	15925	Jessie Ann
560778	88882	Lady Willoughby
560778	106811	
560778	125973	Laird's Housekeeper
560778	183438	Mrs. Parish
560778	186463	Mrs. Campbell
560778	222588	Agatha Quelch
560778	323446	Mrs. Turnbull
560778	330776	Bit Part
560778	338808	Sister Catherine
560778	342469	Mrs. Kinnaird
560778	385132	Mariette
560779	141056	Miss. Williams
560779	407185	Mrs. Smallwood
560780	315316	Madge Carr
560781	132340	Mary
560781	158412	
560782	327463	Juno
560783	197073	
560784	201506	Herself
560785	389897	
560786	9683	Maid
560786	81605	Secretary in Dream
560786	88853	Sexy Girl
560786	117485	Mother
560786	125908	Lulu
560786	154756	Bit Part
560786	198026	Marmeline
560786	211545	June
560786	245178	Woman at Harlem Club
560786	274068	Josephine
560786	278389	Caroline
560786	318929	
560786	350645	Sister Jenkins' daughter
560787	36744	The Mother
560788	51066	Nam
560789	207268	Female dancer
560790	131654	Mother
560790	304237	Queen
560791	68746	Herself (with George Harrison
560791	126021	
560791	139052	Jean (schoolgirl on train #1
560791	381501	Herself (at Sgt. Pepper sessi
560793	407131	Peggy Blackett
560794	195844	Zoo
560795	305952	Jean
560796	257295	Human #1
560796	258858	Receptionist
560797	171349	Janice Patterson
560797	276363	Ilsa
560798	82321	Socialite
560798	97450	Jessica Clayton
560798	276875	Restaurant Hostess
560798	400236	Gina Russo (#1) (2001)
560799	93250	Grandma
560800	199713	Madame Jeanne Banning
560801	9786	
560801	14801	(segment "Tú serás mio")
560801	66077	Joven muerta en accidente
560801	72370	
560801	91354	
560801	101616	
560801	103941	
560801	131060	
560801	207968	
560801	215401	
560801	221565	
560801	238759	Chica emergente
560801	263211	
560801	266407	
560801	293924	
560801	301184	
560801	370164	
560801	373886	
560802	151529	Jenny Hillard
560802	239588	Lonnie
560802	341458	Tucker
560803	159497	
560804	289608	Rita
560804	311164	Sybil
560805	124340	Rocio
560805	132454	Dress Saleswoman
560805	212524	Tia Elena
560806	340752	Senior Supporter
560807	114656	Tears
560807	132867	
560807	263358	Chickie
560807	295891	
560808	14206	Nellie Brie
560808	46147	Singer
560808	94621	Singer
560808	212902	Chorus
560808	313467	Female civilian #1/Gardulla t
560809	39555	Stephanie
560809	39880	Brenda St. John
560809	87507	Banker
560809	116985	Ms. Anderson
560809	156565	Satin
560809	168087	Alicia
560809	196552	Background
560809	222620	Stunner
560809	339602	Beverly
560809	348366	Rev. Ike's 2nd Wife
560809	358672	Nurse Gales
560809	364446	Princess
560809	385824	Celeste Perrault (1994-) recu
560809	403728	Genelva
560809	407684	Philadelphia Phil Brown
560810	251235	Shelly
560811	108333	Eli
560811	138774	
560812	158311	Minnie Bergstrom
560813	147739	
560814	265558	Herself
560815	187771	Xenia,Dynov lánya
560815	237942	Málcsika,Gyuri húga
560815	343777	
560816	20906	Femme aux diamants
560816	225522	Shirley
560817	30147	Linda
560817	80517	Anne
560817	191778	Carol
560817	372759	Herself
560817	372760	Herself
560817	384664	Biff Hoolian
560817	386687	Performer
560817	411830	Herself (1973-1976)
560818	388299	Anneke (1992-1995)
560818	391491	Ellen
560820	228395	Cecilie
560821	152394	Offer #1
560822	320590	Train Passenger
560823	78485	Herself - Co-host
560823	389543	Herself - Host (1990-1991)
560824	342045	Sarah Mills
560825	3055	Herself - Best Adapted Screen
560825	194499	Herself
560825	201796	Herself (screenwriter)
560825	228290	Herself (Co-Screenwriter LOTR
560825	228291	Herself/Co-screenwriter
560826	66305	Clara 'Clary' Webb
560827	55018	Enfant
560828	83277	La mère de Laurent
560829	403024	Victoria Paz "Vico"
560830	139454	Jean Stratton
560831	248598	Herself (vocalist)
560832	225574	
560834	6994	Club band member
560834	301246	Herself
560836	119018	Dede Martin
560837	147560	Harriet
560838	381821	Ensemble (1975)
560839	3169	Bit part
560840	66668	
560841	223733	Telephone Operator
560841	234070	Telephone Operator
560842	311699	Kitty Hamilton
560843	6732	
560843	13503	Herself
560843	26910	
560843	27197	
560843	31880	
560843	34753	
560843	34754	
560843	34863	
560843	35649	
560843	37949	Herself
560843	39983	Marilyn Mansfield
560843	42741	
560843	44466	
560843	52009	Cagney
560843	57273	Herself
560843	85774	
560843	85775	
560843	91836	
560843	97505	
560843	105370	Lisa
560843	114945	
560843	121791	Palm Springs condo owner
560843	127817	Erica
560843	127825	
560843	128849	Short-haired call girl on yac
560843	128859	
560843	139193	
560843	150338	
560843	154444	
560843	157022	Miss Teeze
560843	184945	
560843	187412	Herself
560843	243113	
560843	245473	
560843	257993	
560843	267085	
560843	293031	
560843	295810	
560843	297688	
560843	302927	
560843	305066	Driver's wife
560843	313256	
560843	317938	
560843	321160	Herself
560843	323163	
560843	326099	
560843	329869	Herself
560843	330675	
560843	335803	Herself
560843	338152	
560843	348026	
560843	355021	Student in charge of initiati
560843	361936	
560843	363444	
560843	367625	
560843	368322	
560843	369913	
560844	328850	Françoise
560845	23681	
560846	268825	Karine
560847	328978	Blinde Passagierin
560848	54832	Young Oriana
560848	78365	Herself
560848	85616	Mlle, Petitbon
560848	104735	French entry (1st place)
560848	124616	
560848	237225	
560849	61706	Leanna's mom
560849	196580	Waitress
560850	25128	
560850	57898	
560850	153879	
560851	282563	Annie
560852	129635	
560852	287325	
560853	103447	Blonde
560853	118278	Sue
560853	292817	Girlfriend
560854	68276	Lisa Bryan
560855	40029	Lujane
560855	171228	Jeanine
560855	177406	Lorna
560855	193915	Esther Wrenn
560855	214755	Mother
560855	232429	Sarah
560855	270349	Danielle
560855	293098	Paula Marinelli
560855	324777	Belinda Mart
560855	331597	Cassie
560855	337100	Kit Moran West
560855	338273	Renni
560855	339865	Lonnie Campos
560855	363812	Lady X, the Immortal Prisoner
560855	366271	Ruby Rose
560856	126103	Policewoman 1
560857	93762	Vixen #1
560858	65089	La chanteuse
560858	156550	
560859	268460	
560860	310947	Maya
560861	46967	La Marquese/Bianca
560861	101172	La mère, La tasse, La libellu
560862	284261	
560863	27919	Diane (episode 1 "Baiser d'ét
560863	43649	Emilie
560863	43705	
560863	90659	
560863	104441	La jeune fille/Sylvie
560863	158832	Sylvaina/Sylvaine
560863	167179	Nicole
560863	203522	Maggie
560863	346573	Corinne
560863	352611	Sophie
560863	360842	Jacqueline
560863	379103	Juliette Guillaume
560863	384746	Myriam Barlett
560863	402628	Isabelle de Croye
560864	261850	
560865	400566	Adventure Girl
560866	268825	Claudine
560867	264193	
560868	14314	Yvonne
560868	24178	Sabine
560868	43713	La veuve Chin
560868	44423	Leila
560868	68513	Léone Gravet
560868	101191	Yvonne Larmant
560868	104479	Armelle
560868	105592	
560868	130756	Sylvie
560868	153874	Aline Dandrel
560868	155517	
560868	156310	Marianne
560868	156322	La mère de Marco
560868	165179	Élisabeth/La mère de Muriel
560868	168961	Mathilde
560868	184053	La concierge
560868	184055	Françoise
560868	200948	Élyane Michonnet
560868	213387	
560868	219460	Marie
560868	225358	La mère Christain
560868	228706	Rosalie
560868	240280	Sophie
560868	248679	Aimée Caravage
560868	251532	The rose
560868	254314	La voisine
560868	258316	La mère de Bertrand
560868	261712	Eye Doctor
560868	275652	Pegotte
560868	284308	La mère de Georges
560868	288095	Sarah
560868	301154	
560868	322355	Jeanne
560868	322573	Christine
560868	336942	Guignotte
560868	339441	Edmée
560868	340343	Geneviève
560868	341546	Maryse
560868	343539	
560868	345133	Mme. Amet
560868	345185	Suzanne
560868	345567	Daniela Laspada, la mère
560868	346801	Bonine
560868	348578	Mme Gaigneux
560868	350741	Alice
560868	354154	Jeanne
560868	354635	Irène
560868	354661	Laurence
560868	355806	Pauline
560868	357020	Solange
560868	357092	Maryvonne
560868	377488	Viviane
560868	378017	Ninon Barbeau
560868	400681	
560868	410215	Marie
560868	412268	Charlotte (segment "Latude ou
560869	174569	
560869	272531	
560870	382053	Herself
560870	389712	Hostess
560871	382584	
560872	356997	Cindy
560872	401222	Host
560873	125813	Mrs. Souders
560874	238709	Paula's Sister
560875	204584	Nurse
560876	189974	Singer
560877	229318	
560878	19167	Nun
560878	41085	Housewife of America
560878	223019	Nurse
560878	255327	Guest at Mayfair tea
560878	311317	Mrs. Bxby
560879	184456	
560880	85547	
560880	148726	
560880	400681	
560881	28864	
560882	151530	C.C.
560882	343387	Young Teenage Girl
560883	113152	Linda Diaz
560884	109619	Secretary
560885	242544	Melvina
560886	177903	Laurie
560886	345857	Homeless
560887	403805	Echo Lively (2003-2004)
560888	68232	Strange woman
560889	147660	Nancie
560889	337990	Reporter 1
560890	164984	Dancer #1
560891	55406	
560892	92908	Lisa
560892	111969	
560892	131511	Andrea
560892	168166	Heroin Addict
560892	223807	Nancy's friend #2
560892	236155	Melanie Keaton
560893	186443	Herself
560893	395290	Dancer (1961-1967)
560894	10317	Young Alex
560894	304838	Jenna
560894	389858	Sage Alcazar #1 (2003)
560895	122757	Security Neuschwanstein
560896	310240	Chemist assistant
560897	17760	Miss Reed
560897	27107	Grandmother
560897	105891	First Mental Patient
560897	141417	Ma Gillis
560897	213112	Old lady in subway
560897	232090	Miss Peebles
560897	232412	
560897	238260	Bank secretary
560897	275784	Old woman at Columbia party
560897	287135	Mrs. Blount
560897	368952	Curious customer
560898	97503	
560899	40493	Melody King
560899	45457	Helen
560899	69804	Hooker
560899	138784	Jill Watkins
560899	140645	
560899	151170	Kelly
560899	153251	Katarina Grant
560899	232347	Alice
560899	261248	Vonny
560899	278288	Lori
560900	11519	Des
560901	323853	Extra
560902	85742	Kendra
560903	142600	Herself
560904	48217	Sister Mary Elaine
560904	151187	Nun/Receptionist
560906	158881	Theme-Songstress
560907	305990	Girl 1
560908	104735	Herself - Host
560908	104738	Herself - Host
560908	104743	Herself - Host
560908	104749	Herself - Host
560908	160784	Margaret McLaurin
560908	235398	
560908	235516	Julie Hains
560908	263918	Luciana
560908	340969	Diana
560908	362855	Sheila Adams
560908	387959	Herself - Presenter (1960, 19
560908	390278	Katie Johnson
560908	393079	Herself - Presenter
560908	393854	Herself - Regular panellist
560909	310760	Prisoner
560910	379716	Dottie Thornton Martin #1 (19
560911	323824	Travel Documentary Voice (seg
560912	350219	Cassandra
560913	66055	Nippers
560914	378710	Little Virginia
560915	235510	Health Club Girl
560916	107550	Faith Simon
560916	400684	Cecilia
560917	61785	Leah
560917	71637	Miss Ferris
560917	71646	
560917	80495	Mollie Powell
560917	84376	
560917	107048	
560917	109703	
560917	113758	
560917	123424	
560917	141330	Paloma
560917	199222	
560917	211526	
560917	216914	
560917	219997	
560917	239714	
560917	242542	
560917	244348	
560917	244368	Irene Manton
560917	245168	
560917	250574	
560917	258192	
560917	267614	
560917	271145	
560917	277937	Clare Kavanagh
560917	279164	
560917	285054	
560917	290337	Maria
560917	292488	
560918	44507	Sam
560919	326617	Bully
560920	108382	Old lady
560920	201919	Elder#1
560921	107483	
560922	18598	Bridge Crosser
560923	866	Herself
560923	7982	Marianne Byron
560923	26442	Laraine Cotwell
560923	37350	Tanya Mulhill
560923	51886	Patricia Ward
560923	53921	Herself
560923	58487	Karen
560923	72861	Herself
560923	78775	Rosarita
560923	80583	Ginny Danburry
560923	102233	Beverly Franks
560923	106532	Sandra Gladstone
560923	109173	Hillary
560923	138683	Helen Jordan
560923	151365	Jessica Kailo
560923	164628	Rachel
560923	208556	Cammie
560923	210741	Serleena
560923	212653	Herself
560923	216737	Mara Motes
560923	250383	Tory Bass/Sabrina James
560923	259829	Donna Gardner
560923	263057	Jennifer Levin
560923	274215	Ruth
560923	274284	Suzanne Brown aka Ann McCord
560923	279456	Ida Muntz
560923	281387	Sarah
560923	302468	Grace Williams
560923	310547	Dr. Emily Paige
560923	320209	Betty Johnson
560923	327376	Kris Bolin
560923	328585	Laura Taggart
560923	331733	Alex
560923	342549	Donna Hayward
560923	360290	Stacy
560923	363399	Heather
560923	378615	Melody Coatar
560923	380049	Jacqueline 'Jessie' Bradford
560923	402032	Asst. Dist. Atty. Helen Gambl
560923	409210	Donna Marie Hayward
560924	10903	Rachel
560924	26142	Herself
560924	27168	Girl Decoy
560924	30659	Psychiatrist's Receptionist
560924	51991	Kira
560924	69049	Polish Emigree
560924	73340	Claire
560924	80041	Nikki Sanders
560924	93302	September
560924	96741	Curl Up and Dye Dancer
560924	97460	Herself
560924	107166	Cindee
560924	135996	Dancer
560924	154345	Suzanne
560924	161172	Tina
560924	185398	Sunny
560924	186849	Diane Carlson
560924	188275	Bobo
560924	194818	Marian
560924	196995	
560924	213259	Samantha
560924	213272	Heidi
560924	232242	Roxy
560924	237008	Sexy Girl
560924	240729	Janine
560924	262516	Heather Leighton
560924	272909	Herself
560924	278829	Herself
560924	279427	Alex
560924	300180	Sonny
560924	307934	Herself
560924	328271	Veiled Woman
560924	333247	Una
560924	363061	Desert Girl
560924	382164	Minerva Stone/Medusa
560924	396076	Herself
560924	401360	Bride #1
560925	3820	Herself
560926	359543	Lead Vocalist
560927	188388	
560928	17697	Gossip at Ball
560928	26514	Receptionist
560928	42108	
560928	50607	Mrs. McPhee
560928	80715	Supervisor
560928	99604	Plane businesswoman
560928	120248	Waitress
560928	126492	Lady #2
560928	155905	
560928	163363	Miss Van Dyke
560928	176480	Admittance Clerk
560928	194277	Wealthy Matron
560928	206445	Older Woman
560928	212802	Turnbull's Secretary
560928	242529	Lady #2
560928	256499	Candy Vendor
560928	285177	Estelle
560928	328253	ER Nurse
560928	335285	Woman with Pin
560928	411211	Hattie Olsen
560929	236972	Snowflake
560930	51855	Lady in Waiting
560931	398463	Mrs. Millar
560932	287729	Diane Heller
560933	108807	Edie
560934	78318	Louella
560934	157817	Dad's thing
560935	29636	
560936	388487	Herself - Panelist
560937	365169	Aunt Rootie
560938	68786	Young Yvonne
560939	157195	Dancer
560940	169139	Gogo Dancer
560941	26834	Mrs. Beaver
560941	44108	O.R. Nurse
560941	44547	
560941	57389	Lucinda
560941	93982	
560941	184719	Cook
560941	194012	Olivia
560941	194638	Aunt
560941	276196	Mrs. Leon (segment "Marie Taq
560941	302236	Fairy Godmother
560941	339399	Singer
560941	358145	Mrs. Bingo
560941	372409	Edith
560941	382155	Principal Amanda Durst
560942	159959	Shopping lady
560943	91953	Bailiff #2
560943	205411	Janice
560943	346223	Bank Clerk
560944	234803	Ma Chalmers
560945	20625	Extra
560945	39797	
560945	44465	Committee Woman
560945	78317	
560945	84828	Woman
560945	87820	Companion
560945	157456	Person
560945	177291	Woman Who Asks For Water
560945	178976	Woman
560945	197869	Bit part
560945	292405	Patient
560945	315881	Bit Role
560945	329588	
560945	342008	Woman
560945	359298	Screaming Woman
560945	363282	Woman
560946	318814	Mrs. Underhill
560947	56438	
560948	28266	Jasmine
560948	330773	Shawn
560949	241160	Mavis
560949	255009	Chief Nihe's Daughter
560950	313481	Rebel transport ship captain/
560951	40959	
560951	120343	Sara Ertner
560951	144129	Lale Turgut
560951	197643	Seyhan
560951	203935	Betty
560951	281654	Ayse Hikmet
560952	186713	Hostess
560953	101427	A Third A.T.
560954	154750	
560954	328501	Sally
560955	195300	Her friend
560956	182602	Irenes kollega
560957	62445	
560957	72326	Natasja
560957	147023	Swedish Girl
560957	174715	Mona, Sofi's Mother
560957	188873	Malin
560957	192827	Jeanette Persson
560957	237035	Louise
560957	271053	Venla
560957	334739	Jinnie Wickinham
560957	372967	Rape Victim
560957	386911	Ljus ledare och Mörk ledare
560957	391725	
560957	400308	Maria
560957	406604	Anita
560957	406626	Cecilia Brogren
560957	411580	Ofelia
560958	225150	Malle
560958	259683	
560958	259687	Renate Pickert
560959	212332	Herself - Participant/Perform
560959	212333	Herself - Participant/Perform
560960	84592	
560961	214256	Rocio
560961	385663	María Elena 'Nena' Valdez Tor
560962	5308	Elisabeth Lapeyre
560962	6099	Récitante/Narrator
560962	12372	Une internée
560962	15241	La servante des Boule
560962	49741	
560962	51227	Phénice
560962	53245	Mélanie Lesurques
560962	53254	Soeur Marie
560962	80343	La mère de Cyril
560962	85692	Soeur Cécile
560962	94345	Gilberte
560962	156299	Véronique
560962	167157	La prostituée
560962	199694	Lucienne
560962	208811	Blanche
560962	216875	Bar's owner
560962	228915	Mrs. Kunzel
560962	239222	Elisa, la femme de Valentin
560962	252710	La Veuve Dame
560962	254033	La grand-mère maternelle
560962	261609	Gasparine
560962	270542	
560962	270809	
560962	278154	Mademoiselle Lefevre
560962	292278	Suzanne
560962	328751	Mrs. Clare
560962	336957	MMe Fitt
560962	345386	
560962	353961	Simone
560962	357045	La mère de Vincent et Théo
560962	385002	Marquise de Boiscoran
560963	57776	
560963	207754	
560963	221937	Woman singing in the night
560964	101036	Alicia's Maid
560965	130016	Dragon Lady
560966	92813	Criada de Calvo Sotelo
560966	103845	
560966	196736	
560967	113814	Ghost Woman
560968	156210	
560968	173854	Lamia
560969	212615	
560970	164755	
560970	338886	Cwileka's Daughter
560971	359585	Ela Golebiewska
560972	79656	Deborah Reed
560972	317326	Olga
560972	348377	Frou Frou
560972	363777	Girl
560973	160606	Momicheto ot poshtata
560973	249657	Violeta
560973	320707	
560974	323925	
560974	357173	Yuliya
560975	9353	Dancer
560976	258630	Baba Matza
560977	126265	Boyka
560977	187386	Mehmene Banu
560977	265018	Nadya
560977	334483	Maykata na Veska
560977	337039	Rayna
560977	349084	Nadya
560978	315851	Dancer
560979	238098	
560980	198163	Albena Petrova
560980	304722	Elena
560980	384026	
560981	43215	
560981	77485	
560981	82813	
560981	104426	
560981	132724	
560981	133385	
560981	164013	
560981	237526	
560981	238104	
560981	238323	
560981	241942	
560981	244134	
560981	259806	(segment "Zolotye rybki")
560981	263677	Geography teacher
560981	339262	
560981	356869	
560981	357467	
560981	372025	Alyona
560981	390401	Kolya's Mother
560982	59875	Elena
560982	78991	Troupe Member #2
560982	152821	Csaba's mother
560982	323841	Dancer
560983	361498	Lara
560984	399767	
560985	397464	Miki
560986	320675	
560987	352784	
560988	99683	Herself
560989	26174	Chambermaid
560989	259012	Vesna
560990	391869	Lynn Davenport (1988)
560991	682	Rene, the Breast Cheater
560991	59664	Female Rock Climber
560991	350343	Naomi
560991	360684	Ivana
560991	392103	Host (2003-
560992	289162	
560992	328505	Mujer violada
560993	286739	
560994	303515	
560995	16189	Weimannová
560995	151865	Turnová
560995	181104	Paní Danková
560995	181644	Drahotová
560995	238209	
560995	251134	Bártlová
560995	310248	Reinkeová
560995	326014	Krausová
560995	375479	Marie
560996	200798	
560997	93417	Necmettin
560998	38451	
560999	370371	
560999	397481	
561000	32734	Tygress
561000	273241	Herself
561000	360325	Tygress
561000	360329	Tygress
561000	410688	Tygress (1995-2001)
561000	410690	Tygress (1999-2001); Nitro Gi
561001	83158	Helén
561001	173592	
561002	156210	
561002	380562	
561002	381020	Göze
561002	390860	Meryem Dursunoglu
561002	411678	Nilgün
561003	274368	Cook
561003	362927	Wilma
561004	20066	
561004	108901	Camille
561005	98027	
561006	8036	
561006	9481	
561006	89663	
561006	100633	
561006	132028	
561006	136479	
561006	163764	
561006	178783	
561006	246843	
561006	301464	
561007	35027	
561008	34189	Herself
561009	351988	Mariam
561010	52386	Drusilla
561010	74444	Girl
561010	334028	
561010	349779	Imola
561011	194055	Singer at Car Lot
561012	306834	
561013	394922	Zeliha
561014	73833	Bubbie Kantor
561015	57013	
561016	169976	Judith 5 år (episodes 1,2)
561017	264482	Antoinette
561018	26422	Herself
561018	197528	Teddy
561019	86354	
561020	395250	Herself (Host)
561021	229987	
561022	55482	Actor in Italian Film
561022	337259	
561023	185862	Girl in White
561024	70209	
561024	103991	
561024	196737	
561025	266899	
561025	378439	
561026	9643	
561026	19380	Claudina
561026	22760	
561026	28000	
561026	48191	
561026	51555	
561026	53657	
561026	54328	
561026	54778	
561026	55942	
561026	57867	
561026	59259	
561026	61351	
561026	63949	
561026	66401	Doña Remedios
561026	77235	
561026	78550	
561026	88799	
561026	100439	Nicasia
561026	108126	
561026	136993	
561026	147295	
561026	150529	
561026	151800	
561026	155749	
561026	160879	
561026	184932	
561026	192986	
561026	193223	
561026	193225	
561026	197041	
561026	202835	
561026	205712	
561026	212400	
561026	212508	
561026	221568	
561026	222027	
561026	229210	
561026	233625	
561026	234179	
561026	236012	
561026	236437	
561026	246424	
561026	260506	
561026	270612	
561026	301121	
561026	301886	
561026	324468	
561026	353616	
561026	354453	
561026	354460	
561026	376712	
561026	376749	
561026	405242	
561027	20733	
561027	52597	
561027	53120	
561027	55318	
561027	99565	
561027	129885	
561027	162604	
561027	193310	
561027	196737	Elvira del Solar
561027	221563	
561027	221580	
561027	266899	
561027	280414	
561028	219005	
561028	315374	
561029	212320	Grillbabe #3
561030	199921	
561030	301380	Lulù da bambina
561031	125282	Alena Fialova
561032	341485	
561033	106810	Vera
561033	175294	Hannelore Bragulla
561033	180400	Ans
561033	208563	
561033	242904	Marja
561033	376258	Liza IJzerman
561033	391424	Loes
561034	109589	Claudia Macpherson
561034	379738	Herself - Panellist
561034	391869	Lise (1998)
561034	401547	Claudia Macpherson
561035	142514	Butlers vrouw
561036	194836	
561036	226295	Carmen Helman
561036	242568	Visitor
561036	266157	Nathalie
561036	279029	Petra/Sanne
561036	405536	Karin van Praag
561036	410426	Dolly
561037	352030	Marlies
561038	19235	Hitomi
561038	77906	Lamba
561038	110458	
561038	266571	
561038	267536	C-Ko (1st Volume Only)
561039	42913	Circus Character
561039	276240	Featured Rooftop Undead #1
561040	402993	Herself/Back to New York (200
561040	402999	Herself/Real Worlders
561041	23635	
561041	23842	
561041	52700	
561041	55067	
561041	63778	
561041	63944	
561041	93884	Andree Mael
561041	111687	
561041	115582	
561041	144716	
561041	199375	
561041	201208	
561041	205624	
561041	207776	
561041	225005	
561041	264221	
561041	284195	
561041	284291	
561041	292359	
561041	324712	
561041	337027	
561041	338477	
561041	338489	
561041	375759	
561041	377255	
561041	377263	
561042	64336	Herself
561042	84652	Herself
561042	197072	Lucy S.
561042	265698	Herself
561043	83179	
561043	95276	La marchande
561043	202343	
561043	214065	
561043	264953	Chantal
561043	278911	
561044	51240	Danseuse
561046	19808	Home Woman/Russian Soldier
561047	394794	Brigitte (2001-)
561047	409192	
561048	78139	Female Fencer
561049	16195	
561050	185592	Young girl
561051	169207	Deputy Sheriff
561051	223751	Waitress
561052	169207	Deputy Sherriff
561053	78141	Ann's Mom
561054	78141	Young Ann
561055	342871	Cricketer
561056	59505	Sarah Ferguson
561056	278169	Singer
561056	382118	Sandra Pickersgill/Simcock
561056	385020	Tricia Armstrong (1994-1997)
561056	387247	Roxy Drake (2001)
561056	390032	Mrs. Oliver
561057	14192	Real Joyce
561058	24735	
561058	248353	
561058	349487	Holidaymaker
561059	178961	Værtshusgæst
561060	404863	La fille d'asenceur et la réc
561062	301443	Herself
561063	389966	Herself
561064	166565	Barbeville
561065	6569	La femme du forgeron
561065	24898	
561065	66225	
561065	73078	Leonie
561065	76038	La prostituée
561065	148635	La dame bibliothèque
561065	153783	Miss Henry
561065	163819	La femme à la Ford
561065	193444	Mme. Lepinard
561065	238849	
561065	254033	Mamie, la mère
561065	345394	La femme de l'homme chauve
561065	377060	Maryse
561065	395620	Jeanne (segment "Camille")
561065	402588	
561066	385052	Doña Rosa León viuda de Garcí
561066	397738	Blanca Rivera de San Martín
561067	149525	
561067	379614	Angélica Rivas
561067	385502	Joselyn
561067	387685	Leonela
561067	403885	Maribel de la Fuente
561068	65896	Marta
561069	222558	
561070	38630	Giustina
561071	36764	Bull Jones
561071	51475	Pig
561071	57945	Rita
561071	118763	Mental Patient
561071	147214	Calamity Jane
561071	270139	Student
561071	339380	Teda
561071	368592	Whore #3
561071	369492	Xanadu Dancer
561072	130168	Starlet
561073	18366	
561073	20692	
561073	33672	
561073	33675	
561073	49679	
561073	54301	La seconda zia
561073	55165	La moglie del sindaco
561073	60117	
561073	73644	
561073	104475	Zia di Sergio
561073	124426	
561073	124571	Donna Margherita
561073	129131	
561073	157329	
561073	204661	La direttrice
561073	206029	
561073	214004	
561073	234774	
561073	238286	
561073	239970	
561073	255098	
561073	255125	
561073	265810	
561073	292996	Amalia Califano
561073	338586	
561073	349529	
561074	103184	
561074	283052	
561075	230934	Wedding Guest
561076	1046	Louise Potter
561076	1870	Nurse
561076	65892	Alma
561076	67388	Diane (at bar)
561076	82835	Lizzie
561076	114298	Dancer
561076	151187	Fran
561076	157255	Pancetta Leaky
561076	158440	Jackie
561076	170561	Cathy
561076	195135	
561076	217954	Eleanor Coyle
561076	224813	Dee Dee, Charlie's Sister
561076	307983	Taxi Dancer
561076	308913	
561076	312924	Bar Waitress
561076	338930	Theresa
561077	69090	
561077	292668	Lara
561078	30686	Jim's Mother
561078	33178	Anna
561078	75653	Claire Raphael
561078	81177	Herself
561078	93211	Riley
561078	95310	Bubble
561078	104965	Delores Del Ruby
561078	107506	Margaux
561078	126672	Diane Giacalone
561078	126693	Herself
561078	131780	Karen Hill
561078	137031	Margo
561078	158545	Sheila
561078	183426	Gemma
561078	190340	Kits Maitland
561078	201140	Barbara
561078	208300	Sheila
561078	209423	Dr. Rae Crane
561078	211156	Helene Miller
561078	255169	Carla
561078	270628	Mary
561078	278082	Mrs. Teresa D'Onofrio
561078	289377	Maggie Rohrer
561078	291771	Frank's ex-wife (footage adde
561078	295768	Narrator
561078	301613	Helen Greg
561078	302584	Miss Lombardo
561078	308025	Ellie Keegan
561078	321632	Sheila Faxton
561078	323592	Det. Ray
561078	323804	Bobbie
561078	324397	Anne Andersle
561078	337281	Ellen Schofield
561078	352979	Herself
561078	405976	Dr. Jennifer Melfi
561079	52481	Dolly Barrett
561080	236972	Snowflake
561081	34968	Jeannie Henderson
561081	50097	Evelyn
561081	131534	Jacqueline Wood
561082	409775	Herself - Hostess
561083	32778	Bessie Webster
561083	163919	Rebecca
561083	276596	Wife
561083	277278	
561084	75279	Pauline May
561084	147566	Joyanne Rogers
561085	319270	Nurse Gwendolyn
561086	410883	Presenter (1982-1983)
561087	370377	
561088	17676	Mrs. Gimenez
561088	65006	The Friend
561088	318507	Tia Carmen
561088	359742	Flirting woman
561089	350484	Edith Brown
561090	17868	Claire
561091	112768	
561091	265213	Viviane
561091	384118	Cora Amarante Rocha (2000)
561091	397540	
561092	245801	Mara
561092	253711	
561093	301085	2. Krankenschwester
561094	91318	
561094	153336	
561094	291643	
561094	307464	
561095	5894	Luisa
561095	9623	Sarah Narro
561095	18356	Juana
561095	31546	Cristina Estevez
561095	54821	Magdalena Hoyos
561095	56518	Utopía
561095	61989	
561095	74380	
561095	75183	Silvia Ballesteros
561095	80239	
561095	89314	Nun
561095	93282	Beta
561095	100775	Renata Castillo
561095	101882	Gina López
561095	101883	
561095	146437	Éléonore
561095	148057	La Muchacha
561095	153820	Chela
561095	159529	Andrea
561095	159870	Rosalia, Nin~a
561095	170088	
561095	189043	
561095	208325	
561095	212483	
561095	244592	Doña Juana
561095	260503	Adelina
561095	274524	María Magdalena
561095	286920	
561095	287890	Mariana de Carvajal (?)
561095	292746	Dolores de Roman
561095	294861	Adelaida
561095	343603	Lucía
561095	355945	Reportera
561095	370089	Silivia Allende de Iturbide
561095	371711	Dalia
561095	379118	
561095	379834	Alondra
561095	380101	
561095	381153	Sara Murillo
561095	383155	Evangelina Vizcaíno
561095	383392	
561095	385416	Leonora Navarro
561095	386078	Clemencia Rivera de del Junco
561095	387834	
561095	392806	Dariana Valdivia
561095	395401	Leona Vicario
561095	397596	Elena
561095	397869	Cosette
561095	400201	Mrs. Dobuti
561095	400949	
561095	402219	Ana Joaquina Velarde (young) 
561095	403257	Irene
561095	410450	Sara Madero
561095	412188	Lorenza
561096	979	Draga #1 - "fernanda"
561097	14679	
561097	273848	
561097	379941	
561097	380901	
561097	387067	
561097	388253	Ana María
561097	388283	
561097	388647	
561097	390460	Host
561097	396885	
561097	400413	
561097	401161	
561097	402585	
561097	402681	Palmira
561097	404985	Rita
561097	409812	Florencia
561097	409907	
561097	410327	Rebeca
561098	115269	Women Coalation Diner Patron
561099	398497	Participant, Winner (2001)
561100	40046	Mother of Carl
561100	67897	Carol
561100	117098	Bridesmaid
561101	223174	La capitaine
561101	349899	Annie
561102	31817	Nurse
561102	62697	TV Interviewer
561103	304578	Suzy
561104	81669	Nurse
561104	174026	Golebiowska
561104	322037	Teacher
561105	387323	Isabelle (1996)
561105	388299	Elke (1997-)
561105	399410	Chrisje
561105	409928	
561106	11789	Marie
561106	40390	Alte Frau Martens
561106	120949	Frau Renken
561106	141947	Uwes Mutter
561106	144152	
561106	182774	
561106	188737	Martha
561106	281947	Sophie Amelung
561106	281953	Roswitha
561106	337135	Frau Berstel
561106	352607	
561106	361079	Penelope
561106	367037	Meta Sengstake
561106	388297	Tante Marie
561106	406488	
561107	232456	Friend
561108	320310	Laura
561108	401077	Serena (2000)
561110	79835	Beth Hughes
561110	109070	Soma
561110	203633	Mona
561110	208648	Julia
561110	333369	Katherine (Irish girl, 1871)
561110	346276	Lily
561110	387309	Laurie Ann Karr Lamont Dallas
561111	214983	Girl
561111	241444	
561112	8911	Aileen
561112	31667	
561112	39389	
561112	72268	Bee
561112	107782	
561112	157038	
561112	157084	
561112	178111	
561112	191184	
561112	201559	Betty
561112	215864	
561112	264491	Grace Haywood
561112	271978	
561112	280863	
561112	305604	Molly
561112	315093	
561112	327423	
561112	365726	Mary
561113	90363	Amanda Post
561113	137036	Sue Curtis
561114	368670	Jennifer
561114	411759	Jennifer (1989-1990)
561115	336754	Teacher
561116	92514	Helen
561116	222603	Nurse
561117	214159	
561118	160415	(segment "I've Got A Crush On
561119	38371	
561119	220719	Mother
561120	266768	Cup Dropper
561121	31054	Meg Webson
561121	99917	Margaret Foster
561121	121742	Babcock
561121	194528	Mrs. Durrell
561121	207268	
561121	231059	Secretary
561121	238427	Elizabeth Henkes
561121	261038	Henrietta Stackpole
561121	263609	Achsah Brewster
561121	282904	
561121	291233	
561121	295881	Harriet
561121	330547	Nurse
561121	385089	Mary
561121	400087	
561122	188490	Waitress
561122	266695	Mrs. Harris
561123	966	April
561124	966	April
561125	51384	
561126	384075	
561126	387533	Zoë Tate (1989-)
561127	269496	
561128	346536	Victoire
561129	12372	
561129	20068	La secrétaire des archives
561129	27918	3.fille au bordel
561129	28149	Mme Cigot
561129	51403	Eve Artifice
561129	51427	
561129	59118	Madame Mado
561129	61426	
561129	69119	
561129	70955	Marcelle
561129	73165	Mme Thiméon
561129	83349	Danièle Joffroy
561129	88193	La traductrice
561129	100027	Madame Randoni
561129	111129	Femme de Julien
561129	124400	
561129	124608	Bailiff-Nurse
561129	149631	Cleaning lady
561129	156550	Thérèse
561129	157305	
561129	169032	
561129	169577	Guest
561129	170536	
561129	188682	
561129	198974	Une psychiatre
561129	254108	Sister Ann
561129	258250	
561129	266153	
561129	269223	La servante de Louis XV
561129	316845	
561129	332233	Adrienne Pasquier
561129	345329	Madame Culli
561129	376895	Une journaliste
561129	377896	Mme Leplanchet
561129	387553	Renée Chillaud
561129	396240	
561129	409440	
561130	22888	
561130	25399	The Widow (unconfirmed)
561130	26453	
561130	29338	The Maid
561130	41896	The Northern Girl's Aunt
561130	47466	Victim of Massacre
561130	47942	The Mother
561130	48270	At Wedding/At Theatre
561130	50892	At League Meeting
561130	52551	A Servant
561130	61592	The Farm Woman
561130	61630	Well-Wisher
561130	61635	On Farm
561130	61653	On Street
561130	70718	
561130	75608	
561130	81667	The Aunt
561130	97075	
561130	97469	
561130	99482	
561130	107046	Landlady
561130	107442	
561130	111714	
561130	112408	
561130	117256	In Mission
561130	121376	Union Mother
561130	123302	
561130	128623	
561130	130013	The Madam
561130	143103	At Poor Farm
561130	143117	
561130	143318	Housekeeper
561130	146231	Nurse
561130	146261	Freed slave/Woman in wedding 
561130	155837	Idylwood resident
561130	159591	Negro Servant
561130	168994	
561130	169978	Bethulian
561130	171088	In Crowd
561130	190899	The Tenement Girl's Mother
561130	191599	A Maid
561130	193795	
561130	195666	A Maid
561130	204250	
561130	206165	The Maid
561130	209419	
561130	211777	George's Mother
561130	216946	The Prodigal's Mother
561130	221791	Muggsy's Mother
561130	223228	The Little Lady's Mother
561130	223668	At Table
561130	224762	Extra
561130	230918	Third Gossip
561130	237663	In Parfumerie
561130	239173	The Nurse
561130	239814	Pauline's Mother
561130	251434	
561130	267496	The Maid
561130	274105	
561130	276417	
561130	279446	
561130	281848	The Sea Child's Mother
561130	290276	
561130	294813	The Maid
561130	308432	
561130	319271	Sunshine's Mother
561130	327826	Old woman
561130	331080	
561130	331376	In First Factory
561130	331606	
561130	333761	
561130	337503	
561130	340619	
561130	342971	Nun
561130	342989	
561130	343081	Mother
561130	348952	The Maid
561130	354917	
561130	356295	
561130	358282	One of the Poor
561130	362406	A Gypsy
561130	365089	
561130	365778	Peggy's mother
561130	368927	A Neighbor
561131	95124	
561131	315893	Frau Bretz
561131	326823	Paula
561131	376606	
561131	386188	(episode "System")
561132	403118	
561133	39404	Train Station Extra #2
561133	75543	Claire Berman
561134	352931	Frou-Frou
561135	384097	Katie (1996)
561136	168136	Angela
561137	2837	Liza
561137	58409	Mannequin
561137	99164	Susan Welles
561138	41890	Mercia
561139	262959	Hostess
561139	381109	Presenter
561139	408546	Presenter (2001)
561139	410637	Presenter (2004-)
561139	411283	Travel Reporter (1999-2000)
561140	45928	Señora Lopez
561140	66647	Aunt Marth
561140	157007	Mother
561140	176406	Bride's mother
561140	202936	Madame Lamont
561140	213080	Mrs. Tilwell
561140	244849	Aunt Mary
561140	255827	Mrs. Brown, Edna's Mother
561140	341921	Mrs. Henry Vertrees
561140	347324	Herself - in Out-Takes
561141	10702	Rita
561141	17998	Laurette
561141	46431	Ruth Doyle
561141	62170	Louise-Jill
561141	69773	Dry Cleaner Lady
561141	85666	Pam Carruthers
561141	158275	Trina Mallin
561141	171036	B-Girl
561141	208634	Susie Miller
561141	239891	Mrs. Williams
561141	241762	
561141	245302	
561141	273267	Debbie Pride
561141	294856	Carol
561141	315076	Meg Wilber
561141	334151	Mildred Cook
561141	344551	Barrie
561141	363421	Tasha
561141	365088	Aunt Frieda
561142	54561	Jennie
561143	342009	Florence
561144	392697	Young Charlotte Brontë
561145	17556	Ambassador's Wife
561145	392545	Mrs. Cooper
561146	2445	Herself (Carole's Sister)
561147	85105	Alice
561148	297763	Martha O'Donnell
561148	366316	Sarah
561149	176922	Girl at Party
561150	355365	Rocko's Wife
561151	260301	Olivia
561152	154157	Hysterical Bride
561152	314763	Caroline
561152	318671	Maya
561152	337327	Bride
561152	370853	Young women 1
561152	389561	Jennifer Rabinowitz
561153	210776	Kiki Cardamone
561154	114296	Melissa
561154	135861	Missy
561154	241225	Helen
561154	380654	Patsy Jones
561155	220844	Airline Stewardess
561156	196593	Sarah
561156	253059	Model
561157	38137	
561157	301614	
561157	313420	Elise Picard
561157	329541	Charlotte
561157	340099	Anne Brockton
561157	367350	Alice
561157	380360	Anne Shirley
561157	380361	Anne Shirley
561157	381033	
561157	391150	Valerie
561157	399600	Liz Parker
561157	403663	
561157	406120	Cleo Spearfield
561157	408362	Julia Darbyshire
561158	195262	Crenshaw High School Girl's B
561159	89288	Kissing Woman
561160	379978	Herself (eliminated 1st) (200
561161	203243	Shopper
561162	34132	
561162	77758	Sophie McLoughlin
561162	87591	Counsellor
561162	115149	
561162	177267	Vanora
561162	190191	
561162	235190	
561162	253864	
561162	283361	Daphne
561162	301637	Geraldine
561162	323738	Mary the Waitress
561162	403017	Ursula Feeney
561163	208631	Nurse
561163	339429	Nurse
561165	324057	Club photographer
561166	161201	Herself
561167	31675	Joanne
561168	252394	Herself
561169	381091	Herself (eliminated round 4) 
561170	93771	Rosemary
561171	84002	Daisy
561172	192172	Jesse
561173	130294	Delia
561174	276858	Louise Jackson
561175	330102	Dance Instructor
561176	131232	Extra
561177	41473	Jessica
561177	140699	Barbara
561177	145415	Juliet
561178	405429	
561179	385431	Correspondent
561179	399771	Senior Correspondent
561179	403212	Correspondent
561180	145415	Party Goer #7
561181	198078	Lynn's Daughter
561182	387147	Bella Brodie
561183	37894	Woman Selling Flowers
561184	131232	Extra
561185	3681	Herself
561186	237783	Parent
561187	96834	
561188	177591	Harmony
561189	23421	The Girl
561189	45419	
561189	54739	
561189	61153	Katie
561189	71717	Opal Jones
561189	72520	Ethel
561189	206163	Grace Fairchild
561189	241501	Babette
561189	303510	Muriel Travis
561189	312794	Dora Anderson
561189	342982	Grete
561189	368780	Gale Slocum
561190	252408	Pet
561190	291449	Rock Singer
561191	197096	
561191	381061	Ljubinka ... udovica
561191	386407	
561191	394110	
561191	394111	
561191	402765	Cistacica
561192	91063	Herself
561192	91071	Herself
561193	52885	Newswoman
561193	245137	Lee (hooker)
561193	314269	Reporter #1
561194	41181	Aerobic girl
561194	53933	Cannibal Girl
561195	123370	Julie
561195	368863	Susan Wright
561196	116417	Silviya
561196	160594	Zhurnalistkata
561196	310475	
561196	314392	
561196	354321	
561197	303522	Cashier
561198	192307	
561199	20232	Lena Kellar
561200	107629	Barmaid
561200	274850	Nurse Alison
561200	407826	Lawrence's Maid
561201	24980	Aunt Hilda
561201	63019	Helen the maid
561201	246000	Cafe Waitress
561202	12033	
561203	176710	Stewardess
561204	151461	Agatzi Girl
561204	234236	Lt. Large
561205	117557	Cousin Mary
561205	218708	Vocalist
561205	340084	
561207	97364	Ed's Redeeming Qualities
561208	315586	Brenda Biels
561209	108043	Mrs. Carroll
561210	5013	Karen
561210	65895	Siobhan
561210	301637	Aine Quinn
561211	150906	
561212	5013	Alice
561212	45616	Maisie
561212	51682	
561212	74116	Neal's mother
561212	92910	
561212	195407	Peasant Woman
561212	217411	Artist's Sister
561212	305612	Mrs. Lagermann
561212	340221	Farmer's Wife
561212	350349	Anne Marie Nightclub Girl
561212	352465	Anne Harris
561212	388209	Sandie Dowling (1995-1997)
561212	398782	Queen Maeve
561212	400158	Helen King
561212	409005	Aoife MacKenzie
561213	4507	Service
561214	224192	ABT, Choir Director
561215	46854	Mrs. Burke
561215	270522	Mom in Station Wagon
561215	303897	Manufacturer's Rep
561215	316975	Edith
561216	332011	
561217	305390	Cookie Store Customer
561218	215623	
561218	359874	Rhonda Barnes
561219	71777	Rose Lang
561219	78030	
561219	107947	
561219	126700	Miss Hicks
561219	266767	Religious Woman
561219	381608	Rose Lang Wilson
561220	96558	
561221	260789	Mary Rodriguez
561222	84457	Babe #3
561223	14231	Woman in Zoo
561223	47058	Woman Passer By
561223	115250	Mrs. Saunders
561223	118278	Mrs. Schickler
561223	158514	Dame Margaret
561223	163542	
561223	191647	Great Aunt Annie
561223	210514	Mrs. Anthony
561223	305371	Nellie
561223	347006	Nanny
561223	367854	Maud Grimes
561223	385020	Maud Grimes (1993-1999)
561223	385658	Mrs. Gascoigne
561223	395325	Mrs. Ford
561223	399485	Mrs. Venables
561223	408785	Aunt Tissie
561224	206215	Jeannie
561225	202218	Christin
561225	240694	Mexican Street Hooker
561226	20788	Screaming Woman
561226	131762	Claudia
561226	157240	Nursing mother
561227	111439	Kate
561228	11465	
561228	33796	
561228	35566	
561228	46126	
561228	54972	
561228	90300	
561228	136453	
561228	147411	
561228	147722	
561228	147726	
561228	150265	
561228	168770	
561228	220539	
561228	232160	
561228	241026	Gwen
561228	252869	
561228	314669	Peggy Miles
561228	331665	The Wife
561228	335885	
561229	18615	Bonnie LeTour
561229	36841	Grace Fielding
561229	47818	Sadie McGuerin
561229	56789	Dolores Doce
561229	67858	JoJo La Verne
561229	78168	Joan
561229	90428	Grace Forbes
561229	106729	Evelyn
561229	127691	Daisy
561229	128536	Nada
561229	161910	Sue Walker
561229	163513	Constance Marlowe
561229	184831	Jean Sterling
561229	208902	Sadie McGuerin
561229	237602	Jean Burdett
561229	239719	Marian Beecher
561229	274496	Dale Carter
561229	279569	Kay MacKinley
561229	280995	Lily Lamont
561229	281867	Flossie
561229	297963	Eve Richards
561229	301273	Judy Weston
561229	303376	Polly Blair
561229	303499	Goldie
561229	315095	Jean Loring
561229	326199	Sadie McGuerin aka O'Brien
561229	330010	Madie Duvalie
561229	330598	Trixie La Brey
561229	331317	Eve Bronson
561229	333648	Salesgirl
561229	335666	Verne La Mond
561229	342947	Sadie O'Brien McGuerin
561229	343251	Marie
561229	358453	Jean Roberts
561229	360253	Sunburned Lady
561229	362055	
561230	19524	Die Fiakermilli
561231	33644	
561232	145102	Good Intentions
561233	73361	Scantily dressed woman
561234	102932	Bit Part
561234	121819	Crying girl
561234	186773	
561234	310059	Bandana Woman
561234	329395	Bit Part
561235	330298	
561236	212613	Girl #1
561237	56545	Herself
561239	141666	Pauline Rieper, at 5 years
561240	167560	
561241	167068	Mary
561241	187697	Real Estate Agent
561241	204557	Garbage Woman
561242	188401	Specialty Act
561243	55706	Pianist
561243	224612	Freda
561244	6269	Marge
561245	236346	
561246	210960	Princeton Reporter
561246	265869	Melba Allred
561247	63135	Paige
561247	65809	
561247	340546	Brittany
561248	169545	Jenny
561249	251812	Solveig
561250	105100	Bronagh's Cousin
561250	120093	Mrs. Parker
561250	139456	Lady
561250	253058	Vashtii
561250	263446	Model
561250	340320	Mrs. Shakar
561250	402113	Model (1990-2000)
561251	169545	Crowd/Atmosphere
561252	106031	
561252	138132	
561252	150177	
561252	228030	
561252	333993	
561253	117960	Jennifer
561253	145071	Hooker
561254	342871	Cricketer
561255	282392	Dora
561256	35652	Aimee Young
561256	212624	Jennifer
561257	103366	Wake cryer
561258	133973	Joette
561258	223979	Katie Pommeroy
561258	337166	Additional Voices
561259	176415	Lady Golfer
561260	41987	
561260	51975	Inmate
561260	114291	Mrs. Bronson
561260	130775	Mrs. Probe
561260	203278	Miss Garner
561260	209599	Wardrobe mistress
561260	245457	Mrs. Miller, police woman
561260	330240	Miss Jordan
561260	348390	
561261	191432	Radio and Television Shows
561261	340707	
561262	58014	
561263	109617	Betty
561263	118957	Coed
561263	366974	Schaeffer's daughter
561265	272022	Madeleine
561266	302454	Dancing Girl
561268	45097	Little Girl
561269	314504	First Woman
561270	119888	Rosie
561271	70460	Watching Cop #1
561272	3148	Sheila Doel, Aged 12
561272	46067	Ruth Ashby
561273	11635	
561273	161172	Lindsey
561273	169882	Execution Witness #7
561273	195722	White Woman
561273	384808	
561274	6125	Julie Patz
561274	291295	Sally/Annie's Roommate
561275	340033	Hebe
561276	302878	Angela
561277	271860	
561277	277091	Sally Jo
561278	378867	
561278	381303	Joan Muggleton
561278	399816	Freda Fuller (1974-1975)
561278	407586	
561279	40730	Hooker
561279	58488	Cynthia
561280	202272	Girl of Poe
561281	372406	Gwen
561281	390152	Marisa Connelly
561282	407080	Herself (30 Days, Morgan/Balb
561283	75519	Nurse
561284	232037	
561285	46067	Jane Ashby
561286	20625	Extra
561286	190193	Girl
561287	317942	Driver of Car
561288	220042	Female Reporter
561290	48925	
561290	310150	Mimeh
561291	67139	Felice L'Hommedieu
561291	115692	
561291	141628	
561291	144994	
561291	145106	Myra Abbott
561291	160946	Jeanette
561291	179013	Angela Grinnelli
561291	185723	Maria Bonda
561291	209672	Herself, Olympe Bradna
561291	232040	Alyce Farrell
561291	280441	
561291	289236	Julie
561291	309579	Babsie
561291	309835	Malla
561291	315101	Steffi
561291	331317	Frenchy
561292	241467	Denise
561293	82438	Dr. Vanni
561294	194212	Mollie at 12
561294	359971	Charis
561295	265892	Party Guest
561296	111791	Girl #3
561297	205524	Alma-Rose
561298	34448	Laurel Pennington
561298	39407	
561298	220063	Paula
561298	243160	Melanie
561298	261041	Chambermaid
561298	383881	Sonya Morris
561298	389248	Joanne (1994)
561299	334757	Chorus
561300	358632	Debi
561301	234186	Mom
561302	81107	Martha Barlow
561302	321388	
561302	346076	
561303	86925	Jo Anderson
561304	391098	Herself
561305	11902	
561306	92514	Yvonne
561306	304339	(Gypsie) Rachel
561306	409578	Iris Murdoch
561307	363414	Runway Model
561308	26721	Bit
561308	56925	Girl on phone
561308	194256	Zarida
561308	196558	Bit part
561308	201641	Herself
561308	201742	Herself
561308	285095	
561308	297897	Redhead
561308	372433	Carhop
561309	224248	Hot Girl
561310	75360	Louisa
561311	148258	Melanie
561312	129582	Sherrie
561312	269400	Woman hostage
561313	37581	Hotel Girl
561314	326755	Giggly Girl #1
561315	27247	Lorna Rose
561315	120268	Herte
561315	209173	Sadie
561315	311702	Herself
561315	381121	Lorna Rose (Series 1) (1999)
561315	390523	Maria Watts (1991-94)
561315	391759	Lisa Fox: Gynaecological (lat
561315	408070	Kira
561316	207858	The Female's Co-Worker
561318	398185	Ingrid
561319	215563	Servant
561320	229113	Michelle
561321	17507	Anna Ayyob
561321	21538	Dora Leland
561321	22957	Vera Souroff
561321	28581	Jenny Pearl
561321	32209	Mrs. Henrietta Sherwood
561321	35180	Betsy Griscom
561321	35219	Louise/Beatrix Thorley (twins
561321	44711	Emily Griswold
561321	44952	Vivian Blaine
561321	47374	Lulu Hackett
561321	52431	Muriel West
561321	75272	
561321	77708	Mother/Daughter
561321	78862	Katherine Dereham
561321	79027	Ilda Barosky
561321	79677	Countess Natalya
561321	81075	Flora Farnsworth
561321	88163	Florence, Viscountess de Sall
561321	100859	
561321	110272	Sylvia Stone
561321	124718	Aunt Hortense
561321	127683	Princess Honore
561321	129839	Mrs. Struthers
561321	130623	Matilda Prentiss
561321	131719	Molly Malloy
561321	139780	Mrs. Biddle
561321	143164	Lola Gray
561321	143394	Arlette
561321	145811	Vi/Tiny Playfair (twins)
561321	152870	Gilberte Brigarde
561321	153206	Evelyn Murray
561321	157870	Molly O'Leary
561321	158281	Hetty Castleton
561321	159025	Charlotte Ordway
561321	169604	Minerva
561321	178893	Kate Tarleton
561321	183831	Henrietta (segment "Mom") Tub
561321	184434	Marya Nisko
561321	187960	Tiare
561321	188202	Aunt Ethel
561321	191917	Rosa Mascani
561321	197698	Katie O'Day
561321	200871	Adoree
561321	202645	Ada Cuppy
561321	205762	Drina Hilliard
561321	207774	Ellen Franklin
561321	211570	Aunt Hortense
561321	212102	Ghita Galin
561321	214474	Melba Shanks
561321	215525	Molly Prentiss
561321	215630	Miss Petticoats
561321	215780	Mary Dawson
561321	220905	Mme. Sonia Moro
561321	224136	Angelica Bullock
561321	230919	Cynthia Karslake
561321	241433	Mrs. Frost
561321	243232	Rosetta/Lola Gelardi (twins)
561321	245130	Florence Maddis
561321	270491	Mrs. Gordon
561321	274500	Dazil Mellows
561321	291329	
561321	293786	Sylvia
561321	300022	Laura Merrick
561321	302875	Mary Horton
561321	306208	Annette Leroux
561321	312122	Sybil Drew
561321	312795	Katherine 'Kitty' Lorraine
561321	324403	Jane Lawson
561321	329879	Barbara Allison
561321	331614	Mrs. Lyons/Pelican
561321	338222	Doris Shaw
561321	353843	Mimi
561321	362893	Bridget 'Bridgie' Drake
561321	363632	Isabele Corbyn, aka Bella Cav
561321	367418	Nellie Waldron
561321	367432	Jane Eyre
561321	367493	Viola Donizetti
561321	368533	Rita Charles
561321	372641	Abigail Clay
561321	374522	Mrs. Carter
561322	288632	
561323	327416	
561323	334370	
561324	130307	Granny
561324	236118	Neighbour
561325	109784	
561326	363490	Ballard Singer's Guide
561327	93293	Mrs. Neidlander
561328	26423	Jenny Williams
561329	227549	Starla
561330	312703	
561330	356661	
561331	45893	
561332	184898	Prostitute
561333	309718	Cons
561334	195837	Claire Fields
561335	10891	
561336	146814	
561337	116053	
561338	100844	Homeless Woman
561339	59405	
561339	75821	
561340	373538	
561341	19335	Servant
561342	11963	Mary Lou
561342	326744	History student
561343	9128	Passenger
561343	41337	
561343	240319	Couple Killed on Street
561344	403805	Rebekah Poole (1997-1999)
561345	240650	Talent Show Winner
561346	85021	Randi
561347	127292	Caroline Ashley
561348	79427	Bobbi
561348	347572	Bartender
561349	150075	Judge #2
561349	176741	
561349	311975	Rhoda
561351	105215	Barbara
561351	141454	
561352	195813	Selma
561352	231879	Short-Haired Lesbian
561353	342659	Dollface
561354	93250	Old Lady
561355	169474	Kirsty
561356	314459	Anna's Friend
561357	141678	Radiologist
561358	53778	
561358	294220	Sheila
561358	305351	Aunt
561358	323038	Maeve Farridy
561358	407190	Hotel receptionist
561359	46545	Linda
561359	100093	Woman
561359	178883	Mrs. Banks
561359	190135	Paula, Aubrey's Cook
561359	190280	Sharon
561359	206410	New Neighbor
561359	206884	Young Woman
561359	213046	Isabella
561359	224330	Druggy prostitute
561359	230442	Urgl (female gnome)
561359	254673	Ms Smith
561359	279295	Clare
561359	302322	Donna
561359	357385	Tess
561359	364818	Sheila
561359	382052	FDO Roberta 'Robbie' Cryer (2
561359	392880	Wife
561359	396580	Klepto
561359	398416	Dinah
561359	398703	Avril
561359	399069	Anna
561359	405048	
561360	81446	Angela Jahnsen
561360	116380	Ann
561360	141350	Marcella Duggan
561360	195551	Sheila Kelly Cloney
561360	197990	Aunt Anna
561360	200327	Kathleen Fitzpatrick
561360	267484	Jenny Meadows
561360	273943	Sister Josephine
561360	301637	Eileen
561360	368261	Vanessa
561360	369186	Cathy
561360	387541	Atia
561360	388345	Naoise O'Neill (2001-2002)
561360	399279	Ruby
561360	399590	Clare Somers
561360	400552	D.S. Rebecca 'Becky' Bennett
561360	402314	Maureen Boland
561360	404891	Flora Ryan
561361	6800	Sis Sheldon
561361	6886	Lucy
561361	60162	Martha Gilbreth
561361	70777	Judy
561361	124381	Judy
561361	177516	Lolly Taggert
561361	188577	Kathleen
561361	230390	Phillippa 'Flip' Gayley
561361	312981	Chris Teller
561361	313943	Joyce Matthews
561361	342901	Peggy
561361	368782	Lucy
561362	89338	Parsley
561362	222211	Robbie
561362	242077	Tammy
561362	381059	Dianne aged 17
561362	399130	Cody Willis (II) (1993-1996)
561362	401461	Nancy
561363	154804	Git's Girlfriend
561363	373928	
561363	386963	Abi Fletcher (2002-)
561363	389715	Herself - Co-host
561363	396120	Presenter (2000 -)
561364	20549	Dorothy Alison
561364	57099	Maxine
561364	65746	Helen
561364	77814	Bit Role
561364	117682	Laura
561364	139790	Ethel
561364	144764	Young Woman Aide
561364	165444	Girl at Party
561364	192065	Miss Hall
561364	213475	
561364	213976	Miss Williams
561364	221307	Bridgett
561364	292426	Saleswoman
561364	313321	Malibu Party Guest
561364	316132	Barbara Arnold
561364	318715	Crystal
561364	330141	Secretary
561364	346210	Agnes' Cousin
561364	346914	Miss Merlin
561365	186936	Annelise
561366	3919	Naomi
561367	186936	Gisela
561368	41178	Dr. Susan Leeds
561368	97419	Sarah Ogden
561368	186395	Marla Lawless
561368	232450	Ann Cody
561368	271364	Terry
561368	366906	Leslie
561368	374524	Astrid Kar
561368	396921	Rebecca Saunders
561368	397399	
561368	405209	Hilary Sturgess
561369	78766	Mother on Drugs
561370	189355	Second girl (segment "The Fam
561371	205933	Beth Moran
561372	156970	Delivery Doctor
561373	116226	Kate Weston
561373	277965	Hattie McKeever
561373	306482	Saloon Girl
561374	38599	Mrs. Wortle
561374	140544	Clara
561374	196306	Mrs. Gwyn
561374	264730	Mistress
561374	362234	Mrs. Bullett
561375	227024	Butch Guard II
561376	333192	Maggie
561376	398704	
561377	340280	
561378	183229	The Two Swans
561379	225476	Suzie
561380	80825	Photographer
561380	132223	Dina
561380	366756	Kyra
561381	107981	Anneliese(7 Jahre)
561382	81062	Dutch Villager
561383	163491	Ted Heath's Secretary
561384	35578	Concierge
561384	69381	Mourner
561384	117210	Pensioner
561385	138003	Additional Voices
561386	181116	Monika
561387	12048	Frau Bürgermeister
561387	31387	
561387	40398	Frau Murtus
561387	45977	Theres, Brandners Cousine
561387	86400	Isolde
561387	98068	Annamirl
561387	107981	
561387	120997	
561387	121929	
561387	125210	
561387	134817	Stanglbäuerin
561387	134833	Oberschwester Therese
561387	138506	
561387	140241	Frau Wilk
561387	142023	Frau Kneidl
561387	144155	
561387	170711	Frau Wurzl
561387	188774	Frau Manhard
561387	205544	
561387	208083	Gschwendtnerbäuerin
561387	219283	
561387	226177	
561387	237419	
561387	239014	
561387	239026	Frau Griesmeier
561387	254374	Die Wirtin
561387	259174	Mutter Tendler
561387	290173	
561387	290791	Straßbacherin
561387	294840	Mrs. Hemse
561387	303710	Anna Freudinger
561387	322513	Frau Berten
561387	325398	
561387	325555	Maria Böse
561387	335034	
561387	347702	
561387	358230	
561387	358540	
561387	361012	Frau Bürgermeister
561387	361050	
561387	367034	Viktoria
561387	374007	Witwe Bronwe
561387	386982	
561387	397765	Frau Schindlbeck
561387	409613	Frau Asslauer
561388	168166	Diner Waitress
561388	389072	Cashier
561389	124612	
561389	325437	Anne Liebelt
561389	325674	Rechtsmedizinerin
561389	395000	Martha
561389	399902	Inge
561390	345286	
561391	241615	Navigator
561392	241375	Older Shopper
561393	88400	Greta
561393	172655	Guðbjörg
561393	242873	Stefanía Lyngdal
561393	322392	Símadama
561393	347013	
561393	389597	Various
561394	63823	Angélica
561394	307640	Dolores
561394	337972	Cláudia
561395	1815	
561396	178119	Lidia
561396	369980	
561396	369981	
561396	404803	Rosário
561397	185095	Maybelle
561398	201989	Antoinette
561399	71449	Girl at Bar
561400	77157	
561401	86241	Car Woman
561401	380331	
561401	385024	
561401	396610	Silvinha (1997)
561401	402086	Cláudia
561403	4514	
561403	101791	
561404	97738	
561405	237381	
561406	132386	
561406	257128	
561407	324822	Woman Announcer
561408	52755	(segment "A Primeira Cama")
561408	188002	
561409	104198	Olga
561410	89777	Daniela
561410	258737	
561410	259208	Ismênia
561410	388565	
561410	391313	Helena
561410	397539	Dirce
561410	400097	
561410	400098	Lana
561410	402456	Clara
561410	403171	Sandra
561410	405454	Juliana
561410	408212	Maria Imaculada
561410	412258	Maria Isabel
561411	27943	
561412	104486	
561412	234620	
561412	246849	
561413	210694	Cantora de ópera
561414	57453	
561415	115779	Flora
561415	250987	
561415	385021	
561415	386212	Clarisse
561415	391674	Herself
561415	393573	Teresa
561415	397548	Cecília
561415	398501	Ana de Batista
561415	401900	Lídia Gonzaga Greco
561415	409937	Célia
561416	195117	
561416	344699	
561416	377617	
561418	2817	Herself - Presenter
561418	16668	Josephine Pogue
561418	29051	Victim
561418	50007	Regina de Catrvalho
561418	54334	
561418	56065	Maria Lúcia
561418	66222	Sandra
561418	77259	Solange
561418	90452	Dona Flor (Florípides) Guimar
561418	100106	Iris
561418	104499	Maria
561418	120481	Quixtla
561418	122767	Gabriela
561418	158419	Herself (at Cannes)
561418	169916	Lily Acosta
561418	178119	Leni Lamaison/Marta/Spider Wo
561418	185554	Loah
561418	203462	Emily Del Pino Pacheco/Robert
561418	205830	Tina
561418	210694	Marcela
561418	211878	Mestiça
561418	213751	Ruby Archuleta, Owner Ruby's 
561418	217994	Irene
561418	218719	Madonna
561418	219229	Carolina, a Moreninha
561418	219705	Sephora
561418	239926	
561418	253059	Irine Mancini
561418	281387	Liesl
561418	281512	Juana Morales
561418	289726	Celia Crouch
561418	291767	Nurka
561418	328922	Pablo's Mother
561418	332732	Tieta
561418	342799	Ana Puscasu
561418	380000	Berta Gonzalez
561418	384002	Gelly
561418	385629	Júlia Matos
561418	387830	Cinthia Levy/Camila
561418	388998	Brisa
561418	389153	Helena Silveira Sobral
561418	389165	Carlota Alvarez (1998)
561418	389643	Gabriela
561418	393005	Lídia
561418	404306	Marcina
561418	404798	Flávia
561418	406719	Maria Garza
561418	410191	Ana Maria
561418	411176	Jessica Lopez de la Cruz
561419	269570	
561420	20696	Mana
561420	168372	Ofelia
561420	384973	Clotilde
561420	386419	
561421	96519	
561422	315597	
561423	170866	Katla
561424	196806	
561425	171593	Isaure
561426	400096	
561427	145068	Helen
561428	7236	Doctor #2
561429	38618	Peggy Williamsen
561430	179323	
561430	260826	
561430	288424	
561430	304724	
561430	337466	
561430	344964	Yelena
561430	392551	Olga
561431	157036	Diner Patron
561432	363422	Mrs. Connell
561433	14964	
561434	207681	Wife #1
561435	337494	Herself (Juan Dixon's Tutor)
561437	337494	Herself (Juan Dixon's Girlfri
561438	107493	Queen/Mirror Image
561439	365425	Kathy
561440	279176	Trudy
561440	405679	Herself in 'The Labour Party'
561441	360146	Amy
561442	272532	
561442	290900	Queen Sophonisba
561442	313899	Elena Norton
561443	177319	Rachel
561444	269164	Tia Gema
561445	379504	Herself (Customer Service Man
561446	300994	Anja
561447	25285	
561447	261593	
561448	213676	
561449	10209	Elisabeth
561449	210931	Mrs. Rosen
561449	305877	Hilde
561449	360852	Berit Strand
561449	388307	Jannicke Haugland (1996-1998)
561450	290397	Mom at pool
561451	206631	Ellen
561452	266627	Girl in Woods
561453	8980	
561453	27750	
561453	29051	Rich Woman
561453	51783	(segment "Despejo, O")
561453	56241	
561453	104116	
561453	115794	
561453	120703	
561453	159014	
561453	205201	
561453	211878	Maria
561453	222159	
561453	222163	
561453	234622	
561453	246852	Baronesa
561453	252348	
561453	272890	
561453	292899	
561453	296314	
561453	344871	Bibi
561453	354212	
561453	383130	Condesa
561454	331621	Elizabeth Parris
561455	409281	
561456	299715	Bridesmaid
561457	88794	(segment "A Boca")
561458	24672	Yasmine
561458	132853	La pleureuse
561459	111871	La copine qui rit
561460	108472	Sekretärin
561460	125305	Rotkäppchen
561460	288433	Ellen
561460	290699	
561460	315768	Silvia F.
561460	376366	Birgit
561460	379322	Mrs. Brown (German version)
561460	379858	
561460	411313	Voice-Over
561461	101400	
561462	77204	Sita Dev
561462	411500	Jadu Wali
561463	27892	The Mother
561464	1711	Stewardess
561464	13596	Slaygirl
561464	46247	Jan
561464	92669	Hippy Girl
561464	123467	Constance Chatterley
561464	137964	Frieda
561464	252728	Footbal Fan
561464	264747	Girl
561464	298056	Miss Cawfield
561464	368928	Twittering Female on Moor
561465	344672	Maid
561466	139088	Senator's Assistant
561466	139170	Sexy Waitress
561467	847	Woman On Park Bench #1
561467	1744	Herself/Audience Member
561467	12093	Major's Wife
561467	66918	Woman Customer
561467	68097	Nana Moon
561467	76578	Betty
561467	96867	Herself
561467	117210	Mrs. Armitage
561467	132011	
561467	176893	Mrs. May
561467	178020	Graham's neighbor
561467	221245	Woman in Deckchair
561467	240504	
561467	365560	Miss Summers
561467	378675	Enid
561467	382379	Miss. Piper (1999)
561467	382771	Mrs. Bright
561467	382838	Molly Partridge (1984)
561467	384340	Florence Johnson
561467	385299	Winnie Plumtree
561467	387247	Victoria 'Nana' Moon (2002-)
561467	387533	P. Morphett
561467	395015	Mrs. Davies
561467	400109	Mrs. Bedwin
561467	405962	Polly
561467	407699	Aunt Rene
561467	407995	Mrs. Maynard
561467	409386	Bank customer
561468	390497	Herself (4th Edition)
561469	17141	Lucia
561469	29580	Tavern Reveler
561469	310217	
561471	40481	
561472	261106	Eldest Daughter
561473	33644	Florrie
561474	87926	Make-up Girl
561474	261106	Younger Daughter
561475	382572	Host
561475	395892	Herself (2nd eliminated, 28 d
561476	17928	Mrs O'Rourke
561476	139677	Josephine Laverty
561476	302954	Zarah
561476	382838	Heather's boss
561476	391766	Alison
561476	400258	Maureen Rizley
561477	212507	
561477	258483	
561478	243744	Deaf Boy's Mum
561479	110739	Lost Girl
561479	187811	Emma Milton
561479	408644	Emma Milton
561480	61954	Marie Forester
561481	37312	Science Teacher
561481	61183	Dr. Dorothea Carroll
561481	186650	Miss Cuthbert
561481	334308	Very British Woman
561481	346092	Mrs. Cavanaugh
561481	355669	Nurse #3
561482	67199	Herself
561483	114713	
561484	40250	Daughter #2
561484	59797	Dancer
561484	90409	Jill
561484	176503	Dancer
561484	326741	Dancer/Geeky Girl
561484	330177	Family Man's Daughter
561484	394406	Dancer (1984-1986)
561485	40556	
561486	234427	
561487	223932	Girl in Vintage
561488	392	
561488	1432	Ironman Leader
561488	40782	Mail-order bride
561488	67516	Carmen
561488	70897	Ursula
561488	102918	
561488	121298	Ironman Leader
561488	252719	Mizar Harrington
561488	322576	
561488	373277	The Maid
561489	367268	Mrs. Hughes
561489	391167	
561490	32339	
561490	55416	Italia
561490	56623	Elizabeth Cherry
561490	62154	Lady de la Haye
561490	62155	Lady de la Haye
561490	89842	Edith Dombey
561490	92282	Lady Berwick
561490	124267	Mrs. Driscoll
561490	124735	Duchess of Strood
561490	125532	Lady Broughton
561490	171330	Falder's Sister
561490	202850	Mrs. Armitage
561490	203298	Lady Kingsland
561490	206927	Widow Mather
561490	207229	Actress
561490	220072	Lad Cadby
561490	367661	The Wife
561490	368579	Claire Bennett
561491	174439	
561492	286471	Mrs. Hunt
561493	41890	Daphne
561493	315072	Kitty
561494	62861	Doctor
561495	263256	Mala
561496	77098	Bojana
561496	96137	
561496	290545	Madame Pouillet
561497	218857	Vrouwtje van Dalen
561497	350300	Dora
561498	81606	
561498	109563	Penny
561498	190069	Ingrid Fletcher
561498	194232	Doro
561498	224124	Julie
561498	242980	Dog's Home Secretary
561498	255285	The Maid
561498	281341	Herself/Audience Member
561498	387429	Gwen Lockhead
561498	387533	Sarah Foster
561498	390183	Eth
561498	390260	Ingrid Fletcher
561498	397098	Herself
561498	399383	Madeline Bray
561498	401929	Ingrid Fletcher
561498	404647	Vicki
561498	405448	Di (Pilot)
561498	408951	Cherry
561498	409357	Julie Renfield
561498	409660	Peggy 'Peg' Thatcher (1995)
561499	274679	
561501	97843	Frau Pasche
561501	144025	Woman at testing table
561501	194544	Lorelei
561502	16878	Linen Maid
561504	38659	Herself
561504	45880	Herself
561505	45880	Herself
561508	59301	Noémie/Malika
561508	68353	Ourdia
561508	101167	
561508	123005	Rachida
561508	193438	Nezha
561508	217630	
561508	229052	Yaëlle
561508	245483	Elsa
561508	261000	Pauline
561508	345312	Herself
561509	94509	Dubravka
561509	95689	
561509	249886	
561509	339336	Suok
561510	211359	Samantha
561511	351255	Herself
561512	48939	The Flower Vendor
561512	251979	University Placement Clerk
561512	296733	First Lady
561513	190705	Waitress
561513	245498	Miss Hopkins
561514	192682	Ella
561514	274284	Red Rock Hospital receptionis
561515	63342	Dorothy
561515	333691	Violet
561517	147521	Beauty Queen
561518	53220	Opfer
561519	26884	Teiresia's escort
561519	100300	Mother
561519	238803	Taxichaufför
561519	326518	The inn host's daughter
561519	348985	Kassörskan
561519	350978	Lena
561520	25038	
561520	54844	
561520	55082	
561520	73274	
561520	80333	
561520	196748	
561520	223612	Amilamia, as a girl
561520	252545	
561520	277390	
561520	385415	
561520	397305	Aurorita
561520	400655	Mireya
561520	401088	Gina
561520	405398	
561521	21710	
561521	30404	
561521	42949	
561521	50144	
561521	54081	
561521	103938	
561521	206674	
561521	209298	Young girl in the group
561521	217084	
561521	221699	
561521	246423	
561521	277381	
561521	278427	Leona
561521	292926	
561521	354047	
561521	373576	
561521	387170	
561521	387825	Gaby
561521	388094	
561521	401668	
561522	396132	Carmen
561523	83380	Employée Sardinerie
561524	130699	Gina Jordan
561525	384618	
561526	39564	Kaitlin
561526	273480	Student
561526	277044	Betsy
561526	358658	Alyssa Erickson
561527	20477	
561527	338823	Felinid Crew
561527	390195	Herself - Hollywood Reporter 
561527	408555	Herself - Presenter (1989-199
561529	215601	
561530	107947	
561531	44813	
561531	51855	Lady
561531	65964	Paula
561531	129103	
561531	154581	ATS Corporal
561531	193768	Mrs. Hilton
561531	194173	
561531	196067	Susie
561531	222583	Maria Flame
561531	283349	Jane
561531	315083	Miss Simpson, receptionist
561531	323446	Nurse
561531	334159	Secretary
561531	360551	Mrs. Maling
561531	364796	
561532	192558	Herself - Background vocals
561533	56877	
561533	90932	Bartender
561533	109142	Herself
561533	209417	Herself
561533	350463	J. Hovah's singer
561533	403765	Bonnie Watkins (1991-1995)
561534	233840	Jake Steel Groupie 1
561535	67101	Her friend
561535	94601	Doris Wrigmint
561535	115631	Phyllis Faraday
561535	360358	Sara Schmidt
561536	317403	Mae Norton
561537	33706	Annette
561538	189825	Anna
561539	2149	Maaake-up Girl
561539	8945	Lover in Alleyway
561539	70883	Carol
561539	120477	Janet Tipping
561539	193099	Shop Assistant
561539	248116	Girl in Bed
561539	399379	W.P.C.
561540	295853	Herself
561541	163986	
561542	185624	Bar-Back Chick
561542	277083	Mindy
561542	289203	Bunny
561543	264914	
561544	107750	Bibliothekarin
561544	126135	Susan
561544	134464	Aushilfe
561544	341171	Marianne Wegener
561544	365602	
561544	376292	
561544	386906	Marie-Luise Flanitzer
561544	395001	
561545	386961	Mrs. Tudge
561546	84279	
561547	180705	Ted's Secretary
561547	226504	Michelle
561547	257132	Ruby
561548	69409	Molly Lawton
561548	226504	Estes' Girlfriend
561548	340540	Anchorwoman
561549	17978	Lily Thompson
561550	2324	Vendeuse
561550	258321	Celeste
561551	34135	Narrator
561551	38827	Ellen Flor
561551	51935	Ester Jensen
561551	92947	Kammerpigen Karen
561551	102497	Frk. Emma Wang
561551	121022	Julie
561551	155124	Herself
561551	170352	Herself
561551	198052	Dagny, Klaus' kone
561551	214547	Hanne Reimer
561551	226108	Susan Høyer
561551	239454	Else Borgholm
561551	264918	
561551	322461	Lisbet Jepsen
561551	336058	
561552	36685	Pauline
561552	115700	
561552	134980	Anita
561552	168435	Margaret
561552	219346	
561552	281717	Heather Barlow
561552	288244	Francoise
561552	343499	Paulette Vernejoux
561552	364907	Iris
561552	389569	Narrator
561552	392086	
561552	396874	Inge Busch, geb. Kranz (1992-
561552	404169	
561552	406828	Lydia Grabowska
561552	409860	
561553	166940	Roommate
561554	394197	Lisa (episodes 1-18, 21-24)
561555	39842	
561556	39842	
561557	10152	Margaret Hoggin
561557	113303	Colin's mother
561557	342880	Rhea
561557	400516	Beattie
561558	187060	Leentje
561559	351809	
561560	189860	Herself
561561	273076	
561562	105134	
561563	72973	Ragazza al telefono
561564	214854	Annamaria
561565	66913	Stephanie Pinski
561565	382242	Melissa
561566	161538	(segment "Tramonto")
561567	48935	Miss Chester
561567	326484	
561568	183488	Girl at Dinner
561569	80901	Judy
561570	122692	Pamela
561570	267339	Waitress
561570	323956	Herself
561571	253058	Natasha's Children
561572	80825	Julia Fielding
561572	105423	Lorna/Tam
561572	350281	Jezebel
561572	366755	Nun
561573	28558	Nettie
561573	73223	Sandy
561574	42056	Soul Food Chorus
561575	216639	Ms. December - Ice Hockey
561576	1738	Herself
561576	1743	Herself
561576	2399	Herself
561576	2573	Presenter
561576	2719	Herself
561576	150075	Instant Tang DJ
561576	208475	Herself (#20) (Interviewee)
561576	221435	Herself
561576	221482	Herself
561576	234150	Herself
561576	249592	Performer
561576	318742	Herself
561576	388232	Herself
561577	190783	Sister Elizabeth
561577	319760	Mrs. Purvis
561578	102733	Art Student (episode "Model S
561579	142383	Silver Steele
561579	232318	WAAF Hawkins
561579	287259	Janet Brown
561579	321706	Maid Marian Fitzwalter
561580	1787	Skinny Woman
561581	57735	Stargher's Victim
561581	131347	TV Newswoman
561581	157655	Admiral Kentz's Secretary
561581	168586	R.N.
561581	256632	Giselle
561581	332402	Redhead
561581	401930	Mary Margaret 'Paige' Barring
561582	288088	Julia
561583	206943	Maybelle
561583	309846	Sida, Servant
561583	318607	Churchgoer
561583	350484	Edith Brown
561584	92491	Blanche
561584	309526	Ella Fitzgerald
561585	307639	
561586	78613	
561586	400837	
561587	340191	
561588	74561	Bianca
561588	153332	Maria Eugénia Arriaga
561589	18504	Anuska
561589	171366	
561589	252638	
561589	309262	
561589	352252	Lea
561589	403032	Princess Olímpia Boncompagni
561590	26992	Garage Sale Girl
561591	14972	Inez
561591	235352	Footman
561592	197409	
561593	360741	Ruteledge Child
561594	83387	La comédienne qui joue Sonia
561594	176891	
561594	238464	La danseuse
561594	294607	Dancer
561595	188977	Sue Bryson
561596	226180	
561597	329308	Herself
561598	124795	
561599	11783	
561599	99183	Metzgerin
561599	107734	Helga
561599	169121	Frau Reintaler
561599	301035	
561599	369419	
561600	306051	Kiev String Quartet
561601	336191	
561602	360741	Ruteledge Child
561603	11559	Herself
561603	37336	Herself
561603	63076	Herself
561603	68097	Herself
561603	68108	Herself
561603	68112	Herself
561603	73923	Linda
561603	88658	Interviewee
561603	96867	Herself
561603	108431	Herself
561603	145058	Presenter
561603	152584	Reality
561603	252995	
561603	273348	Narrator
561603	311703	Herself
561603	328801	Celebrity Participant
561603	334418	Herself
561603	362346	Herself
561603	382646	Herself
561603	384169	Herself
561603	384715	Herself
561603	384748	Presenter
561603	389505	Herself
561603	391205	Herself
561603	392016	Herself
561603	392049	Herself (host)
561603	393558	Herself
561603	393559	Herself
561603	393560	
561603	395624	Herself
561604	102592	Various characters
561604	127401	Ann Brown
561604	390767	Pink Cloud
561604	407396	Actress
561604	412071	Anna Maria Verdugo (1958-1959
561605	206210	Herself
561606	244679	
561607	1091	Lany
561607	95472	Amber Jade
561607	263391	Angela
561608	94311	
561609	47379	Herself
561609	168525	Herself (interviewee)
561609	248182	Herself
561609	350534	Nanny
561610	1898	Bag Lady
561610	330122	Doris Stuckling
561611	77796	Walker
561611	80066	Nancy Bishop
561611	158791	Second Woman
561611	183730	Wendy
561611	206595	
561611	275791	Tearoom Hostess
561611	276729	Kitty
561611	338297	Genie
561612	145022	Hayley
561613	197577	Corinna
561614	351829	
561616	29517	
561616	78576	Iara
561616	82525	
561616	122767	Bataclete 1
561616	363436	Eagle Woman
561616	378940	Laura
561616	385025	Vanda
561616	404220	
561616	405990	
561617	122820	Branca
561618	30442	Wendy
561619	55163	Female Cop
561619	179005	Tänzerin
561620	357302	
561621	372112	Mrs. Powellson
561623	17927	Stewardess
561624	128756	Herself
561624	150049	
561624	182101	Berit, Gun's Sister
561624	394925	Sister-in-law
561625	292676	
561626	412043	Klant
561627	11256	Information Kiosk Girl
561627	236947	Iva Wiggle
561628	148819	Journalist
561629	65043	
561629	108133	
561630	126346	
561631	350377	
561631	394612	Patricia van Wijngaarden
561632	272478	
561633	119180	Lady Tramp
561634	147534	Principal Model
561635	313425	Frau Humperdink/Wolfgang/Pupi
561637	359461	Vera
561638	159671	
561638	271631	kreivitär Hedvig Örn
561638	272835	rouva Ebba Hjelm o.s. Reuterc
561638	333064	
561639	198062	Solveig
561639	376282	Helga, Tochter von Clothilde 
561640	303611	Dit McCoy
561641	83561	Wet T Shirt Girl
561642	11814	
561642	119256	Hannibal Bronsky: Känguruh
561642	319736	Ennos Assi
561643	213575	Biip-Bo
561643	401224	Maria
561644	153779	
561645	48013	Margaret Gubbins
561645	152722	Crone
561645	259778	Miss Tarbell
561645	270803	Nurse
561645	294079	Patient
561646	62579	Prison Guard #1
561647	127292	Sarah
561648	183132	Herself
561649	242705	Salamifrau
561650	13094	Ursula (segment "La grande co
561650	14837	
561650	28779	Armenia
561650	60121	La moglie de Miscia
561650	67835	Catherine
561650	94656	
561650	114332	Gloria, Inzerna daughter
561650	175101	Mandy Rice-Davies
561650	204129	
561650	206955	
561650	240301	Swedish Vamp
561650	269075	Helen
561650	270852	
561650	300828	
561650	315424	Miss Elizabeth
561650	375217	
561651	363416	Herself
561652	302965	Professor Hulpje 8
561653	210090	
561654	6879	
561654	50795	
561654	57061	Herself
561654	89478	
561654	267094	
561654	365676	Herself
561654	372090	
561655	6734	Quirina
561655	86334	(segment "Non desiderare la r
561657	166598	
561658	103326	1st Band of Thieves/The Resis
561658	159164	Beloch's Army
561659	217757	
561660	77364	L'infirmière
561660	134081	
561660	149128	Segretaria di Anselmi
561660	211366	
561660	277785	Dany, la barmaid
561660	277927	La secrétaire
561661	270034	Poppaea
561662	122584	Tina
561662	219262	Morgen
561662	335359	Girl
561664	261449	Kid
561665	307395	Ida Nivens
561666	160322	Beth
561667	242980	Laundry Lady
561668	229167	Mona Stadler
561670	196387	Rita's Mother
561672	164637	First Little Girl
561673	65202	
561673	195689	Kahidijah
561673	248160	
561674	196387	Father's colleague
561675	190930	Corky
561676	123150	
561676	135110	Yoyita
561676	284899	Doña Angela
561677	37113	Katie Bannion
561677	50096	Mrs. Riley
561677	59826	Mrs. Briggs
561677	62055	Lt. Ellen Wilkins
561677	78882	Mrs. Ritter
561677	106077	Mrs. Ryker
561677	131506	Mrs. Hemmings
561677	217600	Barbara Bennett
561677	220552	Mama Popchik/Mrs. Updike
561677	232370	Laura Fraser
561677	269674	Mrs. Hunnicutt
561677	313596	Mrs. Harvey
561677	314412	Lily Kirby
561677	327772	Corinne Michaels
561677	344167	Emma Atkins
561677	364692	Mrs. Crumpe
561677	396088	Anna Krakauer (1966-1967)
561678	25794	
561678	27885	
561678	44197	Mabel Saénz
561678	49443	
561678	51307	Mónica
561678	70114	
561678	79133	
561678	80139	Leonor
561678	81694	Mirta
561678	96358	
561678	124586	
561678	131972	
561678	140575	
561678	148028	
561678	162803	
561678	169778	Betty
561678	215589	Perla
561678	234430	
561678	249387	Luisa
561678	251339	
561678	255481	Amalita
561678	267298	
561678	269572	
561678	294352	China
561678	296471	
561678	370079	
561678	376792	Tina
561678	380840	
561678	380947	
561678	383032	Silvina de Giménez-Alzaga
561678	384782	Alicia Scala
561678	385852	Cristina
561678	387906	Fefa
561678	393799	
561678	396608	
561678	396860	Betty
561678	397580	Daniela
561678	398842	Chela Fernández
561678	399575	
561678	400488	Teresa
561678	404986	
561678	406051	Amparo Jorgelina Soto de Here
561678	410155	
561681	37683	Amy
561681	48935	Lauren Beatty
561681	375250	Sherry
561682	91003	
561683	370117	Stripper#2
561684	190088	Alice
561685	87871	Mme. Duprez
561686	311209	Computer Technician
561687	253379	Mrs. Deacon
561688	98906	Lee's Girl
561689	79006	
561690	278670	Gretchen
561692	245999	First Lady
561693	79440	Jenny Finch
561693	187343	Teenage Girl
561693	194406	Mildred
561693	380391	Harriet Sullivan, R.N. (1972)
561693	400236	Cathy Craig Lord (#3) (1971-1
561694	106217	Lisa
561695	32122	Chloe Higgins
561696	45980	Herself
561697	682	Young Vickie
561698	30621	
561699	365509	Ulama Girl
561701	244933	Nancy Jane
561702	395335	Herself
561703	370035	Rosa Diaz
561705	162346	Valeri Zuyeniko
561705	249914	
561705	285206	
561706	45980	Himself (archive tape recordi
561707	121774	
561708	8081	
561708	40497	Supervisor
561708	54827	Weeping Woman
561708	59350	Inmate
561708	77205	Harriet Vanstone
561708	133678	Old Lady at Funeral
561708	187086	Old Lady
561708	333759	Maggie Brown
561708	339362	Martha Willoughby
561708	366900	Mrs. Parkin
561709	177203	
561709	294997	
561709	380106	
561709	403023	Tati
561710	137597	Halka
561711	136822	Chorus - soprano
561712	153160	
561713	298173	Pilot's Girl #2
561714	152930	Tara
561715	5671	Marina
561715	11764	
561715	123326	Mme. de Cominges
561715	124438	Moeder van Jéjé
561715	141734	
561715	179039	Moeder Marjan
561715	187049	Dory
561715	204573	Joke van de Wall
561715	231701	
561715	238476	Valerie van Amerongen
561715	269750	Dory
561715	337886	Non Everarda
561715	344235	
561715	357389	Margreet
561715	360853	
561715	381717	
561715	393184	Koningin
561715	394602	Thea
561716	359744	Rosa
561717	252424	La baronne Brandstetter
561718	358846	Miss Måneskin-pige
561719	278841	
561720	365607	
561721	152751	Beryl Vendeleure
561722	241375	Robin
561722	393888	Joy Foy
561723	28779	Armenia
561724	194647	Trudy
561725	120968	Frida
561726	197138	Ottilia Asterblad
561727	203665	Dr. Tess
561727	366820	
561728	37012	Gina
561728	256188	Pink Chiquita
561728	273496	Kelly ('All's Well that Ends 
561728	291452	T & A Cheerleader, Chesty's f
561729	328155	Nhinhinha
561730	291580	
561731	26877	Nono
561731	69456	Natasha
561731	210673	The Director (lead)
561731	274019	Rachel
561731	298284	Nikki Reynolds
561732	283444	
561733	1792	Miss October 1987
561733	53320	
561733	257646	Miss November
561733	257684	Herself
561733	257841	Miss October 1987
561733	257859	Herself
561733	332402	Cocktail Waitress
561733	360668	Serena
561734	23886	Wetti
561734	156983	
561735	55538	Herself
561735	72111	Girl Singer
561735	97765	
561735	102703	Woman watching sex show
561735	292396	Dancer
561736	51404	
561736	207884	Dora
561736	225957	
561736	277909	Pleading Woman
561736	281230	
561736	290114	
561737	156324	
561738	256361	The Girl
561738	294174	The Girl
561739	101126	Sven's mother
561739	115393	Ellen
561739	153199	Vera Lindberg
561739	154502	Tourist
561739	162627	Berit, Mrs. Larsson
561739	165165	
561739	170710	Bodil
561739	176770	Lasse's Mother
561739	182101	80-year Old Lady
561739	187634	
561739	264279	
561739	345937	
561739	357749	Emelie
561739	390854	Gustava Sinclaire (segments 1
561739	394744	Ester Bergman
561739	398195	Aunt
561739	402881	Farmer's wife
561739	405822	Saga
561740	94141	Queen Pompare
561740	220831	Miss Hoadley
561742	187526	
561743	4507	Service
561744	286117	
561745	189338	Lisette
561746	59789	Bit part
561747	25116	
561747	31168	Mother Superior
561747	66986	Shirley
561747	110342	Walder's Secretary
561747	114044	Surgical secretary
561747	116330	Alice
561747	130049	
561747	131534	Mrs. Levine
561747	146769	Ida
561747	150468	Old Woman in bus
561747	166073	Aunt Tillie
561747	222601	
561747	223931	Mrs. Salsky
561747	239033	Mrs. K
561747	269427	Mrs. Rondi
561747	293961	Wedding Dressmaker
561747	298266	Bernice
561747	348386	Aunt Ida
561747	362837	Housekeeper
561747	387152	Mrs. Gordon (1983-1984)
561747	393878	
561748	5593	
561748	230229	
561749	92541	
561749	99528	
561749	151824	
561749	225222	
561749	249737	
561749	253758	Death
561749	290256	
561750	215178	Girl in bar #2
561751	304022	Tina
561752	380680	Herself - art expert
561753	167153	Mädchen
561754	23699	
561754	109524	Mrs. O'Rourke
561756	386807	Herself
561757	12539	Frau Natterer
561757	93406	
561757	122631	Die Riesler Magdalen
561757	200979	Grandmother
561757	226181	
561757	254374	
561757	325555	Frau v. Paulus
561757	325721	Resi Tant
561757	325918	
561757	338376	Lene von Pechstein
561757	367025	
561757	369406	
561757	376577	
561757	397765	Tante Josefa
561757	408490	Tante Resl
561758	245275	Ford's Secretary
561759	240299	L'étudiante
561760	337382	Martina
561761	178593	
561762	137902	
561763	412298	Hanne Flindt
561764	41993	
561764	55278	
561764	66923	
561764	146784	
561764	295631	
561764	296320	
561764	368983	
561765	188002	
561766	186199	Sexy
561766	391472	Krankenschwester Lydia
561766	409958	Stefanie 'Steffi' Sander (# 2
561767	399847	Herself - Landbrugsmedhjælper
561768	128079	Kumlin
561768	132431	Elsa
561768	149242	Elisabeth's Friend
561768	153766	
561768	162627	A young woman
561768	264279	
561768	393273	Lillemor Falck
561769	234948	Tilde
561770	386785	Peta
561770	397591	Mónica
561770	408591	
561771	259651	
561771	312654	Doreen
561772	81604	Woman driver
561772	183608	Gladys
561773	94256	Annika
561773	411580	Monika, Xerxes' sister
561774	28481	Extra
561775	232676	Addy's Friend
561775	343201	Background
561776	92737	Carol Freeman (victim)
561776	121829	Ziegfeld Girl
561776	142333	Miss Zalamar
561776	157771	Amazon #6
561776	185505	Fred Johnson, GGI Agent
561776	192503	Blonde
561776	219901	
561776	311230	Bit Girl
561776	311530	Clerk
561776	366780	Anastasia
561777	64917	Kim Furillo
561777	78530	Marianne, Dalton's Late Girlf
561777	159262	Secretary
561777	197490	Thora
561777	202322	Sara
561777	339650	Freida LaSalle
561777	389735	Amy
561778	238714	Girl with bouncing ball
561779	155912	
561780	406318	Jule Peterson (2002-)
561781	105256	
561782	168286	Neva
561783	14420	Grandmother
561784	19601	Brandy Beechwood
561784	80660	Hostess/Beautiful Girl/Woman 
561784	139301	
561784	312703	
561784	326726	
561784	393599	Herself (eliminated round 2)
561785	53208	Party Girl
561786	29524	Aerosmith
561786	68001	Tina
561786	84889	Janie Magray
561786	89325	Gabrielle
561786	130044	Reanne
561786	137689	Jamie Lloyd
561786	147833	Samantha
561786	155005	Alice
561786	196844	Betsy
561786	210960	Jackie Hayes
561786	265731	Kathleen
561786	283426	Andrea
561786	362312	Band Member 1
561786	367253	Angeline Bacarri
561786	411342	Angeline Bacarri
561787	34800	
561787	102711	
561787	239004	
561787	272430	Gina the Roommaid
561787	310189	
561788	45888	A Rainha
561788	201145	Amália
561788	211666	Lurdes
561788	237502	
561788	272479	
561788	349750	Eva Sigar
561788	351934	
561789	269530	
561790	388721	
561791	379822	Noêmia
561791	380329	Leonor
561791	380612	Fani
561791	381263	Helena
561791	383276	
561791	383677	Dedé
561791	386252	Emília
561791	387324	
561791	392846	Ofélia
561791	393876	Mariana
561791	396809	
561791	397198	
561791	397804	
561791	398249	Helen
561791	398255	
561791	398502	Baby
561791	400597	Isabel
561791	401482	
561791	401979	
561791	402266	Celina
561791	402568	
561791	404271	Mariana
561791	407800	Henriqueta Terra
561791	407856	Paula
561791	410053	
561792	339271	
561793	411585	Severina
561794	53258	Rainha D. Catarina
561794	86928	
561794	197981	Joana
561795	395302	Maria
561797	385252	Sor Piedad
561797	404988	
561798	16655	Peace
561799	157324	St. Jude Student
561800	261434	Ash's Maid
561801	119078	
561802	261528	Little Girl
561803	61715	
561803	270595	Becky
561804	114017	River Museum Guide
561805	40276	Blanche
561805	132236	Glossia
561805	160979	Sister Clara
561805	167156	
561805	173108	
561805	281698	Rosalie
561805	375179	Celinka
561806	97541	Jewish Little Girl
561807	82274	Mrs. Blumenthal
561808	380391	Hannah Moore #2 (1998)
561809	233332	
561810	96337	
561811	233332	
561812	107483	Interviewee
561813	958	Herself - Presenter
561813	27033	Kate Lawrence
561813	82541	Monica
561813	192770	Herself
561814	90072	Donna Anna
561815	174088	Ernstthalerin
561816	16438	Angie
561816	44672	
561816	230229	
561816	250717	Magda
561816	281834	Journalist
561817	116536	Angy
561817	390523	Miss. Susan Peterson (1980-19
561818	390388	Milica Jaksic, Petrova i Maci
561819	112005	John's Mother
561819	158406	Kevin's Mother
561820	393880	Mona Jitter (Series 3) (1998)
561820	411778	Poppy Meldrum
561821	10674	Alice Liddel
561822	312904	Amber
561823	312904	Monica
561824	52828	
561824	381436	Laura Surrett (1991-1993)
561825	312904	Elizabeth
561826	296995	
561827	343569	
561828	323797	Herself
561829	27263	Arguing Woman
561829	154822	Policewoman in Alley/Snakewom
561829	295674	Lola
561830	12213	Mrs. Roshak
561830	157824	Blair Lipton
561830	278279	Annie
561830	389858	Betty (1991)
561831	6800	Bernice Eckert
561831	75889	Fredonia Jannings
561831	114862	Catherine Briggs
561831	128319	Nurse Wells
561831	190179	Model
561831	220830	Tri Gam Coed
561831	323389	Casey
561832	222136	Seductress
561833	223752	Staci
561834	80382	Misty
561834	176920	Sara
561835	11050	
561835	26855	Mrs. Barnes
561835	37978	Ethel Woodby
561835	47118	Daughter
561835	66187	
561835	92157	
561835	142982	
561835	143199	The Friend
561835	157935	The Doctor
561835	187136	
561835	188584	
561835	191531	
561835	191970	
561835	196102	Milly
561835	210425	Isobel McIntyre
561835	215238	Mrs. Silverman
561835	215649	
561835	215956	Employer
561835	220635	
561835	220965	
561835	221150	
561835	221156	
561835	239838	Aunt Betsy
561835	245146	Marjory Lawton
561835	247210	
561835	279346	
561835	289968	
561835	306015	Mrs. Ransom, Tom's Mother
561835	312899	
561835	331662	
561835	359480	
561835	361277	Female Attendant
561836	114694	Kate
561836	263887	Janet Combs
561837	280128	
561838	154428	Rust
561839	5028	Gloria
561839	5092	Sonia
561839	96994	Wendy
561839	148523	Betsy
561839	171690	Receptionist
561839	274119	Waitress
561839	277801	Secretary
561839	323568	Tennis Club Receptionist
561840	58464	
561841	15231	Elizabeth
561841	195480	Kaylie
561841	196131	Tammy
561841	199463	Flight attendant
561841	278187	Lisa
561841	305651	
561841	313207	Ens. Ali McGinty
561841	362426	Lulu
561841	400236	Georgie Phillips (1997-1998)
561842	366753	Diana
561843	19786	Sombra
561844	70006	
561844	215303	Béatrice
561845	358607	
561846	17197	Heavy Set Cadet
561847	46740	Carol Gates
561847	254995	Mama Berniece
561847	316979	Head nurse
561848	348006	Herself (horse sculptor)
561849	329094	Party-goer 1
561850	79038	Becky
561851	68072	Jake's lover
561852	150425	Dody
561853	338242	
561854	342402	
561855	62269	Jivin' Jill
561855	218782	a Jivin' Jill
561855	250724	Jivin' Jill
561856	7446	Drumont
561856	270620	Koury
561856	339476	Monsieur Jenner
561857	403537	Participant (2001)
561858	292251	Ina, as child
561859	105307	Mrs. Wade
561859	143935	Mrs. Latham
561859	185545	Girl
561859	365712	Mrs. Waker
561860	408335	Asta
561861	98069	
561861	107349	
561861	122563	Maria
561861	214067	Elfi
561861	248387	Susanne
561861	249691	
561861	322522	Anni
561861	376388	Traudl
561862	16658	Mary Barlow
561862	17944	Julie Schofield
561862	37167	Marion Castle
561862	76526	Susan Lyons
561862	81776	Ellen Beiderman
561862	91769	Miss Halliwell, Prosecutor
561862	93325	Jane McAllister
561862	100754	Waitress
561862	113267	Fran
561862	114606	Kate
561862	115252	Peg
561862	118466	Eileen McWhirter
561862	140315	Diane
561862	154108	Diane
561862	190247	Elizabeth Watson
561862	211382	Special Ed Teacher
561862	264146	The Mother
561862	280478	Brenda Granger
561862	280993	Stacey
561862	290086	Mrs. Munson/Attractive Woman 
561862	298444	Jean
561862	299471	Neely Pritt
561862	359753	Mrs. Montgomery
561862	364161	Jessica's Performance Model
561862	389416	Jan Armstrong
561862	392644	Diane Cousins
561862	395736	Mrs. Errol
561862	404645	Jessie Beckett
561862	408650	Dr. Jennifer Seymour (1989)
561863	64824	Bunny, Dancer, Fan
561863	167117	
561863	334410	Referee
561863	381522	Additional Voices (1996)
561864	26763	Ellen
561865	94115	Dancer
561866	329986	Ab-Doo-Doo Instructor
561867	199292	One of 'The Girls'
561868	79151	Alice
561868	109446	The Girl
561868	285124	Alice Roland
561868	364036	Alice Norris
561869	10746	Lady of the Court
561870	9389	Mrs. Quantrill
561871	349509	Cafe Waitress
561872	75531	Herself
561873	4689	
561873	5286	
561873	77432	
561873	228016	Herself
561873	228071	
561873	349969	
561874	237261	Petra
561874	404967	Lisa
561875	112926	
561876	344578	
561877	10373	Antique-store-keeper
561877	13640	
561877	180313	
561877	261220	
561877	392004	Mirto Foka
561878	15041	Myléne
561878	84695	Sarah
561878	136645	La femme au chien
561878	370043	L'infirmière clinique Lamauve
561879	43606	Diplomat's Daughter
561880	401023	Herself - Patty's daughter
561881	186575	Marguerite
561882	40280	Nun
561882	54250	Cécile
561882	83379	Juge
561882	104241	Jeune Femme
561882	112880	Janine
561882	186575	Marguerite
561882	217827	Woman teacher
561882	300670	
561882	333460	Yvette
561882	345501	Martine
561882	377985	Josiane
561882	379846	Anne
561883	71380	Mother
561883	238427	Valerie
561883	378838	
561883	381907	Herself - Host (2001)
561883	382673	Herself - Host
561883	389632	Herself - Host
561883	400215	Herself - Host
561883	401022	Herself - Host
561883	401023	Herself
561883	409397	
561883	410537	Singer'LUV'
561884	30253	
561884	132775	
561884	295211	
561884	357117	
561885	67901	Luisa
561885	89854	Girl (segment "La domenica sp
561885	92122	Nicoletta
561885	168739	Maria
561885	201578	Herself
561885	212479	Anna
561885	219830	Jessica Rossetti
561885	224813	Luisa
561885	245801	Giovanna
561885	249903	Graziella Chiarcossi
561885	255122	Nina
561885	256348	Blue Fairy
561885	293342	
561885	298321	French Woman
561885	308400	Jacqueline
561885	309375	Marta
561885	332925	
561885	341373	Maria
561885	355660	Dora
561886	404282	Aurora De Angelis (1992-1993)
561887	167708	Irate Woman
561887	194823	
561887	301842	Dancer Fifi
561888	80930	Noami
561890	164400	Middle Sister
561891	312018	
561892	134694	Radio Man's Wife
561892	208936	Mrs. Watson
561892	304553	Jenny
561892	387309	Virginia Dalton (1957-1958)/M
561892	404613	Eunice Gardner Webster Twinin
561893	283501	Patsy Carrington
561894	197706	Reporter
561895	148886	Restaurant Patron
561896	18015	Tony's Blonde Date
561897	69773	Christmas Caroler
561898	198838	
561899	34284	
561900	294887	
561900	302538	Maria
561901	89397	Lydia
561902	265306	
561903	352458	
561904	88011	
561904	99787	Woman
561905	57465	
561906	308273	
561907	104130	
561907	275025	
561907	377617	
561908	24172	
561909	209236	Extra 2
561910	398468	Herself - the chef
561911	188352	Signe
561911	203969	Charlotte Emelie
561911	264050	Maid 2
561911	309292	Frederikke Uldahl-Ege
561912	227735	Else Christensen
561913	19739	Girl Midget
561913	55417	Midget
561913	59599	Tiny
561913	118740	Singing voiceover
561913	192032	Herself
561913	213453	Lavinia Thumb
561913	300330	Mary as a child
561913	303378	A Neighbor
561914	246444	
561915	35039	Janine Köhlermann
561916	228246	Herself
561918	168735	Voice of Performer
561919	27153	Lindsay Anne Wickman
561919	55507	Lindsey
561919	155890	Ella (segment "2000")
561919	283546	Brooke Pryce
561919	301974	Young Julie Patterson
561919	324951	Lisa Snow
561919	326604	Julie
561920	92045	Odile, daughter of Rose-Alma
561921	65085	French Sue
561921	193433	Carole Massé
561921	237392	Hanako
561921	250380	Bernadette
561921	259870	Lucie Champagne
561921	383002	Francine Juneau
561922	337033	Comédienne sur la place/Prost
561923	195184	Julie
561924	4944	Mindi Hunter
561924	42721	Sandra
561924	54689	Dr. Baker
561924	75547	Tiffany
561924	75806	Pleasure Unit #1
561924	82660	Tanya
561924	83663	Michele Parker
561924	219129	Shayla
561924	261426	Trina
561924	272135	Kelly
561924	272405	Barbara Phillips
561924	309135	Mrs. Annie Latarga
561924	315544	Mitchell
561924	332169	Angela
561924	338771	Miranda
561924	359767	Mary
561925	363491	
561926	383721	Various Characters
561927	136360	
561928	213555	
561929	1445	Herself
561929	1451	Herself
561929	40246	Herself
561929	76043	
561929	137679	Herself
561929	151230	Herself
561929	161866	
561929	228977	Herself
561930	148769	
561930	333611	Voice
561931	1168	Dr. Evan Davies
561931	382838	Gina Brookes Philips (1991)
561933	276470	Flight Attendant
561934	288737	Stuntperson
561935	284858	Petra
561936	127631	
561937	2382	Cobrettes
561937	317946	Other T.R. Kid
561938	34925	Herself
561938	55243	Narrator
561938	65023	Sabrina
561938	129439	Louise
561938	161327	Herself
561938	174918	Da Brat
561938	240713	Herself
561938	277495	Herself
561939	28531	Frue i selskap
561939	84321	Gina, en danserinne
561939	353001	Hansens husholderske
561940	30601	
561940	79223	Iskra
561940	94078	Bezdetnata sasedka
561940	95573	Lili
561940	97565	
561940	204000	Momicheto
561940	209277	
561940	217493	Mariana
561940	228845	Bulkata
561940	229062	Mariana
561940	253992	Olga
561940	275268	Lili
561940	302984	Lili
561940	303117	Sluchaynata poznata
561940	314392	Milka
561940	375742	Rangelova
561940	401024	
561940	401316	
561940	404210	
561940	405462	
561941	314935	Manicurist
561942	382414	Herself (Host) (1997-1999)
561943	371374	Extra
561944	254614	Angel
561945	57788	Kid in Gym
561945	244034	The Volcano Gal
561946	185539	Maggie
561946	185624	Renee
561946	295194	Receptionist
561946	342802	Vanessa
561947	179742	
561948	356843	Fru Bergmann
561949	33722	Julie
561949	153375	
561949	213431	Nina
561949	225686	Kvinde På Toilet
561949	300988	Augusta
561949	399936	(sketches)
561950	259811	
561951	163901	
561951	350970	Maykata/The Mother
561951	398895	
561952	63354	
561952	225927	
561952	313176	
561952	323217	
561953	6289	
561954	233823	Debbie Gwynn
561955	192254	Office Girl
561956	67145	
561956	81840	
561956	247992	
561957	334994	Herself
561958	252005	Birgitta
561959	78384	Dancer
561959	84305	Dancer
561959	120966	Job applicant
561959	122462	Bride
561959	182285	Dancer
561959	304137	School Girl
561959	377434	Elsa
561960	11709	Dancer
561961	61791	Maggie Partridge
561961	73325	Waitress
561961	163657	Various roles
561961	276264	Debbie Nicolls
561961	335336	Staff officer #2
561961	388840	Martha
561961	391291	Ruth
561961	393268	Brown Eyes
561961	395736	Mrs. Higgins
561961	397436	Dee
561961	408637	Hotel Receptionist
561962	175350	Polish whore
561964	254867	Ellen
561965	330177	Black Junkie
561966	230386	Reporter
561967	329389	Little Girl
561968	193696	Dot Gray
561968	220270	Show Girl
561968	333158	Mildred Boyd
561968	360224	'Firey' Parker
561968	361648	Mildred Weir (ranch owner)
561968	365271	One of the Golden Girls
561969	144083	
561970	51126	Shop Assistant
561970	120848	Ebba (episode 1)
561970	278346	Gissela
561971	258150	La logeuse
561972	328891	
561973	386219	Finalist #9
561975	280807	
561976	142372	Girl in Diner
561977	259864	Abortion Picket
561978	73833	Celebrity Party Guest
561979	254153	Troisième Cliente
561980	142063	Yanki
561980	169615	Lola
561980	290190	Maja
561981	4500	Animateur
561982	282104	Stammgast und Personal Rossin
561983	131383	
561984	264043	Fabio
561985	244137	
561986	277318	
561987	24038	
561988	55120	Dancer
561989	325699	
561990	50608	
561990	104761	Austrian entry (18th place)
561991	102234	Officer Peggy Black
561992	120653	Priestess #3/Girlfriend
561993	208234	Laurence
561994	15035	
561994	327563	
561995	383250	
561996	124239	
561997	197016	Marissa
561998	346738	
561999	195050	Maiken
561999	377320	
562000	47544	Emily
562001	349775	Moa
562002	28996	Hanni
562002	269641	
562003	254982	
562004	12895	Ms. Undamm
562004	205795	Vivienne
562004	281673	Mutter
562004	289933	Praktikantin
562004	323054	Karla Karsten
562004	376499	Daniels Mutter
562004	399758	Mildred Theory (segment "Rais
562005	380713	Hope Dixon (#2) (2000)
562006	90932	Hippie girl
562006	121803	Sorority Girl
562006	194963	Political Analyst
562006	220985	Music Student
562006	347599	Kate
562006	406952	Nancy
562007	48667	
562007	142500	Herself
562008	196117	Lab Assistant
562009	273352	Le prof de théâtre
562010	8198	Librarian
562011	24897	Selma
562011	179758	Marguerite
562012	53186	Herself
562012	93733	Herself
562012	104821	Herself
562012	143898	Herself
562012	146837	Herself
562012	146838	Herself
562012	152566	Herself
562012	185219	Herself
562012	210547	Herself (with Hitler at the B
562012	228925	Herself
562012	320892	Herself
562012	342641	Herself
562012	369323	Herself
562012	391693	Herself
562012	391696	Herself
562012	411420	Herself
562014	10234	
562014	67650	
562014	344806	
562015	137639	
562016	72011	
562016	229228	
562016	362946	Florence Stanton
562017	228925	Herself
562018	360436	Stunned Guest at Wedding
562019	124460	Watch woman
562019	325392	
562019	325494	Ingrid
562019	325556	Ingrid
562019	325853	Ingrid
562020	160058	Bus station woman
562021	285034	Mary Anne
562022	289650	
562023	289650	
562024	114844	Calu
562024	149610	Sally Eaton
562024	273998	Joyce McClellan
562024	403492	Joan
562025	232671	
562026	31327	Waitress
562027	163750	
562027	265984	Ingeborg Graf
562028	160058	Ticket lady
562029	317309	Studio Visitor
562030	15888	Frau vonRathleff-Keilmann
562030	33156	Stine Teetjen
562030	93470	
562030	98301	
562030	121419	
562030	180982	
562030	186179	Mrs. Thoma
562030	197117	Mrs. Thoma
562030	241974	Mutter Thoma
562030	249102	Violet
562030	280797	
562030	293995	
562030	324627	Mutter Thoma
562030	348086	Julie von Dobschütz
562030	352185	
562030	356834	Katharina
562030	358225	Witwe Quin
562030	364894	Beate Hoberg
562031	229594	Porno-synch girl
562032	174920	Dancer
562033	18064	
562034	354059	Sekretärin des Fabrikdirektor
562035	380748	Host
562036	353845	
562037	179442	Petra
562037	404448	Claudia Reichenbach
562038	47544	Emily
562039	140177	Troy Palmer
562039	222479	Belle
562040	324502	Dancer
562041	284509	
562042	295213	Nicole
562043	275750	
562043	349779	
562044	245956	La femme à l'Itinérant
562045	40379	Jean
562045	290167	Bobby Adler
562045	375165	Gustav Knupke
562046	47544	Emily
562047	144577	TV Reporter
562047	325473	Luisa Capitani
562048	409613	
562049	115323	Wendy Pollin
562049	222871	
562049	406391	Dotty-KY
562050	226509	Chloe, Karate Woman
562051	107861	Jenny
562051	309477	Teri's Secretary
562051	389858	Caroline "Carly" Roberts Bens
562052	149434	Dr. Phyllis Goodie
562052	264432	Tent Girl #1
562053	376397	Ilona
562054	210960	Newscaster #7
562055	121066	Anna
562055	140770	
562055	142202	Frau Kanzia
562055	259458	
562055	259508	
562055	259544	
562055	259610	Frau Dornberg
562055	277752	
562055	307671	Frau Pfeiffer
562055	352367	
562055	352672	Pauline Hardekopf
562056	284413	
562057	289650	Babysitter
562058	2234	Mickey
562058	18001	Charlotte Snyder
562058	26975	Maia
562058	37178	Chorine Dancer
562058	63098	Amy
562058	105492	Nurse Tate
562058	157696	Welcomer
562058	165418	Jane Bellows
562058	200875	Donielle
562058	206397	Bridget
562058	221022	Linda Simmons
562058	235511	Kara
562058	240915	Mary Jo
562058	248057	Bo's Publicist
562058	310262	
562058	323979	
562059	87168	Herself
562059	188689	Herself
562060	24013	
562060	47847	Emmi Krell
562060	115812	
562060	119197	Noble Lady
562060	125328	Nachbarin
562060	126420	Haarkranzfrau
562060	140770	
562060	170657	
562060	175299	
562060	189831	
562060	194438	Mrs. Holzmeyer
562060	214890	Baronin
562060	223450	Die Bäuerin
562060	230196	Frau Platz
562060	254675	
562060	259594	
562060	259673	
562060	259678	
562060	279665	
562060	301032	Koechin
562060	339324	Mother
562060	347831	Emmi Heßling
562060	359387	
562060	385660	
562061	98383	
562062	131159	Zana
562062	132414	
562062	180677	
562062	193471	
562062	245855	
562062	259811	Irena
562062	261670	Olenka Billewiczówna
562062	282940	Girl
562062	304128	
562062	305833	
562062	341598	
562062	376535	Anna
562062	395084	Izabella Lecka
562063	391295	Jana, Udos Frau
562066	156726	Lotte
562067	34307	Jazz musician, vocals
562067	66087	Simone
562067	95391	
562067	105540	Sängerin
562067	119224	
562067	124606	
562067	139055	Greco
562067	173697	Thea
562067	173698	Thea
562067	173699	Thea, Secretary
562067	173700	Thea
562067	173701	Thea
562067	173702	Thea
562067	206250	
562067	210084	Yvonne
562067	219237	Sara
562067	263823	Primel
562067	325420	
562067	334534	
562067	352564	Eva
562067	356837	Vera
562067	360758	Ruth
562067	376267	Sophie
562067	399387	Ebba
562067	405449	Karla
562067	409609	Sekretärin 'Blümchen' Blum
562068	275784	News interviewer
562069	162377	Baby
562070	100847	Desk Clerk
562070	119203	
562070	176718	Raina
562070	226931	Joy
562070	369439	Zena, the Nurse
562071	24486	Herself
562072	226170	Regie-Assistentin
562073	6118	
562073	325541	
562074	60890	
562074	65781	Mireille
562074	244033	Louise
562074	294881	Mia
562074	383861	
562074	396222	
562075	99736	Employée Dora
562076	361336	Mrs. Rothmeier
562077	236630	Miko
562079	114474	Mom
562079	380692	Kate (Baby Kate) Read (2001-)
562080	180493	Mrs. Pugh
562080	359192	Nurse
562081	82577	
562081	84475	Femme 1
562081	107242	
562081	278153	Colleague in canteen
562082	12857	
562082	79163	
562082	94344	
562082	98362	Kakuschkina
562082	119722	Oma
562082	121038	
562082	126369	
562082	126400	
562082	137093	
562082	144034	Marie Nowotny
562082	162481	
562082	174179	Grandma
562082	182590	Requistieuse
562082	182902	Lisette
562082	186934	
562082	194573	Pauls Mutter
562082	199302	Madame Homais
562082	201334	
562082	225272	Zarah
562082	235957	
562082	244676	Herself
562082	288244	Madeleine
562082	290016	
562082	290489	Berta
562082	293561	
562082	337135	Vorsteherin
562082	347772	Lissy, Garderobiere
562082	348044	
562082	348086	Frau Hansen
562082	360939	
562082	360965	Garderobiere
562082	376446	
562082	378168	Paul's Mother
562082	382931	Antoinette
562082	387161	
562082	389956	
562082	392509	Frau Gollwitzer
562082	393254	
562082	393360	
562082	394764	Konsulin Möller
562082	399825	Martha
562082	402374	Juror Hauser
562082	404435	
562082	409952	
562083	317946	Tripplett's Wife
562084	16746	Sales Lady
562085	125120	Dienstmaedchen
562086	394760	Katja
562087	126457	Fraeulein Tausendschoen
562087	199733	
562087	227741	
562087	248203	
562087	303722	Frau Schlotterbeck
562087	352488	
562087	361509	
562088	216260	
562088	322952	Mutter
562089	94513	
562090	18347	Lara
562090	26360	
562090	42034	Moeder
562090	65720	Conny
562090	170297	
562090	189963	Didi
562090	194423	
562090	207727	
562090	344244	Moeder Jonathan
562090	375754	Zelda
562090	378614	Anne Vonk
562090	392563	Moeder
562090	392565	Mama
562091	258327	Alice
562092	9507	A baby in arms
562092	182377	Linda
562092	214845	Herself
562092	355761	Herself
562092	394023	
562092	394885	
562092	409729	Psykiatri Kielo Nuppu
562093	164169	
562094	332104	Maisy Blue Legs
562095	362473	Analyst
562096	171191	Alice Moran
562096	358638	Young Amelia
562097	280016	
562098	57747	Bus Lady
562098	253500	Abused Wife
562098	267640	Mom
562099	151461	Tour Girl
562100	16879	Aunt Silvia
562100	32626	Woman with Pasta
562100	114099	Woman on Step #2
562101	118964	Mrs. Epstein
562101	235571	Escort
562102	387902	Maria
562103	108361	
562104	60729	Woman Physician
562105	214422	Mrs. Lawrence
562106	70648	
562107	65063	Agustina
562108	167564	Tawny
562108	300534	Shellie
562109	378103	
562110	191440	
562110	343732	
562110	352163	
562110	388604	Lourdes
562111	241145	Brenda
562112	293575	
562113	138190	
562114	35532	
562114	358292	Waitress
562115	205889	
562116	101582	
562116	135535	Herself
562116	389458	Host (1992-1994)
562116	400149	Herself (2002-)
562116	409565	Host
562117	165794	Lupita
562118	135352	Mesera
562119	53574	
562119	173649	
562119	356223	Teacher
562120	379252	
562121	99915	
562121	100515	
562121	250479	Mamá Estefan
562122	146580	María Flores
562124	371674	
562125	113115	
562126	120080	Auditorium Model
562126	409908	La Leona
562127	73266	
562127	339107	
562128	53647	
562128	74655	
562128	104754	Portuguese entry (9th place)
562128	126186	
562128	278930	
562128	291603	
562129	55118	Gina
562130	71431	Aurora
562131	380242	Delfina
562131	392992	
562132	119420	Freddie
562133	83442	
562134	407648	Enfermera
562135	149552	
562136	90111	Grosse femme
562137	321657	Ginny
562138	47066	
562138	72379	
562139	30405	Niña
562140	409919	Kimberley (2001-???)
562141	319369	
562143	232630	Vanessa/Girl at Locker/High S
562144	215696	Miss Venezuela
562145	5443	
562145	9705	
562145	10440	Gladys
562145	14649	
562145	73976	
562145	104819	Charo
562145	113238	
562145	169257	
562145	233554	
562145	236451	Julia
562145	251581	
562145	255478	
562145	257899	
562145	261266	Ana
562145	266857	
562145	307727	
562145	322400	
562145	343613	
562145	349666	
562146	132709	
562146	192983	
562147	45658	
562148	118980	Grandma
562149	118980	Greek Dancer
562150	43543	Traumblondine
562151	51431	La voisine
562151	67721	Fernande
562151	101170	Conductrice
562151	217727	Madame Fardhy
562151	232659	
562151	283031	Madame Boula
562151	349815	Paivoa #2
562152	344534	Herself
562153	155314	Margie
562153	241692	Claire, 'Honeymoon' segment
562154	110644	
562155	353950	Apothekersfrau
562157	153147	Dancer with John Artis
562157	166086	Miss Mullins
562157	267530	
562157	305722	Herself
562157	362822	
562158	161389	Herself
562159	77989	Judy
562160	390180	Big Bad Momma
562161	19024	Mother Blackwell
562162	35801	Christina Kingsley
562163	30937	Naomi
562163	193260	Marisa
562163	203223	Commercial Wife
562163	231798	Porsche Girl
562163	391897	Amma
562163	392710	Natalie Davis (1997-1998)
562164	41955	Diane McNeely
562164	239032	Psychiatrist 3
562164	383849	Additional Voices
562165	381909	Herself (1st Evicted, 12 Days
562166	190751	Jean
562166	379716	Tara Martin Tyler Brent Jeffe
562166	387309	Winter Austin #2 (1979)
562166	394504	Mrs. Carol Hadary
562166	404694	Laurie Hollister Stevens Redd
562167	161389	Herself
562168	1673	Herself
562168	2009	Herself
562168	2549	Herself (presenter)
562168	2721	Herself
562168	3079	Herself - Presenter
562168	57625	Herself
562168	62959	Herself
562168	120649	Singer
562168	161389	Herself
562168	177630	Juanita Slocumb
562168	257554	Shonda
562168	392865	Herself
562169	406459	Herself/Starting Over Housema
562170	99860	Physiotherapist
562171	2169	Joueuse La Motte Noiseau
562172	360149	Marquis de Sade girl #4
562173	333127	Mrs. Martinson
562173	372804	Bar girl
562174	322606	Beauty
562175	386546	Senior Nursing Sister
562176	97352	Teddy Franklin
562176	182975	
562176	185418	Blonde Annie
562176	362176	Sharon
562176	406856	Sue Thomas
562177	8214	
562177	339498	Dora Jelinek
562177	408001	La rédactrice
562178	17201	Dr. Yvette
562178	67344	
562178	219595	Donatella
562178	246430	Silvana
562178	279038	
562178	370495	Brenda
562179	1599	
562179	14403	Daisy
562179	152779	
562180	37398	Linda Abbey
562180	42397	
562180	192057	Belle Laurie
562180	200914	
562181	5871	Ruth
562181	43372	Female Lieutenant
562181	295326	TV Reporter
562182	20625	Extra
562182	197676	Dancer
562182	308632	
562183	220456	Cheering Woman
562183	332427	Dancer in club
562184	21248	
562185	197676	Dancer
562186	196029	Old Lady
562187	392969	Herself
562188	67779	Rachel
562189	29936	
562189	110476	
562189	155880	
562189	178866	
562190	65612	Reporter
562191	104766	Luxembourg entry (14th place)
562192	335300	Bev
562193	85070	Miss Weatherhead
562193	99281	Mrs. Annie Fraser
562194	97532	Madame Kutzev
562195	144869	Presenter, Yellow Wig Girl, D
562195	144870	Herself
562195	405209	Saskia Hoffman (1999)
562195	408693	Host (1999-)
562196	145614	
562197	224895	Herself
562198	251315	Maykata
562199	98818	Faculty Ballot-Giver
562200	55570	Real Estate Agent
562201	55698	French Buxom Blonde
562201	69381	Go Cart Girl
562202	25937	Louise
562202	115597	Ida
562202	393314	Maria
562202	400523	Lynda
562203	254816	Patineuse
562204	243256	Hostess
562205	2342	Traveler
562205	2351	Young wife
562205	11181	Miss Young
562205	34386	1st Nurse
562205	81097	Cawthorne
562205	109849	Secretary
562205	120749	Mother
562205	127791	Manicurist
562205	129093	Mother
562205	130106	Mrs. Woolsy
562205	130808	Liz
562205	133653	Chart room nurse
562205	133673	Undetermined role
562205	134109	Mrs. Adams
562205	143838	Dow Secretary, posing as Debu
562205	144896	Miss Witherspoon
562205	144966	Secretary
562205	183358	Nurse
562205	191588	Receptionist
562205	204174	Ginger
562205	223654	Secretary
562205	269868	Miss Oval, 'petrified' librar
562205	288253	Miss Koregmeyer
562205	299453	Nurse
562205	300909	Woman clerk
562205	301829	Mrs. Martin
562205	311033	Jean, police records clerk
562205	321531	Dead Pan Secretary
562205	334252	Nurse
562205	338225	Madge Mudge
562205	338812	Bit part
562205	347335	Mother
562205	352639	Ransohoff's saleslady
562205	363623	Policewoman
562205	364156	Radio actress
562205	372093	Reporter
562206	26154	Shoemaker
562206	62784	Margaret
562206	126505	Waitress
562206	139048	Victoria
562206	158782	Waitress
562206	224089	
562206	233509	Donna Jenkins
562206	235088	Lise
562206	255939	Ike Dyke
562206	281337	Rollerblade Messenger
562206	290936	Mullet Nerdette #1
562206	320041	Elaine
562206	330670	Silver Sister #2
562206	355343	
562207	28589	Olivia
562208	100009	
562208	338643	
562209	90317	Cherry
562210	211004	
562211	59375	Dream Friend
562212	395893	Herself
562213	103322	Herself
562214	383508	Pepper, the detective
562215	253458	Hostess
562216	40549	
562216	89236	Mrs. Johnson
562216	102247	Nurse Conni Oligario
562216	147844	Hooker #1/Beautiful Girl #2
562216	161356	Herself
562216	169608	Allison
562216	191085	Reporter
562216	236982	Court Officer #2
562216	252478	Mary
562216	306286	Dancer
562216	307351	Eva
562216	342605	Vanessa Watkins
562216	385653	Lorraine Webb
562216	387728	Nurse Connie Oligario
562217	131300	
562217	225975	
562217	229218	
562217	232690	
562217	258439	Varvara
562217	356425	
562217	398757	
562217	410433	Galina Toropova
562218	63629	Roza
562219	63583	
562219	181282	
562219	189427	
562219	350729	
562219	374851	Mother
562220	309860	Rose
562221	236307	
562221	319346	
562221	349121	Ann Palermo
562221	401396	Maman/L'homme du St-Laurent/P
562224	73787	Jordan Dancer
562225	61707	Mother
562226	128759	
562227	44135	Herself
562229	36877	
562229	36879	
562229	36941	
562229	39312	
562229	50352	
562229	50395	
562229	128641	
562229	150420	
562229	152670	
562229	161121	
562229	178716	
562229	198518	
562229	209259	
562230	85133	Lady Tourist
562231	89594	
562231	123839	
562231	273298	
562232	273670	La Chanreuse
562233	208756	Evil Man 2
562235	226870	Street Artist
562238	51691	Mama Vanucci
562238	63119	Mrs. Claus
562238	270332	
562240	8333	
562240	37694	Maya
562240	174486	
562241	249397	Maria/Princesa
562241	327096	Rapariga no Banco
562241	409026	Susana Oliveira (Susy)
562242	355958	
562243	91173	
562243	91367	
562243	212453	
562244	170232	Host
562245	401867	Bedna
562246	237455	Herself
562247	39263	
562248	202765	
562249	381886	Herself - Competition Expert 
562250	162578	The Victim
562251	255357	Prairie Cafe Couple
562252	232297	Julia Baldwin
562253	138992	Scottish Policewoman
562254	383895	Investigative Reporter (1994-
562255	280545	
562256	383631	Roxanne 'Roxy' Bird: E Grade 
562257	29941	Milicent Carter
562257	31417	Olga Stropik
562257	41151	Enid Solari
562257	52735	Hester Rymal
562257	66916	Rose Larkin
562257	68462	Helene Palmer
562257	79654	Dorothy Parkman
562257	85103	Mimi
562257	91962	Lulu/Juliet
562257	107060	Marianna Canfield
562257	108376	Poppy Drayton
562257	113191	Herself
562257	114102	Mary
562257	114950	Dee Fentriss
562257	115642	
562257	128370	The Girl
562257	143420	Blanche Ingram
562257	150560	
562257	150823	Mary Lord
562257	190581	
562257	190780	Vera
562257	190976	
562257	203438	Rita Durand
562257	203557	Elsie Haynes
562257	203674	Claire Mordaunt
562257	214152	Ruth Vail
562257	215730	Nell Surratt
562257	218010	Countess Vecchi
562257	218824	Cynthia
562257	224026	Adelaide Hedlar
562257	224059	Helen Hamilton
562257	227804	Betty Werdin
562257	235433	Elsa Chetwood
562257	256109	Abbie Nettleton
562257	260245	Miss Fay
562257	270679	
562257	273814	Edith Somers
562257	276288	Betty Blair
562257	279713	Ruth Rogens
562257	281356	Dorothy Harper
562257	298565	Hilda
562257	318172	Marie Ducharme
562257	327456	Adrienne Chester
562257	332099	Alberta Hayward
562257	335649	Malloy
562257	335701	Marguerite
562257	347601	Miriam Holt
562257	348331	Alicia
562257	360384	Zada L'Etoile
562257	367284	Francine Redney
562257	367584	Betty Brown
562257	367777	Myra Barclay
562258	116289	Wealthy Woman
562259	34325	Agniezka
562260	260629	Lily
562261	219596	
562262	26633	IBM Girl
562263	151633	
562263	215696	Miss USA
562265	77679	
562266	154850	Michelle
562267	36641	
562267	80973	Liz
562267	94386	Véro
562267	184062	Sonia
562267	346516	Sandrine
562268	100249	
562269	99164	Elf Student
562270	298284	Woman at Car Accident
562271	337528	
562271	401242	Liza
562271	412026	Anna
562272	46546	
562273	46546	
562274	81559	
562274	229746	
562274	252544	
562275	258587	Mother Vanda
562275	308482	Profesorica
562275	384580	Pavla
562276	99688	Herself
562277	273426	Herself
562277	273428	Herself
562277	273429	Herself/Hawaii
562277	273438	Hostess
562277	402993	Herself/Hawaii (1999)
562277	402996	Women/Real World
562277	402997	Herself/Real Worlders
562278	311184	
562279	16143	Computer Teacher
562279	108694	
562279	191745	Kate
562279	260144	
562279	386781	Meredith
562279	396497	Rumiya
562280	320424	
562280	327781	
562280	368444	
562281	395647	Elizabeth Jane Price
562281	403238	School Secretary
562281	408877	Sandy McCormick (1981)
562282	171675	Samantha
562282	185733	Various characters
562282	343105	Betty Jane
562282	400024	Various Characters
562282	402551	Various Characters (1975-1980
562282	407989	Various Characters
562283	42768	Bridget
562283	120820	Elsa Tenney
562283	157647	Anna-Maria
562283	310194	Kate Saunders
562283	361587	Ilsa Barnes
562283	408121	Constance
562284	3279	Hot Tub Lady
562285	188507	Girl in Shower #3
562285	308025	Bimbo
562286	260902	Friend
562287	202660	
562288	37047	Janie Shepherd
562288	76221	Amy
562288	193357	Arden
562288	243150	Anna
562288	281255	Michele Weinberger
562288	350182	Charity Lynn Keesee
562288	366668	Kristie
562290	140416	
562290	309897	Bell
562290	361475	12 Year Old Gabby
562291	390316	Reporter
562292	80806	Pamela
562292	135314	
562293	46853	Mary
562293	82524	Wendy Jackson
562293	191505	Speech teacher
562294	117758	Nurse-midwife
562295	54032	Lady Eleanor
562296	32122	Policewoman
562296	139573	WDC Wendy James
562296	334210	Tom's maid
562297	30086	
562297	85727	Roberta
562297	98056	Renate Wüpper
562297	156632	Ursula Kranz
562297	172849	
562297	176479	Elvira
562297	208144	
562297	209957	Kristin
562297	225303	
562297	290093	
562297	293696	
562297	317274	Maria Martinez-Lachmann
562297	325771	Ina Klopsch
562297	325893	Luise Fromm
562297	347574	
562297	352058	Dame Hotel Siegestor
562297	369179	
562297	379372	
562297	399387	Heike Schmalz
562298	47084	Reporter
562298	107504	A Fairy
562298	387533	Tara Cockburn/Lady Tara Oakwe
562299	131559	Headmistress
562300	339472	
562300	382877	
562300	400287	Alfonsine
562300	409366	Moeder van Kaat en Seppe
562300	409992	Francine
562300	411311	Anita Stevens (2001-2002)
562301	140240	
562301	343373	
562302	64178	Herself/Narrator
562303	100337	Mrs. Krogh
562303	312238	
562303	324632	Marianne
562303	353031	Olga
562303	354196	Søster av Nordby
562304	305020	Baby
562305	400118	Klassekammerat (Classmate)
562306	138571	Frk. Nord
562306	144061	Frk. Helvik, kurgjest
562308	212336	Herself - Participant/Perform
562309	238610	Hula Dancer
562310	89849	Nun
562310	97438	Social worker
562310	119352	
562310	166076	Jacqueline Schu
562310	180912	Zewi
562310	223488	Els
562310	225205	
562310	290055	
562310	290168	
562311	391294	Katharina
562312	18544	Party Girl
562312	291179	Astral Laura
562314	376689	
562315	33285	
562316	303695	Elev i klassen
562317	121401	
562318	328620	Cherie Conijn
562319	12610	Eccheverria's Girl
562319	67590	Angela
562319	119820	Iranian Maid
562319	143900	Nurse
562319	162897	Kate
562319	307900	Ethel
562320	235260	Herself
562321	104331	
562321	138240	
562322	309975	Sylvie, fille de Pierre et de
562323	46709	Margaret
562323	83618	Susan
562323	104732	United Kindom entry (7th plac
562323	187084	Stella Stoker
562323	201430	Cameo appearance
562323	334184	Lucy
562323	338803	Pauline
562324	394349	Herself
562324	394631	
562325	189741	Johanna
562326	183314	Skoleelev
562327	214359	Dame med hund
562328	34326	Herself
562328	81644	Pirate
562328	125030	Stammkundin Zoë Bar
562329	332431	
562329	392294	
562330	197481	Dr. Olivia Kaye
562331	197481	Suzie
562332	243124	
562333	400236	Karen Wolek (#1) (1976-1977)
562334	202625	Onderwijzeres
562334	213552	zuster Lucy
562335	37002	Miss Foote
562335	93068	Mrs. Shaw
562335	117683	Landlady
562335	121823	Old Operator
562335	148221	Sister Concilia
562335	151365	Chancellor Joanna Holbrook
562335	212837	Elderly Auction Bidder Lady
562335	271198	Alice Kappelhoff
562335	350221	Secretary in Ladies Room
562335	364367	Co-op Board Chairwoman
562335	366761	Mrs. Biddle
562336	264084	Cindy Rella
562337	379935	Kinchka
562338	62709	
562338	82166	Mevrouw Zeeman
562338	138013	Dokter
562338	178874	Oma Wolk
562338	234044	Coby
562338	234879	Neighbour
562338	315522	Regan en Roos
562338	329894	Magda
562338	378614	Bezorgde moeder
562338	392493	Heks
562338	394947	Juul
562339	234044	Guurtje
562339	398575	Caissière
562340	363997	Cowgirl
562341	262589	St. Matthew's Choir & Band Me
562342	71474	Dancer
562342	106671	Woman
562342	290319	Kim
562343	90966	Herself
562344	366027	Partygoer
562345	110247	Piet
562346	137223	Sheila's Aunt
562347	353710	(segment "Season of Choice")
562348	386603	Stephanie Aldrich (1977-1979)
562349	170852	Julie
562350	396329	Audrey Parton
562351	71629	Marinette, the Maid
562352	243569	
562353	30155	
562354	119603	
562355	314484	Dancer
562356	224853	Bosco's Moll
562357	141080	Mary Trunbull
562357	163324	
562358	148954	Rainelle Downing
562359	134156	L (Lisa)
562359	146657	Red-Haired Woman
562360	65787	Lena
562360	294856	Gina
562360	367083	Studio Receptionist
562360	379716	Claudette Flax Montgomery #1 
562360	391069	Girl with Ross
562361	321754	Bride
562362	33016	Kelly
562362	41206	Kelly
562362	185365	Villager
562362	328557	Kelly
562362	342443	Miss Iowa St.
562363	228032	
562364	330818	Herself
562365	104315	
562365	192509	
562366	101597	
562367	104614	Mystery Girl
562368	366465	Bradford
562369	299267	Shirley
562370	162427	D.J
562371	37706	
562371	68639	
562371	83424	
562371	87834	
562371	99066	
562371	104853	
562371	110044	
562371	193070	
562371	193189	Olga/Lucia
562371	209036	
562371	225554	
562371	234906	
562371	246423	
562371	301106	
562371	379554	Elsa
562371	380114	Milena del Real
562371	384139	Nora
562371	397601	
562371	403402	Silvia
562371	409017	Lucrecia
562372	39353	
562373	26105	
562373	38366	
562373	41486	Herself
562373	46582	
562373	56312	Marlene Bates
562373	74292	Herself
562373	75191	
562373	98841	Victorian woman
562373	98842	Gift shop clerk/Native girl
562373	98849	Nurse
562373	98851	Ballerina
562373	98856	Roller skater
562373	98860	Miss Bottoms
562373	105455	
562373	106235	
562373	114944	
562373	127827	
562373	128667	
562373	129081	Herself
562373	144999	
562373	150148	
562373	150160	
562373	155733	
562373	176463	
562373	191372	Neurovid Reactors
562373	195511	
562373	196398	
562373	197758	Lynn
562373	260092	Marilyn
562373	260094	Marilyn
562373	260095	
562373	270758	
562373	272866	
562373	295748	Herself
562373	302577	Herself
562373	319398	Herself
562373	323595	
562373	328302	
562373	335448	
562373	340397	Herself
562373	365232	Jan
562374	139611	Girl Friend #3
562375	227327	Norma
562376	147729	
562376	372813	
562377	403532	Herself - Participant
562377	403533	Herself - Participant
562377	403536	Herself - Participant (2000, 
562378	258154	
562379	112879	Pailledavoine
562380	179012	Peg Brady
562381	276858	Hall Pass Girl
562382	408668	Little Girl
562383	224091	Make-up Girl
562384	64569	
562384	121824	Amy Lowell
562384	138724	Ann Thomerson
562384	295560	Katherine
562384	331550	
562384	372449	Herself
562384	382419	Lauren Fenmore (1993, 1995-19
562384	385824	Donna Temple Craig (1978-1980
562384	411802	Lauren Fenmore (1983-1995, 20
562385	44833	Liliana
562386	269496	
562387	192887	Mother
562388	213545	
562388	243359	
562388	286666	Aisha
562388	357338	
562389	341230	
562390	318515	
562391	111063	Flight Attendant
562391	312540	Front End Voice #2
562392	236622	Neighbor
562393	42772	Secretary #1
562393	59109	Loni Morgan
562393	112182	Mrs. Crawley
562393	158314	
562394	128759	
562395	401424	Host
562396	367980	Zoe
562397	34121	
562398	411906	Jessy Rameik
562399	18669	Liberdade
562399	28589	Leonor
562399	55003	
562399	79185	Clara
562399	82296	Dona da Pensão
562399	113681	Woman
562399	123481	
562399	155551	Godmother
562399	164164	
562399	211047	
562399	222162	Senhora do Comité
562399	229702	
562399	251177	D. Maria
562399	257159	La préposée poste
562399	262720	D. Clotilde
562399	276075	Casimiro's Wife
562399	287958	Dalila's Mother
562399	380332	Nazaré Clemente
562399	384293	
562399	386523	Helena Ramos
562399	396201	
562399	402282	Guest
562400	287490	
562401	43620	Boss at Cities Financial
562402	98366	
562402	153904	Großmutter/Grandmother
562402	168530	Mariken
562402	261692	Mrs. Heegan
562402	290541	Wolfgangs Mutter
562402	294588	
562402	310942	.
562402	317497	Cora Bach
562402	325657	
562402	333852	
562402	346535	
562402	367232	Frau Bauer
562402	376625	
562402	380700	Peter's Grandmother
562402	392354	
562402	395667	Lydia Nolte (1985-1993)
562402	397969	Thekla
562402	406321	
562403	174439	
562403	233243	Guest
562403	251937	Indian
562403	251941	A woman in the cinema
562403	251945	Female spectator
562403	283959	Woman in Olga's concert
562403	373371	Woman in bank/woman in party
562404	31913	
562404	36475	
562404	360927	Oginskis Begleiterin im Spiel
562405	104253	I sengen
562406	391611	
562406	402411	
562407	220716	
562408	12683	
562408	19224	
562408	209415	Gabriela
562409	92024	Anita
562411	85690	L'autre
562411	92680	Herminie Poitevin
562411	344631	Mouchette
562411	346527	Constance
562412	7460	Bernadette Soubirous
562412	18274	Antigone
562412	42879	Nana
562412	65380	Claudine
562412	65382	Claudine
562412	65384	Claudine
562412	65385	Claudine
562412	85690	La Pia
562412	89469	
562412	92680	Nicole Clement
562412	96396	Jacqueline
562412	108633	Jacobis hus
562412	146388	Adélaïde Barbier
562412	162431	Anne
562412	203945	Baba
562412	220256	Nina
562412	220395	
562412	244741	Mandoline
562412	261012	Sybil
562412	320274	Carlyne
562412	344631	Monique
562412	391632	
562412	391931	Marthe
562412	397856	Marie
562413	56654	Megan
562413	78038	Blake Courtland
562413	130358	Bambi
562413	161922	Scientist
562413	298091	Erin
562413	323781	Phil
562414	243411	Herself
562415	278315	Georgie
562416	116706	
562416	116707	
562417	29404	
562418	187842	Trini
562418	189301	Miliciana #8
562419	237072	En sykesøster
562420	13805	Lizzie
562421	259551	
562422	79721	Nina
562422	104463	Doris
562422	142240	Hella Gernreich
562422	189664	Antonella
562422	211727	Grand Lady in Paris
562422	259553	Barbara
562422	310494	Sabine
562422	313021	
562422	318809	
562422	325632	Leonce Heine
562422	325763	Dr. Gruber
562422	338444	Angela Stromberg
562422	345678	Suzette Natier
562422	361048	Petra Gauditz
562422	368296	Sonja
562422	369167	Ulrike Bogendorff
562422	388640	Holly
562422	393878	Lena Kamper
562422	394844	Beate
562422	395450	Irina von Levetzow
562422	404183	Helene von Mitzko
562422	404449	Carla Prinz
562422	404454	Carla Prinz (2001-)
562422	406742	
562423	110408	Kvindeband - Sanger
562424	385026	Narrator
562425	182368	
562426	179293	
562426	179294	Schmittchen
562426	210054	
562426	325561	
562426	325613	
562426	325779	Zimmermädchen
562426	325916	
562426	343679	
562427	48392	Mrs. Forst
562427	98310	Oma Bauer
562427	98362	Stescha
562427	111406	
562427	141793	Berte
562427	208458	Frau Pleschka
562427	217626	
562427	226338	Scharführerin
562427	230179	Wahrsagerin
562427	325779	Frau Lindauer
562427	325945	
562427	338419	
562427	346389	
562427	347819	Grete Witterschlick
562427	352352	Oma Leithner
562427	352399	
562427	352500	Alte Frau
562427	352646	Kundin
562427	361042	
562427	371287	
562427	388965	
562427	399175	Oma Piepenbrink
562427	399503	
562429	12937	Czechoslovakian actor
562429	132610	Marija
562429	165062	Marcelka
562429	173393	
562429	198231	Andula
562429	207721	Cupalová
562429	224959	
562429	229556	Vranova
562429	357636	
562429	374074	Bozka
562429	375255	Milena
562429	377034	Kueta
562429	384319	
562430	4811	Biggi
562430	16222	Bara Melichar
562430	17005	
562430	17112	Katkas mother/Anickas stepmot
562430	30260	Princess Bianca
562430	41514	Eva Holasová
562430	64754	Jana
562430	95822	Lady Mary
562430	95995	Dagmar
562430	109318	Majka
562430	123236	
562430	147235	Marta
562430	151838	Translater
562430	156737	Akala
562430	166645	
562430	174932	Vera
562430	175025	Tereza, TV star
562430	181335	Katerina
562430	187642	
562430	189498	Himself
562430	197220	Josefína/Blazena/Isabela
562430	198582	Marta
562430	201354	
562430	205101	
562430	216574	Edita
562430	220117	
562430	223530	Manca
562430	225939	Mother
562430	229217	Foster mother
562430	229270	Jana Landová
562430	234251	Empress Anna Pomoranská
562430	234252	Young Lady
562430	237201	
562430	237202	Jana
562430	240084	Pídalka
562430	247625	Julie's sister Gábinka
562430	258524	
562430	258579	
562430	260392	Stella
562430	265129	
562430	282766	
562430	290170	Prinzessin Lydia
562430	290845	Violetta
562430	303703	
562430	304706	Vera
562430	305809	Magda
562430	314391	
562430	332388	Dr. Galova
562430	336822	
562430	338378	Patricia Binchy
562430	356088	Blanka
562430	356092	Jana
562430	357673	
562430	373511	Vasek´s mother
562430	373558	Gwen
562430	374074	Jozka's mother
562430	374531	Bohumila
562430	375402	Marie
562430	376417	
562430	376556	Salome
562430	378525	Marie
562430	380553	Queen
562430	380554	Fairy Queen
562430	381196	Laura
562430	388152	Paula Butteau
562430	400727	Stella (1978)
562431	173138	
562431	219700	Stuepigen Clara
562431	353045	Bruden Else
562432	404182	Erica
562433	94889	
562433	187854	
562433	240087	
562433	263056	Woman in Village
562433	307162	
562433	375316	Jela
562433	398998	
562433	399020	Milka
562434	180037	Nicole
562434	314849	
562434	334609	Uschi
562435	183997	Magga, tjenestepike hos Lind
562435	183998	Magga
562436	145491	Juni's Mother
562436	320516	Erik's Mother
562437	185067	Sorority Girl A
562438	328045	
562439	381913	Participant, 3th out (2002)
562440	110270	
562441	33547	Capucine
562442	390447	Panelista
562443	31637	Bikini Audition Girl 7
562444	237431	Wharvey Gal
562445	106157	Maxie
562446	106157	Theresa
562447	183253	
562448	341506	La vendeuse du sex-shop
562449	24046	
562449	174753	Tulla
562449	189659	
562449	201420	Eva Kießlich
562449	324157	Karlchen
562449	370073	Mooi meisje
562450	104371	Woman at Funeral
562451	40520	
562452	16214	
562452	389126	Suzan Kromheer
562453	189692	
562454	6952	Lady Bianca
562454	32906	Kathy Lawrence
562454	78802	Cynthia Grace
562454	209605	Rose Smith
562454	283940	Christa Mansfield
562454	329560	
562454	333054	Sally Hessler
562454	371887	Yolanda Aquaviva
562454	375044	Princess/Moy Ling
562455	67198	Reporter #3, Auto Show
562456	167103	Copine de Danièle Joubert
562457	229311	Leone
562458	179442	
562458	388756	Hausmeisterin
562459	53697	
562460	40758	Barbara Lane
562460	49292	
562460	56545	Herself
562460	98342	Sophie Fleming
562460	104027	Estelle
562460	115228	Sophie Fleming
562460	137849	Sophie Fleming
562460	140063	Yvonne
562460	167140	Helena Rossmann
562460	174258	Barbara Lane
562460	174759	Barbara Lane
562460	179783	Sophie Fleming
562460	182897	Kommissarin Hansen
562460	202743	Petra
562460	232798	Sibylle Behrwald
562460	259596	Marlene
562460	266381	Frau in der S-Bahn
562460	281721	Julia Hammond
562460	321245	Eva Reiner
562460	335140	Susanne Bäumler
562460	336510	Constanze
562460	338426	Sarah Werner
562460	359048	Linda Weber
562460	375989	
562460	392855	Julia
562460	395011	Kommissarin Hansen
562460	406073	Henrietta 'Harry' Eschenbach
562460	409611	Steffi (1994-)
562461	69810	Female coven member
562462	190819	
562463	17941	Girl in Womanizer's Meeting
562463	34636	Herself
562463	34637	Herself
562463	42808	Girl in Bikini
562463	57946	Herself
562463	96580	Herself (Nymphet/Announcer)
562463	128762	Leslee
562463	139227	Photo Session Hardbody
562463	150054	Herself - Contestant
562463	223787	Party girl
562463	248480	Girl Leaving Room
562463	276781	
562463	290389	Sandy
562463	313681	Leslee
562463	313691	Herself
562464	2057	Ann
562464	194820	Mary Siebel
562464	240838	Lady with Suitcase
562464	262386	Miss Bedelia
562465	108295	
562466	157184	Magdalena
562467	223817	Marabenta Dancer
562468	31715	Peasant
562468	324422	Dance Double
562469	116052	Tanja
562469	174444	Lea
562469	178508	Sygeplejerske
562470	18479	
562470	40270	
562470	48804	
562470	55152	
562470	91391	
562470	149232	
562470	193349	
562470	205690	
562470	293382	
562470	296463	
562470	296470	
562470	337952	
562470	353626	
562470	353664	
562470	377174	Viejecita de los cuentos
562471	11582	Agnes Brevoort
562471	33748	Jackie
562471	116523	Magic Maid
562471	212746	Nina Polska
562471	313301	Helen
562472	137287	Herself
562472	137288	Herself
562472	137289	Herself
562472	170226	Herself
562472	170228	Herself
562472	173101	Herself
562472	229715	Herself
562472	328705	Herself
562472	394110	Pevacica
562472	399887	Herself
562473	346726	Vedrinne
562474	5681	
562474	392669	
562475	122604	Miss Wilson
562476	189831	
562477	29663	Ivy Dearborn
562477	140238	Frances (younger)
562477	175288	Lilian Schmitt
562477	220205	Ria
562477	281712	Vanessa Parry
562477	290255	Johanna
562477	290787	Simone
562477	325651	
562477	389359	Dr. Natascha Amberg
562477	390812	Vanessa Moreno (1996-1998)
562477	392669	Hanne Müller
562478	18344	
562478	22718	
562478	34568	Fräulein Grethmann
562478	149961	
562478	153933	Frau des Schultheiß
562478	188859	
562478	194438	Anna Vogel
562478	248062	
562478	259449	
562478	259546	Frau Mischke
562478	259550	
562478	259628	
562478	259638	
562478	259678	
562478	273755	
562478	276215	
562478	290658	Oma Weidauer
562478	312098	Frau Schickedanz
562478	352222	
562478	352369	
562478	353949	
562478	354002	Frl. Katharina Liebich
562478	389955	
562478	393408	
562479	1510	Anett
562479	29332	Nadine Herzig
562479	42171	Marion
562479	81973	Claire McKay
562479	89759	Lara
562479	101341	Libelle
562479	104621	
562479	113005	Lara (Dolphins)
562479	116016	Sarah
562479	124895	Sarah Dankert
562479	144186	Sandra Brandis
562479	165376	Julia
562479	186891	Carolin
562479	218748	Anya
562479	236837	Lisa
562479	275161	Lili Weber
562479	281980	
562479	289193	Siren
562479	290242	Julia
562479	325531	Andrea
562479	338429	Grit Körber
562479	352042	Barbara
562479	352062	Daniela
562479	352210	Sarah
562479	377345	
562479	377346	
562479	377347	Judith Martin
562479	377348	
562479	383271	Lisa Horn
562479	386220	Betty
562479	402098	Maria
562479	407874	Rita
562480	53329	Marilyn Monroe Maniquin
562481	51680	Pavla's mother
562481	179038	Hostess
562481	326292	Sylva
562482	85924	Lady in Waiting
562483	110997	Woman on balcony
562483	182955	Lookalike Dancer #1
562483	201939	
562483	296735	Yvonne
562483	316606	Newswoman
562483	319177	
562483	366652	Joyce
562483	366746	Keli
562484	57164	Receptionist
562485	46329	Herself, Ida Breneman
562486	145173	Ginger Roget
562487	6596	Daughter
562487	17103	Shirly
562487	40678	Darious Thorestensen
562487	60043	Ex-Wife
562487	69619	Tracy
562487	86017	Angel
562487	134288	Inmate
562487	145173	Ginger Root
562487	204991	Helli
562487	219128	Gabby
562487	296791	Janey Sawgrass
562487	323155	Shannon
562487	394337	
562487	402830	Vered (1996-1998)
562488	349254	Krupskaya
562489	399640	
562490	293362	Eduvigis
562491	160885	Earring Wearer
562492	74703	
562493	277899	Girl
562494	296047	Koviljka
562495	411047	Herself (Guy Banister's secre
562496	71158	
562497	35046	Frau Ott
562497	126324	
562497	213575	Pitti-Sing
562497	317255	
562498	155610	
562499	16701	Bus Attendant
562499	17156	Mrs. Parrish
562499	31727	Nurse Dyper
562499	56144	Sylvia Sheck
562499	70421	Mom Harris
562499	141412	Davis Mom
562499	206477	Liz
562499	222611	Ms. Elder
562499	264427	
562499	366993	Airplane Passenger
562499	378627	Betty
562500	48831	
562500	121829	Ziegfeld Girl
562500	163746	
562500	381806	Gloria Buckles (1969-1971)
562501	133570	
562502	134731	Commissary Waitress
562502	310303	Lesbian #2
562503	59377	Tina
562504	346121	British Child (2)
562505	221055	Courtroom Spectator
562506	266735	Ann Wager
562506	337649	Mrs. Everard
562506	401525	
562507	97212	Molly Power
562507	352465	Jealous Journalist #1
562507	399567	Dolly
562508	342842	
562509	69399	
562510	134	Susan Turnbull
562510	17679	Anne Devlin
562510	28652	Patty Byrne
562510	68239	Lorna
562510	77758	Agnes Mundy
562510	105597	Lady in Waiting
562510	110739	Mrs. Lysaght
562510	118270	Collette
562510	127311	Pamela Early
562510	135622	Morgan L'Fei
562510	141799	Thea Elvsted
562510	144558	Woman (in B&W film)
562510	199955	Roisin
562510	208034	Lorna
562510	285756	Simone de Saint-Exupéry
562510	298079	Lillian's Nurse
562510	319003	Mrs. Young
562510	335616	Lorna
562510	335982	Mad Woman
562510	340221	Betty
562510	368261	Stella
562510	380456	Emily Moggin
562510	407786	Sally McCann
562511	262614	Mrs. Cowan
562511	372380	Rosaleen
562511	389089	Elaine
562511	396004	Dierdre
562511	403415	Gillian
562512	257733	Theater Zombie
562513	387533	Miss Dooley (1999) (3 episode
562514	257782	Herself (Journalist)
562515	203062	Rider
562516	117722	Aunt Sonia
562517	37941	Old woman in gangster's hut
562518	2304	Herself - Award Winner
562518	22856	Elizabeth
562518	26140	Mrs. Piper/Widow Hubbard
562518	41337	Sylvia
562518	41494	Agnes
562518	41843	Glenda
562518	45636	Mrs. Randozza (segment "Nunzi
562518	59148	Mother Superior
562518	60148	Betty DeBoop
562518	66173	Mrs. Peacock
562518	67815	
562518	68085	Mrs. Cresswell
562518	76966	Mrs. Walker
562518	80784	Charlotte
562518	81222	Carol Werner
562518	88154	Eunice
562518	95101	Minnie Hitchcock
562518	116330	The Mother
562518	118471	Judith
562518	119357	Principal Handel
562518	121824	Gail Corbin
562518	130441	Maude
562518	146665	
562518	146666	
562518	147612	Joan Van Etten
562518	153250	Paula Hollinger
562518	154168	Frieda
562518	155888	Tessie (segment "1996")
562518	157978	The Who-Villian
562518	158780	
562518	163247	
562518	166470	The Cat Lady
562518	179069	
562518	180652	Aunt Angelique Lane
562518	185459	Penelope
562518	185537	Genevieve
562518	185538	Herself
562518	190887	
562518	217134	Mrs. Cherkiss
562518	218760	
562518	222602	Tess Skeffington
562518	223893	Mrs. Lindholm Sr.
562518	224179	Barbara Mannix
562518	224213	Marie
562518	230504	Miss Bannister
562518	232243	Ann Muldoon
562518	235809	Baba Goya
562518	236787	Mrs. Randazzo
562518	247915	Mom
562518	255355	Herself
562518	257857	Amy
562518	258963	Martha Catlin
562518	262626	Minnie Gray
562518	264581	Capt. Doreen Lewis
562518	273783	Sister Margaret
562518	275796	Hotel Desk Clerk
562518	289512	Darlene
562518	313456	
562518	314351	Mrs. Wilkerson
562518	314697	Stella
562518	314935	Billie
562518	323427	Sada
562518	323564	Vicky Martin
562518	329151	Genevieve Morgan
562518	335791	Joe - Limbo Judge
562518	337606	Clara
562518	363008	Mary Jensen
562518	363072	Jessy
562518	363953	Judy
562518	368305	Millworker
562518	378729	Felecia Winters
562518	379740	Ma Packer
562518	382149	Annie Gray
562518	382474	Lilith DuPrave
562518	390534	Miss Dirge
562518	399249	Kit Flanagan
562518	399993	Kate Halloran
562518	402204	Capt. Doreen Lewis
562518	403834	Regular Performer (1968)
562519	200052	Garda sergeant
562519	322921	Garda
562519	363146	Police superintendant
562520	26064	Additional Voices
562520	69915	Trish
562520	327591	Cathy
562520	405495	Helen Peters
562521	33996	Hannah Arnold
562521	200463	Nurse
562522	5502	Ruth
562522	160884	Mrs. Rooney
562522	352465	Jealous Journalist #3
562523	80695	Rockhouse Treat
562524	155890	Nurse Betty (segment "1961")
562524	362716	Billie's Mother
562525	395215	Various Characters
562526	104301	
562527	80695	Rockhouse Treat
562527	121521	Girl
562528	407656	Tanya (2001)
562529	216737	Dancer
562529	283543	Dancer
562529	298108	Dancer
562529	328598	Jennifer
562529	341515	Dancer
562529	352420	Debra
562530	33996	Sarah Shippen
562530	87509	Sinead
562530	110216	Cynthia
562530	200463	Lucy's Friend #2
562530	212698	Rosie
562530	399567	Finn McFadden
562531	78829	Dead Girl
562532	275996	Brideshead
562533	15886	Marguerite
562533	154657	Irish Barmaid
562533	183719	
562533	273850	
562533	291081	Desk Clerk at Heather's Apart
562533	338770	
562533	367877	Miriam
562534	14266	Russell's Mother
562535	383780	Mary Sibley
562536	32178	Villager/Additional Voices
562537	304443	Sitting at Cafe
562538	315907	Alice Reade
562539	56304	Wife
562539	372244	Marie
562539	391255	Karen
562540	101301	Secretary
562540	202920	Waitress
562540	382524	Agnes Ker (1969)
562540	385299	Annette Halls
562541	44433	Lawyer with Zella
562541	293149	Penny
562541	344024	Meia
562543	227696	Candy
562543	405209	Tina Twentyman/Louise Madigan
562544	7488	Clarice
562544	41271	Townswoman
562544	44485	Sally
562544	131594	Mrs. Kelly
562544	142469	
562544	185165	Mabel, hotel operator
562544	238983	Young wife
562544	295085	Woman
562544	330836	Maid
562545	396506	Miss Sarah
562546	97495	
562546	303963	
562546	316504	Receptionist
562546	380610	Louisa's Maid
562546	388209	Tess Halpin
562547	33524	
562548	309555	Dr. Pauls
562549	7977	Celebrity
562549	54541	Waitress
562549	75572	Vera
562549	183842	Lady Plymdale
562549	261608	Signe
562549	311252	Mrs. Oates
562549	382830	Madame Heger
562549	385299	Irene Bailey
562549	388863	Mary
562549	396080	The Bolter
562549	396692	Frau Hessling
562549	398965	Rose Mignon
562549	410156	Frau Sommer: 'A Confirmed Bac
562550	59141	Nancy
562551	261236	Terry
562552	162529	Tracey
562553	280081	Girl 'aged 2'
562554	171	Herself
562554	3988	Agent Robyn O'Brien
562554	13751	Herself
562554	50989	Susan Goldman
562554	56373	Amelia Harvey
562554	57492	Herself
562554	79986	Madelyne Thompson
562554	110243	Laura Walker
562554	141544	Eady
562554	188141	Annie
562554	230279	Chrysty
562554	232831	Lorna
562554	238611	Adult Bo
562554	255648	
562554	317945	Grace
562554	330443	Kathy (segment "Love Waits Fo
562554	372844	Mary
562554	393828	Amy Madison Gray
562554	397657	Blanche
562555	206831	Emily
562555	321486	Tina
562556	41843	
562556	62560	Carolina Moon
562556	81277	Waitress Max
562556	89964	Ruby
562556	117473	Shirley Cole
562556	143829	Social Worker
562556	177695	Ethelmae Turner
562556	204029	Paula Brenner
562556	257269	Delba
562556	336730	
562556	338547	Woman Passerby
562557	308184	Georgina
562558	168895	La mère
562559	115235	Lady of the Castle
562560	2645	
562560	68381	
562560	71813	Bernadette
562560	102006	Valérie
562560	107835	
562560	124419	
562560	134605	Serveuse cafeteria 1
562560	144317	Assistante Sociale
562560	157072	
562560	200958	Jeanne Chabut
562560	204668	
562560	209944	Make-up artist
562560	249677	La belle-soeur
562560	264950	La greffière
562560	269518	
562560	287602	
562560	290440	Julie
562560	292890	La maquilleuse TV
562560	325976	Mother, Bookstore
562560	338003	
562560	342611	
562560	346819	La pétasse accident
562560	355872	Ulla
562560	377479	Elisabeth
562560	386095	Mauricette Vialhe
562560	401755	
562560	402622	
562560	403427	
562560	409456	Claire
562561	143829	Social Worker
562562	11590	Nicki
562562	12610	Sylvia Rosenberg
562562	26289	Park Mom
562562	117162	Loretta
562562	133151	Fannie Metsler
562562	154194	Dori Green
562562	154738	Renee DeReda
562562	159550	Tutti Feynman
562562	185714	Eleanor
562562	231120	Connie
562562	237654	Jill
562562	237908	Carole Karasick
562562	242804	Amy Roberts
562562	242942	Jane Conyers
562562	244408	Cookie
562562	295619	Natalie
562562	301753	Hilda Pollack
562562	318808	Anna
562562	319187	Cynthia (segment "The Home")
562562	321734	
562562	383956	Sally Miller
562562	395284	
562562	399116	Ellen Colbert
562562	404939	Rhoda Gold Blackman
562563	372489	
562564	113501	Dorothy Hollings
562564	133723	The Mouse Queen
562564	205191	Singing girl
562564	218146	Uncle Vid
562564	222665	Winthrop's Secretary
562564	240785	Homeless Woman
562564	272592	
562564	292148	Elderly Militia Woman
562564	293099	Starlet
562564	316515	Old Woman
562564	329311	Old Lady
562564	334587	Sadie
562564	336106	Mrs. Courtland
562564	379318	Grandma Martin (1986-????)
562564	396160	Mrs. Gallagher (2003)
562565	127073	Nun at St. Joseph's Shelter f
562566	372134	Betty Newcomb
562567	407324	
562568	365922	
562569	212742	Herself
562570	65785	Airport Receptionist
562570	226894	Greg's Mother
562571	248102	Old Man
562572	277055	Amanda
562573	10317	Jan
562573	47797	Emma Preston
562573	74134	Woman in the Car
562573	86037	Ellen Rimbauer
562573	113495	Amanda
562573	134563	Reese
562573	189361	Debra
562573	250746	Anne Patricia Howard
562573	281455	Schitzo Applicant
562573	379716	Allison Sloan (1994)
562573	380391	Maggie Cory #5 (1995-1996)
562574	100788	
562575	34222	Spy
562576	81870	Louise
562578	79563	Featured: Show Open
562578	145414	Matilda
562578	330759	Sluggo
562579	70750	Clémence
562579	217224	La fille libération
562579	265196	Ninon
562579	284257	Louise Danton (segment "Année
562579	329322	Sylvie Monnier
562579	357107	Student
562580	217223	Schoolgirl
562581	133829	Bank Teller
562582	193545	Emma
562582	215651	Shimmer
562582	280626	Pollie Pi
562582	280627	Pollie Pi
562582	303236	Young Philomena
562583	6596	
562583	101573	Receptionist
562583	179347	
562583	180770	
562583	183951	Yaffa 'Yafchu'
562583	191783	Toby
562583	254859	
562583	306275	
562584	304195	Evelyn Glückmann
562584	376344	
562584	408208	Kathrin Lechner
562585	312918	Theresa
562586	316125	Anita Rochland (segment "Segu
562587	142351	Girl at Store #3
562588	224091	Doorman
562589	37708	Caspara
562589	154604	Resistance contact
562589	239899	
562590	7555	Siska Hansen
562590	11851	Sarah Keil
562590	18240	Night Club Singer
562590	18525	Rita
562590	33209	Kellnerin
562590	34425	Elisabeth Markwitz
562590	51458	Diana
562590	75450	Paula
562590	91022	Bianca
562590	93415	Polizistin
562590	124460	Airliner employee
562590	125124	Christine
562590	136991	
562590	150696	Jenny
562590	173226	Sandra
562590	179294	Ina
562590	184524	Luzie
562590	187715	
562590	200205	Vera
562590	204755	Tina
562590	225280	Tanja
562590	254580	Anne
562590	255901	Sophie
562590	257267	Katja
562590	259646	Waltraud Krämer - 'Silikon Wa
562590	265096	Martina
562590	302479	Jeanette
562590	312871	Nadja
562590	316528	Tessa Norman
562590	316531	Tessa Norman
562590	316532	Tessa Norman
562590	316533	Tessa Norman
562590	316534	Tessa Norman
562590	316535	Tessa Norman
562590	316537	Tessa Norman
562590	316539	Tessa Norman
562590	316541	Tessa Norman
562590	316542	Tessa Norman
562590	316543	Tessa Norman
562590	316544	Tessa Norman
562590	316545	Tessa Norman
562590	316546	Tessa Norman
562590	316547	Tessa Norman
562590	316548	Tessa Norman
562590	325588	Jenny
562590	325708	Irina
562590	325766	
562590	325986	Maya Kroner
562590	334634	Susanne Jansen
562590	356837	Anne
562590	368296	Elly
562590	376267	Clarice
562590	384387	Henriette
562590	385279	Roxanne
562590	385280	Roxanne
562590	392618	Susanne van Esken
562590	409861	Tanja Behrend (1995)
562591	396062	Maria, Loveboat Mermaid (1985
562592	17926	Penny
562592	79148	Darwin's child
562592	220963	Nancy
562592	279741	Edith
562593	157820	Emily Radburn
562593	247100	Margaret Austen
562594	13546	
562594	190956	Woman nr. 1
562594	344699	
562594	344801	
562595	104335	Blanca
562595	178034	Third Customer
562595	193745	Thibault's Maid
562595	316669	Portland Fancy
562596	105722	The Governor's Daughter
562596	107885	
562596	163918	Elgitha
562597	101067	
562598	185583	Ma Dalton
562599	379943	Style Agent
562601	136290	Goldwyn Girl
562601	294287	
562602	40938	
562603	295924	Beverly
562604	230622	Specialty
562605	16100	Melissa
562605	44335	Foil girl
562606	27247	Natalie Buxton
562606	47827	Ted's PA
562606	241497	Danielle
562606	381121	Natalie Buxton (Series 6-) (2
562606	386963	Jennifer Taylor (2003)
562606	391786	Gina Patrick (1997-2001)
562607	3163	Doreen Higgins
562607	45846	Nurse
562607	166940	Helen
562607	271170	Passenger
562608	29959	Mrs. Crampton
562608	45875	Mrs. Simpson
562608	46727	Stewardess
562608	51964	Officer Lucille Barron
562608	70341	Hooker
562608	79281	Matron #1
562608	84134	Lila Kirby
562608	85573	Akara
562608	85574	Akara
562608	106016	Aunt Thelma
562608	107283	Aunt Stella Binford
562608	118039	Louvenia Spanger
562608	124160	Mrs. Baker
562608	124224	Receptionist
562608	130311	Mrs. Reese
562608	134077	Elaine Connelly
562608	135513	Joe X's Blowsy Blonde
562608	135807	Joy Jenkins
562608	138772	Ethel
562608	151659	Dr. Sister's Sister
562608	151732	Mrs. Ryan
562608	169455	
562608	205035	Mrs. Wade
562608	270484	Mrs. Kaiser
562608	285091	Sheila
562608	289052	Mrs. Finley
562608	312926	Susie
562608	325120	Jane
562608	325149	Jane
562608	325163	Herself
562608	333162	
562608	334596	
562608	363770	Frieda
562609	8067	Alice Keeler
562609	10588	Mary Flynn
562609	20255	Lola Nichols
562609	23590	Val Lorraine
562609	32018	Mary Vanbrugh
562609	40611	Sally Ray
562609	44291	
562609	45223	Gypsy Carmen
562609	47292	Pearl
562609	47349	Rosalie Ryan
562609	74102	Tess Brandon
562609	75856	Weeping Wanda
562609	78064	Sheila Fairfax
562609	78090	Hester Engle
562609	79009	Ellen
562609	79371	Olga Derey
562609	79413	Carney
562609	79957	Det. Alma Peterson
562609	82759	Emma Vine
562609	83625	May Halloway
562609	90906	Violet Melton
562609	92739	The Magpie
562609	99846	Maude Lambert
562609	105981	Doris Fielding
562609	109435	Evelyn Corey
562609	114854	Inez Remírez
562609	116723	Nancy Smith
562609	117350	Polly O'Day
562609	117510	Brunet Who Turns In Andros
562609	118717	Rose Manning
562609	129557	Lady Eileen
562609	130758	Sister Teresa, Nurse
562609	142257	Bessie Burbeck
562609	142675	Marian Trevor
562609	144880	Francine Dell
562609	146256	The Tiger Lady
562609	147650	Undetermined Role
562609	147947	Agent Kay Drew
562609	148329	Georgia
562609	157248	Judith Gilbert
562609	160834	Deborah Kane
562609	162418	
562609	162419	Nannie Maitland
562609	163233	Beverly
562609	164704	Peggy Allen
562609	170768	Shanghai Lil
562609	177391	Cora
562609	183809	Señorita Catalina/La Ortiga
562609	185157	Natalie Dabrova
562609	185723	Woman
562609	186052	Pierrette
562609	186290	Daphne Grey
562609	186377	Clara 'Clary' Martinez
562609	193641	Margaret West
562609	195281	Mame Walsh
562609	196216	Jane
562609	196551	Ellen Craig
562609	197659	Little Snowbird
562609	199174	Empress Eugenie
562609	199224	Monica Dale
562609	199747	May
562609	206443	Beryl Fane
562609	207853	Rose Henderson
562609	213202	Margaret Warren/Midnight Moll
562609	214153	Constance Brent
562609	221178	Olga Petroff, aka Countess Du
562609	224029	Marie Wynn
562609	231858	Julia Reed
562609	232039	Gilberte Boismartel
562609	233288	Mrs. Alice Lake
562609	244359	Becky Simon
562609	246480	Dut Hunter
562609	246522	Mitzi/Dolores
562609	247374	Lenore
562609	248613	Bedroom Apache Dancer (Origin
562609	251286	Alma Dorene
562609	257798	Lucille Vane
562609	258294	The Lily
562609	263173	Ilka Blake
562609	269315	Jeanette Durant/Jerry Lyon
562609	270763	Ethel
562609	271102	Belle Chambers
562609	279744	Maria Belmonte
562609	292576	Janet Graaham
562609	295470	Natalie Cortez
562609	296817	Lolaire
562609	299729	Nell (adult)
562609	300166	Sibyl Shelton
562609	300557	Miriam Grey
562609	301768	Mrs. Roos
562609	301839	'Stormy' Martin
562609	301968	Cherry Malotte
562609	304967	Lucy Stavrin
562609	305770	Gertie Jones
562609	308657	Myra
562609	308757	Sonia Dainton
562609	309493	Vivian Austin
562609	310319	Mañuela
562609	310762	Natalie
562609	310833	Dorothy Temple
562609	312165	Frieda Molte
562609	312811	Miss Lloyd
562609	318159	Diana
562609	321745	Sybil Gerard
562609	321852	Paula Greig
562609	331686	Molly
562609	333655	Rena Terry
562609	334335	Rosa
562609	338294	Nora Prescott
562609	338550	Ruby Smith
562609	346358	'Feathers' McCoy
562609	360562	Bessie Alden
562609	361836	Mrs. Healey
562609	362928	
562609	364402	Betty Hamlin
562609	364544	Betty
562609	364811	Belle Langtry
562609	366915	Shirley Ross Cole
562609	367627	Kitty Evans
562609	367734	Dolly Morton
562609	368404	Carlotta Lamont
562609	368806	Martha Poska
562610	362174	Diana
562611	28309	Joy Eastland
562612	289632	
562613	76384	Latin Dancer
562613	139211	Maid
562615	232049	
562616	11	Bertie
562616	7492	Letitia Hinkle
562616	19557	Harem girl
562616	33778	Rosita Garcia
562616	47294	Hat Check Girl
562616	54933	Thelma
562616	61163	'B' girl
562616	66314	Girl
562616	81308	Lorna Ainsley
562616	113907	Divorcee
562616	116523	Magic Maid
562616	157886	Dance-hall girl
562616	184823	Vega
562616	218780	Operator
562616	239655	Bunny
562616	277844	Sunbeam
562616	279721	Derelict
562616	286334	Girl in canteen
562616	291239	Stella
562616	306466	Filipino nurse
562616	334586	
562616	372360	Leili
562617	318350	Candy
562618	145965	
562619	67861	
562620	254978	Eve Barnett
562621	187884	Herself
562622	64090	Junior Leaguer
562622	72104	Cover girl contestant
562622	126069	Showgirl
562622	157886	Dance-hall girl
562622	333054	Showgirl
562623	212837	Bridesmaid
562625	101322	Betreuerin
562625	409958	Sylvia Jones, gesch. von Beye
562626	34568	
562626	41053	Frau Hube
562626	115812	
562626	153713	
562626	259558	
562626	259674	
562626	328987	
562627	128741	Sorority Sister
562628	402995	Herself/RR: Maximum Velocity 
562628	403487	Herself/Maximum Velocity Tour
562630	377064	
562631	377340	Mutter Anthrazit
562632	360470	Janet
562633	215487	Herself
562633	397888	Herself (2002)
562634	241298	
562635	62973	Herself
562636	393247	Fill In
562637	8630	
562637	138847	Caroline, their daughter
562637	241061	Page Boy/Chauffeur/Film Extra
562638	62973	Herself
562639	45655	
562639	124267	Mrs. Moriarty
562640	57464	Jesus
562640	334706	Abuela
562640	383483	Rodrigo's mom
562640	393028	Adelaida
562640	396214	María Santander viuda de Mend
562640	401694	Amparo 'Amparito' González
562641	199525	Waitress
562642	56332	
562643	189408	Charles' Mom
562644	83769	
562644	157500	
562645	66337	Nicky
562646	67816	Angela
562646	151633	Ashley
562646	188650	Mrs. Wilson
562646	210960	Judy
562646	282872	Sylvia Quinn
562646	382397	Herself
562646	384546	Trainer
562647	387905	Regina Sifuentes
562647	387965	
562647	396462	Violeta
562647	408562	
562648	218549	Bonizzoni Angel
562649	105699	Juana
562649	293343	
562650	10051	Widow Runk
562650	307440	Concetta
562651	20439	Anna
562651	93779	Herself
562651	105424	Lynn Roman
562651	127322	Temptress
562651	208207	Susan Walker Farrell
562651	224123	Herself
562651	264439	Marai
562651	306773	Ava Sterling
562651	319902	Smeg's Mom
562651	350279	
562651	404282	Yvonne Bartelo (1990)
562652	38021	Susan (Grade 3)
562653	262	Voice of Tom's Sister
562654	389103	
562656	194534	The Kings Court Nobility
562657	238194	
562657	375353	
562657	409311	Tomina zena
562658	255501	Lorena
562658	391611	Pamela
562659	30582	Denslow's Niece Susan
562660	192495	Linda
562661	13253	Nancy Smith
562661	92007	Schoolgirl
562661	157913	Minna
562661	195647	One of the Darlings
562661	208719	Queen of the May
562661	245648	Shelby Girl
562661	301868	Student
562661	305398	Florence Martin's Girl
562662	127073	Cemetery Ghost
562662	226939	Woman Deleted from Fireworks 
562663	9125	Ticket agent
562663	114152	Wedding guest
562663	127073	Susan
562663	144913	Thaddeus's secretary
562663	175621	Jurist
562663	223711	Customer
562663	223745	Executive #3
562663	224073	Guest at Wedding
562663	226937	Banquet Woman #1
562663	226938	Train Lady #1
562663	226939	Woman at Police Station
562663	272602	Rental Car Manager
562663	283944	Woman passing Phonebooth
562663	335880	Cafe Diner
562664	217280	
562665	151545	Mrs. Henshaw
562665	223803	Lady on Bus
562665	235518	Miss Ephron
562665	296979	Mrs. Androzzi
562665	340530	Nurse Katz, Georgia St. Hospi
562666	84695	Soubrette accorse
562666	125723	
562668	60864	Ray
562668	175060	Kira Bedik
562668	201513	Herself
562668	264157	Parade Girl Carolina
562668	271344	Sarah Davis
562668	301391	Bo Hess
562669	176298	Herself
562670	93325	Miss Muir
562670	351930	Leebie
562671	16465	Jane Hardy
562671	129862	Sylvia Saperstein
562671	148584	Miriam Webster
562671	154575	Ellie Mannering
562671	389858	Meg Baldwin #1 (1966-1969)
562671	401183	Mandy Peoples
562671	401350	Laura Brooks (1964-1965)
562671	407593	Jessica Jackson
562672	404957	
562673	324624	Thetis
562674	199238	Doctor
562675	149232	
562676	334907	
562677	127585	Lucy
562678	3093	Popolana
562679	104130	
562679	234643	
562680	203939	
562680	215074	
562681	196871	The Bride
562682	317335	Julie
562683	380511	Herself (season 1)
562684	269082	Jody Maida
562685	302702	Maid
562686	268825	Anne
562687	183314	Skoleelev
562688	268825	Valérie
562689	200575	Une villageoise
562689	220497	
562689	387168	Véronique
562690	96987	Hotel guest
562690	152208	Flower Woman
562691	16874	
562692	81509	
562693	121345	Jeanne
562694	193016	
562695	284224	Passagère du bus
562696	121808	Tropicana Dancer
562697	105745	The woman
562698	389966	Herself
562699	94330	Michèle
562700	390950	Cashier
562701	120970	
562701	164220	
562701	205932	Receptionist
562701	249209	Fan de Jeannot
562702	251142	
562703	318111	Demi
562704	123419	Anne Marie
562705	11936	
562705	123274	
562705	155743	La Nyasse
562705	200575	Une villageoise
562705	275664	Catherine
562705	353829	Minouche
562705	384912	Marinette
562705	395259	Charlotte
562706	253042	Lucy
562706	399974	Athena
562707	60332	Herself
562707	367792	
562708	42533	Heather
562709	16644	Wheel of Fortune Contestant
562710	49754	Sarah
562710	82474	Anna
562710	131964	Ems
562710	168781	Emalee Lucas
562710	201520	Herself
562710	326552	Mully
562710	360919	Sonja
562710	372044	Yvonne
562710	385066	Boni (2002)
562710	390410	Irene Verweijden (#2) (2000-2
562711	51738	
562711	153874	Odette Vermaelen
562711	211741	
562711	220697	Andrée
562712	156331	
562712	390688	Sandra
562713	171922	Makili
562713	356533	Mima
562714	363953	Brunch Guest
562715	92514	Julie
562715	411065	Boobiana (except episode two)
562716	120101	Sonia Walker
562716	167591	Irene
562716	198021	Betsy
562716	272661	Adrienne
562716	348607	Trendy Girl
562716	387598	Various Roles
562717	88177	Lingerie Saleswoman
562717	203179	Henriette
562717	207139	Dumas' Mistress/Henriette
562717	333856	Mme. Leontine Pauline Aubart
562718	254882	
562719	133816	Schoolgirl
562719	158625	Jane
562719	168864	Sarah
562719	169465	Vera Verdew (The Killing Bott
562719	173169	Julia
562719	173170	Julia
562719	366767	Linda Rigg
562720	151659	Sally
562721	154180	Dancer
562722	98423	
562723	10919	Tech #1
562724	266671	Cheryl
562724	406457	
562725	387247	Jane Collins (2004-)
562726	14132	Bus Driver Lady
562726	128583	Italian Shop Keeper
562726	130354	Estelle
562726	283709	Kristen's Mom
562727	381326	Elizabeth Grant
562728	384894	Linette
562729	222599	Waitress #1
562729	222736	Cheri
562730	11582	Maxine, Frances' Maid
562731	17725	Terry von Struppwitz
562731	41224	Marguerite Deschanel
562731	67099	Eily O'Connor
562731	171489	Hilde v. Grabow
562731	179838	Daisy
562731	216987	
562731	265253	Thora Neilson/Elin
562731	366552	Trudl
562731	369181	Catherine Hareton
562732	15892	Sonya Markov
562733	90342	Josie
562734	131723	Susan
562734	138890	Debi
562734	251436	Amy
562734	379124	Cat Durnford
562734	382668	Kelly in 'Mother & Daughter',
562734	390627	Kim Alabaster
562734	400004	Donna (2001)
562735	274500	Mrs. Mellow
562736	167023	Kostohryzová
562737	104699	Girl in Orange Juice Ad
562738	20867	Germaine
562738	63722	La Marchande
562738	254058	
562738	294324	
562738	354243	Mme. Bourjeon
562739	114871	
562740	385002	Mlle Clothilde
562741	282502	La journaliste TV
562742	75500	
562743	296452	
562744	125080	
562744	259535	
562744	259650	Angestellte
562745	25785	Huissier
562746	308832	
562747	984	Henrietta Coffey
562747	29186	Laundry Woman
562747	80640	Diner Waitress
562747	191688	Eva Scott
562747	214909	Party Wife
562747	233816	Connie Dorral
562747	288942	Beth Young
562747	289668	Tracheotomy Wife
562747	384945	Nadia
562748	227778	
562749	78619	
562750	312658	Katrin
562751	119722	Els
562751	124895	Anna Meiberg
562751	144345	Katharina
562751	180912	Sissi's Mother
562751	225175	
562751	290571	Dr. Conrad
562751	322878	Irmhild Söhl
562751	325467	Erika Stein
562751	325663	Rebecca Howald
562751	325827	Mimi Engelbrecht
562751	352411	
562751	352539	
562751	361033	Marietheres
562751	366468	
562751	386220	Frau Priscall
562751	391294	Maria
562751	396920	Irene
562752	40278	
562752	63855	La belle Helene
562752	108773	Nathalie
562752	189914	Brennan
562753	321391	
562754	2130	Constance
562754	221467	Host
562754	368408	Herself (Dutch Presenter)
562754	392530	Herself - Presenter
562755	391621	Herself
562756	130160	Fourth Girl
562757	251544	L'enfant du train
562758	42878	Mercedes
562759	90145	Beate Tyszkiewicz/Donna Elvir
562760	99512	Perrondame
562760	305861	Blomsterdame
562761	231389	Mrs. Newton
562761	240835	German Couple, Others
562763	77412	Herself - Interviewer
562764	1893	
562764	40944	Erna
562764	153987	Fru Henriksen
562764	154624	Servitricen
562764	164767	Hilda
562764	300976	Cora Clarke
562765	23507	Kriminalassistent Ruth Bjerri
562765	33228	Grevinde i karet
562765	78475	Herself (performing 'Mozart J
562765	179971	Inger Marie Torp
562765	218975	Advokat Gitte Bristol
562765	237102	Herself/Various roles
562765	327350	Herself (segment "Revykøbing 
562765	354739	Eva - Maries søster
562765	390857	Den sorte dame
562765	393867	Finansminister
562767	359312	Editor in Chief GEO SAISON Ma
562768	84695	Hôtesse hall Degan
562768	91643	Jérôme's Secretary
562768	125744	Crying woman
562768	231286	Entraîneuse 2
562769	42077	Christiane
562770	254236	La Fleuriste
562771	139050	Snoopy Lady
562771	187420	Giganta
562771	203633	Mother
562771	305720	
562772	203633	Mother
562773	272320	
562773	275652	Ranik
562774	396333	Abuela de Soraya
562775	43931	Athena
562775	181834	Helen Hu
562775	346399	Woman - Lead
562776	405209	Nurse Maxine (1996)
562777	245632	Richies Mother
562778	201496	
562779	48831	Novia Mario
562780	273077	Transilvania Extra
562781	395420	Queen Pin
562781	395421	Queen Pin
562782	405640	Alana
562783	72104	Autograph hound
562783	84834	Sally (Little girl)
562783	170313	Skeeter
562783	184948	Katy
562783	221336	Asia Wiggs
562783	224047	Gerry
562783	263601	Little Girl
562783	272138	Mary Elizabeth 'Squib' Claybo
562783	277963	Flo Collins
562783	282460	Mary
562783	365188	Jane 'Janey' Nolan
562783	382041	Singer/Regular
562783	391773	
562784	61820	Rosalba Cat
562785	44433	Girl in Subway
562786	255258	
562787	178125	Ambulance Personnel
562788	95779	
562789	214481	Joan Lake
562789	353294	Sparkle
562789	353297	Jeannie
562790	200521	Richard's Mom
562791	28708	Rosy
562791	192187	Mary Ann
562791	351187	Cousin Ruby Sue
562792	53327	Tina
562793	195494	Driver
562794	332402	Blues Band Singer
562794	352749	Musical Perfomance
562795	254523	Surf Girl
562796	60829	Svetlana
562797	201572	Tabitha Mc Clure
562798	146011	Lodge guest
562798	212196	Girl
562798	273083	Showgirl
562798	292470	Goldwyn Girl
562799	188453	'Dislike' Girl
562800	115658	Lesbian filmmaker
562800	163565	Eve Ann
562800	271844	
562801	339596	Showgirl #1
562802	74006	Amy Jones
562803	87520	Truck Stop Waitress
562805	36874	
562805	36894	
562805	149362	Girl jumping out of birthday 
562806	201572	Tina Mc Clure
562807	296979	Marcy
562809	42808	Harry's Girlfriend
562809	343045	Loose Lady
562809	367512	Stewardess #1
562810	48085	Teresa Brewer
562810	331109	Pat Edmonds
562810	406915	Regular
562811	95080	Little Girl
562812	187231	Nurse
562813	157926	Choreographer
562814	397779	Lekisbarn (episodes 2-6)
562815	147413	Themselves
562815	192032	Themselves
562816	63835	Marjorie
562816	328754	Retty
562816	404891	Lizzie Sabin
562817	17319	Anita Rutter
562818	87951	Housewife's twin sister
562818	114851	Girl with Zolotov
562818	138850	Norwegian Wife
562818	147413	One of the Brewster Twins
562818	192032	The Brewster Twins
562818	342573	
562818	358453	Specialty
562819	154470	Nurse #2
562819	273221	
562820	5033	Girl
562820	30122	Gloria Amboy
562820	33599	One of Frenchie's girls
562820	56010	Honey
562820	56798	Alpha
562820	114958	Waitress
562820	128192	Model
562820	142439	
562820	163443	Model
562820	188326	Showgirl
562820	190179	Party Guest
562820	192032	The Brewster Twins
562820	194832	Bathhouse Exercise Instructor
562820	208246	Girl
562820	259258	Mrs. Mayhall
562820	281937	Claudia Comfort
562820	308382	Raider
562820	343160	Showgirl
562820	347751	Tennus
562820	355030	
562820	400006	Edith Nelson
562820	403074	
562821	233754	Matilda Addison
562822	39800	Mrs. Helen Danner
562822	71907	Ann Rowden
562822	161889	Mary Merrinoe
562822	177518	Martha Morse
562822	197073	Salesgirl
562822	203190	Vicki Carey
562822	239416	Eliza
562822	254594	Sylvia Quentin
562822	269032	Sue Walters
562822	302469	
562822	336229	Jane Doyle
562822	372705	Kate Lawrence
562822	393043	Wilhelmina 'Steamboat Willy' 
562822	397141	Samantha Crawford (1957-58)
562823	135772	Albino Woman
562824	193961	Angela/The Boy
562825	294512	Mrs. Patchwithers
562826	87951	Housewife
562826	114851	Girl with Zolotov
562826	138850	Norwegian Wife
562826	147413	One of the Brewster Twins
562826	342573	
562827	43	Sarah Weinstock
562827	17654	Ali
562827	59874	
562827	76222	Lucy
562827	107265	Delilah Profitt
562827	109421	Mia Toretto
562827	161891	Phoebe
562827	229126	Grace
562827	295430	Herself
562827	380713	Nikki Munson #1 (1995-1998)
562828	43376	Alice Cole
562828	44306	Judy Griswold
562828	56139	Laurette
562828	106729	Girl at Switchboard
562828	115630	
562828	116170	Betty
562828	130973	
562828	141037	Betty Kane
562828	145671	Bit
562828	152837	
562828	183626	Dolores
562828	195741	Betty Bartholomew, a Chorus G
562828	210392	Zoe
562828	249513	Mabel
562828	255236	
562828	264822	Adele Smith
562828	298080	Betty Mason
562828	306485	Lillian
562828	310872	Topsy Martin
562828	317972	Secretary
562828	329341	Frances
562828	346384	
562828	358453	Specialty
562829	44786	
562829	223798	Mrs. Pascoe
562829	255697	Pigeon Lady
562829	288980	Lady Cora
562829	292129	Mrs. Woburn, English tourist
562829	327144	Old Lady
562829	332026	Mrs. Corbett
562829	334136	Cold-cream woman
562830	84934	
562831	7099	Jenny Spy
562831	8228	Agent 15
562831	45871	Lipstikk
562831	83929	Frances
562831	104549	Aunt Lily
562831	147812	Phoebe
562831	152272	Beth
562831	188453	Michelle
562831	203319	Binky Beauregard
562831	208415	Rena Winter
562831	223720	Julianne
562831	236117	Lea
562831	241798	Tina
562831	304080	Julie Fontaine
562831	310646	Ms Indestructible/Emily Tilde
562831	378615	Beth Huffstodt
562831	380227	Jessica Green
562831	390241	Audrey Timmonds
562831	396047	Allison Conklin
562831	400676	Hostess
562831	408955	Claire Garletti
562832	404324	Presenter (2002-)
562832	408623	Herself (2001-)
562833	193862	Extra
562834	252840	Mrs Jordan
562834	386599	Ruth Harding
562834	397182	Sister Barbara Bowley
562835	150483	
562836	6865	Sara Anderson
562836	26844	Sally Baines
562836	37060	Melinda 'Scotty' Scott
562836	82327	
562836	108288	Holly Bankston
562836	162576	
562836	304336	Ali Barnes
562836	330912	Amy Harper
562836	388340	Holly Bankston #1 (1990)
562836	395653	Margaret Ann Culver
562836	400878	Shelly Lewis
562837	368934	Nikki Bennett
562838	388567	
562839	40864	Bar Voice
562840	176681	Mrs. Benoix
562840	306750	Fluffy
562840	318963	Granny
562840	356264	Mrs. Wallace Houston
562841	297880	Christmas Party Guest
562842	47355	'Lucky Star' Number Dancer
562843	186895	
562844	172920	Swimmer
562845	242731	Twin #1
562846	242731	Twin #2
562847	351549	La jeune femme éblouie
562848	264220	Marie enfant
562849	109667	
562850	62512	Tichácková
562850	92083	First witch
562850	129736	
562850	148823	Blázina matka
562850	206586	Ida
562850	221194	Krausová
562850	223537	
562850	231186	Mother
562850	237540	
562850	261518	Helena
562850	267951	Dorota
562850	268508	
562850	333789	Kabatová
562850	333808	
562850	373755	Mommy
562851	387059	Kája Macku/Kája Macku, the tw
562852	336	Girl in Nightclub
562852	16195	
562852	58126	Tondova spoluzacka
562852	165120	Kolínská
562852	204489	Irene Syring
562852	230468	
562852	249382	Nurse
562852	253805	
562852	262562	Mute Girl
562852	266349	Alice
562852	312415	Truck driver
562852	327373	Terrorist
562852	348460	Luisa/Klára
562852	374284	Mary Lockit
562852	375973	
562852	396264	Frau Pannicke
562853	93821	Pagan
562854	209809	Házmesterné
562855	181005	Elevator Teen
562856	360150	Wise
562857	177935	
562858	245908	Candy
562859	69469	The Dance Assistant
562860	77491	
562861	384480	Herself
562862	51952	Femme du frère
562863	101894	
562864	109809	Iya Zetnick aged 12
562865	32070	Singer in trio
562865	230622	Themselves
562865	302624	
562865	329335	Sally, Singing Sisters Act
562866	103480	
562866	169768	
562867	86292	Courtney
562867	195423	Honey
562867	251867	Reunion woman #2
562867	271063	Air France Stewardess
562868	170559	The Jumper/Susan
562869	148383	Jenny Blazer
562870	32070	Singer in trio
562870	302624	
562871	4622	Woman on bike
562871	183668	Listener
562872	329335	Mary, Singing Sisters Act
562873	136828	Relative
562873	162100	Fairy
562873	213588	Schoolgirl
562873	256626	Daughter
562873	264161	Chloe
562874	7485	Frankie Ricks
562874	9041	Minnie Wade
562874	13386	Frances Clayton
562874	32005	Isabel
562874	32960	Betty Bartlett-Cooper
562874	37163	Old Man Beagle's Daughter, Ma
562874	40019	Eunice
562874	40540	Gladys 'Glad' Price
562874	48029	Mary Abbott
562874	50018	Ruth Morgan
562874	52113	Doris Lane
562874	54428	Poppy Faire
562874	59612	Yvette Lamartine
562874	67156	Gloria Van Dayham
562874	77992	Terry
562874	92733	Anne Hogan
562874	100674	Hallie Purdy
562874	105074	Elizabeth Vandergrift
562874	116370	Mary Fulton
562874	117753	Alice Deane
562874	120688	Peggy Grant
562874	128330	June Dale
562874	135844	Sue Vancey
562874	139191	Ruth Waters
562874	139550	Lillums Lovewell
562874	143096	Charlotte Hamilton
562874	144825	Millie
562874	147722	
562874	147804	Herself
562874	148591	Millie
562874	154213	Helen
562874	154759	Frau Obermueller, the Mayor's
562874	163654	Janet Porter McClenahan
562874	176217	Josie Lazarus
562874	176783	Linda Allen
562874	179028	Mary Malone
562874	190472	Ruth Hammond
562874	191822	
562874	203129	Celia Fields
562874	203386	Alice Stoddard
562874	204197	Mary Harper
562874	206387	Judith Wheater
562874	218511	Mary Vernon
562874	218773	Sally Upton
562874	219136	Betty Ricks
562874	228814	
562874	228815	Doris
562874	241865	Molly Collins
562874	242053	Barbara Tanner
562874	242075	Barbara Calhoun
562874	248613	Sweetheart (Dream Girl)
562874	248983	Victorine Tallefer
562874	249512	Marie Burke, The Cigarette Gi
562874	253913	Wendy Darling
562874	264067	Mary
562874	264822	Fran Somers
562874	274982	Girl
562874	279153	Lucy Jeffers
562874	282625	Gwen Cavendish
562874	283393	Evelyn
562874	283577	Elizabeth
562874	291314	Herself
562874	296940	Muriel Ross aka Muriel Rossi
562874	297363	Sheila
562874	306756	Cynthia Brown
562874	308017	Joan Kendricks
562874	308625	Elsa Kranzmeyer
562874	310872	Sally Barnaby
562874	313336	Herself
562874	314476	Molly Taylor
562874	316669	Fancy Vanhern
562874	331472	Jennie Mullins
562874	339829	Herself
562874	342843	Mary Gilfoil
562874	343239	Julia Madison
562874	346168	Lucy Watson
562874	348102	Ruth Evans
562874	350698	Fay
562874	355102	Molly Stark Wood (schoolteach
562874	358904	Herself
562874	368404	Diane Cromwell
562874	397321	Janet Archer (1954)
562875	302793	Herself
562876	77255	
562876	99439	
562876	134503	
562876	281790	
562877	32070	Singer in trio
562877	302624	
562877	329335	Irene, Singing Sisters Act
562878	94312	Fille Helpos
562879	381504	Dédée champagne
562879	384297	Agnès
562879	404863	La secrétaire
562880	17709	
562880	382585	Couci-couci
562881	103207	Madame Clovis
562882	377491	
562883	55942	
562883	57779	
562883	212508	
562883	221748	
562883	221987	Mujer 1
562884	148460	Girl with Soup
562884	387272	Mavis
562884	387524	Emily at age five
562885	103366	Child Janice
562885	402086	Celeste
562886	50374	
562888	190751	Anne
562889	13047	
562889	89938	
562889	246950	Señora Batalló
562889	252529	Mariquita
562889	393549	
562889	399505	Judit
562890	234326	
562891	25788	Young woman at the café
562891	41000	
562891	60732	
562891	69770	L'institutrice
562891	86432	
562891	240429	
562891	248886	Women's Lib girl
562891	291682	Corinne
562891	402720	Isa
562891	402720	Yva (1995-1996)
562891	410144	Amie Religieuse
562892	278617	
562893	313699	Sister
562894	64396	Lohmann's assistant
562895	46242	Barbara
562895	271255	Det. Robin Borrie
562895	294060	
562895	405209	Ruth Brasch (1994-1995)
562896	192250	Older sister
562897	192250	Girl
562898	185743	Nurse
562898	284583	Katie Gilnagh
562899	252075	
562900	82963	
562900	119303	
562900	143755	
562900	269963	
562901	304454	Red Cross lady
562902	133901	
562903	31998	Mrs. Snodgrass
562903	32779	Irene Foster
562903	40542	
562903	52467	
562903	65661	Miss Godesby
562903	67162	Flora Wiggins
562903	87919	Grace Brainerd
562903	104879	Phoebe Ransford
562903	117991	Josie Lockwood
562903	130172	Jane
562903	134103	Mrs. Weedon Duyker
562903	141371	Gladys Laird
562903	143018	Marion Lane
562903	152626	Ruth Chandler
562903	185607	
562903	196271	Marian Lane
562903	196621	Nell Woodward
562903	203744	Mary Haskell
562903	212755	Sangaree
562903	217948	Maggie O'Brien
562903	238717	
562903	242094	
562903	263521	Lorena Gray
562903	278302	Princess Lorcha
562903	279339	
562903	285447	Annie Squires
562903	310871	Psyche Bines
562903	311748	Vivian Darville
562903	321362	
562903	330516	Miss Scales
562903	364245	Jenny Weaver
562903	367315	
562904	125986	Receptionist
562904	194355	Emily
562904	342374	Young Woman
562904	385020	Sonia Price (1981)
562904	405217	Ruth
562904	405993	Pippa (1988)
562905	68229	Weekley Child
562906	31620	Fannie Field
562906	105217	Olga Chekaloff
562906	133819	Herself
562906	133880	Herself
562906	147716	Herself
562906	147892	Herself
562906	202992	
562906	224133	Fannie Brand
562906	231846	
562906	248600	Herself
562906	291366	Herself
562906	315749	Herself in Monster Benefit
562906	350906	Herself
562906	374418	Herself
562906	375044	Norma
562907	356997	Kimmie
562908	85792	
562908	147756	
562908	184249	
562908	232120	
562908	264510	Police guard
562908	271305	Lisa
562908	292393	
562908	304848	Carol
562908	319284	
562908	324221	
562908	359456	
562909	25267	Supervisor
562909	56545	Herself
562909	68229	Elsa Weekley
562909	117958	Elena Rivera
562909	185407	Sally
562909	276239	Medic
562909	312965	Heather Brazier-Young
562909	317350	Director
562909	340866	Sophie
562909	368675	Zoe Chant-Vestry
562909	378710	Mary Ramley
562909	383845	Claire
562909	392677	PC. Sally Higson
562909	399849	Karen
562909	408988	Gabriella Emmanuelle
562910	125520	Mrs. de Courcy
562910	327710	Emily Brent
562911	112205	Stewardess
562911	316410	Natasha
562912	6407	Fanny Tissot
562913	236413	Dancer
562914	355441	Tere
562915	43401	Lycéenne 2
562916	383415	Overunit Wilson
562917	153334	
562917	225017	Mujer O.N.G.
562918	16249	
562919	47389	Ellen Ashley
562919	81103	Karen Manning
562919	133704	Katherine Witherby
562919	242093	Marcia
562919	261416	Carla Ross
562919	286948	Katie Barrett
562919	389893	Ellen Wedloe
562920	44450	Folk singer (Syracuse, NY)
562921	133361	Kate
562921	185272	Nic
562922	163964	Susan Grey
562922	232029	
562923	221307	Leaping Rock Pedestrian
562924	266713	Dr. Karen Pointer
562924	350343	Mrs. Henke
562925	66945	Mandy
562926	48278	Mary Ann Obringer
562926	294357	Orphan Girl
562926	331421	Steele's Granddaughter
562927	116519	Carrie
562927	234894	Harriet Carver
562928	185173	Tracy
562928	235675	Roxanne
562929	313825	Diner Waitress
562930	327300	Waitress
562931	306003	Betsy Michaels
562932	348505	Clara Linder
562933	126686	Marilyn White
562933	148908	Harry's Mother
562933	374418	Herself
562934	232387	1. Nonne im Kino
562935	131232	Extra
562936	160722	Marianne
562937	108897	Herself
562938	159974	
562939	147560	Door Widow
562940	132562	Female On-Looker
562941	72207	Nancy Haller
562942	19471	Second Singer
562943	314501	Girl in Science Class
562944	119976	Anguished Woman
562945	185565	Young Isabel
562946	114283	Laura
562947	387591	Sally
562948	190264	Corsetierre
562948	231794	
562948	237584	
562948	277953	Widow Cathcart, stagecoach pa
562948	278005	Loie Weaver
562948	280359	Aunt Tillie
562948	287019	Mrs. Richardson
562948	302785	Mrs. Perkins
562948	352752	Landlady
562948	365510	Margie Britt
562948	369367	Mrs. Molly Flagg, sheriff's w
562949	340247	Daughter
562950	170147	Nancy McCleod
562950	231389	Angelina at Age 12 Months
562951	296068	Werewolf Audition Girl #3
562952	175740	Picnic Woman
562953	281413	
562954	880	Schoolgirl/Puppy
562954	222746	Child in church congregation
562954	334210	Cromwell's Youngest
562955	107290	Easy
562955	379997	
562956	84399	
562957	360712	Bridesmaid
562958	1801	Herself
562959	31499	Taylor Walsh
562959	52318	Lisa
562959	88526	Beautiful Redhead
562959	186737	Glory
562959	215500	Contestant
562959	218553	Emily
562959	224691	Furry
562959	261404	Nicole
562959	351189	Masseuse
562959	381442	Lt. Taylor Walsh (1997-1998)
562959	385824	Sharon Taylor (1996)
562959	403060	Co-Host
562960	84851	Strange lady
562961	39241	Annie Mae
562961	49071	Betty Bridges (1990)
562961	67348	Mike's Nurse
562961	69263	Nurse
562961	79789	Betty
562961	84851	Derek's mother
562961	86454	Herself
562961	231798	Zadir Receptionist
562961	259284	Eunice
562961	281505	Nurse
562961	292677	
562961	381110	
562962	12776	Winnie M'Shalla
562962	49071	Little Girl #1
562962	84851	Little girl #2
562962	119093	Matese
562962	190951	Child Actress
562962	276406	
562962	320209	Laura
562962	411802	Lily Winters #2 (1996-1998; 2
562964	160982	Amazon
562965	186450	Darlene Bridges/Virgin Mary
562966	7827	
562966	39241	Karen
562966	49071	Dori
562967	68695	Woman at train station
562967	113475	
562967	120573	Herself
562967	329349	Aggie Larson
562967	391835	Talking head/soundbites (segm
562968	52312	Herself
562968	128735	Herself
562968	257653	Herself (Miss September)
562968	257813	Herself
562968	257821	Miss December 1994
562969	76600	Little Evalita
562969	347111	Molly
562969	410416	Dryad
562970	206831	Mary
562971	22735	Little Jenny
562971	147393	Young Charleen
562971	405016	Rachel Roberts
562972	70309	
562973	328289	Carmel
562974	363905	Waitress
562975	381952	Miss. Hastings
562976	71666	Countess
562977	290003	
562979	176332	Alice
562979	263172	Nurse
562979	334085	Leia
562980	38963	
562980	343010	Pickpocket's accomplice
562981	130358	Beach Girls
562982	12554	Woman
562982	24296	Cara
562982	40601	The Woman
562982	41383	Julie
562982	176499	Cooper's groupie
562982	187072	Ivy Gold
562982	187073	Ivy Gold
562982	210233	Claire
562982	227664	Audrey Tellis
562982	285729	Miss Mederos
562982	300173	Kate
562982	306996	Ed's Girlfriend
562982	335447	Emma
562982	338732	Tiffany
562982	398935	Hunter Randall
562982	401999	Rose Thornton
562983	143532	Daughter #3
562983	300326	Teenage Girl
562984	170411	Coffee bar person
562984	264913	Louisa Phillips
562984	405965	Liana
562985	62498	Solo Bit in 'Thank the Lord t
562985	103221	Singer 'You're All I Need'
562985	163544	Singer
562985	231794	Louisa
562985	295380	Specialty Bit in "Little Ting
562985	321616	
562985	358184	Singer
562985	367073	Ozmite/Glinda (singing voice)
562986	133855	Nurse
562987	10670	Saleslady
562987	160636	Kim
562988	382266	Jessica Ingram
562989	241227	Alice
562990	49071	Little Girl #2
562990	67387	Jacey Hastings
562990	77793	Young Tommy
562990	84851	Little Girl
562990	118984	Tiffany
562990	119093	Asia
562990	235647	Tonya
562990	310130	Jasmine Jordan
562990	340765	Gail Beachum
562991	39241	Katie 3 years old
562992	88770	Natasha Bowden
562992	388321	Daisy Sheldrake (1999-2000)
562993	315261	Amish Woman
562994	131630	Philippa
562995	59135	Patti Lou Jones
562995	151126	Catholic School Girl #1
562996	147555	
562997	117454	Featured dancer
562998	5210	Jett the Convict
562998	20281	Camp Mother
562998	40685	Canaan's Wife
562998	117704	FBI Agent
562998	167659	Groupie
562998	196572	Police Officer
562998	277954	Saloon Girl #1
562998	279152	Runner Friend of Maggie
562998	328247	Dr. Maxwell's Nurse
562998	369337	Town Girl #1
562999	39241	Karen's Nurse
562999	49071	Betty Bridges (1970)
562999	67400	Tess
562999	67445	C.R.A.S.H. Secretary
562999	79789	Peggy
562999	84851	Murphy
562999	86454	Herself
562999	147844	Audition Actor/Bessie/Hostage
562999	151122	Sharane's Sister
562999	173616	Linda
562999	176391	Student #2
562999	316225	Sabrina
563000	348458	Mrs. Clarkson
563001	227996	
563001	240761	Girl #4
563001	288619	Gail
563002	308117	
563003	216143	
563004	7077	Herself
563004	128638	
563004	228022	
563005	219769	Flower Seller
563006	25887	Policewoman
563006	25903	Plastic Flower
563006	25905	Karen
563006	110625	
563006	111185	Cat
563006	122690	Joey Law
563006	167364	Lo Mo-Zen/Sensitive Plant
563006	172226	Mui Yee-Heung
563006	192453	Tsan
563006	210969	Anna
563006	296592	Ann
563006	369583	Mona
563006	371447	Ann
563007	47875	Malverne Davis
563007	55397	Herself
563007	70952	La femme au verre de lait
563007	105213	Stage 7
563007	114381	Brandy
563007	175548	Herself
563007	232164	Gloria
563007	367055	Glinda, the Good Witch of the
563007	380390	Samantha Marshall (1982)
563008	93323	Cindy
563009	105213	Stage 7
563010	90942	Susan
563010	107396	Cheerleader 1
563011	396505	Presenter (2002-)
563012	147655	Girl With Fan
563013	139145	Woman in Garage
563014	160242	The Butterflies and Moths
563014	178909	Dancer
563015	39599	Susan
563015	67902	Linda
563015	121854	Panacea
563015	197581	Susy Benson
563016	2429	
563016	13786	
563016	228595	College School Girl
563016	235119	
563017	315147	Alice
563018	166104	
563019	8980	
563019	14936	
563019	21645	
563019	25689	
563019	28861	
563019	30515	Viúva
563019	30892	
563019	43235	
563019	54822	
563019	67650	
563019	67653	
563019	101719	
563019	104487	
563019	112757	
563019	132985	
563019	147339	Filomena
563019	195118	
563019	204281	
563019	222122	
563019	248303	
563019	252420	
563019	262236	
563019	265212	
563019	268988	
563019	275020	Dona Poloquinha
563019	280872	
563019	282268	
563019	286574	Clotilde
563019	291678	Clotilde
563019	296124	
563019	319491	
563019	334569	
563019	344806	
563019	344847	
563019	344879	
563019	350736	
563019	356033	
563019	380330	Carolina
563019	381222	Filó
563019	383866	Luizinha
563019	384002	Cândida
563019	384303	Ana Dória
563019	387777	
563019	387915	
563019	390751	Berenice Vasconcelos
563019	393615	
563019	396795	
563019	397539	
563019	398220	Donana
563019	400444	Lucrécia
563019	400838	Ida
563019	402159	
563019	409418	Guiomar
563019	409426	Pepa
563020	337566	
563021	329025	Lisa
563021	348594	Lou Sue
563022	154151	
563023	95525	Herself
563023	386642	Herself
563024	340877	Les luronnes
563025	379885	Co-Host
563026	236736	
563027	8065	Jane Hanley
563027	78909	Ms. Marcus
563027	95720	Officer Char
563027	185629	Dolores
563027	279156	Presidential Aide
563027	340034	New Neighbor
563027	362277	Political commentator
563028	273429	Herself/Seattle
563028	273436	Hostess
563028	360734	Lindsay
563028	402993	Herself/Seattle (1998)
563028	402995	Herself/RW: Seattle
563029	47217	Miss Risdon
563029	69850	Lady Longborough's Daughter
563029	117557	Bit part
563029	161914	Griffin's Secretary
563029	278563	English Telephone Operator
563029	297359	
563029	299072	Nurse
563029	302669	Nurse
563029	305454	Helen Barton
563029	337074	Lady in Waiting
563030	290936	Dancer
563031	328620	Mickey's Mother
563032	44974	Marietta
563033	265266	Ursula
563034	97360	Choir Member
563035	44501	Secretary
563035	52476	Jitterbug
563035	78641	Connie
563035	92147	Check Room Girl
563035	130622	Gold Digger
563035	163544	Dancer, Dutch Girl
563035	168125	Dancer
563035	248318	Company 'C' Girl
563035	274502	Chorus Redhead
563035	277144	Bubbles
563035	313076	Dancer
563035	366616	Flo
563036	139221	Girl
563036	154631	Miss Brier, receptionist
563036	204165	Virginia Schuyler
563036	239849	Trix Parker
563036	297269	Doris
563037	366998	Wedding Singer
563038	353303	Jackie Miller
563039	393669	Babalulu
563039	400236	Marcie Walsh (2002-)
563040	147610	Lulu
563042	119879	Stoned Teenage Girl
563042	129516	Young Blonde #1
563042	203313	Dottie Lausenger
563042	235412	
563042	282452	Sunshine
563043	164572	The Deputy
563044	19177	Liz
563045	186688	Girl
563045	231995	Molly Dean
563045	329370	Cherry Buck
563046	139606	Beauty Parlor Woman
563047	288094	Dancer
563048	10657	Fay Wilton, the Daughter
563048	16717	
563048	75296	
563048	188154	
563048	237816	Fay (Jack's sister)
563048	312308	
563049	282781	Pierre
563050	292788	Miss Strickland
563050	384485	Rose
563050	407174	Mrs. Fayne
563051	40091	Maid
563051	157068	Janet
563051	207093	Student
563051	258933	Beryl Collins
563051	347447	Liz Marley
563051	399835	Narrator
563051	402125	Mary Bennet
563051	404558	Jennifer
563051	411316	Lady Alice
563052	304744	English Maid
563053	395964	Maureen Penney
563054	86408	Receptionist
563055	681	Singer
563055	16264	Majken
563055	115423	Majken Pettersson
563055	124449	Vera 'Gullan' Karlsson
563055	136404	Mrs. Meijer, circus artist
563055	148818	Biggan
563055	148826	Carmen
563055	154249	Waitress
563055	159642	Rosa
563055	168437	Olga Hallman
563055	174049	Karin's sister
563055	180937	Margit Andersson
563055	181850	Prostitute
563055	190807	Corinne Gibus
563055	190835	Woman at the party
563055	192926	Miss Signe
563055	222474	Girl in tobacco store
563055	228386	Sonja
563055	237580	Cleaning-lady
563055	238405	Typist
563055	302139	Lisa
563055	303851	Selma
563055	308194	Monika's mother
563055	308201	
563055	315361	Birgit
563055	338708	Fabian's Dance Partner
563055	353002	Margit Söderberg
563055	353034	Vanja
563055	377434	Garibaldi's daughter
563056	242457	Evi Müller
563058	26241	Carolin Hofer
563058	56545	Herself
563058	178848	Tina
563058	228157	Natalie Schneider
563058	228158	Natalie Schneider
563058	228159	Natalie Schneider
563058	228160	Natalie Schneider
563058	228161	Natalie Schneider
563058	259640	Elke Markwardt
563058	305952	
563058	313660	Silvi
563058	313668	
563058	325572	Melanie Lohr
563058	376295	Sandra
563058	396634	Caroline
563058	399162	
563058	411161	Britta
563059	73628	Marie
563060	148483	Cliente do supermercado
563060	151237	Mãe do Inácio
563061	22190	
563061	60506	
563061	132769	
563061	224904	
563061	300735	
563061	349842	Mirabelle
563062	8448	
563062	161660	Marthe Durieux
563062	219484	Lucrèce
563062	328415	Lise
563063	29743	
563063	159555	Simone Hubert
563063	345180	
563064	398623	Host
563065	277726	
563066	212732	Brittany Landon
563067	105898	Monique Da Ville
563067	371416	Eléonore
563068	230554	
563069	252402	Pet
563070	99330	Ella (Aged 8)
563071	137547	Young Woman
563072	12408	
563073	333691	Pixie
563074	338056	Female
563075	153118	Iphigenia
563077	366139	
563078	161510	Liza
563080	73403	
563080	310683	Katrina
563081	47914	Headmistress Grimes
563081	128429	Dr. Katherine
563081	187046	Dr. Alice Manning
563082	223084	Herself
563083	183445	
563084	81038	News Babe
563085	204747	Linda
563086	403805	Tiffany Thorne (1998)
563087	340704	Felice
563088	166871	Additional cast
563089	363560	Field Trip Classmate
563090	71224	
563090	168133	
563090	221863	
563090	380563	
563091	163450	Contessa
563092	176392	Haber
563095	135195	Autograph Seller
563095	137259	Snoopy Old Lady
563095	251979	Safe Deposit Teller
563095	296733	Café Waitress
563096	138558	Hansel and Gretel
563097	273724	
563097	352632	Denise
563098	47117	Down Low Dancer
563099	192855	Interviewee
563100	213298	Mephistopheles
563101	92865	Guest
563101	97222	Kinion
563102	291014	
563103	40165	Miranda
563103	137029	Fielding
563103	323460	Talk Show Anchor
563103	353359	Dakota Scott
563103	363600	Janeene, Thompson
563105	101216	
563105	309754	
563105	349481	
563105	388141	L'amie de Danu
563106	155108	Herself
563108	383414	Additional Voices
563109	305173	
563110	312531	
563111	191098	Dancer 'Eat the Music'
563113	130358	Beach Girls
563114	96940	Billy Duane
563114	308079	Model
563115	80726	Club Metro Dancer, Kim
563115	405839	Herself (Solid Gold Dancer, 1
563116	10535	Me Julie
563116	40148	Leesha
563116	70612	Viola
563116	228302	Herself
563116	322598	Sallie Simpkins
563116	381121	Cassie Tyler (Series 4) (2002
563116	392148	Lisa Squire
563116	399069	Katy
563116	407312	Sally Simpkins
563116	407313	Sally Simpkins
563116	408018	Sally
563116	409660	Joanna Burrows
563117	188895	Judy Lang
563117	215507	Jaimee Madison, Miss Michigan
563117	230663	Cheerleader
563117	280699	Senior Coed
563117	313123	Elizabeth
563118	243580	Lisa Bookman
563119	142535	Moon's Voice
563120	27028	
563120	35538	
563120	83159	
563120	331303	
563120	361958	
563121	36772	
563121	75030	
563121	75031	
563121	75059	
563121	81501	
563121	100045	
563121	160777	
563121	232332	
563121	235653	
563121	264735	
563121	264745	
563121	273300	
563122	139651	
563123	5437	Mollie Lang
563123	19155	
563123	29334	Blanche Van Brough, George's 
563123	73403	
563123	74790	
563123	75358	
563123	95319	
563123	98918	
563123	100687	
563123	109785	The Doctor's Young Wife
563123	116967	
563123	117044	The Girl
563123	157468	Betty
563123	193098	
563123	195515	Bessie
563123	203466	Tex's Sweetheart
563123	211739	Nelly, the Waitress
563123	239001	A Servant
563123	241648	Evelyn Harding
563123	249522	Violet Moreland
563123	267513	Alice, Miriam's Grandchild, A
563123	269063	
563123	275812	
563123	279579	Diana Vernon
563123	305425	
563123	305914	
563123	308922	
563123	310683	Hilda Von Landshort
563123	316927	
563123	340532	
563123	349868	
563123	351746	Miss Sneade
563123	362700	Miss Weston
563123	366734	
563124	57268	Herself - singer
563124	329430	
563124	386941	Hostess
563124	387309	Edith Berman (1972-1973)
563124	393099	Pat Murphy
563124	398342	Emcee
563125	312384	
563128	45022	Jesse
563128	57766	Herself
563128	170706	Susie Sexpert
563128	174618	
563128	276190	Herself
563129	271197	Ava
563131	408091	Dolly
563132	203436	Chorus
563133	211764	Catherine
563133	261564	Pineview woman
563134	107925	Aunt Odelay
563134	140843	Aunt
563134	221325	Hilary Stevens
563135	2542	Performer
563135	16397	Herself
563135	122977	Herself - Singer
563135	223072	Herself
563135	241587	Herself
563135	281754	Herself
563135	288093	Herself
563135	288094	Herself
563135	308508	Emma
563136	284833	
563137	117362	Ashley
563138	257849	Playmate
563138	305717	Girl #1
563138	352693	Herself
563140	245605	Daisy
563141	321775	Rachael Thornhill
563142	94858	Woman in Pub
563142	312345	Mrs. Devlin
563143	385823	Sarah Hargreaves
563144	362752	
563145	340250	Hippi
563146	232450	Maili
563146	380285	Reporter
563147	2165	
563147	52070	Neighbour
563147	71600	Herself
563147	102452	Zugkuh (cow)
563147	228252	Herself
563147	395893	Herself
563147	403132	Herself
563148	355267	
563149	387364	Host/Herself
563150	68812	Tiziana
563150	71293	Ada Malfenti
563150	94674	Marta
563150	127885	Eleonora
563150	135363	Sarah
563150	144154	Linda Marco
563150	201992	Giulia
563150	270983	
563150	278404	Liliana
563150	308891	
563150	348153	Gioia de Vittis
563150	354464	
563150	402622	Juliette
563150	402825	
563150	406539	Avv. Sandra Mannuzzi
563151	27205	Marge Wilder
563151	100131	Customer #2
563151	150984	Susan
563151	315131	Lady at Door
563151	319416	Nun
563152	150275	Susan
563153	7987	Tracy Wilson
563153	283450	Tanya Abrams
563154	276304	
563154	355943	Natacha
563155	163731	(segment "Educazione sessuale
563156	4615	Giulia Casadei
563156	14855	Anna (segment "L'avaro")
563156	23562	
563156	28781	Adelina, madre di Ivana
563156	53024	
563156	57828	Una dama alla festa
563156	70766	
563156	83697	
563156	90754	Tamara
563156	97259	Vittoria's Mother
563156	104003	Robert's Mother
563156	108748	Regina
563156	127985	
563156	188609	Sister Giulietta
563156	202424	Granma
563156	206035	Esperia Carcaterra
563156	217758	Donna Marianna
563156	238937	
563156	243427	Teresa
563156	251618	Lilla Bellotto
563156	252632	The maid
563156	254345	Una suora
563156	254980	Amelia's mother
563156	260910	
563156	265194	Franca
563156	278749	Pietro's Wife
563156	279903	
563156	289349	
563156	294848	
563156	328200	
563156	351583	Letizia
563156	402302	Agnese
563156	408675	Flora
563157	14500	Gertrude
563157	36508	Olga
563157	57853	La regina [The Queen]
563157	89035	
563157	94717	
563157	113703	Maria Carla
563157	127909	
563157	199053	
563157	205249	
563157	212312	
563157	230003	
563157	268864	Contessa Anna Maria di San Gi
563157	282837	
563157	287692	Letizia Ramolino, madre di Na
563157	294848	
563157	328200	
563157	336150	Stefania
563157	349529	
563158	74912	Cook
563159	8616	L'aide soignante
563159	132403	La secrétaire de Castella
563159	212052	
563160	333375	Party Girl #1
563161	2944	
563161	297436	
563162	373748	
563163	169	
563163	3283	Madre Mauri/Mauri's mother
563163	3439	
563163	30946	
563163	95878	Carmen Villa Sanchez
563163	193350	
563163	343606	
563163	355760	
563164	200391	
563165	86046	Claire
563166	411509	Herself - Health Reporter (19
563167	318716	Dancer
563168	309927	Nurse #2
563169	11202	Puppy
563170	87432	Anti 'Oral Sex' Neuter
563170	294798	Mrs. Taplotter
563170	310648	Biologist
563171	402506	
563172	142873	Ida
563172	286334	Girl in canteen
563173	386618	Contestant
563174	62927	Pimentel
563175	65464	Elderly Customer
563175	363953	Elderly Woman
563175	366743	Visitor
563176	272440	Extra
563177	161084	
563178	83205	The Friend
563179	372371	
563180	40431	Delilah Dough
563180	117101	Gloria
563180	155635	Betty Boobs
563180	231492	Celine
563180	235571	Hooker
563180	304644	Jagger
563181	277622	Literary Party Guest
563182	6989	Zoe/Pestie/Prairie Dawn
563182	7118	Prarie Dawn, Rhonda Subicede
563182	13507	Suze Winter
563182	33190	Sally Hayes
563182	64107	Zoe
563182	64813	Angie
563182	91994	Mrs. Perigrew
563182	99461	Prairie Dawn/Zoe/Penguin
563182	153488	Betty Armstrong
563182	191321	Debbie
563182	194169	Helena Charles
563182	213231	Dana Mardukas
563182	222491	Prairie Dawn
563182	222495	Additional Muppet Performer/N
563182	239588	Mrs. Sloan
563182	286601	Mrs. diFazio
563182	293637	Mother
563182	295003	Zoe
563182	295008	Prairie Dawn/Zoe
563182	362115	Lily Marvin
563182	368455	Herself/Muppet Performer
563182	375520	Zoe
563182	382669	Miss Elaine Perigrew, Ms. Emi
563182	385120	The Stitch Sisters
563182	386615	Colleen (1992-1993)/Terri (19
563182	387492	Prairie Dawn/Zoe
563182	390771	Beverly (1997)
563182	392185	Fran Bachman (1974)
563182	393509	Vicky, Colleen Barker
563182	398543	Additional Muppets (1976)
563182	401629	Prairie Dawn (2002-), Zoe (20
563182	404337	Vazh (1975-1976)
563182	404897	Prairie Dawn (1970-)/Betty Lo
563183	49391	Lady at Henley
563183	58875	2nd Nurse
563183	346120	Princess of Wales
563183	382483	
563183	388787	Lucy
563183	405988	Gwen
563184	301992	
563185	390523	Cathy Hargreaves (1979-1982)
563186	109508	Various roles
563186	326596	Lulu
563186	388474	Various Roles
563187	76253	Woman at Boutique
563187	76254	Jeannie
563187	192100	Church Woman
563188	230934	Bar Patron
563189	6908	Patsy
563189	35137	Carter's Showgirl
563189	107688	Beanie Smith
563189	107695	Secretary
563189	107698	Hat Check Girl
563189	107699	Bellhop
563189	107873	Bit
563189	116898	(segment "He Forgot To Rememb
563189	123913	Sis
563189	127698	Gladys Knight
563189	128440	Claire
563189	132323	Girl in Hotel Lobby
563189	139020	Alice
563189	140777	Girl
563189	158777	
563189	177041	Marge Connors
563189	192604	Mabel, the Waitress
563189	212216	Sagebrush Inn bellgirl
563189	223046	Gladys
563189	230278	
563189	247359	Pan-American Girl
563189	295293	Girl in band
563189	295470	Bit
563189	302632	Dottie
563189	327821	Western Union Girl
563189	362063	Showgirl
563190	245229	Woman in Bank #2
563191	230103	Psychologe
563192	389130	La Sauvageonne
563193	66834	Mme. Louvet
563193	160661	
563193	199359	Louise Boivin
563194	43665	
563194	71224	
563194	85598	
563194	90452	Rozilda
563194	103216	
563194	104118	
563194	107710	
563194	212136	
563194	293886	
563194	344809	Dream's Mother
563194	353344	(segment "Favela")
563195	380107	Asunción
563195	410109	Host (2001-???)
563196	231598	
563197	21590	
563197	273664	
563197	281597	Doncella
563198	74151	Malvina
563198	145193	
563198	207754	
563198	274764	
563198	281611	
563198	307785	
563198	353984	
563199	192857	Kate Sanders
563199	395828	Kate Sanders (2001-2004)
563200	294603	
563201	323974	Lucille-Ann
563202	81453	Clara
563202	91453	
563203	70347	Cabaret Singer
563204	48219	Margherita
563204	53143	Tracy
563204	53833	
563204	53834	Claudia Baldazzi
563204	53835	Claudia Baldazzi
563204	63741	Giulia
563204	65190	
563204	67444	
563204	68650	Federica
563204	68658	
563204	81695	
563204	82710	Hannah
563204	110388	Aurelia
563204	133389	Francesca
563204	163699	Giulia
563204	209831	Chiara Bandini
563204	227962	
563204	255110	Sophie
563204	263931	
563204	270860	Nemecsek's mom
563204	309404	Ursula
563204	342120	Sara Lancetti
563204	349615	Nicoletta
563204	381622	Victoria 'Vicky' Melzi Ventur
563204	384750	Roberta
563204	384751	Roberta
563204	389278	Monique
563204	393137	
563204	400788	
563205	13367	Herself
563206	114298	Young Brenda
563206	339544	Little Dyke
563207	189350	A shop-seller
563208	234966	Yacht woman
563209	25508	Herself
563210	378966	(1984)
563211	59151	Teacher
563211	101570	Lynnell
563211	360510	
563212	202090	La jeune fille enceinte
563213	100249	
563214	88574	Edy Stark
563214	105116	Kris
563214	114546	Edy Stark
563214	135992	Edy Stark
563214	139088	Edy Stark
563214	139170	Edy Stark
563214	257644	Herself (Miss November)
563214	257859	Herself
563214	257865	Herself
563214	274148	Herself
563214	317437	Sondra
563215	315246	Faerie Girl
563216	45853	Zombie's Mother
563216	71567	Woman at exhibition
563217	315211	Woman at Fair
563218	61845	Fairy/Leprechaun
563219	321754	Aladdin Cashier
563220	296266	Hayden
563220	316926	Miranda Cross
563220	387303	Ginny Lynch
563221	151641	Taxi Interview Girl
563222	166274	
563222	188683	
563223	119484	Astrid
563224	202521	Herself
563225	181765	Gås
563226	29875	Anniken
563227	356890	Blomsterassistent
563228	100357	Fru Riis
563228	192487	En dame
563228	229281	Elise Thiers
563228	278348	Erika Lie
563228	304185	Journalistens kone
563228	322292	Marit Kraft
563228	344290	Mona Dahl
563228	353000	Berit Thorsson (Norwegian ver
563229	391724	Herself - Designer (2004)
563229	392300	Herself - Expert panel/Design
563230	16654	Flower Girl
563230	32983	Susan
563230	45217	Hat Check Girl
563230	84442	Mary
563230	107762	Ruth
563230	116523	Telephone operator
563230	123240	Hat Check Girl
563230	136284	Clerk
563230	149382	Cheerleader
563230	154864	
563230	192604	Girlfriend
563230	193854	Dancer
563230	221034	Elsie Brown
563230	262310	Girl on bus tour
563230	285135	Doris Rogers
563230	298069	
563230	304587	The Senator's Maid
563230	329481	Program Peddler
563230	331180	Girl
563230	372093	Cigarette Girl
563231	81454	
563231	120141	
563231	233496	Margaret
563231	268229	Meg
563231	296696	Princess Theodora
563231	346661	Dominique
563231	378731	Tania
563231	400381	Altaar
563232	341946	Miss Jessel
563233	227212	Nirmala
563233	407699	Jean
563234	231136	The Assistant
563235	7451	
563235	14348	
563235	33803	Elsa Bergen
563235	57276	
563235	57749	
563235	77378	
563235	100060	
563235	101036	Madame Spadoni
563235	110126	
563235	113253	Mme. Novalic
563235	116350	
563235	132177	Comtesse de Savieres
563235	133027	
563235	159555	Mme Delbet
563235	198305	
563235	201177	
563235	202297	
563235	206951	
563235	212777	Maria Strogoff
563235	219504	
563235	249090	
563235	259017	
563235	271909	
563235	371417	
563235	376534	
563236	28995	Suzy
563237	185602	Young Queenie Leavis
563238	150322	
563238	178171	
563238	253067	Daisy
563238	316480	
563238	316905	Kate Lloyd
563239	284442	Violincellist
563240	119484	Astrid
563241	305636	
563242	100828	Lizzie Berrill
563242	110996	
563242	127283	Matron
563242	147126	Mrs. Figgins
563242	175628	Landlady
563242	176316	Mrs. Quinn
563242	183878	Bit Part
563242	190750	
563242	193928	Fat woman
563242	220273	
563242	220893	Gypsy
563242	231389	Pensione Mama
563242	239750	
563242	255081	
563242	281962	Queen Gertrude
563242	308641	Sideshow Owner
563242	309872	A Psalm Singer
563242	323446	Lady With Children At Station
563242	330527	Guest at Casanova Bar
563242	333042	
563242	340519	Old Tinker Woman
563242	356955	Mrs. Thompson
563242	371025	Newspaper seller at railway s
563243	49587	
563244	328277	Girl
563244	385824	Sarah Horton #4 (1985-1989)
563245	259190	Wanda Kwasinskaja
563246	154660	Sterling Admirer
563247	79938	Tracey/Lucy Abercrombie
563248	55013	
563248	59787	
563248	74354	Esposa Enrique
563248	91393	
563248	101857	
563248	103479	
563248	159232	
563248	171380	Prostituta
563248	183524	Marisol
563248	207642	Mireya
563248	211069	
563248	212401	
563248	222119	Rositra
563248	234376	
563248	238765	Jaqueline
563248	277363	
563248	298492	
563248	318290	Esposa Don Jorge
563248	351682	
563248	371276	Sobrina
563248	376650	Cajera
563249	380351	Åsa
563250	44893	Titania
563253	364990	Gschaftig, Poldi
563254	355333	
563255	71286	Reporter
563256	322498	Herself
563257	5298	
563257	17045	
563257	62738	Comtesse Charlotte von Mudrac
563257	65199	
563257	76376	Daisy Claasen
563257	96478	Assistentin
563257	98046	Frau
563257	107623	Mavis Stanton
563257	121052	
563257	134818	Elga Brink
563257	137143	
563257	142079	
563257	156610	
563257	157769	
563257	170127	Friederike von Sesenheim
563257	175775	
563257	181167	Elise Laurin
563257	182863	
563257	184496	
563257	186940	
563257	206503	
563257	226254	
563257	241972	
563257	254931	Edana Hinde
563257	269196	
563257	270035	Domittila
563257	293995	
563257	312064	
563257	314897	
563257	315176	
563257	315838	
563257	328360	
563257	341765	Ethel Lloyd
563257	344744	
563257	361131	
563257	376399	Vera
563257	376450	
563258	43248	Birgit Kroogh
563258	138521	Eva
563258	153744	Lisa Carlsson
563258	182560	Mrs. Ölander
563258	377424	Countess Betty Gyllenstöör
563258	377429	Ms. Björkemo
563259	340798	Betsy
563260	260281	Gail Force
563261	248095	Randi
563261	293767	Violet
563262	2674	Aggie
563262	21379	Oline
563262	83059	Abelone Nisted
563262	102348	Nille
563262	108974	Fru Mikkelsen
563262	153343	
563262	179978	
563262	228392	Kone
563262	286830	Rufferske
563262	322455	Fru Mortensen
563262	322468	Karen
563262	338666	Bondekone
563263	137258	Rachel
563263	157438	Rachael (The Spider)
563264	303904	Half Naked Woman
563265	2234	Vanessa
563265	14600	Doctor
563265	195079	
563266	107009	Herself
563267	398194	Mette
563268	89330	Athena
563269	170710	Hostess
563269	200283	Suzy
563269	293637	German Woman
563269	322274	Receptionist
563270	192067	Susan Partridge
563271	83595	Cherry Millette
563271	277831	Guest
563272	281937	Sister Veronica
563273	107490	Becca
563274	318791	Party Guest
563275	124687	Snoes
563275	321561	Alex
563276	11671	Herself
563276	38014	Herself
563276	87981	Herself (in audience)
563276	161219	
563276	311781	Model
563276	311782	Herself
563276	349550	The Girl in the Ferrari
563276	351187	Woman in Ferrari
563276	390959	Herself
563276	395810	
563277	126686	Street People
563278	327254	Mom
563279	161219	
563280	143260	Usherette
563280	297919	Girl
563281	133875	Herself
563282	40744	Office Worker
563283	81256	Gina
563284	290985	Linda
563285	145934	
563285	165103	Sadie Rosen
563285	224594	Teresa
563285	363702	Miss Brinkman
563286	108546	Marije
563287	405243	Herself
563288	14834	Ragazza cubista
563289	50611	Girl #4
563290	125229	
563290	192102	Second Lady
563290	410813	
563292	352156	Margot
563292	400217	Babette Couwenberg (1997-2001
563293	194836	
563294	270425	
563295	24038	
563296	17725	Annemarie, Bocks Köchin
563296	30283	
563296	183245	
563296	223469	
563296	225178	
563296	343782	
563296	360649	
563297	346020	Neighbor
563298	297290	Nurse
563299	311004	Jacques' Grandmother
563300	73326	Old Woman
563301	66313	Jian
563301	224088	Catty Co-Worker
563302	378943	Sam & David Camden (1999-2001
563303	139081	
563304	318855	Amanda
563305	41795	Motel Receptionist
563305	301945	Nurse
563305	391532	Sarah
563305	394297	Dr. Robyn Foster
563305	402197	Jill Clarke (1983)
563305	402774	Public Defendant
563305	405960	Wendy Armstrong
563305	411809	Judy Sutton (1982)
563306	236957	
563307	188341	Helena
563308	229002	Suzy
563309	1473	Madeleine
563309	11952	
563309	59258	
563309	78345	La mère
563309	96197	Cathy
563309	111031	Marie
563309	112854	Sabine
563309	195170	Social worker
563309	225454	Alice Martin
563309	255657	Véra
563309	263005	La supérieure
563309	353912	L'inconnue de la dernière dan
563309	375794	La jap
563310	307067	
563311	118618	
563312	6416	Marthe, la patronne du bordel
563312	10371	La Grande
563312	15065	La mère de Marthe
563312	23541	Melle Millard
563312	33278	Carla
563312	37630	Hélène
563312	40994	Erika
563312	48229	Alice
563312	51310	Janine
563312	51381	La clandestine
563312	54839	Stella
563312	58309	
563312	58753	Tamara Noris
563312	63656	Eléonore
563312	66676	Irène
563312	66710	Dominique
563312	68396	Martine
563312	80129	
563312	83260	Janet
563312	83399	Odette Balland
563312	88177	Bookstore Owner
563312	92905	Striptease Girl
563312	96173	Elsa
563312	97065	Miléna
563312	97393	Herself
563312	103827	Liliane
563312	104238	
563312	120403	Madame Bourneuf
563312	122748	Alma
563312	131175	Hélène
563312	157065	L, the Woman
563312	162614	Mme De Mores
563312	174636	Sophie
563312	176713	Lady with Dog
563312	187687	Marie-Christine
563312	195702	
563312	199389	Ingrid
563312	224578	Mme Dumont
563312	228193	
563312	229666	Lucie
563312	237316	Judith Ashby
563312	248985	
563312	249128	Jacqueline (segment "François
563312	254056	La locataire accueillante
563312	258868	Madame Yvonne
563312	272033	
563312	281918	Melina Nikolaos
563312	283035	Alice
563312	284162	Maria Linarès
563312	285731	
563312	286020	
563312	307500	Françoise
563312	309732	Lennie
563312	318515	La mère de la jeune fille bor
563312	324944	Mme Margherite
563312	328047	La mène d'Isabelle
563312	332236	Ulrike
563312	334176	Hélène
563312	337031	Martha
563312	338327	
563312	338493	
563312	345075	Jacqueline
563312	345377	
563312	345525	Jeanne Ancelin
563312	349498	Eléonore
563312	350375	Béatrice, la mère
563312	354646	Olivia
563312	360843	Manou
563312	382472	Sophie
563312	392003	Morgane
563312	395480	Madame Volanges
563312	397938	Patricia Falkland
563313	149748	Herself
563314	26783	Hedda Niven
563314	118280	Mrs. Whitney
563314	124627	Old Lady on Bus
563314	138419	Biddy in Post Office
563314	348835	Little Old Lady
563314	349689	Mrs. Howler
563315	348402	Woman with Purse
563316	48113	Murtel
563316	101706	
563316	327601	Azenith
563317	83657	Gambler
563318	202853	Fleshy-Sexy Vamp
563319	42618	
563319	94303	
563319	98048	
563319	180004	
563319	303715	
563319	358894	Susi
563320	287809	
563321	159045	Voix de la réception
563322	103254	Floosy
563323	391636	Hostess
563324	53033	PA Announcer
563325	282781	Pierre
563326	387601	Cast (Purple Team)
563327	236890	Nurse Gordon
563328	199477	Amy
563329	93974	Rosette
563329	323564	TV Host
563330	126710	Gwen
563331	92666	Teen Co-Worker
563332	46393	Lynn Vickers
563332	171724	Handsome Woman
563332	224179	Aerobics Instructor
563332	276413	Holly Tender
563332	378966	(1983)
563333	13275	
563333	17772	
563333	21262	
563333	26663	
563333	33311	
563333	33743	
563333	34000	
563333	61628	
563333	67132	The College Girl
563333	68877	
563333	70200	
563333	70832	
563333	71690	
563333	71769	
563333	87916	
563333	88896	
563333	120554	
563333	126726	
563333	127540	
563333	141681	The Widow's Daughter
563333	143152	Mrs. Grey
563333	143214	
563333	145790	
563333	146138	
563333	149177	The Daughter-in-Law
563333	150972	Gertie Farish
563333	153182	
563333	157485	
563333	158256	
563333	160709	
563333	166219	
563333	168465	
563333	185607	
563333	189525	Edith Hobson
563333	191804	Lottie Wilson, the Wife
563333	208033	
563333	224268	The Governess
563333	230763	
563333	251164	
563333	262036	Mrs. Eric Masters
563333	262058	
563333	262064	
563333	262587	
563333	286548	
563333	290384	
563333	298044	
563333	311550	The Mother
563333	311750	
563333	315152	
563333	315163	
563333	317885	
563333	333415	
563333	342750	
563333	354922	
563333	362876	
563333	368120	
563334	224871	
563334	240137	
563335	192122	Banker's Wife
563336	2019	Party Girl #3
563337	119585	Miz Golson
563338	23152	Herself
563339	11299	Herself
563339	21448	Singer
563339	31193	Herself (CBS Team)
563339	31195	Herself - CBS Team Contestant
563339	31197	Herself (CBS Team)
563339	36724	Billy Jean
563339	64556	Herself (Performer)
563339	64568	Herself
563339	64569	Herself (Performer)
563339	155824	Morrison Child
563339	176715	Libby
563339	177451	Young Tita
563339	180651	Herself
563339	217490	Jenny Bergman
563339	232017	Herself
563339	263010	Janie Bennett
563339	305159	Ribi Ciano
563339	312672	Tammy
563339	352960	Herself
563339	379713	Stephanie Mills (1978-1979)
563339	380570	Stephanie Mills (1979-1983)
563339	385824	Sasha Roberts #2 (1987)
563339	394676	Mary-Frances Sumner #1 (1983-
563339	406617	
563340	264075	Christine Kingsley
563340	311275	Dr. Fisher
563341	175265	
563342	150559	
563342	162769	
563343	322395	Nancy (from Continental)
563344	193313	
563345	14231	Rachel Kessler
563346	361864	Annie McCain
563346	403278	Hilary
563346	405960	Phyllis Hudson
563347	307881	Woman in Irish Bar
563348	78087	Janet
563348	158813	Nancy
563348	253000	Head Nurse
563349	330590	Kid
563350	96360	
563350	110169	Faustina
563350	233978	Laura
563350	334657	Gaby
563350	376858	
563350	383825	
563350	383826	Various
563350	396987	Teresita Lancaster (Tere)
563350	401823	
563350	402158	Yamila
563350	403237	Cristina
563350	404712	Vilma
563350	405226	Teresita Lancaster
563350	405235	Herself/Various Characters
563351	391532	Taya
563351	399130	Simone King (2000)
563352	35644	
563352	185637	
563353	59105	Half a heart model
563353	73718	Geraldine
563353	95874	Heather Locklear
563353	115713	Tonya Smith
563353	124017	Scarlet
563353	163666	Herself
563353	236150	Jenny
563353	238737	Dos
563353	290939	Training Video Woman
563353	379454	Herself (1995-1997)
563353	395972	Herself
563353	398620	Herself
563353	409498	Herself
563354	385020	Sandra Rogers (1990)
563355	182571	Dorette
563356	345481	
563357	5033	Mrs. Poole
563357	5874	Mrs. Russell
563357	7178	Mrs. Jenny Hammond
563357	10604	Elsie Clark
563357	11277	Mrs. Tomlin
563357	11582	Nun
563357	12749	Lucy Bond
563357	19159	Nora
563357	21297	Seamstress
563357	27315	Mrs. Hathaway
563357	29117	Maria
563357	35603	Martha, Governor's Wife
563357	37236	Mrs. 'Mother'/'Mumsy' Trent
563357	37310	Mrs. Booth
563357	39494	Mrs. Margaret Kingsley
563357	45232	Sophia, Marina's Maid
563357	48982	Mrs. Carson
563357	54471	Flo Clark
563357	54478	Doña Maria De Vargas
563357	58419	Landlady
563357	60162	Mrs. Benson
563357	61567	Mr. Norton's Mother
563357	64101	
563357	64668	Seamstress
563357	71630	Tour guide
563357	73173	Patricia Cornwall
563357	77177	Mrs. Walters
563357	78986	Martha, housekeeper
563357	82379	Mrs. Ellis
563357	84252	Sophie Claggett
563357	89711	Nun
563357	90847	Mrs. Burton
563357	92219	Aunt Julia
563357	93571	Lynne Evans, alias Emily the 
563357	97496	Mrs. Dennis, the Rectory Hous
563357	105729	Mrs. Edith Alderson
563357	107181	Miss Harvey, Juror
563357	107452	Bintang
563357	114844	Alhena
563357	117801	Mrs. Kimball
563357	122656	Lavinia
563357	124482	Friend of Mrs. McNutt
563357	126513	Mrs. Brown
563357	127082	Mother Zombie
563357	129097	First Nurse
563357	133688	Sadie, Arizona Housekeeper
563357	139214	The Dress Saleswoman
563357	139581	Mother of Harriet Craig
563357	140477	
563357	145712	Miss Collins
563357	148956	Mrs. Van Twerp
563357	150067	Mrs. Chapman
563357	150797	Landlady
563357	154623	Nurse
563357	155723	Mrs. Dale
563357	161975	Eleanor's Nurse
563357	162377	Mrs. Ayres
563357	163431	Miss Holden, Summer Stock Tea
563357	166990	Boy's Mother
563357	183664	Mrs. Stoner
563357	183848	Miss Humbert
563357	185080	Kate's Mother
563357	191819	Mrs. Lucy Hewitt
563357	192122	Mrs. Rudolph Brevoort
563357	192141	Mrs. Green
563357	195828	Mrs. Blodgett
563357	196963	Little Man's Wife
563357	198540	Mrs. Maddocks
563357	200355	Mrs. Murdock
563357	206355	Mrs. Courtland West
563357	207861	Mrs. Thomas
563357	209602	Mrs. Spooner
563357	218330	Carlotta Couvais
563357	218782	Aunt Bess
563357	219950	Miss Grimes
563357	220318	Miss Hughes
563357	221779	Alice Bell
563357	222334	Mrs. Ella Evans
563357	222600	Adela Thatcher
563357	224047	Mrs. Harris
563357	224610	Cornelia Waldron
563357	224614	
563357	231854	Ma Kendall
563357	233684	Justice of the Peace's Wife
563357	236901	Mary, the Maid
563357	239676	Señora Del Rey
563357	241349	Mrs. Jellison
563357	242771	Sister Anna
563357	248896	Mrs. Martin
563357	254488	Dr. Ellen Chase
563357	254528	Well-Dressed Woman in Coach
563357	267589	Woman at the wedding
563357	273633	Mrs. Stark
563357	275451	Mrs. Hill
563357	275452	Mrs. Emory
563357	275734	Sarah Dembrow
563357	289576	Mrs. Marsh
563357	292318	Sarah
563357	292821	Farlinger
563357	296767	Mrs. Phillips
563357	297638	
563357	302646	Cornelia Blake
563357	303232	Mrs. Johnson
563357	305934	Miss Seiffert
563357	308022	Mrs. Parson
563357	308573	Mrs. Collins
563357	313377	Lady from Iowa, Old Glory Num
563357	313919	Farmer's wife
563357	315104	Wedding Guest
563357	315338	Dressmaker
563357	316955	Mrs. May Holden
563357	318715	Miss Hawley
563357	323380	Mrs. Dowling, Landlady
563357	328030	Mrs. Andrews, Westwood Landla
563357	329481	Mrs. Hawthorne
563357	329616	Miss Preble
563357	330153	Woman
563357	330212	Willie's mother
563357	330809	Mrs. Tiggett
563357	331333	Miss Drake
563357	331384	Mrs. McLane
563357	331393	Mrs. Lewis
563357	331713	Cary Whipple
563357	331763	Miss McKenzie, Delbar's Secre
563357	334754	Woman
563357	336773	Mrs. Clark
563357	338894	Miss Tilford, First Teacher
563357	342713	Marion Sims
563357	343042	Maida McIntyre
563357	346908	Aunt
563357	347736	Mrs. Jones
563357	348384	Woman in Boat
563357	358194	Angela Cook
563357	359748	Mrs. Curzon
563357	360477	Wife
563357	363767	Sarah Talcott
563357	364573	Mrs. Leslie
563357	366196	Nurse
563357	367453	Miss Crenshaw
563357	367571	Mrs. Dawson
563357	372531	Boardinghouse Landlady
563357	372641	Peach Pie Baker
563358	24722	Anne
563359	288992	
563360	96198	
563361	31735	Alice Gillette
563361	105536	
563361	141187	Little Shirley
563361	367443	
563361	379341	Safety Tips Officer
563361	396820	
563361	405676	Vicki the Robot
563362	366645	Sadie
563363	196699	
563364	390148	
563365	377951	Josette
563366	7528	Une violoniste
563367	64660	Zoe
563368	66219	
563368	269088	Les Oiseaux
563369	395214	Casting Director
563369	409664	Fat Anne Frank Wife
563370	366738	Anchorwoman
563371	104901	Girl
563371	223867	Flower Girl
563371	235694	Girl
563372	389464	Kisa Sohma
563372	394392	Young Foxy Fox, Little Girl, 
563372	411884	Young Kurama
563373	333627	
563374	40872	Malicious skater
563374	252937	Patsy (age 10)
563374	265506	Margaret (teen)
563375	405209	Nina Pearson (2002)
563376	333881	Herself (author, transportati
563377	160401	Immigrant
563379	60310	
563379	286871	Tammy
563380	16682	Penny Porter
563380	317307	Featured
563381	270522	Girl at Playground
563382	241453	Mrs. Yeoman
563383	141328	Shearer
563383	349125	Kura
563384	195878	
563384	226411	Herself
563385	129925	Fannie Malvaux
563385	206127	
563386	399344	
563387	206621	Girl in Parking Lot
563388	107195	Herself
563388	168514	
563388	379011	Herself
563389	288264	Michelle
563390	139262	
563390	160427	
563390	208189	Mrs. Sheepshanks
563390	220273	
563390	251609	English Tourist's Wife
563390	280832	Principessa Bonmeni
563390	281446	Mrs. Vyse, Cecil's mother
563390	289483	Maid
563390	318193	Lucy
563390	385532	
563391	1223	
563391	110918	
563391	178864	
563391	196378	
563391	326736	
563391	348528	
563392	205537	Isilda
563392	393341	Celeste
563392	395865	Raquel Lobo
563392	398881	Catarina
563392	402148	
563393	390489	Rita
563393	395865	Dulce
563394	388721	
563395	273724	
563396	53695	
563397	89397	
563398	52070	Dancer
563399	397546	Biluca
563400	301172	
563401	18641	Comadre Dolores
563401	287886	
563401	380059	
563401	385502	Doña Meche
563401	385873	Dolores 'Lola'
563401	396211	
563401	398457	
563401	399525	Rancha
563401	401435	Jovita
563401	402404	
563401	405398	Raquel
563401	405868	
563402	393801	Toña
563403	353236	Country Woman
563404	44681	Pedro's wife
563405	36554	Mrs.Seguro
563406	25059	
563406	122767	Bataclete 3
563406	128154	
563406	158940	
563407	387830	Reporter
563408	404834	Young Laura
563409	25627	
563409	397016	Licha
563409	398801	Mariana
563409	402404	
563409	405868	
563410	134418	Buxom Girl #2
563410	340811	Monica
563411	387685	Luz
563411	395885	Eusebia Torres
563411	399823	
563411	405415	Aurelia
563412	381253	Herself
563413	5232	
563413	191450	
563414	286595	Mulata Samba Show
563415	18669	Singer
563416	384002	Heloísa
563416	388592	Vera
563416	391900	Lídia
563416	393615	
563416	401678	
563416	402506	
563417	44794	
563417	53604	
563417	55974	
563417	103720	
563417	132476	
563417	134429	
563417	159346	(segment "Correo sentimental"
563417	216862	
563417	222410	
563417	268250	Asistente 2
563417	340288	
563418	355943	Clara
563418	380515	Anita
563418	384505	Host
563418	384782	Celeste
563418	399145	
563418	401913	Mariana Morales
563418	403404	Dolores
563418	409957	Rocío Echeverría (2000)
563419	205141	Bailarina
563420	59902	Herself
563420	194907	
563420	407815	Herself (Single) (2001)
563421	55536	Hilary
563421	312270	Miss Lawson
563421	347692	Dr. Sonia Ackers
563422	135291	
563423	118775	Louise
563424	259407	Townsfolk
563425	5543	Ms. Dupar
563425	152291	Aunt Ruth
563425	256468	Dirty Diane
563426	318171	Elizabeth Spencer
563427	224835	
563427	365825	Sarah's Mother
563428	41682	Lola-Lola
563428	57334	Santuzza
563428	140194	Ingrid
563428	147839	Herself
563428	152962	Kristina 'Kris' Abbott
563428	159455	Liliana Rogers
563428	168883	Jolanda
563428	197616	Maricchia
563428	222776	Eadie Collins
563428	228764	Consuelo
563428	257020	Brigitte, la domatrice
563428	277003	Nadia Ulianova, giornalista S
563428	286691	Herself
563428	344587	Maria
563428	352230	Claudia Bardi
563428	359174	Sonya Rostov
563428	372618	Gretchen Hardenberg
563428	377481	Gina Diego
563429	33190	Sophie
563429	63108	She-Ra
563429	118775	Lillian James
563429	133372	Liz
563429	186460	Ann Greer
563429	219909	Dinah Drake
563429	276941	Evelyn Hollander
563429	292567	Princess Adora/She-Ra/Madame 
563429	306285	Wicked Queen
563429	313185	
563429	330198	Mrs. Owens
563429	399198	Batgirl (Barbara Gordon)/Catw
563429	399222	Princess Aura
563429	401602	Penny/The Chief
563429	405091	Princess Adora/She-Ra/Madame 
563429	405091	She-Ra/Princess Adora
563429	407575	Batgirl (Barbara Gordon)/Catw
563429	410783	Marcia Donnelly
563430	83830	Additional Voices
563430	109856	
563430	198489	C.H.P. Officer Dorothy
563430	314269	City Official
563430	346206	Mexican Hooker
563431	293012	Wilma
563432	84007	Daisy
563433	41921	Talk Show Host
563433	308609	Grocery Store Clerk
563434	90467	Herself (second wife)
563435	62995	Marigold Fezziwig
563435	126548	Linda
563435	274473	Disco Girl 3
563435	292643	Daisy
563436	80382	Candi
563436	360616	Helen
563437	139675	Herself
563438	257580	Crucifix model
563438	365560	Schoolgirl
563439	31668	Sandy
563439	80695	Dawn
563440	236372	(segment "Art School for Nudi
563441	81772	
563441	146811	
563441	238714	Officer
563441	279323	
563441	285051	Sonia
563441	301737	
563441	329748	
563441	341926	Law Firm Partner #1
563441	398179	Herself - Yellow Team
563442	182980	Waitress
563443	13365	Ella Hughes
563443	37571	Charlotte's Mom
563443	38614	Schoolgirl
563443	64561	Performer
563443	81065	Becky Lyons
563443	82517	Doris Ann
563443	89368	Herself/Katherine Wentworth
563443	93156	Astrid James
563443	107330	Princess Niamh
563443	108768	Elena Sweet
563443	110180	Herself
563443	122743	Vivien Leigh
563443	129437	
563443	136509	'Baby' June
563443	137489	
563443	138700	Herself
563443	142484	Biker Chick
563443	157985	Mary
563443	159765	Patty Goodwin
563443	160481	Herself
563443	186578	Alice
563443	187335	Elizabeth
563443	195485	Herself
563443	209608	Agnes Smith
563443	220083	Abbey
563443	253359	Marianne Clayman
563443	265266	Sheila Holt-Browning
563443	266051	Sloane Matthews
563443	277954	Rita
563443	285772	
563443	286848	Cathy Berman
563443	289645	Vivien Leigh
563443	312820	Sandy Swope
563443	319078	Sarah Harrison
563443	365525	Lannie
563443	372901	Louise Beardsley
563443	385594	Katherine Wentworth (1981-198
563443	390167	Kate Simpson
563443	406390	Hostess
563444	226868	Girl in Porsche with Jeremy
563444	317148	Jo
563445	244034	The Zoo Visitors & Staff
563446	267349	Mother
563446	406459	Self/life coach
563447	243564	Daphne
563448	2685	
563449	110319	Flight Attendant #4
563450	407801	
563451	378897	Nurse
563452	304913	Paula
563452	306130	Veronica
563453	245216	Hot Babe
563454	366743	Townsperson
563455	183400	
563456	266050	Masseuse #1
563457	315964	Sarah Revering
563458	44496	Susannah
563458	90267	
563458	116056	Beatrice Peachley
563458	200057	Mrs. Avery
563458	223758	Grandma Bossier
563458	224659	Miss Markham
563458	236082	Bethanie
563458	257048	Gran
563458	257465	Grandma Mason
563458	324047	Claire Darley
563458	380565	Joyce Blair
563458	385474	Big Caroline
563458	392481	Mrs. Malley
563458	399816	Mrs. Florentine (1975)
563458	403244	Kath Campbell
563458	405845	Aunt Nan
563458	406891	Mrs. Skinner
563459	8961	Pat Beaton
563459	10119	Letty Tyler
563459	29082	Zarra Montalvo, alias Lola Be
563459	35725	Pamela
563459	50847	Alice Hayward
563459	54525	Lady Anne Dunstan
563459	58816	Gwenn Bottomley
563459	72122	Anita Weatherby
563459	92867	Donna Cottrell
563459	107019	Suzanne
563459	115214	Eileen Wright
563459	119559	Ellen Blanding
563459	133675	Kathy Harkness
563459	135920	Bess Banner
563459	154595	Cynthy Waters
563459	185763	
563459	193107	Mary Evans
563459	195190	Louisiana belle
563459	221094	Betty Denton
563459	221336	Lucy Olcott
563459	231914	Wanda
563459	271111	Elizabeth Ainsworth
563459	273513	Charleston Lady
563459	276710	Angela Picard
563459	277898	Lottie Priest
563459	292885	Jennifer Kendall
563459	300145	
563459	306466	Lt. Rosemary Larson
563459	311566	Helen Chester
563459	330186	June Reynolds
563459	333062	Sister Clothilde
563459	347736	Cherry Lucas
563459	355103	Molly Wood
563459	358439	Sally Cameron
563459	372461	Marge Benson
563459	378624	Assistant
563459	398366	Pamela North
563459	400236	Fran Craig Gordon (#1) (1979-
563459	408375	Herself (commercial spokeswom
563460	166859	Car Wash Owner
563461	253893	Audience/Panel
563462	27196	Tourist #2
563463	47975	Molly McMullen
563463	61614	Gertrude Temple
563463	103254	Leslie Bullard
563463	120106	Sharon Gaines
563463	194263	Ms. Petracelli
563463	231090	Kate Crowley
563463	233676	Kelly
563463	241337	Helen Reilly
563463	388665	Sophie
563463	389487	Maggie Kimble-Hume
563463	396003	Rachel Davis
563463	406177	Nicole 'Nikki' Faber (1996-20
563464	145066	Girl at Pool
563464	365664	Monique
563465	172919	Host
563466	207423	De Luxe Dora
563466	291241	Vaneva Carter
563468	34903	Herself
563468	215170	Herself - Presenter
563468	252995	
563468	382710	Herself - Newsreader
563468	382736	Herself (Series 2) (1993)
563468	383759	Herself - Presenter (1997-200
563468	395978	Presenter (1999)
563468	402950	Herself - Presenter (1995-200
563468	408075	Presenter (1999-)
563469	46902	Kay Deane
563469	58956	Sylvia
563469	68821	Louise Brock
563469	69389	Adelaide
563469	84923	
563469	84936	Susan Hale
563469	177460	Mrs. Edith Knolls
563469	183846	
563469	211545	Charlcie
563469	301665	Gwill Wilder
563469	316043	Miriam
563470	339510	Hatcheck Girl
563470	406621	Mary Hopewell
563471	309588	Nan Carey
563472	199144	
563472	230340	Spectator
563473	192678	Psychic
563473	276882	Mrs. Fenton
563474	346020	Mrs. Rose Cottage
563475	45389	Bridge Mechanic
563475	287999	Patsy
563475	306414	Lucy
563476	31814	
563476	327533	Louisa Gradgrind
563477	36909	
563477	36940	
563477	327781	
563478	26844	Daughter Peabody
563478	232066	Sorority girl on phone - 1959
563478	404101	
563479	252884	Kelly's Mom
563481	112570	Waitress in Eureka
563481	232299	
563481	271230	
563482	211343	Portia
563482	358976	Judith
563483	16007	Girl from Brooklyn
563483	76238	Paula Gibson
563483	155857	Freda
563483	175805	Miss Unconscious
563483	188542	Barney Lee
563483	319760	Sgt. Graham
563483	359868	Mrs. Shanway
563483	382259	Blondie Bumstead
563483	398686	Mrs. Laura Lee Brown
563484	254246	Pets or Meat
563484	280433	Herself ('Pets or Meat')
563484	343008	
563485	222646	Carol Lee Byrd
563487	114180	Lois Larue
563488	194074	Karen
563489	76571	Office Worker
563489	272935	Betty-Jo
563489	311021	Receptionist
563490	231673	
563490	245293	Danielle
563492	84616	Gogo-girl du bar
563493	18188	
563493	29594	
563493	90665	
563493	157178	
563493	290895	
563493	293355	
563493	310212	
563494	401355	Vivi
563495	156683	Frau Räuker
563495	188817	
563495	281716	Evie
563495	325638	Lisa Pohl
563495	379772	Mathilde Fessler, geb. Siedem
563495	379849	
563495	381700	Frieda Bauermann
563495	395071	(2003)
563496	160050	Maria's Child
563497	366495	
563498	293894	Julia
563498	356890	Line
563499	107814	Gaby Pfeiffer
563499	208467	
563500	377416	Randi
563501	38	
563501	248040	Frau Apfelbaum
563501	290812	France
563502	69290	Hispanic Woman
563502	88978	Mr. Maris' Mother
563503	19321	
563503	122905	La blanchisseuse
563504	193508	Petite Fille
563505	70325	Child on the empty lot
563506	176136	
563507	45899	Extra: park
563508	295103	
563509	255115	
563510	359699	Air hostess
563511	38975	Presenter/Narrator
563512	23790	Madame Farragut
563512	30252	La receveuse
563512	57751	La mère Villedieu
563512	84108	
563512	102042	Émilie
563512	104441	La vieille dame
563512	200966	Dame pipi
563512	249728	
563512	261841	
563512	321831	Gertrude's Girlfriend
563512	332225	
563512	345128	
563512	345422	
563512	352135	
563512	353821	
563512	392602	
563512	401939	
563512	401972	Mme Vuillaume
563512	401982	Mme Langlois
563512	403643	Mère abbesse
563513	33557	
563513	37902	
563513	65726	
563513	269484	
563513	340128	
563514	309332	
563515	11970	Stéphanie
563515	19186	L'employée de la caisse d'épa
563515	143500	Wheely's girlfriend
563515	186530	Mme Duplessis
563515	271372	Mireille Mornant
563515	380669	Une cliente du Palais de Just
563516	90450	Laura Comes
563516	111995	Delfina Foix
563516	126250	Linda
563516	252531	Beba Ruidoms
563516	401688	Anna Aiguader
563516	403743	Anna Aiguader
563516	403746	Anna
563517	320123	Herself
563517	320149	Herself
563517	320150	Herself
563517	367964	Extra
563517	407078	Herself (Sole Survivor, 39 Da
563517	407083	Herself (33 Days, Ogakor/Barr
563518	320150	Herself
563519	334853	Student
563520	187969	
563521	240954	Herself/Dancer
563521	240956	Dancer
563521	333548	Dancer
563521	333551	Dancer/Singer
563522	140133	Tiki Lounge Customer
563522	230504	Chrissy
563522	355766	Sheila
563523	48381	Ditte
563523	349908	Røskva (Danish version)
563524	317652	Fotomodel
563525	268074	Dancer
563526	137554	Indbydende Vikingkvinde/Kasse
563526	274831	Linda de Vries
563526	305882	Ninna, Pelle's girlfriend
563526	315401	Linda
563526	373579	Guide
563526	376099	Herself - Host
563526	376100	Herself - Host
563526	376101	Herself - Presenter
563526	376102	Herself - Host
563526	376103	Herself - Host
563526	376108	Herself - Reporter, Fredensbo
563526	388852	Herself - Host
563526	398016	Herself - Host
563526	401233	Herself - Host
563526	404297	Herself - Host
563526	406550	Linda Bali Ketjap-Manis
563527	22067	
563527	28530	Shamankvinde
563527	29905	Mormor
563527	30160	Esters mor
563527	59596	Englen
563527	83087	Sisse, køkkenpige
563527	90031	Rosita
563527	110408	Henrik's Mother
563527	120858	Yvonne
563527	121401	
563527	137705	Zizi
563527	146993	Sofie Andersen
563527	150617	Victoire
563527	151239	Bartendersken
563527	166602	Hulda
563527	168436	Værtinde
563527	182459	Lizzie
563527	198399	Rigmor
563527	210157	Mrs. Dorrit Hansen
563527	217785	Vips, Monas Mor
563527	228403	
563527	236274	Anette Ellehammer
563527	242102	Jødisk kvinde/Jewish woman
563527	252058	Soffy
563527	283483	Gudrun
563527	291615	Varinka
563527	291686	Svigermor
563527	293705	Nabo til Anne
563527	305882	Ulla Olsen, mother
563527	306054	
563527	312124	Mine
563527	316820	
563527	322481	Søster Agnes
563527	322681	Olga
563527	343719	Klasselæreren
563527	354739	Sygeplejerske
563527	378660	Herself - Regular participant
563527	383948	Emma, Damefrisør
563527	389397	Gudrun Gabrielsen
563527	391722	Jacqueline
563527	401737	Various roles (sketches)
563527	410233	Tante Rosa/Dorabella Caramell
563528	223777	Warden
563528	276604	
563529	277057	Gretta MacDonald
563529	292643	She Elephant
563530	232029	
563531	281769	Librarian
563532	346156	Conductor
563533	192072	Little Monster
563534	192072	Little Monster
563535	257522	Timekeeper
563536	116907	Sarah Warnicker
563537	116907	Amy Warnicker
563538	258948	Deathrocker
563539	10562	
563539	49813	
563539	170615	
563539	251200	
563539	255217	His Wife
563540	56967	Landlady
563541	133624	Pammy Buchanan
563542	232630	Bridal Shop Clerk
563543	382590	Yvette Montchamps (1976-1977)
563544	52312	
563544	78102	Bree
563544	257646	Miss December
563544	257815	Miss April 1988
563544	308738	Girl on Bus
563544	334152	Girl at party
563544	340320	Starlet at Party
563544	360855	Tawny, Beach Girl
563544	361850	Herself
563545	159885	Peaches
563546	89330	Olympia
563546	333083	Daniela
563547	1893	Ellen
563547	2674	Kokkepigen Johanne
563547	2681	Johanna
563547	7559	Kommunekasserens værtinde
563547	12522	Fru Svendsen
563547	22067	
563547	27571	Gulnare Baldersen
563547	32544	Eva Voldoni
563547	44365	
563547	50242	Emma
563547	64649	Herself/Various roles
563547	77413	Annie Halbom
563547	78288	Casabianca
563547	83089	Albertine Hansen
563547	87736	Hushjælp Thyra Larsen
563547	94998	Anne-Marie
563547	95000	Dagmar
563547	108171	Fru Phieselknast
563547	113551	Fru Jourdain
563547	114808	Rosalinde
563547	120307	
563547	121021	Sygeplejerske Inge Behrens
563547	122341	Kamilla
563547	122344	Signe
563547	136635	Karen
563547	138540	Mary Petersen
563547	139648	Trine, Café Dråbens værtinde
563547	142505	Pouls mor
563547	145457	
563547	147395	Marianne Justesen
563547	149877	Hans kone
563547	151823	Stuepigen Lisson
563547	153229	Marie
563547	154236	Rita Hansen
563547	155124	Herself
563547	173139	Hushjælpen Anna
563547	174016	Karen Kruse
563547	178007	Susan
563547	179817	Tjenestepigen Ragnhild
563547	182273	Lillian
563547	182601	Julia Hansen
563547	183106	Ulla Einerts
563547	188868	Grete Hansen
563547	190882	Herself
563547	198397	Lucilla Hansen
563547	209328	Madglad kvinde i tog i 1890
563547	209808	Gunhild
563547	213438	Annelise Hansen
563547	214365	Herdis Winkel
563547	236241	Teaterpublikum
563547	237023	Bodil
563547	242451	Inger Berg
563547	242452	Elisabeth Winther
563547	247120	Moderen
563547	247597	Fru Hansen
563547	248576	Fru Mikkelsen
563547	249743	Cecilies mor
563547	255671	Lis
563547	255673	Berthe Vestergaard
563547	255679	Mai Grøndahl
563547	275257	Grete Petersen
563547	284393	Henriette
563547	293699	Lillian
563547	300976	Molly
563547	310054	Sif, Tvebos kone
563547	315054	Ingrid
563547	315579	Dora Vinderup
563547	318588	Sarah Kahn
563547	321992	Frk. Rosegod
563547	322458	Tante Rosa
563547	322469	Nicoline Pallesen
563547	322960	Gunhild
563547	336411	Anne-Sofie
563547	389406	Various roles (1972)
563547	392577	Various roles (1978)
563547	394447	
563547	397074	Katrine Larsen
563547	405731	Herself
563547	406602	Illona Ruf Andersen
563548	366712	Sally
563549	33432	
563550	277098	No Entrance Woman
563551	195702	Rich woman
563552	295040	
563553	278154	Secrétaire admissions
563554	73142	
563555	74724	Herself
563555	83799	Herself
563555	160294	Herself
563555	160309	(special thanks)
563555	165265	Herself
563555	168469	Herself
563556	74724	Herself
563556	160293	Herself
563556	160295	Herself
563556	160298	Herself
563556	160309	(special thanks)
563556	160314	Herself
563556	160317	Herself
563556	160319	Herself
563556	218808	Woman at St. Mark's Square
563556	241036	Jane
563556	365509	Queen Bonga Bonga
563557	54810	
563557	86064	Terrorist
563557	111517	
563557	127957	
563557	128963	
563557	129015	Carla
563557	132962	
563557	252778	
563557	388169	Doris
563558	51546	
563558	231856	Herself/Set Decorator
563559	392072	Linn Fylke (1999, 2000-2001)
563559	408803	Vilde
563560	29790	Marie-Madeleine
563561	202516	Brigitte Friang
563562	15093	Jacky
563562	19738	
563562	20452	
563562	23602	Luciana
563562	27918	Madame Colin
563562	51223	
563562	51449	
563562	56948	Mme Priot-Niobé
563562	89870	Rita
563562	90666	
563562	97139	
563562	108582	
563562	111920	
563562	120814	Charlotte/Frou Frou
563562	124556	Paulette Stone
563562	132316	
563562	157548	Elvire Bonnet
563562	189158	
563562	204525	Angela
563562	209501	
563562	213801	Maria X
563562	217764	Chiara
563562	233643	
563562	235732	
563562	235796	
563562	244081	Shirley
563562	244962	Mme Rivière
563562	251616	
563562	263621	Martine Fresienne
563562	269465	Livia
563562	270828	
563562	281833	Jane
563562	306851	
563562	307279	
563562	311258	Lavinia, the nurse
563562	313181	Anais
563562	315449	
563562	317001	
563562	338361	Luisa
563562	346562	Avghi
563562	348152	
563562	379754	(episode "il buio")
563562	381622	Tonia Turati (2002- )
563562	386474	
563562	388170	Stéphanie
563562	390095	
563562	392977	Giovanna
563562	402303	
563562	402782	Mrs. Conti (1988)
563562	409936	Sofia Ghiglione
563563	339475	Une hôtesse
563564	203219	Optometrist
563564	268199	Second Novice
563564	341019	Nun
563565	82729	Gina
563565	166357	Fernande
563565	292355	
563565	309742	Laurence
563565	353917	
563566	361305	Employee
563567	195211	Jeanne
563567	265340	
563567	303176	Sissi jeune
563567	346431	Emma
563567	397857	Anaïs
563568	148648	Infirmière 1
563569	2195	Jeanne
563569	28149	Irène
563569	43640	Sophie
563569	44836	La mère de Caroline
563569	49094	
563569	55563	
563569	58743	Claire
563569	69378	Fanfan
563569	69450	
563569	69469	Jeanne
563569	69770	Jeanne
563569	75914	Roxane
563569	93670	Sarah
563569	94339	Germaine de Stael
563569	95471	Lilith
563569	146380	Madame X
563569	207297	Catherine
563569	236507	Guertie
563569	335047	Tolerance
563569	336942	Madeleine
563569	346646	Martine
563570	29570	
563571	410338	
563572	411623	Michèle Deslauriers
563573	2214	
563573	174931	Cabaret Duet Singer
563575	10805	Suzy
563575	21168	
563576	195987	Juberlee
563576	386616	
563577	378429	
563578	7074	
563578	119920	
563578	123827	
563578	175435	
563578	208373	
563578	242554	
563578	257930	
563578	267452	
563578	316127	
563578	347285	
563579	400236	May McGillis (1988)/Brenda Mc
563580	205411	Surprised Mother
563581	333120	Person of the Night
563582	186847	Saleswoman
563583	62944	Jeffy
563583	123359	Baby June
563583	155839	Sonny
563583	171048	Bobby Holton
563583	190780	Rose
563583	197298	Baby Antoinette
563583	203139	Morna Malone
563583	306394	Dirk DeJong (infant)
563583	367590	Paul
563584	189819	
563585	226170	Clara
563586	128278	Daisy Mae Walker
563587	117634	Diana Danziger
563588	195262	College Girl #1
563589	159200	Sybil Brand Deputy
563590	33029	Herself
563591	80617	Renee Coliveil
563592	322886	Charlie's mom
563593	68733	Period Movie Player
563594	140103	
563594	327627	Tina's Waitress
563595	121363	Girl on yacht 1
563595	185065	Ruby
563595	217771	Trollop One
563595	365491	Candy
563596	118363	Bad Girl #6
563597	391239	Co-Host
563598	79830	Molly Briggs
563598	338818	Ghoul #4
563600	30071	Woman
563601	26471	Cleo
563602	314108	Dancer
563603	180061	Cynthia
563604	331069	Dullen
563605	67887	
563605	116289	Salvation Army Lady
563605	273408	Wife
563605	360790	Nana
563605	362414	Stage manager
563606	78318	Aus 11 Receptionist
563606	386546	Nurse
563607	37697	
563607	138465	Anna
563607	152313	
563607	153107	
563607	252314	Marlies
563607	347616	
563608	29162	Mutter Einkaufszentrum
563609	33188	Stage Manager
563609	82733	Annie Scara
563609	109539	Girl
563610	159200	Angry Parent
563610	360713	Sister Elizabeth Scrabble
563611	215453	Melissa
563612	50816	Woman
563613	73826	Elizabeth Bishop
563613	168940	Martha Alden
563613	196053	Della (segment "Love Song for
563613	290378	Leonard's Mother
563613	390771	Felicia Boudreaux #2 (2002-pr
563614	360713	Girl in Hospital
563615	16642	Rona
563616	279400	
563616	408960	Claire Cooke (1967)
563617	64819	Sandra Nogami
563617	64820	Sandra Nogami
563617	64822	Sandra Nogami, Additional Voi
563617	64823	Sandra (Saeko) Nogami
563617	64824	Sandra Nogami
563617	175832	Homeless Mother
563618	13859	Julie
563618	193718	Edna
563619	411222	Regular
563620	323440	Nurse
563621	199467	Group Member
563622	120478	Bar Dancer
563622	199762	Dancer
563622	224691	Furry
563622	245249	Mexican Dancer
563622	300180	Annie
563622	313820	Cpl. Birdie
563622	320209	Sarah
563623	124502	Kyle's Mother
563624	28566	Kegelschwester 2
563625	325545	
563625	360945	Tusse
563625	410002	Claudia Rother
563626	7585	Herself
563626	58628	
563626	102514	Julia (Waitress)
563626	161247	As herself
563626	311853	Herself
563626	388730	Host
563627	245370	Barbarian Woman
563628	245370	Barbarian Woman
563629	4827	Svea
563630	353991	1. Anhalterin
563631	48130	
563631	84288	Syngende dame
563631	104735	Norwegian entry (4th place)
563631	104736	Norwegian entry (7th place)
563631	204542	
563631	261141	Kvinne i Solsund Sangkor ('Th
563631	393864	Fru Enebær
563632	99311	Flight Attendant
563633	400	Lili's Grandmother
563634	145801	
563634	192321	
563634	196174	
563634	272766	
563634	362699	Walrus's Wife
563635	16023	Life In Death
563635	20114	Mrs. Martin
563635	38550	Adele Durant
563635	45962	Conchita Cordova
563635	47458	Nella Banard
563635	52522	Barbara Deming
563635	55436	Her Mother
563635	59887	Sadie
563635	61314	Jennie
563635	69745	Serama/Ruth Somers
563635	71717	Myra Jones
563635	73459	The Prima Donna
563635	79097	Ligh Fingered Kitty
563635	85078	Esther Anderson
563635	85099	Blanche De Montfort
563635	88147	
563635	88173	Eleanor Burton
563635	91861	
563635	91895	Daisy Scarlett
563635	92915	Lulu Marks
563635	94048	Edna Moore
563635	99007	Misguided Woman
563635	100873	Adrienne Carot
563635	105387	
563635	105413	
563635	113963	Margery Burke
563635	114900	Candace
563635	116768	Nance Owens
563635	117067	Marcia Glendon
563635	117423	Ruth Lester
563635	120503	Mary Dyer
563635	125204	
563635	128266	Bit Part
563635	139232	Julie Malo
563635	139502	
563635	143328	Harriet Gordon/Peggy Malone
563635	143377	Mary Cullen
563635	143421	Shirley Moreland
563635	145801	
563635	146032	Mary
563635	147656	
563635	148392	Lottie Bancroft
563635	149173	Trixie Bennnett
563635	150698	Mrs. Chadwick
563635	152720	Sister Gudule
563635	181656	Countess Griselda von Arenbur
563635	185274	Cynthia Jaggers
563635	186279	Margaret Grayson
563635	190604	Molly Thompson
563635	193998	His Mother
563635	202888	Betty
563635	203787	Mrs. Whitcomb
563635	218927	Isobel de Costa/Anita de Cost
563635	219977	Princess Yve
563635	224015	Mae Andrews
563635	227698	
563635	229212	Frances Jerome
563635	240017	Nancy Sikes
563635	240813	A saloon girl
563635	241638	
563635	241787	Mary Livingston
563635	246598	Carol Gordon
563635	252298	Mrs. Schofield
563635	256861	Molly Moore
563635	257555	
563635	259383	
563635	263487	Ailene Graham
563635	263505	
563635	267560	
563635	272766	
563635	273819	Mrs. Garcia
563635	275329	
563635	281854	Rose Donnay
563635	285425	The Sage Henn
563635	288625	Mae
563635	289622	Mabel Halloway
563635	295447	Nana
563635	298128	
563635	302913	Adrian Gardiner/Valerie March
563635	303257	Elinore Duane
563635	304379	Rose Kimm (prologue)
563635	306050	Rhona
563635	306394	Maartje Poole
563635	309521	Miriam Lee
563635	310259	Mademoiselle Dazie
563635	311470	Satan's Sister
563635	314361	Louisa Risca
563635	316165	Inez de Pierrefond
563635	330331	Mazie Starrett
563635	334195	Lorrie Hollis
563635	342583	Cissie
563635	343359	Helene
563635	347413	Mrs. Gregory
563635	348319	Daire Vincent
563635	363891	Josephine
563635	367451	Countess
563635	367647	
563635	368683	Ruby Baker
563635	368765	
563636	82790	
563636	145801	
563636	191031	Mother, Mrs. Stillwater
563636	272766	
563636	303080	
563636	367779	
563637	390002	Presenter
563638	94840	dancer
563639	366601	Sister
563640	92695	Maid/Nun
563641	322463	Anna
563642	25779	Béatrice
563643	205426	Crucified Woman
563644	10504	Thérèse
563644	134320	
563644	205461	
563644	345174	Dominique
563645	185937	Minetti's Small-town Mistress
563646	64090	Red Cross nurse
563646	72104	Dancer
563646	147663	Herself--Joan's sister
563646	183358	WAF
563646	321503	Phoebe
563646	335726	Party Guest
563647	12766	Girl
563647	42731	Norah
563647	46730	Second KFWB Operator
563647	92223	Candy Parker
563647	131719	Chorine
563647	154046	Hat Check Girl
563647	178200	Telephone Operator
563647	210871	Patricia Falconer at Age 17
563647	214080	
563647	241349	Second Bride
563647	273803	Girl Singer
563647	315748	Irene's Girlfriend
563647	319203	Jane Baird (bit)
563647	329341	Clara
563648	20287	Dancer
563648	20613	Nurse
563648	77805	Chorus girl
563648	88653	Dancer
563648	118321	Bit part
563648	126067	Lady in Waiting
563648	128173	
563648	128889	Student
563648	163544	Dancer, American Girl
563648	255550	Ballerina
563648	274502	
563648	324054	
563648	329480	
563648	361790	
563648	372483	Polly Marshall
563649	269914	Sofia
563650	37457	Mrs. Reilly
563652	29523	Barfly
563653	137566	Security Ward Nurse
563654	171078	Bess
563654	193683	Julia
563654	349509	Mrs. Crumble
563655	20001	Laura
563655	43606	Caroline Heftshank
563655	58868	Patricia Ellis
563655	116799	Tracey Verna
563655	119775	Andie Ross
563655	148446	Elise McKee
563655	158175	Myra Cantrell
563655	159916	Jean
563655	161338	Herself
563655	171351	Melissa Brewer
563655	203328	Kelly Bound
563655	207765	Dr. Eva Warden
563655	266577	Mrs. Ruth Forrest
563655	277344	
563655	284939	Aunt Zelda Spellman
563655	296894	Bobby Cain
563655	313961	Scott's Mom
563655	314158	Lesley
563655	331193	Berthe
563655	367902	
563655	388843	Delilah Buchanan
563655	390176	Sheila Jackson (1990)
563655	391253	Dee Dee Starr (1992-1993)
563655	404083	Zelda Spellman (1996-2002)
563656	14014	Herself - as Betty Broderick
563657	39441	Tracy
563657	114957	Grace Knight
563657	276889	Karen
563658	308048	Pub Patron #2
563659	165449	Mrs. Bennett
563660	32352	Nora
563660	46775	Mattie Dodson
563660	54487	Nancy Crocker
563660	62269	Glory Marlow Sr.
563660	66975	
563660	71987	
563660	109862	Aunt Julie
563660	112241	Violet
563660	116957	
563660	143355	Mrs. Winthrop
563660	144941	Undetermined Role
563660	148949	Miss Lorna 'Smitty' Smith
563660	190206	Pauline
563660	195950	Aunt Charlotte
563660	196295	Mary Riley
563660	209650	Emma Foster
563660	222715	Hildegarde Withers
563660	228588	Aunt Martha Hogan
563660	231390	Cora Foster
563660	232726	
563660	234090	Mrs. Smith
563660	255339	Herself/Narrator
563660	255340	Herself - Narrator
563660	270618	Gertie Shaw
563660	270918	Gloria
563660	279426	Aunt Minerva
563660	294944	Pearl
563660	298088	Aunt Jane Carter
563660	305475	Mrs. Gwen Mayen
563660	311370	
563660	312774	Herself
563660	313078	Aunt Amanda 'Mandy' Griffith
563660	321534	Mabel Anderson
563660	331421	Irma
563660	334116	Mrs. Freeda McCrary
563660	335844	Madge Hardwick
563660	355082	Theo Clairmont
563660	360532	Agnes (Mrs. Jonathan Ashely D
563661	7628	Martha Young
563661	129582	Woman hostage
563661	185368	Mary
563661	211508	Megan
563661	223817	Antonia Simon
563661	265901	Secrétaire université
563661	304539	Jesse
563661	382477	Suzanne Beauvilliers
563661	399066	
563662	372089	Angeline
563663	92871	
563664	271994	Another lady
563665	17949	Dr. Hambling
563665	44337	Mrs. Nedchuck
563665	66011	Julia Williams
563665	73957	Mother
563665	117278	Mother in Car
563665	139755	Doctor
563665	206373	
563665	311347	Mrs. Newell
563666	16327	Mrs. McCann
563666	32155	Mrs. Greaves
563666	118970	Edie
563666	144674	Marian Dockridge
563666	189242	
563666	230442	Mrs. Coreander
563667	158778	
563668	41657	Antique Shop Owner
563668	92514	Susan
563668	264820	Sylvia Halpern
563670	397117	
563671	304360	Girl in Bathroom
563672	122516	Herself - Teacher
563673	118807	Jaana Bernice
563674	306309	Young Moira
563675	18207	Dancer
563675	252389	
563676	977	Mabel
563676	73989	Mrs. Griggs
563676	87559	Dolly
563676	243595	Night Nurse
563677	133684	
563678	161793	Elisabeth
563678	309980	Jeune Lucie
563678	310748	Young Lady
563679	8216	'No Sweat' Dancer
563680	249209	Fan de Jeannot
563681	47847	Reporter Kramer
563681	216290	Boss
563682	369461	Herself
563684	387534	Elsbeth Brodie
563685	387533	Lucy Calder (2001-2002)
563686	389057	Herself
563686	389061	Herself
563687	137061	
563687	218340	Dona Paula/Leela Miranda
563689	192725	Posh's snog
563690	338731	Honeymoon Bride
563691	91595	Ruth Lundquist
563692	30349	Henrietta
563692	190369	Lisa
563692	235156	Sanna
563692	305036	Princess
563692	359432	Delphine Briggs
563692	398177	Rowena Moody
563693	219440	Wilma
563694	79611	Teacher
563695	118623	Darlene Peet
563696	129784	Ely
563696	360084	Karaoke Singer
563697	233984	
563698	398238	Herself/Co-host (2002-)
563698	400380	Herself (2002)
563699	226123	
563700	204810	
563700	327293	Marylou
563701	312223	Gurli Stjärnstråle
563702	84284	Sara Videbeck
563702	94261	
563702	107305	Waitress
563702	120314	
563702	120850	Vivie
563702	122448	Mikael's Mother
563702	128953	Teresa
563702	129662	Ellen Persson
563702	152317	Lärarinnan
563702	164785	Maj-Britt
563702	178484	Klas Klättermus
563702	187633	Camilla
563702	206193	Charlotte
563702	210839	Helena, daughter to Lundgrens
563702	214380	Nurse
563702	214690	Sandra
563702	219840	Vanja
563702	220765	Gwendoline
563702	252005	Mother
563702	276209	Nurse Ester
563702	295901	The leading lady
563702	305306	A mother
563702	322437	Nurse Edit
563702	333081	Gunilla
563702	338357	Isabelle Ducotel, their daugh
563702	338729	Mona Lindberg
563702	349576	Agnes Webster
563702	357775	Anna
563702	382891	Inga-Lill
563702	387026	Adolfine (episode 2)
563702	387056	Fru Bertilsson
563702	387057	
563702	390230	Iris Runåker, café owner
563702	390854	berättare
563702	391278	Signe
563702	394085	Linda
563702	405617	syster Berit
563702	406775	Fru Bertilsson
563703	381287	Participant, 'Winner' (2000)
563704	295111	
563705	14252	Mother Silver
563705	129862	Mama Saperstein
563705	343130	Rachel Glickstein, mother
563707	296967	Girl in Forest
563708	215107	Dina (Shalmon's sister)
563709	133655	Dorothy Weiss
563710	71664	Teri the Countess Chambermaid
563710	169409	Rose (episode 'Poor Butterfly
563710	366463	Lady to Hermione
563710	382830	Annie
563710	393313	Mary Rivers
563711	179038	
563712	163912	Zina Timofeyeva (vocal)
563713	301590	Herself
563714	204694	Adriana
563714	207634	
563714	291603	
563715	137259	Joke Store Customer
563716	185529	Herself
563717	154796	
563718	23035	Tereza
563718	51050	Madla
563718	64754	Simona
563718	95671	Yvette
563718	96384	Dasa
563718	165033	Ute
563718	175059	
563718	179227	
563718	179883	Ute
563718	198582	Klara
563718	225886	
563718	227749	
563718	242908	
563718	247950	
563718	261387	
563718	304706	
563718	317631	Eva Lordova
563718	351370	
563718	356088	Sárka
563718	357436	Hedviga
563718	380662	Leora Tozerová
563718	410131	Presenter
563718	410338	Verka (older)
563719	109123	
563719	142511	Anita
563719	306973	Sophie's Grandmother
563720	10606	Fifi
563720	12430	
563720	35128	
563720	41225	Jewish mother
563720	56178	Janitor's Wife
563720	65129	Mamma Cohen
563720	75312	
563720	93641	Marie
563720	94138	Taisya
563720	107758	Mrs. Bercowich
563720	114456	
563720	116690	Mrs. Schmick
563720	119513	Jewish Woman
563720	141017	Mrs. Tony Marino
563720	141286	Mrs. Nussbaum
563720	143916	
563720	144819	Mrs. Cohen
563720	147726	
563720	153078	
563720	159135	
563720	165103	Mrs. Schwartz
563720	186452	Mrs. Levine
563720	194830	Mrs. Leary
563720	202992	
563720	204278	Mother Luca
563720	217984	Mrs. Silverman
563720	224133	Mrs. Schultz
563720	231098	Aunt Phoebe
563720	241768	Mrs. Murphy
563720	252909	
563720	255828	Woman with Mrs. Goldstein
563720	257739	Mrs. Fennerbeck
563720	264178	Berta
563720	274202	Mrs. La Verne
563720	282669	Frau Muller
563720	285781	Duennnna
563720	297276	'Mama' Manning
563720	300942	Tenament Mother
563720	302368	
563720	306483	Momma
563720	309494	Mrs. Brundy
563720	309559	
563720	320268	Mouroff's Wife
563720	331553	Mrs. Goldberg
563720	333429	Sarah Lederwitski
563720	335674	Mrs. Rabinowitz
563720	341929	Maria
563720	346338	Child's Mother on Beach
563720	361927	Mrs. Schwartz
563720	364169	
563720	364575	
563720	367298	Duenna
563720	367503	Miss Traill, Companion to Rut
563721	269588	The Head
563722	25492	Bumper Car Girl
563723	224091	Casey's receptionist
563725	112732	Dina, the bookseller
563726	17475	Prisoner
563726	46437	Maureen O'Quinn
563726	47365	Girl from Kokomo
563726	108506	Mrs. Whitmore
563726	115475	Mary
563726	129165	
563726	145555	Fanny Hawthorne
563726	178331	Kitty Greenwood
563726	190851	Estelle
563726	199594	Mademoiselle
563726	199608	Mademoiselle
563726	206340	Annette
563726	230410	Eunice Kalliduke
563726	257876	Joyce Bennett
563726	285265	Augy
563726	285685	Jenny Melrose
563726	315675	Tammy
563726	330234	War Correspondent
563726	360840	
563726	363852	Ninon
563726	396961	Mrs. Black (Capt. Black's mot
563727	52576	Herself
563728	245122	Carol
563729	323208	Watch Officer
563730	97388	Dancer
563731	193919	Jo Ann Eggenweiler
563732	34702	Bridesmaid
563733	32240	Phyliss Loden
563734	367061	Stage Girl #4
563735	33393	Rosh Hashana Attendee
563736	226938	Woman on Street
563737	46281	
563737	95946	
563737	95962	
563737	231743	Urszula 'Ula' (Judyta's frien
563737	238833	Bride
563737	254986	Woman Shot in the Head
563737	394195	Kasia
563737	394585	Renata Grajewska (1998-1999)
563737	411110	Ewa Kocharska
563738	162205	
563738	311893	
563739	116306	Jans pige
563740	42859	Lisbeth, teenager
563741	164467	Various voices
563742	134369	Miesje Verboom
563742	205504	Mrs. van Ooyen
563742	211481	Moeder gijzen
563742	352215	
563742	404898	Joekie (1988-1990)
563743	117483	Bystander
563744	187081	Chaya (7 Years)
563744	213556	Lana
563745	262963	Caroline
563746	314501	Popular Girl #2
563747	130229	Dingo
563748	243011	Ellen Jaspers
563748	344244	Annemiek
563749	346683	
563750	10300	Dame Charlotte
563750	390410	Mariet Zoomers (1996-1997)
563751	93612	Girl in pub
563751	157725	
563752	151751	Herself
563753	9543	Tilda
563753	29345	Woman on the street outside t
563753	42190	
563753	42954	Woman in window
563753	48339	Woman
563753	48367	Ann-Kajsa
563753	84299	Shop assistant
563753	97088	Mrs. Sjökvist
563753	97883	Fina, dresser
563753	108975	Farmer's Wife
563753	109544	Cleaning-lady
563753	109976	Gossip
563753	113661	Böret Hindriksson
563753	115391	Gossip
563753	115426	Woman at Concordia
563753	116018	Woman in foodstore
563753	121010	Maid
563753	122331	
563753	127570	Mrs. Bergstroem
563753	129267	Marta's landlady
563753	130071	Mrs. Johansson, woman at the 
563753	138517	Woman in window
563753	145455	Old Woman
563753	154073	Gossip
563753	154203	Woman seeking work
563753	165613	
563753	165614	
563753	165615	Dahlkvista
563753	172784	Peasant woman
563753	173540	Ingeborg Hagström
563753	178479	Mrs. Mörk
563753	182806	Waitress
563753	184577	
563753	190812	Mrs. Franzén
563753	206208	Member of the board
563753	209311	Mrs. Johansson, 1932
563753	218993	Woman at Maria Vaern's house
563753	222444	Customer
563753	237081	Fru Stenhage
563753	243264	Emma
563753	248186	
563753	252333	Guest
563753	268348	Mother
563753	272642	Woman at balcony
563753	277817	Peasant woman
563753	284135	Maid
563753	289783	Prompter
563753	296207	Mrs. Eriksson
563753	303647	Radio listener
563753	303666	
563753	304403	Woman
563753	305991	Sören's wife
563753	306380	
563753	312224	Julia
563753	312697	Scared woman in window
563753	320583	Woman dressed in black
563753	322270	
563753	322314	Shocked lady
563753	322421	Jana
563753	346967	Mrs. Lundgren
563753	346971	Lysvik's neigbour
563753	348501	Silver-Olles släkting
563753	348728	Tilda, Haikko's wife
563753	349586	
563753	353005	Amanda
563753	353032	Woman at the circus
563753	353039	Old lady at Mosebacke Torg
563753	355638	Tenant at Själagårdsgatan
563753	357762	Woman at Folkets Hus
563753	357773	Woman at church
563753	357804	Gossip
563753	377418	Woman
563753	377420	Eulalia
563753	377422	Eulalia
563753	377430	Eulalia
563753	377431	Eulalia
563753	377432	Eulalia
563753	377434	Eulalia
563753	377435	Eulalia
563754	182368	
563756	294573	Agnes
563757	215244	
563757	257613	Nelly
563758	243744	Mona
563759	361237	
563760	257401	Sofia
563761	20603	Simon's mother
563761	386415	Host
563761	401219	Host
563761	401650	Herself - Host
563761	411561	
563762	6200	Ann
563762	105226	Motel Girl
563763	319185	Mimi
563764	148562	Joanie
563765	215879	Flamenco Dancer #4
563766	375235	
563768	284830	
563769	128584	The Housekeeper
563770	129382	
563770	130070	Miss Lisen
563770	164649	Gammelmormor
563770	173617	Helen (The mother)
563770	182306	Ms. Brogren, nurse
563770	190821	Solbritt
563770	198385	Madelon
563770	228393	Helen (The mother)
563770	240208	Nilla
563770	242756	Olle's mother
563770	272510	Martina, Oskar's Wife
563770	272511	
563770	341810	Old Lady
563770	380203	Modern Solveig
563770	390151	Friendly customer
563770	390231	Ms. Lisen
563770	391278	Louise
563770	394085	Kadidja Kappori
563770	405822	Asta
563770	412209	Grand mother
563771	338340	
563772	178508	Arkitekt
563773	330779	Marta
563774	23610	Announcer/Narrator
563774	137605	Justine
563775	24070	Daisy
563775	34425	Minette Reichenbach
563775	125231	Hanna
563775	125303	
563775	137949	Gertrude #2
563775	166761	Claudia
563775	189547	Jutta
563775	209994	Claudia Wagner
563775	286277	Maria Stuart
563775	325600	Dr. Schneider
563775	342335	Martha
563775	367347	Psychologin
563775	381694	
563776	319012	Beth
563777	151237	Sequência do celular
563778	196845	Vanessa
563780	190386	Girl by Lift
563781	246042	
563781	320508	Brigita
563782	8614	
563782	8619	Loulou
563782	263985	Betty Bell
563782	345481	Maria
563782	375079	
563783	113491	Marian Burrows
563784	2827	
563784	84198	Nurse
563784	97232	Jigonsashe
563785	113491	Lilli Burrows
563786	45635	Nadia (The Disco Years)
563786	87596	Nadia
563787	178469	Herself
563788	72391	Vampire Actress
563789	104731	Dutch entry
563789	104732	Dutch entry (1st place)
563789	104733	Dutch entry (9th place)
563789	104751	Host
563789	104772	Dutch vote presenter
563789	166718	
563789	228227	Herself
563789	228228	Herself
563789	228229	Herself
563789	228230	Herself
563789	228267	Herself - Jurylid
563789	387959	Herself - Presenter (1976)
563790	11441	French Girl
563791	139520	Debbie Hay
563792	115737	Stacy
563793	149111	
563793	175243	
563793	218857	Tante Stien
563793	341908	
563793	410441	Guusje van de Wetering (1995)
563794	321878	Kadryisi
563795	118827	Commissario
563795	247511	Florist Customer
563795	292282	Direttrice
563795	410279	Cliente
563796	382884	Joanne Louise Heiberg
563797	29014	Dejan
563797	142790	Lotten
563798	299843	Sarah
563799	10051	Teresina
563800	49026	Dinner guest
563800	90932	Hippie chick
563800	190220	Catherine
563800	198836	Julie
563800	314823	Stephany
563800	394453	Charlotte 'Charlie' Thorpe/He
563801	33023	Herself
563801	162534	
563802	141540	Old Woman in Store
563803	12450	Lisbeth, the maid
563804	48819	
563805	15010	Madame Squirrat
563806	195452	
563806	281912	Helen
563806	399244	Herself/panelist (1989)
563807	164544	Jill of Clubs
563808	51984	Brandy
563808	120258	Herself
563808	127542	Tender, Guard, Secretary of C
563808	148288	Belle Haimes
563808	221024	Doris (TV Repairwoman)
563808	229325	Wilma Wadlowski Jerzyck
563808	235603	Miss Purdah
563808	330773	Dawna, Autograph seeking fan
563808	364344	Det. Casey
563808	378957	Regular
563808	380261	Mary Mary
563808	381743	Laney Gibbs
563808	382362	Regular Performer
563808	383280	Nurse Molly
563808	385790	Debbie Smith
563808	389531	Regular
563808	390423	Faith Burdette (1993-1995)
563808	399270	Herself
563808	401865	Bonnie/Billy/Mike
563808	408056	Supporting Player
563810	220276	Hooker #2
563811	73360	Angela
563811	128771	Gloria Halyard
563811	163547	Paulette
563811	294909	Girl in Phone Box
563811	305357	
563811	336715	Rose
563811	375799	Sarah
563812	320916	Bel
563813	384097	Kate (1999)
563814	230398	
563814	245658	Mrs. Thompson
563814	257764	Tchiakowska
563814	345752	Cindy Russell
563814	366908	Production assistant
563814	385824	Stella Lombard (1992)
563815	358163	
563816	72851	Becca Shea
563817	292563	
563818	387429	Tracy
563819	261425	Cheerleader
563820	132321	Prostitute
563820	255721	Fiona
563821	19808	Worshipper
563822	362081	Jane
563823	5460	Nona Gregg
563823	32954	Ruth Allen
563823	44482	Ada
563823	44677	Mrs. John Jones
563823	52485	Jean Walker
563823	52676	Doris Delafield
563823	54130	Inez Sepulveda
563823	55417	Puppet Assistant
563823	72249	Ruth Avery
563823	76581	Gloria
563823	77918	Lorraine Matthews
563823	79821	Marie
563823	81107	Elsie Barlow
563823	83630	Jean Halloran
563823	117281	Mrs. Harkness
563823	121354	Ruby Patterson
563823	128619	Girl
563823	128827	Hilda Engstrom
563823	128828	Mrs. Winters
563823	129227	Chorus Girl
563823	130624	Chorus girl
563823	142360	
563823	143131	Passenger on Boat Deck
563823	149763	Wagstaff's Receptionist
563823	150516	Mrs. Grandin
563823	151098	Beauty Parlor Customer
563823	155723	Helen Dale
563823	169942	Mrs. Ives
563823	175418	Sally Flint
563823	177308	Operator
563823	177479	Connie Madison
563823	183579	Hazel
563823	183846	
563823	184494	
563823	186401	Mrs. Myra Sutter
563823	186412	Ann Mason
563823	186459	
563823	196864	Susan
563823	201923	Grace Sandford
563823	209631	Equestrienne wearing black ve
563823	211601	Sonia's Maid
563823	213160	Peggy Reitter, posing as Pegg
563823	215809	Gladys Wagner
563823	218789	Barbara Roberts
563823	224672	Terice Von Elm
563823	227338	Bonnie Lucas
563823	232427	Mrs. Baynor
563823	233889	
563823	241424	Colette's Downstairs Maid
563823	242110	
563823	246181	Fanny
563823	257559	Wedding Girl
563823	257884	
563823	263074	Dolores Ortega
563823	273687	Flo Russell
563823	274738	Mrs. Regan
563823	311557	Linda Mitchell
563823	313321	Reporter at Shrine Auditorium
563823	315556	Girl with Horse and Buggy
563823	327743	June Manners
563823	329090	Jane Adams
563823	329109	Nancy Thomas
563823	329570	Delia Maxwell
563823	330004	Woman from Pasadena
563823	331157	Julie
563823	332798	'Red'
563823	333344	Lois Morny
563823	334766	Mary
563823	336044	'Jackie' McGuire
563823	336333	Poison Mary Slavish
563823	360040	Marie Cordell, aka Mary Allen
563823	361637	Lola Galt
563823	361835	Mary Gordon
563823	366234	Joan's Friend at Her Party
563823	367449	The Actress
563823	367827	Frieda Boreman
563823	368315	Carrie
563823	368412	Mrs. Mallinson
563823	372599	Mrs. Samuels
563823	392428	Janet Tobin
563823	398242	Aunt Milly
563824	155648	Student
563825	194223	Reston Girl
563826	63751	
563826	124553	
563826	235786	Giulia
563826	252632	
563827	28542	
563828	10413	The Doctor
563828	23559	Edith Frank
563828	32464	Margaret Spencer
563828	39274	Lady Wexmire
563828	41725	Christine
563828	54029	
563828	74766	Lady Margerie Pee
563828	79747	Mary
563828	80696	Judge
563828	88933	Art gallery patron
563828	120256	Susan
563828	141279	Mrs. Burkett
563828	142672	Ahme
563828	150749	Mrs. Barrymore
563828	150974	Mrs. Julia Peniston, Lily's A
563828	161576	Sophia
563828	162247	Principal
563828	191774	Mrs. Merdle
563828	192172	Miss Minchin
563828	196203	Signora Carmelina
563828	212963	Adele Franklin
563828	213317	
563828	218551	
563828	223883	Various roles
563828	228295	Sister McFee/Sister Mary MacA
563828	255013	
563828	258007	Various
563828	269085	Melanie
563828	285756	Marie de Saint-Exupéry
563828	292597	Various Roles
563828	307895	Herself
563828	326600	Perdita Lowe
563828	336697	Lydia Reynolds
563828	342049	Miss Neap (Flora)
563828	342856	Cathy Manchester
563828	365942	Augusta Colt
563828	367816	Hermione Roddice
563828	379394	Various characters
563828	381817	Various roles
563828	388486	Marilyn Harris
563828	390840	Gran
563828	395222	
563828	396576	Zoya Hirst
563828	399729	Various Characters (1964-1965
563828	401490	Miss. Shilling
563828	403992	Rosario
563828	409841	Lady Bareacres
563828	410983	
563828	411431	Various roles
563828	411553	Duchess Felmet
563829	280740	
563830	198642	Vanessa
563831	90676	
563831	119085	
563833	324502	Dancer
563834	14268	Herself/poet
563835	250787	
563835	339148	
563836	55194	Artistas invitados
563837	255485	Asistente social
563838	320094	National Guard, Motorcyle Pla
563839	384154	
563839	407173	Herself (1999-)
563839	408151	Fania (2001)
563840	33152	Dália
563840	252768	Glorinha
563840	284087	Alice
563840	381144	Semíramis 'Mira' Maia
563840	385025	Bárbara Diniz
563840	385629	Vera Lúcia
563840	387830	Beatriz
563840	388562	Anita
563840	388728	Suzy
563840	390054	Renata
563840	390658	Estela
563840	391900	Joyce
563840	397539	Fernanda Castro
563840	398796	
563840	403733	Tânia Malta
563840	408212	Eleonora
563840	408727	Luciana
563840	409780	Solange Duprat
563840	412173	Lúcia Alvarez
563841	5446	Noa
563841	23873	Soledad
563841	24206	Lucía, de joven
563841	36502	Julia
563841	53013	Tere
563841	68585	Laia
563841	73298	
563841	85963	María
563841	101867	Luisa
563841	108981	Maria
563841	136857	Alicia
563841	145647	Beatriz
563841	183985	Laia
563841	193515	Lola
563841	234008	María
563841	269915	Míriam
563841	281292	Teresa
563841	289325	Fátima
563841	302478	Bianca
563841	334666	Aina
563841	353263	Timor
563841	378736	Lídia Bofill
563841	379100	María
563841	393024	Isabel
563841	401688	Clàudia
563841	403743	Clàudia
563841	404708	
563843	87902	La dame qui tombe
563844	11205	The Widow
563844	73820	Fannie
563844	83597	Mercedes Nicholls
563844	152720	
563844	211620	Jane
563844	270641	
563844	281200	
563844	289491	Julia Creighton
563844	292625	
563844	339641	
563844	361801	Juanita
563844	366217	
563845	154124	
563846	110749	Emilio's friend
563847	220726	Mozart's Cousin Basle
563848	236972	Commedia
563849	333443	Secretary
563850	2766	Injured Driver
563850	101040	Catskill Woman
563850	178166	Stewardess
563851	162096	Phyllis
563851	211603	Hannah Glavari
563851	380592	Mrs. Crawford
563851	397380	Annie Montagu
563852	300056	Karina's Mother-in-Law
563852	344344	Jadzia Bialek
563852	359590	
563853	356587	Amme
563854	225873	
563855	29656	Witch
563855	125141	Gypsy Fortune Teller
563855	137597	
563855	231649	Aunt Agata
563855	311255	Old Woman
563855	344325	Komarowna
563855	374230	Aunt Clementine
563856	398865	Une Naguette
563857	87414	Dream Sister
563858	35752	
563859	244864	Victoria
563860	189865	
563861	102525	
563861	107374	Alma Wittkowsky
563861	138438	
563861	166354	
563861	172961	Helga Blomeier
563861	180474	Ina von Gera
563861	180997	
563861	204581	
563861	225647	FBI-Sekretärin Susan alias 'S
563861	236819	
563861	272187	Krna
563861	325414	Anita von Seilern
563861	334528	Eva O' Connor
563861	338436	Anette Brodersen
563861	338442	Edeltraud
563861	361437	
563861	365590	
563861	380905	
563861	389615	Erna Fischer
563861	391152	Therese
563861	392086	Leonora
563861	393360	Vera von Jadow
563861	399503	
563861	404488	Ursula "Uschi" Wolter, geb. R
563861	406321	
563861	406488	
563862	57275	Mère Didier
563862	68923	Martine
563862	108220	Christine Soulier
563862	108221	Christine Soulier
563862	188028	Paulette Perrochon
563862	237316	Florence
563862	251815	Solveig, une paysanne
563862	275687	Mlle Michel
563862	287954	Christine Soulier
563862	301402	Marie
563862	357834	La cliente d'Angèle (Eliane)
563862	407212	Sylvie Faber
563863	322340	
563864	236928	Loralei
563865	114329	Großmutter
563865	274863	Oma
563865	319672	
563866	282377	Narrator
563868	34354	Dirne
563869	213554	Mariska
563870	113061	Herself - in casino
563871	81572	Edgia
563872	62932	
563872	140636	
563872	354865	
563873	114496	The Jogger
563874	216803	Golden Girl #1
563875	26439	
563876	17507	Bit Part
563876	19963	Lita Hazlitt
563876	33513	Reporter
563876	33922	Mary
563876	40062	Miss Emily Jeffrey, Daughter 
563876	56777	Sally Winton
563876	68670	Sally Williams
563876	104296	Page
563876	104943	Sorority House Mother
563876	105225	Doris Poole
563876	129871	Bit
563876	130843	Betty Kent
563876	145835	
563876	165909	Janet Ammidon
563876	170793	
563876	178034	Cinderella (Jane)
563876	193264	Helen Reagan
563876	196403	Vivan Marsh
563876	209428	Mamie Goltz
563876	213217	Ellen Gray
563876	216957	
563876	226963	Miss Josephine
563876	235499	Betty Dover
563876	241746	Jeanne
563876	242523	Lucy Blake
563876	248427	Chrissie
563876	248451	Sally Lane
563876	253913	Peter Pan
563876	258555	Mayor's wife
563876	279034	Ritzy Brown
563876	302713	Grace
563876	308853	Aunt Winigred Canfield
563876	339829	Herself
563876	342434	
563876	364341	Mrs. Boatwright
563876	371794	Milly Baynum
563877	124661	Nana Gavin
563877	141034	Blondey, gang moll
563877	183638	Can-Can Dancer
563877	196915	Crowd extra
563877	244913	
563877	366824	Jane
563878	183590	Secretary
563879	266625	Newlywed Wife 3
563879	315183	Theodora
563880	4714	
563881	40490	Laura
563881	82114	Rachel
563881	185253	Woman #1
563881	310303	Anda
563881	366027	Samantha Stafford
563882	169939	Miss Haver
563883	7414	Miss Crutcher
563883	20549	Secretary
563883	31049	Delia Ellis
563883	32226	
563883	39536	Tourist
563883	41105	Miss Phelan, Butler's Secreta
563883	46329	Miss Hammer
563883	47029	Hotel Maid
563883	63029	Prim secretary
563883	77025	Sheriff's wife
563883	80587	Mrs. Putnam
563883	84991	Landlady
563883	93572	Minister's Wife
563883	101689	Wheeler
563883	105689	Mrs. Matilda Bullitt
563883	108300	Aunt Jo
563883	109842	Adalaide Cassin
563883	109855	Teacher
563883	118546	Mrs. Potter
563883	124374	Lady
563883	128379	Miss Blodgett
563883	138848	Mattie Dyer
563883	143575	Miss Tompkins
563883	143577	Johnny Cabot fan
563883	147639	Abigail Whitehorse
563883	152208	Miss Hammer
563883	158237	Aunt Addie
563883	158331	
563883	161915	Norma, the maid
563883	168270	Prunella Pennyworth, Humphrey
563883	169906	
563883	170856	Maid
563883	183358	Nurse
563883	199592	Mme. Follenvie
563883	209413	Mrs. Henderson
563883	217426	Perkins
563883	222672	Cleaning Woman
563883	231131	Aunt Ethel
563883	232837	Mrs. O'Brien
563883	233930	Aunt Elsa
563883	234471	Gotham Cashier
563883	245589	Secretary
563883	245692	Mrs. Louise Murphy
563883	245693	Mrs. Louise Murphy
563883	251492	Harker's Housekeeper
563883	275694	Secretary
563883	277447	Telephone operator
563883	279373	Dorothy Stone
563883	281415	Teacher
563883	281851	Emmy Anders
563883	282394	Tub customer
563883	283894	Carrie Simmons
563883	294357	Miss Benson
563883	299503	Viola Simmons
563883	304065	Mrs. Leeds
563883	304755	Helen, the Maid
563883	306490	Mrs. Wilson Green
563883	310863	Grandma Spencer
563883	315123	Gushy Woman
563883	321705	Pepite
563883	330240	Aunt Martha
563883	338894	Librarian
563883	343206	Miss Zilly
563883	358583	Amy Gerard
563883	361176	Miss Lennek
563883	362094	Constance
563883	385744	Mrs. Drake (1957-1958)
563883	394514	Grandma (1955-1956)
563884	360084	Fae 'The Watermelon Woman' Ri
563885	81640	
563885	90932	New York groupie
563886	3267	Brinton Groupie
563886	41499	Amy
563886	226959	Denise
563886	343262	Carrie (segment "King of the 
563887	40902	Herself
563888	61595	Blonde Nell (expanded 1925 re
563889	199348	Adèle
563890	147644	
563891	105110	Telephone Operator
563892	136128	Turned-on Woman
563893	29517	
563893	48783	
563893	132944	Woman in Rio Hotel
563893	195004	Hannah
563893	378108	Mimi Bibelô
563893	396610	Lila Shue (1996)
563893	396651	
563893	409024	
563894	235002	
563894	243802	
563895	296749	Katarina
563895	349842	Jeannette
563896	51991	Zonca
563897	33519	
563897	118156	Herself - Performer
563897	118157	Herself - Performer
563897	255485	Leticia
563897	324509	La Condesa
563898	132642	Amena
563899	68768	
563899	130311	Patti Reese
563899	291220	Marion
563899	292794	Lucy Minchion
563900	64022	
563901	118980	Flower Vendor
563901	137453	Ethel
563901	138821	Boobie Housewife
563902	63712	Additional Voices
563903	12201	In Audience
563903	43462	
563903	99757	
563903	143296	In Church
563903	146106	A Neighbor
563903	150897	In Tenement Apartment
563903	188154	
563903	276695	
563903	282337	
563903	289067	Martha Hickman
563903	331164	
563904	31641	
563905	35776	Babushka/Cockroach Song
563905	47779	
563905	97117	
563905	104406	
563905	125911	
563905	221012	
563905	223687	
563905	233739	
563905	303187	
563905	303211	
563905	319390	
563905	350422	
563907	76670	Mother Nini
563907	374261	
563907	381867	Theresa Pruim (2001-)
563907	399980	
563908	89490	Mary
563908	109130	Rose
563908	137733	Magda
563909	5154	Catherine
563909	63783	Anna Roberts
563909	289683	Annette Messenger
563909	328560	Karen
563909	368967	Lock-in Girl #2
563910	18567	Natalie
563910	48255	Barbara
563910	150047	
563910	284511	S.
563910	302881	
563910	394438	
563911	75913	Flowergirl/Sister Claire
563912	395924	Tiggy
563913	67481	Eileen Stanmore
563913	117115	Receptionist
563913	137462	Dresser
563915	278607	Woman
563916	31827	Nahnda
563916	44257	Rita Canrilla
563916	82119	
563916	112617	Bar girl
563916	193640	Bess Mitchell
563916	254449	Ruth Rogers
563916	365619	Lila Landau, the step-daughte
563917	5814	Kay
563917	7240	Governess
563917	7499	
563917	7849	Mrs. Grace
563917	9254	Contessa de la Reche
563917	10856	Muriel Bland
563917	32754	Arabella
563917	59815	Elaine Whitman
563917	72782	Mrs. Wilsher
563917	75521	Lady Almina Carnarvon
563917	106527	Lucy's Mother
563917	113571	Lady Randolph
563917	115826	Heather
563917	137914	
563917	143924	Woman on Bus
563917	158449	Betty Cornfield
563917	161414	Lesley Wilson
563917	170720	English girl
563917	203200	Joan Lennox
563917	215475	Mabel Forster
563917	220096	Isobel
563917	221245	Lady Boxborough
563917	234029	Pert Brunette
563917	235156	British Prime Minister
563917	258777	Elizabeth Janus
563917	273084	Isabel's Mother Louisa Bradle
563917	287013	Sarah
563917	290352	Dr. Sands
563917	291818	Mrs. Grice
563917	320308	Alice Barham
563917	330154	Ruth van Rydock
563917	330638	Nannie
563917	334307	Grace Evans
563917	339360	
563917	346838	Viola Alardyse
563917	356895	Helen Saville
563917	358553	Elizabeth Hemming
563917	360453	Alva Collins
563917	360594	Lady Spencer
563917	364713	Virginia Collins
563917	379624	Mrs. King
563917	380259	Heather Windrup (1975-1978)
563917	384426	
563917	390278	Janet Turner
563917	390361	
563917	393001	Lady Knox
563917	405460	Julie Westfield
563917	410580	Countess Rostova
563918	294527	
563919	129988	Binkie Frayling
563920	54628	Rowena Le Vay
563920	116738	Georgiana Shillibeer
563920	128303	Mary
563920	185211	Nurse Lt. Ann Maertz
563920	207062	Maschenka
563920	217224	Jane
563920	243299	
563920	292417	Adult Mary
563920	346360	Bianca
563920	405024	Ethel Hall
563921	5009	Angie
563921	12295	Jen
563921	110100	Jade de Camp
563921	273077	Celeste
563921	381479	Kate Barrow (pilot)
563921	393939	Isobel
563921	396348	Rachael
563922	43347	Lucy Whelan
563922	152324	Anna
563922	222339	Mummy
563923	47907	Jane Jansen
563923	50989	Claire Carlson
563923	58481	Connelly's Ex Wife
563923	65464	Paula
563923	89388	Karen
563923	90409	Carolyn
563923	97342	Lydia
563923	100952	Mrs. Glazer
563923	118277	Irma Millard/Hermit of the La
563923	124554	Marie Freeman
563923	158109	Kathy
563923	161467	Kat
563923	168504	Jamie Avery
563923	177204	Zach's Mother
563923	185174	Jill
563923	214441	Hannah Berrick
563923	224165	Alison Shaeffer
563923	319618	Teacher - JFK High School
563923	386489	Deputy Mayor Mary Ann Mitchel
563923	392625	Wendy
563923	393627	Jamie Avery
563923	400078	Parker Morrow
563923	405475	Sarah Berkezchuk (1993)
563923	411262	Ann Hudson
563924	77218	Stella Mycroft
563924	382052	DC Kerry Holmes (1998-2000)
563924	401077	Joanne Pearson, receptionist 
563926	134021	Mrs. Lenox
563927	69504	Gloria
563928	5184	Claire
563928	150865	Lea
563928	163715	Lyle's Girlfriend
563928	229319	
563928	278712	Marisa Tavares
563928	281255	Linda
563928	290345	Sophia
563928	309309	Sarah
563928	331247	Jennifer
563928	381886	Herself - Main Presenter (199
563929	215876	Margaret Hunt
563930	316863	Nicky Richards
563931	33690	June
563931	46979	Alice
563931	78957	Mary Cresswell
563931	80545	Elizabeth Orme
563931	116694	Kate Granville
563931	117305	Katherine Britton
563931	129234	Connie Stevens
563931	150896	Lucy
563931	154918	Ann Johnson
563931	163563	Jill Borden
563931	203553	Helen Calthrop
563931	231765	Barbara Seaton
563931	236908	Avis Bellingham
563931	250711	Patricia Fitzroy
563931	269865	Margery Meadows
563931	276661	Diana
563931	281877	Mary O'Brien
563931	300910	Anne
563931	340220	Ann Devon
563931	342489	Virginia Roberts
563931	350646	Evelyn Vincent
563931	354958	Jenny
563931	357583	Sylvia
563931	363203	Nancy Holmes
563932	140510	Little Nun
563933	93717	
563934	117556	Woman bystander
563935	164245	News Anchor
563936	282667	Victoria Hadley-Sloan
563937	193890	
563938	188490	Office Girl
563939	408001	Rachel
563940	404211	Aïcha
563940	409462	Agathe
563941	258860	Fast-food girl
563942	55855	Skier
563942	112227	Athlete
563942	119608	Athlete
563942	306341	Athlete
563943	1269	
563943	4945	
563943	29934	Brooke
563943	33034	
563943	52819	
563943	150107	
563943	161970	
563943	178863	
563943	247931	Brooke
563943	292477	
563943	295648	
563943	326728	
563943	372752	
563943	389097	Herself
563943	405209	Whitney (2001)
563944	87883	Beryl Jeffries
563945	11006	Aunt Jennifer Findlay
563945	79691	Mum
563945	80517	Parish
563945	141635	
563945	231069	Macka's Wife
563945	236681	Flo Patterson
563945	277889	Grannie Jones
563945	382596	Gran Ellis
563945	385016	Mrs. Lewis
563945	387203	Vi Patchett (1990-91)
563945	389897	
563945	399816	Flo Patterson (1972-1977)
563945	403244	Amy Blake
563946	217817	Coffee Girl
563947	211508	Lady-in-waiting
563948	980	Agent March
563948	238054	Lucy
563949	143253	
563950	165009	Maritza
563951	4621	Capt. Bonney
563951	4623	
563951	6549	Mrs. Shirley Pedigrew (Peter'
563951	7108	
563951	7642	Diana Emerson
563951	10977	Linda Waring
563951	16098	Polish bride
563951	32226	Gloria Barton
563951	34032	Nora Nielson
563951	37458	Lorelei Kilbourne
563951	37460	Lorelei Kilbourne
563951	37465	Lorelei Kilbourne
563951	42845	Flo Woodbury
563951	52659	Mrs. Brown, Measels Patient
563951	69460	Mary Webb
563951	71625	Pamela Hart
563951	71721	
563951	73169	Kathleen Carson
563951	74288	Friend of Jo Ainsley
563951	92505	Mrs. Arnold
563951	92831	Vivian Crosby
563951	96669	Lynn Stafford
563951	100668	Beatrice Alexander
563951	104352	Blonde on Stage
563951	115838	Horsewoman
563951	121586	Mildred Trist
563951	125863	Nina Mallory
563951	138804	Young Society Girl
563951	144398	
563951	150798	Carol Forrest
563951	154117	Lorelei Kilbourne
563951	160711	Addie Wilson
563951	161713	Mary MacLean
563951	165444	Blanche Ingram
563951	183706	Miss Bar
563951	183836	Evelyn Cantrell
563951	188392	
563951	193689	Georgia Deering
563951	193692	Sue Brown
563951	194783	Marla Stevens
563951	196977	Margo 'Countess'
563951	201152	House Guest
563951	203535	Jan Peterson
563951	206414	Hillary Gordon
563951	208741	Peggy Lord
563951	212200	Eve Carter
563951	214695	Mrs. Bellane #2
563951	218257	Mme. Pompadour
563951	220801	Guest
563951	230435	First Lt. Phyllis Turnbull
563951	230622	Chorine
563951	230731	Guest
563951	254654	Main Line Society Woman
563951	262265	Undetermined Role
563951	279452	Kate
563951	298584	Jill Grandis
563951	298587	Sally Musgrave
563951	299163	Hillary, a Girl
563951	304058	Square Deal Sal
563951	304876	Railroad Station Blonde
563951	311557	Phyllis Warren
563951	313118	Alice Todd
563951	316105	Arline Cole
563951	316114	Patti Leeds
563951	316166	Meg Saladine
563951	334367	Parade Spectator
563951	342878	Second Girl in Powder Room
563951	343249	Dress Shop Clerk Who Called H
563951	346908	Woman
563951	347418	Doris King
563951	348322	Barbara Nuboult
563951	351500	Lydia Nevil
563951	358439	Girl at the inn
563951	365828	Modern Schoolteacher
563951	367502	Lydia Marlowe
563951	379045	Hillary
563951	398716	Roberta Townsend (1952-54)
563952	104972	Lisa Stone-Smith
563953	360436	Rock's Dream Girl
563955	320365	Mrs. Murray
563955	385299	Doris Burnaby
563956	168963	Herself
563957	33141	Yvonne Fairweather
563957	381582	Yvonne Fairweather
563957	384097	Bev (1991)
563957	385020	Paula Maxwell (1992-1994)
563957	408277	Anne
563958	113264	Charlotte
563959	144816	Tasha
563960	366645	Goat Man's Wife
563961	93203	
563961	97314	
563961	306911	
563962	81702	Gallery Assistant
563962	171311	Blonde Tourist
563963	1675	Herself
563964	27206	Woman With Dog
563965	342797	Courtney
563966	402197	Babs Martin (1981-1983)
563967	133343	Rich Woman Patient
563968	97202	Theresa
563969	338748	Biker
563970	215577	
563971	285401	Banker's Daughter
563972	60764	Motorcyclist
563972	134573	Sex Olympics
563972	191851	
563972	228672	
563972	232251	Veronica
563973	238495	Young Samantha
563974	142341	Infiniti
563975	38930	Mrs. Talbot
563975	81902	Woman in house
563975	156510	
563975	212630	
563975	232465	Amanda Detweiler
563975	241811	Det. Waite
563975	264439	Taura
563975	304718	Carol
563975	328584	Mona
563976	44474	Lacey's Mom
563976	250576	Mrs. George Ball
563977	218793	Anna the Lindenborg Housekeep
563977	340579	
563977	354599	Miss Waring
563977	363459	Landlady
563978	26666	Big Bride
563978	45509	Mrs. Claus
563978	127102	Wanda
563978	145638	
563978	235484	Nanny Peg
563978	362497	Katie
563980	88852	Molly the Maid
563981	41147	Angela McClean
563981	121835	Herself
563981	245816	Heather Moore
563981	380714	Judith 'Judy' Pargetter Hanso
563981	385112	Stephanie Langham
563981	396376	
563981	400549	Mrs. Lucas
563982	391258	Herself (contestant)
563983	161189	Clerk
563984	383379	Caff
563985	127108	Lisa
563986	5871	Eugenia Cybulkowski
563986	81118	Mildred Carston
563986	101778	Dr. Cooley
563986	123325	Naomi Freed
563986	127204	Milly
563986	131612	Alice Davenport
563986	139283	Stella Botsford
563986	149911	Dr. Immelman
563986	161740	Charlotte Beach
563986	185239	Dr. Coopersmith
563986	189409	Judge Miriam Roth
563986	191094	Mrs. Novik
563986	194315	Becky
563986	194666	Judge Silbowitz
563986	195395	Mrs. Paultz
563986	209384	Woman
563986	209388	1st Woman of Corinth
563986	226937	Commissioner Anabell Brumford
563986	241630	Frances Hollander
563986	250546	Aunt Ethel
563986	280356	Charlene
563986	291771	Helen's mother
563986	301769	Ma Dunne
563986	312711	Mrs. Connaloe
563986	313557	Dr. Hobbes
563986	347059	Doris
563986	361544	Publisher
563986	363719	Lorraine McDowell
563986	366908	Margaret Mayo
563986	368224	Spinner
563986	380391	Beatrice Gordon (1975-1977)
563986	380713	Miss Thompson (1969-1973)
563986	388862	Flora Perkins (1964-1965)
563986	393192	Nora Adler
563986	404002	Sister Mary Joel #4 (1982)
563986	404694	Dist. Atty. Ursula Winthrop (
563987	160576	Edwina
563987	346078	Travel Agent
563987	379826	Various characters
563987	394626	Various characters
563987	406345	
563988	100799	Penny
563989	19173	FANY
563989	39628	Lady Ontzlake
563989	51855	Slave Girl
563989	85122	Landlady
563989	110996	
563989	131392	Woman on Tram
563989	138659	Mrs. Parry
563989	144968	Mother Superior
563989	160555	Miss Francis: Hat Sales
563989	164502	Lady Almoner
563989	187084	Mrs. Samson
563989	206090	Mrs. Fisher
563989	224303	Mrs. Lippincott
563989	240862	Miss Fisher
563989	258732	
563989	308082	
563989	315296	
563989	330841	
563989	342462	
563989	350006	
563989	359486	
563989	367903	Hackett
563990	184412	Additional Voices
563991	408075	Cook (1988-2000)
563992	16760	Henrietta Alt II
563993	53323	Molly, Girl Whose Party It Is
563993	118548	Cindy
563993	128893	Paige
563993	273769	Nikki Rathbone
563993	281455	News Reporter
563993	294236	Drug Intervention Student
563994	406679	Mistress Bradshaw
563995	314445	Kimberly Kresby
563996	355362	Dora
563997	352420	Girl Outside Tutwiler
563998	262024	
563999	217513	Wife
563999	298769	Laverne
563999	360436	Airline Passenger
564000	356351	Page at 8
564001	41379	Woman
564002	210837	Biker Chick
564003	26478	
564003	37261	Lori Pressman
564003	39697	Babs
564003	56144	Demonstrator
564003	71623	Capt. Blake
564003	73482	Sheila
564003	138859	Nina
564003	139195	Toby
564003	159946	Jennifer Reed
564003	175064	Susan
564003	195482	Angela
564003	221236	Phyllis Dean
564003	230340	Ms. Teitler
564003	232243	Kelly
564003	260229	
564003	262054	Mother
564003	292664	Zimmy
564003	296928	Mercy
564003	328256	Dominique
564003	328587	Cathy Foster
564003	337164	Jennifer
564003	340791	Airplane Wife
564003	344510	Danielle Parets
564003	347959	Alison
564003	357104	
564003	364083	Mrs. Patterson
564003	364189	Loni
564003	380391	Christine Wylie (1981)
564003	389858	Vanessa Raphael (1983)
564003	395162	Liz Baynor
564003	410977	Liz Rainey Hathaway (1971-197
564004	20561	Barbara Baker
564004	73574	Annie
564004	100820	
564004	145414	Felicia Waller
564004	218379	Sarah
564004	220669	Jody
564004	242529	Clinique
564004	257049	
564004	340764	Margie Donlevy
564004	385824	Sarah Horton #5 (1990-1991)
564004	398461	Kerri Drego
564004	401930	Samantha Norris (2001)
564005	160416	Terri (segment "Tango")
564005	293164	Lakeisha
564005	313443	Ensign Nel Chilton
564006	97390	Singer #1
564007	115540	Irene
564007	217375	Regina Kennedy
564007	371962	Pagan Initiate #2
564008	31637	Bikini Audition Girl 2
564008	47279	Elli Merriman
564008	154869	Shannon
564008	289222	D.C.
564009	128782	Herself
564010	41820	Martine
564010	43921	Renee/Date #8
564010	47993	Judge Carla Williams
564010	54364	Vanessa Erickson
564010	157580	Female Guest #1
564010	185253	Woman #3
564010	207710	Dr. Portis Stoval
564010	213091	Jessica Saunders
564010	241791	India Adams
564010	279008	Teresa Becker
564010	296986	Dr. Foxy Brown Phd
564010	396598	Holly Brooks (1996-1997)
564010	409741	Maxine
564011	380391	Diana Frame (1981-1982)
564012	60746	Glu Glu Club Patron
564012	80911	Lucy
564012	138184	Daisy
564012	185621	Tina
564012	195771	Henrietta Moraes
564012	232379	Eliza
564012	248991	Girl at Gillvray's Office
564012	258305	Widow with Garter
564012	264147	Lady Neville
564012	366768	Nicola
564013	387518	Staff Nurse Jill Craig
564014	386603	Stephanie Aldrich (1982)
564015	175190	Voodo Club Dancer
564016	148878	
564016	358074	
564017	178866	
564018	86307	Michael's Mother
564018	165428	Anne
564018	242500	Gabriella
564018	315297	Hypnotized Woman
564018	333376	Lois
564018	351178	Charlie
564019	188341	Barbara
564021	381821	Ensemble (1985)
564022	302603	Hostess
564023	113462	June Weston
564023	194690	Pam
564023	203322	Air Hostess
564023	273173	Sally
564023	302128	Mabel
564024	135176	Woman
564024	177361	Female Elephant
564024	191693	Little Brown Burro
564024	235627	Woman at Meeting
564024	399446	
564024	408258	
564024	408956	Sally Anderson
564025	2429	
564025	33945	
564025	123811	Lady In Kitchen (Brie Brooks)
564026	176831	Susan
564027	154004	Gas Station Attendant
564028	264723	
564029	76600	Linnie Sue
564029	276799	Meg
564030	45452	Helen
564030	208226	The American woman
564031	304765	Young John Reilly's Mother
564032	401689	Bethan Davies
564033	189408	Girl at DMV Test
564034	342959	Mary Jerdens
564035	96867	Herself
564035	328801	Celebrity Participant
564035	387247	Janine Butcher/Evans (III) (1
564035	389410	Herself
564036	252862	Cybill
564037	40889	Beth
564037	186817	Trish
564038	21448	Child at Cafe 24
564038	154869	Child actress in the street
564039	353680	
564040	66993	Ellen
564040	163362	
564040	217993	Benny's Girlfriend
564040	259280	Stewardess
564040	314227	Girl in T-Bird
564041	122178	
564041	144831	
564041	311160	
564042	153578	Peachy Baton Queen
564042	321009	
564042	335590	
564042	337823	
564043	53516	Paulette Kalini, Talk Show Ho
564043	154372	Marilyn
564043	285177	Myrna
564043	303977	Penny Loafer
564043	328263	Cashier
564043	360465	
564043	368942	Nagel's Secretary
564043	388810	Col. Grace (1998)
564043	407716	Shelley Grout
564044	108063	Betty
564044	158871	Drusilla
564045	125821	Sylvia
564046	23430	Radio Voice
564046	277043	Lori
564047	127017	Bliss
564047	252831	Patchouli
564047	315950	Margo
564048	52312	Herself
564048	116994	Fantasy Woman 1
564048	128807	Miss May 1998 (Segment "The J
564048	257608	Herself
564048	257656	Herself (Miss October)
564048	257668	Herself (Hostess)
564048	257677	Herself
564048	257678	Miss May 1998
564048	257813	Herself
564048	257836	Miss May 1998
564048	282545	Sarah Foster
564048	410756	Sports Reporter
564049	29746	Pauline
564050	84739	Elaine
564050	360044	
564051	249268	Nurse
564052	132321	Rosina's Mother
564052	358702	Samuel's Secretary
564052	385659	Mrs. Cohen
564053	13990	LeVerne
564054	266678	Rachel
564055	263537	
564056	38407	1st Nurse
564056	81902	Mrs. Ridley
564056	117773	Carla
564056	151788	Marsha Quist
564056	164715	Rita
564056	288754	
564056	307579	Joyce
564056	386601	Nurse Connie Kimbrough
564057	99318	
564057	403030	Herself
564058	411802	Skylar Evans #2 (1990-1991) (
564059	105803	Edith Duval
564059	128178	Mary Austin
564060	11121	Ms. Steinberg
564060	106263	Shopkeeper
564060	116466	Retired Lawyer's Wife
564060	245219	Judy's Mom
564061	143340	Morning Star
564062	20103	
564062	354229	
564063	5874	Ellie Cooke
564063	49219	Georgia Price
564063	74251	Julie Demarest
564063	99771	Marie
564063	134045	Chris Kenneth
564063	147060	Maria
564063	162437	Honor Thompson
564063	168746	Dr. Leslie Frost
564063	221099	Katherine Fremont
564063	261423	Carol Graham
564063	273805	Bea Harper
564063	316679	Terry
564063	357563	Maria, Maddalena's sister
564063	372811	Mary Hathaway
564063	387111	Angela Dumpling (1976)
564063	388431	Louise 'Lou' Carson
564063	396088	Arden Dellacorte (1971)
564063	411358	Sylvia Rockwell #2 (1954)
564064	296912	Girl in Restaurant
564065	61134	Mrs. Grace
564065	65825	Enid
564065	364731	Ned's Wife
564065	384136	Chocky
564065	384385	Dawn
564065	392808	Landlady
564066	2331	Host
564066	32243	Chanel
564066	93756	Young Tuli
564066	142464	Gold
564066	157240	Cale's sister
564066	201723	Herself
564066	220126	Allannah James
564066	333391	Onyx Richardson
564066	390111	Maya Wilkes
564066	395659	CeCe Jennings
564067	27112	Piano player
564067	43888	Herself
564067	73835	Piano Player
564067	157456	Singer
564067	168553	Piano Player
564067	245121	Singer
564067	330610	Lounge Piano Player
564067	390886	Host
564068	19797	Sybil
564068	30687	Lily Courtney
564068	42703	Alice
564068	94291	Miss June, Vargas Calendar Gi
564068	128152	Showgirl
564068	139790	Dance-hall girl
564068	154169	Stella Forrest
564068	206355	Bridesmaid
564068	209660	Show Girl
564068	250776	Taxi Driver/German Spy
564068	272691	Information Girl
564068	304755	Daphne
564068	330634	Bit role
564068	366934	Girl on Elevator
564069	112504	Kathy
564069	282654	Amy
564070	5982	Bella
564070	16251	Receptionist
564070	26529	Barbara
564070	62791	Mrs. Saunders
564070	67378	Edy Baxley
564070	73562	Ruth
564070	78843	Young Woman
564070	97035	
564070	106941	The Wife
564070	117395	Carol
564070	155315	Margie
564070	162906	Helga Ziegner
564070	177021	
564070	189982	Nurse Doherty
564070	191409	Alison's Landlady
564070	200245	Miss Barley
564070	232189	Marie Hollister
564070	241762	Amanda Zukowsky
564070	249178	Secretary
564070	252915	Esther
564070	257760	Danny's Mom
564070	264154	Margo Firestone
564070	278894	Makeup Lady
564070	281901	Arlene
564070	301754	Interviewer
564070	334278	Rachel
564070	363953	Ella Horowitz
564070	365341	Mrs. Conrad
564070	408058	
564071	89684	
564072	107481	Mrs. Nevinson
564072	206478	Mildred's mother
564072	241413	Mrs. Ivan Trent
564072	364528	Margaret Ferris
564073	123884	Woman
564074	135385	Lulu
564074	154202	Sylvia
564074	162567	Breast Development Student
564074	348386	Vicki
564075	12614	Mrs. Fallbrook
564075	59192	Tina
564075	65449	Gigi
564075	66993	Ellen
564075	152579	Gina
564075	161188	Tina Tudor
564075	163362	
564075	217993	Benny's Girlfriend
564075	259280	Stewardess
564075	298091	Phantom Woman
564075	314227	
564075	370113	Belize
564075	370342	Audry Cheeters
564075	385824	Taylor McCall (1992-1993)
564075	407994	Guest Star
564076	92324	
564077	338034	
564078	52819	
564078	67145	
564078	290377	
564078	291901	
564078	326727	
564080	131543	Gloria
564080	144809	Diana
564080	163358	
564080	227040	Donna
564080	317834	Mrs. Ellen Turner
564081	27490	Bella Union girl
564081	28782	Marsha
564081	44053	May Meadows
564081	44683	Iris Moore
564081	48569	Camp Hostess
564081	73202	Miss Gordon
564081	78070	Anne Bennett
564081	85060	Laura Larson
564081	107688	Vicky Gaines
564081	107694	Iris Fairchild
564081	107695	Roxanna Miles
564081	107697	Woman in hotel hall accosted 
564081	107699	Bellhop
564081	107702	Baroness Lena
564081	112404	Linda Tyler
564081	115064	Bit part
564081	116963	Beauty Shop Operator
564081	134058	Gloria
564081	161910	Gloria Cunningham
564081	161914	
564081	178761	Rae Langton
564081	187951	Kiki Walker
564081	203033	Linda Thompson
564081	209636	Madge Reilly
564081	214977	
564081	232023	Julie Arden
564081	237704	
564081	277958	Mary Morgan
564081	295470	Jacqueline Gibson
564081	308374	Eris Brooke
564081	335621	Agel De Vol
564081	343034	Barbara Borden
564081	367825	Maya
564081	372931	Mary Hauser
564082	75428	Megan Davenport
564082	358838	Mercedes Woman
564083	286187	Handmaidens to Salome
564084	4714	Carter Winston
564084	41338	
564084	150060	Sue Pennwright
564084	281470	Brea
564084	292594	Model
564084	360150	Belly Dancer
564084	367083	Bellydancer
564084	367486	
564084	368321	Denise
564085	32122	Bosnian Refugee
564086	317303	Brooke
564087	24777	Callie
564087	67205	Serena Ames
564087	111433	Lina Lardi
564087	116884	Frederica 'Freddie' Hauser
564087	222746	Elizabeth Proctor
564087	382287	Unknown
564087	384085	Ghanima Atreides
564087	389042	Frederica 'Freddie' Hauser (S
564088	308704	Lucy
564089	248486	Evelyn
564090	317736	Elise Weston
564091	272927	Girl With Tattoo
564092	160033	
564093	39412	Mrs. Reed
564093	329522	Hollywood Showcase Dancer
564094	47773	Doo Wop Group (School)
564095	262160	Hi-Fi Hut Cashier
564096	72862	Orville's mother
564097	97517	Bitchy Girl
564098	109142	Herself
564099	68772	Kate
564099	80962	Sara
564099	161951	Groupie
564099	197435	Luna
564099	245543	
564099	320031	Salene McCadden
564100	157759	
564101	26644	Hospital Receptionist
564101	29760	Christie
564101	30977	Kathleen 'Kathy' Duquesne
564101	78905	Sindi
564101	78906	Computer Voice
564101	78907	Computer
564101	167698	Zachery/Reporter/Angie
564101	208486	Lenore/Mamba Marie/Sephonie
564101	258752	Kim
564101	290944	Luna
564101	290948	Luna
564101	313481	Naboo scout captain/Y-Wing pi
564101	313489	Additional Voices
564101	365458	Tally (Cheetah Cub)
564101	379831	Niecy #2 (1990-1991)
564101	386242	MeeMee/LeeLee (1996-1998; 200
564101	402016	Additional Voices
564101	412129	Buena Girl/Snow Pea/Cindy Sla
564102	194405	Hardbutt's Secretary
564102	238252	Nurse Brigitte
564102	291452	Miss Boudoir
564103	389432	
564105	314228	Jo-Ann
564106	91779	Dowager at Party
564106	93240	Mrs. Gunther
564106	118796	Visitor
564106	157456	Lady Wanting Matches
564106	195162	Clubwoman
564106	289213	Buxom nurse
564107	263360	Night Desk Clerk (Hotel)
564110	388862	Miriam Bentley (1965-1966)
564111	41018	Claire Cummings Hanneman
564111	42731	Bridesmaid
564111	63941	Ellen WIlcox
564111	64930	Gwen
564111	66369	Olga Kaminoff
564111	70960	Peggy Holmes
564111	72104	Maurine Martin
564111	147609	Virginia Taylor
564111	151732	Dr. Maureen John
564111	154369	Ann Carter
564111	163546	Terry
564111	196973	Jewel Perkins
564111	203470	Girl
564111	203497	Lorna Claibourne
564111	228816	Navy Blues Sextette member
564111	232822	Roberta Halloway
564111	245747	Linda Banning
564111	280992	Miss Medwick
564111	292568	Kay Morrell
564111	323968	Secretary
564111	335469	Angela
564111	343120	Lena
564111	346278	Ann Carter
564111	362489	Josie
564111	370555	Chorus girl ('Little Johnny J
564111	372277	Cecy Acuna
564111	372328	Navy Blues Sextette member
564111	375045	Ziegfeld Girl
564112	81168	Model #1
564112	81219	
564112	109832	Reporter #1
564112	360465	
564113	226777	Bar Beauty
564114	218346	
564115	240681	Lt. Hosgood (Bridie's secreta
564115	319081	Liz Brown
564115	405960	Nora Todd
564116	127555	Nurse
564117	14220	Miss Bayport
564117	32794	The Girl (Nancy)
564117	51317	Lulu
564117	53609	Margaret Odell (the Canary)
564117	56579	
564117	64811	Snuggles Joy
564117	100213	'Boots' Boone
564117	104985	Fox Trot
564117	128266	Marie, Girl in France
564117	130038	Florine
564117	147650	Undetermined Role
564117	163341	Thelma Temple
564117	163648	Mildred Marshall
564117	171060	Diana O'Sullivan
564117	177391	Joyce Beaton
564117	195173	Herself
564117	195281	Janie Walsh
564117	195613	Herself
564117	197322	Herself
564117	236114	Griselle/Grisette
564117	245742	Beth Hoyt
564117	264942	Lucienne Garnier
564117	280647	Carol Fleming
564117	300105	Clara, Joe's Girl
564117	306735	Kitty Laverne
564117	316669	A moll
564117	322999	Thymiane
564117	327783	Photo used in newspaper
564117	363248	Chorus Girl
564117	366108	Betty Grey
564117	391836	
564118	26536	Melanie
564118	222880	Student
564119	96770	Prissy
564119	215157	Felicia
564120	9389	Charlotte Rouse
564121	411802	Skylar Evans #2 (1990-1991) (
564122	283555	Jo Tyler/Josie/Josephine Whee
564122	392693	Jackie Jolene Tyler (Jo)
564123	50178	Jackie
564123	244883	Elsa Hooks
564124	119638	
564124	206644	
564124	345768	
564125	105094	Marjorie Moore
564125	115146	Dora Danvers
564125	232082	Barbara Phipps
564125	261651	Sylvia Barlow
564125	297994	Mrs. Marlowe
564125	330911	Pearl Forrester
564125	330960	Laura Buxton
564126	92742	Russian agent
564127	353718	
564128	373360	Ash
564129	41403	Mynce
564130	7324	
564130	107481	
564131	330550	Hostage
564132	321206	Mouse
564133	127616	
564135	140310	Hav's Co-Worker
564136	190798	Performer
564136	241556	Herself
564137	72931	Goodyear Hostess in the Red L
564138	313820	Female trooper
564138	397991	Herself (Seasons 3-5)
564139	29647	Mammy Lu
564139	72684	
564139	79364	Mandy
564139	79393	The Housekeeper
564139	109867	Mrs. Martin
564139	112528	
564139	178893	
564139	189244	Mammy Lou
564139	190398	Mrs. Wedlock
564139	196386	Aunt Becky
564139	259772	The Cook
564139	283433	Aunt Debby
564139	348452	Liza Poke
564140	301533	Alma Lee
564141	220276	Parisian Dancer
564142	41455	Janet
564142	385299	Rosie Harding (1987)
564142	393934	Herlinde Gothard
564142	404664	Claire Neilson
564143	40479	Lola Martin
564143	245689	Doris
564144	210741	'Mysteries in History' Lauran
564144	283501	Phyllis Greenbaum
564144	384449	Michelle (1995)
564144	390334	Guest (1998)
564144	399242	Host
564145	335472	
564146	327427	Ariel
564147	65785	Vocalist
564147	112207	Disco Singer
564148	8179	Undetermined Role
564148	10642	
564148	32209	
564148	201407	Irene Corning
564148	223992	Lucy
564148	317354	Peggy
564149	141541	Herself
564150	10520	Herself
564150	17961	Sheila Barry
564150	59609	Judy Hayes
564150	59613	Vivian Wells
564150	64806	Ellen Ward
564150	78187	Valerie Barton
564150	116263	Ann Perryman
564150	116527	
564150	144447	Nanette
564150	144878	Marian Blair
564150	155018	Gay Blackstone
564150	157870	Ann Colby
564150	183706	Allison DuBois
564150	183831	
564150	192032	Barbara Shea
564150	197032	Pamela
564150	203567	Secretary
564150	208896	Mary Ellis Hall
564150	233858	Dolly Adair
564150	273600	Lola Lee
564150	297369	Dixie Pomeroy, the Chorus Gir
564150	302005	Mary Johnson
564150	304962	Sarilla Cushing
564150	315914	Barbara Drake
564150	316164	The Actress
564150	334116	Rowena
564150	342933	Dolly, Hotel Switchboard Oper
564150	347609	Maxine
564150	348384	Helen
564150	358643	Vicki Stone
564150	365926	Granddaughter
564150	372133	Evelyn Moore
564151	183706	Barbara at 7
564152	114099	Hooker #1
564153	49656	Marybeth
564153	55806	Shirl
564153	70461	Joanie Pratt
564153	70537	Girl #1
564153	80898	Ms. Della Rosa
564153	137861	Mrs. Vunk
564153	185548	Officer Mel Brubaker
564153	194223	Girl in Bikini
564153	203670	Fran
564153	222690	Arla
564153	272687	Teresa
564153	276785	The Model
564153	328659	Cherry
564153	332897	Jamie Cory
564153	388517	
564153	391453	Hilary Swanson
564153	395182	Officer Mel Brubaker
564153	396717	Jean St. John
564153	411321	Witch Bethel
564154	189324	
564155	74303	
564155	193975	Mrs. Baker
564155	280729	Telex Operator
564156	341758	Weather Girl
564157	211922	Mother
564158	303999	Miss M. Muse/Showgirl
564159	122646	Dolly
564160	403345	Sam #2 (1959-1960)
564161	253020	
564162	41181	Background singer
564163	239711	Natalie
564163	244034	Additional Character Voice
564163	296543	Technician #2
564163	354163	Waitress
564164	223332	
564165	162353	Susan Plant/Ginger
564166	168948	Message from the Lord Choir
564167	202195	Skeleton Crew Dancer
564168	203243	Shopper
564169	40314	Crying Girl
564169	385369	Martha
564169	389639	Evelia
564169	397018	
564170	33691	Mair Jenkins
564171	318091	
564172	37374	Ellen
564172	87879	Michelle's Mother
564173	77545	Cindy Lou
564173	119533	Protester
564173	161984	Lady Anne
564173	332835	Flower girl
564173	373577	Trashwoman
564174	138412	Prostitute
564175	342673	Nude Woman
564176	228016	Herself
564177	301832	Mrs. De Windt
564178	160415	Woman (segment "The Freak")
564179	321196	Girl
564180	295853	Herself
564181	278082	Karen
564182	148584	Mrs. Forest
564183	62536	Receptionist
564183	139050	Waitress
564184	148871	Honey
564185	5827	Fat Mary
564185	109971	Mrs. Silberman
564187	79962	Savanna
564187	184829	
564187	194963	Lauren
564187	210543	Loretta Jenkins
564187	230412	Nurse Jane
564187	293770	
564187	318370	Tracy
564187	351765	
564187	351908	Carrie
564187	383025	Producer (pilot only 1999-200
564187	389498	Series regular (1997)
564187	404927	Nurse (Envy)
564188	279203	Hinds
564189	128218	Mignon
564190	119358	Champagne Waitress
564191	87522	Toni (age 7)
564191	93123	Jill
564191	194212	Bratty Girl
564192	26760	
564192	72610	
564192	147773	
564192	147775	
564193	393161	Rebecca
564194	123696	Georgy's Girl
564194	170746	Mouth #1
564194	202195	Hooker
564195	89056	Breeana
564195	92192	Cheyanne
564195	264914	Roxxi Maraka
564196	90237	Heavy Set Woman
564197	303226	Classroom Kid
564198	386858	Becky Brewer (Series 3-4) (20
564199	7099	Average Kid #1
564200	31327	Mud Wrestler/Waitress
564201	153565	Cee Gee
564202	117231	Holly
564202	160589	Woman in Bank
564202	197530	Prince Albert Motel Waitress
564202	320041	Diane
564203	385930	Dog Lady
564204	65174	Felicia
564204	385013	Bunchie
564205	125578	News Anchor #1
564205	154309	Contestant #1
564206	380713	Danielle Andropolous (1983-19
564207	67000	
564208	10415	Female Model
564208	19990	Gorgeous Girl #1
564208	187157	Maria Gabrieli
564208	305036	Princess
564209	117570	Linda
564210	406330	Aileen
564211	227345	Mary Yazzie
564211	227346	Sheila Schultz
564212	36855	Herself
564214	51984	Staff Room Secretary
564214	82045	Ganster's Girl
564214	246243	Texas Screenwriter
564215	192711	Herself
564216	88703	Figurante
564217	315513	Laura Slater
564218	200245	Woman at Dart Game
564219	113261	Staff Member #2
564220	157826	Det. Farnon
564220	177328	
564220	404880	Sandy
564220	405209	Moira Crombie Cochrane (1997-
564221	62957	Person in the Villiage
564222	317947	Sooze's Mom
564223	411786	Herself (Series 2) (2003-2004
564224	61843	Rosalie's Mother
564224	134109	Margaret Wilson
564224	382925	Mrs. Annie O'Connell
564224	389016	Julie Fielding
564224	402245	Wendy (grown up)
564225	385076	Herself/backing vocals
564226	96250	
564226	112879	
564226	148758	
564226	198248	
564226	228201	
564226	255658	
564226	296466	
564228	345555	Café Fac
564229	96198	
564230	146370	Herself
564231	96198	
564232	385532	Mingming
564233	53026	
564233	186136	Porter
564233	277806	
564233	313174	
564234	9934	
564234	389359	(2000)
564235	385612	Laura (Bridesmaid)
564236	259522	Helga
564236	259687	
564236	285001	Madame Glasenapp
564236	312640	
564236	389285	Tierärztin
564237	45977	Marei, seine Enkelin
564237	352314	
564237	383108	
564238	382496	Kate
564239	2344	
564239	33209	Miriam
564239	74687	Mädchen im Bistro
564239	226317	Stewardess
564239	231540	Cornelia
564239	259551	
564239	259624	Yvonne
564239	281657	Agnes
564239	361448	
564240	379086	Birgit Kneisel (part IV)
564241	407625	Herself
564242	305148	Reporter
564243	147834	
564244	409957	Jenny
564245	145751	
564245	266208	
564246	45799	
564246	72534	
564246	77066	
564247	84523	Ava Johnson
564247	119565	Blackbird, Pan's Slyphs, Cilv
564247	321979	Shodan
564247	321980	Shodan and Delacroix
564247	330295	
564247	330323	Lauryl, Widow Moira, Fences &
564247	330324	Viktoria
564248	133425	Lady Sophia Entwhistle
564248	297960	Polly Poplar
564249	60240	Amanda
564250	87517	Amy
564250	229902	Swedish Tourist
564251	254415	Station Nurse
564252	235646	Sue
564253	274019	Waitress
564253	330271	Restaurant Patron
564253	350211	Barbie
564253	360116	Erin
564253	364285	Tammy
564254	378858	Isabelle Dupré
564254	380863	
564254	383002	Johanne Ladouceur
564254	385684	Valence Leclerc (1999)
564254	410252	Maude Desnoyers (2002 - )
564255	329308	Herself
564256	65197	Jenny Reynolds
564256	69391	Office Worker
564256	223939	Suzie
564256	254641	Michelle
564256	336797	Make-Up Girl
564256	384242	Rachel (2003)
564257	170896	Christmas dinner friend
564258	268937	
564259	170896	Christmas dinner friend
564260	8611	Colette Brosset
564260	11926	Yvette/Lady Brisburn
564260	15058	Eliane Cahuzac
564260	25126	Irène
564260	33530	Paulette Perrignon
564260	34481	Anne
564260	46000	Caroline
564260	68496	L'institutrice
564260	100548	
564260	118801	Herself
564260	133047	Germaine
564260	166114	Monrival
564260	195143	Herself
564260	204764	Ninon
564260	207416	Marie
564260	248988	
564260	253998	Charlotte Castagnier
564260	340147	Moll/Kiki
564260	356911	Annick Kenavec
564260	377939	Lulu
564260	402664	La grand-mère
564261	87817	
564262	115882	Dancer at Los Caracoles
564262	187662	Dancer
564262	322279	Marie
564263	15012	Odile
564263	112870	
564264	425	Mrs. Gordon-Brewster
564264	445	Torinna
564264	6585	Guest at the ball
564264	17564	Magda
564264	59208	Store Owner
564264	84299	Greta Bilt
564264	97105	Lilly
564264	108199	Lisa
564264	115388	Körner's friend
564264	121014	Party Guest
564264	123887	Anna Nilsson
564264	135674	Nurse Olga
564264	136404	Alma
564264	138526	Lena
564264	145455	King Salomo's mistress
564264	153740	Olof's Stepmother
564264	154533	Klara
564264	165627	Flicka på festen
564264	170707	Frida
564264	170838	Mrs. Nilsson, telephone opera
564264	174076	Monica
564264	181848	Sonja Svedje
564264	185810	Dagmar Liljekvist
564264	197137	Märta
564264	200410	Elsa
564264	204720	Elin
564264	216981	The grandmother
564264	225345	Rut
564264	237260	Alexandra Weijner
564264	243672	Maria Sandström
564264	266362	Albertina, aka Gäs-Fröken
564264	286877	Woman at party
564264	303648	Woman at inn
564264	317619	Aina Gouveng
564264	320583	Mrs. Winsten
564264	322818	Linda
564264	341096	
564264	343471	Helga Persson of Mon
564264	346967	Mrs. Boman
564264	350609	Gamla Fru von Merkens
564264	377335	Rut
564264	382452	Vallackarens hustru
564264	394883	
564264	394937	Aunt Klara
564265	14964	Evelina Hamilton
564265	29627	Connie Falk
564265	34269	Louise Strandberg
564265	42616	Helfrid
564265	47998	Marguerite
564265	59717	Beate Ekenstedt, colonel's wi
564265	60440	Ingrid Holm
564265	85042	
564265	88824	Ottilia Sandegren
564265	102501	The Queen Dowager
564265	115816	Bianca
564265	123071	Natasja
564265	136179	The Queen
564265	138521	Countess
564265	142769	Peggy
564265	144083	Bergsrådinnans röst
564265	161156	Eva Barring
564265	164788	
564265	165638	Jessica
564265	178745	Harriet von Borch
564265	180219	Diana
564265	181086	The Mother
564265	198266	Philaminte
564265	213294	Ellen
564265	225348	Arkadina
564265	239042	Iduni Obolski
564265	245803	
564265	248499	Rita Ekström
564265	251864	Bibbi Berling
564265	261150	Mona
564265	264278	Margot Sanders
564265	266144	
564265	268381	Mrs. Heyst
564265	271688	Viktoria
564265	277817	Maid at Ubbetorp
564265	283226	Magda
564265	284057	Elly Weinestam
564265	286103	Salka Valka
564265	302146	Laura
564265	303697	Mrs. Smith
564265	303729	Lady Teazle
564265	303852	Lilly
564265	305303	Evy Nilsson
564265	305309	Sheila Wendice
564265	305863	Mrs. Alman
564265	307506	Elena Nikolajevna
564265	313638	Actress, married
564265	314911	Jeanette Ribbing
564265	315549	Tekla Bladh
564265	320618	Svarta Lisa
564265	320955	Julia Körner
564265	324429	
564265	332206	Thérèse
564265	342298	Inez Wittö
564265	343984	Anna
564265	353039	Secretary
564265	377382	Alice
564265	394085	Lavris, head of the 7th divis
564266	78485	Herself (performing 'Hva' er 
564267	389734	Loa Billberg
564268	83253	
564269	353425	
564270	66661	Hooker #1
564271	656	Lucille Randolph
564271	39736	Tracey Allen
564271	114642	Tanya Sawyer
564271	129570	Charlotte Forten
564272	3670	Herself
564272	8168	
564272	17156	Visiting Psychologist
564272	31183	Herself
564272	32660	Herself
564272	32791	Dr. Moira O'Dell
564272	42347	
564272	59584	Great Books Authority
564272	67816	
564272	80969	Herself
564272	83960	Mrs. Watson
564272	99601	
564272	99800	Herself
564272	105851	Herself
564272	117083	Herself
564272	131575	Herself
564272	143832	Herself
564272	168129	Herself
564272	177369	Herself
564272	185474	Herself
564272	193108	Coroner
564272	193761	Herself
564272	195458	Herself
564272	196420	Herself
564272	200201	Herself
564272	215347	Herself
564272	219203	Bystander
564272	226939	Baseball Announcer
564272	239032	Herself on NBC
564272	245921	Herself
564272	286338	Herself
564272	312141	Steele's tag team membver
564272	313074	Herself
564272	330869	Mrs. Kirkpatrick
564272	340320	Herself
564272	345633	Herself
564272	350343	Herself
564272	359192	Herself
564272	395214	Frequent Cameos
564272	397077	Panelist
564272	404282	Herself (1989)
564272	405762	Herself
564273	361071	Herself
564273	388385	Herself
564274	6121	Yvette
564275	244392	Nuku's Mother
564276	325980	Cindy
564277	124335	Voice Over Talent
564278	306020	Marianne
564280	24178	La jeune femme échevelée
564280	112819	
564281	219827	
564282	236026	Vendedora Palomitas
564283	320508	Astrid
564283	354364	
564284	63929	Coralie
564285	283045	Grand-mère
564286	136921	
564286	249724	
564286	249725	
564287	43164	Hostage
564288	71835	
564289	411786	Herself (Series 2) (2003-2004
564290	105575	
564291	125433	Madison
564291	140377	Juvenile delinquent
564291	155921	Sam
564291	194533	Tammy
564292	109241	Susan
564292	205556	Maud Sennett
564292	308607	Antonia
564292	310294	Landlady
564292	346115	Maid
564293	395605	
564293	409343	Lt. Johnson
564294	45887	Blonde
564294	47994	Deborah Goodhue
564294	52199	Twin
564294	60024	Terri
564294	92486	Terri Tailspin
564294	193761	Schneider twin
564294	219203	Daphne
564294	272687	Bambi
564294	277746	Verva Twin #1
564294	381043	Teri Garrison (1981)
564295	7060	Mrs. Bardell
564295	11453	Landlady
564295	11918	
564295	13387	Gloria Mott
564295	26651	Mrs. Parker
564295	32161	Mrs. Baldwin
564295	44768	Mrs. Walters
564295	47284	Mother-in-Law
564295	47532	Marthe
564295	74758	Mrs. Spoker
564295	75275	
564295	79655	Mme. Pitou
564295	82759	Mrs.Mortimer
564295	85835	Mrs. Tudsberry
564295	100694	Mrs. Slattery
564295	117531	Mrs. Margaretson
564295	130746	Mrs. Powers
564295	145967	Mrs. Smith
564295	148235	Mother-in-Law
564295	151363	Mother-in-Law
564295	168521	Biddy
564295	169897	
564295	186290	Cook
564295	186453	Mrs. Quince
564295	190602	Mrs. Jarvis
564295	190897	Widow
564295	191535	Mother-in-Law
564295	193615	Mrs. Tunks
564295	195122	Mother-in-Law
564295	206432	Mrs. Reading
564295	207229	Landlady
564295	207394	
564295	215116	Housekeeper
564295	231928	Aunt Emma
564295	231995	Mrs. Decent
564295	235423	Mrs. Keane
564295	239842	Mrs. Barnes
564295	240445	Emerald
564295	242101	Miss Pross
564295	243957	Mother-in-Law
564295	254931	Landlady
564295	258289	
564295	281374	Mrs. Leverett
564295	285344	Caroline Lowecraft
564295	285685	Cook
564295	290339	Mrs. Candour
564295	312349	Mrs. Lee
564295	312352	Mrs. Lee
564295	329370	Mrs. Todd
564295	333609	Landlady
564295	335509	Mrs. Mullet
564295	335510	Benita Mullet
564295	341895	Mrs. Gather
564295	348395	Landlady
564295	358269	Landlady
564295	365757	Bessie
564296	45887	Brunette
564296	47994	Gail Goodhue
564296	52199	Twin
564296	60024	Susie
564296	92486	Toni Tailspin
564296	193761	Schneider twin
564296	219203	Yvonne
564296	272687	Stacy
564296	277746	Verva Twin #2
564296	381043	Geri Garrison (1981)
564297	232275	
564298	393510	
564299	193869	Marie Corblay
564300	5806	Townsperson
564301	366970	'Female' Backup Singer
564302	62778	Dancer
564303	259214	Martín's Lady
564304	253773	Bank Employee
564305	47973	Beryl
564305	52624	Mrs. Thornhill
564305	121541	Lomper's Mum
564305	249265	Old Lady
564305	320310	Mrs. Frith
564305	331226	Mrs. Beckett
564305	387533	Margaret Cunningham (1998) (5
564306	89109	
564306	127311	Yvonne Etherly
564306	304948	Theatre Nurse
564307	128366	Mary Burns
564308	113660	Artzhelferin
564308	155264	Renata Kaylar
564308	182890	
564308	202195	Customer
564308	206636	Whore
564308	232051	Valerie Simmons
564308	325941	Eileen
564308	385824	Alexandra 'Lexie' Brooks (#4)
564309	277516	Herself
564310	54836	Vikki
564310	411830	Herself (1971-1973)
564311	162451	Biggi
564312	361851	Extra
564313	206099	Mary
564314	125363	
564314	357367	Madam Krans
564315	68360	Sophie, enfant
564315	218527	
564316	68902	Paula Paul de Nerval
564316	191500	Gabrielle Angers
564316	236535	Florence
564316	268393	Hélène
564316	372102	Nurse
564316	378858	Daphné Saint-Amour
564316	382196	Marie-Ange
564316	386497	Clara Baly
564316	387683	
564316	393352	Antonia Valiquette
564316	398096	Marcia
564316	403919	Hélène Charbonneau
564316	409444	Geneviève
564316	409677	Beatrice (1996)
564317	45189	
564317	51451	Waitress du snackbar
564317	74333	Suzie
564317	378872	Julie
564317	381017	Navette Bacon
564318	243344	
564319	82837	Puddles
564319	223840	Mama Cass
564319	297190	Spastic Friend #2
564319	312092	Frisbee's Mother
564320	279820	Morgane
564321	42386	Nurse
564322	125830	Veronica
564322	313583	Question Askers at Screening
564323	231869	Dede Funky
564323	367865	College Girl #2
564324	82206	
564324	178542	
564325	166660	Jitka
564325	202260	Blaza
564325	374535	Magda
564325	396630	Zuzana, secretary
564326	65578	Dental School Video Customer
564327	182979	Prostitute
564327	329946	Street Dancer
564328	333376	Hooker
564329	52828	Herself
564329	53921	Rebecca Lerner
564329	86274	Hostage
564329	119775	Green Sweater Bimbette
564329	203436	Hospital Administrator
564329	206488	Hooker
564329	258879	Monet Fletcher
564329	278526	Suzanne
564329	310302	American Woman
564329	329027	Sylvia Linsky
564329	342938	Gladys
564330	16422	Trina
564330	99983	Beautiful Girl
564330	196867	Zippo's Boudoir Girl
564330	292299	Asia
564330	302580	Karyn Davis
564330	320157	Dallas
564330	364752	Mary
564331	278511	Carrie/Tracy
564332	2154	
564333	51807	
564333	244961	
564334	353845	Serveuse
564335	15118	Mme de Montespan (segment "La
564335	67641	Georgina
564335	84340	
564335	144309	Olivia
564335	149486	1st Sister Gonzales
564335	204245	Annette Beynat
564335	248665	Françoise
564335	294810	Michelle
564336	43625	Ginette Pinglard
564336	69531	Boss
564336	135335	Madame Slovegue
564336	157072	
564336	205749	La mère de Marie
564336	229078	
564336	243345	Jeanne
564336	258899	
564336	269742	Prudence
564336	336641	Femme Boubou
564336	355877	Ginette
564336	357092	Béatrice
564336	357124	L'esthéticienne de Cahors
564337	378731	Simone Turcotte
564338	153617	
564339	8245	
564339	65384	Celeny Nauphely
564339	318515	
564339	336725	La serveuse
564340	212796	
564341	1900	La femme
564341	3003	Le Dr. Sophie Laux
564341	51725	Claire
564341	59709	Vévé
564341	62566	Gabrielle Blisson
564341	68347	Sylvie, l'attachée de presse
564341	68784	Claire
564341	70937	Hélène
564341	73643	Valeria
564341	87660	Girl in Pink
564341	94339	Juliette Récamier
564341	101225	Lola Vitsky
564341	111023	Carole Vasseur
564341	157070	
564341	197547	Morgane
564341	215136	Fiona Le Bellec
564341	224905	Rose/Marguerite
564341	225359	Léa
564341	261814	
564341	268946	Agnès
564341	337035	Laura
564341	345160	Franca Miller
564341	357122	
564341	393976	Cora Valdelli (1999)
564341	399164	
564341	399164	Hélène (1991)
564341	402885	Margaux
564342	234270	La vendeuse
564343	115432	Wife
564343	240305	Lysanne Rouquette
564344	217061	Marleen
564345	382864	Alice ter Mors
564346	26484	Uschi
564347	238871	Kleedster
564348	68978	Britney Woodrow
564349	385145	Jenny de Vries (episode 13-)
564349	400217	Margot Reitsema Seegers (#2) 
564350	336480	Deric's Mom
564351	188282	Zangeres
564352	228267	Herself
564353	190663	Can-Can Girl
564354	408944	Suzana
564355	86434	
564355	87151	
564355	240288	BPM Delinquent
564356	273942	Muriel
564357	146361	Mme Tadeusz
564359	96834	
564359	123330	
564359	265895	
564360	124794	Office Worker
564361	114496	Hammer's Girlfriend
564363	230920	Herself
564364	286199	Mary Ann
564365	130124	Heckler's Mom
564366	155261	Thor's Eskimo Wife
564367	140843	Waitress
564368	51989	Aerobic Girl
564369	83561	Cheetah's Dancer
564370	32043	Mina
564371	311575	Woman on Bench
564372	148313	Pie Throwing Woman
564372	260358	Faye
564373	126535	Doc
564374	222638	Undetermined Role
564375	37924	Dr. Madison St. Claire
564375	45100	Female Officer/Officer Sander
564375	234913	Tamika
564375	241351	Leticia
564376	14212	Herself/Footage
564376	96555	Herself
564376	107744	Herself
564376	237607	Herself/Footage
564377	167615	Herself (Jim's Daughter)
564378	281421	Aunt Deborah
564379	97718	Elektra Quartet, Violin
564380	315595	Herself
564381	176487	Little Girl
564382	161840	Mrs. McDuffy
564382	223772	Sarah
564383	137259	Street Lady #2
564383	146926	Sadie
564384	33190	Old Woman
564384	76217	Matty
564385	128727	Featured Dancer/Gymnast
564386	11008	Alison
564386	119519	
564386	228532	
564386	273332	Herself - 2nd couple
564386	290408	
564386	338834	Alison
564387	385824	Sarah Horton (#7) (1991)
564388	7978	Student 4
564389	154869	Restaurant patron
564390	236150	Bartender
564391	12228	Girl in Sid's Office, Josie
564392	36602	The Wife
564392	41127	Janie
564392	77026	Maud Cross
564392	149444	Hope,Grace's Sister
564392	191774	Fanny Dorrit
564392	269627	Rose
564392	292213	Rose
564392	292286	
564392	303239	Visitor
564392	378710	Mrs. Morris
564393	200521	WDKK Page #2
564393	381542	Reporter
564394	51899	Cybil
564394	126748	Mouse
564394	264452	Female Inmate
564394	345636	Jessica
564394	394392	Maria, Student #2
564396	100119	Matron
564396	130948	Teammate
564396	241418	Herself
564396	344486	Streetgirl
564398	196549	Rita
564398	364113	Joan
564399	154315	Kitty
564400	408623	Herself
564401	34913	Choir member
564401	156460	Pamela's Party
564403	11661	Laurie Grant
564403	90317	Joanie
564403	191098	Dancer 'Eat the Music'
564403	326738	Conny Sutton
564404	257389	Herself
564405	26629	Bulga's Sweetheart
564405	44479	Anita, the Maid
564405	55519	Essie
564405	59608	Showshoes' Friend
564405	106502	
564405	221334	Mrs. Shultz
564405	253126	Black maid
564405	280490	
564405	304606	Slave Woman
564405	308653	Maid
564405	318607	Churchgoer
564405	342394	Black stage showgirl
564405	368424	Dixie's Wife
564406	136277	Laundromat Girl
564406	193683	Alope
564406	223642	Megan
564407	43102	
564408	78027	DMV Clerk
564408	185420	Dance-hall girl
564408	361551	Shirley
564409	126018	Herself
564409	277447	Herself - as Bess
564410	105316	Clarissa
564410	106520	Lucy Wilson
564411	26077	New Orleans Clarinetist
564412	316361	
564413	158563	Paula
564414	411802	Colleen Cecile Carlton #1 (19
564415	215668	Miss South Carolina Teen USA
564416	375827	VH1 Awards Worker
564417	314613	Mom
564418	196249	Babs
564419	65754	Rave Dancer
564419	73094	CoCo
564419	202359	Reporter
564419	321268	Kim
564419	380654	Nikita Montgomery
564420	6282	
564420	17657	Mrs. Scott
564420	21172	Fiora Bixby
564420	26615	Mrs. C.J. Chase
564420	31837	Mrs. Miller
564420	44515	Mrs. Hedges
564420	46964	Baroness Isabella
564420	92007	Elizabeth Brush Cartwright
564420	107688	Miss Keyes
564420	109849	Mrs. Latham
564420	109863	Mrs. Latham
564420	109911	Mrs. Edna Latham
564420	120732	Mrs. Stone
564420	127211	Milly Westover
564420	131507	Lucillle Cosgrove
564420	142592	Mrs. Nolan
564420	142948	Mrs. Latham
564420	144411	Mrs. Clark
564420	144764	Della Parkson
564420	147663	Mrs. Brodel
564420	148391	Mrs. Washburn
564420	164389	Mrs. Strong
564420	165558	Thelma Lawrence
564420	165561	Thelma Van Brunt
564420	183540	Lady Greene
564420	186004	Mrs. Hargrave
564420	186807	Mrs. Latham
564420	195382	Victoria Wyngate
564420	198543	Elizabeth Parker
564420	198545	Elizabeth Parker
564420	203130	Barbara
564420	209679	Woman
564420	210403	Mrs. Stuart
564420	213820	Mrs. Forrester
564420	215599	Mrs. Marshall
564420	215862	Well-wisher
564420	218782	Miss Anderson
564420	224047	Mrs. Brandon
564420	224305	Helen's Mother
564420	228828	Mrs. Malcolm Randall Sr.
564420	230302	Mrs. Lizzie Van Drake
564420	244938	Passenger
564420	248318	Mrs. Jordan
564420	253504	Mrs. Roberts
564420	255881	Mrs. Kate Otley
564420	274422	
564420	277000	Mrs. Ross
564420	282394	Relief worker
564420	297936	Mrs. Walters
564420	302469	Mrs. Cosgrove
564420	318608	Maternity Nurse
564420	329437	Lorna Gateley
564420	329533	Minerva Alden
564420	330025	Club Woman
564420	331381	Clubwoman
564420	335726	Mrs. Wellman
564420	335852	Mrs. Martha Fairchild
564420	358749	Mrs. Jessie Linnett
564420	360783	Mrs. Errol Sr.
564420	362112	Receptionist
564420	362491	Mother
564420	364037	Mrs. Latimer
564420	365062	Maria Woverman
564420	371316	Professor Sophia Boland
564420	372081	Woman
564420	372170	Edna McDermad
564420	372277	Mrs. Delfina Acuna
564421	312389	Herself
564422	89130	Helen
564422	131301	
564422	328581	Helena Sale
564422	408156	Sarah Drummond
564423	14192	Nurse
564424	83964	
564425	220486	Nancy
564426	80695	Dancer in Nightclub
564427	296776	Genevieve Calvin
564428	39404	Severed Head #3
564429	32565	Wife as a Child
564430	66201	Girl at party
564431	13534	
564431	40792	Mary Ann
564431	52517	
564431	79632	Myra Winkler
564431	79743	
564431	85083	Marie Le Farve, Ethel's Frien
564431	87554	Doris Wynne
564431	109905	
564431	142468	Mary Hardy
564431	159234	
564431	192258	Lucille Hudson
564431	221098	
564431	223054	Dancer
564431	238721	
564431	275230	Alma
564431	276200	
564431	279085	
564431	300062	First Girl
564431	314743	Jane, Clifford's Sweetheart
564431	321059	
564431	321069	
564431	321070	
564431	329510	Maureen Heppell
564431	329747	
564431	329950	
564431	342917	
564431	353460	
564431	354509	
564431	362451	Susan
564431	362885	Extra
564432	157914	Herself
564433	204576	Club Girl
564434	70415	Lady #1
564434	147844	Reporter
564434	368348	Herself
564435	247572	Dr. Mackey, New Orleans Board
564436	204557	Dancer
564437	2173	Rachel Kane
564437	12610	Emily Jessup
564437	16058	Lauren Elder
564437	22651	Shelly McLaren
564437	27347	Christine Penmark
564437	47048	Herself
564437	59632	Charity
564437	61617	Jan Rodman
564437	62560	Kimberly Miles
564437	70013	Nell Porter
564437	70305	Zalinda Dorcheus
564437	79812	Judy Miller
564437	89330	Mrs. Henson
564437	90422	Mrs. Stewart
564437	92657	
564437	98804	Anna Roosevelt
564437	106355	Margaret
564437	115079	Kat Hubble
564437	116537	Hannah Parker
564437	127529	Helen
564437	131586	
564437	133258	Jean Malcheck
564437	137933	Gertrude
564437	138236	Diane Benton
564437	150966	Jo-jo
564437	157738	Mimi Smith
564437	161308	Narrator
564437	188489	Sally Hatch
564437	196437	
564437	201350	Gen. Katherine Taylor
564437	217536	Carol Keating
564437	234229	Narrator
564437	241795	Marion
564437	243341	Jessica Thorpe
564437	248087	Miss Farranti
564437	252955	Herself
564437	269938	Millicent Priestley
564437	272026	Ellen Carey
564437	278610	Elizabeth Cleary
564437	290342	Lady Teazle
564437	292017	Grace Bradley
564437	303999	Sabina
564437	310112	Dr. Carruthers
564437	314158	Ginny Wyatt
564437	316410	Dr. Lillian Hempel
564437	320199	Herself
564437	331111	Neille
564437	344514	Joan 'Joanie' McGrath
564437	368146	Ellen Wilson
564437	372530	Narrator
564437	381655	Jane Franklin Mecom
564437	383429	Elizabeth Healey Hennessey
564437	385821	Molly Dodd
564437	388555	Erica Stanton
564437	394311	Jacqueline Kennedy
564437	406083	Penny Hardesty Pope
564437	410953	Barbara Lipton
564437	411016	Pheasan Vaughan
564438	59635	
564439	35144	Erotic Dancer
564439	68011	'Porpentine' Girl
564439	91903	Peter's Girlfriend
564439	115062	Hedonia
564439	126495	
564439	130183	Sunny's Babe
564439	180554	Dancer
564439	185053	Video Babe
564439	331402	Adela Victor
564439	381402	Bobbie Haven
564439	405962	
564439	408943	Ena Grant
564440	411802	Colleen Cecile Carlton #1 (19
564441	323841	Nurse
564442	151303	Jan Morgan
564443	200283	Barmaid
564443	257760	Dancer (Spikes' Fantasy)
564444	109538	Hooker #2
564445	281540	Arabella
564445	380391	Angela Corelli (Rivera) (1994
564445	397991	Herself (Seasons 1-3)
564446	3909	Herself
564446	141051	Herself
564447	17197	Brittany
564447	147745	Shawna
564447	291946	Kim
564447	311038	Train Passenger
564447	373295	Dee Dee
564448	183824	Hat Check Girl
564448	372632	Dancing girl
564449	245838	Teller
564450	241058	Betty
564451	261428	Valerie, as a child
564453	87166	Stage Crew
564454	185529	Herself
564454	399099	Herself - White House Corresp
564454	408395	Herself - Weekend Edition Co-
564454	410760	Anchor (2003-)
564455	361854	Herself
564456	27632	Alison
564456	56729	Secretary
564457	27065	Policewoman
564458	242002	Samantha as a child
564459	10502	Odessa
564459	26291	Ms. Herron
564459	77146	Candy Beaumont
564459	90343	Ramona
564459	141166	Claudia
564459	176962	Sylvia
564459	194835	David's Secretary
564459	232503	Female Paramedic
564459	252825	Sports Connection Member
564459	348366	Nubia
564459	374285	Marlene
564459	383849	Additional Voices
564459	393698	Additional Voices
564459	397431	Margaret Hazard
564459	403661	J.B. Johnson
564460	87487	Student
564460	92569	Angie
564460	228622	
564460	242560	
564460	295661	Nurse
564461	104018	
564461	234640	
564461	344853	
564461	377604	
564462	57465	
564462	210443	
564462	316167	Dancer
564463	403805	Judge Ross (2001, 2002)
564464	34945	
564464	34946	
564464	91625	
564464	267093	
564465	102503	
564466	119565	Alchemiss
564466	330295	Mechanist, Additional Voices
564467	137223	Dancer
564468	2445	Herself (Carole's Childhood F
564469	382053	Herself
564470	627	Cosmic Cashier
564470	8079	Asylum woman
564470	226143	Student (Extra)
564471	201845	Barbara
564471	298083	
564471	309047	Receptionist
564472	159084	Emily (girl in Omri's class)
564473	162292	Molly
564474	80796	Annie
564475	304972	Mary
564476	22665	Peyote Saleswoman
564477	84395	Mrs. Deakens
564478	183400	
564479	296020	Beer Girl #2
564480	93974	Kyra
564480	151703	Paula
564480	327899	
564480	386338	Kim Reese (1988-1993)
564481	20036	Barby
564481	85666	Gibson
564481	276659	Tour guide
564481	321154	Frug dancer
564481	361260	Maude
564481	387203	Abby Rossiter (1990-91)
564481	397126	Tag
564481	399816	Hope Jackson (1977)
564481	403834	Regular Performer (1968-1969)
564482	365288	Attractive Girl
564483	82049	Kelly Preston
564483	82050	Kelly Preston
564483	206864	Girl Student
564484	37033	Woman in Car #1
564485	134595	Girl in club
564486	192254	Mindy
564487	293076	Cute Girl
564488	41186	Bambi Deere
564489	257653	Herself (Miss February)
564489	257662	
564489	257836	Miss May 1995
564490	249554	Laura
564491	16878	Child Servant
564491	35251	
564491	63113	Mrs. Jerome
564491	77949	Lois Wilson
564491	163188	Mrs. Arlene Hanscomb
564491	207837	Mrs. Halingson
564491	240325	Psychic
564491	299669	Mildred
564493	266625	Duchess's Mother
564494	128530	Woman at Bar
564495	97035	
564495	280268	Girl
564496	18240	Michelle
564496	35362	Still Model
564497	238038	Cindy
564497	254854	
564497	311702	Herself
564497	391759	Dr. Samantha 'Sam' Kennedy (2
564497	400516	Alice MacDonald
564497	406921	Julie Hill (Series 1) (1999)
564497	409401	Kirsty Maine
564498	171094	Prison Guard
564499	313336	Herself - Mrs. Johnny Mack Br
564500	223848	Snake girl
564501	210542	Commentary
564501	284171	Commentary
564502	315190	Dancer
564504	222797	Slaygirl
564505	27447	Glena
564506	310800	Billie
564508	220276	Parisian Dancer
564508	386963	Zena Young (1999)
564508	387533	Paulette Lewis (1998) (17 epi
564509	134741	Menstruating Girl
564511	68697	Dana
564511	289024	Les Presages Dancer
564512	42325	Nurse (Nikki Hendry)
564514	44330	Carla Baikman
564514	54214	Kate
564514	80057	Teacher
564515	105262	English Lady Debby
564515	183350	Horny Teen
564516	108586	Diane
564516	128142	Second Mango Girl
564516	295326	TV News Court Reporter
564516	342623	Nurse #4
564516	346405	Sandra
564517	84230	Death House Doll
564517	195341	Aunt Rose
564518	253344	Secretary
564518	253357	Reporter
564518	253363	Reporter #2
564518	276688	Librarian
564520	13707	Herself - Journalist/TV Produ
564521	131234	Mrs. Bush
564521	186759	Party Girl #2
564522	120800	Bunkhouse Girl
564523	69809	Herself
564523	73163	Stephanie
564523	237607	Herself
564524	105779	Corpse of the Russian Ambassa
564525	177705	Louise
564526	3163	Flea Market Woman
564527	87018	Cave Girl
564527	232181	Persien's Guard
564528	115722	Mona
564529	94861	Desert Joint Hostess
564530	846	Herself - #81: Celebrity Arre
564530	96555	Herself
564531	63992	Ruby Big Elk
564532	168051	
564532	212209	Herself - dancer
564532	277510	
564533	10168	Morgana
564533	34376	Soprano
564533	90016	Une voix d'en haut
564534	154482	Allie Earp
564535	19362	Mother
564536	332440	Polly
564537	327185	Katie
564538	37258	Virginia Gates
564538	39305	
564538	115093	
564538	128188	Toots Nolan
564538	128700	Elevator Operator
564538	240918	
564539	385299	Lorraine Baker (1982-1986)
564540	18559	FBI Agent Kathrine
564540	126680	Proctor
564540	132632	Clerk
564540	327659	Xiao, a Ch'in shaman, High Pr
564540	331463	Woman detective
564541	55641	Airline Representative
564541	97388	Locker Room Reporter
564541	220032	Judge
564541	308052	Social Worker
564542	313360	Princess
564543	53215	Telegraph girl
564543	195183	Laura
564543	308660	Sandra Crane
564544	1447	Herself
564544	1451	Herself/Judge
564544	1805	Herself - Presenter
564544	2960	Herself
564544	25834	Herself
564544	42448	
564544	48943	Katie Cunning
564544	64573	Co-Host
564544	96739	Herself
564544	114503	Charlie
564544	148418	Tallulah Jones
564544	160464	Herself
564544	170722	Hostess
564544	221473	Herself/Co-Host
564544	240644	
564544	277850	Bleau Kelly
564544	296752	Speaker
564544	312141	Cigarette girl
564544	356350	Herself - Choir Member
564544	362663	Mrs. Stephany
564544	378721	Host (1987)
564544	381402	
564544	384511	Host
564544	392464	Herself (6th Celebrity to Lea
564545	381932	Saloon keeper & friend of Ren
564546	193728	
564547	187249	Erica Frome
564548	11437	Herself
564548	225774	Herself
564549	17756	Minnie
564549	185525	
564550	14879	
564550	30999	Martine
564550	64348	Rosetta
564550	75251	Anna
564550	129011	Giovanna
564550	236362	Lucille
564550	285641	Carla
564550	294338	
564550	332938	Luisella
564551	12240	Margo Clevitch
564551	26834	Mrs. Turtle
564551	33375	Saleslady
564551	39175	Cindy Roerbacker
564551	43947	University Librarian
564551	44034	Reporter #2
564551	78025	Officer H. Valinsky
564551	130867	Mrs. Horan
564551	189989	
564551	235160	Maureen
564551	287781	Nancy Engles
564551	305356	Angela
564551	362834	Sid, I Spy Saleswoman
564551	389264	Mrs. Turtle
564552	223640	
564553	275206	Mrs. Possum
564554	180719	
564554	338748	Biker
564555	383883	Hannah
564556	252283	
564557	213820	Waitress
564557	224273	Party Guest
564557	255327	Guest at Mayfair tea
564558	1260	
564558	264735	
564559	4017	Ex
564559	9433	Kaori
564559	98675	Qawool Towles
564559	122113	
564559	134716	Janet
564559	307189	Flor
564559	385151	Stella
564559	389791	Student
564559	394016	Yoshiko Tanaka
564559	394427	Aina Sahalin (English version
564559	400576	Melfina II (English version)
564559	404060	Loreli
564559	404062	Lorelei
564559	404879	
564559	408893	Rem singing, Additional Voice
564560	411500	Maud Moonshine
564561	136089	Zena
564562	157636	Dwarf
564563	7889	Keg Line Girl
564564	171037	
564564	289390	Daisy
564565	247370	Herself (UN Methodist Office)
564566	327685	Princess Therbis
564568	382838	Anne Bradley (1996)
564568	388220	Presenter
564568	392469	Herself (Series 3)
564568	411445	(1976)
564569	16642	Shirley
564570	47799	Clubgoer
564571	292950	
564572	99447	Anna
564572	193831	
564572	242571	Mrs. Lem Foster
564573	368092	Fiancée
564575	146087	
564575	146854	
564576	88559	Melissa Richmond
564576	90889	Hannah Tannahill
564576	152514	Girl 5
564576	380276	Imogen Parker-Smythe
564577	367919	Head Saleswoman
564577	374198	Pierre's wife
564579	380391	Clarice Hobson McGowan Ewing 
564580	11516	Queen Mary
564580	32790	Mrs. Trapes
564580	65764	Sophisto (in the Korova Milkb
564580	207268	Senora Escobar
564580	207584	Fraeulein Doktor
564580	259779	Ladies Aider
564580	264191	Countess Tourtelot
564580	275291	Lady Hayling
564580	280279	The Transylvanians
564580	282608	Anita
564580	348358	Biggia
564580	349130	Ada Krasova
564580	372773	Manageress
564580	406265	
564580	408896	Alice, The Wife of Batley
564581	267932	Secretary
564582	94527	Swiss Waitress
564582	292405	Nurse
564583	82737	Demon
564584	139096	
564585	5982	Salche Weissenfreund
564585	31427	Jenny Jones
564585	114733	Marfa Golov
564585	123092	Ballad Singer's Wife
564585	193251	Nell
564585	195458	Widow Chastity
564585	222744	Myra
564585	235592	Joan Foster
564585	270977	Sarah Charles
564585	283560	Sarah
564585	295409	Mrs. Freud
564585	317430	Singer
564585	323913	Fay Patterson (segment "Mr. T
564585	353391	Emma
564585	387337	
564585	388818	Goldie
564585	390534	Crone
564585	403499	Lola
564585	405217	Annie Kenney
564586	144876	Woman in beauty shop
564587	224155	Dr. Kim
564588	295611	Sue
564588	295710	Leslie, the lesbian
564588	383582	Nun
564589	397188	Lucetta's Maid
564590	228164	The Muddy River Cloggers
564591	93261	Barbara
564591	318164	Mrs. Taylor
564592	61761	Police Woman
564592	99584	Tully
564592	334313	Virginia
564593	227353	Bike Rider
564594	46352	Sophie Cunningham
564595	329696	
564596	204257	Ilsa
564597	176525	John Adams/Indian/British sol
564598	333119	Warjat's Waitress
564599	31735	Lillian Pinkerton
564599	67193	Maya Dunn
564600	80935	Tovah Feldman
564600	138737	Izzy Pettibone
564600	206445	Student in Pageant
564600	330773	Jessica
564600	339399	Singer
564600	403490	Izzy Pettibone
564601	68153	Maggie
564601	79029	
564601	135738	Female Clerk
564601	157696	Teenager
564601	235403	Dainty Girl
564602	297187	Bar Maid
564603	9683	Mrs. Salter
564603	11342	Mrs. Hamilton
564603	12764	Secretary
564603	18197	Lady at ball
564603	19897	
564603	21555	Clancy
564603	25868	B.F.'s Nurse
564603	26184	Mrs. Anderson
564603	36856	Mother
564603	36970	Nora Hawkins
564603	45639	Old Woman at Beach
564603	47059	Mrs. Inslow
564603	50809	Helen Collins (George's wife)
564603	66791	Billy & Tommy's Mother, Mrs. 
564603	67172	Dance Teacher
564603	68695	Nurse
564603	75477	Miss Evans
564603	77794	Esther
564603	78108	Miss Thorndyke
564603	78168	Hysterical Woman
564603	78317	Mrs. Bailey, Jimmy's Mom
564603	78771	Mrs. Haycox
564603	85828	Brady's Mother
564603	93240	Dorothy
564603	96853	Secretary
564603	101277	Landlady
564603	105729	Miss Clark
564603	107020	Mrs. Renfro
564603	110242	Agnes Reardon
564603	114651	Miss Roland
564603	116233	Navy Nurse
564603	117929	Bit Role
564603	120202	Sick Woman
564603	124482	Nurse
564603	128812	Mrs. Spencer
564603	130696	Mrs. Morris
564603	137393	Miss Evans, in 'Curly'
564603	144617	
564603	147515	Emily (Mr. Crowley's secretar
564603	150575	
564603	151173	Woman in laundromat
564603	154885	
564603	160971	Nurse
564603	161934	The Blind Girl's Mother
564603	163267	Nurse
564603	167691	Elderly woman in deli
564603	175805	Woman
564603	178342	Desk Clerk
564603	187691	Ellen
564603	191646	Secretary
564603	200484	Nurse
564603	203270	Mrs. Heinley
564603	210876	Dorothy Lambert
564603	215926	Hattie Neely
564603	220899	Mrs. Hyde
564603	234910	Judson, Talbot's Nurse
564603	245254	Alice Anderson
564603	252568	Mrs. Donahue
564603	278544	Second Nurse
564603	289419	Woman
564603	295085	Wife
564603	296835	Miss Burke
564603	297322	Martha Lewis
564603	298086	Miss Carpenter
564603	300003	Mary Winters
564603	308109	Miss Purdy
564603	315670	Mother
564603	316444	Nurse
564603	323207	Mrs. Tompkins [Ch.1 bit]
564603	324278	Mrs. Kelly
564603	326747	Mrs. Koberly
564603	329388	Olivette's Mother
564603	329527	Mrs. Charlotte Farnum
564603	330249	Eddie's Wife
564603	330768	Girl
564603	331097	Wife
564603	331384	Mrs. George Marshall
564603	334252	Switchboard Nurse
564603	347731	Mrs. Jarvis
564603	352750	Mrs. Ruthledge
564603	358777	Mrs. Ransome
564603	362512	Old Woman #2
564603	363190	Waitress
564603	363282	Nurse
564603	364771	Porter's secretary
564603	365087	Nurse
564603	367825	Angela James
564603	374522	Townswoman
564604	161271	Herself
564604	311791	Herself
564604	381111	Herself
564605	128154	
564606	351255	Herself
564606	399051	Correspondent
564607	220593	Virgin
564608	171079	
564609	131747	Drag queen
564610	240761	Girl #1
564611	379132	Nubita's mother (Chapter 2)
564613	64918	Jogger
564613	334343	Old Stephanie
564614	85747	Mae Boyd
564615	65885	Tourist
564615	115672	Marlene Thompson
564615	146780	Bar Girl
564615	177792	University Student
564615	203918	Campaign Staffer
564615	244795	Fresh Faced Teen
564615	316327	Flatpoint Preppy Girl
564615	321917	Basketball Player
564616	46261	
564617	2367	Herself
564617	406084	Host (2000-2002)
564618	120219	Herself
564619	109395	Kassidy's Dresser
564619	154034	Kelly
564619	163310	Iris
564619	235541	Martha Shaw
564620	67593	Usher
564621	32565	School Marm
564622	6273	Fat and thin woman
564622	40536	Annie Hobbs
564622	115723	Rosie
564622	116577	Jessie Killegrew
564622	117314	The Prime Minister
564622	224124	Mrs. Woods
564622	245256	
564622	392169	Miss Happ (1952)
564622	403312	Various Characters (Series 2)
564622	403320	Mother
564622	411024	Various Impressions
564623	249268	Nurse
564624	192286	Tim's secretary
564625	135897	Silvia
564627	331426	Angelica
564628	187977	Prostitute
564628	339463	Orda
564628	391339	
564629	26846	Basketball Kid #1
564630	248976	Belle
564631	81536	Actress
564631	219166	
564632	195516	Dancer
564633	54953	Townsperson
564633	193000	Tanya
564634	65948	TV Reporter
564635	129784	Girlfriend #3 (jury member)
564636	151084	Girlfriend
564636	223058	Olga Bredska
564636	238991	Singer
564637	149948	Receptionist
564638	105167	Mrs. Cataco
564638	297695	Cashier
564639	88078	The Harlettes
564640	338981	Herself
564641	203217	Mrs. Frazur
564641	280832	Lucia
564641	316036	Mrs. Townsend
564641	316342	Grace
564641	335471	Dora Eldridge
564642	31885	
564642	142331	Groupie
564642	197081	Lucy U. Lovitt
564643	176989	Jessica Miles
564643	235367	Mrs. Bukowski
564644	39933	Clara/Carla
564644	51990	Maggie
564644	118564	Claudia
564644	365833	Sola
564646	52361	At the Academy Award - Oscar 
564647	14200	
564647	37022	Collier
564647	41365	
564647	96543	
564647	150286	Leslie/June
564647	150814	Nurse
564647	158997	Janis
564647	204159	Liz
564647	247363	Duchess Montvallier
564647	266566	Anne
564647	304563	Norja
564647	329309	Badmouth in bar
564647	331731	Ursula
564647	365833	Gorgia
564647	367455	
564647	367806	Sandy
564648	5303	Violet MacTavish
564648	123196	Louise Williams
564648	130149	
564648	195912	Dora Boyles
564648	331711	
564649	54953	Townsperson
564650	27324	Reporter
564650	120233	Anchor Person
564650	342925	Beautiful Woman
564651	866	Herself
564651	10848	Rhonda
564651	18570	Candy
564651	23441	Tonya Hardly, Lenora Babbitt
564651	41430	Beverly Brody
564651	66194	Coach Millie Stoeger
564651	66196	Herself
564651	79962	Connie Spheres
564651	92447	
564651	96741	Candy
564651	99242	Mom
564651	131852	Lisa
564651	158920	TV Commercial Actress
564651	160885	Talker
564651	190702	New Age Mother
564651	209527	Medusa
564651	230027	Nancy Rudman
564651	242939	Zoe
564651	245241	Joleen
564651	258283	Mimi Hungry
564651	297113	Judy
564651	303589	Samantha's Mom
564651	311284	Ms. Liberty
564651	317340	Jane
564651	333390	Waitress at Al's Diner
564651	339860	OutLoud Receptionist
564651	358488	Minerva Mink
564651	379568	Saleen
564651	380313	Minerva Mink (1993-1996)
564651	381212	Liz
564651	384531	Coach Millie Deemer
564651	387311	Herself/Various Characters (1
564651	393961	Host
564652	271282	Anne
564652	330026	Underwear party guest
564652	349582	Receptionist
564652	384968	Jo Midgely
564653	78991	Sophie
564654	316851	
564654	364391	Visitor
564655	196420	Monique
564655	212614	Purse Snatch Victim
564655	222686	Julia Cafferty
564655	282563	Lorraine Odasso
564655	381082	Narn Attaché Na'Toth (I) (199
564656	690	Dot Cotton
564656	31727	Delilah
564656	32429	Spinster
564656	49850	Madge Bailey
564656	62989	Mrs. Dilber
564656	96867	Herself
564656	96868	Dot Cotton
564656	96869	Herself
564656	97611	Clara
564656	149910	Cleaner
564656	158625	Watson's Guest
564656	163357	
564656	183235	Mrs. Trelowney
564656	183854	Emma Saxon
564656	202728	Portly Woman
564656	205443	Gladys
564656	216217	Mrs. Paley
564656	222603	Ann Chapman
564656	232608	Maria Stepanova
564656	263968	Mother Canty
564656	266618	Mrs. Pettibone
564656	303382	Lomart's Neighbour
564656	316476	Mrs. Hedden
564656	319006	Female patient
564656	334418	Herself
564656	353490	
564656	361361	Herself
564656	365342	The Mother
564656	379490	Mrs Jilkes
564656	387247	Dot Cotton/Branning (1985-199
564656	390393	Nannie Slagg
564656	399770	Aunt Sadie
564656	400109	Mrs. Mann
564657	105316	Jamie
564657	106520	Lucy Wilson
564658	81541	Carla Giamissimo
564658	384356	Nicky Doyle
564659	36894	
564660	381493	Michael Jackson Geek (2001-20
564661	252972	Herself
564662	166871	Additional cast
564663	295833	Daughter
564664	382386	Herself - Host/Reporter
564664	404149	Herself - Hostess (2000-2001)
564665	366316	Bob's Wife
564666	16127	Miranda, at 2 years
564666	227502	Toddler Wynonna (Christina) J
564667	50989	Lindsay Damico
564668	176865	Pregnant Employee
564669	57928	Lap Dancer
564669	234136	Nearly Nude Model #2
564670	126538	Aerobic Girl (segment "Get Ou
564671	320037	Looker
564672	367597	Girlfriend
564672	382508	Herself
564674	234226	Bridesmaid
564675	99573	Anita
564676	385299	Maureen O'Rourke
564676	391384	Freda Little
564677	252976	Carrot top kid #1
564678	402759	Auntie Dossie
564679	201844	Herself
564680	5871	Secretary
564681	271262	Cassie
564682	52005	Techi
564682	117089	Camille Stewart
564682	184580	Maria Santiago
564682	241166	Skeptic
564682	258949	Tanya
564682	332812	Holly
564682	334150	Camille Stewart
564682	360688	Zoey Delano
564682	402306	Shamaya Taggert (1998-1999)
564682	403234	Dr. Brenda Coleman
564683	330818	Herself
564684	108883	Swanhilda's Friend #2
564685	305008	Theresa Evans
564686	185757	Faye White
564686	299958	Chrissy
564687	379750	Herself (Host)
564687	399348	Host
564688	330858	Amy
564689	159685	Herself
564689	277838	Herself
564690	56996	Tantomile
564690	178068	Hattie
564691	391487	Bradley 'Brad' Taylor
564692	411802	Colleen Cecile Carlton #1 (19
564693	149252	Cinnamon
564693	372175	Dancer
564694	167615	Herself
564695	1225	Receptionist
564695	26831	Girl in Dorm Hallway
564695	32414	Linda
564695	106537	Dawn
564695	242939	Leeza
564695	364367	Rachel - Wendy's Friend
564695	380391	Shelly Clark (1999)
564695	382419	Sheila Carter (1992-1998, 200
564695	383385	Danny (1987)
564695	389858	Rachel Locke (1999-2002)
564695	401930	Dr. Rachel Reese Locke (1999-
564695	404282	Candace Durrell (1990)/Daniel
564695	411802	Sheila Carter (1990-1992)
564696	31573	Tiffany
564696	47117	Sarah Sanderson
564696	48950	Additional Voices
564696	63028	Voice
564696	99386	Dora
564696	137693	Marnie Piper
564696	137694	Marnie Piper
564696	137695	Marnie Piper
564696	224313	Young Christine Chapman
564696	264147	
564696	269967	Jamie Grover
564696	341680	Ava Walker
564696	390771	Marah Shayne Lewis #4 (1993-1
564696	403763	Annie Wheaton
564696	409817	Miyu #2 (1997)
564697	83777	Heather
564698	16127	Miranda, at 2 years
564698	227502	Toddler Wynonna (Christina) J
564699	141610	Nightclub Dancer
564700	50989	Lindsay Damico
564701	245150	Cleo
564702	407369	Kid
564703	300533	Music Video Woman
564704	70491	
564704	94676	Ragazza del Night Club
564704	199045	Queen Amoa
564705	405048	Becky
564706	18631	Dot.com Chick #1
564707	78766	Grace
564707	202324	Popular Student
564707	379220	Jane (II) (Series 3) (1999)
564708	168463	Narrator
564708	196434	Intellectual Woman
564708	310485	Allison
564708	399260	
564708	400171	Hostess
564709	177025	Hooker in Bar
564710	404151	Model
564711	228592	
564712	254514	Lovely Arlita
564712	306600	Tel
564712	313523	Extra (in frame story - movie
564714	188308	Polly Pinbright
564715	94085	Lana
564716	2445	Herself (SCLC)
564717	90317	Camper in Sleeping Bag #2
564717	258039	Heather
564718	336452	Rn 212 secretary
564719	127129	Ruth Haster
564720	21526	Iva Snyder
564720	380713	Iva Snyder Benedict (1985-199
564720	390771	Nola Reardon Chamberlain (198
564720	396123	FBI Agent Carolyn (1995)
564722	69409	Car Hop
564723	102010	Vanessa
564724	38270	Nancy
564725	277914	
564725	346243	
564726	324371	Gen Corp. Executive
564727	99155	
564728	7427	Narrator
564728	53396	Narrator
564729	71743	Fan
564730	316377	
564731	383363	Her (The Miller's Tale)
564732	307359	Girl at Brothel
564733	218004	Herself
564734	65681	
564735	97017	
564736	40658	
564737	374353	Hooker
564738	401889	Herself - Clea
564739	404061	Additional Voices
564740	35629	Herself
564741	327831	Bit Part
564742	114672	Nurse
564743	276821	Stamp Girl
564744	103215	Kid on school bus/'Buckless' 
564745	134289	Young Girl
564747	18000	Mary Jones
564747	194617	Lil Edyl
564747	223891	Mrs. Kingsley
564748	152934	
564749	143746	Herself
564749	198539	Ruthie Kettle
564749	198541	Ruth Kettle
564749	198542	Ruthie Kettle
564749	198544	Ruthie Kettle
564749	198545	Ruthie Kettle
564749	347237	Herself - Dancer
564750	35821	Herself - as Maggie Brown
564750	133429	Herself
564750	228288	Herself - Passenger
564750	333854	Herself - as Molly Brown
564750	333860	Herself
564750	333865	Herself - as Molly Brown
564750	333870	Herself
564750	333874	Herself - as Molly Brown
564750	333884	Herself
564750	333887	Herself - as Molly Brown
564750	333890	Herself
564750	333891	Herself
564750	347682	Herself
564750	410874	Herself - Titanic survivor
564751	36855	Herself
564752	399816	Shani Carroll (1977)
564753	271882	Mrs. Bensinger
564754	262590	Sister Martha
564755	76195	Georgina, Red Cross Worker
564755	93220	Miss Temple
564755	224233	Mrs. Lipton
564755	302641	Mrs. Fitzgerald
564755	395563	Honeybee Gillis (1954)
564756	142557	Roller skating specialty
564757	14972	Maid
564758	250766	
564759	215796	Harriet's Mum
564759	385020	Amanda Stephens (2000-2001)
564759	386963	Mrs. Connelly (2003)
564759	391786	Juliet Benson (1995-1998)
564760	209	Girl Student
564760	79740	
564760	232455	Neurosurgeon
564762	321452	Waitress
564763	67157	Marjorie
564763	215903	Party guest
564764	124222	Cook Who Uses Garlic Salt
564765	238705	Sadie
564766	206591	Martha
564767	219827	
564768	232158	Raye Dubois
564769	45411	
564769	50431	
564769	54588	Mabel Seabrook
564769	64870	Agnes, Eva's sister
564769	65935	Sarah
564769	163320	Jinks's Stenographer
564769	319799	
564769	331931	A maid
564770	309284	Nikki
564771	129768	Elevator Woman
564772	112227	Athlete
564773	330951	Young Carol Lakewood
564774	77793	P.A.
564775	1707	Herself - Presenter
564775	1955	Herself
564775	23922	Herself
564775	23933	Herself
564775	47170	Performer/Herself
564775	47208	Herself
564775	48489	Herself
564775	68096	Herself
564775	72888	
564775	163623	Herself
564775	180826	Herself
564775	186580	Louise
564775	210232	Herself
564775	212332	Herself - Performer
564775	221417	Herself
564775	230786	Herself
564775	241418	Herself (Scary Spice)
564775	249592	Presenter
564775	264079	Herself
564775	292046	Sandie
564775	295295	Herself/Scary Spice
564775	305488	Herself/Scary Spice
564775	307670	Herself
564775	310980	Herself
564775	310981	Herself
564775	310982	Herself
564775	310983	Scary Spice
564775	310984	Herself
564775	310987	Herself
564775	310988	Herself
564775	310990	Herself
564775	310991	Herself
564775	310992	Melanie B
564775	310993	Scary Spice
564775	360143	Herself
564775	383018	Claire (Series 1) (2003)
564775	402466	Herself
564775	408052	Herself
564776	309857	Mara
564777	137233	Martha Hoyt
564778	169902	Singer
564779	258936	Woman in the Alley/Additional
564780	55267	Amy
564780	274200	TV Newscaster 3
564781	351185	
564782	170933	Le mannequin
564783	100087	Blonde Girl
564783	400236	Madison Kingston (2003)
564784	107891	Young Norma
564785	254645	Juror
564786	25861	Cute Chick
564786	54922	Cheer Bear
564786	54923	Birthday Bear
564786	96883	Scrawny Chicken
564786	160565	Vespella (segment "Prince of 
564786	279984	Carnegie Hall Groupie
564786	316494	Banana Twirl/Banana Berrykin
564786	316496	
564786	346909	Larissa/Larry
564786	383462	Birthday Bear
564786	388012	Urgah/Lady Gorneesh (1985-198
564786	392897	Additional Voices (1983-1984)
564787	46393	Waitress
564788	232425	Additional Voices
564789	108761	Lyja
564790	199390	New Pupil's Mother
564791	297695	Girl in wrong room
564792	20625	Extra
564792	71691	
564792	136287	Sister Crandall
564793	36897	
564794	111056	
564794	356976	
564795	119792	Sgt. Patton
564795	274787	Miriam
564795	307684	House Keeper
564795	319602	8th Reporter
564795	366697	Technician 2
564796	369003	
564797	132139	Martha
564798	183229	Cygnet
564799	299457	
564800	167615	Herself (Jim's Wife)
564801	3973	Birdwatcher
564802	350502	Mrs. Sedley
564803	333881	Herself (Molly Brown's great-
564804	398048	Herself (6th Executed)
564805	6010	Herself
564805	120015	Tonisha
564805	167043	Bertha Baditude
564805	244855	
564805	268557	Marika
564805	281421	Keisha Walker
564805	321268	Lisa Jenkins
564806	21499	Ruth Holt
564807	239829	Wife
564808	107228	Mme. Rivers
564808	200885	Teresa
564808	274394	Lamentina
564808	309922	Carola
564809	67346	Colleen
564811	223752	Reporter Brenda
564811	320784	Dr. Linda Holland, Alec's Sis
564812	312904	Heather
564813	75830	Sarah
564814	45707	Brandi (age 10)
564814	394406	Nicole (1992-1993)
564815	207710	Tournament Host #1
564816	154840	
564817	45244	Eunice
564817	99969	Mrs. Mortimer
564817	273929	
564817	341612	
564817	358621	German Scientist
564817	382206	Herself - Panellist
564817	385571	
564817	389181	Connie
564817	394344	
564817	397142	Various (1964-1966)
564817	398943	Various Characters (1977-1978
564817	399816	Trixie (1972)
564818	352465	Witness Nurse #2
564818	399567	Mrs. Coyle
564819	173353	Teacher
564819	185503	Bank Customer 2
564819	234471	Woman
564819	279745	Guest
564819	302454	
564819	331764	Show Girl
564820	299286	Nurse
564821	2597	Candy
564821	11586	Tara
564821	154087	Prostitute Maisie
564821	155635	Domino
564821	176505	Ms. Jackson
564821	203716	Lab Assistant
564821	210622	Brenda
564821	212631	Trudy Joplin
564821	212633	Herself
564821	235012	Nurse
564821	316760	Addie
564821	331934	Ms. Gladstone, Lester's Girlf
564821	385921	Denise (1990-1991)
564822	331992	Ashley
564823	324448	Dancer: Esto es tango
564824	327780	
564825	6527	
564825	7499	
564825	10740	Queen Victoria/Voice of the Q
564825	32389	Queen Eleanor [of Aquitaine]
564825	65552	High Priestess
564825	92656	Mrs. Westenra
564825	112714	Widow
564825	121854	High Priestess
564825	131301	Helen
564825	137462	Mrs. Washington
564825	140546	
564825	154312	Catriona Potts
564825	158514	Dame Agnes
564825	183596	Lady Bessborough
564825	197765	Christine
564825	231881	Mother
564825	236081	Mrs. Grant
564825	240410	Mrs. Fitzherbert
564825	241627	Else Meertens
564825	253452	Evelyn
564825	275363	Ra
564825	277678	Jane Shore
564825	289483	Blanche
564825	292206	Paula Tanqueray
564825	292325	Hilda
564825	323881	Nicklaus
564825	334128	Helen Hilderson
564825	353484	Duchess of Kent
564825	369184	Mrs. Linton
564825	388249	Archduchess Sophia
564825	405511	Margaret
564826	51984	Ophelia
564826	79719	Nurse
564826	120285	Miss Nina (on TV)
564826	241120	Katrina
564827	353420	
564828	93250	Nurse
564829	26423	Babysitter #3
564829	40089	Mrs. Duffy
564829	64672	Spy for the Cause
564829	252978	Mary
564830	10210	Connie Drucker
564830	17697	Avonlea Townswoman
564830	45780	Maid
564830	75612	Inmate
564830	93211	Nurse
564830	178223	Mrs. Nemec
564830	183730	Helen Oakes
564830	208088	Angry Mourner
564831	38748	
564832	6756	(episode A Receita)
564832	359569	Lizzie
564833	204893	Herself
564834	68232	Dancer
564834	169163	Amateur Female Singer
564834	283543	Dancer
564834	290319	Miriam
564834	329946	Street Dancer
564834	392570	Kamiya
564835	166637	Hydettes
564836	51880	
564836	79624	Frl. Fröhlich
564836	84554	Herself
564836	162530	
564836	271857	
564836	290126	
564836	361408	
564837	14122	Saloon Girl
564837	190171	Flight attendant
564837	215507	Ali Lowchowski, Miss Arkansas
564837	296107	Mellissa
564838	59369	
564838	109642	Costume Designer
564838	112213	Florence Gradow
564838	118744	Sally Aspinal
564838	132513	
564838	135363	Sybil
564838	159499	Lucy
564838	185704	Voice in Crowd
564838	196733	Jenny (hippie girl)
564838	243381	Narratrice
564838	266767	Model
564838	298178	Narrator
564838	334772	
564838	366078	Kate
564839	404943	Connie van der Lecq (2001-)
564840	230526	Molly Carmody
564840	329404	
564840	381466	Molly Carmody
564840	383468	Mrs. Dillonbeigh
564840	389365	Aunt Sophie
564841	149704	Amanda
564841	232446	Judy
564841	288467	Prostitute
564841	346069	Tracy
564842	224689	Susan
564843	169134	Julia
564844	75721	Additional Player
564844	236972	Servant Child
564845	290378	Katie
564846	185168	Willie
564846	195765	Liz Harris
564846	391077	Liz Harris
564846	409638	Francine
564847	8566	
564847	103901	
564847	103903	(segment "Balbino, o Homem do
564847	268411	
564847	341136	Marina
564848	113278	
564849	287701	Julia Dangola
564850	55852	Nymphomanic
564851	374638	Angvisa Girl
564852	87586	Disco Godfather Dancer
564853	32711	Narrator
564853	276190	Herself
564854	49691	Benedetta
564854	53898	
564854	80135	
564854	132825	Gina
564854	208904	Celestia
564854	218336	Maid of Honor
564854	309012	Sophia, age 16
564854	328389	
564854	341424	Gasal's Wife
564854	393438	Nadja
564855	46242	Maori Mother
564855	241160	Bully's Girl
564856	213074	
564857	80687	Magil
564857	132231	Maria
564857	335563	Medic
564857	392273	Raquel
564858	62778	Dancer
564859	201883	Miss January
564859	252371	Herself
564859	252406	Model
564859	252407	Pet
564859	300170	
564860	58876	Mary
564860	78023	Waitress
564860	80409	Sharon
564860	91955	Heather
564860	113314	Piper
564860	139062	Assistant Examiner
564860	165284	Jennifer
564860	196444	Sam
564860	328809	Victoria
564861	353365	Amanda
564862	134295	Primate Sequences
564863	128154	Spectator
564864	69166	Herself
564865	99055	Prison Guard
564866	5385	
564866	153210	Mrs. Friel
564867	283580	Motel Clerk
564867	374281	Liza
564868	1822	Herself
564868	4613	Herself
564868	25858	Herself
564868	39174	
564868	137259	Motormouth Mabel
564868	137620	Mrs. Sherman
564868	146634	Herself
564868	162159	Herself
564868	183430	Herself
564868	190571	Herself
564868	277503	Herself
564868	280008	Herself
564868	297097	Ella
564868	313112	Herself
564868	340791	Martha
564868	346142	Cleaning Lady
564868	383988	Betty
564868	391335	Leona Wilson (1979-1980)
564869	14153	Herself
564870	281442	Girl on bus
564871	333386	Wardrode Designer
564872	72653	Martha White
564872	88656	Grad Student
564872	176496	Jill
564872	250744	Girl in Bar
564873	41502	Child
564874	150079	Finelli
564875	245468	Actress
564876	141610	Diner
564877	69077	Herself
564877	81867	Herself
564877	169815	Herself/interviewee
564877	246031	Backing vocals
564878	37002	Employee
564878	91839	Royana
564878	105805	Hooker in diner
564878	131217	Tracy Green
564878	190379	Camille
564878	230682	Jackie Petty
564878	317881	Auto Shop Student
564879	237905	Carol
564879	245649	Pitjantjatjara Child
564880	199080	Diane
564881	57929	Swan Lake Soloist
564881	71154	Odalisques
564881	307878	Herself
564882	115529	Trudy
564882	305948	Sissy
564883	82014	Herself
564883	297628	Nina's Associate
564883	381794	May Ford
564884	316606	Buzz
564885	37683	Sunny
564885	185096	Dancer
564885	328809	Reena
564886	141305	Diane
564886	149968	Rachel
564886	252898	Kate Vignatti
564886	380713	Julia Larrabee (2004-present)
564886	389858	Caroline "Carly" Roberts-Bens
564886	398770	Emma Shepard (recurring 2001)
564886	401930	Caroline "Carly" Roberts-Bens
564886	409743	Kaitlin Star
564887	21042	Petra
564887	128862	Dora
564887	216804	Reporter
564888	319452	
564889	317902	Mother
564890	303905	Gena Hoffenmeckler
564891	403248	J.J.
564893	342630	
564894	62778	Kim
564894	82030	Brandy
564894	92324	Star
564894	117061	Lila
564894	137470	Talking Joint
564894	161594	Etta Jones
564894	215793	Bernice
564894	221045	Puppy Munchie Singer #3
564894	303226	Vegas Backup Singer #3
564894	350434	Mrs. Barry
564894	350436	
564894	366653	
564894	389867	Chantel Marshall #1 (1989-199
564894	396088	Daisy Allen (1971)
564895	298129	Ginger Snap
564896	47588	Bride
564897	188573	Erin
564897	317991	Nurse Betty
564897	362734	Josephine
564898	331492	
564899	210324	
564900	213309	Changeling Prince
564901	355378	Tatianna
564902	161757	Girl on Car
564902	365461	Woman in Stage
564903	87025	Masseuse
564904	220622	Mrs. Messina
564904	368944	Leslie
564905	287756	Gina
564906	316684	Self
564907	348814	Herself
564908	43933	Reporter, WJZ 13
564908	57560	Newscaster
564908	140953	Roadside reporter
564908	251646	Channel 45 Anchor
564909	383909	Various (2003)
564910	116559	Michelle
564911	101060	Dancer #1
564912	79310	Robin Jaeger
564912	145637	Festival director
564912	257888	
564912	327307	Michelle Itzo
564912	383025	Producer
564913	257888	
564914	241618	Lizzie Williams
564915	16422	Gaby
564916	14759	Mabel
564916	127283	Rajah's Amazon Attendant
564916	270025	Rufia
564916	281035	
564916	285371	Priestess
564917	10881	Marian
564917	16419	Allison Stone
564917	58939	Barbara
564917	72554	
564917	110273	
564917	161392	Herself
564917	178468	Maybelle Bascomb
564917	195508	
564917	248008	Teacher #1
564917	267148	Jen Kingsley
564917	334169	Kate Hollander
564917	366959	Nancy Reagan
564917	380713	Adelaide Fitzgibbon #1 (1988)
564917	382770	Martha Ferguson (1969-1971)
564917	387309	Nancy Pollock Karr (temporary
564917	389417	Liz Fraser Allen (1959) (temp
564917	389858	Dr. Gail Adamson Baldwin (197
564917	396850	Maggie Malone
564917	401930	Dr. Gail Adamson Baldwin (199
564917	403281	Constance MacKenzie Carson #2
564917	404282	Dorothy Lane (1986-1988)
564917	411819	Ann Reynolds #2 (1964-1966)
564918	5196	Bill
564918	17928	Mrs Gascoigne
564918	46804	Mrs. Crossley
564918	77213	ACC Alex Lawrence
564918	149444	Mrs. Evans
564918	178224	Brenda Harrison
564918	208070	
564918	256112	Betty Heppelthwaite
564918	263791	Linda
564918	279295	Helen
564918	362830	Clara Milburn, housewife
564918	380223	Ruby
564918	381729	Annie Sullivan
564918	388396	Mrs. Hopwood
564918	394401	Miss Hayes (1974)
564918	395028	Cecile D'Artagnan
564918	396580	Avril
564918	403377	Maggie Belcher
564918	403761	Wendy Sillery (2004-)
564919	248008	Teacher #1
564920	196548	Tracy
564921	142718	College Hippie
564922	61641	Conrad's Parent
564923	126735	
564924	81104	Drome Groupie
564925	115568	Accuser
564926	558	
564926	20978	Gypsy Queen
564926	45935	Talk Show Hostess
564926	53032	
564926	118384	
564926	187555	
564926	210022	Herself
564926	232093	Peep show owner
564926	236104	
564926	301676	Inmate
564926	324080	Herself
564927	207992	Potential
564928	186017	Bobby Jo Wagstaff
564929	66027	Audiologist
564930	54953	Townsperson
564930	363602	Lesbian Dancer
564931	378912	Reporter (2001-)
564932	273782	Pinky
564933	158189	Girl
564935	169902	Singer
564936	3973	Birdwatcher
564937	118731	Herself
564937	304643	Leader
564937	313844	Extra in ballroom scene
564938	403299	Panelist
564939	408571	Host
564940	309207	
564941	145688	Vegas Girl
564942	39927	Nika
564942	39928	Nika
564943	116537	Aide
564943	196995	Nurse
564943	224313	Group Leader
564944	101048	Secret Service Agent #1
564944	164400	Older Sister
564944	380391	Marianne Randolph #3 (1971)
564945	330093	Stacey
564946	241605	Armani Model
564947	254457	Cave Bunny #2
564947	350145	Candi
564948	359979	
564949	321095	The Mother
564950	379504	Herself (Customer Service Sup
564951	27112	Kay Amiel
564951	30687	Pat Judd
564951	37148	Patricia Mahoney
564951	40532	Goodenow's Mother
564951	59528	1st Evans Twin
564951	98168	Narrator
564951	112368	Kathy
564951	118543	Aurore D'Arceneaux
564951	127075	Anna Muir as an Adult
564951	128379	Helen Brownlee
564951	142152	Maria
564951	155017	Porky at 17
564951	185830	Agnes Willing
564951	205449	Wanda
564951	219996	Bessie
564951	282042	Edith
564951	292536	Floria Gilchrist
564951	325119	Jane
564951	331410	Mary Whittaker
564951	372931	Sarah Taylor
564951	378295	Herself
564951	379740	Peggy Horner
564951	389858	Mrs. DeFreest (1979)
564951	395321	Herself/panelist (1949-1954)
564951	398685	Liz Cooper (1955)
564952	22665	Linda Horseherder
564953	97644	Girl
564953	199148	Bonnie's Mother
564953	232845	Pregnant Woman #2
564953	297796	Genelva Carpenter
564953	346198	Mother in park
564954	169902	Singer
564955	53329	Ritchie Family
564956	158490	Baby Alice
564957	348814	Herself
564958	13637	Autograph Hound
564958	60714	Woman in Apartment
564958	292018	Mrs. Custer
564959	335277	Nurse #2/Vocal chorus
564960	407470	Opera Singer
564961	88867	Mrs. Fulsom
564962	358832	Herself (granddaughter)
564963	17685	Jacque van Maarsen
564964	239595	The Baby
564965	48461	Lunch Room Folks
564966	365746	Trish
564967	13588	Jury Forewoman
564967	96771	Woman #1
564967	107260	Miss Southwick
564967	176723	Juror #2
564967	190332	Gallery Assistant
564967	222607	Maid
564967	254649	Ma Willis
564967	331533	Miss Vail
564967	341515	History teacher
564968	84997	Mrs. Campbell
564969	366902	Ginger
564969	407815	Herself (Single) (2001)
564970	344815	(segment "Vida Nova Por Acaso
564971	20625	Extra
564971	85844	Slave girl
564972	273246	Shirley
564973	12319	Party Guest
564974	144406	
564975	234984	Hot Dog Vendor
564976	369461	Herself
564977	53079	Neesha
564977	262339	
564978	54466	Indian Girl Servant
564978	162412	
564978	337620	
564979	141985	SNL Writer
564979	232373	Sheerin
564980	150853	Secretary
564981	88623	Double Dutch Girl
564982	108581	
564982	338064	
564983	143198	Mrs. Trent
564984	55243	Nori Lawson
564984	82445	Cynda
564985	1316	Other Woman
564985	146324	
564985	176287	Bunny
564985	188317	Imani
564985	191653	Production Assistant
564985	381943	Eartha
564985	390111	Sherri Childs (2003)
564986	35486	
564987	271263	Ursula (aged 3)
564988	323497	Waitress 1
564989	379504	Herself (Customer Service Sup
564990	339547	2nd Hooker
564991	273276	Herself
564992	369874	Women's Hockey Analyst
564993	332198	
564994	38872	Extra
564995	37581	Lady Buyer
564995	140105	Production Assistant
564995	147381	Switchboard Operator
564995	222892	P.A.
564995	317153	Mary Rowe
564995	323208	Operative
564996	46067	Beatrice Ashby
564996	72353	
564996	86996	
564996	171177	Scilla's Friend
564996	245973	Mrs. Linsell
564996	263214	Eleanor Lampton
564996	264489	
564996	315667	Michal
564996	371064	Helen Carter
564996	382701	Margaret Randall (Season 1)
564996	384008	Barbara Chivers
564996	385124	Sgt. Yolanda Perkins
564996	385712	Mary Somers
564996	390023	Helen Winters (1961-63)
564996	394579	Mrs. Cuthbert
564996	401212	Anastasie
564996	408234	
564997	2042	Herself
564997	2627	Best Play
564997	72787	Nominee
564997	391839	
564998	383550	Angélica (child)
564999	115531	Herself (descendant of Harrie
565000	2316	Philomena
565001	137563	Charge Nurse
565002	2616	Woman
565002	18359	
565002	56100	Madame D'Urfe
565002	94141	Gay Knight
565002	115405	
565002	117929	Mrs. Bess Chesney
565002	240137	
565002	362576	Ruth
565003	346121	Kitty Collins
565004	13260	Pauline Darville
565004	13875	Margaret McMann
565004	24240	Vera Charles
565004	32127	Helen
565004	39657	Lily James
565004	59467	Lady Ruston
565004	70627	Herself
565004	72018	Valerie
565004	92439	Belle Crippen
565004	93249	Alice Hargreaves
565004	94020	Olivia Devereaux
565004	98810	Lady Reading
565004	101429	Herself
565004	129826	Colette
565004	135584	Cecile
565004	176974	Mercy Croft
565004	183842	Mrs. Erlynne
565004	187277	Molly Luther
565004	188216	Iris
565004	191080	Doreen
565004	221332	Mrs. Warren
565004	232083	Eleanore von Seidlitz-Gabler
565004	236908	Mabel Barnes
565004	255081	Virginia Pearson
565004	280832	Meg
565004	324142	Mme. Becque
565004	329692	Miss Chloe Moon
565004	360513	Pearl
565004	369492	Female Heavenly Voice
565004	371073	Emma Copplestone
565004	408253	Margaret Winters
565005	30678	Dr. Judith Kutter
565006	411389	Jenny Woodentop
565007	50207	Trisha Lane
565007	316863	Consultant
565007	359553	Gloria Skeet
565007	382838	Chrissy Rogers (1987-1991)
565007	396916	Muriel
565008	7309	
565009	141478	
565009	192216	Shirley
565009	196915	
565009	205792	Gloria, The Child
565009	372145	Child Dancer
565010	7857	Connie
565010	13260	Lady Huntstanton
565010	27282	Lady Melbourne
565010	30157	Arabella Barrington
565010	34281	Lady Ann Pettigrew
565010	57260	Margaret Harris
565010	63170	Carrie Valentine
565010	93684	Gervaise
565010	150847	Lady Anne Pettigrew
565010	177816	Mrs. Bindon-Botting
565010	188585	Mrs. Joyce
565010	199554	Bit Part
565010	209600	Mme. Renault
565010	224092	Queen Mother Therese
565010	251828	Mrs. Chichester
565010	263785	Lady Londonderry
565010	268152	Duchess
565010	269086	Lady Bland
565010	274332	Lady Neston
565010	281475	Mrs. Manning ffrench
565010	294810	Mrs. Phillips
565010	340439	
565010	368924	Dowager
565011	218809	Henrietta Dorset
565011	396702	Ann
565012	62928	
565012	224486	Dancer
565013	119928	Woman at Engagement Party
565013	222711	Kitty Donovan
565014	354853	Janet Greenway
565014	387518	Nurse/Sister Carole Young (19
565014	406436	Herself - Host (1965)
565015	10152	Quality Control Assistant
565015	381212	DS Kershaw
565015	394329	Mum
565016	2547	
565016	34297	Andrea
565016	40198	Jennie Galvin
565016	45866	Angie DeWitt
565016	64109	
565016	64861	Jeanne
565016	118051	
565016	138857	Crystal
565016	148841	Angie Dow
565016	203727	Marcia
565016	222601	Secretary/Party Girl
565016	305179	Lulu Belle
565016	317415	Wild Party Girl
565016	346352	Dotty Steele
565016	391938	Angie Dow
565016	405628	Liz Andrews (1965)
565017	41178	Naomi
565017	75349	Rebecca Swain
565017	195898	Suze
565017	252854	Tenement Prostitute
565017	271364	Valerie
565017	344187	Woman in the floral dress
565017	384356	Kristen Wood
565017	395357	Aruna
565017	402004	Kapri
565017	404880	Dr. Brenda Grant
565017	405209	Jenna Small (2000, 2001)
565018	291530	
565019	2382	French teacher
565019	11941	Amy (little girl)
565019	93357	Mrs. Matusik
565019	138134	Estelle
565019	293007	Ms. Schmitz
565019	297773	Second Nurse
565019	309535	Ticket Agent (Worldwide Air)
565019	364847	Nurse
565020	70214	Mrs. Pettyjohn
565021	342035	Woman On Bus
565022	10662	Waitress
565023	13779	
565023	77716	Nadine
565023	175529	Herself
565023	232608	Romola de Pulsky
565023	314587	Herself
565023	342009	Emilia Rodgers
565024	325314	Nagisa's Mother
565025	9118	Mary Ross
565025	31364	Jane Mills
565025	45925	Margie Larkins
565025	52426	
565025	53958	Sally
565025	60948	Sally Lane
565025	73420	Connie
565025	73697	Helen Carter
565025	77939	Bonnie Adams
565025	80439	Well-Dressed Woman
565025	84972	Zerlina
565025	88990	
565025	91738	Valerie Colby
565025	116174	Belinha's Friend
565025	128619	Edna
565025	144672	Blonde with Headache
565025	177423	Mary Hiller
565025	185466	Ruth Garrett
565025	185489	Alice Munro
565025	186360	Alice Ingram
565025	215748	Estelle
565025	218829	
565025	224808	Dorothy Gray
565025	233934	Mrs. Hendrickson
565025	240624	Jane Murray
565025	241134	Miss Flemming
565025	271252	Eleanor
565025	292834	Zenobia
565025	309684	Louise, Otto's Niece
565025	315673	
565025	321384	Chorus Girl
565025	329042	Mary Lou
565025	329132	Beth Mathews
565025	330384	Skating Woman
565025	337468	Nurse
565025	341682	Jerry Brooks
565025	361740	Mary Harper
565025	365066	
565025	367552	Manicurist
565025	372482	Dorothy Gregson
565026	99224	
565026	161542	Self-Styled Uplifter (Modern 
565026	219914	An Uplifter
565026	220899	
565026	311699	Fannie Hamilton
565027	101299	Gabby
565027	271342	Tammy Purdy
565027	313307	
565028	130154	Change Girl
565029	154146	Betty Dixon
565029	185992	Peggy
565030	403047	Hotel Receptionist
565031	90891	
565032	197246	
565032	197265	
565032	197266	
565032	197269	
565032	197270	
565033	44445	Patty
565033	55704	
565033	70076	Singer in 'Regency'
565033	73679	Susie
565033	150641	Miss Meek
565033	311496	Mabel
565033	312136	Martha Clowes
565033	366037	
565034	85975	Irene
565035	14236	Mme. Albani
565036	130626	Trixie Andres
565036	143095	Louise Carmody
565036	208905	Mrs. Cordwell
565037	24774	Annette River
565037	130154	Madame Alta
565038	5847	Sally Blaine
565038	111169	Jean Martin
565038	120725	Sandra Kerrigan
565038	125854	Diane Foster
565038	136043	Libby Rawlings
565038	140156	Marie Martel
565038	186285	Judy Hartley
565038	271102	Lynne Chambers
565038	272079	Doris Allen
565038	274283	Reno (troupe driver-manager)
565038	277972	Nora Neal
565038	296957	Virginia Grayson
565038	345962	Cindy Rigby
565038	361625	Mary
565039	66131	Ernest's Girlfriend
565040	192711	Herself (swan's mother)
565041	151351	Mamma's Friend
565042	263758	Lady
565043	237991	Min Rogers
565044	289366	Motel Maid
565045	235502	Yvonne
565046	59528	2nd Evans Twin
565047	59528	First Evans Twin
565048	33764	Joanna Rushworth
565048	65912	Edith
565048	112203	Alice Winthrop
565048	263586	The Countess of Dunstable
565048	263713	
565049	268313	Vera
565049	395573	Samantha Molloy (2002-2003)
565050	130341	Betsy Klinger
565050	141517	Neitz's girlfriend
565050	163253	Marjorie West
565050	199467	
565050	206114	Sharon
565050	321281	Mrs. Markham
565050	328520	Kim
565051	197248	
565051	254466	
565052	75558	Paula McFarland
565052	81346	Woman at Poolside
565053	49355	Prince Carl's Mother
565053	69669	Mrs. Wayne Madison
565053	70820	Mrs. Waltham
565053	134099	Miss Miller
565053	149190	Mrs. Dryker
565053	218925	Nina Hall-Burnley
565053	235461	Mrs. Tyler
565053	239035	Mrs. Van Pelt Butler
565053	298286	Baroness von Altman
565053	302405	Mary Ward
565054	167255	Eliose
565055	253458	Women's Team Member
565056	2078	Concierge
565057	109395	Marley
565058	209492	Media person
565059	317335	Mrs. Hummers
565060	301839	Bargain Basement Annie
565061	209156	Victim in Matheson Hammock Pa
565062	368305	Editor
565064	213862	
565065	79059	Young Caitlin Greene
565065	97203	Opal Ritchie
565065	127195	Katie Hargrove
565065	137571	Kristy O'Connor
565065	187708	Violet Baudelaire
565065	203584	Rebecca Myers
565065	229260	Grace Kelly
565065	379396	Maddy
565065	382254	Fleece
565065	391532	Phoebe Mason
565065	408163	Clio (2000)
565066	327224	
565067	47297	The Chorus Girl
565067	50873	
565067	66185	
565067	96905	
565067	127244	
565067	143948	
565067	315735	
565067	318318	The Maid
565067	362241	
565067	365852	
565068	374638	Angvisa Girl
565069	80993	Sharon
565070	396353	Female Party Guest
565071	209156	Victim's Infant
565072	337122	Carol Harrison
565072	348972	Babe (Dorothy's showgirl frie
565072	363123	Peggy
565073	74254	Frightened School Girl
565074	2545	Chorus girl
565074	129233	Marie
565074	130622	Gold Digger
565074	176335	Goldwyn Girl
565074	191835	Society Girl
565074	212746	Friend
565074	300912	Madeline Ware
565075	309213	Michelle
565075	350178	
565075	356802	Velta Smooth
565076	365142	Woman at Gravesite
565077	358978	Gertrude
565078	133442	Second Female Judge
565080	133880	Ziegfield girl
565081	391835	Talking head/soundbites (segm
565083	115421	
565084	217993	Samantha
565084	243568	Herself (April)
565084	269938	Elizabeth Quinn
565084	284932	Secretary
565084	303225	Choir nun
565084	303226	Choir Nun
565084	368363	Midge Percy
565084	396084	Nancy Garrison (1968-1969)
565084	396994	Pat Gimble (1976-1977)
565085	318910	Coral
565085	384136	Phyl
565087	129596	
565088	75509	
565089	34911	
565090	194211	Blowing Kiss Baby
565091	152295	Herself
565092	218275	
565092	232889	
565092	358966	
565093	165448	Mrs. Dent
565094	291530	Isabelle
565095	253499	Dunkin Donuts cashier
565096	408053	Nurse
565097	153094	Vicki
565098	134680	Grace
565099	56982	
565100	41829	Dancer
565101	88102	Mrs. Pearl
565101	125818	Mrs. Pearls
565101	141065	Minnie Baker
565101	190096	Skate Vendor
565101	219181	Neighbor lady
565101	276942	
565101	306814	Librarian
565101	340754	Grandmother
565102	300428	Aunt Margaret
565102	366655	Ruth Bangor
565103	307417	Undetermined role
565104	378839	Herself - Host
565105	196365	Ventriloquist
565106	92188	Herself
565106	125417	Herself
565106	141011	Herself
565106	177401	Herself
565106	311992	Herself
565107	21046	Shilo
565107	326410	Laney
565107	365623	Ruth
565107	380041	Flynn
565107	406554	Daisy
565108	92188	Herself
565108	125417	Herself
565108	141011	Herself
565108	177401	Herself
565108	311992	Herself
565109	92188	Herself
565109	125417	Herself
565109	141011	Herself
565109	147825	Herself (with the Brox Sister
565109	177401	Herself
565109	266099	Sissie
565109	311992	Herself
565110	258098	Party Girl
565111	314837	Woman with Fur Coat
565112	1752	
565112	18871	
565112	82195	Prostitute
565112	244239	
565112	249152	
565112	256740	
565112	394219	Magda
565113	90755	Christine Obear
565114	244239	
565114	256740	
565116	260394	Herself
565116	333928	Herself
565117	223892	Miriam
565119	63890	
565120	231140	Dendroid
565121	7446	Marguerite Pays
565121	20156	
565121	72465	Jasmine
565121	108657	Carolina
565121	172951	Seller
565121	174405	
565121	185659	Tanya
565121	204905	
565121	237748	Angelika
565121	239425	
565121	314078	Hanka
565121	412004	Renáta
565122	382578	
565122	395236	Renata
565122	395872	
565122	396077	Herself (interviewed)
565122	396618	
565122	399943	Magaly Muzzo/Gata
565123	7217	Marie Rynesová
565123	57211	Grandmother Márová
565123	88214	
565123	151830	Anezka Premyslovna
565123	165054	
565123	165340	
565123	165348	Stasek's mother
565123	179898	Krapková
565123	251134	Grandmother
565123	262679	Mrs. Jelinek
565123	266452	Anastázie Brezinová
565123	266534	
565123	267951	Granny in the pyre
565123	317257	
565123	320730	Horecková
565123	324119	Frau Kovandova
565123	328217	Elbichová
565123	344299	Jakoubek's grandmother
565123	374531	Grandmother
565123	410338	Grandmother
565124	95126	Nachbarin
565124	225280	
565124	226342	
565125	15099	Jacqueline
565125	62819	
565125	100173	Daisy
565125	116482	
565125	160547	Hélène
565125	292352	Ketty
565125	376995	Annie
565126	214921	
565127	59266	Beggar woman
565127	112866	Lucie Leclerc
565127	171396	Totone
565127	208808	Suzanne Derblay
565127	345279	Hélène Martin
565128	5793	Fumée
565128	254075	La brune
565128	356369	
565128	378866	La cliente bègue (ep.3)
565129	148596	
565130	14954	
565130	24065	Katjuschka
565130	56024	Luisa Lewis
565130	57959	
565130	94699	Henriette Gérard
565130	102334	
565130	229644	Vittorina
565130	246431	Dolly
565130	266743	Delia
565130	269635	(segment "Il ventaglio)
565130	332250	Maria
565130	346570	Maggy
565130	348146	
565130	349524	Denise Tissot
565131	56636	Minerve
565131	202085	Daphné/Deuxième Femme more
565132	60323	Angela
565133	292233	Sally
565133	348622	Pam
565134	67385	Reporter #1
565134	68242	Martha
565134	73560	Housewife
565134	140371	Peach
565134	157734	Woman
565134	169946	Laura
565134	210233	WEWN reporter
565134	219440	Real Estate Agent
565134	263983	Clerk
565134	275360	Clerk #1
565134	283371	Teacher
565134	399153	Bertha Aaron
565134	399153	Rose Tuttle
565135	201691	Herself
565136	124115	Villager
565137	61162	Babs Kimball
565137	220830	Tri Gam Coed
565137	347751	Valdra
565138	107922	Showgirl #2
565138	379831	Allyson #1 (1990)
565139	147438	
565140	361248	Cookie
565141	342552	Curious Woman
565142	77616	
565142	187814	Herself
565142	264189	Handmaiden
565143	148874	Barber
565144	10305	Female Journalist
565144	16642	Dora
565144	62793	Denise
565144	100838	Auntie Kass
565144	200390	Magik
565144	217678	
565144	239788	Ngaire Morgan
565144	252854	Vampire
565144	271255	Leslie Holbrook
565144	311634	Sheila Miller
565144	321788	Elizabeth
565144	348848	Augusta
565144	365898	Carol
565144	379275	Sovay Banks
565144	381585	Vivienne Baxter
565144	397478	Louise Duval
565144	405209	Danni Brown/Nurse Lindsay Mag
565145	176229	Emily
565146	219530	Mrs. Harring
565146	245036	Banker
565146	289749	Woman Interviewee
565147	78151	Emma Monsoon
565148	98881	Herself
565148	291449	Bobbi Jo
565149	186422	Detective Constable
565149	393780	Marie
565149	405209	Journalist (2000)
565150	59586	Sarah
565150	68111	(EastEnders segment)
565150	88933	Brig. Bambera
565150	202920	Joyce
565150	211840	Dr. Dugdale
565150	221215	Gina
565150	263791	Helen Masters
565150	274079	Herself
565150	331910	Night Nurse
565150	348352	
565150	366253	Mrs. Roper
565150	380259	Sandra Ling (1976-1979)
565150	385020	Janice Stubbs (1978)
565150	390032	Mrs. Justin
565150	391454	Mrs. Vaughn
565150	400516	Nursing Sister
565150	402092	Chrissie Stuart
565150	403575	Gloria
565151	290397	Principal
565152	174697	Serafia
565152	347025	Anna Karlsson
565153	406717	Donna
565154	90318	
565155	56224	Mrs. Wiggins
565155	342710	Middle-aged Woman
565156	244345	Catherine Fulton
565156	356475	Mrs. Van Leide
565157	70540	Paula Jerome
565158	31060	Alice Harrison
565158	50891	
565158	116944	Alicia
565158	130053	Edith
565158	133797	
565158	158179	Helen Wardlow
565158	201896	Harmony Laurie
565158	232151	Betty
565158	274464	Grace Harrington
565158	286379	
565158	304445	Undetermined Role
565158	308394	Cynthia Starr
565159	29100	Babs
565160	136509	Tessie Tura
565160	162862	Cha Cha Miller
565160	261673	
565161	100191	
565163	90318	
565164	332278	Herself - stripper
565165	11191	Miss Harbottle
565165	18351	Therapist
565165	26725	Beatie
565165	32286	
565165	32984	Elizabeth Fallon
565165	32985	
565165	55418	Maudie Chapman
565165	60703	Charlotte
565165	81563	Martha Gilmartin
565165	90287	Miss Smith
565165	109248	Mrs. Casson
565165	113407	Cora
565165	129096	
565165	134725	Mrs. Baker
565165	138698	Ma
565165	142897	Mistress Quickly
565165	142898	Mistress Quickly
565165	142919	Hostess
565165	154354	
565165	154581	American Waitress
565165	186003	Rose Dinwiddy
565165	186260	Mary
565165	191774	Duchess
565165	198885	First Witch
565165	203177	Queen Anna of Austria
565165	206465	Brenda Delamere
565165	210908	Norma Trisk
565165	214188	Brenda, Worker at the Factory
565165	223771	Winnie Forman
565165	231824	Lily Leggett
565165	232410	Mary Lewis
565165	235409	
565165	251798	Dora
565165	255081	Sally Benton
565165	269842	Sister Elizabeth
565165	277947	Granny Maxwell
565165	292686	Granny Porter
565165	311534	Mrs. Bullock
565165	314202	Mrs. Meadows
565165	320758	Mrs. Dixon
565165	328077	Michel and Therese's mother
565165	329541	Doreen
565165	330139	One of couple on hillside
565165	333183	June Swift
565165	336717	
565165	343070	Janet Lawson
565165	345846	Addie
565165	352703	Herself
565165	355060	Nursing Sister
565165	363042	Ruby
565165	363573	Mabel Crum
565165	364864	Grandmother
565165	366461	Paulina
565165	368195	Katharine Hathaway
565165	384884	Bea
565165	385782	Betsy Trotwood
565165	386235	Empress Matilda
565165	390360	Marjory
565165	390694	Mrs. Baker
565165	391879	Mrs. Place
565165	396353	Mrs. Stonecroft
565165	396678	Mary Balfour
565165	397429	Mrs. Daff
565165	398562	Lucilla Teatime
565165	403377	Granny Grogan
565165	405042	(segment "Romeo & Juliet")
565166	13953	Mrs. Sloan
565166	32952	Joan Barry
565166	141033	Herself - 'Larry Clinton and 
565166	175111	Linda Joyce
565166	184374	Old One
565166	184905	Herself
565166	257264	Joy
565166	321545	Herself
565166	330916	Julien Morgan
565166	411323	Mama Carlson (1979-82)
565167	79450	Viola Peazant
565167	121386	O/R doctor
565167	223009	Georgine Wheeler
565167	294508	Gladys Hampton
565167	329938	Ms. Demfry
565167	334308	Emily Taylor
565168	91929	Lieutenant
565168	267508	Eel Gang Member (Eel 6)
565169	298279	Attractive Woman
565170	232457	Mrs. Grady
565171	215909	Girl
565171	330004	Sales Manager
565172	43130	Ballet dancer
565172	376770	
565173	16686	Miss U.S.A.
565173	51757	Georgia
565173	108309	Model
565173	151461	Agatzi Girl
565173	157771	Amazon #3
565173	168531	Harem girl
565173	195854	Amazon Woman
565173	332440	Pat
565173	347063	Woman in Bar
565173	363298	Lamarr
565173	372901	2nd Young Lady
565174	17172	Herself
565174	68322	Natasha Nikochevski
565174	215171	Herself - Presenter
565174	381452	Herself - Newsreader (2002-)
565174	383223	Herself - Chairman (2003-)
565174	385240	Herself - Presenter (2000-)
565174	399333	Herself - Reporter (1989-)
565174	402141	Crimenight Director
565174	405518	Herself - Presenter (1999-200
565175	75550	The Cook
565176	203535	Box office woman
565176	235592	Naureen Stokes
565177	47946	Mrs Williams
565177	91493	The kangaroo
565177	107258	Mrs Winters
565177	191074	
565177	231030	
565177	383813	
565177	386580	Sister Cummings
565177	387521	
565177	397380	Mrs. Doyle
565177	408971	Pattie Menzies
565178	387269	Fran Burr
565179	217520	
565179	335601	Maureen
565180	285	In Second Audience
565180	6930	The Maid
565180	7397	The Old Woman
565180	7956	
565180	11404	The Young Woman's Mother
565180	19785	The Lady of the House
565180	19952	
565180	21469	The Maid
565180	21471	
565180	22888	
565180	25399	A Nun
565180	25466	
565180	26268	The Nurse
565180	26453	
565180	30267	
565180	31050	Settler
565180	31263	In the Town
565180	33008	
565180	35161	Mrs. Wharton (unconfirmed)
565180	35182	Mrs. Randall
565180	35270	Elizabeth's Mother
565180	35360	
565180	45224	Bridget Denahy
565180	46139	In Lodge
565180	47466	Indian
565180	47518	Ruth's Mother
565180	52462	
565180	52564	At Show
565180	54906	
565180	59106	Howard's Mother
565180	61592	Ruth's Mother
565180	61620	
565180	61650	The Governess
565180	62672	
565180	64888	Mrs. Montgomery
565180	65044	A Mother
565180	65776	Old Woman
565180	65800	Nurse
565180	69451	
565180	70272	In Doorway
565180	70811	In Store
565180	71710	Edith's Mother
565180	71716	Poor mother
565180	73688	A Neighbor
565180	74196	Undetermined Role
565180	79205	Townswoman
565180	81324	The Nanny
565180	93689	Salvation Anne
565180	94976	One of Fiametta's Attendants
565180	96810	Mrs. Hare
565180	97828	Mrs. Wilkens' Mother
565180	101083	Sam Miller's Wife
565180	101300	Alice's Mother
565180	101430	Mrs. Thayer
565180	104325	An Old Woman
565180	105593	The Old Teacher's Wife
565180	105954	Mother
565180	107419	At Church
565180	107573	John's Sweetheart's Mother
565180	107786	Babylonian mother
565180	111716	The Mother
565180	111903	In Chase
565180	112296	
565180	112408	The Old Soldier's Wife
565180	116197	Pat's Mother
565180	116240	Old Lady
565180	117256	In Garment Factory
565180	120299	The Young Woman's Mother
565180	121376	Confederate Mother
565180	122012	
565180	126655	Party Guest
565180	127463	On Sidewalk
565180	128506	Mrs. Edward Grey
565180	128581	
565180	128623	
565180	130651	Ruth's Mother
565180	130665	The Governess
565180	130678	Old Woman
565180	130826	
565180	133416	
565180	133956	Jeannette's aunt
565180	134247	Widow Garrity
565180	138846	A Servant
565180	141168	At the Ball
565180	141519	The Mother of the Boy
565180	142656	One of the Maids
565180	142995	The Mother
565180	143103	Ann's Mother
565180	143444	Mrs. Thayer, the Young Woman'
565180	143668	Indian Woman
565180	144222	Soldier's Family
565180	145858	Claude's Mother
565180	145890	Mrs. Jack Allen
565180	146016	The Burglar's Wife
565180	146057	A Maid
565180	146103	Among Pioneers
565180	146159	Mrs. Brown
565180	146231	
565180	146260	
565180	146261	
565180	146319	A Maid
565180	148248	The Young Woman's Mother
565180	149148	At Farewell
565180	150394	Hank's Sweetheart's Mother
565180	150810	David's Housekeeper
565180	150897	A Patient
565180	151361	Neighbor
565180	151443	
565180	152709	Beth's Mother
565180	154721	Mrs. Eyre
565180	155528	The Maid
565180	155716	Mrs. Blythe
565180	157102	The Maid
565180	157451	The Nursemaid
565180	157775	At the Ball
565180	157875	Mrs. Wilkinson
565180	158156	At Train Station
565180	158403	Aunt
565180	158475	A Maid
565180	158491	
565180	159136	The Widow
565180	159591	The Mother
565180	161542	Old Babylonian Mother (Babylo
565180	162093	An Indian
565180	163702	Mother
565180	169978	Judith's maid
565180	171141	The Mother
565180	171173	The Maid
565180	178914	A Servant
565180	179040	The Mother
565180	185234	In Wagon Train
565180	186631	The Landlady
565180	187718	Gretchen
565180	190484	
565180	191115	The Mother
565180	192320	The Mother
565180	192322	The Little Tease's Mother
565180	194018	Mother Superior
565180	195315	The Lacemaker's Mother
565180	197033	Bessie's Mother
565180	199300	Aunt Sophie
565180	204279	First Customer's Wife
565180	206379	Mrs. Malarkey
565180	206843	Mary Ellen's mother
565180	207111	An Old Maid
565180	208530	October
565180	211777	In Hallway
565180	212981	Mrs. Simpson
565180	213075	The Mother
565180	213192	The Maid
565180	216218	The Mother
565180	216946	The Sheriff's Wife
565180	219914	The City Mother
565180	220050	
565180	220076	Young Wife's Mother
565180	220358	The Mountain Girl's Mother
565180	221790	One of the Sisters Frost
565180	224009	The Young Woman's Mother
565180	224762	Extra
565180	224764	
565180	230086	
565180	230600	A Friend
565180	230918	Mrs. Goodhue (her mother)
565180	231025	The Maid
565180	239505	Olaf's Mother
565180	239517	The Old Actor's Wife
565180	241455	The Maid
565180	241581	The Mother
565180	241715	The Neighbor's Wife
565180	241783	
565180	242503	Hetty
565180	243751	Sister Genevieve
565180	246712	Their Mother
565180	248468	Pete's Wife
565180	253036	Mary's Mother
565180	257194	Edith's Mother
565180	260252	Tenement Woman
565180	264372	The Maid
565180	267222	The Mother
565180	271002	Mrs. Mason
565180	271852	The Mother
565180	274210	Indian
565180	274747	The Maid
565180	276388	Servant
565180	280303	The Maid
565180	280926	Mrs. Logan
565180	280984	Tourist
565180	281852	The housekeeper
565180	289581	The Aunt
565180	290390	
565180	292650	Ma Merton
565180	298516	A Settler
565180	302201	The Poor Wife
565180	304620	A Woman in Black
565180	308662	Indian
565180	309593	
565180	310315	Pepita's Mother
565180	311264	The Young Woman's Mother
565180	312326	Mother
565180	312905	Aunt Ruth Shelton
565180	315124	The poor man's wife
565180	315353	The Mother
565180	316129	At Party
565180	316991	The Poor Woman's Mother
565180	317149	Bob & John's Mother
565180	317223	Granny
565180	318962	Sunbeam's Mamma
565180	320204	Mrs. Randolph Johnstone>
565180	321722	At Lambert House
565180	326437	Outside Theatre
565180	327151	The Lady's Friend
565180	327826	The Tender-Hearted Boy's moth
565180	328454	The Housekeeper
565180	329402	Extra
565180	330242	The Mother
565180	331606	The Mother
565180	331848	Cleaning Woman
565180	331880	The Nurse
565180	333267	Housekeeper
565180	334292	Housekeeper
565180	337487	At Party
565180	338077	A Neighbor
565180	338211	The Maid
565180	339581	Buyer
565180	340784	Bettina's aunt
565180	341035	
565180	342678	Mrs. Hendricks
565180	342761	The Mother
565180	342971	Mother Ignatius
565180	343127	The Mexican Laborer's Wife
565180	343223	Molly Randolph
565180	345733	Villager
565180	348075	The Old Wife
565180	348952	One of the First Debtors
565180	356280	Undetermined Role
565180	358282	One of the Wife's Friends
565180	358958	The Old Woman
565180	359113	The Mother
565180	360165	Mother Bartlett
565180	360203	
565180	362389	
565180	362406	The Spinster
565180	362564	Mary's Mother
565180	362815	
565180	362881	At Court
565180	363096	In Audience
565180	363990	An Aunt
565180	363992	Old Maid
565180	365778	Woman at the inn
565180	366791	Mrs. Hobbs
565180	367461	Maid
565180	367676	Mrs. Letchworth
565180	367928	The Maid
565180	368275	The Street Sweeper's Wife
565180	368704	Hank Hopkins' Wife
565180	368770	The Wife's Mother
565180	370620	Strongheart's Mother
565181	202272	Extras/Hall Thanes
565182	80584	Girl on Sidewalk
565183	344524	Herself
565183	367866	Herself
565184	209236	Extra 3
565185	166871	Will's daughter
565186	27107	Karla
565186	187814	Herself
565186	321657	Donut
565187	386024	Ingrid
565187	393492	Isabelle (age 7)
565188	143868	Donna Liddle
565189	401973	Convict Woman
565190	330675	
565191	362605	Baby Lou
565192	77199	Maggie Ruddlesdin
565192	77205	Nurse
565193	237619	
565194	386603	Dr. Maggie Powers #3 (1968-19
565195	48699	Buddy
565196	59481	
565197	65632	Motel Owner, Wife
565198	73924	Margarita
565198	83636	Grace Evans
565198	342814	Mary Doyle
565200	304096	Black drill team member
565201	129618	Lisa
565202	2470	Mrs. Elspeth McGillicuddy
565202	73872	Myrna
565202	122990	Chimaera
565202	215797	Lizzie Le Prince
565202	292787	Fiona Grey
565202	323019	Mrs. McVitie
565202	334307	Josie Dawes
565202	367482	Mrs. Baldwin
565202	379448	Bessie Basham (1979)
565202	383631	Ellen Johnson (1995-1996)
565202	390948	Edie
565202	391081	Great Aunt Bridget
565202	394355	Captain
565202	397789	Mrs Houchin
565202	404196	May Dakin
565202	407174	Mrs. Potter-Smith
565202	409241	Elizabeth Campbell (series 1)
565202	410219	Madame Beck
565202	411300	Mrs. Armitage
565203	248456	Undetermined Role
565203	306762	
565204	311037	Times Square child
565205	349512	Auntie Beryl
565206	377660	L'élève de Stanislas
565207	176519	
565207	232089	Pearl Harper
565208	117278	Girl in Car
565209	265171	Photo Flashed Woman
565209	370113	Officer Holly
565210	84432	Jamie Angeline
565211	310262	
565212	47363	Herself
565212	50025	Tiger
565212	134741	Host
565213	317842	Special Baby Appearance
565214	53057	Sarah
565214	72504	Disgruntled worker
565214	79604	Woman with Cats
565214	255442	Tish
565214	312798	Miss Watts
565215	155013	Press person
565216	88824	Lovisa
565217	87453	
565217	126579	Herself
565217	195179	Herself (Girl Slave)
565217	367888	
565218	330057	Nimrod's Cafe Patron
565219	5932	Yvonne Danesco
565219	6814	Jane Scott
565219	20910	Lorraine de Grissac
565219	27296	Loretta Douglas
565219	32994	Herself
565219	35478	Patricia Sloan
565219	41929	Party Guest
565219	44479	Lucy James
565219	46214	Nicky Henderson
565219	50469	Susie O'Neill
565219	54960	Connie Mathers
565219	78029	Ann Beale
565219	92295	Anna, Albert's Wife
565219	93078	Herself
565219	103221	Gerta
565219	109401	
565219	114131	Lynn Claymore Conway
565219	115471	Mary Norvell
565219	116543	Bit in Ladies Locker Room
565219	121388	Bit Part
565219	124082	Zalia Graem
565219	133880	Audrey Dane
565219	142363	Girl
565219	143596	Margaret
565219	145712	Phyllis Walden
565219	147716	Herself
565219	147743	Herself
565219	156494	Party Guest
565219	161945	Kitty Carroll
565219	165443	Jane Eyre
565219	179991	Ann Whitehall
565219	188202	Eleanor Spencer
565219	188213	Maggie Adams
565219	188378	Wendell Sen.'s secretary
565219	190781	Doris
565219	195985	Lady-in-Waiting
565219	196295	Roberta Baxter
565219	199397	Madame Wang
565219	203585	Joan Reed, Forbes' Secretary
565219	212102	Anne Merrill
565219	213453	Jenny Lind
565219	214942	Margaret Thornton
565219	222688	Mary Shannon
565219	231925	Jenny Courtland
565219	242075	Elizabeth
565219	248613	Cameo appearance
565219	248838	Joan Marshall
565219	256579	Cameo appearance
565219	270754	Bit Part
565219	275363	Laura Weeks
565219	279153	
565219	285350	Alma McGregor
565219	286070	
565219	289636	Alma McGregor
565219	296784	Trenna Plaice
565219	304265	Ruth Dunning
565219	304967	Enid Corbett
565219	306756	Bit Part
565219	306791	Madge Wilson
565219	306803	Pat Abbott
565219	313916	Margaret Weldon
565219	316325	Mrs. Wagner
565219	317169	Elizabeth Flagg
565219	329562	
565219	329948	Joan Butterfield
565219	330059	Sally Reardon
565219	333433	Toni Bradley
565219	361927	Bit part
565219	362927	Wanda Werner
565219	364461	Goldwyn Girl
565219	364544	Bit Part
565219	365086	Steve
565219	366234	Joan Gibson
565219	367415	Maris Kent
565219	367627	Nurse
565219	367857	Gloria Hudson
565219	371047	Frances Blake
565219	372542	Florence Welford
565220	148886	Restaurant Patron
565221	314839	Mrs. Mildmay
565222	12661	
565222	90060	
565223	147056	
565225	97023	Janet
565226	75231	
565227	141748	Herself
565228	20067	Martine
565229	162070	Elisabetta
565230	11941	Dot
565230	31693	2nd Older Lady
565230	39464	
565230	60148	Scrub Woman
565230	88154	Celia
565230	117129	Lady in Supermarket
565230	131258	Nurse #1
565230	151461	Woman
565230	154825	
565230	185500	Cashier
565230	188447	Inez Dulin
565230	196352	Mrs. Bogaloff
565230	291220	Maggie
565230	308057	Mrs. Gehrmann
565230	324263	Sybelline Tate
565230	350337	Mrs. Zass
565230	395986	
565231	3985	Anna
565231	24011	
565231	89043	Titi
565231	93462	Amalie
565231	95126	Mutter Harm
565231	111360	Martha
565231	125279	
565231	153748	Rosa
565231	155394	Ruth
565231	204464	Milly
565231	216264	Frau Majorin
565231	273749	Mary
565231	288244	
565231	294802	Anna
565231	312745	Renate Klopf
565231	325586	Göschel
565231	325831	Doris
565231	334538	Suse Richter
565231	344913	Anna
565231	352358	Olympia
565231	365701	Berta von Bruneck
565231	374034	Mascha
565231	377353	Frau Ellerbrock
565231	377354	
565231	377355	Frau Ellerbrock
565231	377356	Mrs. Ellerbrock
565231	377357	Frau Ellerbrock
565231	379022	Anna Capelli
565231	386981	Mamia Blume
565231	390704	
565231	398429	
565232	147541	Bikini model
565232	284527	Susan Bell
565233	307584	
565234	282260	Basil's Second Wife (photo)/A
565235	157804	Narration
565236	181116	Sabrina
565237	5160	Frau Riedel
565237	9524	
565237	21651	Stepmother
565237	106099	Frau Hessling
565237	147094	Frau Hopkirk
565237	180154	Frau Flderer
565237	180955	Inge Brandner
565237	225152	Dame in Apotheke
565237	289883	
565237	290016	Frau Delius
565237	322524	Mother
565237	329022	
565237	360655	Lady Hayling
565237	388965	
565238	8876	Caroline
565239	41379	Charlotte
565239	87280	Lisa Houseman
565239	87703	Kevin's mom
565239	314158	Sheryl
565239	386578	Elizabeth McQueen (1989)
565240	26750	Arlene
565241	188683	
565241	376999	
565242	376999	
565243	24878	Herself
565244	41733	Meghan Dunning (Meg)
565244	93294	Audrey
565244	105861	Katya Bergamo
565244	128084	Lydia
565244	140372	Pippa Ridley
565244	148339	Cathy
565244	222611	Lisa Mills
565244	277764	Eve O'Lette
565244	300350	Lori
565244	313971	Sue Dubois
565244	368151	Heather
565244	382419	Bridget Forrester [#6] (1997-
565245	347907	Amy
565245	401368	Pim Diffy
565246	313938	Dr. Woods
565247	210031	
565248	212684	
565248	314309	Prostituierte
565249	334757	Chorus
565250	339476	
565251	317329	
565252	330412	Manicurist
565253	21526	Ellen
565253	380713	Ellen Lowell Cole Stewart #2 
565254	123986	Herself
565255	47930	Megan
565255	120298	Miss Birch
565256	138850	Norwegian Wife
565256	241444	
565256	247141	Twin Girl
565256	330375	
565257	138850	Norwegian Wife
565257	241444	
565257	247141	Twin Girl
565257	330375	
565259	166997	Cattle Kate
565260	272790	
565261	248258	L'inconnue de Mathieu
565262	218679	Soeur Montoya
565263	129677	
565263	290116	Ulrike
565264	44055	Frau Hochdorfer
565264	141962	Erika
565264	212278	
565264	255641	Retiree
565265	323517	
565266	63342	Auditioning Actress
565266	156501	Renee
565266	355086	Virginia Culver
565267	58409	Madame Brugeille
565268	656	Waitress
565268	10688	Amanda
565268	32088	Connie
565268	87975	Olivia
565268	164352	Elizabeth
565268	165852	Geko (E-X Grunt)
565268	351506	Woman Lanterne Rouge
565269	12518	
565270	183108	Ella
565271	397888	Herself (2002-2003)
565272	156139	Verpleegster
565272	210954	Serveerster
565272	213563	Cecile
565272	218857	Thea Mulder
565273	384184	
565274	48583	
565274	359105	
565274	406848	
565275	155331	
565276	129780	Diva
565277	154450	Naked Woman in Shower
565278	68271	Allied civilian/Soviet civili
565278	68275	
565278	236163	Woman 4-5, Dryad
565280	326712	Mrs. Holiday
565281	15988	
565282	123176	Morena Feroci
565282	379549	Diana
565283	393731	L'huissier de Barras
565284	158842	Antigone 2
565285	28196	Giovanna
565286	2632	Ice Cream Waitress
565286	261280	Mia
565286	285067	Clara
565286	296729	Maggie MacKinnon
565286	350625	Paulette
565286	387072	Elaine Besbriss (1994-1997)
565286	387073	Elaine Besbriss (1997)
565286	388805	Hannah (1990)
565286	401787	Host (1992-1993)
565287	231468	Edith
565288	231468	Frau Trischler
565289	248017	Corrie
565290	41820	
565291	108856	Kona på gården
565292	394987	Herself
565293	249180	Sophie
565294	323795	Herself
565295	281753	
565296	119254	Unteroffizier Lotte Bock
565296	142189	1. Arbeiterin
565296	325857	
565297	312739	Tochter
565298	360972	Herself (interviewee)
565298	391482	Host (24 May 1971 - 12 Decemb
565299	322824	Sonja
565299	332974	
565299	382551	
565299	393451	Bruid Rosseels
565299	402483	Emma
565300	130232	Janine Elschot
565300	390242	Janine Elschot (1992-)/Sophia
565301	228239	Herself
565301	374303	Mevrouw Romijn
565301	386996	
565301	408421	Nel Kooijman
565301	410428	Sjaan
565302	137221	Carolane (L'Ami)
565303	132908	
565304	254664	
565305	169595	Eva
565305	392021	
565306	379254	
565306	384154	
565306	401670	Nicole Stoffels
565306	408151	Louise Goorman (2003-)
565306	411311	Felicia Fierens (1995)
565307	292843	Marietta
565308	297636	Amy Peterson, Sam's Sister
565309	132275	
565310	68867	Princess Shmiri
565311	289024	Lakisha
565312	289857	
565312	395508	Wally
565313	1208	Katarina Munch
565314	293809	Samantha
565315	374291	Beta Bewick
565316	26644	
565316	43877	Gail Krasno (The Guardian)
565316	131692	Alice
565316	135177	Gail Krasno
565316	192729	Det. Siccarelli
565316	254649	Doris
565316	293562	Laura
565316	301614	
565316	317264	Female diner
565316	385824	Ellen Hawk (1988)
565316	398058	Lynn Martin (1990)
565316	399993	Brenda Patagorski
565316	404667	Princess Maya
565317	389304	Manon Dumais
565318	101151	Sara
565318	205645	
565318	402834	Sélina Laporte-Carpentier
565318	403254	Pascale Hamelin
565319	410376	Gertrude
565320	158877	Mme Morisson
565321	95510	Party Guest
565322	244461	Plutine
565323	225616	
565324	203341	Mme. Cernik
565325	315501	Candace Corr
565326	319270	April
565327	32806	
565327	34155	Trude Hausmann
565327	34415	
565327	53155	Anne
565327	98315	Mrs. Hagen
565327	120958	
565327	129696	
565327	139939	Oma
565327	170129	Nannis' mother
565327	188852	
565327	223450	Eine Bäuerin
565327	225273	
565327	226199	
565327	259518	
565327	265799	Mutter Leuschner
565327	270601	
565327	281653	Hanna Severin
565327	287313	
565327	293863	Mary
565327	294588	
565327	317502	
565327	317570	Oma Labmann
565327	317655	
565327	320482	
565327	321772	Kressen
565327	325600	
565327	325781	
565327	352164	Milli
565327	376000	
565327	379082	
565327	387395	
565327	388248	Frau Schneevogt
565327	389287	Ella (1994-1995)
565327	389957	Oberschwester Helene
565327	390291	
565327	393978	
565327	394900	Frau Angels
565327	406321	
565327	409609	Frau Schneeberg (1992)
565327	409611	Elsa
565328	133988	Middle Class Mum
565329	228523	Batou
565330	119051	
565331	83477	Angie
565332	28493	Townspeople
565333	317248	Sleazy cult girl
565334	186849	Drug Buyer
565335	321777	Secretary
565336	293096	Jan Wilson
565336	383882	Stephanie Ryan
565337	5195	Girlie
565338	311407	Borokova
565339	323358	
565340	21408	Frau Riedmüller
565340	121742	Black Widow
565340	170657	
565340	348086	
565341	379741	Regular Performer (2001-)
565342	275468	Elizabeth Meadows
565343	109705	Secretary
565343	308097	Assistant
565344	404448	Nadine Steiner
565345	2252	(segment "Exclusion, L'")
565346	345481	
565347	386069	Herself - Chief Psychologist,
565348	217855	Church Soloist (Elevator Woma
565349	217054	Empleada Ciudad Universitaria
565350	398622	Herself
565351	52249	
565352	2252	(segment "Exclusion, L'")
565353	69108	
565354	2252	(segment "Exclusion, L'")
565355	108707	Second page
565355	235819	
565355	317952	
565355	376987	Mamie
565356	257019	
565357	11869	
565357	97376	
565357	121245	Sita
565357	171139	Paula
565357	252564	
565358	198638	Sophie
565359	67104	Mangosa
565360	12697	
565360	73473	
565360	89661	
565360	90689	
565360	92027	
565360	94717	
565360	121339	
565360	126208	
565360	260043	
565360	261889	
565360	289359	
565361	263902	His Wife
565362	29411	
565362	338242	
565363	69172	Host
565364	6623	Alice
565364	13036	Hélène
565364	15037	Martine
565364	38084	
565364	38972	Cindy
565364	46937	Mireille Silovsky
565364	54725	L'accuchée
565364	57405	Alice
565364	70750	Lisette
565364	71802	Martine
565364	83209	Laura
565364	91910	
565364	94246	Zoé
565364	96141	Claude's Mistress
565364	100305	
565364	101127	Lydia
565364	111096	
565364	112893	Nadège
565364	113116	
565364	132802	Coco
565364	135424	Tonie
565364	170360	Isabelle
565364	197542	Claudine Reilly
565364	198357	
565364	225477	La bonne
565364	249277	Sophie Lecoeur
565364	258838	
565364	277439	
565364	280546	Louise
565364	282299	Jeanne Milcent
565364	287326	
565364	292843	Celestine
565364	322573	Sophie
565364	332197	Théroigne de Mericourt
565364	336996	Claire
565364	337873	
565364	345045	Julie
565364	345267	Sylvia
565364	346716	Virginie
565364	351821	Isabelle
565364	353855	Marthe
565364	356566	Selina Grond
565364	376987	Adélaïde
565364	377977	Gilberte
565364	380859	Marie-Blanche Jessac
565364	386798	Geneviève Simonin
565364	389732	
565364	390686	Marjorie (2004-????)
565364	397920	
565364	399082	Cécile Vattier
565364	399164	Lisa
565364	405099	
565364	409437	
565364	409446	Anne Valois (2000-)
565365	76318	
565367	211182	
565368	11864	Vera Heithoff
565368	26487	Maria
565368	62918	Christiane
565368	95126	Anführerin
565368	109503	Uschi
565368	172849	Eva
565368	177167	
565368	180912	Meike
565368	246245	Chantal
565368	269557	Paulette
565368	275672	
565368	304194	Kathrin
565368	332826	Pat (Tiger)
565368	352341	
565368	355241	Wittmann, Labor
565369	155610	
565370	18621	
565370	33764	
565370	40827	Mrs. Islip
565370	44260	Mrs. Lassen
565370	46870	Norah
565370	54944	Lady Garrubardine
565370	59756	Mrs. Bayne
565370	64870	Ethel, Paul's mother
565370	68142	Mrs. Brown
565370	69667	Aunt Sophia
565370	71180	Madam de Franchi
565370	73986	
565370	75343	Mrs. Hibbard
565370	75892	Madame Savarin
565370	78019	Mrs. Flavell
565370	78066	Mrs. Barker
565370	82948	Mrs. Phipps
565370	90282	Mrs. Evanston
565370	92585	Conchita's mother
565370	100037	Crisshy Stork
565370	101503	Mrs. Winthrop
565370	109371	Mrs. Van Corland
565370	120686	Mrs. Gorham
565370	131690	Mrs. Carter
565370	133797	
565370	137210	Mrs.Stuart
565370	137458	Mrs. John Bennington
565370	141210	Mrs. Morton Hilliard
565370	143070	Mrs. Varcoe
565370	143150	The Dragoness
565370	183649	Lady Jocelyn
565370	189244	Mrs. Elliott
565370	190143	Mrs. Helen Courtland
565370	190229	Mrs. Harmon
565370	190496	Nurse
565370	192325	Mrs. Watkins
565370	194531	Mrs. Churchill
565370	195871	Mrs. Van Denbosch
565370	196521	Marchioness de Sivry
565370	203542	Rochester's Mother
565370	210813	Lady Broderick
565370	213148	Aunt Sally
565370	213173	Mrs. Reynolds
565370	213201	Mrs. Richard Macy
565370	223746	Mrs. Blair
565370	229512	Mrs. William Harding
565370	230732	
565370	233540	Mrs. Austin
565370	239078	Senator's Wife
565370	241371	Mrs. Graham
565370	263903	Mrs. Graham
565370	270475	
565370	270763	Lady Melrose
565370	270917	Mme. Courtigny
565370	274753	Madame De Rannier
565370	276054	Mrs. Clavering
565370	279154	Mrs. Stephen Witherbee
565370	282627	
565370	289605	
565370	293784	Aunt Lydia
565370	295368	Mamie McDowell
565370	299283	Mrs. Van Der Pyle
565370	301595	Lady Lavasour
565370	301780	Mrs. Elton
565370	301950	Mrs. Bryce-Collins
565370	304445	Mrs. McAllister
565370	306759	
565370	309503	Mrs. Vail
565370	310265	Senora de la Carta
565370	316321	Mrs. Whatcombe
565370	320307	Mrs. Pennington
565370	327400	Mrs. Sheldon
565370	329589	Mrs. Van Tassel
565370	331166	Mrs. Bruce
565370	331176	The Mother
565370	331390	Ms. Vale
565370	335457	Mrs. Rhodes
565370	335673	Mrs. De Courcey
565370	345870	
565370	347356	Mrs. Stanwood Kent
565370	358372	Mrs. Brinsley
565370	361697	Aunt Abigail
565370	365049	His Mother
565370	367048	Mrs. James Randolph Emerson S
565370	367556	Mrs. Stuart
565370	367719	Countess Sophia Ivanovna
565370	368653	Comtesse De Chamilles
565371	133764	Mrs. Devereaux
565371	152870	Mother of Comte de Valreas
565371	292564	Mrs. Graves
565372	196255	Bishop's Wife
565373	108146	
565374	303552	Teacher
565374	398767	Astrid Olsson
565374	404039	Woman with Collection Box
565375	30205	Britt's Workmate
565375	107308	Governess
565375	200450	Stesser
565375	228408	Mariana
565375	314386	Karin
565375	394085	Member 3
565376	86891	Maggy Soldignac
565376	218273	
565376	240429	
565376	286607	Judith
565376	313084	Isabelle
565376	325083	Elmire
565376	377668	Léonor
565377	27150	Ena Bryan
565377	116512	Lady Crouch
565377	121623	Matron
565377	124260	Lady Cynthia Clayton
565377	128293	Lamotte's Secretary
565377	134086	
565377	140779	Diane
565377	150180	Marcella
565377	204021	Secretary
565377	252283	
565377	274229	
565377	283349	Crooner
565377	313796	Effie
565377	331628	Lorna Dreyhurst
565377	333897	Joan
565377	335344	Mrs. Frissette
565377	336652	Waitress
565377	340730	Mary
565377	360708	Maggie Lennox
565377	365050	Germaine
565378	227006	Woman in Car
565379	360840	
565380	254089	
565381	57557	Olivia
565382	209944	Marie
565382	357843	Nono Caneton
565383	128596	Sister Franks
565383	191832	Joanne
565383	195365	
565383	246267	Claire Baumgarten, Charlie's 
565383	365974	Honey Sutton
565383	381281	Cathy
565383	397093	Kitty
565383	411211	Honey Bailey (Season 4 - 5)
565384	80689	Human, Human Air General
565385	58414	Sœur de Nicolas
565385	110215	Amélie
565385	164141	Julie
565385	171327	Noëlle
565385	345406	Birgit Schumacher
565385	400631	Chloé Matthieu (1999-)
565386	189265	George's Girl)
565387	96111	Bénédicte
565388	229731	Lock
565388	229734	Lock
565388	270144	Female Victim
565388	296374	Herself
565388	336163	Major Theresa Mitchell
565389	71348	
565390	93452	Anita
565391	88870	Trilby
565392	363488	Jackie
565393	121257	
565394	74920	Darling
565395	7462	La policière du cinéma
565396	315876	Doris
565397	217702	Poulin's daughter
565398	157066	Valérie
565398	192438	Joséphine
565398	389137	Lise Allard
565398	404018	Liana
565399	84258	Hija de Sebastián
565400	295042	
565401	26197	
565402	284830	
565403	137674	Alice
565403	203786	TWA Stewardess #1
565404	273409	Stephanie
565405	241295	Mrs. Thornton
565406	321444	Whaler
565407	410558	Co-host
565408	325995	Wife-Documentary
565409	114021	
565410	109992	Satan's Servant #1
565411	18811	
565412	146370	Herself
565414	73855	1st Passenger On Train
565415	72074	Mannequin
565416	83230	Lili
565416	309980	Amie d'Alice
565416	383959	Marie-Andrée Chartrand (7-9 a
565416	398096	Charlotte Ducharme
565416	409452	Charlotte
565417	254076	
565418	66723	Directice d'Ecole
565418	217167	Assistante médecin
565418	255691	L'Infirmière labo 2
565418	346674	Mme Walter
565418	392910	Denise
565419	2968	Mère d'Ariane
565419	19873	Herself
565419	51379	Margaret
565419	55406	Ursula
565419	57516	Marie-Pierre
565419	58329	Marie-Rose
565419	64951	la Pieuvre
565419	70725	Isabelle
565419	71818	Brigitte
565419	76038	Simone
565419	84667	
565419	101198	Herself
565419	110146	La bibliothécaire
565419	205758	La Polonaise/Thérèse
565419	266237	L'infirmière
565419	324625	Mathilde
565419	346538	
565419	386222	
565419	405341	Magloire de St-Aigle
565419	412275	Albertine (1978-1982)
565420	389130	Wrestling Woman
565421	19759	
565422	346674	Carole
565423	155205	
565424	8988	
565424	51957	
565425	265531	Herself
565425	278575	Herself
565425	338240	Aninha
565425	380242	Tereza
565425	380331	Teresa Novaes
565425	380563	Dalila
565425	396795	Nadir da Silva
565426	198357	
565426	199593	Amanda
565427	345126	Manon
565428	40506	Ramona
565429	189347	Une dame de compagnie
565430	130756	La coiffeuse #1
565430	317953	A punk
565431	71942	Ottavia
565432	111043	Milena
565433	254069	Ariane
565433	348675	Brunetta
565434	134664	Aboriginal woman
565435	11	McGlen Wife
565435	16	
565435	6554	
565435	16038	Mary Singleton
565435	17761	Annie Laurie
565435	19084	
565435	21523	The Summer Girl
565435	22872	Cindy Lane
565435	26191	
565435	33701	Dorothy Page
565435	35580	Bertha Gibson
565435	44687	Iris Paxton
565435	50642	Lorna Lear
565435	52911	Maggie Smith
565435	56151	
565435	57219	Laura Parker
565435	64882	Esther Strom
565435	66318	Janet Ashley
565435	69780	
565435	74101	Alice
565435	84938	Dare Keeling
565435	87549	Maid
565435	87608	Ruth Gaylord
565435	91057	Mary
565435	93077	Pauline Mahon
565435	93668	Lola
565435	97580	
565435	116771	
565435	116895	Janet Ainslee
565435	117121	
565435	117189	
565435	117255	Violet Denton, Philip's Siste
565435	117740	Leone Diamond
565435	129085	
565435	130733	
565435	134042	Ruth Gardner
565435	134647	
565435	143249	Lucy Allen
565435	146120	
565435	148949	Secretary
565435	151087	Barbara Bradford
565435	153627	
565435	163292	The Younger Daughter
565435	164681	Memory Baird
565435	164873	Beth Thomas
565435	169616	
565435	189526	
565435	192587	Myrtle Pratt
565435	194470	Sheila Lynch
565435	200881	Bit Part
565435	203030	Marcia
565435	207779	Mabel Wentworth
565435	209592	Bit part
565435	213905	
565435	236682	Cynthia Vivian
565435	244413	
565435	245170	
565435	246182	Paula
565435	253525	Automobile Passenger
565435	257877	Marjorie North
565435	265430	
565435	271147	
565435	278477	
565435	283864	Saloon girl
565435	286929	
565435	291853	Lena
565435	294832	
565435	309579	
565435	311740	Gilberte Bonheur
565435	312826	Bit part
565435	313331	
565435	314774	Undetermined Role
565435	319152	
565435	319871	Elinor Parker
565435	323207	Dinner Guest [Ch. 1]
565435	329387	
565435	330808	
565435	332803	Mary Dover
565435	343217	The Wife
565435	347957	Nadia
565435	351432	Gianna Russelli
565435	359671	
565435	360235	Audience at saloon
565435	361300	Pioneer Woman
565435	363420	
565435	363558	Salome Deming
565435	364108	Concha
565435	364274	Kate Taylor
565435	365074	Florence Otis
565435	366248	
565435	367618	Alma
565435	367630	Alma Jordan
565436	279953	
565437	2634	Neighbor Woman
565437	2977	Sarah Benedict
565437	18617	Suzanne
565437	18739	Madre
565437	19053	Yaqui woman
565437	39697	Aunt Imelda
565437	40977	Mama Sapelli
565437	41953	Mrs. Rosella
565437	47434	Nalikadeya, Cochise's Wife
565437	47980	Mrs. Rico
565437	51799	Mama Anthony
565437	52251	Elvira
565437	85653	Bus Passenger
565437	94750	Tia Maria
565437	98690	Don Nacho's Woman
565437	105465	Old woman
565437	108954	Old Crone
565437	109971	Zi Jule
565437	112368	Maria
565437	115534	Woman in Elevator
565437	117480	Signora Maduvalli
565437	126044	Mrs. Raft
565437	127087	Mrs. Parelli
565437	127674	Woman
565437	133509	Mrs. Barretto
565437	142462	
565437	144970	Mrs. Cresser
565437	147535	Mrs. Estrada
565437	149613	The Nun
565437	151041	Applicant
565437	163485	Mrs. Martini
565437	167098	Miss Hooten
565437	177463	Lali
565437	178976	Ma Romano
565437	185158	Maria
565437	186420	Mrs. Rodriguez
565437	194228	Grandmother
565437	201418	Mrs. Gonzales
565437	203791	Sita
565437	212196	Indian Woman
565437	213249	Mama Malatesta
565437	218018	Aunt
565437	223798	Signora
565437	255689	Relative at Easter Dinner
565437	265265	Woman
565437	271294	Mrs. Adoani
565437	274051	Italian Woman
565437	276710	
565437	281851	Red Fawn
565437	286893	Mexican woman
565437	297136	Squaw
565437	300158	Mrs. Bonaventura
565437	303112	Woman
565437	312820	Sarita
565437	315745	Saleswoman (segment "Mademois
565437	324035	Maria the Dressmaker
565437	328033	
565437	328066	Boy's Mother
565437	331670	Maria
565437	340378	Tia Feliciana
565437	343316	House Guest
565437	347068	Theresa
565437	351589	The Nun
565437	360482	Mother
565437	362854	Mrs. Lugacetti
565437	367519	Mama Morello
565437	389858	Filomena Soltini (1985-1986)
565438	55344	
565439	54797	
565439	104017	
565439	113247	
565439	124581	
565439	148030	
565439	268499	
565439	323251	
565439	328386	Cuban Woman
565439	334700	
565439	354448	
565439	376785	
565439	390394	
565439	400980	
565439	405242	
565440	74257	Berdine Grunewald
565441	16565	
565442	337035	Femme agent
565443	266735	Toano Middle School Teacher
565444	2252	(segment "Poisson Rouge")
565444	2838	Marion
565444	8359	
565444	8616	Alice
565444	15041	Michelle
565444	15107	Vanessa
565444	17868	Emilie's Mother
565444	18896	
565444	23673	Frédérique Lesage
565444	28375	Vittoria Mori
565444	38781	
565444	56036	
565444	57840	Anna
565444	58329	Claire
565444	66731	The prostitute in red
565444	69219	Gloria
565444	87496	
565444	94087	
565444	100734	Aliette
565444	110758	Carla
565444	117989	Corinne
565444	125741	Martine
565444	148700	Anne
565444	153872	Sonia
565444	156283	Federica
565444	156330	
565444	161820	Marta
565444	164153	
565444	164209	
565444	183010	Odette
565444	184062	Josiane
565444	192813	Julia Portal
565444	208222	Patricia
565444	211156	Daisy
565444	217689	Sanguine
565444	218478	Stella
565444	237331	La boulangère/Baker's wife
565444	240428	Michèle
565444	244740	Nathalie
565444	249249	Angela
565444	251007	Valeria, la saxophoniste
565444	251527	Avocate
565444	258982	La fille au poisson rouge
565444	268936	
565444	269108	
565444	275124	2nd Escardon Volant
565444	278152	Emmanuelle
565444	278153	Marie
565444	287246	Véronique
565444	290825	Herself
565444	291584	(segment "Drugstore")
565444	292274	Lisa Venturi
565444	294374	La jeune mère
565444	315439	Valeria
565444	327576	
565444	327726	(segment Histoire d'eaux)
565444	332405	
565444	345460	
565444	346548	Victoria
565444	353908	Emilie's Mother
565444	355614	Paola
565444	356162	Michela
565444	384855	La reine
565446	396649	
565447	57061	Herself
565447	248055	Herself
565447	266419	Herself
565447	290825	Herself
565447	348106	Herself
565449	409092	
565450	33172	Raquel
565450	56239	Chianti
565450	161831	Janet
565450	193125	Therese
565450	275445	Jessica
565450	381596	Dr. Hannah Awkward
565450	397534	Tanya Reubens
565450	404882	Det. Joanna Granger
565451	89576	
565453	84616	La doublure de la mère d'Emil
565454	100193	Punk 1
565455	293360	
565456	139440	Lola, la pattinatrice
565458	12675	
565458	113574	2ª Tintora
565458	118778	Ragazza madre
565458	334429	Madre Tobia
565459	170423	Christelle
565460	163450	Emma
565461	323882	Lea (episode "Twisted Mind")
565462	48379	Astrid Björkman
565462	88393	Greta Winkler
565462	89490	Annie
565462	109255	Birgit
565462	115388	Alex, (Dagmar's friend from P
565462	346974	Marianne Burén
565462	346983	Tony Löwen
565462	348497	Maud Hage
565462	353032	Ellen
565462	353041	Josephine Rossiter
565462	377379	Dagny
565463	30163	Mrs. Grape
565463	42190	Kätie Melin
565463	94863	Mrs. Grundberg
565463	101639	Mrs. Roth
565463	109122	Elsa, Christer's mother
565463	109293	Gunnar's Mother
565463	111835	Bojan Jansson
565463	120066	Anna
565463	120892	Ingrid Eriksson
565463	122320	Lasse's mother
565463	122480	Greta Johansson
565463	132428	Lisa Dahlberg
565463	148820	Olga Rosander
565463	153769	Margit's mother
565463	164784	Clara
565463	223187	A woman
565463	225235	Britta Lund
565463	225331	Mia Lisander
565463	244204	Mrs. Fock
565463	254252	Ingegärd Pettersson
565463	268328	Mrs. Persson
565463	270935	Mrs. Larsson (Bibban's mother
565463	284103	Märta Sanner
565463	303661	Mother in park
565463	304405	Karin Svensson
565463	324612	Tant Grön
565463	353021	Greta
565463	355627	Selma Rask
565464	59716	Beate Ekenstedt
565464	89490	Lady Lillian Gardner
565464	135975	Mrs. Hede
565464	136170	Kristina Gyllenstjerna
565464	136579	Baroness Hetvics-Janky
565464	174075	Mrs. Lindberg
565464	174092	Aurora Königsmarck
565464	182578	Louise Kent
565464	206208	Mrs Markurell
565464	331036	Thora van Deken
565464	354422	Mrs. Berta Brenner
565465	6584	Eva Palm, nurse
565465	115382	Gertrud Vesterberg
565465	174201	Margit Larsson
565465	209311	Miss Svensson, journalist
565465	240313	Guest at the birtday party
565465	268352	Black Sonja
565466	122076	Deborah
565467	348228	Kate
565467	403081	Big Hair
565468	273738	Mrs. Miller
565469	141064	
565469	160325	Herself - 3rd evictee
565470	35867	
565471	292666	Waitress
565472	333082	Margit
565472	340272	Petra Holst
565472	348985	Tidningskollega
565472	386911	Kicki Moberg
565472	400112	Mimmi Brunader
565473	331738	Marcia
565474	6211	
565474	10420	Mutter Zitterbacke
565474	18284	
565474	18344	
565474	22579	Melanie
565474	24602	Ursula Neumann
565474	35552	
565474	40417	Frau Thomas
565474	40418	
565474	91179	
565474	93007	Hebamme
565474	102491	Renate
565474	107347	Olga Bienert
565474	125614	
565474	126175	
565474	126608	
565474	126828	Eva
565474	138276	Gerti Oswald
565474	141942	Luise Bärensprung
565474	149961	Christa
565474	170693	
565474	174795	Mrs. Hollnagel
565474	175299	
565474	189747	
565474	223468	Alena
565474	226399	
565474	259447	Emmi
565474	259466	
565474	259521	
565474	259548	Frau Schmalke
565474	259616	
565474	259671	
565474	287638	
565474	308815	
565474	312646	
565474	320230	
565474	356877	
565474	359697	Inge Gepfert
565474	361417	
565474	366079	
565474	374364	
565474	375141	
565474	379086	Beate Kneisel (part IV)
565474	380577	
565474	385660	
565474	396269	Tante Martha
565474	406269	
565475	34239	Tina
565475	91952	Rusty
565475	323505	Rusty
565476	271287	Bruiser's Receptionist
565477	17371	Simone
565478	10558	Juliette Troublette
565478	19346	
565478	94386	Annie
565478	161659	
565478	340681	Fille 8
565479	234890	Cabaret Girl
565480	309418	Herself
565481	301660	Flashback girl
565482	15046	
565482	43758	La grosse touriste
565482	84667	
565482	106205	Bernadette
565482	353660	
565482	377470	Vendeuse primeurs
565482	403474	Avorteuse
565483	311115	
565484	144150	
565485	160655	Zoe
565485	257083	Anna
565486	272636	
565487	207036	Gertrude
565488	17371	Nina
565489	300801	Stefanie
565491	3887	Herself - First Manson family
565491	147980	Herself (Manson follower, wit
565492	200825	
565493	20625	Extra
565493	105689	Wife
565493	360527	Wife
565494	237414	
565495	2440	Wolke
565495	34415	
565495	84548	
565495	177172	Oberin
565495	290146	
565495	356544	Frau Stockmann
565496	272751	Selma Knobbe
565496	314542	Ruth
565496	336503	Freda Behnsen
565496	359685	Veronika
565497	391248	Lucy Weston (1995)
565498	148372	Tina
565498	335982	Miss Jardine, Chorus Member
565498	379708	Bella Harper
565498	394456	
565498	408035	Jenny Hutchenson
565499	16796	Jaki Manu
565499	73675	Marama
565499	118623	Doctor
565499	139742	
565499	279165	Tangamoko
565499	341829	Rose
565499	362152	Tania Rogers
565499	362917	Fig
565499	405209	Nurse Jaki Manu (1992-1994)
565501	199114	Stephanie Blondel
565503	123176	Morena Feroci at 7 years
565503	127876	Carlotta in '77
565503	219575	Serena
565503	235370	Nina
565504	219129	Sandra's sister
565505	62778	Dancer
565506	26042	French version
565506	400422	
565506	410527	Charlotte Mombrun
565507	379159	Gracie
565508	121014	
565508	154509	Guest at the hotel
565508	164651	Waitress
565508	173201	Nurse Ruth
565508	192644	Nurse
565508	305991	Karna
565508	316909	Medicine student
565508	377382	Agneta
565509	383276	
565509	386505	Babi
565509	388939	
565509	400765	Alice
565509	400838	
565509	404185	
565509	407801	Alice Terra Cambará
565509	407872	
565510	30755	Marie
565510	51403	Emma
565510	52835	Laura
565510	57077	Magdalena
565510	59217	
565510	70955	Emma
565510	91991	Douchka
565510	100358	
565510	198558	Sarah
565510	202090	Angèle Pujade
565510	258864	Véronique
565510	265703	Thérèse Manicourt
565510	307490	Catherine
565510	346617	
565510	377068	Béatrice
565511	387309	Nora Fulton (aka Roxanne Walk
565512	313978	Sarah
565513	26693	
565513	102399	
565513	127436	Young Micol
565513	162077	(segment "Giochi acerbi")
565513	199997	Donatella
565513	259707	
565513	287004	
565513	287648	
565513	288021	
565513	307337	Anna Maria
565513	344130	
565514	90456	
565514	205201	
565514	381591	
565514	381773	Rosa
565514	386505	Maria
565514	390380	Eleonor
565514	393793	
565514	400765	Madre
565514	402108	
565514	408509	
565514	409407	Emília
565514	409426	Catarina
565514	410375	Rosa
565515	284882	
565515	316847	
565516	263710	
565516	341390	
565516	350421	Stefania
565516	386484	Laura, la ragazza di Saro
565517	106159	Herself - Exposé
565517	329619	Herself/Performer
565518	20625	Extra
565520	158941	
565520	166376	
565520	196682	
565520	205201	
565520	302302	
565520	351489	
565520	380327	
565520	383130	Bessie
565520	386418	Mamãe Dolores
565520	402109	
565521	215664	Miss Massachusetts Teen USA (
565522	253574	
565523	32626	Woman in Church
565524	316587	Landlady
565525	39464	Moms
565525	266587	Bertha
565525	321224	Widow Foster
565526	4946	Rosemary Edwards
565526	297190	Sorority Girl
565527	392015	Lawyer/Various Characters
565528	116426	
565529	353886	
565530	390771	Marina Nadine Cooper #6 (2004
565531	341885	Girl at Fire
565532	54074	Herself
565532	103869	
565532	205201	
565532	269570	
565532	293646	
565532	354387	
565532	375497	
565532	380097	Úrsula
565532	380196	Judite Mota
565532	380531	Glória
565532	381523	Branca
565532	382684	Benona
565532	383276	Margot
565532	384778	Dorinha
565532	386505	Helena
565532	387640	Zezé
565532	388416	Estela
565532	388939	
565532	389587	Clara
565532	390380	Mônica
565532	392747	Lanja Vacariano
565532	395044	Edite dos Santos Almeida
565532	395366	
565532	396036	Isolda
565532	397541	Clara
565532	397547	Cecília
565532	398503	Julieta 'Juju' Sampaio
565532	398548	Margarida
565532	399940	Júlia
565532	400765	Sílvia
565532	401243	Vivian Bergman
565532	402371	Nina
565532	402807	Neiva
565532	403747	
565532	404185	Zilda
565532	404271	Clara
565532	404799	Fany
565532	405337	
565532	407275	Sara
565532	407280	Dona Benta
565532	407830	Joana
565532	412257	Lola
565533	224838	Woman Customer
565534	25794	
565534	319506	
565534	319830	Manuela
565534	335988	
565534	340068	
565535	43708	Lulu
565535	44964	Françoise Zanetti
565535	45142	Herself
565535	54299	Giuseppa
565535	120863	Toinette
565535	188700	Vivette (segment "Secret de M
565535	217671	
565535	335223	Poupette Lautier
565535	354658	Margot
565536	14409	
565536	23366	
565536	42640	
565536	55740	
565536	61131	Yola
565536	73263	
565536	82717	
565536	96314	
565536	103476	
565536	115033	
565536	115034	Herself
565536	170035	
565536	205926	Gina
565536	208851	
565536	215854	
565536	229802	
565536	233550	Mónica
565536	236027	Gela
565536	243961	
565536	256661	Carmen
565536	266481	
565536	283903	
565536	292709	
565536	297690	
565536	326144	Una extranjera
565536	341882	
565536	352108	Laura
565536	374017	presenter
565536	376823	Elena
565536	408203	
565537	218848	Old Woman
565539	255169	Karen
565540	37232	Ida
565540	120242	Little Old Lady
565540	366641	Mrs. Saladino
565541	344855	
565542	48908	Doba
565543	345037	Floflo
565544	45000	Femme enceinte
565545	95642	
565545	242476	
565546	369	Madeleine
565546	12653	
565546	12682	Vera de Santis
565546	15025	Mémé Odette
565546	23636	Denise
565546	30252	Maria Vilandier
565546	34462	Catherine Delmotte
565546	43710	Angèle
565546	47158	Marie-Jo
565546	51138	Mme Martin
565546	51246	Flore
565546	51829	Marie
565546	51922	Louise
565546	53006	Germaine
565546	57263	Mademoiselle de Maupré
565546	57894	
565546	58325	Marie-Louise
565546	59968	
565546	64452	Louise Descamp
565546	65383	
565546	66835	Aline
565546	71141	Clémentine
565546	77420	
565546	83253	Jeanne
565546	96233	Herself
565546	99409	Geneviève
565546	100170	Karelina
565546	101255	Clotilde
565546	108207	Lisette Martin
565546	112862	Mémée
565546	132287	Goupi-Muguet
565546	132775	Sylvette
565546	148631	
565546	156313	
565546	161993	
565546	166358	
565546	205736	Odile Le Flem
565546	207771	Rose
565546	225364	
565546	243030	Sonia Brévannes
565546	251530	
565546	254030	Marthe Rambert
565546	255572	Louise Rolland
565546	269103	Michèle
565546	270307	Sandrine
565546	270764	La Blanchotte
565546	282417	Marie
565546	292342	Françoise Gaudry
565546	300761	
565546	307562	
565546	309981	
565546	312855	Mathe Julliard
565546	326087	
565546	332222	Natalia
565546	332226	Mlle Milligan
565546	332231	Mme Racosse (segment "Prétend
565546	336912	Anne-Marie Duffot
565546	337861	
565546	345352	
565546	346484	Lily Ferronais
565546	351259	Mme Beaurepaire (segment "Gro
565546	353829	Mme Aubry
565546	353831	
565546	353920	Sylvie
565546	354033	
565546	354700	Yvonne
565546	356504	
565546	356982	
565546	357117	Valentine
565546	377952	L'assistante sociale
565546	388141	Madeleine, dite Madou
565546	388310	
565546	392750	Mme Dumont
565546	396617	
565546	396817	Mme Chambarcaud
565546	404153	
565546	404861	Blanche Blouin
565546	407550	
565546	408662	Francine
565546	409440	
565547	330217	Young Jenny
565547	389858	Georgiana 'Georgie' Jones #4 
565548	241428	
565549	288862	Herself - Candidate Miss Germ
565550	22822	Nell
565550	233860	Young Woman
565551	82517	
565551	110298	
565551	193748	Cashier
565551	360770	Nurse
565551	380391	Emily Hastings (1966)
565551	382773	Aunt Emily Potter (1954-1962)
565551	383426	Mother of Video Ranger and Ha
565551	400239	Mrs. Roberts (1950-1951)
565551	400805	Judge Ellis
565551	408128	Charlotte Doane
565552	16404	
565553	261840	
565553	264525	Femme Minuscule
565553	275825	
565553	378866	La fleuriste (ep.3)
565553	401319	Suzanne
565554	265109	Wanda
565554	317942	TV Sequence
565555	315682	Principal contralto
565556	117016	Blonde Angel
565556	314681	ChrisAnn
565556	354161	Emily
565557	262012	Mrs. Slocum
565558	187229	
565558	310763	
565559	12319	Party Guest
565560	39627	Club girl #1
565561	190139	Bank Teller
565563	21737	Barbara
565563	58102	Alexandra Davenport
565563	74304	'Bar From Hell' patron
565563	337206	Factory worker
565564	88623	Double Dutch Girl
565565	166845	Bailiff's Wife
565565	181825	Fool
565566	37659	Diner Video Girl
565566	197718	Evil Victim
565567	65169	
565567	295335	Mary Norton
565568	381620	Host (1992)
565568	390294	
565568	402684	Host
565568	407720	
565569	196372	Changing room friend
565570	405794	Herself
565571	114366	
565572	94622	
565572	119232	
565572	392388	
565573	89387	Waitress
565573	386339	Coroner's Receptionist #1
565574	116147	Crew member
565575	121528	Hitler Hitchhiker
565576	248223	
565577	158882	Sylvia
565578	21410	
565579	411802	Skylar Evans #1 (1989-1990) (
565580	411802	Skyler Evans #1 (1989-1990) (
565581	96603	Girl #2
565581	174028	
565581	255611	
565582	204548	Blonde Woman
565582	278374	Sekretare
565583	136287	Mrs. Briggs
565584	138374	Ms. Frye
565585	90316	Kathy Jordan
565586	171009	Irmeli
565586	310810	Rosa
565587	64355	
565588	194375	Tina Tuddles
565589	205630	
565590	326904	
565591	321657	Jezebel
565592	121253	
565593	62891	Aïcha
565594	247885	
565595	72490	Vanessa's Nanny
565595	108306	Arianne
565595	134731	Pam the Assistant
565595	297628	Kerri Gold, Beth's Therapist
565595	302185	Checkout girl
565596	4702	Donna Donna
565597	352151	
565598	21375	Philippe Salliots kone (Phili
565599	261325	
565600	342675	Old Woman (segment The Shooti
565601	153142	Bus Passenger
565602	117230	Herself
565603	329522	Pageant Helper
565604	252974	Bartender
565605	145966	
565606	75565	
565607	139288	
565608	211916	Griffier
565608	211917	Griffier
565608	211918	Griffier
565608	381716	Rechter
565608	397517	Griffier
565608	397518	Griffier
565609	106738	Richs Girlfriend #2
565610	361237	
565611	354606	Aino
565612	25505	
565612	44922	Adèle
565612	49543	Rosa (Kajs søster)
565612	78463	Herself
565612	83087	Prinsessen af Illyrien
565612	90167	Frøken Mortensen
565612	108966	Søs
565612	108967	Søs
565612	108969	Søs
565612	108971	Søs
565612	108972	Søs
565612	108974	Søs
565612	109127	Alice
565612	114809	Rosalinde von Eisenstein
565612	123496	Kate
565612	136820	Josephine, kaptajnens datter
565612	142504	Helene Thomsen
565612	142864	Markisen Matilde Spina
565612	146991	Karin
565612	153987	Lisa
565612	154624	Irene
565612	155124	Herself
565612	179677	Fru Lis
565612	179982	Dronning Marguerite, Kongens 
565612	182459	Betty
565612	187105	The Son's wife
565612	203398	Caja
565612	205685	Marianne Christensen
565612	237084	Eva
565612	241981	
565612	255675	Koncertpianist Marlene Brandt
565612	315403	Spejderpige
565612	322455	Esther
565612	324430	Elenora
565612	326109	Frk. Hansen
565612	352120	Judy
565612	394007	
565613	1198	Ulla, Sallys mor
565613	108171	Anette Gyldenkål/Iversen
565613	108172	Annette Gyldenkål
565613	108173	Annette Gyldenkål
565613	351046	Emma
565613	371059	Lisa
565613	397074	Esther
565614	198064	Salsakvinde
565615	32542	Sofie
565616	89973	
565616	108573	
565617	198387	Frau Mizzie
565618	109120	Speaker
565618	394309	Herself - Host (1998)
565619	95906	Dorte Nielsen
565619	136463	Vibeke Henningsen
565619	241975	Misse
565620	123692	Lily
565621	70325	Cheese seller
565622	79185	
565623	83277	L'institutrice
565623	118184	La jeune femme
565623	148664	Juliette
565623	244759	Amie de Denise Laville
565623	254147	Soeur Marie-Odile
565623	286043	L'institutrice
565624	175189	The Ladies
565625	283186	Col. Cao's granddaughter
565626	94008	The Mother
565627	257164	Jeune fille
565628	309967	
565629	309967	
565630	25111	
565630	82944	Maud
565630	85711	
565630	160064	Josette
565630	248259	
565630	257212	Frimousse, The Mask's Partner
565630	294778	
565630	345229	Ginette
565630	357855	
565631	10234	
565631	14728	Laura
565631	20171	
565631	21069	Gardênia (segment "A Garçoniè
565631	25059	
565631	55078	
565631	67663	
565631	73196	
565631	104019	(segment "Louca de Ipanema, A
565631	124237	
565631	131092	
565631	148479	Marieta
565631	256372	Conchetta
565631	307756	
565631	308754	
565631	344806	
565631	356035	Mrs.Nikolaiev
565631	379646	Ana Lúcia
565631	379822	Ruth Ramalho
565631	380156	Carmem
565631	381583	Mirtes
565631	385023	Vânia Fonseca
565631	386505	Renée
565631	390506	Sílvia
565631	393615	Guida Rivera
565631	396520	
565631	397804	Baby
565631	398249	Frances
565631	401087	Otília
565631	401460	Malu
565631	404913	
565631	409780	Eunice
565631	410377	Clotilde
565631	412238	Hélida
565632	47611	
565632	59259	
565632	60142	Ninfa
565632	69703	The ex wife
565632	80236	
565632	103847	
565632	162803	
565632	193225	
565632	209014	
565632	216304	
565632	249786	
565632	251339	
565632	270857	
565632	281695	
565632	294352	Ginette
565632	307819	Nadia
565632	351689	
565632	379852	
565632	379853	
565632	386127	Santillana
565632	387809	
565632	395487	
565632	396652	
565632	398157	
565632	398913	Zela
565632	401691	
565632	402321	
565632	402769	Luisa
565632	409915	Carla
565632	409957	Grecia 'La Griega' (2000)
565633	330076	
565634	31200	Herself (NBC Team contestant)
565634	50989	Debbie
565634	77145	Joanne Vail
565634	81776	Stofsky
565634	99851	
565634	145077	
565634	155077	Karen McCorder
565634	221266	Katherine
565634	313596	Laura
565634	334173	
565634	379930	Julie Masters
565634	406319	Nurse Shirley Daniels (1982-1
565635	116053	
565637	78182	Dancers In Club
565639	177589	Marjorie
565639	203160	Maggie Holmes
565639	308936	
565640	17030	Nurse Hayes
565640	269340	Venus Guard
565640	372433	Juvenile Hall girl
565641	53336	Gigi
565642	403337	Samantha Merrygrove
565643	375847	Little Blue
565644	80584	Girl in Rock Video
565645	214984	Martha at age 5
565647	214984	Martha at age 7
565648	1028	Valerie
565648	6144	Blonde Sales Assistant
565648	16673	Evelyn
565648	17935	Herself/Audience Member
565648	18827	Margaret McKinney
565648	21475	May
565648	23926	Audience Member
565648	32429	Bosom Lady
565648	41851	Maisie
565648	55712	Norah
565648	61564	Cassie
565648	64390	Bubbles
565648	73938	Marge
565648	75404	Jenny Jenkins
565648	83618	Gay
565648	90287	Beautician
565648	107624	Barmaid
565648	107869	Rose
565648	109419	Rawlings
565648	112747	Minnie Robinson
565648	116517	Miss Bradstock
565648	127513	Glad Flanagan
565648	133816	Amber Spottiswood
565648	134074	Lily
565648	138248	Mrs. Golding
565648	142568	Herself
565648	144981	Mrs. Bowers
565648	161037	Waitress
565648	161637	Dora Bee
565648	183670	Lady in charge of publicity
565648	199134	Berengaria
565648	199498	Mrs. Jenkins
565648	203616	Telephonist
565648	215188	Nan
565648	215642	Pearl
565648	219984	Tilly
565648	232016	Herself
565648	232319	Julie Skidmore
565648	233632	Rosie, Barmaid
565648	233929	
565648	234043	Maisie
565648	236085	Winnie
565648	238244	Girl in telephone kiosk
565648	241104	Barmaid
565648	242712	Pvt. Cox
565648	253005	Model in shop
565648	269884	Elsie
565648	274234	Lily
565648	278515	Mrs. Hackett
565648	282702	Guest Announcer
565648	287268	Mrs. DeVere
565648	289632	Maggie
565648	291296	Emma
565648	293091	Isa
565648	305357	
565648	308078	Waitress
565648	316604	Prostitute at Police Station
565648	325244	Helen
565648	333245	Peggy Stebbins
565648	338565	Eva
565648	342710	Ruby Hopkins
565648	346940	Herself
565648	348377	Cora Crumpington
565648	363697	Miss La Fosse
565648	367877	A Boarder
565648	372193	Gladys
565648	372204	Sgt. Hortense Tipp
565648	379158	Herself/Various
565648	381552	
565648	382559	Dora Page
565648	395178	Roz (2001-)
565648	398296	Kitty Flitcroft
565648	398749	Dora (eps 1-4)
565648	400197	Tony's Mum (I) (Series 1) (19
565649	396793	Herself - Nimitz Library, Ann
565650	185525	Mary Lewis, clerk
565650	231127	Susie
565650	282108	Agnes
565651	109419	Mrs. Crabb
565652	365527	Bat Girl
565653	47894	Kate Rice
565653	47895	Kate Edwards
565653	54607	Betsy Ann Prentiss
565653	56193	Wilma Laxter
565653	69338	Lisa Koslov
565653	96608	Joyce Conover
565653	128827	Connie Heath
565653	176340	Marie Donati
565653	203496	Margaret 'Marge' Carter
565653	206168	Betty Strauber
565653	239700	Clementina 'Tina'
565653	303307	Grace Elliott Knivel
565653	304954	Mary Marco
565653	330087	Carol Christy
565653	346065	Arlene
565653	360369	Leni Krafft
565654	8366	Sister Mary Joseph
565654	17697	Maid at Mrs. Pringle's
565654	241496	
565655	92283	
565656	39738	Towhead #2
565657	224174	Jenny
565658	316153	Amy
565659	54620	Annie
565660	163623	Herself
565660	305489	Herself
565661	33058	Actress
565661	71586	Young girl
565661	75419	Nurse
565661	278555	Friend of Edna
565662	159863	Amanda's Mom
565663	218180	Model #4
565664	28040	Herself
565665	142985	Laurie
565666	381821	Ensemble (1977-1978)
565667	131232	Extra
565668	80550	Mary (segment Golfing Story)
565668	99842	Ward Sister
565668	224413	Sally
565668	341979	Lydia
565669	110916	Featured Extra
565670	33743	
565670	65661	Clara Hunter
565670	67162	Bessie Tanner
565670	87919	Madge Brainerd
565670	104879	Naomi Rebbings
565670	117991	Angie Smith
565670	133787	Moya
565670	191217	Kate Roberts
565670	311748	Mary Aylmer
565670	367315	Annette
565671	60361	Dorinda
565671	177591	Kelly
565671	221318	Fritzie
565671	387009	Terry
565672	239786	Amanda
565673	75876	Kelly
565674	40294	Ophélia
565675	239786	Amanda
565676	150405	
565677	89881	
565678	168943	Alison
565679	105412	Jamie Lee, Computer Voice
565680	82445	Anita
565681	7895	Herself
565681	20441	
565681	42337	Herself
565681	42357	Herself
565681	254379	Herself
565681	280433	Herself
565681	292654	Herself
565681	339860	Herself
565681	389913	Regular Performer (1959-1960)
565682	393424	Additional voices
565683	287307	Sandy
565684	190376	Barfly Two
565685	46206	The Baby
565686	34395	Nurse
565687	73491	
565687	276001	
565687	279434	
565688	2500	Juliet Rouget
565688	285605	Cafe Singer
565689	87166	Sarah's Friend
565691	372484	Little Girl
565692	122183	COPS officer
565693	13063	Dafi
565693	94655	Mary Faith Rapple
565693	188124	
565693	241065	The Little Girl
565693	340669	Trudy 'Tru' Walker
565693	346198	Amy
565693	382072	Annie
565694	340911	Herself
565695	329579	Histotechnologist
565696	235603	Party Girl
565697	309927	Fig Dame
565698	280298	Policewoman
565699	208810	Sophie Maurier
565700	157324	St. Jude Student
565700	239032	Lizzi
565701	364465	Dancer
565702	9032	
565702	47311	
565702	112745	Deputy
565702	353373	Woman
565703	254477	Mrs. John Truesdale
565704	64090	Junior Leaguer
565704	72244	Pat Croft/Collins
565704	72622	Janet Reymond
565704	110324	
565704	115112	Ann Shelby
565704	120824	Teenage Girl in Audience
565704	124344	Hazel Crawford
565704	146752	Secretary in Holmes Theatrica
565704	176321	Goldwyn Girl
565704	194831	Slave Girl
565704	296959	Ruth Denny
565704	301990	Jeanne Willoughby
565704	338225	Lois
565704	348327	Goldwyn Girl
565705	41360	Klara Bartok
565705	50936	Fencer
565705	333194	Prisal
565705	367096	Khoura's Guards
565706	154796	
565707	328868	Silvia
565708	2188	Rita
565708	18436	Cheryl Smolley
565708	55243	Nikki
565708	140372	Sheila
565708	148874	Gina
565708	178293	Shane's Mother
565708	201617	Herself
565708	300195	Lexi
565708	303830	Jill
565708	311038	Woman at Web
565709	5844	Mary Masters
565709	96852	Molly Dolan
565709	112573	Marian Willis
565709	151191	Chorus Girl
565709	162340	Patricia Benson
565709	168681	Woman with gambler who made e
565709	204708	Mrs. Brewster
565709	220788	Nightclub Singer
565709	246232	Girl
565709	285432	Nellie Sawyer
565709	328661	Normandie Drake
565709	329426	Louise
565709	339652	Margaret
565709	339657	Jean Mason
565709	372932	Switchboard Operator
565709	372935	Louella
565710	97890	Kettle Child
565711	217476	Reporter
565712	176949	Little Candy
565712	252455	Laura Morse
565712	317890	Jessica
565712	347244	Hillary Deveraux
565712	347692	Lily Hawkins
565712	363547	Samantha 'Sam' Stokes
565712	383952	Jenny Gordon (1999)
565713	396598	Antoinette Chapman
565713	398957	Host
565713	404549	Herself (Host) (2002-) (Junky
565713	406013	Herself
565714	279320	Mary, Larry's Girlfriend
565714	365394	Thelma
565715	328603	Neighbor (segment "Make Me An
565715	333194	Stilar
565716	9124	Mrs. Hammen
565716	9125	Mrs. Hammen
565716	10886	Phyllis Bryant
565716	54405	Sharon Willis
565716	81343	Jane Andrews
565716	110285	Mrs. Hopkins
565716	139698	Dorothy Roberts
565716	147972	Money 'Meg'
565716	224648	
565716	307692	Mrs. Epps
565716	322631	Fran Hooker
565716	396133	Jill
565716	407323	Fran Hooker (1982-1983)
565717	303837	Patricia Welch
565718	289530	Courtroom Observer
565719	314984	Mrs. Grove
565720	203622	Trick-or-Treater
565720	308022	Mary Ann Mayberry
565721	17941	John's Grandmother
565722	199100	
565723	31879	Martha
565723	56224	Mrs. Bailey
565723	75404	Mrs. Hooley
565723	184858	
565723	367854	Minnie Caldwell
565723	385020	Minnie Caldwell (1960-1976)
565724	281540	Lilly
565725	142464	Ring Girl
565726	188181	Lou
565726	323936	Mother
565727	94948	Specialty
565727	123707	Dance specialty
565727	165327	Herself - singer
565727	330179	Nightclub Singer
565727	332768	Nightclub Singer
565727	358031	Elsa
565728	347300	Laura
565729	17796	Party Guest
565729	38340	Bio-Dome Technician
565729	52842	Coroner-Mo Donahue
565729	80508	Nellie
565729	118901	Performance Hotty
565729	255164	Woman at Bar
565730	366984	Gardner's Wife
565731	5033	Mrs. McKay
565731	7036	Mrs. Langdon
565731	7153	Mrs. Thatcher
565731	10722	Agatha Winters
565731	12770	Mrs. Darlington
565731	23207	Mrs. Julia Van Dieman
565731	26070	Undetermined Role
565731	30922	Dean Clinton
565731	34650	Mrs. Dalyrimple
565731	37061	Mrs. Carter
565731	37458	Mrs. Crane
565731	39696	Mrs. Grace Andrews
565731	40121	Mrs. Lindsay
565731	40977	Mrs. Henley
565731	46669	Mrs. Gray
565731	47017	Mrs. Nevins
565731	47895	Mrs. May Harper
565731	52659	Mrs. Marshall Todwell
565731	53324	Mrs. Jake Carstairs
565731	71182	Madame Dupre
565731	71531	Mrs. Maddox
565731	73124	Madame
565731	78003	Marie
565731	78180	Miss Templeton
565731	84901	Mrs. Sanders
565731	94388	
565731	103781	Mrs. Corvall
565731	106637	Hattie Waters
565731	107013	Mrs. Belmont
565731	109843	Mrs. Susan 'Susie' Bower
565731	110363	Lady Drake
565731	114798	Clara Barton
565731	116538	Sister Beatrice
565731	126151	Dean Blake
565731	126510	Mrs. Daughtery
565731	126513	Aunt Addie
565731	129079	Mrs. Minnie Brewster
565731	131768	Miss Turlock
565731	135141	Sarah
565731	137393	Mrs. Cornelius Belmont Sr., i
565731	138383	Mrs. Hellie Novotny
565731	139786	Mrs. Hazel Chumley
565731	143203	Mrs. Winterbottom
565731	144685	Sybil Elwood Kaymeer
565731	154769	Aunt Clara
565731	155838	Marian Johnson
565731	159944	Thelma Mitchell
565731	170825	Miss Gray
565731	175805	Mrs. Cabot
565731	177549	Louise
565731	178208	Nun
565731	183406	Mrs. Adele Carroll
565731	183553	Lydia Forsythe
565731	183663	Mrs. Sutherland
565731	183767	Aunt Harriet
565731	186638	Agnes Burton
565731	188326	Mrs. Bryant
565731	188354	Mrs. Willoughby
565731	191023	Mary Todd Lincoln
565731	191646	Mom
565731	193738	Aunt Julie Stewart
565731	199136	Louise Fusenot
565731	199394	Alicia Rolf
565731	203541	Margaret Schuyler
565731	203799	Meg Swift
565731	206355	Nurse
565731	209625	Sarah Barstow
565731	213160	Mrs. John Clark Reitter Sr.
565731	214069	Mrs. Cooper Austin
565731	216926	Mrs. Brown
565731	231390	Mary Peasley
565731	239648	Rachel Jackson
565731	240610	Housekeeper
565731	241349	Mrs. Morris
565731	241892	Mrs. Bourne
565731	242086	Mrs. Drumm
565731	244899	Louise Wilcox
565731	245253	Dora Northcote
565731	245292	Mrs. Banner
565731	248896	Margaret Ames
565731	251644	Mrs. Peck
565731	252241	Miss Howard
565731	252913	Corinne Williams
565731	261423	Bit Part
565731	264171	Mrs. Mulvaney
565731	264882	Mother Redempta
565731	266694	Emma
565731	273184	Mrs. Kay Bradley
565731	275367	Mrs. Benchley
565731	276713	Cousin Therese
565731	283394	Mrs. Mildred Hampton
565731	302885	Mrs. Franklin Sydney
565731	308576	Mere Imbert, Mother Superior
565731	312811	Mrs. Howard
565731	313916	Mrs. Peggy Brown
565731	316673	Mrs. Putnam
565731	321549	Hyacinth Hepburn
565731	323407	Miss Burke
565731	329903	Ethel Stevenson
565731	330336	Martha Matthews
565731	331596	Supervisor
565731	332009	Mrs. Black
565731	347357	Aunt Mary
565731	347724	Mrs. White
565731	355103	Mrs. Wood
565731	360834	Mrs. H. Davenport Drew
565731	361685	Mrs. Winston
565731	372209	Miss Abbott
565731	372927	Agatha Frost
565731	388792	Mrs. Martin
565731	400527	Mrs. Nestor (1955-56)
565732	9148	Elenya Brown
565732	40057	Millicent
565732	88922	Peri
565732	88924	
565732	88933	Herself ('Peri')
565732	197775	Herself
565732	219163	Miss Brown
565732	224927	Herself
565732	249457	Beverley
565732	250726	Herself
565732	276253	Peri
565732	315620	Herself
565732	316237	
565732	316289	Miss Brown
565732	318862	Miss Brown
565732	338585	
565732	380276	Sara Lawson
565732	382128	Martine
565732	386587	Perpugilliam 'Peri' Brown (19
565733	203492	Playground Bully
565734	7824	
565734	39108	
565734	90241	Sue Ellen
565734	136832	Terri
565734	176950	Laura Armstrong
565734	187167	Joan
565734	194223	Reston Girl
565734	196376	Gloria
565734	197528	Marcy
565734	264719	Joyce
565734	276803	Blonde Girl
565734	278199	Monique
565734	279427	Cindy
565734	291049	Flight Attendant
565734	294521	Cocktail Waitress
565734	332845	Karen
565734	381296	Hostess
565735	214641	Cafe sequence
565735	227925	Smokey Mountain Laurel
565736	45421	Nancy
565738	147548	Sandra
565738	298056	Sue
565738	369184	
565738	382701	Rita Black (Season 2)
565738	403639	Molly Socket
565739	53039	Timber
565740	336914	Two Two
565741	401740	Pikachu's Jukebox Singer (199
565743	20625	Featured player
565743	67118	Lois Addison
565743	73551	Beauty Operator
565743	185710	Daphne
565743	214964	Alison Wingate
565743	264756	Devil's Familiar
565744	39984	Herself
565745	7618	Tess
565746	112601	Ramiyah
565747	344	June, Toledo Tiger
565747	56727	Ezil
565747	150293	Roxanne
565748	29678	Canary
565748	55978	Cheryl
565748	82710	Mary the Prostitute
565748	199931	
565749	5539	Ann
565749	10351	
565749	16686	Mrs. Axel Gresham
565749	27188	Mrs. Clum
565749	28462	Emily Crocker
565749	84134	Mrs. Kirby
565749	106746	Landlady
565749	108329	Eunice Franklin
565749	122914	Mother
565749	134035	Mrs. Cousins
565749	151229	Clara Phelan
565749	154772	Arlene's Mother
565749	167561	Motel Manager
565749	188625	Apartment Manager
565749	204217	Mrs. Barrett
565749	250458	Mrs. Horrell
565749	277904	Mrs. Harmon
565749	297136	Mrs. Remington
565749	318195	
565749	318810	Mrs. Battle
565749	340843	Nora Efron
565749	361166	Mrs. Thysen
565749	364313	Director of Home
565749	396740	Mary Barrett
565750	331239	Taylor Hamilton
565751	116502	
565752	90880	Sally Dyson
565753	235052	Reporter
565754	136011	Bridesmaid
565754	170843	Nurse
565754	196302	Party Girl
565754	224032	Waitress
565754	240473	Bar Girl #3
565754	302993	Trading post cashier
565754	308110	School Girl
565755	224106	Girl on Street Corner
565756	271611	Mrs. Catherine Macaulay
565757	336730	
565758	209209	Featured Zombie/Showering Wom
565758	209210	Zombie
565759	42870	Lena
565759	118949	Dr. Frankenstein
565759	144489	
565759	168701	Sister Luke
565759	279409	Miss Helen
565759	314157	Baroness Lamarck
565759	368374	Bertha
565759	411926	Claudine
565760	33000	Princess Diana
565760	40684	Suzie De Villiers
565760	47239	Patricia Peters
565760	69812	Henry Finch's Receptionist
565760	73214	Gerta Henkel
565760	103243	Eva
565760	116219	Dana
565760	117556	Jean
565760	120236	Sally
565760	165260	Additional Voices
565760	203358	Pig-Tailed Wrestler
565760	241605	Karen's Business Associate
565760	253081	Antiochus's Daughter
565760	276862	
565760	280191	Katinka
565760	292461	Maya
565760	312196	Sheila the Kangaroo, Princess
565760	396402	Ingrid Nilsen
565761	138024	
565762	7488	Large Woman
565762	88990	
565763	174179	Woman on party #2
565764	165421	Mezzo-soprano
565765	10019	Morth Crary
565766	183824	Arlette
565766	188547	Frau Spitzer
565767	209492	Gun clinic lady
565768	240786	High School Girl at Party
565769	50975	Sad Face Girl
565770	247558	Maddie
565771	81140	Museum Guard
565771	86907	Slim Cassidy
565771	182969	Waitress
565771	230857	Jeannie
565771	359149	Cherry Danish
565772	183213	The Junk Lady
565772	276873	Billina
565772	358803	Billina
565772	379354	Twizzle
565772	387403	Cmdr. Makara [Bloody Mary, UK
565772	389168	Ma Jones/Little Jake (voices)
565772	407871	Mary Falconer/Zelda
565773	354936	Sara (Oxford)
565773	382239	Serena Snowden
565774	62913	Mrs. James Callender
565774	312309	Virginia Spraggins
565775	390344	Entertainment Correspondent
565776	251769	Rosalie Joyce
565776	304786	Jenny
565777	209170	Dancer
565779	322000	
565780	374231	Beautician
565781	105428	Sheila
565782	120848	pigan Maria (episode 1)
565782	171557	Russian woman
565782	315364	Agnes
565782	354607	Vårdare (episode 1)
565783	95945	Lady
565784	34666	'Winky', the Norwich Terrier 
565785	10116	Maria/Anna
565785	15915	Ewa
565785	23839	
565785	49474	
565785	59809	
565785	77093	Grandma
565785	92139	Yepanchina
565785	108992	Kama
565785	132089	
565785	162432	Nadya
565785	172825	
565785	215410	Pharmacist Grazynka
565785	247354	Krzysia Drohojowska
565785	261629	Ewa
565785	268164	Erika Bongert
565785	303703	Med. assistant
565785	312100	Catherine Emmerson
565785	321853	Eva
565785	332390	Milena
565785	343338	
565785	355256	Jagoda
565785	361126	
565785	366596	
565785	369009	
565785	369351	
565785	374232	Ewa Salm
565785	380577	Hanka
565785	381186	Teacher
565785	398874	Barbara Burska (2000-2002)
565785	400449	Helena
565785	404009	Actress
565785	409430	Linda
565786	80897	Danielli
565786	210520	Dancer
565787	81318	Intern
565788	104771	Host
565788	235398	
565788	387959	Herself - Co-Presenter (1996)
565789	401689	Lowri Jenkins/Howarth
565790	135717	Olaug Benningstad
565790	151907	Marte-Marja, kona til Ola
565790	347003	Petrina
565792	12937	Frau Weber
565792	44764	Mrs. Tarrant
565792	94692	Martha (segment "The Black Ca
565792	105597	Young Morgana
565792	161523	Jack's mother
565792	200860	Melissa
565792	224660	Blanche Guizot
565792	281143	Nurse
565792	319023	Old Lady/Blair Daniels
565792	320598	Mrs. Burns-Rizzo
565792	396110	Mrs. Gaffney (1982-1983)
565793	389138	konfirmant
565794	224070	Special Extras
565795	193211	Herself
565796	234511	TV Reporter
565797	40870	
565798	352420	First Maid
565799	11420	Max
565799	42720	Woman at Party
565800	305362	Nurse
565801	107258	Counter Girl
565802	10888	Leader
565802	109449	Sheryl
565802	252993	Victoria
565802	360616	Mary Ellen Resse
565802	366834	Barbara
565803	720	Narrator
565803	55665	
565803	314140	Bank Transfer Clerk
565803	329661	First Fairy
565803	379693	Miriam
565803	384358	Fiona (1990-1991)
565803	385822	Kitty Foreman
565803	399781	Various (1986)
565803	405899	Bernice
565803	406094	Mona
565804	2351	Ingenue
565804	112070	Pancho's wife
565804	133654	Irene Harvey
565804	147663	Dancer
565804	163544	Dancer, Dutch Girl
565804	178015	Salon client
565804	299035	Soubrette 'United States'
565804	372431	Wampas Baby Star
565805	38006	
565805	68276	Hooker #2
565805	72917	Woman at accident (segment "T
565805	130666	Amazon Warrior
565805	174644	Holly
565805	187322	Mrs. Reid
565805	236328	Tourist
565805	317533	Bimbo 1
565805	366868	Bonnie
565806	92301	Jan
565806	257113	Rose
565806	300883	Lucinda/Lady in newsagents
565806	400516	Pat West
565807	144788	Mrs. Arguer
565808	123029	Genmu
565808	123445	American News Anchor, Tokyo A
565808	127779	Girl A, Additional Voices
565808	248708	Angel
565808	262013	Yao Fei Lun
565808	347385	Grace
565808	382908	Sylia's Mother
565808	387457	Emily
565808	388022	Radio Announcer, Saleswoman, 
565808	389778	Kahoru Kaburagi
565808	394421	Inez Frassange
565808	399784	Silvana Greone
565808	402790	Shinobu Miwa
565809	309202	D.O.G. Sister
565810	187811	Girlfriend
565810	208632	Actor Playing Doctor
565810	314108	Dancer
565810	381799	Catherine
565810	382381	Hazel Melrose
565810	383363	Oonagh (The Knight's Tale)
565811	183638	Can-Can Dancer
565811	285660	Loretta Young double
565812	341613	Jeannie
565813	6632	Baroness
565813	25477	Josephine
565813	32948	Laura Bailey
565813	47440	Mrs. Ward Trenton
565813	72605	Gracia
565813	90281	Alma Lane
565813	115638	Estelle Van Arden
565813	133733	Papita Gonzales
565813	141359	Julia Studley
565813	143092	Laurette
565813	152720	Fleur de Lys
565813	186292	Inez Lamont
565813	196413	'The Unknown'
565813	251809	Annabel Lee
565813	258045	Geraldine de Lacy
565813	309847	Pauline Leonard
565813	320417	Dolores
565813	332108	Lullaby Lou
565813	341008	Olga Platanova
565814	67569	Phone Woman
565814	294141	Stacy
565815	31643	Beach girl
565816	241117	Lady Rowena
565817	313788	Performer
565818	89482	
565818	95968	Manka
565818	369008	Celina
565819	13322	
565820	13267	Interviewer
565821	397683	
565822	10277	
565822	26176	Grandmother
565822	29785	Barbora Hlavsová
565822	51040	Old woman
565822	151882	
565822	167022	Katarína Durajová
565822	170989	Vojtová
565822	180576	Aunt Anna Balvínová
565822	258521	Countess
565822	261383	hospodynì Bìta
565822	262817	Magda's mother
565822	268216	Miller's wife
565822	282766	Dvoráková
565822	303698	Jeho matka
565822	306376	Grandmother
565822	324335	
565823	133130	Nurse
565824	91066	Herself
565825	46015	
565826	378049	Silja the ex-wife
565827	400125	Tum'Acanénica's Magister (200
565827	402048	Tum'Acanénica's Magister (200
565827	412178	Tum'Acanénica's Magister (200
565828	57981	Dora's Client
565829	88067	Une religieuse
565830	157078	Girl at a factory
565831	300189	Saskia
565832	381211	Gertrud
565833	129859	Lill-Stina
565834	173270	Various
565834	201219	Various
565834	210153	Various
565834	392555	Sirkka Niska
565834	392605	
565834	400857	Sirkka Niska
565835	278189	Dancer
565836	278350	Rike
565837	33238	Ines
565837	34034	Mia
565837	111768	
565837	164898	
565837	177195	Desposoria
565837	182777	Marie-Sidonie Cressaux
565837	203912	
565837	346997	
565838	344997	
565839	210948	Mendy
565840	392669	
565841	111163	Lena
565841	122484	Teacher
565841	142780	Birgitta
565841	153729	Police Sergeant
565841	153911	Retirement Home Manager
565841	204543	Rektor (episode 1)
565841	204547	Salvation Army soldier
565841	213343	Solveig
565841	244206	Kerstin
565841	378897	Nurse
565841	409853	Elisabeth Rudberg (1987-1988)
565842	198010	Rakel
565842	202828	Sara
565842	303195	Josefin Nyman
565842	401128	Fridolfina
565843	153765	Tess
565843	192659	Guest at celebrity party
565843	275108	Tanja Bengtsdotter
565843	357770	
565843	405553	Siri Karlsson (2002-2003)
565843	408800	Tanja Bengtsdotter (1996-1999
565844	410203	Winner (1999)
565845	240217	
565845	341048	Gari, Pyrans datter
565846	50241	
565846	94351	Ingrid
565846	104253	Madame
565846	108858	Ragnhild, Sjurs d.
565846	136451	
565846	321928	Synnøve Solbakken (alternativ
565846	346963	Mor ti Anders
565846	353031	Helga, Breders datter
565846	390848	Dame på kunstgalleri
565847	235825	
565848	12927	
565848	25043	
565848	70311	Ana
565848	157077	
565848	204751	(segment "A B... de Ouro")
565848	234619	
565848	264389	Ana
565848	292964	Tânia
565848	322222	
565848	344810	(segment "Vingança")
565848	381198	Glória Muller
565848	381633	Telma
565848	381849	
565848	385030	Isadora
565848	387424	Vanda
565848	387777	Roberta
565848	388565	Rosita
565848	389887	Janete
565848	397415	Lívia
565848	400444	Zilda
565848	400656	Francisca Matoso
565848	402424	Noêmia
565848	404078	Laura
565848	408330	Jacqueline
565848	411932	Herself
565849	155516	Laure
565849	377241	Irène
565850	73075	Martine (la bonne)
565850	125463	
565850	147438	
565850	148709	Maria
565850	218196	La mariée
565850	224879	Sylvette
565850	294555	Monica
565850	307617	Micheline
565850	337030	
565850	343574	Cerise
565850	379841	
565850	387061	Zibbede
565850	402177	Virginie
565851	351710	Enfant
565852	190628	Old woman in the bus
565853	12146	Paola
565853	17744	Laura
565853	25516	Yvonne Pascal
565853	57870	Ana Muro
565853	76115	
565853	76117	Zonia
565853	96329	Mara
565853	100370	Eileen
565853	172974	Teacher
565853	221753	
565853	221908	Faby
565853	236458	Valeria
565853	253779	
565853	257418	Giselle
565853	302375	
565853	318238	
565853	376858	
565853	378799	Ana Pandolfi
565853	391440	
565853	395871	Simona Teglia
565853	408204	
565854	188684	
565855	26253	
565855	57294	Madame Lafleur
565855	112824	
565855	176641	
565855	217212	
565856	23865	
565856	148707	
565857	7441	Deuxième bébé Yvette
565858	355971	Hélène
565859	7462	Virginie Marcorelle
565860	346518	Muriel Danys
565860	377058	La rousse en noir
565861	20340	
565862	112813	Een religieuze/Une réligieuse
565862	283129	
565863	69343	Une paysanne
565863	188917	Annette
565863	266242	Marie-Thérèse
565863	321255	
565863	346561	Nicky
565864	357079	Janine, la seconde jeune fill
565865	55066	Louise Liégeois
565865	118595	
565866	431	
565866	85515	
565866	131127	
565866	211047	
565866	386523	Paula dos Santos Vieira
565867	276625	Speaker
565868	302175	
565869	12103	
565869	12847	Marianne
565869	314716	
565869	347614	
565869	347814	Frau Quaas
565870	303224	Malin
565871	19035	Hellas Mutter
565872	181736	Fru Holm
565872	184677	Kisser
565872	213336	Oda
565872	255665	
565872	287376	Kvinden
565872	303747	Ketty
565872	354739	Linda
565872	403380	Mary's Mother
565873	108051	Party Guest
565873	200027	
565873	241973	Herself
565873	264282	Zaza Bjumwolff, hans kone
565873	354882	Herself
565873	386347	Herself (episode 1.6 "1970-19
565874	234826	Nonne/Nun
565875	108169	
565876	33511	Anne
565876	163015	
565876	367991	
565877	30160	Gæst ved Esters konfirmation
565877	40694	
565877	108173	Nabo
565877	115384	Karin
565877	120305	Fru Sørensen
565877	120857	Præst
565877	145624	Lille
565877	168921	Female devil
565877	175087	Per Goldschmidt
565877	181736	Fru Bisgård
565877	203964	Sygeplejerske
565877	240099	Fie
565877	240102	Fie
565877	249743	Studine
565877	276465	
565877	303747	Parkbetjent
565877	305010	Maja
565877	309292	Ane Kokkepige
565877	342076	Gudrun
565877	343945	Stuepigen Hjørdis
565877	354365	Viktors mor
565877	354739	Tenna
565877	382884	Jomfru Jensen
565877	395115	Vera Hansen (1995-1996)
565877	397074	Arnold Vinter's girlfriend
565878	117054	
565878	237076	
565879	400118	Klassekammerat (Classmate)
565880	403537	Participant (1999)
565881	15333	
565881	24987	La Característica
565881	52943	Doña Luisa
565881	58137	
565881	59251	
565881	81409	
565881	88797	
565881	94588	
565881	102336	
565881	199831	Tía Concha/Zia Concha
565881	209073	Madre de Rosita
565881	212385	
565881	219223	Doña Teresa
565881	243721	Sabel
565881	267405	Sra. Lamberti
565881	277234	
565881	291690	
565881	306681	Madame Duvall
565881	322411	
565881	326338	La directora
565881	328864	Antonia
565881	353600	Doña Encarnación
565881	378040	
565882	132812	La fille
565882	202090	La femme à l'hygiène irréproc
565882	259009	
565882	261756	
565882	337735	Angèle Lantier
565883	54788	Christy Dyer
565883	64944	Angie Hart
565883	128862	Jenn
565883	132181	Louise
565883	176833	Natalie Behrens
565883	220023	
565883	235651	Muriel
565883	287133	
565883	331664	Intern #2
565883	344484	Cloë
565883	358985	Debbie Morin
565883	362834	Sophie
565883	380013	Mara
565883	384367	Angie Hart
565883	388869	Ellen Fisher (episodes 5-26)
565883	405133	
565883	405133	Tracey
565883	406654	
565884	51396	Marie
565884	65168	Françoise
565884	83231	Le docteur du contrôle anti-d
565884	86433	Cochise's wife
565884	93875	Théo
565884	136496	
565884	160819	
565884	161445	Lucie
565884	161661	L'aubergiste
565884	201114	Le spermatologue
565884	202090	La mère d'Annie
565884	217724	Mme Vadino
565884	275381	
565884	288900	Reine
565884	332200	Cécile Grunebaum
565884	345261	
565884	346522	Évelyne
565884	354576	Viviane Froment
565884	376938	Mme Moreau
565884	376972	Francine Lopez
565884	387617	Arlette Brissac
565886	104742	German entry (8th place)
565887	119163	
565887	119677	
565887	175324	Aeltere Frau (Old woman)
565887	175777	
565887	194378	Wirtin
565887	204757	Frau Hartmann
565887	214672	
565887	252325	Ulrike
565887	261480	Frau Gent
565887	304163	
565887	325516	
565887	325552	
565887	325953	
565887	347618	
565887	409958	Erna Prozeski (1997-1998)
565888	132540	
565889	366577	
565890	259674	
565891	227778	
565892	189861	Herself
565893	374143	Micha
565894	112774	
565895	2063	Ingrids mor
565895	78510	
565895	83090	
565895	96455	
565895	104740	Danish entry (7th place)
565895	108173	Fru Nielsen
565895	109298	Fru Andersen
565895	129271	Farmor
565895	144576	
565895	154142	Syngepige
565895	182602	Værtinde
565895	182604	Clotilde
565895	203398	Servitrice på morgenbeværtnin
565895	209328	Harpenistinde i 1740
565895	216993	1. kvinde
565895	235025	Offerpræstinde
565895	255671	Sangerinde
565895	303690	
565895	305861	Mormor
565895	321762	
565895	322680	Grethe
565895	334079	
565895	341115	
565895	341116	
565895	341117	
565895	360846	Tove
565895	408597	Fru Hittestrup
565897	305549	
565898	229414	Linda
565899	132874	Herself (performing 'Krøller 
565899	170828	Rita
565899	170829	Rita
565899	182458	
565899	195476	Vibeke
565899	229414	
565899	291615	Maya
565899	315388	Singer
565899	321671	Anna
565899	406569	Herself - Member of jury (200
565899	407264	Herself - Singer
565899	409339	Miriam Collin
565900	713	Steffi
565900	15916	Junkie-Mädchen
565900	25939	Johanna
565900	33460	Martina
565900	34292	Vanessa
565900	91125	Kathi Wirnshofer
565900	98259	Heidrun 'Mausi' Lissmann
565900	98280	
565900	125105	Doreen Seger
565900	155264	Eleni
565900	155374	Melanie Probst
565900	155399	Nina Jung
565900	178678	Jana
565900	216318	Carolin
565900	219276	Susann
565900	290571	Donna Huse
565900	313650	Klara Dahl
565900	317610	Julia Koch
565900	325439	Lisa Seewald
565900	325633	Nadine
565900	355241	Maria Stenzel
565900	359621	Friseuse
565901	337555	
565902	28566	Stewardess
565902	111747	Polizistin
565902	409625	Rebecca Mattern (1997-)
565903	239152	Reibekuchen-Verkäuferin
565904	35046	
565905	354861	Guard
565906	386981	Sarah
565907	95277	
565907	360654	Luise
565907	377351	
565908	1587	
565908	33237	
565908	54581	Princess Jana
565908	67615	Linda Robinson
565908	78610	Chloe
565908	84558	Herself
565908	98136	Mrs. Anna Montaigne
565908	98252	
565908	104738	German entry (9th place)
565908	111339	Dalli
565908	119434	Inge
565908	121038	Dalli
565908	121061	Inge
565908	126408	
565908	141947	Sternchen
565908	142256	Marianne Kleinschmidt
565908	147159	Dalli
565908	151659	Dr. Winifred Sisters
565908	156992	
565908	178662	Beamte
565908	203224	
565908	225227	Dalli
565908	239015	Monika Petermann
565908	239115	Bixi
565908	280797	
565908	290121	
565908	290747	Hilda
565908	307245	Cora, Kunstreiterin
565908	325777	Herself
565908	343498	
565908	350877	Tochter Bixi Keller
565908	352073	Tonia Anders
565908	353380	Herself
565908	375087	Arsena
565908	376446	Brigitte 'Dalli' Voss
565908	392086	
565908	402046	
565909	259663	
565910	294840	Mrs. Rosenberg
565911	288830	Child at Bay
565912	100990	Inga
565912	156983	
565912	279676	Gisela, Anhalterin
565913	107334	Mademoiselle
565913	145502	Juanita, danser på resturant
565914	144140	
565916	153214	Sister Shen
565917	286369	Fatoma
565918	31548	
565919	236627	Inang
565920	113209	
565921	390076	
565922	17391	
565922	33845	Irmã de Pedro
565922	48783	
565922	56068	Louise
565922	68609	
565922	216214	Bebel
565922	245480	
565922	322256	Nun
565922	351269	(segment "Samba do Grande Amo
565922	352160	
565922	381523	Raio de Luar
565922	385025	Lucinha
565922	386727	
565922	401243	Maria Doida
565922	404960	Rute
565922	405990	Anita
565922	411585	Elisa
565923	72727	Evita
565923	137411	Julie
565923	138544	
565923	160050	Offender at Police Station
565923	189686	Monica Richter
565923	202785	
565923	259632	Rosalie
565923	345676	Katherine
565923	389250	Lissy von Frankenberg
565923	394903	Lisa Fischer
565924	340320	Troop Photographer
565925	126619	Extra Talent (segment "Gett O
565926	15888	Gertrud Schanzkowsky
565926	155435	Frau Ahlers
565926	156067	
565926	186935	Irmgard
565926	317365	
565926	322531	
565927	394967	Damini Gautam Virani
565928	202100	Malaika's Child
565928	342688	
565929	261226	
565931	88247	
565932	47915	Student
565933	234515	Dr. Batiste
565934	315598	Anya Taranda
565934	389237	Gabrielle Letourneau
565934	396520	
565935	160188	Nazife
565935	378599	Rüya
565935	380562	
565936	25595	
565936	30523	
565936	39088	
565936	136707	
565936	156073	Seref
565936	189053	Leyla
565936	275757	
565936	285252	
565936	303056	
565936	370796	
565936	378203	
565936	412002	
565937	100270	
565938	49271	
565938	86101	Sophie
565938	141959	Adelheid
565938	171846	Anna
565938	180704	Christina
565938	182144	Laura
565938	301655	Marie
565938	325413	Theresa
565938	325461	Jutta
565938	325529	Margret Hofmeister
565938	361140	Maike Kröger
565938	376130	
565938	388798	Corinne
565939	62932	Karen
565939	73829	Davina
565939	178189	Extra
565939	196110	
565939	280666	Chloe
565939	292335	Rebecca
565939	316191	Katie
565939	383224	Emma
565940	205782	Editor
565941	411680	Dana
565942	35865	Marie
565942	221870	Teacher Krásová
565942	229558	Otylka
565942	282766	Helena Králová
565943	301506	
565944	86610	
565945	351020	
565946	15060	
565946	168799	La patissière
565946	345185	Josyane
565946	345563	
565946	353824	La Mère des Alsaciens
565946	377630	Cerise
565946	399164	
565946	401931	Victoire Langeac
565947	65086	
565947	116473	La fleuriste
565948	32855	Kmetica
565948	165719	Postarna gospodicna
565948	196835	
565948	225970	Travnikarica
565948	227826	Grandmother
565948	229005	Mrs.Kocjan
565948	229018	Farmeress
565948	270816	
565948	320640	Geta
565948	333794	Debela opravljivka
565948	339287	
565948	352814	Mrs. Kocjan
565949	87166	Group Rehearsing In Hallway
565950	30092	
565950	50820	
565950	75502	
565950	97146	
565950	238813	
565950	294688	
565950	337562	Ana
565950	337742	Femme Wagon
565951	300840	Duchess' Guest
565952	6739	Gloria
565952	6743	Nina
565952	15112	Bellissima
565952	20402	The widow
565952	30723	Enrichetta
565952	36460	Poppaea
565952	43994	Secretary
565952	51691	Bikini girl
565952	54155	Guendalina
565952	55544	
565952	66218	
565952	67175	Soledad
565952	73640	Xenia
565952	82434	
565952	89830	
565952	90664	L'amica di Marcani (segment "
565952	92074	Tonino
565952	116633	
565952	124584	Mara
565952	125121	Anna
565952	125840	Angelina
565952	155585	(segment "Prima notte, La")
565952	157207	Irina
565952	159449	Zanetta
565952	210917	Egle
565952	230001	
565952	230004	Poppea
565952	236620	
565952	253713	
565952	254965	Lucrezia Borgia
565952	266150	
565952	275504	Rea Silvia
565952	289348	Monique
565952	300785	
565952	303179	Maria
565952	332251	Victoria
565952	352231	Marchesa di pepara
565952	354471	Fina
565952	402782	Amante del Professore di ital
565953	12210	Madre Simone
565953	200075	
565953	409936	Costanza De Caro
565954	200993	Red Porsche Girl No. 2
565954	346006	Big Sal's Girlfriend
565955	81517	(segment "Storytellers")
565955	127931	Luisa Stoppani, Gian's sister
565955	135150	
565955	158768	Nicole
565955	200440	
565955	229997	Sara Dunn
565955	341485	
565955	351585	Lauretta (segment "Come conqu
565956	189258	Commessa di boutique
565957	331496	
565958	188453	Control Girl
565959	14378	
565961	17622	Maria Corti
565961	136128	Lexi's Birthday Party Dancer
565962	313046	Customer in Cafe #3
565963	208041	Rose
565964	105318	
565965	229613	
565966	207838	'Eew!' Girl
565967	253627	Geneviève
565968	80897	Ramona
565968	95496	Carrie Bishop
565968	140187	
565968	254625	Glory Pennamin, Lace's Daught
565968	341680	Zoe Brussard
565968	391485	Lila Sawyer (1997-)
565969	40603	Diner
565970	149828	Helen Laws
565971	52190	
565972	52988	Motoquera
565973	141954	
565973	230087	Ärztin im Psychiatr. Krankenh
565973	300969	Frau Kraft
565973	352372	
565973	390811	
565973	410813	
565975	158926	Missy
565976	302110	Susan Riding
565976	383953	Odette
565977	116053	Aardvark Fan
565977	167704	Hostess
565977	327292	The Woman
565978	189831	
565978	252325	Amalie
565978	316418	Drahousek
565979	326344	
565980	16348	Bersi
565980	131199	Vittoria
565980	213319	Hermia
565980	213584	Pitti-Sing
565980	281975	Annina
565981	323017	
565981	323019	Jean Taggart
565981	323026	Jean Taggart
565981	407105	Gail Munro (1974-75)
565981	407365	Jean Taggart (1983-95)
565981	407414	Miss Symonds
565982	65370	Angela
565982	96113	Research Assistant
565982	363939	Caroline
565983	16672	
565983	144863	Glenda Beattie
565983	145707	Judy
565983	293020	Verna Taylor
565983	360279	Mrs. Drysdale
565984	230127	Violin Player
565985	137577	Hospital Police Officer
565985	185503	Dorothy
565985	323387	Protestor
565985	375757	Train Traveller
565986	144868	Presenter
565986	144869	Mag & Turbo Girl #3
565987	291411	Herself
565987	291412	Herself
565988	117956	Leanne
565988	139219	Nurse
565988	185277	Zoe Hannon
565988	215885	Danielle
565988	254479	Charlotte
565988	256612	Sarah
565988	280477	Anna Peterson
565988	303391	
565988	327145	Genevieve Snow
565988	391128	Vanessa
565988	391486	Elaine Kelly
565988	391869	Alyce (1988)
565988	399130	Gemma Ramsay (1990-1991)
565988	403938	Nancy
565988	404695	Beth
565989	147974	Tracy
565990	193236	Alex's Girl
565991	336242	Herself
565992	35610	Herself
565993	52431	Vera, the Maid
565993	59610	Alice Perkins (maid)
565993	78957	
565993	143651	Enid
565993	154230	Stella's Maid
565993	161897	Sophia
565993	191962	Susan, Parlor Maid
565993	193007	Servant Girl
565993	195968	English Department Store Girl
565993	224711	Mrs. Tisher
565993	253898	Madame Pasquier
565993	273251	Maid at Party
565993	278727	Daphne
565993	308628	
565993	321794	Bit Part
565993	330606	Miss Stanby
565994	73115	Camille
565994	106628	Meg
565995	20135	Las Vegas Lady (segment "Lieb
565996	35812	Dream Child
565996	185684	Swimmer at pool
565996	316953	Columbia town resident
565996	321213	Girl at the battlefield
565997	406459	Herself/Starting Over roommat
565998	55193	Micaëla
565998	85703	Blanche de la Force
565998	184122	Ellen
565999	223326	
566000	8961	
566000	368449	Lillian Kafritz
566001	81790	
566001	230354	Betty
566002	133401	Dancer
566002	275522	Julia Bard
566002	296552	Dancer
566003	157931	Ranger #1
566003	261564	Pineview woman
566004	380391	Marley Love Marnie Stone #3 (
566004	380713	Vicky McKinnon (1999-2000) (2
566004	389858	Melissa Bedford, R. N. #2 (20
566004	400236	Sarah Gordon Buchanan (#1) (1
566004	401930	Milissa Bedford, R. N. (2001-
566005	321678	Venus in Furs Diva
566006	408623	Herself
566007	40864	Nick Cave Fan
566007	276249	Sykes
566008	404945	Narrator
566008	405088	Prisoner
566009	1729	Performer
566009	3251	Performer
566009	3252	Herself - Performer
566009	47173	Performer/Herself
566009	170848	Herself - Performer (performi
566009	212026	Herself/Performer
566009	221424	Presenter
566009	249591	Performer
566009	376098	Herself - Performer
566010	294060	Charlene
566010	300326	Eve
566011	113294	Tennis Player
566011	167671	Gala Girl
566012	165558	High School Girl
566013	278712	Cheryl Ellis
566014	241624	Katinka Serajew
566015	364459	Barney's Beauty
566016	61385	Monica
566016	168645	Lawanda Wade
566016	327405	Dolores
566016	337384	President's mistress
566017	107792	First Aztec Woman
566018	81867	Herself
566018	190318	Herself
566018	214971	Another Mother
566019	25364	Mrs. Parker
566020	46133	Margaret Wishart
566020	186463	Mrs. McKellaig
566020	200073	Sarah
566020	321656	
566021	263609	Jessie Chambers
566022	68693	Dowager
566022	129092	Bag Lady
566022	144950	Great Aunt Man
566022	150642	Ruby Colonic
566022	161918	Miss Hood
566023	203698	The Operator
566024	18792	
566025	379925	Herself
566026	55262	
566026	158866	
566026	163000	Mary Ann Saunders
566026	188659	
566026	217904	Emanuela
566026	238002	Karin Hale
566026	259699	Silvia Polvesi
566026	295176	
566026	328045	Judy
566026	353064	Vera
566026	375686	Susan Kelly
566027	119803	Model
566027	124224	Announcer
566027	308382	Raider
566027	343160	Showgirl
566028	88988	Jane Gilmour
566028	131632	
566028	144785	Debbie Lomax
566028	223758	Mary Anne
566028	224659	Kate
566028	257465	Jenny Nelson
566028	283336	Cathy
566028	283367	Rebecca
566028	388977	Rebecca Owens
566028	391486	Debbie Kelly (1986-1990)
566028	400646	Laura Harris/Anna Dodwell
566028	402718	Rebecca Owens
566028	403938	Jemma McLeod
566028	404695	Simone
566028	405960	Donna Jackson (1984-1985)
566029	209501	
566030	229314	
566031	55046	Victoria
566031	255872	
566031	286687	Danny's Girlfriend
566031	394478	Jane
566032	55785	Betty
566032	202366	Rocket Scientist
566032	231893	Baby Doll
566033	223326	Charlotte
566034	196110	
566035	314135	Woman
566036	43598	
566037	311261	Suzi
566037	377050	Manon (5 ans)
566038	9494	Elegant lady
566038	134782	
566038	144135	Die vier Marien
566038	156987	
566038	178626	
566038	204501	Swea
566038	210077	
566038	219702	
566038	254667	
566038	275190	
566038	290802	
566039	234826	Pige/Girl
566040	51295	Lisemette
566041	162229	
566041	236812	Karin
566042	31638	Birgit
566042	102909	Sonja
566042	102968	Sybille
566042	391604	Doris Koschinski (1998-1999)
566043	313334	Bar Patron
566044	345905	
566045	4752	
566045	24322	Katarina Egerman
566045	78301	
566045	99262	Euphemie
566045	100973	Heimleiterin
566045	120331	
566045	129493	
566045	159479	Frieda Uhl
566045	184398	Lore
566045	189683	
566045	225319	Ninette
566045	231455	Susan
566045	270415	Birgit Manholt
566045	273668	Eliza
566045	281734	Anne Priestley
566045	286405	Waitress
566045	289854	
566045	338435	Vera Winkelmann
566045	338598	
566045	347506	Fraulein Kowitl
566045	352549	
566045	365695	
566045	388468	
566045	403795	Sister Peregrina
566045	404183	Emma von Mitzko
566045	409990	
566046	133816	Tango Dancer
566047	360708	
566048	17315	
566048	59328	
566048	98204	
566048	290720	
566048	359634	
566049	17049	Mrs. Ellis
566049	119254	
566049	179913	
566049	352525	Frieda
566049	361042	
566049	379174	Käthe
566051	211808	Elisabeth
566051	345035	Cécile
566052	196536	Hannah
566053	82357	Dronette at work
566054	273826	Whorehouse Patron
566055	332728	Herself
566057	132898	Marina
566057	159210	Marianne
566058	88177	Gennie de Persand
566059	265724	
566060	24400	Ireen Flame
566060	41388	Victim
566060	66891	Carmela
566060	142195	Nina
566060	180877	Sabine König
566060	286318	Ursula
566060	344606	Teresa
566061	30385	
566061	82650	Eva
566061	266504	
566061	312063	
566061	365911	Romi
566062	43234	Barwirtin
566062	155479	Ulla
566062	288498	Irmgart von Witzleben
566063	110114	
566064	155384	Girl
566064	399175	
566066	215697	Miss Denmark
566067	354683	Prisoner
566069	77852	Dana (Jason's Dance Partner)
566069	161791	Waitress
566070	23111	
566070	189708	Dinah
566070	310181	Television announcer (Voice)
566070	399176	
566071	284125	
566072	12217	Arizona Housekeeper
566073	91404	
566074	14821	
566075	307468	Vincente
566076	142615	
566077	57747	Biker
566078	321559	Dresden Lady
566079	389869	Keiko/Masami's Mom/Mother in 
566080	316173	Amy
566081	365587	
566082	352571	
566083	119035	
566083	138814	
566083	275049	Mausi
566084	91234	Herself
566084	348303	WMIA Makeup Woman
566085	208630	
566086	301085	Saeuglingsschwester
566087	386518	WDC Ann Foster (1967-1968)
566088	125148	
566088	155367	
566088	198004	Susanne
566088	219713	Darja
566088	290820	Annelies
566088	367232	Lissa
566088	374557	Frau Burgl
566089	196281	Witchy Woman
566089	214917	Scotty's Grandmother
566089	333055	Supermarket Customer
566090	91521	Karin Annell, office clerk
566090	174697	Guest at Berns
566091	94230	Policewoman
566092	284477	Kacenka
566093	34390	
566093	68927	
566093	84627	Marguerite
566094	375439	Adela Nieczajówna
566095	66075	
566096	242675	Araceli
566097	379614	Teresa Aguayo
566097	379834	Carmelina
566097	380084	Olivia
566097	380095	Elena
566097	380104	Gloria
566097	380107	
566097	384870	
566097	395885	Irene Ruelas
566097	396713	Gertrudis Rivero
566097	402404	Eloísa
566097	403885	Carla de Cárdenas
566097	404851	Eva
566097	412192	Yolanda Rivas
566098	12263	
566098	42613	
566098	62331	Coana Chirita
566098	74893	
566098	76081	
566098	80114	
566098	81628	
566098	88873	
566098	106203	Isoscel
566098	132433	
566098	159656	
566098	162102	
566098	189397	Isoscel
566098	198661	
566098	248523	
566098	263765	
566098	267178	
566098	291040	
566098	296350	
566098	333871	Doica
566098	351197	
566099	314853	Nun
566100	298425	
566101	254774	Slave
566102	128350	Attractive Woman at Scholarsh
566103	234984	Agnes Ray
566104	385218	Herself
566105	275169	Dame 3
566106	135800	Coheela
566108	112005	Sister
566109	145046	Asian technician
566110	130172	Mrs. Miller
566110	143018	Lucy Mallory
566110	196271	Lucy Mallory
566110	309272	Grace Carroll
566110	328818	Thome's Sister
566111	134290	Ailie
566112	109387	Herself (Vogue Editor)
566113	93831	Maid for John & Leslie
566114	388264	Herself (Series 1) (2002)
566115	185524	Hotel Clerk
566116	117633	The Child Mimsi
566116	183759	Telephone Operator
566117	263742	Eve
566118	354519	Milly Hughes
566119	1870	Deanne
566119	52656	Judy
566119	113685	Parole Officier
566119	141399	Sandy
566119	157436	Classroom Student
566119	314700	Gorge
566119	366585	Samantha
566119	381868	Brigid McNamara
566120	112205	Zorg's Secretary
566120	272018	
566121	330476	Sara
566122	71740	Herself
566122	296374	Herself
566122	360329	Major Gunns
566122	410688	Major Gunns (2000-2001)
566122	411601	Major Gunns (2001-)
566123	5152	Sheila Gaskin
566123	80786	Randi
566124	342669	Bar patron
566125	337107	Mary Graham
566126	65184	Clarence's classmate
566127	378819	Jenny Porter (II) (1993-1999)
566127	390523	Natasha Stevens (1992-1993)
566127	406492	Katy Bell
566128	390523	Natalie Stevens (1990-1993)
566128	391786	Julie Matthews (1995-1997, 20
566130	110399	
566131	25364	Gail
566132	24304	
566132	25404	
566132	43554	
566132	46256	
566132	54495	
566132	117178	
566132	118535	
566132	120486	
566132	150799	
566132	150821	
566132	158188	
566132	186374	
566132	189311	
566132	190050	
566132	203772	
566132	220320	
566132	282924	
566132	294039	
566132	300306	
566132	320951	
566132	361064	
566132	363831	
566134	71682	Margaret Harcourt
566134	96817	Sister of Mercy
566134	273943	The Bishop's Secretary
566134	407587	Lampart's secretary
566135	7873	Dixie Rose Blossom
566135	56139	Prostitute
566135	63034	Miss Pettypass, Baxter's Secr
566135	96989	Poetess
566135	183706	Miss Shawn
566135	183759	Mrs. Harper
566135	188405	Sue, a Teacher
566135	190268	
566135	210705	Miss Ross (McLean's secretary
566135	212213	Skinner's Secretary
566135	214955	Nurse
566135	215469	Madam Sylvia
566135	218734	
566135	262265	Nursemaid in park
566135	318607	Mrs. Sullivan
566135	355082	Guest
566135	367511	Estelle, Girl in Top Hat for 
566136	18615	Dress Woman
566136	96716	Miss Arnold
566136	131896	Mrs. Burns
566136	234225	Secretary
566136	243217	Bit
566137	85815	
566138	283230	Ray's Regular #3
566139	283230	Ray's Regular 3
566140	203535	Lady in audience
566141	292229	Dream Demon
566141	392970	Echo
566142	305514	
566143	41261	Serving Wench
566143	54612	
566143	116391	
566143	120290	Pretty Girl
566143	175101	Christine Keeler
566143	215939	
566143	222635	Vicky Woolf
566143	231127	Mario's Girl Friend
566143	244872	Woman
566143	269684	Jean Forbes
566143	281413	Girl at Window
566143	287999	Sapphire
566143	302834	Miss Russell
566143	327279	Mina
566143	348645	Gwen
566144	399794	Host (1998)
566145	241538	
566147	328079	
566148	316410	Baby Mary Hempel
566149	39158	Susana
566149	351533	Mrs. Claus
566150	88863	Mary (Janet's maid)
566150	128619	Bit
566150	134120	Nurse
566150	192047	Nurse
566150	214942	Nurse
566150	224711	Mrs. Tope
566150	233791	Marcia's Maid
566150	233825	
566150	243217	Matron
566150	254654	Elsie
566150	278276	Mrs. Kellogg
566150	302887	Emma
566150	315869	Mother
566150	329041	Mary, A Nurse
566150	330686	Junior's Mother
566150	330837	Anna
566150	361543	Yogami's Housekeeper
566150	362365	Nana, Jackie's Nursemaid
566150	363960	Supervisor
566150	367686	Nurse Getting Mirror
566150	367919	Woman
566151	57139	Hazel
566151	308038	Hazel
566152	37781	Girl
566153	109395	Seven
566154	367299	Mrs. Grover
566154	395924	Dulcie Medhurst
566155	195400	Show-tune Girl
566155	208455	Monique Wilson
566156	304757	Leslie
566157	73962	Sarah Miller Spriggs
566158	46524	Kelly Armstrong
566158	90793	Patient
566158	95487	Woman
566158	195549	Jade DeLarouge
566159	289366	Carla Wilson
566160	110561	Erin, the godess
566160	194483	Erin, the Goddess
566161	2771	Herself/Performer/Nominee
566161	5903	Herself
566161	18028	Kathy
566161	26473	Wanda
566161	35145	Dr. Jan Galanti
566161	42446	Mrs. Lawson
566161	43724	Mrs. Parker, Bonnie's Mother
566161	47382	
566161	47385	Herself
566161	47386	
566161	55625	Miss Collins
566161	73560	Dr. Margaret Ludlow
566161	98157	Herself
566161	107440	
566161	119018	Sondra Walker
566161	121845	Margaret Nolan
566161	161198	Narrator
566161	161251	Narrator
566161	161396	Narrator
566161	175525	Herself
566161	185712	Maxine Black
566161	199129	Narrator
566161	222308	Let
566161	234849	
566161	243228	Barbara Slaner
566161	271198	Beverly Goldring
566161	277875	
566161	281997	Ella
566161	282846	Rosie
566161	286341	Herself
566161	302256	Aunt Stella
566161	302698	Herself
566161	308489	Herself
566161	313771	Herself
566161	323563	Lillian Robinson
566161	327840	Dixie
566161	331697	Nancy Grier
566161	365443	Leah
566161	369336	Virginia Earp
566161	372897	Herself - Hostess
566161	387374	Sandra Sue 'Abby' Abbott Brad
566161	387987	Mrs. Bradford
566161	400621	Suzanne Fitzgerald (2001-2003
566162	65099	Salon client 1
566162	68225	Madame Aurevoir
566162	92095	Journalist #2 (Susan)
566163	11191	Mrs.Hall
566163	104857	Pay Clerk
566163	187048	Joan
566163	257511	Enid
566163	273246	1st Woman
566163	319176	Woman in Flats
566163	331226	Woman in Supermarket
566163	385299	Agnes Bickley
566164	293383	Nurse Doctor Larabee
566165	16885	Danish Girl
566165	158449	Sheila Howes
566165	363392	Susan
566165	387649	Amy Tustin
566165	411012	Barbara
566166	192748	Pat & Judith's Waitress
566167	9255	DS Shannon Shilabeer
566167	101462	Land Army Girl
566167	132122	May
566167	142929	Anne's Lady in Waiting 2
566167	195300	Jamie's sister
566167	208632	IVF Surgeon
566167	345746	Magda Goebbels
566168	392996	Presenter (2001-2002)
566169	93826	
566170	35720	Herself
566171	383433	Presenter
566171	391778	Presenter (2004-)
566172	408261	Lesley
566173	110273	Miss Bamett
566173	401350	Joanne Walker
566174	340459	Debbie Rinzler
566175	269355	French Journalist
566176	20625	Extra
566177	342871	Woman at dog wash
566178	382289	Elena
566178	389464	Prince Of Yuki Fan Girl #2, C
566178	411884	Shizuru Kuwabara
566179	368675	Donna
566180	46424	Principal
566180	194210	Herself
566181	54655	
566181	154478	Camera girl
566181	214143	June Chandler
566181	271106	Janet Clayton
566181	312821	Kate Crocker
566181	336809	Helen
566182	202252	
566182	315690	
566183	41797	Samantha
566184	380911	Herself - 9th Place (2003)
566185	295002	
566185	386615	Ms. Fluffe' (1993-1005)
566185	404897	Betty Lou (1970-198?)/Additio
566186	214475	
566187	125884	Mother
566188	150490	Commissioner's Wife
566189	24527	Customer Two
566190	26878	
566190	35310	Betty
566190	68778	
566190	78639	Joan
566190	83152	
566190	142595	
566190	146309	
566190	148981	
566190	157632	
566190	219959	
566190	246605	
566190	260246	
566190	277614	
566190	283467	
566190	285065	
566190	347857	
566190	362409	
566190	367938	
566191	1470	Andrew's Mom
566192	153617	Woman on boat
566193	286045	Herself
566193	346119	Jane
566193	382207	Herself - Panellist
566193	390335	Herself-Parenting Segments
566193	401968	Herself (2004-)
566193	404149	Herself - Hostess (1994-1999)
566194	185238	Mrs. Everingham
566195	268223	
566196	140192	First Mrs. Crain
566196	349404	Airport Annoncer
566197	17533	Anna
566197	82357	The Wife
566198	124017	Young Woman
566198	291979	Marie
566198	303562	Jen
566199	394269	Carol Ross
566200	170411	Coffee bar waitress
566200	312936	Eva Braun
566201	231127	Hester's Girl Friend
566202	235541	Dancer
566202	270607	Mrs. Frank Clay
566202	327437	Dancer
566203	411509	Herself - Correspondent (1989
566204	40773	Barmaid
566204	46154	Alpha Teacher
566204	53960	Jill Rivers, Lamborghini Babe
566204	81065	Jane Guston
566204	139698	Sandy
566204	149362	Debbie
566204	203198	Polly Primer
566204	230427	Sacrificed Punkette
566204	234706	
566204	280665	Coaster Attendant
566204	301677	Mother (Ellie Chapman)
566204	301681	Mother
566204	306300	Colleen
566204	315199	Olivia de Carl
566204	328258	Mrs. Stacey Karrothers
566204	343263	Angel
566204	369912	Dr. Julie Casserly
566204	385824	Norma Kirkland (1984-1985)
566204	391069	Starlet
566204	397866	Brandy (1980-)
566205	359715	Ashley
566206	302143	Beyle
566207	147980	Zoe
566208	145291	Louise
566209	200604	Czardas Dancers/The Ballerina
566210	37391	Mo
566210	141695	Lt. Brockton
566210	347100	Emma
566211	395778	
566211	409940	Host
566212	190854	Joy
566213	318823	Amber Starr
566214	13365	Jean Harlow
566214	80709	Vicky Anderson
566214	133401	Patty Simcox
566214	276635	Janice
566214	352961	Herself/Patty Simcox
566214	381571	Herself/Patty
566214	391055	George Fayne (1978)
566214	410963	Lucy Davis
566215	348237	Party Girl
566216	235472	Cheryl
566217	92911	
566217	292974	Zucka
566218	128291	Mrs. Bartling
566218	150880	Mrs. Foot
566219	120032	Sonja
566219	360959	
566220	37659	Courtney Goodwyn
566221	253342	Elaine Hochman
566221	253356	Waitress
566221	292452	
566221	342623	Secretary
566222	291482	
566223	21557	
566224	111373	The assistant of the kidnappe
566224	148141	Stripteaseuse
566224	169296	Marie Bucquoy
566225	10933	Jiffy's Mom
566227	231362	Young Girl
566227	364983	
566228	181358	Klu-Klu
566229	197324	Dying Girl
566230	364971	
566231	174880	Angela
566233	289920	Baronin James
566234	359684	Dennis
566235	29656	
566235	70774	Aniuta's Aunt
566235	95953	
566235	95968	Franka's Mother
566235	133185	Mother Bogutowna
566235	162205	Nowakowa
566235	166614	
566235	172825	Nun
566235	174931	
566235	181361	Maciejowa
566235	181384	
566235	217217	The Cook
566235	247351	Townswoman
566235	265335	Estate Housekeeper
566235	311770	Mrs. Madecka
566235	312984	Gustlikowa
566235	315814	Sikorzanka
566235	341073	Aunt Betsy
566235	343299	Petronela
566235	344047	Grandmother
566235	367105	
566235	375469	Prokop's Daughter
566236	265335	
566237	230947	Board Member
566238	203402	Teutonian girl
566239	17156	Cleo Grable
566240	254522	Ballet Girl
566241	248133	Hope
566242	157324	Joanie/St. Jude Student
566243	69631	
566244	377768	
566245	182697	Elvira
566246	38449	
566247	314336	Zeljka
566248	355551	
566250	382758	Anna
566250	396238	Ploka
566251	356120	
566252	207999	
566253	238030	Herself
566254	24415	
566255	10366	Alexandra
566255	86925	Jane Anderson
566255	117072	Teresa
566255	188362	Judith Turner
566255	199210	Savannah Nix
566255	296811	Monique Leclerc
566255	395104	Sarah Quinn
566256	178975	V-Six Model/Cheerleader
566257	281035	Kiva the cook
566258	72325	Girl
566259	346228	Mrs. Bolton
566259	404817	Mrs Belton
566260	331475	Actress
566260	342018	
566260	359573	Nurse Turner
566260	406806	Nina Newscaster
566261	37672	
566262	164605	Saleslady
566262	253126	Switchboard operator
566263	84833	Stella Summers
566264	32241	Countess's Girl
566265	330027	Herself (Madonna Fan)
566266	291241	Darwa
566267	29320	Michelle Roberts
566267	292449	Herself
566267	292469	Gabrielle Kovich
566267	388441	Sam Cooper
566267	404678	Gabrielle Kovich (2001-2003)
566268	287378	Eli, hans hustru
566268	332249	Vivian
566269	34305	
566270	2250	News Reporter
566270	28066	Lorna Snell
566270	62584	Stacy Russo
566271	101440	
566272	40800	Mrs. Whitney
566272	81192	The Woman
566272	105393	Ellen
566272	151742	
566272	251239	Counter girl
566272	315897	Tina
566273	65099	Trick
566273	313400	Seven of Nine aka Annika Hans
566274	57610	
566274	351809	Cilka
566275	42193	
566275	258521	Burgher
566275	293278	
566276	26279	Local stewardess
566277	202343	
566277	244961	
566278	315018	
566279	78845	Anesthesiologist
566280	49656	Gwen
566280	117083	Diana
566280	244443	Faw Feldenheim
566281	317309	Beverly Hills Bystanders
566282	119820	Student in the Play
566283	185624	Monique
566283	279009	Dori
566283	297775	Anita
566283	330570	Go-Go dancer
566284	38021	3rd Grader
566285	248868	Prisca
566285	334642	
566286	38975	Herself (founder, British Cam
566287	103282	
566287	173132	
566288	232599	
566289	119928	Laurel
566290	1348	Herself
566290	2010	Self
566290	2259	Herself
566290	3593	Herself/Greenlee Smydth-duPre
566290	30965	Teenage Girl
566290	54558	Patty Conrad
566290	117825	Female Workout Partner
566290	130050	Babsy
566290	165284	Natalie Wood
566290	217534	Kathy Hansen
566290	263547	Kelly Francine
566290	306626	Herself
566290	313314	Carrie
566290	379716	Greenlee Smythe du Pres Laver
566290	382462	Allie
566290	390771	Michelle Bauer #2 (1995-1998)
566290	406232	Co-Host
566290	406933	Herself (2000)
566291	245069	Mother
566292	247866	Matka
566293	374446	
566294	106047	Washerwoman
566294	133952	Mrs. Revers
566294	144558	Woman in Film Library
566294	262591	Feminist PM
566294	390416	Enid
566295	124131	Gonerila
566295	284865	
566296	180471	Magda
566297	311407	Oga
566298	223807	Jean
566299	188603	Eda
566300	60408	
566300	88447	
566300	270716	Nora
566300	281037	Grand Duchess Anastasia Nikol
566300	381438	
566300	386805	Lera
566300	390525	Marina Goloshchyokina
566300	392522	Aglaya Epanchina
566301	53959	
566302	277915	Marge
566303	234310	María
566304	338566	
566305	120993	Conny
566306	1400	Aleksandra
566307	39013	
566307	91485	
566307	129751	
566307	131123	
566307	164014	
566307	174163	
566307	198165	
566307	238361	
566307	238843	Tsarevna
566307	277690	
566307	283819	Dragonlady
566307	284056	
566307	297862	
566307	312527	
566307	321968	
566307	357334	
566307	374992	
566307	378720	
566308	89792	
566309	190431	Chaye [alt. Hiah]
566309	399907	Mrs. Levy
566310	191799	Chrissy Dewhurst
566310	194665	News Reporter
566310	242024	Courtney
566311	341205	
566312	7891	Angie
566313	36746	Robin Reed
566313	80537	Cookie
566314	35935	
566314	85150	
566314	124040	
566314	129925	Countess Anastasia de Restaud
566314	155613	
566314	180357	
566314	180367	
566314	180999	
566314	225914	
566314	263261	
566314	273069	1st class passenger
566314	293941	
566314	304253	
566314	316369	
566314	320655	
566314	335920	
566314	341327	Mat
566314	345090	La frisotée
566314	356444	
566314	374783	Masha
566315	16928	Angel
566316	115869	Melissa
566317	290449	
566318	133807	Little girl
566319	347455	
566321	370460	
566323	245115	Elizabeth
566324	36419	
566324	110115	
566324	126249	
566324	146532	Magda
566324	165048	
566324	180251	Maryna Rogowska-Falska
566324	186384	Mrs. Rollison
566324	207164	Lola
566324	237984	
566324	238345	
566324	242279	
566324	246948	
566324	257159	Emma
566324	266306	
566324	289810	Baronowa Helena Nieman z Komi
566324	304666	Elzbieta Szyller (II)
566324	305559	Doctor
566324	311836	Magda
566324	341068	Madame Jadwiga
566324	357957	Writer
566324	357979	Elzbieta
566324	361076	Neighbour
566324	375067	Trawinska
566324	375466	Wysocka
566324	376168	
566324	411894	Julia Chominska/Rolewska
566325	336	Mrs. Wiener
566325	17101	Grandmother
566325	48334	Zuzana´s mother
566325	88128	Groneka
566325	88409	Mother
566325	95671	The Professor
566325	149243	Farmer's wife
566325	151870	
566325	151883	The Countess
566325	165058	Eliska
566325	181146	
566325	189497	Marie
566325	198356	Honza's mother
566325	202586	Oficiálová
566325	220117	
566325	221865	Pavelková
566325	234251	Madame Ofka
566325	246203	Mária Terézia
566325	249859	
566325	261934	Josef´s wife
566325	262743	Vlasticka
566325	266455	Seidova
566325	305816	Jitka
566325	320642	Inkeeper
566325	323298	
566325	325165	Ring Director
566325	327202	
566325	349323	Preichingerová
566325	352367	
566325	357291	
566325	374531	Podzimková
566325	375406	
566325	375408	
566325	376602	Kroupová
566325	383079	
566325	400727	Frau Urban
566325	401806	Doorkeeper Ulrichová
566325	405729	Valentina
566325	411960	Vilímková
566326	231129	Megan (segment "Monstercam.co
566327	252960	Mary
566328	42391	Tess Jamieson
566328	84943	Young Kara
566328	108374	Young Kara
566328	113294	Isabel Bannister
566328	264148	Sonia
566328	285729	Monica
566329	2487	Turkey: woman
566330	216718	Mary Kiernan
566330	326119	Frances
566331	43448	Mme. Lorillard
566332	41733	Georgia
566333	345636	Det. Amy Rodgers
566333	368489	Gwen
566334	48253	Vrouw Max
566335	57936	Herself
566335	201537	Herself
566335	280084	Herself
566335	345633	
566336	290971	Judge #2
566336	335592	Mindy
566337	304243	Waitress
566338	224492	Marcia
566339	11902	
566339	313207	Adm. Cecilia Oort
566340	75932	
566341	92477	
566341	113770	
566341	241197	
566341	250977	
566342	83087	
566343	197885	
566344	76110	Redactora 3
566344	161666	La médica
566344	249883	
566344	252519	Periodista #2
566344	393549	
566344	400420	
566345	1729	Performer
566345	3251	Performer
566345	3252	Herself - Performer
566345	47173	Performer/Herself
566345	170848	Herself - Performer (performi
566345	212026	Herself/Performer
566345	221424	Presenter
566345	249591	Performer
566345	376098	Herself - Performer
566346	288943	Female Rebel
566347	172158	
566348	187151	Neighbor's Daughter
566349	187151	Neighbor's Girlfriend
566350	356486	
566351	20237	
566351	51557	
566351	64708	
566351	132099	
566351	349952	
566351	371743	
566352	19479	
566352	249908	Mujer Baronet
566353	57810	Leena
566353	64695	Julieta (Un rincon cerca de l
566353	71269	Amiga de Elena
566353	149525	
566353	183501	Rebeca de la Huerta
566353	266472	
566353	296126	Chica en Motocicleta
566353	379179	
566353	379819	Veronica
566353	379909	Gisela Lopez Monfort
566353	379941	
566353	380095	Marisela/Ana
566353	380269	Angélica
566353	380516	Natalia
566353	380795	Dalia Marcelín
566353	381028	
566353	383471	Policarpia Zambrano
566353	384980	Pilar de la Reguera
566353	386077	Cristina del Junco
566353	387623	Marcela
566353	396604	Vicky de Martino
566353	396898	Marisol Garces del Valle/Vero
566353	408855	Bárbara
566353	410098	
566353	411576	
566354	252798	
566355	148895	
566355	380345	China (1997-99)
566356	3445	
566357	329397	Mrs. Michele
566358	388902	Herself
566359	75633	
566359	302302	
566360	410054	Naná
566361	12821	
566362	75367	
566362	86050	Adelaide
566362	148467	Cledir's Mother
566362	196659	
566362	382405	Marilu
566362	385522	Stela
566362	385853	Lacy Bianchi
566362	386727	Augusta
566362	387915	Maria Antonieta (Mariinha)
566362	388721	Dagmar
566362	389786	Tereza 'Tetê'
566362	390751	Olívia
566362	394872	Sodoma
566362	399765	Rosa
566362	400902	Sulamita Miranda
566362	402159	Felicidade
566362	402582	Calpúrnia
566362	402685	Violante
566362	402808	
566362	403219	
566362	404803	Gina
566362	409025	Dulce
566363	63673	Laura
566363	91151	
566363	101877	
566363	108455	
566363	225949	
566363	243629	Matilde
566363	295095	Lídia
566363	307828	
566363	384847	Mercedes
566363	384992	Zuzu
566363	387901	Iolanda
566363	388565	Leonor
566363	391673	Rafaela Moretti
566363	395302	Olívia
566363	398501	Marta Gonzaga de Moretti
566363	401900	Antonieta
566363	401932	
566363	409413	
566363	409419	Lúcia
566364	231185	Etelvina
566364	307470	
566364	318297	
566365	380328	Leonor
566365	383141	Tina
566365	385030	Mônica
566365	386727	Siá Boa
566365	386730	Gisa
566365	387424	
566365	388728	Lourdes
566365	393792	
566365	396741	Regina
566365	396847	Chiquinha da Tomba
566365	397804	Kátia
566365	400094	Madalena
566365	406847	Laurita Menezes
566365	409003	Fernanda
566365	412173	Lurdinha
566366	386112	Hostess (2004-)
566367	388398	Lucinha
566367	391674	Maria Lua/Vera
566368	103322	Ana Luisa
566369	61861	Vedette
566370	396610	Cláudia (2004-)
566370	398501	Daniele
566370	409057	Lili
566371	201993	Gracita
566372	14821	Berenice
566372	111153	
566372	122288	
566372	160193	
566372	246026	
566372	275017	
566372	328760	
566372	383293	Beatriz
566372	384647	
566372	388680	
566372	404078	
566372	408942	Adélia
566372	409424	
566373	161954	
566373	255504	
566374	353294	Academy Girl
566375	166020	Bride
566376	157926	Choreographer
566377	126131	Luna/Goldilocks
566377	151742	Theresa Fisher
566377	221169	
566377	222112	Young Bride
566377	272651	Vendor girl/Loudspeaker/Help 
566377	276202	Kate
566377	292670	Pauline
566377	313473	Gungan Teenager, Gungan Order
566377	313475	Concerned Boy
566377	313507	Aeron Azzameen
566377	398403	Potato Bug
566377	404897	Sherry Netherland (1991-1992)
566378	266513	Sara Blake, Tonya Blake
566379	61360	
566380	61360	
566381	179924	
566382	310835	Brooke Crandle
566383	230863	Woman reading poem
566384	12103	Illona
566384	223462	Frau Heinze
566384	259456	Schwester Vera
566384	259617	Wirtin
566384	259656	Hanna
566384	307652	Heike
566384	347822	
566384	353949	
566384	365873	
566385	124904	Gertrud Skladanowsky
566386	152738	Rachma
566387	97147	
566388	14744	
566388	55558	
566388	107268	
566388	125779	
566388	131969	
566388	134489	
566388	225397	
566388	384823	Sor Alicia
566388	397589	Juana
566388	398517	Luisa Agripina
566388	398526	Luisa
566388	398842	Mother Superior
566388	401913	
566388	403366	María
566389	6627	Evelyne
566389	9657	Ellen Rawlins
566389	33638	Madame Bonacieux/Postal clerk
566389	63837	Marchesina di Rionero
566389	121893	
566389	126069	Showgirl
566389	128029	
566389	158626	L'assistente del dott. Giechi
566389	162066	Moira
566389	198907	American tourist
566389	205038	Ester
566389	216512	
566389	263193	La figlia di Tricoin
566389	266151	Anna Sartori
566389	269340	Odeena
566389	327452	(segment "Don Corradino")
566389	336614	Iva
566389	336756	Betty
566389	346832	Dr. Sharon Gilchrist
566389	355787	Tina
566389	366947	WAC
566390	265059	
566391	54684	Susan
566391	57654	TV Production Assistant
566393	87928	
566393	162037	Feminist
566394	113138	
566395	293973	
566396	110104	
566397	24129	
566398	56158	Dr. Lucas
566398	64424	Kate Moore
566398	67938	Dr. Marshall
566398	78910	Lydia Priestley
566398	95108	Theresa
566398	100221	Adam's mum
566398	118949	Jane Bligh
566398	131723	Mum
566398	203491	Florrie Donnelly
566398	243213	Stella
566398	271262	Winifred Inger
566398	339352	Det. Insp. Pat North
566398	339353	Det. Insp. Pat North
566398	339354	Det. Insp. Pat North
566398	384483	Erin
566398	396050	Anna
566398	406643	Danaë
566398	407587	Sarah Berowne
566398	408866	D.I. Pat North
566398	408867	Det. Insp. Pat North
566398	408870	D. I. Pat North
566398	411224	Amanda Dankwith
566398	411280	Liz Grainger
566399	96233	Herself
566399	96237	
566400	240632	
566400	249704	
566401	43441	Laetitia
566401	169289	
566401	227594	Mme. Laetizia Bonaparte
566401	227596	Laetitia Bonaparte
566402	345355	
566403	184357	
566404	345538	L'employée Hertz
566405	76529	Herself
566406	341459	Singing girl
566407	156829	Narrator
566408	331112	Julie
566408	340827	Linda Culver
566409	279200	Dancer
566410	75208	Sharp-Ears
566410	329656	Crobyle (soprano)
566411	247571	Beth Lewis
566412	343044	Nadine
566412	389858	Quartermaine maid (1995)
566413	30646	Ballet/Student
566414	178704	Zofe Lizzy
566415	7178	Daisy, Mrs. Gray's Maid
566415	81899	
566415	81900	
566415	85828	Maid
566415	90255	Penny (Marilyn's maid)
566415	117754	Maid
566415	131240	Housemaid (evening prayers)
566415	156939	Black Waitress
566415	167311	Flower Girl
566415	183664	Black Girl
566415	195975	Hyacinth
566415	228588	Daisy, Zelda's Maid
566415	231125	Maid
566415	234211	Black Woman in Taxi
566415	235691	Waitress
566415	300062	Maid in Chicago
566415	308113	Daisy (Stephanie's maid)
566415	308365	
566415	309027	Maid
566415	313301	Maid
566415	313331	Black Maid
566415	331205	Maid
566415	334252	Maid
566415	334403	Heather, Josie's Maid
566415	342878	Nightclub Powder Room Attenda
566416	126340	Herself
566416	321515	Woman with Ashes
566416	357748	Valerie Hammond
566417	26104	
566418	14659	Esteticista
566418	183985	Mare 1
566420	163228	Dancer
566420	177342	
566420	294079	Dr. Warren
566421	411802	Nathaniel Oliver 'Nate' Hasti
566422	411802	Nathaniel Oliver 'Nate' Hasti
566424	48217	Claudia
566424	138735	Millie
566424	296972	Edmonia
566424	331463	Jessica
566425	26247	
566425	85151	
566425	394750	
566426	397540	
566427	52036	
566428	374220	
566429	173121	Bartender
566430	94674	
566431	268923	Sister Natalie
566432	401883	Herself
566433	217458	
566433	313889	
566434	198131	
566435	50058	Sabina Durbidge
566436	16660	
566436	35451	
566436	67665	Nurse
566436	81770	Judy Brendon
566436	126705	Parole Agent
566436	217533	Neighbor
566436	263498	Sheila
566436	272238	Miss Dupa
566436	390922	Dr. Peters
566436	394676	Sue, Floor Manager (1989-1990
566436	404282	Renfield (1989-1991)
566437	52686	Young Nurse
566437	321459	Mel
566437	362852	Pool Attendant
566437	384875	Gillian Masefield
566437	388126	Nell Frewen
566437	388321	Melanie Hart Farmer (1997-199
566437	403992	Young Rosario
566438	409092	
566440	185828	Lady with Cell Phone in Dress
566440	194820	
566440	203436	Woman in Chorus
566440	308177	Penelope
566440	319012	Karen
566440	353265	Dr. Silver
566440	364367	Law Secretary
566441	347003	Pasient
566442	2733	
566443	194265	Landlady
566443	387058	Feeble woman
566444	377385	Herself
566445	377385	
566446	112601	Sarah
566446	234080	Waitress
566446	257502	Cheer Coach
566447	65356	Herself
566448	104770	Herself
566448	104773	Herself
566449	328260	Doris/Figure Model
566450	185109	Native Girl
566451	199460	Samantha Osborne
566452	56364	Quella del Campari
566452	139655	Mother in Portrait
566452	225765	Penis
566452	238829	
566453	136850	
566453	284970	
566453	354447	
566454	305159	Dancer: The Dance Company
566455	111313	
566456	87118	Cello player
566456	250878	Carolina Potop
566456	346546	Femme Flic
566457	749	La patronne du café
566458	290516	
566459	225804	Herself (lion tamer)
566460	5740	
566461	137186	
566461	248729	
566461	273049	Fira
566462	279483	Ramona's Mother
566463	75896	Buffalo Speaker #2
566463	80977	Janet
566463	99213	
566463	105926	Stephanie Carr
566463	145080	Jackie Bangs
566463	168735	Photographer's Wife
566463	185315	Mother
566463	191327	
566463	221324	Alice
566463	224284	Alex Gull
566463	230804	
566463	258030	
566463	279483	Ramona
566463	281072	Jenny Turner
566463	344474	Helen
566463	364592	
566463	372211	Sarah Sheffer
566463	405373	Shellaine
566464	202522	Herself
566465	277092	Heidi 'Booger' Dawson
566466	215214	Singer
566468	214387	
566470	388444	Herself - Participant (3rd pl
566471	169844	Friederike Fiebelkorn
566471	293561	
566471	366535	
566472	274200	Pepper's Salon Hag 2
566473	137494	JoJo
566474	229506	Student
566475	134511	Convent Girl
566476	294150	
566477	335041	
566478	176534	Mirai Yashima
566478	176535	Mirai Yashima
566478	176536	Mirai Yashima
566479	286686	Lady With Groceries
566480	172787	Female Student
566481	20831	Waitress
566482	207750	
566483	72664	Lead Whore
566483	313612	Danielle
566484	38840	
566484	91013	Polizistin
566484	122576	OP-Schwester
566484	272745	Katrin
566484	272746	Katrin
566484	301047	Isabelle
566484	325664	Marlies Kahane
566484	412106	Tatjana Hoffmann
566485	83227	Tai
566486	310963	Kim
566487	331595	Lan the Hooker
566487	360480	NVA wife
566488	397746	Herself
566489	390632	Herself
566489	396903	Herself
566490	373439	
566491	16810	Fighter 1
566491	121514	Tori
566491	160418	Claudia
566492	67395	Daisy
566493	313558	Sophie
566494	313558	Danielle
566495	253667	Eulalia
566495	400484	Teresa Roques
566496	158056	Viscountess Catriona ni Bhria
566497	51362	
566498	198363	Herself
566499	198363	Herself
566500	198363	Herself
566501	198363	Herself
566502	63915	Chica 2 (Girl 2)
566503	198363	Herself
566503	249904	
566504	351005	
566505	34116	Various characters
566505	317327	Deborah
566506	33306	
566506	52070	Naif Painter
566506	88049	Maria
566506	216542	Rosa
566506	251732	
566506	264270	Aunt Tofi
566506	268292	Odete
566506	344752	Amiga de Delfina
566506	344851	Lina
566506	349815	Melo Sister #2
566506	378384	Cacilda
566507	2868	La déléguée de Classe
566508	231997	Miss Shy
566509	217223	Schoolgirl
566510	211183	
566510	379093	Viviana
566510	385367	Solbela
566510	389788	Claudia Olivares
566510	392844	
566510	394006	Lola
566510	397566	Raiza
566510	397862	Sofia Quintero de Solis
566510	398218	Laura
566510	398482	
566510	398519	Leonicia
566510	400942	Raiza
566510	401211	
566510	403016	
566511	14677	
566511	14927	
566511	25038	
566511	171614	
566511	189375	Sylvia Ruvalcaba
566511	206996	
566511	263852	
566512	159489	Inga 'Inez'
566512	179199	Samanti
566512	231743	Dziunia (colleague of Judyta)
566512	284347	Zuza Michalska
566512	312694	Doris
566512	313526	Mila
566512	359585	Malina
566512	375961	Krysia Tuchalowa
566512	398874	Marta Koziol (2000-)
566513	232122	Hooker
566514	232122	Selin
566515	8151	
566515	15018	Sonia
566515	49313	Margot
566515	69631	Woman #1
566515	82641	Femme d'Élysée
566515	132898	
566515	276500	
566515	341851	
566515	384123	Rose-Marie
566516	213698	Peep-Bo
566517	225074	
566518	345906	Hanni Brunner
566519	220685	
566520	2548	Herself - Presenter
566520	5880	Martha Hayes
566520	7086	Leona
566520	10303	Maritza
566520	10317	Natalie
566520	13026	Sophie Martin
566520	13589	Irene Betts
566520	17702	Anne Boleyn
566520	18273	Antigone
566520	43952	Margaret
566520	61752	Older Gabrielle Roy
566520	62665	Nancy
566520	65358	Herself
566520	65696	Herself
566520	67665	Dr. Susan Wheeler
566520	77609	
566520	80487	Suzanne St. Laurent
566520	80592	Claire Niveau
566520	92306	Aimee
566520	96771	Denise Marshall
566520	101860	Genevieve
566520	106520	Jeanne Brault
566520	108015	Rachel Roux
566520	113250	
566520	113495	Katie
566520	115339	Genevieve
566520	125622	Geneviève
566520	135344	Nadine Sallanches
566520	151093	Mrs. Pascal
566520	158877	Marie-Charlotte Pontalec
566520	162594	Isabel
566520	166874	Lily Melnick
566520	169374	Saguenay
566520	173129	Élisabeth
566520	185264	Bernadette Lafleur
566520	185424	Mrs. Carlton
566520	216161	Elizabeth Beaufort
566520	217004	Libby Valentin
566520	217640	Marie-Alexandrine Brabant
566520	218336	Clara
566520	222603	Annie Crook
566520	234279	Claire Rocheleau
566520	237913	Elizabeth Courtland/Sandra Po
566520	239069	Eva
566520	274084	
566520	280516	Coquelicot
566520	283035	Marie Aubriac
566520	320890	Jane Barnet
566520	328414	Barbara
566520	332897	Beryl Thibodeaux
566520	340227	Cassandra
566520	340502	Wanda
566520	341850	Colette Lasalle
566520	345066	Jeanne Leroy
566520	356515	Charlotte
566520	372102	Joelle
566520	381617	Julie Fourchu
566520	390922	Cleopatra
566520	390922	Saint Joan of Arc
566520	408173	
566521	68957	
566522	356659	
566523	58358	
566524	57613	Zaneta
566525	124061	
566526	359677	Rosa
566527	182036	
566528	306286	Dancer
566529	104777	Turkish entry (16th place)
566530	19507	
566531	381917	Herself - Evictee #1: 11 May 
566532	388489	
566533	196561	
566534	305020	Lærerinde 2
566535	312423	
566536	92139	Nastasya Filippovna
566537	43119	
566537	91253	
566537	95971	
566537	133185	Mlle. Julia Wagner
566537	166616	
566537	181384	
566537	275588	
566537	369008	Sqsindka
566538	42020	Rosa
566539	44720	Maria
566540	212148	Nicole
566541	101010	Woman in phone
566542	24688	Clara
566542	93462	Maid Helene
566542	181124	Agata, Kroll's Wife
566542	185960	Nathalie
566542	266332	
566542	318531	Marta
566542	369004	Mother
566543	146530	Jagoda
566543	394585	Weronika Kedzierska (1999-200
566544	180763	Sebastian's grandma
566545	412075	
566546	81318	Police Officer
566547	49139	Herself
566548	49139	Herself
566550	112984	Herself
566551	255559	
566552	20057	Anna
566553	388489	
566554	187970	Pionirka
566555	210158	
566556	289128	Muslim Girl
566556	372973	
566556	400405	
566557	162254	Ajudant de realització
566558	108311	Karen Kovack
566558	125606	Teenager
566559	401834	Pela
566560	355551	
566561	89982	
566563	173430	
566564	212285	
566564	371892	
566565	295536	
566566	389955	
566567	206140	Serena Cursi
566568	313881	
566568	313882	
566568	381225	The Singer
566569	89816	Anna
566569	181183	Karim
566570	60439	
566571	29320	Computer Lab Technician
566571	137578	Sally Deeks
566571	314719	Trish's Assistant
566572	146842	
566572	312625	
566573	63574	
566574	22580	
566574	23608	
566574	49587	
566574	49751	
566574	64366	
566574	86830	Princess Cassandra
566574	108870	
566574	161530	
566574	183007	Ana
566574	213538	
566574	217085	
566574	249389	
566574	261143	
566574	272833	
566574	291040	
566574	375505	Midia
566575	69429	Van den Meer's Maid
566575	128515	Wet Nurse
566575	383086	Courtisane
566576	224990	Child of Júlia
566577	106712	Naiv festo
566578	103902	
566578	409414	
566579	17581	Pavlova as a Child
566580	259879	
566581	49828	Rat Woman
566582	66049	Antoinette
566583	108660	Parsel
566584	189473	Anton's Step Mum
566585	308604	Truck Driver
566586	244715	
566587	14309	
566587	19505	
566587	28499	
566587	34497	
566587	48771	Babunikha
566587	60699	
566587	63586	Zina's mother
566587	63624	Fedulova
566587	83040	
566587	86857	
566587	89984	
566587	132071	
566587	154522	Yura's Mother
566587	162677	
566587	163030	
566587	174532	
566587	176048	
566587	176119	
566587	181271	
566587	181312	Nadezhda Petrukhina
566587	186869	Old Woman (Morgue Attendant)
566587	188127	
566587	199984	Nucha
566587	200002	
566587	208131	
566587	209518	
566587	210379	
566587	226000	
566587	229065	
566587	229290	
566587	237834	
566587	238099	
566587	252821	Violetta Lvovna
566587	253635	
566587	258444	
566587	259043	
566587	261317	
566587	261332	
566587	262498	
566587	262644	
566587	263260	Catherina
566587	263669	
566587	264321	
566587	265939	
566587	265942	
566587	265943	
566587	266135	
566587	273089	
566587	283993	
566587	284480	
566587	288363	
566587	303683	
566587	304223	Arina
566587	304252	
566587	307683	
566587	323349	
566587	343957	
566587	349315	Maria
566587	350794	
566587	350801	
566587	356119	
566587	356569	
566587	356913	
566587	356921	
566587	357247	
566587	357256	
566587	370191	
566587	370940	
566587	374180	
566587	374768	
566587	405841	
566587	406757	
566587	409010	Lushilikha
566588	394620	
566589	255115	
566590	255115	
566591	266419	Himself
566592	181147	
566592	247347	Miss Podkomorzanka
566592	336217	Lazarek's Wife
566593	117943	
566594	54074	
566595	390752	Duca
566596	63964	Desa
566596	169968	
566596	172484	
566596	229079	
566596	233273	Radnica
566596	260035	Mary
566596	399924	
566597	166846	Venn av baronen
566598	9125	Mrs. Davis
566598	35232	Jean Wallace
566598	45782	Herself
566598	85866	June
566598	137251	Dell (Manicurist)
566598	138351	Anita Minton
566598	138661	Rosemary
566598	192412	Mrs. Kirke
566598	329311	Dr. Swensen
566598	381948	Marjorie Martin
566598	382040	Mrs. Marsha Peterson
566598	388927	Miriam Willoughby
566598	396104	Peggy Wilson
566598	396999	Marie Slaughter (1971-1977)
566598	397076	Guest panelist
566598	397077	Panelist
566598	405153	Customer (episode 3)
566598	406221	Lilly/Queen Vanda
566598	410783	Emily Wallace
566599	58509	
566600	18152	
566600	88386	Mara
566600	133573	Frau Zacharias
566600	139513	
566600	145332	
566600	180091	Didi
566600	180696	
566600	234262	
566600	261356	
566600	266522	
566600	267120	
566600	267938	
566600	304985	
566600	305198	
566600	320701	Susjeda
566600	333476	
566600	386362	Zofka Kveder
566600	390427	Iva
566600	396319	
566600	399767	
566600	409296	
566600	410582	Mother (Train to Auschwitz)
566601	163050	
566601	265665	
566602	18146	Ante's mother
566603	238554	
566604	388491	Sister Theresa
566605	174997	Herself
566606	12805	
566606	91485	
566606	98577	
566606	316373	(segment Bratka)
566607	79269	Schasga
566607	230395	Gunnel
566608	32219	Alex
566608	144406	
566609	35783	Grace Ingalls
566609	120230	Angel, Little Girl
566609	222575	Erica Todson
566610	106076	Dancer
566610	385628	Presenter
566610	403299	Panelist
566611	390988	Sal
566611	402031	
566611	403635	Head of dating agency
566611	404195	
566611	405502	Annabel 'Annie' Briggs
566612	229270	Ella Szemetiová
566613	304108	Inga Sjøholm
566614	123874	Fat Charlie's Girl
566614	399069	Joanne
566615	301660	Cheryl
566616	178715	
566617	142775	En garderobedame
566617	304476	Gerds tante
566617	346964	Jourhavende kriminalkonstabel
566618	140886	Mrs. Hutton
566618	206847	Woman #1
566619	144198	Joana
566619	246292	La mère de l'enfant noyé
566619	384995	
566619	385444	Herself/Host (1999-2001)
566619	390489	
566619	407867	
566620	141497	Diana Gough
566621	139990	Putski
566622	295481	Amber
566623	1688	Kelemen Klári
566623	2701	Zsuzsa
566623	77565	Mummy
566623	97974	Mrs. Cséri
566623	103066	Marion Beriot
566623	122382	Mária,Gábor felesége
566623	122388	Júlia,Sándorffy felesége
566623	143996	
566623	161682	Baba néni
566623	163127	Margit hercegnõ
566623	163179	
566623	182646	Mária,Tamássy felesége
566623	182661	
566623	182662	
566623	182695	Mária, Kétzy felesége
566623	199118	Giza
566623	214504	
566623	223594	
566623	243878	Emmi,Weisz felesége
566623	254665	
566623	268284	Kocsis háziasszonya
566623	322108	Intézeti igazgatónõ
566623	340437	
566623	343531	
566623	350834	Dávid anyja
566623	354619	
566623	377126	Babjákné
566623	377761	Kállainé
566623	378577	Györgyi néni
566623	382544	Belováry Mónika báróné
566624	366078	Coyote
566625	276082	Laura
566626	93959	Fry Girl
566627	35232	
566627	136832	Debbie
566628	314853	
566629	305320	Cool Girl #1
566630	33028	Herself
566630	130319	Ellen
566631	276082	Laura
566632	185237	Herself
566633	194858	
566635	230242	
566635	319257	Stephanie
566636	28197	
566636	210165	Carmen
566636	244590	Isabel
566637	11385	Woman in Speakeasy
566638	9888	Lady Ryle
566638	118466	Dorothy
566638	160958	Beth
566638	380724	
566638	392126	
566638	401224	Kate
566638	406087	Operative Kate (1975-1976)
566639	82685	Susan Ackerman
566640	59350	Minnie Chaplin
566640	81543	Lillian
566640	111783	Denise
566640	178092	
566640	298079	Hospital Nurse
566640	331111	
566640	388453	War Minister Akhna
566641	309898	Cajun Dancer
566642	274427	Wedding Party in Philadelphia
566643	190774	Child Lilian
566644	323748	Maid
566645	28673	
566645	38205	
566645	85385	
566645	86844	
566645	94456	
566645	99754	
566645	122739	
566645	181391	
566645	182685	
566645	222825	
566645	229592	
566645	231220	
566645	233418	
566645	236936	
566645	326331	
566645	333698	Marta, Klara's mother
566645	357278	
566645	375785	
566646	16988	Mary
566646	43947	Bookshop Manageress
566646	107550	Ros
566646	120772	Caroline Poole
566646	221245	Rezia Warren Smith
566646	317308	Beth
566646	333102	Eileen Sopwith
566646	381996	Various roles (1998)
566646	385020	Steph Barnes (1990-1992, 1995
566646	385162	Catriona Bilborough (1993)
566646	392384	Winona the Dog
566646	392466	Sonja
566646	393281	Dr. Alison Basingstoke, Vario
566646	406464	Helen Preger
566647	391015	Madre Amelia
566648	10415	Clerk
566648	267449	Maud Birdhanger
566649	81286	Reporter #6
566649	113385	Cleo Jones
566649	247915	Betsy
566649	253510	Leatha
566649	366585	Tabatha's Girlfriend
566650	83825	Store Lady
566650	289366	Mrs. Wilson
566651	257811	E.H. Hucklebauck
566652	5413	Val Williams
566652	9023	Deputy Press Secretary Melani
566652	46424	Amy
566652	58769	Psychiatrist
566652	67559	Tracy Rose
566652	81360	Amy Mann
566652	128350	Mrs. Kidman
566652	356997	Julia Sinclair
566652	379409	Maggie Clemons
566653	30071	Baby
566654	308128	Actor in Cast Photos
566655	61622	Baby
566656	11545	Lori
566656	82475	Marie
566656	98138	Caitlin
566656	112735	Molly
566657	238238	Choir Member
566658	131232	Extra
566659	59729	Sister Missionary
566660	405209	Tara Gregory (1996)
566661	186104	Brix
566662	1449	Herself
566662	1674	Herself
566662	1999	Gwen Cummings
566662	2940	Herself - Presenter: Best Art
566662	3046	Herself
566662	3055	Herself - Co-presenter: Sound
566662	7584	Herself
566662	38406	Kate Mason
566662	57688	Herself
566662	70257	Herself
566662	72559	Jean
566662	82662	Lt. Lenina Huxley
566662	88090	Siddalee 'Sidda' Walker
566662	105198	Harper Lee
566662	108425	Herself
566662	113830	Alyssa Rothman
566662	117522	Sarah Lewis
566662	132443	Grace Metalious
566662	135843	Judy Tipp
566662	138382	Lisa Edwards
566662	149448	Birdee Pruitt
566662	157785	Agnes 'Aggie/Ag' von Kurowsky
566662	160316	Herself
566662	196005	Diane Farrow
566662	196437	
566662	201758	Herself
566662	201759	Herself
566662	201904	Melba Club
566662	215507	Gracie Hart/Gracie Lou Freebu
566662	215508	Gracie Hart
566662	222611	Cassie Mayweather
566662	224391	Herself
566662	230116	Angela Bennett/Ruth Marx
566662	262261	Sally Owens
566662	263057	Stacy
566662	264041	Miriam
566662	275346	Debby
566662	310726	Annie Porter
566662	310728	Annie Porter
566662	326662	Herself
566662	330391	Linda Lue Linden
566662	333347	Ellen Roark
566662	342925	Roz
566662	343201	Lucy Kelson
566662	350488	Diane Shaver
566662	359471	Herself
566662	361224	Herself
566662	363135	Amanda
566662	363581	Lucy Eleanor Moderatz
566662	364150	Lori
566662	364281	Devlin Moran
566662	367883	Herself
566662	368853	Elaine
566662	396145	Maria Santangelo
566662	411408	Tess McGill (1990)
566663	213586	Pitti-Sing
566663	309713	Herself
566663	379193	Soprano/Violetta Valéry (epis
566664	10331	Roxane dancer
566665	94010	Frontdesk girl
566666	308168	
566667	131232	Extra
566668	264843	
566669	277947	Maternity Doctor
566670	65043	
566671	105466	Interviewee
566673	67922	Chloe
566673	69800	Maid
566674	29550	Feigele
566674	47258	Miriam Berdichevski
566674	202739	Berta Samet
566674	372926	
566675	158526	Woman in Flat
566676	110338	Girl In Alley
566676	222599	Woman in Car
566676	265681	Lisa
566676	363897	Nurse #1
566677	76788	Cheryl
566677	381103	Herself
566678	380777	Dulcinha
566679	233948	Prostitute
566680	213366	
566681	268441	3e Cousine/3e Dame d'Honneur
566682	360755	Vilma
566683	119412	Herself (Freddie Mercury's Mo
566684	104762	Dutch entry (5th place)
566684	104771	Dutch vote presenter
566684	228254	Herself
566686	302329	Waitress
566687	282270	
566688	352031	Elsa
566689	91242	
566690	121063	Various
566690	133316	Various
566691	10300	Jeanette Broese van Groenou
566691	14557	Mother of Alex and Aram
566691	181255	Vrouw Koster
566691	206319	Mathilde Trapper
566691	208375	
566691	281395	
566691	315522	Gonoril en Annie
566692	290862	Bambina
566693	286732	
566694	43216	
566695	357340	
566695	357697	
566696	384709	
566697	394349	Herself
566698	214250	
566698	261222	
566699	25787	Amneris
566699	55191	Carmen
566699	90009	Princess Eboli
566699	127912	Gioconda
566699	132446	Herself (singer)
566699	226145	Abigaille
566701	33112	Sille
566701	207691	
566701	225168	Marion
566701	259652	
566701	389119	Touri (1999)
566701	396874	Tamara
566702	269892	Aborigine
566703	26423	Linda
566704	147737	Car Hop
566705	43174	Bride to be
566705	338069	Double
566706	387888	Tina
566707	210193	Kalvi
566708	339854	Nursery Mother
566709	366887	Sarah
566711	407656	Katherine (2002)
566712	130350	Restaurant Cashier
566712	206488	Nun
566712	239033	Poker Player
566712	313715	Truck Stop Waitress
566712	360670	Flower Lady
566713	7006	Jingo Lady
566714	116209	Ruth
566714	219176	Girl at Monastery
566714	329309	Boutique salesgirl
566714	360127	Laurie McCall
566716	80472	Zombie Corps
566717	326125	Vanessa
566717	352985	Herself/Host
566717	353499	Herself (Model)
566717	353500	Herself (Model)
566717	353501	Herself
566717	388465	Herself
566718	4312	
566718	110456	
566718	209732	Ann
566718	239453	
566718	382975	Roxanne Seynaeve
566719	409172	Herself - Host (1999-2004)
566720	268074	Dancer
566721	138294	Speaker
566722	219281	Kvinden
566722	256122	
566722	397955	Cafegæst
566723	404694	Jill Stevens Clayborn #1 (196
566724	288358	
566725	136721	Gutrune
566725	358689	Helmwige
566726	217092	Herself
566727	261236	Devereaux's Assistant
566728	7067	Roxy O'Rourke
566728	12331	Adrienne Klein
566728	35519	Mona
566728	72554	Camille Lawrence
566728	78143	
566728	106062	Science tacher
566728	113903	Leah
566728	118804	Mrs. Powers
566728	124713	Karen
566728	202982	Liz
566728	203198	Linda Travis
566728	203361	Sandra Ames
566728	215872	Katie
566728	231037	Donna Kenley
566728	232294	Mrs. Colton
566728	232455	Elaine Parker
566728	232456	Elaine Parker
566728	278098	Mrs. Harman
566728	299900	Joanne
566728	314631	Mrs. Polk
566728	320090	Olivia's Mother
566728	338629	Eve
566728	342457	Robin
566728	342826	Moe Stackhouse
566728	366925	Mom
566728	372729	Shelley Allen
566728	385824	Rebecca North LeClair (1975-1
566728	389858	Diana Maynard Taylor, R. N. #
566729	169139	Additional Player
566730	254522	Female Masquerade Dancer
566731	95183	
566732	275308	Marcia Fu
566733	7006	Susan Wilks
566733	94099	Peggy
566733	170522	Sarah Whittle, 1969
566733	190273	Courtney Aspinall
566733	316328	Kimberly Timothy
566733	390771	Marah Shayne Lewis #6 (1999-2
566734	385824	Samantha Gene 'Sami' Brady (#
566735	185166	Joanna
566735	185197	Susie
566735	300047	Widgie
566735	391251	Robyn
566737	142361	Frog Guard
566738	34516	Rumanian Nurse
566739	380381	
566739	401377	
566740	15242	
566740	17646	Juliette
566740	20906	Henriette Lupin
566740	23655	Sophie
566740	23731	Anne-Françoise
566740	30887	Béatrice
566740	44998	
566740	62567	Macha
566740	62755	Violette Morhange
566740	67640	Elisabeth
566740	71877	Isabelle
566740	74340	Marie-Jo
566740	83364	Nathalie
566740	87660	Solange
566740	91911	Mme Michon
566740	111102	Elisabeth
566740	122418	
566740	122840	Madeleine
566740	124321	Maryse Couvilaire
566740	128996	
566740	153874	Claudie
566740	157075	Émilie
566740	160815	
566740	194544	Blonde
566740	195110	Lou
566740	198638	Psychoanalyst
566740	206493	
566740	211663	Hélène
566740	215134	Julie
566740	216239	Une jeune femme juive
566740	236549	Aude
566740	257075	Barbara
566740	269215	Sacha
566740	275110	
566740	283653	
566740	284257	Lucile Desmoulins
566740	287322	Yvonne
566740	291583	Blanche
566740	336937	Sophie Deslandes
566740	336960	La mère
566740	346417	Ginette
566740	378061	
566740	378070	Maryline
566740	398073	Noémie
566740	402735	Mici Teller
566740	402846	Sylvie
566741	349896	Romantic Woman
566742	215589	Teresa (child)
566742	328922	Bridesmaid
566743	104824	Ulla
566744	4937	Jelena Wassiljewa
566744	21241	
566744	33314	
566744	95582	
566744	132464	
566744	207564	
566744	215110	
566744	286884	
566744	339263	Varvara
566744	352610	
566744	374785	
566744	409880	
566745	268074	Dancer
566746	92096	
566747	181897	
566748	62650	Mexican Bartender
566749	328258	Ice Cream Fight
566751	222784	Dancing Blonde Girl
566752	385738	Host
566753	142749	Herself
566753	177233	Nell Valentine
566754	24703	Little Girl at Museum
566755	180761	
566756	139231	
566757	180705	Partygoer
566758	9556	Kesho
566759	50582	
566760	32438	Comelia
566760	58162	Burdett's Mother
566760	104999	Dolly
566760	121550	Announcer
566760	175144	Twinkle
566760	411284	Various Characters
566761	312918	Rose Davis
566762	92909	Tiger Thug 1
566763	105215	Hylda Cheatham
566763	106176	Mrs. Rudge
566763	117343	Frau Schmidt
566763	123572	Colin's Mother
566763	167014	Mrs. Appleyard
566763	180787	Helen
566763	182947	Doris
566763	190875	
566763	193752	Mrs. Smith
566763	221234	Tulip's Mother
566763	221238	Alice
566763	233993	Martha Gorman
566763	282254	Countess de Wett (Matron)
566763	288688	Mousy Woman
566763	291522	Florrie
566763	310446	Bridgie Gooding
566763	317430	Landlady
566763	334307	Rosie
566763	335098	Inn Keeper
566763	362073	Mary Hitchens
566763	363675	Mrs. Noonan
566763	368432	Mother
566763	368928	Queen Victoria
566763	380361	Rachel Lynde
566763	392687	Amy Jenkinson (Series 1-3) (1
566763	397188	Mrs. Goodenough
566763	406206	Helen Hayward
566764	244279	Emilia
566764	249339	Esquire/Flower Maiden
566764	289352	Lucilla
566765	335033	
566766	390523	Annie Wainwright (2003-)
566767	225617	
566770	93636	Countess
566770	130090	Herself
566770	284444	
566771	96905	
566771	354229	
566772	228461	
566772	245065	
566772	295815	
566773	153273	
566774	252521	Octavia DiMare
566775	345272	La fille d'Henri
566776	138822	Finch
566777	110550	Susan
566777	221467	Presenter
566777	332964	Susan
566777	390243	Herself/Presenter
566777	393693	Herself
566777	400297	Herself (2002-2004)
566777	407614	Herself - Guest appearance
566778	12503	Alsino's Grandmother
566778	69515	
566779	283718	Blonde Girl
566780	229240	1st Girl
566781	280016	Additional Party Guests
566782	46853	Miss Davis
566782	72462	Annie
566782	93152	Caroline Reynolds
566782	158951	Anita Barnes
566782	160498	Unemployed Mother
566782	272209	Nodoka Saotome
566782	292472	Cashier
566782	314155	School Teacher
566782	379197	Additional Voices
566782	383964	Sally
566782	402863	Nodoka Saotome
566783	307468	Townsperson
566784	201870	Mrs. Hale
566785	1955	Herself
566785	3251	Herself
566785	23922	Herself
566785	23929	Herself
566785	23933	Herself
566785	47168	Herself
566785	47170	Performer/Herself
566785	47171	Herself
566785	47223	Performer
566785	48489	Herself
566785	63076	Performer
566785	68096	Herself
566785	68097	Herself - Celebrity Streetmat
566785	68111	(Popsters segment)
566785	163623	Baby Spice/Herself
566785	180826	Herself
566785	201943	Performer
566785	221417	Herself
566785	221423	Herself - Presenter
566785	228302	Presenter
566785	230786	Herself
566785	240189	Performer
566785	241418	Herself/Baby Spice
566785	249555	Herself/Performer
566785	249591	Performer
566785	264079	Herself
566785	295295	Herself/Baby Spice
566785	305488	Herself/Baby Spice
566785	307670	Herself
566785	310980	Herself
566785	310981	Herself
566785	310982	Herself
566785	310983	Herself
566785	310984	Herself
566785	310986	Herself
566785	310987	Herself
566785	310988	Herself
566785	310990	Herself
566785	310991	Herself
566785	310992	Emma
566785	310993	Herself
566785	311953	Herself/Performer
566785	334271	Prostitute
566785	360143	Herself
566785	364775	Herself
566785	375827	Herself
566785	387529	Herself
566786	370056	Mme Lefort
566787	241418	Herself
566788	78921	Sarah Materson
566788	390698	Mel
566788	397299	Dr. Jessica 'Jess' Hardman, m
566788	401778	Lydia Gibb
566789	99075	Assistant Secretary
566790	20037	Wild Boy
566790	26563	Maenad (chorus)
566790	185365	Sue
566790	328557	Ruth
566791	16573	
566792	39310	
566793	198532	The woman
566794	222573	TV Reporter #2
566795	87016	Caroline Owen
566795	99288	Lady-in-waiting
566795	353509	Alice Hume
566795	399584	
566796	385891	Jill
566797	113645	
566797	335489	Herself
566798	313995	Orphan
566799	46124	The Adventuress
566799	146940	Mamie
566799	362455	
566800	335258	Stripper
566802	47045	Sandra
566803	401779	Reporter
566804	119489	
566805	4637	
566806	248889	
566807	207157	Lady Cop
566807	235052	Texas Dancer
566807	295826	Sex Monster Dancer
566807	391013	Bombshell
566808	338940	
566810	158759	
566811	4644	Abby Morris
566811	23536	Claire Suarez
566811	63559	Janis
566811	72292	Teresa Salazar, Nacho's daugh
566811	81785	Young Gerry Cummins
566811	89205	
566811	120551	Joanne Schwartzbaum
566811	129184	Dawn
566811	138701	Bette
566811	152426	Edith Banner
566811	176276	Kate
566811	176897	Esther Lesser
566811	197324	Molly (DVD deleted scene)
566811	199531	Toni-Ann Antonelli
566811	199961	Sarah
566811	203313	Virginia Clemens
566811	231118	Julie
566811	279168	Rachel
566811	323499	Christina Painter
566811	343031	Nina Cohen
566811	360055	Judy Dobson
566812	265768	
566813	105596	Leelee Mirabeau
566814	218719	Nightclub Singer
566815	272537	Militza Nikolajewitsch
566816	18197	Dancer
566816	124085	Girl
566816	128377	Schoolgirl
566816	131240	
566816	149387	
566816	155908	Girl
566816	176358	
566816	186029	
566816	191627	
566816	199136	
566816	223032	
566816	258209	
566817	44306	
566817	128377	Schoolgirl
566817	195985	
566818	9716	Samira
566819	2252	(segment "Sida, c'est les aut
566819	238435	[N+1] (2003)  Dr. Toko
566819	261735	Amie de Lesprit
566819	327477	Kumiko
566819	351817	My Diem
566819	353912	Juliette
566819	399756	Tsieng Ly
566819	406853	Anne Saint Reaux
566820	9002	Joyce Mayerlord
566820	394166	Une Russe (segment "Club de l
566821	43758	La concierge de M. Bouasse
566822	8277	Jeune femme du Bon Marché
566822	12398	The arm
566822	14467	
566822	120984	Voisine Jacques
566822	123444	Sabrina
566822	245956	Un membre du girls' gang
566822	253520	La barman
566822	263707	
566822	265705	Mathilde
566822	294796	Invitée d'Alice
566822	324384	Karima
566822	389234	Rachel Leguen
566823	95212	Ann
566824	223343	Bearded Lady
566825	238380	
566827	29543	Ayelén
566828	374232	Ewa II
566829	12285	Hina
566829	101695	Bice
566829	105217	Madame Le Brouchette
566829	116790	Mme. Brioche
566829	127691	Marilyn's Maid
566829	129105	Francesca
566829	155908	French Cook
566829	294744	Mrs. Ceders
566830	134589	Giulia
566831	259925	
566832	8984	Ainoa
566832	355660	German auxilliary
566832	361052	Julia
566832	392681	
566833	383491	
566834	336559	Grandmother
566835	103887	
566836	68225	Liza
566837	276078	Aniela
566838	64689	Grandmother
566838	64964	
566838	95962	Old woman
566838	172416	
566838	258803	Kusidelka
566838	369017	
566839	189667	Tanja Keil
566839	365919	Edith Wagenfeld
566839	391604	Nadja Feldmann (2000)
566839	396624	Stefanie Stein (1998-1999)
566839	409958	Cécile Antoinette von Lahnste
566840	131232	Extra
566841	163220	Young Torch Singer
566842	209086	Hilda
566843	224091	Model in street
566844	26608	Mrs. Shelton
566844	202907	Mrs. Van Suyden
566844	309554	Mrs. Mallory
566844	339874	Mrs. Rogers
566844	359770	Mrs. Culver
566844	362446	Mrs. Neff
566844	363584	Mrs. Van Schuyler
566845	95150	Friend
566845	162937	Viv
566845	363903	Gloria
566846	108412	Mrs. Guccianno
566846	230771	Herself
566846	264158	Gym Teacher Ms. Harbula
566846	267507	Mindy Barbarino
566846	363483	Blonde
566846	394869	Entertainment Reporter (2001-
566846	403325	Hollywood Correspondent (2003
566847	49956	Sonya
566848	39546	
566848	40681	
566848	46749	
566848	59481	Anne (superintendent's daught
566848	69621	
566848	123898	Pickpocket
566848	145910	
566848	207982	Antoinette
566848	283303	Polly
566848	304992	
566848	311023	
566848	316080	
566848	335456	Georgine
566848	366151	Nina Evers
566849	378970	[V] Smash Hits" (2000)  (as VJ
566850	215796	Stripper
566851	149956	Louise
566851	209061	Janine
566851	292489	Bec
566851	382291	Roz Patterson (1994)
566851	397477	Sue Kinsela
566851	405733	Mrs. Church
566851	406918	Miss Knightley
566852	13491	Mother of Vajika
566853	228540	Mother of Shete
566854	163203	Bartender
566855	278933	
566856	318814	Megan's Mother
566857	305415	Val
566858	206459	7-11 Sadie
566859	33116	Studentin
566859	91009	
566859	230229	
566859	313668	
566859	324511	
566859	325582	Lisa
566859	325744	Rebekka Schröder
566859	325884	Birgit Schöpf
566859	338423	
566859	348059	
566859	350873	Lehrerin
566859	391293	Sabine Kupfer (1991-1992)
566859	392855	Jennifer
566859	394134	Kerstin
566859	409958	Beatrice von Beyenbach, gesch
566860	335665	Pam
566861	281993	Rose
566861	341759	Mrs. Leyton
566861	384962	Liz Cameron
566861	388842	Kate Wallace
566861	388978	Dr. Chris Randall (1986-90)
566861	391869	Maureen Richards (1996)
566861	397912	Mrs. Fowler (1995)
566861	399948	Dianne Bates (1996-1997)
566861	401624	Herself (?)
566862	56766	Jerrilyn (segment "The Genera
566862	142249	Mrs. McCormick
566862	155635	Roxy
566862	286702	
566862	300064	Julie LaVerne
566862	400236	Delilah Ralston Buchanan Buch
566863	77673	Whitney
566863	206154	Sexy Girl #1
566864	81052	Opening woman
566864	118298	Lady Flag Burner
566864	327801	Ryoko
566864	327802	Ryoko
566864	327803	Ryoko
566864	327804	Ryoko/Zero
566864	396497	Ryoko
566864	404879	Miho Iwakura/Various characte
566864	405146	Ryoko
566864	407829	Ryoko, Soap Opera Actress
566865	181556	
566866	376036	
566867	147980	Tiffany Barron
566868	385301	Nicola Russell Berry (2001-20
566869	168331	Mineola Waitress
566870	249579	Basscut
566871	66925	Secretary
566872	156030	Rosa
566872	405209	Susie Hunter (1997)
566873	127017	Hope
566874	313459	Nabrun Leids
566875	79698	Randy
566875	124541	Young Girl
566875	363900	Jenny
566876	151196	Lucille
566877	210485	Phillipa Stanton
566877	256578	Kate
566877	382207	Herself - Panellist
566878	326258	Mary
566879	16219	
566879	53220	Dr. Schulenburg
566879	153930	
566879	308219	
566880	198629	Cliente du Pigeonnier
566881	117654	Bitchy Pageant Daughter
566882	173079	Script girl
566883	28683	
566883	91149	
566883	112897	
566883	225585	
566883	236936	
566883	257222	
566883	376600	
566885	110319	Danielle's Mother
566885	203436	News Reporter
566886	312990	Mabel Warren
566888	371305	Sarah Farmer
566889	71682	Lindsey Carlion
566889	185148	Tessa
566889	194940	Lady Warrender
566889	206080	
566889	214466	Sister Ambrose
566889	279108	Lydia Languish
566889	292575	
566889	297673	Natasha Gorley-Peters
566889	316410	Romaine Salmon
566889	340106	Cressida
566889	352880	
566889	372210	Barbara Henderson
566889	382214	Esther Summerson
566889	397651	Jane
566889	405829	Sandra Radley (1993)
566890	40331	Mrs. Feinberg
566890	232186	Nurse
566890	403805	Felicity Randolph (2001-)
566890	410708	Litigant
566891	150554	Mrs. Fielding
566892	44706	Bea
566892	99957	Daisy
566892	149941	Nurse Clark
566892	158996	Delores Cherry
566892	255433	Emma McLean
566892	303553	Prostitute
566893	82463	The Ferret Piss Girl
566894	99957	Melik
566895	81446	Law Firm Secretary
566896	208398	Max's Mom
566896	320877	Mayor Janice Appleyard
566897	16677	Ellie
566897	41379	Woman on corner
566897	86540	Miss Mosher
566897	131780	Carbone's Girlfriend
566897	236982	Cell Woman #3
566897	247204	Chris
566897	279173	Mabel
566897	291897	Dorothy
566898	104967	
566898	146849	
566899	236972	Toy Soldier
566900	50623	Marie Charleton
566900	178040	Gay Lady
566900	244448	Ellen Downe
566900	327729	Belle
566900	327757	
566901	35540	Molly
566901	119564	
566901	160637	Suzy
566901	176942	Debbie
566902	196300	
566903	351502	Girl in Shower
566904	81649	Script Supervisor/Harry's Cha
566904	305390	Winkler Party Guest
566905	66324	Lynn
566905	119879	Young Woman #1
566905	178994	Sleepy Girl in Bed
566905	192674	Adult Cookie
566905	213358	Elizabeth
566905	246238	Teacher
566905	276240	Tech #2
566905	289494	Miranda
566905	361229	Flight Representative
566905	365326	Boutique Saleswoman
566905	368092	Alluring Woman
566906	221045	Puppy Munchie Singer #1
566907	132197	Adela
566907	266453	Zdena
566907	304191	Convict
566907	378525	
566908	354211	
566909	163925	
566910	156526	
566911	151117	Teller
566911	288473	Policewoman
566911	351712	Policière infiltrée
566912	62500	Pauline
566912	107536	Fiona Boulanger
566912	327293	Vicky Gestin
566913	254387	Julie
566914	40316	La lavandiere Charlotte
566915	52830	
566915	86883	
566915	89344	
566915	236238	
566915	295104	
566916	220085	Bit Part
566918	235690	
566919	272518	Witch
566919	410768	
566920	307614	
566921	144789	Alien Stormtrooper
566922	367073	Munchkin
566923	367073	Munchkin
566924	27969	Aloisie
566924	276461	Kucerová
566925	105966	Singer
566925	266510	Havelková (3. segment - Verno
566925	357435	
566926	105966	Singer
566926	181104	Matka
566926	217038	Marie Divická
566926	262568	Kajetána, Vilém´s sister
566927	193581	
566928	408288	Liz Skinner
566929	178125	Esperence Hotel Maid
566930	127663	Singing Voice
566930	333441	
566931	53787	
566931	61373	Dolly
566931	116088	Forelady
566931	304622	
566932	395025	Herself
566933	75664	Martha
566933	123172	Laura
566933	283336	Gossip
566933	299028	Synagogue Secretary
566933	317194	Gran
566933	390648	Alice
566933	408109	Kate Kingsford Smith
566934	120942	
566934	138458	
566935	7426	Therese
566935	15888	Pflegerin Schwarzkopf
566935	34353	Frau Hofmann
566935	35881	
566935	36475	
566935	79165	Sabine's mother
566935	90649	
566935	126445	
566935	129708	Emilie
566935	142094	Witwe Zillmann
566935	204449	
566935	306509	
566935	308844	Meta Hubbelrath
566935	325617	
566935	347831	Magda Heßling
566935	356834	Anna Mechala
566935	365907	Frau Schürenberg
566935	369136	
566936	123963	
566936	178610	
566937	347707	
566938	156985	
566939	32283	
566939	74922	
566940	5671	
566940	93616	Emy 's Gravesande
566940	135716	Journalist
566941	119290	
566941	265399	Ellen Mamlock
566942	140258	
566943	303800	
566944	1108	Mary
566944	18623	Carmen
566944	90237	Hot Chic in car
566944	195277	Erika
566945	349860	Young Paige
566946	1857	Mme Gruber
566946	397094	Herself/Panelist (2002-)
566946	409565	German columnist
566947	122894	Nature Creature
566947	131732	Dancer
566947	218375	Carmen Dancer #1
566948	375740	
566949	148446	FBI Clerk/uncredited
566949	199495	Mädchen in der Kneipe
566950	258324	
566951	126508	Nada Band
566952	389858	Mrs. Perry (1991)
566953	355152	Cora
566954	25874	Dr. O'Neil
566955	405375	Magrit Balicki
566956	79279	Birdwatcher - Lady Lush
566957	43933	Print Reporter
566957	138463	Shopper
566957	310648	Dinner Guest
566958	334886	MC
566958	373368	Leen
566958	377282	Black Angel 1
566959	281720	
566960	97211	Susan
566960	198882	Gentlewoman
566961	115421	Homeless girl with baby
566963	217476	Clay's Coworker
566964	49310	
566964	120792	Melanie Wimmer
566964	403770	Miriam Stockl
566965	282416	
566966	376006	Girl in the Train
566967	98879	2nd girl wearing jewels
566967	98881	Swimwear model
566967	100001	Girl No. 3
566967	230991	Bikini girl
566967	232933	Nudist
566967	251234	Laura
566967	279323	Strip Joint Girl
566970	149577	Miluska
566970	304454	Tone's mum
566970	349291	Marina
566971	309127	Nicole
566971	404547	Sophie
566972	248575	
566973	120237	Aninka
566973	170551	Minnie
566973	202548	Rina
566974	301028	Fernseh-Ansagerin/TV Announce
566974	325848	
566976	263609	Katherine Mansfield
566976	371094	Nellie
566977	45839	Dr. Portland
566977	99609	Herself
566977	186064	Hubert's Grany
566977	222797	Slaygirl
566977	301558	Slaymate
566978	7132	Carol Davis
566978	70868	June Wray
566978	154140	Judith Avery/Locke
566978	256579	Cameo appearance
566979	117874	Army Nurse
566979	169170	Flight Attendant #1
566980	175724	Yoshitsugu Otani
566980	229314	
566981	88660	Karen
566981	204159	Katie
566982	224025	Karen Inkster
566983	273772	Breathless Announcer
566984	397912	Jemma Snipe (episode 1-6) (19
566985	26514	Anchorwoman
566985	41164	Newscaster
566985	75612	Amanda Teuther
566985	115712	Reporter
566985	168634	Reporter
566985	185146	Miss Rawlston
566985	193268	TV News Reporter
566985	193951	News 4 Reporter
566985	240943	
566985	302923	Anchor Woman
566985	367879	HRH Anne, the Princess Royal
566986	283510	Debbie Rosenberg
566987	7481	Nan Fitzgerald
566987	39720	Juanita Perez Lane
566987	64527	Babe
566987	96945	
566987	109402	Glenda
566987	120260	Millie Seagrove
566987	120504	Dolly White
566987	123341	Dorothy Kane
566987	128700	Mrs. Peters
566987	139942	Ann
566987	141037	Ruby, Burnett's moll
566987	147446	Gypsy Angecon
566987	154417	Ethel aka Giggles
566987	154712	'Peppy' Gilman
566987	157206	Ruth Dana
566987	157862	Tonia Maria
566987	163544	Al Moran
566987	183393	Peggy
566987	183435	'Sister' Susie
566987	183638	Flo
566987	183695	Antoinette
566987	184967	Lasca
566987	193710	Trixie
566987	202167	
566987	203281	Sally Dickson
566987	204167	
566987	215525	Dotty
566987	216907	Hazel Flint Radier
566987	231905	Pellerin's girlfriend
566987	238975	Cleopatra
566987	240985	'Sissy' Shannon
566987	243504	Mabel Warren
566987	245107	Mary Carroll
566987	257559	Edna
566987	258019	Alma Dean
566987	266045	Myrtle Hines
566987	273726	Peggy Price
566987	283891	Mona Quillan
566987	308587	Nancy Morgan
566987	315066	Margarita
566987	316903	Bessie
566987	321499	Trixie
566987	326193	Marie Costa
566987	354540	Lulu Stevenson
566987	361685	Toodles
566987	362359	Norma
566988	343160	Showgirl
566989	185635	Cecila
566990	34741	Tammy
566990	99195	Mother
566990	249047	Mrs. Krause
566991	88943	Ruth Hanlon
566991	177391	Jackie Nolan
566991	232038	Ada Greene
566991	257201	Louisa Cody
566992	16465	Stewardess
566992	20625	Extra
566992	178141	Girl
566992	194256	Sari
566993	358657	Lydia
566994	260362	Petunia
566995	285287	Aerobics instructor
566996	405209	Kandy Kornn (1998-2003)
566997	174621	Herself
566998	54959	Cynthia
566999	295833	Blonde
567000	112369	
567001	176838	Sheila
567002	405209	Paramedic Rebecca Frost (1994
567003	169136	Chorus
567004	138164	Mrs. Brodie
567004	299179	Mrs. Bollanger
567004	316184	
567005	315076	Gert Levoe
567006	130720	Dancer
567007	383937	Essa Rompkin
567009	406834	Narrator
567010	383363	Jessica Dunbar, Beth's Niece/
567011	331395	Dancer
567012	86249	Sorceress
567012	390587	Herself (mezzo)
567013	71934	Reporter
567014	395301	Trixie
567015	273513	Guest in Ballroom
567016	134193	Little girl
567017	74025	Mrs. Liddle
567017	137962	
567017	157920	Mrs. Prentice
567017	206259	Woman
567017	233673	Grandmother
567017	385139	Mrs. Liddell
567017	385299	Ethel Wilsby
567017	396090	Elderly Lady
567017	400110	Pauper Mother
567017	403722	Sally
567018	149707	Sabrina
567019	184944	Herself
567020	296665	Turbo
567021	262704	Featured Extra
567022	307974	Jean Watley
567022	380390	Miriam Carpenter Mason (1981-
567023	20603	Lauren
567024	279010	
567025	364252	Faith
567026	80593	Laura
567026	135769	Schoolgirl
567027	356551	Marina
567028	225142	
567028	259344	Zofe Dunjascha
567028	290069	Marie
567029	246794	
567030	236957	Sugar Plum Fairy
567031	135509	T.V. Reporter
567032	33079	Becky
567033	255495	
567034	108707	Elsbeth
567034	112277	Eugènie
567034	119422	Loulou
567034	197173	L'idiote
567034	220492	
567034	272320	
567034	403643	Philippa
567034	409533	Paulette
567035	196872	Irish Step Dancer #9 (crowd)
567036	99216	Santha
567036	127294	Local Lady Cop
567036	203358	Rockette
567036	235052	Texas Dancer
567036	274059	Herself
567036	300180	Ear and Nose Dancer
567036	318763	Woman in Car #1 (First Victim
567036	350235	Woman Vampire #1
567036	411496	Gear Girl
567037	5160	Frau Braun
567037	98044	Tante Olga
567037	102378	
567037	119147	
567037	144152	
567037	144159	
567037	158051	Belisas Mutter
567037	178704	
567037	181497	
567037	225641	Mutter des kranken Kindes
567037	226298	
567037	273104	Auguste Naumann
567037	341112	
567038	64260	
567039	220742	
567040	377486	Hélène
567041	98113	Student
567042	304170	
567043	226499	
567044	25103	
567044	404287	
567045	83301	
567046	255276	
567046	351993	
567046	354448	
567046	354449	
567046	383287	
567047	17744	
567048	158587	Hazel
567048	235389	Shannon
567049	67011	
567049	148122	
567049	193077	
567049	221900	
567049	221905	
567049	233489	
567050	245854	Notera de TV
567051	245854	Notera de TV
567052	170035	
567053	36667	Hotel Employee
567054	71286	Cajera
567055	185916	Luz
567056	399807	Pilar
567057	182999	Marty's Girlfriend
567058	323668	Voz psicóloga
567059	269166	
567060	43933	Burkitsville Resident #3
567061	162294	Mrs. Dalgleish
567061	406891	Lotte Kaufman
567062	235645	Sarah
567062	290397	Waitress
567062	317438	Margaret
567063	186050	Pearl
567064	81273	Lori
567064	88923	Clare Keightley
567064	100945	Tracy
567064	292817	Sully Cockburn
567064	314157	Prostitute
567064	317441	
567064	386591	Dr. Fay Liston
567064	392200	Vicki Rockwell
567064	398972	Lucy
567065	81296	Tori
567066	236611	La camériste
567066	289438	Margaridou
567068	346562	Margot, Sept Ans
567069	373757	
567070	42167	
567070	111763	Mutter II
567070	119177	
567070	142631	
567070	236828	
567070	237609	Josefine
567070	325887	
567070	352071	
567070	361042	Mutter Crachit (Mother Cratch
567070	395667	Frau Birkhahn (1996-)
567071	348320	
567072	113916	
567072	396478	Fadime (1992-1997)
567073	369167	Lisa
567074	333599	
567075	126067	Soloist
567076	300985	Harem
567077	23886	Melanie
567078	206637	Pioneer leader
567078	265233	Waitress
567078	266460	Secretary
567078	352820	
567079	339320	
567079	411960	
567080	91070	Herself
567081	179237	
567081	361237	
567081	410330	Dijana
567082	271091	Arab Girl
567083	148775	
567083	156317	
567083	208501	Aerobic dancer
567084	35537	Shrimp Lady
567084	177660	Extra
567084	199148	Stage Manager
567085	28375	
567085	67909	
567085	89827	Fine Arts Superintendent
567085	90730	
567085	97167	Philosophy teacher
567085	122728	
567085	162068	
567085	197207	
567085	229613	
567085	229617	Camilla
567085	265713	
567085	269496	
567085	286295	Anna
567085	289335	
567085	291518	
567085	336095	
567085	337232	
567085	349539	La moglie
567085	352559	Stella's mother
567085	379549	Piera
567085	399651	
567085	406000	
567086	17114	Ouvrière
567088	66869	Girl in Pool
567089	191548	
567090	158207	Punk Girl
567092	183412	Tina
567093	302939	Cindy
567095	372371	
567096	395586	Host (substitution/spin-off-s
567096	402444	Presenter (1997-)
567097	308011	Yoga Instructor #2
567098	41261	Housekeeper
567098	164502	Kitty Knowles
567098	203535	Assassin's girlfriend
567098	242718	
567098	275859	Clerk
567099	281388	Female Student
567100	117626	Jennifer
567101	29523	Cafe waitress
567101	111068	Vera
567101	264427	
567102	291698	TV Anchor Woman
567103	7877	Mrs. Norwood
567103	16042	Mrs. Fletcher
567103	16078	Mrs. Julia Lattimer
567103	20489	Ruth Sherwood
567103	25448	Prudence Thorne
567103	26652	Molly
567103	30122	Mrs. Livingston Belney
567103	32404	Lady Bareacres
567103	37839	Margaret 'Meg' Fairfield
567103	37921	
567103	45424	Zelda Bagley
567103	46329	Mrs. Frances Cartwright
567103	46714	Mrs. McGill
567103	46779	Contessa di Meina
567103	54487	Blossy Stort
567103	60189	Mrs. Pidgeon
567103	63170	Lady Elaine Strong, His Wife
567103	72521	Mrs. Frazier
567103	86957	Millicent Jordan
567103	91971	Paula Brown
567103	95028	Eleanor 'Ellie' Forbes
567103	97692	Elizabeth Banks
567103	104352	Aunt Abby
567103	104929	Irene Simpson-Bates
567103	105217	Diana Bellaire
567103	109855	Doris Dunstan
567103	109897	Doris Dunstan
567103	110363	Julia Trent Anders
567103	113634	Mrs. Radcliffe (credits)/Mrs.
567103	117885	Aunt Paula
567103	120348	Belle Johnson
567103	127092	Cora Adams
567103	127697	Mrs. Laura Chandler
567103	128468	Mrs. Rowland
567103	129534	Gloria
567103	129543	Herself
567103	131458	Annabelle Leigh
567103	144425	Liza Prescott
567103	152433	Penny Merriweather
567103	157934	Polly Marsden
567103	158515	Lavinia Timberlake
567103	162208	Mrs. Herman Vincent
567103	184461	Nora Marsh
567103	188345	Mme. Cyprienne Marcey
567103	201461	Phyllis Ashbrook
567103	203470	Daisy Stanley
567103	211546	Mrs. Emily Kilbourne
567103	215423	Betty Taradine
567103	223654	Mrs. Robert Cantillon
567103	224602	Mavis Terry
567103	228811	Mrs. Alyce Gates
567103	241589	Catherine Enfilden
567103	242110	Julia Warren
567103	244889	Herself
567103	249235	Miss Clara Wood
567103	251854	Peggy Cameron
567103	252528	Cameo appearance
567103	255083	Eugenia Willis, Nesta's Siste
567103	255339	Herself
567103	275458	Mrs. Louise Bronson
567103	285180	Sadie Love
567103	294750	Mrs. Cordelia Fosgate
567103	297891	Mrs. van Dyke
567103	301869	Herself
567103	305399	Mrs. Livingston
567103	306595	Minerva
567103	306791	Mrs. Crane
567103	311475	Clarissa
567103	321520	Jessica
567103	330107	Mrs. Drew
567103	331410	Mrs. Whittaker
567103	335952	Mrs. Topper
567103	335955	Clara Topper
567103	335956	Mrs. Clara Topper
567103	359129	Amanda Darcy Cole
567103	360535	Mrs. Linda Page
567103	362491	Agatha Courtney
567103	363364	Eustasia
567103	365350	Bernice Marshall, Boardinghou
567103	367073	Glinda, the Good Witch of the
567103	372309	Aunt Harriet
567103	372589	Marmy Carleton
567103	372705	Mrs. J. Arthur Allen, Owner A
567103	374522	Mrs. Bessie Tibbett
567103	381733	
567103	386561	
567104	224091	Waitress
567105	114955	Bobbie Jo
567105	235615	Jeu de Prume Actress
567106	179012	Honor Lahy
567106	270745	The tinker's wife
567107	179071	Katherine
567107	229319	
567107	279447	Herself
567107	392422	Herself
567107	402862	Host
567107	411138	Herself/Host (1999-2002)
567108	5036	Waterfront security guard
567108	7952	Screaming Woman
567108	23441	E.R. Nurse
567108	27125	Security Guard
567108	81312	Sgt. Waters
567108	107990	Jasmine
567108	118957	Reporter
567108	119437	Officer #2
567108	126555	Rental Car Shuttle Driver
567108	127126	Woman Cop
567108	143108	Deputy #2
567108	148906	Marcia
567108	157720	Bea
567108	158313	Lizabeth
567108	201350	Taylor Supporter
567108	207681	Selma Paulson
567108	245265	Airline Representative
567108	255399	Traffic Reporter
567108	281281	Nurse Boon
567108	304851	Uniformed Clerk
567108	328272	Brookstone Manager
567108	335757	Officer Melody
567108	364558	Guard
567108	367668	Female Guard #2
567109	105904	Star
567110	224636	Martha Kincaid
567110	277447	Party guest
567110	312165	
567111	30543	
567111	44058	
567111	135659	
567111	307099	
567112	248143	Anna Madden
567113	54309	
567114	70893	
567114	80469	Julie
567114	94016	Corner
567114	350230	
567114	409567	Carrie
567115	150786	Annie
567116	195407	Barrel Man's Assistant
567117	2316	Aoife
567118	243276	Annie
567119	233824	Mother/Ninja girls
567120	49656	Margie
567120	59528	Stella Farrell
567120	64558	Ringmaster
567120	78025	Sally Cambridge
567120	79948	Grace Connors
567120	83805	Herself
567120	130327	Laura Bancroft
567120	131375	Barbara Ann
567120	138551	Stepmother
567120	161229	Herself
567120	161236	Herself
567120	161356	Herself
567120	185168	Carol
567120	195341	Desiree
567120	207765	Tracy Horton
567120	210233	Melanie Darrow
567120	222690	Paula Corey
567120	265749	Debra
567120	281505	Laura DeVega
567120	302116	Mrs. Heiser
567120	309153	Noleta Nethercott
567120	327523	Big Woman
567120	362453	Eve
567120	363419	Germany
567120	376141	Terri
567120	378759	Diane Barrow (1984-1988)
567120	380455	Teresa O'Brien
567120	384125	Bonnie Sue Chisholm
567120	385552	Judith Whitman
567120	386009	Delta Bishop
567120	386138	Suzanne Sugarbaker (1986-1991
567120	388719	Kathleen Beck
567120	397689	Viola, the Toucan
567120	401894	Cherry Cherry
567120	404747	Elizabeth Fletcher Kent
567120	411365	Suzanne Sugarbaker
567121	47827	Herself
567121	382838	Katie Rogers (II) (1989-2003)
567122	41464	Uranus
567122	149886	Operator ('seiyuu' version)
567122	298347	Additional Voices
567122	298425	
567122	301643	Angela Orosco
567122	301644	Claudia Wolf
567123	188223	Meg
567123	198901	Macbeth
567123	380391	Sister Patrice Roberts (1997-
567124	258188	Ida
567126	368011	Angelica Mannerby
567127	70778	Woman with Dog
567127	84486	Elderly Woman in Car
567127	122768	Ethyl
567128	125836	Woman
567128	154116	Ma
567128	234901	Old Woman
567128	371376	Elizabeth Sutton
567129	240814	Nana
567130	37924	Ms. Cora
567131	17567	Theresa
567131	70422	Grandma
567132	390109	Secretary
567133	80501	Woman at Grafton Road
567133	118558	Character on TV Show
567133	138234	Queen Victoria
567133	281413	
567133	299287	Londoner's Wife
567134	49948	Matron
567134	107990	Allison
567134	271003	Brigit
567134	333237	Maria
567135	35239	Tracy
567135	252847	Selma
567135	280613	Edwina
567135	341440	Jessica
567136	372544	Country Girl Fan
567137	61320	Outtahisleague
567138	107728	Gas Bar Cashier
567138	367588	Debbie
567139	42055	Phone-Sex operator
567139	127679	Psychiatrist
567139	137470	Overwight Woman
567139	223066	Mrs. Squires
567139	287285	Choir Member
567139	299870	Sandy P.
567139	346224	GFC Jingle Singer
567139	365326	Nurse #1
567140	275157	
567141	113261	Coroner
567142	10894	Suzy
567142	37375	Mother
567142	43606	French Restaurant Patron
567142	66941	R.C.'s Secretary
567142	108926	Manageress
567142	183559	Kevin's Mother
567143	31780	Emily Bradley
567143	76524	Rebecca
567143	190324	Girl with doll
567143	221360	Emily Bradley
567143	308565	Young Maryann
567144	367061	Stage Girl #5
567145	342871	Cricketer
567146	25389	Laura
567146	45473	Julie
567146	49247	Jane Sothern
567146	72521	Adelaide Passmore
567146	131401	Zandra
567146	162860	Lota the Panther Woman
567146	185522	Ilya
567146	191251	Eulilah
567146	192631	Tania Volkanskaya
567146	199175	Marilyn Kirk
567146	222818	Evelyn Gorman
567146	223389	Carol Bixby
567146	228829	Serena Morrison
567146	230277	Hettie Ide
567146	272470	Nurse
567146	280291	Flora Ballard
567146	290328	Gladys Deacon
567146	298256	Gloria Parker
567146	303499	Woman
567146	336031	Sobbing Girl
567147	375798	Dawn
567148	7874	Christine
567148	14622	Lily
567148	17319	Mrs. Rutter
567148	39178	Voiceover
567148	68108	Herself
567148	77758	Maggie Mundy
567148	97023	Kathy
567148	99287	Queen Mary Tudor
567148	117672	Girl
567148	139620	Various characters
567148	139622	Waynetta
567148	142601	
567148	175784	Perry
567148	190280	Girl
567148	196300	Kathy
567148	201569	Herself
567148	206691	Angie Martin
567148	232714	Valerie
567148	241146	Carol
567148	250371	Angie
567148	285033	Tillie
567148	291503	Glennis
567148	292598	Herself
567148	300871	Brenda Winczor
567148	302322	Debbie
567148	311152	Herself/Various characters
567148	315901	Sabrina
567148	326596	Mrs. Ted
567148	330957	Mary
567148	343054	Vera
567148	358625	Annie Mae
567148	368273	
567148	382794	Herself
567148	384766	Sharon
567148	390074	Linda La Hughes
567148	391082	Various Characters
567148	391083	Waynetta Slob
567148	391666	Honour
567148	398416	Martha
567148	401663	Narrator
567148	405193	Host
567148	405558	
567149	386236	Additional Voices
567150	38823	Kanami Izaki
567150	133340	Father's Girlfriend
567150	280365	
567151	107930	Passenger
567152	66055	Anne Schwartz
567153	405606	Weather Forecaster (2001-)
567153	405607	Weather Forecaster (2001-)
567154	400806	Fiona McDermott
567155	117535	Girl at Shop Window
567156	124225	Miriam
567156	187697	Teacher
567156	280135	TV Reporter
567156	303455	Loft Party Guest
567157	137958	Herself
567158	12062	
567158	20676	
567158	51670	
567158	70209	
567158	74529	
567158	79133	
567158	202119	
567158	208846	
567158	216076	
567158	219734	
567158	221985	
567158	221987	Mujer 2
567158	249801	
567158	249864	
567158	252065	
567158	287734	
567158	306708	
567158	334650	
567158	343741	
567158	357523	
567158	377175	
567159	7909	Lavita
567159	69845	Mama Sopraneli
567159	78862	Lady Peterborough
567159	85122	Gypsy woman
567159	105348	Mrs. Bascom
567159	107085	Olga
567159	107089	Auntie
567159	114979	Mother Vecchi
567159	128108	Emily Lorimer
567159	128293	Madame Lavalle
567159	129557	Dowager Duchess
567159	133379	Mrs. Bigby
567159	134074	Felicity
567159	141343	Mrs. Dennis (John's Mother)
567159	142675	Mrs. Pendleton
567159	146002	Geraldine Ridgley
567159	150823	Duchess of Northland
567159	162929	Mrs. Warburton
567159	186230	Senora Gallardo
567159	192060	Lady-in-Waiting
567159	192121	Mrs. Schuyler
567159	194782	Mother Raspeguy
567159	195544	Mrs. Grey
567159	199712	Comtesse de Vandiere
567159	203098	Doris Amersley
567159	203481	Woman At Private View
567159	213302	Mrs. Pascal (Mrs. Nolan)
567159	214931	Mama Gozzi
567159	224110	Lady Helmstone
567159	230919	Miss Heneage
567159	238298	Mme. Gliere
567159	272758	Mama
567159	273640	Madame Laurent
567159	275507	Mrs. Wakefield
567159	278784	
567159	279758	Nanny
567159	291886	Woman at first Seance
567159	305003	Mrs. Warren
567159	306189	Daily Woman
567159	308977	Mrs. Hollander
567159	319006	Aunt Astrid
567159	328581	Maya
567159	331500	Mrs. Ormsby Townsend
567159	347417	Mrs. Brookfield
567159	351525	Donna Maria
567159	359486	Therese
567159	363930	Senora Rojas
567159	364332	Mrs. Fields
567159	364536	Mrs. Jerome
567159	366922	Mrs. Hamilton
567159	372940	Mrs. H. Clifton Brooke
567160	237931	Flight Attendant
567161	317309	Bonnie & Clyde Musical Audien
567162	70964	Annie
567163	224296	Carol
567164	15214	Arlene
567164	16968	Fern
567164	47130	Neighbor Woman
567164	57654	Father Gladen's Fan on Porch
567164	85996	Sister Grace
567164	152220	Drena
567164	166567	Aunt Phyllis
567164	206629	Mrs. Flam
567164	209591	Lillian
567164	241799	Louisa
567164	294804	Connie Trabucco
567164	300945	Phyllis
567164	348622	Yvette, The Poodle Lady
567165	105904	Trippy
567166	368015	Helen Wade
567167	51989	Ranch Inmate
567167	69290	Connie Conehead
567167	80050	Jodi Kramer
567167	185776	Sara
567167	201326	Nikki Reese
567167	213158	Brandy
567167	235681	Sarah Valentine
567167	289690	Taylor
567167	317594	Herself
567167	327307	Kristen's Friend
567167	350343	Sherri
567167	395165	Claudia De Lena
567167	395166	Claudia De Lena
567167	395738	Josephine (Jo) Bhaer
567168	33773	Herself
567168	368872	Herself
567169	165440	
567170	30071	
567171	75479	Social Worker
567172	79898	Mrs. Mavroyannis
567172	79989	
567172	83965	Miss Prew
567172	117341	Diana Harding
567172	121620	
567172	138695	Ann
567172	157170	Mrs. Lloyd
567172	191463	Gabrielle Girard
567172	206370	Woman
567172	279758	Leonia
567172	306989	Mother Superior
567172	316348	Norma Brent
567172	340220	Betty Todd
567172	363544	Christine Sloan
567172	396760	Dolly Delights
567173	331369	
567174	45242	
567174	136161	Daisy, the Cashier
567174	139484	
567174	163293	Blanche
567175	214984	Helen at age 7
567176	106176	
567177	299736	Shona
567177	338350	Della
567178	204192	Jenny's Mother (Ithaca)
567179	269071	Sgt. O'Shea
567179	342167	Ivone
567180	20528	Fake Shemp
567181	2149	Dawn
567181	78744	Judith
567181	170555	Carol Jackson
567181	385092	Sally Westcott
567181	400516	Lucille
567181	410837	Jan Cromer
567182	104916	Woman in Subway
567183	23221	Shelly
567184	246517	Marianne Escondera
567185	182706	Additional Voices
567185	316620	Eliza
567186	313865	Herself
567187	205268	Audience Member
567188	37924	Young Tovah
567189	26140	Cookie Factory Worker
567190	171274	Dr. Benecek's Nurse
567190	379716	Ruth Parker Brent Martin, R. 
567190	400236	Fran Craig Gordon (#2) (1980)
567191	187722	Caroline
567191	283433	Iris Blethering
567192	272085	Mary
567193	41682	Chorus Girl
567193	221112	Second Girl
567194	91522	Young Dottie
567195	196898	
567196	154453	Jessica
567197	121	Miss Nickelnurser
567197	2419	
567197	11244	
567197	26820	
567197	27328	
567197	33533	
567197	50291	Herself
567197	54916	
567197	55587	Rose Doyle
567197	65468	
567197	70823	The Bride
567197	75726	
567197	84833	An Angel
567197	90438	Anna May Jackson
567197	114715	
567197	117605	
567197	123020	Whistler's Mother
567197	124886	
567197	140120	Amorous Bank Customer
567197	140880	Bareback Rider
567197	141491	
567197	142587	His devoted wife
567197	142987	
567197	143319	
567197	144526	
567197	144743	
567197	145924	
567197	146088	
567197	148402	
567197	154082	Betty Carson
567197	163775	
567197	176412	
567197	200178	
567197	222277	
567197	236501	
567197	245662	
567197	278520	
567197	285505	
567197	295284	Girl at country club
567197	316409	
567197	327759	
567197	331953	
567197	364335	
567197	364567	
567197	365468	
567198	141965	Bandleader #1
567198	189233	Flight Attendant
567198	223752	Brandi
567198	308111	Herself
567198	311661	Marie
567198	329946	J.D.'s Girlfriend
567198	333366	Lady A
567198	382666	
567199	169692	Connie
567200	364692	Natalie
567201	24957	Blonde Hooker
567201	41155	Girl in Sand
567201	76592	Christy
567201	245725	Jamie
567201	283722	Rebecca Winters
567201	322631	Myra
567201	342975	Young Prostitute
567202	365490	Yellow Moon
567203	160888	Foofy
567203	166940	Ingrid
567203	195608	Helen
567204	39886	Police Woman
567205	82364	Cathy Gahagan
567207	368894	Connie Duvall
567208	249573	Leggy Lady #2
567209	133829	Mrs. Smith
567210	131943	
567211	38	Frau Schostal
567211	9526	
567211	76387	
567211	76388	Irmgard 'Irmi' Sandgruber
567211	76389	Irmgard 'Irmi' Sandgruber
567211	111744	
567211	126478	Marhta
567211	164905	
567211	179762	Imbiss-Rosi
567211	186735	Riet
567211	187682	Frau Wasner
567211	222372	Antonia Sackbauer
567211	259823	Frau Stirbl
567211	290487	Tante Irmgard
567211	342588	Jana's Oma
567211	376011	Gusti
567211	387271	Antonia "Toni" Sackbauer (197
567211	393878	Frau Zeggl
567211	410048	Frau Gumpers
567212	192680	Herself (Student at School of
567213	24035	Nachrichtensprecherin
567213	154448	Fernsehsprecherin
567213	402444	Host (1997-)
567214	334343	Woman
567215	104845	
567216	315837	
567217	64086	
567218	384397	Hillary
567219	102010	Dr. Eileen Myers
567219	330322	Jesse Anderson
567220	116356	Speaking Woman on Subway
567221	195990	Gloria
567222	160832	Futrista
567223	296118	
567224	359422	Daughter-in-Law
567225	300860	Interviewer
567226	80373	Skanky Chick
567226	316209	Receptionist
567227	12871	
567228	155331	
567229	93462	
567229	244567	
567229	325605	
567230	199319	Leading Dancer/Lesbian Couple
567231	265271	Travel Agent
567232	148258	Cathy's Friend
567233	12228	Tori
567234	32114	Girl at Bar
567234	151483	Pudding Chef
567234	152426	Technician
567235	185321	Girl In Lobby
567236	28439	Terry
567237	247866	
567238	273066	Madame Bersenyov
567239	89591	
567239	202648	
567239	212294	
567239	374181	(segment "Versiya")
567239	374869	Katya
567239	375488	
567240	286216	
567241	186650	Older Alice
567242	136360	
567243	302918	Hope
567244	127779	Girl B, Additional Voices
567245	248591	Jacuzzi Nurse #2
567246	248689	Katy Kat
567246	344970	Katy Kat
567247	186207	Carol
567248	39278	
567249	310571	Margo
567250	261250	
567251	310490	
567251	344096	
567252	198192	
567253	17551	
567253	43011	
567253	94739	
567253	192625	
567253	225877	
567253	227903	
567253	229004	
567253	259076	
567253	262674	
567253	264983	
567253	333782	
567253	356120	
567253	356921	
567254	46650	
567254	64429	
567254	212033	
567254	246854	Rute
567254	265213	Isa
567254	355832	Trini
567254	380147	
567254	381328	Paulinha
567254	385522	
567254	388065	Rose
567254	396795	Neide
567254	401104	Nair
567254	401208	Vivian
567254	404077	Tânia Freitas
567254	404888	Tonieta
567254	404960	Bia
567254	409347	Kate
567255	121528	Theater Patron
567256	181446	Actress as Sonia
567256	408550	Marta
567257	74252	Mary
567257	191299	
567258	68138	Highland Mary
567259	321210	Law Student
567260	265568	Mistress Maggie M
567261	161978	
567262	245158	Fisher Folk
567263	19177	Interview
567264	94613	Dancer #4
567265	301701	Elizabeth
567266	64949	Clocharde au Caddie
567266	354246	Hospital Concierge
567267	69662	Extra
567268	67481	Jane Farley
567269	103101	
567270	405606	Newsreader
567270	405607	Newsreader
567271	194405	Pig Pen Girl
567272	238252	Miss Kitten
567273	139647	Angelica
567273	322289	Valborg
567273	382459	
567273	412209	Beatrice
567274	342669	Bar patron
567275	74000	Crude Oasis Bar Patron
567276	252390	
567276	367803	
567277	171607	
567278	88604	
567279	25029	
567279	252752	
567280	80994	Charwoman
567280	110996	
567280	183878	Hypatia
567280	230359	Mrs. Brock
567280	255261	
567280	269883	Bella
567281	210351	Herself
567282	36022	Prithi
567283	60967	Lajla's Mother
567284	256206	Party Guest
567285	211508	Old witch
567286	170331	Nachiketa
567287	164473	Maleva
567288	23049	
567288	204372	
567288	324602	
567289	47367	Mrs. Unger
567289	49772	Mrs. Harmon
567289	77708	Marta Antonovitch
567289	134120	Gertrude Mannheim
567289	171194	Landlady
567289	193273	
567289	203583	Katie
567289	206873	Mrs. Moreland
567289	238069	Ruth's Mother
567289	241648	Miss Harding
567289	277227	Mrs. Schmidt
567289	290337	Mrs. Candour
567289	315316	Mrs. Carr
567289	330455	Mrs. Martin
567289	333415	
567290	82707	
567291	11771	Mother of Hannes
567292	233840	Party Girl
567292	296107	Sorority Girl
567293	396941	Grace
567293	408562	
567294	140010	Erica Yurken
567294	229260	Jane Jones
567294	246286	Young Susan Tuttle
567294	411080	Dina
567295	324795	Classmate
567296	119239	Rieke
567296	129676	Frau Buttler
567296	285818	Hermine
567296	312598	Martha
567297	256724	
567298	287781	Angry Woman
567298	296019	Strip Club Hostess
567299	130720	Guest at Fawns
567300	234573	Le sosie de Garance, enfant
567301	134637	Mlle Jauffret
567301	146424	Mme Muller
567301	211366	
567301	233691	La mère de Jean
567301	386573	La gouvernante
567302	49805	Person
567303	6402	Mme Bonenfant
567303	91079	
567303	94235	
567303	126089	
567303	249760	Suzanne Clamont
567303	250836	
567303	252321	
567303	268877	Une Fille
567303	357117	Juliette
567303	370450	
567304	164897	
567304	308153	
567305	50631	
567305	107228	Nina Carson
567305	116187	Stella Barrington
567305	162275	Norah O'Neale
567305	163275	Jacqueline
567305	168534	Ursula March
567305	178937	Sally Wrigley
567305	187741	Ba-ba
567305	192092	Barbara Shenstone
567305	195909	Angela
567305	239781	Jenny Erroll
567305	241035	Marion Ashley
567305	273562	Pat
567305	282621	Sally Marshall
567305	304371	Marion Hicks
567305	308543	Patricia Belsize
567305	332024	Edna, the Singer
567305	340935	Susie
567305	359518	May Clavering
567305	363138	Postmistress
567305	365058	Margaret Marlowe
567306	195316	1st Woman Spectator
567307	137572	Young nun
567307	358305	Ann
567308	54460	Dale Stirling
567309	84403	Frances Lloyd
567309	190143	Lady Kathleen
567309	234809	Hazel Mortimer
567309	247887	Hal
567309	309503	Alice Vail
567310	99522	
567311	63201	Queen Isabel of France
567311	80992	
567311	109047	Mrs. Moore
567311	137623	Mrs. Wyndham
567311	161984	
567311	315083	Maggie
567311	385299	Mrs. Meddows
567311	395647	Catherine Gladstone
567311	400852	Mrs. Pebble
567312	200871	Joan
567314	88089	Timmie
567315	194211	Lady
567316	84003	
567316	96544	
567316	98850	Jill Adams
567316	98851	Celeste Hathaway
567316	131628	
567316	183404	
567316	243113	
567317	223673	
567317	300524	
567318	86037	April (age 7)
567318	100034	Diane Karlin's daughter
567318	167070	Macy
567319	28563	Little Lori
567321	219190	Mim
567321	330579	Blue rinse lady
567321	391368	Little Old Lady
567321	399130	Pearl Barker (1989)
567321	402197	Ida Brown (1986)
567322	106176	Edna Rudge
567322	190495	Jean
567322	312990	Coral Musker
567322	321982	Jasmin
567322	330776	Phyllis
567323	252828	Morag
567323	273715	TV Presenter
567324	101299	Estelle
567324	321280	Judge Adams
567325	176537	Cheimin Noah
567325	176538	Sayla Mass
567325	176540	Sayla Mass
567325	312539	
567325	382648	Nelly Kim
567325	384080	Kaine
567325	392964	Inu Yasha's Mother
567325	394422	Sayla Mass (English dub)
567325	394440	Pierce
567325	397054	Akemi
567325	398464	Ran Luckmolde
567326	40535	Banks Child
567326	176849	
567327	2012	Herself - Co-presenter: Class
567327	2261	Herself
567327	2278	Herself
567327	2572	Herself - Co-host
567327	2615	Herself
567327	2779	Herself
567327	2788	Herself
567327	2796	Herself - Presenter: Best Pic
567327	2853	Anne Miller
567327	3844	Herself
567327	13916	Herself/Host
567327	17749	Miss Hannigan
567327	35401	Mary Catherine Castelli
567327	38238	Herself
567327	47385	Herself
567327	52141	Calamity Jane
567327	55500	
567327	55501	
567327	55502	Herself
567327	55503	
567327	55504	Herself
567327	55505	Herself
567327	55512	Herself
567327	57492	Herself
567327	57495	Herself
567327	57497	Herself
567327	60683	Herself
567327	60685	Herself
567327	63032	
567327	63275	Emily
567327	68002	Herself
567327	89696	Herself
567327	97355	Herself
567327	104554	Eunice
567327	105001	Herself
567327	116499	Carlotta Campion
567327	118372	Kate Burroughs
567327	120216	Peg Mullen
567327	120692	Mollie Malloy
567327	121861	Host (segment Lucille Ball Sa
567327	126502	Herself
567327	132438	
567327	138671	Narrator
567327	138717	Herself
567327	141109	Gloria Burbank
567327	147918	Herself - Co-host
567327	149932	Martha
567327	157464	Herself
567327	161254	Herself (interviewed)
567327	161394	Herself
567327	165302	Herself
567327	170400	Herself
567327	170406	Herself
567327	170407	Herself
567327	170414	Herself
567327	175526	Herself
567327	175528	Herself
567327	175534	Herself
567327	175544	Herself
567327	175546	Honoree
567327	176379	Herself
567327	186103	Alberta Johnson
567327	190209	Beatrice O'Reilly
567327	190617	Miss Hannigan
567327	206349	Florence
567327	210889	Herself
567327	218711	Herself
567327	222491	Herself
567327	234594	Dotty Otley/Mrs. Clackett
567327	241117	Princess Winnifred
567327	241118	Princess Winifred the Woebego
567327	241119	Queen Aggravain
567327	241358	Herself
567327	245247	
567327	253843	Tillie Schlaine
567327	257904	Karen Nash/Muriel Tate/Norma 
567327	267979	The Wife
567327	282536	Herself
567327	292042	Vivian Levinson
567327	301867	
567327	308849	Herself
567327	313378	Miss Grebs
567327	314587	Herself
567327	328078	Dori Grey
567327	330818	Herself
567327	340908	Mrs. Hammerbotham
567327	352697	Host
567327	358805	Herself (1988)
567327	358825	Herself
567327	360741	Katherine 'Tulip' Brenner
567327	362329	Herself
567327	363310	
567327	364330	Stella
567327	379716	Mrs. Johnson (1976)/Verla Gru
567327	383493	Skit characters
567327	383494	Various
567327	383495	Hostess
567327	383496	Hostess
567327	383711	Co-host - part VII
567327	383802	Herself
567327	385285	Herself
567327	387672	Regular
567327	389356	Charlotte Kensington
567327	389769	Regular (1959-62)
567327	396350	Theresa Stemple #3 (1995-1999
567327	396643	Eunice Higgins (1983-1985)
567327	400759	Herself (1958)
567327	401045	
567327	406376	Celia (1956-57)
567329	366015	Kid at the Race Park
567330	365972	Arabian Woman
567331	89643	Mary Johnstone the American
567331	99819	Princess Josephine
567331	115426	Waitress
567331	135211	Marianne
567331	142337	Helen Wahlman
567331	240313	Monica Falk
567332	34729	
567332	329622	Petrol Pump Attendant
567332	381661	Various Roles (1972)
567333	9939	
567334	359798	Billie
567335	226895	Old Woman
567335	348379	Lady in pub
567336	88177	Museum Curator
567336	92871	
567336	102585	Narrator (English version)
567336	200960	Mlle Borms
567336	229112	Stephanie, Jobert's Secretary
567336	258967	Mother
567336	263758	Newscaster
567336	325976	Woman, Talk Show
567336	391359	Alice Toklas
567336	397938	Maid
567337	154760	
567338	146461	Vecina que juega
567338	165787	Wolfgang's girlfriend
567339	184127	Annie Mae
567340	40535	Banks Child
567341	60753	Tommy's Mom
567342	88988	Belinda Sweetacre
567342	316926	Model
567342	378753	Lottie
567343	58488	Sarah Degree
567343	226959	Crazy Girl
567344	238704	Helen Burton
567345	354953	Harley's Girlfriend
567346	239700	Tina as a child
567347	237963	Manette
567347	335635	The Maid
567348	9128	Radar Room Controller
567348	163493	Nurse
567348	244430	
567348	316501	Woman
567348	324899	Teacher
567348	382419	Elizabeth Henderson Logan (#2
567349	88988	Vicki Sweetacre
567349	316926	Model
567350	71254	Model
567351	151609	Teenage Neighbor
567352	113152	Bio-Hazard Cop
567352	133212	Extra
567352	154051	Dr. Wanda Hoffman
567352	273869	Mary Magdaline
567353	270522	Amy
567354	293020	Laura Nash
567355	114651	Madeline
567356	400	Grocery Checker
567356	16899	Dejected Fan
567356	45780	Alice
567356	99469	Miss Thompson
567356	99470	Miss Thompson
567356	190269	Commissary waitress
567356	224224	ICU Nurse
567356	245838	Mary the Teller
567356	275791	Mrs. Lachman
567356	325058	Ms. Hooker
567356	333361	Susie
567356	350434	Detective #1
567357	62784	Anna
567358	108087	Dancer
567359	319554	Spanish Hooker
567360	38583	Guest
567360	40441	Secretary at Operations Desk
567360	163245	Assistant
567361	227309	Computer, Jamie
567362	269880	Young Carrie
567362	284003	Girl
567362	366433	Paula Jackson
567363	65022	Lauren Aufiero
567363	154447	Hippie girl
567364	76384	Monique
567364	274323	Regina (episode "Talk To Me B
567365	112192	Maya
567365	115311	Taka
567365	178009	Madame Lulu
567365	195362	
567365	205830	Paramedic
567365	217616	Momoko
567366	96990	Girl at Pool
567366	103478	
567366	154895	Secretary
567366	247359	
567366	356156	
567367	318905	
567368	26959	Betsy Dooley
567368	28482	Annie Flagg
567368	56262	Mickey Bolen
567368	57638	Ellie
567368	61768	Lily
567368	87541	Jennifer Fitzgerald
567368	106493	Julie McCann
567368	113412	Nora Rogers
567368	127529	Louise
567368	139135	Beth
567368	166643	Savanah Goodyear
567368	220048	
567368	222806	Kristan Solomon
567368	257264	Marti
567368	269765	Katie
567368	315261	Rachel
567368	331042	Justine O'Neill
567368	334187	Child
567368	348431	Nina
567368	364693	Janice Emmons
567368	365868	Shanna Harper
567368	379828	Dorothy Jane Torkelson
567368	408584	Dorothy Jane Torkelson
567369	26580	Vendeuse de la bijouterie
567369	43399	
567369	52581	Paul Grayle
567369	55597	Germaine
567369	57288	Catella
567369	58254	
567369	58884	
567369	84620	
567369	111083	Adrienne
567369	122906	
567369	195217	
567369	216002	
567369	230674	
567369	248422	
567369	254070	
567369	280560	
567369	328048	Dominique Ancelin
567369	338592	Mme Marchandot
567369	345480	
567370	31738	Merry Merry
567371	255009	Mahina
567372	49339	Jackie Boone
567372	50040	Hortense
567372	61254	
567372	75859	
567372	85867	Consuelo Velasco
567372	106654	Louise Taine
567372	114848	Liz
567372	126585	Lenore De Marney
567372	143421	Helen Moreland
567372	146826	Barbara Brereton
567372	148355	Margaret Warren
567372	164374	Doria Cabrillo
567372	177224	Betty Paxton
567372	214122	Daisy Jones
567372	241885	Cressy
567372	253837	Gertie Cobb
567372	271853	
567372	277986	Millie Erne
567372	301061	Alberta Ruyland
567372	331598	Amy Green
567372	337334	Elicia
567372	340328	Marie
567372	348530	Eloise Barrison
567372	361766	Betty Gray
567373	297203	Maud Buck
567374	21518	Mabel Morton
567374	194547	Lorelei
567374	196121	Clare Nelson
567374	240777	Margaret Desmond
567374	263534	Violet
567374	364403	Dorothy Taylor
567375	148258	Chastity
567376	313608	Susan
567376	317309	Executive #2
567377	53059	Sunshine
567378	110515	Elaine
567379	183974	Lahoma
567380	157968	Herself
567381	114694	Staci
567381	125433	Tyler
567381	269855	Nurse
567382	48217	Nurse #1
567383	45533	Doris Meade
567383	117238	Willadean Wills
567383	156940	Susie, age 6
567383	175810	Gloria Morrow
567384	356454	Tracy
567385	234083	Narella
567386	223065	Jessie Shyball
567386	394276	
567387	83962	
567388	33644	Prefect
567388	88884	
567388	183670	Student
567388	236081	Jean
567388	348391	Lucette
567388	372193	Harem Girl
567389	301275	Marjorie Blake
567390	149954	Extra
567390	158226	Extra
567390	272440	Market Square Extra
567391	190994	Yuppie Girl
567393	154315	Mary
567394	2511	Old Woman
567395	23211	Singer in casino
567396	352405	The Sister
567397	329915	Weather Reporter
567398	342831	
567399	161757	Girl in Car
567399	241762	
567399	279845	Teen Prostitute
567399	339359	
567400	156	Master's Wife
567401	20625	Extra
567402	31888	
567402	60308	Orphan
567402	61779	Clayton child
567402	107782	
567402	134247	Garrity kid
567402	188228	Adams child
567402	303241	Abigail
567402	303508	Undetermined Child Role
567402	364280	
567403	79049	Vampire
567404	129982	Sunshine
567404	143443	
567405	155072	Sheila Kyle
567405	230933	Authoress
567405	268542	Sunbather (2nd victim)
567405	317451	Secretary
567407	276328	Loser's Girlfriend
567408	32466	Cheerleader
567409	1743	Herself - Co-host
567409	31184	Herself (Blue Team)
567409	81287	Eva
567409	215664	Host
567409	297190	Katrina
567409	381442	Jessie Owens (1998-2000)
567409	386618	Host
567409	400553	Peg
567409	408369	Herself/Guest Panelist (2000-
567410	27140	Dorothy Graham
567410	79858	Greta
567410	89585	Shirley
567410	95499	Clara
567410	126624	Paorle Board Chairman
567410	168597	Biljana
567410	195931	Mavis
567410	196843	Julie Vane
567410	204141	Maudie Plover
567410	305343	Pamela
567410	313828	Teacher
567410	316969	Agnes Doig
567410	379744	Mrs. Slope
567410	386463	Cairns's secretary
567410	387939	Anastasia Hayes
567410	396001	Eleanor
567410	402197	Franky Doyle (1979)
567410	402599	
567410	403929	
567411	13619	Pidge Earhart
567411	56893	Sara Faber
567411	62991	Mrs. Dickens/Mrs. Fezziwig
567411	73987	
567411	185679	Rhoda
567411	209115	Hester
567411	210661	Patricia
567411	232048	Celeste Davillo
567411	268912	
567411	274343	Marcia Davidson
567411	342851	Judith Gap
567411	395660	Sara
567411	400236	Cathy Craig Lord (#1) (1969) 
567411	411400	Lori Cook
567412	31439	Stella
567412	76526	Fan #1
567412	87829	Sandra
567412	105312	Judith
567412	165422	Woman in Vegas Show
567412	175223	Debbie
567412	212687	Evie
567412	232321	Deli Customer
567412	267653	Tanya Hewitt
567412	292148	Amelia Sims
567412	395229	Mona
567412	396599	Caroline Miller (2000-2001)
567412	400910	Heather Pond
567413	247930	
567414	161927	Grandma
567415	160888	Cricket Burns
567416	3148	Cecily Farr's daughter
567416	380391	Nancy McGowan #1 (1984-1987, 
567417	141746	Blonde Gentile Girl
567418	229428	News Anchor
567418	263740	WLS Anchor
567418	279273	Newscaster
567419	22036	Rodker's Maid
567420	70178	Betsy
567421	361746	
567422	112599	Mrs. Ayre
567423	206536	Herself - Pianist
567424	14620	
567424	27148	
567424	154154	
567424	186700	The Drunk's Date
567424	316234	Diane's Aunt
567424	319459	Mrs. Hayes
567424	339375	
567425	193833	
567425	193834	
567425	193836	
567426	363362	
567427	278083	Herself
567428	99856	Bit Part
567429	205942	
567430	11384	Young Amy
567431	358832	Herself (Imagineer)
567432	66636	Townswoman
567433	3279	Girlfriend
567433	61319	Darcy
567433	176751	Scarlet
567433	193175	Kerry Miller
567433	215507	Cheryl Frasier, Miss Rhode Is
567433	215508	Cheryl Frasier
567433	236691	Lily
567433	343201	Meryl Brooks
567433	366872	Emily Burke
567433	372072	Lydia
567433	372372	Christina Plutzker
567433	381499	Beatrice Felsen
567433	400236	Herrick (#1) (1996-1997)
567434	59126	Leah Harmon
567434	155909	Mrs. Buxton
567434	238637	Mrs. Blume
567434	349022	Ruby Blue
567434	375909	Consuelo
567434	380189	
567434	404409	Aunt Pittypat Hamilton
567435	202869	Waif
567437	290231	Marnoosh
567437	329703	Partygoer
567438	302362	Airline Clerk
567439	83949	Carol
567440	329025	Nurse
567441	56085	Louison
567441	66126	Jody
567441	99393	
567442	278361	Jodhpur girl
567443	23211	Singer in casino
567444	142518	Gabrielle Apollinaire
567444	169173	Azabeth Siege
567444	169174	Azabeth Siege
567444	169175	Azabeth Siege
567444	169176	Azabeth Siege
567444	169177	Azabeth Siege
567444	169178	Azabeth Siege
567444	189248	Kim
567444	232373	Illyra
567444	262085	Trakeena
567445	37681	Butter Girl
567446	274393	Lady Donut
567447	8086	Joy Unit
567448	23960	Angelina
567449	148976	Maizie Middletown
567450	104967	
567450	410827	Herself - Correspondent (1988
567451	68013	Duke of Ephesus/Luce
567451	248386	Hottie
567452	41393	Reporter #3
567453	265758	The Woman's Friend
567454	245207	Threesome Partner
567455	241613	Joanna
567456	217820	Student #1
567457	28493	Molly Kelly
567458	80723	Voice artist (teenage girl)
567459	300533	Music Video Woman
567460	137541	Rooftop Hooker
567461	170	
567461	21174	
567461	31221	
567461	57372	Dolly Van Dream
567461	75312	
567461	115845	Malvina
567461	134098	Madge Rockingham
567461	229735	
567461	299784	Ena
567461	319249	
567461	335641	
567461	402888	Herself
567462	115521	
567463	25417	Fishsticks
567464	13794	Tracy
567464	293020	Dr. Roberts
567465	299073	Grady daughter
567465	352962	Herself
567466	299073	Grady daughter
567466	352962	Herself
567467	49335	Dudka's Wife
567468	244432	Flight Attendant
567470	27332	Ruth
567470	339389	
567472	23211	Singer in casino
567473	43877	Sally Hardesty (The Texas Cha
567473	97030	Faye
567473	122214	Dorothy Grim
567473	142716	Linda Kasabian (Manson girl)
567473	178032	Nora Dennis
567473	328553	Sally (The Texas Chainsaw Mas
567474	44464	Alice Trevor
567474	46608	Zelda
567474	79688	Alice Gordon
567474	84934	
567474	92959	Working Girl
567474	115632	Marian Leslie
567474	130899	Helen Sheppard
567474	208972	Kate Riley
567474	223397	
567474	239400	Betty Rankin
567474	248444	Linda Carter aka Princess Nat
567474	278656	Ann Baker
567474	294198	Dale Jordan
567475	45640	
567475	139676	
567475	145574	Trina
567475	171334	
567475	185085	Sally
567475	190056	Gwen Maclean
567475	193889	Cathleen
567475	205731	Lisette Boudreau
567475	222693	Alice Malinson
567475	230411	Maura
567475	246683	Melda
567475	264608	
567475	300815	Ms Bradford
567475	304240	Swim coach
567475	329342	Dr. Rosemary Dove
567475	337280	
567475	362307	Aunt Izzie
567475	381112	Kelly
567475	405652	Ellen Fanshaw
567475	406621	Counselor
567476	88654	
567476	106654	
567476	171258	
567477	8086	Mary Unit
567478	156852	Dora Judson
567479	109714	Willy
567479	273267	Amelia Biggins
567480	2000	Hannah
567480	189167	Teresa
567481	100109	Grace
567481	130903	Counter Girl
567481	185182	Boo Hoo Lady
567481	242621	Jill
567481	351209	Madame Blueberry
567482	30646	Woman #1
567483	188236	
567483	240201	
567484	244913	
567485	211533	Mermaid
567486	325218	Hooker #1
567487	107617	Lauren
567488	45638	Doctor (segment "Bumping Head
567488	47496	Female Shopper
567488	49489	Doctor
567488	69063	Molly
567488	115562	Party Guest
567488	158722	True Bonanza
567488	164641	Hospital patient
567488	166570	Tori
567488	230857	Pickles
567490	188121	Lady Golfer 2
567491	200324	Herself (New York University)
567492	360798	Beaver
567493	15240	Deborah
567493	16124	Kathy
567493	48947	Janice Scalson
567493	248243	Townsperson
567493	346372	Mother
567493	351928	Social Worker
567493	360772	Joanne's Mother
567494	182947	Nurse
567495	222638	Undetermined Role
567496	24703	Little Girl at Playground
567497	52570	Ophelia Rupert
567497	217339	Iva
567498	184814	Little Inuit Girl
567498	358612	Christy
567499	177204	Waitress
567500	257760	Phone Caller
567501	31888	
567501	61779	Clayton child
567501	198867	Macduff Child
567501	203309	
567501	359798	Undetermined Role
567501	364280	
567502	303905	Cindy
567503	147667	Ilsa
567504	371962	Sister of Freya #2
567505	7193	
567505	61962	Lillian
567505	83154	Claire
567505	83604	
567505	107047	
567505	141381	Kate Merry
567505	143443	
567505	214108	Maid
567505	224713	Rosa Bud
567505	240013	Oliver Twist
567505	277653	Claire Gage
567505	280492	
567505	301726	
567505	309272	Mary Carroll
567505	310650	
567505	327623	Everygirl
567505	340324	Ruth Moreland
567505	361746	
567505	365291	Trixianita
567505	367561	The Woman of Mystery
567507	234913	
567508	35576	
567508	56749	Woman
567508	134058	Mrs. Carter, widow
567508	183429	Operator
567508	186789	Mrs. Tuttle
567508	367628	
567509	398737	Ruth Clapham
567510	275602	Spectator at Tigers game behi
567511	377715	Chloé
567512	340845	Herself (interviewee)
567513	306953	
567514	325784	Frau Kurz
567515	352197	
567516	101055	Female Russian radio operator
567516	379840	Schwester Barbara (-2002)
567517	119256	Tatjana
567518	371374	Extra
567519	340754	Mrs. Bean
567520	145032	The Girl
567520	361903	Grace Hamilton
567522	44465	Schoolgirl
567522	61578	Ruth
567522	84920	
567522	116538	Valerie, Age 14
567522	223733	Laura
567522	232285	Willa Shawn
567523	380713	Claire English Lowell Cassen 
567523	384351	Dr. Kate Morrow
567523	390606	Eve Allen (1954-1955)
567523	400240	Herself/regular panelist
567523	410669	
567524	30646	Student
567524	62778	Dancer
567524	202195	Roseland Dancer
567524	298090	Ava
567525	380535	Eduarda Patiño
567525	383867	
567525	387916	Isabel Margarita
567525	392992	
567525	396941	Andrea
567525	400419	Anita Solari
567525	404292	
567525	406852	Soledad Campos
567526	12610	Parrish's Girl
567526	81320	Secretary to NY DA
567526	188509	Owner of Honda
567526	289558	Woman at Babylon Club
567526	321237	Assistant cameraperson
567526	385297	Katherine Blake
567527	365232	The Director
567528	327584	Herself
567529	160416	(segment "Within Ten Minutes"
567529	185131	Nurse
567529	328792	Sara
567529	385824	Barbara Stewart (1986-1987)
567529	396123	Noreen Volchek Donovan, R. N.
567530	259405	Madelaine Wesley
567531	2132	Babysitter
567531	62076	Mulwray's secretary
567531	72111	Seamstress #1
567531	151304	Mrs. Gromulka
567531	176851	
567531	190711	Mrs. Patterson
567531	206856	Nancy West
567531	230751	Brenda, Saleslady
567532	65683	
567533	224091	Lesbian couple
567534	46742	Mother
567534	263360	Saleswoman (Beverly Hills)
567534	308018	
567536	344519	Grunts, Screams, Groans and G
567537	100196	Mother
567538	208527	Short Girl
567539	34945	
567539	50353	
567539	91624	
567540	151045	
567541	53218	
567542	288088	Nina
567543	252956	Maria
567543	347537	
567544	193975	Receptionist
567545	190952	Clark
567546	205200	Vicetiple 3
567546	274523	Chica Gales
567546	283683	
567547	58170	Chorus Girl No. 5
567548	21291	
567548	46707	Jill Hargreaves
567548	171028	Esmeralda
567548	185604	Lotus Devine
567548	192406	Amy March
567548	263587	Kitty Ruston
567548	349987	
567549	134037	Receptionist
567549	367623	Stage Box Committee
567550	263339	Marjorie
567552	16419	Mother (Piedmont)
567552	45050	Other woman (water-swallowing
567552	51758	Woman Pharmacist
567552	62938	Librarian
567552	71252	Gil's Gas Station Customer
567552	74975	Mrs. Mockridge
567552	84854	2nd Cultist
567552	118763	Mental Patient
567552	154516	Pacing Patient
567552	186423	
567552	217537	Susan Talgo
567552	224405	Millie
567552	232238	Waitress in Diner
567552	233692	Aunt Rhea
567552	245458	Mrs. Dibble
567552	282918	1st Woman
567552	308004	Supreme Court Judge
567552	318810	Mrs. Margolis
567552	329527	Miss Jones, Roger's Secretary
567552	353418	
567552	364325	Mother
567552	400208	
567553	161215	Herself (sister)
567554	139623	Herself
567555	72319	Lady
567556	48948	Tyler's Teacher
567557	27125	Katyana
567557	37472	Gail
567557	53050	Gwen Nowicki
567557	104916	Dawn Perlin
567557	178063	Mrs. Newman
567557	185474	Vie
567557	192001	Rita
567557	273241	Nun #1
567557	279185	
567557	286516	Charlotte Otto/Mrs. Samantha
567557	289260	Gladys
567557	331112	Ann Hobson
567557	363871	
567557	364446	Villager
567557	389378	Various Characters
567557	393227	Nancy Mincher
567557	400853	Helen Buckman
567557	408144	Meredith
567558	197236	
567558	197262	
567559	80136	Inga
567559	80583	Directing teacher
567559	260362	Mrs. Stonefeller
567559	383654	Annabelle Catlin (1983-1984)
567560	7618	Meg
567560	39757	Annette
567560	65963	Lorna Dawson
567560	66912	Ada Doom
567560	67313	Joan Forsythe
567560	83918	Emily Galt
567560	107800	
567560	120799	
567560	124594	Dr. Baring
567560	142384	Judge
567560	165449	Lady Eshton
567560	186058	Miss Porly
567560	194513	Dr. Baring, the Warden
567560	203138	Janice
567560	227014	Minnim
567560	248665	Harriet
567560	252983	Grace
567560	282108	Honor
567560	339352	Mrs. Greenway
567560	345865	Madame Perrier
567560	367903	Bates
567560	368136	Grandma Oliver
567560	380344	Princess Myagky
567560	386233	Miss Beasley
567560	388550	Keelag
567560	395830	
567560	403464	Mrs. Cowie
567560	405525	Lady Rochford
567561	372134	Newcomb's Secretary
567562	37374	Jack's String of Women
567563	400236	Jinx Rollins (1984-1985)
567564	190306	Linda
567565	17280	Cis (segment "Program")/Yoko 
567565	18549	Kathy
567565	25805	Kathy
567565	35631	Yoko
567565	48939	Roy
567565	51635	Mallory
567565	81057	Cindy
567565	113332	Yuna
567565	113333	Yuna
567565	118548	Madeline 'Maddy' Wirtz
567565	126713	Melissa Parks
567565	155888	Linda Barrows (segment "1974"
567565	177633	Yuna
567565	194250	Belinda
567565	242515	Gloria Hobbs
567565	265524	Cis
567565	293011	Brook Borchardt
567565	301974	Julie Patterson
567565	321536	
567565	332396	Anne Avery
567565	349860	Ruthie Walker
567565	382554	Wyleen Pritchett
567565	384492	Alex McLaren
567565	385552	Susan Cole (pilot episode)
567565	388801	Ellie Pearson
567566	296035	Janice
567567	327906	Maria
567568	143531	Old Amazon Woman
567568	143538	Haggard Woman
567569	10305	Gran
567569	282921	Mrs. Spindle
567570	379267	Herself
567571	58526	Sally
567572	58526	Young Sally
567573	51855	Egyptian Lady
567574	62992	Anne
567574	118466	Nurse
567574	124594	Shrewsbury graduate
567574	194513	Shrewbury graduate
567576	381436	Maya (1999-)
567577	7952	Fireman
567578	330881	VeeJay
567578	341842	Yellow Ranger/Tanya Sloan
567578	346198	Paige
567578	402007	Tanya Sloan/Yellow Turbo Rang
567578	402009	Yellow Zeo Ranger/Tanya Sloan
567579	194765	Rebecca at 13 Years
567580	51800	Mrs. Havercamp
567581	252825	Art Department Girl
567582	363261	Hotel Maid
567584	346276	Club Lady
567585	26394	Carey Lanely
567585	139199	Felicia Storm
567585	226966	Mary Kyle
567585	241726	Mrs. Cooper
567585	301654	Ruby Saltemeir
567585	335563	Dody Teachman
567585	385824	Gretchen Lindquist (1991)
567585	400236	Officer Stacey Giordano (1987
567585	404282	Dr. Jamie Lawrence (1990)
567586	20950	Molly
567587	116961	
567588	99287	Elizabeth's Dwarf
567589	1015	Bobbie Kidd
567589	17695	Mrs. Amelia Evans
567589	40506	Lexie
567589	54923	The Spirit
567589	54953	Frau Teacher
567589	57380	Grandma Windsor
567589	58541	
567589	60075	Mrs. Ferguson
567589	80639	Vera Smith
567589	87907	Narrator
567589	97007	
567589	99297	Elizabeth Smart
567589	99604	Dodger
567589	102590	Gail
567589	105354	Granny Dollar
567589	113371	
567589	116675	Dr. Treger
567589	125818	Mrs. Smith
567589	134274	Katherine 'Kate' Flynn
567589	136277	Aunt Budge
567589	138737	Hetty King
567589	140347	Lulu
567589	141706	Katherine
567589	151299	Narrator
567589	161639	Eleanor
567589	168462	Missus
567589	169950	Joan Smith
567589	176482	Woman agent
567589	185424	The Runner
567589	190924	Grandmother
567589	194706	Fay Vaughn
567589	213023	Lilian
567589	218183	Wanda
567589	224257	Old lady at pool
567589	229872	
567589	232158	Dr. Matthews
567589	232347	Queen Victoria
567589	235545	
567589	240935	Flora
567589	245092	Maria Mitchell
567589	245710	Emmaline Ozmondo Fingal
567589	255894	Julia
567589	257434	Sir Ian Ball-Worthington
567589	266561	Jane, a Therapy Group Member
567589	267586	
567589	276039	Betty
567589	277480	Mrs. Walnut
567589	283569	The old lady
567589	293007	Mrs. Riordan
567589	306201	
567589	320039	Woman at Anouk's
567589	323570	Mrs. Forbes
567589	331391	Herself
567589	342371	Mother
567589	346259	Nancy Galik
567589	359573	Miss Davenport
567589	359716	Tosca
567589	363712	Mrs. Yancey
567589	365763	Henrietta Stiles
567589	366451	Maryse Holder
567589	370872	Herself
567589	380246	
567589	383842	Prof. Hannah Cohen
567589	385140	Caitlin Crawford
567589	387987	Dorothy
567589	388012	Morag/Tulgah Witch (1985-1986
567589	389561	Mona 'Mother Mucca' Ramsey
567589	391096	
567589	398208	Mona 'Mother Mucca' Ramsey
567589	398776	True Crimes Performer
567589	399893	Voices
567589	403490	Hetty King
567590	385104	Emily
567591	20989	Herself
567592	294829	Margrite
567593	67593	Other Woman
567594	8207	Herself
567595	147885	Sandy
567597	97532	Shannon
567598	292010	Zaile
567599	153737	Die Sandmännchen
567599	339367	The Plaintiff
567600	118977	
567601	80696	Joyce Cream
567602	115249	Ryan's Mother
567602	134570	Tammy
567602	224330	Prostitute
567602	273346	Social Worker
567602	299193	Julie Evans
567602	307899	Checkout Girl
567602	381799	Viv
567602	402610	Sandra Docherty
567602	402611	Sandra Docherty
567602	405048	TV Woman
567603	42056	The Good Ole Boys
567603	103261	Fight Guard
567603	174508	Tad
567603	232093	Fifth Avenue cop #2
567603	363528	Goon
567604	147254	
567604	319006	
567606	48947	Nelly Scalson
567607	226931	
567608	104417	Lisa
567609	224046	Miss Joy
567609	384097	Sophie (1996)
567610	100026	Kathy Glover
567610	382838	Lisa Morrisey (2000)
567610	387533	Katherine Elisabeth (Kathy) B
567610	393925	Herself/Singer
567610	405766	Host (Series 1)
567612	37243	Jules
567612	64400	Nan Mahon
567612	81731	Dr. Susan McCallister
567612	101462	Claire Romilly
567612	115130	Dara
567612	120080	Gracie
567612	123101	Muriel Colbert
567612	123874	Karen
567612	133376	
567612	144682	
567612	150524	Duchess of Malfi
567612	150554	Melissa Morrison
567612	154072	
567612	158358	Girl in Commune
567612	194684	English/Italian Twin
567612	196363	Zoey
567612	207706	Moira Kennedy Kelly
567612	215563	Miss Julie
567612	230279	Quinn
567612	241605	Supermodel
567612	243148	Herself
567612	252854	Lilly
567612	253920	Story Narrator
567612	295466	Mairead
567612	304296	Alicia
567612	307628	Sarah
567612	327627	Lilly LeBlanc
567612	328461	Woman
567612	333391	Emma
567612	340652	Andromache
567612	361169	Jodie
567612	366134	Lt. Cmdr. 'Angel' Devereaux
567612	384587	Sandra Sollars
567612	394163	Sandra Sollars
567613	113825	Fire Maiden
567614	399345	Herself - Judge
567615	16255	
567615	63098	Mrs. Claus
567615	143280	Grandmother
567615	261054	
567615	262085	Receptionist
567615	347924	Matron #1
567616	345501	La fliquette
567617	224895	Herself
567618	303284	Renee (Age 12)
567619	174918	KEl
567620	7987	Dr. Amanda Selph
567621	22651	Second Woman
567621	362025	Angie
567622	358846	Miss Måneskin-pige
567623	30702	Mary on TV
567623	170980	Secretary
567623	240818	Sister Marcie
567623	302209	
567624	83230	Russian Girl
567625	232456	Friend in Mourning
567626	16776	
567626	82598	Katherine
567627	7619	Driving Woman
567627	8026	Kerri Ingram
567627	38103	Louise
567627	40101	Carmen
567627	60279	Julie
567627	101725	
567627	130094	Esther
567627	131632	
567627	133706	Miss Deevil
567627	143950	Margy Donald
567627	164552	Martha Logan
567627	167597	Paula
567627	210485	Dee Tanner
567627	230412	Virginia
567627	279604	Suzy
567627	288756	Sheila
567627	302763	Billie Russell
567627	305343	Rhonda
567627	310997	Sister Abbott
567627	385759	Various (1975)
567627	391248	Hilary Scheppers (1996-1997)
567627	391486	Det. Sgt. Anne Burke
567627	391869	Lois Crawford (1991)/Stella P
567627	394506	Policewoman Jaybee Giddings
567627	401173	
567627	402197	Sonia Stevens (1983-1984)
567627	405616	Louise Carter (1979-1981)
567627	408074	Liz Maddocks
567627	408632	
567627	409571	
567627	411187	Margaret Hill
567627	411239	
567628	75975	
567628	95950	Young Girl
567628	215214	Irena Ochódzka
567628	237869	Secretary Grazyna
567628	373497	Girl
567628	378728	Inspektor Pierzchala
567628	385592	Zosia Romañska
567629	68225	Art Nun
567630	49345	Boy's Mother
567631	103328	
567631	151503	Stock player
567631	175750	Agnes Logan
567631	185474	Resident
567631	203073	
567631	274497	
567631	281851	
567631	361841	Pioneer Woman
567632	407531	Victoria No. 1
567633	11384	Lunching Lady (Sheila)
567634	318798	Lola Jones
567634	352473	Veronika
567635	383217	Co-Host (2001)
567635	411941	Interact Correspondent (2001)
567636	119869	Millie
567637	53787	
567638	179712	Herself
567639	250525	Neighborhood Kid
567640	11111	
567640	26282	
567640	34079	Janet
567640	41086	Little Girl Singer and Piano 
567640	41087	
567640	52647	Janet
567640	77838	Janet
567640	89363	
567640	98823	Janet
567640	108396	Janet
567640	127792	'Butch' Sullivan
567640	158331	
567640	192059	Janet
567640	210324	
567640	270615	Janet
567640	282521	Janet, 'ofishal skorer'
567640	320006	
567640	323703	Janet
567640	331616	Janet
567640	358535	
567641	386963	Sandra Greene (2000-)
567642	1703	Herself
567642	2305	Herself - Presenter
567642	2330	Herself - Co-host
567642	2592	Herself
567642	2613	Herself - Co-host
567642	2894	Herself (Presenter)
567642	3021	Herself - Past Winner
567642	5881	Margaret Yablonski
567642	5917	Herself
567642	10319	Beth Morrison
567642	10702	Alice Hyatt
567642	26471	Emily Haberman
567642	47363	Herself
567642	48237	Rika
567642	57815	Esther Moskowitz
567642	62677	Presenter/Narrator
567642	67378	Kate O'Rielly
567642	73784	Maura
567642	80852	Yvette Watson
567642	80937	Mrs. Stocks
567642	81490	Herself
567642	81547	Mook
567642	87859	Voice Over
567642	88090	Viviane Joan 'Vivi' Abbott Wa
567642	89099	Mother
567642	92155	Ma
567642	95796	Mrs. O'Neil
567642	96975	Herself
567642	105891	Chris MacNeil
567642	110288	Herself
567642	114679	Ruby
567642	115011	Laura Strong
567642	116535	Gretel
567642	117281	Dr. Pauline Thayer
567642	118234	Lillian
567642	126672	Jo Giacalone
567642	126705	Arlie's Mother
567642	131721	Franny Salzman
567642	132813	Mademoiselle Reisz
567642	138440	Katalin
567642	139610	Shirley Mallard
567642	142540	Herself
567642	151625	Hy Dodd
567642	153147	Herself
567642	154396	
567642	157895	Herself
567642	161525	Joan Walker
567642	177407	Sally
567642	185537	Lois Farrow
567642	185538	Herself
567642	194164	Mary Todd Lincoln
567642	201741	Herself
567642	206854	Narrator
567642	210634	Herself
567642	211516	Trish Gill
567642	214972	Herself
567642	221267	
567642	221287	Lillian 'Lil' Lambert
567642	223772	Helen
567642	232017	Herself
567642	232186	Maggie
567642	243950	Herself
567642	244918	Iva Mae Longwell
567642	246249	Barbara Jackson
567642	250779	June Clatterbuck
567642	252481	Jean Harris
567642	255355	Herself
567642	257744	Mildred
567642	266136	Sonia Langham
567642	274069	Grandma Dolarhyde
567642	276085	Sara Goldfarb
567642	276424	Edna Mae McCauley
567642	281464	Judith
567642	286614	Doris
567642	292139	Herself
567642	297790	Joan Delvecchio
567642	301541	Olive Frederickson
567642	307137	Herself
567642	308071	Lynn Hollander
567642	311408	Hannah Ferguson
567642	320100	Tina Brogan
567642	323564	Wilma
567642	328553	Mrs. MacNeil (The Exorcist)
567642	332153	Lynne Evers
567642	333421	Maud Gannon
567642	339566	Frances Griffin
567642	340372	Mona Miller
567642	342459	Kate MacKenzie
567642	358634	Mattie Rigsbee
567642	362675	Emily
567642	362865	Herself (passage narrator)
567642	363247	Nurse Cooder
567642	366251	Ellen McLeod
567642	366898	Joan Thomas
567642	370648	Val Handler
567642	372102	Shirley Cooperberg
567642	386603	Dr. Kate Bartok (1964-1965)
567642	387481	Ellen Brewer
567642	393011	Julie Parsons (1966-1967)
567642	411176	Veronica Steward
567643	63779	La voisine du bungalow
567644	95946	
567644	244208	Actress
567644	394585	Elzbieta Lubicz Chojnicka
567645	158113	Dorothy
567646	213324	Fury
567647	29488	Sister Hatch
567648	235386	Woman at Auction
567649	35788	Betty Burke
567649	50812	
567649	311031	Audience
567650	68680	Susan
567650	77650	Sister
567650	291233	
567651	55847	Giulia
567651	56012	Entreneuse
567651	56051	
567651	228151	Silvia
567651	230441	Xayide
567651	342098	
567651	365900	
567651	380986	Coral
567651	387305	
567651	407518	Herself (4th Executed)
567652	142628	Michelle
567652	271094	Michelle
567653	359286	
567653	372433	Carhop
567654	24430	Valet attendant
567654	68940	Police Officer
567654	77676	Cocktail Waitress
567654	351187	Casino Guest
567654	364300	Herself
567655	195426	Mrs. Quinn
567655	289703	
567655	306760	Mrs. McBride
567656	229728	Coach Passenger
567657	327628	Office Worker
567658	371374	Extra
567659	20550	
567659	27935	
567659	45027	Margaret Hunter
567659	127161	Mrs. Finch
567659	133735	Doll woman
567659	155695	Marjorie Travers
567660	81542	Anna
567661	290397	Pam
567662	80855	Agnes
567662	128891	Liz
567662	141158	Anaesthetist
567662	194809	Nurse two
567662	381212	Pat Coombes
567662	387533	Denise Carter (2000)
567663	19344	
567664	209594	Carol McAlister
567664	399224	Amani
567665	255697	Cranky Lady Passenger
567666	185710	Patsy Ruth
567666	411753	Secret word girl
567667	257782	Herself (Author)
567668	39564	ER Doctor
567668	273480	Student
567669	184981	Pretty Girl #4
567670	56660	Nicola
567670	68304	Commander Clare Blake
567670	106982	Narration
567670	117745	Rachel Monroe [alias Carla Ha
567670	127557	Lynn
567670	191636	Rachel Lewis
567670	201621	Narrator
567670	259779	Aunt Polly
567670	262614	Rosie Willis
567670	363734	Laura Tracey
567670	382506	Margaret Daly (1988)
567670	382838	Heather Haversham Huntingdon 
567670	391308	Helen West
567670	392008	Narrator (2003)
567670	401077	Dr Beth Kerruish, née Glover 
567670	405361	Dr. Samantha Ryan
567670	405361	Dr./Prof. Sam Ryan (1996-2004
567670	406643	Aithra
567671	65934	Margaret as a Child
567672	62815	
567673	80959	
567674	328581	Tong Room Girl
567675	190109	Kathryn's neighbor
567675	350622	Nelly Mann
567678	299654	Old Woman
567679	204522	Runaway Teen
567679	327535	Julie the waiter
567680	15983	
567680	19821	
567680	22976	
567680	25402	
567680	30338	
567680	32776	
567680	41654	
567680	48170	Fen Bernham
567680	50663	
567680	52126	
567680	52128	
567680	52129	
567680	52134	
567680	52138	
567680	52524	
567680	72639	Roby
567680	77288	Mrs. Lester
567680	85815	Vivian Marston
567680	141258	Beppa
567680	141521	Adrienne Gascoyne
567680	143013	
567680	145028	Elsie Burleigh
567680	158203	
567680	163292	The Older Daughter
567680	193699	Helen Mattes
567680	195627	Marie Bolton
567680	203611	Agnes
567680	203721	Vera Patton
567680	203763	
567680	221239	
567680	259764	Evelyn Robertson
567680	269810	
567680	279433	
567680	294618	
567680	309496	Muriel Carr
567680	316834	Mabel Condon
567680	330796	
567680	331056	Angela Earle
567680	336030	Janet Dare
567680	338296	
567680	342582	Rose Burke
567680	348362	Marta Millbanke
567680	367700	
567681	130879	Herself
567681	304741	
567682	129439	Photographer at Nightclub
567682	211385	Sandra Moser
567683	362192	Singing Voice
567684	234669	Girl In Bar
567685	135987	Coffee Carradine
567685	292667	Doris
567686	155888	Young Nurse (segment "1952")
567686	231490	
567686	305458	Reporter #1
567686	321632	Party Guest
567686	387222	Auto
567686	394406	Dena (1993)
567687	240383	Julie Guy
567687	331236	
567688	103302	Debbie
567689	20626	Geisha girl
567689	33398	Club Waitress
567689	141596	Exotic Dancer
567689	300047	Stripper
567689	372052	Kristine
567689	401973	Mature Whore
567690	149307	Young Couple #2
567691	383582	Whore
567692	13541	
567692	26770	Ethel
567692	50264	
567692	61309	
567692	75352	
567692	92000	Ethel, the Cashier
567692	109567	Ethel
567692	119869	Ethel
567692	138284	
567692	140887	Ethel
567692	143887	A Society Girl
567692	145696	
567692	145870	
567692	195496	Ethel
567692	196325	Ethel
567692	211819	
567692	213222	Female Detective
567692	214157	Ethel
567692	216426	
567692	216442	
567692	243259	
567692	244346	Ethel
567692	257854	
567692	263221	
567692	280488	The Girl
567692	290295	The Teacher
567692	310756	
567692	315862	
567692	316338	Ethel
567692	330906	
567692	341017	Ingenue
567692	348515	Ethel
567692	359092	
567693	196434	Champagne Woman
567694	81193	Zydie Rimbauld
567694	134018	INS Attorney
567694	171138	Luna
567694	204522	Young Bunny
567694	327535	Ally the filmmaker/temp
567695	204522	Second Dance Couple Woman
567695	327535	Mrs. Moranski, Jonah's mom
567696	118946	Anna
567697	214924	Olivia
567697	291052	Warrior Woman
567697	333357	Michelle
567698	45286	Jemima
567699	221415	Co-host
567699	244933	Bobbie Chester
567699	273427	Herself/Host
567699	311950	Host
567699	381485	Herself (Host)
567699	400260	Peyton Sawyer
567699	408610	Herself (2000-)
567700	335807	Dancer
567701	113686	
567701	188054	
567701	292293	
567701	295983	
567702	368224	
567703	257963	Actress
567704	51989	Ranch Inmate
567704	52415	Cynthia
567704	65606	Jan
567704	80553	Carmen
567704	83822	Cynthia Hoffman
567704	100008	Emmanuelle (Morph)
567704	102736	Tracy (episode "Hat Check Boy
567704	103449	Julie Clark
567704	120077	
567704	154345	Tiffany
567704	156473	Erica
567704	156524	Amanda
567704	176940	Zoe
567704	215295	Angela
567704	232206	Alison Blair
567704	232293	
567704	257545	Lindsey
567704	274326	Dominatrix #1
567704	274327	Coco/Fire Victim (segment "Ru
567704	296020	Officer Shelley
567704	359858	Samantha
567705	161936	
567705	340702	Tina
567706	13411	
567707	204522	Young Helen
567707	327535	Susan
567708	411130	Sarah
567709	48593	Naolia
567709	257963	Actress
567709	364625	Trixie
567710	124048	Woman in Theatre
567711	10745	Alice
567711	17702	Serving Maid
567711	24143	Helen Blathwaite
567711	37474	Margo
567711	57654	Robin's Friend Cheryl
567711	86037	Connie Posey
567711	90892	Joan 'JJ' Caucus, Jr
567711	99386	Abigail
567711	100117	Cindy Whiting
567711	114298	Woman in Bed
567711	155277	Dorothy Franklin
567711	161244	Herself
567711	169402	Agnes Bolton O'Neill
567711	190273	Mrs. Burns
567711	194289	Herself
567711	195867	Deborah
567711	216184	Katherine Donohue
567711	235547	
567711	237906	Sara Miller
567711	242924	Rest Home Sister
567711	248111	Martha
567711	297179	Marcia
567711	314092	
567711	321446	Carla Cronin
567711	345828	Ophelia
567711	346892	Tracy
567711	387490	Vanessa Ogden
567711	387987	Agatha Bradford
567711	391874	Anne Kramer
567711	398175	Fran Richardson
567711	403344	Herself
567712	113507	Party Guest
567713	26238	Ann
567714	176391	
567716	359573	New Year's Party Musician
567717	387113	St. Alia Atreides
567718	381608	Francis
567719	39685	Warden Logan
567719	117281	College Girl
567719	223965	
567719	252825	Mrs. McKenzie
567719	332440	Janet
567719	403452	Sara Gallagher #2 (1984-1985)
567720	210481	Go-Go Dancer
567721	42308	Stewardess
567721	244364	Bryant's wife
567721	274343	Gwendolyn
567722	195612	Pandora
567723	17702	Beggar Maid
567723	99305	Herself/Baby
567724	55698	Pretty Girl at Zoo
567724	55699	Pvt. Evans
567724	380591	Old Mr. Grace's Secretary (Se
567726	152881	
567726	295611	Flora
567726	385020	Rita's theatrical landlady
567727	81193	Mildred Swain
567727	171138	Elizabeth
567727	204522	Ramona
567727	327535	Rita the poet
567727	347856	Judge Muriel Hawthrone
567727	379831	Reoccuring (1990-1992)
567728	20316	Girl
567728	21300	Girl
567728	42023	Bit Part
567728	79371	Girl
567728	147384	Girl
567728	155846	Girl
567728	156464	Girl
567728	177368	
567728	195071	Dancer
567728	245429	Betty Wilson
567728	249021	Village Girl
567728	256385	Ann Walton
567728	276178	Azur's Daughter
567728	280895	Girl
567728	289236	Girl
567728	296803	Nola Travers
567728	302629	Bit
567728	312584	
567728	319071	Bess Preston
567728	329111	Billie Conroy
567728	331762	Chorus Girl
567728	340370	Girl
567728	346138	Maid
567728	361300	Girl
567728	372050	Girl
567729	192201	Little Red Riding Hood
567730	193990	Herself
567731	3279	Payton
567731	92232	Reporter outside Hospital
567732	37210	Nolan's Volunteer
567733	292603	Young Marion
567734	319160	Nymph
567735	142872	Student
567736	167003	Jesse's Grandmother
567737	35543	Denise
567739	307788	
567740	97681	Denise
567742	133784	Herself (Last Wife of Burton)
567743	287206	Hayley Goodfairer
567744	134694	Mrs. Davison
567744	384842	Linda Cabot
567744	387309	Cora Lane (1956-1957) (origin
567745	233465	
567746	115869	Sanie
567747	185755	Polynesian Girl
567748	53960	Seymour's Girl
567749	270868	
567750	222754	Marty
567751	109829	Parishioner
567751	176740	Jazz club patron
567751	334308	Clarion receptionist
567752	396623	Jane Collins
567753	359543	Leah
567754	408191	Lucy Kennedy
567755	178332	Magic lantern woman
567756	235516	Mrs. Rose
567757	87753	Herself
567757	87760	Kid Clown
567757	394414	Tiffany Burton
567758	318776	Phone Lady #2
567759	32052	Dancer
567759	115562	Rockette
567759	168776	Dancer #2/"Jacqueline"
567760	58542	French Waitress
567760	81193	June Bass
567760	88090	Sister Solange
567760	165422	How Many Fingers Gambler
567760	171138	Jane
567760	204522	Theresa
567760	296543	Assistant Casino Manager
567760	327535	Jane the ______
567761	247359	Miss Dutch Guiana
567762	107256	
567763	323727	
567763	382733	Nell Caldwell
567763	389859	Staff Nurse Nelson
567764	26064	Daughter
567765	296900	Parrish Children
567766	296900	Parrish Children
567767	296900	Mrs. Parrish
567768	67481	Sheedy Truffles
567768	95222	Melora
567768	99923	Kelly
567768	145022	Melissa
567768	146737	Nicky
567768	185451	Young Vera
567768	347847	Emma
567768	386963	Georgina Jacobs (1997-1998)
567768	395028	Marie Mancini
567768	407033	Ginny Mckillop
567769	15055	Amour
567769	299683	Tasha Johnson
567770	228922	Eva Braun
567771	361855	Cast Member
567772	266600	Janice
567772	269808	Camping girl #1
567773	14487	Girl
567773	230899	Dolores
567774	43758	Une passante effrayée
567775	89977	Cristina
567775	94114	
567775	112700	
567775	138591	
567775	250657	
567775	284663	
567775	296536	
567776	334842	Miyo
567777	405291	
567778	151055	Sonya Kharacter
567779	280807	
567780	81509	
567781	132135	Tiny Tim
567782	159175	Dancer
567783	315311	
567784	366585	Cousin Betsy
567785	65873	Jane
567786	65711	Sara Shepard
567787	137619	Singer
567788	230620	Herself
567788	241698	Ann Hruska
567789	2930	Herself - Best Makeup Winner
567790	327742	
567791	16928	Snack-bar woman
567792	1135	Stéphanie
567792	23692	Manon
567792	78386	
567792	108543	Furie
567792	217635	Anna
567792	394262	Samia
567792	395914	Lola
567792	396222	
567793	16142	
567794	40940	Detective
567794	95692	
567794	135046	
567794	176075	Shura
567794	179588	
567794	210189	
567794	242818	Zoya
567794	244038	
567794	244039	
567794	263424	(segment "Trofim")
567794	280601	
567794	283826	Priest's Wife
567794	300354	
567794	341184	
567794	349355	
567794	375330	Njura
567794	404870	Nadya
567795	161079	Jeanna Barbier
567795	276300	Elanlyum
567796	81062	Dutch Villager
567797	321280	Wife
567798	131183	
567799	17387	
567801	324671	
567802	330204	Herself (rescuer, Poland)
567803	179180	
567803	237701	
567804	62423	
567804	161626	
567804	166094	
567804	254160	
567804	327893	Claudia's mother
567805	409192	
567805	411311	Denise Caultier (2003)
567806	98027	
567807	355244	
567808	139438	
567808	149878	Evi
567808	227533	
567808	243956	Zilla
567808	343677	White Leaf
567808	364904	Erzsi
567808	402164	
567809	124795	Ukranian
567810	167708	Lady
567810	291122	
567810	356313	Dancer
567811	197577	Anna
567812	295181	Educatrice
567814	297672	Woman at Garden Party
567816	70382	Lil Dee
567817	313479	Chief Chirpa
567818	51791	Medical Student
567818	304834	Carla Meyers
567819	81973	Fisherwoman
567819	126075	Policewoman
567819	132475	Waitress
567819	152838	Eleanor
567819	190342	Mac's Mother
567819	195345	Mrs. Abbott
567819	205969	Evie
567819	206889	Esther Clover
567819	405073	Mrs. McGill (Laundry Lady)
567820	105112	Alex
567821	211843	Asst. to Clare Fenton
567822	360819	Patty
567823	107286	Party Girl
567824	390504	Luisa
567825	224088	Jackie
567826	176989	Det. Shinn
567827	223762	Sarafina
567828	17960	Herself (as Hermes Pan Dancer
567828	121836	Ned's Secretary
567828	303872	
567829	28480	Little Sue
567830	108777	Zizi
567830	240342	Gloria
567830	406420	
567831	323134	C-Chan
567832	125285	Dorothee
567833	132871	Herself
567834	5160	Stine
567834	86398	
567834	110069	Hexe
567834	125000	Frau Wolf
567834	182590	Eine Dame
567834	204449	
567834	236823	
567834	276324	Kneipen-Wirtin
567834	290016	Kartenlegerin
567834	312885	
567834	326204	Frau Körner
567834	328991	Putzfrau bei Harras
567834	337135	Anna
567835	34494	Girl
567836	19309	Kim
567836	36480	Karla Kolumna
567836	42177	Donna
567836	92643	Karin
567836	98278	Michelle
567836	109503	Mieke Sonntag
567836	119706	Katrin
567836	125824	
567836	126197	Judy Ballad
567836	126384	
567836	144186	Thekla Gerber
567836	164905	Silke Lembke
567836	174179	Annarina
567836	179293	
567836	179787	Jo
567836	189649	Helen Miller
567836	189821	
567836	190136	
567836	195091	Lilly
567836	204581	
567836	208113	Alla
567836	213934	
567836	237917	Ise (Lead singer)
567836	248402	
567836	259495	Sophie Stein
567836	259593	Carolina Petersen
567836	259626	Katharina Seibt
567836	266483	Bianca
567836	287220	
567836	289849	
567836	290055	Karin Schulte
567836	290183	Amalia
567836	290471	Carmen
567836	296365	Zimmermädchen/Room Service Gi
567836	310898	
567836	313649	Dois
567836	314857	
567836	314901	
567836	325570	Frau Dr. Lenius
567836	325636	Fräulein Schneider
567836	336919	
567836	355190	May
567836	374383	Sabine Lindemann
567836	376003	Irene
567836	376265	Claudia Merker
567836	376375	Kira
567836	389360	Ute Karl
567837	358146	Waitress
567838	280130	Cathy Carter
567839	145482	Circus
567840	205468	
567840	270418	
567841	1381	Herself
567841	5531	Woman on Bus
567841	7405	Mrs. Hogan
567841	8338	
567841	10630	Daisy Thomas
567841	13353	Mrs. Paul Gironda
567841	13354	Mrs. Gironda
567841	30907	Swimming Instructor
567841	31927	
567841	32249	Mabel Hines
567841	32342	
567841	33739	Marie
567841	34796	
567841	35229	
567841	36841	Waltz costume extra
567841	39322	Kitty Perkins
567841	41092	Mae
567841	41759	Jenny the maid
567841	42940	Mrs. Hardy
567841	46244	Jeanette Sturgis
567841	46759	
567841	46777	Woman
567841	47440	Irene Kirby
567841	47984	Flo Bulger
567841	48539	Woman
567841	52911	Camille Balishaw
567841	60201	Mrs. Jennie Carter
567841	61312	Ollie's blackmailer
567841	62916	Glory Quayle
567841	67806	Kate
567841	73766	Juror
567841	77651	Mrs. Hardy
567841	77684	Lou Kendall
567841	79371	Lil
567841	82048	Mae Ward, undercover policewo
567841	88935	Cathouse Madame
567841	96989	Relative
567841	107411	Lucia
567841	108594	Mae Barton
567841	109989	Actress
567841	110183	Herself
567841	110212	Helen Dubreuze
567841	114730	Mrs. Pierre Gustave
567841	114934	Sal Flood
567841	116107	Dan's new wife
567841	116572	
567841	116769	Princess Vera Petchnikoff
567841	116793	Enid Alden
567841	116965	
567841	119783	
567841	130313	Butch's girlfriend
567841	134391	Ethel Delmead
567841	141341	
567841	142592	Miss Jenkins
567841	143206	Clarice
567841	143339	Flora Conroy
567841	152548	
567841	153181	Marie Devere
567841	154335	Elsie
567841	183443	Woman in the Automat
567841	190866	Hazel
567841	192555	Floozy
567841	193679	
567841	195282	Old flame
567841	195513	Hattie Nast
567841	198781	
567841	199221	Susan
567841	202946	Rosie
567841	203747	Violet
567841	205724	Mme. La Motte
567841	206421	Jill Wetherell
567841	207287	Guest
567841	214950	Janet Howell
567841	227161	Bessie Collister
567841	227336	Miss Tyson, the Nurse
567841	229660	Polly Joy
567841	236961	Martha Slipaway
567841	240011	Widow
567841	241606	
567841	242003	Josie Jerome
567841	244993	
567841	248833	Marie
567841	249120	Mamselle Sari
567841	252712	Ida Hook
567841	255315	Gwen, British bride
567841	264420	Tough Blonde Prisoner [Script
567841	267423	Queenie, Girl on Train
567841	270480	Tia Juana Lil
567841	272468	
567841	272469	
567841	275787	
567841	277933	Tillie
567841	279436	Mrs. Munroe
567841	286956	Flo
567841	289422	Gwen
567841	289580	French Wedding Witness
567841	292838	Veteran actress
567841	295188	
567841	299730	Flo Dupont
567841	303297	
567841	308939	Mrs. Lottie Chase Hardy
567841	309581	Robina Teele
567841	315483	Vera, Mink Coat Saleslady at 
567841	315956	Lizzie
567841	318102	Mame
567841	329767	Mrs. Arabella Hardy
567841	329849	Mrs. Hall
567841	331083	
567841	333384	Nora Dakon
567841	333819	Grocer's Wife
567841	335457	Helen Hanby
567841	339642	Marjorie Stockton
567841	341002	Sally Carey
567841	345614	Mrs. Hardy
567841	347065	Rosie O'Grady
567841	359980	
567841	363566	Bessie
567841	364707	Arlene
567841	365034	A speedy stenographer
567841	365776	
567841	366928	Mary Ryan
567841	367655	Mrs. Hillburn
567841	367905	Rose
567841	367908	Mrs. Howard
567841	368673	
567841	372520	May
567841	375045	Jenny, Wardrobe Lady
567841	395261	Various
567842	122393	
567845	381091	Herself (eliminated round 7) 
567846	378558	Herself
567847	39099	
567848	395508	Junge Schüchterne/Zündholz
567849	23994	Kate Spellman
567849	42165	Ina
567849	93440	Detektivin
567849	103078	Lehrerin
567849	144180	Ruth
567849	145505	Katharina
567849	155404	Christine Keller
567849	167127	Michaela
567849	189608	Natalie Sommer
567849	216297	Kathrin Bischoff
567849	225124	Miriam
567849	248401	Katja Stern
567849	254353	Maike Jessen
567849	254355	Maike Jessen
567849	281740	Kitty
567849	301036	Jana Rosen
567849	313651	Frau Dr. Blasch
567849	352164	Leona Dorn
567849	355241	Gerlinde Laichenbach
567849	365602	Eva Leitner
567849	365603	Eva Leitner
567849	365605	Eva Leitner
567849	379772	Dr. Anna Sanwaldt-Hängsberg, 
567849	389823	Vicky
567849	392855	Helen
567849	393481	Michaela von Stetten
567849	395011	Heike Schenk (2000)
567849	399386	Bianca
567849	409049	Giovanna
567850	495	
567850	22642	
567850	29845	
567850	53872	
567850	54102	
567850	55966	
567850	56004	
567850	74549	
567850	75202	
567850	83756	
567850	85557	
567850	86448	
567850	89997	
567850	91273	
567850	99439	
567850	108738	
567850	108861	
567850	113227	
567850	121256	
567850	125758	
567850	145530	
567850	146452	
567850	146509	
567850	148030	
567850	153834	
567850	161656	
567850	169760	
567850	197970	The Mother
567850	199922	
567850	206987	Amiga 2
567850	210176	
567850	215023	
567850	216076	
567850	221902	
567850	222037	
567850	222039	Clara's mopther
567850	246937	
567850	250693	
567850	252148	
567850	255507	Madame Modin
567850	258495	
567850	266869	
567850	275955	
567850	282899	
567850	293579	
567850	301886	
567850	317689	
567850	318239	
567850	336396	
567850	337962	
567850	340361	
567850	353234	
567850	356665	
567850	357518	
567850	378037	
567851	28885	Iva
567851	177166	Miriam
567852	109243	Herself
567853	110550	Judith
567854	218089	Frau
567855	107829	Marsha
567856	78496	Herself - Presenter
567856	314989	Herself
567856	376103	Herself
567856	401951	Herself - Member of jury
567856	406569	Herself - Member of jury (sea
567857	388154	The Dog
567858	390958	Karen Harper
567859	28566	Alte Kegelschwester
567860	186650	Additional player
567861	365638	
567862	371131	Mrs. Shaemen's Daughter
567863	89572	Lying Child of The Miracle
567864	381911	Herself (2000)
567865	65184	Girl after school
567866	54620	Sam
567866	78670	Daughter
567866	80824	Barbara Flint
567867	49228	
567867	73431	Anita Nelson
567868	232630	Tangy/Singer in Classroom
567869	83659	Herself
567869	107353	Herself
567869	175534	Herself
567869	175535	Herself
567869	185529	Herself
567869	185530	Herself
567869	228979	Herself
567869	233307	Herself - Attending Nixon Fun
567869	247370	Herself
567869	288708	Herself
567869	346058	Herself (aboard USS Missouri)
567869	384590	Herself (in White House with 
567869	385285	Herself (at the 1992 Republic
567870	115460	Police Officer
567871	16658	Pearl Cumberland
567871	60763	Mother #3
567871	142799	TV reporter
567871	162426	Opal
567871	241148	Lurlean
567871	250746	Abigale (the housekeeper)
567871	292794	Edith
567871	315131	Isaac's Mother
567871	352441	Gloria Hill
567873	260902	Teacher
567873	265171	Female Guest
567873	333423	Marilyn Sitzman
567874	313320	
567875	325059	Herself
567876	96681	Woman In Diner
567877	340401	Immigration Officer
567878	208992	Young Fanny
567879	211565	
567880	341984	Store Clerk
567881	160415	Martha Hooper (segment "Busty
567882	79055	Receptionist
567883	158975	Woman in restaurant
567885	411482	Angela
567887	60342	Bonnie
567887	70393	Beauty contestant
567887	118530	Bonnie
567888	384645	Fernanda
567889	252242	Bank Secretary
567890	68093	Herself
567890	154368	
567890	174509	Herself
567890	174510	Various
567890	174511	Various
567890	191098	Dancer
567890	264099	Herself
567890	292601	Herself
567891	3701	Herself - as First Lady Laura
567891	98819	Herself
567891	107353	Herself
567891	161300	Herself
567891	185529	Herself
567891	311181	Herself
567891	388080	Herself
567892	231331	
567892	367906	Lula
567893	32809	Fran
567893	196372	Office #2 typist
567893	385342	Nurse Sarah Oswell
567895	314777	Dress Shop Sales Woman
567896	10916	Scientist
567896	46156	Forewoman
567897	144649	Barbara
567898	241464	Heather
567899	280006	Groupie
567900	114291	Mrs. Pruett
567900	311405	Woman
567900	350033	Mom Carson
567901	321197	Lorraine
567902	5528	
567902	7883	
567902	8338	
567902	11240	Peggy
567902	16708	
567902	16715	
567902	17192	
567902	17195	The Wife
567902	17987	
567902	26807	The Wife
567902	27267	
567902	34690	
567902	35374	
567902	41380	Embezzler's Daughter
567902	44691	
567902	45924	
567902	45938	
567902	45969	
567902	52135	
567902	52332	
567902	52505	
567902	54125	
567902	57053	
567902	64464	
567902	72305	
567902	72694	
567902	73370	Wainwright's daughter
567902	79360	
567902	83562	Pauline
567902	87614	The Girl
567902	97198	Organist
567902	99752	John Spencer's Daughter
567902	100834	June
567902	101073	Miss Snyder
567902	117190	
567902	117422	Mother, Daughter
567902	117802	The Sweetheart
567902	126281	
567902	128384	Nance
567902	133305	
567902	133415	
567902	133841	Herself
567902	134420	Sister
567902	139766	The Factory Owner's Ddaughter
567902	139982	The Nurse
567902	141225	
567902	141249	
567902	143023	Ruth Braddon
567902	143088	The Girl
567902	143250	Carlotta
567902	145018	Lady Eleyne
567902	149160	Marie Laquox
567902	149472	Pauline
567902	155774	Kate Graham
567902	157782	The girl
567902	167290	
567902	184230	The Woman
567902	189527	Mac's Daughter
567902	190596	Mother/Daughter
567902	191289	Agnes Duane
567902	195942	
567902	200882	The Girl
567902	200905	The Maiden
567902	202889	
567902	203722	Blind girl
567902	205105	
567902	207144	The Girl
567902	209189	Helen MacDermott
567902	209378	
567902	210907	Carlotta
567902	211145	Invalid
567902	219355	
567902	220328	
567902	224789	
567902	232130	
567902	242892	
567902	244744	Philippa de Annonay
567902	245351	
567902	245508	Sister Ursula
567902	255223	Mary (the sentry's wife)
567902	256484	Marian
567902	258966	
567902	261965	Bruce's sweetheart
567902	262048	
567902	271958	
567902	271986	
567902	272767	
567902	273849	The Daughter
567902	274211	Red Margaret
567902	274737	
567902	275439	The Woman
567902	276377	Wife
567902	277333	
567902	277718	Julie de Mortemar
567902	298521	
567902	298546	
567902	302222	
567902	302369	Olga Brandt
567902	305429	Ruth
567902	305684	The Older Sister
567902	311325	American teacher
567902	313351	The Fisher Girl
567902	314124	The Girl
567902	316449	
567902	317164	The Girl
567902	317219	
567902	318038	Polly
567902	327289	The Wife
567902	329795	
567902	331229	The Wife
567902	337491	The Orphan
567902	338219	
567902	340330	
567902	347371	Amy Tate
567902	351752	
567902	355207	Annie Partlan
567902	358699	Idea man's sister
567902	361733	
567902	362922	
567902	363105	The Chorus Girl
567902	363402	Rose
567902	365728	Mary Waldron
567902	367431	Girl
567903	134731	Florence Henderson
567903	152892	Sunny
567903	155077	Susan
567903	158354	Pamela Jo Peyton
567903	165097	Katie Grant
567903	201758	Ship's Purser
567903	210881	Stella
567903	321474	Colleen Todd
567903	404718	Decker Atkins
567903	407196	Jill
567904	364006	Lucy
567905	186714	Beth
567905	258887	Carrie Orr
567905	319542	Zoe Lang
567905	350343	Sally
567905	400260	Brooke Davis
567906	134572	Mackenzie 'Mac'
567906	160564	Female Superhero
567906	284936	Aunt Zelda
567907	27247	Tina O'Kane
567907	381121	Tina Purvis (Series 3-6) (200
567908	202727	Young Anna
567909	70825	Girl
567909	358955	Girl
567910	249548	Sorority Girl
567911	12171	Dian
567912	80755	Liz
567912	291447	Robin
567912	346259	Karen
567912	357380	Linda
567913	155247	Herself - Ice Follies Skater
567914	157291	Kate
567914	162462	Mrs. Peabody
567916	185275	Young Girl
567917	93959	Tammy Curry
567918	26258	Teen Mom
567919	355893	Jill
567920	115864	
567920	171025	Gwenny
567920	196166	
567920	274276	Evelyn Maxwell
567921	266545	Little girl
567922	46242	Beverley
567923	8362	Singer in Restaurant
567923	97212	Singer
567924	215697	Judging Panelist
567925	11661	Girl on Campus
567926	391558	News Anchor
567927	115920	Gloria
567927	365451	Barmaid
567928	286216	
567929	3335	
567929	14309	
567929	190729	
567929	217282	
567929	225827	
567929	256804	
567929	263134	Sotrudnika v ofise
567929	286738	
567929	349786	
567929	357227	
567929	357345	
567930	49668	Ditta Bodin
567931	123176	Herself
567932	21761	The Senoufo girl
567932	26185	Brenda
567932	47877	Caroline
567932	67040	Herself
567932	67395	Nettie
567932	73883	Woman at Boardinghouse
567932	113405	Vanessa
567932	126035	
567932	156436	Fey
567932	169467	Herself
567932	195184	Ivy
567932	196567	Karma
567932	199148	Diane
567932	228339	Bessie
567932	230676	Courtroom spectator
567932	282024	Jewel
567932	289210	Puppet
567932	295461	Penny Washburn
567932	310597	Mary Bowser
567932	326496	Patience
567932	359505	
567932	379015	Acte
567932	385895	Emerald
567932	395226	Nicki
567933	170890	Kelly Hollis
567934	80672	Pumpkin Chase
567934	131223	Pumpkin Chase
567935	326496	Amaka
567936	125776	
567937	52892	Camilla, la domestica di casa
567938	126459	
567938	193085	Mercedes
567938	270857	
567939	63890	
567940	63890	
567941	306421	So Fine Dancer
567942	78483	Herself (performing '9½ minut
567943	37480	Melissa (1973)
567943	208193	Lida
567943	366236	Stacy Anderson
567944	60308	Lizzie Vance
567944	105071	
567944	143324	Maid
567944	150810	Josie
567944	198867	Donalbain
567945	57355	Mrs. Redfield
567945	112481	
567945	125885	Mrs. Kane
567945	128174	Mrs. Stewart
567945	200886	Mrs. Sedgwick
567945	327871	Mrs. Rucker
567945	365436	Mrs. Hollywood
567946	397302	Medsestra
567947	47894	Mrs. Brooks
567947	47895	Mrs. 'Gram' Brooks
567947	85052	
567947	103330	Mrs. Mudge
567947	163193	Mrs. Nora Taylor
567947	177511	Aunt Josephine
567947	253471	Ma Ryan
567948	197899	
567949	323594	Nancy Lockston
567950	5980	Azusena
567950	17125	
567950	23377	
567950	42644	Tota
567950	48831	Loca tv
567950	74161	Eloisa
567950	89744	Dolores
567950	101046	
567950	124332	
567950	135279	
567950	148090	
567950	160518	
567950	164349	
567950	204769	
567950	207652	Amelita
567950	222378	
567950	266888	
567950	272284	
567950	302053	Silvia Prieto 2
567950	352853	
567950	353983	
567950	384775	Margarita
567950	385375	Verónica
567950	386480	Amelia
567950	389780	
567950	391639	
567950	395864	
567950	397118	
567950	397119	
567950	397574	
567950	399523	Silvia Finkel
567950	401904	
567950	402301	Jenny
567950	404270	
567950	407285	
567950	408204	
567950	409035	
567951	384775	
567952	55905	Laura Legnani
567953	29786	
567953	30836	Anna Uhrová
567953	84756	
567953	142218	Marta
567953	181341	Martin´s daughter Helena
567953	186236	Helena
567953	193457	Barca
567953	199692	Chambermaid Anicka
567953	214255	Anny
567953	225987	Alena Skalická
567953	258521	Baruska
567953	262635	Student
567953	282767	MUDr. Hana Rybiaková
567953	344352	Bessy Vydrová
567953	349327	Marta
567953	350983	Tylda Myslikovská, daughter
567953	351383	
567953	357632	Frýblová
567953	357695	Vilhelmová
567953	374490	Venda
567954	241205	Mevr. Larcher
567955	111055	
567956	383708	Assistant
567957	35094	
567958	2382	Student with rumor
567958	62665	Babs
567959	69053	Club Patron
567960	12819	Tina
567960	26249	
567960	107968	Anna
567960	125159	Frau Tobler
567960	126857	
567960	249101	
567960	287312	Benedikt, Johanna
567960	300995	
567960	334515	Guitemie
567960	375869	
567961	4642	Mabeline
567961	105819	Nicole
567962	80156	Justine
567963	18567	Meisje in klas
567965	12889	Gast bei Eickhoffs Fest
567965	119182	Kassiererin
567965	124402	Gast bei der Hochzeitstafel
567965	181153	
567965	187556	Miss Bigelow
567965	225126	
567965	294840	Prostitute
567966	95265	
567966	136604	Frau Büttner
567966	173961	Karin
567966	186181	Helga Baumann
567966	216300	Uta
567966	231540	Josefine Lorenz
567966	259551	
567966	259589	
567966	259671	
567966	259674	
567966	259690	
567966	312651	
567967	230435	Sergeant interviewing Clara
567968	98322	Mrs.Felden
567969	371962	Sister of Freya #3
567970	23648	La fille respectueuse
567970	25221	
567970	91077	Irène
567970	130116	
567970	211649	
567970	324457	Nathalie
567971	106076	Dancer
567971	122986	Prima Ballerina
567971	265475	Herself - interviewed
567971	340740	Annabel
567972	109365	Sylvie
567973	259532	Kristin Nolte
567974	52813	Queen Guenevere
567975	220218	La boulangère, France
567976	26460	Prom Singer
567977	307468	Slave at Auction
567978	307468	Slave at Auction
567979	7488	Mrs. Bessie Hutchinson
567979	85653	Woman on Street
567979	136266	
567979	148912	Mrs. Olson
567979	161904	Grandma Shroud
567979	190179	
567979	200488	Mrs. Sheffield
567979	305076	Gossipy Woman
567979	329437	Mrs. Wicks, A Gossip
567979	332810	Rosie Gargan
567980	90336	Elderly woman with dog
567980	124335	Mrs. Botts
567980	328823	
567980	343879	Holly's mother
567981	237331	La dame dans la boulangerie
567982	122183	COPS officer
567983	69695	Scout, Collector, Mordella
567983	386236	Aoi Kurosaki
567983	396019	Student A
567984	218298	Marie
567985	32266	Pandore
567985	35459	Juta
567985	41729	Teresa Carlton
567985	45189	Léa
567985	84596	Solange
567985	98789	Rita
567985	100165	Mère de Hanna
567985	112888	Céline
567985	114691	Gail
567985	118095	Narrator/Forest
567985	136271	Herself (actress)
567985	148924	Louise
567985	198577	
567985	198635	Alys Robi
567985	214017	Lily
567985	254154	Mathilde
567985	257434	Michelle Michaud
567985	284207	Louise
567985	308472	Chantal
567985	309980	Lucie
567985	341850	Alice Bradley
567985	342500	Juliana Kossel
567985	345016	Simone Prévost
567985	353900	Laure
567985	362965	Camille Baker
567985	364425	Sarah
567985	369421	Madeleine Renard
567985	377242	Nathalie
567985	382196	Blanche Pronovost
567985	383863	
567985	396835	Eléonore Volant
567985	400768	Valérie Morin
567986	255697	Christmas Shopper in Cab
567987	318350	Nellie
567988	370096	
567989	5090	
567990	99375	
567990	216236	La provençale
567991	273352	Une élève du théâtre
567992	100280	Flora Venzout
567993	34934	
567993	45739	
567993	50256	
567993	128631	
567993	141663	
567993	158580	
567993	210452	
567993	229324	
567993	262615	
567993	264425	
567993	297985	
567994	36930	
567994	117375	
567994	128777	
567994	133920	
567994	133921	
567994	291005	Herself
567995	209125	
567996	6629	
567996	61876	Mamita
567996	65141	
567996	82589	
567996	96288	
567996	96305	
567996	160620	Nightclub Owner
567996	221680	
567996	248750	Josefa
567996	277393	La Caimana
567996	341595	
567996	397242	
567997	18282	Jacinta (recently born)
567998	202203	
567999	66230	
567999	68585	
567999	70990	
567999	100488	
567999	103759	Mujer trampa
567999	124544	
567999	160132	
567999	237736	
567999	266992	
567999	318259	Baby
567999	328743	
567999	352889	
567999	385057	Narella Colucci
567999	387171	Vanessa Machado
567999	397118	
567999	400408	La Morena
567999	403006	Herself
567999	403021	(2003)
567999	409035	
568000	47588	Groomsman
568001	265535	
568002	68609	
568002	201147	
568002	344823	
568002	380326	Camila
568002	381200	Stela
568002	388939	
568002	391674	Flor Violeta
568002	392510	Marina
568002	396610	Fernanda (1996)/Sabrina (2004
568002	402582	Dra. Silvia
568003	314174	
568004	150075	Hip Hop Dancer
568004	385625	Herself (Preliminary Judge/Co
568005	55011	
568006	387621	Jennifer Cárdenas
568006	390310	
568006	398807	María Fernanda López Fajardo
568006	412190	Marielita Covarrubias
568007	70670	
568007	103941	
568007	251284	
568007	287697	
568007	301117	(segment "Rosa")
568007	353573	
568007	370492	Maria
568008	404138	Kasumi
568009	80871	Mother
568009	147988	Estela
568010	226380	
568011	40720	
568012	53050	Drama Mom
568013	72737	Dolly
568013	140445	
568013	173036	
568013	259483	Herself
568013	278538	
568013	325192	Thermometer Trixie
568013	356551	Gianna S
568013	361140	
568013	397006	
568013	401112	Herself (Quiz Segment) (1995-
568014	283590	Reporter #2
568015	233629	
568016	100777	
568017	4528	Joan
568017	325323	
568017	381380	Vilma
568019	319803	La gynécologue
568020	100777	
568021	9890	
568022	7236	Te
568022	8480	
568022	12534	
568022	43284	
568022	89399	Child's Mother
568022	99403	
568022	107025	Matilde
568022	129663	Flora
568022	146705	
568022	159487	Luísa
568022	225819	
568022	234629	Mãe de Teresa
568022	261191	Rosa Pereira Lopes
568022	287958	Dalila
568022	328061	
568022	328694	Friend
568022	375736	Conceição
568022	386117	
568022	395379	Mariana Faria de Castro
568022	397805	
568022	401157	Amélia
568022	401804	Officer Fidélia
568022	405856	Lena
568022	409023	
568023	9890	
568024	49071	Girl #3
568024	166921	Girl At Funeral Sequence
568024	243150	Cheerleader
568025	5269	
568025	19248	
568025	48779	
568025	86502	
568025	97294	
568025	106270	
568025	121317	
568025	222409	
568025	233352	
568025	249861	
568025	269030	
568025	270014	
568025	277360	
568025	296197	Clara
568025	341162	
568025	343613	
568025	350814	
568026	14407	
568027	132664	Ana
568028	344650	Bald Woman
568028	383684	Menchu
568029	403290	Rosarito
568029	408859	Andrea Briseño
568030	74144	
568030	94820	
568030	135196	
568031	194104	
568032	339277	Kalina's daughter
568034	265997	
568035	212289	
568036	69818	
568036	354743	House-maid
568037	370999	Valentina
568038	97434	
568038	142264	Straßenarbeiterin
568039	102867	
568040	46133	Biddy Ross
568040	47192	Alice Hambro
568040	81109	Miss Oliphant
568041	244841	Lowell schoolgirl
568042	95499	Sally
568042	402012	Mary
568043	342871	Cricketer
568044	315664	Herself/Singer, Guitar player
568045	69363	Valerie
568045	120300	Debbie
568046	291831	
568047	107504	A Fairy
568048	308128	Beauty
568049	366817	Librarian
568050	209133	Skater Girl
568051	91232	
568052	342871	Cricketer
568053	68086	Herself
568054	370880	Susie O'Brien
568055	100249	
568056	96111	Stripper
568057	253639	Olya
568058	283819	Lili
568058	384189	Madlen
568059	36871	Times Square hooker
568059	150351	Slim Woman at Banquet
568060	114810	Farmoren [Felen i ville skoge
568061	2740	Natalya
568061	14200	
568061	18075	
568061	31354	Erna Schnorr
568061	71264	Brenda Pilchard
568061	83257	Mizzi Rihoschek
568061	130935	Bärbel
568061	155482	Eva Vrzal
568061	156723	Marion and Katharina
568061	157501	
568061	166168	
568061	178556	Vera
568061	185739	Helga
568061	251687	
568061	257381	
568061	263375	Prinzessin Wilhelmine
568061	266088	
568061	277458	
568061	334546	Frau Randecker
568061	361451	Hanni
568061	365785	Agnes
568061	388526	Claretta, Figlia di Francesco
568061	392086	
568061	398298	
568061	398298	Gabriele Remberg
568061	401030	Marguerite Arosa
568061	409613	Dieter's Frau
568061	409627	
568061	411109	
568062	256625	Isabel (The Fabulous Singlett
568063	225957	
568064	177544	Gagoola
568065	405036	Nqoboka
568066	28158	
568067	128590	Michele
568068	181250	
568069	263677	Cinema Group
568070	88456	
568071	195945	Child
568072	209210	Zombie
568074	46610	Ann
568074	252914	
568075	61625	Auntie Hannah
568075	77795	Beautician
568075	130807	Mrs. Kroft
568075	336926	Mary Foster
568076	146676	
568077	14229	
568077	114997	
568078	381436	Marisa Lawson (1994)
568079	258514	Native Singer
568080	294150	
568081	124437	Kid in Field
568082	112441	Duke's girl
568082	190580	Eastern girl
568083	223978	Girl
568084	4670	Herself
568084	48217	Sister Della Rosa
568084	68000	Herself
568084	68105	Herself
568084	113908	Norma Jean
568084	163569	Herself
568084	213930	Bobbi
568084	362329	Herself
568084	389505	Himself
568084	390423	Grace Kelly
568084	390545	Herself - Winner
568085	14914	Barbie
568085	37408	Bridget Stone
568085	70966	Julie
568085	72584	Claudine
568085	236152	Joyce
568085	319191	Lady in New York
568085	326604	Laura Davidson (Chi Omega Vic
568086	185137	Cindy
568087	222212	Party-goer
568088	136128	Wedding Dancer
568089	395529	Nicola
568090	40441	Nurse
568090	93101	Claire Bleakley
568090	213236	
568090	350645	Secretary
568091	7661	Constance Cartwright
568091	73158	Mme Masur
568091	76958	Fanny
568091	145170	Clinic nurse
568091	313104	Marlene Henn
568092	316802	
568093	81547	Chelsea Kennesaw
568093	118689	Little Girl
568093	385824	Isabella 'Belle' Black #4 (19
568094	52312	Herself
568094	257859	Herself
568094	361862	
568095	75558	Gina
568096	29681	Leslie Ann Walker
568096	133383	Ida
568096	337115	Peggy Loomis
568097	327093	Tourist Family
568098	158274	
568098	185297	Corrine
568098	195540	Kelly Andrews
568098	279845	Woman on Vidphone
568100	223165	
568101	341926	Jodie
568102	168215	
568102	246697	Nina Walcott
568103	81547	Mary Kennesaw
568103	108389	Diane
568104	359567	Villager
568105	110977	Laura Alcutt
568106	129781	
568107	230127	Marilyn Monroe
568107	351502	The Movie Star
568108	65094	Girl Judith
568108	194300	Jamie Miller
568109	378966	(1983)
568110	365642	Psychologist
568111	391532	Julianna 'Jules' Price
568111	399130	Allie Bentley (1999-2000)
568112	47502	
568112	222661	
568112	329978	
568113	305571	Young American Miss
568114	188634	Street Kid
568115	48321	Mattie Guerin
568115	77822	Grainne
568115	130960	Renee
568115	162264	Herself (traditional dancer)
568115	277122	Vindici's wife
568115	279201	Lead Dancer
568115	279202	Lead Dancer
568115	393000	Herself
568116	126544	Dancer
568117	125825	Sugar Malone
568118	195945	Child
568119	77190	Andrea Valentine
568119	130470	Leonora Chisholm
568119	186404	Leah
568119	189519	Donna Grogan
568119	221166	Liz White
568119	245056	Sarah
568119	292229	Kerry Ann Roddam
568119	299040	Stephanie
568119	304733	Freya
568119	382253	Jill Hartland
568120	111947	Vet
568121	7166	Molly
568122	5557	
568122	11267	At Court
568122	40691	At the Social
568122	50892	At League Meeting
568122	65800	
568122	68183	One of Teresa's Friends
568122	75407	Suffragette
568122	87536	The Maid
568122	100881	Among the Holy Groaners
568122	109895	A Friend of the Sick Neighbor
568122	126723	In Employment Agency
568122	140821	The Maid
568122	143296	In Church/Nursemaid
568122	143444	Wedding Guest
568122	143857	At Ball
568122	144783	Second Actress
568122	146106	In Kitchen
568122	147336	At Dancing Academy
568122	169978	Bethulian
568122	171141	At Farewell
568122	171173	A Servant
568122	187090	In Court
568122	190959	Among Bathers
568122	191078	Nora, Hogan's Daughter
568122	195666	The Young Woman's Maid
568122	208946	Nancy Darrell
568122	223228	On Street/At Dance
568122	229118	One of Gato's Sweetheart's Fr
568122	230352	At Picnic
568122	230918	Windowshopper
568122	233860	Nurse
568122	239173	In First Audience/Among Dance
568122	274747	League of Civic Purity
568122	278767	Second Miss McNeil
568122	288675	In Office
568122	289805	
568122	331376	In First Factory
568122	342790	Backstage
568122	364581	At Club
568122	366851	Suffragette
568122	368275	The Mother
568123	186650	Older Kit
568124	377478	La Masseuse
568125	11619	Fran Crenshaw
568125	42924	Young School Girl (segment "I
568125	110037	
568125	265860	Maggie
568125	266768	Suzanne
568125	335892	Beth
568126	383107	Yoko Sasaoka
568126	394175	Hiromi Ikeda, Additional Voic
568127	73718	
568127	101704	Ice
568127	207989	Ice
568127	315909	Trish
568127	386546	Tanya
568127	388441	Felicity North
568128	47819	Anna Callahan
568128	53131	Beatrice
568128	292192	Jennifer Luckenbill
568128	400236	Heather (2000)
568128	402174	Gwenevere
568129	77679	
568130	154051	Cabin victim
568131	55480	Claire the Clairvoyent
568131	59656	Tom Shannon
568132	367055	Poppy/Emerald City Citizen
568133	383286	
568134	383662	Sierra Williams
568135	248717	La fée
568136	379704	Polly London
568137	45424	Betty Richards
568137	144855	Meagan Davis
568137	212832	Mickey
568137	388144	Lois Sterling (1952-1953)
568138	75455	Barmaid
568138	113405	Lori
568138	194228	Girl in Bookstore
568138	213654	Beautiful Girl #3
568138	226966	Street Hooker
568138	233692	Suzanne
568139	72065	Mrs. Greenblatt
568140	5201	Dr. Ruth Williams
568140	37526	Reporter #1
568140	44046	
568140	47072	Susan Cook
568140	49877	Sarah Didonna
568140	56880	Brisbane's Assistant
568140	59885	Ms. James
568140	93139	Ray's Secretary
568140	100099	Reverend Mother
568140	109812	Married Woman
568140	161642	Margaret Hussey
568140	171690	Nurse
568140	187098	Real Estate Lady
568140	194818	Candace Dayton
568140	196706	Maggie's Mom
568140	207838	Rhonda
568140	218180	Guest #2
568140	230116	Female Officer
568140	265869	Naomi
568140	313929	Rebecca Farinzi
568141	324235	A Clown
568142	16068	Tom Capano's Daughter
568142	104944	Tracey Knievel
568143	128838	Kate
568144	178975	V-Six Office Girl
568145	87802	Wanda Brem
568145	214999	Interpreter
568146	140990	Lt. Kinderman
568146	308115	Rider
568148	286846	White Girl Prisoner
568149	317309	Quickee Burger Patrons
568150	178920	Officer Marla Hedges
568150	196303	Nehola
568150	223979	Wardrobe Lady
568150	313413	Lieutenant
568150	363997	Goodman
568151	324235	A Clown
568152	398321	Host
568153	215656	Miss Sunday Sport Model
568155	199759	Doo-wop Singer
568156	69732	Mrs. Ryder
568157	47131	Neisha Sanders
568157	297937	Stacey's Girlfriend
568158	400758	Herself
568159	1780	Herself
568159	62347	Herself
568160	64836	Young Yogi
568161	292171	
568162	82683	Party babe
568163	310503	
568164	405209	Nurse Kara Bloom-Wood (1998-2
568165	270697	Affiliate's wife
568166	48240	Wendy Whelan
568166	72464	Mandy
568166	314719	Wendy Whelan
568166	384700	Various characters
568166	387746	Various Characters
568166	397625	Various
568166	405204	
568166	405671	Various Characters
568166	406618	Various Characters
568166	410795	Kate Welcher
568167	405209	Alison Peters (1999)
568168	73158	Madeleine
568169	142872	Student
568169	200881	Mary Watkins
568169	229222	Crystal
568169	308299	
568169	334351	Ann Hayden - as child
568169	340755	Autograph Hunter
568170	158141	Flight attendant
568171	218802	
568171	332075	
568172	395342	Gretel
568172	399950	Karla Davies
568173	110529	Toby 9 mths
568174	392900	
568175	82643	Dancer
568176	110529	Toby 9 mths
568177	396108	Contestant
568178	191081	Dawn
568178	392808	1st Pretty Girl
568179	33003	Groupie #5
568180	198829	Checkout Girl
568181	230410	Mrs. Nash
568182	109395	Disbelieving Woman #1
568182	147500	Mrs. Zeroni
568183	279887	Police Officer
568184	374285	Brenda
568185	17774	Lisa
568185	90883	Kate
568185	93975	Jessie Crossman
568185	105551	Deidre Kenyon
568185	109498	Francesca
568185	139169	Natasha Binder
568185	146738	Jordan Henning
568185	185369	Ms. Toney
568185	188223	Corinne
568185	230505	Veronica Hulka
568185	272846	Avedon Hammond
568185	288968	Little Girl
568185	330368	Lisa St. Claire
568185	338854	Wendy
568185	366737	Sara Pezzini
568185	366983	Sandy Dickinson
568185	382837	Off. Anne-Marie Kersey (1997-
568185	396751	Sgt. Eve Edison
568185	406035	Kate Patrick
568185	411292	Sara Pezzini
568186	208478	Race Car Presenter
568186	311703	Herself
568186	378900	Presenter
568186	408546	Presenter
568187	34729	
568187	58824	Stewardess
568187	358290	Girlfriend
568187	381661	Various Roles (1969-1970)
568187	385299	Joyce Hepworth
568188	411089	Receptionist
568189	265092	Pilgrim
568190	99254	Sara
568190	108995	
568190	189184	
568190	252725	Infirmière
568190	366782	Jodi
568191	162943	
568192	164693	Madzia
568194	266540	Elegant'sgirl
568194	348509	Minister's Wife
568195	265112	
568195	324924	
568196	299738	Toddler Peggy
568197	23441	Oksana Bayou
568197	48936	Groupie
568197	272238	Woman Gypsy
568197	303860	Woman #2
568197	312798	Olga
568197	350221	Marriage Girl #2
568197	392205	
568198	226450	Rabia
568199	361864	Karen West
568200	381091	Herself (eliminated round 1) 
568201	57654	Herself
568202	90973	
568203	3311	La fille (segment "Une nuit o
568204	118484	Katerina
568204	189986	Bella
568204	391869	Laura Bonnetti (1995)/Jenna E
568204	399948	Kimberly (1995)
568205	16724	Briefcase's Wife
568205	70208	Lisa
568206	36975	Angela's Doppelganger
568207	304556	
568208	306223	Patient
568209	272924	Veronica
568210	97360	Conservative Wife
568210	115886	Nurse Folicle
568210	141412	Bridal Shop Saleslady
568210	243231	Carmella
568211	380259	
568211	404929	Jane
568211	405375	Bronia Balicki
568211	405611	Jane Vennor
568212	148572	Hooker
568212	313333	
568213	358959	
568214	6932	Nurse
568214	104944	Ethel Bork
568214	142402	Doris
568214	230926	Auditorium Moderator
568214	242529	Sarah Boone
568214	335863	Mrs. Shelley Bathgate
568215	342669	Bar patron
568216	411809	Marie Shepherd (1979)
568217	333102	Joan Fieldman
568218	130666	Barari
568219	201691	Stacia
568220	275453	Cheerleader
568220	279460	College Student
568220	360221	Solana
568221	104965	Cowgirl
568222	383866	
568223	125773	Franca
568224	282104	Stammgast und Personal Rossin
568225	108225	Leanne Spencer
568226	97209	WPC Calderwood
568226	383631	Mel Dyson: Paramedic (1999-20
568226	388133	Pamela
568226	405829	Julie Oldroyd (1997)
568227	45401	Laura-Kate Brackney
568227	108309	Donna Peyton
568227	248496	Jan Kohana
568228	408276	Herself - Archaeologist (1995
568229	276335	Girl at Bar
568230	162979	Corinthian Circle member
568231	263791	WPC 'Karen'
568231	337478	Profile Screener 2
568232	129119	Extra
568232	132139	Wedding Guest
568232	391971	Teen-Angel
568233	35320	Herself
568233	48468	Member of 'Betty Blowtorch'
568234	309404	Patty
568235	113705	
568235	261574	
568236	14145	Caron
568236	137766	Camera Assistant
568237	254073	Marine bébé # 2
568239	73325	Terry
568239	163231	Dancer
568239	190321	Rose
568239	207466	Joanne
568239	301618	Annie Cox
568239	339464	Katrinna
568239	345177	Anne
568239	348599	Kate Fisher
568239	360129	
568240	207467	Herself
568241	389196	Senior Business Correspondent
568242	333430	Sleez Girl
568243	254523	Dancer
568244	167195	
568244	207723	La jeune femme
568244	258114	
568245	211396	Woman in Red Dress
568246	213322	Principal Fairy/Courtier
568247	344524	Herself
568248	133337	Skateboarder
568250	222495	Customer at Sardi's
568251	223324	
568252	381514	Herself (1999-2003)
568253	313064	Doris
568253	331159	
568253	403509	Annie Lee Moss
568254	117883	Redhead
568256	80689	Uva Mosk
568257	40689	Tina, Peter's lover
568257	218546	Alina
568258	104795	Van Gulden barátnõje
568258	138468	
568258	182667	Éva,városi lány
568258	182726	Mária barátnõje
568258	201369	Juhász Kata
568258	377123	
568259	357578	
568260	1468	Herself
568260	21015	Herself
568260	155286	Herself
568261	26206	
568261	33829	
568261	40215	
568261	63271	
568261	95808	
568261	132568	
568261	174253	
568261	178717	
568261	180941	
568261	198143	
568261	198179	Inga
568261	228759	
568261	244290	
568261	264534	
568261	283830	
568261	320493	Zhena Musika
568261	370188	
568261	370189	
568261	398757	
568262	12378	Rosl Ploderer
568262	93581	Hanni
568262	121062	Topsy
568262	125228	
568262	140268	Gudrun
568262	170675	Gudula
568262	189795	
568262	290521	Angelika
568262	290523	Lilo
568262	290524	
568262	301015	Karin
568262	326849	
568262	359679	
568262	361409	Ingrid
568263	149961	
568264	145482	Child
568265	110247	Maureen Hiller
568266	204222	Girlfriend
568267	124438	Tehuisleidster
568268	8925	Sainaimu
568268	379336	Constance Cowrie/Carrie Cowri
568269	313762	Photographer
568269	338553	Salegirl
568270	358331	Laura
568271	289372	Featured Extra
568272	197895	Old Lady at Bus Sop
568273	313522	Tandi
568274	5585	French Girl
568274	31427	Lizzie
568274	126548	John's Mother
568274	154180	Sheila
568274	190721	Iris
568274	270001	Sandra
568274	383071	Susan Protheroe
568274	384483	Mrs. Wilson
568274	386292	Daisy Mutlar
568274	389859	Student Nurse Katy Shaw
568274	400197	Ruth Carpenter
568275	396826	Guest at Rafael's wedding
568276	60240	Concierge
568276	65657	Ruth Langer
568276	85021	Woman
568276	87321	
568276	90409	Tess
568276	92948	Angie
568276	105792	Karen
568276	109475	Patrice
568276	147687	Herself
568276	160637	Kathy
568276	188135	Markie
568276	191502	Krista Barron
568276	196365	Cathy
568276	232424	Gail
568276	256234	Tookie
568276	263747	Debbie
568276	280000	Rita Mae
568276	293164	Amy
568276	302406	Lou
568276	319876	Sharon
568276	382419	Morgan DeWitt (2000-2001) (#3
568276	385824	Crystal Chablis (2004-)
568276	406952	Anna Claire 'Annie' Douglas-R
568277	130748	Guest
568277	297105	Nadia
568277	395388	Herself
568278	223939	Maggie
568278	318671	Beth
568278	333409	ITC Tech
568278	364783	Ticket Agent
568278	365597	Nymphette
568278	382001	Vanessa
568278	389394	Robyn Cohen
568278	407461	Fly Girl
568279	24702	Lady 1
568280	278024	La Soeur
568281	61139	
568281	103812	
568281	215223	
568281	246404	
568281	352114	
568281	352115	
568282	63890	
568283	14896	Silvia
568283	20751	Eugenia
568283	56929	Agata Iacovoni
568283	61367	Elena Bacchelli
568283	63890	Traffic Warden
568283	68140	Stefania
568283	69219	Sandra
568283	70186	Clara
568283	75256	Lucia
568283	89563	Countess Gabriella Nencini
568283	89828	Vera
568283	107037	Claudia Bertelli
568283	109766	Antonia
568283	113138	Anna Maria
568283	115587	
568283	121898	Sister Caterina
568283	127957	
568283	133042	
568283	198551	Flavia
568283	202279	Camilla Landolfi
568283	236644	
568283	240263	Adele
568283	257015	Sara
568283	263242	Clara
568283	292271	Lea
568283	295180	Gloria
568283	301128	Lucia Allasco
568283	314119	Flavia
568283	328890	Franca Nava
568283	342135	Marisa
568283	349422	Olga giovane
568283	386297	Chicca
568283	392748	Elisa Quaratesi
568283	410278	
568284	183316	Miss Woodward
568284	205036	Mrs. Montera
568284	280465	Gertrude
568284	306102	Granny
568285	183670	
568286	409366	
568287	1293	Natacha
568287	7560	Samantha
568287	30754	Victorine
568287	38170	Gaëlle Bussy
568287	43673	Lily
568287	43753	Zaza
568287	51422	Noëmie Plancherine
568287	66742	La snob
568287	68348	Louise-Jacynthe Leblanc
568287	68363	Anne-Marie
568287	68401	Marie-Josée
568287	77869	Claudine
568287	112889	Mme Pélissier, la cliente
568287	125723	La femme du train
568287	135427	Anne
568287	149679	Josy
568287	155138	Evelyne Viliers
568287	162510	Jacqueline
568287	202339	
568287	208834	Andrée Maréchal
568287	211851	Gabrielle
568287	222946	La mère de Mathias
568287	268822	Jean Harlow
568287	275128	Evelyne, la secrétaire
568287	280530	Daisy
568287	281637	Trente-Cinq
568287	284180	Christine
568287	284658	Félicia
568287	286317	Bérénice
568287	294910	Christine
568287	322768	Geneviève Fournet
568287	335082	Julie
568287	346662	Solange
568287	346799	Candice
568287	353915	La Gantière: Gabrielle
568287	354574	La femme entretenue
568287	356445	L.N.
568287	385609	Georgette-Dora
568287	386798	Catherine Savarin (2000)
568287	389005	Céline Montaland
568287	390470	Émilie de Bourry
568287	396039	Marivonne
568287	398054	Une précieuse
568287	409454	Lola
568288	42242	
568288	105516	Prostitute
568288	165053	Józwiakowa
568288	170383	Mother of Rajmund and Wladek
568288	173985	
568288	179198	Aniela Kargul
568288	180012	Jurek's Grandmother
568288	181332	
568288	220144	Client at Post Office
568288	231619	Aniela Kargul
568288	251923	
568288	255741	
568288	265520	
568288	286652	Aniela Kargul
568288	343339	Nun
568288	369010	Neighbour
568288	373613	
568288	373653	Charwoman
568288	375498	
568288	375530	
568288	378122	Neighbour
568288	385592	'Grandma' Kwiatkowska
568288	406644	
568289	393707	Klas
568290	330706	Extra
568291	28874	
568291	410622	Fran (1995-1997)
568292	2748	
568292	314589	
568293	294594	
568294	170036	
568295	391996	Mujer de negro
568296	18631	Dot.com Chick #2
568296	57139	Kerry
568297	308022	Mrs. Marston
568298	14275	Mouling Jackson
568298	72473	Waitress
568298	123460	Saleswoman
568298	185567	Martine
568298	217964	Waitress with 'Virginia' embr
568298	239030	Girl
568298	330794	Rolling Stone Reporter
568298	348336	Jade East
568298	400535	Herself
568299	119227	Polly Puritan
568300	28543	Justyna
568300	91039	Viola
568300	179199	Larysa Kwitkowska
568300	189368	Magiosha
568300	303742	Jola
568300	319741	Fashion Model
568300	364966	Pavetta
568300	369005	Henrietta
568300	374469	Klara
568301	121307	Chica de Los Sueños
568301	392751	
568301	397731	Ana
568301	398800	Dolores
568301	401358	Loli
568301	403366	Sabrina Servente
568302	54249	
568302	134535	Inès
568302	218584	
568302	286293	
568302	345454	
568302	346688	
568303	316814	Sacht
568304	78107	Nikki
568305	100038	Un membre de la famille polon
568305	212283	(segment Dejstviye)
568306	82193	
568306	84412	
568306	174669	
568306	242978	Woman in black
568306	249150	
568307	2974	
568307	22585	Masha (Brunette)
568307	35851	
568307	60414	
568307	357482	Vera
568308	190082	Alreda Tosic
568308	253950	Old Lady
568308	389146	Despina
568309	40140	Sarah
568309	51823	Grace
568309	88575	Filthy Girl
568309	350437	Tiffany
568309	358729	My (segment "The Player")
568310	122826	
568310	262676	
568310	322816	
568310	370188	
568311	132724	
568313	3341	Olga
568314	73506	
568314	246851	
568315	381736	Joanna Key
568316	275454	Judy Cheasler
568316	331556	
568317	391835	Talking head/soundbites (segm
568318	294	Bench Cameo (Gump)
568318	6871	Gertie Hemple
568318	6989	Ruthie
568318	19126	Old Tough Kate, aka 'Granny'
568318	27251	Petal McGurk
568318	33197	Virginia Lane
568318	34921	Herself - Roaster(Regular Gue
568318	44830	Maw
568318	45678	Mrs. Rudnick
568318	63275	Consuelo
568318	86534	Widow Knockerby
568318	88258	Betty
568318	93067	Herself/Emcee
568318	119356	Opposing Coach
568318	147629	
568318	147796	Herself
568318	150125	Herself
568318	154833	Additional Voices
568318	157848	Ruth Clayton
568318	158885	
568318	163652	Soprano
568318	176503	Blanche
568318	180651	Herself
568318	186006	Herself
568318	187420	Aunt Minerva
568318	206819	Chrissy's Mother
568318	224149	Madame Gypsy
568318	235059	Dr. Rheems
568318	235600	Lois Troy
568318	241098	Princess
568318	258789	
568318	261746	
568318	273896	Olga
568318	280202	Felonia
568318	282537	Herself
568318	287293	Herself
568318	303765	Elvira
568318	319899	Chuck's Mom
568318	348402	Marilyn
568318	354560	Damsel in Distress
568318	366671	
568318	381137	Gladys Ormphby
568318	381676	Mama Bear/Grizzly Gran
568318	385272	
568318	385824	Leticia Bradford (1983)
568318	387672	Regular
568318	390534	
568318	393482	Additional Voices
568318	394848	Fi (in 'The Lost Saucer')
568318	396016	Fi
568318	396142	
568318	401980	Nose Marie
568318	403834	Gladys Ormphby/Regular Perfor
568318	404366	Additional Voices
568318	404897	Ruthie (1993-1999)/Suzy Kablo
568318	405097	Additional Voices
568318	405718	Additonal Voices
568318	406523	
568318	407934	Margie 'Pete' Peterson (1967-
568318	410938	Miss Take/Miss Fit/Other Vari
568318	411759	Miss Take/Miss Fit/other role
568319	344597	
568320	404750	La cameriera
568321	140712	
568321	182793	
568322	3502	Ella misma
568323	49674	Herself
568323	237191	Herself
568324	49674	Récitante
568325	3502	Ella misma
568327	23077	Um Shukri
568328	215911	Okelo's Mother
568329	405	
568329	813	
568329	231172	Mushka
568329	286738	
568330	364094	Country Western Singer
568331	75913	Precieuse
568331	124594	Shrewsbury graduate
568331	194457	Lady Elgin/Sally
568331	194513	Shrewsbury graduate
568331	360091	Tonetta Landi
568331	388321	Luisa Warrington (2000)
568331	390692	Caroline Thornley
568332	368252	
568333	11607	
568334	53852	
568335	295853	Herself
568336	230240	Featured Dancer
568337	112326	Baby
568338	274332	Dancer
568339	27935	
568339	151044	Norma
568340	50207	Jude
568340	346156	Woman In Lost Property
568340	382838	Nikki White (1988-1992)
568341	224046	Annie
568341	382693	Irenee
568341	406267	Sue Johnson
568342	278309	Giovanna
568342	338613	Flora
568342	338614	
568343	92059	
568344	398902	
568344	409295	
568345	238360	
568346	323285	
568347	290552	
568347	322532	Christin, Tocher des Bauern a
568348	80610	Mrs. Clayton
568349	332462	Gry
568350	8578	Woman
568350	19799	
568350	42191	
568350	142338	Lida
568350	165061	
568350	179038	Wife of Taxi-driver
568350	179897	
568350	182470	Mother (segment "The Noonday 
568350	213847	Betty
568350	215105	
568350	263652	Vendulka
568350	327763	Mísa
568350	333808	Stázka
568350	344040	Miluska
568350	349009	Olga Syslová
568350	392081	Helena Herbichová
568350	398755	
568350	399141	Head physician
568350	403860	Cook Milada
568350	410338	Gerta 'Winterhilfe'
568351	48131	Marit Skjølte (young)
568351	107334	Aase Nordhaug
568351	179772	Elsa Rieber
568351	181082	Kristine
568351	314843	(Norwegian version)
568351	315378	Alvilde
568352	190376	Mom
568353	11354	Mrs. Covington
568353	120480	Motel Clerk
568353	386272	Brothel Madame
568354	153770	Elise Mack
568355	105804	Waitress
568356	49828	Rat Woman
568357	252808	Lusya
568358	60881	
568359	20193	
568359	167895	
568359	227139	
568359	287469	
568359	373260	
568360	379831	Kimberly #3 (1991)
568361	306426	Det. Urban
568362	359933	
568363	214430	Colonist/Accused Witch
568364	368894	Molly
568365	177660	Tournament Sign-up Lady
568365	317309	Elevator Passengers
568366	244034	Bus Girl #2
568366	297190	Sick Kid #2
568366	317309	Cute Autograph Girl
568367	288983	Lucy
568367	365412	Linda
568367	379913	Capt. Bonnie Bunny
568368	32775	Pandora Ormerod
568369	332897	Lucy Davis
568370	177660	Big Ern's Valet
568371	32775	Tabitha Ormerod
568372	177660	Big Ern's Valet
568373	368872	Herself
568374	54936	Claire
568374	98800	Mary
568374	154577	Mary
568374	233510	Matty
568374	312854	Jackie
568374	364866	Junior Police Officer
568374	395879	Diane Lloyd
568374	396699	Kitty Rannaldini
568375	92766	Dr. Meredith Winter
568375	311952	Hot Girl #1
568376	161791	Cathy (Coffee Shop Owner)
568377	248476	Herself
568377	248478	Melissa Byers
568378	96738	Chrissy
568379	209112	Maternity Nurse #1
568379	244034	Pea Soup Supervisor
568379	317309	Gorgeous Hostess
568380	339834	Downstairs Neighbor
568381	131240	Housemaid (evening prayers)
568381	318607	Churchgoer
568382	1334	Rosebud
568382	100106	Cleo
568383	230662	Susan
568383	240463	Vicki
568384	26725	School Prefect
568385	223885	Guest
568386	411532	Servant girl
568387	403805	Erlene (1998)
568388	194028	
568389	131641	Joan Rawlings
568390	27358	3rd Class Alien
568391	410430	Herself (interviewed)
568392	67790	Myrna Hapgood
568393	93903	Herself: Reporter
568393	93935	Herself - Speak
568393	93936	Herself - Speak
568393	93937	Herself - Speak
568393	93938	Herself - Speak
568393	93939	Herself - Reporter (intro) & 
568393	93940	Herself - Reporter (intro) & 
568393	179972	Herself - Speaker
568393	315384	Herself - Speaker
568393	333107	Herself - Speaker
568393	409153	Herself - Host (1967-1974)
568394	240120	Elskovssyk dame
568395	219359	Maren
568396	14799	Júlia
568396	84524	
568396	90449	Woman 2/Couple 2
568396	104077	Sister
568396	116948	
568396	124236	
568396	222158	
568396	336110	
568396	380386	Marina
568396	382684	Ana
568396	385024	Diana
568396	396610	Dóris (1996-1997)
568396	396795	Laís Azevedo
568396	400670	Gertrudes de Sá
568396	401243	Téia
568396	402582	Beth Franco
568396	404960	Neide
568397	13649	
568398	388398	Carlota Alencastro
568399	5484	Mrs. Hoyle
568399	7153	
568399	7493	Sophia Sommerfield
568399	8629	Essie Miller
568399	16900	Sister Edwitha
568399	20314	Mary Shoemaker
568399	25868	Gladys Fulton
568399	26817	Mrs. Jones
568399	29388	Mrs. Loomis
568399	32362	Mrs. Montville
568399	36870	Mrs. John Jones
568399	37487	Mary Coy
568399	41698	Mummy Tyl
568399	44570	Mrs. John Jones
568399	47346	Mrs. Duncan-Griswald-Wembly-S
568399	48539	Dolly Madison
568399	54471	Mrs. Frost
568399	59455	Lady Octavia Warrenton
568399	61304	Josephine Fippany
568399	61567	Mrs. Mamie West
568399	65182	Mrs. Wheeler
568399	75889	Carrie Jannings
568399	84834	Elizabeth Ellis
568399	84997	Mrs. Masters
568399	89100	Matey Pearson
568399	92174	Mrs. John Jones
568399	92883	Magda
568399	97669	Mts. John Jones
568399	99397	Carlotta Emerson
568399	100668	Violet Price
568399	105178	Mrs. Evers
568399	105227	Mrs. John Jones
568399	107581	Miss Swanson
568399	108240	Mrs. Emily Hardy
568399	128416	Mrs. Langford
568399	133662	Duchess Caroline
568399	134070	Mrs. Dexter
568399	141620	Bertha Van Cleve, Mother
568399	141665	Nancy Potter
568399	150479	Mrs. John Jones
568399	150577	Mrs. Parkhouse
568399	154855	Mrs. Marshall
568399	158237	Nellie Burke (Oberkugen's sec
568399	163246	Mrs. Stafford
568399	163577	Aunt Ella Paisley
568399	167311	Mrs. Kendrick
568399	168981	Mrs. John Jones
568399	183331	Mrs. Stanton
568399	188542	Mrs. McPherson
568399	192065	Mrs. Starwell
568399	192408	Marmee March
568399	192721	Mrs. Minerva Morgan
568399	195162	Louisa Norton
568399	195873	Fields
568399	195951	Mrs. John Jones
568399	196998	Aunt Lucy
568399	209592	Mrs. Mitchell
568399	209609	Sylvia Storm
568399	223399	Mrs. Byam (Roger's mother)
568399	223767	Mrs. Penrose
568399	224119	Mrs. Clara Malette
568399	233930	Mama Kingshead
568399	238633	Mrs. John Jones
568399	240936	Mrs. John Jones
568399	243217	Alice Draper
568399	247141	Aunt Letty
568399	248026	
568399	252297	Mrs. Schofield
568399	252300	Mrs. Laura Schofield
568399	257939	Mrs. Milwright
568399	257963	Suzie Robinson
568399	263117	Mrs. Flora Mars
568399	269780	Mrs. John Jones
568399	274745	Kathy's Mother
568399	278540	Mrs. Maybelle Worthington
568399	279303	Ernst's Mother
568399	280158	Justice Amelia Brown
568399	282565	Mary Sunshine
568399	285351	Mrs. John Jones
568399	286304	Mrs. Brooks
568399	302656	Mrs. Bellows
568399	304065	Agnes Thorndyke
568399	312810	Mrs. Randall
568399	315644	Mrs. Hubbard
568399	329903	Rebecca Perry
568399	331763	Nona Glenn
568399	335576	Mrs. John Jones
568399	339844	Mrs. John Jones
568399	350484	Rosa 'Rosebud' Yancey
568399	356261	Ma Davis
568399	358589	Mrs. Brentman
568399	359171	Cecilia Talbot
568399	360166	Mrs. Bartlett
568399	361543	Aunt Ettie Coombes
568399	362894	Bridget 'Bridgie' Drake
568399	372145	Penny Sycamore
568399	372483	Mrs. Jones
568399	385949	Lily Ruskin
568399	395132	Daisy Cooper (1961-63)
568400	399797	Hanna
568401	261325	
568402	355776	Lina
568403	88450	
568403	134299	
568403	178786	
568403	231173	
568404	60444	
568404	213158	Maria
568405	74430	
568405	88455	
568406	132909	Chatterbox Guest
568407	132909	Chatterbox Caller
568408	119197	
568409	238161	Ivy League Girl
568409	244433	Florabell Thompkins
568410	304734	Julie
568411	304734	Mother on Bus/Nurse
568412	246710	Libby Latcher
568413	201928	Waitress
568414	137418	Rita
568415	300057	Saloon Woman
568416	35637	Nurse
568416	63105	
568417	6815	Bathsheba
568417	107696	Maid
568418	1737	Herself
568418	37047	Kaylee
568418	59721	Nellie
568418	196522	Jenny Riley
568418	231535	Herself
568418	231536	Herself
568418	279888	Piper
568418	279982	Herself
568418	283108	Narrator
568418	326664	Herself
568418	362081	Daphne Reynolds
568418	379741	Regular Performer (1996-2000)
568418	379893	Host/Regular Performer/Penelo
568418	388672	Herself/guest panelist (1997-
568418	410877	Holly Tyler
568419	80911	Bar Girl
568420	299193	Secretary (Hamilton's)
568421	406955	Ele
568422	333312	Aunt
568422	347746	
568422	362132	Elaine
568423	297672	Aging Hooker
568424	215697	Host
568424	381886	Herself - Main Presenter (200
568424	392996	Presenter (1999-2001)
568424	400811	Host
568424	407138	Host
568425	72931	Goodyear Chorus Girl
568426	169477	Secretary
568426	313413	Conn Officer
568426	333205	Rex's Wife
568427	310171	Bio-Mechanical Warrior
568428	3163	Senator Michaelson
568428	45661	
568428	61626	Mrs. Goralsky
568428	70100	Mrs. Shaw
568428	101066	Citizen
568428	102247	Harper
568428	148344	Esther Greene
568428	158313	Sue Llamas
568428	158321	
568428	163464	Mary Bruce
568428	207858	The Female's Boss
568428	220622	Realtor
568428	241166	Judge Lea Cole
568428	265747	Virginia Walker
568428	339363	Hearing judge
568428	367606	Lois Marcos
568428	368259	Stacy
568429	117665	Helena Day
568430	9087	Jenny May
568431	102208	Angel
568432	30432	Lady Flash
568432	30433	Vocalist
568432	82445	Choir Member
568432	232630	Church Singer
568432	331732	Pregnant Woman
568432	342769	Choir Member
568432	380012	Vocal Coach and Vocal Arrange
568433	194963	Waitress
568434	84523	Vera Maxwell, Generic Citizen
568435	388491	Sister Frances
568436	203917	Party Guest
568437	321137	Receptionist
568437	355924	Vivienne Gibson-Fforbes
568437	381081	Mrs. Linde
568438	177605	Intern #1
568439	41410	Sun's Student
568440	241288	Kim
568441	278217	Young Lauren
568442	36968	
568442	156785	Stewardess
568444	117065	
568444	136287	Mrs. Manners
568444	139073	Spectator
568445	7500	Herself
568445	108693	
568445	129852	
568445	185641	
568445	187822	
568445	253154	
568445	360162	
568445	392421	Herself
568445	403516	Host
568446	233754	Ann Ashby
568447	283462	Crowd Extra
568448	343045	Loose Lady
568449	53823	Woman in Bookstore
568449	75897	Elaine Fontana
568450	117665	Fenix Day
568451	80824	Linda Wilson
568452	91767	Delmy
568452	190139	Secretary
568452	245036	Nancy
568452	399439	Natalie
568453	137259	Amusement Park Patron
568454	5806	Ellen Creighton
568454	5863	Dede McKenna
568454	16660	
568454	36864	Farmer's wife
568454	45050	Sick woman (water-swallowing 
568454	77545	Motel Manager
568454	80765	Polly
568454	158313	Harriet
568454	171200	Connie
568454	189911	Night Nurse
568454	190711	Billie
568454	231533	Aunt Lula
568454	238749	Eileen Burnside
568454	314235	Waitress
568454	314438	Sally Jenkins
568454	318712	Aunt Patty
568454	353278	Mary Kay
568454	353525	Nun's Ward
568454	358576	Toy Store Cashier
568454	398412	Miss Llewellyn
568455	16982	Gloria
568456	5925	Peggy
568456	6248	Mrs. Montgomery
568456	43606	Poe Picketer
568456	47744	Maid Eloise
568456	88766	Nurse Packer
568456	139443	Auntie
568456	142361	Patton
568456	219692	Lionel's Mother
568456	224239	
568456	272356	Grandma
568456	355395	Doris, the landlady
568456	411408	Libby Wentworth
568457	248235	
568457	377865	
568458	394986	Herself - Therapist
568459	49715	Additional Voices
568459	63711	Valetta
568459	63712	Silvie Gena (English version)
568459	182500	Secretary
568459	217377	Isabelle (English version)
568460	210541	Maureen
568460	215287	Jenny
568460	389931	Abbie
568460	405026	Catherine of Aragon
568460	409593	Miranda
568461	147974	Bar Woman
568462	19775	Kid at Arcade Parlour
568463	124026	Villager
568464	58017	First Girl in Basement
568464	90889	Teri Riley
568464	151761	Blue-stockings
568464	158112	Tap Dancer
568464	224566	Cynthia Murdoch
568464	285298	Kate
568464	297705	Lady Kiely
568464	383226	Alyson Butler
568465	72738	Ashes Sprinkler
568466	411759	Andrea (1986-1989)
568467	283607	IAM Girl
568467	404409	Doreen
568468	359423	Old Woman
568469	154804	Sabrina Bradley
568469	176456	Mary
568469	240024	Nancy
568469	283361	Wench
568469	363146	Mary
568470	80065	Neighbor Lady
568471	196216	Lovey Gibbs
568472	54405	Reporter #2
568473	330812	Ezeldel Lamthorn
568473	333868	Niall French
568474	350424	Beatrice
568475	97022	Nora
568475	116796	Sister Rowan
568475	176456	Flora
568475	203304	Woman at Canal
568475	253864	
568475	284583	Bridget Bradley
568475	322921	Shirley
568475	409668	
568476	11167	Mary Maggs
568476	48037	Lady Honoria Nesbitt
568476	142895	Marchioness Matilda Spina
568476	196615	Lady Adela
568477	392996	Presenter (2001-2004)
568477	409188	Co-Anchor (2004-)
568478	155920	Part of couple
568479	215629	Mirian
568480	177089	Jenny
568481	186534	Frances Heywood
568481	305391	Baby Zuzanna
568481	386589	Little Tonya
568482	54836	Debbie
568482	273610	Kathy McLeod
568482	372759	Herself
568482	372760	Herself
568482	382206	Herself - Panellist
568482	391869	Julia Bowman (1992)
568482	395282	Jen Jardine
568482	411830	Herself (1971-1975)
568483	279835	
568484	166110	John's Aunt
568485	206410	Taxi Girl
568486	308122	Junk Store Gal
568487	313357	Anita
568488	403277	Suzi
568489	337759	T.V. Presenter
568490	43	Melissa
568490	66119	Stella
568490	97644	Felicia
568490	101049	Nurse
568490	141540	Head Sawyer's Wife
568490	191326	Montana
568490	195277	Valerie
568490	199148	Reporter KMUR
568490	226956	Celia Waif
568490	244421	Stewardess #1
568490	245275	Tracy
568490	263461	Thumpy
568490	358114	Sharon
568490	360723	Cindy Castellucci
568491	378912	Reporter (1986-1993)
568492	162425	Nikki
568493	208477	Model
568493	208478	Model
568494	122030	2nd Model
568495	93569	Herself
568495	126579	Herself
568495	158044	Liz
568495	186446	Stewardess
568495	195346	
568496	14255	Nurse Captain
568496	194525	Mrs. Bradshaw
568496	294065	Secretary
568497	78318	Police Operator #2
568498	56618	Assistant to Chairman
568498	388860	Addie
568499	2010	Self
568499	17592	Anna Hart
568499	21526	Lily
568499	34055	Molly Stamwick
568499	93981	Elizabeth McCall
568499	106638	
568499	140901	Emily Grier
568499	206204	Alison Wells
568499	211440	Iowa
568499	256234	Jill
568499	363078	Donna McDermott
568499	380713	Lily Walsh Mason Santana Snyd
568500	330167	Laura
568501	112522	Heather
568502	346314	Carol
568502	383136	Kate
568502	398294	Rachel ?
568503	10391	Mrs. Frewin
568503	21548	Audrey
568503	40056	Nursie
568503	40057	Nursie
568503	47191	Nurse
568503	57736	Marenka
568503	79556	Mrs. Gummidge
568503	99923	Mrs. Crabtree
568503	115674	Lady on Train
568503	138440	Rosie
568503	139181	Old Woman
568503	145022	Matron
568503	150567	Mrs. Dempster
568503	175784	Old lady
568503	194513	Mrs. Pettican
568503	216240	Toussaint, the Cook
568503	221000	Mrs. Lunt
568503	276804	Mrs. Plummer
568503	279347	Daisy Panick
568503	281173	Nurse
568503	301940	Giant Nanny
568503	314157	Agnes
568503	338827	Eliza
568503	382172	Nursie (Bernard)
568503	392483	Martina
568503	395750	Mrs. Cleaver
568503	397833	Betty Hackforth
568503	398738	
568503	400081	Mrs. Nubbles
568503	401642	Betty The Tea Lady
568503	407587	Millicent Gentle
568503	410640	Marjorie Stoneway
568504	122242	Abigail Jefferson (Other Play
568504	231829	Barbara
568505	85658	Vera Bellamy
568505	107142	Gloria Lewis Colt
568505	175797	Pauline
568505	227806	Laura Martin
568505	387518	Dr. Frances Whitney
568506	279200	Dancer
568507	212615	
568508	2419	
568508	109506	Connie Gallies
568508	120013	Girl at dance who gets caught
568508	295284	Hatcheck girl
568509	64864	Sabrina
568509	77148	Rastus Sommers
568509	79298	Sophie
568509	130094	B.G.
568509	154102	Rose Mortmain
568509	224154	Jenny
568509	232317	Audrey Appleby
568509	256845	Girl
568509	270912	Gemma Taylor
568509	313476	Dormé
568509	323387	Sonja Stilano
568509	340652	Briseis
568509	342908	Alex
568509	364783	Alex
568509	387267	Belinda O'Connor
568510	17769	Young Fan #1
568510	46420	Girl #1
568510	320247	Rebecca Bahner
568510	348617	Blonde #1
568511	310584	Jessica
568512	8087	Georgia
568513	8932	Minnie Kennedy
568513	329915	Hospital Administrator
568514	273241	Herself
568514	360344	Nitro Girl Fyre
568514	410688	Nitro Girl Fyre (1996-1999)
568514	410690	Nitro Girl Fyre (1998-1999)
568515	101247	
568516	388209	Kylie (2004-)
568517	208694	Lucetta's maid
568517	211838	Louise Farrington
568518	385112	Helen Crestfield
568518	408786	Mrs. Thorpe
568519	78762	Hannah
568520	202367	Fran Finston
568521	128268	Joanie Nichols
568521	194269	Miss LaRobe
568522	31877	
568522	37249	
568522	128847	Dolores
568522	232113	Girl in the Woods
568523	26064	Granddaughter
568523	321466	Diane Fingleton
568523	362800	Dayna
568523	380884	Thea Hawkins
568523	382704	Catherine
568523	387787	Hannah Schuller
568523	410238	Helene, as a child
568524	310436	Daughter
568524	411802	Abigail 'Abby' Carlton [#4] (
568525	145336	Isabel
568525	307001	Elly
568526	383766	Herself (2004)
568527	127312	Laura Kove
568528	39194	Barmaid
568528	101704	Zion Operator
568528	119234	Beth Wheats
568528	133432	Florence Desmond
568528	173353	Ann
568528	203584	Cressida Roache
568528	207989	Zion Virtual Control Operator
568528	243934	Miriam Chadwick
568528	244399	Paula Reid
568528	296947	Dr. Kate Munro
568528	302665	
568528	302666	
568528	302667	Carla
568528	358305	Antoinette
568528	382743	Diane/Sister Catherine
568529	113915	Candy
568529	321466	Young Diane
568531	74247	Lena Right
568531	122210	Maggie Martin
568531	130296	Mrs. Warren
568531	153154	Flo
568531	196284	Dola
568531	249559	Mrs. Foster
568531	318346	Dola
568532	249595	Witness
568533	45521	Girl
568534	278647	Sydney Surf Double
568535	193211	Herself
568536	43877	Julie, age 25 (The Ugly)
568536	344187	Julie, aged 25
568537	246530	Jennifer
568537	410254	Host (2002-2003)
568538	248422	
568539	5908	Herself
568539	7619	Betty
568539	66049	Una Crealy
568539	87826	Nurse Evans
568539	89387	Mum
568539	118744	Marge
568539	133597	Mrs Joe Gargery
568539	222831	Rhonda's mother
568539	224154	Eunice
568539	234083	Mrs. Burke
568539	261521	Thelma Abbott
568539	296947	Rose Flanagan
568539	301945	Dorothy
568539	391869	Angela Newton (1990)
568539	401973	Duchess
568539	406891	Lou Sullivan (1978-80)
568540	73217	
568540	81196	Post Office clerk #2
568540	109513	Cashier
568540	203664	Jackie
568540	254479	
568540	273610	All Girl Band
568540	366427	
568540	379716	Antoinette 'Skye/Toni' Patter
568540	387203	Laura Fielding (1993)
568540	391369	Pat Edwards
568540	391869	Natalie Nash (#2) (1999-2000)
568540	397401	Emily Baldwin (1995)
568540	403244	Tracey Williams
568540	404394	Prostitute
568540	405578	
568540	411362	Bonnie Harper
568541	24240	Sally Cato
568541	309951	The Blonde
568541	382773	Althea Dennis (1954-1955) (or
568543	22016	Girl
568543	86808	Big Sister
568543	265005	Stewardess
568543	386582	Assistant (1958-1959)
568543	400037	Kitty Mathews
568543	411217	Peggy Evans
568544	181135	Krone Lab Worker
568545	116808	
568546	254592	Lecturer #1
568547	58809	Iris
568547	86842	Betty Loring
568547	105248	Miss Martin
568547	186013	Mary Bradford
568547	265361	Bit
568548	153332	
568548	334672	
568548	338869	
568550	34878	Natalie Lane
568550	67604	Pat
568550	161906	Phyllis Penner
568550	168672	Pearl Lang
568550	170795	Ellen Marsten
568550	200445	Connie Stewart
568550	250872	Natalie Lane
568550	294835	Charmion (Cleopatra's handmai
568550	330004	Miss Byron, saleswoman
568550	356806	Phyllis Bruce
568550	358700	Mrs. Harrington
568550	389496	Kit Aldrich
568550	396785	Mrs. Ruth Adams (1959-1960)/D
568550	400986	
568550	401021	Natalie Lane
568551	7199	Mrs. Crowley
568551	45783	Mrs. Covington
568551	81277	Commissioner's Wife
568551	115003	Jerri Benton
568551	266758	Gallery Buyer
568551	349898	Edie Smegmite
568551	363298	Dr. Kincaid
568552	53576	
568553	398788	Mythbuilder (2002-2004)
568554	4683	Queen Mother
568554	39731	Sister Ruth
568554	65666	Model on sofa after cream pie
568554	69436	
568554	72662	Muriel Sharp
568554	77197	Daphne
568554	85984	
568554	99081	Lady Waddington
568554	99951	Mrs. Goddard
568554	101432	Mrs. Ingram
568554	118267	Lucienne Templar
568554	120439	Tadek's Mother
568554	123299	Pat
568554	137964	Lady Calvert
568554	138120	Mrs. O'Malley
568554	138176	Janet Tedford
568554	141956	Brigitta
568554	142387	Arlette de Balzamann
568554	148870	Vera Forrester
568554	150847	Duchess of Devonshire
568554	190104	Ann Peters
568554	199712	Verite Faimont
568554	208053	An Angel
568554	216240	Mother Superior
568554	223831	Helen Bradley
568554	230704	Viv
568554	232077	Evelyn Sawtelle
568554	232116	Jane
568554	235058	Mrs. Hale
568554	235592	Dr. Rose
568554	240459	Elizabeth
568554	241628	Mrs. Mortimer
568554	244980	Herself
568554	252983	Edith
568554	257548	Eve Price
568554	261038	Countess Gemini
568554	261041	Lady Carnock
568554	262799	Signora Bondini
568554	264820	Mrs. Halpern
568554	265471	Margot Holland
568554	265481	Herself - interviewed
568554	275380	Mme. Annette de Chevreaux
568554	275472	Herself
568554	289109	Old Mrs. Ryan
568554	289632	Josephine
568554	292659	Renee l'Epine
568554	301959	Schoolmistress
568554	305331	Susan
568554	313347	Eve Malone
568554	335073	Mrs. Brown
568554	342597	Katy Weil
568554	367350	Katherine of Locksley
568554	372490	Ann Seymour
568554	372642	Bit Part
568554	382830	Miss Wooler
568554	387337	
568554	387337	Agnes Baden-Powell
568554	387518	Margaret de la Roux
568554	387533	Irene Madden
568554	389859	Principal Nursing Officer Rut
568554	390274	Fanny Assingham
568554	392667	Agatha
568554	396909	Janice Maxwell-Brody
568554	398190	Lady Varinder (episodes 1-3)
568554	398972	Edith Cunard
568554	411028	Mrs. Proudpiece
568555	222337	Frau Muller
568556	32886	Dancer
568556	33698	Dancer
568556	56103	Dancer
568556	77015	Dancer
568556	90292	Dancer
568556	133818	Dancer
568556	146813	Show Girl
568556	196295	Talent Agency Girl
568556	203051	Dancer
568556	319193	Dancer
568556	348972	Dancer
568556	358186	Girl in lobby
568557	27308	Angela Hardy
568557	45420	
568557	46560	Sonia Tetford
568557	47306	Florine Chanler
568557	61731	Gertie
568557	67141	Student
568557	73215	
568557	110459	
568557	114670	Nurse Corday
568557	127519	Telephone Girl
568557	128654	Margery
568557	130330	
568557	130745	Joanna
568557	141286	Mimi Marantz
568557	145671	Page Girl
568557	145831	Baby Myers
568557	147726	
568557	163287	Bride on Train
568557	195883	Bakery Girl
568557	196927	Peanuts
568557	207949	Marrieanne, the New Maid
568557	209631	
568557	210392	Second Stewardess
568557	242110	
568557	246789	
568557	257390	Mimi
568557	257739	Maude, the Telephone Operator
568557	300103	
568557	306446	Ruth Davis
568557	306769	
568557	308661	Penny
568557	314187	Marion King
568557	320253	Virginia
568557	321416	Bessie
568557	327872	Kitty
568557	330129	Soda Jerk
568557	347317	
568557	360826	Party Girl
568557	368315	Ellen
568558	147124	Ada Figgins
568559	196558	Bit part
568559	326832	Betty Palmer
568559	327746	Hope
568560	69899	Child
568561	44020	Rose Cameron
568561	47449	
568561	74051	Enid Crane
568561	94486	Enid Drayton
568561	142121	Abby Hope
568561	168689	Janet Burnham
568561	309716	Ruth Piggins
568561	341003	Daisy Burton
568562	80062	Cora Van Santen
568562	141788	Mrs. Thea Elvsted
568562	220073	Captain's Wife
568563	180869	Natasha Pozdnyshevova
568564	284079	
568565	75977	Wieslawa's Mother
568565	112786	Krystyna's Mother
568565	180106	Nanny
568565	266335	3. Ciotka
568566	48368	Majsan Nilsson
568566	355642	Blondi
568566	403084	Irma Larsson/Nilsson (1992-19
568567	46204	
568567	76485	
568567	88740	
568567	229851	
568567	232668	Andreyeva
568567	283832	
568567	332990	Aksiniya
568567	349296	
568567	357469	Rumyantseva
568568	265266	Girl Student
568569	162755	Fracsita
568570	172719	Egor's Mother
568571	244728	
568572	374774	
568573	95950	Aunt
568573	132414	
568573	170383	
568573	312919	
568573	374232	Maid Melania Roch
568574	148819	Journalist
568575	217047	Mrs. Ekberg
568575	320520	Inga's Mother
568576	34493	Secretary to Andreas Vergerus
568576	116304	Sundet
568576	197142	Gertrud
568576	206193	de Simiane
568576	248521	Annika
568576	268355	
568576	276209	Karin Albrekt
568576	287559	Mother
568576	308197	Ulrika
568576	313639	Mrs. X
568576	322840	Herself
568576	340245	Lillemor
568576	350396	Ulla
568576	398251	Fröken Andersson
568576	403084	Katarina Remmer (1997-2002)
568577	247431	
568578	73193	Monahan
568578	80424	Sarah
568578	80844	Diana Tang
568578	106266	Masseuse
568578	128478	Young Nhung
568578	160418	Lee Anne
568578	312184	Ying Chungwang
568579	58059	Josiane
568579	97844	Brigitte Lebac
568580	38103	Lipstick Dyke
568581	389717	
568582	16677	Margaret's Maid
568583	108257	Sandy
568584	155360	Mother
568585	10820	Cafe patron
568587	14159	Woman #1 at Market
568587	137758	
568587	407236	Laci's wife (1990-1992)
568588	99763	
568588	284215	Madre de Hernán
568589	52981	
568589	247150	
568590	2059	
568591	214502	
568592	214494	Szeréna
568593	237160	
568594	48521	
568595	227524	
568596	163127	Udvarhölgy
568597	177935	
568598	103033	Fõhercegnõ
568599	182648	Lány
568600	239432	
568601	136428	Manöken
568602	138008	
568603	2944	Editke
568603	14159	Helen
568603	74450	Lilla
568603	81339	The President
568603	82789	Mike's Neighbor
568603	96405	Rosa
568603	98016	Ági
568603	110702	
568603	113108	Angelika
568603	126614	Teri
568603	155619	
568603	174689	
568603	179418	Laczina's secretary
568603	181353	
568603	182693	Ancsurka
568603	191505	Kate
568603	211217	
568603	254665	
568603	315505	Alvira Shativa
568603	322011	Blúzné lánya
568603	322210	
568603	377129	
568603	379094	Torma Piroska
568604	97982	
568604	322203	Hercegné
568605	322129	
568606	28347	Ülnöknõ
568606	42335	Queen
568606	64862	Magda
568606	96387	Gohrmann Kitty
568606	107672	Benkõné, Erzsi
568606	122538	Ilonka
568606	136845	Klári
568606	138606	Deák's mother
568606	153861	Királyné
568606	175746	Mrs. Lemhenyi
568606	182870	Lédererné
568606	324708	Katica
568606	349791	Éva
568606	357822	
568606	377760	Mrs. Karolyi, Agi
568606	378578	Gyula felesége
568606	407236	Mrs. Szöllõsi (1987-1997)
568607	25410	Marie Ducrot
568607	37758	
568607	77397	
568607	78761	Kitty Vane
568607	96659	Miss Mascha Troekouroff
568607	123008	
568607	137721	
568607	156678	
568607	174784	
568607	183830	Lena Shultz
568607	188783	
568607	200147	Bianca, the Aerial Artist
568607	232035	Princess Marie
568607	289902	
568607	290763	
568607	293417	
568607	307602	
568607	308405	Yasmin, André's Daughter
568607	326075	
568607	330758	Eva Petrie
568607	342982	Donna Leonora de Vargas
568607	352040	
568607	352875	
568607	366332	Barbara Worth
568607	375271	
568608	39052	Kata
568608	43188	Zoltan's Mother
568608	48669	
568608	74463	
568608	98016	Terike
568608	102409	Apafiné, Bornemissza Anna
568608	102443	Gizella Petrás
568608	103054	
568608	104197	Dóra, Eszter édesanyja
568608	110696	Angéla
568608	134959	Gréti
568608	136431	Kondor mama
568608	138603	Sister Betty
568608	149922	Klara
568608	153673	Elza
568608	153705	
568608	153860	Grandma
568608	155796	
568608	162745	Orosztanárnõ
568608	171598	Márta
568608	182634	The prime minister's wife
568608	198210	
568608	199873	
568608	200613	Not-Turkish woman #2
568608	201967	Sztanek
568608	209721	Jana
568608	211217	Nicoletta von Niebuhr
568608	215095	
568608	226001	Flamilla
568608	227531	Juli's Mother
568608	227532	
568608	227533	Anya
568608	227534	Juli anyja
568608	227607	
568608	281286	Doctor
568608	284356	Lili
568608	284357	Sári
568608	322022	Jeromos's wife
568608	322073	The wife
568608	322126	Brigitta
568608	322128	Mária
568608	327726	(segment Ten Minutes After)
568608	348999	Ildikó
568608	349036	
568608	357819	Nõvér
568608	375969	Anita's mother
568608	377075	
568608	377126	Kisegítõ
568608	377723	Emma
568608	377804	Noszlopyné
568608	388511	
568608	390187	Nóra (Géza's wife)
568608	402544	Herself
568608	412030	
568609	14159	Suzanne (infant)
568610	322080	
568610	355244	
568611	88805	Beckman's daughter
568611	171380	Señora Rica
568611	395006	Kinga
568612	215499	
568613	236303	
568613	252748	
568614	6493	
568614	53648	Sor Juana de la Cruz
568614	62338	
568614	64968	
568614	148166	
568614	170459	
568614	202831	Mercedes
568614	263774	
568614	292733	La Abuela
568614	296467	
568614	343722	
568614	355755	
568614	371781	Wife
568615	27863	Dorotea
568615	77329	Madre Superiora
568615	88058	
568615	156373	Señora Rosario
568615	221762	Maruxa
568615	254987	Ramona Baquerro
568615	335390	Amadora
568615	402702	
568616	18447	
568616	66869	Tânia
568616	112761	Sara
568616	273127	Silvia
568616	278580	Mélita
568617	2247	Klárika
568617	153694	Mária Lujza
568617	248214	Lulu
568617	320380	Klari
568617	324708	
568617	349034	Mária
568617	378518	Diáklány
568618	407234	Lili (recurring)
568619	124811	
568620	243397	Bachnáková
568620	322069	
568621	326078	A jegyzõné lánya
568623	187936	Princess Zagarolo
568624	58358	
568625	74422	
568626	166662	Yvona
568627	165061	Grandmother
568627	288359	Courtier
568628	377143	
568629	2987	
568629	50463	Öltöztetõnõ
568629	74397	Egy kövér nõ
568629	74455	Fuvarosnõ
568629	96466	
568629	107966	Rosa Kapturak
568629	138970	
568629	156028	
568629	175466	Kisrece's teacher
568629	197906	Böske néne
568629	200606	
568629	243878	Bába
568629	350830	
568629	377719	Tatárné
568629	387360	Majzlikné
568629	394990	
568629	407309	
568630	29449	Wilhelm Klára
568630	74437	Beke's wife
568630	97983	Hella
568630	98015	Baloghné
568630	99560	Flóra Köves
568630	110569	
568630	112911	Éva
568630	141754	Éva, György felesége
568630	153859	Countess Széchenyi
568630	155796	
568630	162509	
568630	171598	Juli
568630	175753	Jakab Júlia
568630	179418	
568630	182692	Irma
568630	182697	Anna
568630	186122	Laura
568630	200613	Not-Turkish woman #1
568630	215472	Eva
568630	237044	Innkeeper's Wife
568630	268232	
568630	322064	Mária
568630	322208	Éva
568630	324705	A grófkisasszony
568630	328305	
568630	343454	
568630	349794	Mrs. Hámori
568630	357937	Katus, gróf Károlyi Mihályné,
568630	371289	Hungarian voice of Mareike Ca
568630	377140	
568630	378583	Betti's mother
568630	407651	Sister Regina (recurring)
568631	177934	Errolné
568632	42927	
568632	199118	
568632	199873	A kultúrfelelõs
568632	322245	
568632	377126	Személyzetis
568633	118749	Dwarf
568634	138367	
568635	167137	Hannchen, Ferdinands Frau
568636	153717	
568637	381912	Herself
568638	381599	Elin
568639	153717	Expediter
568640	403921	Meralda
568641	187563	Senior citizen #1
568642	29556	Flore's mother
568642	192821	Andra fotografen i filmteamet
568642	304354	Maria Demodov
568643	389362	
568644	376122	Seller
568645	38699	Girlfriend
568645	175288	Myriam
568645	225210	Julia
568645	290703	
568645	396624	Carina Stein
568645	396874	Sarah Koch (2000)
568646	129696	
568646	343674	Claudia
568646	361032	
568647	174104	Aunt Marie
568647	379433	Helene Sanft
568647	406269	
568647	406270	
568648	210339	Herself
568649	260407	Partygast
568650	42113	
568651	28167	
568652	6118	Eva
568652	12560	Marie
568652	122552	
568652	128043	Herself
568652	172849	Beate Stein
568652	180913	Milena
568652	182735	Eva
568652	185929	Anna Glaser
568652	225306	Emilia Bauer
568652	229879	Beate Stein
568652	260414	Lena Schartl
568652	276444	Missy
568652	290481	Uschi
568652	297874	Roxanne
568652	301028	Alexandra
568652	325911	Frau Jacke
568652	361296	Alice von Köhne-Jasky
568652	375962	
568652	382203	
568652	396162	Lady Emma Hamilton
568652	398993	Caroline Bonaparte
568653	325948	Anna Barneck
568654	50977	Blafferpige
568655	10208	Fru Lund
568655	303678	Fru Aasen, pasient
568656	109134	Patient
568656	129054	Fru Thorsen
568657	50977	Rannvá's mother
568657	203961	
568658	183086	
568659	99910	
568660	3094	Louise
568660	15025	Samantha Page
568660	30886	Lucie
568660	33586	Marianne
568660	33587	
568660	51310	Sonia
568660	64292	Herself
568660	70145	Herself (segment "Pour Nguyen
568660	71965	
568660	76157	Milady de Winter
568660	79281	Angel
568660	82578	Lila
568660	83185	Le petit chaperon rouge
568660	84222	Pauline Pommerel
568660	90111	Elvire
568660	101216	Marie
568660	101256	Nelly
568660	104207	
568660	111033	Justine
568660	146380	Marie
568660	204657	Manon
568660	205768	Marie-Antoinette
568660	215876	Claire Phelps
568660	228202	Nathalie/Marlène
568660	229666	Nelly
568660	262963	Hélène
568660	265347	Herself
568660	271372	Sonia Mornant
568660	283653	Lucie
568660	284207	Nathalie
568660	291971	Herself
568660	327577	Gilberte
568660	345043	Constanza
568660	345133	Camille
568660	345312	Herself
568660	346537	Jeanne
568660	356508	Alda
568660	357124	Chantal Bardet
568660	373580	
568660	376593	Herself
568660	376879	Irène Larue
568660	376931	Éva
568660	377744	Odile
568660	402216	Interviewer
568661	23867	Marie
568661	63660	Alice
568661	65924	Herself
568661	99358	Sabine
568661	167636	Herself
568661	202541	
568661	247980	
568661	263372	Lou, jeune
568661	269503	Julie
568661	384754	Charlotte Marszewski (2000-)
568661	392894	Anne-Louise
568661	396228	Hélène
568662	2598	
568662	10191	
568662	51535	
568662	59776	
568662	70696	
568662	117980	Amaranta
568662	131971	
568662	143678	
568662	143752	
568662	164953	
568662	197191	
568662	202559	
568662	225389	
568662	243706	
568662	306670	
568662	376751	
568663	84634	Une lavandière
568663	91461	La servante
568663	227482	Chantal
568663	254085	La Bavaroise
568663	254939	Panope
568663	309034	Nadine Benoit
568663	312663	Hélène
568663	313084	La femme police des frontière
568663	345371	Odette
568663	353790	La Matrone
568663	377464	Cathy
568663	387650	Zélie
568663	410215	
568664	384147	
568664	396334	Sophie Vincent
568664	396525	Gabrielle
568665	176819	Punk Queen
568666	32271	Suzanne
568667	174155	Skieuse
568668	45688	Madame Bédard
568669	16061	Janet
568669	23743	
568669	32277	Hélène
568669	56948	Mme Thoré-Dumont
568669	68350	
568669	72140	Sonia
568669	96144	Lucille
568669	101151	Gertrude
568669	208833	Janet
568669	225373	La dame au guichet automatiqu
568669	247607	
568669	313562	
568669	345707	Madeleine
568669	378705	Geneviève
568669	383504	Caroline Duplain
568669	385503	Suzanne
568669	390486	Marguerite
568669	400768	Mireille
568669	400804	Denise Dumouchel
568669	404863	Renée Daigneault
568669	410252	Pauline Guérin
568670	16061	Mariette
568670	208833	Mariette
568670	269041	
568670	383504	Elise
568670	398159	Manda MIlo
568671	406381	Herself (season 1)
568672	236579	
568673	53256	Herself
568674	346820	
568675	218565	
568676	100343	La tante
568677	385355	Host
568678	239432	
568679	17080	
568679	74426	
568679	74438	Grandma
568679	108722	Carlotta's Mother
568679	110915	Juli, Bódog felesége
568679	122131	
568679	122538	Tanítónõ
568679	142233	Erzsike, Sipos's secretary
568679	153860	
568679	155618	
568679	171603	
568679	172530	Méltóságos
568679	175708	
568679	182515	
568679	182732	
568679	209810	
568679	229692	
568679	268430	Lina
568679	322065	Hajabácsné
568679	322082	
568679	324655	
568679	343747	
568679	343776	
568679	350830	
568679	357937	
568679	377760	
568679	378180	Maid
568679	379094	Mimó
568679	410331	
568680	18712	
568680	48669	
568680	97957	
568680	97958	
568680	155617	
568680	171549	
568680	176205	
568680	198210	Mother of Szabolcs
568680	212428	
568680	214500	
568680	225073	Margit
568680	229692	
568680	268284	
568680	322060	Tibor felesége
568680	322099	Klári
568680	322108	Tanárnõ
568680	322122	
568680	324703	
568680	333123	
568680	343776	
568680	378310	Erzsi
568681	356499	
568682	48711	Isabella
568683	8216	Sharon Watson
568683	74077	
568683	148753	La serveuse
568684	199556	Madeleine de Verchères
568685	197014	Cabaret Artist
568685	249209	Fan de Jeannot
568686	251547	Andreanne
568686	340190	Autostoppeur
568687	111873	
568688	156304	
568688	217697	
568689	383959	Marie-Andrée Chartrand (10-12
568689	403475	Jessica Gauthier-Langlois
568690	353900	Françoise
568691	132892	
568692	72719	The Princess
568693	51067	Lucinda
568693	69343	
568693	91445	Sylvie Mouriat
568693	119044	Yvonne
568693	166266	Mme Hericard
568693	199305	Félicité
568693	292366	Raymond Carême
568694	109408	
568695	61418	Flasher's victim
568695	173129	La fille qui rit
568695	255813	Michèle
568695	270290	Sheila
568695	284171	French Voice
568695	341601	Paulette
568695	411623	Emma Garnier
568696	120141	
568696	134581	La tante Mina
568696	225537	
568696	282102	La grand-mère Boyer
568696	333812	Aunt Clara
568696	345268	Caroline
568696	388316	Eva
568696	401151	Lumina
568696	403897	Mme Lacasse
568696	403898	Bijou Bousquet
568696	404863	Mme Charlebois
568696	406028	La mère d'Annette
568697	177546	Neva
568697	249209	Jeune Chanteuse prometteuse
568698	99590	Choriste du show
568699	177935	
568700	71815	La femme
568700	96021	Agnès
568700	99377	
568700	135332	Brigitte
568700	158938	Céline
568700	166106	Cécile
568700	166116	
568700	225531	Jamal's girlfriend
568700	291575	La vendeuse en pharmacie
568700	339967	La préparatrice
568700	345561	Joséphine (Titia)
568700	346480	Sylvie
568700	383246	Angèle (2002-)
568700	399082	Lydia Fernac
568700	402251	Julie
568700	402384	Clara
568701	401329	Maud
568702	82296	Criada da Pensão
568702	191464	Sofia
568702	198190	Sofia
568703	240274	Herself
568704	125744	Winnie's coworker
568705	268972	Mamie
568706	254021	Huguette
568707	66745	Nurse 2
568708	222796	1st Girl
568710	346772	Justine enfant
568711	27778	Véronique
568712	57513	Laure Magloire
568712	121809	Claude
568712	129247	
568712	198574	La cliente outrée
568712	202341	Zina La Tigresse
568712	225524	Elizabeth Dorsay
568712	270631	Herself
568712	318515	La politicienne à la radio
568712	354968	Madame Pluvignec
568712	397938	Princess Marie-Blanche
568712	400803	Athénia
568712	401987	
568712	406030	
568712	411998	Angèle
568713	350095	Hélène Poirier
568714	71835	
568715	103209	
568716	24725	
568716	33803	
568716	36484	
568716	52722	
568716	66223	
568716	98788	Flore
568716	103929	
568716	110022	
568716	128983	Dolorès
568716	148669	
568716	171341	
568716	219504	
568716	224901	
568716	240597	
568716	250923	
568716	254012	La fée aux lunettes
568716	287590	
568716	339919	
568716	345083	
568716	377259	
568717	409799	Jacqueline
568718	273108	
568719	100353	
568719	201183	
568719	338977	
568720	62570	
568720	72367	Étudiante
568721	111026	Julia
568721	279803	Isabella
568722	148758	
568723	9250	
568723	209839	Ápolónõ
568723	349036	
568724	169341	Countess (La Comtesse)
568724	224901	
568724	249085	Gaby
568724	352945	
568725	3311	(segment "Les larmes du sida"
568726	412030	
568727	284355	
568728	19670	Tímea
568728	19680	Novák Hilda
568728	43186	
568728	76531	Frigyes' wife
568728	97972	
568728	97976	
568728	99560	Mrs. Deszkás
568728	104199	
568728	140049	Csordás Ili
568728	153861	Arogancia
568728	155955	Teréz, Kiss felesége
568728	156100	Anna
568728	182817	
568728	182828	Alfonsine
568728	182829	Alfonsine
568728	219836	Igazgatónõ
568728	225784	Szûcs Rozi
568728	227603	Pötyi
568728	251976	Tóthi Dorka
568728	268284	Jutka
568728	322065	Katalin
568728	377133	Éva Halk
568728	377797	
568729	354610	Adélaïde
568730	57263	Régina, la couturière
568730	58954	
568730	61416	Adele
568730	68925	Aglaé
568730	73183	Aliona
568730	77351	Mlle Tramont
568730	107382	Sister Marguerite
568730	169031	
568730	201024	
568730	212767	Madame Carpezaud
568730	216113	Madame Perache
568730	261806	
568730	294566	La belle-mère (segment "Gourm
568730	346700	
568730	356973	
568731	356391	Une voisine
568732	12046	
568732	15067	
568733	352596	
568733	354912	
568734	4973	Gloria
568734	13094	Brigitte (segment "Gli amanti
568734	34373	Madeleine
568734	68659	La voyageuse
568734	158837	Singer's friend
568734	336621	Alice, l'attrice straniera
568734	346449	
568735	110550	Anita
568736	240429	
568736	350050	
568737	102301	
568737	181958	
568737	268489	Asimeja e madhe
568737	349763	
568738	262402	
568739	23035	
568739	147035	Conductress
568739	172906	Panicka
568739	266352	Slámová
568739	268228	
568739	268509	Jarca
568739	357687	Ancka
568740	55874	Tána
568740	116645	Devil woman
568740	149621	
568740	168395	Joan of Arc
568740	180690	Mother Ubu
568740	205704	
568740	262541	Cokovka
568740	264230	Witch
568740	356571	Gábina
568740	399901	Spiderwoman
568741	58125	Herself
568741	164257	Berta
568741	214799	
568741	283977	
568742	182646	
568742	182648	Lány
568742	377891	
568743	306702	Répa Mari
568744	399860	
568745	306702	Répa Rozi
568746	265463	
568747	278687	
568747	322126	Munkáslány
568748	281027	
568749	28537	
568749	48669	
568749	96430	
568749	137758	Wágner édesanyja
568749	147929	
568749	166648	
568749	176285	
568749	177931	T. felesége
568749	180824	Baloghné
568749	201967	
568749	322025	Szamba mama
568749	322105	
568749	324705	Fehér anyja
568749	334015	
568749	343710	
568749	343776	Rózsika
568749	348999	
568749	349781	
568749	350833	
568749	354617	Erzsike
568749	355244	
568749	377723	Mother of Emma
568749	377748	
568749	377768	
568749	388511	
568749	407241	
568750	379182	
568751	322251	Estike
568752	171621	The wife of businessman, The 
568753	110700	
568754	377761	
568755	153688	
568756	147929	
568757	328209	Azafata
568757	345592	Secretaria
568758	159562	
568758	290511	Petra
568758	315768	Angelika
568758	390701	
568759	314958	Mrs. Nilsson's daughter
568760	314958	Mrs. Nilsson's daughter
568761	189835	
568761	239326	
568761	318894	
568761	333610	
568761	360946	
568761	360947	
568762	359625	
568763	404435	
568764	157688	Inge Maier
568765	314357	Marie Prantner
568766	42169	Heidi Hofbauer
568766	126459	Barbara Brandner
568766	183797	Marie Antoinette
568766	190791	
568766	325737	Senta
568766	334556	Maria
568766	361995	
568766	374623	Gerda
568767	54789	Kasseuse
568767	116508	
568767	134784	
568767	226260	
568767	226308	
568767	293423	
568767	338376	Sophie von Pechstein
568767	354056	
568767	365591	Frau Pröschl
568767	410048	Sekretaerin
568768	94305	Gaby Hofer
568768	121049	Iris Mutter/Mother
568768	138156	Sigird Stein
568768	208504	Petra Sänger
568768	225634	Hanna Relach
568768	259668	Sabrina Kowalski
568768	290049	Lucia
568768	303359	Kriminalhauptkommissarin Hann
568768	306511	Kathrin
568768	325477	Gerichtsmedizinerin
568768	325587	Carola Faber
568768	325620	Gerichtsmedizinerin
568768	325720	Juliane Wehling
568768	325768	Gerichsmedizinerin
568768	351946	Nicole
568768	352080	
568768	384368	
568768	392669	Christina Buchmann
568768	405500	Hannah Koch
568768	405500	Kriminalhauptkommissarin Hann
568769	40815	Rebecka
568770	11861	Evelyn
568770	46112	Lena Stern
568770	68431	Livia Burlando
568770	68432	Livia Burlando
568770	68433	Livia Burlando
568770	68434	Livia Burlando
568770	68436	Livia Burlando
568770	68437	Livia Burlando
568770	68438	Livia Burlando
568770	68439	Livia Burlando
568770	70246	Hortense
568770	78303	Corinna
568770	98078	
568770	98286	Klara
568770	103082	Nathalie
568770	111478	Hanna
568770	120040	Iris
568770	124999	Andrea
568770	125323	Viola
568770	127642	Kim Clausen
568770	134796	
568770	155474	Anna Martens
568770	172857	
568770	192703	Nora
568770	197013	
568770	200050	Helga
568770	226240	Christine
568770	226342	Paula Bloom
568770	226343	Paula Bloom
568770	236205	
568770	238537	Ursula Schiller
568770	250974	Clara
568770	259632	Dr. Alma Voss
568770	276624	Emma Brenner
568770	308259	Dorothea Straub
568770	325037	Ottilie
568770	325762	Angelika Bojahn
568770	344737	
568770	348104	Charly Höppner
568770	374333	Elvira Spielplatz
568770	374372	Carla Mattis
568770	376467	Claudia Fuchs
568770	378998	Gianna
568770	380057	Dr. Angela Mancinelli
568770	387735	Susanne "Nane" von Guldenburg
568770	391287	Clara
568770	409635	Charly Höppner
568771	391293	Christina Dudek (1989-1990)
568772	352565	
568773	4498	Toilet woman
568773	16417	Lavinia
568773	16621	Vera Lange
568773	22579	Frau Gschwinder
568773	24013	Ottilie Zinn
568773	32655	Konzertsängerin S.
568773	34524	Regine
568773	115975	
568773	132154	Vivian
568773	173961	Karla
568773	177752	
568773	178596	Frau Krause
568773	186921	Karin Werner
568773	195045	Katrin Lot
568773	204507	Gudrun Piesold
568773	214717	Minna von Barnhelm
568773	259452	Edith Reger
568773	259454	Renate Siebert
568773	259463	Edith Reger
568773	259467	Edith Reger
568773	259494	Edith Reger
568773	259499	Edith
568773	259503	
568773	259517	
568773	259531	Edith Reger
568773	259532	Edith Reger
568773	259558	Ilse Lorenz
568773	259573	Edith
568773	259574	Edith Reger
568773	259577	Claudia Freudenberg
568773	259590	Edith Reger
568773	259602	Edith Reger
568773	259604	
568773	259607	Olga
568773	259618	Edith Reger
568773	259632	Edith Reger
568773	259649	Edith Reger
568773	259657	Edith Reger
568773	259658	Edith Reger
568773	259689	Edith Reger
568773	276214	
568773	284420	
568773	285000	Faustina Barboni, Operndiva
568773	312636	
568773	312649	Kaderleiterin
568773	346557	Irma
568773	352572	Gertrud
568773	361051	Dr. Ladenbach
568773	361417	
568773	404010	Sybilla
568774	120046	
568775	47844	
568775	189665	
568775	325833	Mädchen aus Selb
568775	389785	
568776	143512	
568777	120930	Minka
568778	175023	Sestra
568778	207721	
568778	253991	Pavlova matka
568778	266460	Babánková
568778	327763	Bartácková
568778	349195	Head nurse
568778	351381	Bojanová
568778	357951	Andulka
568778	411960	Mlynárová
568779	352793	
568780	224123	
568780	225291	
568780	343343	
568780	350865	
568780	374385	Annemarie
568780	376406	Frau Fröhlich
568780	379840	Dr. Heidi Schaller (1997-1998
568780	391604	Eva Baal
568780	391604	Eva Baal (1999-2001, 2002-200
568781	111581	Starlet
568782	406432	Herself
568783	100350	Josefine
568784	104699	Mieke
568784	180880	Katja
568784	396874	Melanie Neuhaus
568784	403792	
568785	3542	
568785	3547	
568785	16965	
568785	29583	
568785	138440	Female Prisoner
568785	171606	
568785	322105	
568785	394991	
568786	159640	Singer
568787	31400	
568787	259670	
568788	156738	
568789	138008	
568790	186897	Rock 'n Roll Tänzer/Rock 'n R
568791	49301	Deniser
568791	200205	Elina
568792	33959	
568792	98015	Magdika
568792	153686	Irina
568792	200610	Orosz felesége
568792	200619	
568792	210385	
568792	225438	Ibolya
568792	250445	Jelizaveta
568792	284356	Irén
568792	306702	Etelka
568792	322053	Madonna
568792	322077	
568792	327364	
568792	342039	Soubrette
568792	349045	
568792	361533	
568792	375969	Szilvi
568792	377723	Böbe
568792	378583	Woman
568793	84296	Herself: Reporter
568794	288862	Herself - Miss Nordsee 1994
568795	320225	Bibbi
568796	109953	Flickan
568797	377891	
568798	96466	
568798	108913	Józsa
568798	126269	
568798	209842	
568798	229481	
568798	301470	Erzsi
568798	322065	
568798	349035	
568798	350830	
568798	377719	Katica
568798	377753	
568798	402164	
568799	333465	
568800	378330	
568801	204497	Josefa, Magd
568802	97969	
568802	186122	
568802	322208	
568803	140770	Schülerin
568804	424	Frau Hain
568804	25924	Marion
568804	53764	
568804	101055	Female Russian typist
568804	102527	Bunny
568804	126424	Miss Umney
568804	127496	
568804	139711	Nummer 423
568804	152789	
568804	164607	Lissy
568804	180037	Hannah
568804	189647	Yolande
568804	208467	Maxi
568804	225639	Nicole Walther
568804	237917	Saleswoman
568804	246245	Schülerin
568804	258689	
568804	273967	
568804	290787	Gerti
568804	293618	Tanja Klein
568804	310892	Frau Schütze
568804	310893	Frau Schütze
568804	310896	Frau Schütze
568804	310897	
568804	310898	
568804	310900	Frau Schütze
568804	310902	
568804	310903	Frau Schütze
568804	310904	Frau Schütze
568804	325535	
568804	364884	Vera Malkowski
568804	399734	Schwester Biggi
568804	406814	Modeste
568805	275203	Anne
568806	4640	
568807	126857	
568808	356839	Paula Peters
568809	27126	
568809	170637	Annemie Brakke
568810	985	
568810	46130	
568810	71073	
568810	93443	Frau Casparius
568810	93453	
568810	109557	Bertel
568810	119433	Edith
568810	125369	
568810	126082	Angelique
568810	128993	
568810	145483	Susanne Himmel
568810	180971	
568810	189673	Dora
568810	189823	
568810	225629	Betty Falks
568810	234289	
568810	248155	Francine
568810	307250	Renate Römer
568810	308252	Christine
568810	312208	Dr. Heese
568810	312889	Gisela
568810	334013	Wanda
568810	334540	Linda Carp
568810	338441	
568810	367052	Miss Nora
568810	369440	Y
568810	389615	Marianne Melzer
568810	392086	Lisa Lindemann
568810	392636	Hilde Sonntag
568810	397366	Anita
568810	405748	Georgie
568810	408334	Wanda
568810	410605	Hanni Borgelt
568811	40752	Assistentin
568812	102881	
568812	244202	
568812	290521	Elfi
568813	159622	Inge
568813	392669	Stefani Kaiser
568814	138543	Lina Kirch, 12 year old
568815	325761	
568816	259509	
568816	312655	
568817	259595	
568818	119197	
568819	24066	
568819	24091	Frau Heller
568819	119283	
568819	246951	Frau Rainer
568819	306404	Frau Knauer
568819	361422	Lina Bollmann
568820	119197	
568821	174088	Minna Ey
568821	177223	Tante Hede
568822	301050	
568823	381037	Host
568823	381039	Host
568824	339065	
568825	107751	Frau Salewski
568825	118146	
568825	125105	Anna Michelski
568825	147175	
568825	156631	Ursula Kranz
568825	174179	Anna Koepper
568825	212128	Bärbel Schmölling
568825	216255	Martin's Mother
568825	237631	
568825	281149	Hella
568825	281656	Direktorin
568825	325807	
568825	339065	
568825	382855	Jolanthe von Domburg
568825	387386	Doris Schelling (1997)
568825	388950	Larissa
568825	395372	Hanna
568825	397950	Margret Bölkhoff
568826	11989	Franka Bischoff
568826	123954	
568826	178678	Mutter der Zwillinge
568826	259659	Alida
568826	361053	Vera
568826	377374	Kerstin Natya
568827	10653	
568827	259494	
568827	259604	
568827	325575	Alissa
568827	339699	
568827	364943	
568827	376182	Uschi
568827	381694	
568828	138260	
568829	94271	Herself - Teacher
568830	78467	Herself (performing winning s
568830	78468	Herself (performing 'Hamlet')
568830	104735	Danish entry (10th place)
568830	121026	Frk. Nitouche/Charlotte Borg
568830	182273	
568830	214366	Rikke Berg
568831	237072	Sonja Hoffmann
568832	190844	Sille
568833	76301	Mrs. Hansen
568833	237292	Marion
568834	345990	Søster Anna
568835	306055	
568836	706	
568837	100504	Hodder's Classmate
568837	172654	Annika
568837	291615	Pige/Girl
568837	315400	Herself/Annika
568838	119694	Herself
568839	109141	Veninde 2
568839	229414	
568840	135699	Nanna
568841	108955	Homeed student, gogo dancer
568842	120893	Evelyn
568842	203960	Sygeplejerske
568843	78486	Herself (performing 'Afrodite
568844	34402	Bernardas mor
568844	98426	
568844	110770	Signe, prestens datter
568844	120023	Asbjoerg Lien
568844	120847	Tjenestejente
568844	293812	Elise, hans hustru
568844	322471	
568844	322472	Eier av melkeforretningen
568845	2063	
568845	29890	
568845	33842	Elisabeth Norvåg
568845	42556	Fru Lund
568845	110927	Barnehagelærerinne
568845	136630	Sigrid Stray
568845	180449	
568845	182294	Birgit
568845	192487	Livs veninne
568845	219446	Moren
568845	275199	Dronningen
568845	284389	Fru Jervell
568845	285877	Ruth Vang
568845	318315	Siv's Mother
568845	334084	Hanna
568845	356489	
568845	357807	Nattsøster
568845	390848	Sigrid Stray
568845	393436	Fru Gram
568846	229591	
568846	353751	
568847	101124	Sygeplejerske 2/Nurse 2
568847	397955	Lenette Jacobsen
568848	22844	Tjenestepige hos Pastor Bork
568849	3547	
568850	102389	Puck
568850	167149	
568850	376082	
568851	314379	
568852	90064	Donna Ines
568852	98288	
568852	110069	Margarethe
568852	215867	
568852	225741	Bernhardine von Brünn
568853	16622	
568853	157653	Frau Gänsslen
568853	259443	
568853	325835	Frau mit Sommerkleid
568853	338397	Mother
568854	250928	Tina Stührenberg
568855	366523	
568856	86907	Uber Model
568857	1826	Alex' Freundin/Alex' Girlfrie
568858	142209	
568859	86718	
568860	309418	Herself
568861	138156	Gisela
568861	157653	Sally
568861	204414	Julia
568861	260407	Katrin
568861	281149	Julia
568861	325768	Junge Frau
568861	393255	
568862	169872	
568863	155459	
568864	398767	Lillan Olsson
568865	306373	
568866	5124	Magda
568866	23989	Gerda Mopel
568866	31400	Frau Keul
568866	34362	Uschi
568866	42165	
568866	45985	Thea
568866	136221	
568866	140770	Ellen Volkmann
568866	149961	Jette
568866	156734	
568866	170380	Jutta
568866	175286	Mrs. Clay
568866	177213	
568866	179752	
568866	182782	Magdalena
568866	197080	Lucie
568866	197419	
568866	204410	Margit
568866	211490	
568866	216290	Mabel Patrick
568866	216719	Doris Brauner
568866	218964	
568866	218981	
568866	225176	
568866	225649	Ulrikes Mutter
568866	231481	
568866	257364	Helga Arnold
568866	259475	Frau Beck
568866	259505	Frau Lute
568866	259585	Marion
568866	259608	Frau Mertin
568866	259638	Eva Rickelmann
568866	268129	
568866	275905	
568866	276330	
568866	282162	Simone
568866	290793	
568866	294589	
568866	300189	Mrs. Ottberger
568866	312107	Traudel
568866	312655	Brigitte
568866	325406	Frederike
568866	325413	Frederike
568866	325498	Friederike
568866	325653	Frederike
568866	325780	Frederike
568866	325798	Frederike
568866	325885	Frederike
568866	325890	Frederike
568866	325910	Fredericke
568866	325922	Frederike
568866	325932	Frederike
568866	326593	
568866	332724	Charlotte
568866	333109	Anna
568866	334610	Frau Bender
568866	336505	Lisa
568866	343677	Caroline
568866	343955	
568866	346996	
568866	350429	Vanina Vanini
568866	352351	Frau Hartmann
568866	352676	Sonja
568866	356567	Frau Zenkmeier
568866	376415	Vera
568866	378743	Dr. Agnes Mensendiek (2004-)
568866	409609	
568866	411341	
568868	234128	Narrator
568869	380903	Ann-Catherine Engel
568870	359618	Herself
568871	290452	
568872	389948	
568873	11850	
568873	12576	Karla Godau
568873	144146	Schwester Barbara
568873	228161	Dr. Riedel
568873	262753	Micha
568873	289857	Saskia
568873	289947	
568873	307254	
568873	322985	Esther Kraus
568873	325861	Alberta Cerda
568873	338940	
568873	365591	Claudia
568873	389361	Gudrun Hanson
568873	398202	
568873	399162	
568874	35598	Dancer
568875	147473	
568875	147929	
568875	199118	Ilus, Orbánné lánya
568875	225411	
568875	322079	
568875	333123	
568875	343626	Juli
568875	377228	Egy asszony
568876	324511	
568877	352047	
568878	68170	
568879	357396	
568880	99590	Scripte
568880	111089	
568881	40418	
568881	93423	
568881	140003	Hatifa
568881	259486	
568881	259594	
568882	225307	
568883	25506	Schwester Aloisia
568883	93391	
568883	218210	Millie Molton
568883	326192	
568884	259780	Princess
568885	254350	Lady Evaine
568886	104725	Herself
568886	104726	Herself
568888	391546	The Chubby Cheerleader
568890	389061	Herself
568891	391547	The Ugly Duckling
568892	76455	
568892	227815	(guest role)
568892	271647	
568894	72920	Ghost Girl
568895	391546	The Bitchy Girl
568896	407138	Herself
568897	173445	
568897	312700	
568898	384807	Columnist
568899	45400	Woman Golfer
568899	111470	Sandy/Susan
568899	279323	Judy
568899	380750	
568900	312699	
568900	356657	
568901	3475	Blasa
568901	22772	Sabina
568901	27857	Doña Rita
568901	30388	
568901	42636	Ana Nicolaievna
568901	51526	Señora Acacia
568901	52604	
568901	55928	
568901	64035	
568901	65412	Anciana testigo
568901	80240	
568901	95345	
568901	96321	Filo
568901	110233	
568901	117966	Zia Denise
568901	132688	
568901	153331	
568901	160121	Iñure
568901	162443	
568901	166895	
568901	183945	
568901	197617	
568901	199785	
568901	227870	
568901	233334	
568901	235304	Francisca Pedrosa
568901	236021	
568901	236411	Srta. Crespo
568901	236420	La directora
568901	255488	
568901	256944	
568901	266471	
568901	326338	
568901	328864	Casilda
568901	332697	
568901	336023	
568901	336322	
568901	353599	
568901	354041	
568901	376777	
568901	376818	
568902	2368	
568902	5105	Virginia
568902	7336	Albertina
568902	8539	
568902	9910	
568902	12104	
568902	17071	
568902	19444	
568902	22772	Carmen
568902	25034	
568902	25678	
568902	28290	Faustina
568902	30388	
568902	42636	
568902	48969	
568902	51526	Dolores
568902	52604	
568902	52778	
568902	52975	
568902	52986	Lola 'La Guindilla mayor'
568902	53654	
568902	53662	
568902	54332	Rosa
568902	55152	
568902	58036	
568902	58277	
568902	63876	
568902	67218	
568902	68581	Braulia
568902	70862	Flora
568902	73263	
568902	73270	
568902	74808	
568902	74904	
568902	75361	Recién casada
568902	80223	
568902	81573	
568902	90189	Housekeeper
568902	91379	
568902	95345	
568902	96321	
568902	97659	
568902	103110	
568902	103535	
568902	103558	
568902	103806	
568902	110233	
568902	122837	
568902	131384	
568902	135276	
568902	140564	
568902	143754	
568902	146510	Luisa
568902	148106	
568902	169798	
568902	183504	Eulalia
568902	183945	
568902	193016	
568902	194622	Madre de Aurora
568902	197617	
568902	199942	Portress
568902	200415	
568902	202213	
568902	202556	Alodia
568902	202561	
568902	204644	Dolores Luján, la esposa de M
568902	205690	
568902	206041	
568902	206977	
568902	213412	
568902	214388	
568902	214825	
568902	219224	Madre gitana que habla con Te
568902	221895	
568902	226430	
568902	226491	
568902	234175	
568902	235304	
568902	235967	
568902	236021	
568902	237896	
568902	246386	Criada de César Espinosa
568902	246874	
568902	247199	Aunt Mercedes/Serafina
568902	251614	L'ostessa
568902	258381	Concheta
568902	273844	
568902	275076	
568902	276003	
568902	277002	
568902	284213	
568902	286283	
568902	287435	
568902	287464	La tante de Pili
568902	296449	Señora Pepa
568902	296470	Olímpia
568902	302350	
568902	302401	Criada de la granja
568902	307727	
568902	309087	Tía Emilia
568902	318016	
568902	320306	Doña María
568902	322341	
568902	332136	Senora Hidalgo
568902	332913	
568902	333751	
568902	336322	
568902	337870	
568902	338603	
568902	339153	Chacha Nicerata
568902	343733	
568902	351831	
568902	352108	Mother
568902	352151	
568902	352152	Mujer visitante de la obra nº
568902	353599	
568902	353664	
568902	371715	
568902	376734	
568902	376750	
568902	376793	
568902	377174	
568902	377193	Mujer del conserje
568902	378411	
568903	253281	Ixchel (Mujer)
568904	100146	Valerie
568905	357504	
568906	32693	Kitty
568906	46156	Reporter
568906	66162	News Media
568906	80410	Karen Ellis
568906	141643	Nurse
568906	158113	Brenda Isham
568906	222575	Maggie Barrows
568906	245036	Delia
568906	297953	Angela
568906	399739	Tia
568907	69409	Struggling Woman
568908	257670	Herself
568909	395885	
568910	379907	Silvia
568910	390614	Mirta
568911	103533	
568912	236021	
568913	51736	
568914	64031	
568914	146488	Piernas de una señora
568914	223613	
568914	243685	
568914	268440	
568914	292736	
568914	292916	
568915	313562	
568916	176630	Dña. Paquita
568916	222008	Locutora TV.
568916	376760	Madre de Marina
568916	376851	Clienta odontologo
568917	286228	Dancer
568918	52750	
568918	54773	
568918	100267	
568919	1874	Michelle
568919	84888	Marthe Foscari
568919	119491	Lucia
568919	149642	Senora Ortega, Col. Ortega's 
568919	161108	Woman in audience
568919	163936	Jeanette
568919	199564	Mrs. Spanish Ambassador
568919	297707	Josefina
568919	366843	Caroline
568919	400698	Troupe du Palace
568919	404365	Jeanne
568920	64702	
568920	193550	Isis
568920	398915	
568921	10135	
568922	196760	Wrestler
568923	353604	
568924	65089	
568925	25221	
568926	371698	
568927	22699	
568927	51736	
568927	99763	
568928	170100	Madre Carlos
568928	220755	Helena
568929	215174	Student
568930	151810	Raquel
568930	369417	Mujer
568931	42632	Ariana
568932	334692	
568933	300868	
568934	19463	
568934	74971	
568934	211071	
568934	332644	Sanchez' Wife
568935	395236	Valeria
568935	408410	
568936	106994	
568937	68636	
568937	353604	
568938	12073	
568938	14777	
568938	100298	Eva
568938	120375	
568938	252542	
568939	119412	Herself
568939	122980	Herself
568939	143896	Salomé
568939	148614	Soprano
568939	165297	Herself
568939	197927	Sopran
568939	209390	Medea
568939	234974	Norma
568939	281101	
568939	340639	Leonora
568939	353137	Madama Cortese
568940	103682	
568941	222212	Party-goer
568942	169264	Mercédès
568943	73788	Young Paul
568943	268025	Young girl
568945	89103	Herself
568945	125363	
568945	218676	
568945	367986	Elodie
568945	394142	Grootje
568945	404444	Mathilde (1955-1963)
568946	230583	Ironhead's Gang
568946	397738	Marcela Cordoba
568947	63192	Shower Girl
568948	53648	
568949	90196	
568952	53243	Lucie Desmoulins
568953	116169	Georgette's Girl Friend
568954	213453	Mrs. Astor
568954	233044	Gossip
568954	241703	Sidonie
568954	264485	Lady with the Cardinal
568954	271855	Guest
568955	21664	
568955	126067	Bit Role
568955	128889	Student
568955	157870	Bit
568955	241444	
568957	123013	Mariana
568958	241811	
568959	339191	
568960	336445	Isabelle, as a child
568961	103756	Azucena
568962	56446	
568963	352158	
568964	35542	Lunch Girl
568964	128526	
568964	189921	Caryn
568964	241605	Armani Model
568964	365169	Reindeer Dancer
568965	391707	Berthe
568966	382937	Mrs. Rybeera
568966	389580	Doris
568966	397182	
568966	408813	Louisa Silver
568967	71002	
568967	280577	
568968	23673	Nathalie
568969	170361	
568969	358172	Une secrétaire
568970	105721	Herself (presents flowers to 
568971	264153	Woman
568972	63983	Secretaria
568973	275331	
568973	275332	
568974	19486	
568974	206747	
568974	235243	
568975	347692	Maria Paseda
568976	332664	
568977	35020	Angel
568977	396774	
568977	404058	Various characters (1982)
568978	10501	
568979	107274	The Child
568980	57468	
568981	17290	
568982	277372	
568983	65173	Lupe
568983	337872	María
568983	384376	Belén
568983	398914	Patricia
568984	390449	Herself
568985	131128	Titanic girl
568986	55006	
568986	64431	Olga Cuarta
568986	247296	María Paita
568986	401481	Ramoncito/Ramona
568986	402411	Lorena Quezada
568986	403674	
568987	55110	Carla
568988	206739	Mujer Espejo
568989	80813	Desk clerk
568989	403002	Isis
568990	135967	Tournament Fan
568991	70632	Herself
568991	72173	Amanda/Pauline/Herman Shoes (
568991	158379	Carolyn
568991	158692	Juli
568991	196894	Italian-speaking woman & Part
568991	267110	
568991	283538	Court Room Observer
568992	80398	Karen Beck
568993	134595	Club singer
568994	287703	Flower Girl
568994	331984	Flower Girl
568995	41063	Herself
568995	57943	Herself
568995	205819	Jayne
568995	257638	Herself
568995	257647	Herself (Miss March)
568995	257659	Herself (in bonus retrospecti
568995	257831	Miss June 1989
568995	257859	Herself
568995	257861	Tawnni Cable
568995	361855	Herself
568995	387303	Girl in Exercise Room
568996	139617	Herself
568997	125876	Martha
568997	224795	Mrs. Henderson
568997	278853	Rosalie
568998	109422	
568999	122837	
568999	204644	
568999	271927	
568999	355759	
568999	376641	
568999	376794	
569000	9693	
569000	30408	Rosa
569000	51916	
569000	81410	
569000	158727	
569000	236478	Hija del industrial
569000	306670	
569001	287406	Niña
569002	56465	
569002	121250	
569003	131205	Secretary
569004	86430	Manon Caboche
569005	16789	
569005	73265	
569006	82166	Charlie
569006	400217	Floor (2004)
569007	60890	
569007	156288	Laure
569007	199572	Hotel de France receptionnist
569007	353945	Marion
569008	152676	La cliente "petit garçon"
569009	184424	Village Woman
569010	107947	
569011	60890	
569012	141986	Annette Burton
569013	35809	Mother
569013	119356	Miss McGuirk
569013	143499	Mrs. Purkiss
569013	163286	Cousin Tillie
569013	235059	Bench Woman
569013	236328	Landlady
569013	275361	Waitress
569013	321154	Married woman
569013	341515	Secretary
569014	77759	Christina
569014	92155	A.D.
569014	112290	Group Leader
569014	149936	Field Reporter
569014	202239	Stella
569014	203358	Meditation Student
569014	263782	Bank Teller
569014	302185	Waitress
569015	291708	Veronica
569015	338065	
569016	120257	Mrs. Partridge
569017	340184	Pauline
569018	380458	Assistant
569019	55463	Natalie Cook
569019	94755	Jane 'Dusty' Fargo
569019	101277	Nina Lombardo (Theresa's room
569019	114844	Clio
569019	136046	Rita Saxon
569019	151173	Mrs. Eleanor Wilson
569019	178096	Restaurant extra
569019	198976	Flo
569019	240772	Moana
569019	264094	Girl
569019	277868	Laurie Kenyon
569019	285397	Enger
569019	308338	Tala
569019	309204	Sabra Tanner
569019	320032	Delia
569019	335183	Monahseetah
569019	359291	Sybil Carrington
569019	359766	Janice Starlin
569020	377272	Le pêcheur de carpes
569021	15257	Herself
569022	110666	
569023	88822	
569023	221715	
569024	244034	The Volcano Gal
569025	234012	Leopoldo's Daughter (5 years)
569026	290402	Sue
569027	238514	Mamá Encarnación
569028	387640	
569028	408592	
569029	15257	Herself
569030	68609	
569030	86050	Secretária
569030	249448	Lúcia
569030	314340	
569030	379244	
569030	380331	Goreti Garcia
569030	384137	Barbara
569030	384711	Aída
569030	385023	Margarida Meireles Fraga Dant
569030	385876	Marieta
569030	386728	Violeta
569030	387640	Eduarda
569030	387902	Daphne Pimenta
569030	391609	Antonieta
569030	391673	Sheila Bueno
569030	392628	Angelina
569030	392629	
569030	395302	Ingrid de Lacerda
569030	396610	Cláudia Almeida (1999)
569030	396722	Young Lena
569030	397540	Verena Alves Serrão
569030	401104	Dalva
569030	401932	
569030	402504	Simone Pelegrini
569030	404077	Edite Rosa
569030	404160	Ernestina
569030	404947	
569030	408212	Amorzinho
569030	409780	Aldeíde Candeias
569031	58070	Marta
569031	233691	L'auto-stoppeuse
569031	273725	Lúcia
569031	344688	Laura
569031	353663	
569032	69342	La femme de ménage
569033	14700	
569034	219581	
569035	383441	
569036	195116	
569037	333507	Patient in Exit Room
569038	108536	Party Co-ordinator
569039	189185	
569040	268853	
569040	355764	
569041	177207	Angel
569042	182738	
569043	108142	
569044	317414	Leila
569045	230123	
569046	134062	Joanne
569047	74907	
569048	100703	Vecina de Luisa
569049	395404	
569049	397738	
569050	396132	Olga
569051	215690	Miss Kansas USA
569052	51981	The Instructor
569054	353611	Moderadora
569055	82248	
569056	221737	Directora de la murga
569057	109694	
569058	162607	Ricky's Mother
569059	345417	Hélène
569060	13513	
569060	104144	
569060	211166	
569060	281603	
569061	160587	
569062	114266	
569062	318535	
569062	355786	Herself
569063	154869	'Rainbow House' child
569065	341488	
569066	357189	
569067	153788	
569067	212384	
569068	306744	Seamtress
569069	350072	Antonia
569070	101874	
569070	332909	Francisca 'La Tigra'
569071	21590	
569072	61142	
569072	98999	
569072	247845	Candidata Gorda
569073	351570	
569073	387479	Rosa
569073	402077	Fulgencia
569074	253083	
569075	61357	
569075	233490	
569075	248779	
569076	21598	Léticia
569076	309062	
569077	82742	Annie
569077	311523	Girl in Nightclub
569077	355189	Video Ghost
569078	57929	ABA Student
569079	5093	Saligani Mamá
569079	145205	Carmen
569080	247845	Lalita
569081	131128	Journalist
569082	7248	
569082	42656	
569082	55092	
569082	74802	
569082	216538	
569082	236756	
569082	247858	Maria
569082	306672	
569082	318015	
569082	341362	
569082	351573	
569082	356908	
569082	357908	
569083	12026	
569083	12158	
569083	13064	
569083	14769	
569083	14801	(segment "Seducción, La")
569083	24624	Susana
569083	49890	
569083	51106	
569083	51813	
569083	52302	
569083	55087	
569083	55946	
569083	61867	
569083	62299	Susana Perez/La Bandolera
569083	63636	
569083	63808	
569083	68596	
569083	73065	
569083	73086	Susanita, criada
569083	80163	
569083	80322	
569083	82963	
569083	90533	
569083	91271	
569083	91362	
569083	91368	
569083	131057	
569083	132645	
569083	148048	
569083	169559	
569083	192954	
569083	193355	
569083	193496	
569083	197624	
569083	199808	
569083	202842	Chole
569083	203839	
569083	205102	
569083	209046	Doña Leocadia
569083	212388	
569083	214657	
569083	217084	
569083	221565	
569083	221969	
569083	222049	(segment Amor y yoga)
569083	233768	
569083	246371	
569083	247976	
569083	269470	Madronia Ontiveros
569083	269963	
569083	270890	Wife of Old Man
569083	276976	
569083	291650	
569083	296148	
569083	301166	
569083	307658	
569083	307819	Julia
569083	322856	
569083	324764	
569083	332942	
569083	341163	
569083	355441	Carlota
569083	357914	
569083	371769	
569083	373576	
569083	379554	Lucha
569083	386517	
569083	392651	Susy
569083	399406	
569083	399709	
569083	399802	
569083	400655	
569084	380249	Diana Leon
569084	387897	Pía Borosfky
569084	395846	Soledad Barrancos
569084	395861	
569084	396161	Gladys
569085	71160	Bailarinas (Dancers)
569086	259834	
569087	69239	
569088	170468	
569088	205643	
569089	13315	Malika
569089	383788	Nadia
569089	390688	Barbara
569089	406030	Léa
569090	96043	La narratrice bébé
569091	344802	Lupe
569091	386123	Juvelina
569091	399645	Adelaide
569091	404118	Neide Aparecida (1997-)
569092	60145	
569093	54019	La bonne
569093	255814	
569094	9737	
569094	14941	
569094	25063	
569094	29828	
569094	91397	
569094	108634	Nena
569094	161815	
569094	207757	
569094	225007	
569094	239284	
569094	376674	
569095	385651	'Kris' Aquino
569096	51385	The blind woman, Martine
569097	260897	
569098	75366	Waitress
569099	23274	The Mother
569100	57311	
569101	265333	
569102	409625	Franka Benz (2003)
569103	135049	Social Worker
569104	139211	Lily
569105	331992	Extra at debate
569106	229617	Vera
569107	14171	Herself/'Moira the Banshee'
569108	410303	Polita
569109	205071	Chica 1
569110	197198	
569111	247161	
569112	212467	
569114	29707	
569115	126839	Wilma
569115	365610	Tanja
569116	8709	
569116	221915	
569116	354448	
569117	279836	Dreesen Aide
569118	272944	Policewoman
569119	30862	
569119	73140	Noémie Desguillot
569119	77635	
569119	88710	
569119	94899	
569119	127852	
569119	167103	Herself
569119	173092	
569119	211225	Catherine Perrin-Fresco
569119	234217	
569119	341536	
569119	384434	Nadège
569119	384578	Victoire
569119	406030	Alexandra Saint-Gilles Guérin
569120	266164	Paola
569120	395885	
569121	40749	Roberto
569122	225587	
569122	351395	
569123	78578	
569123	153837	
569124	262741	Amazon
569125	198357	
569126	340458	Monique
569127	92665	Marge
569128	1888	Glasbena terapevtka
569129	142331	The Girl
569130	278332	
569131	399497	Cristina
569132	403252	Charini
569133	90452	Jacy
569133	114815	
569133	248775	
569133	252754	
569134	133345	Vampirette
569135	75142	
569135	383174	Cecilia de Vallejo
569135	383529	Soledad
569135	387275	Inés 'Inesita' Peña de Gómez
569135	391523	
569135	410082	Sofia
569135	411714	Inés 'Inesita' Peña de Gómez
569136	401590	Candelaria Romero
569137	14161	Policewoman
569137	297187	Patty
569138	97388	Dancer
569139	405189	Girlfriend
569140	154869	Restaurant patron
569141	268865	Curvay Bootay
569142	64919	Annie
569142	133909	Maizie
569142	286359	Tessie
569143	35401	Lolly
569143	80801	Hannah Klein
569143	138737	Janet King
569143	282106	
569143	294519	Shelley
569143	331738	Anita
569143	353752	Rena King
569143	382130	Various Characters
569143	390981	Kate Brown
569143	394123	Maisie
569143	403490	Janet King
569143	405373	Lady Chaos
569144	167563	Pool Player
569145	397297	Annuccia Martini
569146	397297	Ciccio Martini
569147	14914	Mrs. Scarborough
569147	68309	Girl in bed at motel
569147	69410	Ava
569147	69421	Naked college girl
569147	88574	Ava
569147	104512	Didi Belair
569147	114546	Ava
569147	139088	Ava
569147	150748	Maid
569147	161505	
569147	166880	French Maid
569147	182998	Ava
569147	197515	Maggie Dancer
569147	207407	
569147	235471	Second Hooker
569147	305717	Blond
569147	310190	Partha
569147	348518	Schoolgirl
569148	10394	Vicar's wife
569148	17591	Nellie Bates
569148	69484	Amy Boswell
569148	80996	Vicar's Wife
569148	90880	Great Aunt Lucy
569148	103235	
569148	113970	Miss Byrne
569148	154312	Postmistress
569148	154931	Hannah Mackenzie
569148	175132	Mrs. Anstey
569148	185824	Ellen
569148	188316	Mrs. Cathie
569148	191825	Miss Drew
569148	191903	Mrs. Brittingham-Brett
569148	195589	Aunt Lou
569148	196497	Mrs. Burns
569148	196856	Princess Rosanna
569148	199554	Mrs. Jenkins
569148	203579	Miss Myrtle
569148	206465	Hester Parsons
569148	209616	Mrs Macdonald
569148	226973	Miss Linnett
569148	233861	Aunt Jacqueline
569148	253467	Mrs. Micawber
569148	268152	Mrs. Pearce
569148	269882	Aunt Florence
569148	275380	Mrs. Barrows
569148	280179	Mrs. Campbell
569148	294810	Almshouse Matron
569148	307402	
569148	309872	Miss Dry
569148	319956	Henrietta Stevens
569148	320260	Goudie Macintyre
569148	325253	Miss Brill
569148	329408	Nannie
569148	331716	Miss Craig (segment "Take a N
569148	333172	Wilhelmina
569148	334431	Anna
569148	343209	Mrs. Drury
569148	348532	1st Old Lady
569148	352725	Lady Telling Story on TV show
569148	363660	Mrs Campbell
569148	364454	Frau Mozart
569148	368017	Lady Hammergallow
569148	372642	Mrs. Sparry
569148	390535	Agatha Pleeze
569149	158398	Narrator
569150	118994	Prostitute
569150	143341	Mrs. Soulter
569150	201986	Cathy
569150	206634	
569150	364869	Sr. Teresa
569150	397614	
569151	65087	Mrs. Gaffney
569151	97209	Emma
569151	126678	Jane
569151	129913	Treasury Boss
569151	133595	Sarah Pocket
569151	160576	Glynn Weaver
569151	199707	Mrs. Cordwell
569151	221215	Doreen
569151	221245	Miss Kilman
569151	222710	Caroline Sheppard
569151	235488	Carrie
569151	258550	Mary Dove
569151	263544	Miss Datersby
569151	332149	Deputy Chairwoman
569151	382379	Miss. Moon (1991)
569151	383461	Dr. Sarah Hudson (1996)
569151	395585	Josie (Series 3)
569151	397676	Phyllis Cadell
569151	404698	Michael's Mum
569151	407190	Angela Crouchback
569152	190109	Reporter #3
569152	233474	Reststop Bartender
569152	387058	Italian wife
569153	185712	Marylee Montague
569153	233636	Liz
569154	388043	Herself
569155	50444	Extra
569156	21982	
569156	52974	
569156	148108	
569156	211046	
569156	385051	Lola
569156	387692	Beppa
569156	407859	
569157	122214	Helpful Mutant
569157	308738	Groupie
569158	73600	Juliette
569158	158628	Marzia
569158	213793	
569158	339776	
569158	409092	
569159	33892	L'avortée, voisine de lit
569159	294881	Louise
569160	198638	Pam
569161	122076	Woman (Van Buren)
569162	55756	Babali
569162	108207	La chanteuse
569162	112733	Clara
569162	214295	Tounette
569162	378011	Madeleine
569163	101163	
569164	403254	Barbara Armstrong
569165	152603	Parent
569166	205991	Madame de Briey
569167	344450	Vocals
569168	73487	
569168	197190	
569168	199785	
569168	229452	
569169	38973	Margarita
569169	43627	Anne-Marie
569169	63093	Mellissa Racoon (French versi
569169	66709	Paulette
569169	68390	Marlène
569169	68773	
569169	69370	Manon
569169	100165	Prostituée
569169	107063	La mère
569169	118268	Feather
569169	164189	Narrator
569169	202701	
569169	237392	Sophie
569169	254011	
569169	270343	Mellissa Racoon (French versi
569169	281325	Laika
569169	322353	Olympe Le Potiron
569169	380370	Sylvie Morier
569169	383959	Ghislaine Laurendeau
569169	385144	Kendra Lepine
569169	400856	Marianne Bellavance
569169	402732	Mellissa Racoon (French versi
569169	406029	Simone
569169	407360	Michelle Jobin
569170	174155	Barmaid
569171	403919	Clara Dumais
569171	410628	Vanessa Beauregard
569172	252474	Herself
569173	252474	Herself
569174	252474	Herself
569175	401108	Bunny #2
569176	16635	Ruby Rodriguez
569176	16841	
569176	104853	
569176	109340	Justice of the Peace
569176	225019	
569176	294358	Alicia
569176	391359	
569177	44060	Monique
569177	51793	Stella
569177	91444	
569177	135423	
569177	171004	
569177	171459	Wilma
569177	209018	
569177	225430	Liliane
569177	249706	
569177	266010	Rita
569177	307124	
569177	345128	Monique
569177	382513	Monique
569177	397158	(segment "De quoi je me mêle"
569178	12708	
569178	12709	
569178	21557	
569178	54815	Herself
569178	328760	
569180	44216	Gina
569180	109349	Sofia
569181	292336	Jumeau #1
569182	235824	Mélie
569183	117278	Hazel
569184	223819	Reese
569185	146157	
569186	395964	Sally Penney
569187	383681	Cavegirl
569187	397740	Poppy Fields (2004-)
569188	333624	Michelle
569189	232275	Ruby Chastain
569190	35522	Beverly Palms Hotel clerk
569190	99584	Carole Grant
569190	232066	Pam
569191	338670	
569192	9002	Tatiana Tsemonova
569192	12365	Rosine
569192	51422	Germaine Seguedon
569192	57230	La cliente aux principes
569192	69761	La voisine au balcon/Neighbor
569192	88193	La directrice de l'école
569192	88845	
569192	128977	Mme Chomard
569192	133086	Madame Cassard
569192	135359	Aubergiste (segment "Premier 
569192	149211	Céline
569192	153874	Cécile St.Prix
569192	166097	Mamy
569192	198605	Martine Passereau
569192	249677	
569192	272455	La contractuelle
569192	332231	La caissière (segment "Anglai
569192	341019	Mrs. Ottavioni
569192	353869	
569192	355877	Clara
569192	384744	Denise Leroy
569192	385965	Marianne Dubois
569192	386803	Louise Lemarchand
569192	388439	Juliette
569192	403896	Hélène
569192	406783	Mme Fox
569192	409529	
569192	409537	Mme Articulo
569192	410309	
569193	273202	Additional Voices
569194	31201	Herself (ABC Team)
569194	31202	Herself (ABC Team)
569194	123303	Edwina
569194	253354	Leslie Singer
569194	272600	Betty
569194	277446	Debra's Girlfriend #1
569194	314631	Kelly Johnson
569194	331100	Dancer
569194	331717	Herself
569194	399423	Margaret Turner (1990-1991)
569194	408133	Vicky Bradford
569195	162594	Sister Estelle
569195	284196	Mrs. Caron
569195	381617	La Scole
569195	388316	Jeanne Labrie
569196	283758	
569197	228523	Audrey
569198	22688	Acrobate
569199	373218	
569200	207736	
569201	80931	Aunt Esperanza
569201	132139	Adulterous Woman
569201	295560	Mlle. Geddes
569201	387454	Brooke Fairburn (recurring)
569202	133086	
569203	369492	Xanadu Dancer
569204	48100	Herself
569204	48101	Herself
569204	75539	Herself
569204	190016	Herself
569204	231951	Ivy
569205	280542	
569206	41253	
569207	11325	Shawn
569207	77183	Young Dalva
569207	141435	Lisa
569207	232845	Rollerblade Girl
569207	297796	Sunshine girl
569208	119507	
569209	32080	Mother on Beach
569209	37191	Margaret Mason
569209	91853	Various
569209	141678	Woman Teacher
569209	168926	Joan
569209	194232	Lorraine's mother
569209	232398	Local resident
569209	339898	Various
569209	348540	
569209	351930	Queen Paloma
569209	364782	Villager on Summerisle
569209	381171	Edie McCredie
569209	392156	Margaret Birss
569209	401649	Teresa Kelly
569209	404536	Various Roles
569210	33171	Violet
569210	33742	One of 'The Thirty Women'
569210	55477	Flame
569210	241795	Lee Perry
569210	254645	Juror
569210	269771	Hostage
569211	384154	
569212	264801	
569212	272614	The prostitute
569212	296914	
569213	120765	
569214	34748	
569214	257621	Host
569214	257622	Host
569214	257623	Host
569215	137205	Herself
569216	71479	'Baba' MacIntosh
569217	1491	Herself
569217	2398	Herself/performer
569217	18983	Herself
569217	104994	Herself
569217	112601	Herself
569217	132130	Herself
569217	175540	Herself
569217	347611	Mama Jack
569217	364558	Herself
569218	380713	Nella Franklin #1 (1985-1986)
569219	338642	
569220	378108	
569221	411585	Noviça
569222	82680	
569222	118914	Eleanore Crane
569222	194478	Young Dorothea
569222	213018	Hannah
569222	221043	Girl at airport
569222	224693	Susie
569222	304242	Ali
569222	361546	Eleanore Crane
569222	382419	Kimberly Fairchild (1998-2001
569223	262124	Herself/hooker
569224	153564	Elevator woman
569225	3146	La fille
569225	200973	Cécile
569225	217943	Annaliese
569225	356979	Dany Martell
569226	4714	Ginger
569226	127793	Ginger
569226	128629	Ginger McAllister
569226	257057	Cindy Cartwright
569226	288959	Jo Turner
569226	335603	Samantha Fox
569226	348401	Flapper
569227	304443	Roadkill
569228	89576	
569229	171131	Peggy
569229	177089	Salesgirl in Babyshop
569229	183323	Julia
569230	363421	Rollerskater
569231	155248	Additional Soul
569232	1952	Herself
569232	11687	Herself (performer)
569232	33397	Herself - Singer/Interviewee
569232	33400	Herself
569232	129876	Herself/guitar/vocals
569232	129877	Herself (guitar/keyboards Go-
569232	129878	Guitar & Vocal
569232	348651	Herself
569232	379601	Herself/Interviewed (Go-Go's 
569233	317176	Melissa (Student)
569234	312391	Tart with Squizzy
569235	83624	
569236	69808	Liz Foley
569236	194044	Seance Woman 3
569236	195407	Julia
569236	207706	Annie
569236	240024	Rose Maylie
569236	347348	Jane Wetherby
569236	401652	Kate Howard (1999-)
569237	198315	Lindel
569238	193218	
569240	55411	
569241	380747	Carine Neels
569241	380747	Neels
569242	99683	Herself
569242	99688	Herself
569243	405995	Herself - Teacher
569244	408592	
569245	54551	Melissa
569245	150060	Sonny Kincaid
569245	326846	
569246	790	
569246	41120	
569246	247991	
569247	220276	Urchin
569248	41614	
569249	242929	Member, bar mitzvah band
569250	376925	
569251	153836	Gloria
569251	379906	
569251	409957	Susana (1998)
569252	47963	Tina (Hooker #2)
569252	90446	Lori
569252	304080	Girl In Bathroom
569253	204218	Sherman Child #1
569255	229983	Teppista
569256	18288	Infirmière Illan
569256	88838	
569256	111118	Constance
569256	135428	Nina
569256	170358	Maud
569256	228564	La fille de Julien
569256	254106	Sandrine
569256	346719	La petite fille
569256	346772	Catherine adolescente
569256	375077	
569256	377614	Jane
569256	410309	
569257	170358	Marie
569257	377614	Victoria
569258	117664	Flight Attendant
569258	298091	Nurse
569259	183174	Párizsi lány
569260	56431	Amanda Stockton
569261	56431	Amanda Stockton
569262	147743	Herself
569263	11609	Kay Parker Gregory
569263	90262	Rochelle
569263	130789	Mary Parker
569263	130790	
569263	175631	Cordy Hay
569263	191242	Jennie Brown
569263	203270	Carrie Chaney
569263	269364	Ethel Webster
569263	269804	Vera Novak
569263	277531	Country cousin
569263	333301	Kitty Duval (stage name of Ka
569263	333916	Doris Corbett
569263	337114	Mary Donley
569263	370555	Josie Cohan
569263	402597	Fashion Commentator (c. 1956 
569264	13924	Herself (table bow)
569265	309807	Porno Movie Crew
569267	65006	Friend
569268	185220	Herself (Holocaust survivor)
569269	332405	
569270	104816	Eva
569270	120770	Madre di Melania
569270	225859	
569270	227827	Sonja
569270	245523	Marija Mulahasanovic
569270	258408	
569270	270681	Edita
569270	343956	
569270	350990	Korl's wife
569271	89353	La mère
569272	51411	L'assistante
569272	73620	Anne Buridan
569272	89353	La fille
569272	260029	Une spectatrice du Nô
569272	284259	Anne Buridan
569273	365200	Herself
569274	377106	
569275	183797	Une couturière
569276	318634	
569277	306489	Mrs. Draper
569278	45853	Mother at Park
569279	109992	Lana
569279	163612	Mary Ann
569279	330144	Sissy
569279	404337	Various (1991-1992)
569280	401875	Herself (2000)
569281	183656	Background puppeteer
569282	139606	Waitress
569282	305717	Mother Trucker
569282	385913	Herself (1972)
569283	389858	Dr. Tom 'Tommy' Hardy #1 (197
569284	131227	Jaclyn Dowaliby
569284	223658	Nina Harling
569284	411176	
569285	92709	Victoria
569286	37571	Montana Wastedberg
569286	37855	Darlene
569286	72872	Lisa
569286	93169	Alice
569286	166639	Supporting Lead
569286	262091	Pink Ranger
569286	262092	Jen/Pink Time Force Ranger
569286	262093	Jen/Pink Time Force Ranger
569286	262094	Jen/Pink Time Force Ranger
569286	262095	Jen/Pink Time Force Ranger
569286	397237	Host
569286	402006	Jennifer 'Jen' Scotts/Pink Ti
569286	407321	Guest Star
569287	181885	Hisui/Countdown Warning
569287	242814	Naomi
569287	363601	Carol Ann
569288	158825	Stacy, Sara's kid
569289	209657	Pam
569290	79314	TV Station Receptionist
569290	87294	Beryl
569290	168327	Vision Mixer
569290	270384	
569291	124074	Jenny
569292	36713	More Fairy Tale Folk
569292	55430	The Dancing Unicorn
569292	202540	London Dancers
569293	73680	Nun #1
569293	90771	Communion Party Couple
569293	153651	Tanya
569293	256464	Anya
569294	61653	A Friend of the Family
569294	67246	Nancy
569294	107393	The Fiancée
569294	121376	Woman in Farewell Crowd
569294	207111	Passerby
569294	211777	The Other Woman
569294	224301	Helen Grace
569294	257194	At Station
569294	353386	The Wife
569295	125557	Arcade Woman
569295	224853	Mrs. Kelly
569296	129214	
569296	169993	Judy Evans
569297	22955	Connie
569297	38372	Ada Wong
569297	39086	Nicole
569297	54726	Brandy
569297	87418	Liz
569297	139582	Maid
569297	195397	Real Estate Agent
569297	206800	Announcer
569297	261425	Bobbie's Teacher
569297	270587	Ruthie
569297	310880	Classified Clerk
569297	355065	Mrs. Hedlie
569297	367588	TV Room Guard
569297	382104	Betty Storkowitz
569297	398140	Roz Patterson
569297	411211	Marjorie Jefferson (1999-2000
569298	77148	Mother
569298	82974	Julie
569298	137552	
569298	318645	Greg's Mother
569298	387783	P.J.
569298	391869	Maureen Evans (2003)
569298	402197	Barbara Davidson (1979)
569299	248143	Sharon
569299	385717	Olivia
569300	215690	Miss Minnesota USA (Miss Phot
569301	220724	Three Ladies
569302	405131	Corrine Mackey
569303	34446	Snipsy Arsell
569304	23448	Connie
569304	73851	
569304	88879	Yolanda
569304	291929	Fifer Pig
569304	392134	Fifer Pig
569304	402454	Additional Voices
569305	195640	Jane
569305	336789	Rhonda
569305	339358	Elizabeth's Secretary
569306	44444	LuAnn Crawford
569307	118863	
569307	282904	
569308	257782	Herself (Historian)
569309	81052	Greta Garbo
569309	214756	Nikki Jameson, additional voi
569309	326611	Philomina
569310	25479	Mrs. Barnsley
569310	222637	Flo Melville
569310	364214	Ann Bishop
569310	367820	Ann Wilson
569311	211764	
569311	317991	Jennie Jones
569312	113830	Santos' Daughter
569313	178189	Extra
569314	136078	
569315	78586	Shuiniu
569315	189136	Yinzi
569316	411592	Auntie Lian (Lian-Sao)
569317	369760	
569317	374680	Grandma Laogeng
569318	76951	Mary
569319	57287	Vanessa
569320	254214	
569320	375132	Burca
569320	389221	
569321	163731	(segment "Viaggio di nozze")
569322	356623	
569323	356623	
569324	97567	
569324	131128	Nurse
569324	391590	
569324	399715	
569324	406863	
569324	412196	Gina Navarro
569325	144406	
569326	213941	Bartender
569327	255589	
569327	383112	
569327	402074	Isabelle
569328	123518	La secrétaire de Raoul
569328	208161	Tékacouita
569328	247607	
569328	249464	Nicole Dodier
569328	249625	Mme Sauve
569328	255026	Huguette Tremblay
569328	377647	
569329	68513	Josette Dauchy jeune/Young Jo
569329	146383	Brigitte
569329	258870	
569330	249053	
569331	134602	Elodie
569331	201162	Momo
569331	377979	Chloé
569332	6608	Madame Simone
569332	23646	
569332	91463	L'institutrice
569332	128618	
569332	135331	
569332	197385	Marie
569332	268826	
569332	378866	La dame au tricot (ep.5)
569332	385609	
569334	104222	
569335	111074	Une voix
569336	33279	Rosine
569336	68935	Mlle Simonet
569336	116992	
569336	275124	Henriette's Servant
569336	409527	Audrey Beaumont (1992-????)
569337	15115	Lisette, la femme de chambre
569337	72055	
569337	77421	Chambrière Victoire
569337	89787	Mathurine
569337	125744	Woman in a hurry
569337	148647	Rendezvous Apartment Landlord
569337	156321	Andréa, la secrétaire
569337	298574	Thérèse
569337	338572	La mère de Janine
569337	404153	Anne Badel
569338	98789	
569339	78403	Vendeuse pharmacie
569339	87497	Une interne
569340	163729	Les acrobates
569340	261735	Copine de Chéryl
569340	352931	Les danseuses
569341	377253	Catherine
569342	370780	
569343	52455	Secretary
569343	140676	
569344	339441	La petite fille
569345	374282	Nude Patron #2
569346	57264	Hora
569346	58323	La romancière
569346	59265	Lola
569346	63653	
569346	89946	Germaine Fougerolles
569346	148760	
569346	148773	Le précurseur
569346	170142	
569346	199606	Loulou
569346	211682	Monette
569346	218301	
569346	249699	
569346	249760	Totoche
569346	303503	Charlotte Charan
569346	307134	
569346	345262	
569346	349417	
569346	349494	Clémence
569346	354982	
569346	375075	
569346	377261	
569346	377957	Violette
569347	68816	La femme hangar
569347	134957	Mme Catherine Lacarriere
569347	219613	
569347	229033	Caroline Leperse
569347	269726	L'infirmière élégante
569347	349496	Manon
569347	386433	Gabrielle (la psy)
569347	398164	Laetitia
569347	407718	Cécile
569347	412017	Marion Saint-André
569348	404174	Geneviève 'Sandy' Baresi
569349	2413	Charitable Lady
569349	68774	Flora Merci
569349	69933	Edwige
569349	111020	Blonde
569350	205805	Marika
569351	177643	Screaming woman
569352	385609	
569353	377982	Dorothée
569354	71835	
569355	71835	
569356	177412	
569357	364446	Baby Moses
569358	364446	Baby Moses
569359	390917	Roobot
569360	11171	Marina Green
569360	80924	Edison Lindsey
569360	213951	Thalia
569361	78829	Girl in church
569361	89943	
569361	394051	Siera
569361	409817	Chisato (English dub)
569362	144683	
569363	367073	Child Munchkin
569364	95486	Miss Milly
569364	109667	Landau Girl
569365	17934	Prostitute
569366	233009	
569367	331791	
569368	122214	Tall Girl
569369	272440	Market Square Extra
569369	307374	Loyalist refugee
569370	128468	Dancer
569371	42982	Organist
569372	166087	
569373	350496	Vanity Faire
569374	234966	Swiss receptionist
569375	87900	Bridget
569375	260789	Kate
569375	340554	Margaret
569376	267107	Sara
569377	78803	Nurse
569377	251341	Young Mom
569378	136032	Martha
569379	80876	Living Magoga
569379	81343	Maria Szathmary
569379	160896	Marie Evans
569379	192072	Holly's Friend
569379	221783	PCP Tripper Prisoner
569379	307403	Cowgirl
569379	363869	Carlos' Girl
569380	127175	Mrs. Marshall
569380	411019	Irene Adler
569381	358478	Villager of Tullymore
569382	34937	Blender #2
569383	185691	Pregnant Clown
569384	158272	Officer Brenda
569384	158273	Officer Brenda
569384	158275	Officer Brenda
569385	11198	
569385	80577	Miss Clements
569385	83980	Claire Seldon
569385	139357	Embassy Hostess
569385	149224	
569385	171675	Mrs. Terril
569385	189529	Lady Emma Brenton
569385	194513	Miss Climpson
569385	202390	Miss. Peavy
569385	350500	Doctor's Receptionist
569385	354550	Miss Matthews
569385	386274	Catherine Coleman
569385	395194	Renee Cranston
569385	396073	Nurse Simpson
569385	398564	Miss Rossiter
569385	401416	Miss. Witherfield
569385	402124	Mrs. Philips
569386	271749	Sea Nymph
569387	241786	Madame de Montignon
569388	30624	Egypt Besson
569388	93772	The Waitress
569388	105617	Waitress at Diner
569388	113304	Crystal Dupree
569388	149010	Whitney
569388	165484	Gemma
569388	176478	Waitress
569388	176526	Mrs. Williard
569388	221005	Rosita's Dresser
569388	268865	Wellen Doud
569388	296769	Female Deputy
569388	311567	Pattern Cutter
569388	339596	Unemployment Worker
569389	48070	Additional Voice
569389	66305	Additional Voices
569389	72733	Additional Voices
569389	86892	Additional Voice
569389	121785	Additional Voices
569389	141621	Additional Voices
569389	159119	Additional Voices
569389	165961	Additional Voices
569389	185397	Additional Voice
569389	188507	Additional Voice
569389	195540	Additional Voices
569389	223740	Additional Voice
569389	230963	Additional Voice
569389	236982	Additional Voice
569389	243276	Additional Voice
569389	264581	Additional Voice
569389	277635	Additional Voices
569389	281901	Additional Voice
569389	304528	Additional Voice
569390	93711	
569390	160427	
569390	312384	
569390	349387	
569391	7546	
569391	16130	Gabrielle
569391	19271	Dr. Mean
569391	59257	Victoria
569391	69402	
569391	78704	Darian
569391	79431	
569391	92664	Dracula
569391	102741	Fantasy Girl 1
569391	102778	Doris
569391	102798	
569391	102828	Darian (Puu-Nanni Tribe)
569391	102833	
569391	102838	Darian
569391	102839	Darian
569391	128162	Lily
569391	128445	
569391	129188	Eroticus
569391	160372	
569391	160444	Herself
569391	194487	Horny
569391	197812	Darian
569391	201665	Herself
569391	216145	Mistress Helena Frankenstein 
569391	222320	Kristen Cleve
569391	224387	
569391	232676	Hollie
569391	257560	Uvula
569391	258086	April
569391	282561	Dealer
569391	288474	Satan
569391	293041	Party Girl
569391	295375	
569391	296325	Dracula
569391	296328	
569391	296371	
569391	311051	Lisa Knox
569391	350203	
569391	350206	Female Escort #1
569391	350215	
569391	366736	Karen
569392	2565	Mrs. Bigelow
569392	7485	Mrs. Peasely
569392	10318	
569392	11582	Lady at the Theatre
569392	13351	Mrs. Frederick R. Updyke
569392	26184	Miss Talbot
569392	32066	Mrs. Hingleman
569392	37815	Mrs. Witworth
569392	41502	Sam's Secretary
569392	45494	Mrs. Ungerlelder
569392	52432	Amy Lark
569392	52904	Streetwalker
569392	54949	Bridge Player
569392	61567	Mrs. Norton's Mother
569392	63034	Mrs. Ellen MacDonald
569392	71562	Madame de Rosas
569392	72499	Vicaress
569392	74107	Nun
569392	78528	Fortune Teller
569392	87820	Mother in 'Our American Cousi
569392	89050	Mrs. Irving
569392	91779	
569392	104950	Mrs. Newton (party guest)
569392	125857	Mrs. Geary
569392	129093	Mrs. Waldron
569392	131479	Miss Huntington
569392	133688	Mrs. Pine
569392	133718	Mrs. Whitman
569392	137206	Mrs. Truesmith
569392	142592	Aunt Arabella
569392	144989	Board member
569392	145900	Aunt Elizabeth Baker
569392	147665	Reporter
569392	148949	Miss Stone, Gail's Secretary
569392	149376	Magenta P. 'The Countess' Sch
569392	153156	Mrs. Georgia Whitley
569392	154043	Mama
569392	163577	Mrs. Kane
569392	167311	Mrs. Petion
569392	169806	Countess Battenberg
569392	178148	Julia
569392	183543	Mrs. Peyton
569392	192721	Committee Woman
569392	193736	Mrs. Penyon
569392	196135	Countess Bertaud
569392	204708	Head Nurse
569392	214955	Mrs. Johnson
569392	221124	Mrs. Newton
569392	228639	
569392	228819	Aunt Minnie
569392	232341	Mrs. Ten Eyck
569392	233872	Mrs. Bradford
569392	234220	Mrs. Marshall
569392	234910	Birthday Party Guest
569392	236901	Miss Griffin, a Nurse
569392	241096	
569392	241703	Cecile
569392	245300	Irate Townswoman
569392	275452	Lee's Mother
569392	278042	Mariah
569392	280896	Mrs. Brown
569392	287749	Officer's wife at party
569392	297970	Fitzpatrick
569392	302361	Bearded lady
569392	302611	Mrs. Parker
569392	304347	Charwoman
569392	320812	Ann Rowan
569392	333317	Vera Blanchard
569392	337074	Dowager
569392	346901	Dowager
569392	350034	Mrs. Sanderson
569392	363758	Mrs. Nightingale
569392	365062	Mrs. Woverman
569392	365188	Mrs. Oakey
569392	367781	Mrs. Amelia Brush
569392	372081	Necktie Woman
569394	282700	
569394	391579	Hilary Myers
569394	399237	Herself - Hostess (1986-88)
569394	406904	
569394	411835	Herself - Presenter
569395	339772	
569396	47211	
569396	54598	
569396	260803	Camcorder Girl
569396	267084	Blue Muff
569396	296999	
569397	220894	Girl
569398	55681	Scrubba
569398	203610	Roxanne
569398	212696	
569398	308350	Housekeeper
569399	276804	Ward Sister
569400	107435	Catherine
569400	309556	Cynthia Dare
569400	328009	Marguerite (segment "Faust")
569401	226195	Agnes
569402	202088	
569403	5422	
569403	93163	
569403	135573	
569403	146167	
569403	171257	The Mother
569403	241158	
569403	241679	
569403	264997	
569403	274134	
569403	364835	
569403	365348	
569404	345437	L'orchestre 'Splendid'
569405	103483	
569405	198941	Rita
569405	242681	
569406	212837	Bridesmaid
569406	304765	Juror
569407	306948	
569408	120477	Young Helen
569409	106005	A maid
569410	168216	Joan Compton
569410	199700	Kathy Coleman 'K.C.' Day
569410	330209	Kathy Coleman 'K.C.' Day
569411	111117	
569412	231895	Bar Patron
569413	300920	Nicole
569414	55253	Carmilla
569414	155921	Airline attendant
569414	185549	Hiker Sabrina
569414	300533	Music Video Woman
569415	283068	
569416	160887	Joan
569416	269680	Mrs. Freeman
569417	253895	Ellen Orford
569418	336650	Sandra
569419	11030	Maisie
569419	36958	Girl at Door
569419	113268	War Office Typist
569419	134454	Asylum Maid
569419	144687	Julie
569419	153611	Mary's Secretary
569419	224414	Irma Parker
569419	234033	Lawrie
569419	307738	
569419	333290	
569420	383889	Herself
569421	81769	Susan
569421	154742	Mindy
569421	202461	Sharon
569421	331209	Leslie
569421	403555	Tessa
569422	120860	
569423	58943	Richie Adair
569423	72104	Cover girl contestant
569423	72137	Carol Bradford
569423	109862	Cigarette Girl
569423	128152	Checkroom Girl
569423	144453	
569423	146751	Blonde
569423	155293	Audition Girl
569423	168125	Dancer
569423	177505	Lucy Clark
569423	194209	Little Girl
569423	248318	Company 'C' Girl
569423	257856	Manicurist
569423	331288	
569423	331617	Moe's dancing partner
569424	383566	Herself (3rd Season)
569425	379907	Mecha
569425	408720	Palmira
569426	350142	
569427	357895	Ruth Espina
569427	380842	Rita
569427	384988	Juanita
569428	25415	Mrs. Thatcher
569429	301399	Luna
569429	362498	Lisa
569430	97054	
569431	243509	The Illustrated Telephone Ope
569432	351761	Musician
569433	16791	Anne
569434	123849	Hot Corn Girl
569435	62536	Night Nurse
569435	114672	Massage Parlor Girl
569435	139050	Cowgirl #1
569435	280356	Bonnie Sue
569435	363400	Sarah
569436	365942	Betting Shop Girl's Friend
569437	296750	Rowdy Woman
569437	353500	Herself (Model)
569438	100868	Ompodae
569439	255539	Zia Teresa
569439	402618	Nora
569440	169542	
569441	73944	Lea
569442	294829	Houngan Dancer
569443	325344	
569444	234204	Sewing
569445	409795	Roberta Wilcox (1956-1957)
569446	95825	
569446	149981	
569446	321321	
569448	90692	
569449	4725	
569449	78615	Nurten
569449	248819	
569450	1101	Yaprak
569450	85142	Aynur
569450	153326	
569451	42885	
569451	95471	Villager
569452	91913	Amy/Jennifer
569452	173089	Jasmine
569453	203344	Eighteen's Girlfriend
569454	7684	Bitta Blaq
569454	177247	Reality
569455	376696	Nananina
569456	383718	Cristina
569457	86817	Cosmos
569458	386897	Katie Sully (1997-1998)
569459	98204	
569460	183234	Amante Carrarmato
569461	130286	Student
569461	256603	
569461	350077	Annie
569461	353366	Bree Syn
569462	305390	Churchgoer
569463	131219	Inspector
569463	154777	Mary
569464	9653	
569464	244955	Cliente
569465	64762	Governante di Don Raffaele
569465	94721	
569466	364378	Kevin's Mother/Ensemble
569467	386897	Katie Sully (1997-1998)
569468	386897	Katie Sully (1997-1998)
569469	140938	Goddess
569469	318687	Trixie
569470	326365	
569471	63205	Baby Elliot
569472	211011	
569473	353934	Madame Lejeune (teacher)
569474	118298	Conductor
569475	119070	
569475	187913	
569475	290896	
569476	281506	Chicken Vendor
569477	31715	Actor 4
569477	118980	Dental Technician
569477	263360	Violetta (Opera)
569477	271344	Brunch Waitress
569478	243388	Ninfa
569479	168748	
569479	214621	
569479	383291	Graciela (2000-2001)
569480	287414	
569481	204642	Laura 'Bragas Sucias'
569482	273910	Menina Julieta
569483	323666	Voice in off
569484	369492	Xanadu Dancer
569485	194525	Student
569486	175479	Hannah
569486	337767	Girl
569486	388694	Jean
569487	185463	Yellow Wolf's Wife
569487	288944	Medicine Woman
569488	24986	La dueña del Continental
569488	56320	
569488	106324	
569488	111426	
569488	123150	
569488	144729	
569488	145231	
569488	197885	
569488	197886	La madre de Chelo
569488	202505	Lucia
569488	283871	Sheepherder's Wife
569488	287462	Angustias
569488	296504	
569488	307724	
569488	322276	José's mother
569488	332584	Ricarda
569488	334685	
569488	340227	Woman
569488	343612	
569488	343732	
569488	376796	
569488	393549	
569489	6293	Laura Acquaviva
569489	6296	Elena
569489	6734	Velca
569489	7761	Stenele
569489	13096	Elena Leonardi
569489	25336	Biancamaria
569489	42600	Giannina, falso Boccaccio
569489	47259	Federica Usticky
569489	54829	Madonna Giaconella
569489	55386	
569489	57828	Ginevra
569489	74561	Elena
569489	84170	
569489	94671	Gina
569489	101599	
569489	102433	
569489	104458	
569489	117863	
569489	135157	Adriana
569489	138473	
569489	162086	Renata
569489	196719	Clara Ferri
569489	204704	Agnese, l'istitutrice
569489	206029	Amelia Gioiosi
569489	217874	Herself
569489	217914	Carla
569489	219677	
569489	235773	Prostitute
569489	244078	Giovanna Bragana
569489	251627	Michele's Mother
569489	255099	Isa
569489	255634	
569489	256650	Ada
569489	265504	Martha (Carlo's mother)
569489	273142	Bianca
569489	274901	Isabella del Portogallo
569489	276128	
569489	281081	Giuditta Ansperti
569489	306820	
569489	309249	La canzonettista
569489	316804	Ex-actress (segment "Strega B
569489	333704	Tisbe
569489	344588	Maria, la canzonetista
569489	352828	
569489	353856	La baronessa Emilia Carpineti
569490	216325	
569491	213759	Olivia niña
569492	52011	La mère/Mother
569492	210235	Melanie
569492	380379	
569493	57489	Albertina
569493	191246	Young Nala
569494	118108	Performer
569495	238637	
569496	147660	Charley
569497	147660	Huguette (Mom)
569498	147660	Huguette
569499	139645	Kristina Birgitta Eleonor
569499	305306	Member of the Cookie Academy
569500	362	Elena
569500	3563	
569500	7542	Adele Bazziconi, moglie de Se
569500	11828	Mara Canà
569500	33685	Zuava
569500	35028	Amalia
569500	52150	Madonna Aurora
569500	55485	
569500	56329	
569500	65086	
569500	70621	Furios woman
569500	71435	Teresa
569500	83262	Benoite
569500	83762	
569500	85463	Maria Bompazzi
569500	86493	
569500	87042	
569500	97172	
569500	112926	
569500	128024	
569500	158553	Rita Canegatti
569500	168194	
569500	205488	Mrs. Tacchini
569500	234715	
569500	235732	
569500	258560	Franca Soldani
569500	265504	Amanda Righetti
569500	278404	
569500	278988	Teacher
569500	289447	
569500	293337	Ersilia Ponziani
569500	295042	
569500	302167	Rosy
569500	312245	
569500	315449	
569500	328246	
569500	342026	Rosa
569500	342129	Biki
569500	349719	
569500	380990	Laura
569500	384751	Fiorenza's mother
569500	392743	Liana Piccoli
569500	402258	
569501	256339	
569502	277788	Paloma
569503	119001	Serviette
569505	52981	Singer
569506	56358	
569507	42296	Massage Client
569507	46568	Goth Poser #2
569507	131226	Girlfriend #1
569507	134418	Buxom Girl #1
569508	202324	Adrianna, Robaldo Girl
569509	17287	Amanda
569510	278499	
569511	87960	
569511	338065	
569511	351289	Madre
569512	269239	Isabelita
569513	64048	
569513	84024	
569513	92347	
569513	103845	
569513	110989	
569513	233344	
569513	291611	Dolores
569513	322233	
569513	355123	
569513	376807	
569513	410217	
569514	99869	
569515	82712	Nun
569516	14884	Signora De Riso
569516	308885	
569518	218598	Virgin
569519	205981	Woman
569519	351850	La cameriera
569520	320123	Herself
569520	320149	Herself
569520	320150	Herself
569520	407078	Herself (30 Days, Chapera/Mog
569520	407083	Herself (24 Days, Kucha/Barra
569521	177493	Herself
569521	318838	Herself
569521	340399	Herself
569521	369250	Herself
569521	402907	Herself (2001)
569521	411545	Herself (2001)
569522	45899	Extra: market
569523	246026	
569524	100723	Kid
569525	124531	
569526	1669	
569527	411116	Anna Beukelaers
569528	650	Herself
569528	391247	Dr. Tricia Summerbee (2000-20
569529	99356	
569530	132951	Sentinelle
569531	107708	Sabine
569532	230583	Ironhead's Gang
569533	6672	Herself
569533	314340	Stelinha
569534	72319	Joan
569535	39478	
569536	126322	
569537	126322	Gerónima
569537	145227	
569537	228761	Chamán Zunilda Choikepán
569537	302375	Rosa
569538	110751	Nun
569538	193765	Dorothy
569538	379411	Convict Woman
569539	92606	Dr. Lovejoy
569540	63730	
569540	315437	
569541	355652	Insegnante di lettere
569542	195275	Julie
569542	232496	Sleeping Woman
569542	327838	Allison Overton
569542	327839	Allison Overton
569543	90651	
569544	41807	Fruit Stand Shopper
569545	213703	
569546	397409	
569547	385024	Ana
569548	274486	
569549	42861	Narrator
569550	124240	
569551	98799	
569552	385024	Lana
569553	30515	
569553	51783	(segment "Uma Grande Vocação"
569553	125787	Alexandra
569554	123914	Fàtima
569554	193508	L'infirmière
569554	377480	Paola
569555	146533	
569555	238184	Francisca
569555	294997	
569555	353221	
569556	68915	Peixeira
569556	273910	Neighbor
569557	3502	Ella misma
569558	138177	Miss Cibber
569559	222661	
569560	298078	Val
569561	219646	Sheila Tequila
569561	307513	Denise
569562	150974	3rd Millinery Girl
569562	342985	George Eliot
569562	390152	Valerie
569563	180705	Receptionist
569564	26134	Colleen
569565	8234	Relationship Agent
569565	113270	Patty
569565	136277	Tonya
569565	239005	Gwen
569566	190452	County Clerk
569567	310303	
569568	365121	Choma
569569	277258	Bella
569569	409020	Susan Challis
569570	235510	Three
569571	17244	Queen Wealtheow
569571	17556	Princess Schcherbatksy
569571	23955	Lucy's mother
569571	41294	Matilda
569571	99208	Lady Helena Agnes Northcote
569571	102155	Gracie Carter
569571	177344	Cordelia
569571	200414	
569571	202264	
569571	207797	Mathilda Tyzack
569571	211747	Clara Browning
569571	212751	
569571	270976	
569571	285756	Moisy
569571	334009	Lavinia
569571	342823	Janet Lewis
569571	346190	
569571	366463	Hermione
569571	366981	Dorothy Poelchau
569571	369184	Cathy Earnshaw
569571	376104	Fanny Colenso
569571	382271	Lena
569571	386588	Mathilda Pierce
569571	397109	
569571	403911	Joanna Goodman
569572	64672	Spy for the Cause
569573	193313	
569574	291070	La femme à bigoudis
569575	112663	
569575	260043	
569575	287651	
569575	301216	
569575	307069	
569576	386520	Presenter (2004-)
569577	80116	Herself
569578	113376	Dora
569578	205171	Postal worker
569579	332604	
569580	168643	Mignon de Brandy
569580	402349	Conchita
569581	27344	Woman in Tight Pants
569582	152509	Secretary
569583	141605	Ba
569585	81640	
569586	319281	Ariel
569588	396582	Herself (2002)
569589	215680	Governor of Puerto Rico
569589	215687	Herself (Governor of Puerto R
569590	177619	Mrs. Slutsky
569591	440	Signorina tedesca
569592	411296	Herself
569593	228765	
569594	360150	Party Babe
569595	81098	Holly McDonald-Smith
569595	233840	Nikki Pauleto
569596	370057	La bonne espagnole
569597	81104	Becca
569597	150188	C.C
569597	150189	C.C.
569597	191502	Peace Woman
569597	297787	Meryl
569597	328874	Angela
569598	14959	
569598	17815	Giornalista
569598	68440	Clara Cerveteri
569598	82391	Marcia Lyutak
569598	89566	
569598	127898	
569598	217759	
569598	236321	Susan Smith/Evelyn
569598	236686	
569598	238881	
569598	269008	
569598	269631	
569598	277749	Nadine
569598	278925	Isabella/Laureen
569598	294290	
569598	337426	
569598	338020	Egle
569598	352290	Diana
569598	352455	
569599	13090	
569599	204587	
569600	194840	Herself - Former Head of Prod
569601	75611	Set Painter
569601	129170	Josephine Forester
569601	177816	Ann Pornick as a girl
569601	308078	Beryl Ningle
569601	312005	Mary Norchester
569602	80116	Herself
569603	301133	
569604	225611	
569605	55085	
569605	55925	
569605	75361	
569606	71267	
569606	101867	Madre lesbiana
569607	42659	
569607	212372	
569608	21694	
569608	25627	
569608	196764	
569609	12101	Herself
569610	70090	Bebe robado #2
569611	26644	Mrs. Sanchez
569611	29676	RJR Cleaning Woman
569611	232447	Hotel Maid
569611	252449	Candalaria
569611	255399	Waitress
569612	380107	Micaela
569613	234425	Rosita
569613	379890	Leticia
569613	380107	Jana De La Corcuera
569613	380445	Teresa de Muñiz
569613	383548	
569613	384126	
569613	385392	Spirit of Christmas Yet to Co
569613	386284	Lenore Monroy
569613	387689	Susana Trejos
569613	387817	Esmeralda
569613	392790	Ana Cristina
569613	395043	Julieta Valderrama
569613	398167	Tere
569613	402181	Vicky
569613	402190	
569613	407431	
569613	409789	Valeria Landero
569613	411710	Ana Cristina
569613	412184	Clara Robles del Castillo
569614	25222	
569614	39937	
569614	55925	La Mañitas
569614	91391	
569614	94640	Suzanne
569614	96351	
569614	145531	
569614	146572	Mari Pepa
569614	148110	Marta
569614	191581	Lucía
569614	193085	Marisol
569614	209007	
569614	212342	
569614	221559	
569614	233548	
569614	236031	
569614	251703	
569614	296197	Marga
569614	296477	
569614	302310	
569614	339122	
569614	343733	Matilde
569614	352163	
569614	376693	
569615	351494	
569616	400341	Herself - Profesora de la Aca
569617	160652	Tauro
569617	222412	Mujer en taxi
569618	393836	
569618	403686	
569619	203650	Luz
569619	226962	Zala
569620	54230	
569621	51706	
569621	404161	Rosy
569622	18827	Nurse 2
569622	203891	Lina
569623	387901	Lucy
569624	306700	
569625	98165	Herself
569625	109634	Herself
569625	155919	Herself
569625	157895	Herself
569625	273258	Herself
569626	342489	
569627	375301	Martina
569628	106319	
569629	391248	Effie Poulos (1994-1995)
569630	4637	
569630	16813	
569630	119077	
569630	205547	Susanna
569630	230077	
569630	248056	Herself
569630	281114	
569630	353059	
569630	380367	
569631	395389	Tracy Callahan
569632	37033	Choir Member #1
569632	132530	Girl on Cinema Counter
569633	40059	Goalie/Schoolgirl
569633	63532	Woman war signee
569633	275291	Girl guide
569634	334260	Rachel
569635	339544	Yolanda
569636	93661	
569636	108587	Rose Shelby
569636	113844	
569636	128592	Gladys Ward
569636	133408	Diana Standish
569636	143096	Betty Francis
569636	213077	Josephine Franklin
569636	264071	
569636	358956	
569637	77792	Model
569637	167921	Candy McGill
569637	240610	Cynthia
569637	372777	
569638	214909	Girl on Ice
569639	330410	Girl At House
569640	363061	
569641	320249	Clara Russell
569642	254774	Motorcycle Woman/T Bird
569643	342549	Julie, Hotel Employee
569644	365372	Marsie Lowell
569644	365544	Herself
569645	64326	
569646	10328	Blanch
569646	39905	
569647	334762	Karen
569647	361163	Rose Cavalero
569648	44786	
569648	146011	Lodge guest
569648	196558	Leola
569648	308382	Raider
569648	325119	Slave Girl
569648	327764	Lady in Waiting
569648	343160	Girl
569649	20037	Fan
569649	272976	Mother
569650	204019	Zanna
569650	262745	Reporter #2
569650	338000	Policewoman Trancer
569651	42732	
569651	117713	Andy's Date
569651	141164	Woman in Cadillac
569651	232205	Lisa
569651	316979	Cheryl Putnam
569651	349898	Beautiful girl
569652	266625	Warder
569653	226938	Producer's Wife
569654	60186	Whitney Young Cheerleader #2
569654	164984	Dancer #2
569656	273315	Herself
569656	380012	Herself - Finalist #7 (2003)
569656	401891	Herself
569657	94099	Pam Carreck
569657	171051	Rita
569657	310095	Cassie
569657	380933	Host (2004-Present)
569658	75789	Razor
569659	26394	
569659	79055	
569659	84873	Hattie May Parsons
569659	92128	Cerises
569659	92865	Head nurse
569659	95510	Homeless Woman
569659	95784	
569659	106217	Patron
569659	106376	Devlin
569659	117230	Rita
569659	121386	Poole
569659	129944	Althea
569659	132582	
569659	161168	Det. Sheila Monroe
569659	185385	Ester, Hope's Professor
569659	196303	Judge Starkey
569659	224820	Judge McGibbons
569659	230116	Public Defender
569659	310019	Cora
569659	321651	Mrs. Linson
569659	342491	Det. Lou Shannon
569659	348237	Sandy Wilkes
569659	366908	Janet Smith
569659	402609	Judge Rose Barnea
569660	71474	Dancer
569660	260950	Elite Model
569661	368318	Liz
569662	144577	Exercise Class
569663	174520	2nd Nurse
569663	193957	Bank Exective
569664	272471	
569665	201710	Herself
569666	224549	
569667	115378	Mary
569668	168635	Servant
569668	318607	Churchgoer
569669	71474	Dancer
569669	260950	Elite Model
569670	222258	Psychic
569671	67091	Countess Veronique (photo)
569672	41270	Jean
569673	334409	Athena
569674	337379	Patricia Nottingham
569675	249518	Josie
569675	264143	Goldwyn Girl
569676	31874	Hawkins
569676	40660	Paulette Mercer
569676	60361	Drinka
569676	67385	Kameel's Mother
569676	92150	Volunteer
569676	98356	Phyllis Lackey
569676	119502	Sarah Bassett
569676	131431	Sylvia Falcon
569676	132475	Mrs. Thurston
569676	161962	Sandra
569676	165871	Norva
569676	169941	Sherry Quincy
569676	188506	Noreen Summers
569676	190273	Corcoran Receptionist
569676	193951	Lobbyist #2
569676	196053	Frieda (segment "Love Song fo
569676	222573	Mrs. Wallace
569676	240786	Reebok Client #1
569676	263998	Officer Florence
569676	273704	Female Medical Technician
569676	294717	PR Woman
569676	297790	Woman
569676	312971	Mary Rudolph
569676	320095	Thad's Mother
569676	358479	Concerned mom from letter
569676	363502	Insurance Adjuster #2
569676	379162	Olivia
569676	395738	Asia
569677	221234	Judy Brown
569677	223127	Herself
569678	151116	Circle of Light
569679	207681	Clerk
569680	83951	Dorothy Kind
569680	193562	Yvette
569680	246954	Mispah
569680	278242	Kathleen Stle
569680	343887	Ruby Cortez
569680	362478	Jane Penfield
569681	2355	Herself - Winner
569681	2779	Herself
569681	38645	Mrs. Hill
569681	80981	Mrs. Patrick Campbell
569681	104521	Carlotta Monterey O'Neill
569681	184719	Mrs.Kennedy
569681	190869	Grand Councilwoman of the Uni
569681	198875	Lady Macbeth
569681	209388	Medea
569681	267568	The Countess
569681	288084	Sarah Bernhardt
569681	314974	Grand Councilwoman
569681	314980	Additional Voice (s) (Grand C
569682	162885	
569682	171030	Jessica
569683	45456	Girl #2
569684	51990	Cindy
569685	190796	Patient
569686	46683	Joy Piccolo
569686	206639	Betty Martin
569686	214228	Marian
569686	228984	Herself
569686	238682	Paula
569686	365960	Mrs. Klurfeld
569686	382933	Lorraine
569686	395869	Gloria
569686	398571	McGovern (1995)
569686	402345	Joanie Hansen
569687	242028	
569688	163688	
569689	122976	Herself
569690	347558	
569691	132595	
569692	295048	
569693	19257	Jill
569694	204184	Dancer
569695	18969	
569695	24838	Afronzina... Bobova ljubavnic
569695	75739	Draganova tetka
569695	109281	
569695	132151	
569695	132160	Anka... sluzavka
569695	164057	
569695	171911	
569695	172463	
569695	175601	
569695	180858	
569695	186521	
569695	187007	
569695	187982	
569695	192884	
569695	192904	Dara
569695	197096	Dara
569695	197097	Dara
569695	198843	
569695	199081	
569695	212663	Mica
569695	223576	
569695	229294	
569695	236167	Sonja Petrov... glumica
569695	253833	
569695	260287	
569695	262762	Smilja Stojanovic ... cerka
569695	263546	
569695	267844	Juliska
569695	270733	
569695	301902	Juliska
569695	303115	Pevacica
569695	305282	
569695	305525	
569695	312426	Ujna
569695	320481	Klara
569695	323307	Zorka Bogdanovich
569695	350680	
569695	352885	
569695	375341	
569695	383805	
569695	390182	
569695	394111	Zivka
569695	396547	Lepa Tucakovic
569695	401834	Persa ... popadija
569695	402765	Ancica, Ruletova devojka
569695	410442	Afronzina
569696	258743	Locutora
569697	32881	Gloria Hernandez
569697	277526	Jane Krantz
569699	379093	
569699	395861	Muñeca Sulbarán
569699	403884	Gladys
569699	408408	Irene Carvajal
569699	412190	Diana Duarte
569700	28198	
569700	346079	Sgt. Arias
569700	379458	Penelope
569700	397262	Jasmina
569700	409779	Mercedes
569700	412190	Etelvina Perez
569701	96305	
569702	205000	Clienta negocio de Clara
569703	400251	Laura Forster
569704	117713	Dancer
569704	184104	The Laker Girls
569705	37263	Vampira
569706	328388	
569706	394017	
569706	398816	
569706	406051	Nuria
569707	13555	
569707	44576	Ginette
569707	61426	Elisabeth
569707	62237	Stéphanie
569707	87428	Lady in Dining Car
569707	118343	Maid Kitty
569707	123719	Marinette
569707	132735	Agnes
569707	146388	Hélène Donaldo
569707	148776	Nuncia
569707	156309	La fille d'Allende
569707	161998	Françoise Avignon
569707	165183	Marthe Blondel
569707	217221	Nicole
569707	228556	Anne-Marie
569707	236593	Marie-Hélène
569707	241878	Georgette/Fabienne
569707	245963	Mata
569707	253247	Melissa Lascade
569707	259980	
569707	283965	Casilda
569707	287328	
569707	321931	
569707	331526	Kitty
569707	345317	Florence Delaune
569707	346482	Caroline Maurey
569707	350741	Karin
569707	357852	Suzie Boutboul
569707	377244	Suzanne/Jacqueline
569707	377954	Eva
569707	378022	Annette
569707	384213	Marion
569707	389242	Madeleine Unger
569707	390515	Léna Chevalier
569707	404191	Sally (1980)
569708	275312	Extra
569709	351688	Notera LavoratorioTroye
569711	16699	Jennie Marsh
569711	35399	Cecile White
569711	41708	
569711	46760	Joanna Benton
569711	54589	Mabel Seabrook
569711	59761	Edith Denton Marsden
569711	65873	Dorothy Brainerd
569711	66647	Ruth Harkness
569711	80671	Carrie Weiss
569711	92135	Molly Crane
569711	93130	
569711	105103	Gloria Gaynor
569711	105230	
569711	114805	Edith Brandon
569711	115936	Barbara Parker
569711	116206	Patricia Barton
569711	128270	Myra Pendleton
569711	128568	Elizabeth Browne
569711	138904	Dora
569711	143863	Mary Mallory
569711	144541	Natalie Kingston
569711	152520	Beatrice Bruswick
569711	158204	Barbara Hurd
569711	162932	Alice Burroughs
569711	175624	
569711	192025	Lady Babbie
569711	192391	Mag o' the Alley
569711	202993	Princess Genevra
569711	203262	Bonnie Bell
569711	203351	Betty Annesly
569711	207524	Mabel Arthur
569711	207958	Helen Anderson
569711	213080	Sparkle/Mrs. Thornton
569711	241745	Diantha Ebberly
569711	244435	Mrs. Colby
569711	247299	Isabel Minafer
569711	249375	Doris Fuller
569711	251863	Peggy Conrow
569711	256426	Rose Miller
569711	262071	Myra
569711	264165	Princess Jones
569711	271204	Rainbow Halliday
569711	291781	Bess Halcomb
569711	328044	
569711	340917	Marion Hampton
569711	343169	
569712	5564	Parker Dice Ann
569712	11639	
569712	52235	
569712	90045	Ynez Remado
569712	112510	Blanche Renault
569712	203351	Mrs. Lampton
569712	302231	Mrs. Brown, Buddy's Mother
569712	345996	
569712	361738	
569712	362232	Violet
569713	210902	Jackee
569715	366027	Partygoer
569716	10590	Miss Vandecar
569716	51975	Inmate
569716	74670	Marion Rhodes
569716	106194	Muriel Vanderflip
569716	107994	Anne Benton
569716	111726	Ray Saunders
569716	123884	Woman
569716	129586	Etta Concannon
569716	144969	Barbara Edwards
569716	146161	Sylvia
569716	203605	Dorothy Foster
569716	238706	Helen
569716	254495	Mary Drake
569716	270141	Betty, his daughter
569716	311473	Gertrude
569716	330331	Allison Cabot
569716	331598	Joan Gracie
569716	342945	Marcia Langworthy
569716	362673	Gladys Lees
569716	366315	Gwendolyn Milligan
569717	302325	Jennifer Daly
569718	16780	
569719	31928	
569719	49060	Mrs. Jones
569719	89378	Aunty
569719	107620	
569719	110946	Mrs. Brown
569719	114731	
569719	131388	Aunt Jane
569719	146244	The Trained Nurse
569719	146290	
569719	152558	
569719	171175	Salina
569719	203580	Fräulein Schroeder
569719	207693	Mrs. Murray
569719	214737	
569719	269669	Lady Barrington
569719	312825	
569719	324496	The Widow
569719	368652	Matilda
569720	329938	Rita Sherrell
569721	38963	
569722	346016	Inmate
569723	185639	Mrs. Barnes, the Landlady
569724	1133	Vonette
569724	32243	
569724	34702	Mia Morgan
569724	61793	Wanda
569724	65023	Wet
569724	77447	Young Woman
569724	87936	Linda
569724	102575	
569724	110149	
569724	113273	
569724	123696	Rachel
569724	141162	
569724	161168	Reese Deleware
569724	164493	Sondra
569724	164619	Rebbie
569724	171336	Sharice
569724	195262	Kerry
569724	195521	
569724	228484	Maria Cole
569724	245096	Phyllis
569724	247498	Mia DuBois
569724	249161	Tamala Davis
569724	257696	Ebony
569724	273704	Evonne
569724	298007	Eliza Hammond
569724	303226	Classroom Kid
569724	312062	
569724	362131	Temple Baham
569724	372806	Jaime-Lee
569724	381135	Debbie
569725	66337	Jill
569726	263492	The Other Woman
569727	287729	Savannah Quinn
569728	161309	Herself
569729	79272	Dater
569730	42223	Scores girl
569730	356656	
569730	366027	Partygoer
569730	395024	Herself
569731	37650	Nikki
569731	116750	
569732	96294	Claudia
569732	257892	
569732	282937	
569732	345028	
569733	282937	
569734	19451	Woman in purple 2
569735	286873	Samurai Vampire
569736	80514	Sarah Paige
569737	227996	
569738	30128	Sorority Girl
569739	147914	Gaby
569739	164514	Michelle
569740	192282	Herself/Writer, November 1994
569741	51714	
569741	52236	
569741	63878	Mercedes
569741	67363	
569741	125664	
569741	207642	Esposa de Lucas
569741	296432	
569742	41190	
569744	9653	
569745	64058	
569746	404834	Nalva Ferrari
569747	387920	Herself/Host (2002)
569748	311099	
569749	68428	Sergio's Mother
569749	124552	
569749	158762	Matilde
569749	160979	
569749	251600	
569750	104753	Monegasque entry (4th place)
569750	294007	La signora Vanna Turrisi
569751	93528	
569752	115661	
569753	29492	Annie Marnas
569753	354232	
569753	357490	Collégue de Cécile
569753	404804	Mme Leblond
569754	352159	
569755	107022	
569756	94676	
569757	358336	Ayshe
569758	283328	Artist's Sister
569759	98419	Margie
569759	101355	
569759	142318	Barbara
569759	172024	
569759	216264	
569760	194136	Tourist
569761	216639	Ms. October - Baseball
569762	61706	50/50 (Rapper)
569763	65555	Chica casamiento
569764	243049	child
569765	136300	Lois/Primitive Guyver
569766	165422	Jenny
569766	189982	Young Mae Rose
569768	150255	
569769	407369	Officer, Ryu, Lady, Weather A
569770	53829	
569771	305778	Bar Girl #6
569772	259760	Little Polly
569773	161754	Mrs. Clark
569775	348867	Business Owner
569777	68915	Germana
569778	29517	
569778	40244	Helaine
569778	132970	
569778	205146	Jojo
569778	210692	
569778	263813	
569778	275020	João dos Divãs
569778	275024	
569778	387777	Marieta
569778	393793	
569778	396926	Clemence
569778	398220	Joaninha
569778	399766	Sílvia
569778	400678	Tarsila
569778	404160	Laura
569778	404798	Zelinha
569779	399950	Gemma Carruthers
569779	405733	Brooke Bellingham
569780	385092	Charmaine
569780	411056	Gloria McTavish
569781	78034	Lisa Laughton
569782	2545	Chorus girl
569782	77805	Chorus girl
569782	247160	Goldwyn Girl
569782	308622	Mary, Tommy's Friend
569783	186649	Herself
569784	323964	Devilette
569785	149828	Henry's Secretary
569785	408879	Sandy
569786	44183	Chloe Rainer
569786	258932	Hunterbury maid
569787	186649	Herself
569788	398050	(1st Eliminated) (2003)
569789	141063	Lena
569790	232442	Lenore Waters
569791	161584	Herself
569792	45674	Mrs. Hunter
569792	75316	Mrs. Bergin
569792	91962	Maggie/Maid
569792	92957	Mrs. Surratt
569792	195991	Maid
569792	354500	Aunt Hattie
569792	359883	Mrs. Andrews
569792	362457	Nurse
569792	362778	Mathilde
569793	274773	Jane Watson
569794	87559	Mrs. Detective
569794	191799	Dr. Paula Sheffield
569795	119094	Elizabeth
569796	23441	Second Assistant Director
569797	48217	Sheila Ribundo Fine
569797	178138	Female Reporter in Durham
569797	342491	TV Anchor #2
569798	40204	Jenny
569799	333691	Andrea
569800	360711	
569801	145904	Elinor Murfree, aka Murphy
569801	150465	Jane McGill
569801	185520	Sally Mason
569801	223241	Amy Hutchins, Harding's Secre
569801	295339	Mary Norton, an alias of Mary
569801	310602	Virginia Selton
569802	222592	Earl Carroll Girl
569803	200289	Princess Grace
569805	291449	Pageant Girl
569806	208390	Student #1
569807	97644	Cat Advocate
569807	168627	Edna Coglin
569808	310633	Athena
569809	163464	Dorothy Kidder
569810	99926	Emily
569811	317309	LA Restaurant Patrons
569812	6996	Mrs. McLaw [Ch.1]
569812	118272	Agatha
569812	196881	Mrs. Olson
569812	204552	Mrs. Williams
569813	154035	Mickey's Grandmother
569814	330179	Young Wife
569815	154804	Teresa Kelly
569816	82327	
569816	135569	Shopper wife
569816	188348	Theresa
569816	229861	Bridgit
569816	282667	Phoebe
569816	347099	Girl in Pizza Parlor
569816	364367	Sandy - Wendy's Friend
569816	386966	Nicole
569816	387987	Juliana
569818	13953	Lisa Williams
569818	44301	Mrs. Piston
569818	55159	
569818	59114	Alice Bingham
569818	68455	Mrs. Hallstrom
569818	85133	Lady Jane
569818	109028	
569818	109424	Ms. Tidwell
569818	109538	Motel Manager
569818	115470	Barbara Hamilton
569818	115497	Mrs. Gordon
569818	118980	Frankie's Mother
569818	137197	Burd
569818	148192	Grammy Lou
569818	158781	
569818	165253	Mrs. Stevens
569818	168216	May Lou Curran
569818	171037	
569818	219526	Subway Lady
569818	221043	Alice Stillwater
569818	232831	Marisa/Inmate
569818	241957	Mrs. Powell
569818	276801	Betty´s Mom
569818	278402	Evelyn Jackson
569818	289057	Dannion's mother
569818	330715	Lucille
569818	345686	Martha Wellington
569818	382224	Mrs. Kleindienst
569818	385451	Nurse Connie Buford
569818	391834	Catherine
569818	392571	Mrs. Westerfield
569818	393609	Katie Wabash
569818	395903	Martha Kent (1993-1997)
569818	396937	Cathy Baker
569819	271340	Emma
569820	154804	Caroline's Mum
569821	263234	Clerk
569821	311408	Woman at bar
569822	271163	Policewoman
569822	340951	Claire
569822	388209	Lou Fitzpatrick (1997-2000)
569823	388652	Herself - Voice-over/Presente
569824	159542	
569825	302009	Female Petty Officer
569826	122202	Ronnie
569826	360790	Aunty Eileen
569826	379185	Liz Wilson
569826	401963	Kathleen
569827	109865	Nurse
569827	213121	Woman
569828	367854	Liz McDonald
569828	385020	Liz McDonald (1989-1998, 2000
569828	387533	Angie Richards (1983)
569828	401307	Barbara (Series 2) (2000)
569828	409237	Flo Henshaw (Series 1-3) (200
569829	56722	Dorothy Marlowe
569829	85658	Blonde at bar
569829	103363	Laura Maxwell
569829	113277	
569829	113462	Rita
569829	116251	Jackie
569829	119588	Coral
569829	133846	Ella
569829	153611	Jazz Club Blond
569829	160784	Carol's Friend
569829	168258	Ruth
569829	191189	Stella
569829	203200	Pamela Norris
569829	275363	Lola Sinclair
569829	277947	Nanny Campbell-Black
569829	316193	Jennie
569829	330237	Nightclub Singer
569829	335826	Connie
569829	346230	Joan Foster
569829	361640	Pat
569829	367592	Ann Winthrop
569829	394659	Liz Parrish (1959-60)
569829	404668	Peggy
569830	5885	
569830	44564	Arietty
569830	143606	
569830	194584	Ruth Huckaback
569830	214939	Tamar
569830	276745	Arietty
569830	367406	Emma
569830	384097	
569830	390485	Kate Morris
569830	401675	Harriet Marsh
569830	406921	Laura Hutchings
569831	127992	Michelle
569831	166125	Barbara
569831	288297	Annie Villeneuve
569831	316463	Ludivine, la réceptionniste
569832	156919	Daughter
569833	385151	Sally Yung
569834	21021	
569834	52578	Herself
569834	133720	Herself
569834	205518	Soprano/Tosca
569834	205519	Herself
569834	205520	Herself
569834	205521	Herself
569834	205522	Herself
569834	209387	Medea
569834	235708	Herself
569834	355281	Herself
569834	366640	Herself
569834	409970	Violetta in 'La Traviata'
569835	15132	Fanny
569835	111124	Valérie Ravennes
569835	152333	Odile
569835	170358	Georgia
569835	217729	Patoune
569835	340210	Musy
569835	379239	Fanny
569835	379793	Patoune Testemale
569835	380410	Amanda
569835	387560	Perrine
569835	396187	
569836	264157	Spanish Wedding Guest
569837	137449	Baby Claire
569838	137449	Baby Claire
569839	199129	Herself
569840	363415	Baby Ruth Coop
569841	391219	Anchor (weekends) (1997-)
569842	46869	Susie Brubaker
569842	74248	Marie Morelli
569842	131534	Annabell
569842	175749	Susie
569842	186773	
569842	191119	Cindy Bradshaw
569842	232089	Mary
569842	354160	Debbie
569842	386889	Kathy Hudson
569843	331541	Isabella
569844	9802	Princess Jasmine
569844	15887	Anastasia
569844	32178	Villager/Additional Voices
569844	46147	Singer
569844	47375	Herself
569844	116499	Young Sally
569844	191244	Adult Kiara
569844	198067	
569844	276690	Princess Jasmine (singing)
569844	294139	Judy Matheson
569844	320800	Princess Odette
569845	302840	Heather
569846	254625	Female Officer
569847	363415	Cherry Coop
569848	358007	Dolorosa Sister #3
569849	2019	Callahan's Secretary
569849	186207	Bartender (Space)
569850	9540	
569850	91622	
569850	356642	
569850	396873	Leticia
569851	111563	
569852	24264	Aura
569852	94283	
569852	376379	Yolanda
569853	19471	Zoe, Nurse
569853	55936	Enfermeira em Lisboa
569853	71377	Helena
569853	131127	
569853	194106	
569854	71111	
569855	329661	Dancer
569856	110146	La détective
569856	233959	
569857	218344	
569858	55405	Herself
569859	378357	
569860	402487	Dora
569861	300698	
569862	381091	Herself (eliminated round 4) 
569863	266897	Woman in Bank
569864	47405	
569864	95370	
569864	188661	
569865	292282	Ragazza al telefono
569865	295181	Sarah
569866	383316	
569867	214207	
569868	1675	Themselves
569868	41488	
569868	126544	Jessica
569868	158609	Bridesmaid #3
569868	240786	Tabatha
569868	273926	Co-Ed #1
569868	307385	Female drinking friend
569868	400517	Mary Elizabeth Penrose
569869	218518	
569869	255545	
569870	351494	
569871	115833	
569872	55527	
569873	41086	Beautiful Girl Picking Up Glo
569873	41142	Street Gachi
569873	44090	Spanish cafe singer
569873	64670	Rosita Gonzales
569873	92959	La Brasiliana
569873	107696	Dolores Ybarra
569873	147535	Pepita
569873	163490	Dolores Gonzales
569873	206355	Senora Guizman
569873	242009	Felice Torras (Geoff's lady f
569873	245357	Lorita Hernandez
569873	275723	Tonia Capillo
569873	286197	Bar girl
569873	352024	
569874	14680	
569874	64435	
569875	117306	Louisa
569876	115039	Herself
569877	8573	
569877	29054	
569877	33226	
569877	42664	
569877	55527	
569877	60080	
569877	60710	Maria
569877	61353	
569877	70517	
569877	99793	
569877	120904	Margo
569877	148049	
569877	202831	Cecilia
569877	370174	
569877	373756	
569878	157215	
569879	143684	Tamara
569879	382951	Marcela
569879	385070	Estela Rosetti
569879	387573	Marcia Leroux de Miguens
569879	391860	Medianoche
569879	396646	
569879	409959	
569880	124176	
569881	68771	College Girl
569882	107551	Mother
569882	110251	Bazooka's Circus Waitress
569883	99147	
569884	161462	Blind Man's Daughter
569886	323226	Bar Extra
569887	32845	Ballet dancer
569887	305834	
569888	305884	Josie
569889	305884	Emma
569890	355156	Kim Gordon
569891	152208	Stewardess
569892	239882	
569893	355190	
569894	215483	Herself
569894	215484	Herself
569894	381906	Herself
569894	399052	Herself (2001)
569895	382584	
569895	391622	
569895	404784	Mme Martoret
569896	303368	
569897	96335	Actriz 2
569898	244640	Helen
569899	383665	Guera Rodríguez (María Ignaci
569900	256769	Cajera del supermercado
569902	196878	Klant videowinkel
569903	282990	
569903	314946	Belinda Cratchit
569904	393032	Leone Haines
569905	231377	Vidiot
569905	378825	Series Regular
569905	391490	Yvette
569906	405209	Justice Pamela Crane (2000)
569907	220276	Montmartre Dancer
569908	367679	Bobby
569909	291956	
569910	117644	Kathy Russell
569911	296118	
569912	220271	Eva
569912	220272	Eva
569912	254131	
569912	257068	
569912	263975	
569912	332203	
569913	43982	
569913	309961	Sara
569914	100661	Heather Mostshallow
569915	31950	Flautist
569916	166172	L'infirmière de la clinique
569916	255490	Nicole
569917	44653	
569917	92565	Julie
569917	285031	Sister Helena
569917	291023	
569917	344512	
569918	43551	Dancer
569918	59637	Choir Singer
569918	68469	Florist
569918	79202	Dancer
569918	80935	Shopper
569918	138737	Dancer
569918	140087	Dancer
569918	269856	Train Passenger
569918	299518	Nurse
569919	281056	Laughing Lady
569920	285301	
569920	408030	Kid
569921	53975	Myrna
569921	131240	Bonnie Blue Butler (at age 2)
569922	46572	Mutant
569923	253058	Babysitter #2
569924	157324	Second Grade Communion
569925	73436	Robin
569926	92232	Gospel Singer
569927	157194	Gwendolyn
569928	263571	Marie, Ottilie's maid
569928	367731	Madge Wildfire
569929	157324	Second Grade Communion
569930	251202	Spike's Girlfriend
569931	42805	
569932	116905	
569932	332442	
569933	115874	Kathy Shakespeare
569934	116053	
569935	128178	Norma Shepard
569936	306421	So Fine Dancer
569937	1487	Herself
569937	11124	Donna
569937	13712	Miss Williams
569937	19829	Diana
569937	27153	Christine Hodges
569937	37650	Anita
569937	47993	Dr. Thelma Woolridge
569937	51203	Jamika
569937	60163	Diana Philips
569937	60735	Abby Holsopple
569937	68232	Imani Izzi
569937	73436	Julia Hunter
569937	79986	Grace Calloway
569937	81276	Marci Hewitt
569937	159862	Francis Phillips
569937	161379	Herself
569937	191650	Marilyn McClane-Masterson
569937	195558	Vivian Johnson
569937	196048	Evie livingston
569937	201716	Herself
569937	210670	Martha Kinship
569937	236696	Woman
569937	259755	Nancy
569937	259775	Nancy Dodds
569937	264565	Nikka
569937	274346	Gloria
569937	276670	Molly Pickett
569937	315190	Dorothy
569937	327625	Johnnie Mae Matthews
569937	362512	Jackie
569937	362861	
569937	364552	
569937	379716	Yvonne Caldwell (1985)
569937	385824	Denise Preston (1985)
569937	387718	Delia (1990)
569937	400019	Herself
569937	400418	Dist. Atty. Rosalee Clark
569937	403322	Colette Hawkin
569937	409492	Maggie Langston
569938	45548	MLK Passenger
569938	112601	Gospel Explosion Page
569938	119585	Colored Waiting Room Waitress
569938	171485	Mable (Card Player)
569938	181534	Bird Lady
569938	321213	Sherma
569938	360745	Nita
569940	314719	Uniformed Cop 2
569941	16879	Lulu
569942	293198	Mrs. Heel
569942	388486	
569942	404407	Countess de Martignac (Series
569943	214814	Black Bride
569945	384816	Camille's servant
569946	300533	Child at Party
569947	3169	Other friend
569947	161573	
569947	280749	
569948	275634	
569948	294808	Annette
569948	404281	Ettienette Acquin
569949	26350	Gitta (7-8 months)
569950	23840	Herself
569950	354652	Herself
569951	301267	Rosa
569952	221744	Cecilia
569952	239281	
569952	397738	Fernanda Muñoz De La Torre
569952	398472	
569952	399793	Host/Dalina (1995)
569952	405835	Antonia Díaz Castillo
569952	410108	Elisa Galindo
569953	1402	
569954	126381	
569954	187825	Non verpleegster
569954	400801	Siska Verhelle
569955	402539	Melissa
569955	402685	
569956	211011	
569957	268292	
569958	26547	
569958	122288	
569958	194099	
569958	278568	
569958	354191	
569958	386142	Dorinha
569959	344810	(segment "Ivone")
569960	291584	(segment "Hier, tu m'as dit d
569961	3169	Older Journalist
569961	76609	Ilsa
569961	127487	Old Party Guest
569961	152947	Hospital Volunteer
569961	199404	The French Beautician
569961	199514	Cecile
569961	231533	German Bakery Lady
569961	244397	Old dressmaker
569961	302010	Blue-Haired Lady
569961	313514	Dorothy
569961	328564	First Charwoman
569961	357994	Servant
569962	50444	Cheerleader
569963	251646	Pregnant Girl
569964	20091	Mariana (7 year)
569965	257418	Anciana Anticuario
569966	3353	Mujer en chalet
569966	19945	Secretary
569966	48786	
569966	64691	
569966	101895	Carmen
569966	149511	Madre Carmen
569966	210163	Julia
569966	379006	
569966	384376	Virginia López
569966	390244	Koro (1998-1999)
569967	44229	
569967	63766	
569967	249388	
569968	384246	Ludovca
569969	193890	
569969	199679	Policewoman Doris Hawkins
569969	275206	Minnie
569969	280665	Jackie
569969	292499	Joan
569969	334761	Alice Martin
569969	346178	Sandy
569969	362774	Clementine
569970	56008	Singer Playing Juliet
569971	26696	
569971	125716	
569972	246426	
569973	402158	
569974	190037	Pope's Mom
569975	295025	
569976	238813	
569977	15204	
569977	49176	
569977	265780	
569978	21726	Mamen
569978	106993	Moza 2
569978	249790	Gema
569978	255485	Juana
569978	296660	Vero
569979	69697	
569979	286285	Fati
569980	104835	
569981	204653	Javotte
569982	132887	Hôtesse d'accueil hôtel
569982	218255	Edwige
569984	312767	Lady Jane Bellamy
569985	310302	American Woman
569986	404897	Celina (1993-1996)
569987	243379	
569987	353380	Herself
569988	407173	Herself (2002)
569989	296886	Marjorie
569990	28375	
569991	28375	
569992	82689	Herself
569992	83108	Herself
569993	19778	Hanako Kokobunji
569993	68738	Assembler
569993	68739	Assembler
569993	84434	Kumi, Mhiku
569993	92777	Mink
569993	100447	Natsu
569993	123107	Anne, UN Computer
569993	123108	Spea
569993	123112	Spea
569993	127779	Additional Voices
569993	177083	Hikaru Hiyama
569993	243572	Yuri
569993	243573	Yuri
569993	243574	Yuri
569993	243575	Yuri
569993	243576	Yuri
569993	243577	Yuri
569993	264168	Minerva
569993	293140	Yuriko
569993	293586	Shiokaze Umino
569993	298957	Hikaru
569993	298966	Cutey Honey (english dub)
569993	304688	Meliroon/Additional Voices
569993	309118	Barbara
569993	309119	Barbara
569993	309121	Barbara
569993	309122	Barbara
569993	309123	Barbara
569993	309124	Barbara
569993	310836	Barbara
569993	348870	Asako
569993	380473	Miyako/Yukiko
569993	381163	Barbara Oiblert
569993	383107	Moto Tonomura, Poom Poom, Sak
569993	386537	Karin Aoi
569993	387457	Celcia, Pochi
569993	388022	Excel (Episodes 1-13)
569993	394175	Tsukino Miyazawa
569993	394420	Kiyama, Additional Voices
569993	394976	Honey
569993	403909	Fam
569993	405144	Additional Voices
569993	410258	Donna
569993	411449	Narumi Mutsuki, Rin Asakura, 
569994	99969	Old woman in grog shop
569994	401828	Mrs. Emmett
569996	51855	Lady in Waiting
569997	328396	
569998	32981	Margaret Stanton
569998	54944	Katherine Bush
569998	80544	Eva Dennison
569998	113966	Elizabeth Blake
569998	134016	Gypsy
569998	141277	Maryland Calvert
569998	150882	Mrs. Manning
569998	159091	Queen Vashti
569998	206326	Eileen Spencer
569998	206350	Natalie Rand
569998	218926	Grace Elmore
569998	245173	Rosalie Lane
569998	245250	Auriole Craven
569998	245280	Valentine
569998	249490	
569998	251683	Sarah
569998	280978	Doris Elliott
569998	329536	Adora Winstanley
569998	330455	Alice Rowland
569998	348458	Ruth Travers
569998	372168	Nora Gorodna
569999	73325	Teenage Girl
569999	387533	Faye Clarke (1996)
570000	46804	Caroline Thornhill
570000	90342	Ellen Johnson
570000	167651	
570000	190378	Anger
570000	200363	
570000	266070	Rachel, DEA Agent
570000	358370	
570000	382838	Cheryl Boyanowsky (1988-1989)
570000	384157	Vivian (2001)
570000	384663	Delphine
570000	387239	Kossil
570000	406111	Karen Hansson
570001	334780	Condo Lady
570002	218146	Granny Dworkin
570002	241421	Mrs. Von Unwerth
570003	14798	Actriz
570003	106316	
570003	142561	
570003	206978	
570003	248076	
570003	259958	
570004	142926	Old Lady
570005	1599	Freda Thompson
570005	5831	Lady Campbell
570005	17706	
570005	19167	Sister Augustine
570005	19786	Young Girl
570005	31220	Margot
570005	32429	Woman
570005	47507	Mary Johnstone
570005	59555	Betty Forsythe
570005	61564	Evelyn Acheson
570005	81179	Mrs. Heccomb
570005	87613	
570005	108619	Fanny
570005	130827	Patricia Chandler
570005	159260	Mrs. Margaret Munson, Anne's 
570005	160569	Mrs. Wilkinson
570005	163589	Laura Hammond
570005	177816	Ann Pornick
570005	183754	Esther Williams
570005	188216	Mary Wilson
570005	199742	Maddalena Labardi (Rosanna)
570005	199770	
570005	200110	Jeanne de Vermond
570005	203143	Clarissa
570005	204021	Christine Garland
570005	210825	Dr. Caroline Munro
570005	220893	Kay Denning
570005	221245	Aunt Helena
570005	224228	Joan Clews
570005	230115	Lydia Heathley
570005	230259	Helen Carter
570005	238991	Lady Haig
570005	243947	Constance Wilde
570005	281515	Jeckie Farnish
570005	290349	
570005	330136	Sally
570005	330236	Lucy Moore
570005	333319	Kate Ferald
570005	334298	Herself
570005	342661	Enid Durnley
570005	342796	
570005	345708	Julie Lanvin
570005	358661	Erica Dainton
570005	367482	Queen Mary
570005	367670	Yvonne Winter
570005	372447	Gladys Connor
570005	372642	Eleanor Eden
570005	385139	Eleanor Maxie
570005	394214	Kate Graham
570005	394456	Alison Tyndall
570005	395754	Mrs. March
570005	405969	Older Constance
570006	10727	Ed Smart
570006	321444	
570007	96861	Model
570007	155816	Model
570007	192410	Girl
570007	195189	The Real Minette Lanier
570007	196390	Model
570007	343160	Girl
570008	328581	Tong Room Girl
570009	109764	Sandra
570009	299846	Tarmac Secretary
570010	41185	Trudy Sanders
570010	291542	Marie
570011	13591	Ma Potter
570011	72606	Mrs. Pinkham
570011	94162	Widow Wilson
570011	111719	Ma Holcomb
570011	123132	Martha Williams
570011	176310	Aunt Cynthia Mendoza
570011	196969	Mrs. Frederick
570011	214105	Mrs. Henessey
570011	271238	Martha Randall
570011	305725	Mrs. Smith
570011	361760	Aunt Emma
570013	73601	
570014	354999	
570015	349973	Allyson
570016	51402	Adolescente
570017	18738	Janice MacKenzie
570017	25322	Louse de Châtillon
570017	42025	Odette
570017	43720	Vera
570017	63640	Mme Tritonel
570017	92486	Pizelle Puree
570017	108925	Renee Vallon
570017	115538	Nicki
570017	142754	Contessa
570017	223953	Yvonne Yvonne
570017	235831	
570017	240841	Colette
570017	242825	
570017	249356	
570017	251932	Danielle Grenier
570017	254236	Liliane
570017	254501	Mrs. Wickes
570017	258295	Kathy Martin
570017	261740	
570017	261968	Frenchie
570017	269263	Mme. Stephanie Durossac
570017	270842	Bice
570017	281551	Mademoiselle Suzanne Renaud a
570017	285637	Cameo appearance
570017	291405	Herself
570017	298083	Colette
570017	306496	Suzanne Sorel
570017	321688	
570017	332026	Lizette Damon
570017	335603	Madame Ruanda
570017	362363	Charmaine
570017	363226	Yvonne
570017	389340	Madame Brouchard
570017	389858	Yvonne Rousseau (1987)
570018	300898	
570019	24960	Donna Elvira
570020	319914	Femme du President
570021	112736	
570022	46169	Young Murron MacClannough
570023	202607	Cécilia
570023	243151	Flavie
570024	390688	Daphne
570024	403804	Hostess
570025	220498	
570026	43690	
570026	66075	
570026	337047	
570027	49297	
570027	125001	Sunny
570027	126446	Katharina Oppenhoff
570027	249691	
570027	259647	
570027	273752	
570027	281713	Tessa Faraday
570027	282222	Sanni
570027	325469	Birgit Laufer
570027	325527	
570027	347581	Yvonne Meyer
570027	361034	Dorle Birns
570027	388798	Kerstin
570027	407543	Claudia
570028	300587	
570029	309248	
570030	409799	La Femme D'Alfredo
570031	38832	
570032	193000	School Dancer
570033	193000	Spaghetti Spectator
570034	193000	School Dancer
570035	193000	School Dancer
570036	371080	Mona
570037	101080	Claire Lerode
570038	356230	Model
570039	33149	
570040	19451	Boarding House Owner
570040	196660	Remédios
570040	235925	
570041	25512	
570041	30790	
570041	30859	
570041	30862	
570041	37680	
570041	145528	
570041	200464	
570041	324600	
570042	19174	
570042	25313	
570042	89572	Daniela
570042	234566	Prostitute
570042	386745	
570043	307359	Girl at Brothel
570044	281288	
570045	289238	Consuelo
570046	17197	Hula Dancer
570047	56506	
570048	323668	Promotora
570049	10222	
570049	14675	
570049	30398	
570049	53595	
570049	55092	
570049	55387	
570049	58915	
570049	73979	
570049	74555	
570049	86900	
570049	96364	Candy store client
570049	101615	Archibaldo's mother
570049	103764	
570049	106306	
570049	128970	
570049	145209	
570049	145674	
570049	162797	Graciela
570049	190113	Carla Arlota
570049	193352	
570049	204683	
570049	244578	
570049	250795	
570049	251563	Aida
570049	269918	
570049	300637	
570049	353592	
570049	355747	
570049	380476	
570049	386288	
570049	386296	
570049	387551	
570049	396209	Cata
570049	396883	
570049	401093	
570049	403752	Úrsula Valdez #2
570049	405398	
570049	410097	
570050	324499	
570051	357744	Ana
570052	43982	
570053	90127	
570054	16642	Spanish Woman on Train
570055	400661	Messina Cortese
570055	406051	Concepción
570056	51567	Enfermera
570057	87898	
570058	215611	Lesbian 2
570059	12070	Señora Guerrero
570059	14648	
570059	16836	Mother Superior
570059	30745	
570059	54002	Signora Corelli
570059	54053	
570059	54318	
570059	55374	Señora Murphy
570059	67964	Arabela
570059	74850	
570059	75497	
570059	76091	Katie Ryan
570059	82235	
570059	104149	
570059	125757	Felicia
570059	132732	Ana
570059	144075	
570059	148079	
570059	160716	
570059	192933	
570059	199853	
570059	218295	
570059	219225	
570059	221961	
570059	249772	Mrs. Robinson
570059	253033	Socorro, the Housekeeper
570059	253184	Nana
570059	258125	
570059	259420	
570059	263774	
570059	275071	
570059	275074	
570059	281608	
570059	292735	Rosa
570059	295513	
570059	339164	
570059	349931	
570059	355755	
570059	356622	
570059	371885	
570059	376697	
570060	211048	Enfermera
570061	115031	Herself
570062	51810	
570063	3439	
570063	21590	
570063	193483	Barmaid
570063	218960	
570063	377770	
570064	162598	Herself
570065	48831	
570066	333287	Young Sebastiana
570067	118836	
570067	132367	
570068	3283	Sol
570068	23624	Vecina histérica
570068	74842	Charito
570068	103499	Berta
570068	106328	Camarera karaoke
570068	149511	Mujer Portero
570068	167081	María
570068	206558	Carmen
570068	233976	Locutora Manifestación
570068	244626	
570068	353197	
570068	376864	La Reme
570068	400952	Claudia (2002)
570069	234414	Adriana
570069	244588	Erica
570070	111563	
570070	197452	
570071	322299	Elsa (8 years)
570072	248235	
570073	93888	
570074	94851	
570074	384972	Consol Pradell Ribas (2004 -)
570074	395041	Mati Uribarri
570074	401688	Katy
570074	405498	
570075	144869	Girl on Mace's Arm #1
570076	398940	Anchorwoman
570077	272009	
570078	392213	Host (2002)
570078	411714	Herself
570079	54571	Barbara
570080	17752	
570080	213786	
570080	284840	Jenny
570080	301211	
570080	394906	
570081	44913	
570081	103727	
570081	189114	
570081	225078	
570082	64772	Feminist
570082	125841	Colette
570082	214028	Gisèle
570082	248251	Marguerite Hatiyeau (segment 
570082	251534	Aquilina
570082	258111	Femme au chat
570082	258868	
570082	345458	La jeune fille du train
570082	345544	Mlle Pintard
570082	377618	Valérie
570082	378866	Pamela (ep.4)
570082	379240	Barbara
570082	386573	Helga
570083	56274	
570083	61097	Ragazza fonderia
570083	71097	Madre
570083	90744	
570083	102225	Preston's Wife
570083	112720	Luisa
570083	125341	
570083	207947	
570083	250539	
570083	265283	
570083	293357	
570083	384816	Sailor's wife No. 2
570083	390753	
570084	67104	Vally
570085	281650	Tina
570086	28771	
570086	202427	Luna
570086	223322	Alessia
570086	266170	
570086	287991	
570087	84053	
570087	268514	
570088	527	Russian agent
570088	3574	
570088	7504	Nadia
570088	8229	
570088	8483	
570088	17611	
570088	17745	
570088	25301	
570088	46626	
570088	52180	
570088	53998	
570088	54005	
570088	54086	
570088	54146	
570088	54294	Teresa
570088	64241	
570088	64349	
570088	69952	Haidée
570088	76156	
570088	92929	
570088	94713	
570088	100640	
570088	102398	Melissia
570088	102502	Erik's Mother
570088	107687	Marfa
570088	110217	
570088	121955	
570088	125775	
570088	126156	
570088	129026	Calpurnia
570088	130998	
570088	141677	
570088	146494	
570088	159416	
570088	162040	
570088	183475	
570088	191556	Mother
570088	192946	
570088	199730	
570088	200509	Zia di Angela
570088	202207	
570088	209832	Rosa's governess
570088	214005	Rhonda Liston
570088	216045	Solima
570088	217900	
570088	219678	Zalamea
570088	242829	
570088	250865	
570088	256412	Master's Maid
570088	269469	Adelaide
570088	270817	Mara's Mother
570088	273150	Bibiana
570088	278953	
570088	278995	
570088	279256	Miriam
570088	289444	Carmen
570088	294634	His Secretary
570088	295136	
570088	295172	
570088	305430	Elisabetta
570088	310497	
570088	318632	
570088	319320	
570088	328624	
570088	328730	Surama
570088	335538	Arzenta's Mother
570088	336609	Suleima
570088	339807	Maga Yalis
570088	344599	Herta
570088	351515	La Sibilla
570088	351535	
570088	351586	
570088	352559	
570088	356221	
570088	375881	
570088	397920	Mother Superior
570089	310891	Martina
570090	199075	
570091	50384	
570091	179003	
570091	264783	
570091	291024	
570092	142394	Shari
570093	142394	Patty
570094	370157	
570095	379450	Carolina
570096	113376	Angelica
570097	278904	
570098	11357	Eta
570098	333383	
570099	5000	
570099	28727	
570099	37911	
570099	44317	Leina
570099	45761	
570099	49431	Valeria
570099	52302	
570099	80836	Carmelita
570099	89916	
570099	96655	Girl
570099	137613	
570099	143677	
570099	165893	
570099	231283	
570099	241125	
570099	260522	
570099	263069	
570099	266881	
570099	269270	Raquel
570099	302981	
570099	302983	
570099	332945	
570099	355919	
570099	357991	Mrs. Bean
570099	402181	
570099	405398	
570099	409812	Gloria
570100	225560	
570101	69771	Claire
570101	127484	Nancy Lewis
570101	176987	Ellen Rizzi
570101	188963	1st N.Y. Tourist
570101	206232	Julie
570101	207147	Dr. Joanna Glenville
570101	257269	Bronta
570101	310643	Ruth Conoyer
570101	362140	Deborah Nesbitt
570101	383385	Joan Dade (1983)
570101	385824	Joanne Barnes (1979-1980)
570101	397288	Dr. Jeanne Bartlett (1969-197
570102	204354	Female Bartender
570103	46568	Dr. Bathory
570103	73788	Girlfriend
570103	117581	Hotel Clerk Imke
570103	224430	Marla
570103	240697	Guatemalan woman
570104	8564	Mujer limpieza
570104	202834	Gema Perdulí
570105	56728	Mother
570105	155816	Model
570106	198993	
570107	73738	
570107	272920	Herself
570107	320146	Herself
570107	320147	Herself/2nd Banished
570107	407077	Herself (6 Days, Boran Tribe)
570108	304563	Rita
570109	281780	
570110	42911	Herself
570111	62350	
570111	396062	Sheila, Loveboat Mermaid (198
570112	65638	
570112	135280	
570113	9786	
570113	55917	
570113	57420	
570113	70662	La Muchacha
570113	207649	
570113	400663	Nina
570114	277222	
570115	328530	
570116	25018	
570116	33967	
570116	61344	
570116	64034	
570116	80325	
570116	91367	Coqui
570116	112055	
570116	132697	
570116	135113	
570116	152236	
570116	169793	Arturo's girl
570116	193355	
570116	222030	
570116	270070	
570116	296502	Lola
570116	306672	
570116	339206	
570116	349933	
570116	354904	
570116	355777	
570116	376736	
570117	204184	Dancer
570118	292763	Amiga de Sergio
570119	106994	
570120	61876	Sonia
570120	267050	
570121	380612	Maria Laura
570121	381263	Sueli
570121	382724	Rosinha
570121	384778	Simone
570121	386419	Young Maria Helena
570121	387104	
570121	388458	Adelaide
570121	389154	Letícia
570121	393463	Aninha
570121	393979	Marta
570121	395400	Maria
570121	396337	
570121	400096	
570121	402266	Mariucha
570121	402503	
570121	402530	Gina
570121	410053	
570121	410099	Alice
570121	410107	
570122	309149	Jacqueline, enfant
570123	2119	
570124	379001	Bárbara
570124	380096	
570124	396942	
570124	404287	
570125	57332	
570125	73603	
570125	108673	Pierrot
570125	125359	
570125	273156	
570125	290929	
570125	315843	
570125	316867	
570126	281741	Annamaria
570127	108933	Tourist Guide
570128	269103	
570129	28622	
570130	177664	Janna
570131	287547	Jumma
570132	344098	Santa
570132	369758	
570133	101175	Kouda, la mère
570134	12687	Rebecca
570134	159674	
570134	214008	
570134	234112	
570135	213758	Herself
570136	259561	Thula
570137	37495	Prostitute
570138	61844	
570139	243509	The Spokeswoman of the Angry 
570140	245956	Fleur
570141	81104	Drome Groupie
570142	57966	
570143	380986	Marina's grandmother/Ridley
570143	397359	Victorin (Italian version)
570144	30582	Beers Cheerleader
570145	115741	
570146	253664	Abogada
570147	83989	Katrin
570147	196981	Saloon Girl
570147	396142	Saloon Girl
570148	8473	Três Vedetas sketch
570148	12826	
570148	72032	
570148	110211	
570148	134487	
570148	286571	
570149	21138	
570149	23267	
570149	83520	
570149	225995	
570149	262302	
570149	328760	
570149	354984	
570150	9957	Juanita
570150	18019	Hat Check Girl
570150	83991	Rosita
570150	92959	Student
570150	132732	
570150	134055	Native girl
570150	135856	Dancer
570150	186405	Lolita
570150	199403	Mexican Girl
570150	239347	José's Sweetheart
570150	271855	Dancer
570150	350019	Dancer
570151	83587	Rosa
570151	342503	Telephone Operator
570152	383727	Renato's girlfriend
570153	116280	Passenger #4
570154	378046	
570155	53010	
570156	104488	Selma
570156	112755	
570156	156386	
570156	234620	
570156	252335	
570156	263268	
570156	336320	
570156	383550	China
570156	385023	Sílvia Abrantes
570156	386142	Vilma
570156	386417	Esmeralda
570156	387732	Laura
570156	396126	Lucrécia
570156	402506	Milica
570156	402593	Lili
570156	408550	Milu
570156	408944	Manoela
570156	409418	Mona
570156	410245	Antígone
570156	411579	Vera
570157	174745	Katy
570158	379814	Andréia
570158	380446	Matilde
570158	391675	Ester
570158	392589	
570158	397645	Katherine
570158	400445	Mariana
570158	401897	Cristiane Saragossa
570158	402456	Amália
570158	405936	Francisca
570158	409814	Lena de Araujo Goes
570159	390771	Charlotte Waring Fletcher Bau
570159	411358	Diane Sherwood #1
570160	250701	
570161	189185	
570161	239926	
570161	269121	
570161	376587	
570161	383677	Herself
570161	391270	
570161	402455	
570162	133049	
570162	205512	
570163	197953	
570163	207623	
570163	379098	Magda
570163	380326	Agripina
570163	380536	Luiza
570163	381263	
570163	383276	
570163	386142	Lala
570163	387166	
570163	387502	
570163	387732	Yara
570163	387903	Vilma
570163	392591	
570163	392628	
570163	392846	Iolanda
570163	393616	
570163	397439	Madre Madalena
570163	398502	Do Carmo
570163	399147	
570163	399713	Hortência
570163	400214	Elisa
570163	400597	Mafalda
570163	402266	Adelaide
570163	404912	
570163	405401	Fernanda
570163	406987	
570163	408414	
570163	412238	Quirina
570164	216213	Laura
570164	383561	Loló
570164	386421	
570164	387903	
570164	397543	Judith
570164	398856	Zezé
570164	404014	Natália
570164	405989	Helena
570164	407861	
570164	412257	Genu
570164	412314	Francisca
570165	20031	
570166	401932	
570167	294113	
570167	384265	
570167	392031	
570167	393004	
570167	397550	
570167	398502	
570167	399498	Aurora
570167	402108	
570167	403025	
570167	405401	
570167	406054	
570167	409047	Helena
570168	353168	
570168	384303	Otávia Prado
570168	386417	Alice
570168	388728	Mirtô
570168	402626	Yolanda
570168	404160	Graça
570168	405936	Polaca
570169	269121	
570170	14690	
570170	28867	
570170	112765	
570170	379244	Majô
570170	380326	Antônia
570170	383907	
570170	385184	Joana Penaforte
570170	386142	Lenita
570170	386728	Madona
570170	386757	Terezinha
570170	387424	Miriam
570170	393286	Isabela
570170	396610	Lúcia Gomes da Silva (2004-)
570170	397540	Marta
570170	399645	Marilene
570170	402506	Nina
570170	402582	Maria Bataglia
570170	402728	Nicinha
570170	404178	Marlene
570170	404799	Jane/Joana
570170	408212	Elisa
570170	409418	Mônica
570171	18694	
570171	168317	
570171	336316	
570172	255798	
570172	302821	
570173	64154	
570173	369980	Mel
570174	259208	
570175	5265	
570175	6045	
570175	8722	Pacita
570175	8729	
570175	9727	
570175	10254	
570175	10567	
570175	12027	Marcelina
570175	12031	
570175	12910	
570175	13081	Mujer I (segment "Los Amantes
570175	13127	Pancha
570175	14663	
570175	22740	
570175	22787	
570175	25039	
570175	27906	Sofía
570175	27986	
570175	29842	
570175	30396	
570175	51547	
570175	52149	Lupe
570175	53615	
570175	53668	
570175	55092	
570175	55606	
570175	55899	
570175	64975	
570175	66346	
570175	68610	
570175	70648	
570175	72958	
570175	74552	
570175	74589	
570175	74644	
570175	75199	
570175	81414	
570175	92342	
570175	94842	
570175	98701	
570175	100509	
570175	100590	
570175	101318	
570175	102190	
570175	103502	Pancha
570175	110766	
570175	110889	
570175	123156	
570175	132685	
570175	140819	
570175	143787	Sirvienta de los Cárdenas
570175	148048	
570175	151803	Tencha
570175	152140	
570175	153819	
570175	159235	
570175	161667	
570175	165162	
570175	171496	
570175	202228	
570175	206975	Feliciana
570175	209403	
570175	212250	Servant
570175	212388	
570175	212434	
570175	215229	Tomasa
570175	218094	
570175	220520	
570175	221971	
570175	222034	Servant
570175	224674	Señora Gómez
570175	225552	
570175	227560	
570175	229431	
570175	235300	
570175	238855	
570175	243709	
570175	244604	
570175	246388	
570175	247412	
570175	247461	
570175	247465	
570175	251228	
570175	255056	
570175	256367	
570175	256794	
570175	263846	
570175	273012	
570175	273013	
570175	275071	
570175	286920	Marijuana
570175	300681	
570175	310027	Doña Martinita
570175	332920	Caridad
570175	334058	
570175	339140	
570175	340041	
570175	341342	
570175	343734	
570175	350098	
570175	355789	
570175	355953	
570175	357005	
570175	357727	Dona Lupe Maya
570175	371755	
570175	376648	
570175	376655	Adelaida Mendez
570175	376723	
570175	376752	Cleta, servant
570175	377170	
570175	379890	Panchita
570175	386165	
570175	398486	Fraustita
570175	402585	Magda
570175	403756	
570175	403873	Cristina Pérez
570176	101042	Martha's companion
570177	13181	Aurora
570177	329092	
570178	55867	Hélène
570178	146383	La psychologue
570178	225442	La Commune
570179	14706	
570180	110189	Harem Girl
570181	177530	Margarita Salcido
570181	263481	Mariella Cruz
570182	382776	Jussara
570182	402623	
570183	294374	Ensemble Vocal Sequenza 9.3
570184	6945	Governess
570184	17713	
570184	65729	
570184	117565	Cleaning Lady
570184	249459	
570184	337543	Une religieuse
570184	349487	Englishwoman
570184	353914	
570185	121233	
570186	364511	Jessica
570187	384807	Columnist
570187	409813	Herself/Hostess
570188	58196	
570188	97071	
570188	296348	
570189	134369	Sientje
570189	251821	Suiker Tillie
570190	252626	Niña
570191	289221	
570192	82983	Backing Singer in 'Condemnati
570192	85189	Background Vocals
570194	118327	Annie
570195	273474	
570196	284231	Vocals
570197	125776	
570198	64264	
570198	215011	Unhappy Sweetheart
570199	326778	Shirley
570200	57210	
570200	66817	Empleada de los Cohen
570200	410453	
570201	388299	Brenda Van Den Bossche-Vermei
570201	390409	Herself
570201	396568	Grietje Swijngevelt
570201	406203	Melinda 'Mel' (2003-)
570201	407173	Herself (2000-2001)
570201	410622	Paulien (1995-1997)
570202	262805	Moeder van Katja
570203	401329	Clarisse
570204	375368	
570205	58072	
570206	379716	Madelyn Flora 'Maddie' Grey #
570207	59532	
570208	379716	Madelyn Flora 'Maddie' Grey #
570209	184369	On the Roof
570210	388046	Herself (Finalist #15)
570211	76011	
570212	84078	Pierrette Monge
570212	148685	La soeur de Gilles
570212	246641	Eva
570212	337032	Femme flash-back 2
570212	343647	Gisèle
570212	383864	Anne
570212	393976	Isabelle Bompart (1999)
570213	5377	Nannina
570213	68263	Herself
570213	328105	
570213	328205	
570214	250833	Narrator
570215	211840	Mandy Macintyre
570217	370853	Shannon Stewart
570219	97145	
570220	258363	
570221	115269	Women Coalation Diner Patron
570222	366006	Clair
570223	11010	Policier préfecture
570224	53329	Stewardess In Record Store
570224	139050	Cowgirl #2
570224	338272	Amy
570224	385594	Kendall Chapman (1983-1991)
570225	295372	Liza
570226	199707	Royal Child
570227	6259	Benka
570227	108042	Mrs. Stiner's Nurse
570227	174520	Checker
570227	195043	
570227	244445	Waitress
570228	54636	Marge Austin
570228	56925	Alice
570228	135911	Betty Earp (Virgil's wife)
570228	315110	Karen Manelli
570228	316117	Norah Muldoon
570228	337075	Anne
570229	274332	Dancer
570230	309573	P.A. Voice
570231	347989	Herself (web painter)
570232	7236	Neighbor
570233	324616	
570234	9408	Kiki
570234	9453	
570234	25998	
570234	52065	Anna Michelis
570234	85084	Dolores
570234	175485	
570234	181604	
570234	222889	
570234	236934	
570234	285545	
570234	297615	
570235	16151	Amanda Sulityanti
570236	409093	
570237	115062	Cytherian Girl
570237	313558	Ginger
570238	412189	
570239	116392	
570239	211021	
570241	11556	
570241	41076	Herself
570241	52365	
570241	72901	
570241	84808	
570241	84809	
570241	93079	
570241	126173	
570241	139277	Merrill Strip
570241	150103	
570241	150104	
570241	152672	
570241	174700	
570241	183383	
570241	235946	Schülerin
570241	258912	
570241	267381	Chelsea
570241	274124	
570241	278543	
570241	280059	
570241	295917	
570241	326243	
570241	342875	
570241	364729	
570242	191038	Group cast appearance
570243	109009	Ung kvinna
570244	72099	Girl at Golden Calf
570245	354647	Mme Viviane
570246	396651	
570247	21583	Joven asaltada
570248	60928	
570248	67571	Pin-up
570248	80241	
570248	232648	
570248	245016	Go Go Dancer
570248	307988	Crystal
570248	313419	Ensign Kellogg
570248	313420	Ensign Kellogg
570248	335333	Marta 7
570249	56929	Madre di Edward
570250	47191	Demonstrator
570250	65951	Miss. Ferguson
570250	133595	Miss Skiffins
570250	160583	Matron
570250	256622	Pinafore company
570250	403462	Moria Henderson (2002-2004)
570251	33078	Herself
570251	37526	Samantha
570251	53041	Amber Lewis
570251	57685	Herself
570251	154576	Julia Fielding
570251	176526	Donna
570251	180890	Chief Karls
570251	192302	Julie
570251	218384	Mary (Juliet)
570251	232204	Drew Summers/Laura Fairgate
570251	233829	Stacy Collins
570251	267174	Carrie
570251	297692	Sharon
570251	297894	Melissa Connell
570251	307902	Cindy Nelson
570251	334177	1st Viewer
570251	355539	Katie English
570251	389501	Donna Jo 'D.J./Deej' Margaret
570251	392422	Herself
570251	392423	Herself
570251	398213	Herself
570252	80732	Virginia Crowley
570252	156473	Secretary
570252	245541	CHP Officer
570252	339860	TV Reporter
570253	67922	Cat
570254	115889	Woman on Elevator
570255	20625	Extra
570255	113634	Miss Schmidt
570255	265265	Lahla
570255	302454	
570255	333301	'B' girl
570255	363696	Girl on Street
570256	51835	Aunt Grace
570256	126075	Judge
570256	144114	
570256	308713	Claire Mayo
570256	395471	The Time Prophet
570256	395961	Interviewer
570257	102590	Social worker
570257	401026	Mrs. Johnson
570257	407415	Co-host (early seasons)
570258	208878	Mrs. Dunn
570259	56438	
570259	73393	Maid
570259	73995	
570259	123228	
570259	138227	
570259	232860	
570259	299169	
570259	336037	Jenny (a maid)
570259	372585	Sibyl Blaith
570260	196457	Arno's Date
570261	36840	Singer
570261	96989	Large Woman
570261	201458	Mrs. McKenzie
570261	275452	Jury Member
570262	29149	Record Store Girl
570263	124267	Susie
570264	137623	Child
570265	220806	Mrs. Suspicious
570266	228169	Mama
570267	99126	Cynthia Bandier (Lucy Gump)
570267	147976	Fon's Working Girl
570267	339543	Patricia Nixon
570268	281052	
570268	363544	Mary
570269	298609	Emma
570270	60338	
570270	244353	Herself
570271	367530	Elsie Wanley
570272	385575	Geraldine Hernandez
570272	399867	Kylie Logan
570273	220165	
570274	47341	Rita Delroy
570274	108590	Trixie
570274	116206	Vera Owens
570274	130677	Woman in dance hall
570274	349631	Brunette
570275	84131	Louisa
570275	317326	Black Velvet
570276	241811	Police officer on firing rang
570277	32466	DV8 Waitress
570278	336475	Gertie
570279	28707	Suger
570279	38005	Miss False Eyelashes
570279	82321	Mrs. Cavallo
570279	138821	Miss Goodbody
570279	139050	Royce's Wife
570279	260679	Sandy Le Toi
570279	264992	Polly
570279	272687	Wendy
570279	310141	Lea Jansen
570279	407684	Graziella (1978)
570280	97671	
570280	145972	The pest
570282	78474	Herself (performing winning s
570282	78476	Herself (performing winning s
570282	104754	Danish entry (6th place)
570282	104756	Danish entry (11th place)
570282	147229	Perlesten
570282	399062	Herself - Co-host
570283	211615	Queen Elizabeth
570284	324264	Little Old Lady
570285	141678	Nurse
570285	168902	Mother of Bride
570285	243647	Mary
570285	405025	Alice Finlay
570285	407414	Sadie McDonald
570286	135807	Trixie, Joe's other girl
570287	68063	Mrs. Wilson
570287	218599	Girl in Castle Anthrax
570287	297188	Elderly Woman
570288	152297	Herself (biographer)
570289	140770	Singer 'Jungle City USA' - Bl
570289	214293	Grandma
570289	216290	Carol X
570289	243956	Singer (off-screen)
570289	253942	Anna Hegaard
570289	404420	Herself - Member of jury
570290	18037	Hayes
570290	245236	Lonnie's Mom
570290	252449	
570291	38731	
570291	160861	Andrew's Girl Friend
570291	400108	Rose Maylie
570292	11319	
570293	11305	The Actress
570293	203455	The Niece
570293	333132	The Old Man's Daughter
570294	220806	Mrs. Suspicious
570295	114008	
570296	53550	Herself
570297	208285	Ada Rothman
570297	320744	Amy Landry
570297	335594	Amy Lewis
570297	351972	Child
570297	397626	Alice
570298	400994	Margaret Henderson
570298	400995	Margaret Henderson
570299	59366	Ruth Linden
570299	158445	New Age Lecturer
570299	314076	
570299	315459	Hotel proprietor
570300	160069	Anna
570300	232410	Mother
570300	263786	Miss McKenzie
570300	281413	
570300	363043	Switchboard Operator
570301	106721	Mara/Angela
570302	77188	Sheila
570302	246761	Jewel
570302	345686	Beth
570302	380391	Nancy McGowan #2 (1984-1985, 
570302	387533	Sophie Wright (1996-1997) (81
570303	267653	Falzone Girl
570304	25877	Marilyn/Michelle
570304	41685	Herself
570304	67598	Lorna McGrath
570304	133442	Gloria Rockwell
570304	144888	Sandra
570304	151551	Nancy Benson
570304	154409	Nurse Sharon
570304	163232	Wanda Olivia Wellman
570304	231919	Thelma Lattimer
570304	263339	Yvonne Millick
570304	309215	
570304	311042	Gale Hoffman
570304	320802	Karen
570304	333234	Mini
570304	352964	Herself
570304	393033	Isis/Andrea Thomas
570305	20625	Extra
570305	99716	
570306	240733	Woman playing Piano
570307	13804	Herself
570308	395754	Meg March
570309	190213	Dog Park Friend #3
570310	305956	Dancing Girl
570311	200789	Instructress
570312	251789	Waitress in Restaurant
570313	78040	
570313	83807	
570313	188337	
570313	261289	
570314	359532	Zeg's Drowned slave
570315	22733	Cameron, Lynda
570315	298318	Kristen
570315	398050	7th Elimintated (2000) (2000)
570316	380391	Dr. Susan Matthews Shearer #3
570316	380713	Peggy Regan (1972-1973)
570317	10662	Flirting Patron
570317	197512	
570317	241773	Rose Cannon
570317	364391	Karen
570318	307207	Woman in cantina
570319	5449	Maid
570320	333430	Beer Buyer
570321	405209	Amanda Gardiner (1998)
570322	137569	Justice Britten
570322	137575	Church Secretary
570322	330542	Beth
570322	362268	Clare Murnane
570323	144994	Blonde singer
570323	158662	
570323	232254	Water Witch
570324	80781	Mrs. Johnson
570324	138886	Peggy O'Hare
570324	243766	Eva Temple
570324	372636	Sally Porter
570325	348008	Herself
570326	223647	Schoolteacher
570327	301677	Girl's Mother
570328	8087	Monica Schleyer
570329	152509	Secretary
570330	145047	Receptionist
570331	108817	Most Beautiful Girl in the Wo
570331	331550	Contestant
570332	238442	Isemene and Antigone
570333	311938	Elsie
570334	145397	The Woman
570335	47088	Girl at School
570335	93572	Evelyn Clifford
570335	125884	
570335	178332	Elaine Carlisle
570336	75574	Rose Wraydon
570336	224682	Helen Mason
570337	121839	Thelma Fudd
570337	154368	Herself
570337	154379	Herself
570337	154921	Herself
570337	197923	Presenter
570337	277490	Herself
570337	283798	Host
570337	313795	Judy Garland
570337	389809	Herself
570337	392049	Herself
570337	392415	Herself
570337	392463	Herself (Series 1) (2002)
570337	403320	Rhona Campbell
570338	112021	
570339	232248	Woman at Andy's Bar
570340	113761	Zohra
570341	18963	Alexandra
570341	167866	Christmas Caroler
570342	190213	Turkish Woman
570343	359044	
570344	298609	Mother on Boat
570345	358330	Camera Woman
570346	222644	Pam
570347	37322	Dancer, Cameron and Kirby Tea
570347	72104	Dancer
570347	138223	Dancer
570347	331421	Hotel Clerk
570348	88650	Mrs. Wilson
570348	288720	Edie
570348	371087	Gloria
570349	30176	Florence
570349	64933	Caretaker
570349	240863	
570349	269368	Ma Lil
570349	281441	Michelle Guest
570349	330579	Mrs. Cameron
570349	378753	Barmaid
570349	392467	
570349	396167	
570349	399816	Sylvia Vansard (1972)/Daphne 
570349	411245	Michelle Guest (episode 1: Ro
570350	299870	Friend 2
570351	74011	Beth
570351	147781	Mattie Ballard
570351	385824	Jennifer Rose Horton Deveraux
570351	386197	Wanda Fairly
570352	340403	
570353	161288	Herself
570354	96593	Medic
570355	18236	Sapha's Mother
570355	364510	
570355	405217	Jessie Kenney
570355	411300	Ellen Armitage (1975-78)
570356	314014	Felicia
570357	280653	Combat sister
570358	289558	Saleslady
570359	326494	
570360	271212	
570361	107924	Linda
570361	163216	Claire Sterling
570361	211498	Crystal of the Lake
570361	263795	Sarah Ford
570361	264913	Bernice Barlow
570361	305424	Rachel Smits
570361	335336	Beth Davidson
570361	336655	Pam Bevan
570362	333417	Veronica Adams as a Child
570363	61800	Psyloade/Lizzy Branbrook
570364	8183	Katie Blenker
570364	17970	Beverly
570364	49368	Laila
570364	54209	Danny's girlfriend
570364	92306	Cheri
570364	130059	
570364	213299	Hermia
570364	242487	Cathy
570364	315897	Girl
570364	403998	
570365	389196	Anchor
570366	1316	Betty
570367	158393	Tattooed Girl
570368	224089	
570369	72368	Isabell Piqueras
570369	395857	Gloria Ocampo
570370	387572	Maribel
570371	39614	
570371	60796	
570371	62456	
570371	97118	
570371	104636	Herself
570371	104774	Estonian entry (6th place)
570371	189475	
570371	221011	
570371	227996	
570371	338600	
570371	353636	Muriel
570372	176989	Child
570373	5729	Housekeeper
570374	22596	Red Cross Young Girl
570374	101726	Tamar
570374	117127	Elaine
570375	12478	
570375	113191	Herself
570375	150052	
570375	150939	
570375	150945	
570375	190976	
570375	196880	
570375	233739	
570376	239889	
570377	208794	Silvana/Black prostitute
570377	228685	Herself
570377	240761	Therapist
570378	128756	Herself
570378	197866	Herself
570379	81055	Melissa Wilkens
570379	266591	Holly
570379	315310	Ensemble
570380	40343	Maxine
570381	162062	Ballerina
570381	257886	Mr. Lacs's Secretary
570381	353846	English Girl
570382	339048	Nun
570383	347073	
570384	137565	Beverley
570384	185197	Sally
570384	272971	Mum
570384	276646	Judy
570384	282580	Terry
570384	289217	Seymour's Mum
570384	311873	Elsie
570384	316969	Women's Auxilary
570384	397477	Sandra
570385	89188	Jessica Chandler
570385	355536	Pizza Girl
570386	139145	Kelly
570387	293904	
570388	410092	Ana
570389	139682	Sarah
570390	139682	Iris
570392	43164	Hostage
570394	100906	Morgan's Secretary
570395	207658	
570395	383268	Marcela
570395	385401	Vecina 1
570396	322851	Bailarina
570397	293915	
570398	105110	
570399	243498	Oriana, child
570400	68613	
570400	70508	
570400	91424	
570400	243238	
570400	248904	
570400	280726	
570401	274785	
570402	48780	Nurse
570402	55592	
570402	151810	Delincuente 1 (mujer)
570402	239010	Asistenta
570402	244626	
570403	20070	
570403	199331	Madame Léon
570403	206048	
570403	249749	Mrs. Castella
570404	232181	Persien's Guard
570405	15218	Cindy
570406	233937	
570406	283500	Lady
570407	92913	Rynn
570408	267690	
570409	355508	
570410	122580	Her
570410	156761	
570410	191471	
570410	205960	Signorina Chico
570410	325536	
570410	393878	
570411	354731	
570412	277098	Screaming Senior
570413	207804	
570414	6211	Erika
570414	135435	Frau an Haltestelle
570414	244678	Old Speis Görl
570414	269995	
570415	127895	
570416	186249	
570417	186249	Rino's wife
570418	66715	
570418	92899	La bavarde à l'aérogare
570418	153849	Une jolie fille
570418	244967	
570418	254236	
570419	249671	Madre Nudista
570420	255545	
570421	399657	
570422	104222	
570423	4676	
570424	337381	Cigarette Girl #2
570425	11934	
570425	75914	Gremione
570425	193508	L'hôtesse
570425	257114	His Wife
570425	377798	Elle
570425	379805	
570426	287285	Choir Member
570427	6259	Ellie Snyder
570427	13619	Starlet
570427	14159	Dottie
570427	18960	Playmate (Miss May)
570427	26471	Maureen McGill
570427	26959	Laurie
570427	29524	Chick with Ax to Grind
570427	31073	Julie (Lisa's servant)
570427	56727	Gilda Riener
570427	64807	Rose
570427	65948	Cindy
570427	66173	Yvette
570427	76216	Elaine Fox
570427	80771	Randy
570427	81103	Donna
570427	86287	Connie Kowalski
570427	89364	Nancy Catlett
570427	91233	Herself
570427	98818	Judith R. Flick
570427	117271	Chris
570427	121836	Billy's Girl
570427	123389	Ann Morris
570427	131915	Jane
570427	133973	Patti
570427	135763	Franco's date
570427	141495	Herself
570427	150802	Mrs. Burtis
570427	151624	Faye Clayton
570427	155277	Dr. Pasmier
570427	156466	Molly Gilbert
570427	166062	Marge Winslow
570427	169201	Joan Casey
570427	169608	Liz Sampson
570427	182984	Judith
570427	183775	Rosette
570427	185053	Ratcliff
570427	185543	
570427	194638	Homeless Woman
570427	195423	Billie Jean
570427	196063	Monica Harris
570427	223734	Dr. Margaret Snow Coopersmith
570427	226954	Auditioner
570427	258283	Viv
570427	259217	Mrs. Kirkland-Tackleberry
570427	272602	Rainbow House Nurse
570427	278279	Mrs. Buford Lowry
570427	281923	Tracy King
570427	291447	Liberty Jean
570427	292250	Cynthia
570427	293047	Robin
570427	297899	
570427	305087	Judy Marks
570427	305571	Connie Thompson (Miss Imperia
570427	305717	Dusty Trails
570427	308011	Realtor
570427	310728	Debbie
570427	318186	Jude
570427	321575	Mary Ann
570427	330108	Christy Miller
570427	331694	Neighbor's Wife
570427	337302	Arlanda
570427	338278	Joan Evans
570427	339372	
570427	345650	Deborah
570427	349689	Judy Dansig
570427	349973	Sarah Richman
570427	358576	Rhonda Shand
570427	360290	Mrs. Vanderhoff
570427	364390	Beverly Hughes
570427	364751	Jenny Fisher
570427	408460	Kara Wilhoit
570428	264421	
570429	59366	
570430	353704	
570432	34656	Maid
570432	66978	Mrs. Watson
570432	70461	Estelle Peltz
570432	103250	Neighbor
570432	109538	Ted's Wife
570432	126571	Mrs. Wendel
570432	128760	Nurse Caulfield
570432	186381	Mrs. Bright
570432	191065	Elsie Whately
570432	205317	Mrs. Hopper
570432	230721	Mrs. Flora Crupper
570432	277745	Mrs. Brockelman
570432	289406	Mrs. Bragston
570432	313064	Mother Pugh
570432	327093	Emma Stark
570432	330762	Mrs. Harris
570432	378729	Mildred 'Millie' Capestro
570433	78988	Julie
570433	161757	Christmas Daughter
570433	288506	Amanda
570434	107818	Lauren Linsto
570434	196883	Laura
570434	204218	Mother on Plane
570434	264785	Reenie
570434	394311	Eunice Shriver
570435	34092	Nancy/Merlin/Newscaster No. 4
570436	148996	Grandma Bonham
570436	270947	Miss Beulah
570437	8942	Frau Kappler
570437	18527	
570437	29111	Aufseherin 2/Custodian #2
570437	49287	
570437	123954	
570437	213291	Kollegin Berta (segment "Sabo
570437	216278	Pathologin Dr. Reiter
570437	259525	Traudl Säbener
570437	261146	
570437	339065	Edgar's Mother
570437	345906	Frau Himmelreich
570437	391141	Frau Ostermeier
570438	47451	Oneida Clan Mother
570438	126277	Goyahkla's mother
570438	156841	Herself
570438	184127	Aunt Elsie Flood
570439	18951	
570439	26558	Agave
570439	29580	Maria's sister
570439	31005	Andromeda's handmaid
570439	46654	Nurse Guidotti
570439	53895	Ruth
570439	57302	
570439	65086	
570439	70163	Miss Curti
570439	90754	
570439	94699	
570439	112685	
570439	129195	Porzia
570439	133026	
570439	217105	Valeria's Mother
570439	229644	Ida Maroni
570439	236620	
570439	255637	Nadia Berruti
570439	277003	
570439	290000	
570439	301237	
570439	301382	
570439	307050	Freud's mother
570439	307639	
570439	332250	Anna
570439	350251	Woman
570439	378390	
570439	386745	Signora Larriman
570440	51811	
570440	80187	
570440	145143	Cashier
570440	197160	
570440	248301	
570440	385401	Felicia
570440	385663	Julia Torres de Valdez
570440	387068	Rosa
570441	336475	Drive Through Girl
570442	127324	Blonde Girl
570444	274496	Mrs. Pasquale
570445	68750	Herself (segment "Guglielmo i
570445	213883	
570445	336619	Herself
570445	356143	
570446	236056	
570447	6945	Cynthia Wintrop
570447	15118	Marton (segment "Lauzun")
570447	65729	Une lavandière
570447	153885	'Lucienne Bayer'
570447	218507	Madame Tranchard
570447	367620	
570448	208830	Nina
570449	257700	
570450	12286	Toots
570450	20235	Teresa (Phoebe's housekeeper)
570450	39251	Mama-cita
570450	52523	Nona, the housekeeper
570450	52540	Knudka
570450	53324	
570450	107696	Dueña
570450	125896	Italian Wife
570450	127791	Mrs. Perroni
570450	144454	Italian Woman at 530 Houston
570450	148552	Mexican Mother
570450	149129	Aloha
570450	163225	Italian Woman
570450	163291	Maria
570450	163469	
570450	186377	Mrs. Chuy
570450	196487	Chestnut Seller
570450	203323	Italian Woman
570450	210404	Fruit Vendor's Wife
570450	215809	Tony's Wife
570450	231978	Mrs. Spinelli
570450	245357	Lupe
570450	248839	Piano player
570450	252297	Slovenly Woman
570450	254218	Fat Paula (the cook)
570450	266715	Mexican Woman
570450	277942	Señorita
570450	281523	Ynez
570450	302917	Cook
570450	309835	Hono's Mother
570450	312981	Maria
570450	319204	Rosita
570450	320269	Cashier at Luigi's
570450	336042	Spanish Woman Bumped Into
570450	336299	Señora Teresina Cortez
570450	342503	Mama Lopez
570450	342895	Mexican Woman
570450	347357	
570450	363885	Maria
570451	104967	
570452	111583	Gina
570453	132951	Ragazza vespa
570454	244913	Extra in Denker's Beer Garden
570455	117496	Angie
570456	338715	
570457	43346	
570457	205248	Faustina
570458	407055	Herself
570459	384119	Toia (1999)
570459	397349	Noteritos
570460	163541	
570461	163541	
570462	163541	
570463	205727	Le Vieux Pécheur
570464	106264	Volunteer Lady
570465	213757	
570466	323584	Sandra & The Latin Groove
570467	205131	
570468	401970	Alice
570469	14654	
570469	55196	Manuelita
570470	230733	
570471	240586	
570472	210667	Girl
570473	118639	
570474	380018	Herself
570475	65811	Sylvia Neary
570476	171251	
570477	5412	Vinyl Customer
570477	118020	Miss Cindy
570478	19991	
570478	81177	Vonda
570478	269421	Receptionist
570478	276085	Alice
570478	279460	Wendy
570478	346298	Mary
570479	176499	Young journalist
570480	233823	Maria
570480	334154	Suzanne (Age 5)
570481	17131	
570481	73785	
570481	82095	Toby
570481	105890	Young girl in dream
570481	185079	Valerie
570481	194564	Murphy Family
570481	198897	Patty/Stage Manager
570481	221306	Mary Brandon Sherwood
570481	224117	Corrina
570481	248132	Robin, Cub Photographer New Y
570481	255345	Susan
570481	265928	
570481	302235	Marsha Swanson
570481	302777	Check Cashier
570481	337126	Ida
570481	340899	Margaret Truman
570482	175121	Marissa
570483	378958	Mirna González
570483	380100	Adriana Vieri
570483	382951	Renata
570483	383032	Lorena Cruz
570483	383291	Mónica (1999)
570483	386882	Débora
570483	388590	Host
570483	389780	
570483	397571	
570483	402721	
570483	407760	Herself (2003)
570484	73612	Tourist Couple
570484	265819	High Heeled Woman
570485	361275	
570486	360116	20 Something Girl
570487	398066	Diane Wallace
570488	202324	Fiore, Robaldo Girl
570488	233823	Katie Dobson
570489	823	Margot
570489	2730	
570489	239932	Olga/Narrator
570489	239933	Olga
570489	241567	Barbara
570489	364022	Olga
570489	367506	
570490	72502	Dream mother
570491	132839	Joyce Penrose
570491	138372	Usherette
570491	150847	Kate Pettigrew
570491	185316	Sheila Rockingham
570491	186033	
570491	186056	Lucille Grayson
570491	207431	Lady Alison
570491	209600	Margot
570491	221645	Lady Emily Prior
570491	223764	Edie Martyn
570491	233861	Paula
570491	236085	Kitty
570491	301621	Joan Rawley
570491	330420	Joyce Prscott
570491	359104	
570492	330061	Herself - Theremin Dancer
570493	82759	Adela Waltham
570494	129615	Kitty Benson
570494	169440	Mrs. Jubbal
570495	225800	Kelly
570496	124017	Rapper Girl
570497	34611	Nurse
570497	155215	
570497	182993	Tracey Wade
570497	191688	Reporter
570497	204133	Ms. Shaw
570497	245073	Anne
570497	305949	Reporter
570497	311253	Elise
570497	396019	Additional Voices
570497	396129	Reporter
570498	283639	Hat Girl
570499	52688	Mama
570500	367861	Carla C
570502	35174	Daniela
570502	64863	
570502	82884	Sebastiana
570502	93440	Susi
570502	94383	Sandy
570502	108531	Helena
570502	144180	Sondra
570502	170369	Julia Wilkins
570502	187677	
570502	259607	Maria
570502	283493	Jenny
570502	325547	Johanna (Jojo)
570502	325554	Ines Krüger
570502	325595	Johanna
570502	325874	Johanna Silber
570502	386976	Nicole Weber
570502	409861	Eva Nori (1995)
570503	34403	Christine
570503	154868	Lillian as a child
570503	397640	Iola Morton
570504	386603	Carolee Simpson Aldrich, R. N
570505	10916	Anesthesiologist
570505	47130	Policewoman
570506	28309	Cindy Dern
570506	116209	First Stewardess Trainee
570506	288999	Lady Reporter
570507	367775	Karen's Party Guest
570508	150743	Beryl Ducerne Stapleton
570509	298761	Third Woman
570510	136832	Pi girl
570511	77578	Lacy
570511	217465	Emma's Mother
570512	5239	Eva Jackson
570512	59470	Jennie Liddell
570512	134295	Lady Alice Clayton
570512	140510	Sister Monica
570512	202390	Madeleine Cranmere
570512	208947	Sheila McVicar
570512	209175	
570512	213996	Bessy Tulliver
570512	222593	Griselda Clement
570512	271193	Janet
570512	292313	Winnie Verloc
570512	295312	Lady Eileen 'Bundle' Brent
570512	296970	
570512	299731	Lady Aline Hartlip
570512	366406	Caroline Ashurst
570512	383796	Maria Wearing
570512	387334	Princess Beatrice
570512	392899	Aline Bauche
570512	395647	Sarah Bernhardt
570512	398139	Madeleine Claveau
570512	401145	Eileen Everson
570512	405994	Elizabeth Fellowes
570512	407892	Vera Brittain
570512	410672	Lady Carbury
570512	411183	Molly Gilcrest
570513	1705	Milk Maiden
570513	76242	Kathy
570513	93897	Seductress
570513	102726	Maid (episode "The Painting")
570513	102731	Maid
570513	102734	Megan (segment "Party for Two
570513	102795	
570513	120559	Young Bettie Page
570513	134389	Randi
570513	194250	Sandy
570513	202387	Angry Feminist
570513	220714	Therapist
570513	230663	Tommy Lee's girlfriend
570513	274180	Lauren
570513	311952	Limo Babe Defendant
570513	318823	Fit model
570513	408160	Host
570514	294306	Cindy
570515	65184	Angel's teacher
570515	73833	Woman in Cab
570516	61706	Nathaniel and Chris's mom
570518	114908	
570518	128305	
570519	80695	Dancer in Nightclub
570520	310132	
570521	42391	Basketbal Girl
570521	267590	Alison Keats
570521	365599	Lexy Morse
570521	378869	Maia Rutledge
570522	30139	
570523	146759	Child skater
570523	185830	Child Skater
570524	100806	Jacqueline Kennedy
570525	89684	
570525	278822	Wilma Watson (Age 10)
570526	323564	Jury Foreman
570527	7962	
570527	79341	Lady Scroope
570527	82759	Mrs. Waltham
570527	117352	Lady Tredennis
570527	144928	Mrs. Jeffery
570527	153132	Mrs. Mitchell
570527	159091	Sultana Manavour
570527	159593	Mrs. McPhillip
570527	162262	Mrs. O'Hara
570527	193573	Lady Arbourfield
570527	193774	Duchess
570527	234811	Mrs. Ellis
570527	245250	Mrs. Barraclough
570527	260411	Countess of Strangeways
570527	292251	Mrs. Hyde
570527	328696	
570527	364005	Elizabeth Brent
570527	367563	Lady Hunstanton
570527	368026	Mrs. West
570528	365988	Weasel Operator
570529	334260	Charlotte
570530	245750	Mary Parsons
570531	68754	Seattle Girl
570531	104930	Karla
570532	104930	Karla
570533	233919	Bess Kyle
570533	338770	
570534	363259	Beauty
570535	67871	
570536	115421	
570537	291948	Eyewitness/Herself
570538	87104	Comtesse Zicka
570538	141788	Mlle. Diana
570538	311749	Mrs. Delmaine
570538	349863	Mme. Blache
570538	367739	Nina Blakemore
570539	26146	Dancer
570539	62269	Jivin' Jill
570539	218782	a Jivin' Jill
570540	46709	Kirsty
570541	3515	
570541	5357	
570541	74839	(segment El mago)
570541	135057	
570541	193143	
570541	196760	Golden Rubi
570541	196762	Golden Rubi
570541	222035	
570541	235309	
570541	242647	Ruth Taylor
570541	251984	Solva
570541	256803	
570541	257317	Martesia
570541	265366	Mexican girl
570541	300868	
570542	138564	Gertrude, stepmother
570542	256624	Ruth (piratical maid of all w
570543	45032	Bar Room Dancer
570544	343159	Sarah Gardiner
570545	7997	Hotel Manager
570545	25192	Helen Frye
570545	110315	Goth-Chick
570545	150751	Beryl
570545	190109	Awards reporter #1
570545	192010	Meg Brooke
570545	232507	Brenda Birkwell
570545	245050	Sheryl Anne
570545	289788	Carol Blue
570545	344497	Laura (adult)
570545	350622	Clifton's Girl
570545	368151	Alice Fasulo
570545	369421	Ralpha
570545	378735	Jennifer Wiley
570545	401449	Martha
570545	402176	
570545	407461	April
570546	144624	Mrs. Collins
570546	245189	Mrs. Woodgate
570546	280950	Madame Dumont
570547	213791	Emma
570547	243657	Emma
570548	41279	Girl at seance
570548	367891	
570549	29958	Provocative Poser
570549	54658	Kidnapped Cheerleader
570549	102485	Erica
570549	116360	
570549	150245	
570549	226994	
570549	247926	
570549	247930	
570549	262231	Pantyhose Model
570549	276399	
570549	298222	
570549	332550	
570549	355160	Lap Dancer
570550	2327	Herself
570550	112601	Mary Mary
570551	374418	Zelig's Wife
570552	57572	Dolly Vernon
570553	37883	Salesgirl
570554	114649	Woman
570554	203415	Bit part
570554	245749	Ma Stewart
570555	134694	Mrs. MacAusland
570555	385743	Dora Foster
570555	388432	Karen St. John
570555	396084	Margaret Garrison (1968)
570555	409795	Helen Emerson #2 (1954-1957)
570556	158184	May McLeod
570557	148926	Janet
570557	159542	
570557	318074	(cast of "Price of Divorce, T
570558	88767	Jane
570558	128711	Miss Wells
570559	93830	
570560	364680	Monica
570561	378433	
570562	233552	Enemy Player
570562	303905	Beth Roberts
570562	398558	Diner Owner Samantha Larabee
570562	401753	Annie Medford
570562	404661	Brittany Belmont
570563	398048	Herself (11th Executed)
570564	186649	Herself
570565	333881	Ida Strauss
570566	129781	
570567	131961	Nora Reilly
570568	33531	
570569	196339	
570570	231870	Snapper
570571	148524	Mrs. Grainger
570571	226937	Lady in Waiting
570571	248087	1st Hotel Maid
570571	301693	Little Boy's Mother
570572	68745	Mrs. Weidenbaum
570572	193204	Andrea
570572	282562	Dottie
570572	333383	Bertha
570572	386963	Jacqui Wallis (2002-2003)
570573	66937	Natalie
570574	169505	
570574	193765	Old Couple in Park
570574	200925	Jeanne Cardigan
570574	273834	Aunt Nellie
570574	360359	
570575	170528	Celia
570576	313188	Rebecca
570577	40656	Joanne
570578	13978	Blond Woman in Restaurant (sc
570578	41340	Karen Stone
570578	77545	Ballantyne's Mistress
570578	86907	Honey Kick
570578	183590	Beauty #2
570578	381442	Neely Capshaw Bucannon #3 (19
570578	403525	Anne Beckett
570579	77829	Vera
570579	302748	Dream Voice
570580	368373	The Smiling Lady
570581	248081	Tiffany
570582	245889	On-Ice Dorothy
570583	76514	Mary Elizabeth Kelly
570583	98818	Tammy Metzler
570583	158107	Julie Cain
570583	170872	Doris
570583	285357	Julie Gold
570584	129860	Herself
570584	144405	Piper
570585	113658	Celebrant
570586	236779	Ward Nurse
570586	379708	Deshaun
570586	381990	Various
570586	382379	Mavis (1989)
570586	395134	Various Characters
570586	397248	Liz
570586	409695	Beverley Pinnock (1992)
570587	68450	Cajun Trio
570588	126067	Soloist
570589	136833	Herself (interview)
570589	266917	Orson/Cling/various character
570589	382958	Woofer
570589	390866	Orson/Cling/various character
570589	395502	Nurse/Beanie/various characte
570590	116145	
570591	17555	Countess Vronsky
570591	43738	Clementine Walkinshaw
570591	46240	Pamela Lawrence
570591	56923	Grandmama
570591	70321	Lucy Armitage
570591	95485	
570591	96838	Penny Sutton
570591	122183	COPS officer
570591	134043	Sister Marion Bates
570591	181842	La mère
570591	184899	Herself
570591	220921	Mrs. Forbush
570591	234518	Herself
570591	286222	Doris
570591	312437	Aunt Augusta
570591	329988	Lady Heather
570591	362855	Jean Weetbrook
570591	366744	
570591	368493	Moira Barrett
570591	389124	Aunt Ann
570591	396052	Mrs. Herbert
570591	398981	Duchess of Broughton, later D
570591	408331	Dame Felicity
570592	380430	
570593	161217	Herself
570593	161219	
570594	42727	
570594	45001	Sue
570594	168733	Eve Manion
570594	187465	Laura Sills
570594	192675	Missy Carnes
570594	229257	Jilly Blue
570594	242929	Dr. Annie Malkin
570594	260117	Miriam 'Muffy' Blackstone-Nic
570594	281254	Christy Masters
570594	282320	Juliette
570594	304955	Patricia Stapelli
570594	329311	Victoria Brady
570594	372591	Kitty
570594	382301	Ellie
570594	385452	Lynn Fletcher
570594	389519	Mom
570594	394658	Janet Glickman
570594	397419	Cherie Miller (1996)
570594	400022	Julie Sheffield
570594	403763	Ellen Rimbauer
570594	404002	Katie Thompson #2 (1984-1985)
570594	404282	Courtney Capwell (1986)
570594	411060	Meg O'Donnell
570594	411362	Vicki Springer
570595	348615	Bishop's Babe
570596	399130	Genevieve Murdoch (2001-2002)
570597	319003	Geraldine Richmond
570598	45851	Doreen
570598	158191	
570598	209221	Val
570598	222630	Sexy Woman
570598	302584	Cheap Chick
570599	49952	Female Student
570599	224667	Suzy
570600	13692	Herself - School Teacher
570601	168254	
570602	59665	Treasure Chest Dancer
570603	67866	Aunt Martha
570603	123354	Detective
570603	127090	Ruby Blane
570603	127230	Aunt Susan 'Auntie' Trumpett
570603	218511	Aunt Emma
570603	372113	Maid
570604	76225	
570605	61972	Mary's Sister
570605	209190	Jenny Hendy
570606	321754	Keno Girl
570607	316675	Cheryl
570608	105405	Officer Brock
570609	379716	Kate 'Gran' Martin #3 (1970-1
570609	387309	Rose Pollock #3 (1964-1969)
570609	390771	Helene Benedict (1957-1964)
570610	147967	Aimee Cass
570610	270933	Rachael Lang (Young)
570611	80794	Miss Garden Grove
570611	206445	Student in Pageant
570611	380713	Frances 'Frannie' Hughes #1 (
570611	398782	Aideen
570612	50444	Extra
570612	381094	Jane (2002-)
570613	124115	Ballet Performer
570614	106737	Bank Teller
570615	124162	
570616	86751	Young Woman
570616	159486	Frieda
570616	210511	Blonde Whore
570617	348540	
570618	80695	Dancer in Nightclub
570619	6259	Chairlady at Church
570619	162449	Uptight Woman
570619	187299	Thelma
570619	232247	Joyce Hedison
570619	232427	Laura
570619	304480	Pat Menninger
570619	389858	Pat Lambert (1976)
570619	404282	Woman reporter
570620	333423	Maureen Raye
570621	151633	
570621	179071	Heather
570621	281347	Monica
570622	146324	
570623	178189	Extra
570623	338756	Gertie
570624	135812	Teenage Girl
570625	241621	Waitress
570626	61774	Miranda
570626	157563	Susan Kidwell
570627	390261	Model
570628	63992	Felice Jr.
570629	291948	Eyewitness/Herself
570630	17704	Katherine Pringle
570630	45218	Anne Cleary
570630	48539	Marie de Remy
570630	49244	Phyllis Clavering
570630	49250	Phyllis Clavering
570630	49251	Phyllis Clavering
570630	50171	
570630	84929	Madge Harris
570630	99853	Betty Bryant
570630	210871	Peggy Ranson
570630	231858	Vera Marsh
570630	289422	Nora Langdon
570630	313331	Mary
570630	365354	Judy McGowan
570631	403724	Herself - Designer (2001)
570632	70104	Admissions nurse
570633	86500	
570633	355544	
570634	191051	Mary (Age 10)
570635	49775	Fiancee
570635	49782	Mary
570635	91653	
570635	138781	Mrs. Poorluck
570635	146151	The Daughter
570635	197673	Dorothy Treat
570635	221084	Mrs. Poorluck
570635	260260	Mrs. Poorluck
570635	260261	Mrs. Poorluck
570635	263099	The Wife
570635	336702	Mrs. Hardy
570636	9125	Security lady
570636	58507	Trina
570636	131258	Nurse In Lounge
570636	142527	Daisy
570636	169918	Mother
570636	214999	Nurse #1
570637	177247	Lissa
570637	196687	Shyann
570637	258752	Shante
570637	295420	Ashley
570637	339419	Tracy
570637	339937	Cinny Hawkins
570637	366844	
570637	392710	Tiffany Warren (1995-1998)
570637	406037	Nicole
570638	160141	Shopper
570638	321275	
570639	35247	Mrs. Ward
570639	61727	Mother Superior
570639	65481	Mrs. Reynolds
570639	69454	Mrs. Waldron
570639	78016	Mrs. Faraday
570639	90386	Mrs. Van Deek
570639	97443	Aunt Sarah
570639	109535	Mrs. Rodney
570639	128312	Clara Stewart
570639	146117	Laurette Sligsby
570639	148298	Mattie Farnum
570639	158259	Mrs. Nesbit
570639	183646	Lady Darnely
570639	186109	Lady Winifred Stockholm
570639	187194	Mrs. Campbell
570639	198046	Mrs. Abbott
570639	218504	Grand Duchess Marie
570639	235696	Mrs. Lisle
570639	241441	Mrs. Bixby
570639	257970	Mrs. John Harper Ashley
570639	263491	Irma De Laire
570639	323473	Mrs. Smythe-Bellingham
570639	329796	Mrs. Lora Delane Porter
570639	335857	Mrs. O'Donnell
570639	358151	Lillian's Aunt
570640	136042	Felicity Polk
570640	350484	Yancey's Granddaughter
570641	23679	Lara
570641	51451	Madame Eaton #2
570641	193904	(French version)
570641	320276	
570641	383824	
570641	388316	Martine Plouffe
570641	393284	Nicole
570641	393285	Nicole
570641	400804	Margot
570641	400855	
570641	400899	Gisèle Prud'homme
570641	404018	Ruth Mongeau
570641	404863	Une infirmière
570641	406029	Céline
570641	407068	Des Neiges
570642	32070	Trumpet Player
570642	34650	Uncredited
570642	69085	
570642	126513	Uncredited
570642	142599	Bettina
570642	165206	Girl Jitterbug
570642	209612	
570642	231964	Flower Girl
570642	245209	Violin player
570642	280896	
570642	305600	
570642	335329	Girlfriend
570643	62967	Aunt Anne (Cree)
570644	14477	Masery
570645	71725	
570646	159175	Dancer
570646	396402	Freya
570647	243213	Mimi
570648	17504	Princess Fa-Ying
570649	11143	Rita Casper
570650	187404	Mother
570651	161388	Herself
570652	80969	Postal Window Clerk
570653	73124	Pawnbroker
570653	77719	Aunt Emily
570653	241553	Lady Mont aka Aunt Em
570653	245286	Lady Eve
570653	278727	Aunt Hetty Riversleigh
570653	297124	Herself (lectures on acting, 
570653	391836	
570654	297967	Minnie
570655	846	Herself - #62: Model Pratfall
570655	9897	Attendant #2
570655	10535	Herself
570655	32146	Herself
570655	34903	Herself
570655	57061	Herself
570655	70391	Singer
570655	78183	Herself ('In the Closet' vide
570655	109398	Herself
570655	109590	Sales Assistant
570655	128089	Girl #75
570655	161348	Herself
570655	161739	Cindy Carmichael
570655	183338	Model (Freedom video)
570655	212623	Kaia
570655	215680	Host
570655	216872	Herself
570655	218430	Herself
570655	221426	Herself
570655	227506	Herself
570655	232321	French Cheese Shopper
570655	243146	Herself
570655	264463	Tracy
570655	266419	Herself
570655	290825	Herself
570655	290828	Herself
570655	290829	Herself
570655	311784	Herself
570655	334385	Girl
570655	339937	Naomi Shaffer
570655	343930	
570655	343932	Herself (massaging Edge) (vid
570655	348106	Herself
570655	353500	Herself (Model)
570655	388465	Herself
570656	399640	
570657	10415	Party Guest
570657	12621	Opening Number Act
570657	30437	Nerida Brealey
570657	133594	Erica Thrall
570657	154697	Opening Number Act
570657	160888	Lady #4
570657	163389	Herself
570657	168246	Tamar (Hostess)
570657	169382	Meg
570657	169812	Crabs
570657	176937	Beth
570657	191547	Olga
570657	256211	Groupie
570657	280277	Herself
570657	280278	Herself
570657	280279	Columbia
570657	299471	Nurse Ansalong
570657	313172	Amy Benton
570657	318764	Kym
570657	337284	
570657	344317	Ula
570657	381111	Herself
570657	403574	Sandra
570657	409149	Herself
570658	228153	
570658	383774	Asunción
570658	397591	Mimí
570658	398228	
570659	1466	Herself
570659	1674	Herself
570659	2781	Julie Black
570659	29930	Nepeese
570659	32917	Herself
570659	40678	Chloe Richards
570659	43877	Sidney Prescott
570659	54034	Virginia 'Ginny' Otis
570659	57680	Herself
570659	63532	
570659	68697	Ry
570659	69596	Herself
570659	72509	Bonnie
570659	79003	Jesse Donovan
570659	94018	Ellen Rash
570659	117715	Jess Foy
570659	137258	Renée Weber
570659	154302	Beth
570659	161831	Alice
570659	185114	Frances Kroll
570659	191244	Adult Kiara
570659	194885	Missy Lofton
570659	195519	Deidre
570659	199487	Herself
570659	246683	Tristesse
570659	247559	Sarah Cassidy
570659	262655	Herself
570659	264883	
570659	274559	Miss Poppy
570659	291221	Sidney Prescott
570659	291222	Sidney Prescott
570659	291223	Sidney Prescott
570659	291257	Herself
570659	331664	Amy Post
570659	363224	Vera
570659	365451	Suzie Marie Toller
570659	366776	Herself
570659	383662	Daisy McKenzie (1992-1993)
570659	400921	Julia Salinger Holbrook
570660	2250	Old Elevator Lady
570660	235032	Darwin
570660	256965	Grandma Pennies
570660	279438	Woman #2
570661	26636	Stripteaser
570662	67562	Cassie Marlowe
570663	260902	She-Devil
570663	341772	Renee
570664	27247	Al Mckenzie
570664	381121	Al Mackenzie (Series 3-6) (20
570665	36947	June Bowers
570665	129227	Amy
570665	315227	Nancy Raymond
570665	362679	Mary Lawrence
570666	290511	Claudia
570667	38872	Extra
570668	307537	Nurse Tammy
570669	244913	
570670	335220	Guest
570671	126709	Lucy Smith
570672	28791	Marie
570672	195615	Mona
570672	278832	Dream Girl
570673	119350	Elizabeth
570674	305480	
570674	306442	
570674	372762	
570675	154271	Caitlin Corn
570676	137571	Melanie
570677	124017	Music Teacher
570678	42791	Samantha
570678	59104	Maggie Dolan
570678	68242	Girlfriend #1
570678	258057	Linda
570678	289603	Prudence Stonehall
570678	403540	Gadget
570679	91862	
570679	108339	Liddie (9)
570679	154893	Mary Stewart
570680	108330	Cindy
570681	26079	Woman in Billowing Gown
570682	37700	Girl with Brad
570683	319521	Elaine
570684	32754	Flighty girl
570684	79878	Pretty girl
570685	283375	Sue
570686	68978	Jeanette
570687	216162	Phone Room Operator #1
570688	131777	Snuff Girl
570689	40804	Little girl
570690	364300	Herself
570691	60684	Herself (Backing Vocals)
570691	60685	Vocals
570691	240954	Singer
570691	240956	Singer
570691	333551	Singer/Dancer
570692	217987	
570692	311216	Hester Hundred
570693	94861	TWA Airline Representative
570693	176956	Dancer
570693	193928	
570694	6894	Herself (Otter specialist)
570695	234104	Herself
570695	364725	The Kid's Girl
570696	134597	Wilma
570697	72664	Chuck's Wife
570698	292474	Police Officer
570700	362834	Tara
570701	123109	Lufy
570701	154071	Hospital Receptionist
570702	234849	Rosslyn Chapel
570703	60186	Whitney Young Team Cheerleade
570703	295420	Dancer
570703	319682	Cheerleader
570704	2258	Herself - Presenter
570704	17934	Amy Kirkland
570704	44005	Yvonne
570704	68105	Herself
570704	148569	Sledge
570704	151122	Sidney
570704	151125	Sidney
570704	151126	Sydney
570704	161353	Herself
570704	161388	Herself
570704	163523	Herself
570704	185539	Ann Field
570704	192268	Chiffon
570704	200481	Daisy Bunsen
570704	217052	Jiwanda
570704	271001	Marva Foley
570704	281365	Amber
570704	290319	Jane Toussaint
570704	306131	Steimer
570704	312062	Brandy
570704	321364	Ruby Wilson
570704	353499	Janet Kyle
570704	381879	Herself
570704	395659	Rosalee Lincoln
570704	396975	Gina Waters
570704	398746	Janet 'Jay' Marie Kyle
570705	396501	Additional Voices
570706	311537	Mary
570707	2327	Herself
570707	112601	Mary Mary
570708	67896	McGurn Child #2
570709	179781	Stewardess
570710	44433	Woman at Daycare Meeting
570711	298580	Woman RAF pilot
570711	331991	
570711	343161	
570712	73258	Travel Agent
570712	224085	Young Meg
570713	54832	Fanny
570714	18468	Jen
570715	159453	
570715	254536	Pauline Mainwaring
570716	140545	
570716	148391	Phoebe Hartman
570716	329450	Theresa
570716	345860	Mrs. Fraser
570717	163321	Mrs. Spencer
570718	321746	
570719	295636	Herself (interviewee)
570720	298438	Baby
570720	330703	Girl on Stairs
570721	155263	Dara
570721	214092	Marlene
570721	303999	Miss T. Muse/Audio Person
570722	213278	Harry's Secretary
570723	194513	Mrs. Wrayburn
570723	260842	Old Lady
570723	282037	Old Lady
570723	385299	Sybil
570723	399598	Old Lady Witness
570724	97644	Camera Operator-2nd Team
570725	137258	Girl in Bed with Danny
570726	1599	Mrs. Hope Latimer
570726	64928	Second Woman Guest
570726	86209	The Lady of the Court
570726	141370	Steidler's Maid
570726	146069	Minnie Watson
570726	154680	Herself
570726	165910	Mrs. Broadwick (opening credi
570726	178840	Kensington Lady With Dog
570726	187744	Martha Larkin
570726	189865	Secretary
570726	192700	Nurse
570726	215577	Cabaret Singer
570726	233573	Barmaid
570726	233632	Plane Passenger
570726	241070	Pierre's Secretary
570726	258964	Reader's Secretary
570726	329617	Uncredited
570726	330192	Woman
570726	364730	Highway Victim
570726	385299	Peggy Leonard
570727	71290	Intern
570727	230682	Woman in Car
570727	314174	Guidance Counselor
570728	88011	
570729	82899	Girl Babysitter
570729	148200	Sandra
570729	148203	Sondra McCallister
570730	41377	Bookstore Woman #2
570731	88102	Piquette (6 years old)
570732	367023	Tutor
570733	311912	Lucy Spivak
570734	2658	Andrea
570734	206099	Vicky
570735	2657	Carrie (Will's Mom)
570735	2658	Carrie (Will's Mom)
570736	64735	Salesia
570736	268389	
570736	288334	Laurie
570737	21617	Gabrielle (jeune)
570737	398595	Corinne Poitras
570738	115668	Cutest Cowgirl
570738	229316	
570738	336893	Daphne
570739	342557	Arano
570739	396501	Additional Voices
570740	283758	
570741	320224	
570742	166381	
570742	278931	Herself
570742	376587	
570742	387915	Herself
570744	238597	Kathryn Bennett
570745	194836	
570746	49431	Natalia
570747	49431	Lauro's friend
570748	49431	Elenita
570749	111045	
570750	197475	Arianna
570751	390121	Herself (season 2)
570752	251048	La cameriera
570753	259173	Lisei
570754	290907	Palmist
570755	203083	Old Lily
570755	382838	Jessie Shadwick Hilton (1998-
570755	385020	Dulcie Froggatt (1984-1987)
570755	407058	Joyce Watson
570757	2685	
570757	4981	
570757	8143	
570757	8598	
570757	13186	
570757	19386	
570757	46921	
570757	58395	
570757	71121	Virginia
570757	71269	Elena
570757	77275	
570757	86380	Norma (Joven)
570757	94823	
570757	118838	
570757	135349	
570757	135350	
570757	157159	
570757	167801	
570757	171319	
570757	189002	
570757	198995	
570757	217306	
570757	221741	
570757	234316	
570757	234331	
570757	246295	
570757	248297	
570757	249796	
570757	252013	
570757	268245	
570757	272566	
570757	272636	
570757	277373	
570757	328884	
570757	337437	
570757	354847	Zulema
570757	354874	
570757	379118	Estela 'Estelita'
570757	380059	
570757	384400	Maestra Chelita
570757	385401	Socorro
570757	396898	Teófila
570758	12097	
570758	48808	Irma, aka Elvira
570758	74160	Carmela
570758	74861	Rosa
570758	89923	
570758	150552	
570758	159035	
570758	170459	
570758	203093	Dolores
570758	339101	Gloria Shelton
570758	357907	
570759	3388	
570759	239260	
570759	296135	
570760	6642	Voz
570760	14775	Secreria del Presidente
570760	96269	Locutora Telediario
570760	135355	Bonnie Cordelia
570760	233542	Vendedora inmobiliaria
570760	328697	Yolanda
570760	334699	
570760	376799	
570760	407305	
570762	219567	
570763	380511	Herself (season 1)
570764	117454	Featured dancer
570765	8214	
570765	61166	Dolly Sweety
570765	101881	
570765	108723	
570765	111117	La trafiquante
570765	208162	Ingrid
570765	276545	La jeune allemande
570766	249208	Opera manager's assistant
570767	16642	Miss Lindsay
570767	23948	
570768	108771	Mother
570769	2921	Herself - Best Original Scree
570769	23948	
570769	161264	Herself
570769	411298	Herself
570770	2763	Hotel Maid
570770	16756	Hotel Receptionist
570770	77212	Rosemary Grainger
570770	316858	Grace Greene
570770	342435	Bobby's Mother
570770	408234	
570771	87460	Mrs. Greenshields
570771	184719	Violet Titus
570771	192157	Pearl
570771	269845	Mrs. McDuatt
570771	300173	Anne
570772	204583	Convenience Store Clerk
570773	331089	Jailbird
570774	54148	
570774	54829	
570774	58052	
570774	90001	
570774	124201	Una ragazza del convento
570774	210318	
570774	254954	
570774	273140	
570774	307067	
570774	328210	Un'orfanella dell'istituto
570775	94386	Le médecin
570775	154937	Mère casting
570776	78430	Herself--Gogo Dancer
570777	57332	
570778	71148	
570779	10839	Marion Jurgen
570780	327804	Innkeeper
570781	246794	
570784	177311	Emma-Louise
570785	8306	
570785	54140	
570785	113206	
570786	130707	Herself
570787	281762	
570788	351494	
570789	54775	
570789	357532	
570790	183025	
570791	309061	Bartender
570792	231547	
570792	257418	Chica Joven Parador
570793	59713	Therese
570793	199307	Felicite
570794	132892	
570795	235661	
570796	10247	
570797	10247	
570798	38104	Natalie
570798	47800	Tamara
570798	199999	Brooke
570798	258100	Tina
570798	292594	Model
570799	63865	Baby
570800	281397	Young Woman #2
570800	316153	Jimmy's scumbag employee #1
570801	118814	Adela
570801	146586	Valentina
570801	146587	Valentina
570801	379457	Elena
570801	381023	Lorenza De Icaza
570801	381902	14th evicted
570801	381904	Herself (14th Evicted 2004/2)
570801	383233	María Sánchez
570801	390127	
570801	391572	
570801	392653	
570801	395061	Inés
570801	400492	Herself/Various (1995-1996)
570801	400860	Julia
570801	401068	Renata
570801	402190	
570801	403257	
570802	52966	
570802	148093	
570803	61861	Simona Innocenti
570803	109264	Levante Michi
570803	133199	
570803	225031	Berena
570804	3093	Seconda Lavandaia
570805	3536	
570805	5372	The woman protesting against 
570805	14387	Gianna
570805	21656	
570805	36509	La madre di D'Artagnan
570805	36511	La madre
570805	36513	Elena O'Hara
570805	48200	Signora Cartoni
570805	51448	
570805	51687	
570805	52879	
570805	54140	Maddalena
570805	54141	
570805	61061	Italia, Guardalavecchia's wif
570805	66397	Aldo's mother
570805	70622	
570805	75251	
570805	124426	
570805	127615	
570805	157178	Lisetta
570805	162059	
570805	162651	His wife
570805	183479	
570805	209439	Una signora
570805	212580	Padrona di casa
570805	214851	
570805	220192	
570805	227562	
570805	233608	
570805	234551	Sig.ra Fillide
570805	242303	Signora La Trippa
570805	253031	
570805	253713	
570805	263054	Signora Norma
570805	269183	
570805	269469	Amalia
570805	270861	
570805	277598	
570805	278015	Madre di Antonio
570805	279913	
570805	294713	
570805	307677	Luca's mother
570805	315429	
570805	317718	The innkeeper's wife
570805	319299	Carmela
570805	319324	Cameriera della pensione
570805	320222	La madre di Susanna
570805	326320	Elsa
570805	336622	
570805	341860	Concettella
570805	348211	
570805	349529	
570805	351604	Claudia
570805	356213	
570806	31508	Hysterical Woman
570806	169859	Cleaning Lady
570807	45899	Extra: park
570808	85597	
570808	169247	Aninhas, José's wife
570808	344893	Carlos' mother
570809	378974	Marina Restrepo
570809	392963	Jackie Ruiz
570809	404580	
570810	277398	Queen's lady
570810	379552	
570811	355766	Maggie
570812	396179	Irene Guerra
570812	409960	Sagrario
570813	40341	Percussionist
570814	30275	Marisa
570814	96529	
570814	103851	Rosinha
570814	222191	
570815	325720	
570816	223871	Baby Irene
570817	381330	María
570818	132982	Vanille
570819	223871	Little Irene
570820	82250	
570820	148122	Cantante
570820	157304	
570820	162769	Coquito
570820	221982	Rosita
570820	273663	
570820	336214	
570820	354997	
570821	383717	Isabel
570821	388379	Verinha
570822	9786	
570822	383273	
570823	98732	
570824	385021	
570825	238003	
570826	409424	
570827	289103	Abeer Al-Rehaief
570828	96335	Charla
570830	37702	Becky
570830	191440	
570831	325720	
570832	148036	
570833	54166	
570834	91395	
570834	193188	
570835	27408	Tyttö yleisössä
570836	328359	
570837	344824	
570838	196764	Niña
570839	340409	Graciele
570840	357189	
570841	400667	Mercedes de Sanchez (1999-)
570842	64949	Mme. Cuchaca
570843	4926	
570844	222122	
570845	222187	
570845	268993	
570846	166380	
570847	381330	Nuria María
570848	156931	
570848	360180	Tia María
570849	293924	
570849	344799	
570850	13769	Tops Club Member
570851	383479	Manu
570851	404960	
570851	405454	Sinhá Moça (child)
570852	171381	
570852	234354	
570852	380065	
570852	409908	Carmela 'Carmelita' Campos
570853	408212	Coralina
570854	199124	
570856	18331	
570856	42639	
570856	58009	
570856	101892	
570856	260568	
570857	284584	
570857	337974	
570858	124510	Plañidera
570859	134433	
570859	269171	
570860	107689	Carmen
570861	29633	
570861	68254	D. Maria
570861	269010	
570862	277391	Criada 1
570862	339015	
570863	39598	
570863	70065	
570863	103699	
570863	160121	Genoveva
570863	233381	
570863	283137	
570863	378991	Host (1990-1991)
570863	383147	Hostess
570863	385317	Host
570863	387177	Hostess (1996-2004)
570863	387860	Host
570863	400932	Host
570863	401907	
570863	407563	Host (1985-1986)
570864	713	Valeria
570865	103869	
570866	111153	
570866	405936	Angela
570867	83518	
570868	207989	Woman with Groceries
570869	290862	Anna
570870	386123	Young Júlia
570871	273428	Herself
570871	273429	Herself/San Francisco
570871	273431	Herself/San Francisco
570871	273432	
570871	273433	Hostess
570871	273434	
570871	273436	
570871	360734	Rachel
570871	394569	Host
570871	402993	Herself/San Francisco (1994)
570871	403485	Herself/Real World: San Franc
570872	17135	
570873	399640	
570874	232471	Mother (segment "The Benedict
570874	280284	Maid
570875	144362	Ma
570876	14729	Veronica de Jesus
570876	56493	Morgana
570876	64144	
570876	97353	
570876	115833	
570876	244194	(segment "A Princesa Radar")
570876	341153	
570876	382676	Clarice
570876	383441	Regininha
570876	383550	Consuelo
570876	383621	Morgana Stradivarius
570876	385522	Edilasia Sardinha
570876	386123	Marlene Motta
570876	391580	Maria Tomba-Homem
570876	397540	Jorgete
570876	404165	Daisy
570876	410190	Marinalva
570876	412258	Paulette
570877	64431	Valeria del Carmen Lorenzo
570877	247296	Laura Fortuna
570877	283554	Casino Girl
570877	342149	Enfermera
570877	385847	
570877	388648	
570877	392992	
570877	398228	
570877	401481	Ester de Sotomayor
570877	402411	Silvia Román
570877	402686	Catana
570877	403214	Rossy Sepulveda
570877	403674	
570877	408591	
570878	274904	
570878	275304	
570878	385629	Dirce
570879	167691	Newscaster
570879	235603	TV Reporter
570879	277801	Channel 6 Reporter
570880	551	
570880	5443	
570880	14642	
570880	14773	
570880	20853	
570880	22769	
570880	26556	
570880	29845	
570880	42645	
570880	42653	
570880	43307	Celia
570880	48291	
570880	48293	
570880	49443	
570880	57245	
570880	57466	
570880	57827	
570880	61351	
570880	63961	
570880	64705	
570880	66401	Gloria
570880	68566	
570880	73269	Laura
570880	74508	
570880	74972	
570880	75202	
570880	82224	
570880	82269	
570880	84332	
570880	84464	
570880	86524	Amiga de Blanca
570880	96331	
570880	101618	
570880	103500	
570880	108735	
570880	109326	
570880	122517	
570880	132476	Ena Salgado
570880	143805	
570880	146513	
570880	148030	La Lujanera
570880	194432	
570880	205703	
570880	211875	
570880	212363	
570880	212407	
570880	221576	
570880	223628	
570880	233338	
570880	234367	
570880	235983	
570880	236025	
570880	243238	
570880	246429	Sophie de Préfont
570880	250790	
570880	251584	
570880	255478	
570880	281101	
570880	281212	
570880	281790	Rosaura
570880	283052	
570880	294858	
570880	295172	
570880	301110	
570880	323661	
570880	334677	
570880	344117	
570880	348935	
570880	350137	
570880	353616	
570880	353630	
570880	354107	Paula
570880	354448	
570880	376865	
570880	377214	
570880	386127	Luisa
570880	387098	Mariana Iturbe Montalbán
570880	391853	Liria
570880	393840	Cora
570880	395310	
570880	395487	
570880	397733	Regina De Valladares
570880	400488	Sister
570880	400654	Antonieta
570880	400796	
570880	404991	
570880	412194	María Segovia/La Condesa Lucr
570881	68250	
570881	157200	
570881	212469	
570881	328159	
570882	379461	Marcela
570882	397021	Diana
570882	397598	Mary
570882	402540	
570882	405398	
570883	246855	
570883	386421	
570884	28214	Fátima
570884	287485	
570884	344762	
570884	353096	Freira
570885	381200	Daninha
570886	378991	
570886	384830	Hostess
570886	387177	Host (1996-1997)
570886	387860	
570886	390527	Hostess
570886	400932	
570887	1815	
570887	379244	
570887	379646	Margot
570887	380271	Mildred
570887	388416	Maria Luiza
570887	389662	Lúcia
570887	392031	
570887	393008	
570887	397553	
570887	404014	Helena
570887	409412	
570887	412305	Maria das Dores
570888	3566	
570889	386418	Julinha
570889	402624	
570890	236753	
570890	380449	
570890	386727	Carminha
570890	409025	Fabíola
570891	390489	
570892	222187	
570893	13073	
570893	55906	Bá
570893	77310	
570893	111284	
570893	149517	
570893	169708	Dona Ana
570893	210685	
570893	211878	
570893	234631	
570893	275019	
570893	340278	
570893	352159	
570893	379182	
570893	384382	Joana
570893	388641	
570893	389587	Olinda
570893	399498	Joana
570893	403308	
570893	408942	Chica
570894	215039	
570895	24297	
570895	52066	Manuela Maria
570895	64035	Marisa
570895	64047	
570895	68961	
570895	74737	
570895	88797	
570895	99341	Ana María
570895	103117	Isabel Montenegro
570895	103720	
570895	103836	
570895	106318	
570895	148045	Alicia
570895	152233	Isabel
570895	169778	Gloria
570895	193144	
570895	199789	
570895	205697	
570895	222033	
570895	248764	Lidia
570895	256661	Luisa Fuentes
570895	301177	
570895	328864	La Nardo
570895	332697	
570895	342152	
570895	379852	
570895	380146	
570895	383974	Amanda
570895	384779	Ana
570895	384809	Various
570895	385458	Mane
570895	385501	Ana
570895	386882	Perla Sánchez
570895	388093	Valeria Uboldi
570895	392804	Patricia
570895	397583	
570895	399886	
570895	406050	Valeria Uboldi
570895	406728	Dama de compañía (1991)
570895	407757	
570896	19449	
570896	61141	
570896	212439	
570896	212440	
570896	235316	
570896	260508	
570897	96371	Sonia
570898	23304	Vicenta
570898	307836	Arpita
570899	252564	
570900	334666	Policía 2
570901	2114	
570901	9786	
570901	21690	
570901	85973	
570901	96277	
570901	139911	
570901	229434	
570901	270062	
570901	354998	Snake woman
570902	40600	Die Frau
570903	5329	Doris
570904	3326	
570905	281399	
570906	63885	
570907	6492	
570907	13127	Zoila
570907	55082	
570907	91413	
570907	235350	
570907	319595	
570907	355852	
570907	378497	
570908	380917	Diana de Rey
570909	3530	
570909	61146	
570909	163880	Herself - Presenter: Best Scr
570909	197042	Laura
570909	205001	Inés
570909	218565	
570909	219330	Victoria
570909	349334	Herself - Presenter: Best Cos
570909	350134	
570909	394526	Isabella Murillo
570909	400840	Isabel
570909	404017	
570909	408418	Rosa
570909	409074	
570910	193193	
570910	212463	
570911	380155	Clo (2002-2003)
570912	176882	Anastasia
570913	12244	Party Goer
570914	367866	Herself
570915	84956	Flamenco Dancer
570916	387	
570916	13875	Embassy Guest #1
570916	108115	Alicia
570916	166309	Jean-Paul's friend
570916	166565	Laidies of the Court
570916	205243	Martine
570916	205745	Marie Love
570916	216794	
570916	258120	Pepita
570916	311256	Fabienne
570916	337734	Mme Salviat
570916	341384	Marie
570916	345118	Françoise
570916	346416	Lalie
570916	396328	Mme De Vlaminck
570916	403472	Ghislaine
570917	18363	
570917	43756	Soninha (segment "Sábado Quen
570917	55154	
570917	63828	
570917	70911	Monique
570917	104133	
570917	104353	Patrícia 'Pagu' Galvão
570917	184214	Clara
570917	222150	Circus Star's wife
570917	222158	Beggar/Fatal woman
570917	239942	
570917	241180	
570917	382676	Catarina
570917	382776	Sônia
570917	383866	Bárbara
570917	388592	Marília Orsini
570917	390503	Priscila
570917	395822	Bebel/Cristina
570917	400656	Aimée
570917	405810	Olívia
570917	407801	Luzia
570918	14684	
570919	166667	La serveuse de Coire
570919	264525	Annie
570919	376999	
570920	188683	
570921	370102	
570922	58743	A Child
570923	117927	
570924	265904	Girl in Nightclub
570925	78015	Courtesan
570926	51919	
570926	113252	Fanny Essler
570927	202222	
570927	212406	Ania
570927	317810	Laura
570928	50374	
570929	30660	
570929	33840	
570929	177894	
570929	295532	
570930	12543	
570931	237439	
570932	8345	
570932	25768	
570932	31494	
570932	38195	
570932	45714	
570932	102511	
570932	103606	
570932	107311	
570932	108868	
570932	136747	
570932	177127	
570932	199990	
570932	202456	
570932	308321	
570932	325007	
570932	357604	
570932	377553	
570933	307159	
570934	94595	
570934	163107	
570934	163110	
570934	294126	
570935	76845	Nan Bo
570935	160213	
570936	143020	Miss Spook
570937	153241	Denise
570937	249293	Amie du maillot diable
570938	33581	
570939	141758	
570940	380519	Herself/Host
570941	398884	
570941	403326	Miquelina
570941	408212	Young Perpétua
570942	140289	Fillette
570943	80537	Deputy Hollingsworth
570944	361475	Lady in the resturant
570945	58511	Slave in Quarter
570946	58511	Alice
570947	58511	Field Hand
570947	272440	Market Square Extra
570948	58511	Slave in Quarter
570949	104110	
570950	83240	Claudia enfant
570951	203918	Victory Party Celebrity Soldi
570952	14371	
570952	25318	Deianira
570952	82419	
570952	128003	
570952	212618	
570953	199285	Singer: Suzuki
570953	278308	Maddalena
570954	69206	
570955	10291	Nathalie Provence
570955	19476	
570955	25337	Libertad
570955	26692	Nora O'Kira
570955	43994	Silvia Alberti
570955	57308	Contessa Lehmann
570955	57316	Baroness Elaine of Faldone
570955	57457	
570955	60899	Fausta
570955	63669	Comptesse Athelstane Orloff
570955	69717	
570955	69719	Artemide
570955	69952	Emilia
570955	70622	Susy
570955	71162	
570955	90756	Mara
570955	92976	Lorraine Beloyan
570955	104284	Maria Laneri
570955	109943	Antea
570955	112685	Linda
570955	112689	Clodia
570955	126317	Armida
570955	129792	Rosina
570955	135136	Jacqueline
570955	187443	Contessa Giovanna Dolfin
570955	187928	Rosanna
570955	198051	Herself
570955	199048	Astra
570955	199328	Duchesse de Grammont
570955	225060	Suzanne
570955	227595	Pauline Borghese
570955	236620	Czarina Alexandra
570955	240273	
570955	260045	Imperia
570955	274900	La Regina
570955	279255	Amira
570955	290004	
570955	301624	Conchita
570955	310454	Sabina Crassus
570955	328102	Teodora
570955	332922	Consuelo
570955	336609	Viviane de Valance
570955	337378	Luisetta
570955	338803	Lucetta Di Marca
570955	339068	Luisa Mancini
570955	350251	Giselle du Grand
570955	351059	Marisa
570955	351514	Tatiana Cernicevskij
570955	351579	Sandra
570955	364437	Gina Bertini
570956	88057	
570956	234492	
570956	284613	
570956	352098	
570956	384139	Lulu
570956	384400	Doña Soccoro 'abuela de cabal
570956	385416	Alicia Molina
570956	399707	María
570956	405415	Olga
570956	409812	
570957	191394	
570958	70682	
570958	231695	
570958	247851	
570958	336396	
570959	24984	
570960	14570	Madre
570960	22772	Luisa
570960	28957	
570960	40273	Mother
570960	57554	
570960	57827	
570960	59532	
570960	80129	
570960	83141	
570960	94848	
570960	96321	Chica
570960	99906	
570960	100703	Madre de Luisa
570960	101894	Sor Víbora
570960	106326	Beatriz
570960	110989	
570960	111276	
570960	146510	Mayte
570960	165789	Tía
570960	171651	
570960	183484	
570960	195573	
570960	199811	Grandmother
570960	205027	
570960	206054	Irene Sierra
570960	212363	
570960	212463	
570960	214224	
570960	221932	
570960	222418	
570960	233361	Felisa
570960	234333	
570960	237897	
570960	246393	
570960	252620	
570960	263699	Angélica
570960	291656	
570960	292745	
570960	307631	Luisa
570960	309092	
570960	328203	
570960	332567	
570960	339151	
570960	351637	La Reina
570960	355759	Niña Garcia
570960	378472	
570960	385396	
570960	402541	Isabel
570960	407859	
570961	87866	
570962	399447	Freak on the Street
570963	115515	Hooker
570964	380210	Raquel
570964	387273	
570964	392959	Rosa
570964	395867	
570964	402193	Melinda de la Cruz
570964	404707	Nora
570964	404815	Ruth
570964	408562	
570964	408724	
570965	360436	Confetti Woman
570966	337206	Child at the World Choir
570967	38904	
570968	101842	Enfermera
570969	10125	
570969	10440	Susana
570969	13331	
570969	18651	
570969	22772	Eulalia
570969	24993	
570969	63876	
570969	68958	
570969	69122	
570969	69947	
570969	86342	
570969	108129	
570969	108751	Silvia
570969	143748	
570969	146494	
570969	149959	
570969	168581	Marie Antoinette
570969	183513	
570969	193342	
570969	204275	
570969	206895	
570969	221915	
570969	243238	
570969	250712	
570969	251578	
570969	253031	Lauretta
570969	270822	Lucia Conforti
570969	272399	
570969	276473	Marta Correa
570969	276481	
570969	279256	Katia
570969	287435	
570969	349457	Mercedes
570969	354265	Herself - Presenter: Honorary
570970	383448	Alessandra Ferri (3rd series)
570970	401871	Velina (house guest)
570971	369748	Herself - Winner: Best Screen
570972	44380	Tommy's Mother
570973	13742	Adinah
570973	27153	Woman at Bar
570973	70460	Mrs. Bobo #2
570973	134390	Mercedes 'Meche' Colomar
570973	139432	Carmen
570973	156882	Esmerelda Palomares
570973	207440	Sophia
570973	223871	Young Irene
570973	381562	Yolanda
570973	385674	Paulina
570973	393972	Shayera Hol/Hawkgirl (2001-)
570973	394362	Fig
570973	396873	Nancy
570973	402343	Sunset Boulevardez
570973	408515	Carmen Cruz
570974	81357	
570974	120717	Rosina
570974	146533	
570974	204994	Silvia
570974	400945	Leonor
570974	410453	(1999)
570975	44380	Hazel
570976	201346	Majorette
570977	371560	
570978	125030	Türsteher 1
570978	322544	Hotline Girl #11
570980	383054	Chris' Mom
570981	188418	
570983	262698	
570984	196020	Esther
570985	62781	Une femme politique
570986	379132	Shop owner (Chapter 3)
570987	151340	Irish Wake singer
570987	180263	Herself
570988	50076	The Beautiful Woman
570988	73327	Gina
570988	75632	Screaming Couple
570988	278172	Justine
570989	242942	Mimi
570989	362193	
570989	362675	Shannon
570990	194268	Dancer
570990	324551	Liquid Silver Dancer
570990	329522	Wisconsin Dancer
570991	50076	Soap Opera Actress
570991	73327	Gina
570991	278172	Justine
570992	85817	Mrs. Rose
570992	87855	Sarah Kandinsky
570992	130848	Passenger
570992	292234	Hardware Clerk
570993	91377	
570993	110743	
570993	252061	
570993	373941	
570995	100680	Clara
570995	234075	Teenage Girl
570995	262000	Brigida
570996	129019	Giulietta as a child
570997	236543	
570997	251606	
570998	278988	
570999	13174	
571000	41120	
571000	114532	Helen Duval
571000	128646	Helen Duval
571000	197798	
571000	264639	
571000	264727	
571000	264731	
571000	264738	
571000	264742	
571000	264743	Herself
571000	264749	
571000	264909	
571000	264910	Herself
571001	63790	Herself
571001	252749	Herself
571002	199787	Signora Barsanti
571002	234705	
571002	270320	Rosa
571002	342112	
571002	379549	Eleonora Ornelli
571002	383448	Fiorella Panni
571002	399653	Giovanna
571003	181836	Bikini Fighter
571004	383268	Joaquina
571005	400343	Asistente de Spinning
571006	193016	
571007	360588	1st Victim
571008	256339	
571009	69522	La cireuse
571010	87073	Josefina (segment "La Otra")
571010	135073	
571010	318905	
571011	82360	
571012	159038	Miguel's friend
571013	202456	
571014	345254	
571015	367880	Delta Lotta Pain
571015	411367	Delta Lotta Pain
571016	84381	Gina
571016	115745	Rosa Bozán
571016	349815	Paivoa #2
571016	376838	
571016	390517	Grandiosita (2003)
571017	322325	Dominicana
571018	250428	Yolanda Diaz
571019	140310	Girl in Gas Station
571020	16434	Jeanine
571020	33182	Vanessa, Maxime's sister
571020	61983	La collègue au centre météo
571020	66742	La propriétaire
571020	67666	Mina
571020	71877	Sandra
571020	74336	La journaliste
571020	83382	Edwarda
571020	84695	Sonia
571020	86432	Sophie
571020	93878	Béatrice
571020	97853	Louise
571020	112819	Jacqueline
571020	146399	Clothilde
571020	148009	
571020	157227	Florence
571020	164149	Corinne
571020	191467	Lise
571020	199572	Alice Cohen
571020	211375	Vitalie Rambaud
571020	217267	Nadine
571020	224880	Madame Bernier
571020	235725	
571020	240429	
571020	246292	La psychiatre
571020	247634	Woman in pink
571020	269745	
571020	275621	Joëlle Vidal
571020	340872	Huguette
571020	345444	Claire
571020	345541	Louise
571020	352520	Claire
571020	376904	Laura
571020	388585	Noémie Curcher
571021	115562	High Roller
571021	147745	Fired-Upon Symphony Patron
571021	161594	Fan at Academy Awards
571021	176364	Clara Freeman
571021	192219	Teeny Bopper
571021	364558	Cafeteria Server
571022	298314	Customer
571023	215512	Ruth Angelasanto
571023	364302	Michelle
571024	49510	Herself
571024	127804	Herself
571024	295650	
571024	335448	
571024	360149	Dracula's Butler
571024	394158	Ceren
571025	112136	
571026	151806	
571026	387552	
571026	397019	
571026	397021	
571026	402077	
571026	405416	
571027	54296	Leonora Bragadin/Capitan Temp
571027	90068	Imperia
571027	111419	
571027	157277	La vedova
571027	187927	Leonora Bragadin/Capitan Temp
571027	234756	Gabriella de Rosa
571027	243701	Grazia
571027	276981	
571027	279902	
571027	287692	La contessa Albina di Monthol
571027	293437	
571027	317722	
571027	336364	La marchesa Attavanti
571027	338318	
571027	348175	Lucy Martin
571027	378450	
571028	60332	Herself
571028	186979	
571028	236350	Candice
571028	236481	
571028	268270	
571028	354846	
571028	381090	Herself/Finalist (2003)
571028	392653	
571028	400860	
571028	401698	
571029	215145	Le modèle
571029	243539	
571030	8611	
571030	72066	
571030	92899	
571030	100307	
571030	147457	Unknown
571030	237122	
571030	320298	Denise
571031	245649	First receptionist
571033	300719	Pretty girl
571034	265719	
571036	209513	
571037	128684	Herself/Miss Hammond 2002/18-
571038	163362	Tina
571038	294150	
571038	315619	1st Saleslady
571038	401360	
571039	20304	
571040	290364	Pam
571041	65598	Lucía Talk Show
571042	217167	Secrétaire Maurice
571043	88060	Marie-Agnès
571043	129204	
571043	363389	
571043	400380	Herself (2003)
571044	82902	Girl At Diving Board
571045	319346	
571045	319390	
571047	269806	First Slavic Girl
571048	383280	
571049	299482	
571050	2266	
571050	294137	
571051	351429	
571052	71599	Herself
571053	363981	Report #5
571054	195519	Girl gang
571055	334853	Day dream girl
571056	126322	
571056	284543	
571057	77291	
571058	67346	Suzanne Dole
571058	129829	Dionysis Devotee
571059	22856	Vi (Nightclub)
571060	352517	Ticket Girl
571061	83465	
571062	228912	Herself (author: America's Na
571063	147970	
571063	152603	Domino
571063	268950	La femme de chambre
571063	346711	Joanna
571064	70422	Pheta
571065	69187	Herself
571066	64752	
571067	332377	Star
571068	104110	
571068	197155	
571069	127324	Dancer
571071	245249	Ballroom Dancer
571072	243498	Madre
571073	8542	Eneida
571073	379833	Mónica
571073	383250	Leyla Daud
571073	385414	Cathy Linton
571073	387472	Elizabeth
571073	387621	Aurora Leal
571073	387816	Florcita
571073	389751	Gardenia Montiel
571073	390220	
571073	390310	Hortencia
571073	390748	Bienvenida de Gamboa
571073	391272	Salomé Hernández
571073	392610	Jimena Ferrini
571073	395846	Marhuanta Sánchez
571073	396644	Agua Santa
571073	396872	
571073	401067	Arcadia Gómez de Peña
571073	402772	Belén Martínez
571073	404181	
571073	404988	Constitución Méndez
571073	404996	
571073	408389	Rebeca
571073	412084	Dorita
571074	78400	
571075	340683	Young Susan
571076	71140	
571076	215465	Amelia, la Bruja
571076	335989	Clarita
571077	10848	Rita
571077	38140	Natalie Canterday
571077	80962	Mother
571077	136040	Jan
571077	238161	Elsie Hickam
571077	241339	Cheryl Ann Dixon
571077	261454	Bernice
571077	282379	Woman in 'Samaritans'
571077	305008	Linda Wheatley
571077	309829	Sissy
571077	341613	Claire
571077	371019	Cora Smith
571078	380985	Yaprak
571079	307788	
571080	342118	Ragazza bacio
571081	153094	Miranda
571081	201598	Girl #1
571081	359075	Mary
571083	298091	Nurse
571084	20855	Magistrada
571084	31534	Belén
571085	45193	Dancer
571086	217691	Jacqueline Balbot
571087	45193	Dancer
571088	154736	
571088	206287	Justine
571089	278316	La Contessa
571090	2654	
571090	14567	Serena
571091	202280	
571092	381821	Ensemble (1980)
571094	36856	Myrtle
571094	73726	Sam's Wife
571095	50000	Nettie McFadden
571095	67800	Mildred looking for JFK at pa
571095	90353	Seamstress
571095	137453	Thelma
571095	201756	Herself
571095	232048	Chairlady
571095	259777	Angelica 'Angey', Aunt Polly'
571095	265741	Crazy Lady
571095	276855	Ralph Monroe
571095	308120	Miss Foley
571095	309838	Motel Manager
571095	358873	Sidonia
571095	372566	Goody Cloyse
571095	388362	Mrs. Hanley (1976-1978)
571095	389858	Lucille March Weeks, R. N. (1
571095	390622	Ralph Monroe (1966-1971)
571095	391118	Amanda Allison
571096	107947	Narrator
571097	381685	Harriet St. John
571097	389124	Holly age 11
571098	240267	Soprano
571099	68066	Hotel Maid
571099	202093	
571099	336599	
571100	354867	Geraldine
571101	14884	Shop Assistant
571101	205960	Silvia
571102	229024	
571102	233427	
571102	282788	
571103	97097	
571104	231202	
571105	218492	Hëna
571106	86788	
571106	336829	La duchesse Carmela
571107	336829	La femme à la charrette
571108	116496	Herself
571108	336366	Tosca
571108	351854	Herself
571109	336829	Enfant
571110	336829	Enfant
571111	336829	Enfant
571112	302296	
571113	227539	
571114	374212	Hôtesse de l'air
571115	86590	
571117	115233	
571118	353605	
571119	285017	Nun
571120	328891	
571121	207047	Mariz's friend
571122	377536	
571123	372671	Dancer
571124	26725	School Girl
571125	334307	
571126	345828	Bea
571127	105395	Cindy Peterson
571128	179609	Truus
571129	69970	Spirit of Antonia's Mother
571129	281975	Jungfer Marianne Leitmetzerin
571129	283689	The Foreign Princess
571129	329669	Miss Jessel
571130	101181	La mariée
571130	148622	Micheline
571130	258151	Juliette
571130	319826	L'aide-soignante
571130	346805	Interne
571131	230102	Iris
571132	155266	Zoe
571133	82441	
571134	97532	Kristin Pietrovich
571134	145174	Carol Andrews
571134	206153	
571134	299458	Blanche (segment "Country Hos
571135	90710	She-Wolf
571135	122750	
571135	127883	Nora
571135	199917	
571135	217870	
571135	235489	Patrizia
571135	342134	Sandra
571135	354443	
571135	356145	
571135	381622	Elena Parodi (2002-2003)
571135	383609	Alice
571135	406295	
571136	31255	IntervieweeInterviewee/Real W
571136	128773	Herself
571136	145415	Party Goer #1
571136	273315	Herself
571136	273439	Herself
571136	273483	Herself
571136	311950	Guest
571136	402993	Herself/Las Vegas (2002)
571136	402999	Herself/Real Worlders
571136	403000	Herself/Real Worlders
571136	407067	Herself/Season 2 (2003)
571137	14386	Donna bruna
571137	342118	Moglie di Leone Stella
571138	105076	Assistant Engineer
571138	201691	Christine
571139	63836	
571139	248649	
571140	386385	Martha Bannaman
571141	234719	
571142	356974	
571143	169577	Brazilian
571144	333338	Herself
571145	11833	Zoe
571145	77284	Catherine
571145	159073	Diva
571145	222028	The Stewardess
571145	262507	Barbora
571145	309527	Michele
571146	34637	Herself
571146	45013	
571146	75191	
571146	77415	
571146	85771	
571146	96544	
571146	98851	Kathleen Chambers
571146	98854	Jane
571146	98857	Girl in bar
571146	128861	
571146	150342	
571146	197847	Aspiring model
571146	209750	
571146	228665	
571146	259387	
571148	41595	
571148	41866	
571148	171225	
571148	242943	
571148	260726	Herself
571148	300524	
571148	361243	
571149	303194	The Chantals
571150	355404	Showgirl
571151	145668	M
571151	262682	Anorexic Woman
571152	125634	Librarian
571152	205076	Nun
571152	213315	
571152	215560	Christine
571152	222625	Frau Kolberg
571152	321085	Mrs. Lovett/Molly
571152	337477	Valeria
571152	337490	Selimar
571152	354488	Elizabeth Meadows
571152	363257	Miss Marks
571152	385299	Helen Douglas
571152	402012	Mrs. Moran
571152	408091	Mrs. Green
571153	37136	Ballerina
571153	118337	Winsome Cripps
571153	388860	Trudy
571154	309546	Dancer
571155	9897	Herself
571155	79716	L.A. Anchorwoman
571155	160885	Perfume Admirer
571155	183876	Leslie Vance
571155	291221	Reporter with Mask
571155	381831	Co-host
571155	386157	Host
571155	389858	Meg Lawson #2 (1993)
571155	392945	Herself (Announcer) (1990-199
571155	394664	Hostess
571155	400634	Dori
571155	402400	Host (2002-2003)
571156	74215	The Jury
571156	105166	Merrin
571156	323517	Gillian
571156	399130	Carol Brown (1985)
571156	402197	Carol Colsen (1983)
571157	92736	Baitmate
571157	206154	
571157	385824	Grace Jeffries (1989-1990)
571158	117343	Lucie
571159	227579	
571160	390753	
571161	154866	Grace Conover
571162	37189	The Tomato
571163	187793	Sarah
571164	296752	Pale Woman
571165	70564	Det. Spooner
571165	292700	Katya
571166	352517	Runaway Model Four
571167	297777	Betty Holt
571168	366125	Delicatessen Della
571169	242738	Sara, as a girl
571170	15852	Groupie
571170	294980	Spa worker
571170	312151	Reporter
571170	314006	Bartender
571171	165970	Denise Williams
571172	50377	
571172	333831	
571173	11945	Chickenette
571173	217741	Young Prostitute
571174	211577	
571175	2759	Herself - Co-presenter: Best 
571175	2804	Herself - Co-presenter: Best 
571175	3095	Annette Bennett
571175	11937	Karen Schneider
571175	16251	Ingrid
571175	21173	Katherine
571175	24484	Alice Detroit
571175	30581	Varda Gray
571175	35530	Marsha Robinson
571175	39620	Abby 'Bubblin' Browne
571175	42308	Alice Henderson
571175	51801	Elizabeth Pearce
571175	61622	Domino
571175	63030	Elizabeth Blane
571175	66322	Madie Levrington
571175	81352	Myra Bruhl
571175	85817	Abby Montana
571175	89000	Lorrie Dellman
571175	100820	Stephanie
571175	140402	Thera Baylin
571175	141621	Julia Farnsworth
571175	148996	Viv Bonham
571175	160464	Herself
571175	161365	Herself
571175	164992	Rosie LaCroix
571175	166747	Jenny Baines
571175	173349	Anna Carbone
571175	178093	Leslie
571175	183775	Sally Stanford
571175	185447	Christine
571175	195854	Judith Austin
571175	202361	
571175	212696	
571175	224165	Gloria Shaeffer
571175	245249	Liz LaBreche
571175	253336	Josie Joplin
571175	255235	Ellen Stone
571175	277096	Simone Legree
571175	278766	Dixie
571175	280005	Annie Hackett
571175	280194	Jess Wilding
571175	294080	Gina Fairfax
571175	297288	Alexis
571175	298091	Cameo appearance
571175	318036	Julie Messinger
571175	329411	Mrs. Flint
571175	330867	Wiggles
571175	355090	Virginia Hill
571175	379802	Jennifer 'Whipper' Cone (1997
571175	389496	Lisa Crowder
571175	397055	Katherine 'Kate' Blackwell
571175	408127	Honey
571176	194907	
571177	22085	Ada
571177	46979	
571177	54026	Agnes
571177	55684	Flo Sims
571177	55694	Bridget Madderley
571177	55709	Miss Cooling
571177	55718	Deaf old lady
571177	70076	Erik Skold's niece
571177	71481	
571177	73918	Aunt Judith
571177	88883	Rafia Woman
571177	90398	Maid
571177	91585	Madame Cleo
571177	101427	Queenie
571177	106176	
571177	108619	Maid
571177	109483	Lady on Zebra Crossing
571177	114681	Lucy
571177	115264	Aggie
571177	116798	Mrs. Atkins
571177	122030	Maudie
571177	135551	Peggy
571177	142715	
571177	143569	Youth Leader
571177	144657	Tea Lady
571177	147521	Elsie Dawson
571177	152292	Brown Owl
571177	154486	Blond Camper
571177	154582	
571177	154935	Spencer
571177	158182	Mrs. Raikes
571177	159881	Dolly
571177	163558	Sir Philip's Maid
571177	163560	
571177	164502	Nelly
571177	185056	Polly Shepherd
571177	185316	Miss Fox
571177	195590	Ethel, the maid
571177	206465	
571177	233649	District Nurse
571177	234888	
571177	236887	Mrs Jones
571177	240683	Mrs. Stammers
571177	245134	Rich Passenger's Companion
571177	245663	Alice
571177	258954	Mrs Warren
571177	269882	
571177	271362	Mrs. Deevens
571177	285638	Edie Hornett
571177	304812	Scrubwoman with ladder
571177	312145	Maggie
571177	314248	Bit
571177	331489	Meek Woman
571177	336715	
571177	340474	Maid
571177	340512	Woman
571177	356948	
571177	360152	Mrs. Ted Brewer
571177	360425	Consul's Wife
571177	362068	Aunt Emily
571177	362472	Bridget Madderley
571177	370896	Effie
571177	372642	Bit Part
571177	402777	Lily (1961-62)
571178	150178	
571178	295484	
571179	328869	Mary
571180	80782	Gallery Extra
571181	254522	Young Christine
571182	390272	Golddigger
571183	92182	
571183	210389	
571184	336914	Choo Choo
571185	53270	Ellen Lindsey
571185	67572	June Clark
571185	92192	Darla
571185	116803	Chanty
571185	141388	Priscilla Gorshalk (1988)
571185	144592	Barbara Beck
571185	144641	Barbara Beck
571185	144840	Sandy
571185	144865	Amy Kane
571185	149759	Mabel
571185	207899	Linda Coolidge
571185	208080	Hope Harper
571185	264651	Spring
571185	274100	Amelia Andersen
571185	274429	
571185	365759	Fran Liddy
571185	367807	Alice
571185	381047	Capt. Dottie Dixon (1977-1978
571185	381811	Felice Martin (1991-2000)
571185	384909	Jill Sindon
571185	388497	Mae Woodward
571185	391246	Priscilla Gorshalk (1988)
571185	407086	Shelia
571186	27145	Kelly's School Friend
571187	92095	Woman in elevator #2
571188	264158	Newspaper Student Korry
571189	359933	
571189	375823	Tammy
571190	380654	Amanda Jacobs
571191	66656	Madge
571191	387334	Princess Victoria (Granddaugh
571191	400522	Miss. Peamarsh
571191	409666	Lady Dolly Hale (3 episodes 1
571192	272917	Saleswoman
571192	293145	Alice
571192	340707	
571193	123240	Bubbles
571193	126510	Bonnie
571194	279200	Dancer
571195	83477	Charlene
571196	310646	Eight
571197	190171	Singing woman
571198	34673	Mary
571199	280663	Club Bartender
571200	114145	Coffee Kid
571201	309546	Dancer
571202	309205	Herself
571203	2964	Katherine Weir
571203	42108	Kristine
571203	60075	Melissande
571203	73190	Phyllis Roberts
571203	114242	Kathryn Yarnell
571203	117241	Betsy
571203	152910	Liz Maddux
571203	169950	Bernice
571203	185765	Audrey Jamison
571203	223815	Rita Fletcher
571203	245710	Felicia/Lola
571203	306257	Minna
571203	383964	Dottie
571203	388070	Ellen Burke
571203	398730	Stephanie Clements
571203	410416	Lily
571204	385309	Herself (site manager, Old Sa
571205	120911	
571206	14880	Daniela Parodi
571206	208798	
571207	333246	Committee Member
571208	635	
571208	193344	Odalisca 2
571208	409463	Secretaria (1992-1993)
571209	74594	Elena Garro
571209	194618	Monja 2
571210	354996	Alexis's Mother
571211	61360	
571212	210947	Maria
571213	30418	
571214	8269	
571214	13064	
571214	14435	
571214	14801	(segment "Seducción, La")
571214	20856	
571214	48799	
571214	51813	
571214	57250	Lucha.
571214	63887	
571214	76106	
571214	83888	Susana
571214	86710	
571214	88125	
571214	94825	
571214	103509	
571214	115747	
571214	119860	
571214	135248	
571214	171473	Ofelia
571214	171612	
571214	184877	
571214	189020	Amanda Cabrera
571214	189029	
571214	221956	
571214	236470	
571214	242680	
571214	253596	Julieta
571214	277410	
571214	300709	
571214	339171	(segment "Lucía")
571214	375740	Leonor
571214	387825	
571214	397017	
571214	397462	
571214	398664	Muñeca
571214	401161	
571214	403873	Rubí Pérez
571214	411693	Yesenia
571215	379905	Molly Chamorro Beltrán
571215	384400	Aurora 'amiga de daniela en e
571215	393833	Araceli Fuentes 'amiga de Gin
571215	402152	Melissa Molina
571216	170478	Marchanta
571217	104977	Jean
571218	254256	
571218	254257	
571218	254258	
571218	254259	
571219	22699	Niña Francia
571220	171606	Ilka
571221	89938	
571222	96368	Tribunal de la Tesis
571223	21075	Psicóloga/Psicologist
571223	25805	Mujer del Herrero
571223	34576	Maruja de Montijo
571223	56117	Amparo
571223	65006	Worker in Hallway
571223	74600	Paloma
571223	90504	
571223	103630	Madre Domingo
571223	103758	
571223	164237	Canela
571223	186591	Canela
571223	207032	
571223	296485	Amiga 2
571223	322830	
571223	327923	
571224	286090	Natalia
571225	339126	Sole
571226	379614	Nayeli Sánchez
571227	9659	
571227	99668	Hermana
571227	302358	Policía
571228	382378	Nadia
571228	384864	Adriana
571228	385875	Carmelita
571228	387685	Rebeca
571228	393833	Eugenia Robles 'mamá de Maris
571228	401700	
571228	402152	
571228	403885	Victoria
571228	404736	
571228	408709	Gilda
571229	392960	Tita
571229	393833	
571229	395885	
571229	402049	Sonia as a child
571230	33493	
571230	225032	
571231	551	
571231	46658	
571231	55085	
571231	56011	
571231	65404	
571231	103500	
571231	286283	
571231	343733	
571231	357533	
571232	292766	Chica Pizzería
571232	322396	Hija Cana 18
571233	14570	Ana
571234	401680	Laure
571236	17387	
571236	116368	
571237	113023	
571239	110050	Mme Plouchard
571240	262514	Mai Tai/Dancer
571241	49510	Herself
571241	74300	
571241	187412	Herself
571242	229538	Neil's Mum
571243	2785	Herself - Best Costume Design
571243	201818	Herself
571243	313160	Herself
571244	15143	
571244	33492	Frida
571244	46113	Charlotte von Stein
571244	53220	Gabrielle Hackmann
571244	82552	Julia Bergmann
571244	111674	Liane
571244	145476	Amy Pröstler
571244	156756	
571244	166763	Clarissa
571244	170463	Mutter
571244	221284	Paula Heimann
571244	226170	Johanna
571244	230229	
571244	352071	Laura Brinkmann
571244	358746	Rosina
571244	361508	Claire
571244	367368	Retos Mutter
571244	374555	Eve
571245	19878	
571245	163034	
571246	367233	
571247	153255	Tessa
571247	203835	
571248	311323	Indian Woman
571249	70116	
571250	101816	Isabel niña
571251	392961	
571251	402247	Host
571252	345243	Jeune femme dans le coma
571253	21297	Specialty
571253	47343	Specialty
571253	157546	Novelty
571253	308581	Member, The Canova Family
571253	331762	Herself
571254	11678	Herself (for "Soap")
571254	31191	Herself (ABC Team)
571254	48083	Sheila
571254	81219	Sheila Brady
571254	96687	
571254	114193	Juanita
571254	163554	Guest
571254	195482	Donna Morley
571254	209413	Daughter-in-law
571254	232164	Lauren Hensley
571254	241799	Diana
571254	251931	Susan
571254	366868	Dolores Andrews
571254	386365	
571254	389036	Harriet Foot
571254	391875	Vanessa
571254	392462	Diana Cassidy
571254	405769	Corinne Tate-Flotsky (1977-19
571254	408144	Sandy Beatty (also theme song
571255	7010	Sheriff's wife
571255	21297	Toots
571255	47343	Specialty
571255	53957	Sharma Capri
571255	55522	Judy Canova
571255	60037	Judy Boggs
571255	130336	Annie
571255	146757	Judy Stevens
571255	148912	Judy
571255	157546	Novelty Singer
571255	168125	Judy Hull
571255	186480	Judy
571255	195188	Judy Crocker
571255	209674	
571255	239391	Judy Canova
571255	266765	Judy Goober
571255	289682	Judy Hull
571255	291335	Herself
571255	291340	Herself
571255	291344	Herself
571255	291391	Herself - The Judy Canova Sho
571255	302695	Judy McCoy
571255	303146	Sis Hopkins
571255	304865	Judy Joyner
571255	304876	Bessie Cobb
571255	308581	Member, The Canova Family
571255	331762	Judy
571255	340854	Daisy Hawkins
571255	347742	Judy
571255	358035	Judy
571256	12675	
571257	186480	Tweeny
571257	347742	Tweeny
571258	14897	
571258	20135	(segment "Les Boréades")
571258	33547	Éliane
571258	47400	Mme Lescuyer
571258	67225	
571258	80174	Maria's mother
571258	84635	Claudia
571258	88177	Appraiser
571258	101139	Diane
571258	101225	Mireille Daumier
571258	167654	Anna
571258	170110	Monique Muller
571258	170420	Marianne
571258	206966	Isabella
571258	212814	Audrey Fronsac
571258	251544	La femme de georges
571258	257007	Lise Imbert
571258	258337	Mrs. Rozinski
571258	261865	French Woman
571258	265736	Paulette
571258	266419	Violetta Romney
571258	266746	La minette
571258	268902	Sylvie
571258	272033	
571258	292338	Leïla
571258	332190	Joséphine
571258	339485	Voulas
571258	354647	Marie
571258	374292	Alessandra
571258	381194	
571258	381195	
571258	382195	Judith Malahougue
571258	384175	Beatriz Enriquez
571258	393487	Marie Dévote
571258	395914	Agnès
571258	400771	Sylvie
571258	408169	Myriam Breuil
571259	194922	Herself
571260	349646	
571261	346173	Marcello's Niece
571262	234324	Herself
571262	398522	
571262	412126	Host
571263	373633	
571263	377532	
571264	10522	Mihriban
571264	12648	
571264	22034	
571264	28390	
571264	31468	
571264	33304	Sevda
571264	33305	
571264	38496	
571264	82617	
571264	82620	
571264	84698	
571264	99551	
571264	139807	
571264	143235	
571264	173781	
571264	182091	
571264	182092	
571264	202454	
571264	202455	
571264	207204	Feri
571264	295252	
571264	378199	
571264	378230	
571265	38477	
571265	136910	
571265	248648	
571266	32315	
571267	51338	
571268	131473	Jill
571268	302149	
571268	361143	Lauren
571269	12286	Handmaiden
571269	92162	Dancer
571269	176325	Rosita
571269	207196	Carmencita
571269	275449	Filipino Girl Chasing 'Lucky'
571269	277844	Indian girl #1
571269	335621	Dancer
571270	28961	
571271	278891	Herself
571272	6631	
571272	16809	
571272	59788	
571272	64999	
571272	222041	
571272	236418	
571273	69712	Anayensi
571273	74558	
571273	96355	Rosa
571273	100414	Irida
571273	114881	Antonia
571273	131091	
571273	134583	La bonne
571273	148032	
571273	169803	Luisa
571273	170037	
571273	191581	Carmela
571273	206985	
571273	233344	
571273	233901	
571273	246560	
571273	253299	Margarita
571273	279256	
571273	296212	
571273	307466	Soledad
571273	326144	Fernanda
571273	376636	
571273	376641	
571273	377178	
571274	278891	Herself
571275	19526	Angela
571275	20695	Scella Pezzata
571275	54786	
571275	91054	Teresa
571275	266128	
571276	286357	
571277	127389	
571278	387569	
571278	398531	Host (1980-1982)
571278	407735	Newsreader (1978-1980)
571279	3447	Shopkeeper
571280	44654	
571280	50396	
571280	128635	
571280	133920	
571280	291011	
571281	254076	
571282	68812	Mère d'Angela
571282	384291	Gisella
571283	363953	Waitress
571284	328258	Bruce's Girl
571285	305362	Dance Stripper at Bar
571286	393186	Carola Quiñones
571287	351297	Amica di Anna
571288	207890	Comtessa de Folleville
571288	353139	Comtessa de Folleville
571289	4931	
571289	44606	Arva
571289	72973	
571289	94643	
571289	123063	Paula Lucisantilla
571289	162040	
571289	183478	
571289	231440	Nurse #2
571289	278170	
571289	336970	
571289	355357	Suora/Strega del Sabba
571289	370865	Moro's Interpreter
571290	14501	Gertrude
571290	286181	
571291	400159	Herself (2000-2001)
571292	400286	Tamara Prosperi
571293	72789	Herself (Nominee)
571335	382932	Frankie
571294	13953	Woman at Political Dinner
571295	175223	Daughter
571296	74023	Jennifer
571296	307881	Extra
571296	325222	May
571297	257567	
571298	326748	Betty Royson
571299	56388	
571299	193501	Friend of conductor
571301	24703	Twin
571301	308011	Student #2
571301	397179	Mindy Stage
571302	24703	Twin
571302	397179	Cindy Stage
571303	190273	Belly Dancer
571304	190273	Rap Kid
571305	291309	Rosanna
571306	332598	Niña
571307	101791	
571308	278424	
571309	353236	English Teacher
571310	6468	
571311	307204	
571312	100146	Alice
571312	276309	Marie
571313	52002	
571313	55183	
571313	111053	
571313	125737	
571313	134298	
571313	377852	
571314	87166	Mother of the Bride
571315	87166	Grandma
571316	283758	Vegla segl banc
571317	283758	
571318	114329	Katharina
571318	259193	Antonia
571318	325760	
571318	388257	Johanna Faller
571318	388609	Dagmar Egger
571318	404106	Herself
571319	33174	
571320	41181	Mrs. Namtut
571321	96113	Dancer
571322	222378	
571322	353670	Vecina
571322	382540	
571323	15108	Marianne
571323	21617	Christina Arcand
571323	40278	
571323	78370	Infirmiere 2
571323	164675	Monique
571323	171596	
571323	196337	Suzanne
571323	205265	
571323	208128	Madame St-Pierre
571323	378074	
571323	389304	Roberta Richard
571323	398137	Reporter officiel
571323	400768	Denise Lemieux
571323	403254	Jeanne Prévost
571323	407807	Vipérine
571324	353840	Evelyne (30-50 ans)
571324	383592	Régine Girouard
571325	164637	Slime Squad
571325	336701	
571326	57522	Anne
571326	99369	
571326	275527	
571326	377253	Agnes
571327	169017	Guardian Angel
571328	328891	
571329	116511	Waitress
571329	143203	Nurse
571329	176324	Peggy Andrews
571329	215534	Maid
571329	274283	Daisy Nell (singer-dancer)
571329	275859	Salesgirl
571330	23338	Little Blister Girl
571330	29753	Lorena (Motion Capture)
571330	89099	Camper
571330	90911	Michelle (7)
571330	114260	Senator's kid
571330	215860	Child at Party
571330	244903	MacLaren's classmate
571331	64772	
571331	269088	Cri-Cri
571332	298074	
571333	2195	Laura
571333	8922	
571333	15024	Hélène
571333	19346	Christine
571333	24669	Lisa
571333	28624	
571333	51406	Brigitte
571333	53227	Esther, la patronne du bar
571333	54061	Marianne
571333	55563	
571333	58409	Woman cop
571333	66213	
571333	66731	
571333	78388	Louise
571333	94339	
571333	97639	Hélène
571333	99375	Le Petit Chaperon rouge
571333	111143	Sylvie
571333	116479	Colette
571333	120973	La jeune femme
571333	132404	Marianne
571333	132751	Judith
571333	153874	Juliette Guedel
571333	156532	Alice
571333	184062	Christelle
571333	187750	Claire
571333	187831	
571333	205967	Teacher
571333	215056	Elisa
571333	226477	Claire
571333	235804	
571333	240444	Manu
571333	245985	La psy
571333	261712	Juliette
571333	268828	Marie-Lise, Cervoise's secret
571333	268944	
571333	276466	Claire
571333	279714	
571333	286277	Eve La Rochelle
571333	340191	Sophie, Claire's friend
571333	340195	Madame Bozzi
571333	340205	
571333	343331	
571333	345441	Patricia
571333	353836	Léa
571333	361710	Marilyne
571333	377905	Catherine
571333	377964	La fille de Margot
571333	377977	Maryvonne
571333	385347	Sophie
571333	401053	Béatrice (1982)
571334	100734	Ana Paula
571334	107022	Vera Lúcia
571334	218719	Showgirl
571335	194849	Annie Tech
571336	115833	
571337	307468	Townsperson
571338	234310	Control Switcher
571339	41917	
571339	70208	Clorissa
571339	100131	Girl #2
571339	107135	Sarah-Charlotte
571339	196209	Val
571339	224360	Kim O'Brien
571339	227335	Sue
571339	230531	Sarah
571339	240715	Faith
571339	292698	Stacy
571340	23401	Alvarina White
571342	384981	Tomasa
571343	30742	
571343	98694	
571343	329216	
571344	69161	Host
571345	397546	Vavá
571345	404261	Talita
571346	65046	Foreign Advisor
571346	362115	Extra
571347	100993	Knights of Yahweh Girl #2
571348	187714	
571349	407166	Saartje (1963-1965)
571350	314127	Lily
571351	43661	
571351	145143	Airline saleswoman #1
571351	203344	Evelyn
571351	370153	Perla
571351	379815	Eugenia Granados
571351	380059	
571351	385392	Guest at Jaime's party
571351	385855	Lupita
571351	386791	Graciela
571351	392806	Francesca Paoli Prado
571351	397019	Soraya Montenegro de la Vega 
571351	398458	Lucía
571351	402540	
571351	404172	
571351	405415	Raquel Villavicencio Rojas de
571351	409017	Casandra
571351	409779	Raquel
571352	311980	Laila
571354	306952	Voice Lucia
571355	186897	Baustellen-Chor/Construction 
571356	101139	Marie-Ève
571357	132888	La logeuse
571358	235715	Valère
571359	73068	Vendeuse Grand Magasin 2
571359	240465	Female Guest
571359	249763	Irène
571359	291575	Médecin échographie
571359	401329	La directrice de la librairie
571360	94115	National Anthem Singer
571360	208475	Herself (#83) (Interviewee)
571360	280200	Herself
571361	257650	Herself (Miss May)
571361	257816	Miss April 1992
571361	361851	
571362	41181	Aerobic girl
571363	81155	Dawn
571364	35137	American Cafe Waitress
571364	63941	Telephone Operator
571364	167519	
571364	175175	WAC company commander
571364	221170	Girl
571364	241566	Margaret Dean
571364	242532	
571364	313803	Publicity Woman
571364	361643	Helen Morgan
571364	372929	
571365	337998	Hooker Jennings
571366	160832	Extra
571368	241811	Joe Weeks' wife
571368	343232	Girl with Quinn in club
571369	315479	Teresa Lewis
571370	241244	Lady Madonna
571371	205718	Marilyn
571372	379831	Leticia/Jennifer Harlow #2 (1
571373	377939	
571374	47088	Ida
571375	310817	Speelmeisje
571375	401140	Katoenprinses
571376	166871	Saloon girl
571377	213751	Milagro Townsperson
571378	40752	Lena Polgar
571378	60712	Cherie
571379	386212	
571379	391673	
571379	401900	
571380	381153	
571380	386531	Regina Torres
571381	10233	
571381	13045	
571381	14725	
571381	21704	
571381	24622	
571381	61204	
571381	82342	
571381	82392	Isabel
571381	103671	
571381	145260	
571381	152257	
571381	160275	
571381	205140	
571381	222014	
571381	249860	
571381	255547	Lucerito Rioja/Rosario de la 
571381	287437	
571381	292760	
571381	292919	
571381	301164	
571381	338362	
571381	378472	
571381	404992	
571381	412125	
571382	2545	Chorus girl
571382	89158	
571382	130622	Gold Digger
571382	176335	Goldwyn Girl
571382	191835	Society Girl
571382	263592	
571382	342929	Moll
571383	269082	Teacher
571384	188334	Lolly
571384	276708	Sgt. Hooper
571385	159971	Nurse
571386	131061	Phyllis - Bentwood Girl #1
571387	56222	Servant
571388	411561	Musical Guest (July 2000) (mu
571389	259406	Herself
571390	27112	Ida
571390	33579	Daisy
571390	34685	Hester
571390	46993	Queenie
571390	61164	Hazel
571390	73412	Petunia, Paris' Maid
571390	81009	Dora
571390	81023	Dora
571390	93240	Lavinia
571390	109855	Delilah
571390	109897	Delilah (Banks' maid)
571390	130301	Camellia
571390	141665	Pearl
571390	148406	Housekeeper
571390	154169	Maid Dolly
571390	162267	Phoebe the Maid
571390	168671	Jennie
571390	183706	Martha
571390	183721	Mary Lou
571390	184094	Maid
571390	200473	Jennie, Claire's Maid
571390	202952	Emma, Agnes Scott College Hou
571390	212216	Verbena (Carmelita's maid)
571390	219950	Beulah
571390	223943	Grace
571390	235381	Lucy
571390	273633	Plato's Nurse
571390	291993	Sophronia
571390	301988	Ruby
571390	311565	Idabelle
571390	316742	Giggling Woman wth Eunice
571390	319010	Samanthy
571390	331398	Mattie, Julia's Maid
571390	334402	Angelique, Suzette's Maid
571390	349874	Tilly
571391	197987	
571392	389295	Nita
571392	399269	Nita
571392	411802	
571393	169775	
571394	21706	
571394	220236	
571394	256787	
571394	268238	
571394	382197	Clara
571394	410081	Minerva
571395	3253	
571395	68845	
571395	71121	
571395	85567	
571395	99710	
571395	170099	
571395	207014	
571395	213410	
571395	277373	
571395	296126	
571395	339110	Alicía
571396	103846	
571396	143763	
571396	341711	
571397	46514	Narrator
571398	336951	Claudie
571399	220697	Antoinette
571400	22788	Maria
571400	24906	Clara
571400	68554	Rosaura de adolescente
571400	82585	Mujer agresiva
571400	244464	Otilia
571400	376172	Maria de la Luz
571400	380083	Pilar
571400	384831	
571400	391417	
571400	395857	Adriana
571401	6411	
571402	105280	Trick-or-Treat Child
571403	108087	Cindy
571404	345807	Donna
571405	291625	Gabriela
571406	42095	
571407	291625	Marina
571408	168850	Lucia's colleague
571409	71	Member of Music Maids
571410	296894	Effie Blackgoat
571412	6717	Herself
571412	6722	Herself
571412	13503	Herself
571412	13869	
571412	23466	
571412	25460	
571412	31880	Herself
571412	34733	
571412	34765	
571412	34836	
571412	34919	Herself
571412	34928	
571412	34932	Herself
571412	34933	Herself
571412	36886	
571412	36906	
571412	36939	
571412	37195	
571412	37196	
571412	37199	
571412	37202	
571412	37949	Herself
571412	39530	
571412	41486	Herself
571412	45738	
571412	52313	
571412	57273	Herself
571412	63177	Herself
571412	63178	
571412	63179	
571412	63180	
571412	75191	
571412	81787	Herself
571412	81835	
571412	85764	Lily
571412	85765	
571412	85770	
571412	85772	
571412	85773	
571412	85786	
571412	86706	Segment 1 Girl
571412	87154	
571412	97504	
571412	97505	
571412	98843	
571412	98850	Candy
571412	98852	Constance Barrymore
571412	102818	Herself
571412	105370	Secretary
571412	108451	
571412	127809	Herself
571412	128846	Herself
571412	128859	
571412	129081	Herself
571412	131628	
571412	132300	
571412	132304	
571412	132305	
571412	150338	
571412	152279	
571412	154342	
571412	161506	
571412	163479	Herself
571412	163480	Herself
571412	172914	
571412	175825	
571412	175826	
571412	175827	
571412	178086	
571412	187318	
571412	187409	
571412	187414	Herself
571412	189453	
571412	190679	
571412	196533	
571412	196554	
571412	199268	
571412	208439	
571412	210453	
571412	219150	
571412	224269	
571412	235576	
571412	242073	
571412	264150	
571412	272415	
571412	272416	
571412	272816	Herself
571412	293025	
571412	295680	
571412	295682	
571412	295912	Christine
571412	302577	Herself
571412	311451	Herself
571412	313238	
571412	313271	
571412	313299	
571412	313689	
571412	318710	
571412	319398	Herself
571412	319487	
571412	319673	
571412	319702	
571412	319705	Herself
571412	321012	
571412	321013	
571412	321051	
571412	321160	Herself
571412	324767	
571412	325262	
571412	325264	
571412	327781	
571412	331303	
571412	333810	
571412	335803	Herself
571412	337290	
571412	337350	
571412	338766	Ivory Blake
571412	340568	Christy
571412	342460	
571412	343068	Herself
571412	345715	Herself
571412	345716	
571412	358074	Herself
571412	365495	
571412	365515	
571412	369913	
571414	26942	
571414	26943	
571414	31027	
571414	34759	
571414	34869	Dancer 2
571414	34899	
571414	41001	
571414	41866	
571414	52272	
571414	53130	
571414	66114	
571414	81825	
571414	85777	
571414	85780	
571414	97674	
571414	127817	Laurel
571414	150172	
571414	152974	
571414	155877	
571414	183013	
571414	186161	
571414	189453	
571414	197856	
571414	197857	
571414	209799	
571414	235584	
571414	240980	
571414	272415	
571414	297823	Lost backpacker
571414	297824	
571414	312612	
571414	325220	
571414	325272	
571414	364338	
571414	366831	
571415	98782	
571415	98783	
571415	98784	
571416	309172	Ayano Elizabeth Hakuhoin
571416	392430	Seiko Kasuganomichi
571416	399405	Waitress, Girl, Additional Vo
571417	71148	
571417	111923	Liliana
571417	289338	
571418	229600	
571419	158089	Soprano
571420	33179	Ballet Dancer
571421	402048	Herself (2004)
571422	76293	The Second Concubine
571422	332357	Feng Min
571423	326035	Gamin
571424	167911	Zhuma
571425	104150	
571425	244593	
571425	353616	
571426	394477	Kim-Vi "Kiki" Sommerland
571427	323226	Caroline
571428	369180	Yuehong Xing
571429	298350	Gu Na
571430	207977	
571430	212249	
571430	263069	
571430	283140	
571430	355781	
571430	381261	Martha
571430	384982	Concha
571430	385368	Amelia
571430	385404	
571430	390868	
571430	392960	Evelia
571430	393801	Petra
571430	396631	Josefina
571430	397019	Calixta Popoca
571430	397021	Alma
571430	397573	
571430	397593	Elodia
571430	397598	Miguelina
571430	398457	
571430	398469	Doña Blanca
571430	398798	
571430	399532	
571430	399823	Serafina
571430	401898	
571430	402681	Consuelo
571430	403173	Esther Monteverde
571430	409719	Cenobia Rojas
571430	410303	Porfiria
571432	142719	
571433	70065	
571434	391173	
571435	41490	Encarna
571436	315837	
571436	389120	
571437	104488	Célia
571438	76214	Uniform Policeman 2 (Revoluti
571439	380993	Alex
571440	34403	Selma
571441	381821	Ensemble (1969)
571442	114561	Jill
571442	153564	Elevator woman
571442	318103	Rhonda
571443	16181	Portiera Vanessa
571443	63890	
571443	162030	Irene
571443	222856	Giornalista
571443	230102	Wilma
571443	268847	Elena, moglie del sindaco
571443	319326	Clara
571444	213185	Imelda
571445	56747	Trixie
571446	276478	
571447	257634	Additional Cast
571448	128684	Herself/St. Thomas Aquinas st
571449	353855	Valérie
571450	21590	
571450	302358	Monja
571450	328323	Sra. de Sicart
571451	345555	Caissière
571453	66080	
571453	70687	
571453	109266	
571453	329050	
571453	370439	
571453	379206	
571453	384845	
571453	384986	Kuma
571453	385254	
571453	387448	
571453	387696	
571453	396243	Señorita Lotte
571453	396854	
571453	404806	
571453	405867	
571454	58433	
571454	255744	
571455	318260	Clienta
571456	990	Herself
571457	225702	
571458	66565	
571458	286042	
571459	43977	
571459	108873	
571459	127996	Signora Mantelli
571459	223322	Giovi
571460	119001	Arnold
571460	206906	Mary's Mother
571461	387615	Denise
571462	313195	Dancer
571463	232467	Spirit
571463	365930	Kitty Devonshire
571464	8473	
571465	165737	
571465	339996	
571466	194188	
571467	33626	
571467	134605	Margot Capelier
571467	345641	
571467	376912	Aimée
571468	119552	Sally
571468	266671	Sue Knight
571469	119249	
571469	225135	
571469	226324	Gerda
571470	11775	Monique
571470	140263	Anna as Child
571470	169119	Josefine Huber
571470	170684	
571470	189804	Veronica
571470	225256	Karon
571470	234370	Genevieve Bennett
571470	253937	Lilo
571470	343502	
571470	395377	Fräulein Sabine
571470	412246	Louise
571471	44360	Madame President
571471	182150	Dennis Duffaut
571471	325587	Felicitas Sassner
571471	396874	Andrea Süsskind (1993-)
571471	401995	Andrea
571472	63915	Chica de la biblioteca (Libra
571473	117828	
571474	238274	Belinda Wiggs
571475	9919	Claudia
571475	178589	
571475	180474	Renate von Natzmer
571475	218979	Griselda
571475	325833	Frau Hansen
571475	325894	Frau Zangemeister
571475	344784	Alice
571475	389119	Trude Grassmann (1990-1991)
571475	389948	
571475	396782	
571475	409958	Fiona Beckmann (1995-1997)
571475	409990	Elisabeth von Raabe
571476	170852	Lori
571477	93414	Chilli, das Schaf (Voice)
571478	395846	Concordia
571478	401067	
571479	242529	Woman on Street
571480	29965	
571480	29968	Barefoot Model
571480	32061	
571480	42415	
571480	45052	Bound Secretary
571480	62431	
571480	89891	
571480	113191	Herself
571480	116808	
571480	116827	
571480	116837	
571480	150051	
571480	150055	Makeup Artist
571480	150056	
571480	150560	
571480	150947	
571480	150950	
571480	150952	
571480	167005	Jesse
571480	208540	
571480	235403	Naked Girl at Party
571480	247932	
571480	255430	Aubrey
571480	306841	
571480	333650	
571480	335930	
571480	350343	Desiree (Perfect 10 Model)
571480	381402	Jennifer Leone (Perfect 10 Mo
571481	384637	
571482	18795	Elsa Ortiz
571482	20713	Silvia
571482	56290	
571482	62298	
571482	70951	
571482	84065	
571482	103847	
571482	115732	
571482	148060	
571482	170237	
571482	289080	
571482	291603	
571482	308963	Dra. Sandler
571482	318238	
571482	339184	Ver Angélica
571482	353670	Amanda
571482	354107	
571482	383032	
571482	384119	Emilia Gutiérrez (1995)
571482	385402	Roberta Soldati
571482	388097	Dolores
571482	389780	Valeria
571482	391847	Elenita
571482	395864	
571482	397733	Chiara Monti
571482	403107	Lucrecia
571482	403784	
571482	404993	
571482	410289	Doña Francisca
571482	411903	Luz's Mother
571483	167197	Miren
571484	107057	La secrétaire
571484	254317	Mme Bernier
571485	77135	
571486	67640	La gynécologue
571486	156150	Nadine
571486	159599	Sophie
571486	227300	L'hôtesse
571486	343565	
571486	353934	Mia
571487	201542	Grace
571489	46716	Bride 8
571490	26969	Maxine
571490	27184	Mrs. Green
571490	31490	Mama
571490	32658	Miss Linda Anderson (Ryce's C
571490	37149	Delilah (McCandles' maid)
571490	49952	Mamie
571490	68449	
571490	90786	Mrs. Mantley
571490	105200	Nevel's Mother
571490	110380	Bella Beauchamp
571490	110997	'Mama'
571490	111442	Florence Sparrow
571490	114674	Ruby
571490	117089	Ida Mae Boudreau
571490	122756	Narrator
571490	126035	
571490	133870	Sister Pearl
571490	151092	Sarah
571490	151758	Cora Mae, Secretary
571490	168087	Emma Ray
571490	169881	Mabel Cobb
571490	171037	
571490	183815	Mama Holliday
571490	185836	Martha
571490	194906	Theresa
571490	220506	
571490	235059	Cleo Jackson/Clunker, Irregul
571490	235227	Ernestine
571490	238612	Velma
571490	243582	Lily
571490	246230	Shirley
571490	272868	Dr. Helen Harris
571490	277904	Teresa Moreno
571490	319757	Effie
571490	323565	
571490	326428	Landlady
571490	337180	Ruby Simpson
571490	340530	Macy
571490	340899	Elizabeth Moore
571490	362512	Choir Mistress
571490	363247	Nurse Blandings
571490	363521	Judge Atherton
571490	363911	Gorilla Sydney
571490	365883	Eloise Baker
571490	368588	
571490	386863	Delia Bonner
571490	389249	Bertha Griffin-Lamour
571491	337381	Skinny Girl with Glasses
571492	328581	Tong Room Girl
571493	344524	Herself
571494	19106	Marianne
571494	112842	Colette
571494	167227	Juliette
571494	345554	Anne-Marie
571495	302777	Exotic Applicant
571496	391611	Jennifer Leiva
571496	396333	Madona Ríos
571497	242093	Model
571498	384982	Chabela
571498	385369	Doña Matilde
571499	102442	
571500	225031	Romina
571501	132709	
571502	369443	Claudia a los once años
571503	369443	Claudia a los once años
571505	367271	Kick Line
571506	355764	
571507	205305	
571508	282781	Pierre
571509	3509	Invitata
571509	55555	
571509	135245	
571509	202280	Camilla, la beduina
571509	235779	Rosy
571509	270850	
571509	294713	
571509	327480	
571510	233897	Traffic Lady
571511	51981	Jolie
571512	72747	Joan
571512	113315	Girl In Car
571513	240317	Rom
571514	180096	
571515	171297	Kid #2
571516	190273	Andrews Sister #3
571517	91932	Witch #1
571517	282562	Lydia
571517	304820	Elsie
571518	360682	Bridesmaid #3
571519	257522	Press Assistant
571520	285287	Patient #3
571521	257522	Press Assistant
571522	89207	New Orleans Apt. Girl
571522	116053	
571523	146934	Susan Hughes
571524	105241	Angela
571524	120660	Lily
571524	139243	Lizzy Lyons
571524	195772	Sara
571524	209133	Janis Ian
571524	243150	Party Girl
571524	401543	Faith Pitt
571525	239786	Julie
571525	248531	Rachel
571525	279460	Boston Coed
571525	329703	Chloe
571526	79611	Teacher
571527	112632	Angie
571527	149442	Green-Haired Girl
571528	109649	Athlete
571529	37894	Chelsea Myers
571529	66194	Miss Geist
571529	66196	Herself
571529	72677	Suzanne
571529	107910	Melinda
571529	138134	Peaches Gilroy
571529	192278	Marianne
571529	194211	Rona
571529	194213	Rona
571529	194638	Gena
571529	222620	Hooker #1
571529	230669	Nosy Neighbor
571529	231779	Receptionist
571529	231798	Crying Flower Customer
571529	252242	Bank Customer
571529	252936	
571529	255235	Crying Woman
571529	266758	Diedre
571529	297240	Miriam (waitress)
571529	298216	Mrs. Goldberg
571529	324020	
571529	346142	Cigarette Girl
571529	346276	Marsha
571529	384531	Miss Geist (1996-1997)
571530	63275	Little Girl
571531	100444	
571532	118938	Nurse Verna
571532	299963	Tanya Jones
571533	194222	Mannequin
571534	357991	Prissy
571535	64070	Ensemble
571536	84682	Lisbeth van Putzeboom
571536	248358	
571537	165901	La Vendeuse
571538	5397	Clarissa
571539	53327	Good Dancer
571539	57157	Receptionist
571539	80477	Saleswoman
571539	144592	News reporter
571539	144641	Bank customer
571539	165422	Tango Dancer
571539	300361	Jordan
571540	47796	Harvard Student
571541	172958	Zvarová
571541	315359	Dubinová
571542	3439	
571543	82220	
571543	353290	Filomena
571544	329839	Fenia Gaitanides
571545	65610	Francis Foster
571545	301398	Real estate fast talker
571545	319001	Judy, Madeleine's Friend
571546	47914	Ms. Stevens
571546	82714	Maria
571546	120298	Secretary
571546	252285	Annie Farnsworthy
571546	278710	Melissa
571546	337998	Shauna Wilder
571547	127391	
571547	292283	
571548	132194	Monna Lisabetta
571549	14390	La governante
571549	16861	
571549	49681	
571549	54148	La governante di Albini
571549	54354	Maddalena
571549	55165	La madre di Carmela
571549	67507	Maria Nicolajevna, la governa
571549	86069	Signorina Polipini nº2
571549	109979	
571549	161787	La zia Amalia
571549	230080	Prudentina
571549	243303	La signorina Caratti
571549	251619	
571549	251626	Bettina
571549	295163	La direttrice del collegio
571549	303178	
571549	353856	L'altra amica pettegola
571549	355891	
571550	5772	La zia di Ilse
571550	13093	
571550	24835	La signora Camilla
571550	90657	
571550	90712	
571550	125360	La baronessa Santina di Lagom
571550	134317	
571550	162075	
571550	183285	Filomena
571550	216845	Evelina
571550	270871	
571550	274901	Una dama di corte
571550	276443	Zia Sofia
571550	334773	the grandmother
571550	385779	Betsey Trotwood
571551	10186	
571552	87166	Fancy Dancer
571553	162057	
571553	244662	
571554	276295	
571555	387959	Herself - Co-Presenter (1992)
571556	205539	La Brune Pulpeuse
571557	129205	Agarit
571557	326036	
571558	300871	Punkette
571559	13861	Finger
571559	114100	Tina Jernigan
571559	144957	
571559	191389	Alex
571559	206864	Susan Trenton
571559	291865	Joan Cullen
571559	304235	Jennifer King
571559	363668	Gabrielle Robbins
571559	390771	Francesca Vizzini (1991)
571559	392461	
571559	405298	Dr. Diane Camilleri
571560	405291	
571561	25854	Gabriella
571562	76017	
571563	184906	Herself
571563	388037	Various
571564	341939	Calendar Girl
571565	404724	Herself
571566	58170	Chorus Girl No. 4
571567	257418	Prostituta 2 Pasillo
571568	41435	
571568	109623	
571568	257507	
571568	350176	
571569	178608	Queen Herzlinde
571569	210113	
571570	336595	Second boss
571571	379248	
571571	385252	Marion
571571	387572	Rosario
571571	392844	Coromoto
571571	398482	
571571	401896	
571571	405809	Mónica de Romero
571572	6476	
571572	276931	
571572	379257	
571572	381859	
571572	385367	Flavia Malavé
571572	386162	Giselda
571572	394147	
571572	395846	
571572	396213	Dorada Alegría
571572	396858	Maribel
571572	396896	Marisela
571572	396956	
571572	398482	Yarima Baez de Gallardo
571572	399026	
571572	401067	
571572	403015	Rebeca
571572	403289	
571572	403290	Sandra Castillos
571572	403751	
571573	63036	
571573	127992	Manon Baletti
571573	229986	Valentina
571573	249371	
571573	256454	
571573	349536	Marta Colombo
571573	380057	
571573	380255	
571573	380366	Marisa Proietti
571573	380367	Alessandra Diamanti
571573	384784	
571573	392991	
571573	393137	
571573	396162	
571573	400404	Aurora Obrofari
571573	404045	Alessia Appio
571574	73542	
571574	307440	Livia
571574	338668	Post Office Clerk
571575	53026	
571575	119074	
571575	314119	
571576	37033	Schoolgirl #1
571577	136360	
571578	289567	Emilia Lombardo
571578	320322	Dancer
571579	67197	Tim's Mother
571579	108033	Mrs. Harris
571580	324970	Herself
571581	304443	Traumatized Yacht Owner
571582	196341	Motorcycle Gang
571583	248222	
571584	387872	Mariana Velez
571584	398470	Francis
571584	400945	Delicia
571585	67509	
571586	90029	
571586	112926	
571586	158759	La telefonista
571586	210917	Carmelina
571587	81522	Alibech
571588	3509	Lolita
571588	28962	
571588	93736	
571589	57280	
571589	101818	Berthelin
571589	132743	
571589	345042	Caroline Raffaeli
571590	197709	
571590	199349	Mischief
571590	350391	Helen's maid
571592	205559	Marit, datteren
571592	284389	
571593	18333	Inger Bakken
571594	10209	Rikke
571594	392072	Victoria Lunde (1998-2001, 20
571595	17861	
571595	77858	
571595	110124	Jeanine
571596	291307	2nd Victim
571597	14369	
571598	220193	Paola
571598	274900	
571598	300785	
571598	336564	
571598	355626	Giovanna, Elena's friend
571599	378168	
571600	109778	
571601	90752	
571602	44229	
571602	127931	Ada Stoppani, Gian's sister
571602	135192	
571602	162084	
571602	217116	
571603	263609	
571604	229994	Prima donna
571605	284552	
571606	223776	A.S.S. Fan Mom
571607	386864	
571608	176253	Woman in Window
571609	121253	
571609	376858	
571610	5503	Eve
571610	11648	Mariana
571610	40497	Pat
571610	291529	Lily Taylor
571610	344356	
571610	364382	April
571610	393314	Bertha
571610	399379	Anne
571610	399383	Miss Snevellicci
571610	407779	Tessa
571611	104767	Herself/Host
571612	14967	
571613	205866	
571614	52303	Bunny #3
571615	23474	
571615	47542	Dr. Carson
571616	160885	Necklace Wearer
571616	264157	Bridesmaid
571617	257232	Little Fairy Princess
571618	389858	Susie (1993)
571618	390691	Debbie (1987-1988)
571619	33174	
571620	131004	Herself
571621	158825	Mrs. Johnson
571622	35537	Reporter
571622	67565	Allison Montgomery
571623	194693	Dream girl
571624	354041	
571625	119533	Teenage girl at ferry
571626	40864	Girl at the Bar
571627	375132	Maria
571628	129103	
571628	208973	Lady Battersby
571628	271611	Lady Battersby
571628	342846	
571629	5391	Martha Riley
571629	7868	Vanessa
571629	130098	Athena
571629	145710	Joanna
571629	154042	Casting Director
571629	214943	TV Anchorwoman
571629	291165	Sarah Martin
571629	316606	T.V. Newswoman
571629	359855	Call Girl
571629	375862	Y'Gael, Lost Enchantress of t
571629	383025	Rhonda (Burt's ex-wife)
571629	399440	Dr. Susan Sonspeen
571629	405952	Monique
571630	13917	Herself (Mrs. Frank Capra)
571631	39564	Brenda
571632	152622	Leigh
571633	358680	
571634	39108	
571636	98345	
571636	98346	
571636	155141	
571636	217842	Doc
571636	240126	Giuliana
571636	314563	
571636	356566	Yvonne Botta
571636	388866	Claudine
571637	139123	Tone's Child (2 years)
571638	1282	
571638	77554	
571638	139123	Tone's Wife
571638	151220	
571638	196344	Steve's Mother
571638	206155	
571638	219875	
571638	251685	
571638	283127	Honey
571638	317922	
571638	341934	
571639	94235	
571639	108898	La directrice d'école/Headmis
571639	142638	
571639	214880	Madame Mercadier
571639	217237	
571639	356364	La directrice de l'institutio
571640	38268	Prostitute at Red Fether Bar 
571640	47922	Nicky
571640	68692	Maryjane Smythe
571640	79018	Del
571640	91764	Linda Perry
571640	101700	Tania
571640	128828	Arlene
571640	178201	Gloria McCloud
571640	236151	Charleen
571640	241633	Do Do
571640	251249	Mayleen Travis
571640	256531	Terry
571640	310637	Londa Wyeth
571640	324979	Francesca
571640	403715	Mary Rose
571641	68473	Sheila Ross
571641	131538	Angel Boland
571642	4469	
571642	12794	
571642	19718	
571642	28055	Leslie
571642	30866	
571642	82194	Mara
571642	85471	
571642	93857	
571642	111950	
571642	138639	
571642	145678	
571642	174018	Chayong
571642	177910	
571642	177969	
571642	195347	
571642	202413	
571642	204312	Cora
571642	213786	
571642	214774	
571642	250653	
571642	255796	Gina
571642	284672	
571642	287506	
571642	294642	
571642	295713	Rodelia
571642	302574	
571642	324281	Marita
571642	336184	Rosita
571642	339813	Isabel
571642	355048	
571642	365957	
571642	387832	
571643	290895	
571644	199045	
571645	61203	
571646	284249	La nurse
571647	292015	Young Boy's Mom
571648	31346	Rita
571649	57749	
571649	65897	
571649	84655	
571649	94148	
571649	179288	Mélusine
571649	205909	La speakerine
571649	217980	Roland Garros
571649	377717	
571650	31668	Sunbathing Girl #3
571651	107518	Madame Mercadet
571651	240630	Julie Follavoine
571652	5396	Pietro's mother
571652	5761	Rosa
571652	20100	Tuda
571652	24835	
571652	34472	Marcolfa
571652	54143	
571652	78246	Liliana
571652	90779	
571652	108614	Onoria
571652	112271	Caterina
571652	113697	
571652	119073	Eusebia
571652	213885	Tully
571652	219594	
571652	235752	Assunta
571652	247095	La Cicciona, innkeeper
571652	259333	
571652	265723	
571652	269481	Madre di Elena
571652	276415	
571652	313901	La sorvegliante
571652	328344	Maid
571652	338662	La signora Toloni
571652	351577	
571652	373624	Donna Mara
571653	242556	
571654	34946	
571654	50372	
571654	50378	
571654	91624	
571655	44139	Herself
571655	75030	
571656	42014	Mary Du Bois
571656	53031	Martha Thorne
571656	54390	Caprice Talbert
571656	61607	June Griest
571656	77475	Maud Marsh
571656	105132	Gretchen
571656	141292	Eloise Jackson
571656	158562	Mary Ann Hubbard
571656	192039	Lucy White
571656	195516	Louise Gordon
571656	215293	Effie Marchand
571656	215547	Dolores May
571656	215677	June
571656	216889	Joyce
571656	238869	Lou Ellen Carter
571656	250805	Patsy Prim
571656	270941	Alicia Jones
571656	280490	Sylvia Lee
571656	304323	June Eliot
571656	305400	June
571656	319260	
571656	347318	Dora Belton
571657	111157	
571658	118071	Tetra
571659	40230	Michèle Martin, serva di Moul
571659	53253	
571659	265565	
571659	306850	Santippe
571660	398662	Mónica Ballesteros
571661	13187	
571662	103206	Carlotta Grimaldi
571662	309768	
571663	109673	Brazilian Opera Troupe
571663	302705	Wotonna, Maneeto's Indian Fri
571664	330372	Popcorn Lady (Re-Enactments)
571665	375235	
571666	11570	Lesbian Activist
571666	185636	Beston passeby #2
571667	6276	
571667	10046	Ginecriste
571667	68980	Ghisola
571667	177794	Antonia Bianchi
571667	205397	Vedova Zanin
571667	207065	
571667	269924	Quintalina
571667	285743	Eleonora
571667	286810	Rani
571667	310976	Marina
571667	399652	
571667	399653	Laura Bini
571668	12675	Fiammetta
571668	63872	Anna
571668	64000	Catherine
571668	82921	Mara
571668	90750	
571668	121888	Mara
571668	198551	Chiara
571668	287762	Dolores
571668	293441	
571668	294410	Rita Squeglia
571668	296663	
571668	342116	Beatrice
571668	348178	Arianna
571668	349754	Ancilla
571668	351843	
571668	408797	
571669	108775	The Secretary
571671	385545	Herself
571671	390442	Herself
571671	390444	Herself
571671	390445	Herself
571672	28179	Le mannequin
571673	248358	
571674	37407	Claire
571674	82837	Marcia
571674	176931	Beth
571674	193360	Patsy
571674	195813	Kelly
571674	211732	Daisy
571674	214755	Evanna
571674	349860	Dorothy Wheeler
571674	354164	Royalty International Flight 
571674	392948	Rachel
571674	399964	Jordan
571674	402032	Jamie Stringer (2002-2004)
571674	403681	
571675	261052	
571676	2787	Herself
571676	34642	Laura Cooper, Wylie's wife
571676	39829	Joyce
571676	93357	Jane DeVries
571676	94655	Becky Purdue
571676	94963	Rebecka
571676	126031	Herself
571676	143389	Annie
571676	151625	Sally, Finn's Mother
571676	159175	Wilhelmina 'Willie' Scott
571676	159177	Herself
571676	160896	Joanna Gates
571676	161264	Herself
571676	171094	Laurie Armstrong
571676	190078	Gale Ancona
571676	192254	Katherine
571676	193360	Delilah Ashford Potts
571676	195305	Lynn Weaver
571676	195455	Mrs. Ellen McGraw
571676	195813	Helen
571676	201689	Herself
571676	215745	Elaine Rogers
571676	224012	Jolie, H.D.'s Girlfriend
571676	231096	Karen Coler
571676	233557	
571676	261986	Sydnet Betterman (Pete's assi
571676	269764	Susanna McKaskel
571676	291878	Herself
571676	291880	Herself
571676	297779	Herself - Host
571676	310186	Andie Bergstrom
571676	366102	Emily Reubens
571676	382167	Margo Cody
571676	387309	Jinx Avery Mallory #1 (1981)
571676	390109	Casey Montgomery
571677	276478	
571678	12171	Rita
571678	388791	Rachel
571681	215914	
571682	313700	Dancer
571683	68980	
571684	246520	
571685	204668	Manon enfant
571686	384866	Carol (1996)
571689	3081	Dhana
571689	18894	
571689	19545	Vahishta
571689	28570	Madam Teufminn
571689	30402	
571689	34481	
571689	41713	
571689	42100	Belle Duke
571689	63772	
571689	74034	Lucia Fonte
571689	75556	Lady Litton
571689	80135	Nicole Levine
571689	90606	
571689	97172	
571689	102935	Ariadne
571689	109794	Marta (segment "Fata Marta")
571689	118128	Flora
571689	120813	
571689	120931	Dr. Saforet
571689	127386	Sister Angela
571689	148897	Princess Dominique
571689	158877	Hélène
571689	161998	Blanche Dubourg
571689	164871	Zina Vanacore
571689	191288	Christine
571689	213381	Massimiliano
571689	229042	
571689	234286	La veuve Castagner
571689	235164	Michelle ('Angel')
571689	252632	Marina Reggiani, Alberto's wi
571689	256259	Simone Clouseau
571689	269105	
571689	275647	
571689	278988	Amalia Mazzarini
571689	288801	Trifena
571689	307496	Pepita
571689	308675	Princess Carolyne
571689	337632	Lady Litton
571689	339804	
571689	358583	Hallie Gerard
571689	382285	Countess von Alternberg
571689	396966	
571689	400407	
571689	402538	Mlle du Colombier
571689	405460	Odile
571689	410351	
571690	332160	
571691	222566	Evicted Family
571692	222566	Evicted Family
571693	222566	Evicted Family
571694	108132	Marta
571695	29332	
571695	94383	Signora Fragione
571695	348059	
571696	163751	Zulima
571696	278310	Giovanna
571697	209442	
571698	355703	Arianna
571699	212437	
571700	184859	Circus Web Girl
571700	344663	Elizabeth P. Watkins
571701	337017	Extra
571702	118432	
571703	247974	
571704	201274	
571705	3956	Anna
571706	278858	Giulia
571707	353413	La secrétaire de Pierre
571708	115517	Woman Officer
571708	209156	Ruth Lowenstein
571709	326741	Singer
571710	178700	Jolanda
571711	145670	
571711	150051	
571711	202242	Monique
571712	55815	Alice
571712	281270	Juliette
571713	163719	Teresa
571713	300913	Mrs. Petrescu
571714	958	Herself - Performer
571714	1781	Herself - Presenter
571714	1841	Herself
571714	2775	Herself - Preformer: "Fame" a
571714	2804	Herself - Best Original Song 
571714	2815	Herself - Presenter: Best Sou
571714	4366	Angela
571714	4801	Marilyn
571714	19132	
571714	50268	Simone
571714	51993	Eva
571714	58160	Tracy
571714	64815	Ginny Lee
571714	76217	Irene Cara
571714	87579	Herself
571714	108087	Coco Hernandez
571714	117284	Myrlie Evers
571714	136287	Alice Jefferson
571714	138672	Snow White
571714	176918	Jane
571714	240554	Herself
571714	243950	Herself
571714	303262	Sissy Lovejoy
571714	310417	Sparkle
571714	329560	
571714	387438	Iris, member of the Short Cir
571714	396088	Daisy Allen (1970-1971)
571714	403730	Bertha Palmer Haley
571715	90683	
571715	232895	Miluzza
571716	148645	La fille qui chante
571716	248422	La chanteuse sur la Marie-Gal
571717	225044	
571718	225432	
571718	280780	
571719	29101	Bunny
571719	309804	Ginger
571720	296468	Angélica
571720	379093	
571720	380249	
571720	385865	
571720	387103	Sarita
571720	387897	Gregoria Borosfky
571720	392610	Marisol Palacios
571720	396161	Miriam Linares
571720	396644	Lolita
571720	396902	Amada Gálvez Escorza
571720	397012	Alba Griselda
571720	401905	Bettysabel
571720	402462	Yomira Sarmiento
571720	404800	
571720	408747	Angela Chacón
571721	28168	Rita
571721	51431	Femme couple à la mairie
571721	199572	Guest at the wedding
571721	345024	Evelyne Pinochet
571722	134662	
571722	297764	Alison
571723	30666	
571723	56367	La nonna
571723	74942	Aunt Luisa
571723	90752	Suor Faustina
571723	113530	Friend
571723	158553	Luciana
571723	211832	Erodiade
571723	268995	
571723	313915	
571723	355762	
571724	17132	Extra talent
571725	159536	Ragazza Alesalo
571726	297937	Michelle's Girlfriend
571727	55308	
571728	23938	
571728	86852	
571728	216323	
571728	232625	Doina Tufaru
571728	357928	
571729	302901	Emilie (3 yo)
571731	24713	Marta
571732	6722	Herself
571732	81740	
571732	208521	
571732	279929	
571733	331694	Betty Jane
571734	68404	
571735	351688	Empleada de oficina
571736	180846	Mrs. Grodin
571737	69409	Blonde Prostitute
571737	308738	Girl in Bed
571738	272927	Hooker
571739	25863	
571739	25865	
571739	122436	
571739	171718	Ionescu
571740	212682	
571740	345915	Ljuba
571741	72469	Driver
571741	137566	Pru Viney
571741	137567	Sandra Angel
571741	196902	Party Guest
571741	375757	Train Traveller
571742	16045	Extra
571744	103187	
571744	400488	Virginia
571745	13626	Woman 2
571746	7742	
571746	29233	
571746	39740	
571746	50851	
571746	61911	Herself
571746	93990	
571746	119333	
571746	126582	
571746	126583	
571746	140930	
571746	175215	
571746	189475	
571746	236307	
571746	319390	
571748	94638	Lea
571748	111145	Patrizia
571748	121888	
571748	128935	
571748	212094	Luciana
571748	292274	Sonia
571748	337259	
571749	103717	
571750	3169	Bit part
571751	225516	
571752	230343	Mina
571752	231496	Singer
571753	21203	Student #2 at cafeteria
571753	110285	Cafe' Girl
571753	396973	Herself (1999)
571754	81318	Nurse
571755	276617	Woman
571756	71339	
571757	182999	Newscaster
571757	234582	Naomi
571758	342118	Inviata TV Svizzera
571759	349536	Primo bambino
571760	206191	Gemma
571760	391248	Ms. Jacqueline 'Jackie' Kassi
571761	213389	
571762	402636	Host
571763	50249	Moaning Voice
571764	108897	Herself
571765	170561	Tumbler #1
571766	113116	
571767	248685	Ginny
571768	101247	
571769	125776	
571770	25152	Tina
571770	25343	
571770	49102	
571770	53745	Charlotte
571770	68644	Simona Girardi
571770	85463	
571770	104888	Monica Adler
571770	113530	
571770	136944	
571770	140573	Adelaide Fumagalli
571770	217557	
571770	259719	Francesca
571770	265450	Stefania Marini
571770	268830	
571770	294400	Barbara
571770	312245	
571771	193325	Azálea
571771	328737	
571772	33420	
571773	10060	Sara
571774	201996	
571776	86027	
571777	394424	Additional Voices
571778	20067	Sylvie's Mother
571779	202153	
571780	251961	
571781	281219	Virginia Ramos
571782	21023	The Corpse
571783	20892	
571783	348934	
571784	371290	Lavandera
571785	69242	Rosa
571785	198215	Mujer barra 1
571785	322325	Madre Niño
571785	335390	Maribel
571786	243509	The Santera Secretary
571787	74584	Lucía
571788	48772	
571788	52987	Mariuca
571788	55372	
571788	55911	Angustias
571788	56932	Julia
571788	58045	
571788	61067	
571788	61349	
571788	69474	
571788	74827	(segment "El amor es algo mar
571788	76111	Pepita
571788	95026	
571788	107540	
571788	115000	Dolores
571788	119008	Anciana
571788	120706	
571788	132374	
571788	216303	Hermana de Rosa
571788	222391	
571788	225024	
571788	233977	Julia Caporeto
571788	244609	
571788	255545	
571788	291612	Encarni
571788	318257	Madre de Chica
571788	325304	Amelia
571788	332567	
571788	343612	
571788	350144	
571788	353268	
571788	353654	
571788	355792	
571788	386696	
571788	400102	
571789	48772	
571789	102624	
571789	103648	
571789	243961	
571789	334471	
571789	378047	
571790	100897	Taquillera/Doctora
571791	87511	Concha, Lorca's sister
571792	10824	A little girl
571793	269566	
571794	25216	
571794	30153	
571794	55311	
571794	55362	
571794	249804	
571795	380107	Jacinta
571796	212346	
571797	280412	Anabela
571797	379853	
571797	380066	Belén
571797	384775	Valeria
571797	390884	
571797	393841	
571797	395871	
571797	396596	Valería
571797	397349	Host
571797	397623	
571797	398800	
571797	398983	
571797	401152	Miranda
571797	405917	
571797	409957	Renata Montili (1998-2000)
571798	252823	Woman of Many Faces
571798	385041	Migdalia
571800	68663	La mariée enceinte
571800	388170	Betty Hermann
571801	195004	Yolanda, Maria Rosa
571801	384992	Eneida
571801	387902	Dominique Cruz
571801	389153	Zulmira
571801	395302	Aline
571802	378829	The Bloodhound Gang Theme Sin
571803	135835	Margarete
571803	259398	Karen Green
571804	129439	Billie's Dancer
571804	329484	Bridesmaid
571805	74978	Herself
571806	384781	
571806	398807	Justina
571806	403289	
571806	404203	Alexandrina
571806	408389	
571807	229113	Sharon
571808	324448	Dancer: Esto es tango
571809	220126	Anna
571810	377199	Old prostitute
571811	377199	
571812	64348	
571813	213324	Nymph
571814	360682	Grandmother Sarafulo
571815	222670	Driver
571815	315747	Mary
571816	125795	
571817	55662	Julie Anne
571817	161927	The Art Broker
571818	269082	Janelle
571819	260943	Josefa's Mother
571820	340992	Dispatcher
571821	183480	Friend
571822	63870	
571823	236972	Toy Soldier
571824	143702	
571824	165718	Gitana
571824	221756	Ligue discoteca
571824	225034	Lorena
571824	233542	Lumi atractiva
571824	280754	Rosa Fisher
571824	379566	Yasmina (1997-1998)
571824	398914	Bárbara
571824	402754	Laura Ríos
571824	407733	Azafata (1995-1996)
571825	44912	
571825	56502	
571825	372757	Mercedes
571826	83978	Ulug Beg's Wife
571826	117980	Rosario
571826	148072	
571826	199719	
571826	205155	
571826	226374	
571826	292760	
571826	317683	
571827	12083	
571828	50147	
571828	109283	
571828	296466	
571829	220755	Mercedes
571829	229441	
571830	336265	Pili
571830	336267	Pili
571831	230000	Woman on train
571832	109979	
571832	251619	
571833	83699	Girl in fable
571835	68417	
571836	279709	Girl at the Etna
571837	340347	
571838	13009	
571838	25047	
571838	52778	
571838	53654	
571838	55152	
571838	68999	
571838	85583	
571838	108719	
571838	115766	
571838	117333	
571838	166895	
571838	193349	
571838	222841	Vieja
571838	266227	
571838	283137	
571838	293382	
571838	296470	
571838	341371	
571839	34448	Aunt Aggie
571839	37581	Cleaning Lady
571839	74298	Various roles
571839	79778	Nun
571839	80518	2nd Woman
571839	87878	Mrs. Kemble
571839	99081	Mrs. Kendal's Dresser
571839	108410	Mrs. Stone
571839	108626	Old Wench
571839	115805	Thin Lady
571839	146632	Mrs. Larkins
571839	151384	Mrs. Clapper
571839	155731	Barmaid
571839	159261	Smitty
571839	170143	Lilly Dolly
571839	170882	Mrs. Trowser-Legge
571839	178286	Winnie
571839	185733	Various characters
571839	188350	Lady in Phone Booth
571839	192000	Washerwoman
571839	194355	Cleaning Lady
571839	194690	Nanny in the Park
571839	221245	Singer
571839	238991	Mill Girl
571839	241222	Nurse
571839	241260	Mrs. Shaw
571839	297602	Mrs. Wall
571839	307944	Johnnie's Mother
571839	310446	Lil
571839	337859	
571839	341757	Miss Mitkin
571839	362073	Dolly
571839	363772	Woman
571839	367903	Brooker
571839	382559	Hilda Rogers
571839	385020	Amy Burton (1987-1988)
571839	385299	Rene Haines
571839	385435	Landlady
571839	392191	Vera Blacker (1979)
571839	395194	Lorna Milton
571839	402212	Publican's wife
571839	402551	Various Characters (1969)
571840	178906	Desk Clerk
571840	230699	Scientist
571840	308004	Janet Kline
571840	311567	Andrew's Assistant
571841	397773	La Mamá del Millón
571842	229740	
571842	266122	
571843	85547	Edwige
571844	332198	
571845	253305	Mujer de aseo
571846	253305	Delegado
571847	318265	Señora
571848	47066	
571849	48210	
571850	308159	Mrs. Korris
571851	74245	
571852	318171	Dancer at Wedding
571853	169085	
571854	275489	Wife
571855	39886	News Reporter
571855	155861	Flight Attendant
571856	6086	
571856	32360	Mrs. Wellenberg
571856	37327	Miss Laury
571856	38583	Guest
571856	44485	Grace
571856	51799	Official's Nervous Wife
571856	76582	Ms. Carrington
571856	77456	Mrs. Sullivan, Employment age
571856	78895	Nora
571856	128319	Mrs. Lindsay
571856	131402	Mrs. Molly Cain
571856	139581	Mrs. Norwood
571856	147809	Old Lady
571856	148220	Mattie
571856	152208	Miss Regina Kennedy
571856	163300	Mrs. Dow
571856	163350	Mrs. James
571856	178017	Louise
571856	178035	Louise
571856	216802	Mrs. Kuschner
571856	219950	Mrs. Grammerton
571856	230431	Phoebe
571856	250985	Gussie
571856	257963	Miss Yule, the Principal
571856	263581	Mrs. Martin
571856	273805	Mrs. Loring
571856	275391	Mrs. West
571856	285782	Martha Tewilliger
571856	289419	Mrs. Rawley
571856	304065	Thelma Boyd
571856	313321	Landlady
571856	329437	Miss Grover
571856	331333	Jonesy, Louise's Housekeeper
571856	343042	Bingo Woman
571856	346248	Mrs. Foster
571856	347681	Mrs. Wadlington
571856	358583	Landlady
571856	367746	Woman in Bargain Basement
571856	372170	Supervising Nurse Vogel
571856	392419	Mrs. McGillicuddy (1955-1956)
571857	193689	Midge Malone
571859	14407	
571859	110749	Woman in corner
571859	385070	Cata
571859	388274	Yolanda
571860	246393	
571861	10894	Girl with Hypo
571861	58507	Miss King
571861	129435	Non SAG girl
571861	328258	Helga
571861	374568	Spectator #3
571862	26197	
571862	71411	
571863	67787	CHURCH GUEST
571864	352608	Violin, Vertavo Quartet
571865	80430	80's Bar Patron
571866	353859	
571867	115521	
571867	178693	Policeman #2
571868	390512	
571869	211047	
571869	385209	Irene Antunes
571869	407867	
571869	409026	Carla
571869	409422	Filipa
571870	90456	
571870	218924	
571870	263415	
571870	354212	
571870	387928	
571870	390512	
571870	391397	
571870	395905	
571870	402581	Jô
571870	403670	
571870	408596	
571871	398013	
571872	57587	Helena
571872	82990	
571874	169991	Child in class
571875	409894	Herself/comedianne (season 2)
571876	1725	Herself (Presenter)
571876	13967	Mary-Anne
571876	47422	
571876	53688	Herself
571876	58175	Adelle/Writer
571876	80504	Kelly
571876	95789	Leslie Chambers
571876	96556	Herself/Velma Dinkley
571876	129209	Ursula
571876	131380	Heather
571876	167671	Natalie Coolidge
571876	187191	Chutney Windham
571876	193534	Linda
571876	263974	Melissa
571876	290936	Velma
571876	290937	Velma
571876	290939	Velma Dinkley
571876	316171	Genevieve Gage
571876	347571	Shelly Hunter
571876	382460	Sarah
571876	387728	Nurse Samantha 'Sam' Taggart 
571876	389289	Lindsay Weir
571876	390824	Jude (1998-1999)
571876	396024	June Parker
571877	307067	
571878	362581	Karen Talbot
571879	327625	Florence Ballard
571880	144392	Brat #3
571881	359744	Camerawoman
571882	214911	Patty Murphy
571883	60163	Teen Nora Baker
571883	280489	Choir
571884	12664	
571884	37911	
571884	52941	
571884	54081	
571884	70089	
571884	71298	
571884	124536	
571884	266866	
571884	266872	
571884	272633	
571884	332977	
571884	337435	
571884	337436	
571884	339201	
571884	341647	
571885	255479	Narrator
571886	209399	Victim 1
571887	57925	
571888	52036	
571889	71221	
571890	236413	Dancer
571891	330707	Jennie
571892	45044	Landlady
571893	136923	
571893	159236	
571894	386402	Particia
571895	190976	
571895	196880	
571896	248124	Widow Goodbody
571897	232213	Dolores
571897	238138	Desk Clerk
571897	324020	Bored Girl
571898	34949	2nd Chemist
571898	55701	Henry's Second Wife
571898	82738	2nd Girl
571898	115250	Lady Pamela
571898	118278	Kirsten
571898	228685	Papa's Mistress
571898	295611	Lisa Biggs
571898	295987	Naked Girl
571899	178132	Change girl
571899	332042	Nurse Colby
571899	367733	Clara
571900	273121	
571901	13119	Maryse
571901	28913	Josette
571901	205536	Maria
571901	234283	
571902	145146	
571902	209298	Secretary
571903	141777	Kathy
571903	272518	Chloe Jahanpour
571904	57139	Karina
571905	334148	White Sailor Dancer
571906	228782	Esme
571906	274057	Eve
571906	381793	Chrissie
571907	46654	La Rossa, the redhead
571907	88204	Agnese
571907	100027	La future maman
571907	158553	Mrs. Mantovani
571908	79841	Sarah
571908	80389	Female Agent
571908	233852	Lorraine Turner
571908	249254	Suzanne Driscoll
571908	387309	Winter Austin #1 (1978-1979)
571908	404002	Carol Baker (1982)
571909	265742	Galya
571909	281464	Papergirl
571910	394791	Flora
571911	68439	
571912	147252	Granddaughter
571913	147252	Granddaughter
571914	64400	Nan age 10
571915	135518	Sonia
571916	260138	Make-up Artist
571917	97054	Cliente de Carmen
571917	249209	Fan de Jeannot
571918	58106	
571918	313692	
571919	94002	Willa
571919	156731	Stewardess
571919	158999	German video newscaster
571919	160050	Maria's Child
571919	244677	Silvia von Kohlen und Reibach
571919	244679	Tina
571919	277140	Dinner Guest
571919	291054	Eva
571920	209433	May
571920	346949	Sally Two Trees
571921	83035	
571922	47047	Flight Attendant
571922	80608	Sandy
571922	380863	Mathilde Lafresnière
571923	382486	Elyse Dessaules
571923	407807	Noëlla
571924	261551	Fille du bordel
571925	225373	La commis de la station servi
571926	193495	
571926	220252	La mère
571927	220219	La monteuse
571928	10122	Rosa
571928	21689	
571928	30404	
571928	50137	
571928	63888	
571928	70091	
571928	80248	
571928	83406	
571928	91313	
571928	91368	
571928	95421	
571928	100525	
571928	104091	
571928	124042	
571928	131059	
571928	135349	
571928	143794	
571928	152227	
571928	158937	
571928	160083	
571928	169775	
571928	171462	
571928	193496	
571928	198996	
571928	199971	
571928	202041	
571928	204732	
571928	212470	
571928	217083	
571928	220523	
571928	221684	
571928	229801	
571928	249893	
571928	253082	
571928	267049	
571928	277128	
571928	277370	
571928	277390	
571928	286989	
571928	292925	
571928	293951	
571928	334693	
571929	116918	Narrator
571929	240751	Narrator
571930	99284	Stripper
571931	32688	Narrator
571931	32689	Narrator
571931	32690	Narrator
571931	39840	Chomina's Wife
571931	41293	Claire/Mattie
571931	53793	Annie
571931	77728	Black Shawl
571931	77729	Herself
571931	81115	Indian woman
571931	88032	Molly Brant
571931	89099	
571931	97511	Ruth
571931	97696	Granma
571931	132739	Nellie
571931	136053	Little Doe, Jake Flagg's Wife
571931	140750	
571931	141540	Violet Boucher
571931	144466	Singing Bird
571931	157759	
571931	184127	Mary's mother
571931	187418	Pet
571931	188965	
571931	194765	Aunt Mary
571931	196617	Rosanne Ladouceur
571931	201654	Herself
571931	205723	Tantou, Indian princess
571931	210639	
571931	223271	Sister Amantha
571931	228778	Mary
571931	230588	
571931	234229	Sarah Winnemucca
571931	257133	Rose Lesperance
571931	261567	Reenie
571931	283522	Caroline
571931	301509	Dolores
571931	301743	Silent Tongue
571931	302993	Dawn Rainfeather
571931	305694	Arlene Joseph
571931	311347	Marilyn St.Claire
571931	326595	Turtle Mother
571931	330314	Irene Musket
571931	359311	Sonny's Mother
571931	363437	Bangor
571931	368540	Herself
571931	378891	
571931	381876	Running Second
571931	383072	Franoise
571931	386897	Snow Bird (1993-1995)
571931	386970	Old Pawnee Woman
571931	398003	Betty Merasty
571931	399689	Betty Moses (1994-96)
571931	406188	Annie
571932	196617	Lisa
571933	160023	
571933	266647	Karen/Mrs. Goldberg
571933	373608	
571934	2538	Herself - Presenter: Best Fil
571934	2814	Araxi (Mayrig)
571934	3169	Claudia
571934	3468	Gabriella Sansoni
571934	6999	Teresa (Countess of Morales)
571934	16076	Madame Falconnetti
571934	17717	
571934	20354	Marta
571934	23588	Elena
571934	23903	Carmela Nicosia
571934	24165	Cameo appearance
571934	24421	Pauline Bonaparte
571934	30847	Roxelane
571934	33433	Barbara Puglisi
571934	33688	Carmela
571934	33917	
571934	40771	Vicky Vincenti
571934	41659	Tata
571934	49732	Molly/Herself
571934	51368	Jill McBain
571934	51807	Antonella Dufour
571934	53924	Herself
571934	55839	Vénus
571934	58185	Marta CHiaretti
571934	64572	Herself (performer)
571934	64600	Toni Alfredo
571934	65190	Clara 'Claretta' Petacci
571934	68908	Armida Ballarin
571934	70779	Rosa Accordino
571934	80011	Anya
571934	82299	Fedora Santini
571934	90353	Laura Califatti
571934	90679	
571934	99232	Claude Barde
571934	99406	Margaux
571934	101600	Matilda
571934	103327	Eleana
571934	104159	
571934	109794	Armenia (segment "Fata Armeni
571934	114564	Molly
571934	124571	Angelica Sedara/Bertiana
571934	127970	Rosa Nicolosi
571934	130269	Taj'el Ouloum's maid
571934	131726	Aliki
571934	134904	Professor's wife
571934	135129	Lucia Esposito
571934	142426	Elena
571934	146954	Hélène
571934	159213	Carla
571934	180741	Nurse Valeria
571934	189125	
571934	189262	Libera Valente
571934	191316	Albertine
571934	194782	Aicha
571934	196625	
571934	200233	Herself
571934	200415	Moglie di Orlando
571934	200510	Maria Grazia
571934	202280	Assuntina
571934	208715	Araxi (Mayrig)
571934	210014	Herself
571934	227962	
571934	229639	Giuditta Di Castro
571934	242627	
571934	249361	Catherine Hansen
571934	252009	Principessa Consuelo Caraccio
571934	254108	Francesca Modigliani
571934	256259	Princess Dala
571934	260433	Popsy
571934	262701	Anna Torrisi
571934	263723	Angelica
571934	264154	Anabelle de Fourdemont Valens
571934	265366	Mrs. Maria Grant
571934	268458	Marie Sarrazin
571934	269733	Claudia
571934	270804	Aida
571934	270817	Mara
571934	277726	
571934	279912	Ginetta
571934	281647	Rosa
571934	282836	Esmeralda Marini
571934	283069	La 'baronne'
571934	284257	Yolande-Gabrielle de Polastro
571934	285979	Elena Leporello
571934	291107	Georgia Saratov
571934	294127	Angiolina Zarri
571934	300712	
571934	306118	
571934	307584	Carmela
571934	308103	Herself
571934	308400	Maria Gambrelli
571934	309764	Aya 1996
571934	314378	Herself
571934	315458	Ida
571934	338716	Marisa
571934	344093	Aiche
571934	344453	Herself
571934	345096	Mme Gigi
571934	345253	Julia Steiner
571934	345564	Her-Self
571934	348532	Maria
571934	349677	Sandra
571934	350274	Herself
571934	351848	Grazia
571934	353088	Bianca
571934	355281	Herself
571934	358164	
571934	377991	Jeanne
571934	378680	Agent
571934	386128	Leila
571934	393476	The Adulteress
571934	397192	Araxi (Mayrig)
571934	397614	Mary O'Sullivan
571934	399715	Teresa Viola
571934	403196	Jacqueline
571935	283718	Drunk Girl
571936	6743	
571936	349525	
571937	73561	
571938	162088	
571939	47950	
571939	342435	Jack's Wife
571939	361696	Natasha
571939	407190	Italian woman
571941	286228	Dancer
571942	91169	
571942	234310	Sofía
571942	234697	
571942	318238	
571942	349882	Leticia
571942	384775	Melina
571942	387573	Alma Vigiano
571942	395851	
571942	396596	Anita
571942	396860	Micaela
571942	398166	Coty
571942	398816	Carolina
571942	398842	Noelia
571942	404270	Mochilera
571942	405788	Luciana
571942	409957	Celina Villanueva (1999-2000)
571943	55975	
571943	82391	
571944	303964	Executrix
571945	55979	
571945	129049	Carol
571945	162049	
571945	296522	
571945	316377	
571945	325094	
571945	326626	
571945	332936	
571945	355700	
571948	158165	Conchessa
571949	357195	
571950	32114	Joyce
571950	154893	Lorraine
571950	251347	Singer
571950	386619	Annabelle Underwood
571950	403490	Jane Spry
571951	235022	Roman Slave #2
571952	361710	Monette
571953	20040	Woman in Black Suit
571954	28966	
571954	28974	Laura
571954	48525	
571954	102284	
571954	132973	Anita, One of Madame Oro's Gi
571954	157330	
571954	211805	
571954	252660	
571954	255029	
571954	280744	Sandra Savelli
571954	315425	Tecla
571954	319751	
571955	82422	
571955	312249	La femminista
571955	347471	
571955	375234	Irma
571955	379549	Signora Del Vecchio
571956	402048	Herself/Prof. (1997)
571957	29582	
571958	380226	Singer
571959	398990	Madame Duchatel's maid
571960	76025	Elsa
571961	22740	
571961	43664	
571961	83142	
571961	171471	
571961	198235	
571961	303345	
571961	380119	
571962	343567	Laure
571962	404749	Maud Brewster
571963	381890	Herself
571963	381911	Herself (2001)
571964	149739	Little Girl
571964	224678	Jane
571965	201791	Herself
571966	249461	
571967	29406	Isabelle
571968	231401	Lisa
571969	153874	La seconde postière
571970	120087	
571970	163362	
571970	293744	Head Steamstress
571970	340827	Margie Ortiz
571970	370164	
571971	329308	Herself
571972	81898	Dora
571973	51628	
571974	162254	Miranda
571975	241194	
571976	37894	Henriette
571976	62460	Francoise Drou
571976	70402	Harley, Artemis
571976	101573	Darcelle
571976	113261	ICU Nurse
571976	222292	Candy Heskin
571976	294717	French Singer
571977	299843	Cheryl
571978	269200	Monica
571978	349461	
571979	34054	
571979	122226	
571979	128988	Carmen Heredia
571979	197462	
571979	239290	
571979	263699	Young Aunt Pilar
571979	319829	Julia, Agustín's wife
571979	322224	
571979	349883	María
571979	351637	
571979	376760	Directora psiquiátrico
571979	411722	
571980	189294	
571980	310639	Tina
571980	379458	Pilar
571980	398217	Jackie Solorzano Campos Miran
571980	398474	Susi Ruiz
571980	412190	Graciela Santiago
571981	10475	
571982	287265	
571983	242666	Margarita Oteros
571983	382565	Chusi-Chusi
571983	385852	
571983	393036	Herself (2003)
571983	403366	
571983	410296	Host
571984	29580	
571985	194178	Fitness Talent
571986	67637	Sandrine Dupin
571986	94233	Sylvie
571986	101256	Marylin
571986	112831	Angélina
571986	164187	Zoé
571986	254147	Mauricette
571986	269823	
571986	309733	Brigitte
571986	326579	Thérèse
571987	196341	Waitress
571988	32114	Marcee Herman
571988	387989	Delia Brown
571989	64949	Hotesse Aéroport
571990	342590	Herself
571991	124502	Amy
571992	302931	Gloria
571993	259708	
571993	340310	
571994	245844	Patrícia
571995	15302	
571995	82989	Luiza
571995	84165	
571995	109736	
571995	148480	
571995	285578	
571995	329018	
571995	366079	
571995	379450	Jandira
571995	380120	Anita
571995	380156	Margot
571995	380168	Blanche
571995	382883	Sabrina
571995	383369	Bernadete
571995	383550	
571995	385853	Celinha Pinheiro
571995	386422	
571995	388728	Augusta
571995	388998	Lisa
571995	389786	Zazá
571995	391674	
571995	391900	Cláudia
571995	392747	Natalina
571995	392793	Catarina
571995	396722	Flora
571995	397415	Ema
571995	398817	
571995	399481	Dalva
571995	401087	Cibele
571995	401932	
571995	402108	
571995	402135	
571995	402424	
571995	402579	Lia
571995	403308	
571995	403747	
571995	404160	Leocádia
571995	404799	Irene
571995	404834	Leila's mother
571995	406841	
571995	409898	Filoca
571995	411932	Neusa
571995	412173	Madalena Caldas
571995	412179	Vilma
571996	115794	
571997	57070	
571998	234627	
571999	396810	Regina
571999	403616	Cássia
572000	13661	
572000	55343	
572000	70701	
572000	103851	
572000	124237	
572000	222153	
572000	225820	
572000	243391	
572000	256750	
572000	275025	
572000	377606	
572001	274486	
572002	14728	
572002	75485	
572003	242947	
572004	160728	
572005	367589	Food Stylist
572006	329018	
572007	18447	
572008	287427	
572009	20171	Dona Helena
572009	23392	Selma
572009	70487	Salma
572009	70771	
572009	156932	
572009	171532	(segment "O Noivo")
572009	196657	Montês's Mother
572009	219560	
572009	233487	
572009	245486	Leonor
572009	269167	
572009	269914	
572009	275029	
572009	328336	Manuela
572009	333696	
572009	344707	Shirley
572009	344823	
572009	379098	Gilda
572009	379646	Leonor
572009	380525	Dona Fátima
572009	382776	Alda Sampaio
572009	384137	Carmem
572009	384381	
572009	386215	
572009	387833	Madalena
572009	388065	Soraya
572009	388488	
572009	388565	Cândida Peixoto
572009	388592	Marta
572009	388636	
572009	389662	Verônica
572009	390817	
572009	392846	Guiomar
572009	393006	Sinhana
572009	393791	
572009	395405	
572009	395822	Carolina
572009	397540	Yeda Ferreira de Souza
572009	397873	
572009	398310	Condesa
572009	398503	Isaura Araújo
572009	399490	Eugênia
572009	399643	Marta
572009	400099	Soraya
572009	400597	Donana
572009	400670	Silvana Rocha
572009	402066	George Sand
572009	402455	Júlia
572009	402506	Donana
572009	402564	
572009	402644	
572009	402807	Renato's Mother
572009	403025	
572009	403200	Margarida
572009	404165	Ruth
572009	405808	
572009	406842	
572009	407680	Herself
572009	409413	
572009	409417	Mariana
572009	410054	Guiomar
572009	410104	Natália
572009	410107	
572009	410190	Deolinda
572009	412270	Maria Amélia
572009	412305	Mariana
572010	210481	Easy Street Model
572011	1415	Dona Iracy
572011	18999	Milu
572011	27943	
572011	29517	Nina
572011	51585	
572011	70487	Young Salma
572011	70888	
572011	116948	
572011	122909	Sofia
572011	125782	
572011	187573	Leila Diniz
572011	205146	Student
572011	207929	
572011	215074	Mother
572011	248775	Lucinha's Mother
572011	266480	
572011	291678	Laurinha
572011	293972	Margarida
572011	308751	Carol
572011	308754	
572011	328973	(segment "O Corno Imaginário"
572011	338242	
572011	348745	
572011	349670	
572011	355832	
572011	383247	Daniela
572011	383441	Laura
572011	383866	Anita
572011	386212	Gilda
572011	387640	
572011	388565	Madalena
572011	389153	Guiomar
572011	390076	Helena
572011	396938	Vânia
572011	397645	Cláudia
572011	401944	Maria Leontina
572011	402159	Joana
572011	407801	Young Bibiana
572011	407830	Augusta
572011	409130	
572011	410310	Marly
572011	411932	Mercedes Hildalgo
572012	390506	
572013	17932	Rapariga Ciumenta
572014	205516	
572015	384293	
572015	400095	Inês Marques Serôdio
572016	54088	
572016	211021	Sinhazinha
572016	263809	
572016	286415	
572016	291892	
572016	352159	
572016	361081	
572017	18670	
572017	379244	
572018	56036	
572018	186546	Marylin
572019	148515	
572020	34965	Prostitute
572021	78613	
572022	258482	
572023	73518	
572024	397522	Tallyta
572025	392747	
572026	328866	Jovem no Cemitério
572027	6640	
572027	63675	Herself
572027	67656	Grandmother
572027	68621	
572027	70489	
572027	73196	
572027	98759	
572027	101442	
572027	234619	
572027	248746	
572027	344809	Santinha's Aunt
572027	344828	
572027	377224	
572027	379646	
572027	380120	Lola
572027	380168	
572027	381223	
572027	381263	Conceição
572027	384991	Nina
572027	385947	Tia Lalu
572027	386417	Catarina Barbosa
572027	386419	
572027	386505	Belinha
572027	396036	Alda Maria
572027	398877	
572027	400765	Helena
572027	402266	Zulmira
572027	402455	
572027	405101	
572027	407275	Carla
572027	407639	
572027	408727	Dalva
572027	410053	
572027	410375	Ofélia
572028	131092	
572028	184292	
572028	212135	
572028	385992	Adelaide
572028	397538	
572028	397539	Elza Gentil
572028	398819	
572028	402580	Dona Dedé
572029	58710	
572030	147739	
572031	352409	God (voice #2)
572032	380390	Lucille Figgins (1982-1984)
572033	37525	Kim
572034	202216	
572035	84048	Paloma
572036	90525	Tango dancer
572037	21683	
572038	51613	Martita
572038	302375	Juanita
572038	379583	Rosie
572038	383138	
572040	300840	Duchess' Guest
572041	101931	L'Acceuillante/Hostess
572041	377044	
572042	340930	
572043	56304	Country Club Woman
572044	261740	Keeper
572044	267932	Borman Six Girl
572045	287149	Girl
572046	166471	Chelsea Farmer
572046	237783	Girl at Community Center
572047	255274	Pupil
572048	220500	Monique
572050	104769	Bosnian entry (15th place)
572050	104772	Bosnian entry (18th place)
572051	183323	Maria
572052	12338	J.C. Superstar Singer
572052	298173	Party Girl #3
572053	160344	Maid
572053	171367	Lucila Bronson
572053	301577	Novia
572053	319732	
572053	337950	Daniela
572054	235998	Lupita
572055	18508	
572056	376906	Artiste
572057	176751	Rose
572057	215831	Amy
572057	333392	Lucy Monaco
572058	87504	
572059	16377	Eva
572059	87025	Bar-Bee
572059	90088	
572059	170700	
572059	261854	Mme Levasseur
572059	269008	
572059	269479	Eugenia
572059	307350	
572059	340422	Katia
572059	349616	Wapa/Marisol
572060	208632	Nigel's Posse
572061	159691	
572062	68347	Alix
572062	132887	Farida
572063	249281	La femme de l'agence
572064	112679	
572065	35738	Governor
572065	79083	Billie Castiglione
572065	109545	Emma Bowles
572065	134836	Bettina von Laufen
572065	206654	Katherine von Bora
572065	244883	Mother
572065	327279	Betty's Landlady
572065	357584	Ellen West
572065	382213	Mademoiselle Hortense
572065	382930	Gerda
572066	15106	Sophie
572067	5373	
572067	34146	
572067	71294	
572067	73541	
572067	83769	
572067	90698	
572067	90708	Solange
572067	107957	Lucia
572067	183477	Maria
572067	188599	Franco's mother
572067	221966	
572067	243693	Carolina, his wife
572067	254345	Mrs. Sciacciabratta
572067	255135	
572067	265193	Gianna, moglie di Michele
572067	270839	
572067	355787	
572068	233475	Stripper
572069	104001	
572069	229613	
572070	13882	Hooker
572071	202470	
572071	319286	
572072	374638	Angvisa Girl
572073	297671	Office Assistant
572074	309388	Naissoturi, kapinallinen
572075	117902	Danserinnen flora
572075	309388	Eliina, nuori perijätär
572076	162886	Boat Girl
572077	203083	Mrs. Johnston
572079	12689	Teresa (segment "L'idillio")
572079	36459	
572079	46654	Mother-in-law
572079	54361	L'affittacamere
572079	57828	La moglie del taverniere
572079	108502	Herta, l'infermiera
572079	117970	
572079	121340	Tilde
572079	128071	Antonio's Mother
572079	136850	
572079	187451	
572079	199933	Drivaldi
572079	215011	Signora Marta Altezzosa
572079	222199	L'Argia
572079	255127	Carlotta
572079	264261	
572079	287692	La dama di compania di Letizi
572079	291693	La moglie di Ambrogio (segmen
572079	294007	Stella D'Azevegno
572079	301363	Clara's mother
572079	301384	
572079	303178	La suora caposala
572079	313901	La lavandaia
572079	336605	Armida Pappalardo
572079	344587	
572080	156171	
572080	189569	
572080	251915	
572080	301498	
572081	94696	
572082	55958	Ayesha
572082	127891	
572082	327486	
572083	326128	Young girl at radar
572084	398458	
572085	404261	Bete
572086	397857	Roxane
572087	33482	
572088	11552	Mary's mother
572088	44012	Annie
572089	252403	
572090	302838	Mrs. Fane
572091	3420	
572091	7976	Loretta Bramley
572091	10585	Enid Camden
572091	35737	Leila Wilkes
572091	37464	Alice Beaumont
572091	40747	Clarice Monnier
572091	66933	
572091	89672	
572091	112711	Sylvia Freeman
572091	123206	The lady in white
572091	126674	
572091	128218	Betty
572091	129844	Rosa Crimmins
572091	143041	The Bareback Rider
572091	191817	
572091	194412	Morn Light
572091	195530	
572091	196258	Ruth, a mountain girl/Jack's 
572091	206737	Mrs. Dickinson
572091	220323	Polly Mason
572091	243525	
572091	251261	Raffles
572091	251681	Diana
572091	289060	
572091	298565	Barbara Musgrave
572091	303926	
572091	305587	Marjorie Mannning
572091	305831	Marie Clement
572091	309273	Contessa Angelica de Vecchio
572091	328580	
572091	331342	Grace Harmon
572091	335647	Desiree Lane
572091	336260	
572091	336264	Gloria Manner
572091	346073	Betty Standish
572091	356249	Adele Walton
572091	360046	Jane Hampton
572091	366165	
572092	194956	Lombard's Daughter
572093	162402	Mrs. Georgie Leonard
572094	56996	Session singer
572095	183831	Society Woman
572095	194052	Elizabeth, Smitty's Wife
572096	218828	
572097	144961	Janet Perryam
572097	168135	Georgia Leach
572097	270642	
572097	271854	Baby
572097	276421	
572097	277033	Tina
572097	317173	Estelle Marsh
572098	19829	Tory Bigelow
572098	89199	Rachel
572098	118347	Heather
572098	317947	Sooze
572098	340858	Trish Michaels
572099	128782	Herself
572101	74129	Receptionist
572101	146632	Mrs. Polly
572101	243226	Martha Jessup
572101	252983	Sibling's mother
572101	314779	Tax Woman
572101	369384	Mrs. Carew
572101	381212	Glennis Minkin
572101	381714	Babs Humphries
572101	385020	Joyce Smedley (1996-1997)
572101	388786	Joyce Gould
572101	392397	Pat (1975-1976)
572101	394473	Linda (1990)
572101	398990	Françoise
572101	406206	Martha Blaze
572101	410935	Susan Chambers
572102	115588	Fisherman's Wife
572103	340968	Florence
572104	105380	Fake Shemp
572105	28930	Little Girl Jumping Rope
572105	94115	Diedre
572106	9630	Mrs. Schaefer
572107	195300	Natalie's replacement
572108	154051	Tracy Hughes
572109	135569	Party guest
572110	2555	Frank's Wife
572110	35169	Dana Bixler
572110	73612	Skater
572110	97192	Tess Lewis
572110	148206	Kate McCallister
572110	168715	Jane
572110	237904	Andie Bledsoe
572110	241130	Meg Boley
572110	329844	Kelly Black
572110	347099	Bobbie
572110	360149	Gemma
572110	375698	Mary Beth
572110	384548	Kelly Fox (1989-1994)
572110	397291	Jess Connor
572110	405756	Macy Carlson
572111	257232	Marie
572112	298172	Mrs. Ormatroyd
572113	222134	
572114	368853	Mom in Park
572115	368600	Follower
572116	138309	Nun #1
572117	11202	Kate
572117	42353	Reporter #2
572117	138859	Winston salesgirl
572117	207498	Laura
572117	337379	Pearl
572117	347069	Lucile
572118	117874	Hollywood Boulevard Girlfrien
572119	39627	The Queen
572119	100087	Miss Johnston
572119	171278	Mrs. Bennett, N.Y. Times Food
572119	224173	Anne Smith, Dr. Bob's wife
572119	251979	Federal Clerk
572119	296733	Tamara Yarshov
572119	400236	Eva Colbie (1997)
572119	409056	Mary Turk
572120	43347	Mary Smith
572120	210514	Tea Shop Manageress
572120	259779	Mr. Pendleton's Maid
572120	363727	Miss Donald
572120	392483	Diana
572120	405696	Paris Hospital Sister
572121	330591	Astrid
572122	349404	Air Hostess
572123	196545	Walter's Wife
572124	383780	Miss Kruger
572125	384094	
572126	11025	Matron
572126	22619	Susan Birch
572126	32339	
572126	33713	Amanda
572126	40036	Harper's Secretary
572126	40846	Violet Bradman
572126	46892	Myrtle Bagot
572126	61947	Lady Caroline
572126	67314	Rose
572126	74257	Margaret Jarvis
572126	100825	Miss Palmer
572126	106621	Aunt Helen
572126	109912	Patrick's mother
572126	129939	Priscilla Sefton
572126	134290	First Lady
572126	138800	Bruno's Secretary
572126	158566	Katherine Lemmon Hardy
572126	163551	Alice Beckett
572126	168903	Hotel receptionist
572126	183596	Marquise
572126	185768	Mrs. Fane
572126	188355	Miss Finch
572126	189253	Miss Sykes
572126	193581	Mrs. Vizzard
572126	194641	Bird's Nest
572126	202901	
572126	222681	Belle Goedler
572126	226912	Victoria Hicks
572126	229133	Lady Trowborough
572126	231389	Aunt Celia
572126	236672	Miss Barwick
572126	238158	Mrs. Vinton
572126	242002	Liza Meredith
572126	282307	Mrs. Thompson
572126	311996	
572126	316604	Miss Hopkins
572126	349404	Mrs. Damer
572126	360258	Miss Winterton
572126	383719	Lady Alice Bourne
572126	388493	Patrick's Mother
572127	72923	Sally Valentine
572128	382997	Carol Walsh
572129	380352	Agnes Tellwright
572130	39849	Brenna
572131	316332	Sandrine
572132	386546	Duty Sister
572133	230972	Lovey
572134	390523	Hammy (1994)
572135	151461	Tour Girl
572135	194468	Sally Grace
572136	349506	Woman
572137	5802	Maria
572138	846	#73 Mariah Carey: Actress: Gl
572138	1346	Herself
572138	1462	Herself
572138	1465	Herself
572138	1707	Herself
572138	2258	Herself
572138	2263	Herself
572138	2302	Herself
572138	2366	Herself
572138	2721	Herself
572138	3027	Herself
572138	13751	Herself (performer)
572138	26666	Ilana
572138	68415	Herself
572138	81177	Herself
572138	87981	Herself
572138	96555	Herself
572138	104616	Herself
572138	108839	Herself
572138	127533	Herself
572138	129439	Billie Frank
572138	132627	Herself (Performer)
572138	143622	Herself
572138	161327	Herself
572138	163672	Herself
572138	205648	Herself
572138	205649	Herself
572138	205650	Herself
572138	205651	Herself
572138	205653	Herself
572138	208475	Herself (#32) (Interviewee)
572138	220208	Herself
572138	221421	Herself
572138	221473	Herself
572138	221478	Herself
572138	221832	Herself
572138	251086	Herself
572138	313759	Herself
572138	313952	
572138	321296	
572138	333548	Herself
572138	352974	Herself
572138	366641	Raychel
572138	392422	Herself
572139	80493	Miss Harris
572140	2797	Herself
572140	6730	NonSex
572140	33188	
572140	50382	
572140	66072	
572140	151265	Herself
572140	216817	Liza
572140	264126	
572140	274415	
572140	320941	
572140	331995	
572140	349389	
572140	353535	Herself
572140	364298	Herself
572140	408614	
572141	16669	Woman
572141	41080	Mary, Dithers' Secretary
572141	41084	Mary, Dithers' Secretary
572141	41088	Mary, Dithers' Secretary
572141	41090	Mary, Dithers' Secretary
572141	41094	Mary, the Secretary
572141	41097	Mary, the Secretary
572141	44306	Sally Griswold
572141	116169	Georgette's Girl Friend
572141	119803	American nursemaid with Janie
572141	155908	Bridesmaid
572141	163447	Mary, the Secretary
572141	176358	1934 Goldwyn Girl
572141	197869	Bit part
572141	238711	Telephone Operator
572141	313076	Dancer
572141	364357	Alice, the Maid
572142	306286	Dancer
572143	312704	
572143	356659	
572144	17228	Alicee McAndrew
572144	59133	Julie
572144	62560	Ora Lee Tingle
572144	81253	Effie
572144	82517	Jonsie Wilson
572144	87309	Anna Hot Water
572144	98659	Josephine (Joey) MacDonald
572144	158420	Ginny Hansen
572144	187317	Maggie
572144	192503	Bernice/Betty/Suzie/Alice
572144	234971	Marsha Sterns
572144	281505	Policewoman
572144	288904	Allison Baker
572144	289455	Amanda McCanless
572144	303491	Cynthia Holland
572144	312172	Maggie
572144	321288	Thumper
572144	346244	Mary Beth
572144	396672	Effie (the computer)
572145	5846	
572145	7414	Cynthia Craig
572145	9035	
572145	9883	Mrs. Dennison
572145	21458	
572145	38051	Dr. Henrietta Hull
572145	44252	Ethel Denham
572145	66381	Mrs. O'Brien
572145	68456	
572145	81607	
572145	85049	
572145	92549	
572145	107148	Laura Lee ('The Bride Comes t
572145	117207	
572145	118708	Nell Harter
572145	135911	Mrs. Clanton
572145	154148	Ma
572145	158238	
572145	171160	Undetermined Role
572145	178913	Bess Dawson
572145	192088	
572145	196235	Goldie Le Croix
572145	204521	
572145	214147	
572145	218124	Johnny's Mother
572145	228639	Madame Renavant
572145	232194	
572145	240470	Mrs. Brent
572145	253036	Maid
572145	255864	Mrs. Anne Avery
572145	280465	Selma
572145	283360	Mrs. O'Meara
572145	291964	Mrs. Jorgensen
572145	309269	The Orphan
572145	309712	
572145	313008	
572145	318038	Olive Trent
572145	327685	Miriam
572145	328755	Teola Graves
572145	334280	
572145	337368	Edith Trent
572145	343104	Mrs. Abby Frazer
572145	350456	Miss Lewis
572145	354732	
572145	360693	
572145	363105	
572145	363149	
572145	363590	Mabel Turner
572145	366182	Bridy O'Faolain
572145	367685	
572145	371061	
572145	391836	Herself
572145	395876	Casey
572145	398368	Elsie (1957-58)
572146	372863	Jeannie
572147	256746	Frances Loring
572148	65742	Dorothy Rand
572148	74113	Lady Governor
572148	80911	Mallory's Secretary
572148	115805	Committee Lady
572148	150244	Judge Lucinda Winchcombe
572148	160713	Tall woman
572148	165450	Lady Ingram
572148	183235	Mrs. Hale
572148	183239	Mrs. Hale
572148	184814	Imperious Woman
572148	197026	Mrs. Slipper
572148	219420	Countess Gretel
572148	219731	Lady Mosley
572148	221245	Lady Bradshaw
572148	235352	Countess
572148	236989	Miss Beale
572148	254889	Fierce Woman
572148	299492	Susan
572148	316942	Miss Bullen
572148	353490	
572148	362586	Mary Blackcottage
572148	364382	Lady Crouchurst
572148	367482	Maud Kerr-Smiley
572148	372773	Lady Gay Finchling
572148	382379	Miss. 'Bogey' Bogard (1991)
572148	384142	Bridget Cavendish
572148	385139	Miss Bullard
572148	395967	
572148	398085	Lady Dorothy Trumpington-Bonn
572148	398981	Diana Curry-Rivel (1982-1983)
572148	401224	Nanny
572149	46242	Woman Patient #2
572149	170871	
572149	405209	Mrs. Glover (1998)
572150	263227	Secretary
572151	14972	Anna
572151	29664	
572151	32046	
572151	34800	
572151	59992	
572151	59994	
572151	64931	
572151	65680	
572151	66923	
572151	75527	
572151	99133	
572151	108625	
572151	132489	Jill
572151	140486	Ann Miller
572151	142290	Helen Bedd
572151	154610	Ms. Jenkins, masseuse
572151	154982	
572151	189276	
572151	224287	Sarah
572151	226913	
572151	228677	Diane
572151	295631	
572151	295891	
572151	295991	
572151	306211	Tammy
572151	333375	Coed #2
572151	342523	
572151	362052	Suzette
572152	109971	Nurse
572153	96879	Child
572154	59574	Jean Goodman
572155	174699	Cafe Patron
572156	380390	Courtney Carpenter (1983-1984
572156	404613	Adair McCleary #2 (1985)
572157	317928	Victim
572158	18953	Grandma
572159	242750	DC Patricia Johnstone
572159	396080	Lousia
572160	319988	Château-Renard
572161	216184	Denise Viera
572162	410725	Meteorologist
572163	138413	
572163	218526	Young Woman
572163	244447	Kathleen
572163	302312	Linda
572164	165095	Social Worker
572165	222212	Party-goer
572166	4645	Bettina Percival
572166	128132	
572166	205206	
572166	236581	Odette/Thomson
572166	309986	
572167	210626	Herself
572168	102972	
572168	189668	
572168	264920	Fräulein Hartmann
572168	367186	Vicky Dittjen
572168	388297	Evchen
572169	119633	Receptionist
572170	312268	
572171	10057	
572172	76256	Various People in Background
572173	176321	Goldwyn Girl
572173	292470	Goldwyn Girl
572174	395542	Herself
572175	91959	Hooker
572175	381091	Herself (eliminated round 1)
572175	400698	Troupe du Palace
572176	29916	Juliet
572176	228670	
572176	252393	
572176	359910	Dawn
572178	185948	
572179	85560	
572180	143489	
572181	222134	
572181	411802	Nancy Becker (1976-1977)
572182	269534	Laborer
572182	382776	Ciça
572182	400902	Zezinha
572182	404799	Zelinha
572182	407275	Uiara
572183	192857	Cute Girl #2
572184	315122	
572185	34574	Silvia
572185	392030	Dra. Karina Rulfo
572185	405916	Silvi
572185	409957	
572186	221737	Mujer de taberna
572187	6949	Vesper, Vox's High Priestess
572187	24432	Robin Spitz Swallows
572187	26989	Nikki Iceton
572187	27195	Julie Ames
572187	40834	Lucy Joy
572187	66385	Chambermaid
572187	71486	
572187	84980	Eva
572187	106115	Jade Blake
572187	106335	Sandy
572187	113928	Charlotte Brooks
572187	128480	Wendy
572187	129209	Additional Voices
572187	134137	Gina
572187	188615	Lita
572187	190328	Gale Pullman
572187	195826	Maureen
572187	196902	Sophie
572187	208739	Julianne
572187	213278	Ruth
572187	223719	Cousin Nikki
572187	254591	Emma
572187	263755	Cashmere McLeod
572187	276346	
572187	292296	Mimi
572187	316881	Liz Holt, Scott's partner
572187	329311	Cybil
572187	392868	
572187	398670	Nikki
572187	401760	Helena Angelopolous (1992-199
572187	404927	Gluttony
572187	409400	Jean Echo
572188	81116	Sophie Papafogos
572188	118484	Nicki
572188	127842	Lucia Petri
572188	171930	Gail Sorensen
572188	178170	Sue
572188	197067	Lolita De Acha
572188	199142	
572188	213010	Narrator
572188	224025	Lydia Iurman
572188	259271	Const. Lorrie 'Flash' Gordon
572188	293196	Red Sessions
572188	299973	Helen Llewellyn
572188	389630	Dr. Sonia Kapek
572188	391251	Shelley
572189	70429	Dorothy
572189	218138	Jan
572190	54309	
572191	201198	
572191	276496	
572192	96396	Anna
572193	37133	Gail
572193	366679	Young Susie
572194	294559	
572194	322587	Marlène
572195	18317	Annette
572195	43696	
572195	51396	Lola
572195	70607	Betty
572195	83355	La jeune femme
572195	164187	Chupa
572195	205773	Marie
572195	219462	Fanny
572195	231144	
572195	252412	Pauline
572195	282003	
572195	322587	Marie
572195	343331	
572195	346709	Rosalie
572195	377069	La jeune femme (segment "Form
572198	283758	Lukretia von Resenroll
572199	40054	Marie Dagorn
572199	251532	Tristounette
572200	271865	Chep
572201	365942	Herself
572201	369874	Bobsleigh Reporter
572202	132739	Mona Bill
572202	248513	
572203	85050	Morgan O'Meara
572203	276889	Alex (head lifeguard)
572203	381873	Sarah 1996-1998 (Trubbles the
572203	392125	Girl scout
572205	70110	Heather Burns
572205	90422	Dana
572205	235412	Alex Jane
572205	235547	Tara
572205	317145	Liz
572205	368965	Beth
572205	385705	Ms. Claire Defoe (recurring) 
572206	15042	
572206	30323	
572206	385705	Ms. Claire Defoe (recurring) 
572207	160132	
572207	163969	
572209	377018	
572210	68312	
572211	65757	Mandy Kostakis
572212	47279	Tom's Female Colleague
572213	154017	Maria
572213	313195	Singer
572213	406380	Herself (12° eliminated, 70 d
572214	236432	
572215	65214	
572217	326544	The coreographer
572218	364300	Herself
572219	62584	Choking Victim #3
572221	6389	La sage femme
572221	8663	
572221	8668	
572221	8685	
572221	9362	
572221	15360	
572221	25581	
572221	38306	
572221	109749	
572221	145677	
572221	152146	
572221	155152	
572221	162733	Tahia
572221	164058	
572221	174530	
572221	175875	
572221	184033	
572221	189151	
572221	203954	
572221	205282	
572221	212606	
572221	222464	
572221	222888	
572221	226533	
572221	240356	
572221	270295	
572221	284923	
572221	288038	
572221	296607	Shafaat
572221	297741	
572221	324837	
572221	324941	
572221	358012	
572222	1833	
572223	70770	
572224	296924	Prostitue
572225	240344	Mrs. Midollo
572225	343999	
572225	349962	
572225	388509	
572227	33688	
572228	104749	Finnish entry (13th place)
572228	231896	Patron
572228	273020	Lena in Biarritz
572228	354333	Salina
572229	106205	Mercure receptionist
572230	38084	
572230	100288	
572231	309829	Sophia
572232	181274	
572233	234662	
572234	114283	Screen Tests
572235	1956	Herself
572235	80312	Herself - Interviewer
572235	209329	Herself - Interviewer
572235	223193	Herself - Interviewer
572235	225352	Herself - Interviewer
572235	343522	Herself - Interviewer/Narrato
572235	378836	Herself - Host (2001-)
572235	399883	Herself - Host/Interviewer
572237	37189	T.V. Announcer
572237	49441	Herself
572237	54421	Newscaster
572237	293011	Reporter #2
572237	308344	Field Reporter
572237	387918	Hostess
572238	57945	Sandi
572238	315713	Mary Floyd
572238	372882	Susan
572239	223700	Sharna
572239	319713	News Reporter
572239	366697	Fellow 4
572240	30955	Renèe (TV technician)
572240	178028	Reporter
572240	200926	Sgt. Leila Normand
572241	20422	Katharina Luther
572241	179837	Julia
572241	216535	Martha
572241	356198	Ursl
572242	5406	Renée d'Anglade
572242	8448	
572242	16410	
572242	16429	
572242	17716	Elvire
572242	23684	
572242	23724	La Morena
572242	24727	
572242	25143	
572242	25144	
572242	25163	
572242	25180	
572242	45164	
572242	45167	
572242	45177	
572242	45182	
572242	45186	
572242	45758	La mère
572242	48064	La voisine
572242	51143	
572242	51145	La mère
572242	51153	
572242	51155	
572242	51156	
572242	51180	
572242	51186	
572242	51190	
572242	51192	
572242	51195	
572242	51196	
572242	51199	
572242	51200	
572242	51204	
572242	52727	Mme de Moranges
572242	63643	
572242	65732	Teresina Riccardi
572242	66730	Mme Mauguiot
572242	66794	
572242	67181	
572242	71956	
572242	78342	
572242	78359	
572242	84102	Mme Herbelin
572242	85713	Comtesse de Fontfrède
572242	89354	
572242	101147	
572242	104035	
572242	105866	
572242	108887	Lady Beltham, maîtresse de Fa
572242	108888	Lady Beltham
572242	110147	
572242	111559	
572242	111872	
572242	111874	
572242	112817	
572242	112836	
572242	113120	
572242	113121	
572242	113233	
572242	124142	Sa femme
572242	124323	Mme. Ambrat
572242	128978	
572242	135420	La comtesse de Croize
572242	138588	Mme Trévoux
572242	144312	
572242	146385	
572242	148656	Mme Aubriot
572242	161660	La Breschard
572242	169977	Judith
572242	171441	Lady Beltham
572242	184892	
572242	188704	Marthe Sorbier
572242	198302	
572242	198307	
572242	201186	
572242	202580	
572242	204655	Mme Bernard
572242	205228	La fermière
572242	207746	
572242	208157	
572242	216232	
572242	219486	
572242	219514	Lady Beltham
572242	219520	Maman Barsac
572242	226792	La mère
572242	227599	
572242	228356	
572242	230272	
572242	232851	
572242	236199	Sa mère
572242	244743	
572242	254049	La mère
572242	254081	
572242	254100	Sa mère
572242	254150	
572242	261436	
572242	264443	Mme Bertin mère
572242	265802	
572242	265922	La reine de Messénie
572242	266387	Jeanne Mercoeur
572242	268312	Signora Rosario
572242	268436	Unidentified Player [Screen C
572242	268962	
572242	275617	
572242	277028	Mme Danglade-Renaud
572242	280525	
572242	281807	Mme Bonjean
572242	284225	
572242	292383	Mme Vicart
572242	295502	Dona Pia
572242	309750	
572242	324938	Anna Moulin, dite Nana
572242	337446	
572242	340638	
572242	340938	Juliette Michaud
572242	343385	
572242	345462	
572242	346477	
572242	350246	L'Andalouse
572242	351716	
572242	352652	
572242	353913	
572242	353937	
572242	354091	
572242	354969	
572242	371418	Sa mère
572242	371420	
572242	377731	
572242	377855	
572243	316153	Writhing woman in dress
572243	390448	The worker
572244	246374	
572245	269012	
572246	8980	
572246	25019	
572246	53129	
572246	61345	
572246	67653	
572246	71400	
572246	76127	
572246	103046	
572246	125682	
572246	135269	Gorda
572246	143553	
572246	156386	Sizenanda
572246	157236	(segment "Reimplante, O")
572246	162118	
572246	187944	
572246	195118	
572246	199126	
572246	201133	
572246	211018	
572246	214631	Neném
572246	218427	
572246	250430	
572246	262236	
572246	264468	Woman in red
572246	275017	
572246	286393	
572246	294995	
572246	295206	
572246	306849	
572246	320519	Ana Gorda
572246	327326	Lina
572246	337252	
572246	344806	
572246	350254	
572246	383247	
572246	391674	Maria Gasolina
572246	393464	
572246	401932	Dodora
572246	404306	Dona Redonda
572247	196558	Girl #1
572248	204792	
572249	294545	Fransiska´s Mother
572250	4513	
572250	40941	
572250	40942	Laya/Susanne Provence
572250	108784	Mrs. Perrichon
572250	214364	Shoe shop saleswoman
572250	310386	Emma Klink
572250	314387	Birgitta von Carping
572250	322671	
572250	342307	
572250	342308	Josefina Pellerin
572250	355630	
572251	1050	Little Girl
572252	109630	Dana
572253	65676	Anja
572253	227042	Hångelbrud
572254	114484	Mother Vindås
572254	159672	Marta
572254	266364	Margarete Pedersdotter
572255	301681	Teen Lover in Orphanage
572256	97883	Sonja, waitress
572257	123495	Ann-Margret
572258	314386	Young man
572259	138526	Beda
572259	190835	Office employee
572260	293318	
572261	107681	
572262	92286	Lena
572263	9879	Honey
572263	289978	Locker Manager
572263	359482	Dana
572264	123462	Herself
572264	123464	The Resident Shrink
572264	327299	Herself
572264	368346	Herself
572265	197270	
572266	331206	Susie
572267	119666	
572268	68387	
572269	73856	
572269	365187	Fanny Kate
572271	211504	La mère
572272	7441	Germaine Perrin
572272	17862	Evelyne
572272	71825	Natacha
572272	87997	
572272	104759	Luxembourg entry (10th place)
572272	254302	Nicole
572272	258315	Fille énorme Seins
572272	269795	Silke
572272	309985	Muriel
572272	339925	Brigitte
572272	377013	Véronique
572272	382754	
572272	384757	
572272	385487	Malou
572272	391479	Niuta
572272	400385	Odette
572272	401568	
572273	217022	
572274	62699	Rox
572274	158061	Woman Friend #1
572275	115424	
572276	11439	Futaba
572276	29395	Young Girl, Ryu's Teacher, An
572276	123445	Midori Honami
572276	206618	Inez Frassange, Lapis Lazuii
572276	248708	Chieko
572276	267078	Joong-pil's Mother
572276	285831	Yaone
572276	302414	Lt. Jennifer 'JC' Armack
572276	347385	Tiffon/Platphyllum
572276	380900	Garalia Nyamhee
572276	384233	Tesera
572276	387456	Celcia (English)
572276	389869	Anchor #1/Anchor #2
572276	390536	Tesera
572276	394431	Madoka, Additional Voices
572276	394997	Dr. Reiko Amagi
572276	396548	Cleao
572276	399784	Mireille
572276	402175	Mao Daidouji
572276	404127	Additional Voices
572277	144083	
572278	356503	
572279	240293	
572280	243487	
572281	327476	Daughter
572282	194831	Slave Girl
572283	239750	
572284	5524	Marge Harris
572284	16043	
572284	20613	WAAC Lt. Spencer
572284	27319	Nellie
572284	28173	Stella Simmons
572284	30122	Marie
572284	39910	Carmona Daly
572284	41060	Lulu
572284	42835	Zinnia, arcade counter woman
572284	44515	Helen
572284	46729	Nurse Harrison
572284	50290	Myrna Keaton
572284	50889	Mrs. Kovacs
572284	54977	Aunt Martha
572284	65797	Mamie Kirwin
572284	73170	Louise
572284	73172	Ruby Farrell
572284	73690	Virgie
572284	75692	Maizie
572284	81186	Miss Francis
572284	85054	Ida
572284	91779	Waitress
572284	112368	Stella
572284	115550	Kitty
572284	116514	The Blonde
572284	120284	Kitty
572284	120739	Gracie
572284	127697	Francine Gray
572284	128187	Havana
572284	128883	Fan Dancer
572284	132844	Ginger
572284	133836	Kay Stevens
572284	135857	Belle Townley
572284	141001	Mazie
572284	142980	
572284	148912	Betty Loring
572284	154426	Tired Blonde
572284	154905	Rita
572284	163443	Grace
572284	169817	Estelle, the Madame
572284	175809	Receptionist
572284	183760	Sandra
572284	191038	Myrtle
572284	194459	Showgirl
572284	194832	Henrietta Robin
572284	195879	Claire
572284	196190	
572284	197797	Minn, the madam
572284	200896	
572284	210388	Gloria
572284	213820	Thieving Waitress
572284	214149	Woman Who Kisses Baby Joe
572284	214964	Sally
572284	215764	Rose Walsh (bar girl)
572284	224000	Stage Manager
572284	224237	Ruby, the Cook
572284	232023	Ruby LaRue the Blockbuster
572284	240904	Redhead in nightclub
572284	254270	Tilly
572284	260404	Helen Martin
572284	273805	Blond
572284	274182	Waitress
572284	274728	Mrs. Horvath
572284	277898	Amelia
572284	281391	Janie
572284	283940	Bella
572284	288458	Belle
572284	289256	Fan Dancer
572284	294038	Ingrid
572284	295293	Switchboard operator
572284	295616	Woman
572284	299516	Florrie Kobiski
572284	300068	Nurse
572284	302644	Evelyn
572284	308348	Hazel Sorelle
572284	309268	Agnes 'Happy Lips' Noonan
572284	313517	Jailbird
572284	329520	Lulubelle
572284	333301	'Killer'
572284	335654	Mayme Martin
572284	339905	Errol's Stenographer
572284	343033	Aspiring actress
572284	343042	Minnie Mitt
572284	348072	Mrs. Miller
572284	349556	Sally Beaver
572284	358031	Tessie
572284	360783	An Old Flame
572284	361841	Flashy Woman
572284	366996	Mae, the Blonde
572284	367530	Blonde
572284	372931	Taxi Driver
572284	384263	Alice Purdy
572284	397642	Nell Mulligan
572285	136832	Pi Girl
572286	274052	Girl in Classroom
572287	98149	Yard Sale Customer
572288	127204	Eva's Ghost
572289	53921	Leslie
572290	64932	Mother
572290	71777	Olive Turner
572290	106530	
572290	206360	
572290	381608	Olive Turner (1967-1977)
572290	387517	Matron Evans
572291	23797	Florence
572291	134584	La jeune fille
572291	229033	Barbara Steiner
572291	384509	Ariane
572291	400927	
572292	252413	
572293	8627	Marie-Lou
572293	17731	Annette
572293	66092	Daisy
572293	83370	Yvonne
572293	85716	Nora Mitry
572293	101251	Lucette
572293	101531	
572293	103399	Sheila
572293	110052	Juliette
572293	125737	Suzanne Barlay
572293	148737	
572293	159275	Hélène
572293	167200	Margot
572293	198847	Jasmine
572293	199577	Jeanette
572293	205213	Marcelle
572293	215854	
572293	234750	
572293	235824	Mariette
572293	235831	
572293	250708	Patricia
572293	257353	Giselle
572293	268437	Chiristine
572293	268438	
572293	275745	
572293	328399	Renata
572293	346577	Rose Chaperon
572293	354506	
572294	125737	
572294	167200	
572295	16613	Colette
572295	84105	Désirée Clary, enfant
572295	85716	Nora à 9ans
572295	132607	
572295	132607	Alexandra
572295	292783	Pitou
572296	402197	Gina Belzano (1985-1986)
572297	191394	
572298	85580	Noritza
572298	156547	
572298	161785	Narrator
572298	203927	Clara
572298	287413	Merry Clerk
572298	384373	
572299	89361	
572299	156277	La capitaine des girls
572300	89811	
572301	163496	Managers assistant
572302	55411	L'amica snob di Paolo
572302	113705	
572302	273963	Gianni
572302	339074	
572303	3267	Brinton Groupie
572303	218738	Sophie
572303	252877	
572304	58010	
572305	85693	Soeur Anne
572305	191499	La serveuse
572305	338980	Jeanine
572306	36446	
572306	46658	Esterina
572306	51448	
572306	53895	Pottoi
572306	54005	
572306	64244	
572306	71106	La signora Valmod
572306	71275	Ferguson
572306	113705	
572306	119081	
572306	130117	Tante Suzanne
572306	208096	
572306	217109	Rosa
572306	252772	
572306	344607	Maria
572306	349524	Mrs. Lucarelli
572306	353023	
572308	71333	
572309	91598	
572309	301306	
572310	108773	Liliane
572311	107681	
572311	168181	
572311	207771	La mère de Dédé
572311	324619	
572311	340202	
572311	353920	Une journaliste
572312	66092	La secrétaire
572312	340212	
572312	346520	
572313	241074	Jean-Paul's Daughter
572313	346813	Catherine
572313	377614	Marie-Cécile
572313	385002	Berthe
572313	386224	La fillette de 9 ans
572313	410142	Jeune Soeur De Berlioz
572314	77348	Une jeune fille
572314	104244	
572314	220492	
572314	377625	Marie-Christine
572315	41347	Office Manager
572315	143051	Jeannette
572315	155861	Judge
572315	160042	
572315	171078	Mrs. Sayer
572315	189221	Dick's Student
572315	189233	Publicist
572315	197065	Maid
572315	222292	Clarinda Sue Begley, Mumford'
572316	31055	Wok
572317	245447	Manager
572317	293816	
572318	240560	Herself
572320	197537	La petite gitane au crocodile
572321	46156	Jennifer
572321	88561	Sheila
572321	159717	Marsha Maxwell
572321	278716	Addict Victim
572322	119094	Kelly
572322	213164	Krissy
572323	366998	TV Reporter #2
572324	46854	Mrs. Aarons
572324	67385	Jill
572324	105395	Millie Wilhelm
572324	107906	
572324	130950	Shirley Ashbee Gifford
572324	138478	Paula
572324	150470	Kelly
572324	160042	
572324	169135	Bilah
572324	222656	Dinah Greenberg
572324	224246	Frances
572324	299644	Ellen
572324	306465	Angie
572324	334187	Monica
572324	343142	Kathleen Tallard
572324	350622	Bella Chagall
572324	353418	
572324	389858	Charity Gatlin Holt (1986)
572325	329309	Blonde in blue blouse
572327	19971	Meg
572327	32983	Cigarette Girl
572327	54840	Paula Bristol
572327	127152	Kaye Dawson
572327	143565	
572327	283394	Cashier
572327	303473	Laura Barton
572327	308649	Mary Ann Blake
572327	361294	Elevator girl
572327	365475	Mollie Bannister
572327	372093	Hat Check Girl
572328	63146	Cora Newman
572328	77183	
572328	87341	Communications Secretary
572328	106542	Mrs. Grissom
572328	106636	Landlady
572328	138669	Aunt Genevieve
572328	194009	Mrs. Simmons
572328	222292	Judge Otto
572328	252506	
572328	274546	Mrs. Cole
572328	305782	Laura's Mother
572329	232031	Teacher
572330	381821	Ensemble (1969-1971)
572331	54946	Additional Voices
572331	131006	Clara Rivers
572331	131008	Clara Philips
572331	263494	Pamela
572332	254414	Background Player
572333	128902	
572334	32425	Mrs. Van Dyke
572334	232229	Terry
572335	450	Julia Little
572335	31055	Nell
572335	31437	Mrs. Baxter
572335	69842	Herself
572335	79698	Dawn's Mother
572335	81335	Christine Brooks
572335	107175	Maria Forst
572335	117395	Ella Wagner
572335	119820	Mrs. Weber
572335	149201	Margaret Houston
572335	165253	Meg Hunter
572335	176332	Molly Edward
572335	176822	Dorothy Tison
572335	185073	Sarah Abelman
572335	192636	Nancy Royce
572335	219370	Fran Lester
572335	220793	Mrs. Jones
572335	235514	Mae Henderson
572335	301682	Jennifer Sparrow
572335	314424	Linda Connors
572335	319709	Melinda Leahy
572335	323594	Lynn Tyne
572335	328587	Lee Parker
572335	365424	Mrs. Sada Billings
572335	393292	Mrs. Joan Hunter
572336	247091	Holdorf, Janette
572337	118703	Beth-Ann Bolet
572337	198042	History teacher
572337	305575	Pregnant Mother
572338	232031	Sue
572339	118949	Esther Frazier
572339	245089	Liz
572339	292700	Connie Wheatley
572339	314114	Carol Gowland
572339	381273	Linda Pond (Series 1-4) (1999
572339	382506	Laura Marsh (1989-1991)
572339	382522	Charlotte
572339	383631	Dr. Selina Donovan-Manning: N
572339	385279	Wendy
572339	385280	Wendy
572339	390370	Phoebe Bamford/Sparrow (II) (
572340	23932	Herself
572340	295557	Herself
572340	299747	Herself
572340	363020	Herself
572340	401843	Herself/Regular Contributor
572341	363123	Barbara
572342	87645	Margareth Quist
572342	158392	Det. Sgt. Marten
572342	380346	Annushka
572342	404617	Lena
572343	48688	Andy's woman
572343	392199	
572344	99695	Camera Operator
572345	26633	Herself - Angel and The Rerun
572345	130311	Punk Girl
572345	133402	Dancer
572345	185474	Star
572345	241050	High School Band
572345	350145	Jess
572345	359443	Shopper #2
572345	369492	Xanadu Dancer
572345	390180	
572345	405163	Yoga
572346	155245	
572347	13365	Jane Russell
572348	141142	Grace
572348	215176	Nun #2
572348	292161	Tina
572348	309471	Helen
572348	360116	Val
572348	387540	Patricia Lambert
572349	10648	Prison Guard
572349	17205	
572349	38154	
572349	55816	
572349	56100	Isabella
572349	56889	Luciana
572349	57284	Maria
572349	77134	The Cloud
572349	89567	Prostitute
572349	102236	
572349	107456	
572349	113574	Donna negozio
572349	128035	Olimpia
572349	128926	La Sibilla
572349	162215	Emilia
572349	209415	La madre
572349	213889	Adriana
572349	214593	Becchina, venditrice di bare
572349	234280	Mlle Bourdon
572349	239963	
572349	240277	Alba
572349	244461	Camille
572349	245502	
572349	275635	Olimpia
572349	295232	Le travesti
572349	309405	
572349	328389	
572349	337459	Chiromant
572349	341144	The Mother
572349	341373	Angel
572349	354960	
572349	377930	Madam
572349	378010	Violette
572349	380852	Lidia
572349	393718	Lorenza
572350	510	
572350	515	Additional Voices
572350	516	
572350	517	
572350	126538	Eyeball Dancer (segment "Love
572350	389791	Additional Voices
572351	137460	Mrs. Clarke
572351	332488	Fanny Lawson
572352	56691	Vegetable Seller
572353	49453	Grace
572353	73611	Gwendoline
572353	84002	Victoria
572353	144926	
572353	191394	Margaret/Jimmy
572353	252982	Sally
572353	318448	Catherine
572354	275291	Alice
572355	1439	Herself
572355	11687	Herself (performer)
572355	23932	Herself
572355	33397	Herself - Singer/Interviewee
572355	33399	Herself - Singer
572355	33400	Herself
572355	129876	Herself/lead vocals
572355	129877	Herself (lead singer Go-Go's)
572355	129878	Lead Vocal
572355	181688	Herself
572355	187391	Herself - Hostess
572355	192558	Herself - Singer
572355	260431	Herself/Connie Francis
572355	298091	Cameo appearance
572355	321526	Jamboree Singer
572355	348651	Herself
572355	379601	Herself/Interviewed (Go-Go's 
572355	391319	Herself (Series 1) (2004)
572356	38685	Woman in theater
572357	6918	Mollie Moore
572357	65352	Singer
572357	297994	
572357	302598	
572357	318040	Secretary
572357	368697	
572358	251789	Woman in Club
572359	257559	Rose, a Salesgirl
572360	197758	Vicky
572361	145080	Mother
572362	9674	
572362	39188	
572362	270648	
572363	348955	Undetermined role
572364	206836	Tourist
572365	222330	Lecture Hall Student #1
572366	23441	Debbie Dallas
572366	187602	Nailmi Jugg
572366	209527	Aphrodite
572366	244824	Additional voice
572366	283099	Marianne Thornberry
572366	310715	Doris Wind
572366	316649	
572366	365458	Marianne Thornberry
572366	365459	Marianne Thornberry
572366	400643	
572366	402909	Additional Voices
572366	403569	The Fabulous Moolah/Wendi Ric
572366	407441	Additional Voices
572366	411142	Marianne Thornberry/Additiona
572366	411144	Additional Voices
572367	158358	Female Rioter
572367	307928	Prisoner's Girlfriend
572368	2301	Herself - Co-presenter: Writi
572368	3788	Herself
572368	7583	Herself
572368	11463	Herself - Singer
572368	47385	Herself
572368	56871	Herself
572368	68779	Herself (interviewee)
572368	126018	Herself
572368	134241	Herself
572368	143623	Princess Alexandra
572368	147663	Herself
572368	175523	Herself
572368	179421	
572368	184832	Pamela Mason
572368	222592	Ann Ware
572368	231794	Rosa Castaldi
572368	260631	Herself
572368	270622	Radio Singer
572368	297962	Midge Mercer
572368	303455	Mrs. Bannister
572368	342232	Herself
572368	382817	Herself
572368	383765	Herself (guest panelist, 1949
572368	392477	Herself/panelist (1952-1953)
572368	408365	Herself/panelist (1956-1981)
572368	408366	Herself/panelist
572368	408367	Herself/panelist
572368	408368	Herself/guest panelist
572368	408369	Herself/Guest Panelist
572368	410900	Herself/panelist
572369	241340	South Africa
572370	8252	
572370	71620	Glorietta Hope
572370	95044	His Wife
572370	131032	The daughter
572370	134533	The Postmistress
572370	234076	The girl
572370	246780	Princess Lucille
572370	300118	Leading lady
572370	312789	The prima donna
572371	26343	Virginia Clark
572371	35591	Betty Lou Winters Gifford
572371	52399	Marge Hogan
572371	58814	Edie Reach
572371	61753	Secretary
572371	67141	Barbara Shirrel
572371	77685	Sally
572371	80547	Gayle Clayton
572371	84973	Impy the Secretary
572371	91795	Vicki Clark
572371	92229	Jackie Harper
572371	92589	Judy Marlowe
572371	96833	Edna
572371	112095	Herself
572371	112614	Marian
572371	128353	Gwen
572371	132806	Honeymooner
572371	132843	Gerry Killaine
572371	133654	Olive Temple
572371	138282	Janice Yates
572371	140478	Millie
572371	143262	Constance 'Connie' Kennedy
572371	147384	Judy Hollan
572371	147804	Herself
572371	150544	Alicia
572371	150577	Phyllis
572371	152925	Jane Harris
572371	156464	Carol Butler
572371	160356	Crystal
572371	163557	Grace Gridley
572371	175627	Gloria Wakefield
572371	177141	Phyllis
572371	183393	Sally Lou
572371	183579	Billie
572371	195678	Emily Stewart
572371	199272	Little Bo Peep
572371	210770	Evelyn
572371	214106	Francesca Shelton
572371	222675	Ruth Carson, aka Ruth Raymond
572371	231863	Elizabeth Osgood
572371	239654	Nancy
572371	241096	Doris Andros
572371	241361	The Second Doris Waverly
572371	247200	Anne
572371	260452	Herself
572371	271000	Carol
572371	275521	Young Blonde Violinist
572371	282526	Mary Ford
572371	288746	Thelma Springer
572371	289236	Phyllis Carrington
572371	300022	Leone Merrick
572371	319502	Nan Gale
572371	321374	Vivian
572371	329570	Dora Maxwell
572371	330868	Cassandra Phelps
572371	330875	Peggy Turner
572371	333655	Marjorie Rogers
572371	336221	Jane Townsend
572371	336736	Toni Denby
572372	47447	Girl
572372	68892	Peggy
572372	101427	
572372	130041	Maryilla Vancourt
572372	145555	Marcy Hollins
572372	175183	Olga Ratcliffe
572372	202903	Miss Van der Water
572372	280245	Christine Wyndham
572373	191394	Nellie, Fashion Editor for Mi
572373	252982	Feminist
572375	215690	Miss Arkansas USA
572376	42268	Herself (singer)
572376	122250	
572377	106723	Dancer
572378	319245	Molly Laver
572379	92712	Granny #2
572380	107165	Estelle Age 3
572381	132217	Hotel Girl
572382	97587	Herself
572382	114773	
572382	120022	
572382	127581	
572382	136630	
572382	142775	
572382	166777	
572382	237272	
572382	240114	Nabokone
572382	303678	Pasient
572382	320499	Old woman
572382	354196	A woman (uncredited)
572382	390848	Dame på sykehus
572382	404785	Fru Gulliksen
572383	223194	Dancer
572384	90334	Christina
572384	142341	Dijonaise
572384	234913	Xenobia
572384	389858	Leticia Juarez #2 (2001-prese
572385	83009	
572386	12024	
572386	113224	
572386	202057	
572386	265159	
572386	286372	Laura
572387	51984	Fritzy
572388	117683	Donna
572389	1883	Geneva
572389	60744	Nurse
572389	91959	Prostitute
572389	97352	
572389	107428	Jodi Kirkpatrick
572389	138683	Betty Grasso
572389	153651	Susan
572389	194289	
572389	226475	Older Nadia Comaneci
572389	231090	'Absolutist' Woman
572389	270008	Toby Stempel
572389	277140	Nancy
572389	304644	Performance artist
572389	401107	Dixie (1986-1987)
572390	66363	
572391	152804	Girl Friend
572392	11570	Tricia
572393	150924	Broccoli Lady
572394	4661	aktorka rewiowa
572394	70774	
572394	75940	Blonde in Tahitian Bar
572394	247592	
572394	272373	Franciszka
572395	72931	Goodyear Chorus Girl
572396	244420	Newscaster
572397	57832	
572397	234773	Stella
572397	269189	Mimì
572397	326536	Amica alla festa
572397	354960	
572398	380713	Julia Burke (1968-1975)
572398	390958	Ada, the housekeeper
572399	2351	Young wife
572399	363960	Diana Carter
572400	1662	
572400	8878	
572400	11692	
572400	14898	
572400	25321	
572400	52057	
572400	52872	
572400	53573	
572400	54236	
572400	69874	
572400	92973	
572400	133050	
572400	135438	
572400	188655	
572400	205149	La strega
572400	205362	
572400	228555	
572400	241913	
572400	249250	
572400	252658	
572400	262639	
572400	265723	
572400	270034	
572400	281624	
572400	281824	
572400	291546	
572400	301349	
572400	301356	
572400	311810	
572400	317717	
572400	335911	
572400	339207	
572400	351298	
572400	364013	Mother Superior
572401	3348	La signora De Rosa
572402	17142	Annetta
572402	51847	1st Maid
572402	55968	
572402	108713	
572402	110422	
572402	125561	
572402	127962	
572402	158553	Palmira
572402	159674	Germana's aunt
572402	162071	Esterina
572402	199506	Guest (segment 2 'Il Lavoro',
572402	200510	
572402	228132	la nonna
572402	229741	
572402	234763	
572402	255473	
572402	255474	
572402	255541	La nonna
572402	267309	
572402	284829	Addolorata
572402	336618	
572402	338720	
572402	342110	
572402	344451	
572403	207947	
572404	402456	
572405	273772	Opera Singer
572406	305093	Naili Saimi
572407	379450	Neném
572408	31835	
572408	52205	
572408	130979	Nudist on Hammock
572408	197296	
572408	199976	Sherri
572408	226903	
572408	228651	
572408	246479	
572408	325223	Sherri Morris
572409	151363	Mrs. Murgatroyd
572409	222306	The Woman
572409	238249	
572409	239534	Ann Hathaway
572410	116981	
572411	191301	Street Gang Member #1
572412	19468	Pilar
572412	352850	
572413	135366	
572415	102947	Candela (Beba)
572416	313160	Herself
572417	51137	Paula
572417	80438	Ron
572417	133519	
572417	148729	
572417	218290	Dora
572417	248358	
572417	381514	Herself (2000-2003)
572417	399816	Robyn Ross (1973)
572418	262348	Angie
572419	352597	La chanteuse du bal
572420	23750	Fernande
572420	350083	Danseuse
572420	355257	
572421	258118	Une femme du village
572422	194246	Sera Conti
572423	283887	Dead Girl
572424	20319	The Girl
572424	94253	Marja Lisa
572424	106097	Lena's Mother
572424	129267	Iris
572424	134472	Maud Blenheim-Ahlskog
572424	136628	Diana Stjernudd
572424	142789	Ida, maid
572424	144235	Nina
572424	148820	Lilly Lilja
572424	153768	Minka
572424	154565	Woman in haystack
572424	159636	Astrid Bergas
572424	178449	Nurse
572424	182079	Betty
572424	182455	Mother Sibyll
572424	191172	Louise Berg
572424	199082	Gudrun's Mother
572424	205677	Marianne Ekman
572424	225668	Klas' Girlfriend
572424	264278	Katrin
572424	276126	Kristina
572424	289783	Sigrid Jansson, actress
572424	303207	Sally
572424	304185	Kvinnen fra Israel
572424	308200	Charlotte
572424	308203	Monika
572424	311233	June Harvey/Spion 503
572424	313637	Mimmi
572424	326127	Vera
572424	333046	Nelly Bro
572424	349003	Liss Strömberg
572424	355627	Maria
572424	357749	Inga
572424	377304	Dora Macson
572424	377324	Veronica von Sachs
572424	377441	Karin
572425	224336	12th Navigational Command
572426	212333	Herself - Participant/Perform
572427	94336	Herself
572428	119165	Lissy
572428	129707	Lona
572429	395667	Patricia Doolittle
572430	331512	Constance Bonancieux
572431	149208	Senora Escobar
572432	353028	
572433	181170	Herself - Author
572434	286228	Dancer
572435	27666	Jette
572435	218897	Karin
572435	268558	Pige i Telt
572435	305881	The Mother
572435	342076	Mikkel's Mother
572435	343518	Anne
572435	344678	Karen
572435	382884	Den mørkhåret pige
572435	398260	Johanne Andersen
572436	11787	Tante Sara
572436	32512	Frk. Hansen, lektor
572436	48130	Berthe
572436	50241	Klara Tallerud, jordmor
572436	120022	
572436	129176	Bergtora
572436	144240	Lindbys søster
572436	146985	I husmorfilm
572436	153958	Oline
572436	154604	Maren
572436	181297	Ane
572436	184205	Lalla Hansen
572436	214196	Innehaver av Maison Stellas
572436	242449	Skuespillerske
572436	268366	Kona på båten/boatwoman
572436	287550	Madam Blomgreen
572436	317650	fru Svenkerud
572436	322471	
572436	334277	Josephine Hansen
572436	335504	Avisbud/newspapercarrier
572436	344290	En gammel dame
572436	346964	Johanne Antonsen, hushjelpen
572437	153396	
572438	102983	
572438	103077	
572438	140257	Dwina Arbuckle
572438	141952	Klaras Grossmutter/Clara's Gr
572438	141974	Klaras Grossmutter/Klara's gr
572438	206503	
572438	376626	Tante Marie Berner
572439	96441	Nanna
572440	26077	Girl on Stairs
572440	105312	Jane
572440	155890	Michelle (segment "1972")
572440	187140	Marianna Nania
572440	329342	Tammy Boyer
572440	366316	Kathy
572440	380391	Josephine (Josie) Watts Sincl
572440	388238	Maggie Pistone Egan
572440	390771	Harley Cooper Spaulding Malle
572440	406320	Kelly McGloin
572440	408036	Alexandra (Alex) Taylor (2000
572441	42696	Heather
572442	12017	Georgia Thomas
572443	50082	Worker #1
572444	6259	Christina
572444	108389	Connie
572444	232273	Siobhan
572444	238228	Waitress
572445	112994	
572445	217593	
572446	43426	Marcie
572446	59589	Polly/Truffles
572446	163578	Mercie
572446	190127	Polly
572446	298063	Marcie
572446	372363	Marcie/Crowd
572447	314133	Cindy
572448	294378	Sgt Chase Badam
572449	349876	
572450	129022	Mezzo-Soprano
572451	154494	Angela Kruschen
572452	82713	Little Girl
572453	50027	Herself
572454	366908	Naomi Blum
572455	344524	Herself
572456	247557	
572456	253067	Millicent Hedgerow
572457	121386	Gerard's secretary
572457	171297	Elevator Wife
572457	314131	Tonya, Eddie Agopian's Secret
572457	346058	Capt. Spellman
572458	2634	Soprano
572459	57384	Folg's mate
572459	286350	Sister Wagner
572460	2852	Petra
572460	53056	Trudy
572460	334037	
572461	12101	Herself
572461	123171	
572461	180750	
572461	209237	Jinx
572461	252764	Glory Ann
572461	336458	Miss Lonelyhearts
572461	340038	Essie
572461	400201	Ann Tercel
572462	300905	The Fat Lady
572463	2884	
572463	6879	
572463	27236	Swimmer
572463	32489	
572463	35503	
572463	38209	
572463	43466	
572463	43472	
572463	51956	
572463	56114	
572463	57156	
572463	60156	
572463	70102	
572463	73503	
572463	74981	
572463	84537	
572463	89894	
572463	91630	
572463	93870	Captive dancer
572463	106110	
572463	110555	
572463	128624	
572463	134236	
572463	134237	
572463	134238	
572463	140172	Visconti's Girl
572463	141597	
572463	148227	
572463	154526	
572463	169366	
572463	178326	
572463	184045	
572463	186800	
572463	187606	
572463	188092	
572463	216707	Bar Girl
572463	226981	Waitress
572463	227334	
572463	238696	
572463	250999	
572463	263077	
572463	263078	
572463	263079	
572463	265387	
572463	267204	
572463	304649	
572463	310368	
572463	310832	
572463	310847	Witch Greta
572463	320304	
572463	330472	
572463	335587	
572463	337080	
572463	345973	
572463	366729	
572464	403805	Carmen (1997)
572465	59568	
572465	91032	Astrid Ludwig
572465	225270	
572465	325524	
572465	325654	
572465	409958	Barbara von Sterneck (# 1) (1
572466	292148	NewsNet Assistant
572467	184710	Lexi
572468	173089	Cafe Customer
572469	282022	Lady
572469	321575	
572470	13963	Girl in Studebaker
572470	87393	Telephone Operator
572471	78915	Justine
572472	26817	Lucy Jones
572472	36870	
572472	44570	Lucy Jones
572472	60247	Sarah Williams
572472	67872	Jane Riley
572472	82378	June Thompson
572472	92174	Lucy Jones
572472	97669	Lucy Jones
572472	105178	Lucy Evers
572472	105227	Lucy Jones
572472	140505	Carole Chambers
572472	150479	Lucy Jones
572472	166466	Helen Martin
572472	168981	Lucy Jones
572472	195951	Lucy Jones
572472	217478	Joan Blake
572472	238633	Lucy Jones
572472	240936	Lucy Jones
572472	269375	Helen Martin
572472	269780	Lucy Jones
572472	285351	Lucy Jones
572472	335576	Lucy Jones
572472	339844	Lucy Jones
572472	352758	Madge
572472	372483	Lucy
572473	13863	Donna Novak
572473	39743	Lucy
572473	47935	Donna Ryder
572473	51967	Betty Holian
572473	53732	Nancy McKay
572473	78027	Janet Brody
572473	114044	Nurse Clive Olin
572473	115316	Shirley
572473	149764	Mrs. Slauson
572473	157789	Isobel
572473	158272	
572473	158274	
572473	163286	Violet
572473	203264	Grace
572473	207826	Kathleen Smith
572473	231840	Vico's wife
572473	238138	Justine
572473	297241	Susan Barton
572473	297770	
572473	317346	Phred
572473	323147	Jean Kerr
572473	326738	Mrs. Murphy
572473	363434	
572473	365312	Ann Cooper
572473	370035	
572473	379993	Donna Novak
572473	383780	Lisette Mercy
572473	385594	Mrs. Scottfield (1987)
572473	385824	Sheila Hammond #1 (1971)
572473	400201	Ruth Chiapparone
572473	409229	Ann Daley
572474	45638	Vanessa (segment "Bumping Hea
572474	49489	Vanessa
572474	220537	Alien #2
572475	310581	Bad Girl
572476	2250	Motorcycle Gang Member
572476	160445	Herself
572476	248057	Kristin
572476	313822	Pvt. Charlie Soda
572476	321444	Whaler
572477	19834	Mrs. Weatherbee
572477	87019	Proud Mother
572478	26831	Rodettes
572478	66123	The Butchettes
572478	393424	Additional voices
572479	84889	Meegan Wright
572479	236144	Billy
572479	346405	Renata from Season 3
572479	406952	Amy Neilsen (26/12/1997-31/12
572480	301992	
572481	10746	Daisy
572481	32693	TV Reporter
572481	192833	Joseph Mankiewicz's assistant
572481	345850	Janice
572482	168246	Janet
572482	367254	Party guest
572483	197809	Pressure Zone Editor No. 2
572484	7944	Mrs. Sykes
572484	36862	Old Woman
572484	40136	Mrs. Burns
572484	47935	Apartment Manager
572484	56870	Mildred
572484	63104	Mrs. Wilmot
572484	63113	Mrs. Thurgood
572484	102579	Receptionist
572484	142937	Win
572484	155077	Emergency Room nurse
572484	171724	Secretary
572484	220034	Woman Passenger
572484	233509	Norma Rice
572484	235482	Shirley
572484	242096	Senior Citizen
572484	275880	Nurse
572484	289113	Mother Superior
572484	294976	Woman in Parking Lot
572484	311253	Mrs. Winfield
572484	315524	Mrs. Gold
572484	318188	Bus Lady
572484	331697	Hotel Manager
572484	348617	Mrs. Pellegrini
572484	356477	Helen
572484	360688	Grandma Hotchkiss
572484	371320	Mrs. Goldstein
572485	383468	Norah Smith
572485	389365	
572486	35506	Aunt Pearl
572486	148901	Nosey Neighbor
572486	161294	
572486	247215	Shirley Miller
572486	255235	Bernadette
572486	257078	Gerry
572486	308634	Mrs. Kronborg
572486	353418	Miriam Schneider
572486	394251	Katie McKenna
572486	398567	Judge Beth Bornstein (1995-19
572486	399306	Bev Dutton (1984-1988)
572486	410845	Dr. Janet Cottrell (1977)
572487	241795	Blonde Girl Groupie
572488	152556	Tyrell's bitch
572488	191502	Purple Crystal Woman
572488	350245	Carmilla
572489	283546	Herself
572490	9845	
572490	117727	
572491	30679	Huge Arthur
572492	120287	(segment Illegal Alien)
572493	257232	Starlet
572494	160971	Ora
572495	63122	Beulah Youngquist
572496	166871	Additional cast
572497	11136	
572497	381237	
572498	241531	Shell Person
572499	6971	
572499	50167	
572499	154198	
572499	264871	Herself
572500	281464	Second E.R. Nurse
572501	214439	Student #2
572502	389858	Jason Quartermaine (aka Jason
572503	129435	
572503	158138	Model 1
572503	199138	The Jammers - Female Vocalist
572504	344020	Roger's Wife
572505	116525	
572506	355810	Juggler
572506	382627	
572507	263747	Nurse
572508	342871	Cricketer
572509	32529	Dancing Girl
572509	157575	Key Dancer
572509	260950	Dancer
572510	289372	Gina
572511	67495	
572512	321284	Actress #2
572512	345538	Martha
572514	281928	Monika
572515	119416	
572516	3924	Girl 2
572516	379978	Herself (eliminated 1st) (200
572517	1056	
572517	94258	Tin-Tin
572517	357757	Channie
572518	206488	Elderly woman playing slots
572519	731	Herself
572519	734	Herself
572519	34663	Lilly, Prostitute
572519	39458	
572519	73872	Dinah
572519	92674	Maria Muller
572519	108598	Host/narrator
572519	115251	Herself
572519	118944	Anna Spengler
572519	119350	Grace Harmsworth
572519	127321	Daphne Welles Hunter
572519	137964	Ulla
572519	149721	Elizabeth Heiss
572519	200498	Revolutionary
572519	305514	Movie Actress at Premiere
572519	350160	Ritva
572519	350193	Herself
572519	406280	Wallis Ackroyd
572520	354791	Susan Grant
572521	161462	Cara Richards
572522	74980	Cult Danceuse
572522	190930	Stacy
572523	108053	Woman on the ship
572523	115426	Young woman at Concordia
572523	120137	Clerk at the circus
572523	173538	Restaurant guest putting on l
572523	182304	Eva Ahrenskiöld
572523	182542	Young woman at Kragknappen
572523	198007	Girl at the ball
572523	210309	Maggie
572523	304403	Girl
572523	334039	Laila
572523	345994	Guest at Hammar's party
572523	357773	Waitress at Källaren Fyris
572524	48380	
572524	253911	Mother
572525	118971	
572525	322504	Infodame Flughafen/Info Count
572525	346855	
572526	104812	Marthe
572527	182269	Emma Q. Jansson
572527	322421	Maj-Britt
572529	40941	
572529	237263	
572529	293840	
572530	405853	Linda (1985)
572530	408422	
572531	164649	Nadja Tagg
572532	122273	
572532	132431	Desirée Wallin, librarian
572532	163137	Maria
572532	179682	Eva
572532	182279	Henni
572532	386335	Lucky Closette
572533	387766	Monica
572534	2907	Lisa Pettersson
572534	6585	Maja (Adolf's aunt)
572534	29345	Agnes Cotten
572534	48134	Augustine Lejoncrona
572534	48375	Victoria Blom
572534	97883	Mrs. Petreus
572534	108199	Maria Andersson
572534	121006	Margit van Boran
572534	122327	Mrs. Winkler
572534	127569	Emilia
572534	136622	She
572534	138433	Lucie Hummerberg
572534	154492	Roszica
572534	180076	Ebba Lindgren von Hacken
572534	181126	
572534	192499	Adolf's aunt
572534	202774	Elisabeth Broms
572534	217047	Ebba Tallén
572534	235041	
572534	241980	Vasilevna
572534	254251	Agda Alvin
572534	281955	Anna
572534	282086	Mrs. Hyltén
572534	286877	Aunt Maria
572534	302139	Mademoiselle Claire de la Meu
572534	306371	Laura Blom
572534	338729	Mrs. Anglin
572534	377298	Polly
572534	377310	Annie Carleman
572534	377324	The Aunt
572534	377383	Countess Lagercrona
572534	377390	Mrs. Blomberg
572534	387162	Old woman
572535	3388	
572535	3515	
572535	5355	
572535	43130	
572535	68793	
572535	69206	
572535	75838	Tanya
572535	81350	Khorsa
572535	82730	Nurse Morgan
572535	85076	Aaronessa Fyffe
572535	86879	
572535	88057	
572535	106241	
572535	133795	Monday
572535	136288	Marilyn Johnson
572535	226414	
572535	249893	
572535	333618	Girl #3
572535	355777	
572536	333068	Kvinna
572537	11713	
572537	84316	Karin
572537	104454	Mona Axen
572537	115384	Jessica
572537	152764	Pudelns matte
572537	198106	Madelaine Lenke
572537	211233	Schoolmistress
572537	268381	Christina
572537	284141	Susanne
572537	304850	Monika Hansson
572537	322840	Herself
572537	328650	Eva Hammar
572537	358847	Charlotta
572537	379764	Fröken
572537	389600	Daniel's Mother
572537	393318	Jane
572537	401773	Pernilla Biten
572537	403084	Margareta Lundkvist/Lager (19
572537	409853	Lena Lindsten
572537	412047	Alice Tofte
572538	314388	Elin
572539	34446	Madde Ljung
572539	39602	Anja
572539	40315	Erine
572539	45943	Gun Kollberg
572539	108051	Göteborgskan
572539	179771	Britt-Marie
572539	182599	Karin Adamsson
572539	191566	Chaufförens flickvän
572539	192659	Journalist
572539	204537	Gun Kollberg
572539	216361	Berit
572539	237036	Mimmi
572539	255866	Dinner Date
572539	259353	Gun Kollberg
572539	275108	Mimmi Gustavsson
572539	303552	Dancing Feet
572539	325079	Elmire
572539	341810	Karin Petrén
572539	354364	
572539	377320	Eva Ågren
572539	377321	Eva
572539	381602	Maria Martin
572539	381706	Mamma Madeleine (episodes 1-8
572539	385549	Kerstin
572539	393873	Julkulan (Christmas Tree Ball
572539	397779	Gertrud
572539	400112	Gunnbritt Mann
572539	408800	Mimmi (1994-1997)
572540	122501	Gregor's Sister
572540	154323	Nurse
572541	230233	
572542	309064	Herself
572542	377426	TV presenter
572542	381054	Questioner's voice
572543	32382	Lisa Norling
572543	33254	Jenny
572543	147008	Rita
572543	393273	Sjuksyster
572543	407489	Stenhult
572543	409080	Dagisfröken
572544	303706	
572545	138449	Teacher #2
572546	317645	Kassedame
572547	107832	
572547	335363	
572547	409884	Siw Sterner
572548	16266	Anderssonskan
572548	16267	Anderssonskan
572548	29561	Gertrud Brinkman
572548	40865	Pyret
572548	48368	Birgit Strid
572548	48378	Yvonne
572548	59717	Regina Forsius, rural dean's 
572548	78384	Marianne Molin
572548	94450	Lena Bergström
572548	115382	Vera Lanner
572548	115400	Ingrid Linder
572548	115427	Christina Larsson
572548	121006	Isabella Linder
572548	121019	Sonja Broberg, journalist
572548	122326	Lillian 'Lillan' Carlberg
572548	125828	Claire Wanner
572548	129171	Britt Granvik
572548	134965	Lillan
572548	138529	Monica Brandt
572548	145471	Lovisa Sundelius
572548	154509	Margit Holm
572548	164772	Maid
572548	170709	Ingrid, maid
572548	178483	Britta Birke
572548	181126	
572548	182542	Marianne Friis
572548	182547	Ingrid Blomkvist
572548	184585	Marianne Norrenius
572548	184586	Elsa Strid
572548	192655	Britt Lange
572548	197819	Fanny, waitress
572548	198388	Louise Pålsson
572548	209316	Birgitta Lövgren, secretary
572548	214362	Katarina Hassel/Birgitta Hass
572548	237580	Irma Berggren
572548	248188	Asta
572548	248189	Mary Broberg
572548	266755	Puck Andersson
572548	275590	Märta Lund
572548	284048	Bojan
572548	302139	Greta
572548	303647	Dr. Lovisa Sundelius
572548	304137	Margareta Carlson-Kronberg
572548	305885	Inga Blomgren
572548	317471	Aina
572548	322312	Märta Holm
572548	377309	Ingrid Billberg, journalist
572548	377390	Eva Blomberg
572548	394929	Bengt's mother
572548	412287	Britta
572549	48380	Dagmar, housemaid
572550	174172	Dancer
572550	219022	Pyret
572551	144083	Britte-Sophie
572552	154492	Ellusha
572553	317309	Quickee Burger Patrons
572555	2852	Michelle
572556	406961	Herself (Team Sembilang, 3rd 
572557	182531	Stylist
572557	182599	Woman in Street
572557	182799	Majken
572557	225332	Rose Markdanner
572557	237267	Anna/Ingeborg
572557	303552	Emma's mother
572557	340253	Inga-Brita
572557	343712	Ingeborg Erlandsson
572557	397779	Ingela
572558	397779	Rosamunda (episode "Henrys br
572559	104972	Det. Monica Simms
572560	206831	Kelly
572561	131560	Maja
572561	163936	Madame
572561	191206	Emily
572561	401772	Sylvia Petréus
572561	405458	Sångerskan
572563	65660	Madelyn Rosseau
572564	190796	Patient
572566	294287	Louise
572567	150847	Girl
572568	239080	Frances
572569	154326	Televator
572569	213852	Mrs. Davis
572569	250779	Featured Extra
572569	379151	Herself (1997)
572570	400466	Clare
572571	214096	Girl
572571	302603	Hostess
572572	31500	Trevor's Girl
572572	41399	Connie Angel
572572	127323	Veronica
572572	139170	Taryn
572572	151365	Game Show Hostess
572572	163247	
572572	232456	Pin Up Girl
572572	234464	Stiletto
572572	257814	Herself
572572	257859	Herself
572572	282434	Mitzie
572572	288907	Taryn
572572	300896	Vanna
572572	304571	Krista Halpern
572572	328258	Christie
572572	406363	Sally Campion
572573	220960	Ms. Wayne
572574	158102	Rockland T-Ball
572575	44551	Alex Taylor
572575	65605	Elizabeth
572575	144660	Courtney
572575	186936	Kari Berman
572575	304821	Hospital Volunteer
572576	107050	Maid
572577	141225	Ruth Revere
572578	128436	The Heiress
572579	160455	Herself
572580	187987	Princess Zarina
572580	207681	Shawna
572580	361864	Julie Thomas
572581	291758	Lola
572581	336030	
572581	356276	
572582	29923	
572582	122179	
572582	128845	
572582	132498	
572582	287163	
572582	321129	
572583	71110	Mrs. Werner
572583	168267	Felice (Brogden's secretary)
572583	190179	
572583	216871	Ann
572583	254631	Girl
572583	285095	
572583	308109	Scholarly Woman
572583	320206	Coffee Shop Cashier
572583	342938	Mattie Rawley
572583	363623	Elevator girl
572584	185414	
572584	338295	Marie
572585	2573	Herself
572585	318742	Herself
572585	352972	Herself
572585	387085	Herself
572586	75535	Sacrifice victim
572587	330017	Receptionist
572588	270840	
572588	388753	Anna Magni
572588	392738	Gabriella Renzi
572588	392739	Gabriella Renzi
572588	392743	Gabriella Renzi
572589	14624	Crying Girl
572590	20800	Sandra
572590	25318	Urania
572590	38780	Renata
572590	247967	TV announcing nun
572590	248187	Rosina
572590	332605	Maly
572590	388613	Herself - Assistant (1992)
572591	161126	
572592	216747	Tina
572593	287759	Elena
572594	15061	Une jeune fille
572595	37784	Karin
572595	48368	Mona Saag
572595	114033	Siw Schilden
572595	131559	Carly (the dog)
572595	192930	Anneli Hammar
572595	206246	Clerk
572595	215467	Annika
572595	216361	Fru sandberg
572595	225632	Ejvor
572595	228410	Eva Jansson
572595	259159	Nurse
572595	286778	Bibi
572595	341094	Nurse
572596	41146	
572596	69676	Servant
572596	71718	Mrs. Wyatt
572596	94610	Dude Guest
572596	139786	Mrs. Tewksbury
572596	147512	Farm Girl
572596	153078	
572596	154877	Opera Singer
572596	193733	
572596	203097	Nurse
572596	205448	Mrs. Gypsum-Weed
572596	212216	Mrs. Pettibone
572596	213160	Annie, the Maid
572596	214983	Violet
572596	221297	Glee Club Member
572596	222579	Ella, the housekeeper
572596	235676	Woman at Party
572596	252488	Harriet
572596	276809	Cordy Spiller
572596	281905	Susan (maid)
572596	304969	Opera singer
572596	316273	Thelma Redfield
572596	321112	
572596	330875	Nurse
572596	331374	Mother
572596	335729	Mabel
572596	367919	Miss Hicks
572597	47133	Adele Shelby
572597	50870	Mrs. Trent
572597	96656	Mona Wright
572597	109506	Jane Walton
572597	112283	
572597	125610	Mary
572597	142257	Mariann Dounay
572597	158490	
572597	160937	Eleanor Williamson
572597	171148	Second Daughter
572597	192291	Margaret, Bob's Wife
572597	193822	Mrs. Burton
572597	224406	Miriam Hawthorne
572597	235693	Marcia Rivers
572597	257052	Joan Moss
572597	257973	Julia Marchmont
572597	297245	Joan Lee
572597	298095	Mary Wilbur
572597	339740	Molly Todd
572597	345826	Mrs. Fletcher
572597	366110	Mrs. Bruce Corwin
572598	117751	Nurse
572599	267646	Laura
572599	362820	Ruby
572600	197394	(segment "David Lynch")
572601	47944	Mag
572601	92505	
572601	151004	Mrs. Shippam
572601	154230	First Waiting Woman
572601	190944	Wife
572601	193007	Pawnbroker
572601	194302	Mrs. Kentish
572601	199370	Inquisitive convict
572601	210897	English Landlady
572601	213106	Nick's landlady
572601	263966	
572601	265361	Bit
572601	302624	Thelma Manners
572601	350173	Martha Mueller
572601	360067	The Old Woman
572601	360068	Flower woman on bridge
572601	360369	Mrs. Deane
572601	363758	Mrs. Mellon
572602	367792	
572603	285031	Nun/Peasant
572604	357007	First Woman Photographed
572605	69905	Herself
572606	164649	Nadja Tagg
572606	303652	Sjuksyster
572607	23092	
572607	170051	
572607	333535	
572608	52312	Herself
572608	228482	Herself
572608	231123	
572608	257654	Herself (Miss July)
572608	257673	Herself
572608	257824	Miss February 1996
572609	114283	Rand's Class
572610	295461	Nurse
572610	314614	Melinda
572611	114021	
572612	400566	Jillian
572613	3405	Betty Haigh
572613	43347	Bridget Salsabill
572613	269627	Sue
572614	240644	Tai/Model
572615	157028	Adele Baistrocchi
572617	8968	
572617	12183	Margaret Brett
572617	27269	Hana
572617	300519	
572617	318074	Mrs. Marjoribanks
572617	372437	Christine Clay
572618	294829	Glass Eater
572620	2472	Christina
572620	35750	Herself
572621	53266	Stripper
572621	78570	Woman dancing alone
572621	397548	Santinha
572622	55674	Nightclub Hostess
572624	47375	Herself
572624	154806	Amy
572624	403157	Maple LaMarsh
572625	1337	Christina
572625	177530	Anita
572626	26547	
572627	39140	
572627	50384	
572627	75028	
572627	75030	
572627	75059	
572627	75546	Rose Kensington
572627	92517	
572627	106109	Lois Straub
572627	136849	
572627	139301	
572627	144523	Mary Jane
572627	185505	Baby May Zoftig
572627	199868	
572627	231601	Niña
572627	252759	
572627	296205	Host
572627	346222	Stenographer
572627	362990	
572627	405984	(Pledge, USC)
572628	278890	
572629	233542	Novia Julio
572630	97644	Utility-2nd Team
572630	128893	Sweetie
572630	410830	Melissa
572631	204218	Child on Plane
572631	205718	Therese Ragghianti
572632	26942	
572633	20259	Beth Lorimer
572633	37815	
572633	44463	Betty Powell
572633	72621	Ann 'Angel' Chambers
572633	118304	Nurse
572633	136050	Marion Warren
572633	141132	Gold-digging widow
572633	145671	Blonde
572633	157884	June Allison
572633	178015	Maharajah's wife
572633	213288	Gloria's Blonde Girlfriend
572633	246726	The Rider
572633	246727	
572633	249272	Pat Mallory
572633	305764	Marie
572633	319203	Bit
572633	330548	Bobby Allen
572633	331631	Saloon Girl
572633	367402	Nadine Miller
572633	371336	Singing Sister
572633	372431	Wampas Baby Star
572634	23448	Mrs. Lipschitz
572634	44453	Rodeo Girl
572634	64750	Herself
572634	85017	The Blonde Cultist
572634	136002	Paula
572634	154478	Woman
572634	166338	Herself
572634	175555	Herself
572634	211587	Mary
572634	218390	Lucy
572634	260963	Iris
572634	302436	Herself
572634	331564	Serelda
572634	347753	Lillibet
572634	359221	Yellow Moon
572634	360447	Herself
572634	387206	Herself
572635	13770	Geraldine Hicks
572635	14092	Claire de Beaulieu
572635	30787	Miss Dale Ogden
572635	46746	Ann Carter
572635	61698	Jane Courtenay
572635	69336	Mary Anderson
572635	69670	Eliza Allen
572635	78604	
572635	107844	Jill Cummings
572635	115636	Gladys, the Girl
572635	118360	The GIrl
572635	128525	Nellie Proctor
572635	137513	Nellie
572635	140734	The Girl
572635	161542	Favorite of the Harem (Babylo
572635	177639	Violet Carson
572635	186408	LaBelle Geraldine
572635	204180	Girl
572635	216231	Cosette at age 18
572635	234182	Little Mrs. Smith
572635	265358	
572635	265429	
572635	301978	The Angel
572635	319256	Charlotte
572635	323767	Lucie Manette
572635	334195	Rose Delvane
572635	362678	Captain Sutton
572635	365726	Frances
572636	75766	Olive
572637	16914	Graciella
572637	38044	Celsa
572637	41744	Debbie Torres
572637	53312	Rose
572637	66942	Anna Corwin
572637	67937	Tina
572637	75381	Julia
572637	94052	Judge Sonia Perez-Vega
572637	105945	Jackie
572637	113513	Elena
572637	113832	Cruza Peralta
572637	120286	Regine Dandridge
572637	124177	Dr. Alyson Hart
572637	129514	Jeri Dawn
572637	158343	Linda Styles
572637	177461	Mona
572637	178054	Teresa
572637	185540	Maria Cardena
572637	204214	Pearl Carrillo
572637	204406	
572637	213751	Nancy Mondragon
572637	229861	Miranda
572637	232093	Marie
572637	240328	Rita
572637	246685	Gina Bayworth
572637	252216	Corina
572637	293010	
572637	298094	Pvt. Yvette Rios
572637	331408	Rose Sanchez
572637	335839	Amanda Moore
572637	340864	Cherokee Lawshe
572637	377079	Isabel
572637	384854	Linda Rodriguez (1983)
572637	388237	Sofia Stavros (1986)
572638	118675	Waitress
572638	235357	Meryl
572638	262348	Cathy
572638	316140	Amy
572638	335144	Christine
572638	370854	Freya Olson
572638	382294	Sallie-Anne Huckstepp
572639	47078	Cheerleader
572639	108306	Nersy Gonzalez
572639	150075	Bianca Salsa Girl
572639	195558	Chemistry Teacher
572639	272857	Roxy
572639	362493	Sofia Avila
572639	394510	Sylvia Chapa
572641	29559	Dancer
572642	132524	Mary Carmen
572642	381012	
572642	392259	Host (1991)
572642	408197	Tertuliana (2002)
572642	408838	Host
572643	55244	Herself
572643	105954	Excitement
572643	280978	Mamie Bronson
572645	23769	Hélène Janicot
572646	117891	
572646	148810	
572646	215069	The Madonna
572646	310888	Livia Blanchard
572646	311425	
572646	328207	Teresa Raquin
572646	351605	
572647	208074	Newscaster
572648	6296	La fidanzata di Giovanni
572648	6298	Roberta Sullivan
572648	8284	Luisa
572648	14380	La madre di Mario
572648	14844	
572648	16546	
572648	49679	Teresa
572648	57309	Bianca
572648	63837	Elena Viscardi
572648	64433	(segment "Galop finale al cir
572648	67879	Gemma
572648	86334	(segment "Onora il padre e la
572648	89851	Adriana
572648	94647	Laura Berti
572648	94724	
572648	111847	(segments "Delitto" & "Castig
572648	111924	Renata Sarti
572648	113445	Silvia
572648	117973	Anna Illes
572648	127955	Nietta
572648	147054	
572648	147061	Elena
572648	157500	Bianca Giorgi
572648	163005	Elena
572648	183149	Anna Massani
572648	183475	
572648	200835	
572648	206038	La fioraia
572648	213797	
572648	213883	
572648	215345	Rosa
572648	216845	Paola
572648	228145	
572648	237518	Clara, la spia
572648	252237	Catina
572648	274483	Maria
572648	277003	Elena Ulianova, sorella di Na
572648	301361	Lia
572648	327439	
572648	332242	
572648	332250	Sister Anna
572648	334487	
572648	337389	
572648	339090	
572648	339634	
572648	345606	La fanciulla
572648	354450	Lidia
572648	355560	Luisa, la manicure
572649	318644	Michelle York
572650	115421	
572651	266713	Golda Levering
572652	366584	
572653	340960	Legal secretary
572654	100093	Adele Raffin
572654	190280	Kelly
572654	302143	Rabbit Woman
572655	27321	Nun
572656	51635	Tiffany
572656	150859	Cindy
572656	214962	Sharon Shergold
572656	222582	Emmy Hauser
572656	318188	Louise (Patrick's Neighbor)
572657	141329	Molly
572658	51434	Patronne d'epicerie
572658	153241	Harpy
572659	162953	MaryAnn Vandengberg
572660	162953	Mary Ann Vandergberg
572661	193873	Genevieve
572662	128154	Nurse's Daughter
572663	1744	Herself
572663	43947	Elsa
572663	80395	Lucy Littlejohn
572663	158112	Mad Puppet Woman
572663	380190	Cathy Williams
572663	384587	Second Hostess
572663	385020	Lucy Richards/Barlow (2002-20
572663	392808	Jane Robins
572663	394163	2nd Hostess
572663	395794	DC Joanna 'Jo' McMullan
572663	403292	Caroline Thomas
572663	405521	Various Characters
572663	406091	Twist Morgan
572664	160885	Eyeshadow Admirer
572665	333120	Person of the Night
572666	10926	Nurse Lucille
572667	131541	Amy
572668	235635	
572669	80952	Luddy Dublin
572670	143941	Annie
572671	682	Feminist Wannabe, Ms. Stern's
572672	90423	Girl Student #1
572673	228685	Mrs. Henry Hayler
572674	200254	Rachel
572675	67909	Valentina
572675	118667	The Woman in the Box
572675	251313	Elena
572675	344589	Mariposa
572676	293002	Secretaria
572677	14784	
572677	28007	
572677	29044	
572677	33517	
572677	51588	
572677	51593	
572677	59778	
572677	69022	
572677	73539	
572677	74589	
572677	87085	
572677	100278	
572677	103721	
572677	103951	
572677	104144	
572677	136597	
572677	146496	
572677	148173	
572677	152243	
572677	159528	
572677	210445	Bailarina
572677	212453	
572677	215231	Marianela
572677	216064	
572677	221911	
572677	225554	
572677	234353	
572677	247844	
572677	252751	
572677	269220	
572677	270014	
572677	272566	
572677	275136	
572677	282138	Vicky Fuentes
572677	287248	Sandra
572677	292707	
572677	293372	
572677	302507	
572677	307780	
572677	324527	
572677	326540	
572677	337564	
572677	353239	
572677	371755	
572677	378375	
572677	397021	
572677	398457	
572677	405398	Camelia
572678	369905	Olga
572679	356582	Elena Ricci
572680	143651	Gypsy dancer
572680	204993	receptionist
572680	283554	Girl on Yacht
572681	123900	
572682	14628	Alfredo's Neighbour
572682	17377	
572682	56581	
572682	57287	Clara Adulta
572682	68915	Mimi
572682	101181	Maryse, la bonne
572682	166193	
572682	220368	
572682	341077	Suzette's Maid
572682	349815	Marina
572682	386523	Maria Ramos
572682	393345	
572682	398197	Madalena Soares
572682	408405	
572683	89802	
572684	168714	Twin in hotel lobby
572685	379925	Herself
572686	168714	Twin in hotel lobby
572687	72382	Nora Dolan
572688	139005	Hooker
572688	297994	
572689	104655	Journalist
572690	12083	Lucía
572690	51728	Toñi
572690	70624	Gitana
572690	160535	Sra. Pregunta
572690	162104	Novicia
572690	183470	
572690	231185	Begoña
572690	357726	
572691	107249	
572691	165795	
572692	119865	
572693	403904	Model
572694	302381	
572695	14760	Woman at the Art Gallery
572695	36554	Leninha's Friend
572696	23087	María
572697	345554	Carmen
572698	281898	Anne
572699	55809	
572699	386743	Fantesca
572700	87511	Singer: Rey Chico
572700	148036	
572700	357893	
572701	384507	Dancer
572701	406972	Dancer
572701	406994	Dancer (1994)
572703	206991	Tía Ursula
572704	323966	Guest Starring
572705	104543	
572706	245490	
572707	61200	
572708	87511	Singer: Rey Chico
572709	313608	Lucy
572710	61909	Too Pretty For Porn
572710	381893	Kateri Monroe
572710	392710	Raynelle (1997-1999)
572711	41519	Rebecca
572713	53024	Anna
572713	254308	Pamela Sweet
572714	3383	
572714	23551	
572714	33681	
572714	229621	
572714	244077	Danila, the possessed one
572714	259707	
572714	278433	
572714	287015	
572714	307448	
572714	340423	Eva
572714	354233	Annetta
572714	363752	Lattuga Pop
572715	72747	Oriental Woman
572716	244392	Tomasi's Daughter
572717	41352	Ginger
572718	95306	Laurel
572718	158986	Taylor
572718	304527	Girl with Clogs
572719	244392	Old Woman
572720	65683	
572721	11539	Joy Lewin
572721	14255	2nd 'Nameless Broad'
572721	80546	Midge Taylor
572721	239009	Stacy Stoner
572721	242106	Marge West
572721	246769	Exotic dancer (maid)
572721	282537	Herself
572721	308001	Gillian
572721	381149	Barbara Wyntoon
572721	388210	Heather Finch
572721	396091	Julie Willis
572721	402552	Natalie
572721	403834	Regular Performer (1968-1970)
572722	186560	Lottie Pope
572723	226877	
572724	35709	Hotel Receptionist
572725	332385	Eugenie
572726	346228	
572727	196605	Mrs. Torpichan
572728	308504	Herself (real widow of Carlos
572729	392747	Natividade
572730	387640	
572730	397409	
572731	402189	
572732	175590	
572733	201133	
572734	54315	
572734	125782	
572734	148482	
572734	225810	
572735	269542	
572735	349624	Mother
572736	106077	Marge Ryker
572736	283429	Ruth
572736	317415	Eileen
572737	96500	
572737	199787	Nella
572737	209830	Francesca Carati
572737	212499	Medusetta
572737	214873	Dancer
572738	72124	Catlin
572738	73831	Amber
572738	231782	Nancy
572738	342784	Bartender
572739	58690	
572739	266339	
572740	379831	Nina/Allyson #2 (1990-1991)
572741	13782	Herself
572741	51441	Melinda
572741	175584	Herself
572741	360377	Herself
572742	321216	Dry Goods Clerk
572743	107842	Teenage girl
572743	128848	Heather
572743	157436	Student
572743	382084	Host
572744	67802	Shoe store assistant
572745	113530	Friend
572746	115312	Mark's girlfriend
572747	282104	Stammgast und Personal Rossin
572748	213324	
572749	386127	Antonia Bernal
572750	9715	
572750	37192	Babushka
572750	191546	Fanny
572750	321667	Poor 'Yuppie' Mother
572750	363414	Mrs. Jose
572751	77212	Reporter
572751	400546	Vanessa
572752	59342	
572752	214662	Linda Mullin
572752	222028	Julia
572753	184696	Bobbi Whittaker
572753	308440	Dr. Wills
572753	353525	Passenger #2
572753	395128	Bobbie Whittaker
572754	147206	Waitress
572755	139187	Shayna
572755	206609	Flash Dancer
572755	232124	Sarah
572756	33383	Baby with Teeth
572757	244809	Susan
572758	224326	Receptionist
572759	403605	Mabel King
572760	88933	Herself
572760	352702	Maureen
572761	198831	Beach Girl
572762	106514	Mrs. Sprague
572763	33383	Herself - Baby with Full Set 
572764	14212	TV Announcer #4
572765	132247	Peninsula Dance Team
572767	138811	Liz
572767	257922	Bridge Club Lady
572768	402458	
572769	330377	New York Lesbian Skater
572770	64062	Stepsister
572770	78874	Addy
572770	104929	Edith Simpson-Bates
572770	224110	Lady Barbara
572771	45912	Judith
572772	79414	Okeeman (Atoka)
572772	93651	Mitzi (gabby saloon girl)
572773	404002	Mary Ryan Fenelli #2 (1978)
572774	186291	Marie Bowdray
572775	283489	Tawny
572776	193588	Annabelle
572777	80429	Diane
572777	83825	Julia
572777	91573	Brenda
572777	102247	Scrub Nurse #1
572777	230124	Theresa
572777	308014	Teacher
572777	309280	Arab woman
572777	330091	
572777	362493	Sarah Seelig
572778	264537	Stores Coadjuvantes
572779	85725	Juanita
572779	315687	Leah
572780	102951	Patient #2
572781	238106	
572782	391479	
572783	11384	Wendy Jacobs-Rubin
572783	112290	Hotel Desk Clerk
572783	284628	Reporter
572783	313161	Sabrina
572784	80588	Lois
572784	183412	Tara
572785	68772	Britt
572786	408592	Dayse
572787	249805	Gavi
572788	81349	Woman Guard
572789	10709	Harmonica Girl
572789	70309	
572789	87395	
572789	93983	
572789	105256	
572789	147739	Ms. Huxley
572789	259398	Sandra Dixon
572789	266587	Wheeler's Mother
572789	359874	Cheryl Darwin
572791	317708	
572792	87282	Check-In Lady
572793	260834	Madre de josé
572793	275088	
572794	6631	
572794	8726	
572794	12028	
572794	14640	
572794	42655	Leonor Corrientes
572794	48795	
572794	53643	
572794	54323	
572794	57865	
572794	59777	
572794	59779	
572794	61197	
572794	63320	
572794	63900	Mujer en ataud
572794	64024	
572794	89736	
572794	91395	
572794	99716	Lupe
572794	103788	
572794	111418	Cristina
572794	136224	
572794	145148	Martha
572794	193021	
572794	199004	
572794	206976	
572794	212455	
572794	250809	Patsy's mom
572794	264391	
572794	281603	
572794	282144	Claudia
572794	292744	
572794	307464	
572794	307816	
572794	307817	
572794	322401	
572794	328716	Madre Amparo
572794	328728	
572794	339129	
572794	356908	
572795	292348	Marie
572796	20692	Bianca
572796	104003	Gemma
572796	125667	
572796	127604	Aglaia
572796	162612	Isabelle
572796	183075	Toinon
572796	246429	Suzanne Derblay
572796	264244	
572796	302186	Virginia
572796	339807	Antea
572796	345187	Caroline
572796	348189	Giuditta
572797	206995	Carmen
572798	47078	Whittier's Mom
572798	60753	Carol (Mom)
572798	136548	Brandon's date
572798	160358	Mother
572798	186471	Mrs. Destin
572799	125739	
572799	392963	Juana 'Juanis'
572800	171297	Screaming Woman
572801	3439	
572802	266153	
572803	379137	Herself - Contestant
572804	243151	Malvina
572805	308463	
572805	319829	Casilda
572806	8152	
572807	201831	Herself
572808	143991	Nina
572808	315275	Girl in the Nightclub
572809	346079	Isabella
572810	97223	Nurse
572810	382393	Faye
572810	383891	Rose
572811	186138	
572812	254125	Laura
572813	75034	
572813	251581	
572813	264950	Une femme médecin
572813	358675	
572813	372457	
572813	377726	
572814	187944	
572815	54208	Betty
572815	80949	Pandora Leaf
572815	127487	Gidget (Frances Lawrence)
572815	131534	School Girl
572815	399190	Susan
572815	399254	Binkie Massey
572816	134173	Angel
572817	2003	
572817	346293	
572818	46944	Eliane
572819	37681	Brandi
572820	210494	
572821	293175	A maid
572822	135314	
572823	293175	A maid
572824	159228	Mama Lou
572825	13791	
572825	73484	Mildred
572825	77799	
572825	90352	Karen's Mom
572825	120392	Holly Mason
572825	141301	
572825	176978	
572825	210643	Waitress
572825	251234	Donna Nathan
572825	302714	Emily
572825	310734	
572825	323155	Flight Attendant Patti
572825	353294	Queen Bee
572825	390771	Nadine Corly Cooper Lewis Coo
572825	399947	Catherene Devon (2002-present
572825	406952	Florence Kennedy (7/14/1999)
572826	111704	
572826	254131	
572826	284290	La mère de Marie
572827	134300	La jeune fille au tandem
572827	214874	Une élève
572828	40034	First Hotel Desk Clerk
572828	49874	Madame Thompson
572828	58810	Cora
572828	78864	Joan
572828	127193	Mrs. Martineau
572828	241529	Sunny
572828	280487	Nurse
572829	367876	
572830	80994	American Secretary
572830	218411	
572831	241878	
572831	336311	
572832	13066	Anna
572832	26838	Bridgette
572832	35519	Heather
572832	46516	Wife
572832	108477	
572832	122184	Michelle
572832	160415	Hitchhiker (segment "The Hitc
572832	233692	Party Girl
572832	263395	Nurse
572832	290389	Hogs & Hogettes
572832	313181	June
572833	8657	Lili
572834	16686	Miss Egypt
572834	336141	Dancer
572835	358649	
572836	11199	Mrs. Thornton
572836	18017	Woman with Dog
572836	367854	Martha Longhurst
572836	370585	Annie
572836	385020	Martha Longhurst (1960-1964)
572836	399304	
572837	30056	Young Girl Hooker
572837	283305	Village Mother
572837	311537	Sheila
572838	257760	Dancer (Spikes' Fantasy)
572839	5941	Tracy Malvoisie
572839	6627	Minouche
572839	13111	Bettina Verdi
572839	20625	Tourist
572839	24421	Joséphine de Beauharnais
572839	33638	Edmee
572839	36691	Germaine
572839	44999	Herself
572839	48205	
572839	55406	Martine Thompson
572839	55532	Caroline de Bièvre
572839	55724	Catherine
572839	57377	Solange Mideau
572839	71130	
572839	83200	
572839	84220	Lysistrata (segment "Lysistra
572839	86450	Elisa Leonardi
572839	90606	Nadine Leblanc
572839	96218	Martine
572839	100468	Kathy
572839	100548	Caroline
572839	106296	Stella Star
572839	111366	Micky
572839	115338	
572839	119038	Eliane Girard (segment "Femme
572839	142384	Martine Grant
572839	158845	Maryse Arley
572839	166114	Irène
572839	188660	Agnès de Rungis (segment "Lit
572839	193501	Lola Montes
572839	197063	Lucrèce Borgia
572839	199328	Jeanne Bécu, dite Rançon/Mada
572839	215132	Lulu
572839	225408	Olga Schneider
572839	227292	Nana
572839	228193	Nathalie Princesse
572839	228200	Nathalie Princesse
572839	235822	Herself/En personne
572839	263723	Isabelle de Santos
572839	309981	Sonia
572839	310974	Anna Maria Mentorsi
572839	315799	Lotte
572839	327760	Margot Hofer
572839	339081	Madeleine
572839	345098	Caroline de Sallanches
572839	345486	Georgina
572839	346693	Sidonie de Valpurgis
572839	350428	Contessa Vitelleschi
572839	351056	Herself
572839	357079	Isabelle Grosbois
572840	5289	
572840	5357	
572840	73495	
572840	74801	Sra. Mendoza
572840	91271	
572840	91398	
572840	103728	
572840	119860	
572840	143781	
572840	235309	
572840	250795	
572840	268497	
572840	271079	Granma
572840	283204	
572840	339159	
572840	350634	
572840	376673	
572841	269624	Child
572842	155493	
572843	2478	Juliet
572843	5936	Party Guest
572843	37947	Marcia Buttercup
572843	183755	Angela March
572843	275435	The Barman
572843	314441	
572843	380713	Sandy Wilson McGuire Hughes G
572844	243580	Thelma/Mrs. Jones
572844	328630	Bowling Queen Marge
572845	31822	Gypsy Boulet
572845	303911	Frau Heinsdorf
572846	282620	
572847	9010	Sue Manning
572847	31995	Mona
572847	37258	Flo Jenkins
572847	54587	Sue
572847	59929	Linda Terry
572847	60225	Jean Blair
572847	66829	Sadye Cohen
572847	77845	Molly O'Neil
572847	88943	Mrs. Mason
572847	105584	Princess Izola
572847	118525	
572847	128680	Babs Holworthy
572847	130736	Marybelle Cobb
572847	132573	Constance Hall
572847	157774	Felice Duchene
572847	163215	Anne Rogers
572847	193713	Mary Aldridge
572847	292639	Marjorie Dodd
572847	298101	Marie Thurber
572847	304638	Dorothy Jones
572847	306995	The Girl
572847	315917	
572847	358639	Patsy Schuyler
572847	364602	Mary
572847	365949	Gloria Havens
572849	121808	Paper Tearer
572850	69158	Herself
572850	121425	
572850	149598	
572850	170092	Yegua 'Fortuna'
572850	197365	
572850	326865	
572850	335962	Carola
572850	340279	
572850	349433	
572851	83253	
572851	117941	Jeanette
572851	152373	Hélène de Chanceau
572852	79132	Darrow Supporter
572852	131780	Gangster's Girlfriend
572852	135935	Cashier
572852	177660	1979 Waitress
572852	221324	Factory Girl
572852	264056	Waitress
572852	332807	Hippie
572853	83761	
572853	400380	Herself/Winner (2003)
572854	53284	Wet T-Shirt Contestant
572856	389705	Liz Mason
572857	158873	Upper level receptionist
572857	302492	Village Maiden
572858	398082	Angela Smith
572859	60136	
572860	15019	Linette
572860	46967	La Duchesse
572860	167188	Eva
572861	14890	Donna Anziana
572861	110389	
572861	162037	Caterina
572861	186588	
572861	234731	
572861	262479	Max's companion
572862	10051	Bettina
572863	2266	
572863	29937	Herself
572863	75031	
572863	127641	
572863	191356	
572863	239885	
572863	257660	Herself
572863	257678	Miss May 2002
572863	297923	
572863	341158	
572863	344863	
572864	58736	Herself
572864	222181	Herself
572865	386419	Noviça
572866	351494	
572867	387732	Carol
572868	37447	
572868	75030	
572868	81861	
572868	210539	
572868	255160	
572868	306923	Herself
572868	327329	
572868	353743	
572869	68590	Mariana (girl at the car)
572869	208243	Queiroz's Daughter
572869	380326	Paulina
572869	384117	Rosinha Neves Gonzaga
572869	404272	Young Cíntia
572869	405936	Ximena
572870	198983	Louise
572871	68360	Marie-Christine
572871	130117	
572871	157278	
572872	26040	Flora
572873	237226	
572874	125983	Regina
572874	204581	
572874	249635	Frau Vandenberg
572874	282104	Erste Dame
572874	290516	Thea Berthold
572874	344737	
572874	364910	
572874	375049	Jessica
572874	398863	
572875	223709	Redhead in Punk Bar
572876	326681	Mrs. Hill
572877	170745	
572878	161731	Marilyn
572879	3017	Anne's grandmother
572879	409388	Herself
572880	195035	Modelo #1
572880	213262	Dr. Williams
572881	750	
572881	237610	
572881	380863	Soeur Marie-Ange
572882	9260	Self
572882	304838	Skater Girl
572883	352718	
572884	171324	
572884	389471	Catherine
572886	66218	La vedette d'en face
572886	70523	Carla
572887	13494	
572887	13495	
572887	120555	
572887	188026	
572888	132892	
572889	189259	
572890	199328	
572891	274312	Heidi #2
572891	404727	Lisa Creighton
572892	53239	Mlle du Tillet
572892	70725	L'infirmière
572893	377655	Cecile Simonin
572894	12784	Wife
572894	28441	Girl in subway
572894	69499	Nurse
572894	120645	Dispatcher
572894	154561	Yvette
572894	196295	French Maid
572894	213820	Waitress
572894	241752	Jasper's Wife
572894	298256	
572894	299035	Vaudevillian
572894	352752	Cal Tech Girl
572895	15010	Madame Hairon
572895	91973	France
572895	166346	Jeanne
572895	254047	La fille
572895	256999	Vivian
572895	268443	La Périchole
572895	284166	Camille Frugier
572895	307479	Nicole Besson
572895	390749	
572896	69382	Edie
572897	191406	
572897	354871	
572898	79136	SithVixen
572898	166439	Female Jedi
572898	238739	Sith Vixon (segment "Darth Va
572899	245361	
572900	687	Herself
572900	2515	Herself - Presenter: Best Dir
572900	13919	Herself
572900	13998	Lise Bouvier
572900	24421	Mlle de Vaudey
572900	55514	Carola
572900	55861	Herself
572900	57894	
572900	59007	Katherine
572900	59056	
572900	62460	Madame Audel
572900	63657	Alice
572900	71905	Jane Hillary
572900	76582	Julie Andre
572900	85638	Henia Liebskind
572900	88177	Suzanne de Persand
572900	88944	Jennifer Dubedat
572900	108615	Fanny
572900	109730	Elizabeth Prideaux
572900	109839	Catherine Louise Marie Ernest
572900	120573	Herself
572900	121808	Katie Parker
572900	122788	Gaby
572900	125484	Herself
572900	125679	
572900	127621	Gigi
572900	129572	Angela
572900	130948	Dr. Sammy Lee
572900	135366	
572900	136017	Claire Jordan
572900	136647	
572900	148702	Véra
572900	150783	
572900	157126	Mother
572900	165285	Herself
572900	166292	
572900	166326	Herself
572900	180106	Penelope
572900	182947	Jane Fosset
572900	185451	Madeleine
572900	187791	Nadia
572900	188223	Marguerite
572900	190759	Lili Daurier
572900	199854	Sister Mary
572900	201676	Herself
572900	203590	Ann Garantier
572900	203622	Madeline Minot
572900	214103	Herself
572900	222728	Sra. Alvarado
572900	223164	Herself
572900	231555	Nicole
572900	239213	La Nuit
572900	246379	Paola, la moglie di Marco
572900	248988	Françoise Labé
572900	265740	Michelle O'Brien
572900	267562	
572900	269160	Annie
572900	274557	Regine De Chantelle
572900	274609	Nicole
572900	278496	Madame de Saint Marne
572900	315745	Mademoiselle (segment "Mademo
572900	317910	Mardou Fox
572900	322350	Céleste
572900	329560	
572900	329562	Clips from 'An American in Pa
572900	329565	
572900	336951	Lucille
572900	346853	Klaudia
572900	349876	Alla Nazimova
572900	352750	Lauren Boullard
572900	386573	Erika Werner
572900	388163	
572900	390599	Czarina Aleksandra Romanov
572900	396698	
572900	397055	Solange Dunas
572900	402552	Angela Kelno
572901	103215	Porcelain Bus Dancer
572902	122772	Lisa
572903	51451	Dame au renard
572903	376906	
572904	57876	Infirmière
572904	149114	Macha
572904	254938	Panope
572904	391479	Francine
572905	382279	Social Worker
572906	377006	
572907	362578	
572907	401689	Anita Richards
572908	207874	La contrevenante
572909	37414	Birthday Party Guest
572909	47311	
572909	78528	Sailor's Girl
572909	114885	Garson's Fiancée
572909	115864	
572909	118423	Cashier
572909	128231	Cleo
572909	128619	Billie
572909	142360	
572909	148392	Maid
572909	148936	Mrs. French
572909	155018	Girl
572909	155561	Mary Regan
572909	166057	Miss Ostberg
572909	195509	Dr. Ware's Nurse
572909	228829	
572909	239073	Pinkie
572909	302708	Miss Kane
572909	321794	Bit Part
572909	339940	
572910	63688	Amarilla
572910	131969	
572910	219660	
572910	249865	
572910	256661	
572910	333745	
572910	371687	
572910	382946	Casilda
572910	387773	Olga
572911	220498	
572912	12057	Herself
572912	40841	Pet shop assistant
572912	55686	Fanny
572912	86526	General's Aide
572912	90378	Pinto's Nurse
572912	92656	Whitby Inn maid
572912	134075	Mrs. Klinger
572912	186751	School Girl 1
572912	291807	2nd Typist
572912	334112	Farmer's Wife
572912	385345	Mumsie/Auntie Sabrina (1990-1
572912	395222	
572913	6442	Marina
572913	11934	Solange
572913	17719	Fifi
572913	57079	Caroline
572913	169305	Lola Stévenin
572913	170466	Justine
572913	219497	Elvire
572913	246510	
572913	288889	Caro
572913	329322	Iliana
572913	346465	Maitre d'hôtel
572913	377897	Nathalie
572913	384255	Camille Delaunay
572913	412266	Catherine Renoux
572914	340754	Dancer
572915	257967	
572916	28589	Alda
572916	113681	Typist
572916	201986	Cathy's friend
572916	307638	Branca de Gonta Colaco
572916	352632	Secretary
572916	380332	Helena Brandão Salgado
572916	392647	Noemia
572917	81516	Zeppa's wife
572918	323882	Christina Zöllner (episode "D
572919	288694	
572920	289490	Georgy
572921	73452	
572921	98757	(segment "O Auto do Falante")
572921	171366	
572921	252761	
572921	271276	
572921	276060	Gang Leader
572922	305011	Dr. Taylor's Secretary
572923	7542	
572923	14376	
572923	25152	
572923	64781	
572923	94680	
572923	163744	
572923	206793	
572923	212023	Countess Elizabeth
572923	214858	
572923	310217	
572923	317718	
572923	328196	
572923	351543	
572923	396307	
572924	348158	
572925	99245	Adina
572925	274899	
572925	288195	
572926	279871	Nurse
572927	219572	Lina
572928	3574	
572929	105265	Miss Meyers
572929	337367	Gallery Clerk
572929	350424	Sofia's Friend
572930	254625	Townswoman (furniture store o
572931	109714	Toni
572931	131453	Bimbo Jeannie
572931	161753	Herself
572931	177705	Blonde hostess
572931	204386	Shannon Smith
572931	213150	Dr. Sara Mathis
572931	214481	Sacrifice Girl
572931	254774	Suga
572931	291250	Herself
572931	330406	Crystal/Fantasy Girl
572931	353295	Amber
572931	353298	Loretta
572931	366703	Leslie/Becky
572932	293561	
572933	252424	
572934	218850	Waitress
572935	63756	Chiara
572936	140010	
572936	156030	Tara
572936	397230	Jodi Fountain
572938	22651	Reporter (Video)
572938	27631	Janine
572938	49233	Mia
572938	54342	Michelle Ciccone
572938	95078	Bikini girl
572939	105145	Bridesmaid
572940	269041	Hélène enfant
572941	292483	Daughter
572942	62491	
572942	221043	Young Charlotte
572943	281769	Nancy Baldwin
572943	332801	Mother
572944	49919	Madge Thompson
572944	54897	Silver Heels
572944	79677	Sonya
572944	105954	Hope
572944	162413	Natalie
572944	172374	Bride
572944	318028	Elizabeth Lawton
572945	299663	Mourner
572946	391835	Talking head/soundbites (segm
572947	221325	Alice Frothingham
572948	4946	Committee Member Silva
572949	48924	Cordelia Chase
572949	134563	Kim
572949	169173	Beth Sullivan
572949	169174	Beth Sullivan
572949	169178	Beth Sullivan
572949	221451	Herself
572949	293097	Jane Grant
572949	380245	Cordelia Chase (1999-2003)
572949	382955	Cordelia Chase (1997-1999)
572949	396614	Ashley Green (1996)
572950	105792	Newswoman
572951	128515	Baby Franciscus
572952	265171	Store Clerk #1
572953	48037	Lady Stella Sloane
572953	171117	Jill
572953	343228	Mizzi
572954	80533	Donna
572955	363419	Pearl
572956	49690	
572956	303666	American girl
572957	37263	Bianca Jagger
572958	290229	
572959	62422	Young Chloe
572960	309916	Christy
572961	367083	Old Woman
572963	53960	Seymour's Girl
572964	33590	Chicago Belle
572964	107156	Margaret Van Twiller
572964	167915	Rory Bory Alice
572964	246784	Maudie Plantaganet
572964	291753	Florence
572964	307858	Jane Grayson
572964	328910	Rosita
572964	345825	Eliza Harris
572964	368375	Rose de Braisy
572966	2342	Gertrude
572967	107855	Herself
572968	361611	Sue
572969	73361	Grace
572969	284359	Norie
572970	151678	Sandy
572971	21798	Anne
572971	45469	Alios Cogez
572971	50870	Trent Baby
572971	71912	
572971	76619	
572971	83590	
572971	95722	
572971	112462	
572971	129225	
572971	142304	Budge
572971	158359	
572971	178045	
572971	196857	Child
572971	203046	
572971	213080	Susan
572971	236949	
572971	251408	
572971	301267	Dorothy Griswold
572971	313013	Mary, Wagner's Little Daughte
572971	328756	
572971	331879	
572971	360274	
572971	360834	Telephone Operator
572971	362345	Mazie
572971	364685	Mildred Talbot
572972	21735	Samantha
572972	188483	Sarah
572972	363780	Lisa
572973	51855	Lady in Waiting
572974	11186	Hanna Popkin
572974	37499	Marmalade
572975	1963	Herself
572975	13781	Herself (The Carpenters)
572975	50060	Herself
572975	55571	Herself
572975	55572	Herself
572975	55573	Herself
572975	55576	Herself
572975	55577	Herself
572975	55578	Herself
572975	55579	Herself
572975	96555	Herself
572975	240044	Herself
572975	279681	Herself
572975	310607	Herself
572975	396566	Herself
572976	243163	Jessica
572977	63079	Waitress
572978	222611	Olivia Lake, the Victim
572979	121404	Woman on Cell Phone
572980	104949	Annette Farrell
572981	321444	
572982	218014	Sea World Girl
572983	18960	Playmate
572983	86476	Chastity
572984	255327	Lady Henry Wotton
572985	128515	Baby Franciscus
572986	153617	Ballet girl/performer
572987	38031	Herself
572987	42330	Herself
572987	61584	Herself
572987	63167	Herself
572987	104987	Herself
572987	158447	Herself
572987	335540	Herself
572989	242054	Gertrude Brainerd
572989	362504	Friend Of Nellie's
572989	363447	Undetermined Role
572990	126508	Nada Band
572991	163069	Delilah's baby
572992	141666	Mrs. Zwartz
572993	139275	Nick's Children
572994	185282	Waitress
572995	362578	
572995	401689	Mair James
572996	53930	Anthea
572996	389627	Mayday
572997	144392	Verna
572998	214226	Felicity Drewett
572998	259165	Lady Harriet
572999	358376	Doreen (Savannah's assistant)
573000	3316	Insert Title Here
573001	1267	
573001	243136	
573002	382710	Herself - Newsreader
573003	64940	LaLa Lajilla
573003	276439	Airline Clerk
573003	300946	
573004	153164	Cheshire Receptionist
573004	397874	Alicia Allenby-Johnson (1970)
573005	52425	Ida
573005	71474	Norma Williams
573005	72703	Herself
573005	84991	Margaret Poole
573005	230947	Maid
573005	367054	Miss One
573005	381285	Mabel Bates
573006	167043	Lubov
573007	162266	Erin Phelan
573008	335016	Mrs. Drake
573009	127218	Josie Hall
573009	193720	Shary Monroe
573009	245430	Rita Alvarado
573009	254499	Louise Benton
573009	280689	Mary
573010	45001	Carol Wilson
573010	247526	Erika Punkt
573010	280519	
573011	259688	Grit
573012	169360	Interviewee
573013	107965	Cabaree Entertainer
573013	282204	
573014	44220	Denise
573015	43656	
573015	287595	
573016	384212	
573018	115318	Make-Up Woman
573019	376920	Louise
573020	277010	Wendy Stone
573021	113116	
573021	166096	Caroma
573021	198298	
573021	236596	Jezabel
573021	268199	Pilgrim Sarah
573021	273712	
573021	294356	Silvy
573021	318515	
573065	389628	Additional voices
573021	324517	L'hôtesse Air France/Air Fran
573021	347140	Aline
573021	356449	
573021	378063	
573021	379369	La présidente : Brigitte Alli
573021	381140	
573021	396804	Sonia Belleville
573021	410074	La femme qui a peur
573022	380993	Eleonora
573022	390496	
573023	70859	La sposa di Artalo
573023	111419	
573023	129036	
573023	205304	
573023	205981	Woman
573024	408661	Herself
573025	160601	Nesrin Ayata
573026	265157	
573027	277811	Infermiera
573028	56545	Herself
573029	106378	Granddaughter
573029	221300	Two Year Old Daughter
573030	101320	
573030	124529	
573031	28589	
573031	69320	
573031	121294	Mother
573031	352850	
573031	353652	Ifigénia
573031	382448	Clemência
573031	383294	Generosa
573031	383603	Brambila
573031	396241	Esmeralda
573031	409026	Catarina Aguiar
573031	409420	
573033	147972	Flamenco Dancer
573034	130307	Hostess
573035	43428	Bona's Mother
573035	53214	
573035	177969	
573035	236738	
573035	279268	Dona Teodora Alonzo
573035	355667	Old Lady with Groceries
573036	65089	
573037	297937	Gail
573037	318099	Angela Tsing
573038	121104	
573038	152813	
573038	172217	Sister Lee
573038	197221	
573038	198593	Moon
573039	387397	Dagmar
573040	153067	
573041	231389	Valentine at Age 6 Months
573042	198549	Marie
573042	266153	
573042	287322	Parfumerie Saleswoman
573043	96164	
573043	101193	
573043	169330	Woman
573043	199360	L'épicière
573043	254170	La voisine de Georges
573043	336953	
573044	264157	Folk Dancer
573045	198895	First Murderer
573046	53039	Rango
573047	190376	Santa
573047	251383	Doc
573048	224229	Baby Hamilton
573049	41169	Herself
573050	295282	Sarah Kine
573050	329560	
573051	53621	Mary Little Cloud
573051	81992	Wa-Tah-Wa
573051	125816	Vicky
573051	138322	Flo Mattson
573051	159500	
573051	288058	Wanda
573052	32550	Girl in car
573052	73475	Guest
573052	190179	Model
573052	206110	Rosa
573052	257939	Lily Milwright
573052	274745	Woman
573052	318792	Stock company member
573052	329467	Donna Donnetti
573053	53318	Student
573054	56304	Wife
573054	310423	Sexy Face
573055	49330	Helen
573055	117805	Harriet
573055	175144	Lesley Fontaine/Kevin
573055	193406	Sanctuary Woman
573055	199405	Kit
573055	201579	Susan
573055	224405	Lou Warner
573055	291543	Sarah Pickett
573056	291232	
573057	92102	Carole Gayley
573057	187084	Herself
573057	236988	
573058	235052	Eskimo
573059	324237	Citizens and Members of the C
573060	104995	Ella Harkins
573060	280364	Presenter
573060	286406	Herself
573060	309634	Liesl von Trapp
573060	309636	Herself (interviewee)
573061	61706	Chambers' kid
573061	188502	Pool Girl
573062	315164	
573063	375792	
573064	185330	Estelle Collingwood
573065	11334	Susan
573065	26865	Jeannie Stone
573065	31183	Herself (ABC Team)
573065	31185	Herself (ABC Team)
573065	32849	Doris
573065	36828	Susan
573065	46636	Mary Lou Springer, Publisher 
573065	58430	Joan Chadwick McTaggert
573065	64569	Herself (performer)
573065	81178	Hilda Jorgenson
573065	98149	Erica's mother
573065	143849	Lisa Reed
573065	149708	Margot
573065	157234	Abbey Kingsley
573065	170723	Shanti
573065	184561	Carmen LeGre, Scarlet, Trang
573065	186325	Selina Jensen
573065	218184	Sidoni Riserau
573065	223811	Susan
573065	256528	Dr. Leticia Baines
573065	270929	Hildy
573065	283455	Carol Lerner
573065	302116	Paige Dunning
573065	304846	Katey Summers
573065	372600	Kathleen Kennedy
573065	382731	Mary Lou Springer, Newspaper 
573065	385913	Herself (1969)
573065	393628	Kathy
573065	397896	Susan Winslow
573065	400208	Tommy Caldwell
573065	400399	Margaret Devlin
573065	401528	Additional Voices
573065	405702	Cindy Smith
573065	406720	Jeannie Stone
573066	136128	Wedding Dancer
573067	42785	Lisa
573068	316661	
573069	406872	Diane Zukerman
573070	107995	Dixie Phillips
573070	134451	Cora
573070	153630	The Magdelan
573070	158261	
573070	167255	Julia
573070	292481	Liz
573070	314926	
573071	330372	Herself (Employee at Fas-Gas)
573072	178533	Herself (painter)
573073	221373	Princess
573075	80426	Zoe
573076	222292	Jennifer, Guard at Panda Mode
573077	2116	Shannen Wolf
573077	59682	Mitzy Ann
573077	230242	Stacey
573077	276335	Funeral Guest
573077	406177	Kathy (1999)
573078	138207	Melody
573078	365740	Calypso Number
573079	68695	
573079	133673	Mrs. Creel
573079	194095	Tacy's Girl Friend
573079	306126	Checker
573079	392428	Mabel (1952-1954)
573080	12784	Wife
573080	81576	Wedding Guest
573080	126063	Wife Slapping Passenger
573080	234910	Birthday Party Guest
573080	241561	Party Guest
573081	233782	Anchor
573081	383895	Co-Anchorwoman (1998- )
573082	5863	Zan Madison
573082	26725	Rusty
573082	31735	Amy
573082	80395	Roxanne
573082	117162	Ann Spakrs, New York City
573082	257107	Tiffany Russ
573083	318644	Sarah Fisher
573084	171667	Stein Family
573084	270870	
573085	293198	Jessica
573086	32072	Lady Violet Armington
573087	135960	Mrs. Cranston
573088	386585	Dr. Kate Wright
573089	158320	
573090	2339	Soup Kitchen Supervisor
573090	5567	Cleo Despard
573090	10632	Delia
573090	17776	Adrienne Ditmar
573090	54608	Belle Mandeville
573090	63518	Miss Sylvia James
573090	126532	Helen Rawlingcourt
573090	142611	Babs Beverley
573090	160872	
573090	161036	Greta
573090	163599	Virginia Briscoe
573090	163664	Melisande
573090	175138	Nancy
573090	183315	Pauline
573090	183647	
573090	183648	Tamara
573090	188241	Mamie
573090	190750	Leonie, Andor's other girl
573090	192063	Mrs. Borden
573090	194455	Lady Edgware
573090	210389	Kay Williams
573090	214183	Jane Rimmer
573090	222589	Fifi
573090	231857	Bobbie Lamont
573090	231998	Lady Angela Savage
573090	238928	Protheroe
573090	240667	
573090	243261	Patricia Bellamy
573090	245291	Nancy Acton
573090	284909	Diane
573090	285748	Kate Finch
573090	295467	Diane Winters
573090	326189	Claire
573090	331121	Minnie Taylor
573090	340023	Ettie Douglas
573090	372942	Ursula Wilmington
573091	24432	Woman (Pecker)
573091	41263	Additional Voices
573091	41942	Museum Official
573091	76526	Julia
573091	78321	Angie Dickson
573091	78607	Maisie
573091	80897	Nancy
573091	105377	Prime Minister
573091	143573	Cassie O'Leary
573091	193621	Mrs. Sitgood
573091	211180	Charlene Voss
573091	253345	Renee Nurian
573091	263786	Mary Macgregor
573091	276801	Myra
573091	308062	Lotte Von Ornstein
573091	338821	Additional Voice
573091	384496	Singer
573091	385921	Louise
573091	393102	Gillian Page-Wood 'Pudding'
573091	394505	Singer
573091	396052	Madge Brailsford
573092	72664	Whore
573093	342531	Boogie
573094	85183	Marjory
573094	218739	
573094	315100	Mrs. Woodbridge-Wood
573095	220775	Prison Matron
573097	308342	Betty Raines
573098	13941	Reporter
573098	186650	Additional player
573098	363953	Stripper
573099	118995	Danielle Charasse
573099	217943	Sally Kendall
573099	283466	Sally's Mother
573099	410592	Lola Warburg age 14 to 20
573100	190034	Mrs. Grub
573100	224150	Nurse
573101	85657	Laura
573101	87633	Marion
573101	105504	Marion
573101	160034	Alice
573101	173353	Linda
573101	221245	Elizabeth Dalloway
573101	238420	Nausicaa
573101	252840	Katie
573101	271344	Caitlin
573101	272675	Young Mary
573101	386394	Marion Waldo
573102	130314	Kelly Kelley
573103	178142	
573104	20091	Mary Lee
573104	114709	Renee Unger
573104	172717	Kalin
573104	269421	Tzocki
573105	1793	Miss December 1986
573105	219638	Nurse
573105	257821	Miss December 1986
573105	361862	
573106	222495	Customer at Sardi's
573107	232508	Pregnant Woman
573108	274679	
573109	65810	Paula
573109	106665	
573110	17183	Partygoer
573110	47069	
573110	77805	Chorus girl
573110	89652	
573110	153617	Ballet girl/performer
573110	254602	Customer
573110	279480	
573110	303303	Receptionist
573110	304969	
573110	313076	Dancer
573110	339940	
573111	148409	Laurel Stewart
573111	245651	Adult Susan
573112	112005	Melissa
573112	118474	Choir Member
573112	130016	Sister Beecroft
573113	185575	Rita's Mother
573113	278247	Principal
573113	281525	Antonia
573114	57730	Doll
573114	84933	Diane Ferguson
573114	116514	
573114	127214	Barbara Leighton
573114	139275	Alice
573114	159023	Eva Martin
573114	163485	Mrs. Jane Wainwright
573114	178061	Friday
573114	232409	Madge Novick
573114	235195	Quebec Kid
573114	278464	Valerie St. Dennis
573114	287019	Betty Richards
573114	295343	Soubrette
573114	342545	Harriett, Dorothy's neighbor 
573114	362794	Hazel
573114	368401	Frennessey March
573115	23421	Grandmother
573115	30367	Alluna
573115	33759	
573115	35212	
573115	35824	Bud's Mother
573115	37253	
573115	38664	Mrs. O'Brien
573115	40256	
573115	41035	Grandmother
573115	43376	Miss Talley, Orphanage Repres
573115	47326	Nellie Wayne
573115	52232	Rosemary
573115	54275	Mrs. OConnor
573115	59100	Mrs. Rountree
573115	64860	Mrs. Packard
573115	71718	Woman
573115	75636	Mrs. Penfield
573115	77296	The Mother
573115	77340	Mrs. Vernon
573115	78731	Mrs. Browning
573115	84912	Mother Francisco
573115	94171	Drusilla Doane
573115	96644	Mother
573115	96828	Mrs. Morrisey
573115	96853	Mrs. Travers
573115	96952	Mrs. Hale
573115	107987	
573115	108022	
573115	112444	
573115	112531	
573115	112550	Aunt Emily
573115	114893	Kate
573115	114948	Mrs. O'Neil
573115	116170	
573115	117143	Mrs. Harrison Bates
573115	117434	Mrs. Middleton
573115	118446	Mrs. Graham
573115	119192	
573115	119870	Mrs. Grogan
573115	120225	Emma (Quaker woman)
573115	125811	Old Lady at Dance
573115	129810	Wardrobe Mistress
573115	129819	Mrs. Rhodes
573115	130042	Emma Stoner
573115	130648	Mary McAllister
573115	135820	Mother Andrews
573115	143018	Mrs. Lane
573115	143343	
573115	144634	Mother
573115	146084	Mrs. Henley
573115	147283	Mother Ryan
573115	148955	Mother Murphy
573115	150100	Grandma Dolan
573115	154175	
573115	166989	Mrs. Zerelda Samuels
573115	171146	Chorus member
573115	175647	Mrs. Brunton
573115	177509	Martha Fairfax
573115	183372	Mrs. Wood
573115	186353	Mother McGregor
573115	190435	Natasha
573115	190604	Mrs. Morgan
573115	191218	Eudoxia
573115	195125	Grandma
573115	195983	Grandmother
573115	195986	Grandma Nelson
573115	196271	Mrs. Lane
573115	196610	Mary O'Brien
573115	204174	Grandma in Music Store
573115	213201	Widow Malone
573115	213244	Mrs. Boone
573115	214113	Mrs. Eagan
573115	214556	St. Jimmy's mother
573115	216822	Servant
573115	218829	
573115	221334	Mrs. Nancy Wiggs
573115	223018	Bus Passenger
573115	224229	Mrs. Alexander Hamilton
573115	232167	Mrs. Hollister
573115	232219	Martha Randall
573115	232313	Mrs. Blackwell
573115	240679	Anne Bixler
573115	240895	'Ma' Forrest
573115	240992	Grandmother
573115	241382	Old Lady
573115	243335	Granny Layton
573115	245651	Ma Benton
573115	246254	Old woman with letter
573115	246720	Mrs. Lane
573115	248714	Mrs. Laird
573115	251267	
573115	258090	Kate Wilson
573115	259229	Mother Daniels
573115	261506	Mrs. John Mead
573115	261997	Flower Lady
573115	263940	
573115	273159	Auntie Sue
573115	274170	Prison Matron
573115	277651	
573115	282411	Mrs. Harris
573115	283536	
573115	285659	Mrs. Pike
573115	290355	
573115	291725	Jose's Mother
573115	292259	Mrs. 'Rhodie' Rhodes, Houseke
573115	293781	Grandma Neal
573115	299780	Grandmother
573115	300084	Mrs. Udell
573115	301250	Mrs. Winston
573115	301829	Mrs. Grant
573115	302029	Anna Webb (prologue/play)
573115	304601	Mother Emerson
573115	307927	The Mother
573115	307991	Matches Mary
573115	309582	Mrs. Coombes
573115	310412	Mrs. Jardine
573115	310575	The Mother
573115	311338	Mary Gains
573115	315336	Mother
573115	315787	
573115	321415	Mother Malone
573115	331534	Mrs. Winthrop
573115	331702	His mother
573115	332091	Mrs. Jamieson
573115	334346	Miss Cottle
573115	337718	Old Lady
573115	348974	Aunt Ada
573115	361635	Martha Carter
573115	364451	
573115	364453	Old Actress
573115	364613	Grandma Sutton
573115	366615	Ma Palmer
573115	367066	Aunt Em
573115	367584	Mrs. Pierce
573115	368366	Mrs. Warren
573115	372067	Mrs. Grantwood
573115	372495	Widow
573116	7987	Cissie
573116	13847	Woman at Airport
573116	51853	Anne
573116	134277	Meg Watson
573116	222745	Panicked Woman
573116	241484	Trise Clarke
573116	243744	Minnie (In Basement)
573116	278169	Ellen
573116	283068	
573116	408300	Kathy
573117	313352	The Fat Lady
573118	133425	Dorothy (a blind child)
573118	199746	Judy Smythe
573118	245651	Child Susan
573118	302029	Ruth (prologue)
573119	81880	Dealer
573120	185321	Girl By Pool
573121	319695	Verona
573121	347415	Andrea/Nun
573121	392802	Courtney Love
573122	281525	Elena
573123	35183	Joy
573124	27160	Cherie the Salvo
573124	398674	Jewish woman
573125	98149	Neighborhood Kid
573126	356230	Model
573127	404402	Fay Collins
573128	13953	Judy Rheiman
573128	316226	Receptionist
573128	387309	Holly Meech (1983)
573129	107947	
573130	45224	Maisie Brent
573131	104734	United Kingdom entry (2nd)
573131	411230	
573132	285323	The Typist
573133	281467	Gloria
573134	359079	
573135	114893	Little Marika
573135	245651	Child Rebecca
573136	215911	Mildred
573137	203776	
573138	44433	Woman in Jail/Woman Breaking 
573139	7734	
573139	7735	
573140	177988	Handmaiden
573141	87860	Dr. Bernard
573142	82886	Dr. Sheppard
573142	365452	Ruth
573142	372901	3rd Young Lady
573143	329401	Helen
573144	194534	The Kings Court Nobility
573145	133026	
573146	60923	Herself
573146	131988	Sixth Go-Go Dancer
573147	69391	Singer
573147	266908	Singer
573147	364317	Mother
573148	230693	Shopper
573149	8169	Ma Ryan
573149	72039	
573149	128834	
573149	277862	
573149	304556	
573149	399816	Mrs. Sutcliffe (1973)
573150	100945	Child
573151	129575	Teacher
573151	148697	
573151	218310	
573151	385845	L'infirmière (segment "Soucou
573151	386095	Marguerite Vialhe
573151	402531	La dame au chien
573152	75798	Roommate
573152	91737	Lisa Chan
573152	252924	Pre-School Teacher
573153	27852	
573153	30304	Sobrina de pimento
573153	51233	
573153	55924	
573153	98699	Lolita, Criada
573153	106303	
573153	108130	
573153	169748	
573153	190408	
573153	205857	
573153	207975	
573153	222044	Beatriz/Nuria
573153	231698	
573153	235988	
573153	244621	Carmela
573153	302402	
573153	310027	Esmeralda, Queen of the Charr
573153	339088	
573153	353653	
573153	353990	Olga
573153	371685	
573154	395189	Karen
573155	5194	August
573155	55591	Herself
573155	81010	Linda
573155	121367	Sharrisse
573155	176956	Jane
573155	217486	Miss Caine
573155	265585	
573155	336452	August
573156	67570	Receptionist
573156	67583	Major's wife
573156	93248	
573156	314923	O'Malley's Girls
573157	44439	Hooker
573157	48468	Lisa, Mark's Sister
573157	61319	Vera
573157	69856	Celeste Korngold
573157	71869	Beth
573157	80373	Sara
573157	118548	Girl In Printshop
573157	165977	Jay's Mother
573157	194007	
573157	194687	Ginger
573157	223745	Julie
573157	279626	Candice
573157	281562	Melissa
573157	384888	Nina Bloom
573157	396144	Theresa McWatt
573157	400209	Tiffany Porter (2001-2002)
573158	80416	Chavez's Girlfriend
573159	96559	Herself
573159	185297	Medic Terry
573159	228184	Rain Basket
573160	223900	Ann
573161	183819	
573162	133432	Royal Aero Club Secretary
573163	300840	Little Girl
573164	112806	
573165	113785	
573166	169660	Rosita
573167	7243	
573168	98799	
573169	324889	Women's Sewing Circle
573170	2474	
573171	399657	Herself
573172	143665	
573172	145265	
573172	212993	
573172	252562	
573172	266472	
573172	287857	Julieta
573172	353266	
573172	379565	Laura
573172	379909	Pilar Luna
573172	380104	Sara
573172	380105	
573172	380265	
573172	380269	
573172	382197	Raquel de Alcazar
573172	383471	
573172	386126	Inés
573172	387478	
573172	387575	
573172	389790	Bertina
573172	391421	
573172	392653	
573172	396604	
573172	397019	Raymunda Robles de Castillo
573172	399522	Doña Socorro de Uriarte
573172	399525	Regina
573172	402050	Yolanda
573172	404710	
573172	405955	
573172	405977	
573172	410081	
573173	243248	
573174	337406	
573174	360765	Lucia
573175	96289	Enfermera
573176	297979	Party Guest
573177	381330	Raquel
573178	408627	Defense Secretary
573180	59912	Charles Edward Stuart
573181	56336	
573181	108105	
573182	6989	Additional Muppet Performer
573182	126131	Lulu
573182	380287	Edi
573182	398544	Spamela Hamderson
573182	401824	Wendy White
573183	109980	Donna Santa
573184	57870	Patricia
573185	213746	
573186	329656	Albine (mezzo)
573187	125210	
573187	160253	Sonja
573187	343761	
573188	30388	
573189	9910	
573190	393276	
573191	43658	China
573192	3543	
573192	12059	
573192	13081	Dona Chona (segment El Soplad
573192	23382	
573192	25798	
573192	25812	
573192	28727	
573192	30517	Aurora
573192	46118	Sra. Parral
573192	48776	
573192	55929	
573192	57978	
573192	63636	
573192	67753	Daniela
573192	68554	Nacha
573192	70008	Maid
573192	73357	
573192	74630	
573192	91352	
573192	98997	Madre de Andres
573192	99066	
573192	103719	
573192	112045	
573192	121222	Rosario
573192	124514	
573192	132704	
573192	145259	
573192	148073	
573192	159034	
573192	166548	
573192	171471	Madre de Andres
573192	175670	Rita
573192	186545	
573192	189375	Paulina, ama de llaves
573192	204276	Lola, paciente
573192	206001	
573192	207924	
573192	209000	
573192	212445	
573192	216086	
573192	228902	
573192	236004	
573192	239304	
573192	251729	Madre de pedro
573192	256801	
573192	256802	
573192	266879	
573192	267074	
573192	274954	Don~a Amalia
573192	275815	
573192	292774	
573192	296445	
573192	296453	Enfermera
573192	300709	
573192	302240	
573192	306672	
573192	327016	
573192	327509	
573192	328715	
573192	332665	
573192	333663	
573192	343026	Juan's mother
573192	379446	
573192	379565	
573192	379890	Petra
573192	379941	
573192	380095	Ada
573192	380585	
573192	381030	Lencha
573192	381224	Nastasita
573192	381839	Vicenta
573192	383665	
573192	385374	
573192	385855	Lich
573192	386789	
573192	387824	
573192	391444	
573192	391742	La Coronela
573192	391962	
573192	393852	
573192	395402	
573192	395841	
573192	396131	Campesina
573192	396841	
573192	396854	
573192	396880	Mamá Cruz
573192	397501	
573192	397604	
573192	398801	Lich
573192	398848	
573192	400655	Ernestina
573192	401696	Filomena
573192	403048	
573192	403365	Felipa
573192	403741	
573192	405400	
573192	405834	Justa
573192	405977	
573192	410313	Rosa
573193	398457	Lucha
573194	287908	Niña
573195	410477	
573196	234386	
573196	246302	
573197	240694	Erotic Dancer #1
573198	17073	Nurse in Street (new movie)
573198	30407	
573199	42806	Shark Club Dancer
573199	59885	La Llorona
573199	80726	Club Metro Dancer, Candi
573200	55170	Carmen
573201	114873	(segment "Solea")
573201	295525	
573202	88908	
573203	224992	Herself
573204	233344	
573205	10247	
573206	167080	
573207	74580	
573208	233991	
573209	141765	
573209	233340	
573209	378986	
573209	382941	
573209	383579	Tina
573209	385600	
573209	386785	Elena
573209	390459	
573209	402686	Mercedes Machado
573209	403214	Viviana
573209	403644	
573209	409919	Silvia de Venegas
573209	412183	Zulema
573210	356669	Locutora
573211	3399	
573211	6630	
573211	8254	
573211	12026	
573211	14435	
573211	21718	
573211	28905	
573211	28950	
573211	45763	
573211	49726	
573211	51554	
573211	51600	
573211	51744	
573211	55959	
573211	57711	Old woman
573211	66077	Madre de Jaime
573211	72378	
573211	73495	
573211	74550	
573211	83465	
573211	87620	
573211	88909	
573211	99066	
573211	103940	Enriqueta
573211	110231	Madre de Filigonio
573211	115747	
573211	118838	
573211	132704	
573211	135306	
573211	143794	
573211	148120	Profesora
573211	152628	
573211	160087	
573211	186545	
573211	189029	
573211	192959	
573211	206996	
573211	209000	
573211	211150	
573211	212057	
573211	212491	
573211	233624	
573211	234317	
573211	236036	Tia Chona
573211	236422	
573211	238757	
573211	246415	Vecina
573211	253319	
573211	253551	(segment "La Obsesión")
573211	253596	
573211	263177	
573211	263852	
573211	264387	
573211	266669	(segment "Una cena de navidad
573211	272667	
573211	276474	
573211	277369	Dona Tacha
573211	277405	
573211	286350	Bruja
573211	287697	
573211	292727	
573211	308446	
573211	322852	Suegra de Constancio
573211	328509	
573211	335517	
573211	339781	
573211	351026	
573211	351640	
573211	352254	
573211	357542	
573211	369894	
573211	371275	
573211	376692	Nana
573211	377099	La Llorona, paciente Manicomi
573211	378039	
573211	379834	Rosario
573211	381224	Matiana
573211	389639	Brigida
573211	392790	
573211	395856	Milagros
573211	408792	
573211	410098	
573212	236036	
573213	387177	Various characters (2001-2004
573214	51521	
573215	58044	Employee
573216	87621	
573216	257566	
573216	349463	
573216	390450	Herself
573216	404992	
573217	385405	Herself (Reporter)
573218	152984	De Govia
573219	316693	
573220	364390	Heavenly Angel
573221	129397	Female Detective
573222	65914	Mother's Companion
573222	390523	Helen Kelly (1986-1989)
573222	406723	Mandy
573223	206652	Hospital Spokesperson
573224	126340	Herself
573225	260029	Christine
573225	337033	Etudiante au café
573226	15066	La fille du peep-show
573226	228201	
573226	261850	
573226	345132	La Stripteaseuse
573227	247469	
573228	252980	Jeannie
573229	70545	Eleonora
573229	81611	
573229	210680	
573229	292890	L'assistante de production
573229	409092	
573230	293232	Alma
573230	349860	Amy
573231	4827	
573232	212084	Lisette
573233	66211	
573233	260976	Sónia
573233	281628	
573234	92303	Choreographer
573235	42105	
573236	42105	
573237	133092	
573238	19344	
573238	64772	Commandant
573238	159276	
573238	225574	
573238	284222	Madame Ramirez
573238	292803	Emilie
573238	377905	
573238	392579	Camille
573239	53242	
573240	11970	Claire
573240	17646	Herself
573240	23785	Sylvie
573240	27778	Mère de Bea
573240	42105	Dany
573240	51954	Manouche
573240	55071	Léa
573240	57508	Marinette Féraud
573240	61431	Suzy, Vatier
573240	64311	Herself
573240	66076	Sylvie
573240	66225	La Langouste
573240	68424	Annick (segment "Fermez votre
573240	82507	Delphine
573240	83363	Jacqueline Viard
573240	91266	Bettina
573240	92899	Dadou
573240	94345	Isabelle
573240	101059	Lisette
573240	101255	Marylou
573240	101534	Lillia
573240	103223	Agnès
573240	120982	
573240	122376	Marianne
573240	123928	Marguerite
573240	133081	Rose-Mousse
573240	138246	Régina/Li-Lang
573240	155683	Josefa
573240	159275	Françoise
573240	207778	Lucienne
573240	210440	
573240	218305	Jacqueline Giraux
573240	220248	Betty Lefébure
573240	222201	Liselotte Carnin
573240	225616	Marie-Claude
573240	228557	Louise Kermelen
573240	234020	Susana, Farand's secretary
573240	240539	Lise
573240	246188	Nathalie
573240	250787	Taina
573240	256992	L'amnésique/Michèle Isola/Dom
573240	257004	
573240	260915	Maria
573240	261458	Sylvia Manosque
573240	261609	Berthe Josserand
573240	264524	Maguy
573240	265719	
573240	268881	Madeleine
573240	269228	Sylvie Cerruti
573240	270321	Jacqueline
573240	276152	Agnès
573240	284150	Elisabeth
573240	339148	Taina
573240	340163	Lulu
573240	346773	Sylvie
573240	377648	Lucie
573240	377791	Élisa
573240	387656	Charlotte
573240	402531	Cécile
573242	23750	Une pensionnaire de la Maison
573242	99653	
573242	166365	Albertine
573243	330707	Impatient Waitress
573244	114862	Barb Spranklin
573245	101776	Mary-Anne Ward
573246	389174	Sharon Hogan (1984)
573247	397640	Featured performer (1955-1959
573248	57208	Coven Witch
573248	206096	Coffee shop victim
573249	47117	Hip Hopper
573249	58662	Janice Josephine (J.J.)
573249	65754	Rave Dancer
573249	190702	Cheerleader #3
573250	145415	Cathy
573251	195855	Cecilia
573251	246272	Iris
573252	41410	Sun's Student
573253	391882	Connie
573254	189970	Kim
573255	390242	Nanda Verhoeven (2001)
573256	334697	
573258	79898	Goatherd's Wife
573260	39156	Angie Roberts
573262	196779	Dream dancer
573263	763	
573263	3944	Herself
573263	6722	Herself
573263	7053	
573263	30394	
573263	34928	
573263	34929	Herself
573263	34932	Herself
573263	37178	Sherry in 'Logjammin'
573263	37421	
573263	41486	Herself
573263	50572	
573263	59850	
573263	60488	
573263	63209	
573263	64202	
573263	70917	
573263	71631	
573263	81835	
573263	81865	
573263	82057	
573263	89882	
573263	93538	
573263	93539	
573263	95803	
573263	102825	Herself
573263	128646	
573263	139209	Herself
573263	140952	
573263	151512	Herself
573263	159878	
573263	160910	
573263	163480	Herself
573263	165923	
573263	168069	
573263	184773	
573263	194723	
573263	200271	
573263	219871	Narrator/herself
573263	219872	
573263	220388	
573263	228001	
573263	228577	NonSex
573263	230105	
573263	230770	
573263	241066	
573263	242074	
573263	250651	
573263	252394	Herself
573263	253441	
573263	257620	Herself
573263	257621	Fax Girl
573263	266722	
573263	270592	
573263	273550	
573263	274183	
573263	286860	
573263	292478	Herself
573263	292605	
573263	295692	
573263	296283	
573263	296706	
573263	297229	
573263	300505	Raped Teacher
573263	301306	Herself
573263	306911	
573263	306916	
573263	319644	Herself
573263	329869	Herself
573263	329872	Herself
573263	340523	
573263	342553	
573263	360309	Nurse
573263	361932	Playbunny/TV Reporter
573263	364710	
573263	366914	Dancer
573263	372540	
573264	10217	
573264	38007	Herself
573264	69269	Natalia
573264	70330	
573264	99800	Victoria
573264	155072	Dr. Charlotte Bennett
573264	162852	Maria
573264	184125	Still Water
573264	193735	Lola Richardson
573264	195458	Faith Stewart
573264	195751	Maria Malacici
573264	196434	Alex Barnett
573264	201713	Herself
573264	207410	Eula
573264	222652	Emma Danton
573264	230394	Fatima
573264	232051	Victoria de Fleury
573264	247560	Burnadette
573264	248438	Katherine Hiller
573264	258881	Eva Largo
573264	268026	T.J. Brady
573264	280191	Elizabetta Fama
573264	283799	
573264	289185	Rita Baldwin
573264	302949	Terry Halloran
573264	341049	Julia
573264	346206	Katherine
573264	358482	Isadora
573264	363189	Iolani
573264	364751	Priscilla
573264	365262	Kathy Lukas
573264	383780	Clay Basket
573264	385594	Angelica Nero (1985-1986)
573264	387531	Emma Coe
573264	391835	Herself
573264	397027	Sheva
573265	17861	
573266	356649	Herself
573268	125229	
573268	144351	
573268	156985	
573268	338941	Gertrud Kohlgrub
573269	123182	
573270	5074	
573270	27197	
573270	39519	
573270	61995	Party guest
573270	66112	
573270	69401	
573270	77415	
573270	83611	
573270	92615	
573270	98842	Orgy member (extra)
573270	98850	Angel Maroney
573270	98851	
573270	98854	Sally
573270	98857	Dulcy
573270	98860	Janet Benson
573270	98867	Barbara Renn
573270	98878	Alice
573270	102920	Herself
573270	129240	
573270	242066	
573270	242073	
573270	252171	
573270	272866	
573270	304307	
573270	319148	
573270	319428	
573270	321016	
573270	321160	Herself
573270	331693	
573270	332450	
573270	332853	
573270	335448	
573270	336700	
573270	337385	
573270	338763	
573270	345658	
573270	371538	
573271	249912	
573273	143853	
573273	189244	Mary Elliott
573273	199352	Nightclub Patron
573274	112075	
573275	212624	Stein's Lover
573276	238514	Crying woman
573277	113287	Brunette Motel Clerk
573278	96368	Mother
573279	291626	
573280	26169	
573280	26846	Jacuzzi Girl #1
573280	41017	Dee
573280	201928	Lola
573280	202373	Herself
573280	241050	Dancer
573280	319876	Fantasy Girl
573280	324777	Prom Date
573280	326743	Student
573280	346016	Inmate
573281	382543	Carla Romano
573281	382757	Aspirante Begoña Correa
573282	248295	
573283	221950	
573284	222375	Silvia
573285	15333	
573285	117980	Remedios
573285	211164	
573285	234371	Criada
573285	249907	
573286	306697	
573287	82409	
573287	106287	
573287	202833	
573287	265333	
573287	278935	
573287	278938	
573287	322234	
573287	376678	
573287	380145	Pía
573287	383718	Laura
573287	393803	Martita
573287	403023	Ani
573288	82409	
573288	106287	
573288	202833	
573288	278935	
573288	278938	
573288	322234	
573288	376678	
573289	17074	
573289	19461	
573289	30326	
573289	80215	
573289	82409	
573289	93859	
573289	120906	
573289	136993	
573289	151804	
573289	153827	
573289	193225	
573289	202833	
573289	207959	Luisa Bustos
573289	213404	
573289	221915	
573289	236302	
573289	237862	The Maid (framing sequences)
573289	246424	
573289	263832	
573289	265147	
573289	278935	
573289	296212	
573289	322234	Cameo
573289	353189	
573289	376678	Jimena Rosales
573289	376749	
573289	377148	
573289	395494	Mercedes
573290	409463	Secretaria (1985-1986)
573291	84056	
573291	265333	
573291	318005	
573291	322234	
573291	395494	Vicky
573291	412194	Rosa
573292	401208	Zeli
573293	119777	
573293	254160	
573294	1435	Herself - Presenter
573294	1617	Herself
573294	1701	Herself - Presenter
573294	12275	Lani Kepoo
573294	26739	
573294	32532	Susan
573294	76636	Ari
573294	89268	Jennifer Dern
573294	109683	Mai Chang
573294	114584	Karen Haggerty
573294	139467	Kimiko
573294	144913	Victoria Chapell
573294	147607	Diane Norwood
573294	149971	Nora
573294	157063	Gina Walker
573294	160637	
573294	161412	Mina
573294	170982	Monica Lewis
573294	181636	Akivasha
573294	190869	Nani
573294	192278	Adrienne
573294	201740	Herself
573294	209626	Samantha Feld
573294	211508	Maxwell
573294	224360	Vicky Mueller
573294	228448	Christina D'Amelio
573294	232087	Katrina Van Tassel
573294	243699	
573294	269759	Janet Sakamoto
573294	278830	Jingo Asakuma
573294	279351	Diane
573294	289490	Candy
573294	300163	Minako
573294	311156	Herself
573294	314980	Nani
573294	335872	Rebecca Mercer
573294	336138	Vicki Westin
573294	338731	Dr. Jessica Jamison
573294	340799	Juno Skinner
573294	360290	Cassandra Wong
573294	360291	Cassandra Wong
573294	375706	Amy
573294	389858	Jade Soong Chung, R.N. (1985-
573294	390998	
573294	395649	Nani
573294	399595	Venus Poon
573294	403149	Sydney Fox
573294	407033	
573295	183161	Sexilia (child)
573296	379936	Isabel Lizarraga
573296	387523	Nereida
573296	397014	Walkiria Parra
573296	405813	
573297	62431	
573297	306841	
573298	258247	Magdalena
573298	324924	
573299	2707	
573299	10570	Wife
573299	52933	
573299	55451	Marina Silvera
573299	70491	
573299	103903	(segment "Noite de Almirante"
573299	116391	
573299	122300	mother of Orestes
573299	131986	
573299	160988	
573299	225110	Sangerin
573299	258737	
573299	268984	
573299	269570	
573299	308754	Yolanda
573299	327483	
573299	332460	Branca
573299	377608	
573299	380120	Gilda
573299	383172	Beatriz
573299	383437	
573299	387838	Mimi Melodie
573299	394121	Leticia Vianna
573299	396036	Muriel
573299	401460	Cristina
573299	402149	Maria do Carmo
573299	402370	Glória
573299	404271	Pola
573299	404272	Cecile Renon
573299	404834	Berthe Legrand
573299	409419	Herself
573299	409426	Roberta
573299	412179	Stella Simpson
573300	97376	
573301	332563	
573302	236404	Natalia
573303	86460	Jenny
573303	302185	Airport attendant
573304	300679	Secretaria
573305	313442	Optimator Two
573306	269496	
573307	33629	
573307	113252	
573308	270622	Grandma
573309	203358	Comedy Store Waitress
573311	357189	
573312	9955	Secretaria Patrulla
573313	16168	Marta/Gigi/Fantasma
573313	25742	
573313	30517	Silvia
573313	62443	Flor
573313	77430	
573313	95373	
573313	96274	
573313	103111	
573313	160087	
573313	205024	
573313	221968	
573313	233624	
573313	234424	Cantante
573313	236035	
573313	244617	
573313	253319	
573313	268497	
573313	287446	Sara; Estela
573313	339141	
573313	353551	
573313	375740	
573313	405316	
573314	381155	
573315	221973	Reina
573316	222412	Mujer en cajero
573318	135569	Nelly Lesser
573318	283538	Charlene Andrews
573319	404562	Contributor (2003)
573320	67565	First Biker
573320	91623	
573320	149258	Bamville Club Dancer
573320	295547	
573320	321309	
573321	184853	Imelda Gates
573323	246017	Laura
573324	2766	Janet
573326	94235	Elisabeth Soper
573326	169340	Une locataire
573327	401983	Nathalia Dubé
573328	150400	Society Lady #2
573329	61855	Janet Shore
573330	26583	Maitresse d'école
573331	241108	The Queen
573332	391579	Angela
573333	18438	
573333	25088	Arlette
573333	36558	
573333	65145	Yvonne
573333	77018	Clara Sanders
573333	85711	
573333	91241	Dorothée
573333	96203	
573333	103207	Anne Périer
573333	108662	Thérèse Bénard
573333	134428	Josette
573333	137735	
573333	146432	
573333	205767	Mme Elisabeth
573333	225470	Isabelle
573333	226026	
573333	249748	Nocole
573333	260040	Sybille
573333	268391	Françoise Marinier
573333	292783	Claire
573333	340145	
573333	345229	Josette
573333	349494	Denise
573333	353887	
573334	224909	Lili Letendre
573334	231149	Petite fille (8 ans)
573335	230127	Girl in Mirror
573336	71601	Herself
573338	113264	
573338	187466	Alison
573338	194082	Jeannie
573339	65022	Evelyn Love
573339	80876	Nurse
573340	107892	Men's Group Counsellor
573340	122813	Bean's Mother
573340	243744	Mrs. Bell
573341	3515	
573341	6047	
573341	7248	
573341	14674	
573341	16844	
573341	17085	
573341	17124	vecina
573341	18834	
573341	21681	Mesera
573341	21697	
573341	25050	Huicha
573341	25062	
573341	25680	
573341	25682	
573341	27866	
573341	31829	Margarita
573341	37910	
573341	48292	Maid
573341	48798	
573341	51525	
573341	54660	
573341	55092	
573341	55948	
573341	56632	
573341	57906	
573341	64975	
573341	64996	
573341	74638	
573341	74744	Trompeta
573341	74909	
573341	76013	Esther, prisionera
573341	80269	
573341	80325	
573341	82257	
573341	83142	
573341	87075	
573341	90521	
573341	91419	
573341	92334	
573341	96364	
573341	97367	
573341	99338	
573341	101615	maid
573341	101808	
573341	101897	
573341	101920	
573341	103989	
573341	104005	
573341	108554	
573341	120908	
573341	124538	
573341	132702	
573341	134436	
573341	135200	
573341	140553	
573341	145139	
573341	145148	Woman on street
573341	145251	
573341	148070	
573341	171376	
573341	171620	
573341	183523	
573341	190984	
573341	193328	
573341	205603	
573341	206280	Ama de llaves
573341	212365	
573341	212389	Sebastiana
573341	213390	
573341	215231	Mucama
573341	215344	
573341	216088	
573341	221755	
573341	221938	Vecina
573341	221943	
573341	221948	Raquel
573341	221988	
573341	225553	Conchita
573341	225699	
573341	228902	
573341	236742	
573341	236756	
573341	243784	
573341	246276	Portera, casa de Luis
573341	247425	
573341	247858	Carmela
573341	248244	
573341	252344	
573341	252751	
573341	252753	
573341	258500	
573341	260933	
573341	264401	
573341	266409	
573341	270071	
573341	273705	
573341	277392	
573341	278426	
573341	281297	
573341	281965	
573341	283138	
573341	283204	
573341	286420	
573341	291648	
573341	296453	Cliente fea
573341	300753	
573341	307212	
573341	307798	Cástula, sirvienta
573341	322226	
573341	322401	
573341	326297	
573341	326343	
573341	327016	
573341	328715	
573341	334710	
573341	339105	
573341	341163	
573341	341389	
573341	341405	
573341	343734	
573341	349660	
573341	350260	Lupe, the innkeeper
573341	354716	
573341	355478	
573341	357005	
573341	357728	
573341	357899	The Landlady
573341	357914	
573341	371684	
573341	371713	
573341	374026	
573341	376677	Mujer de prisionero
573342	388051	Herself (2000)
573343	94843	
573344	160256	
573345	313993	Squaw
573346	113338	Earl Tyrant
573346	283680	Chizuru
573346	386236	Additional Voices
573346	394492	Additional Voices
573346	404138	Additional Voices
573347	29009	
573347	30483	Indiomädchen/Sr. Anna
573347	44318	Maria
573347	46167	Rita
573347	46251	Rosa
573347	64693	
573347	79938	Cata
573347	80338	Meifer
573347	83551	
573347	99798	Esposa del Brujo
573347	145162	María
573347	149208	Clara
573347	155854	Herself
573347	170088	
573347	188348	Veronica
573347	223871	Isabel
573347	232831	Sandra
573347	236472	
573347	244592	Tecuichpo/Doña Isabel
573347	251729	Isabel
573347	262645	Anna
573347	262647	Anna
573347	286350	María
573347	307274	Friend #2
573347	330146	Maria Velasquez
573347	330443	Carmen (segment "Love Waits F
573347	336300	Hermenegilda
573347	345998	Saninistas
573347	355003	
573347	384175	Coana
573347	394510	Lupita
573347	400490	
573347	411248	Wetatoni
573348	17085	
573348	61197	
573348	127599	
573348	257317	Desinea
573348	269918	
573348	276449	
573348	328194	Esperanza
573348	333608	
573348	339192	
573349	109264	Paty
573350	212493	Mother of the bride
573351	135357	
573352	411714	Hugo Lombardi's Model #1/Hers
573353	380542	
573353	380963	
573353	392213	Host (1998-2000)
573354	115747	
573354	160087	
573355	9386	Amunia
573355	9671	
573355	9725	
573355	55088	
573355	61129	
573355	61358	
573355	67212	Doña Asunción
573355	67458	
573355	73268	Juana
573355	74368	
573355	90138	
573355	90519	
573355	101894	Marquise
573355	103500	
573355	103943	Mrs. Rachel
573355	104289	
573355	106750	
573355	111984	Gianna
573355	124303	
573355	139910	Doña María
573355	148016	
573355	194938	Villager
573355	195573	
573355	204600	
573355	205667	
573355	221888	Ramon's Mother
573355	225017	Ama
573355	233346	Anciana carbonera
573355	233656	Matilde
573355	236456	Laura
573355	256720	Petrita
573355	280275	
573355	284857	Marchioness
573355	287907	Señora Marquesa
573355	292709	
573355	294506	Ana
573355	327923	Sagrario
573355	340689	
573355	341140	
573355	369556	Herself - Winner: Best Suppor
573355	376796	
573355	389139	Doña Bárbara Arnaiz
573355	396653	
573356	109316	Milagritos
573356	244578	
573356	322731	Milagritos
573357	159418	
573358	3467	
573358	34578	
573358	61535	
573358	66080	
573358	70007	
573358	110889	
573358	145176	
573358	204902	
573358	213724	
573358	222029	
573358	274656	
573358	301190	
573358	318639	
573358	333576	
573358	373956	
573359	221928	Adela
573360	330476	
573361	225010	Raquel
573361	379909	Leonora 'Nora' Guzmán Madriga
573361	383568	Georgina Castro
573361	397016	Josefina
573361	399084	Toñita
573361	399525	Magdalena de la Soledad/Sol/M
573361	400490	Carlota Guillen/Cordelia Port
573361	402050	Sandra Rangel
573361	402219	María José
573361	403885	Elena Navarro
573361	404711	Lydia
573361	407648	Teresa
573362	161594	Lynn @ Age 4
573363	61157	
573363	193956	
573363	196130	
573364	106109	Daisy Carlson
573365	13394	Alien (segment "Fine Tuning")
573365	24429	School Girl Dancer
573365	30967	Emperor Penguin
573365	37409	Gizzie Blunderbore
573365	44474	Gorilla Team
573365	54472	Idee
573365	57022	
573365	63101	Gorah
573365	66105	Betty
573365	105536	Weechee Warrick
573365	124048	Valerie Vomit
573365	139607	Little Bigfoot
573365	144789	Branithar
573365	151758	Additional Ducks
573365	159012	Surfer Girl
573365	161714	Drone
573365	201638	Herself
573365	210739	Alien Father
573365	213466	Other Gorilla
573365	217480	Bwaaa (Fishface)
573365	259147	Elf #2
573365	289668	Mini Tabitha
573365	293144	Debbie
573365	293150	Tumbler
573365	298076	Felicity
573365	310188	Dr. Ziplock
573365	313479	Ewok
573365	333685	Kitty Katz
573365	336458	Thumbelina
573365	385612	Airplane Passenger
573366	193832	
573367	7968	Frau Stengel
573367	157959	Katie
573367	192743	Madame La Valley
573367	260872	Mother McGee, Bar Owner
573367	286381	Hallelujah
573368	114281	Blonde in Hot Rod
573369	141080	Mrs. Martha Trumbull
573369	269302	Mrs. Nettleton
573370	34627	
573370	35448	
573370	35517	Paula
573370	50355	
573370	50534	
573370	76932	
573370	83962	
573370	102712	
573370	147771	
573370	219146	
573370	252832	
573370	262621	
573370	321041	
573370	323540	
573371	85764	Marcie
573371	85774	
573371	160228	
573371	162457	
573371	194397	
573371	258053	
573371	313228	
573371	319946	
573372	117076	Ruby
573372	352968	Herself
573372	389858	Dr. Simone Hardy #1 (1987-198
573373	12101	Mother
573373	100341	
573374	218940	Vice-Consul's Wife
573375	112205	Scientist
573377	176967	Betty, the mother
573378	108087	Musician
573379	387587	
573380	68455	Maria
573380	278351	Rosa
573380	347916	Anita
573380	381991	Lorraine
573380	389292	Lan Williams
573381	247176	Rosita (adulta)
573382	380564	Caramelito
573382	383450	Host
573382	383451	Host
573382	399402	
573383	322234	
573384	228767	
573385	233348	
573386	104140	
573386	153331	
573386	270074	
573387	203927	Mercedes' Schoolmate
573388	67951	
573389	23794	Antoinette
573389	43415	
573389	74913	Gerda
573389	340133	Marguerite
573389	380871	Emily Gairaith
573389	393489	Herself (regular guest)
573389	410420	Mary
573390	58288	
573390	108898	La bonne du square
573390	356364	La religieuse crucifiée/Siste
573391	196820	
573392	108898	Véronique Foucauld
573393	109529	Christine
573393	163033	
573393	174764	Frau Weber
573393	200977	Baroness Von Bülow
573393	205761	
573393	225121	Luisa Wagner
573393	248795	Jeanne
573393	259830	Nachbarin
573393	259918	
573393	259919	Luise
573393	281834	Ms. Moerbler
573393	290501	Iris Wieland
573393	326025	
573393	345464	Sophie
573393	352164	Lydia
573393	371289	Maria
573393	376038	Judy Miller
573393	380991	Giulia
573393	381587	Olympia
573393	390706	Ellen Wegener (1986-1993)
573393	402046	Dr. Kathrin Brockmann
573393	404478	Vera
573393	411957	Marie
573394	67207	
573395	107745	Girl in peep show
573396	91911	Mme Galichon
573396	197535	
573396	254864	La femme en gris
573396	309447	Mother
573397	244256	Patricia
573398	284196	Sophie Padovani
573399	225494	Rita
573400	53680	
573401	410321	
573402	61192	
573402	83533	
573402	103653	
573402	103789	
573402	189377	
573402	212376	
573403	247845	Alicia
573403	328154	
573403	393028	Amelia
573403	399620	Maggie
573403	401694	Ángela
573404	76001	
573405	36667	Restaurant Client
573406	7336	Kioskera
573406	12055	
573406	78952	Mrs. Lan
573406	91382	
573406	143748	
573406	143754	
573406	219224	Bit Part
573408	54078	
573408	64048	
573408	99353	
573408	106313	
573408	221953	
573408	371696	
573409	169964	
573410	154742	Christie
573410	222591	CLP Diana Phillips
573410	363780	Waitress
573410	384157	Tanya (2002-2004)
573411	75612	Inmate
573412	166087	
573413	186156	Girl in Popeyes
573414	61550	Flora Colton
573415	331601	
573416	348518	Barmaid
573417	304443	All-Night Partier
573418	184360	Elizabeth Bruce
573419	171336	Yvette
573420	73484	Dr. Margaret Sharma
573420	190968	Train Patron
573420	302245	Mother
573421	260206	Customer in Pub
573422	16922	Margo
573422	31877	Dancer
573422	39555	
573422	40476	Lori
573422	41237	Susan Vanard
573422	45840	Tracey Wilson
573422	88870	Valerie
573422	92685	Judith Fontaine
573422	110943	Libby
573422	120639	
573422	154610	Moll
573422	167006	Claire
573422	228677	
573422	288470	Gina
573422	304889	
573422	343104	Wakanana (Freda Knudsen)
573422	355810	Dancer
573423	266164	
573424	280487	
573424	356955	Second Hunting Woman
573425	9117	
573425	10587	Nurse
573425	16078	Girl at Party
573425	90307	Dizzy Blonde
573425	278640	Peggy Moore
573425	358451	Cashier
573426	303964	Insecure Female John
573427	335866	Allison
573428	23210	Miss America
573428	163469	
573428	196390	Model
573428	248318	Mae
573428	248831	Dodie Cameron
573428	264143	Handmaiden
573428	274498	Telephone Operator
573428	297936	Chorus Girl
573428	301949	Dolores Alvarez
573428	305621	Edith
573428	330107	Bridesmaid
573428	333054	Showgirl
573428	336159	Madge Duncan
573428	348327	Goldwyn Girl
573428	367970	Goldwyn Girl
573428	369361	Gayle Foster
573429	104752	Irish entry (3rd place)
573430	35481	Kathy
573431	110275	Denise Colbert
573431	124224	Model
573431	141183	Nurse Bradford
573431	206232	Mona
573431	207708	Ada Manson
573431	235470	Woman from Davanna
573431	279381	Miss Honeywell
573431	386518	WPC Shirley Palmer (1964-1966
573432	14622	Toni
573432	33678	Pauline
573432	66990	Receptionist
573432	141731	Barmaid
573432	142925	Duchess of Gloucester
573432	171700	Ward patient
573432	205555	Ann Marten
573432	321967	Mrs. Pritchard
573432	337484	Jane Shore
573432	382514	Isobel James
573432	384430	Clara Benbow
573432	387008	Jen Robinson
573432	392942	Ginny
573433	127188	Linda Bullard
573433	203270	Chorine
573433	308382	Raider
573433	367763	Janet Oberon
573434	101001	Robin & Rachel's Twin
573435	92959	Student
573435	231990	Stella
573436	4369	Showgirl
573436	94712	Virginia Carroll
573436	116686	
573436	131094	Daina, Amazon rebe
573436	154169	Zitelka Dolores
573436	219599	
573436	225037	Sophia
573436	269075	
573436	277598	
573436	344574	Nydia
573437	147694	Carlyle Pianist
573438	202390	Ivy Ridgeway
573438	206291	
573438	222746	Mrs. Proctor
573438	233673	Joan Winmill
573438	292007	
573439	175703	
573440	222661	
573441	172524	
573442	331898	P.J.
573443	314397	
573444	335258	Stripper
573445	86456	Libby Goodell
573445	139582	Beth Ellen Hansen
573445	141767	Casey
573445	195519	Nancy
573445	216184	Lisa Donohue
573445	255342	Deila Thomas
573445	261440	Allyson
573445	274650	Santa Family #1
573445	275480	Vanessa Fullerton
573445	302130	Marjorie
573445	334293	
573445	395166	Young Claudia
573445	403481	Jinx
573446	190930	Loan Officer
573447	253059	Posse Member #3
573447	309535	Bartender
573448	315311	
573449	86099	
573450	1874	Reporter
573451	59872	Mother
573451	388209	Nicola Prendergrast Brennan (
573452	280208	Herself
573453	190370	Mom
573453	259307	Betty Oaks
573453	389858	Bertha (1984)
573454	130180	Cassie Kerns
573455	154475	
573455	182989	Waitress
573455	229215	Dawne
573456	16419	Technician
573456	19287	Secretary
573456	26707	
573456	50340	Nurse
573456	62942	Mrs. Whalstrom
573456	79821	Miss Timmons
573456	114594	'Crazy' Hanna Gates
573456	119490	Stenographer
573456	129762	Secretary
573456	133510	Mrs. Dornbusch
573456	135513	Party Guest
573456	150516	Mother
573456	152206	Aunt Sally
573456	154747	Woman
573456	180493	Dorothy Ballinger
573456	198543	
573456	199143	Miss Roman
573456	206232	Nurse
573456	226873	Lois
573456	230675	Arlene Shaw
573456	264469	Helen
573456	291291	
573456	299678	
573456	310800	Secretary
573456	311530	Woman
573456	316101	Claudia Parmel
573456	317520	Mother
573456	321154	Woman on tandem
573456	321520	Hat check girl
573456	324895	Telephone Operator
573456	328264	Night Nurse
573456	330915	Telephone Operator
573456	359183	Hysterical Woman
573456	385824	Adele Winston Hamilton (1975-
573456	391069	Jenny Zaca
573457	1821	Herself - Presenter
573457	1842	Herself - Co-host
573457	2314	Herself
573457	2330	Herself - Presenter
573457	2525	Herself - Presenter
573457	2589	Herself - Co-presenter: Score
573457	13682	
573457	55218	Myrt
573457	57673	Herself
573457	65378	Claudine
573457	67351	Herself
573457	71922	Pouponne
573457	81269	Betty May
573457	95875	Herself
573457	104924	Elzora
573457	114642	Eleanor Potter
573457	118799	Herself
573457	120609	Maggie
573457	121861	Herself
573457	126512	Herself
573457	131715	Night Club Singer
573457	140405	Sadie Delany
573457	153151	Vivian Thurlow
573457	154315	Vivian
573457	160476	Herself
573457	161231	Herself
573457	161265	Narrator
573457	164587	Herself
573457	167944	Narrator
573457	168129	Herself
573457	175530	Herself
573457	192674	Maria Cole
573457	220208	Herself
573457	222632	Margo Stover
573457	228970	Herself
573457	232017	Herself
573457	248985	Connie Lampson
573457	253337	Lydia Bishop
573457	260628	Clara
573457	260631	Herself
573457	280184	Herself
573457	286129	Betty Hemings
573457	286691	Herself
573457	286692	Herself
573457	303262	Carolyne Lovejoy
573457	305380	Herself
573457	311530	Ellie
573457	313463	Holographic wow
573457	319020	Vernetta Chase
573457	321364	Mrs. Wilson
573457	327189	Herself
573457	385127	Justice DeSett
573457	386257	
573457	386338	Marion Gilbert (1989, 1991-19
573457	387152	Millie "Dominique" Cox Devera
573457	393881	Julia Baker
573457	396034	Herself
573457	403730	Zeona - Mrs. Simon Haley
573458	74711	Screaming Patient
573459	258554	Clown
573460	163623	Herself
573461	202765	Pearl Morris
573462	274461	Erin's Mom
573463	203918	Reporter #5
573463	363416	Herself
573464	1711	Stewardess
573464	55716	Nerda
573464	107788	Eva
573464	125077	Chinese girl
573464	125635	Concubine
573464	279400	
573464	307921	
573464	337107	Fatima
573464	368481	
573464	371377	Suni
573465	197758	Sharon Clarke
573466	116534	
573466	122678	Ann Stanton
573466	350245	Mary
573467	170670	
573467	189541	
573467	326560	
573468	270649	Herself
573469	118764	Herself
573470	280082	
573471	20613	Georgia Carroll
573471	42731	Telephone Operator
573471	55521	Georgia Carroll
573471	94291	Miss January, Vargas Calendar
573471	107703	
573471	128152	Showgirl
573471	201152	House Guest
573471	203470	Girl
573471	220779	Girl
573471	228816	Navy Blues Sextette member
573471	257512	Alice Sawyer
573471	291380	Herself
573471	291392	Herself
573471	331205	Cameo appearance
573471	348008	Herself
573471	370555	Betsy Ross
573471	372328	Navy Blues Sextette member
573471	375045	Ziegfeld Girl
573472	113773	Receptionist
573474	274461	Erin Gail
573475	196129	Merry Mac
573475	381110	Annie Gilhooley
573476	65108	Bag Lady
573476	80642	Aunt Kate
573476	108288	Mrs. Spruce, Holly's Teacher
573476	114843	Charity
573476	120257	Sheila Coyle
573476	127204	Mrs. Meredith
573476	166879	Hester, Navin's Maid
573476	168547	Herself
573476	178077	Mrs. Harris
573476	195305	Dorothy
573476	196544	Prudence
573476	202728	Mrs. Shannon
573476	203444	Molly
573476	219990	Mother Superior
573476	222780	Kitty Murphy
573476	280305	Woman Drinker
573476	319078	Madge
573476	364032	Nora Fintry
573476	381110	Annie
573476	389858	Nancy McTavish #2 (1992)
573477	378788	Abby
573478	206906	Helen
573479	320059	Junis Rozma
573480	160832	Extra
573481	11619	Jane Sabistan
573481	22664	Housewife
573481	35169	Patty
573481	42108	Margaret Duggan
573481	44474	Judge Billings
573481	59149	Mrs. Lane
573481	61183	
573481	69341	Mother Superior
573481	79447	Gail Brody
573481	84207	Escabel
573481	101573	Mrs. Hiller
573481	108261	Margie, Waitress at Dohenys
573481	117522	Barbara Holmes
573481	126714	Myra Gibley
573481	177007	Lila Daggett
573481	192678	Constance Whilton
573481	206397	Judge Dunbar
573481	210620	Dorothy Davis
573481	240314	Dorothy Thompson
573481	241732	
573481	257445	Lt. Smith
573481	278233	Marjorie
573481	278855	Joel's Mother
573481	286549	Susan Baker
573481	292291	Toni's Mother
573481	297625	
573481	323804	Rachel Bodeen
573481	333417	Miss Spinell
573481	344182	Gwenn Cohen
573481	362813	Counselor
573481	382479	Diane Fulton
573481	382616	Marjorie
573481	382832	Carol Danzig
573481	386816	Lt. Samantha Warner
573481	391115	Kitty
573481	398571	Doris Dial (1989-1992)
573482	19282	Mimsy Shrader
573482	25917	Cmdr. DelMonte, Nurse on Vela
573482	29388	
573482	56925	Young Woman
573482	73562	
573482	76582	Athetic Girl Dancer
573482	100893	Ballet Teacher
573482	139236	Waitress
573482	151535	
573482	151659	Estelle
573482	151675	Brenda
573482	158920	TV Commercial Actress
573482	176823	
573482	189957	WAF sergeant
573482	210610	Nurse Gladys
573482	257857	Waitress
573482	263172	Jan
573482	283469	Mrs. Pickerel
573482	292247	Head Nurse
573482	297322	Susan Lewis
573482	312934	Russian woman prisoner
573482	328520	Nancy Klinger
573482	331655	Nurse
573482	382282	Mary Todd Lincoln
573483	93096	
573483	119779	
573483	228650	
573483	231952	
573483	350640	Dr. Carol
573484	57269	Herself
573484	187277	Becky Langner
573484	211533	Mermaid
573484	393392	Wife
573484	407359	Herself/panelist
573485	302586	Jane
573486	89275	Patty
573487	294358	
573488	13970	Calla Bergstrom
573488	121799	Denise Wilson
573488	141187	John's girlfriend
573488	203549	Sue
573488	235460	Julie
573488	306300	Cheryl
573488	308120	Teenage Girl
573488	347069	Millie
573488	350077	Samantha
573489	17704	Betty Grayson
573489	30350	Winifred
573489	33704	Patricia 'Patsy' Gallagher
573489	110996	Theater Sister
573489	124482	Child
573489	164461	Joan Keen
573489	183331	Sister Stanton
573489	209605	Agnes Smith
573489	221031	Marie Delacour
573489	237818	Bridget Potter
573489	254262	Joan Mitchell aka Small Chang
573489	255338	Herself
573489	255341	Herself
573489	263941	Honeybell Adams
573489	292128	
573489	335358	Pat Frame
573489	337074	Lady Mowbray
573489	343130	Sally, as a child
573489	346838	Matron
573489	358643	Sunny
573490	69961	Maid
573490	153204	Church Warden
573490	162364	Mrs. Lewis
573491	310572	
573492	16654	Kay
573492	230620	Herself
573493	36746	Purse Thief Victim
573494	223954	Susie
573494	301901	Liz
573495	388209	Helen Doyle (1988-1998)
573496	283251	Della
573496	308382	Arab Woman
573497	41913	
573497	49500	
573497	65476	
573497	108451	
573497	176771	
573497	191354	
573497	204023	Mandy
573497	208118	Lee Carol
573497	217606	
573497	232120	
573497	242063	Scene #8
573497	243543	
573497	258023	
573497	295682	
573497	328302	
573497	353731	Video store clerk
573498	228447	The Madam
573499	310835	Miss Simms
573500	213097	Dawn
573500	220682	Deputy Virginia Morris
573500	231918	Blonde #1 (Loretta Akers)
573500	235473	A.J.'s Wife
573500	328301	Patsy Clark
573501	405088	Prisoner
573502	207498	Vicki
573503	10722	Extra Girl
573503	12749	Mayor's Receptionist
573503	46730	Steve's Airplane Date
573503	54617	Blonde
573503	77967	Smitty
573503	115483	
573503	133727	
573503	143588	Peg
573503	144931	Brunette woman with Bob
573503	178200	Clara Raymond
573503	204708	Flo
573503	209592	Bit part
573503	217946	First Nurse
573503	228816	Hawaii pickup #3
573503	230435	Lt. Kohler, Bradley's Secreta
573503	236901	Nurse
573503	287749	Girl at wedding
573503	294755	Saloon girl
573503	299936	Clare Winters
573503	316482	Nurse
573503	331619	Miss Baker, Talbot's Secretar
573503	341529	Beauty operator
573503	365188	Flora, Chorus Girl
573504	70283	Mazie Lawrence
573505	2371	Pamela/Mrs. Henry Hopkinson
573505	14143	Grace Malherb
573505	23206	Monica
573505	40897	Norma
573505	51885	Christopher West
573505	56139	Hope Ames
573505	73668	Joan Easton
573505	86209	Queen Caroline Struensee
573505	103235	Dora
573505	108473	Mrs. Erlynne
573505	109336	Gwenda Farrell
573505	114071	Lady Madeleine Boycott
573505	119796	Mlle. Juliette/Dorothy Glenis
573505	125509	Judy Perrie
573505	136023	Diana Cheswick
573505	148949	Gail Allen
573505	154770	Martha Cnockhaert
573505	159996	Paula Doane
573505	160661	
573505	163513	Linda Gray
573505	178212	Lady Molly Adair
573505	193007	Lady Elizabeth Stacy
573505	199342	Lucille de Choisigne
573505	223903	Karen Bentley
573505	224332	Livia Vaynol
573505	235168	April Logan
573505	240672	Mimi Caraway
573505	241589	Leonora Perrycoate
573505	249747	
573505	264484	Princess Flavia
573505	285264	Linda Stewart
573505	290336	Lady Teazle
573505	292297	Elsa Carrington
573505	304786	Anne
573505	315710	Guest
573505	355082	Charlotte Dunterry
573505	357974	Rosa Hartmann
573505	362337	Rhoda Pearson
573505	363799	Magda
573505	368424	Mrs. Warburton, 1825/Mary War
573505	368917	Lady Margaret Rochester
573505	372789	Laura Simmons
573506	68462	French Girl
573506	196214	Mme. Julia
573506	205122	
573506	235594	Dolly
573507	328258	Sophie
573508	372433	LR
573509	231078	Old Woman
573509	280156	Nun
573510	12353	Dancer
573510	32886	Dancer
573510	77015	Entertainer
573510	90292	Dancer
573510	146813	Show Girl
573510	203051	Dancer
573510	243335	Passenger
573510	371072	Dancer
573511	7413	Teacher
573511	35809	Middle-aged woman
573511	37416	Sister Superior
573511	46396	Girl at Bar
573511	50097	Cashier
573511	83585	Rommel's maid
573511	118546	Mrs. Riley
573511	126068	Dancer
573511	131534	Teacher
573511	155306	Girl
573511	177019	Woman asking Kennan for Help
573511	223970	Girl
573511	233562	Mrs. Burnett
573511	264485	German wife
573511	292508	Millie Gower
573511	327746	Nurse
573511	339940	
573511	367545	Mrs. Campbell
573512	190854	Social Worker
573513	270463	Linda Gunner
573514	148210	Annie Knowles
573515	345690	Babysitter
573516	163544	Singer
573516	240981	Singer
573516	343160	Showgirl
573517	92652	Maid
573517	183766	Alice
573517	185443	Joan
573517	190543	Mrs. Blue
573517	330605	Helen Trent
573518	40207	Nan
573519	4911	Rosemary Murphy
573519	7921	Anne Taylor
573519	23207	Helen Murdock
573519	47520	Fraulein Elsa, Walter's Fianc
573519	61252	Maisie Devoe
573519	61583	Madeleine McGonegal
573519	65818	Marjorie Merwin
573519	77643	Bonny Lee King
573519	78123	Alma
573519	85022	Hallie Hobart
573519	96925	Barbara Quayle
573519	116543	Lora Moore
573519	148868	Olivia Dangerfield
573519	150321	Ruth Brock
573519	154417	Grace Clark
573519	154885	Nora Clegg
573519	156494	Claire Jernigan
573519	166240	Josephine 'Jo' Douglas O'Roar
573519	178030	Maria Held
573519	183390	Mazie
573519	186050	Peggy Gibson
573519	221107	
573519	231778	Yula Martini
573519	248613	Herself (Dance Mad)
573519	253471	Nora Ryan
573519	277985	
573519	289580	Tanyusha
573519	299802	Daisy Heath
573519	302384	Pearl
573519	312029	Julia Jelliwell
573519	315100	Mary
573519	321393	Barbara Pell
573519	329394	Grace Bristow
573519	329948	Dorothy Moore
573519	338045	Sally Marsh
573519	342711	
573519	346203	Lora Madigan
573519	359975	Judith Endicott
573519	360301	Daisy Frost
573519	367294	Gert
573519	367412	Glenda O'Brien
573519	379612	Alice Aldrich #2 (1950-1951)
573519	387354	Betty's mother (1951)
573520	124501	Diana Churchill
573520	155596	Cecily in stage production of
573520	162247	BBC PA
573520	392696	Actress
573521	259347	Susan King
573522	193622	Street Singer
573523	1703	Herself
573523	47976	
573523	64072	Prunella
573523	78709	Herself
573523	124161	Grandma
573523	124170	Grandma
573523	131852	Additional Voices
573523	142295	Herself
573523	171207	Peggy
573523	177632	Ursula
573523	187420	Esther Hall, Hawkman's mother
573523	192014	Morgana
573523	192017	Ursula
573523	212902	Ursula
573523	212908	Ursula
573523	292130	Gloria Petryk
573523	308684	Viney Butler
573523	335380	Grandmother (Disney version)
573523	346150	Herself
573523	366849	Maxine Scott
573523	383047	Pearl Markowitz
573523	383164	Alice Brewster (1956-1957)
573523	383940	
573523	389671	Ms. Biddy McBrain
573523	390009	Rita Simon
573523	392134	Ursula
573523	393224	Herself/panelist
573523	394278	Herself/panelist
573523	395739	Ursula
573523	396559	Bunny Halper (1961-1964)
573523	397044	Herself/panelist (1958)
573523	401980	Katrina Stoneheart
573523	403058	Regular performer (1952-1953)
573523	404340	Regular (1954)
573523	405089	Gussie Holt (1987-89)
573523	408523	Mrs. Hope Stinson (1986)
573524	395647	Pianist
573525	47132	Bit
573525	330375	
573526	50223	The Interviewer
573527	398279	Regular
573528	52311	Missy
573528	154709	Cafeteria Girl #1
573529	191516	Education department head
573530	138348	Disco woman
573531	78705	Polly Joy
573531	101574	Candy
573531	231118	Woman on the Plane
573531	243724	Kelly
573531	313872	Doris
573532	263225	Jessica
573532	322921	Maeve
573533	64659	Bungee
573534	232104	Ghoul
573535	299286	Nurse
573536	160375	Wings' girlfriend
573537	201320	Suzanne Dorn
573538	313142	Susie
573539	203185	Leonie Gelber
573540	87583	
573540	146661	Prehistoric Man
573540	232253	Toni McDuff
573540	263395	Stepmother
573540	348851	Girl in Movie
573541	147980	Jodie
573541	331639	Brunette
573541	386339	Female Student #3
573542	1529	Seductress
573542	12012	Ally
573542	74012	Valeria Caldas
573543	32705	Doris
573543	64922	Women's Prison Inmate
573543	195789	Ruth
573543	253471	Anna Ryan
573543	300905	
573544	367623	Bookstall Woman
573545	5987	Millicent, Movie Star (Woman 
573545	119803	Toni
573545	211602	Girl at Maxim's
573545	319616	Dorothy Manners
573545	337778	Bride
573546	137560	Batty Lou Mandible
573546	393173	Pat Kennedy
573547	241555	Lea
573547	281382	Edith
573548	366217	
573549	363126	
573550	7418	First Man's Wife
573550	21003	Yvette
573550	37943	Barbara Henderson
573550	109546	Margie
573550	131210	Gilda Fleming
573550	151672	Shoeshine Girl
573550	153250	Guest
573550	164132	
573550	175621	The Nurse
573550	185505	Female Approaching Umbrella
573550	196828	
573550	203641	Receptionist
573550	222607	Television Actress
573550	279325	Nadine
573550	290951	Sadie Mae Scroggins
573550	311230	Award Beauty
573550	315720	Additional Voices
573550	316307	Miss Simpson
573550	357985	Bubbles Sincere
573550	378727	
573550	379667	Marie (1978-1980)
573550	383280	
573550	398087	
573550	405665	Vicki
573550	405718	Additional Voices
573550	407441	Additional Voices
573550	411166	Mrs. Ashworth
573551	10805	Draft Clerk
573551	71476	Reba
573551	185319	Emma
573551	241698	Martha Richards
573551	275206	Aunt Callie
573551	348375	The Mother
573552	7488	Miss Samter
573552	27319	Matilda Stover
573552	32886	Dancer
573552	37416	Mrs. Curry
573552	37555	Mrs. Jones
573552	39448	Room Nurse
573552	40033	Dr. Ann Curry [Chs. 6-7]
573552	40477	
573552	60189	
573552	72622	Mrs. Gray
573552	73408	Nurse [Chs. 8-9]
573552	75866	Nurse
573552	79351	Rosa Peralta [Ch.2]
573552	107181	Hospital Nurse
573552	120725	Paula, Carson's Secretary
573552	122635	Room Nurse [Ch.14]
573552	122674	Helen Mayo
573552	126067	Chorine
573552	131534	Ann
573552	136266	
573552	141035	
573552	142284	Ann (hatcheck girl)
573552	184094	Receptionist
573552	185616	Saleslady
573552	193131	Netta Kasmir
573552	203006	Girl
573552	207196	Margarita Valdez
573552	216822	Salesgirl
573552	222672	Cashier
573552	224581	Nurse [Ch. 11]
573552	239411	Helen Martin
573552	245748	Mary Cramer
573552	247227	
573552	254450	Elanita Toreno
573552	255259	Nurse
573552	262314	Lucy Wade
573552	271105	Lola Rand, aka Lola Andre
573552	274279	
573552	278005	Townswoman
573552	279687	Fashion Model
573552	301768	
573552	305498	Woman
573552	307821	Dr. Ann Curry
573552	311557	Sarah the Maid
573552	315754	Police Matron
573552	319599	Martha Kent
573552	327857	Ann Keith
573552	329592	Secretary
573552	334403	Virginia Lee
573552	337605	
573552	339666	Lois Benton
573552	354859	Carol, Martin's Secretary
573552	358035	Specialist
573552	360068	Sylvia
573552	367857	Bit Part
573553	216885	Leonore Blackwell
573554	183760	
573555	47573	Laura
573556	368422	Herself (Libération)
573556	368531	Herself
573557	31668	Lisa
573558	380066	María
573558	412127	Coni
573559	308576	Bernadette's Schoolmate
573560	356792	Lisa King
573561	380066	Soledad
573562	74146	Novia de Seba
573563	100131	Girl on Couch
573564	257731	Erin's Mom
573565	14016	Herself
573566	191688	Sherry Moore
573568	45377	2nd Girl at Bar
573569	392580	
573570	51100	Bárbara
573570	51522	
573570	56928	
573570	58933	Lisa (segment "Lucky la chanc
573570	64241	
573570	67692	Sara von Kolström
573570	68651	Bianca
573570	72534	Alberta Radelli
573570	90606	A waitress
573570	121955	
573570	129026	Publia
573570	197567	
573570	199064	
573570	199075	
573570	251610	
573570	260106	
573570	281884	Angelique
573570	285736	Madame Anita Pavone
573570	328641	
573570	344363	Adraste
573570	349889	
573570	356761	Gabriella
573570	356939	
573570	359614	Teresa
573570	378987	Herself - Host
573570	387554	Herself - Host
573570	388613	Herself - Hostess
573570	396649	Nicoletta Brizzi
573570	402309	Herself
573570	412128	Herself - Host
573571	61861	Reyna
573571	222378	
573571	307819	Rita
573571	380515	Eugenia
573571	381217	
573571	385402	Virginia Marvin
573571	385403	Romina
573571	387904	Lili
573571	391847	
573571	392847	Teresa
573571	396781	Jenny
573571	397731	Gladys
573571	399627	
573571	400945	Ondina
573571	404995	Meche
573571	406857	
573571	409013	
573571	409957	Amparo Guzmán (1999-2000)
573572	51826	
573572	58233	Simone
573572	58234	Simone Pelletier
573572	59745	
573572	205767	Mme Du Barry
573572	217694	
573572	227292	
573572	227595	Mme Hamelin
573572	237619	Lucile Morin
573572	300735	Mme. de Chamarat
573572	338592	
573572	345144	Christine
573572	350184	
573573	261850	
573574	70948	Juliette
573574	248886	Women's Lib girl
573574	319530	
573574	356521	Greffière Juge Davray
573575	217714	La directrice de l'agence
573576	164158	Mathieu
573577	410148	Herself/Host
573578	32003	Valerie
573578	32035	Rosine
573578	33466	La Liberté, Marie
573578	42214	
573578	51310	Annabelle
573578	59730	
573578	66565	Stella
573578	88694	Employee
573578	101221	Marie
573578	101233	Aimée d'Alton
573578	102001	Julie
573578	111045	Elle (Muriel)
573578	132406	
573578	147970	
573578	153241	The Tutor
573578	164205	Julie
573578	166157	Catherine Hoffmann
573578	198303	Parva
573578	201209	Claire
573578	211375	Antonella Lorca
573578	219497	Lise
573578	223213	Clara Schumann
573578	235730	
573578	275110	Annie
573578	281249	Valérie
573578	291682	Claire Poussin
573578	294356	
573578	294374	Edith
573578	306953	Murielle
573578	319596	Marie-Hélène
573578	336956	
573578	337024	Elle
573578	345312	Herself
573578	354026	Babette
573578	376964	Rachel
573578	377470	Marie
573578	381615	Laure
573579	251007	
573580	53842	Guylaine, la femme du rocker
573580	96198	
573580	236543	
573580	377674	
573580	401139	
573581	17718	
573581	18320	Julie
573581	70589	Eugénie
573581	78406	Alice
573581	133070	Maria Fedorvna
573581	198478	
573581	281303	Saskia
573581	345164	Mme Alekian
573582	33536	
573583	72523	
573584	8480	
573584	58758	
573584	107667	
573584	148686	Marie Vasseur
573585	7184	Child
573586	100288	
573586	153875	
573586	321943	
573587	46853	Court Clerk
573587	130457	
573587	148249	
573587	195458	Old Woman
573587	245710	Dr. Darwin
573587	248890	Grandmother
573588	184434	Mildred St. John
573589	331553	Ruth Wescott as a child (miss
573590	395095	Nadine Leclerc
573591	409121	Herself
573592	264741	
573593	124095	The maid
573594	199467	Bibi
573597	41953	Campaign Worker
573597	327838	Mrs. Greenstreet
573597	327839	Mrs. Greenstreet
573598	77676	The long-legged dancer
573598	186817	Jamie
573598	366425	Alicia Hunter
573599	317309	Emergency Room Nurse
573600	196173	Baroness
573601	264581	Referee
573602	201496	Carol
573602	305720	Carol Cummings
573603	185180	Jill Cope
573604	52364	
573605	120768	Polly Crockett
573607	257731	Megan
573608	55785	Donna Grey
573608	147733	Julie
573608	176875	Kennedi Johnson
573608	178013	Nora
573608	364367	Denise - Wendy's Friend
573608	374568	Trish
573608	389858	Julia Barrett (1991-1994, 199
573609	69856	Airport Passenger
573610	388320	Ruth
573610	395194	Young Sylvia Calvert
573611	20435	Newscaster
573611	35522	Barmaid
573611	75558	Holly
573611	81346	Trudy
573611	165318	Dr. Cole
573611	171084	Janet
573611	235052	African Mom
573611	236381	Ms. Luger
573611	237604	Woman Prosecutor
573611	262626	Reporter #2
573611	272418	Maggie
573611	278625	Charelle Baker
573611	295461	Reporter
573611	301392	Female Sheriff
573611	303522	Girl - Campaign Office
573611	328637	Reporter
573611	339917	Mrs. Banks
573611	340757	Lorna Keane
573611	345851	Secretary
573611	364367	Prison Reception Guard
573611	399838	
573612	2827	Linda
573612	42981	Tanya Price
573612	59868	Charlotte
573612	308047	Pam Sutpen
573612	353296	Game Show Hostess
573613	218773	
573614	94621	Singer
573615	102704	Saturday
573615	146362	Monique
573616	117557	Mrs. Appleby (credited as Mrs
573616	118735	
573616	136816	Miss Percival, Mrs. Pulham's 
573616	165910	Kate
573616	190268	Mrs. Stevens
573616	206414	Mrs. Harriet Heflan, Woman on
573616	213909	Mrs. Blake
573616	246232	Mrs. Hendricks
573616	284916	Society woman
573616	289688	Mrs. Dane
573616	296767	Mrs. Poetter
573616	305600	Lady Denham, a Dowager
573616	343249	Miss Dunbar
573617	70961	
573618	97727	Neighborhood Extra
573619	200334	The Stripper
573620	135973	Waitress
573620	143570	Jean
573620	154471	Helen Alexander Benson
573620	241525	Woman Who Shoots Husband
573620	249627	Nanny
573620	254619	Cassie
573620	287128	Norma
573620	309607	Mary Ellen
573620	359481	Cocktail Waitress
573620	381789	Rosemary
573621	11947	Moira O'Shannon
573621	21475	Pat
573621	79278	Jean
573621	192411	
573621	195691	Amber Trusslove
573621	280179	Janet Macleod
573621	295334	Shirley Steele
573621	391497	Jeannie MacLennan
573621	404613	Marcy Vincente (1970-1971)
573622	265005	Nudist
573622	344176	Yum Yum
573622	354516	Lucia Puccelli (A Daughter)
573622	362551	Waitress
573623	94621	Singer (Old Folks Band)
573624	129900	Black Natalie
573625	5074	
573625	31880	Herself
573625	39108	
573625	59175	
573625	68174	
573625	71467	
573625	72144	
573625	75191	
573625	88886	
573625	91741	
573625	102809	Herself
573625	102819	Herself
573625	102843	
573625	102844	
573625	119818	
573625	120345	Jody
573625	128825	
573625	130779	
573625	136832	Sam
573625	149981	
573625	150160	
573625	154386	
573625	154387	
573625	166879	Disco Party
573625	194270	
573625	194408	
573625	194657	
573625	213169	
573625	224355	
573625	274228	
573625	280204	
573625	282871	
573625	288617	
573625	294307	
573625	295680	
573625	297238	
573625	298220	Terry McDonald
573625	302880	
573625	311442	
573625	313215	
573625	316026	
573625	321013	
573625	323890	
573625	327399	
573625	330149	
573625	338763	
573625	341497	
573625	369913	
573625	371538	
573625	372272	
573625	372273	
573625	372443	
573626	203358	Hooker
573627	48075	Nurse
573627	245099	Cynthia
573628	2761	Herself
573628	8023	Evie Lincoln
573628	84873	Coretta James
573628	87979	Jewel
573628	104924	Matty Mereaux
573628	165853	Marti
573628	188346	
573628	189982	Sylvia
573628	195785	Josie Nichols
573628	379802	Renee Raddick (1997-2001)
573628	379803	Renee Radick
573628	380495	Regular Performer (1992-1993)
573628	387728	Carla Simmons McGrath (1994-2
573628	395601	Jenny
573628	409667	Various Characters
573629	23462	
573630	57811	Gina
573630	359194	Lily
573631	21510	
573632	128229	
573633	112567	Ruth
573633	135560	
573634	163932	Book Store Cashier
573635	389081	(1951)
573636	327409	
573637	60764	Sarah Byrne
573638	6804	Timah Devins
573638	132047	Oliver, the maid
573638	299035	Vaudevillian
573639	33028	Herself
573639	50444	Graham's Stepmom
573639	86017	Sophie
573639	97035	Cathy
573639	126558	Lisa
573639	130319	Lynda Ernest
573639	150758	Eliza Van Dusen
573639	176715	Rachel
573639	230107	Rita
573639	236928	Ashley
573639	241099	Harley Jenkins
573639	313971	Karen
573639	342468	Harley Jenkins
573640	80674	Zita
573640	90133	Annie Mossrock
573640	118321	Swedish maid
573640	127077	Big Sister Josie
573640	151098	Luise Vadja
573640	214069	
573640	254515	Georgette
573640	255327	Young French woman
573640	273083	Sophie's friend
573640	282688	Lady in Waiting
573640	299453	Mrs. Hatfield
573640	333319	Mimi
573643	87893	Kimberly
573644	397930	Kim
573644	411340	Sarah
573645	232288	
573646	34799	Mary Agnes
573647	102791	
573648	210332	Herself
573648	210333	Herself
573648	254282	Gumman Andersson
573648	352999	Singer
573648	397397	Herself
573649	11485	Fan Dancer #1
573649	393222	Herself (June Taylor Dancer)
573650	411802	Lily Winters #1 (1995-1996)
573651	145319	Auntie Hamps
573651	367854	Ena Sharples
573651	385020	Ena Sharples (1960-1980)
573652	37353	Mary
573652	133909	Pinkie
573652	142528	Camille Daggett
573652	187950	Austrian maid
573652	301832	Jacqueline D'Amour
573652	319160	Nymph
573653	104781	Herself
573654	61706	Spunky's mom
573655	43344	
573655	218082	
573656	38767	
573656	46613	
573656	130930	Mona
573656	231628	Lilian
573656	262756	Bianca
573656	290168	
573656	290499	Christine Dost
573656	302761	Mandie
573656	307554	
573656	325686	
573656	325712	Anita
573656	361311	Erika Hacker
573656	405696	Woman in Window
573657	459	
573657	4765	Lina
573657	12589	
573657	19304	Mathilde Lampe
573657	20331	Concierge Frau Pézat
573657	20422	Luthers Mutter
573657	21406	
573657	24065	
573657	28167	
573657	34369	
573657	34400	La Poncia
573657	40364	Amme
573657	51129	Wirtschafterin
573657	92488	Frau von Bergmann
573657	93443	Frau Tobler
573657	95259	
573657	99902	Frau Galotti
573657	101336	Maria Theresia, seine Schwest
573657	101346	Frau Feuerhake
573657	103076	Frau des Küsters
573657	104785	
573657	105526	
573657	107480	
573657	108550	Mrs. Yell
573657	111768	Tante Paula
573657	122575	
573657	125336	
573657	126442	
573657	134599	
573657	134833	
573657	134991	
573657	136173	Haushälterin Therese
573657	140233	Celina
573657	142018	Fränze von Klebs
573657	142072	
573657	142101	
573657	144157	Mutter Pratsch
573657	144327	
573657	145475	
573657	147157	Schwester Barons von Hanke
573657	155390	Frau Altmann
573657	155465	Frau Mertens
573657	156498	Bertha
573657	156568	Oma Janda
573657	163972	Nasarowna
573657	170697	
573657	174566	Bibbo
573657	178674	Fraeulein Saint-Cyr
573657	180955	Mrs. Filter
573657	182777	Madame Pugeot
573657	184364	
573657	189631	Mariechen
573657	191013	Lina Braake
573657	204428	Frau Höppke
573657	210107	
573657	216700	Aunt Polly
573657	225181	Mrs. Christmann
573657	283065	Emma
573657	284127	Grandma
573657	288840	
573657	290063	Trin Jans
573657	290635	Mrs. Smith
573657	324489	Frau Wattson
573657	334508	
573657	352332	
573657	352545	Frau Külz
573657	356860	Frau Florian
573657	358230	
573657	366097	Frau Galassi
573657	366562	
573657	367237	
573657	374551	Marthe Rull
573657	375986	Bänkelsängerin
573657	376577	Kramerin
573657	380968	Aunt Polly
573657	381382	Oma Guthmann
573657	394149	Mersina
573658	18218	Mary
573659	90764	
573660	115230	
573661	361010	Fanny
573661	375985	Lara Thomé
573662	695	
573662	6588	Marlene Dietrich
573662	8368	Roxy
573662	8697	
573662	17056	Margot
573662	18518	Frau Nussbauer
573662	38991	Eugenia
573662	38995	Petra von Kant
573662	46602	Geesche
573662	62179	Ariane Christ
573662	93730	Petra Vielhaber
573662	97843	Stimme Johanna
573662	111756	Frau von Proeck
573662	119247	Sylvia Fowler
573662	126335	
573662	168524	Gunhild
573662	172064	Vittoria
573662	172844	Frau Lukaschewski
573662	189772	
573662	204312	Regine Görler
573662	206581	Martha
573662	223460	Frau Thälmann
573662	227778	Leserin #2/Alte
573662	232657	Magarethe
573662	234902	Nora Helmer
573662	288498	Andrea
573662	289986	Käthe
573662	308824	Direktorin
573662	311082	Frl. Rosner
573662	328518	
573662	347809	
573662	361305	Maya Schmidt-Gentner
573662	365591	Sekretärin
573662	376579	Frau Lindner
573662	379174	Hausfrau
573662	381689	Sekretärin/Terah
573663	78491	Herself - Choir
573664	371272	
573665	407815	Herself (Single) (2002)
573666	297031	Irene Rose Palmer
573667	191171	Black woman
573668	23377	
573668	221884	(segment "El coche tapizado d
573668	231303	
573668	244596	
573668	392847	Alida
573668	396646	Carmen Vázquez 'esposa de Mig
573668	397589	
573668	402172	Francesca
573668	403677	
573668	407285	Zulema
573668	409957	Silvia Echeverría (2000)
573669	40427	Secretary
573670	14894	Erika
573670	389563	
573671	178218	Rachel (Dan's fiancee)
573671	246021	Sarah, the work-study
573672	51790	Madame Cres
573672	53026	The Mother
573672	57574	Olimpia
573672	83106	Singer
573672	87504	
573672	130129	Signora Andolini (Vito's moth
573672	246435	
573672	275041	
573672	393476	Martha
573673	184233	
573675	384369	Angelica
573675	397127	Angela Perez
573676	96335	Beata
573677	229506	Party girl
573678	1183	Widow
573678	12533	Marcia
573678	15240	
573678	46010	
573678	76064	
573678	82918	
573678	116948	
573678	120701	
573678	149504	Macabéa
573678	199385	Laurita
573678	259208	Sinhá Chica
573678	308743	
573678	377223	
573678	379937	Das Dores
573678	380531	Dora
573678	390752	
573678	391674	Antônia
573678	396718	
573678	397645	Divina
573678	401944	Quirina
573678	406833	Nurse
573678	408381	Vangé
573679	78352	Child
573680	196613	
573681	122768	French Maid
573682	28604	
573682	108154	
573682	125112	
573682	199356	
573682	243649	Regine
573682	248873	
573682	281971	Annina
573682	290021	Countess Larisch
573682	336502	
573682	365008	
573682	369402	
573683	260630	Maria
573684	51368	Maureen McBain
573684	269176	Irish family's daughter
573685	1820	Herself
573685	2872	Herself
573685	11335	June
573685	19024	Mrs. 'Momma' Dewey Sr.
573685	30247	Dee Dee Stanley
573685	42330	Herself
573685	71760	Marietta
573685	132142	Mary Magdalene
573685	168657	Herself
573685	168658	
573685	168659	
573685	168660	
573685	185203	Mother James
573685	222634	Mayhayley Lancaster
573685	279412	Herself
573685	312828	Mrs. Pickett
573685	329199	Crystal
573685	329558	
573685	345697	
573685	390474	Herself
573685	393650	
573685	393651	Herself
573686	89240	Cynthia
573686	97091	Little Ebbie
573686	148569	Tough Girl
573686	222300	Additional Voices
573686	367282	Davi Sokolov
573686	398513	Additional Voices
573686	405544	Michelle
573687	29939	
573688	1298	Laughing Girl
573688	121764	
573688	186158	Darla
573688	378627	The Kneeling Woman
573689	176540	Fraw Bow
573689	284936	Nicole Candler
573689	394425	Fllay's Friend #1
573689	398464	Aoi Housen
573690	78077	Mai
573690	105792	Marian
573690	121506	Lindsey
573690	134594	Kim McCauley
573690	151125	Patty
573690	372569	Yen Sun
573690	385539	Lisa
573691	304442	
573693	168657	Herself
573693	279412	Herself
573694	27111	The Adolescent
573694	92410	Party Girl
573694	147914	Karen
573694	297189	Harvey Victim #2
573694	329703	Tracy
573695	16074	Emily, age 7
573695	41089	Louise Hutchins
573695	45521	Eva
573695	61578	Peggy Allen
573695	68324	Solveig Toresen
573695	69614	Peasant girl
573695	75533	Amy Reed
573695	107005	Young Jane
573695	154476	Wooley's Daughter
573695	158711	Pearl Guinan - Age 7
573695	185467	Cannon's Daughter
573695	210501	Doris
573695	235162	Olga
573695	283940	Martha Burnside, as child
573695	291993	Sarah
573695	308592	Marie
573695	343022	Beatrice Carroll
573695	355103	School Girl
573696	116137	Alice Gordon
573697	331799	Ann McDonald
573698	87505	Tammy
573699	118548	Leaflet Girl
573700	346405	
573701	53336	Camille
573701	144688	First Teller
573702	385299	Baroness Von Burg
573703	396582	Herself (2002)
573704	7962	Mrs. Sabine
573704	54467	
573704	112376	Patty Wayne
573704	160452	Lady Crandall
573704	190499	
573704	359385	
573704	363952	Mary Holbrook
573704	366119	Lady Branton
573705	148438	Emmarine
573706	50453	Herself
573706	55397	Herself
573706	223078	Herself
573707	218530	Mrs. Ewing
573708	143503	
573709	210402	Nurse
573710	1734	Herself - Presenter
573710	102009	Kirsty
573710	119892	E
573710	173353	Diane
573710	224025	Janey
573710	379112	Debbie Curtis
573710	381059	Dating Agent
573710	397230	Tess Silverman McLeod
573711	37033	Julie Bauer
573711	353466	Ensemble
573712	105396	Coven Member
573713	132846	Herself
573713	208245	Waitress
573714	296834	
573714	378918	Herself/Various
573715	46147	Singer
573715	47865	Additional Voice
573715	58893	
573715	90092	The Waters and Friends Chorus
573715	350192	Singer
573715	358114	American Dream Singer
573716	139739	Heroine of 'Sands of the Dese
573717	134293	Claire Fellman
573717	194929	Margaret Knowlton
573718	25851	Joy
573719	45220	Plugged Dollar Saloon girl
573719	152928	Sally
573719	163283	Alice
573719	168266	Nurse
573719	177424	Connie
573719	291347	Herself
573720	28481	Minor Talent Contest audience
573721	372107	
573722	152889	Mary
573723	1753	Nurse
573723	62536	Sandy
573723	88867	Charlene
573723	116565	Herself
573723	139050	Woman Customer
573723	161890	Supervisor #1
573723	176919	Feeney
573723	186255	Rita Miller
573723	215986	
573723	232213	Tanya
573723	244120	Marcia Heller
573723	369460	Storm
573724	251241	Officer's Boss
573725	129379	Bobbysoxer
573726	41552	Joan (anchor woman)
573726	401265	Host
573727	73913	Woman II
573728	13111	
573728	224903	La Louve
573728	307476	
573728	355511	
573729	12114	Beauty Parlour Customer
573730	330830	Midwife
573732	248132	Herself
573733	230	
573733	137575	Stevie
573733	391251	Receptionist
573733	391869	Rebecca Fisher (#2) (1994)
573733	397310	Bree Dalrymple, Registered Nu
573733	399130	Jenny Owens (1989)
573733	400646	Saskia
573733	403355	Nikki Spencer
573734	222599	Journey
573735	375693	Nora
573736	27447	Sherry
573736	63167	Herself
573736	109143	Herself
573736	315219	Herself
573767	215534	Peggy Donato
573737	41197	Bad Vampires Pool Player
573737	384538	Herself
573738	79841	Featured Zombie
573739	34642	Technician
573740	87979	Auditioner #5
573741	1995	Herself
573741	2762	Presenter - Leading Actor in 
573741	37010	Carol
573741	57492	Herself
573741	64562	Herself (Ringmaster)
573741	68064	Frederica
573741	80056	Lydie Kilkullen
573741	83805	Herself
573741	123304	Lillie Langtry
573741	130311	Angela
573741	131227	Ann Dowaliby
573741	161236	Herself
573741	161316	Herself
573741	176972	Billie Webster
573741	189974	Necile
573741	239104	Nora Wing
573741	253337	Louise Archer
573741	348094	Herself
573741	386138	Julia Sugarbaker (1986-1993)
573741	386337	Maggie McKinney #1 (1984-1985
573741	386603	Unknown (late 1970s)
573741	387309	Brandeis 'Brandy' Henderson (
573741	388345	Randi King
573741	388719	Carlotta Beck (1982-1983)
573741	395054	Peaches (1999-2000)
573741	400161	April Baxter (1977-1978)
573741	400551	Aunt Marion
573742	2150	Aerobic Video Girl
573742	257616	Herself
573742	257652	Miss September
573742	257677	Herself
573742	257830	Miss June 1994
573742	257846	Miss June 1994
573743	26633	Party Crasher
573744	70564	Hooker
573744	75773	Showgirl
573744	322757	Julie
573744	367880	Jane Blond
573744	403068	Sales Clerk
573744	411367	Jane Blond
573745	160306	Herself
573746	206618	Erina Kinjo Won, Newswoman, O
573746	379014	Mary Malone
573746	380900	Keen Kiss
573746	388022	Receptionist, Waitress
573746	389869	Girl/Weathergirl
573746	394421	Erika
573746	394997	Koganei
573746	402175	Seira's Mother/Maki/Mrs. Anan
573746	402790	Female Train Announcer, Nurse
573747	35253	Child at Pool
573748	113402	Kristin
573748	190313	Cass
573748	347924	Wedding Coordinator
573748	400193	Brenda
573749	213626	Radio audition audience membe
573750	21526	Sierra
573750	93068	Sister Catherine
573750	127295	Cynthia Speetgens
573750	137541	Bonnie
573750	151365	Nina Sachie
573750	195669	Amy
573750	215794	Marilyn
573750	252259	Missy Phillippi
573750	321227	Sunny Justice
573750	323565	
573750	339018	Rhonda LeBeck
573750	380713	Sierra Esteban Reyes Montgome
573750	404689	Weaver
573751	20643	Angela
573751	149335	
573751	195854	Helen
573751	227041	Black Woman
573752	321248	
573753	93974	Lucy Jamison
573753	227377	
573754	168051	Master of Ceremonies
573755	381821	Ensemble (1980)
573756	232057	Donna Bixby
573756	365415	
573757	14223	Jury Member
573757	16422	Mara
573757	23595	Patron
573757	40334	1940's Dancer
573757	46334	Inside of Bruce Willis brain
573757	82922	Sidewalk cafe owner
573757	250576	Lynda Bird Johnson
573757	359455	Bar patron
573757	366914	Spam Dancer
573758	253335	Reporter #1
573759	241830	Big Ma
573760	168657	Herself
573760	279412	Herself
573761	48982	Josephine Russell
573761	91606	Lady Sylvia Copeland
573761	112555	Lady Benedetta
573761	117933	Amy Brooks
573761	130803	Blanca de Valdiva
573761	161575	Linda Parker, alias Linda Arn
573761	161713	Dr. Pat Blake, MD
573761	178148	Margaret Dobson
573761	250592	Welcome Alison
573761	279135	Stephanie Morrison
573761	308079	Clarissa Prentice
573761	309879	Margaret Landis
573761	333319	Dora Drake
573762	93870	Gun check woman
573763	125166	Hornette
573764	71258	
573764	107993	
573764	146297	
573765	192779	Blues Singer
573766	104936	Violet
573767	6282	Jeanette
573767	16042	Wanda York
573767	51821	Mary Moore
573767	112508	Christine Roualt
573767	116227	Joan Kirby
573767	118719	Paula Craig
573767	127211	Enid Turner
573767	128284	Myra Warner
573767	128468	Virginia
573767	137514	Helen Dalhen
573767	154426	Mrs. Caprillo aka Jane Breege
573767	154467	Christine Norman
573767	154481	Sufi Sampo, Palaffi Bank Mana
573767	171217	Lillian Hubbard
573767	183760	Janine
573767	206113	Patricia Henley
573767	215763	Alice Hill
573767	223944	Corinne Lucas
573767	231891	Jill Merrill
573767	235695	Carla Winter
573767	241566	Dorothy Anderson
573767	241824	Josie Hart
573767	262072	Jean Lane
573767	287738	Judith Chandler
573767	292306	Doris Poole
573767	304961	Louisa Gayle
573767	321519	Dena Marshall
573767	329493	Constance Powell
573767	332009	Blonde
573767	334754	Miss Thorn
573767	364187	Vesta Hadden
573767	367552	Teddy Evans
573768	22185	Woman
573768	93296	Herself (bawdy singer/comedie
573768	289718	Marlene
573768	335600	
573769	57635	Herself
573769	161322	Herself (Mother)
573770	245144	Herself
573771	148405	
573771	203655	Diana Wilbur
573772	78911	
573773	274284	Mrs. Hornaday
573773	297776	Mary
573773	385824	Caroline Brady #2) (1984)
573774	14132	Natalie
573774	45637	Amy (segment "Just One Time")
573774	85657	Lynn
573774	108425	Brenda
573774	113354	Sandra Bonventre
573774	144804	Penny Hardwick
573774	149804	Office Worker #1
573774	163248	Claire Parker
573774	171229	Amy
573774	171230	Amy
573774	171335	Monique
573774	269046	
573774	318510	Heidi Wilson
573774	321452	Josee
573774	363224	Joelle
573774	368041	Heather Miles
573774	411384	Heather Miles
573775	222575	Evangeline
573776	248595	Herself
573777	80398	Dixon's wife
573778	12764	Fitter
573778	37238	Cab Driver
573778	45617	Girl
573778	178342	Second Girl in Elevator
573778	199192	Nurse
573778	231125	Sob Sister
573778	242110	
573778	274529	Cornblossom
573778	308642	Woman in Stagecoach
573778	312842	Shirley Chapman
573778	365087	Maid
573779	47322	
573780	387309	Elaine 'Cookie' Pollock Thoma
573780	404694	Amy Ames Britton Kincaid #3 (
573781	162049	
573782	193344	Gaza
573783	16668	Female Cop
573784	273549	Lulu
573785	379831	Natalie #3 (1990)
573786	134018	Cousin Ann
573787	258554	Theatre Patron
573787	399948	Ilona's Mother (1997)
573788	219374	Tawney
573789	67776	
573790	30139	Bea
573791	127292	Taylor Maris
573792	394502	
573793	90771	Singer
573794	80594	The Stalker
573795	41184	Suzi Peoples
573795	368797	Natasha
573796	286525	Herself
573797	197070	Herself (President Jimmy Cart
573798	105704	Ella Hutch
573798	119502	Interviewer
573798	140901	Receptionist #2
573798	142809	Lucille Hendrix
573798	164482	Roxanne
573798	211385	Helena
573798	233964	Sydney
573798	274346	Principal
573798	296867	Ms. Potasher
573798	297549	Nikki's Soldier
573798	349022	Talk show host
573799	403805	Sydney Cummings (1999-2000, 2
573800	82114	Denetra Washington
573801	22198	
573802	81238	Narrator
573802	113492	Clara
573802	360300	Lisa
573803	351427	Val
573804	92181	Transvestite
573804	125473	
573804	147888	Hooker
573804	196084	Female Impersonator
573804	275889	Repo Wife #3
573805	191295	Herself - band vocalist
573806	16623	Flower Woman
573806	19999	Mrs. O'Neil
573806	32209	Mrs. Lawson
573806	33739	Mrs. Tarrant
573806	41095	Ma Callahan
573806	43093	Indian woman
573806	47520	Frau Holderlin
573806	47892	Scrub Woman at End
573806	88863	Mrs. Ely, New Winton's Gossip
573806	96833	Mrs. Lawton
573806	131240	Bandleader's wife
573806	142454	Mrs. Ellis
573806	143623	Lady
573806	153998	Mother
573806	157538	Clara Raymond
573806	160432	Dora
573806	166691	Mrs. Gerhardt
573806	183435	Lefty's Landlady
573806	185401	Mrs. Walters
573806	185723	Rosa Delgado
573806	194770	Phyllis
573806	199310	Suzuki
573806	218173	Mrs. White
573806	224711	Mrs. Crisparkle
573806	227337	Miss Floretta Turnbull
573806	246337	Aunt Jane
573806	249621	Grandma Kern
573806	255828	Mrs. Rogers
573806	273225	Mrs. Thompson
573806	273813	Mrs. Adams
573806	278280	First Face Lift Patient
573806	281867	Guadalupe
573806	289421	Cora Forman
573806	315869	Mother in Breadline
573806	316043	
573806	316217	
573806	317096	
573806	317889	Evelyn Wentworth
573806	328757	Mrs. Garfield
573806	330686	Grace Smith
573806	340968	Bronson's Mother
573806	347411	Mrs. Charles
573806	360838	Mrs. Davis
573806	372361	Mrs. Bessie Bisbee
573807	35413	
573808	199387	Lulu
573809	2261	Herself
573809	2328	Herself
573809	2365	Herself
573809	14099	Herself (Presenter)
573809	31183	Herself (ABC Team)
573809	34903	Herself
573809	42338	Herself
573809	42428	Bobbie Jo Baker
573809	42706	Herself
573809	44471	Kate Carlin
573809	57492	Herself
573809	57497	Herself
573809	57635	Herself (singer)
573809	64564	Performer
573809	64572	Herself
573809	72869	Lynette
573809	76556	Charlotte Sampson
573809	91639	Herself
573809	98782	Female Nord
573809	98783	Female Nord
573809	100739	Herself
573809	108257	Lee Reston
573809	138700	Herself
573809	141374	Herself
573809	150677	Brianne O'Neill
573809	161321	Herself
573809	161322	Herself
573809	185653	Brooke Newman
573809	190570	Charlotte Furber
573809	198073	Herself
573809	198074	Herself
573809	198075	Herself
573809	208077	Zelda
573809	210863	Herself
573809	212239	Herself
573809	213628	Helen Durant
573809	230751	Princess Diana/Yeoman First C
573809	232017	Herself
573809	261270	Meredith Lanahan
573809	262529	Emily Hayworth
573809	278894	Rita Hayworth
573809	298038	Susan Saroyan
573809	304288	School Principal
573809	308021	Diane Young
573809	310612	
573809	314884	Patricia Traymore
573809	316651	Herself
573809	319486	Gov. Jessman
573809	325969	Hazel Anderson
573809	328596	Dr. Janet Fraser
573809	352748	Herself
573809	362791	Kathryn Archer
573809	391168	Elizabeth Shields
573809	392421	Herself
573809	400908	Carole Stanwyck
573809	411370	Wonder Woman (Princess Diana 
573810	351502	Girl in Shower
573811	77712	Another Rancher
573812	310572	
573813	222651	Pam's Mother
573813	264075	Anna Richardson
573813	283938	
573813	384072	Widow Dempsey
573814	110516	Veronica
573814	258860	FBI receptionist
573816	28852	Sabrina
573816	223807	Escort
573817	254540	Juror
573818	65174	Babs
573818	92864	Middle Aged Woman
573818	102104	
573819	274330	Dollar Bill Woman
573820	46194	Katie
573821	69391	Chuck's Date #3
573822	184104	Lacy
573823	11450	School Secretary
573823	35643	Travel Agent
573824	54620	Receptionist
573824	240328	Nurse
573825	233692	Colleen
573826	37452	School Child
573827	168657	Herself
573827	279412	Herself
573828	32404	Woman
573828	94488	Jeanette Vaubennier/Madame Du
573828	141276	Maryland Calvert
573828	190336	
573828	280291	Mrs. Borg
573829	3163	Mrs. Christian
573829	11417	The Mistress
573829	195812	Clarice Whitcomb
573829	235174	Neighbour
573829	366763	Sarah Goode
573829	387120	
573829	406621	Cora Stanhope
573830	294846	Ema Lachno
573831	132886	
573832	10502	Harlem Neighbor
573832	299457	Officer Bryant
573832	315246	Iaenni Queen of the Fay
573833	1480	Herself
573833	2762	Performer from musical "Annie
573833	2909	Herself - performer: "A Frien
573833	8962	Herself
573833	26708	Waitress in diner
573833	26763	Waitress
573833	30502	
573833	35719	Herself
573833	51203	Vivian
573833	64117	Olive (stepsister)
573833	64556	Herself
573833	72769	The Warden
573833	107632	
573833	113397	Lucille Gathers
573833	127729	Herself
573833	137223	Ain't Got No'/'White Boys
573833	157464	Herself
573833	160476	Herself
573833	168129	Herself
573833	200853	Jasmine Jones
573833	206814	Herself
573833	216945	Dorita
573833	223904	Herself
573833	228969	Herself
573833	229630	Herself
573833	232017	Herself
573833	252877	Mrs. Gordy
573833	265904	Millie Jackson
573833	286692	Herself
573833	291866	Mrs. Wheatley
573833	310581	
573833	321486	Grace
573833	341620	
573833	356350	Herself - Choir Member
573833	360490	Mrs. Claus
573833	390070	Miss Nellie Ruth 'Nell' Harpe
573833	390982	P.J. Moore (1993-1995)
573833	390998	Mary
573833	397078	Herself/panelist
573833	397866	Sgt. Hildy Jones (1980-)
573833	404002	Ethel Green (1978-1979)
573833	411780	Nell Kirkland
573834	368619	Beatrice Cuthbert
573835	194228	Dominique
573836	14231	Naughty Nina
573836	75524	Herself
573837	286423	Fighting Hostess
573838	302958	Lisa
573839	64734	Fran
573839	395491	
573839	406710	Lena
573840	97048	Maid
573840	161322	Herself (Sister)
573840	314884	
573841	16644	Wheel of Fortune Contestant
573841	58002	Waitress
573841	279611	Nun/Nurse
573842	223968	Child Pianist
573843	46981	Martha Sorenson
573844	234059	Appearance
573845	194059	Narrator
573845	279639	
573845	292950	
573845	302937	Daphne
573845	312754	
573846	164542	Julie Miller
573846	232144	Lucy
573847	51989	Prison Inmate
573847	347455	
573848	385804	Entertainment Correspondent
573849	55799	Herself
573849	175522	Herself
573849	175523	Herself
573849	214909	Herself
573849	233307	Herself - Attending Nixon Fun
573849	234150	Herself
573849	314138	Herself (at her husband's ina
573849	384590	Herself
573850	47875	West Indian woman
573850	55526	Mother Bragg
573850	124499	Beulah
573850	137620	Minnie
573850	232093	Old woman
573850	293078	Maid
573850	298127	Judge Brown
573850	407482	(segment "Ashes")
573851	71641	
573852	390474	Herself
573853	81183	
573854	266608	Athena
573855	395091	Girl at George's Party
573856	400807	Bargirl/Bartender
573857	305153	Celeste
573858	128807	Herself (Segment "Private Cab
573859	79283	Sarah
573859	113306	Shaina
573859	140372	Chanel
573859	214536	Rayanna Armitage
573859	258101	
573859	338277	Claire Thorensen
573859	366686	Melissa Bell
573859	382163	Allie Bennett
573859	396129	Maria Valentine
573860	15218	Carousel receptionist
573860	46213	Wendy
573860	379396	Popstar
573861	97277	Sally Ride
573862	2079	
573863	410119	Host (1989-1994)
573863	410123	Hostess/Veejay (1992-1996)
573864	270272	Gracie's Mother
573865	22824	Reporter
573866	29582	
573867	99969	Girl 1, Balliantyne
573868	20372	Miss Kitty
573868	87980	The Kat
573868	87987	The Kat
573868	203358	Lawler's Girlfriend
573868	282682	The Kat
573868	318837	The Kat
573868	368816	The Kat
573868	369272	The Kat
573868	369280	Miss Kitty
573868	369284	The Kat
573868	369290	Miss Kitty
573868	402907	Miss Kitty/The Kat (1999-2001
573868	406933	The Kat (1999-2001); Miss Kit
573868	411545	The Kat (1999-2001); Miss Kit
573869	378966	(1983)
573870	47117	Flygirl
573870	309535	Stripper
573870	313951	Aisha
573871	46981	Red-Headed Girl
573872	341455	Dinner Guest
573874	236331	Francine
573875	114648	Trina
573876	318775	Melanie
573876	401603	Ginnie
573877	230676	Reporter
573877	346346	
573878	123470	Miss Gibb
573878	186423	
573879	158141	Extra
573880	164611	Herself (vocals)
573881	232029	
573882	66337	Lauren
573882	130302	Deedee
573882	208512	Dr. Natalie Jamas
573883	106666	
573883	148848	
573883	359543	Magelin
573884	88568	The Wife
573884	274245	Miss Willis
573884	339382	Irene Daniels
573885	169163	Hotel Maid
573886	66918	Harriet Lloyd
573886	79303	Gay Jenkins
573886	103593	Harriet
573886	141559	Ernestine
573886	211349	Nerissa
573886	250713	1st Neighbor
573886	257340	Woman in Street
573886	298291	Nancy
573886	365214	
573886	380724	Anna Caypor
573886	390168	Barbara Ransome
573886	393890	Insp. Kate Longton (1983-1985
573886	400709	Lady Mabel Grex
573886	404826	
573887	212478	Opera singer
573887	266743	
573887	302536	
573888	19769	Nafia
573888	35513	Herself
573888	35515	Herself/Andrea Zuckerman
573888	35542	Andrea Zuckerman
573888	64562	Herself
573888	67767	Lourie Harper
573888	99976	Herself
573888	117787	
573888	121509	Alice
573888	164590	College Girl in Bar
573888	183061	Angelique
573888	202511	Ellen Robertson
573888	209683	Herself
573888	214756	Agatha, additional voices
573888	216445	Diana Goode Douglas
573888	271340	Nan
573888	292034	Leslie
573888	293009	Cheryl Hiller
573888	334169	Megan Hollander
573888	337177	
573888	338308	Emily Cooper
573888	362274	
573888	380391	Tracy Julian (1988)
573888	381811	Andrea Zuckerman/Vasquez (199
573888	381940	Dr. Erika Slate
573888	389646	Host
573888	392424	Herself
573888	407067	Herself/Season 1 (2003)
573889	345160	Assistante de Maître Dunand
573890	251085	Vocalists
573891	271287	Newscaster
573892	128173	
573892	316482	Girl
573893	174134	Solara
573894	215680	Herself
573894	215688	Herself (judge)
573894	386120	Herself
573895	115597	
573895	408091	Ethel
573896	221884	(segment "El coche tapizado d
573897	73973	
573897	212044	Script Girl
573897	273942	La jeune femme grande roue
573897	324755	Actress
573897	339967	Nadia
573898	188941	Herself
573898	224196	Herself
573898	269013	
573898	355062	Herself
573898	355069	Virgin
573899	314635	
573900	26150	
573901	78139	Karin
573902	23646	
573902	51392	Toby
573902	94324	Caroline
573902	148659	Isabelle
573902	165761	Sophie
573902	197385	Caroline
573902	199944	Gisèle
573902	228562	Julie
573902	258340	Sylvia Rastadelle
573902	309975	Gisou
573902	345032	Laurence
573902	350052	Madeleine
573902	375937	Nelly
573902	386224	
573902	393400	
573902	407809	Isabelle
573903	239030	2nd Check-out Girl
573904	146954	
573904	373927	Mado
573905	133174	Herself
573905	202083	Louison
573905	250708	Sandrine
573905	303503	Une pensionnaire
573905	356988	
573907	364461	Goldwyn Girl
573908	338980	Tracy
573909	304700	
573910	5074	
573910	66112	
573910	336700	
573910	345658	
573911	72818	
573912	63384	
573912	81772	
573912	245782	
573912	270425	
573912	275638	
573912	275639	
573912	288110	
573912	319670	
573914	134382	
573915	58993	La prostituée
573915	77422	Kitty
573915	134923	Maria
573915	168890	Nicole
573915	172468	Barbara
573915	254108	Red Haired Girl
573915	260034	Alice
573915	279648	
573915	318121	
573915	345045	Simone Binet
573915	349481	
573915	356974	
573915	385090	Helene Previn (1991-1993)
573915	387466	
573916	80533	Gossip
573917	309149	Anne, enfant
573918	338648	Lucia
573919	252895	Herself
573919	363416	Herself
573920	257198	Nurse
573921	187947	Herself (singer)
573923	2149	Suzanne/Candy/Billie
573923	32726	Anne
573923	46421	Dodo McNeill
573923	54936	Hannah
573923	60769	Varya
573923	64079	Goneril
573923	65099	Claire Dolan
573923	97023	Katrin
573923	97406	
573923	111785	
573923	120506	Dark Annie Chapman
573923	144465	April
573923	150642	Cora Blanche
573923	194184	Lover in Cafe
573923	194956	Emily
573923	211486	Elena Polakov
573923	226868	Sophie, Louise's Roomate
573923	232398	Robin
573923	233697	Jane Livingstone
573923	234221	Viorica
573923	278645	
573923	285033	Doris
573923	285756	Gabrielle de Saint-Exupéry
573923	291971	Herself
573923	320020	Gala Dali
573923	335982	Madame
573923	337994	Herself
573923	361028	Karen Christenson
573923	382838	Lucy Collins I (1982-1988)
573923	385222	Katerina Ivanovna
573923	407190	Julia Stitch
573924	7007	Mrs. Sprague
573925	175175	
573926	155301	Summit Restaurant Patron
573927	127940	Silvia
573927	277811	Anestesista
573928	86826	Chica pareja (segment "No tre
573929	123986	Herself
573930	367563	Elsie Farquhar
573931	350904	La veuve
573932	298771	Minnie Grey
573933	250713	Nurse #1
573934	71835	
573935	3149	Pauline
573935	4646	Pauline
573935	8627	La première voisine
573935	13033	Agathe
573935	13114	Tante Marguerite
573935	15080	Pauline
573935	15238	Tante Eugénie
573935	20465	Madame Ovide
573935	23681	
573935	23803	Rosa, la voyante
573935	24721	Angèle
573935	30423	Mama Clouzal
573935	33542	Jeantine
573935	33616	Mme Bouchot
573935	40258	Madame potinel
573935	40262	Mary, la bonne
573935	43007	Estelle
573935	43692	La mère de Marie
573935	45195	
573935	46000	L'astiqueuse de cloches
573935	46938	La 'marieuse'
573935	50201	Clotilde
573935	54100	La tante de Cri-Cri
573935	55307	Toinette
573935	57506	Mme Morin
573935	57847	
573935	58235	Mme. Génissier
573935	58237	La propriétaire
573935	63658	
573935	64715	La logeuse
573935	65770	La concierge
573935	66751	Apolline Meunier
573935	68932	Elise
573935	69518	Pauline
573935	71948	Mathilde
573935	73382	
573935	83461	Ursule, la bonne
573935	84633	La concierge
573935	85534	La chiromancienne
573935	94353	Seamstress
573935	96094	Hortensia
573935	96226	Adèle
573935	100253	L'hôtelière
573935	104445	
573935	110023	Tante Aurélie
573935	111295	Madame Paturin
573935	111693	
573935	112799	
573935	112845	La bonne
573935	120071	Mme. Latouche
573935	120876	Mélanie
573935	124151	Florence
573935	134300	L'autre Nathalie Roguin
573935	148760	
573935	156564	Clémentine
573935	160543	Hortense
573935	160986	Louise Belloy
573935	163859	Aunt Anna
573935	166099	L'habilleuse
573935	166114	Aurélie
573935	194111	Maid
573935	195167	La première
573935	198566	La concierge
573935	199606	Annette
573935	201164	Aglaé
573935	204698	
573935	205772	Frau Gilles/Mrs. Gilles
573935	206235	La vieille dame
573935	210900	Mme Auguste
573935	211850	Ida
573935	214874	Mlle Clotilde
573935	214881	Mlle Poche
573935	214882	Perrine
573935	215519	
573935	216233	La soeur de Gillenormand
573935	217671	Valérie
573935	217673	La bonne
573935	217687	The Concierge
573935	217721	Sa servante
573935	218325	La tante de Lily
573935	219837	La préfète
573935	227595	Une aubergiste
573935	229494	La directrice de la pension d
573935	235832	
573935	235854	Mlle Morot
573935	236619	Mlle Mesureux
573935	240484	La femme du brigadier
573935	245957	
573935	246838	Anna, la servante
573935	248255	
573935	253213	Femme du Chambre
573935	254029	Mlle Julie
573935	258310	La crémière
573935	258529	Mlle Michel
573935	258957	La mercière
573935	265031	Fernande, la mère de Florence
573935	268855	La domestique
573935	275513	
573935	275616	La salutiste
573935	280778	Mlle Aubry, la parente pauvre
573935	280781	Madame Morlot
573935	281300	La concierge
573935	281311	
573935	282048	Virginie
573935	287320	
573935	287596	La bonne
573935	300695	la Bouquiniste
573935	300735	La Voisin
573935	310057	
573935	319808	Madame Noblesse, la femme de 
573935	320420	Mme Batonné
573935	324283	Hortense Reverchon
573935	332622	Marguerite
573935	334789	Honorine Guibert
573935	340142	Eveline
573935	340212	Madame Barbaroux
573935	341125	Eulalie
573935	343564	La concierge de Claire
573935	344987	La Rapet (segment 1 "Bestiole
573935	345213	Adrienne
573935	346692	
573935	353839	La patronne de l'hôtel
573935	353938	Mme. Vattier
573935	356982	Angèle Papillot
573935	356983	La servante
573935	356988	Sidonie Dupont, la directrice
573935	357268	La concierge
573935	373342	
573935	374199	Mme. Anaïs
573935	376885	Herself
573935	377018	Marie
573935	377062	La concierge
573935	377261	
573935	377659	Mme Bernoux
573935	377732	
573935	404861	
573936	184357	
573937	194211	Lady
573939	395024	Herself
573940	35781	Theresa Mazzetti
573940	61615	Herself
573940	61616	Herself
573940	108836	Herself
573940	118529	Herself
573940	131575	Herself
573940	144922	Miss D'Angelo
573940	147839	Herself
573940	183316	Angela
573940	194849	Reporter #2
573940	194850	
573940	220780	Sally
573940	280364	Herself
573940	291122	Alfredo's Mom
573940	307985	Audrey at age 3
573940	308089	Caroline
573940	309634	Brigitta von Trapp
573940	343884	Angela
573940	396011	Penny Robinson
573940	396559	Linda Williams (1957-1964)
573940	396560	Linda Williams (1970-1971)
573940	398326	Herself
573940	405169	Jane
573941	111809	Polly
573942	47474	Jasmin
573943	349	Woman in Car
573944	385013	
573945	159175	Dancer
573945	274079	Tongue-Tied Dancer
573946	388104	Player - Sumo Storm
573947	111809	Romana
573948	16770	
573948	200282	Go Go Go Go Girl
573949	11522	Natalie
573949	39800	Kitty
573949	74188	Julie
573949	122772	Marsha
573949	124048	Authorative Voice/Fashion Sho
573949	128828	Waitress
573949	186650	Older Dottie
573949	196365	Mrs. Woodson
573949	196828	Nazi bitch
573949	269340	Venus Girl
573949	294150	Miss Creighton
573949	308057	Secretary
573949	308362	Annie
573949	359766	Maureen Reardon
573949	363298	
573950	58830	Fanny, Alices friend
573950	292817	Francee
573951	26583	Fanny's Friend
573951	135338	Lucie Tremblay
573952	2761	Herself
573952	13345	
573952	30460	Bart Simpson
573952	30461	Bart Simpson
573952	62274	Arabian Prince
573952	75801	Bartholomew 'Bart' Simpson
573952	78183	Bart Simpson ('Black or White
573952	80791	Libby Dean
573952	115235	Kathleen
573952	130201	Caiman's Secretary
573952	131834	Pistol Pete
573952	177074	Rufus
573952	177076	Rufus
573952	184379	Dana
573952	192017	Additional Voices
573952	192098	Page
573952	205658	Marian Rose White
573952	224109	Gusty/Bushwoolie #4
573952	235460	Jean
573952	253838	Fawn Deer
573952	262626	
573952	272371	Todd
573952	283099	Chuckie Finster
573952	283191	
573952	302271	Bartholemew Jo-Jo "Bart" Simp
573952	302272	Bart Simpson/others
573952	302273	Bart Simpson
573952	302274	Bart Simpson
573952	302275	Herself
573952	302276	Bart Simpson/Ralph Wiggum/Nel
573952	302277	Bart Simpson/Nelson Multz/Ral
573952	304129	
573952	318186	Dell
573952	333165	Earl Squirrel
573952	342512	Ethel (Segment #3)
573952	357001	Terry
573952	358488	Mindy
573952	364161	Dipped Shoe
573952	371059	Stephanie
573952	378769	Little Red Riding Hood (1993)
573952	379568	The sprites
573952	379710	Chucky
573952	379868	Additional Voices
573952	380313	Mindy Sadlier/Additional Voic
573952	381940	Additional Voices (1999- )
573952	382474	Fawn Deer
573952	385261	Margo Sherman/Bartholomew Jo-
573952	386379	Additional Voices
573952	388404	FX
573952	389671	Gilda Gossip/'Flat Freddy' Fe
573952	390229	Megan Allman
573952	390376	Pistol Pete
573952	394460	Rufus, Ron's naked mole-rat
573952	397724	Lu
573952	398087	
573952	398717	Gusty
573952	401489	Additional Voices
573952	401495	Rudy Mookich
573952	401855	Woody
573952	401980	Brighteyes
573952	402234	Betsy/Ross
573952	402909	Fawn Dear/Mother Grumbles/wom
573952	403354	Gloria Patterson (Richie's Gi
573952	403479	Gloria
573952	403907	Charles 'Chuckie' Finster, Jr
573952	404354	Kimberly (segment 'Space Ace'
573952	405172	Kip Kangaroo (1983-1985)
573952	405405	Bart Simpson/Nelson Muntz/Tod
573952	405739	Daffney
573952	408293	Additional Voices
573952	408537	Melissa Screetch
573952	408679	Bartholemew Jo-Jo "Bart" Simp
573952	409212	Additional Voices
573953	7620	Sally Harper
573953	38038	
573953	38660	Young girl
573953	113788	Peggy
573953	120497	The Waif
573953	131569	Greta
573953	139547	Herself
573953	161542	Little Girl
573953	162362	Miriam as a Girl
573953	183764	Clorinda (age 6)
573953	195287	Beatrice Storm
573953	241761	Peggy
573953	244827	Peggy
573953	252296	
573953	269876	Peggy
573953	279751	The Girl, later Maid Marian
573953	330516	Nancy Jane
573953	372734	Peggy
573954	379872	Medical Student (season 2)
573955	148211	Hayley Smith/Host
573955	148212	Hayley Smith
573955	391869	Hayley Smith/Lawson (1998-)
573956	232858	Liz Becks
573956	330591	Medina
573957	4644	Mrs. Morris
573957	10830	Lambert
573957	10865	Herself/'Lambert'
573957	10898	Herself/interviewee
573957	11084	Herself
573957	30428	Eleanor Dingle
573957	31500	Mrs. Harris
573957	31841	Herself
573957	34419	Marjorie
573957	36773	Sister Theresa
573957	38614	Cathy Brenner
573957	53823	Octavia Tarrant
573957	61615	Herself
573957	61843	Rosalie Wells
573957	80384	The Caller
573957	80484	Victoria Haines
573957	83949	Betty Petrie
573957	108015	Vera Errickson
573957	115517	Helen Freeman
573957	130296	Hermine, Moon's Old Gang
573957	136287	Marceline 'Marcy' Jones
573957	146855	Patricia Benedict
573957	147637	Herself
573957	149712	Herself
573957	157783	Allie O'Neill
573957	158102	Minister on Television
573957	160283	Harlene
573957	160463	Olive Osmond
573957	161744	Nancy Bellicec
573957	163610	Barbara
573957	171197	Mrs. McNerney ("Pussy")
573957	176331	Corinne - Schoolteacher
573957	185385	Director Elizabeth Riggs
573957	191015	
573957	191019	
573957	195082	Maggie Dunbar
573957	199084	Eleanor
573957	201609	Herself
573957	203436	Helen Dextra
573957	215176	Sister Aja
573957	218005	Connie Cipriani
573957	223772	Pat
573957	223858	Sarah Salsburg
573957	224134	Elaine Swit
573957	232471	Claire Houston (segment "Nigh
573957	240528	Woman in Grocery
573957	241525	Mary
573957	263789	Janice Staplin
573957	269817	Myra
573957	272600	Rocky Cooper
573957	273488	Herself
573957	278259	Betty Grissom
573957	289667	Megan's Mother
573957	299450	Herself
573957	299664	Mrs. Thomas
573957	305074	Mrs. Casey
573957	308431	Dorothy Donaldson
573957	310423	Dottie Delgato
573957	310863	Becky Spencer
573957	315915	Jerry
573957	322596	Herself
573957	327236	
573957	338345	Principal Evans
573957	340034	Carla Hulin
573957	342635	Landlady
573957	343076	Molly
573957	349877	Patricia 'Pat' Gibbs
573957	358667	
573957	364177	Kiri Radek
573957	366600	Samantha Wisdom
573957	366761	Felicia Alden
573957	369451	Cassandra Spender
573957	385657	Jemima Boone (1964-1966)
573957	395023	Dist. Atty. Margaret Flanagan
573957	403509	Ethel Skakel Kennedy
573957	407545	
573958	7200	Pidge Anderson
573959	166217	
573959	214466	DS Sarah Hillier
573959	283541	Bank Teiler
573960	279200	Dancer
573961	8097	Bridie Donnelly
573961	54453	Mary Creeg
573961	338770	
573962	387026	Julie (episode 4)
573963	108288	Bonnie Brewster
573964	209133	Emma Gerber
573965	267031	Mae West
573966	129031	
573967	105492	Supporting
573967	113417	Lead
573967	276892	Yvonne Craig/Batgirl
573967	314619	Kathryn Jacobson
573967	336475	Martinette
573967	355240	Supporting
573968	90345	
573968	252906	Nikki
573968	263230	Cheerleader
573968	281337	Linda Rose
573969	50867	Heartbreaker #1
573969	113305	Christa Marsh
573969	141655	Aimee Dell
573969	203591	Waitress
573969	214909	Disco Girl
573969	245008	Other Tourist Chick
573969	331209	Buzz
573970	10340	Stateira
573970	149550	
573971	52789	La madre de José María
573971	55619	Abuela
573971	64976	Micaela Castro
573971	68698	Ramona Companys
573971	156097	Herself
573971	202055	Matilde
573971	273664	Madre
573971	319855	
573971	341382	Pilar Buendía
573971	351780	
573971	353290	
573971	353564	
573971	384972	Teresa Soler
573971	395041	Cèlia Ballart
573971	400034	Sra. Emília
573971	400036	Emília
573971	404715	Martina
573972	52683	
573973	6003	Herself
573974	34474	
573975	15381	
573975	51594	
573976	57929	ABA Scout
573976	142985	Nina's Mother
573976	282667	Countess Raine Spencer
573977	380448	Beth
573977	389587	Beth
573977	399498	Sílvia
573977	401010	
573977	403245	Nora
573978	5712	Shelley
573978	65552	
573979	286298	Female FBI Agent
573980	168326	Dancer
573981	101598	Herself
573982	45072	
573982	116836	
573982	142703	
573982	335598	
573983	101598	Herself
573984	199304	Berthe, at 15 Months
573985	316635	FBI Agent #2
573986	50268	Girl in Restaurant
573987	350412	Mary (younger)
573988	64735	
573989	23404	
573989	328742	
573990	66055	Herself (cameo)
573991	318632	
573991	328730	
573992	304972	Nosy Neighbor
573994	222179	Superiora do Convento
573995	127274	Regina
573997	63014	Herself
573998	353814	Cécile Orloff
573999	346016	Model
574000	26470	Marie-Martine
574001	12104	
574001	64993	
574001	76099	
574001	85558	
574001	104819	
574001	120707	
574001	135160	
574001	148135	
574001	193511	
574001	193512	
574001	229802	
574001	242678	
574001	309086	
574001	343613	
574001	351837	
574001	355758	
574001	373854	
574002	379360	Una
574003	48184	Virginia
574003	70684	Cecilia
574003	75486	
574003	136150	Parachute officer's wife
574003	156095	Herself
574003	206573	
574003	212340	
574003	244638	Muriel
574003	246390	
574003	322377	
574003	351407	Madre
574003	378916	Staff Humorist (1978-1980)
574003	383481	Carmen
574003	384795	Marisa
574003	392034	
574003	393911	Fuencisla
574003	395844	
574003	398805	Loli
574003	400653	Manuela
574003	402635	
574003	402702	Paca
574003	409463	La Loli (1982-1983)/Gafancia/
574004	385370	Matilde
574004	387068	Carolina
574004	401068	Romina (Romy)
574005	379896	
574006	22770	
574007	52936	
574007	54764	
574007	56058	
574007	85576	
574007	92343	
574007	103991	
574007	134961	
574007	136846	
574007	146486	Matilde
574007	148014	
574007	148103	Mujer que no duerme sola
574007	159525	
574007	171461	Matilde
574007	193071	
574007	198201	
574007	211044	
574007	221946	
574007	222040	Margarita
574007	225392	
574007	236414	
574007	251558	
574007	296134	
574007	300753	
574007	306698	Elena
574007	345599	
574007	353573	
574007	353641	
574007	376791	
574007	377160	
574008	11704	
574008	251197	
574009	225010	Adela
574009	392960	Casilda
574009	396880	
574009	409719	Adela
574010	99796	Carmen
574011	390300	Lidia Cantú
574011	402059	Bianca
574012	88331	Ella
574012	385872	Lucia (I)
574012	387556	
574012	392812	Alejandra León
574012	401097	Fabiana
574012	405866	
574012	409922	Raquel Rangel de Valerugo
574012	411709	Soledad Gallego
574012	412153	Angela Falla
574013	377192	
574014	30397	
574015	30320	
574015	108843	
574015	376655	Tiple de opera
574016	146486	Olga
574017	186406	Girl In The Pit
574018	7236	Helena Amado
574018	43284	
574018	89399	1st Friend
574018	261191	Maria Helena
574018	302419	Maid
574018	344863	Girl
574018	369501	Rosa
574018	380152	Carminho (2004)
574018	386523	Rita Tiago Ramos
574018	391988	Clarisse Guerra
574018	393714	Laura
574018	398881	
574018	401208	Ceuzinha
574018	404838	Dr. Rita Duarte
574019	6345	Vanda
574019	28207	Widow
574019	28589	Catarina
574019	55003	
574019	64028	Woman in Bus
574019	71430	Judite
574019	109349	Vidente
574019	129663	Fernandos Mutter
574019	166020	Mother
574019	212142	
574019	302048	Elsa
574019	390489	Stella Rodrigues
574019	395865	
574019	398881	
574019	400095	Amélia Costa Moreira
574019	402242	
574020	124240	Lucineide
574020	260575	
574020	357876	Martha
574021	409410	
574022	28947	Herself
574022	384117	Herself
574023	34914	Grandma
574023	44988	Mrs. Avila
574023	55162	Geneva
574023	59135	Raquel
574023	70753	Judge Wright
574023	80969	Maid
574023	86274	Paulina
574023	107990	Lupe
574023	108306	
574023	117230	
574023	132914	Melon Lady
574023	137658	Patsey West, R.N.
574023	144430	Maria
574023	185180	Mrs. Martinez
574023	203436	Socorro
574023	215463	Grandma
574023	255234	Juana
574023	269880	Ruth Wedemeyer
574023	277801	Female Board Member
574023	283563	Apartment Manager
574023	313049	Angel's grandma
574023	318977	Rosa
574023	330091	Rosa
574023	358252	Annie Kaamanu
574023	376740	Mama Sanchez
574023	383084	Valentina Aguilar
574024	52072	
574025	210664	Cryogenic Nurse
574025	362880	Hostess
574025	379831	Stacey Abdul (1989-1990)
574026	396810	Zoraide
574027	386419	Marisol
574028	28589	Girl
574030	286571	
574031	67642	
574032	404283	
574033	269169	(segment "Anjo, O")
574034	341145	
574035	18478	
574036	52755	(segment "A Segunda Cama")
574037	222188	
574037	255798	
574037	268993	
574038	344801	
574039	386123	Duda
574039	387838	Suzy Mallet
574039	404077	Cacau Souza Cruz
574039	404888	Kelly
574039	409405	Michelle
574040	34284	
574040	286573	
574041	401882	Participante
574042	244087	
574043	218924	
574044	266014	
574044	382776	Vanda
574045	44723	Tailor Shop Receptionist
574045	385024	Laís
574045	386757	Beatriz
574045	396795	Angela Almeida
574045	396810	Olga
574045	397540	Lawyer
574045	403118	Bia
574045	403171	Aurora
574045	410054	Regina
574046	411585	
574047	184353	
574048	339229	Artista club
574049	64049	(segment "Zé da cachorra")
574050	227594	Fortuneteller
574050	227596	Mlle. Lenormand
574052	384137	Gigi
574052	385024	Clara
574052	391673	Neusa
574052	392792	Maribel
574052	396610	Naomi (1997)
574052	401900	Sílvia
574052	401944	Maria do Socorro
574053	264537	Stores Coadjuvantes
574054	14705	
574054	387799	Santinha
574054	397415	Melica
574055	34284	
574055	57800	
574055	103953	
574055	104494	
574055	116393	Maria
574055	255640	
574056	396718	
574057	257672	Herself
574058	287488	
574059	339757	
574060	260429	Herself
574061	111153	
574062	132200	
574062	222163	
574062	265490	
574062	295103	Ivete
574062	307532	
574062	322222	
574062	380120	Cíntia
574062	383141	Belinha
574062	383355	Suzana
574062	384991	Aldeneide
574062	386542	Suzana
574062	400094	Antonieta
574062	400838	Ana Célia
574062	408212	Bebê
574062	408381	
574063	111153	Angela Duvall
574063	236395	
574063	322222	
574063	383866	Zaíra
574063	391900	Marina
574064	213740	Prostitute
574065	48194	
574065	118086	
574066	344764	Helô
574067	55224	
574068	272479	Ana Rita
574069	9340	Silvia
574070	273664	
574071	148480	
574071	388565	Neusa
574071	402504	
574072	75572	Servant Girl as Child
574073	350255	
574074	296425	
574075	59672	Mrs. Donavin
574076	6158	Charles/Charlotte Beaumont
574077	40660	Woman Client #2
574077	82049	Sally McAstin
574077	92150	Prim Sister
574077	106378	Triphase
574077	109723	Attorney
574077	137449	Nurse Arlene
574077	154302	Cashier
574077	165871	Gloria Mays
574077	169941	Selma Davis
574077	185114	Lucy
574077	185766	Belva
574077	221375	
574077	223815	Duncan's Teacher
574077	241792	Cop #2
574077	265759	Nurse #2
574077	277010	Selma Davis
574077	316116	Elreatha Hill
574077	321364	Cashier
574077	339480	Selma Davis
574077	366898	Eliza's Mother
574077	401108	Nellie
574078	132813	Young Edna
574079	8627	
574079	117974	Mme Dubrocq
574079	120813	
574079	205767	
574079	227292	
574079	235710	La tapissière
574079	260861	
574079	327563	La caissière du café
574079	354150	
574080	214874	Geneviève
574081	201909	Narrator
574082	242585	Iena
574083	204260	Brooke
574083	229108	Stella
574084	12295	Sarah
574084	21392	Ingrid
574084	125989	Sister Angela
574084	127572	Faye Steadman
574084	154577	Zoe
574084	160572	Danny
574084	166568	Secretary
574084	200327	Princess Jessica
574084	222746	Gladys Donovan
574084	223939	Sandy
574084	272675	Young Grace
574084	327487	Anne
574084	335155	Hatty (young woman)
574084	392667	Zoe
574084	395189	Hild
574084	404407	Claudette de Bridoire
574085	88568	
574086	85993	Marilyn
574086	270640	
574086	305390	Cookie Store Customer
574086	328258	Ice Cream Fight
574086	365320	
574087	292178	Cousin Emmy
574088	13292	Amateur
574089	355030	
574090	35587	Ruth Chadwick
574090	146190	Eleanor Trent
574090	233541	Lois Harper
574090	245282	Valentine
574090	294690	Gretchen
574090	294947	Elizabeth Foster
574090	358959	Naomi
574090	362919	Gloria Trevor
574090	370577	Doris Mayne
574091	281398	
574092	167629	
574093	278247	Little Girl
574094	11265	
574094	12763	Tenant in Hallway
574094	26762	Masseuse
574094	27031	Referee
574094	28536	
574094	37469	Gussie's Mother-in-Law
574094	41049	
574094	41064	Miss Perkins
574094	46562	Ma Malone
574094	46788	
574094	54956	
574094	56770	
574094	71978	Older Woman
574094	84972	Tavern patron
574094	88300	Lady By Car
574094	96844	
574094	105170	Mrs. Snyder
574094	106233	
574094	114041	'Angleiron' Annie
574094	115420	
574094	117993	Drygoods Store Owner
574094	120563	
574094	121868	
574094	131918	
574094	137478	
574094	137624	Ma Sunday
574094	138204	Hat Customer
574094	139365	
574094	144994	Townswoman
574094	147763	
574094	154925	
574094	155231	
574094	162985	
574094	168916	
574094	176358	Native woman
574094	191283	
574094	193369	
574094	194118	Scrubwoman Swinging Mop
574094	195448	Clan Woman
574094	198861	Lady Macbeth
574094	201060	Mrs. Donovan
574094	202992	Mrs. Gilwattle
574094	206345	
574094	207184	
574094	215769	Woman at Baggage Area
574094	218173	
574094	219383	Miss Waterman, Woman at Party
574094	220165	
574094	223252	Mrs. Skittons
574094	239783	Big-Nosed Woman on the Mile o
574094	241649	
574094	245628	
574094	274452	
574094	277971	Slim's wife
574094	280830	Lady Slave Bidder
574094	281155	Nurse
574094	287948	Mrs. Sprague
574094	289503	Member of Theatre Audience
574094	297245	Sally Long
574094	300900	Minn
574094	305631	Picknicker's Dragon Wife
574094	307925	The King's Sister
574094	308178	
574094	309911	
574094	314930	Hat Lady
574094	332874	Wedding Woman
574094	335471	Ellen
574094	342862	Restaurant Patron
574094	347546	
574094	360673	The Landlady
574094	367391	Mother Machin
574095	71	Emmy Lou Lee
574095	7008	Mary Jane Wilkes
574095	30793	Nurse
574095	38982	Dolly
574095	41142	
574095	46779	Maddelena Monti
574095	52661	Alice Raymond
574095	59549	
574095	62983	Bess
574095	71721	
574095	73818	Maggie Flynn
574095	90917	
574095	91882	Georgia Maryland
574095	92247	Singer in Quartet
574095	93659	Pat McBride
574095	95028	Angela Forbes
574095	105217	Sylvia Bellaire
574095	114857	Abbie Compton
574095	149376	Jane, with College Boy
574095	152522	Daughter Beaufrere
574095	157866	
574095	176358	1934 Goldwyn Girl
574095	186356	Ann Jennings
574095	199403	Helene
574095	202995	Marian Hardy
574095	208719	Barbara Roberts
574095	220901	Joyce Belmont
574095	222716	Actress Holding Parrot
574095	239719	Bit Part
574095	241264	
574095	261742	
574095	263117	Bonnie
574095	279687	Fashion Model
574095	311286	
574095	311736	Joan Lockwood
574095	316302	
574095	318101	Mary Allen
574095	319205	Ann Kirby
574095	327972	Martha, Lincoln's Daughter
574095	334116	
574095	366889	June
574095	371857	Vera Valaize
574095	372531	Alice Raymond
574096	98151	Bobby
574096	212196	Girl
574097	19601	Margaret Hollins
574097	34960	Cleve's mother
574097	37555	Saleslady
574097	99845	Anna Banks
574097	108250	Louise
574097	120512	Nancy
574097	131774	Joan Wintner
574097	154516	Eugenia
574097	174623	Marge
574097	251196	Mrs. Rossi
574097	266084	Mrs. Davis
574097	285287	Nell
574097	302116	Cecilia Simon
574097	331907	Tive
574097	399739	
574097	405386	Cecilia Simon (1981-1988)
574097	408893	
574098	215664	Miss Oklahoma Teen USA (Top 1
574099	25845	Herself - Burlesque Dancer
574099	323409	Sleazy Maisie Rumpledinck
574099	323410	Sleazy Maisie Rumpledinck
574100	112023	Stella
574100	275297	
574100	392705	Hagar
574101	13292	Amateur
574101	38378	
574102	49329	
574102	58486	Claire Ramsey
574102	74216	Marie Holzapple
574102	120507	Dr. Terry Mason
574102	139275	Mrs. Benko
574102	142400	Besie Custer
574102	160342	Joni Calvin
574102	203588	Big Marge Collins
574102	348576	Gail Windsor
574103	130181	The Madam
574103	195307	Nurse #2
574104	148460	Female Drunk
574105	57139	Carolyn
574105	308038	Caroyln
574106	108897	Herself
574107	261570	Olive
574107	346347	Schoolchild
574108	230127	Child #2
574109	273853	
574109	314745	Italian prostitute
574110	113286	Bar Patron
574111	73136	Information Clerk
574111	88878	Jenny
574111	146815	Mary Reardon
574111	236870	Adrienne Davis
574111	311744	
574112	10886	Penny
574112	98689	Alice Harper
574112	131346	Deena
574112	141179	Terri Rinselle
574112	163232	
574112	176496	Sandra Luce
574112	215363	Miss Nance
574112	223803	Receptionist
574112	297955	Newspaper ad girl
574112	349231	Harmony Moore
574112	409744	Harmony Moore
574113	43119	
574114	148863	Mrs. Paxton
574114	400813	
574115	56144	Receptionist
574115	283532	Jennifer Waylon
574116	313706	Rhonda
574117	33371	Herself
574118	42561	
574118	195144	Marie-Dominique
574120	45503	Edna
574120	190209	Sophie
574121	125918	Tavern Singer
574121	292593	Junior
574123	104765	Luxembourg entry (13th place)
574124	381559	Herself
574125	121888	
574126	63774	
574126	380064	
574126	382951	Nancy
574126	383291	Maite (1999)
574126	384775	Marina
574126	385402	Lorena Villalba
574126	388584	Alejandra
574126	395711	
574126	397119	
574126	401771	
574127	7438	Angélique de Fontanges
574127	14669	Doña Inés
574127	15912	
574127	43670	Evelyne
574127	51826	Isabelle
574127	58171	Dominique Vallon
574127	60511	
574127	67211	Monique
574127	82375	
574127	90708	Eleonora
574127	116430	
574127	147839	Herself
574127	154139	Suzanne Duchard
574127	205339	Michelle Marton
574127	236555	Catherine Farnoux
574127	264906	Marie
574127	269485	Suzy
574127	287464	Pili
574127	328688	
574127	336958	Anne-Marie
574127	345098	Chekina
574127	382293	Suzanne Duchard
574129	349321	Katja
574130	369885	
574131	210594	
574131	401914	Nora
574132	19328	Christine Faget
574132	69968	La soeur de Daniel
574132	73620	
574132	102390	Anna
574132	106990	Nathalie Reyter
574132	217013	Herself
574132	246017	Françoise
574132	268420	Véronique
574132	275227	Odette
574132	345549	Amélie
574132	352933	Gabrielle
574132	355880	Valérie
574132	356519	Corinne
574133	275277	
574134	235816	Léa
574135	141749	Herself
574136	307798	Vedette
574137	189795	
574139	377242	Travailleuse 1
574139	383664	Zoé
574139	396321	Cléo
574140	156952	
574141	123432	Sherry
574142	157302	
574143	3169	Aging Dancer
574143	129019	Susy's maid
574144	10114	Geneviève
574144	23803	La seconde cliente de Karma
574144	23830	La mère
574144	25111	Geneviève de Cerlin
574144	25136	Geneviève
574144	25788	Robert's mother
574144	33543	La comtesse d'Eguzon
574144	51411	La dame
574144	64333	Herself (1990)
574144	65093	La mère de Jean
574144	67074	Madame Vanderwood
574144	68328	Hermine
574144	71821	Nadine
574144	75628	Mlle Salomon de Villenoix
574144	85153	La grand-mère
574144	86727	Bénévole de la mission
574144	94349	
574144	101221	Madame Mercier
574144	101881	
574144	132607	Germaine
574144	148621	Marie
574144	148775	Clara Blanc, Benoit's Mother
574144	164161	Eugénie
574144	164202	Rose
574144	191470	Yvonne
574144	200929	Mme Calame
574144	200962	Catherine
574144	202746	Mamie Rose
574144	220492	
574144	247314	Joséphine de Beauharnais
574144	261468	
574144	277726	
574144	281271	Alice
574144	282417	Bernadette
574144	282497	
574144	321239	Nemo
574144	339499	Sally adulte
574144	345164	Catherine Revest
574144	345342	Le sénateur
574144	345403	La mère de Benjamin
574144	345557	Grand-mère
574144	346536	Marquise de LaPalmmes
574144	346801	Mme de Flers
574144	350919	Clotilde de Grandlieu
574144	352135	Nicole Leguen
574144	384788	Louise
574144	385608	Blanche
574144	390470	Mlle Loisel
574144	396175	La comtesse de Lambrefoux
574144	409454	Suzy
574144	409806	La Comtesse
574145	9012	Voyageuse
574145	15126	L'infirmière-major
574145	23750	Madame Baratier
574145	33638	Suzanne's governess (1793)
574145	43656	Mademoiselle Thomas
574145	45726	L'Agitée
574145	46000	
574145	53744	La baronne de Thunder-Ten-Tro
574145	57540	Mme. Pommeau
574145	58176	
574145	69281	La cliente
574145	72069	Mme. Duval, Concierge
574145	77335	Prudence
574145	100281	Anna
574145	111683	Mimi
574145	126319	Madame Boche
574145	149203	La diva
574145	155680	Adélaïde Epantchine
574145	189316	Jaja
574145	193430	
574145	206235	
574145	211850	Mme. Nègre
574145	212150	
574145	228940	Mme Racaume
574145	254056	Mme. Boulard
574145	257212	Louise (segment "La Maison Te
574145	280552	Marika
574145	345128	
574145	353938	La Cuisiniere
574145	377040	Mme. Durand
574145	392602	Zizine de Senonches
574146	376638	Secretary
574147	183516	
574148	32440	Amelia
574148	129516	Luz
574148	154334	Minnie Linares
574148	168295	Girl at Play
574148	170279	Passion
574148	366673	Bonita
574148	404897	Gabi (1993-)
574149	30418	
574150	47753	
574150	48805	
574150	57869	Ursula
574150	68596	
574150	91419	
574150	100273	
574150	103497	
574150	167809	
574150	190984	
574150	212244	
574150	252063	Cuca
574150	277390	
574150	301106	
574150	319597	
574150	350634	
574150	387602	
574150	391989	
574150	391991	
574151	269544	
574152	35020	Asunción
574152	82181	
574152	252516	Ana Isabel
574153	30418	
574154	187627	Rocío
574155	132686	Herself
574155	390451	Silvia
574156	356804	Sara
574157	63890	
574157	162085	
574157	315439	Donatella
574157	384618	
574158	283529	Bar Mistress
574159	280513	Catherine Leclerc
574160	24153	Maggie
574161	90655	
574161	94718	Shop assistant
574161	111879	Nina
574161	120911	Gertrude
574161	277737	
574161	344596	
574163	249293	Membre du groupe
574164	14918	
574164	17611	
574164	67344	
574164	82426	
574164	219595	Concetta
574164	328445	
574164	336591	La signora della pelliccia
574164	344130	
574165	128266	Chiquita
574166	9693	
574166	20329	
574166	95010	
574166	117333	
574166	128966	Marquesa de Rosicler
574166	219225	
574166	225391	
574166	233351	
574166	260625	
574166	274782	
574166	281611	
574167	18998	
574167	91171	
574167	99353	
574167	205140	
574167	225038	
574167	249860	
574168	277391	Monja
574169	191450	
574169	354265	Herself - Presenter: Best Mus
574170	67458	
574171	70011	Niña
574172	10956	
574172	25222	
574172	48185	
574172	106328	Sofía Miro
574172	135281	
574172	203169	Anita
574172	255485	Martina
574172	351571	
574172	376737	
574172	380488	Herself - Host (1981-1983)
574172	392027	Elisa Sánchez
574172	397467	Carmen (1996-)
574172	399487	
574172	409463	Azafata (1976-1978)
574172	409881	
574173	74584	Clienta
574173	162027	
574173	198215	Lavandera 3
574173	322325	Encargada Hemeroteca
574173	396827	Alcaldesa Celia
574174	226442	Sandra
574174	376792	Tere
574174	383138	Dorotea
574174	383769	Vanina
574174	383770	Enriqueta
574174	397733	Mirta
574174	401250	Ibotí
574174	412120	Selenia
574175	228761	Contadora Márquez
574175	411636	Griselda Chamorro
574176	13023	Liana
574176	63876	
574176	71376	Isabel
574176	111917	Gabriela
574176	124311	Albertina, the serpent
574176	153332	Estela
574176	169713	Manuela
574176	211004	Teresa Waldemar
574177	215687	Miss Puerto Rico
574178	192702	Girl
574179	190218	Marion
574179	386197	
574180	219830	Signora Bambino
574181	128963	Rossana
574182	248056	Herself
574182	404045	Poppea
574183	121386	Rural hospital nurse
574184	11973	Concetta
574185	86523	Giorgia
574186	21895	
574186	21896	
574186	63021	
574186	82366	
574186	87237	Naughty Teenager
574186	87449	Claudia
574186	89067	
574186	89068	
574186	89071	Claudia
574186	89074	Claudia
574186	93569	Claudia
574186	126579	Claudia
574186	128648	
574186	158044	Claudia
574186	177733	
574186	183353	
574186	200856	
574186	223702	Claudia
574186	228536	Claudia
574186	242541	Claudia
574186	272040	
574186	295796	
574186	310995	Model
574186	326656	Claudia
574186	335828	Chanel
574186	335831	Chanel
574186	361917	
574186	367888	
574187	94711	Geisha
574188	30418	
574189	33529	Stefania
574189	67509	
574189	234715	
574190	9726	Hija
574190	112073	Jeune fille 2
574190	212467	
574190	215027	Girl
574190	260841	Pepita
574190	318212	Laura
574191	239501	
574191	284899	Cecilia
574192	18559	Cuban Woman
574193	9955	Enfermera
574194	404843	Herself (1996-1997)
574195	66216	Mathilde
574197	100868	Old Quechua Woman
574198	152364	La maîtresse de Garcin
574199	205434	
574200	71160	Abogada CNMV
574200	152246	María
574200	249910	Amiga #1
574200	322397	
574200	392027	Dra. Cecilia Schuman (2001)
574201	381514	Herself (2000-2003)
574203	52120	
574204	412198	
574205	143991	The Mother
574206	64368	
574207	29112	Bank Manager
574208	19179	Marta Santiago
574209	292937	
574210	249420	Christina
574211	353646	
574211	380087	Sandra
574211	385367	Marisela Malavé
574211	389788	Luisana Montero
574211	391272	Mariana Antunez
574211	393839	
574211	395030	
574211	398807	Carmela Crespo
574211	404703	Erika
574211	410385	Sandra Del Valle
574212	328726	Mother Superior
574212	371686	
574213	23793	Une jeune fille
574213	336951	Le professeur de danse modern
574214	10470	Herself
574214	12503	Rosaria
574214	18768	La Chata
574214	49430	
574214	49431	Alba
574214	52618	Eusebia
574214	75183	Secretaria
574214	96337	
574214	100521	Rafaela
574214	101882	
574214	103042	Narrator
574214	103482	Ruth, la Peregrina
574214	103756	Mama de bebe
574214	103768	Catalina
574214	125393	
574214	159529	Mariana
574214	188993	Rosa
574214	192997	
574214	211170	Clara Zamudio
574214	217919	
574214	220129	Dr. Rebollar
574214	244575	
574214	246966	
574214	269259	María Luisa
574214	273948	
574214	306695	Madame Endor
574214	353235	
574214	383155	Natalia Vizcaíno
574214	383268	Violeta
574214	384245	
574214	385401	Graciela
574214	385875	Laura
574214	396215	
574214	399823	Doña Carmen
574214	400719	
574214	400860	Eloísa de Olmos
574214	400947	Natalia
574214	400949	Soledad
574214	402917	
574214	405415	Sister Jovita
574214	408390	
574215	223666	
574216	253304	Little girl
574217	2988	Cantante/mesera
574217	74839	(segment El mago)
574217	135057	Cantante
574217	135200	
574217	143781	
574217	153816	
574217	235243	
574217	243415	
574217	282138	Cantante
574217	307780	
574218	12929	
574218	51545	
574218	113098	
574218	160092	Natalia Ezzquellia
574218	216862	
574218	397013	Julia
574219	258118	Une petite fille
574220	286233	
574221	21982	Pili
574221	24611	Inés
574221	72417	Carmen
574221	72434	Carmen
574221	75486	
574221	80104	
574221	246390	
574221	247322	
574221	255061	Donna incinta
574221	295025	La Mala
574221	296454	María
574221	307700	
574221	332572	
574221	334427	
574221	352130	Conchi
574221	355792	
574221	407563	Host (1985-1986)
574222	71333	
574223	167103	Dame kiosque 1
574224	218011	Señora Sanguinetti
574225	25678	
574225	343733	
574225	353626	
574226	68912	Señora Enjoyada 2
574226	70679	Profesora
574226	73092	
574226	103845	
574226	106993	Condesa
574226	211072	Mujer portal
574226	213759	Olivia
574226	221756	Vecina desdentada
574226	233976	Degollación
574226	234400	Madre de Evelio
574226	265140	Old Woman
574226	286369	Milagros
574226	304478	Secretaria Erasmus
574226	370790	La yaya
574226	376651	Mujer presa
574226	383772	Rafaela
574227	354581	
574228	302331	Tobacconist
574229	269258	
574229	403753	
574230	100405	Niña de la clase
574231	273722	Asesina
574232	382565	Dulce
574232	383562	Presentadora de los resúmenes
574232	390450	Comentarista
574232	398916	Host
574233	16346	
574233	92981	Le professeur de chant
574233	122987	
574234	2252	(segment "Temps du bonheur, L
574234	8987	Alice
574234	19561	Morgiana
574234	50845	Fátima
574234	60522	Nadia
574234	66745	Noëlle
574234	68386	Myriem
574234	83305	Anne-Laure
574234	96181	
574234	102941	La fille du métro
574234	112889	Marianne
574234	185145	
574234	205727	Jeune Femme de la Villa
574234	206060	Claudia
574234	215029	Ana
574234	222728	Helena von Strauss
574234	223214	Minona
574234	243018	Marie-Noëlle
574234	261839	Camille
574234	268972	Claire
574234	278154	Zelda
574234	297716	Catherine
574234	321788	Assia Wevill
574234	333759	Farida
574234	338488	Véra
574234	343647	Catherine
574234	345065	Marie
574234	357852	Sandra
574234	357853	Sandra Benzakhem
574234	378865	Kristina
574234	408002	Rachel
574235	186532	
574236	236550	La vieille dame gâteuse
574237	1863	
574237	7234	
574237	55947	
574237	68994	
574237	70647	
574237	103810	
574237	145267	
574237	148086	
574237	161656	
574237	192986	
574237	206987	María Clara del Carril
574237	212469	
574237	236412	
574237	242651	
574237	244620	
574237	293579	
574237	301185	
574237	319858	
574237	339038	
574238	6469	
574238	19459	
574238	50132	
574238	53179	
574238	68748	
574238	82588	
574238	85568	
574238	86402	
574238	91415	
574238	94678	
574238	103393	Miriam
574238	166552	
574238	170037	
574238	206314	Elisa
574238	255038	Lucía
574238	257563	
574238	269160	
574238	295147	Dolly
574238	324468	
574238	353555	
574238	376754	
574238	378467	
574238	408720	Alejandra
574239	109264	Angelita
574239	339037	
574240	29968	Barefoot Model
574240	32061	
574240	116360	
574240	251739	
574241	6405	Victoria
574241	14999	Thérèse
574241	27612	
574241	40280	Louise
574241	47196	Agrippine
574241	59805	La duchesse Gina de San Sever
574241	60910	Viviane
574241	66712	Récitante/Narrator
574241	77420	Hélène
574241	80304	Dolores
574241	84663	Herself
574241	101228	Nathalie
574241	115172	Agatha
574241	135258	Récitante/Narrator
574241	148717	
574241	162511	Le docteur Burns
574241	166301	Herself
574241	186989	General's Widow
574241	198873	Lady Macbeth
574241	218503	
574241	240291	Caroline Bessier
574241	243770	The Princess
574241	251815	Ase, la mère
574241	276985	
574241	280442	
574241	294608	
574241	308003	Alonso's Mother
574241	328844	La princesse/The Princess
574241	329247	
574241	332235	
574241	350708	Récitante/Narrator
574241	353850	Récitante/Narrator
574241	399811	La Murène
574242	264262	Ángela
574243	74821	
574243	132213	
574243	169085	
574243	210180	
574244	279038	
574245	77705	Maria
574246	84667	
574247	278314	Giovanna
574248	57850	
574249	55670	
574249	307466	
574249	377621	
574250	11157	Young Sarah
574250	11281	Amelia
574250	50629	Lisa
574250	71469	Little Girl
574250	307964	Susie
574250	368568	Girl
574250	368569	Girl
574250	368589	Girl
574250	395313	Girl In The Yellow Dress
574251	198090	Maid
574252	402302	
574253	222412	Niña en zoologico
574254	8564	Dueña del local
574254	143778	Lily
574255	133083	Dependienta
574255	205399	Ana
574255	235296	Eva
574256	107028	
574257	183526	
574258	293940	
574259	313951	Leila
574260	68974	
574261	124591	Elisa
574262	135366	
574263	202561	
574264	32366	
574264	36662	
574264	169257	
574264	193511	
574264	236451	Neca
574264	353619	
574265	191054	Myrna Casas
574266	114873	Dancer: Escuela Flamenca Mati
574267	295556	Carrie
574269	209133	Kissing Girl
574270	372393	
574271	147373	Paula
574271	221963	Niño 1
574272	150780	Woman in Coach
574272	197535	
574272	217727	L'agressée
574273	121230	
574274	170046	
574275	170046	
574276	116431	Vera
574276	159599	La femme suivie
574277	224729	Lana 13-15
574278	396506	Servant
574279	215015	
574280	361052	Claudia
574281	91684	Reporter
574282	34707	Woman
574283	94676	
574284	17329	Mama Fernandez
574285	386616	
574286	267355	Trudi
574286	393814	Sun Dew
574287	333354	Kelly
574288	17510	Herself - Anna Case
574288	144624	Helen Merrill
574290	360696	Dolly
574290	381209	
574292	316633	Sally
574293	169151	Bartender
574293	178138	Reporter
574294	154173	Herself
574294	167566	Stripper #2
574294	289467	Nurse in Harrigan's Room
574296	300176	Carolyn Goodman
574297	398138	Dawn
574298	7102	Countess Zirka
574298	24304	
574298	39352	
574298	50872	The Gambler's Deserted Wife
574298	72225	Margaret Primrose
574298	93233	
574298	117163	
574298	122167	
574298	125548	
574298	128399	
574298	141215	
574298	145902	
574298	151407	
574298	159081	Awanta
574298	168623	Edna, John's Wife
574298	239544	
574298	244343	
574298	255358	
574298	272073	Edna Mabrey, the Rancher's Da
574298	276820	
574298	298529	
574298	319232	
574298	327309	
574298	329095	
574298	331977	The Wife
574298	343082	The Daughter
574299	115562	Rockette
574299	203358	Tony Clifton Dancer
574300	223380	Student At Dorm
574303	52668	Donna Graham
574303	152526	Ellen Simmons
574303	170601	Penny
574303	185498	Katie McEwen
574303	283579	Leta Novak
574303	292178	Tilda Bean
574304	343160	Girl
574305	223380	Woman At Store
574306	162986	Woman reading book in park
574306	197499	Woman in City
574306	227926	Lily
574306	233646	Sissy Taylor
574307	38597	
574307	40831	
574307	43102	
574307	115618	
574307	193834	
574307	193838	
574307	193839	
574307	197248	
574308	82479	Addie Stafford
574308	86808	Sunny
574308	109768	D'Arcy (stewardess killed in 
574308	129762	Gnome Maiden
574308	304563	Warren's Date
574308	366300	Motorcycle Girl
574309	168216	Teeny Bopper
574310	154039	
574310	283188	Audience Members
574311	37700	Becky
574313	135843	First Class Stewardess
574314	333301	Salvation Army woman
574315	1348	Herself
574315	87114	Ellen Hickel
574315	380713	Debbie Simon (1992-1993)
574315	389858	Dawn Winthrop #2 (1989-1990)
574315	409798	Anne
574315	411802	Sharon Collins Newman #3 (199
574316	154039	
574316	283188	
574317	214814	Bridesmaid
574318	223380	Girl At Store
574319	167068	Beverly Home Head Nurse
574320	248715	Party Guest
574321	196117	Laura
574322	280365	
574323	131014	
574324	33742	One of 'The Thirty Women'
574325	136962	
574326	281647	
574327	42844	Direttrice Beauty Farm
574327	44833	Christina
574327	68123	Domitilla, la sposa
574327	113674	
574327	159270	Claudia Corbinelli
574327	336970	Stefania
574327	337231	Radegonda Salmoiraghi
574327	342116	Giornalista TV
574327	357066	
574327	383117	Justine
574327	384618	
574327	399656	
574327	401065	
574327	401066	
574327	409092	Silvana
574328	71364	Woman Colleague
574329	156975	
574329	162055	Caterina
574329	230078	
574329	252773	
574329	257558	
574329	265401	
574329	268991	
574329	270834	
574329	342116	Caterina
574329	375390	Pevacica
574330	9653	Mistress
574330	17844	Léna
574330	64239	
574330	89854	Bride (segment "La neve sul f
574330	92070	Elena
574330	103759	Laura
574330	113709	Chiara
574330	124020	Ana
574330	224227	Carmella
574330	229983	Francesca
574330	234730	Gloria
574330	235370	Sofia
574330	238022	Lucy Light
574330	244756	Alice
574330	247974	Carla
574330	254083	Luigi's Daughter
574330	263413	Alba
574330	278702	Luisa Harari
574330	284827	Angela
574330	293323	
574330	293360	Lilli
574330	294256	La comtesse Livia
574330	337259	
574330	355893	Caterina Carrara
574330	357516	Leonor de Azevedo
574330	376158	Isabella
574330	384596	Georgie Duval
574330	384758	
574330	399161	Pia Lazzaroni
574330	404856	Fiamma Neumann
574331	12123	
574331	25031	
574332	12123	
574333	106802	Gloria
574334	34781	Herself
574334	46779	First Peasant Girl
574334	87769	Snow White
574334	228639	Dancing Doll
574334	306283	Snow White
574334	314828	Herself/Snow White
574334	367073	Juliet
574335	293468	Giorgina
574336	13074	
574336	14728	
574336	66353	
574336	112755	
574336	115768	Samantha
574336	157077	
574336	161435	
574336	222159	
574336	378424	
574337	157922	Party Hostess
574337	192015	(English version)
574337	239034	Gallery Woman
574337	270290	Camper Lady
574338	65113	
574339	4598	
574339	8515	
574339	14498	
574339	14720	
574339	14845	
574339	17322	
574339	18265	
574339	31959	
574339	31966	
574339	56804	
574339	63817	
574339	67017	
574339	67820	
574339	68556	
574339	73521	
574339	91525	
574339	115760	
574339	115835	
574339	122774	
574339	126241	
574339	128005	
574339	128012	
574339	128016	
574339	197046	
574339	198584	Granduchess of Wallenstein
574339	198862	Lady Macbeth
574339	199585	
574339	207747	
574339	218192	
574339	230005	Agrippina
574339	236800	
574339	240268	
574339	240270	
574339	240271	
574339	244266	
574339	246428	
574339	247904	
574339	248222	
574339	249334	
574339	253258	
574339	277573	
574339	281183	Giulietta
574339	286974	
574339	287809	
574339	301349	
574339	338685	
574339	339067	
574339	353647	
574339	358942	
574340	41837	
574341	186249	
574342	108844	(segment "La doncella del mar
574343	275952	Herself
574344	91423	
574344	106799	
574345	21662	
574345	80336	Claudia (segment "Aterizare f
574345	301634	
574346	82721	
574346	86870	
574346	328695	Illia, daughter of Xantos
574346	351513	
574346	405984	(Sister, USC)
574347	129405	Amy
574348	348601	Rebecca
574348	406802	Herself
574349	687	Herself
574349	169140	Swing
574349	381582	Emma
574350	18955	
574351	25480	Singer
574352	316028	Brenda
574353	19135	Girl
574354	285917	Karen
574355	348814	Herself
574356	153210	Dinky
574357	119096	Nora
574357	175221	
574357	195329	Jane
574357	263761	Mrs. Karlson
574357	389858	Peggy Nelson (1984)
574357	389867	Gail Brinkley (1990)
574357	411802	Farren Connor Sanderson Richa
574358	185549	
574359	177204	Punk Tramp
574359	207157	Alley Punk #3
574359	231779	Temptress
574360	105398	
574361	21300	Dodie
574361	36856	Cashier
574361	44899	Chorine
574361	51885	Girl
574361	56139	Prostitute
574361	66549	Check Girl
574361	87549	
574361	92589	Nurse
574361	156464	Mamie
574361	177368	
574361	210871	Nurse
574361	280830	Woman
574361	289236	Girl
574361	312584	
574361	340370	Girl
574362	107265	Tina
574362	232473	Susan
574363	153468	Mrs. Delane
574363	162543	Annie Twohig
574363	368262	(1939 version)
574364	11485	Principal Dancer #2
574364	105280	Ghost Dancer
574364	306421	So Fine Dancer
574365	105256	Sue
574366	170984	
574367	320033	Vicky
574368	80644	Fake Shemp
574370	408084	Herself - Host (1990-1993)
574371	302053	Promotora de la pizzería 1
574372	304837	
574373	220042	Diane Rehm
574374	362965	Iron Swinger #1
574375	119820	Student in the Play
574376	195719	
574376	345964	Darlene
574376	352589	Mrs. Grey
574377	32531	Pub Customer
574377	249548	
574378	119571	Herself
574379	259864	Nurse
574380	125549	Natalie Kent
574381	220960	Deaf School Teacher
574382	304355	Beth Rowe
574383	122183	Alicia
574383	232305	Pat, Dr. Campbell's secretary
574383	254774	Scratch
574384	80816	Agopy People
574385	266625	Young Wife
574386	92230	Muse
574386	139790	Harvey Girl
574386	149261	Bridesmaid
574386	209660	Show Girl
574386	212196	Girl
574386	234471	Bessie
574386	292470	Pet Foot Saleswoman
574386	333054	Showgirl
574386	362670	
574386	375044	Showgirl
574387	122214	Lady
574388	185321	Woman #2 In Theatre
574389	187234	Bartender
574389	223711	Karaoke Girl
574389	257772	Administrative Assistant
574390	26470	La bibliothécaire
574390	29415	
574390	62795	Post Woman
574390	64318	La directrice du cours Pigier
574390	71828	
574390	77175	Ma Cassidy
574390	86889	Madame Leblanc
574390	86895	Madame Leblanc
574390	99362	
574390	110134	
574390	132307	Eliane
574390	135331	
574390	214020	
574390	214064	
574390	219510	
574390	240637	Mme Dalmart, la mère d'Anne
574390	251541	La femme à la morgue
574390	254085	La dame allemande
574390	257886	
574390	268457	La préposée des PTT
574390	269225	La mère Michu
574390	284244	Mme Jassion
574390	322861	Madame Leblanc
574390	332201	
574390	345119	
574390	345394	La boulangère
574390	354024	La concierge de Cécile
574390	376915	
574390	377989	
574390	378866	La vendeuse de livres (ep.1)
574390	379103	L'infirmière de Maurice Verdo
574390	382584	
574390	384530	Madame LeBlanc (Mrs. White)
574390	384557	Several characters
574390	388688	
574390	389005	
574390	390663	Mémé Gromelot
574390	393486	
574390	393489	Herself (regular guest)
574390	395269	
574390	396805	La concierge
574390	400698	La dame qui vient pour l'Audi
574390	400869	
574390	404784	La boulangère
574390	409435	Mme Meriadec
574390	412254	
574391	8218	Kate
574391	80644	Vampire Victim
574392	79106	Usherette
574393	10138	Sarah Contreras
574393	398778	Fiona
574394	368949	Newswoman
574394	392065	
574394	405600	Caroline Wilson
574395	96738	P.J./Laurie
574396	321262	Annie
574396	327670	Popcorn Girl
574397	108373	Miss Hayes
574398	31631	
574398	131054	Little Girl
574399	687	Herself
574399	1856	Herself
574399	1923	Presenter
574399	47827	Moria
574399	154379	Herself
574399	381920	Co-Presenter (Series 1) (2001
574399	391786	Carol Groves
574399	391786	Carol Groves (1995-2000)
574399	409237	Donna Henshaw
574400	203219	Rose Wallraff
574401	241271	Keri
574402	126044	Girl
574403	944	Glenda
574403	107295	
574403	160887	Woman #2
574404	206491	
574405	337758	Girl at the Party
574406	166723	Jenny's mother
574406	280729	Trader
574407	17760	Tony's Date at Nightclub
574408	330108	Laura
574409	102674	Motel Lounge Waitress
574409	107917	Teacher
574409	213930	Rebecca Fain
574409	299958	Rick's Secretary
574410	26258	Brenda Walker
574411	260304	Stacey
574412	2143	Circus Snake Charmer
574412	13789	Sale House Woman #2
574412	17756	Cowgirl
574412	31671	Vicky Lindsay
574412	37470	Young lady
574412	38034	Dottie
574412	41100	Woman Watching Demonstration
574412	52812	Lady Sybil
574412	55583	Secretary
574412	56810	Anne Duval
574412	102932	Bit Part
574412	105456	Mrs. Caldwell
574412	119803	Showgirl
574412	121506	Ballet Teacher
574412	133807	Pretty girl
574412	153650	Bookstore Society Lady #2
574412	163443	Model
574412	184955	Woman
574412	190179	
574412	201035	Brenda
574412	211602	Girl at Maxim's
574412	221304	Girl
574412	223913	Pretty girl
574412	229938	Model
574412	230693	
574412	244441	
574412	246691	Sarah Woodling
574412	273543	
574412	279376	Handmaiden
574412	289555	Miss Dean, receptionist
574412	292470	Goldwyn Girl
574412	292848	Wife of Rajah
574412	308382	Raider
574412	320779	Mrs. Cox
574412	333055	Rita Kesterling
574412	333574	Miss Preston
574412	352701	Art Patron #1
574413	154198	
574413	271868	Emergency Room Technician #3
574413	284590	Iside
574413	293888	
574413	315855	
574414	34758	
574414	35810	
574414	36880	
574414	41971	
574414	93110	
574414	102701	
574414	102791	
574414	196554	
574414	313263	
574414	366117	
574415	384839	Model (1961)
574416	150425	Chris
574416	206491	Stripper Abducted by Martians
574417	87166	Lighting Booth
574418	27082	
574418	35518	
574419	72502	Nurse
574420	397397	Herself
574421	243564	Foster Mother
574422	85742	Sphinx Brown
574423	70389	Babysitter
574423	186471	Nita Moran
574424	57958	Sara
574425	37225	
574425	105773	Diane
574425	121555	
574425	128549	
574425	210539	
574425	273277	
574425	273298	
574425	302570	Lorena Collins
574427	6936	John Emdall
574427	11652	Poppy
574427	13358	Creola Waters
574427	58100	Adele
574427	64404	
574427	70796	Sarah Robinson
574427	78006	Dr. Robertson
574427	81088	
574427	81276	Sgt. Stone
574427	92416	Dr. Billie Worth
574427	115126	
574427	117512	
574427	129820	Florence
574427	136287	Jenny Hammond
574427	144523	Nyona
574427	171057	
574427	175219	
574427	176919	Beverly York
574427	177339	Goneril
574427	178813	Pat
574427	210268	Terry Davis
574427	213493	Mrs. Robinson
574427	218138	Mama
574427	230558	Lorrie
574427	238749	Snake Woman
574427	240318	Lisa
574427	292154	
574427	303262	Freida Lovejoy Burton
574427	309047	Christine Jackson
574427	310572	Frieda Barton
574427	323848	Dr. Cushing
574427	348547	Sarah Jackson
574427	368949	Mrs. Ford
574427	372217	Janet Mickens
574427	389858	Mary Mae Ward (1994-1995)
574427	408058	
574428	42330	Herself
574428	61584	Herself
574428	88872	Herself
574428	168658	Herself
574428	234151	Herself
574428	291976	Herself
574429	142441	
574429	304355	
574430	101454	Mother
574430	214685	Deborah Miles
574430	250404	Mrs. Laporte
574430	319158	
574431	27258	
574431	60970	
574431	81799	
574431	102725	
574431	123662	
574431	208521	
574431	264638	
574431	264639	
574431	271048	Sahlia
574431	273550	
574432	263572	Student
574433	393086	Alma Jean
574434	127394	Judy as an infant
574435	26846	Basketball Kid #2
574435	220456	Jamie Strauss
574435	257530	Melissa Crichmore
574435	341945	Flora
574435	356351	Truddi at 6
574435	389858	Susan Hornsby (1991)
574436	127394	Judy as an infant
574437	226931	Commere
574437	236384	Pat Beatty
574437	328581	Tong Room Girl
574437	385343	Topsy
574438	231779	Temptress
574438	256999	Caissière
574439	190431	Dobe (the hunchback [alt. Dub
574439	224322	
574440	35635	Tracy
574441	141155	Hazel Hirsch
574442	62922	Bernie's mother
574442	196708	Mother
574442	229112	Lisa
574442	274315	Madame Duflot (segment "The P
574442	282003	
574442	320240	
574443	44143	
574443	75031	
574443	233737	
574443	257271	Little Girl
574443	303211	
574443	372432	
574443	389621	Herself
574445	46420	Greg's Neighbor
574446	27171	Hot South Beath Woman
574447	48592	Violinist
574447	100008	Waitress
574448	183044	
574448	290962	Sheila
574448	368093	
574449	385067	Liuba
574450	397886	Herself
574451	135432	
574452	111871	La copine qui revient
574452	164183	Marie
574452	346419	La jeune fille rousse
574453	78365	Herself
574453	97074	Jacqueline Gardone
574453	104536	Duchesse de Rozan
574453	111135	Armande
574453	122436	The Princess
574453	132964	Maria Cristina
574453	183242	La mère de Lacenaire/Lacenair
574453	228796	Suzanne
574453	241213	Berthe
574453	248251	Hélène Bouvreux (segment "Sai
574453	249275	Herself
574453	264087	La princesse
574453	275125	Inès de Castro
574453	294566	Rita Gerly (segment "Envie, L
574453	319862	Maria Cristina
574453	346537	Solange
574453	346567	Mme d'Espard
574453	377771	Electre
574453	383649	La reine Yolande
574453	383861	(segment "Le dernier mot")
574453	384031	Isabelle
574453	393400	
574453	396867	Marie-Antoinette
574453	403643	Reine Isabelle
574454	9012	Maria Pozzi
574454	13207	
574454	14258	Elena
574454	14955	Carmela (segment "Guerra 1915
574454	20801	
574454	28962	Cordelia
574454	54086	
574454	55545	Nannina
574454	75251	
574454	90681	Antonietta
574454	90754	The Young Girl
574454	94721	
574454	129011	Waitress
574454	193044	Bruna Parini
574454	209439	Margherita
574454	217100	Elisa
574454	234563	Ines
574454	247513	Priest's Niece 'Paoletta'
574454	247514	Paoletta
574454	248192	Fulvia
574454	254345	Maria
574454	270333	Anita
574454	300782	Una cameriera
574454	314117	
574454	332205	Georgette, the maid
574454	336620	
574454	336918	Paquita Simoni
574454	344918	Maria
574454	349935	Maria Pia
574454	353245	Concettine
574454	393046	
574455	113807	Terry Collins
574455	121533	Female Kickboxer
574456	249852	Jacinta
574456	317700	Wife
574457	105169	Donna Buttacavoli
574457	361618	Angelica
574458	150167	
574459	34441	Bearded Lady
574459	137462	Pub Character
574459	142672	Cleaner in temple
574459	201015	Peasant Woman
574459	214931	Mrs. Bellucci
574459	305514	
574459	331622	Fatima
574459	340099	Butcher
574459	354516	Carlotta Passoti (A Mother)
574460	220502	Fille sexy
574461	41261	Laughing Woman In Tavern
574462	205565	Maria Papoila, the laundry gi
574462	344705	Nabiça
574463	215703	
574464	108506	Albino
574465	55968	
574465	86453	Head physician
574465	127887	
574466	52054	
574467	198499	Madame's Girl
574468	1366	Neve
574468	13545	Luciana
574468	14533	
574468	27107	P.G.
574468	33715	Flavia Spackler
574468	41190	Rubinia
574468	56451	Carla
574468	63766	
574468	64236	
574468	67878	
574468	67915	
574468	74878	
574468	76146	Tea
574468	81687	Gloria
574468	125955	
574468	134780	
574468	136944	
574468	194148	
574468	197454	Graziella Luraghi
574468	202279	Clari
574468	207081	
574468	211808	Loulou
574468	217029	
574468	217874	Herself/Sara
574468	218901	Christina
574468	234747	Anna
574468	265980	
574468	307241	Sandra Sellani
574468	312251	
574468	314378	Herself
574468	320322	Sara
574468	320324	Herself
574468	339254	
574468	384535	Véronique Aletti
574468	385845	Prue (segment "Amour qui tue,
574468	387217	Benedict/Guglielmina
574468	392742	Carla Ferrini
574468	399158	
574469	74491	
574470	54078	
574470	67212	
574470	171617	
574470	322830	
574471	161978	
574472	72931	Goodyear Chorus Girl
574473	277090	Mrs. Comstock
574474	375824	TV Reporter 1
574475	185757	Gail
574476	58509	The Thief
574477	345752	Party Girl in Bedroom
574478	364794	Hope
574479	207081	
574480	14932	
574480	24476	Maria Hernandez
574480	56290	
574480	62298	
574480	70990	
574480	103855	
574480	123177	
574480	167136	
574480	277006	
574480	384427	Teresa
574480	388097	Miss Mary
574480	397013	Soraya
574480	398661	Mother Superior
574480	402158	
574480	411735	Isabel Cabrales
574480	412198	Delia
574481	275067	
574482	259319	Mendoza
574482	284899	Julia
574483	273030	
574485	325304	Periodista
574485	407563	Host (1986-1987)
574485	407735	Newsreader (1985-1987)
574486	86064	
574487	85972	
574488	341823	Turandot
574488	341825	Turandot
574489	7089	Mrs. Snow
574489	45783	Miss Fritzsinger
574489	66978	Letitia Hornsby
574489	82266	Mrs. Sommerville
574489	105889	Mrs. Phalor
574489	148954	Evelyn Long
574489	150895	Mrs. Johnson
574489	163232	Judge A.J. White
574489	188447	Greta Bennett
574489	208054	Nurse Barnes
574489	210610	Rita Jean Tilford McEwan
574489	298083	
574489	366868	Viola Andrews
574489	383536	Cloris Phebus
574489	384703	Regular
574489	393107	Ruth Shandling
574489	407794	Miss Tillis (1973-1974)
574490	114642	J.T.'s Little Girl
574491	358561	Contortionist
574492	257532	Miss Mary
574492	379831	LaKeishaa #1 (1989)
574493	319736	Sabine
574494	212666	Micaela
574495	255051	
574496	392669	Linda
574497	390773	
574498	64408	Mime
574498	135341	Gammla
574498	140901	Hester
574499	37375	Tracey
574499	263360	Angel (Hollywood Blvd.)
574500	100358	
574500	100538	Agnès Bazaar
574500	100540	Agnès
574501	20625	Extra
574504	17749	Dancer
574504	53320	Barbara
574504	67723	Mary Beth
574504	198829	Courtney
574504	224149	Jennifer Shaber
574504	231037	Gretchen Kent
574504	326741	Shaun
574504	329349	1st Girl
574504	336484	Dancer
574505	348374	Chesty Girl #1
574506	155562	Anne
574507	133716	Blair
574507	233864	
574507	263758	Young Stephanie
574507	265750	Amy
574507	281911	Jessica
574507	379716	Laura Cudahy #3 (1989)
574507	411409	Molly Marshall (age 9)
574508	265750	Nelly
574509	79552	Pegotty
574509	118606	Chambermaid
574509	123504	Fru Jensen
574509	142774	
574509	150613	Emilie Schultz/Bremer
574509	153779	Ann
574509	178789	
574509	179174	Frida
574509	190816	
574509	200695	
574509	214197	Tante Fanny Rowly
574509	219649	
574509	237403	Maldrubine Keldborg
574509	255667	
574509	257415	
574510	234826	Nonne/Nun
574511	115517	Radar Technician #2
574511	317120	Miss Leopard Fuel
574512	61649	A Child
574513	14576	
574514	142787	Madam Flod
574514	331036	Housekeeper
574516	366617	Birthday Guest
574517	128782	Herself
574518	104967	
574518	146849	Call Girl
574520	13861	Call Girl
574520	87926	Lorna Longley
574521	108354	Aunt Molly
574521	116675	Elaine
574521	185633	Batcher Batterinski
574522	47267	
574522	362171	
574523	2761	Herself - Memorial Tribute
574523	8169	New Yorker's Wife
574523	24240	Agnes Gooch
574523	60184	
574523	100092	Barmaid
574523	127486	Mitzi Stewart
574523	155857	Edna Ferguson
574523	180651	Herself
574523	187989	Faye
574523	206476	Emily Bundy
574523	246335	Irenee
574523	375936	Mrs. Molloy
574523	382702	Host
574523	386603	H. Sweeney (1978-1979)
574523	391118	Elinore Hathaway
574523	393211	Herself (1958-1962)
574523	394278	Herself/panelist
574523	408365	Herself/panelist (1964-1981)
574523	408366	Herself/panelist
574523	408367	Herself/panelist
574523	408368	Herself/guest panelist
574523	408497	Herself (regular performer, 1
574523	411362	Eve Shipley
574523	411795	Herself/panelist
574524	19436	Anne Baalim
574525	31878	
574525	94055	Herself (author)
574525	175684	Herself (novelist)
574526	240429	
574527	309759	Pilgrim
574528	220697	Julienne
574529	269891	Nurse
574530	80508	Idella
574531	9738	
574531	74737	
574531	85563	
574531	101465	
574531	101617	
574531	242651	
574531	247843	Anna-Maria
574532	17086	Angélica
574532	36923	
574532	44653	
574532	79553	Mrs. Micawber
574532	91879	
574532	96110	Mme Poignant
574532	102704	
574532	125714	Mme de Tubéreuse
574532	128630	
574532	165204	Herself
574532	170364	
574532	228090	Cassandra
574532	240556	
574532	242079	
574532	254062	Isabelle
574532	283654	Emilie
574532	291022	
574532	294565	Isabelle (segment "Orgueil, L
574532	312699	
574532	321800	Marthe
574532	323210	
574532	333830	
574532	333995	
574532	365794	
574532	372404	
574532	380967	
574532	384216	Soeur Sainte-Marie des Anges
574532	384287	
574532	384744	Mlle Mignon
574532	384912	Le vache blanche
574532	402356	Sophie
574532	410139	Rose
574533	113244	
574533	240603	La compagne de Moulard
574533	251007	
574533	251526	Héléna jeune
574533	292843	First maid
574534	322717	
574536	262639	
574537	89915	Sandra (adult)
574538	202528	Herself
574538	202529	Himself
574539	82636	Madame bertillon
574540	56656	Maria
574540	84494	Esther
574540	131780	Joe Buddha's Wife
574540	141859	Tour Guide
574540	231079	
574540	388322	Sheila DeMattis
574540	390008	Shelly Tucci
574540	407804	Anne Marie (1997)
574541	310166	Lt. Tuk
574542	148735	Soeur 2
574543	408151	Marcella (1996-2001)
574544	78019	Genevieve
574544	254463	
574544	337116	David's Wife
574545	95470	Vivian
574545	153187	Xan
574545	196084	Backup Singer
574545	214735	Young girl in ballet tutu
574545	367633	Adrienne Jensen
574546	214735	Sheba Moskowitz
574546	242585	Vivian
574546	326424	Gossiping Lady 1
574546	367633	Mama Longhetti
574547	343294	Jennifer on Swing
574548	31852	Susan (segment "Ciao L.A.")
574548	189462	P.E. Teacher
574548	214735	Baby girl
574548	234594	Miami Stagehand
574548	326602	Waitress with Attitude
574548	330391	Bluebird Waitress
574549	26637	Party Patty
574549	236371	(segment "Bachelor Tom Peepin
574550	59504	Amanda Knatchbull
574550	200199	Television P.A.
574550	316303	Rosalind Wykes
574550	359573	Honor
574551	166121	Psychanalyst
574552	249281	Fille Michel 2
574553	246260	Speaker at Governor's Confere
574554	6384	Isabelle
574554	28994	Charlotte Stroemann
574554	43999	Coralie
574554	171342	Karine
574554	248679	Marilyne
574554	256805	Sophie
574554	261782	Mireille
574554	268951	Bérangère
574554	286319	Caroline
574554	353929	Passante 'Allée des brouillar
574554	355847	Isa
574554	376933	Comédienne ratée
574554	390476	Julie Fresnay (2000-2001)
574554	394293	
574555	126747	Young Mother
574555	185121	
574556	95149	
574556	399850	Isabell Liljeblad (2001-)
574556	405570	Marika (1997)
574557	43711	Mme Albert
574558	9521	Ms. Jörgensen-Jensen
574558	52605	Margareta Sabelfelt
574558	95829	Colonel's wife
574558	122332	Mary Plussman
574558	148827	
574558	153286	Mrs. Karina Savigny
574558	154563	Donna Francesco
574558	214691	Rose Legrange
574558	228394	Lucile d'Odette
574558	304143	Princess Charlotte
574558	320727	Signe Berg
574559	42120	Florence
574560	385504	Cíntia
574561	185330	Mari Collingwood
574561	326781	
574562	147560	Pink Widow
574563	99884	Pony
574564	13396	Woman (segment "The Wedding R
574564	41188	Hoffa's secretary
574564	150885	Joey's Mother
574564	272687	MBC Secretary
574564	359290	Gavin's secretary
574565	321197	Hot Fudge
574566	166871	Saloon girl
574567	1580	Host
574567	178085	Stand-Up Comic
574567	360511	
574568	300361	Music video crew member
574569	331620	Herself
574570	290697	Nurse
574571	339707	Aunt
574571	379068	Aunt
574572	40403	Maries Chetin
574572	88841	
574572	98375	Dr. Kovacs
574572	126431	
574572	174179	Thief
574572	281834	Dr. Hurth
574573	117343	Nurse
574574	392697	Young Emily Brontë
574575	11485	Dancer Backstage
574576	219595	
574577	188453	Opening Sequence Girl
574578	388477	Mandy Poljak
574579	388477	Karen Poljak
574580	99370	
574580	108789	
574580	275638	
574580	275639	
574581	100298	
574582	307472	
574583	17646	Madame de Bresson
574583	134957	
574583	197325	
574583	208216	La vieille dame
574583	211668	
574583	251527	
574583	302304	Mme Desjardins
574584	3350	
574584	41578	
574584	50711	
574584	147836	
574584	158598	
574584	232787	
574584	278083	Herself
574584	314694	
574584	363926	
574585	381608	
574586	264785	Donna Porter (the Kielbasa Qu
574587	29923	
574587	50376	
574587	71739	
574587	71740	
574587	113191	Herself
574587	116013	Herself
574587	257607	
574587	335598	
574587	339599	
574587	343951	
574587	345643	
574588	314141	Nurse #1
574589	122179	
574589	128845	
574589	327755	
574590	323018	Chairwoman
574591	41226	Lisa Curtis
574592	26513	
574592	26912	
574592	40974	
574592	41812	
574592	75191	
574592	85750	
574592	85759	
574592	91842	
574592	102788	
574592	108695	
574592	140548	
574592	187411	
574592	191354	
574592	192585	
574592	196547	
574592	213985	
574592	256279	
574592	295680	
574592	311442	
574592	313350	
574592	320963	
574592	320978	
574592	321303	
574592	363468	
574592	373281	
574594	102234	Courtney Davis
574596	105300	Showgirl
574596	161961	Molly Eaton
574596	196390	Diane
574597	31448	Carrie Matchett
574597	87591	Runt
574597	110739	Felicia
574597	113607	Maud Lilly
574597	194996	Agnes Clooney
574597	223748	
574597	244458	Lydia
574597	316266	
574597	318940	Shelley
574597	345746	Geli
574597	360076	Anna Ryan
574598	123891	Anne Darracott
574598	389737	Anne Darracott
574598	405217	Girl in Holloway
574599	241650	Tramping Mum
574600	47300	Laura Greer
574600	57151	Mrs. Hopkins' niece
574600	60246	Alva Romaine
574600	78929	Mildred Rice
574600	145029	Fanny de Witt
574600	178159	Society Girl
574600	196292	Constance Elliot
574600	206409	Doris Kemp
574600	213734	Dora Tompkins
574600	214953	Stella Warren
574600	244359	Mrs. Fred Hartley
574600	260256	Lucille Yardsley
574600	281407	Leila
574600	296654	Elsie Chandler
574600	331915	Rhona Allerton
574600	353304	Diana Spaulding
574600	356265	Eleanor Lee
574602	162292	Wedding Guest
574603	388560	Viv Prince
574603	400087	Maryon
574604	128154	Masseuse
574605	94244	Le bouchère
574606	1411	Ev
574606	10154	Narrator
574606	11661	Erica Darby
574606	14152	Lisa Allen
574606	16255	Mrs. McCarthy
574606	18212	Jackie Potter
574606	29315	Eleonora
574606	29522	Claudia Reese
574606	29676	Linda Robinson
574606	31191	Herself (ABC Team)
574606	40199	Zhora
574606	49378	Bit Part
574606	58490	Maggie McDermott
574606	61819	Sue Roberts
574606	64394	Elaine Greer
574606	66131	Terry Hamlin
574606	66603	Elizabeth Towne
574606	74296	Narrator
574606	78015	Laura Venier
574606	90409	Rose Lindsey
574606	105726	First Lady Elaine Fields
574606	116776	
574606	118205	Ellen Drake
574606	118466	Irina Vassilievna
574606	127294	Dr. Arlene Whitlock
574606	128378	Gene Stratton-Porter
574606	129618	Sheila Michaels
574606	160885	Love
574606	161977	Patricia 'Pat' Winslow
574606	184579	Lucy Matterson
574606	185858	Laura Birdwell
574606	186036	Monica, Beth's Roomate
574606	192608	Alana Powers
574606	193766	Erin Randall
574606	196350	Elenore Amerson
574606	206595	Caroline Kass
574606	208556	Lorraine
574606	209343	
574606	217533	Judge Martha Knowlton
574606	218760	
574606	231920	Julie Miller
574606	232422	Allison Shapiro
574606	236163	Hecubah
574606	240744	Herself
574606	244373	Linda
574606	244940	Sheila
574606	245330	Rita
574606	246260	Eileen Gallagher
574606	252874	Janice
574606	258083	Lillian Benton
574606	272754	Barbara Hobart
574606	276941	Peggy Sager
574606	278260	Maryanne
574606	280192	Kit
574606	280445	Hostess
574606	292148	Helena Newman
574606	298083	Camille Bentancourt
574606	304753	Hannah Pierson
574606	314100	Zoe
574606	317533	Patti Johnson
574606	319624	Maggie Sawyer
574606	323564	Geneva Overholser
574606	332427	
574606	335310	Sheriff Ruth
574606	345998	Claire
574606	350192	Capt. Dewey
574606	355039	
574606	362655	Laura
574606	363414	Jean
574606	364161	Dolores
574606	365644	McLean
574606	366764	Professor Avebury
574606	378810	Deputy Morgan Wainwright (197
574606	382954	Jo Jo White
574606	384567	Elizabeth 'Foxfire' Towne
574606	385594	Sally Bullock (1980-1981)
574606	387070	Laraine Bristol
574606	388360	Elizabeth Nichols
574606	391834	Marilee Gray
574606	392084	Eleanor "Ellie" Mayfield
574606	403661	Selma 'Books' Cassidy
574606	405132	
574606	405512	Margaret Chenowith
574606	407022	Maggie Sawyer
574606	408361	Helen Carr
574606	408879	Gina Brava
574608	119803	Paris model
574608	308382	Trumpeter
574609	48489	Herself
574610	56545	Herself
574610	207709	Stripper
574611	390523	Tanya Young (2003-)
574612	57614	
574613	312701	
574614	44844	
574614	48075	Supermarket Clerk (DVD delete
574614	95486	Deliliah Moses
574614	105280	Cigar Girl
574614	139778	Stephanie
574614	144660	Ashley
574614	297914	Connie
574615	226482	Marie
574615	389570	Marie
574616	56200	Woman
574616	363079	Girl
574617	37212	The Receptionist
574618	149965	Trainee #1
574618	388006	Trina
574619	54977	Harriet
574619	283421	Maureen (Taunting Blond Stude
574620	96867	Herself
574620	151452	Herself
574620	193577	London Poor
574620	383745	Herself
574620	387247	Sonia Jackson/Fowler (1993-19
574621	69311	Her Mother
574621	133730	Flirty woman
574621	260790	Gail
574621	380391	Sloane Wallace (1992-1993)
574621	390771	Doris Wolfe (1999-2000, 2001,
574623	32740	Felicia
574623	40238	Jenna
574623	88522	Romy
574623	299689	Tess
574623	330380	DS Beckett
574623	394453	PC Pam Boxer
574623	399069	Ros Gilson
574623	403059	SSgt Neve Kirland (2003)
574623	407656	Susan Gately (2001-2002)
574623	408864	Caroline
574624	345959	Dr. Vivian Scott
574625	606	Party Guest
574625	56301	Model
574625	237931	Elevator Operator
574626	128694	
574626	158592	
574626	310908	
574627	133532	
574628	408880	Ebony (Series 1-5)
574629	408880	Siva (Series 4-5)
574630	372671	Dancer
574631	166370	A philosophy student
574632	154154	
574633	407724	Herself
574634	211604	Olga Kromowa
574634	372778	Elena
574635	243268	News Reporter
574635	352465	Woman Newscaster
574635	362722	Newsreader
574636	197312	
574637	7447	La fille Olivia
574638	204229	Sara McLaglen
574639	6207	An Auto Tourist
574639	17698	Gita
574639	37803	Marguerite
574639	37962	
574639	38025	
574639	38026	
574639	47487	
574639	54685	
574639	58655	Barbara Hastings
574639	64102	The Daughter
574639	67621	Queen Isabella
574639	70812	
574639	78114	Signorina Vitale
574639	88029	Harry's Wife
574639	88510	
574639	90340	
574639	114419	
574639	117633	Dolores
574639	120638	
574639	128125	
574639	128283	Virginia Grant
574639	129044	
574639	142982	
574639	144601	Cynthia Holmes
574639	150988	
574639	165308	Pocahontas
574639	183889	Therese Verneuil
574639	186160	Marie Medici
574639	187700	
574639	187740	Mrs. Seton
574639	188188	
574639	191970	
574639	195378	Mabel
574639	213145	Nina
574639	214086	Princess
574639	215414	
574639	215649	
574639	220898	
574639	220965	
574639	221156	
574639	227517	Napatia
574639	239838	
574639	244898	
574639	245171	
574639	263483	
574639	274470	
574639	278269	Carlotta
574639	292852	Lola
574639	323701	
574639	325031	Helen Sanderson
574639	342996	
574639	347027	Ducheess Bianca
574639	347333	Doris Parker
574639	347360	
574639	355208	
574639	355220	Denise Fleury
574639	360617	Wanda Hubbard/Lucille Hubbard
574639	361277	Cabaret Singer
574639	363023	Princess Charazel
574639	367257	
574639	375780	Wanda Vaughan
574640	366871	
574641	31018	Extra: Metro
574642	27676	
574643	142165	Tess, Pincus' Niece
574643	341746	Little Girl
574645	162087	
574645	227578	
574645	255540	Peppa
574645	261887	
574645	386478	
574646	13069	
574646	14371	
574646	32284	
574646	87046	
574646	87099	
574646	88206	
574646	91529	Dottoressa Eva Russell
574646	97171	
574646	128003	Rita
574646	159468	Grazia Mancini
574646	162076	Carla
574646	162078	
574646	267031	Liz Adams
574646	268997	Listra
574646	311546	
574646	313556	Queen of the Amazon
574647	11692	
574647	106817	
574647	107712	
574647	126208	
574647	202498	Contessa Salvador
574647	255096	
574647	263930	
574647	291516	
574647	301356	
574647	339469	
574648	209399	Victim 2
574649	39137	
574649	39140	
574649	162070	Isabella
574649	356660	
574649	383784	Deborah (segretaria di Papisc
574650	53787	
574650	304622	
574651	370888	Rachel Hollywood
574652	118564	Vicki
574652	265741	Karen
574652	386698	Audrey
574653	10648	Lawyer
574653	53942	
574653	54421	Dr. Maria Vaselli
574653	55972	Maria
574653	76381	Betsy
574653	78015	Caterina
574653	82712	Lilla the Medium
574653	90661	
574653	92070	Latin Teacher
574653	103440	
574653	105606	Chinnici's Wife
574653	125665	
574653	128000	Madre di Luca
574653	234507	
574653	234705	
574653	234901	Signora Canarutto
574653	278170	
574653	295131	Dr. Pernath
574653	326536	Voce della madre
574653	342117	Annamaria
574653	370865	Lena
574653	377591	
574653	409093	
574654	17739	Girl in the park
574654	67904	
574654	213381	
574654	242607	Alma
574654	249470	Sposa bambina
574654	383357	Elisa
574654	395499	Elisa
574654	396086	Elisa
574654	407834	Elisa
574655	14701	Titi
574655	71192	
574655	248757	Madrinha
574655	265196	Nun in Convent
574655	309375	
574655	319826	Madame Manuela
574655	352632	Beatriz Lopes
574655	381246	
574655	392900	
574656	26639	Peggy
574656	77667	Jenny Pearl
574656	103235	Girl
574656	125985	Gladys
574656	154071	Mrs. Bancroft
574656	206338	Binnie Heron
574656	206803	Marguerite de Miolans
574656	236699	Rose Ackroyd
574656	296723	Betty Fielder
574657	254522	Ballet Tart
574658	31427	Prudence
574658	69393	Avril Chalmers
574658	86526	Telephone Operator
574658	103447	
574658	195745	Debbie
574658	342597	Schoolgirl
574658	395194	Caroline Ogilvie
574659	299819	Marty's friend
574660	127290	Shower Girl
574661	88604	
574661	189844	Herself
574661	192286	Black Cat dancer
574662	189862	Herself
574663	83960	Susan Garber
574663	120272	
574663	127284	Posie Taylor
574663	133630	Gilly Hopkins
574663	232164	Francine McGuire
574663	267382	Connie
574663	381124	Amanda Whirlitzer
574663	393136	Julie Burton
574663	404282	Christy Duvall (1985)
574663	411802	Nina Chancellor (1986-2001)
574664	22688	Falbala
574664	101273	Herself
574664	102931	Lou
574664	128988	Lucía Junco
574664	178718	Cléo de Merode
574664	283031	Marion
574664	311784	Herself
574664	311785	Herself (Model)
574664	377277	Thérèse
574664	381850	Léa Delmas
574664	388613	Herself - Assistant (1999)
574664	396162	Luisa Sanfelice
574666	237331	
574667	331234	Gina
574668	73262	Caterina
574668	88204	Donna Matilde Cefalù
574668	102624	
574669	30319	
574669	122159	
574669	149186	
574669	351668	
574670	213407	
574671	104141	Cayetana Gamboa
574672	114578	Minou's Mother
574672	163694	
574672	402781	
574673	380074	
574673	408562	
574674	147900	Madeline
574675	153241	Fugitive
574675	345466	Mme. Legras
574675	355882	
574675	384209	Bijou
574676	234270	Enfant de l'asile
574677	410215	Marie âgée
574679	40200	Dispatcher and Newscaster
574679	56304	Business Week Reporter
574679	68270	Announcer
574679	68272	Additional Voices
574679	199114	Newscaster
574680	213803	
574681	194022	Magda
574681	384783	Ruth Munday
574682	294509	Redhead
574682	366137	
574683	14947	Ester
574683	240334	
574683	256339	
574683	278960	Ester
574684	53116	
574685	111036	Esprit
574685	274777	Jeremie
574685	290439	Casimir Fabre
574686	284613	Nina
574687	283550	Herself
574688	42388	Waitress #2
574689	82681	Daughter
574690	3569	Hostess
574690	328697	Presentadora TV/TV Announcer
574690	384371	Hostess
574690	400749	Hostess
574690	407735	Newsreader (1988-1989)
574690	407747	Newsreader (1992-)
574691	88965	Nurse Chadway
574691	99082	Pinhead
574691	291757	Timothea
574691	364863	
574691	394311	Evelyn Lincoln
574692	265196	Coscorao
574693	381583	Ciça
574693	383328	Clara Feberman Santos
574693	396610	Valéria Oliveira (2001-2002)
574693	407868	Florinda
574693	409347	Ametista
574694	402150	Herself/Jornalista
574695	207968	
574695	388096	Rosario
574695	392799	Bárbara
574696	23541	
574697	36781	Mrs. Murray
574698	244759	Denise Laville jeune
574699	83388	
574699	108635	Nadine
574699	169658	
574699	266401	
574699	336234	Chantal
574699	352926	Elisabeth
574700	102238	La femme de chambre
574701	114873	Dancer: Grupo Cobo de la Peña
574702	376645	
574703	409307	Herself - historical commenta
574704	119326	Jobansøger (sketch)
574704	378924	
574704	389967	Marianne Fnested
574705	96356	Chica Coro 2
574705	318235	Secretaria de inspección
574706	253318	Jefe de compras
574707	282143	Host
574707	400400	Host (2001)
574707	408753	Host
574708	48808	
574708	199853	
574708	296467	
574709	243175	
574710	386107	Herself/Celebrity Team
574710	401097	Caridad
574710	408205	Paula Cortez
574711	225561	
574712	137427	Acom victima
574713	263862	
574714	103662	Laura
574715	12816	
574715	379566	Lidia (2000-2002)
574715	402045	Paula Barreiro #1 (2000-2001)
574716	213759	Chica Eurovisión
574717	234004	
574718	400733	
574719	100446	Rais
574719	233542	Elena
574719	378790	Gloria Reyes
574719	380849	
574719	384782	Tamara Martínez Godoy
574719	409957	Pia
574720	67236	
574721	275135	Ángela
574722	386788	Dulce
574722	401090	Rosa
574722	408408	Julia Vidal
574722	412133	Elisa González de Santos
574723	119865	
574724	88058	
574725	156020	
574726	313938	Tara
574726	348229	News Reporter
574727	349596	Volksvrouw
574728	16268	Clövercrona
574728	42651	Sätermoran
574728	43337	Mrs. Bredberg
574728	55105	Aurora Sobieska
574728	108204	Aunt Frederique
574728	109138	Tore's Mother
574728	130071	Rosa
574728	137732	Hilda
574728	153716	Mother Övergård
574728	243264	Woman at the meeting
574728	314388	Mrs. Lindgren
574728	346974	Kajsa, housemaid
574729	29558	Olga Lundbäck
574729	48367	Woman
574729	91521	Landlady
574729	115400	Woman in window
574729	142835	Gossip
574729	164651	Customer
574729	348501	Pensionatsinnehavarinna
574729	353042	Shop assistant
574730	267405	Mabel
574731	10205	
574731	45117	
574731	111033	Carole
574731	111118	
574731	113127	La femme de ménage
574731	133069	Mlle de Gournay
574731	195184	Maid
574731	214028	Thérèse
574731	271372	Arlette Simiac
574731	343579	
574731	392371	Manette
574732	208200	
574732	378430	
574733	19382	
574733	24907	
574733	55331	
574733	73266	
574733	74909	
574733	88194	
574733	102333	Peggy Minchin
574733	103395	Dora Durke
574733	103502	Emilia de Valverde
574733	103510	
574733	123178	
574733	157241	Sandra
574733	157304	
574733	202837	
574733	205711	
574733	213399	
574733	215220	Rita Santiago
574733	235298	Blanquita
574733	260506	
574733	262702	
574733	270067	
574733	273112	María de la Paz
574733	276409	
574733	301386	
574733	334710	
574733	339154	
574733	349667	
574733	370179	
574733	371758	
574733	371762	
574733	403428	
574734	310302	Concierge #2
574735	30304	Manula, el ama
574735	73065	Doña Amelia
574735	99321	
574735	111635	
574735	115764	
574735	160587	
574735	210587	
574735	212461	
574735	244578	
574735	249785	
574735	348934	
574735	402250	
574736	61861	Nelly
574736	131136	
574736	159535	
574736	164349	
574736	169778	
574736	170057	
574736	226442	Enfermera Hospital
574736	261643	
574736	376792	Marja
574736	380108	Superior Mother
574736	380442	Amparo
574736	383769	Widow of an employee
574736	387098	
574736	398983	Encarnación 'Encarna' Simonet
574737	275825	
574738	42992	Audrey
574739	7446	Mme Bastian
574739	8919	Kate
574739	8936	Jeanine Dupellier
574739	14967	
574739	15118	La femme de chambre (segment 
574739	23795	L'esprit d'Elvire
574739	53239	Charlotte
574739	53242	Mme Brunier
574739	91911	Mme Petito
574739	104441	Simone
574739	111385	Louison
574739	116413	
574739	120876	
574739	122430	
574739	132748	Paulette
574739	133081	Yvonne
574739	157326	Danièle
574739	167173	La mère
574739	169333	Lucie
574739	201141	Martine
574739	203948	
574739	235820	Mme Dubois
574739	237619	
574739	266745	Puce
574739	276343	
574739	276528	Paulette Lefebvre
574739	336975	
574739	342611	
574739	353833	Marie
574739	357858	
574739	382466	Colette
574739	388310	
574739	399106	Mme Parizot
574740	122576	Johannes' Frau
574741	7982	Gloria Marino
574741	40278	
574741	68902	Nuna Breaux
574741	71338	
574741	72367	Francine
574741	74333	Nicole (Mère de Suzie)
574741	139820	La secrétaire du consul d'Ita
574741	164193	Elisabeth Ballester
574741	164206	
574741	166115	Mme Breton
574741	174154	Esmeralda
574741	174155	Esmeralda
574741	190766	Narrator
574741	304747	
574741	318119	La psy
574741	340190	Jeanne
574741	346618	Alys
574741	351712	Florence
574741	351826	Lizette Mentha
574741	376906	Michele
574741	377242	Maureen
574741	387048	Geneviève Hamelin (1976-1977)
574741	395093	Patricia 'Mamma' Conti
574741	395422	
574741	400134	
574741	400139	Hélène Provost (1996)
574741	400386	Louise Martinelli
574741	400899	Marie Tourangeau
574741	406981	Béatrice Lafond
574741	410368	Mme Picard
574743	300735	Queen Marie-Therese
574744	104746	Belgian entry (14th place)
574744	147240	Belgian entry
574744	387947	Lily Castel
574745	275825	
574747	243041	Esther
574748	412266	Séverine Perrot
574749	57307	
574749	71264	Janet Bryant
574749	115096	
574749	243788	Madeleine (doctor's assistant
574749	279259	
574750	314884	
574751	199914	
574752	101818	Derennes
574752	340188	
574752	357122	
574753	384995	
574753	391903	Herself
574753	402638	Rosalinda `Linda' Rosado
574753	409026	Mariana Aguiar
574754	410478	
574755	29853	
574755	380098	Zulma
574755	388093	Sister Celina
574755	397256	Ermelinda
574756	377096	
574757	42589	Analia
574757	111917	Berta
574757	267317	Francisquinha
574757	339255	
574758	148686	La voisine
574759	42632	Madre de Adel
574760	398254	Christiane
574761	56996	Jemima
574762	398197	Susana Gomes
574763	103804	Una Compañera
574764	24297	
574764	131136	Severa
574764	199120	
574764	379615	
574764	385058	
574764	387089	María Benita
574764	388567	Yarima
574764	391272	Dominga Cárdenas
574764	392610	Hilda Cáceres
574764	397014	Aurora
574764	401067	Sagrario de Sánchez
574764	401213	Elisa
574764	401693	Lucía Morelli
574764	402772	Caridad Martínez
574764	408389	Rosaría
574764	412084	
574765	360032	Victor's Daughter
574766	93394	Frau Löffler
574767	43982	
574767	59990	
574767	125661	
574767	254987	Irene
574767	318260	Mónica adulta
574767	332377	Hector's mother
574767	404715	Fina
574768	170478	Mama de Julio
574769	169751	
574769	171461	
574770	57437	Annie
574770	67014	
574770	209034	
574771	18799	
574771	52599	
574771	74960	
574771	86448	
574771	140560	
574771	199793	
574771	212352	
574771	302552	
574771	375897	
574771	380209	Sra. Directora Carmen
574771	380442	Consuelo
574771	383291	(1999)
574771	383601	
574771	383769	Célica Castellini
574771	391420	
574771	394017	Mother Lucía
574771	395487	
574771	396608	
574771	397256	Amanda
574771	399764	Tere
574771	400408	Señora Bazán
574771	401250	Blanca Pacheco-Güergo viuda d
574771	402428	
574771	404712	Chela
574771	404995	Sra. Directora
574771	409915	Sra. López
574771	410453	Irma
574771	411636	Jacinta Rivero
574771	412120	Evelia Moretti
574773	292955	
574774	182005	Jolivet
574775	5189	
574775	120703	
574775	156397	
574775	199124	
574775	219566	
574775	222185	
574775	256780	Alda
574775	269830	
574775	344828	
574776	33580	
574776	248954	Silvana
574776	351604	
574777	397863	Bea Sandoval
574778	209654	Golfer Girl
574779	73303	T.V. Producer
574780	55958	Bruno's mother
574782	351677	
574783	303119	Bea
574784	53829	Irene
574784	212628	Irene
574785	190598	
574786	52201	
574787	93762	Electrocutes Drums
574787	165958	Donna C. - The Donnas
574787	221483	Herself
574787	392422	Herself
574788	1863	
574788	45725	
574788	51777	
574788	73514	
574788	74974	
574788	75150	
574788	134503	
574788	143804	
574788	221716	
574788	273666	
574788	352945	
574788	380098	Pilar
574788	383274	
574788	398454	Elena
574788	408720	Natalia
574789	48790	Marilyn Arena
574789	225370	Lucila
574790	2685	
574791	397863	Bea
574792	221681	
574793	379093	
574793	387101	
574793	397566	
574793	401211	
574793	404988	
574794	385875	Lulu
574795	101815	
574795	324922	
574795	332584	
574796	117424	Juror
574797	10501	
574797	47065	
574797	58047	Ana
574797	90104	
574797	275090	María
574797	307722	
574798	74827	Karin (segment "Koñensonaten"
574799	285471	Sagrario as a child
574800	337003	Teresa
574801	379614	Elvira Gómez de Sánchez
574801	381902	Winner
574801	381904	Herself (Winner 2004/2)
574801	390439	Paulina Prieto
574801	390440	Deyanira Rubí
574801	392029	Deyanira Tabuada del Hoyo
574801	392806	
574801	397463	Yadira
574801	400492	Herself/Various (1996-)
574801	402152	Ana Lozano
574802	301578	
574803	19719	Conchi
574803	255485	Cielo
574804	109626	Imaginary Woman
574804	136151	Caridad
574804	202728	Blanca
574804	343025	Conchita
574805	199254	
574806	397863	Bea Sandoval
574807	148221	Nora James
574808	202063	Vendedora
574808	335181	
574809	183480	
574810	374638	Angvisa Girl
574811	340803	Kelly
574812	302454	
574812	337659	Chinita Lopez
574813	409440	
574814	25043	
574814	43756	Judith (segment "Primeiro de 
574814	54284	Dona Eduarda
574814	252594	
574814	380448	Carlota
574814	383130	Ofélia
574814	383678	Marta
574814	385030	Ilka
574814	386418	Conceição
574814	388378	
574814	392828	
574814	393573	
574814	393876	
574814	393979	Beatriz
574814	398856	
574814	399140	Zilda
574814	400444	Verônica
574814	400685	
574814	401460	Naná
574814	402097	Cláudia
574814	402530	Marta
574814	402624	
574814	403025	
574814	403245	Lívia
574814	403738	Neide
574814	404014	Flora
574814	404753	Geraldina
574814	408942	Francisca
574814	409415	
574814	411579	Mariana
574814	412257	Pepa
574816	199292	Receptionist
574817	158419	Herself
574817	377490	
574818	72377	Jen
574819	260569	
574820	35255	Meg
574820	65474	Melinda Frayne
574820	220408	Rachel
574820	222812	Mara
574820	246272	Mrs. Maxwell
574820	257806	Mary
574821	171382	
574822	23370	
574823	73298	Nuri
574823	99668	Gina
574823	170100	Chica Macrodiscoteca
574823	261511	Mar
574824	54396	Ciuta
574824	111701	L'administratrice
574824	349418	Lena
574824	386497	Valentina
574825	178691	Female Voice
574826	232867	
574827	55768	
574828	87920	
574828	350814	
574830	307291	
574831	203776	
574832	57894	Celle comme Liz T.
574833	84183	Maria Oliveira
574833	85596	
574833	169246	Aninhas
574833	239945	Rosária
574833	294680	Maria
574834	375515	Party Guest
574835	14698	Margarita
574835	24889	
574835	53258	Infanta D. Maria
574835	58460	
574835	74139	
574835	85597	
574835	275090	Doña María Ximénez
574835	277577	
574835	344766	
574836	69242	Nuria
574836	88015	Alicia
574836	170038	Mónica
574836	242361	Anael
574836	396827	Berta
574836	401769	Eva Berlanga (2002-2003)
574836	404022	Gloria
574836	408857	Lola Márquez
574836	410329	
574837	83279	
574838	323661	
574839	346174	Maria
574840	93963	Julia
574842	87282	Girl in Club
574843	139211	Deli Waitress
574844	221673	
574845	34284	Mrs.Pacheco
574846	66324	Sgt. Bimbo
574846	139745	Girl in stands
574847	229505	Ethel Hoffman
574849	54037	
574850	70954	
574851	9879	Brandon's Girlfriend
574853	100391	Barbara
574854	19451	Norma
574854	208746	
574854	407801	Eulália Terra
574855	96500	Partner Carloni
574856	215021	Une acheteuse
574857	69985	
574857	227564	
574857	263116	
574857	265189	
574857	296524	Madre di Vito
574858	269478	
574859	89877	
574861	184873	
574861	197549	
574861	377874	
574861	404707	Teodora
574862	8324	Queen Evil
574862	154663	
574862	394036	
574862	404246	
574862	406452	Host
574863	12773	Renee
574863	51799	Mrs. Spezzato
574863	67685	Josefina
574863	69689	Mrs. Fodor
574863	84134	Madame Naidu
574863	121819	Armande
574863	133949	Herself
574863	190174	Madame Charpentier
574863	208719	Empress Eugenie
574863	273543	Woman with bird
574863	281132	Contessa
574863	294577	Maid
574863	315695	Empress Eugenie
574863	331323	Woman
574863	349891	Mrs. Horvat
574863	365329	Guest
574864	404707	
574864	410204	
574865	245233	Otis
574865	279142	Aryan Guard
574866	83871	
574867	361851	
574868	206525	Matilda Snodgrass
574869	99677	
574869	278620	Gabriela
574870	246855	
574871	25780	Marina
574871	30892	
574871	43243	
574871	52107	
574871	214631	
574871	252596	
574871	278617	
574871	356035	
574872	12080	Young Maria Helena
574873	279901	
574873	350144	
574874	5271	
574874	205702	
574874	350258	
574875	319857	
574876	319857	
574877	8727	
574877	14928	
574877	19457	
574877	19487	
574877	21698	
574877	25513	
574877	28186	
574877	51781	
574877	53111	
574877	54401	
574877	68062	
574877	70007	
574877	71003	
574877	83870	
574877	85590	
574877	91306	
574877	91343	
574877	153816	
574877	167807	
574877	167811	
574877	171370	
574877	171376	
574877	193162	
574877	205603	
574877	209038	
574877	213779	
574877	225059	
574877	229800	
574877	229803	
574877	243650	Estela
574877	247174	
574877	256800	
574877	266824	
574877	266827	
574877	323665	
574877	324293	
574877	339098	
574877	339125	
574877	355200	
574877	357527	
574877	371786	
574877	373879	
574877	376642	
574877	376690	
574877	391572	Amparo
574878	246871	Rocío
574879	76004	
574880	387572	Rosemary
574880	390733	
574881	19481	
574881	20855	Asunta
574881	25796	Esperanza
574881	41449	Maruja
574881	48777	Marta
574881	162789	
574881	218899	Lidia Gabivet
574881	249910	Mujer #1
574881	336265	Sra. Kowalski
574881	400034	Pepa
574882	126109	Herself
574883	353591	
574884	234966	Party guest
574885	57	
574885	53214	
574885	132207	Toni's Aunt
574885	138639	
574885	156189	Sister Grace
574885	182233	
574885	202413	
574885	234966	Party guest
574885	284672	
574885	287067	
574885	302791	
574885	325965	Lady Professor
574885	404050	Cleo
574886	51102	
574886	206747	
574887	91388	
574888	202679	
574888	207922	
574888	234347	
574888	278941	
574889	2034	Rich Bitch
574889	2964	Reporter
574889	29183	
574889	149943	Vicki Maslow
574889	299198	Mexican Hooker #2
574889	368206	
574890	96366	Mari
574890	233948	Prostitute
574891	100391	La Gorda
574892	409919	Camila Ríos (1997-???)
574893	307836	Dueña del burdel
574894	65218	
574895	146479	
574895	266996	
574895	402540	
574896	365624	Jesica S. Ready
574897	353907	Femme disque
574898	59793	Mexican artist
574898	188376	Herself,singer
574898	367667	Native Girl
574900	45432	
574900	52044	
574900	77072	
574900	174160	Puring
574900	176973	Luisa
574901	243712	Inez
574902	211041	
574903	95553	La femme enceinte
574904	222119	Tere
574904	409719	
574905	379252	
574905	396925	Miss Lucila
574905	401634	
574906	383470	
574907	340227	Woman
574908	287850	
574908	287877	
574908	328736	
574909	51779	
574909	103940	Martita
574909	148085	
574909	193492	
574909	248296	
574909	253593	
574909	268497	
574909	371776	
574910	286201	
574911	52941	
574912	233812	
574913	384390	Camila
574913	410477	Mónica Loyola
574914	395404	Maruca
574915	121892	
574916	378986	
574916	380074	
574916	383867	
574916	386785	Matilde García
574916	397591	
574916	410204	
574916	410207	Camila
574917	10993	
574917	167059	
574917	267670	
574918	210868	Mother With Baby
574919	161752	Joan Hayden
574919	232089	Ruby
574919	274728	Donna Price
574919	283421	Angela Forrest
574919	326795	Kathy North
574919	350444	Yashi
574919	372373	Connie Jackson
574921	128930	
574922	68716	
574923	355946	
574924	293373	Rosalía
574924	332919	Gloria Galicia
574924	376711	
574924	379461	Cecilia
574924	379905	Rocío Huertas Guzmán
574924	380963	Azusena (Mama de Violeta)
574924	384400	Magdalena 'Magdis' Rivera
574924	384864	Jackie
574924	386078	Isabel Cristina Armenteros de
574924	387689	
574924	395885	Natalia Sandoval
574924	398801	Irán
574924	402059	Preciosa Ruiz
574924	403257	Cristina
574924	406056	Ana
574924	412193	
574925	383812	
574925	396925	Marta
574925	401634	
574926	213529	Alice
574927	223506	Miss Philippines 2003 - Candi
574928	129514	Joan Dawn
574929	36486	
574929	173671	
574929	249636	
574929	266974	Elsa
574929	285889	Hilda
574930	197866	Herself
574931	377320	
574932	14928	
574933	10288	Ana
574933	65603	
574933	69781	
574933	74363	
574933	100339	
574933	189375	Herminia, sirvienta
574933	301176	Marta
574933	365213	Lilia
574933	370170	
574934	8618	Mari
574935	393368	Lucy
574936	4540	
574936	6047	
574936	14578	Quack woman
574936	14640	
574936	22787	
574936	34559	
574936	48798	
574936	48956	
574936	52935	
574936	54722	
574936	55955	
574936	68251	
574936	69008	
574936	69222	
574936	73300	
574936	74559	Anciana en jugo de poker
574936	74582	
574936	106303	
574936	115746	
574936	123170	
574936	132214	
574936	146490	Valentina
574936	159528	
574936	164881	
574936	170919	
574936	193317	
574936	206280	Presa
574936	206979	Bone-doctor
574936	221938	Dona Tolita
574936	227291	
574936	234494	
574936	246388	
574936	246870	
574936	249785	
574936	251559	
574936	260933	
574936	275624	
574936	276410	
574936	277386	
574936	281965	Dona Pomposa
574936	283138	Portera
574936	284330	
574936	287695	
574936	296469	
574936	300606	
574936	301123	
574936	319661	Portera
574936	328040	
574936	332663	
574936	339088	
574936	354716	
574936	371684	
574936	376723	
574937	199093	Madeleine
574938	318301	Voice
574939	385058	Wendy
574940	443	Flaca
574941	20567	Teenage Selma
574942	219009	
574943	286253	Estella Quintero
574944	205606	Jail Guard
574944	336600	
574945	355946	
574946	68716	
574947	244636	Dancer 3
574947	307471	
574948	336559	Singer
574949	76887	
574950	48018	
574950	138648	
574950	190417	
574950	355047	
574951	91273	
574951	235987	
574951	317689	
574952	73281	Chepina
574953	266872	
574954	386484	Paula
574954	386487	Paula
574954	392654	
574954	399657	
574954	401511	
574955	113808	Anchorwoman
574956	271079	Banda 'Tandito'
574957	215688	Miss USA
574957	215690	Miss Massachusetts USA/Miss U
574957	215691	Miss USA 2003
574957	407138	Herself - Judge
574958	242678	Loli
574959	355946	
574960	152291	Huggins
574961	367866	Herself
574963	219827	
574964	144789	Alien Stormtrooper
574965	376772	Marie (jung)
574966	83462	Mama de Bertha
574966	193507	
574966	272620	
574966	339134	Elena Alcaraz (episode El Her
574966	342842	Maria
574966	402249	
574967	324871	
574967	405319	
574968	28188	
574968	52154	
574968	53669	
574968	61344	
574968	139897	Carolina
574968	193355	
574968	212366	
574968	225056	
574968	266996	
574968	405319	
574969	67694	Margarita
574969	377173	
574969	378444	
574969	392290	Dora López
574969	402059	
574970	110303	Club Dancer
574971	20336	Student O'Neill
574972	345042	La fillette du forcené
574973	205000	Bety
574974	14735	
574974	22793	
574974	25004	
574975	404024	
574976	103152	
574977	13763	Prostitute
574977	184981	Tracy Altergot
574977	195267	
574977	214515	Little Girl
574977	220954	Wendy
574977	288473	Courtney
574977	289473	Young Helena
574977	292586	Lydia
574977	326712	Franny
574977	362810	Becky
574977	381100	Robyn Hood
574977	382001	Lori Baxter (2000-)
574977	386295	Shelby Scott
574977	400384	Maureen Thompson
574978	379802	Young Ally (1998-2000)
574979	94	Park Girl
574979	411859	Regular performer
574980	170601	Penelope Clinton
574980	361639	Penelope Clinton
574981	100130	Mrs. Phillips
574981	164505	Lady Gull
574981	273328	Mrs. Ryall
574981	299731	Lady Mildred Stamp
574981	349404	Lady Reporter
574981	355204	Janet Lascelles
574981	371087	Eileen Lang
574981	385299	Angela Reece (1984)
574981	385627	Lady WalPole-Wilson (segment 
574981	388249	Grand Duchess Sergei
574981	402799	Mother
574982	384800	Herself
574983	221183	Waitress
574984	184955	Guest
574985	403805	Marie Horton (1997-1999, 2000
574986	50643	Ernie
574986	171078	Vera Bradley
574986	183377	Kate
574986	195586	Dr. Langdon
574986	257264	Stewardess
574986	272326	Cop (gallery alley)
574986	297672	Girl with Kitten
574987	73500	Girl
574987	74232	Rosa
574987	123884	Cigarette Girl
574987	128192	Member of Samba Team
574987	151041	Secretary
574987	170754	Yvonne
574987	233899	
574987	246749	Yvette
574987	274244	Gert
574987	291745	Ilani, the serving girl
574987	313695	Nurse
574987	361691	Maria
574988	90241	Neighbor
574989	29672	Arrakur's Lover
574990	22982	
574990	24223	
574990	133598	
574991	47297	
574991	47325	
574991	70277	Roslyn Ayre
574991	114007	Sheila Cardross Malcourt
574991	114156	Norma Webb
574991	119786	Palma May
574991	128175	Alice Paige
574991	145392	Marion Sterling
574991	147795	Patria Channing/Mrs.Vernon Ca
574991	161887	Marcia Crossey
574991	206089	
574991	224574	
574991	250697	Patria/Elaine
574991	305003	Naomi Warren
574991	315965	Lucy Millington
574991	321792	Sylvia
574991	351721	
574991	363619	Herself
574992	116808	
574992	116827	
574993	231426	Tiffany
574994	42005	Paprika
574994	382304	Paprika
574995	18635	Girl on T.V.
574995	30359	Disqualified Subject
574995	97522	Sighing Woman
574995	360732	Claudia
574997	186443	Herself
574997	395290	Ragtime Pianist (1959-1969)
574998	130600	Florence Hazbrook
574998	143658	
574998	153207	Miss Stockton
574998	154300	
574998	161271	Herself
574998	220998	June Blake
574998	302586	Vera Grant
574998	369001	
574998	372737	Sue
574999	136720	2. Norn
574999	358688	Waltraute
575000	12952	Peasant (Dancer)
575000	327431	Spirit
575001	340950	Flea market bargain hunter
575002	68165	Dee
575004	58828	Maggie
575004	64090	Little old lady
575004	69481	Mary (old barfly)
575004	105804	Servant
575004	190591	Minerva Thompson
575004	231797	Newswoman
575004	231990	Bit Woman
575004	295085	Woman
575004	315869	Bit Part
575004	315881	Woman assisting the Kaplans
575004	330167	Wardrobe Woman
575006	270776	Girl in Cellar
575006	297105	Sylvia
575006	297948	Marilyn Smallhope
575007	209658	Security Guard
575007	235571	Rita Valentine
575008	26081	Amanda
575008	32361	Jackie
575008	97472	Jane
575008	151170	Cindy
575008	164547	13 Year Old Girl
575008	176510	Jenny
575008	214078	Therese Dionne, 10 yrs.
575008	231550	Susie
575008	244404	
575008	380692	Molly
575009	297974	Big Shim/Brenda McClain
575010	72106	Willow Phoebus
575010	81159	Martina
575010	147753	Hardie
575010	336449	Cissy
575011	67860	
575011	72613	Carol LaRue
575011	73349	Gloria Lydendecker
575011	98154	Girl
575011	121672	
575011	136046	Cora Dufrayne
575011	164997	June
575011	185657	Louise McCord
575011	186398	Jane Brown
575011	212196	Girl
575011	262331	Toni Eaton
575011	329051	Rita Bagley
575011	331236	Ann's friend
575011	331237	Laura
575011	331628	Yvonne Durante
575011	336809	Flo
575011	363144	Elizabeth Leeds
575011	370621	Linda Quigg
575011	406620	Frankie Adams (First Season)
575012	218123	Opera singer at party
575013	3277	Pauline Driscoll
575013	9009	Pat
575013	20802	Carol Ralston
575013	26721	Mandy Hazelton Anthony
575013	32815	Audrey Aimes
575013	47017	
575013	48538	Cleo
575013	50071	Bit
575013	71639	Carole Bernard
575013	72175	Melba Sykes
575013	113600	Gladys Baker
575013	130809	Lailee
575013	139362	Princess Shareen
575013	142443	Paula Collins
575013	143746	Herself
575013	154769	Telephone Operator
575013	155071	Charlotte Manning
575013	161758	Carla Sanford
575013	166997	Waco Gans
575013	194053	Venus
575013	214932	Millie Kranz
575013	220830	Jean Auchincloss
575013	239413	Marie 'Oklahoma' Saunders
575013	245516	Waitress
575013	245739	Ann Dennison
575013	251279	Diana Ramsey
575013	264094	Princess Yasmin
575013	269913	Maylene Mason
575013	297100	Hat Check Girl
575013	308341	Julie Wren
575013	324034	Reva (Pearlo's Palace Enterta
575013	324975	Ann Galloway
575013	343268	Karen Marshall, alias Kate Ma
575013	358193	Ann Wilkins
575013	362670	Koko Glayde
575013	363950	Kathryn Williams
575013	367504	Waitress
575013	371090	Katherine
575013	395289	Lilly Merrill (1959-62)
575014	33742	Carnival Kid
575015	167048	Mary Magdalene
575016	139571	Patsy Shand
575017	46806	Elsa, School Maid
575017	254268	Mandy
575017	362855	
575018	307536	Maria Schwafun
575019	272518	Janice the nanny, East coast
575020	212462	
575020	219645	
575021	305939	Shane
575022	212196	Girl
575023	304229	DeAnn Martin
575024	3055	Herself - Best Actress Nomine
575024	201831	Herself
575024	313477	Queen of Naboo
575024	362042	Paikea
575025	272518	Laurie Milton
575026	262	Voice of Meg's Friend #3
575028	150774	
575029	367511	Second Debutante
575030	240682	Post Mistress
575031	80535	Squad Room Extra
575032	45974	Joan Carver
575032	61621	Norma Huntley
575032	78046	Audrey Valentine
575032	78081	
575032	79382	
575032	100211	Muriel Schuyler
575032	108011	Helen Baxter
575032	117186	Betty Milburn
575032	130051	Bertie
575032	141208	Betty Lansing
575032	143157	Agnes Gurnee
575032	143669	Nedda Trevor, as an adult
575032	171273	Sylvia
575032	203589	
575032	223959	Anna Ryder
575032	230114	Allayne Norman
575032	240958	Mrs. Robert Strickland
575032	243233	
575032	245195	Margaret Hill
575032	248881	Agnes Melton
575032	301971	
575032	302906	Ruth Maxwell
575032	316778	Lucy Bloodgood
575032	351693	
575032	362315	
575032	362562	Janet Lee
575033	50610	ButterCreamette
575033	50611	Buttercreamette #1
575034	24606	Natasha Alexander
575034	24607	Natahsa Alexander
575034	75791	Lauren Anderson
575034	88643	Gloria
575035	20625	Extra
575036	218850	
575037	195576	Bus Passenger
575038	38538	
575039	312543	Mrs. Mary Williams
575040	110251	Trapeze Artist
575041	290925	
575042	107143	Room Maid
575043	71310	Julia
575044	68390	Mère-douches
575045	296750	CJ's Opponent
575046	51586	Maria
575046	99590	Client Big Bob
575046	238163	Louise
575046	378761	Infirmière Leduc
575047	1766	Marie-Rose
575047	111089	Yvonne
575047	390502	Suzanne Ferron
575048	551	
575048	48849	
575048	56291	
575048	66677	
575048	96302	
575048	205129	Madame Stanier
575048	240301	Signora Pellini
575048	253372	Sonia
575048	283052	
575048	287964	
575048	310038	
575049	318386	
575050	13053	
575051	233861	Schoolmistress
575051	241061	Miss Leighton
575052	79049	Vampire
575053	42296	Swedish Suntanning Team Membe
575054	78570	Dancer at Salón Los Ángeles
575055	128261	Child in Water
575056	142479	
575057	275502	Alison Davis
575057	310204	The Woman in Apt 24
575058	404782	Ambulanssilääkäri
575059	65892	Tess
575059	359356	Mrs. Almaril
575060	274895	
575061	106993	Hermana de Diego
575061	221908	Secretaria
575061	265140	Daughter
575061	326121	Coral
575062	387869	Raquel
575063	407247	Host
575064	384794	
575065	355259	Adriana
575066	24837	Anna
575066	44229	Dattilografa
575066	48297	Lisetta
575066	252009	
575067	134469	
575068	107321	
575068	205848	
575068	233527	Tauana
575068	237010	Laura
575068	307638	Mariana
575068	376500	Silvia
575068	381246	Filipa
575068	383389	
575068	390755	Chris
575068	393345	Rosa
575068	399822	
575068	400095	Adelaide Matos Ribeiro
575068	411585	Joaquina Pereira
575069	402045	Paula Barreiro (2002-)
575070	92663	
575070	384782	Ángeles
575070	385852	
575070	412127	Andrea Pedraza
575071	362493	Studnet #2
575072	262235	
575072	401103	
575073	116633	
575073	121392	
575073	143664	
575073	376802	
575074	52760	
575074	66401	
575074	90017	
575074	124584	
575074	387686	Condesa Sasha
575075	386728	Marinalva
575076	234614	
575077	146533	Gaby
575077	379889	Laurita
575077	398525	
575078	73265	
575078	283554	Blonde Wig Whore
575079	388262	Herself/Teacher
575079	388263	Herself/Teacher
575080	291052	Harlot
575080	396925	Jackie
575081	4528	Bekbek
575082	20740	
575083	386077	Matilde
575083	410016	
575084	381634	Miúda
575084	409003	Secretária
575084	409975	
575085	25515	Marta
575085	287458	
575086	84067	Campesina
575086	148092	
575086	184730	
575086	247196	
575086	404140	Eduviges
575087	215039	
575088	52924	Sereia
575088	251986	Mariana
575088	398501	Gracinha
575088	404834	Maria Angélica
575089	411714	Herself
575090	12063	
575090	16844	Isabel
575090	51827	Marilu
575090	76017	
575090	149511	Espectadora
575090	195035	Bertha
575090	211674	
575090	212247	
575090	214694	Vicky
575090	225039	Marta
575090	227291	Rosa Mignon
575090	242879	
575090	246942	
575090	300817	
575090	302240	
575090	328040	
575090	369417	Medico
575090	370170	
575090	379096	
575090	379905	Antuca Ropolo viuda de Moya
575090	380059	Carlota
575090	380269	
575090	386076	
575090	386146	
575090	386784	
575090	387187	Doña Fernanda
575090	387682	Deborah Winters
575090	387696	
575090	396243	
575090	397258	
575090	398455	
575090	399568	
575090	401690	Clara Escobedo
575090	402248	
575090	402406	
575090	402839	Perpetua de Echague
575090	403754	
575090	405400	
575090	405414	
575090	409812	Juana
575090	410016	
575091	266191	Pushcart Woman
575092	53010	
575093	159434	
575093	228771	
575093	353211	
575093	381169	Simona Portugal
575093	383155	Cecilia Vizcaíno
575093	383688	Julia Santos
575093	386126	Victoria
575093	387190	Lorena
575093	397604	Monica
575093	399763	Isabel Durán/Ana Jiménez
575093	399806	
575093	408919	Sara
575094	260725	
575095	30320	
575095	97266	
575096	198993	
575096	225611	
575097	208707	
575098	90454	
575099	409442	Julie
575100	211174	
575100	401103	
575101	29741	
575101	53640	Herself
575101	55941	
575101	56001	
575101	128971	Tía Paca
575101	128984	Preciosa
575101	145247	Inglesita
575101	201225	
575101	216087	
575101	233339	Coralito, vecina
575101	250699	
575101	281763	
575101	320325	Sole
575101	336023	
575102	375736	D. Filomena
575103	269255	
575104	254083	Invitee
575105	407648	Lucía
575106	384806	
575107	41766	
575107	145195	
575107	333700	
575108	26197	
575109	210168	
575110	68574	
575111	340681	Fille indécise 1
575112	381329	Ana (1983-1987)
575113	209348	Luz
575115	10535	Mum
575115	20237	
575115	28739	
575115	48269	
575115	57810	Marianna
575115	118171	
575115	145200	
575115	202032	
575115	207014	
575115	212470	
575115	212532	
575115	221741	
575115	222119	Tomasa
575115	225051	
575115	338162	Roberta
575115	376650	Pequeña Lulu
575116	244588	Jennifer Delgado
575117	31547	Nurse Virginia
575118	404203	Rina
575119	380054	Alicia
575120	344777	
575121	37702	Beautiful Girl
575122	222124	
575122	287328	
575122	334675	
575123	353597	Young Elena
575124	407808	Rossy
575125	197964	
575126	205994	Mendicant
575127	8598	
575127	48269	
575127	84225	
575127	198995	
575127	199001	
575127	225051	Gloria
575127	253380	
575127	334568	Muchacha #1
575128	385522	Olivia
575128	392592	Polca
575128	404077	Laiza
575129	41376	Hispanic Maid
575129	81505	
575129	93261	Jane
575129	141435	The maid
575129	332402	Bag Lady
575129	335820	Paramedic
575130	1356	Makeup Girl
575130	156460	Night Club Dancer
575131	112047	
575131	122741	
575131	143755	
575131	251984	S.O.S. Agente 77
575131	287844	
575131	309347	
575131	323912	
575132	39083	
575132	74619	
575132	84169	
575132	84225	
575132	85579	
575132	207027	
575132	215979	
575132	234376	
575132	328134	
575132	334568	Chica Vespa
575132	352095	
575133	193514	
575134	273664	
575135	389788	Griselda Ortiz
575135	398218	
575136	54867	
575136	70079	
575136	202220	
575136	277379	
575137	148110	
575137	170277	
575138	396	Empleada Registro Civil
575139	33686	
575139	125389	
575139	376773	
575140	278620	
575141	3396	
575141	61129	La chica del Mundial
575141	70641	Yolanda
575141	184242	Susana
575141	195262	Lead Singer
575141	263292	
575141	269233	
575141	383272	Susana
575141	386795	
575141	407562	Hostess
575142	378974	Sor Anunciacion
575142	389688	Sussy Borda Lavalle
575142	396216	Mercedes
575142	397010	Libia Santos
575142	397592	Gertrudis
575142	402898	
575142	403262	
575142	405846	Josefina Michelena
575142	407277	
575142	409922	Concepción Fernández
575142	411709	Aunt Chavela
575143	158941	
575144	276488	
575145	355943	
575145	379116	Rosa
575145	383291	
575145	394017	Lucy
575145	396180	
575145	405789	
575145	411636	
575146	195573	
575146	380700	Niño de la aldea
575146	384217	Vickie, el vikingo
575146	397969	Willi
575147	71086	
575147	71090	
575147	74801	Angelica
575147	102950	
575148	287421	Violadora
575149	397838	Daniela
575149	397839	Daniela
575149	400719	
575149	405955	
575149	408859	Laura
575149	409782	Mariela
575149	410450	Justa Saavedra (Rafaela) (seg
575149	411620	
575150	361499	
575151	353612	Monitora
575151	402045	Paula Barreiro #2 (2001-)
575152	183161	Test-tube girl
575153	73646	
575154	152250	
575154	189045	
575155	28970	
575156	88058	
575157	360596	Shelly's Friend
575158	60921	Portera
575158	99914	
575158	115820	Soltera Bus
575158	160620	Dulce Cuneo
575158	168255	Ragazza bruna
575158	202220	
575158	237192	Matilde
575158	268498	Madre intrusa
575158	269237	
575158	277379	
575158	287427	
575158	310073	
575158	378020	Periodista
575159	81640	
575159	361611	
575160	91388	
575160	253779	
575161	215611	Miss' Teacher
575161	379132	Teresa (Chapter 5)
575162	77880	
575162	84225	
575162	152227	
575162	225051	Martha
575162	277369	
575163	160731	Empleada Aeropuerto
575163	348918	Desi
575164	101825	
575164	199001	
575165	8564	Actriz irlandesa (Irish actre
575165	22120	Paloma
575165	63904	Pili
575165	69278	Marga
575165	74600	Camarera
575165	83486	Anita
575165	91385	Pilar
575165	96356	Bárbara
575165	221752	Juani
575165	221963	Feminista
575165	233996	Ariadna
575165	270489	Suiti (Sweety)
575165	293374	Neus
575165	318235	Sonia
575165	326121	Marga
575165	377151	Enfermera
575165	378988	Elisa (1998)
575166	252148	
575166	343607	
575167	166939	Gertie Trinke
575167	191827	Destiny
575168	401944	Bela
575169	114873	Dancer: Grupo Cané
575170	379552	
575170	381031	
575170	383392	
575170	395857	Clarita
575170	396898	Mimí Candela
575170	403690	Eva
575170	410098	
575170	411620	
575171	27986	
575171	98699	
575171	103533	
575171	222121	
575171	225013	
575171	251591	
575171	287694	Prostitute 2
575171	296469	
575171	353984	
575171	357868	Augusta
575172	236622	Housekeeper
575173	88199	
575174	319826	La boulangère
575174	351761	Une tante
575175	406389	Herself-Grand Finalist
575176	64679	
575176	104181	
575176	241194	
575177	8564	Actriz Padrenuestro
575177	24206	Camarera
575179	74644	
575179	169636	
575179	235312	
575179	317798	
575179	343632	
575179	355789	
575180	117826	
575180	208711	
575181	208711	
575182	10230	Ana Lima
575182	36554	Bel
575182	246848	Elizabeth Carolina
575182	369979	
575182	380531	Marina
575182	387901	Carol
575182	396610	Maria (1997)
575182	397522	Nina
575182	410245	Branca
575183	391609	
575183	398503	Cida
575184	398527	
575185	5356	
575185	10467	
575185	21072	
575185	24373	
575185	24374	
575185	37706	
575185	62299	Florinda Benitez/Flor
575185	74570	
575185	87078	
575185	121280	
575185	135058	
575185	168664	
575185	212445	
575185	227296	
575185	228722	Toñi
575185	233370	
575185	233518	Herself
575185	234181	
575185	236035	
575185	263846	
575185	273848	
575185	318252	
575185	356673	María
575185	380106	Nora
575185	380114	
575185	380545	Herself - Host
575185	381261	Karina Labrada
575185	381900	Herself - Host
575185	381901	Herself - Host
575185	381902	Herself - Host
575185	381904	Herself - Host (2003-2004)
575185	383438	Laura
575185	386077	María Elena
575185	387314	
575185	387558	
575185	387564	Herself - Host
575185	387863	Herself - Host
575185	388564	Karina
575185	389551	Herself - Host
575185	396593	Herself - Host
575185	397204	Gabriela
575185	397593	Isadora/Soledad
575185	398320	Herself - Host
575185	398657	Herself - Host
575185	399535	
575185	400943	Martha
575185	402404	Leonarda Ruán
575185	403304	Herself - Host
575185	403365	Mariana Villareal
575185	403741	Rosa
575185	407242	Herself - Host
575185	408380	Herself - Host
575185	409782	Valentina Isabel Montero/Vale
575185	410016	Verónica
575185	411621	Herself - Host
575185	411735	Yolanda Luján
575186	80189	Chavo Banda La Raza
575187	118640	
575187	208843	
575188	348386	Pro-Cuban
575189	115336	Sylvie Castro
575190	12055	
575190	52966	
575190	204988	
575191	315577	Party Players
575194	163180	
575194	168790	Unelma Säleikkö
575194	341808	Unelma Säleikkö
575194	349137	Unelma Säleikkö
575194	349138	Unelma Säleikkö
575194	349139	Unelma Säleikkö
575194	349140	Unelma Säleikkö
575194	349141	Unelma Säleikkö
575194	349142	Unelma Säleikkö
575194	349143	Unelma Säleikkö
575194	349144	Unelma Säleikkö, Tuuran sihte
575194	349145	Unelma Säleikkö, Tuuran sihte
575194	349146	Unelma Säleikkö
575194	349147	Unelma Säleikkö
575194	394023	
575194	409729	Unelma Säleikkö
575195	5960	Nurse
575195	44919	La danseuse
575195	134588	
575195	281346	
575196	261735	Madame Perez
575197	56031	
575198	398787	
575199	385626	Dancer
575200	161666	La enfermera
575200	377151	La Pelopincho
575201	358604	Choir Singer
575201	401740	Pokemon Jukebox SInger
575202	361854	Herself
575203	125425	Herself
575203	128606	Herself
575204	40789	Florence Langdon, as a child
575204	52522	The Baby
575204	75644	Barbara Trent
575204	75645	Barbara Trent
575204	79884	Betty
575204	100852	Undetermined Role
575204	149841	Dance Hall Girl
575204	177639	Violet Carson as a Child
575204	219977	Helen
575204	222592	Earl Carroll Girl
575204	277985	Fay Larkin
575204	289550	
575204	299806	Milly Berry
575204	343258	
575204	345982	Peg Clayton
575204	364434	Clerk
575204	368711	Undetermined Role
575205	245649	Waitress
575206	261554	Amerikansk Kvinde
575207	322396	Enfermera 1
575208	3456	
575208	13062	
575208	22782	
575208	46927	Margarita
575208	46928	Margarita
575208	51540	
575208	66229	
575208	69016	
575208	88986	
575208	100791	
575208	106015	
575208	121774	
575208	131969	
575208	145250	
575208	222045	
575208	291603	
575208	326340	Moria Gutiérrez
575208	327317	
575208	328170	Sonia Dupont
575208	378981	
575208	380118	Host
575208	382951	Chini
575208	385070	Susana González
575208	395873	
575208	398176	
575208	398227	Host
575208	399574	Various Characters
575208	399610	Herself (Host)
575208	403651	
575208	408853	Mecha
575209	20030	
575209	34658	NonSex
575209	48336	
575209	63573	
575209	64166	
575209	70702	
575209	104499	
575209	104501	Darlene
575209	108880	
575209	116391	
575209	132999	
575209	206797	Mulher Diaba
575209	218719	Clara
575209	241180	
575209	265530	
575209	293331	Regina
575209	295097	Arlete
575209	301246	Herself
575209	341470	Vera Lúcia
575209	383247	Albertina 'Tina Pepper' Pimen
575209	388681	Rosalva Rocha
575209	390751	Carlotinha Bimbatti
575209	399350	Herself (eliminated round 8)
575209	405984	(Historian, USC)
575209	409130	Cabocla Jupira, Dinalda
575209	409975	Clotilde
575211	44135	Herself
575212	22103	
575213	32426	
575213	50711	
575213	91816	
575213	113395	Wife of sick man
575214	110980	Celeste
575215	363511	Nun
575220	26854	
575220	35574	
575221	1243	
575221	2266	
575221	37145	
575221	163851	
575221	348825	
575222	185161	Trinity
575223	204557	Dancer
575224	101623	Lou
575225	401932	
575226	289939	Irene
575227	3169	Luisa's Sister
575228	127940	Estate Agent
575229	39564	Girl in Bathroom
575229	72709	Syd
575229	178136	Young Niki
575230	246450	
575231	106499	Zombie girl
575232	2781	Rochelle
575232	16068	Michelle Capano
575232	16899	Ballet Teacher
575232	65584	
575232	66324	Terri
575232	68242	Judy
575232	96775	Carrie
575232	97351	Sally Anderson
575232	99604	TWA ticket agent
575232	103254	Dark Haired Hooker
575232	107901	Blonde
575232	108331	Woman in Bar
575232	116774	Sandi
575232	138784	TV Hostess
575232	151556	Lorna Queen
575232	195331	Starlett
575232	199487	Herself
575232	210233	Terri
575232	287728	Veronica
575232	295560	Wendy
575232	359958	Quinn
575232	363080	Babe 1
575232	365326	Jasmine
575232	393228	Blonde Star
575233	18795	Delfina
575233	52890	
575233	56351	
575233	57245	
575233	68585	
575233	72887	
575233	81694	Mujer Himno
575233	84048	
575233	87072	
575233	96260	
575233	103760	Emili
575233	105462	Estela Grisolia
575233	115732	Imperia
575233	143758	
575233	146533	Dora
575233	199916	
575233	207652	Deolinda
575233	222403	
575233	234012	
575233	234042	
575233	249387	
575233	253779	Sara
575233	294352	
575233	296471	
575233	320188	
575233	328743	
575233	332583	
575233	341662	
575233	371778	
575233	383826	Various
575233	384119	Elsa Martú (1999)
575233	393478	Rita
575233	396180	Trinidad 'Trini' Álvarez de F
575233	399805	
575233	406857	
575233	409959	
575234	7309	
575235	284829	
575236	254240	
575238	16660	
575239	380391	Amanda Cory Fowler Harrison S
575240	62423	
575240	336759	
575240	354759	
575241	77795	Cleaning Lady
575242	319323	
575243	3956	Antonia Camerini
575243	10052	Maria
575243	23518	
575243	68650	Margherita Serafini
575243	71146	Giovanna
575243	71148	
575243	193337	
575243	282105	Anna Rossini
575243	283283	
575243	381622	Laura Del Bono
575243	399655	Laura
575243	400404	Rosa Obrofari
575244	195945	Betty Martinelli
575245	27016	
575245	57241	Herself (Catalina)
575245	60782	
575245	123809	
575245	123836	
575245	208370	
575245	231601	Niña
575245	291274	
575245	298085	
575245	306916	
575245	307195	
575245	333735	Anna
575245	363949	
575245	365531	
575246	213765	
575247	182360	Herself (dancer)
575248	49091	
575249	147070	Kanani 'Cliche Fernandes
575250	150627	
575251	239280	Periodista de noticiero
575252	103836	
575252	125659	
575252	128984	Doña Guiomar de Meneses
575252	219226	
575252	317683	
575252	320325	Dolores
575252	373353	
575252	378450	
575253	10243	
575254	65384	Luce Lanthenay
575254	65385	Luce Lantheney
575254	110107	Faustine
575254	146404	Blandine
575254	148697	Tania
575254	161649	
575254	193140	Maria
575254	217764	Agnes
575254	288901	Nanette
575254	352135	Anne Chartier
575254	356980	Dina
575254	403177	Madeleine
575254	403642	Mlle de Montmorency
575255	410091	
575256	65404	
575257	205200	Vicetiple 4
575257	212406	Enfermera 2
575257	234400	Antonia
575257	353545	Mari Carmen
575258	235248	La Juana
575259	56581	
575260	155550	
575261	160228	NonSex
575262	259128	Razerka
575263	288943	Embassy Personnel
575263	364095	Mrs. Martinez
575264	73521	
575265	12060	
575266	260144	
575267	49441	Video Reporter #4
575268	399657	
575269	81522	
575270	52879	
575271	12706	Nun
575271	111560	
575271	205661	
575271	380114	Nora Tovar
575271	383556	
575271	384845	
575271	401001	
575271	402406	
575271	405400	
575271	407641	
575271	410323	Gina
575271	412184	Elvira
575272	118769	Adonella
575272	222009	Cecilia
575273	91089	Juana
575274	14755	
575274	60129	Monica
575274	159619	
575274	162050	Elisa
575274	189289	Elena
575274	383492	
575274	400788	
575275	197179	
575276	132641	
575277	226442	Secretaria de Estudio
575280	330108	
575281	176992	JJ
575282	339934	Wanda, herdsman's wife
575283	296665	Girl In Hallway
575284	69971	Stella
575285	321262	
575286	396610	Bebel (2002)
575286	404261	Clara
575287	155013	Girl/Jack's movie
575288	100001	
575289	74912	Cook
575290	147972	T.V. Hostess #1
575290	381598	Jacqueline Tovar
575290	404703	Elisa Ferrer
575291	212025	Communications Center technic
575292	80374	Lady Car Passenger
575293	17937	Sharon
575293	380713	Janice Maxwell (1993-1995)
575293	390771	Elinor (2003)
575294	303754	Skater #4
575295	68736	Columbine
575296	58414	Martine
575297	51657	Cabiria, as a Child
575298	398014	Herself (Profile Management)
575299	360436	Crying Kid
575300	186422	Jelly Wrestler
575301	79691	Italian Waitress
575302	79691	Dawn Lorraine
575303	3943	Amy Wittenman
575303	107070	
575303	109028	Tamara Gault
575303	178145	Call Girl
575303	276351	Darla
575303	314103	
575303	330243	Angel
575303	404288	Sophia
575304	367271	Athena the Fat Lady
575305	296516	Little Sabrina Dunn
575306	23703	Susan
575306	25480	Stella
575306	36975	Angela
575306	65432	Amanda
575306	81469	Amber
575306	105623	Olga Slajek
575306	118994	Young Emma
575306	156480	Simone
575306	196538	Edith
575306	307397	Marianne
575306	314729	Emily
575306	338854	Mimi
575306	348067	Sophie Stacey
575306	378819	Jenny Porter (1991-1992)
575307	220024	Isobelle McKenzie
575307	252455	Arlene
575307	325218	Tess Kennedy
575307	346299	Susan's Friend
575307	364439	Enid
575307	366997	AD
575307	406008	Nancy Boyd
575307	406719	Susanna Slack
575308	126755	Female Singer
575309	84833	Mrs. Trent
575309	114956	Mrs. Gaskin
575309	166637	Helen Schneider
575309	265288	Concierge
575310	2816	Companion of Kevin Klein
575310	2899	Herself
575310	17796	Sophia Gold
575310	26417	Annie Burroughs
575310	42677	Carol
575310	47004	Amanda
575310	57665	
575310	79281	Patty Winston
575310	93957	Elizabeth
575310	109524	Linda Barrett
575310	134193	Kate Beringer
575310	134195	Kate Beringer
575310	141253	Aiken
575310	154446	Joey's Girl at Disco
575310	183235	Lili
575310	183239	Lili
575310	184867	Young Philosophy Student
575310	224091	Herself
575310	248429	Sarah
575310	264147	Princess Caraboo/Mary Baker
575310	264825	Christine Ramsey
575310	291215	Herself
575310	296990	Carson McBride
575311	12231	
575311	21922	
575311	21923	
575311	21924	
575311	50711	
575311	54455	
575311	62009	
575311	62463	
575311	81737	
575311	95879	
575311	109526	
575311	128624	
575311	147069	Oriental cheerleader squad le
575311	206450	
575311	206451	
575311	228044	
575311	254791	Secretary
575311	273223	
575311	292500	
575311	365643	
575312	291215	Herself
575313	320607	Madame
575314	6591	La fille d'Erfeuil
575315	328433	Bénédicte
575317	338847	Marie
575318	121367	Guard #1
575318	389791	Additional Voices
575319	46545	Hooker
575319	70612	Hospital matron
575319	130037	Jane
575319	150642	Lorraine Bull
575319	154577	Receptionist
575319	178020	Steph
575319	245605	Edna
575319	292643	Pygmy Hippo
575319	348354	Angela
575319	358458	Mac
575319	400868	Mirielle
575319	402391	Shona Temple
575319	404617	Dora
575319	405461	Van Driver
575320	405636	Additional Voices
575321	307237	Herself
575322	221259	Tanya the Hostess
575323	249038	
575324	29513	
575325	41925	
575326	94477	Sheena
575327	37781	Girl
575327	190003	Mrs. Bladon
575327	311608	Jackie
575327	389061	Herself
575327	404575	Rita
575327	406380	Herself (1° eliminated, 7 day
575328	28871	
575329	404054	
575330	111663	
575331	191688	Reporter #1
575332	88870	Party Girl
575332	340502	Une Fille De La Nuit
575333	229446	
575334	378882	Presenter (2000-)
575334	393152	Newsreader (2004-)
575335	184853	Rachel 'Easy Measley' Beasley
575335	191636	Sandra
575335	195555	Toyah
575335	224046	Jo
575335	311350	Adele
575335	346331	
575335	383056	Julie
575336	130622	Gold Digger
575337	113320	Mother
575338	59840	Checkout Girl
575338	126680	Jubilant Student
575339	83214	Julie
575340	46242	Penny
575341	127322	Robin
575341	128727	Patty
575342	71598	Herself
575342	71828	
575342	113228	Marie
575342	220492	
575342	294604	
575342	346667	Totoche
575342	383819	Annette
575342	389880	Olympe
575342	393731	La duchesse d'Elchingen
575342	401731	Hughette de Rhuys
575342	407213	Jacqueline
575343	394862	Participant (2002)
575344	128755	
575344	136390	Kimiko
575344	381501	Herself (Beatles' fan, Liverp
575344	383619	
575345	53842	La fille aux graffitis
575345	66869	Marta
575346	21120	Tuzia
575346	30887	La mère de Julie
575346	59709	Mireille
575346	66804	Rita Kelly
575346	80183	Danielle
575346	83267	Madame Lenguenel
575346	83349	Valérie
575346	86925	Beatrice Boulain
575346	87814	Louise
575346	132403	Béatrice
575346	139537	
575346	140300	Eve
575346	148783	Marianne
575346	160146	Anne Gardet
575346	164197	Jacqueline
575346	166288	Laure Moulin
575346	170110	Gregoire
575346	186989	Eric's Mother
575346	195157	Duchesse de Chevreuse
575346	199600	Christine
575346	200965	Antoinette Ollivier
575346	211366	Louise Pollet
575346	217406	Armande Béjart
575346	217568	Anne
575346	218310	Martine
575346	235715	Nancy
575346	248886	Sex therapist
575346	258870	La femme de T.
575346	265904	Aristocratic Lady
575346	269073	Léa
575346	275381	
575346	278136	
575346	306949	
575346	310946	Flavia
575346	335518	
575346	345133	Regine
575346	345423	Monique
575346	345511	Karine
575346	346523	Constanza Samoza
575346	346527	Claire
575346	357122	
575346	376999	Véronique
575346	377917	
575346	385845	Martine (segment "Amour qui t
575346	398055	Armande Bejart
575347	399657	
575348	126319	Claude at 6
575349	18827	Prospective Tenant
575350	23705	Dawn
575350	186512	Dancer
575350	235510	Jill
575351	4919	Etta
575351	4944	Nurse Winslow
575351	11619	Ruth
575351	28876	Woman in hotel lobby cheering
575351	31346	Mrs. Capello
575351	31672	Mrs. Brinker
575351	32182	
575351	32661	Sweet Grandmother
575351	41155	Harriett Crabbe
575351	58799	Josie
575351	86454	Herself
575351	88548	Mrs. Langley
575351	116045	Bertha
575351	131210	Marge
575351	151545	Soprano
575351	187328	Mrs. Grant
575351	192426	Scribe
575351	220418	Kindergarten Teacher
575351	237562	Gloria
575351	245611	
575351	258513	Additional Voices
575351	293961	Earlene Emery, Football group
575351	294798	Rosemary Ackerman
575351	303589	Florence
575351	311602	Mrs. Puff
575351	311605	Mrs. Poppy Puff
575351	363421	Frances
575351	386337	Pearl Gallagher (1982-1986)
575351	388108	Additional Voices
575351	389161	Stella
575351	389858	Mary Finnegan (1989-1990)
575351	404813	Big Barb
575351	405718	Additional Voices
575351	406210	Mrs. Poppy Puff
575352	329699	Singer
575352	360500	
575353	257764	Liesle
575353	311408	Neighbor
575353	404002	Dr. Faith Coleridge #1 (1975-
575354	51989	Ranch Inmate
575354	258554	Newscaster
575354	269270	Linda
575354	366652	Jessica
575355	411357	Carol Winstead
575356	302468	Hairnet Lady #2
575357	89688	Betty
575357	404002	Anne Burney (1976-1977)
575358	53076	Helen Osborne
575358	143357	Margaret
575359	127322	Amanda
575359	151786	Dr. Catherine Peake
575359	200894	Alicia Nolin
575359	223328	Babette
575359	305147	Erica
575359	409210	Blackie O'Reilly (1990)
575360	32519	Mary Kittrick
575361	64819	Reika
575361	69695	Seeker, Azkar
575361	119601	
575361	201290	Gamia
575361	230354	Lou Ann
575361	269293	Looda
575361	283678	Child A (English version)
575361	283679	Katsu, Shinta (English versio
575361	283680	Kaoru Kamiya
575361	317890	Dianne
575362	410113	
575363	47626	
575363	66338	
575363	151450	
575363	309040	
575363	358356	
575364	182360	Herself (backing vocalist)
575365	100853	Dona Paula
575366	379266	Host (1967-1969)
575367	89160	Chantelle
575368	80254	Celadora
575369	137569	Yvonne Sinclair
575369	149828	Mrs. Perlman
575369	169172	
575369	206649	
575369	278718	Prissy woman
575369	399130	Merridy Jackson (2000)
575370	378826	Host
575370	407113	Host
575370	411743	Host (1993-)
575371	88258	Melissa Sue
575372	294781	Hitchhiker
575373	215076	Victoria
575374	155272	Customer
575375	71905	Heidi
575375	105623	Anne Shanks
575375	183558	Alicia Audley
575375	185704	Girl Angel
575375	222644	Fern
575375	225372	Mary
575375	292021	
575375	305391	Ali
575375	343032	Blanche
575375	358702	Rifka
575375	389844	Carla
575375	393042	Louise (-1996)
575375	398139	Helene Claveau
575376	8169	Edna
575377	168216	Nancy
575378	4696	Angie
575378	123325	Monkey's girl
575379	79007	Zircon Termination Team
575379	107100	Homeless Mother
575380	448	
575380	23041	
575380	28281	Mitica's assistant
575380	28679	
575380	55989	
575380	80112	
575380	80114	
575380	88203	
575380	92889	
575380	101476	
575380	103217	
575380	109602	
575380	114779	
575380	157210	
575380	159906	
575380	168718	Rose
575380	205510	
575380	233254	
575380	262583	
575380	271913	
575380	317400	
575380	327106	
575380	345559	
575380	346673	La boulangère
575380	350105	
575380	373995	
575380	377586	Rexona
575381	37269	Mrs. Dowling
575381	56747	Brightie
575381	153118	Mrs. de Boissiere
575381	203086	Nina
575381	380259	Sister Young
575381	393653	Mrs. Turner
575382	99316	
575383	203243	Shopper
575384	54392	La vendeuse
575386	108087	Dancer
575387	40564	Automobiliste agressive
575387	55108	La voisine
575387	108902	Rita, the host mother
575387	345461	Mère Kevin
575387	346824	
575388	28156	Playgirl
575389	71992	
575392	98903	
575393	401459	Flint
575394	219597	
575395	289939	Virginia
575396	7506	
575396	18265	
575396	270034	Eunice
575396	344434	
575397	342627	
575398	319824	Adolescente
575399	104004	
575400	282288	
575401	280803	Lady in Waiting
575402	185369	Joy Carrington
575403	19334	La flic Stups
575403	225360	Femme policière
575403	278734	Patiente Vincent
575404	67732	Vietnamese woman
575405	80608	Pregnant Woman
575405	346857	Katia
575406	32519	Caroline
575406	37012	Claudia Hasting
575406	120202	Carol Lake
575406	133347	Vicky
575406	185174	Louise
575406	221183	Nancy Culpepper
575406	291447	Lita Lata
575406	292793	TV Anchor
575406	333055	Jan Sokol
575407	72457	Eddie
575408	17977	Grace Hallam
575409	362434	Herself
575410	102616	Signorina Ridolfi
575411	381188	Mary
575412	313717	Herself
575412	390812	Julia Blum (2001; 2002-2004; 
575413	381514	Herself (2002)
575413	411386	Herself
575414	202255	Angela
575415	89860	Waitress
575416	75144	
575416	158930	Girl #3
575417	35292	Hanni
575417	336967	
575418	250708	Patricia enfant
575419	26685	
575420	389968	Joanna Sweet
575421	153241	Religious woman
575421	158596	
575422	138494	Chambermaid
575422	275999	Location News Reporter
575423	35105	Herself (colleague)
575424	157293	Miss Cutting
575425	15886	Jean
575426	254523	Black Singer
575427	1145	Cassandra
575427	2341	Kim Stone
575427	2573	Herself
575427	2761	Herself/Presenter, Outstandin
575427	2787	Herself
575427	2889	Herself - Best Supporting Act
575427	5056	Gail Cain
575427	26352	Robin
575427	30741	Anne Ware
575427	37474	Gracie Law
575427	43606	Judy McCoy
575427	46393	Allison Meadows
575427	47223	Herself
575427	57665	
575427	64836	Wickings
575427	67584	Joanne Nicholls
575427	72854	Dr. Amanda Mayson
575427	73796	Katie Barlow
575427	73887	Caroline
575427	80774	Susan Franklin
575427	84829	Constance Hurry
575427	91914	Caroline/Lisa
575427	105196	Liz Wells
575427	105613	Carla Rainer
575427	108104	Aunt Eva
575427	131348	Linday Isley
575427	132184	
575427	141965	Susan
575427	147453	Lise
575427	148925	Chris Nelson
575427	155266	Gen's Mom
575427	160464	Herself
575427	161225	Herself
575427	161296	Herself
575427	161727	Dr. Sheila Moran
575427	192574	Jamie
575427	204553	Ema 'Emmy' Hesire
575427	207280	Brooke Morrison
575427	213114	Alexa Schubb
575427	214933	Dora Adams
575427	216970	Ulrike
575427	221483	Herself
575427	232189	Regina Kenton
575427	242431	Jane Hood
575427	246987	Odessa Muldoon
575427	259214	Cadet Karen Thompson
575427	260663	Honeywell
575427	276789	Justine de Winter
575427	281918	Joyce Donnovan
575427	295601	Samantha
575427	295609	Samantha Jones
575427	302949	Paula Bennett
575427	311523	Michelle
575427	313399	Lt. Valeris
575427	332418	Ruthie
575427	339510	Sally Haines
575427	341885	Danny Boudreau
575427	342880	Sydnie
575427	346933	Kelly
575427	363478	Racquel Chambers
575427	380240	Genna Harrison
575427	403027	Anne Kent
575427	404570	Melanie Adams
575427	404946	Samantha Jones
575427	411139	Paige Katz
575428	48554	Saloon Girl
575429	26700	
575430	65754	Ticket Agent
575430	95114	Minh
575431	369421	Receptionist #2
575432	158759	Germaine Rivaud
575432	270868	
575432	387217	Moglie dell'ispettore capo
575433	311897	Herself
575434	152621	Emilienne
575435	369982	(group 'Paquitas')
575436	264904	
575437	283305	Village Woman
575438	62002	China
575438	157603	Wendy Sewell
575438	194184	Ruth Wallace/Sian
575438	211352	Jessica
575438	273346	Liz Fenton
575438	379727	Dawn
575438	386563	Louisa Glasson
575438	390777	Nicky Lennon
575438	398559	DI Kate "Ash" Ashurst
575438	410070	P.C. Cheryl Hutchins
575439	21730	Latifa
575439	85395	
575439	243158	Hélène
575439	274494	
575439	285696	Fella
575439	307488	Mariem
575439	318616	
575439	345564	Lucia
575439	381193	Susanna
575440	21730	Fatma
575440	285244	
575441	211662	
575442	52619	
575442	62201	
575442	77752	
575442	100335	
575442	148166	
575442	171466	
575442	220740	
575442	253446	
575442	317949	
575442	353659	
575442	378464	
575442	378467	Dona Juana
575443	56031	
575444	235296	Compañera Fábrica 1
575445	60889	
575445	112233	Lolotte
575445	287322	Hospital Nurse
575446	162104	Sor Gloria
575448	107261	Girl in Restaurant (Extra)
575449	6591	La femme du concierge
575449	183906	Anne
575449	319819	Jeanne
575449	337734	
575449	377050	La directrice de l'école
575449	377976	
575450	339924	
575450	396524	Sylvie
575451	16878	Serving Girl
575452	202523	Herself
575452	202526	Herself
575452	202527	Herself
575453	307590	Marie
575454	160492	A Student
575455	66305	Teacher at pie auction
575456	279694	Bertie
575457	4926	
575458	282781	Pierre
575459	134369	
575460	254033	Joseph
575461	24855	Marianne
575461	69468	Brigitte
575461	73141	Catherine
575461	85693	Blanche de la Force
575461	86820	
575461	111291	
575461	194144	La sondeuse
575461	201028	
575461	211630	Rose Sélavy
575461	251534	Pauline
575461	345368	Virginie
575461	347566	La fille d'Eva
575461	357115	Annette Essaillon
575461	409602	
575462	220608	Amica
575463	339110	Vicky
575464	379614	Mercedes Domínguez #1
575464	379653	Magdalena Arredón
575464	386531	Angela Rey Arias
575464	396211	Luisa Fernanda
575464	399522	Lic. Julia Moreno
575464	399823	Silvia Requena Ortiz
575464	402050	Gabriela Galván
575465	108600	Goth
575466	256612	Young Girl
575467	76222	Ninotchka
575467	135387	
575467	187191	Margot
575467	187193	Margot
575467	245265	Susan Clark
575467	279460	The Wrong Tiffany
575467	317309	Bar Hottie
575467	348608	Sandra
575467	349860	Lily Voight
575467	363780	Tori
575467	372261	Diane
575468	345136	Corinne
575469	19344	
575470	266053	Michelle
575471	72290	Lisa
575472	286228	Dancer
575473	51975	Inmate
575474	352251	
575475	63190	
575476	205590	Louisa
575477	37555	Mrs. LaPorte
575477	128308	Alice
575477	131534	Mother of Student
575477	202952	Jane Whitney, Youth Rally Spe
575477	353418	
575478	3631	Herself
575478	29150	Emma Caulfield
575478	79059	Caitlin 'Cat' Greene
575478	154742	Charlie
575478	201655	Herself
575478	381811	Susan Keats (1995-1996)
575478	382955	Anya Christina Emmanuella Jen
575478	389858	Lorraine Miller (1996-1997)
575479	190284	
575480	41930	Mary O'Hara
575480	48623	Nora Johnson
575480	57037	Sharleen Travers
575480	71422	Herself
575480	78722	
575480	81009	Ruth Wilkins
575480	81023	Ruth Seacroft
575480	94881	Herself
575480	139987	Sarah McCoy
575480	183813	Dorinda Hatch
575480	184826	Deborah Owens Clark
575480	200362	Lulu
575480	215658	Margaretta Howe
575480	218257	Mimi
575480	254283	Professor Victoria Braymore
575480	260086	Charlotte
575480	271294	Fern Simon
575480	274379	Dakota Lil McCoy
575480	285782	Jane Stanton
575480	310183	
575480	347724	Matilda Frazier
575480	350645	Herself
575480	361176	Trudy Mason
575480	398685	Liz Cooper (1953-55)
575480	404158	Sally Truesdale
575481	58959	Dancer
575481	86307	Hooker
575481	157436	School Reporter
575481	280298	Secretary
575481	290906	Actress on Soap Opera
575482	100131	Ballet Dancer
575483	95133	Woman Expert
575483	182977	Sheila
575483	261985	
575484	51416	
575485	70806	Isabel Rawlston
575485	88855	Carlotta
575486	212782	Laura Vaillant
575487	84596	Une invitée
575488	148629	Josette
575489	6697	(segment "Corridor")
575489	37781	Sub-Principal
575489	71098	The Old Woman
575489	383117	La grand-mère
575490	27830	Izolde
575491	13113	Anne Frendo
575491	22681	La secrétaire de César
575491	23638	Camille
575491	32029	
575491	107532	Marie
575491	198594	Hansi
575491	214003	Nina
575491	217850	Louisa
575491	264226	Sophie
575491	276385	Claire
575491	285769	
575491	287603	Marie
575491	299882	Fiona "Fifi" Koko
575491	345233	Sophie
575491	351424	Milli Vanilli
575491	356055	Lola
575491	356362	Nadia
575491	377629	Juliette
575492	132995	
575492	217717	
575492	322337	La Soubrette
575493	25681	
575494	187712	Taylor
575495	274384	Princess
575496	267499	Laura
575497	81155	
575498	64301	Herself
575499	84109	Dame passante
575500	353822	Herself (La centenaire)
575501	113123	La vieille dame
575502	167195	
575503	51310	La dame du square
575503	61423	Mme Le Guern
575503	63657	
575503	94867	L'hôtesse
575503	104541	Mathilde d'Aubrion
575503	163820	La soeur d'Al
575503	227317	La vendeuse 'Astroflash'
575503	254123	Madame Ménard
575503	263620	La militante
575503	268417	L'infirmière
575503	268418	Femme "Carpaccio"
575503	337013	Esmeralda
575503	383117	Le documentaliste radio
575504	351863	Cliente 2
575505	398197	Carla Santos Silva
575506	72717	Mary Johnson
575507	327547	La patronne du bistrot
575508	407501	Barbara
575509	217660	Rimbaud
575510	356388	Coralie
575511	84642	
575512	78093	Opera singer
575512	148682	Odile Natange
575512	197535	
575512	353886	
575513	245008	Solid Gold Dancer
575513	304529	Girl in Shower/Fan
575514	191467	La belle-soeur de Lise
575514	392911	La Fleuriste
575515	377588	Madre di Tore e Gennariello
575516	93800	Waitress
575516	110967	Female Jail Guard
575516	147300	
575516	208965	Auntie Margaret
575518	18669	Catarina
575519	168182	
575519	257216	
575519	269141	(segment "72 ans-Angèle")
575519	336845	
575520	380993	Vale
575521	14205	Tanya Mousekewitz
575521	26141	Mary
575521	56654	Additional Voices
575521	87009	Additional Voices
575521	113332	Additional Voices
575521	127094	Additional Voices
575521	134594	
575521	165976	Additional Voices
575521	190869	Additional Voice
575521	191246	Additional Voices
575521	210721	Voice Over
575521	224109	North Star
575521	262132	Blossom
575521	262133	Blossom
575521	262134	Blossom
575521	262136	Blossom
575521	307902	Party Guest
575521	313548	
575521	350723	Frei/Platina
575521	381102	Jennifer Jane Parker
575521	385727	Additional Voices
575521	388651	Tanya Mousekewitz
575521	393424	Additional voices
575521	394390	Glitter (1984)
575521	397930	
575521	401489	Additional Voices
575521	402016	Blossom/Additional Voices
575521	403553	(1978 English dub)
575521	410930	Mom (2001-2002)
575522	224481	
575522	390410	Yvette van Cloppenburg (#1) (
575523	61103	Genuflessa
575524	314135	Nadi
575524	347688	
575524	360536	Rosemarie's Daughter
575525	89787	Le spectre
575525	377963	
575526	15035	Mme Designy
575527	345321	Une cliente
575528	115833	
575529	385947	
575529	391674	Luiza
575529	395302	Verinha
575529	408592	Odete
575530	268987	
575531	42976	
575532	13203	
575532	23546	
575532	43416	
575532	44328	Attrice
575532	109344	Carlotta
575532	191149	
575532	202093	
575532	316841	
575532	338343	
575533	89397	Tânia
575533	248547	
575534	3566	
575534	20696	Emaësa
575534	208814	
575535	245456	
575536	8581	
575536	8582	
575536	90457	
575536	222191	
575537	283051	Criada
575538	23979	
575539	238371	
575539	302112	
575540	12080	
575540	205696	
575541	302549	
575542	104834	
575544	294995	
575545	293646	
575546	8581	
575546	344793	
575547	99107	
575549	350140	
575550	274904	
575551	51783	(segment "Despejo, O")
575551	76066	
575551	101791	
575551	197446	
575551	267494	
575551	328191	
575551	344869	
575551	350140	
575552	157459	
575553	103945	Herself
575554	192406	Anne Moffatt
575554	287127	Mrs. Carlton
575555	335872	Maid
575556	92010	Homer's Mother
575557	96197	Nurse
575557	251527	
575557	401329	L'infirmière
575559	29880	
575559	31665	
575559	32193	
575559	73757	Etta Billings
575559	80496	Alice Wilson
575559	264045	Elsie
575559	315150	June Marston
575559	326474	Maisie
575559	342568	Gwen
575560	326536	Donna al bar
575561	58616	
575562	55301	
575564	202125	Actress
575565	30415	
575565	198193	Gina
575565	222146	Lúcia
575565	351565	
575565	357192	
575566	104339	Princess Cordelia
575566	196205	Gismonda
575566	204659	Manon Lescaut
575566	281624	
575566	311810	
575566	342754	Diana di Marchesi
575566	367556	Leonora, 'La Vecci'
575567	112683	
575568	178020	Maggie Wallace
575568	274027	Maddie Rose
575568	335982	Miss Moore, Chorus Member
575568	351972	Married Woman
575568	381729	Francesca
575568	384585	Amy (1999)
575568	388133	Christine
575568	397299	Penny Milner, paramedic (1995
575568	404698	Janine
575569	57287	D. Odete
575569	212142	Noémia
575569	380332	Irmã Damiana (Bochechas)
575569	382448	Das Neves
575569	391437	Various Roles
575570	226931	Dancer
575571	4638	Jessica
575571	132557	
575571	259713	Ragazza frullato
575572	1292	Sami
575572	14369	Francesca
575572	14755	Lidia
575572	16867	Dolores
575572	53835	Laura Benetti
575572	57314	Daia
575572	70501	
575572	112683	
575572	256958	
575572	263412	
575572	263707	Bus driver
575572	269187	
575572	307063	Girlfriend
575572	311812	Giovanna
575572	342134	Giulia Rinaldi
575572	375237	Marina
575572	383916	Ermengard
575572	386752	Nina
575572	394086	
575572	397811	Nena
575572	401510	Esther Rasi
575572	403220	
575572	404313	Maria Potenza
575572	406001	Manuela Cosentino
575573	204613	
575574	257886	
575575	337029	Marianne (enfant)
575576	2030	Art Director
575577	337029	
575578	107316	
575579	32385	Lefjärd as Young
575579	399850	Liza Hammarbrand (62 episodes
575579	402479	Sofia, tärnan
575579	404967	Bella
575580	22770	
575580	381720	Julia
575581	211617	Fairy
575582	13181	Lígia
575582	23392	Simone
575582	54815	Dina
575582	70067	Cláudia
575582	239922	Maria
575582	344722	Dalva
575582	385522	Young Edilásia
575583	10858	Jane
575583	49717	
575583	53834	
575583	55969	
575583	56328	Gaia
575583	68781	Sarah Koch
575583	70620	
575583	70835	Daniela
575583	73381	Matè
575583	109087	
575583	162030	Rossana
575583	219604	
575583	238012	
575583	239974	
575583	242302	Vittoria De Longhi
575583	242831	
575583	253516	Simona
575583	274324	Daria (segment "The Fling")
575583	309786	
575583	356523	
575583	375239	Elena
575583	379854	
575583	386811	
575583	386812	Giulia Nobili
575583	387305	Claudia De Renzis
575583	392738	
575583	392743	Doris
575583	400101	Melissa
575583	401970	Ornella Bruni (2001- present)
575584	3169	Bit part
575584	23503	
575584	52784	Michelina
575584	60121	
575584	94684	Immacolata di Rosa
575584	124571	Mariannina
575584	128027	Olimpia
575584	188644	(segment "La seconda moglie")
575584	204772	
575584	219570	
575584	234559	
575584	286174	
575584	336589	
575584	341343	
575584	350428	
575584	353088	Boarder
575585	12695	
575585	13068	Elisabetta
575585	19330	Pamela
575585	42596	Fausta
575585	43346	
575585	51396	La femme
575585	55900	Katia
575585	56350	Simona
575585	70501	
575585	80330	Fiorella
575585	91886	Dr. Maria Trifioli
575585	101254	Claudine
575585	135363	Susan
575585	169135	Asenath
575585	183480	
575585	188600	Donna Incinta
575585	199801	
575585	205965	Maria Boschi
575585	207622	Fanny
575585	214003	
575585	215136	La cantatrice
575585	229618	Sibille
575585	253994	Marianne, mère de Jules
575585	269094	Sofia
575585	269705	Lilli
575585	272390	
575585	278957	
575585	285268	
575585	296737	Amalia
575585	313174	Tosca
575585	316803	Gallio's secretary
575585	327813	
575585	343557	
575585	349418	Ines
575585	380622	Marie
575585	380990	Viviana
575585	386153	Marianne Steenfort
575585	390091	
575585	397920	Gabriella
575585	403413	
575585	409591	
575585	410074	Marie
575585	412017	Elisabeth Saint-André
575585	412266	Paola Rinaldi-De Graf
575586	213703	
575586	234639	
575587	74907	
575588	410311	Irene Monteleone
575589	283548	Woman at Meeting
575590	203716	Friday
575591	2019	Little Girl
575592	14900	
575592	17287	ragazza scippata
575592	18159	
575592	57021	Otilia
575592	76403	Caterina
575592	82939	Francesca
575592	99061	
575592	104000	
575592	135149	Nina
575592	150524	Abducted Hotel Guest
575592	186154	Marta
575592	214869	
575592	240264	
575592	341517	Monica
575592	342116	Professoressa
575592	392691	
575593	131367	
575593	142301	Cora
575593	144657	
575593	145899	Tea shop lady
575593	163589	Nurse
575593	168453	Mrs. Lundy
575593	184858	
575593	231127	Miss Wilkes
575593	281424	
575593	324142	Nun
575593	372120	Aunt Sue
575593	379352	Widow Douglas
575593	403931	Mrs. Almond
575594	184578	Lena Petrie
575595	400519	Marina (Series 2) (1961-1962)
575596	77189	Det. Sgt. Dawn 'Spike' Millig
575596	77203	Det. Sgt. Dawn 'Spike' Millig
575596	77211	Det. Sgt. Dawn 'Spike' Millig
575596	77213	Det. Sgt. Dawn 'Spike' Millig
575596	190724	Cathy
575596	191081	Leanne
575596	274994	Sam
575596	295565	Ruby
575596	326600	Joy
575596	349582	Sheila
575596	382332	Anita Kendrick
575596	384968	WPC Mel Draper
575596	385598	DS Dawn 'Spike' Milligan (200
575596	385627	Billson (segment film two)
575597	318811	Laughing Hooker
575597	331309	Nicki
575598	40224	Stressy
575598	48939	The Meter Maid
575598	69258	Helene
575598	92694	Essie
575598	105945	Prison Warden
575598	117136	Levinia Yoder
575598	129094	
575598	154427	Mrs. Delores Beekman
575598	167697	Judy/Vox 2000
575598	167698	Judy Neutron/VOX
575598	167699	Judy Neutron/Mrs. Vortex
575598	167710	Judy Neutron
575598	170843	Willow
575598	186650	Marla Hooch (2nd base)
575598	201696	Herself
575598	209638	Mo
575598	222704	
575598	271343	Charlene Hobbs
575598	278721	
575598	279755	Broomhilde
575598	326597	Girl Next Door
575598	327756	Chris One
575598	329411	Lu
575598	330386	Mrs. Ledbetter
575598	331603	Megan
575598	331981	Fighter Pilot #2
575598	331993	Old Woman at Dinner, Geranium
575598	358569	Nurse
575598	359700	Megan
575598	379311	Judy Neutron
575598	382359	Chris Szelinski (1993)
575598	395309	Marla Hooch
575598	402954	Julia
575599	382128	Amber
575600	2761	Herself
575600	4364	Mona
575600	26064	Babe the Gallant Pig
575600	28708	
575600	32995	Herself
575600	37331	Dexter
575600	56966	Cathy Andrews
575600	56975	Cathy Andrews
575600	56976	Cathy Andrews
575600	82463	Bridgette
575600	85248	Dexter
575600	85249	Dexter, D22, Old Man Dexter
575600	92269	Leslie McCoy
575600	109395	Madge-Simone's Fanclub
575600	114043	Dexter
575600	132631	Alien Kid #2
575600	166917	Mrs. Remo
575600	192316	Pepper
575600	216469	Police Officer
575600	245236	Girl
575600	283102	Chuckie Finster
575600	283104	Chuckie Finster
575600	283105	Chuckie Finster
575600	283106	Charles 'Chuckie' Finster Jr.
575600	283107	Chuckie Finster
575600	283108	Chuckie
575600	309576	Anna Weisland
575600	319017	
575600	345647	
575600	358055	Birdie
575600	372203	Bernice
575600	378703	Wizzer/Dumpling (1996-1998)
575600	379027	Oblina
575600	379568	Additional Voices
575600	383538	Dexter (2000)
575600	383680	Bamm-Bamm Rubble
575600	385261	Marty Sherman & Additional Vo
575600	385727	Gosalyn Waddlemeyer-Mallard
575600	386242	Dexter (#1) (1996-1998; 2001)
575600	402016	Bunny/Bud Smith/Additional Vo
575600	403907	Charles 'Chuckie' Finster, Jr
575600	405429	Carol the Book Worm
575600	411136	Kathee
575601	114693	Best Friend
575602	363268	Woman in Crowd
575603	261509	Tammy Skye
575604	222136	Herself
575605	37691	Auditioning Girl
575606	157436	Student
575607	261454	Reporter #2
575608	186809	Viola Devore
575609	242508	Maureen
575611	47078	Art Student
575612	318162	Police Officer #2
575613	340775	Lead Hooker
575614	31663	Bonnie
575615	344317	
575616	164434	
575616	251313	Bea
575617	9032	Nurse
575617	29728	Mrs. O'Hare
575617	32209	Hat Saleslady
575617	37051	
575617	79826	Gertie
575617	82928	Patient (Miss Mason)
575617	92161	Miss Minkie, dental patient
575617	105217	Colvin's Music Teacher
575617	140332	Genevieve, the Pianist
575617	140408	Office Supervisor
575617	145671	Miss Pilot, Radio Announcer
575617	154199	Darcy's Secretary
575617	154488	Agatha
575617	159473	Bit Role
575617	163648	Early morning customer
575617	195281	Miss Gimple
575617	210454	
575617	228588	Pansey, Hardwick Maid
575617	239657	Travel Agency Clerk
575617	254602	Mrs. Dilweg
575617	313974	Radio Store Customer
575617	331469	Third Woman on Autograph Line
575617	333433	Hosiery Saleslady
575617	372361	Sarah Smith, female gossip
575617	375044	
575618	359914	Mrs. Reed
575619	309310	
575620	207771	Carlotta
575620	317536	Trapeze Lady #1
575621	23557	Secretary
575621	342683	Woman in Bathroom
575622	398661	
575623	52840	Charlotte
575624	383261	Ada
575624	402077	
575624	404172	
575624	411710	
575625	81346	Page
575626	254339	
575627	23277	Rebeca
575627	29104	
575627	40533	Sister Rosa
575627	44844	Inez
575627	48852	
575627	68554	Tita
575627	100519	
575627	101832	
575627	101864	
575627	106115	Laura Silvera
575627	111884	María Ponce
575627	119302	
575627	158462	Patria Mirabal
575627	175110	Wood Nymph
575627	184445	Rosie
575627	185662	Luz
575627	204184	
575627	207052	Laura
575627	212483	
575627	294861	Rebeca
575627	303309	La nena
575627	318370	Rosio
575627	341725	
575627	355820	Antonia
575627	407529	
575627	408848	Cristina
575627	410450	Amada Díaz
575628	403924	Sara
575629	100148	Uncredited
575629	366764	Angela
575630	159050	La Madrota
575630	277378	
575630	292708	
575630	351643	Sonia
575631	294526	
575632	334316	Nurse
575633	46456	Lucia
575633	141068	Angelica
575633	166940	Dinner Model
575633	238829	Martina
575634	67838	Jennifer
575634	359202	Peggy
575635	224361	
575636	108314	Mrs. Baildon
575637	406212	Maisie Simm (2002-2003)
575638	41352	Dottie Woo
575639	406383	
575640	157457	Son Tu
575640	281096	
575640	350641	
575641	160504	Secretary
575642	149258	Cotton Club Dancer
575643	364378	Swing
575644	158141	Zoo patron
575645	376920	Infirmière
575646	353660	
575647	69814	Lauren Udall
575648	219824	
575649	558	
575649	14300	Sängerin
575649	17049	
575649	17056	Edda
575649	19621	La directrice
575649	51927	Vocals
575649	83880	Hotel receptionist
575649	87287	
575649	110114	Singer in bar
575649	111404	
575649	130963	
575649	136717	Magdalena Fuller
575649	144331	
575649	144333	
575649	153730	The merchant's great love
575649	155485	Herself
575649	157648	Die rote Zora
575649	172064	Placida
575649	189611	2. Prostituierte
575649	194360	Inga
575649	197115	Lola Montez
575649	198614	La femme du bar
575649	202505	Malou
575649	206581	Ilse
575649	211679	La mère
575649	217804	
575649	223460	Corinna
575649	232657	Screaming girl
575649	237177	Ingrid
575649	237316	Anne
575649	247183	La Paloma
575649	278573	Hannas Kollegin
575649	288498	Lisa
575649	289880	Lily Brest
575649	293421	Herself
575649	314857	Sängerin
575649	322936	Dr. Laura
575649	327577	La Princesse russe
575649	328994	Madame
575649	334513	
575649	352028	
575649	354788	Alma
575649	359503	Statistin
575649	359616	
575649	359620	Nachbarin
575649	361305	Uschi, journalist and Voice o
575649	365591	Claudine
575649	373660	
575649	376500	Lilo
575649	376579	Dora
575649	408652	
575650	281182	Vanessa
575651	295114	Herself
575652	411426	Correspondent
575653	146753	
575654	14231	Judith Browns
575654	47191	Nurse
575654	118648	Mrs. Youngman
575654	231130	Betty Tyler
575654	325005	Lucy
575654	390523	Mrs. Schubert (1978-1979)
575654	402398	Nell Holdsworth (1971)
575655	115178	Lady Bentham
575656	50290	Wife
575656	150747	Eel Monger
575656	183804	Nurse
575656	191491	Maid
575656	221112	Mrs. Higgins
575656	329421	Alice Forsyte
575657	315534	
575658	362455	
575659	258732	Jean Forbes
575660	9004	Miss Pepper (principal)
575660	13805	Mrs. Day
575660	16746	Aunt Dottie
575660	88102	Ella
575660	134529	Mrs. Friendly
575660	163188	Convience Shop Clerk
575660	223649	Gladys Rutherford
575660	234116	Penelope
575660	294976	Susan
575660	304747	Ruth Farmer
575660	318188	Suzanne Steinman
575660	403072	Lily Chadwick
575661	24496	Rosinha
575661	30983	
575661	70770	
575661	181446	
575661	191436	Inaura
575661	269231	
575661	308504	Tânia's Sister
575661	380196	Patricia
575661	380919	Rosinha
575661	383464	Marta
575661	385184	Bárbara Maciel
575661	386728	Rosália
575661	388681	Maria Leopoldina
575661	395044	Fernanda Peixoto
575662	205737	La mère d'Henri
575662	324461	
575662	345522	Femme du banquier
575663	325942	
575664	220005	
575665	47311	
575665	77914	Dora Mayhew
575665	112183	Guest at Lockhart Home
575666	342924	Big Men Big Women Dancer
575667	310679	Dancer
575668	171349	Margaret Patterson
575668	238236	Brenda
575668	243647	Anne of Two Waters
575670	90687	
575671	118414	Co-worker #3
575672	383519	Laura
575673	157066	Animatrice télé
575673	265717	
575673	387058	Elvira
575674	104659	
575675	222441	Jesi li za sokic?
575676	239451	
575677	4656	(segment "Mundo mágico")
575677	30749	Manuel's Mother
575677	99484	
575677	222404	
575677	293789	
575677	384054	Verónica Mendoza
575677	396984	Adelaida
575679	230127	Nude Woman
575680	16124	Vivian
575681	64408	Smitty
575681	210230	Ginny
575681	281226	Julie-8
575681	365742	3rd Actor
575681	404606	Katy Donell
575682	173518	Big Bertha Bogliani
575683	224227	Stewardess
575684	41243	Sister Martha Ann Jackson
575685	269295	Camilla Cruger, Horsie segmen
575686	43725	Bonnie's mother
575687	56927	
575687	74621	
575687	158758	Signora Wilton
575687	247563	
575687	386743	Angela Ward
575688	166556	Herself
575689	275653	Toine's wife
575690	269025	
575692	185118	Woman
575692	210566	Woman in the car
575692	231126	Mother Nugent
575692	302198	Felicia O' Malley
575694	209830	Sara Carati (8 Years Old)
575695	380911	Herself - 8th Place (2003)
575698	101243	
575699	169676	Casey
575700	402610	Helen Maloney
575701	313357	
575702	118623	Nurse #3
575703	274198	Girl In Love Scene
575704	356230	Model
575705	367714	Woman's hand
575706	64400	Rugby Girl
575707	281901	Reporter
575707	407011	Wonder Woman
575708	76958	Ethel Balderow
575708	194020	Mrs. Suiker
575708	198065	TV Lisensie Vrou
575709	1729	Announcer
575709	68682	Herself - Narrator
575709	283798	Herself
575709	328806	Celebrity Participant
575709	351431	Angel
575709	385319	Host (series 1)
575709	385320	Host
575709	390112	
575709	395764	Herself - Presenter (2000-200
575709	399425	Co-Host
575709	405444	Presenter (-2000)
575709	408555	Herself - Presenter (2002-)
575709	410136	Herself - Presenter
575710	149444	Jennifer Baker
575711	161051	Trauma Nurse
575712	387533	Julie (2000)
575713	293030	Sheri
575714	144744	
575715	195137	Femme ordinaire
575715	396525	Marthe Deschênes
575715	407807	Marie-des-Neiges Desrosiers S
575716	276605	Irma
575718	41888	Porn actress #1
575718	133345	Suzy
575718	145068	Sandra
575718	194405	Pig Pen Girl
575718	216806	Young Woman
575718	238252	Swimsuit model
575718	266588	Wendy Fields
575718	273931	Lady biker
575718	291452	T & A Cheerleader, Chesty Col
575718	383964	Georgette
575719	212384	
575719	212691	Reporter
575720	157716	Marcia Brand
575721	207012	
575722	54898	Madelon
575722	132053	Dorothy Smith
575722	241979	Eliza
575722	261145	Elisabeth Falk
575722	345604	
575722	409860	
575723	13032	Ayse
575723	34216	
575723	381050	Bilge (2000-2001)
575724	125346	
575725	306399	Bootblack
575726	27749	
575726	214260	Herself
575726	384480	Herself
575727	382578	Marisol Campoverde Martel
575727	398472	
575727	405835	Daniela Bustamante
575728	382578	Patricia 'Patty' Campoverde M
575728	383684	Alicia
575729	381721	Paloma Velacochea
575729	397015	Gabriela 'Gaby' Aguirre Gonzá
575729	408793	Cinthia
575730	224854	Mlle Dornet
575731	67209	Mme Delajette
575731	111022	Elodie
575731	132743	
575731	132899	Martine Ravier
575731	153241	Sick lady
575731	228563	Le scripte
575731	370059	Jeanne
575732	15373	Ashley
575732	26380	Megan
575732	101070	Christa Hawkins
575732	104999	Sitcom Actress Becky
575732	117091	Masseuse
575732	142411	St. Claire
575732	160885	Toilet Paper Lady
575732	176712	Rocket
575732	181005	TV Studio Woman
575732	263105	
575733	83177	Pearl
575734	46942	Annie
575734	135342	Lorna
575734	146362	Yvonne
575734	199315	Ginette
575734	242353	Florence/Culculine
575735	70939	
575736	312946	Natalia Trotsky
575737	13047	
575738	169916	Sandra Kline
575738	196481	
575739	268400	
575740	76149	
575741	105720	Herself - Romanian dictator's
575741	204867	Herself
575742	132750	La secrétaire
575743	248984	
575744	148629	La technicienne du son
575744	254864	L'infirmière
575745	10152	Flight Attendant
575745	56545	Herself
575745	100221	Dr. McLean
575745	381121	Zandra Plackett (Series 1-2) 
575746	63650	La standardiste
575746	96233	Herself
575747	159522	
575747	345037	Florence
575748	307335	Alia
575749	255235	Patti Wong
575750	80288	
575750	301863	
575751	218152	Storyteller
575752	69713	
575753	55405	Herself
575754	153846	Membre du groupe de Johanna (
575755	238590	Mother Superior
575756	254013	Les 'Yeux noirs'
575757	112652	Julia Borman, the obstetric
575758	159450	Lizbeth
575759	19798	Old Lady
575759	140184	Yola
575759	142838	Mrs. Hanagan
575759	144950	Julia
575760	224891	
575761	220099	Bellhop
575762	377635	
575763	353470	
575765	350904	La seconde amie de Pierrot
575766	12372	
575767	249209	
575768	350050	
575769	2709	Henry & Lucy's Daughter
575770	85899	
575771	3545	Organizador
575771	378366	
575772	293317	Himself
575774	43715	
575774	68440	
575774	159647	
575774	199291	
575775	104646	
575775	246209	
575775	323661	
575776	101638	Esther
575776	330999	Anna Knudsen/Anna Knutzhorn
575776	336265	Anfitriona
575776	339696	Lola
575777	35022	Alma
575778	14659	Secretary
575779	73285	
575779	83406	
575779	110415	
575779	114321	
575779	114324	
575779	135357	
575779	205379	
575779	231283	
575779	256790	
575779	273842	Andrea Novelo (segment "El po
575779	332665	
575779	343630	
575779	383273	
575779	401916	
575779	401918	
575780	83424	
575780	148085	
575781	8574	
575781	14259	
575781	25025	
575781	45376	
575781	70862	Ana
575781	73276	
575781	75484	
575781	92943	
575781	104524	
575781	108732	
575781	119862	
575781	121224	
575781	121392	
575781	132678	
575781	135301	
575781	146572	
575781	187887	
575781	193340	Dona Elvira
575781	193505	
575781	206313	
575781	226430	
575781	236303	
575781	244611	
575781	252612	
575781	278424	
575781	279707	
575781	296449	Señora del primero
575781	336322	
575781	373757	
575781	378411	
575782	14259	
575783	23070	
575783	42659	
575783	48293	
575783	51540	
575783	55259	
575783	55558	
575783	74907	
575783	85554	
575783	131970	
575783	148104	
575783	170049	Lisette, mucama
575783	199914	
575783	235984	
575783	287914	
575783	318006	
575783	328170	
575783	387083	Madame Francoise
575783	387127	Alicia Soler de Ramos
575783	396149	Ana
575783	399497	Adelaida
575783	402321	Carmen Montano de López
575783	403172	Doña Anyela
575783	409790	Babú
575784	45707	Sheryl
575784	136128	Wedding Dancer
575785	5292	
575785	64348	Evacuee
575785	69039	
575785	69941	Monica, moglie di Giacomo
575785	211804	
575785	229598	
575785	233068	
575785	265462	
575785	265714	
575785	308878	
575785	319323	
575785	348185	
575786	58666	Sharia
575786	58667	
575787	207828	Child in Classroom
575788	323841	Swimmer
575789	3637	Herself
575789	177371	Herself
575789	384590	Herself (on trial, corpse)
575790	220482	Nenette/Girl #1
575790	258853	Ernestine
575791	103940	
575792	337099	Herself
575793	128089	Topless Dancer
575794	61756	
575795	334576	Flora
575796	357899	Rosa
575797	61535	
575798	205137	
575799	284331	Rosa
575800	105280	Hospital Dancer
575800	108474	Dancer
575800	213452	Greek Chorus
575801	350166	
575802	208565	
575803	73468	Mother
575803	277396	
575803	318259	Muchacha casa Taboada
575804	30406	Vanessa
575805	272878	Leonor
575806	340401	Marina's Friend
575807	74600	Lita del Valle
575807	276121	
575807	333707	
575808	282416	
575809	95481	Jenna
575809	217465	Princess Liliuokalani
575809	333058	Jazz Singer
575810	12975	Maria Dalgeri
575810	129036	Teresina Stolz
575810	186984	Maria Cebotari
575810	205549	Maria Malibran
575810	223486	Flamma Appiani Vanni
575810	225143	
575810	238286	Maria Teodorescu
575810	307064	Madame Butterfly
575810	307665	Fiamma Appiani
575810	313643	Marina Marta, Opera Singer
575810	340102	Singer
575811	70116	Carlotta
575811	112864	Monique
575811	124419	
575811	281928	Habilleuse remise
575811	345342	Conception
575811	346516	Bobo
575811	346819	
575811	370420	
575812	219498	Le Maîtresse de danse (Profes
575813	409673	Host (2002-2004)
575814	43638	Yolande Fontaine
575814	58232	Mme Jamain
575814	198342	Mme Sillman
575814	211658	Frédérique
575814	228202	Ghislaine
575814	248711	La douanière
575814	279249	Mère de Kevin
575814	291060	Marie
575814	291575	Le substitut
575814	328049	
575814	336985	Judith
575814	340119	
575814	346446	L'Accouchée
575814	346563	La cliente
575814	351254	Elisabeth
575815	101055	Athletic female sniper
575815	114481	
575815	185854	Zweite Dame (Lady #2)
575815	252643	Toillettenfrau
575815	325564	
575815	325722	
575816	76617	Juanita
575817	339469	Margentina
575818	196660	Doralice
575819	9423	
575821	104896	Eve Barring
575821	231399	Gina Torrance
575822	83201	
575822	96036	Receptionist
575822	148758	Chef Policier
575823	68980	
575824	135146	
575824	189303	
575824	196715	Maria
575824	211871	Nobildonna di Mantova
575824	257015	Rita
575824	293342	Renata's daughter
575824	338714	Martina
575824	341364	
575824	355612	Laura/Eleonora
575825	344443	Prostituta
575826	255061	
575826	269711	
575826	376467	Maria
575827	393	
575827	68417	La commessa
575828	396610	Raquel (1995)
575829	79674	Lead Zombie (nurse)
575829	175575	Head Nurse
575830	16181	Donna bowling
575832	346596	Sabine
575833	335940	
575834	3864	Herself
575834	14394	Herself
575834	42597	(segment "Renzo e Luciana")
575834	162065	Herself
575834	281256	Herself
575835	23571	Uraia
575835	168114	Cantante nel tempio
575835	252413	
575835	283814	Alexandra
575836	127986	Journalist #1
575837	202700	Mama
575838	26681	Annalisa
575838	86757	Amica di Stefania (Stefania's
575838	212094	
575838	245801	Impiegata palchimica
575838	253711	
575838	261577	Marta
575838	375235	
575839	183873	Bishop's Woman
575840	163688	
575841	109087	
575842	11806	
575842	64165	
575842	94647	Nalù la danzatrice
575843	197475	Opera Hairdresser
575844	51836	Ma
575844	89936	Mrs. Gianelli
575844	97006	Grandmother
575844	218848	Old Woman
575844	305159	Rose Ciano
575844	316935	Mrs. Morelli
575844	340738	Mrs. Sakalaris
575844	366617	Grandma Valentini
575845	132557	
575846	93123	Grandma Albano
575847	23384	Student
575848	336594	
575849	284829	
575850	55392	
575850	399657	Herself
575851	234719	
575852	128018	
575853	170215	Host
575854	12937	Queen of the Night
575855	237522	Princess
575856	182525	Tána
575857	55494	
575857	198230	
575857	211866	Mrkacka
575857	261652	Máta
575858	69391	Tuvia, Age 8
575858	367487	Lainie Wheeler's older daught
575860	39923	Marjorie West
575860	366026	Hon. Mrs. Dunoyne
575861	16723	Barbara
575861	87518	Lady Frances Carfax
575862	48070	Bea Williams
575862	150879	Second Nun
575862	250546	Woman at Music School
575862	272026	Older Woman At Fundraiser
575862	294571	Mrs. Raines
575862	318712	Georgeanna
575862	324822	Secretary
575862	366908	Mrs. Applegate
575863	51838	Bridal Shower Photographer
575864	326451	Nadine
575865	7884	First Tribe
575866	92523	Mrs. Deering
575866	253544	Belle Newell
575866	277531	Irish landlady
575866	367919	Maggie (Mary's town house coo
575867	260213	Mrs. Finney
575868	2845	Choir Leader
575868	7008	Mrs. Shackleford
575868	10569	Miss Jenks
575868	10578	Nurse
575868	13253	Undetermined Role
575868	13304	
575868	13806	Emily
575868	17704	
575868	18737	Passenger
575868	19085	Miss Spurgeon
575868	20771	Abigail Majendrie
575868	22104	Female Police Officer
575868	26307	Mrs. Crandall
575868	26610	Mrs. Trutmanner, President of
575868	36840	Home economics woman
575868	37458	Miss Lovelace
575868	38361	Ship's Matron
575868	38986	Missionary
575868	41504	Leader of Committee
575868	44461	
575868	44570	Dressmaker
575868	50880	Aunt Marie
575868	52543	Matronly lady on tour
575868	54487	Lady buying groceries
575868	54727	Granny Adams
575868	54949	Witness--New York
575868	57192	Miss Loring
575868	57299	Lucia's Aunt
575868	58499	Eden, a Spinster
575868	58828	Woman
575868	62266	Dr. Cecil Grantham
575868	67139	Miss Elkins
575868	67172	Miss Curtiss
575868	77834	Landlady
575868	78733	Matron
575868	79151	Aunt Priscilla
575868	79422	
575868	80881	Matilda Shields - in play
575868	82606	School Teacher
575868	83783	Tom's Secretary
575868	84848	Julia
575868	88863	Aunt Emily Banning
575868	93668	Mrs. Prouty
575868	96816	Charity Bazaar Committee
575868	96939	Miss Swerf
575868	105329	Fortune Teller's Client
575868	108031	
575868	109536	Matronly window shopper
575868	116886	
575868	116902	
575868	117340	Chambermaid
575868	117993	Betty Carpenter
575868	122052	Albert's mother
575868	128243	
575868	128386	Miss Trent
575868	128582	Charwoman
575868	128617	
575868	129227	Nurse
575868	130337	Teacher at Briarcroft's Schoo
575868	130623	Housekeeper
575868	132793	Miss Appleby
575868	137206	Train Ticket Clerk
575868	146076	Countess Casanova
575868	147446	Miss Campbell (sewing instruc
575868	147815	Scientific Pendant
575868	150321	A gossip
575868	154476	Harriet Wooley
575868	160943	
575868	163359	
575868	164708	
575868	164977	Matron
575868	168671	
575868	176321	
575868	177359	Nora Kane
575868	177460	Spinster in Park
575868	183792	Woman With Umbrella
575868	186013	
575868	186016	
575868	188399	
575868	190542	Passerby in Buggy
575868	191587	Dr. Zernecke
575868	191784	Orphanage Matron
575868	191835	Ahern's Maid
575868	192009	Matron
575868	192056	
575868	195905	
575868	196998	President of Women's Club
575868	204743	
575868	210392	Gossip
575868	210454	
575868	210605	Customer
575868	211601	Animal Woman
575868	213130	Mrs. Hart
575868	213500	
575868	214068	Helen and Angie's landlady
575868	214134	
575868	214955	Head Nurse
575868	215277	
575868	215509	Miss Meeker
575868	215764	Miss Millie
575868	216467	Mrs. Twitchett
575868	217426	
575868	220406	Louisa Amos
575868	220852	Widow Peddia
575868	228488	Muriel's mother
575868	232008	Woman in Tour
575868	232038	Hemming
575868	233659	Onlooker at Hotel Desk
575868	234037	
575868	235633	Schoolteacher
575868	237818	Woman
575868	239601	Mrs. Wendelschaffer
575868	240936	
575868	241096	Sister to Baxter
575868	241406	
575868	242053	Mrs. Partridge
575868	242569	
575868	245545	Third Gossip
575868	246254	Welfare Assn. officer
575868	249513	Housekeeper
575868	251828	Smythe, the Maid
575868	255082	
575868	260228	
575868	260256	
575868	260419	
575868	261996	Mandy Meacham
575868	266236	Privacy
575868	267588	Tourist Welfare Worker
575868	269364	
575868	271490	
575868	274098	Undetermined Role
575868	276674	Curious Passerby at Fu's Fune
575868	282668	Miss McPherson
575868	283217	Nurse
575868	289600	
575868	291915	Miss Pettigrew
575868	294203	Mrs. Lodge
575868	295300	Amelia Twymley
575868	295317	Old witch
575868	297877	
575868	301708	Mrs. Randall
575868	302365	Prison Nun
575868	304969	
575868	306768	Spinster
575868	307912	Mrs. Beckett
575868	310670	Duchess
575868	312584	Storekeeper
575868	312795	Miss Gilford, Kitty's Music S
575868	312826	Boone's landlady
575868	314486	Prosperity
575868	316692	Alice Simpson, Welfare Worker
575868	330384	Miss Peavy (credits)/Mrs. Pea
575868	331123	Mrs. Moffett
575868	331381	Casket customer
575868	331613	Miss Witherspoon, Superintend
575868	333075	
575868	333779	Spinster
575868	334754	Woman at Recital
575868	335474	Serving woman on train
575868	335634	
575868	337116	
575868	339565	
575868	342410	Lady in Bed
575868	342933	Mrs. Potter, Landlady
575868	343133	Mrs. Mulberry (recital guest)
575868	346201	School Teacher
575868	346880	Muriel, Kathleen's Landlady
575868	347128	Snoring woman on train
575868	347330	Martha Williams
575868	348492	Stream's Housekeeper
575868	349633	Miss Perkins
575868	360166	Woman
575868	360477	Undetermined Role
575868	360826	Mrs. Watson, Landlady
575868	362087	Miss Eggleston
575868	364014	
575868	365062	Miss Updike
575868	365266	Undetermined Role
575868	367637	Old Maid
575868	367754	Mrs. Lindsay
575868	368805	
575868	372361	Mrs. Price
575868	372496	Landlady
575868	372676	Righteous Old Lady
575868	374579	Mrs. Winslow
575869	217603	Glenna Cole
575870	51838	Woman Making Out
575871	341515	Dancer
575872	160569	
575873	44331	Julie
575873	168961	
575873	254076	
575873	395966	Herself
575874	353297	Warden
575875	379457	Andrea
575875	402404	
575876	216126	Mexican Housekeeper
575876	360670	Nun #2
575877	10438	
575877	15431	Isabel
575877	30881	
575877	318392	
575877	344396	
575877	354208	
575877	376140	Isabel
575878	405209	Sindy Brownlee (2002)
575879	405209	Sindy Brownlee (2002)
575880	168645	Girl at Motel
575881	168645	Girl at Motel
575882	197577	
575883	15031	
575883	67187	Ulalie
575883	107240	Francine
575883	217167	Mme Moreau
575883	251290	Suzy, femme du boucher
575883	276549	Rose
575883	377280	
575883	388723	La rempailleuse
575883	391479	Zoé
575883	396370	
575883	398985	Jeanne Lavrade (1974)
575883	410143	La fausse mère
575884	116397	
575885	67662	
575885	124240	Carmo
575885	252589	Barbara(Baby)
575885	378940	Calu
575885	383328	Mirella
575885	386420	Isabel Cristina
575885	392589	Marina
575885	395044	Jaqueline
575885	398884	
575885	408381	Marisca
575885	410104	Janine
575885	411585	Tomásia
575886	30515	
575886	169709	
575886	275029	
575886	351489	
575886	380525	Silvia
575886	383270	
575886	384381	
575886	387632	
575886	388636	
575886	398547	
575886	403083	Hortência
575886	405808	
575886	407800	Arminda Terra
575886	409427	
575886	409428	Heloísa
575886	412314	
575887	92181	New Orleans girl
575887	117483	Gloria Ramsey
575888	24240	Woman in White
575888	154467	Girl Friend
575889	324473	
575890	20405	En del av unga paret
575891	16321	Anna
575892	209085	Villager
575893	57101	
575894	3953	Rose
575894	98772	Eulalia
575894	135975	
575894	378270	Dorothea Grönberg
575895	110094	Klara
575895	154688	
575895	192659	Make-up artist
575895	200451	Eva-Stina
575895	392265	Various
575895	397971	Py Löfberg
575895	399476	Teenage Girl by the Posters a
575896	10334	Thea Mönther
575896	30258	Mrs. von Cander
575896	47607	Opera singer
575896	77553	Mrs. Jonsson
575896	99867	Elvira Holm
575896	102897	Kitchen Maid
575896	115397	Madame Ninon
575896	123494	Mrs, Andersson
575896	136579	Mother Gyurkovics
575896	159672	
575896	171579	Mrs Strömqvist
575896	182555	Rosika Amunds
575896	192656	Mrs. Behrens
575896	197138	Nordbergh
575896	198384	Augusta Olifant
575896	259352	Klara Storm
575896	274911	Dorthe
575896	331006	Woman Cook
575896	331007	Cook
575896	341169	Sarah Mosesson
575897	204720	Woman in village
575898	258990	Amalia
575899	290996	Suzi
575900	13596	Slaygirl
575901	88392	Sonja
575901	327487	Anne
575902	33507	Dorte
575903	382319	Agent
575904	284123	Lilly Sund
575905	142787	Lotten
575906	307569	Laurence
575906	341120	Isabelle
575907	68263	Herself
575908	148901	Vegas Reporter
575909	164787	Carin
575909	181850	Waitress
575910	136711	Countess Martha Dohna
575911	187790	
575912	120137	Girl at the shooting gallery
575912	209327	Britt's Mother
575912	303855	Guest at Cosmopolite
575913	378645	Programleder
575914	170933	
575915	222009	Beatriz
575915	381330	Katia
575916	246424	
575917	8843	Aida
575917	251093	Soprano
575919	214755	Woman
575920	397408	
575921	192383	
575925	139211	Sheri
575926	223004	Bird Lady
575927	14892	Estella
575927	36612	Marisa
575927	46181	Egle
575927	84149	Mariuccia
575927	206027	Gisi
575927	344414	
575927	348125	
575928	9650	Franziska Nietzsche
575928	10193	Nora Bandi
575928	12689	Giulia Fabbri (segment "La mo
575928	13208	
575928	14857	Signora Clara Bonelli
575928	55058	
575928	56024	Giuseppina Strepponi
575928	57330	Speranza di Frassineto
575928	57828	Laldòmine
575928	63650	Eléna
575928	63771	
575928	65116	Maria Manalese
575928	69990	Marcella
575928	70859	La madre di Elsa & Elsa
575928	71383	Helena
575928	86334	(segment "Non dire falsa test
575928	89832	Mother of Mariangela
575928	90668	
575928	90708	Madre di Liana
575928	99071	Eleonora Duse
575928	103227	Felicia
575928	104458	
575928	105522	
575928	106818	Sira
575928	108506	Madame Charpentier
575928	111857	Yvonne Stettin
575928	117970	Elena Sennetti
575928	125773	Elena Sandri
575928	127375	
575928	127899	La vedova
575928	127983	Suor Maria
575928	129011	Giovanna's mother
575928	133397	
575928	139440	La donna del gangster
575928	162083	Peppino's Housekeeper
575928	176855	
575928	184691	
575928	191208	Aunt Gesa
575928	198601	
575928	217757	
575928	217758	La Monaca Portinaia
575928	227292	Comtesse Muffat
575928	227574	Maria
575928	229607	Margherita
575928	229736	Duchessa Anna
575928	230080	Silvia
575928	253386	Danae
575928	263623	Bianca Maltivoglio
575928	275378	Sister
575928	276615	
575928	281651	
575928	288854	Akhinoam
575928	300669	
575928	302307	
575928	327452	Mrs. Lidia
575928	352917	
575929	87807	La Guaricha
575930	265520	
575931	282781	Pierre
575932	241244	Video Store Lover #2
575933	7330	
575934	15988	
575934	53138	
575934	112926	Madame Aïda
575934	206040	
575934	238022	Colomba
575934	238129	Elisa's Mother
575934	246426	
575934	269699	La Custode
575934	289450	
575934	289992	Maria Theresa's sister
575934	338614	Annina
575934	375301	Nonna Zaira
575934	387217	Margaret Mayer
575934	390090	Mary Mason
575935	81640	
575936	399417	Vicky
575937	10251	Helena
575937	74152	Gavíria
575937	112764	
575937	144198	Maria Bárbara
575937	243390	Carmen
575937	328866	Graça
575937	384117	Divina
575937	388565	Tuquinha Baptista
575937	388591	Engrácia dos Anjos
575937	398817	
575937	400656	
575937	401900	Márcia
575937	408381	Rufina
575937	409347	Rosa
575938	229917	
575939	253799	Mother of Natasa
575940	23113	Tina
575940	178678	Frau Kaufmann
575941	371648	
575942	109395	Simone's Dresser
575943	58282	Krusinová
575943	225963	
575944	210158	
575944	411962	Markova zena
575945	389619	Local Edition (Hamburg)
575946	184265	
575947	120795	
575947	201473	
575947	215129	
575947	215655	
575947	307736	
575948	131201	Giulia
575948	256623	Chorus
575949	243773	Minerve
575950	2481	
575950	3426	
575950	10956	
575950	27313	Lupita
575950	27863	Angelines
575950	48179	
575950	74323	Fat friend of aunt
575950	82220	
575950	82283	
575950	104852	
575950	115025	Herself
575950	115027	Presenter
575950	152237	La Rellena
575950	160080	Irma Flavia
575950	189379	
575950	199946	
575950	204827	
575950	206738	
575950	212441	
575950	229207	
575950	242655	
575950	242670	
575950	242680	
575950	251580	Muchacha enorme
575950	251590	
575950	328116	Consuelo
575950	334698	
575950	336265	Casera
575950	337102	Paloma
575950	385338	Various Caracters
575950	388420	La cuisinière
575950	408306	Rosa
575950	410217	
575950	412125	
575951	289693	Sister
575952	3439	
575952	10131	
575952	13003	
575952	25793	Vicenta
575952	35015	
575952	51944	
575952	69707	The Girl
575952	78242	
575952	84024	
575952	102661	
575952	118835	
575952	143778	Madame Liu
575952	169802	Juanita
575952	246871	Tía Lola
575952	254479	
575952	302050	
575952	339168	
575952	350558	Guadalupe
575952	376737	
575952	384916	Mari López
575952	396774	Alcanfor
575952	406894	Ujier
575952	410217	
575953	12937	Cherubino
575954	261355	
575954	404305	Spomenka
575955	68325	Soraya
575956	211472	Ghost
575956	281446	Persephone
575956	284590	Schiava Garçoniere
575957	15990	
575957	356213	
575958	199787	
575958	356213	Adreina
575958	386749	
575958	406539	Lorenza
575959	70615	
575960	115219	Backup singer
575960	115220	Band
575960	314625	Herself (Background Vocals)
575961	19290	Mrs. Wesson
575962	109841	Dealer
575962	148952	Croupier
575963	384995	
575963	391903	Herself
575963	392900	
575964	322396	Angelita
575965	333670	Girl
575966	243231	Sandy
575966	321448	Muffie
575967	339126	Aurora
575968	193351	
575968	246875	
575969	170551	Gugu
575969	356345	Mistress Itsapity
575970	406846	Ma Moloi
575971	324901	Spinette, europäische Sklavin
575972	14434	
575972	243443	
575972	264537	Stores Coadjuvantes
575972	266003	
575972	284966	(segment "Gatas no Cio")
575972	354984	
575973	387818	Portera
575974	2256	Julia
575974	27064	Maria M.
575974	77940	Melissa
575974	85133	Maria
575974	87864	Rolanda
575974	102247	Luisa
575974	118548	Zoe
575974	119625	Cyclona (Angela Garcia)
575974	126495	Trinity's Girlfriend (Chloe)
575974	151625	Young Anna
575974	158511	Shelly
575974	161727	Andie
575974	241502	Maria
575974	274329	(segment "Hotline")
575974	317893	Lisa Rodriguez
575974	336647	Alisha
575974	372217	Ella
575974	385217	Tanya Rey
575975	349295	
575976	58408	María
575976	253282	
575976	382691	Nina
575976	389480	Agata Rodríguez
575976	397110	
575977	57832	
575978	390733	Daniela
575979	371959	
575980	1311	(Episodio "Mitzvah")
575980	20091	Paola
575980	53678	Rosana
575980	68261	(segment "Fundido a negro")
575980	100244	María
575980	199911	
575980	353596	
575980	400070	Clara
575981	409003	Guta
575982	306426	Sarah
575983	3340	Zagor
575983	14894	Chiara
575983	89567	Lolita
575983	89850	Nun
575983	243257	Faraway Eyes Girl
575983	247058	Paola Terenzi
575983	247974	Teresa
575983	251313	Gianna
575983	258560	Luna
575983	334636	Patricia Scradi
575983	388613	Herself - Hostess (1989)
575984	201368	Claudia
575984	246416	Manuela
575984	373277	
575986	6720	Herself
575986	6722	Herself
575986	13869	
575986	34928	
575986	35823	Herself
575986	37592	
575986	50179	
575986	50256	
575986	50334	
575986	78040	
575986	115062	Aquarian Girl
575986	147836	Heidi Flesh
575986	150098	
575986	163480	Herself
575986	210452	
575986	248153	La caissière
575986	252832	
575986	258760	
575986	258929	
575986	260806	
575986	260922	
575986	273363	
575986	286150	
575986	291278	
575986	302523	Sindy Crawlforward
575986	312709	
575986	317938	
575986	319033	Herself
575986	319643	Herself
575986	372540	
575987	383242	Clara Rosa
575987	385365	Verónica
575987	397578	Ariadna Villanueva Mercouri
575987	399520	Sandra
575988	10196	
575988	111916	
575989	292150	Jeep Driver
575990	267251	
575990	400098	Dinorah
575991	274904	
575992	12080	
575993	325314	Nagisa
575994	409925	
575995	249548	Back Up Singer
575996	397600	
575997	65551	Slave girl
575998	302090	
575999	75504	Aunt at Motel
575999	213226	Cook
575999	276217	Shot woman
576000	55112	
576000	69251	
576000	83006	Marta
576001	222687	Extra
576002	242083	Haitian Woman
576003	253067	The Neighbour
576004	96198	
576005	17197	Hula Dancer
576007	17792	Terry
576007	56929	Signora Germano (madre di Dan
576007	219830	Policewoman
576007	255108	Anna
576008	13789	Sale House Woman #1
576008	48075	Woman at Party
576008	90815	
576008	117781	
576008	120481	Esmeralda/Santanico Pandemoni
576008	129785	Karman
576008	194268	Lola
576008	256646	Katarina DeLeon
576008	379716	Raquel Dion Santos #2 (1999)
576008	407640	Clara
576009	9944	
576010	15049	Célia-Andromaque
576010	55935	
576010	148039	
576010	171321	Jacqueline
576010	273332	Herself - 3rd couple
576010	284841	
576010	333578	
576010	377904	Irène
576012	205596	The Fairy of the Woods
576015	22074	
576015	57592	
576015	184424	Village Woman
576016	376375	Cheerleader
576017	393351	
576018	25022	
576018	33506	
576018	300817	
576019	1824	
576019	75028	
576019	381908	Herself (season 2)
576020	215214	Film Crew
576021	25426	
576021	28278	Bufetowa
576021	75757	
576021	77262	Julia Duprat
576021	89790	Bozenka
576021	110115	Sister Marcelina
576021	121456	Mrs. Poznanska
576021	123099	Gozdzikowa
576021	137944	
576021	145655	
576021	146532	
576021	178804	Count's daughter
576021	180251	
576021	180677	Nina
576021	180702	
576021	181147	Aunt
576021	214242	
576021	223220	Teresa, drug addict's mother
576021	231620	Lusia
576021	234268	Agnieszka Niechcic
576021	234447	Poland
576021	242686	Krepska
576021	247626	Marysia's Mother
576021	247647	Zosia
576021	255515	Miss Ala
576021	256947	
576021	286452	Waitress
576021	304439	Lab Manager
576021	311391	Iza Gesiareczka
576021	316437	
576021	322041	
576021	343338	Dr. Nowacka
576021	373729	Hela
576021	375443	
576021	379864	Teacher Bozena Lewicka
576021	404216	Janina Kubiak
576021	405313	Helena Misztal
576021	412008	Klementyna Kesik (1997-2002)
576022	157315	Mary Woodson
576023	103463	
576023	307297	
576024	280560	
576025	324264	Party Girl #2
576026	352029	Ada van Leeuwen
576027	9731	
576027	69652	
576027	101318	
576027	166940	Photo Shoot Model
576027	177111	
576028	13963	Wendy
576029	286195	Child
576030	23586	Miss Inghirami
576030	251609	
576030	252772	
576030	338319	
576030	338722	
576030	377589	Mrs. Gigliosi
576031	22651	Third Woman
576031	116499	Chorus
576031	326083	Irate Woman
576031	391503	Elaine Duff #2
576032	402098	(2001)
576033	101171	
576033	197194	
576033	292691	Customer
576033	337019	Le petite vieille
576034	61707	Glen's mother
576034	116799	Aunt Yolanda
576034	255697	Pretty Girl in Laundromat
576034	366908	Reporter
576035	374302	Jaantje
576036	69926	NAS Agent #2
576037	49486	Lilliam Montrevor
576038	14871	
576039	67897	Seamstress
576040	78246	Olga
576040	117971	
576040	344596	La castellana
576041	22185	Maria Ciavelli
576041	39536	Isabella Gomboli
576041	44259	Maria Garcia
576041	73475	Rosa Aldana
576041	133509	Opera Montage
576041	278210	Marina Monterez
576042	198357	
576043	23008	Adele Rossignol
576043	32642	The Queen
576043	80996	Hilda
576043	81071	Lady Constance Gaye
576043	100853	Conceicao
576043	122744	Helen Vane
576043	133482	Mary Moody
576043	141032	Mrs. Ellington
576043	154291	Louise Rogers
576043	185825	Sylvia
576043	197032	Kay
576043	223043	Joan
576043	232860	
576043	244972	Maureen Elliott
576043	263554	Jane Bennet
576043	282607	Marjorie Wilkinson
576043	328076	Catherine Winter
576043	363779	
576043	365973	Anne Hargreaves
576044	17848	Claude
576044	23548	Agnès
576044	25170	Catherine
576044	43645	Agnès
576044	58174	Françoise
576044	59634	Georgia
576044	60894	Coralie
576044	63848	Agnès
576044	70150	Lilas
576044	84042	Herself
576044	86244	Annabelle
576044	87692	Elise Martineau
576044	96141	Claire
576044	100027	Louise Pignon
576044	109102	Margareth Hunter
576044	111118	Isabelle
576044	118188	Betty
576044	132802	Sarah
576044	133166	Catherine
576044	135325	Hélène
576044	148775	Madame Blanc
576044	170420	Julia de Carneilhan
576044	205608	La jeune fille 1974
576044	205730	
576044	214020	Hélène Kerjean
576044	219468	
576044	225414	Bianca
576044	245953	Annie Choupon
576044	258928	Herself
576044	259009	Hélène
576044	261728	Anna Foscarie
576044	269222	Helene Lanson
576044	307129	Elle (segment "Peur des coups
576044	319995	Lisa Bourget
576044	343574	Evelyne Berrien
576044	346561	Caroline
576044	351821	Martine
576044	353946	Caroline
576044	356445	Adeline
576044	376580	Camille
576044	376593	Herself
576044	377805	Emma
576044	388420	Diana
576044	391632	
576044	398054	Armande
576045	104442	
576046	108895	
576046	251032	
576046	255589	
576046	308215	
576047	85953	Prostitute
576049	235740	
576050	4638	
576051	387152	Amanda Bedford Carrington (#2
576052	335807	Dancer
576053	410797	Maria (1975-77)
576054	163377	Birthday Girl
576055	38021	Attractive Lady
576055	59104	Ms. saturday night
576055	65183	Brimmer's Secretary
576055	80801	
576055	93982	
576055	127134	Busy Secretary
576055	188235	Suzanne Reardon
576055	208503	Yuri's Girlfriend
576055	232158	Most beautiful Girl
576055	254923	Tanya
576055	289473	Suzy
576055	327060	Young Dr. Danenberg
576055	331475	Angelyne
576055	358833	
576055	386619	Bambi Bernhardi
576055	396933	B.J.
576056	75720	
576057	105852	Maria
576057	391674	Luminada
576058	388619	Host
576059	14203	Hooker
576060	323225	Corpse
576061	344621	A young moviemaker
576062	240334	Alice
576063	36586	Kociak
576063	84264	Young Girl
576063	123099	Gajda
576063	130164	Bozena Rzepinska
576063	160591	Zosia
576063	172825	Magda
576063	220685	
576063	225601	
576063	248537	Waitress
576063	322139	Helka Woleka
576063	343386	
576064	22076	
576064	136761	
576064	136785	
576064	370392	
576065	265647	Anna
576065	343686	Farmer
576066	249883	Dancer
576067	25793	Tía
576068	306703	
576069	254540	Juror
576070	36735	Baska
576070	75983	
576070	76120	
576070	95975	Herself
576070	101015	
576070	136370	
576070	150622	Antoinette Ziemlinska
576070	153509	Woman in Bar
576070	165076	Nurse
576070	169572	Prostitute Lola
576070	179709	Lora Newman
576070	181328	
576070	216584	
576070	220144	Messenger
576070	247628	
576070	252038	
576070	275250	Princess Emina
576070	286282	Kowalski's Wife
576070	301097	
576070	304164	
576070	305116	
576070	305833	
576070	369006	Marynia
576070	371868	Writer's wife
576070	385236	
576071	110319	Passenger #2
576072	335859	Telephone Operator
576073	168487	Herself
576074	168487	Herself
576075	241244	Hooker #2
576076	74688	Sylvia
576076	189912	Irina
576076	231896	Teresa
576076	330146	Waitress
576077	412286	Nellie the older
576078	127324	Fat Lady
576079	3380	
576079	6078	Marta
576079	9698	Direttrice Tele Luna
576079	34142	Bruna
576079	41659	Silvia
576079	43768	
576079	54810	
576079	56012	Contess
576079	68650	Maria Rita Amoroso
576079	70620	
576079	90683	
576079	102321	Valentina
576079	108113	Aunt Margherita
576079	113709	Gina
576079	127945	Emanuela Quadri
576079	128999	Madre di Giuda
576079	164434	
576079	199792	
576079	213380	Marta
576079	215014	
576079	278956	Bruna
576079	281629	Piera
576079	310891	Fosca
576079	335940	
576079	356588	Marta Corbaccio
576079	373280	Isabella
576079	375301	Mara
576079	379854	
576079	385997	
576079	386399	Madre Onorina (1996)
576079	397072	Paola Sinibaldi
576079	409591	
576080	63854	
576080	68424	La maîtresse (segment "Pour q
576081	55933	
576081	70114	
576081	124507	Evita
576081	131970	
576081	132471	
576081	135292	
576081	213407	
576081	223622	
576081	255481	
576081	265299	
576081	380108	Mercedes
576081	380210	
576081	382946	Mercedes
576081	387192	
576081	387904	Cristina
576081	392847	Dra. Gutiérrez
576081	397013	Ivana
576081	398470	Laura Simonal
576081	398850	Angelina Zamorano
576081	398983	Felicia Del Molino López de E
576081	400408	
576081	403759	
576082	91065	Herself
576082	91066	Herself
576083	19537	Natasha
576083	104463	Verona
576083	107599	Nun
576083	148340	Angie
576083	269954	
576083	397298	Pilotenanwärterin Gina Aigner
576084	17290	Niña ex-etílica
576085	87050	Angela
576085	115123	
576085	289449	
576085	332935	Sarita Sanchez
576086	252076	
576086	292743	
576087	111154	
576087	243618	
576087	288941	Prisoner
576088	235316	
576089	64254	
576089	171954	
576089	403915	Bu Sukri
576089	405282	Enyak
576090	345154	Mme. Gratteloup
576091	82920	
576091	170107	La seconde infirmière
576092	354570	
576093	101127	Martine
576093	264525	Rolande
576094	240682	Angela Towers
576095	251313	La 'Dany'
576096	226198	
576096	286294	Sekretärin
576096	290839	Mutter
576096	302684	
576096	390417	Leocadia Weiss
576097	375277	
576098	378556	Autostopperin
576099	49740	
576099	172466	
576099	180418	
576099	202495	
576099	288126	
576099	312625	
576099	348701	Inspicijent
576099	349153	
576099	382430	Kurcubiceva supruga
576099	382431	Kurcubiceva supruga
576099	400438	
576099	401750	
576099	411900	Vaspitacica Zaga
576100	135699	Nanna's Mother
576100	192641	Inger
576100	303747	Kirsten Nielsen
576100	389307	Kirsten (1982-)
576100	389734	Monika Rodin
576101	203365	Chrisitine Hall
576101	246583	
576102	93754	Alma
576102	116563	Old Woman
576102	240724	Isaac's Mom
576102	241145	Magda
576103	196718	Katia
576104	270840	
576105	224091	Model 1
576106	50344	
576107	405291	
576108	402302	La fattoressa del monastero
576109	68439	
576110	353236	Washerwoman
576111	187919	Dancer
576112	345434	(episodes 3 and 4)
576114	344654	
576115	91932	Girl #1
576116	406626	Sophia Benucci
576117	278814	
576118	74274	Cecile
576118	404049	Veronica
576118	404051	Aurora
576119	168326	Lady at Doo Wopp Party
576120	145429	
576120	299458	Hooker #1 (segment "The Injec
576121	360180	Lady Guest
576122	379461	Anita Armendáres
576122	383471	Sonia Gómez
576122	383688	Mireya (niña)
576122	395061	Claudia
576122	402540	
576123	247859	
576124	103851	
576125	182576	Audition-tjej 1
576126	1577	Helene
576127	248878	Navajo Bunk Girl
576127	407927	Elizabeth Winthrop
576128	248889	
576128	355652	Insegnante di filosofia
576130	233279	
576131	150255	
576132	77771	Themselves
576132	245836	Themselves
576132	263346	Themselves
576132	282432	Themselves
576132	285505	Themselves
576132	285650	Themselves
576132	313873	Themselves
576132	355190	
576133	195531	
576134	65385	La bonne bretonne
576134	396175	Valentine
576135	245115	Rose Perl
576136	215694	
576137	84175	María
576137	156547	Zulema
576137	189025	Cecilia
576137	195586	Sofia
576137	247845	Olga Arellano 'La colombiana'
576137	248509	Amaranta
576137	286880	Mary
576137	369999	Herself - Presenter: Best Sho
576137	383335	Candelaria Daza
576137	393805	Juana Valentina
576137	396214	Luz María 'Lucecita' Camejo (
576137	396601	
576137	401694	Fiorella Morelli Flores de Me
576137	405846	Carolina Altamirano
576138	204614	
576138	264468	Girl in Car
576138	389887	Gilda
576138	400656	Angélica
576139	18755	
576139	19454	
576139	50133	
576139	51113	
576139	101894	Lina
576139	106750	
576139	134403	Dolores
576139	145397	
576139	148925	Translator
576139	163880	Herself - Presenter: Best Cos
576139	169565	
576139	171022	
576139	174019	
576139	215029	Laura
576139	233359	Madre de Sergio
576139	233619	
576139	235296	Sofia
576139	252534	Tania
576139	383190	
576139	384033	Raïssa
576139	391359	
576139	402876	
576139	402896	
576139	408306	
576139	409960	Elvira
576140	288953	Aunt Ana
576141	70624	María Elena Moyano
576142	235296	Compañera Fábrica 2
576143	189008	
576144	168074	
576145	91322	Lilia Alicia Campo
576146	274840	
576146	377104	Dora
576147	310891	Irma
576148	10006	
576148	98184	Milla Pagano
576148	309820	Beatrice
576149	14912	Marta Mercuri
576150	78139	Female Trainee
576151	40427	Mrs. von Elz
576151	70114	
576151	243240	
576151	273651	
576151	333745	
576151	357517	
576151	357543	
576151	371687	
576151	387446	Natalia
576151	397589	Estela
576151	402151	Alida
576152	397533	Vancouver host
576153	56360	
576154	108093	Cristina
576154	235369	Alice
576154	242302	Aisha Fabrizi
576154	255031	
576154	270320	Laura
576154	283283	Isabella
576154	328897	Claudia
576154	354765	Bride
576155	85166	
576156	48755	Gospodjica Smrt
576157	98622	
576157	238213	Petra
576157	289818	
576157	293750	Katarina
576157	339942	
576158	321275	Shawana
576160	251313	Black's Hotel customer
576161	162040	
576162	127982	
576162	280840	
576163	119076	
576163	135245	Bianchina
576163	270838	
576163	336587	Patrizia
576163	338656	Margherita
576163	377196	
576164	284628	Premiere Audience Member
576164	379142	Marnie Swanson
576164	389858	Venus 'V' Ardanowski (1997-19
576164	392130	
576165	73975	
576165	135285	
576165	148168	
576165	319547	
576166	97167	Torturing woman
576166	238306	
576167	195200	Dominique
576167	252710	Fille ainee de Thiebaut
576167	268936	
576167	291583	Juliette Rossi
576167	336959	Annie
576168	13475	Mariana
576168	42613	
576168	46080	
576168	55849	
576168	73973	
576168	86854	
576168	86886	
576168	95121	
576168	110984	Maria
576168	119104	
576168	155120	
576168	252725	Mère Cyborg
576169	56112	
576169	265780	
576169	354634	Rodica
576170	241244	Ashley
576170	310462	Marine Flight Crew Chief
576171	136752	
576171	383110	Gonca
576172	334666	Dependienta
576173	51403	La femme à l'écharpe
576174	361353	Flower Girl
576175	68914	Marine
576175	165184	
576175	186192	
576175	199593	Rachel
576175	216239	Une jeune femme juive
576175	219472	Dominique
576175	309456	Corinne
576175	337013	
576175	350850	The Queen Marie-Thérèse
576175	356509	Solange
576176	29813	Fanny Laure
576176	51582	Une dame
576176	58855	Henriette Poulard
576176	59214	Yvonne Fleury
576176	59266	Hélène Corbigny
576176	60907	Irène De Cernay
576176	65726	Mme Lubin
576176	132608	Colette
576176	132814	
576176	206311	
576176	236610	La fille
576176	248994	Martine
576176	249459	Florence Bernard
576176	282489	Janeton
576176	339878	L'infirmière
576176	346504	Myriam Giverny
576176	354242	Gisèle
576177	83345	
576178	383684	Lorena Alonso Petillon
576179	72515	P.A
576179	211960	Lisa
576179	358305	Soph
576179	389442	Domenica Baroni (1994-1997)
576179	391368	Carol Summers
576179	410795	Jan
576180	115820	Daisy
576181	296430	
576182	270433	Pasteur Lochère
576183	2742	Secretary
576184	58918	Jenny's Friend
576185	30532	
576186	202084	La vieille
576187	91523	Dream Crowd
576188	58184	
576189	175741	Shirley
576190	12675	
576190	277788	
576191	91298	
576192	23065	Susi
576192	51733	Lola
576192	275623	Chica patines
576193	378971	Carlota
576193	380249	
576193	383472	Genesis
576193	389788	Silvia Granados
576194	74354	Prostituta
576194	376650	Prostituta
576195	53661	
576196	54230	
576197	115179	Paramedic
576198	400840	Susi (2003)
576198	404711	Charlie
576198	409960	Eva
576199	249016	Brigitte
576200	386859	Herself/panelist (1955)
576201	123055	
576202	221524	1st Girl in Nightclub
576202	292984	Marie i
576203	273140	Un' altra dama della casa Buo
576204	258498	
576205	215119	Verica
576206	25806	Piloncito
576207	110441	Waitress
576208	344704	
576209	269499	
576210	51376	Rosa
576210	54774	
576210	127959	
576210	259700	
576210	289992	Pot-Smoking Grandmother
576211	102674	Gabe's Wife
576212	143824	Makeup Artist
576212	223818	Cathy Field
576213	102432	signora Minnelli
576214	10294	Liliane, la femme de François
576214	28554	
576214	51248	
576214	76149	Eglée
576214	120355	Marylin
576214	169961	Sybille Mangin
576214	199944	
576214	243935	Martine Audoux
576214	249677	
576214	251007	Simone
576214	254106	Evelyne
576214	269143	Une journaliste
576214	286327	
576214	336641	L'infirmiere
576214	345209	Micheline
576214	345441	Odette
576214	346788	
576214	355877	Brigitte
576214	377012	Evelyne Larcher
576214	384434	Gisèle Delpech
576214	392910	Laurence Grimaud
576214	396845	Mathilde
576214	403772	Ginette
576215	391890	Sofia (Mama)
576216	242524	Mack's Daughter
576217	328353	Herself
576217	393186	Carmen Caricatti
576218	58510	Laura
576218	77019	Doreen
576218	80751	Arab Wife
576218	176844	Woman #2
576219	81503	Exen
576220	28546	
576221	133300	
576223	247866	Petrova sestra
576224	264229	
576225	61818	Herself
576226	337562	Vlad's Woman
576227	38839	Herself
576228	188467	Leni
576228	344046	
576229	196835	
576230	78139	Female Trainee
576231	375431	
576232	304441	
576232	357391	Aline
576233	93074	Infant
576234	97074	Clémence
576235	96391	Saxana
576236	258578	
576237	221343	Klara
576238	265463	
576239	128144	Female Guard #2
576239	209457	Female Guard #2
576240	264230	Eliska
576240	264231	Eliska
576240	284081	Nun
576240	352454	
576241	82797	
576242	6329	Adelheid Heldemannová
576242	51091	Zita
576242	82797	
576242	96392	Vychovatelka
576242	174932	
576242	226732	Andela
576242	262281	Elena
576242	265139	Marie's mother
576242	266464	Lenícková
576242	286736	Robert's mother
576242	295124	
576242	317628	Woman
576242	320562	Marie
576242	386220	DRK Frau
576242	402368	
576243	99251	Lady at billiard
576244	63631	Sweeting
576244	95672	Jitrenka
576244	373402	Komorná na zámku
576245	58126	Klárka
576245	81503	Grandma #3
576246	191542	
576247	34474	
576247	96519	
576248	186152	
576249	152603	Neighbour
576250	155999	Almira
576251	187997	
576251	232599	
576252	44908	
576252	147575	Vera
576252	182311	
576253	97983	
576254	369	Waitress
576254	86727	Secrétaire mission 1
576255	407744	Herself/Jornalista
576256	388683	
576256	398840	Rute
576256	399822	Sara
576257	97165	Woman
576258	242615	
576258	261868	Soprano
576258	294255	Leonora (from opera "Il Trova
576259	6121	Yvonne
576260	293021	Flower Girl
576260	350194	Sofia
576262	41459	
576262	123176	Martina's nanny
576262	335912	
576262	377575	
576264	127940	Doctor
576265	379646	
576265	380156	Patrícia
576265	386215	
576265	387803	Denise
576265	398362	
576265	402264	Edy
576265	402265	
576265	402455	Mariazinha
576265	402568	
576265	402644	Nina
576265	404276	
576265	404913	
576265	407279	Narizinho
576265	407802	
576265	408315	
576265	409914	
576265	410107	
576266	309371	
576267	277254	
576267	334174	Monica
576268	15030	Une actrice (tournage)
576269	91417	Bailarina
576270	379132	Tumi (Chapter 2)
576271	5898	Bénédicte
576272	401928	
576273	378958	Giselle
576274	207941	Partygoer
576274	303360	Marissa
576275	66349	Cobb's Daughter
576276	137916	Ophelia
576277	61431	Mme Thomas
576277	188680	Henriette
576277	214882	Une comédienne
576277	321801	Clara
576277	324638	The Night Watchman
576277	345188	Juliette Lachaunaye, femme de
576277	377896	Irene Dupuis
576278	56388	
576278	281960	Jane
576279	354720	
576280	373871	
576281	327370	
576282	309718	Student
576283	404551	Host
576284	213245	Ana Mae Díaz de Endara
576285	151479	Doña Loda
576286	380795	Cleo
576286	387685	Elena
576286	392960	
576286	399084	Nora
576287	356672	Marta
576287	379815	Berta
576287	380128	Matilde Morales
576287	387068	Valentina
576288	191842	Brandy
576289	380054	Niña fantasma
576289	380963	
576289	383471	
576289	397009	
576290	30180	Tosha
576290	381312	Tosha
576291	73249	General's wife
576291	344650	Old Woman
576292	201302	Madam
576293	20387	
576294	8536	
576294	61867	
576294	68061	
576294	71123	
576294	80322	
576294	148583	
576294	212517	
576294	213702	
576294	237574	
576294	269259	
576294	354782	
576294	355781	
576295	393187	Clavelina
576296	75592	
576297	6500	Loyola
576297	103499	
576297	332586	Laura
576297	383235	
576297	387566	
576297	408407	Host
576297	409953	
576298	272927	Hooker
576299	346548	
576300	383533	Hostess
576300	383534	Herself/Apresentadora
576301	248274	
576302	56545	Herself
576303	165966	Sherrie
576304	81642	'X' - vocals
576304	115886	Homeless Woman
576304	263392	Herself
576304	286386	Rhonda Stample
576304	348651	Herself (X)
576304	369490	Herself
576305	356089	Babeta
576306	259053	Old countess
576306	305249	Grandmother
576307	266023	
576308	260392	Kacenka
576309	88209	
576309	166368	Sona
576309	185744	Diva
576309	267313	
576309	268509	Irena Jonásová
576309	290770	
576310	342274	Olga Fontainová
576311	183503	
576312	8727	
576312	29061	
576312	34539	
576312	54824	
576312	61535	
576312	69206	
576312	71283	
576312	204276	
576312	221755	
576312	255619	
576312	274656	
576312	301190	
576312	382541	
576313	10223	
576313	52745	
576313	55332	Joana
576313	90055	
576313	103118	
576313	104089	
576313	202202	
576313	215728	Nina
576313	263839	
576313	343608	
576313	350933	
576313	376734	
576314	124786	
576314	307039	
576315	75144	
576315	100515	
576315	213389	Ameliana de Gibera
576315	242663	Abuela de Rubén
576315	273119	
576315	287706	
576316	168827	Fidèle 3
576317	1616	
576317	73292	Lourdes
576317	101901	
576317	149078	
576317	238144	Toñi
576317	255485	Anita
576318	170478	Gringa Cuerota
576319	312302	Hooker
576320	296188	
576321	43994	Mrs. Baratti
576322	260222	Dominica
576323	17139	Teresa
576323	21120	Artemisia Gentileschi
576323	45895	Livia
576323	103440	Sabrina
576323	112643	Rita
576323	114688	
576323	127704	
576323	150524	Hotel Maid
576323	165278	Pier Angeli
576323	213512	
576323	222377	The face
576323	237643	Claudia
576323	260904	
576323	261039	Pansy Osmond
576323	269019	Lisa
576323	278151	Aurelie Coquille
576323	287620	Valentina
576323	327438	Dina Gusmano
576323	341622	Cissie Colpitts
576323	341623	Cissie Colpitts
576323	341624	Cissie Colpitts
576323	353056	Ines
576324	16556	Rita
576324	23112	Caren
576324	39480	
576324	90129	
576324	195689	Hotel Maid
576324	228157	Karina Wilfert
576324	290561	Johanna Wenig
576324	290661	Katherina
576324	312116	Katharina
576324	315049	Bezirksinspektorin Antonella 
576324	406583	Bezirksinspektorin Antonella 
576325	257912	Violet Wilson-Flanders
576325	324395	Jade
576326	125776	
576326	315439	Paola
576327	197550	Court Secretary
576328	384972	Joana
576329	235491	Guidance Counselor
576330	132677	
576330	191054	
576330	209471	Medieval courtier
576330	231569	Painter's model
576330	249873	Herself
576331	302333	Muchachita Maya
576332	91297	Mesera
576333	2685	
576333	8141	
576333	8143	
576333	8541	
576333	19369	
576333	19722	
576333	28905	
576333	40290	
576333	41766	
576333	46203	
576333	56365	
576333	57978	
576333	61197	
576333	61867	
576333	68061	
576333	68557	Doña Lencha
576333	68990	
576333	73274	
576333	80322	
576333	80340	Madre de Susana
576333	83887	
576333	85567	
576333	85960	Angelica, joven
576333	86380	Norma (adulta)
576333	87622	
576333	91313	
576333	91338	
576333	99354	Graciela Elizondo
576333	103163	Carmela
576333	103808	
576333	114321	
576333	117850	
576333	118954	
576333	119860	
576333	121977	
576333	161559	
576333	161950	Susana
576333	186980	
576333	197447	
576333	197968	Mercedes
576333	198238	
576333	198998	
576333	205136	
576333	208852	
576333	212466	
576333	213702	
576333	217305	
576333	220522	
576333	229800	
576333	231598	Lucia
576333	236036	Olivia
576333	249796	
576333	251553	
576333	251558	
576333	251983	
576333	252545	
576333	258477	
576333	259314	
576333	260590	
576333	270447	Tia Guaguis
576333	274954	Pamela
576333	276972	Secretaria
576333	283243	
576333	284088	
576333	284328	Mercedes Gomez
576333	292929	
576333	296125	
576333	307658	
576333	317674	
576333	317728	
576333	322856	
576333	332930	
576333	332943	
576333	333535	
576333	336177	
576333	337461	Miembra del culto
576333	340069	
576333	341163	
576333	349464	
576333	350138	
576333	352254	
576333	354904	
576333	371686	
576333	371776	
576333	373953	
576333	380954	
576333	402633	Rebeca
576333	410474	
576334	276148	Esmeralda
576336	41246	
576337	258550	Daisy
576338	37350	Letter Carrier
576338	73330	Waitress #1
576338	84324	Dr. Diaz
576338	177530	Emalita Ortega
576338	194666	NICU Woman
576338	266708	Puerto Rican Woman
576338	387728	Nurse Chuny Marquez (1995-)
576339	384775	
576340	279585	
576340	384650	
576341	69216	Voice of Sandra
576341	307440	Aurelia
576342	340009	Gherardino (Gianni Schicchi)
576343	293321	
576343	311675	
576344	199483	Sally
576345	3962	Iris
576345	3963	Iris Cara
576345	4016	Belldandy
576345	18662	Mutio/Villager
576345	48217	Nurse #2
576345	74122	Alfin
576345	74123	Alfin
576345	187319	Rouge
576345	323134	Miyuki Kobayakawa
576345	334886	Ms. Kasahara
576345	373368	Rane
576345	377282	Takako
576345	379014	Iris/Ilia
576345	407369	Miyuki Kobayakawa
576346	383519	
576346	403741	
576347	1796	Female Sailor
576348	392597	Various characters
576349	127276	Tourist
576350	263920	Sonia
576350	269018	
576351	292984	
576353	264384	
576354	10051	Usli
576355	212051	Bank Teller #3
576356	292282	Aurora
576356	295181	Ragazza Rave
576357	198499	Girl in Waiting Room
576357	205397	
576358	236552	Mme Marceau
576359	137411	Schaffnerin
576360	18169	
576361	170230	Herself
576362	178662	Ipek
576362	409609	(1994-)
576363	187203	Ümmühan
576364	224350	The Turk - Die Türkin
576365	52976	
576365	132198	
576365	164848	Draga
576365	278341	
576365	305820	
576365	404733	
576365	410371	Sofija
576366	194136	
576366	358814	Co-Host
576367	355626	
576368	396649	
576369	37899	Invitée Dîner
576370	406557	Doddy van Oudijck
576371	104695	Jurylid
576372	77016	
576372	95715	
576372	194371	Els
576372	356815	Tine
576372	390242	Eveline van Wessem (1996-1997
576372	393485	Herself (1981-1984)
576372	393707	Klas
576372	407166	Bella
576372	410199	
576373	28177	Sophia
576373	395513	Tania
576374	282035	Petra
576375	167181	Moeder Dejonghe
576376	27520	Ann
576376	71380	Kayra
576376	110548	Herself
576376	176547	Mona
576376	272838	Ann
576376	373278	
576376	375677	Klant
576376	379031	Herself (2001)
576376	382634	Herself
576376	386265	Chantal
576376	388299	Patty (1993)
576376	388909	Sofie Beekman (2002-2003)
576376	390673	
576376	396568	
576376	399410	Ellen De Vos
576376	400287	
576376	405642	Herself
576376	406514	
576376	407173	Herself (2000)
576376	408151	Valérie Van Sevenant-Wijndael
576376	411214	Claudine 'Claudia' Castel (19
576376	411311	Els (1996-1997)
576377	31805	Catalina
576378	18436	Sexy Woman
576378	45591	Dancer
576378	160560	Showgirl
576378	203358	Rockette
576378	218384	Dancer #1
576378	280081	Roxy dancer
576378	298124	Ericka/She-Bat
576378	304494	Lady Wrestler
576378	391013	Bombshell
576379	30722	
576379	121962	
576379	131970	
576379	140567	
576379	353201	
576380	327370	
576381	380746	Duygu
576382	93052	Herself
576383	168326	Michelle
576384	345461	Une musicienne de l'orchestre
576385	33628	Une jeune femme
576385	240162	La comtesse
576385	408168	Host (1996-)
576385	409277	Herself/Journalist (1988-1990
576386	296413	
576387	349196	Young Girl
576388	174284	
576388	180610	
576388	208676	Muzaffer's mother
576388	349196	Mother
576389	2094	
576390	349225	
576391	22053	
576392	87721	
576393	70849	Mabel
576393	102932	Bit Part
576393	110957	Connie (waitress)
576393	150398	Urianian female officer
576393	245384	One of Uncle Barney's Girls
576393	257714	Bit Role
576393	283892	Mable
576393	306579	
576393	339876	Belle (new footage)
576393	348329	
576393	401260	Gertie Lade (Mason's receptio
576394	155644	Denise Prévost
576395	242501	Belasco
576396	18038	
576397	307732	
576398	245198	Mme. Pang
576399	392044	Stripper
576401	42602	
576402	62519	
576402	91434	
576403	287079	
576404	26440	Lori
576405	396738	Herself
576406	63410	
576407	300109	Maeng Suk
576408	287111	Teenage mother
576409	318919	
576410	399099	Herself - Co-Anchor
576411	126896	
576411	371188	
576412	278335	
576413	17673	
576413	137136	Amita
576413	156256	Kavita
576413	164928	Asha
576413	220813	
576413	233287	Magda Palsma
576414	315799	Max
576415	229003	
576416	135341	The Ulam Tribe
576417	322335	Extra
576418	268413	Josette
576418	313033	Rosalie
576419	29670	Harem
576420	381911	Herself (2000)
576421	22681	L'ouvrière lentilles
576422	397572	Viviana 'Vivi' Legorreta Del 
576423	127668	L'assistante dentaire
576424	345243	L'agent immobilier
576425	83203	Madeleine
576426	235851	Trudy's Friend
576426	380129	
576427	199389	
576428	410093	
576429	116643	La traductrice
576430	1749	Jeanna
576430	5432	Libby
576430	14206	Tanya Mousekewitz
576430	14207	Tanya Mousekewitz
576430	15887	Young Anastasia
576430	26141	Jill
576430	28709	Aleu
576430	46106	
576430	47796	Brooke Ellison
576430	57680	Herself
576430	76571	Jenny
576430	87295	Meg
576430	97677	Carly
576430	136510	Baby June
576430	148561	Rachel Sawyer
576430	169384	Merla
576430	191244	Young Vitani
576430	192157	Princess, aka 'Hazal'
576430	194849	Penny Robinson
576430	209133	Gretchen Wieners
576430	230852	Julie
576430	235403	Amanda Becker
576430	258027	Faruza
576430	274543	Little Red
576430	277705	
576430	277706	
576430	283099	Eliza Thornberry
576430	283100	Eliza Thornberry
576430	291109	Florida Picou
576430	296791	Allison Henderson
576430	325058	Eloise Logan
576430	360490	Cindy
576430	363001	Jenny Newhall
576430	365458	Eliza Thornberry
576430	365459	Eliza Thornberry
576430	379716	Bianca Montgomery #3 (1990)
576430	388343	Meg Griffin (1999-2000)
576430	392424	Herself
576430	400921	Claudia Salinger
576430	406617	(segment "Last Petal")
576430	411142	Eliza Thornberry/Additional V
576431	34370	
576431	43714	La marchande de poissons
576431	63928	
576431	171396	
576431	204656	La mère de Polyte
576431	274777	Martine
576432	17506	Wife of King
576432	17700	Slave Girl
576432	62157	Lillie Mae Wong
576432	154785	Lolita
576432	297365	Miss Lee, Receptionist
576432	302656	Native woman
576432	339089	Supermarket woman
576433	377651	
576434	213157	Herself
576434	213159	Lady Chablis
576434	249499	Beverly
576435	356382	Héloïse
576436	340190	Nicole
576437	381224	
576438	21718	
576438	24624	Galena Pulido
576438	25218	
576438	51106	
576438	53111	
576438	54661	Joan Carson
576438	65603	
576438	68596	
576438	73086	Bernarda
576438	96270	
576438	112047	
576438	117281	Beach Girl
576438	129762	Married Gnome
576438	148046	Alice O'Connor
576438	150853	Call Girl
576438	207968	Barbara
576438	221965	
576438	222384	
576438	222797	The Slaygirl
576438	222931	Flo (muscle girl)
576438	227706	Narda/Elise
576438	233949	
576438	251984	S.O.S. agente en Ecuador
576438	300868	
576438	301558	Girl
576438	328725	Estela Ruiz aka Flor de Loto
576438	339100	
576438	351638	
576439	135535	Herself
576440	24856	
576440	377654	
576441	80273	Catherine
576442	60186	Whitney Young Team Member #2
576443	113250	
576443	208813	
576443	289151	
576443	314737	
576443	377647	
576443	390486	Véronique
576443	409541	Christiane Malo
576443	410252	Cécile Boivin
576444	84439	Betty, the ex-girlfriend
576445	326129	Mère de Petra
576446	216151	Emilie
576447	411364	Herself
576448	9324	
576449	276991	La journaliste
576450	250962	Sam
576451	340459	Addie In Tree
576452	109015	Fille de l'auberge
576452	345381	Ernestine
576452	374208	Permanent
576453	205469	Touriste mécontente
576455	121386	Polish landlady
576456	220252	Grocer
576457	244281	Bianca
576458	268585	
576459	60347	Grace Kelly
576459	99119	Woman
576459	114019	
576459	131499	Castalia
576460	317309	Bonnie & Clyde Musical Audien
576461	61156	Female Dancer
576461	94621	Dancer
576461	339596	Dancer #2
576462	103699	Herself
576463	151483	Shopper
576463	358484	Hospital Nurse
576464	247078	Tsira
576465	264534	
576466	338037	Brooke
576467	107376	
576468	412220	DJ, musikk (2001)
576470	35652	Jessica Hagen
576471	37314	The Diva
576471	184358	Liz Marchall
576471	296020	Sound Engineer
576471	313432	Darvi Zora
576471	351808	Nurse Josie Randall
576472	384507	Lead Dancer
576472	402676	Young Shakira
576472	403904	Mini Animadora (Dancer)
576472	406972	
576473	363903	Helen
576474	42705	Pretty Lady
576475	384507	Roxana
576475	387698	Alba
576475	401438	
576475	406994	Lead singer and dancer (1988-
576476	14630	
576477	238509	Serin
576478	380114	Lili Mornar
576478	380517	Fedora
576478	380901	
576478	387123	
576478	392749	
576478	396631	Cecilia
576478	396815	
576478	396885	
576478	397579	Estela
576478	401690	Ana María Lozano
576478	403365	
576478	403756	
576478	405869	
576478	409921	
576479	84002	TV Singer
576479	96857	Francesca
576479	104853	
576479	294175	Ana
576479	390788	Juana
576479	400791	Silvia Mendoza
576479	405225	Herself
576480	3523	
576480	73515	Isa
576480	87920	
576480	124597	
576480	127991	
576481	207051	Shanghai Lili
576482	103495	Frida Schwetzer
576483	100473	
576484	379614	Sofía Domínguez 'Chofis'
576485	387533	Jane Barnet (1998-1999) (7 ep
576485	391786	Susi Harrison (1997)
576486	234994	FBI technician
576487	175002	Herself
576487	175006	Herself
576488	257354	
576489	131232	Extra
576490	131232	Maypole dancer
576491	79263	Girl
576491	283352	Princess Leia Organa
576492	24252	
576492	35944	
576492	85316	Sohn Kanwar
576492	152449	Rita
576492	241230	Bipasha
576493	152453	Anupama
576493	157894	Sheeba/Desdemona
576493	254729	
576494	59239	
576495	4815	Ticket Clerk
576495	282933	Mrs. Hurley
576495	301717	Patricia
576495	323026	Dr. Daniels
576496	33940	Woman in park, wedding guest
576496	279444	Herself
576496	297995	Herself
576496	317551	Reporter #1
576496	405937	Herself
576497	362177	Herself
576498	327838	Police officer
576498	327839	Police Officer #2
576499	4779	Milena
576499	76473	Martina
576499	151826	Alena
576499	189491	Kveta
576499	191473	Paulete
576499	206188	Prioress
576499	225593	
576499	253830	Katerina
576499	256712	
576499	266453	Sylva
576499	281214	Josefka
576499	292983	General's Wife
576499	303891	
576499	315929	2. Eda - Karla
576499	339290	Bozenka
576499	364904	Jana
576499	375428	Secretary (Jak se zena koupe)
576499	375479	Hoskova
576499	376553	Blani
576499	404169	Nina
576500	166960	
576500	222993	
576500	253065	Girl in the Courtesan's House
576501	380844	Kumari (series 2, 2001)
576501	383363	Sue (The Sea Captain's Tale)
576502	359072	Starr/Dana
576503	340304	
576504	64098	D.J.
576504	220141	Sports Announcer
576504	276777	Becky Carlton
576504	276778	Becky Carlton
576504	313961	Girl #1
576505	219773	Daughter
576506	350077	Prostitute in jail
576507	320797	The Queen
576508	187263	Malio Seductress
576509	6803	Countess Lucia Bonavia D'Oran
576509	16670	Florence Lamont
576509	17961	Nurse Daniels
576509	26643	Eleanor Carter
576509	27351	
576509	40706	Helen
576509	44265	Joan Randle
576509	47984	Millie Craddock
576509	52194	Mary Piper
576509	52536	Dawson Townswoman
576509	58653	Alberta Bradley
576509	69420	Marion Atwell
576509	70277	Neva Stokes
576509	75274	Marie Louise, 'Mamise'
576509	75283	
576509	75316	Macie Sewell
576509	77774	Alice Hedman
576509	78035	Phoebe Mabee
576509	78973	Cornelia Quinn
576509	95477	Letty Gravely
576509	105074	Governess
576509	109816	Miss White
576509	117141	Annie
576509	120336	Bit Part
576509	120617	Philena Mortimer
576509	127728	Fanny Daniels
576509	128616	Kate West
576509	129554	Jane Brown
576509	129870	
576509	130150	Ruth Lytton
576509	130742	Molly Shannon
576509	139017	Marjorie Gregg
576509	141526	Margaret Neville
576509	142356	Sanford's Sister
576509	143063	
576509	143335	Nan Everard
576509	150929	
576509	162357	Grace
576509	185456	The Kept Woman
576509	193865	Sylvia De La Mere
576509	195947	Cynthia Redfield
576509	199497	Claudia Royce
576509	203815	
576509	206836	
576509	207180	Betty Powell
576509	210714	Clara Fisher Hyland
576509	211548	
576509	215903	Extra at opening
576509	216937	Adele Dayton
576509	219383	Miss Murray, Easton's Secreta
576509	227021	Mary
576509	228702	Kate Sheriff
576509	239753	Emily at 22
576509	258090	Mary Wilson
576509	269811	The Girl
576509	273159	Betty Joe
576509	275767	Mrs. Emily Dysart Tappan
576509	281853	Eileen O'Moore
576509	286929	
576509	289248	Helen Caswell
576509	290328	Larson
576509	291213	Madeline
576509	302342	Poppy
576509	307581	Mary McMillan
576509	312792	Fay Leslie
576509	313320	Woman at preview
576509	314775	Lucy Fay
576509	315146	Doris Manning
576509	340628	Ellen Llewellyn
576509	351721	Marion De Long
576509	352720	Ruth Douglas
576509	364613	Irene Emerson
576509	364773	Mother
576509	366619	Helene
576509	367476	Marie Lamont, the Actress
576509	367896	Stella Mowbray
576509	371056	Bessie
576509	371088	Miss Seaton
576510	248830	Jenny
576511	206128	Herself
576512	26769	Mrs. Chambers
576512	67948	Nurse
576512	80056	Georgina Rosemont
576512	85866	Roseanne Agensky
576512	87896	Kelly Howell
576512	105372	Sarah Livingstone
576512	107225	Irene Spellman
576512	117452	Dr. Barbara Glaser
576512	140993	Denise Giullani
576512	170562	Gillian
576512	185321	First Reporter
576512	269879	Karen Ashmon
576512	273631	Mila Hart
576512	301956	Secretary
576512	310425	Sandra Farraday
576512	311204	Jeanine Pettibone-St. Hubbins
576512	313407	Dr. Sheila Thatcher
576512	330794	Jeanine Pettibone
576512	390262	Dr. Alice Davis
576512	409738	Lydia (1984-1985)
576513	402197	Bev Cavelli (1979-1982)
576514	321526	Vocalist at Kelly's
576515	337600	Carmencita
576516	140999	Melanie
576516	320453	Non-Jewish Wife
576516	335982	Miss Warren, Chorus Member
576517	114193	Lesbian
576517	372198	Producer
576518	337349	
576519	32061	
576519	45072	
576519	71424	Bound Maid
576519	116360	
576519	116921	Barefoot Model Roxanne
576519	287164	
576519	312364	
576519	345643	
576520	7091	Marion
576520	9142	Newsreader
576520	134595	Laura Thorne
576520	169478	Mashowna
576520	324660	Tanya
576520	388878	Sarah
576520	388978	Dr. Rowie Lang (1990-91)
576520	389630	Dr. Cathy Mitchell
576520	390139	Patricia 'Trish' Forbes
576520	395197	Kathy Price
576520	401624	Herself (1991)
576521	202402	Dade
576522	280385	
576523	164269	Herself
576524	67847	
576524	284621	Newswoman
576524	379076	
576524	386436	Amy
576525	126785	
576525	153454	
576525	159615	
576526	165157	
576527	322892	
576528	127720	
576528	283325	Kyeong-a
576529	58852	Lee Kyeong-mi
576529	90415	Ae-ran
576530	368213	Wooryung
576531	287115	
576531	362060	Yo-mi
576532	229883	
576532	404859	Youngsook
576532	411684	Choi Ha-young
576533	81649	Lily Chang/Harry's Character
576533	149804	Office Worker #2
576534	256314	
576535	252211	Take A Dump Gal
576536	215831	Candy
576537	81157	Police Clerk
576538	41726	Professor Scully
576539	360267	
576540	57073	Beggar, Cook, Singer, Merchan
576540	79272	Puppet Critic
576541	348327	Goldwyn Girl
576543	34073	
576543	113729	Suzy
576543	303897	Maureen
576544	223402	Nurse
576544	299958	
576545	199207	Singer at Sugartown Nightclub
576546	248937	Sissy
576547	365270	
576548	276708	Wanda
576548	314631	
576549	1381	Herself - a Wardrobe Mistress
576550	115886	Photographer's Assistant
576551	61726	
576551	175636	
576552	3708	Herself - as Levicy Hatfield
576553	115421	
576554	115421	
576555	323594	Audition Singer
576556	128530	Michelle
576557	309445	Klára
576557	339306	Manon Fleure
576558	206240	Herself
576559	355212	Woman with Video Camera
576560	122790	Gaby
576560	161255	Herself
576560	185690	Abortion Activist
576560	363953	Rachel
576560	398982	Valerie 'Val' Toriello
576561	208656	
576562	280622	
576563	68624	Copeira ( segment "Lula e a c
576564	62257	
576565	297470	Shanti
576566	101646	Second Tourist
576566	191495	Powell's Secretary
576566	194689	Platt's Girl
576567	264436	
576568	138853	Danseres
576568	385736	Danseres
576568	409123	Danseres
576568	409154	Danseres
576569	80254	Madre Carlos
576570	6630	
576570	10479	
576570	25514	
576570	52045	
576570	54081	
576570	64430	
576570	69908	
576570	71189	
576570	74145	
576570	74612	
576570	75377	
576570	83437	
576570	85567	
576570	106323	
576570	128930	
576570	135349	
576570	143677	
576570	152628	
576570	167802	
576570	185912	
576570	193495	Lola Chagano
576570	193496	
576570	205600	María Vargas
576570	207734	
576570	212341	
576570	223620	Rita
576570	245583	
576570	253666	
576570	256794	
576570	263069	
576570	277136	
576570	278132	
576570	292925	
576570	306705	
576570	326221	
576570	351615	
576570	351626	
576570	357536	
576570	386784	
576570	398534	Elba
576570	403749	
576571	99668	Rita
576572	176017	
576572	212405	
576572	306275	Mask Magic Mirror #1
576573	161795	Voice over
576574	59743	La Fille canon
576574	248931	
576575	228882	Pooja
576576	309149	La première sorcière
576577	56049	Nun #2
576578	284793	Dina
576579	78941	Officer Worker #2
576580	7833	Anna
576580	64416	Aggie
576580	236006	Teresa
576580	320914	Sophie
576581	196586	Kate
576582	348651	Alley Cats
576583	287956	
576584	121778	
576584	167489	
576584	231221	
576584	318697	
576584	340610	
576584	370761	Joyce
576585	220677	Herself
576586	74275	
576587	87166	Pit Orchestra
576588	145312	Dressmaker
576589	404175	Malika
576590	380328	
576591	108901	Fatima
576591	220219	Nany
576592	107611	Na
576594	98138	Ally
576594	221158	Donna
576595	244165	
576595	304154	
576595	374842	
576596	64904	Debbie Watts
576596	120261	
576596	139073	Lizzie Hergruder
576597	392693	Kara
576598	168693	Bakery Girl
576599	32858	
576600	343309	Olga's Mother
576601	134581	La bru
576601	201102	Mme Charbonneau
576601	400804	Raymonde Payette
576602	352597	La collègue
576603	102042	La serveuse
576603	198549	Denise
576603	255598	Mathurine
576603	291583	Mme Irène
576603	345565	La metteuse en scène de théât
576603	353886	
576604	189350	Cynthia, a friend
576605	235519	Zoreh
576606	2520	
576606	10223	
576606	30404	
576606	48787	
576606	48805	
576606	49890	
576606	51811	Rosa Martinez
576606	55949	
576606	61866	(segment "Infidelidad, La")
576606	68588	
576606	68845	
576606	74577	
576606	83551	
576606	84225	
576606	85973	
576606	96277	
576606	96279	
576606	101844	
576606	103497	
576606	142740	
576606	193082	
576606	198241	
576606	199001	
576606	207662	
576606	207664	
576606	209001	Gabriela
576606	213714	Diana
576606	223618	
576606	225591	Dra. San Roman
576606	246423	
576606	248300	
576606	253326	
576606	259889	La Albina
576606	265330	Helga
576606	267048	
576606	272632	
576606	272667	
576606	272668	
576606	278303	
576606	283243	
576606	287898	Lilia
576606	296126	Margaret Seton
576606	296135	
576606	301166	
576606	307574	Eva
576606	328043	
576606	351026	
576606	351027	
576606	351057	
576606	354992	Don~a Blanca
576606	379554	Myriam
576606	388096	
576606	393801	
576606	401088	Lina
576606	404736	
576607	759	
576607	16986	
576607	34906	
576607	50789	
576607	116013	Herself
576607	233053	
576607	237135	
576607	273298	
576607	338348	
576607	347390	
576607	354799	
576608	226938	Producer's Wife
576609	390302	Kitty Nimble
576610	226938	Woman Crossing Behind O.J.
576611	219257	Sarah
576612	14726	Mujer Tren
576612	183467	
576613	345561	La femme du garagiste
576613	390180	
576614	248258	Elisabeth LANDRON
576615	57747	Fast Food Customer
576616	63505	
576616	280438	Woman at Party
576617	99364	Secrétaire Danjard
576617	195201	
576617	322589	
576618	270542	
576618	345287	Annick, la fille du refuge
576619	394077	
576620	324652	
576621	324652	
576622	160523	Lizzie
576623	44213	Godenitzata na Kompozitora
576624	60723	Donka
576624	127456	Svetla
576624	151873	Mareto
576624	208779	Maria
576624	332958	Zvezditza Koledarova
576624	340720	Saprugata na Ivan
576625	12363	Magda
576625	16530	Medea
576625	30623	Melano
576625	32505	Jujuna
576625	62859	Tsqriala
576625	85272	Wife of worker
576625	129217	Tamro
576625	203834	Charlady
576625	216550	Sopio
576625	233038	Nino
576625	334046	Qeto
576625	357239	Magdana
576626	8683	
576626	9411	
576626	30633	
576626	31495	
576626	56308	
576626	88683	Zanooba
576626	137056	
576626	155162	
576626	202975	
576626	300951	
576627	19019	
576628	28200	
576628	208176	
576628	312079	
576629	367271	Groomer
576630	379978	Herself (eliminated 4th) (200
576631	303110	
576632	312442	
576632	326248	Yoshka
576632	349351	Selyankata
576633	147496	Doctor
576633	207093	Sue
576633	380071	Parminder Kelsey
576633	382052	WPC Jamilla Blake (1996-1999)
576633	389147	Surinder
576633	397299	Sita
576634	62588	
576635	317760	Little Shita
576636	271427	
576637	200768	
576638	30106	Malati
576638	217892	Basanti
576639	168348	
576640	157578	Courtesan
576641	5611	
576641	9774	
576641	38795	Kamalmoni
576641	60982	
576641	62588	Rajlakshmi, Mahendra's mother
576641	63505	Prashant's wife
576641	94919	Kalyani
576641	98479	Neighbor
576641	121483	
576641	159849	
576641	165375	Kamala
576641	165987	
576641	173278	
576641	208205	
576641	297132	Uma
576641	319290	
576642	288048	Prabha
576643	89785	Karapetovna
576644	316830	
576644	357415	Siya
576645	404608	Judge (2002)
576646	183186	Wardell's Receptionist
576647	305516	
576648	261301	Her mother
576649	175766	
576649	181747	
576650	78762	Betty
576650	193007	Susannah
576650	253467	Little Em'ly (the child)
576650	323769	Lucie, the Child
576650	350408	Little Girl at the Parade
576650	363758	Praying Child in Cottage
576651	386385	Young Mary Ellen
576652	328139	
576653	328139	
576654	11945	Woman with Dog
576655	23505	Présidente
576655	24833	Marie-Elise Bellac
576655	25819	Mme Ackerman
576655	52909	
576655	76128	Amélie
576655	111084	Catherine
576655	124650	Martine Coche
576655	148701	Clémence
576655	191413	Simone
576655	198342	Sabine
576655	200962	Solange
576655	201209	Sonia
576655	211487	Sarah Fortier
576655	216236	Noémie
576655	216237	Noémie
576655	291575	Mme Gomez
576655	322587	Monique
576655	336445	Mrs. Maute De Fleurville
576655	340166	Juliette Carvi
576655	340343	Lorène
576655	345567	L'institutrice
576655	377465	Josepha
576655	377652	Véronique
576655	377980	Germaine Necker
576655	385347	Agnès Guerrimond
576655	388716	Joséphine
576655	396328	Charlotte
576656	18323	
576657	409277	Herself/Panelist ("Mode")
576658	246306	
576659	241613	Paula
576660	2030	Female Customer
576660	42386	Constance Roberts
576660	43916	Nina
576660	68688	Mother Quimp
576660	79604	Grandmother
576660	81133	Aunt Hannah
576660	114601	Mrs. Fitzgerald
576660	116086	Denise's Mom
576660	118998	Narrator
576660	147599	Mrs. Hauser
576660	170561	Mom
576660	170843	Casitas Madres Receptionist
576660	184822	Anonymous Female Rancher
576660	185201	Zenia
576660	215527	Miss Lily
576660	222571	Mildred
576660	245182	Ruth
576660	260790	
576660	263439	Beggar Woman
576660	268810	Dr. Ruth Fielding
576660	272026	Shirley Magnuson
576660	300913	Nanda
576660	323838	Dean (segment "Lot 249")
576660	367457	Woman
576660	381655	Silence Dogood
576660	390741	Laurie Solt
576660	406621	Ms. Stanhope
576661	191676	Paramedic
576662	2384	Rene
576663	60859	
576664	60859	
576665	280780	
576666	68381	
576667	212152	Sylvie
576668	162384	
576669	205932	Helene
576670	207874	L'astrologue
576671	384386	Marjo Coulombe
576672	394750	
576673	326344	
576674	58170	Female Listener/Chorus Girl w
576675	10156	Samantha Rose
576675	11451	Katy Dudston
576675	35688	Laura Sawyer
576675	52093	
576675	61656	Melinda
576675	64106	Cinderella
576675	64795	Angelica
576675	79428	Annie Morrell
576675	80380	Heather Loch
576675	86028	Narrator
576675	95785	Drea Davenport
576675	102572	Maisy
576675	155020	Sarah Zoltanne
576675	163478	Herself
576675	176724	Linda
576675	228984	Herself
576675	235651	Gloria McIntosh
576675	275322	Carrie
576675	279766	Marion Fitzwater
576675	311188	
576675	313045	Krista Wilson
576675	367585	Elizabeth
576675	369505	Jane Bennett
576675	370117	Myra
576675	394418	Herself
576675	398213	Herself
576675	399741	Gloria McIntosh Hobson
576675	403765	Becky Conner-Healy (1995-96)
576675	404569	Dr. Elliot Reid
576676	304527	Passing Student
576677	144972	Teacher
576677	299973	Jody
576677	372138	Kohar
576677	405960	Pam Bennett
576678	59314	Schwester Elena
576678	90998	
576679	76190	Pinky
576679	201941	Restaurant Manager
576680	17817	Mara Vercors
576681	328251	Tanya Bradley
576682	360723	Sideburns Lady
576683	278526	Additional Voices
576684	322339	Loulou's Grandmother
576685	211662	
576686	75889	Alice
576686	108300	Girl
576686	184826	Maid
576686	289213	Ingenue
576687	187810	Club Owner
576688	184090	Mrs Gogarty
576688	385920	Mrs. Arnott
576688	405092	Mum Matheson
576689	144406	
576690	203358	Tony Clifton Dancer
576690	230444	Indian
576690	366070	Dancer
576691	64554	Nicole (as a Child)
576691	66177	
576691	141193	Elsa
576691	234033	Jenny
576691	289231	Au Pair girl
576691	306624	Betty
576691	330600	Zenna Peters
576691	334307	
576691	363490	Emma
576692	55850	Tania Szabo
576692	124480	Bianca
576692	129861	Patchy
576692	143636	Gloria
576692	241260	Girl at 'Way In'
576692	276234	Catherine
576692	334471	
576692	378492	
576693	243744	Bernadette (Paper-girl)
576694	190570	Nancy Markley
576694	255399	Amy (age 10)
576694	347712	In-crowd Girl
576695	173225	Daina
576695	232479	Janet
576696	107629	Claire
576696	275999	Clair
576697	118233	Maddie Banks (older)
576697	156466	Mrs. Walker
576697	266591	Mrs. Lane
576698	229427	
576698	409090	Glenna McFadden
576699	23926	Aidience Member
576699	34903	Herself
576699	190068	Herself
576699	362000	Herself
576699	384660	Presenter
576699	391887	Herself
576699	411283	Presenter
576700	191394	
576701	368374	Yvonne Abelson
576702	294621	Diane
576703	7484	
576703	246724	Gloria
576703	292817	Waitress
576704	54773	
576705	285357	Emily Train
576706	291682	Petite fille Cécile
576707	40659	Louise
576707	108333	FBI Agent #2
576707	229861	Lawyer's Wife
576708	269050	Anne Guillou
576709	157073	Solzic ar Braz
576710	82376	Pam
576711	254073	Marine bébé # 3
576712	142264	Irmi
576713	16928	Model
576714	216806	Jane
576715	247551	
576716	328220	Teacher
576717	361298	Herself
576717	411497	Herself
576718	402532	The lillte girl n the hospita
576719	375196	
576720	390180	Little Fiji
576721	44337	Cafe Customer
576722	107241	Anne-Marie
576722	225769	
576722	319995	Solange
576722	341913	Aline, la fille du boucher
576723	348523	
576723	403475	Barbara Raphaël
576724	29415	
576724	35302	Odette
576724	57530	Marthe
576724	68775	
576724	70150	Manu
576724	71141	Mme Boitard
576724	81427	Taxi jaune
576724	82636	Madame Soupin
576724	83233	Françoise
576724	111096	
576724	118180	Nicole5
576724	120403	Dominique
576724	220494	La seconde vendeuse truc-en-t
576724	235719	La stagiaire
576724	244256	L'antiquaire
576724	272033	
576724	278139	Martine
576724	281304	Claire
576724	292279	
576724	317953	Commissioner's daughter
576724	322768	La speakerine
576724	356362	Lucie
576724	356501	Clémentine
576724	376580	Anne
576724	377976	Claire
576724	380410	Maria Bella
576724	386226	Auric
576724	396037	Anne
576725	43758	Un enfant de Marie
576726	258150	La mère
576727	385020	Tracy Barlow (II) (1985-1988)
576728	265397	Dosdores
576729	148685	La femme de l'agence
576729	229666	Girl in the Bistro
576729	346534	La secrétaire
576730	226959	Mother
576731	378431	Carmen Friend's
576732	201986	Jeweller's girl
576732	396201	
576733	109452	Female employee
576734	157826	Policewoman
576734	326342	Reporter
576734	411502	Deidre (1987)
576735	252974	Party Girl 1
576736	48120	Elizabeth Bruce
576736	94767	Annabel
576736	404795	Valkyrie
576737	123172	Mrs. Barton
576738	331467	Male Transvestite
576739	117136	Evelyn, Phil's Secretary
576739	189325	Ben's Teacher
576740	79533	Herself/Narrator
576740	311702	Herself
576740	381886	Herself - Guest Presenter (20
576740	403325	Sports Anchor (2002)
576740	405778	Hell's Bells/Helen
576741	35764	Stephie
576742	209133	Giselle Sgro
576743	46171	Poppylady
576743	138857	Florence
576743	189907	Grandmother
576744	254569	Kid at Party
576745	174405	Eleonore
576745	321515	Swing Girl with Thomas
576746	65474	Teenager in motel
576747	105565	
576748	54420	Young Girl
576748	60341	Terri
576748	279092	Alice Kay Cummins
576749	311946	'Hot Date' Band Member
576750	104337	Rose
576751	341454	Winne Foster
576752	238601	Dr. Mary Martindale
576753	389097	Herself
576754	37691	Auditioning Girl
576754	251011	Shirley
576754	257232	Cheryl
576754	268033	Kat
576755	208054	
576756	198660	Peggy
576757	274427	Driscoll Townsperson
576758	309970	New Yorker
576759	196902	Woman in Hotel Lobby
576759	300326	Maid
576760	145091	Wynona-Sue Turnpike
576761	34962	
576761	37261	Stewardess
576761	67599	Cindy
576761	360726	Beth Raines
576761	390771	Lorelei Hill Lewis/Beth Raine
576762	163213	Music Teacher
576763	222795	
576764	199078	Fillette
576765	11169	Jim
576765	31892	Alicia
576765	46154	Head Nurse
576765	177339	Cordelia
576765	188333	Dee Dee Williams
576765	193956	Dr. Chisholm
576765	241106	Mrs. Grace
576765	348386	Jan
576765	348547	Madame Zenobia
576765	365868	
576765	379716	Pat Baxter (1982-1991, 1995)
576765	379753	Lucy Daniels
576765	387438	Brenda; Vi; Gladys Glowworm (
576765	396123	Pat Baxter (1995)
576765	400867	Barbara Paris (1979-1980)
576765	403730	Odile Richards
576765	410242	Cmdr. Delia Thorne, MetroPol
576766	43935	Mother
576766	206687	Real Estate Agent
576767	296842	Girl in the Lighthouse
576768	63122	Lil Hockmeyer
576768	108353	Judge Sommers32
576768	148438	City Lady
576768	250830	Mrs. Jameson
576768	404002	Diana Buckminster Carter (197
576768	406788	Virgilia
576769	366139	
576770	304787	Embassy Guest
576771	263010	
576772	167003	Nurse
576773	80382	Nicole
576773	258947	
576773	304758	Brooke
576774	37683	Chairwoman
576774	83822	Nicole Meyers
576774	88068	Kim
576774	304760	Allison/Angela Baker
576774	306773	Christine
576774	365218	Waitress
576775	32940	Jaclyn Smith
576775	112621	Stephanie
576775	189987	Linda
576775	289379	Laura
576775	380713	Molly Peterson Conlan McKinno
576775	406279	Taylor Jones
576775	406952	Maria Torres-Evans (10/1998-1
576776	117825	Female Workout Partner
576777	241389	
576778	79862	Car Attacker
576778	115300	Jennifer
576778	183239	2nd Woman at party
576778	327964	Dominica Forster-Brown
576778	334271	Baroness Craske
576778	380344	Midwife
576778	392019	Vicky Tarnshaw
576778	395194	Mrs. Longmore
576778	395736	Mrs. Bumfrey
576778	407838	Mrs. Domenica Van Meyer
576778	410580	Russian woman
576779	280699	Junior Co-Ed
576780	65134	Betsy
576780	235790	Honey
576780	271262	Margaret
576780	323377	Martha Thompson
576780	365990	Gaoler's daughter
576780	392170	Helen Yardley
576780	395746	
576780	396965	Charity Pecksniff
576780	401812	Belle
576780	410066	Alice Tinker/Horton
576781	40331	Nori
576781	90349	Frances Bacon McCausland
576781	277803	Rhonda Rheinbeck
576781	317882	Terri
576782	195364	Mrs. Williams
576783	24429	Dancer
576783	24432	Scene Break Dancer
576783	32052	Dancer
576783	46355	The Betty
576783	47078	Monica Jones
576783	190702	Cheerleader #4
576783	363780	Gina
576784	332771	Stripper
576785	354203	Extra
576786	34749	
576787	7008	Mary Adams, a School Girl
576787	294744	Girl playing hopscotch
576787	372531	Maggie
576788	77206	Karen Dacre
576788	383056	Claris
576789	86982	Female Customer
576789	109252	Sally Miller
576789	278692	Louise
576790	11170	
576790	399130	Rosemary Daniels (1985-1998)
576790	403244	Rita Merrick (1978)
576790	411809	Dr. Robyn Porter (1980-1982)
576791	120477	Margaret Parsons
576791	218798	Chemist's Assistant
576791	280469	Daughter
576791	294216	Lucy Steele
576791	381503	Claudia
576791	388396	Lucy Beckett
576791	396623	Constance Farrington/Radlet
576792	1187	Herself
576793	82118	Sylvia Baretto
576793	92957	Actress at Ford's Theater
576793	108444	Buddy
576793	117064	
576793	133887	Irma von Berg, the stepmother
576793	216234	Jean's Paris Servant After Co
576793	329502	Adele Ketlar
576793	350504	Mrs. Sharp
576794	141550	Sara
576794	274679	
576794	386618	Contestant
576795	32061	
576795	251739	
576795	324593	Kelsie (Temp Office Worker)
576795	345643	
576796	6728	Herself
576796	6753	
576796	27488	
576796	31180	
576796	41581	
576796	50354	
576796	102690	
576796	108649	
576796	110504	
576796	128549	
576796	147810	
576796	150186	
576796	160277	
576796	196002	
576796	228025	
576796	230105	
576796	252931	
576796	260816	Herself
576796	264817	
576796	270116	
576796	316147	
576796	331995	
576797	110739	Lost Girl
576798	324015	Trigger
576799	265819	Nurse
576800	32155	Robin
576800	38259	911 operator
576800	38553	Lossen
576800	69917	Health Worker #4
576800	76524	Lolita
576800	91769	Lucy, Parole Office Secretary
576800	134025	Charmain
576800	165484	Mary's Assistant
576800	196320	Tanya
576800	217529	Candace
576800	230442	Sales Woman
576800	244372	Alicia
576800	302312	Connie
576800	304481	Dr. Love (Basketball Announce
576800	306223	Receptionist at Hot Smile Den
576800	312924	Supermarket Cashier
576800	317892	Kim
576800	326479	Audition Woman
576800	340929	Sherri
576800	374523	Pilot
576801	162617	Deirdre
576802	65891	Max
576802	169689	Lana
576802	238610	Commune Girl
576803	138715	Julie
576804	367622	Florence
576805	132909	Toni, Flashback FM DJ
576805	132912	Toni
576806	112253	Helen Crew
576806	124753	Mrs. Dodd
576806	207774	Louise Randall
576806	329502	
576806	355220	Contess Olga Vosloff
576806	367515	Claire Foster
576807	43606	Weiss' Aide
576807	67569	Lisa
576807	106493	Parent of Murdered Children G
576807	123432	Cassandra
576807	231088	Party Guest #1
576808	160408	Terry's Female Half (segment 
576809	16705	Angel Harmony
576809	27222	Herself
576809	35649	
576809	37682	Herself
576809	41168	Herself
576809	46327	Marilyn Valentine
576809	83824	Marilyn Martin
576809	98836	Herself (Hostess)
576809	98892	Herself (Hostess)
576809	108706	
576809	116013	Herself
576809	129090	Herself
576809	187411	Herself
576809	187412	Herself
576809	192267	Marilyn
576809	197853	
576809	224364	Kelly Carson
576809	226924	Herself
576809	230307	
576809	230934	Barbara Lowery
576809	232137	
576809	264665	Herself
576809	270290	Rose
576809	296223	Marilyn
576809	329871	Herself
576809	334751	
576809	335803	Herself
576809	362988	Herself
576809	364281	Extra
576810	66131	Friends & Rebels
576811	192748	Confessional Dancer #3
576812	390523	Annette Firman (1982-85)
576812	402125	Miss Anne de Bourgh
576813	66582	Det. Andrea McInroy
576813	89099	Becky
576813	291452	Trisha
576814	151109	Sorority girl #2
576814	224190	Janice Phee
576814	266627	Girl in Bed
576815	109857	Young Woman at Gym
576815	161921	Casey Meyer
576815	171155	Faith Zacarelli
576815	264423	Colleen
576816	274400	Tracy
576817	114642	Matthew's Kids
576818	198829	Girl #2 in Car
576819	50954	Merle, a Show Girl
576819	52696	Joan Vincent
576819	58795	
576819	87106	Ship's Passenger
576819	114534	
576819	137488	Gladys, aka Ella Beebee and E
576819	148552	Guest
576819	155318	Annabelle Schmaltz
576819	176335	Goldwyn Girl
576819	185286	Blonde Girl in Dive
576819	210392	Vera
576819	211601	Maxim Girl
576819	219383	Woman at Party
576819	235633	Lady Godiva
576819	264822	Mrs. Belle Orrington
576819	279478	Blonde in Bath
576819	349633	John's Blonde Secretary
576819	355825	Blonde manicurist at banquet 
576819	367919	Girl in a Bath
576820	112023	
576820	293144	Mum
576820	382522	Lorna
576820	382838	Gabby Parr (2002 - 2003)
576820	392779	Julie
576821	385020	Sally Waterman (1983-1985)
576821	387785	Marianne
576822	314748	Mme Delestang
576823	23859	
576824	387457	Grace
576825	366645	Chicago Bar Patron
576826	117634	Grandmother
576827	346721	Voix petite fée
576828	148672	Radiologist Nurse
576828	231265	La mère de Gilles
576829	69531	Woman at the Bus Stop
576830	199572	Pauline, Claire's daughter
576831	157228	Nicole
576831	322354	
576832	205480	La chanteuse de l'Opéra
576833	6627	Jenny
576833	217694	
576834	270870	
576837	160533	
576838	60907	Maryse
576838	345481	
576839	100868	Epa
576840	157036	Barfly
576841	40824	Flicker/Pettiford
576841	176534	Additional Voices
576841	213448	
576841	315246	Vermatrix Goldenhide
576841	336577	
576841	387419	Additional Voices
576841	392134	Witch
576842	92684	Victim of Dracula
576842	139781	Betty Peelman
576842	144883	High Priestess, Oracle at Del
576842	168261	Vamp Girl
576842	302958	Jody DiLeonelli
576842	312927	Alyssa, the Vampire Queen
576842	350209	Det. Jennifer Hunt
576842	399233	Susan Galloway, girlfriend/vi
576843	277763	Dana
576844	197963	
576845	1293	Ludovica
576845	202418	The Woman in childhood
576845	265169	La femme de chambre
576845	346417	Mouche #2
576845	353907	Marguerite
576846	337007	Petite Béatrice
576847	160713	Woman in waiting room
576847	328905	Concierge
576848	73646	
576849	390771	Tory Granger (2001-2002)
576849	400236	Det. Sophia Pellegrino (1999-
576850	12083	Visi
576851	103767	
576852	12083	María
576853	376843	Rosita
576854	387291	Hostess
576854	392664	Host
576855	368422	Herself (La Prensa, with Ed K
576855	383801	Herself
576856	153846	Jeune fille supermarché
576856	356978	
576857	58550	
576858	38644	Rasa (ADV 2003)
576858	101299	Katy
576858	410739	Aquelda
576859	65973	Fellini Woman in Park/Woman a
576860	318361	Diva
576861	200524	Secretary
576862	98900	
576862	246359	Mala
576862	324950	Bljarl
576863	152702	
576864	6720	Herself
576864	26911	
576864	26944	
576864	26945	
576864	26946	
576864	34239	Celeste
576864	34817	
576864	39437	
576864	39647	
576864	44833	Anna
576864	55483	Maria Addolorata
576864	58808	
576864	87157	Savannah
576864	90117	Sultana Gulbeyaz
576864	91879	
576864	95519	
576864	108113	Adriana as a young woman
576864	121834	
576864	130285	
576864	139157	
576864	150151	
576864	163863	
576864	182974	
576864	186462	
576864	187917	
576864	191701	Maria
576864	211732	Consuela
576864	212394	Stefania
576864	215452	
576864	218162	Annie
576864	229485	Caterina Fornari (segment "Il
576864	245016	Vicky Felino
576864	257697	
576864	264877	
576864	270592	
576864	286186	Salome
576864	288237	
576864	296247	
576864	303209	
576864	303532	Wife
576864	307441	Lucia
576864	323951	
576864	326240	
576864	332450	
576864	353858	Vittoria
576864	355663	
576864	361211	
576864	364419	
576864	364428	Maria
576864	371771	
576864	380990	Angela Bessi
576865	257720	Nikki
576865	380717	Carmen Forcier
576865	381617	Donalda
576865	393894	Mme Lemire
576866	345539	Dancer
576867	19257	
576868	162840	
576868	242517	Sally
576868	314912	Miss Rudolph
576869	111408	Budgie
576869	351181	
576869	355206	Hundee
576870	125478	
576871	174155	Belle fille
576871	280663	Cigarette Girl
576872	269041	
576873	133172	Jaëggli
576874	314484	Dancer
576875	217702	Carmen
576876	128200	Teacher
576876	201444	Baby
576876	257271	Cocktail Waitress/Hostess
576877	353840	Amelie
576877	382196	
576878	156304	
576878	173129	L'hotesse a St-Ours
576878	205932	Shopper in Store
576878	307486	
576878	378731	La secrétaire d'Henri
576878	381504	Françoise Champagne
576878	406028	Mme Beaujeu Martin
576879	185691	Dancer
576881	60472	Gwen
576881	175121	Robyn
576882	78370	Voisine 3
576882	83367	Mademoiselle Chouinard
576882	393285	Sylvianne
576882	404812	Mme Riendeau
576882	410628	Suzie Leclerc-Gauthier (1998-
576883	238163	Femme d'Henri
576884	362598	Shower Girl
576885	71807	Florence
576886	15061	L'infirmière d'accueil
576886	96198	
576887	287616	le jeune fille à la pompe
576888	261551	Fille du bordel
576889	17621	Annabelle
576890	15080	Hélène, la bonne
576890	17858	
576890	26580	L'amie du baron
576890	29508	La patronne de la maison clos
576890	34461	L'invitée
576890	58993	La nourrice
576890	60519	La coquette
576890	83257	Mme Wirth
576890	87961	
576890	91079	
576890	101511	Soeur Catherine
576890	108210	
576890	110131	
576890	116035	
576890	119044	L'épicière
576890	125841	
576890	188692	Une commère
576890	196822	Mme Angelot
576890	199297	La tante
576890	202591	
576890	205610	
576890	208185	Mlle Leblanc
576890	249698	Mme Barkhuis
576890	257178	Maud Barnett
576890	258118	Une religieuse
576890	268388	Adélaïde
576890	268414	Simone, la serveuse
576890	269146	
576890	280542	
576890	280793	
576890	332215	La laitière
576890	332216	La première dame
576890	332220	Mme Ledoux
576890	332221	Une servante
576890	332224	
576890	332225	
576890	332226	
576890	345400	Baba
576890	346539	Mme Michu
576890	349899	Marie
576890	355250	Elevator passenger #3
576890	377648	
576890	377793	L'infirmière
576890	377852	
576890	381628	Mme Balagnac
576890	386573	Mme Werner
576890	391620	M. Leterrier
576890	407273	Herself
576890	408662	
576891	31018	Extra: Metro
576892	192012	Mother
576893	116431	La femme pas commode
576893	136793	Herself
576893	193440	
576893	217660	François Villon
576894	211136	
576895	106474	Bleck
576895	257354	Sylvie
576896	16948	Une religieuse
576896	43762	Odette Mercadier
576896	188697	Marinette
576896	191555	Marguerite de Verrières
576897	128772	News Producer Detroit, Mich
576898	154738	Mrs. McClellan
576899	61627	Cora
576900	91793	Girlfriend at School
576900	224281	Brandi
576900	253364	Hooker #2
576900	316171	Sunny MacIntosh
576901	105793	Mary
576901	185109	Jane
576901	273800	Laura
576901	292792	Emily
576901	301700	Karen
576901	310997	Nurse Price
576901	382743	Sister Clare
576901	391251	Lucy Mitchell
576901	391869	Sheree Anderson (1990)
576901	404927	Pride
576902	20571	Celeste Hillseth
576902	87847	Eve
576903	411802	Jeri Paulsen (1995)
576904	225405	
576906	177078	Mysterious Lady
576907	11609	Marion
576907	58022	Herself
576907	82379	Dancer
576907	105300	Pamela Hubbard
576907	129062	Madelyn Corlane
576907	149169	Daine
576907	170930	Meta
576907	196390	Clarisse
576907	221044	Herself
576907	249627	Rosalind Dunphy
576907	300063	Ellie May Shipley
576907	309208	Coed
576907	315748	Irene's Girlfriend
576907	319033	Dancer
576907	321448	Peggy Forsburgh
576907	329560	
576907	329565	
576907	331374	Gwen Howard
576907	362087	Student
576907	379243	Regular Performer
576907	396831	Herself
576908	279200	Dancer
576909	185755	Nun
576909	355639	Old Lady
576910	116443	Girl in shell dance
576910	313301	Chorine
576911	402394	Herself
576912	84487	Cheerbabe
576913	183219	Frances Burgess
576914	262119	Roxanne
576915	50886	Honoria Glossop
576915	78835	Babysitter
576916	135369	Nina Christos
576916	388870	Dale Arden
576917	226785	Taylor's secretary
576918	151732	Showgirl
576919	86307	Julienne
576919	99044	Lady Reverend
576919	158311	Mary Hogan
576919	190570	Head Nurse
576919	222652	Lotti
576919	367454	President of the United State
576920	18207	Dancer
576920	41373	Woman in Bed
576920	102771	(segment "Nice Catch")
576920	126626	
576920	213259	Tiffany
576920	252889	Bathtub Girl One
576920	301835	Lynn
576920	366652	Stephanie
576920	366753	1st Victim
576921	40138	Bar Patron
576921	70537	Vocalist
576922	55588	Hairstylist
576922	317551	Talk Show Guest #3
576923	107504	Alice
576924	360682	Mother Sarafulo
576925	32518	Alison/Rebecca/Delores
576927	8777	
576927	29466	
576927	215942	Insp. Wong Siu Man
576927	369188	
576928	85882	Grace
576929	281402	Patron #2
576930	350207	
576930	396820	Mei-Li
576930	404269	
576931	231537	
576932	111182	Eva
576932	216402	Ruby Sun
576932	284731	Peanut
576932	298398	Bell
576932	322699	Sammie
576932	373156	
576933	176252	Nurse
576934	136859	
576935	4470	
576935	4471	
576935	212429	
576935	302324	
576935	332340	June
576935	340609	
576935	340610	
576935	340611	
576935	340612	
576935	410920	Toronto Host (2001-)
576936	117520	Oriental Hostess
576937	92858	
576938	221122	Woman
576939	394775	Sheila
576940	117520	Ruth
576941	62840	Yen
576941	370759	Siu-yuet
576942	323100	Tai Tai
576943	368071	Match Box
576944	372390	Clara
576945	110625	
576945	110629	Mun/April
576945	116649	
576945	121094	
576945	121095	Nurse
576945	152027	Yu-Fa
576945	172218	Yiu-King
576945	172220	Cameo appearance
576945	172222	Yiu-King
576945	172226	Mui Sarm-Heung
576945	189226	Fang Yu-Yin
576945	193908	June Lok Ka-Kei
576945	209889	Lulu
576945	210972	Chiang Su-Su/Yi
576945	236286	Mendy
576945	268681	Chi-San's Assistant
576945	286969	Bitchy Air Hostess
576945	298342	
576945	358908	Fanny
576945	367167	Smart Ass
576945	369098	Butterfly
576945	374908	Margaret
576947	130307	Vietnamese stewardess
576948	345478	Srey Poeuv
576949	85467	
576950	369727	Selena Khoo
576951	275570	Maggie Chan
576951	368070	
576952	390148	
576953	183044	
576954	128580	
576954	136329	
576955	381091	Herself (eliminated round 1) 
576956	194086	
576957	299669	Nun
576957	390251	
576958	289650	
576959	21964	Deja
576959	56962	Deja
576959	130285	
576959	207515	Deja
576959	209051	Deja Chan
576959	284486	Deja
576959	285927	Deja
576959	332849	Deja Chon
576960	369772	Dolphin
576961	370863	Red Hair
576961	411683	Det. Jackie Wu
576962	183654	Chinese Girl
576963	20625	Extra
576964	303611	At the singing contest
576965	261025	Chinese dancer
576966	25905	Jean
576966	76420	
576966	94433	Ice Chan
576966	111184	Gigi Chan
576966	167451	Alice
576966	184748	Sweet Dream
576966	193908	Gigi
576966	198591	
576966	227278	May
576966	227280	Ann Shioko Kawashima
576966	360985	Debbie Fung
576966	367156	
576966	369826	Ellen
576966	370603	Taoist priest's daughter
576966	376066	Salina
576966	404623	Sam-Dee's Girlfriend
576967	25903	Shy Grass
576967	121094	Da-Dai
576967	121098	Da-Dai
576967	121103	Da-Dai
576967	121104	Da-Dai
576967	121123	Bride-to-be
576967	192476	
576967	236286	Rose
576967	371594	
576967	371629	Ling-Yu
576967	374946	
576967	374982	Cat
576968	8774	
576968	131185	Michelle
576969	344187	Simon's victim
576970	59606	Frances Chan
576970	129965	Specialty dancer
576970	286846	Chinese Girl Prisoner
576971	151561	Sexy Legs
576972	124577	
576973	124574	
576974	158773	Ah Cheu
576975	46355	Secretary
576976	370923	Girl in School
576977	317354	Sun Toy
576978	38193	
576978	137792	Ling
576978	171738	Siu-Fong
576978	191008	
576978	218038	Lo Huan
576978	296581	
576978	297495	Yen Lan
576978	302392	Siauw Liong Lie
576978	374825	Tong Koyan
576978	376063	Joanne
576979	374961	Filipino Maid
576980	175255	Joey
576981	65552	Lotos
576981	180683	Toshi
576981	194797	Mother Superior
576981	251865	Ifec Mah
576981	366949	
576981	368481	Gwennie Lee
576981	408091	Naomi
576982	275889	Repo Wife #1
576983	410920	Vancouver Host (2002-2003)
576984	58777	Lexi
576984	93362	Jennifer
576984	198831	Bikini Girl
576985	411367	Jade
576986	8806	
576986	28039	Hung
576986	231234	
576986	252180	
576986	365171	
576987	268684	Jo Jo
576988	8736	
576988	25905	
576988	167428	Blackie
576988	167452	Mary
576988	210970	San
576988	266662	Ling
576988	298380	
576988	371495	Nun
576989	63281	
576989	152810	
576989	167851	Ka-Yin
576989	284731	Clever
576989	370753	
576990	68315	
576990	291055	
576991	410920	Toronto Host (2003-)
576992	97036	Mysterious Girl
576993	230821	Finalist #8
576994	145743	Ten-year-old girl
576995	170256	Lily
576996	151984	Rachel's Mother
576997	78915	Watcher
576998	94347	
576998	135014	
576999	33128	Interviewer
576999	75226	Rubie
576999	110021	Rubie, Tony's elder sister
576999	268785	
576999	279632	Shu-xingzoh (Tree-stump)
576999	291634	
576999	332332	Hiu-Tung's Sister-in-law
576999	350189	Leila (HK version)
576999	376073	Ballerina
577000	183735	Chinese girl
577001	44274	Mrs. Wong
577002	161473	Auschwitz survivor
577003	117404	Han
577003	144291	Cameo appearance
577004	278794	Michelle
577005	58692	
577005	110584	
577005	121778	
577005	124574	
577005	296570	
577005	373109	
577006	121778	
577006	131185	
577007	20507	
577007	117656	Mother
577007	209504	
577008	131778	Kim
577009	20625	Extra
577009	285605	Farmer's Wife
577009	330634	School Teacher
577010	74281	
577011	151540	Lilly Lee
577012	30750	Dat's Girlfriend
577012	58666	Janelle Onizuka
577012	128478	
577012	292148	Mary Ann Wong
577012	333007	Receptionist
577013	14108	Chan Lee
577013	202864	
577013	354136	Timi
577013	385637	Dr. Donna Chen
577015	284710	
577015	287025	
577015	340607	Eva Chan
577016	4469	
577016	90551	Yin
577016	110595	Lily Yuen
577016	135025	Fai Chick
577016	227277	Dr. Mary Fu Wai-Lun
577016	358908	Mil Mil
577016	369042	Pretty-As-Snow
577016	371536	Har
577017	60597	
577017	91539	Kau Loong
577017	94404	Chun's Girlfriend
577017	122685	Monica Leung
577017	135100	
577017	153041	Miss Kwok
577017	167851	Chau
577017	167854	Mu Lan-Hua
577017	179103	Pao's Wife
577017	183044	Miss Lau
577017	194042	Monica Shum
577017	198749	
577017	239142	Yin Chau/Queenie
577017	293469	
577017	373101	Porsche
577017	374826	Kit's Ex
577018	369646	Susan's mother
577019	86586	
577019	88275	Wife
577019	136327	Pak Yat-Moon
577019	284710	Hitman's Assistant
577019	286465	
577019	319096	Tracy
577019	340614	Lin
577019	340615	Ying
577019	340616	Olive
577019	370728	
577019	371567	
577019	371619	Wong Yuk-Yu
577020	80828	
577021	17506	Old Woman
577021	62060	
577021	79379	Amah
577021	175835	Anna's Grandmother
577021	285605	Flower Vendor
577022	3256	Himiko
577023	283713	Club Hostess
577024	25934	
577024	28038	
577024	29479	
577024	62183	Wyman Li Ting-ting
577024	62190	Lin Chen
577024	76305	Boss/publisher
577024	85457	Pauline
577024	110605	Chewing-Gum
577024	121839	Psychic Commando
577024	128230	Arva
577024	135466	The Ghost
577024	136067	Mystery Woman
577024	167400	Pauline
577024	167423	
577024	167424	Mu-Lin
577024	189224	Yun I-Meng
577024	192381	Jenny
577024	244735	Pauline
577024	248491	Wing
577024	268691	
577024	284722	
577024	284742	Insp. Pauline Chen
577024	298340	Evil Lady of Yi-ho
577024	311009	Sharon
577024	318358	Mrs. Tran
577024	367155	
577024	367177	Liu Siu-Suen
577024	368073	Nurse
577024	369602	Susan
577024	369604	Eva
577024	370803	Eva
577024	370837	
577024	371563	
577024	381238	Pretty Warder
577024	390099	Arva
577024	390100	Arva
577024	407189	Tam
577024	410167	Lien
577024	411245	Aunt (episode 7: On Loan)
577026	236500	Lu Ping-Ting
577027	373152	
577028	189223	Chin Lin
577028	189512	Bing's sister
577028	203241	
577028	249377	Fanny Lin
577028	296587	Blue Angels Team Leader
577028	302601	
577028	332260	
577029	35453	Prostitute
577029	374802	
577030	175134	
577031	153044	
577031	323108	
577032	366743	Townsperson
577033	25902	Lou
577033	36465	Hsuen Pi
577033	60565	Blackie
577033	94402	Ying
577033	102294	Poon Ka-Sze
577033	152095	Jane
577033	167408	Sheila
577033	167451	May Chen
577033	167500	Chi-Kai's Sister-in-Law
577033	168039	Siu B's Girlfriend
577033	217138	Yau's Mom
577033	295242	
577033	317699	Aunt Jean
577033	323109	Wan May-Ngor
577033	372390	
577033	374948	Julianna
577033	374997	Lan
577033	376065	Lan
577033	376766	Nancy
577034	319378	
577035	202168	Malay Girl
577035	251932	Old Woman
577036	60887	Sze (segment "Suzanne")
577036	124866	
577036	359019	Yung's Girlfriend
577036	369623	Oi Dai/Rosie
577037	393221	Jade
577038	20625	Extra
577039	293442	Fong
577040	167417	
577041	135028	Ho Yan
577042	259284	Kim
577043	257674	Herself
577043	286915	
577043	374947	
577044	25905	
577044	141404	Check-Out Girl
577045	30750	Fraudulant Mother
577046	245198	Beggar girl
577047	196643	Shang'er Twin
577047	196644	Nam
577047	298713	Yu
577047	300400	Hui-hua
577048	298398	May
577049	170256	Lady in Coffee Shop #2
577049	369081	
577049	369817	Butterfly's Servant
577050	8806	Mandy
577050	62190	Sen Chen
577050	189506	Anna
577050	239148	
577050	298405	Ah-ying's mother
577050	300398	Chi
577050	302616	
577050	369828	
577050	373012	
577051	370926	The Daughter
577052	144291	Jane
577053	199568	Chloe
577054	300180	Dancer
577055	96074	La dactylo
577055	107681	
577056	166346	Cinema Cashier
577059	1345	
577059	181939	Soraya
577060	90237	
577060	170843	Pregnant Teenager
577060	310130	Photographer
577061	159175	Dancer
577062	61969	
577062	166388	
577062	292144	Mrs. Grove
577062	329498	
577063	203522	Stripper
577064	275442	Mrs. Beck
577065	228290	Herself (Professor, Rice Univ
577066	144905	Waitress
577067	327829	Shirley
577068	292489	Tracey
577068	382704	Jaime Esber (1998)
577069	400688	Party Girl
577070	91232	
577071	41274	Gina, a model
577071	57398	Dr. Gerrigel
577071	68005	
577071	100861	Molly
577071	123299	Lady Susan Willens
577071	140886	Lady Cleveland
577071	163357	Model
577071	203217	Jane Leyton
577071	242712	Subaltern Godfrey
577071	285748	Carol Denby
577071	320282	Diana
577071	325022	
577071	328597	Joan Drew
577071	336715	Miss Lovejoy
577071	339430	Lily Langtry
577071	366178	Avril Talbot
577071	399304	Amelia Huntley/Malcolm
577072	111442	Shermerite
577073	158517	Toni
577073	332799	Dana Nichols
577074	275651	Aricie
577075	8235	Jo Kenworth
577075	58017	Woman in Police Station
577075	68755	Julia
577075	74113	Molly Cartwright
577075	88770	Nicky Bowden
577075	93265	Mother
577075	107504	Peter Pan
577075	118393	Henrietta (Wedding two)
577075	141158	Nicola Farmer
577075	146822	Questular Rontok
577075	176933	Barmaid
577075	194130	Muriel Gould
577075	264147	Mrs. Peake
577075	273320	Herself/Narrator
577075	312854	Carmen Svennipeg
577075	333679	Diana Lethaby
577075	335051	Woman
577075	362081	Glynnis Payne
577075	383683	Diana Mackintosh
577075	384587	Anna Griffiths
577075	389147	Estelle Slippery
577075	393934	Mercedes Page
577075	394163	Anna Griffiths
577075	394239	Julia Piper
577075	402125	Miss Bingley
577075	410070	Dr. Christina Weir (1999)
577076	311996	
577077	295557	Catwalk model
577078	8630	Nora, a maid (1939 version)
577078	162275	Sheila Marr
577078	162543	Helena
577078	167359	Chamki
577078	167981	
577078	209861	Bela
577078	219944	
577078	226115	
577078	228928	
577078	248798	Chanchal
577078	311915	
577078	326953	
577079	257612	
577080	166510	Sabatri
577081	18494	
577081	171762	
577081	227644	
577082	113724	Goddess Sita
577083	372991	Shi
577084	4031	
577084	4403	
577084	16703	Reena Jacobs
577084	17409	
577084	34203	
577084	42442	
577084	85428	
577084	86741	
577084	88224	
577084	98491	
577084	102716	Kat
577084	124950	
577084	135664	
577084	171411	Beritol Strom
577084	171932	
577084	176193	
577084	184769	Irene
577084	199668	
577084	210215	
577084	210730	Tarty Tina
577084	215295	Cassie
577084	246896	
577084	256941	
577084	272741	
577084	275806	
577084	288536	
577084	297215	
577084	308495	
577084	318412	
577084	318610	
577084	375036	
577085	382304	Magenta
577086	26230	
577086	88490	Sonki
577086	176020	Widow
577086	268120	
577086	297433	
577087	278223	Young Man's Mother
577087	284976	Mangale
577088	64864	Laughing Lotus Mamasan
577089	4090	
577089	4198	
577089	17095	
577089	18930	
577089	27899	
577089	36591	
577089	62717	
577089	77046	
577089	86658	
577089	98511	
577089	98513	
577089	148921	
577089	152629	Meena
577089	156766	
577089	164310	
577089	165928	
577089	201075	
577089	203230	
577089	203888	
577089	226083	
577089	262690	
577089	268566	
577089	271623	
577089	284753	
577089	288241	
577089	370219	
577089	373770	
577090	387255	Hostess
577091	174586	
577091	281700	Herzi
577092	224485	Herself/Dancer
577093	2435	
577093	3311	La fille (segment "Une nuit o
577093	13284	
577093	17673	Lata
577093	34768	Herself
577093	47247	Chandler
577093	50784	
577093	56558	
577093	57239	Herself (Chandler)
577093	60280	Chandler
577093	60790	
577093	68149	
577093	70376	Herself
577093	97793	
577093	104406	
577093	105220	
577093	105896	
577093	125584	
577093	174249	Jayasree
577093	188044	
577093	188053	
577093	228025	
577093	228031	
577093	228052	
577093	237135	
577093	273298	
577093	300520	
577093	323084	
577093	349384	
577093	368303	
577093	372522	
577094	196889	Dragged Woman
577095	36842	Mrs. Cohen
577095	47311	
577095	130676	Mrs. Beecher
577095	199370	Stella
577095	207420	Woman
577095	274113	Peppy
577095	327972	Woman in Balcony
577095	331991	
577095	347357	
577096	307405	Pvt. Hick's wife
577097	117805	Allyson King
577098	131558	The Maid
577099	275519	Wendy
577100	107917	Teresa
577101	10869	Brenda
577102	200233	Herself
577103	162529	Mel
577104	362605	Georgie
577105	304787	Embassy Guest
577105	367471	Bridesmaid
577106	80482	Nancy Abbott
577106	194865	Miss Make Do
577106	372343	Bar Waitress
577107	24957	Cindy
577107	47935	Sharon Ryder
577107	70100	Lucy Wilson
577107	99828	Heather Markham
577107	326744	Nicki
577107	328251	Stevie Bradley
577107	366600	Female Teller
577108	47324	
577109	99918	Nina
577109	387533	Lady Venessa Weir (1995)
577109	400087	
577109	409840	Mrs. Tantamount
577110	270914	Nurse #2
577110	313933	Waitress
577111	188502	Pool Girl
577112	10980	Joan Armstrong
577112	32904	Elsa Lanfield
577112	63170	Monica Strong Rawlinson, His 
577112	77614	Nora Marsh
577112	79958	Laura Taub
577112	92652	Mina Seward
577112	92654	Mina
577112	108622	Lenore
577112	131714	Elizabeth Clochessy
577112	150824	Ruth Evans
577112	163413	Clare
577112	169590	Flora
577112	185269	Nikki
577112	193974	Lindsey Lane
577112	213081	Abigail 'Abbie' Ardsley as a 
577112	220003	Rose Lyndon
577112	220085	Beattie Williams
577112	220852	Oleander Tubbs
577112	223069	Jenny
577112	245545	Ann
577112	270649	Joan Garland
577112	282366	Marna Reynolds
577112	286333	Nancy Wayne
577112	286382	Nell Saunders
577112	304279	Joan Allan
577112	346922	Emmie Passeuter
577112	350509	Jeanie
577112	368676	Mary Dunbar
577113	381493	South Park Geek
577114	72262	Ruth Hopkins
577114	75851	Suzanne 'Sue' Carter
577114	94162	Mary Wilson
577114	130899	Betty Summers/Betty Brown
577114	150892	
577114	214089	
577114	236103	Audrey Ferry
577114	282364	Dorothy White
577115	331369	
577116	200529	
577117	151623	Marilyn
577117	152656	Gina
577117	281546	Janet Walker
577117	316735	Joan Mitchell
577118	44046	Secretary
577118	52007	Beth
577118	81113	Mary Hagen
577118	234071	Margaret Brice
577118	291495	June Cleaver
577118	301559	Mrs. Rawlings
577118	343387	Barbara Walters
577118	390774	
577119	216954	Neighbor
577120	283847	Pep Rally Girl
577121	18273	Ismene
577122	107081	Secretary
577122	203376	Prostitute
577124	132786	Chorus
577124	162099	Fairy
577125	16943	Flight Attendant #2
577126	73703	Judy
577126	381312	Alyssa
577127	124535	
577128	16098	Patti Angel
577128	142876	Mimi Gray
577129	334385	Miss Missy
577130	73703	Jody
577130	381312	Ashley (1995-1999)
577131	122778	OB/GYN Team
577132	299040	Ring girl
577132	312767	Angelina Hooker
577133	31643	Patti
577133	37674	Beach girl
577133	92482	Robot
577133	110998	Liberation Lady
577133	113879	Fan
577133	127125	Patti
577133	151672	Patti
577133	214112	Louise
577133	246861	Pajama Girl
577133	294742	Patti
577133	303900	Janet
577133	365473	
577134	244408	Indian Children
577135	133673	Peggy Arthur
577135	167099	Georgia Rexford
577135	211602	Girl at Maxim's
577135	252426	Gloria Adler
577135	254787	Mrs. Brooks
577135	289400	Sister Dominique
577136	396507	Snooker
577136	402671	Host
577136	403306	Host
577136	407397	Herself/panelist
577136	411055	Herself/panelist
577137	230933	Porno Recruit
577138	217476	Young Prostitute
577139	56386	Jennifer
577139	75562	Josephine McCormick
577139	372341	Betsy
577139	381871	Jo McCormick/Red Striker Beet
577140	136509	Hollywood Blonde
577140	292396	Beatnik dancer
577141	35597	Mrs. Mary Braun
577142	1180	Simi
577142	5484	Angela Brown
577142	7488	Liza Jane Dennis
577142	35579	Leon's Secretary
577142	37334	Waitress
577142	56983	Yvette
577142	70825	Airline Hostess
577142	86910	Hostess
577142	165558	High School Girl
577142	197702	Lucy Barnard
577142	199752	Singer
577142	223019	Orchestra Member
577142	276545	
577142	296965	Mary Conover
577142	311343	Mildred
577142	311618	Mignon Moreno
577142	338225	Adelaide Brandt
577142	358955	Bit
577143	65764	Handmaiden in Bible fantasy)
577143	92993	Laundress
577143	129132	
577143	197755	Schoolgirl
577143	258210	Mum in Commercial
577143	342597	Schoolgirl
577143	353465	Chambermaid
577143	372733	Mrs. Holmes
577143	381059	Advertising Executive 2
577144	115794	
577144	245456	
577144	402365	Catherine
577144	402568	
577144	408230	Adriana
577145	1392	Chanda
577145	86755	Ammu
577145	88470	
577145	106702	Leena
577145	142831	
577145	278223	The Younger brother's Girlfri
577145	287089	Ruksar Khan
577145	344906	
577146	392116	Jenna Harper
577147	239032	3rd Child
577148	18482	
577148	100007	
577148	100008	Pamela
577148	135223	
577148	175977	
577148	213881	
577148	216052	
577148	282230	
577148	375202	
577149	207809	
577149	358200	
577150	246575	
577151	183135	Night Queen
577152	27515	Gayathri
577152	320839	Sumitra
577153	390523	Sudhamani Patel (1979-1981)
577154	370955	Chachi Chunchi
577155	286852	Kala
577156	4041	Sharada
577156	4457	Seetha
577156	79192	
577156	84713	
577156	173373	
577156	208590	
577156	286759	Goddess Seetha
577156	302815	
577156	316580	
577156	329243	Visalakshi
577157	4940	
577157	17357	Shivani's sister
577157	17904	
577157	25940	
577157	85281	
577157	91161	Alice
577157	152448	
577157	160173	
577157	165600	
577157	165951	
577157	166506	
577157	172597	
577157	177987	Leela
577157	213785	Jaya
577157	233214	Julie
577157	250631	
577157	254837	
577157	268567	
577157	270964	Arti Varma
577157	271797	
577157	289139	
577157	324836	
577157	329284	Mrs. Jagdish Chandra
577157	341716	
577157	350690	Malavika
577158	43313	
577159	31164	
577159	39982	
577159	41640	
577159	44945	Danseuse Katalitik
577159	98986	
577159	102834	Herself (performer, Michelle'
577159	133242	Une danseuse
577159	174701	
577159	174702	
577159	174703	
577159	228040	As Chanel
577159	270591	
577159	310346	Dancer
577160	8264	Jeanne Cartier
577160	19879	Clarice
577160	25301	
577160	41028	
577160	42601	Principessa di Civigni
577160	42611	
577160	64241	
577160	65065	Pearl Hernandez
577160	67512	Blond Tourist
577160	69012	Dolores Talbot
577160	69718	Queen Ming
577160	70623	
577160	89667	
577160	89908	
577160	90664	Donna Rossana (segment "La lu
577160	94678	
577160	94710	La Buona
577160	94809	
577160	96243	Christine
577160	97566	
577160	102400	
577160	125667	Lisa
577160	126156	Italia
577160	161857	Carmencita
577160	162651	
577160	176798	Doll
577160	183147	Elli's Mother
577160	187430	contessa Elena Villani
577160	199037	Fania
577160	199038	Kiutai
577160	214851	
577160	217758	Caterina
577160	229622	Ivana Vannucci
577160	235778	
577160	239970	Elke
577160	254965	
577160	261572	Betsy
577160	270814	
577160	270833	Dolly
577160	295171	Georgette
577160	296539	
577160	313135	
577160	338689	Jacqueline
577160	349962	
577160	352132	
577161	53614	(segment "Una solución inespe
577161	65375	
577161	66126	
577161	107704	Museum Secretary
577161	110889	
577161	136288	Woman shot while escaping
577161	200482	Sarita Sebastian
577161	230287	Belva
577161	277124	Mrs. Benedict
577161	291681	
577161	309347	
577161	336066	
577162	836	
577162	13738	
577162	16761	
577162	45663	
577162	71825	Dana
577162	78136	
577162	78804	
577162	81799	
577162	81804	
577162	81816	
577162	96225	Cecile
577162	104613	
577162	113194	
577162	123629	
577162	139633	
577162	139634	
577162	149663	
577162	160910	
577162	196530	
577162	196531	
577162	208521	
577162	238665	
577162	263787	
577162	264904	
577162	270748	
577162	273942	Maëlla
577162	275638	
577162	275639	
577162	340872	Maïté
577162	393771	Host (2001)
577162	404974	A pupil in "Le cours"
577163	126724	
577164	276708	Nichols
577164	385824	Gail Carson (1989)/Joan Hunt 
577165	280531	
577165	340111	
577166	99829	Angela
577167	10909	Barbara
577167	38930	Jennifer
577167	86751	Blonde Hooker
577167	119508	Candy
577167	147753	Mindy
577167	182961	Beverly
577167	232229	Brenda
577167	283351	April
577168	44143	
577168	69391	
577168	154945	Layla
577168	202078	Rachel
577169	20666	
577170	11535	Girl on the porch
577171	24540	Amma Dean
577171	119583	Mrs. Ganfret
577171	147127	Miss Amy
577171	190227	Mrs. Thurlow
577171	245520	Mrs. Forester
577172	26825	Patron
577173	347300	Alley extra
577174	229506	Co-ed
577175	82404	Susan Norcross
577176	310711	Herself (mother of James Chan
577177	125830	Rona Mintz
577177	190273	Mrs. Cantrell
577177	241008	Fenya
577177	246685	Mrs. Russell
577177	285734	Woman in Window
577177	295411	Sara Kalish
577177	362808	Documentary couple #3
577177	387309	Jeanne Culpepper (1967)
577178	346367	Grace, reporter
577178	362840	Mrs. Kelly
577179	193567	Herself
577180	224000	'Red', girl in cafe
577181	245337	Papergirl
577182	271149	Passenger
577183	35463	Preview Woman
577183	174006	Herself
577183	290860	The Scorpion
577183	346280	Supermodel #2/Pregnant Girl/L
577183	397715	The Face (1997-1998)
577184	37686	Snack Bar A-Go-Go Girl
577184	87018	Tara
577185	95486	Miss Sally
577186	4979	Receptionist
577187	132912	Pedestrian
577188	57284	
577188	72053	Mme Sauvage
577188	135505	
577188	170468	
577188	388628	La Mée
577188	390487	Mlle de Surville
577188	395620	La mère de Rambaud (segment "
577188	398054	La marquise du Parc
577189	332216	Mammy
577190	108600	Goth
577191	373678	
577192	192442	Calligrapher
577193	139960	Sing Girl
577193	302668	Singapore Sue
577195	115562	Rockette
577195	203358	Rockette
577196	317874	Female Bar Hawker
577197	2555	Sondra Jenkins
577197	184342	Jenny
577197	240473	Dream Girl
577197	287142	Maya
577197	384366	Azure C./Lee Chen (1995-1996)
577198	103776	
577199	332041	
577200	27223	Ah-Tsai
577201	270024	An-An Wang's Wife
577202	1999	Bridesmaid
577202	47896	Camille
577202	86954	Rhonda
577202	272026	Laurie
577202	385905	Beth Khambu
577202	386920	ADA Sandy Chang (2003-)
577202	390117	Rhanda Clifford
577202	395929	Herself - Traveler
577203	195990	Dr. Jensen
577204	163075	Pi Pi Rho party girl
577205	34002	Lauren Powers
577206	254614	
577208	320209	Bonnie
577209	282534	Han Feng - mother-in-law
577210	187333	Wheelzone Warrior
577211	69053	Club Patron
577212	78880	Mrs. Niu
577213	167459	
577213	168036	
577213	179956	
577213	192473	
577213	202941	
577213	231127	
577213	307368	Bit Part
577213	369834	
577213	369939	
577213	370832	
577214	169594	Bai Yen, Lin-Xiao's Opera Sin
577215	175548	Herself
577216	371593	Li Ting Ting
577217	218141	Xiao-Qing
577218	125704	Herself
577219	3005	Miss Ling, Mission Staff
577219	242711	Atsi, Ari's Mother
577220	372389	Singing Woman
577221	2336	
577221	368482	
577222	151895	Wai Tung's Secretary
577223	137567	Qui Yen
577224	408627	Dong Dong
577225	300413	Bar keeper
577226	370863	Dragon girl
577227	46532	Cashier
577228	406118	Co-Host
577228	411433	Herself - Anchor
577229	195781	Klepon
577231	179631	Slaughterhouse Factor Cast
577232	37474	Female Wing Kong Guard
577232	118911	Crystal
577232	178028	Shoe Saleslady
577232	185228	Girl Student
577232	230676	Scotty's girl
577232	326230	Mr. Green's Receptionist
577232	367254	Desk clerk #4
577234	60539	
577234	62637	
577234	78859	
577234	110603	Jackie's assistant/scenes edi
577234	122887	Mai Ling
577234	143852	
577234	184611	
577234	200828	Emily
577234	332037	Female conspirator
577234	367318	
577235	7846	Jane
577236	360032	Korean Singer
577237	253031	La cantante
577238	169594	June (Age 9)
577239	192331	Mrs. Okono
577240	173089	Birthday Party Guest
577241	369072	Nancy Wong
577242	193261	Herself
577243	20625	Extra
577244	43933	Foreigner #1
577245	167765	Lei-lei
577246	161173	
577247	149025	
577248	79823	Sadie
577250	154039	
577251	296575	Sha Ou
577252	3284	
577252	268714	
577252	291634	Pai Lin
577252	324346	
577253	114095	Sorority Gal #2
577254	194687	Restaurant Patron #2
577255	236368	Miss Hong Kong
577255	289999	
577257	1607	Lily
577257	8739	
577257	8783	
577257	23435	Chien Hua
577257	25895	
577257	29456	
577257	36383	
577257	36433	
577257	42243	
577257	51592	
577257	63454	
577257	76359	
577257	76392	
577257	76393	
577257	76850	
577257	82145	
577257	118648	Dr. Zhao Quing
577257	121775	Nurse and victim's friend
577257	122890	Mrs. Hui
577257	123968	
577257	135106	
577257	135476	
577257	137215	Jen
577257	137266	
577257	138626	Herself
577257	147331	
577257	152020	
577257	152135	
577257	167386	Hung Leung Yuk
577257	167785	
577257	176839	Show Show
577257	179955	
577257	181417	
577257	184605	
577257	189198	
577257	193940	
577257	194109	
577257	197607	
577257	198576	
577257	209891	
577257	210766	
577257	212640	Big Sis Wah
577257	216653	
577257	268631	
577257	268758	
577257	268793	
577257	275582	Wang Hsiung-Ping
577257	279632	Tiffah
577257	287041	Anna
577257	296581	Sylvia Lau
577257	297303	
577257	297313	
577257	297394	Shu-Shu
577257	298697	
577257	300405	Twins' Mother
577257	304555	
577257	309741	
577257	323099	
577257	323117	
577257	332243	Pregnant Woman
577257	332290	
577257	332339	
577257	354936	Xiang Pei (Shanghai)
577257	361340	
577257	367134	
577257	367173	Pui Yan
577257	369693	Shine (Mandarin version)
577257	369764	Min's Doctor
577257	369771	Cheryl
577257	369836	
577257	369935	
577257	370826	Sissy
577257	371577	Jin-Rong
577257	372187	Sylvia Poon/Por-Por
577257	374918	
577257	374980	Liu Xiang-mei
577257	376046	Wendy Pai
577257	376060	Quito
577257	376073	Supt. Nancy Ho
577257	376074	Supt. Nancy Ho
577257	376075	Supt. Nancy Ho
577257	376076	Supt. Nancy Ho
577257	376148	
577258	140490	Mei Li at 8
577260	13586	Miyazaki
577260	88965	Hospital Clerk
577260	101570	Doctor
577260	103284	Pat Taylor
577260	370863	Nun
577261	233003	
577262	367134	
577263	85836	
577264	216401	
577264	302606	Lan
577264	373012	
577265	233003	
577266	220064	Mai
577267	73193	Female Customs Officer
577268	359280	
577269	83068	Sprogskoleelev
577270	174026	Saleswoman
577270	213812	
577270	242909	
577270	244106	
577271	57079	Rachel
577271	57840	Ariane
577271	66731	La styliste
577271	68775	Jeanne, la soeur
577271	71520	Brigitte
577271	83517	Antonia
577271	84578	
577271	101180	Caroline/Meudite
577271	134643	Miletti
577271	156317	
577271	166127	L'avocate
577271	201052	Simone
577271	316880	Hélène
577271	322587	Freddie
577271	335518	
577271	340195	Nunzia
577271	348647	
577271	353916	Leonie
577271	371409	Monique
577271	371537	Judith
577271	386373	Michaela
577271	412254	Lorraine/Stéphanie
577272	57526	Isabelle
577273	378978	Dancer
577274	258812	
577274	261309	
577275	46196	Betty
577275	164729	
577275	181586	
577275	206703	
577275	209006	
577275	213545	
577275	216551	
577275	243719	
577275	273133	
577275	279822	
577275	287960	
577275	341247	Tamari
577275	350102	
577275	353793	
577275	355138	
577276	138710	Tird
577277	141187	Fan
577278	247990	
577278	400811	Herself (episodes 4-6, 22-23,
577282	39157	Model
577283	194043	Herself
577284	5572	Oosik, Vanilla Sundae
577284	118911	Dolores
577285	923	Herself (attended JFK inaugur
577285	1481	Herself - Presenter
577285	1927	
577285	2289	Herself
577285	2313	Herself - Presenter
577285	2816	Presenter for Best Original S
577285	10746	White Queen
577285	11115	Narrator
577285	46147	Ceiling Fan
577285	47304	Herself
577285	47382	
577285	47385	Herself
577285	55506	Herself
577285	64558	Performer
577285	97553	
577285	114291	Molly Wade
577285	119523	Herself
577285	125995	Herself
577285	138672	Muddy
577285	148784	Herself
577285	176379	Herself - Golden Globe Awards
577285	191083	Herself
577285	232017	Herself
577285	246603	Mrs. Peters
577285	282700	
577285	296552	Our Guests at Heartland
577285	299012	Mehitabel
577285	303928	Flo Banks
577285	331065	Muzzy
577285	331986	Ms. Fieldmouse
577285	379230	Granny
577285	382817	Herself
577285	410988	Additional Voices
577286	304900	Marguerite Wyke
577287	394325	Additional Voices
577288	47374	Wanda
577288	186556	Ruby Drexel
577288	210764	
577288	211601	Lulu
577288	245409	Ruth Ellsworth
577288	330385	Mrs. Jorgenson
577288	350509	Rose Marie
577288	368315	Frieda
577289	1703	Herself - Presenter
577289	1723	Herself
577289	2771	Herself
577289	2779	Herself
577289	2787	Herself
577289	4642	Herself
577289	18607	Paula
577289	26308	Rachel Luckman
577289	33004	Julia
577289	36864	Kitty Baxter
577289	38972	Beverly
577289	47019	Mrs. Melrose Ape
577289	50227	Julie Styron
577289	60148	Bess
577289	69429	Margarethe Fisher Van Den Mee
577289	79611	Bea
577289	86459	
577289	88177	Margeeve Walker
577289	97217	Susan Reinert
577289	97553	Penelope 'Pen' Chandler
577289	114298	Cynthia Swann Griffin
577289	114381	Mona Mondieu
577289	118018	Fredrika Contessa 'Freddie' B
577289	120606	Herself
577289	128331	Miriam Knight
577289	133401	Betty Rizzo
577289	141416	Julie Siegel
577289	146871	Klara Hitler
577289	148320	Narrator
577289	149911	E.R. Nurse
577289	162986	Florence Maybelle
577289	164369	Anne
577289	190230	Deborah Connors
577289	190886	Corella
577289	191017	Clara Harris
577289	191257	Herself
577289	196704	Mickey MacElwaine
577289	197324	Celia's agent
577289	203391	Narrator
577289	206445	Iris
577289	208088	Judy Shepard
577289	209630	Jane Applegate
577289	210881	Nancy
577289	217411	Mrs. Allworthy
577289	221169	Miss Adelaide
577289	231560	Herself
577289	235460	Helen Bower
577289	244432	Dr. Grover
577289	253002	Liz Sapperstein
577289	254996	Lily Kilworth
577289	262261	Frances Owens
577289	265928	Ingrid Maynard
577289	281443	Leah Lazenby
577289	285271	J.J. Dalton
577289	301754	Kitty O'Neil
577289	303455	Ouisa
577289	305660	Ruby McNutt
577289	314113	Nancy Trainer
577289	321280	Vurrla Kowsky
577289	322761	
577289	327187	
577289	332496	Marion
577289	333287	Margaret
577289	334385	Carol Ann
577289	340957	Janice
577289	342481	Lt. Verna Hollander
577289	346862	Barbara Whitney
577289	346871	Barbara Whitney
577289	348303	Marcia McGrath
577289	348386	Judy Stanley
577289	351773	Chandra Chase
577289	352961	Herself/Rizzo
577289	363415	Thelma 'Sister' Husband
577289	366908	Jocelyn Norris
577289	381392	Commissioner Barbara Gordon (
577289	381571	Herself/Rizzo
577289	390109	Dr. Beth Noonan
577289	398213	Herself
577289	404897	Victim of the Number Painter 
577289	406579	Susan Hughes
577289	406580	Susan Goodenow
577289	410548	Narrator (USA version)
577289	410835	Abigail 'Abbey' Bartlet
577290	291278	
577290	304555	
577291	30649	Kelly
577291	404848	Hostess
577292	288933	Bartender #2
577293	11358	
577293	50558	
577293	158972	
577293	161119	
577293	257595	
577293	264875	
577293	295912	
577293	299765	Dinner Lady
577293	333211	
577293	342361	Waiting Woman
577293	364710	
577294	185683	Theater Audience
577295	193862	Woman
577296	208838	Guesthouse owner
577297	355877	Jolie rousse
577298	2252	(segment "Deux amants, Les")
577298	113124	
577298	211146	Zora
577298	225362	Catherine
577298	234900	
577298	376920	Pauline
577299	4694	Laura Poulaski
577299	5056	Nancy
577299	61572	Linda
577299	73927	Holly Daze
577299	105034	Claire, Weir's Woman
577299	140994	Angela Stern
577299	176951	Katie
577299	185776	Angie
577299	214763	Cindy
577299	244432	Sheila
577299	254417	Victoria
577299	266647	Mrs. Hoffman
577300	390771	Maureen Reardon (2000) (alter
577301	1104	Chiranan Pitpreecha
577301	93217	Sorority Sister
577301	254076	
577301	300859	Herself
577301	318729	Barbara
577301	321208	
577301	389858	Chantal (1994)
577302	58409	Madame Doubrowsky
577303	69477	Barbara
577303	111152	Elena Le Garde
577303	135153	Rebecca O'Connor
577303	234740	
577304	96415	Impératrice de Parlo (French 
577304	276986	
577304	296507	Sol le Robot (French dub)
577304	386922	Krilin (French version)
577304	387066	Mamie Baba/Miss Tick
577304	409318	Nausicaä/Kei (French version)
577304	410570	Anne d'Autriche
577304	411885	Phenicia #1
577305	332847	Maman Gourou (french version)
577306	383117	Mme Casse
577307	7458	Marie Lafarge-Capelle
577307	14577	Hélène Haviland
577307	18354	
577307	23698	Sandra
577307	26559	Elsa Barienzi
577307	55334	
577307	63690	Léa de Lonval
577307	67182	La comtesse de la Motte
577307	108889	
577307	131197	Lady Diana Wyndham
577307	167200	Madame Presle
577307	170419	Marianne
577307	233266	
577307	243292	Helene
577307	260917	Madeleine Level
577307	280891	Yvonne Berry
577307	284216	
577307	292381	
577307	327898	Marthe Dellières
577307	337023	Suzanne Valmond
577307	337543	Tsarine Alexandra
577307	349492	Betty Williams
577307	349647	
577307	378077	
577308	5477	La concierge
577308	43648	Dame à l'audience
577308	58254	
577308	88059	
577308	90759	
577308	117685	Dame à l'audience
577308	134300	
577308	136957	
577308	148770	L'infirmière
577308	199301	Bit Part
577308	216113	
577308	236619	
577308	283047	
577308	319808	Une employée
577308	357117	
577309	377911	Denise Valon
577310	346641	L'Actrice jouant la Reine
577311	87111	French stewardess
577311	223913	Denise
577311	240841	Minette
577311	277656	Maid
577311	306343	Georgette
577312	14434	
577312	204281	
577312	354984	
577313	6217	Amazon
577313	179003	
577313	242554	
577313	255158	
577314	74283	
577314	254112	
577315	6402	La mère du bébé
577316	23365	Lily
577316	29591	
577316	66563	Cornélie
577316	86715	Moeder Vincke
577316	258117	The Belgian lady
577316	307344	Le modèle
577316	321033	
577316	403170	Mme Bontemps
577317	79303	Herself
577318	278155	Vendeuse perruques
577319	342597	Schoolgirl
577320	342597	Schoolgirl
577321	104761	French entry (17th place)
577322	144449	Geraldine Chantlind
577323	340197	Natacha
577324	201089	Musician
577324	212796	
577325	328404	
577326	332198	Old Woman
577328	111111	Perla
577329	100130	Chinese Cook at Detention Cen
577329	184812	Shu Mei
577329	366192	Opium Den Lady
577330	78121	Young Spot
577330	209133	Amber D'Alessio
577330	254512	Terri
577330	411211	Alice MacFarlane
577331	51224	
577331	59075	Chantui, his wife
577332	370853	Young women 2
577333	191468	La rescapée
577334	405209	Norma Voon (1999)
577335	157662	Sophie
577335	249763	Karine
577335	276499	Eléonore
577335	395914	Inès
577336	102581	Trolls
577337	133631	K
577338	181833	Patron
577339	200621	
577340	100919	
577340	259501	
577340	269995	
577340	286575	Bedienung
577340	339778	
577340	390812	Harumi Shimizu (1996)
577340	391604	Ming-Lhai Kittler (# 2) (2004
577343	31199	Herself (CBS Team contestant)
577343	36833	Mae
577343	37098	Herself
577343	62165	
577343	82835	Terry
577343	100887	Claire
577343	101033	Carla
577343	106497	Linda Chan
577343	119358	Pei-Pei
577343	129578	Mei Lin
577343	130311	Kung Fu Girl
577343	139449	Hotel clerk
577343	154040	Lily
577343	157240	Newscaster
577343	159703	Ms. Montane
577343	161642	
577343	164355	
577343	169594	Rose Hsu Jordan
577343	185266	Tra Duong
577343	195305	Lee
577343	198468	Soon-Lee Klinger
577343	203005	Female Customer
577343	210544	Cathy DiTolla
577343	218765	Daphne Wu
577343	224593	Flower
577343	235052	Chinese Mom
577343	245999	Ambassador's Daughter
577343	299680	Lan
577343	304480	Mrs. Bell
577343	307372	Devianti
577343	310624	Dr. Lin Yo Yu
577343	311047	
577343	328663	Rika Noda
577343	331193	Lalu
577343	331284	
577343	334244	Sydney's Unnamed Friend
577343	342605	Kim King
577343	344510	Lai-Ping
577343	360618	Dr. Sheila Prosser
577343	362188	Leona
577343	363839	Thi Hau
577343	379392	Soon-Lee Klinger
577343	380342	Princess Serena
577343	386337	Miss Chung (1982-1983)
577343	387029	Thanh Steinmetz
577344	43877	Cindy (Jack Frost 2: Return o
577344	141565	Stripper
577344	164433	
577344	192100	Angel #3
577344	315707	Beautiful Young Maid
577344	335258	Girl in Michael's Dream
577344	375113	Jordan
577345	16803	Mrs. O'Connell
577345	107897	Maeve
577345	108709	Monica Quigley
577345	191370	
577345	245305	Janey O'Donnell
577345	272953	Laurie
577345	402956	Mary Halloran
577346	19993	Lili
577347	282781	Pierre
577348	282781	Pierre
577349	136796	Taja
577349	213388	
577350	112819	
577351	278335	
577352	391989	
577353	60889	
577353	338400	
577354	209944	Teenager 2
577355	300564	Rakovoditelka na pionerite
577355	356042	
577355	370460	
577356	357189	
577357	301559	Waitress
577358	55091	
577359	372329	Team Member
577360	371116	
577361	363895	Skinhead Girl
577362	124268	
577363	345416	
577365	627	Cookie De Simone
577365	8079	Melina Vovakis
577365	97829	Celeste
577365	151183	Nurse
577365	194564	Conference Parent
577366	58632	Rachel
577366	131731	Strip Club Dancer
577366	323898	Bobbi
577366	381576	Dory Ranfield Holmby
577366	390272	Golddigger
577366	400236	Blaize Buchanan (1988)/Dallas
577366	402449	Mrs. Kramer (1984-1985)
577366	411802	Judy WIlson (1980-1981)
577367	108897	Herself
577368	384400	Doña Mati 'sirvienta en casa 
577368	385502	Alicia Rosales
577368	386167	Magos
577368	396898	Clara
577368	409908	Tia Olga
577369	37370	Herself
577369	381466	Margaret #1
577370	144406	
577371	213872	Mama
577372	136360	
577373	366021	Julie
577374	216774	Une manifestante
577375	93359	Other voices
577376	17698	Mrs. Brockton
577376	20085	Madame Garcia
577376	50880	Mrs. Nevins
577376	73939	Grand'mère Buvasse
577376	79451	Grandma Backer
577376	155299	Mrs. Jordan
577376	204162	Housekeeper
577376	311910	Mrs. Mercer
577376	329214	Mother Superior
577376	372913	Mrs. Malloy
577377	92010	Aunt Aggy
577378	360712	Bridesmaid
577379	245183	Mrs. Caron
577379	279615	Mrs. Hagworth
577380	14972	Josephine
577380	109846	Kathleen 'Kathy/Kitten' Ander
577380	291122	Ace's Mom
577380	388495	Kathleen 'Kathy' 'Kitten' And
577381	57766	Watches as David Armstrong di
577381	366161	Peasant woman
577382	123357	Mrs. Mae Miller
577382	326649	Mrs. Miller
577382	358163	
577383	244362	Aunt Isabel
577384	191745	Lisa
577385	114180	Law Clerk #2
577386	207838	Balcony Full Kid
577387	80687	Ellen O'Brien
577388	190854	Ambulance Attendant
577389	190854	Ambulance attendant
577390	337839	
577391	337839	
577392	337839	
577393	197394	(segment "Claude Miller")
577394	178975	V-Six Model/Cheerleader
577395	117874	Hilary
577396	12037	
577397	274200	Baboushka Woman in 2nd Nation
577398	61025	
577398	354647	Painter 1
577399	153538	Psychologist
577400	11121	Ursula
577400	38761	No character identified
577400	57837	
577400	63844	Valérie
577400	87497	Candice
577400	149211	Maria
577400	198614	Khadija
577400	236599	Fatima
577400	261468	Copine Narou
577400	261839	Lili
577400	274799	Ariane
577400	284932	Paris friend
577400	294843	Thea/Anna
577400	306008	Aïsha
577400	309987	Aline Jourdain
577401	346226	Zelda
577402	38761	No character identified
577402	57837	
577402	116431	La starlette Deodado
577402	184059	Jennifer
577402	188664	
577402	201114	
577402	220266	Vivette Cornille
577402	250664	Actress
577402	283031	Dolores
577402	396924	
577403	222774	Prosecuting Counsel
577404	6608	Catherine
577404	8183	Mrs. Welland
577404	15063	Charlotte
577404	15357	Ana
577404	16377	Lenka
577404	28948	Kate Elder
577404	34238	Charlotte De
577404	41404	
577404	46837	
577404	48870	Annie Oakley
577404	50300	Diana Daniels
577404	54821	Joan Turner
577404	55136	Lisa
577404	56030	
577404	56539	
577404	58022	Herself
577404	59350	Hannah Chaplin
577404	59625	Herself
577404	59691	Herself
577404	61856	Joyce Wheater
577404	62997	Ghost of Christmas Future
577404	71183	Madame Savilia de Franchi
577404	71666	Girl at dance
577404	72034	Adeline Hulot
577404	73325	Thelma
577404	74350	Ana - The Mother
577404	83228	
577404	87524	Cordelia
577404	88936	Tonya
577404	88937	Herself
577404	94767	Mrs. Miller
577404	99229	Elisa Santamaria/Elisa's Moth
577404	100370	Marie
577404	113646	Madre/Mother
577404	117561	Beverly
577404	118343	Queen Anne of Austria
577404	125796	Angela Duverger
577404	135727	Empress Munodi
577404	136987	Katerina Bilova
577404	140490	Purity Hoxworth
577404	148255	Aunt Gladys/'Glady'
577404	150973	Lily Bart
577404	154736	Terry Amstrong
577404	157806	Paulina Arevalo
577404	160006	Miriam Loman
577404	164169	Mounia Golovine
577404	165449	Miss Scatcherd
577404	165789	
577404	182140	
577404	190947	Little girl in opening scene
577404	199852	Teresa
577404	201135	Isabelle
577404	202832	Ana
577404	205643	
577404	206924	Elizabeth
577404	215153	Ella Zielinsky
577404	217004	Nathalie de Ville
577404	219687	Herself
577404	219990	Mother Theresa
577404	227925	Opal
577404	229385	
577404	235038	Morag
577404	238420	Eurycleia
577404	239290	
577404	239946	Jane Powell
577404	248267	Zelda
577404	248288	Catherine
577404	250396	Herself
577404	252572	Elena
577404	275448	Emily
577404	276789	Queen Anne
577404	281927	Marilyn (The Hustle)
577404	291465	
577404	308224	Anne Zimmler
577404	316214	Angela Sawyer
577404	316852	
577404	331526	Anna of Austria
577404	334382	Victoria Anrecelli
577404	346707	Lise
577404	347324	Herself
577404	347566	Suzan/Sara Glenn
577404	353886	Nora Winkle
577404	355748	Adelaida
577404	357052	Lucie
577404	360741	Rita Billingsley
577404	361226	Karen Hood
577404	363932	Nina Soames
577404	366441	Gloria Blundell
577404	366935	
577404	368261	Miss McKenna
577404	369996	Herself - Winner: Best Suppor
577404	373433	Carol McNeil
577404	374844	Herself
577404	376500	Anarchist
577404	376767	Luisa
577404	376864	Madre
577404	386394	Oriana
577404	392705	Yocheved
577404	398678	Contessa Rachel Sangalletti
577404	409602	Suzan/Sara Glenn
577404	411400	Naomi Dunn
577405	68771	Bonita, the Bartender
577406	271248	Lady Jane
577407	296425	
577408	373990	Melissa Granger
577409	31441	Marie Chaisson
577409	71666	Young girl
577409	88837	Hélène Varèse
577409	103343	Nina Kaplan
577409	190421	Lady Rowena Trevanion
577409	190947	Child in opening scene
577409	236624	Martine
577409	238299	Edith
577409	261728	Delphine Morasseau
577409	269140	Constance
577409	270326	May
577409	357351	
577409	376943	
577409	380379	
577409	391359	Hadley Richardson
577409	391932	Martine
577409	407213	Nicole
577410	189404	Ruby as a girl
577411	5186	Les mannequins
577411	8932	Myrtle Ste. Pierre
577411	157195	Girl in gambling club
577411	370742	
577411	370880	Jennifer Treman
577412	71452	Susan
577413	89250	Dance-hall dramatic lady
577414	97084	Woman
577415	47473	Sarah's Mother
577415	190947	Extra
577415	337900	Herself
577415	383929	Herself
577416	191344	Dancer
577416	296694	Andrea
577417	71666	Young girl
577417	384325	
577419	265995	
577420	311766	
577421	131753	Party Girl
577421	194980	Eileen Armstrong
577422	210604	
577423	346228	Kitty Wix
577424	36871	Sadie's secretary
577424	44516	Mrs. Welch
577424	67911	
577424	76496	Jake's Nurse
577424	131739	Cop
577424	139174	FBI Agent Green
577424	218162	Christine the Teacher
577424	241166	Lt. Donna Hagerty
577424	247194	Therapist #2
577424	266290	Additional Voices
577424	299649	
577424	299846	Harriet Stone
577424	308080	Tv interviewer
577424	328637	Student
577424	394209	Mercedes
577425	231507	Uniformed Policewoman
577425	299679	Newswoman #2
577426	213389	Negra de los rodos de Gibera
577427	82643	Dancer
577427	113482	Kelly
577428	131359	Farm Woman
577429	91523	Sharon
577429	196872	Cheerleader
577429	407139	Katie Adams
577430	39882	Molly Morran
577430	76619	Sallie 'Sally' Mc Bride
577430	108043	Marion Carroll
577430	124263	Sue's Friend
577430	130039	Mary Anson
577430	130751	Althea Lippincott
577430	143052	Jane
577430	217948	Mary Holmes
577430	348955	Dolly Maddox
577430	362993	Lucy's Chum
577431	236954	Marshmallow
577432	17630	Adult Emily
577432	167614	Guest Performer
577432	229531	Guest Musician for "Deep Insi
577433	336754	The Children
577434	163069	Mary Louise Grady
577434	381898	Herself (2001)
577435	221333	Mrs. Wiggs
577436	323698	Herself
577437	156438	Woman going through dumpster
577438	32775	Nanny Ba Ba
577438	65757	Mrs. Wheel
577438	79778	Moonrocket Lady
577438	90888	Miss Johnson
577438	141454	Marie
577438	141787	Julie
577438	157556	Mrs. Shaw
577438	183797	La nourrice
577438	187824	Mrs. Edwards
577438	221274	Sara
577438	222596	Mrs. Lyle
577438	237465	Lady Burgess
577438	250713	Mrs. Bateman
577438	270977	Mrs. Matthews
577438	289231	Boy's mother
577438	290341	
577438	331402	Madame Breda
577438	382530	Rose Tonsley
577438	387528	Miss Bates
577438	389931	Mistress Anne
577438	394474	Mrs. Brown
577438	399931	Ida
577438	407587	Gran
577439	223058	Tchaikovsky's Mother
577440	311924	Up and Coming Pornstar
577441	10585	Rachel Stetherill
577441	10590	Ma Young
577441	13787	Madame O'Riley
577441	18341	Babushka (Anton's mother)
577441	35792	Lady Bracondale
577441	38934	
577441	44538	Mary's Mother
577441	45064	Ysail's mother
577441	46395	Lucy Livingstone
577441	47440	Beulah Reynolds
577441	49673	Eelen Dunlap
577441	59969	Mrs. Harris
577441	71568	Mother McKinney
577441	71663	Mrs. Lovering
577441	71790	Aunt Abigail Prue
577441	74299	Mrs. Carteret
577441	74308	Mrs. Mannering
577441	76608	Mrs. Greenough
577441	78035	Mrs. Mabee
577441	79446	Mrs. Hadley
577441	88148	Mrs. George Reed
577441	91601	Mrs. Carlyle
577441	91945	Senora Urique
577441	105332	Truth
577441	105388	
577441	105992	Mrs. Ercoll
577441	107544	Martha Owen
577441	107591	The mother
577441	113966	Mrs. Booth
577441	114855	Lady Snowden
577441	118223	
577441	127118	Mrs. Rawson
577441	128123	Mary Dexter
577441	128254	Mother Middleton
577441	130738	Mrs. Hillary
577441	136552	Grandma
577441	138685	Mrs. Randall
577441	140414	Mrs. Chappel
577441	142124	Mrs. Kent
577441	143213	Mother Berkeley
577441	146075	Older Mrs. Breede
577441	147633	Cameo appearance
577441	148389	Mrs. Fanshawe
577441	152202	Aunt Polly
577441	152203	Aunt Polly
577441	155701	Mrs. Thayer
577441	158350	Mother Melnotte
577441	159995	Aunt Heppy
577441	171233	Mrs. Pickering
577441	177405	
577441	178880	Teddy's Mother
577441	186559	Mrs. Tuttle
577441	186725	Aunt Penelope
577441	190542	Mrs. Bill Jones
577441	191594	Mrs. Von Austreim
577441	192173	
577441	192259	Mrs. Dean
577441	192422	Grandmother Pentland
577441	195639	Ma Robinson
577441	202961	Grandmother Janeway
577441	203435	Aunt Maggie
577441	204743	Adeline Bennett
577441	214940	Mrs. Martha Mansfield
577441	216938	Mrs. Thacker
577441	219351	Nancy Hogue
577441	223653	Donna Isabella LaTassa
577441	228587	Mrs. Altewood
577441	228814	Mrs. Brown
577441	235094	Belle Hannon
577441	240015	Mrs. Brownlow
577441	240781	Joe Blanchard's Mother
577441	241541	Mrs. Wade
577441	241852	Mrs. Dorn
577441	242052	Clara Hawkins
577441	245195	Lady Bridgeminster
577441	256375	Mrs. Audry
577441	258216	Lady Brentwood
577441	263351	Their Mother
577441	263588	Mother Moore
577441	266717	Mrs. Carson Morgan
577441	277718	The Queen
577441	281844	Peg Grandoken
577441	283460	Mrs. Murrell
577441	286152	Emily
577441	287277	Mrs. Hollis
577441	288683	Mrs. Prentiss
577441	289266	A Sweet Spinster
577441	290331	Mrs. Manners
577441	292617	Mrs. Varney
577441	293796	Mrs. Hale
577441	296817	Aunt Caroline
577441	298437	Aunt Mollie
577441	304845	Sister Ursula
577441	309497	Tancred's Mother
577441	311278	Mrs. Glidden
577441	317348	Young Karl's nanny
577441	321939	Mrs. Fairfax
577441	323183	Mrs. Nathan
577441	323473	Lady Tweedham
577441	323787	Mrs. Newcombe
577441	327684	Mrs. Martha McTavish
577441	331351	Mrs. Bennett
577441	331674	Ma O'Brien
577441	335117	Aunt Polly
577441	342519	Ma Dolan
577441	346875	Mrs. Penfield
577441	348383	Mrs. Jordan
577441	356347	Mrs. Rodman
577441	363679	John Tremble's mother
577441	365074	Mrs. Kelcey
577441	366315	Second Mrs. Milligan
577441	366637	Mrs. John Farrington
577441	368623	Mrs. Lawson
577441	372228	Mrs. Burgess
577441	372933	Mrs. Cora Knittson
577442	12737	Patience
577442	46275	Susan
577442	105166	Mrs. Pitt
577442	114013	Melissa Baxter
577442	343159	Sarah Gardiner
577443	215691	Miss California USA
577444	195818	Emma
577445	11537	Angela
577446	223033	
577446	308543	
577447	44707	Marge
577447	76554	
577447	222711	Jane
577447	259284	Mary Morris
577447	335346	Nurse
577447	365760	Mrs. Beaudry
577448	166568	Secretary
577448	297377	Debutante #2
577448	308918	Louie
577448	374436	Jenna
577449	39720	Welfare Worker
577450	408623	Herself (2002-)
577451	79272	Dater
577451	203491	Woman in Park
577452	10596	Stenographer
577452	40441	Stella
577452	44559	Lola Blair
577452	61164	Girl
577452	69460	Joey Ridgway
577452	119803	Showgirl
577452	178979	Zelda
577452	185072	Miss Bonnahan
577452	223847	Mrs. Herrick
577452	223913	Miss Dieckers
577452	231925	Secretary
577452	237618	Resistance girl
577452	245376	Ruth Randall
577452	305771	Daughter
577452	308382	Raider
577452	331764	Show Girl
577453	386704	Gemma King
577453	386705	
577453	405796	Cuddle
577454	20625	Extra
577454	230693	Amazon
577455	28751	
577455	47358	Judy Dowling
577455	92480	
577455	92526	Helen, First Child Patient
577455	133718	Morton's Daughter
577455	141321	Judy Montgomery
577455	192064	Janet Smith
577455	223847	Lorna Herrick
577455	234220	Peggy
577455	240960	Doris Strickland
577455	263117	Rosie Mars
577455	263601	Tessie
577455	304970	Little Girl
577455	331092	Gloria
577456	393522	
577457	314675	First Tourist
577458	385277	Herself - Assistant Zoo Direc
577459	163069	Mary Louise's baby
577460	1999	Deirdre, Soap Opera Cast
577460	16050	Alexandra
577460	58778	Lainie Roberts
577460	64072	6th Maiden
577460	80615	Stote
577460	83819	Julie Seaver
577460	108001	Heather/Jane
577460	109276	Victoria Walton-Mason
577460	113830	Sandra
577460	114672	Sally
577460	118979	Earl Barton dancer
577460	159874	Leslie
577460	219530	
577460	232114	Roz Chambers
577460	276785	Z-65
577460	291047	Gibson
577460	321367	Judy's Mother
577460	380713	Natalie Bannon Hughes #1 (197
577460	385824	Anjelica Deveraux #3 (1989-19
577460	389858	Ginny Blake Webber (1984-1986
577460	400236	Sandra Montaigne (1987)
577460	404002	Charlotte Greer (1983)
577461	380390	Stacey Phillips (1982-1984)
577461	396123	Shana Sloane Vochek #2 (1987)
577462	358547	Prostituee met Vincke
577463	22824	Susan
577463	41396	Frank
577463	78184	
577463	163573	Herself
577463	215690	Miss Utah USA
577464	194032	Annie at age 9
577464	262095	Little Girl
577464	358484	Lacy Dodd
577465	117825	Female Workout Partner
577465	131375	
577465	160637	Dancer
577465	163565	Alex Stratton
577465	184104	The Laker Girls
577465	272863	Julie
577466	2662	Elsa Morris
577467	169136	Child Chorus
577468	82908	Yvette
577468	157194	Cecily
577468	164619	
577468	201511	Herself
577468	220008	Mary (16 years)
577468	272602	Merrill Jennings (Baker)
577468	363927	Lanei
577468	404718	Melanie Jones
577468	406088	Lt. Vanessa Damphousse (1995-
577469	31043	Chiren
577469	48490	Sylia
577469	87409	Lady Flair
577469	123029	Misaki/Ichijoin
577469	127779	Saline Masaki
577469	130730	Reiko Terayama
577469	136044	Media Break Anchor
577469	204893	Herself
577469	243575	Beryl
577469	262013	Hardy Newland
577469	264168	Kessley
577469	298952	Newswoman
577469	298966	Deathstar
577469	298993	Dr. Akagi
577469	298994	Dr. Akagi
577469	307186	Feb (English Voice)
577469	307187	Feb
577469	380473	Chigusa, Additional Voices
577469	382908	Sylia Stingray
577469	387457	Rapier
577469	388022	Additional Voices
577469	389778	Yukino Gowa
577469	394997	Bottle Lady, Dr. Sakura
577469	399784	Paulette
577469	402790	Maya Kamina
577469	405144	Naoko Akagi
577470	7959	Steel Heiress
577470	186328	
577470	265366	Lady
577471	32707	Lolin
577471	72706	Woman on Phone
577471	101873	
577471	158462	Carmen
577471	197042	Katy
577471	279823	Ursula
577471	302359	
577471	332605	Lola-Lola
577471	383347	Sara (1994-1996)
577471	390527	Herself
577473	245084	Sue
577474	380391	Janet Matthews (1964-1966) (o
577475	365123	Neighbour
577476	362643	Mother
577478	128188	Sally Green
577480	168496	(Starland Vocal Band)
577480	199557	Lois
577480	406425	
577481	13404	Laura Matson
577481	19160	Ilse Preissing
577481	41378	Yvonne Dugan
577481	42731	Christine 'Chris' Lunceford
577481	59603	Mary Bolton
577481	70891	Kate Hardison
577481	71624	Lisa Elenko
577481	78733	Ann Minter
577481	84229	Mary Boleslavski
577481	115536	Alita
577481	118382	Bit Role
577481	123128	Nanon de Lartigues
577481	128582	Cecilia Grange
577481	133688	Talkative Theatregoer (traile
577481	134091	Deborah Matthews
577481	173531	Kate Clarke
577481	185525	Stella Tracy
577481	203766	Mona Jackson
577481	209679	Ann
577481	220900	Marcia Manning
577481	222678	Melinda Matthews
577481	224047	Pamela Morley
577481	228816	Navy Blues Sextette member
577481	240936	Margaret
577481	241283	Eve Andrews
577481	241824	Marcia Winthrop
577481	248318	Glenda White
577481	248835	Joan
577481	275316	Luella Purdy
577481	291801	Janine Duval
577481	295403	Miss Morris (secretary)
577481	311317	Fay Edwards
577481	312160	Eve Corby
577481	312161	Eve Corby
577481	315992	Marie Dumont
577481	317833	Sue Curry
577481	358768	Patricia Foster, AKA Laura Br
577481	372328	Navy Blues Sextette member
577482	191611	Sally
577482	402797	Roberta
577483	287307	Mrs. Schofield
577484	313961	Little Girl
577485	85913	Herself
577486	18827	Woman in Cinema 2
577487	15224	Herself
577488	258382	
577488	301240	Rosaura
577488	351785	
577489	1955	Herself
577489	141148	Herself
577489	163366	Herself
577489	215171	
577489	228303	Presenter
577489	260295	Herself
577489	295295	Herself
577489	307670	Herself
577489	311703	Herself
577489	328807	Celebrity Participant
577489	344528	Herself
577489	364227	Herself
577489	398241	Host
577489	401836	Herself
577489	401837	Judge
577489	401877	Herself
577490	102568	Uptight Lady
577490	387359	Lily Thompson (1997-2001)
577491	288430	
577492	128477	
577492	155018	Undetermined Role
577492	203712	Miss Wilson the School Teache
577492	264170	Undetermined Role
577493	216926	Mary
577493	220830	Isabelle Pinkley
577493	263581	Eddie's Girl
577493	318673	Cynthia
577493	323389	Paula
577493	326814	Erna, Malt Shop Waitress
577493	358035	Lizzie
577494	297974	Teeny
577495	190000	Infant Phenomenon
577496	99999	Showgirl
577497	15224	Herself
577498	411808	Herself
577499	250639	Lady Saphir
577500	68850	Trinity
577501	5128	
577501	137563	Jane's Receptionist
577501	137567	Georgia
577501	137569	Georgia
577501	137570	Georgia
577501	173353	Sandy
577501	193765	Girl in Bank
577501	385613	Ambulance Woman
577501	403818	Fay James
577502	265819	Chemist Girl
577503	233920	Amanda
577504	115562	Rockette
577504	203358	Tony Clifton Dancer
577505	382838	Rachel Jordache Wright Dixon 
577506	14560	Herself
577506	42330	Herself
577506	202195	Herself (at end of credits)
577506	220207	Herself
577506	229681	Herself
577506	251088	Guest Performer
577506	352748	Herself - Musical Perfomance
577506	389997	Herself/Interviewee
577507	364378	Ensemble
577508	89247	
577509	140953	Singing lady
577510	66148	Melanie
577510	367873	Mother
577511	16042	
577511	216718	Nurse at Reception Desk
577512	51486	Agent Sperling
577513	188662	
577514	249072	(segment 5)
577515	26803	Carla
577515	141411	Punk Girl
577516	162427	Irene
577517	399018	Contestant
577518	203188	Mrs. Taylor
577519	109667	Hooker
577520	115421	
577521	37530	Samantha
577521	183715	Elizabeth Henley
577521	232220	Dr. Carly Manning
577521	241748	Dr. Carly Manning
577521	385824	Dr. Carly Manning Alamain (Ka
577521	390771	Olivia Spencer (1999-present)
577521	400236	Maggie Carpenter (1995-1997)
577521	404282	Jane Kingsley (1990)
577522	112032	Poolside girl
577523	138175	Violet
577523	364332	June Waugh
577524	32070	Saxophone Player
577525	31625	Sundri
577525	312138	Receptionist
577526	11503	Maureen
577526	404965	Zigiana
577527	290972	Nosey Neighbour
577528	7992	Cally
577528	10152	Female Doctor
577528	32820	Cally
577528	67482	Det. Const. Holden
577528	94742	Cally
577528	128717	
577528	134126	Peggy Tortworth
577528	137501	Presiley Baxendale QC
577528	226902	Neurotic Girl
577528	243064	Cally
577528	283541	Publisher 2
577528	297106	Capt. Lisa Deranne
577528	323825	Marta Feuchtwanger
577528	355015	Mary
577528	382191	Cally (1978-1980)
577529	18037	Gail
577530	53041	Bus Driver
577530	141389	Maternity Nurse
577530	158865	Mimosa
577530	159200	Denise
577530	160560	Nurse in hallway
577530	207681	Dr. Case
577530	285360	Mrs. Brown
577530	340799	Allison
577531	83982	Anne Cooper
577531	143532	Daughter #1
577531	164414	Sylvia
577531	384356	Bronwyn Kellett
577531	390178	Chelsea
577531	397230	Claire McLeod (2001-2003)
577531	405064	
577532	159885	Heidi Straulle
577533	326428	Student
577534	389416	Concerned Spectator
577535	30607	Tamara
577536	21429	Georgia
577536	276349	Dancer
577537	201135	Une assistante INCS
577537	375817	Yvette
577538	201135	Clélia
577539	375808	Mrs. Goldmayer
577540	29870	Herself
577540	65541	Herself
577540	260432	Herself
577540	401875	Herself - Bardot (2000)
577541	183670	
577542	37557	Bridget Vardy-Cobb
577543	45851	Debbie Hodges
577543	69194	Girl in Pool Hall
577543	93316	Katya
577544	108334	Nurse
577544	240325	Mother Superior
577544	269045	Senator Campbell
577544	316206	Sandi
577545	68331	Traductrice japonaise
577546	306341	Athlete
577547	12472	
577547	34141	Mother
577547	83364	Madame le proviscur
577547	121426	Agathe
577547	327573	Sylvie
577547	332623	Denise
577547	337029	Visiteuse
577547	345399	Irène d'Orty
577547	357393	Tweede vrouw
577548	107024	Kiko
577548	123849	Chinese Whore
577548	240858	Siobhan
577548	303833	Elena
577548	309661	Juliet
577548	316539	Vu Thi Hartman
577548	354851	Louisa
577549	201127	Liliane Chappuis
577550	79168	Christa Seebald
577550	196332	
577550	197413	
577551	69631	Saleslady
577552	95053	Clerk's wife
577553	234573	Paméla enfant
577554	328403	
577555	260943	Femme de la ferme Loubier
577555	412266	Marlène
577556	412017	Barbara
577557	284246	Angéline
577558	335083	
577559	16161	Danielle Chapus
577560	195518	County Jail Guard
577561	306814	Nikki Best (newborn)
577562	400051	Catherine Massonneau
577563	10901	Candy
577563	255271	Coco
577563	320762	Glico
577564	377964	La jeune maman
577565	265986	
577566	46800	Niki Douka
577566	100619	
577567	276736	Ju Ju
577568	336508	Bardame
577569	302570	Reporter
577569	312558	Psychic - Madison Charap - Pa
577570	269626	Annan
577571	63687	Marie Bens
577571	258315	Christine/Topless Girl
577571	273689	Cri-Cri
577571	345556	Josy
577572	102003	Mme Angelvin
577572	120863	
577572	195702	Baker's client
577573	195702	Baker's client
577574	224031	Beach girl
577575	23844	
577575	28769	Veronique
577575	35302	
577575	134605	Madame Chanfrin
577575	217652	
577575	314967	Marie-Ange
577575	346417	
577575	353959	
577575	355847	Mme Voschoff
577575	376985	Rose
577575	377991	Madame Rémy
577575	379801	Mme Trouillet
577576	45452	Interpreter
577576	84634	Une lavandière
577576	113116	
577576	238453	
577576	412254	
577577	341850	La policière
577577	389137	Caroline Daigneault
577577	397138	Amie de Lucille 1
577577	400386	Ginette Sauvé
577577	404018	Micheline
577578	217640	Animatrice, Groupe d'Entre-ai
577578	388029	Marie-Louise
577579	20689	Marian Markel
577579	45830	Dana Martin
577579	51471	Nikki Blake
577579	52435	Anna
577579	54629	Karen
577579	83600	Cay Rivvers
577579	83911	Emily
577579	87541	Kathy Fitzgerald
577579	171724	Jacki Metcalf
577579	178140	Franny
577579	194683	
577579	204218	Mrs. Sherman
577579	215821	First officer
577579	241731	Lori
577579	245833	Danny Santerre
577579	261119	Carolyn Price
577579	279843	Robocop Technician
577579	297101	Susan Cantrell
577579	298076	Lois Siler
577579	388117	Sheriff Lynn Roberts
577579	411278	Carole Sternberg (1988-1989)
577580	310835	Sally Adams
577581	381683	Régine
577581	410473	Une détenue
577582	112863	Francine
577583	306955	Sara Talkar
577584	68997	
577585	60304	Mrs. Carter
577585	118003	Lady Anne Drummond
577585	160466	Lady Groombridge
577585	214779	Lady Ravensbourne
577585	351241	Naomi Sinclair
577586	291049	Hotel clerk
577587	24605	Janice
577588	57469	
577589	260433	
577590	229064	
577590	356405	
577591	249358	Mme Ranofsky
577593	354875	
577594	64949	Journaliste mode TV
577595	402664	Florence
577596	39256	
577596	44157	
577596	134957	
577597	166151	
577598	365	
577598	29682	Pompea
577598	34072	
577598	40391	Yvonne Boucher
577598	43702	Geneviève Colin-Minet
577598	48227	Valérie
577598	59056	Young Nun
577598	65380	La Chassenel
577598	65382	La Chassenet
577598	66225	
577598	76534	Christa
577598	92680	
577598	135344	
577598	148697	L'hotesse
577598	169278	
577598	183797	Une invitée du bal noir
577598	208656	Hanna Vetsera
577598	217704	Arabelle Minxit
577598	224885	Alexandra Van Cockaert
577598	238482	Charlotte
577598	248251	Solange, premier clerc (segme
577598	255591	Mme Thiphaine
577598	266035	La fille blonde
577598	280551	Valérie
577598	325961	Valérie Mézeray
577598	340148	
577598	346667	Geneviève
577598	386140	
577598	389004	Catherine Bonnelle
577598	389880	Herminie
577598	391934	Josette
577598	404861	Sophie Blouin
577598	409440	La trafiquante
577599	101600	Young Matilda/Frida
577600	148079	
577600	212435	
577601	113771	Dancer
577602	102834	Herself (Dressed to Thrill Ba
577603	104758	Host
577603	123076	
577603	145485	
577603	179293	Frau Hasselbach
577603	313782	Performer
577603	313835	Herself
577603	387959	Herself - Presenter (1983)
577603	407552	
577604	214987	Elsa
577605	300804	Teacher Alice
577606	226287	
577607	337262	Marianne
577608	51675	Serveuse
577608	71802	
577608	318119	Greffière
577609	93245	Becky
577610	35838	
577610	349452	Kwinto's Wife
577611	252572	child
577612	70408	
577613	126542	Gina McGreggor
577614	60702	
577615	319596	Institutrice
577616	149003	Linda
577617	81783	
577617	96774	
577617	147873	
577617	158598	
577617	161493	
577617	185182	Toaster
577617	193772	
577617	196036	
577617	220593	Vampire Woman
577617	243083	
577617	257121	Jo
577617	271305	Sherry
577617	280294	
577617	358938	
577617	358944	
577617	364262	
577618	591	The Widow
577618	1401	Herself
577618	7591	Herself
577618	13700	Herself
577618	13918	
577618	13919	Herself
577618	28938	Gabrielle Gerard
577618	46959	Fiona Campbell
577618	81784	Specialty in 'The Desert Song
577618	96861	Rosa Senta
577618	96987	Lipstick model
577618	112071	Conchita
577618	112980	Herself
577618	114635	Baroness Sandra
577618	125484	Herself
577618	138700	Herself
577618	139790	Deborah
577618	163516	Jackie Leighton
577618	165506	Herself
577618	165509	Dancer
577618	175525	Herself
577618	178208	Specialty Dancer
577618	205836	Herself
577618	205849	
577618	206110	Manuella de Vasquez
577618	206259	Louise Henderson
577618	209604	Maria Corvier
577618	212336	Herself - Participant/Perform
577618	215862	Dance specialty
577618	223164	Herself
577618	227996	
577618	240440	Yvonne Torro
577618	249576	Vicki Gaye
577618	261062	Sheilah Croft
577618	274702	child
577618	288613	On Camera Host
577618	293350	Shelley North
577618	301558	Sarita
577618	301842	Ninotchka 'Nina' Yoschenko
577618	302696	Dancer
577618	307842	Lola de Torrano
577618	308112	Lily
577618	308127	Bianca Russell Arden
577618	308939	Lead Hula dancer
577618	321469	Mrs. Allison
577618	328030	Mary Chanler
577618	329560	
577618	329562	Clip from 'Singin' in the Rai
577618	329563	Herself
577618	329564	Herself (interview)
577618	329565	
577618	331205	Cameo appearance
577618	331688	Rena Fairchild
577618	333054	Dance Specialty in 'Roberta'
577618	342487	Charlotte King
577618	343199	Carlotta
577618	346914	Mlle. Ariane Bouchet
577618	355360	
577618	359432	Atsil
577618	362082	Herself
577618	365358	Indian girl
577618	367948	President's girl #4
577618	368245	Margo Grant
577618	375044	Dance Specialty
577619	133795	Tuesday
577620	278260	Geri
577621	105215	Dianne
577621	154071	Mrs. P.C. Harold
577621	319006	
577622	373699	Brigade Leader
577623	134957	
577624	398078	Chloé Lemire
577625	135346	
577626	322351	
577627	80578	
577628	26040	Pom
577629	82407	Marjolaine Margocci
577629	148696	Journaliste
577629	205265	
577629	278732	Brigitte, Euryclée
577629	356391	Suzie
577629	396334	Jeanne Dumon
577629	407345	Colette Lévesque
577629	412171	Martine Vaillancourt
577630	38972	Hooker
577630	71602	Herself
577630	97018	Honey Fertilizer
577630	231789	Herself
577630	246000	Dolly
577630	302142	
577630	374638	Angvisa Girl
577631	24666	La mère
577631	108901	
577632	122686	Ani
577632	409356	Cass
577633	384637	
577634	53312	Billy
577634	133401	Cha Cha DiGregorio
577634	157985	Mary Magdalene
577634	185947	Marlena
577634	223135	
577634	352961	Herself/Cha-Cha
577634	381571	(Herself/Cha-Cha)
577634	383780	Senior Alvarez
577635	5066	Monarch Cheerleader
577635	279766	Rosie
577636	65110	Olive
577636	92482	Robot
577636	154569	
577636	184944	
577636	310800	1st Guitarist's Girlfriend
577636	311230	Bit Girl
577636	366390	Winter-A-Go-Go Girl
577637	222947	Spielberg Secretary #1
577637	226891	Brenda
577637	231893	
577637	362176	French woman
577638	154796	
577639	13786	
577640	193606	Mr. G's Girl
577641	20001	Cop
577641	323227	Case Worker
577642	23463	Housewife
577643	223487	Gardrobière/Wardrober
577644	66945	Tracy
577645	35239	Waitress
577645	118462	
577645	120412	Mother
577646	384288	Catherine de Messidor
577647	51948	Tototte
577647	55724	Solange
577647	214880	
577648	35745	Miss Elliott
577648	223733	Bit Role
577648	252981	Eileen Marcher
577648	333152	Cissy Allen
577648	367459	Ann Rogers
577648	373194	Nan
577649	46670	Astrid
577649	104681	Stewardess
577649	120120	Fox
577649	168087	Lady at grandmother's house
577650	13742	Reporter #7
577650	16943	Waitress
577650	151351	Hip-Hop Chick #3
577650	284621	Hostage
577650	300195	Model
577650	304494	Girlfriend
577650	350343	Luau Girl
577651	823	
577651	297996	
577652	163441	
577653	190104	Michele Rennie
577654	24429	Queen
577654	104681	Queen Elizabeth
577654	226939	Her Majesty, Queen Elizabeth 
577654	283954	Queen of England
577654	392545	Dinner Party Guest
577654	402551	Various Characters (1979-1980
577654	403993	Queen [10X]
577655	72931	Goodyear Chorus Girl
577656	64075	Prince's Dancing Girl
577657	302932	Denise McNair
577658	345628	Rose Riley
577659	225310	Jonna
577660	372175	Waitress
577661	194487	Tree Nymph
577662	229988	Marian Hinckley
577663	301700	Victim's Wife
577663	400646	Det. Angela Dickenson
577664	289372	Featured Extra
577665	54541	English lady
577666	279376	Handmaiden
577666	302454	
577667	110100	Newscaster
577667	116674	Tushi
577668	79862	Susan
577668	156934	Anna Raine
577669	294829	Houngan Dancer
577670	196487	Bit Part
577671	18436	Spinoza's Wife
577672	169279	Catherine II
577673	28473	Teatro Performer
577674	17492	Anna Gemignani
577674	18351	Sylvia Pinker, Social Coordin
577674	29533	Rita Green
577674	70612	Mrs. Hawtrey
577674	73125	Alena
577674	74674	Senora Pulido
577674	80699	Blonde
577674	81019	Mrs. Rubenz
577674	133592	Sara Pocket
577674	135960	Goldie
577674	144406	
577674	240024	Widow Corney
577674	259778	Mrs Higgins
577674	277096	Lady client
577674	288933	Maria
577674	316057	Tea Lady
577674	327726	Old Woman (segment About Time
577674	346087	Mrs. Weedle
577674	353465	Madame President
577674	378710	Old Lady Gambler
577674	379447	Bea Fisher
577674	379448	Bea Fisher
577674	385103	
577674	385299	Lorelei Macefield
577674	386961	May
577674	390574	Sarah Pocket
577674	399189	Mrs Sadler
577674	401224	Lady Chairperson
577674	404659	Louise Colbert (1977)
577674	404929	
577674	408091	Madge
577674	411064	Jewish woman
577675	82114	Regina
577676	10296	
577677	377614	La servante
577678	127803	Diane
577678	273825	Freda
577678	310059	Furniture Girl
577679	155108	Herself
577680	158996	Caroline
577681	71535	Stella Marston
577681	218003	Nellie Kelly
577682	208631	Molly
577683	4017	Sora Hasegawa
577683	19768	Chante, Additional Voices
577683	37403	Fat Woman
577683	49715	Farris
577683	56629	Sara Trantoul
577683	63712	Amy
577683	72237	Edward (Ed)
577683	98675	Alielle
577683	98676	Alielle
577683	109452	Cookie
577683	115182	Eri Ninamori
577683	122111	Nyan Nyan
577683	122113	Nyan Nyan
577683	152909	Lei Lin
577683	170832	Mii, Natsumi
577683	175725	Himiko, Huang Yue Ying
577683	176534	Fraw Bow
577683	176535	Fraw Boy
577683	176536	
577683	182499	Mizuki Segawa
577683	182500	Mizuki Segawa
577683	195629	Kanako Urashima
577683	199106	Amy
577683	199110	Amy
577683	199111	Amy
577683	217377	Mao Shirase (English version)
577683	286228	Dancer
577683	294105	Okuni
577683	299125	Alielle
577683	313338	Welch Vineyard
577683	373384	Nanami
577683	385151	Edward Wong Hau Pepelu Tivrus
577683	386345	Rika Nonaka (2001-2002)/Narra
577683	387419	Alielle
577683	389791	Specs
577683	390794	Woman A, Prostitute, Woman In
577683	391328	Kitty
577683	391329	Kitty
577683	392965	Gaz
577683	393503	Bindi
577683	393545	Additional Voices
577683	393552	Etsuko Sarutobi
577683	394016	Additional Voices
577683	394252	Miyuki Tanokura
577683	394423	Dorothy
577683	394427	Child Karen
577683	396484	Chizuko Oe, Dark Blue Haired 
577683	397187	Monique, Asami Akiba
577683	400268	Kaede Misumi (Episode 1-10)
577683	402729	School Girl
577683	403959	Party Guest
577683	404228	Nurse Nanako Hishinuma, Stude
577683	409831	Additional Voices
577684	366159	Jessie Conway
577684	383078	Marilyn 'Charley' Charlton (1
577685	75771	Technician #1
577685	269270	Enfermera #1
577685	312265	Kevin's Mom
577686	80504	Anatomy Professor
577686	86017	Sammy's mother
577686	92660	Older woman
577686	106361	Maggie
577686	158311	Eleanor
577686	214755	Celeste Burgess
577686	234982	Bette Davis
577686	236905	Betty James
577686	252888	Thelma White
577686	296894	Hattie Moore
577686	321339	Supervisor
577686	339358	Witness
577686	366711	Bea
577687	276240	Refugee #2
577688	370858	Herself
577689	131723	Girl at party
577689	221785	Belinda
577689	399130	Sarah Beaumont/Hannay (1996-1
577690	185422	Bisi
577690	230869	Luanda
577690	299487	Tarnya
577690	315516	Melody
577691	296768	Miss Clayborne
577692	326751	
577693	46877	Receptionist
577693	141279	Miss Matthews
577693	221233	Mary Taylor, Assistant Dresse
577693	245605	Thelma
577693	297115	Chambermaid
577693	393492	
577694	294829	Bizango Dancer
577695	195985	Lady-in-waiting
577696	44513	Rachel
577698	257532	
577699	390523	Liz (1995)
577699	406111	Debbie
577700	35741	Narrator
577702	87598	Herself
577703	401079	Nurse #1
577704	52198	
577705	279619	Herself - Musician - Bass gui
577705	279623	Bass guitar
577706	93357	President's Daughter
577706	223931	Barbara
577706	316767	Madeleine James
577706	328301	Janice
577706	353418	
577707	79844	Maryanne
577707	161238	Herself
577707	161392	Herself
577707	196392	Julie
577707	219794	Lee Herrick
577707	277036	Nancy Grover
577707	367585	Rachel
577707	372669	
577707	380713	Alice Whipple (1966)
577707	388862	Pam (1965)
577707	389858	Dr. Monica Bard Quartemaine #
577707	396084	Iris Donnelly Garrison #1 (19
577707	401930	Dr. Monica Bard Quartermaine 
577707	411087	
577708	5727	
577708	5997	
577708	7935	
577708	16018	Monah
577708	32475	
577708	37859	Nellie Wilson
577708	38853	Kitty
577708	50011	Molly Carrington
577708	52467	
577708	70807	The Nurse
577708	71775	Helen Brant
577708	71916	
577708	81554	Madeleine Howard, an Actress
577708	105404	
577708	109762	Mary
577708	118265	
577708	139943	Marie
577708	146203	Roxana Frisbee
577708	146284	Mary Charleson
577708	148983	The Wife
577708	152573	Lee Tyndal
577708	152620	Alicia Boothe
577708	192265	Rosiland Arloff
577708	193964	Echo Allen
577708	207953	
577708	208056	Mary Simpson
577708	220817	Marina Paoli
577708	224771	
577708	228363	Natoosa
577708	245190	
577708	263977	Arline Arrington/Claudia
577708	279339	
577708	279458	Juanita
577708	285746	Mary Farley
577708	288469	Edith Conway
577708	291855	Alma Lee
577708	305676	
577708	311334	Mary Dorian
577708	316151	Margy
577708	333449	Timid May
577708	340577	The Young Wife
577708	340673	Joan Wentworth
577708	345601	Una
577708	348531	Rosalie
577708	359460	
577708	362236	Marjorie
577708	362727	José's Sweetheart
577708	363085	
577708	363674	
577708	366320	Bertha, Manuelo's Fiancée
577708	366819	Marguerite Delance
577708	366930	Irene Wetherill
577708	367497	
577709	23927	Herself - Audience member
577709	71777	Dorothy Atkins
577709	154357	Mrs. Harkness
577709	163348	Herself
577709	337086	
577709	343159	Will's Mother
577709	381608	Wendy Robinson
577709	385301	Betty Waddell (2003)
577709	386796	Dossa
577709	392469	Herself - 2nd Celebrity to Le
577709	396058	(War 1: Man of Destiny)
577709	399129	Herself (2000)
577709	399130	Madge Ramsay/Mitchell/Bishop 
577709	399816	'Mad' Stella (1975)
577709	401963	Elizabeth Macarthur
577709	402197	Deidre Kean (1984)
577709	406891	
577709	409197	
577711	47547	Casting Director Kate
577712	81196	Pauline Thompson
577712	220484	Massage parlor girl
577712	304994	Young Heather McKean
577712	395180	Kate Byrne
577712	402197	Linda Golman (1981)
577713	85850	
577714	384192	Linda
577715	278511	Janna
577716	59637	Mrs. Grant
577716	293810	Lady Selkirk
577717	188453	Opening Sequence Girl
577719	70936	Helen
577720	391482	Host
577721	197715	Frankie
577722	377055	L'infirmière
577723	15057	The Landlady
577723	45196	Mme Vaucorbeil
577723	54395	Une servante
577723	60519	La demoiselle du buffet
577723	99912	
577723	103824	Mlle Pinot
577723	139545	Rose d'Orange
577723	205437	
577723	241074	Woman in Restaurant
577723	254966	
577723	261808	Céleste
577723	301321	
577723	314470	Nadia
577723	321913	
577723	336716	Natasha
577723	382584	
577723	384859	Féliciana
577723	412165	Marie (segment "Intrus, L'")
577724	123817	
577724	254002	
577725	62277	Ségolène
577725	71479	Stylist
577726	7479	Madame Lechat
577726	26586	Madame Vérillac
577726	30152	Madame Petit-Durand
577726	43003	
577726	57517	La duchesse de Cambo y Gonzal
577726	58856	La baronne de Villetaneuse
577726	65152	
577726	96068	
577726	199577	Madame de Malempré
577726	220473	Madame Thomas
577726	229002	Madame Daronval
577726	241173	Yolande
577726	268397	Amélie Desnoyaux
577726	272319	Marguerite de Vanves
577726	285081	Madame Debienne
577726	308305	
577726	377852	Mrs. Patricia
577727	23500	
577727	26948	
577727	29766	Kari
577727	41588	
577727	41623	
577727	55288	
577727	69385	Florence
577727	71424	Bound Stewardesses
577727	81826	
577727	87441	
577727	87697	Baby Doll Dancer
577727	95801	
577727	116093	
577727	116818	
577727	126642	
577727	128548	
577727	140940	
577727	188415	Herself
577727	191356	
577727	228020	
577727	228021	Herself
577727	242059	
577727	252930	
577727	255158	
577727	260805	
577727	264844	
577727	266725	
577727	278695	
577727	289578	Wet Dream Girl
577727	295727	Kristal
577727	296705	
577727	320028	Kayla
577727	336441	
577727	363757	
577727	368227	Jackie
577727	369908	
577727	372522	
577728	112863	
577728	339540	Paulette
577729	227300	La secrétaire/Secretary
577730	183670	
577730	265471	
577730	281052	
577731	167184	Madeleine
577732	262591	Dance Double
577733	383261	Beatriz
577734	33290	Nona
577734	38051	Indian maiden
577734	46125	Raquelita
577734	47059	Chiquita, Cottonwood Saloon G
577734	67822	Maria Diego
577734	98659	Bit part
577734	134039	Dolores
577734	135805	Francesca
577734	176199	The Dancing Girl
577734	188379	Princess Papoola
577734	218018	Woman in Bar
577734	226906	Tita (entertainer)
577734	271998	Mexican girl in bar
577734	277925	Singer
577734	303428	
577734	309825	Rosina
577734	327764	Belle
577734	330285	Rosa
577734	336814	Senorita
577734	367863	Island Woman
577735	43401	Lycéenne 1
577735	191129	
577735	390477	
577736	66949	Molly Sinclair
577736	69656	
577736	75030	
577736	90409	Becky
577736	189249	Lynette
577736	267094	
577736	276803	Megan
577736	296552	Our Guests at Heartland
577736	404123	
577737	29358	
577737	238884	Miss Rone
577737	257548	
577737	304763	Ilina
577737	308001	Mrs. Oxhey
577737	330669	Ann Meredith
577737	381881	Marjorie Marchant
577737	404196	Ethel Barraclough
577738	75650	Legal Aid
577739	11371	Herself
577739	326821	
577740	11251	Prostitute #1
577740	33180	Miss Phillips
577741	310157	Cookie
577742	5507	Mary Mawson
577742	203491	Mrs. Burrows
577742	324014	Dr Lucy Cameron
577742	366159	Cousin Mary
577742	384634	Mrs. Charlton
577742	400516	Doris Soulsby
577743	209209	Featured Zombie
577744	308117	Secretary
577745	64750	Herself
577745	364125	Herself (Hollywood journalist
577745	390400	Herself (Gossip Columnist)
577746	153794	
577747	39625	
577747	127263	Helen Keller
577747	158930	Old Lady #2 at Motel
577748	313479	Ewok
577749	35705	Tara Cummings
577749	73325	Victim
577749	340221	Young Woman
577749	346249	Carol Marshall
577749	400158	Ann Marie Collins
577751	50380	
577752	7732	
577752	7740	
577752	21963	Hooker (Charmane)
577752	34928	
577752	53199	
577752	75191	
577752	85775	
577752	102756	
577752	131448	
577752	131508	
577752	157559	
577752	160228	
577752	164656	
577752	187392	Herself
577752	187411	
577752	215514	
577752	232377	
577752	232640	
577752	233715	
577752	264150	
577752	302577	Herself
577752	311451	Herself
577752	313235	
577752	319705	Herself
577752	321023	
577752	321024	
577752	321025	
577752	358584	Woman who moved to New York s
577752	369913	
577752	369914	
577753	319534	
577754	51414	Tante Betty
577754	58855	Madame Agreste
577754	66563	Mémé
577754	170292	
577754	170293	
577754	205628	Madame Beulemans
577754	252548	Madame Peperbol
577754	375079	
577754	377489	
577755	390781	Presenter
577756	106666	Masked party principal
577757	152631	Jojo
577757	162363	Trip's Girlfriend
577758	289396	Murray's Dancers
577759	84625	
577759	171884	Laila
577759	269726	Patricia
577761	290400	Student
577762	59139	Herself
577762	161591	
577764	249707	
577765	37998	Margaret The Bingo Queen
577765	96770	Spry Old Woman
577765	159514	Aunt Flo
577766	17797	Margaret
577766	37133	Mrs. Raymond
577766	327776	Lynnette Galvin
577766	387638	Judge
577767	113686	
577768	362774	Miriam Grasser
577770	67560	Gal
577770	114283	Polly
577770	221182	Georgette
577770	223734	Stewardess
577770	223833	Grady
577770	265777	Bank Teller
577771	92100	Native girl
577771	331636	WAF Sergeant
577771	361549	Cora
577772	7413	Orphan
577773	302702	1st Girl
577774	124101	
577775	147732	Marcy
577775	299900	Sylvia
577775	314127	Marcy
577775	321154	Lead frug dancer
577775	350782	Mildred
577775	383385	Leslie (1986)
577776	72901	
577777	125634	Frau Kruger
577777	158112	Molly
577777	248116	Medical Student
577777	253950	Carol's fan at Airport
577777	342867	Lucetta
577777	379600	Janet Owen
577777	381212	Nurse
577778	404714	Nisha Hardy
577779	133982	
577780	65426	Eileen
577781	79007	Zircon Tech #2
577782	319568	Cashier (Popeyes)
577783	42357	Herself
577783	63106	Herself
577783	69137	Margarita
577783	80441	Elena
577783	96885	
577783	99623	Herself
577783	138726	Herself
577783	138730	Herself
577783	169680	Herself
577783	195485	Herself
577783	218719	Madame Loop
577783	331986	Mrs. Toad
577783	332769	Darlita
577783	352965	Herself
577783	384069	Aunt Charo (1977-1978)
577783	391827	Herself (semi-regular, 1975)
577783	407067	Herself/Season 3 (2004)
577783	411697	Herself
577784	32068	
577785	319966	Srisudachan
577786	165342	Aunt Waad
577787	15025	La fille de l'hôtel
577788	265648	
577789	2252	(segment "Arnaud et ses copai
577789	303137	
577789	322335	Cast Member
577789	381045	
577789	394531	Lola
577789	402790	Quon Kisaragi
577789	409750	Sabine (2000-2001)
577790	23856	Véro
577790	351788	La serveuse relais
577790	409531	
577791	188683	Enfant #1
577791	376999	Julie
577792	72387	Sage-femme
577792	235878	La femme en pull marin
577792	399082	Dorothée Galvani
577793	132770	La Lubie
577794	217223	Schoolgirl
577795	7655	La matronne
577796	165134	Herself (agent: Jarowskij)
577797	346735	Herself
577798	345401	
577798	384754	Lolo
577798	396308	Lipoune
577799	20465	
577800	218308	Infirmière surveillante
577801	133626	
577801	232860	
577802	346735	Herself
577803	336968	
577804	146419	
577804	278734	Jeune femme
577805	397938	Arkansas
577806	15069	La femme de Pierre
577806	23731	Joséphine 1960
577806	24178	La jeune femme blonde
577806	73073	Olivier's mother
577806	73077	Mme Tessier
577806	284861	Madame Ferrand
577807	219498	Rose Souris
577808	251007	
577809	59709	Charlotte/Charlie
577809	68378	Agathe
577809	164145	Julie
577809	282053	Rosine
577810	210909	Minouche
577811	340857	Jade Gate girl #1
577812	403254	Rose Landry (16 ans)
577813	42911	Herself/Host
577813	387681	Isabel
577813	401106	
577814	289377	Waitress #2
577815	20066	La fille
577815	196811	
577815	264944	Sophie Larrieu
577815	291584	(segment "Lucie")
577816	2252	(segment "Teuf d'enfer, La")
577817	202421	Infirmière
577818	87497	Un enfant
577819	135332	Fillette
577820	205539	Claire
577821	43758	La fausse contractuelle
577821	216774	Une manifestante
577821	225523	La religieuse
577822	254098	La soeur de Yann
577823	109340	Nurse
577824	107054	Sylvia
577825	81152	Chaark Recovery Squad
577826	356503	
577827	360436	Hot Tub Woman
577828	20567	Dada
577829	276104	Masseuse
577829	378680	Lectrice de nouvelles
577830	219856	Christine
577831	313522	Coffee Shop Girl #2
577832	71694	Angry Woman
577833	268828	
577834	271293	Princess
577835	33280	Mother Bela
577835	155176	Widow
577835	174922	Ulita
577835	212114	Baroness von Fogel
577835	217046	Djatia
577835	326066	Vicountess Ligovskaya
577836	174922	Marina
577837	394750	
577838	282416	
577839	94055	Herself (author)
577839	175684	Herself (Kerouac biographer)
577840	94692	Bonnie (segment "The Black Ca
577841	272944	Susan Wells
577841	366683	Johnny Rocket's Waitress
577842	81193	Mayor Delta Tripp
577842	106493	Mourner
577842	167714	Woman i Gallery
577843	377478	Annick
577844	132744	
577845	410252	Carmen Paré
577846	117575	Football Players
577847	307111	La petite fille
577848	273477	Karen
577849	48264	Miss Jones
577849	163565	Sloan
577850	273555	Dean's secretary
577851	13990	Debbie
577851	31193	Herself (ABC Team)
577851	53312	Fan
577851	89364	Linda Libel
577851	140402	Dace
577851	175582	Deborah
577851	257451	Stephanie
577851	283099	Didi Pickles
577851	283102	Didi Pickles
577851	283104	Minka/Didi Pickles
577851	283105	Didi Pickles
577851	283106	Didi Pickles
577851	379710	Didi Pickles
577851	383850	
577851	389356	Desiree DeMornay
577851	389378	Various Characters
577851	393906	Aunt Nora Shepherd
577851	399725	
577851	400878	Principal Grace Musso
577851	403907	Diane 'Didi' Kerpacketer-Pick
577851	404613	Nancy Craig, R.N. (1976)
577851	407403	Laraine McDermott
577851	410783	Mrs. Marcia Donnelly (1996-19
577852	18945	Sasha's sister
577853	332274	
577854	133714	Mary Bauer
577854	257087	Marsha
577855	29537	Michèle
577855	39714	Auxiliar
577855	43755	Girl at the bar
577855	97054	Fille de Victor
577855	377647	
577856	162723	Marie
577857	322648	
577858	19257	
577859	132801	Nadia
577860	6608	La grand-mère
577860	11936	
577860	63656	La grand-mère
577860	78380	
577860	236624	Mme Lépié
577860	353814	
577860	355245	
577860	384186	La vieille femme
577860	385183	
577860	391932	Mme Lépié
577860	400869	
577860	408001	Mlle de Waize
577861	269735	Mamie Renée
577862	29195	
577862	136059	
577862	175107	
577862	200685	Dhira
577862	268605	Parvati (Dhanraj's sister)
577862	271508	Rajani
577862	278802	
577862	312455	
577862	316577	
577863	14283	Mother Rossman
577865	8152	Fabienne
577865	23540	Natacha
577865	41434	La femme
577865	156278	La femme
577865	218077	Assistante
577865	266201	Géraldine
577865	286623	
577865	334797	Sarah
577865	383861	(segment "Game girl")
577866	98709	Herself
577866	115726	
577866	265550	
577866	387806	Host
577867	61642	Sarah Preston
577868	131399	Kelly
577868	150049	
577868	169644	Jen
577868	398179	Herself - Blue Team
577869	356802	Nazi 'Knife' Dancer
577870	220075	
577871	242620	
577872	56145	Annie
577872	187333	Stella Speed
577872	266564	Jeanine
577872	276796	Stella Speed
577872	280654	Stella Speed
577872	339897	
577872	397649	Serff (android)
577873	231078	Kat
577874	964	Cathy
577874	39478	
577874	42112	Gloria
577874	90437	2nd Student
577874	130971	Anne
577874	133962	Belinda Ali
577874	199080	China Doll
577874	199090	Herself
577874	206408	Loretta
577874	309659	Camille
577874	337180	Angela
577874	340704	Annie
577874	395284	Soria
577875	5036	Andrea Keating
577875	5539	Betty Jo
577875	380391	Marianne Randolph #7 (1975-19
577875	380713	Melinda Gray Spencer (1978-19
577875	381801	Wanda June
577875	385824	Kimberly Brady #3 (1992-1993)
577875	389053	Samantha
577875	390771	Christie Rogers (1970-1971)
577875	404002	Amanda Kirkland #2 (1983)
577876	127293	
577876	218014	Photo Girl
577876	232861	Buffy
577876	314982	Dee
577877	13918	
577877	17960	Herself
577877	54208	Diane Taylor
577877	76582	
577877	105007	Herself
577877	115519	Farida
577877	126044	June
577877	133705	Sexy Girl
577877	138492	Ballerina
577877	163462	Sylvester's girlfriend
577877	188023	
577877	205339	Torchy
577877	242941	Specialty Dancer
577877	249576	Showgirl
577877	288613	Herself
577877	289504	
577877	301842	Dancer Gabrielle
577877	363787	Doris Lynch
577878	188453	Opening Sequence Girl
577879	8148	Woman on Train
577879	393037	Mrs. La Salle
577880	332091	Betty, The Baby
577881	198081	Vocal
577882	120337	Lady on train
577883	34821	Sally Morton
577883	106613	Jenny
577883	382694	Sylvia Green
577883	390690	WPC Dean
577883	403948	Forensic Officer
577884	17783	Susan Weiss
577884	26381	Reporter #3
577884	37010	Francis Walters
577884	37246	Reporter #1
577884	37948	Realty agent
577884	43606	Shocked Woman
577884	58959	Aide at Smithsonian
577884	65628	Julia
577884	121522	Miss Rand
577884	149790	Diedre White
577884	224164	Aunt Martha Hayward
577884	233692	Aunt Fran
577884	250576	Mrs. Dean Rusk
577884	271191	Lawyer
577884	314156	Neighbor Lady
577884	320026	Daisy's Lawyer
577884	330912	Mrs. Greer
577884	366271	Saleslady
577887	2761	Herself
577887	6248	Pubert
577887	32995	Herself
577887	167696	Angelica Pickles
577887	201745	Herself
577887	283099	Angelica Pickles
577887	283100	Angelica C. Pickles
577887	283102	Angelica Pickles
577887	283104	Angelica Pickles
577887	283105	Angelica Pickles
577887	283106	Angelica C. Pickles
577887	283107	Angelica Pickles
577887	283108	Herself/Angelica Pickles
577887	300892	
577887	335380	Mei (Troma version)
577887	379710	Angelica
577887	389567	Pinky
577887	403163	Mrs. Pipe/Others
577887	403907	Angelica C. Pickles
577888	57128	
577889	101646	First Tourist
577889	254789	Exotic Dancer
577889	356792	Marie
577890	273972	Grandchild
577891	385820	Clinic receptionist
577892	41616	
577892	108837	
577892	113436	
577892	119497	Donna
577892	126340	Herself
577892	150177	
577892	197773	
577892	210539	
577892	238944	
577892	294292	
577892	295850	
577892	306916	
577892	353743	
577892	361243	
577893	1038	Poise Employee
577893	3977	
577894	163719	Joanne
577894	209133	Sybillya
577894	231511	Lynn Watson
577894	276944	Meggie Yates
577894	281464	Lisa
577894	281836	Young Mary Rose
577894	382277	Kennedy (1994-1995)
577894	400236	Sarah Victoria 'Flash' Robert
577894	406008	Meredith Weber
577895	157061	Celia
577896	1469	Herself - in 'Upcoming Superm
577896	1737	Herself
577896	1748	Herself
577896	14221	Herself (performer)
577896	20965	Herself
577896	21213	Child singer
577896	32661	Sara Newton
577896	44035	Voice
577896	55520	Young Georgia Mirabeau
577896	90772	Samantha Darko
577896	97477	Sally
577896	120660	Anna
577896	140125	Annabel
577896	143280	Granddaughter
577896	190869	Lilo
577896	190870	Lilo
577896	212732	Shawna Landon at 8
577896	272739	Amy Costello
577896	278498	Samara Morgan
577896	279594	Dentist's Daughter
577896	289257	Lucy Janik
577896	294028	Chihiro/Sen
577896	301512	Rachel Pressman
577896	314980	Lilo
577896	352971	Herself
577896	381951	
577896	388080	Herself
577896	388694	Joyce Summitt, other characte
577896	395649	Lilo
577896	400103	Joyce
577897	148886	Video Clerk
577898	279323	Party Girl
577899	12365	
577900	5553	Cleora
577901	33899	Herself
577902	330005	
577903	252511	Abby
577904	4391	Martha Miller
577904	372165	Herself
577904	379040	Martha Miller
577904	408044	Charlie Brown
577904	408044	Charlie Brown (1988-1989)
577905	367411	Diana Deering
577906	343025	Mrs. Doyle
577907	10835	Heart
577907	47148	Bianca
577907	93169	Jolanda
577907	105442	Lisa
577907	135170	Debbie
577907	204260	D.J.
577907	258101	Gamma Girl
577907	281255	Snotty girl #3
577907	291273	Miss Finch
577907	325200	Jessica parker
577907	352962	Herself
577909	17183	Grace
577909	37165	Patty Benedict
577909	37258	
577909	54968	Bunty
577909	64070	The Stepmother
577909	109417	Millie Montgomery
577909	115864	Fanny
577909	119494	Pauline
577909	124717	Blinis
577909	130736	Comedienne
577909	163347	Herself
577909	168676	Abbie Binns
577909	183609	Susan
577909	188380	Mrs. Du Bonnet
577909	215662	Cassie Van Alen
577909	234029	Hoppy Grant
577909	236129	Lisa Vale
577909	238071	Mrs. Restes
577909	240983	Dixie Mason
577909	241032	Kitty King
577909	248987	Fanny Shipman
577909	274150	Mrs. Fioretta
577909	277649	Margery Mears
577909	306604	Mabel
577909	309878	Maid
577909	317169	Jo Brennan
577909	364602	Ethel
577909	367593	
577909	383765	Herself (panelist)
577909	390150	Host
577909	394278	Herself/panelist 1958-1959
577909	397044	Herself/panelist (1952-1953)
577909	402245	(segment Still Life)
577909	408875	Margaret
577910	303549	Ginny Chin-Chin
577911	28309	Kathy Love
577911	81269	
577911	81270	Ramona
577912	130011	Mrs. Gorman
577912	264037	Italian Woman
577913	84203	Herself
577914	241285	
577914	274672	
577915	177141	Ada Abbott
577916	91903	Bank Employee
577916	196281	Reporter
577916	264818	Resort Guest
577916	264825	Bambi Leigh-Jensen
577916	303860	Bonnie
577916	351502	Laurie Collins
577917	35779	Lola
577917	43911	
577917	139174	FBI Profiler Dr. Silvera
577917	163499	Pat
577917	176911	
577917	176966	Annie Smith
577917	185550	Teddy
577917	272867	Sharon
577918	408880	Brady (Series 1)
577919	404282	Elizabeth Peale (1984-1985)
577920	15861	African-American Family
577921	92688	Linda Drake
577921	204736	Libby
577922	80650	
577922	306911	
577923	15240	Nurse Cindy
577923	214938	
577923	262087	Mother
577923	313334	TV Studio Crew
577924	689	Herself
577924	23926	Audience Member
577924	133412	Herself
577924	192725	Doreen
577924	195335	Vittorio's girlfriend
577924	387533	Steph Stokes (2002-)
577924	395087	Angie
577924	395877	Barbie
577924	400457	Lorraine Watts
577924	411503	Dolly Clothes-Peg
577925	7427	
577926	157693	
577926	369492	Xanadu Dancer
577927	273972	Grandchild
577928	82376	Dr. Rose
577928	142889	TV Reporter
577929	191038	Cameo Girl
577930	289469	Arctor's Wife
577931	16	
577931	107544	Mrs. Harrington
577931	141027	Gretchen
577931	190497	
577931	191740	Isabel Hale
577931	196855	Rose Maunsell
577932	242515	Santa Maria
577933	356325	Freshman
577935	273404	American Witch
577936	11586	Bone's Agent
577937	37351	Girl
577937	118413	
577937	120452	
577937	226609	
577937	229501	
577937	239345	
577937	244913	
577938	26418	Baby-sitter
577939	57139	Crystal
577940	330146	El Cruco Receptionist
577941	191653	Colleen, Bean's Wife
577942	106493	Mourner
577946	167328	Host
577946	378778	Herself - Correspondent (1978
577946	391982	Narrator
577947	288908	Julie Compher
577949	13871	
577949	26927	
577949	31641	
577949	39951	
577949	44178	
577949	44180	
577949	49511	
577949	50718	
577949	56565	
577949	60786	
577949	71378	Brunette
577949	71379	
577949	81918	
577949	87319	
577949	91650	
577949	91831	
577949	92471	
577949	102806	
577949	102859	
577949	128913	
577949	139042	
577949	196531	
577949	228044	
577949	230642	
577949	254079	
577949	264843	
577949	264872	
577949	264874	
577949	264877	
577949	281021	Shannon
577949	283987	
577949	295572	
577949	295715	
577949	295757	
577949	295766	
577949	296283	
577949	306026	
577949	306883	
577949	316147	
577949	321328	
577949	323157	
577949	323158	
577949	323159	
577949	353746	
577949	365384	
577949	372662	
577951	368808	Miss Natural Gas
577952	230831	Woman Ex-Detective
577953	249554	Elise
577954	210692	
577954	239948	Patroa
577954	308743	
577954	344813	
577954	380331	Dora
577954	383441	
577954	385522	Solange
577954	386123	Luiza
577954	388565	Ana
577954	390751	Manuela Marino
577954	396795	Olga
577954	398549	Leonor
577954	404077	Yvonne Ferreira Jardim
577954	407024	
577955	80759	Frances
577955	99208	Hon. Amelia St. Simon
577955	209639	Carol
577955	228685	Victorian Madame
577955	240761	Madame
577955	258199	
577955	296678	
577955	385299	Valerie Pollard
577955	399304	Caroline Kerr
577955	408785	Mary, Queen of Scots
577955	410539	Angela Charles
577955	411459	Helen Baker
577955	411829	Aunt Rachel
577956	234136	Herself
577957	80782	Gorgeous Woman
577958	87123	
577958	210379	
577958	214191	Elsa Jackson
577958	352449	
577958	374785	
577959	100113	
577959	351826	Spectatrice
577960	69102	
577961	69265	Pirate Peta's Waitress
577961	104512	Cindy Cassidy
577961	127410	Customer
577961	194827	
577961	340710	
577962	46663	Nursing Home Attendant
577963	234693	
577964	132403	
577965	148702	Denise
577966	130968	
577966	223833	Bibi
577967	64660	Herself
577967	235870	Performer
577968	381079	Dawn Schaffer
577969	28067	Child extra
577970	270844	
577971	312964	Sylvia
577972	117133	French Girl #2
577972	220302	Mademoiselle Gidoux
577972	276517	Guillemette
577973	332924	
577975	335169	Herself
577976	261830	Léonore
577977	352931	Clo-Clo
577978	9008	Herself
577978	33940	Herself
577979	63657	
577980	37062	Sports Announcer
577981	154629	Becky Fay
577982	11635	
577983	72475	Eliette
577984	254118	La fille
577985	2266	
577985	39437	
577985	39796	
577985	128913	
577985	128918	
577985	142500	Herself
577985	150148	
577985	318372	
577985	327976	Country Siunger
577985	356802	Scarf Dancer
577986	43487	
577986	45062	
577987	77479	Candy
577987	82661	Poet
577987	132092	Carrie
577987	274198	Caroline
577987	309158	Old Mother
577987	353365	Ms. Boswell
577988	331249	Chat
577989	373160	
577990	141404	Shop Assistant
577991	315577	Party Players
577992	353869	Amélie
577993	58848	
577994	217842	Anne enfant
577995	155963	
577996	27249	Betty Ryan
577996	67858	Girl #1
577996	84919	Jane Evans
577996	92959	Mimi
577996	133880	Mary Lou
577996	210605	Shopgirl
577996	228639	Casquette Girl
577996	233791	Sally French
577996	248492	Peggy Crawford
577996	306791	Receptionist
577996	330626	Blonde
577997	366771	Julietta
577999	245533	JD
577999	346188	
578001	8366	Lab Technician
578001	43432	Aunt Mary Bonventre
578001	205211	
578001	207874	La femme dans le bus
578001	380717	Marielle Grenier
578001	380941	Louise Béliveau
578001	400383	
578001	401046	Marie
578001	408883	Françoise
578001	409541	Rita Verot
578001	410628	Marie Couillard
578002	58877	
578002	58878	
578002	58879	
578002	58880	
578002	165759	Simone Blaché (English versio
578002	228209	
578002	381681	Ginette Berger
578002	384386	Ginette Beaulieu
578002	387616	Helgwart
578003	45283	Herself
578004	101509	Mme d'Avernes
578004	385245	Elise Raubier
578004	390520	Mme Spender (segment "Mission
578005	2250	Sexy Waitress
578005	2476	Andie
578005	113305	Blake Dreyer
578005	160887	Mitzi Cole
578005	185841	Zoie
578005	293232	Kaitlin
578005	313633	Tonya (Friend)
578005	316090	Farrah (segment "Disco Infern
578005	400548	Brenda
578006	167156	The Woman
578007	393707	Klas
578008	30472	Germaine
578008	156321	L'aide-cuisinière
578008	251290	V.P. 3e âge
578009	269141	(segment "72 ans-Angèle")
578010	6411	
578011	24685	Valérie
578011	29415	Camille Sowcroft
578011	31440	L'amie
578011	169535	Béatrice
578011	220267	
578011	346416	La sociologue
578011	346749	La narratrice
578011	382931	Gerda
578011	410142	Marie Recio
578012	28157	Amina
578012	59699	Sublime
578012	241074	Girl in Car
578012	309772	Jennifer
578012	353129	La pulpeuse infirmière
578013	385282	Valériane
578013	404176	Valériane
578014	286862	Michael's Mother
578015	43452	Herself (second violin)
578015	168682	String Quartet
578015	215696	Performer
578015	215697	Guest Performer
578015	251087	Guest Performers
578016	228937	
578018	261982	Herself (Sister of Powel Cros
578019	188620	
578020	117653	Jeanne
578021	347533	
578022	79674	Lead Zombie
578023	23211	Florist
578023	303455	Paula
578024	82521	
578025	304339	Suzie
578026	8650	
578027	265755	
578027	361136	Sita, the adopted girl
578028	115323	Woman #1 in Gift Shop
578029	83978	Aka
578030	362381	Guest
578031	345443	Émilie
578031	346709	Jeanne
578032	314470	Nadedja
578033	140289	Esther
578034	28149	Chantal
578034	165901	L'Occuliste
578034	235863	France/Olga
578034	240429	
578034	338572	
578034	397200	Agnès
578035	288891	Mme Delaunay
578036	71952	
578036	346548	
578037	284180	
578038	15209	La femme du beau-parleur
578042	278137	
578043	135564	Court Reporter (extra)
578043	202255	Monica
578044	163374	Terri
578045	199140	Townsperson
578045	221783	Debbie Stats
578046	163932	Mrs. Mrinalini
578047	127002	Kulada
578048	122693	Herself
578049	58368	Rekha
578050	85299	
578050	297436	
578050	324601	
578051	4323	
578051	18386	Marina
578051	138935	
578051	217584	Baruna
578051	286514	
578051	353482	
578052	262454	Sanyal's wife
578053	27731	
578053	29064	
578053	36279	
578053	38182	
578053	84333	
578053	84768	
578053	164857	
578053	166496	
578053	170830	
578053	174841	
578053	181698	
578053	181699	
578053	268106	
578053	300318	
578053	318517	
578054	4003	Rohan's Mother
578054	4100	Ganga, Bahadur's wife
578054	4191	
578054	4199	
578054	4504	
578054	8356	Shobha
578054	15814	
578054	15867	
578054	17007	Sudha
578054	17295	
578054	18484	
578054	27483	
578054	33926	Sheela Srivastav
578054	36249	Renu
578054	43174	Mrs. Seth (Rahul's mom)
578054	57877	
578054	58715	
578054	76456	
578054	86632	Saroj
578054	88535	
578054	88544	Rani
578054	124643	
578054	126943	
578054	127025	Indu
578054	127330	
578054	152474	Mrs. Pinto
578054	152701	
578054	156256	Kaushalya Devi
578054	163827	Wife
578054	164909	
578054	165167	
578054	165944	
578054	171339	Janki
578054	171524	
578054	171898	
578054	173993	Neha's Mother
578054	174212	Sharda Varma
578054	175106	Mohan's mother
578054	176168	Roopa (Shiva's wife)
578054	198747	
578054	204909	Aruna Khosla
578054	208727	
578054	211262	Mala
578054	225985	Esha's mother
578054	226796	
578054	233214	Renuka Singh (Payal's mom)
578054	238857	
578054	248584	Savitri
578054	248966	Lalita
578054	253817	
578054	254409	
578054	254835	
578054	262469	Laxmi
578054	262823	
578054	268108	
578054	282230	Tulsi
578054	284945	
578054	287795	
578054	298251	
578054	301453	
578054	320862	Shobha Kapoor
578054	320921	Roopa Bhargav
578054	341689	
578054	344082	
578054	344907	
578054	354295	Rita
578054	373668	
578054	375202	Seema
578055	174361	Kabiraj
578056	373119	Joyeeta
578057	308451	Tapesh's mother
578058	987	Maya (As Sabita Chatterji)
578058	25963	
578058	84730	
578058	86652	
578058	174841	
578058	216381	
578058	249140	
578058	267952	
578058	287371	
578059	17663	
578059	18121	
578059	18481	
578059	30763	
578059	36608	
578059	46078	
578059	58802	
578059	76430	
578059	77041	
578059	77890	Usha
578059	94916	
578059	123075	
578059	134351	Mrinal
578059	136890	
578059	141854	
578059	165987	Jaya
578059	172422	
578059	172547	Sonaboudi
578059	172616	
578059	172887	
578059	181554	
578059	184110	
578059	202570	Patal
578059	204372	Manjari Devi
578059	206788	Kunti
578059	217584	Deepa
578059	226124	
578059	228424	
578059	233228	Padma
578059	248391	
578059	248906	
578059	262437	
578059	267128	
578059	270203	
578059	271116	
578059	271484	
578059	295014	
578059	296387	
578059	298627	Lata Bose
578059	317782	Lalana
578059	348438	
578059	349115	
578060	29064	
578060	88489	
578060	171883	
578060	174373	
578060	326962	
578061	338053	Nepalesische Verkäuferin
578062	81707	
578063	236507	Supriya
578064	8110	Chhanda Rakshit
578064	38795	Heera
578064	62332	Najar Bibi
578064	134349	
578064	179446	
578064	284760	
578064	308452	
578064	342073	
578065	36143	
578065	61001	
578065	98087	
578065	135903	
578065	164886	
578065	183092	
578065	287526	
578065	288200	Pramad's mother
578066	30106	Prasanna
578067	127002	Bimala Choudhury
578068	30531	Sona
578068	91466	
578068	249140	
578068	289887	
578068	320855	
578069	130666	Amazon Warrior
578069	142527	Girl in Shower Fight
578069	279998	
578070	18593	Pansy Gray
578070	59763	Kathryn Miles
578070	72600	Linda Gault
578070	88963	Lillian Garson
578070	89100	Fran Dodsworth
578070	95145	Agnes Meredith
578070	110937	Alison Drake
578070	120335	Frisco Jenny Sandoval
578070	128889	Professor Anna Mathe
578070	137905	Gertrude
578070	169362	Françoise Mollet
578070	183766	Elsie Hilary
578070	183767	Celia Whittaker
578070	186032	Marjorie Lee
578070	190866	Lilly 'Queenie' Turner Dixon
578070	199402	Jacqueline Floriot
578070	200479	Poll
578070	241029	Anna Keremazoff
578070	248613	Floozie (The Montmartre Girl)
578070	272616	Zelia de Chaumont
578070	277628	Caroline Grannard
578070	278276	Brooks Evans/Naomi Kellogg
578070	282620	Josephine de Beauharnais
578070	288091	Sarah Storm
578070	302936	Greta
578070	335318	Eve Redman
578070	346891	Lady Fay Kilkerry
578071	17765	Maggie Laurie
578071	70799	
578071	86963	Marthe
578071	92182	Mrs. Dunstable
578071	109859	Mrs. Hardcastle
578071	138555	Singer
578071	192063	Amelia Sparkes
578071	196158	Mrs. Berwick
578071	208659	Mme. Collecchi
578071	220366	
578071	330993	Dorcas
578072	257269	Thetis
578073	231918	Eva Lyons
578074	145312	Teena
578075	17774	Annie Thomas
578075	77026	Jen Cross
578075	106041	Susan
578075	131484	Princess Johanna
578075	142619	Genevieve L'Merchant
578075	313088	Peggy (Mae West's Stand-in)
578075	333856	Madeleine Astor
578075	386897	Emma (1995-1996)
578076	183478	Josephine
578076	189272	Monique
578076	245801	Signora svedesa
578076	251850	
578076	316853	
578077	2254	Miss Orasha
578078	156455	
578079	23184	
578079	212547	Alexandre's Daughter
578080	292175	Kid in commercial
578081	193938	
578081	332537	
578081	333508	
578082	159290	Shen
578083	341019	First Prostitute
578084	50444	Extra
578085	32075	Mai
578086	282492	Louise
578086	345463	
578087	68380	Emmanuelle
578088	111039	
578089	249140	
578090	268455	Denise
578091	16950	
578091	37899	Femme Bridge
578091	57532	La fleuriste
578091	70750	Elisabeth-Germaine
578091	83305	Josy, la videuse du Victory
578091	88067	
578091	106988	Woman in Coma
578091	112812	Sister Frédégonde
578091	118480	
578091	153788	
578091	155884	Receptionist
578091	202065	Odette
578091	268455	Bella
578091	280523	Angèle
578091	281249	Madame Salgado
578091	327551	Pétronille Dubreuil
578091	328087	Rose
578091	336470	La comptable bureau
578091	340304	La bonne soeur
578091	346417	La patiente
578091	351710	La servante
578091	379805	
578091	384288	Marie des brumes
578091	384745	Suzanne
578091	386114	Various characters
578091	388944	
578092	404662	
578093	154667	Herself
578094	192998	Kim Walters
578095	27643	Arpita Raj (Special Appearanc
578095	36146	
578095	76415	Kajal Verma/Kajri
578095	82003	Pooja
578095	85282	Sheetal Varma
578095	86649	Nimmi
578095	86669	Kavita
578095	160932	Herself
578095	176030	Ritu Bhardwaj
578095	182114	Anjali
578095	184075	Maithili
578095	193183	Yadav's wife
578095	240215	Ayesha
578095	248799	Kusum Ganga
578095	268093	Nisha
578095	284784	Tanya
578095	328182	Special Appearance (Song)
578095	358256	Herself
578095	370979	Saraswati
578096	272103	
578097	394967	Shoba, Virani, Malhotra
578098	206831	Jennifer
578099	64872	Hasari's Mother
578100	136360	
578101	54652	Prostitute
578102	364818	Factory Girl
578103	345525	Une standardiste
578104	6402	La marchande de quatre saison
578105	375202	
578106	220800	
578107	4268	
578108	375202	
578109	328141	
578110	98085	Special appearance
578111	11546	Anna
578111	14344	Blanche
578111	62459	Mireille Machinard
578111	82106	Vera Fovilla
578111	128511	Valentinova
578111	154736	La secrétaire de Gauthier/Sec
578111	222252	Vera Fovilla
578111	233990	Ambassador Claire Forman
578112	336964	Belle Affaire
578113	37027	Herself
578114	25162	
578114	30353	Henriette
578114	53023	La mère de Martin
578114	65165	La mère de Louise
578114	68355	La femme de l'horloger
578114	68513	Lise Paulet-Dauchy à 40 ans/L
578114	68702	Mme Rivolani
578114	82920	La mère de François
578114	91727	
578114	108906	Mme Labbé
578114	110143	Gisèle Laumière
578114	122362	La mère
578114	132953	Madeleine
578114	149631	Mrs. Torrini
578114	156292	Laura
578114	184264	La mère
578114	186173	Jeanne
578114	198873	La dame d'honneur
578114	200928	Eugénie
578114	207297	Colette, la secrétaire/The se
578114	218250	Honorine
578114	219442	Louise Guibert
578114	220926	Marie
578114	235816	Madeleine
578114	255040	Déborah
578114	258853	Rose Lepic
578114	269223	La gouvernante de Pontcallec
578114	300668	Jeanne (la grand-mère)
578114	319968	Récitante/Narrator
578114	332235	
578114	336738	Sister Lucie
578114	341120	Marie-Berthe
578114	345175	Mercédès
578114	345258	Mme Moujon
578114	346749	Catherine de Médicis
578114	352924	Françoise
578115	13328	
578115	34320	Diana
578115	83037	Hôtesse de l'air
578115	111032	
578115	164665	
578116	166258	
578117	11451	Ginny Tambs
578117	331831	Teri Lowry
578118	50006	Village Woman
578119	157578	Asiya the Tampura Player
578120	32003	Bande à Francis
578121	23786	Sidonie
578121	24314	Gisèle
578121	57541	Nina
578121	312946	Nadejda Staline
578121	386021	Madeleine
578121	410359	Olga Dumanoir
578122	380717	Rita Ouellette
578122	411623	Chantal
578123	221048	
578124	309447	Helene
578125	217827	Marie
578125	258927	Laura
578125	291584	(segment "Ecsta-ordianire")
578125	346507	Morgane
578125	383371	Julie Roblin (1998-2000)
578125	384434	Vanessa Delecourt
578126	6569	Marie
578127	128515	Baby Franciscus
578128	192017	Ariel (French Langauge Versio
578128	202701	Femme couple
578128	383186	Mousseline (Rosie); Clementin
578128	387616	Losi
578128	410152	Marianne Jacques
578129	42526	
578129	44963	Caroline
578129	69950	Fernanda
578129	100168	Eléonore Meru
578129	112864	Cora
578129	128618	Annie
578129	167195	Nina
578129	194135	
578129	217223	
578129	240284	Fatoun
578129	300613	Zoé
578129	354911	Zoé
578129	377072	
578130	134128	Margery Paton
578131	66596	Child
578132	166238	Maid
578133	337313	Billie
578134	20332	La mère d'Arlette
578134	45114	Mme. Jourdain
578134	201159	
578134	202344	
578134	202794	
578135	132794	Isabelle
578135	311258	Valeria
578136	61406	
578136	96057	
578136	124312	
578137	43625	Copine de Josette
578138	272764	Ann Bradley
578139	46827	Carmelita
578139	209153	
578140	96053	
578141	100358	
578142	411316	Aimée
578143	58305	Femme buste
578144	337005	Genevieve
578145	348194	
578146	91170	Leslie
578146	112730	Lisa Vergnes
578146	252725	Cyborg
578146	324755	Claire Baron
578146	380381	Gabrielle (1995)
578146	381046	Julia Lentier
578146	382404	Sylvie Kaan (1997-1999)
578146	383861	(segment "Le phénomène de la 
578146	386645	
578146	388587	Lt. Marie Balaguère
578146	398843	Marie Vallebone
578147	326602	Women's Group Head
578148	23441	Coach
578148	26777	Paris Airport Employee
578148	27263	Art Gallery Patron
578148	35704	
578148	41397	Sandra Balleau
578148	44432	German woman
578148	56871	Mrs. Lavalier
578148	114584	Grandmother Kalliope
578148	116209	Miss Simmons
578148	117266	Sister Eugenia
578148	118311	French Prisoner
578148	121836	Mademoiselle
578148	177291	Catherine
578148	188023	Dancer
578148	191513	French Professor
578148	195006	Tanya Pernaud
578148	198983	Kate
578148	202988	French Scientist
578148	203601	Medium
578148	209413	Mrs. Goodman
578148	211219	Woman Writer
578148	215794	Old Woman
578148	233878	Mother Superior
578148	235164	Jenny Lamont
578148	241103	Mme. Jamac
578148	244397	Mrs. Page
578148	248438	Nurse
578148	252883	French nurse
578148	254417	Ethel
578148	262647	Irene Edwards
578148	264581	Mrs. Tremont
578148	267112	Miss Osie
578148	278264	Raylen
578148	301677	Mother Superior
578148	301681	Mother Superior
578148	301842	Sonia
578148	303833	Bone Gatherer
578148	307372	Additional Voices
578148	313167	Grace
578148	315599	Mrs. Comden
578148	332440	Ronnie
578148	335563	Skating Judge
578148	340791	Police Station Woman
578148	343199	Bar Girl
578148	343387	Camille Ewald
578148	347241	Mrs. Devreux
578148	353525	French Nun
578148	358575	Mme. Lili Raide
578148	359428	Mashwah
578148	368784	Nun
578148	372901	French Actress on TV Screen
578148	375047	Louise
578148	399838	
578148	411802	Lil (1990)
578149	390632	Herself
578150	28179	La jeune fleuriste/L'étudiant
578150	336976	Josette
578150	403474	Une femme
578151	285758	Valet
578152	8834	
578152	55545	Donna Margherita
578152	68342	
578152	219498	Melle Beaupre (Première danse
578152	268414	Gabrielle
578153	189908	Mother
578153	391632	
578153	395448	Jacqueline Voirot
578153	403177	Gilberte
578154	353886	
578155	80558	Shopping Couple
578156	188453	'Dislike' Girl
578157	4080	Parvati
578157	38182	
578157	166493	
578157	174373	
578157	227644	
578157	316577	
578158	127016	
578159	271737	Gangi
578159	308682	Kalavati
578160	148636	
578161	97853	Suzy
578162	336930	
578163	217423	Pregnant Apache
578164	55064	
578164	109694	
578164	196766	
578164	205497	
578164	374025	
578165	203358	Rockette
578165	243150	Dancer
578166	191894	Laura Ingalls
578167	339110	Susy
578168	284790	Olga
578169	24312	
578170	86859	Mahaliat
578170	179825	
578170	268611	Khanuma
578171	350277	Satanists
578172	180123	Vocalist (song "This Wine of 
578172	373980	Oksana
578173	244214	Hazaykata
578174	58690	
578174	225973	Charwoman
578174	266303	
578175	294076	
578176	72923	Marie
578177	231884	
578177	379831	Shelley Bartholomew #3 (1990-
578177	397211	Cynthia Young (1992-1993)
578178	197745	
578179	74691	Teacher
578180	5977	Verónica
578182	196761	Berthe
578182	319733	Mujer que va a boda
578183	2042	Herself
578183	2627	Herself
578183	13736	Second Person
578183	92232	Rosa
578183	129626	Cleaning Woman
578183	168586	Rosa Gonzales
578186	315064	Herself
578187	344763	
578188	167324	Sandra Styles
578189	6313	Manucure
578190	98799	
578190	385629	Herself
578191	229506	Party girl
578192	391869	Charlotte Adams (2001-2002)
578193	93357	Newswoman
578194	272357	Liz Chavez
578194	340775	Carlos' Girl
578194	389858	Leticia Juarez (1998-2002)
578194	411119	Host (1990-1991)
578195	304972	Prison Visitor
578196	291222	Dancer
578197	72360	
578198	328724	
578199	336300	Vangie
578200	193260	Receptionist
578200	313938	Mary
578201	113513	Rosa
578202	368913	
578203	177705	Maria Rios
578204	243175	
578204	288943	Sun Lee
578204	332756	
578205	208200	
578206	96335	Miriam
578207	55142	
578207	67753	
578207	296149	Secretaria
578207	375216	
578208	11357	Perra
578209	112323	Herself
578210	132562	Aura
578211	190376	Verlain
578212	70190	Panel
578212	328557	Wendy
578213	162799	
578214	104916	Elvira
578215	254761	Dolores
578216	135919	Mother of Tejan
578217	41918	Lucy Hidalgo
578219	70624	Sobrina de María Elena
578219	346005	Mexican Girl
578220	232181	Gate Guard
578221	23527	
578222	310613	Rachel
578223	168586	Sick Girl
578224	104974	Dancer #3
578225	279509	Angie Abbott
578226	283624	Additional Voices (Manga Vide
578226	394424	Additional Voices
578226	404879	
578226	408893	Additional Voices
578227	152509	Secretary
578228	245014	Hot Girl
578229	14939	
578229	55747	
578229	200541	
578229	255500	
578229	264401	
578229	351573	
578229	357908	
578230	116750	Young Desiree
578231	84443	Theresa
578232	383633	
578232	384771	
578232	407304	Lupita
578233	226360	
578233	397501	La Chata
578234	22790	
578235	80390	
578236	379043	Bernarda
578237	379043	Bernarda
578238	114313	Girl with Corn Rows
578238	282024	Minnie
578240	261417	Susan
578241	32466	Cheerleader
578242	84625	
578242	94370	Elle
578243	30513	
578244	303354	
578245	86672	Dhani
578245	176185	Madhumitha
578245	215706	
578245	239387	Swapna
578245	283324	Jhavani
578245	286568	
578245	302100	
578245	328182	Nirjara
578246	2092	Chandrika
578246	4151	Reema
578246	4239	Jhoomri
578246	4448	Neha
578246	16184	Saraswati
578246	16185	Herself
578246	20299	Nisha Sharma
578246	29070	Kanta
578246	33928	Jyoti
578246	35564	
578246	35944	
578246	43071	Radha
578246	51490	
578246	59010	Devika (Guest Appearance)
578246	78630	Priya Bhatia
578246	79130	Kiran
578246	79464	Asha Agarwal
578246	82000	Dr. Neha Kapoor
578246	88488	
578246	95329	Sonia Kapoor
578246	97773	Meena
578246	98536	Priti Kapoor
578246	123585	Sanam
578246	125892	
578246	126961	
578246	131890	Sangeeta Kalekar
578246	139408	Mira
578246	152469	Vaijanti Iyet
578246	162686	Madhu
578246	164124	
578246	164303	
578246	167334	Shanti
578246	167351	Urmila Abhyankar/Urmi
578246	171757	Kalpana Awasti
578246	171851	Special Apperance
578246	174184	Seema
578246	174212	Kajal Sahay
578246	174277	
578246	193127	
578246	194417	
578246	195850	
578246	211417	
578246	220777	Shalu
578246	223766	
578246	226067	
578246	228414	
578246	241230	Geeta Choudhary
578246	251883	
578246	254729	Ria Bannerjee
578246	262369	
578246	262449	Shanti
578246	262907	
578246	268605	Rashmi
578246	270556	
578246	271580	Renu
578246	271724	Bela
578246	284715	
578246	284762	Jalima
578246	285269	Anjali Agrawal
578246	297031	Noor Jehan
578246	297318	
578246	297472	
578246	297746	
578246	318634	Zarina
578246	320859	Jyoti
578246	322882	
578246	323675	
578246	341637	
578246	353375	Shyamlee
578246	371306	Seema
578246	373669	
578247	114140	Herself
578248	86649	Child artist
578249	156459	Alien
578249	308353	
578250	362677	Mrs. Blake
578251	297794	
578252	29550	Rosalie
578253	356921	
578254	770	
578254	790	
578254	1308	
578254	11621	
578254	29953	
578254	33943	
578254	33944	
578254	41592	
578254	50376	
578254	67137	
578254	87441	
578254	102826	
578254	105725	
578254	115307	
578254	122640	
578254	139209	Herself
578254	156475	Brigitte Davis
578254	176385	
578254	188941	
578254	233717	
578254	260805	
578254	296706	
578254	302251	
578254	302837	
578254	306898	Red Bisexual Lesbian
578254	306916	
578254	323084	
578254	342638	
578254	355064	
578255	270199	Neeta Sinha
578256	240551	
578256	340188	Nicole
578257	192514	Sales Girl
578257	196134	1st Black Girl
578257	282630	Lucy
578258	5186	Une spectatrice du défilé
578258	132887	Herself
578258	248055	Herself
578258	385003	
578259	170478	Inpectora
578260	384982	La Chata
578261	402720	L'hôtesse du R.I.F.
578262	407909	
578263	217420	Secretary
578264	69107	
578265	8908	Une amie de Gérard/Gérard's f
578265	15025	Josyane
578265	17856	Huguette
578265	22686	Bonnemine
578265	23757	La mère de Kathy au téléphone
578265	26043	Aline
578265	43068	Anne
578265	47784	Gigi
578265	47785	Herself
578265	47786	Gigi
578265	71528	Ginette
578265	71817	Servante du Géneral
578265	73732	Catherine Crosky
578265	100029	Colette, l'emmerdeuse
578265	107096	
578265	107506	Pénélope
578265	108908	Martine
578265	119820	Cecile
578265	125740	Sandra
578265	128977	Mlle Caprot
578265	134605	Marie-Anne Chazel
578265	153840	La femme du couple à la 2 CV
578265	211672	Anne
578265	228564	Claire
578265	240449	Marie-Anne
578265	240586	Clothilde
578265	250780	Betty Delauney
578265	251019	
578265	258868	La postière
578265	268401	Josette
578265	268402	Zézette (épouse X)
578265	306953	Bénédicte
578265	336311	
578265	338003	La femme astronaute/Béatrice
578265	345312	Herself
578265	349481	Lucie Bouchard
578265	351710	Corine Bréha
578265	353864	Martine Vasseur
578265	354024	Catherine, la fille du 13°
578265	355513	Ginette la clocharde
578265	356981	La Reine de Flandre
578265	400698	Solange
578266	84191	
578266	235720	Lola, enfant
578267	30186	Jenny
578267	32809	Charlotte
578267	62995	Fred's Maid
578267	190000	Fanny Sqeers
578267	320453	Miriam Karlin
578267	328754	Marian
578267	335982	Miss Kingsley, Chorus Member
578267	372105	Jackie
578267	394453	Sandra
578267	395080	Delilah
578267	396147	Meredia
578267	405708	Annie
578268	13100	
578269	309764	
578270	23841	
578271	23841	La mère
578272	118259	Naomi, the psychic
578273	175942	Girl who Stutters
578274	227152	Cathy
578274	360734	Partygoer
578275	245249	Ballroom Dancer
578276	4467	
578276	76420	
578276	124573	
578276	124575	JoJo
578276	129077	
578276	191553	
578276	197132	
578276	208838	Qi
578276	231227	
578276	239138	Jia Lam's girlfriend
578276	358907	
578276	370927	
578276	371346	
578276	373105	
578277	198751	Nurse Malika
578278	296646	Regina
578279	312259	Vanessa
578280	48566	Interpretive Dancer
578281	383619	
578282	210929	Secret agent
578282	306609	Ahmad Daniel's girlfriend
578283	13351	Nurse Conner
578283	33748	Mrs. Jenkins
578283	45451	Hospital Nurse
578283	52676	Markham's Secretary
578283	56614	Lady in Room 611
578283	73233	Nurse
578283	77592	Countess Lavalliere in Play
578283	103781	Woman
578283	116911	Sarah Cuttler
578283	118399	
578283	176326	Bronson's Maid
578283	192064	Nails' Landlady
578283	196294	Nurse
578283	224672	Secretary
578283	227338	Extra, Office Worker
578283	227339	Lady with Third Townsman
578283	233872	Addie, the Third Maid
578283	250647	Jean the Night Nurse
578283	252297	Mrs. Blaine
578283	266730	Nurse
578283	270497	Woman Angered at Truck Strike
578283	276671	Nurse
578283	303307	Knivel's Maid
578283	317825	Wife on Pier
578283	329399	Secretary
578283	336042	Stewardess
578283	336043	Marie, Gang Moll
578283	336044	Bailiff
578283	371331	Woman on Train
578284	240960	Mrs. Rosenblatt
578284	304954	Nurse
578284	367781	Miss Perkins, Bill's Secretar
578285	123068	Periel
578286	154940	Sonya
578287	7423	Charlene
578287	13742	Matronly Interviewer
578287	26666	Mona Arden
578287	39464	
578287	67572	
578287	78038	Mrs. Brooks
578287	80023	Marie Horton
578287	138365	Angie
578287	148246	Evelyn Gordon
578287	159199	Barbara Mathews
578287	171078	Corene Oliver
578287	190692	Ms. Fischer
578287	194687	Mrs. Millstone
578287	231798	Mabel Sanderson
578287	252959	Mrs. Leary
578287	258887	Gabby Finn
578287	280005	Janine
578287	283420	Jenny's Mother
578287	309489	Mrs. Dorothy Watson
578287	360723	Nice Lady on Plane
578287	379142	Victoria
578287	385824	Marie Horton #1 (1965-1968, 1
578287	389858	Charlene Simpson (1987-1991)
578287	394676	Mary Robeson (1992-1993)
578287	401930	Charlene Simpson (1999)
578287	404613	Stephanie Wilkins Wyatt #1 (1
578288	391508	Karla/Chatterbox
578289	362512	Choir Member
578290	61667	Mother
578291	38900	Gina
578291	291266	Receptionist
578292	127059	Khédija
578292	285810	Salha
578293	139360	Hostess
578294	179905	
578294	197592	
578294	261665	Sonun
578294	309364	
578295	205159	1e Contadina Natale
578296	203600	Spanish Maid
578297	335192	
578298	120480	Lupe
578298	150191	Herself (Hostess)
578298	197866	Herself
578298	257653	Herself (Miss March)
578298	257818	Miss August 1994
578298	301161	
578298	361853	Herself
578299	527	
578299	12651	Laura
578299	292969	
578299	338691	
578300	56079	Gigliola's Mother
578300	256650	
578301	376218	
578302	175955	Friend of Elo
578303	305559	
578304	124846	
578304	294990	Lidka
578305	247042	
578306	43885	Amber
578306	144623	Mary
578307	55588	Alexandra
578308	68927	Le vendeur de fiches de paie
578309	133163	Véronica
578310	175855	
578311	285500	Woman Tuareg
578312	338114	
578312	385043	
578313	212141	Jandira
578314	106228	
578314	349816	
578315	118166	
578315	222378	
578315	253779	Newscaster
578315	381131	
578315	382942	
578316	23421	
578316	79677	Mariya
578316	101036	French Beauty
578316	291150	Mrs. Halsey
578316	291779	
578316	312801	Lady Anne Boyle
578317	199752	
578317	321522	Anne
578318	175788	
578319	383895	Reporter (2001- )
578320	369727	Chinese Teacher
578321	255567	Houria
578322	27003	Tammy
578323	27003	Ruby
578323	63046	Betty
578323	168695	Shirley
578323	209433	Candy
578323	301741	
578323	308584	1st Old Woman
578323	403316	Ma
578323	406188	
578324	137566	Defence Team Solicitor
578326	49945	Judy
578326	78839	Darcy
578327	284003	Tammy
578328	14131	Mrs. Levinstein (Jim's Mom)
578328	14132	Mrs. Levinstein
578328	14230	Jim's Mom
578328	19303	Franny
578328	31735	Wanda Pinkerton
578328	42711	Divorcee (segment "The Gas St
578328	46431	Kate
578328	77575	
578328	80785	Jessie
578328	167015	
578328	193357	Mrs. Mancini
578328	206138	Jeanne
578328	267563	Mrs. Orfus
578328	305694	Penny
578328	311038	Society Woman
578328	314460	Abby Dougherty
578328	318800	Trish
578328	334171	Julie
578328	336140	Sherry Sanders
578328	384058	Megan Powers
578328	387295	
578328	388333	Bev Binsford
578328	390201	Mrs. Troutner
578328	391080	Nancy Henderson
578328	393107	Nancy Bancroft
578329	60285	Herself
578330	36703	
578330	105306	
578330	228010	
578330	266674	
578330	273223	
578330	366409	
578330	366985	
578331	39195	
578331	72801	
578331	75031	
578331	89791	
578331	312384	
578332	55054	
578332	257566	
578333	98473	
578333	204403	
578334	122166	Erina
578335	359744	Herself
578336	169372	Regina Brown
578336	292375	
578336	312342	Housewife
578336	336653	Wife
578337	1783	
578338	235491	Katie
578339	154379	Herself
578340	102183	Bodyguard
578340	105884	Pat
578340	185115	April
578340	185248	Cat
578340	194136	Tennis Client #2
578340	328128	Female Mercenary
578340	344498	Alex
578341	40800	The Drovers concert fan
578341	148205	Ticketing Agent
578341	164547	Yacht Club Gala Patron
578341	256332	Woman on sidewalk
578341	281382	Baseball Player's Wife
578342	209641	Joanne
578343	411941	Correspondent (1998-2000)
578344	6384	Simone
578344	379655	Mère Abd el Kader
578345	25523	Kate
578346	220682	Potential Customer
578346	238238	Girl with Refrigerator
578347	8308	
578347	8643	
578347	10546	
578347	20641	
578347	21367	
578347	79248	
578347	89427	
578347	89431	
578347	141670	
578347	176202	
578347	248948	
578347	270888	
578347	289279	
578347	308997	
578347	323692	
578347	374499	
578348	83361	Anne
578349	307485	
578350	326242	Bar Patron
578351	217841	La demoiselle de la chapelle
578351	337033	Lucie
578352	83230	Tatiana
578353	23874	
578353	72523	
578353	84661	Tante Irène
578353	112866	Madame Leclerc
578353	115582	
578353	126256	
578353	139285	
578353	166176	
578353	167189	Madame Vécart
578353	198626	
578353	205491	
578353	214881	Madame Grandier
578353	217663	Directrice d'un salon de mode
578353	268394	
578353	292359	
578353	296081	Madame Leroy-Gómez
578353	320012	
578353	336766	
578353	357036	
578353	376996	Madame Ledoux
578354	33629	Huguette
578354	58223	Arlette
578354	65798	Marie Dubois
578354	70825	Mme. Madeleine Jarnac(Laurent
578354	73171	Mignon Duval Jardin
578354	85184	Mlle. Blanche
578354	91079	
578354	111777	
578354	115537	Countess Marie/Dolly Lorraine
578354	147391	Christine
578354	154481	Annette
578354	167288	Claudette Grandet
578354	175674	Siska
578354	275642	
578354	306399	Nanette Michaud
578355	323333	
578355	349217	
578356	33835	
578356	63612	
578356	284485	
578357	105813	
578358	60502	
578359	95933	
578360	127451	
578360	266017	
578360	350790	
578361	400690	Carmen
578362	205510	
578362	262586	
578363	137063	Bride
578363	411133	Fara
578364	21730	Leila
578365	224048	
578366	213313	Dancer
578367	24832	Keranka
578367	293896	Maglena
578367	343415	
578368	320529	
578369	19328	La cuisinière
578370	168973	Orderly
578370	234677	Orderly
578371	316483	Jennifer Brahams
578372	342856	Caroline, daughter
578373	200443	
578374	327650	Woman
578375	401617	Herself
578375	401623	Presenter
578376	317303	Dejected actress
578377	368737	
578378	72532	
578378	168307	Girl in Bar
578378	190056	Miriam
578379	23949	
578379	131147	
578379	131945	
578379	147842	
578380	70839	Gina, la manucure/Gina, the m
578380	76842	Juana
578380	125409	
578380	159470	
578380	268991	
578380	310231	Elvira
578380	330246	Giuliana
578380	348174	Ulla Helger
578380	386571	
578381	11806	Zia Lia
578381	19825	
578381	38630	Zia Elisa
578381	57026	La Zia di Dora
578381	57853	La strega [The Witch]
578381	67496	La signora Alfonsina Martinel
578381	71295	Prison governor's wife
578381	77437	
578381	82917	Madama La Spanata
578381	102365	Gioconda Zappi Torriani
578381	108102	Adalgisa Brambilla
578381	111879	Donna Maria Di Stefano
578381	113703	La signora Nicocci
578381	127976	Amalia Bonotti
578381	161787	La padrona di casa
578381	199035	
578381	199444	La direttrice
578381	212599	
578381	214004	La moglie del avvocato
578381	243635	
578381	263632	Concetta
578381	269074	
578381	337506	Zelinda, madre di Armida
578381	348133	
578382	364982	
578383	377262	Sylviane de Granval
578384	394620	
578385	5000	
578385	273036	
578385	357333	
578386	102736	Mona (episode "Partners, The"
578386	124405	Mistress Chelsea
578386	182949	Moaning Woman
578386	302570	Fantasy Woman
578386	321027	
578386	372712	
578387	119096	Lucy
578388	6618	Félicie
578388	7249	
578388	10371	Madame Bouillot
578388	11936	Mme Duvernet
578388	51138	La voyageuse
578388	51427	Madame Rose
578388	55563	
578388	62567	Hortense
578388	63662	
578388	68363	La grand-mère
578388	68496	
578388	70496	L'hôtelière/Inn manageress
578388	85616	Le Surveillante Générale
578388	87902	Madame Cliston
578388	96036	Theo's Mother
578388	97070	La tante
578388	104241	Manou
578388	117952	La dame en bleu
578388	124608	Delegate
578388	134603	La marchande de journaux
578388	135327	
578388	153803	Charlotte Cachelin
578388	157179	La tante Eugénie
578388	187663	The Pianist
578388	208216	La dame à la boulangerie
578388	219461	
578388	223226	Madame Lacross
578388	236602	Madame Banalesco
578388	246292	Mère Joseph
578388	269215	Lea
578388	297448	Mrs. Barton
578388	300588	La magicienne
578388	307109	Mémé Zézette
578388	325343	Tatie Danielle
578388	336985	Gaby
578388	354097	La duchesse de Charance
578388	377857	Mme Argante
578388	380132	Mlle Parent
578388	384787	Une adoratrice de Cosmochrono
578388	386224	
578388	390491	Delphine de Nocé
578388	392371	Honorine
578388	400869	Une femme de la bande à Guéri
578388	402664	Tante Madeline
578388	404784	Blanche
578388	405929	Mme Tchourikova
578389	169328	L'infirmière
578389	273020	in Paris
578390	59093	Rafiki
578391	45899	Extra: market
578392	65686	
578392	132792	La dame Abidjan
578393	44337	Dee's Daughter
578393	58672	Melissa
578394	71835	
578395	101200	Young Djuba
578396	7239	
578396	17871	La vieille dame
578396	23648	Mme Robert
578396	83399	Mme Rouvet
578396	84593	La femme âgée
578396	134584	La dame au perroquet
578396	156299	
578396	219524	Mlle Génolin
578396	265797	La vieille dame
578396	306947	
578396	318515	
578396	325343	Madame Mauprivet
578396	336974	Mme Valance mère
578396	345558	La dame du cimetière
578396	346824	Yvette, la grand-mère de Loui
578396	356974	La mère de Delacroix
578396	380358	Mme Gallart
578396	390491	
578396	408486	Anaïs
578396	409536	
578397	12037	
578397	23691	Lucille
578397	24314	Simone
578397	133175	
578397	148771	
578397	170416	Césarine
578397	300739	Herself
578397	337260	Joseph's Sister
578397	346576	Sophie
578397	359752	La soubrette
578397	401319	Une infirmière
578398	110027	La vendeuse de jouets
578399	148715	
578400	18634	Mother
578400	394786	
578401	406378	Herself
578402	410740	Red Female Contestant
578403	322403	Aili
578404	44433	Woman Breaking Into CBS
578405	376053	Lily
578406	188350	Oriental Girl
578407	189132	
578408	99005	Hua Lee
578408	137650	Lily Moore
578408	165849	Weathergirl
578408	230663	Cheerleader
578408	278516	Sarah
578408	296107	Carissa
578408	312152	Processor
578408	339902	Jenika
578408	386236	Kazumi Takiura
578408	396019	Nina/Little Girl
578409	38247	
578409	141872	
578409	309395	Rin Bo
578409	371491	Zi Ling
578410	135023	Maria
578410	268728	Spring
578410	332345	Susu
578410	359018	Mindy
578412	268697	Woman agent
578413	120119	Extra counselor
578413	235618	Lunar Maiden
578413	343387	Proprietress
578414	146726	Maureen Chang
578415	18603	Lizzy
578416	14145	Gwendolyn Ichiban
578417	148036	
578418	136083	Sarah
578419	63012	Patty
578420	10727	Chrissy
578420	138630	Mandy
578422	332312	Cigarette woman
578423	140828	Lili
578423	149011	
578423	268736	Xiao Fang
578424	94407	Gu Ying
578424	298331	Wang Minyue
578425	110600	Xiaolan
578425	296573	Liang Yin
578426	381079	Janine Kishi
578427	141933	Shantian Yangzi
578428	24875	Madame Ong
578428	41238	Kidda
578428	86780	Young m.j. player
578428	96522	Ling Ti
578428	130768	Marilyn
578428	137173	Huang Si Hua
578428	141388	
578428	141605	Mama
578428	149053	Wang Jiao-Rui
578428	152929	Kirina
578428	169885	Ilsa
578428	185241	Empress Wan Jung/Elizabeth
578428	216654	
578428	232229	Mai Wing
578428	240473	Masu
578428	251931	Tour Guide
578428	262617	Camilla Jones
578428	268782	Shen Yamei
578428	285297	
578428	289092	Ma
578428	296775	Vanessa
578428	314247	Nicole Loa
578428	316296	The Girl
578428	317707	Su Xiaomei
578428	319091	
578428	323114	May-May
578428	342048	Minou
578428	342549	Jocelyn "Josie" Packard
578428	342552	Jocelyn "Josie" Packard
578428	360760	Noelle
578428	362493	Trinh Nguyen
578428	365430	Virginia Chow
578428	369673	Zhao, Xiaohua
578428	372255	Princess Scarlet/Violet
578428	375367	Shirley Kwan
578428	384088	Jin-Juan
578428	409210	Jocelyn 'Josie' Packard
578429	379480	Zhao Fengzhi
578430	188486	Sarah
578431	381909	Host
578431	383699	Herself - Anchor (1999-2002)
578431	387227	Herself - Host (2002-)
578432	323733	
578433	216641	Xiao Lu's Mother
578434	28832	Policewoman
578434	76848	Rebecca
578434	90558	Macy
578434	108469	Athena
578434	168031	
578434	198593	Policewoman
578434	240592	Mok Man-Yee
578434	275193	Aoi
578434	303395	Luna Ng
578434	332342	Chai Lam
578434	350189	D's Mother (HK version)
578434	358023	Blue Szeto
578434	369055	Dr. Lee Sum Yee
578434	369057	Dr. Lee
578434	369617	
578434	369693	Madame Trunk (Cantonese versi
578434	389393	
578434	400271	Lin
578434	408600	Uranus
578434	408601	Uranus
578435	8735	Father
578436	313975	Li
578437	122075	Jean
578437	248136	Receptionist
578437	274501	Kim Lee
578437	385465	Vanessa Lee
578438	126606	Lapdancer
578439	237783	Violin Player
578439	366585	Little Chinese Girl
578440	331723	Self
578441	135648	Aunt
578442	199943	La cantatrice
578443	279843	Desperate Woman
578443	330518	
578443	384088	
578444	76839	Li Yufang
578444	194092	Madam Meizi
578445	159886	Innkeeper's wife
578445	288441	Sister Mary
578446	151957	Wang Yumei
578447	178114	Hooker
578448	189203	Teacher
578448	341388	
578448	391783	Mo Wanwan
578448	397357	Xia Xianghe
578449	213504	Girl in Cafeteria
578450	1445	Herself
578450	1468	Herself
578450	21295	Herself
578450	21296	Herself
578450	58893	
578450	87983	Herself
578450	87985	Herself
578450	145641	Herself
578450	226635	Herself
578451	411680	
578452	191991	
578452	289092	Vivian
578452	348396	DJ Night 1
578454	120015	Grace
578454	371011	Mina
578455	207238	Irate bather
578456	298390	Yu Huiying
578457	196671	Luana
578458	274037	Phone Clerk
578459	373679	Su-Yun
578460	393496	Old Grandmother
578461	127309	
578461	316590	
578461	326830	Mui Ee
578462	88771	Girl #3
578463	333394	Chinese Waitress
578463	397693	Putty Patroller
578463	411324	Princess
578464	308557	Band
578465	141871	Chen
578465	268652	Chia Chia-Yi
578465	287333	Singer
578466	117442	Hana
578467	370863	Shanghai Palace singer
578468	116549	
578468	186431	Cashier
578469	371092	Yvonne Fritsman-Fong
578470	36726	
578470	77903	
578470	95288	
578470	111215	
578470	123586	
578470	131260	
578470	151902	Lucy
578470	152028	Ta Hung Hua, Teng Sie's daugh
578470	167756	
578470	178097	Chu Ling
578470	183628	
578470	192470	
578470	231335	Big Brother's Wife
578470	254970	
578470	287030	
578470	298717	Meng-ping
578470	342779	
578470	351758	
578470	360706	
578470	372181	
578471	85503	Li Mei
578471	268622	Mother
578471	319295	Dou Jinlian
578471	369588	Black Rose
578471	371457	Ye Xiaoye
578472	251108	Flower Boat Girl
578473	86267	Lady Shen
578473	214602	
578474	96555	Herself
578475	347421	
578476	311916	Chinese
578477	48435	Ticket Woman
578477	95042	Qiqi
578477	108560	Ju-feng
578477	135712	Little Doctor's fiance
578477	140805	Girl
578477	217265	Anyi
578477	231279	Shiang-chyi
578477	276352	Lin Qing Qing
578477	332353	
578478	194083	Little Girl
578479	137871	
578479	175001	Herself
578479	179347	
578479	180770	
578479	246208	
578479	254847	Nehama Tzalmon
578480	153562	Tutorial Mate
578481	138220	Ofglen #2
578482	16644	Theatre Nurse
578482	110443	May Po
578482	240682	Journalist #2
578484	9145	Faye
578484	10805	Mari-chan
578484	107044	Mrs. Chang
578484	113416	Vietnamese girl
578484	127148	Val
578484	140490	Char Nyuk Tsin
578484	183662	Lien
578484	248113	Lisa
578484	331341	Janice
578485	381091	Herself (eliminated round 2)
578486	183951	Doron
578487	117570	Lan Lan
578487	212503	Michelle
578488	366099	Tanapag mother
578489	167043	Ima Yorenot
578489	181833	Mrs. Chu
578490	110594	Windy
578491	168	Yang Qiong
578492	286988	
578493	393496	Wu Yitai
578494	110669	Dan
578495	305375	Chinese Student Club Member
578496	167462	
578497	167462	
578498	76832	Xia Xuelan
578498	110589	Fanglin's Wife
578498	167430	Long Zhumu
578498	189135	Madam Ma
578498	298699	Yan Fang
578498	323097	
578499	108467	Yuhua
578499	369866	Zhou Quin
578500	77179	Xiang Ding
578500	189120	
578501	77498	Lu Wenfeng
578501	141904	Ye Hongye
578501	153039	Cian
578501	369563	Cian
578502	373022	Feng Ya
578503	374710	
578504	8791	
578505	282806	Li Guifang
578506	402555	Xia Yin Chun
578507	31261	
578507	65560	Madalena
578508	15032	
578509	307755	
578510	83379	Cathy
578510	249677	Stéphanie
578510	346526	
578510	393279	
578510	403474	Elise Lassalle
578511	70495	
578512	194209	Bit Part
578513	13758	Sheetal
578514	356802	Grenade Chick
578515	108086	Cocktail Waitress
578516	99138	Prosecuting Attorney
578517	256332	Soccer kid
578518	381828	Correspondent (1989)
578519	19505	
578519	125648	
578519	357128	Lotochnitsa
578520	240288	Louise
578521	13567	Sweatshop worker
578521	133845	
578521	146062	
578521	265854	Spectator
578521	282453	Diner
578521	329451	
578522	123063	Soubrette
578522	375077	
578522	397473	Various characters
578523	21075	Chica/Girl
578524	23979	
578525	280016	Additional Party Guests
578526	378062	Une actrice
578527	249053	
578528	377999	
578529	174636	Une élève
578529	301401	
578530	129918	
578530	354854	
578531	175241	Rosa Overbeek
578531	328677	Herself
578532	166917	Idealized Kissing Wife
578532	265594	Skeete's Wife
578533	241244	Video Store Patron #4
578534	98819	Herself
578534	385292	Co-host
578535	407549	Nancy
578536	150927	
578536	315466	
578536	411522	Surin
578537	43931	Amy
578537	190173	Liz
578538	13859	Street Girl
578539	107069	Chinese Girl
578540	25910	Do-Do
578540	36465	Cheng Shih-Nan
578540	36466	Cheng Shih-Nan
578540	36467	Cheng Shih-Nan
578540	36468	Cheng Shih-Nan
578540	39020	Nan
578540	60556	
578540	61070	Ling-Ling
578540	63301	Tseng Hsiao-Yu
578540	75229	
578540	76286	Becky
578540	76828	Miss 'Coffee' Ho
578540	94289	
578540	106786	Rebecca Leung Ha-Ching
578540	110622	Ada
578540	127124	Carmen
578540	135469	
578540	136878	Diana
578540	138626	Mimi
578540	152026	Shang Fan-Tung
578540	152105	Jessica Lau
578540	153052	Li Fan-Hua
578540	172206	
578540	209898	Nurse Ng
578540	212640	
578540	236286	Lynn
578540	252091	Tracy Siu
578540	284724	Judy
578540	287022	
578540	297732	
578540	298342	
578540	298381	
578540	303403	
578540	326315	Shirley Ho Shih-Ling
578540	367110	Firefly
578540	369081	
578540	369098	Snow White
578540	369546	Petty Lee
578540	374946	Miss Bowie
578540	376066	Lok Ka-Kay
578540	404621	
578540	411703	Yan So So
578540	411881	Host
578541	372205	
578542	326617	E.B.
578543	10670	Dr. Yang's Assistant
578543	93532	Woman in hall
578543	107043	Po-Po
578543	107044	Mrs. Mar
578543	245265	Korean Grocer
578543	361475	Mrs. Liu
578544	14180	Girl Student
578545	189183	
578546	63473	To
578546	358907	Miko
578547	304048	Anchorwoman
578548	327021	Peggy
578548	341732	
578549	267101	Herself
578550	214112	Sumuru Guard
578551	355242	Herself
578552	268622	Geng Li
578552	300611	Liu Ye
578553	38196	Wai
578553	63291	May
578553	110625	
578553	116648	Siu-Hon
578553	138629	Ping
578553	147313	Koko
578553	184325	Ellen Fong
578553	236500	Susan Yang
578553	284723	
578553	340482	
578553	367167	Sandy Kwong
578553	369699	Irene Leen
578553	374962	
578554	29164	Kung Tse-Sam
578554	60409	Faye Ching
578554	76303	
578554	76407	Golden Swallow
578554	94369	
578554	108469	
578554	110632	
578554	116176	Liu Ru Yuen
578554	131252	
578554	150927	
578554	151897	Golden Swallow
578554	151908	
578554	183769	
578554	193939	
578554	193986	
578554	196667	Joe's Mom
578554	200244	
578554	268635	Ching
578554	268754	
578554	268755	
578554	280112	
578554	296764	Red Goddess
578554	298337	Chiao-Chiao Su
578554	308600	
578554	311321	
578554	324338	Madam Wah
578554	332532	Shao Ying
578554	358909	Gambling Teacher
578554	367149	Jade Fox (Mandarin version)/B
578554	369051	
578554	369628	
578554	371632	
578554	371924	Wing Chun's martial arts mast
578554	372995	
578554	374743	Sam's mother
578554	374912	Chung Kuei
578554	380799	Herself
578554	411326	Mother of Feng Pobu
578555	76585	Krystle
578555	163053	
578555	404049	Ruella's Sister
578556	25932	Cherrie
578556	25933	Yen
578556	25935	May
578556	110591	Heidi
578556	122689	Mi
578556	131341	Kinki Kwok
578556	136867	Summer
578556	152810	Candy Yip Yuk Fun
578556	158368	
578556	197135	Carrie
578556	217138	Yau
578556	231226	May Ho
578556	239145	Cindy
578556	300043	Mini Mo
578556	341732	Siu Tong
578556	369055	Mary
578556	369057	Mary
578556	369105	Wu Yen
578556	383833	Buddha Goon Yum
578557	185241	Lady Hiro Saga, Pu Chieh's Wi
578558	1152	
578559	108467	Wei's Wife
578560	316760	Bar Patron
578560	355028	The Academy's Blessed 'Virgin
578561	200470	Female Tourist
578562	103372	
578563	26705	Girl on Swing
578564	95297	Xiao Hong
578565	371595	Koko Morimoto
578566	121937	La tante
578566	278707	Mme Chen
578566	353912	La mère de Juliette
578567	102273	A Yuk
578567	136326	
578568	110020	
578568	209897	
578568	373014	Ti Yuk-Xiang
578569	367782	Smiling Woman
578570	117073	Hélene
578571	38248	Rebel Leader
578571	209210	Zombie
578572	339428	Herself
578573	158056	Lady Eichling von Amrum
578574	176882	Pam the limo babe
578575	99493	
578577	104616	Herself (Spanish entry) (Winn
578577	104777	Spanish Backing Vocal
578577	123445	Little Girl, Little Boy, Stud
578577	125494	
578577	244222	Chenoa
578577	387897	María Laura
578577	400341	Herself (2001-2002)
578577	408914	Herself
578578	2907	Karl-Alfred's office clerk
578578	178743	Elisabet Heijken
578578	209311	Anna
578578	344377	Lady in Waiting
578578	353042	Waitress
578579	349421	
578580	410652	Herself (White House secretar
578581	72861	Herself
578582	315889	Fila Woman
578583	350337	Carhop #2
578584	303765	
578584	319202	Nurse
578585	2762	Performer from musical "Steel
578585	2779	Herself
578585	2788	Herself
578585	2798	Herself
578585	2816	Nominee for Best Performance 
578585	17751	Lily
578585	22183	
578585	33054	Herself/Marian Paroo
578585	35605	Marie
578585	169203	Herself
578585	175544	Herself
578585	223066	Marian Paroo
578585	256260	Cherie
578585	272424	Rapunzel
578585	335892	Patty
578585	393022	Herself
578585	394845	Kristin Yancey
578585	395229	
578585	400829	
578585	404897	Ms. Noodle (2003-)
578586	217640	Religieuse
578586	398158	Marie
578587	156312	
578589	12114	Nun #1
578590	201155	Evtukh's Sister-in-law
578591	61945	
578591	126895	
578591	131283	
578591	204115	
578591	236774	
578591	239162	
578592	128940	
578592	157076	
578592	371234	
578592	371793	
578593	350	Gallagher's Girl
578594	61091	
578595	160982	Amazon
578596	261310	Gasharova
578597	404870	
578598	846	Herself - #23: Bad Hair Days
578598	1188	Herself
578598	1975	Herself
578598	2572	Herself - Co-presenter: Best 
578598	2721	Herself
578598	2888	Herself - Best Actress Winner
578598	2893	Herself - Presenter: Best Pic
578598	3021	Herself - Past Winner
578598	4592	Herself
578598	7586	Herself/Host
578598	7592	Herself
578598	13784	Performer
578598	23228	Herself
578598	23922	Herself/audience member
578598	47169	Performer
578598	59970	Chastity
578598	60679	Herself
578598	60680	Herself
578598	60681	Herself
578598	60682	Herself
578598	60683	Herself
578598	60684	Herself
578598	60685	Herself
578598	60700	Herself
578598	60701	Herself
578598	61861	Maquilladora
578598	63106	Herself
578598	66136	
578598	67791	Sissy
578598	68108	Herself
578598	84457	Herself (with Sonny)
578598	96555	Herself
578598	99602	Herself
578598	104730	Herself - Woman in ABBA-clip
578598	107576	Margaret
578598	115105	Herself
578598	131647	Herself
578598	132849	Herself
578598	138717	Herself
578598	147640	Herself
578598	154399	Herself
578598	155888	Dr. Beth Thompson (segment "1
578598	158387	
578598	169959	Herself
578598	207132	Florence 'Rusty' Denis
578598	211529	Rachel Flax
578598	212716	Herself
578598	218848	Loretta Castorini
578598	228301	Herself
578598	232017	Herself
578598	232810	Isadora
578598	243950	Herself
578598	252390	
578598	257689	Herself
578598	266419	Herself
578598	270247	Storyteller
578598	273492	Herself
578598	282537	Herself
578598	282702	Performer
578598	301855	Dolly Pelliker
578598	308848	Co-Host
578598	308849	Herself
578598	314778	Herself
578598	317309	Herself
578598	320263	Kathleen Riley
578598	326383	Elsa Morganthal Strauss-Armis
578598	333548	Herself
578598	352687	Herself/Half Breed/Rachel Fla
578598	352977	Herself/Performer
578598	352978	Performer
578598	353439	Herself - Performer
578598	365372	Herself
578598	366761	Alexandra Medford
578598	369449	Herself
578598	384014	Herself - Host
578598	400800	Herself/Guest
578598	405948	Herself/Various Characters (1
578598	405949	Herself - Co-Host
578599	84005	
578600	207637	
578600	411680	Hagit
578601	72877	ADA Wilson (segment "Possessi
578602	195632	
578603	325995	Stacey
578604	208115	
578604	211117	Marina
578605	390105	Herself
578606	60534	Nastya
578606	89981	
578606	180165	Njura
578606	239910	
578606	253562	Nina Grekova
578607	321043	
578607	392911	Mme. Vasseur
578608	121013	Scandalmonger
578609	12815	
578610	30785	
578610	262176	Zhenya
578610	327129	
578610	357465	
578611	91212	
578612	361237	Ajsha
578613	63612	
578614	259059	Lena
578615	88445	Yuliya
578616	88084	Marianne, l'amie de Bobbi
578616	193508	La femme de chambre
578616	201162	Ariel's Mother
578616	202090	Madame Calvino
578616	225768	
578616	377050	Claire
578617	259212	1 m 37
578618	187802	
578619	131988	Fifth Go-Go Dancer
578620	72061	
578620	350216	Biker
578622	2429	Lesbian Woman
578622	26118	
578622	37432	
578622	50377	
578622	50789	
578622	102826	
578622	127403	
578622	150177	
578622	171010	Caucasian 18yr Old Girl
578622	219149	
578622	233739	
578622	250560	
578622	266185	
578622	333988	
578623	1556	
578623	11612	
578623	20685	
578623	26123	
578623	30977	Iceberg Lounge Singer
578623	46348	
578623	108644	
578623	110476	
578623	160240	Herself
578623	217814	
578623	291279	
578623	310662	
578623	357145	Audtioned Lady
578623	363505	Priya Varghese
578624	2150	Aerobic Video Girl
578625	336601	
578626	20625	Extra
578627	138961	
578628	162734	
578630	188225	Herself
578630	278169	Client
578631	7470	Mme Bentaoui
578631	52390	La mère de Nejma
578631	64950	Aïcha
578631	80174	Bouboule's mother
578631	96080	La mère algérienne
578631	146419	La mère de Slim
578631	176837	Mme Baamri
578631	208830	Mère de Karim
578631	236568	
578631	249678	(segment Poitiers, voiture 11
578631	255567	Mere de Djemila
578631	255583	La Bernadette
578631	258983	Zohra Tahraoui
578631	286313	Tante Adjia
578631	312259	La mère de Yasmine
578631	389762	Nadia
578632	316363	Arab
578633	380259	Katy Betts/Smart (1978-1981)
578633	387247	Debbie Wilkins (1985-1987) Or
578633	395565	Kate
578633	402901	Naomi Grant
578634	375116	Bride
578635	59977	
578636	82812	
578636	244133	
578636	313620	Barbara Stepanovna, the teach
578637	394620	
578637	394752	
578637	399195	Devushka v rajzdravotdelo
578637	404577	Prostitute
578638	186246	
578639	25708	
578640	253739	
578641	149114	La secrétaire du ministère
578642	204223	
578642	212141	
578642	275304	
578642	344804	Rosinha
578643	70703	
578644	149518	
578645	70703	
578646	242515	Sacre Fromage
578647	263690	
578648	217274	
578649	351506	Miss Hennessy
578650	194144	La passante
578650	387650	Aurélie
578651	256853	
578652	208080	Helena
578653	217596	Adzhara, stara tziganka
578653	226000	
578654	304720	Zhivka
578655	103565	
578656	11280	Paige
578657	107861	Judy
578658	157785	Veta Markley
578658	161422	Woman No. 1
578658	204741	
578659	390917	Roobot
578660	291272	Ketti
578661	48831	Novia Gurú
578662	264974	Seller at the Photo Shop
578663	141577	Woman Manager
578663	142402	Liz
578663	204890	Approving Lawyer
578663	240941	Day Care Owner
578664	168289	Len's assistant
578665	26207	
578665	132082	
578665	179819	
578665	244477	
578665	305216	
578665	352051	
578665	374174	
578666	356042	Patricia
578667	211444	Svetlana
578668	357331	
578669	181184	
578670	212623	Grandma Lil
578671	297637	Sherry
578672	89733	
578672	207566	
578672	230059	
578672	356481	
578672	374734	
578673	4983	
578673	12805	
578673	164013	
578673	293956	
578673	356907	
578674	322886	Samantha Steadman
578675	114145	Teacher #2
578675	147972	Reporter #4
578676	82800	
578676	229082	
578676	238825	
578676	343391	Marina
578676	399371	
578677	211884	
578678	60476	The Bureaucrat's Wife
578678	174669	
578678	249150	
578679	3112	
578680	256694	
578681	396239	Lejtina
578682	182036	
578683	95575	
578683	95642	
578683	95683	
578683	154566	
578683	198121	Sasha
578683	305539	Nadya Voronova
578683	356913	
578683	374061	
578684	83333	
578684	356121	
578685	318660	Vera Dubovskaja
578686	32504	Sasha
578687	266173	
578688	259880	Strelochnitsa
578688	261689	
578688	313529	
578689	226012	
578690	238105	
578691	63583	
578691	196769	
578692	83162	
578693	56036	
578694	283781	
578695	131183	
578696	179325	
578697	34608	
578697	94038	
578697	265840	
578697	349255	
578698	767	
578698	7746	
578698	11475	
578698	37792	
578698	75060	
578698	103905	
578698	168070	
578698	168072	
578698	172688	
578698	196360	
578698	223686	Herself
578698	234439	
578698	304005	
578698	355909	
578699	75558	Mrs. Thyroid
578699	292019	Cindy
578701	44238	Bordello Vampire
578701	358663	Lap Dancer
578702	139817	Samantha
578703	139817	Samantha
578704	20878	Mother of Arsena
578704	88353	Wife of Telemak
578704	175955	Khanuma
578704	228189	Ekaterine Dadiani, queen of S
578704	243491	Magdana
578704	268578	Old woman
578704	268611	Granmother of Qeto
578704	298273	Hila
578704	354632	Jupana
578705	88794	(segment "A Suspeita")
578705	189309	
578705	248746	
578706	323658	
578707	46893	Dolly
578707	56647	Jean Low
578707	106811	
578707	189529	Mrs. Chisholm, Andrew's secre
578707	241849	Audrey Cuttle #1
578707	337759	Chairman (segment The Compose
578707	348314	
578707	358661	Mrs. Hartley
578707	395317	Alice Simister
578707	395526	Evelyn Dyer
578708	280412	Romina
578708	383138	Lucía 'Lucy' Escobar
578708	384119	Milagros 'Mili' Urién-Pereira
578708	384120	Milagros 'Mili' Urién-Pereira
578708	388884	
578708	390504	Camila
578708	397731	Gisela Vargas
578708	400073	
578708	401152	Shamira
578708	403107	Paola
578708	405916	Anita (2003)
578708	409957	Violeta Herrera (1998-1999)
578709	216707	Pool Girl
578710	375942	Zoé as a child
578711	2250	Cashier
578712	166360	
578713	46076	Angela
578713	59350	A Blind Girl
578713	59621	Barbara Winterslip
578713	64833	A Blind Girl
578713	82350	Diana Van Bergh
578713	109536	Virginia
578713	128654	Joan Madison
578713	140757	Eleanor Rogers
578713	147799	Herself
578713	183393	Society Girl
578713	185825	Janet
578713	217975	Linda
578713	236503	Miss Rutherford
578713	340579	June Elkhardt
578713	347324	Herself
578713	362358	Sandra Worthington
578713	363853	Lucille Cheney
578714	302793	Counter Girl
578715	1281	
578715	2150	Aerobic Video Girl
578715	16654	Bit
578715	18540	
578715	25479	
578715	25868	Sedley Guest
578715	32983	Bit Part
578715	37540	
578715	39195	
578715	41044	Passenger
578715	41085	Housewife of America
578715	57173	The Old Woman
578715	60302	Mrs. Crandall
578715	75033	
578715	75195	
578715	87386	
578715	92883	Dowager
578715	100213	Mrs. Hilton
578715	107688	Dowager
578715	123160	
578715	128468	Large Woman
578715	141278	Mrs. Gordon
578715	142500	Herself
578715	154712	Dowager
578715	159921	
578715	183443	Dowager, Mrs. Ryan
578715	193744	Mrs. Crenshaw
578715	199318	Swedish queen
578715	200156	Duenna
578715	205453	Dowager
578715	224015	The Mother
578715	231990	Dowager
578715	237818	Dowager
578715	243136	
578715	278071	Miss Hemingway
578715	278607	Club Woman
578715	295293	Dowager
578715	297970	Old maid saleswoman
578715	301841	Dowager
578715	302632	
578715	315123	Large Woman
578715	315993	Matron
578715	330411	
578715	335634	Mrs. Smythe
578715	342873	Stout lady
578715	348825	
578715	360579	
578715	372819	Woman
578715	386616	Danielle's dog
578716	31950	Ava
578717	84801	Paapa
578717	152694	
578719	23919	Herself - Honeyz
578719	249590	Performer
578720	105469	Eva Peron
578720	105470	Narrator
578720	122019	Mother
578720	163619	
578720	219796	First Lady
578720	296814	Margie McGee
578721	343201	Masseur
578722	139798	Herself
578722	207502	Narrator
578723	910	Lady Anne Bolding
578723	6144	Moira
578723	16990	Lillian Portway
578723	40849	Ruth Condomine
578723	56603	Bess Trent
578723	59456	Lady Scarlett
578723	69273	Mrs. Strang
578723	72018	Mary Courtney
578723	81606	
578723	84958	Countess Cosimano
578723	115592	Julia
578723	127122	Mother Superior
578723	128261	Lady Alice
578723	138119	Miss Stock
578723	139041	Evelyn Carlson
578723	144809	Louise
578723	145899	Lady Kirkman
578723	185316	Miss Mellows
578723	206090	Mary
578723	219381	Helen Armstong
578723	226912	Miss Osborne
578723	229728	Miss Elizabeth Temple
578723	233673	Miss Godfrey
578723	330234	Wilhelmina
578723	331312	Lady Mountdrago ("Lord Mountd
578723	333183	April Grange-Gorman
578723	335321	Robbie
578723	367670	Sybil
578723	372788	Mary Banning
578723	390758	Herself/panelist
578723	395322	Marcia Loraine
578723	405969	Older Sophia
578723	406673	Fenella Laird
578724	117478	Herself
578725	339388	Court Reporter
578725	345959	Court Reporter
578726	273824	Martha Whipple
578727	153650	Sexy Girl
578727	324020	Rosalie
578728	22732	
578729	45873	NonSex
578730	21523	The Chaperone
578731	336106	Helen, Mrs. Courtland's house
578732	743	
578732	13867	
578732	18614	
578732	25234	
578732	32556	
578732	39287	
578732	50527	
578732	50562	
578732	50895	
578732	54935	
578732	70922	
578732	91627	
578732	92355	
578732	105897	
578732	113145	
578732	120217	
578732	123612	
578732	123613	
578732	123759	
578732	128811	
578732	128880	
578732	136250	
578732	139249	
578732	139250	
578732	139251	
578732	142374	
578732	147770	
578732	149401	
578732	152902	
578732	160150	
578732	160770	
578732	161087	
578732	187168	
578732	188043	
578732	195543	
578732	195566	
578732	208291	
578732	219764	
578732	229795	
578732	238268	
578732	257315	
578732	263778	
578732	267517	
578732	279368	
578732	283310	
578732	283311	
578732	299949	
578732	340460	
578732	344527	
578732	345613	
578732	346106	
578732	353737	
578732	370027	
578732	372558	
578732	372560	
578733	563	Herself
578733	278786	Herself
578733	352687	Herself
578734	355028	The Academy's Blessed 'Virgin
578735	389191	Reporter
578736	78915	Girl in Photo #2
578737	15887	Ensemble Vocals
578737	105280	Nurse
578737	241795	Back-up Singer
578737	358604	Choir Singer
578737	367054	The Wiz Singers Children's Ch
578737	401740	Pokemon Jukebox Singer
578739	155754	
578740	199765	Herself
578741	273498	Receptionist
578742	45507	Pretty Girl
578743	234012	Erotic Dream Woman
578743	380838	Notera
578743	383032	
578743	385395	
578743	389489	
578743	396830	
578743	397733	Sol
578743	401209	Host
578743	404993	
578744	102734	Aggie (segment "Party for Two
578745	359425	Model
578746	68900	Dame Ragonde
578747	194938	Villager
578749	6089	Alya
578749	36471	Neyna Neviana
578750	60881	
578751	213167	Swan Lake Ballet Dancer
578751	270404	Ballerina
578752	10870	Troll Bag Lady
578752	92249	Cocktail Waitress
578752	143831	Nurse
578753	351531	
578754	1390	Swimming Girl (at U-boat peri
578754	56462	Girl
578754	97342	Ed Sullivan
578754	130829	
578754	132061	Mime artist
578754	132529	Sally
578754	163478	
578754	164432	In Suit Performer
578754	165961	First Victim/Swimming Girl
578754	210741	Family Mom/Locker Alien
578754	213466	Other Gorilla
578754	346142	Flying Monkey
578755	9128	Bonnie Stern
578755	13619	Young Pidge
578755	16058	Carla Fuller
578755	25382	Candra's Younger Sister
578755	58898	Lisa
578755	107846	
578755	194278	Little Theresa
578755	210481	Darcy Dummar
578755	244926	Rebecca Gibbs
578755	292786	Young Andrea
578755	293040	Janie Dawson
578755	316028	Lucy Brown
578755	319255	Jill Hayden
578755	383429	Young Bernadette
578755	388344	Julie Mae Holvak
578755	406958	Jill Hayden
578756	365560	Extra
578757	331658	Drinker
578758	221218	Courtyard Mother
578758	299193	Canteen Lady
578758	349582	Hot Pot
578758	387225	Joan
578759	196355	Woman
578760	89335	Herself
578761	35811	Maud
578761	114997	
578761	317205	Frail Sister
578761	367632	Helen
578762	405048	Vox Pop Woman
578763	59105	Sally
578763	243934	Young Lucinda
578764	3334	Tzveta
578764	30600	
578764	84478	
578764	88517	Katya
578764	90153	
578764	145746	Dimitrova
578764	174321	Magda
578764	180645	Vdovitzata
578764	357173	Malyakova
578765	127563	Shevea
578765	369186	Frances
578766	408447	Sissie Potter
578767	160219	Barb
578769	187977	Sarah
578770	169859	Lee Ann
578770	236163	Tina
578770	257772	Alexa
578770	289314	Lee Ling-Ling (Manga Entertai
578770	308827	Girl without Flat
578771	141305	Marci
578771	157571	Patsy
578772	55815	Emilie
578772	59743	La Fille d'Octave
578772	66726	Charlotte
578772	249677	La petit fille au vélo
578773	59743	Copine de Bélise
578774	217676	
578775	197063	
578775	215003	Jerome's wife
578775	225617	
578776	100533	Barbina Bertini 2 ans
578777	401321	
578778	153617	Woman on boat
578779	30157	Mrs. Figg
578779	127481	Barmaid
578779	133723	Mrs. Judson
578779	142669	Hilda
578779	149224	
578779	177592	Molvina MacGregor
578779	191189	
578779	195731	Gladys
578779	202859	
578779	222459	Mrs. Moresby
578779	222820	Nurse Supervisor
578779	276163	Mrs. Fellows
578779	280098	
578779	296774	Mrs. Carter
578779	297105	Purple Woman
578779	308337	Mrs. Peck
578779	317183	Charlady
578779	318195	
578779	320890	Landlady
578779	331716	Maid (segment "The Surgeon' s
578779	335826	Miss Prentice
578779	360626	
578779	367560	Mrs. Bassett
578779	388210	Sybil Finch
578781	81640	
578782	194564	Conference Parent
578782	221324	Mrs. Fitzgerald
578782	265742	Woman Doctor
578783	192344	School Girl
578784	159806	Alyonka
578785	296422	Herself
578786	606	Party Guest
578786	70302	
578786	117188	Dr. Rubin
578786	118981	Herself
578786	147612	Helen
578786	183377	Julie
578786	294509	Margaret Porter-Mills
578786	297246	A Page
578786	313441	Yeoman
578786	326800	Audience Woman
578787	300180	Finalist Dancer
578787	329522	Wisconsin Dancer
578788	278470	Bad Girl Gang
578789	318812	Sybil Wilson
578790	127292	Agnes
578791	232031	Rafia
578792	69171	Herself
578794	365396	Party Guest
578795	396090	Girl with Pony Tail
578796	67774	Dino Basher
578797	128633	
578797	133920	
578797	291008	
578799	33745	Martha
578799	72262	Ma Simpson
578799	85067	Bit Part
578799	94609	Martha (the housekeeper)
578799	110363	Mrs. Wheeler
578799	132793	Janitor's Wife
578799	146781	Owner's Wife
578799	186789	Mrs. Hewitt
578799	223032	
578799	239845	Mrs. Rance
578799	243217	Matron
578799	249267	Mrs. Jameson
578799	297968	Lois
578799	319073	Ma Stoddard
578799	362677	Abby Simpson
578800	331655	Chicago girl
578801	99159	Mrs. Elliot
578802	66279	
578802	222986	Rachel Howells
578802	327242	Miss Barker
578803	333120	Person of the Day
578804	126513	2nd Woman
578805	391079	
578806	44498	Gallery Woman
578806	178906	Officer #2
578806	190518	Model
578806	305917	Fran
578806	344486	Streetgirl
578807	147877	Stephanie Andrews
578807	364090	
578808	6690	
578808	26445	
578808	46706	
578808	54904	Marion de Lorme
578808	74231	The factory owner's wife
578808	115704	
578808	120810	Undetermined Role
578808	169147	Undetermined Role
578808	187286	The Adventuress
578808	191976	Gabrielle D'Ornay
578808	214101	
578808	214102	Susan
578808	215630	Mrs. Worth Courtleigh
578808	220100	Lady Dolly
578808	246514	Kathleen Lorraine
578808	265436	The Nurse
578808	293786	Della
578808	302924	Madame D'Orville
578808	315108	Lady Hermione
578808	347515	Mae Forsythe
578808	351693	Hindu Wife
578809	242093	Waitress
578810	256083	
578810	288933	Little Old Lady
578810	378976	Grace
578810	385299	Nora Bowen
578810	392019	Liz Derwent
578810	395194	Sylvia's Mother
578810	410580	Mavra
578811	57296	Daphne Brook
578812	143172	Mrs. Ewing
578813	57489	Talona
578813	139582	Janie Gibbs
578813	192172	Becky
578813	298076	Girl #2
578813	314501	Michelle
578813	390998	School Child #3
578813	400209	Annie (1999-2000)
578814	37290	
578814	79404	Dorothy, the Sheriff's Daught
578814	82705	Lady Lilah Grey
578814	109572	
578814	117104	Jean McLean (Angus' daughter)
578814	119875	The Sheriff's Daughter
578814	137509	Lucy, a Pioneer
578814	159085	Briar Rose
578814	207957	
578814	245299	
578814	274209	Lucy Bowen
578814	276349	Clara Boyd
578814	299931	May Selvige, Tom's Wife
578814	325996	Jess
578814	338312	
578814	350508	Mrs. Royal
578814	363198	
578814	370622	
578815	409841	Little Rose
578816	178140	Fantasy girl
578817	56618	High Court Stenographer
578818	2115	Cynthia
578818	16907	Wendy
578818	304015	Carla
578818	304540	Alice
578819	275453	White Girl #2
578819	313069	
578819	400236	Alana Brickner (1992)
578820	403101	Adeline
578821	205749	Sophie
578822	144869	Girl on Mace's Arm #2
578823	17868	Singing Girl
578824	389186	Herself - Substitute hostess
578825	68351	Fouad's Mother
578826	343780	Fiona
578827	393790	Sgt. Naidoo
578828	40212	
578829	26247	
578829	82259	
578829	85151	
578829	91199	
578829	198129	
578829	293902	
578829	350729	
578829	357649	
578830	353845	
578831	167851	Ching Po-Chu
578831	198592	
578831	239146	Fung
578831	326016	
578831	340616	Girl in Temple
578831	340617	Liu Ah Yee
578832	106793	Office Girl
578833	174778	
578833	288243	Po
578834	94435	Fanny
578834	152342	Crystal
578834	175768	Ho Wai-Yee
578834	194086	Cindy
578834	239142	
578834	284731	Coffee
578834	340608	Sun
578834	370755	
578834	373102	Miriam Ling
578835	190037	Coke Party Girl
578836	323100	Tai Tai
578837	16563	Yee/Yuriko
578837	60123	
578837	62189	Wonderful
578837	62520	Piu-Piu
578837	63371	Didi
578837	63374	Boey
578837	76419	Lee Fung Yee
578837	90558	Saori
578837	107387	Failan
578837	136328	Harmy Bobo
578837	184744	Mandy
578837	185808	Yan
578837	191553	Nancy
578837	192467	Bai Yutong (Mulitcoloured Mou
578837	216400	Tina Chow
578837	216638	
578837	218036	Siu Wai
578837	231224	Moth Liu
578837	297543	Jeannie
578837	300389	Dawn/Enigma
578837	302604	Yuki
578837	303399	'Dragons' Male Soccer Player 
578837	369105	Enchantress/Yinchun
578837	369837	Autumn Yue
578837	386242	Mee Mee (HK Version)
578837	408601	Miyabi
578838	249377	
578839	233006	
578840	1152	
578840	216664	
578840	275570	
578841	17346	Danser
578842	274067	Grace
578842	279871	Grace
578842	306744	Kari Mills
578843	410920	Vancouver Host (2003-)
578844	222429	Elizabeth
578845	10535	President Wattana
578845	18963	Dr. Saphir Tan
578845	62015	Chung Shing
578845	67571	Next Pin-up of the Month
578845	213186	Su Yin
578845	215858	
578845	232311	J.J.
578845	240471	Su Yin
578845	251865	Jackie
578845	277635	Oriental temptress
578845	333340	Sunshine
578845	334158	Jan
578846	98936	Herself
578847	29464	Cat
578847	42235	Yung's Wife
578847	61041	Hung
578847	76840	
578847	122685	Grace
578847	137167	Tse Yuet-Ling
578847	192457	Nurse
578847	254947	Mindy Li
578847	255872	
578847	268728	Gun
578847	341705	
578847	358906	Jennifer
578847	368073	Tailor's Daughter
578848	369614	Sheng Nan
578848	373682	Flora Cheung
578849	154591	
578850	305367	Sharon
578851	4970	CJ
578851	35239	Stephanie Vandergosh
578851	193246	The Crew
578851	207941	Teenager
578851	394161	Sara
578852	110587	
578853	105620	
578854	8780	Porsche
578854	149008	Pidan/Black Beauty
578854	152023	Mainland China Officer
578854	167787	Mrs. Shaw
578854	369600	
578854	369624	Girl in Opening Sequence
578854	374752	Lin
578855	367110	
578856	53	Yesan
578856	1759	slz1960
578856	3378	Su Lizhen
578856	8738	So See-Dai
578856	8815	Li Hung
578856	24168	Ling
578856	27808	Rose Chin
578856	48439	Huang
578856	58456	
578856	60556	
578856	61460	Proprietess
578856	62106	Jean
578856	62192	Green Snake
578856	62194	
578856	65448	Emily Wang
578856	95190	The Woman
578856	95192	Chat/Thief Catcher
578856	106790	Mrs. Chan, nee Su Li-zhen
578856	110604	Bibi Cheung
578856	110626	Tammy Cheung
578856	121099	
578856	127775	May
578856	127776	May
578856	135947	Yueh-Feng
578856	136066	Jade Li
578856	138626	Dancer
578856	141925	Maggie
578856	149006	May
578856	151996	
578856	152135	Chu Hsiao-min
578856	162306	Maggie Cheung
578856	167366	Polla
578856	167408	Ho Yok 'Holiyok'
578856	167819	May
578856	172222	Tsui Pan-Han
578856	175757	Cheung Hueyin
578856	188842	
578856	190914	Annie Ma
578856	192449	Nancy Cheung
578856	209925	Rose Wong
578856	216632	
578856	227242	
578856	268671	Jacky Chuck
578856	268790	
578856	268791	
578856	275582	Lee Fung-Jiau
578856	284724	Cameo appearance
578856	287023	
578856	287041	Coco
578856	292973	Imperial Master
578856	295244	Olive Cheung
578856	298340	Flying Cat
578856	298381	
578856	298392	Cat
578856	300401	Diana
578856	300405	Barbara
578856	308570	Soong Ching-ling
578856	332290	
578856	332313	Qiao Li
578856	367113	
578856	368074	Ngor
578856	369098	Princess Tin-Heung
578856	369599	Thief Catcher Chat
578856	369714	
578856	369794	Jade King
578856	369813	Maggie
578856	371485	Ellen
578856	371615	Flying Snow
578856	371629	Jenny Lin
578856	371921	Cameo appearance
578856	373055	Tsai-Hung
578856	373103	
578856	373104	Ruan Ling-yu
578856	373675	
578856	374688	Hsien
578856	374737	
578856	374819	Annie
578856	374974	Ching Siu Nam/Viet-Nam Rose
578857	3244	Carmen
578857	28827	
578857	29457	Wind Yip
578857	60556	
578857	61070	Mrs. Hung
578857	62141	
578857	91539	Dream Lo
578857	94400	Janet
578857	94401	Yau
578857	94402	Yee Mong 'Beautiful Dream'
578857	94437	Yee Mong
578857	110593	Purple Yuen
578857	110605	Ying/Crazy Chicken
578857	150721	Mandy
578857	151955	Siu-Sin
578857	168034	Chi Siu-Lin
578857	170016	Eva, Supreme Ruler of the Mar
578857	184618	
578857	187757	Suki
578857	189500	Peggy
578857	196643	Empress Dowanger/Lone-er
578857	196644	Lone-er (Cameo)
578857	203117	Min/Yuen Chuen
578857	210969	Min
578857	216399	Yu-Shang
578857	216636	Winnie Shen
578857	236245	Nightingale Wong
578857	266664	Miss Shen
578857	298340	Big Bewitchment
578857	298710	Mrs. Ha
578857	324735	Lam Moon-Shang/Dreamy
578857	324736	Miss Chang
578857	324737	Miss Ho
578857	324738	Miss Ho
578857	324739	Man
578857	368064	Ti Yi-er
578857	369098	Black Widow Ninja
578857	369108	Pak Yu-Shun
578857	369109	Hsiun
578857	369110	
578857	369711	Jelly Fish
578857	369726	Ying
578857	369762	Princess Kau
578857	369787	Mandy
578857	369812	Purple
578857	370605	Mandy
578857	371513	Yan So So/Chao Min
578857	371518	
578857	372991	Moon
578857	374685	Mandy Wong
578857	374816	Fanny
578857	374825	
578857	374975	Mandy Tan
578857	374979	Ching
578857	376061	Ying
578858	214112	Sumuru Guard
578859	379357	Amy
578860	374703	
578861	117520	Nicely's Girl Friend
578862	236246	
578863	43143	Susie
578863	123714	Carol
578863	174778	
578863	217138	Kwai
578863	255020	Funny
578863	297543	Clara
578863	368093	Shana
578864	138669	Chinese Restaurant Hostess
578865	143959	
578865	184611	
578866	47874	
578867	178227	Political advisor
578868	3261	K.K.
578868	15276	Cici
578868	16564	
578868	29466	
578868	48234	
578868	62183	Lisa
578868	62189	Selina Li
578868	135485	Pinky
578868	136329	Miss Cheng
578868	137310	Coke's mother
578868	138315	
578868	138630	Nurse Karen Shek
578868	141934	Jess
578868	153043	
578868	175768	Chi
578868	197135	
578868	287338	Jess
578868	293469	
578868	298406	The Ghost
578868	302604	Tank Lady
578868	358234	
578868	369188	
578868	373102	
578869	63371	
578870	105620	
578871	410920	Vancouver Host (2003-)
578872	269045	Chinese girl
578873	131341	
578874	152023	
578874	207574	Wei
578874	287025	
578875	170022	Xixie Meizhizhi
578876	318697	
578877	344564	
578878	175756	Maid
578879	216664	
578880	224620	
578881	359019	Feng Yu-San
578882	280835	Ruthi
578883	20067	Nurse
578885	5741	
578886	75940	Moana
578886	153146	Reri
578886	322817	Reri, the Girl
578887	35366	Mrs. Hmilton Hines
578887	37575	Mrs. Trent
578887	132360	Mme. Felice
578887	176406	Extra in wedding scene
578887	207153	Mrs. Massington
578887	240631	Mrs. Calder
578887	362338	Countess Bonaco
578887	372112	Mrs. Morton Danforth
578888	346521	Masseuse
578888	377736	Fille billard
578889	95514	French Girl
578889	142489	Tiffany's Mother
578889	232357	Rachel
578889	234929	Mary Beethoven
578889	278001	Rosita
578889	315585	Cosmo's Secretary
578889	390523	Mme, Sylvie Lefevre (1996)
578890	43423	La fille de l'érudit
578890	101547	Prostitute
578890	166565	Lady in Court
578890	277726	
578892	63651	
578892	206056	
578893	261850	
578894	254052	Une ogresse
578895	749	La mère de Bernard
578895	66565	
578895	106205	Ministry receptionist
578895	146954	
578895	286109	La pervenche
578895	337019	La fonctionnaire
578895	356501	La responsable du supermarché
578896	139791	Comet Receptionist
578897	353840	Colette
578899	286040	Arlette
578900	204473	Baby
578901	12365	La fermière qui fait de l'her
578901	43703	Louise
578901	54359	
578901	57284	
578901	64274	Louise
578901	88845	
578901	100166	La grand-mère de Gilbert
578901	100353	
578901	111073	Maid
578901	123719	
578901	133090	Petit rôle
578901	135334	
578901	148658	La bonne
578901	151668	Cleaning Woman
578901	156300	Mme Luchin
578901	161703	Olympe
578901	200575	Une villageoise
578901	201183	La plongeuse
578901	201205	
578901	205437	Feline
578901	217237	
578901	218448	Une curiste
578901	229044	Madame Courtin
578901	240284	La réligieuse
578901	249739	La secrétaire
578901	251532	La vieille fermière
578901	254016	
578901	254082	Mme Vautrin, la vieille dame
578901	261841	La mère de Louis
578901	269222	Madame Levenes
578901	278709	La vieille dame
578901	283654	Parque#2
578901	286317	
578901	287322	Concierge Kotz
578901	309720	La belle-mère
578901	322581	La vieille voisine
578901	341546	Miette
578901	345381	La concierge
578901	345403	La mère Lecogne
578901	346740	Interrogated lady
578901	347566	La bonne du Père Antoine
578901	348318	Marie
578901	349421	
578901	357020	Amélie
578901	376956	
578901	377648	
578901	377726	
578901	378866	La veuve (ep.2)
578901	384744	Mme Dubois
578901	384787	Une adoratrice de Cosmochrono
578901	391928	
578901	393486	Justine
578901	395259	
578901	395620	La fermière (segment "Guillau
578901	400681	
578901	402531	La vieille dame
578901	406196	La concierge
578901	409602	
578902	73467	
578902	197572	
578902	243285	
578904	272533	
578905	231286	Entraîneuse 1
578905	261116	Claire Destours
578905	388689	Sabine
578906	15066	Julia
578907	194144	L'amie de l'accordeur
578907	282405	Sandrine
578908	25785	Eva
578908	38838	Madame Cabut
578908	45118	
578908	58548	Anne
578908	60521	Sophie d'Houdetot
578908	66733	
578908	69450	
578908	101249	Nicole
578908	116413	
578908	120989	Marie
578908	126015	
578908	157286	Mlle Béjart
578908	166565	Mademoiselle Contat
578908	198318	Catherine
578908	202084	Angélique
578908	257178	Kale Lackan
578908	263000	Jeanne
578908	280793	
578908	319805	Josette
578908	346552	
578908	353848	
578908	354825	Suzanne Delmas
578908	377793	Marie-Louise, la belle-soeur/
578908	380580	Annette
578908	385609	Blanche
578908	389880	Amélie
578908	393397	Annie Pinot
578908	398359	Constance Mozart
578909	195702	Young girl with flowers
578910	383371	Emmanuelle (2000)
578911	46967	Fragoletto
578912	118024	Julie
578913	73068	Religieuse italienne
578914	101170	Maitresse d'école
578915	7184	
578915	29669	Stomoxys
578915	123559	Airelle
578915	412276	Yannick au cinéma
578916	29669	Glossina
578917	122216	
578918	368314	Petty Marsh Secretary
578919	340116	American woman
578920	378858	Maude Pelletier
578920	383664	Claudine
578920	387668	Rosie Arpin
578920	395863	
578920	406029	Carmelle
578921	377598	
578922	349789	Jane
578923	339354	Jane Mellor
578924	302656	Singer
578924	345860	Squaw
578925	88063	Catherine
578926	222830	
578927	44433	Belle Gayle
578928	212193	Casting Director 2nd Session
578928	283006	Pick-up Girl
578929	19747	Claire
578930	41537	Suzy
578931	129575	Stacy
578932	53751	Nun
578932	80683	Eileen
578932	81134	Sylvia Mottram
578932	114603	Joan
578932	210240	Annette
578932	290739	Madame Creton
578932	310209	Vanessa Mitchell
578932	404134	Buddha
578933	282280	
578934	7622	Molly
578934	37065	Nadine, Brick's Girl
578934	52904	Woman in Theater Box
578934	58809	Roulette Player
578934	59620	Chorus Girl
578934	73348	Nora James
578934	74765	
578934	78528	Mrs. Marlin
578934	78718	Gwen Moore
578934	103221	Guest
578934	103780	French Secretary
578934	105329	Madeline Van Dorn
578934	109656	Tanya Serova
578934	110528	Gold Digger
578934	116527	Showgirl in Casino Number
578934	118525	Chorine
578934	128151	Mary
578934	128199	Miss Ulricks
578934	128392	
578934	129227	Grassie
578934	129810	First Angry Showgirl
578934	130973	Marie Gardner
578934	175647	Gwen
578934	178898	
578934	183409	Cynthia Tate
578934	185989	Silent Party Guest
578934	193264	Girl on Rum Boat
578934	194403	
578934	213174	Mae Krantz
578934	222688	Clara (Robins' secretary)
578934	224100	Indian squaw
578934	241424	Party Guest
578934	242110	
578934	251214	Margy
578934	251430	Undetermined Role
578934	254654	Manicurist
578934	273687	Kelly, alias Rita Houston
578934	278606	
578934	279426	Gladys
578934	280134	Party Guest
578934	280896	Jennie
578934	281163	Bit part
578934	282594	Lady in Waiting
578934	287179	Rose Porter
578934	299165	Dancing Teacher
578934	321854	Birdie Klauber
578934	324582	
578934	331452	
578934	331682	Helga's Friend
578934	338045	Countess De Marino
578934	362365	Actress Filming on Movie Set
578934	367441	
578934	367919	Woman Under Sunlamp
578934	368244	Showgirl
578935	276309	La secrétaire
578936	199078	Mabel Normand
578936	300609	Receptionniste Bien-etre soci
578937	249697	Cleopatre
578938	19468	Rosa
578938	52909	
578938	243283	Corinne Vannier
578939	388086	
578940	198567	Little girl
578941	218258	
578941	225377	Julie
578942	340950	Toy store salesgirl
578943	10662	First Hostess
578944	389130	
578945	129246	Susan
578946	131418	Dance in teahouse
578947	53208	Buffy
578947	234226	Prissy Lee
578947	297776	Woman #1
578948	313479	Jedi Rocks dancer (special ed
578949	257760	Dancer (Spikes' Fantasy)
578950	323100	Tai Tai
578951	296830	Tayarak 6 Months
578952	62060	
578953	86780	Linda Tam
578954	117656	Boutique Assistant
578955	86780	Mrs. Tam
578955	169594	Mrs. Chew
578956	58918	Amy
578956	86780	Geraldine Tam
578957	86780	Old m.j. player
578958	311654	Female Theatre Assistant #2
578959	153562	Maxine
578960	52063	Marie
578960	121359	Nurse Porter
578960	358007	Elton Birds Secretary
578960	370787	
578961	78839	Maggie
578962	229831	The widow
578963	33952	
578963	44022	
578963	84806	Jennifer Burns
578963	99983	Maya
578963	99985	Claire
578963	143747	
578963	163498	
578963	176937	Ser Moeum: Dith Pran's wife
578963	218698	
578963	228032	
578963	228725	Nakkai
578964	361240	Herself
578965	250713	Angela
578965	377925	Shelley
578965	387533	Christine Sharp/Sugden (1974-
578965	389180	Sgt. Sally "Hirondelle" Birke
578965	389858	Dorrie Fleming, R.N. (1977-19
578965	400049	Shona Cameron
578966	195327	Screaming Woman
578966	305710	Bambi
578967	11192	Vera
578967	186061	Rose Delgado
578968	217420	Vivienne
578969	4510	
578969	9324	
578969	25430	Tina Chippa
578969	184075	Gajendra Babu's daughter
578969	271427	Pratibha Sahni/Radha
578969	341695	Naina
578970	331704	Herself
578971	251522	
578972	27526	
578972	60872	
578972	85424	
578972	98521	
578972	135773	Masked Dancer
578972	137157	
578972	168438	
578972	211253	Dacait/Dancer
578972	211404	
578972	249662	Kamla (Rajesh's sister)
578972	270202	
578972	271711	
578972	281521	
578972	287919	
578972	297027	
578972	326963	
578972	370206	
578973	28735	Sachi
578973	33229	Kamal
578973	43542	
578973	165379	Chandika
578973	167466	Atar
578973	271508	Maid servant
578974	13825	Parent at Party
578975	199311	Geisha
578976	145434	Meme/Paljor
578977	196505	Buna
578978	196505	Chanda
578979	285597	La Femme du blessé
578980	201817	Host
578981	84516	
578983	94296	Nai Men
578983	98181	
578983	181836	Hu He Shuang Xing Cast
578983	297483	
578984	107752	Lisette
578984	109064	Narrator
578984	109942	Maj. Jo-May Soon (KGB)
578984	114632	Yoette
578984	275076	
578984	288243	Jo Ann Jefferson
578985	25906	
578985	62108	
578985	118397	
578985	269323	
578985	327696	
578985	332557	
578985	342815	
578986	76397	Xiao Sun
578986	152109	Liu Lan
578986	370830	Luo Bitao
578987	370889	Party extra
578988	369646	Newspaper vendor
578989	194971	Silver
578989	274381	Silver
578989	297698	Tania
578989	315466	
578990	39859	Tokai, Ambassador's daughter
578990	90882	
578991	62805	
578991	72540	
578991	85048	Owl's Mother
578991	116163	Lin Chin
578991	157150	
578991	162392	
578991	183727	
578991	279632	Sgt. Sara
578991	291732	
578991	297524	
578991	298668	Shao-hua Lu
578991	315618	
578992	93882	
578992	254147	Le médecin/Doctor
578993	208089	Panelist
578993	300527	Sexy Girl at Beach
578995	288352	
578996	164024	Mineko
578996	176600	Tour guide (on the bus)
578996	178417	Yoshie Kurata
578996	295127	Miyo
578996	394717	Mitsu Nango
578997	358838	Phil's daughter
578998	358838	Phil's wife
578999	54139	
578999	355708	
579000	72935	Fudor Sprite
579001	184612	
579001	219401	Herself
579001	383801	Herself
579001	384105	Herself
579001	384110	Herself (1966 speech, on tria
579002	59987	Mrs. Poon
579002	76420	
579002	231231	
579002	286903	Empress
579002	286972	Sue
579002	370610	
579003	342633	Ling Liu
579004	140990	Yorim
579005	215695	Flashback Wonton
579006	210314	Japanese Woman
579006	279073	
579006	348113	
579006	361005	
579007	60556	
579007	231235	
579008	105849	
579009	3645	Herself
579009	31109	Herself
579009	139798	Herself (descends stairs with
579009	252435	Herself
579009	383801	Herself
579009	384105	Herself
579009	410168	Herself
579009	411586	Herself
579010	63473	Fung
579011	334781	Iden
579012	234515	Nurse Woo
579012	280663	Red Team Player
579012	410628	Surya
579013	134154	Vietnamese Girl
579014	181839	
579015	243547	Lin
579016	51049	
579016	68417	
579016	287495	
579017	81519	
579017	248150	
579017	291558	
579018	73648	
579018	273148	
579018	339930	
579019	28827	
579019	92762	
579019	94470	
579019	94497	
579019	110625	
579019	143818	
579019	210120	Sam's Mother
579019	236279	
579019	268720	
579019	374973	Miss Yan
579020	94928	
579021	370509	
579022	87060	
579023	390442	Herself
579023	390444	Herself
579023	390445	Herself
579024	129991	Girl in Bust Stop 1
579024	202748	
579025	185955	
579025	270840	Gianna Caffi
579026	294391	Donna
579027	205588	Maria Zef
579028	8363	
579029	8835	Aida
579029	8837	Aida
579029	8841	Aida
579029	23566	Odabella
579029	135442	Mathilde
579029	138444	Manon Lescaut
579030	83454	Martina
579031	244120	Nurse
579032	263733	
579032	353056	
579033	68263	The Bride
579033	209387	Glauce's maid
579034	52187	
579034	129016	
579034	237012	
579034	246448	
579034	266177	(segment Antonio e Cleo)
579035	61156	Female Dancer
579035	310303	Gordy Girl #3
579035	407815	Herself (2002)
579036	32098	Pauline
579036	64106	Drewcella
579036	79043	The Widow
579036	80640	Nurse Elaine MacGowan
579036	80793	Interrogator
579036	105165	Travel Manager
579036	190480	Mrs. Thopson
579036	191688	Maria
579036	194212	Young Rosie
579036	214962	Radiographer
579036	235032	Halina
579036	293083	Grace McKinley
579036	340058	Casino Security #1
579037	100391	Copera
579038	189258	Sorella di Italia
579039	205887	Liliana
579039	295044	
579040	337459	Maid
579041	75237	Vjazemskaja
579041	127959	
579041	157983	Paquita
579041	193044	Teacher
579042	350343	Stunning Co-Ed Freshman
579043	342112	Giulia Salvemini
579044	355762	
579045	246416	
579045	251325	
579045	349544	Francesca
579045	384784	
579045	386430	
579046	9605	The wife
579046	10625	Ali-Baba's mother
579046	13491	Lali
579046	13492	
579046	19501	Sofico
579046	21868	
579046	24312	Tamro
579046	36546	
579046	42186	
579046	63592	Tsitsino
579046	69355	Mother
579046	79255	Nano Tavkelishvili-Shearer
579046	101449	Tamari
579046	125565	Zosia
579046	162674	Alice Postique
579046	173377	Manana's Grandmother
579046	176019	Mzeqala
579046	179724	A hetaera
579046	181409	Turvanta
579046	182308	
579046	214126	Valeria
579046	228540	Pupala
579046	248552	Mother in 'The Confession'
579046	253167	Sofiko
579046	271847	
579046	272733	Tasia
579046	289275	Poet as a Youth/Poet's Love/P
579046	341317	Sidonia
579046	352283	Vardo
579046	354195	
579046	356929	Herself
579046	370159	
579046	373630	
579047	351899	Clerk
579048	115182	Kitsurubami
579048	139476	Walküre 13 Communications #2
579048	209785	Saki Mimori
579048	394431	Arisu Fujisaki
579048	400053	Doremi Harukaze, Loyal Dog Do
579049	165695	Old Japanese woman
579050	384235	Karin Saeki (Akelon Agent)
579051	191397	
579051	286866	Nakoruru
579051	298981	Cham Cham
579051	394971	Mei (Pteraranger)
579052	169695	
579052	177098	
579052	241923	
579052	244501	
579052	244691	
579052	244692	
579052	294101	Princess Koyuki
579052	294102	
579052	299237	
579052	308895	Yoshie Todo
579052	334947	
579052	341287	Kimiko
579052	349167	Kunie
579052	359836	
579053	512	Yuki Aihara
579053	513	Yuki Aihara
579053	514	Yuki Aihara
579053	383107	Yôko Sasaoka
579053	384233	Fei Shinruu
579053	394175	Sakura Tsubaki
579054	237315	
579055	223212	Mary Gordon
579056	22618	Lily
579056	55808	Girl
579056	66924	Marty Fenton
579056	91959	Cynthia
579056	114283	Ron's First Woman
579056	126648	Liz Lambert
579056	142889	Newspaper Reporter
579057	198751	Patient
579057	202647	
579058	103746	Sidó
579059	278251	Herself
579059	385192	Herself
579060	140442	Iliki
579061	349750	Custódia
579062	102941	
579063	8283	
579063	15429	
579063	17665	
579063	17753	Annie's grandmother
579063	20212	
579063	25591	
579063	30790	
579063	38151	
579063	39044	
579063	50805	
579063	94894	
579063	117727	
579063	132068	
579063	133054	
579063	149651	
579063	154442	
579063	172311	
579063	173093	
579063	173094	
579063	175702	
579063	177258	
579063	190695	
579063	208541	
579063	231218	Nyora Patsay
579063	233682	Mrs. Nakamura
579063	237452	
579063	244615	
579063	300923	
579063	325327	
579063	333740	
579063	341536	
579063	341606	
579063	347967	
579063	355618	
579063	358524	
579064	78403	Copine de Vanessa
579065	20044	Diedra
579066	49786	Clara
579066	130053	Lonesome Lizzie
579066	203802	Jerry
579066	215538	Alice Joy
579066	234194	Sally Smith
579066	236493	The Ingenue
579066	241095	Patience Meredith
579066	252583	Sarah Keene
579066	277937	Cora Marthorn
579066	290355	Kitty Dawson
579066	360672	Marcia Hunter
579066	367513	Harriet Marsh
579067	169916	Naomi Lang
579068	235855	
579069	168356	Sadaki, Kyoko's clasmate
579070	30623	Nino
579070	32505	Eteri
579070	62859	Tina
579070	79620	Qetevan
579070	88367	Maria
579070	233038	Eteri
579070	243719	
579070	298652	Dodo
579070	341240	Mzia
579070	350102	
579071	221496	Tamar Shervashidze
579072	287960	
579073	212607	
579073	350102	
579074	233038	Mzia
579075	376214	Communications Servicewoman
579076	124808	
579077	104805	Lenoré/Miscellaneous voices
579078	104805	Madame Floozy/Miscellaneous v
579078	188030	Young Cosette
579079	342228	Herself
579080	75479	Soprano
579081	192712	Arguing Couple at Ralph's
579082	212103	SFRP Friend (Early-nighter)
579083	134465	
579084	487	
579084	5268	
579084	6738	
579084	10130	
579084	10223	Socorro
579084	13514	
579084	14409	
579084	14644	
579084	38275	
579084	51541	
579084	52745	
579084	53661	
579084	54723	
579084	55911	Poncia
579084	55941	
579084	56932	Rosario, la madre de Julia
579084	57698	
579084	61131	Angustias
579084	61204	
579084	63409	Doña Angelines, la esposa del
579084	71161	
579084	74350	Rosa
579084	74506	
579084	74558	
579084	75380	Clara
579084	75486	
579084	83457	
579084	88199	
579084	91171	Margarita, la prostituta
579084	91298	
579084	96262	
579084	100266	
579084	100393	
579084	100526	Florinda
579084	101118	
579084	104852	
579084	115043	Herself
579084	124705	
579084	132524	
579084	132689	
579084	135351	
579084	136149	
579084	140662	
579084	145219	Clara
579084	145254	
579084	152261	
579084	161562	
579084	166666	
579084	183063	
579084	184940	
579084	199817	
579084	205713	
579084	209034	
579084	210179	
579084	212351	
579084	213365	
579084	225607	
579084	233354	
579084	233901	
579084	233976	Mari
579084	233977	Charo, madre de Julita
579084	234340	
579084	235318	
579084	244609	
579084	246376	
579084	249804	
579084	269560	
579084	284213	
579084	292709	
579084	296450	
579084	296476	
579084	300638	
579084	300667	
579084	302279	
579084	307724	Doña Irene, vecina de Alonso
579084	309057	
579084	320212	
579084	339194	
579084	343724	Pilar
579084	347474	
579084	350144	
579084	351493	
579084	351831	
579084	353638	
579084	353656	
579084	355123	
579084	371692	
579084	371748	
579084	376656	Angelita
579084	376693	
579084	376720	
579084	376731	Duquesa Porfiria
579084	377894	
579084	383557	Toñi
579084	383558	
579084	387885	
579084	391640	Herself
579084	396575	Maru
579084	399487	
579084	404975	Angustias
579084	407517	
579084	409881	
579085	148053	
579085	351830	
579086	10124	
579086	111159	Clelia
579086	205960	Silvestra
579086	349422	Marta
579086	392739	Caterina Masi
579086	392740	Caterina Masi
579086	392742	Caterina Masi
579086	392743	Caterina Masi
579087	325076	Flipote
579087	339499	Sally jeune
579087	384912	Delphine
579088	3272	Margaret Weston
579088	51423	
579088	106071	Doris Randolph
579088	235545	
579088	362951	Amy
579090	358124	
579091	337019	La commère 1
579091	397200	Dame car
579092	64091	Wave
579093	140955	Pretty Girl
579094	390272	Golddigger
579095	15251	L'Ukrainienne
579095	340486	Woman on Train
579096	52390	Une employée de l'ANPE
579097	304618	Screams
579098	316961	Student Monitor
579099	123260	
579099	148836	
579099	152810	Fon Fon
579100	20458	Kelly McCanon
579101	309213	Selene
579102	181109	Teenager
579103	254954	
579103	287121	
579104	6297	
579104	183082	
579105	73651	
579105	199787	Luisa
579106	208711	
579106	318006	
579107	57825	
579107	67104	Cameriera college
579108	277811	Chiara
579109	58826	Herself
579110	160408	(segment "My Secret Moments")
579110	160418	Actress
579111	240071	Animal Shelter Assistant
579112	70325	Neighbour
579113	130310	Dentist's wife
579114	224879	
579115	101564	Guard
579116	47402	
579116	217285	
579116	357693	
579116	394750	
579117	100517	Javiera
579117	168666	TV Newscaster
579117	235929	
579118	125444	
579119	168822	
579119	175464	
579120	177701	Binja
579121	9470	Ukibashi Dayu
579121	167955	
579121	167956	
579122	122232	Chigusa
579122	170298	Okiku
579122	172299	Ohide
579122	172397	
579122	327380	
579123	59233	
579123	301156	Anissa
579124	333431	
579125	61106	Dolce
579125	88758	Pub
579125	91092	Nobita's mother
579125	384219	Kita Kosuke, Miia
579125	386630	Pyon-kichi
579125	390899	Julietta (Fiolina's sister)
579125	394031	Various characters
579125	396488	Haruko Hayashi
579125	396535	Apo Kanzaki/Kiran
579125	396536	Pochi
579125	404121	001/Ivan Wysky
579125	409327	Shima's Mother
579126	189224	Liu Su-Su
579126	189226	Chen
579126	286969	Nancy
579126	323101	Joanne
579126	373162	Tall Kau
579127	390731	Erika Tsukishima
579128	104272	
579129	298694	Maya
579130	7288	Freya
579130	26515	Sharon
579130	116884	Elaine Hardy
579130	355184	Gushy Assistant
579130	378865	Denise
579130	380708	Sasha Williams
579130	382846	Belinda Ofori
579131	374503	
579132	278337	
579133	411977	Larissa
579134	183665	Aulhe
579135	405131	Cassidy Mackey
579136	112811	
579137	236972	Toy Soldier
579138	79010	Additional Voices
579139	44356	
579140	350991	
579141	372034	
579142	228189	Maya, niece of Ekaterine Dadi
579143	175083	
579144	68916	Senhora Mulwane
579145	272719	
579146	53033	Ellen Lucas
579147	161870	Girl
579148	121580	Baroness de la Vailion
579148	189916	Mrs. Tannenbaum
579148	198474	Critic at Garden Party
579148	233521	Mrs. Holman
579148	338227	Trader's Wife
579149	401973	Mistress
579150	216890	Carolyn
579151	53794	Lola
579151	54959	Mrs. Grindel
579151	74215	Trendie
579151	97463	Hilda
579151	105101	Pottery Woman
579151	130409	Hospital sister
579151	245272	Mrs. Jilloway
579151	273085	Louise Cullen
579151	273610	Bea Miles
579151	279604	Training Exercise Woman
579151	308938	Matron
579152	24977	Herself
579152	256257	Bouncer
579152	314673	Amazon Lady
579153	245229	Woman in Bank #3
579154	231386	Dishwater/Blondie Group #5
579154	330794	Limo Groupie
579155	407185	Blousie
579156	2261	Herself
579156	38722	
579156	88028	Herself
579156	210637	Herself
579156	360507	Dr. Bleeb
579156	384948	Herself
579156	389341	Herself
579156	393877	Herself
579156	393879	Herself
579157	57878	Laura Flores
579157	124507	Ema
579157	156547	Alclid
579157	370053	
579157	383443	Mariana/Maria Claudia
579157	386790	Alexandra Buitrago
579157	390735	Natalia
579157	393901	La Zanahoria
579157	400667	Lina (1999)
579158	71777	Julie
579158	72469	Charge Nurse
579158	137577	Female Doctor
579158	138210	Shirley
579158	255274	Miss Lumley
579158	382613	Corrie
579158	389140	Mrs. Bibby (part II: 'Bush Sc
579158	392868	
579158	400991	
579158	402197	Anne Yates (1979)/Willie Beec
579159	203549	Older Hooker
579160	97223	Maria's mother
579160	158494	Cat Woman
579160	391251	Eileen
579162	291179	Sunshine
579163	398721	Co-host
579164	98149	Mrs. Olsen
579165	38021	Jet Skier
579166	65901	
579167	55520	Young Carolina
579168	294781	Homeless victim
579169	48566	Hippie Flute Player
579170	300195	Pool Girl
579171	199499	Pam
579172	331297	Flores
579173	115119	Lady Rathburne
579173	251190	Extra
579173	251862	Abdullah's Favorite Wife
579173	350460	
579174	60169	Mrs. Reynolds
579175	50905	
579176	77679	
579177	65901	
579178	187226	Anchorwoman
579179	39627	Noblewoman
579180	65901	
579181	229428	News Anchor
579181	236047	Anchorwoman
579181	263740	WBBM Anchor
579182	7839	Sally Reeves
579182	8211	
579182	14142	
579182	18066	
579182	20034	Rodeo Spectator
579182	23899	Phyllis
579182	40704	Harriet Santoine
579182	52659	Nurse Edith
579182	66791	Second Nurse, in Room
579182	71893	Jean Blackmoore
579182	79574	
579182	85075	Adeline St. Clair
579182	85653	Mother
579182	88190	Kitty Beresford
579182	94623	Olga Karakoff
579182	95480	Violet Manning
579182	96761	Caroline Desborough
579182	107390	Partner
579182	109933	Jeanne Howland
579182	116904	John Thursday
579182	124736	The Duchess of Strood
579182	126590	Gossiper in Park
579182	130676	Mrs. Tyler
579182	141238	
579182	147443	Beatrice Newness
579182	147916	Mary's Mother
579182	152525	Marguerite Hunt
579182	154652	Woman
579182	162866	Virginia Charnock
579182	164476	Gambling Club Patron
579182	176343	Miss Husar, Mayor's Secretary
579182	194439	Lady Algy
579182	194721	Matron
579182	195539	
579182	201067	Window Shopper
579182	203485	Hilma Lake
579182	203799	Secretary
579182	213453	Woman in museum
579182	214945	One of Dr. Jones' Patients
579182	220817	Enid Anstruther
579182	220818	Enid Anstruther
579182	221307	Nurse
579182	247564	
579182	263474	Constance Preston
579182	276286	Nurse
579182	276379	Mrs. Drake
579182	286929	
579182	296941	Doris Mathers
579182	315757	Courtroom Spectator
579182	316598	Olivia Guion
579182	317970	Jane Randolph
579182	324391	Margaret Lane
579182	329798	
579182	339376	Mrs. George Bannister, 1st
579182	341941	Helen King
579182	355218	Julia Livingston
579182	360834	Night Maid
579182	363853	Mrs. Cheney
579182	366889	Camerawoman
579182	367686	Undetermined Role
579182	367761	Jane Strong
579182	368370	Baroness Olga Amilahvari
579182	368908	Muriel
579182	375044	Duchess
579183	212613	Nurse
579184	56545	Herself
579184	115921	Elise
579184	184341	Katrina
579185	176940	Samantha
579185	281021	Helene
579186	348390	
579187	410769	Anchor
579188	14273	Deborah George
579188	273473	Waitress
579189	51639	Beautiful Wife
579190	304838	Yancy
579191	196038	Donna
579192	21448	Cafe 24 Waitress
579192	26293	Angela
579192	292015	Maeve
579192	297097	Cookie
579192	385895	Matilda Jane 'Mattie' Roberts
579193	270622	Polly's Mother
579194	303608	Mrs. Walters
579195	277948	Lorraine
579198	262589	St. Matthew's Choir & Band Me
579199	50510	
579200	210387	Girls' Group
579201	44855	Cathy
579201	253047	Randy's Mother
579202	33742	One of 'The Thirty Women'
579203	41733	Pharmacist
579204	26783	Mystery Woman
579205	131232	Extra
579206	293105	Adele
579207	40800	Margaret Tattersall
579207	86750	Anna Sage
579207	131567	Lamaze Instructor
579207	139135	Edna
579207	306042	Metal Gear
579208	190040	Herself
579209	131232	Maypole dancer
579210	131232	Extra
579211	131232	Extra
579212	131232	Extra
579213	41586	Herself
579213	67137	
579213	297334	
579213	346288	
579214	404694	Kate Lodge Ames (1962)
579216	136511	Stevie extra
579217	171211	Kathie
579218	25937	Johanna
579218	62989	Fan
579218	81588	
579218	206433	Jilly Mascall
579218	219249	Louise Gibbs
579218	277716	Joanna
579218	289615	Suzanne
579218	294216	Marianne Dashwood
579218	296668	Sheena/Angie
579218	298291	Penelope (age 20)
579218	323803	Pamela Harrison
579218	382531	Linda Cosgrove
579218	383428	Professor Vana (series 2)
579218	392200	Lynne Howard (1985-7,1990)
579218	393314	Georgiana Reed
579218	402138	Rose Stanley
579218	406660	Mary Harris
579219	61558	Zivia
579220	24430	Steamrolled Henchman's Wife
579220	26531	Bernice Holsten
579220	34646	Herself
579220	38761	Elsa Farber
579220	39340	Ada Bronnel
579220	40836	Eva
579220	43451	Herself
579220	47279	Jennifer Mack
579220	49952	Claire Morgan
579220	67665	Mrs. Nancy 'Nance' Greenly
579220	71896	Ruth
579220	72917	Annie Lansing (segment "The H
579220	75395	Katrina Brandt
579220	78871	Jessica Drake
579220	81239	Linnet Ridgeway/Doyle
579220	85998	Sheila
579220	105042	Susan's Mother
579220	133623	Jordan Baker
579220	158189	Claire Anzer--Marc's Mother
579220	160305	Herself
579220	165264	Dr. Holly Goodhead
579220	165265	Herself
579220	175469	Holly
579220	197730	Lucy
579220	218808	Dr. Holly Goodhead
579220	219590	
579220	223076	
579220	237904	Louise
579220	262959	Herself
579220	289222	Diane's Mother
579220	310728	Celeste
579220	321237	Leslie
579220	323843	Lita Nathan
579220	334762	Shelley
579220	342683	Virginia
579220	359499	Susan Baker
579220	360270	Carol Ann
579220	366653	Mittermonster
579220	385594	Holly Harwood (1982-1983)
579221	50965	
579221	300564	Uchitelkata vav vechernoto uc
579222	177660	Cute Mother
579223	120241	Mrs. Falcone
579224	198984	
579225	4694	Landlady
579225	56992	Mrs. Calvert
579225	137336	Tamazusa #1, Kamezasa (Englis
579225	141194	Irene
579225	218106	Jason's Mother
579225	221255	Lucille
579225	316206	Ms. Rudd
579225	367342	Manufort's Wife
579226	131232	Extra
579227	387569	
579228	177696	Maisha
579229	346537	Eleonore
579230	35838	
579231	161585	Herself
579232	223817	Marabenta Dancer
579233	245555	
579234	103843	L'avocate
579234	104210	L'hôtesse
579235	23221	Rosie
579236	108788	Jenny Lindstrom
579236	321335	Salesperson
579237	379424	
579238	132358	Drey's mother
579238	317202	Assata
579239	212051	Bartender
579240	77835	Belinda
579240	206310	Adrienne (the Count's daughte
579240	234929	Sarah Brightman
579240	240835	Marie
579241	214971	Reporter
579241	360615	Shadow
579241	366817	Helga
579242	330377	Patsy
579243	335689	Mrs. Bruner
579243	349689	Hardcore Waitress
579244	212051	Bank Teller #2
579245	128154	Maggie
579245	141550	Mrs. Roberts
579246	178020	Child
579247	209133	Salesperson
579247	230926	Ma Bang's Assistant
579247	236087	Wei
579247	255682	
579247	276240	Network Anchor #1
579247	293130	
579247	369058	
579248	178773	Reporter
579248	181408	
579248	208725	Woman watching TV
579248	236159	Krysia
579248	284077	Cpl. Czeslawa Kowalik
579249	244662	
579250	214009	
579251	54801	
579251	124124	
579251	279113	Anna
579251	349812	Indian Girl
579252	176988	Mayla
579253	10160	The Secretary
579254	109287	Jenavian Charto
579254	194996	Selena
579254	387210	Herself (1998)
579254	395968	Herself (1999)
579255	180789	Rika
579256	168356	
579256	373190	Gymnastic teacher
579257	360734	Partygoer
579258	256188	Pink Chiquita
579259	80602	Policewoman
579259	80782	Sandy the Newscaster
579259	82055	Ticket counter agent
579259	87896	Receptionist Tie Lyn
579259	331350	
579260	411522	Michelle
579261	10384	Street Walker
579262	203388	
579262	227278	
579262	371509	
579263	236972	Toy Theater
579264	298828	Daughter of Executed Criminal
579265	276249	National Newsreader
579266	1792	Miss January 1983
579266	111796	Miss Casablanca
579266	257849	Playmate
579266	257866	
579266	313189	Playboy Mansion Guest
579266	352693	Herself
579267	90316	Woman in Street
579267	214948	Nurse Meredith
579268	151895	Wei-wei
579268	208544	May Jean
579268	236275	Faye
579270	143989	Sandy
579271	8772	
579271	36427	
579271	94470	
579271	298672	
579271	369628	
579272	70972	Pvt. Lee
579272	218380	Cmdr. Pax
579273	278794	
579274	187078	Celeste (Chinese nurse)
579275	138161	Newscaster
579275	154446	Reporter
579276	235618	Lunar Maiden
579277	62957	Marionette
579277	126291	Herself
579277	339521	Herself
579278	74892	
579279	41657	Thomas' Receptionist
579279	46807	Lin Tang
579279	70411	Pitti-Sing
579279	73944	Det. Lisa Ishima
579279	86037	Madame Lu
579279	107109	Lin Tang
579279	130607	Ma
579279	159886	Sui Lan (first child)
579279	160319	Herself
579279	160990	
579279	161725	Nurse Lim
579279	169594	Lindo Jong
579279	193966	Hun Ping Wong
579279	200256	
579279	223652	Grandma Lee
579279	274037	Chairman Xu
579279	333840	Old Woman
579279	338808	1st girl in fight
579279	351732	Lin Tang
579279	354857	Primrose
579279	355060	Juicy Lucy
579279	361689	
579279	370520	
579279	372233	Chinese Girl (Hong Kong)
579280	82151	Chiu Suk-Ling
579280	268784	
579281	132247	Girl B
579282	150331	
579282	236265	
579283	278646	The Unknown Woman
579284	71479	Tea Worker
579284	74207	Mother
579285	124549	
579286	61353	
579287	301574	Nidia
579288	297290	Fanyana's Girlfriend
579289	34247	Selvi
579289	38825	Sali
579289	85458	
579289	122817	
579289	130074	
579289	152390	
579289	320349	
579290	111055	
579291	24141	Alunna
579292	48114	
579292	260174	
579292	288243	Lee Lai
579293	232979	
579294	195418	Allie
579295	149059	Wu Ching-hua
579296	299798	Girl at Theatre
579297	52934	Teresa Vong
579298	11946	Chili Girl
579299	195455	Chinese Woman
579300	180533	Ginger
579301	247954	Chow Yee
579302	2336	
579302	27805	
579302	29452	Yun Piau Piau
579302	36374	
579302	36430	
579302	58347	Shan Lin
579302	61045	
579302	62810	
579302	63282	Black Pearl
579302	63293	
579302	63373	
579302	76309	
579302	76329	
579302	76338	
579302	76390	
579302	76423	
579302	78589	
579302	86309	
579302	96516	
579302	138030	
579302	179947	
579302	181537	Yu Lan
579302	192469	
579302	192470	
579302	193923	Wong's accomplice
579302	198648	Chen's girlfriend
579302	216652	
579302	236283	
579302	268639	Ah Heung
579302	268645	
579302	286918	
579302	287045	
579302	291619	
579302	297540	
579302	298673	
579302	298704	
579302	300409	
579302	300704	
579302	323110	
579302	332610	
579302	334141	
579302	361343	Su-chen Wen
579302	369038	
579302	369076	
579302	369106	
579302	369107	
579302	369686	
579302	369704	
579302	369739	
579302	369861	
579302	370818	
579302	371511	
579302	371581	
579302	371614	
579302	373257	
579302	374954	
579303	296301	
579304	246923	Chinese Dancer
579305	149010	Saleslady at Market
579306	62184	
579307	130844	Sugar
579307	256215	Gang Member
579308	268750	Siu-Ching
579309	56937	Thanh
579309	61710	Thuy
579309	64842	Asian Woman
579309	66394	Madam Marshais
579309	72111	Chinese Model
579309	72290	Dr. Gayle
579309	107044	Mrs. Liu
579309	128478	
579309	128505	Phoen Yann
579309	129347	Madame Trac
579309	134028	Kieu
579309	137858	Mama San
579309	149941	Flor Aquino
579309	169594	Suyuan Woo
579309	188589	Chinese woman
579309	211758	Sister Thieu
579309	224024	Lu-An
579309	242713	Kim Chinh
579309	276708	Sai Luhn
579309	278626	(segment "Gold Mountain")
579309	327628	
579309	354136	Mallan
579309	361157	Leang
579309	362493	Grandma Nguyen
579309	370538	Kieu Chinh
579310	16921	Kako Umaro
579311	397458	Zoë
579311	407461	Marley
579312	205434	
579312	223968	
579312	277523	Herself - Band Singer
579313	104774	Belgian entry (12th place)
579313	222560	
579313	387952	Herself
579313	407173	Herself (1999)
579314	168299	
579315	47004	Runway Model
579315	133594	Gallery Guest
579315	260950	Zoli Model
579315	274805	Lawyer
579315	305390	Potter Party Guest
579315	336034	Photographer
579316	401382	Jane
579318	128505	Linn Yann
579319	14175	Jane
579319	30750	Tien's Girlfriend
579319	66598	Lucy Chang
579319	69045	Adraina
579319	79149	
579319	109564	Woman #1
579319	127247	Chang's girlfriend
579319	151633	Paula
579319	160885	Relater
579319	176981	Mother of baby
579319	188511	Ping's Mother
579319	249503	Sally
579319	270144	Cricket
579319	299798	Katherine
579319	314796	Megan
579319	318110	Mrs. Kojima
579319	324953	Gillian
579319	336475	Nurse
579320	290567	Jessie
579321	24484	Mrs. Woo
579321	120551	Mrs. Kim
579321	129369	Coat check girl
579321	192728	Costume Designer
579321	212837	Chinese Restaurant Owner
579321	272234	Woman on Street #3
579321	298127	Vesta Rose Woman
579321	309860	Bloody Mary
579321	362115	Bus driver
579322	406387	Whisper
579323	20625	Extra
579324	139306	Chinese Family
579325	10893	Sandy
579326	123445	Counter Agent, Scientists #2
579326	206618	Nadesico Crew C, P.A. Woman A
579326	394997	Violet Angel
579326	396548	Villager (eps. 5-6)
579326	402175	Judo Girl/Additional Voices
579327	122140	Chie Hanamura
579327	230139	Kyoko Nagoshi
579327	373185	Kikuyu
579328	339683	Singer
579329	171968	Nevena
579329	180217	
579329	242730	Second Hostage
579329	244624	
579329	253836	Tzetzka Milusheva
579329	264977	Zhenata na edin Priyatel
579329	303735	
579329	339236	Katya
579329	358169	Elena, Zhenata ot reklamata
579329	374169	Marta
579330	303558	Musical Daughter
579331	33927	Mona
579331	81272	
579331	164297	
579331	222282	Prostitute
579331	288242	Rajasthani Dancer
579332	263107	
579333	92325	
579333	211319	
579333	343806	
579333	350923	
579334	57284	
579334	71835	
579334	146405	Félicité
579334	261820	Gertrude
579334	268400	
579334	387039	Alice
579334	412246	Une femme du peuple
579335	218341	Tuppa Girl
579336	87928	
579336	185563	Madam Dupres
579336	209387	Wet-nurse
579336	313634	
579336	386745	Nina
579337	156564	
579338	112682	
579339	309807	Michelle Age 6
579340	72173	Jill
579340	158379	
579340	158692	Dion
579340	196894	Italian-speaking woman & Part
579341	72173	Caterer
579341	283538	Juror
579342	72173	Tina Kayroll
579342	158379	
579342	158692	Jason
579342	196894	Italian-speaking woman & Part
579342	267110	
579343	242790	Tommy's Half Sister
579345	250879	Gina
579346	214291	Herself
579347	22642	
579347	34570	
579347	57779	
579347	90061	
579347	202835	
579347	225041	
579347	243781	
579348	302190	
579349	31637	Bikini Audition Girl 9
579350	210805	O-Lan
579351	45129	Waitress
579351	404448	Sabine Pätzold (1 season)
579352	25216	Adelaide
579352	25781	Iolanda
579352	30153	Antonieta
579352	55362	
579352	96533	
579352	104018	
579352	124241	Didi
579352	125682	
579352	135268	
579352	202130	
579352	254240	
579352	285578	
579352	293388	
579352	377604	
579352	377606	
579352	386212	Jucelina
579352	388563	Leonor
579353	104497	
579353	277798	
579354	202044	Ella
579355	193409	Jessica Fallon
579355	208756	Little Girl
579355	263170	Terry Anderson
579355	316170	Scottish Daughter
579356	162892	Calypso Singer
579357	323390	Mingo Junction Cheerleader
579358	38599	Lady Rossiter
579358	163275	
579358	239740	
579358	283441	
579358	285047	
579358	285623	
579359	41757	Pam
579360	77795	Policewoman
579361	100118	Baalca
579361	213027	Topless Dancer
579362	305801	Galya
579363	45540	
579364	236150	Flight Attendant Robin
579366	4088	
579366	74977	Sylvia
579366	136835	
579366	146833	Thulasi
579366	171804	
579366	174434	Ganga
579366	214725	
579366	310225	
579367	243490	Lamara
579368	268578	Pati
579370	41942	Friendly Officer
579370	62300	Herself
579370	69003	Julieta, Nelly's daughter
579370	77084	Chiqui
579370	193706	Chiquita, Sugar's Horse
579370	352202	Chiquita
579371	63592	Nani
579371	136590	Mother
579371	200053	Kato
579371	303878	Lia
579371	375484	
579372	54199	
579372	63754	
579373	135535	Herself
579373	249074	Herself
579373	345048	Herself
579374	4522	Biman Dutta
579374	13145	
579374	30106	Deepanakar
579374	248124	Runaway's Mother
579375	388419	Soeur Marguerite (segment "L'
579376	104778	Maltese Entry (25th place)
579376	202528	Herself
579377	326712	Spider-eyed Girl
579378	107510	Chloe
579378	249053	
579379	80950	Jo Harris
579379	316726	Kathy
579380	302238	
579381	217023	Frida Kahlo
579382	13626	Berthe Gerstein
579382	19348	The commissar
579382	25133	
579382	121943	Mona
579382	213894	
579382	232625	Angela Tufaru
579382	328294	Norica
579383	79319	
579384	204184	Dancer
579385	127290	Birthday Party Kid
579386	269786	The Production Assistant
579386	310096	Girl in White
579387	179670	
579388	62807	
579390	21062	
579390	243971	
579391	76058	
579391	209944	Brigitte
579391	356521	Odile
579392	229424	
579393	43429	Zapa's Mother
579393	108132	Emilia
579393	222400	Rulo's mother
579393	229424	Madre de Rulo
579394	166179	
579396	20625	Extra
579397	394752	
579398	237221	
579399	287616	La régisseur du mas
579400	287616	Sa femme a la télé et à la le
579401	182154	Toshiko
579402	358394	Waitress at bar
579403	405640	Felicity 'Fliss' Sidebotham
579404	47421	Becky Click
579404	230354	Prostitute
579405	47421	Becky
579406	329484	Waitress
579407	365123	Jennie
579408	241418	Herself
579409	359351	Elvadine, Lidia's Best Friend
579410	139642	Shemp
579410	411617	Student (1999)
579411	272023	Nurse on Phone
579412	194145	Fighter
579413	3251	Performer/Herself
579413	23922	Herself
579413	23933	Herself
579413	47170	Performer/Herself
579413	48489	Herself
579413	68096	Herself
579413	78267	Herself - Presenter/Performer
579413	163623	Sporty Spice/Herself
579413	180826	Herself
579413	221417	Herself
579413	221424	Presenter
579413	230786	Herself
579413	241418	Herself (Sporty Spice)
579413	264079	Herself
579413	295295	Herself/Sporty Spice
579413	305488	Herself/Sporty Spice
579413	307670	Herself
579413	310980	Herself
579413	310981	Herself
579413	310982	Herself
579413	310983	Sporty Spice
579413	310984	Herself
579413	310986	Herself
579413	310987	Herself
579413	310988	Herself
579413	310990	Herself
579413	310991	Herself
579413	310992	Melanie C
579413	310993	Sporty Spice
579413	330027	Herself
579413	330028	Herself
579413	351368	Herself
579413	360143	Herself
579413	389721	Herself (Series 1) (2003)
579414	380430	
579415	34911	
579416	62347	Herself
579417	307854	Sam's Aunt
579418	76757	Moderen i fotoatelier
579419	231127	
579420	302748	Not Happy Girl
579421	57735	Woman in Tub
579421	117558	Bookstore Clerk
579421	207838	Teacher
579421	223978	Susan Sennett (Thomas J.'s mo
579422	267636	Samantha Hayes
579422	304356	Skye
579423	279755	Villager
579423	321632	Mrs. Weatherspoon
579424	222597	Rehearsal actress #4
579425	19024	Singer
579426	81973	Beulah
579426	148460	Teacher at Public School
579426	152838	Sarah
579426	206889	
579426	298120	Nurse Johnson
579426	401540	Mrs. MacTavish
579426	405073	Mrs. Mackay
579427	101637	Host
579428	68916	
579429	173576	
579430	370186	Krasovskaya
579431	82489	Ulyana Baymakova
579432	19187	Katrina
579432	205942	
579432	205958	
579433	390195	Herself - Reporter (May 2000 
579434	141936	
579435	300810	Tightrope walker
579436	351896	Checkout girl 2
579436	403376	
579436	405209	Waverly Wilson/Harrison (1994
579437	312356	Sonia
579437	328891	
579438	308889	
579439	22198	
579440	26865	Maureen Brown
579441	4174	
579441	4326	Baldev & Chandramohan's mom
579441	4404	
579441	4418	
579441	19937	Arundhati
579441	22106	
579441	25354	Mother
579441	25357	
579441	25666	
579441	25923	
579441	27471	
579441	29020	Beena
579441	30114	
579441	30543	Gopal's mom
579441	31372	
579441	36007	
579441	38190	
579441	59386	
579441	59392	
579441	60991	Chhaya
579441	60992	Chhaya
579441	61019	
579441	85408	Meena's Former Maid
579441	85449	
579441	86652	
579441	91477	
579441	95036	Nirmala's mom
579441	108987	
579441	121875	
579441	126946	
579441	126968	Arundhati
579441	127339	
579441	135509	Mother
579441	135873	
579441	135941	
579441	139386	
579441	152457	
579441	152470	
579441	160162	
579441	160738	Mrs. Mehra
579441	165005	Kanwal
579441	165006	Kanwal
579441	166500	Mrs. Tandon (Ashok's mom)
579441	167347	Gata
579441	172538	
579441	172553	
579441	173279	
579441	173337	Radha
579441	179349	
579441	201048	Rajni Khanna
579441	201272	
579441	204396	
579441	209864	Rajesh's mom
579441	217144	
579441	226756	
579441	227228	
579441	228851	
579441	228854	
579441	248559	Seema's mom
579441	254640	
579441	260128	Mrs. Singh (Balam & Gauri's m
579441	261463	
579441	263956	
579441	271436	
579441	285164	
579441	285825	Rani Sahiba
579441	287365	Dhaayi Maa
579441	287688	Ratnavali
579441	287689	Ratnavali
579441	288780	
579441	297743	
579441	300294	
579441	318423	Uma & Vijay Kumar's mom
579441	344250	
579441	358201	Princess Jayanti
579442	4174	
579442	13173	Chandrika
579442	16287	
579442	27650	
579442	62716	
579442	83741	
579442	84742	Subhadramma
579442	88489	
579442	88509	
579442	135678	Leela
579442	171849	
579442	197026	Sunil's Mother
579442	198731	
579442	199430	
579442	223698	Zaki's Wife
579442	226525	Susheela
579442	234862	
579442	238942	
579442	243860	
579442	264961	
579442	330658	
579442	335750	
579442	348941	Ambika
579442	375154	
579443	6360	Nikhilesh's sister
579443	174841	
579444	173673	Putkowa
579444	231644	
579444	258438	
579444	285944	Prostitute
579444	340029	Naomi
579444	374074	
579444	379864	Kolkowa
579444	380716	Barbara Brach (episode "Klopo
579444	385481	Alicja Konopko
579444	386654	Grazyna (1982)
579445	104455	Fátima
579446	364025	Danish School Girl
579447	87446	Heather
579447	204022	
579447	282961	
579448	254748	Dawn
579449	131504	
579450	254569	Bar Girl
579451	48493	Lead
579451	58946	Ellie Hill
579451	372339	Claire
579451	379650	Whitney
579452	28820	Jacky
579452	106785	
579452	117299	Helen Cheung
579452	121775	Li Yuen
579452	138626	
579452	297349	Fung Ching Ching
579452	371511	Zhou Zhi-ruo
579453	117554	
579453	213504	Nurse
579454	48234	
579455	315476	Daughter
579455	365452	Patty
579456	369056	Mary
579457	61129	
579458	284755	
579459	71138	Kim
579460	72935	Fudor Sprite
579461	127655	
579462	8779	Sean
579462	82145	
579462	117681	
579462	137151	
579462	297309	
579463	23588	Mina
579464	215517	
579465	62184	
579466	87184	
579466	236238	
579466	272579	
579466	353257	
579466	386223	Frau Weldon
579467	9076	Mrs. Urudu
579467	61519	
579467	71766	Mrs. Tabata
579467	154200	Wanjiku
579468	135270	Carla
579469	287489	Ada
579470	127943	Loreta
579471	127798	Mrs. Spretato
579472	196505	Veasna
579472	213105	Nikko
579473	55254	
579474	354058	
579474	391843	Vanya
579475	557	Sichan
579477	380798	Katie Braithwaite (Catherine)
579478	96186	Anna
579478	214006	Laura Gil
579479	50610	ButterCreamette
579479	50611	Regina
579479	203669	Young Jennifer
579480	380798	Katie Braithwaite (Catherine)
579481	256188	Pink Chiquita
579482	448	
579482	10837	Massage Fantasy Girl
579482	240398	
579483	87432	Fan on Airplane
579483	247033	Police Officer #2
579484	174324	Michiko`s sister
579485	297290	Khumalo's Wife
579486	19595	
579487	182420	Yuki
579488	57735	Stargher's Victim
579489	172444	(segment Zhenya)
579490	226012	
579491	370140	
579492	31696	Sugiyama's Wife
579493	221379	
579494	62346	Manager of Kolkhoz
579494	62859	Agrapina
579494	76790	Tsetsilya
579494	209833	Chitolya
579494	268561	Sister of Vano
579494	285089	Taso
579494	344269	Khevsurian woman
579495	19400	
579495	341198	
579496	173967	Pelagia
579497	213063	Dulcinea
579497	349094	
579498	20877	Daredjani
579498	78706	Babale
579498	85622	Gudushauri's mother
579498	130251	Mother
579498	227051	Mother of Spiridon
579498	285864	Maro
579498	344194	Wife of Joto
579498	344260	Mariami
579499	154866	Dolores Finley
579499	357567	Sexy mom/fan
579500	78139	Female Trainee
579501	77101	
579502	22681	Amazone César
579502	26485	
579502	26778	
579502	35823	Herself
579502	37225	
579502	41578	
579502	41615	
579502	41758	
579502	45101	Rebecca Carter
579502	46429	
579502	47272	
579502	50789	
579502	54430	
579502	66109	
579502	67032	Herself
579502	70213	
579502	75030	
579502	81664	
579502	81801	Herself
579502	81817	
579502	97314	
579502	102825	Herself
579502	106189	
579502	106623	
579502	107093	
579502	114275	
579502	123636	
579502	126109	Herself
579502	126724	
579502	127405	
579502	127808	Herself
579502	134690	Chloe
579502	142500	Herself
579502	155877	
579502	177468	
579502	178169	
579502	191370	
579502	196002	
579502	211528	Chloe
579502	219872	
579502	228022	Herself
579502	231834	
579502	235576	
579502	244353	Herself
579502	258089	Rebecca Carter
579502	260173	
579502	272987	Tina Bartlett
579502	273297	
579502	273298	
579502	280049	Herself
579502	289425	Karen
579502	295949	Felicia Carter
579502	296706	
579502	300520	
579502	302164	Model on Beach
579502	304588	
579502	306923	Herself
579502	311160	
579502	316413	
579502	320027	
579502	326431	
579502	329748	
579502	333211	
579502	334735	
579502	340741	
579502	354893	Vicky The Video Editor
579502	354895	Vicky The Video Editor
579502	358296	Scarlet
579502	361264	
579502	362746	
579502	363410	
579502	364577	
579502	372522	
579502	381237	
579502	381571	Herself
579502	398179	Herself - Orange Team
579503	151640	Aleka
579504	29702	La princesse Fleurette
579504	69972	Olympia
579504	257474	L'Amour
579505	36586	Szternerowa
579505	322138	
579505	378062	Grise-Adèle
579505	398179	Herself - Orange Team
579506	93470	
579506	101754	
579506	107761	Baroness
579506	138505	
579506	142011	
579506	170638	Kaiserin Maria Theresia
579506	247599	Fay Davis
579506	313132	Hella von Teuff
579507	53927	Amy
579508	364016	Girl #2
579509	61656	Missy Chandler
579509	130629	Jody Salerno
579509	214934	Gina/Field Pea
579509	223978	Vada Sultenfuss
579509	223979	Vada Margaret Sultenfuss
579509	337381	Elizabeth Martin
579509	345752	School Child
579510	223978	Jackie
579510	337381	Dr. Richardson
579511	110075	
579512	311168	
579513	164255	Voice in dream
579513	181359	Nurse
579513	211724	Teacher of religion
579514	356	
579514	81690	Marusa
579515	94655	Mrs. Yaeger
579515	119425	Woman (Restaurant)
579515	281056	Female Bartender
579516	376602	Helena
579517	24429	Skater
579517	76526	Skating Daughter
579518	76526	Skating Mom
579519	88410	
579520	262147	Mother with a Child
579521	63358	
579521	91510	Secretary
579521	151835	Marianne Denhoff
579521	181408	Wisia
579521	376253	
579522	2214	The Actress
579522	43119	Lolek's Aunt
579522	95704	Maczek's Wife
579522	95971	Felicia
579522	166616	
579522	178463	Guest
579522	304109	
579522	322038	Lola Vulpi
579523	198357	
579524	309343	
579525	402996	Women/Road Rules
579525	403487	Herself/The Quest (2001)
579526	134017	Party Guest at Adler's
579526	191626	Digging Bear
579527	62388	
579527	76893	
579527	122688	Eun-Sook
579527	123845	
579527	137227	
579527	257400	
579527	299054	Chung Eun-jin
579528	395727	Kiku
579529	41410	Sun's Student
579530	385546	Young Jang-Geum
579531	121934	Midori
579532	31	Travel Agent (Shirley)
579532	16968	Admissions Nurse #2
579532	23441	Connie Tong
579532	34768	Herself
579532	53327	JoJo
579532	57683	Herself
579532	62436	Herself
579532	90855	Clerk's Wife
579532	107166	Wanda
579532	107632	May-Ling
579532	134654	Amanda
579532	155007	Herself
579532	163586	Charlene Lee
579532	215456	
579532	234196	
579532	235686	Herself
579532	245245	Herself
579532	256176	Donna
579532	267035	Herself/Various
579532	274329	(segment "Hotline")
579532	283104	Lt. Klavin
579532	306744	Janie
579532	313946	Herself
579532	321386	Noreen
579532	326083	Carol
579532	330386	Asia Blue/Terry
579532	368029	Herself
579532	379756	Margaret Kim
579532	383758	Herself
579532	390998	
579532	395522	Margaret Cho
579532	403155	Herself
579533	287111	Sister Choi
579534	102035	Mi-suk
579535	16583	
579536	138818	Nurse
579537	99075	Student in Darkroom
579538	27171	Customer in electronic store
579539	292092	Cho Se-in's sister
579540	265928	Female Assistant District Att
579541	285098	Chinese Rice
579542	75347	Toya
579543	171071	
579543	281883	
579543	340883	Translator
579544	348837	Laurie Silkscreening
579545	354588	Les 'affaires sociales'
579546	9353	Dancer
579547	162103	
579548	244256	Véronique
579548	345132	
579548	350052	
579548	356974	
579549	280534	
579549	339617	
579550	221676	Maite
579551	232387	Filmteam
579552	88697	Un travesti chez "Joe Hell"
579553	147602	Sandy
579553	326456	Pizza Parlor Waitress
579554	13736	Daryl Hannah
579554	61161	Receptionist
579554	87215	DeDe
579554	315317	Paris Hilton Type
579554	321401	Sheila
579555	7738	
579555	7751	
579555	39264	
579555	39359	
579555	39595	
579555	39636	
579555	39796	Twin Sister
579555	39876	
579555	39917	Twin Sister
579555	41638	
579555	97130	
579555	100001	
579555	117517	
579555	123837	
579555	128919	Twin Sister
579555	183294	
579555	197773	Twin Sister
579555	223675	
579555	228030	Herself
579555	236922	Twin Nurse
579555	243095	
579555	255158	
579555	255160	
579555	273237	
579555	298061	Twin Sister
579555	303213	Twin Sister
579555	306932	
579555	316408	Twin Sister
579555	319390	
579555	321148	
579555	333823	
579555	338730	
579556	39632	
579557	39944	
579558	390180	Cheyenne Cher
579559	14559	Morawska
579559	35003	Dorota
579559	63894	
579559	171547	Szentzy Anna
579559	364870	
579559	373554	
579559	375060	
579559	410485	Renata Glinicka
579560	56435	Cathy
579560	64561	Performer
579560	82063	Aubrey Denton
579560	150293	Ginger Cronenberg
579560	202322	Nellie Faye
579560	387509	Alex Morgan (1994)
579560	409472	Tia Russell (age 16)
579561	96879	
579561	110998	Liberation Lady
579561	324020	Naomi
579561	399817	Sandy Galloway
579562	50025	Barbara
579563	107606	Lidka
579563	262147	Gabi
579564	328663	1st Girl
579565	402837	Beatrice 'Beezus' Quimby
579566	2283	
579567	56431	Memphis State Student
579568	199311	The Family
579569	64098	Cheerleader/Dancer #4
579569	131380	Demented Hills Dancer
579569	231096	Student
579569	272973	Receptionist
579569	275871	Asian Cheerleader
579570	307079	
579571	341221	Nana
579572	291697	
579573	62183	Li Yuk-hing
579573	95302	May
579573	135026	Mak Ah-Chat/Lily Wong
579573	147052	
579573	152342	Deda
579573	167489	Annie Chung
579573	167847	Xian-hong (So Lan)
579573	168034	Yu Yin
579573	175769	Shan
579573	218677	Vivian
579573	268648	Mandy Fu
579573	297309	Lulu Shum
579573	332282	Jody
579573	333506	Joanna
579573	367177	Margaret
579573	369576	Lin Qingxia
579573	369744	Ada
579573	370464	Billie
579573	370926	Dong Kwai, His Wife
579573	371583	Horny Girl
579574	60124	
579574	76852	
579574	318697	
579574	370727	Fan's Mother
579575	3982	Mishima
579575	201598	Claudia
579576	300109	Kyeong-a
579577	60586	
579578	294493	
579579	135466	Dancer
579579	209907	Chillie
579579	227277	May
579579	371509	Rebekah
579580	60123	Ellen
579580	60124	Kiki
579580	61027	
579580	61990	Helen
579580	127741	Charlene
579580	131320	Nancy
579580	136328	Chopstick sister
579580	136379	Ah Hey
579580	151998	13th Young Master
579580	189183	Charlene
579580	197133	Crystal
579580	197135	Tabbie
579580	231227	Yo-Yo
579580	286972	Sa Sa
579580	295242	Yee
579580	370727	Nam
579580	383833	Ji Lan
579581	166792	
579582	255012	
579584	388053	
579585	27546	
579585	28360	
579585	34184	
579585	42875	
579585	51000	
579585	60583	
579585	60619	
579585	63462	
579585	76303	
579585	76633	
579585	76992	
579585	76993	
579585	77088	
579585	79215	
579585	89456	
579585	89548	
579585	90597	
579585	90615	
579585	102060	
579585	102075	
579585	122835	
579585	122862	Byeon-yi
579585	123784	
579585	126779	
579585	126902	
579585	130246	
579585	136406	
579585	136409	
579585	137072	
579585	138321	
579585	138391	
579585	144266	
579585	153409	
579585	153556	
579585	154400	
579585	155553	
579585	156123	
579585	162621	
579585	162680	
579585	165213	
579585	166783	
579585	166800	
579585	167788	
579585	167933	
579585	170515	
579585	180261	
579585	199905	
579585	204380	
579585	217346	
579585	221876	
579585	222223	
579585	223293	
579585	223521	
579585	224465	
579585	226576	
579585	227095	
579585	229552	
579585	268143	
579585	280885	
579585	280996	
579585	285931	
579585	286468	
579585	286889	
579585	287621	
579585	288159	
579585	288163	
579585	288181	
579585	288304	
579585	294457	
579585	295231	Han, Do-suk
579585	298753	
579585	323214	
579585	344224	
579585	368083	
579585	371132	
579585	371141	
579585	371184	
579585	371205	
579585	373170	
579586	104552	
579587	76653	
579587	108230	Shin Ji
579587	169044	Sheri
579588	199909	
579589	79849	Herself
579590	131289	Janet
579591	60646	
579592	34187	
579592	144255	
579592	199952	
579592	299009	
579593	287111	Violent laboratory assistant
579594	153442	
579594	371200	So-ra
579595	130504	G
579596	126774	Nopdotaek
579597	90562	The woman
579598	15194	Hyeon-ju
579598	34180	
579598	38756	
579598	49197	
579598	49615	
579598	51023	
579598	102027	
579598	102045	Young-hie
579598	123493	
579598	126783	
579598	155552	
579598	156111	
579598	165030	
579598	167931	
579598	199897	
579598	226582	
579598	285998	
579598	298791	
579598	299013	
579598	368079	
579599	176252	Nurse
579600	273429	Seattle
579600	273436	Hostess
579600	402993	Seattle (1998)
579600	402998	Real Worlders
579601	126906	
579601	182348	
579602	4808	
579602	49660	Ho-kyeong
579602	124683	Seon-ae
579602	222144	
579602	254781	
579602	294438	Sang Hong/Son Mi-hyeong
579603	2782	
579603	3144	
579603	7260	
579603	20059	
579603	28731	
579603	29601	
579603	38398	
579603	48530	
579603	60600	
579603	60625	
579603	61883	
579603	62640	
579603	78204	
579603	90607	
579603	111458	
579603	126790	
579603	128940	
579603	136377	
579603	138342	
579603	138605	
579603	153437	
579603	153457	
579603	155957	
579603	163991	
579603	165094	
579603	165213	
579603	166790	
579603	171512	
579603	177079	
579603	187034	
579603	199901	
579603	199909	
579603	202201	
579603	202214	
579603	204527	
579603	214834	
579603	221879	
579603	222352	
579603	227091	
579603	227141	
579603	227201	
579603	231739	
579603	285002	
579603	287078	
579603	288164	
579603	288238	
579603	288864	
579603	294436	
579603	294467	
579603	294498	
579603	329016	
579603	344211	
579603	344215	
579603	368077	
579603	368081	
579603	368204	
579603	371194	
579604	209183	
579605	89458	
579605	156116	
579605	158773	Smallest
579605	167571	
579605	199901	
579605	287364	
579606	137621	
579606	159808	Juyon
579606	178038	Song Yeon-hwa
579606	236496	Han Seon-yeong
579606	239937	Su-jin
579606	249160	
579606	254992	Eun-ju
579606	322908	Kim's Daughter
579606	380602	
579606	390832	Yoo-Jin Jung
579606	404307	Yu Ji-young
579607	254781	Jin-hie
579608	78274	Bi
579608	102064	
579608	127131	
579608	147537	Telephone Operator
579608	163824	
579608	204839	
579608	208685	Daughter
579608	216011	
579608	225988	Oh Mi-young
579608	227138	
579608	227407	
579608	236489	
579608	268141	
579608	320200	
579608	383074	Juni Lee
579609	1631	
579609	126815	
579609	163824	
579609	165026	
579609	287622	
579609	371197	
579610	300448	
579611	89540	
579611	126802	
579611	158773	Small
579612	370923	Jim's Maid
579613	137086	So-hwa
579613	285845	Woman (story 4)
579613	359004	So-yeong
579613	371143	
579614	348662	
579615	7365	
579615	38913	
579615	39045	
579615	298888	
579616	335398	
579617	202387	Korean Storeowner
579617	399011	Maria the Socialworker
579618	166213	Jeong Mi-da
579618	299053	
579619	153407	
579620	3254	
579620	29600	
579620	38842	
579620	60592	
579620	63417	
579620	128044	
579620	128045	
579620	156041	
579620	177071	Kim Ma-ri
579620	199885	
579620	287573	
579621	226544	
579622	16582	
579622	28815	
579622	165544	
579622	214269	
579622	236765	
579622	267493	
579622	368211	Min, Hae-ri
579622	371250	
579623	7263	
579623	7350	
579623	15394	
579623	15966	
579623	20059	
579623	29599	
579623	29601	
579623	34156	
579623	34184	
579623	34186	
579623	36624	
579623	38277	
579623	43623	Hanil Hwangje (Lead deity of 
579623	48527	
579623	48955	
579623	49147	
579623	49193	
579623	51006	
579623	60605	
579623	60652	
579623	60655	
579623	62848	
579623	63410	
579623	63463	
579623	63464	
579623	76632	
579623	76680	
579623	89456	
579623	89615	
579623	90598	
579623	90600	
579623	90605	
579623	91487	
579623	94442	
579623	94986	
579623	102075	
579623	122731	
579623	123231	
579623	124785	
579623	126767	
579623	126788	
579623	126790	
579623	130244	
579623	130278	
579623	130279	
579623	131107	
579623	131274	
579623	135655	
579623	135884	
579623	136321	
579623	136371	
579623	136434	
579623	137354	
579623	137355	
579623	137876	
579623	138426	
579623	139931	
579623	142966	
579623	144259	
579623	144313	
579623	147309	
579623	147570	
579623	149023	
579623	153437	
579623	153451	
579623	153516	
579623	153528	
579623	156406	
579623	160195	
579623	160196	
579623	165145	
579623	165521	
579623	165542	
579623	166800	
579623	166807	
579623	166812	
579623	166814	
579623	166969	
579623	167391	
579623	167473	
579623	167982	
579623	168832	
579623	170323	
579623	171490	
579623	173330	
579623	187034	
579623	201278	
579623	204113	
579623	204131	
579623	214284	
579623	216419	
579623	217332	
579623	217370	
579623	217390	
579623	222129	
579623	226005	
579623	226567	
579623	226595	
579623	227182	
579623	227209	
579623	227225	
579623	227712	
579623	229892	
579623	236737	
579623	236770	
579623	239443	
579623	247031	
579623	255024	
579623	284665	
579623	286086	
579623	286663	
579623	288162	
579623	288238	
579623	293652	
579623	294467	
579623	294497	
579623	295228	
579623	303341	
579623	307777	
579623	309093	
579623	319053	
579623	323696	
579623	334790	Santa Claus
579623	344393	
579623	344394	
579623	367956	
579623	371142	
579623	371187	
579623	371244	
579623	371253	
579623	371273	
579623	372984	
579623	373143	
579624	7360	
579624	20062	
579624	60657	
579624	120913	
579624	177068	
579624	227408	
579624	344220	
579625	200910	Self
579626	100008	Li Tsiu
579626	102731	Woman
579626	102732	Woman (episode "Love Calling"
579627	216415	
579627	283325	
579628	298833	
579629	272518	Xtacy the sexy Asian girl
579629	410768	
579630	17840	
579630	63417	
579630	155133	
579630	166791	
579630	288149	
579630	371189	
579631	368213	
579632	176694	Missionary
579633	126801	
579634	53819	
579635	1978	
579635	125951	
579636	130233	
579637	392497	Yoon, Hyun-soo
579638	263755	News Anchor
579638	391219	Anchor (2002-)
579639	8370	
579639	22195	
579639	77128	
579639	137085	
579639	287362	
579639	371185	
579640	552	
579640	234569	
579641	60584	
579641	67094	Black Belt
579642	266991	
579643	2984	
579643	27555	
579643	227514	
579643	298738	
579644	229878	
579644	287310	
579645	161911	Gah-in
579646	200536	
579647	36559	
579647	131281	Yu-jeong
579648	191353	
579649	126789	
579649	320359	
579650	187040	
579650	199885	
579650	226575	
579651	376542	
579652	371151	
579653	216705	Kang Young
579654	121242	Li San
579655	170528	Pastry Chef
579656	217421	Clerk
579656	364390	Heavenly Angel
579657	31823	Young Joyce
579657	292788	Miss Jones Wallace
579657	385095	Emma Holden
579657	394340	
579657	408362	Matron
579658	45756	Chante DeVine
579659	4530	
579659	8652	Moran
579659	198779	Natasha (segment "Ze HaMatzav
579659	254388	
579659	407400	Ina
579659	408225	Rona Halfon
579660	398159	Violette Grandmont
579661	157228	
579662	166357	Marguerite
579663	107057	La fille
579664	265520	
579664	266322	
579664	282756	
579665	8416	Poblacka
579665	9378	
579665	25425	Walentowa
579665	66266	Mother Stepowska
579665	75964	Barbara Kaczmarkowa
579665	93602	Zenona
579665	95954	Leoska
579665	95975	
579665	95981	Aunt Poldi
579665	130214	Margiel
579665	173065	Safianowa
579665	178773	Woman who want to see a Mirac
579665	200439	
579665	231620	Tradeswoman
579665	244100	Prisoner
579665	247345	
579665	255028	Kazek's Aunt
579665	255613	Aniela Spojdzina
579665	303738	Honorata Malikowa
579665	305434	Wezykowa
579665	343339	Marianna Wiatryk
579665	373613	
579665	375498	Gawrakowa
579666	260733	Kasia
579667	82204	
579667	181366	
579668	18460	Guest Appearance
579669	216550	Liza
579669	334046	Varo
579670	213063	Makhare
579671	53945	Jerks on Streets of Hell
579672	62622	Cholpon
579673	225894	Kozarkata
579673	334483	Veska
579674	64872	Binal's Wife
579674	80501	Mrs. Bhavnai
579674	114350	Indian Cleaner
579674	123572	Ayah
579674	135769	Mother
579674	171349	Mrs. Ahmad
579674	197026	Mrs. Singh
579674	199390	1st Punjabi Lady
579674	223698	Bilquis
579674	311534	Mrs. Patel
579674	383363	Archana (The Sea Captain's Ta
579674	408704	(Episode 6: The Farmer)
579674	411056	Mrs. Singh
579675	187372	
579676	342084	
579677	377061	
579678	62579	Kate
579679	207254	
579680	9353	
579681	94506	Elena
579681	103565	
579681	149524	Dancheto
579681	156000	
579681	163901	Gospozhitza Antoaneta
579681	282715	Nadya
579682	9353	Dancer
579683	162103	
579684	154040	Baby
579685	154040	Baby
579686	46222	
579686	265149	Mayka na Bistra
579686	275268	
579686	284458	Jenni
579686	325032	
579686	332958	
579686	374158	Predsedatelkata na blagotvori
579687	37899	Femme de ménage
579687	37959	
579688	328607	Dispatcher
579689	285984	Une cliente du magasin
579689	392750	
579690	19322	La Bonne
579690	23781	Jane
579690	27824	Marthe, housekeeper
579690	43657	Une femme
579690	54298	
579690	68336	La cliente de la boucherie
579690	70709	La bonne de Vorzet
579690	84644	La concierge
579690	107537	La cliente
579690	117974	L'institutrice
579690	118184	Mme Copet
579690	118816	
579690	119038	Ginette's mother (segment "Vi
579690	200575	Une villageoise
579690	208215	
579690	325343	Ginette Mauprivet
579690	336975	
579690	339497	
579690	348318	Post Office clerk
579690	349782	Gustine
579690	356515	La patronne du restaurant
579690	375368	Léontine
579690	398254	Maryvonne
579690	412264	Agnès
579692	62778	Dancer
579693	158144	Herself
579693	161193	Herself
579694	186158	Hospital Patient #2
579695	108902	Hollandaise
579696	79656	TV Reporter
579697	58662	Office intern #2
579698	84222	Amie de Marcelle
579699	114835	Charity
579699	298828	Wife
579700	77102	Ukrainian Babysitter
579701	75914	
579701	82920	
579701	88837	
579701	99736	Muguette
579701	132991	
579701	218285	Mme Blanche
579701	237757	Herself
579701	264525	Gaby
579701	266153	
579701	285424	Fanfare
579701	324185	La femme de l'éclusier
579701	339796	
579701	370105	
579701	409001	
579701	412246	Delphine
579702	234135	Herself
579703	51727	La fille
579704	5029	Annie
579705	305013	Waitress
579705	313112	Interview Subject
579706	131667	Aoi
579707	361486	Suzie Sparwein
579708	401280	Herself (season 3 runner-up)
579709	5285	
579709	53763	
579709	160769	
579709	197178	
579709	219094	Herself
579709	260726	Herself
579709	296055	Herself
579710	236264	Carrie Chin (Daughter-In-Law)
579711	332771	Waitress #2
579712	264158	Street Reporter
579713	284426	Su
579714	371092	Auditioner #2
579716	134563	Chirpy Girl #2
579717	160859	Cikgu Nona
579717	206348	Mummy
579719	97036	Posche
579720	26753	Knobby's girl
579720	95853	
579720	154890	Vietnamese Girl
579720	180372	First Girl Islander
579720	189417	Chinese Girl
579720	225313	Girl of the House
579720	240521	The Chinese Girl
579720	351732	Jasmin
579721	5488	Lisa
579721	19303	Cake Girl
579721	34624	Precious
579721	117640	Shubert, Rebecca
579721	132454	Crying Woman at Funeral
579721	160885	Lipgloss Wearer
579721	182955	Wife
579721	195586	Binnie
579721	251477	Nursing supervisor
579721	316054	Spiritualist
579721	358477	Mandy
579722	226905	Child
579723	10083	Host
579723	10661	Linda Garcia
579723	13417	Paola
579723	13511	Misty
579723	13941	Sarah
579723	31892	Tracy
579723	42576	JJ
579723	44561	Diana Pierce
579723	44975	Ola
579723	46292	Jennifer Hudson
579723	58497	Ilene Curtis
579723	60274	The Gypsy
579723	62665	Pearl Antoine
579723	64836	Yogi
579723	67040	Herself
579723	67395	Squeak
579723	68309	Cindy
579723	69856	Jenita
579723	71287	Mary
579723	74267	Det. Forge
579723	75455	Jane
579723	78013	Ann Rich
579723	82835	Julie
579723	109807	Yvonne
579723	117056	
579723	131716	Special Agent Danzig
579723	135341	Ika
579723	144674	Rose Orwetto
579723	145002	Herself
579723	201781	Herself
579723	207136	Cassandra Turner
579723	262033	Joan Armstrong
579723	264235	Hilary Orozco
579723	264442	Rhonda
579723	282957	
579723	283554	Slave Girl
579723	305387	The Woman
579723	309489	Sarah Walker
579723	312347	Rachel Dobs
579723	313696	Arianna
579723	315262	Janetta
579723	317802	Herself - Narration
579723	323838	Carola (segment "Lover's Vow"
579723	333326	Karen Donaldson
579723	335866	Rita
579723	349870	Sally
579723	355431	Felicia McDonald
579723	358635	
579723	363135	M.J.
579723	364131	Greta
579723	385189	Dr. Call
579723	398770	Dr. Peggy Fowler
579723	399513	Host
579723	407515	
579723	411126	Sophie Mason
579724	153562	Interviewee
579725	60274	Princess III
579725	109741	Bobbi
579725	167691	Casting secretary
579725	201781	
579725	274314	The Professor (segment "The W
579725	322330	Suzannah
579725	401796	Alexandra Moreau
579725	411755	Announcer/Assistant
579727	288676	Tukua
579728	34624	Tree
579728	60274	Princess I
579728	80563	Waitress
579728	201781	Herself
579728	231386	Body Builder
579728	287210	Nancy Reynolds
579728	311284	Cashier
579728	330409	French Girl #1
579728	339952	Monkey Shine Receptionist
579729	290611	
579730	191803	Olive
579731	149935	Annie
579732	168085	
579732	227136	
579732	248720	Roopa
579732	272184	
579733	9353	Dancer
579734	104831	
579735	151050	Charwoman 2
579736	16145	
579737	158773	Middle
579739	165666	Takako
579739	299736	Sophie
579740	42188	Catty
579740	67052	Waitress
579740	209237	Ambassador Yee
579740	319567	First AD
579740	321718	Hostage
579740	336452	Fighting Hostess #1
579740	409743	Black Vixen
579741	159487	Kati
579743	160058	Tough girl #2
579744	216794	
579745	218340	DeSouza
579746	218341	Tuppa Girl
579747	159065	Dil
579748	58684	Friend
579749	32624	Indian Nanny
579750	270050	Tina
579751	43169	Herself
579752	218341	Tuppa Girl
579753	9173	Sonia Sharma
579753	16147	Jiya
579753	21603	Alisha
579753	38885	Miss India/Miss World 2000
579753	143890	Shaheen Zakaria
579753	177978	Sapna
579753	215696	Miss India (Winner)
579753	222063	Rani
579753	257228	
579753	329259	Priya
579753	359163	
579754	96728	Daughter
579755	83741	
579755	85371	
579755	91471	Tony's wife
579755	134362	
579755	141548	Chief Princess
579755	193293	
579755	209567	
579755	262857	
579755	268064	
579755	271035	
579755	284707	Geeta (Butlie)
579755	284771	
579755	301908	
579755	308492	
579755	310450	
579756	153493	Menaka
579757	279988	
579757	343579	
579757	382584	Jeanne Simon
579757	412276	Une infirmière
579758	116674	Enid
579759	34461	L'amie de Gaston
579759	84634	Fille taverne
579759	377977	Odette
579759	400698	Brigitte
579760	190927	Peep Show Dancer
579761	25246	Louise
579762	25246	La mère de Louise
579762	212074	
579762	249209	Fan de Jeannot
579762	314737	
579762	387048	Thérèse Duquette
579763	109600	Natalia
579763	351712	La Cantatrice
579765	214535	Silvia Cheminski
579765	238169	Mommy
579765	243256	Daniela
579766	380685	Themselves
579767	314927	Party-girl Bit
579768	86263	Buckingham Palace Reporter
579769	245207	Libby
579770	170966	Mrs. Goodwin
579770	230863	Theater Reception Guest
579771	84265	Anna Bracka
579771	367435	
579773	120829	Talu's mother
579773	140508	Squaw
579773	157865	
579773	168805	Native Woman
579773	186414	Indian fortuneteller
579773	228729	Navajo Woman
579773	271855	Servant
579773	327857	Indian Woman
579773	338560	Squaw
579773	360482	
579774	271855	Servant
579774	363823	Nomi
579775	409609	Fari Rezan (1991)
579776	50815	Katie Madison
579776	88401	Kate
579776	89057	Joyce
579776	118873	Woman In Ladies Room
579776	194698	Sondra
579776	194985	Julie Largo
579776	389327	Becca Shaw
579776	402477	Mary Sloman
579777	110974	Stripper
579778	254316	
579779	282967	Annie
579780	408880	Lottie (Series 5)
579781	95960	Woman with Dog
579781	231362	Dentist Stefa
579781	262198	Tomasz's Wife
579781	266019	Tania
579781	378728	Jola
579781	380346	Lisa
579781	397820	Danuta Norek
579782	47423	Glasses Guard
579783	17132	Extra talent
579784	161259	Herself
579785	247977	
579786	232899	
579787	184712	Mrs. Meng
579788	384000	Herself
579789	47430	Nurse
579790	68305	
579791	114135	Chinese Girl
579791	383020	Seducer
579792	207941	Swing Dancer
579793	320218	
579794	62112	Chen's Mother
579795	45770	Patricia
579795	88172	Me Dubreuil
579795	94339	
579795	109408	L'équipière virée
579795	263219	Jeune femme à la piscine
579795	346569	Ireina
579795	346673	Jennifer
579795	357042	Suzanne
579796	60274	Pretty girl
579796	155884	Model
579797	19244	
579797	36143	
579797	89994	
579797	175909	
579797	175987	
579797	359514	Rekha (Dinesh's sister)
579799	167357	
579799	250841	
579799	262850	
579799	263956	
579799	265374	
579799	298457	
579799	328177	
579799	367219	
579800	157578	Courtesan
579801	11901	Vandana
579801	312532	
579802	349447	Radhika
579803	204372	Manjari's mother
579803	233315	
579803	262427	
579803	333895	Moral ginni
579804	114012	
579805	382266	Air Stewardess
579806	84800	Dancer
579807	61024	
579807	172938	Putu
579807	248966	Charu
579807	285451	
579808	98477	
579809	2069	Box
579809	46456	Mona
579809	67847	Sarita
579809	86976	Rosie
579809	92128	Myrna
579809	104014	
579809	129516	Angela
579809	144763	Joan
579809	151071	Pancha García
579809	163344	Suzie
579809	171030	Colleen
579809	172920	Tara, the Queen
579809	206240	Angelica
579809	215911	Mina
579809	252823	Josette
579809	252925	Raquel Martinez
579809	274755	Girl
579809	276352	Jane Talwani
579809	277526	Mariela
579809	297937	Song
579809	315738	Infanta
579809	332813	Sarita
579809	339654	Alison
579809	365476	Rifat
579810	288661	
579811	308450	
579812	4326	Asha
579812	30763	Sukhen's Sister
579812	32764	
579812	43410	Padma
579812	62306	
579812	62847	Karabi Guha
579812	81407	Chandramukhi
579812	90899	Meera
579812	94919	Bimala
579812	98633	
579812	164722	Sujata
579812	172547	Dr. Labanya Sarkar
579812	172615	
579812	179688	Ansuya
579812	209820	Nita
579812	228420	
579812	287932	
579812	298633	Sriradha's grandmother
579812	300430	
579812	319162	
579812	320173	
579812	326648	
579812	349115	
579813	4396	Sarla
579813	27377	
579813	27660	
579813	49918	
579813	54537	
579813	147533	
579813	148920	
579813	254733	
579813	285533	
579813	286585	
579813	288200	
579813	288661	
579814	323119	Siham
579815	407391	Moona
579816	403021	
579817	300609	Receptionniste
579818	40246	Herself
579818	87983	Herself
579818	145641	Herself
579818	155215	Kelly
579818	155281	Herself
579818	306322	Shana
579818	306323	Annie
579818	372218	Herself/Madame Joseé (segment
579819	249209	
579820	135346	
579821	270448	La mariée
579822	273260	Raisa Gorbachev
579822	311224	Focus Group Member
579823	146814	
579824	2252	(segment "Teuf d'enfer, La")
579824	60062	
579825	172654	Leila
579826	118376	Maissa Chouraki
579827	171702	Sophie
579828	390487	
579829	17090	Hortense
579829	67494	Sandra
579829	78643	Angelina De Lotta/Dittmann
579829	101194	
579829	101983	Violaine Roumégoux
579829	103206	Marie-Lou
579829	116412	Ludvine
579829	120876	Juliette Gravières
579829	157228	Jacqueline Martin
579829	161568	Marie
579829	183886	Renée Beaulieu
579829	197403	Catherine Hessler
579829	225126	
579829	248984	Simone Plantin
579829	266010	Olga
579829	337018	Catherine Aravitte
579829	354745	Simone
579830	261717	
579831	278149	
579831	373342	
579832	348601	Nancy
579833	58877	
579833	58878	
579833	58879	
579833	58880	
579833	140943	Madame
579833	160634	
579833	241496	
579833	378858	Mme Bazin
579833	380717	Nicole
579833	380869	Janette Cadorette
579833	381504	Colombe Delvas
579833	400804	Réjane Valin
579833	401549	Le ministre
579833	411623	Charmaine Gamache
579834	376914	Agathe
579835	234932	Le Censeur
579836	260785	
579836	333735	Tiresia I
579838	176713	Woman with Hair Up
579839	26707	Sameko (Redondo's housemaid)
579839	62060	
579839	117342	Girl Dealer
579839	195743	Wife
579840	404551	Host
579841	289490	Candy's Girl #2
579841	362588	Geisha #2
579841	376053	Cashier
579841	404112	Sung
579842	407195	Herself
579843	221474	Herself
579844	147534	Principal Model
579845	86955	Student #2
579846	37122	Keiko Nishi
579846	40551	Jennifer
579846	55467	Brian's girlfriend
579846	118908	Mary
579846	140967	Lisa
579846	307206	Amber Stevens
579846	312092	Escort
579847	117442	Seki, Age 10
579848	21880	
579849	62196	
579849	189227	Red Snake
579849	268681	Siu-Tung
579849	297373	Wong's Mistress
579849	298372	Beauty with Deep Voice
579849	367155	
579849	370819	Yee-Tee
579850	372230	May
579851	256356	Newscaster
579852	233003	
579853	4467	
579853	8780	Ann
579853	63285	Mrs. Wong
579853	110664	Detective's Wife
579853	122235	Xiu Hong
579853	131186	Tien Gee
579853	170254	
579853	174778	
579853	216624	Chor Yi-Yin
579853	220245	Yau-Ching
579853	239142	
579853	268777	Jane
579853	324739	Man Ching
579853	371346	Yoyo
579853	373083	Ling
579854	313334	Fantasy Reporter
579855	296582	
579856	43596	Jeremiah's First Wife
579857	197133	Judy
579858	20625	Extra
579859	369800	
579860	52163	Chinese Stewardess
579861	12275	Chinese woman
579862	164870	
579863	75229	
579864	63046	Millie
579864	216486	
579865	120798	Rose
579866	27796	Felicia
579866	136379	Shadow
579866	147048	
579866	152794	
579866	153548	
579866	247954	
579866	341732	Mindy
579866	373154	Dina
579867	184753	
579868	176252	Nurse
579869	135037	
579870	411759	Stephanie (1984-1987)
579872	16099	Herself (epilogue sequence)
579873	29478	Ivy Lau
579873	46834	Halo
579873	62635	Air Hostess
579873	63742	Queen
579873	78583	Prostitute
579873	122217	Jet Yuen
579873	135450	Ling-Ling
579873	138630	Lawyer Flora Tsing
579873	149008	Karen
579873	168040	Ling
579873	179957	Lo Ka-Ling
579873	198643	Yam Yeung-Tien
579873	254589	Scientist Yamaguchi
579873	300380	Fai-Fai
579873	358906	Alice
579873	369798	Dr. Jenny Chung
579873	370841	Michelle Lau
579873	370923	Mrs. Chan
579873	371485	
579873	373088	Linda
579873	374820	Carman
579874	61056	Ma Ching-Ha
579874	62182	
579874	63477	
579874	111185	Francis
579874	111241	Mandy
579874	167787	
579874	183102	Sic Man
579874	184618	
579874	197429	Ching-Ching
579874	236282	May
579874	284724	Vivian
579874	287022	
579874	358920	Tony's Sister
579874	369591	Liza
579874	369604	Fong Siu-Ling
579874	369627	
579874	370605	Tracy
579874	371324	Yoko
579874	375919	Sylvia Fong
579876	18460	Guest Appearance
579877	210218	
579878	71334	Dancer
579879	36277	Dr. Rajan's daughter
579879	46726	Lucky Bakshi
579879	63506	
579879	79119	
579880	312532	
579881	228869	Bulbul (Mr. Bose's daughter)
579882	293249	Dolan
579883	9316	
579883	221202	
579884	139652	Parvati Patil
579885	76537	
579885	76544	
579885	94916	
579885	174890	
579885	287932	
579885	296387	
579885	308452	
579885	316579	
579886	2334	Indian Lady
579886	62588	
579887	134018	Bharathi's Mom
579888	120258	Herself
579889	381870	Herself (2000-2004)/Livvv (20
579889	381887	Herself
579889	387783	Kumiko
579889	403279	Kumiko
579890	367083	Extra
579891	178975	Mel
579891	375367	
579892	98912	Check-Out Girl
579892	256141	Young Ah Ying
579893	41409	Special Lady
579894	176753	
579895	119355	The Queen
579895	187477	
579895	312187	The Interceptor
579896	245053	Gretchen's Friend #2
579897	384097	Melanie (1990)
579898	9366	Ofélie
579898	25660	Marjánka
579898	32368	
579898	43273	Helena Proková
579898	51259	Pupencová
579898	66253	Herself
579898	84223	Jana Cerná
579898	149244	
579898	151832	
579898	166181	Marie
579898	179721	
579898	181978	
579898	188533	Mother
579898	198373	
579898	250370	Ruzena
579898	283018	Marka
579898	286733	
579898	304131	Pelikánová
579898	310227	Stedrá
579898	310248	Lakmé
579899	332198	
579900	49526	May Keys
579900	106886	
579901	99075	Noelle
579902	682	Patty, the Promiscuous Artsy 
579902	6139	Eve
579902	10836	Renee Laurent
579902	58868	Cindy
579902	75258	Megan
579902	84457	Barbara
579902	90793	Patty
579902	122217	Gonzales
579902	139591	Jeannie
579902	240786	Abbey
579902	264234	Roxanne
579902	277764	Duke's Long-Suffering Wife
579902	277787	Lee
579902	306220	Claire Bonner
579902	337033	L'écrivaine
579902	358377	Tyla
579902	364734	Lily
579902	368980	Carly
579902	409817	Hisae (1997)
579903	298007	Catherine Ann
579904	91368	
579904	217311	
579905	39692	Mavis Skinner
579905	43954	Carmel
579905	88965	Anne Wickes
579905	133345	Vampirette
579905	133730	Phyllis
579905	146420	
579905	148954	Myrtle Young
579905	168290	Rae Torre
579905	168460	The Film Director's Wife
579905	194315	Rose Lander
579905	196181	Gina
579905	196544	Sally
579905	252454	Discotheque Waitress
579905	277478	Mrs. Bingham
579905	292664	Mabel
579905	307900	Harriet
579905	316935	Faye Stone
579905	338930	Josie Basilio
579905	379716	Edie Hoffman (1972)
579905	381110	
579905	400236	Wanda Webb Wolek (#1) (1972-1
579906	335353	Younger Boy's Mother (1920's)
579907	85998	Mrs. Jameson
579907	332807	Val
579908	26068	Dorothy
579909	27292	
579909	83567	Ethlyn Chrisman
579909	143399	Muriel
579909	157168	
579909	216437	Leading Lady
579909	313751	Jane Hope
579909	339695	Mathilda
579910	108162	Arabella
579910	202470	
579910	210127	Juffrouw Jansma
579910	349600	Mevr.Lippens
579910	354070	
579911	90154	Backup Singer #2
579911	120001	
579911	174918	The Kazettes
579911	256559	
579911	389621	Herself
579912	65202	
579913	366588	
579914	82093	Receptionist/Beth
579915	12516	Frau Schnippel
579915	108148	
579915	122549	
579915	169811	Marie
579915	173307	Anni
579915	188852	
579915	275683	
579915	290682	
579915	325868	Ilse Koll
579915	325952	Frau Hochwald
579915	388290	Mama Hesselbach
579915	388783	Mama Hesselbach
579915	397953	Agnes Bebel
579915	404498	Landgräfin
579915	411258	
579916	272600	Frank's Secretary
579917	114328	
579918	68028	Death
579919	326495	Patient Anna
579920	13356	Lulu
579920	223004	Lucretia
579921	114206	Patras customs official
579922	12302	Maggie
579922	264743	
579923	123896	Danseuse strip-teaseuse
579924	243803	
579925	320126	Herself
579926	100165	Laura
579927	159984	
579927	176815	Danielle
579928	124160	Miss True-Value
579929	130848	Passenger
579930	411937	Herself/Host (1986-1992)
579931	87309	China Poppy (Belle's maid)
579931	314098	Bille-Jo Hump
579932	87882	Sandy Stevens
579932	156777	Sandy Stevens
579933	346101	Party People
579934	120458	Nurse
579935	257328	
579936	8090	Officer Lustig
579936	17934	Birdcage Showgirl
579936	45105	Isabelle Damone
579936	81750	Ivy's Driver
579936	157063	Stripper Shooter
579936	184468	Helene
579936	186030	
579936	195761	Felicia
579936	199292	Leslie
579936	222195	Spaghetti Girl
579936	229869	Jody
579936	296735	Bridal Shower Guest
579936	365183	Mann's No. 10 Saloon Bargirl 
579936	366746	Lutz
579936	410830	Dr. Sloane Whitley
579937	341810	Bodil
579938	1813	Sosietetsreporter
579938	18270	Evrydike
579938	118693	
579938	120914	
579938	142231	Lilian
579938	142713	Enkja etter Quin
579938	178429	
579938	194116	Lady Alvane/Alater forteller 
579938	198057	Mrs. Lavinia Celius
579938	229281	Gabrielle
579938	268364	Vera Jansen
579938	293879	Haldis Helle, Brits mor
579938	314628	
579938	341861	Madame Camembert
579938	387629	
579938	405983	Inga-Lill
579939	46981	Woman #2
579940	178961	Pladeekspeditrice
579941	7580	Adoptiv forældre
579941	41459	
579941	82395	
579941	106248	
579941	133388	
579941	169540	
579941	211321	
579941	243657	Bitte
579942	37319	Garda
579942	119378	Chris
579942	321566	Ginny
579942	331636	Carol Danforth
579943	2587	Klara Kruth
579943	104818	Mrs. Somelius
579943	114033	Carolin Levin, Kurts wife
579943	119426	Elsa Maria
579943	355642	Frau Burghardt
579944	309294	Kæreste
579945	194428	Rosa
579946	163334	Muffin
579947	308237	Herself
579948	153759	En ældre bondekone/Older Farm
579949	1706	Herself
579949	29227	Hannah Kingsley
579949	53292	Katelyn
579949	115540	Fiona
579949	132413	Herself
579949	148339	Deanna Cartwright
579949	160473	Herself
579949	252963	Anna Ross
579949	278094	Jessica
579949	295636	Herself
579949	303308	Irene
579949	321446	Madison Bell
579949	326663	Herself - Presenter
579949	337404	Caroline Wakefield
579949	348527	Andy Wolfmeyer
579949	369187	Cate
579949	372583	Herself
579949	407927	Abigail Winthrop
579950	122507	Herself
579951	343516	Herself
579952	107696	Isabel
579952	247359	Pan-American Girl
579953	149877	Pigen
579954	292041	Woman at the Social
579955	11802	
579955	57061	Herself
579955	78267	Herself - Presenter
579955	84286	Herself
579955	157196	Herself
579955	159482	
579955	215171	
579955	266419	Herself
579955	314992	Herself
579955	348106	Herself
579956	212334	Herself - Participant/Perform
579957	64613	Cirkeline
579957	64625	Cirkeline
579958	78463	Herself
579958	159651	Herself
579958	257328	
579959	331004	
579960	343516	Herself
579961	49026	Ciro's singer
579962	77578	Coors
579963	48729	Patsy
579964	5360	Nun
579965	64734	Jolene
579966	209133	Jock Girl
579966	341431	Lisa
579967	290534	Yodeler
579968	117742	Jane
579968	179971	Pernille Riis
579968	183311	Malene
579968	203960	Svend's toilet-flirt
579968	213296	Trine
579968	214339	Lille Pige
579968	343719	Christina
579968	376103	Herself
579968	403379	Mona
579968	403380	Mona
579968	406755	
579968	407621	Fie Nielsen
579969	328763	
579969	403530	Herself - Expert panel
579969	403531	Herself - Expert panel
579970	48381	Jeanette
579970	137402	Linda
579970	291686	Katja
579970	315405	
579970	389121	Katrine Lindemark (2004-)
579970	392098	Louise Jacobsen
579971	13963	Girl
579972	78479	Herself (performing 'Gi' mig 
579973	275225	Frk. Bæhøj/Mission Controller
579975	26079	Haughty Woman
579975	30147	Doctor
579975	173513	Verna Mason
579975	305591	Mrs. Greevins
579975	305592	Ma Greevins
579975	385299	Sally Morrison
579975	395119	
579975	399816	Celia Palmer (1975)
579976	387814	Herself - Oversergent og stew
579977	380522	Programleder (host)
579977	389052	Programvert
579978	46716	
579978	133379	Marie
579979	55909	
579980	104651	Herself - Activist, Globale R
579981	309300	Oles moster
579982	131431	Susie
579983	109118	Linn
579984	351047	
579985	346418	Mrs. Golding
579986	309176	Herself - Mother to Oliver
579987	315500	Cobi
579987	355052	Diane
579988	7791	
579988	159207	Rebecca
579988	332734	
579989	48948	Alien Council/Passerby
579989	292041	Sarah Richards
579990	26156	Martha
579991	404167	Reporter
579991	410203	Host (1999)
579992	230512	Svetlana
579993	257650	Herself (Miss December)
579993	257839	Herself (Miss November 1991)
579994	312018	
579995	18598	Bridge Crosser
579996	99512	Tanahebe
579997	34324	
579997	34333	Ilse
579997	42165	Dagmar
579997	44672	Doris
579997	134793	Frau im Café
579997	178627	Mrs. Keile
579997	196349	Sonja
579997	225293	Uta Bellmann
579997	247348	Hanna
579997	325581	Nicole
579997	325773	Natascha Berg
579997	325795	Bea Tale
579997	386132	Dragon Queen
579997	392503	Martina Hambach
579997	399503	
579997	408317	
579997	408386	
579998	210485	Woman in Alfa
579998	330579	Toni
579999	346964	Ingrid Lindstrøm
580000	390950	Loredana
580001	33098	Ellen Fries
580001	131560	Maria som vuxen
580001	153729	Assistant
580001	281908	Doctor
580001	377332	Hilma
580001	398852	Kristina
580002	209310	Christensons Maid
580003	425	Ingegärd Skönman
580003	12964	Mrs. Slick
580003	13606	
580003	30171	
580003	42616	Mrs. Esping
580003	59717	Narrator
580003	84290	Sylvia, actress
580003	84300	Tilda
580003	84318	Maud Welander
580003	89470	Helga Gregorius
580003	99568	Antoinette
580003	99819	Marianne Berend
580003	115403	Astrid Fogelström
580003	120966	Cecilia Lindeman
580003	122320	Linnea
580003	122474	Helena
580003	122480	Mona Falkstedt
580003	122494	Siska Hedberg
580003	130070	Ebba Bergman, Henry's aunt
580003	142729	Marcelle
580003	144062	Eva
580003	148817	Sigrid
580003	154501	Magdalena
580003	154607	Nea
580003	154691	
580003	164770	Liv Cornell
580003	171991	Marianne Ståhlkrantz, Greggy'
580003	184585	Elsie Tornskioeld
580003	188864	Inger Berg
580003	204547	Mother
580003	205569	Birgit Jern
580003	237252	Ella
580003	244204	Marie de Troy
580003	251990	The mother
580003	276209	Inger Sernelius
580003	276336	Ester
580003	286299	Alvida
580003	303171	Greta
580003	303653	Märta Widen
580003	322437	Aunt Emma
580003	322438	
580003	324612	Tant Gredelin
580003	342310	Mrs. Storm
580003	342314	Tessan
580003	350396	Vera
580003	353002	Anne-Marie von Flettow
580003	357762	Regina Montan
580003	377383	Daisy
580003	392406	
580003	395004	
580003	398828	Olof's mother
580004	336031	Baby Sally
580005	210326	Herself
580006	16321	Editor chick
580007	276139	Woman in musical number
580007	361951	
580008	278833	Don Cherry & The Sound Unity 
580009	393878	
580011	359816	
580012	17573	Grain D'or
580012	18567	Elsie
580012	115357	Escrimeuse
580012	228581	
580012	242375	Margot Pascali
580012	278911	
580012	284308	
580012	345554	Voisine flamande
580012	361538	
580012	365672	Lisa
580012	374656	Meisje met hond
580012	379367	La greffière
580012	392366	Erika
580012	396568	Myriam Verbeeck
580013	121832	Extra
580014	81787	Herself
580014	252389	
580015	7703	
580015	122388	Nõvér
580015	153679	Gloriette
580016	352386	
580017	178283	Schoolgirl
580018	63175	
580019	104405	Herself
580020	20625	Extra
580020	65717	Gossipy Guest at Clive's Home
580020	207865	Board Member Wife
580020	215662	Upstairs Maid
580020	235676	Woman
580021	136211	Jacqueline Fordyce
580021	244303	
580022	62782	Aurora Sikes
580022	113378	Det. Tara McCloskey
580022	127171	Aimee
580022	160220	Susan Singleton
580022	164458	Lori
580022	185297	Sean Winston's Waitress
580022	315845	Valerie
580022	398322	Host
580022	411290	Capsella
580023	13995	Herself
580023	380012	Herself - Finalist #6 (2002)
580024	20038	Quinn
580024	23255	Helga Katrina Sinclair
580024	23256	Helga Sinclair
580024	23257	
580024	26490	Susan Ivanova
580024	26494	Susan Ivanova
580024	40081	Laurie
580024	52201	Kara
580024	59829	Yvonne Voss
580024	65453	Iris
580024	67586	Lisa
580024	78775	Kitty
580024	79136	Princess Leia
580024	96733	Lady Katherine Isabella Olivi
580024	107396	Anna
580024	113415	Max
580024	126131	Blue Fairy
580024	129761	Samantha
580024	137492	Williams
580024	140181	Lucy
580024	144347	Hexina
580024	144641	Brenda Lee Van Buren
580024	145109	Dawn
580024	150316	Jane
580024	151235	Eliza Allen
580024	163852	
580024	169384	Queen Aquareine
580024	172666	Meagan
580024	184358	Katherine Shelley
580024	189921	Felice
580024	195274	Woman in Gallery at End
580024	199138	Cassandra 'Casey' Harris
580024	207510	Julia Forsythe
580024	211329	Patricia Van Lier
580024	217476	Virginia Monroe
580024	230333	
580024	230375	Tuesday
580024	238739	Princess Leia (segment "Darth
580024	259280	Officer Babs Altoon
580024	269855	Amy Martin
580024	275322	Leeann Hardy
580024	283537	Jules Daniels
580024	292670	White Rose
580024	297455	Molly Temple
580024	300231	Fairy Godmother/Female Citize
580024	306110	Renate Muller
580024	307266	'Raven' Maj. Delany Kelt
580024	316515	Claire Lederer
580024	317882	Andy
580024	318865	Sangaril, Logosarch, Rosalind
580024	323781	Elizabeth 'Liz'
580024	330452	Dr. Irene Marsh
580024	340823	Elaine Kilgore
580024	366131	Shelley Lowe
580024	381082	Susan Ivanova (1994-1997, 199
580024	381703	Melody Hughes
580024	390034	Herself/Presenter
580024	398710	Jessie (young)
580024	406391	Captain Belinda Blowhard
580025	311500	'Interesting' Woman
580026	336814	Joan Landry
580027	220333	Show Girl
580027	248450	Woman
580028	6669	Christintje
580028	17390	
580028	18530	Haftricherin
580028	33498	
580028	72775	
580028	101719	
580028	145499	Ellen Linneweg
580028	169975	Rumänin
580028	175273	
580028	180916	Natascha
580028	215939	
580028	225268	Grete Koller
580028	239116	
580028	268987	
580028	276444	
580028	325490	Frau Dr. Saarstedt
580028	325804	Eva Konalsky
580028	334524	Karin
580028	334639	
580028	345897	Karin
580028	348086	Brigitte Lundbye
580028	380931	Christa Neumann (1974)
580028	383172	Carla
580028	388169	Anna
580028	388286	
580028	389280	Marian Halcombe
580028	392086	
580028	393464	Aninha
580028	394827	
580028	404451	Hedwig Baumann
580028	409970	Teresa Stolz
580029	6410	
580029	25088	Jeanne
580030	81299	RV Girl
580031	249039	Cors Blevins
580031	336588	
580032	136038	
580033	26711	Mrs. Charley Smith
580033	375898	Joyce Andrews
580033	375899	Joyce Andrews
580034	239082	Lady
580035	103326	Kovarick's Soldiers
580036	345952	Francesca Lucido
580037	47237	Desk Clerk
580038	365294	
580039	230693	Model With Pearls
580040	96736	Ginger Capelli
580040	147655	Nina
580040	382666	
580041	403169	Angie
580042	26263	Marilyn
580042	35638	Syrene
580042	82517	Vonda
580042	89627	Sharon O'Connor (Doll Squad m
580042	303490	Lady Skier
580042	368588	
580043	386	Minelli
580043	669	Ellen Martens
580043	5133	Gräfin Colmar
580043	19216	
580043	23148	Beth Hallson
580043	31262	Jeanne
580043	32217	'Rose of England' Judge
580043	33267	Lucy's Mother
580043	52785	
580043	66111	Cigarette Girl
580043	82411	
580043	85017	Bianca Milan
580043	134026	HinMoa
580043	134835	
580043	138886	Mignonette Chappuis
580043	147536	Angel
580043	151069	Elsa
580043	217554	
580043	229622	Laura Vivaldi
580043	253943	Grace McNaughty
580043	254349	
580043	300063	Chorus girl
580043	304637	Princess Panthea
580043	325115	Mara
580043	332136	Maria Ramon
580043	336109	
580043	348327	Goldwyn Girl
580043	349404	Miriam Marshall
580045	345286	Victoire
580046	11439	Rie
580046	25749	Yukari Tanizaki
580046	123445	Asagi Kusanagi
580046	142418	Cleo
580046	267200	Futaba Aasu
580046	304686	Amazon
580046	379081	Satoshi Imamiya
580046	379521	Densuke
580046	381025	Yukari Tanizaki
580046	384233	Ansa
580046	386536	Risa Harada
580046	387457	Colleena, Waitress
580046	388916	Jumpy
580046	389503	Kaname Chidori
580046	390536	Luna Gusuku
580046	394431	Kyoko, Additional Voices
580046	398924	Azusa Katsuragi, Additional V
580047	317120	Girl in Bar
580047	357071	
580048	34516	Lotte
580048	73843	Granddaughter
580048	302427	Pige i klub
580049	104760	Irish entry (6th place)
580050	46322	Brian's Sister
580051	178034	Sally
580052	42732	Girl #3 in bathroom
580052	280653	Baby Saticoy's 'toy'
580053	1267	
580053	114277	
580053	126724	
580053	245065	
580054	157324	Second Grade Communion
580055	401891	Herself - Scene 23
580056	296744	Women on the Bridge
580057	14155	
580057	52271	
580057	66105	Mina
580059	291903	Kids from Bear Valley
580060	178286	21st Waitress
580061	144860	Robin Kelly
580061	391539	Robin Kelly
580061	407663	Waitress at Jimmie's
580062	28493	Townspeople
580063	14787	
580063	53126	
580063	74900	
580063	212440	
580064	157324	St. Jude Student/Second Grade
580065	315808	Vrouw van René
580065	377258	Rose magnier
580066	302748	Robert's Sister
580068	232385	Disco Hostess
580069	874	Winona
580070	9889	Mrs. Kirschenbaum
580070	48762	Girl #1
580070	190083	Juror
580070	289525	Kellie
580071	295480	P.J.
580072	14122	Woman
580072	87891	Katherine
580072	89304	Bonnie
580072	95306	Sandy
580073	391509	Babs (Series 6-7) (1984-1986)
580074	83515	Paramedic
580075	11451	Nellie
580075	25019	
580075	232144	Lila
580076	58416	
580076	156337	
580077	221638	Hannah Brenshaw
580078	39961	Dancer
580078	138804	Herself
580078	279012	
580078	279411	Specialty Dancer
580078	323883	Woman
580078	329329	Ice Cold Katie (Ice Cold Kati
580079	336993	
580080	185850	Patty's friend
580081	247272	Baby Pamela
580082	367861	Bianca
580083	210079	Dora O'Malley
580084	6304	Elsa Schultz
580084	11342	Kate Keller
580084	12836	
580084	12887	
580084	23971	Evelyn Byrd
580084	46617	
580084	48677	
580084	67778	Karie, Swan's niece
580084	86100	Inge Lund
580084	93503	
580084	94786	
580084	103102	
580084	103221	Anita
580084	109201	Mabel Bratt
580084	111958	
580084	113452	Großfürstin Olga von Rußland
580084	119167	
580084	119200	Vera Moretti
580084	119201	
580084	120160	Friederike
580084	126379	
580084	126488	
580084	130913	
580084	141951	Dete
580084	155451	Empress
580084	170640	
580084	181137	
580084	182773	Luise, Königin von Preussen
580084	188547	Mrs. Berndl (misspelled Bernd
580084	188861	Königin Alexandra von Gregori
580084	204477	
580084	204635	Maria
580084	213597	
580084	217662	
580084	226259	
580084	226339	
580084	227391	
580084	235512	
580084	242021	The Empress
580084	253553	
580084	283441	
580084	286211	Dora Green
580084	290020	Renate
580084	290618	
580084	295448	Marie
580084	299165	Countess Boranoff
580084	307086	
580084	322508	
580084	327821	Manya Lodge
580084	352387	
580084	352389	Violante
580084	352488	
580084	352614	
580084	358897	Princess Alix
580084	361004	
580084	361519	
580084	361996	
580084	364773	Naomi Trice, aka Naomi Stroud
580084	367490	Florence
580084	375849	
580085	295375	Zo
580086	39111	
580087	169939	Grace Basile
580088	114773	Skuespiller
580089	22844	Operationssygeplejerske 4
580089	214339	Maria II
580090	278510	
580091	380279	HSPCA Cruelty Investigator
580092	7615	Party Guest
580093	26694	
580094	400236	Jane Ebert (1991)
580095	186036	Beth, Nurse on Bus
580095	321154	Dancer in 'Rhythm of Life' nu
580096	214339	Marie I
580097	316286	Emma
580100	21449	Jean Stafford
580100	159672	
580101	134568	Car Passenger
580102	107695	Girl
580103	119254	
580103	121001	Annemarie Most
580103	140257	Mary
580103	225171	
580103	265402	Schülerin
580103	387735	Johanna Kröger (1987, 1989-19
580103	387769	Schwester Lynn
580104	331512	Madame D'Artagnan
580105	267486	Bridget
580105	383078	Flora (1993-1997)
580105	384482	Kim Cotton
580106	115230	
580107	187333	Hawk's Bride
580107	280654	Hawk's Bride 2
580108	364025	Danish School Girl
580109	203454	
580110	55126	
580111	327054	Sasja
580112	313779	Herself
580112	325580	Herself
580112	404066	Host
580112	407362	Host (1 August 1987-1997)
580113	105145	Andy's Mom
580114	47398	Laura, Storm's daughter
580114	113770	
580115	64644	Herself/Various roles
580117	273876	Laura Banner
580118	338698	
580118	386347	Herself (episode 1.6 "1970-19
580119	97440	Milly
580119	141107	Page
580119	148570	Research Assistant
580119	273241	Nun #2
580119	302116	Desk Clerk
580121	193000	Spaghetti Spectator
580122	320028	Madison
580123	236972	Toy Soldier
580124	245361	
580125	327587	
580126	366274	Christopher Robin
580127	326654	Barbie
580127	326655	Trendy Girl
580128	194223	Tammy
580129	194223	Pammy
580130	108330	Police Officer
580131	379999	Herself (interviewee)
580132	306220	Make-Up Person
580133	318341	Jesse
580134	305571	The Winner
580135	271206	Geography Teacher
580136	42190	Dolly
580136	138520	Evas arbetskamrat
580136	182302	Telephone operator
580136	210310	Lisa, musician
580136	268343	Märta's friend
580136	284101	Branzell's maid
580136	303663	Paula von Berger
580136	322297	Vera
580136	346962	Gunvor Hall
580137	54464	Prostitute
580138	75033	
580138	75195	
580138	93716	
580138	104758	Greek entry (14th place)
580138	291901	
580138	381256	Herself ( Evicted 8th, 58 Day
580139	364627	
580140	315998	Valerie Pearson
580141	23623	
580141	68586	
580142	346995	
580143	28478	Annabelle Pettijohn
580143	55550	Mrs. Mullin
580143	80669	Mrs. Willebrandt
580143	106740	Helen (The Hostess)
580143	118979	Peg
580143	139483	Thelma
580143	139567	Flora Simpson Reilly
580143	175184	Jane Harding
580143	202736	Mrs. Upson
580143	299319	Rose Axelrod
580143	316768	Mrs. Wellman
580143	347681	Mrs. Gladys McGraw
580143	383446	Agnes
580143	388210	Dorothy Walker
580143	390759	Herself
580143	393613	Regular
580144	381332	Billboard girl
580145	280487	
580145	296031	
580146	64864	Shelter Victim
580146	212837	Michael's Wedding Guest
580146	337336	Leanne Madagin
580147	360055	Angie
580148	158091	News Anchor Person
580148	222586	
580149	203328	Woman Exercising
580150	196341	Mama/Mrs. Maloney
580151	43703	
580151	201079	
580151	211226	Jeanne Vidal
580151	241878	
580151	340573	
580152	135176	Claire Julian
580152	224257	Esmemkki
580152	241599	Riva
580152	380504	Host
580152	383987	Edna
580152	400916	Charades Player
580152	408042	Co-hostess, Singer
580153	141580	
580153	391260	Cleo/Iggy
580153	391261	Cleo (1984-1987)
580153	401865	Potato Chip
580154	216184	Courtroom Person #3
580154	230926	House of Bling Customer
580155	129686	Maria
580155	338387	Mary Steinweg
580157	82332	Bev Donaldson
580157	401973	Nancy Smith
580158	12093	Bookmaker's Wife
580158	56603	Jessie
580158	81639	Mrs. Clutterbuck
580158	103447	Mary Hockstadler
580158	115233	Minnie Arnott
580158	132326	Anna
580158	197755	Miss Simpson
580158	212118	
580158	272536	First Tart
580158	290352	Woman in ward
580158	348313	Jane
580158	364796	Sally
580158	384497	Mrs. Marchbanks
580158	397385	Paula Hepburn
580158	398749	Clara Hackett
580158	411315	Clare Kirkpatrick/Gibson
580159	189844	Herself
580160	71741	
580161	355096	Melissa
580162	401502	
580163	301879	Model
580163	338044	
580164	27877	Jasmine
580164	45001	Zola
580164	58940	Melissa
580164	100711	Fresh Nug
580164	163625	Strip Club Hostess
580164	237008	Sporting Goods Clerk
580164	299657	
580164	398568	
580164	399011	Bonnie Leek
580164	402399	Corinne O'Boyle
580165	686	Herself
580165	2364	Herself - Best Actress Winner
580165	2375	Herself - Presenter: Best Act
580165	3021	Herself - Past Winner
580165	3040	Herself - discussing Warren B
580165	7982	Phyllis Mann
580165	17220	Narrator
580165	33804	Glenda Spender
580165	38019	Liz
580165	58807	Betty Rivière
580165	73707	Babette LaVern
580165	76542	Barbara Barlow
580165	79083	Diana Scott
580165	81490	Herself
580165	82695	Susan Harris
580165	88936	Lara Antipova
580165	90348	Laura Baxter
580165	92868	Queen Aislinn
580165	107351	Clarisse/Linda Montag
580165	108950	Bathsheba Everdene
580165	109483	Claire Chingford
580165	113506	Mrs. du Maurier
580165	116796	Mrs. Quinton
580165	129865	Marian - Lady Trimingham
580165	130628	Ruby
580165	137930	Gertrude
580165	139655	Madame Rosmerta
580165	141548	Anne (1982. In Satipur Town)
580165	141621	Betty Logan
580165	155011	Dori
580165	157983	Catherine
580165	188579	Narrator
580165	191306	
580165	193232	Herself
580165	208878	Constance Miller
580165	210541	'D'
580165	214939	Rachel
580165	215589	Miss Mary
580165	219687	Herself
580165	227925	Herself
580165	233989	Dr. Anna
580165	250396	Herself
580165	254290	Petulia Danner
580165	261986	Ellen Freeman
580165	269050	Catherine Dantec
580165	271163	Helen Cuffe
580165	276804	Kitty Baldry
580165	294517	Mrs. Shankland/Miss Railton-B
580165	297261	Jackie Shawn
580165	306008	Narma
580165	335489	Herself
580165	340652	Thetis
580165	371561	Herself
580165	374844	Herself
580165	378976	Christine/Andromeda
580165	394163	Lady Ruth Balmer
580165	395363	Various
580165	410465	Charlotte Deutz
580166	120865	Jean
580167	269624	Child
580167	399130	Caroline Woodhouse (1988)
580168	18212	Receptionist
580168	49938	Rebecca Ludwig
580168	59875	Customs Agent
580168	234116	Operator in Heaven #3
580169	26968	Hannah Chenko
580169	52218	
580169	68689	Aunt
580169	98912	Lady at Concert
580169	115805	Mrs. Clover
580169	236748	Ursula
580169	241692	Girl, 'Honeymoon' segment
580169	382384	Sister Godric
580169	385714	Helen Duncan
580170	89942	Emmie Harris
580170	202367	Teen Girl at Party
580170	241762	
580170	260136	Lisa
580170	292551	Ona
580170	319876	Julie
580170	368260	Miss Martinez
580171	241692	
580171	396422	Grandmother Frog
580172	71713	Bun Mackenzie
580173	146783	Mrs. Burke
580174	69243	Angela
580174	246854	Anna
580174	258503	Lurdes
580174	386212	Ully
580174	387640	Cilene
580174	393977	Rosário
580174	394872	Cassandra
580174	396610	Branca/Ava (1995)
580174	397539	Jessica Miranda
580174	402626	Ivana Cintra
580174	404834	Eleonora Ferreira
580174	408316	Daniela
580174	410054	Carlota
580175	91501	
580175	150865	Shona
580175	269979	DS Jenny Dunlop
580175	292213	Nina
580177	131200	Gianetta
580177	264160	Princess Ida, King Gama's Dau
580177	309130	Aline Sangazure/Pointdextre
580178	62036	Belinda
580179	238140	Teenage Girl
580180	23469	The Dancing Girl
580181	32809	Jessica
580182	137677	Beth
580183	218136	Juliet
580184	5574	Girl Tourist
580184	258951	Ivy, Age 9
580185	258188	Tillie
580186	36723	Stripper
580186	96771	Dr. Vance's Nurse
580186	305571	Roberta
580187	80753	Government Woman
580188	30311	Female computer operator
580189	391258	Herself (contestant)
580190	136781	
580191	403805	Carrie Brady (1997-1999)
580192	403805	Carol Burns (2002)
580193	384783	Shirley Hawkins
580194	71149	
580194	326942	
580195	60897	
580195	78271	Brunette Girl
580195	127302	Susanna (mezzo-soprano)
580195	172564	
580195	184482	Karapedes' daughter
580195	209739	Marta
580195	256559	
580195	259863	Chic
580195	291437	
580195	319214	
580195	364577	
580195	374131	Third Lady
580195	389061	Herself
580196	315807	Kirsten Kosinski
580196	334575	
580197	217421	Fiona
580198	356811	
580199	114609	
580199	161640	
580199	165086	
580199	186856	
580199	250442	
580199	277095	
580199	312666	Christina Protost
580200	110538	Annie
580201	244823	Narrator
580202	56545	Herself
580202	168221	Floozy
580202	195823	Christine Burkhard
580203	94392	
580203	132066	
580203	134603	Brigitte
580203	206666	L'Anglaise
580203	263720	
580204	320519	Maruja
580205	21965	
580205	63186	
580205	75040	
580205	83861	
580205	128718	
580205	183621	Battered Girl
580205	292472	Jan
580205	298008	Young Paula
580205	300520	
580205	318299	
580205	366576	Lisa
580205	381091	Herself (eliminated round 1) 
580205	406063	Rosie Ianni
580206	219639	Rebecca James
580208	299999	Lydia as a baby
580209	114865	
580210	129188	Lesbian Roman
580210	216145	The Broadway Girl
580211	320060	Sandra
580212	82662	
580213	6859	Natalia
580213	13090	Aniuska Nijinski
580213	17816	Greta
580213	23372	
580213	28974	Carmen
580213	56078	Sardella
580213	90088	
580213	94680	Complice dei rapinatori
580213	125409	
580213	146433	Young Girl (segment "William 
580213	159740	
580213	189100	Christine
580213	202770	
580213	204587	
580213	251852	Marisa
580213	263621	
580213	263720	Elena
580213	351611	Nicoletta Bianchi
580214	153004	Mrs. McCunn
580214	246600	Joan Atherton
580214	360792	Lizzie
580215	162267	
580215	224421	
580215	342901	
580215	342902	
580216	154182	Dancer
580216	175175	
580217	58928	
580217	275888	Lyn
580218	321657	Jezebel
580219	2437	Elya Carlson's maid
580219	5934	
580219	38051	Eva Oster
580219	54977	Mathilda Vernon
580219	57037	Mrs. Ruth Winters (Brassfield
580219	66381	Sally
580219	71624	Tanya
580219	72122	Margaret Baker
580219	75908	Sister Marthe
580219	79388	Helga
580219	92734	Mrs. Caldwell
580219	97493	Hulda
580219	114280	Nurse
580219	114940	Mrs. Phillips
580219	123884	Mrs. Karty
580219	128790	Bernice Meyers
580219	131534	Mrs. Rigsbee
580219	135396	Hilary St. George
580219	137213	Eleanor Murchiston
580219	144861	Mrs. Simpson
580219	150934	Lady of the streets
580219	155586	Evelina
580219	157654	Frau Gulden
580219	158792	Mrs. Connell
580219	159914	Rhoda Roberts
580219	161743	Wilma Lentz
580219	161943	Mildred Elsworth
580219	168750	Mrs. Lapham
580219	169942	Mrs. Halbestadt (Haywood's ho
580219	176834	Mary Gillespie
580219	176912	Lilly Harmon Lubinsky
580219	176913	Miss Watson
580219	210890	Patient's wife at lecture
580219	215862	Maria (the beautician)
580219	222326	Princess Ananka
580219	222684	Dora Darnell
580219	224614	
580219	230435	Lt. Myles, Recruiting Officer
580219	232322	Jean Benson
580219	232409	Mrs. Sue Bressard
580219	235405	Bruni (Oley's wife)
580219	239721	Miss Cummings
580219	239822	Queenie Leone
580219	241525	Hannah Peale
580219	254524	Celester
580219	265005	Mrs. Bergh, Chaperon
580219	270926	Emma
580219	271084	Countess Elsa von Merck, alia
580219	289588	Carla Marquette
580219	310565	Mabel Rumpler
580219	311316	Secretary
580219	319617	Mrs. Frank
580219	331292	Helen Goldsmith
580219	340694	Eadie Watkins
580219	365052	
580219	367578	Alma
580219	367616	Jenny
580219	367790	
580219	367825	Claire Adams
580219	404517	Additonal Voices
580219	407487	Ovie (1961-1962)
580220	26955	Mother at Tenement Fire
580220	64842	Station Nurse
580220	65174	Lydia
580220	67388	Casino clerk
580220	108382	Woman at City Hall
580220	116466	County Nurse
580220	131567	Tony Jackson
580220	208970	Mayellen Jones
580220	210732	School Teacher
580220	242487	Salina
580220	250514	Nurse Klegg
580220	256627	2nd Airline Clerk
580220	279273	Newswoman at Factory
580220	342826	
580220	401552	Sharique (2001)
580221	128782	Herself
580222	82099	Ginny Lee, Actress
580223	378614	Houser
580224	7900	Daughter
580225	139572	Interviewer
580226	273020	in Biarritz
580227	342683	Violet
580228	83379	Salomé
580229	34522	Paula
580230	214662	Waitress #1
580232	241316	Hostess
580233	273486	
580234	47237	Renee Le Beat
580235	306431	Policeman
580235	357001	Detective
580236	105819	
580237	184353	
580238	77675	Baba
580239	98983	
580239	136488	Evita
580239	217800	
580239	241899	
580239	350808	Antigone
580239	379412	Amalia
580239	398880	Ellie
580239	402344	Andigoni
580240	196549	Israeli Girl
580241	160801	Questioner
580242	59520	La femme de chambre
580242	285984	Catherine, une amie de Pierre
580243	48320	Martha
580243	110548	Herself
580243	378636	Herself
580243	382400	Host
580243	386998	Herself
580243	401267	Host
580243	402490	Herself
580243	403391	Herself
580244	181736	Fødselslæge
580245	316821	
580246	50328	
580246	252000	Pige på Stengården/Servant gi
580246	340079	Kvaksalver
580246	383045	
580247	11661	Cheerleader
580248	37894	Autumn
580248	79910	Nurse Della Divelbuss
580248	123303	Paula Thomas
580248	130183	Writer
580248	139174	Ricki Stewart, Susan's Aide
580248	188138	Betty
580248	201502	Herself
580248	220427	Ingrid
580248	223909	Mrs. Butz
580248	250779	Sister Bernadette
580248	275762	Roselyn Hatchett
580248	276385	Kathy
580248	282434	Katie
580248	294646	Georgia Owens
580248	301787	Misery woman
580248	323565	Andrea
580248	346125	Kim Jones
580248	363948	Marlena
580248	365498	Dora lookalike
580248	383490	Lila
580249	311517	A.J.'s Friend
580250	57139	Nonna
580251	58946	Kirby Hill
580251	167866	Little Girl Petting Reindeer
580251	194136	Little Girl at the Pizza Plac
580251	226974	Little girl on the playground
580252	99860	Patient
580253	23648	La scripte
580254	124571	Youngest Daughter
580255	50156	Herself
580256	8920	La mère de Marc
580256	14404	La mère d'Edmée/Edmée's mothe
580256	15130	Alberte Guéret
580256	17522	Marguerite
580256	23770	Constance
580256	23781	Isabelle
580256	23828	Maria Varescot
580256	24407	La cliente
580256	33577	Renée Cérusier
580256	44576	Mrs. Escarguel
580256	53236	Duchesse de Berry
580256	55533	Madame Chabanne
580256	55598	Nelly
580256	59743	Old lady in the park
580256	60686	Geneviève de Grisolle
580256	70589	La baronne
580256	75909	Roxane
580256	90708	Liana Franci
580256	91460	La mère de Fanny
580256	94326	
580256	96396	Clémence
580256	108885	La princesse Daniloff
580256	108890	Lady Rashley
580256	112073	La douairière
580256	119491	Alice de Roujay
580256	133072	Jacqueline Schoudler
580256	140302	GMC
580256	161777	Queen Alice
580256	199581	Galswinthe
580256	200957	Miss Martini
580256	205616	La secrétaire
580256	205745	La marquise
580256	205760	Marie Tudor
580256	211487	Marcelline Fortier
580256	219587	Lady Mary
580256	231147	Judith de Rieusses
580256	248251	Jeanne Van Dusten (segment "S
580256	258313	Mme Davant, la mère d'Hélène
580256	262948	Une pensionnaire de l'orpheli
580256	264943	Huguette
580256	266947	Une invitée au vernissage
580256	268199	Mother Superior
580256	269144	
580256	272257	Récitante
580256	273672	Thérèse
580256	280516	The Duchess
580256	283027	Lady Blanche Wilburn/Lydia
580256	289435	Françoise
580256	292366	Rogeraine
580256	292803	La marquise de Moncornet
580256	328844	L'infirmière/The Nurse
580256	340176	Anne d'Autriche
580256	340177	Anne d'Autriche
580256	341019	Jenny
580256	346636	Jacqueline
580256	353431	Françoise Pélicier
580256	358573	Dr. Louise Dumarcet
580256	376985	
580256	378789	The Mother (2004-)
580256	379366	Thérèse Saint-Romans
580256	381615	Mélanie
580256	384123	Ursula Martin
580256	390476	Annie Fresnay (2000-2003)
580256	396870	Hélène
580256	408001	Thérèse de Fontanin
580256	411699	Marie Gagneur
580257	340347	
580257	381612	Victorine (1965)
580258	5585	Croft's Girl Friend
580258	30439	Simone
580258	69980	Istvan
580258	153847	Marie
580258	240487	Catherine
580258	254966	Momone
580258	379240	Adélaïde Pays
580258	393215	Cécile adolescente
580258	396867	Marie-Antoinette jeune
580259	29965	
580259	45052	
580261	2709	Salon Patron
580262	356247	Gail
580263	11362	Eunice
580263	23975	Mrs. Carbone
580263	82327	
580263	159199	Muriel Fitzgerald
580263	193956	Dee Lewis
580263	208054	Sally Zim
580263	244397	Female Guard
580263	263789	
580263	283282	Mrs. Caputo
580263	314884	
580263	353525	Israeli Intelligence Worker
580264	178468	Mrs. Martha Shaneyfelt
580265	259898	Mother
580265	314745	Waitress
580266	6745	Barbara
580266	257720	
580266	399446	
580267	66337	Kiki
580267	108256	Marilyn
580267	130016	Karla
580267	223026	Jennifer
580268	166643	Wife
580269	40314	Pregnant Woman
580269	81147	
580269	88869	Diane
580269	91554	Wynberg's Secretary
580269	97035	
580269	119533	Veterinarian
580269	203436	Heidi Robles
580269	215346	Anchorwoman
580269	230508	Additional Voices
580269	271192	Voiceover
580269	276794	Bonnie
580269	309047	Dorrie
580269	361811	Judge J.J. Ford
580270	22596	Dallas Reporter
580270	63019	Board Member
580270	253345	Hotel Clerk
580270	253350	Judge Patricia Hoffman
580270	253362	
580270	276688	District Attorney
580270	292452	
580270	342623	Nurse #3
580270	367909	Food Lady
580271	31858	
580271	94525	Floozie #2
580271	109722	Hippie Girl
580271	306305	Jennifer
580271	363005	Ruth Garvey
580272	26606	Girl
580272	66642	Ann Gately
580272	70777	Nina
580272	83920	Nurse
580272	124381	Nina
580272	193295	Bridesmaid
580272	241542	Mrs. Stuart
580272	262758	
580272	309839	Carol Waterman
580272	367582	Girl at Party
580272	386582	Assistant (1958-1959)
580273	2925	Hippie College Protester
580273	89320	Razzmatazz
580273	212982	Bikini Party Girl
580273	351178	Doll, the Bartender
580274	257720	
580274	378978	Dancer
580275	229260	Jerilderie Young Woman
580276	183627	Daughter on Boat
580276	184948	Girl
580277	96721	Sugita
580278	193770	Becky
580279	60227	Airline representative
580279	73214	Woman shouting in crowd
580280	100109	Kelly Carnahan
580280	379716	Antoinette 'Skye/Toni' Patter
580280	380391	Lorna Devon #2 (1994-1997)
580280	389858	Abby Mitchell (1993)/Antoinet
580280	400236	Antoinette 'Skye/Toni' Patter
580280	401930	Antoinette 'Skye/Toni' Patter
580281	102232	Vicki
580282	312298	Woman
580283	82835	Little Sid
580284	128838	Elizabeth
580285	320122	Herself
580285	320151	Herself
580285	320152	Herself
580285	407075	Herself (3 Days, Tagi Tribe)
580286	76585	Helen
580286	168928	Party Guest
580286	381686	Pamela Sue
580287	240171	Herself
580288	387351	Himself - Host
580289	125432	Madame Smidt
580290	337551	
580291	7827	Heather Daily
580291	60179	Tracy
580291	105732	Nadia
580291	109764	Laura
580291	136300	Cori
580291	160885	Interjector
580291	185253	Medical Assistant
580291	210520	Natalie
580291	223502	Sarah
580291	278224	Kickboxing Chick
580291	297628	Gail
580291	307689	Julie Darnell
580291	308557	Andrea Johnson
580291	365981	Dani Porter
580292	80381	A.B. Maureen Jones
580293	391404	Princess Dawn (1969-1971)
580293	404520	Daphne Blake (1969-1970)
580294	103816	
580295	22629	Dancing Girl No. 2
580296	346516	Nelly
580297	177624	Fiona Seymour
580298	134288	Woman Inmate
580299	165036	Daniela
580300	223484	
580301	107360	
580301	121066	Köchin
580302	86545	Yolei/Biyomon/Birthday Girl/G
580302	381091	Herself (eliminated round 1)
580302	386345	Biyomon (1999-2000)/Yolei Ino
580302	393503	Sarah Goodman
580302	398074	Kahimi, Additional Voices
580302	404081	Cassandra
580302	406420	
580302	408734	Dorie Dutton
580303	208207	Young Susan
580304	318455	Gertrude
580305	32915	Peg Harper, Bob's Girlfriend
580305	37028	Wheezer's mother
580305	88185	
580305	93117	Betty Brooks
580305	118441	Helen Griffith
580305	131737	
580305	139547	Jane from 'Speedy'
580305	142612	
580305	147722	
580305	171216	Nan Morgan
580305	176374	Mary Hall
580305	184882	Mary Lou
580305	193998	
580305	279399	Betty Brooks
580305	310805	Jane Dillon
580305	359975	Dolores
580306	54161	Herself
580306	104689	Herslelf
580306	104750	Belgian entry (15th place)
580306	189883	Herself
580306	280616	Chansonnière
580306	383368	Zangeres
580306	387947	AnnChristy
580307	221401	Herself
580307	277851	Athlete
580309	2845	Mrs. St. Clair
580309	7492	Mrs. Updyke
580309	20345	Mrs. Myrtle Welling
580309	20536	Mrs. Lowry
580309	36873	Mrs. Emery
580309	37214	Leila
580309	37349	Natalie
580309	39696	Mrs. Becker
580309	46987	Anita Smythe
580309	57099	Wealthy Shopper
580309	57115	Tessie
580309	66826	Mrs. Chauncey Chadwick
580309	70297	Constance Forbes
580309	72233	Lulubelle
580309	75692	Mrs. Errol
580309	77015	Nora (the cook)
580309	78732	Helen Kay
580309	81026	Mrs. Taylor
580309	84837	Mrs. Crimp
580309	84923	
580309	91908	Leon's Wife
580309	93101	Mollie Hand
580309	96716	Nurse
580309	96853	Mrs. Henry Smith
580309	106294	Esther Hamilton
580309	107013	Grace
580309	107688	Maya Harris
580309	109363	Mme. Celeste
580309	112397	Mrs. Higby
580309	117359	Louselle
580309	118236	Society woman
580309	125377	Francis Brown, the Buyer
580309	126069	Lady Asbury
580309	126513	
580309	130633	Mabel Harlan
580309	134325	Mrs. Merle
580309	137393	Grace, in 'Fabulous Joe'
580309	147726	
580309	148423	Party Guest
580309	155018	Girl
580309	170856	Mrs. Cummings
580309	177514	Mrs. LaSalle
580309	186117	Woman
580309	186452	Chorus Girl
580309	191833	Jim's Wife
580309	192030	Mrs. Baxter
580309	195473	Kitten
580309	195764	Girl
580309	196404	Receptionist
580309	200488	Clerk
580309	205724	Lady in Waiting to Madame Du 
580309	210870	Queen Tika
580309	211610	
580309	214474	
580309	216017	
580309	231985	
580309	234088	
580309	236096	
580309	238983	Officer's Wife at Dance
580309	241327	Woman with Earrings
580309	242110	Rena
580309	242535	
580309	248843	
580309	249222	Angelica Embrey
580309	254456	Queen Tika
580309	255819	Nell Brown
580309	257611	Mlle. Berengere
580309	270667	Mrs. Errol
580309	282354	Rusty's Dancing Partner
580309	289546	Mrs. Williams
580309	292189	Rose Bray
580309	292470	Store Official
580309	293189	Mrs. Errol
580309	294919	Mrs. Knut Johnson
580309	297925	Olga
580309	299779	Margot Kennedy
580309	301145	Verebel
580309	301991	Woman
580309	304606	Blonde
580309	304963	Marjorie
580309	305498	Woman
580309	306396	Widow Paarlenberg
580309	306488	Lady Amy Ducksworth
580309	308939	Mrs. Betty Laurel
580309	317831	McPeek's Girl
580309	318078	
580309	321384	Woman in Lobby
580309	329598	
580309	329616	Nurse
580309	330212	Young woman
580309	346248	Woman
580309	346864	Evelyn Smythe
580309	346900	Mrs. Freedley
580309	347120	Society Woman Saying Goodbye 
580309	360834	Cashier
580309	362877	Speaker
580309	367415	Mrs. Morton
580309	372133	Blonde
580309	372819	Sally
580309	395261	Various
580310	154190	Jeanie McDowell
580310	253106	Susan
580310	316890	
580310	321390	Sylvia
580310	332069	Mary Caldwell
580311	55955	
580311	56058	
580311	84064	
580311	170919	
580311	193490	
580311	219230	
580311	296134	
580311	355747	
580312	280982	White Fawn
580313	105462	Dancer
580314	17937	Marsha
580314	213127	Julia Foster
580314	318104	Susan
580315	149490	Jean Hollister
580316	28751	
580317	388432	
580318	58002	Seducer
580319	90041	Herself - Singer
580319	188406	Herself - Stan Kenton Band Si
580319	313027	Herself
580319	323940	Singer in Kenton's Band
580321	295320	Wedding guest
580322	75642	
580322	128399	
580322	137510	The Old Redskin Half-Breed's 
580322	143056	
580322	185868	
580322	195420	
580322	220308	
580322	253097	
580322	258197	
580322	261488	
580322	274402	
580322	281855	Paquita
580322	304012	
580322	337592	The Kidnapped Woman
580322	354545	
580322	363122	
580322	363251	
580322	363283	Virgie
580323	130713	Pool Player #1
580324	279403	Mrs. Oreck
580325	374031	
580326	6279	
580326	188856	
580326	204634	
580326	216987	
580326	264346	Lady Jackson
580326	289385	
580326	315450	
580326	359641	
580327	73451	
580327	302554	Singer
580328	104751	Monegasque entry (3rd place)
580329	8853	
580329	12201	Member of Lizzy and Her Danci
580329	30338	
580329	57009	
580329	100858	
580329	106495	Mrs. Duncan
580329	143302	
580329	187956	Marjorie Lansdown
580329	195830	Edna Carewe
580329	240832	Chorus Girl
580329	269621	Helen Carruthers
580329	269988	
580329	302752	Margaret Winfield
580329	329406	
580329	329805	First Young Woman
580329	346152	A Nurse
580329	347953	
580329	351733	The Express Agent's Fiancée
580330	105572	
580331	281911	Brandi
580332	51452	Mariette
580332	55070	Marie-Louise Brabant
580332	73637	Madeleine Ménard
580332	78337	Anne Doorik
580332	88064	
580332	111075	
580332	114962	Hélène
580332	118097	Marie Boran
580332	124151	Fille Lafontaine
580332	156273	
580332	167201	Viviane
580332	205210	Sandra
580332	205624	
580332	224888	Elise
580332	238492	Lucienne Derval
580332	240307	Cécile
580332	245957	
580332	272282	
580332	345150	
580332	345271	Simone Fontanet
580332	345491	Suzanne
580332	376970	
580333	89474	Chairman's Wife
580333	340029	Clog Thise
580333	374074	
580334	236323	Simona P.
580335	398005	Presenter
580335	398006	Presenter
580335	406896	Presenter
580336	400217	Reina De Zeeuw (#2) (1995-199
580337	6452	
580337	17309	
580337	77029	Lina Petridi
580337	100454	Tonia Evelpidi
580337	118483	Mrs. Kanalis
580337	132028	
580337	136493	
580337	139558	
580337	148000	Irini
580337	149591	
580337	162146	
580337	174583	
580337	179406	
580337	179456	Mary
580337	180300	
580337	180777	
580337	182380	
580337	182441	
580337	187877	
580337	212567	Mrs. Apergi
580337	226884	Katina
580337	243188	Christina Richter
580337	244237	
580337	246625	
580337	247096	
580337	247602	Reporter
580337	248872	
580337	258649	
580337	259860	
580337	265919	
580337	265950	
580337	288936	Irene
580337	315786	
580337	326212	Voula
580337	327123	
580337	327383	
580337	375104	
580337	375920	Nelly
580337	385986	
580337	396708	
580338	18843	Nena
580338	294391	Nymph
580338	380486	Martha
580338	395090	Nena
580339	150507	Setsuko (English language ver
580340	97727	Neighborhood Extra
580341	293269	
580342	165035	
580342	408863	Olina
580343	387031	
580344	25135	
580344	73154	
580344	101152	
580344	132177	Madame Dornay
580344	268394	
580344	356410	
580345	151641	Donnie
580345	212035	The Girl
580346	303552	Cinema cashier
580347	8476	
580348	320094	Girl Hitchhiker
580349	56084	Teresa Casacci
580350	18626	Nora Grayson
580350	46316	Mary
580350	56608	Ann Upcott
580350	97523	Ruth Manson
580350	116552	Mary
580350	120128	Mary Summers
580350	120295	Aisla Crane
580350	128289	Mavis Tremayne
580350	145556	Jenny Hawthorne
580350	147125	Vicky Hobson
580350	175799	Mary Meynell
580350	258954	Sucal Hurrin
580350	291084	Mary Stanton
580350	359440	Peggy
580350	371073	Lydia Blake
580350	372942	
580351	142541	Lady at Party
580352	58507	Chena
580352	281923	Fran Carlan
580353	17111	Anicka
580354	74789	Young Róza
580354	304250	Ania
580354	376168	
580354	379217	Ewa Kamienska-Werner/Róza Prz
580354	393473	Justyna (I)
580354	401714	Elza Gurke
580355	1020	Bartender
580355	69391	Bachelorette
580355	167049	Worshipper
580355	261248	Clubber
580356	237530	
580356	321515	Evey's School Friend
580357	23477	Herself
580358	252424	Une jet-setteuse en cure
580359	57929	Swan Lake Soloist
580359	61156	Katalin Helinszki/The Hunyak
580360	102112	Sound Recorder
580361	177119	'1978' Actress
580362	37971	Opera Make-up Artist
580363	255872	
580364	276240	Featured Undead Kid #2
580365	59293	Annie Lee
580365	59296	Dkny
580365	63478	Nancy
580365	77002	Woman Interested in Gym Equip
580365	82832	Fong
580365	85486	Mak Suet-Yan
580365	94435	Ching
580365	94913	
580365	111185	Pearl
580365	167442	Po-Wan
580365	175767	Po Wan Yu
580365	179937	Yoki
580365	183012	
580365	226010	Ching
580365	237450	
580365	239142	Yue
580365	286446	Mok Sum-Yi
580365	287036	Chinny
580365	287334	
580365	298406	Jojo
580365	302604	Philadelphia Kwan
580365	305950	
580365	324736	Lee Wen/Mudfish
580365	324738	Sandy Lai
580365	332282	Minmin
580365	332338	Amour Amour
580365	369576	
580365	369577	Lin Zixia
580365	369615	Sisi Li
580365	369810	
580365	370753	Faith
580365	370761	Jean
580365	370927	Ching (Cindy)
580365	371518	Julie May Chu
580365	373101	Emma
580365	374915	Yin
580366	16579	
580366	36624	
580366	84510	
580366	94287	
580366	165544	
580366	227210	
580366	371171	
580366	371671	
580367	368064	Ching Wa
580368	214598	
580369	76420	
580369	124577	
580369	131265	
580369	231617	
580369	370926	
580369	376062	Mandy
580369	376152	Shi-Yi
580370	20625	Extra
580371	87093	
580371	116648	Bo
580371	167435	
580371	168038	Eighteen Virgins
580371	191120	Angie Lin
580371	192447	
580371	193893	Jenny
580371	200286	
580371	210980	Chan Che's wife
580371	216637	Tayona
580371	268650	Sheila
580371	268674	
580371	370726	
580371	371449	
580371	371573	Ah Chor
580371	371599	Jackie
580371	371633	Jackie Sung
580371	374823	
580372	380590	Theresa (1999)
580373	116650	Law's Wife
580374	398756	Yang-Soon's Friend
580375	193980	
580376	206612	Additional Voices
580376	328272	Chinese Interpreter
580377	81542	Trang Vu
580378	237646	Jong-Sae's Wife
580378	287111	Pregnant lunatic
580379	16045	Extra
580380	223506	Candidate #19
580381	327161	Sidewalk Vendor
580382	110592	
580382	151951	
580382	222708	
580382	235689	
580382	332305	
580383	35453	Li
580384	216664	
580385	111068	Art Patron
580386	215855	
580387	332772	Hostess
580387	332773	Wei
580388	60574	
580388	126893	
580388	161085	Actress
580388	215435	So-jung
580388	227402	
580388	236496	Han Ji-yeong
580388	285228	Seon-young
580388	289261	Yun-hie
580388	334729	Seung-hie
580389	373152	
580390	301586	Di
580391	216664	
580392	131341	
580393	99190	Model
580393	159038	The psychologist
580393	215611	Lesbian 1
580394	3284	
580395	115673	
580396	23661	
580396	65892	Lucing
580396	103774	Kuala
580396	387832	Kuala
580396	394247	Molly (2002)
580396	400738	Panying
580397	382126	Herself
580398	212078	Debbie, Earl's Hostage
580398	248976	Mieko
580399	135508	Shiyun
580400	117656	Ticket Seller #3
580401	168063	Herself
580402	195211	
580403	374892	
580404	130768	Girl in seminar
580405	10138	Rebecca
580405	37391	Pei Pei
580405	45756	Iman Asswipe
580405	190702	Hallmark Mom
580405	208088	Female News Anchor
580405	210483	Kiko
580405	215508	Tobin
580405	277881	Angela
580405	284628	Lotus
580405	313938	Ya-Li
580405	339019	Jodi Chang, Perfection Gen. S
580405	386248	Susan (1999-2002)
580406	298762	Lily
580407	168958	Une prosituée
580408	283504	Sarah Kent
580409	351024	
580410	43021	
580411	56729	Thing One
580411	138172	Rescued Girl
580411	191894	Mary Ingalis
580411	192250	Lea
580411	299944	
580412	198894	Gentlewoman
580413	120109	
580414	31327	Mud Wrestler
580415	229516	Chic's wife
580416	299193	Junior Doctor
580417	80051	Club Girl
580418	617	Ani Radeva
580418	212296	Elitza
580418	283693	Leonella
580418	315983	Liya Huston
580419	60881	
580420	293762	Nurse in Hawaii
580421	338466	Annemarie Leinwarther
580422	205692	Marichka
580423	55556	Majda
580423	179890	Kitty
580424	68274	Command Control Technician
580425	41247	Alice
580426	154866	Flo
580427	107732	Mary Webber
580428	247626	Polish Teacher
580429	9104	Hija de Amaro
580430	194178	Fitness Talent
580431	274314	Scarf Vendor (segment "Girl o
580432	90915	Sylvia Devereux
580433	393261	Herself
580434	29033	
580434	147510	
580434	260179	
580434	276222	
580434	297726	
580434	324379	Gauri
580434	349445	
580435	369742	
580436	186300	
580437	51979	Hin
580437	192447	
580437	293442	Michelle
580438	216624	Shamen
580438	286916	
580439	164623	Tourist girl
580440	297299	Linda
580441	223506	Reigning Miss Philippines 200
580442	3259	
580442	127655	Wife In Rollers
580442	167426	
580442	371509	
580443	51979	Ting
580444	382758	Artur's Secretary
580444	399482	Nina
580445	18636	Agnès
580445	176862	Sabine
580445	259128	Lucie
580445	269743	
580446	74865	Justina
580447	270310	
580448	374461	
580449	238361	
580449	259925	
580449	324135	
580449	357213	
580450	97458	Peter's Mother
580451	304713	
580452	302458	Yellow Gypsy
580453	6437	Suprugata na nachalnika Dochk
580453	62829	
580453	97565	
580453	103565	Maykata na bremennata
580453	126265	Ionka
580453	132104	
580453	156597	
580453	164067	
580453	178234	
580453	180766	Krumova
580453	180780	Kmetitzata
580453	181067	
580453	207940	Shtipana Bona
580453	217493	Direktorkata Savova
580453	244028	Nadya
580453	282715	
580453	286721	Maykata na Tanya
580453	293811	
580453	305463	Hristina
580453	307559	
580453	310951	Neli 2
580453	314392	Zhelyazka
580453	315937	
580453	315983	
580453	316434	Zhenata na kmeta
580453	350252	Dimitriya
580453	357432	
580453	373973	
580453	375742	Longurova
580453	398896	
580454	189429	Herself
580455	1804	Scott's Mother
580455	5527	Woman Lawyer
580455	10749	Queen of Hearts
580455	13805	Dolly, Butch's Mother
580455	25442	
580455	26350	Surrogate judge
580455	29707	
580455	35802	Anne Michaels
580455	60212	Mrs. Rosengarden
580455	64077	Stepmother/Babette
580455	69639	Carla's Mom
580455	72065	Mrs. Davidow
580455	73677	Neighbor Woman
580455	73712	Liz
580455	87234	Angie
580455	91769	Ruby
580455	91932	Madame Lulu
580455	95792	Denise Ralston
580455	97192	Caseworker
580455	105551	Dr. Lillian Jonas
580455	141958	Old Woman/Teacher
580455	156970	Birthday Girl's Mom
580455	160778	Mrs. John Q Citizen
580455	161525	Maggie
580455	168018	
580455	173223	Charlie
580455	176777	Diane
580455	185758	Bobbi
580455	185841	Kathryn
580455	191688	Lt. Banks
580455	192527	Helen MacIntosh
580455	220646	Gisha Maxwell
580455	221255	Frieda
580455	223649	Dolly Walker
580455	224179	Nora
580455	233792	Rick's Mum
580455	235032	Syd
580455	235088	Linda
580455	245084	Sheriff Migelow
580455	252386	Supporting Cast
580455	262033	Angela
580455	268211	Ass pincher's wife
580455	270752	Jacki Brooks
580455	281463	Norma
580455	283320	Poker Player
580455	283398	Construction Foreperson
580455	293020	Jesse Pence
580455	295387	Eddie
580455	301613	Cye Block
580455	321405	Rita (present day)
580455	333120	Alda Lawrence
580455	349869	Barb
580455	360769	Andrea Glissner
580455	362690	Agent
580455	366904	
580455	379197	Additional Voices
580455	379337	Additional Voices
580455	383410	Additional Voices
580455	383412	Additional Voices
580455	386818	Additional Voices
580455	389628	Additional voices
580455	389629	Additional Voices
580455	395355	Additional Voices
580455	395762	
580455	396378	Additional Voices
580455	407992	Esmé Price
580455	408535	Babette
580455	411882	Luba
580456	60148	German Singer
580457	96557	Herself
580458	246575	
580459	376228	
580460	8235	Harpsichordist
580461	172441	
580461	229021	
580462	92858	Mrs. Hung (character movement
580462	181782	
580463	131142	
580464	181510	
580465	156926	
580466	356641	
580467	240232	Anne McCombe
580468	307903	Knock Knock People
580469	5029	Annnie
580469	10502	Asian Cosmetologist
580469	66949	Shen
580469	67376	Angela
580469	277582	June Wong
580469	289167	Carla
580469	316445	Amie
580469	331597	Reporter #2
580469	363492	Det. Hsu
580469	380391	Lily Tran (1992)
580470	71138	Frightened Woman
580471	1646	Imei
580472	123029	Miki, Additional Voices
580473	277881	Young Evelyn
580474	117358	Singer
580475	8806	
580475	286985	
580475	324346	
580475	335397	
580476	173370	Jaewan
580477	277881	Young Angela
580478	77679	
580479	293228	Vice President
580480	77936	
580481	346246	Satori
580482	371593	Shu Ya
580483	23456	
580484	10935	Female 1
580485	94711	Geisha
580485	101700	Mei Ling
580486	8778	
580486	25910	Beautiful
580486	28825	Cher
580486	36360	
580486	62812	Jennifer
580486	88546	Sheung Hung
580486	123261	Hsiao-Hsueh/Lu Hsiao-Ping
580486	135471	Ko Sau-Ping
580486	135492	Wei Hsiao-Tieh
580486	150721	Hung
580486	151984	Mei
580486	152005	Din-Din
580486	167482	Meng Tieh-Lan
580486	189523	Miss Chung
580486	192449	Chu So-So
580486	226080	
580486	241039	
580486	258995	
580486	275574	Miss Yuen
580486	277560	Princess
580486	286917	Mary Huang
580486	296592	Cecilia Yau Tai-Kam
580486	297354	Cathy
580486	303403	
580486	368095	Shum Ching
580486	369041	Shirley
580486	369582	Josephine
580486	369627	
580486	369829	
580486	369927	Cherie Teng
580486	369973	Guihua
580486	371500	Frances
580486	371606	Amy
580486	375777	Cherie
580487	371611	
580488	3260	Little Shien
580488	27795	Moon
580488	63478	Banana
580488	136328	Jane Lam, aka Little Britney
580488	151925	Lai
580488	165342	Khun Boonlueang
580488	168034	Stone Mansion
580488	189168	Ady
580488	192457	Jamie
580488	204937	Tina
580488	209365	Charlotte Watson
580488	247334	Miss Tang
580488	258407	Lily
580488	275578	Wong Siu May, the mermaid
580488	286784	Pema
580488	298366	Ron
580488	301436	High School Fantasy Girl
580488	323092	Rose
580488	327021	Insp. Chung
580488	359018	Yung
580488	371583	Mrs. To
580488	373251	Christie Lee/Angel of Nine He
580488	374827	Lily
580488	374914	Michelle Yeung
580488	374948	Pearl Ko
580488	376062	Li Lai-Shen
580488	408175	Ming, Kang
580489	212511	Peach
580489	240592	
580489	365535	
580489	373153	Chu Han Li
580489	373162	Susan
580490	286852	Mai Li
580491	47903	Herself (news interviewer)
580491	228969	Herself
580491	243651	Herself
580491	304690	Herself (NBC News)
580491	378778	Herself - Co-Anchor (1998-200
580491	383693	Herself - Reporter (1989-1995
580491	384881	
580491	388129	Host
580491	388181	Host
580491	394657	Narrator
580491	399099	Herself - Anchor/Reporter (19
580491	404345	Host
580492	118986	
580493	187078	Nurse
580494	17506	Amazon Guard
580495	215695	Ex-worker
580496	225755	Herself
580497	135502	Anna
580498	194775	Lakana Shan
580498	285605	Chinese Nurse
580498	367825	Li Ling
580499	60124	Kammy
580499	61987	Gillian
580499	61990	Gypsy
580499	63372	Cream
580499	76852	Snow White
580499	127741	Gillian Lu
580499	131320	Linda
580499	136320	Candy
580499	136328	Chopstick sister
580499	137310	Katie
580499	151998	Blue Bird
580499	197133	Mandy
580499	220675	Wing-chi
580499	286984	Wing
580499	370727	Decimator
580499	383833	Ji Mei
580500	340732	Translator
580501	27223	
580502	198474	Red Guard Dancer
580503	86780	Auntie May
580503	232495	Fung Lai Ping
580504	1575	Herself
580504	402993	Herself/San Diego (2004)
580505	175767	'Jenny' Chung Bo Yu
580506	198749	
580507	20625	Extra
580507	246923	Flower Lady
580508	109610	Chinese Lady
580508	278466	Aunt Mei
580508	316752	Old Bag Woman
580508	362808	Documentary couple #6
580509	30108	Elderly Woman
580510	10241	Fast Track/Russian Bars
580511	129799	Herself
580512	241342	Reporter
580513	200132	Yoko Ono lookalike
580514	178975	V-Six Model/Cheerleader
580515	27795	Ying-Wai
580515	102273	Yee Man
580515	135025	Aids
580515	137167	Judy
580515	152023	Sonia Chan
580515	153046	Hwang Mei-Soo
580515	213361	Mak Wei-Fong
580515	227278	Mei
580515	282802	Clara
580515	283609	Ming-Ming Yuk Kong
580515	332260	
580515	369104	Delivery Girl
580515	369797	Yuen Siu-La
580515	373687	Fen
580516	325228	Chinese Grandmother
580517	331608	Mimi
580518	153562	Hot-Chick at Borders
580519	61990	Momoko
580519	286972	
580520	179951	
580521	386618	Contestant
580522	44416	Mai Li
580523	215858	
580523	319191	Brandon's Model
580524	298427	
580525	136160	Cheun Fung-yi
580526	369646	Ms. Lee, social worker
580527	20625	Extra
580528	230821	Finalist #3-2nd Runner-Up
580529	243533	
580531	43931	Casting Assistant
580532	405069	Wendy
580533	189227	Hung
580534	189227	
580534	291634	Yip Hung
580535	151797	
580536	48351	Claire
580537	185241	Grey Eyes
580538	20860	La dame de la forêt
580539	332989	
580540	60550	
580541	219694	Audience (Herself)
580542	96564	Queenie
580542	410769	HuluHulu
580543	334886	Lady 1
580544	79072	Crystal
580545	157324	St. Jude Student
580546	650	Herself
580546	2549	Herself (performer)
580546	47208	Herself
580546	59705	
580546	59706	Herself
580546	59707	Herself
580546	63022	Soloist
580546	63061	Herself/Performer
580546	93053	Herself
580546	154860	Olivia Edmonds-Kerr
580546	282702	Performer
580546	330774	Herself
580547	277527	Herself
580548	370035	Rita Randall
580549	150747	Maid Servant
580549	171401	Liza
580549	176974	Marelen
580549	183639	Alexis
580549	254985	Aunt Ruth
580549	386601	Nurse Wilson
580550	134634	Nurse
580551	24696	Edith
580551	196306	
580551	210817	
580551	215991	Lady Agatha Lancaster
580551	239781	Mrs. Erroll
580551	294215	Mary
580552	91769	Scarf Woman
580553	155094	Waitress
580553	178099	Cocktail
580553	289749	Babe
580553	297508	Card-sharp
580554	323619	
580555	248132	Alicia's Nurse
580555	300054	Techie #3
580556	41444	Ken's Gang 2
580556	110287	Nichola Clay
580556	241341	Jennifer
580556	266054	Tess
580556	390523	Miss Margaret Stone (1988-198
580556	401224	Georgie
580557	79530	
580558	305571	Young American Miss
580559	324371	Revolutionary War Soldier
580560	160971	Chloe
580561	11655	Debbie
580561	150089	
580561	211527	
580562	157324	St. Jude Student
580563	221784	Jeannie
580563	264439	Mogwart #2
580563	344167	Marion MacWhite
580564	324253	Barbara Forrest
580565	346362	Dorothy
580566	44755	Fiona
580566	61642	Mother
580566	133728	Reporter
580566	292597	Herself
580566	384149	Sue (1978)
580566	399816	Jane Chester (1975-1977)
580566	405651	Miss Foster
580567	3930	Dante's Stage Assistant
580568	73641	Bridget Cromwell
580568	140115	
580568	195992	Linda
580568	197755	Schoolgirl
580568	342587	
580568	387334	Princesse Helene d'Orlean
580568	409666	Angela Barclay (3 episodes 19
580569	33732	DC Sinclair
580569	43347	Jane Smith
580569	67478	TV Journalist 2
580569	132122	Bertha
580569	178051	Ruth
580569	191737	Jane
580569	191797	Dipsy
580569	258933	Elsie Patterson
580569	274473	Disco Girl 1
580569	392697	Martha Brown
580570	187226	Cadillac driver
580570	315569	Jenny
580571	330794	Reba
580572	384206	Herself
580573	129079	Ethel May Brewster
580574	90911	Diner Waitress
580574	94655	Clinic Nurse
580574	94861	Karaoke Woman
580574	146884	Kate
580574	160590	Thelma
580574	224328	Jury Foreman
580575	104997	Herself
580576	63526	Herself
580576	185219	Herself
580576	228923	Herself (with Winston)
580576	228925	Herself
580576	244450	Herself (at unveiling of Chur
580576	310714	Herself
580576	384206	Herself
580576	384800	Herself
580576	403494	Himself
580577	32930	Cicely Trevor
580577	56608	Betty Harlowe
580577	87709	Ivy Lamb
580577	89886	Angela Shale
580577	117547	Sophie
580577	146631	Annie Larkins
580577	151197	Rosemary Faringdon
580577	165470	Jane Wilton
580577	186259	Janet Preston
580577	194515	Adela
580577	261600	Jane Bathbrick
580577	264755	
580577	286125	Typist
580577	290330	Marion Carter
580577	291093	Kathleen Scott
580577	294194	Maisie Turnpit
580577	311032	Sally Silver
580577	334298	Herself
580577	366462	Paulina
580577	371328	Sally Gault
580578	384206	Herself
580579	17319	Karen
580580	365259	
580581	363469	Reverend Wilmore
580581	400814	Cissy Bigwell
580582	10641	Lois Allen
580582	37469	Ruth Cameron
580582	44451	Rosa Beretti
580582	49536	Barbara Madison
580582	57766	Janet Blake
580582	59605	Pamela Potter
580582	87122	
580582	92687	Janet Blake
580582	113350	Flo Russell
580582	117751	Marya Ossipoff
580582	128536	Kay Loring
580582	128654	Miriam
580582	131479	Helen Rankin
580582	139519	Louise Haller
580582	187469	Nancy Foster
580582	203120	Jane Carpenter
580582	222600	Sally Keating
580582	258019	Nora Westby
580582	269779	Dorothy Stone
580582	277987	Jane Withersteen
580582	295315	Hélène Berthelot
580582	310747	Pat Corey
580582	330168	Opal Peters
580582	349923	Mary Douglas
580582	358641	Nancy
580582	366915	Sue Cole
580583	130422	Mr. Seavers' Secretary
580584	360032	Vernon's Wife
580585	57170	Wife
580585	66171	
580585	360442	
580586	11427	Sally Thorpe
580586	63530	Herself
580586	78246	Elena
580586	106811	
580586	137905	Ophelia
580586	140779	Ruth 'Ruthie' Cavour
580586	244455	
580586	277669	
580586	282711	Anne Ashmond
580586	294810	Hester Peters
580586	311997	Joan Furze
580586	364400	Maid
580586	384206	Herself
580586	390922	Host/Occasional Lead Player (
580586	404303	Host (1951)
580587	139447	
580587	214928	Herself - Specialty 'I Want t
580587	309592	Regina
580588	409579	Host
580589	15216	Lilly
580589	17964	Soo
580589	92048	English language version)
580589	115597	Soo
580589	123228	(1939 version)
580589	127128	Mrs. Parkes
580589	191359	Mrs. Atterbow
580589	222661	
580589	303971	Factory Girl
580589	313707	Mrs. Grimshaw
580589	363043	Sister Thompson
580589	385299	Mrs. Wallace
580589	396363	Heloise
580589	400110	Woman in street
580589	402797	Ruth
580589	404296	Sara and others
580589	406078	Marla
580590	305692	Party Goer
580591	161345	Herself
580592	40214	Kunina
580592	56665	
580592	123507	
580592	124846	
580592	130007	Vera
580592	182036	Asya
580592	182134	Ivan's mother
580592	207560	
580592	207561	
580592	219426	Marfushka
580592	226187	Pasha (Joan of Arc)
580592	230223	
580592	257384	
580592	265946	
580592	273707	Nina
580592	280397	Herself
580592	299289	Krolikovs' mother
580592	313813	
580592	317241	
580592	327331	Sasha Nikolaeva, museum guide
580592	336424	Jakobina Munchhausen
580592	339626	Rosa
580592	341452	
580592	349315	Tanya Tyotkina
580592	349846	Anna
580592	357128	Vera
580592	370166	
580592	392522	Lizaveta Epanchina
580592	398757	
580593	104779	Russian vote presenter
580594	249914	
580595	209279	
580595	239958	Journaliste
580596	390401	
580597	280566	
580598	30887	Julie
580599	380798	Sarah Braithwaite
580599	399966	Trish
580599	407157	Zoe Carter, practice nurse
580600	354563	Debbie
580601	129164	Juliette
580601	169670	Christabel
580602	13794	Waitress
580602	16642	Mother
580602	405209	Gloria Stanway (1998)
580603	211470	Alumeusse
580604	1518	
580604	49477	
580604	82614	
580604	90803	
580604	91488	
580604	95650	
580604	107664	
580604	129971	
580604	131297	Klavdia
580604	132371	
580604	132567	Nina Grigorjevna/Grafinya
580604	137113	
580604	154216	
580604	179257	
580604	179318	Zoya
580604	198146	
580604	198154	Lyubov Yarovaya
580604	225847	
580604	225948	
580604	239920	Olesya
580604	258422	Ryazanka
580604	259926	
580604	264556	
580604	283682	
580604	297561	
580604	297862	Fräulein Gefreite
580604	300542	(segment Vanderbul' bezhit za
580604	303790	Tsarina
580604	306710	
580604	343960	
580604	344965	
580604	349078	
580604	352816	Tanya
580604	355127	Virineya
580604	374992	
580604	379358	Ksenia
580604	386003	
580604	409360	
580605	67186	Indian child
580605	206520	Masha
580606	167174	Une infirmière
580606	353852	Françoise
580607	385824	Anne 'Annie' Peters (#1) (197
580608	204218	Airport Waitress
580609	385861	Gabi
580610	253047	Hip Hop Girl
580611	234977	Norma's Child
580612	57610	
580612	258521	
580612	282764	Karla Hasková
580612	328935	Slávka Felixová
580613	103254	Young Hooker
580614	162037	
580615	257626	
580616	48211	Roman's Neighbour
580616	63894	
580616	130212	Sophia Maksimovich
580616	179180	Irena Misiak
580616	180251	
580616	207885	Antosia
580616	231620	Neighbour
580616	231652	
580616	244208	Danuta Halaburdowa
580616	255605	Courier
580616	261595	Karpielowa
580616	375466	Mikolaj's aunt
580617	215488	Herself
580617	397888	Herself (2003)
580618	121309	Chica
580619	255450	Nurse
580620	255411	Woman on the Street
580621	42388	DQ Patron #2
580622	379037	Various characters (1994-1995
580622	396017	Trimbull's Assistant #1
580623	311426	
580624	87576	Maid
580625	349941	Singer at a Party
580627	28791	Da Bomb Girl
580627	190337	Vocals
580627	221480	Herself
580627	279460	Tour Group Member
580627	364247	Singer
580627	364249	Vocals/Nurse
580627	364409	Vocals
580628	261324	Alta
580628	322816	
580628	356040	
580629	89591	
580629	224450	
580629	374856	
580630	133988	Aphrodite
580631	6135	Otka
580631	12937	Czechoslovakian actor
580631	150762	Miska
580631	165061	Renata
580631	224513	Gerta
580631	229907	
580631	376564	Magda
580631	383856	Little girl
580631	407383	Klára
580632	138293	
580633	64666	Lady in waiting
580633	179885	Girl in bikini
580633	262490	Herself
580633	286630	Herself
580633	349242	Herself
580633	357696	Herself
580634	167023	Alice
580634	169035	
580634	257723	Klára Jágrová
580634	324566	Janinka
580634	341629	
580634	360071	
580635	212334	Herself - Participant/Perform
580636	356420	
580637	397483	Host (1991-1994)
580637	408752	Hostess
580637	410240	Azafata (1990-1991)
580638	233386	
580639	103630	Lorena
580640	112323	Herself
580641	393187	Mecha
580642	225010	
580643	381922	Herself (9th. evicted)
580644	91388	
580645	100422	Charro 3
580646	321475	Cristine
580646	398800	Dominga
580647	98440	
580648	19457	
580648	23388	
580648	41767	
580648	41769	
580648	100339	
580648	103728	
580648	135272	
580648	135283	
580648	149500	
580648	158937	
580648	199987	
580648	264387	
580648	287861	
580648	287896	
580648	355441	Criada
580649	273119	
580649	353605	
580650	21680	
580651	273012	
580652	151806	Niña de filmación (segment "L
580653	74585	
580653	143777	
580653	301574	Rosa
580654	221962	
580655	60145	
580656	8572	
580656	8598	
580656	15914	Dra. Lisa
580656	18077	Ariane
580656	19369	
580656	23383	Ángela
580656	30341	Chabelita
580656	57423	Rosa
580656	68960	
580656	71082	
580656	74967	
580656	95373	
580656	100404	
580656	122157	
580656	148146	
580656	148583	
580656	198997	Perla
580656	207024	
580656	207598	
580656	207647	Sofia Torres
580656	212465	
580656	233396	
580656	233627	
580656	236407	Librada
580656	237807	
580656	244627	
580656	247871	
580656	249800	
580656	259314	
580656	259854	
580656	277369	Xochitl
580656	280144	
580656	301573	
580656	307510	
580656	351620	
580656	354774	
580656	376692	Olivia
580656	376774	
580656	379461	Irma
580656	383344	Gloria Ballesteros
580656	384126	Olga
580656	389639	
580656	404827	Julieta Álvarez
580656	408709	Dalia
580657	14730	
580657	70688	
580657	74137	
580657	110254	
580657	159034	
580657	210171	Rocio
580657	273124	
580657	296148	
580657	339134	(episode El Erudito)
580657	382541	
580657	391962	
580657	396404	
580657	398485	
580658	393187	Bibi
580659	277409	
580660	123177	
580661	268496	
580662	51624	Dead Girl
580662	78570	Perla
580662	250796	Isabel
580662	396880	
580663	7473	Jenny Quémeneur
580663	55814	Anne
580663	82920	
580663	94312	Joëlle
580663	103610	
580663	123719	
580663	164690	Diane
580663	166288	Mlle Labonne
580663	170469	Juliette
580663	269223	La paysanne de l'accident
580663	283262	Suzy Fernandez
580663	284362	
580663	292911	
580663	300647	
580663	324509	Marguerite/Christina
580663	327547	Louise
580663	346743	La femme du photographe
580663	346756	Julia
580663	349499	Gunda
580663	379240	Tina
580664	111063	Special Guest Cannes Film Fes
580665	371416	Céline
580666	402761	Camille Bergeron
580667	409541	France Gauvin
580668	65151	Nathalie
580668	99364	Hôtesse Transeuro
580668	167874	Jeanne
580668	265735	La fille dans le café
580669	384746	
580669	408009	Mme Martin
580670	403557	La petite Emilie (1964)
580671	87347	
580671	119838	
580671	253573	
580671	328573	
580671	333211	
580671	333705	
580672	232628	La punk
580673	164160	Good Fairy/Teacher
580673	388689	Karen (1995)
580673	396308	Maryline
580674	352931	Les danseuses
580675	112845	
580676	64356	
580677	61474	
580677	163011	Female volunteer
580677	278549	
580677	287374	
580678	41515	Kamila
580678	51118	Lenka
580678	55874	Dana
580678	55885	Dana
580678	58127	
580678	81690	Dr. Ulrichová
580678	88141	Daniela
580678	88732	
580678	88743	Majka Karasová
580678	96384	Olga
580678	110048	Katerina
580678	140220	Alena
580678	150762	Víznerová
580678	162021	Inge
580678	167317	Queen of the Lake
580678	173255	Dona Carmen
580678	174470	
580678	181336	Valerie
580678	198582	Miriam
580678	221866	Masa
580678	223313	Martina
580678	230449	Ivanka
580678	231177	Tereza
580678	237745	Jana
580678	248159	Telcová
580678	262286	Woman in subway (segment "Abs
580678	271751	Leni Seiffert
580678	286731	
580678	304202	
580678	314334	Heda Perdová
580678	317462	Ursula
580678	317627	Queen
580678	322534	Karla Sojkova
580678	322673	Singer
580678	332386	Hybnerova
580678	349375	Princess
580678	357741	Hana
580678	374268	Mother
580678	376244	Inge
580678	383082	Eva
580678	387031	
580678	394266	Golová
580678	399902	Olga
580678	402368	Marta
580678	402369	Pharmacist Durmanová
580678	412004	Bohatová
580679	87893	D.C. Correspondent
580680	13850	Diana Cox
580680	41813	Waitress
580680	52312	Herself
580680	60332	Herself
580680	72114	Waitress
580680	128772	Herself
580680	228482	Herself
580680	233500	
580680	257618	Herself
580680	257652	Herself (Miss November)
580680	257653	Herself (Miss December)
580680	257662	Herself
580680	257823	Herself (Miss February 1994)
580680	257864	Herself (Playmate of the Year
580680	309804	Phyllis Glass
580680	325258	Herself (1995 Playmate of the
580680	359910	Amber
580680	361855	Herself
580680	367334	Siobahn
580680	391555	Annie (1995)
580680	402113	Herself (1994-1995)
580681	230857	Nurse
580682	386421	Alice
580683	8834	Una schiava
580684	17814	Girl
580685	336623	Giulietta
580686	277587	Insegnante cucito
580686	286295	Ponticelli's Mother
580687	82709	Nina
580687	196777	
580688	71835	
580689	33420	
580690	222558	
580691	294623	Maid
580692	309420	
580693	101581	La pharmacienne
580694	59120	Sarah
580694	92306	The Mother
580695	366183	
580696	63730	
580697	146580	Ana
580698	74365	Lupita
580698	250883	
580698	322752	
580698	401917	Paola
580698	408406	María
580699	27447	Strip Club Waitress
580700	15083	Catherine
580700	19217	
580700	55533	Marie Anne
580700	70184	
580700	73647	Enzina
580700	89572	Paola
580700	90007	Rosetta
580700	94700	
580700	104002	
580700	110564	
580700	127377	
580700	127933	Ivana
580700	138274	Cristina
580700	155744	
580700	157929	
580700	199821	
580700	207540	
580700	208100	
580700	249371	
580700	252666	Jane
580700	261577	Eleonora
580700	339068	Stella
580700	353301	Manuela
580700	379901	
580700	384618	
580700	400407	Mme Nagy (segment "Jane")
580701	365344	Tommie
580702	19486	
580702	25218	
580702	51102	
580702	53595	
580702	55379	Maria Medina
580702	57978	
580702	62395	
580702	82963	
580702	91271	
580702	99354	Amiga de Raquelito
580702	103497	
580702	103504	
580702	106241	
580702	111277	
580702	142740	
580702	143763	Juanita Lopez, mama de Monchi
580702	145233	Carmelita
580702	167801	
580702	171619	
580702	198235	
580702	205024	
580702	207977	
580702	212244	
580702	227560	
580702	235307	
580702	246059	
580702	249321	
580702	268497	
580702	273848	
580702	287033	
580702	287850	Mercedes
580702	287877	
580702	296149	Susana
580702	307780	
580702	328736	Gema
580702	334651	
580702	334683	Sen~ora Monteros, Madre de La
580702	339086	Rosita
580702	339136	
580702	340655	
580702	350076	
580702	353235	
580702	371719	
580702	371776	
580702	377173	Inez Coronado
580702	379043	Marcia
580702	380476	
580702	380795	Marina Bolestáin
580702	384980	
580702	385335	
580702	385486	
580702	386288	
580702	387550	Rosaura
580702	387623	Clara
580702	392749	
580702	392799	
580702	401088	Beatriz
580702	402050	Isabel
580702	402406	
580702	402929	
580702	403786	
580702	404705	
580702	404706	
580702	404709	
580702	405955	
580702	406859	
580702	408709	Roberta
580702	409782	
580702	410081	Verónica
580702	412192	Hortencia Solórzano Mateos de
580703	255696	Gabby
580704	5374	
580704	6612	Marisa Dalli
580704	14859	Teresa
580704	147047	
580704	200505	Ester
580704	252579	
580704	256541	Stella, Richard's sister
580704	260888	
580704	265188	
580704	270333	Iris
580704	287479	
580704	293324	
580704	354447	
580705	106507	Principle
580705	109777	Nicole
580705	140967	Party Girl
580705	245324	
580705	301804	Girl
580705	305832	
580705	360176	
580705	364428	Andrea Martelli
580705	405298	Costar
580706	403494	Herself
580707	103968	
580708	125776	
580709	55369	
580710	40864	Nick Cave Fan
580711	65454	Bridget
580711	90792	Pretty Woman's Nurse
580711	254592	Jean Archer/Joan of Arc
580712	215176	Church parishioner
580713	52011	Claudine
580714	72867	
580714	159012	Daisy
580714	262129	Candice Alcott
580714	315707	O
580714	335258	Stripper
580715	53932	Faye Daniels
580715	102645	Pusher
580715	219668	
580715	285268	
580715	383143	
580716	287414	
580717	68360	
580718	28958	Antonio's mother
580718	294565	Le modèle (segment "Luxure, L
580719	49681	
580719	63837	
580719	90168	
580719	118107	Luisa's mother
580719	250865	
580719	252772	
580719	264251	Una domestica dell' orfanotro
580719	269640	
580719	287121	
580720	375047	Olive Thomas
580720	380750	
580721	132951	Fasciste
580722	55905	Teacher
580722	208794	
580723	7539	Governante
580723	113709	Farmer
580723	353142	Madre di Rina
580724	68980	
580725	187912	Mona Lisa
580726	9666	
580726	104846	
580726	121969	
580726	221930	
580726	226499	
580726	266879	
580727	14884	Dressmaker in flashbacks
580728	280906	Girl
580729	357124	La dame énervée
580730	94244	Mme Seydoux
580731	65086	
580732	72759	Bettamina
580733	377002	Charline
580734	391635	Herself
580735	367951	Herself
580736	17101	Barbora
580736	51091	Sperková
580736	55885	Hanka
580736	95439	Mother
580736	180675	Widow
580736	180886	Helga
580736	181978	Roza
580736	205754	
580736	208732	Velma
580736	214281	
580736	223538	Bohuslav's girlfriend
580736	259186	Polly Flower
580736	262286	
580736	262372	Waage
580736	267313	Magda Brecková
580736	286733	
580736	344040	Bar singer
580736	352794	
580736	357629	Andela Weghova
580736	357684	Jana
580736	376178	
580736	378351	Hilary Braden
580736	380662	Joyce, Lenyová
580736	394751	Dora Cechová
580736	398851	Cihlárová, widow
580736	402367	Lída Forstová
580736	402368	Vera
580736	412004	Bláhová
580737	4737	
580737	81368	Woman In A Black Skirt (Herse
580738	270425	
580739	136947	
580740	301900	Anicka
580741	375700	Old Woman
580742	86241	Kátia
580742	388681	Larissa
580743	14834	Ragazza camera letto albergo
580744	2266	
580744	5285	
580744	41587	
580744	50396	
580744	103905	
580744	140940	
580744	228572	
580745	72923	Cindy
580746	44764	Irish Washerwoman
580747	366078	
580748	146729	Girl in Bar
580749	184052	Mini Meuf
580750	403725	Herself
580751	279323	Steve's Girl
580752	338600	
580753	67909	Chiara Ristuccia
580755	57929	ABA Student
580756	51883	Mother
580756	63066	Cynthia Mottola
580756	168018	Grandma
580757	324502	Palmira Fuentes
580758	159536	Federica
580759	301569	Niña (Girl)
580760	190056	Katie
580761	133345	Voice of Vampirette
580762	249079	Lucy's Mother
580764	355488	
580765	32075	Receptionist
580765	113507	Janice
580765	144347	Officer Novak
580765	177520	Mrs. Liston
580765	232291	Pathologist
580765	314273	Rose Holly
580765	381312	Stella
580766	245359	Holly Dalton
580767	40864	Nick Cave Fan
580768	36586	Kulowa
580769	391850	Mirtha
580769	405412	Nilda
580769	409790	Puny
580770	124860	Kaniowa
580771	82199	
580772	396286	Kinga Filarska-Zdunska
580773	386421	
580774	64689	Workwoman
580774	174028	Nikos Neighbour
580775	171988	
580776	287782	Old woman
580777	156588	
580778	99239	Enrico (suo fratello)
580779	68908	
580781	43758	Madame Dullin
580781	216774	Une femme
580781	354585	
580782	402302	
580783	390085	Paloma
580784	384119	Bárbara 'Barbarita' (1997-199
580784	386127	Cartonera
580784	387573	Celeste 'Cele' Serrano
580784	389235	Carolina Peña
580784	395871	Zara
580784	403237	Julia Malaguer Podestá
580784	409957	Yoko Vázquez (1999-2000)
580785	380054	Angélica Hinojosa
580785	381902	4th evicted
580785	381904	Herself (4th Evicted 2004/2)
580785	386531	Karla Rincon
580785	392806	Claudia
580785	392960	Araceli Menchaca
580785	398469	Aurora
580785	402059	Zamira, La Gitana
580785	404172	
580785	408855	Loren (1999)
580786	412258	Young Lili
580787	183158	
580788	173415	
580788	182837	
580788	237396	Nuriye Kantar
580788	396478	
580789	184942	Suzanne
580790	395717	Shira
580791	12502	Niña Dorita
580793	240975	
580794	89796	Hanka
580794	232664	Rakowiecka
580794	394176	Countess Eugenia Przeleska
580795	41311	Sapphire
580796	14585	Julia
580796	59307	
580796	97937	Anka
580796	107577	Elisa
580796	165048	Anna
580796	259083	Anna
580796	262147	Baska
580796	341059	Ewa
580796	361076	
580796	373733	Zosia
580796	377805	Jeune fille polonaise
580797	186897	Baustellen-Chor/Construction 
580798	85593	Mala
580799	169572	Alina
580800	95945	Village Woman/Maid
580800	197219	Maryska's mother
580800	237984	
580800	373729	Prostitute
580800	375023	
580800	375486	
580800	411894	Wicia Chominska
580801	31908	Captain Karska
580801	88519	
580801	180009	Danusia
580801	206953	
580801	207885	Sister Malgorzata
580801	237390	Krystyna
580801	244105	
580801	248537	
580801	249815	Marta
580801	266328	Helena
580801	311599	Cleaning Lady Wieckowska
580801	340233	
580801	341067	Celina
580801	341070	Dr. Wysocka (segment "Godzina
580801	360904	Anna
580801	382238	Agnieszka Pasternik
580801	386654	Marta Lawinowa (1980-1982; 19
580801	394585	Janina Kochañska (1998-)
580802	360010	Waitress
580803	301701	Carol
580804	369421	Orgy Crowd #4
580805	84264	Party Girl
580805	171438	
580805	213384	
580805	286282	
580806	217220	
580807	39865	
580807	159946	Jane
580807	196472	Blaire
580807	213628	Showgirl #1
580807	274327	Sarah (segment "Kidnap")
580808	375443	
580808	375961	Maryska
580809	43134	Emperor's Lady
580809	85265	Elzbieta
580809	182329	Cpl. Ruszkowska
580809	231731	Ludka
580809	266316	Jane
580809	359590	Village Girl
580809	374230	Sybilla
580809	374664	Basia
580809	375179	Zosia
580809	386633	Mika Bozynska
580810	226420	
580811	192414	Cecilia March
580811	261868	Mezzo-Soprano
580812	261868	Soprano
580812	368747	Marie
580813	378644	Host
580814	153109	Freundin von Peter
580815	282755	
580816	305007	Herself
580817	75942	
580817	275588	
580817	284079	
580818	119822	Lady
580818	288908	Mrs. Bryant
580819	16930	
580820	275784	Barbara
580821	9258	Jessica Holden
580821	178836	Herself
580822	219562	
580823	345275	Réptionniste hôpital
580824	330772	
580825	182793	
580826	43078	Ayudante Doctor
580826	56541	
580826	82229	Ronda
580826	95348	Puri
580826	100428	
580826	106328	Alcohólicos Anónimos
580826	149548	Chini
580826	160535	Mujer bar
580826	193170	Dolores
580826	216429	Gogó Dealer
580826	237851	
580826	278425	
580826	296660	July
580826	353194	Arian
580827	399562	Herself
580828	80823	Canberra's Girlfriend
580829	44844	Carmen
580830	132129	
580831	176525	French soldier
580831	178123	Chiara at 13
580832	197549	
580832	380162	Flora Barra
580832	384054	
580832	385847	
580832	386785	Etelvina
580832	404140	
580832	404815	Aurora
580833	199032	Performer
580833	213245	Muñeca Noriega
580834	176525	French soldier
580835	251580	Valeria
580836	249774	
580837	153142	Bus Passenger
580838	243141	
580839	400902	
580839	407275	
580840	252589	Fernanda
580840	380446	Teresa
580840	395302	Sílvia de Lacerda
580840	396035	Aracy Bandeira
580840	403616	Camila
580840	412258	Carmencita
580841	52677	Herself
580842	234879	Wife in Photo Studio
580843	17934	Restroom Girl
580843	333503	Mae
580844	141384	Mrs. DiStassi
580845	78906	
580845	141695	
580845	141696	Instructor 3
580846	381061	Trsa
580847	142258	Wilma
580847	147750	Kathy
580847	168238	Sorority Girl
580847	273474	Serendipity
580847	281056	Jennifer
580847	302150	Claire Fence
580847	304148	
580847	379716	Anita Santos Warner #2 (2004-
580847	399964	Paige Whitney
580847	400647	Rachel Whittaker
580847	402853	Casey
580847	409616	Performer
580848	242615	
580849	49044	
580849	221679	
580850	14914	Leading Lady
580850	56545	Herself
580850	79966	Young Ilse Vogel
580850	119484	Illa
580850	234204	Diana
580850	283196	Kyla
580850	310303	'Quacko' girl
580850	313413	Dabo Girl
580850	370113	Ninotchka
580851	94182	
580851	179106	Mama
580851	234450	Mira
580852	165719	
580853	75244	
580853	109089	
580853	196815	
580854	28760	Agnese, the Housekeeper
580854	52892	
580854	322500	
580854	338715	
580854	344587	
580854	348203	
580855	267951	Magdalena
580855	280997	
580855	305301	Margita
580855	322252	
580855	379877	
580855	404097	
580856	283006	Pretty Girl
580857	370017	Xander's Bedroom Dancer
580858	10981	
580859	12937	Countess
580860	218219	Tatara's Women Song
580860	403822	
580861	85176	Witch II
580862	243806	Julie
580863	58187	Ludmila
580864	132912	Pedestrian
580865	394912	Nimf Nauta
580866	246586	
580867	348112	
580868	28022	
580869	68683	Bedouin
580870	166897	
580871	220755	Corista
580872	262669	Stefanija
580873	2731	Diane Cilento
580873	6526	Tweeny
580873	8458	Contessina de Medici
580873	11268	Harriet
580873	16758	The Angel
580873	17515	
580873	17993	Penelope
580873	37468	Mag
580873	45505	Mother
580873	54485	Voice of Maria Hornblower
580873	85671	Margo Wendice
580873	94856	Margot Mason
580873	117261	
580873	121580	Denise Colby
580873	146870	Hanna Reitsch
580873	148010	Jessie
580873	154657	Liane Dane
580873	160319	Herself
580873	167111	Agelica Como
580873	209616	
580873	220273	
580873	226912	Mrs. Heath
580873	229405	Reingard
580873	241150	
580873	272758	Cyrenne
580873	291880	Herself
580873	310829	Clara
580873	330547	Anne Tanner
580873	335098	Molly Seagrim
580873	340969	Ambrosine Viney
580873	364782	Miss Rose
580873	366178	Jeannette
580873	367456	Mary
580873	373433	Edna Borden
580873	390917	Authoritax/principa
580873	403639	Lady Sarah Bellasize
580873	409249	Diana Clark
580874	70744	
580876	293980	
580877	123377	Ruth Swansey
580877	131428	Suzannah Leal
580877	231673	Joanna Collins
580877	261607	Die Vrou
580877	264752	Stella
580877	269602	Alex
580878	143832	Woman in Fire
580879	228543	
580880	327815	
580881	400342	Herself (Finalist #13)
580881	401881	Herself (Finalist)
580882	107684	
580882	308246	
580883	138690	Pfarrer
580884	352736	
580885	164349	
580885	386792	
580885	387810	
580885	391420	
580885	393187	Etelvina
580885	399537	
580885	400945	Bárbara
580886	216777	Mamá
580887	96726	Mrs. Parker
580888	96726	Mother in law
580889	21201	Girl in the pub
580890	35740	Christie
580891	72878	Woman (segment "Eyes Of The R
580892	259843	Hostess
580893	87928	
580893	183288	
580893	261887	
580894	359222	Sylvia Minnich
580895	359222	Gail from the USO
580896	352814	Marjeta
580897	221114	Acrobat
580898	146888	
580899	350506	Celia Crawley
580901	12227	Ballroom dancer
580901	13320	Rockie's Girl
580901	18103	Miranda
580901	19303	April
580901	41926	Serena
580901	89224	Marty
580901	125829	
580901	159012	Newscaster
580901	178009	
580901	320283	Clara Hansen
580901	351187	Mirage Cashier
580902	307403	Mudwrestler
580903	392575	Cennet
580904	173854	
580905	43157	
580905	137287	
580905	239451	
580905	259834	Katarina
580905	323311	Jana Stojkovic
580905	382430	Gdja Hadzislavkovic
580905	382431	Kupac
580905	401927	Jana Stojkovic
580905	401928	Jana Stojkovic
580905	401991	Komsinica
580905	410442	
580906	163729	Les comédiens-mimes
580907	53921	Mourner
580907	95543	The Maid
580908	356967	
580908	383718	Jasmina
580909	1228	
580909	2266	
580909	7051	
580909	43883	Col. James' lady friend
580909	81538	
580909	83833	
580909	105156	
580909	105220	
580909	106483	
580909	158969	
580909	193543	
580909	193544	
580909	197817	
580909	208291	
580909	208294	
580909	232882	
580909	232883	
580909	260297	
580909	260709	
580909	309353	
580909	315855	
580909	334810	
580909	365133	
580909	372405	
580909	412170	Herself - Finalist #8
580910	13737	
580910	14132	Jello-Shot Girl
580910	47014	
580910	47015	
580910	56871	Girl in Photograph
580910	67993	Pocahontas
580910	118480	
580910	123600	
580910	123896	Danseuse strip-teaseuse
580910	128720	School Girl/Nurse
580910	192777	Dog Girl #2
580910	215666	Herself
580910	247992	
580910	326942	
580910	364577	
580910	401930	Stacey (2003)
580910	409605	Herself
580913	343387	Young Denise Tyson
580914	66078	
580914	124400	Sophie
580914	343579	
580914	346524	La jeune femme au landau
580915	352517	Runaway Model Two
580916	215119	Igracica III
580917	108133	
580918	3169	Bit part
580918	89572	Sleeping duchess
580920	385913	Herself (Golddigger)
580921	7749	
580921	7751	
580921	7752	
580921	39258	
580921	39925	
580921	62456	
580921	152289	
580921	192383	
580921	228029	Herself
580921	236307	
580921	259069	
580921	303211	
580921	360309	Nurse
580923	63030	Josie
580923	219558	Cookie
580923	340803	Yvonne
580923	350192	Policewoman Photographer
580924	55958	Girl playing piano
580924	57311	
580925	55768	
580926	266237	L'ouvreuse
580927	299037	
580929	47570	Nico Collard
580929	184090	Kate
580929	221166	Pizza delivery woman
580929	281442	Margreta
580929	285302	Mrs. Ferrer
580929	362081	Caterer
580929	364866	Sally
580929	389309	Isabel
580930	158877	Une petite fille de Raoul
580931	175459	
580932	54151	
580932	57312	Madre superiora
580932	87050	Gigliola
580932	104739	Italian entry (1st place)
580932	104749	Italian entry (2nd place)
580932	104766	Host
580932	265401	
580932	328828	
580932	384751	Clara Massimi
580932	387959	Herself - Co-Presenter (1991)
580932	397681	Zanze
580933	38630	
580933	54296	
580933	57970	Zita Zilay
580933	86069	
580933	90779	
580933	183149	Rosina
580933	199444	La signora Bondani
580933	205966	
580933	207067	
580933	246549	
580933	265192	
580933	356225	
580933	356618	
580934	53983	Herself
580934	86730	
580934	99231	
580935	268847	Dama letteraria
580936	8627	
580936	58310	
580936	72074	
580936	202593	Annie
580937	19639	Nassima
580937	88697	Une danseuse
580937	240617	
580937	351863	Fejra
580937	406790	
580939	231129	Lisa (segment Under The Table
580940	333857	Molly Black
580941	69257	Melita
580941	109457	Rita Diaz
580941	202195	Hooker
580941	222756	Martina
580941	273544	Janet
580942	12271	File Nurse
580942	58430	Nurse
580942	105420	Young Woman kissed by Evil Ro
580942	151461	Agatzi Girl
580943	205112	
580943	222038	Herself
580943	336212	Herself
580944	241342	Rosa Lopez
580945	210520	Dancer
580946	137184	
580947	254339	
580947	378975	
580947	381598	Lucrecia Arismendi
580947	383031	Lolita
580947	383827	Marina
580947	395857	Anabel Cantú
580947	397839	Sara
580947	398915	Elsa Grajales
580947	408406	Regina
580948	331033	First Warrior Virgin
580949	196814	Lucie (version 1)
580950	230071	Adriana Catalani
580951	14386	Infermiera Giulia
580951	14834	Infermiera studio psicanalist
580951	252009	Rosaria
580952	33662	
580952	48200	
580952	291693	
580953	17520	Aunt Carmela
580953	196181	Mrs. Papasano
580953	206710	Aunt Catherine
580953	206711	Aunt Catherine
580954	71221	
580955	378118	Aranzazu voice
580956	25140	
580956	58072	
580956	94108	
580956	94153	
580956	112700	
580956	153572	
580956	265463	
580956	324304	
580956	341509	
580956	344439	
580956	374636	
580956	374637	
580957	64352	Jeanne d'Arc
580957	161529	
580957	197376	
580957	246444	
580957	263765	
580957	287159	
580957	296428	
580957	306631	
580957	344924	
580957	345243	La femme témoin de l'accident
580957	378095	
580958	191471	
580959	345471	Herself
580960	157951	
580961	131202	Zany
580962	385402	Candelaria
580962	403237	
580963	53019	Lorenza
580964	115639	Girl Band
580965	6087	
580965	24838	Vesna Surdilovic
580965	95926	Spremacica u hotelu
580965	139546	
580965	155659	Elza
580965	172464	Elza
580965	180698	Rule
580965	192890	
580965	192904	Elza
580965	210508	
580965	215997	Mariska
580965	229715	Medicinska sestra
580965	232674	Jovanka Opalic
580965	244184	Jelena
580965	259069	Fema
580965	266260	
580965	293710	
580965	312626	Elza
580965	333470	Kraljica Natalija Obrenovic
580965	335226	
580965	339307	Uciteljica
580965	373698	Vujiceva zena
580965	374634	
580965	375125	Elza
580965	375126	Frau Elza
580965	387137	
580965	396292	
580965	399899	
580965	401834	Melanija
580965	404626	
580965	408837	
580965	409311	Mitina zena
580965	410442	Vesna Surdilovic
580966	110974	Mean girl
580966	217913	Evil Stepsister #1/Asylum Inm
580966	222254	Cavalcade Pervert
580966	256206	Blonde in park
580967	229987	
580968	37473	Airplane Retiree #1
580969	221380	Maria
580970	139781	U. S. Marshal Nicole Torson
580972	53284	Cheerleader #3
580973	56304	Piscano's Wife
580974	399657	
580975	138567	Gretel
580976	307052	
580977	229995	L'annunciatrice
580979	287476	
580980	278150	
580981	189258	Madre di Italia/Vigilante
580982	308749	Herself
580982	396610	Maria Kátia (1997)
580982	404165	
580982	411597	Xiquitita
580983	16148	Juanita
580983	19461	
580983	82224	
580983	111992	
580983	135292	
580983	193225	
580983	376823	
580985	369982	Mãe dos Fat Capangas
580986	8483	
580986	173132	
580988	155301	Hotel Guest
580989	119074	
580990	75824	Janie
580990	116330	Buxom Blonde
580990	131538	Lana Boland
580990	196331	
580990	346329	
580991	131794	Irene McKinely
580991	134726	Trickie
580992	149114	Une prostituée
580993	196327	Kid
580994	196327	Kid
580995	380717	Rosanne
580995	412166	Martine
580996	325983	Porno Girl
580997	55987	
580997	66364	Neighbour
580997	147064	
580997	229601	moglie Sparafico
580997	263781	
580998	23087	
580998	28961	
580998	92935	
580998	139894	
580998	322717	
580999	112652	Javier's fiancee
581000	301634	
581001	79621	Devojka
581001	344043	
581002	291014	
581003	57073	Singer, Wealthy Lady, Peasant
581003	313414	Jani Tharen
581004	331188	Nikki
581005	82721	
581006	393486	Mme Dovrian
581007	213324	Fairy
581008	375235	
581008	390753	
581009	220617	Friend
581009	327535	
581010	94722	
581011	74114	Vita
581012	21201	Girl in the cinema
581013	40004	Louisa
581013	211508	Lady-in-waiting
581014	261502	Forensic Photographer
581015	90698	Anna
581016	215039	
581017	191210	Cash
581018	199033	
581019	259360	Hala's Baby
581020	72552	Ruth
581021	1760	Manzelka starého pána
581022	169554	Snaha II
581022	187980	
581022	201359	Kuvarica II
581022	226830	
581022	253841	
581022	305812	
581022	312426	Komsinica
581022	339325	Samanta
581022	343798	
581022	386527	
581022	400405	
581023	346709	Chanteuse
581024	136654	Yolande
581024	202832	Solange?
581024	235825	
581024	260886	
581024	261840	
581025	409109	Fata
581026	28004	
581027	162254	
581028	353950	Frau Bürgermeister
581029	198362	
581030	164177	
581030	357840	La tante de Lulu
581031	79849	Herself
581032	99870	
581033	344442	
581034	244662	
581035	41197	Phone Brunette
581036	205597	Joana
581036	388681	Amada Rocha
581036	389889	Herself (2002)
581036	396610	Vilminha (2003)
581036	404077	Alice
581037	85584	
581037	267050	
581038	319651	Herself (ballet dancer)
581038	333530	Katrina Ballerina
581039	52952	
581040	118661	
581040	293001	
581041	44659	Pilara
581042	13064	
581042	14801	(segment "Seducción, La")
581042	41767	
581043	320782	
581044	4543	Nurse at Meeting
581044	139221	Miss Martin
581044	264445	
581044	346240	Alice Ferguson
581045	353018	Herself
581046	249910	Reportera TV
581047	326496	Refugee
581048	310835	Jan
581049	67639	
581049	333018	Nogma
581050	358030	Solofa
581051	355267	Fish Seller
581053	119803	Paris customer
581054	221737	Gente de carnaval
581055	82141	La mère
581056	367054	The Wiz Singers Adult Choir
581057	372198	Bridesmaid
581058	147177	
581059	336985	Femme africaine 1
581059	379603	Cecilia
581060	100364	Eliane
581060	122362	Une infirmière
581061	78765	Mayor's Secretary
581062	72391	Talkative Girl
581062	283283	
581062	396157	Sara
581062	404760	Sabrina Ricci
581063	98975	
581064	132906	Lupe
581065	348366	Mrs. Bombalazzi
581066	132756	Forum Twin #1
581066	323568	Twin
581067	132756	Forum Twin #2
581067	323568	Twin
581068	161519	Sophie
581068	198491	
581069	201349	Neighbor
581069	342857	
581070	96111	Céline
581071	15071	Aurélie
581071	63233	Macha
581071	66745	Mrs. Combescot
581071	69770	La soeur de Jeanne
581071	78403	Professeur de gymnastique
581071	91910	Didou
581071	101222	Christine
581071	101225	Véronique Lacaze
581071	102001	Stan's mother
581071	118180	Sonia
581071	123063	Irina von Stoffen
581071	163929	Sacha
581071	199384	Sophie
581071	202749	Silvana
581071	204668	Sophie
581071	254140	Carole
581071	268420	Valérie Mareuil
581071	290022	
581071	342095	Agnès
581071	345135	Madame de Marcillac
581071	346599	Sophie
581071	353942	Ginette
581071	357023	
581071	360843	Cathy
581071	377464	Mrs. Baudoin
581071	387657	Eloïse Rome
581071	400631	Janine Leonetti (1997-1998)
581071	409799	Jeanne
581071	410074	Jeannette
581072	336	Coatroom Attendant
581073	292444	Eyeless Woman
581073	300350	Museum Woman
581074	28281	
581074	64352	
581074	65704	
581074	168718	Johnny's Mom
581074	345559	
581075	94148	
581076	89827	Vale's Mother
581077	13457	Fara
581077	263936	
581078	238916	Lalla
581078	402654	Anna Donati
581079	287004	
581080	61812	Diner Patron
581081	254569	Aunt Silvia
581081	323928	Sharon
581082	54248	Frida
581082	326679	Mom
581083	241696	Tall Woman
581084	211304	Marta, la zingara
581085	333383	
581086	384507	
581086	384794	
581086	403904	Comedian/Reporter
581086	406972	Comedian/Reporter
581087	61788	Featured zombie
581088	95960	Crazy Woman in Train
581088	95969	Franka
581088	110990	
581088	217293	Angelika's Mother
581088	238345	
581088	244099	Prof. Myszkowska
581088	247347	Wojszczanka
581088	259083	
581088	260598	
581088	266322	Teresa Jankowska
581088	301097	
581088	322043	Cycek
581088	343979	Blind florist
581088	363512	
581088	364975	
581088	401665	Toskowa (2000-2002)
581089	225034	Madre supermercado
581090	251313	Woollen bonnet
581091	344438	Silvia
581092	96500	Evita piccola
581093	387405	Jale Somuncu
581094	72923	Laura Hebb
581094	350198	Randi
581095	111037	
581095	307840	Fille de la boîte de nuit 1
581096	108319	CNBC Reporter
581096	131347	CNBC Reporter
581097	217676	
581098	174279	
581099	293185	Narrator
581100	27424	Birgit
581100	164819	
581101	246042	
581102	231140	Dendroid
581102	402896	
581103	16195	
581103	58129	Magda, the waitress
581103	173035	Sára Kohnová
581103	173036	
581103	180830	Stella
581103	198356	Jitus
581103	234248	Girl
581103	242635	Editor
581103	270715	
581103	305249	Sobotková
581103	321515	Frau Keppler
581103	339275	Marie Pomnenková
581103	357666	Nehodová
581103	373419	Maid of honour
581103	384174	Klothilde
581104	77491	
581105	305814	Paní Lili
581106	28016	
581106	51670	
581106	76003	
581106	123058	
581106	150056	
581106	160892	
581106	184932	
581107	91461	Mme Dupray
581108	196823	
581109	405539	Jeanette (1999-2000)
581110	77228	Corinna
581110	161787	Elena
581110	208796	
581110	218541	Manuela
581110	313899	Ivana
581111	235162	Woman on Hospital Cot
581111	302467	
581112	399175	
581113	349896	Robotic Mom
581114	100249	
581115	346707	Grand-mère
581116	131202	Giulia
581116	211604	Sylviane Bogdanovitch
581116	213587	Peep-Bo
581117	167692	Dr. Joan
581118	3267	Backup Singer
581118	149691	
581118	177024	Kadja Boszo
581119	224529	Duits dienstmeisje
581119	366524	
581120	213359	Hippolyta/Titania
581121	78515	Meisje
581122	225453	Headmistress of the film arch
581123	237071	Danser
581124	196878	Sharon
581125	352157	Buurvrouw
581126	352376	
581127	392072	Eva Rosenkrantz (2004-)
581128	112917	Advokaat 5
581128	155803	Omroepster
581128	388299	Trudy Tac de Rixart de Waremm
581129	358029	
581130	381911	Herself (2002)
581131	187081	Tsivja
581132	313755	Angela Redd
581133	260886	
581134	96164	
581135	160156	Christina Andersson
581135	240213	Woman
581136	115397	Greta's Mother
581136	142760	Mrs. Lindgren
581136	378270	Evelina Örtenqvist
581137	16264	Lundkvistskan
581137	322312	Märta's mother
581137	345994	Cook
581137	347017	Olle's mother
581137	357773	Waitress at Källaren Fyris
581138	102513	Agnes
581139	5075	Cliente
581139	53142	Giselle Crapaud
581139	164148	Netteke Corremans
581139	180730	Préposée SNCF
581139	190640	
581139	208220	
581139	345522	Infirmière
581140	124424	Hilde
581141	16614	La strip-teaseuse
581142	315964	Britney Olsen
581143	239986	Deirdre
581144	323666	Voice in off
581145	358478	Villager of Tullymore
581146	114242	Female Officer
581147	56652	
581148	185650	Mrs. Sickler
581149	65184	Clarence's classmate
581150	296100	Fortune Cookie's Mother
581151	1145	Maggie's Assistant
581151	356997	Teacher
581152	35605	
581152	41647	Kristi
581152	140995	Sarah Tierney
581152	179071	Girl #2
581153	372671	Dancer
581154	65770	Arlène
581155	244759	Amie de Denise Laville
581156	96070	La patronne du "Kaffee Karel"
581156	200966	Concierge
581156	214809	La concierge
581156	336756	Madame Bouche
581156	404129	Rose, la bonne (1965)
581157	126539	Waitress
581157	254330	Miss Colton
581157	285095	
581157	331292	Dietz's Secretary
581158	31601	
581158	61314	
581158	77780	
581158	114461	
581158	120503	Innocencia
581158	126046	
581158	130038	Yvonne, a Party Girl
581158	135191	Madge Warren
581158	135819	Nancy
581158	143873	Ollie Starbuck
581158	144387	Zelda
581158	165491	
581158	230993	
581158	230995	
581158	230998	
581158	231002	
581158	231005	
581158	231009	
581158	231010	
581158	231019	
581158	231020	
581158	231021	
581158	231022	
581158	231023	
581158	246722	Pony Blenning
581158	263577	Madge Wilson
581158	269367	
581158	278071	Kitty Barton
581158	287232	
581158	292144	Edith Pemberton
581158	300103	
581158	306162	
581158	306163	
581158	306164	
581158	306165	
581158	306166	
581158	306167	
581158	306168	
581158	306169	
581158	315299	
581158	323608	
581158	331501	Nadine Worthing
581158	350470	Mary Allen
581158	365196	Mary Ellis
581159	76129	
581159	167629	
581159	200386	
581159	264942	
581159	279111	
581159	345517	
581160	160549	Véronique Manguin
581161	17807	Myrta
581161	28150	Lulu
581161	58226	
581161	70523	Patricia
581161	71159	
581161	86058	
581161	102395	
581161	112680	
581161	187481	
581161	199055	Agar
581161	199962	
581161	215854	
581161	236620	Irina Yousoupoff
581161	254023	
581161	254981	
581161	315822	Janet
581161	336758	Jo
581161	338479	La marchande de glaces
581161	351513	
581162	319969	La bonne de Saint-Jurieu
581163	55544	
581164	327893	
581165	365344	'It's Only Plastic' Chorus Gi
581165	375250	Elizabeth
581166	102964	Ruby
581167	377805	Emilie
581168	284180	La fille à la voiture
581168	300719	Madame Blanchard
581169	82609	Barmaid
581169	91725	Jill Rodman
581169	263460	Maudie Bancroft
581169	306489	Mrs. Honeycutt
581169	327688	Marie
581169	328076	Dora
581170	338753	Their Child
581171	229428	News Anchor
581172	206966	La comtesse de la Pène
581172	235720	Lola
581172	254138	Une soeur d'Isabelle
581172	266397	
581172	283038	Madeleine
581172	340122	Maria
581172	357108	
581172	383860	Clarence
581173	94245	La fleuriste
581176	209328	Skøge i 1932
581179	209	Salesgirl
581179	114197	Madeleine
581180	386468	Herself/Co-host (1994-1997)
581181	62713	
581181	119970	
581181	129204	
581181	400380	Herself (2003)
581181	401885	Herself/L5
581182	84247	
581182	131777	Beverly
581182	131805	Beverly
581182	152300	Mother
581182	152536	
581182	241827	Brandy Saveties
581182	250811	Elderly lady
581182	364726	Coach
581183	128583	Nurse Gretta
581184	80373	Waitress
581184	126029	Sexy Girl
581184	301736	
581184	363560	Snowy Weiss
581184	379038	Various characters
581185	217745	Art History Student
581186	22789	
581187	90292	Specialty Dancer
581187	310679	Dancer
581188	47320	Bernice
581188	114865	Anita
581188	178057	Mlle. Fifi
581188	195545	Beatrice Blair
581188	209665	
581188	218773	
581188	234089	Nanette
581188	236705	Mary Dane
581188	274307	Margot Fontaine
581188	308627	Aniuta, The Flame
581188	311992	Betty Braley
581188	335886	Virginia Rollins
581188	342914	Micky
581189	177525	'Dukettes' Back-Up Singer
581191	264735	
581193	33546	Sara Zeitgeist
581193	57440	Diane
581193	66602	Claire Jouvet
581193	123983	Mme Bricard
581193	125723	Patricia
581193	125724	
581193	127986	Laura Swanson
581193	150268	Dominique
581193	165234	Claire
581193	168890	Nina Lemonnier
581193	176879	Sasha Talbot
581193	211982	
581193	216239	La comtesse du bal
581193	217751	
581193	236513	La Comtesse
581193	265372	Alice Ancelin
581193	280785	Jeanne
581193	286896	Mme Chapon
581193	298322	
581193	321699	Jeanette Von Lesseps
581193	321711	Linet
581193	339870	Maguy
581193	342077	Elise
581193	376985	Claire
581193	377983	Martine
581193	385090	Nicole Beaumont (1990-1991)
581193	389278	Anna Barberi
581193	398075	Juliette Récamier
581193	410465	Anni
581194	136509	Dolores
581195	112800	
581195	213889	
581196	56698	Singing Tart
581196	87489	Mrs. Greber
581196	401045	Vocalist (1951-1952)
581197	7098	
581197	19022	
581197	21393	Mrs. Denton
581197	26754	
581197	31119	
581197	33641	
581197	35370	Mrs. Allen
581197	40704	Mrs. Overton
581197	41706	Mother Hilgard
581197	44015	
581197	47956	Harriet King
581197	64855	The Governor's Mother
581197	72201	Mrs. Winslow
581197	72397	Mrs. Borrum
581197	72493	Mother Kelly
581197	73359	Mother Marie
581197	73407	Mere Felice
581197	74101	Mrs. Brent
581197	79456	Ma Vandegrift
581197	88262	
581197	89654	Mrs. Mordant
581197	91648	Mother Slowbell
581197	101990	Grandma MacLaren
581197	110964	Mrs. Dorn
581197	112298	Mrs. John Rand
581197	117432	Mrs. Blake
581197	117708	
581197	118536	Mrs. Farwell
581197	130853	Mrs. McGregor
581197	131902	Granny
581197	133909	'Mother' Brown
581197	137210	Mrs.Beresford
581197	138681	Miss Pratt
581197	139015	Aunt Tiny Colvin
581197	141165	Mrs. Rand
581197	143003	Susanne's Aunt
581197	143396	Bertha, the Housekeeper
581197	146000	Mrs. Dawson
581197	146076	Grandma Breede
581197	146097	Mrs. Denton
581197	149184	Mrs. Carey
581197	152546	Ma Logan
581197	158328	Jim's Mother
581197	161499	The Boy's Mother
581197	161932	Mrs. Miller
581197	163777	Grandma Gano
581197	167915	Aunt Tina Carbery
581197	170740	Laila
581197	175836	Sarah Ann Watts
581197	183437	Mrs. Carmichaael
581197	188296	Martha Waldon
581197	189928	Marie Ventura
581197	191740	Mrs. Hubbard
581197	191913	Granny
581197	199436	Letitia Jane Adams
581197	206177	Mrs. Bladglley
581197	206412	Lady Rockett
581197	208151	The Judge's Mother
581197	217948	Mrs. Mullen
581197	219948	Mother Coutierre
581197	232849	Mrs. Clary
581197	240017	Mrs. Maylie
581197	240695	Millie's Companion
581197	245202	'Grannie' Hanley
581197	249018	Sarah Green
581197	251281	Mrs. Page
581197	251854	Mrs. Cameron
581197	253837	Stella's Mother
581197	271852	Woman in west
581197	274112	
581197	278061	Mrs. Henderson
581197	280855	Aunt Effie
581197	281003	Ma O'Brien
581197	283701	Mother Grady
581197	297720	Landlady
581197	298552	Mom Todd
581197	301662	Mrs. Hardy
581197	302366	Grandmother
581197	306808	Mrs. Kerran
581197	314480	The Husband's Mother
581197	315511	Elspeth Strong
581197	315641	Tom's Mother
581197	319459	Grandma Brewster
581197	330425	The Boy's Mother
581197	339640	Mrs. Hardy
581197	340862	
581197	341679	Old woman
581197	342761	Mexican
581197	360226	Landlady
581197	360506	Mrs. McCarver
581197	360725	Grandma
581197	361303	Widow Dolan
581197	362751	Undetermined Role
581197	364834	Angelica Pennington
581197	366121	Granny
581197	367304	Mrs. Walden
581197	368128	The Mevrouw
581198	194003	Tracey
581199	37995	Tutor 1
581199	54827	Lady with the Jewels
581199	65975	Spectre
581199	115062	Special Movement
581199	140535	Paradise Madame
581199	142930	Maria de Salinas
581199	150642	Image/voice of Mrs Blanche
581199	153246	Imogen
581199	154272	Secretary
581199	184046	Dorothy Trent
581199	191547	George Sand
581199	203492	Audition Mistress
581199	223058	Woman in white
581199	238449	Theban Citizen
581199	264459	Cabaret singer
581199	280279	The Transylvanians
581199	286195	2nd Nazarean
581199	288947	Mavis Coldstream
581199	299471	Wardrobe Mistress
581199	302337	
581199	335277	Nurse at the specialist's pra
581199	365937	Party Guest
581200	25478	Lucy Warriner
581200	65367	Mrs. Brown
581200	133998	Jean Lawrence
581200	154652	Cesca Marcesca
581200	228308	Jeanne D'Arc
581200	233044	Grand Duchess Swana
581200	259772	Polly Shannon
581200	267340	Princess Alexia
581200	273703	Sara Jaffrey
581200	282625	Julie Cavendish
581200	312774	Herself
581200	365274	Betty Wright
581201	68483	Waitress
581202	160914	
581203	193834	
581204	218320	Le Coeur
581205	199697	Ellie
581207	346443	Rose
581208	321236	Vocalist
581209	60768	
581209	97463	Cissie
581209	131664	Daisy
581209	253015	Shirley Gunn
581209	276249	Ruby
581209	278218	Lady Ironminster
581209	365779	Ginny
581210	289442	
581211	11426	Lizz
581211	154040	Starbucks Customer
581211	158018	
581211	184906	Herself
581211	191326	Manda
581211	274093	Quill
581212	249746	Anna
581213	39405	
581214	126069	Showgirl
581216	387309	Elizabeth McGrath #1 (1964-19
581216	391515	Grace Ensley
581217	331546	Maggie
581218	99584	Pam Rutherford
581218	301820	Holly
581218	306785	Sally
581219	267100	
581220	4972	
581220	5268	
581220	61131	
581220	267932	Eugenie Ferliger/Nun
581220	292709	
581221	201408	Irene Winters
581222	254056	
581223	177312	Herself - Band Singer
581223	367781	Mrs. Conroy, Claudius' Shipbo
581224	164964	Newspaper Reporter
581225	392972	Ada Lovelace
581226	223065	Amy Dakin
581228	218398	Nurse
581229	305036	Dancer
581229	308598	Dancer
581231	26383	
581231	127685	Sara
581232	25169	La serveuse restaurant
581233	43714	Zize
581233	112840	Amanda Amoretti
581233	381681	Fanny
581234	85538	
581235	234665	La vendeuse
581236	68370	La serveuse de la brasserie
581237	84666	
581237	120070	
581237	201098	
581237	333719	
581238	91948	Narrator
581238	160424	Narrator
581238	175469	Narrator
581238	210726	Narrator
581238	328188	Narrator
581239	51403	Rachat
581239	198974	Une journaliste
581240	218274	Estelle
581241	218505	
581241	230271	
581241	254086	
581241	314748	
581242	111336	Martina
581243	140960	Woman protestor
581244	332999	
581245	7183	Fergusson, Mary
581245	85041	Frances Mildmay
581245	133616	Peggy Jackson
581245	133992	Lucia
581245	203416	Marcia
581245	230430	Pam Tweet
581245	233651	Sonia
581245	311698	Jane
581245	317166	Joan Merivale
581245	321850	Elsie
581245	326161	Gladys
581246	101509	Une cousette
581246	132983	Lorraine
581246	199389	
581247	82692	Voiceover Older Jeannie
581248	257520	The Chickie
581249	46529	Emma
581249	71495	Lady at Riviera
581249	117136	Judge Joan Northcutt
581250	345555	Antillaise
581251	10558	Madame Trajet
581251	27916	L'amie de Jeanne
581251	99405	Nurse
581251	111102	Mlle Pichard
581251	140283	Le docteur Colombier
581251	140287	
581251	169723	
581251	186575	Mme Gendre
581251	193444	Isabelle
581251	200951	Marthe
581251	240236	
581252	32025	
581253	191560	Un enfant
581254	191560	Une femme à la mairie
581254	246306	Une caissière
581254	256998	La femme à la station RER
581255	397397	Herself
581256	94576	Herself
581256	397132	Additional Voices
581257	382743	Moya Maloney
581258	52204	Highgyll W.I. Lady
581259	380256	Mennonite Choir Member
581260	121982	Wedding Guest
581260	294577	Stewardess
581260	343160	Showgirl
581261	40543	Journalist 1
581262	213180	Penny Long
581263	85019	Laura Peters
581263	318775	Vicky
581264	162425	Patty
581265	68796	Headmistress
581265	166738	Matron at childrens' home
581265	266871	
581265	391369	Miss Fields
581266	69363	
581266	323837	Mrs. Carter (segment "Poetic 
581267	179012	Mary Kearney
581267	237571	Nola Tremaine
581267	346888	Nora
581267	362914	Kate O'Malley
581268	359804	
581269	198282	Kvindelig betjent
581270	308684	Polly
581271	146075	Mrs. Wife
581272	202195	Yvonne, 1 year old
581273	352931	Les danseuses
581274	266768	Emily
581275	364752	Club Server
581276	64516	
581277	178286	1st Jiving Waitress
581278	206445	Female Student
581279	23051	La mère de Juliette
581279	229702	
581280	73518	
581280	239922	Carmem
581281	211726	
581282	168939	
581283	377106	
581284	351952	
581285	261199	
581286	381583	Isaura
581286	408381	Cotinha
581286	411585	Paulina
581287	19474	
581287	277290	
581287	341140	
581288	158942	
581289	55078	
581289	70899	
581289	104482	Ada
581289	133036	Diadorim
581289	158942	
581289	236380	
581289	307756	Amanda
581289	328334	
581289	341152	
581289	344834	
581289	355887	
581289	356033	
581289	380387	Glória
581289	381222	Leda
581289	383479	Paula
581289	384991	Luciana
581289	390751	Veruska
581289	393005	
581289	396926	Ana
581289	397539	Angelina
581289	399766	Betty
581289	400098	Leonor
581289	401208	Eleonora
581289	403119	Wanda
581289	404283	
581289	404798	Lúcia
581289	404888	Avané
581289	407275	Diana
581290	57782	
581290	383332	Host
581290	398618	Host
581290	409463	Azafata (1972-1973)
581291	138348	Daria
581292	114891	Padmini
581293	230337	Amanda's Nurse
581294	146814	
581295	392135	Hester Pride
581296	238616	Telephone operator
581297	50619	
581297	278669	Gretchen Van Winkle
581298	185444	Joan
581298	360532	Mrs. Charmaine Patterson
581299	91935	Selena Osmond
581299	129826	Girl Lover
581299	134056	Pamela
581299	138146	Chantal
581299	140192	Carrie Fredericks
581299	155295	Sister Denise Norton
581299	159260	Bit Part
581299	182947	Nurse
581299	188355	Glad
581299	222724	Mary Johnson
581299	226912	Betty
581299	238745	Mary Verney
581299	257172	Sylvia Forbes
581299	275364	Clarissa Claremont
581299	341028	Sister Claire
581299	357584	Trudy Lutens
581299	363729	Sunday School Teacher
581299	366742	Amy Whitlock
581299	368928	Mercy
581299	385124	Sgt. Wendy
581300	86892	Salon Woman
581301	313828	Backup Singer 2
581302	130016	Sindy
581302	241471	Travel Agent Juanita
581303	131232	Amelia Comber
581303	247561	
581303	365286	Amelia Comber
581304	164438	
581305	105462	Dancer
581305	305036	Dancer
581306	56871	Little Girl
581306	59868	Amber
581306	269891	Megan Channing
581306	311037	Crying girl in tram
581306	340973	Clio
581306	363560	Cathy Morrison
581306	366679	Young Maggie
581306	385824	Abigail Johanna Deveraux (#4)
581307	1073	Heather Thompson, aged 8
581308	35640	Emily Stanton
581308	42983	Trendy Hostess
581308	75706	Lady
581308	117091	Airline Ticket Agent
581308	151297	Kate
581308	213204	Ann Maclean
581308	224506	Wendy
581308	402956	Evelyn
581309	11605	Millie
581309	87556	
581309	108011	Marjorie Kembler
581309	144624	Myrtl Cadby
581309	155904	Madeline Marshall
581309	191021	Nancy Hanks Lincoln
581309	206097	Ann Page
581309	215423	Penelope Moon
581309	372411	Edith Doray
581310	32388	Queen Eleanor
581310	32789	Mrs. Peachum
581310	37870	Mrs. Smithers
581310	39848	Countess Eleanor of Lessford
581310	39923	Coralie Mount
581310	46979	Mrs. Briggs
581310	54886	Milady Doverhouse
581310	55185	Factory Girl
581310	58656	Carrel's mother
581310	64712	Mrs. Orlane
581310	65107	Mother
581310	65666	Lady Emily
581310	69847	Linda Sanger
581310	69848	Linda Sanger
581310	104047	Mrs. Latch
581310	110370	Mrs. Dalton
581310	111933	Volumnia
581310	116763	Angela Brentwood
581310	128333	Mrs. Wallis
581310	136257	Mme. Barsac
581310	136518	
581310	145556	Mrs. Jeffcote
581310	145557	Mrs. Jeffcote
581310	152779	Millie Draper
581310	167253	Countess Wurben
581310	175200	Mrs. Venner
581310	183833	Baroness Isabel Nisatona
581310	190602	Hetty Preene
581310	191080	Mrs. Gardner
581310	193622	Mrs. Gates
581310	194581	Mistress Sara Ridd
581310	202724	Contessa Marisoni
581310	204891	Mrs. Rosel
581310	213994	Mrs. Moss
581310	220273	Madame Louet
581310	221262	Duchess of Devonshire
581310	221312	Mrs. Pym
581310	223764	Mrs. Dakers
581310	231107	Mrs. Webster
581310	231857	Mary Brown
581310	231927	Mrs. Ranger
581310	239533	Maggie
581310	240019	Mrs. Corney
581310	240812	Lizzie Crane
581310	241330	Mrs. Trout
581310	244914	
581310	245526	Mrs. Coates
581310	246273	
581310	250650	Matron
581310	252284	Maria
581310	261067	Lady Hingston
581310	263514	Mrs. West
581310	264054	Lady Caroline Lamb
581310	272616	Mere Colline
581310	273270	Kate
581310	289244	Kate Bishop
581310	296911	Lily
581310	303991	Chloe Hornblower
581310	329936	Ma Mutch
581310	331681	Maude Morgan-Vaughan
581310	372437	Erica's Aunt Margaret
581311	196605	Ethel Torpichan
581311	280495	Nellie Flaxman
581312	163544	Dancer, Dutch Girl
581313	109726	Cora Williams
581314	157562	Herself
581315	208720	
581316	14403	Peg
581316	24233	Queenie Mills
581316	65717	Margaret's Friend
581316	70298	Ruby Rose
581316	115177	Laura Kelver
581316	145822	Clara
581316	150249	Betty Mason
581316	163200	Odette
581316	171209	Babs
581316	204195	Peggy Orell
581316	279478	Louise Rand
581316	280894	Ruth Lee
581316	315067	Nita
581317	368009	Mary Richards
581318	164169	A follower of Rasputin
581318	388586	Sarah Hartright
581318	396726	
581319	270764	Yvette
581321	76241	Barb
581321	176949	Little Candy's Mom
581321	230972	Waitress
581321	248591	Nurse
581322	20073	
581322	169877	Gisèle
581322	338477	
581322	353843	
581323	217394	
581323	234422	
581325	14093	Sandy
581326	99356	
581327	168928	Joan
581327	172158	Ginny
581327	227728	
581327	269722	Lally
581327	307719	
581327	339813	Nadine
581327	382126	Agnes Gandoza
581327	404050	Shiela Montecillo
581328	192438	La mère
581329	158870	Ottavia
581329	260629	Serena
581331	344854	
581332	58165	Jeanne Benkert
581333	35535	
581333	132217	Girl Student
581334	312927	Detective 3
581335	114598	Anthea
581336	114598	
581337	42304	Police Dispatcher
581337	67590	Police dispatcher
581337	379223	Dispatcher
581338	13993	Flight Attendant
581339	65892	Tenant Farmer girl
581340	4500	Barbara
581340	75877	
581340	91002	
581340	108191	Tanja
581340	120142	
581340	142510	
581340	376414	
581340	401353	Katharina Lenau
581340	411109	Therese Wiesinger
581341	381608	Nancy
581342	80230	Une jeune archiduchesse
581342	215101	
581343	2165	
581343	8611	
581343	126340	Herself
581343	150177	
581343	214797	
581344	247977	
581346	396142	
581347	99257	Agent Adriana
581348	134664	Banana girl
581350	245111	Jenny Thomas
581350	308931	Shantel
581351	76259	Danielle
581352	337143	
581353	398558	Tate Kovich
581354	194220	Exhibition Diver
581355	272325	Cathouse Girl #2
581356	120398	
581356	201786	Narrator
581357	185847	Herself
581358	12319	Nurse (Joleen)
581359	67097	Sheelah
581359	108940	
581359	146094	The Mother
581359	281588	Rory's mother
581360	257645	Herself (Miss June)
581360	361862	Herself
581361	255235	Molly
581362	327831	Governess
581363	79041	Glamorous Woman
581363	97644	Girl
581363	115497	Baby James Dwyer
581363	267165	Phone Sex Sister
581363	389858	Mariah Maximilliana 'Maxie' J
581364	100713	Kindergartner
581364	188573	
581364	189233	Child at Party and School
581364	195558	Aretha Johnson
581364	392231	Sydney Hughley
581364	406555	Kristin (2004) episode Still 
581364	406952	Jaleen (1/1997)
581365	285322	Amber
581366	393314	Miss Scatchered
581366	408126	Mrs. Swaingate
581367	61674	
581368	168125	Dancer
581368	196405	Dancer
581368	208692	Dancing Girl
581368	304876	Dancer
581369	260679	Flock Member
581370	194779	
581371	32812	
581371	68732	
581371	309558	Nell
581372	45357	Anne Garrett
581372	80467	Ira's Secretary
581372	147660	Betsy
581372	196350	Court Reporter
581373	128154	
581374	112436	Maggie O'Higgins
581374	367316	Undetermined Role
581375	52962	
581375	357909	
581376	97301	Summer
581377	248914	Post Office Worker
581378	206215	Reporter #1
581379	69661	Madame des Grassins
581379	118313	Dona Luisa
581379	130774	Rosana
581379	133887	Mitzi, his wife
581379	218936	Antoinette
581380	108017	Pauline
581380	130774	Joy Llewelyn
581380	292188	Little Rosiee
581381	13293	Sharee
581381	13963	Debbie Dunham
581381	14485	Melanie
581381	22810	Mary Sue
581381	37335	Camilla Sternwood
581381	40627	Mimi
581381	40878	Fran Hewitt
581381	41955	Kate
581381	48923	Buffy's Mom
581381	56766	Sally Ann (segment "The Gener
581381	60763	Marge Marken
581381	64556	Herself
581381	64558	Performer
581381	64566	
581381	66388	Ruthann Gideon
581381	70391	Grace Winslow
581381	84487	Jean Fitzpatrick
581381	109578	Faye
581381	126030	Herself
581381	137845	Nancy Rollins
581381	138209	Electra
581381	154813	Sally Bingham
581381	165277	Chris White
581381	168648	Julie Sayles
581381	203506	Mary-Lou
581381	218553	Tina
581381	219030	Debbie Dunham
581381	228297	Susan Cooper ("Growing Yourse
581381	231330	Sally
581381	234240	
581381	243582	Jessica Cameron
581381	260369	Corinne Evans
581381	263531	Marlene
581381	268542	Joan
581381	270151	Herself
581381	270697	Billy's mother
581381	280356	J.R. Patterson
581381	307137	Herself
581381	356350	Herself - Choir Member
581381	363243	Cheryl
581381	363421	Charlene
581381	398326	Herself
581382	3973	Fingers' Girlfriend
581383	229753	Young Bess
581384	74217	Jenny
581384	109617	News Reporter
581384	314884	
581384	363268	T.V. Reporter #3
581384	363550	Ruth Lambston
581385	255235	Molly
581386	72502	Lesley Ann Monroe
581386	223344	Taylor
581386	380713	Laura Simmons (1988)
581386	390771	Lesley Ann Monroe Andrews, R.
581387	201872	Baby Martin Short
581388	385538	Emily Woods
581389	92767	Manolo's Girlfriend
581391	109530	
581391	231896	Body Double
581392	171190	Casey
581393	13833	Female Vocalist
581393	204255	Maniac's Mother
581393	238052	Cora
581394	224173	Nurse
581394	329477	Wife at Wake
581395	62778	Dancer
581396	341515	Patty
581397	22035	Shelly Meyers
581397	59135	Valerie Adams
581397	61765	Lacey Hellerstat
581397	80022	Carrie Brady
581397	232220	Carrie Brady
581397	232457	Angela Walsh
581397	366408	Carrie Brady
581397	385824	Carrie Brady Reed (#2) (1986-
581397	389858	Cindy (1992)
581398	295277	Anna Sager
581399	1784	Brothel Lady
581399	62037	Lucille
581399	91943	
581399	109539	Mother
581399	201784	
581399	202805	Mamochka
581399	265762	Vera
581399	347117	Party Hostess
581399	372269	Evelyn
581400	271282	
581401	117086	
581401	145396	Mama
581401	358583	Fat Woman
581401	364356	Woman in Window
581402	244918	Penny Burgers
581403	80832	Beth
581403	120236	
581403	190927	Lake Girl
581403	192413	Belle Gardiner
581403	241412	Jenna Brooks
581403	244372	Young Carol
581403	247571	Samantha Briggs, Reporter
581404	32052	Dancer
581404	133931	
581404	247022	Tara
581405	41435	
581405	75567	Jody
581405	109623	
581405	350176	
581405	375699	
581406	187870	Val's Crazed Fan
581407	115634	Trauma doctor
581407	182952	Prosecutor
581407	191524	Secretary
581407	195843	Ear Piercer
581407	241748	Nurse Jill
581407	321526	Dancer
581407	346127	Nurse
581407	385824	Nurse Jill (1986-1992)
581407	388349	Nurse
581407	406461	Nurse C
581408	138821	Candy
581408	147767	PomPom Girl
581409	380005	Storm (1991-1993)
581410	98900	
581411	360699	Karen
581412	308079	Women's Quartette
581413	190034	Mrs. Whorehouse Jim
581414	195645	
581415	321306	
581416	39456	Patricia Parker
581416	82837	Vicki
581416	207910	Kathleen Shelton
581416	253349	Sara Wingate-Travis
581416	266090	Chris
581416	298076	Bit
581416	305951	Wilma
581416	314103	Roxanne Kettman
581416	335586	Judith Maple - age 19
581416	359569	Lizzie
581416	387510	Ensign Leslie Mallory
581416	394504	Jillian Beauchamp
581416	399450	Dr. Charlene Chasen
581416	404720	Ann Dulles
581417	363729	Disciple
581418	187861	Singing Lady
581419	152620	Grace Danforth
581419	195911	Cecile, the Child
581419	348799	
581419	364245	Dawn Weaver
581419	370625	Lucia
581420	126548	Woman Driving Instructor
581421	62415	Bookstore Owner
581422	150147	
581423	206874	
581424	16642	Neighbor
581424	323983	Bernice
581425	168828	Dio's Aide, School Girl
581425	175329	Himiko/Yoshiko
581425	333840	Citizen
581426	174586	Herself (commentary)
581427	271198	Piper Goldring
581427	321515	Girl with Ashes
581427	400236	Jessica Lynn Buchanan (#3) (1
581428	196920	Crissy
581429	67955	Other Appearance
581430	606	Party Guest
581430	62942	Mrs. Jorgensen
581430	158608	Ad Lib #4
581431	5383	Janet
581432	104332	
581432	299105	Hiruko Ubusuna (young)
581433	319131	Acrobat
581434	1381	Herself
581434	45419	
581434	73935	Jane
581434	82839	Rosie
581434	90238	Jane
581434	146221	Minnie
581434	211600	French barber
581434	302886	Carmelita
581434	304601	Mayme
581434	306493	Maid
581434	333073	Sadie
581435	141030	Mrs. Brown
581435	215754	Mrs. Bliss
581435	259868	Sister Myra Smith
581436	223752	Johnny's School Teacher
581437	299944	Bessie (Age 12)
581438	89143	
581439	16642	Mary
581440	154357	Teacher
581440	395091	Stenographer #1
581440	399130	Ms. Petris (1988)
581440	408074	Veronica
581441	80949	Professor Burns
581441	86002	Arguing Cafe Couple
581441	253106	Bride-To-Be
581442	61697	Beth
581443	128259	
581443	370896	
581444	379108	Herself - Practical Craft Dem
581445	168911	Jinnah
581445	184944	
581446	187475	
581446	199182	
581446	298039	
581447	223893	Zozo
581448	364391	Orderly
581449	76217	Hooker In Mr. T's Cab
581450	346276	Girl with Ripped Dress
581451	89175	Jane
581451	123024	Rape Victim
581451	227035	Alex
581451	331555	Lead
581451	335705	Anna
581451	338371	Dona Paulina
581451	366753	Waitress
581452	46777	Club Woman
581452	133479	Lady
581452	220573	Gladys
581452	233930	Cousin Dorothy
581452	238238	80 Yr. Old Woman
581453	105975	Deria as a Girl
581454	154447	Mrs. Foley
581454	319760	Mrs. Davis
581455	5383	Fiancée
581455	203133	Hettie
581455	223654	Helena
581455	280895	Girl Singer
581456	16112	Manicurist
581456	61830	Ghoul
581456	95842	Passenger
581456	304298	Mrs. Jennings
581456	325956	
581457	228449	Student
581457	348795	Girl #1
581457	366918	Gloria
581458	249557	Sharlene
581459	198895	Third Witch
581460	242809	Sharon
581461	307468	Townsperson
581462	115497	Baby James Dwyer
581462	389858	Mariah Maximilliana 'Maxie' J
581463	359971	Matty
581464	234071	Maori dancer
581464	329025	Marcie
581465	363432	Alice Coleman
581466	219391	
581467	68455	Grandma Rosa
581467	202387	Saleswoman
581467	203526	Loretta Alpern
581468	11293	Mary Anne, the wife
581469	331721	Stage lady
581470	251637	Lutie, Busch's daughter
581471	32070	Sue Ford
581471	48084	Juanita Farrell
581471	58820	Herself - singing comedienne
581471	73701	Singer
581471	76499	
581471	83914	Sally Arnold
581471	128414	
581471	144411	Specialty
581471	157669	Mabel Dumbrowski
581471	168022	
581471	170858	Addie Rogers
581471	176375	Joan Hollingsworth
581471	193707	Herself (Leader, Rhythm Cowgi
581471	214782	Caroline (age 16)
581471	227149	Herself - Band Singer
581471	231854	Janie
581471	252381	Patty Davis, posing as Irma K
581471	273786	Sandra Sibelius
581471	309842	Judy
581471	313803	Herself
581471	315993	Helen
581471	321540	Judy
581471	329031	Herself (member, Corral Cutie
581471	329592	Helen McBride
581471	330809	Dancer
581471	342745	Vicki Adams
581472	311707	Herself
581474	954	Karen Fishman
581475	147844	Award Presenter
581476	14002	Waitress #1
581478	52681	Caroline
581478	408151	June Davis (1999-2000)
581479	335665	Jenny
581480	16637	Paula
581480	78781	Waitress
581480	93747	Show Contestant #2
581480	182963	Roger's Secretary
581480	212614	Hooker on street
581480	317260	Infomercial Woman #1
581480	319191	Brandon's Model
581481	62957	Person in the Villiage
581481	72733	Very Large Man
581481	336034	Female Bar Patron
581482	151703	Barb
581483	72688	Other Kid
581484	364300	Herself
581485	109395	Woman
581486	12320	Chelsea Stuart
581488	41792	Ruth Pascoe
581488	41795	Betty
581488	59244	Kate
581488	66574	Sally Reid
581488	76542	Gilda Rickman
581488	178335	Kitty O'Rourke
581488	199167	Alice
581488	240511	
581488	277889	Shannon
581488	300916	Cashier
581488	328788	Sally Clements
581488	336653	Helen
581488	386703	
581488	387267	Iris Delaney
581488	388764	Det. Sgt. Jean Diamond
581488	390648	Verity "Birdie" Birdwood
581488	391869	Kerry Barlow (1988)
581488	393685	Pinkey
581488	401624	Herself (?)
581488	402197	Bella Albrecht (1979)/Sharon 
581488	406891	Gloria
581489	112021	
581489	299470	Alice
581490	44542	
581490	49788	
581490	130878	Estella Hammond
581490	133568	
581490	152709	Leone
581490	335454	Nellie Wynn
581490	359769	Clara Clark
581490	371032	Tom's Sweetheart
581491	139073	Mrs. Hendricks
581491	150606	German Woman
581491	273318	Ms. Peabody
581491	358936	Anderson Daughter
581492	388180	Herself
581493	408784	Host
581494	87599	Woman in Hallway
581495	219773	Girl On Couch
581496	293199	
581497	126069	Showgirl
581497	140407	Bathing Beauty
581498	51877	Native girl
581498	158281	Mrs. Wrandell
581498	253126	Black maid
581498	334180	Waitress
581499	66356	Woman in Car
581499	142716	Susan Struthers
581499	256902	Iris Loring
581499	265538	Sharon
581499	298083	
581499	388842	Maggie Scott
581500	104482	Ana
581501	12242	Girl #1
581501	72733	Executive #1
581501	111729	Marie
581501	154309	Pageant Official
581501	158109	Mary Beth
581501	163492	Second Woman
581501	230531	Interviewer
581501	252856	
581501	315238	Diana
581502	276882	Townswoman
581503	29386	Carrie
581503	67583	Marsha
581503	82702	Terri
581503	223920	Chrissy Kramer
581503	278264	
581503	336033	
581503	385824	Madeline Armstrong (1990-1992
581503	398135	Anne Monroe
581503	404282	Lily Light #1 (1986-1987)
581504	99767	Jennifer
581504	120478	Bar Dancer
581504	147673	Female Actor
581504	203669	Johanna
581504	300180	Classes Dancer
581505	9015	Lolano
581505	43973	Native Girl
581505	128183	Mrs. Bearfat Tillicoot
581505	140444	Hina
581505	153146	Arai, Terangi's Daughter
581505	223397	A Native
581505	223399	Maimiti
581505	241531	Nupondi
581505	279797	Princess Melani
581505	279798	Princess Melani
581505	295370	Native Girl at Antro's Table
581505	358732	Lana
581506	25749	Tomo Takino
581506	123932	Potee
581506	209804	Madonna (ADV 2004 Dub)
581506	267200	Beautiful Teacher
581506	285831	Meihu
581506	348870	Mayuko
581506	381025	Tomo Takino
581506	388022	Cosette Sara, Ann Anzai, Rara
581506	390536	Yumi
581506	394431	Additional Voices
581506	398924	Kirala Mitsuboshi, Additional
581506	399784	Rosalie, Additional Voices
581506	402175	Fifi/Yuki's Teammate
581506	402790	Reika Mishima
581507	37998	Waitress
581507	66174	Madam Rose
581507	66186	Madame Rose
581507	73989	Goody Barrow
581507	221055	YMCA Visitor
581507	253818	Marcy Charlton
581507	318790	Fisherwoman
581507	394311	Maude Shaw
581508	28791	Herself (behind O.J. Simpson)
581508	401998	Herself
581509	299663	Mourner
581510	195466	
581511	11382	Peggy O'Hara
581511	13454	Lord Tommy
581511	25989	Bab Archibald
581511	25990	Bab Archibald
581511	25991	Bab Archibald
581511	37566	
581511	67874	Claudia Daingerfield
581511	73986	Jean
581511	96984	Molly Morehouse
581511	118024	Fifi
581511	128334	Mary Healey
581511	128616	Pamela Gordon
581511	131900	Gretchen
581511	134254	Dolly Erskine
581511	142313	Helene Dearing
581511	188340	Eloise Farrington
581511	191947	Eileen Kavanaugh
581511	192041	Ann Craddock
581511	196855	Annabel Lee
581511	212668	Peggy
581511	215532	Bernice Somers
581511	217435	Molly
581511	221334	Lovey Mary
581511	245031	Countess Celeste de Bersek et
581511	245150	Elise
581511	263351	Pepita
581511	263965	Prince Edward/Tom Canty
581511	266236	Prunella
581511	277645	Betty Wynne
581511	291150	Miss Mary Lucille Smith
581511	295372	Mici
581511	295379	Princess Tweedledee
581511	301854	Felicite
581511	306270	Snow White
581511	314828	Snow White
581511	314833	Nesta
581511	331480	Sylvia Weston
581511	345825	Little Eva St. Clair/Topsy
581511	349863	Marion Morgan
581511	364834	Gloria Grey
581511	365647	Letty Roberts
581512	200108	Munchkin girl
581513	315218	
581514	169440	Mrs. Miller
581515	195262	Big Toni
581516	61570	
581516	153187	
581516	262755	
581516	296912	Girl at Party
581516	304632	Mrs. Bennett
581516	321448	
581516	335613	Countess
581517	263590	Herself
581518	400566	
581519	390306	Herself/substitute assistant
581520	126508	Nada Band
581521	30268	Caroline
581521	31824	Caroline Newcliffe
581521	35594	Mariane Hargis
581521	39686	Witch
581521	49531	Nickey
581521	65430	Saddle
581521	101700	Secretary
581521	117086	
581521	123920	Ganja
581521	158796	Rose
581521	184548	Marlene
581521	194520	Jenny
581521	213112	Girl at Party
581521	231032	Edie
581521	232062	Lena Aruza
581521	267932	
581521	304553	Kim
581521	315275	Marlene
581521	321657	Muff
581521	404265	Janet Lawson (1976-1977)
581523	115559	Maggie Magma
581523	119564	
581523	164431	Marla
581523	164433	Marla
581523	205819	Frances
581523	223833	Reporter #2 in Police Station
581523	233894	Cindy's teacher
581523	240486	Skater mom
581523	286434	
581523	297789	Voices
581523	299884	Dora
581523	360116	Party Gossip
581523	362397	Voices
581523	371820	Bunny
581523	379027	Additional voices
581523	380715	Additional voices
581523	385824	Judge Karen Fitzpatrick (2003
581523	387020	Additional voices
581523	390771	Hillary Bauer, R. N. #2 (1978
581523	394403	Sylvia (2000-2001)
581523	397038	Additional Voices
581523	400236	Tina Clayton Lord Roberts Rob
581523	402234	Additional voices
581523	408442	Additional voices
581523	411802	Sherry (1998)
581524	14757	
581524	55995	
581525	61932	
581525	79305	Dean of women
581526	3202	Pat
581527	38864	Felicity
581527	79106	Wardrobe Woman
581527	255627	Sally Wilkens
581527	401732	Steph
581527	402197	Fay Donnelly (1986)
581528	116289	Nursing Sister
581529	10735	Alice
581529	120899	
581529	151386	Passenger
581530	274458	Cocktail Waitress
581531	204747	Cappy
581532	121824	Young Girl in Audition Line
581533	65606	Rose
581533	171411	Elaine
581534	80446	Lisa
581535	294004	Recruit Moultrie
581537	157505	
581538	95154	Goth Girl #1
581539	222875	
581540	293354	
581540	336587	
581540	372089	Female witness
581541	389000	Mlle Latour-Remoules
581542	266671	Carol
581543	290378	Student in Cafeteria
581544	354178	The Girls
581545	169932	
581546	35105	Herself (friend)
581547	37334	Mona Mars
581547	206313	
581547	231768	Specialty Trio member
581547	335726	Party Guest
581548	26074	Heidi
581549	130358	Fantasy Beach Girl
581549	321474	Stan's Assistant
581550	307195	
581551	254517	Singing Voice of Heather Sear
581552	196372	Office #2 typist
581553	139483	Waitress
581554	72140	Eva Randall
581554	232302	Pat
581554	255323	1st Woman
581554	362538	Mrs. Plumb
581554	385996	Isabel
581554	400805	Charlotte Baxter
581555	1398	Herself
581555	2548	Herself - Presenter
581555	2861	
581555	12057	Herself
581555	37383	Herself
581555	54882	Nellie Cotterill
581555	59625	Herself
581555	77613	Georgie
581555	90287	Sheila Farlaine
581555	91257	Herself
581555	94249	Miss Clark
581555	96957	Jackie Stafford
581555	113610	Sharon McLonergan
581555	124719	Sally Gray
581555	131771	Katherine Bridges
581555	133169	Herself
581555	138695	Delith
581555	143569	Pet Huggett
581555	152292	Pet Huggett
581555	152436	Host
581555	154312	Cheril
581555	154313	Herself - interviewed and in 
581555	168886	Herself
581555	193622	Peggy
581555	199354	Miss Penny
581555	199498	Julie Topham
581555	209349	Irma
581555	222488	Herself
581555	222654	Jill as a child
581555	230370	Bee
581555	239853	
581555	242955	
581555	243950	Herself
581555	254287	Herself
581555	254288	Herself
581555	254289	Herself
581555	269709	
581555	281052	Julie Dickson
581555	283412	Stewardess 'Nikki' Nicholls
581555	299018	Herself - Vocals
581555	316488	Emily
581555	329537	Janice Lawes
581555	333521	Herself
581555	337310	June Dennis
581555	340470	Mary
581555	353313	Dulcie Grimstone
581555	356948	Pet
581555	363797	Joan Shepherd
581555	376908	Petula
581555	404281	Lady Elizabeth Milligan
581555	406017	Herself
581556	51835	Patsy
581556	169427	Destitute Child
581556	302198	Laurel Harding
581556	406701	Co-Host (1995-96 Season)
581557	358277	Gertie
581558	403376	Vanessa
581559	241615	Pierced Bellybutton Girl
581560	15887	Ensemble Vocals
581560	358604	Choir Singer
581561	410882	Herself (2000)
581561	411325	Herself (2001-2002)
581562	16468	Office worker with message
581563	331639	Crazy dancer
581564	319532	
581565	356472	The Media (Herself)
581566	291233	Janey
581566	320365	Janet Sutherland
581566	396344	Katherine Mackinnon
581566	397248	Isobel McClusky (1985-1988)
581567	261041	Nanny
581568	403805	Nurse Jane (2002)
581569	242529	Student #2
581570	341519	Woman
581571	72851	Sandra Dugan
581572	385538	Emily Woods
581573	35714	Waitress
581573	37943	Jen
581573	117266	Kathy
581573	190332	Tina
581573	191409	Porsche Passenger
581573	191778	Ruth Forbinger
581573	193957	Policewoman
581574	300063	Kim Ravenal, age 4
581575	5066	Monarch Cheerleader
581576	200108	Munchkin girl
581577	285322	Emily
581578	23211	Toll booth operator
581579	200108	Ozma
581580	53284	Wet T-Shirt Contestant
581580	68232	Dancer
581580	290319	Stephanie
581580	342497	Melody
581580	366970	Ballet Dancer
581581	330697	Goose seller
581582	9131	Helen Patroni
581582	13619	Amelia Earhart
581582	19127	Magnolia 'Dusty' Clydesdale
581582	22652	Gail Randolph
581582	26062	Mildred 'Babe' Didrikson Zaha
581582	29391	Cynthia Linus
581582	50607	Lila Young
581582	58671	Catherine 'Cat' Burroughs
581582	62536	Kay Clements
581582	64904	Diana Brockhurst-Lautrec
581582	67471	Dr. Cleo Markham
581582	67587	Beth Chadwick
581582	70341	Julie Roth (probation officer
581582	91789	Paula West
581582	91859	
581582	167684	Stevie
581582	199679	Tricia Bentley
581582	200860	Catherine Abel
581582	208938	Laurel McNaughton
581582	213190	Linda
581582	222603	Mary Kelly
581582	232004	Ellen Moseby
581582	234240	Carol
581582	235059	Anne Woods, Church Secretary/
581582	258719	Diana Howard
581582	260663	Cherry Forever
581582	265775	Fran Koenig
581582	298573	Madge Larrabee
581582	300150	Kate Jarvis
581582	303989	Ginger/Miss Abigail Blodgett
581582	304236	Dr. Sybil Greame
581582	306320	Muriel Mulligan
581582	308060	Mary Duren
581582	327268	Dr. Elizabeth Arnold
581582	335563	LaVona Harding
581582	338271	Elaine Moore
581582	349811	Gay Erin
581582	387524	Elizabeth Murray
581582	410735	Katherine Calder-Young Papada
581583	137223	Dancer
581584	119821	Bag Stealer/Sue
581584	273327	Nurse
581584	358936	Anderson Daughter
581585	157499	Hospital Receptionist
581586	128083	Jada
581586	298001	Toni
581587	384538	Herself
581588	214974	
581589	382768	Co-Host
581590	53524	Performer
581590	53525	Performer
581591	26782	
581591	39077	
581591	113992	
581591	129734	
581591	131734	
581591	286613	
581591	320162	Tiffany Clark
581592	335058	Suzy Harper
581593	134178	African band
581593	302769	Lola Mae's Patron
581594	151379	Lucy
581594	261247	Enima
581594	296100	Mary
581594	320827	
581595	56900	Mrs. Claus
581596	27276	Mary Owen
581596	37005	Mazie Williams
581596	46386	Marjorie Galloway
581596	55717	
581596	68842	Gilda
581596	85041	Barbara Carlton
581596	130021	
581596	139521	Lady Violet Mistley
581596	149265	Mrs. John Linden
581596	158204	Gladys Hutton
581596	171215	Nan Norton
581596	196413	Madame Rubard
581596	205554	Maria Marten
581596	232174	The Wife
581596	262326	Teresa Esteban
581596	288445	Sheila Jerome
581596	295433	Ann Drath
581596	301710	Judith Bensonn
581596	312333	Millie Trent
581596	339869	Doris Clayton
581596	365276	
581597	132130	Herself
581598	29903	Massage Girl
581598	303753	
581599	81347	Dancer
581600	185901	Aunt Ethel
581601	66388	Maid
581602	15887	Ensemble Vocals
581602	32185	Chorus
581602	72504	Dulce Fox
581602	223893	Zozo
581602	321089	Beggar Woman
581603	147113	Dolly
581604	80695	Rockhouse Treat
581605	232319	Miss Hawkesworth
581605	409235	
581606	284448	
581607	92729	Librarian
581608	56207	Hooker #1
581609	344	Vendor Girl at Arena (bit par
581609	61706	Aria's mom
581609	143498	Disney Kid of the Kingdom
581609	287782	The Talking ATM
581610	104774	United Kingdom entry (12th pl
581611	190340	Hanna Gabriel
581611	202516	Louise de Vilmorin
581611	346599	Banquière
581612	339351	Samantha Barnes
581613	255807	Girl
581614	98899	
581615	33974	Mama Petrakis
581615	40771	Lavinia Vincenti
581615	54458	Serafina
581615	79105	Molly's Nanny
581615	88853	Miss Ourke
581615	91779	Lucy
581615	98012	Kipa (mother of Sinuhe)
581615	127148	Mrs. Collura
581615	128331	Actress
581615	133509	Mama Caruso
581615	135918	Mac's Wife
581615	139448	Sylvia Saperstein
581615	139578	Mrs. Kolasukas
581615	150723	Mrs. Weiss (Harry's wife)
581615	151084	Mrs. Andrews
581615	160980	Mrs. Auer
581615	163414	Mama Esposito
581615	176823	Mrs. Wilkens
581615	176872	Mrs. Dominic
581615	214957	Maria Rosa Abobora dos Santos
581615	221133	Clara Christopher
581615	221296	Sarah Carpentier
581615	223913	Gypsy Fortune Teller
581615	232223	Woman
581615	232436	Lady in the Park
581615	245457	Madge Harrison
581615	288975	Pehangi
581615	295343	Clara Morando
581615	305934	Bit Part
581615	346229	Babe Snell
581615	346240	Theresa Rocco
581615	362854	Bit Part
581615	367504	Clara May's Mother
581616	41004	Brenda Doyle
581616	77751	Maureen
581616	184369	Kitty
581616	188567	Josie
581616	210620	Mrs. Petrakis
581616	382838	Elsa (1984)
581616	395794	Sarah Harding
581616	399433	Presenter
581616	405829	Colette Daly (1994-1995)
581617	34395	Carrie
581618	130685	Soccer Scorekeeper
581619	267932	Secretary
581620	303980	
581621	195785	Sheila Downes
581621	280298	Rene
581621	334308	
581622	211500	Noblewoman at Camelot
581623	8166	Dot Aldrich
581623	22990	Mrs. Carr
581623	41504	Mrs. Peagram
581623	46667	Peggy
581623	46735	Mrs. Curtis
581623	59838	Secretary
581623	71349	Diana Faire
581623	118399	Nurse in Dr. Forrest's Office
581623	118536	Annette Fraser
581623	129097	Second Nurse
581623	143400	Bertha Harmon
581623	147417	Wedding Guest at Piermont's
581623	155845	Katherine de Vaucelles
581623	169890	Aunt Millie Forrest
581623	176895	Mother
581623	195579	Aunt Millie Forrest
581623	196910	Doris Bancroft
581623	203003	Doris Burnham
581623	219975	Dolly Wilson
581623	222814	Mme. L'Espanaye
581623	231793	Wife
581623	248450	Telephone Operator
581623	266719	Paige's Secretary
581623	280845	Susan Van Tuyl
581623	316503	The Wife
581623	321384	Woman in Lobby
581623	331472	Annie
581623	335599	Mrs. Ruth Harding
581623	338558	Beth Elliott
581623	344743	
581623	347731	Mother
581623	352723	Nora
581623	367415	Alice
581624	82385	Saleswoman
581624	204141	Matron
581625	203492	Daughter
581626	37261	Sharon
581626	41644	Rita
581626	71353	Annie
581626	73611	Simone
581626	75406	Mother
581626	92877	Valerian
581626	168289	Pat
581626	175575	Sharon
581626	178020	Karen Wallace
581626	196303	Sandra Eden
581626	208661	Virginia
581626	230316	Allison
581626	252229	Carlotta/Celia McGuire
581626	314442	Lisa
581626	383707	Lily Palmer/Jessica Daniels
581626	400206	Emma
581627	131731	Strip Club Dancer
581628	116554	Mrs. Trayer
581628	233856	Doris
581628	363763	Liz Carson
581629	363763	
581630	210417	Speciality Act
581631	199485	Job Centre Girl #2
581631	382663	Night Nurse
581632	360084	June Walker
581633	226873	Bit part
581633	239043	Melba
581633	264189	Handmaiden
581634	87855	Sabrina (14 ans)
581635	97644	Interview Teenager
581636	80642	Miss Power
581637	185398	Cuban Waitress
581638	32206	
581638	37384	
581639	176321	Acrobatic dancer
581639	321259	Duchess of Portsmouth
581640	41004	Anne Jane O'Dowd
581641	154796	
581642	241613	Elena
581643	131539	Court Clerk
581643	330812	Nurse
581644	203687	Ferry Passenger
581645	224022	Aimee
581645	398122	Julie Teeger (2004)
581646	108024	
581647	330845	Ruth
581648	145781	
581648	307445	
581649	365282	Maria
581650	109730	Sally Fleming
581651	273346	Yvonne
581652	94015	Greek woman
581653	26393	
581653	362875	
581654	112205	Diva's Assistant
581654	313474	Adi Gallia
581654	313476	Adi Gallia
581655	47191	Demonstrator
581656	83931	
581657	243564	George's Schoolmate
581658	308047	Robbie Sutpen
581659	15907	Surreal Theater Troupe Member
581660	16677	Voodoo Dancer
581660	30702	Matilde
581660	31892	Dancing Instructor
581660	43928	Pigmeat Goins
581660	59110	Nancy
581660	93829	Betty
581660	109891	Doctor
581660	130341	Mother at prison
581660	161505	Airport Cop
581660	166713	Annie (secretary)
581660	210874	Ms. Jackson
581660	255433	Sarah Thomas
581660	291122	
581660	295420	Grandma Cat Donovan
581660	394502	
581661	267654	Jackie
581661	365270	
581661	381755	Herself/Panelist
581661	383017	Regular
581661	390338	Herself (2000-2001)
581661	404817	Tusi
581661	405252	Judge
581661	405580	Various Characters
581661	406652	Jackie: Dating Coach
581661	407789	Various Characters
581662	190931	Mrs. Sutton
581663	40846	Edith
581663	103238	Phyllis
581663	133539	
581663	269346	Milliner's assistant
581663	360258	Waitress
581664	185449	Pamela
581664	195316	Miss Pratt
581664	231762	Josie Leach
581664	331412	Olive
581664	381406	
581664	385758	Various characters
581664	400909	Brenda
581664	404647	Maggie
581664	405071	Sheila Barnes
581665	273422	Karen's Pupil
581666	343780	Female Investigator
581667	131715	Second Maisie
581667	329973	Freda
581668	386924	Lucy Eaton #2 (2002-2003)
581669	71905	Ursula
581670	390338	Herself
581671	122217	Park
581672	162529	Emma
581673	324014	Sharon
581674	379336	Olivia van Oysterbed/Lulu Lim
581675	245093	Mrs. Jones
581676	53284	Crystal
581676	257649	Miss February
581676	257833	Miss March 1991
581676	361851	
581677	40148	Tiffany
581677	44083	Kim
581677	48240	Salina
581677	67833	Monnie Malone
581677	78318	Trudy Dunphy
581677	129776	Gina Katz
581677	165687	Jane
581677	194174	
581677	199210	Anna Goanna
581677	230412	Anna
581677	336722	Kate McLelland
581677	341991	Rosa
581677	388323	Cheryl Brooks
581677	390276	Liddy Powell
581677	391869	Roo Stewart (1988-1989)
581677	396405	Tina
581677	401624	Herself (2000-)
581677	402262	Carmen
581677	408688	Kate O'Brien
581678	336863	Herself
581678	402215	Herself
581679	1661	Rainbow
581679	24503	Actress in Dinner Theatre
581679	132442	Gabby
581679	193510	Lola
581679	194616	Prostitute
581679	215500	Miss Iowa
581679	253001	Waitress
581679	257729	Beth
581679	289670	Waitress
581679	362610	Jesse
581679	368987	Claire Applebee
581680	128288	Betty
581681	222620	Girl #2
581682	41471	Frances
581682	103593	Rosemary
581682	185367	
581682	219769	Rosie
581682	240232	Elizabeth Gibson
581682	307513	Nicola Blyth
581682	323377	Anna Le Page
581682	365138	Production assistant
581682	391206	Bernadette Brennan
581682	402422	Una
581683	358687	Helmwige
581684	109078	Herself (Columbina)
581685	281244	Girl on Cliff Top
581686	79794	Welfare Worker
581686	278833	Billy Bang's Forbidden Planet
581687	106188	Swindler
581688	98683	Tango Girl 1
581688	247455	Samantha
581689	298222	
581690	403273	Ellie/Harriet
581691	138716	Herself
581691	388212	
581691	390580	Host (1996-1998)
581691	408693	Host (1998)
581692	80426	Ali
581693	195771	Person at the Paris Opening
581694	363490	Lady Mayoress
581695	23316	Martha Addison
581695	27215	Rita Thornburg
581695	133949	Circus girl
581695	365733	Mrs. Fraker
581696	16626	Francie
581697	87517	
581698	13924	Herself
581698	16074	Bit Part
581698	17756	Mrs. Adams
581698	21506	
581698	22016	Woman on Train
581698	32356	Miss Peach
581698	37103	Mrs. Craig (bank customer)
581698	37402	Lily Clark
581698	43775	
581698	46239	Hattie Pugmire
581698	52579	Mother
581698	56925	Saleswoman
581698	67845	Myrtle
581698	69485	Happy Shopper
581698	77719	Maxine
581698	78692	Kay Cameron
581698	78732	Martha Allen
581698	83917	Jane Kesh
581698	94527	Betty the Flower Girl
581698	107758	Bertha Quinlan
581698	109536	Mary
581698	110324	Hospital Switchboard Operator
581698	113312	Anne Woodman
581698	114927	Claire Gordon
581698	116271	Verna Bales
581698	118916	Elizabeth (Henry's fiance)
581698	120688	Molly Malloy
581698	130337	Herself
581698	131363	Marcia
581698	133509	Woman
581698	133644	Janet Henry
581698	135834	Kate
581698	140024	Jo Allen
581698	141485	Constance
581698	143577	Ens. Kirk
581698	146781	Judith Martin
581698	149610	Mrs. Tarleton
581698	150867	Carol
581698	154148	
581698	157118	Ruth Robbins
581698	165276	Herself
581698	177497	Glenda Thomas
581698	178332	Molly
581698	183644	Lavara
581698	183728	Myra Gale
581698	188457	Pat Rockland
581698	194936	Glenda Thomas
581698	195753	Mrs. Ireland
581698	200485	Mrs. Miller
581698	203671	Daphne Flowers
581698	210831	Helen Gordon aka Helen Hardin
581698	217185	Minikah
581698	220970	
581698	221304	
581698	227290	Satin
581698	232344	Ruth Taylor
581698	233304	Jackie Lee
581698	235405	Miss Odell
581698	245425	Joan
581698	249263	Sylvia Day
581698	250449	Female golfer
581698	252202	Gwen Parker
581698	252368	Mimi Montagne
581698	252426	Receptionist
581698	266706	Kitty
581698	273184	Dorothy Gram
581698	273802	Bee
581698	274745	Counter Lady with Change for 
581698	277896	Mrs. Vanders
581698	282711	Telephone operator #1
581698	285690	Gwen
581698	301829	Laura Grant
581698	302696	Hairdresser
581698	304065	Clubwoman
581698	304096	Miss LaValle
581698	316786	Hazel Logan
581698	324010	Herself
581698	330875	Jane Turner
581698	331065	Woman in the office
581698	331393	Convair Passenger
581698	331689	Gladys Kane
581698	332069	Mrs. Jones
581698	340505	Linda Lawrence
581698	341927	Mary Gimlet/Wright
581698	347335	Stella's Friend
581698	356251	Mrs. Robbins
581698	360067	Myra Deauville
581698	360082	
581698	364704	Mary McCoy
581698	365208	Betty Prentice
581698	367833	Gail Halliday
581698	367913	Matron Sanders
581698	371022	
581698	389858	Marge (1963)
581699	16878	Seamstress
581699	185937	The Ballet Madame
581700	1868	Actor in corridor
581700	41004	Ronnie
581700	45616	Dove
581700	93594	Shopwoman
581700	142710	Mara
581700	154272	Margaret
581700	157809	Josie
581700	182989	Bradford Woman
581700	188567	Teresa
581700	226818	La Femme de Cadix
581700	253822	Woman/Deadly sin
581700	253823	(video "Rent")
581700	253825	Lady in video for 'Rent'
581700	277122	Hannah
581700	290345	Irene
581700	309544	Connie
581700	316942	Bowles' Nurse
581700	385020	Jackie Dobbs (1998-1999)
581700	388321	Joan Short Shackleford (2001-
581700	390351	Presenter
581700	396580	Queenie
581700	410804	Herself
581701	149724	Tina
581702	117260	Lady Devine
581702	238705	Mrs. Burton
581703	204747	Squeaky
581704	158322	Marge
581705	209657	Fay
581706	31069	
581707	509	Michelle Williams
581707	17280	Alexa (segment "Matriculated"
581707	66970	Starring
581707	73570	Mrs. M
581707	95838	Beta
581707	101711	Sarin
581707	150475	Monica
581707	187767	Candy
581707	207942	Alexa
581707	215878	Sofia Ivanescu
581707	222195	Cigarette Girl
581707	245013	Laura
581707	276779	Julie Walker
581707	276904	Savannah Delongpre
581707	307370	Margo Vincent
581707	310499	Jessica Priest
581707	372566	Faith Brown
581707	385824	Faith Taylor (1989-1990)
581707	391265	Lexy Monroe
581707	393010	Judge (Spiny Lobster Battle)
581707	399912	Julie Cooper-Nichol (2003-)
581707	405828	Margo Vincent
581708	197755	Schoolgirl
581708	365560	Air Hostess
581709	191631	Shelly Ferris
581710	245370	Vera
581711	350502	Martha Crawley
581712	134018	Agitator
581713	23922	Himself
581713	68097	Himself
581714	130867	Receptionist
581714	144593	Clinic Nurse
581714	223891	Julie
581714	350437	Lawyer
581715	279200	Dancer
581716	225524	La journaliste radio
581716	249074	Herself
581716	380663	Herself/Co-host (1995-January
581716	387548	Host
581717	234064	Miss Carter
581718	141193	Lilli
581718	203443	Dulcie Barnes, child
581719	79742	Pauline Watkins (mother of ca
581719	113303	Magistrate
581719	384441	Cleopatra Selene
581719	388249	Marie
581719	398738	Maeve
581719	402657	Constance Kent
581720	297115	First Whore
581721	362042	Miro
581722	38718	Bank Colleague
581722	259943	Fortunata
581722	272675	Nurse
581722	380678	Emily Litton
581722	385301	Joanne Gibson (2001-2002)
581722	400561	Midge
581723	1856	Herself
581723	1923	Herself
581723	1924	Herself
581723	5412	Reeny
581723	11109	Catherine
581723	33777	Company Spokesperson
581723	100034	Sarah
581723	138778	
581723	249692	
581723	330501	Katrina
581723	330591	Birdie
581723	378807	Nina Myers (2001-2004)
581724	250371	Susie
581725	32122	Nurse Tina
581725	249555	Performer 'Bohemian Rhapsody'
581725	292643	Typhoon
581725	341670	Night nurse #1
581726	294798	Flea Market Girl
581727	38659	Herself
581727	63215	Herself
581727	123018	Herself
581727	191313	
581727	261081	Interviewer
581727	299275	
581728	9254	Selina Hoyland-Jones
581728	99288	Lady in Waiting
581728	226882	
581728	360690	
581729	26285	Nurse #1
581730	266768	Rois Rane
581731	210391	
581731	315682	Gianetta in 'The Gondoliers'
581732	128318	
581733	32114	Becky
581733	82471	Jessie
581733	126606	Police Radio
581733	332435	Jackie
581734	380508	Janet Appleyard #2
581735	387719	Herself (substitute host)
581736	16878	Child Servant
581737	405217	Kittell sister #2
581738	185085	Jenny
581739	407655	Gwen Edwards (1982)
581740	155840	Herself
581741	38248	Police & SWAT officer
581741	105779	Burlesque Patron
581741	209210	Refugee
581742	26911	
581743	62989	Marthur Cratchit
581743	80593	Shop Assistant
581743	183722	Lady Anne Wharton
581743	277716	Nurse
581743	339877	First Girl
581743	386657	Susan Nipper
581743	393314	Jane Eyre
581743	396005	Wendy
581743	401744	Woman in coach
581744	158068	
581745	59415	Quinn's Secretary
581745	174006	Herself
581745	215049	Waitress in cafe
581745	236786	
581747	6681	Host
581747	6682	Herself- Reporter/Narrator
581747	21119	Narration
581747	23477	Herself
581747	53345	Herself (President, McClellan
581747	388655	
581747	390997	Host
581747	407415	
581748	348943	Gerry
581749	77195	Shirley Appleyard
581750	290402	Mrs. Peterson
581751	41121	Molly
581751	78121	Waitress
581751	127134	Nurse #3
581751	195519	Marie
581751	367588	Marybeth
581752	60829	
581753	4389	Zaramaneh
581753	52469	Zaramaneh
581753	66181	Zaramaneh
581753	74236	Zaramaneh
581753	112065	Zaramaneh
581753	121782	Zaramaneh
581753	179009	Zaramaneh
581753	203654	Zaramaneh
581753	214992	Zaramaneh
581753	269334	Zaramaneh
581753	285037	Zaramaneh
581753	289803	Zaramaneh
581753	300335	Zaramaneh
581753	301931	Zaramaneh
581753	361594	Zaramaneh
581754	277862	
581755	1743	Herself - Performer
581755	13995	Herself
581755	48489	Herself
581755	120528	Kelly
581755	120665	Herself
581755	163075	Crystal
581755	199129	Herself
581755	221426	Herself
581755	221482	Herself
581755	221483	Herself
581755	240877	Herself
581755	318743	Herself
581755	368408	Herself (USA)
581755	380012	2002 Winner
581756	13432	Alpha Beta (segment "Amazon W
581756	29672	Amethea
581756	29673	Princess Athalia
581756	40631	Rachel
581756	45867	Food Fantasy Girl
581756	81348	Kaira
581756	109524	Mrs. Vargas
581756	110959	
581756	140185	Coel
581756	195689	Woman at Fashion Show
581756	205165	Dr. Ellen Taylor
581756	289558	Woman at Babylon Club
581756	353302	Jan Cooper
581756	367098	Amathea
581757	2787	Presenter
581757	11535	Elvira Fine
581757	14196	Barbara Meade
581757	30278	The Baroness
581757	40700	Dr. Virginia Hertz
581757	55626	Margaret White
581757	57157	Meg
581757	69711	
581757	80584	Samantha 'Sam' Walker
581757	87343	Herself
581757	89330	Vera
581757	95775	
581757	105226	Leslie Stone
581757	107917	Caroline Lockhart
581757	108941	Eleanor Fine
581757	118280	Lucy Laughton
581757	134077	Melinda Moores
581757	141399	Lottie Ohrwasher
581757	144763	Greta
581757	158144	Herself
581757	161193	Herself
581757	168246	Vivian Marquie
581757	170522	Carol Anne Parrish
581757	187140	Pat Rafael
581757	193621	Diana Nichols
581757	201669	Herself
581757	201722	Herself
581757	214909	Patty Brooks
581757	214946	Herself
581757	239709	Mary Pruitt
581757	254593	Sarah Anders
581757	255442	Joy Burns
581757	257744	Allison
581757	258103	Margaret Larsen
581757	280152	Rose Black
581757	285357	Annette Jennings
581757	291985	Herself
581757	297951	Desiree Parnell
581757	302256	Lois McNally
581757	313989	Olivia Harris
581757	347969	Catherine Ness
581757	358669	Herself
581757	360313	Wesley
581757	361216	Rosalind
581757	361357	Kim
581757	368041	Tammy Banger
581757	368151	Ms. Traverse
581757	385797	Cosmo Yeargin (1991)
581757	398567	Annie Hoffman (1995-1996)
581757	402605	Lizzie
581757	405526	Narrator
581757	411384	Tammy Banger
581758	185474	Receptionist
581760	239265	
581761	88867	Dream Girl
581762	351502	Bobo
581763	72074	
581763	101881	
581763	111117	
581764	313730	Herself (ringside interviewer
581765	294415	Margaret Duncan
581766	200506	
581767	12046	Micheline
581767	19093	Denise, Paul's second wife
581767	63685	
581767	66212	Mrs. Lanson
581767	111877	Loiuse Lardic
581767	116628	Josefa Perez/Inês de Castro
581767	167632	Madame Clisson
581767	191550	Gilberte Hardouin
581767	239945	Isolda
581767	279900	
581767	282272	
581767	294680	Leonor
581767	340116	Madame Dartois
581767	345402	
581767	346442	
581767	370108	
581768	302901	Mrs. Maupin
581769	102581	Trolls
581770	34524	Lilo
581770	47847	Eleanore Mergenthin
581770	174795	Aunt Sophie
581770	198431	
581770	226269	Erna
581770	284862	Kaufhallenchefin
581770	352367	
581770	359657	Gräfin Olivia
581770	376415	
581771	365200	Herself
581772	264843	
581772	339911	
581773	379461	Marisol
581774	12838	
581774	79617	Erika
581774	144146	Frau Blümel
581774	182890	
581774	218967	
581774	231623	
581774	242862	Hanna
581774	273752	Anne Mertens
581774	303667	Pathologin Marie Weiß
581774	325391	
581774	325444	Liz
581774	325570	Margit
581774	325788	Margit
581774	325832	Erika
581774	325951	Margit
581774	369146	
581774	377359	Dörte
581774	405542	Pathologin Marie Weiß
581775	294089	Athenerin
581775	389948	
581775	389956	
581775	394918	
581776	33542	La tante
581776	40262	Mme Massicaud
581776	51246	Aunt Phasie
581776	77351	Amie D'Audrey
581776	112821	Madame Maubien
581776	159702	
581776	161567	
581776	164171	
581776	198607	
581776	236591	La servante
581776	258110	
581776	263023	
581776	265715	La mère Honoraz
581776	282492	Marthe Venieri
581776	308304	Grand-mère Fabrèze
581777	215426	Chef
581778	303611	Acting workshop student
581780	134624	Garda
581781	181944	Hedwig
581781	335026	
581782	23838	
581782	248507	Corine van Dijk
581782	328620	Kiki
581782	328621	Herself
581782	340509	Ineke
581782	354652	Dutch TV reporter
581782	382252	Host
581782	386264	Marion Bowman-van Tellingen
581782	410495	Host
581782	411233	Mitzy Boelen
581782	411950	Wiep Lansberg
581783	26736	Woman In Video
581783	43596	Bones Shadow
581783	230658	Hooker
581784	113575	Aida
581785	403688	Miss Nancy (1953-1963)
581786	92043	
581787	6408	
581788	40721	Barbara Hall
581788	44561	Michelle Chodiss
581788	64871	Sunny
581788	128707	Actress n newsreel
581788	131453	Effie
581788	147099	Fantazia
581788	182963	Patty
581788	188963	Blond Hooker
581788	206157	Barmaid
581788	214456	Cyndi Thornburg
581788	214481	Rachael
581788	244864	Teri Parker/Shirley Turtleby
581788	251237	Janet
581788	252844	Deirdre
581788	254761	Waitress
581788	295077	Luther's Girlfriend
581788	346128	Elaine
581788	353294	Tinsel
581788	353299	Sophisticatia
581788	362330	Anita Stone
581788	385824	Barb Reiber (2001-2002)
581788	389858	Tammy Carson #2 (2000-2001)
581788	411802	Alice Johnson #2 (1997-1999, 
581789	265897	Emily
581790	75954	
581790	145415	Jenn
581791	174635	
581792	166120	La patronne
581793	66563	Azélie
581794	167312	Roxy
581795	166134	
581796	104134	
581796	192870	Celeste
581796	266121	
581796	344758	
581796	403032	
581797	332706	
581798	394647	Tite-Lène
581799	148654	
581800	261016	Maud Noirval
581801	51442	Mme Touchette
581801	62570	
581801	314001	
581802	40572	Petite fille 2
581803	65677	Grandma Bancroft
581803	116947	The Maid
581803	195015	Baroness
581803	233523	Mrs. Douglas
581803	341903	Nassarah
581804	353499	Herself (Model)
581805	80230	
581805	114760	
581805	332622	
581806	40277	La duchesse Prokofievitch
581807	295211	L'arpète
581808	370439	
581810	409168	Herself - Reporter (1991,1994
581811	14898	
581811	18891	
581811	159899	Orietta
581811	275633	
581811	338600	
581811	361877	
581811	363757	
581811	380077	Isabel Afanador
581812	290862	Noemi bambina
581812	310963	Sandra
581813	33553	
581813	53233	
581813	57898	
581813	59225	La secrétaire
581813	76038	La revendeuse
581813	118177	
581813	126319	
581813	218331	
581813	269138	Mme Bigey
581813	338592	
581813	357855	
581813	377950	Caroline
581813	387560	
581814	138364	Dance Hall Girl
581814	142527	Martha
581814	205089	Nurse
581814	288999	Monique
581814	342512	French Monther (Segment #1)
581815	66558	
581815	84663	Herself
581815	117656	
581815	235889	Little girl
581815	284171	Herself (internal exile)
581816	13990	Girl at Bar
581816	116330	Girl Disc Jockey
581816	366419	Beautiful Woman #2
581817	165958	Drama Student #2
581817	333902	Lilly
581817	368987	Angela
581818	325606	
581818	325837	Hausbesorgerin
581819	12588	Prinzessin Wilhelmine
581819	14538	
581819	24149	Gräfin Cosel
581819	98329	
581819	101754	
581819	155466	Marie Polikow
581819	180640	Sophie
581819	201231	Eva
581819	204512	Mary Berry
581819	247317	
581819	251811	Solveig
581819	275044	
581819	279818	
581819	282201	Etelka Livius
581819	289897	Hanna Carstens
581819	314893	
581819	352392	
581820	156277	
581821	325695	Nathalie
581821	395667	Lea Starck (1999-)
581822	288117	Annie
581823	40413	Mady v. Liebermann
581823	290541	Claudia Renz
581823	325630	Carola Hartmann
581823	360754	
581823	406321	
581824	354293	Katerina
581825	290679	Singer
581826	141350	Cheerful nurse
581826	206691	Woman at children's party
581826	215252	Astronaught #3
581826	392170	Flirty Fashion Rep.
581826	392705	Hittite Woman #2
581826	409645	Fergie
581827	140214	Corinna
581828	93439	
581828	94423	Verkäuferin bei Schütz
581828	124432	
581828	155368	
581828	197838	Aenne Page
581829	121423	
581830	182851	Danserinden
581830	209315	Ekspeditricen Aase
581830	344048	Aase Brun
581830	347017	Dagmar
581831	48397	Dr. Barbara Vögel
581831	93497	Inès Finidori
581831	389337	Gisela
581832	364025	Danish School Girl
581833	64613	Sidse
581833	64625	Sidse
581833	93520	Older Bear Girl
581833	95757	
581833	237291	
581834	400118	Gammel dame (Old lady)
581835	48386	
581836	10145	Aspasia
581837	162040	
581838	272953	Hooded Priestess
581839	155684	Rocker Girl
581839	325133	Konkurrencerytter
581839	370801	Herself/Rocker Girl
581840	129180	Herself - Dancer
581841	208838	Kynlífsstelpa
581842	383323	Herself-Finalist
581843	333121	Lily
581844	170845	Dudettes member
581845	13446	
581846	245099	Jane
581847	94316	Solange
581848	154738	
581849	34953	
581849	42326	Herself
581849	43606	French Restaurant Patron
581849	59350	Dinner Guest
581849	85992	Susan
581849	117131	Judith Phillips
581849	291903	
581849	340582	Miss Simmons
581849	387309	Corky (early 1970s)
581849	389858	Mrs. Chamberlain (1995)
581849	398558	Postmistress Leita Rose-Blodg
581849	404570	Secretary
581850	185624	Movie Theatre Babe
581851	170852	Miss Kettle
581852	170423	Claire
581852	253520	Un amour troublant
581852	377272	La garde malade
581853	184059	
581854	199209	Big Rebecca
581854	203166	
581854	312391	'Snowy's' Mother
581855	94330	Bernadette
581856	108902	Muriel, as a child
581857	275500	
581858	184346	
581858	401983	Laurie Jubinville
581858	406031	Nathalie Rousseau
581859	16968	Woman in Window
581860	406381	Herself (2004)
581861	409541	Pascale Chénier
581862	13081	Evodia (segment "El Soplador 
581862	14933	
581862	21710	
581862	23854	
581862	30806	Magdalena
581862	51737	
581862	55352	
581862	55970	Jacinta
581862	59200	
581862	61191	
581862	83551	
581862	92597	
581862	100327	
581862	100639	
581862	121229	Nanny
581862	143813	
581862	148023	María
581862	148156	
581862	155971	
581862	170865	
581862	199915	
581862	201314	Melinche
581862	205599	
581862	205600	Magdalena Vargas
581862	209298	Sábanas wife
581862	213762	
581862	219739	Mrs. Maywit
581862	238757	
581862	241125	
581862	250458	Ida Garrett
581862	251722	Mujer con Infante
581862	270890	
581862	272281	Emma
581862	307290	Victoria
581862	307356	Indian woman
581862	308272	
581862	318008	Rocío
581862	324871	
581862	327016	
581862	332373	Esposa de Rubén
581862	349661	Aniceta
581862	353266	
581862	365213	Aurora
581862	368762	Sra. Moreno
581862	379118	Vicenta
581862	379890	Adela
581862	380084	Berta
581862	380445	
581862	380842	Eduarda
581862	381030	Chole
581862	381156	
581862	381839	Rosa
581862	384126	
581862	388647	Sor Trinidad
581862	391444	
581862	396131	Sra. de Ravel
581862	396852	Mamá Lupe
581862	397016	Amargura
581862	397018	
581862	398167	Fernanda
581862	401093	Nanae
581862	401698	Cata
581862	401898	
581862	403365	Mama Chole
581862	403741	Madre de Ernesto
581862	407648	Tránsito
581862	409833	Marga
581862	409913	
581862	410323	Andrea's secretary
581862	411248	Mother
581862	411660	
581863	346567	Mme de Nucingen
581863	377980	Madame Bailly
581864	162306	René's Wife
581865	19346	Karine
581865	29492	Aude et Marie
581865	33554	Anne Gadot
581865	51428	Justine
581865	58409	Chloé
581865	147024	Héloïse
581865	156312	
581865	164149	Yolande
581865	205773	
581865	218478	Sarah
581865	240298	Marie-Hélène
581865	248795	Loïse
581865	254014	Sophie
581865	254112	
581865	254315	
581865	269742	Suzanne
581865	336985	Félicie
581865	346419	Sandrine Pujol
581866	83732	
581867	337839	
581868	221657	
581869	92496	Connie
581869	151052	Liberty
581869	185315	Mercedes
581869	223691	Young woman
581869	282826	Cindy
581869	291866	Cynthia
581869	306257	Summer Princess
581869	314503	Erica
581869	410416	Medusa
581870	61851	The New Teacher
581871	332807	Emily
581872	132703	
581872	256368	Isabelita
581872	258497	Agatha
581872	294001	Manoli
581873	6573	
581873	13002	
581873	13003	
581873	30851	
581873	33493	
581873	33807	Dancer Boite
581873	44529	
581873	48844	Hortensia
581873	61151	
581873	63408	
581873	67212	Doña Matilde
581873	70060	Madre de Ana
581873	70690	
581873	70749	Charo 'La Corea'
581873	74368	
581873	87136	Juanito's Mother
581873	88975	
581873	104089	
581873	106324	
581873	115024	Herself
581873	124441	
581873	127602	
581873	133093	María Luisa
581873	135288	Tía Cuqui
581873	136944	
581873	145231	
581873	148108	
581873	205140	
581873	210173	
581873	210580	
581873	218565	
581873	233759	
581873	234386	
581873	235318	
581873	243238	
581873	244619	Antonia
581873	249319	
581873	251580	Mercedes
581873	251593	
581873	252786	
581873	253776	
581873	255291	
581873	257129	
581873	260841	Sra. de Don Porfirio
581873	273861	
581873	284974	
581873	296212	
581873	301115	Titi
581873	302431	
581873	327923	Vicenta
581873	332584	Doña Luisa
581873	351901	
581873	353180	
581873	354344	
581873	355118	
581873	379213	Justina
581873	384811	
581874	68140	vicina di casa
581875	6441	
581875	166549	
581875	292759	
581875	345600	
581876	259236	
581877	274791	Valérie
581877	345423	La paysanne
581877	357490	Cliente de Maurice
581877	376964	Mme André, la patiente
581877	404804	Louise
581878	189318	L'amie d'Armand
581878	377989	
581879	17855	
581879	68784	Simone
581879	78403	Surveillante
581879	101156	Maria
581879	101426	Teacher
581879	112880	
581879	274803	La fleuriste
581879	326034	Constance
581879	381850	Suzanne
581880	4981	
581880	9642	
581880	14749	
581880	20732	
581880	27987	Kukara
581880	37706	
581880	101887	
581880	103870	
581880	104091	
581880	104092	
581880	135058	
581880	148070	
581880	169084	
581880	183949	
581880	184935	
581880	213722	
581880	234181	
581880	247425	Kukara
581880	273645	
581880	332942	
581880	341342	
581880	355789	
581880	396880	
581880	403741	La Cucara
581881	4523	
581881	222409	
581881	303085	
581882	103363	Receptionist at Studio
581882	203488	Carol
581882	364713	
581883	80064	
581884	211375	Une passante au square
581885	158881	Biker Chick
581886	1841	Herself - Performer
581887	347985	Herself (entomologist)
581888	105905	Harem Girl
581888	355154	Hot Tub
581889	16682	Becky Porter
581889	214981	Featured
581889	317307	Featured
581890	81539	Mrs. Anderson
581890	277671	Second Lady
581890	386385	Jane Lee
581890	391254	Jane Mortimer
581891	241811	Pawnbroker
581892	384915	Casting Director
581893	290972	Neighbour on green
581894	220270	Show Girl
581895	11839	Cynthia
581896	53782	
581896	371965	
581897	192191	Angel
581898	169578	Joy
581898	186847	Gabrielle
581899	1132	Nancy Cakebread
581900	337996	Bartender
581901	84230	Mac
581902	317946	Sheila
581903	47588	Raver
581904	108768	Dinah Latimore
581904	182966	Judge Alice Ratakowsky
581904	187322	Amy Striker (Lucas' niece/edi
581904	194039	Ann Sharp
581904	244810	Rita Danzig
581904	303680	Joyce
581904	331152	
581904	359403	Pat Healy, McKittrick's assis
581904	387309	Charlotte 'Raven' Alexander J
581904	403509	Jacqueline Kennedy
581905	222592	Earl Carroll Girl
581906	320031	Georgia Brown
581907	83108	Herself
581908	213398	
581909	57341	
581909	88121	
581909	102623	
581909	206037	Mme. Illuminato
581909	270839	
581909	301363	Simonetta
581910	221834	Herself
581910	363215	Herself (mother of Ali)
581911	117118	Mother #2
581911	182958	Mom
581911	231764	Daisy
581911	331541	
581911	373300	Singer/Call-Girl
581911	389867	Secretary
581911	406952	Nun
581911	408039	Hope's Neighbor
581912	11943	Motel Maid
581913	11450	Clara Fox
581913	114196	Social Worker
581913	114313	Nurse
581913	319270	Judge
581913	321401	Lynda
581914	77463	Victoria
581914	165447	Jane Eyre
581914	218389	Sophie
581915	194130	Observatory Assistant
581915	299193	Anne Ball
581915	345952	Alaynah Moore
581915	408644	Claire (Forensics)
581916	254593	Mourner
581917	330550	Erica
581918	310801	Melanie
581919	327756	Paula
581920	219018	La mère supérieure
581920	392579	La concierge
581920	397506	La marchande
581921	16391	Herself
581922	191766	Hulda
581923	127112	Woman in Women's Institute
581923	131367	
581923	203522	Mrs. Pringle
581923	224414	
581923	337107	Mrs. Knowles
581924	314779	Young Karen
581925	68764	Jenny
581926	115573	Shopping Mom
581927	303133	Liza Finkelstein
581928	231081	Emily Price
581929	20978	Dany
581929	73959	Cathy Stevens
581929	107135	Miranda Jessmon
581929	110301	Alexandra Maynard
581929	113994	Anneliese Osborn
581929	114180	Justice Ruth Hagadorn Loomis
581929	116799	Nan Whitman
581929	117231	Sally
581929	122743	Carole Lombard
581929	130302	Alma Burns
581929	130361	Gloria
581929	132856	Sally White
581929	134342	Sarah Phoenix
581929	138434	Hanna Kaufman
581929	149181	Kitty Menendez
581929	153281	Wanda
581929	154943	Barbara Gordon
581929	157895	Herself
581929	163588	Kate Gunzinger
581929	191017	Emilie Todd Helm
581929	197475	Caterina Silveri
581929	213866	Moira Browning
581929	226954	Shirley Briggs
581929	230316	Grace
581929	254626	Norma Malley
581929	260966	Naomi
581929	263331	
581929	273552	Jill Ireland
581929	277637	Helen Odom
581929	293961	Barbara Jane Bookman/BJ
581929	300573	Diana Sullivan
581929	302010	Hilly Burns
581929	302943	Eve
581929	306176	Mary Nero
581929	313855	Marilyn Holmberg
581929	327144	Bit Part
581929	328264	Angela Black
581929	330315	Jackie
581929	347414	Erica
581929	347688	Laurie Braga
581929	349968	Ruth
581929	360712	Josephine
581929	362860	Susan French
581929	363268	Nancy Eldridge
581929	363719	Sarah Green
581929	364164	Vikki
581929	388006	Mickey Gorelick
581929	395312	Cricket Wardwell
581929	404613	Grace Bolton (1969-1970)
581929	408897	Eileen McCallister
581930	72624	Waitress
581931	263236	Reporter #5
581932	26745	Flight Attendant #1
581933	120989	Pauline
581934	214961	Woman
581934	308109	Old Lady
581935	7560	La mariée
581936	346938	Herself
581937	243724	Aunt Frannie
581937	362543	Sign language interpreter
581938	145772	Mrs. Kalinsky
581939	92959	Student
581939	205724	Woman in Gaming House
581939	215748	Hostess
581939	281696	Lady in Waiting
581940	183677	Head Matron
581941	387227	Herself - Host (1999-2002)
581942	40889	Anna
581943	208455	Deborah
581944	134422	Sally
581944	233897	Girlfriend
581945	146273	
581945	228641	Dorothy Trainor
581946	70169	Prostitute
581946	277480	Betty Bumcakes
581947	202207	
581948	198212	Énekesnõ
581949	5531	Undetermined Role
581949	11665	Mrs. Brown
581949	13580	
581949	20316	Townswoman
581949	20918	
581949	21297	Undetermined Role
581949	21300	Woman
581949	23592	
581949	29547	Mrs. Lane
581949	35630	Avis Langley
581949	35811	Helen Carlton/Virginia Carlto
581949	36841	Woman
581949	40542	
581949	41044	Townswoman
581949	43512	Vesta Wheatley
581949	45494	
581949	47986	
581949	48539	Woman Selecting Perfumes
581949	49250	
581949	49251	
581949	50003	Margaret
581949	51885	Woman
581949	52478	The Woman
581949	53263	Mary Grant
581949	54711	
581949	64919	Milly West
581949	66549	Undetermined Role
581949	67162	Jane Witherspoon
581949	72505	Margaret Harvey
581949	73670	Yvonne
581949	73695	Gail Ellis
581949	79056	
581949	79444	Louise Stolbeck
581949	80894	
581949	88245	Woman
581949	88940	
581949	88961	
581949	89674	Madge Hilyer
581949	91163	Christine Brent
581949	96939	Woman
581949	96948	Lois Page
581949	96989	Relative
581949	105649	Bit Part
581949	105850	Marion Shipley
581949	107566	
581949	117175	Anne Woodstock
581949	117206	
581949	117991	Betty Graham
581949	120190	
581949	123333	Catherine Spencer Darwin
581949	126274	
581949	128474	Lois Hartner
581949	132821	
581949	133303	
581949	133563	Ruth Jordan
581949	142877	
581949	143339	Mildred Carr
581949	143830	
581949	143946	
581949	144618	Janet Hall
581949	145821	Helen Barton
581949	145834	
581949	145840	
581949	146136	Alicia Duval
581949	146754	Mrs. Payne
581949	147384	Girl
581949	147650	Bit Role
581949	148363	
581949	150544	Mrs. Underwood
581949	150857	Ulrica Cotswolt
581949	153177	Doris Baker
581949	154952	Bit
581949	155846	Old woman
581949	155847	Ruth Townley
581949	162270	
581949	169497	Aline Marsden
581949	171193	
581949	171391	
581949	177368	
581949	177391	Bit
581949	183326	Edith Parrish
581949	183589	Woman
581949	183692	Barbara Martin
581949	185603	
581949	190542	Margaret Davis
581949	191217	Shirley Rossmore/Sarah Green
581949	196963	Woman
581949	200068	Maggie Pepper
581949	201305	Bit part
581949	201458	Woman
581949	203125	Betty Hammond
581949	203764	Violet Galloway
581949	204733	Pauline Craig
581949	206919	Mary
581949	208785	
581949	210871	Woman
581949	210892	Marcel Middleton
581949	211607	His wife
581949	219046	Helen O'Hara
581949	219968	Undetermined role
581949	224670	Countess Therese, aka Driver 
581949	230661	
581949	230811	Georgia Gwynne, as an adult
581949	230953	
581949	249021	Undetermined Role
581949	249513	
581949	253126	Lady Montague in show
581949	254275	Daisy Heath
581949	263441	Rose
581949	263504	Helen Carston
581949	264159	Mrs. O'Brien
581949	264173	Mrs. Seymour
581949	264715	Woman
581949	275499	Marie Campbell
581949	277651	Mrs. Blair
581949	277855	
581949	278853	Mrs. Stoughton
581949	280954	
581949	287946	Mrs. Wallace
581949	289236	Bit Part
581949	289422	Bit Role
581949	292782	Audrey Carlton as an Adult
581949	297203	Katherine Van Riper
581949	302629	Bit
581949	302921	Roseanne Ozanne
581949	309554	Hopama
581949	309577	Elma Raybourne
581949	309579	Passenger
581949	311741	Carey Brent
581949	311748	Lady Muriel Desborough
581949	312584	
581949	315108	Diana Lester
581949	315141	Joan Merrifield
581949	319146	Cissy Cason
581949	330607	Daphne Kip
581949	331769	
581949	335124	Bit
581949	337014	
581949	340853	Woman
581949	342349	
581949	353377	
581949	356634	Herself
581949	360563	Mary McLeod
581949	360621	Grace Miller
581949	361300	
581949	361681	Nurse
581949	363093	Dora
581949	363192	
581949	363584	Nora Carey
581949	363691	The Countess [Chs. 5-8]
581949	366198	Katherine Manners
581949	366722	Marie Beaupre
581949	367315	
581949	367438	Betty Fairchild
581949	367544	Mrs. Randolph Schuyler/Vicky 
581949	367739	Marion Livingston
581949	367918	Anne Elliot
581949	368006	
581949	370573	Polly Pollard
581949	372050	Woman
581949	372645	Constance Winthrop
581950	118744	Waigani Supervisor
581951	69804	Mrs. Markowitz
581951	80942	Mama
581951	135410	
581951	152910	Joann DiBenedetto
581951	155219	Dr. Miller
581951	163363	Muffy Bilderberg
581951	169916	Dr. Darten
581951	238410	Paige Taggart
581951	267653	Dynajet Flight Attendant
581951	329342	Dr. Applebaum
581951	362834	Denise
581951	368942	Dr. Harris
581951	392451	Ms. Buttsman
581951	399977	Paige Taggart
581951	401020	Cathy Chadwick
581951	402170	Berlin
581951	404395	
581952	259868	Rose Smith
581953	98800	Girl
581954	39959	Ellie
581955	8465	
581955	46698	Linda
581955	219862	
581955	273628	Townspeople
581956	346139	Rosetta 8
581957	179513	Bag Snatcher
581957	272279	Ngaara
581958	41313	Blanche Birdsong
581958	109843	Constance 'Connie' Bower
581958	115471	Jane Morrow
581958	125512	Julie Jordan (in 'Carousel' s
581958	137212	
581958	157882	Anita Gonzales
581958	192951	Lupita Sandoval
581958	196489	Poe's Young Mother
581958	300167	Sue Willard
581958	303525	Penny Blanchard
581958	305934	Singing Inmate
581958	311909	Sally
581958	319226	Dorrie Marsh
581958	330843	Cathey Cortland
581958	331092	Miss Harris
581958	367274	Renee
581958	400759	Herself (1962)
581958	404570	Mrs. Elliott
581959	285184	Jane
581960	78903	Jill
581960	175788	
581961	175788	
581962	411245	Nan (episode 8: Tarflowers)
581963	5573	Martha Mertz
581963	14161	Sarah Mortom
581963	49396	Mrs. Willis
581963	70460	District Attorney
581963	131217	Deana Bernini
581963	215463	Journalist
581963	223885	Ben's Mother
581963	282563	Supervisor
581963	314107	Mrs. Alder
581963	340901	Travel Agent
581964	304560	Fran
581965	82594	Carol
581966	410978	Samantha Boothe (2003-)
581967	283248	Lake Girl #1
581969	46742	Linda
581969	144592	Juliet Beck
581969	144641	Juliet Beck
581969	232455	Little Girl
581969	232456	Little Girl
581970	46716	Bride 4
581971	98800	Cricket Spectator/Tennis Matc
581972	355226	Miss Rushin
581973	13356	Nurse
581973	32099	
581973	109576	Mary Strong
581973	246688	Secretary
581973	395647	Daisy Harrington
581973	407488	Edith
581974	5490	Young Mrs. Knighton
581974	16484	
581974	21799	
581974	26642	
581974	26646	
581974	30381	Leila Larkin
581974	33603	May Reidy
581974	35759	
581974	38742	
581974	39554	
581974	43735	Bonnie
581974	44550	
581974	44557	
581974	46716	Bride 13
581974	47621	The Girl
581974	47622	Margaret Holmes
581974	47624	The Girl
581974	47627	Stage Driver's Daughter
581974	47628	Broncho Billy's Wife
581974	47631	Stasia
581974	47633	The Girl
581974	47635	
581974	47636	
581974	47638	Mildred Young
581974	47641	
581974	47642	Broncho Billy's Wife
581974	47648	
581974	47649	
581974	47652	Marguerite
581974	47657	
581974	47658	The Hotel Owner's Daughter
581974	47659	
581974	47661	Grace Todd
581974	47662	Josie Haley, as an Adult
581974	47663	
581974	47664	Mae Newman
581974	47665	The Storekeeper's Daughter
581974	47667	
581974	47668	
581974	47669	Broncho Billy's Wife
581974	47670	
581974	47671	The School Teacher
581974	47677	
581974	47680	
581974	47681	The Rancher's Daughter
581974	47682	
581974	47683	
581974	47685	The Girl
581974	47687	Broncho Billy's Wife
581974	47688	Mary Johnson
581974	47690	Marguerite Rundell
581974	47691	
581974	47694	Broncho Billy's Former Sweeth
581974	47698	Broncho Billy's Former Sweeth
581974	47699	Marguerite
581974	47703	Marguerite Wilson
581974	47707	The Minister's Wife
581974	47711	
581974	47720	Miss Emmett
581974	47721	Marguerite
581974	47725	Grace Woodward
581974	47727	
581974	47729	Marguerite Clayton
581974	47733	The Judge's Daughter
581974	47735	The Storekeeper's Daughter
581974	47736	
581974	49375	Lotta Nerve
581974	49946	
581974	52508	Jane Barton
581974	52672	The Girl
581974	54131	May
581974	60847	
581974	63096	School teacher
581974	64530	Norma Wallace
581974	65740	
581974	70294	The convict's wife
581974	72284	
581974	75513	Ruth Sanford
581974	78158	
581974	79374	Margaret Fowler
581974	79664	Madge
581974	83577	Mary
581974	88947	Marguerite
581974	93086	Ruby
581974	106829	
581974	115117	Ruth Holden/Rena Holden
581974	117394	
581974	117398	Eileen Arden
581974	129801	
581974	133971	
581974	139116	The Beautiful Girl
581974	145407	Fred's Sister
581974	146197	The girl
581974	146776	Edith Jason
581974	155704	Fanny Copeland
581974	160400	Kate Marcy
581974	160451	Jane Gerson
581974	160617	Mary Keith
581974	160836	Marguerite Stockdale
581974	185360	The Landlady's Daughter
581974	195421	Ruth
581974	203277	Mary Lawton
581974	210761	Eunice Hollis
581974	230732	Nadia Kameneff
581974	232343	Ethel Carver
581974	247138	Julia
581974	258066	Clara Marshall
581974	262071	
581974	264044	Princess of Dawsbergen
581974	274269	Marguerite
581974	274446	The Rancher's Daughter
581974	283858	
581974	304289	Shasta Hayden
581974	305960	Nell Canby
581974	305970	Dr. Rawlins
581974	312311	The Squatter's Daughter
581974	315898	Denver Nell
581974	316451	Broncho Billy's Sweetheart
581974	316680	Betty Blair
581974	317218	Gretchen Sharp
581974	327273	Annie Fargo
581974	331378	Marguerite Corrington
581974	332800	Ethel Brannon
581974	338739	Peggy Adams
581974	342539	
581974	343245	Alice Carroll
581974	357588	Eloise Cleverman
581974	359492	Nellie
581974	362318	
581974	362898	
581974	362913	Elizabeth Barton
581974	364545	Marion Rivers
581974	367263	Edith Ford
581975	11440	Miss Anna Baumer
581975	30346	Bella Hedley
581975	154355	Lois, Girl at the Party
581975	183380	Helen Lopez
581975	194302	Gertie
581975	200484	Amy
581975	223399	Mrs. Mary Ellison
581975	242110	
581976	51795	Ella Mae Hayman
581976	61572	Dawn
581976	150854	Laurel Cobb
581976	314103	Sally
581976	363045	Jenny Double
581976	381618	Lindsey
581976	401075	Courtney
581977	40250	Herself
581977	52005	Verna Dee Jordan
581977	87281	Herself
581977	200894	Audrey James
581977	232812	Background vocal at porno hou
581977	264565	Betty
581977	365381	Gospel Singer
581977	383183	Det. Verna Dee Jordan (1987-1
581978	92618	Mexican Villager
581979	42705	Pretty Lady
581980	316283	
581981	47571	
581981	77200	Tracy Spillings
581981	118466	Mrs. Adrian
581981	263791	Carol
581981	382838	Diane McAllister (1983)
581981	387533	Dawn Wilkins (1999) (4 episod
581981	401224	Rita
581981	408053	Maggie
581982	301879	Model
581983	5534	
581984	331920	Rose
581985	176525	Betsy Ross
581986	62898	Mercedes Girl
581986	304365	Jane Burke
581986	366300	The Girl
581987	178189	Extra
581988	151108	Harriet Johnson
581989	368374	Miriam Roth
581990	395879	Molly
581991	273000	
581992	12179	Marion Mabrey Gates
581992	22886	Comtesse Claudine
581992	31893	Willow Martin
581992	35478	Eleanor
581992	42835	Connie
581992	73338	Joan Mason
581992	93220	Mae Elkwood
581992	114540	Talkative Salesgirl
581992	131426	Mitzi, on-screen actress
581992	183831	Jean LaGendre
581992	192611	Annabella Post
581992	206404	Flo Granger
581992	206415	June Baylin
581992	241083	Grace's Friend
581992	280158	Harriet Snedley, orphanage su
581992	316164	Nadja
581992	330004	
581992	338104	Pat Warren
581992	340964	Marsha Crane
581992	343252	Ginger
581992	364042	Mme. Astrid DeLambre
581993	82735	Pamela Prostitute
581995	235271	Maya
581996	286686	
581997	244034	Pea Soup Staff
581997	309941	
581998	115517	Female Technician #2
581998	341455	Mrs. Ruston
581999	131234	Passenger I
582000	62898	Hostess
582000	231923	
582001	143538	Gryphon Elder
582002	379978	Herself (eliminated 2nd) (200
582003	28646	Jane Peters
582004	84439	Rachel
582004	131760	Tara
582005	147980	Priya's daughter
582006	381898	Herself (2002)
582006	381917	Herself - Evictee #4: 12 May 
582006	390335	Herself - Presenter, Strathfi
582007	23553	Amy
582007	45756	Breeze McCoy
582007	85117	Carrie
582007	187474	Organ Donor
582007	219866	Lila
582007	313080	
582007	364048	Amy
582008	30587	
582009	14556	Pernilla
582010	89217	Megan
582010	265606	Martha
582010	321187	Sam
582010	378894	Sgt. Katherine Brookes
582011	41360	
582012	41360	Tina
582012	165428	Waitress
582012	169893	Foster Mother
582013	184878	
582014	11963	Rose
582014	110319	IHOP Waitress
582014	177204	Assistant to Schlowski
582015	312704	
582016	11437	Herself
582016	266702	Herself
582016	356297	Herself
582016	360599	Herself
582016	373569	Kathleen
582017	391943	Presenter
582017	400467	Host (2002-)
582018	169140	Benjamin's Wife
582019	243751	
582020	128891	Rita
582020	203492	Red Cross Woman
582020	273825	Waitress
582020	381212	Jan
582020	384968	Standish
582020	385020	Eileen Grimshaw (2000- )
582020	386386	Glenda (Series 2) (1999-2000)
582020	408053	Sylvia Holland
582021	28927	Sukie
582021	50448	Maid
582021	56746	Sookey, Servant
582022	311249	Bit part
582023	15087	
582023	20908	Mme de Vierne
582023	23646	Irène Boyer
582023	23797	Simone Sarclay
582023	43702	Germaine Colin-Minet
582023	57512	
582023	59261	La Pintade
582023	68369	Maggy Dupré
582023	70521	Madame Rochon
582023	107537	Eliane Garnier
582023	111688	Mademoiselle Farnoux
582023	116409	La femme de l'antiquaire
582023	122431	La comtesse
582023	132769	
582023	132779	Madame Quesnard
582023	139818	L'infirmière
582023	148769	
582023	168078	Madame Grunder
582023	169653	Monique
582023	170358	Louise
582023	192820	Mme. Schmutz
582023	199331	Mademoiselle Plassier
582023	199944	Madame de Morgeaux
582023	215102	Mère de Jacques
582023	220248	Lucienne
582023	234900	Lucia
582023	258123	La patronne de l'hôtel
582023	268445	Mme Le Tellier
582023	275310	Lucienne
582023	275531	Mrs. Perier
582023	285742	Hélène Favier-Bouchard
582023	292238	
582023	318512	La mère de Rémi
582023	331010	La mère de Manou
582023	332231	Augusta (segment "Prétendant,
582023	340210	Annette
582023	345128	
582023	351259	Elise Flavigny (segment "Viso
582023	353941	Mme. Kerbel
582023	374208	Madame Mouaque
582023	376914	La dame au chien
582023	377712	Isabelle Pontillac
582023	377953	Joséphine
582023	380902	Mlle Vernojac
582023	380967	
582023	381078	Adèle Zatkine
582023	382480	Mme Corbassière
582023	386084	Mme Montigny
582023	388310	
582023	390754	Mme de Tourville
582023	397814	Amélie de la Brulardière
582023	398985	Théonie
582023	401139	Antonia
582023	404861	Mme Janniau
582023	405508	
582024	342136	
582025	34683	Mrs. Cullam
582025	78607	Helen
582025	114833	Angie
582025	151726	Mum
582025	299651	Sadie
582025	318726	Hen 1
582025	321351	Actress
582025	329541	Girl With Baby
582025	388320	Liz Barnes
582025	405314	Sarah
582026	280365	
582027	245950	
582028	289827	
582028	393492	Nurse
582029	112049	Pip Small Mammals
582029	114350	Portia
582029	154991	
582030	124225	Rimi Stone
582030	230968	Kareen
582031	163503	Miss Ventnor
582031	387518	Nurse Jo Buckley/Anderson
582032	110319	Young Survivor
582033	368417	Alice Weatherspoon
582034	20371	Helga, the Nurse
582034	27172	Herself/Various Characters
582034	34917	Sabrina
582034	72376	Wendy, Music Publishing Recep
582034	80969	Marguerite
582034	82013	Herself
582034	121512	Ma Dukes
582034	177630	Lady #1
582034	192100	Mom
582034	198855	Hoover Blue
582034	208094	Al Lewis
582034	213091	Lauren Amber
582034	214090	Marlene
582034	221183	Jane
582034	223967	
582034	239786	Trustee
582034	252823	Officer Rhoades
582034	276201	Doris
582034	288703	Herself - Audience Member
582034	288705	Herself/Serena Williams/Vario
582034	288707	Anita Hill
582034	288711	Herself (Various Characters)
582034	288712	Herself/Various Characters
582034	316886	Cocktail Waitress
582034	330773	Sylvia, TV Talk Show Host
582034	379323	Bus Driver Sally Knorp (1993-
582034	383119	
582034	384435	Ellen
582034	392421	Herself
582034	392422	Herself
582034	404337	Various (1991-1995)
582034	408642	Panelist
582035	224091	Amanda
582036	169894	Charlie Deed
582036	393037	Zelda Kay
582037	121253	
582038	313699	Social worker
582039	69391	Bachelorette in Blue
582039	81665	Student
582039	136838	Reporter #3
582039	252897	Cafe Patron
582039	261248	Lip Liner Girl
582039	367487	Neighbor
582039	404152	Salem Villager
582040	208217	L'ouvreuse
582041	156970	Anne Marie
582042	280260	Mom
582043	186516	Hotel Clerk
582044	169792	
582045	364785	Mrs. Wickham
582046	162607	Cecilia
582047	104748	French entry (15th place)
582048	206128	Herself
582050	370399	Herself
582051	359264	The Gold Star mother
582052	206128	Herself
582053	36492	Imari
582055	159294	Alice
582057	296873	Knife-Throwing Act
582058	5902	
582058	13457	Elperia
582058	37694	Julia
582058	86445	
582058	86451	
582058	95026	
582058	103500	
582058	206018	
582058	288854	Michal
582058	289814	
582058	311062	
582058	328624	
582059	369158	Female page
582060	19740	Lisa Drillsen
582061	69732	Veola
582062	6805	Katie
582062	6814	Mrs. Davis
582062	12764	Designer
582062	16095	Nurse
582062	20087	Bit
582062	25479	
582062	26776	
582062	41502	Guest at Second Party
582062	48569	Miss Durling, Hostess Chief
582062	77767	Workman's Secretary
582062	84252	Woman
582062	96939	Saleslady
582062	117097	Miss Upton
582062	117754	Mrs. McBride
582062	118399	Nurse Attending Ann
582062	130722	Ill Ringsider Who Won't Leave
582062	131454	Bit Part
582062	140444	Mrs. Harlow
582062	143651	Bit Part
582062	146616	
582062	147413	Miss Weatherby
582062	154468	Mrs. Jackson Elder
582062	157878	Saleslady
582062	163431	Stewardess
582062	163513	Milliner
582062	177397	Mrs. O'Rourke
582062	183627	Gertrude
582062	183759	Mrs. Harper
582062	183767	Nurse
582062	196928	Duchess
582062	198660	Salon Customer
582062	202641	Dowager
582062	203463	Bit Part
582062	210779	Matriarch
582062	221130	Mrs. McGann
582062	223654	Agnes, Mrs. Stephen Cantillon
582062	224127	Secretary
582062	234090	Woman at Smith Home
582062	234211	Miss Margaret McKenzie
582062	237818	Aunt Lucy
582062	254452	Ann Zorka [Chs. 1-2]
582062	254453	Ann Zorka
582062	263592	
582062	264567	Society Woman
582062	264888	Bertha Hirst
582062	275974	Mother
582062	297970	Department head
582062	300123	Theatergoer with John
582062	304876	
582062	313076	Secretary
582062	317354	Wardrobe Woman
582062	318933	Wife
582062	330105	Beauty Manager
582062	331123	Mrs. Holland
582062	335660	Mrs. Fairbanks
582062	346196	Mrs. Marlowe
582062	346908	Woman
582062	363745	Mrs. Upshaw
582062	367919	Woman Under Sunlamp
582062	372116	Woman
582063	151071	Midwife
582064	49733	Mrs. Durand
582064	73736	Jeanne Perrier
582064	79402	Esta
582064	171273	Annie
582064	195544	Anita Day
582064	239890	Cora West
582064	328069	Laura Brandon
582065	61133	Señora Rienda
582065	61141	Sebastiana
582065	91423	
582065	108842	
582065	148039	
582065	148093	
582067	178859	
582068	263281	Margie
582069	136635	Jette
582069	242451	Barnebarn
582069	259049	Hanne
582070	365699	
582071	8023	Alice
582071	32986	Kimberly Shushan
582071	74117	Art Director
582071	80904	Sara Kester
582071	94621	Customs Officer #2
582071	97091	Ghost of Christmas Past #1
582071	110519	Beth's Mother Robyn
582071	185758	Bridal Shop Owner
582071	207765	Katie Doyle
582071	214976	Celia
582071	217528	Toni
582071	232466	Sandy
582071	245460	
582071	252924	Sarah
582071	265109	
582071	270752	Margo Miller
582071	306257	Spring Witch
582071	359195	Ann
582071	360279	Vicki
582071	398711	Zoë Johansson
582071	405241	Herself (1999)
582072	156501	Sara
582073	337494	Herself (Director of Undergra
582074	230933	Maid
582075	134209	
582076	113288	Lillan; Buck's Mother
582077	103729	
582077	229246	Lilith
582078	76027	Zillah
582078	297185	Mrs. Castro
582079	235750	
582080	55906	
582081	12213	Clerk
582081	26471	Louise
582081	69895	President's Secretary
582081	73116	
582081	89671	
582081	157824	Doctor
582081	182979	Black Mother
582081	188572	Diane
582081	217534	Dr. Doris Irwin
582081	245728	Newscaster
582081	257530	Jill Craine
582081	263531	Judge Judy Holland
582081	278498	Nurse
582081	299649	Judge
582081	313049	Hospital receptionist
582082	326536	Alba
582082	339872	Nina Baccardi
582083	170444	Soeur Chloé
582084	130991	
582085	360365	
582086	171419	Herself/Judge
582087	136360	
582088	18801	Olímpia Marto
582088	52746	
582089	310337	Nick's Ma
582090	127842	Mrs. Palizetti
582090	401828	Seppa
582091	35709	Wife
582092	409093	
582093	2658	Taryn
582093	248139	Claudia
582094	13095	
582094	159467	Zaira
582094	266170	
582094	295178	
582095	288377	Saskia Fink
582096	103130	
582096	288377	Saskia Fink
582096	347634	Hanni
582097	34213	
582097	56100	Sister Maddalena
582097	113702	
582097	191552	Tortured woman
582097	209387	Glauce
582097	314452	
582097	361109	
582098	84183	Fernanda de Sousel
582098	333596	
582098	336116	
582098	339015	Poem Reader
582098	341138	Teresa, the castle's maid
582099	187727	DeeDee
582100	127604	Prima Ballerina
582100	197567	
582101	392571	Cockney Mum
582103	382838	Imelda Clough (2001-2002)
582104	152932	Girl in Kosovo
582106	155453	Dancing Secretary
582107	100209	Blonde Woman
582108	384807	Columnist
582109	241277	Aquilla's maid
582110	394804	Herself
582111	48287	Irene Lanyon
582111	366884	Alma Prichard
582112	300342	Shrink
582113	7069	Miss June
582113	112601	Train Attendant
582113	115011	Madison Shopkeeper
582113	195540	Lizbeth
582113	202619	Waitress
582113	222647	Ida Flowers
582113	223799	Courtroom Clerk
582113	229858	Woman
582113	273340	Lawyer
582113	278824	Interviewer
582113	304758	Woman in Truck
582113	345861	Mrs. Rodgers
582113	360616	Waitress #2
582114	389332	Rot (Red) Freggel
582114	404898	Joyce (1980-1981)
582115	281254	Beverly Hills Lady
582115	313442	Madia
582115	348837	Judy Zess
582115	362848	Margaux Benson
582116	281696	Singer in 'Who Knows?' Number
582116	367073	Munchkin
582117	274373	Dead Woman #2
582118	80567	Arlene Arthur
582118	224767	Jenny Perrin
582118	239822	Mary Lane
582119	165441	
582120	297190	Sorority Girl
582121	79064	Hilary McAnderson
582122	41138	Olivia Marley
582123	124795	
582124	289761	Stephanie
582125	314957	Extra #24
582126	145519	Mrs Wässman
582126	197138	Amalia Clämming
582126	338708	Woman at the women's meeting
582126	377298	Miss Andersson
582127	313855	
582128	59753	Linda
582129	63805	Herself
582130	14837	
582130	33567	Trude Muller (segment "La cer
582130	93573	Betty Luce
582130	165307	
582130	210917	Erika
582130	219828	The Countess
582130	362180	Girl in the Keyhole
582131	223328	Venturi 4 Crew
582131	281255	Female Drummer
582131	296027	Party guest
582132	51991	Rape Victim
582133	138161	Female Lab Worker
582134	195262	Crenshaw High School Girl's B
582135	59341	Daughter
582135	215420	Jane Wentworth
582135	276679	Trixie Shevlin
582136	171411	Harem Girl #1
582137	93820	Little Debbie
582138	283721	Herself (witness to Tippit mu
582139	364459	Guest
582140	209176	
582141	279428	Bridesmaid
582141	320294	Spectator
582141	325119	Slave Girl
582142	232089	Clary
582143	102233	Helena
582143	347741	Sister Helen
582144	18570	Buxom Bess
582144	149109	Belle
582144	162292	Brenda
582144	332897	Girl with Whip
582145	142394	Brandy
582146	111034	Janice
582147	164152	Jeune fille
582147	296907	
582148	108586	Alexis Hart
582149	97508	Northwest Wilderness Explorer
582150	77602	Lead Voice
582150	105076	The Music Teacher
582150	177427	Woman Eating Peanuts
582151	143441	
582152	53266	Stripper
582152	188415	Herself
582152	210362	Herself
582152	271344	Fashion Show Model
582152	311160	
582152	338599	
582153	83306	
582154	243175	
582155	44153	
582155	104767	Greek entry (5th place)
582155	223206	
582155	233841	
582155	355887	
582155	358047	Herself
582156	142406	
582157	7708	Marthe
582157	59261	La Poule grise
582157	92048	
582157	284231	Vocals
582158	20078	Norbert's Mother
582159	367061	Sherry Carson
582161	45120	Madame Lebourgeois
582161	148685	Une volleyeuse
582161	324437	Marie's Mother
582161	337024	Tante Irène
582161	388085	Magda
582161	401931	Claire Langeac
582162	324979	
582163	392911	Sylvie
582165	323837	Maitland's Daughter (segment 
582166	127997	Nurse
582166	129039	
582166	355191	
582166	356223	Nun
582166	390092	
582166	408842	
582167	220218	Participant, Suisse
582168	319664	
582169	266871	
582170	195242	La mère d'Anna
582171	114871	
582172	347063	Avenger
582173	279604	Army Typist
582174	400004	Jackie (2001)
582175	2341	Sarah Stone
582175	34616	Frances
582175	158390	Haika
582176	351526	Pretty Nurse
582176	374401	Woman at Bistro
582177	392911	Cyrille
582178	268396	Anastasie de Restaud
582179	89739	
582179	102437	
582179	103141	Ellen, Wolfgangs Schwester
582179	120938	
582179	125101	
582179	126466	
582179	126869	
582179	164903	
582179	186924	
582179	234497	
582179	247999	
582179	266008	Vera, Hillers Tochter
582179	270417	
582179	312239	
582180	67093	Reporter
582181	11934	
582181	277726	
582182	68923	Hélène
582182	198619	
582182	327577	Gilberte's daughter
582183	260029	Une spectatrice du Nô
582184	410307	Honorine
582185	16948	
582185	20908	Cécile Borel
582185	23791	Mamy, la grand-mère
582185	23833	Miss Mockridge, écrivain
582185	43710	
582185	51138	La dame au chien
582185	53234	L'habilleuse
582185	55839	Pierette la duègne
582185	69281	Mme Palmyre
582185	79553	Tante Betsy
582185	85543	Delphine
582185	108209	Mme de Bréauté-Beuzeville
582185	127462	
582185	249728	
582185	261711	La supérieure du couvent
582185	280516	Brunehaut
582185	325076	Mme Pernelle
582185	332216	Ophelia
582185	332218	La femme du capitaine
582185	345084	Mme Mac Miche
582185	346773	Mme Laurent
582185	351259	La concierge (segment "Gros l
582185	353129	La grand-mère
582185	386251	Herminie
582185	387061	Une duègne
582185	397506	Mlle Clerc
582185	402588	
582185	409536	
582186	54453	Postmistress
582186	79345	Miss Foley
582186	158043	Mrs. Maher
582186	168719	Village Woman
582186	177415	
582186	238244	Maureen
582186	276854	The Tall Woman
582187	393	Jeanne
582187	3366	
582187	10322	Ernestina
582187	24643	Eve Mancini
582187	33994	
582187	42100	Charlotte
582187	85966	
582187	90680	Vania
582187	102645	Pina
582187	102955	
582187	127877	
582187	146362	O
582187	213392	Carole Domenici (Simpson)
582187	218808	Corinne Dufour
582187	219671	Anna
582187	220258	Leone
582187	228150	
582187	234715	
582187	238012	
582187	238329	Angelica
582187	249470	Jacqueline
582187	252673	
582187	259980	Poneytte
582187	278405	
582187	280523	Betty Favart
582187	294775	Figlia del colonnello
582187	301354	
582187	308890	Anne Florio
582187	314357	
582187	317572	La donna
582187	317573	
582187	338720	
582187	344606	Sara
582187	344905	Barbara Gibson
582187	349532	
582187	353078	
582187	353134	
582187	355613	
582187	371959	Ka-Laa
582187	373282	Francesca
582187	386478	
582187	389152	Sandra
582187	393045	
582187	397933	Elena Forleo
582187	399651	
582187	408797	Claudia Vailati
582187	410286	
582188	260912	
582188	321826	
582189	40561	Mme Hubert
582190	223752	Townsperson
582191	348379	Musician, in the pub
582192	316562	Alice Maynard
582193	2327	Herself
582194	149948	Woman on Street
582195	6273	Judy
582195	11283	Eli Hartford
582195	16071	Dierdre Pewtey/Storyteller/Mi
582195	17779	Miss Hannigan
582195	40841	Bra model
582195	48289	Agent
582195	69077	Herself
582195	71666	Nurse
582195	117560	
582195	120584	Herself
582195	121840	Delphine
582195	126021	
582195	137487	American Wife
582195	163645	Herself
582195	168488	Herself
582195	169465	Lisa Assistant Director (Do M
582195	185733	Various characters
582195	190166	Mrs. Gregory
582195	190189	Herself/Various roles
582195	209170	Wife of Guest #4/Heaven greet
582195	218598	Zoot, et. al.
582195	218599	Zoot/Dingo
582195	218600	Various roles
582195	218601	Various
582195	218603	Various roles
582195	218733	Hostess
582195	244363	Celia
582195	249325	Various roles
582195	258007	Various
582195	258036	Ella
582195	268223	Herself
582195	268225	Herself
582195	268226	Herself
582195	276791	Sari lady
582195	292600	Herself
582195	307921	
582195	316895	Sandra
582195	350160	Jane, the Delinquent's Victim
582195	396031	Leigh Mervish
582195	398174	Various Roles (1969-1974)
582196	89250	Woman in dance hall
582197	220951	
582198	154849	Director's Wife
582198	224317	Woman
582199	321616	
582199	338044	
582199	363562	
582200	320266	Little Boy's Mother
582201	116522	Postal Woman
582202	54387	Woman In Bra
582202	159023	Old frump in bar
582202	302641	Miss Keyes
582202	358665	Mrs. Haley
582203	14620	
582204	185177	
582205	41552	Coed lover
582205	60273	Massage Girl
582205	188334	Michelle
582205	257684	Herself
582205	257867	Herself
582205	340757	Lois Fazenda
582206	152205	Jim's wife
582206	308063	Judy
582207	260950	Zoli Model
582207	278568	
582209	10886	Cashier
582209	17992	Western Union Employee
582209	90772	Roberta Sparrow/Grandma Death
582209	114575	Dolly
582209	126588	Lillian
582209	160669	Woman #2
582209	181817	
582209	189911	Aunt Louise
582209	236152	Grandma Franklin
582209	266590	Sister Margaret
582209	295471	Susannah
582209	323615	
582209	338155	Mildred
582209	364459	Wedding Guest
582209	389858	Dottie Sandford (1987)
582210	309204	
582211	54994	Samantha White
582211	278546	Gallery Gal
582212	321660	Arlena Twigg, Age 6
582213	395750	Bess
582214	142244	Rhihanna
582214	181450	Doreen
582215	293212	Young Noelle
582216	77487	Elsie Hammond
582217	166873	Nurse #1
582218	224217	Tammy
582219	257111	Laura's friend
582220	41353	Sheila
582221	6569	Eva, la mère
582221	28060	
582221	97588	
582221	120934	
582221	134766	
582221	191190	die Frau
582221	206303	Marwuise von O
582221	206305	Marquise
582221	208800	
582221	223476	
582221	226303	
582221	249336	Kundry
582221	252367	
582221	308230	
582221	338398	
582221	339705	Ruth
582221	345664	
582221	399758	Georgina Greffie (segment "Ra
582222	222194	Dancer
582223	51685	
582223	89402	Teresa
582224	405209	Tyler Dunn (1999)
582225	160555	
582225	247490	
582226	324659	Dancer
582227	37903	
582227	51455	Eva
582227	57294	Baia
582227	132814	Dauville
582227	134300	Claudette Morel
582227	167203	
582227	175674	La poissonière
582227	214794	
582227	269148	
582227	275526	
582227	354697	La première
582228	109284	
582229	58658	Mrs. Rick
582229	75574	Helen Sedgefield
582229	84129	Arlette
582229	148925	Elderly Woman
582229	164991	Mary Smith
582229	203616	
582229	256614	Martha Blackthorne
582229	264447	Alice
582229	294327	Mrs. Richards
582229	353611	Tia Anne
582230	259749	Kadish Child
582231	14104	Goddess of Fire
582231	317928	Mandy
582232	355528	Kitty Barton
582233	110458	
582233	140994	Stella (L.E.I.L.A)
582235	171877	Liese
582235	258184	
582236	346672	Rose
582237	249073	Herself (housekeeper for Nata
582238	61820	Cora Mae
582239	204260	Child in Park
582240	67093	Kate
582240	91135	Christine
582240	92496	Muriel
582240	142165	Alex
582240	154157	Darla Tedanski
582240	184879	Danielle Dessaultels
582240	266047	Savannah
582240	270348	Irina, Lifecorps Receptionist
582240	277949	Alex
582240	314763	Tamara
582240	318671	Stefanie LeDuc
582240	341746	Woman on Train
582240	368964	Karla
582240	379265	Mackenzie Previn
582240	379731	Gabby Maine
582240	397877	Marsha
582240	398649	Lexa Pierce (2003-2004)
582240	409816	Essie Rachimova
582241	308676	Herself
582242	279619	Herself
582243	120297	Young Patricia
582243	209195	
582243	364425	Tory Taylor
582243	405209	Charlotte Olsen (1994-1997)
582244	133914	
582245	344486	Dancer in Bar
582246	273314	
582247	41759	Carmen, party guest
582247	203622	Party Chorus Dancer
582247	282711	Dancer in Haiti number
582248	310524	Female Biker
582249	5191	Hillary
582249	83876	Donna
582249	234068	Mother on Bus
582249	243594	
582249	323975	Betty Cole
582250	395166	Bethany
582252	10635	Verna
582252	63835	Spinster 1
582252	124594	Shrewsbury graduate
582252	194513	Shrewsbury graduate
582252	244352	Aileen
582252	290922	Headmistress
582252	366657	Mrs. Parfitt
582252	379675	Philippa
582252	380259	Shirley Brent (1976)
582252	381685	Lady Pierpoint
582252	387533	Lesley Pearce
582252	392871	Kath
582252	395647	Clara
582252	405888	Alice Mount
582252	406763	Caroline
582253	30311	Mrs. Hennessey
582253	54959	Ettie
582253	66385	Mrs. Haversham
582253	91854	Mrs. Fenwick
582253	119234	Mrs. Waterson
582253	330919	Lady Smith
582253	367140	Miss Strehlow
582253	370854	Gran Olson
582253	378753	Mrs. Stinson
582253	402197	Edie Wharton (1979)
582253	406258	Performer
582253	411809	Agnes Brewer (1979)
582254	282614	
582255	245672	
582256	90336	Gladys
582257	309867	Ike Broflovski
582257	406042	Ike Broslofski (1997)
582258	93982	
582258	129596	
582259	239621	Mary Tazling
582260	398709	Sharon
582261	122204	Office Extra
582262	150847	Maid
582262	171211	
582262	178947	Bronwyn
582262	233632	Peggy, Stewardess
582262	302591	Shelia
582262	351590	Renata
582263	16650	Glory Moore
582263	46781	
582263	66962	Janet Hosmer
582263	105615	Mabel Ford
582263	176235	Frou Frou
582263	186370	Kathleen Preston
582263	195597	Fifi Gordon
582263	233799	Daisy Crenshaw
582263	277711	Queen Berangaria
582263	311755	Chorus Girl
582263	363076	Lucette Bancroft
582263	364192	
582264	29533	Denise
582264	58493	Dingy
582264	59470	Sybil's Maid
582264	70566	Barbara Evans
582264	363491	Becky
582264	379582	Various roles (1987)
582264	384601	Mandy
582264	395924	Sandra Hallam (1988-1997)
582265	236154	Tom's Great Great Grandmother
582266	388765	
582267	263957	Jeannie
582267	292294	
582268	366032	Alene Hamlin
582269	20625	Extra
582269	187079	Gypsy Woman
582269	277222	
582270	93023	Angela Bates
582271	139123	Waitress
582272	131232	Extra
582273	93318	
582273	110996	
582273	186798	
582274	222642	Sheila Maitland
582274	388363	Jenny MacLeod
582275	47970	Mrs Bristow
582275	55690	Willa Claudia
582275	58936	Worker
582275	74761	Scout Mistress
582275	79918	Large Lady in Station Crowd.
582275	88856	Large Woman
582275	108950	Fat Lady at Circus
582275	116505	Offended Lady at Party
582275	117341	
582275	122170	The Cook
582275	134454	Kate
582275	138844	Bella
582275	141683	Bit Part, Crowd Scene
582275	163442	Pub Landlady
582275	169161	Landlady
582275	171211	Lady on Tube
582275	177138	Maud
582275	194690	Shop Keeper
582275	203322	
582275	222603	Lees' Housekeeper
582275	224414	
582275	240683	Guilio's Mother
582275	295611	Henry's Wife
582275	310446	Ted's Wife
582275	333290	
582275	342954	Customer
582275	346020	Bessie Bighead
582275	356312	The Medium
582275	394401	Mrs. Grub
582275	400023	Mrs. Tickford
582275	400080	Mrs. Jiniwin
582275	400087	Mrs. Filson
582275	407983	Tealady
582276	194564	Special Child
582277	2104	Woman in bar
582277	12357	Paula, Cantina Owner
582277	13410	Anitra Frane
582277	19296	Miriam Welton
582277	21480	Gloria Gordon
582277	21774	
582277	32975	Camilla
582277	39514	Vera Hampton
582277	47791	Joan Ayre
582277	48476	
582277	50625	Hilary Collier
582277	51583	Ann Reid
582277	66381	Mrs. Jenkins
582277	69302	Bit
582277	69852	Floozie
582277	73203	Reporter
582277	74232	Nurse
582277	78010	Gloria Sanderson
582277	78528	Mrs. Gray
582277	79452	Sally Malakoff
582277	83837	Stella Vorhis
582277	84961	Jane Norris
582277	90161	Mary Kelsey
582277	90896	Heloise Crocker
582277	92957	Ann Rutledge
582277	99447	Mamie
582277	104318	Mignon
582277	104350	Doris Forbes
582277	105204	Nurse
582277	107132	Marion Trevor
582277	109868	Neighbor
582277	113976	Lucille Linforth
582277	118334	Telephone operator
582277	119490	Miss Berry
582277	123427	Ruth Elliott
582277	127791	Society Woman
582277	135554	Mary
582277	138231	Hilda Stuyvesant
582277	140676	
582277	142458	Dorothy Owen
582277	143210	Mrs. Pearce
582277	143445	
582277	143834	
582277	146823	
582277	147386	
582277	147543	Woman
582277	147650	Nurse
582277	151339	Village Woman
582277	152863	Mary Jane Appleton
582277	154680	Herself
582277	154849	Director's Wife
582277	158173	
582277	158331	
582277	161933	
582277	163264	Ruth, Mrs. McAvoy's Secretary
582277	172374	Gabrielle
582277	175162	Schoolteacher
582277	175185	
582277	175611	Nannie
582277	175835	Sister Mercy Mary
582277	185335	Nurse
582277	186795	Telephone Operator
582277	188393	American
582277	188939	Jessie Winkler
582277	193375	Hairdresser
582277	195637	Betty Brown
582277	196871	Secretary
582277	197666	Dalle Aldis
582277	202952	Nurse
582277	203175	Florence
582277	203615	Mrs. Finney
582277	206844	
582277	210423	
582277	212839	Minnie Mouse
582277	212885	Minnie Mouse
582277	213176	Gertrude Temple
582277	214148	The Girl
582277	215525	Friend of Miss Fane
582277	219974	Catherine Thurston
582277	220095	Vianna Courtleigh
582277	220875	Woman In Convertible
582277	223801	Dawn
582277	224613	Clara Hawthorne
582277	235515	Mrs. Stone
582277	240532	
582277	242110	Eleanor
582277	246337	First Class Passenger
582277	252121	
582277	254516	Ballerina
582277	258353	Minnie Mouse
582277	258361	Minnie Mouse
582277	259765	Polly Vance
582277	259995	Gay Lypiatt
582277	261560	
582277	262758	
582277	264064	English Nurse
582277	274414	Rhoda Tuttle
582277	276694	Radio Actress
582277	285664	Maid
582277	288973	Marie Louise
582277	291964	Deranged woman at fort
582277	297970	Bit Part
582277	300103	
582277	301261	Christian Mother at Meeting
582277	301628	Herself
582277	304552	Nurse Bailey
582277	311033	Mrs. Gillespie, tenant
582277	313076	Secretary
582277	315095	Nurse
582277	315511	Lysette DeJon
582277	319181	Sheldrake's secretary
582277	331774	Adrean Wainwright
582277	334252	Nurse
582277	336167	Ruth Travers
582277	340389	Rosario
582277	341008	Lorraine
582277	343104	Woman
582277	343356	
582277	346901	Saleslady
582277	358175	Fleuretty Phyffe
582277	358777	
582277	360420	Miss Kertz
582277	363673	Anne Gray
582277	364453	Frightened Passenger
582277	365087	Seamstress
582277	372345	Nurse
582278	12937	
582279	13744	Herself
582280	312558	Psychic
582281	388765	
582282	109509	April
582283	41127	Domestic Help
582283	54745	Mrs. Hollybush
582283	79714	
582283	105135	Hot Dog Girl
582283	122004	Mrs. Card
582283	127928	Mme Lapierre
582283	139650	Mrs. Mason
582283	154890	Anna
582283	183558	Mrs Clifton
582283	270949	The Farmer's Wife
582283	292058	Ginny
582283	292593	Miss Mallard
582283	322599	Mrs. Jolly
582283	342435	Bobby's Aunt
582283	348358	Boobia
582283	348370	Winnie the Pooh
582283	348377	Velma
582283	360265	Mrs. Hatfield
582283	392808	Patrician Woman
582283	401778	Veronica Weston
582284	392483	Postumus' Wife
582285	3095	Woman with Baby
582285	45756	Mary Kay
582285	301392	Flight Attendant
582285	309949	Jess
582285	342081	Jane Taylor
582286	185503	Policewoman
582286	348219	Doreen Hoyle
582287	51679	Femme Fatale
582288	79478	Herself
582288	126648	Herself
582288	158999	Herself
582288	278830	T.V. Panel Member
582288	397227	Herself
582289	54427	Abigail
582289	74250	Dr. Helen Foster
582289	149711	American passenger
582290	144698	Corrie ten Boom
582291	162416	Soprano Singer
582294	187190	Singing Woman
582295	236368	Miss Germany
582296	23423	Lucille Stone
582296	85928	Follies Girl
582296	232788	Fifi Chandler
582296	239602	Nina Marquise
582297	26238	Harmonies For The Replicants,
582298	136510	Balloon Girl
582299	362507	
582300	17756	Cowgirl
582300	33599	One of Frenchie's Girls
582300	128379	Elnora Comstock
582300	130717	Dancer
582300	134675	Pretty Girl
582300	205106	Susan Crowell
582301	145174	Mrs. Schrader
582301	183867	Eleana Krilarka
582302	35436	Girl
582302	105413	
582302	112375	
582302	133970	
582302	195433	
582302	240809	
582302	243234	
582302	248176	
582302	251275	
582302	278256	
582302	326398	
582303	292607	Mother
582304	203543	Maid
582305	21528	Mechanic
582305	65681	Sharon
582305	124054	Mayor
582305	302763	Lee
582305	304916	Fay
582305	385631	Lee Harper
582305	388848	
582305	402197	Margo Gaffney (1980-1984)
582306	17978	Nora Lester
582306	161407	Mrs. Fox-Davies
582307	189898	Alleinerziehende
582309	264269	Hole
582310	9884	Susanna Dickinson
582310	160504	Sarah Sullivan
582310	230663	Emily
582310	359499	Hearing Reporter #1
582311	136270	Waitress
582311	336475	Patio Woman #1
582312	89277	Hotel Receptionist
582312	206714	Mother
582313	161542	Second Dancer of Tammuz (Baby
582314	222725	Concierge
582314	321261	Lady in Furs
582314	382838	Mona Harvey Fallon (1987-1989
582315	41955	Hooker
582315	152947	Sexy Woman
582315	207410	
582315	238238	Mrs. Brady
582316	385719	Maude Browning (1967)
582317	55700	Susan Brooks
582317	55707	Au Pair Girl
582318	362822	
582319	94399	Juliette
582320	248491	Sister Anna
582321	7750	
582321	41586	
582323	252524	Kelly
582324	22741	
582324	52977	
582324	53013	
582324	67006	Embarazada
582324	73092	
582324	82724	maid
582324	106313	
582324	108137	Jennifer
582324	115763	
582324	189045	
582324	228722	
582324	233551	
582324	252724	
582324	257129	
582324	257478	
582324	284974	
582324	307297	
582324	307800	
582324	338201	Catalina Rosales
582324	383557	Nicole (1996-99)
582325	108634	
582326	8564	Alenda
582326	9084	Roxanne
582327	164216	
582327	246420	
582328	30722	
582328	46648	
582328	75649	
582328	234796	
582329	284573	
582330	269377	Helen
582331	331932	Voice over
582332	240307	
582333	304447	Dream Girl #1
582333	381402	Sindy Ko (2000- )
582334	61761	The Prostitute
582335	23673	La visiteuse du musée
582335	103828	Madame Legal
582335	356521	Dame 2
582335	387697	
582336	47645	Morgan's child
582336	47650	Sheriff's Kid
582336	47677	
582336	47679	The Prospector's Daughter
582336	47737	The Little Girl
582336	61606	Jim Riley's Child
582336	72734	
582336	120733	The Doctor's Daughter
582336	159565	Bessie's Daughter
582336	248021	Johnny
582336	298532	
582337	157833	Young Jody
582338	71748	Jeannie Frazier
582339	10661	Alexis
582339	56871	Missy
582339	60863	Zelda Vogel
582339	315085	Katelyn
582339	352013	Debbie Carter
582339	403763	Heather
582339	404550	Susie
582339	410729	Recurring
582340	52906	Madame Borday
582341	344149	
582342	270002	Herself
582343	87177	Herself
582344	54391	Viki
582344	80428	Lainie
582344	106723	Cyanne
582344	158141	Suzanne
582344	317739	Laura Hughes
582345	362716	Billie (11 to 14)
582346	61707	Cheryl
582347	207782	Luann
582348	278464	Suzette St. Dennis
582349	29937	Herself
582349	128606	Herself
582349	128807	Miss Sepember 1999 (Segment "
582349	257608	Herself
582349	257619	Herself
582349	257658	Herself (Miss September)
582349	257677	Herself
582349	361854	Herself
582351	274312	Mexican Woman
582352	283195	Mum
582353	355091	Julie
582354	30458	Helga Blauzenzweig
582355	358635	
582355	379977	Herself
582355	383800	Herself
582356	150920	Student
582357	348229	Cathy
582358	109631	Maggie
582358	122212	Cindi
582358	161733	Joni
582358	193243	Claire
582359	347856	Linda Gable
582359	379831	LaKeishaa Stone #2 (1990-91)
582359	401930	Bank Teller (1999)
582360	105256	
582361	41644	Babysitter
582362	157122	Kathy
582363	164430	
582363	213178	Laura
582363	314946	Martha Cratchit
582363	365883	Kim Cavanaugh
582363	380004	Amy Waddell
582363	394848	Superchick (one of the Kongs)
582364	354683	Prisoner
582365	13990	Girls Backstage
582366	195945	Mrs. King
582367	394392	Éclair
582367	397371	Rachel Moore
582368	210469	White Woman at Fundraiser
582370	28476	Young Rose
582371	155912	
582372	2780	Herself
582372	147937	Herself (at dedication of Hol
582372	185529	Herself
582372	185530	Herself (at Democrat conventi
582372	257053	Herself
582372	359319	Herself
582373	98138	Kate
582373	388090	Clara (action heroine)
582374	105804	Cavalier's Wife
582374	178979	Ilse's Secretary
582375	69396	Claire
582376	2780	Herself
582376	3621	Herself
582376	3849	Herself - fmr. Wal-Mart board
582376	63056	Herself
582376	69079	Herself
582376	70238	Herself
582376	79785	Herself
582376	85897	Herself
582376	87981	Herself
582376	110461	Herself
582376	122981	Herself
582376	145314	Herself
582376	147937	Herself (at dedication of Hol
582376	149604	Herself
582376	152986	Herself
582376	154055	Herself
582376	157909	Herself
582376	175536	Herself
582376	175537	Herself
582376	175538	Herself
582376	175539	Herself
582376	175540	Herself
582376	175541	Herself
582376	175542	Herself
582376	185529	Herself
582376	185530	Herself
582376	233307	Herself - Attending Nixon Fun
582376	252490	Herself
582376	257053	Herself
582376	263132	Herself
582376	281644	Herself (with Rosa Parks)
582376	288708	Herself
582376	300960	Herself (Kennedy Center honor
582376	320199	Herself
582376	352986	Herself
582376	359319	Herself
582376	381797	Herself
582376	382085	Herself
582376	383802	Herself
582376	385285	Herself (at the 1992 Democrat
582376	385931	Herself
582376	391377	Herself
582377	233955	Narrator
582377	292479	Elaine
582377	392715	Host (Pilot)
582378	315501	Rodriguez
582379	96939	Brunette Woman
582380	23699	
582380	28791	Louise
582380	73703	Mrs. Columbo
582380	293637	Woman #2
582380	294855	Mrs. Serpico
582380	318763	Italian Woman at Murder Site
582380	338262	
582380	387309	Judge Sussman (1975-1976)
582381	328557	Miscellanious Partier
582382	16056	The Wife
582382	19762	
582382	38595	
582382	60752	
582382	69742	
582382	118118	Mrs. Kasper
582382	120222	
582382	143139	
582382	146143	The Landlady
582382	146315	
582382	151272	
582382	153223	
582382	158384	
582382	163192	The Maid
582382	192304	
582382	197697	
582382	203441	The Mother
582382	232887	The Mother
582382	240426	
582382	241784	The Christian Mother
582382	292193	
582382	317773	
582382	350501	Mrs. Sedley
582383	115269	Women Coalation Diner Patron
582384	238506	Barmaid
582385	106737	Nurse
582386	74257	Mary (Wedded to Absolom)
582387	246697	Mary Elliott
582387	319165	
582388	254900	
582389	49813	
582389	170615	
582390	185470	Rose
582390	282872	Carrie
582390	321632	Girl in Elevator
582391	72689	Vera
582392	183722	Katherine Grey
582393	387832	Young Cynthia
582393	392690	Nonni
582394	140686	
582395	196559	Jessica
582396	346751	Yoka
582397	106409	
582398	56713	Kyra Goran
582398	193854	Rita Kelly
582398	275739	Maria
582398	308649	Flora Carter
582398	309827	Girl Kibitzer
582398	361643	Jane Morgan
582399	199679	Woman
582400	129557	Hilda Neuman
582401	47570	
582402	10919	The Alienator
582402	20434	Staff Member
582402	161132	Mantis
582402	170562	Russian Exercise Woman
582402	216707	Noelle
582402	250607	Teagan Morrison
582402	352968	Herself
582402	353297	BimboCop
582403	159545	Child Picking Up Ball
582404	163965	
582405	116396	Lisa
582406	338262	
582407	253520	Un amour chic
582408	65356	
582408	94249	Themselves/En personne
582408	166179	
582409	223380	Student At Dorm
582410	358593	Featured extra
582411	397408	
582412	142534	Mrs. Archer
582412	232112	Molina da Costa
582413	58059	Pauline
582414	28591	Winifred
582415	116238	Natasha
582416	51984	Kristen
582416	113305	Ms. Valerie Lewton
582416	194010	
582416	206477	Louise
582416	209802	Christine
582416	219979	Francine
582416	249367	Gina
582416	270931	Kelly McCord
582416	314104	Velma
582416	370872	Herself
582416	406088	Capt. Shane Vansen (1995-1996
582417	135766	Goo
582417	390790	Goo
582418	227151	Herself - Band Vocalist
582418	403512	Regular
582418	403513	Herself (regular, 1955-1956)
582419	3053	Herself (Memorial Tribute)
582419	38243	Herself
582419	42336	
582419	42337	Herself
582419	42365	Herself
582419	69689	
582419	78322	Herself
582419	81784	Specialty in 'The Midnight Gi
582419	91155	Herself
582419	97590	Herself - Actress
582419	97642	Herself
582419	130707	Herself
582419	143568	Daisy Crockett
582419	162159	Herself
582419	206224	Herself
582419	212700	Herself
582419	227151	Herself - Band Vocalist
582419	270697	Anna
582419	274102	Calaveras Kate
582419	282046	Singer of her own songs on so
582419	303235	Sarah
582419	313774	Terry Brennan
582419	363787	Betty Haynes
582419	372897	
582419	403512	Regular
582419	403768	Hostess
582420	352914	Singer
582421	283758	
582422	283758	Dona cun scuva 4
582423	283758	
582424	283758	
582425	292685	Teacher
582426	34072	
582427	71505	
582427	111080	
582427	282224	
582428	40097	1st Girl
582429	84057	
582429	86083	Marcela Medina
582429	86084	Marce
582429	124544	
582429	221570	
582429	253670	
582429	383138	Lidia Nuñez Zamora
582429	387872	Mary Angel
582429	390504	Norma
582429	391846	
582429	391850	
582429	397575	Marce
582429	399497	Claudia Sánchez Escurra
582429	405816	Sonia
582430	249	Herself - "Norma Desmond" on 
582430	846	#67 Faye Dunaway: Fired!: Sun
582430	847	Cruella De Vil
582430	851	Herself
582430	880	Cruella de Vil
582430	2527	Herself
582430	2583	Herself
582430	2615	Herself - Host
582430	2805	Herself - Presenter: Best Dra
582430	2809	Herself - Co-presenter: Best 
582430	2888	Herself - Co-presenter: Best 
582430	2895	Herself - Co-presenter (via s
582430	2899	Herself - Presenter: Best Cin
582430	2909	Herself
582430	2940	Herself
582430	3046	Herself - Announcer
582430	7585	Herself
582430	9023	Vice President Kathryn Bennet
582430	11670	Herself
582430	16397	Herself
582430	17683	Diary Readings
582430	26256	Adult Sophie
582430	28482	Arvella Whipple
582430	36966	Sarah
582430	48237	Cornelia Englebrecht
582430	56430	Herself
582430	63167	Herself
582430	63432	Mrs. Johnson
582430	65894	Narrator
582430	70368	Camille Dixon
582430	78093	Marquise Isabelle de Merteuil
582430	85877	Herself
582430	88177	Olivia Pace
582430	99082	Princess Alexandra
582430	109608	Alex Forrest
582430	123559	Ambisextra
582430	126340	
582430	134295	Jane Porter
582430	137923	Gertrude
582430	141985	Diana
582430	149287	Gutless
582430	151071	Férula Trueba
582430	156970	Linda Spector
582430	157436	Herself
582430	158232	Janet
582430	164840	Teddy Barnes
582430	175529	Herself
582430	175543	Herself
582430	183849	Herself
582430	191017	Mary Todd Lincoln
582430	191241	Eleanor of Aquitaine
582430	206488	First Lady Marsha Dale
582430	206884	Mrs. Farraday
582430	208470	Jan/Maxie
582430	209721	Karin Anderson
582430	228473	Iris Gaines
582430	232831	Maggie
582430	243736	Jessica
582430	248132	Alicia Clark, Managing Editor
582430	248491	Adrienne Pargiter
582430	256348	Blue Fairy
582430	277140	Sunny von Bulow/Narrator
582430	279649	Narrator
582430	283194	Neighbor
582430	285357	Esther Gold
582430	288114	Sarah Wheaton
582430	288115	Sarah Witting
582430	288702	Herself
582430	288703	Herself
582430	288709	Herself
582430	294976	Col. Margarethe Cammermeyer
582430	295636	Herself
582430	298058	
582430	304368	Sarah Witting
582430	308039	Gail Bennett
582430	308489	Herself
582430	309860	Nellie Forbush
582430	314445	Claire Wellington
582430	315211	Ruth Hillerman
582430	315251	Sara Everton
582430	325098	Kala
582430	330443	Dr. Elaine Keener (segment "T
582430	335586	Rebecca Kuehn
582430	361224	Herself
582430	362271	Herself
582430	368363	Jenny Fields
582430	383802	Family Member
582430	386414	Herself
582431	6154	Hetty Sorrel
582431	78640	Sheila Moore
582431	79026	Mabel Carstairs
582431	93196	The Model
582431	106019	
582431	111951	
582431	114790	Lady Hermione Wynn
582431	128226	Muriel King
582431	140188	Heiress
582431	143057	Bess
582431	151118	Mrs. Rivers
582431	162459	Audrey tremayne
582431	197664	Daisy Westbury
582431	213429	Mifanwy
582431	215802	Letty Fairfax
582431	229675	Mrs. Nesbit
582431	251769	Norah Joyce
582431	282272	Norma
582431	359384	Marian Scales
582431	359681	
582431	368622	Lady Helen Cleve
582432	4618	
582432	240902	Nurse
582432	266104	Helen
582432	331292	Bernie's Secretary
582433	103441	Brigite
582433	266440	
582433	300725	Julia
582433	396718	Maitê Flores
582434	390358	Lily
582434	399130	Lucy Robinson (II) (1987-1990
582435	358689	Waltraute
582436	241650	Extra
582437	254073	Marine bébé # 1
582438	17977	Mother Hallam
582438	29675	Powers
582438	36826	Aunt Bessie Bedford
582438	44490	Lady Agatha Ponsonby
582438	54428	Aunt Agatha
582438	76581	Miss Pritchard
582438	78118	Mrs. Benson
582438	85183	Mrs. Mortimer
582438	86957	Hattie Loomis
582438	107593	First landlady
582438	147489	Mrs. Ramsay
582438	188707	Miranda, Letty's Maid
582438	203564	Florence Royale
582438	220528	Mrs. Kitterman
582438	230734	Mrs. Warburton
582438	233795	Grandma Holt
582438	248970	Cora Sabbot
582438	257436	Mrs. Schuyler
582438	264145	Miss Eden
582438	272532	Lazy spoiled woman
582438	273703	Mrs. Jaffrey
582438	297367	Mrs. Haggerty
582438	304265	Mrs. Smith
582438	308436	Toy Yah, Dr. Dong's Servant
582438	315506	Militza Brooska
582438	334590	Applegate, the Cook
582438	364014	Mina
582438	366326	
582439	113142	Training Center Director
582440	102484	La bibliothécaire
582441	17325	Anita de niña
582441	103219	Autoestopista
582441	129767	
582441	202055	Mari
582441	386093	
582441	387869	Laura
582441	397847	
582441	407808	Francesc Xavier's 1st wife
582442	235296	Panadera
582443	188502	Off-Duty Dancer #2/Pool Girl
582444	69460	Fur Saleswoman, with accent
582445	112984	Herself
582446	97508	Wanda
582447	236972	Toy Soldier
582448	51585	
582449	23441	Voice
582451	35597	Dale Hawthorn
582452	13789	Sale House Woman #5
582452	22664	Johnny's Mother
582452	154427	Reporter
582452	161495	Mae Castle
582452	241130	Attendant
582452	248878	Camp Counselor
582452	272647	Zu-Zu
582452	324237	Citizens and Members of the C
582452	332807	Friend at the reunion
582452	363997	Redhead
582453	151703	Woman in Cab
582454	22103	
582454	47352	Mary Vaughn
582454	140885	Janice Marvin
582454	145938	
582454	147763	
582454	323488	
582455	197073	
582457	71835	
582457	75028	
582458	94729	Angie Crawford
582458	154648	Gabrielle
582458	234711	Olympia Chavez
582458	256401	Annabelle
582458	313333	Honey Potts
582458	407323	Vicki Taylor (1982)
582459	40497	
582459	107504	Lady Calling to Fairies
582459	191647	Woman in launderette
582459	206410	Bag Lady
582459	330697	Armandine
582459	360908	Seepage seller
582459	395529	Mrs. Trumper
582459	399123	Old woman
582460	96950	
582460	292645	
582460	302181	
582460	332726	
582461	200346	Herself
582462	31286	Ma's Daughter
582463	234669	Sulky
582464	226919	Tina Andrews
582465	682	Dorm Room Girl
582466	164600	Tangerine
582467	411623	Martine
582468	117454	Featured dancer
582469	131732	Dancer
582469	274559	Asian Woman
582469	392244	Female Paramedic
582470	304527	Dance Team Instructor
582471	117454	Featured dancer
582472	397138	Georgette Richard
582473	51791	Medical Student
582474	249209	Jeune Chanteuse prometteuse
582475	45620	Elle-même
582476	23750	Maria
582476	68902	
582476	69102	
582476	83115	Michele Jolivet
582476	88884	Stella
582476	170471	Juliette
582476	281035	Marfa Zlotochienka
582476	327585	Yvonne Dupont
582476	337483	Desdemona
582476	363653	Alley Lady
582477	77996	Roxane Labelle
582477	118933	Vampire
582477	398595	Sylvie Bruneau
582478	286274	Electric and acoustic guitar,
582479	318499	
582480	85613	Christina Delasalle
582480	103787	Lucie
582480	285962	Linda
582481	10020	Un agresseur de Paul
582481	63552	
582481	68328	L'infirmière
582482	224326	Judge #1
582483	14105	Herself
582485	398972	Adele Essex
582486	2662	Second Jogger
582487	39489	Maggie Bragg
582487	61737	Waitress
582487	72118	Blaire Albright
582487	81038	Social Worker
582487	151501	Lurleen
582487	155320	Honey
582487	158911	Meagan Dewitt
582487	232439	Housewife
582487	242524	Mack's Wife
582487	245084	Ms. Rattner
582487	359790	Amy's Mom
582487	391947	Margaret (1998) (1999)
582487	399689	Ms Fenton
582488	116466	Lenny's Partner
582489	269045	Girl in hall
582490	61707	Sarah's friend
582491	102581	Trolls
582492	102581	Trolls
582493	65724	
582493	265862	
582494	33762	Madge
582494	42092	Claire
582494	47849	
582494	129567	June
582494	193851	Hazy Fogg
582494	197234	
582494	197236	
582494	197239	
582494	197241	
582494	197254	
582494	197262	
582494	197265	
582494	197269	
582494	214114	Mary (age 18)
582494	251637	Louise, his daughter
582494	331568	May
582495	406994	Guest Dancers (1994) (1996) (
582496	77193	Mrs. Plessey
582496	364818	Factory Girl
582497	327632	Guest
582498	31544	Girl
582498	323134	Additional Voices
582499	389977	Host
582500	364782	Callie
582501	272440	Market Square Extra
582502	398050	The Winner (2002)
582503	26989	Waitress
582503	47946	Alison Lewis
582503	80950	Aggie Smith
582503	113286	Sarah
582503	167597	Harry
582503	178125	Bel
582503	236494	Coco
582503	245074	(Story 1 "I Don't Want To Kno
582503	310997	Helen Dougherty
582503	316726	Lorraine Turner
582503	381059	Brenda
582503	399816	Pandora Scott
582503	404932	Judy (Helen) Wolcott
582504	195043	
582505	90351	First Lady
582505	398406	Jessica Dalton (1968)
582505	408960	Claire Clarkson (1967-68)
582506	16878	Wedding Guest
582507	389432	
582508	389432	
582509	138246	Cell Whore
582509	138248	1st Cell Whore
582509	232111	
582509	237828	Prostitute
582510	42382	Herself - Contributor
582510	46545	Donna
582510	387247	Sue Williams (2001)
582510	406484	Herself
582511	41197	Candy Leslie
582512	1769	
582512	43629	Jenny
582512	65104	
582512	74077	L'Actrice
582512	147453	Une Journaliste
582512	153164	Melody Mayhue
582512	156511	Paris Airline Bus Stewardess
582512	292668	Lisa
582512	296696	Stacy Stanwick
582512	334453	Jenny Lessard
582512	405741	Gigi
582512	408347	Marcia Kozenczak
582513	389432	
582514	17992	Flight Attendant
582514	77285	Gemma Coombs
582514	102342	Grace Swanson
582514	102906	Slave #1 (segment "Let's Talk
582514	165851	Deborah (dark-haired camper)
582514	194687	Gail
582514	347611	Kathleen
582514	348944	Sketch Artist
582514	392044	Jesse Summerfield
582514	393415	DeeDee (1995-1996)
582514	402612	Melanie 'Mel' Marcus
582515	171092	Royce's Family
582516	8229	Denise
582516	14343	Lola
582516	72066	Geneviève
582516	86402	Mimi
582516	103114	Mimi
582516	109015	Pilou Berlon
582516	111344	Florentine
582516	112867	Hildegarde
582516	150883	Veronique
582516	167232	Suzanne
582516	197825	
582516	217671	
582516	335223	Babette Olivaro
582516	345525	La speakerine
582516	351259	Patricia Paddington (segment 
582516	361445	Jutta
582516	367191	Jery
582516	408486	Simone Carpentier
582517	193433	Serveuse au bar
582518	16070	Miss O'Connor
582518	238506	Sister
582518	284005	Storekeeper
582518	344683	Mrs. Yelverton Barry
582518	345502	
582519	404995	Carmen
582520	125666	
582521	368721	Barbara
582522	32361	Betty
582523	358787	Herself
582524	378709	Herself (2000)
582525	50402	
582525	145756	
582525	224089	
582525	333829	
582526	282948	Mum
582526	301533	Mrs. Lee
582526	332472	Sister of Mercy
582527	19142	Bianca Shepperd
582527	234591	
582527	310633	Nikki
582527	407547	Rebecca
582528	205787	
582528	328757	Teola Garfield
582529	258954	Mrs. Griffin
582530	1875	Mrs. Roche
582530	7911	Lottie Gilson
582530	11665	Betty Poe
582530	20032	Marie
582530	20234	Bonita Palmer
582530	26775	Freda Schmidt
582530	32983	Edith Merrill
582530	45958	Dale Wilson
582530	59467	Pam
582530	66826	Kitty Kelly
582530	71721	Pepper Wilson
582530	74765	Ruth
582530	77586	Pat Shelley
582530	112741	Madeline
582530	113639	
582530	117744	Lena Strauss
582530	143367	
582530	144446	Madge
582530	146053	Valerie Lee
582530	146754	Toddy
582530	147401	Dottie
582530	147639	Gloria LaRue
582530	147748	Actress
582530	147815	Linda
582530	152595	
582530	154256	Anne Meredith
582530	161404	Molly Morell
582530	177436	Marilyn Bean
582530	184503	Sadie Whistler
582530	188401	Peggy Boydell
582530	195847	Viola
582530	199224	Janice Lee
582530	201462	Joy
582530	203471	Lorraine Sheldon
582530	213207	Louise Hollister
582530	218938	Lorraine Huston
582530	232339	Claire
582530	233781	Clare Barrington
582530	238970	
582530	242110	Deborah
582530	270486	Ameliz Cruickshank
582530	270651	Vern
582530	281427	
582530	286461	Sally Elton
582530	290330	Diana Cheswick
582530	291858	Lois Grant
582530	292678	Tess
582530	295313	Mary Rawling
582530	297994	Dorothy Drew
582530	300908	Singer
582530	314125	Peggy
582530	315675	Mrs. Forbes
582530	315988	'Nosey'Toodles
582530	316631	Blonde at McGregor's
582530	317426	Eileen Forrester
582530	324582	Peggy Reynolds
582530	331769	
582530	338770	Mrs. Cleghorn-Thomas
582530	346908	Clarisse
582530	360750	Cora Sutherland
582532	74000	Crude Oasis Bar Patron
582533	46709	Katie
582533	200073	Sheena
582534	411300	Marian Collins (1975-78)
582535	94655	Stacy
582535	149943	Alicia
582535	154771	Heather
582535	156435	Barb
582535	289074	Guitar Player
582535	360688	Catherine Blaine
582535	375643	Keiko
582535	381422	Crewman Specialist Cally
582536	301953	
582537	205462	
582537	219852	
582537	301953	Marie
582537	407624	Herself (1st runner up)
582538	386421	
582539	43609	
582539	70888	
582539	102669	
582539	114815	
582539	159014	Empress Maria Amélia
582539	291678	Jô
582539	344777	Helena
582539	381633	Adalgisa
582539	386212	Kelly Garcia
582539	388563	Bibinha Andrade
582539	397804	Verinha
582539	398040	
582539	399481	Doralda
582539	401678	Amanda
582539	402506	Luísa
582539	403032	Helena Martins
582539	404798	Kátia
582539	404814	Estela
582539	407643	Shana
582539	407872	Margot
582539	410014	Patrícia
582540	286275	
582541	250748	Espionne
582542	91445	L'infirme
582543	7241	Raymonde
582543	18210	La mère supérieure
582543	25819	Germaine
582543	43002	Anna Bourderias
582543	43444	La mère
582543	51417	Mme Delorme
582543	52698	
582543	57282	Mother Superior
582543	58532	La femme de chambre
582543	66602	Madame Farrel
582543	68513	
582543	80100	Herself
582543	80290	Mamie
582543	83157	Mariette
582543	83235	
582543	83364	Raymonde
582543	88837	
582543	91445	L'agent 747, femme de ménage 
582543	101221	Berthe
582543	101226	Martha
582543	106742	
582543	110124	Fish-shop attendant
582543	124057	Madame Beffroit
582543	126258	Rose
582543	146955	La mère d'André
582543	161703	Simone
582543	162109	La soeur de Léon
582543	167240	Marthe
582543	183235	Nurse
582543	193444	Honorine
582543	195215	
582543	196813	
582543	201135	Mère d'Anne
582543	206563	
582543	209943	La mère d'Adrien
582543	218289	
582543	224894	Germaine Leduc
582543	236539	Mireille
582543	243935	Mme Audoux
582543	249398	La mère de Marie-Lou
582543	258306	La dame
582543	269144	Séraphine
582543	275621	Solange
582543	276548	Anne Guillevic
582543	292350	Marceline
582543	301523	Yvonne
582543	314470	La vieille
582543	318492	Joséphine
582543	336311	Germaine
582543	345061	
582543	345162	Mme Bertrand, l'épicière
582543	345163	La mère de Lendsdorf
582543	346788	La mère de Laurence
582543	348730	Eugénie
582543	354644	Héloïse
582543	370013	Renée Bourdalou
582543	370043	Mère Eric
582543	377792	Marie's Landlord
582543	377856	Elise
582543	377989	Pin Pon's Mother
582543	379239	
582543	381505	Anna Moretti
582543	384186	
582543	384388	Rose Lafargue
582543	384576	Mme Konacker
582543	386101	Henriette
582543	386140	
582543	387560	
582543	387650	La Grande
582543	389595	Adrienne
582543	391634	Anna (segment "Mort amoureuse
582543	396622	La tante
582543	400869	La mère
582543	412017	Vicoire
582544	282224	Madeleine
582544	336992	Lixie
582545	5279	La patronne de la gargote
582545	86575	La femme en noir
582545	94786	
582545	175676	Mère d'Henri
582546	309967	Fille du train
582547	16948	Soeur Élisabeth
582547	35104	
582547	72386	
582547	84220	La mère (segment "Jeanne")
582547	86424	
582547	112834	Isabelle
582547	198840	Simone
582547	262933	Suzanne Servettaz
582547	307110	
582547	318513	Arlette Génod
582547	321831	Piette
582547	346597	Esther
582547	354093	Anna Berg
582548	205717	Niouchka
582548	280527	Madame Bordin
582549	53014	Isabeau
582549	135329	
582549	171416	
582550	2646	Laura
582550	6382	Dora
582550	8369	Rina
582550	8944	Aimée
582550	12667	
582550	15018	Zoé
582550	17861	
582550	18960	Roxanne Sarrault (Redux versi
582550	33498	
582550	43423	Jacqueline de Lusse
582550	49691	Ada
582550	51453	
582550	54652	Léa, the actress
582550	55485	
582550	55488	Margot
582550	57522	La mère de Juliette
582550	64459	
582550	68920	Marie D.
582550	72403	Aurore
582550	82580	Catherine
582550	82636	Christine
582550	94389	
582550	96138	Jeanne
582550	96161	Charlotte
582550	98242	Esther
582550	99222	Tante Elise
582550	107037	Mrs. Bertelli
582550	107532	Hélène
582550	108906	Berthe
582550	110148	Mme. Oger
582550	111517	
582550	121299	Sarah
582550	122748	Irène
582550	125405	Maria-Helena
582550	155519	
582550	156557	La mère de la maîtresse de Vi
582550	161964	La jeune femme sur l'autorout
582550	167103	Nicole Chutz
582550	168214	Joe's mother
582550	170107	Michèle Louvier
582550	183277	France Horn
582550	188669	Herself
582550	192814	La Mère
582550	195869	Gabrielle's mother
582550	200954	Aline Calas
582550	205719	La mère de Marie
582550	217689	Woman of the World
582550	219668	Elena, Ida's Sister
582550	225357	Sylvie
582550	234705	
582550	235840	Calliclès
582550	247977	Roseline
582550	249084	Anne
582550	249677	Ariane
582550	254106	Maman
582550	255129	Elena
582550	255573	Geneviève Rolland
582550	266403	Anne Jacquier
582550	269822	Wendy
582550	275646	Anna Silver
582550	275862	Blonde woman
582550	306510	Anna Aurey
582550	307664	
582550	313033	Aurore
582550	317989	Francoise
582550	319829	Irene Ríos/Laura
582550	324517	Carole
582550	326148	Aurore Beauvois
582550	337025	
582550	340486	Jeanne
582550	345251	Clothilde
582550	346419	Madame Siprien
582550	353144	Cora
582550	353428	La belle-mère
582550	357122	
582550	360843	Sophie
582550	377061	Alice
582550	377272	Christine
582550	377985	Inge Galtat
582550	379846	Mathilde #2
582550	381590	Madeleine Forestier
582550	382471	Geneviève Séréno
582550	386222	
582550	388594	
582550	403108	Dora Stern
582550	412017	Grace Delaître
582551	189096	Louise
582552	409444	Caro, amie d'école de Sylvie
582553	66744	La concierge
582553	85616	Perrine
582553	111020	A Colleague
582553	146399	Myriam
582553	377696	Une comédienne
582554	20068	Examinatrice n° 2
582554	33543	Louise
582554	75909	Soeur Claire
582554	140304	Camille
582554	199307	Madam Homais
582554	206739	Niña Lea
582554	265223	La soeur infirmière
582554	268400	
582554	275652	Louise
582554	292380	
582554	386801	(1970)
582554	398077	
582555	43772	
582555	132994	
582555	270353	
582555	345032	Jacqueline
582556	123900	
582556	198305	
582557	237310	Mme. Colonel Frédégonde de Sa
582558	64659	Character Statue Act (Mephist
582558	286274	Performer
582559	3311	(segment "Dans la décapotable
582559	136649	Aline, la secrétaire
582559	319822	Femme qui mendie
582560	45197	Mme Vaucorbeil
582560	58118	Dounichka
582560	65940	
582560	71804	
582560	73186	
582560	83279	
582560	115360	Françoise
582560	132735	Irene
582560	135428	
582560	148629	Solange
582560	158836	Juliette
582560	163819	La jeune femme du camping-car
582560	165901	La Directrice
582560	218289	Lola
582560	228564	Hélène
582560	286046	Standardiste
582560	359752	Catherine Sloper
582560	396845	Julie Quaghebeur
582560	404281	Monette
582561	76049	Myrtille
582561	244985	Faune
582562	218310	
582563	10090	Albertine (50 ans)
582563	59673	
582563	97054	Carmen
582563	119053	
582563	139820	
582563	156329	Carmen
582563	237610	
582563	243300	Ginette Lavoie
582563	366963	
582563	382486	La Kouriane
582563	383651	Michelle Gaucher
582563	390486	Shirley
582563	396769	Rollande Lafontaine
582563	406981	Louison Caillé
582564	1578	La Bella
582564	23330	
582564	69370	Rachel
582564	116401	Hélène
582564	390502	Hélène Marcoux
582564	393395	Helene Rowley
582564	406029	Martine Julien
582564	410628	Isabelle Bélanger (1992-1996)
582565	167210	Nicole Leduc
582567	88330	
582567	103869	
582567	108455	
582567	199124	
582567	377608	
582567	383445	Yara
582567	386245	Maria I
582567	389789	
582567	392955	
582567	394600	
582567	395366	
582567	396844	
582567	398310	Marie
582567	401091	Lucrécia
582567	402066	Maria Wodzinska
582567	402624	Maria de Lurdes
582567	403083	Diana
582567	404271	Susana
582567	407861	
582568	15054	
582569	120791	Florentine
582570	238090	Diva
582572	387953	Herself
582572	387954	Herself
582573	49756	Manola
582573	60968	Zoe
582573	69497	Sanitair verantwoordelijke
582573	97770	Dolfi Freud
582573	125356	Maria
582573	126860	Cordule
582573	143487	Wilde Maria
582573	178603	
582573	213563	Ondine van Aalst
582573	213566	Paulette
582573	223124	
582573	251016	Marie-José
582573	258170	Nora Clitheroe
582573	273756	Lisatje Beert
582573	303163	Clothilde van der Tangen
582573	332207	Thérèse Raquin
582573	349598	Laura
582573	357312	Marianne
582573	371288	
582573	379628	Irene
582573	382877	
582573	399410	
582573	400287	Manke Alice (1995)
582573	408246	
582575	79310	Heather
582575	185253	Syb #1
582576	371092	Auditioner #5
582577	270844	Li
582578	273919	Herself
582579	270346	Ghetto Victim
582580	270346	Ghetto Victim
582581	270346	Ghetto Victim
582582	41146	
582582	54707	Elsa the German Milkmaid
582582	61727	Little Kitty
582582	84983	Little Anita
582582	85183	Elsie
582582	94140	The Little Sister
582582	200156	Amaryllis Minton, as a child
582582	219900	Betty Ellis
582582	241856	The Niece
582582	289600	Pearl
582582	369432	Gloria
582583	326034	Louise
582584	75717	Dubois
582585	12286	Handmaiden
582586	100667	Beatrice Vaughn
582586	194744	Nancy Crystal, Richard Merwin
582587	178034	Marie-Therese
582588	214912	Margareta Lundstrom
582589	57225	Jessica Roberts
582589	67349	
582589	126574	Tiffany
582589	154411	Jane
582589	208487	Bobbi
582589	223503	Josie
582589	264205	The First Priestess
582590	244785	Marci
582591	212688	Darla
582592	236972	Toy Soldier
582593	321206	The Throbulators
582594	96531	Girl in car
582595	163568	Steve's friend
582596	78789	Waitress
582597	245112	Singer #3
582598	270463	Dancer
582599	333102	Bessie Bradshaw
582600	157437	Herself
582602	41188	Annie (Kennedy's secretary)
582602	48719	Teacher
582602	97826	Mrs. McKay
582602	153275	Waitress
582602	217600	Mother Superior
582602	261559	Twin Oaks Customer
582602	313596	Clair
582603	408555	Herself - Performer (2000)/Ho
582604	167048	Soul/Herod Girl 1
582605	244785	Karen Moone
582606	33742	M. Lucille Williams
582606	194055	Lead Singer at Car Lot
582607	106938	
582607	362315	Dorothy's Girlfriend
582608	64070	Ensemble
582609	7913	
582610	180422	Mrs. Robinson
582611	259269	Kim Chee
582612	6251	Herself
582612	12355	Mrs. Martin
582612	26382	Tish's Mother
582612	41149	Bess
582612	42057	Sally Dolan
582612	54120	Marian Gaylord
582612	54133	Alice Long (acting sheriff)
582612	57034	Janice Hamilton
582612	61163	Helen Fremont
582612	62906	(segment "God Is In The Stree
582612	65413	Jean Evans
582612	98692	Alice Clark
582612	109092	Kathy MacKenzie
582612	115152	Mrs. Dorothy Collier
582612	128706	Dorothy
582612	131805	Gladys Baker
582612	135923	Rita Carville
582612	135966	Anita Forester
582612	143568	Chorus Girl
582612	145700	
582612	147920	Old Dora
582612	150800	
582612	154772	Margaret
582612	158913	Dale Marshall
582612	161758	Mrs. Mulfory
582612	170744	Carol Bryant
582612	178042	Mrs. Hale
582612	178127	
582612	194125	Gail
582612	194176	
582612	203063	Cinthy Allison
582612	206526	Martha Clark
582612	208248	Della Watson
582612	221287	Katherine
582612	223733	Woman
582612	223943	Bit Part
582612	230280	Carol Bannon
582612	239402	Goldie Vaughn
582612	245423	Anne Moore
582612	247884	Jean Evans, Panther Girl
582612	253138	Jo Carter
582612	274620	Herself
582612	290991	Mrs. Penn, woman on sidewalk
582612	291301	Herself
582612	298078	Blonde
582612	305455	Cigarette Girl
582612	306519	Alice McDoakes
582612	306522	Alice McDoakes
582612	306529	Alice McDoakes
582612	306532	Alice McDoakes
582612	306534	Alice McDoakes
582612	306539	Alice McDoakes
582612	306542	Alice McDoakes
582612	306549	Alice McDoakes
582612	306551	Alice McDoakes
582612	306555	Alice McDoakes
582612	306559	Alice McDoakes
582612	306561	Alice McDoakes
582612	306565	Alice McDoakes
582612	306570	Alice McDoakes
582612	306573	Alice McDoakes
582612	306574	Alice McDoakes
582612	306579	Alice McDoakes
582612	306584	Alice McDoakes
582612	306585	Alice McDoakes
582612	306588	Alice McDoakes
582612	312816	Joyce Westbrook
582612	318934	
582612	319611	Lois Lane
582612	335904	Marian Harrison
582612	343873	Carol Bryant
582612	363666	
582612	369365	Terry Howard
582612	379338	Lois Lane (I) (1952-1953)
582612	387093	Gloria
582612	402255	Nurse Madge Allen
582612	408043	Mom Holliday
582613	321444	Whaler
582614	409400	
582615	37268	Muggsy
582615	54583	Muggsy
582615	66025	Muggsy, Lemonade Servant
582615	79833	
582615	94775	Muggsy
582615	118304	Little Girl on Crutches
582615	141478	Henrietta
582615	142875	Western Union girl
582615	142880	Jennie Kilmer
582615	160946	Girl
582615	192184	Muggsy
582615	331613	
582615	333314	Muggsy
582615	361300	Alice at 10 years old
582615	372232	Ethel
582615	372819	Girl
582616	49874	Polly
582617	50020	Brock's wife
582618	256884	
582619	157574	Belinda
582620	123401	
582620	264205	Priestess 2
582621	331603	Karen
582622	196038	Raquel
582623	32789	
582623	131199	Inez
582623	138555	Singer
582624	157826	Minister
582625	274427	Wedding Party in Philadelphia
582626	288960	Herself (segment "Fire and Ra
582627	20965	Herself
582628	256769	Amiga pandilla 1
582630	234478	
582631	385299	Grace Corbett
582632	56006	Joanna
582633	18282	Doña Rogeria
582634	267393	Bank Customer
582635	351782	
582636	46410	Widow in Arizona
582637	17506	Wife of King
582637	379702	Herself - Host
582637	397044	Herself/panelist (1953-1955)
582638	334085	Mrs. Jensen's Daughter
582639	129025	Nirena
582640	117874	Hannibal Reporter
582641	315113	TV Reporter
582642	67104	Ter McDowell
582643	95189	
582643	151659	Fanny
582644	145415	Sally
582644	189422	Alison
582644	224382	Reporter #3
582645	49028	Dancer
582646	130758	Girl in Riding Clothes
582647	361775	Molly
582647	367314	
582648	232276	
582649	35524	Meyer Lion
582649	74304	Waitress
582649	79712	Pregnant Woman
582650	330635	Herself
582651	151761	Telegraph operator
582652	26355	Robin
582652	46154	Linda Lysenko
582652	81277	Sharon
582652	82055	Tram guide
582652	92513	DuBois' psychiatrist
582652	191409	Mrs. Marks
582652	263105	
582652	283506	
582652	286054	Bonnie Sawyer
582652	314235	Gloria
582652	334171	Connie Marx
582652	345852	Karen Merritt
582652	383923	Jill Pembroke (1984-1985)
582652	385514	Public Defender Katherine Ben
582652	411670	Trish
582653	72624	Susan Patterson
582654	366645	Aunt Karen
582655	60016	Miami Nurse
582656	114145	Katie's Friend #2
582656	407815	Herself (2003)
582657	294524	William Cain
582658	403550	Annie
582659	84197	Biker Waitress
582660	68733	Tildy Evans/Children's Librar
582661	22869	Linda-Lee
582662	41179	Sara
582663	360540	
582664	63746	Tanya
582665	158320	
582666	219917	Sally
582667	137808	Ashley
582668	404694	Ellen Tyrell Ames (1954) (ori
582669	38264	
582670	400217	Tara van Walsum (#2) (2004-)
582671	262054	Maria's Friend #1
582672	258933	Simmons
582673	46910	Lynn Adams
582674	138692	Mrs. Bates
582675	69732	Rebecca
582676	298090	Shawn
582677	138692	
582678	167566	Casting Assistant #1
582679	12970	
582680	415	Pavlínka
582681	64031	
582681	222036	
582681	250712	
582681	278936	
582681	307792	Amiga de Elena
582682	212580	
582682	336619	
582682	336620	
582682	336623	
582683	270855	
582684	69290	Nurse
582684	275870	Sara
582684	360291	Nikita's Waitress
582685	10501	
582685	104524	
582686	168745	Student
582687	164984	Dancer #3
582687	295420	Dancer
582688	222038	Herself
582689	105280	The Helen Miles Singers
582690	86114	
582690	111380	
582690	129885	
582690	284895	
582691	16045	Kathleen's Mother
582692	16045	Young Kathleen
582692	343185	Cinderella
582693	217745	Art History Student
582694	187231	Mrs. Carter
582695	62957	Person in the Villiage
582696	138671	Molly Conway
582697	382393	Woman at Party
582698	71495	Woman at Party
582698	122218	Hostess
582698	149287	Secretary
582698	240778	
582698	378726	Nurse Monique Roberts
582699	245348	Cathy Moss
582700	101867	Natacha
582701	52010	Viejita #1
582701	66101	Sra. Evangelina
582701	106994	
582701	244248	María
582701	332579	Doctora
582702	98696	
582702	165787	Ticket seller
582703	110622	Elsa
582703	111110	Léa
582703	124295	
582703	198370	
582703	207602	Eva
582703	238755	
582703	248871	
582703	268231	
582703	353492	
582703	353493	
582703	353494	
582703	354265	Herself - Presenter: Best Mak
582703	358236	
582703	402708	
582704	69517	
582704	287429	
582705	399084	Marisela
582706	51812	Enfermera en jefe
582706	91406	
582706	96298	Corista
582706	100380	
582706	207027	
582706	208249	
582706	243239	
582706	270732	
582707	51812	Enfermera López
582707	113204	
582708	24206	Ana
582708	53110	
582708	294732	Prostituta
582708	302359	
582708	322345	Isabel
582708	353612	Sara
582709	28953	Cobo, Mari Loli
582709	343612	
582710	22792	
582710	25681	
582710	243418	Adela
582710	294074	
582711	73281	Empleada MP/Pleading MP
582712	70679	Rubia
582712	85963	Sonia
582712	170030	Rosalinda
582712	221908	
582712	341780	Michelle
582712	380884	Juanita
582713	379133	Mayra
582713	383827	Gabriela
582713	384831	Perla Linares
582713	387479	Cecilia
582713	387689	Sandra
582713	390300	Florencia Casals
582713	395061	María
582713	403459	
582713	403690	Anastasia
582713	405281	
582713	407640	Gertrudis 'La ñoña'
582714	71805	
582714	292352	Jenny Bounster
582715	305778	Bar Girl #2
582716	129418	
582717	275330	Police Officer
582718	84230	Witness
582719	11220	
582719	30196	Lady who sits on egg
582719	31174	Pie victim boarding auto
582719	73745	
582719	113638	Nurse
582719	116182	Gorgeous Wrestler
582719	120583	Party guest
582719	140023	Vision
582719	186155	
582719	186792	Dentist's Nurse
582719	194195	
582719	267990	Girl chased by Philip
582719	282865	
582719	285653	
582719	285683	Lady in easy chair
582719	292110	Flapper
582719	300023	Muddy combatant
582719	318347	Girl in the Fun House
582720	31130	Mary Boland
582720	39399	Amina
582720	96812	Barbara Hare
582720	109654	Dorothy Gore
582720	114007	Jessie Bradley
582720	130031	Marjorie Menzies
582720	141349	Kathleen Noyes
582720	199400	Helene
582720	245194	Ruth Hardy
582720	263898	Betty Malcolm
582720	356311	Marion Lord
582722	382715	Political Correspondent (2004
582723	105213	Stage 1
582724	128592	Eve Adams
582725	166871	Additional cast
582726	92913	Various Voices
582727	276893	Sylvia
582727	382393	Geraldine
582727	391869	Vicki Baxter (1988-1989)
582728	115205	Rosalinde
582728	374129	Erste Dame
582729	156	
582730	274682	Woman
582731	381451	Business Correspondent (2001-
582731	382706	Herself - Business Correspond
582731	382715	Business Correspondent
582732	256146	TV Reporter
582733	62579	Court Audience & Jury Member
582734	21432	Martha
582735	21432	Luiza
582736	265797	La première collaboratrice
582737	219739	Veryl
582738	219739	Alice
582739	16642	Nurse
582739	83982	Chorus #3
582740	45209	
582740	138716	Herself
582740	215682	Miss New Zealand 1988
582740	379188	Host
582740	383311	Host
582740	383766	Herself (2004)
582740	389707	
582740	404151	Model
582740	406228	Herself
582740	410949	Hostess
582741	70625	
582742	618	
582742	2025	Herself - Presenter
582742	10746	Cook
582742	30607	Miss Klutz
582742	38669	Dancer
582742	47363	Herself
582742	50796	
582742	51860	Herself
582742	68105	Herself
582742	86799	Esmeralda
582742	100688	Princess Jane Klockenlocher
582742	119429	Molly
582742	121861	Herself
582742	147920	Roxy
582742	235618	Daisy Schackman
582742	248008	Missy B
582742	270265	Madame Marie
582742	276740	Granny's Maw
582742	286338	Herself
582742	309629	Ballerina
582742	310626	
582742	330188	Lulu
582742	346178	Dorkus
582742	349550	Aunt Edna
582742	379243	Regular Performer
582742	383067	
582742	385285	Herself (on 'Your Show of Sho
582742	390654	Grindl
582742	392641	Betty Crane
582742	393094	Shadd
582742	405294	
582742	405295	
582742	411859	Regular Performer
582743	389464	
582744	96500	Sonia
582744	270691	Ragazza della droga
582745	90606	Herself
582745	96369	
582745	115027	Herself
582745	252043	
582745	307440	
582745	353355	
582746	268514	
582747	67104	Elena
582748	68980	
582749	16181	Anziana #2
582749	158855	Federica's mother
582749	269496	
582749	356221	Signora teatro
582749	407887	
582750	90973	
582750	97094	
582751	16657	TV Reporter
582752	64782	
582752	339634	
582753	23041	
582753	24283	
582753	76081	
582753	86830	
582753	155115	
582753	155116	
582753	167189	
582753	229099	
582753	314292	
582754	37635	Elena
582754	55807	
582754	160647	
582754	272347	Mother
582755	63730	
582755	157676	
582756	27263	Carol, Female Executive
582756	87348	Cat Lady
582756	189408	Anchorwoman
582756	277731	
582757	6889	
582758	105380	Fake Shemp
582759	180946	Aïcha
582760	76092	
582761	83454	Doctora
582762	156547	
582763	159268	Kim
582764	400149	Herself (2002 -)
582765	94983	
582766	224275	Back vocal
582767	100847	
582767	305602	Lucy
582767	411215	Mrs. Channing
582768	12275	Coed
582769	55170	Girl at party
582770	51991	Computer
582771	2124	Jennifer
582771	274180	Amy
582771	339440	Dena
582772	250954	Diana
582773	179419	Mrs. Sokos
582774	176406	Extra in reception scene
582775	248616	Herself
582776	184955	Woman
582777	14002	A'an's mom
582778	51961	
582778	73928	Tracy
582778	123789	Allison
582778	248083	Allison Robbins
582778	281235	Peenie Fase
582778	297628	Sitcom Girl #1
582778	328556	Garrett's Girl
582779	63068	Lazy wife
582779	65386	Moon Face
582779	115011	Waitress
582780	69232	Juror
582781	343158	Betsy
582782	93080	Waitress
582782	231918	Cindy Daretto
582783	121348	Kathy Lee
582783	154108	Female Mechanic
582783	323970	Girl #1
582784	49071	Jury Foreman
582784	84851	Mother
582785	342683	Tomboy Girl
582786	26077	Flapper
582786	140187	Sheriff Tomizack
582786	278498	Anna Morgan
582786	313428	Senator Tal'aura
582786	364285	Mom
582786	366993	Psychologist
582787	161233	Herself
582789	125586	Kissed Woman
582789	196397	
582790	196372	Office #1 typist
582791	224136	Socialite
582792	12242	Rose
582792	39830	Airline Clerk
582792	58811	Plantation Wife
582792	194222	School Secretary
582792	296990	Mrs. McBride
582792	347688	Reporter
582793	126069	Showgirl
582793	372093	Showgirl
582794	72741	Gena (Gamecube)
582794	72743	Gena/customer
582795	4680	Asha
582795	84956	Multi-Lingual Party Guest
582795	136128	Bombay Dance Class Dancer
582796	270649	Herself
582797	29524	Rubber Girl
582797	114095	Communications Director
582797	117091	
582797	161294	
582797	196889	Misty
582797	252877	
582797	345976	Becky
582797	380506	Tammy Knight
582798	224085	Baby Brenda
582800	14972	Gertrude
582800	57945	Donna
582800	77552	
582800	85849	Maid
582800	99695	Laura Lowe
582800	114656	Kat
582800	120301	Corpse
582800	150089	Marilyn
582800	154610	Hitchhiker
582800	155912	
582800	304538	Doctor
582800	324657	
582801	191950	Pupil at Tadworthy House Scho
582802	36760	Sister in Stag Film
582802	119508	Nude Girl #1
582803	28281	
582803	38229	
582803	73973	
582803	78765	Lois
582803	107398	
582803	150555	
582803	182692	
582803	235031	Mother
582803	264326	
582803	377586	Actress
582804	258542	
582805	7619	Supermarket Mother
582805	43912	
582805	73217	Steve's Mother
582806	2388	Helen
582806	5717	Kirsty (The Acid House)
582806	132321	Lily Milk, the Maid
582806	200200	Emma
582806	335155	Susan the Maid
582806	366405	Nita
582806	398463	Dorothy
582807	7619	Little Girl
582808	292788	Sydney
582809	58164	Soloist
582810	132892	
582811	28879	Girl
582812	217934	Camille Doncieux
582812	289788	Denise's Mother
582812	352927	Washhouse Woman
582813	10688	Lindy
582813	17697	Jimsie Pringle
582813	82112	Sandra
582813	158510	Erin Dunne
582813	184719	Phyllis Kennedy
582813	248890	Sheila Zellner
582813	265679	Leah Grey
582813	410585	Ann Prevost
582814	170852	Mrs. Dewey
582816	199529	Church Baby
582817	215462	Judge (Miss America 1994, Ent
582818	115249	Janet
582819	10935	
582819	135955	
582820	10645	Barber
582820	55885	Mrs. Stach
582820	84223	Mirka
582820	95606	Alena
582820	151870	
582820	223526	Marie
582820	229836	Drahusa
582820	249437	
582820	273690	Drtinová
582820	283163	Sachlová
582820	315811	
582820	317553	Urbanová
582820	338167	Lizinka
582820	349941	Zhrzena
582820	373781	Eliska
582821	147124	Vickey Hobson
582821	194579	Annie Rid
582822	185225	
582823	217603	Olga
582824	171079	Bond Girl
582824	280260	Beth
582825	245142	Witness
582826	297672	Victor's Girl
582827	334148	White Sailor Dancer
582828	400110	Chertsey Maid
582829	262591	Tanya's Priestess
582830	39137	
582830	40040	
582830	48576	
582830	169136	Child Chorus
582830	257434	Herself
582830	361211	
582830	366754	Holly
582831	259740	Consuelo
582832	14314	Membre de la famille Butler
582832	214900	Mira
582832	339226	Aminata
582833	372758	Herself
582833	411830	Herself (1987-1988)
582834	56364	Alice
582834	159021	Katie
582834	228216	Sandra
582834	301128	
582834	386690	
582835	39508	
582835	123627	
582835	368574	Fluffer
582836	29512	La contrôleuse sanitaire
582837	355618	
582838	113883	Girl in Bathroom
582839	80488	Laura
582841	124058	Nasa
582842	328890	
582843	361167	Grandma Crossing Street
582844	23363	
582844	82506	
582844	134191	Simone
582844	169286	Tante Sophie
582844	205992	Gisèle Landry
582844	217687	
582844	231559	
582844	281315	La concierge
582845	333366	Tess
582846	176406	Extra in alley scene
582847	411759	Angie (1981-1984)
582848	381065	Baby Bob
582848	401930	Daniel Griffin 'Danny' Thornh
582849	57061	Herself
582850	381065	Baby Bob
582850	401930	Daniel Griffin 'Danny' Thornh
582851	382508	Herself
582852	80672	Officer DuPree
582852	170890	Police dispatcher #1
582853	249047	Brenda
582854	6465	
582854	12970	
582854	91273	
582854	247297	
582854	306698	Julia
582855	2544	
582855	9683	Mme. Lecler
582855	13998	Therese (cleaning lady)
582855	20206	Mme. Bresson
582855	20533	Flower woman
582855	30922	Mme. Zarka
582855	38529	
582855	38958	
582855	47052	Yvette Duval
582855	53336	League president
582855	54459	Landlady
582855	59607	Complainant at Police
582855	59614	Margo
582855	65746	Lady on Bus
582855	66042	Ballet Instructor
582855	67842	Yvonne
582855	76582	Madame Sevanne
582855	78171	Mrs. Lanet
582855	84362	French woman
582855	92587	Passerby at Marcel's shop
582855	94144	Mme. Fouchet
582855	95099	
582855	105947	Maria
582855	114534	Telephone Operator
582855	129792	Pianist
582855	138387	Yvette (Netta's maid)
582855	143191	Countess Tradiska
582855	144429	Doña Vincenta del Campo
582855	147536	Margaret, Evans' Housekeeper
582855	161041	Madame Gilly
582855	163546	Mrs. Johnson
582855	167311	Madame Poulard
582855	168636	Charwoman
582855	177674	Mme. Brieux
582855	178066	Suzanne
582855	178332	Madame Aurele
582855	183801	Luba
582855	185711	Nurse #2
582855	197702	Matilda
582855	206355	Madame Cushine
582855	210063	
582855	220970	Anna Pelan
582855	221124	French Modiste
582855	221307	Madame Dupont
582855	222326	Tante Berthe
582855	223042	
582855	239515	Mademoiselle, Millie's French
582855	240774	
582855	240841	Mme. Periton
582855	244357	The Florist
582855	248980	Mme. Benoit
582855	276948	Rosalie
582855	279570	Saleswoman
582855	281859	Aunt Isabel
582855	292310	'Mama Pierre' Dupray
582855	292405	Tessa, Ellen's Maid
582855	299035	Wardrobe Woman
582855	304859	
582855	306399	Mama Michaud
582855	306496	Grand'mere Marie
582855	315967	
582855	324021	
582855	329467	Mme. Bouget
582855	330375	
582855	330836	Anna
582855	333054	Miss Larouche
582855	335469	Annette
582855	335477	Mme. Grandet
582855	343316	Señora Tobar
582855	346024	Henriette
582855	346138	Madame LaMarr
582855	346914	Mme. Borodin
582855	359298	Dr. Duprey
582855	362363	Nun
582855	363226	French resistance fighter
582855	367577	Madame Sylvia
582855	372618	French woman
582855	372819	Maid to Sandra
582856	236939	Claudia
582857	141142	Ms. Younger
582858	119227	Flora Flaptrap
582859	205735	Lydia
582860	60521	Mme de Warens
582860	140298	La baronne
582860	161985	Simone
582860	218248	Louise
582860	301406	La patronne du bistrot
582860	388439	Françoise Fargeot
582861	374275	Mary
582862	104778	Belgian entry (2nd place)
582863	213389	
582864	249388	
582865	24984	
582865	317673	
582866	284084	
582867	94246	Clémence
582867	132955	Irina
582867	167214	Louise
582867	354930	Juliette Olivier
582867	357042	Pénélope
582867	380964	Melissa
582868	67877	Lucia
582868	162069	
582869	56316	Presentadora TV
582870	149933	Tango Dancers
582871	25522	
582871	69206	
582871	109266	
582871	187478	
582871	193328	
582872	287248	
582874	109778	
582875	282568	Tenant
582876	99081	Princess in Panto
582876	172034	
582876	256622	Kate
582876	364731	Nell Gwynne
582876	388895	Dotty Brewer
582876	394318	Regular Performer
582877	255009	Bluebeard's Wife
582878	321500	Herself
582879	87118	Female reporter
582879	262586	
582879	297558	Customs Agent
582881	205526	Herself
582882	246444	
582883	154915	Mrs. Collins
582883	183845	
582883	196923	Eve Tandring
582883	233861	Miss Hancock
582883	258732	
582883	261067	
582883	263523	Miss Stokes
582883	282108	Marty
582884	130720	Dancer
582885	324502	Ana Segovia
582886	101380	Sadie Knight
582886	140535	Maureen
582886	177525	Miranda
582886	221215	Jackie
582886	236779	Faith Thomas, Brian's Girlfri
582886	262528	Jenny Fox
582886	316410	Mrs. Clark
582886	339354	Sharon Fearnley, Bob Brickman
582886	351238	Lesley Arbel
582886	383285	Carol Braithwaite
582886	386587	Jackie Tyler (2005-)
582886	388363	Sophie
582886	391666	Jenny Jones
582886	398248	Sonia Head
582886	399138	Lorraine Wilde (1994-1995)
582886	403926	Dot Clapton (1992)
582887	73332	Lady (Lover)
582889	84997	Mary
582890	73567	
582891	149440	Rachel
582891	177591	Agent Trueheart
582891	220175	Bunny
582891	257922	Betty Jean
582891	286424	Kate
582891	333540	Kim
582891	387009	Nancy
582891	394677	Laurie
582892	162449	Reporter
582893	347069	Old woman
582894	257396	Mrs. Meekas
582895	193681	
582896	296733	Cabinet Member
582897	26062	Sue Ellen
582897	59535	Leonora Appleby
582897	91759	Lola Dietrickson
582897	128830	Debbie
582897	150412	
582897	156466	Cable-TV Housewife
582897	185188	Julia Johnson
582897	306298	Chris Baxter
582897	319544	Wendy McCready
582897	380713	Sally Graham (1966-1967)
582897	385719	Hallie Stokes (1970)/Carrie S
582897	387309	Laurie Ann Karr Lamont Dallas
582897	404694	Cecilia (1970)
582898	81321	Model #2
582899	26086	Additional Voices
582899	31055	Kelvin2
582899	41465	
582899	87408	Kay/Kei
582899	96002	Kei (streamline 1994)
582899	96415	Kid
582899	154943	Newscaster
582899	172089	June
582899	174325	Moriki
582899	182506	Lamika (English version)
582899	211950	Rosemary 'Rose'
582899	211951	Rosemary
582899	243760	Rani
582899	282519	Additional Voices
582899	289314	
582899	330794	Fame Groupie
582899	335380	Farm Girl (Troma version)
582899	387222	Dr Aikens
582899	396497	Tsunami
582899	403484	Sydney The Archaeologist
582899	403550	Kim Young, Jason
582900	147739	
582901	72116	Allison
582901	136300	Mary
582903	51838	Young C.J.
582903	80757	Lorraine
582903	406719	Clarie Parker
582904	306286	Greta
582905	364791	
582906	139151	Cassie
582907	63098	Holly
582908	147560	Park Lady
582909	292177	English Sub
582910	184046	Maids/Nuns
582910	264459	Male prosttute
582910	382305	Lucy
582911	316175	
582912	210402	Constance Dupree
582913	68080	Herself
582914	378556	Autostopperin
582915	251150	
582916	381630	Letti Beltran
582916	390733	Maggie
582916	407245	Señorita Karina (1990-1999)
582917	385651	Imee Marcos
582918	258624	
582919	204224	Mariazinha
582920	393006	
582921	196657	Luzia
582921	244194	(segment "Quem Seria o Feliz 
582921	259208	Adelaide
582921	379450	Vânia
582921	388681	Alessandra Cavalcante
582921	394872	Cristal
582921	400445	Norma
582921	404272	Fabrício/Fernanda
582921	404888	Cristiana Macedo
582921	404915	Norma
582921	409814	Jezebel
582921	412258	Adelaide
582922	118660	
582923	302432	Julie Barbato
582923	401643	Host (2002)
582924	51978	
582925	104179	
582925	254240	
582925	377606	
582926	100729	Madalena
582926	381246	
582927	45899	Claudia
582928	209515	
582929	156274	Jeanne Layrac
582930	383566	(1st season)
582931	9874	
582931	302302	Moreninha
582932	46353	Rhonda
582932	224593	Jo Jo
582932	235042	Winetta
582932	252825	Party Guest (Cooking dish wit
582932	252915	Margo
582932	372203	Reporter
582932	400167	Co-Host
582932	400574	Host
582932	407061	
582933	404888	Young Cristiana
582934	407024	
582935	203237	
582936	344	Mexican Wrestler #2
582937	51540	
582937	55943	
582937	140567	
582937	219660	
582938	13978	Young Ally Vinyard
582939	134093	General Store Owner
582940	295114	Herself
582941	334318	
582942	411311	Astrid Deleu-Méganck (1993-19
582943	2106	Maria Luiza
582943	386728	Juliana
582943	403171	Young Morena
582944	57151	Mrs. P.R. Kane
582944	166238	Louise
582945	170836	Carla
582946	254170	Femme embouteillage
582948	11934	Mélanie
582948	17847	Pascaline
582948	33547	Sylvie
582948	58751	Rita
582948	80289	Josefa
582948	82580	Mme Dietrich
582948	83400	La mère de Sabine
582948	111780	Marie
582948	116643	Chris
582948	169330	Melissa
582948	198638	Teacher
582948	254025	
582948	267444	
582948	267510	La voix de Manon
582948	268977	Catherine
582948	292691	Marie
582948	345225	La veuve
582948	346772	Emilie Carles (adulte)
582948	382763	Catherine Miller (1999-2001)
582948	396228	
582949	401680	Johanna Marci (2004)
582950	236550	Nathalie
582950	377979	Leila
582951	80514	The Gypsy Lady
582952	80514	Sweet Pea
582953	370580	Rosa
582954	64847	Abigail
582954	76958	Daisy de Melker
582954	177120	Katinka
582957	104244	
582957	167158	La mariée
582957	324457	Irma
582958	204261	Sara
582959	204261	Giuditta
582960	25687	
582961	323134	Maho
582962	308558	Bridesmaid #1
582962	359929	Sarah Jeffreys
582963	364865	Constance
582964	171063	Amiri
582965	364865	Babysitter
582966	185563	Camelia
582966	248657	Susan Sauvage
582967	186821	Hillary
582967	209357	Mary Griffin
582968	283434	Reporter #4
582969	274896	
582970	285831	Merciful Goddess
582970	387457	Luffard, Customer
582970	396548	Stephanie (ep. 7)
582971	151548	Ellie Weaver
582971	240733	Sally
582971	386963	Siobhan Bandele (2000-2001)
582972	360010	Beautiful woman
582973	324659	Dancer
582973	361169	Soul Sister
582974	231096	Student
582975	34002	Commercial Voice
582975	70454	Allison Grey
582975	158966	Ellie Maddox
582975	186433	Caroline Angelo
582975	219659	Ash
582975	275321	Jessica Parreti
582975	277885	
582976	18022	Meg
582976	88882	Food Seller At Rail Station
582976	108950	Soberness
582976	126125	Peg
582976	190189	Various roles
582976	252728	Operator #1
582976	289099	Mrs. Hopkins
582976	303030	Mrs E
582976	313844	Anne Duval
582976	358872	Sidonia
582976	362073	Horror
582976	365151	Jane
582976	372868	Dora
582976	385723	Jenny Jackson
582976	386545	Various (1967-1969)
582976	387594	Vera Straightman
582976	390113	Brenda Liversedge
582976	391767	Gloria Glamorsox
582976	397492	Edna, Bobby Chariot's Manager
582976	406375	Various Roles (Series 3-4) (1
582976	407315	Granny Bag
582976	407410	Granny Bag
582976	409218	Dotty Charles
582977	110974	Earnestine
582977	256206	Chick with a Dick
582978	27000	Aboriginal Woman
582978	411366	Maggie (episode 2: Maydina th
582979	283586	Consuela
582980	114152	Petronella
582980	196559	Sue
582980	297188	Goth
582981	193718	Mrs. J.K. LeRoy
582981	282840	Tallulah
582981	362057	Meter Maid
582982	95146	Other waitress
582983	360490	Singer
582984	131232	Extra
582985	288931	Trish
582986	154853	Mike's Secretary
582986	287781	Cab Passenger
582987	339445	Neon Audience
582988	51989	Amy
582989	112008	Dee (Mark's wife)
582989	115886	Christi
582989	166917	Jan
582989	176388	Linda Cowley
582989	216670	
582989	270008	Queens Neighbor
582989	277483	Rhonda Ramsey
582989	289666	Teacher
582989	310646	Power Chick/Nancy
582989	378868	Sylvia Jennings (1997-1998)
582989	392686	Various Characters (1990-1993
582989	400209	Naomi (1999-2000)
582990	7617	Mother
582990	7857	Mrs. Irving
582990	11918	
582990	39923	Lady Carfour
582990	43729	Margaret Howe
582990	43737	Lady Clanronald
582990	52511	Lady Ullswater
582990	62921	Mrs. Gatty
582990	90201	The Duchess
582990	116188	Aunt
582990	116763	Lady Carfour
582990	130020	
582990	133544	Mrs. Beresford
582990	133897	Lady Henderson
582990	136023	Lady Cheswick
582990	137986	Mary Lassells
582990	147532	
582990	158116	Dowager Lady Crabtree
582990	158864	
582990	178213	Lady Corrington
582990	178855	
582990	187340	
582990	196078	Julia Cavendish
582990	244382	Mrs. Vernon
582990	262057	
582990	265253	Anna Stephenson
582990	273793	Nurse Anna
582990	287261	Mrs. Ross
582990	289592	Aunt Priscilla
582990	311799	Mrs. Dundas
582990	327270	Nanny Dyson
582990	330698	Mrs. Aubyn
582990	340027	Duchess de l'orme
582990	342465	Mrs. Romer
582990	363970	Mrs. Barrington
582990	364023	Mother
582990	367613	Mrs. Edworth
582992	155054	Tina
582993	12862	Mrs. Smith
582993	196946	Hat Check Girl
582994	333875	Beatrix Conkling
582995	181135	Muriel Isaacs
582995	327632	Mary
582996	69662	Extra
582997	15083	Juliette
582997	17194	La patronne du bistrot
582997	22190	
582997	40217	
582997	44955	La serveuse
582997	53246	Mme Bertrand
582997	57284	
582997	57516	Mme Fournier-Marcenat
582997	57897	Angèle
582997	68369	Evelyne Nera
582997	76033	Marie-Jeanne
582997	86794	Françoise II
582997	94390	
582997	96164	
582997	96195	
582997	122425	Gina
582997	197543	Dora
582997	211155	Valentine
582997	225430	Marcelle
582997	254056	
582997	267227	La journaliste
582997	269756	
582997	281315	
582997	307309	Mlle Gogo
582997	309688	Corinne
582997	339539	
582997	345470	Simone
582997	352611	
582997	383178	
582997	384744	
582997	397137	Aline
582997	397946	Fantine
582997	408651	Mme Pignorel
582997	410139	
582997	410272	
582997	412251	
582998	283529	Bar Patron
582999	330262	Sally Rogers
583001	270607	Melodee
583002	51800	Little girl at pool
583003	254593	Mourner
583004	254593	Mourner
583005	94291	Miss October, Vargas Calendar
583006	110916	Reporter
583007	150400	Girl at Party
583007	381041	Tina
583008	24503	Interview Montage Girl #2
583009	64341	Nathalie
583010	81154	Marisa
583011	65577	Bitchy Picke Seeker
583013	21447	Mexican Woman
583014	101533	Feeling
583014	160636	Bar Girl
583014	251007	
583015	109427	Birthing Class
583016	14259	
583016	25687	
583016	125660	
583016	377164	
583017	12057	Herself
583017	102482	
583017	116975	
583017	393854	Herself - Regular panellist
583018	365138	Tea lady
583019	73736	Madame Lambeaux
583019	133849	Empress Victoria
583019	296801	Mrs. Lange
583019	298289	Mrs. Wentworth
583019	367558	Mrs. Marrish
583020	213142	
583020	328808	Grace
583021	257673	Herself
583022	170932	Herself
583023	64092	Celeste
583024	313064	Grandmother
583024	360082	Mrs. Johnson
583024	372882	Operator's Wife
583025	68135	Clora McCoy
583025	164389	Princess Eloise
583025	216024	Herself
583025	388175	Herself (1948)
583025	409866	Regular
583026	299394	Beth
583027	367083	Girl in Avanti
583028	11525	News Aide
583028	114180	Attorney
583029	132228	Turkish Mechanical Woman
583030	11945	Chickenette Restaurant Patron
583031	276612	Martha
583032	116041	Majorette
583033	88874	Gluttony
583034	16327	Betsy
583034	41869	Dede Wilkens
583034	63004	Charlotte
583034	67374	
583034	79767	Dorthy
583034	91769	Neighbor in Garden
583034	120488	Narrator
583034	164637	Mistress Fowl
583034	214976	Sister Mary
583034	224328	Anna Cortino
583034	234218	Patient #1
583034	240325	Sister Francesca
583034	244372	Sister Vincent
583034	298596	
583034	299393	Mona Wheally
583034	301509	
583034	306320	Dr. Jorgenson
583034	395819	Mrs. Ziff
583034	398711	Auntie Auntie/Astrid Árnesson
583035	11541	Philadelphia 'Delie' Edwards
583035	78745	Cathy Pope
583035	119696	Hanna
583035	257742	Dovey
583035	258884	Kate Maguire
583035	273610	All Girl Band
583035	280066	
583035	283531	Jill
583035	285771	
583035	333246	Annie Lassiter
583035	379746	Terry O'Rourke
583035	382354	Lizzy Morrison
583035	388978	Jackie Crane (1990-91)
583035	389140	Evelyn (part IV: 'Providence'
583035	390778	Faerie Queen
583035	405960	Nikki Holland
583035	406457	
583035	407189	Vivienne
583035	408163	Liz Daniels (1999-2000)
583036	46993	Cousin Pearl
583036	78993	Jeanette
583036	117485	Secretary #1
583036	119803	Model
583036	233778	Nurse
583036	321519	
583036	343160	Girl
583037	282600	Celia Pryse
583038	362414	Beryl
583038	381088	
583038	395180	Mrs. Barry
583039	85133	Grocery Cashier
583040	7097	Saxon woman
583040	7961	The Charles' Maid Who First R
583040	16623	Maria's Maid
583040	47922	Witch
583040	59455	Woman at Ball
583040	65717	Betty, the Maid
583040	78762	Shannon Maid
583040	110363	Woman
583040	154230	London Operator
583040	183767	Telephone Operator
583040	249235	Ellen, Katie's Maid
583040	272470	
583040	278274	Alice, the Maid
583040	278727	Clark, the Nurse
583040	289577	Woman
583040	335844	
583041	21542	Rosalind
583041	35786	Mrs. Burns
583041	97076	
583041	107298	Mary Hill
583041	143417	Madeline Stuyvesant
583041	292852	Owl
583041	311748	The Sporting Duchess
583041	331156	
583041	346145	
583042	46775	
583042	113634	Miss Edith Garland
583042	150321	Annie Brock
583042	166691	Old weaver's granddaughter
583043	352517	Runaway Model Three
583044	274851	
583045	74430	
583045	349158	
583046	11934	
583046	64951	Winner
583046	106205	First Pair of Legs
583047	59271	
583048	198298	Les enfants
583049	236741	Karina
583050	134018	Cousin Ellie
583051	382133	
583052	410430	Herself (interviewed)
583053	178015	Radio announcer
583053	190543	Milly Jones
583053	252112	Marguerite Shannon
583054	10343	Leto
583054	347876	Sister Beatrice
583055	144693	
583056	411529	Reporter (1999- )
583057	148586	Young Woman with Dog
583057	330412	Casino Gambler
583058	335799	Girl #2
583059	248568	Stewdardess
583060	197650	
583061	177461	Pregnant Poet
583062	110027	La prostituée
583062	230394	Nicole
583062	284242	
583063	139461	Mayoress
583064	132454	Singer in Tree
583065	77541	
583066	114193	Jane
583067	63254	
583067	142479	
583067	342669	Bar patron
583068	121578	Herself
583069	5740	
583070	306596	Receptionist
583071	339082	Anne
583072	56871	Party Twin
583072	164600	Sunny Cheerleader One
583073	60209	The Baby Brother
583074	217448	School Crossing Guard
583075	395852	
583076	355212	Tabloid TV Host
583076	391835	Talking head/soundbites (segm
583077	187081	Tsivja
583078	409277	Herself/Panelist ("Santé")
583079	389858	Georgiana 'Georgie' Jones #2 
583080	149974	Girl in Pool
583081	360436	Baby Making Sound
583082	142493	Mother-in-law
583083	170895	Mindy
583084	209297	
583085	156036	
583085	175002	Herself
583085	270443	Zilpah
583086	8152	
583086	229538	WPC
583086	311948	Narrator
583087	310503	
583088	195180	Viviane
583088	282280	Rosette
583088	406828	Lilka
583089	347403	Stephanie Audran
583090	152	
583091	252787	
583091	385585	Noa
583091	397635	Asi Shachar/Michaela Akrish
583092	178357	
583092	376189	Zigeunerin
583093	4997	
583093	5272	Vicenta, la alcaldesa
583093	14566	
583093	18998	
583093	28014	
583093	36507	Sra. Fuentes
583093	48182	
583093	51628	
583093	52247	Julia Olmos
583093	55774	Progreso
583093	57698	
583093	58180	
583093	64365	Mary Ann
583093	69250	Sarah Brown
583093	74148	
583093	74827	(segment "Hierbabuena")
583093	83538	
583093	84052	Herself
583093	85560	
583093	103671	Elvira
583093	103710	Katy
583093	106268	
583093	106313	Catherine
583093	106317	
583093	110989	
583093	111005	Sophie
583093	112046	
583093	121232	
583093	142737	
583093	146505	
583093	148106	
583093	149857	
583093	153669	
583093	169784	Diablesa
583093	184840	
583093	202734	
583093	205019	
583093	208709	Alicia
583093	235315	
583093	237894	
583093	255545	
583093	266474	Herself
583093	268458	Virginie
583093	276003	
583093	277398	Duquesa Viuda del Maestrazgo
583093	279742	
583093	293918	
583093	307700	
583093	326577	
583093	332941	
583093	340347	Martine
583093	350159	Herself
583093	353180	
583093	357535	Mercedes
583093	381329	Gallina Caponata (1979-1980)
583093	384848	Mercedes
583093	389796	
583093	393846	
583093	402541	Manuela
583093	408849	Julia
583094	258207	Candace
583094	276386	Whittlesea Dancer
583095	82114	Det. Horne
583095	178292	Devon's Mother
583095	201410	Jenny's Mother
583096	116053	
583097	367446	Typist
583098	150468	Old Woman With Postcard
583099	24790	Miscellaneous Family Member
583100	114237	Shopper
583101	30111	Joy Lane
583101	263977	Phoebe Puckers
583102	330773	Evelyn's Daughter
583102	340754	Mother
583103	62579	Woman Behind Bars
583104	254485	
583105	107990	Harriet McClay
583105	213352	Gwenyth
583106	40277	Homme Blanche 2
583106	246291	La Loutre
583106	282781	Tata
583107	31877	
583108	99081	Midget
583108	280279	The Transylvanians
583108	313459	Cantina patron
583108	400081	Vuffins Troupe
583109	149974	Mother in Pool
583110	19336	Mme Aimée
583110	68353	Bella
583110	214021	Mme Leroux
583110	357852	Georgette
583111	393151	
583111	403022	Susana
583112	108535	
583113	387406	Herself (anchor)
583114	398599	Zoo Factory Member (1973)
583115	298764	
583116	363416	Herself
583117	200353	Street Singer
583118	59996	Nadia
583118	146399	Béatrice
583118	166156	Soeur Agathe
583118	248007	Sandrine
583119	223735	Teacher Gaastra
583119	390242	Brune Elschot (1993)
583121	297671	HR Girl
583122	226900	Waitress
583122	235651	Waitress
583123	83824	Party Guest
583123	168586	Nurse #3
583124	307975	Teresa
583124	363437	Madame Bessie
583125	10311	Jane Genie
583126	276386	Whittlesea Dancer
583126	277795	Euphemia Wells
583127	146059	Friend
583128	236968	Marie
583129	394676	Amy (1981-1983)
583130	39193	Jodi
583131	111170	Sylvia
583132	131717	Mother of Shelter
583132	139498	Jeanine
583132	158113	TV Producer
583132	158999	Kim Peters
583132	161739	Anna (Theresa's nanny)
583132	185575	Diane Banks
583132	194013	Missy Jacobs
583132	263168	Lydia Guthrie
583132	304691	Clothing Store Woman
583132	345612	
583132	366653	Interview Woman
583133	117683	Charley
583133	306421	Renata Canneloni
583133	313583	Friend of Sandy's Sister
583134	193385	
583134	232830	12 Step Member
583134	241141	Young Peggy
583134	245883	
583134	316793	Tricia
583134	319552	Bonnie Wong
583135	104468	Aviya
583135	174909	Aviya
583136	32187	Mom
583137	171581	
583137	198380	
583137	320406	Jessica
583137	390151	Josefin
583137	393273	Gisela Edkvist
583137	403084	Jenny Olsson (2002)
583138	301392	Lindi
583139	215563	Servant
583140	56871	Party Twin
583140	137515	Terry
583140	164600	Sunny Cheerleader Two
583140	244864	Cheerleader #2
583141	321184	Sharon
583141	362791	Rose
583142	60849	Passenger #1
583142	100034	Neighbor
583142	228313	Shopper
583142	303564	Bride's maid
583143	260575	
583144	193683	Stella
583145	254388	
583146	289761	Mrs. Thatcher
583147	32241	Club Patron
583148	64797	Jean
583148	363602	Mia's Girlfriend
583149	399091	Young Aquria
583150	132739	Gang Girl #1
583151	54656	
583151	131739	Battered Woman
583151	171700	Ward Patient
583152	342405	Lyricist
583153	291842	Loretta
583154	71633	Angie Nardino
583154	72504	Mama
583154	81649	Janet's Mom/Harry's Character
583154	105095	Grandmom
583154	105313	Mrs. Kessler
583154	109454	Jesse
583154	130903	Receptionist
583154	144481	Gramma
583154	153121	Lucy
583154	154593	Hotel Earle Concierge
583154	167704	Ruth
583154	193385	
583154	204190	Lillian House
583154	211698	David's Mother
583154	223844	Mother
583154	241159	Natasha
583154	313989	Patty at the Good to Go
583154	327700	Anne Shepard
583154	350534	Maman
583154	358638	Andrew's Mom
583154	366908	Woman with dog
583155	278154	Lulu
583156	161473	Kurt Fuchel's foster mother
583157	119227	Violet Mae
583158	158338	Yenta
583159	188453	'Jazz' Girl #1
583160	214387	
583161	23650	
583161	214908	Keren
583161	364420	
583161	375455	Ilana
583162	267485	Woman in White
583163	59141	Mother
583164	195598	Mrs. McClelland
583165	152549	Countess de Lummox
583166	61706	Lisa's mom
583166	64840	Daphne
583167	218146	Brie
583168	160525	Herself
583169	144913	Girl in class
583169	408237	Cousin
583170	395852	(season 2-3)
583171	107504	Nanny Button Cup, a Fairy
583172	6596	Annette
583172	383834	Batia Noyman
583173	160	Nurse
583173	240429	
583173	241954	
583173	249181	
583173	377984	Mona
583174	280835	Judy
583175	51067	Une danseuse
583176	221737	Mujer de taberna
583177	73518	
583177	383328	Lourdes
583178	331872	
583179	235246	Camille
583180	226824	
583180	254600	Mélanie
583180	265467	La patronne du bowling
583180	339476	
583181	233806	
583182	176899	Jenny Ryan
583182	299738	Child Peggy
583183	295608	
583184	18883	Girl
583184	57717	Charleen
583184	96081	Woman
583184	116727	Chloe
583184	190046	Anne-Marie Sakowitz
583184	195584	Miss Prue
583184	223963	Co-Worker
583184	315950	Laura
583184	376546	Candice
583185	133345	Party Guest
583186	137449	Nurse #1
583187	26011	
583187	340827	Bass player in Air Band
583188	298129	Deita
583189	189997	Cigarette Lady
583190	389858	Georgiana 'Georgie' Jones #2 
583191	261808	L'Arlésienne
583192	178696	
583193	383059	Sandy
583194	355518	Therapist
583195	104039	Singer in Hebrew
583196	104039	
583197	1727	Herself
583197	369874	Herself
583198	120404	Dulcey
583199	92303	Holly
583200	226028	
583200	261794	Myriam
583201	160992	
583202	387	
583202	1318	
583202	6314	
583202	63890	
583202	68645	Ada
583202	69787	Vanda Crespi Cigogna
583202	78831	
583202	102243	
583202	209738	
583202	260897	Botero's wife
583202	277744	
583202	277811	Elena
583202	315982	Single Woman
583202	337232	Mavi
583202	344591	Micòl Basevi
583202	344595	
583202	390092	
583202	396157	Sandra
583202	400142	
583203	410074	L'assistante sage femme
583204	261116	Salesgirl In 1st Boutique
583205	338597	
583206	829	Samantha
583207	330146	Patient with Cigarette
583208	333881	Eva
583209	18160	Herself
583210	220956	Max's Mom
583211	186778	
583212	140580	Waitress
583213	175002	Herself
583213	175004	Herself
583214	168326	Cindy
583215	67209	Une groupie d'Eros
583215	269147	Anne
583216	283954	
583216	408297	Sandy
583217	133373	Liza Duncan
583217	217745	Almost-Hit Bike Rider
583218	338116	Infirmière 3
583219	345564	Tina
583220	23052	
583221	198652	
583223	249074	Herself
583224	21170	Isabelle Rimbaud
583224	62781	Une femme politique
583224	68935	Secrétaire du comédien
583224	69770	La mère de Jeanne
583224	74336	La mère
583224	84634	Dame de la Poupliniere
583224	153241	Madame Peyrolle
583224	166105	Madame Rosenthal
583224	186173	La Folle
583224	198312	Valérie
583224	200962	Véronique
583224	207723	Lina Colomba
583224	207873	Louise
583224	208219	La mère de Martial
583224	249721	Paule
583224	254939	Oenone
583224	255691	Marina
583224	269143	Une journaliste
583224	278900	
583224	286229	Madame Redele
583224	319819	Mathilde
583224	337025	
583224	339541	Dolores
583224	345351	L'assistante sociale
583224	345437	Gaby
583224	351821	La mère d'Isabelle
583224	354586	Françoise
583224	357857	Hélène
583224	402885	Madame de Rubempré
583225	126130	Featured
583226	69186	Herself
583226	104773	Belgian entry (6th place)
583227	56545	Herself
583228	55467	Katia
583228	92948	Patricia
583228	236137	Alison
583229	78897	Cassian, Hawke's Crew Mate
583230	168326	Radio Dispatcher
583231	369492	Xanadu Dancer
583232	196889	Dawn
583233	193779	Jean
583234	159641	Lene
583234	181237	Magda Jacobsen
583235	303263	Mrs. Bonnard
583236	384874	Leona
583237	56871	Female Teller
583237	187193	Amy
583237	292715	First Secretary
583237	307274	Patient #2
583237	310112	Teacher
583237	310646	Eight
583237	360830	Donkey Girl
583237	365947	Crying Woman
583238	406242	Herself
583239	352413	
583240	12327	Toni
583240	16511	Herself
583240	45498	Geneva
583240	87784	Herself
583240	87786	Herself
583240	96556	Herself
583240	100150	Gale
583240	107258	Natalie Green
583240	107259	Herself
583240	107260	Natalie Green
583240	107261	Natalie Green
583240	274572	Carol Rosenthal
583240	290945	Velma
583240	290953	Velma
583240	321486	Martha
583240	322761	
583240	330566	Bridgette
583240	384103	Candy Yuponce
583240	388195	Natalie Letisha Sage Green
583240	391344	Maggie, the Cook
583240	394403	Nancy
583240	404639	Maureen
583240	410729	Joanne Collins
583240	410916	Velma Dinkley
583241	16791	Makeover Woman
583242	78484	Herself (performing 'Nu er je
583243	231900	Reporter #2
583244	69352	Mrs. Dumont
583245	59589	Marcie
583245	163578	Marcie
583245	190127	Marcie
583246	143832	Young Girl
583246	368592	Little Girl on Train
583247	5387	Ann Kohler
583247	80734	Secretary
583247	152922	Cathy Clements
583247	234828	Betty Ewing
583247	245999	Tina
583247	257774	Patti
583247	380507	Cathy Apple
583247	391401	Molly Pruitt (1969-1970)
583247	403941	Debbie Shaw (1979)
583248	9073	Tanya
583249	9073	Stacey
583250	82669	Mall Patron #1
583251	132122	Lottie
583251	196538	Violet
583251	263222	
583251	273591	Rebecca
583251	279277	Dolores Del Rio
583251	292430	Magdelene Heller
583251	383631	Jane Bazeley
583251	387147	Isabelle Fischel
583251	402935	Amelia Marchant
583251	405829	Maj. Jessica Bailey (1997)
583252	134178	Rowan girl
583253	244070	
583253	261609	Louise
583253	339539	
583253	349529	Dina Moretti
583253	384029	Elodie
583254	1703	Herself
583254	53131	Michelle
583254	158151	Frannie's Young Mother
583256	194104	
583256	251732	
583256	265712	Gypsy
583256	387050	Mother in Law
583257	89777	Ana (jovem/young))
583257	239922	Olga criança
583258	14924	
583258	90452	Dionísia a Hooker
583258	103883	
583258	406847	Servant
583259	396506	Spanish Woman
583260	69933	Flautist
583261	392125	Various Characters
583262	84593	Suzanne Staedler
583262	217406	Marie Cressé, mère de Molière
583262	353898	Madame Harnesson
583262	398055	Molieres mother
583264	15066	Le bébé
583265	77017	Mrs. Diamond
583266	140660	Forense
583266	369870	Herself - Presenter: Best Spe
583266	369999	Herself - Winner: Best Screen
583267	319340	Esposa
583268	259780	Polly
583269	236970	Clara
583270	49040	
583270	76810	
583270	88601	Mikki
583270	117637	
583270	174302	
583270	200660	
583270	226615	
583270	379698	Host - Herself
583271	275430	Michelle
583272	99952	Mrs. Goddard
583272	411316	Sarah
583273	42807	Girl #2
583273	148643	Bertha
583273	240644	Claire
583273	265607	
583274	140928	
583275	363224	Girl in Park #3
583276	22714	Olive Null
583277	11410	Donna
583277	62995	Betsy
583277	74048	Jenny
583277	150974	Evie Van Osburgh
583277	194584	Gwenny Fairfax
583277	231439	Tilda
583277	333102	Maggie Short
583277	341442	(segment Mouth)
583277	350506	Firkin
583277	351972	WPC Best
583277	353490	
583278	74215	Kahlia, new born
583279	11439	Arisa
583279	29395	Arisa
583279	206618	Lady Message B, Secretary
583279	267078	Na-young
583279	285831	Gyokumen
583279	379014	Nancy Wilson
583279	379081	Mune-mune
583279	380900	Mau
583279	389869	Ryuko Saito
583279	390536	Cookie
583279	394431	Yuko Inada, Additional Voices
583279	394997	Kaga
583279	396548	Young Mother
583279	398924	Maid, Lindsey/Sydney
583280	162449	Amy
583280	326428	Secretary
583281	335160	Mrs. Ritter
583282	60763	Student
583283	39564	Diego's Girl
583284	155264	Exotic Chanteuse
583285	257451	Cuban Soldier
583286	170230	Herself
583286	170233	Herself
583287	71130	
583287	156534	Madame Prévost
583287	205646	Françoise
583287	206602	
583287	208194	
583287	335899	Coco
583288	315736	
583289	20690	Angela
583289	167003	Beth Ellinger
583289	215507	Erin McPherson, Miss Pennsylv
583289	296107	Sex Goddess
583290	309902	Herself
583291	219849	
583291	285082	
583291	346689	
583291	353877	
583292	215816	Jenny
583293	132912	Pedestrian
583294	263924	Luisa
583295	296197	
583295	318016	
583296	101576	
583297	101576	
583297	253575	
583297	262814	
583297	268990	
583297	293334	
583298	14966	
583299	19310	Caterina
583300	96198	
583301	16767	Artist
583301	17941	John's Dream Girls
583301	372806	Pretty Woman
583302	81665	Natasha
583302	129348	
583302	293097	Cassandra
583302	364783	Girlfriend
583303	308215	
583305	296047	Helena
583306	68351	Sauveur's Mother
583307	19068	Geltrude
583307	25309	Una popolana
583307	48200	Caterina
583307	53089	Francesca
583307	57970	Francesca, la moglie di Paul
583307	127983	Suor Gaetana
583307	161654	
583307	205038	
583307	206012	
583307	230080	Una sorvegliante
583307	263623	L'ancella
583307	277003	
583307	280840	
583307	311813	Sister Celeste
583307	327452	(segment "Casa d'altri")
583307	353079	
583307	377573	
583310	42596	Jasmine
583311	286277	Martha
583313	195558	Drill Team Member
583313	396696	Juggy Dancer (2003-)
583314	156987	
583315	14689	
583316	388051	Herself (2001)
583317	6269	Karina
583318	349626	
583319	237122	
583319	345415	
583320	144343	Annick
583320	398075	Charlotte Ives
583321	68377	Roseline
583322	258929	
583323	376998	Malou
583324	13100	
583325	398501	Rebecca
583326	88794	(segment "O Filminho")
583327	357040	
583328	351252	
583329	396610	
583330	76092	
583331	318763	Neighbor
583332	330102	The Owl Girl
583333	207828	Child in Classroom
583334	23384	Student
583335	140955	Ernestina
583336	330332	Marianna
583337	388166	Anja Allgöwer
583338	123688	
583339	383619	
583340	166599	
583340	182603	Paula Ballemose, ansat hos Th
583340	231669	Lise Mikkelsen
583340	242451	Grethe Berg
583340	323346	Nicks kæreste Elly
583340	326520	Vera
583341	302748	Bride
583342	380935	Hostess
583342	409740	Local talkshow host
583343	104924	Henrietta
583344	367891	
583345	310002	Delilah
583346	1071	Herself - Presenter
583346	2008	Herself - Co-host: New York
583346	13917	Herself
583346	20206	Augusta (Gusto) Nash
583346	33705	Sister Benedict
583346	37267	Barbara Billings
583346	40848	Ruth Condomine
583346	42023	Nicole de Loiselle
583346	43992	Elizabeth Bartlett McMasters
583346	46308	Herself (Tovarich outtakes)
583346	46731	Jeannette Desmereau
583346	46737	Nora Shelley
583346	65551	Queen Cleopatra
583346	84220	Elizabeth Whitefield (segment
583346	94129	Lana Martin
583346	97890	Betty MacDonald
583346	108300	Katie Armstrong Jordan
583346	109372	
583346	117226	Mary
583346	118299	Judy Jones
583346	124002	Herself
583346	127691	Marilyn David
583346	132997	Barbara Billings
583346	135412	Mary Price
583346	141807	Herself
583346	146323	Sally Clark
583346	147489	Jean Oliver
583346	147716	Herself
583346	147799	Herself
583346	147804	Herself
583346	147896	Herself
583346	149136	Julia Traynor
583346	154121	Julie Kirk
583346	154487	Kay Denham
583346	156939	Beatrice 'Bea' Pullman
583346	163288	Ellie Andrews
583346	163490	Edwina Corday
583346	175525	Herself
583346	183738	Joyce Roamer
583346	188403	Miriam Halsworth
583346	195613	Herself
583346	200881	Barbara Clarke
583346	201421	Cameo Appearance
583346	203097	Sylvia Suffolk
583346	204744	Lydia Thorne
583346	213070	Eve Peabody/Baroness Czerny
583346	215419	Helen Steele
583346	234029	Katherine Grant
583346	247139	Geraldine 'Gerry' Jeffers
583346	249323	Ellen McLean
583346	254542	Felicia Hammond
583346	257373	Liz Frazer
583346	262265	Peggy Martin
583346	264888	Dr. Jane Everest
583346	275451	Nora Trinell
583346	292405	Ellen R. Ewing
583346	292426	Leola 'Lee' Addams
583346	292822	Helen Blake
583346	297970	Julia Scott
583346	300735	Madame de Montespan
583346	301261	Poppaea
583346	302467	Mrs. Anne Hilton
583346	304367	Lydia Kenyon
583346	304755	Alison Courtland
583346	305609	Franzi
583346	306466	Lt. Janet Davidson
583346	329098	Prudence Webb
583346	331306	Agnes Keith
583346	331721	Elizabeth Rimplegar
583346	332042	Sister Mary
583346	335329	Elizabeth Hamilton
583346	335474	Princess Nadya
583346	336031	Sally Trent, aka Mimi Benton
583346	337041	Grand Duchess Tatiana Petrovn
583346	343024	Alice Grenville
583346	346185	Cigarette
583346	366647	Margaret Hughes
583346	366947	Christopher 'Kit' Madden
583346	372630	Ann Vaughn
583346	374198	Zaza
583346	377823	Lucy Stavrin
583347	348237	Party Girl
583348	14688	Mariana
583348	43076	Maria Leonor
583349	329308	Herself
583351	388633	La duchesse d'Abrantès
583352	31643	Beach girl
583352	31691	Surfer
583352	67902	Pam
583352	117281	College Girl
583352	319904	
583353	81117	
583353	153650	Hooker #1
583353	187908	Allison
583353	284538	
583353	383385	Cora Mullens (1982-1983)
583353	385594	Dora Mae (1982-1991)
583354	330604	Helen Trent
583355	298001	Craig's Girlfriend
583356	348237	Bernice Washington
583357	94866	Lorène
583357	161425	
583357	205778	Madeleine
583357	345232	Liliane
583357	382761	Emma Brunet
583357	393282	Valentine Léger
583358	251358	
583358	333871	
583359	24034	
583359	107731	Marie Selbac
583359	121055	Parisian Lady
583359	130610	Princess of the Night
583359	173841	
583359	202505	Lotte
583359	215089	
583359	275132	
583359	293470	Nina
583359	358796	Olga
583359	381587	Zaza
583360	81177	Bar Woman 2
583362	313824	Additional Voices
583362	340300	Ms. Popoff/Computer Voice/PDA
583363	336643	Anna
583364	67093	Female Junkie
583364	144545	Karen Stephens
583364	191500	Femme journaliste
583364	208086	Angie, Stern's Girlfriend
583364	232402	Justine Jamison
583364	291026	Woman in Study
583364	318642	Mother
583364	333409	Oliver's Wife
583364	378735	Katerina
583365	228495	Counter waitress
583366	252403	
583367	185262	Waitress
583368	46775	Saleslady
583368	48276	Flossie
583368	72104	Miss Colby
583368	206877	Mary Fleming, Mary's Lady-in-
583368	358650	Ex-Mrs. Fred Randolph
583368	401196	Host (c. 1954)
583368	408395	Herself - Today Girl (1961)
583369	103375	Monja
583369	148108	
583369	234746	Nurse
583369	365972	Station Woman
583370	21793	
583370	45912	Jessica Hiller
583370	52358	Receptionist
583370	67592	Lily LaSanka
583370	169934	
583370	210662	Iris
583370	223803	
583370	254290	Patient
583370	270742	
583370	401397	Julie Erskine (1975)
583371	382057	Host
583372	54879	Nikki
583373	62778	Dancer
583374	23207	Undetermined Role
583374	110363	Woman
583375	162931	Mimi
583376	38023	Herself - singer
583376	65363	Herself - Band Vocalist
583376	123240	Girl
583376	147543	Dancer
583376	219950	Bit Part
583376	223089	Herself - Band Vocalist
583376	302697	
583376	304019	Herself - band vocalist
583376	308342	Norma Barry
583376	360645	
583376	386759	
583376	391371	Regular
583377	40316	La lavandiere Françoise
583377	59223	Marraine
583377	107958	Mina
583377	148624	Monique
583377	201113	
583377	225534	
583377	225825	Ingrid
583377	236584	Jack's mother
583377	245983	La mère
583377	245984	La mère
583377	337025	
583377	337029	Ghislaine
583377	345136	La femme de l'appartement
583377	345399	Mme de Berval
583378	67634	
583378	233627	
583378	281607	
583378	379834	Alondra
583378	381031	
583378	384988	Aimeé de Altamira
583378	386169	Mónica
583378	393028	Isabella Linares/Clara 'Clair
583378	398915	Camila de los Reyes (1996-199
583378	409789	Susana Landero
583378	411712	Maleni
583379	158141	Bank teller
583380	41044	Landlady
583380	52904	Madame Barjon, the Florist
583380	72227	Old woman
583380	85828	Brady's Aunt
583380	113920	Vendor
583380	133737	Mrs. Flaherty
583380	147512	Setons' Cook
583380	161883	Gretl, the Maid
583380	162278	Mrs. Adams, O'Hara's Neighbor
583380	175184	Store Proprietess
583380	183759	Martha
583380	183767	Scrub Woman
583380	186293	'Fishcake' Fanny
583380	188285	
583380	192408	Hannah (maid/cook)
583380	214961	Parishioner Witnessing Miracl
583380	215625	Kewpie's Landlady
583380	224635	Old lady on stagecoach
583380	233791	Marcia's Cook
583380	253467	Mary Ann
583380	285181	Brennan's Cook
583380	299197	Cowboy's Mother
583380	299780	Aunt Anna
583380	305695	Ma Kelly
583380	315695	A Lady
583380	318159	Maggie
583380	331472	Mrs. Mullins
583380	350408	Meinie, Judith's Maid
583380	360477	Bit Role
583380	367919	Woman Getting Massage
583381	355606	
583382	335301	Mandy
583383	381892	Herself
583383	381910	Herself (Series 4) (2003)
583384	348618	
583385	168828	Hol Horse's Girlfriend
583386	82451	Mrs. Biddiford
583387	395978	Presenter (1999-2000)
583387	400312	Presenter (1985-88)
583387	408148	Herself - Panellist
583388	270437	Svea
583389	14212	Pat Harvey
583389	332774	Dr. Jones
583390	223978	Girl
583390	314700	Rachel the Bartender
583391	407815	Herself (Single) (2002)
583392	385575	Tina Douglas
583393	190273	Stilt Walker
583394	278855	Call Girl
583395	1049	Kara
583396	29970	
583396	253580	
583396	307450	
583397	186439	Nurse
583398	274729	Matron Cole
583400	107258	Miss Carstairs
583401	367919	Negligee Model
583402	381514	Herself (2002)
583403	194307	
583404	120258	Herself
583405	46742	Crowd Member #1
583405	80898	Baptist #2
583405	97030	Ruby
583405	120544	Edna
583405	126506	Maid
583405	141568	Elderly Woman
583405	230963	Charwoman
583405	261559	Grandmother
583405	304500	Mother
583405	309489	Mrs. Walker
583405	335758	Middle Aged Woman
583405	364516	ICU Nurse
583405	403728	Sassy Woman
583405	406793	
583406	258049	Nurse
583407	76526	Suzy
583408	199228	Chris
583408	216820	Barbara
583408	265739	Louison
583408	301558	Waitress
583408	323591	Secretary
583408	390428	Ellie Wilson Marshall
583409	308382	Raider
583410	228125	Herself
583410	228126	Herself
583411	297829	
583412	122991	Mike
583413	13320	Carla
583413	93139	Tina age 6
583413	388333	Buffy Binsford
583413	391080	Tiffany Glick (1990-1991)
583414	35523	Judy, Vinnie's Girl
583415	266084	Jimmy's Girl
583416	79077	
583416	105803	A Singer
583417	195262	Crenshaw High School Girl's B
583418	380911	Herself - Finalist (2004)
583419	122865	
583420	190453	Poinsettia
583420	304570	Young Jennifer
583420	354164	Donna - 6 Yrs. Old
583421	70368	Picnic Lady
583422	142985	Corrections Officer
583423	195945	Maxine O'Reilly
583424	265606	Lizzie
583424	362081	Clarissa Payne
583424	391194	Nora Rowley
583424	391484	Cassie
583425	20898	Cindy, the secretary
583425	190953	Judy
583425	222691	
583425	222797	Miss January
583425	249627	Janice Kane
583425	321556	Sir Hubert's Secretary
583425	364356	Doris Miller
583426	13800	Angie
583426	64815	Redhead Sherry
583426	76384	Angie Bain
583426	129435	
583426	147732	Bathing Beauty
583426	160785	Restaurant Proprietor
583426	176888	Mona
583426	233577	Mary
583428	243539	
583429	150390	Irene Davey
583429	150879	Little Nun
583429	337180	Terry Gay
583430	196397	
583430	344432	Additional Voices
583431	73833	Waitress
583432	337180	Ruby's Girl
583433	7069	Mrs. Tribble
583433	80382	Stake out Prostitute
583433	90908	Marianne
583433	114147	Jane
583434	32438	Jeanie 'Mama' Daniel
583435	31836	Sandra Kelley
583435	193921	Peggy
583436	162379	Billie
583436	320025	Colette, a danceuse
583436	361841	Pioneer Woman
583437	54661	Doris Peterson
583438	18622	
583438	92506	Hattie
583438	140442	Abigail Bromley
583438	396623	Maidservant
583439	244933	Sondra Lock
583441	176884	Gym Member
583442	251984	Monique
583443	367413	Mrs. Martin
583445	98808	
583446	14160	Interviewer
583446	289509	Kim
583446	355091	Virginia
583447	44653	
583449	107856	
583450	107496	
583450	296429	Special Musical Guest
583450	399480	Trendet
583451	123137	Jane
583452	35809	Woman #1
583453	16921	April
583453	27178	Nancy
583453	39880	Darlene, the new receptionist
583453	110943	
583453	169692	
583453	288454	Ms. Johnson
583453	288470	Tracy
583453	358052	Librarian
583454	169692	Alexis Wheeler
583455	18567	Krantenverkoopster/Osteopaats
583455	337893	Hélène
583455	405654	Tinneke
583456	361072	
583457	105188	Girl at Palomino
583458	254743	
583459	105812	Flight Attendant
583460	237600	Nancy Pearson
583461	59135	Nurse #1
583461	143240	Barbara Altherton
583461	204214	Judith Arnold
583461	228457	Carol
583462	57664	Co-Host
583462	59664	Corwin's Assistant
583462	124115	Villager
583462	309804	Tracy
583462	316757	
583462	392137	Herself/Host, Summer Swimsuit
583462	404952	Host
583464	70965	Marcia (student)
583465	81179	Portia Quayne
583465	139357	Emily
583466	212649	Sally Randle
583467	215527	Catfish Worker
583468	36712	Fanny
583469	304355	
583470	687	Herself
583470	52906	Julie
583470	246494	Nicola
583470	267451	Herself
583470	292213	Mrs. Biggs
583470	329456	Tina Steedman
583470	365906	Veruca Salt
583470	380259	Jo Longhurst (1975-1976)
583470	385164	Hostess
583470	385321	Narrator
583470	387247	Geraldine
583470	387533	Pip Coulter
583470	389689	Robot 35
583470	390719	Sharon
583470	396787	Madeline Woodford
583470	396932	Judy Hollingsworth
583470	401743	Rowella Chynoweth/Solway
583470	401778	Angie
583471	64098	Caitlin
583471	297628	
583472	194820	Toby Carson
583472	231951	Louise
583474	254867	Angela
583474	337325	Gwen
583475	89338	Claire
583476	298129	
583477	149828	Maitre'D
583477	366078	
583478	55156	Darlene
583478	67665	Sally
583478	126130	Featured
583478	127527	Orphan girl
583478	142552	Lorrie Miller
583478	279330	Mechanic's Wife
583478	321660	Dr. Joynes
583479	236657	Subversives
583481	203223	Nikki
583482	68156	Leah
583482	231110	Hollis' Wife
583483	113773	Townsperson #1
583484	342552	Lil the Dancer
583485	72930	Alison
583485	80422	
583485	149742	
583485	206096	Victim
583485	218373	Alien Commander
583485	238245	Mirricalla/Helen
583485	266595	
583485	274520	
583485	291941	
583486	69429	Young Woman
583487	396247	(2001-2003)
583488	309535	Bartender
583488	402110	Model (episodes 10-12)
583489	335686	Blonde Lover
583490	169409	Lady Hamilton (episode 'Poor 
583490	184840	
583490	348380	Pauline
583491	126544	Hippolyta
583491	246285	ER nurse
583491	296019	Annie
583492	355980	Dr. Plenty O'Toole
583493	140019	Fake Shemp
583494	18827	Political Group in Cinema
583495	38512	Second Girl
583496	177598	Queen Icebella
583497	134056	Jackie
583497	276337	
583498	163231	Dancer
583499	121858	Bride
583500	54612	
583500	171211	Usherette
583501	2751	Miss USA 2000
583501	121858	
583501	215686	Miss USA
583501	406026	Correspondent
583502	119471	Daughter
583503	161350	Herself
583504	47077	Argumentative Girl
583504	383046	Sue Ann Taylor
583504	408044	Marcie (1988-1989)
583505	65930	Marie Thrale
583505	221113	Zubova
583505	260413	
583505	313565	Peggy
583506	365664	Therapist
583507	393500	
583509	330341	Jessica Sutter
583510	77710	Dancer
583511	313442	Dr. Ana Benyt
583512	1478	Herself
583512	1479	Herself
583512	1768	Herself
583512	1781	Herself - Presenter
583512	1801	Herself
583512	1820	Herself
583512	2046	Herself - Performer
583512	2290	Herself
583512	3079	Herself - Host
583512	4694	Latisha Corbett
583512	12776	Iula Brown
583512	18983	Herself
583512	20213	Herself
583512	57004	Sawyer (singing)
583512	80356	Musical Performer - "Ev'ry Ti
583512	118888	Herself
583512	119316	Eleanor
583512	132625	Herself
583512	161215	Herself
583512	161350	Herself
583512	190571	Herself
583512	190890	Lily Covington
583512	192674	Herself
583512	220207	Herself
583512	220211	Herself
583512	221832	Herself
583512	223134	Herself
583512	228125	Herself
583512	228126	Herself
583512	229681	Herself
583512	231496	Herself
583512	251089	
583512	256927	Herself
583512	282703	Herself
583512	302434	Herself
583512	302438	Herself
583512	334240	Herself
583512	348550	Host
583512	367068	Glinda
583512	368820	Herself
583512	381884	Host
583512	390587	Performer
583513	261977	Masseuse
583514	363191	
583515	71290	Doctor
583516	2261	Herself
583516	37312	Mrs. Newton
583516	61728	Betty Williams
583516	68162	Corrine
583516	112267	(unknown)
583516	116078	Mrs. Brookford
583516	129820	Elizabeth
583516	143900	Jane Adcox
583516	216161	Victorine
583516	304295	Octavia
583516	307898	Jesse Keller, Eddie's Mother
583516	308039	Ruth Walters
583516	327187	
583516	367844	Miss Sophie
583516	381110	Maggie Rogers
583516	382734	Miss Sophie
583516	399685	Maum Sally
583516	403206	Blanche
583516	403728	Mathilda
583516	407238	Ms. Harrison
583517	90289	
583517	190798	Herself
583517	292681	Herself - Vocals
583517	410037	Herself
583518	9389	Dulcie Rouse
583519	381821	Ensemble (1972)
583520	232812	Woman on stage at porno house
583521	153589	Mrs. McNear
583521	220174	Mary, the cafe waitress
583522	303316	Stacey
583522	321367	Bridesmaid
583523	114251	Reporter #2
583524	407060	Host
583525	83470	Vanessa
583525	84440	Angela
583525	326604	Miriam Cutler (2nd Beach Vict
583525	411367	Beckie the Farmer's Daughter
583526	61663	Rosalie Nordon
583527	305036	Dancer
583528	71477	Kimmie
583528	151633	
583529	280653	The Holy Sisters:Sister Fargo
583530	17830	
583531	128271	Peggy
583531	280202	Rhoda Starlet
583531	316351	Helen Lawson
583531	364625	Peggy Taylor
583531	383849	Additional Voices
583531	405718	Additional Voices
583532	11384	Locker Room Lady
583533	45756	Christina
583533	147882	Herself
583533	263392	Sally
583533	264131	Homeless Girl
583533	329914	Janice
583534	190273	Stilt Walker
583535	20939	Irina Bordat
583535	266647	Mystic Woman
583536	296681	E.R. Doctor
583537	120287	(segment Illegal Alien)
583538	344183	Val
583539	8012	
583539	15216	Cis Johnson
583539	23935	Herself - audience member
583539	26728	The Honourable Lady Beatrice 
583539	130332	Gladys Flood
583539	134280	Ada Belaney
583539	160958	Teacher
583539	165316	Ruth Edwards
583539	210514	Dame Lettie Colston
583539	326486	Billie Cooper
583539	327964	Dr. Beatrice Mason
583539	329514	Mrs. Mainwaring
583539	382118	Betty Sillitoe
583539	386563	Joan Norton
583539	387533	Mrs. Bulstrode
583539	394282	Peggy Beare
583539	395539	Lizzie Cameron
583539	395647	Agnes Langtry
583539	400313	Mrs. Featherstone
583539	400458	Lizzie Cameron
583539	403272	Sarah Mincing
583539	407505	Muriel (episode "Soldiering O
583539	407838	Dr. Beatrice Mason
583539	408943	Miss. Dogfoot
583539	410519	Diana Trent
583542	224358	Herself/Senior Entertainment 
583543	346133	Enigmatic Woman
583544	92618	
583545	318823	Erica Spalding
583545	406914	Erika Spalding
583546	154004	Agent
583547	44755	Nurse
583548	247143	Ruth Stewart
583548	394489	Herself
583548	398740	Kathleen "Katie" Miller Dougl
583549	153563	
583550	381821	Ensemble (1985)
583551	42439	
583551	119931	
583551	133991	
583552	330664	WAAF Woman
583552	370529	Imogen
583553	87422	Chief of Staff
583554	64750	Sidewalk Woman #06
583555	121657	
583555	209799	
583557	8362	Woman with Jumpers
583557	108709	Woman in 'Ladies'
583557	159573	Roisin's Ma
583557	298479	Mrs. Garritty
583557	305990	Doris Burgess
583557	393001	Briget Brickley/Cadogan (1983
583558	304570	Jennifer's Mother
583560	108029	Cindy
583560	238161	Dorothy Platt
583560	339861	Devan Bowman
583561	397262	Tina
583561	398474	Lola García
583562	110529	Ruby 4 yrs
583563	110529	Ruby 4 yrs
583564	306807	Friend of Marjorie
583565	79314	Karen Zader
583565	113474	Rebecca Castaldi
583565	208391	Tyler
583565	370854	Gail Olson
583565	382704	Crystal (1998)
583565	388923	Holly Myers (1996-)
583565	395459	Presenter
583566	10057	
583567	186138	
583568	411627	Herself (Host)
583569	78915	Ginger
583570	342124	
583571	87165	Dana Carpenter
583571	241792	EMS Worker
583571	359908	Reporter
583571	392662	Regular Cast Member/Don Imus'
583572	380241	Emily 'Autumn' Davis
583572	398050	The Loser (2000)
583573	87936	Young Donna
583574	131460	Loris
583575	170982	Punk shoplifter
583576	198829	Girl #1 in Car
583577	27069	Kayla
583578	311501	Herself
583579	23455	Porte parole
583579	79850	Girl
583579	149107	Hotel Clerk
583579	158076	Betty
583579	318738	French Girl on Yacht
583579	321167	Dorothy
583580	304734	Woman on Bus
583581	215667	Commentator Co-Host
583582	20613	Barbara
583582	52659	Detroit Dance Hall Cashier
583582	107688	Bit Part
583582	127697	Model
583582	132323	Girl in Hotel Lobby
583582	215190	Art Tour Guide
583583	47355	Showgirl
583583	128168	
583583	163267	Ginger Rogers Double
583583	222768	Guest
583584	321224	Maxine Gibbs
583585	297871	Handmaiden
583586	240614	Lily White
583587	158818	
583588	356472	O.E.M. Staffer #4
583589	31814	
583589	32122	Portia Thornton
583589	42854	Tiffany Shades
583589	78764	
583589	86463	Alison
583589	91556	Miss Debenham
583589	107331	Merrivale
583589	118393	Scarlett (Wedding one)
583589	129117	Barb Gale
583589	158634	Helen Bardsley
583589	160713	Seamstress
583589	196539	Det. Jane Thompson
583589	203642	Alison Hayes
583589	204946	Julie
583589	221274	Louise
583589	243160	Jess
583589	277123	Norma
583589	297639	
583589	321261	Ros
583589	349571	Mary
583589	368691	Sue Peters
583589	372717	Winnie
583589	383285	Kim Greenbank
583589	385645	Marmalade Atkins
583589	387330	Marmalade Atkins
583589	389309	Freddie Latham
583589	389808	Lucinda Beanie-Toffingham
583589	392170	Lisa Lyons
583589	396082	
583589	400111	Cathy
583589	411503	Sue Peters
583590	73123	Dounia, His Sister
583591	239829	Granny Ensemble 2
583592	33179	Lester's Friend
583593	17543	
583593	37504	Mrs. Havens
583593	53299	Mrs. Hancock
583593	54949	Bridge Player
583593	71689	Mrs. Rawlings
583593	73203	Mrs. Burns
583593	113885	Mrs. Hampsh, Apartment House 
583593	117754	Mrs. Landon
583593	120335	Miss Tessie
583593	120336	Jumping Whale
583593	152517	Sob Sister
583593	154121	Mother Morgan, Speaqkeasy Own
583593	154885	Francine
583593	163557	Undetermined Role
583593	175162	Mrs. Bowman
583593	177364	Belle Weaver
583593	183651	Mrs. Banks
583593	188393	Lily Montrose
583593	191627	
583593	192056	Sybil Smythe
583593	203323	Society Woman
583593	210764	Injured Man's Wife
583593	211601	Wardrobe Mistress
583593	214079	
583593	218786	Autograph seeker
583593	228819	Mrs. Farrington
583593	242812	Nurse
583593	246512	Elaine, Toto's Owner
583593	252297	Mrs. Bitts
583593	267972	
583593	273781	Woman Hissing in Audience
583593	276939	Mrs. Simms
583593	306791	Second visitor
583593	308387	Sadie (dance hall owner)
583593	313301	Landlady
583593	315881	Mother
583593	315956	Madame
583593	328794	Mrs. Barton
583593	330241	Dolly Holly, reporter
583593	346201	Mrs. Twerp
583593	359548	Heroica
583594	405372	Zandie
583595	317946	Other T.R. Kid
583596	170746	Woman Panhandler
583597	317520	Stunt crew
583597	320091	Gym Teacher
583598	2398	Herself/presenter
583598	129820	Ella Mae
583598	220211	Herself
583599	148886	Restaurant Patron
583600	283343	Waitress
583601	21213	Gen. Circuita
583601	251979	Female Pursuer with Gun
583602	69856	Young Lucy
583603	83113	Lady Waters
583603	83114	Lady Waters
583603	308717	
583604	126068	Wife in King Henry VIII sketc
583605	169372	Sally
583606	400087	
583607	220574	
583607	247160	
583607	311705	Herself
583608	309581	Motion Picture Crew
583609	92568	Mary
583609	188097	
583609	221776	
583610	105263	Nancy Oak
583610	321206	BJ Boon
583610	366761	Ridgemont child
583611	40533	Cody
583611	55507	Lily
583611	86988	Laurie
583611	147781	Chloe Freers
583611	215574	Travis
583611	283343	Megan
583611	319773	Bailey
583612	7512	Barmaid
583612	7961	Chorus Girl
583612	8089	Check Room Girl
583612	20206	Girl at Maxim's
583612	22907	Courtroom witness
583612	28249	Cafe girl
583612	44899	Showgirl
583612	46779	Cosmos Club Hat Check Girl
583612	47311	
583612	47355	Showgirl
583612	87820	French Girl in Paris
583612	109415	
583612	121360	Bride
583612	128168	
583612	128582	Bystander watching Eddie grow
583612	130028	Girl in Automobile
583612	130624	Chorus girl
583612	143838	Dow Secretary, posing as Debu
583612	166240	Bit Role
583612	176340	Party guest
583612	188285	Nurse
583612	203543	Office Girl
583612	210738	Nurse
583612	216822	Miss Smith
583612	220333	Show Girl
583612	230344	Stewardess
583612	235168	Half-caste
583612	280964	
583612	304962	Curvy Brunette
583612	308299	Sob Sister Reporter
583612	312810	Verdie 'Duchess', The Brunett
583612	339940	
583612	361300	
583613	171485	Debbie Scruggs
583614	313189	Nightclub Dancer
583615	134178	Cheerleader
583616	330595	Evelyn Lincoln, JFK's Secreta
583617	122657	Member, WAC Quartet
583618	232424	Girl with Al
583619	281421	Carolyn
583620	106737	Boys Home Manager
583620	320108	Chief's Wife
583621	30581	TV Woman in Distress
583621	190244	Bob
583621	222265	Patti
583621	222752	Susan
583621	254751	
583621	322608	Elizabeth Sample
583621	411060	Libby Desoto
583622	350186	Hooker #1
583624	1020	Deloris
583625	129189	Herself
583626	395106	Holly Marshall
583627	367054	The Wiz Singers Adult Choir
583628	65920	
583628	130016	Sister Monson
583629	210837	Bag Woman
583630	281882	Guinevere
583631	10502	Lana Shabazz
583632	202265	Dream Girl
583633	2088	Reporter
583633	58946	Restaurant Hostess
583633	114196	Waitress
583633	148446	Lauren
583633	394510	Lucy
583634	304734	Mall Shopper #1
583635	40653	Mrs. Munroe
583636	55635	Young Joseph's Mother
583636	115658	Veronica
583636	209119	Elena
583637	168817	Angel
583637	263972	Herself
583637	267565	Lisa-The Revolution
583638	96870	Teri Phillips
583638	194355	Daniels' Daughter
583638	337341	Cam Lawson
583638	356454	Christine
583638	383631	Staff Nurse Jude Kocarnik (19
583638	391872	Angela Baker (2004-)
583638	404404	Elisa
583638	406636	Camilla 'Cam' Lawson
583638	408786	Belle
583638	409505	Sarah May
583639	5875	
583640	38512	Nurse
583640	189221	Mrs. Hennessy
583641	12232	Cecile Adams
583641	42022	
583641	70913	Evelyn
583641	128199	Paige's Stenographer
583641	177405	Proculla
583641	280971	Dorry Wayne
583641	307012	Mabel Packer
583641	319146	Showgirl
583641	347413	Mrs. Lowell
583641	361616	Muriel Styles
583642	262054	Woman Guest
583643	19024	Texas Choir Member
583644	16644	Wheel of Fortune Contestant
583644	35251	Rene Dubuque
583644	87586	Disco Dance Skater
583644	90320	Sarah
583644	114642	Mrs. King
583644	141568	Cora
583644	154959	Funeral Mourner
583644	194278	Mrs. Jackson
583644	210902	Grandmama
583644	212027	Mrs. Walker, Reed's Landlady
583644	233834	Mrs. Walker
583644	236151	Maid
583644	275448	Teresa
583644	308094	Secretary
583644	348386	Rose White
583644	353307	Beatrice Adams
583644	363528	Sister Sarah
583644	365833	Connie
583644	367444	Molly
583644	380823	Lois Evans
583645	150880	Cisse, Rose's maid
583646	232799	Security guard
583647	713	Unterwäschemodel #1
583649	19444	Mary Ellen
583649	78185	Jane Graystone
583649	83957	Kaethe Brahms
583649	85184	Anne Bronte
583649	97493	Katja
583649	124767	Susanna Gaylord
583649	143397	Antoinette 'Toni' DuBois
583649	157899	Janina Orvid
583649	177689	Louise Gordon
583649	220406	Hazel Niles
583649	304632	Mrs. Stillwell
583649	348008	Herself
583649	354824	Ann Dwire, alias Ann Mason
583649	379224	Abigail
583649	387309	Elizabeth McGrath #2 (1967)
583649	404002	Sister Mary Joel #2 (1976)
583649	409795	Helen Emerson #1 (1953-1954) 
583650	85866	Penelope
583651	26439	
583651	30071	
583651	49804	Mandy's Daughter
583651	89158	
583651	280362	Magnolia's Daughter
583651	345813	
583652	122757	Wurst seller
583652	136951	Rae
583653	256925	Rachel
583654	270745	Peggy McCauley
583655	7884	September Lane
583655	17490	Woman #4/Woman in Bonnet
583655	132479	
583655	165794	Jane
583655	186650	Alice Gaspers (left field/cen
583655	207903	Theresa Lavelle/Susie Bell
583655	252358	Julia
583655	280152	Waitress
583655	358330	Kelly
583655	364344	Jennifer Downing
583656	226899	Crippled girl
583657	69197	Hotel guest
583657	72502	Nurse's aide
583657	192764	Jean Thompson rn
583658	313828	Backup Singer 3
583658	366955	Stella
583658	403355	Alice Costello
583658	405960	Heather O'Brien (1984-1985)
583659	48040	Trish Hofmann
583659	66928	Doctor
583659	87936	Yvonne
583659	152804	Joyce
583659	216486	Renee
583659	223084	Mrs. Adisa
583659	242035	Comedian in Park
583659	242924	Kevin's Partner
583659	244919	Dawn Clifton
583659	253510	Loquita
583659	254995	Grace
583659	366069	Officer Briggs
583660	118320	Salesgirl
583660	208692	Office Clerk
583660	262138	Model
583660	346880	
583661	73197	Kay Mallory
583661	88943	Catherine Stanwood
583661	141000	Helen
583661	176908	Laura Morton
583661	232038	Sibella Greene
583661	245504	Dorothy Stonewall
583661	335891	Laura Morton
583661	358732	Allison, Norman's Girl
583661	365354	Mrs. West
583662	161215	Herself (mother)
583663	2803	Chastity/new2this
583663	343376	
583664	223349	Carla's Daughter
583665	133113	Liete/Milda
583666	271173	Rain Nelson
583666	342531	Miss Imani
583667	1617	Herself
583667	40200	Dektora
583667	78877	Ravelle
583667	90943	
583667	158975	
583667	184468	Reporter #2
583667	229243	Sarah (part 3)
583667	275319	Paula
583667	314614	Wendy Volster
583667	352968	Herself
583667	390771	Annie Dutton Bauer Lewis (aka
583667	392253	Libby Page
583667	404282	Celeste DiNapoli (1988-1989)
583667	411802	Hope Wilson (1993-1997; 2000;
583668	138669	Receptionist
583669	272934	Neighbor
583670	96834	
583670	188453	Opening Sequence Girl
583670	329757	Daisy Blunt
583671	248318	Nurse
583672	34748	
583672	89081	
583672	174621	Herself
583672	378861	Herself
583674	248132	Herself
583675	402956	Louisa
583676	409575	Herself
583677	24503	Swinger
583678	214042	Herself - BCM Group Inc., Was
583679	302468	Hairnet Lady #1
583680	104210	La fille aux fleurs
583681	89057	Angry Troop #417 Girl
583682	14137	Prostitute
583682	46154	Gamma Female
583682	131210	Estelle
583682	144760	Maid at Hyatt Regency
583682	170618	
583682	190332	Judy
583682	281911	Rehab Counselor
583682	290404	Ms. Shipley
583682	364367	Secretary
583682	391006	Marsha Simms (1974-1976)
583682	411370	Etta Candy (1976-1977)
583683	232481	
583684	105145	Chris
583684	150806	Alexa
583684	337821	Carolyn O'neil
583685	299073	Suzie (Mr. Ulman's secretary)
583686	321821	
583687	65964	Mme. Zamba
583687	67243	Emily
583687	107869	Housekeeper
583687	110368	Mrs. Taylor
583687	175176	
583687	183207	Mrs. Baxley
583687	193788	Mrs. Rogers
583687	196490	Lighthouse keeper's wife
583687	222654	Mrs. Green
583687	252267	Mrs. Hodgson
583687	252280	Aunt Agnes
583687	255421	Mrs. Fiddle
583687	258289	Mrs. Orlock
583687	281374	Mrs. Twine
583687	292123	Mrs. Knuckle
583687	308664	Woman in cinema
583687	351722	Caretaker
583687	363202	Clara Soppitt
583687	363203	Clara Soppitt
583687	367785	Mrs. Featherstone
583688	77857	Lotte
583688	95771	Susie
583688	183239	Lili's Secretary
583688	383719	Phyllis Bourne
583688	402305	Zulma Carraud
583688	406482	Vicky Kelvedon
583689	17964	Great Aunt Mavis
583689	21117	Gorgon scholar
583689	32897	Mavis
583689	73765	Alice
583689	80577	Caroline Potterley
583689	115597	Great Aunt Mavis
583689	152535	Mrs. Halliday
583689	154486	Martha Warrow
583689	157187	Cecily Cardew
583689	164991	Mrs. Smith
583689	263556	Lady Catherine de Bourgh
583689	269277	
583689	269842	Sister Boniface
583689	270977	Celia
583689	273590	Grandmother
583689	292593	Miss Trott
583689	312606	
583689	325081	Mme Pernelle
583689	328751	Mrs. d'Urberville
583689	382214	Miss Flite
583689	393811	Miss Fontover
583689	396031	Miriam Wooley
583690	80031	Russ Wheeler's Girlfriend
583690	271191	Adele
583691	46194	Jilly
583692	96958	Buyer
583692	235618	Freida Shimkus
583693	10920	Cocooned Woman
583693	82035	Third U.S. Controller
583693	127096	Voice of Woman
583693	236315	Scientist
583693	294079	Patient
583693	300871	Reporter
583694	74311	
583695	35597	Townspeople
583696	342863	Louise
583697	60296	Connie
583697	153001	Jacqui
583697	292121	Staff Nurse
583697	401077	Kim Beardsmore, receptionist/
583698	62498	Performer in Gypsy Café Seque
583699	38367	Herself
583699	176498	
583699	302447	Herself
583699	316886	Millicent
583699	383754	Herself (1st Executed)
583699	384731	Herself
583699	389816	Judy
583699	392686	Various Characters (1990)
583699	395815	Synclaire James-Jones
583699	399226	Host
583699	408369	Herself/Panelist (2001)
583700	130178	Patricia Café Owner
583700	158395	Candas, Babe, Doll & Martha
583700	403542	Ashley St. John-Smyth
583701	104886	Jenny
583702	207908	Blonde at Houk's nightclub th
583703	3919	Louise
583704	126648	Müller's Neighbor #3
583704	193773	Mrs. Talbot
583704	230111	NHL Secretary
583704	230703	O.B. Nurse
583704	259216	Mrs. Hurst
583704	309542	Joan
583704	337121	Mrs. Jessup
583704	367588	Middle-Aged Woman
583704	384894	Raylene Kubiak
583705	2833	Bit Part
583705	16466	Doria, a Student
583705	26874	Helen Frazer
583705	41018	June Taylor
583705	42318	Helen Cooper
583705	49554	Hibiscus
583705	65620	Ellen
583705	83913	Gloria Lamoreaux
583705	87820	Augusta in 'Our American Cous
583705	143588	Jessica Vance, aka Jessica Jo
583705	153156	Beatrice Boone
583705	183392	Chorus Girl
583705	183814	Mary Jordan Powell
583705	205190	Penelope Hayworth
583705	206525	Marjorie Underwood
583705	209592	Secretary
583705	217946	Secretary at Bank
583705	239392	Leslie Rawlins
583705	257512	Ellen Daley
583705	287749	Girl at wedding
583705	289686	Peggy Gibson
583705	304876	Connie Thompson
583705	306502	Jane Nestor, Marshall's Secre
583705	308624	Martha Fennamore
583705	367919	Debutante
583706	200356	Alice Constant
583706	200357	Alice Constant
583706	215563	Child
583707	183358	WAF
583707	241134	Telephone operator
583708	57164	D.A. Jones
583709	386603	Anna Ford (1968)
583710	158395	Young Candas
583710	403542	Jordan
583711	82922	Glenda
583711	190325	
583712	137462	Dancer
583713	233925	Alice
583714	67020	Herself
583714	148011	Sandra
583714	249073	Herself (with pets)
583715	182958	Herself
583716	62500	Gala
583717	290813	
583718	285510	Eleanor Vallance
583719	377854	
583720	321225	Jennifer/Waitress
583721	59491	
583722	5264	
583723	212499	Funzionaria
583724	107037	Vincenza
583724	214858	
583725	249749	Uncle Bens' Mistress
583726	19260	Joy
583728	2310	Annie
583728	62676	Maggie
583728	99044	Woman
583728	99055	Cobalt
583728	188483	Tenant
583728	214938	Claire Smith
583728	324951	Cell Phone Woman
583729	123891	Singer
583730	91888	Gate Attendant
583731	323385	Ruth
583733	16803	Philomena
583733	38737	
583733	86099	
583733	95363	Mrs. Hinds
583733	108919	Lady #1
583733	116796	Mrs. Woodcombe
583733	224070	Nan
583733	224853	Shop supervisor
583733	240024	Mrs. Bedwin
583733	268840	Betsy Bourke
583733	276919	Fee Cullen
583733	292534	Tess
583733	332395	
583733	364869	Mrs. Fogerty
583733	389089	Mrs. Fogarty
583733	390163	Mynah Timlin
583733	390983	Mrs. Denny
583733	397614	
583733	402956	Norrie
583733	406765	Mrs. Mulhall
583733	409840	Peggy O'Dowd
583734	242872	Old Lady
583735	10920	ECA Representative
583735	194528	General's Secretary
583735	220465	Miss Wainwright
583735	259778	Milly Snow
583735	288631	Miriam Swann
583735	289109	War Department Clerk
583735	405217	Mary Richardson
583736	163101	Yasemin
583737	304683	
583738	304683	
583739	304683	
583740	304683	
583741	99961	Elisa
583741	121338	Alessandra
583741	249257	Alberta
583741	379901	Liliana Ungari
583742	7889	Party Goer
583743	375353	
583744	170231	Host
583744	399121	Host
583745	132128	French Jurnalist
583746	318763	Girl at Block Party
583747	21935	Oriental Blossoms
583747	80063	
583747	90275	
583747	176498	
583747	215508	Gate agent
583747	396599	Piama Tananahaakna (2002-)
583748	69102	
583749	311537	Phi Beta Girl
583749	407610	Nina Tattinger
583750	80558	Woman in Jake's
583750	371311	Madeline
583750	390771	Ruth Lockhart ( 1999-2001)
583751	12278	
583751	377633	La concierge
583752	45044	Joker's Girl
583753	288803	
583754	118480	
583755	400804	Hélène
583756	42420	Dolly Diehard
583756	59467	Cherry
583756	68824	Daphne Ponsonby
583756	80983	
583756	139969	Sylvia Paget
583756	185316	Daisy Clarence
583756	185992	Sally
583756	186463	Lucy Pettigrew
583756	194444	Nurse Foster
583756	213578	Yum-Yum
583756	299781	Margaret Heiss
583756	313565	Diana West
583756	318040	Betty Blair
583756	368779	
583757	211375	La femme de Frank
583757	279820	Christine
583758	396610	Kailane Rodrigues (2002-2003)
583759	57289	la Secrétaire d'Olga
583759	343554	Mademoiselle Valentine
583760	7103	Joan Cole
583760	14987	Judy Gillman
583760	41733	Diane
583760	50484	Robyn
583760	85050	Sheila O'Meara
583760	108140	Elizabeth 'Peachy' Welsh
583760	114095	Melanie Mackenzie
583760	131567	Michelle Caruso
583760	146726	Joanna Kendall
583760	158418	Dr. Molly Nostrand
583760	158999	Constance Spano
583760	159002	Herself/Connie Spano
583760	190690	Ginnie Armbruster
583760	201688	Herself
583760	206621	Sara Brody
583760	213941	Lorraine
583760	263334	English teacher
583760	264723	Ellen
583760	275283	Audie
583760	275462	Lori Aiken
583760	276729	Jane Watson
583760	308122	Irene
583760	321536	Linda Kirkland
583760	328268	Joline "Jo"
583760	331475	Rebecca
583760	333361	Kristen Hamstra
583760	338553	Joanna Reath
583760	340732	Kitty Greer
583760	346892	Sally
583760	359443	Amy Webster
583760	360688	Madeline Carver
583760	380713	Margo Montgomery Hughes #1 (1
583760	387309	Paige Madison (1979-1980)
583760	389001	Asst. D.A. Alex Harrigan (198
583760	395339	Claire McCarron
583760	396381	Vonda Madigan
583760	399769	Lisa Schleigelmilch Wiseman
583760	405293	Audie (1991-1992)
583760	411516	Sandy Hamor (1995)
583761	199307	
583762	60268	Dianne
583762	208285	Max's Sister-in-Law
583762	360076	London Doctor
583762	384694	Paula
583763	18326	
583764	64949	Journaliste Radio
583765	266164	
583766	40997	Galeriehoudster
583766	96164	
583766	166122	
583766	253630	Franse dame
583766	318488	Woman with Dog
583766	332623	Micheline
583766	345136	La grand-mère
583766	377477	Mme Zigler
583767	128515	Emilie Van Ruijven
583768	123177	
583769	11529	Girl's Mom
583770	235264	
583771	44057	Lisette
583771	54851	Mie
583771	76447	
583771	134200	Mevrouw Gendebien
583771	152363	Dame in het park
583771	175691	Tante Elza
583771	211920	Oud dametje
583771	213558	
583771	375142	Diva
583772	57832	
583773	241512	Niece
583774	241512	Sister
583775	4972	
583775	57912	
583775	64993	
583775	73293	
583775	96314	
583775	151797	Julia
583775	275274	
583775	283920	
583775	355758	
583775	376667	
583775	376815	
583776	111577	
583777	10889	Wilcox
583777	21447	Mexican Woman
583777	84324	Mother
583777	87511	Angelina González
583777	130129	Yolanda
583777	132677	Dona Tula
583777	158528	Mrs. Batista
583777	160656	Dr. Marzuez
583777	167060	Marisol
583777	176778	Francine Cortez
583777	186665	Mrs. Santos
583777	212691	Killan's Mother
583777	253773	Gladyz
583777	290988	Mayor Salizar
583777	316171	Rose Stravelli
583777	318269	Carlotta
583777	358479	Gisela Higgens
583777	382419	Alicia Cortéz (1996-1997)
583778	211698	Photo Model
583779	197758	Gillian Kaites
583780	26283	Nicole
583780	407501	Caroline
583780	410475	
583782	284209	
583783	411786	Herself (Series 2) (2003-2004
583784	360618	News Announcer
583786	288252	
583786	375111	Cameron's Daughter
583787	360436	Guidance Counselor
583788	12536	Lilia Sanmartin
583788	381598	
583788	404989	
583789	68149	
583790	159536	Ragazza Fabio
583791	170540	Stacy
583792	167080	
583792	292759	
583792	308332	Woman
583793	101867	Lotera
583793	101903	Mujer Verbena
583793	140701	Gitana 2
583793	287462	Chiripa's Mother
583794	7236	Ana
583794	8987	Carole
583794	40323	
583794	48780	Mari Carmen
583794	74676	Amaranta O'Farril
583794	91372	
583794	121245	Bea
583794	197441	
583794	205001	
583794	206322	Mujer del Judío
583794	207032	
583794	249671	La Alcaldesa
583794	249910	Míriam
583794	276565	Ana
583794	322714	Simone
583794	334469	Margarita
583794	384594	Paz
583794	410217	
583795	169257	
583796	135138	
583797	103108	
583798	135922	Waitress
583798	308332	Sarita, Pilar's Maid
583798	357533	
583799	99869	
583799	104524	Paquita de Guzmán
583800	293334	
583801	396649	Consuelo
583802	396179	Andrea Luque
583803	108897	Herself
583804	362139	Jimmie Bochelli
583805	292294	Ma Thumb
583806	110170	Clerk at Drugstore
583806	199194	Librarian
583806	342459	Maya
583807	149828	Cassandra
583808	164552	Jimby
583809	23583	Kimberly
583809	199730	
583809	200835	
583809	344429	
583810	222514	Hiro
583811	26082	
583812	23827	Mlle Louvreux Lecouvreur
583812	45116	Lucile
583812	68933	Jacqueline
583812	100020	Henriette
583812	118415	Thisbée
583812	162510	Nicole
583812	187621	Secretary
583812	238483	La jeune fille/Charlotte
583812	276789	Lamballe
583812	383371	Capucine Matthiews (1998-2000
583812	392369	Sylvaine
583812	409001	
583812	412200	Marie
583813	247607	
583813	249209	La belle petite
583814	400097	Lana
583814	401208	Tiana
583814	404888	Helena Barreiros
583815	74192	Viera/Lily
583816	13875	Marguerite Lasueur
583816	166179	
583817	29000	Henriette
583817	99368	
583817	353915	Valentine
583817	381245	
583817	399106	
583818	309477	Choir Member #1
583819	114578	Minou
583819	269482	Mae Freudstein
583820	151054	Lisa Rogan
583821	273119	
583821	310030	Maria/Betty
583822	398915	
583823	240032	Community Activist
583824	354996	Pregnant Woman
583825	241316	Restaurant Patron
583826	204696	Anna Radice
583826	270844	Lisa
583826	284552	
583826	380255	
583827	366691	Juanita
583828	6280	Acia Dunaev
583828	11806	La ragazzina
583828	55165	Orsola, la nipotina di Mamma 
583828	90673	
583828	106803	Fiorella
583828	210318	Nannina Mozart da bambina
583828	234564	La piccola Acia Dunaev
583828	251048	La piccola Valeria
583828	264251	Mirka
583828	360466	Acia Dunaev
583829	78141	Andrea (as Jackie Collen)
583829	85866	Ellie Agensky
583829	155861	Girl in Gym
583829	245988	Stacey Edison
583829	379333	Maeve (1996-1997)
583830	327241	Lila
583831	52328	Edith
583831	79767	Margaret
583831	80803	Loretta Clark
583831	86476	Mrs. Cooke
583831	105971	Janie, FBI Switchboard Operat
583831	176987	Receptionist
583831	193748	Miss King
583831	286477	Miss Bass
583831	329527	Mrs. Smith
583832	72104	Cover Girl: American Magazine
583833	12408	
583834	213010	Princess/Girl Narrator
583835	348599	Civil servant
583836	32649	Bibi
583837	382877	Lieve Maes (2002-)
583837	403962	
583838	220492	
583839	310728	Passenger #9
583840	59223	Monique
583840	200376	Gilberte
583840	247847	Lavandière #1
583841	146954	
583842	52887	
583843	51381	Armande
583843	99978	Ariane
583843	133068	La reine Hortense
583843	337838	
583843	340133	Elisabeth
583843	384859	
583843	389004	Irène Lantier
583843	397195	Mme de Chevreuse
583843	403642	
583843	410376	
583844	85133	Waitress
583844	398697	Ex-girlfriend
583845	318121	
583846	138797	Happy's Mom
583847	129092	Valerie
583848	68280	Betty
583849	364368	Young girl in dream
583850	7549	Adèle
583850	59711	Charlotte
583850	59712	Charlotte
583850	94240	
583850	100307	La secrétaire
583850	122216	Marion
583850	156845	
583850	219596	
583850	238125	Annette
583850	307136	Prudence
583851	101139	Mme Le Braz
583852	303522	Ballet Instructor
583853	75479	Foster Mother
583854	1674	Herself
583854	1734	Herself - Presenter
583854	3113	Griselda/Sister Concordia
583854	5009	Fiona
583854	19551	Nurse/Good Witch
583854	45695	Michelle
583854	59151	Michelle
583854	65756	Iris Chapman
583854	69639	Carla
583854	71302	Julie
583854	85893	Diana Spencer
583854	86988	Beth
583854	87294	Sharon
583854	99951	Harriet Smith
583854	150642	Kath
583854	150790	Kitty Barlowe
583854	157720	Rose
583854	165289	Julia Armstrong
583854	165687	Sandy Edwards
583854	185648	Emily French
583854	190704	
583854	190774	Young Lilian Singer
583854	200264	Meg Bluegum
583854	201644	Herself
583854	222831	Muriel Heslop/Mariel Heslop-V
583854	243148	Herself
583854	247119	Cynthia
583854	296980	Diane Palmieri
583854	296984	Herself
583854	303564	Lynn Sear
583854	303565	Herself
583854	311873	Wendy Robinson
583854	330845	Cindy
583854	351431	Mandy Slade
583855	49396	Mrs. Puccio
583855	142554	Reenactment Peggy
583856	3093	Popolana
583857	39714	Anna
583858	157574	Marlene
583859	206232	Hotel Alvarado Receptionist
583860	92071	
583861	26725	School Girl
583862	20792	
583862	49691	Tignetti
583862	67512	Silvana
583862	73380	
583862	86057	Lisa Nielson
583862	112689	Slave Girl
583862	129195	Aglae
583862	131095	
583862	199039	
583862	219601	Lisa Nielson
583862	254979	Lt. Terry Sanchez
583862	328389	Enza
583862	386751	
583863	102949	
583864	48368	Anna Larsson
583864	130071	Woman at the store
583864	140392	Malin
583864	159672	Maid at Ingmarsgården
583864	184586	Mrs. Lind
583864	268360	Grandma
583864	305306	Member of the Cookie Academy
583864	317619	Magda
583864	348501	Dam som köper jultidning
583865	17043	Heather's Mum
583865	257102	Kathryn's Mother
583865	323717	Teacher
583865	400697	Alice
583866	353285	
583867	93573	Cleaning Woman
583867	196503	Maid
583868	149730	Megan
583869	240819	Autumn
583870	267174	Waitress of the Gas Station
583871	30202	Jenny Lind
583871	221000	Esther
583872	17543	Countess Lidia
583872	40495	Lady Dedlock
583872	42938	Queen
583872	65930	Eugenia
583872	66620	Marcia Gray
583872	77476	Lady Caroline
583872	78793	Mrs. Kingsley
583872	128194	Mrs. Brooke
583872	128889	Professor Augusta Wimmer
583872	137461	Mrs. Jefferson Breckenridge
583872	155593	Lady Markby
583872	157233	Mme. Kraska
583872	161542	Extra
583872	178332	Lady Susan Dowitt
583872	191962	Lady Constanzia Lorridale
583872	198867	Lady Macbeth
583872	218257	The Queen of France
583872	253126	Julia Gibbs
583872	265361	Augusta
583872	273585	
583872	281546	Mrs. Atwater
583872	296784	Aunt Melissa Pilson
583872	297926	
583872	312773	Catherine Luther
583872	320197	Lady Millicent 'Millie' Wigst
583872	332024	Duchess Of Glenavon
583872	335456	Jane Bartlett
583872	360805	Mrs. Allardyce, 'Snoopy-sook'
583872	360834	Mme. Jaleska
583872	363623	Tina Cosgrove
583872	374198	Nathalie
583873	10502	Blonde French Reporter
583874	55197	Frasquita
583875	16050	Guard #1
583876	130419	Remingtons' Child
583877	83980	Peggy Grahame
583878	303765	
583879	75721	Additional Player
583880	289260	Belinda
583881	94844	Donna Louisa
583881	213302	Columbine (Chloe Mobin)
583881	246357	Leonora
583881	261490	Kitty O'Hea
583881	330993	Sally
583882	37840	Basset
583882	360068	Barmaid
583883	212616	Jane
583884	75721	Additional Player
583885	10784	Bianca/White Queen
583886	77836	Princess
583886	112848	
583886	122986	Dancer
583886	236967	Sugar Plum Fairy
583886	305036	Dancer
583886	315469	Princess
583886	323871	Hunca Munca
583887	7492	Receptionist
583887	21172	Margaret Bixby
583887	41087	Coed
583887	56713	Gay Elliott
583887	66373	Veeda
583887	72022	Cynthia, Girl at the Dance
583887	73392	Jean Walker
583887	83926	Angela
583887	116171	Helen Hall
583887	116523	Herself
583887	124587	Ellen
583887	126510	Doris
583887	128424	Kathy
583887	128812	
583887	155293	Audition Girl
583887	168263	Anne Howe
583887	170805	Pamela Courtney
583887	170812	
583887	170825	Jean Fletcher
583887	183358	Jill
583887	215599	Alice Forrester
583887	215726	Helen
583887	220901	Receptionist
583887	224333	Nancy Cavanaugh
583887	228660	Miss Caroline Jackson
583887	231948	Annette
583887	245197	Ginny Powell
583887	245416	Doris Sheldon
583887	252381	Linda Reynolds, Junior's Secr
583887	254538	Judy Barrett
583887	263541	
583887	271099	Jean Travers
583887	277515	Betty Parker
583887	287747	Claire Robbins
583887	298086	Eileen Crane
583887	304587	Aleta
583887	337468	
583887	361070	Margret Mercer
583887	361623	Doris Conway
583887	361836	Anne Henderson
583887	365180	Linda Gibson
583887	371857	Stewardess
583887	372588	
583887	382553	Mary Wesley
583888	248858	
583889	302359	
583890	264075	Lucy Wingo
583891	372846	
583892	34297	Juliet
583892	65502	Nurse
583892	68692	Sylvia Xavier
583892	69812	Geronimo Cook
583892	73801	Surgical Nurse
583892	152989	Teacher
583892	158796	Miss Gentry
583892	160469	Lady Bartender
583892	163358	
583892	174513	Emily Deigh
583892	185130	Sadie
583892	186273	Sister Providencia
583892	188509	Poolside Card Player
583892	188510	Patron
583892	188511	Meternity Worker
583892	210608	Herself
583892	234236	Terry Abelard
583892	251196	Phyllis, Girl from opera
583892	279493	Liz
583892	285095	
583892	288107	Mrs. Peterson
583892	307913	Olga (clarinet player)
583892	331655	Eva
583892	333409	Archaeologist
583892	346009	Receptionist
583892	356351	Operator
583892	372433	Carhop
583892	384873	
583892	398398	Marilyn Scott
583893	257720	
583894	99503	Elshera
583895	10856	Lady Hannah Bland
583895	26373	Mrs. Carmichael
583895	67797	Mrs. Coffman
583895	71664	Julie Sentash the Nurse
583895	81639	Flossie Fagan
583895	100957	Miss Townsend
583895	105135	Mrs. Monty Levin
583895	111928	Grandma Tzeitel
583895	119802	Mrs. Poulteney
583895	150883	Goonelle
583895	222624	Stanley's Mother
583895	228295	The Lady Visitor
583895	252882	Nanny
583895	300956	
583895	330547	Mrs. Pelton
583895	345810	
583895	365141	Woman in Travel Agency
583895	385781	Betsey Trotwood
583895	395565	Queen Elizabeth
583895	405217	Lady Lytton
583895	411032	Katharina Matakis
583896	343121	Fan
583897	222745	Mary Doyle
583897	229113	Ruth Hill
583897	340990	Antonia Baird
583897	406738	Susan Morgan
583897	407105	Kate Cameron (1976)
583898	41089	
583898	100696	Selina as a Child
583898	155902	
583898	170844	Barbara Hewlett
583898	177142	Aggie Edwards
583898	246930	
583898	276816	Nicki s a child
583898	343161	Little Girl
583898	349983	Clarrie, Connie's Daughter
583899	380713	Judy English (1965)
583900	178141	Girl at party
583901	158625	Mrs. Anderson's Mother
583902	146789	Victim
583902	382743	Jacinta
583902	387491	Bridget O'Farrell
583903	82554	
583903	114265	Brandy/Candy Johnson
583903	260789	Kristina's look-alike
583904	87586	Miss Wonderful Of Philadelphi
583905	231879	Bartender
583906	119803	Model
583906	283342	Cavegirl
583907	190593	Registrar
583908	304744	Felicity
583909	83270	
583909	96235	
583909	218312	
583909	266405	
583909	276013	
583909	276540	
583909	278307	
583909	337010	
583909	377062	
583911	67957	Herself
583911	308815	
583912	340149	Carine
583913	106520	Secretary
583914	382583	Sammèque Tamasse
583914	396321	Chantal
583914	403475	Diane Garand
583914	410628	Mado Bélanger (1994-1998)
583915	224529	Yva,Sascha's partner
583916	5156	Louise
583916	12036	Zette
583916	15004	
583916	21617	Mme Duquette
583916	23679	Fabienne
583916	57795	Mireille
583916	69731	
583916	119053	
583916	127748	Dolorès
583916	156329	Lise Paquette
583916	196820	
583916	205756	
583916	269645	Estelle
583916	284196	Hélène Caron
583916	308760	
583916	340190	Thérèse
583916	378081	Suzanne
583916	389137	Jeannine Doyle
583917	199315	Une vendeuse
583917	388688	La midinette
583918	269161	Catherine 27 ans
583919	335083	Lola Vaillant
583920	16644	Clubhouse 'Client'
583920	45244	Valmai
583920	72464	Joyce
583920	137565	Mrs. Abul
583920	279413	Jan
583920	316639	Travel Lady
583920	340812	Karaoke Compere
583920	384581	
583920	394297	
583920	399130	Anne Teschendorff (1994-1995)
583920	402197	Alice 'Lurch' Jenkins (1984-1
583921	84603	
583921	92026	
583921	92038	
583921	115344	
583921	153850	
583921	168190	
583921	208815	
583921	328393	
583922	152637	Ethel
583923	152637	Edith
583924	10088	Clair
583925	196256	Josephine Rambeau
583926	385020	Rosie Webster (I) (1990-1999)
583926	403630	Kelly (2003-)
583927	229124	Vinegar
583928	56098	Mrs. Drury
583928	191819	Birdie Hubbard
583928	236733	Sister William (convent teach
583928	296767	Emma Newton
583928	327821	Helen Stacey
583928	328192	Philip's Mother
583928	359754	Miss Galbreth
583929	192286	Mrs. Davis
583930	54657	Katie
583931	90297	
583931	103264	Karen Mallory
583931	207155	Miss Goodrich
583931	236107	Elsa Williams
583931	244364	Mrs. Turley
583931	295277	Naome Sager
583931	315523	Harriet
583931	389858	Florence Gray (1974)
583932	68855	Eva
583932	102107	
583932	177232	Tarot Reader
583932	319285	
583932	386924	The Great Witch (2002-2003)
583932	400526	Turner
583932	401624	Herself (1969-1999)
583932	402217	
583932	403244	Clare Moran
583932	403277	Estelle Rutherford
583932	404695	Benita
583933	47588	Accident Victim #1
583934	55699	Pvt. Edwards
583934	69421	Baby Doll
583934	99917	Rosalind
583934	102789	Brenda
583934	154984	Sylvia
583934	252741	Miss Margate
583934	348518	Mrs Wain
583935	365263	Sonny's Girlfriend
583936	181155	Vanda Sorell
583936	195745	Amanda Dubarry
583936	223343	Prostitute
583937	300891	Bessie
583938	254522	Female Masquerade Dancer
583939	418	Myrtle
583939	19822	Shopkeeper
583939	59823	Mrs. Y.
583939	78148	Woman in van
583939	80643	Fay
583939	148212	Colleen Smart
583939	175788	
583939	247137	Mrs. Adams
583939	328788	Mrs. O'Farrell
583939	391869	Colleen Smart (1988-1989, 199
583940	77197	Georgina Webster
583941	390778	Fern
583942	2445	Herself (joint funeral)
583943	187128	Herself
583944	47271	Mrs. Lippert
583945	154441	Dylan's Girlfriend
583945	222780	Susan
583946	81269	Black Girl
583946	212347	
583946	213865	Susan
583946	254614	Janet
583946	265861	Woman
583947	56259	Kelly
583947	184582	Bridget Sanger
583947	209237	Archon Katrina Steiner
583947	257604	
583948	17197	Other Mob
583948	311194	Devon
583949	154039	
583950	310090	Nurse
583951	162864	
583951	306026	
583952	372211	Kate
583954	408816	Herself (series 2 - 2002)
583955	348358	Rent-a-Girl
583956	131200	Duchess of Plaza Toro
583956	162097	Queen of the Faries
583956	213584	Katisha
583956	250639	Lady Jane
583956	264160	Lady Blanche, Professor of Ab
583956	371214	Dame Carruthers
583957	41431	A Model
583958	103322	Lois
583959	97683	Wanda
583960	363303	Paramedic
583961	105167	Roxanna
583962	122198	Religious Group Member
583963	257108	Bridget Gavin
583964	380391	Mariane Randolph #10 (1980-19
583965	153617	Woman on boat
583966	126028	Olivia Ramiro
583966	332774	Tina
583966	409547	Patti Perez (2004)
583967	195576	Bus Passenger
583968	61820	Janice
583969	278855	Call Girl
583969	305717	French Maid
583970	211687	
583971	6722	Herself
583971	98858	Tiffany
583971	98859	Girl on park bench
583971	98861	Katrina
583971	98866	Judy
583971	98868	Sybil the sorceress
583971	98869	Karen
583971	98872	Jenny
583971	98874	Coed in window
583971	98878	Sally Dusolay
583971	98879	Melody
583971	98881	Swimwear model
583971	243113	
583971	243116	
583971	271792	
583971	290878	
583971	365643	
583972	1580	Host
583972	57389	First Reporter
583972	273771	Glam Reporter
583972	347242	Anchorwoman
583972	362834	Donna Jean
583972	387212	Host (1995-2001)
583972	400808	Rusty Sinclair (2001-2002)
583972	405938	Host
583973	50275	Linda
583974	78028	Bonnie Kelly
583974	108944	Claire
583974	195191	Princess Maria Louise
583974	202619	Bar Patron
583974	249179	Sara Ruth Cates
583974	252956	Beatrice Rappacini
583974	291222	College Student
583974	343201	Gala Participant
583975	206831	Deli Patron
583976	67372	Mitzi
583978	21198	Nurse Stevens
583979	50417	Woman
583980	6969	
583980	21923	
583980	50571	
583980	81916	
583980	249569	
583981	128083	Monet
583981	298001	Cameo appearance
583982	8098	Mackie
583982	35409	OCCB Operator
583982	35729	Ruth
583982	69804	Receptionist
583982	106378	ER nurse
583982	109723	Josie
583982	129596	Heather
583982	132475	Mrs. Dorson
583982	138784	Nancy Severn
583982	143074	Myrna Goodman
583982	147516	
583982	195331	Booker
583982	206349	Joy
583982	223975	Margaret
583982	275360	Receptionist
583982	277150	Louisa Remardi
583982	329342	Jan Sparks
583982	330559	Lt. Gambol
583982	337121	Reporter
583982	344484	Ms. Richards
583982	356998	Jack Flash Manager
583982	362834	
583982	388070	Susan Gilford
583983	310532	Shop assistant
583984	241957	Hettinger's daughter
583986	408044	
583987	57811	
583987	155066	Maureen Partham
583987	185123	Maureen
583987	192236	Country Red
583987	342018	
583987	359205	Mrs. Armstrong
583988	321528	Cinderella
583989	23211	Connie Bishop
583990	7153	Amy Lawrence
583990	11582	Louise de Rham
583990	17543	Tania
583990	21509	Marie
583990	27279	Clarabella Dodd
583990	39720	Nancy Lane
583990	41142	Encarnacion as a Child
583990	54830	Child
583990	78762	Kitty as a Child
583990	85088	Mary
583990	99224	Betty
583990	104950	Dorothy Prentice
583990	126513	Elaine Sterling
583990	134124	Miller Daughter
583990	139525	Marian Foster
583990	139780	Naomi Jameson
583990	166691	Vesta at age 6
583990	168680	
583990	192008	Daisy
583990	199192	Gogol's Lame Child Patient
583990	200484	Ruth
583990	203272	Maria
583990	206836	Little girl
583990	206890	Jane Simmons
583990	224634	Jo-Jo Foster
583990	228639	Felice
583990	255351	Jerry's Little Girl
583990	265010	Farmer's Daughter
583990	266710	Little Girl
583990	269285	Christina (younger)
583990	282394	Elinor Randall as a girl
583990	289601	Pearl
583990	301954	Maryanne Silver-Dollar Echo H
583990	302368	Nora Moran, as a child
583990	305599	Young Kathleen
583990	310670	The Little Princess
583990	315338	Dora Haller
583990	316043	Nancy (child)
583990	330170	Rosalie
583990	331472	Sue Cary
583990	336031	Sally at 5 Years
583990	338778	Young girl at the inn
583990	343128	Sally Pym
583990	346864	Judge
583990	360834	Jane Rand
583990	366915	Carol Cole as a Child
583990	368366	'Pat' Collins
583990	372929	Cam Chandler
583991	26256	Toddler Sophie
583992	5595	Mrs. Henny Weber
583992	12897	Inge
583992	38764	Heidi Grapsch
583992	67693	Jenny Renoir
583992	82880	
583992	111345	
583992	119441	Susi
583992	120052	Mariella
583992	125710	Natascha
583992	142110	
583992	144152	Hilde Wegener
583992	155435	Gina Feldhusen
583992	155465	Renate
583992	156984	Katinka
583992	159256	Isla Harris
583992	163754	Junges Mädchen
583992	197824	
583992	208181	Trude von Treskow
583992	210058	Irmelin
583992	254362	Ingrid Brams
583992	261470	Gina
583992	275182	
583992	290237	Beate
583992	317507	Nora Benoni
583992	325584	Isabell Moll
583992	325888	Frau Ottmann
583992	333134	Janine
583992	350876	Thea Schiller
583992	352073	Florence Eikelberg
583992	352100	Ruth Jüttner
583992	361445	Christa
583992	364922	
583992	366522	
583992	366564	Marlies
583992	394832	
583992	397366	Bärbel
583992	406321	
583992	409627	
583993	158451	Mary Stevens
583994	206795	Rose
583995	97206	Telegram Stripper
583995	290162	Duck Girl
583996	347455	
583997	254522	Female Masquerade Dancer
583998	54726	Dancers
583999	132912	Pedestrian
583999	214938	
584000	265411	Liz
584001	274361	Iceman woman
584002	122019	Voice on Phone
584003	273619	Rita May Liquors
584004	12094	Hotel Clerk
584005	383339	Co-Host
584005	411843	Herself (vocalist; 1950-1957,
584006	186649	Herself
584007	187502	Barbara
584008	100209	Blonde Woman
584008	119025	Miss Cicely
584008	134295	Ruby
584008	221233	Mrs. Grant
584008	307019	Yvonne
584008	323036	Sheila Maitland
584008	369384	Dulcie
584008	384358	Janice (1988-1989)
584008	402391	Laura Robb
584008	404795	Maria Modritsch
584008	405727	TV reporter
584009	348427	The Ethopian Chef
584010	399170	Regular
584011	342945	Maid
584012	202194	Herself (remarks after death 
584012	202196	Herself (half sister)
584012	273337	Herself (half-sister)
584013	295006	20 Minute Workout Gymnest
584013	378966	(1984)
584014	202255	Date
584014	231137	Sydney
584014	320143	Herself
584014	320149	Herself
584014	407081	Herself (24 Days, Sook Jai Tr
584015	36862	Kid #1
584015	67921	Amy Collins
584016	80943	Dancer
584017	48566	Herself
584018	16642	Baby Jane
584019	93093	Herself
584020	42785	Lady in Hospital
584020	45515	Mrs. Gilman
584020	60075	Maude
584020	72325	Ms. Chapman
584020	109877	Dotty Clayton
584020	116952	Mrs. Clark
584020	127262	Ghostkeeper
584020	136053	Mrs. Collins
584020	151196	Grandmother
584020	151501	Mrs. Plaskett
584020	157563	Journalist
584020	234116	Dottie
584020	270522	Luke's Mom
584020	315998	Erica Weiss
584020	355528	
584021	385299	Veronica Lewin
584023	72116	Alice
584024	364425	Alison
584025	194355	Dorah
584025	396341	
584026	49483	Topless Waitress
584027	222330	College Student
584028	92247	
584028	116174	
584028	133880	Miss Drake, stenographer
584028	238373	
584028	306485	Dorothy
584029	266587	Margie
584030	157195	Dancer
584031	193581	
584031	224612	Mrs. Barnes
584032	846	Herself - #66: Terrible Talk 
584032	30157	June
584032	95414	Girl
584032	160784	Carol Freeman
584032	161283	Herself
584032	164587	Herself
584032	238613	Herself
584032	280098	Jackie
584032	285326	Miss Phillips, Fenwright's Se
584032	319454	Herself (Author - Hollywood D
584032	346230	Peggy Foster
584033	11191	Connie
584033	313303	Anna
584034	315595	Dancer
584034	331764	Dance Soloist
584035	284675	
584036	149955	Kate
584036	241423	Maureen Rogers
584037	154984	Miss Bagnell
584038	227006	Hospital Doctor
584038	336754	The Children
584039	128718	Pilot
584040	245207	Donna
584040	366803	Mrs. Parker
584041	32052	Miss Lawrenceville
584041	34915	Karina
584041	56545	Herself
584041	56871	Peggy
584041	87391	Mandy
584041	177307	Mother
584041	187987	Dr. Tina Reeves
584041	271961	Kim
584041	279009	Jackie
584041	396123	Dinah Lee Mayberry Alden #1 (
584041	408962	Meredith Davies (2003-2004)
584042	113879	Fan
584042	151672	Beach Girl
584042	194468	Kitten
584042	257640	Herself
584042	294742	Gail
584042	303900	Jo
584043	285322	Juggling Clown 1
584044	689	
584044	4671	Herself
584044	10415	Fay
584044	11683	Herself
584044	14843	Roberta
584044	17779	Lady Edwina Hogbottom
584044	19738	Elena Sperani
584044	31195	Herself - ABC Team Contestant
584044	31427	Black Bess
584044	34903	Herself
584044	37335	Agnes Lozelle
584044	38882	Fontaine Khaled
584044	46118	Josefa Velarde
584044	47210	Herself
584044	53273	Polyester Poontang
584044	55806	Cartier Rand/Marilyn Hallifax
584044	57673	Herself
584044	65134	Mrs. Heidelberg
584044	65568	Cleopatra (1959 screen test f
584044	69545	Jane
584044	70885	Herself
584044	71300	Rene Collins
584044	78896	Sarah
584044	81493	Helen/Sybil
584044	81515	Pampinea/Maria
584044	93758	Carole Bradley
584044	95875	Herself
584044	95877	Alexis Morrell Carrington Col
584044	99301	Herself
584044	99302	
584044	99427	Susan
584044	100125	Marilyn Fryser
584044	104043	Esther
584044	105715	Sarah Booth
584044	110265	Molly Carmichael
584044	115562	Pearl Slaghoople
584044	123377	Nicolle
584044	128308	Evelyn Nesbit
584044	131410	Mary Halsey
584044	133751	Joan of art
584044	139706	Lady Camilla Ashley
584044	143248	Pam Dugan
584044	144590	Host
584044	148572	Diana
584044	154062	Norma
584044	154180	Lucy Carlesi
584044	155857	Girl on Sidewalk
584044	158112	Margaretta D'Arcy
584044	161283	Herself
584044	162838	Jocelyn Fleury
584044	169139	Mrs. Potiphar
584044	169948	Lil Carter
584044	183670	Beauty contest contestant
584044	184485	Princess Nellifer
584044	187907	Edith Keeler
584044	191083	Herself
584044	192840	Herself
584044	201845	Kay Dillon
584044	203472	Lorraine Sheldon
584044	215170	Presenter
584044	218507	Katrina Petrovna
584044	232017	Herself
584044	236952	Mme. Laura Carrere
584044	242941	Crystal Allen
584044	244834	Sadie Patch
584044	245920	Max Happy
584044	248097	Racine
584044	259718	Brigitte
584044	269601	Ottilie/Tracy Fletcher
584044	271689	Angela Hoffa
584044	274235	Lily
584044	277035	Carol Radford
584044	277739	
584044	279400	Diane, 3rd Echelon Agent
584044	291807	Sea Wife
584044	292836	Herself
584044	295384	Melanie/Madame De La Cruz
584044	312286	Frankie
584044	313403	Herself
584044	315349	Tina
584044	317327	Fontaine Khaled
584044	317900	Anne Langley
584044	318966	Nera
584044	321176	Arianna, Risa's Mother
584044	323837	Joanne Clayton (segment "All 
584044	323913	Bella Thompson
584044	330091	Addie Holden
584044	341963	Stella Jarvis
584044	348346	Pat Camber
584044	355054	Mistress Bess Throckmorton
584044	359481	Joanie Valens
584044	360302	Alice Chicoy
584044	360709	Herself
584044	363011	Alexis Carrigton Colby
584044	363537	Herself
584044	365525	Annie McCulloch
584044	367675	Marina
584044	374596	Gloria Martine
584044	380687	Avril Devereaux
584044	387152	Alexis Morell Carrington Colb
584044	388202	
584044	390771	Alexandra 'Alex' Spaulding vo
584044	398729	Herself
584044	400647	Christina Hobson
584044	400800	Herself/Guest
584044	405460	Helene Junot
584045	92263	Astronette #4
584046	21630	Robin
584047	97389	Piano Player at El Marko
584048	17769	Robin
584048	32261	Cheryl's girlfriend
584048	80832	Polly
584048	82091	Anna
584048	85817	Claire Barnard
584048	87015	
584048	125588	Jeannie
584048	144674	Linda, Regina's Friend
584048	148351	Erin
584048	156435	Beth
584048	195541	Gillian Guess
584048	217536	Kelly
584048	244838	Laurino's Assistant
584048	348617	Girl Friend
584048	379197	Natalie
584048	384589	Christine Wren (2000-2004)
584048	392294	
584048	396384	Rachael Langston (1994-1997)
584049	31133	Isabella
584049	71909	Isabella
584049	107228	Mme. Calvini
584049	157246	The 'Tearer'
584049	185658	Rosina
584049	190488	Bessie, the model
584049	234216	Francesca Samarjo
584049	292491	Olga
584049	296782	Gyp
584049	321697	Leonie Paoli
584049	351442	Mrs. Graham
584049	353524	Madge Brierley
584049	367701	Helena
584050	1841	Herself
584050	37807	Herself
584050	50147	
584050	74305	
584050	96679	Narrator
584050	111564	Herself
584050	140816	Herself
584050	170843	Naomi
584050	190409	
584050	200092	Herself
584050	232923	
584050	337106	Ree
584050	339522	Herself
584050	368170	
584050	384178	Hattie McCabe
584050	386603	Judith Howard (early 1980s)
584050	404897	Judy (1975-1979)
584051	362081	Dancer
584052	78997	Old Navajo Woman #1
584053	340604	
584054	2445	Herself (Addie Mae's Sister)
584055	26256	Toddler Sophie
584056	379716	Natalie Marlowe Hunter Courtl
584057	39403	Jane Logan
584057	44252	Marcia Brandon
584057	44279	Beverly Dix
584057	49951	Ellen Wilkins
584057	71722	The sister
584057	75847	Sylvia Billings
584057	78229	Rebe Bryan
584057	85081	Jane Grey
584057	90149	
584057	108589	Dorothy Winter (his sister)
584057	134486	Nan Pickens
584057	162982	
584057	245743	Barbara Marshall
584057	269049	Elsie Peyton
584057	278025	Marie
584057	288445	Sue
584057	300026	
584057	308171	Mary Burton
584057	343075	Mary Ransome
584057	347323	Ruth Gaunt
584057	349996	Betty Phillips
584057	365390	
584058	265892	Party Guest
584059	231377	Hacker
584060	404002	Fiddler (1976, 1977)
584061	67802	Young cowgirl
584062	146661	Vestal Virgin
584063	335807	Singer
584064	190702	Rasta Woman
584065	31573	Angie
584065	71477	Brit
584066	215527	
584066	244918	Mary Beth
584066	315577	Tiffany
584066	389416	Sheila (Hotel desk clerk)
584067	134577	Guest
584068	281281	Birthday Extra
584069	36713	Amy Patterson
584069	55430	Kelly
584069	200162	Kelly
584069	200261	Jennifer
584069	202540	Jodie Watson
584069	315801	Student
584070	232250	Minsky's Girl
584071	113773	Townsperson #4
584072	190133	Clara
584073	80861	Delivery Man
584073	161709	Sgt. Reynolds
584073	351502	Betty
584074	315619	Girl
584075	77852	Shannon (Comedy Club Bartende
584075	161791	Shawna (Repairwoman)
584076	383121	Herself
584077	186650	Charm School assistant
584077	355028	Sister Romona
584078	55707	Nurse
584078	308001	Sally
584079	26256	Portia Pinter
584079	41266	Ruby Collins
584079	80393	Rhonda
584079	82326	Erin Smolla
584079	138737	Libby Hubble
584079	280286	Mary Anne
584079	327634	Ruby
584079	349870	Young Alma
584079	355164	Lucy Foster
584079	362216	Susie
584079	390121	Herself (2004)
584079	392451	Lindy May
584079	392666	Brooke Lanier
584080	216162	Phone Room Operator #2
584081	36713	Mrs. Patterson
584081	55430	Costume Dealer
584081	202540	Mrs. Watson
584081	315801	Woman Outside Telephone Booth
584082	222599	Bambi
584085	32432	Mother
584085	210233	Melanie's assistant
584085	213358	Wanda Purington
584085	395029	Devo #1 (aka Elizabeth) (1997
584086	77983	Dr. Kim Woods
584086	80412	'Orpheus' Cruise Girl
584086	81877	Mrs. Rickman
584086	114714	Kim
584086	130358	Ellen
584086	133792	Cheerleader
584086	295082	Elizabeth
584086	302432	Starlet
584086	335245	Louisa Earp
584086	360618	Corrie Calvin
584086	383742	Various Celebrities (1999-200
584087	213259	Whiplash
584088	244919	School Registrar
584089	223105	
584090	282929	2nd Prostitute
584091	365288	Clarabelle
584092	361246	Herself
584093	355014	Rhonda
584094	1651	Girl with friend helping Tomm
584094	92612	Moll
584094	147388	
584094	162278	Girl Asking Mike to Dance
584094	215625	Girl
584094	348492	Chorus Girl
584094	358641	Courtroom Woman Dodging 'Betc
584095	165272	Herself
584096	1038	Wendy
584096	2709	Attractive Woman
584096	92263	Beatnik Girl
584096	211354	Portia
584096	391131	Jessica Manning - Assitant D.
584097	90937	Andrea Milligan
584097	202400	Sophie
584097	355532	Natalie
584098	200881	Elizabeth
584099	323454	Mandy
584100	32970	Nurse
584100	55684	Bride
584100	55694	Bride
584100	55702	Girl at Dirty Dick's
584100	55714	Amazon Guard 4
584100	83965	
584100	130953	Girlfriend of Goldfinger
584100	170817	Announcer
584100	329847	
584101	68549	The Mother-in-law
584101	103209	
584101	105612	La boulangère
584101	125744	Juliette the Housekeeper
584101	164149	L'infirmière
584101	200945	Eugénie
584101	201175	Josée
584101	238849	
584101	266153	
584101	284861	Marc's Mother
584101	332188	
584101	376919	Juge aux affaires familiales
584101	402531	La scripte
584102	218848	Mimi
584103	206796	Herself
584104	54706	Herself
584105	109992	Women with crutches
584106	131835	Elderly Woman
584107	153670	Host
584107	380552	Principal Correspondent
584108	115300	Julie
584109	4734	
584109	11637	Natalie Marshall
584109	191800	Priscilla Price
584109	274154	Anna Mae Byrd
584109	297644	Flame Flower
584110	181841	Snowball
584111	226929	Mary-ann
584112	175202	Karen
584112	175217	Karen
584112	358569	Cindy
584113	67802	Young cowgirl
584113	79046	Nurse
584113	99327	Gina
584113	131544	
584113	140162	Erin
584113	144558	Applicant at Hairdressing Sal
584113	156530	Marigold
584113	163352	Kathy Lawrence
584113	189992	Herself
584113	192998	DI Judy Hill
584113	197026	Daisy
584113	215170	Presenter
584113	219249	Carol
584113	232317	Mrs. Appleby
584113	253478	Jackie
584113	257107	Julie
584113	269657	Herself
584113	273422	Susie
584113	273424	Susie Ball
584113	304764	Diana Wakeham
584113	358477	Bar Patron
584113	385819	Kathy Lawrence
584113	385820	Kathy Lawrence
584113	387247	Cindy Williams/Beale (1988-19
584113	401229	Julie
584113	403951	Stephanie Wild
584113	405442	Sarah Barton
584113	406921	Nicki Matthews
584113	409241	Abby Wallace
584113	409645	Maxine Gaines
584114	78318	Checkout Lady
584115	313420	Mimi Picard
584116	51590	
584117	1742	Herself - Co-host
584117	84347	Jennifer Hannan
584117	107250	
584117	167671	Sharon Campbell
584117	167866	Mother on Phone
584117	330058	Martha
584117	392422	Herself
584117	392423	Herself
584117	392965	Robomom/Various Voices
584117	395587	Midge McCracken
584117	396359	Various (1998-2004)
584118	160855	Young Flyn
584119	411200	Serious interviewer
584120	231822	Herself (interviewee)
584121	252211	Tourist Gal
584122	378710	Betty Peep
584122	404740	
584123	5440	Taunting Girl
584124	187128	Narrator
584125	392597	Various characters
584126	90316	Farrah
584126	302121	Commune member
584127	306032	Alex Denovitz
584128	301660	Megan
584129	51719	
584129	67215	
584129	77871	
584129	95421	
584129	100466	
584129	101824	
584129	112041	
584129	148114	
584129	186980	
584129	208200	Oralia Resendiz
584129	221689	
584129	221957	
584129	234316	
584129	255058	
584129	276474	
584129	281607	
584129	307658	
584129	322856	
584129	328610	Neighbor
584129	337440	
584129	354774	
584129	375733	
584129	380269	
584129	383344	Marycarmen Manrique de Santos
584129	384771	Zu Zu
584129	387100	
584129	397018	
584129	398457	
584129	400797	Lucía
584129	404736	
584129	407648	Leticia
584130	113482	1st dancer
584130	306451	Cathy
584130	321320	Dolores
584131	59110	Mrs. Robinson
584131	88154	Herself
584131	392479	Herself/panelilst
584132	166938	Gabe
584133	398243	Herself - Entertainment repor
584134	6503	Lorraine
584134	6558	
584134	31765	Inge Van Zipper
584134	64408	Mrs. Norton
584134	66027	
584134	73929	Barbara
584134	81898	Barbara
584134	108470	Patience
584134	109723	Grace
584134	150794	
584134	177280	
584134	187889	Sandra
584134	194708	Helen Connally
584134	230083	Helen
584134	235627	Mrs. Ralston
584134	252203	Mad'm Millie
584134	253509	Dr. Kenderson
584134	254743	Dr. Alice Toland
584134	256093	Aunt Dorothy
584134	273835	Irene
584134	310550	Housekeeper
584134	318811	Elaine
584134	362310	Bette
584134	362702	Stephanie
584134	367243	Marty Wojeck
584134	403316	Eleanor Nanibush
584134	406667	Huaco
584134	411334	Marty Wojeck
584135	14279	
584135	64872	Joan Bethel
584135	115933	Aileen Matthews
584135	138698	Angelina
584135	177673	
584135	193899	
584135	201868	
584135	202880	Betty Silver
584135	221215	Thelma Caldicot
584135	223487	Elsa Tabori
584135	248491	Daisy 'Margaret' Drummond
584135	290341	
584135	292826	Pat Lord
584135	299287	Shirley Valentine-Bradshaw
584135	310426	Dr. Catherine Kendall
584135	340393	Myra Foster
584135	382169	Maggie Hewson
584135	387518	Nurse
584135	389099	Harriet Boult
584135	395733	
584135	395740	Narrator
584135	395793	Dawn (Pilot, Series 1) (1969)
584135	399582	Clara Burrell-Danby
584135	408091	Sarah
584135	409666	Sarah Moffat/Delice/Clemence 
584135	411330	
584135	411330	Charlotte Mulliner
584135	411330	Jill Packard
584135	411330	Minna Nordstrom
584136	223991	Woman At Carnival
584138	49945	Smokin' Co-Ed
584139	15944	Joan
584139	37022	Alcott
584139	51990	Belle Tyson
584139	81247	Matilda the Hun
584139	81320	Woman at Party
584139	97030	Clara
584139	139227	Lana
584139	139228	Lana Logan
584139	207826	Tanya Six
584139	281470	Beth
584139	288737	Cousin Rhonda
584139	290389	Helen Grimshaw
584139	321228	Call girl
584139	328588	Gail
584139	331655	Lait's secretary
584139	337769	Jean Harlow
584139	347063	Jennifer
584139	351502	Miss Dice
584139	363654	Diana
584139	367806	Stoke
584139	367982	Laura
584139	391069	Lola
584140	328517	Diane, an actress
584140	379181	Trixie
584140	385299	Tina Webb
584140	393207	Sharon Finch
584141	41930	Guest at Top Hat Nightclub
584141	252381	Model
584142	10330	Marshall
584142	57817	Lisa
584142	80746	Dede Magnolia
584142	81069	Annie Northbride
584142	90854	Tina
584142	106188	Sue
584142	113927	Bubbles
584142	122991	Dr. Ruth Pepper
584142	141617	Rita
584142	142627	Eugene's Mother
584142	161753	Herself
584142	266627	Susan
584142	366703	Darla
584143	219208	Sobbo
584144	280616	Sky Pink
584145	90876	Human Agent Flash
584146	55852	Nympho
584146	256527	Suzie Grogan
584146	332821	Girl at Clinic
584147	399355	CNN Anchor (2003)
584148	141253	Peggy Sue
584148	387497	Jolene
584151	294529	
584152	347455	
584153	395491	
584154	232971	Patty
584154	253337	Housekeeper
584155	47827	Herself
584155	382838	Nikki Shadwick (1998-2003)
584156	104564	Esther
584157	101060	Ava Noble
584158	306032	Susi Denovitz
584159	323868	
584160	240862	Lil
584160	340604	
584162	82551	Dancing Girl
584163	32187	Girl
584164	28791	Pickaninny: Aunt Jemima
584165	270910	Teena
584165	364552	
584166	198993	
584166	265336	
584168	411792	Field Host
584169	187128	Herself
584170	224370	
584171	236119	Secretary
584171	371054	Molly
584172	207238	Paula
584173	26563	Maenad (chorus)
584174	201792	
584175	195854	Sandy
584175	253248	Groupie
584175	298056	Martha
584175	307916	Twin, black dress
584175	342597	Frieda Gellhorn
584176	195854	Debbie
584176	253248	Groupie
584176	298056	Janet
584176	307916	Twin, white dress
584176	342597	Maria Gellhorn
584177	52698	
584178	120280	Tara
584179	402302	
584180	185724	Lindy Gray
584181	350182	Reporter
584182	397478	Diane Peach
584183	232349	Jill Pegley
584183	277889	Radio Producer
584183	299286	Matron
584184	139745	Connie
584185	194032	Annie 16 yrs old
584185	385704	Lindsay Adams
584186	301340	Zia Lucia
584187	106223	
584188	245854	Sandra
584189	350321	Verona
584189	350322	Verona
584189	350324	Herself
584189	380993	Tania
584191	64156	
584191	69141	
584191	229986	Alida Montanari
584191	253516	
584191	278170	
584192	102391	Electra
584192	108748	Marisina
584192	351515	
584193	163550	Edie
584194	69761	
584195	69761	
584196	43591	
584197	251527	
584198	12370	
584199	46532	Club Girl
584200	210485	Miss Fosdyke
584201	64209	Nurse
584202	44759	Ellen Ridgeway
584203	10337	Mrs. Reynolds
584203	32704	Janet Holt
584203	46076	Jane
584203	47359	Herself
584203	59551	Amy Spettigue
584203	60183	Kay Murray
584203	77298	Nita Meredith
584203	94138	Kitty Conover
584203	94607	Susan Meadows
584203	96860	Josephine
584203	106294	Alice Kendall
584203	107084	Jean Monroe
584203	118381	Annabelle
584203	127233	Gloria Shaw
584203	138375	Connaught 'Conn' O'Brien
584203	147725	Herself
584203	148955	Mary Baggott
584203	156494	Hilda Schmittlap
584203	178057	Marie
584203	194868	Evelyn Worthington
584203	195553	Virginia Moore
584203	203095	Patricia Hunter
584203	209108	Mary Regan
584203	222615	Jne Houghland
584203	235485	Linda Cunningham
584203	257918	
584203	274401	Alice Cook
584203	277046	
584203	279153	Elvira Jeffers
584203	321232	Lady Julia Standish
584203	331609	Elena
584203	367667	Millie Baxter
584203	406768	June Erwin
584204	39714	Pierrette
584204	50982	Mother
584204	73744	Waitress
584204	105401	Janet
584204	178166	Hilary
584204	209221	Karen
584204	406120	Apartment Saleslady
584205	232630	Saritza/Girl at Locker/Hign S
584206	1050	
584207	20906	Une parisienne
584207	96092	
584207	345332	Une bourgeoise (1910)
584208	67096	Lois
584208	130712	Miss Jones, Party Guest
584209	347119	Lady in Crowd
584210	269240	
584211	316446	Various characters
584211	382865	Various
584211	390627	Harriet Schulenburg
584211	397962	Various
584211	401110	Sophie
584212	275467	Hanna Clifton
584212	354164	Gwyneth's Friend's Daughter
584212	401930	Eve's daughter (2001)
584213	101845	Alejandra
584213	236399	Susana
584213	379898	La Vikinga
584213	380102	Yolanda
584213	383684	Eva Alonso Petillon
584213	384781	
584213	385058	Paula C
584213	390310	Lirio
584213	396644	
584213	401067	Sandra
584213	405809	Marta Irrazábal
584213	408389	Katiuska Grun
584214	380108	Ángeles/Eva
584214	381022	Azucena Rodríguez
584214	384119	Ana Pizarro (1999)
584214	387187	Soledad
584214	387472	Lourdes
584214	387886	
584214	390614	Grecia
584214	396781	Manuela Guerrero/Isabela Vere
584214	396872	
584214	397013	María
584214	398800	María Olazábal (young)/Milagr
584214	400945	Milagros Sarmiento
584214	402151	María Inés
584214	403023	Marina Roldán
584214	403677	Gianina
584214	403751	Rosalinda
584214	408570	Topacio
584214	410108	Fernanda Valente López
584215	287817	Daisy
584216	390446	Herself (winner)
584217	189106	Femme ministère
584217	309759	Mme Lambelin
584218	62542	Clinic Woman
584219	290580	
584220	254098	Fanny
584221	55980	
584221	113674	
584222	297646	Mrs. Knopp
584222	405960	Helen Green
584224	176882	Spanish Newscaster
584225	34936	
584225	175263	
584225	375847	Legs
584226	141593	Tina
584227	150844	Maid
584228	56501	
584229	354375	
584230	327577	Lea
584231	327914	
584232	54111	Herself
584232	224891	
584232	334503	
584233	335181	
584234	26226	Geert
584235	207072	Saskia
584236	83181	Emma Merowski
584236	110025	Marie
584236	131170	
584236	248426	La femme aux chocolats
584236	345312	Herself
584237	155643	
584238	34474	
584239	4637	Martina
584239	248056	Herself
584239	269496	Francesca
584239	297874	Ustane
584239	383448	Gioia Capello (1st - 2nd seri
584239	386430	Chiara Barbieri
584239	397297	Carlotta
584240	29496	
584241	3169	Aunt
584242	84655	
584243	20206	Flower Woman
584243	20625	Extra
584243	67920	Nun
584243	130754	Flower woman
584243	148423	French Woman
584243	185505	French Peasant
584243	237618	Old Frenchwoman
584243	273083	Concierge's wife
584243	276948	Customer
584243	318715	Character in old painting
584243	370572	
584244	23772	La comtesse
584244	23806	Lucienne
584244	157179	
584244	410420	Catherine
584246	268960	Malvina
584247	72391	Girl in Miniskirt
584247	375235	
584248	101873	
584248	143751	
584248	384782	Gabriela
584248	409957	Lucía Quiroga (2000)
584249	307639	
584250	67664	
584250	307639	
584251	219585	
584252	100723	
584253	25794	
584253	85554	
584253	287414	
584253	351688	Encargada Edificio Pablo
584253	383032	Aída
584253	384775	Teresa
584253	397571	Mucama
584253	402158	Lita
584253	405789	
584253	412198	
584254	251610	
584255	251194	Christi
584256	86523	Anna
584257	13013	
584257	197460	
584257	292935	
584257	318270	
584257	379093	Rosalba
584257	383467	
584257	383470	Esmeralda Aquino
584257	383480	
584257	385599	Leyla Kebil
584257	396902	Piedad Sampedro
584257	403753	Gisela (I)
584257	403884	Lucrecia de Miranda
584258	284830	
584259	342148	
584260	379141	Cândida
584260	402928	Vitória
584260	412283	Val
584261	90004	First mother
584262	229888	
584263	69947	
584263	89572	Woman at the mirror
584263	90735	
584264	23682	Herself
584264	238991	Estaminet Singer
584264	248353	Circus performer
584264	346767	
584265	398020	
584266	395894	Herself (7th eliminated, 63 d
584267	48180	
584268	34577	
584268	36555	
584268	65215	
584268	68748	
584268	69223	Haydee
584268	74541	
584268	74966	The Leo Expósito's wife
584268	90527	
584268	103531	
584268	108123	Elina
584268	108126	
584268	124583	
584268	148037	
584268	169760	
584268	169766	
584268	192986	
584268	212382	
584268	222011	
584268	235987	
584268	236412	
584268	249869	
584268	281007	
584268	291644	
584268	292771	
584268	293053	
584268	310050	
584268	314342	
584268	343722	
584268	355746	
584268	388277	Elina
584269	42640	
584270	23375	Bessona 1
584271	253277	Mari (segment "Spite")
584272	64709	Bocazas
584272	127727	
584272	147056	
584272	235296	Pordiosera
584272	273664	
584272	338334	Jornalera
584272	395041	Mercè Josep
584272	397408	Isabel Requeno
584273	127727	Mujer cliente
584274	23375	Bessona 2
584275	207032	
584276	399421	
584277	203696	French director
584277	307345	Genvieve D'Antoni
584278	9862	
584278	10227	
584278	27857	Pilar
584278	51528	Ninette
584278	73276	
584278	73487	
584278	117813	
584278	119862	
584278	128975	
584278	148107	
584278	153815	
584278	155668	
584278	196737	
584278	202555	
584278	206977	
584278	211164	
584278	211315	
584278	212397	
584278	221950	
584278	229452	Emma Cortadell, La Cortadita
584278	249898	María
584278	267405	Esther
584278	268515	
584278	272628	
584278	277002	
584278	283051	Nina Luján
584278	296493	
584278	322368	Carmela
584278	328172	
584278	378436	
584279	334274	Damato
584280	2662	Rosie
584281	287732	Sasha Vicenti
584282	68232	Fresh Peaches
584283	73868	Herself
584283	110538	Gina
584283	225606	Tina
584283	273471	
584284	298311	Valerie
584285	333327	Rosie Lopez
584286	217583	Female Swat Officer
584286	282476	Mary, U.S. Marshal
584286	332774	Grace
584287	11529	Doña Alfonsa
584287	12203	Tata
584287	19053	Ana
584287	26763	Angel
584287	31049	Nahni
584287	34669	Ina Dietz
584287	41776	Meche
584287	64869	Mrs. Ramirez
584287	73941	
584287	80680	
584287	83972	Claudina, Otilia's Servant
584287	92551	Mrs. Camacho
584287	117093	
584287	129516	Maria
584287	138985	Gina Rosario
584287	142752	
584287	151071	Nana
584287	190198	Isabel
584287	193701	Mercedes Cruz
584287	209169	Eva Talbot
584287	216184	Mrs. Cruz
584287	241883	Redhead
584287	245530	Anita
584287	252054	Lolita
584287	261439	Veronica
584287	284932	Rosa
584287	289558	Mama Montana
584287	308281	
584287	313827	Yolanda
584287	330126	Anita Nogales
584287	332032	Anita Chavez
584287	390771	Maria Santos #2 (1999-2002)
584287	400236	Maria 'Abuelita' Delgado (199
584287	406719	Estrella
584288	96726	Sneaky chambermaid
584289	3095	Maid #1
584289	95457	Mother
584290	68232	Sugar Cube
584291	354548	Middle Walker Daughter
584292	25785	Madame Rivière
584293	261976	Tina
584293	270923	Sandy
584294	224022	Young Woman
584295	258118	Une femme du village
584296	84487	'C'mon Bobby' Girl
584296	212002	Patricia
584298	203358	Baby Carol Kaufman
584299	258118	Une femme du village
584300	332261	Cristina adolescente
584301	28375	
584301	97167	Floriana
584301	245801	Cristina
584301	310975	Susan
584301	319326	Janine
584301	381622	Irma Parodi (2002-2003)
584301	410050	Bea
584302	141647	Robbins' Receptionist
584303	230077	
584304	130410	
584304	323069	Jane
584305	30497	Deanery Manager
584305	69839	
584305	156573	Franiszek's Mother
584305	231652	
584305	311255	
584305	373497	Anna's Neighbour
584305	373767	Professor's wife
584306	278959	
584307	200864	Shopper
584308	5761	
584309	48972	
584309	103999	
584309	253711	
584310	340648	Leonora
584311	13863	
584311	105263	Marie
584311	109722	Nurse
584311	187344	Red Hoop Woman
584311	224849	Heyatawin's Mother
584311	236870	Mrs. Losada
584311	399832	Nurse Betty LaSada
584312	96298	
584313	96973	Rancher's wife
584314	289749	Security Guard
584315	171395	Leggy
584315	253341	Amy Beth Sawyer
584315	367909	Cali
584316	221543	
584317	336614	
584318	1366	Woman who accuses Olmo
584318	10439	Carolina's mother
584318	20354	Singer
584318	23588	Contessa Cini
584318	49678	
584318	55488	Myrta
584318	58185	Madre di Graziella
584318	75265	
584318	77337	
584318	87928	
584318	88206	
584318	91054	La madre di Virginia
584318	92072	(segment "Sarò tutta per te")
584318	102321	Fernanda
584318	108877	Suora
584318	112651	
584318	114578	Tourist
584318	122728	
584318	124552	
584318	125665	La ruffiana
584318	127391	Gertrude
584318	159449	Nonna, Giacomo's grandmother
584318	160248	
584318	163707	
584318	204637	
584318	217557	
584318	219563	
584318	219829	
584318	229617	Teresa
584318	234550	Gloria
584318	235746	
584318	250506	Elvira
584318	252337	
584318	259697	
584318	266120	Harp player
584318	267309	
584318	269476	
584318	270329	Madre di Fiora
584318	270884	Madre di Artemio
584318	288021	
584318	288800	
584318	294644	1st Washerwoman
584318	311546	
584318	314021	
584318	315449	
584318	328116	Sergeant's wife
584318	341393	Madre di Francesco
584318	349534	Pharmacist
584318	380989	La padrona del negozio al por
584319	118911	Monkey
584319	261236	Thrill Receptionist
584320	34574	Musician 3
584320	234310	Secretary
584323	23834	Betty Mérignac
584323	29002	Madame Victoria
584323	33559	Mell Desmarais
584323	68355	Madame Feldman
584323	100013	La secrétaire
584323	101344	Stella
584323	102915	La mère d'Annie/Mother
584323	148769	
584323	165624	Wieske Janssens
584323	165625	Wieske Peeters
584323	205480	La comtesse russe
584323	208747	Mrs. Schmoll
584323	219479	Belle's Mother
584323	219510	Valérie
584323	275647	Mme.Courcel
584323	296049	La belle-mère/Mother-in-law
584323	351083	Monika
584323	366699	Netty
584323	379841	
584323	384744	Hélène Tricot
584323	386020	La marquise
584323	396366	Yvette Werner (segment "Innoc
584323	396370	
584323	404153	
584323	404861	Mme Nikolovsky
584323	409454	La mère d'Anne
584323	410141	
584324	323409	
584324	323410	
584325	80592	Mrs. Randall
584326	31068	Narrator
584326	349511	
584327	9888	Grace Appleby
584327	384020	Grace Appleby
584327	401725	Mabel Sainsbury-Seale
584328	410954	
584330	284166	Jeanne
584331	29288	
584331	281696	Soloist in 'I've a Strange Ne
584332	280769	Jaja
584333	166370	A student
584334	29746	Five-Kid Woman
584335	410883	Presenter (1989)
584336	255009	Bluebeard's Wife
584336	262348	Mary
584336	321394	Kay
584337	63342	Carlyn Carlson
584337	96730	Newscaster
584337	103345	Woman Officer
584337	313334	AP
584338	237263	Maria
584339	167712	Marcia Pom-Poms
584340	157886	
584341	403016	Alicia Tejera
584341	407640	Perla Cuervos
584342	53329	Dancer
584343	140997	
584344	75511	Claudia
584344	106028	
584344	150678	
584344	353715	
584344	360851	
584345	32425	Hope Bowers
584345	42278	Vera Rosen
584345	107909	Elevator Woman
584345	171191	Mrs. Crescetelli
584345	187172	Short Lady
584345	411409	Sophie
584346	258039	Tiffany
584347	11532	Dr. Diva
584347	87876	Woman in Chief's Office
584347	96938	Crazy Party Lady
584349	16384	Female Clothing Customer
584349	36724	Alma
584349	87542	Mrs. Shanks
584349	92486	Mrs. Fran van Crisco
584349	106740	Schwab's Waitress
584349	134195	Lady at Elevator
584349	141400	Rosie Pantangellio
584349	148426	Millie
584349	162345	Hazel
584349	195446	Lady on plane with Cat
584349	220622	Mrs. Griffin
584349	221024	Card Player #1
584349	256105	Mrs. Harris
584349	262519	Joanie
584349	269815	Waitress
584349	270779	Mrs. Fulton
584349	278237	Mrs. Belkin
584349	282434	Miranda
584349	289260	Answering Service
584349	321403	Lady
584349	337206	Woman in supermarket
584349	342561	Ma Falcone
584349	348453	Lucinda
584349	383022	Regular
584350	159175	Dancer
584351	259868	First Sister
584352	265603	Sandra Russell
584353	168627	Johnnie Age 9
584354	68308	N.Y. Daily News Reporter
584354	192324	Sheila
584354	212837	Nora
584354	300943	Fantasy woman
584354	302236	Tourist
584354	305013	Constance
584356	37681	Alice
584357	363393	Reporter
584358	373793	
584359	399657	
584360	409093	
584361	105732	First Lady
584362	100288	
584363	273544	Rehab Aide
584364	16968	Nicole
584365	321096	Mexican Hostess
584366	260950	Dancer
584367	93176	Hope
584368	139650	Susan Bones
584368	139657	Susan Bones
584368	148203	Little Girl in Toy Store
584368	157978	Daughter
584368	232845	Little Girl #1 in Ballet Clas
584368	314459	Girl in School Play
584369	232845	Woman in Toy Store
584370	139650	Girl in Bookstore
584371	36746	Wife
584372	89321	Leila Wascowicz
584373	139650	Girl with Flowers
584373	139655	Girl With Flowers
584373	232845	Baby in Toy Store
584374	52890	
584374	319830	Celia
584375	33804	Louvre tour guide 2
584375	96037	Hostess
584375	101581	L'hôtesse
584375	208219	Visiteuse appartement
584375	265137	Claire
584375	346512	Anne
584375	346527	Femme à la terrasse
584375	376971	Une cliente esthéticienne
584376	305148	Lisa's Office
584377	23750	
584377	148727	La petite Ninette
584378	13054	
584378	14901	Angela
584378	15996	Tilde
584378	29444	
584378	43159	Petrol Pump Attendant
584378	46953	Pupetta
584378	57255	Wanda Torsello
584378	68644	Professor Marimonti
584378	72974	
584378	74878	
584378	94704	Passion Flower
584378	128025	Mary
584378	159467	Lucia
584378	159688	
584378	160249	Amalia Mottola
584378	162060	
584378	183636	
584378	199702	
584378	202040	Trini
584378	207082	Amalia
584378	214862	
584378	229617	Maura
584378	238013	
584378	246430	Maria Luce
584378	251617	Laura
584378	252668	
584378	255538	Passante che ha paura dei gat
584378	260952	
584378	269476	Gym teacher
584378	274350	Red Sonja's Mother
584378	279773	
584378	294644	Asmara
584378	294775	Semiramide
584378	295178	Elvira Martinelli
584378	296049	Lulu
584378	300781	
584378	315432	'Baby' Morgan
584378	326303	Betty
584378	329863	La voisine
584378	351612	Tarsilla
584378	353056	
584378	395163	
584378	402258	
584379	53019	Luciana
584380	71694	Herself
584381	196608	Clueless Girl #1
584382	267640	Olga
584383	141799	Berte
584384	6219	Laroche's Wife
584385	23973	Mme. Rombert
584385	26350	Dr. Barbara Shepherd
584385	54631	Dr. Kossim
584385	62570	
584385	75583	Flora
584385	80487	Chilcott
584385	83230	State Prosecutor
584385	101133	Life saver
584385	146934	Woman at Car Rental
584385	154157	Lynda Tedanski
584385	169206	Mrs. Abbott
584385	188929	Claire Mellinger
584385	213866	Nancy
584385	218318	Elisabeth
584385	230422	Dr. Smith
584385	273835	Andrea
584385	296689	Rosemary
584385	341746	Katz
584385	362880	
584385	374401	Sara Murphy
584385	375936	Lillian
584385	378735	Christina Champlain
584385	386295	Marcia
584385	398311	Danielle Valeur
584386	353926	Le chef d'atelier
584387	12394	Julia Freeney
584387	14157	Celeste
584387	107848	Nadine
584388	27344	Crying Girl
584389	55136	
584389	84860	Mercedes
584389	216406	Magda, Nun
584389	260850	
584390	32970	Waitress
584391	331301	Liverpool Barmaid
584392	212687	Woman #3
584393	45974	Mrs. Upper
584393	75274	Abbie
584393	129370	Mrs. Baird
584394	42330	Herself
584394	47377	Herself
584394	62862	Herself
584394	99461	Herself
584394	127533	Herself
584394	132454	
584394	141412	Minister at Second Wedding
584394	158447	Herself
584394	190798	Performer
584394	278531	Herself
584394	398597	Herself (episode Shawn Colvin
584394	404900	Herself
584395	342797	Jenna Hardbattle
584396	109857	Adorable Toddler
584397	7022	Pundita
584397	7023	Pundita
584397	35352	
584397	37819	
584397	51760	Hazel Clark
584397	51761	Nell Morton
584397	59095	
584397	66648	Goldie
584397	88002	
584397	117818	
584397	139552	
584397	141303	Marion Smith
584397	151813	
584397	166901	
584397	166903	
584397	167690	Muriel
584397	170764	
584397	179030	
584397	198658	Madge
584397	203079	May
584397	205425	Senorita Mannds
584397	212237	Mrs. Heflin
584397	213903	Ruth Winter
584397	227285	
584397	243536	
584397	245180	
584397	272129	Sally
584397	273405	Elsie Mitchell
584397	279059	Miss Johnson
584397	281567	
584397	285442	Moving Picture Actress
584397	289041	Alice
584397	289480	Nell, Tom's Sister
584397	298542	Rose Boland
584397	304997	
584397	312832	Alice, Tom's Sister
584397	316063	
584397	327311	Mabel Madden
584397	346134	
584397	360215	Bounding Fawn
584397	364663	Alice
584397	370625	Modesta
584398	403185	Crystal Sinclair
584399	38042	Singer at the party
584399	406924	Regular
584400	109857	Nina's Customer
584401	53043	
584402	237331	
584403	101547	Woman in telephone booth
584404	47287	Host
584406	27676	
584406	197620	Luparella
584406	301342	
584407	105691	Verónica
584408	6639	María
584409	258150	Annie
584409	319988	Françoise
584409	375937	Elisabeth
584410	103425	Testigo
584411	42646	
584411	55897	Lucita Valadao
584411	87807	Juliana
584411	185948	
584411	287817	Carmen
584411	401438	
584412	34565	
584412	191054	Sara Elena
584412	242681	
584413	287732	Molly Martinez
584414	385365	Carolina de Russo a.k.a. Caro
584414	393839	
584415	204	
584415	16171	
584415	28987	
584415	33484	Rosa Rojo
584415	61540	
584415	74611	La Tabla
584415	80286	
584415	80326	
584415	90093	
584415	265458	
584415	276485	
584415	347083	
584415	351636	
584415	373953	
584416	97567	Deyanira
584417	41776	Girl in diner
584418	18813	Yolanda
584418	141985	Ana
584418	175060	2nd Ticket Agent
584418	175190	C.O. Melendez
584418	346892	Grumpy teacher
584419	134613	
584420	340026	Herself (CEO, Corporate Compu
584421	104140	
584422	145022	Miss Pluckley
584422	263606	Ellie Molloy
584422	264676	Dorothy, Allardyce's Secretar
584422	382612	Jean
584422	382693	Aveline Boswell (I) (Series 1
584422	387533	Linda
584422	396699	Marigold Lockton
584422	399069	Esther
584422	404575	Marie Morgan
584422	406267	Liz Freeman
584423	24476	The Killer - Black Roses, Bla
584423	108256	Lisa
584424	23588	Seconda donna
584424	56364	Mirella
584425	739	Herself
584425	167234	
584425	280041	
584425	364816	Herself
584425	398171	Herself
584425	407195	Herself
584426	2150	Woman in Police Station
584427	248311	Madre
584428	252646	
584428	334666	Frutera
584428	399505	Agustina Molins
584428	399506	Agustina Molins
584428	401105	Cloti
584428	401614	Iaia Sumsíon
584428	407863	
584429	9955	Mujer Borracha
584430	386743	Florence
584432	13369	Herself
584432	306211	Carral
584433	8152	
584434	64949	Habilleuse Simon
584434	319824	Dame caisse
584434	353771	
584434	410215	Annette
584435	341088	
584436	164187	Une cliente
584436	254123	L'infirmière
584437	265790	Contorsionista
584438	71952	
584438	248654	Sophie
584438	261820	Yolande
584438	264525	Femme à Table
584438	357098	Leila
584438	402528	L'hôtesse de l'air
584439	292643	Mighty Walrus
584440	223647	Father's Wife
584440	224401	Father's wife
584441	264242	
584442	389224	
584444	111014	
584445	81107	Maggie
584445	367413	Prisoner
584446	68379	Odile
584446	91709	Sandrine Vannier
584446	111022	Isabelle
584446	122367	Arlette
584446	166321	L'assistante
584446	184645	Malagou Langevin
584446	198357	Sarah
584446	229112	Toni LaFleur, Claude's Girlfr
584446	269225	L'hôtesse
584446	275641	Bali
584446	281249	Nicole
584446	291575	Femme de Léon
584446	324437	Girl in Aeroplane
584446	345046	Lisette
584446	377629	Contrôleur 1
584446	384755	Sophie
584446	407440	Seamstress
584446	409799	Graziella
584447	92247	Woman
584448	385164	Hostess
584449	76109	
584449	150529	
584449	250501	Lily
584449	268440	
584450	314058	Little old woman
584451	96111	Girl on karting photo
584451	284964	
584451	307840	Fille de la boîte de nuit 2
584452	251544	La costumière
584452	396523	La cousine
584453	337033	La petite fille
584454	236753	
584456	391634	Annie (segment "Loupe du diab
584457	245956	Un membre du girls' gang
584458	202694	La caissière de la station se
584459	320093	
584459	385926	Susan van Rooyen
584460	109173	FBI Agent #4
584460	116799	Dr. Lisa Barnes, OBGYN
584461	4619	Manicurist
584461	117485	Dancer
584461	292470	Nurse
584463	125578	Cheerleader
584464	1038	Catherine
584465	289467	Frightened Girl
584466	368872	Herself
584467	128378	Math Teacher
584468	396548	Villager (eps5-6)
584469	40731	Girl
584470	300173	Robin
584471	44450	Jenny
584471	57669	Herself
584471	58483	Diana
584471	59754	Herself/Piper Halliwell
584471	79428	Alex Morrell
584471	92479	Jennifer Campbell
584471	161194	Herself
584471	196209	Diane Zamora
584471	230947	Costume Party Guest (Section 
584471	238072	Herself
584471	252978	Amanda
584471	273555	Sharon
584471	293097	Natasha Nutley
584471	302219	Kim
584471	302923	Sophia DiMatteo
584471	321206	Debs Boon
584471	367845	Herself/Piper Halliwell
584471	383952	Piper Halliwell
584471	401414	Kimberly Brock (1992-1996)
584472	152205	Miss Emmeline
584473	190408	
584473	247424	
584474	113986	Vicky McGee
584475	114051	Child
584476	365353	Sadie
584477	117522	
584478	230863	Journalist
584479	241339	Janey, Cashier
584480	311816	Ava
584481	331732	Linda
584481	381893	Jane O'Hara (1991-1993)
584482	69409	Little Girl #2
584483	330620	Heather
584484	1842	Herself - Presenter
584484	7591	Herself
584484	13919	Herself
584484	47385	Herself
584484	116499	Emily Whitman
584484	124056	Garbo
584484	125484	Herself
584484	134149	Revuer
584484	175523	Herself
584484	175525	Herself
584484	175534	Herself (Honoree)
584484	175535	Herself
584484	223164	Herself
584484	240905	Host/Narrator
584484	304644	Mrs. Wheeler
584484	362082	Herself
584484	382817	Herself
584484	407940	Herself
584485	132189	
584486	132189	
584487	120328	
584488	51571	
584489	12675	
584489	21655	Valentina
584489	108110	Alice
584489	269495	
584489	309820	Benedetta
584489	328358	Cicca
584489	386430	
584489	406539	Lucchina
584490	26763	Cory
584491	3233	
584491	80559	Stephanie Shaver
584491	215562	Miss Julie
584492	38649	Mrs. Wilson
584492	114280	Florence Bennet
584492	214984	Aunt Ev
584492	220831	Mrs. Sampler
584492	393301	Aunt Ella
584492	411358	
584493	403366	
584493	412194	
584494	14773	
584495	2107	Mme Rodriguez, la concierge
584495	60274	Knitting lady #2
584495	100168	Eliette
584495	254085	La gardienne du centre médico
584495	256603	Passengers Wife
584495	260034	Mme Rubin
584495	268822	Madame tout le monde
584495	269088	Café Patronne
584495	278136	La patronne de La Grenade
584495	280517	
584495	301402	Jacqueline
584495	314350	Amie de Richard
584495	328751	Mrs. Crick
584495	335082	Mimi
584495	342611	Mamiska
584495	377726	
584495	385845	La clocharde (segment "Un hom
584495	390513	Madame Polant
584496	159449	Angela
584496	389269	Herself
584497	159674	Girl in taxi
584498	389269	Herself
584499	3390	
584499	5270	Gregoria
584499	12102	
584499	18791	
584499	51681	
584499	54869	Madre de Soleá
584499	55527	
584499	74905	
584499	75500	
584499	89750	
584499	91319	
584499	106017	
584499	106302	
584499	203884	
584499	209363	
584499	255800	Ramona
584499	258492	
584499	275087	
584499	281767	
584499	296495	
584499	351471	
584499	351665	
584500	18962	Herself
584501	196255	Lady Mary
584501	362815	
584502	291468	Aspiring Writer
584503	19053	Trini
584503	26467	Ann Gentry
584503	29391	Carol Lindquist
584503	29441	Diane Jennings
584503	30806	Kinita
584503	67620	Jenifer Welles
584503	80551	
584503	80757	Hilda Potter
584503	80778	Martha Cope
584503	81278	Pat Trahey
584503	113852	Marion
584503	113897	Toby Collins
584503	114613	Lucy
584503	157654	Denise
584503	187977	Bernice Meyer
584503	194039	Venida
584503	196352	Aimee Thanatogenous
584503	203913	Arlevia Jessup
584503	214265	Herself
584503	230127	Mrs. Palmer
584503	231919	Jenny Kenedisis
584503	234343	Cathy
584503	252259	Sue Unger
584503	253357	Nora Turner
584503	269766	Tiara Marshall
584503	270271	Ruth
584503	287027	Herself
584503	328587	Darlene Foster
584503	346299	Mrs. Chambers
584503	372613	Bonnie Baron
584503	406719	Beulah
584504	385724	Rebecca
584505	187985	Additional Voices
584505	336033	Cara
584507	263572	Clerk
584508	344534	Herself
584509	348229	Neighborhood Watch Member
584510	177668	Jane Austen
584510	177669	Marianne Thornton
584511	185319	Jenny Neal
584512	241742	
584513	49483	Barbara's Mother
584513	308382	Latisse
584514	178976	Teenager in courtroom
584514	305898	Student
584515	161864	White Warrior
584516	67817	
584516	163699	La 'Secca'
584516	204315	Sara Treves
584516	234730	Mrs. Betti
584516	348161	
584517	198567	Script supervisor
584518	369458	Translator
584519	92618	Psychiatric Patient
584520	86982	Food Nymph
584521	90457	
584522	258306	Julie
584523	151177	Kid 3
584524	178061	Nightclub singer
584525	193552	Sarah
584526	287414	
584527	18552	Mrs. Purcell
584527	25465	
584527	37233	Julie Rostina
584527	41094	Francine Rogers
584527	51872	Tricks
584527	53193	
584527	64729	Susan Alexander Kane
584527	66314	Nurse
584527	68055	Miss McDermott, Ballin's Secr
584527	70301	Inmate
584527	114649	Nurse
584527	131454	Girl
584527	137262	Helen Parker
584527	221130	Woman (at station)
584527	235097	Jean Duncan
584527	239198	April Jenkins
584527	245518	Secretary
584527	256432	Joan Darcey
584527	264444	Louise Terris
584527	280201	Daisy
584527	280969	
584527	289418	Marjorie Lawe
584527	337366	Ann
584528	5447	
584529	389897	
584530	92862	Lochaber's Girl
584531	7184	
584531	376999	Comité 2000
584532	241799	Christmas choir member
584533	81117	Delores
584533	303235	Isabel
584534	313056	Mariela
584535	261281	Waitress
584536	37682	Vegetarian Couple
584536	47277	Telethon Performer
584536	192267	Passerby on street
584536	230934	Agency Model #1
584537	85987	Monica
584538	142928	Catherine d'Aragon
584539	503	Mylène
584539	23540	
584539	23638	
584539	23860	Mme Abit
584539	47400	Mme Moutiers
584539	62460	Yvette Marceau
584539	99736	Claire
584539	101221	Marthe
584539	101225	Maïté
584539	111143	La femme du gendarme
584539	119792	Claire
584539	199323	La princesse
584539	205967	Marion's mother
584539	218255	Irène
584539	225767	Louise
584539	251527	Mère Angèle
584539	257114	Mademoiselle Pierson
584539	258314	Mme Couperin
584539	258841	Hélène
584539	272033	
584539	300660	Catherine
584539	306950	Restaurant owner
584539	338112	
584539	353922	Nurse
584539	357074	Sonia
584540	297646	Woman on Bike
584542	10901	Bordello Lady
584543	323973	Miss Cottrell
584544	253059	Vendela
584545	215685	Miss Trinidad & Tobago/Miss U
584546	306785	Nurse in Hospital
584547	9932	
584547	18039	
584547	58072	
584547	64016	
584547	80336	Woman (segment "Intoarcerea")
584547	211480	
584547	222466	
584547	248729	
584547	267893	
584547	284345	
584547	353257	
584547	404749	Mrs. Raffy
584548	64750	James' Wife
584550	158762	Louise
584551	213089	
584552	390653	Dancer (1992-1993)
584553	3169	Friend
584553	14885	Doretta
584553	14953	
584553	20747	Barbara Leduc
584553	20802	Anita
584553	36511	La bambina
584553	51704	
584553	54151	
584553	54347	Margherita
584553	55168	Elena
584553	60120	
584553	94711	Mi-Tzi-Ka
584553	94731	Dolores
584553	118834	
584553	119261	Katy Grimaldi
584553	123273	Carla
584553	127431	Liesel
584553	127985	
584553	162084	
584553	186562	Federica
584553	200509	Angela
584553	205889	La fotografa
584553	230001	
584553	234824	Evelina Mancuso
584553	252649	Claudine
584553	253031	Angela Antonia Garofalo
584553	253713	
584553	261890	
584553	267310	
584553	270795	Maria
584553	270800	
584553	274785	
584553	287481	
584553	289348	
584553	289478	
584553	294773	
584553	307460	
584553	332251	Hyacinth
584553	336597	La moglie de Lancetti
584553	338361	Una prostituta
584553	349534	Signora Covelli
584553	396820	
584554	381821	Ensemble (1980)
584555	391632	
584556	68609	Namorada que beija
584557	166986	The Little Girl
584558	177983	Nargis
584559	11323	Mamina
584559	12337	
584559	18197	Sra. Guisseppi (cook)
584559	23181	
584559	27280	
584559	42935	Madame Benoit
584559	52490	La Rumbarita
584559	54973	
584559	57606	Mama Gini
584559	74707	Aunt Rose
584559	83783	Heavy Woman
584559	97421	
584559	100674	Conchita
584559	103221	Carmen
584559	108931	Maid
584559	127687	Sarah
584559	128203	Carmenata
584559	129804	Marie
584559	130028	Mary, Jo's Housekeeper
584559	139087	Maria Romero
584559	143651	Viola
584559	145999	Fat Harem Lady
584559	155863	Lisa
584559	171182	Madame Fogharde
584559	183838	Chambermaid
584559	183846	
584559	184994	Concha
584559	186012	Mamacita
584559	194118	Fat Scrubwoman
584559	195288	Marfa, Hostess at Inn
584559	196486	Emilia
584559	199603	Duenna
584559	236449	Aunt Rosita
584559	248983	Madame Vauquer
584559	260224	Tony's Wife
584559	267365	Rosa
584559	271854	Marda
584559	279743	Señora Matinez
584559	280485	
584559	280846	Vannucci, Rita's Maid
584559	281871	Mrs. Kohn
584559	282057	Rosita's mother
584559	283715	Chanteuse at Bohemia Cafe
584559	291703	Mimba
584559	291704	Mula
584559	316788	Buttercup, Mary's Companion
584559	330304	The Persian Prince
584559	336035	
584559	356470	Madame Timbuctoo
584559	360045	Mrs. Spadaloni
584559	362362	Camille, fat lady
584559	364433	
584559	364773	Proprietess
584559	366612	Mama Guido
584559	367740	Mother Suzy
584559	368962	
584560	249283	
584561	350216	Hooker
584562	217102	
584563	372758	Herself
584563	399130	Natasha Kovac (1990)
584563	411830	Herself (1986-1988)
584564	399130	Amy Robinson (II) (1992)
584565	4970	Michelle
584565	68772	Beautiful Girl
584566	226635	Herself
584567	319326	
584568	367083	Dancer
584570	56465	
584570	64977	
584570	124534	
584570	148053	
584570	159188	
584570	236478	
584571	391621	Herself
584572	217214	
584573	97460	Herself
584573	222699	Thurman's Girl
584573	328920	Jan
584574	148133	Nora Ramos
584575	128154	
584576	322938	
584577	163368	Mother
584578	329894	Titiana Venduta
584579	24065	
584579	28167	
584579	77303	Frau Januschko
584579	120154	Elvira von der fahredenden Th
584579	120926	Rosa
584579	136173	Wirtin
584579	142055	
584579	175399	Kellnerin Sophie
584579	180882	
584579	198420	
584579	225640	'Tante' Blaschek
584579	322527	
584579	345013	
584579	354073	Frau Redlich
584579	360927	Revolutionärin in Wien
584579	361015	
584579	361094	Frau Elise
584579	365615	
584579	366594	Landlady
584579	369169	Frau Hammer
584580	219558	Tina
584581	11206	
584581	11418	
584581	12172	
584581	12196	
584581	12199	
584581	12214	
584581	12783	Celia Thaxter
584581	21478	
584581	22936	Cherry O'Day
584581	24158	Ethel Ames
584581	30112	Carrie
584581	32783	Princess in Pantomime
584581	33595	Marie Duval
584581	33748	Eleanor Sparks
584581	35359	
584581	35368	
584581	35372	
584581	36982	Helen
584581	40437	Helen Williams
584581	41059	Blanche Revelle
584581	43103	
584581	43537	Angela Gaskell
584581	44286	Rose Hardy
584581	44937	Helene
584581	47911	
584581	48066	
584581	49254	Billie Blake, aka Aggie, Enri
584581	51872	Cafe Hostess
584581	56187	Babka
584581	60203	Nan Carey
584581	64539	Carlotta
584581	65372	
584581	69419	Mrs. Lucy Morgan
584581	71533	Katherine West
584581	71993	Belle Starr
584581	72328	Belle Starkey
584581	75319	
584581	75930	Connie Colton
584581	77992	Madame Sapho
584581	80369	
584581	83564	Diane Duval
584581	84139	Ruby Smith
584581	85096	Rose
584581	88832	Mae
584581	92717	Molly Cole
584581	97420	
584581	101073	Dodo Baxter
584581	103445	Ruth Ashley
584581	104937	Eve
584581	108026	Clarissa Stanhope
584581	109506	Margaret Stone
584581	110413	Sue, Gang Moll
584581	110977	Dalla
584581	117277	Bernice Arnold
584581	124104	Dorothy Delbridge
584581	124717	Baroness Corri
584581	130026	Roxey Moore
584581	133609	Mary
584581	134103	Joan/Genelle/Coralyn Parker
584581	135594	Maizie
584581	139020	Selena Webster
584581	140732	
584581	140808	
584581	140897	
584581	142984	Miss Spencer
584581	143035	
584581	143148	
584581	143408	
584581	143610	Martha Blake
584581	145774	
584581	147633	Cameo appearance
584581	147650	Betty
584581	147722	
584581	150586	Soubrette
584581	160452	Jane Gershon
584581	161901	Mrs. Kessler
584581	162930	Stella
584581	165571	
584581	166387	
584581	176235	Molly Brandon
584581	176783	Kate
584581	183391	Christine Bleeker
584581	183808	June
584581	183869	Diane Wyman
584581	186010	Mrs. Van Horn
584581	186029	Molly
584581	186281	Margaret Rolfe
584581	186694	
584581	187673	
584581	190300	Kit Miller/Isabelle Fullerton
584581	190470	Jane Ravenslee
584581	191766	Phyllis Dare
584581	192024	Lady Babbie
584581	193265	Mary Reed Carter
584581	195325	
584581	195432	
584581	195871	Mitzel
584581	199246	Mrs. Lucy Morgan, an Alimony 
584581	204167	
584581	204855	
584581	207172	Betty
584581	212609	Joan Bruce
584581	213207	Sally Wayne
584581	214144	Gloria Neville
584581	214619	
584581	214941	Rose
584581	220779	Gertie
584581	230706	Olympe
584581	231016	
584581	231047	Kitty Truman
584581	233966	
584581	235685	Millie Sprague
584581	240981	Nita French
584581	245251	
584581	245622	Jen Galbraith
584581	246960	Lola Montez
584581	250614	Molly
584581	260091	Molly Jones
584581	260874	Chicago
584581	261703	
584581	264509	Blanche Davis
584581	265246	Hope Deering
584581	266221	
584581	269877	
584581	271896	Pen Broome
584581	275349	Ada Barnard
584581	279539	Thelma Tate
584581	282651	Lady Mildred Cholmondeley
584581	283850	Lala De Breeze
584581	289242	Betty Howard
584581	289625	Rose
584581	292127	Mrs. Davenport
584581	297925	Mahyna
584581	300103	The Pirate Number
584581	301980	Kate Flynn
584581	303970	Sadie Rogers
584581	304954	Loretta
584581	305759	
584581	307864	
584581	311564	Cherry Malotte
584581	316038	Suzanne
584581	316279	Peggy Bowlin
584581	316631	Frederika 'Freddie' Joyzelle
584581	327621	Ruth Harrington
584581	328580	
584581	329814	
584581	330116	
584581	331108	
584581	331118	
584581	331127	Kitty
584581	331682	Helga Larson Hanson
584581	333385	Doris Ward
584581	334182	Lady Jocelyn Leigh
584581	336042	Kitty, Gomez's Moll
584581	342885	Kate
584581	343016	Fluff Harding
584581	346089	Marie
584581	355217	Inez Wakefield
584581	359128	
584581	359130	
584581	359923	
584581	360579	Alice Gray
584581	361638	Lou
584581	362902	
584581	363127	
584581	363417	
584581	363836	Konia Markham
584581	364005	Nancy Brent/Georgina Brent
584581	366615	Hula Kate
584581	367593	
584581	367621	Louise Boucher/Deloryse
584581	367622	Deloryce/Lola
584581	367669	Elizabeth West
584581	368196	
584581	375275	Mame
584582	75279	
584583	132470	Regina
584585	355794	
584586	89161	Piano Player
584587	199099	Policewoman
584588	187156	
584588	335648	Anne
584589	222748	Young girl
584589	396081	Young Linda
584590	141185	Woman in Pink
584591	67387	Lily-Joe
584592	252962	Mrs. Stephen Alden
584593	88270	Candy Hillyard
584594	40625	
584594	45921	
584594	108377	
584594	203268	Isabelle Torres
584594	294046	Mrs. Hilary
584594	303272	Betty
584594	337622	June
584594	367600	
584595	36727	Fifer Pig
584595	163544	Dancer, Cheko Girl
584595	262262	Fifer Pig
584595	331444	Fifer Pig
584595	331454	Fifer Pig
584595	362752	
584596	306012	Mrs. Christian
584597	196494	Queen Elizabeth
584598	24209	Gladys Smith
584598	24696	Jenny Grey
584598	37838	
584598	40119	Mrs. Christopher
584598	47192	Mrs. Culver
584598	54210	Eileen Kell
584598	65353	Duchess Frances
584598	66911	Aunt Ada Doom (Starkadder)
584598	85908	Diana
584598	91590	Alice Pascoe
584598	99149	Ruth Barchester
584598	104047	Mrs. Barfield
584598	109401	Marie De Remy
584598	138770	Mildred Craddock
584598	140192	Mrs. Sanderson
584598	150985	Sylvia Bailey
584598	154619	Mrs. Bennett
584598	169409	Queen Victoria (episode 'Poor
584598	169897	Nelly
584598	183196	Diana Hazlitt
584598	183804	Mme. Brune
584598	186056	Agnes Russell
584598	193581	Mrs. Josser
584598	193608	Sally Hope
584598	196494	Mary Stuart
584598	213994	Mrs. Tulliver
584598	231438	Madame Mantalini
584598	238244	Rosie
584598	239842	Sophie Barnes
584598	241749	Maisie
584598	263785	Queen Victoria
584598	279786	Sophie
584598	295191	The Woman
584598	298010	Barmaid
584598	306489	Lady Worthing
584598	307995	Rosalind Nightingale
584598	308543	Helen d'Alaste
584598	315675	Mother Superior
584598	327213	Mrs. Doe
584598	330698	Rosalie Aubyn
584598	337111	Mrs. Crowley
584598	337483	Emilia
584598	345837	Mother
584598	346840	Dorothy Rendell
584598	354745	Mrs. Pinkerton
584598	355015	Grandma
584598	358879	Countess Helga von Stahl
584598	360692	Florence Nightingale
584598	367563	Rachel Arbuthnot
584598	374564	Mrs. Garth
584598	389123	Aunt Ann Forsyte
584598	404249	Sister Juliana
584599	65632	Cowgirl
584600	6525	Lady Catherine Lasenby
584601	7481	Foxey
584601	7622	Alice
584601	17417	Virginia
584601	17629	Mabel
584601	21300	Chickie
584601	25479	Dixie Belle Lee (Toots Binswa
584601	28249	Masha (Lydia's maid)
584601	32232	Joan
584601	32561	Beulah
584601	32983	Lulu
584601	34977	Hat Check Girl
584601	37051	
584601	42068	Blonde dancing with drunk
584601	44249	Madge Lawton
584601	44452	Dora
584601	47349	Phyllis Westbrook
584601	54830	
584601	63029	Mary Lee
584601	64803	Lilly
584601	67157	Toby Carpenter
584601	71723	Gertie
584601	76579	
584601	77963	Katie
584601	78036	Jennie Silver
584601	78750	Emily Evans
584601	93209	
584601	99428	Adele
584601	103335	Penelope Carter
584601	105324	Jennie Taylor, Eddie's Wife
584601	106107	Emmy
584601	108002	Dottie Nation
584601	112483	Amy Tracy
584601	116222	Sally, a Waitress
584601	125805	Kitty Parker
584601	128317	Aunt Martha
584601	129810	Showgirl in Cafe
584601	130360	Joan 'Mousey' the Colonel's M
584601	130716	
584601	131618	Fay
584601	132754	Mabel
584601	139780	Thelma Biddle
584601	139936	A party guest
584601	144937	Pearl Granger
584601	146813	Joan Randall
584601	147743	Tourist
584601	148933	Kitty Kerry
584601	150575	Emeline Thomas
584601	151696	Girlfriend
584601	154650	Betty Casey
584601	155837	Marie, short order waitress
584601	156939	Young Woman at Party
584601	158777	Joan
584601	167099	Mrs. Simpson
584601	176340	Party guest on phone
584601	177322	Maxine Latour
584601	179026	
584601	183537	Betty
584601	185754	Dawn Day
584601	187725	Caroline
584601	188202	Barbara
584601	188341	Wiggin's girl
584601	188405	Betty
584601	190093	
584601	190543	Diana
584601	191038	Mrs. LaVitte
584601	195468	Southern Girl
584601	195951	Millie Brown
584601	197942	
584601	197943	
584601	199686	Joyce
584601	200484	Nurse
584601	203799	Guest
584601	204188	
584601	204708	Scarlett
584601	213465	Bit Part
584601	213820	Waitress
584601	214106	
584601	216000	Check Room Girl
584601	218714	Cecilia
584601	222768	Hester Boone
584601	231768	Chorine
584601	242110	Margot
584601	249119	Marcelle
584601	253540	
584601	255146	Ernie's Bride
584601	255881	Army wife on bus
584601	266709	Miss Compton
584601	275694	Louise Grapa
584601	275769	Bonnie Newcombe
584601	277513	Amy
584601	279480	
584601	281878	Peggy
584601	282394	Prissy girl
584601	283864	Mary Lee
584601	286114	
584601	286333	Marian Wilson
584601	289546	Jane Cornell
584601	289686	Diana Deane
584601	291778	Blondie
584601	297877	
584601	301998	Lucille
584601	302005	Millie Love
584601	302649	Gwen
584601	303376	Blossom
584601	304279	Peggy
584601	304300	Christine Cross/Her Twin Sist
584601	305394	Molly
584601	307006	Billie Wilson
584601	309286	Blond
584601	309938	Hortense Dobson
584601	311031	Butch's Girl Friend
584601	311995	Sally Prescott
584601	313301	Ellen Romaine
584601	318460	Mary O'Connor
584601	321519	Kitty Grogan
584601	321896	Marge Adams
584601	330159	Sue Carter
584601	331383	Edna Best
584601	331584	Ace's girl
584601	331609	Carlotta
584601	331614	Judson's Secretary
584601	332009	Saleswoman
584601	334403	Mary Lou
584601	335660	Barbara Cartwright
584601	335868	Beulah
584601	337366	Mrs. Johnson
584601	338291	Mae Collins
584601	340905	Blonde on Train
584601	341969	Irene Clare
584601	345989	Sybil
584601	346201	Secretary
584601	347057	Sheilla Bailey
584601	348359	Luella May Carroll
584601	350019	Joan Jenkins
584601	354556	Hazel Dalton
584601	358904	Herself
584601	360421	Carrie
584601	362209	Dorothy
584601	363960	Una Mellon
584601	364204	Cynthia Lou
584601	365233	Anita
584601	365394	Eva 'Evie' Tutt
584601	366205	Caroline (blonde on telephone
584601	367781	Miss Hall, Frazier's Secretar
584601	367843	Kiki
584601	372050	Curly blonde
584601	375045	Miss Sawyer, Auditioning Show
584602	7617	Ruth
584603	18593	Ellen
584603	33091	Diana Carter-Curson
584603	34281	Duchess of Devonshire
584603	49253	Irma Peterson
584603	62109	Sadie
584603	68821	Connie Holt
584603	71562	Clothilde
584603	84837	Mrs. Planet
584603	107623	Mrs. Hesketh Pointer
584603	132753	Elissa Baynham
584603	143363	Liana Vandry
584603	152527	Andree de Vigne
584603	153183	Christine Kennedy
584603	162208	Mrs. Emily Newlands Grey
584603	176236	Piccadilly Bessie
584603	183403	Claire Collins
584603	202946	Vivien Lawrence
584603	207293	Lady Joyce
584603	207680	Sonia Lombard
584603	217658	
584603	219413	Anna Dolores
584603	229635	Lady Castlemaine
584603	233791	Woman
584603	233825	Sue Folsom
584603	251828	Ethel Chichester
584603	277641	Paula Norcross
584603	316310	Muriel Preston
584603	329438	Lady Spencer
584603	337806	Lady Maurice
584603	340028	
584603	346891	Gemma Houston
584603	353310	
584603	363852	Helen
584603	366119	Regine
584603	367613	Louise Harding
584603	367622	Vesta
584603	367835	Hester Dahlgren
584604	387247	Melody (1988-1989)
584605	117340	Child in Halloween scene
584606	80996	Marjorie
584607	338981	Herself
584607	363611	Young Cass
584608	134018	Extra
584608	163247	Extra
584608	277090	Extra
584609	396081	Young Fanny
584610	29686	Hilda
584610	52358	Nugie's wife
584610	92486	Mrs. Quivel
584610	367098	Mother
584611	160058	Tough girl #3
584613	37237	Mrs. Dayton
584613	39539	Mater
584613	68824	Mrs. Ponsonby
584613	78999	Auntie
584613	105616	Martha Murgatroyd
584613	113461	Lady Waldron
584613	131391	Mrs. Joe
584613	138751	Lil Grayson
584613	185347	Miss Smith
584613	194312	Sergeant
584613	203184	Mrs. Massiter
584613	209429	Mrs. Wells
584613	259760	Jane, the widow
584613	296872	Mrs. Bascomb
584613	305645	
584613	330555	Mrs. Starkey
584613	346046	Mrs. Richards
584613	364167	
584614	382769	Reporter
584615	360745	Barbie McNeill
584616	3173	
584616	10390	
584616	12244	Body Double
584616	20683	Mona
584616	23340	
584616	24428	Mistress Tori Sinclair
584616	30581	Reporter #1
584616	37693	
584616	37704	
584616	38895	
584616	42147	
584616	43486	
584616	43504	
584616	43515	
584616	43522	
584616	44513	Pamela
584616	45041	
584616	45045	
584616	45046	
584616	45059	
584616	45075	
584616	51984	Pretty
584616	55044	
584616	56571	Interviewer
584616	57943	Herself
584616	59993	
584616	65376	
584616	66137	
584616	69396	Andrea
584616	70108	
584616	70930	
584616	80724	Jacuzzi lady
584616	83013	Video Dancer
584616	84808	
584616	84809	
584616	85634	
584616	86045	
584616	88167	Leslie
584616	89889	
584616	93340	
584616	95201	
584616	95216	Polissena
584616	102716	Beth
584616	102769	Vampiress (Segment "Midnight 
584616	102771	(segment "Double Exposure")
584616	105901	Eve
584616	106121	Model #4
584616	110665	
584616	117219	
584616	117513	
584616	130089	
584616	130744	Mistress Laura
584616	138645	
584616	142521	Cindy
584616	144975	
584616	151215	Melissa
584616	161632	
584616	163337	
584616	163370	
584616	165434	
584616	175128	
584616	176826	Karen Stone
584616	176911	
584616	178358	
584616	183371	
584616	183847	
584616	184045	
584616	193523	Juno
584616	196004	
584616	197228	
584616	199465	
584616	201598	Nude Ninja
584616	209630	Pregnant Woman
584616	213109	Allyn
584616	230360	
584616	231885	Night Watch Segment
584616	232293	
584616	236330	
584616	236335	
584616	236336	
584616	236355	
584616	236365	
584616	236905	Linda Henley
584616	237924	Karen Stone
584616	238673	
584616	251193	
584616	251490	
584616	261026	Rebecca Barlow
584616	264500	
584616	266615	
584616	267219	
584616	267352	
584616	272868	Woman with Senator
584616	276275	
584616	276652	
584616	279169	
584616	281468	
584616	289467	Nurse in Operating Room
584616	289468	Denise
584616	289934	
584616	292497	Jessica
584616	295721	Female Student #2
584616	295728	Flight Attendant
584616	297321	Karen
584616	299060	
584616	302664	Sandra
584616	302747	Traci
584616	304600	
584616	304624	
584616	309157	Lauren (Executive Assistant)
584616	321318	
584616	323801	
584616	326505	
584616	327820	
584616	331169	
584616	331291	
584616	331433	
584616	332511	
584616	332549	
584616	332892	
584616	332894	
584616	332895	
584616	333052	
584616	333337	
584616	334723	
584616	336091	
584616	336354	
584616	336355	
584616	336356	
584616	336772	Prostitute
584616	342173	
584616	363778	
584616	364119	
584616	369454	
584617	186128	Herself
584618	111037	
584619	153635	
584620	306313	Anne
584621	68351	Rita
584622	113142	Cafe waitress
584623	207796	La grand-mère
584623	269144	Mme B.
584623	353885	La grand-mère
584624	216774	Une manifestante
584625	328844	La petite fille/Little girl
584626	240429	
584627	2880	
584627	46693	Zina Tomeff
584627	71974	
584627	100252	Rirette
584627	346435	
584628	246510	
584629	36648	Antoinette
584629	46942	Nada
584629	65616	Florence
584629	68440	Matilde Carroni, amante di Pe
584629	72534	Livia Ussaro
584629	124322	Mme Pierreux
584629	219471	Andrée Javerdat
584629	227579	Luisa
584629	246188	Odile
584629	247963	Paolo's Mother
584629	343556	Sarah
584629	346656	Mme Monestier
584629	376965	Adeline
584629	386476	Vana Parker (segment "Rumeurs
584629	393561	Laura
584629	396176	Manuela
584629	398054	Madeleine Béjart
584629	412175	Eve
584629	412268	Emilie de Lavalette (segment 
584630	383864	
584631	343572	Un policier
584632	353927	
584633	234776	
584634	110550	Security officer
584634	157892	Oma Winston
584634	376070	
584634	410808	Joyce Weltevreden
584635	87086	
584635	379118	Casilda
584635	383519	
584635	396852	Ruth Samanez (2004)
584635	396898	Zalmudia
584636	176989	Stewardess
584637	16968	Donna
584638	12737	Second Nun
584638	133706	Nurse
584638	191811	
584638	255350	Lucy
584638	388492	Liz (Patrick's niece)
584638	396138	
584638	407586	
584639	363529	
584640	25252	
584641	136089	Jackie
584642	271215	Rainbow Brite (costumed chara
584643	105905	Harem Girl
584644	114235	Wally's mother
584644	215525	First Maid
584644	294198	
584645	351549	Une passagère
584646	51989	Prison Inmate
584647	40838	Marlanna
584648	304560	Jailer
584649	6773	Charley, Alien
584649	18559	Carrie Miller
584649	23446	Louise 'Honey' Parker
584649	30967	Ice Princess
584649	61761	Lydia
584649	88766	Receptionist at Halberstrom C
584649	105945	Nicoline
584649	153190	Shawn Grainger (call girl)
584649	161167	Shelley
584649	168286	Abby Manheim
584649	193123	News Anchor
584649	223777	Kelly Hall
584649	232779	Friend
584649	346361	Julianne
584649	408286	Claire Hemmings
584650	127486	Barbara Jo Wells
584652	78023	Ambassador's Wife
584653	80645	Johnny's Girl
584654	37701	Noreen
584654	236880	Janet
584654	389858	Beth Maynard (1975-1976)
584655	55456	Lake Zombie
584656	190724	Receptionist
584657	108353	Laurie
584658	13047	
584658	83861	
584658	96597	
584658	101883	
584658	103173	
584658	281597	Periodista #2
584658	292906	
584658	296143	
584659	253059	Model #2
584660	9340	Leonora
584661	28861	
584661	253755	
584661	369730	Figena
584662	381144	
584662	383866	
584662	384991	
584662	393615	
584662	396036	
584662	405810	
584663	63831	
584664	165587	
584664	268280	
584665	162170	
584666	68915	3rd Worker
584667	280454	
584668	133949	Herself
584669	9308	
584669	19305	June
584669	47266	
584669	76588	
584669	131716	Emma Salazar
584669	137583	
584669	138945	
584669	152423	
584669	172967	
584669	183139	
584669	190413	
584669	217255	
584669	227418	
584669	281034	
584669	284655	
584669	284669	
584669	332756	Jessica
584669	349028	
584669	368729	
584669	404050	Benilda Villamines
584670	17298	Woman in church
584670	47423	Paku
584670	68140	madre di Marilu'
584670	78974	Meera
584671	315533	
584672	211482	
584673	74153	child
584673	108763	
584673	384447	Yasmin
584673	410535	Almira
584674	189259	Mother
584675	134437	Joven
584676	119822	Child
584677	355028	The Academy's Blessed 'Virgin
584678	218926	Nancy Bartley
584679	52526	
584679	128216	
584679	143036	
584679	143713	Mrs. Bradley
584679	162939	Mrss. Bellamy
584679	163962	
584679	340528	Mrs. Lehr
584679	359887	
584679	367493	Mrs. Collingswood
584680	64264	
584681	66580	Rita
584682	145137	
584682	204644	Madrina
584682	292707	
584683	57778	Juana la loba
584683	70679	Detective 2
584683	106993	Criada
584683	160535	Secretaria
584683	221963	Secretary
584683	235254	Luisa joven
584683	286285	Prostitute
584683	378020	Chica fiesta
584683	379566	Isabel (2000-2001)
584684	112056	
584685	21692	
584686	391634	Diane (segment "Mort amoureus
584687	104770	Spanish entry (2nd place)
584688	13514	
584689	272998	
584690	6479	
584690	12022	
584690	22764	
584690	53673	
584690	55967	
584690	91307	
584690	193341	
584690	222034	Eva
584690	271988	
584690	284095	
584690	317668	
584690	318284	
584690	357519	
584691	210444	
584691	249770	
584691	256720	Mery
584691	292745	
584692	133056	
584693	207047	Visitor
584694	116391	
584695	14770	Chica Lennon
584697	336396	
584698	267050	
584699	249670	
584699	383167	Guest host
584699	384271	Marian
584699	384830	Marian (1997-2002)
584700	213520	Simone
584700	246292	Mica
584701	53669	
584702	51343	Virgin Mary
584702	396221	Fabienne
584703	256738	
584704	2990	
584704	234324	Herself
584704	262980	Herself
584704	381156	
584704	381720	Karen
584704	381901	7th evicted
584704	381904	Herself (7th Evicted 2004/1)
584704	383633	
584704	384771	Topacio 'La Matadora'
584704	396209	
584704	401251	
584704	403024	Alma Rey
584704	403290	Reina Azcárraga
584705	6737	
584706	46201	
584706	53653	
584706	53669	Ana
584706	63880	
584706	63887	
584706	86710	
584706	97368	
584706	100406	
584706	143787	Jacinta Cárdenas
584706	145275	
584706	171469	
584706	175076	Tobias
584706	222957	
584706	236032	Kay
584706	247178	
584706	268497	
584706	371776	
584706	383267	
584706	383633	
584707	386664	Hostess (2004)
584707	392811	Interviewer (2000-2002)
584707	395067	Hostess
584708	187198	Sylvie Flanberg
584709	8669	
584709	30297	Layeta, Remy's Whore
584709	45104	Hargus' Woman
584709	46125	Lala
584709	59099	Woman in Market
584709	73475	Pretty Woman
584709	86300	
584709	92195	
584709	152300	Inez
584709	233934	Mexican Girl
584709	274682	Maid
584709	277899	Carla
584709	307842	Silveria
584709	327764	Belle
584709	333182	Maid
584709	335896	Dolores
584709	343103	
584709	368592	Whore #1
584710	395846	
584711	107698	Carlita
584711	177988	Cafe Girl
584711	218780	Dancer
584711	247372	Performer in "Good Neighbors"
584711	371887	Maid
584712	383803	Herself (segment "Lindbergh's
584713	12612	Young Crystal
584713	272518	Mandii Carson, the 'lavender 
584714	67372	April Carter
584714	135317	(segment "Ver Para Crer")
584714	343158	Switchboard Operator
584715	146440	
584716	138172	Sarah
584717	289650	
584718	66151	Lora
584719	10160	Saskia Botan
584719	13121	Stéphanie
584719	40067	Louise
584719	69259	
584719	140290	
584719	230945	Mademoiselle Louise Morand
584719	240429	
584719	276536	Young Josette
584719	348718	Bride
584719	359783	Sarah
584719	403253	Lisa
584720	10160	Little Girl
584720	69259	Herself
584721	10160	Young Saskia
584721	69259	
584722	100868	Akawo
584723	18544	Friend in Owner's Box
584724	183466	Empleada sombrería
584725	72892	La secrétaire
584725	184357	La Reine (The Queen)
584725	222672	Ice skater
584725	234747	Luciana
584725	236596	
584725	345216	Herself
584725	345456	Camélia
584726	163746	
584727	7423	Grams
584727	8932	Sister Maria
584727	26286	Receptionist
584727	91134	Doria Wentworth
584727	107930	Passenger, wife of heart atta
584727	161537	Herb Myerson's Private Nurse
584727	208288	Old Woman
584727	261605	Mrs. Haddam
584727	291138	Mrs. Graves
584728	178096	Nun
584728	295340	
584728	358564	Landlady
584729	159439	Revell Child
584730	266758	Stretch Woman
584731	292643	Giant Butterfly
584731	408866	College Student
584732	273077	Transilvania Extra
584733	310572	
584734	16803	Theresa
584734	137711	
584734	151340	Eileen
584734	160884	Café Waitress
584734	229260	Kate Kelly
584734	272586	Marietta
584734	347374	Victoria
584734	403680	Octavia of the Julii (2005-)
584735	35597	Goblin
584736	269435	
584737	107125	Reporter #1
584738	171930	Girl #1
584739	51070	Passer-by
584740	72726	Cleveland's Girlfriend
584740	213866	Meg
584740	289473	Female Guest
584741	152263	Rita's friend
584742	252989	Mrs. Papadopoulos
584743	286899	Elaine, a Dancer
584744	171035	Chuey and the spatular bass
584744	314625	Herself (Bass)
584744	330409	Bass Player
584745	28196	
584745	36640	Sor Ana
584745	334706	Julia
584745	385052	Cristina Castro-Iglesias alia
584745	387807	Melissa
584745	396618	
584745	399620	Mariela de Falcón
584745	399943	Emilia
584745	401694	Paula Mejía Guzmán
584745	408410	Irene
584746	168745	Student
584747	168745	Student
584748	32052	Miss Iowa
584748	64562	Herself
584748	74267	Emu O'Hara
584748	121487	Sarah Gray
584748	124340	Tanya
584748	168780	Buffy Heatherton
584748	170857	Little Monster's Mother
584748	187226	
584748	212732	Cindy Landon
584748	216445	Barbara Elizabeth Chandler
584748	233307	Young Pat Nixon
584748	248008	Marilyn
584748	279424	Amanda Tucker
584748	320698	Dr. Barbara Collier
584748	323153	Ruby
584748	336647	Shelly
584748	368949	
584748	387343	Syndi Teller
584748	388349	Chelsea Greene
584748	404282	Emily DiNapoli Hughes (1989-1
584749	358477	Raver
584750	292287	Laura
584751	312876	
584752	110338	Go Go Dancer
584753	96519	Teresa Valegnani
584753	124833	Lucia
584753	195588	Clarissa
584753	236179	Marcellina
584753	352133	Mrs. Quickly
584754	370889	Party extra
584757	246000	Watermelon Contestant
584758	168286	Freckle Faced Basketball Play
584759	215331	Joan
584760	14770	Mari José
584760	23190	Sol Montes
584760	55866	Dona jove
584760	110393	Sela
584760	235296	Leo
584760	266862	
584760	288047	Sara
584760	353572	Tina
584760	386093	Judit
584760	401688	Mònica/Ester
584760	402380	Susa
584760	405498	
584761	227031	Yvonne Duval Dixon
584762	194055	Mrs. Midgley
584763	140162	Secretary
584764	367023	
584764	382239	Catherine Duboys
584765	395885	
584766	3439	
584766	30407	Ana
584766	51532	
584766	61067	
584766	63755	Marta
584766	74969	Cris
584766	76111	Chelo
584766	96374	Paloma
584766	201499	Toti
584766	221926	Regina
584766	234400	Gloria
584766	270670	
584766	349334	Herself - Presenter: Best Cos
584766	353017	Herself - Presenter: Best Sup
584766	353018	Herself
584766	369755	Herself - Presenter
584766	370062	Juan's Mother
584766	380849	
584766	384062	Nuri
584766	392845	Herself - Hostess (1992-1993)
584766	401105	Magda
584766	412125	
584766	412151	
584767	64021	
584767	291626	
584767	292725	
584767	295011	
584767	309083	
584767	348933	
584768	360646	
584769	101897	
584769	145245	
584769	199784	
584769	221892	
584769	251232	
584769	258491	
584769	273663	Tia de Graciela
584769	274764	
584769	379131	
584770	25027	
584770	90189	Innkeeper's Daughter
584770	132367	
584770	201302	Barsa/Berta
584770	266479	
584770	332563	
584770	382418	Bruja Averia (1984-1988)
584770	384217	Ilvie
584770	385783	Lisa
584770	409871	
584770	410570	Madre de D'Artacan
584771	402660	
584771	410954	Presenter
584772	79402	Marcella
584772	95337	Miss Lydia
584773	324594	Modesta
584774	20751	Emma
584774	34238	Benedetta Hösli
584774	71447	La cameriera
584774	73600	Rosa
584774	89567	
584774	90028	
584774	97835	
584774	110387	Giuliana, Pomata's sister
584774	115600	
584774	125795	
584774	158700	Patrizia Aiello
584774	159469	Italia Varotto
584774	194150	
584774	197565	Carla
584774	205248	Camilla
584774	214869	Marcella Vicini
584774	246177	
584774	247642	Lina
584774	248187	Hostess
584774	248889	Lina
584774	249249	Sara
584774	292274	Adele
584774	293935	
584774	294526	
584774	315430	
584774	351297	Cristina
584774	405800	
584775	70512	Pruddish Cashier
584776	58748	
584776	306953	Clémence
584777	11943	Gina Ginatello
584778	287719	Betty
584779	35073	Angela
584779	224691	PMS Avenger
584780	220775	Rod's Girl
584781	270825	
584782	384002	Patrícia
584782	388563	Denise
584782	392628	
584782	398793	
584782	405418	Lia
584782	409025	Soraya
584783	265864	Sandra
584784	257015	Cecilia
584785	402951	Herself - Dancer
584786	28601	Elisa
584786	33454	Laura Hoffmann
584786	209962	Dole
584786	212167	Caro
584786	226211	
584786	259677	Kim Krinowsky
584787	89346	
584788	8587	
584788	189219	Yu Xingxian
584788	221499	
584788	256757	Shan
584788	260916	Ling
584788	268801	Xiurong
584788	336856	Shan
584789	57658	Herself
584789	277762	
584789	364300	Herself
584790	155912	One of the Judges
584791	296967	Lee Faulkner
584791	303611	Janice Johnston
584792	255938	Drug Dealer
584793	10853	Shoshone (Computer Voice)/Tri
584793	58771	Anchorwoman
584793	58773	Leggy Beauty
584793	192381	Gaspari
584793	201643	Herself/Leggy Beauty
584793	218397	Anchorwoman
584793	355165	Natalie
584793	382254	Yvet
584793	385465	Xanda
584794	72086	
584794	83431	
584794	92356	
584794	267844	
584796	309803	Bar Patron 1
584797	75360	Michele
584798	125257	Doktersassistente
584799	7475	Juge d'instruction
584799	101581	Maria Leoni
584799	397857	Mère Anna
584800	32842	Olga
584800	33507	Waitress
584800	114771	
584800	162657	Cafeterieejer
584800	166774	Landstrups elskerinde
584800	173148	Stuepigen Erna
584800	181304	Tjenestepigen Erna
584800	203398	Øbro-servitrice
584800	213438	
584800	225351	Kims mor
584800	236274	Klammernes sekretær
584800	237300	Stuepigen Erna
584800	281085	
584800	306021	Arbejderkone
584800	317814	Betty
584800	333556	Maren
584800	349081	
584800	354739	Jordmorder
584800	357814	Marie
584800	382884	Madam Ludvig
584800	383948	Syg Dame
584800	391722	Helles mor
584800	392098	Therese
584801	99201	Huishoudster
584801	411116	Trees (Theresa) Lemmens, moed
584802	400286	Terza giornalista
584803	111045	Ma secrétaire
584804	96341	
584804	136858	
584804	202207	
584804	217464	
584804	242678	
584804	265157	
584804	271186	Sra. Pro
584804	308469	
584805	382095	Çiçek Kozan
584805	392575	Melek
584805	411678	Pembe
584806	382134	Neslihan
584807	385917	Aunt Agnes
584807	403205	Host
584808	355028	The Academy's Blessed 'Virgin
584809	290394	Sarah
584810	157575	Norma Goron
584810	204553	Wert's Secretary
584810	278259	TV Reporter
584811	117454	Featured dancer
584812	321206	Danielle Johnson
584813	183669	Carla
584814	218330	Florist
584815	66322	Nurse #2
584815	193956	
584815	303819	Claudia
584815	318783	Mrs. Kazimias
584816	84898	Rose Hawley
584816	140408	Fay Coleman
584816	143281	Queena Farrar
584816	241892	Ronnie
584816	263164	Alma Cronin
584817	6273	Apartment tenant
584818	330314	Marcia
584819	140186	Shakespearean Actor
584819	185341	Clothing Witness
584819	385887	Federal agent
584820	326801	Sam
584821	144683	Suzy
584822	305990	Baby Curley
584823	87638	Host
584824	56545	Herself
584824	79812	Melanie Hope
584824	107453	
584824	159718	Ida Glenshaw
584824	203179	Molly Pichon
584824	207139	Molly Pichon
584824	269617	Thena
584824	278610	
584824	368944	Louie's Sister
584824	392340	Claire
584824	394483	Sasha
584824	408973	Katie Davis
584825	120279	Miss Ames
584826	60209	Bobby
584826	128510	Ellen
584827	37344	Rita
584827	50607	Mrs. Chadway
584827	54920	Margaret
584827	63099	Gramma Pat
584827	65584	
584827	80482	Mrs. Catcher
584827	80801	Geneviere Capstaff
584827	82050	Judge Turner
584827	99469	Mrs. Thornton
584827	99470	Mrs. Thornton
584827	115492	
584827	143074	Jody's Mother
584827	199487	Herself
584827	206129	Saleswoman
584827	232497	Lynette Beardsly
584827	273835	Dr. Monroe
584827	276667	Witch
584827	277436	Rose Kennedy
584827	282997	Doll/Others
584827	286260	Grandma
584827	289089	Grandma Wilton
584827	297790	Female Judge
584827	333812	Rosie
584827	381677	Gran
584827	385824	Phyllis Anderson #2 (1973-198
584827	385919	Vern
584827	388869	Miss Pratt
584827	390775	Mae Moran
584827	391834	Norma
584827	401108	Hoot
584827	402558	Sister Butch
584827	407020	
584827	410588	Mrs. Pennyworth (1988-1989)
584828	38614	Waitress
584828	54551	Mrs. Hamilton
584828	62536	Marilyn
584828	107175	Billy Mae
584828	112369	Mrs. MacCauley
584828	125816	Mac Moody
584828	126506	Virginia
584828	154739	Miss Bain
584828	183815	
584828	214735	
584828	227928	Rooney
584828	257520	Kate's Nurse
584828	263174	
584828	276635	
584828	276709	Mombi
584828	282990	Mrs. Santa Claus
584828	314946	Mrs. Cratchit
584828	336788	Gladys Ripps
584828	350012	
584828	382419	Sally Spectra (1988-)
584828	383385	Louise (1984)
584828	385824	Edith Baker (1983)
584828	389858	Trixie (1984)
584828	403509	Moderator
584828	411802	Rose DeVille (1979-1980, 1986
584829	147655	Navigator
584830	34866	Maid
584830	40704	
584830	107407	Tessie
584830	109654	Sally
584830	110168	Gloria Morning
584830	118407	Señora Flora Romez
584830	124226	Millie Thomas
584830	358617	Caroline Rutherford
584831	36985	Secretary
584832	65658	News Reporter (Denver)
584832	278247	Reporter #1
584833	159263	Aunt Theodora
584833	314360	The Nurse
584834	281997	Hostess
584835	124014	Paula
584835	150507	Additional Voices
584835	232426	Yuuko
584835	238788	Ona
584835	293450	Yuki
584835	373369	Kayo
584835	394660	Maki
584835	396501	Saki Sawanoguchi
584835	411883	Keiko Yukimura/Additional Voi
584836	143108	Foreman
584836	224073	Lida Stasiuk
584836	232463	Operator
584837	40901	Tangerine Beausoleil
584838	215860	Young Maggie
584838	410416	Cassie Aisling
584839	330221	Connie
584840	354563	Club 1,000,000 Lineup
584841	124225	Marcy
584841	196117	Cara
584841	256464	Reporter
584841	385515	Jinette McMahon
584841	393058	Herself
584841	397238	Dr. Maggie Yang
584842	379999	Herself
584843	129561	Herself
584844	264445	
584845	355924	Norah Anderson
584846	169963	Pollan's Secretary
584847	307380	Young Charlotte Anne 'Channe'
584848	93068	Mrs. Fletcher
584849	387247	Eibhlin O'Donnell (1991)
584849	388840	Mother
584849	405024	Lady Frances Fairbrother
584850	31776	Secretary
584850	40223	Shannon
584850	72685	
584850	108320	Wanda
584850	118906	Christina
584850	191096	Stacey
584850	210700	Callie
584850	251691	Lisa
584851	228521	Native American Family
584852	17679	Mrs. Darby
584852	64400	Mrs. Healey
584852	76259	Nurse
584852	97212	Sister Immaculata
584852	97611	Paddy at Common Lodging House
584852	97681	Customer in Hairdressers
584852	190191	Grandmother
584852	196037	Rosella Coyle, Irish B & B Pr
584852	224070	Sadie
584852	234461	
584852	269053	Publican Woman
584852	305990	Barrytown Neighbour
584852	315493	Mrs. Jeffries
584852	364869	Mrs. Lawless
584852	393001	Maggie Nolan (1983-1985)
584853	163358	
584854	687	Herself
584854	12251	Donna DeVito
584854	64569	Herself (performer)
584854	120080	Waitress
584854	121802	Herself
584854	125606	TV Actress
584854	133401	Frenchy
584854	133402	Frenchy
584854	200275	Cal
584854	222590	Julie Evans
584854	270944	Raggedy Ann
584854	299071	Stacy Jones
584854	299768	Patrice
584854	330994	Stacy Jones, Shining Time Sta
584854	331550	Eve Harris
584854	352961	Herself/Frenchy
584854	354884	Violet
584854	368305	Receptionist
584854	372198	Laurie Robinson
584854	381571	Herself/Frenchy
584854	381668	Denise Florence Stevens Downe
584854	389022	Cupcake
584854	392421	Herself
584854	393482	Additional Voices
584854	394276	
584854	402030	Helen
584854	403682	Housekeeper
584854	405152	Stacy Jones (1990-1993)
584854	406387	Spice
584855	316740	Mother Vero
584856	165107	Stacy Horozwitz
584856	189310	Denise
584856	368944	Karen
584857	158176	
584858	286350	WAC at party
584859	245502	
584860	144922	Swoozie
584860	304397	Lisa Ward
584860	403608	Susey Quartermain
584860	404282	Wanda Berkowski (1988-1989)
584861	35690	Tutu
584862	348660	Judith
584863	185422	Uzma
584863	202880	Jasmin
584863	208632	Nurse 2
584863	261434	Candi
584863	386858	Kerry Kottoor (Series 5-) (20
584863	391166	Sharim Raziq
584863	397493	PC Miriam Da Silva (2001)
584864	2010	Self
584864	149026	Woos Bodyguard
584864	176255	Eliza
584864	194034	Tina Hobble
584864	311407	Vicky
584864	335711	
584864	380713	Kathryn "Katie" Ann Peretti F
584864	382703	Ashley Dupree
584865	141674	Tramp
584865	232209	Mrs. Miller
584865	232248	Elderly woman #1
584865	313762	Lady at Auction
584866	240471	Norah Bell
584867	923	Herself (in limousine at airp
584867	34648	Herself
584867	47758	Herself
584867	105721	Herself (in Dallas with JFK)
584867	118271	Herself
584867	152301	Herself
584867	167324	Herself
584867	203572	Herself (in presidential limo
584867	210854	Herself (in Zapruder film)
584867	233307	Herself - Leaving Air Force O
584867	274620	Herself (Dallas motorcade)
584867	282919	Herself (in presidential limo
584867	337129	Herself
584867	397430	Herself
584868	283361	Elderly Lady
584869	207472	The Boy
584870	203223	Flute Student
584870	303833	Samantha
584871	69041	
584872	65417	Capt. Nemo and His All Girl B
584873	178291	Old Lady
584874	131232	Extra
584875	309807	Running Black Woman
584876	298129	Queen
584877	390319	Dietitian
584878	243744	Angela (Michael's Daughter)
584879	385824	Barbara Newirth (1992)/Mauree
584880	311975	
584881	42296	Hawaiian Tropic Team Member
584881	58662	Office secretary
584882	164542	Sarah
584883	91585	2nd Girl
584884	227053	
584885	182706	Additional Voices
584886	183843	Mrs. Copwer-Cowper
584887	13348	Aunt Peggy
584887	72689	Mother
584887	75901	Duenna
584887	92513	Aunt Agatha
584887	126742	Grandma
584887	150814	Mrs. Conway
584887	180493	Miss Roberts
584887	183871	Mrs. Maxton
584887	200480	Ida Griffith
584887	202736	Agnes Gooch
584887	218711	Herself
584887	270265	Anthropologist
584887	293105	Woman
584887	339707	Mrs. Connolly
584887	367948	Waitress
584887	381893	Miss Roberta Domedian (1991-1
584887	387111	Bridget McKenna
584887	406376	Jane (1956-1957)
584888	362261	JoAnn
584889	192746	Lana
584890	252825	Sally's Friend
584891	54207	Sally Markham
584892	73560	Leslie
584892	105113	Deb Rayner
584892	117666	Stewardess
584892	153570	Julia
584892	166904	Sandra
584892	244356	Christie
584892	262529	Deborah
584892	331664	Newspaper Reporter
584892	337121	Janie Quinn
584892	368941	Cynthia
584892	396974	Rose
584893	144406	
584894	272648	Jesse
584895	4976	Helen Rollason
584895	29631	Final Girl at Airport
584895	73967	Julia
584895	77924	Lynne
584895	97199	Paula Brown
584895	130817	Liz Johnson
584895	154793	Peggy
584895	176718	Kay Martin
584895	196959	Margaret Peel
584895	203443	Eunice Blair
584895	230356	Stores Girl
584895	231127	Mary
584895	260850	
584895	278820	May Ann McMahon
584895	304365	Mrs. O'Hara
584895	315583	Shelley Baxter
584895	337111	Mary Roper
584896	3977	
584897	6526	Agatha
584897	165414	Edwina
584897	305360	Bell Dale
584897	401623	Presenter
584898	119322	Abby
584899	251979	Tulane Law Student
584900	16644	Nurse
584900	137569	Policewoman
584900	162617	Dance Pupil
584900	382911	Baby Hornigold (1956)
584901	93776	Student
584901	134321	Beverley/Ginger
584901	257508	Greasy Woman
584901	342792	Bonnie/Valerie/Sleazy Directo
584901	364040	Debbie/Esther
584902	303820	Claire
584903	30176	Woman in Shop
584903	203297	Marion Custom
584903	411809	Anne Marie Austin (1977-1979)
584904	192192	
584904	329800	
584905	190324	Mrs. Boring
584906	291017	
584907	296061	
584908	57372	Mrs. Van Dream
584908	308864	
584909	35	
584909	16025	
584909	20765	
584909	143369	Janet Biggs
584909	152655	Esther Kantor (child)
584909	224198	Sophie
584909	308864	
584909	308866	
584909	308870	
584910	202989	Felice Strange/Felice Norcros
584910	298608	The mother
584911	31317	Nurse
584911	117118	Cassie Mills
584911	133859	
584911	165958	Wannabe #2
584911	272031	Lori
584912	1703	Herself - Presenter
584912	1725	Herself
584912	2818	Herself/winner
584912	2889	Herself - Presenter: Best Mot
584912	3046	Herself - Best Supporting Act
584912	3053	Herself - Presenter: Best Sup
584912	3165	Herself (presenter)
584912	32114	Alicia Larde Nash
584912	34744	Sarah (segment: Underground)
584912	54946	Josie McClellan
584912	78789	Emma Murdoch/Anna
584912	78992	Dhalia
584912	108953	Ellie
584912	141272	Emma Burgess
584912	145019	Taryn
584912	150390	Gloria Harper
584912	150998	Kathy
584912	152426	Betty Ross
584912	160448	Herself
584912	160490	Herself
584912	161790	Eleanor Abbott
584912	183213	Sarah
584912	201686	Herself ("Betty Ross")
584912	201741	Herself
584912	217874	Herself/Jennifer Corvino
584912	222195	Allison Pond
584912	238514	Irene
584912	241141	Young Deborah
584912	243148	Herself
584912	254621	Jennifer Corvino
584912	259749	Ruth Kligman
584912	276085	Marion Silver
584912	280174	Jenny Blake
584912	280175	Herself
584912	295349	Natalie Becker
584912	307887	Gabriella D'Arc
584912	350039	Jennifer Corvino/Herself
584912	352985	Herself
584912	358479	Sarah Williams
584912	368455	Sarah
584912	377930	Claire Hamilton/Natalie Horva
584913	36536	Monica
584913	305575	Pregnant Woman
584914	334130	2nd Woman in Pub
584915	128308	Flora Dora Girl
584915	151173	Elizabeth Wilson
584915	407396	Actress
584915	411404	Feature Singer (1970-1971)
584916	127779	Lica
584916	387457	Dihal, Priestess
584917	149265	Jessie Walton (the first)
584918	238705	Celeste
584920	209651	Lil Higgins
584921	129626	
584922	296021	Herself
584923	390048	Anne Cooper
584923	411819	Jill McComb #1 (1965)
584924	27082	
584924	158595	
584924	219146	
584924	321034	
584924	323540	
584925	35239	Cheerleader
584926	215507	Penelope Likkum, Miss Massach
584927	154968	Vocalist
584929	122188	Elana
584930	111408	Nugget/Bandy/Mrs. K/Additiona
584930	396923	Youji Matsuura
584931	12319	Party Guest
584932	40838	First Woman in Hallway
584932	85834	Angel
584933	187074	Dojo Fighter #3
584934	118939	
584935	257670	Herself
584936	380526	Josie
584937	41502	Soloist in Opening Credits
584937	55189	Micaela
584937	197943	
584937	238520	Herself
584937	313774	
584938	109449	Tracy
584938	191755	Girl in T-Shirt
584938	232251	Orphan
584938	355529	Katy Collins
584939	7075	Blonde At The Pool
584939	27012	Ryan
584939	41595	
584939	41623	
584939	75604	
584939	93990	
584939	97307	
584939	113582	
584939	116013	Herself
584939	128689	Lesbian
584939	138200	Blonde Caucasian Woman
584939	150032	Herself (Ryan Conner)
584939	160240	Himself
584939	230534	
584939	247991	
584939	256248	Woman Squirting Milk
584939	256629	Women Pirate
584939	260773	Tall Blonde Whore
584939	291438	Blonde Housewife
584939	300521	Tall Blonde
584939	306898	Tall Bisexual Blonde
584939	306908	
584939	306911	
584939	320824	
584939	330056	Ryan
584939	335468	Tall Blonde Woman
584939	368303	
584939	370026	
584940	254330	Margie
584940	302641	Ginnie
584940	365740	Bit
584941	128772	On Air Talent WHHH 96.3 FM In
584942	252229	Laughing Showgirl
584944	235653	
584946	67495	
584946	71580	Cleo
584946	75465	Andre
584946	227700	Helen
584946	302871	
584947	62791	V.E. Day Woman
584949	243646	
584950	190082	Maxine
584950	398752	Shirley
584951	1251	
584951	151025	
584951	275157	
584951	283691	Première nymphe
584952	2719	Herself
584953	390338	Herself
584954	309941	
584955	163075	Lilly
584956	305990	Nurse
584957	102500	Thorkatla the Indiscreet
584958	104965	Cowgirl
584959	8179	Jimmy
584959	317957	Thomas
584959	334403	Call Boy
584960	401384	Holy Mary
584961	188227	Nurse at Bloodbank
584961	260679	Flock Member
584963	330282	Woman at bar
584964	194483	The Lord of the Dance Troupe 
584965	217745	Art History Student
584966	328874	Roller Blader
584967	169594	Singing Girl
584968	249341	Chloe
584968	321423	Jess
584969	272269	Tierna Millen
584970	311654	Female Theatre Assistant #1
584971	272132	Belle Werner
584972	73857	Kathleen
584972	382704	Lily (1999)
584972	400806	Tori Hayden
584973	87166	'Duck' Stagehand
584974	239704	Melissa Ross
584975	301921	
584976	263944	
584977	34610	Man with Tattoos' Wife
584977	158812	Barmaid
584977	249457	Mother of the Bride
584977	273084	
584977	366768	Beatrice
584977	382663	Martha (wet-nurse)
584977	404409	Mrs. Scanton
584977	405461	Nun
584978	67604	Celia
584978	106740	Zelda's Nurse
584978	161239	Herself
584978	244453	Aunt Vee
584978	330200	Mrs. DeCamp
584978	330535	
584978	368952	Betty Todd
584978	387309	Mrs. Yost (1977)
584978	389858	Ruby Anderson (1979-1998)
584978	402552	Corinne
584978	411819	Lena Karr Gilroy (1964-1966)
584979	281474	
584980	67373	Marla Rukubian
584980	399190	Barbara
584981	290342	
584982	342367	Vocalist
584983	23971	
584984	342871	Woman at bookshop
584985	75207	The Innkeeper's Wife/The Cock
584985	77206	Elizabeth Wulfstan's singing 
584985	145058	Iolanthe
584985	232330	Mezzo-soprano
584985	293944	Ino
584986	411238	Assistant
584988	195518	Norma
584989	81318	Party Guest
584990	60829	
584991	156530	Dolphin
584991	178929	Lone Girl in Cheapside
584991	385222	Polya
584991	409356	Mia
584992	85922	Diana (6)
584992	219990	Lorete Pupil
584993	382838	Carmel O'Leary (1996-1998, 20
584994	240232	Caroline Gibson
584995	11402	
584995	68549	Fan Rolliston
584995	77964	Amy Carroll
584995	134021	Ella Lenox
584995	238704	Sadie Small
584995	289621	Alice Holbrook
584995	294361	Florence Russell
584995	315316	Joan Carr
584995	364385	Mary Ellen O'Brien
584995	365361	Undetermined Role
584995	367543	Cecilia Grayson
584996	21297	Stenographer
584996	96939	Woman
584996	309027	Passenger
584996	330908	
584997	92551	Student Nurse
584997	411419	Becky Sims (1970-1971)
584998	277139	Ellen
584999	158358	Bin Lady
584999	378942	Jo
584999	399585	Jo (1987-1988)
585000	289667	Exorcist Party Goer
585001	9044	Marie
585001	20050	Sylvia
585001	80580	Mrs. Mulroney
585001	87610	Simone Montenale
585001	163932	Avery
585001	195730	Jane
585001	273358	Sarah
585001	305929	Heather Dorsey
585001	343920	Jane
585002	114095	Sorority Gal #1
585003	381172	Assistant
585004	177110	Miho
585005	20050	Little Girl
585005	80580	Mimi
585006	185106	Mary Brenner, TV Reporter
585007	281182	Anya
585008	128322	Claudia
585008	159414	Principal
585008	388011	Principal
585009	216879	Girl in Apple Orchard
585010	68505	Teenage girl
585011	126130	Resident of Idyllia
585012	56654	Dierdre
585013	142889	Teenager at World of Donuts
585013	192252	Girl
585013	385013	Tyreeka Freamon
585013	394510	Sharonda Clifford
585014	95510	Gas Station Waitress
585014	117131	Mandy Rosen
585014	148200	Check-Out Woman
585014	151590	Connor
585015	64214	Tchin-saw
585016	291177	Betty Brent
585016	328616	Molly Morton
585017	53193	
585017	68055	Amateur Actress
585017	68164	Young Jess
585017	79429	Hat Check Girl
585017	103781	American Tourist
585017	196294	Party Guest
585017	233872	Miss Bidwell
585017	238616	Telephone operator
585017	264644	Stenographer
585017	336041	Hilda, Baldwin's Maid
585017	360040	Girl
585017	367827	Aviatrix
585018	62778	Dancer
585018	128583	Nurse
585019	2635	
585020	46786	
585020	71728	
585020	72035	
585020	98861	Tammy's mother
585020	279341	Lisa
585020	290391	
585020	359983	Carol Kaiser
585020	360890	
585020	390306	Herself/substitute assistant)
585021	56810	Herself
585021	274195	Waitress
585021	391835	Talking head/soundbites (segm
585022	228517	
585025	323895	
585025	347710	
585027	81894	Fran (NY Yuppie from Hell)
585027	149707	Or-Gil
585028	33970	Ty
585029	50979	Emma Cooper (1 year)
585030	380511	Herself (season 1)
585031	85997	Madge
585031	86804	Stripper
585031	135811	Roan's woman
585031	287230	Celebrant #7
585031	324548	Prostitute
585032	154943	Sound Woman
585033	5541	Aneette Dupre
585033	108089	Della Bowen
585033	142476	Doris Jenkins
585034	69549	Sally
585035	20625	Extra
585036	55047	Telephone Operator
585036	64505	Secretary
585036	88653	Secretary
585036	155851	Miss McKay, Gillingwater's Se
585036	186117	Woman
585036	275677	Kay, Hanover's secretary
585036	330010	Herself - Kaye Connor
585037	138003	Additional Voices
585039	304650	Steakhouse Waitress
585040	203724	Undetermined Role
585041	82099	Sally
585041	155312	
585042	41809	Bit
585043	347367	Rose Kelter
585045	212103	Mrs. Townsend
585045	281372	
585046	165966	Screaming skier
585046	225180	
585047	230933	Groupie
585048	207838	Movie Theater Actress
585049	154253	Stepmother
585050	370532	Dolly
585051	135187	Book Thief
585051	230857	Darla
585051	281145	Lady Capulet
585052	392130	Reporter
585053	355154	Hot Tub
585054	158109	Neighbor Lady
585055	264992	Judy
585055	291829	Effie
585056	406363	Nurse
585057	301954	Mrs. Hamlin
585057	343212	Mrs. Braxton
585058	8182	Mrs. Archer
585058	46902	Mrs. Deane
585058	58499	Miss Roberts (Richard's secre
585058	79422	Mrs. Mynors
585058	119475	Lady Ridgeway
585058	123136	Aunt Martha
585058	137460	Mrs. Gregory
585058	154721	Mrs. Sartori
585058	171273	Mrs. Layton Du Roc
585058	176335	Miss Martha Oliver, Dormitory
585058	190450	Mrs. Templeton Orrin
585058	197503	Aunt Teddy
585058	210777	Abigail (Abbie) Paradise Vall
585058	213453	Mrs. Waldo Astor
585058	215903	Miss Markham
585058	231990	Alice Lambert
585058	253898	Sister of Mercy
585058	259762	Mrs. Potter
585058	269302	Mrs. Rockwell
585058	271230	Mrs. Logan
585058	273781	Woman with Smiley at Racetrac
585058	362885	Queen Catherine
585058	371884	Queen Margaret
585059	381356	Herself
585059	399719	
585060	220724	Papagena
585061	157958	
585061	191751	
585061	194769	Madeleine
585061	264183	
585061	352139	
585062	98804	Marian Anderson
585063	224578	Nurse
585063	261380	
585063	284861	Philippe's Mother
585064	318346	Interview Girl
585065	108146	Ursel Benthin
585066	197706	Sally
585067	28438	Katharina
585067	78742	Evelyn Bach
585068	20625	Extra
585068	80670	Mrs Bender
585068	178881	
585068	178976	Woman
585069	244202	
585070	259236	
585071	5936	Policewoman
585071	359906	Female Protestor
585072	244034	The Zoo Visitors & Staff
585073	131717	Patty DeMille
585073	265762	Mary's Grandmother
585074	133210	Matron
585074	155908	Cook
585074	183591	Miss Kingsley's assistant
585074	295470	Bit
585074	302633	Wardrobe Mistress
585074	315881	Bit Role
585074	346880	Flower Woman
585075	41071	Athletic Cop
585076	256976	Valerie
585077	283091	Mrs. Belknap Jackson
585077	319072	Eleanor Loring
585078	223649	Girl in the Washroom
585079	280442	
585080	244034	The Zoo Visitors & Staff
585081	226963	Dusty
585081	299463	
585082	10883	Mrs. Francisco
585082	145710	Daphne
585082	331554	Sarah
585082	360149	Girl in Pyramid
585083	160464	Interviewee: Wife/Playmate of
585083	257646	Miss October
585083	257647	Herself (Miss December)
585083	257684	Herself
585083	257825	Miss January 1988
585083	257863	Herself (Playmate of the Year
585085	20989	Herself (Instructor)
585086	82685	Elaine Ormsby
585087	165367	
585087	253235	
585089	11	Sally
585089	16466	Girl Usher
585089	128894	Jeanne
585089	215748	Hostess
585089	342878	Chorus Girl
585090	409958	Gabriela 'Ela' Anders (1997)
585091	222863	
585091	318161	Melissa Smith
585091	381047	Nurse Nancy Gilmore (1978)
585092	312203	
585093	183669	Bar Girl
585095	286686	Woman With Cart
585096	205851	
585097	213810	Lea
585098	102782	
585098	110980	Angel
585098	150949	
585098	150954	
585098	150955	
585098	150956	
585098	252889	Pajama Party Guest
585099	106376	Daisy
585099	279494	Julie
585100	63516	Helen Burton
585100	179048	Dorothy Graham
585101	17705	Fru Malm
585101	30160	Skolesundhedsplejerske
585101	76757	Tove
585101	155684	Art Class Lady #3
585101	180407	Else
585101	203398	Lasses kone Lone
585101	253942	Plantageejerens hustru
585101	293650	Kone
585101	303747	Employer
585101	348109	Getrud Deuter
585101	354739	Karen Margarethe
585101	382884	Anne Marie Thorup
585101	407621	Andreas' Mor
585102	145057	Herself
585103	86100	Marlechen
585104	64877	Princess Veronica
585105	37690	Party Girl #4
585106	1149	
585107	343295	Baby
585108	347419	Ann
585109	76602	
585110	230620	Herself
585111	313865	Herself
585112	200052	Sonia
585113	220306	Laura
585114	67897	Julia
585115	158358	Dixon's Secretary
585116	71913	French Girl
585117	203304	Mrs. Curtin
585118	195822	Miss Conroy
585119	900	Herself
585119	2894	Herself (Winner of Best Actre
585119	7006	Scrawny Shanty Lady
585119	11647	Diana
585119	13360	Pamela
585119	16791	
585119	18028	Lynn
585119	25192	Kit Hepburn
585119	37965	Mary Behan
585119	55100	Mother/Lilian Steichen
585119	57064	Ophelia
585119	73303	House Owner
585119	73989	Ann Putman
585119	84774	
585119	86321	Bootsie Carp
585119	87428	Lady from Palm Beach
585119	104521	
585119	107909	Waitress
585119	160042	
585119	169377	Fiona
585119	186578	
585119	200864	Paula Burns
585119	204163	Shakespearean Actress
585119	222630	Martha Lassiter
585119	229858	Miss Scover
585119	241552	Peggy Breen
585119	244309	Desdemona
585119	244927	Mrs. Gibbs
585119	280152	Ruby Hanson
585119	282667	Mrs. Watson
585119	289787	Christine Downes
585119	299789	
585119	300146	Herself
585119	304829	Irene Reed
585119	328637	Lyn Kessler
585119	330274	Mrs. Byrne
585119	347900	
585119	394311	Jean Smith
585119	402605	Mrs. Benson
585119	405512	Ruth Fisher/Sibley
585120	179791	Mrs. Connally, Patrick's Moth
585121	45054	
585121	70439	
585121	105806	
585121	112018	Katie the Tinker Girl
585121	186738	
585122	132247	Peninsula Dance Team
585123	16802	Nancy
585123	52417	Mandy
585123	223777	Frances
585123	286300	Lisa
585123	299819	Alison
585124	305148	Lisa
585125	41478	Driscoll
585125	108225	Nicola Spencer
585125	125557	Maeve
585125	160884	Helen
585125	209365	Interpol Receptionist
585125	234901	Maid
585125	350349	Diane, Larry's Daughter
585126	77728	Kicking Bird's daughter
585126	214933	Mary
585127	130677	Woman in dance hall
585128	85050	Frankie's sister
585129	224835	
585130	22919	
585130	128245	Lucy Ledyard
585130	335134	
585130	347417	Mary Wayne
585131	845	Press Liaison
585132	56545	Herself
585133	176480	Anne, Nurse
585134	128206	Grace Parker
585135	184127	Little Girl
585136	40638	
585136	139817	Assistante sociale 2
585136	198986	Isabelle
585136	385491	Chen
585137	5794	Laura
585137	10056	USL psychologist
585137	67899	
585137	132962	
585137	249249	Olivia
585138	288455	
585139	160523	Ex-Girlfriend
585140	167644	Student body president
585141	52840	Susana Conseco
585142	134216	Kathl
585143	104339	Angela
585143	142145	
585144	162053	Barbara
585145	379896	
585145	380096	
585145	387273	
585145	389480	Carrie Castro
585145	396942	Pola
585146	65499	Woman #1
585147	122245	Tina
585148	202853	Waking Mother
585149	2333	
585149	38838	L'avocate
585149	58119	Ania
585149	100361	Therese Jurrieu
585149	309569	Marie des Sept-Épées
585149	348730	Ursule Mirouët
585149	373230	Yuki
585149	377869	Camille
585149	379806	Agnès
585149	381590	Suzanne
585149	383860	Agnès
585150	163109	
585151	344589	
585152	246383	Valeria
585153	409001	Gloria
585154	264084	Goldilocks
585155	4638	
585155	251850	
585155	259713	Ragazza baloon
585156	79784	Herself
585157	6989	Additional Muppet Performer
585158	338927	Spectator
585159	324889	Women's Chorus
585160	220956	Tyler (child)
585161	40403	Kartenverkäuferin
585162	252080	Lady Terminator
585163	213114	Coast Guard Woman
585163	267051	Doreen
585163	277090	Stewardess
585164	94525	Wife #1
585164	120337	Amish wife
585165	66385	Country Band
585166	273282	
585167	109698	Hostess
585168	396108	Contestant
585169	116438	Mme Sartre
585169	135233	Dancer
585169	156321	La vendeuse de billets de lot
585169	183797	La mère de Jeanne et Rosalie
585169	188636	La vieille dame/Ederly Woman
585169	377067	La tante d'André
585169	378017	Maud Bouton, une cliente du s
585169	380587	La mère de Nimes
585169	399106	
585169	404914	
585170	161277	Herself
585171	25680	
585171	205139	
585171	278942	
585172	21173	Barge Lady
585173	345641	
585174	8055	Aggie Buggins
585174	54832	Woman
585174	96957	Grandma Stafford
585174	149453	Mrs. Scodger
585174	209349	Mrs. Bates
585174	223646	Mrs. Mackenzie
585174	270648	
585174	281877	Mrs. Thompson
585174	286335	Mrs. Bunting
585174	299543	
585174	313802	Herself
585174	364063	Nurse
585175	16878	Dancer
585175	67705	Sleeping Woman
585176	33704	Nun
585176	42811	Maidservant
585176	168636	Secretary
585176	331087	Miss Glamour
585176	375044	Showgirl
585177	270502	Girl
585178	85716	Thérèse Mitry
585178	94535	Paméla
585178	205774	Hélène
585178	353853	Denise
585179	245562	
585180	354867	Sheila
585181	351963	Vera
585182	265736	Jocelyne
585183	251290	Femme de Geoffroy
585183	377674	
585183	391632	
585184	69181	Herself
585185	275398	Mrs. Godwin
585186	110192	Prostitute
585186	127647	Lucille Duval
585186	208481	Rolande
585186	218184	Yolande Angelli
585186	227292	
585187	148371	Old Woman
585188	254085	La psychiatre rougissante
585189	323928	Young Elizabeth
585189	326679	Natalie
585190	390800	Anne Tresham
585191	39781	Flapper
585192	2645	
585193	326823	Mrs. Stenson
585194	104758	Cyprian entry (16th place)
585195	140655	
585196	38572	Bridget, Keeley's Maid
585196	67570	Chief's Secretary
585196	107260	Contessa
585196	132449	Grace's hairdresser
585196	243646	
585196	387009	Mrs. Constantine
585197	116442	
585198	111134	Une dactylo
585199	330580	Ellen Morgan
585200	239415	Lucy
585202	97393	Herself
585203	97517	Bitchy Girl
585204	181689	Herself
585204	362346	Herself/Presenter
585204	363011	Herself
585204	410880	Presenter
585205	359503	Linda
585206	148677	Cathy
585207	230857	Koko
585208	41386	June
585208	353368	Christine Irvine
585209	14446	
585209	52162	
585209	64139	Mother
585209	68627	
585209	251358	
585209	267813	
585210	180153	
585211	168718	Andrea's Friend
585211	213018	Girl
585212	19253	
585212	109555	
585213	403474	Emeline à 13 ans
585214	14232	Serafine's Mom (Alex Price-Pi
585215	109555	
585215	201996	
585215	216070	
585216	45111	
585216	58411	
585216	63685	
585216	71820	Madame Walther
585216	104439	Cléopâtre
585216	284659	
585217	5789	Marisa
585217	74624	
585217	87198	Interviwee
585217	204994	Daniela
585217	236751	Adela
585217	238514	TV reporter
585217	281243	
585218	408668	Frederick Frog
585219	252725	
585220	337742	
585221	365333	
585222	18641	
585222	354998	Lupe
585222	378373	Mujer Tio Tocano
585223	141733	Kissing Girl
585224	56493	
585224	396899	Yoli
585225	15218	Prostitute
585226	324448	Dancer: Esto es tango
585227	160728	(segment "Dois Dedos")
585228	60857	Thekie
585229	17028	Cleopatra
585230	343054	Schoolgirl
585230	399084	Niña 1
585231	5899	Colette
585231	52698	
585231	73254	Lucienne Rambert
585231	83179	Marguerite
585231	111118	Muriel
585231	193222	Déjanre
585231	208819	
585231	215262	Éliante
585231	220492	Sabine
585231	228562	Josette
585231	238483	Georgette
585231	239213	La chatte
585231	277720	Sylvie
585231	326165	Bernadette Descamps
585231	339802	Corine (Hermidas)
585231	387611	Nicole
585232	386803	
585233	69652	
585233	99716	
585233	213366	
585234	349766	
585235	96371	Josefina
585235	310073	
585235	322325	Enfermera
585235	404022	Carmiña Ferreira
585236	16037	Neighbour
585236	215885	Mrs. Worthing
585237	72322	Reporter #2
585237	142402	Female Friend
585237	159412	Laura
585237	204890	Cynthia Petersen
585237	240941	Forensics Agent
585237	282645	Various
585237	380855	Mary Jo (Isis in Darkness)
585238	116575	Thetis (fantasy sequence)
585238	327463	Thetis
585239	320579	Connie
585240	57382	
585240	88804	Herself
585241	84165	
585242	12080	
585243	352914	
585244	12080	
585244	104181	
585244	205696	
585245	12080	
585245	205696	
585246	290985	Cab driver
585247	240307	Marie Buron
585248	305652	
585248	379896	
585248	389480	Valentina Cervantes
585248	395867	Verónica Alfaro
585248	404074	
585249	169166	Josette
585250	235257	
585251	87692	Madame Colin
585251	112888	
585252	9423	
585252	61089	
585252	71159	
585252	90536	
585252	102619	
585252	126317	Erminia
585252	161777	Hadda
585252	163737	
585252	167007	
585252	221673	
585252	235026	
585252	278409	Giulia, moglie di Cesarino
585252	280749	
585252	348154	
585253	234334	
585254	89576	
585255	234548	
585256	339034	
585257	161934	The Blind Girl
585258	63924	
585259	321475	Interviewed woman
585260	295449	
585261	83889	
585261	397862	
585261	398483	Celina
585262	37467	Gem Club Dancer
585263	44197	
585263	301178	
585264	15134	Mme de Crégu
585264	20343	Rose Mamaï, la mère
585264	34462	Marie Delmotte
585264	44970	La comtesse de Bréville
585264	73186	
585264	116473	La Folle de la Concorde
585264	207796	
585264	238041	
585264	266386	
585264	292366	Constance
585264	296541	
585264	339499	Miss Moberly
585264	345544	Marraine
585264	346457	Armandine
585264	348730	Mme de Portenduere
585264	377953	Angèle
585264	380410	La mère supérieure
585264	396597	Mme Mortier (segment "Dans l'
585264	399758	Miss Wingrave (segment "Un je
585266	334011	Nurse
585267	19223	
585267	19447	
585267	28193	
585267	28542	
585267	49099	Susan
585267	60118	
585267	64046	Myriam
585267	67468	
585267	82423	
585267	86868	Lupita
585267	125037	
585267	170467	Juliette
585267	226401	Felicitas
585267	229609	
585267	235778	
585267	236038	Franca
585267	242822	
585267	243485	Nadia Mihaly
585267	251852	Gabriella
585267	263621	
585267	273660	
585267	278967	Licia
585267	288142	
585267	289343	Jenny Ryan
585267	291631	Jane
585267	294774	Gisella
585267	302449	
585267	310483	Xenia
585267	320627	
585267	328830	
585267	337028	
585267	339930	
585267	345277	Henri's Wife
585267	346293	
585267	375886	
585268	375077	Elegant woman
585269	309955	Prostitute #3
585269	353771	
585270	205038	
585271	256450	
585272	8255	
585273	291553	Menegozzi
585274	12622	Voice One
585275	369416	
585276	75842	Doris Martin
585277	259463	
585278	86263	Nurse
585278	364965	
585278	404616	Maria
585279	389343	Marie-Laure
585280	74629	
585280	151800	
585280	212508	
585280	233942	
585281	367847	Herself
585282	248888	Solange
585283	38583	Guest
585283	161752	Girl #1
585283	226875	Girl in Dream Sequence
585283	311619	1st Doll
585285	120929	
585286	13079	
585286	310694	
585287	66719	Mme. Novion
585288	147091	Lacey Cole
585289	5596	Galaxia
585289	12378	Moni
585289	12601	
585289	24738	Putzi
585289	40361	Lilo
585289	72775	Erika
585289	122639	Mimi Devere
585289	210102	Lisbeth Sommer
585289	290455	Akaena
585289	352646	
585289	376336	
585290	228200	La vendeuse de cigarettes
585291	34150	Pippi
585291	155085	Pamela
585291	213324	Nymph
585291	243044	Diana Sereni
585291	265711	Fulvia
585291	314577	
585291	344433	Monica
585291	392740	Martina Chiaravalle
585291	400142	Irene
585291	400286	Stefania, Andreasi
585292	36333	Fidanzata di Antonio
585293	396806	
585294	99695	Pregnant Woman
585295	141558	Model
585295	326778	Terry
585296	81685	
585296	94736	
585296	108873	Ughina
585296	223600	Sister Vincenza
585297	126186	
585298	90666	
585299	199997	Rosalia
585299	234559	
585299	349526	Girl
585300	227578	
585300	356207	
585301	301384	
585302	128154	Basketball Tenant
585303	57826	
585303	103456	
585304	1864	
585304	12075	
585304	54009	
585304	54098	
585304	63873	
585304	84011	
585304	106085	
585304	110409	
585304	148061	
585304	169760	
585304	221571	
585304	236034	
585304	251229	
585304	282900	Lucía Peña
585304	317694	
585304	349466	
585305	123889	
585306	265253	Aunt Margaret
585307	20467	
585307	23844	
585307	85540	Nicole
585307	104222	Carole
585307	159198	Graziella
585307	170355	Juliette
585307	205469	Pauline
585307	220494	L'avocate
585307	240586	Florence Loriol
585307	248931	
585307	288900	La présidente du tribunal
585307	347850	Isabelle de la Perouse
585307	379809	
585307	383375	
585307	384288	Morgane Darmont
585307	384745	Marie-Pierre
585307	392369	La journaliste
585308	217167	Solange, la femme de Maurice
585310	18536	
585310	102961	The Model
585310	149090	
585311	68980	
585312	12294	
585312	67481	Sally Bismarck
585313	74323	Filomena
585314	220276	La Ko Ka Chau
585315	35592	
585315	67880	Marge
585316	96500	Evita
585317	183271	Daughter
585317	238012	
585318	85693	Soeur Catherine
585318	283242	La femme de chambre
585320	359454	Young Kate
585321	370326	
585322	55245	
585323	209944	Pamela
585324	121965	
585325	57023	
585326	5073	
585327	355698	
585328	206191	Constable Welch
585328	278842	Mrs. Whelan
585329	42687	Carrie
585330	143750	
585330	206280	Pachita
585330	258496	
585330	266409	
585330	307464	
585330	356908	
585331	42576	College Friend
585332	80442	Kid at Convenience Store
585332	288473	Jenny Hammersmith
585333	364294	Herself
585334	109452	Soda girl
585335	101547	Prostitute
585336	12738	Boobs la Touche
585336	30437	Zizi
585336	131767	Olymbia Janus
585336	144895	Bus Hostess
585336	162563	
585336	208934	
585336	211960	Savina's Mother
585336	238747	Rosa Cassini
585336	306001	Madeline
585336	330579	Kate Davis
585336	336653	Fiona
585336	359064	Sally
585336	379744	Julia
585336	389858	Prunella Witherspoon (1988)
585336	399816	Tracey Wilson (1974-1975)
585336	404484	Minou
585336	406891	Melina Baker
585337	208088	Shima
585338	243498	Anabel, child
585339	45662	Mary Todd, age 5 months
585340	25036	
585340	285957	
585341	82589	
585342	51615	Dolors
585342	58180	
585342	64709	Old Woman
585342	91397	
585342	106313	
585342	110109	Anciana
585342	117333	
585342	148109	
585342	207743	Clara's Mother
585342	255291	
585342	258381	
585342	294705	
585342	378466	
585342	384972	Roser Balaguer
585343	379879	Mucama
585344	301131	Young Felicia
585345	70657	Micaela
585346	287773	Rubi
585347	383564	Reina
585347	385663	
585347	387479	Mariana
585347	395857	Lissette
585347	410093	Laura
585348	67057	Angelica
585348	263439	Young Woman
585349	61328	Heroine
585350	121374	Office Worker
585351	52082	Juliana
585352	84458	
585353	55064	
585354	265155	
585355	377902	Alicia
585356	54346	
585356	270447	Amiga 1
585356	377169	Vendadora de rosas
585357	91349	Keka
585358	193915	Hose Harrigan
585359	53822	Cristina de La Paz
585360	51828	
585360	354046	
585361	397009	Mamá Romina
585362	51828	
585362	53685	
585362	210446	
585362	234421	
585362	354046	
585363	381024	Delia
585363	385401	Conchita
585363	385502	Lolita
585363	410477	Obdulia
585364	14696	
585364	18148	
585364	23064	
585364	52630	
585364	61882	Dama
585364	68964	
585364	80115	
585364	80189	Señora jugos
585364	80286	
585364	90027	
585364	114321	
585364	114336	Viejita
585364	121951	
585364	167801	
585364	169857	
585364	189369	
585364	207728	
585364	208249	
585364	212244	
585364	221739	Madre Superior
585364	222435	Estela
585364	229434	
585364	235340	
585364	247462	
585364	253593	
585364	274645	Lupita
585364	277375	Remedios
585364	286366	
585364	293963	Abuela
585364	318008	Señora II
585364	328610	
585364	371693	
585364	377195	
585364	380795	Cielo
585364	395043	Genoveva
585364	401698	Delia's neighbor
585364	402404	
585364	404851	
585365	379210	Etelvina
585365	380074	
585365	388278	Rosita
585366	88763	Leticia
585366	91880	Building Manager
585366	103254	Louisa
585366	105852	Mother
585366	135564	Woman at Cleaners
585366	311005	Sylvia
585366	311228	Rosa
585366	363061	Maid
585367	350071	Marcella
585367	380126	Fernanda María Lira
585367	388648	
585367	401096	Altagracia Pérez Pérez
585367	402463	
585367	403644	Claudia Bernard
585367	406852	Bárbara Valdivieso
585367	412183	Daniela Hernández
585368	51955	Drag Queen
585369	96162	Le bébé de Marie
585370	343907	Chicago nurse
585371	202090	La patiente à l'ordinateur
585371	346417	La coiffeuse
585371	386154	Martine Bruce (1989)
585372	147776	La mère d'Adrien
585373	69380	Emma
585373	353930	Esther
585374	107283	Dee Dee
585375	263981	
585375	304445	Undetermined Role
585376	328078	Ellen Varley
585376	389340	Mrs. Joy
585377	61578	Betty
585378	5440	Mrs. Barrett
585378	34953	Jean Callahan
585378	48278	Mrs. Obringer
585378	70558	Housekeeper
585378	79837	Mrs. Quary
585378	85020	Connie
585378	94098	Mrs. Grant
585378	108366	Sybil Bradley
585378	109842	Genevieve Cassin
585378	128379	Jessie Reed
585378	131507	Amy Wallace
585378	171081	Connie Day
585378	215647	Mrs. Davidson
585378	271144	Marie Weston
585378	283890	Mrs. Waters
585378	330205	Mrs. Walters
585378	330397	Flavia McIntyre
585378	356251	Mrs. Harriet Cunningham, Paul
585379	360712	Ninny
585380	306807	Mrs, Hamilton Pennfield
585381	77462	Herself
585382	15116	Paola
585383	154301	Female Officer
585383	360647	3rd Woman On Street
585384	292715	New Secretary
585385	320028	Gail
585386	386128	Infermiera 304
585387	381004	Host
585387	392843	Host
585388	138537	
585388	388680	
585388	408942	Eufrosina
585389	346086	Francoise
585390	22191	
585391	286274	Performer
585392	330057	Hot Club Patron
585393	162292	Wedding Guest
585393	197081	Crystal Geary
585394	348594	Gilley Background Vocalist
585395	183868	Social worker
585396	330818	Herself
585398	360444	Judty
585399	66385	Girl with Camera
585399	85893	Herself
585399	139092	
585399	202463	
585399	265979	Juno
585399	283547	Julie
585400	65426	Trapper
585401	317828	Nancy
585402	364854	
585403	111798	Sasha
585404	298284	April
585405	155908	Bridesmaid
585406	330818	Herself
585407	20613	Julie Conway
585407	312774	Kay Kyser's band vocalist
585407	321495	Herself
585408	113879	Fan
585410	194137	Program Seller
585412	71742	School Girl
585413	177501	Linda Merritt
585413	285133	Nancy Henderson
585413	337711	Marion Horner
585413	373200	Linda Merritt
585414	57220	
585414	187722	Granny
585414	315665	
585415	45639	Woman #2
585416	197741	Myra
585417	342669	Bar patron
585418	58951	
585418	185415	
585418	329527	Miss Farrell
585418	351695	Jean Harmon
585419	196084	Agnes Swanson
585420	41374	Secretary
585421	232093	Waitress
585421	301063	Mrs. Comacho
585422	30450	Ina Rose
585423	143924	Girl in Darkroom
585423	314979	Patient
585423	317183	Secretary
585424	390608	Assistant
585425	178342	Infant Baby
585426	281937	Mrs. John F. Kennedy
585427	374285	Girl at party
585428	360382	Herself (former Pathet Lao pr
585429	294779	Johanna
585430	295487	Dotty Teched (segment "Lam")
585431	328379	Nicole Vos
585432	142715	Cabaret Star
585432	372124	Jane McDonald
585432	383164	Betty Hansen (1956-1957)
585432	393585	Dolly Armstrong
585432	399836	Liz Thorpe
585433	149258	Miss Philmore
585434	183669	Margaret
585434	276872	Dorothy Gale
585434	278682	
585434	379283	Hannah Wiliams
585434	387024	Host
585434	389096	Kathy (Junior Ranger)
585434	394490	Susan Bond
585436	309134	Amaya
585437	122638	Helen Ziegler
585437	379829	Various
585438	107466	Angie
585439	26291	Kim
585439	45756	Tonya
585439	115869	Vanessa
585439	309535	Tamika
585439	318371	Naomi
585439	359715	Antoinette
585439	362132	Alex
585439	384350	Kianna (2000-2001)
585439	385773	Carly Baylor (1994-1997)
585439	410729	Natalie
585440	6151	Mavis
585440	44759	Irmgard De Salvo
585440	200493	Martha
585440	336141	Farmer's Wife
585440	411802	Mary Williams (1980-)
585441	266690	'Queenie' La Mar
585442	347740	Judy Blair
585443	41444	Ken's Gang 1
585443	99081	Nurse Kathleen
585443	196300	Nula
585443	382052	WPC/WDC Viv Martella (1984-19
585443	401050	
585443	407779	Julie
585444	124503	Toni
585444	387094	Dedra Smith
585444	387309	Tracy Dallas Micilli (1974-19
585445	347947	The Hooker
585446	117133	Lobby Girl #3
585447	379831	Nicole (1990-91)
585448	400218	Opening Credit Model
585449	240568	Gia Scala
585450	378993	Co-host
585451	366933	Coed #2
585452	190774	Teen Lilian
585453	317309	LA Restaurant with Meryl Stre
585455	57654	Model
585455	196183	Natasha/Mary
585455	303520	THE GIRLFRIEND
585455	375700	Denise
585456	53284	Cheerleader #6
585457	33371	Herself
585458	38933	Herself
585458	41875	Alison
585458	99604	Hippie chick
585458	113306	Kimberly Corman
585458	150859	Lori Peterson
585458	157734	Lisa
585458	184981	Pretty Girl #1
585458	245008	Jenny
585458	278712	Molly Keller
585458	311253	Local Girl
585458	326712	Dawn
585458	355065	Mary Lisbon
585458	366686	Diana Collins
585458	366687	Diana Collins
585458	391559	Shelby Merrick
585458	408962	Lindsay Walker Thompson (2003
585459	228339	Vera
585460	82915	
585461	84029	Older Child on Highway
585462	265742	Natalia as a child
585463	28311	La Femme/La Fille/La Voleuse/
585463	71942	Fortuna/Valleto
585463	85702	Soeur Mathilde (mezzo-soprano
585464	215664	Miss Iowa Teen USA (Top 15)
585465	14002	Girl Catching Duck
585465	33696	Featured Sad Girl
585465	264452	Jump Kid
585466	12252	Alyssa Cook (I)
585466	33696	Alyssa Cook
585466	251173	Trish
585466	281441	Angie Spry
585466	292287	Kristin
585466	317897	Mary
585466	379112	Olivia Murray
585466	381514	Herself (1999-2001)
585466	387203	Lisa Bennett (1989-93)
585466	388452	Gilina Renaez (1999, 2000, 20
585466	391869	Kelly Edwards (2002)
585466	404956	Herself (1997-1998)
585466	410167	Deb
585466	411245	Angie Spry (episode 1: Room t
585468	330684	
585469	126551	Neighbour
585470	303788	Contestant
585471	280657	Fireman
585472	185233	
585473	47385	Herself
585473	116499	Sally Durant Plummer
585473	138560	Gretel
585473	331986	Mother
585473	371211	Elsie Maynard
585473	390288	Hazel
585474	176918	Susan
585474	311975	Chris
585475	16885	Storyteller
585475	231389	Bridal Gowns Assistant
585475	405774	Edna
585476	149198	Party People
585477	163565	Dee
585479	20362	Mercy
585479	351972	Child
585479	385342	Jenny
585479	405461	Dolores Green
585480	123229	Sarah
585481	69895	Supporter
585481	126673	Blind Skater/Nurse
585481	235403	Pom Pom Girl #3
585481	239786	College student
585482	344970	Teriyaki Yoko
585483	291602	
585484	107009	Herself
585485	13953	Mrs. Dobrun
585485	47385	Herself
585485	55159	Myrtle
585485	109498	Ester
585485	124627	Waitress
585485	133182	Betty Welles
585485	148333	Pearl Gesner
585485	158230	Daisy Dolon
585485	158910	Bessie Limpet
585485	194687	Sylvia
585485	201424	Pru Babcock
585485	201767	Herself
585485	247143	Naomi Yates
585485	275682	Lucille Greenwood
585485	303545	Grandma Helen
585485	303546	Herself
585485	308094	Cahuenga
585485	318738	Barbara Foster
585486	139591	Weatherperson
585486	160887	Beautiful Woman
585486	276678	Reporter #4
585487	40879	Aunt Bea/Nurse/Mrs. Olivier
585487	396357	Various voices
585488	25874	Jody
585488	90241	Rikki
585488	126731	Ronnie
585488	303611	At the singing contest
585489	408477	Evergreen Boswell (1974-1976)
585490	12319	Party Guest
585491	26291	Woman
585492	47355	
585492	133880	Ziegfeld girl
585492	149126	Second Passenger
585492	154652	Debutante
585492	203799	Bridesmaid
585492	241444	Girl in band
585492	279687	Fashion Model
585492	330375	Member of Girls Band
585493	1870	Olga
585493	248132	Sobbing Woman
585493	289787	Night Maid
585494	220606	Mrs. White
585495	387524	Rhoda Stuart
585496	166639	Nurse
585497	176406	Extra in wedding scene
585498	253059	Model
585499	191924	Helen
585499	221779	Girl
585499	298594	Nancy's Friend, at engagement
585499	361649	Julie Todd
585500	273346	Sam Fenton
585501	40436	Annabelle Twitterheart/Voices
585502	359364	
585503	84029	Nurse #2/Ragman
585504	2675	Ambitious Mother
585504	96442	
585504	101389	Torild
585504	122506	
585504	146985	Giftegal kvinne
585504	166593	Agnete Larsen
585504	196810	
585504	235043	Frøken Sørensen
585504	240093	Connie, innehaver av massasje
585504	287550	Mine
585504	334265	Norwegian
585504	343716	Julie Krøger
585504	349002	Grissvangs mor
585504	351223	Fru direktør Stavik
585505	8225	Baby
585506	179065	Housewife
585506	181155	Barmaid
585508	261992	Reporter
585509	185532	Straun's Wife
585509	245020	Vicki Bracken
585509	347415	Heather/Bride
585509	371101	
585510	335065	Amy Hammil, Joann's and Tom's
585511	147885	Alex
585512	360436	New Yorker Listening to Story
585513	154893	Sister Ethelreda
585513	184719	Gertrude Kennedy
585513	213358	Wanda's Mother
585513	273835	Mrs. Getz
585513	309287	Housekeeper
585514	50645	Angela
585515	169140	Levi's Wife
585516	73703	Supermarket Customer
585517	5009	Imogen
585518	232845	Pregnant Woman #3
585519	203006	Worker
585519	264570	Hortense
585520	31637	Bikini Audition Girl 10
585520	87797	Stewardess
585521	118980	Megaphone Lady
585522	187986	Gambler
585523	215902	L.A. women 2
585524	5340	Host
585524	66240	Host
585524	186674	Host
585524	193859	Hostess
585525	12252	Business Exec
585525	14002	Waitress #2
585525	33696	Bartender
585525	162516	Shopper
585526	139793	Carol
585527	66385	Country Band
585528	224106	The Talent Show - Latin Jazz 
585529	410869	Elaine Pituskin
585530	26285	Office Worker
585531	273163	Katie
585532	35506	Dancer
585532	62778	Dancer
585532	144467	Choreographer/Dancer
585532	184770	Foxy Roxy
585532	223734	Marie
585532	245249	Ballroom Dancer
585532	389269	Singer (segment "The Cowboy a
585533	392244	Taiwanese Woman #2
585534	33744	Francine (age 17)
585534	35180	Carissa Griscom
585534	41697	Fairy Berylune
585534	52900	Cecile
585534	68475	Stephanie
585534	70803	Mary Brian, age 18
585534	71478	
585534	79027	Olga
585534	85065	The Stenographer
585534	143198	Alicia
585534	148976	Marion Starr
585534	219899	Lenore
585534	272534	Raff's daughter
585534	317828	
585534	318177	Undetermined Role
585534	367715	Lucinda Mertch
585535	11574	
585535	43877	Leech Woman (Puppet Master)
585535	124378	Liz
585535	158272	Mary Walker
585535	226996	Melody
585535	267339	Tania
585535	267345	Leech Woman
585535	380713	Cynthia Linders (1993)
585535	387309	Laurie Ann Karr Lamont Dallas
585535	390771	Brenda Jensen (2003)
585535	393545	Additional Voices
585535	396123	Egypt Jones Masters (1988-199
585535	404002	Maureen (1985)
585536	311408	Additional Voices
585537	71742	Sister Rosario
585537	358140	Shop Owner
585538	350277	Twins
585539	89336	Woman In Bar
585540	105803	Dancer
585541	222797	Slaygirl
585542	390523	Alicia (1995-1996)
585543	5009	Imogen
585544	320878	Secretary
585546	280653	Sister Sharon Cross/Mother Sp
585547	97360	Choir Member
585548	56545	Herself
585548	83777	Kate
585548	195296	Shayna
585548	314965	Vanessa
585549	164426	Herself
585549	210403	Rhythmeer Member Mary Lou
585549	218781	Mary Lou
585549	231780	The Hot Singer
585549	241681	Herself
585549	277844	Dotty Davis
585549	286899	Mona Mitchell
585549	309053	Merry Mac Mary
585550	84247	
585551	408193	Gail Martin
585552	77767	
585552	128536	Serving Girl
585552	216234	Thernardier's Child
585552	300062	Thin Girl
585552	316955	Girl
585553	328555	Real Life Stacey
585554	56545	Herself
585555	168136	Margot
585555	221234	Hippie Girl
585555	290352	Jane
585556	38761	No character identified
585557	170558	Officer Near
585558	170558	Officer Pat Near
585559	13595	Nancy Richter
585560	196479	Sandy's Friend
585561	30583	
585561	196479	Sandy's Friend
585561	310647	Commercial Model
585561	366104	Nora
585562	30187	Chris
585562	78991	Streeter #C
585562	298284	Tanya
585562	381422	Warrant Officer
585562	407421	Nurse #2
585563	209658	Little Girl
585564	46003	Eleanor Hoffman
585564	80548	Myra Hopkins, Tom's Wife
585565	110943	
585566	66574	Kate Martin
585566	93287	Dr. Cathy Thornton
585566	168382	Penny
585566	227028	Peggy Delaney
585566	358878	May
585566	385105	Vicky Dean Bowen (1981-1985, 
585566	387203	Dr. Elly Fielding (1989-1991)
585566	390586	Herself (TV Presenter/Host)
585566	403244	Suzy Denning
585566	411817	Chief Insp. Sharon Kostas
585567	331398	Western Union Girl
585568	955	Cheri
585568	1738	Herself
585568	1971	The Girl
585568	2009	Herself
585568	2018	The Waitress
585568	13850	Jesse St. Claire
585568	18310	Lisa Calighan
585568	18311	Herself
585568	26471	Mary Anne Spier
585568	30961	Chelsea Cunningham
585568	37035	Ruthie
585568	41530	Christina Robertson
585568	43955	Hunter
585568	49468	Cassie
585568	55588	Kayla
585568	71748	Emma Baker
585568	82050	Tracey Lane
585568	98184	Lucy Stanton
585568	110321	Gaia Moore
585568	126505	Doreen
585568	144466	Vera Johnson
585568	151093	Young Jackie-O
585568	192748	Teenage Judith
585568	221448	
585568	223939	Vanessa
585568	226974	Delores
585568	286116	Beth
585568	290982	Shmally
585568	298076	Laney Boggs
585568	313971	Dori Lawrence
585568	316961	Abigail 'Abby' Sawyer
585568	324397	Jenny Kelley
585568	327477	Jenny Travile
585568	329113	Caroline Dukes
585568	335058	Becky Thatcher
585568	340864	Georgia Lawshe (young)
585568	372583	Herself
585568	381392	Chelsea Cunningham (II) (2000
585569	136558	Miss Jones (The Chester Story
585570	206715	Producer
585571	398209	Robin
585572	220276	Montmartre Dancer
585573	54929	Merta Katz
585573	178237	Alice Terry
585574	84029	Younger Child on Highway
585575	76587	Autumn
585575	233797	Lexy
585575	400815	
585575	409361	Slashin' Sam
585576	317864	
585577	80412	'Orpheus' Cruise Girl
585578	392254	Herself (2000)
585579	28481	Minor Talent Contest audience
585579	49855	Ann Roff
585579	117715	Diane Proctor
585579	166904	Vicki Torrance
585580	26525	Doreen
585580	354181	Karen
585581	176852	Hot tub girl
585582	102117	Jamie
585583	191291	Susan Pevensie
585583	263976	Susan Pevensie
585583	368675	Natalie Sinister
585583	385299	Sarah Jane Harvey (1987)
585583	391243	Alice Harris
585584	88933	Herself
585584	382710	Herself - Presenter
585584	384084	Presenter
585584	384608	Presenter
585584	385240	Herself - Presenter (1984-199
585584	390956	Host
585584	395529	Herself
585584	397095	Presenter
585584	399054	Presenter
585585	68762	Herself
585586	305035	Clio
585587	295006	Tanya
585588	242028	
585589	51996	Background Vocalist
585590	321702	Girl in Bathtub
585591	405580	Various Characters
585591	407789	Various Characters
585593	34385	Lady Harding
585593	93205	Sarah Birkett
585593	93958	Candy Stebbins
585593	145110	Penelope Bishop
585593	158118	Sarah Birkett
585593	176964	Roberta
585593	261440	Sheila
585593	305917	Hildy Gardener
585593	339365	Sarah Birkett
585593	383662	Pamela (1994)
585593	399689	Sarah Birkett
585594	3919	Valerie
585594	170551	
585595	45530	Helen Gardner
585595	46806	Johann's wife
585595	56278	Mrs. Fordyce
585595	142672	
585595	178121	Anna
585595	230410	Mrs. Demarest
585595	296810	The Mother (new family)
585595	366373	Violet's friend
585596	330375	
585597	144887	
585598	219923	Jill
585599	316171	Kelly Roth
585600	318776	Daughter
585601	176989	Mrs. Hill
585602	10351	
585602	105437	
585602	109424	Snooty Girl
585602	129942	
585602	144341	China
585602	202736	Gloria Upson
585602	248568	Gale from Salmon Tail
585602	271994	Anna
585602	277911	Marilyn
585602	320878	Mrs. Mary Durant
585603	229501	
585603	244913	
585603	246730	Curious Woman
585604	310649	Amelia
585606	406081	Winnie Winter
585607	41156	Housekeeper
585607	69507	Miss Nelson
585607	73693	Landlady
585607	100952	Second Patient
585607	127155	Aunt Edna
585607	130474	Molly
585607	218317	Kind Typist
585607	218389	Miss Haggerty
585607	383799	Miss Cooper
585607	384783	Mrs. Chater
585607	387533	Mavis Scott
585607	388951	
585607	389146	Gladys Twocurry
585607	391007	Aunt Lucy
585607	398382	Olive (1969)
585607	399304	Celia Stuart
585607	400109	Anny
585607	401214	Receptionist
585607	402959	Mrs. English
585607	403939	Aunt Alice
585607	408960	Miss. Jenkins (1970-71)
585608	50469	
585608	151067	Town Gossip
585608	175119	Lanquid Customer
585608	222328	Townswoman
585608	224721	Woman
585608	298594	Mrs. Ruxton
585608	316900	Dowager
585608	367288	Woman
585609	220084	Nina
585610	22976	
585610	33711	Catharine
585610	41654	
585610	52524	
585610	102005	
585610	162871	Mrs. Casselis
585610	308353	Mrs. Neumüller
585611	337074	Woman
585612	145170	Medic
585612	194020	Second 2
585613	254785	Newscaster #1
585614	73949	
585614	80794	Millie
585614	242529	Mrs. Jeffries
585614	261425	Hume's Secretary
585614	358729	Ada (segment "The Badge")
585615	94200	
585615	316267	Sara
585616	294357	Orphan Girl
585617	3405	Mrs. Louisa Bird
585617	208632	Nurse 1
585617	222876	Noreen
585617	230368	Carol
585617	238449	Theban Child
585617	250450	Young Pat
585617	404954	Arden Brookes
585618	10491	Maude, Algy's Wife
585618	11076	
585618	13240	
585618	50635	
585618	53782	
585618	70277	Stella Preston
585618	89251	Helen's mother
585618	91524	
585618	110293	Betty Alsted
585618	121381	Anna Prentice
585618	136161	
585618	139991	Effie Linton
585618	143247	Mrs. Nan Travers
585618	143316	Laura
585618	146266	A Wealthy Patient
585618	160615	Undetermined Role
585618	211341	Nerissa
585618	231437	Actress playing Juliet
585618	250805	Alice Hewitt
585618	255871	Meg Doherty
585618	285750	Grace Carter
585618	305400	Mame
585618	313340	
585618	341998	Sidney's Wife
585618	362187	
585619	115712	Trish Caroselli
585619	244365	Bored Assistant
585619	245112	Singer #5
585619	296019	Woman #1
585619	302932	Witness
585620	72099	Alexandra Noble
585620	76617	Helen
585620	120121	Megan Garris
585620	127730	Pam Bethlehem
585620	390771	Morgan Richards #2 (1981-1983
585620	409738	Elizabeth Maxwell
585620	411672	Debbie Nesbit
585621	367054	The Wiz Singers Children's Ch
585622	323871	Squirrel/Country Mouse
585623	131232	Extra
585624	264941	Réceptionniste
585625	163354	Jean
585626	304913	Nurse
585627	119412	Herself (Freddie Mercury's Si
585628	309539	Heather
585629	260803	
585630	123932	Eclair Mocha
585631	28481	Extra
585631	224382	Dawn
585632	34708	Michelle Dubois
585632	378628	Michelle Dubois
585632	378629	Michelle Dubois
585632	386857	Molly Fairfax
585633	183872	Nancy Larimer
585633	389927	Vanessa
585634	223009	Loop Group
585634	328553	Featured Moviegoer
585635	118212	Agent Pink
585636	29340	Susan
585636	31444	
585636	82522	Sign-up Lady
585637	167256	Sammy
585638	42268	Lila Foster
585638	170599	Lolly Simpkins
585640	12319	Body Double
585641	56275	Hotel Receptionist
585642	133240	Herself
585643	281072	Patty
585643	318813	Girl
585644	77210	Receptionist
585644	385020	Registrar (2003)
585644	387247	Paramedic (2003-)
585644	401642	Trish
585645	7661	Daphne Hunter
585645	120237	Prison's warden
585645	145170	BMW hijack victim
585645	228343	Edna
585645	273566	Psychiatrist
585645	334336	Whore
585646	176922	Sam's Wife
585647	1793	Miss August 1980
585647	272687	H.O.T.B.O.D.S.
585648	3264	Gang Girl
585648	25874	Trish
585648	49915	
585648	66556	Alien
585648	66557	Phil/Antareans
585648	90786	Robby Elias
585648	99165	Toby
585648	99176	Toby
585648	134395	Eva
585648	159926	Cheerleader
585648	222707	Mary Phagan
585648	259284	Marna
585648	278484	Sandie
585648	345702	Susu
585651	66601	
585652	335250	Hirself
585652	340099	Little Girl's Mother
585652	384089	Alice Beverley
585654	214814	Gospel Choir
585655	131367	
585656	131232	Maypole dancer
585657	131232	Extra
585658	131232	Maypole dancer
585659	11926	L'assistante
585659	79083	Carlotta Hale
585659	103997	
585659	114635	Lady Passenger
585659	128413	Passenger
585659	154146	Willow Thane
585659	165414	Marion Towers
585659	192570	Lucy
585659	227022	Lady Lucy Mayley
585659	230377	
585659	264489	
585659	269650	Mrs. Duncan
585659	297105	Miss Firbank
585659	307738	Frances Hanborough
585659	338808	Billie
585659	358553	Imogen Dreeper
585659	367471	Julia
585659	367567	Guest at Villa Salon
585659	367665	Ellen Garth
585659	372862	Thelma Cressingdon
585659	384497	Helen, Duchess of Denver
585660	328524	Mrs. Hanks
585661	385020	Bethany Platt (February 2003)
585662	382733	Perdita Brett
585663	32146	Herself
585664	271282	
585664	299193	DC Marie Snitynski
585664	387225	Tanya
585664	388486	Lynette Pickering
585664	392942	Michelle
585664	396082	Mo
585664	402610	Marcie Finch
585664	402611	Marcie Finch
585665	170411	Coffee bar person
585667	92902	
585667	166094	
585667	166153	
585667	260795	
585667	354759	
585668	108355	Erin Andrews
585669	42775	Herself
585671	118970	Ballet Double for Ms. Barton
585672	379801	Blanche
585673	11791	Moeder
585673	344226	Moeder
585674	46981	Sommers Girl #2
585674	267165	Flight Attendant
585675	17567	Katie
585675	46537	Photographer
585675	59377	Customs Officer
585675	65552	Charmian
585675	103250	Secretary at Newspaper's Offi
585675	140658	The Nurse
585675	230407	Shan girl
585675	248884	Barbara Rice
585675	271297	Soona, Susanna's Maid
585675	273307	TV Stage Manager
585675	277635	Counselor
585675	301678	Hospital Receptionist
585675	318441	Julie, Filipino brunet
585675	348390	
585675	358576	Judge/Bystander
585675	358672	Nurse
585675	372803	School Principal
585676	379831	Ann (1991)
585677	296980	News Anchor
585677	306465	TV Newscaster
585677	316635	Screaming Secretary
585677	328560	TV Newscaster
585677	340752	Stiles' Secretary
585678	116963	
585678	128812	Irene
585678	130808	Pretty Girl
585678	133525	Tamar
585678	138848	
585678	204174	
585678	308576	Woman
585678	337846	June
585678	361614	Judith Burnside
585680	370856	Donna
585681	262591	Fetish Girl
585682	289372	Featured Extra
585683	10311	Jan Genie
585684	83558	Adult Party Goer
585685	273437	Herself
585685	315287	Herself
585685	402993	Herself/Chicago (2002)
585685	402996	Women/Real World
585685	402999	Herself/Real Worlders
585686	213875	Maureen at 10
585686	289372	Featured Extra
585687	304443	Shut-in Girlfriend
585688	154481	Queen Elizabeth
585688	206414	Haven's Secretary
585689	14131	Stifler's Mom
585689	14132	Stifler's Mom
585689	14230	Stifler's Mom
585689	21533	Janice Denver
585689	24432	Woman at Football Game
585689	34666	Sherri Ann Ward Cabot
585689	47496	Betty
585689	48047	Erica
585689	48592	Stupid Girl
585689	55520	Aunt Marilyn
585689	64098	Fiona
585689	92232	Mrs. Wellington
585689	187191	Paulette Bonafonté
585689	187193	Paulette
585689	187708	White Faced Woman #1
585689	210765	
585689	213502	Amber Cole
585689	231798	Hottie Cop
585689	235472	Nurse
585689	258283	Sister Sister
585689	260266	Ireenie
585689	279888	
585689	304535	Harriet
585689	312798	Edith Potter/Herself
585689	328922	Louise
585689	339358	Jacqueline 'Jackie' Turreau
585689	367892	Shelly
585689	375827	American Designer
585689	389710	Ramona
585689	393614	Bobbi
585689	404342	
585689	405085	Skit Characters
585689	405557	The Groundlings
585690	35524	Securitiy Woman
585690	158017	Herself
585690	329548	Herself
585690	364179	Herself
585690	366936	Herself
585691	1801	Herself
585691	59149	Mrs. Phelps
585691	63046	Ramona
585691	63093	Melissa Raccoon
585691	70537	Herself
585691	109142	Herself
585691	119523	Herself
585691	199171	Herself
585691	223025	Song Performer "Fallen Angels
585691	250458	Maria
585691	270344	Melissa Raccoon
585691	286338	Herself
585691	313323	Herself
585691	350463	J. Hovah's singer
585691	383713	Rita Cooledge
585692	45431	Mrs. J. Ridgeway
585692	104322	Mrs. Bradshaw
585692	112024	Mrs. Vorhis
585692	320208	Ora Tourette
585693	376252	Linda
585694	310600	Mother Jones
585695	394003	Presenter
585696	91579	Mrs. Shaw
585696	127224	Elsie Bryant
585696	142671	Dodie
585696	203567	Clerk
585696	203686	Joan Ellis
585696	224126	Lucette
585696	272515	Dora Masterson
585696	315869	Mrs. Haines
585696	316350	Billie Southgate
585696	367623	Sylvia's Secretary
585697	403312	Various Characters (2004)
585698	218599	Girl in Castle Anthrax
585699	61156	Female Dancer
585699	289113	Cheerleader
585700	106552	Additional Voices
585701	218863	Winnie Gooden
585702	388321	Chloe Costello (2003-)
585704	391258	Herself
585705	195296	Keg Girl
585706	388396	Madeleine
585707	14163	Tina Dangos, age 6
585707	41502	Child
585707	45521	Girl
585707	124767	Evelyn as a Child
585707	163485	Janie Bailey
585707	178976	Angie Romano
585707	203568	Marjorie Bishop
585707	207865	Susie
585707	241735	
585707	252913	Lola
585707	253914	
585707	294357	Orphan Girl
585707	352752	Child Playing
585708	313104	Kidnapped Child
585709	207232	Lady Cynthia Claremont
585710	40333	
585711	331703	
585712	342871	Woman at bookshop
585713	6582	Mrs. Milligan
585713	23935	Herself - audience member
585713	55681	New Matron
585713	55697	Anxious patient
585713	74252	Mrs. Blades
585713	74766	Nurse Sarah Charles Bottom
585713	76507	Mrs Hall
585713	116505	Simpering Girl in Theatre
585713	154368	
585713	201879	Minerva Mold
585713	221006	Miss Flavia Jelley (Seasons 1
585713	240706	Vera
585713	242377	Libby Niven
585713	314979	Nurse
585713	333042	
585713	334245	First woman
585713	365906	Henrietta Salt
585713	381315	Mrs Hobbitt
585713	381561	Lana Butt
585713	386708	Dorothy Blake
585713	387247	Marge Green (1989-1990)
585713	390594	Herself (1956)
585713	391745	Mrs. Mac (Series 2) (1976)
585713	395066	Lanky Pat
585713	395915	Violet Robinson
585713	403105	
585713	403839	
585713	403843	Jessie
585713	408231	Mrs. Carey
585713	411152	Daisy
585713	411794	Cissie Lupin
585714	127487	Poet's Listener
585715	348864	Candy Girl one
585716	107924	Nina
585717	238649	Sam's snogger
585717	330681	Second Rosemary
585717	346271	Anna
585717	391872	Laura Saunders
585717	395539	Sarah Cameron
585718	295763	Herself
585719	53320	Dancer (extra)
585719	391558	Marney Kelly
585720	55928	Doll
585720	78529	Annie Miller
585720	201706	Herself
585720	282959	Band representative
585721	39680	Alice Trey
585722	1087	Townswoman
585722	97211	Rose
585722	257760	Edna
585722	316938	
585722	316939	
585722	366908	Anna
585723	183760	
585724	40552	Angry Mom
585724	84869	Miss Kathy O'Hara
585724	276328	Mrs. Ross
585725	238597	Nora
585726	185650	Neighbor
585727	299317	Herself
585728	300230	Fast Food Clerk
585729	189504	The Doctor
585730	196471	Country Dancer #5
585731	54953	Townsperson
585732	105368	Teri Connors
585733	305592	Nurse
585734	143003	Rose (the maid)
585735	368666	Couple at Restaurant
585736	102013	Girl #4 at Play (Rock)
585736	202915	Rachel Hicks
585737	30680	Eve
585738	193616	Stripper (Lord Sutch segment)
585739	46329	Herself, Alice Cooper, Gary C
585740	311298	Alycia Cooper
585741	380241	Senior Constable Emma Burton
585742	244206	Woman calling from England
585743	67135	Herself
585744	308121	Girl in 5 & 10
585745	29446	Maysie
585745	29676	Shearson Woman
585745	41953	Wendy Flemming
585745	68736	Reporter 1
585745	293258	Jackie (Ira's Secretary)
585745	382303	J.J. Douglas
585746	189254	(1939 version)
585747	204663	Madrigal Singer
585747	213582	Pitti-Sing
585747	256619	Edith Stanley
585748	45886	Jane
585748	314140	Young Girl at Country Cottage
585748	411014	Karina
585749	342552	Second Prostitute
585750	55674	Graveside Mourner
585751	202070	Grete
585752	361260	Leigh Ann
585753	5814	
585753	19173	Secretary to brigadier
585753	32464	Sister Phoebe
585753	40976	Chief Matron Evans
585753	41274	Miss Betty, showroom mistress
585753	53053	Prisoner
585753	78869	Carol's Mother
585753	141366	Miss Trevor
585753	183845	
585753	224361	Celia
585753	237911	Miss Stevens (receptionist)
585753	241028	Solicitor's Secretary
585753	291081	Dr. Campbell, asylum superint
585753	292143	Betty Dennistoun
585753	315296	
585753	337490	Mrs. Fellmer
585753	350006	Mrs. Davies
585753	367903	Chief Matron Evans
585753	384783	Alison Gray/Morley
585754	36839	Dancer
585754	67172	Dance Instructress
585754	233522	
585755	73850	Pam Baines
585755	105704	Cyr Copertini
585755	131539	Celia
585755	141529	Nurse 'Lark'
585755	158951	Pru Keaton
585755	194277	Connie
585755	263076	Joan
585755	318768	Librarian
585756	108941	Hostess
585757	108529	
585758	383205	Guest Star (2004)
585759	85924	Lady in Waiting
585760	10695	The Nurse/Whipdancer
585760	41390	Mistress of Salvation
585760	280084	Herself
585761	91876	Alex
585761	105116	Sarah
585761	186431	Jennifer
585761	190690	Lori Beaumont
585761	209630	Sally Applegate
585761	239891	Shirey Ann Williams, Lucy's b
585761	299485	Alison
585761	389858	Nikki Langton (1992-1993)
585761	394676	Ellen #1
585762	43756	Paula (segment "Sábado Quente
585762	113023	
585762	195004	
585762	250987	
585762	293331	
585762	322218	
585764	288690	
585765	35253	Nurse
585766	311008	
585767	190709	Irene's maid
585767	359064	Alicia St. Claire
585768	283006	Pick-up Girl
585768	343232	Balentine's accountant
585769	138207	
585770	41181	Aerobic girl
585770	291155	LaFemme, Trixie
585771	282953	
585772	404267	Clara (1980)
585774	338143	Young Girl ("Gestation")
585775	369874	Women's Alpine Skiing Analyst
585776	246603	Secretary
585777	139177	Cissie Jupe
585778	16642	Bohemian
585779	83824	Amy
585780	1868	Sadie
585780	401652	Additional team member
585781	55635	Charlotte
585781	77803	Nina
585781	104999	Casting Assistant
585781	107155	Kate
585781	120106	Mrs. Winchell
585781	149439	Mrs. Tabor
585781	222668	Hazel Heflin
585781	253010	Bob's Wife
585781	283709	Judge
585781	365442	Real Estate Lady
585782	336653	Daphne Sushinsky
585783	171485	Herself
585784	66798	The voice of ArmCo
585785	138716	Herself
585786	304235	Alley Victim
585787	404296	Mummy, Miss Julie, Aunt Mathi
585788	303972	Sandra Ray
585789	184906	Herself
585789	309535	Flight Attendant
585790	59444	Rose McGregor
585790	83559	Lucy Thornton
585790	88469	Mary Lee
585790	107133	Mary Grove Bronson
585790	138245	Carrie Miller
585790	192515	Jane Loomis
585790	309285	
585790	362345	
585791	32158	Mayme
585791	66622	
585791	116575	Russian Vamp (modern sequence
585791	126062	
585791	134674	Marie
585791	177405	
585791	202246	Fisher
585791	210892	Miss Cote
585791	239841	Bertha
585791	267974	
585791	278410	Hazel Hardesty
585791	286153	Maggie
585791	288820	Mrs. Edith Darch
585791	289248	Maid
585791	291103	Effie Middleton
585791	327685	
585791	330522	Gwendolin Finn
585791	363679	Good Face
585791	364550	Maid
585791	372228	Mrs. McKenzie
585792	230947	Citizen
585793	84595	Elisabeth
585793	208836	Herself
585793	261868	Pianist
585794	344652	Wrestling Fan
585795	328058	
585796	353973	Paloma (de niña)
585797	74113	Assistant #2
585798	209742	
585800	241733	Rose Kelly
585801	63004	Mrs. Al
585802	2565	
585802	6805	Bit
585802	41502	Lady Against Legislation
585802	44570	Woman at wedding
585802	47198	Mrs. Farmer
585802	61567	Elderly Lady Frightened By To
585802	67807	Housewife
585802	83809	Helen's Maid
585802	84901	PTA Worker
585802	109862	Agnes, Leslie's Maid
585802	118272	
585802	128173	Maid
585802	142877	Welfare Board Member
585802	143281	Bit Role
585802	147754	Seamstress
585802	148587	Committeewoman
585802	154476	Wedding Guest
585802	155908	Faiting Woman
585802	163577	Woman Guest
585802	163654	Mrs. Simmick
585802	168681	Wife who wants a new car
585802	183627	Party Guest
585802	183759	Mrs. Broderick
585802	190065	Bit Woman
585802	202987	Mrs. Sutton
585802	203090	Aunt Beth Ferguson
585802	206861	Mrs. Bailey
585802	214080	Woman at Vegetable Tool Demon
585802	217946	Mrs. Crane
585802	218734	Maid
585802	222662	Mrs. Casey
585802	223046	Judge's Wife
585802	231797	Henry's wife
585802	232023	
585802	246606	Mrs. Daniels
585802	269686	
585802	270497	Woman on Subway Platform
585802	300113	
585802	303307	
585802	315956	Floor Nurse
585802	318078	Woman in Department Store
585802	329903	Townswoman
585802	330184	Elderly lady
585802	362792	
585802	363248	Woman
585803	296234	Maggie
585804	81320	Diner
585805	22886	Queen Anne
585805	35578	Mrs. Klara Condor
585805	38813	Mrs. Hamilton
585805	39342	Myrna Hartley
585805	42938	Arlene Arnheim
585805	43737	Flora MacDonald
585805	78319	Mrs. Ashworth
585805	96644	Aunt Emmeline
585805	99147	Edith
585805	117647	Mrs. Barringer
585805	124720	Maxine Wood, aka Maxine Weber
585805	134026	Sophie Patourel
585805	134107	Grandma Leckie
585805	138661	Aunt Mary Drexel
585805	141008	
585805	148423	Mrs. Kirby
585805	162344	Duchess d'Angouleme
585805	178342	Mrs. Strafford, Wyn's Mother
585805	191491	Mrs. Karoudjian
585805	195816	Beatrice Remington
585805	199304	Madame Dupuis
585805	203548	Caroline, Lady Binfield
585805	207229	Mabel Vane
585805	221001	Captain Veronica Steadman
585805	221307	Alice, Dutchess de Brancourt
585805	223867	Mrs. Higgins
585805	224057	The Wife
585805	231389	Aunt Mary
585805	236129	Mrs. Henry Windle Vale
585805	256592	Aunt Inez
585805	264171	Miss Haskell
585805	268154	Mrs. Higgins
585805	273404	American Witch
585805	273585	Beatrice Lacy
585805	292414	Mrs. Medlock
585805	294514	Mrs. Railton-Bell
585805	308576	Sister Marie Therese Vauzous
585805	309274	Lady Sybil Elton
585805	329438	Lady Frances Nelson
585805	330664	Iris
585805	332042	Mother Superior
585805	347410	
585805	349983	Clarissa Scott
585805	363793	Lady Jean Ashwood
585805	370537	Mrs. Pillby
585805	403640	Auntie Margaret (1964-1965)
585806	141008	Madge Mullin
585807	311448	Dr. Fine
585808	223380	Cheerleader
585809	215563	Servant
585810	200443	
585811	5064	Sister Mary
585811	230316	Nurse
585812	187	Linda Elliot
585812	7493	Mrs. Jacell
585812	30122	Pamela Driscoll
585812	44304	Anita Castro
585812	94291	Miss December, Vargas Calenda
585812	115537	Irene Allison
585812	128152	Showgirl
585812	154481	Iren
585812	183598	Dorian Westmore
585812	206414	Glove Customer
585812	220801	Mabel Harris, Gerry's Secreta
585812	235092	Ruth
585812	278097	Dolores Ramirez
585812	278607	Pulque
585812	296827	Woman in Cab
585812	313058	Susan Garrison
585812	325154	Young Woman
585812	363745	Stewardess
585812	366208	Nona Butler
585813	117755	
585814	332080	Cashier
585815	123299	The Tart
585815	191000	The Maid
585815	220273	
585816	306466	Filipino nurse
585816	345860	Squaw
585817	23957	
585818	245513	Jackie
585819	287482	
585820	76217	Reporter
585821	11384	Country Club Woman
585822	1054	Mrs. Quinn
585822	2086	
585822	2275	Herself
585822	2690	Helen Bethke, RN
585822	11652	Nola Bealer
585822	35714	Renata
585822	40046	Edna Conrad
585822	44759	Cloe
585822	52668	Darlene Adams
585822	68419	Helen Donovan
585822	125800	Rowland
585822	125801	Rowland
585822	129583	Mrs. Rachael McCabe
585822	151092	Helen Jennings
585822	151229	Madge
585822	161638	Vi
585822	173518	Trainer Vivien
585822	188265	Fran
585822	188490	Clerk
585822	203073	Kate Lamar
585822	219667	Ma Prentiss
585822	224710	Della Martin
585822	227012	Evelyn Shriner
585822	245689	Renee
585822	258292	Fran Werner
585822	274499	Myra
585822	287016	Mrs. McClory
585822	296958	Marge
585822	321216	Mrs. Withers
585822	329974	Prostitute
585822	335334	Jeanine (Present Day)
585822	335549	Lorna Boyd
585822	348072	Mrs. Horton
585822	382636	Grace Douglas (1970)
585822	411802	Katherine "Kay" Reynolds Chan
585823	359929	Brenna Sterling
585824	233510	Lucy
585825	169597	Herself
585826	31427	Nellie
585826	306286	Dancer
585826	321351	Aunt Bee
585827	333246	Commando
585828	314924	Barmaid
585829	294249	Teddy's Girl
585830	368346	Herself
585831	55719	Hospitality girl
585831	90351	Girl
585831	216007	First Stewardess
585832	72767	
585833	145174	Tony Schrader
585834	117809	Library Clerk
585835	351226	Soprano
585836	338143	Scared Girl ("Consumption")
585837	24429	Dancer
585837	127627	Beach Dancer
585837	203358	Tony Clifton Dancer
585837	235052	Texas Dancer
585837	362453	Showgirl
585838	259236	
585839	176864	Nurse Joan
585840	50333	Samantha
585841	104775	Austrian entry (14th place)
585841	282450	
585841	308680	Herself
585842	321936	Nurse #2
585843	379738	Herself - Panellist
585843	383732	Herself (Evictee #5)
585843	391869	Gypsy Nash/Smith (1998-2002)
585844	252866	Waitress
585845	283350	Ruth Gately
585846	140193	Kid #1
585847	38660	Elsie's maid
585847	302928	Ethel Guthrie
585849	206942	Linda
585849	389858	Linda Cooper, R.N. (1971)
585850	188649	Rachel
585851	251144	Woman
585851	303550	Frankie's Mother
585852	39600	Belle Carter
585853	2266	
585853	306910	
585854	224025	Elkins' Girlfriend 1
585854	298463	Schoolgirl
585855	333440	
585856	355518	Visitor
585857	150127	Girl at Party
585858	73833	Celebrity Party Guest
585859	16041	Elizabeth Kramer Winston
585859	16058	Jean
585859	81253	Chrissy Randall
585859	88174	Leslie Fields
585859	106497	Heather Sullivan
585859	127549	Betty
585859	183775	Kate de Paulo
585859	388237	Lori Stevens (1982-1983)
585859	392404	Mary Beaudine Parker
585859	402397	Correspondent
585859	406059	Lt. Adrian
585859	411363	Priscilla Harper
585860	69396	Juice
585861	8630	Mildred (1939 version)
585862	385299	Beth O'Brien
585863	190029	Herself
585863	304863	Bobbi
585864	25495	
585865	368244	Showgirl
585866	330096	Helen Burton
585867	47025	Woman in Street
585867	47315	Mrs. Pitkin
585867	108261	Rose Gruden, Elaine's Mother
585867	175223	'Don't Walk' Lady
585867	252229	Woman in Parking Lot
585867	286442	
585867	320162	Waitress
585867	367579	Jan Donovan
585867	408098	Rose Thorn
585868	308586	Princess Tara
585869	171288	Herself
585870	166871	Additional cast
585871	47017	Nurse Bailey
585871	385719	Josette DuPres Collins parall
585871	387309	Mrs. Timmons (1981)
585872	129235	
585873	24705	Nurse Evans
585873	110298	
585873	120690	Peggy Grant
585873	144840	Peggy
585873	178061	Velda
585873	362192	Bank teller
585873	374578	Sick Woman on Plane
585874	341455	Dinner Guest
585875	119484	Cafe Hostess
585876	334154	High School Girl
585877	139492	Michiko
585878	93974	Trueloves Secretary
585878	127834	Principal
585878	178693	Parfume Lady
585878	202619	Pearl (1932-1942)
585878	263485	
585878	302235	Teacher
585878	329411	Female Nurse
585879	155920	Part of couple
585880	105	
585880	5816	Louise Constance
585880	7907	Lorraine Trevelyan
585880	21267	Jean (a model)
585880	31088	
585880	31097	
585880	31147	
585880	31238	
585880	35151	Carmelita
585880	38660	Margaret Cameron
585880	41505	Scullery Maid
585880	47597	Inez Villera
585880	48979	
585880	49943	
585880	54699	
585880	67322	
585880	69317	Rose
585880	79099	
585880	79452	Maud Barhyte
585880	81870	Doris Moore
585880	83933	
585880	85826	
585880	87708	Zora
585880	91655	
585880	94118	
585880	94976	
585880	104874	Evangeline
585880	106154	
585880	109147	
585880	109612	
585880	112777	Daisy
585880	117045	
585880	128280	
585880	128476	
585880	133418	
585880	134484	
585880	135965	
585880	142981	Rena
585880	146102	
585880	146199	
585880	148404	The Fiancee
585880	149173	Edith
585880	149808	
585880	159437	
585880	160031	Mary Ellen Ellis
585880	161542	The Friendless One (Modern St
585880	162550	His Wife
585880	177231	Nan of the Sawdust Pile
585880	219914	The Friendly One
585880	237671	Minna Hart
585880	238222	Annie, May's Friend
585880	253097	
585880	260084	
585880	264440	
585880	264519	
585880	266240	Rosie O'Grady
585880	270396	
585880	271130	
585880	279049	
585880	289063	Undine
585880	289199	
585880	294689	Maria del Carmen
585880	300005	Ruth Fulton
585880	301071	
585880	301653	Lady Lou
585880	304590	
585880	307361	
585880	315149	
585880	315637	His daughter
585880	329760	
585880	332471	
585880	335004	
585880	338736	
585880	342005	
585880	353385	
585880	359350	
585880	359991	
585880	362781	
585880	367199	
585880	367429	Mrs. Jack La Salle
585881	214443	Lawyer's Secretary
585882	368640	
585883	8217	Fari Bin Ghori
585883	114296	Nosy neighbor
585883	150998	Wedding Guest
585883	171791	Renu
585883	216348	Vidi
585883	337814	Latina Beauty
585884	124017	Pick-Up Woman
585885	49486	Mrs. Montrevor
585886	372759	Herself
585886	411830	Herself (1976-1981)
585887	367073	Munchkin
585888	142944	
585888	269862	
585888	280119	Olive
585889	365759	
585890	85908	Princess
585891	10515	
585891	22109	
585891	35963	
585891	36154	
585891	36167	
585891	36288	
585891	36478	
585891	38144	
585891	58999	Rami
585891	60008	
585891	85320	
585891	85431	Suniti
585891	95407	
585891	97665	
585891	107630	
585891	139993	
585891	164955	
585891	165372	
585891	172544	Mokshada
585891	173581	
585891	173639	
585891	181053	Rohini
585891	199658	
585891	207937	Leela
585891	217189	
585891	227063	
585891	227082	Damayanti
585891	227814	
585891	234868	
585891	236868	Nur Jahan
585891	250625	Leelavati
585891	250626	
585891	250685	Double role of twin sisters
585891	265508	
585891	271575	
585891	271782	
585891	272169	
585891	272708	
585891	288546	
585891	355304	
585891	374314	
585892	411743	Host (1993)
585893	9976	
585894	317335	Ms. Van Dyke
585895	296266	Interviewee
585896	41241	
585896	76788	Charlene
585897	284932	Kelly
585898	168295	The Roach Chorus
585899	385299	Paula Crane
585900	271262	Young Ursula
585901	50193	Lady Cavendish
585901	65663	Queen
585901	65878	Martha Roberts
585901	93593	Mayor's Daughter
585901	94140	The Maid
585901	128250	Maizie Dupont
585901	194593	Mrs. Livingston
585901	201007	Mrs. Thompson
585901	206878	Jane
585901	254444	Dolores
585901	254541	Miriam Wesley
585901	276655	
585901	311338	Zelda Burrows
585901	363835	Paul's Sister
585902	3405	Mrs. Olive Durand-Deacon
585902	14622	Wendy
585902	41490	Edna Phillips
585902	78780	Sheila
585902	82923	Maryson
585902	117550	Mrs. Simpkins
585902	140343	Flora Weldon
585902	141018	Janetta Now
585902	142924	Lady Elizabeth Grey, later Qu
585902	160469	Frau Doctor
585902	167891	Lady Willingdon
585902	170555	Monica Fenland
585902	191783	Miss Bach
585902	194513	Mrs. Weldon
585902	210541	Mrs. White
585902	242039	Cynthia Nicholls
585902	244780	Sue
585902	264503	Patti Lomax
585902	292404	Vicar's Wife
585902	299715	Jez's Teacher
585902	313937	Dr. Isabel Haziett
585902	327240	Connie Sims
585902	337484	Queen Elizabeth
585902	366377	Miss Barnes
585902	380276	Lydia Fawcett
585902	390369	Audrey
585902	391879	Mrs. Mazarene
585902	393491	Connie White
585902	395226	Mary Brett
585902	397182	
585902	397676	Tilly Dinsdale
585902	399271	Norma/Norman Bormann (1987)
585902	400412	Mrs. Demery
585902	402140	Mrs. Kennington
585902	402778	Sylvia Fenner
585902	403926	Matron Margerite 'Matey' Ball
585902	408866	Corianna Maddox
585903	401836	Herself (Series 2) (2003)
585903	401837	Herself (Series 2) (2003)
585904	39129	Ms Dunning
585904	52451	Sal
585904	74215	Bobby Downs
585904	78920	Patricia
585904	95189	Kath
585904	97463	Girl in coffee shop
585904	100192	Sandy Modesto
585904	117627	
585904	220652	Sandy
585904	231659	Jennifer
585904	255627	Jan Preston
585904	379743	
585904	381059	Sue
585904	399129	Herself (2001)
585904	399130	Maggie Hancock (2001-2002)
585904	403244	Wendy Price
585905	168119	Court lady
585905	177142	Lucy Weston
585905	190179	
585906	95256	Lukie's Girlfriend
585907	138980	Guard
585907	279022	Jocelyne
585908	384097	Bryony Shaeffer (1990)
585909	296071	
585910	10697	Dancer
585910	10700	Ethyl
585910	10723	
585910	279481	Herself
585910	296552	Dancer
585910	316040	Dancer
585911	44681	Wash lady
585912	27160	Sharon
585914	312265	Mall Girl
585915	44183	Jackie
585915	90342	Faye
585915	177519	Lady Granville
585915	393934	Melody Shaw
585916	18037	Dental patient
585916	46606	Hank O'Hare
585916	143990	
585916	144376	Stomper
585916	190026	
585916	232423	Woman in Curlers
585916	366271	Estelle
585917	10303	Food Trustee
585917	36756	Plantation Woman
585917	39252	Mrs. Swenson
585917	107846	
585917	115470	Head Nurse
585917	136002	Bonnie Parker
585917	180493	Nurse at Desert Valley Hospit
585917	231533	Edna Mae Gilhooley
585917	235470	Nurse Joanne Oxford
585917	282046	Edith Head
585917	282918	A Woman
585917	295608	Receptionist
585918	320146	Herself
585918	320147	Herself/12th Banished
585918	320149	Herself
585918	407077	Herself (36 Days, Samburu/Bor
585919	188188	Undetermined Role
585920	128246	Girl
585921	40552	Colins Mom
585922	142402	Nurse
585922	282645	Various
585923	164243	Maylene, girl at taco stand
585924	215527	Catfish Worker
585925	108391	Rose
585925	110295	Mrs. Jacobs
585925	327906	Rose
585926	99940	Walter's Girlfriend
585926	185755	Nun
585927	71176	
585927	119519	
585927	121529	
585927	220538	
585927	364577	
585928	1874	Antonia
585928	42854	Prostitute
585928	46572	Mutant Leader
585928	359543	Loren Tae
585928	366754	Celeste Sheridan
585929	263010	Gypsy Woman
585930	94978	Dr. Smythe
585931	254364	Novizin
585932	266625	Shepherdess
585933	45548	Woman #2
585934	209095	Sophie
585935	171050	Sophie
585937	86739	Linda the Fan
585938	220409	Ruth
585939	224106	Nathalie
585940	38103	Casey Appleby
585940	386622	Amanda
585940	395570	Sigourney
585941	240429	
585942	292150	Mentos Onlooker
585943	331575	Jenny
585943	344244	Moeder Marjan
585943	376433	Ineke
585944	82052	TV Reporter
585945	134371	
585945	246886	Pak'em Stanzi
585945	352260	
585945	399410	
585945	400876	Martine
585946	10169	Ruggiero, von Alcina bezauber
585946	20148	Dryade
585947	56996	Session Singer
585948	321130	Agatha MacRoy
585949	208800	
585952	175795	Debbie
585953	242718	
585954	132247	Los Alamitos Dance Team
585954	257111	Contestant
585955	236697	Brothel prostitute
585956	123114	Taxi Driver
585957	105422	Michelle
585958	242092	Bridget
585959	26260	Tina
585959	76606	WPC Sonia Norris
585959	99141	Sales Assistant
585959	184090	Caroline
585959	388321	Anna Gregory (2002-2003)
585959	388350	Simone
585959	397030	Various Roles
585959	409401	Pregnancy counselor
585960	285031	Abbess
585960	411056	Mrs. Hammond-Hill
585961	325242	Bon Vivant's Girlfriend
585962	27920	
585962	166153	
585963	354823	Sharon Riley
585964	166939	ER Nurse
585965	286423	Girl with abs
585966	6825	Woman with
585966	86892	Soap Opera Woman
585966	307899	ICU Nurse
585966	388726	Woman Reporter
585966	411197	Mrs. Tanner
585967	176884	Debbie
585967	204386	Captive Girl
585967	319902	Smeg's Girl In Pink
585968	388765	
585970	388765	
585971	387533	Angie Reynolds (1999-2002)
585972	394314	Co-Host
585974	272985	Performer
585975	49828	Rat Woman
585976	12114	Babs
585977	7103	Grandmother
585977	23973	Cathleen Nesbitt
585977	47865	Tanana
585977	52004	Mrs. Friedlander
585977	130106	The Aunt
585977	138859	Sunny Felix
585977	142985	Audrey
585977	155314	Cora
585977	163588	Rita
585977	170713	Mrs. Prelot
585977	184974	Ruth Weiss
585977	192254	Kate's Mother Mrs. Harrison
585977	213037	Lillian
585977	222632	Mrs. Finkelstein
585977	237783	Madame Reynolds
585977	251420	Senator Bevens
585977	281927	Pauline (The Hustle)
585977	367768	Grandmother
585977	380713	Greta Aldrin #1 (1983)
585977	387309	Mary Appleman (1959-1960)
585977	392185	Monica Courtland (entire run)
585977	396088	Maggie Porter (1960-1962)/Kay
585977	400236	Gwendolyn Lord Abbott (1979)/
585977	404613	Andrea Whiting #3 (1967-1972)
585978	410125	Herself/Assistant
585979	49973	Blind Woman
585980	646	Jackie Kent
585981	287509	Dr. Elle Warick
585982	63432	Parent #1
585982	97232	Writer Who Meets George On Th
585982	147745	Streetcar Eunice
585982	205171	Receptionist
585982	214755	Murder Bystander
585982	223711	Singing Chef
585982	340228	Woman Of Troy
585982	350035	Irma Bean
585983	265758	The Woman
585984	953	Sarah's Mom
585984	1500	Merrill Cale
585984	21243	Art Lover
585984	56870	Uniformed Cop
585984	66763	Flight attendant
585984	69639	Botox Woman
585984	81104	Sheena
585984	112705	Woman
585984	140967	Lesbian Girlfriend
585984	167671	Stacee
585984	194075	Mrs. Waxman
585984	194676	Giovanna
585984	197703	Nasty assistant director
585984	288942	Julia Young
585984	359971	Nicole
585984	360176	Coke Whore
585984	405833	Tommy's Mom
585985	164612	Girl in Commercial
585986	331097	Young Girl
585987	35703	
585988	13224	Sister at Door
585988	26971	Angela
585989	289615	Annette
585990	263537	
585991	388765	
585992	276937	Girl at Bar
585993	1843	Herself
585993	190571	Herself
585993	309504	Featured Performer
585993	331664	Blues Singer
585994	306278	Lady in Waiting #3
585995	191513	Kenmore Cheerleader
585996	123420	Model
585997	283586	Veronica
585999	108386	Police Operator
586000	275210	
586000	388765	
586001	245889	Illustrator
586002	94613	Dancer #6
586003	93223	Nick's Bowling 'Date'
586004	324502	Dance Teacher
586005	65167	Marie-Laure
586006	44200	Tehina
586007	222575	Tracy Todson
586007	233782	Ashley
586008	6651	Additional Cop
586008	229732	Woman in Black
586009	101818	L'infirmière
586010	230843	Adrienne Peltzer
586012	248568	Girl
586012	271994	Dee
586012	372882	Sherry
586013	270128	Young Lisa
586014	165556	Sean's Mother
586014	346005	Eleanor's Doctor
586015	307266	'Digger' Lt. Morris
586016	31198	Herself (NBC Team)
586016	31199	Herself (NBC Team contestant)
586016	31201	Herself (NBC Team)
586016	45831	Tina
586016	92194	Kathy Miller
586016	116078	Sabrina
586016	123303	Daisy McKee
586016	129437	
586016	136144	Rayline
586016	154466	Debra Bryan
586016	158320	Vickie
586016	207525	Sunny
586016	230873	Teenage Girl
586016	270128	Jewel Richards
586016	313333	Angel Parker
586016	338199	Marissa Orlock
586016	392404	Samantha Collins Beaudine
586016	410698	Mickey McKenzie
586017	320800	Dancer
586018	362453	Alex's Friend
586019	102590	Landlady
586020	80377	Venus
586020	142341	Agent Crack
586020	171092	Virginia
586021	347404	Herself
586022	117745	Emmy Turner
586022	405526	Young Catherine
586023	100838	Choir Member
586024	141612	Older Daughter
586025	384246	
586026	307460	
586027	345136	Infirmière #2
586028	115163	Kate
586028	154034	Actress #1
586028	279460	Kim
586028	304527	Doreen Gilmore
586028	309202	Hot Girl
586028	319923	Casey
586028	355114	Whitney
586029	66911	Mrs. Agony Beetle
586029	86025	Mrs. Hatchett
586029	263214	Granny Fork
586029	342954	Mrs. Daly
586029	405217	Mrs. Roe
586030	41318	Dead Woman
586031	183357	Clare
586031	215872	Hooker
586032	282035	Rosie
586033	91737	Lead Woman in Scene with Jade
586033	270752	Rhonda Simmons
586034	318791	Cute School Girl
586035	328859	Hilde als jong meisje
586036	265829	
586037	113222	Diane
586037	345287	La blonde américaine
586038	327300	Sasha Eckhart
586039	105600	Commercial Daughter
586040	2481	
586041	152603	Student at Brasserie
586042	194749	Mrs. Mitchell
586042	226899	Miss Livingston
586042	241008	
586042	306587	Mrs. Beuhler
586043	80832	Suzy
586043	82828	Moemi Hayakawa (English Voice
586043	112485	Gina
586043	139520	Vi
586043	156435	Jennifer
586043	157184	Claire
586043	191677	Sandy
586043	196892	
586043	202399	Judy
586043	244372	Donna
586043	266046	
586043	293083	Kate Wilkins
586043	296769	
586043	323428	
586043	357065	Sarah
586043	379337	Additional Voices
586043	382648	Quincy Issa/Iiko Isami
586043	392294	
586043	405118	Deidre
586044	39456	Russian ambassador
586044	113362	Taxi Driver
586044	162415	King Impostor
586045	56387	
586046	232818	Breeder
586047	99109	Elettra
586048	135154	Vicky
586049	32414	Attorney
586049	41228	Gloria Restrelli
586049	117188	Beth
586049	118725	Lucy Santini
586049	175843	Terry
586049	252888	Alex Vaughn
586049	302317	Bella
586049	313450	Lt. Stadi
586049	351412	Beth Sheffield, FED 397 Navig
586049	361251	Helen
586049	375109	Rachel
586049	380391	Lorna Devon #1 (1991-1994)
586049	382981	Marissa Rufo
586049	384586	Karen Chandler
586049	403160	Hostess (1989-1990)
586049	408897	Det. Patricia Damiana
586050	188491	Grandmother
586051	232933	Busty Lady
586051	323781	Mom
586052	130123	Herself
586052	141495	Herself
586052	284047	Herself
586053	263116	
586054	58053	
586055	141495	Herself
586055	230947	Baby Zoe
586056	362169	Village Woman
586057	241363	Couple in Elevator
586058	63654	La princesse Ida (French vers
586058	104239	
586058	211659	
586059	57817	
586059	122991	Riva
586060	185096	T.V. Camera Woman
586060	253269	Cinders
586061	217745	Art History Student
586062	214387	
586063	107054	Young Ruth
586064	378496	
586065	193975	Donna
586066	63890	
586067	210596	
586068	158758	
586069	344904	
586070	113811	Storekeeper's Wife
586070	207238	Colin's wife
586071	1706	Herself - Best New Filmmaker 
586071	2894	Herself (Winner of Best Scree
586071	3055	Herself - Best Original Scree
586071	17490	Noodle
586071	31852	Britney (segment "Ciao L.A.")
586071	60483	
586071	63762	
586071	71474	Child in street
586071	72391	Enzo's Mistress
586071	118964	Anne Chambers
586071	130123	Herself
586071	130125	Mary Corleone
586071	130128	Michael Francis Rizzi
586071	130129	Child on steamship in NY harb
586071	130130	Mary Corleone
586071	141495	Herself
586071	159010	
586071	160373	Cindy
586071	194922	Herself
586071	245537	Little Girl
586071	251867	Nancy Kelcher
586071	283248	Donna, Patty's Sister
586071	313474	Saché
586071	336242	Herself
586073	113320	Carrie's Aunt
586074	113320	Carrie
586075	230754	Mary Sherman
586076	330714	
586078	65914	Lecturer
586078	144558	Hair Salon Manageress
586078	408785	Arabella
586079	278645	Herself/interviewee
586079	399585	Masie McConochie/Samantha Tel
586080	338981	Herself
586082	217835	La caissière
586083	258837	Sandrine
586084	6697	(segment "Revestriction")
586084	277155	
586085	347566	
586085	409602	
586086	105779	Herself
586087	40280	Florist
586087	205635	L'habilleuse
586087	212796	
586088	48709	Ruby
586088	377982	Marie
586088	380209	Coquita (the bitch)
586089	326495	Mira
586090	264734	
586091	84599	
586092	142744	Eva
586093	64977	
586093	129526	
586093	149553	
586093	220701	
586093	268526	
586093	287464	La Comtesse
586093	296463	
586094	10120	
586094	24999	
586094	30520	
586094	51827	Gloria
586094	68623	
586094	69008	
586094	74533	Ana María
586094	76017	
586094	96261	
586094	99716	Matilde
586094	137846	
586094	167075	Teresa Marroquí
586094	197972	
586094	209068	
586094	216092	
586094	221956	
586094	309379	
586094	319581	
586095	351843	
586095	382639	Sabrina
586096	222790	Well-wisher
586097	145663	Le lesbienne
586097	235825	
586098	67755	Lesbian #1
586098	351761	Lucia
586098	356586	
586099	85598	
586100	150075	Servant Girl
586101	34060	
586101	95431	Anne Necla
586101	146981	
586101	293721	
586101	382135	Ulrike 'Ulviye'
586101	383110	Fahriye
586101	407594	
586102	8194	Saleena
586102	10648	Prostitite
586102	75242	Giuliana
586102	107479	
586102	383784	Laura Beccaria (1a Laura Vall
586103	214657	
586103	260551	Winona
586104	26120	
586104	117333	
586104	136844	
586104	334658	Mujer
586104	336078	
586104	339151	
586105	114873	(segment "Algorias de Cadiz")
586105	295525	
586106	56500	
586107	321953	Cord
586108	321953	Ninang
586109	15186	
586109	66731	
586109	78174	
586109	96111	Porn actress
586109	100249	Hooker
586109	104696	
586109	104697	
586109	105739	
586109	168961	
586109	307840	La première femme
586109	321953	Flower Girl
586109	328573	
586109	339909	
586109	401885	Herself/L5
586109	412082	Lio Coyne
586110	196764	
586110	354984	
586111	121222	
586112	199892	
586113	13998	Honeymooner
586115	54024	Bianca
586115	127884	(segment "Naughty Nun, The")
586115	163688	
586115	183912	
586115	202093	
586115	252660	
586115	270857	
586115	312521	
586116	24105	Corinna Gerber
586116	204415	
586116	225297	
586116	231455	
586116	325628	Lara
586116	325670	Annette Rohloff
586116	325793	Astrid Poelke
586116	325907	
586116	366269	Erika Hanson
586116	403792	Roxy
586117	8362	Nurse in Mortuary
586117	45342	Cake Decorator
586118	138716	Presenter
586119	388680	
586119	392628	
586119	402530	
586119	403738	Maria Rosa
586120	227565	
586120	258487	
586121	106474	
586122	247045	Guest
586122	279428	Specialty dancer
586122	321124	Specialty Dancer
586123	26283	
586124	306215	
586124	380863	Jeanne Lafresnière
586124	383186	Caillou (French language vers
586125	103828	Collegue Infirmière
586125	205778	Juge
586125	337271	Mona Fox
586125	339226	Le prof de gym
586126	10007	
586126	158763	Aline
586127	71261	Pareja coche
586128	305349	Girl With Snake
586129	252974	Julie
586130	252884	Little league player
586131	363943	Young girl
586131	385827	Maria Romorez
586132	42056	Soul Food Chorus
586133	81070	Shopper
586133	330998	Miss Sullivan
586133	384954	Friday
586134	358994	Amelia
586135	37702	Beautiful Girl
586136	209170	Dancer
586137	19822	Maid
586138	113303	Selena
586138	318095	Narrator
586138	378865	Nurse
586139	132912	Mandy
586140	102113	Herself (script girl)
586141	235101	Evelyn
586142	18881	
586143	237779	Melissa
586144	57404	
586144	59109	Gail Stern
586144	67561	Jessica Conroy
586144	109064	Lois
586144	109725	
586144	113412	Aunt Blanche
586144	144840	Liz
586144	165970	Dr. Maggie Sheridan
586144	179069	
586144	188429	The Girl
586144	204010	Jennifer Lindsay
586144	214092	Carole Frische
586144	217537	Mrs. Hill
586144	235061	Rita Aaron
586144	244407	Linda Mae Meyers
586144	245069	Barbara
586144	266511	
586144	280190	Beth (Davenport) Van Zandt
586144	280193	Beth Davenport
586144	280194	Beth (Davenport) Van Zandt
586144	288908	Jeannie Devereaux
586144	292888	Karen McClure
586144	298083	Laura Gooch
586144	311849	Herself
586144	366921	Mary
586144	400476	June Sterling
586144	403591	Beth Davenport (1974-1978)
586145	7091	Ralph's Sister
586146	173089	Waitress at Cafe
586146	332328	Receptionist
586147	4369	Showgirl
586147	20625	Extra
586147	33599	One of Frenchie's Girls
586147	51799	Twin
586147	93240	Bit Part
586147	184955	Woman
586147	195879	Ziegfeld Follies Girl
586147	246923	Dancer
586147	279376	Handmaiden
586147	279636	Slave girl
586147	343160	Chorus Girl
586147	352639	The Real Madeleine Elster
586147	372749	Girl in Theater
586148	51799	Twin
586148	195879	Ziegfeld Follies Girl
586148	279636	Slave girl
586149	393447	Sarah
586149	403462	Kirsty Henderson
586150	54634	Julie Reno
586150	309941	Club DJ
586151	90409	Pretty Little Leaguer
586151	232292	Young Sally
586152	18626	Helaine Frank
586152	40847	
586152	69848	Florence
586152	109047	Lady Joan
586152	113602	Bonita Grant
586152	120128	Dolly
586152	138790	Barbara Hutt
586152	141370	Frances Wilson
586152	155058	
586152	183685	Marcelle
586152	189254	
586152	192700	Helen Pryor
586152	195978	Jane Russell
586152	231765	Vi
586152	263479	Christine
586152	282607	Nurse
586152	330002	Leonora Perrycoste
586152	346200	Carole Markoff
586152	359466	Jill
586152	365203	Gladys Scrivener
586153	117575	Girl in Red
586154	47552	Celia
586154	61781	Joan
586154	128286	Secretary
586154	251188	Mary Blake
586154	263460	Margaret Nevern
586154	277144	Margaret
586154	329370	Warner
586154	341895	Florence
586154	366017	Mary
586155	405966	Soo (1968-1980)
586156	239652	Aunt Tildy
586157	131232	Extra
586159	191594	Undetermined Role
586159	192238	Undetermined Role
586159	359201	Mrs. MacDougal
586160	27178	Tina
586161	297937	Norna's Girlfriend
586162	34732	Herself
586162	36848	Intruder: Evictee #5
586162	36855	Herself
586162	381898	Herself - 4.5th Evictee: 1 Ju
586162	381917	Herself - Intruder Evictee #6
586163	185253	Pregnant Woman
586163	287740	Katherine
586164	405964	Puppeteer
586165	49377	Judith
586165	77188	Ellie Soper
586165	77190	Ellie Pascoe
586165	77192	Ellie Pascoe
586165	77193	Ellie Soper
586165	77194	Ellie Pascoe née Soper
586165	77195	Ellie Pascoe
586165	77198	Ellie Pascoe
586165	77200	Ellie Pascoe
586165	77206	Ellie Pascoe
586165	77207	Ellie Pascoe
586165	77215	Ellie Pascoe
586165	77216	Ellie Pascoe
586165	77218	Ellie Pascoe
586165	114152	Young woman in crowd
586165	214466	DS Kim Horrocks
586165	279757	Lady in Coach
586165	401077	Kerri Davidson, physiotherapi
586166	308135	Girl
586167	32940	People's Choice Awards guest#
586167	69413	Party guest
586167	80478	Cafe patron #1
586167	154742	Pub patron #1
586167	404923	Royal party guest #1 (Love an
586168	342118	Se stessa
586169	161759	Lu
586169	269473	
586169	316379	
586170	177119	Veronica
586171	20666	
586172	197537	
586173	307126	B.J.
586174	168776	Dancer #1/"Mack Johnson"
586175	368608	Herself - Reporter
586175	400750	Herself - Reporter (1988-)
586176	396108	Host
586176	404562	Contributor (2001, 2003-2004)
586176	411941	Co-Anchor (2004-)
586177	321206	Claire Norton
586177	324371	Future Inhabitant
586178	302948	
586179	205823	Girl from Church
586180	287210	Sarah Hanson
586181	1049	Talia
586182	242553	
586183	5541	Annette Dupre (child)
586183	9804	Princess Badr al-badr
586183	11639	
586183	26135	Rose/Gretel
586183	29900	Billie Durey
586183	32905	
586183	47512	Patsy Heath (age 16)
586183	50863	
586183	51879	
586183	56609	
586183	59866	Virginia Craig
586183	62777	Nora O'Brien
586183	64925	Molly Kendall
586183	65956	Blythe Wingate
586183	93797	
586183	101032	
586183	108458	Fan Fan
586183	116902	Claire Floyd
586183	117423	Virginia Clark
586183	117803	Sissy Salem
586183	138258	Alice Woodstock
586183	138264	Nelly Egan
586183	140958	Alice Sullivan
586183	141052	'Bobby' Dale
586183	141348	Johanna as a child
586183	148934	Becky
586183	161542	Child (Epilogue)
586183	164384	Virginia/Princess Regina
586183	166059	
586183	166081	Martha Baggott
586183	178861	
586183	183348	Dotty
586183	190466	
586183	190784	Judith Lee
586183	192294	Jane
586183	216912	
586183	218938	Maybelle
586183	233871	Virginia Dare
586183	235161	Marcia Gale
586183	252962	Ruth Webster
586183	255382	
586183	257535	Virginia Craig
586183	302886	Flapper
586183	303508	Undetermined Child Role
586183	307977	
586183	331424	Edna Trevor
586183	331705	
586183	338776	Louise Trelawney
586183	351743	
586183	363810	Dorothy Lanyon
586183	364433	Ethel Simmons
586183	366121	Flapper
586183	369432	Hortense
586184	320341	
586185	14741	Vera
586186	252926	Jackie Dilson
586186	302185	Ostario attendant
586187	166885	Newswoman
586188	135052	
586188	146452	
586190	1300	Student
586191	381017	Déli Bacon
586192	118091	
586192	393451	Madame la Baronne
586193	2437	Widow
586193	2761	Herself - Memorial Tribute
586193	3040	Herself (Memorial Tribute)
586193	5033	Mrs. Croffman
586193	11329	Mrs. Raiden
586193	11554	Great-Gandmaw
586193	16686	Old Woman
586193	16900	Sister Veronica
586193	21554	Mettie McPherson
586193	26606	Courtroom spectator
586193	29967	Miss Della
586193	31893	Gertrude's Mother
586193	32496	Queen of the Artichokes
586193	37470	Sister Blackburn
586193	44485	2nd Maid
586193	45219	Amelia Gravesend
586193	47457	Bit Part
586193	51975	Emma Barber
586193	53950	Teacher
586193	54461	Miss Endicott
586193	54995	Irene
586193	70825	French Maid
586193	72438	Reynold's Maid
586193	74711	Screaming Patient
586193	78793	Maid
586193	78895	Agnes
586193	79757	Grandma Walton
586193	93669	Bit Part
586193	97496	Mrs. Jeanette Moore
586193	107013	Cathy
586193	108309	Airline Passenger
586193	110324	Mrs. Ardley
586193	112464	Colpeck's secretary
586193	117646	Marge
586193	120645	Mother
586193	127074	Miss Neva Tremaine
586193	129762	Etta Pettibone
586193	129872	The Maid
586193	129967	Mrs. Dalton
586193	131774	Miss Birdshaw
586193	135918	Mrs. Devlin
586193	137393	Cathy, the Maid, in 'Fabulous
586193	139581	Lottie
586193	143605	Mrs. McGonigle
586193	148438	Grandma Walton
586193	153211	Lily
586193	154553	Aunt Trina
586193	155917	Woman
586193	156456	Miss Hinkel
586193	157887	Scrubwoman
586193	163485	Miss Davis (building & loan d
586193	169906	Mother at Party
586193	187277	Script girl
586193	191242	Singing Woman
586193	192410	Sophie
586193	192721	Broken Arms' Sailors Wife
586193	193295	Kitchen Girl
586193	193991	Lady in Crowd
586193	196404	Rita
586193	198834	Miss Kushins
586193	199304	Felicite
586193	207865	Annie
586193	213465	Ophanage Woman
586193	218339	Katie
586193	224710	Woman at Burton Ridge land of
586193	227542	Gertrude
586193	232085	Hazel Squires
586193	234889	Hilda, the Maid
586193	240569	Miss Mary Stevens (Wesley's s
586193	251855	Mrs. Privet, the Librarian
586193	258555	Soho Sal
586193	270768	Bit
586193	271144	Mrs. Wills
586193	280130	Mrs. Wellington
586193	282836	Mrs. Walker
586193	283893	Miss Simmons
586193	284931	Miss McCardle
586193	285786	Mrs. McKenzie
586193	289588	Mrs. Barnes
586193	291743	Mrs. Drinkwater
586193	295463	Sister Saint Joseph
586193	297322	Liz Torrey
586193	303232	Hospital Scrub Woman
586193	304968	Martha, June Lyon's Maid
586193	308939	Dress extra at table next to 
586193	310762	Secretary
586193	311250	Neighbour
586193	312839	Sarah
586193	315713	Ma Floyd
586193	315745	
586193	316351	Mrs. Kroll
586193	316941	Mrs. Harkins
586193	319757	Abigail
586193	320206	Coffee Shop Waitress
586193	325972	Mrs. Simmons
586193	330240	Screaming Woman
586193	333056	Mrs. Sumpter
586193	340964	Betty, Ashton's Secretary
586193	342664	
586193	347742	Mrs. Flanny
586193	350521	Mrs. Barbour
586193	352639	Manager of McKittrick Hotel
586193	355411	Mrs. Mayberry
586193	358865	Grandma Walton
586193	358866	Grandma Walton
586193	358867	Grandma Walton
586193	360711	Grandma Walton
586193	367616	First Woman
586193	367721	Nurse who reads paper to Susa
586193	383711	
586193	398413	Mrs. Beamish
586193	401660	Martha O'Reilly, the Maid
586193	410568	Esther 'Grandma' Walton (1972
586194	150602	Kathy
586194	164218	Gwen Gardner
586194	177020	Eve
586194	230242	
586195	241613	Cassandra
586196	82254	
586196	353619	
586197	7245	Bartolema
586197	30813	
586197	119100	
586198	54004	
586199	292175	Girl with Toby
586200	341939	Girl in Headshots and Auditio
586200	359567	Tsun
586201	217411	Flora
586201	318940	
586202	77794	Woman
586202	103270	Belle Mason
586202	158331	Mrs. Bennett
586202	323407	Secretary
586203	224070	Child
586204	224070	Child
586205	304757	Young Angela
586206	273826	Saloon Whore
586207	60205	Herself
586208	16900	Bridget White
586208	78171	Junior Higgins
586208	90262	Bunny Jones
586208	136520	Meg MacWade
586208	214098	Annette Kellerman at age 10
586208	218757	Grace
586208	289400	Patsy
586208	354859	Anna Stadt
586208	372633	Caroline Webster
586209	59180	
586210	23176	
586210	31731	
586210	34076	
586210	51494	Iwilla Jones
586210	95480	Maid
586210	100869	Grace Jessup
586210	232151	Grace
586210	263442	Mlle. Elsa Benviet
586210	270998	
586210	311293	
586210	320014	Birdie Jameson
586210	363971	Sylvia Blaisdell
586211	28675	Dr. Coletti
586211	35263	Carole
586211	46522	Mother
586211	66684	Diane
586211	342908	Female Cop
586211	362800	
586211	381103	Various (1999-2003)
586211	382458	Barbara Costello
586212	4730	Woman on Street
586212	122052	Praying woman
586212	219899	Bess
586213	79656	Girl at Park
586214	317309	MV Villagers Goodbye
586215	106636	Gym Teacher
586216	250764	Street Kid
586217	128828	Dancer
586218	253864	Sue
586219	28927	Young Manty
586219	127487	Lucy McDougall
586219	128828	Selma
586219	154401	Clarabelle
586219	258375	Ellen Moore
586219	306490	Grace Moore at 8
586219	315745	Anna, Little Girl with Govern
586219	324348	Sally Merion
586219	354859	Mary Stadt
586219	358273	Adeline Halper at Age 6
586219	372490	Bess as a child
586219	381086	Kelly Gregg
586220	194635	French Lingerie Sage
586221	246385	
586222	368721	Maria)
586223	265616	Additional Electric Club
586224	96838	
586225	936	Olga/Vera
586225	24888	
586225	30841	
586225	94489	Toinette
586225	124129	
586225	142009	
586225	166436	
586225	180039	
586225	195419	Giovanna
586225	199398	Elyane Parizot
586225	264732	Helen
586225	286821	Julia Sorel/Delila, Abimelech
586225	304115	Merapi, The Moon of Israel
586225	328696	Tesha
586225	337560	
586225	343475	Lucille Chauvelin
586225	344577	Nydia
586225	345654	Stella Manners
586226	60240	Babe #2
586227	77505	Dzhein
586228	29580	
586228	48862	
586228	71216	
586228	158772	La moglie di Heurtin
586228	211800	
586228	235776	
586228	263055	
586229	42775	Herself
586230	37267	Toinette
586230	132997	Toinette
586231	108883	Swanhilda/Coppelia
586232	7309	
586233	116005	Lavender
586233	121527	Bobbi Uphoria
586233	123404	Lady of the evening
586233	130410	Deborah
586233	281421	Julia Zales
586234	8915	Lucette
586234	16613	Marie
586234	101194	
586234	197401	
586234	198572	Marinette
586234	262933	Aline Lourtier
586234	264436	
586234	273026	L'assistante sociale
586234	275513	
586234	332203	
586235	383183	Josie
586236	67563	Anchorwoman
586236	185920	Fairview Gardens Girl
586237	39864	Teresa Alverez
586237	79659	Letty Diamond
586237	79821	Sharman Fulton
586237	94128	Sue Randolph
586237	118546	Maria
586237	118811	Kate
586237	124627	Jail Matron
586237	127397	Sally Caldwell
586237	128829	Vera Parkinson
586237	183836	Model
586237	202990	Holly Kenton
586237	203691	Moccasin Mary
586237	217958	Waitress
586237	226936	Louisa Jackson/Morales
586237	256184	Stick Lady
586237	257714	Pam
586237	265104	Dorothy Childers
586237	269853	Irene, Indian Girl
586237	272921	Paca
586237	281387	Interrogator #2
586237	291801	Lola, hotel proprietress
586237	306496	Yvonne
586237	308338	Girl on Balcony
586237	318171	Coffee Shop Waitress
586237	321390	Belle
586237	324895	Stephanie 'Steve' Clayton
586237	343160	Showgirl
586237	346303	Valerie Hudson
586237	384652	WAC Cpl. Harbin
586238	5055	Paris hotel maid
586238	11978	
586238	12764	Nurse
586238	26776	Nurse Attending Walter
586238	29675	Marthe, Diana's Maid
586238	41047	Helen's Maid in France
586238	42835	The Maid
586238	51877	Secretary
586238	54973	Maid
586238	59598	Concierge
586238	80439	Philip's French Governess
586238	81576	Hat Check Girl
586238	94196	Mrs. Koenig
586238	98151	
586238	109057	Swiss Murse
586238	115263	Minna
586238	116441	Josephine
586238	116443	Josephine
586238	133663	French Woman
586238	133880	Marie
586238	133887	Maid
586238	138230	Celeste, the French Maid
586238	138850	Gypsy
586238	139942	Hat Saleslady
586238	143651	Concierge
586238	150797	French Maid
586238	154881	Mother
586238	161461	Titiana's Maid
586238	167655	Judy
586238	170378	Gabby
586238	191131	Modiste
586238	195015	Julie (Charlotte's maid)
586238	213207	Harriet Cooper
586238	215525	Madam
586238	221307	Madame de Thebes
586238	223825	Madame Sada, Hat Shop
586238	236514	Undetermined Role
586238	246482	Countess Mariani
586238	253898	Maid
586238	255465	Madame Bonne
586238	255828	French Woman Paying Cabbie
586238	268914	Henrietta Turnbull
586238	272470	
586238	273181	Vivian's Maid
586238	289600	Mistress Hibbins
586238	295448	Woman
586238	306399	Proprietor
586238	310326	Señora Perez
586238	311463	Madame Denise
586238	318246	Mme. Paquineau
586238	320780	Grandmere Rousseau
586238	330168	Marquise De Brissac
586238	330375	Emma
586238	330836	Woman
586238	330851	Alyce, the Maid
586238	333062	Elderly Waitress
586238	334371	Elise, Pablo's housekeeper
586238	339844	Chambermaid
586238	360437	Theodosia
586238	362365	French Nursemaid
586238	362674	Marie
586238	363248	Marie, Louise's Maid
586238	363743	Hilda
586238	368424	Madame Girard II (1914)
586239	204210	Liz Nelson
586240	6908	Ruth
586240	32362	Francesca Landers
586240	39336	Countess Elga von Bruno
586240	42811	Mrs. Marsh
586240	105804	Katie
586240	107688	Marguerita Serena
586240	107695	Lili D'Allio
586240	107697	Joan Marshall
586240	107698	
586240	107699	Mia Bruger
586240	107702	Joan Meredith
586240	119803	Celeste
586240	123913	Georgine
586240	127697	Model
586240	128440	Troupe member
586240	132323	Girl in Hotel Lobby
586240	146854	Young matron
586240	212216	Bit part
586240	221001	Girl
586240	247359	Pan-American Girl
586240	321705	Lady Christianne
586240	335725	Denise Dorcet
586240	340964	Peggy
586240	361652	Suzanne, Rill's French Maid
586240	372170	Lucille Brown
586241	339663	Ann Evans
586242	119496	
586243	31274	Psychlo Babe
586243	272135	Courtney
586244	254985	
586244	375108	Kim
586245	5585	French Girl
586246	77924	Francine Dumont
586246	128809	
586246	254517	Yvonne
586246	372671	Dorinda
586247	265669	
586248	205696	
586249	308744	
586250	2887	
586250	14686	
586251	111284	
586251	384645	Miriam
586251	396899	Teresa
586252	308751	
586253	57287	Clara
586254	352222	
586255	240322	
586255	371404	Herself
586256	318488	Prostitute
586257	193588	Toni
586258	9129	
586258	29441	Mrs. Fontaine
586258	39272	
586258	78873	Mrs. Bennett
586258	124373	Nancy the Parlour Maid
586258	131258	Lady In Elevator
586258	133511	Claire
586258	201306	Mog Habbijam
586258	207099	Capt. Peterson, Nurse Corps
586258	240021	
586258	258051	English Woman
586258	276781	Ethel Glover (Colonel's Wife)
586258	313514	Fashion Show Vendeuse
586258	354461	
586258	402552	Lady Elizabeth
586258	404517	Additonal Voices
586259	66304	
586259	87521	
586259	113541	
586259	138993	
586259	190152	Nell Talbott
586259	203554	
586259	206423	
586259	207393	Paula Redtruth
586259	280486	
586259	281098	Lora Lee
586259	282646	
586259	291056	
586259	299536	
586259	332093	Mrs. Mildmay
586260	126543	Pam
586260	169689	
586261	41430	Mrs. Brody
586261	156513	Mrs. Sanderson
586261	338155	Sylvia
586261	389858	Natalie Dearborn (1983)
586261	411802	Dorothy Stevens (1980-1982 ,1
586262	10885	Weapons Commander
586263	55708	Attractive Nurse
586263	112031	Nurse
586263	120063	
586263	128645	
586263	131392	Secretary
586263	331489	Girl Lover
586264	318173	Aileen
586265	5684	
586265	126869	
586265	333255	
586265	345653	
586266	130730	Wife, Maid
586266	177083	Grandma
586266	347385	Rebecca
586266	387457	Milliea
586267	26476	Joyce
586267	245499	Sarah Glick
586267	310550	Hotel Manager
586267	316644	Reporter
586268	56292	
586268	69122	
586268	75179	
586268	108738	
586268	135308	
586268	156931	
586268	235984	
586268	235989	
586268	251557	
586268	269940	
586268	314342	
586268	376735	
586269	129487	Voz madre
586270	234352	
586270	380083	
586270	404701	
586271	313951	P-Nut's Girl
586272	106325	
586273	313951	Dana
586274	17290	Moderadora
586274	23190	Simoneta
586274	132642	La Mujer del atracador - 13 R
586274	171417	Nurse
586274	199807	
586274	286233	
586274	307799	
586274	376657	Mujer Progre Bar
586274	376760	Dependiente bombonería
586274	392614	
586275	1880	Locutora
586275	30386	Ana
586275	385395	
586276	194223	Reston Girl
586277	25934	
586277	62106	Mamasan
586277	76420	
586277	110626	Kwai Fa-Pon
586277	135025	Fatty
586277	135471	Fence
586277	137311	Fong-Fong/Twiggy
586277	138626	Woman with Michael Hui
586277	138629	Miss Ma
586277	147330	
586277	149008	Singer in Number One Club
586277	150721	Cat
586277	167427	Fatty Ha
586277	167428	Big Sister
586277	167495	Cop
586277	170074	Maid
586277	178975	Madame
586277	184748	Maria
586277	188396	Zero's Mom
586277	189523	Anti-Drug Squad Officer
586277	193938	Lounge Singer
586277	236286	East Indian Guard
586277	270021	Auntie
586277	298368	Woman in Restroom
586277	332342	Jane's Mom
586277	360985	Debbie's Mother
586277	369715	Drummer
586277	369826	Woman in Window
586277	370728	
586277	371495	Mother Superior
586277	376062	Ho's Mother
586277	404623	
586278	72554	
586278	80845	Vinnie Martinez
586278	169046	Elena Delgado
586278	227053	Diane Little Eagle
586278	395974	Marita Kagan
586279	9734	Máxima
586279	162249	Iris madura
586279	307277	Mujer Centro Social
586279	332664	
586279	400660	María
586279	400756	Rosa
586280	57073	Beggar, Maro, Peasant Wife, S
586281	83761	
586282	143757	
586283	274943	
586283	378986	Isabel Torreblanca
586283	382543	
586283	383579	
586283	392986	Susana Simpson
586283	397735	
586283	404990	Rosa
586283	408180	Emilia Santa María
586283	412183	Solange Duval
586284	93756	Girl rapper
586285	81286	Little girl
586286	248229	Directora
586287	324057	
586288	294192	Chiara
586289	74274	Female Game Show Host
586289	221142	
586289	360755	Nelia
586290	125251	
586292	381746	Host
586293	199571	
586293	301798	Caroline
586293	302121	Commune member
586294	24028	Sytje de Jong
586294	84542	
586294	125101	
586294	164903	
586294	189732	
586294	290622	Edith
586294	334627	
586294	336501	
586294	350280	
586294	376418	
586295	191000	Helene Castle
586295	323760	Maria (segment "Thief of Lond
586295	331625	Esme
586295	383175	Mistress of ceremonies
586296	171119	Herself - Louise Cordet
586297	264913	Second Officer
586297	331529	Barmaid
586297	396699	Nikki
586298	235491	
586299	74776	
586299	212458	Visnja
586299	215355	Lady of the Night
586299	217407	
586299	232597	Bolnicarka
586299	280404	
586299	296047	Branka
586299	328149	
586299	351322	
586299	386659	Zaga
586299	399133	Tetka Rosa
586300	33466	Bianca enfant
586301	356381	
586302	111871	Marianne
586302	377052	
586303	80100	Herself
586303	104742	French entry (3rd place)
586304	246470	
586305	343006	Rose
586305	382052	PC Kerry Young/Ashton (2002-2
586305	388321	Sara Warrington (2000-2001)
586306	198883	Witch
586307	33179	Ballet Dancer
586308	53678	Liza
586309	88050	
586310	213324	Cobweb
586312	338572	La soldate de L'Armée du salu
586313	51400	Lucienne Langeac
586313	72070	
586313	126257	
586313	152364	Une amie de Mme Garcin
586313	167194	Mary
586313	202593	Corinne
586313	209948	Micheline
586313	225409	
586313	227595	Laetitia
586313	243462	Anna
586313	390436	Mme Maillard
586314	144467	Singer at Sano Dance
586315	285322	Gorilla #1
586316	330282	Hospital Worker
586317	112523	María Sánchez
586317	359863	Woman
586318	350235	Girl Vampire #2
586319	148010	Mrs. Delgado
586319	194019	Mexican Waitress
586319	355056	Sacrifice
586320	310613	Lisa
586321	46868	Shoshone Woman
586321	66942	Registrar
586321	88998	Lady Reporter
586321	118311	Anita
586321	169881	Woman
586321	241883	Nika Flamenco Dancer
586321	385653	Mrs. Flores
586321	404282	Rosa Andrade (1984-1987, 1991
586321	406952	Carmen Torres (12/1997-12/199
586322	308139	Alma
586323	89256	Featured Extra
586324	349750	Dafne
586325	12080	Maria Helena
586326	12080	Neusa
586327	127730	Falcons Dance Squad Member
586327	128727	Dancer
586328	221779	Girl
586329	351884	Girl
586330	92694	Hat Check Girl
586330	279755	Wedding Guest
586331	172984	Nanine
586331	245502	
586332	122757	
586333	380447	
586334	24854	Frosine
586334	43676	Annie
586334	44999	
586334	45113	Mme Marthe
586334	45142	Herself
586334	45769	Jofrette
586334	54100	Cri-Cri
586334	58226	Lily
586334	58233	Maryse
586334	58234	Maryse
586334	59988	Nelly
586334	63948	Martine
586334	68427	
586334	83256	La psychanaliste
586334	85540	Marie Fer
586334	90719	
586334	94249	La véritable baronne Jacinthe
586334	99362	L'agent immobilier
586334	101271	Herself
586334	108635	Fanny Faber
586334	111876	Mme Hortense
586334	112842	Bertoune
586334	123060	Brigitte
586334	124400	Ginette Lalatte
586334	162613	La mère d'Isabelle
586334	199332	Ginette
586334	207630	Nina
586334	243039	La concierge
586334	258981	Charlotte Dupuy
586334	273672	Charlotte
586334	283040	Mimi
586334	283654	Mrs. Pinelli
586334	287586	Solange Serpette
586334	300735	Mme. Langlois
586334	309967	Tina, la mère
586334	322713	Mimi
586334	336312	Anne Gautier, dite la Tortue
586334	343576	Annie
586334	345392	
586334	345554	Mère Fine
586334	346673	Simone Lapierre
586334	351710	Jany
586334	354367	Titine
586334	357387	
586334	381178	Colette
586334	382467	Irène
586334	385858	Herself
586334	396369	Mme S.O.S.
586334	400389	Céline (1990)
586335	320122	Herself
586335	320152	Herself
586335	407075	Herself (21 Days, Pagong/Ratt
586336	277295	Museum Attendant
586337	124303	
586337	361567	
586338	275952	Herself
586339	53085	Niña
586340	129627	Olympia
586340	390180	Olympia
586341	224000	Maria Teresa Garcia
586342	65628	Older Woman at Party
586342	95271	Mrs. Feldman
586342	95877	Woman at Auction
586342	114095	Lady With Camera
586342	123460	Babs
586342	153650	Bookstore Society Lady #1
586342	155263	Nanny
586342	160669	Lady in Bar
586342	164657	JFK's Secretary
586342	175099	Madame Gerrel
586342	176919	Mrs. Harrow
586342	223065	Truthful Smith
586342	235518	Lillian Walters
586342	269372	Pauline Krimm
586342	333861	Anna Sjoblom
586342	335380	Nanny (Troma version)
586342	364692	Mrs. Gogle
586342	383426	Queen Karola
586342	391317	Sister Maggie
586342	391389	Mrs. Bigelow
586343	367054	Aunt Em's Party
586344	28281	
586344	250878	
586345	346354	Maria (Marie) Theresa Valdez
586346	5269	
586346	61145	
586346	69712	
586346	94640	
586346	103500	
586346	212342	
586346	251581	
586346	266669	(segment "Una cena de navidad
586346	286291	
586346	287854	Diana
586346	307291	
586346	343613	
586346	371692	
586347	232372	Nomad Dancer
586348	69650	
586349	245794	
586350	144362	Gina Maria
586351	51910	
586351	64435	
586351	148150	
586351	148158	
586351	197972	
586351	221750	
586351	234006	
586351	251228	
586351	251591	
586351	253184	Etelvina
586351	272379	
586351	281759	
586351	301332	Tia Mati
586352	327368	
586353	168149	
586355	199444	L'allieva Silvestri
586356	14915	 (segment "La voce umana")
586356	83770	Elena
586356	113443	Cesarina
586356	159498	
586356	217757	
586356	252765	La ragazza dell'osteria
586356	272770	La figlia di Tancredi
586356	278858	Amelia
586356	375015	La figlia del giardiniere
586357	82384	Mrs. Wilson
586357	148937	
586358	54464	Prostitute
586360	237177	Ninon
586361	43787	Jessie Holden
586362	392416	Herself
586363	353912	La femme tranquille
586364	284800	Karina
586365	73975	
586365	87072	
586365	140567	
586365	378018	
586365	385372	
586365	385852	Sofía
586365	387127	Aixa
586365	392805	
586365	397733	
586365	399764	Rosita
586365	411636	Cecilia
586366	23386	
586367	400374	
586368	141411	Eli's Mother
586368	195043	
586369	185385	Policewoman #1
586369	362441	Sarah
586370	71159	
586370	121959	Daria
586370	125007	
586370	287644	Jamine
586370	351013	
586371	41241	
586372	6612	Anna Pelti
586372	7761	Lerna
586372	14387	Marisa
586372	14833	
586372	42372	Anne
586372	104212	Lucienne
586372	127933	Sabina
586372	128001	Laura
586372	129009	Judith
586372	129196	Sira
586372	270816	Marina
586372	309964	Josette
586372	344599	Hilde
586372	349524	Caterina Lisotto
586372	349538	Anna Ripamonti
586372	350428	Clelia
586373	294135	Gay Sherridan
586373	393649	Regular
586373	401262	Herself (vocalist) (1957)
586373	403513	Herself (vocalist)
586373	411843	Herself (vocalist; 1957-1958)
586374	276439	Navy Nurse
586375	41139	Jennifer
586376	185237	Herself
586376	201502	Herself (historian)
586376	395806	Mary Corey (Historian)
586377	74527	
586378	12365	Mlle Ravalez
586378	59118	Natacha
586378	60030	
586378	71875	
586378	104244	
586378	155082	
586378	175677	
586378	268954	
586378	345037	Ginette
586378	345349	Agnès
586378	385602	
586378	389271	Danièle Andelot (segment "Pie
586378	401475	Sabine
586379	49941	Victim
586380	27584	Herself/Lea
586380	40505	Lea
586380	72077	The Nurse
586380	101124	Sonnys elskerinde/Sonny's mis
586380	103247	
586380	110306	Hotel Waitress
586380	174444	Maria
586380	174445	Herself/Maria
586380	267642	Receptionist
586380	409339	Rikke Borgwardt
586381	7778	
586381	88692	
586381	209328	Sypige i 1925
586381	249743	Pige i kollektiv
586381	264282	Sekretær
586381	304205	
586381	317258	Topsy
586382	93249	Sally Mackeson
586382	121823	Betsy Culbertson
586382	230098	Eva
586382	233774	Waitress
586382	255235	Young Yetta
586383	365560	Eva Potts
586385	39939	
586385	397540	
586386	365644	Mrs. Plowder
586386	380293	Tammy Floyd
586386	398700	Julie Waters
586387	150303	Sheila
586387	383209	Sue
586388	143499	General's daughter #2
586389	20391	
586389	64428	
586389	80271	Sofia
586389	244086	
586389	269535	Glória
586389	286574	Virgínia
586390	136958	Elena
586391	158462	Minerva Mirabal (age 8)
586392	328151	Zena u klubu hobista
586393	69294	
586394	197434	
586394	407815	Herself (Single) (2003)
586395	386691	
586396	377654	
586397	7077	Herself
586397	96857	Jessica
586397	307457	Baby Barker
586397	314110	Hot Chichanya
586398	24865	
586398	27676	
586398	56929	Nonna Cesira
586398	160248	
586398	162085	
586398	267879	1st Nun
586398	302570	Vamp
586398	307332	
586398	309114	
586399	91623	
586399	325269	Audrey Thomas
586400	17669	Anna
586401	346516	La patiente de l'hôpital
586401	389224	
586402	280503	Alison Danger
586402	280504	Alison Danger
586402	280506	Alison Danger
586403	402945	Ranger Gisele, The Mayor, Her
586404	103191	
586404	266024	
586405	52497	Tana
586405	170813	Kuhlaya
586405	288306	Dixie Barlow
586405	318623	Patra
586405	320787	Annabelle 'Annabella' Tolling
586406	240124	
586407	272739	Nurse
586408	108354	Chantilly
586408	399224	Betty Cooper
586409	117962	Lita
586409	227123	Kim Sue
586410	95871	
586410	124945	Tante Ali
586410	228232	Herself
586410	253887	
586410	312078	
586410	352054	Louisa
586410	394912	Popeya van Schier; Reuzin Gon
586411	207404	
586412	378909	Designer
586412	385081	Herself (presenter)
586412	391881	Herself
586413	30646	Talk Show Audience/Student
586414	89207	Roberta
586415	116289	Miss Taylor
586415	134595	Det. Coote
586415	137565	Christine
586415	137578	Lisa McNamara
586415	154357	Nursing Sister
586415	305175	
586415	346410	Cara
586415	397477	Karin Grunewald
586415	399130	Gail Lewis/Robinson (1987-198
586416	193775	Helen
586417	308778	Charmy Bee
586418	410722	Herself - Celebrity Special #
586419	377197	young Eva
586420	342826	Janice
586421	46871	Cafe patron
586422	152838	Assistant to Abby
586422	283719	Night Clerk
586423	206496	Cat Owner (Ahuva)
586424	404092	Ashley
586425	249336	
586426	118303	Mildred Purdy
586427	110516	Hooker
586428	248121	Anne
586429	241421	Risa Owens
586429	385824	Abigail Johanna 'Abby' Devera
586430	43	Mary Herlihy
586430	1787	Trish
586430	35643	Iris McKay
586430	45289	Deb Fountain
586430	46871	Caroline
586430	63832	Carla
586430	117664	Millie
586430	119534	Drew Halbert
586430	143628	Betsy Arnold
586430	155921	Joanne
586430	171485	Coach Rivers
586430	185131	Polly
586430	202195	TV Reporter
586430	218345	Donna
586430	252259	Annette Fogle
586430	258917	Judge Helen Pappas
586430	263168	Myra Kelsey
586430	291825	Mrs. Pollard
586430	333343	
586430	335310	Marie Brown
586431	132618	Coed Clerk
586432	221068	Miss Martin (Dr. Harvey's' nu
586432	269295	Second Contestant, Studio seg
586432	294038	Helen
586433	382397	Herself
586434	45707	Keisha
586435	272776	Elderly Lady
586436	301754	Child
586437	359423	Young Kris
586438	362640	Jill Carson
586439	294137	
586440	127691	Patron at Nate's Cafe
586441	13421	Samsara
586441	59194	Bunnie
586441	123426	Vera
586441	185703	Molly
586441	200911	Lynn Fabrizio
586441	252854	Pregnant Woman
586441	263500	Lucinda
586441	279165	Viola
586441	300772	Grace
586441	335934	Liz
586441	353082	Chrissy/Carol
586441	366906	Tony
586441	384440	Raina
586441	390178	Tania
586441	405209	Nurse Alison Rayner Warner (1
586443	5201	Joan Garner
586443	20845	Mary Gordon
586443	61611	Susie
586443	79911	
586443	80411	Eleanor
586443	80592	Arlene
586443	97350	Karen Jenson
586443	100822	Sister-In-Law
586443	135564	Esther Rothman
586443	143074	Grace
586443	149965	Pam
586443	195331	Dorey Previn
586443	203186	Liz Taylor
586443	208041	Anita
586443	210664	Dr. Merain
586443	222617	
586443	230083	Judith
586443	310877	Nuffie Kyle
586443	328263	Capt. Polansky
586443	329342	Diedre Tama
586443	335704	
586443	386914	Eileen Townsend
586444	277634	Daisy
586445	118948	Justine Moritz, Woman tried &
586445	361811	Receptionist
586446	232213	Sylvia
586447	205213	
586447	214797	
586448	274000	Rear gunner on plane attackin
586448	283422	Mrs. Randolph
586449	227194	Sharleen
586450	6994	Zuzu Petals
586450	45587	Liz Curry
586450	106355	Janine
586450	116979	Alan's Mother
586450	154660	Beth
586450	154735	Mary Sanders
586450	166671	
586450	178217	Nina Manning
586450	200864	Leezette
586450	212837	Carol the Photographer
586450	221183	Missy
586450	224190	Myra
586450	251347	Womynist #2
586450	295349	Polly Franklin
586450	307902	Laura Nelson
586450	321559	Peek-a-Boo Girl
586450	337284	Sheila Rosenthal
586450	379756	Ruthie
586450	398404	Cynthia Tresch
586451	303754	Girl holding Bike
586452	75421	Elderly Woman in Street
586453	215476	Host
586453	215481	Herself
586453	215482	Herself
586453	215486	Herself
586453	215487	Herself
586454	16334	
586454	29701	
586454	40364	Valentine d'Etoiles
586454	189690	
586455	90069	Zerlina
586455	254455	
586456	284666	
586456	386570	Marianne
586457	403280	Juana, Carlos' Mother
586458	13882	Skinny Girl #2
586459	299870	Barfly
586460	5412	Junie
586460	157636	Woman at school play
586460	211529	Pretty Girl at Shoe Store
586460	348615	Leslie
586461	113503	Mary March
586462	114349	Science Fair Entrant
586463	148460	Student #1
586463	249341	Taylor
586463	298120	Amanda
586464	80303	
586465	280264	Sylvia
586466	56264	Calcutta Dealer
586467	300236	Katharina
586468	199375	
586468	205970	
586468	219499	
586468	340168	
586469	92817	Girl #2
586470	142432	
586471	196034	Catherine Harris
586472	9698	Lara
586472	233188	The Goddess Kali
586473	240511	
586474	315198	Lola
586475	19344	
586475	23672	(segment "Rivière du hibou, L
586475	224872	Alexina's mother
586475	279247	Mrs. Farquhar
586476	1863	
586476	5326	
586476	6464	
586476	9946	
586476	18835	
586476	45725	
586476	52619	
586476	53657	
586476	75202	
586476	80266	
586476	143775	
586476	152232	
586476	206987	Criolla
586476	207737	
586476	207935	
586476	212359	
586476	221941	
586476	239243	
586476	265327	
586476	266820	
586476	294074	
586476	308298	
586476	324178	
586476	349966	
586476	354046	
586476	356665	
586477	384752	Sarah Scali (1992-1994)
586478	384752	Sarah Scali (1992-1994)
586479	89977	
586480	401355	Johanna
586481	58755	Madame Pinson
586482	223735	Bella
586483	357847	Une enfant
586483	388689	
586484	102945	Hélène
586484	122422	
586484	217266	Marie-Hélène, soeur de Christ
586484	254883	
586484	403254	Carole Dionne
586484	406031	
586484	410628	Claire Chalifoux
586485	81670	
586486	379252	
586486	401634	
586487	168666	
586488	6625	
586488	235999	
586488	256784	
586488	279585	
586489	256649	
586489	288862	Herself
586489	293355	Yvette
586489	310213	Iolanda
586490	135366	
586491	367203	Medewerker
586492	1965	Prep student
586492	136558	Charlotte Jenkins
586492	360784	Clara
586492	375700	Nikki
586493	73860	Little girl
586493	198484	Katrien
586493	240034	Evelientje
586493	318470	Kristien
586494	86442	Eva
586494	93623	Viola
586494	108166	Millicent Price
586494	139436	
586494	141735	Rozi de kleindochter van Vago
586494	242498	Alice
586494	352298	Lulu
586494	357311	Mariane
586494	411116	Fieneke
586495	381911	Herself (2001)
586496	389058	Herself
586497	24571	Harmony Lane
586497	245296	Shayne
586498	34463	Thelma Farnett
586498	194456	Penny Driver
586498	277947	Melanie
586498	323377	Susan
586498	385627	Lady McReith (segment film on
586499	12048	Wabi
586499	91006	
586499	125172	Afra Schlederer
586499	142134	
586499	144080	Loni
586499	189433	Martina, Wäschermädchen
586499	206694	Edelrot
586499	290791	Christl, die schöne Tölzerin
586499	367137	
586500	383582	Rose
586500	405525	Anne Carey
586501	94304	Singer
586502	68086	Loose Lips Lois (Garage Repor
586503	31665	
586503	34700	
586503	130613	
586504	162449	Englishwoman at Party
586505	297423	Violin
586506	31630	Sally's Models
586506	41063	Herself
586506	67135	Herself
586506	99987	Angela
586506	100007	
586506	100008	Angela
586506	102771	(segment "Satisfaction Guaran
586506	122210	Girl in photo
586506	201585	(episode "Put your honey wher
586506	236326	Herself
586506	273278	Juliette West (in segment "Ta
586506	274320	
586506	274323	Woman in trailer (segment "Ja
586506	274324	Woman in Trailer (segment "Ja
586507	45526	Herself
586507	78985	Pamela
586507	104331	
586507	130637	Rusty
586507	291919	Elaine Carson
586508	43087	Epidural Nurse
586508	59350	Wedding Guest
586508	122188	Gomez
586508	203716	KCBG Receptionist
586509	130307	Lt. Thi Sai
586510	394417	
586511	219204	Dinger
586511	219209	Ada
586511	382704	Nina Ordish (1998)
586511	382743	Lucy Mulcady
586512	346914	Phyllis
586513	228335	Girl with Balloon
586514	117	Herself
586514	62294	Kathy Lloyd
586514	80497	Tina Prescott
586514	119484	Suzanne Crawford
586514	137657	Rachel Carruthers
586514	137658	Rachel Carruthers
586514	151052	Jordan Casper
586514	160300	Herself
586514	171286	Patty Adams
586514	206447	The Pushy Reporter
586514	310646	Linda
586514	352962	Herself
586515	133849	Fräulein Stahl
586516	186740	Erica
586517	47193	Fay
586517	69848	Kate Sanger
586517	131391	
586517	167253	
586517	183685	Shop Assistant
586517	243261	Starlet
586517	307993	Nurse
586517	358875	
586518	394349	Herself
586518	394350	
586519	312774	Herself
586519	345864	Herself - Narrator
586519	402245	Elizabeth Barrett Browning
586520	142754	Burlesque Queen
586520	238071	Honeyface (Massler's wife)
586520	335472	
586521	48558	Peggy Cameron
586521	77820	Doris Marlowe
586521	77830	Herself
586521	123240	Vicki
586521	126510	Singer
586521	184948	Mildred Jennings
586521	199177	Singing for Evelyn Ankers
586521	218715	Specialty Act
586521	231780	Lillian Cornell
586521	269084	Sheila
586521	277531	Millie Starling
586521	304971	Gypsy Singer
586521	321388	Helen Grant
586521	372364	Miss Jones
586522	31195	Herself - ABC Team Contestant
586522	37571	Miss Ramirez
586522	41327	Barbara
586522	78881	Anne Coogan
586522	138818	Woman
586522	153707	
586522	215657	Mrs. Sugarman
586522	269036	Sally
586522	351899	Lexy
586522	408523	Sara Rush (1980-1985)
586523	171119	Herself - Lyn Cornell
586524	363406	Self
586525	118525	
586526	40864	Nick Cave Fan
586526	60413	Patty
586526	114224	Princess
586526	350182	Diner Waitress
586527	32701	Dr. Elder's Receptionist
586528	303819	Young Sally
586529	226938	Stenographer
586529	338733	Sandy
586530	253473	
586531	5867	Herself
586532	117485	Sorter
586532	347136	Woman
586533	55758	
586534	4543	Head Nurse Tripp
586534	78787	Woman
586534	114862	Mrs. Crawford
586534	139786	Mrs. Cummings
586534	186756	Mrs. Hubbard
586534	202952	Mrs. Evanston Whiting
586534	207861	Mrs. Wilson
586534	241078	Mrs. Frobisher
586534	257939	Secretary
586534	279636	Cornelia
586534	289568	Nun from orphanage
586534	325199	Mrs. Secretary
586534	334340	Midgie
586534	340839	
586534	342842	Mrs. Magowan
586535	244830	
586536	14288	Lola
586536	21446	Lady Muriel Pendyne
586536	132273	
586536	168541	Tante Lady Foxborough
586536	181168	Deborah Plunt
586536	189895	
586536	199363	
586536	201304	
586536	242411	Ninette Laurent
586536	275821	
586536	334730	Lyda
586536	344328	Meid
586536	352033	
586536	375789	Cora Chelmsford
586537	121529	
586538	19814	La fille
586539	243943	Mrs. Stinopolis
586540	194533	Harper
586540	200339	Host
586540	201812	Herself
586540	277762	
586540	364300	Herself (Co-Host)
586540	399226	Host
586540	400397	Host
586541	56871	Heather
586542	206635	
586543	132293	La Gourmandise
586543	164164	
586543	258149	Nicole
586543	268310	
586543	353934	Daisy
586544	139181	Young Louisa
586545	92517	
586546	125578	EMS Worker
586547	195999	Denise
586547	317153	Nurse
586548	347300	Classroom extra
586549	362984	Other
586550	187898	
586551	170358	La quêteuse
586551	229491	Madeleine
586551	332201	
586551	345109	
586551	381683	
586551	403826	
586552	200946	
586552	217648	Bijou
586552	357827	Babette
586553	200950	La patronne de l'hôtel
586553	353317	
586554	377464	Mrs. Bacheux
586555	181326	
586556	198608	Nathalie
586557	68370	La gardienne
586558	166792	
586559	381326	Kelly Clarke (1971-1972)
586560	53767	
586560	65809	Sara Boyack
586560	105296	Brianie
586560	149828	Becky Wodinski
586560	206191	Tracey
586560	218169	Mickey Norris
586560	241689	Emma Matisse
586560	308033	Heidi
586560	395570	Penne (2001)
586560	400583	Reggie
586560	411172	Simone Summers
586561	267546	Deke Ravenwood
586561	278600	
586561	341977	Bel Regis
586562	69	Hunt's sister
586563	65179	(commentary)
586564	149932	Girl in Car
586565	202283	News Reader #2
586566	64661	Clown
586567	411183	Kate Shawcross
586568	4905	Amy
586568	47436	Mary Barton
586568	193603	
586568	367666	Mrs. Fane
586568	367929	Phyllis Reid
586569	70624	Terrorista 6
586570	87695	
586570	212477	
586571	336754	The Children
586572	389046	Additional Voices
586573	15057	Dream Sequence
586573	125712	Aurora, the novelist
586574	286116	Lana
586575	332210	Cléone
586576	80779	Gloria Reid
586577	2503	Mary Darling
586577	20255	Florence Brown
586577	46996	
586577	61268	Anne
586577	65650	
586577	67101	The Girl
586577	70541	Madeline
586577	84250	
586577	95027	Angela Forbes
586577	105288	Annabelle Elton
586577	106650	Betty Hardy
586577	114007	Cecile Cardross
586577	114922	Betty Stanwood
586577	128306	Judith
586577	130626	Violet Dayne
586577	141334	Anita Wayne
586577	143154	Jacqueline Ornoff
586577	158281	
586577	159025	Toots Brooks
586577	161583	Betty Perry
586577	175160	Rose Ryan
586577	178893	
586577	178976	Woman
586577	183047	Lucille Smith
586577	210773	Girl
586577	221130	Senate reporter
586577	241992	Mary Hedley
586577	250572	Virginia
586577	270455	Muriel Sterlinng
586577	271250	Fay Larkinn
586577	282397	Zelle
586577	295442	Betty Alden
586577	311463	Beth Van Dyke
586577	330240	Screaming Woman
586577	334182	Lady Jane Carr
586577	339884	
586577	340755	Juror
586577	346194	Ella Parkhurst
586577	347732	Woman
586577	364836	Mazie
586577	368533	Bride
586577	368995	Helen Warren
586577	372145	Miss Jones, Blakely's Secreta
586578	236950	Elevator girl
586579	22970	
586579	35473	
586579	40591	
586579	53905	
586579	94498	
586579	107047	
586579	107914	
586579	109819	
586579	118594	
586579	121377	
586579	141524	
586579	152177	
586579	155729	
586579	158500	
586579	175412	
586579	187743	
586579	195940	
586579	201533	Ivan's Wife
586579	213508	
586579	221244	
586579	254534	
586579	328463	
586579	338849	
586579	354918	
586579	367437	
586579	368194	Alice
586580	302492	Village Maiden
586581	407663	Sandra Takkinen
586582	177482	Kitty Carlyle
586582	254462	Julia Hart
586583	48289	Primrose
586583	54919	Joanne Hallows
586583	58755	Femme Portefeuille
586583	92919	Elizabeth I
586583	113458	Catherine
586583	127294	Narrator
586583	169895	Aunt Elizabeth
586583	180787	May
586583	207093	Insp. Parkinson
586583	283767	Charlotte
586583	285752	Insp. Rabineau
586583	313566	Sally Potter
586583	363877	Miss Wilding (Wilson's secret
586583	386991	Liz
586583	390416	Annette Bullock
586583	397433	Margaret Lacey
586583	403574	Anna
586583	403575	Anna Ward
586583	405045	Sarah Morris
586584	342459	Bingo Checker
586585	53273	Filigree Fondle
586585	71713	Rosie
586585	74207	Receptionist
586585	74252	Stella
586585	79557	Clara Peggotty Barkis
586585	92621	Nurse
586585	105135	Liz Brown
586585	121835	Herself
586585	131393	Elizabeth Trent
586585	188858	Rose von Siebert
586585	190003	Mrs. Palmer
586585	194513	Miss Booth
586585	199150	Maddy's mother
586585	206924	Inkeeper's Wife
586585	208694	Mother Cuxsom
586585	210545	Daisy
586585	215154	Heather Badcock
586585	246335	Breeda
586585	253542	Mrs. Musgrove
586585	280167	Electra
586585	287713	Anya Claus
586585	317350	Mrs. Quigley
586585	342856	Pat
586585	364417	Clarine
586585	365409	Pippy
586585	365990	Barge woman
586585	369184	Nellie
586585	383191	Rosie
586585	385950	Mrs. McDipper
586585	388213	Jean Watson
586585	393314	Mrs. Reed
586585	394283	Daisy
586585	397752	Bessy Tulliver
586585	398177	Daphne Pegg
586585	399379	Aunt Peggy
586585	403464	Susan Melford
586585	407988	Vanessa James
586586	313440	Q Sidekick
586587	141859	Charlaine Karalus
586588	158040	Herself
586589	321179	Doctor
586590	275106	Prostitute
586591	551	
586592	66752	Annette
586592	207047	Visitor
586593	310026	
586594	231266	
586595	85997	Dancer
586595	301274	Pilar Fuentes
586596	6673	
586596	24907	
586596	52935	
586596	55910	
586596	55926	
586596	55964	Clementina
586596	55967	
586596	72958	
586596	73495	
586596	73979	
586596	74970	
586596	76119	Dona Gertrudis Potes
586596	77429	The Mad Woman
586596	101850	
586596	103738	Sara
586596	125393	
586596	128967	
586596	135378	
586596	148085	
586596	159291	Amarinda Alday
586596	159529	Calandria
586596	162769	Lolita
586596	193490	
586596	194610	
586596	194621	
586596	205385	
586596	212246	
586596	213722	
586596	221959	
586596	222536	
586596	233624	
586596	234342	
586596	251571	
586596	261252	Esposa de Roque
586596	262601	Doña Lupe Reyes
586596	275624	
586596	292739	
586596	292926	
586596	296499	Nana Dolores
586596	332945	
586596	340432	Luz
586596	343603	Tía Alejandra
586596	370179	
586596	371343	
586596	377170	
586596	381030	Apolonia
586596	381839	Nana Maria
586596	382197	Citlalli
586596	383268	
586596	386738	
586596	388647	
586596	398455	
586596	398481	Sofia
586596	401690	Nieves
586596	403428	
586596	409833	Grandmother Cècile de Saint-G
586596	410081	
586596	410313	Consuelo
586596	411710	Soledad
586597	399084	Verónica
586597	405415	Ana Luisa de Campos Ortiz
586598	358055	Tika
586599	5291	
586599	51545	
586599	54663	
586599	71299	
586599	88822	
586599	97373	Vieja de las siete polleras
586599	104889	
586599	111636	
586599	121269	
586599	125759	Paisana
586599	135052	
586599	221667	
586599	221706	
586599	236760	
586599	247294	
586599	248793	
586599	250527	
586599	280874	
586599	285943	
586599	296460	
586599	296464	Sra. Patricia
586599	302238	
586599	302301	
586599	317949	
586599	332676	
586599	351574	
586599	405396	
586600	87074	
586600	376690	
586601	410477	
586602	183476	
586603	381583	
586603	391673	Aninha
586603	402685	Esmeralda
586604	362261	Suzanne Banner
586605	403904	Dancer
586606	293575	
586607	294083	
586607	319732	
586607	377188	
586608	404963	Host
586610	384507	Dancer
586610	403904	
586610	406972	
586611	253373	Cazadora
586612	247258	Herself
586613	87835	
586613	278905	
586614	121346	Laura
586615	393363	Elis Canet
586616	64672	Woman #1
586617	392961	Herself
586617	400671	Herself
586618	13194	Nana
586618	20788	Maid
586618	51939	
586618	70869	Rebel Woman
586618	95421	
586618	100787	
586618	112044	
586618	171379	
586618	221969	
586618	239636	Maria
586618	240083	
586618	268199	Woman No 2
586618	401898	Gudelia
586618	406056	
586620	100822	Helena
586620	230411	Young Sarah
586621	247387	Arianna
586623	23790	Susan
586623	23817	Tyra
586623	91911	Mme Bache
586623	107506	
586623	203943	
586623	264378	Madame Henrietta
586623	382584	
586623	386268	Jacqueline
586623	388141	Olympe
586623	389004	Mlle Valancier
586623	403557	Jeanne de Balder (1964)
586623	403827	Françoise
586623	404153	
586623	410366	Françoise
586624	230488	
586625	122932	Nada
586625	169098	
586625	244282	Tamara
586626	240571	Melanie
586627	68333	La voisine
586628	392911	Mère de Jérôme
586629	76823	Narrator
586630	35236	MaryAnn
586631	392485	Una
586631	396760	Pheobe
586631	405457	Sonia
586631	409648	Vera Spiggott
586632	17329	Elizabeth
586633	389629	
586634	396216	Magaly
586635	321953	Trining
586636	3252	Herself - Performer
586636	45616	Anne
586636	63060	Herself/Performer
586636	68450	Sharon Rabbitte
586636	71114	Herself (lead vocals, tin whi
586636	71115	Herself (Lead vocals, tin whi
586636	71116	Herself (lead vocals, tin whi
586636	71117	Herself
586636	71118	Herself (lead vocals, tin whi
586636	71119	Herself (lead vocals, tin whi
586636	71120	Herself (lead vocals, tin whi
586636	105462	Perón's Mistress
586636	163623	Herself
586636	163672	Herself
586636	169171	Herself
586636	169815	Herself/interviewee
586636	212026	Herself/Performer
586636	221423	Herself - Presenter
586636	228301	Herself
586636	241221	Herself (lead vocals, tin whi
586636	249555	Herself/Performer
586636	249588	Herself (lead vocals)
586636	249590	Performer
586636	269590	Kayley
586636	282702	Performer
586636	313759	Herself (lead vocals, tin whi
586637	305990	Customer, Neighbour 3
586638	3252	Herself - Performer
586638	63060	Herself/Performer
586638	68450	Extra
586638	71114	Herself (drums, piano, bhodhr
586638	71115	Herself (Drums, bodhran, pian
586638	71116	Herself (drums, bodhrán, voca
586638	71117	Herself
586638	71118	Herself (drums, piano, bhodhr
586638	71119	Herself (drums, piano, bodrhá
586638	71120	Herself (drums, piano, bhodhr
586638	163623	Herself
586638	163672	Herself
586638	212026	Herself/Performer
586638	228301	Herself
586638	241221	Herself (drums, vocals)
586638	249555	Herself/Performer
586638	249588	Herself (drums, vocals)
586638	249590	Performer
586638	282702	Performer
586638	313759	Herself (drums, vocals)
586639	409929	Herself - Singer (2002)
586640	247093	Henrietta/Aviva
586641	3252	Herself - Performer
586641	63060	Herself/Performer
586641	68450	Fiddle Player
586641	71114	Herself (violin, vocals)
586641	71115	Herself (Violin, vocals)
586641	71116	Herself (violin, vocals)
586641	71117	Herself
586641	71118	Herself (violin, vocals)
586641	71119	Herself (violin, vocals)
586641	71120	Herself (violin, vocals)
586641	163623	Herself
586641	163672	Herself
586641	212026	Herself/Performer/Presenter
586641	228301	Herself
586641	241221	Herself (violin, vocals)
586641	249555	Herself/Performer
586641	249588	Herself (violin, vocals)
586641	249590	Performer
586641	282702	Performer
586641	313759	Herself (violin, vocals)
586642	264157	Princess Charlee
586643	393046	
586644	234279	Barmaid
586645	10241	Vocals
586646	29625	Alina Barrett
586646	29775	Rosina
586646	56024	
586646	69944	
586646	78558	Cristina d'Avita
586646	82917	Marianna
586646	99246	Adina
586646	109099	Maria
586646	118072	Donna Leonora
586646	183493	Clara
586646	187449	
586646	196778	
586646	196782	Lucia
586646	243637	Lyric singer
586646	266743	
586646	289648	
586646	301351	
586646	301359	Anna Murge
586646	328329	
586646	336268	
586646	375017	Maria Giusti
586647	82712	Nun
586648	307279	
586649	80614	
586650	326456	Vicki Mason
586651	85186	Featured Comedy Club Patron
586652	105039	Malissa
586653	13789	Newscaster
586653	49763	TV anchorwoman
586653	100816	Anchor
586653	144788	Reporter #3
586653	153094	TV Anchor
586653	210544	News Anchor
586653	230116	Newscaster
586653	236873	Anchor
586654	328888	
586655	20625	Extra
586655	196487	Bit Part
586657	72931	Goodyear Chorus Girl
586658	126322	
586659	55937	Dependienta
586660	77275	
586660	271840	
586660	377195	
586661	99232	Elisabeth Roux
586662	26297	
586662	30862	
586662	77635	
586662	173308	
586662	284638	
586662	303584	
586663	121476	
586664	79121	Valentina
586664	145543	
586664	154812	Mam Pearly
586664	162644	
586664	163053	
586664	165244	
586664	333740	
586665	402332	Herself
586665	408419	Catalina
586666	347589	Mrs. Bower
586667	49028	Bangles
586668	10870	Vina Black
586669	39158	Sandra
586670	285098	Cyd
586670	387429	Ingrid Olsson
586671	66753	
586672	34091	Pins
586672	42829	
586672	54827	Princess Collona
586672	78795	Additional Performer
586672	84860	Hugo The Dummy
586672	121808	Poodle Woman
586672	239568	Midget
586672	280279	The Transylvanians
586672	313479	Ewok
586672	342188	
586672	382772	Oswald
586673	345403	Zoé
586674	45899	Extra: viaduct
586675	398040	
586675	398856	
586675	409424	
586676	380447	
586677	12203	Gang Girl
586678	1863	
586678	140563	
586678	147295	
586678	227565	
586678	265327	
586679	212507	
586680	20625	Extra
586681	29806	
586681	42640	
586681	49732	Herself
586682	99869	
586682	162712	
586682	199552	
586683	128154	
586684	108781	
586685	342662	Sylvia
586686	74602	
586687	378971	
586688	16810	Fighter
586689	164349	
586689	393187	Paula
586691	286416	
586692	212135	
586693	351494	Judy
586694	194248	Raffaella (30 Yrs)
586695	372757	
586696	402626	
586697	385184	Etelvina (Valentes' maid)
586698	377169	Periodista TV
586699	161775	Dr. Araujo
586699	403118	
586700	7759	
586700	124240	Aunt Teresa
586700	236301	Fulo
586700	353236	Janaina
586700	379101	Iná
586700	380089	Consuelo
586700	380108	Remedios
586700	383294	Carolina
586700	384118	Amanda Duarte (1998-1999)
586700	387802	Anastácia
586700	388682	
586700	389780	
586700	390752	
586700	398817	Iemanjá
586700	400656	Baoni
586700	404915	Elvira
586700	410104	Guiomar
586701	347907	Big Mac
586702	123986	Herself
586703	388046	Herself (Finalist #4)
586704	96269	Monge Megáfono (sic)
586704	277340	Vecino
586705	292336	Raphaëlle
586706	88328	Julia Mendes
586707	18567	Danseres
586708	383550	Bárbara
586708	388065	Jeannie Rocker
586708	395044	Rosemary
586708	403118	Chiquita
586709	339674	
586710	120702	Maria
586711	215039	
586711	281640	
586712	380894	Julia Larrazábal
586712	383250	Ana Virginia Arismendi
586712	383472	Aurora Pabuena
586712	385365	Carmencita Meléndez
586712	386109	Teresita
586712	387700	Agatha
586712	395846	Salvaje Callao
586712	410297	Pepita Lunar
586713	132673	Niña
586714	215039	
586715	215039	
586716	57465	
586716	71223	Rita Baiana
586716	96533	
586716	104018	
586716	202130	
586716	237221	
586716	255640	
586716	377604	
586717	70116	Julia
586717	218240	Lúcia
586717	258866	
586717	307638	Maria da Luz
586717	334132	
586717	340191	
586717	353663	
586717	381246	
586718	30415	
586719	28589	Ilda
586719	71430	D. Antónia
586719	95326	The mother
586719	222162	Senhora do Comité
586719	293898	
586719	328337	
586719	341077	Dona Amélia
586719	344886	Didi
586719	345275	Julia
586719	353652	
586719	384523	
586719	387850	
586719	404059	Helena Macedo Vaz
586719	407867	
586720	154899	Nancy
586720	222162	A criada Suzete
586720	402638	Liliana `Lili' Caroço
586721	215039	
586723	267339	Party Guest
586724	348008	Herself
586725	317533	Groupie 2
586726	348008	Herself
586727	328603	Housewife (segment "Make Me A
586728	34977	Announcer
586728	128582	Cora
586728	161897	Princess Stephanie
586728	213180	Kay Barrie
586728	218330	Mona Verdoux
586728	239549	Belle Turner
586728	329103	Virginia Curtis, Lazy W
586729	184523	Little Midge
586730	16644	Wheel of Fortune Contestant
586731	45050	Girl singer at migrant camp
586732	69152	Herself
586732	84554	Herself
586732	93429	
586732	104738	Austrian entry (7th place)
586732	180992	
586732	186895	
586732	293524	
586733	242028	
586734	234019	Waitress
586735	400074	Herself
586736	31637	Bikini Audition Girl 8
586737	7630	Fay Carter
586737	8003	
586737	15926	
586737	32970	Pam Barnes
586737	36958	Diana Maxwell
586737	49637	Dorothy
586737	65764	Mrs. Alexander
586737	71102	Rachel
586737	74252	Woman
586737	84868	Doris
586737	87881	Elinor Barkham
586737	88936	Amelia (mother of Lara)
586737	93143	Delia Graham
586737	95854	Pegeen
586737	106600	Mary Amberley
586737	110996	Maureen O'Brien
586737	112744	Angela 'Tina' Richmond
586737	142520	Isobel
586737	152535	Sylvia
586737	169398	(segment "The New People")
586737	175057	
586737	176470	Kirsty
586737	184355	Lady Vivian
586737	186736	Susan Thorne
586737	199638	Faye
586737	201422	Nicky
586737	202900	
586737	209185	Mistress Overdone
586737	209615	Mayolo
586737	218733	Elizabeth Murphy
586737	245529	
586737	270025	Bit Part
586737	277096	Therese Douvier
586737	279192	Valerie
586737	281052	Nora
586737	281918	Lady Carter
586737	282307	Jane Buller
586737	292170	Deborah
586737	298757	
586737	317430	Angela
586737	319956	Laura Shelton
586737	327279	Betty Clare
586737	331489	Clara Willis
586737	342359	Countess Olivia
586737	350181	Gypsy Woman
586737	354333	Beatrice
586737	367620	Mme. Lisiere
586737	387710	Jll Howard
586737	388324	Grace Gould
586737	392523	Nastasia
586737	398990	La Grassini
586737	400370	Miss. Baxter
586737	407187	Angelica
586737	408119	Milady de Winter
586737	411793	Matron Lottie Orchard
586738	363941	
586739	309608	Susanna Hall
586739	310142	Mother Superior
586739	405209	Pamela Campbell (1998)
586741	90877	Eve Lake
586741	279371	2nd Nurse
586742	38750	Becky
586742	46545	Lisa
586742	77216	Zoë Patterson
586742	78921	Trish
586742	185407	Anna
586742	230869	Cordelia
586742	298087	Manda
586742	318726	Theresa Gibbs
586742	380708	Suzanne 'Sooz' Lee
586742	380709	Sooz
586742	399849	Lauren Antonioni
586743	92182	
586744	277295	Tourist
586745	19740	Wendy Shaker
586746	22735	Little Rose
586746	79556	Young Agnes Wickfield
586746	299715	Antonia, aged 8
586746	378710	Elf Girl
586746	407667	Allegra Freeman
586747	143404	
586748	71564	Casino Prostitute
586748	148987	
586748	219769	Mrs. Reilly
586749	19178	Woman
586749	49072	Digger
586749	279307	Digger (Voice)
586749	296261	Helen Powers (D.A.)
586750	75524	Herself
586750	238679	
586750	246507	
586751	159522	
586751	327564	Véronique
586752	325222	June
586753	58670	Herself
586754	194047	
586755	223885	Ben's Girlfriend
586756	344149	
586757	53037	Rose
586758	279200	Dancer
586759	72116	Sales Clerk
586760	85463	
586761	9711	
586761	17611	
586761	92515	Justine
586761	97836	
586761	127884	(segment "Trick, The")
586761	129051	Amante di conti
586761	140267	Grace Stevenson
586761	148781	
586761	255119	Elisabeth
586761	258334	Regine
586761	266012	
586761	267807	Elke
586761	272369	
586761	290523	Fräulein Lensing
586761	295166	Margo Thornhill
586761	322661	
586761	352455	
586762	232146	
586763	390319	Herself/food scientist
586765	55027	Voltrax/Jann
586766	1824	
586766	181900	
586766	318803	Herself
586768	77421	Mademoiselle de Grandmont
586768	175891	
586768	259009	Jo
586769	93043	Miss Prigg
586770	75531	Herself
586771	93043	Dr. Jacobs
586772	257369	
586773	261281	Television Reporter
586774	75767	Herself
586774	224863	
586774	226900	Katherina
586774	226901	Katarina
586774	238410	Hooker on top
586775	23747	Mélissa
586775	147453	Journaliste U.S.A
586775	239034	Patricia Elliot
586776	48180	
586776	233261	
586777	247370	Herself (Association of the D
586778	96053	
586779	199285	Kate Pinkerton
586780	279456	Pianist
586781	37047	Astrid Barker
586781	100148	Nurse
586781	250518	Store Manager
586782	5372	Street walker
586782	17582	
586782	54139	Ada
586782	55555	Caterina
586782	112650	
586782	120321	
586782	159618	Silvia
586782	221681	
586782	227583	
586782	281110	
586782	318632	
586782	328629	
586782	355801	
586783	23757	Tara
586783	211152	Ida
586783	268418	La dame au landau
586784	168133	
586785	52924	Jurema
586786	397210	Herself - Host
586787	139781	News Reporter
586787	312927	Elizabeth N. Fleming
586788	82460	Dara
586788	130903	Computer
586788	131780	Vito's Girlfriend
586788	263265	Reporter #2
586788	268541	TWA Supervisor
586788	384158	Cell Phone Lady (1999)
586789	269109	la sorella
586790	142514	
586791	136843	
586792	16464	Helen Crump
586792	27342	Mrs. Mathews
586792	40877	Jane Martin
586792	67558	Nurse Morgan
586792	131543	Fran
586792	207908	Judge Cynthia Justin
586792	276868	Helen Crump Taylor
586792	310698	Audience Member
586792	335758	Jo Ann Ballard
586792	380225	Helen Crump (1964-1968)
586792	385824	Blanche Dailey (1984)
586792	389949	Irma Howell
586792	392117	Head Nurse Bradley
586792	403336	Miss Erdlatz, the French teac
586794	169577	Marc's secretary
586795	277267	Self (Installfest Interview)
586796	326086	
586798	189258	
586799	15979	Laliel
586800	106158	
586800	259009	
586800	376999	Herself
586801	5377	Maddalena
586801	202772	Bruna
586802	171227	Iris
586802	270697	Betty Boop
586802	278121	Janey
586802	326597	Hippie Girl
586803	312918	Denise Adams
586804	20371	Geo Tech #1
586804	79530	Julie
586804	106375	Samantha
586804	139243	Fallopia Wigglesworth
586804	230124	The Selkie
586804	303447	Model
586805	43400	La professeur d'allemand
586805	44575	Solange
586805	69468	Une automobiliste
586805	71822	Mme Langlumey
586805	86727	La patronne du Zanzibar
586805	96141	Claudine
586805	211375	La mère d'Isabelle
586805	248423	Une 'flashée'
586805	343544	La bonne
586805	343569	
586805	345403	Mademoiselle Odile
586805	376914	L'assistante de Tristan
586805	377014	Laurence
586805	382471	Joëlle
586805	384212	La cousine italienne
586805	385508	Toinon
586805	398073	Tante Beth
586806	391469	Maria
586806	409178	Maria Opwaarts
586807	85837	
586807	123361	
586807	125847	Skillett's girl
586807	185879	
586807	216479	Tall Husband's Wife
586807	315305	
586807	349980	
586807	362071	
586808	183164	
586809	225447	
586809	287616	sa femme Eliane
586810	376172	
586811	90452	Inácia
586811	112767	
586811	212136	
586811	261455	
586811	269168	Maria
586811	344763	
586812	268280	
586813	53864	
586813	390489	
586814	88771	Girl #2
586815	17858	
586815	34461	Célestine
586816	246715	Marcia
586816	302752	Undetermined Role
586817	57429	
586817	143757	
586818	141664	
586819	64348	
586820	3342	Antonella
586820	12672	Alessia
586820	13202	
586820	261573	Nina
586820	291623	Caterina
586820	341364	Claudia
586820	388613	Herself - Assistant (2004)
586821	289966	Yve
586822	357192	
586823	68725	
586824	380526	M
586825	13965	Partisan
586825	31861	
586826	221015	Extra
586827	178123	Chiara at 10
586828	150880	Mission lady
586829	76370	Miss Chen
586829	143949	
586829	232899	Shan-Shan
586830	166960	Tabarra
586830	237933	
586830	247074	
586830	271276	
586830	355887	
586830	379183	
586830	381634	Chica Bandeira
586830	383584	Carolina Galvão Souza
586830	384002	Clô
586830	386730	Dona Xepa
586830	388565	Filó
586830	390658	Carmem
586830	391673	Olga Moretti Miranda
586830	396387	Emerenciana
586830	396722	Conchita
586830	396938	Clô
586830	397645	Cristina
586830	397804	
586830	400656	Afrosina
586830	400673	Dagmar
586830	401095	Alice
586830	403032	Maria Angélica
586830	403618	Joana Garcez
586830	404814	Sula
586830	407830	Zabela
586830	408330	Júlia
586830	408550	Norma
586830	410054	Maroca
586831	44229	Madre di Ugolino
586831	74746	
586831	75255	
586831	127439	Elvira
586831	132973	Madame Oro, Stage Passenger
586831	134904	Erminia, professor's housekee
586831	160054	
586831	235767	
586831	311258	Cesira
586831	386744	Rebecca
586832	263372	
586833	92510	Alberta
586833	176498	Ashley
586833	217314	Amber
586833	386158	Interviewer
586834	47277	Telethon Performer
586835	197638	Rosari as a child
586836	260574	
586837	266588	Young Sarah
586838	7761	La Donna del popolo
586838	25324	
586838	52784	
586838	90708	
586838	94811	
586838	175054	
586838	256649	
586838	276450	Henriette
586838	293355	
586838	307459	
586839	12096	Tita
586839	18795	Susana Posse
586839	21678	
586839	57870	Mirta
586839	66817	Angélica Rosi
586839	143674	Olinda
586839	217565	
586839	218201	
586839	222854	
586839	286880	Liliana
586839	318259	Mujer del corralón
586839	376858	
586839	376869	
586839	384981	
586839	385070	Celina Martínez
586839	387187	Rómula
586839	395255	
586839	396596	Coca
586839	397731	Dominga Vargas
586839	402721	Delia
586839	404712	Blanca
586839	404993	
586839	405789	Elsa Campos
586839	405812	Dra. Gloria Glezer
586839	409957	Sara Katz (1999-2000)
586840	6674	Adriana Lecouvreur
586840	6925	Queen Ariadne/Violet
586840	14260	La Maestrina
586840	14372	Nene
586840	14376	Nick's Mother
586840	14833	
586840	14859	Marisa
586840	14881	Sabina Foschini
586840	23589	
586840	24840	
586840	25504	Eleonora Duse
586840	26696	Madame Lixen
586840	29580	Julia
586840	29956	Eleanora Torlato-Favrini
586840	30889	Christine
586840	39671	Zoraida
586840	46184	Alina
586840	50300	Serafina Tannenbaum
586840	52116	Schoolmistress
586840	54397	Madeleine de Lepine
586840	55058	
586840	57255	Orfelia Francetti
586840	57828	Lisabetta
586840	61038	Luisella
586840	64781	Grazia Filippini
586840	69931	
586840	71106	Louise de Renal
586840	86334	(segment "Non nominare il nom
586840	90669	Irma
586840	90754	Vally
586840	90755	Anna Petrovic
586840	97138	Esther
586840	102973	Mother
586840	107029	
586840	119090	Pica Di Bernardone
586840	127955	Marianna
586840	127985	
586840	127996	
586840	129019	Valentina
586840	132792	La veuve
586840	151111	Victoria Kowelska
586840	156023	Mrs. Sobiesky
586840	157330	Luis Sola
586840	187277	Countess Bozo Bedoni
586840	197334	Lulù
586840	199694	Woman
586840	200145	Mathilde Wesendonk
586840	202168	Luana
586840	207978	Natalia
586840	212786	Herself
586840	215332	Fantina/Cosetta
586840	230080	Valentina
586840	231597	Dolores
586840	236505	Severine
586840	240269	Professor Lena
586840	243634	Lidia
586840	243635	
586840	250707	Herself - audience in Venezia
586840	263917	Nerina Redi
586840	269074	Velentina, la sua segretaria
586840	269190	
586840	270802	Laura Torrani
586840	274901	Eleonora d'Austria
586840	279063	
586840	280746	Typist
586840	284332	
586840	291559	Lallo's Mother
586840	292535	Gabriella
586840	292590	Maria Brentano
586840	296815	Princess Elizabeth Tarakanova
586840	301353	Madge
586840	307493	Maria
586840	307718	Maria Renda/Luisa Renda
586840	308422	
586840	312283	Erica Bernardi
586840	315444	Mother Superior
586840	324452	
586840	324647	
586840	327882	
586840	330345	Rica
586840	334773	Ornella
586840	340210	Tante Zelmire
586840	348140	Maria Pilar
586840	353078	
586840	355427	Mathilda Miller
586840	363189	Rose Valdez
586840	388169	Gina Grandi
586840	393476	Herodias
586840	402303	Donna Prassede
586841	196496	Undetermined Role
586842	161674	Emily
586843	115748	
586844	96321	Señora del artista
586844	213752	
586844	251557	
586845	52971	Española
586845	115748	
586845	158622	
586846	42659	
586846	77261	
586846	161562	Olga
586846	207007	
586846	233328	
586846	239252	
586846	339165	
586847	52971	Pilar
586847	115748	
586848	43656	
586849	389235	Candela
586850	42062	Mamma
586851	137427	Scarlet
586851	221701	
586852	38664	
586852	239035	Dolores
586853	260726	Herself
586853	300519	
586854	380104	Nana Gume
586854	387577	Aurelia the witch
586855	59901	Herself
586856	19215	
586856	110217	
586856	127590	Princess Mecede
586856	127960	
586856	174482	
586856	295148	Lota
586856	295167	
586856	302449	Fatima
586856	325060	Samia
586856	326036	The Queen
586856	357564	Etna
586858	207035	
586859	271248	Rainbow Girl
586860	181010	
586861	324502	Dancer
586862	10292	Michèle Dumont
586862	40995	Clara Sergy
586862	55724	
586862	73132	
586862	107681	
586862	123478	Sylvie
586862	243030	Annie Desforges
586862	254030	Mlle. Edmée
586863	29701	
586863	40364	Mercedes, die Spanierin
586863	59267	
586863	111054	Maria-Teresa
586863	204326	Franchucha
586863	218278	Empress Eugenie
586863	218325	L'Italienne
586863	225408	La danseuse espagnole
586863	340176	
586863	340177	
586864	15852	Irene
586864	92618	Maria
586864	144347	Spanish-speaking maid
586864	176883	Latina
586864	186681	Woman In Green
586865	197866	Herself
586866	258758	Herself
586867	327601	
586868	7091	Cynthia
586868	213479	Rita Repulsa
586869	5036	Mrs. Hansen
586869	50866	Moreau's Roommate
586869	73574	Marsha
586869	98906	Marilyn Howard
586869	119357	Mrs. Tarr
586869	139210	Det. Escobedo
586869	195981	Baskin
586869	210733	Cop #2
586869	280421	
586869	297246	Ella Lange
586869	304527	Lurlene Haskell
586869	313141	Jan
586869	314697	Leslie
586869	367606	
586869	387029	Female Reporter #1
586870	116112	Ms. Valquez
586871	20257	Singer
586871	83930	
586871	194052	Bumboat Girl
586871	271855	Dancer
586871	273674	Marquita
586871	331560	Conchita
586872	8598	
586872	57213	
586872	120088	Sister of young Frida
586872	246194	Celestina, the girl
586872	388095	
586872	401696	
586873	71223	
586873	280998	
586874	328535	
586875	57212	
586875	97812	Fátima
586875	146709	
586875	244194	(segment "A Princesa Radar")
586875	341159	
586875	344722	TV reporter
586875	353571	Iaiá
586875	355886	
586875	387833	Sílvia
586875	391674	Marina
586875	397522	Circe
586875	407680	Herself
586876	277899	Elevator Girl
586877	319933	
586878	338309	Lady Behind the Counter
586879	672	Secretary
586879	54791	
586879	397578	Jessica Martínez
586880	11791	Jenny
586880	93615	Tinneke
586880	275656	
586880	344226	Lowiske
586881	18544	Friend in Owner's Box
586882	154108	Lady Hostage
586882	389858	Sheila Cantillon, R.N. (1991)
586884	80858	Florinda
586884	380125	
586884	383470	Tarcisia
586884	386149	
586884	393802	Bibi
586885	44390	Marina
586885	69973	La Mère d'Antonia
586885	127912	Ciega
586885	226145	Fenena
586886	81335	Rosalie, diner waitress
586887	124340	Gossip
586887	212524	Elva Rivero Player
586887	250514	Hysterical Woman
586887	263916	Elba
586887	291530	Madame Cleo
586889	137943	
586889	262805	Couturière
586890	244985	Rose
586891	62584	Leilani
586892	324076	Bambina rapita
586893	402302	La mercatessa
586894	10046	Domenica
586894	63806	Franca
586894	292270	Fernanda
586894	375301	
586895	345351	Une cliente
586896	221739	
586897	131240	Housemaid at Twelve Oaks
586898	400236	Adriana Colón (#1) (2003)
586899	5447	
586900	332251	Esmeralda
586901	90737	
586902	51826	
586903	264250	
586904	290162	Housewife
586905	403686	
586906	244588	Hija de Olga
586907	39287	
586907	105156	
586907	113646	Madre joven/Mother when young
586907	297935	
586907	306920	
586908	264722	Guest
586909	45370	Eve Chandler
586910	368944	Sandra
586910	389858	Dr. Lane (1991)
586911	164220	Mrs. Lambert
586911	173129	Florida
586911	305515	Mme Drouin
586913	31950	Woman with Cigarette
586914	264436	Louise
586915	123063	Femme de chambre Harris
586915	397473	Various characters
586916	383147	Colaboradora
586916	384830	Periodista (2002-2004)
586916	387177	Periodista (2003-2004)
586916	397850	
586917	13014	
586917	65603	
586917	86880	
586917	143755	
586917	221912	
586917	222384	
586917	250986	
586917	269470	
586918	18768	madre del Carajo
586919	324498	La Muñeca
586920	405955	
586921	123560	Dama II
586922	8726	
586922	14694	
586922	19485	
586922	53125	Anastacia
586922	55961	
586922	63322	
586922	73511	
586922	73993	
586922	75622	
586922	91088	
586922	91413	
586922	115741	
586922	123188	
586922	193027	
586922	198918	
586922	203921	
586922	210445	
586922	221758	Maria, criada
586922	233624	
586922	234353	
586922	248285	
586922	266828	
586922	274764	
586922	317680	
586922	319767	
586922	322855	
586922	339988	Felipa
586922	357910	
586922	376752	
586922	377180	
586922	380104	Nana Gume
586922	381261	Angelica's friend
586922	384126	Jesusa
586922	384573	
586922	386077	Lucia
586922	388937	
586922	396815	Josepha
586922	397593	
586922	397604	
586922	403365	Teresa
586922	404710	
586922	405398	
586922	405834	Eulalia
586922	409921	Santa
586923	28748	
586923	52974	
586923	70987	
586923	146479	
586923	317680	
586923	336250	
586923	342158	
586923	373880	Petra
586923	380269	Nana
586923	380517	Nachita
586923	381169	
586923	382378	Manuela
586923	383665	
586923	384245	Rosa
586923	385335	
586923	385875	Josefina
586923	387696	
586923	396631	
586923	397462	
586923	402051	
586924	19445	
586925	101890	Piculina
586925	140701	Periodista
586925	277398	Queen's lady
586926	159038	The teacher
586927	89748	
586927	206682	
586927	352020	
586928	249875	
586929	56505	
586930	246274	Susana
586931	226498	Alumna gimnasia
586932	80129	
586933	91173	
586933	97367	
586933	103504	
586933	213724	
586933	216088	Patricia Aldama
586933	259018	
586933	296498	
586933	339154	
586933	339206	
586933	349464	
586933	350634	
586933	396894	
586933	397593	Blanquita
586933	401149	
586933	411713	
586934	9695	
586934	14694	
586934	14735	
586934	14746	
586934	34559	
586934	64041	
586934	64044	
586934	69222	
586934	71194	Lota
586934	91173	
586934	91379	
586934	91380	
586934	124534	
586934	125464	
586934	129486	
586934	135282	
586934	145163	
586934	160893	
586934	190407	
586934	205711	
586934	233766	
586934	234003	
586934	248232	
586934	248760	
586934	268495	
586934	273780	
586934	295301	Mapy
586934	296134	
586934	324318	
586934	333665	
586934	371676	
586934	376655	Ines
586934	376658	
586934	396894	Adriana Gallardo
586934	401696	Gabriela
586935	3453	
586935	6330	Tecla
586935	12027	Eulalia
586935	20737	Chole
586935	25680	
586935	29060	
586935	54318	Lupe
586935	82249	
586935	91088	
586935	115773	
586935	162769	
586935	206743	
586935	206979	Lupe
586935	212250	Lupe
586935	215336	Eponina Thenadier
586935	221961	
586935	246387	
586935	287443	
586935	302306	
586935	310043	
586935	332663	
586935	353977	
586935	355002	Mujer de Juan Diego
586935	376645	Chole
586935	383532	
586935	388649	
586935	397601	
586936	120908	
586936	243784	
586936	291353	Herself
586937	56632	
586937	276480	
586937	375779	
586938	168674	The Femme Fatale
586939	302306	
586940	353604	
586941	396941	Emelina
586941	396942	
586942	53648	
586942	56292	
586942	234314	
586943	256559	
586944	310067	
586945	307252	Tänzerin
586946	252076	
586947	184939	
586948	215589	
586949	307028	
586950	42644	
586950	48831	Adoptive mother
586950	80139	Sra Peralta
586950	105110	Party Guest
586950	193353	
586950	238514	Rosa
586950	240158	
586950	286090	Dueña
586951	81296	Leah
586952	115713	Patty
586953	345085	Marianne
586954	77138	Amelia, Don Felipe's Servant
586955	115833	
586956	42170	Mirli
586956	49508	
586956	140269	Margit
586956	189795	
586956	207933	Girl with ribbon in hair
586956	225117	
586956	290523	Erika
586957	295086	Nicole Romain
586958	29354	
586959	170308	Judy
586960	356325	Judy
586961	237130	Lea
586962	223003	
586962	407815	Herself (Single) (2001)
586963	64075	Marbella
586963	84645	
586963	88867	Dancer
586964	21913	Herself
586964	41751	Herself
586964	150085	Herself
586964	257651	Miss November
586964	257845	Herself (Miss September 1992)
586965	17197	TV Anchorwoman
586966	50152	
586966	106120	Model #1
586966	128718	
586966	128934	
586967	73903	Gwen
586968	46698	Danielle
586970	39464	
586970	80865	Linda
586971	351439	
586972	30646	Woman
586973	251016	Bewoner instelling
586974	306644	
586975	490	
586975	54778	
586975	64037	
586975	68961	
586975	104013	
586975	148140	
586975	169778	
586975	212382	
586975	222037	
586975	231695	
586975	250790	
586975	292916	
586975	317702	
586975	351996	
586975	371733	
586976	103857	Bárbara
586976	222160	Tânia
586976	380856	Joana
586977	131543	Jenna Bissel
586977	315923	Carol Harbin: age 3
586978	365664	NY Dancer
586979	373244	
586980	55519	Jackie Tate
586981	84851	Lady #1
586982	140405	Broadway show audience member
586983	391835	Talking head/soundbites (segm
586984	230531	Joanie
586984	363928	Felina Touche'
586985	167644	Receptionist
586985	175573	Mom
586985	254412	Funeral guest
586986	51139	
586986	267510	La taille de Manon
586986	292279	
586987	56502	
586987	74527	
586987	103496	Madre de Fred Galiana
586987	146447	
586988	151744	Herself (Cosell's Daughter)
586989	151744	Herself (Cosell's Daughter)
586990	371271	Alumna de la facultad
586991	104513	
586992	108105	
586993	195751	Bea
586994	127954	Alessandra
586994	399113	
586995	148108	
586996	252229	Ticket Agent #2
586997	140510	2nd Nun
586997	199485	Viv Parker
586998	265892	Party Guest
586999	397614	
587000	196891	Karen Sussman
587000	290378	Summer Hathaway
587000	386936	Megan Parker
587000	395649	Sarah
587000	410916	Mirand Wright (2004)
587001	87591	Mother in station
587002	169424	Flapper Jane
587003	163013	The Blonde
587004	30257	
587005	247846	Chica discoteca 1
587006	347787	Wokadeh's sister
587007	355548	
587008	381436	Erica (2001-)
587009	396411	
587010	6406	Juliette
587010	23750	Camille
587010	57231	
587010	101246	Dargelos/Agathe
587010	205217	Mme de Carnoule
587010	228557	Moïra
587010	243770	Bacchante
587010	345520	Isabelle Villiers-Brunet
587011	311676	
587012	85579	
587012	276472	
587013	108078	
587014	272796	Starlight casino dancer
587015	5710	
587015	82313	
587015	96486	
587015	110405	
587015	136757	
587015	136759	
587015	140592	Gülnaz
587015	140609	
587015	173435	
587015	175494	
587015	176220	
587015	242333	
587015	242335	
587015	307154	
587015	324598	
587015	375852	
587016	23133	
587016	25606	
587016	227968	
587016	377495	
587017	29529	
587018	184482	Female Victim
587018	380653	Tsevi
587020	257715	Herself
587021	230947	Margit
587022	291575	Femme caméra identité judicia
587023	83136	
587023	83138	
587023	202618	
587023	251161	Mrs. Ortiz
587023	281776	Angustias
587023	357503	
587023	385257	
587023	386076	
587023	408860	
587024	54166	
587025	82412	Valeria
587025	171624	
587026	83357	Sarah
587026	204668	
587026	248914	Avenir Barmaid
587028	224428	Wendy
587029	332732	Sra. Modesto
587030	180253	
587031	109759	Screaming Woman
587031	113378	Leanne Wiggum
587031	411290	Julie McClure Baxter/Jennifer
587032	109759	Crying Girl
587032	283368	Middle Ronnie
587033	247498	Forensic
587034	230663	Estelle
587034	258752	Female cousin
587035	194034	Curator
587036	202762	La soprano
587037	331475	
587038	188453	'Lena' Girl
587039	128243	
587039	166729	Clementina Jiggs
587039	242569	
587040	40847	
587040	62987	Mrs. Cratchit
587040	250830	Miss Stevens
587040	268154	Mrs. Eynsford-Hill
587040	388792	Mrs. Thayer
587040	391099	Grace's sister
587040	394575	Olivia Strafford
587040	396088	Sarah Dale (1979-1980)
587041	258311	
587042	38421	
587042	82407	Renée Bombardier
587042	307593	
587043	171485	Natalie Kemper
587045	344435	
587046	207777	
587047	380917	Eloisa "Cuchibarbie" Vaquero
587047	389233	Patricia de Arango (2002-2004
587048	13966	Vegas Show Girl
587049	190054	Barbara
587050	13042	La cavalière
587051	264525	Religieuse
587052	282286	
587053	6676	Principessa di Bouillon
587053	8835	Amneris
587053	57335	Santuzza
587053	127912	Laura
587053	129041	Mezzo-soprano
587053	340650	Azcena
587055	108148	Frau Ottendorf
587055	108149	Frau Ottendorf
587055	378186	
587055	388290	Frl. Lohmeier
587055	388783	Frl. Lohmeier
587056	384400	Sandra Paola Rodríguez Pineda
587056	403024	Pilar Gandia
587057	54069	
587057	302554	Singer
587058	103845	
587059	341077	
587060	278890	
587061	95341	Ana
587061	169794	Lady
587062	219566	Dona Cidinha
587062	226454	
587062	285577	
587062	332460	
587062	344871	
587063	29052	Woman in Ballet
587063	73145	Joana Imaginária
587063	118936	Doctor's Bride/Folk Ballet Gi
587063	156582	Nute's Girl
587064	194104	
587065	197953	
587066	408942	Young Alice
587067	214260	Herself
587068	222597	Bikini model
587069	407864	
587070	12319	Party Guest
587071	24554	Sister
587072	160610	
587072	206682	
587073	12096	Micaela
587073	52988	Carolina
587073	112652	Woman in labor
587073	121333	Rita Baldini
587073	124020	Maria
587073	151811	Paula
587073	220171	Silvia
587073	226458	Luciana
587073	253251	Luciana
587073	307233	Dolores
587073	307788	
587073	334657	Alina Osorio
587073	390884	Laura ('Nirvana')
587074	8581	
587074	55344	
587074	67659	
587074	96533	
587074	101922	
587074	205701	
587074	286574	
587074	355131	
587075	243391	
587076	184562	
587077	10196	Gracinda
587077	54166	Alice
587077	85596	
587077	122305	
587077	191437	
587077	214630	
587077	339255	
587078	122194	
587079	55344	
587079	82991	
587079	262235	
587079	356967	
587079	379451	
587080	265196	Catarina Arraes de Mendonca
587080	275312	Antónia
587081	61338	Inocência
587081	67642	
587081	96532	Jeanette
587081	212059	
587081	234641	
587081	298566	Odete
587081	341702	
587081	366705	
587082	168743	Woman in Alley
587083	85599	
587083	380081	
587083	381144	Leiloca
587083	387424	
587083	396036	Mônica
587083	403733	Carla
587085	25158	
587085	25782	
587085	104179	
587085	184824	
587085	344793	Carvalhais's wife
587086	381091	Herself (eliminated round 5) 
587087	377617	
587088	85963	Ana
587088	99668	Lulú
587088	378736	Eli Piera
587088	379566	Alex (2001-2002)
587089	68260	Gen. Alissa Cyan
587090	104493	Herself
587091	58616	
587092	234226	Bride
587093	378940	
587093	381200	Augusta
587093	384992	Raimunda
587093	386727	
587093	396610	Candelária (1995-1997)
587093	400097	Léa
587093	402807	Vilma
587093	406833	Sirlene
587093	407830	Miguelina
587093	407868	Nana's Mother
587094	388416	Zezé
587094	392607	
587094	397787	
587095	406053	
587096	122404	
587097	285322	Carol
587098	338644	
587099	408592	Luzineide
587100	107022	
587100	121342	
587100	256780	
587101	275518	
587102	48192	
587103	14682	
587103	199773	Zé Luís' mother
587104	225195	
587105	112759	
587105	296314	
587105	319626	
587106	254240	
587106	275023	
587108	294270	
587108	307200	
587108	391900	Célia
587109	18364	Vocals
587109	27749	
587109	27752	Herself
587109	88804	Herself
587109	203939	Carmen Miranda
587109	235889	Herself
587109	357197	Interviewee
587109	385629	Herself
587110	348197	
587111	136558	Mrs. Moss
587111	211529	Kennedy Mourner
587111	244034	The Emergency Room Nurse
587112	119626	Dr. Pinedo
587113	76066	
587113	262235	
587113	350142	
587114	112759	
587114	237414	
587114	246850	
587114	319626	
587115	191987	Cherry Reynolds
587116	100193	Beat Dope Smoker 1
587117	276294	Ana
587118	314346	Stella
587119	98732	
587120	385947	
587121	387833	Noêmia
587121	410190	Joana
587122	388681	
587122	392747	Dominique Duplessis
587123	201995	Lola
587124	281186	La nutrice
587124	328359	
587125	114955	Lauren McCarty
587126	2742	Manager
587126	119363	Befana
587126	183480	The TV Producer
587126	355360	
587127	114955	Peter's Mother
587128	107710	
587129	12707	
587129	51783	(segment "Despejo, O")
587129	55906	
587129	70888	
587129	97856	
587129	104488	Silvana's Mother
587129	122288	
587129	224971	
587129	258626	
587129	378772	
587129	379098	
587129	379942	Nair
587129	380538	
587129	384250	
587129	386422	
587129	387324	Carolina
587129	387900	
587129	388416	Odila
587129	392591	
587129	397393	Elza
587129	397440	
587129	397787	Zana
587129	400580	Virgínia
587129	401197	
587129	402365	
587129	402579	Isaura
587129	404306	Leocádia
587129	405854	Leandra
587129	408230	
587129	410287	
587130	307638	Ludovina
587131	101791	
587131	306794	
587132	24554	Sister
587133	59120	Student
587134	192870	Maria Luiza
587135	169291	
587136	278154	Béatrice
587137	187444	Maria Janez
587137	344605	Edra
587138	396610	Milena (1999)
587139	196683	
587139	280454	
587139	294891	
587139	383469	
587139	395405	
587139	404271	Carolina
587140	36949	Kay
587140	133858	Jetty Treffz
587140	206466	Joan
587140	241105	Herself
587140	304773	Princess Aurora/Briar Rose
587140	316465	Herself
587140	334011	Mourner
587140	384458	Herself/Co-Host (1956-1958)
587140	389228	Herself
587140	405258	Co-host (spoken credit)
587141	17379	
587141	71223	
587141	155667	
587141	222146	
587141	256153	
587141	344699	
587142	382779	Teresita/Waitress
587142	385652	Blanca Guerrero
587142	393059	Herself
587143	34284	
587143	52928	
587143	71223	
587143	286573	
587144	166343	
587145	349669	
587146	157571	Mary
587147	341136	Esperança
587148	8581	Rita Molina
587148	57465	Olinda
587148	70705	
587148	85524	
587149	221481	Herself - Presenter
587149	264028	Herself
587150	28589	Lourdes
587150	387690	
587150	390489	
587152	13099	
587152	75242	Infermiera
587152	147051	
587152	199934	
587153	243390	Lurdes
587154	251716	
587155	407744	Herself/Jornalista
587156	248775	
587157	229438	Moça
587158	24554	Sister
587159	64108	
587160	12086	
587162	68915	Irene
587163	269555	Herself (audience)
587164	98287	Loni
587164	376577	
587165	396847	Teresa
587166	42976	
587166	67658	Hostess
587166	129992	
587166	161810	
587166	269555	Alice
587166	335990	Beauty girl
587167	29513	Girl
587168	273724	
587168	328866	Conceição
587169	100009	
587170	271696	Eva
587171	110116	
587171	187746	
587171	207720	
587171	354685	Julinha
587172	18801	Lúcia Abobora dos Santos/Hers
587173	206567	Maíra Costa 'Majestade'
587174	325222	April
587175	135317	(segment "Núpcias com Futebol
587175	319626	
587176	53846	
587177	83521	
587178	67663	
587178	99316	
587178	183507	
587178	267495	
587178	386730	Creuza
587178	391900	Clenira
587178	396847	Freguesa
587178	400678	Aurora
587178	404306	Fifi
587178	405418	
587178	409003	Vanda
587178	409898	
587178	410054	
587179	219578	Horseman
587180	14689	
587181	53741	The Old Lady
587181	79400	La Marquise
587181	230733	
587181	316693	
587182	194810	Francesca
587183	75502	
587183	216110	
587184	25863	
587185	124328	Isabelle
587186	10749	Alice
587186	272209	Nabiki Tendo
587186	272213	Nabiki Tendo
587186	272214	Nabiki Tendo
587186	389627	Sawsad
587186	402863	Nabiki Tendo (season 1-7), Ha
587187	72332	Phoebe
587188	46747	Dolores
587189	161433	
587190	132947	
587191	75830	Angelyna
587192	90756	Franca
587193	64774	
587193	64879	Silvana
587194	25002	
587194	326225	(segment "El bebé olvidado")
587195	6397	Young patient
587195	23757	Vanessa
587195	55533	
587195	65086	
587195	66078	
587195	69450	
587195	76149	
587195	96046	Daniella
587195	104233	Mme Alcina
587195	112889	La patronne de Natacha
587195	129513	
587195	133183	Lucile
587195	164169	A follower of Rasputin
587195	200934	La grande Thérèse
587195	243284	La première secrétaire
587195	255658	Marilou
587195	262963	Agathe
587195	266635	Lise
587195	273689	Chatounette
587195	285778	
587195	292279	Merya
587195	320240	La gérante
587195	345173	Clothilde
587195	346819	
587195	354024	La dame au vin
587195	356364	Une fille de Priscillien
587195	397938	Madame Bie
587195	397949	
587195	401349	
587195	401931	Lise
587195	409457	
587195	409458	Isabelle
587196	252749	Ambra
587197	355652	Gaia Russo
587198	53932	Impaled native woman
587199	187919	Nun
587200	246493	
587201	29523	Barfly
587202	283718	Old Woman
587203	389416	Irate Woman
587204	6512	Sangerinne
587205	14890	
587205	36333	Sorella di Antonio
587205	48219	
587205	96496	
587205	125776	
587205	159270	Manicurist
587205	198912	Mrs. Costantini
587205	243257	Eden's Maid
587205	261577	
587205	341390	
587206	12687	Monna Collagia
587207	366811	Nino DiMartino
587208	55877	
587209	27065	Bartender
587210	220608	Figlia coppia supermercato
587211	399657	Herself (1993-1994)
587212	159901	
587212	269478	
587212	289338	
587212	386742	Signora Barker
587212	386744	Martha
587213	404570	Jessica
587214	96770	Screaming Woman
587214	194410	Tracy
587215	399657	Herself (1993-1994)
587216	360682	Aunt Sarafulo
587218	178582	Die Ehefrau
587219	229289	
587220	13576	Cynthia from Chicago
587220	21447	Ms. Webb
587220	156466	Sonja
587221	8172	
587222	371413	Susana Materneo
587223	33539	Pulchérie
587223	88838	
587223	91462	Mlle Serry
587223	111092	Lucienne
587223	118960	Lilith
587223	307309	Mlle Verrières
587223	393772	
587223	395620	Françoise (segment "Janine")
587223	396135	
587224	103198	L'enfant
587225	333692	
587226	281435	L'accordéoniste
587227	355357	Strega del Sabba/Donna nuda
587228	150157	
587228	204828	
587228	205751	Judith
587228	232332	
587229	12037	
587229	17090	L'amie de' carmencita
587229	60901	Jeanne
587229	96164	Hélène
587229	346574	
587229	384029	Rozette
587229	407811	Sylvie
587230	248729	
587231	352635	Corinne
587232	388046	Herself (Finalist #10)
587233	33394	Amy Landon
587233	190049	Catherine Churland
587233	397617	Nurse
587234	767	
587234	36770	
587234	75059	
587234	75060	
587234	91656	
587234	149336	
587234	160776	
587234	252379	Herself
587234	349385	
587234	360609	
587235	108268	Mommy
587235	108269	Mommy
587235	310632	Mommy
587236	199035	Josephine
587237	320878	Receptionist/Nurse
587237	363189	Woman in Bar
587238	196486	Teresa
587238	203536	Dea's Mother
587239	4625	Theater cashier
587239	4627	The Flower Girl
587239	158364	Baby in stroller
587240	4623	Herself
587240	48650	Herself
587240	66610	Mrs. Noble
587243	11352	New Bird
587243	82738	Magda
587243	88852	Nelly
587243	89628	Woman on Switchboard
587243	99081	1st Whore
587243	121541	Linda
587243	133780	Tobacconist
587243	140530	Barmaid
587243	164505	Annie Chapman
587243	194318	Jenny
587243	194844	Dawn
587243	381929	Joan
587243	383627	Wiggy
587243	384968	Ellen
587243	385020	Connie Parker (1987-1988)
587243	385299	Rachel Wilde
587243	388824	Waitress
587243	392397	Linda Preston
587243	395280	Cathy Lynn
587243	395924	Mrs. Parrish
587243	399157	Marlene Nesbitt
587243	403777	Velma (1981)
587244	273077	Gothic Girl 1
587245	16866	Godmother
587246	49371	Conchita
587246	215647	Ameena Horn
587246	330190	Panchita
587247	33748	Helen Cosgrove
587247	38717	
587247	42427	Bit part
587247	42547	Bobby
587247	46404	Martha Martin
587247	46766	Faith Fitzhugh
587247	54436	
587247	54493	
587247	61553	
587247	67163	Jane Witherspoon
587247	69884	
587247	105404	
587247	105952	Constance Newton
587247	110912	
587247	117197	The Child
587247	126154	
587247	129168	Annabel Lee
587247	129418	Bit Part
587247	129552	Betsy Patterson
587247	133905	Isabel Frances/Princess of Li
587247	141278	Maryland Calvert
587247	141489	Vera Zuanova
587247	143159	The Grandchild
587247	145560	
587247	146229	One of the Children
587247	151289	Herself
587247	155547	The Little Smith Girl
587247	162441	Fourth Child
587247	171456	The Girl
587247	177508	Eve Barnes
587247	186392	Nora the maid
587247	191913	Dot Walker
587247	191962	'Dearest' Erroll
587247	197329	Lulu
587247	199737	Maria Morton
587247	200203	Stock footage from 'Noah's Ar
587247	200462	Isabel
587247	204550	Joan Herrick
587247	209712	One of their Children
587247	213307	Fairy
587247	214075	Dorothy Gordon
587247	217969	
587247	220525	
587247	234124	Mary/Miriam
587247	239783	Dolores Vasquez
587247	245518	Margaret Bronson
587247	274452	Joan Billaire
587247	274743	
587247	291704	Esther Harper
587247	292144	Vallery Grove
587247	297980	The Old Man's Granddaughter
587247	300103	Meet My Sister number
587247	307889	A Little Girl
587247	327160	The Child
587247	327874	Rose Shannon
587247	330507	Annie Daly
587247	330797	Mrs. Davidson
587247	337198	
587247	339829	Herself
587247	340621	
587247	355689	From 'Old San Francisco, 1927
587247	357587	
587247	358904	Herself
587247	359123	
587247	362674	Manon Lescaut
587247	363682	Laura Crandall
587247	372898	Lucille Sutton
587247	391836	
587248	277088	Omega Mu
587249	190608	
587250	88653	Dancer/Sailor's Girl
587250	96669	One of the Costello Twins
587250	231768	Dancer
587250	321522	Dorothy
587251	151050	Woman in Bed
587251	167876	Elizabeth Ann
587251	347689	Mary Dumaski
587252	128256	Assistant clerk
587253	12751	
587253	64099	Tap Dancer
587253	168680	
587253	250724	Jivin' Jill
587254	41471	Mrs. Hegarty
587255	22879	Alice, as a Child
587255	24192	
587255	30334	
587255	31997	
587255	37932	
587255	39892	Clara as a Child
587255	39961	Woman
587255	41296	
587255	42427	
587255	47441	Beryl Moore
587255	47743	Paulita Brady
587255	50019	Floss
587255	50613	Second Child
587255	50915	
587255	54433	The Baby
587255	54436	
587255	54437	A Child
587255	54493	
587255	61553	
587255	63115	
587255	63514	Adele, The Child
587255	64544	Trixie
587255	65548	Nicola, a Child
587255	68885	Helen Dixon
587255	69884	
587255	71914	
587255	80027	
587255	88962	
587255	90103	Rena, Adriana's Maid
587255	105404	
587255	109724	Dorothy Rogers
587255	110912	
587255	113594	Jacqueline Norton
587255	114294	
587255	114689	
587255	117993	Josie Lockwood
587255	118014	
587255	126154	
587255	131639	Rosita Keene
587255	133957	A Lost Child
587255	141278	Nancy
587255	141414	
587255	143059	Helen, the Child
587255	145560	
587255	146229	One of the Children
587255	148934	Margaret Lambert
587255	151289	Herself
587255	153192	Molly Devoe
587255	157877	Nancy Holden
587255	158223	Mrs. Rose's Daughter, Helen
587255	160067	
587255	162441	Third Child
587255	171263	
587255	188029	Child
587255	190404	
587255	190604	Kitty Lewis
587255	196142	Princess Patricia
587255	197329	
587255	203351	Bob's Sister
587255	207953	
587255	209712	One of their Children
587255	210632	
587255	213258	Nan Parker
587255	213307	Fairy
587255	214164	Ida
587255	217969	
587255	220525	
587255	220526	Herself
587255	220854	Pet, Mr. Bolter's Niece
587255	224776	
587255	231808	The Child
587255	239583	The Child
587255	241377	
587255	244436	
587255	254529	Joan
587255	266710	Girl
587255	268895	
587255	272118	Virginia Weatherford
587255	274844	The Child
587255	278174	Maizie
587255	278666	Steenie, as a child
587255	294905	One of the Third Cook's Three
587255	300103	Meet My Sister number
587255	307963	
587255	333135	Pearl, the Foundling
587255	335136	The Baby
587255	337198	
587255	340621	
587255	343225	Little Nellie Thornwell
587255	359123	
587255	361923	She
587255	362759	Caroline Swayne
587255	363549	Dale Burke
587256	388209	Rita Doyle (1988-)
587257	117908	Girl on roof
587258	95080	Twin
587258	163715	Becky
587258	272920	Herself
587258	310303	Twin #1
587258	396696	Juggy Dancer (2000-2003)
587259	79259	Guenevere
587259	219776	Brooke
587260	13791	The Daughter
587262	381821	Ensemble (1984-1985)
587263	85804	The Telephone Operator
587263	143059	The Nurse
587263	143369	Mrs. Biggs
587263	214217	The Nurse
587263	217985	Mrs. King
587263	241377	
587263	362693	Mrs. King
587264	6936	Senator Cunningham
587264	7923	Louise
587264	11258	Winnie Naponic
587264	13970	Mary Alice Duncan
587264	19087	Rose
587264	45503	Mrs. Carpenter
587264	69810	Mrs. Warnall
587264	72191	Emma
587264	91875	
587264	105706	Antoinette Slovik
587264	135862	Beryl Strauss
587264	141192	Ellen Mancini
587264	158975	David's mother
587264	188429	Emily
587264	232471	Adele Cooney (segment "Bishop
587264	243276	Audrey
587264	261740	Honky Killer's Wife
587264	271063	Gabrielle Krieger
587264	296808	Kathy Patterson
587264	297990	Susan Finn
587264	303819	Barbara Thompson
587264	332785	Rosi
587264	353418	Jane Bladow
587264	388838	Maggie Fitzpatrick
587264	404282	Sister Lillian (1990)
587264	404299	Julia Bailey
587264	410568	Rosemary Hunter Fordwick (197
587265	396107	Host
587266	110301	Anne
587266	330177	Female Ghoul
587267	133633	
587268	107999	Bit Part
587269	177617	Renee
587270	88653	Dancer/Sailor's Girl
587270	96669	One of the Costello Twins
587270	231768	Dancer
587270	321522	Ruth
587271	313933	Frankie's Child
587272	37855	Girl at Bar
587272	95080	Twin
587272	272920	Herself
587272	310303	Twin #2
587272	396696	Juggy Dancer (2000-2003)
587273	16646	News Reporter #2
587273	188453	Opening Sequence Girl
587274	241075	Sgt. Kneeley
587274	309941	Mo Maloney
587274	385068	Sue Murphy
587274	408642	Panelist
587275	116247	
587276	302841	Model
587277	37252	Lisa
587277	127295	Assistant D.A.
587277	247882	Kathleen Cleaver
587277	317865	Delaliah
587278	342938	Black-Eye Woman
587279	232390	Doris
587280	412066	Herself ( 1999-2000 )
587281	268315	
587282	69181	Herself
587283	297754	Angel
587284	134146	Lady in White
587284	269427	Girl in Camaro
587285	23773	Nathalie
587285	23784	Sophie, la nièce de Fonsine
587285	23817	Lysistrata
587285	46705	Ingrid
587285	57231	Margaret
587285	68895	Haydée
587285	69119	Cécile Massoulier
587285	72058	Valérie Marneffe
587285	73912	Jacqueline
587285	77346	Liverpool
587285	78339	Eléna
587285	103198	La starlette
587285	104220	La directrice de la galerie
587285	104536	Olympe Pélissier
587285	148718	Isabelle Bianchini
587285	165775	La patronne d'Hilda
587285	187687	Françoise
587285	216226	B. Krelsamer
587285	273942	Nicky
587285	274709	Barone Maria Ucciani
587285	301199	
587285	332231	Herself/En personne (témoigna
587285	336758	Priscilla
587285	351259	Virginie (segment "Repas gast
587285	380966	Valérie Oupensky
587285	384319	Carlo's wife
587285	385680	Mme Berteaux
587285	388311	Clio
587285	390520	Mme Symons (segment "Mission 
587285	398834	
587285	408885	Avocat 2
587285	412199	
587286	41883	Meisje in sexshop
587286	93979	
587286	214507	
587286	357309	Mieke
587286	376258	Mw. IJzerman
587286	411349	Jopie van Nolden
587287	114698	Liz
587287	303913	Liz
587287	329551	Liz
587287	333220	Liz
587287	348314	Liz
587287	348373	Liz
587288	215485	Herself
587289	70607	Une fée
587289	371416	Girl at the park
587290	97072	La maman de Julie
587291	4720	
587291	236581	Mrs. Brécourt
587291	280526	La fille du maître de poste
587291	281012	
587292	8214	
587292	8876	Jeune fille
587292	103198	L'hôtesse
587292	108889	
587292	207771	
587292	217675	
587292	273026	
587293	183036	Aglaé
587294	25863	
587295	257674	Herself
587295	382676	Selma
587296	156338	
587296	269521	
587297	334189	Julia
587297	369859	Alexandra
587298	31630	Sally's Models
587298	37408	Mia Wilde
587298	37690	Eunice
587298	54209	Waitress
587298	87697	Baby Doll Dancer
587298	188504	Nikki
587298	295727	The Librarian
587298	320143	Herself (sitting in audience)
587298	351187	Kelli
587298	365650	Nichol
587299	352465	Traynor's Girlfriend
587300	308070	Beautiful Girl
587301	326712	Cheerleader #3
587302	267641	Sheriff's Wife
587303	403425	Judy Plenderleith
587304	321490	Party Girl
587305	77721	Carol
587306	142633	
587306	311446	
587307	26471	Annie
587307	77728	Christine
587307	261564	Ponytail
587308	2894	Herself (Winner of Miss Golde
587308	26471	Lily
587308	261564	Lily March
587309	117091	Mrs. Chapel
587309	333507	Grandmother with Dog
587310	200095	Elizabeth
587311	195088	Flo
587311	329025	Fortune Teller
587311	340803	Fran
587311	340923	Rachel
587311	384366	Maria Soleito (1995-1997)
587312	254592	Date
587313	392212	Catalina Linares
587313	392989	
587313	398519	Geraldine Paricio
587314	127834	Barfly Wren
587314	189908	The American
587315	392910	Enfant
587316	160882	Dancer
587317	38930	Patrolwoman #1
587318	12073	
587318	100298	
587318	310067	
587318	328117	Lupita Flores
587319	1200	Mother
587320	304842	Katie Jones
587321	171596	
587322	61156	Male Dancer
587322	362057	Showgirl
587323	236155	Allison Bradshaw
587324	196582	Kim
587324	202255	Lucy
587325	134280	Wabiken Lodge Dancer
587326	2250	Old Woman Playing Slots
587326	20135	Las Vegas Lady (segment "Lieb
587326	70421	Lady at Slot Machine
587327	204354	Party Guest
587329	236155	Cristine Angle
587330	240664	Clerk #1
587331	1200	Baby
587332	37261	Mindy Habel
587332	232281	Sarah Martin
587332	235456	
587332	298108	Dancer
587332	299664	Missy
587332	340811	Betty
587332	364795	Marie
587332	390771	Samantha Marler (1989-1992)
587333	29619	Woman in Bar #1
587333	40330	City Aide
587333	78941	Anna/Kristi
587333	141594	Jo
587333	171190	Anna
587333	209136	Barbie
587333	229731	Emily
587333	240317	Blackheart, Rom Leader
587333	311407	Girl in opening credits
587334	65632	Mary, Paris Secretary
587335	180870	Dirne Lisawetha
587336	377272	Claire
587337	51377	Mother
587338	312251	
587339	3311	Valéria (segment "La mouette"
587339	19092	Rachel
587339	33626	Macha
587339	37057	Josephine
587339	43999	Mme Boomer
587339	62432	Chloe
587339	68387	Student
587339	94312	Solange
587339	121942	Elia
587339	135321	Julie Bonzon
587339	148777	Herself (comédienne)
587339	159974	
587339	160821	Abigail Dougnac
587339	167228	Sophie Kowalski
587339	168895	Marie/Lucie
587339	191413	Lisa (young)
587339	206298	
587339	220257	Valéria
587339	269519	
587339	288843	
587339	306362	
587339	326122	Lilly Bertineau
587339	326128	Lilly Bertineau
587339	326129	Lilly
587339	345312	Herself
587339	345332	Tina Lombardi
587339	346419	Clarisse Entoven
587339	346546	Florence Lacaze
587339	388120	
587339	403089	(segment "Doggy Dog")
587340	278530	
587340	292709	
587341	409002	Mimi
587342	64367	Guardian Angel
587343	141540	Bridesmaid
587344	141540	Dancing Girl
587345	141540	Bridesmaid
587346	79757	Elizabeth Walton
587346	142167	Wendy Craddock
587346	148438	Elizabeth
587346	220018	Elizabeth Walton
587346	358865	Elizabeth Walton
587346	358866	Elizabeth
587346	358867	Elizabeth
587346	360711	Elizabeth Walton
587346	383711	
587346	397250	Kitty Reynolds
587346	410568	Elizabeth Walton
587347	179018	Leonid's Girl
587348	261650	Apothecary Shop
587349	161773	Trikipunki
587351	148016	
587351	265328	
587351	307631	Mónica
587351	334643	
587351	377894	
587352	213018	Cora
587352	333604	Hippie In Bin
587353	115452	
587354	347194	Herself
587355	102319	Gralha
587355	184214	
587355	245480	
587355	332732	Perpétua jovem
587355	379450	Ximena
587355	401944	Francinete
587356	243443	
587357	210694	Dutra's Wife
587358	307712	Music Box Kid
587359	156960	Young Rebecca
587360	42963	Mimì
587360	69970	Antonia
587360	77375	Mimi
587360	90010	Isabel
587360	124833	Ninetta
587360	155756	Ilia
587360	213319	Tytania
587360	236179	Susanna
587360	278309	Gilda
587360	338613	Violeta Valery
587361	25764	Stefanelli's Widow
587362	236047	Attractive Complaining Patien
587363	139283	Silvia
587363	149208	Marta
587363	219692	Veronica Cohen
587364	80610	Thena Fuery
587365	20750	
587365	135316	
587365	187443	Gabriella
587365	194246	Katia Alibrandi
587365	341485	
587365	408675	
587366	28432	
587366	121052	
587366	134794	
587366	218067	Krankenschwest
587366	225740	Rosalbe Carriera
587367	17852	Marie
587368	20378	
587368	101267	Herself
587368	351255	Herself
587368	408002	Concierge Thibault
587369	15103	Juliette
587369	99966	Perla
587369	116481	Franchette
587369	168083	Une fille
587369	169540	Colette
587369	249282	Marie
587369	399811	
587370	377240	
587371	84099	Veronique, young girl
587371	268826	
587372	30312	Voisine repasseuse
587372	294374	Ensemble Vocal Sequenza 9.3
587373	84519	
587373	254038	
587373	274314	The Girl
587373	399164	Hélène (1993-1995)
587374	368736	
587375	3326	
587375	4972	
587375	8540	
587375	12104	
587375	14637	
587375	21076	Madre de Alfonsito (1)
587375	40272	Doña Úrsula 'Tita', tía de Ca
587375	53653	Monja
587375	55941	
587375	56932	Tía Enriqueta
587375	61358	
587375	64993	
587375	69223	
587375	73976	
587375	74904	
587375	82283	
587375	83141	
587375	85582	
587375	88196	
587375	96351	
587375	100768	Madeleine
587375	103118	Tina, la madre de Javier
587375	108135	
587375	108136	
587375	121257	
587375	133394	
587375	146570	Monja recepcionista del hospi
587375	148016	
587375	148096	
587375	155196	
587375	183063	
587375	184940	
587375	194098	
587375	194624	Juliana, esposa de Don Tadeo
587375	205429	Madre de Margarita
587375	211906	
587375	212342	
587375	229802	
587375	233548	
587375	236027	Señora a la que sirve Julia
587375	242674	Agripina
587375	247460	
587375	268492	
587375	284830	Enza's mother (segment "Domen
587375	286020	
587375	309086	La Trini
587375	309092	
587375	341871	
587375	343613	
587375	350933	Julia
587375	355758	
587375	376665	Consuelo, esposa del Dr. Mari
587375	376767	Teresa
587375	376844	
587375	385051	
587376	14347	Nathalie
587376	53897	Cécile Bertoux
587376	59094	Nadine
587376	66227	Isabelle
587376	97062	Oise
587376	100296	Jacqueline
587376	108634	Estefanía Sánchez/Fanny Pelop
587376	110059	Marton
587376	111042	Jeanne
587376	111118	Adeline
587376	112829	Elisabeth
587376	116481	Suzanne
587376	118178	Marie-Jo Lagarde
587376	118418	Hyacinthe
587376	130756	Lili
587376	134582	Cléo Lemkowicz
587376	148685	Claire
587376	148766	Maurane/Catherine
587376	169342	Sophie
587376	195152	
587376	205640	Luce Zagury
587376	217569	Jeanne
587376	218272	Julie
587376	219605	Curly haired woman at party
587376	235264	La mère de Cécile
587376	236539	
587376	247486	Elsa
587376	248423	Jeanne Durieux
587376	258854	Madame Lepic
587376	261864	Martine
587376	280530	La femme à la terrasse
587376	285819	Hélène
587376	286319	Charlotte
587376	301403	Carole Hardy Petit
587376	302746	
587376	309342	Fodóné
587376	312220	Julie
587376	322340	Claire
587376	324616	Vanessa
587376	327658	Anne Bergson
587376	336982	Albine Boisvert
587376	343579	Sandrine 'Zoé' Crispin-Vautie
587376	345132	Angélique Descluse
587376	355847	Marie
587376	356388	Isabelle Decourt
587376	376931	Florence Arnaud
587376	377479	Agnès
587376	377935	Sylvie Baron
587376	380359	Anne Le Guen
587376	388141	Valérie de Chaternay
587376	391622	
587376	391624	Manon Lescaut
587377	115666	Screening Woman #2
587378	81539	Jill Hooper
587379	195771	Person at the Paris Opening
587380	204264	Inmate
587381	198901	Druid Practitioner
587382	230385	Budget Rent-a-Car girl
587383	73928	Janice
587384	222878	Journalist
587385	180797	Interviewer
587386	296068	Craft Service Lady
587387	301553	
587388	259271	Sharyn Elliott
587388	400601	
587388	401760	Sharyn Elliott
587389	38045	
587389	70612	Joan Sims
587389	118021	Mrs. Fairley
587389	148848	June Ord
587389	160810	Rachel
587389	170555	Jenny Jones
587389	180787	Barmaid
587389	208034	Shirley
587389	232714	Paula
587389	259943	Epidia
587389	291503	Annetta Brady
587389	294517	Doreen
587389	335616	Shirley
587389	346271	Rat's Mum
587389	360544	Denise
587389	383200	Jane Alcott
587389	383953	Bunty
587389	386963	Carole Lucas (2000)
587389	388321	Patsy Jones #2 (2002)
587389	397176	Debbie
587389	402327	Mona
587389	409590	
587390	79554	Mary Ann
587390	221000	Lucy Nuttall
587390	233673	Elaine
587390	379590	Maud (Series 1)
587390	382530	Shirley
587390	386623	Myfanwy Owen
587390	388208	Mo
587390	390488	Miss. Crampton
587390	399304	Betty Lloyd
587390	400313	Julie
587390	404409	Alice
587390	409475	
587391	27153	Kiana Mortenson
587391	91705	Bank Woman
587391	158316	Trish
587391	161537	Ramona Barcelona
587391	184580	Nicole
587391	232845	Lili
587391	235394	Celina
587391	254785	Lu Ann
587391	281254	Cheryl
587391	342156	Cheryl
587391	388808	Susan
587391	395809	Lisa Santucci
587392	235839	
587393	332472	Nurse Briar
587394	157325	Madame Collard
587395	351858	
587396	80878	Little Bird
587397	281811	Member of the Queen's Court
587398	281811	
587399	12094	Andrea Thayer
587400	273346	Policewoman
587401	12094	Faculty Wife #1
587401	75602	
587402	405209	Renee (2001)
587403	141610	Diner
587404	69391	L.A. Bar Woman
587404	232507	Alexia Worthington
587404	245050	Nick's Woman
587404	276198	Rebecca's Mother
587404	359063	Loretta
587405	158390	Miriam
587405	396479	Debby
587406	64205	Ex-novia de Cruz
587406	70857	Lucero
587406	184729	
587406	265114	Kay
587406	353573	
587406	380114	
587406	384630	
587406	385257	
587406	386646	
587406	387689	Queta
587406	390514	
587406	392744	
587406	395841	
587406	397869	Azelma
587406	398485	
587406	399802	
587406	405400	
587406	409717	
587407	100106	Carmen
587407	128089	Caller #8, Christine
587407	186665	Chita
587407	253510	Veronica
587407	364423	Angela
587407	394510	Gisela
587408	87511	Ricardo's daughter
587408	346079	Paulina Valera
587409	100398	
587410	32895	Ellen
587411	2955	Brenda Heshe
587411	255939	Honey Ho
587411	255940	Honey Ho
587411	298076	Dancer
587411	299788	Sisi
587411	391013	Bombshell
587412	394325	Additional Voices
587413	92756	Shamo
587413	386921	Valese (2003-)
587413	411884	Koto, Additional Voices
587414	410628	Véronique Charest (1991-2000)
587415	69178	Herself
587415	104768	Swiss entry (3rd place)
587416	109631	Girl on Door
587417	96761	Connie Desborough
587418	154590	Nurse
587419	7075	
587419	27013	Herself
587419	41594	
587419	59902	Cotton Candy
587419	123610	
587419	123796	
587419	138132	
587419	176385	
587419	306911	
587419	310908	
587419	326723	
587419	330054	Herself
587419	333995	
587420	18720	Carolina
587420	41731	Carolina Cotton
587420	72239	Singer Carolina
587420	92220	Girl Singer (herself)
587420	111734	Herself
587420	147243	Herself
587420	154950	Abby Alden
587420	245431	Singer
587420	282388	Carolina
587420	302646	Carolina
587420	302725	Carolina
587420	305761	Perky Durkin
587420	305763	Carolina Cotton
587420	308639	Herself
587420	312979	Ellen Collins
587420	314820	Self
587420	329091	Girl Backup Singer
587420	329106	Singer Carolina
587420	329520	Herself
587420	358032	Vocalist-Yodler (Herself)
587420	364555	Vocalist (Herself)
587421	327326	
587422	119888	Juana
587423	68144	Sue
587423	84895	
587423	318350	Linda
587423	396088	Rita Bond (1968-1970)
587424	167253	
587424	191825	Maud
587424	203091	
587424	358875	
587425	11971	Soeur Béatrice
587425	234783	La secrétaire du docteur Dere
587425	266400	Margaret Wilson
587425	353886	
587425	380669	Gertrude
587425	386476	La mère adepte de la secte (s
587425	400869	
587426	266099	Beth
587427	266153	
587428	11609	Connie
587428	20474	
587429	57490	Presenter
587429	68097	Herself
587429	311703	Herself
587429	328803	Herself - Celebrity Participa
587429	365732	Audience Member
587429	384715	Herself
587429	386342	Presenter (1998-????)
587429	386943	
587429	388755	Presenter
587429	403050	Host
587429	404350	Presenter (2002-2003)
587429	405695	Presenter
587429	408554	Presenter
587429	408555	Presenter (2004-)
587429	411175	Narrator
587430	201346	Angel
587431	276759	Nurse
587432	89025	
587432	138716	Herself
587432	160393	Host
587432	383766	Herself (2004)
587432	396302	Presenter
587432	401874	Herself : True Bliss
587432	410722	Herself - Celebrity Special #
587433	234677	Silver Ring
587433	349973	Prom group singer
587434	7030	
587434	42992	
587435	40692	Josephine Burden
587435	47531	Hedda Dana
587435	85103	Marie Matin
587435	88183	
587435	121376	Union Son's Fiancée
587435	190279	Elizabeth Lavenza
587435	203619	Helen Jessop
587435	214952	Duchess of Harwich
587435	215421	Helen Steele
587435	265260	Marna Farnham
587435	302390	Valerie Lafleur
587435	363692	
587437	87936	Young Betty
587438	231537	
587439	223330	Little Sister/Gorgeous Vixen
587440	158896	Cynthia Davis
587440	187238	Additional Voices
587440	201424	Glenna
587440	235615	Photo Session Producer
587440	372525	Newscaster
587440	383385	Sherri Rogers (1985)
587441	200940	La bonne
587441	206900	Ellie Rogers
587441	217642	Infirmière Psychiatrie
587441	349488	Soeur Marie des Anges
587442	137567	Tabletop Dancer
587443	353851	Yvette
587444	353851	Marie
587445	3977	Laura Cottrel
587445	82624	Team Groupie
587445	275871	Sentinal Cheerleader
587445	328555	Shelley Bartholomew
587445	385013	Wendy's Patron
587446	99545	Lady Coke
587446	152782	Currita
587446	270148	
587446	279106	Lucy
587447	2150	Receptionist
587448	211630	Mirobolette
587449	42133	Rees' Child
587450	187193	Delta Nu President
587450	191894	Caroline Ingalls
587450	359929	Constance Mercado
587450	390771	Camille Baptiste (2001-2002)
587451	174618	
587452	75566	
587452	75567	Jill
587453	313474	Even Piell
587453	313476	Even Piell
587454	381821	Ensemble (1977)
587455	6742	
587455	164237	Doncella
587455	255438	
587456	199245	
587457	348051	
587458	63728	
587458	233932	Madre de Sofía
587459	142524	Nun
587460	33547	L'infirmière
587461	399763	Sofía Gómez
587462	51924	Göttlingers Freundin)
587463	180552	Kounandi
587464	124238	
587465	160832	Extra
587466	13100	L'hôtesse du supermarché
587467	388120	
587468	270802	Ethel Windell Batocci
587469	194104	
587470	319796	
587470	404270	Laura
587472	332127	Stage Passenger
587473	326834	Ruthy
587474	7099	Wossamatta U. Student
587474	115943	Basketball Fan
587474	168238	Cafeteria Kid
587474	280081	Fan at Good Machine Club
587474	362598	Student/Prom Guest
587475	210481	Go-Go Dancer
587476	225689	Herself
587477	183186	Nurse Carol
587479	31085	Ana
587480	81334	Hot Nurse 1
587481	296749	Anna
587482	83305	La charcutière
587483	266398	Charlotte (filmed 1951)
587484	73073	The wife
587485	100001	
587486	5832	
587486	5846	
587486	25395	
587486	30563	
587486	30564	
587486	123396	
587486	135558	
587486	143437	
587486	165574	
587486	171144	
587486	178913	Dolores
587486	232194	
587486	247520	
587486	265781	
587486	307922	
587486	313008	
587486	360693	
587486	368761	
587487	51411	La secrétaire
587488	301900	Renata
587489	23035	
587489	108537	Jára
587489	110048	Zdenicka
587489	170350	Anita
587489	260392	Ivanka
587489	308967	Petra
587490	118474	Person at picnic
587491	118474	Person at picnic
587492	118474	Person at picnic
587493	118474	Baby
587494	105130	Model
587495	321980	Bronson
587496	388350	Jennifer
587497	94194	Ruby
587497	114503	Jenny
587497	119425	Betty
587497	132181	Sheila
587497	154456	Jane
587497	230815	Marianne Roxbury
587497	244918	Young Julie Longwell
587497	267105	Julie Thurber
587497	304851	Tanya Lane
587497	319486	Officer Ursula Hanson
587497	326442	Jo Lynn Jordan
587497	372583	Herself
587497	390774	
587497	410620	Dawnie Parker
587498	95455	Herself
587498	144950	Katie
587498	214996	Mrs. Stonewall, Destry Rides 
587499	100908	Christine Sullivan
587500	59610	Nurse
587500	71979	Hairdresser
587500	86926	
587500	330535	
587501	100908	Susan Sullivan
587501	122204	Dr. Lane
587501	128596	Freda
587501	147844	Sitcom Girlfriend/Rehearsing
587501	256356	School Teacher
587501	332396	Waitress
587501	366739	Carla
587502	53885	
587502	315665	
587503	257672	Herself
587504	286423	Psycho Date
587505	142464	Bar Patron
587506	17755	
587506	26454	
587506	88959	
587506	133749	
587508	313020	Tea lady
587509	6845	Mamie
587509	7965	
587509	23001	
587509	25390	
587509	45496	
587509	50873	
587509	68548	
587509	362306	
587510	309764	La Bouchère
587511	408651	Solange
587512	139573	Jill Harpur
587513	131629	Leah Pickering
587513	292158	PC Louise Fraser
587513	378632	Shiv
587513	391155	Kylie Riley
587513	396587	LMA Anita Cook
587514	53945	Sally Silly/Lea Peckinpaw
587515	286581	
587516	129204	
587516	381090	Herself/Winner (2003)
587517	195200	Marité
587518	127198	The Dark Lady
587518	292590	
587518	385220	Raskoinikov's Mother
587519	55870	Valentine
587520	7758	
587520	135615	Sadio
587520	218683	Collé Gallo Ardo Sy
587521	7758	
587522	7184	
587522	94386	Adélaïde
587522	109969	Maimouna
587522	251527	
587523	58528	Woman on phone
587524	343982	Dikeledi Manaka
587525	7758	
587526	60524	Miranda
587527	193000	Extra
587528	179843	
587529	187684	Various
587529	380391	Colleen 'Queenie' Wolfe (1997
587530	356207	
587531	183817	Marie Coleby
587531	279611	Kate
587531	400806	Anna Ritchie
587531	403244	Penny Russell
587531	405616	Jacki Soong
587534	132864	Janelle
587535	170727	
587535	268393	Blonde brune
587535	274447	Ellen
587535	275630	Yvette
587536	406783	Chloé
587537	59996	La secrétaire du notaire
587538	251007	
587539	340176	
587540	26971	Party Animal
587541	15158	Woman with amputation to the 
587541	18037	Nurse
587541	111060	Sister Mary
587541	118277	
587541	154173	Herself
587541	168969	Herself
587541	278484	Lina
587541	292460	Head Nurse
587541	299858	Amputee ("The Amputee")
587541	342549	The Log Lady
587541	342552	The Log Lady
587541	409210	Margaret Lanterman, the Log L
587543	67771	Reporter
587543	223088	Narrator
587544	26971	Party Animal
587545	9254	Georgie
587545	77210	Sue Blackstone
587545	78250	Ann Cable
587545	80387	Lucy
587545	105186	Kath
587545	189992	Herself
587545	298087	Joanna
587545	316863	Lynda Massey Richards
587545	381472	Lindsey
587545	384477	Bev Ratcliffe
587545	387247	Carol Jackson (1993-1997,1999
587545	388547	Annie Nobel
587545	396298	DS Rosie MacManus
587545	396716	Cheryl
587545	400546	Dr. Cathy Harding
587545	400810	Claire
587546	55891	Bette
587546	90915	Aunt Martha
587546	177651	Marguerita Hass
587547	190094	Jack
587547	280458	Minerva
587548	155272	Customer
587549	90993	Siamese Twin #2
587550	110489	Herself
587550	402984	Herself
587551	1703	Herself
587551	12776	Corina M'Shalla
587551	209157	Julia
587551	282024	Gertrude
587552	45590	Mom
587552	50869	Ms. Hirshorn
587552	66324	Juliette
587552	80708	Alice Curtis
587552	114691	Clare
587552	147793	Lindsay Marshall
587552	185633	Marie Jazda
587552	206335	Margaret Neilson
587552	222612	Bag Lady
587552	285729	Mary
587552	297267	Mae Dillon
587552	302236	Ms. Bramble
587552	328253	Nurse Barton
587552	359573	Eena
587552	362965	Tillie
587552	411500	Miss Cackle
587553	12250	Secretary
587553	366760	Rebecca
587554	3127	Nerdy/Hot Girl
587554	8028	Laurie
587555	309213	Cheerleader vampire
587556	113472	Vanessa
587556	255360	Helen Burton
587556	383385	Grace (Clegg's maid) (1982-19
587557	367073	Munchkin
587558	9128	Passenger
587558	100893	Driving Teacher
587558	165964	Ski Boat Driver (Diane)
587559	92300	Receptionist
587560	308316	Drums
587561	321306	Jean
587562	20985	Herself
587563	380911	Herself
587563	401875	Herself - Top 60 (2004)
587564	22810	Barroom Dancer
587565	57805	Sue
587566	281820	
587567	113646	Go-go
587568	349	Hooker
587569	171094	Slumber Party Girl
587570	394349	Herself
587572	21499	Woman in Church
587573	72104	Cover Girl: American Home
587574	65370	Audrey
587574	150239	Miss Glyn
587574	160761	Girl in cucaracha
587574	176893	Miss Lilac
587574	214423	Girl Student on Station
587574	220638	Angela Symmington
587574	346110	Nurse Addison
587574	367482	Katherine Rogers
587574	382875	Veronica Bainbridge
587574	386576	Nurse Joyce Winton
587574	388030	Anthea Duxbury
587574	388269	Lady Lettice
587574	392545	Blanche Deauville
587574	396787	Helen Woodford
587574	397945	Eponine
587574	399138	Jackie (1994-1995)
587574	400909	Pamela Heslop
587574	408558	Cathy
587575	55681	Night Nurse
587576	222619	Dr. Vinocur
587577	140335	Laura
587577	154517	Waitress
587578	78998	Kerri
587580	273298	
587583	318386	
587584	117098	Bridesmaid
587584	384206	Herself
587585	167042	Maria
587586	24782	Clara Benson Vaughan
587586	133377	
587586	155708	Lady Helen Merryweather Hardi
587586	216924	Katinka Jenkins
587587	202195	Yvonne, 6 months old
587588	202195	Yvonne, 6 months old
587589	32952	Cigarette girl
587589	44246	Marge Leonard
587589	49243	Barmaid
587589	72242	Ranch guest
587589	72256	Peg
587589	84229	Sarecky's Girl
587589	116523	Magic Maid
587589	128700	Linda
587589	131454	Waitress
587589	142880	Dizzy's Girl
587589	194209	Bit Part
587589	198660	Revue Model
587589	209652	Anita, Emma's Sister
587589	214096	Coed
587589	219419	
587589	234471	Woman
587589	235596	Maid
587589	239008	Mrs. Smith, mother with tripl
587589	270635	Miss Mulligan, Jimmy's Sister
587589	304876	Dancer
587589	329329	Girl Friend of Sailor
587589	345739	Ringa Belle
587589	346880	Colony Club Cigarette Girl
587589	347724	Bride
587590	149129	Tourist
587592	68382	Miz Désabusée
587592	86911	Cleopatre
587592	103848	
587592	193571	
587592	207874	La femme du coin de rue
587592	225460	
587592	238082	
587592	366024	Christine Bastien
587592	380863	Amanda Lafresnière
587592	383186	Maman de Caillou (French lang
587592	398078	Lorraine Cloutier
587592	401983	Christina Yvanov
587592	404364	Isabelle Dubois
587593	358172	L'infirmière
587594	260796	Madame Dupont
587595	14974	The Mayor's wife
587595	78928	Mrs. Barrington
587595	101301	Mother
587595	107089	Mrs. Francis
587595	120150	
587595	131771	Mrs. Paunceforth
587595	133816	Mabel Radnage
587595	138800	Madame Amanda
587595	141625	Mrs. Trevor
587595	183845	Mrs. Nightingale
587595	185202	Lady Dolwyn
587595	193625	Miss Janus (1939 version)
587595	196432	The Queen
587595	199104	
587595	250972	Mrs. Morgan
587595	305602	Constance
587595	315722	Muriel Peach
587595	360542	Prison Doctor
587595	398280	Madge Dresswell
587595	401559	Lady Harper
587595	409839	Miss Matilda Crawley
587595	411459	Ruth Edwards
587596	168216	Ronnie
587597	269503	Femme cimetière
587598	17978	Mrs. Lester
587598	34646	Herself
587598	34949	Mary Sheridan
587598	37186	
587598	40536	Jean Abbot
587598	59595	Maud
587598	108410	Mrs. Rose
587598	190727	
587598	201423	
587598	214167	Nurse
587598	242726	Aunt Marie Moravcová
587598	278777	Mrs. Spimm
587598	311940	Daisy Crompton
587598	342374	Madame Bruns
587598	352695	Herself
587598	382217	Jean Abbott
587598	387247	Auntie Maureen Carter (2000)
587598	391527	Mrs. Briggs
587598	395724	Naomi Lieberman (1964) (serie
587598	402785	Norma Moffat
587598	408877	Marion Terson (1981-1982)
587599	411809	Carmel Jamieson (1978)
587600	49973	Dream Fairy
587600	351928	Maggie
587601	214339	Valdemar III
587602	328517	Ann Garrick
587602	382910	Kim Hayward
587603	290397	Alexa Pappadopoulos
587604	19238	Patricia
587604	32281	Gaby
587604	42373	Christine/Christina
587604	84409	Katie
587604	100342	Michelle
587604	105835	Pearl/La journaliste
587604	111978	Cécile
587604	119383	Lisa
587604	133164	Juliette
587604	149744	Clotilde Courau
587604	204946	Rainee
587604	206601	Marthe
587604	211146	Nina
587604	213947	Ilaria
587604	217691	Fabienne
587604	235850	Marianna
587604	248886	Alice
587604	254017	La Soeur, Nathalie (Stéphanie
587604	255235	Françoise
587604	259818	Alina Suchecka
587604	261735	Cheryl
587604	265705	Sophie
587604	335081	Marion
587604	344181	Girl
587604	345378	Simone
587604	346656	Julie
587604	377792	Solange
587605	243151	Mme Fabry
587606	243151	Lison
587607	83297	Paulette
587607	113252	
587607	223174	L'assistante sociale
587607	249094	Miss Deauville
587608	4133	
587608	5678	Moeder Alex
587608	5680	Granma
587608	15264	An Bloem
587608	33625	Mrs. Saurin
587608	38992	Moeder Meijer
587608	73760	
587608	81475	Carolien's Mother
587608	82166	Johanna
587608	86384	vrouw
587608	94920	
587608	115235	Anna
587608	123889	
587608	126864	
587608	149282	Berta Bouwmeester
587608	157727	
587608	169003	
587608	177149	
587608	183129	Coba
587608	187049	Ada, moeder van Lea
587608	189892	Marina
587608	204573	Olga Müller
587608	218508	Weduwe van Tuyl van Seroosker
587608	242445	Knier
587608	249823	Grootmoeder
587608	259740	
587608	269750	Ada
587608	271893	Herself
587608	301785	
587608	310947	Doctor
587608	312078	Juli, het dienstmeisje
587608	333742	Lea Bovenlander
587608	342085	Sophie Cambach
587608	342327	Moeder
587608	342328	Sylvia's mother
587608	344243	Mam
587608	350977	
587608	357359	Jeanne
587608	374656	Hotelhoudster
587608	397445	Rosa
587608	397554	Salomo
587608	398575	Janna
587608	400294	Oude vrouw (1992)
587608	406166	Rosina Chaiavelli
587608	412033	Moeder Bloemink
587609	13102	Monique Levers
587609	15114	
587609	15126	Nicole Lasnier
587609	15130	Léone Fassler
587609	18319	Unknown
587609	19622	Jeanne Bulle
587609	24735	Une élève du cours Simon
587609	25095	Nicole
587609	33566	Georgina Welles
587609	55877	Francine
587609	64299	Herself
587609	64320	Herself
587609	65136	Véronique Gaudin
587609	66076	Nicole Leroy
587609	67206	Lydia
587609	72892	Olga Talberg
587609	74339	
587609	85693	Mère Marie de l'incarnation
587609	86794	Madeleine
587609	103824	Hélène
587609	127458	Dominique
587609	127498	Madeleine
587609	132862	Madeleine
587609	152364	Olga
587609	160545	Hélène Davault
587609	179960	Marie
587609	199305	Emma Bovary
587609	204428	Yvonne Steiner
587609	205213	Maria
587609	205736	Marie Le Flem
587609	214065	Irène
587609	231497	Dora
587609	232083	Raymonde, Paris Bar Owner
587609	234783	Solange
587609	248031	Catherine Liseray
587609	248032	Catherine Langlois
587609	249125	Clotilde Dumesnil
587609	251539	Anne-Marie Ledru
587609	269143	Laurence Vannier
587609	269144	Claire B.
587609	269145	Nicole Taillandier
587609	269146	Huguette
587609	275531	Tamara
587609	275647	Christine Courcel
587609	283704	La patronne de la guinguette
587609	300735	Mme. de Chalis
587609	309148	Kristina Lundgren
587609	328844	La mère maladroite/The Young 
587609	330984	Florence, la mère
587609	345395	Fabienne
587609	352237	Lucilla, Porcenna's wife
587609	352570	Nurse Kathy
587609	355854	Jacqueline de Bueil
587609	377963	Claire
587609	379806	Béatrice Roussel
587609	382584	Agnès Boussardel
587609	386153	Margrit Steenfort
587609	408002	Violette
587609	409800	Jacqueline de Lorenzi
587610	218520	Bérangère
587610	251290	Lucette, femme d'Armand
587610	272599	
587611	277851	Athlete
587612	24178	Jeanne
587613	311347	Minni
587614	167563	Barb
587614	308019	Ex Girlfriend
587614	314802	Mother
587615	307569	
587616	397857	Femme enceinte
587617	84635	L'employée Europe Air
587617	160981	Nathalie
587617	211683	Une bonne copine
587617	336930	
587618	111908	Malaury
587619	139359	
587620	56387	
587620	99406	La femme de Mario
587620	114823	
587620	264525	Primaire
587620	277726	
587620	327551	
587620	346819	L'amie hôtesse
587620	384288	Geneviève Boulec
587621	377255	Sophie Malhouin
587622	24429	Prison Guard
587622	32822	Herself
587622	57991	Herself
587622	105232	Host
587622	107353	Herself
587622	110489	Herself
587622	139660	Host
587622	174640	As herself
587622	187359	Host
587622	199130	Self
587622	230901	
587622	297650	Katie Current
587622	369874	Host
587622	380815	Herself, hostess Opening Cere
587622	385747	Herself
587622	389328	Host
587622	398213	Herself
587622	404721	Herself
587622	408395	Herself - Hostess (1991-)
587623	190690	Operating nurse
587624	73374	Liz
587625	226939	Woman at Stadium
587626	217654	La pianiste
587627	217660	La speakerine en blanc
587627	218031	
587628	65358	Herself (animation artist)
587628	195704	Herself
587629	376998	La bonne espagnole
587631	341019	Old Lady
587633	402531	La fille du gardien
587635	43758	Un enfant de Marie
587636	155384	Girl
587636	399175	
587637	11921	Marie Barker
587639	52721	
587640	286607	Lucienne
587640	383486	
587641	287491	
587642	38372	Claire Redfield
587642	38375	Claire Redfield
587642	38376	Claire Redfield
587642	38378	Yoko Suzuki
587642	40206	
587642	54921	Princess
587642	54922	Dawn Killeen
587642	65629	Emily Elizabeth
587642	93982	Caroline Cromwell
587642	99604	Priscilla Presley
587642	140371	Bernice
587642	166904	Jacki
587642	184719	Agnes Ripley
587642	199433	Sandy
587642	206800	Jubilee (aka Jubilation Lee)
587642	206801	Jubilee/Jubilation Lee
587642	224250	Melanie
587642	256499	Annika Settergren
587642	280723	Allison Rosso
587642	295006	Ruthie
587642	309857	Shannon
587642	310505	Tiffany
587642	316206	Joan Slater
587642	381926	Loonette the Clown
587642	384454	Video Taped Emily
587642	388012	Malani (1985-1986)
587642	389322	Lucille
587642	389986	Alyson
587642	395165	Fumigator Actress
587642	398386	Herself (1984-1994)
587642	398728	Jill
587642	399224	Veronica Lodge
587642	402803	Alyson
587642	403090	Myrtle
587642	405373	Amber
587642	408294	Nora
587642	411568	Jubilee/Jubilation Lee
587643	333426	
587644	32308	
587644	294595	Additional Voices
587645	109654	Lily de Mario
587646	195640	Laura
587646	380713	Jennifer Sullivan Ryan Hughes
587646	386603	Dr. Ann Larimer (1973-1974, 1
587646	390771	Jennifer Richards (aka. Jane 
587647	727	Herself
587647	728	Herself
587647	729	Herself
587647	734	Herself
587647	735	Herself
587647	3906	Herself
587647	32970	Maxine
587647	43461	Julia Chester-Barrett
587647	46437	Rita Arkwright
587647	55418	May Raeburn
587647	58810	Bit Part
587647	71656	Clare
587647	75515	Elizabeth
587647	80994	Avis Fenton
587647	84868	Ellen Prestwick
587647	92418	Nurse Linda Parker
587647	93271	Miss Grey
587647	113281	Cameo appearance
587647	115251	Herself
587647	117341	Jane Thompson
587647	122903	Elizabeth Brown
587647	127193	Margaret Thornton
587647	133413	Herself
587647	147521	Joan Huggett
587647	150769	Peggy Saunders
587647	152878	
587647	154680	Herself
587647	203481	Janine Dubois
587647	203599	Marjorie Stedman
587647	206847	Laurel Clive
587647	207268	Juliana
587647	209600	Gabrielle Vermorel
587647	216810	Sally Meadows
587647	224303	Helena Forsythe
587647	227806	Rosemary Speed
587647	262913	Emily Gault
587647	263096	Trude
587647	272876	Lenore Craven
587647	281515	Rushie Farnish
587647	289635	Susan Honeywell
587647	297105	Mildred Eyde
587647	323760	Trude (segment "Wedding Gift'
587647	367560	Joy Grant
587647	389894	Stella Manning
587647	408141	
587648	82699	Art Major 1
587649	230561	Mrs. Nichols
587650	185253	Syb #3
587650	297628	Math Teacher
587650	313929	Nurse #1
587650	363303	Sadako
587651	64431	
587651	339172	Julia
587651	402411	Mariana Leverman
587652	20220	Marie Douillard
587652	20545	
587652	99368	La tante
587652	161994	
587652	167243	Madame Dolle
587652	219479	
587652	276545	
587652	396240	
587653	35273	
587654	253818	Logan gate agent
587655	113126	Femme braquée 2
587656	60162	Jane, at age 1
587657	358478	Villager of Tullymore
587658	97698	Virginia
587659	178694	
587659	296871	
587659	346954	Maxwell's Secretary
587660	343199	Signora Tucino
587661	66787	Claire
587661	94858	Sonia Randvich
587661	150239	Mrs. Hubbard, Ta-Can-Co Clean
587661	158916	Madame Nathalie
587661	162617	Raucous Woman
587661	215153	Dolly Bantry
587661	215154	Miss Knight
587661	232277	Dame Flora
587661	239034	Lady Chalmers
587661	242377	
587661	281168	Nurse
587661	282630	Lady in honour duel
587661	336652	Kimball's secretary
587661	343024	Mme. Sophia
587661	346020	Waldo Wife Three
587661	387120	Gertrude
587661	390922	Ftatateeta
587661	392138	Lady Sharpcott
587661	392150	Lucrezia Tregaron
587661	400081	Mrs. Jarley
587661	403409	Mrs. Pryde
587661	404409	Julia Brady
587661	409840	Miss Pinkerton
587661	410011	Henrietta Greaves (1967-1968)
587662	146003	Annabel Jesson
587663	345860	Woman
587664	51792	Jeanne
587665	258333	Yvonne
587666	401875	Herself - Finalist (2004)
587667	64399	Jocelyn At 14
587668	392771	Nandi
587669	23681	
587670	43642	
587671	240307	
587672	344637	Kathy Morgan
587673	20625	Extra
587674	285271	Spa Hotel clerk
587675	24233	Sally Bird and Mademoiselle Z
587675	99522	
587675	105201	Lady Kate
587675	107899	Minnie Tucker
587675	127224	Miss Bourne
587675	138782	Illustrated Ida
587675	164536	Mrs. Bobday
587675	182947	Mavis
587675	208967	Kit Ross
587675	215674	Millicent Tulip/Angela Tulip
587675	235466	Mrs. Frencham
587675	252886	April Maye
587675	307425	Maisie Marvello
587675	311026	Miss Peake
587675	323448	Lady Hattie Pilkington
587675	330407	Cicely and Bertha Fytte
587675	331105	Colonel's Wife
587675	346200	Kay Millett
587675	368928	Major Martha
587675	381552	
587675	400177	Mum (first series)
587676	3350	
587676	6972	
587676	30610	
587676	36406	
587676	39068	
587676	41068	
587676	68986	
587676	87350	
587676	105151	
587676	106363	Herself (Cort Knee)
587676	123662	
587676	131238	
587676	153212	
587676	153582	
587676	163618	
587676	178324	
587676	188624	
587676	190738	Herself
587676	207176	
587676	210539	
587676	245849	
587676	257672	Herself
587676	262615	
587676	264817	
587676	267517	
587676	273557	
587676	279229	
587676	317929	
587676	319670	
587676	323156	
587676	323199	
587676	338152	
587676	365643	
587676	370030	
587677	87411	Stroppy teenage girl
587677	184854	Lisa Gates
587678	132498	
587678	287163	
587678	327755	
587679	78951	Adria
587679	171279	Adria
587680	138372	
587681	122778	Stacey's Friend
587681	183305	
587682	16910	Miss Karpin
587682	32561	Bit
587682	46739	Goose Woman
587682	71928	Mrs. Morris
587682	88666	
587682	88916	Woman
587682	109673	Brazilian Opera Troupe
587682	128447	
587682	131454	Old Maid
587682	214134	
587683	92865	12-year-old girl
587683	397401	Sarah McBride (1999)
587684	30817	June
587684	54611	Mary Vaughan
587684	109817	Emily Yates
587684	138771	Mollie Craddock
587684	222614	Flora
587684	239013	Phillis Pye
587684	259388	Kathleen Jenks
587685	396088	Caroline Aleata (1974-1976)
587686	53046	
587686	147753	Hot Tub Girl
587686	216707	Kathryn
587686	309206	Belinda
587686	324422	Dressing Room Girl
587687	406719	Doobie Plunkett
587687	411355	Nell
587688	165961	Mrs. Taft
587688	165964	Select Woman (Mrs. Taft)
587688	165976	Mrs. Taft
587688	311888	
587689	365328	Lola
587690	391079	
587691	1088	Julie Walters, Swifty's Secre
587691	7405	Mrs. Barnes
587691	9032	Nurse
587691	17961	Mamie (Joe's secretary)
587691	20474	Blind Date
587691	32210	Gwen Morrison
587691	36973	Faun
587691	41094	Betty Lou Wood
587691	46276	Miss Wilson
587691	46999	Peggy North
587691	47052	Sally Patrick
587691	47311	Mae, Nurse
587691	54482	Flo
587691	55417	Girl
587691	60201	Polly
587691	65182	Della
587691	73230	Kitty
587691	88291	Arlette
587691	109221	Emily French
587691	114670	Libby Long
587691	128168	Hilda
587691	140408	Emma, Teddy's Sister
587691	146749	Tillie
587691	147446	Mazie (reformatory inmate)
587691	147735	
587691	150170	Margie
587691	153146	Girl on ship
587691	154417	Public Stenographer
587691	154925	
587691	163233	Linda
587691	163638	
587691	166240	Penny
587691	188436	Marge Wilkins
587691	188562	Woman at Party
587691	194372	Betty
587691	200484	May
587691	210807	
587691	214187	Miss Waterbury
587691	215750	Nellie Conrad
587691	235411	Maude Graham
587691	249513	Lillian Tate
587691	272874	Mary Burns
587691	273821	
587691	299165	Molly
587691	299780	Ilona Novotny
587691	302639	Undetermined Role
587691	308627	Grusha
587691	311992	Mary Jane Braley
587691	319130	Weenie
587691	320465	Maisie aka Frostbite
587691	321101	Marge
587691	331317	Dorothy
587691	333317	Mabel
587691	341969	Miss Edwards
587691	342929	Mrs. Flynn
587691	360714	Mary Lawson
587691	363190	Waitress
587691	368404	Susan Bibens
587692	380391	Dr. Alice Matthews Frame Fram
587692	386603	Role Unknown (early 1960s)
587692	387309	Kitty DeMarco #2 (1958)/Viola
587692	396123	Diane Winston (1987)
587692	400236	Patricia Ashley Kendall Lord 
587692	400515	Ann Lee
587693	145993	Mrs. Quick
587693	146166	Mag
587693	189517	Mildred, the Girl Who Waited
587694	26320	Heather
587694	235630	Kethleen
587694	292534	Fiona
587695	367334	Stella Kennedy
587696	7500	Jane
587696	35597	Amy Carr/Wealtheow
587696	68889	Anka
587696	127318	Mary
587697	235630	Penelope
587699	141594	Catwoman/Referee
587699	285734	Morning Star
587700	275871	Wannabee Cheerleader
587701	214586	
587701	214587	
587701	215598	
587702	8030	Cherry
587702	146003	Derek Jesson
587702	229676	Nelson as a child
587702	335281	
587703	128322	Captain Candy
587704	7484	Paris
587704	215623	
587705	226895	Pianist
587706	199485	House Parent
587707	67348	Mrs. Benson
587708	111928	Shandel
587708	222603	Betty
587708	238991	Poincaré's Lady
587709	210483	Alex
587709	321144	Kate
587709	388232	Fake Producer
587709	408448	Helen
587710	57815	Nita
587710	63130	Mother Superior (1939)
587710	78835	Receptionist
587711	169859	Bleeker's Secretary
587712	16397	Dancer
587712	169139	Apache Dancer/Wife
587712	169140	Judah's Wife
587712	239415	Rosie
587712	350506	Dancer: Slave Dance
587712	404407	Actress
587713	217827	Woman cop
587714	300787	
587714	310963	Body Builder
587715	37627	
587715	72367	Memere Tchewan
587715	236535	Mère de Nicolas
587715	333731	Mrs. Boivin
587715	380863	Soeur directrice
587715	381189	Andréa
587715	383824	Jeannette Gendron
587715	385348	Mme Branchaud
587715	396868	Corinne
587715	406028	Une sténographe
587715	407068	Corinne
587716	327786	
587717	237309	
587718	43673	
587718	388419	
587718	388419	Nadine
587718	388419	Nadine (segment "L'échafaud m
587719	236524	Samantha
587720	65165	
587721	91456	
587721	118176	La mère de Luce
587721	119044	Mme Malgorn, la mère
587721	133075	Yvonne
587721	208227	Marie
587721	332219	Miss Deborah
587721	339497	Louise Noël
587722	39895	
587722	168481	
587722	263285	Undetermined Role
587723	92244	Judy Peggs
587724	6794	
587724	14142	
587724	29940	
587724	35786	Esther
587724	39837	
587724	39895	
587724	45027	Princess Istra
587724	46379	
587724	51591	
587724	57626	
587724	72491	Gay Dixon
587724	73123	Sonia Marmeladoff
587724	80388	Jessie/Mary
587724	92244	Patience Morgan
587724	110382	Elsie Green/Polly Goodkin
587724	112430	
587724	113873	
587724	114084	
587724	128119	
587724	134094	Kathlyn
587724	134397	
587724	138154	
587724	164664	Jacqueline Roland
587724	178159	Luise
587724	197716	
587724	203735	
587724	210891	
587724	228454	
587724	238175	Zoe, the octoroon
587724	245432	Polly Grimshaw
587724	252909	Eileen Hawthorn
587724	256575	Gabrielle
587724	257759	
587724	263285	Elsie Dunbar
587724	277825	Dorothy Helmar
587724	277830	
587724	280490	Carmelita
587724	280703	Norma Noggs
587724	292607	Daughter
587724	300081	
587724	301489	Sarah
587724	304323	
587724	314120	Lydia Canfield
587724	320781	
587724	326971	Florence Chandler
587724	345663	Virginie Harbrok
587724	346251	Fanny Brett
587724	350227	Helen, Harold's Sweetheart
587724	350391	Helen Vanderhoff
587724	351430	Lorna George
587724	351877	
587724	359214	
587724	359608	
587724	371013	
587725	9013	Jessie
587725	104110	
587725	236647	
587726	196341	Motorcycle Gang
587727	47918	Julie
587728	43008	Mme Vannier
587729	8852	Irène
587729	11970	Béatrice
587729	23535	Jenny
587729	23634	Voisine des Jalamet
587729	36673	Ginette
587729	56951	Mauve
587729	57232	Nicole
587729	68364	Joëlle
587729	83240	La maîtresse de WB
587729	83397	Caroline
587729	99362	Marie
587729	107533	
587729	139537	Jeanne
587729	156299	
587729	197398	Irma
587729	248257	Marceline
587729	261836	
587729	262993	Tante Lucie
587729	269521	Solange
587729	283019	Carla Chetman, femme de Paul
587729	309720	Emmanuelle
587729	327540	Jeanne
587729	327882	Madeleine
587729	336828	Mme Courval
587729	337028	Lawyer's Wife
587729	345082	Hilde
587729	346756	Une prostituée
587729	348647	Béatrice
587729	387553	Geneviève
587729	400050	Lila
587729	400869	Catherine
587729	410343	Lucette
587730	200927	Jeanne Vernoux
587730	240299	Eliane
587730	254153	Voisine
587730	277927	L'institutrice
587731	339438	
587732	86326	
587732	104621	
587732	209920	
587732	213575	Katischa
587732	396285	Letti Merian (2000-2004)
587735	224001	
587735	276854	The Short Woman
587735	330860	
587736	32438	Elaine
587736	314777	Frances
587737	346524	Renée Etchat
587738	46703	Camille
587738	257153	
587739	258313	Un élève de la 4e techno
587740	270631	Herself
587740	378789	Co-host
587741	176704	Minister
587742	16790	Susan
587742	26583	
587742	32277	
587742	176372	Andrée
587742	315218	Bernice Carnival
587742	388867	Yvonne Marie
587742	389116	
587743	139745	Sandy
587744	377647	
587745	324551	Young Rebecca
587746	381504	Soeur Marie-Joseph
587746	407068	Maria Salvail
587746	412164	Mme St-Amant
587747	276799	Frances Carlson
587748	234279	Orchestre de chambre
587749	195305	Sing and Jingle Children
587750	206445	Muriel
587751	234279	Orchestre de chambre
587752	128606	Herself
587752	128807	Herself
587752	257657	Herself
587752	257677	
587752	257837	Miss May 1999
587752	257866	
587753	91705	Woman at Party
587754	310019	Kugel 2
587755	277703	Nancy
587756	40877	Sally (waitress)
587757	206618	Harumi Tanaka, Flight Officer
587757	285831	Shunrei
587757	347385	Laura/Norff
587757	379014	Additional Voices
587757	382908	TV Spokesgirl
587757	388022	Ropponmatsu 1 (English Dub)
587757	394421	Harumi, Seelie, Mari, Additio
587757	394997	Kurumi
587757	402175	Seira Morimura
587757	402790	Helena Bahbem (Adult/Child)
587758	155248	Bic Flicker
587759	169136	Child Chorus
587760	67209	Une groupie d'Eros
587761	97360	Choir Member
587762	345194	Micheline, enfant
587763	86575	La mère
587763	110216	Phoniatre
587763	118624	La mère de Marianne
587763	249740	
587765	225023	
587766	83342	Stéphanie
587766	224814	Blanche
587767	70158	Mme Cardiet
587767	105612	Tante Germaine
587767	408922	La belle soeur d'Yvon
587768	45244	
587769	41570	Jenny
587769	104702	Effie-Presenter
587769	143540	Lisa
587769	200264	Ginger
587769	222203	Helen
587769	233190	Helen
587769	379185	Effie Stephanidis
587769	382458	Herself
587769	387347	Effie
587769	390620	Effie
587769	405578	Julie
587769	411172	Louise Arden (1999)
587770	274757	La veilleuse de nuit
587771	34711	
587771	41973	
587771	41974	
587771	41981	
587771	42012	
587771	51990	Debbie
587771	73552	
587771	76612	
587771	85755	
587771	98844	Herself/Host
587771	102765	
587771	102767	
587771	102781	
587771	102853	
587771	117453	
587771	119477	
587771	119777	Samantha
587771	127754	
587771	150015	
587771	150283	
587771	187411	Herself
587771	187412	Herself
587771	243103	
587771	251782	
587771	295775	
587771	319407	Super Lady
587771	320966	
587771	320975	
587771	320978	
587771	320979	
587771	321052	
587771	321053	
587771	321117	
587771	329566	
587771	329603	
587771	329865	Herself
587771	339531	Herself
587771	340793	
587771	365383	
587771	373281	
587772	401595	Herself
587773	166115	Herself
587774	24729	
587774	58743	A Child
587774	262942	Mme Chapuis
587774	309150	Rebecca Nurse
587775	19186	L'employée de la poste
587775	59696	
587775	91445	La secrétaire
587775	118960	La paysanne
587775	259970	Femme de l'hotelier
587775	336982	Rolande Cordelier
587775	388688	
587775	396366	Henriette (segment "Autopsie 
587776	6754	La Benny's
587777	286229	La pianiste
587778	354397	L'amie de Jean-Pierre
587778	384123	Katte Lassen
587778	385245	Janine
587779	114561	
587780	84645	Cléopâtre
587780	166144	Agnès Jensen
587780	166179	Monique Trechois
587780	189347	Charlotte Corday
587781	270039	Herself
587782	68810	
587782	169710	
587782	213747	
587782	251841	
587782	344711	
587783	47154	
587783	51783	Marieta (segment "Despejo, O"
587783	90456	Filhinha
587783	212134	
587783	341474	
587783	378772	
587783	380109	
587783	383437	Márcia
587783	384871	
587783	386505	Malu
587783	387324	Mimi
587783	392591	Débora
587783	393027	
587783	397553	
587783	400214	Paulina
587783	400580	Eliana
587783	401197	
587783	401482	Laura
587783	404798	Cíntia
587783	408230	
587783	409408	
587783	410103	Paula
587784	108728	
587785	54166	
587786	294723	Mother
587787	385947	
587787	388721	Jaciara
587787	402582	Norma Shirley
587787	412069	Candinha (1999-2003)
587788	125682	
587788	263929	
587789	67658	Gil
587789	156582	
587790	28589	Laura (Ano 61)
587791	181446	Deolinda
587792	320415	
587793	222412	Modelo automovil
587793	379820	Federica
587793	379905	Zoila Medina Castillo
587794	19474	
587795	12058	Janete
587795	161775	Cecília
587795	323237	Zuzu
587795	386123	Sophie
587795	391313	Felicidade
587795	396610	Prof. Elizabeth (2004-)
587795	409405	Lenya
587796	384991	
587796	393615	
587796	400098	
587797	249913	
587797	294628	
587797	296129	
587798	270975	Mother in Line
587799	14701	Victorina
587799	66869	Mini Lady
587799	109948	Nossa Senhora de Fátima
587800	296314	
587801	68624	(segment "Lula e a copeira")
587801	69240	
587801	390751	
587801	396126	Rosa
587801	400799	
587801	401932	
587801	408550	Glória
587801	409003	Maria Augusta's Mother
587802	274967	
587803	308749	Herself
587803	411597	Catuxita
587804	379451	Teresa
587804	380563	
587804	383293	Suely
587804	383355	Lina
587804	384117	Rosa Maria de Lima Gonzaga
587804	384480	Dona Jura
587804	384711	Joana Pimenta
587804	385522	Lita de Souza
587804	386212	Manon
587804	386728	Zulmira
587804	392628	Teca
587804	392629	Young Biá
587804	394121	Ritinha
587804	394872	
587804	400096	
587804	403171	Young Inácia
587804	405454	Adelaide
587804	407830	Sabina de Iansã
587804	408381	
587804	410054	Zulmira
587804	410377	Gisa
587805	273020	in Biarritz
587806	122109	
587807	57718	Heather Goldman
587808	38006	
587809	13847	Young Sundae Girl
587810	381059	District Nurse
587811	114311	Gabby
587812	19257	The tourist
587812	43913	
587812	69731	
587812	72367	Mere de Chomi
587812	78370	Voisine 2
587812	119053	
587812	237610	
587812	249625	Mimi
587812	309719	
587812	322584	Loulou
587812	393284	Francine Duval
587812	393285	Francine Duval
587812	396835	Eugénie Beaubassin
587812	400383	Sophie DeBray
587812	403254	Madeleine Beaulieu-Landry
587812	409541	Carole Vanasse
587812	409677	Josette Menard (1996)
587813	16620	La servante
587813	88060	Antonia
587813	244961	
587814	379762	Fran the Night Nurse
587815	248055	
587816	254052	Une ogresse
587817	14349	Berthe Tronchet
587817	67761	
587817	73068	Soeur Camille
587817	73074	La grand-mère
587817	99364	Mme Imbert
587817	112819	Nun
587817	153788	La vieille servante
587817	157073	Amandine Trouhadec
587817	160548	La caissière du Fouquet's
587817	165908	Jacqueline
587817	166288	Mme Moulin
587817	199389	
587817	205741	La mère Maujin
587817	220476	La patronne du restaurant
587817	240599	Dame Peluche
587817	254085	La femme de ménage du centre 
587817	254133	Rachel
587817	285150	Duchesse Villars-Brancas
587817	324483	Seamstress
587817	327577	Marquise de Villeparisis
587817	336982	La gérante
587817	337734	
587817	361606	La Dame de souten
587818	301984	Passante chic et sympa 1
587819	85191	Hospital Visitor
587819	251247	Extra
587819	278094	Roller coaster Rider
587819	290936	Shaggy's Histerical Fan
587819	358663	Casino VIP
587819	378898	Student
587820	377242	Jennifer
587820	403254	Anne Paquin
587821	166280	Madeleine Jaurès
587821	377935	Une tzigane
587822	212782	Natasha
587822	379510	Ophélie
587823	142869	Osborn's Girlfriend
587824	87942	model in Courrèges sequences
587825	164153	Witness of accident #2
587825	168895	Femme interview
587825	288887	La pharmacienne
587825	309752	Evelyne
587826	276032	
587827	70653	Pool party girl
587828	59695	
587828	178730	Wies
587828	357566	Revuezangeres
587828	384970	
587828	397488	Meester Marie-Ann 'Merlina' '
587828	400288	Herself
587828	400637	Evelyn
587829	43706	Melina
587829	54395	Marianne
587829	166205	
587829	201170	Martine Boiselier
587829	337030	
587830	58754	Nurse at cemetery
587830	148702	La standardiste
587830	355882	Clement's secretary
587831	117480	Lea Maduvalli
587832	29958	Snuggling Girl Friend
587832	54658	Alluring Hotel Guest
587832	116836	
587832	122179	
587832	128845	
587832	132498	
587832	143981	
587832	150245	
587832	161970	
587832	166686	Herself
587832	289155	
587832	310025	
587832	331316	
587832	332550	
587832	333650	
587832	334725	
587832	343951	
587833	321266	Abner's Teacher
587834	291559	Mrs. Breuner
587835	82551	Dancing Girl
587836	44382	
587837	57164	Hotel Maid
587838	309678	Concord Registration Woman
587839	14638	
587839	103756	Vecina
587839	112044	
587839	206001	
587839	276568	
587839	332596	
587839	339755	
587839	402231	Reporter
587840	209026	Gloria
587841	96726	Chambermaid #1
587842	273628	Townspeople
587843	168701	Dancer
587844	380249	
587845	382909	
587846	382281	Self
587847	26008	
587847	47038	
587847	70897	Katia
587847	81517	(segment "Eyes Heavenward")
587847	113710	Betta
587847	127884	(segment "Naughty Nun, The")
587847	128931	
587847	187961	
587847	229987	
587847	247963	
587848	133816	Dr. Judd
587849	77964	Mrs. Canavan
587849	113284	Jane Lord
587849	130894	Mrs. Lathrop
587849	141208	Mrs. Oakland
587849	211430	Mrs. Seynave
587849	300171	
587849	362315	Mrs. Endicott
587850	15216	Socialite
587850	253081	Dancer
587851	338987	Mrs. Mossup
587852	240761	Social Worker
587852	292785	Housewife
587853	366902	Rachael Fox
587854	282379	Wild Thing in 'Wild Thing'
587855	52312	
587855	128604	Miss October 1998 ("Country C
587855	257618	Herself
587855	257619	Herself
587855	257657	Herself
587855	257668	Herself (Model)
587855	257813	Herself
587855	257843	Herself (Miss October 1998)
587855	257866	Herself
587856	263367	Lisa Warren
587857	245258	Mrs. Elmer
587857	301978	Mrs. George Schofield
587858	60919	
587859	301720	Mrs. Carlton
587860	120543	Yvonne Balsac
587861	33644	Maudie
587862	305571	Young American Miss
587863	117454	Featured dancer
587864	257132	KKK Man #2
587865	94476	Kate
587866	256454	
587867	242849	Kcerka
587868	137850	
587868	244227	Natasha
587869	83266	
587870	235719	La conductrice
587871	43001	
587871	70150	Marie
587871	83379	Nadine
587871	96141	Sophie
587871	146361	Une copine
587871	230206	
587871	235719	Juliette
587871	284861	Sabine
587871	336843	
587872	153151	Clara
587873	327269	Rita
587874	161495	Janet
587875	6926	Blanche
587875	21621	Connie Wintour
587875	141094	Madeleine Harland
587875	211520	Herself
587875	332839	
587875	357178	
587875	403574	Dee
587875	403575	Devonia 'Dee' Rhoades
587876	141568	Florence Blake
587876	298090	Keva
587877	139611	Girl Friend #5
587877	139739	Naja
587878	50292	Penny Ladd
587878	80469	Ruth Tyler
587878	81319	Contessa Pacelli
587878	121363	Sarah
587878	264756	Devil's Familiar
587879	188227	Woman in Looney's Cab
587879	292786	Joanne Weise
587879	372600	Eunice Kennedy
587880	366824	
587881	136127	Society Hostess
587882	397458	Shelly Green
587883	161337	Herself
587884	196365	Brigit
587885	202195	TV Reporter
587886	363756	Hunting Victim
587887	144744	
587888	111362	Anna Keane
587889	157208	Flora
587891	32952	Debutante
587891	142880	Pamela Rogers
587891	372360	Freckled Kid
587892	291812	Singer
587893	30186	Hostess
587893	388321	Polly Arnold (2000-2001)
587893	402607	Carla (2003-)
587893	408070	Nicki (1997)
587893	408637	Debbie Lewis
587894	20248	Miss Carter
587894	123213	
587894	277992	
587895	138374	Karine
587896	68818	James
587896	82064	Reporter
587896	112512	
587896	154874	Reporter
587896	199225	
587896	242110	
587896	249114	Van Bibber's Chum
587896	306747	Bobbie
587896	317354	Master of Ceremonies
587897	158873	Photographer's girlfriend
587898	314631	Girl at Party
587899	54692	Cap Girl One
587899	75395	Red Haired Waitress
587900	171050	Sandy
587901	160141	Movie Patron
587902	30646	Student #2
587903	92285	
587903	252926	Friend in church
587903	304557	Sgt. Knighton
587904	321306	
587905	35148	Linda
587906	64081	Bella
587907	380798	Moira
587907	384097	Jacqueline (1999)
587908	40377	Nurse Warner (1987 footage)
587908	123025	Dana
587908	318162	Valarie Wells
587909	256074	Prostitute
587910	303445	
587911	176989	Housekeeper
587911	236928	Ruth
587912	270933	Gardening Girl
587913	357086	
587914	71474	Dancer
587914	166638	Nurse, Alice (a Scullery Maid
587915	40091	Hilda
587915	254889	Elsie
587915	263957	Carol
587915	378675	Helen (1994-1995)
587915	383461	Sister Debbie Pereira (1994-1
587916	194136	Waitress at Pizzeria
587916	336475	Beachgoer
587916	358634	Choir Girl
587916	366730	
587917	88867	Dream Girl
587917	115106	Stripper #2
587917	245600	Model
587918	42779	Andrea
587918	138210	Sarah
587918	399130	Melanie Pearson (1987-1991)
587918	400824	Herself - Presenter (1993-199
587918	411245	Jenny Foster (episode 2: Just
587919	399931	Baby
587920	189473	Crack girl
587921	178468	Annie
587922	354519	The Children
587923	142534	Martha Pretorius
587924	235491	
587925	150400	Society Lady #1
587926	88522	Petra
587927	203436	Chorus
587928	48468	Lorraine
587928	61161	Stoner Girl
587929	6582	ATS Girl
587930	162306	Script supervisor
587931	81081	
587932	287215	Ozzy's Friend
587933	262119	Mrs. Lawrence
587934	5718	
587935	367782	Smiling Woman
587936	299222	
587937	158273	Waitress
587938	40723	Anne Wiltone
587938	46266	
587938	123393	Eva Parker
587938	142926	Anne Boleyn
587938	170486	Calpurnia
587938	269429	Madame Pugeot
587938	292537	Baroness
587938	346071	
587938	353287	
587939	167068	Young Nurse
587940	102155	Maid
587941	67799	
587941	124095	Eleanor Mannering/Princess El
587941	233684	Mrs. Harkness
587941	241078	Mrs. Laing
587941	251279	Mrs. Hedges
587941	292405	Aunt Clara Ewing
587941	311910	Patricia Mercer Vanderpyl
587941	312774	Herself
587942	107902	Mrs. Sacks
587943	230760	Mary Murphy
587944	107902	Waitress
587945	11652	Bett Van Daumee
587945	106024	Agnes
587945	121361	Lillian
587946	359444	Mother
587947	107902	Sally's Child
587948	107902	Bobby Tucker
587949	157840	Bartender
587950	141140	Nurse
587951	62036	Marla
587951	147108	Waitress
587951	265762	Mary's Mother (Mrs. Daley)
587952	206407	
587953	54881	Ruth Earp
587953	247011	Jean Stuart
587954	213590	Peep-Bo
587955	53564	Shopping Cart Zombie
587956	405209	Trudy Howarth (2000)
587957	55683	Wife
587957	55700	Matron
587957	73241	Mrs. White
587957	93136	Hotel Manager
587957	127105	Woman in Fog
587957	134126	Book shop customer
587957	154368	
587957	160958	Alice
587957	164336	Mrs. Fishfinger
587957	187336	Mrs. Martin
587957	194513	Mrs. Lundy
587957	240023	Mrs. Bedwin
587957	256211	Teacher
587957	257983	Mrs. Duffy
587957	271154	Mrs. Viney
587957	271217	Midwife
587957	281442	Church lady
587957	330154	Mrs. Rodgers
587957	342823	Nurse Davies
587957	348342	Lady Pennyweight
587957	372787	Mrs. Dewsnap
587957	383953	Chambermaid
587957	390321	Gwen Botley
587957	400109	Nursemaid
587957	400709	Mrs. Bunce
587957	401977	Jane
587957	404664	Matron
587957	406352	Mother Yeo
587957	410714	Mrs. Briscoll
587957	411778	Mrs. Blanche Lipton
587958	105118	Child
587959	388646	Statssekreterare
587960	352716	Dorothea Ventris
587961	171178	Erika Tilson
587962	91703	
587962	119872	Spectator at opening rally
587962	191964	Mellon
587962	276804	Ward Nurse
587962	364782	Rowan Morrison
587962	381087	Jo
587962	387247	Rosie Miller (2004-)
587962	404046	Sister
587962	407779	Jenny Ball
587964	364417	Angela
587964	381087	Ginny
587965	50058	Violet Potter
587965	93249	Lucy
587965	169476	Crystina
587965	191300	Blanche
587965	231389	Angelina at Age 6 Months
587965	273346	Deborah Wade
587965	346360	Nicole
587965	366402	Angie
587965	382694	Patsy Bligh
587965	385646	DS Helen Diamond (1996-1999)
587965	386233	Amy Camm
587965	403373	George
587965	404046	Amanda
587965	406723	Gina
587965	407667	Lisa
587966	107947	
587967	183841	Lady Plymdale
587968	149948	Mrs. Kandich
587969	118897	Herself (Ottawa socialite)
587970	100661	Biker Woman
587971	219901	
587972	62778	Dancer
587973	395091	Lancaster Girl (Aged 6)
587974	78839	Jess
587975	43933	Burkitsville Resident #4
587976	5913	Herself
587977	395895	Hostess
587977	409309	Host
587977	409310	Herself (2001)
587978	93776	Mary Louise
587978	177475	Elaine
587978	193406	Timid Girl
587978	194223	Candy
587978	232213	Jenny Lynn
587978	236328	Model #1
587979	119803	Maid
587979	130758	Bathing Girl
587980	265749	Little Girl on Bus
587981	121417	Sarah Taylor
587982	98901	
587983	358476	Old Woman Sitting for a Portr
587984	256113	
587985	54598	
587985	92567	Roberta
587985	92571	April
587985	250651	
587986	44416	Model
587987	300351	Mitzi's New Friend
587988	261052	Girlfriend
587989	754	
587989	1308	
587989	11452	
587989	40650	Herself
587989	67143	
587989	67144	
587989	72781	
587989	108644	
587989	219858	
587989	235119	
587989	273298	
587989	297338	
587989	297346	
587989	305233	Calli
587989	306908	
587989	349388	
587990	198509	
587991	292266	Diesel Driver
587993	259391	Prunella
587994	250746	Upper-class townswoman at Cha
587995	158141	Bank patron
587996	387309	Billie Schuman (1984)
587997	37246	Nurse
587997	88879	Leslie
587998	142508	Juno
587998	187231	Cathy (trailer incident)
587999	243136	
588001	35257	Kim
588001	47907	Natalie Grenier
588001	66598	Aurora
588001	90793	Angel
588001	165436	Peter
588001	216184	Officer Ida Cruz
588001	233823	Det. Elizabeth 'Beth' Jordan
588001	281549	
588001	302923	Volunteer
588001	308137	Cassandra Diaz
588001	316648	Kelly
588001	385308	Jessica Capshaw
588001	388154	Angela 'Angie' Ramirez
588002	5885	Sister
588002	16646	Dancer
588002	61954	Pennie Hamilton
588002	64424	Joan
588002	77209	Fran Lock
588002	283348	
588002	357385	Susan's sister
588002	383056	Colleen Berry
588002	395178	Cousin Olive
588004	35487	
588004	160573	Sidney
588004	186632	Serena
588004	192245	Sam
588004	197893	Katharina Luther, geb. von Bo
588004	299715	Floss
588004	311494	Hannah
588004	368813	Faith Wren
588004	384142	Ianthe Cavendish
588004	387993	Beth
588004	395187	Catherine Heaseman
588005	344069	
588006	694	Herself/Host
588006	1449	Herself - Co-host
588006	1466	Herself - Presenter
588006	1674	Herself
588006	2250	Cybil Waingrow
588006	2761	Herself
588006	2787	Herself/Presenter
588006	2797	Herself
588006	2818	Herself
588006	5573	Melissa Robinson
588006	10880	Alice
588006	30240	Daisy
588006	31346	Katherine
588006	32917	Herself
588006	41773	Lisa Roberts
588006	48109	Bruce´s fan in the clip 'Danc
588006	48110	Bruce´s fan in the clip 'Danc
588006	57164	
588006	66557	Sara
588006	66603	Flight Attendant
588006	68308	Rachel Luce
588006	75455	Gwen
588006	92249	Tarah
588006	120266	Herself/Monica Geller
588006	126577	Lily
588006	154852	Nora Bundy
588006	155856	Hana Wyshocki
588006	158022	Herself
588006	161369	Herself
588006	207530	Julie Winston
588006	215363	Gloria Dinallo
588006	220894	Jewel Jagger, Forklift operat
588006	228970	Herself
588006	235947	Sophie
588006	242939	Carrie Davenport
588006	252490	Herself
588006	282563	Jacquie Kimberly
588006	283497	Karina
588006	288709	Herself/Guest Host
588006	291221	Gale Weathers
588006	291222	Gale Weathers
588006	291223	Gale Weathers
588006	291257	Herself
588006	297140	Kathleen
588006	300343	Samantha Crumb
588006	303861	Emmy O'Connor
588006	321773	Lucy Apple
588006	388359	Lauren Miller (1987-1989)
588006	389392	Monica Geller Bing
588006	398213	Herself
588006	408234	Marie-Frederique 'Freddy' de 
588006	408953	Gabriella Easden
588007	93975	Paramedic
588007	109395	Woman with Chips
588007	138369	Wonder
588007	188553	Marie
588007	289791	Home-Stay Nurse
588007	334343	Flower Attendant
588008	299028	Suzie as a child
588009	208288	Marcia
588010	1465	Herself
588010	195523	Niko Rosen
588010	335567	Performer
588011	217603	Audience Dope 2
588012	401360	Bride #3
588013	234218	Photo Double
588013	253355	
588013	315662	Interviewee
588013	316263	Ellie
588014	150396	
588015	42828	
588016	365910	Pappy Marshall
588017	168087	Little Jo Jo
588018	132454	Kelly Porter (singing voice)
588018	161631	Jennifer
588018	232066	Kathy
588018	368753	Girl in Daytona
588019	45741	
588020	49485	Julia
588020	57815	Singer
588020	73345	Juror Gibson
588020	301769	Det. Johnson
588021	92134	Herself
588021	237431	Cox Family
588022	86982	Patron
588022	99413	Hostile Receptionist
588022	182965	Max
588022	261280	Janice
588022	296878	Reena's Girlfriend
588022	302769	Delilah
588023	77196	Mrs. Sharman
588023	114051	Landlady
588023	160780	Woman on sticks
588023	193900	
588023	212963	Violet
588023	250448	Busybody
588023	326600	Molly
588023	364818	Minnie Bonsall
588023	384097	Grace (1996)
588023	385922	Miss Grace Pullet, Librarian 
588023	402031	Sheila Jessop
588024	224042	Herself
588025	202195	Eva Marie
588026	94	Office Receptionist
588026	304829	Jessica's Mother
588026	314697	Cop #1
588027	254477	Vera
588028	50611	Widow Mrs. Jenkins
588029	183430	Herself
588030	292546	Caroline
588031	328905	The Widow
588031	387533	Lisa Clegg/Dingle (1996-)
588031	390030	Brenda
588032	7796	
588032	61656	Karen
588032	284935	Sales Clerk
588032	388653	Theresa Morgan (Season 1)
588033	261460	Heather
588034	122170	The Maid
588035	45781	Jan Brady
588035	53323	Mary, Crying Drunk Girl
588035	93992	Mellissa
588035	97644	College Girl
588035	110251	Shopper
588035	117654	Corinne Daly
588035	146827	Clown
588035	159012	Telluride Booth Girl
588035	285406	Shelly
588035	308147	Jules Martin
588035	315915	Betty Bright
588035	328922	Sharon, the Perky Chick
588035	352701	Jan Brady
588035	360874	Arista Farrell
588035	392337	Various
588035	401473	Herself
588036	53316	Dr. Livingstone
588036	55683	Veronica
588036	310484	Amanda Scott
588038	292474	Lady with Baby
588039	245698	Joan
588040	117136	Emma Yoder
588041	104676	
588042	134280	Pow Wow Dancer
588087	39735	
588043	1645	Sophie Aronnax/Charlie Darwin
588043	10241	Giulietta
588043	16673	Alison
588043	79557	Dora Spenlow Copperfield
588043	81211	Young Hannah
588043	110739	Marcia Tibbits
588043	119025	Party Girl
588043	177419	Claudia Lear
588043	230442	Child-like Empress
588043	258931	Elsa Greer
588043	264162	Princess Diana
588043	278496	Giselle
588043	289612	Helene de Rochambueau
588043	346662	Betsy
588043	359202	Sophie
588043	368722	Angela
588043	375936	Maria
588043	383086	Annabella Milbanke
588043	384085	Irulan Corrino-Atreides
588043	387113	Princess Irulan Corrino
588043	404407	Helene de Rochambeau
588043	407667	Katherine
588043	410144	Mademoiselle Varthon
588044	81152	Screaming Demonstrator
588044	311916	Melissa Kramer
588044	364205	Female Court Attendant
588045	318644	Det. Forster
588046	44654	
588046	291022	
588047	369807	Kathy
588049	75043	
588050	155070	Girl
588051	234104	Herself
588051	273448	Herself
588051	381501	Herself (with Yoko and John)
588052	51746	Sister
588052	85953	Little Kyra
588052	159971	Nurse
588052	367724	Young girl
588052	411245	Riordan Family (episode 4: Th
588053	11373	Lana
588053	17714	
588053	98871	Glamour Photographer
588053	98875	Lana
588053	98902	
588053	98903	
588053	112125	Lana
588053	129242	
588053	184335	Lana
588053	184338	Lana
588053	188073	Nurse
588053	238902	
588053	238904	
588053	257590	Lana Cox
588053	257609	
588053	264904	
588053	296995	
588053	302756	Lana
588053	319517	Lana - Stripper
588053	343883	Lana Cox
588054	17043	Heather
588054	28675	Fiona
588054	40101	Claire
588054	105405	Maggie
588054	173349	Cute Girl On Plane
588054	211530	Cynthia
588054	391208	Posy (Ep. 1-2, 9-10, 27-30)
588054	391248	Anita Scheppers (1996-1999)
588054	391869	Bianca (1999)
588055	40653	Mrs. de Souza
588055	52686	Red Haired Woman
588055	171297	Peasant Woman
588055	180787	Ivy
588055	267253	Psychiatric Patient
588055	341946	Laura
588055	381685	Irene
588056	395091	Lancaster Girl
588057	35312	Deirdre
588057	177676	Girl
588058	213590	Schoolgirl
588059	273702	Secretary
588060	59511	Une femme en deuil
588060	281271	Anaïs
588061	17934	Female Elevator Operator
588061	183683	Bartender
588061	254523	Dancer
588061	361167	Kathy Sherwin
588062	400326	Announcer
588063	284509	
588064	224311	
588065	138716	Herself
588066	24476	Grocery Woman - Young and Hun
588067	408276	Herself - Ostoarchaeologist
588068	70422	Miss Dewpoint
588069	325622	Marion
588071	390338	Herself
588072	64360	
588073	38644	Grandma (ADV 2003)
588074	158141	Bank patron
588075	75043	
588075	160995	
588076	338789	Enid
588077	41393	Student #2
588077	77940	Ariel
588077	90237	Karen
588077	108288	Carrie Lewis
588077	129397	Millie
588077	161392	Herself
588077	198829	Dancer
588077	218853	Dancer (segment "Badder")
588077	237006	Ms. Stamos
588077	250989	Dancer
588077	283368	Kayla
588077	284003	Andrea White
588077	297894	Kellie
588077	317736	Holliday's Girlfriend
588077	328277	Girl
588077	389858	Gina Williams #1 (1993-1995)
588077	395145	Mary Connell (2003-)
588077	399468	Nikki White
588077	399674	Taylor Clayton (1999-2000)
588077	405878	Samantha "Sam" Stepjak (1994)
588077	409558	Tiffany Malloy (1995-1999)
588078	64061	Stepsister
588078	368021	
588079	128814	
588080	90207	Cupid
588082	386479	
588082	393832	
588082	397110	
588082	403214	Cecilia
588082	408722	
588082	409283	Julia
588083	226870	Diana
588084	34869	House Guest
588085	103215	Diner Patron
588086	19220	
588086	247107	
588086	281584	Sheila
588087	37880	
588087	70626	Helen Norton
588087	128360	Victoria Harlowe
588087	134649	
588087	165578	
588087	171021	
588087	206086	
588087	331185	
588088	186846	Woman
588089	23557	Emily
588089	108694	First student
588089	293149	Jill
588089	320825	Nancy
588089	381802	Priscilla
588089	391055	Bess Marvin
588089	403941	Susan Donovan (1978)
588090	80314	Marion
588090	339792	Axelle
588091	267221	Stenographer
588092	1729	Presenter
588092	47173	Presenter
588092	330027	Narrator
588092	379505	
588092	381886	Herself - 'On the Bed' Presen
588092	388027	
588092	388461	
588092	389027	Herself
588092	390112	
588092	396558	Presenter (2002)
588092	398436	Presenter
588092	408555	Herself - Co-presenter (2002)
588093	194355	Daniels' Daughter
588094	238991	Chorus Girl
588095	141777	Nicole
588095	257502	Sherry
588096	150292	
588098	41400	Sandy Desmond
588098	80610	Kaye
588098	206191	Aunty Sarah
588098	319936	Casino barmaid
588099	116698	Teenage May
588100	52320	Peaches
588100	300163	Mrs. Kenner
588100	403490	Peg Bowen
588101	92134	Herself
588101	126509	Suzanne Cox
588101	237431	Cox Family
588101	390144	Vogue (1995-2000)
588102	106362	Waitress
588104	315577	Party Players
588105	314836	
588106	385738	Body Language Coach
588106	392045	Host
588106	395991	Sex & Relationships Expert
588106	411504	Herself - Body Language Coach
588107	32660	Martha Sedgewick
588107	37033	Mary Margaret Bishop
588107	47162	Haughty Princess
588107	64078	Calliope
588107	78141	Eryn
588107	87397	Woman at Bus Stop
588107	102514	Theresa Dallavale
588107	142889	Laura
588107	162820	Helen
588107	205268	Caitlin Mellowitz
588107	215527	Tessy Mahoney
588107	224296	Kristen
588107	343201	Melanie Corman
588107	372372	Miranda Margulies
588107	400236	Melissa Miller (2001)
588108	47972	Nancy Austin
588109	241444	
588110	289093	Model
588111	64561	Performer
588112	202244	
588113	53904	Spanky's mother
588113	110460	Darla's mother
588113	211546	Dinner Guest
588113	244831	Miss Jones (stenographer)
588113	255146	Oscar's Wife
588113	297950	Brunette
588113	350149	
588114	113303	Woman in waiting area
588115	42438	Honey
588115	179041	Greta's Lawyer
588116	400696	Wendy (1988-1990)
588116	411850	
588117	214078	Rose Dionne, 6 yrs.
588118	177584	Sarah
588121	139064	
588122	196378	
588124	1353	Herself
588124	6722	Herself
588124	23949	
588124	26114	
588124	27232	
588124	29766	
588124	36703	
588124	37145	
588124	41076	Herself
588124	41486	Herself
588124	41614	
588124	50764	
588124	51869	
588124	76932	
588124	81664	
588124	95803	
588124	127641	
588124	127810	Herself
588124	128558	
588124	128785	
588124	130619	
588124	148375	
588124	159771	
588124	167526	
588124	167586	
588124	188069	
588124	194723	
588124	195887	
588124	205843	
588124	213826	
588124	216867	
588124	219872	
588124	227997	
588124	228010	
588124	228044	
588124	228438	
588124	228591	
588124	232461	
588124	232651	
588124	247989	
588124	254333	NonSex
588124	260173	
588124	261073	
588124	274415	
588124	293051	
588124	295814	
588124	315794	
588124	316413	
588124	323379	
588124	323540	
588124	337795	
588124	353292	
588124	354795	
588124	355155	
588124	360102	
588124	360309	Nurse
588124	362625	
588124	363410	
588126	305571	Young American Miss
588127	177664	Stern
588128	291295	Elaine
588129	317249	
588130	8257	
588131	398671	Herself
588132	80798	Rita Berwald
588132	196048	Gwen Marie Dumas
588132	216184	Reporter #5
588132	220778	Marcella
588132	240943	
588132	253002	Journalist outside Luccas
588132	258939	Carmen
588132	302923	Prison Guard
588132	320815	Publisher
588132	323974	Prostitute
588132	382212	Merle the Wizard
588132	385977	Marnie Sharpe
588132	397168	Simone
588133	367811	Samson's Nanny
588134	344524	Herself
588135	241555	Night Desk Clerk
588136	297261	Beauty Shop Customer
588137	361068	Carmen Donnelly
588138	364229	Simone Valentine
588139	199999	Hospital Desk Woman
588139	228313	Tourist
588139	282696	Tennis Socialite
588139	384070	Guest performer
588140	72012	Courtney Baker
588140	76254	Angela Delaney
588140	297113	Enthusiastic Mime
588140	318510	Mrs. Betsy Haverford
588140	364372	Client
588140	401473	Daly
588140	405246	Allison Delaney
588141	112033	Queen Mary
588141	302220	La femme agressée
588141	318512	L'épouse du monsieur du taxi
588141	392580	
588142	315501	Lola Papp
588143	80833	Jessica
588144	113526	Paige
588145	86247	Katy
588146	342630	
588147	109659	
588148	105322	Herself
588149	163231	
588150	136828	Relative
588150	264161	Melissa, Blanche's daughter
588151	364461	Ring Bearer, Goldwyn Girl
588152	3251	Performer/Herself
588152	87597	Performer
588152	133412	Performer
588152	228303	Performer
588152	311953	Herself/Performer
588152	401887	Herself
588152	401889	Herself - Girls Aloud
588153	329948	Customer
588154	64081	
588154	319185	
588155	263795	Optician's Receptionist
588155	331639	Betty
588156	120480	Female Porno Star
588157	154796	Girl with lost cat
588158	147300	Audience Member
588158	215786	Partygoer
588159	178066	Dancer
588159	302696	Female dancer
588159	318792	Stock company member
588160	157195	Dancer
588161	90508	Sister Mary Ann
588161	109722	1st Witness
588161	130767	
588161	193280	
588161	232164	Student
588161	286477	Cathy Orman
588161	363509	Psychiatrist
588161	383768	Bank Teller
588162	10668	Edith Liddell
588162	53316	Receptionist
588162	65679	Marilyn
588162	175140	Vera
588162	355075	Coven Member
588162	385299	April Ford
588163	26180	Cryobank Nurse
588163	151758	Teacher
588163	269861	Dan Tobin's daughter (Ireland
588163	278259	Waitress
588164	60148	Lady of the Night
588165	317946	Neighbor
588166	13800	Lupe
588166	30965	Socialite
588166	70916	Mistress
588166	187167	Rose
588166	226981	Cynthia
588166	232103	Sue
588166	289096	Grace
588167	10869	Sandy
588167	49233	Michelle
588167	80825	
588167	96834	
588167	167043	Simone de Cyrene
588167	190376	News Anchor
588167	206092	
588167	277836	
588167	299798	Dr. Hali
588167	307990	
588167	350281	Medea
588168	97101	Clara Cratchitt
588168	100822	Supervisor
588168	152910	Sandra Rothman
588168	166728	Ruth
588168	206129	Miss Hobby
588168	230411	Alison
588168	254996	Ada Harrison
588168	276196	Marie-Madeleine (segment "Mar
588168	329342	Ammie West
588168	382807	
588168	390775	Cameron Marks
588168	404152	Sarah Good
588168	405652	Anna Conroy
588169	123160	
588169	185176	Herself
588170	184412	Agahali
588171	342331	Herself
588172	274200	Bank Teller 1
588173	32732	
588173	37332	
588173	87309	Old crone
588173	96626	
588173	191626	
588174	134957	
588175	220701	
588176	175401	Mabel
588177	258554	Stinger
588179	69187	Herself
588180	39731	Girl in classroom
588180	239539	
588181	286783	Grandma
588181	363442	Grandmother
588182	142378	Nelia
588183	202914	The Waif
588184	67619	Person at Track
588184	76556	Margaret Porter
588184	192596	Woman in restaurant
588184	232067	Alice
588184	247494	Margaret Wilding
588184	269667	Rita Martelli
588184	309526	Jane Rickey
588184	311946	May Dalby
588184	327235	Woman Juror
588184	389858	Doris Blythe (1987)
588185	16544	
588185	69701	
588185	121313	
588185	344633	
588186	103532	
588186	108612	
588187	96973	Dancing girl
588188	124566	
588188	246493	Sylvia as a child
588189	334773	
588190	12141	
588190	103532	
588190	108612	
588191	200940	La cuisinière
588191	217642	
588192	33504	
588192	144599	
588192	345991	
588193	11202	Puppy
588194	82709	Kathy
588194	82712	Pregnant Nun
588194	390498	Elena
588195	326088	Lida Valmadonna
588196	258039	Girl #2
588197	133054	
588198	400288	Herself
588199	12460	Katie
588199	98244	Lizzie Berrill
588199	102449	Moeder Condon
588199	104961	Louise
588199	113205	Rosalia Solimene
588199	122284	Boll, Martha
588199	175691	Tante Bertha
588199	259008	Frau
588199	282504	Vrouw van Fik
588199	303163	Adela
588199	352054	Mady
588199	365024	Boerin
588199	375724	Brenda Bolton
588199	375753	Liesbeth
588199	384611	Madame Arabelle
588199	393451	Amelie
588199	411116	Angelien
588200	47915	Student
588201	23615	Iris
588202	87508	Mother Bishop
588202	190461	WPIX Anchor
588203	151703	Michelle
588203	387264	Co-host
588204	308698	
588205	107250	Queen Pin/Additional Characte
588205	248677	Lynne Meredith
588205	395420	Queen Pin
588205	395421	Queen Pin (pilot)
588206	333225	Daughter
588206	343244	Cassie
588206	368283	Young girl
588207	14972	Dulcinea
588208	93197	Eli's Mother
588209	38368	
588210	87507	Receptionist
588210	130063	Bobbie
588210	227024	Miss Poland
588211	336705	Young Lucinda
588212	41316	Kim
588212	106617	Mona
588212	133962	Hooker
588212	230692	Newscaster
588213	303518	Saleswoman #1
588214	231539	Woman
588215	375306	The small girl
588216	21273	
588216	80114	
588216	89321	Partygoer
588216	95124	
588216	97596	
588216	110984	
588216	162102	Ana
588216	183019	
588216	211136	La passante
588216	267024	Aurora Liceanu
588216	269511	
588217	10782	Mrs. Spencer
588217	34822	Iris
588217	59244	Mrs. Heather Newby
588217	72039	
588217	99824	Elaine Ross
588217	112035	
588217	157193	Lady Bracknell
588217	168327	Sylvia Vanderberg
588217	179513	Alice
588217	190774	Lilian Singer
588217	217419	Mrs. Reach
588217	232349	Doris Bannister
588217	254877	Narrator
588217	302686	Mrs. Bilson
588217	305592	Mrs. Gaspen
588217	310997	Rose Dougherty
588217	329448	Fortune Teller
588217	381608	
588217	381641	
588217	385896	
588217	386463	Margaret Whitlam
588217	389436	several voices
588217	390287	
588217	392467	
588217	398292	Maggie Beare
588217	401017	
588217	401624	Herself (1960's)
588217	404932	Martha
588217	405716	
588218	217627	Herself
588219	392897	Additional Voices (1983-1984)
588220	58769	Kim Serling #1
588220	151625	Young Finn
588220	282923	Cleo Faro
588221	58769	Kim Serling #2
588221	151625	Young Finn
588221	282923	Cleo Faro
588222	77712	Mrs. Garcia
588223	183859	Miss Snodgrass
588224	95182	Additional Voices
588225	346121	Mary Kate Conway
588226	274198	
588228	338756	Mrs. Elliot
588229	21166	Herself (Arthur Miller's moth
588229	35401	Mrs. Ingram
588229	96883	Madame Melegg
588229	199433	Dusty
588229	316494	Sour Grapes
588229	316496	
588229	383125	Whitney Morgan
588230	372176	Dancer
588231	396139	Cookery expert
588232	79279	Old Barfly
588233	62699	Naomi
588234	66356	TV News Reporter
588235	25386	Angie
588236	102559	Giovanna
588236	104522	Madame Larina
588237	183375	Maud
588238	158141	Extra
588239	20625	Extra
588240	285696	
588241	404324	Presenter (1996-2002)
588242	79938	Newscaster
588242	397059	Host
588243	127306	
588243	143832	Woman in Crowd
588243	156510	
588243	277621	Mrs. Vanderquist
588244	168298	Model
588245	346039	Fortune Teller
588246	74311	
588247	112904	Casting Director
588248	384964	Sprog
588249	45825	Jenny Wayne
588250	270272	Herself
588251	70778	Connie
588252	17771	Susan Oakley
588253	387318	Brenda
588254	403712	Presenter
588254	406895	Presenter
588254	406896	Presenter
588255	312773	Actress
588256	381909	Herself (1st Evicted, 12 Days
588257	170538	Beulah
588258	5426	Mother Perkins
588258	35683	Mrs. Bundle
588258	64870	Maggie Burton
588258	67856	Mrs. schroeder
588258	79009	Mrs. Fogarty
588258	79663	Bet
588258	83816	Tourist Woman
588258	95832	Mrs. Johnson, a Neighbor
588258	116737	Mrs. Henry Gilliam
588258	123902	Mrs. Murphy
588258	131587	Mrs. Boggs
588258	143394	Countess Coralie
588258	154355	Undetermined Role
588258	154733	Undetermined Role
588258	195905	Martha Henley
588258	196610	Lizzie O'Hara
588258	200135	Mrs. Nolan
588258	201878	Dowager
588258	216925	Blossom Young
588258	218256	Ball Guest at Bath
588258	253898	The Countess
588258	259262	Nora Mullen
588258	278784	
588258	281407	Mary
588258	329876	Mrs. McCann
588258	337414	Madame McCarrol
588258	339407	Talkative Juror
588258	343122	Aunt Honora Kelly
588258	368877	Mrs. O'Toole
588258	368995	Honora
588259	379760	
588259	395758	
588259	404517	Additonal Voices
588260	382291	Sgt. Theresa 'Tess' Gallagher
588261	18736	Junie Hatchett
588261	122056	Ginny Clay
588261	127394	Lacey Lynnton
588261	136041	Farm Girl
588261	151105	Nora Manning
588261	260963	Ruth Madison
588261	317415	Catherine Banahan
588261	389858	Cynthia Allison (1963)
588262	145171	Meg Robbins
588263	118020	Sharon
588264	10119	Celia Wallace
588264	14607	2nd Mill Girl
588264	19171	Lorraine Brinckley
588264	46777	Mrs. Medford
588264	73766	
588264	90872	Cynthia Wentworth
588264	94881	Nurse
588264	98690	Mrs. Elkins
588264	143577	Lt. Townsend
588264	158711	Louella Parsons
588264	183706	Miss Foster
588264	184948	Girl
588264	195190	Saleslady
588264	195816	Jeanette Campbell
588264	204174	Nurse
588264	218257	Duchess
588264	222740	Stewardess
588264	233684	Rosalie Baker
588264	237618	Williams' secretary
588264	241589	Guest
588264	248318	Lt. Mullins
588264	252913	Julie Camberwell
588264	263281	Claire Worthington
588264	295394	Susan Briscoe
588264	300145	
588264	312165	Jane Thornwall
588264	315483	Louella Parsons
588264	316123	French Maid
588264	321124	Masquerade Party Hostess
588264	350645	Secretary
588264	361681	Hilda
588264	372277	Julia Acuna, the Bride
588265	31345	Madeline Le Bertin
588265	130646	
588265	142528	Undetermined Role
588265	347596	
588266	367588	Sherry Wonaker
588266	393173	Nora the Hooker
588267	235596	Receptionist
588268	49347	Mimi the Waitress
588268	363827	Lily Joseph
588270	33435	Woman
588271	16901	Carolyn
588271	61627	Receptionist
588271	113558	Rental Agent
588271	139607	Press Woman #2
588271	169477	Student #1
588271	317248	Bald cult girl
588271	336449	Patricia Keynes
588272	17776	Annie
588272	18626	Polly
588272	19987	Annie
588272	39162	Jane, the maid
588272	73958	Maggie
588272	95504	Goldie, the maid
588272	109242	Susie
588272	127085	Amelia Wilkinson, a maid
588272	149404	Annie
588272	152439	
588272	154358	Maggie
588272	154915	Telephonist
588272	193610	Maid
588272	196158	Annie Noakes
588272	264829	Annie
588272	309872	
588272	319196	Deaf lady
588272	321088	Nan
588272	324402	Faith
588272	337083	
588272	337845	
588272	363459	Lucie
588272	364850	Amelia
588273	37002	Paralegal
588273	396501	Akiko Aburatsubo
588274	7863	Liz
588274	91646	Miss Stevens
588274	204141	Miss Pringle
588274	229259	Maggie Kelly
588274	230412	Shirley Shepherd
588274	231030	
588274	281999	
588274	314924	Diane Lane
588274	338553	
588274	338577	Sophie
588274	379744	Miss Barrett
588274	380191	
588274	383813	
588274	383882	Barbara Taylor #2
588274	384962	Alison Finlay
588274	385896	Teresa Doherty
588274	386508	Jenny Franklin (1973-1976)
588274	387203	Dr. Elly Fielding (1991-93)
588274	388323	Pamela Chamber
588274	391248	Principal June Dyson (1995-19
588274	391369	Alice Henderson
588274	391869	Teresa Lynch (1995)
588274	396095	Hostess
588274	402197	Jacki Nolan (1980)/Anita Selb
588274	403244	Gail Lawrence
588274	404394	Meredith
588274	405725	
588274	406891	Pamela
588274	407616	Libby Hilton
588274	408971	Elsie
588274	411809	Diane Brooke (1980)
588275	338638	Border Guard's Wife
588276	7961	Girl with Fireman at Party
588276	32968	Bennett's Secretary
588276	47311	
588276	83648	Miss Adams
588276	113969	Miss Adams
588276	120452	
588276	129778	Junior's Mother
588276	129939	Dame Christiansen
588276	129960	Miss Carroway
588276	139525	Henrietta Foster
588276	148398	
588276	157233	Mrs. Talcotte
588276	188562	Girl Singer
588276	195950	Miss Mannerly, Hutchinson's S
588276	222325	Sheik's Wife
588276	264170	Undetermined Role
588276	302723	Admiring Woman in Audience
588276	305507	Flo Fisher
588276	313833	Peggy
588276	332416	
588276	353524	Mary Rountree
588276	363892	Miss Benson
588276	366942	Worried Lady Awaiting Salt La
588277	296055	Herself (HIV clinic rep)
588278	203243	Shopper
588278	214814	Gospel Choir
588279	170817	Native Dancer
588280	79675	Anchorwoman
588280	151616	Receptionist Candi
588281	143900	Bus Depot Manager
588281	187271	Mrs. Abby Borden
588281	271994	Mrs. Castle
588281	305934	Nurse Davis
588281	311744	Mrs. Olds
588281	330179	Mattie Mansfield
588281	403336	Martha
588282	18612	Mrs. Welch
588282	139068	Spinster #2
588282	178189	Mourner
588282	192413	Miss Norton
588282	224179	Woman with DTs
588282	242096	Mary
588282	314104	Miss Daisy
588282	349918	Adult Jody
588283	318770	Bubba
588284	220484	Girl in training center
588285	166733	Herself
588286	402785	Kate Hart
588287	299287	Thelma
588288	169136	Mrs. Potiphar
588288	223868	
588289	126056	Girl at Party
588290	252989	Leslie
588291	34707	Myke George
588292	230933	Street Hooker
588293	406330	Stacey Stone
588294	277088	Pi-Delta-Pi
588295	160064	
588296	319003	Knight of Malta #1
588297	136826	Aunt
588297	256625	Booth Singer
588298	185255	Madame Boutarel
588299	45550	Mrs. Clotworthy
588299	128519	Aunt
588299	168719	Tinker's Mother
588299	269861	Fishwoman with basket at stat
588299	278820	
588299	285786	Maybelle
588300	41319	
588301	247607	
588301	249209	
588301	385008	Maureen Bellavance (1st)
588302	153654	Pike
588303	270272	Herself
588304	280145	Madgie
588305	30377	Mrs. Leary
588305	128492	
588305	141188	Madame Spoll
588305	206905	
588305	227161	Mrs. Brown
588305	246681	Mrs. Evarts
588306	19024	Scripture Reader
588307	2882	Secretary
588307	5303	Daisy Emerson
588307	10587	Tourist's wife
588307	18019	Charles' First Nursemaid
588307	25371	
588307	31157	Martha Dunell
588307	32209	Miss Farrell, Sherwood's Secr
588307	35479	Nurse 'Nosey' Parker
588307	36841	Woman
588307	38685	Woman in theater
588307	39696	Miss Quigley
588307	40441	Nurse
588307	40774	
588307	43992	Compton's secretary
588307	44268	
588307	45469	Marie Cogez
588307	45494	Small Town Woman
588307	45669	Catholic Nun
588307	45796	
588307	46312	Alice Treadwell
588307	50229	
588307	52659	Nurse Nosey Parker
588307	52661	'Nosey', a Nurse
588307	56098	Miss Crampton (nurse)
588307	56789	Mrs. Cobb
588307	59100	Adoption Assistant
588307	63992	Arminta Greenwood
588307	67852	Joan's Maid
588307	68482	Anna Pavlovitch
588307	69228	
588307	69792	Elaine's Maid
588307	71619	
588307	71672	
588307	72202	
588307	78802	Nurse 'Nosey' Parker
588307	83951	Evelyn Plant
588307	84233	
588307	92480	Nurse 'Nosey' Parker
588307	92523	Nurse 'Nosey' Parker
588307	92524	Nurse 'Nosey' Parker
588307	92525	Nurse 'Nosey' Parker
588307	92526	Nurse Parker
588307	92527	Nurse Parker
588307	92957	Mrs. Abraham Lincoln
588307	97580	Woman
588307	109363	Jessica
588307	115619	Dell Fenton
588307	116120	Saleswoman
588307	121362	Cashier
588307	124714	
588307	129231	
588307	130300	Society lady
588307	138230	Saleslady
588307	142873	Teddy's Mother
588307	142875	Miss Lewis
588307	143122	Lotta St. Regis
588307	143610	Society editor
588307	148587	Committeewoman
588307	154439	Kay's maid
588307	154652	Nurse on Ship
588307	154972	Mrs. Bond
588307	158380	Inez de Mendoza
588307	178758	Missionary
588307	183627	Boat Passenger at Railing
588307	183759	Landlady
588307	183853	Nurse in Corridor
588307	187690	Miss Murgatroy
588307	190268	Mother
588307	199192	Suzanne, Nurse
588307	203567	A Woman
588307	210750	Nurse
588307	210764	Nurse
588307	212746	Reporter
588307	223903	Woman
588307	230953	Mrs. Gus Nelson
588307	231962	Bit
588307	234220	Receptionist
588307	244841	Teacher
588307	244842	Mother of little girl
588307	244863	Bridge Player
588307	245209	Woman
588307	246606	Woman
588307	247141	Maid
588307	252480	Nurse Nosey Parker
588307	260253	Grace Adams
588307	261423	Dr. Ames' Nurse
588307	261743	
588307	263386	Woman in Audience
588307	263910	
588307	266710	Duff's Secretary with Telegra
588307	269342	Princess Vashti
588307	273184	Nurse
588307	275458	McIntyre's Secretary
588307	275477	Julia
588307	276721	Doris Blake
588307	292511	Nurse 'Nosey' Parker
588307	294744	Reception nurse
588307	297475	Gabrielle Boileau
588307	297918	Raid Leader
588307	297968	Reporter
588307	315123	Woman in Elevator
588307	321522	Bit
588307	323380	Assistant saleslady
588307	330001	District Attorney´s Secretary
588307	330059	Woman
588307	330875	Nurse Attendant
588307	331398	Maid
588307	331494	Nurse 'Nosey' Parker
588307	335599	Todd's Secretary
588307	339641	Mrs. Whitaker
588307	340873	Sue Wilde
588307	341927	Nurse
588307	345841	
588307	361300	
588307	361681	Switchboard Operator
588307	362994	Nydia
588307	363631	
588307	364214	Society Woman
588307	367046	
588307	367919	Nurse
588307	372145	Blakely's Inquisitive Office 
588307	372531	Molly Byrd, a Nurse
588308	168948	Message from the Lord Choir
588309	361155	Miss Pringle
588310	241444	Girl in band
588310	330375	Member of Girls Band
588311	142360	
588312	80876	Hanagohl
588313	42982	Stroke Victim
588313	131541	Sister Maya
588313	154629	Mamaw
588313	214649	Miss Greer
588313	223848	Grandmother Mamie
588313	254291	Aunt Millie
588314	33172	Tammy
588314	99951	Miss Martin
588314	130470	Rachel Lingard
588314	157785	Elena Crouch
588314	168905	Annie
588314	202880	Secretary
588314	206596	Julian, Female Information Of
588315	67378	Mrs. Graham
588315	140179	
588316	186017	Mary Jo Wagstaff
588316	365974	Toppy Bailey
588316	383289	Maddie Todd (1986)
588316	411211	Toppy Bailey
588317	139151	Groupie
588317	245600	Groupie
588318	53132	Suzie
588319	360444	Liz
588320	293645	Nurse
588321	383123	
588322	53937	Psychic Tiffany
588323	134178	Cheerleader
588324	144406	
588325	47201	
588325	50624	Ria Parkinson
588325	141356	
588325	154890	Louise Quint
588325	169142	Mrs. Tow-Wouse
588325	171177	Scilla Alexander
588325	214423	Annabella
588325	227473	Virginia 'Virgie' Fane
588325	281341	Herself/Audience Member
588325	281413	Joan
588325	288631	Claire Belmont
588325	292592	Receptionist
588325	294909	Susan
588325	380185	Sally Redway
588325	380186	Sally Harrison/Redway
588325	382774	Annie
588325	383055	Ria Parkinson
588325	389124	Aunt Juley
588325	395246	Herself/'Ria Parkinson'
588325	395249	Laura Kingsley
588325	398981	Barbara Gray, later Barbara T
588325	399722	Jennifer Corner
588325	403849	Matron
588326	6768	Ora
588326	30899	Batgirl/Barbara Gordon
588326	50889	Veronica Kovacs
588326	86534	Lucille
588326	98177	Gloria Dorothy McCormick
588326	125486	Gloria Corregio
588326	127483	Nan
588326	144976	'Scoop' Pruitt
588326	147957	
588326	151584	Glorianna Hastings
588326	157771	Natasha, the Ballerina
588326	163256	Dorothy Johnson
588326	165824	Luluwa
588326	178204	Azalea Tatum
588326	206491	Dr. bolen
588326	214265	Herself
588326	241633	Wanda
588326	241736	Maude Waverly
588326	269766	Sharon Sweigert
588326	295396	Janet Cook
588326	303900	Barbara Norris
588326	372607	Elena de la Madrid
588326	381393	Barbara Gordon/Batgirl (1967-
588327	372190	Sister
588328	169425	Mrs. Haines
588329	276249	Nandewar
588330	28652	Eenie Mackie
588330	33334	Angela
588330	33996	Margaret Shippen
588330	59129	
588330	64400	Celia Westward
588330	76259	Polly
588330	80642	Mary Jane
588330	168547	Herself
588330	203304	Waitress
588330	211795	
588330	260201	Molly
588330	271163	Mary Heron
588330	364869	Mrs. Purdieu
588330	385843	Dr. Kate Dempsey
588331	384206	Herself
588332	276249	Kid
588333	79554	Child Emily
588334	185202	Hen Ann
588335	17934	Hooker
588335	115161	Dream Girl
588335	121803	Pretty Girl
588336	900	Herself (Memorial Tribute)
588336	3055	Herself (Memorial Tribute)
588336	11672	Herself (Pinup Girl)
588336	18820	Peggy
588336	33646	Ann Gilbreth
588336	57919	Julia Rogers
588336	60162	Ann Gilbreth
588336	64844	Linda Culligan
588336	66880	Helen
588336	78032	Ruth Bowman
588336	79304	Herself
588336	94764	Marian Taylor
588336	108473	Lady Windermere
588336	109548	Dora Temple
588336	123717	Girl at Pool Party
588336	125900	Connie Jones/Mitzi Jones
588336	136029	Laura Riley
588336	148278	Char Bruce
588336	150314	Peg Phillips
588336	154877	Herself - Cameo Appearance
588336	158331	Margaret 'Maggie' Preston
588336	168858	Letty Page
588336	186795	Ruth Berent
588336	188577	Deborah Bishop
588336	199684	Peggy Shannon
588336	203691	Reed Bowman
588336	205449	Margie MacDuff
588336	209606	Rose
588336	216802	Kitty Bennett
588336	229387	Nefertiti
588336	231923	Preacher's Wife
588336	237598	Della (The Gift of the Magi)
588336	252489	Deborah Higgins
588336	256328	Patricia 'Pinky' Johnson
588336	260106	Claudia Procula
588336	292178	Liza McClure
588336	304365	Mrs. Clara Shaw
588336	313919	Margy Frake
588336	323389	Liz Erickson
588336	325970	Diane Blane
588336	342414	Linda Foster
588336	353373	Jill Lynn
588336	366157	Helen
588336	372275	Peggy Mayhew
588337	107902	Grandma Parks
588338	265271	Sheila Green
588339	350277	Satanists
588340	330957	Check-Out girl
588340	399531	Betty
588340	408070	Kelly
588341	304737	Janice
588341	400236	Cassie Callison (#1) (1981-19
588342	109408	Danseuse pub Fast Burger
588343	49366	Three Deuces Chorus Line
588344	370035	Mom
588346	358330	Market Woman
588347	234826	Nonne/Nun
588348	75721	Linda/Cheerleader
588349	253093	Maid
588350	254504	Marie
588351	81770	Hostess
588352	200282	Go Go Go Go Girl
588353	36571	
588354	365394	Gwen
588355	252825	Court Reporter
588356	162789	
588357	106319	
588357	128987	
588357	221573	
588357	222397	
588357	308907	
588357	377152	Wanda
588358	201506	Herself
588359	54853	Mary Ruth Williams
588360	113881	
588361	32562	Anna
588361	80949	Blonde Doll (Upjohn's Girl)
588361	93433	Betje Ackerboom
588361	126460	Edith Martens
588361	129691	Elfie
588361	134183	Ursula Brandt
588361	163754	Ilse Knopf
588361	177214	Sabine
588361	178674	Karin Faber
588361	182864	Gaby Marshall
588361	183263	Pia Hollebusch
588361	202002	Mary
588361	231506	Gloria Nylon
588361	231612	Gaby
588361	282159	Annemieken
588361	290627	Karin
588361	347762	Helga Dahms
588361	349524	Antonietta, the nurse
588361	358543	Inge Sternitzke
588361	364894	Gina
588361	367037	Karin Scherzer
588361	371733	
588362	349544	Toni, ski teacher
588363	319191	Brandon's Model
588364	7241	Pauline
588365	165635	Girl in Fire
588365	403490	Cecily King (1990-1994)
588366	403239	Bates' Man
588367	201569	Herself
588368	42732	Carol
588368	56598	Susan Reilly
588368	62705	Suzie Lynn
588368	66936	Christine
588368	119097	Chrissie
588368	120458	Dr. Katherine McMichaels
588368	130183	Goldy
588368	176453	Bonnie
588368	190595	Mayor Sylvia Scott
588368	196130	Carol
588368	264033	Anne White
588368	267061	(The Evil Clergyman sequence)
588368	267345	Woman at Carnival
588368	273157	Megan Halsey
588368	279874	Leda
588368	303268	Ms. Master
588368	310171	Carol
588368	332169	Nicole
588368	337999	Sadie Brady
588368	339720	
588368	382419	Maggie Forrester (1995-1998)
588368	385824	Trista Evans Bradford (1983)
588368	390771	Mindy Lewis Spaulding #4 (199
588368	409488	Mrs. Evans
588368	411802	Leanna Love (1987-1993, 1998,
588369	397866	Rose Lobo Perkins (1979-1980)
588370	241249	Extra
588371	133831	
588372	18	Party Guest
588372	18598	Old Bat
588373	172790	The Parrot
588374	73607	Julie
588374	303837	Sales Girl
588375	194268	Bride
588375	231396	Nancy
588376	254845	Eleanor Gyne
588377	348601	Wendy
588378	334260	Cynthia
588379	32052	Dancer
588383	124923	Carolyn Geddon
588384	35078	
588384	76499	Errol's Daughter
588384	81576	Student
588384	90295	Errol's Daughter
588384	206105	Mary Phillips
588384	231014	Betty
588384	232223	Fur-coated Pedestrian
588384	264994	Betty
588384	311626	
588384	314004	Barmaid
588384	329533	First Party Girl
588384	330179	Lulu
588384	358309	Betty
588385	194564	Special Child
588386	17963	Narrators
588386	70484	Specialty
588386	228517	
588387	57260	Ada
588388	230873	Lisa
588389	218346	
588390	309204	Ellie Marshall
588391	131217	Actress
588391	189364	Rose
588392	28631	Young Girl
588392	390523	Lucy Mitchell (1993-1998)
588393	401558	Presenter
588394	11256	
588394	17963	Talking Titles
588394	31831	Helen, Fitzpatrick twin
588394	88952	Introductory Titles Speaker
588394	128353	'Nip and Tuck' twin
588394	195500	Talking titles
588394	220270	Apache Dance Twin
588394	290396	Talking titles
588394	326407	Talking titles
588395	40998	Bunny
588396	11256	
588396	17963	Talking Titles
588396	31831	Madison, Fitzpatrick twin
588396	88952	Introductory Titles Speaker
588396	99856	Mrs. Hayes
588396	128353	'Nip and Tuck' twin
588396	195500	Talking titles
588396	220270	Apache Dance Twin
588396	290396	Talking titles
588396	326407	Talking titles
588397	335665	
588398	95496	Anna's Mother
588400	9008	Jackie Framm
588400	35145	Woman Druggist
588400	36704	Elizabeth Dewlap
588400	62932	Joanne Tarling
588400	63185	Mary Allen
588400	65782	Beth Curtis
588400	81230	Betty
588400	97192	Helen Jordan
588400	110286	Hazel
588400	113306	Mrs. Gibbons
588400	113990	Tina's Mom
588400	115890	Donna
588400	141236	Helena Pratt
588400	158296	Mrs. Waylan
588400	176478	Alisa Wesley
588400	191688	Stephanie
588400	194212	Girl's Mommy
588400	207765	Sue the Nurse
588400	211516	Donna
588400	235189	Margaret
588400	289098	Pauline, Police Dispatcher
588400	296847	Mrs. Hartford
588400	339461	Carla Skinner
588400	384180	Mary Allen
588400	395819	Jennifer
588401	127394	Judy II as an infant
588402	13378	Little Girl
588402	234220	Selma
588403	28876	Sharon
588403	85992	Joanne
588403	380713	Sandra 'Sandy' Wilson McGuire
588404	21835	Darla
588404	29970	
588404	32358	
588404	43503	Darla
588404	50811	Chatelaine
588404	56209	Darla
588404	82365	
588404	87799	Nurse Darla
588404	98829	Veronica Fox
588404	98830	Brutalia
588404	118356	Dream Girl
588404	139158	Saleswoman
588404	188182	
588404	194548	Magazine Editor
588404	227004	Inga
588404	244339	
588404	251246	Bondager for Hire
588404	257531	
588404	297452	Secretary
588404	306036	Darla
588404	317848	Therapist/Dream Woman
588404	319640	Secretary/FBI Agent
588404	327845	Kidnapper
588404	363773	Nurse Darla
588404	367729	Icy Mistress
588405	130677	Woman in dance hall
588406	207774	Marion Franklin
588407	291030	
588408	147489	Mrs. Lyons
588409	83980	Freda Stansdale
588409	186061	Gina
588409	193621	Woman in Restaurant
588409	206098	Carla
588409	276725	Mary Clifford
588409	359441	Marsha Barlow
588409	382214	Mrs. Snagley
588409	382838	Irene Harrison (1982)
588409	387429	Rosemary Webb
588409	400585	Shirley Broadley (1994-1996)
588409	401563	Laura Valenta
588409	409020	Mrs. Jenkins (1983-1985)
588410	41502	Soloist in Opening Credits
588410	154906	Bit Part
588410	350034	Singer
588411	289414	Jessica
588412	107483	Interviewee
588413	21447	Disco Girl
588413	98818	Jillian
588413	133730	Crying woman
588413	137933	Player
588414	23476	WREN officer
588414	73705	Sally
588415	333894	Herself - crew member
588416	204785	Dancer
588417	60246	A girl of the slums
588418	277703	Jane
588419	141646	Hotel Clerk
588420	176406	Extra in wedding scene
588421	26652	Mrs. Johnson
588421	69460	Mrs. Markwell
588421	81658	1st Visitor
588421	121663	
588421	147414	Mrs. Giltedge
588422	117086	
588422	234075	
588422	265288	Showgirl
588423	230857	Noodles
588424	127394	Judy II as an infant
588425	262024	
588426	142375	Billy's Mom
588427	150880	Wanda
588428	11582	Madame Gauthier
588428	32537	Mrs. Pringle, Valet Parking
588428	41502	Lady Against Legislation
588428	128700	Mrs. McCarthy
588428	191646	Dowager
588428	209592	Mrs. Brewster
588428	272025	Mrs. Sims
588429	32897	Claire
588429	118466	Karpov's Secretary
588429	185211	WAC Aide to Gen. Eisenhower
588429	304267	Receptionist
588429	316936	Val Raikes
588429	383251	Nicole Ivanisovic
588430	139527	
588431	11288	Marge Coombs
588431	91859	Sylvia
588431	111928	Golde
588431	220555	Ellen Farrington
588431	231917	Gretchen
588431	252163	Mildred Halliday
588431	296747	
588431	321288	Mrs. Cartwright
588431	326360	Ellie Martin
588431	330132	Marge Garfield
588431	398400	Rayola Dean (1952)
588432	7405	Girl in Candy Shop
588432	10587	Maid
588432	12267	Dixie
588432	18411	Debutante
588432	25518	Mary Lou Beagle
588432	33783	Miss Jennings
588432	46580	Guest
588432	46840	
588432	47311	
588432	64503	A Dumb Dame
588432	67151	Josephine Crane
588432	72610	
588432	105170	Telephone Operator
588432	106729	
588432	128442	Alma Ward
588432	128477	
588432	142544	
588432	147329	Nichols' daughter
588432	149983	
588432	154925	
588432	210738	Anna Conda
588432	210814	Woman
588432	213093	
588432	222667	
588432	224136	Party guest
588432	231990	Bit Woman
588432	239784	
588432	246650	Girl Curly Kisses
588432	260292	Model in Tights
588432	261422	
588432	267487	
588432	306483	Betty Jackson
588432	311475	First Girl
588432	312787	
588432	315119	Margot
588432	327671	Eunice
588432	331399	
588432	331446	Molly Gray
588432	331552	Molly's Friend the Car-Hop
588432	342929	Moll
588432	345740	Miss Judith Butts
588432	372496	The Taxi Dancer
588433	273745	Ashley 'Ashley Q' Quinlan
588433	342742	Katie
588433	365664	Samantha Goodman
588433	403038	Ashley 'Ashley Q' Quinlan
588433	407664	Jean, Crandell's sister
588434	195789	Joan
588435	64070	Ensemble
588436	266764	Angeline Howard
588436	400805	June Hudson
588437	99894	Maria/Nadia (age 10)
588437	191688	Mandy
588438	157324	St. Jude Student
588439	98184	Museum Guide
588439	289582	Luke Ford
588440	93205	Loreen
588441	98151	
588441	291915	Illinois Beauty Winner
588442	11410	Silent Passenger
588442	93693	Julie
588442	335982	Miss Russell, Chorus Member
588442	351972	Joyce
588443	12221	Young mother
588443	278288	Jamie
588443	401787	Host
588444	287713	Reporter
588444	319568	Argonian Teacher
588445	104226	
588446	381091	Herself (eliminated round 4)
588447	111718	Helen Wilson
588448	160979	
588449	271868	Molly Fraser
588450	77848	Vera
588451	186468	Narrator
588452	385299	Carol Green
588453	377939	
588454	282545	Cat House Girl
588455	31643	Beach girl
588456	31968	
588456	31982	
588457	326584	BEA clerk
588458	330772	
588459	76257	Capt. Jynetik Lajiko
588459	92756	Chi Chi (English version)
588459	92757	Chi Chi (English version)
588459	92758	Chi-Chi
588459	92851	Chi-Chi
588459	92855	Chi-Chi
588459	293030	Lexes
588459	373381	Botan (FUNimation English Dub
588459	373382	Botan (FUNimation English Dub
588459	386921	Chichi
588459	386922	Chi-Chi (II)
588459	386923	Teen Chi-Chi
588459	389464	
588459	394392	Reporter, Marianne, Additonal
588459	397371	Mitch
588459	411884	Botan
588460	51106	
588460	51564	
588460	53985	Silvia Martinez
588460	55012	
588460	62395	
588460	69007	Emily/T001
588460	83887	
588460	100933	
588460	119860	
588460	170244	
588460	221579	Kitty Johnson
588460	223621	Emily
588460	249875	
588460	293366	
588460	296149	Laura Alvarez
588460	383563	
588460	389429	
588460	398799	
588460	401695	
588460	408586	
588461	307380	Mademoiselle Picot
588461	377903	Deborah
588461	387919	
588462	74215	Catherine West
588463	131227	Donna (waitress)
588463	357001	Police Radio Officer
588465	93238	
588466	111014	Woman in the Hotel's Staircas
588467	278588	Cowhand
588468	136360	
588469	108956	Party Family
588470	11549	Danniella
588470	113474	Michelle Reed
588470	158393	Carli
588470	410643	Constable Emma 'Woodsy' Woods
588471	264434	Zena
588473	324801	
588474	305498	
588475	347533	
588476	5009	Suzie's Baby Morgan
588477	47165	Herself - Award Winner
588478	408039	Janey Steadman
588479	144452	'Be Black Baby' Troupe
588481	56206	
588482	238991	Kaiserin
588483	65731	Germaine
588483	218970	Gilliken
588484	91923	Jenny Eskridge
588484	96817	Barbara Hare
588484	99918	Emily
588484	147496	Mrs. Dunn
588484	185110	
588484	203491	June
588484	206541	Teresa
588484	224714	Miss Twinkleton
588484	282700	
588484	305036	Cinderella
588484	364628	Louise Hamilton
588484	368261	Mrs. Mallet
588484	383683	Mrs. Headford
588484	401145	Joan Parker
588484	410513	Minna
588485	176335	Goldwyn Girl
588485	194450	Blondie
588486	118327	Store Clerk
588487	97995	The Wife
588488	190139	Cashier Gas Station
588489	230743	Junior Nurse with Needle
588489	232292	Woman #1
588489	299485	Counterperson
588490	109568	
588492	330999	Ticket Agent
588493	408039	Janey Steadman
588494	315899	Bank Teller
588495	61896	Nurse Cooper
588495	76603	Rachel Landers
588495	89236	Sally
588495	132915	Carolyn Wilson
588495	160418	Dolores
588495	171311	Sandy
588495	185174	Stripper in Bar
588495	185287	Goldie
588495	213152	Allison Miller
588495	213662	Rachel
588495	232458	Nurse
588495	242501	Lynne Tolbert
588495	292723	Marcia Hastings
588495	294918	Ms. Lindstrom
588495	320784	Arcane's Secretary
588495	350182	Ruth Wendorf
588495	387303	Marla
588496	78225	
588497	125817	Convoy Sergeant
588498	5009	Suzie's Baby Megan
588499	331053	
588500	19872	Eskmar
588501	108003	Harding's Receptionist
588502	164699	Governor's secretary
588502	212078	Jewelry Customer Dotson
588502	357001	Margie
588503	314927	Party-girl Bit
588504	108883	Swanhilda's Friend #3
588505	287762	Neighbor
588505	397408	
588506	289978	Claire
588507	103157	Señora Colegio
588508	334851	
588509	16660	Dr. Joan Gideon
588509	152533	
588509	154516	Carla
588510	352405	Girl at Train Station
588511	48294	
588511	100167	
588511	124174	
588511	218425	
588511	275304	
588511	327325	
588511	344865	
588511	385030	Carmem
588511	405418	Daisy
588512	20070	Mme Munoz
588512	33626	La cliente boucherie
588512	64951	Woman at her
588512	88842	La voisine Petiot
588512	106988	Amandine Poulain
588512	107512	La patronne du vidéo-club
588512	112889	L'infirmière chef
588512	157073	Yvette Bougrain
588512	157075	Yvette Bougrain
588512	246470	Chantal
588512	269225	
588512	325343	Butcher's wife
588512	336828	Mme Paroux
588512	346642	Maria
588512	346673	La directrice
588512	355880	Lawyer
588512	376933	Femme impatiente
588512	386114	Lorella/Various Characters
588512	399813	Lorella/Various Characters (1
588514	1225	Old Lady
588514	30581	Judge
588514	53939	Secretary
588514	68455	Old Lady
588514	78677	Sweet Old Lady
588514	82713	Mrs. Michaels
588514	88656	Woman
588514	99573	Mrs. Meeker
588514	117522	Florence
588514	121365	Martha
588514	129761	Female Mourner
588514	130183	Toenail Lady
588514	164432	Scorekeeper
588514	168718	Margaret Lattamer
588514	168736	Mrs. Starkey
588514	189265	Nancy
588514	191836	Louise
588514	195761	Woman in pink
588514	209436	Crickety Nurse
588514	210678	Mrs. Westerfeld
588514	257772	Grandma Ida Weinberg
588514	273473	Cashier
588514	280174	Mrs. Pye, Girls Dormitory Mat
588514	281254	Truck Stop Waitress
588514	302944	Foreman
588514	303225	Choir nun
588514	303226	Choir Nun
588514	317309	Mimmy
588514	330091	Miriam
588514	365381	Ms. Earlane
588514	367454	
588514	384548	Alma Thorkelson (1989-1994)
588515	386024	Rose Carter
588516	352755	Principal O'Boyle
588516	388209	Renee Phelan (1998-)
588517	107989	Lucy Vernon
588517	129551	Stephanie
588519	22931	Reporter #2
588520	158517	Stacey
588521	264111	
588522	175621	Mother
588522	182977	Sharon
588523	117956	Sarah
588524	1599	Margaret Long
588524	32469	Ellen
588524	40671	Lady Brasted
588524	54832	Oriana Camperdene
588524	78978	Mary
588524	79345	Bess Stanforth
588524	141032	Anne
588524	152779	Joan Draper
588524	163551	Mary
588524	178947	Morgan Le Fay
588524	199134	Barbara Davenport
588524	207435	Anne Pickersgill
588524	214188	Jennifer Knowles
588524	215078	
588524	231805	Julie Kendall
588524	231972	Karen Lindley
588524	253977	Teri
588524	256216	Rosalind
588524	264447	
588524	316604	Susan
588524	330162	ATA Girl
588524	330236	Vera Sargeant
588524	332042	Isabel Jeffreys
588524	335545	Clare Fleming
588524	339784	Mrs. Ramsey (in segment Mr. K
588524	400370	Vera Lewis
588525	158481	Friend #1
588526	213964	Punk Grrl Driver
588526	283587	Herself
588527	332437	Toby's Mother
588527	366997	Woman on Phone
588528	292150	Jeez-os Woman
588528	341926	DA Interrogator
588529	126226	
588530	128443	Yum Yum
588531	18022	Else
588531	41725	Doctor
588531	409841	Mrs Blenkinsop
588532	263825	Kara
588533	2428	
588534	20481	
588534	80689	ChCh-T
588534	200293	
588534	244488	Princess
588534	254712	Michau
588534	302290	Sim
588534	374642	Ellen Baxter/Newscaster
588535	45637	Herself (segment Inside Out)
588535	107175	
588535	117488	Ann
588535	160410	Herself
588535	168112	Herself
588535	365316	Monica George (Cliff Macy's d
588535	404694	Joan Borman Kane (1968-1969)
588536	846	#58 Cindy Crawford: Fair Game
588536	1674	Herself
588536	2781	VIP Patron
588536	32146	Herself
588536	42844	Herself
588536	55725	Herself
588536	57061	Herself
588536	64120	Herself
588536	99461	Herself
588536	107428	Kate McQueen
588536	157464	Herself
588536	161221	Herself
588536	183338	Herself ("Freedom" video)
588536	216872	Herself
588536	221469	
588536	221474	Herself
588536	292526	Herself
588536	295996	Herself (Hostess)
588536	302108	Sandra
588536	348106	Herself
588536	356350	Herself - Choir Member
588536	360436	Herself
588536	392137	Herself/Host (1989-1995)
588537	767	
588537	781	
588537	23961	
588537	27026	
588537	46348	
588537	67143	
588537	75059	
588537	168069	
588537	196528	
588537	236944	
588537	326659	
588538	140183	Nurse
588538	151556	Seamstress
588538	158510	Moira Dunne
588538	367879	Duchess of Cumberland
588539	387309	Kitty DeMarco #1 (1957)
588540	36355	
588541	370439	
588542	18544	Party Girl
588543	220891	Secretary
588544	393236	Aroha Jackson
588545	305371	First harpy
588546	34642	Sonya, Dynatechnics
588546	73115	Esther Lynch
588546	101943	Molly Gustke
588546	102247	Nurse Lydia Woodward
588546	103366	Lucy
588546	119466	Barbara Jenkins
588546	127410	Agnes Macgruder
588546	139793	Anita
588546	161908	Teacher
588546	185780	
588546	217532	Lorna Gill
588546	222711	Muriel
588546	282798	Old Soul #2
588546	307351	Ilona
588546	314982	Miss Marshall
588546	315619	Rita
588546	326428	Social Worker
588546	342472	Peg Sager
588546	344408	Elizabeth
588546	347746	Ellen
588546	359290	Nurse #1
588546	362966	Judge Beckerman
588546	363265	
588546	363509	Clerk
588546	364367	Tiffany Saleswoman
588546	387728	Nurse Lydia Wright
588548	7806	Margaret Ellison
588548	12221	Reporter
588548	37344	Dr. Reece
588548	59112	Tourist
588548	61156	Billy's Secretary
588548	78025	Supervisor
588548	81543	Jean
588548	88575	Ruth's Mother
588548	99470	Mrs. Daniels
588548	112304	
588548	119316	Nurse Veronica
588548	121454	Dr. Ollich
588548	140371	Helen
588548	140901	Inge
588548	141529	Ruth Nathanson
588548	158791	Mrs. Deane
588548	185085	Receptionist
588548	185114	Librarian
588548	190273	Courtney's Mom
588548	204947	Mrs. Shepard
588548	209133	English Teacher
588548	213504	Mrs. Donelli
588548	219440	Mrs. Granger
588548	229733	Lea
588548	230703	Jackie's Lawyer
588548	294717	Mrs. Buchanan
588548	297790	Dobbins' Secretary
588548	299839	Federal judge
588548	310879	Dina Stapleton
588548	314351	Janice's Secretary
588548	315132	Charlene Hawkins
588548	334154	Reporter
588548	337098	Margaret
588548	362701	Janet Hilgarde
588548	363897	Dominique Maddow
588548	366898	Sister Katherine
588548	390566	Molly
588548	395165	English Nanny
588549	321036	
588550	39484	
588551	7970	
588551	27295	
588551	31839	
588551	37791	
588551	49856	
588551	70531	
588551	93794	
588551	143033	Mrs. Madison
588551	203216	Yvette Deplau
588551	246770	
588551	250563	Doris Ingraham
588551	289637	Mrs. Harper
588551	298540	
588551	315138	
588551	324936	
588551	328577	
588551	330289	
588552	314104	Dancer
588553	35802	Kim Larson
588553	194212	Reindeer Girl
588553	221255	Jane
588553	359904	Girl at School
588554	33704	Nun
588554	46729	Red Cross Nurse
588554	107695	Secretary
588554	114303	Nurse
588554	143577	Tex
588554	163668	Washing Machine Customer
588554	183358	Ann Templeton
588554	362574	
588555	196118	
588555	261570	Beverly Shue
588556	191814	Maid
588557	56545	Herself
588558	109565	
588558	388481	Russell/Bucky
588559	42386	New York Reporter
588560	44755	Auntie Babs
588560	404795	Mrs. Fritz Stiefel
588561	389088	Frau Blitz
588562	84845	Barbi Q.
588563	47191	Demonstrator
588564	1381	Herself
588564	1962	Herself
588564	2285	Herself
588564	2301	Herself
588564	2311	Herself - Presenter: Best Act
588564	2326	Herself - Presenter: Best Dir
588564	2353	Herself - Presenter: Best Dir
588564	2360	Herself - Presenter: Best Dir
588564	2364	Herself
588564	2375	Herself
588564	5055	Frances Myles
588564	5861	Priscilla Crowninshield
588564	24705	Millicent Wetherby
588564	31268	Herself
588564	34441	Monica Rivers
588564	34799	Amanda Farrow
588564	35813	Allison Hayes
588564	37255	
588564	46779	Anni Pavlovitch, aka Anne Viv
588564	53627	Herself
588564	54995	Lucretia Terry
588564	56579	
588564	58499	Diane Lovering, also called '
588564	64413	Young Lady Catherine
588564	76964	Daisy Kenyon
588564	77456	Ethel Whitehead/Lorna Hansen 
588564	77682	Bonnie 'Bon' Jordan, aka Mary
588564	77805	Janie 'Duchess' Barlow
588564	82479	Della Chappell
588564	93178	Adrienne Lecouvreur
588564	94971	Susie
588564	110965	Lynn Markham
588564	114958	Lane Bellamy
588564	117885	Mary Clay
588564	118271	Herself
588564	118390	Frieda
588564	118544	Millicent Fox
588564	124053	Herself
588564	130338	Herself
588564	130339	
588564	131774	Agatha Reed
588564	132016	Margaret 'Peggy' O'Neal Eaton
588564	132806	Flaemmchen
588564	133538	
588564	139581	Harriet Craig
588564	147663	Herself
588564	147785	Herself
588564	147825	Herself
588564	147848	Herself
588564	147917	
588564	151642	Herself
588564	152656	Helen Wright
588564	154355	Kay Bentley, aka Ann Morrison
588564	154575	Amy Nelson
588564	155247	Mary McKay, aka Sandra Lee
588564	163443	Herself
588564	168112	Herself
588564	168696	Vienna
588564	169409	Hostess
588564	169465	Hostess
588564	169998	
588564	173936	Amanda True
588564	185444	Mrs. Fay Cheyney
588564	186038	Ivy 'Bunny' Stevens
588564	186344	Betty Dallas
588564	187407	Herself
588564	188707	Letty Lynton
588564	193567	Herself
588564	195968	Sally Parker
588564	198051	Herself
588564	204552	Jessica 'Jessie' Cassidy Mill
588564	211600	Extra
588564	213289	Extra
588564	213820	Mildred Pierce Beragon
588564	218485	Joan 'Montana' Prescott
588564	231917	Claudia Menlo
588564	233791	Marcia Townsend Warren
588564	239552	Mary Riley
588564	242090	Party Guest
588564	244778	Geraldine 'Gerry' March
588564	244798	Diana 'Di' Medford
588564	244882	Billie Brown
588564	246596	Mary Turner
588564	248969	The Girl
588564	261422	Marian Martin, aka Mrs. Morel
588564	261423	Louise Howell Graham
588564	263335	Bobby, a showgirl
588564	266102	Bit Part
588564	269282	Eva Phillips
588564	271167	Sadie Thompson
588564	276948	Michelle de la Becque
588564	281904	Rose-Marie
588564	285181	Sadie McKee Brennan
588564	286153	Irene
588564	291314	Herself
588564	299064	Olivia Riley
588564	304601	Mannequin
588564	305042	Herself
588564	311973	Allie Monte
588564	313319	Herself
588564	315675	Margaret Landi
588564	315923	Lucy Harbin
588564	316038	Julie
588564	318165	Myra Hudson
588564	320197	Susan Trexel
588564	326142	Joslyn Poe
588564	328553	Blanched Hudson (Whatever Hap
588564	329546	Herself
588564	329560	
588564	329562	
588564	329563	Herself
588564	329565	
588564	330107	Margaret Drew
588564	330851	Valentine 'Val' Winters
588564	330915	Beth Austin
588564	332474	Josephita Guerrero
588564	334590	Diana 'Ann' Boyce-Smith
588564	336032	Jenny Stewart
588564	337939	Betty Burton
588564	340099	Dr. Brockton
588564	342383	Jane
588564	346313	Monica Dale
588564	347364	Nanon Zanzi
588564	347730	Alice 'Bingo' Dowling
588564	356317	Herself
588564	358904	Herself
588564	359471	
588564	360514	Joan Fairchild
588564	361668	Betty Channing
588564	362192	Blanche Hudson
588564	362894	Mary 'Minnie' Howard
588564	366258	René Contrecoeur
588564	366543	
588564	367587	Susan Conrad
588564	367686	Anna Holm, aka Ingrid Paulson
588564	367919	Crystal Allen
588564	397564	Herself
588564	404694	Joan Borman Kane (1968) (temp
588565	38512	Lady on Bus
588565	80970	Emile Zola Bernkrant
588566	6005	Actor in Richard III
588566	240232	Woman Shouting for Help
588566	366573	Eve
588567	397671	Magda
588568	30157	Evie
588568	88856	Girl on Boat
588568	128302	Pat Dryden
588568	214931	Delia
588568	335512	Diana Little
588568	336694	Susan
588569	194212	Reindeer Girl
588569	221255	June
588569	359904	Girl at School
588570	297628	Ballerina
588571	29320	B.T.S.E.
588572	151669	Jan
588572	303666	American girl
588572	358571	Ellen
588573	90879	Jean
588573	125408	Dr. Abby Lawrence
588573	278120	Dr. Abby Lawrence
588573	383429	Moira/Mary Armagh
588573	389845	Abby Lawrence
588574	135591	
588575	64878	Helen Whitney
588575	65649	Adella Golfanti
588575	69060	Betty Lou Vaughn
588575	99949	Sue Smith
588575	116208	Eileen Smith
588575	144671	Dorothy Evans
588575	176394	Ruth Decker
588575	177401	
588575	177499	Dulcie Harlan
588575	216919	Patricia Brown
588575	220317	Carol Harland
588575	230734	Zoe Atkinson
588575	259761	
588575	274150	Mary
588575	278073	
588575	285350	Jacqueline
588575	296438	Carmelita DeAccosta
588575	304398	Lila Beaumont
588575	342890	
588576	230934	Wedding Guest
588577	327620	Nicole
588578	215507	Lily Hardywood, Miss Maine
588579	401836	Herself (Series 2) (2003)
588579	401837	Herself (Series 2) (2003)
588580	203917	Party Guest
588581	6911	1st kidnapper
588581	343024	Maitre D' at El Marocco
588581	390272	Golddigger
588581	411802	Sally McGuire Roulland (1973-
588582	331019	Lady in bank
588583	73835	Cop
588584	64075	Queen's Handmaid
588585	32941	Jenilee Harrison/Cindy Snow
588585	66011	Ashley
588586	714	Trudy
588587	30122	Cleo Fernby
588587	94527	Undetermined Role
588587	128192	Model
588587	133807	Pretty blonde
588587	207705	Younger Beauty
588587	212196	Girl
588587	250811	Manicurist
588587	310159	Flora
588587	316325	Redhead
588587	363787	Girl
588588	139219	Waitress #1
588588	315909	Box Office Manager
588588	381514	Herself (2000-2001)
588588	382704	Lucy Hill
588588	387267	Shelley Radcliffe
588588	391869	Selina Cook/Roberts (#2) (199
588588	404555	Herself
588589	224729	Waitress
588590	196572	Cop #3
588591	299966	Herself
588592	176834	Mrs. Poole
588592	347724	Party Guest
588593	116698	May's mother
588594	65578	Video Confusion/Candy Confusi
588594	312542	Surly Waitress
588595	355692	Herself - Organ Player
588595	355695	Herself
588596	366780	Goody Hale
588597	248318	Company 'C' Girl
588597	331437	Girl on Golf Course
588598	176807	Shanita
588598	293192	Venita
588599	94539	Bus Driver
588599	257532	Lady Liv
588599	276470	Tatiana
588599	358114	Mom
588599	363160	
588600	100119	Maria
588600	236952	Dancer
588601	222585	Wife
588602	348320	Extra
588603	3293	
588603	54641	Mary Mink
588603	75617	Cookie
588603	87418	Bosworth
588603	142402	Annika Kern
588603	157734	Celeste
588603	172213	Maskenbildnerin
588603	196053	Sheron (segment "Love Song fo
588603	240943	Tai Babilonia
588603	247040	Valdine/Chicklet
588603	274340	Nicole
588603	277922	
588603	282954	Maxine
588603	285067	Foretuneteller
588603	320119	Kat Holden
588603	338732	Lois Parsons
588603	360465	
588603	362965	Petra
588603	378965	
588603	381794	Teri
588603	382734	Kiswana Browne
588603	387215	Janice Roberts (1990)
588603	389322	Marlene
588603	391399	Danielle
588603	405240	Dr. Kate Langford
588603	407318	Renee (1988)
588603	408692	Niko Bach
588604	2533	Young Holly
588605	118158	Herself - Performer
588606	283587	Herself
588607	160220	Mindy
588607	380390	Marianne Prescott (1982-1983)
588608	10850	Rhonda/Assassin
588609	166643	Ruby Crawford
588610	166643	Ruth Crawford
588610	217964	Uroosa (the palmist)
588611	159200	Betty Raidor
588612	81640	
588613	331235	Suzanne
588614	349985	Noma
588615	405163	Sara
588616	367866	Herself
588617	41746	Player (Bomber)
588618	140310	Spectator
588619	383897	Herself - Correspondent (1999
588620	63278	Miss So
588620	64177	
588620	141924	
588620	144293	
588620	151966	Sofia
588620	153050	Blonde
588620	167387	Dr. Jones
588620	167759	Cop
588620	188488	
588620	212644	Lisa
588620	216782	Bulldog
588620	231139	
588620	231940	Carmella
588620	236248	
588620	286916	Nurse
588620	298372	Saint Hero's Girlfriend
588620	321702	Vicky
588620	332037	
588620	343920	Sophia
588620	371589	Blonde
588620	374901	
588620	375917	Imported Hooker
588620	397693	Putty Patroller
588620	411324	Chameleon
588621	26825	Jane
588621	55253	Laura
588621	74122	Matua
588621	74123	Matua
588621	79067	Tamaki Hazuki
588621	101786	Judy
588621	204186	Emily
588621	405633	Slyphiel Nels Lahda
588621	405636	Sylphiel (English version)
588622	12297	Laney
588622	185675	Evelyn
588623	35809	Kathy Page
588624	150895	Todd's Nurse
588624	200860	2nd Woman at Party
588624	200925	
588624	286478	Carol
588624	297672	Woman
588624	333246	Tucker
588624	383654	Unknown (Year Unknown)
588624	385719	Beth Chavez (1969-1970)/Edith
588625	242569	
588626	24634	Inspector
588626	56894	Phyllis
588627	372175	Woman in Stands
588628	177279	Henrietta Maria
588630	12624	
588630	59708	Charlotte Corday
588630	99750	Rhea Woodley
588630	109688	
588630	166982	
588630	194469	Leslie Dearmer
588630	261961	Bernheim
588630	277014	Magda
588630	329212	Thais
588630	355043	
588630	356629	
588631	64871	Waitress
588631	302149	Muriel Simon
588631	310726	Woman with Baby Carriage
588632	158634	Schoolchild
588633	72865	
588634	67361	Studio Cast
588635	151183	Serious Woman
588635	367964	Wordfest Party Guest
588636	14231	Creepy Little Girl
588637	76504	Mrs. McGrury
588637	131235	Mrs. MacAllister
588637	173341	Kathleen, McGuire's Housekeep
588637	188215	
588637	220878	Mrs. Blundell
588637	295342	Martha
588637	324047	Rosanna
588638	8961	Millie
588638	79821	Claire
588638	175405	Olive Benson
588638	299678	Nell Garrison
588638	315697	Helen of Troy
588638	347029	Josie Warren
588638	368412	Doris
588638	368918	Blonde
588639	23334	Betty Sue Riley
588639	271676	Sigil
588640	261530	Maid at Party
588641	303226	Iris Choir
588642	315999	Dancer #1
588643	153190	Harriet
588643	178028	Susie
588643	224917	
588643	226515	Lucy
588643	255696	Kayleigh
588643	292116	Wife
588644	391602	Susannah Grey
588644	395755	Beth March
588645	46247	Herself
588645	92957	A Dancer
588646	375537	Junkie
588647	355703	Manucure
588648	77365	Grumpy cook
588648	355853	
588649	122214	Call Girl
588650	142527	Crazy #1
588651	152889	Patty
588652	26971	Ninja
588652	194140	Finger Lakes Trio
588652	240573	Hannah Cullwick
588653	88335	
588653	138449	Busan, the dog
588653	309563	Campaign Worker #2
588654	44140	
588654	159927	
588655	63181	
588655	216146	
588655	227996	
588656	115300	Sandra
588657	100997	Herself (daughter of Tom Crea
588658	313026	(segment "In the Park")
588659	123444	Anthéa
588660	84029	Ragman
588661	329198	
588662	308072	Pretty Girl
588663	51975	Inmate
588663	128173	
588664	358877	
588665	223711	Flower Girl
588666	234826	Nonne/Nun
588667	358478	Villager of Tullymore
588668	217967	
588669	103326	1st Band of Thieves
588670	20906	Clarisse enfant
588671	126614	Casino worker
588672	160911	Reporter #2
588673	271338	
588674	87526	
588674	380391	Dana Kramer #3 (1994)
588674	380713	Denise Maynard Dixon (1998-20
588675	339547	1st Hooker
588676	216747	Grace
588677	121374	Casino Patron
588678	159131	Young Jennifer
588679	256746	Florence Wyle
588680	245950	
588681	12256	Waitress
588681	80660	Restaurant Girl
588681	140962	Michelle's Secretary
588682	91914	Desdemona
588683	348336	Sister Mary Yuma (Nun)
588684	405606	Newsreader
588685	5010	
588686	158056	Mistress Finella Harper
588687	370074	Ruth
588688	224323	Jessica
588689	228164	Natalie
588690	36871	Triplet
588690	57735	Mother
588690	248876	Megan Wyatt
588690	248879	Megan Wyatt
588691	126144	
588692	36871	Triplet
588692	57735	Mother
588692	87779	Herself
588692	119622	Twin #2 (Bonnie)
588692	248876	Lisa Wyatt
588692	248879	Lisa Wyatt
588692	253344	Shannon Wilson
588692	404373	Tori Scott (1992)
588693	36871	Triplet
588693	57735	Mother
588693	87779	Herself
588693	119622	Twin #1 (Brenda)
588693	239711	Danielle
588693	248876	Jessie Wyatt
588693	248879	Jessie Wyatt
588693	261454	Sarah Jacobs
588693	272759	Michelle
588693	309197	Jesse Sloan
588693	311977	Cassie
588693	321734	Jesse
588693	333378	
588694	223378	
588695	64402	Tara
588695	89314	Dinner Party Guest
588695	133728	Marla
588695	257694	Secretary
588696	329308	Herself
588697	95784	Nurse
588697	152860	Betty Spinner
588697	321654	Waitress
588698	212620	Stein's Secretary
588698	260318	Marge
588698	274400	Cashier
588698	337281	Ellen's Receptionist
588699	164966	Bess at five
588700	108417	Gina
588701	7952	Sister
588702	326596	Line Dancing Twin
588703	6625	
588704	51728	Polaca
588705	154780	Mrs. Mary Logan
588705	274728	Matron
588706	124214	
588707	17073	Ann (new movie)
588708	41930	Singer
588708	302454	Dancing Girl
588708	329481	Model
588709	264095	Blond Club Girl
588710	138656	
588711	300901	
588712	136128	Uptight Woman
588712	303225	Choir nun
588712	303226	Choir Nun
588713	59192	Darkling
588714	185475	Mrs. Figgis
588715	92506	Billie
588715	286127	Sally
588716	6800	Sally Wilson
588716	20536	
588716	207861	Cookie
588717	139800	Arline Benson
588717	330392	Mrs. Chapman
588718	363982	Woman on Steps
588719	131227	Kristi Carter
588720	394650	Herself
588721	8859	
588722	94316	Mère de Gaston
588723	12064	La gitana
588723	28020	
588724	139236	Stewardess
588724	329309	Tony's friend #1
588725	170710	Sara
588726	214364	Dancer
588727	325727	Maggie Bürger
588727	325936	Ingrid Sanzara
588728	24054	
588728	115701	
588728	207669	
588728	223182	
588728	225116	
588728	243438	
588728	325901	
588728	347586	Henriette
588728	352503	
588728	361522	Lore Brandelhuber
588728	392503	Boutiqueverkäuferin
588729	29332	
588729	84360	Stewardess
588729	94317	Helga's mother
588729	101663	
588729	122227	Tiziana
588729	156649	Claudia Walter
588729	166763	Professorin Musikhochschule
588729	206221	Maria Riva
588729	320602	Gudrun Pause
588729	334546	Frau Zeitler-Heidemann
588729	360962	
588729	364030	Eurosound Sekretärin
588729	404224	Ilona von Dietrichsen
588730	68742	
588730	353934	Therese's mother
588731	93114	Beth
588731	186821	Mindy Dean
588731	273202	Yoko, Additional Voices
588731	324729	Jill
588731	329062	Betty
588731	391337	Nurse B, Woman's Voice
588733	124786	
588734	225043	Alexia
588735	15015	Céline
588735	80335	Léa
588735	208513	Léa
588735	353954	Romane
588735	355880	Emma, the little girl
588736	33279	Jeanne
588736	38177	Suzy
588736	63779	Cécile
588736	92044	Patricia
588736	198629	Laura
588736	225619	Marion
588737	346142	Studio Lot Servant
588738	275059	Anne Kelly
588739	237608	Herself (Law Professor, UCLA/
588740	382657	Mom (2000-2002)
588740	403002	DEV and voices
588741	134387	Trish
588741	276238	Leslie
588741	385020	Carrie Meyer (1996)
588742	229740	
588743	72931	Goodyear Hostess in the Green
588744	170468	
588745	213430	Anna
588746	89099	Swimming Woman
588747	300176	Dancer #3
588747	305341	Underground Woman
588748	99664	(segment "Clepsusana")
588749	14875	
588749	67691	La coinquilina
588749	121906	Giulia
588749	127984	
588749	285371	
588750	33433	Francesa
588751	65578	Little Smoking Girl
588752	336599	
588753	388053	
588754	113507	Gina
588754	120242	Jenny Patrizzi
588754	390631	Elizabeth
588754	402687	Carol Chase
588755	277061	Countess Barscynska
588756	104154	
588757	14676	
588758	272394	Egea
588759	263880	
588760	393	Rosa Catena
588760	270857	
588760	320528	
588761	347327	Woman At Bar
588762	254625	Townswoman (in crowd)
588763	90317	Nurse
588764	96228	La femme du vigile
588765	90317	Girl in Wheelchair
588766	121888	Cantini's Wife
588767	42861	Mimi, owner of Bordel
588767	105484	Mimi
588768	266228	
588768	266818	La chica del correo
588768	280743	Betty
588768	324294	Mao
588769	364281	Candy Store Girl
588770	292741	
588771	362640	Nurse Marcie
588772	396396	Reportera (2000-)
588773	42087	Tanya
588773	394510	
588774	303085	
588774	353598	Señora de Durán
588775	210163	La niña
588776	216080	Clarita
588777	380193	La Lucia
588778	121976	
588779	74352	
588780	253564	2nd Model
588781	195262	Spanish Girl
588782	294071	
588783	30398	
588783	55924	
588783	70064	
588783	74507	
588783	204682	
588783	207772	
588783	208852	
588783	225565	
588783	353559	
588783	357908	
588783	376677	Isabel
588784	20701	
588786	176796	The Door Girl
588786	183027	Lourdes Aguirre
588786	222699	Young Woman
588786	277044	Melissa White
588787	226785	Elena Hernandez
588787	245137	Debbie
588787	295028	Young woman
588788	28589	Rita
588789	129431	Isa
588789	198291	
588789	265309	Copine
588789	397857	Secrétaire gynéco
588790	59635	
588790	146425	
588790	161703	Zéphine
588790	341913	La grand-mère
588790	388141	Mlle Lafollique
588790	389271	(segment "Cécile et Nicolas")
588790	409537	
588791	109686	Melaine Alexander
588792	30485	Mrs. Barton
588792	202903	Princess Morava
588792	215943	Mother Superior
588792	226973	EvelynGarland
588792	289590	
588792	316354	Coroner's Wife
588792	333609	Venus
588792	342972	Mme. Vallier
588792	364530	Countess Del Armi
588793	124054	New driver
588793	297646	Schoolteacher
588793	299028	Nurse
588793	302763	Creche Nurse
588793	328501	Myrna
588793	386339	Melissa Bertram
588793	390917	Mrs. Froggat
588793	402197	Diane Henley (1983)
588794	48925	
588794	85249	Deedee
588794	114043	Dee-Dee
588794	147089	Additional Voices
588794	194066	
588794	330402	
588794	350322	Aleera
588794	363723	Princess
588794	369460	Debra Owens, Computer Voice #
588794	386242	Dee Dee (#2) (rotating role) 
588794	392829	Natsuki "Natalie" Mogi
588794	392831	Natsuki "Natalie" Mogi
588795	95360	May Bond
588796	76666	Kate Lethbridge-Stewart
588796	92300	Kate Lethbridge-Stewart
588796	403314	Additional voices
588797	84218	
588797	89695	
588797	205631	
588797	346796	
588798	68312	Rose
588799	381514	Herself (2002-2003)
588800	3279	Mary Elizabeth
588800	185674	Miner's Wife
588800	331370	Day Clerk
588801	169139	Gogo Dancer
588802	71659	Debbie
588802	261041	Young Violet
588802	264191	Marion
588802	406643	Young Danaë
588803	285685	
588804	371606	Policewoman
588805	45884	Betsy
588805	315923	Stella Fulton
588806	23549	
588806	380387	Leila
588807	14751	
588807	83488	
588807	148463	Tenório's Mother
588807	218426	
588807	234635	
588807	271276	
588807	293332	
588807	344799	
588807	353100	
588807	381223	
588807	381633	Nancy
588807	383387	
588807	387052	Vera
588807	387777	Serafina
588807	388562	
588807	398793	
588807	401086	Mafalda
588807	409025	Adalgisa
588808	334148	Exotic Dancer
588809	14192	PA #1
588809	257733	Katie
588810	382594	Drom
588811	89686	Cassie
588811	116289	Woman in Bed
588811	386966	Lily Fremont
588811	399685	Young Brett Main
588812	78900	Lady in Waiting
588812	324313	
588812	367271	Waitress
588813	3368	
588814	192593	
588815	12394	Nurse Deangelo
588815	147914	JoJo
588816	92027	
588817	388141	Mme Sauvelot
588818	257114	Dinner Guest
588819	173349	Australian Local
588820	19758	
588820	110134	
588820	234524	
588820	269146	Herself
588820	389784	
588821	156891	
588822	26534	Dana
588823	249256	Barmaid stand de tir
588824	22580	
588824	38229	
588824	57514	
588824	64366	
588824	84041	
588824	84152	
588824	86854	
588824	222466	
588824	345559	
588824	349514	
588824	355249	
588825	15032	Ginette
588825	132941	
588826	33804	Teacher
588826	84635	Mme Geoffroy
588826	84695	Institutrice hall Degan
588826	200937	La femme de ménage
588826	217727	Madame Grinval
588826	309310	
588826	377464	Sophie
588827	378735	Tannis McTaggart
588829	258893	Carol
588830	193618	Model girlfriend
588831	163228	Miss Harris
588832	381909	Herself (3rd Evicted, 27 Days
588833	217954	Lois Bowden
588833	399315	Anchor (2000-)
588834	320125	Herself
588834	320149	Herself
588834	407079	Herself (18 Days, Maraamu Tri
588835	87526	
588836	8182	Augusta Welland
588836	16623	Grand Duchess Anna Dmitrievna
588836	33091	Mrs. Carter
588836	40073	Leonie Sobatsky
588836	40605	Lady Rockingham
588836	41698	Mrs. Luxury
588836	52904	Prudence Duvernoy
588836	59763	Mrs. Carr
588836	69338	Stella
588836	92589	Mrs. Minerva Twombling
588836	103221	Countess
588836	105070	Grandma Caroline Archer
588836	110937	(scenes deleted)
588836	112518	Anna Granger
588836	114851	Auntie
588836	128173	Mrs. Forrester
588836	131240	Aunt Pittypat Hamilton
588836	143281	Aunt Minnie Stickney
588836	154460	Doc Mary Hanson
588836	154983	Mrs. Lowell
588836	155678	Madame Zuleika
588836	155844	Dame Evers
588836	183848	Mrs. Dudley
588836	190587	Aunt Jane Madison
588836	203470	Mrs. Gibbons
588836	210404	Mother Superior
588836	230734	Mrs. Thomas
588836	230953	Apple Annie
588836	241349	Mrs. Preston Thurston
588836	244993	Mrs. Colgate
588836	270768	Elise
588836	271293	Lily Hoggett-Egburry
588836	275458	Mrs. Letty Carruthers
588836	275769	Mrs. Gardner
588836	279303	Ernst's Aunt
588836	280134	Bit Part
588836	301951	Mrs. Phelps
588836	303307	Flora's Mother
588836	313331	Carlotta Salvini
588836	329341	Mrs. Kent
588837	271195	Ellen
588838	407531	Nurse
588839	119096	Jeanette
588840	16921	Backup Singer
588841	232020	Zombie
588842	366743	Townsperson
588843	984	Angela Landis
588843	2964	Natalie Gibson
588843	9023	Grace Marshall
588843	22931	Sue Rodriguez
588843	35257	Lila
588843	35439	Amanda Trent
588843	36536	'Ma´am' Martin
588843	65523	Louise Miller
588843	66991	Joanne Kilbourn
588843	71110	Jenny Davis
588843	72147	Jessica
588843	80702	Joanne Kilbourn
588843	88978	Dr. Leslie Abbott
588843	97091	Roberta 'Robbie' Cratchet
588843	98184	Norah Stanton
588843	103348	Billie (Ronnie's mom)
588843	116466	Audrey Aldrich
588843	120806	Victoria Renko
588843	123697	Helen Eden
588843	126697	Sophie Ware
588843	131612	Susan Evans
588843	135176	Marlee Kramer
588843	141529	Judy
588843	147108	Laurie
588843	148217	Isabel Morrow
588843	154893	Cassie Stewart
588843	164369	Elaine Burka
588843	176985	Joanne Kilbourn
588843	185103	Karen
588843	192634	Ada Jordan
588843	195397	Joanne Kilbourn
588843	204890	Jane Doe
588843	206087	Dale
588843	208088	Sarah
588843	208757	Kate Finch
588843	211385	Bernadine Mello
588843	222656	
588843	222786	Irene Tremayne
588843	223899	Hilah
588843	231327	Lily
588843	252937	Patsy Willets
588843	253360	Michelle Benti
588843	254996	Ede Kilworth
588843	269680	Gail Sterling
588843	287727	Laura Miller
588843	287728	Laura Miller
588843	304237	Barbara/Dorigen
588843	304797	Mrs. Theresa Small
588843	310876	Susan Silverman
588843	310880	Susan Silverman
588843	311136	Evelyn
588843	318188	Jackie York
588843	318813	Virginia Baldwin
588843	334175	Kevin Dollof
588843	334293	Dorsie Young
588843	346872	McNally 'Mac' Hays
588843	352136	Joanne Kilbourn
588843	358985	Joanne Kilbourn
588843	359205	Kate
588843	362312	Elena
588843	363492	Dr. Ninki Bregman
588843	364415	Elizabeth
588843	381479	Maggie Steech
588843	386414	Herself
588843	389416	Faye Stafford
588843	391027	Blake Calisher
588843	391873	(1980)
588843	391874	
588843	399429	Prosecutor Dorothy Fredericks
588843	404950	Madeleine Harlsburgh
588843	406776	Gail Browning
588843	407545	Joanna Buckley
588844	165054	
588845	280997	
588846	275352	Woman
588847	57480	
588847	202513	
588847	273650	
588847	277002	
588848	148371	Witness
588849	157575	Rob Goron
588850	279634	Laurence
588851	269709	
588852	247869	Portera
588853	44511	Flight Attendant
588853	74424	Heather Colby
588853	79637	Mary
588853	90911	Watkins' Secretary
588853	94861	Omaha Clerk
588853	99164	Office Co-Worker
588853	114612	TV Reporter
588853	118970	Reporter
588853	131375	Mrs. Fleming
588853	134025	Lutitia
588853	134141	Seattle Cop
588853	141180	Doctor #3
588853	156970	Doctor's Receptionist
588853	194211	Secretary
588853	214962	Doreen
588853	216445	Delivery Doctor
588853	235482	Carol Atkins
588853	238230	Receptionist
588853	240325	Hildy Riggs
588853	240328	Peaches
588853	299897	Nurse
588853	335257	Darryl
588853	340962	Tina
588853	341849	F.A. Mary Wilson
588853	353749	Isabela André
588853	356329	Iris
588853	364344	Suki's Salon receptionist
588853	366904	Emergency Nurse #2
588853	370118	Nurse Winters
588853	406975	Additional Voices
588853	411643	Wanda
588854	362081	Dancer
588855	404853	Clarice (1997)
588856	33445	Stacy
588857	207692	Young Rosemary
588858	390145	Cheerleader
588859	39943	Blonde Latin Hooker
588859	60279	Missy
588859	71492	Woman in Jail
588859	72779	
588859	184951	Herself
588859	196597	Runaway Model (Cricket)
588859	282962	
588859	318105	
588859	328301	The neighbor's dog
588859	383742	Various Celebrities
588859	405209	Raewyn Hart (1998)
588860	62957	Teddybear
588861	74195	Newswoman
588861	133949	Dorothy
588861	136020	Jane Gibbons
588861	329388	
588861	346880	Dorothy
588862	142361	Medtech Personnel
588863	10853	Theta Kaplan
588863	31846	Dana Dalton
588863	45400	Cindy
588863	70252	
588863	102575	Charlene Talbot
588863	106636	Kimberly
588863	118689	Becky Meiks
588863	127627	Robin
588863	128707	Aggie O'Hanlon
588863	140377	
588863	158900	Ellen
588863	160659	Tess Beckett
588863	165484	Hilary
588863	220041	Jill Sanders
588863	222194	Waitress at Winkies (Diane/Be
588863	245204	Gwen Blitzer
588863	261962	Lindsey Kelloway
588863	269817	Olivia Harmon Parker/Lita Hog
588863	270349	Lydia
588863	274646	Athee Collins
588863	295826	Diva
588863	302943	Michelle Widener
588863	304753	Joanna Blessing
588863	313088	Rhonda-Marlene Dietrich's Sta
588863	347852	Mina
588863	395933	Sally Allen
588863	400474	Ellen 'Satori' Polaski
588864	18015	Nurse
588865	23610	Announcer/Narrator (French)
588866	253851	Judge
588866	364512	Herself/Judge
588866	379055	Herself - Substitute Anchor
588866	379061	Herself - Substitute Anchor (
588866	383646	Anchor
588866	389190	Correspondent (1998-)
588866	407225	Herself (host)
588867	223867	Mrs. Higgins' Maid
588868	74311	
588869	194738	Tracy
588869	337701	Anne
588870	51800	Suki
588871	99215	
588872	218502	Herself
588874	46683	Lori Piccolo
588874	207509	Skipping Girl
588874	217625	Amy
588874	272661	Liberty at age 5
588874	276240	Featured Undead Kid #4
588874	400513	Angelo DeFranco's 11 year old
588875	209133	Kylie George
588875	306201	Girl @ X-mas Party
588877	203724	Undetermined Role
588878	117454	Second Teasing Girl
588879	228317	Cook
588880	37214	Flora
588880	133408	Annie Murphy
588880	134059	Clicker Bennie, the photograp
588880	134060	'Clicker', photographer
588880	254462	Isabella Pipp
588880	363190	Waitress
588880	367943	Mira
588881	190783	Sister Agnes
588882	162034	
588883	68780	
588884	24285	
588884	34285	Louise
588884	68418	
588884	112912	Vera
588884	127876	Francesca '97
588884	170305	
588884	219346	Anna Martens
588884	233608	
588884	234741	Roberta
588884	242302	Lawyer
588884	268847	Iole
588884	328320	
588884	338668	Giovanna
588884	354765	
588884	355623	
588885	77017	Alicia
588886	164539	Street Urchin
588887	385909	WILMA
588888	183467	
588888	400342	Profesora de la Academia: Cor
588889	293387	Candy
588891	328268	Stewardess
588892	366192	Concierge
588893	25133	
588894	311310	Sonia's Mother
588895	232181	Veseray
588896	75797	Club Girl
588898	53026	
588899	31832	
588899	103760	
588900	399337	Presenter (2003-)
588901	300909	Headwaitress
588902	161329	Herself
588903	73891	3rd Dance Hall Girl
588904	42837	
588904	236333	
588905	222472	Solita
588905	360755	Eliza
588907	175479	Rebekah
588908	160832	Computer Student
588909	347119	Wanda
588910	154428	Kite
588911	29149	Magistrate
588911	71748	Court Officer
588912	99558	Salesgirl #1
588913	51873	Rosamond
588913	73820	Madalyn Van Ralston Kemp
588913	178188	Miss Smith
588913	203557	Miss Muriel Blythe
588913	218778	Cissie Hallock
588914	410501	Various roles
588915	276788	
588916	325269	Yolanda Iverson
588917	56314	Heather
588917	160556	Julie
588917	252728	Miss Elder
588917	263214	Ruby Fairchild
588917	265617	Sheila Anderson
588917	287268	Girl in Mac
588917	308598	Receptionist
588917	335762	Suzanne Gilmore
588918	278833	Peter Kowald Quartet: piano
588919	141651	Townswoman
588920	13035	Hilda
588920	23683	Maryse
588920	30103	
588920	30817	Berthe Servais
588920	40574	
588920	44765	Mrs. Tinna
588920	53236	La reine Marie-Amélie
588920	53238	La reine
588920	59212	Constantia Glodkowska
588920	62441	Renée Bertrand
588920	69850	Marie
588920	84686	Dorothee
588920	94353	Marie de Ferstel
588920	109103	Thérèse Romailler
588920	122133	Yvonne
588920	135339	
588920	220499	Wife
588920	235341	Dounia
588920	248973	Récitante
588920	281960	Mme Douglas
588920	284202	
588920	292360	
588920	335477	Daughter
588920	382584	Tante Louise
588920	386020	Christine
588920	392602	Mme Chardon
588920	397195	Mme de Venel
588920	403643	Dame Eliabel de Cressay
588921	135428	
588922	70545	Katherine
588923	168437	Lieutenant's fiancee
588924	247515	
588924	324890	
588924	354447	
588925	5375	
588925	52873	
588925	209439	Amalia
588925	217100	
588925	217109	
588925	242832	Mamma assunta
588925	247513	The Mother
588925	247514	Maria Gloria
588925	253031	
588925	336623	Lucia Caponi
588925	377587	
588926	6575	
588927	428	Bailey's mother
588927	92257	Kitchen Aide
588927	210946	Rose Hollinger
588927	282929	
588927	340798	Sylvia Sutherland
588928	385719	Waitress
588929	144697	Spanish Teacher
588929	366039	Carmen
588930	167043	Candy Coltrane
588931	313583	Cabaret Patron
588931	408395	Herself - Film Reviewer (1964
588932	58487	Jeannie
588932	105944	
588932	135843	Myrna
588932	138365	Dr. Kelly
588932	313976	Betty Jennings
588932	323565	Lisa LaVie
588932	333278	Jogger
588932	362442	Laura
588932	381184	Mallory Bulson
588932	381354	Nicole Camden
588932	382718	Janet LeClaire
588932	385612	Elizabeth Elkins
588933	79002	Stewardess
588933	313441	Crew Member
588934	346086	Auntie Bessie
588935	67732	Mary (mugging victim)
588936	70888	
588936	74033	
588936	103892	
588936	111153	
588936	125782	
588936	222122	
588936	236395	
588936	327327	
588936	369730	
588936	380449	Maria Clara
588936	404799	Terezinha
588937	28987	
588937	101844	
588937	190997	
588937	199001	
588937	248867	Bailarina
588937	291650	
588937	296125	
588937	351057	
588938	2988	Blanca
588938	9883	Graciela Carmela Maria 'Flaca
588938	35010	
588938	67676	Margarita
588938	68959	
588938	69263	Carlotta Churchbridge
588938	74246	Santa
588938	74543	
588938	80431	Vera LaValle
588938	90665	Akis
588938	101044	
588938	112030	Ellen Hardy
588938	120908	
588938	125663	
588938	185468	Maria O'Reilly
588938	187481	Cleopatra
588938	195423	Annie
588938	197480	
588938	221007	Nancy Chavez
588938	247568	Dr. Paula Stevens
588938	252883	Sandra Roca
588938	301190	
588938	343104	Elena de la Madriaga
588938	352132	
588938	384139	Julia
588938	391529	Victoria Cannon
588938	403784	Rossé
588939	2481	
588939	20853	
588939	23377	
588939	30946	
588939	33521	
588939	39804	
588939	40271	Maite
588939	48179	Octavio
588939	51308	
588939	57782	
588939	58277	
588939	63408	
588939	64023	
588939	67679	White Fawn
588939	68253	
588939	69124	
588939	69790	Dorothy
588939	71006	
588939	71122	Perla
588939	73533	
588939	74359	
588939	74872	
588939	74968	
588939	78356	
588939	80274	
588939	91376	Rita
588939	103184	
588939	103393	The Favorite
588939	115018	presenter
588939	119261	Pilar
588939	121957	Dr. Ilona Elmann
588939	140565	Rosita
588939	151797	García (Practitioner)
588939	159742	
588939	159877	
588939	168260	Marie Lefleur
588939	170273	
588939	171612	
588939	205129	Madeleine
588939	205458	
588939	220193	
588939	260045	Juana
588939	268320	Zulmirinha
588939	277135	Dorothy
588939	282136	
588939	295164	Perla
588939	296475	
588939	302399	
588939	320212	
588939	333751	
588939	341599	
588939	357522	
588939	376815	
588940	36555	
588940	55259	
588940	83128	
588940	207773	
588940	212352	
588940	255937	
588940	395487	Roxana
588940	409915	Fernanda
588942	100045	
588943	158311	Hill/Anderson Store Extra
588944	392989	
588944	398218	Jennifer
588944	398482	Rosalinda Pacheco
588944	398519	Sandra
588944	400942	Cherry González de la Reca
588944	401896	
588944	408570	
588945	13166	
588946	300343	Gift Shop Cashier
588947	97955	
588948	253306	Yirah
588949	252753	
588950	58032	
588950	262586	
588951	326712	Mary
588952	367271	Tara's Mother
588953	14553	
588953	88320	
588953	338160	
588953	340689	
588953	352085	
588953	388278	Magda
588953	404707	Vilma
588953	408722	
588954	5094	
588955	103002	
588955	381891	Cristiana
588956	293378	Martha
588956	379553	
588956	385370	Berenice Sánchez- Serrano
588956	387574	Isadora
588957	73275	Adelaida Vermehren
588958	6293	Sofia
588958	57970	Elsa, la telefonista
588958	94687	
588958	109099	Gemma
588958	133111	
588958	244078	Anita
588958	281076	Tonina, la cameriere
588958	294007	La canzonettista
588958	303178	Paolina Gatti
588958	314047	
588958	315423	Una commessa
588958	341417	
588958	353066	Maria
588958	374211	Simona
588959	83768	
588960	293002	Julieta
588961	19310	Maria
588962	111768	
588963	270822	
588964	27433	Mrs. Caputo
588964	400341	Herself (2002-2003)
588966	16859	
588967	126165	
588967	187919	Dancer
588967	253978	
588968	29517	
588968	384002	Lurdes
588968	402685	
588969	234635	
588969	249913	
588969	385385	
588969	387835	
588969	388562	
588969	396847	Aparecida
588969	409898	
588970	23621	
588970	294113	Aurélia
588970	380328	Débora
588970	380446	Amélia
588970	380449	Heloísa
588970	380536	Wilma
588970	380718	
588970	381591	Angela
588970	382428	
588970	383293	Catarina
588970	384265	Isolina
588970	384778	Branca
588970	386214	Cecília
588970	386252	Elizabeth
588970	386420	Conceição
588970	386505	Nancy
588970	387730	Débora
588970	391397	
588970	392031	Fátima
588970	392490	Estela
588970	392846	Daisy
588970	393876	Sílvia
588970	394121	Lizete
588970	399940	Isabel
588970	400289	Mônica
588970	400584	Ivete
588970	402108	Celeste
588970	402266	Sônia
588970	403308	
588970	405454	Cândida
588970	410053	Lia
588970	410375	
588970	412270	Andréa
588971	384117	
588971	396718	
588972	124240	
588973	68789	Erika Hernández
588975	344836	
588976	14361	
588976	157277	
588977	247074	
588978	8473	
588978	71368	
588978	205565	
588978	267318	
588978	273115	
588978	354736	Maria da Glória
588979	222177	
588979	344706	Kitty
588979	356035	Margô
588981	281627	Rosa's grandmother
588982	114322	Gil Moreno
588983	222191	
588984	8979	
588984	380328	Patrícia
588984	396938	Zita
588984	403245	Tilda
588985	344813	
588986	354869	
588987	8583	
588987	57448	
588987	90821	
588987	127587	
588987	407024	
588987	408212	Dorothy
588989	185226	
588990	30765	
588990	155792	
588990	204993	a model
588990	214629	
588990	353290	Kaipé
588991	81073	Cindy
588992	83457	Niña
588992	101833	Child
588992	160136	
588993	130327	Cindy
588993	171042	Grace Yamaguchi
588993	196048	Waitress/Upscale Jazz Joint
588993	232074	Demon
588993	232507	TV reporter #4
588993	277949	Stewardess
588993	288473	Melanie Hernandez
588993	293097	Bridesmaid #3
588993	323497	Field Hockey Girlfriend
588993	333409	ITC Tech
588993	337327	Betty
588993	342156	Girl in Gallery
588993	359381	Reporter 2
588993	369195	Nurse #2
588994	323594	Corinna Divito
588995	406389	Herself-Grand Finalist
588996	279113	
588997	380056	Serena
588997	380057	Serena
588998	341364	
588999	87582	
589000	302982	
589002	2139	Mira
589003	13293	A Highlight Member
589004	37024	Shelly - age 8
589005	316676	A Coffee House Keeper
589006	137461	
589007	92736	Mansion Cellist
589007	289558	Woman at Babylon Club
589008	131394	Carrie
589009	277701	Performer
589009	340752	Campus Radical
589009	396699	Georgie Maguire
589010	216772	Colleen
589010	262261	Young Gillian Owens
589011	85706	
589012	277035	
589012	391689	Handmaiden
589013	402610	Baby Alfred
589014	155920	Part of couple
589015	53318	Student
589016	68621	
589017	94	Woman in Store
589017	319026	Maggie (segment "Skippy")
589017	351506	Old woman
589018	319070	His niece
589019	381091	Herself (eliminated round 4)
589020	327254	Cherylene
589021	194877	
589022	322638	Receptionist
589023	105196	Bahamian Attache
589023	364502	Nola Jenkins
589023	391774	
589023	402012	Marjorie
589023	402197	Maxine Daniels (1982-1983)
589023	403244	Briony Thompson
589023	405209	Nurse Carrie Burton Kennedy (
589023	405960	Leigh Palmer (1984-1986)
589023	406891	Sally Meredith
589024	29745	Big Mamma
589024	81702	Gina Wentworth
589024	194820	
589024	283563	Hostage Lady
589025	247236	
589026	15991	
589026	40689	Lady Da Ville
589027	132857	
589027	170107	
589027	197846	Helga
589027	241878	
589028	198231	Jaruska
589029	62548	Peggy Sanger
589030	43309	
589031	30244	Grofica Draskovic
589031	141791	
589031	178737	Klitemnestra
589031	181294	
589031	186527	
589031	187975	
589031	189386	
589031	205798	Antonova zena
589031	209507	Herself (interviewed)
589031	209508	Herself (interviewed)
589031	230486	Jela Ledinic
589031	257479	
589031	258778	
589031	261350	
589031	263431	Marija
589031	270703	Maria Cirie
589031	303118	
589031	306977	Todora
589031	327441	Donna del carro
589031	341464	
589031	366266	Mine-Yota
589031	366267	German-Joanna
589031	385271	Marija
589032	137568	Anna Pindici
589032	159943	Tracy
589032	194696	Shelley
589032	366712	Constable Tyler
589032	399948	Lena Hellegren (1996)
589032	402905	Cara Tomic
589033	267859	
589033	307169	
589034	141678	Woman at Bus Stop
589034	332436	Betty
589034	396353	First TV Reporter
589034	396425	Mrs. Fraser
589035	379458	Verona Calatrava
589035	380088	Chantal
589035	389788	Eduarda Arismendi
589035	390733	Diana
589035	396873	Graciela
589035	397262	Helena
589035	398474	Katiuska Cardona
589035	401693	María Elena
589035	401912	Sister of Ricky
589036	310240	Maria's Mother
589037	310240	Italian woman
589038	328321	
589039	227664	Oak's Wife
589040	86093	
589040	409093	
589041	672	Ana Matilde
589042	672	Rafaela
589043	118778	Prima dama
589044	44723	Lawyer
589045	401883	Herself
589046	63740	
589047	358654	Lisa
589048	287508	Jessie Hatcher, Sarah Laughto
589049	171079	Mother in Store
589050	142361	The Passives
589051	362984	Eva
589052	11408	
589053	409840	Vauxhall trapeze artist
589054	21388	Tizzy - Maria - Alicia - Fema
589054	230458	
589055	37106	Harper Anderson
589056	151665	Woman
589057	83477	Shirley
589057	185777	Hannah Cavell
589057	230863	Natalie
589058	255422	Mrs. Potts
589058	399816	Eileen Chester (1975-1976)
589059	254522	Female Masquerade Dancer
589060	27339	Carmen
589061	408615	Herself
589062	283864	Baby Ann Crockett
589063	319003	Knight of Malta #2
589064	255850	Judge
589065	177015	Policewoman
589066	68796	Gina
589066	81196	MacArthur's secretary
589067	206884	Farraday Girl
589068	85992	Jennifer Watters
589069	6259	Susan
589069	35476	
589069	59597	Brenda Lupowitz
589069	73115	Eunice Shelby
589069	81168	Anna
589069	86021	Dana
589069	106628	Leah
589069	208072	Lisl Gilbert
589069	265747	Tracy
589069	276634	Diana Stoving
589069	276868	Eunice Taylor
589070	363560	School Board Parent
589071	77017	Girl in High Heels
589072	390180	Justice
589073	112049	Background Gorilla
589073	134295	Primate Sequences
589073	183213	Goblin Corps
589073	401463	Pinks
589074	51812	Reportera
589075	5449	Susan
589076	405839	Herself (Solid Gold Dancer, 1
589077	333517	Gibraltar Operator 2
589078	70300	
589078	91875	
589078	133871	Pretty Young Woman #2
589078	147750	Mary
589078	200894	Lorelei
589078	337995	Baby McNulty
589078	337999	McNulty
589078	382300	Sarah Cobb
589079	315024	
589080	23919	Herself
589080	46785	Narrator
589080	215171	
589080	392914	Host
589080	408809	Herself - Skyrunner (1989)
589081	105395	Anne McKinnon
589082	385299	Easby Keeble
589083	18819	
589083	30647	
589083	130768	Mrs. Chen
589083	250514	Asian Woman
589083	281387	
589083	321266	Chinese Woman
589084	73896	Herself
589084	385299	Edith Tatum (1964-????)
589085	21550	Rosalind
589085	60268	Jackie
589085	78744	Anne
589085	207466	Lyn Whalby
589085	269959	Denise
589085	305612	Benja
589085	359543	Voice Artist
589085	408866	Cindy Morton
589086	131772	Mrs. Sexton
589086	391786	Carrie Owen (2004-)
589087	1711	
589087	160556	Nicole
589088	400566	Laura
589089	15035	
589089	68005	Twin
589089	195702	Swedish twin
589089	315311	Jane
589090	366641	Bartender
589091	67156	
589092	157886	Dance-hall girl
589092	174623	Harriet Burton
589092	197070	Aunt Mary
589092	379321	Clara Randolph (1956-1966)
589092	391416	Mary Jane Lewis
589092	392419	Betty Ramsey (1957)
589092	392428	Helen
589092	396146	Audrey Simmons (1962-1964), M
589092	400527	Miss Daisy Enright (1952-54)
589092	401183	Cleo the Basset Hound
589093	34055	Mrs. O'Malley
589093	113658	Celebrant
589093	168771	Powers' Sister
589093	171274	Berger's Secretary
589094	129580	
589094	307881	Aunt
589095	154984	Traffic Warden
589096	391869	Casey Mitchell (1996-1997)
589097	384091	Patience Heatherstone
589098	32203	Allie
589098	364747	Det. Sara Parson
589099	15035	
589099	68005	Twin
589099	195702	Swedish twin
589099	315311	
589100	97727	Pink Girl
589101	254283	June Petty Girl
589102	264439	Scratch
589103	143264	Marching Girl
589105	195400	Office Worker
589106	223502	Woman in restaurant
589106	224336	Group Captain Winnek Wolfet
589106	342938	Actress at Max Factor
589107	15093	
589107	62824	
589107	76968	Lulu Carabine
589107	84654	Mary
589107	102915	Florence
589107	156317	Singer at the wedding
589107	157269	Adinolfa
589107	163820	Chanteuse
589107	193443	Madame Ramuz
589107	200958	Blanche
589107	211152	Eva
589107	216239	Thénardière 1830/1990
589107	223180	Colette
589107	327573	Bernadette
589107	345195	
589107	345284	Blanche
589107	346265	Bistro Singer
589107	347566	Herself
589107	354467	Monique
589107	402384	Nina
589107	409602	
589108	328301	Nurse
589109	94324	Joëlle
589109	136974	La Tablieuse
589109	220250	Barbara Hood
589109	355245	
589109	382584	Irma
589109	387659	Adèle
589109	389880	
589110	20190	
589110	64609	
589111	104759	Herself
589112	58220	Juliette
589112	282498	Sabine/Yelena
589112	379801	Charlotte
589112	404662	
589113	301753	Pregnant Woman
589113	302211	Receptionist
589114	297457	Alice Allen
589115	12506	Cornelia Alster
589115	47125	
589115	57376	
589115	127682	
589115	134113	
589115	142847	
589115	186655	
589115	196171	Mammy Jane
589115	266138	
589115	281850	
589115	312392	
589115	330583	
589116	35407	Condoleeza Rice
589116	35677	Condeleeza Rice
589116	85984	
589116	99088	Martha
589116	151627	Mother
589116	196548	Lizzy
589116	203972	Venus
589116	222713	Ros Howells OBE
589116	244980	Herself
589116	341442	(segment Rosebud)
589116	382846	Sister Grace Gittens
589116	383631	Staff Nurse Adele Beckford (1
589116	388321	Pearl McHugh (1999-2002)
589116	409695	Gail
589117	107629	Sylvia's assistant
589117	107843	Nurse
589118	118108	Performer
589119	22923	Woman Sacrifice
589119	34911	
589119	69405	Fanny
589119	69421	Window Dresser
589119	154984	Party Guests
589119	381661	Hill's Angel/Various Roles (1
589120	111074	
589121	111074	Une voix
589122	111074	
589124	80693	Sally
589124	169382	Kameragul
589124	200992	Aboriginal Woman
589124	257048	Mrs. Lundy
589124	257911	
589124	278476	Aboriginal Woman
589124	391251	Mary Dyer
589125	133816	Marcia Askett
589125	168330	Katie
589126	150842	Passerby
589127	56545	Herself
589128	178604	Vicky
589128	272753	Raffaels Mutter
589129	114392	Radio Show Call-In
589130	369384	Sophie
589131	312035	Welcoming Party
589132	392121	Belinda
589133	330794	Ethereal Fan
589134	191037	Bar Girl
589135	11549	Bank Secretary
589135	41395	Cath
589135	224729	Marilyn Wayne
589136	131791	Herself (style editor 'Heat M
589137	65809	
589137	156030	
589138	103708	
589139	14492	Rhona
589139	238230	Jill
589139	248875	Florence
589139	289222	Ruth
589139	309678	Mrs. Franken
589139	315228	Bus Terminal Matron
589139	359290	Mrs. Marshall
589139	384366	Maria (1996)
589139	400236	Esther Hoffman (1999)
589139	404002	Georgia Rothchild (1976-1980s
589140	17475	Mrs. Bingham
589140	301951	Delia
589142	379716	Shelly Benson (1986)
589143	119603	
589144	22179	Scarlett
589144	86892	Jane Chisholm
589144	146725	Diana Douglas
589144	210881	Stacey
589144	237908	Rachel
589144	283522	Pat Mills
589144	309678	Girl #2
589144	314963	Joy
589144	319012	Susan
589145	15280	Georgette
589145	130925	Tochter des Wasserkhan
589145	155346	
589145	259601	
589145	290781	Lurette
589146	297140	Party Girl
589147	18870	Birgitta
589147	30166	Gloria
589147	107236	Postal clerk
589147	166845	Lise
589147	171580	Stina
589147	181086	Party Guest
589147	248425	Eva
589147	259353	Charlotte Palmgren
589147	268378	Susanne
589147	377320	Guest at Party
589147	380343	polisassistent Carina Olsson 
589147	394736	Jenny
589147	399850	Ulrika Lindberg (2001-)
589147	407118	Berit
589147	409267	Pia-Lena
589147	409853	Ylva Jansson (1987-1988)
589148	8999	Myna
589148	15852	Woman in Book Store
589148	45609	Clerk
589148	55635	Beverly
589148	84394	Nunca
589148	92618	Dr. T's Patient
589148	113507	Mrs. Penn
589148	115252	Emma
589148	141859	Grace Hefner
589148	167324	Janet Williams
589148	191676	Motel Clerk
589148	220024	Maggie
589148	231078	Ma Newton
589148	261281	Melissa
589148	265749	Dr. Davis
589148	293744	Women Customer
589148	295473	Margaret Meeks
589148	302748	Mother
589148	317890	Isabel Donahue
589148	347692	Nora
589148	359499	Sen. Paula Hawkins
589149	49026	Ciro's singer
589149	328258	Ice Cream Fight
589150	257328	
589151	73612	Barmaid Ida
589152	79986	Reporter
589152	143832	Reporter
589152	216184	Fox Reporter
589153	257328	
589154	406459	Herself
589155	78493	Herself - Host
589155	78496	Herself - Host
589155	84286	Herself
589155	104776	Host
589155	119326	Herself
589155	119459	Herself - Host
589155	132873	Herself
589155	242970	Herself - Host
589155	261157	Herself
589155	311728	Herself - Host
589155	314989	Herself
589155	315380	Herself
589155	387959	Herself - Co-presenter (2001)
589155	401576	Herself - Host
589155	401951	Herself
589155	405908	Herself - Host
589155	406568	Herself
589155	406569	Herself - Host (2001, 2003)
589156	233933	Martha
589157	282928	Navy Recruiter
589158	92263	CBS Switchboard Operator #2
589158	112290	Airline Attendant
589159	47024	Tate
589160	236387	Audition Woman
589161	379602	
589162	235603	Party Girl
589163	408933	Lena
589164	166085	Herself
589165	187632	Sabine Kluge
589165	390242	Giselle Mansana (1996)
589165	390410	Mavis Zuidgeest (2000)
589165	397306	Tineke Hagenbeek (1988)
589166	116413	
589167	308382	Helena
589168	48744	
589169	15907	Young Lily
589170	252242	Bank Secretary
589171	178455	
589172	163377	Lucy/Mimi
589172	276862	
589172	331694	Cindy
589173	188489	Waitress
589173	245140	
589173	264830	Miss Finney
589174	176321	Goldwyn Girl
589175	38103	Roz 'Shutterbug'
589175	40148	Lesley Warner
589175	45695	Jackie
589175	78318	Maggie Pike
589175	78789	Stranger
589175	138992	Allie
589175	193978	Dixie Porcine
589175	203584	Insurance Executive
589175	220787	Constable Rikki
589175	235357	Christy
589175	300326	Maggie
589175	308396	
589175	328350	Ruth
589175	329307	Yvette
589175	331639	Gertrude Howard
589175	358296	Social worker
589175	384700	Various characters
589175	387531	Alice Purdam
589175	392121	Jack (1996)
589175	403279	Glovic
589176	45342	Cardgirl - 1st Fight
589177	412066	Herself (Season 3 2000)
589178	32654	Devonia Pest
589178	86750	Mrs. Sorber
589178	149287	Liza (Wendy's housekeeper)
589178	151207	Mary
589178	183587	Edna
589178	186650	Maida Gillespie
589178	393888	Bernie
589179	116901	Janey
589180	392735	Herself (Trombone)
589181	255272	
589181	386599	Kate McGuire
589182	39157	Other Woman
589183	32565	Woman on TV #1
589184	56753	Snow white
589184	106507	Hotel manager
589184	311616	Kelly
589184	330195	Respiratory Technician
589184	370116	Wendy Allison
589184	387287	Shirley Pifko
589185	112018	Girl at Dance
589185	224070	Girlfriend
589186	180158	
589187	412066	Herself ( 2001 - 2002 )
589188	224165	
589188	315878	Nicoletta
589189	117162	50's TV Show Dancer
589189	216737	Dancer
589190	38006	
589190	70815	
589190	83971	
589190	230151	Mary Ann Gifford
589190	339380	Kristen
589190	363528	Photographer
589190	385285	Herself (in 'Network')
589190	391708	Annie Cooper
589190	403509	Official's wife
589191	368416	Claudia Parker
589192	109138	Aslaug
589193	322726	Herself - interviewer
589194	182565	Nurse
589194	198386	
589194	210287	Inger Holm
589194	277024	Countess Hedvig von Wärnfelt
589194	315603	Lucia
589195	32083	Lizzie
589195	52894	Coat Check Woman
589195	203161	Mary
589196	7675	
589196	8200	Julia
589196	11362	Shuster's Secretary
589196	72710	Tracy Loxton
589196	113928	Female Victim
589196	126705	Placement Worker
589196	135176	Lynn Hyatt
589196	165635	Lena?
589196	221535	Beatrice
589196	241141	Reporter #1
589196	315619	Meg
589196	316767	Tina
589196	342628	Evelyn Collins
589196	390771	Charlotte Blume (1995-1996)
589196	405718	Additional Voices
589197	164508	Herself
589198	164508	Herself
589199	279609	Miss Falkland
589200	245982	Arlena
589201	257048	Julie Montgomery
589202	111789	Luisa
589203	186849	Paige
589204	128085	Vocals for Cybil
589204	366910	Shay
589205	383343	Co-host (1997)
589205	385286	Host (1986-1993)
589206	47572	Nicole Collard
589206	169894	Female Detective
589207	360544	Club girl
589208	194765	Woman #3
589209	70486	Copacabana Girl
589210	45521	Girl
589211	386603	Tara Wilson (1980)
589212	404738	Herself - Presenter (1998-)
589213	61418	Hooker
589214	92575	Shopper
589215	296729	Lizzie
589216	90900	Glorie Mountsier
589216	308011	Rebecca
589216	359010	DeAnna
589217	170895	Dara
589218	154629	Ada
589218	360470	Grandmother
589219	161789	Herself
589220	12006	Woman/Surgeon
589220	151556	Reporter
589221	264351	
589221	283307	Müllerstochter Marie
589221	290489	Beate Homma
589221	339092	Annelie Weber
589221	364900	Ottilie von Henkeshofen
589222	48320	Presentatrice
589222	104695	Juryvoorzitter
589222	110548	Herself
589222	361538	
589222	386998	Herself
589222	388909	Britt Michiels (1999-2004)
589222	411214	Anne Brenneman-Linders (1997-
589223	75399	Sunda
589224	7419	Mrs. Leyland
589224	11352	Sis
589224	32723	Kathleen Skinner
589224	38663	Linda
589224	73641	Ruth Carter
589224	79775	Lydia Prosser
589224	80555	Rachel
589224	157148	Violet Power
589224	158543	Kate Winter
589224	206541	Clementina
589224	210514	Mrs. Mortimer
589224	213204	Mrs. Mofrey
589224	222796	Karl's Mother
589224	227482	Nanou's mother
589224	229728	Anthea Bradbury-Scott
589224	262534	Gertrude
589224	264503	Helen Bamber
589224	290228	Elizabeth Carter
589224	294573	Edie
589224	379792	Violet Duffy
589224	380352	Mrs. Sutton
589224	383630	Margaret Castle
589224	387533	Nan Wheeler
589224	393491	Nicky Paynton
589224	396005	Mary Hodgson
589224	397182	Jenny
589224	397790	Anthea Fairside
589224	398190	Rosanna Spearman
589224	399056	Francine
589224	400083	Gwen Cellan-Davies
589224	401212	Victorine
589224	409596	Anna Dorland
589225	23449	
589225	95306	Hula Hoop Girl
589225	371962	Pagan Initiate #3
589226	40148	Diane
589226	97463	Stevie
589226	102009	Kate
589226	118868	Narrator
589226	130409	Irene Carter
589226	149956	
589226	192381	Tessler
589226	224025	Megan Kalajzich
589226	236494	Roadhouse Waitress
589226	253015	Maggie Bridges
589226	264881	Lucinda
589226	278476	Marlene Walker
589226	295446	Vivian
589226	326957	Trudy (Trude)
589226	363796	Fran Hoffmann
589226	366842	Audrey
589226	382393	Anthea
589226	382526	Bev
589226	384088	Monica
589226	385474	Joycie
589226	388452	Xhalax Sun (2001)
589226	397380	Nellie Mitchell Armstrong 'Me
589226	400697	Miriam
589226	403279	Computer
589226	406192	Betty Arbuckle
589226	410643	Charlie Driscoll (1999-2000)
589226	411008	Magistrate Fran Hoffmann (200
589227	394406	Dancer (1987-1988)
589228	12622	Voice Two
589229	308311	
589230	120719	
589231	16396	Herself
589231	27252	Lab Scientist
589231	80814	Jackie
589231	86739	Go-Go Dancer
589231	122678	Linda
589231	265516	Bev
589231	381052	Paul Wagner's Wife
589232	385299	Brenda Brown
589233	158358	Girl in Pub
589234	16003	Hattie Carter
589234	35777	
589234	46709	1st waitress
589234	52204	Jessie
589234	60729	Dr. Galina Petrovna
589234	68103	Margaret Meldrew
589234	81438	Lana
589234	87512	Lizzy
589234	96817	Cornelia Carlyle
589234	115933	Dr. Elizabeth MacKay
589234	116512	Miss Framer
589234	125550	Elsie
589234	140510	Abbess
589234	149438	
589234	154167	Herself/Margaret Meldrew
589234	167014	Nanny
589234	184656	Helen Langrishe
589234	187886	Dr. Johnson
589234	189529	Catherine
589234	194493	Galadriel
589234	203240	
589234	210497	Christina Rogerson
589234	211748	1st Committee Member
589234	222749	Margaret Booth
589234	230024	Meg Kelso
589234	238530	Kassandra
589234	243226	Kirsten Lindstrom
589234	253081	Dionyza
589234	260356	Mother Superior
589234	269979	Mrs. Kinross
589234	299715	Mrs. Cummins
589234	304339	Mrs. White, Brydie's mother
589234	305036	Fairy Godmother
589234	307566	Mrs. Dwyer
589234	310532	Irene Bell
589234	323425	Liz
589234	337484	Duchess of York
589234	342361	Maria
589234	359782	
589234	366118	Julie
589234	382382	
589234	382477	Miss Thurtson
589234	382794	Herself
589234	386581	Janet MacPherson
589234	387242	Cornelia Carlyle
589234	387334	Queen Victoria
589234	387337	Mrs. Lloyd George
589234	395647	Henrietta Labouchere
589234	400110	Mrs Bedwin
589234	400227	Margaret Meldrew
589234	400814	Dorothy Simcox
589234	401421	L.M.
589234	405525	Catherine of Aragon
589234	406912	Connie Tapscott
589234	409518	Aunt Doreen
589234	409619	Edith Sparshott
589234	411012	José Dupuis
589234	411553	Granny Weatherwax
589235	47191	Queen Mother
589235	59505	Queen Mother
589236	1675	Themselves
589236	41488	
589236	103304	Pippa Gainsborough
589236	254641	Ginger
589237	29736	Reporter
589237	69639	Reporter
589237	155070	TV Anchor Person
589237	236222	Reporter #1
589237	289666	Reporter #1
589237	344486	Streetgirl
589237	369912	Medic Council
589237	392244	Intel Anchor
589237	401718	Kitty Kowlick
589238	203530	Belle Starr
589239	310877	Blonde
589239	323937	Herself
589239	323938	Herself
589240	305722	Herself
589241	245053	Jennifer Peters
589243	31877	The Singer
589243	67118	Fay Grover
589243	128847	Singer
589243	232113	Singer
589243	382338	Herself (regular performer, 1
589244	4944	Elizabeth Sherman
589244	31188	Herself (Host)
589244	31192	Herself - ABC Team captain
589244	31194	Herself - ABC Team Contestant
589244	37387	Herself
589244	42345	
589244	42347	
589244	59584	Greatest Hits MC
589244	64556	Herself
589244	64565	Herself - Performer
589244	64566	
589244	77760	
589244	79002	Zoe Owens
589244	87779	Herself
589244	113389	Sandy Holmestead
589244	161417	Shauna
589244	175099	Angel
589244	186036	Kay Butler
589244	194976	Margaux
589244	200314	Herself
589244	210643	Lynn
589244	232017	Herself
589244	257689	Herself
589244	273316	Librarian
589244	282398	Tracy Carter
589244	308929	Mary
589244	329575	Herself
589244	337313	Lynn Strong
589244	347746	Margaret
589244	363078	Joan Hollins
589244	367980	Wonder Woman/Diana Prince
589244	368546	Maj. Kate Breckenridge
589244	368817	Herself
589244	391262	Judith Main
589244	407946	Host
589245	273316	Librarian
589246	606	
589246	2597	Sally
589246	20260	Jill Andrews
589246	39853	Herself
589246	50114	Chatty Woman at Bus Stop
589246	58940	Katie
589246	66394	Teller
589246	73249	
589246	75556	Bruno's Moll
589246	81776	Vicky Hotchner
589246	83600	Pat
589246	88180	Kay
589246	89701	Marilyn Read
589246	93152	Barbara
589246	99217	Col. Nora Hunter
589246	105726	Christine Rolands
589246	108321	
589246	115068	Rebecca Frost
589246	144964	Melanie
589246	164572	Public Defender
589246	169503	Herself
589246	187332	Sarah Jenkins
589246	202395	Carole Lombard
589246	203549	Enid
589246	208281	Jayne Blake
589246	214943	Landa
589246	223329	Carol-Anne
589246	224405	Diana Dyrenforth
589246	253818	Rachel Creed
589246	267109	Laurel Hollway
589246	274315	The Psychiatrist ("The Psychi
589246	274322	Officer Lynn "Mona" McCabe ("
589246	278933	Bella Blu
589246	280193	Mrs. Muller
589246	303975	Angela 'Angie' Smith
589246	313393	Herself
589246	313405	Sela
589246	313443	Lt. Tasha Yar
589246	313444	Lt. Tasha Yar
589246	313445	Lt. Tasha Yar
589246	313625	Kim Parker
589246	327974	Sally Lomas
589246	337632	Bruno's Moll
589246	338981	Herself
589246	338982	Herself
589246	385824	Lisa Davis (1980)
589246	394362	Chaucy Caldwell
589246	406408	Lt. Tasha Yar (1987-1988)
589247	80661	Joanne
589247	302686	Charlie
589247	383813	
589247	396167	Jassy Firbeck
589247	402197	Carol Lewis (1982)
589248	84006	Mrs. Barlet
589248	117496	Ms. Vantwerp
589249	31324	
589249	35240	Grace Parker
589249	41240	Hope Halliday
589249	106513	Innocence
589249	143377	Waynne Landis
589249	193727	
589249	213838	Cissy Green
589249	235076	
589249	256433	
589249	305596	
589249	309583	
589249	361694	Mrs. De Wyle Jenkins
589250	65224	Guest
589251	9131	Passenger
589251	71466	Mrs. Smalley
589251	105465	Second actress
589251	133442	1st Female Judge
589251	187271	Companion
589251	190245	Woman at Fire
589251	257269	Kyla
589251	297005	Daisyette
589251	318842	Maggie Oberon
589251	348070	Waitress
589251	363953	
589251	365163	Sophie
589252	59763	Margaret
589252	248987	Nora Cope
589253	163492	Girl in Court
589253	276882	Cathy
589254	206795	Tina Boland
589255	161523	Cinderella
589255	325130	Jane Porter
589256	303455	Mrs. Bannister's Guest
589256	317451	Stuff Girl
589257	31715	TV Interviewer
589257	41887	Randy Moon
589257	41955	Bel-Air Woman
589257	105851	Claudia
589257	118980	The Abused Neighbor
589257	130311	Linda McCartney look-a-like
589257	226891	Rhonda
589257	235615	Fashion Show Announcer
589257	245699	Waitress
589257	263360	Olsen Sister (Polo Game)
589257	305438	
589257	314982	Nurse #5
589257	359403	Nurse in Infirmary
589258	407656	Kayla (2002-)
589259	3767	Herself
589259	31190	Herself (NBC Team)
589259	34312	Ursula Schneider
589259	38237	Herself
589259	38238	Herself
589259	42720	Marlee Redding
589259	61642	Ann Preston
589259	69400	Ellen
589259	70916	Jessica Pierce
589259	72120	Merilee Taylor
589259	72424	
589259	75284	Dana Rhodes
589259	80781	Beth/Cathy
589259	87869	Marcie
589259	97035	Kate
589259	113353	Susan Campbell
589259	130767	Natalie Kingsley
589259	130976	Herself/Goldilocks
589259	135514	Eloise
589259	155263	Princess Karina
589259	168403	Adele
589259	185540	Elizabeth Rush
589259	200214	Herself
589259	210849	Jennifer
589259	231832	Nikki Rogers
589259	269795	Mary Preston
589259	297628	Irene
589259	312828	Mrs. Lucy Mallory
589259	324777	Samantha Gregory
589259	363011	Herself/Kristin Shepard
589259	366868	Lisa Harris
589259	382845	Suzy Cooper
589259	385594	Kristin Shepard #2 (1979-1981
589259	391834	Karen Lancaster
589259	399684	Isabel Hazard
589259	401079	Patricia North
589260	393921	
589261	24157	
589262	27111	The Comedian
589263	41875	Girl #2
589264	238230	Jeannie
589264	264157	Duchess Quincey
589264	271344	Mourner
589265	168714	Girl in hotel room
589266	37525	Susy
589268	389869	Crowd
589269	89631	Ellen, the Maid
589269	206389	Undetermined Role
589270	390773	
589271	392911	Directrice
589272	58184	Elena
589272	402302	
589273	314158	Young Robin Parks
589274	81346	Elva McKinley
589275	94055	Herself (author)
589276	171691	Covern Member/Stunt Performer
589277	273972	Doctor
589277	390771	Jane Fletcher Hayes, R. N. #2
589277	404613	Ellie Harper Bergman (Year Un
589277	411811	Faye Bannister #2 (1961-1962)
589278	75612	Inmate
589279	151222	Female Singer #2
589280	14609	Aunt Martha
589280	47326	Madge Foster
589280	55519	Mrs. Ellen Connelly
589280	59623	Henrietta Lowell
589280	75606	Sarah Crabtree
589280	78762	Granny Vane
589280	99224	Christine Somers
589280	116548	Madame Bovard
589280	128386	Granny Moseley
589280	146782	Deborah Delaney
589280	151408	Herself
589280	210897	Sybil Thornton
589280	218734	Lucy Van Steedan
589280	253475	Mrs. Cosgrove Dabney
589280	255828	Hannah Jessop
589280	278274	Mrs. Trent
589280	282625	Fanny Cavendish
589280	318078	Aunt Sophie Travers
589280	319777	Violet Logan
589280	331551	'Ma' Gillespie
589280	348079	Mrs. Hatch
589280	358969	Mrs. Carroll
589281	48632	Maria
589282	31286	Millie
589283	378883	Presenter
589284	2445	Herself (Daughter of Reverend
589285	192032	Carol (orphanage orchestra)
589286	87246	
589286	114267	
589286	164359	
589286	322565	
589287	39191	
589288	223848	Spectator
589289	47930	Sandy
589289	51989	Christina
589290	149226	Gary's Wife
589291	57747	Guard# 3
589292	296752	Woman in Suspension Room
589293	181135	Kathleen Huddleston
589294	299451	Receptionist
589296	247885	
589297	215731	Ann
589298	50607	Irene
589299	157752	Paquita
589300	32585	Eliza Naumann
589301	289024	Dancer in Nightclub
589302	75570	Isabella
589303	91585	Fussy Mother's Child
589304	222784	Basement Girl #4
589305	56224	Nancy (Maid)
589306	292345	Herself
589307	334210	Cromwell's Middle Daughter
589308	194152	Cherry
589308	296888	Waitress
589309	50639	Mrs. Kagan
589309	64394	Chris
589309	109629	Female Lawyer
589309	158983	
589309	200356	
589309	222650	Jackie
589309	230526	Katt Reynard
589309	251247	Scientist
589309	312011	Megan O'Hare
589309	341849	F.A. Karen David
589309	356477	Beth
589309	369486	Cop #2
589310	32585	
589311	11450	Rachel Stockman
589311	12779	Anne Kidwell
589311	27263	Ruth Fielding
589311	29296	American actress
589311	60347	Herself
589311	77793	Lydia Gleason
589311	96913	Jane
589311	110967	Mrs. Stephens, Eve's Mother
589311	161262	Herself
589311	161290	Herself
589311	161339	Herself
589311	185203	Sarah Hite
589311	192724	Rebecca Hausman
589311	198492	Carla
589311	210458	Herself
589311	220016	Denise
589311	265915	Lynn Erskine
589311	278721	
589311	315505	Marty Hoy
589311	324956	Karen Mackaphe
589311	365981	Molly
589311	380391	Tanya (1986)
589311	386144	Bree Van De Kamp
589311	387309	Liz Correll (1984)
589311	387989	Dr. Linda Abbott (2003-2004)
589311	389923	Anne Bingham
589311	394676	Victoria Broyelard (1991-1992
589311	397401	Dr. Kimberly Shaw Mancini (19
589311	400236	Kate Sanders (1986-1987)
589312	204217	Susan Tate
589312	315223	Waitress
589313	145874	Peggy Whitmore
589314	151530	Salon Girl
589314	359908	Kristin
589314	401527	Co-Host (The Down Low)
589315	213950	Elsie Horne
589317	17749	Boylan Sister
589317	44439	
589317	138775	Marilyn
589317	252825	Dita
589317	336140	Nina Dworsky
589317	353391	Roz
589317	401395	Phyl
589317	404570	Dolly Moon
589318	5306	Young Woman
589319	127812	Rose
589320	26666	Stacey
589320	62941	Sarah
589320	117266	Roxy
589320	154427	Chess Chemical Tour Guide
589320	185533	Candy
589320	213234	Gina
589320	269859	Stacy
589320	363218	
589320	384166	Sarah
589320	409585	Megan Peterson
589321	129066	Nancy
589321	235411	Jennie
589321	346075	Marie
589322	235571	Martha Davis
589322	304554	Susan
589323	266735	Amanda
589324	178897	Teen Girl
589324	293762	Jessica
589324	314619	Greta
589325	126075	Hooligan
589326	138716	Herself
589326	408557	Herself - Performer (1978)
589326	411812	Judge (1997-1998)
589327	137224	Badger
589328	152574	
589329	41301	Beauty Contestant
589329	316886	Young Girl at Bar
589330	297356	May Thompson
589331	26291	Receptionist
589331	34702	Stripper
589332	192403	Illuminati Girl
589333	139587	Herself (interviewee)
589334	16847	Jean
589334	45662	Nurse
589334	335258	Granny
589335	296749	Kim Lee
589336	269983	Mother
589337	186708	
589338	1015	Marge
589338	208878	Lily
589339	55432	
589340	47017	Mrs. Paterson
589340	51975	Cossie
589340	54636	Mrs. Sirak
589340	68695	Mrs. Griggs
589340	79897	Hilda (Barnhardt's secretary)
589340	154747	Mrs. Turner
589340	195162	Lil Stewart
589340	323389	Olive Erickson
589341	109395	Trophy Model #4
589342	292779	Raunchy Woman
589342	335982	Emily, Jessie's Maid
589343	7952	Mother with Child
589343	31715	Diva
589343	61572	Delivery Room Nurse
589343	81105	
589343	219931	Special Guest Appearance
589343	303225	Tina
589344	65722	Rachel
589344	128790	Mae, bullying inmate
589344	146840	German Actress
589344	207138	Hostess
589344	254488	Girl in Tag Sequence
589344	294199	
589345	86532	The Sister
589345	224698	
589346	253248	Woman
589346	292856	Flicker Flashback Lady
589347	157738	Linda
589347	404740	
589348	17928	Natalie
589348	185451	Young Evelyn
589348	292419	Martha
589348	391786	Cindy Cunningham #1 (1995)
589348	408053	Tracey Browne
589348	410978	Deborah Allis (1997-1999)
589349	332133	Denise, age 5
589350	66277	Ann
589351	51799	Girl in Dressing Room
589351	147515	Elevator operator
589351	175405	Miss Beckett
589352	279323	Stella
589353	32432	Boring Woman
589354	49346	Paramedic #2
589354	177705	Officer Petrini
589355	271198	Walker Point Guard #1
589356	50910	
589356	109989	
589356	146066	
589356	165576	
589356	319897	
589357	131593	Tall Blonde
589357	199638	Ellen
589357	242377	Patsy
589357	255285	The Girlfriend
589358	167324	British reporter
589359	66596	Child
589360	186650	Additional player
589361	182948	Women's Army of Revolt/Citize
589361	274333	Dancers at the Ball
589362	393599	Herself (eliminated round 1)
589363	306058	Yvonne
589364	64701	Laura
589365	247961	Madre di Francesca
589366	328114	Enfermera
589367	310243	
589368	299041	Linda
589369	211353	Portia
589370	155013	Girl/Jack's movie
589371	356472	The Media (Herself)
589372	29519	Andrea Miller
589372	262097	Princess Shayla
589372	262098	Princess Shayla
589372	402008	Princess Shayla
589374	302710	Dancer
589375	402037	Herself
589376	390319	Marsha Brown Brady
589377	327437	Young Miranda
589378	1491	Herself
589378	157978	Turtle Choir Member
589379	223758	Sarah McSwat
589380	76788	Tina
589381	213589	Yum-Yum
589381	256625	Mabel Stanley
589382	96938	Linda
589382	276892	Secretary
589382	320108	'70s Girl
589383	319257	Chloe
589384	3905	Herself
589384	61728	Linda
589384	79698	Runaway
589384	222216	Steve
589384	352960	Herself
589384	389300	
589384	390311	Tracey Partridge (1973)
589384	398507	Stevie Freedman
589384	400913	Tracy Partridge (1974-1975)
589384	400914	Tracy Partridge
589385	257296	Little Human Girl
589386	16127	Miranda, at 2 years
589387	16127	Miranda, at 2 years
589388	139978	Mary
589389	83964	
589390	16646	Susan Cooper
589391	256220	Politico
589392	58827	
589393	11525	Kay Eddy
589393	12248	Allie
589393	20788	Ilana Green
589393	33178	Janet
589393	35421	Mother
589393	35455	Abbie
589393	35782	
589393	35783	Caroline Ingalls
589393	50989	Grace Damico
589393	59273	Rheza
589393	60714	Therapist
589393	67607	Dr. Joan Allenby
589393	68511	Anne Strieber
589393	78217	Rochelle Isaacson
589393	83952	Brenda Chandler
589393	98803	
589393	98804	
589393	105263	Janet Florine
589393	113267	Dana Cartier
589393	150920	Margaret Ford
589393	154735	Louise Sanders
589393	155311	Dr. Diane Brady
589393	155888	Frances White (segment "1996"
589393	157240	Chancellor
589393	159084	Jane
589393	160492	Sharon Tiller
589393	170980	Tallow
589393	181262	Princess Lyssa
589393	187698	Ronnie
589393	234982	Natasha Lytess
589393	241404	Judge Davis
589393	245055	Kim Donaldson
589393	248572	Una Pace
589393	250980	First Actress
589393	257132	Margaret Lomax
589393	262704	Elfriede Prefontaine
589393	264068	Carla Ciello
589393	265516	Dr. Susan Lamarche
589393	304528	Lily
589393	316209	Patti Young
589393	318790	Young Margaret Turner
589393	352145	Kaitlin Costello Price, Forme
589393	359381	Maureen Redmond
589393	408750	Laura Parkhurst
589394	357843	Chloé
589395	101222	Béa
589395	404127	Shaina/Kiki
589396	7459	
589396	287773	Orderly 2
589397	99109	Elettra
589398	164505	Liz Stride
589398	219420	Woman in Car
589398	278081	Beryl
589398	296810	The Daughter (new family)
589398	329990	21 Chaucer Street
589398	367854	Doreen Lostock
589398	381315	Cissie Ludgrove
589398	385020	Doreen Lostock (1961-1963)
589398	393439	Mrs. Connor
589400	32347	Claire Forman
589400	41693	Morgan Fontenot
589400	72459	Gloria Turner
589400	78757	Anna St. Cyr
589400	113267	Dolores Brody
589400	113412	Belle Rogers
589400	130347	Meg
589400	131612	Janice
589400	179423	
589400	191625	Jenny Heywood
589400	214755	Sarah Marks
589400	230347	Pam
589400	265091	Michelle Castle
589400	301830	Natalie
589400	380713	Beatrice McColl (1986-1987)
589400	383874	Linda McManus
589400	397657	Cindy
589400	402232	Michelle Castle
589400	409056	Ginny
589400	411354	Lee Bouvier Radziwill
589401	375694	Shower Girl
589402	82099	Make-up Artist
589403	236602	Lily
589404	230504	Annika Settigren
589405	132915	Reeve, Time Tourist
589405	147888	Linda
589405	169918	Judge Chelsea Walker
589405	232819	Jennifer Barnes
589405	289558	Woman at Babylon Club
589406	201772	Herself
589407	75195	
589407	264734	
589408	272848	Flocker woman
589410	226923	Julie
589411	1673	Herself
589411	1702	Herself
589411	1743	Herself
589411	2048	Herself
589411	2573	Herself
589411	2721	Herself
589411	2781	VIP Patron
589411	11129	Herself
589411	13751	Herself
589411	26592	Herself
589411	46681	Herself
589411	51440	Herself
589411	69080	Herself
589411	80356	Musical Performer - "Begin th
589411	99602	Herself
589411	102471	Herself
589411	113003	Herself
589411	161376	Herself
589411	190798	Performer
589411	190799	Herself
589411	199129	Herself
589411	214802	Laurie Bloom
589411	221481	Herself
589411	221482	Herself
589411	223973	Herself
589411	298623	Herself
589411	298625	Herself
589411	352748	Herself
589411	352749	Herself
589411	365841	Herself
589411	368156	Herself
589411	368158	Herself
589411	384537	Performer
589412	38045	
589412	71659	Sarah
589412	102500	Grimhild Housewife
589412	139357	Charlotte
589412	194513	Hotel Receptionist
589412	243653	Queen Mary
589412	271262	Catherine Phillips
589412	295312	Helen
589412	320759	Livy (Hullabaloo)
589412	333679	Woman with pipe
589412	365991	Samantha
589412	385627	Miss Orchard (segment film tw
589412	390574	Miss Skiffkins
589412	391194	Mrs. MacHugh
589412	396081	Third Twitterer
589412	400530	First Guest
589412	401725	Receptionist
589412	409841	Lady Blanche
589414	245541	Girl On Scooter
589415	411363	Deena Tyndall
589416	97344	Sneezing Woman
589416	367446	Salvation Army Woman
589417	257808	Herself
589417	304544	Megan Lowry
589419	116130	Female Escort
589420	124177	Girl #2
589421	12217	Mrs. Deegan
589421	99311	Aunt Lena
589421	166917	Alice
589421	289222	Teacher at Graduation
589421	302789	Dr. Jamison's Nurse
589421	350424	Lucid Dreamer
589424	215690	Miss Delaware USA
589425	89188	Claire Allen-Burke
589425	214119	Memphis girl
589426	41318	President's Playmate
589427	350424	Herself
589428	102009	Couple
589428	137568	Det. Snr Con Sylvie Manganari
589428	276004	Joanna
589428	380286	Herself - Presenter (1998-)
589428	400646	Dior Shelby
589429	106217	Newscaster
589429	215760	Newscaster
589430	8198	Thug
589431	362235	
589432	45550	Miss McClure
589432	72496	
589432	128519	Mrs. Byrne
589432	148287	Daylia O'Reilly
589432	152878	Bridget
589432	258209	Bessie Burgess
589432	269861	Mrs. Elizabeth Playfair
589432	278820	
589432	297082	Mrs. Madigan
589432	314260	Milly McNamara
589432	328451	Mrs. Kathleen O'Neill
589432	335858	Biddy O'Devlin
589433	300871	Punkette
589433	363808	Theona
589434	106493	Michelle
589435	30649	Customer
589436	14144	
589436	148446	NSA Translator
589437	199765	Herself
589438	33188	Mia
589438	329413	Claire Won
589438	359788	Ashley Perry
589438	401833	Mia Crowe
589439	342865	
589440	53039	Bud
589441	55665	
589441	55691	Fatima
589441	57161	Lucinda
589441	118393	Laura the bride (Wedding one)
589441	314140	Bank Transfer Secretary
589441	381954	Margaret Johnson #2 (2001)
589441	382483	
589441	390895	Fanny Foulacre
589441	399781	Various (1986-1987)
589441	403734	Various
589441	403843	Daisy
589441	404409	Lulie
589441	405899	Max
589442	72458	Jenny Barrett
589442	78882	Marylee Williams
589442	108248	Lindsay
589442	210654	Young Eva
589442	219909	Renie, age 8
589442	242033	Guinevere
589442	394676	Olivia Cunningham Dyer (1980-
589442	394677	Olivia Cunningham Dyer
589442	411363	Cynthia Rayburn
589443	16396	Herself
589444	49973	Homeless
589445	368244	Bubbles
589446	204386	High School Girl
589447	81067	Sheila Chase
589447	110283	Shareen Mercer
589448	195035	Mujer motociclista/Modelo #4
589449	21798	Catherine de Medicis
589449	24964	Her mother
589449	27166	Mrs. Bates
589449	35182	Mrs. Dunn
589449	35273	
589449	37255	
589449	38660	Mrs. Cameron
589449	46179	Janitress
589449	46548	Landlady
589449	49673	Susie Simpson
589449	60308	Mrs. Harriet Gray
589449	61594	Landlady
589449	73695	Mrs. Griswold
589449	76511	A Bargain Hunter
589449	78156	Henrietta
589449	85929	Aunt Agatha
589449	89211	
589449	90360	Mrs. Abott
589449	107411	Lady Theobald
589449	112538	Princess Torini
589449	114900	Madame Binnat
589449	115936	Ma Briskow
589449	117300	Housekeeper
589449	133946	Mrs. Cain
589449	137447	Mother Rogers
589449	139547	Mother in law from 'Hot Water
589449	141519	The Mother
589449	142242	Sarah Hayne
589449	146106	
589449	148358	'Ma' Deep
589449	148404	Payne's Mother
589449	148545	Mrs. Dobbs
589449	150478	Her Mother
589449	150810	Mrs. Shockley
589449	150935	Aunt Betsy
589449	161542	Catherine de Medici (Medieval
589449	169228	Aunt Elsie
589449	177405	
589449	186155	
589449	190609	Ma Curtis
589449	192246	Widow Larkin
589449	192515	Mrs. Boland
589449	201060	Widow Bogart
589449	202888	
589449	203536	Queen Anne
589449	204798	Mrs. McGavity
589449	206593	Jennie Hawkins
589449	209086	Nanette
589449	211600	Queen Milena
589449	214734	Stepmother
589449	220076	Woman Collecting Ironing
589449	220340	Mrs. Williams
589449	230548	Margaret
589449	233591	
589449	234234	Mrs. Judson
589449	239612	Mrs. Coburn
589449	246358	Mrs. Galloway
589449	246712	
589449	252217	Her Mother
589449	252583	Mrs. Crafton
589449	255861	Karsten's mother
589449	267377	Mercy Winters
589449	273598	Miranda Sawyer
589449	281845	Grandmother Wiley
589449	283637	Mother Holf
589449	290390	
589449	293211	Martha Scribbins
589449	297769	Mrs. Chichester
589449	298128	
589449	303427	Mrs. Teak
589449	306150	
589449	310805	Lady in car
589449	311463	Mary
589449	311760	Countess Van Alstyne
589449	314360	Aunt Gladys Linden
589449	326468	
589449	331294	
589449	361153	Miss Pringle
589449	362056	Mrs. McCracken
589449	363891	Baroness De Beaurepaire
589449	367544	Aunt Eleanor Endicott
589449	367918	Margaret
589449	368921	Painting owner's mother
589449	370567	Mrs. Stuvic, an Illinois Matr
589449	371038	Mrs. Van Kronk
589449	371384	Mrs. Harbours
589450	381821	Ensemble (1981-1982)
589451	131717	Miriam
589452	128528	
589452	151677	
589452	217885	
589454	133758	Angela
589454	266546	Jean
589454	386763	Lucy
589455	72689	Susie
589456	56996	Victoria
589456	141579	Dancer
589457	59687	
589457	74881	Kelly
589458	99330	Fairy Administrator
589458	154804	Receptionist
589458	362722	Bookshop Babe
589459	104772	Host
589459	387959	Herself - Co- Presenter (1997
589460	248445	Milo's secretary
589462	50656	
589462	186446	Mrs. Flanagan
589462	382979	Felicia Ni Bnuachailla-Mhuirc
589463	47279	Emily
589464	169911	Peg
589464	284005	Maureen
589464	381641	Biddy Hall
589464	409666	Emily/Aoibhinn, scullery maid
589465	262626	TV Reporter
589465	298122	A Student
589465	321273	Newscaster
589466	51975	Matron
589466	52455	Anna Felczak
589466	131534	Woman
589466	140676	
589466	163451	
589466	194052	Kate
589466	231925	Newsstand Woman
589466	308401	Nell (saloon singer)
589466	330231	Officer's wife
589467	353294	Academy Girl
589468	97681	Julia
589468	112217	Mrs. Emily Drudy
589468	300346	
589468	313391	
589468	333868	Mrs. Lockhart
589468	351903	
589468	402743	Meg Appleby
589468	402956	Charlotte Mullen
589468	407838	Nellie Keene (1981)
589469	49450	Mink Logan (Host of Trading B
589470	158873	Extra
589471	314670	Sheila's Mom
589472	92692	Mina Harker
589472	100822	Romantic Singer
589472	210233	Shirley
589473	139745	Kate
589474	12355	Laura Thompson
589474	64885	Fern Fellows
589474	75570	Dolores Carter
589474	92286	American Newspaper Woman
589474	109210	Susanna
589474	110218	Marian Nichols
589474	110957	Peggy Voe
589474	114839	Carol Dahlmann
589474	186460	Alice Fiske
589474	254560	Fran Maroon
589474	269853	Teresa Carpenter
589474	273629	Jeanne Mapes
589474	284926	Susan Crenshaw
589474	295285	Mother
589474	300149	Estelle
589474	302026	Kathy
589474	324955	Nora King
589474	327772	Mrs. Marva Gibbons
589474	361837	Laura Thompson
589474	410650	Terry Van Buren
589475	295185	Ambulance Paramedic
589476	78991	Streeter #B
589477	2890	Pat Maris ('98)
589477	38784	Mary Lee McNeil
589477	67578	Mrs. Lenore Kennicut
589477	70470	Georgia Cameron
589477	108399	Carol Long
589477	117486	Maggie Carrington
589477	117655	Sally Carver/Peggy Pruith/Cla
589477	147809	Terry Roberts
589477	160911	
589477	175810	Ann Morrow
589477	210906	Leah McIver
589477	214162	Maggie Haines
589477	217958	Dr. Autumn Claypool, Veterina
589477	232837	Patricia Kettrick
589477	259277	Gloria Leland
589477	274102	Susan Martinez De La Cruz
589477	276741	Sophina McClaren
589477	276852	Lucy Faber
589477	289559	Betty Anderson
589477	304337	
589477	312280	Julie Walsh
589477	330004	Ann
589477	334376	Elaine May Donaldson
589477	358594	Mary Dennison
589477	362635	Eloise Cott
589477	385743	Judy Foster (1951-1952)
589477	387152	Emily Fallmont (1986)
589477	389867	Rebecca Whitmore #1 (1989-199
589477	393595	Georgia Cameron (1975-76)
589477	401660	Joan Nash
589477	401930	Mary Scanlon Collins (1997-20
589478	379692	Hostess
589479	313522	College Girl #3
589480	44446	Anoukin
589480	62886	Lexi
589480	87512	Reporters
589480	92993	Mrs. Pierpont
589480	119460	Herself - Crown Princess of G
589480	143712	
589480	245502	
589480	304972	Woman in Diner
589480	317975	Inspector
589480	344356	
589480	365753	Louisa
589480	376108	Herself
589480	381113	DCI Helen Chivers (1996)
589480	386233	Hilary Robarts
589480	394671	Nicki Lucas (1994)
589480	409106	Lucy
589481	372525	Sanchez
589482	167096	Herself
589483	123798	
589484	195343	Cheerleader
589485	387247	Annie Smith (1985-1988)
589486	229259	Mrs. Farrell
589486	331661	Assimina (segment "Toula")
589486	336833	
589486	385132	Celestine
589487	20373	Arnella
589487	329027	Vanessa
589488	103215	Porcelain Bus Dancer
589489	313522	Phone Customer
589490	149444	Pianist
589491	387461	Helen Watson
589492	151109	Freshman girl #2
589492	160034	Sheila Terry
589492	382693	Julie (II) (Series 3-5) (1987
589493	54362	Player #1
589493	152688	Ruth
589493	378753	May Armitage
589493	393685	Ada
589494	32790	Mrs. Coaxer
589494	141532	Rosemary
589494	293267	Avril
589494	387429	Kitty Hindle
589494	390416	TV woman #2
589494	399585	Hazel Edwards (1982-1987)
589494	411353	Margaret Porcher
589495	183599	Betty Mellors
589496	12295	Nurse
589497	359971	Grad
589498	7889	Anti Smoking Girl 3
589499	222681	Myrna Harris
589499	241341	Sandra
589499	382052	Sgt. Jane Kendall (1993)
589499	388321	Annie Hart (1997-1999)
589499	389342	Jill Trendle
589499	390692	Sandra Phillips
589499	395690	Lucy
589499	395924	Councillor Alison Hemmings (2
589499	396772	Julia Bertram
589499	402603	Philippa
589499	408903	Sylvia
589499	410640	Susan Roberts (Series 2-3) (1
589500	150239	Second Charwoman
589501	271077	Kate Morrison
589501	388363	Esmee Cutler
589502	127134	Margaret
589503	8282	
589503	36661	Claudia
589503	140542	
589503	255501	Francisca
589503	282898	Julia
589503	341229	
589503	349326	
589503	379252	Penélope Paris
589503	380074	Evelyn Jara Machuca
589503	380096	
589503	381860	Claudia
589503	383867	
589503	396925	
589503	401634	
589503	404074	
589503	404815	Sonia
589503	407644	Mónica
589503	408724	
589503	410383	
589503	412301	
589504	116402	Helen
589505	19824	Woman Scholar
589505	73340	Ethyl Mootes
589505	134077	Woman at Del's execution
589505	158902	Mildred Koch
589505	280356	Nurse
589505	289260	Annie's Mother
589505	338155	Mrs. Wiggins
589505	367524	Mother
589505	392130	Alice
589506	183542	Lady Sarah
589506	378710	Angry Woman
589506	392483	Claudius' Bride
589506	393102	Virginia Watter
589507	382264	Herself
589508	125330	
589509	172349	
589509	205398	Frau von Hübner
589510	366027	Bar crowd
589511	151529	Old Lady
589512	359744	Elizabeth
589513	27346	Claudia Fern
589514	183722	Singing Maid
589514	186796	Verona
589514	215796	Jeanie
589514	380192	Herself (Series 2) (1986)
589514	382875	Jean
589515	15027	
589515	99912	
589516	19687	Celia
589516	21628	Pregnant Woman (lead)
589516	31274	Mara
589516	54632	Juliette Laurier
589516	62570	
589516	83340	Lucie
589516	147027	Marie
589516	161765	Nathalie
589516	199896	Bibiane Champagne
589516	211140	Muriel
589516	222693	Marie Cartier
589516	235575	
589516	239224	Tango
589516	243289	Louise Sandoli
589516	254089	Pascale Blanchot
589516	261551	Fille du bordel
589516	323584	Medical Examiner
589516	374401	Nanny
589516	383863	Noémie Vanasse
589516	397043	Nadine Mallette
589516	398172	
589517	219485	Suzanna Barbezat
589518	44465	Ann
589518	118543	Zorline
589518	253126	Black maid
589518	323457	Maid
589518	330179	Nurse
589519	130124	Female Patron
589520	222661	
589521	164482	Nicole Reed
589521	223896	Alisa
589521	272661	Lisa
589521	348608	Student Screamer
589522	108522	Restaurant Patron
589523	51772	Samantha
589524	86575	Catherine enfant
589524	266379	Dorothée
589524	287619	Murielle
589525	247159	Niña
589526	6276	
589526	26681	Tatiana Falorni
589526	33501	Rossella
589526	56929	Zia Marisa
589526	69262	
589526	109981	
589526	111336	Luciana
589526	116345	
589526	128061	
589526	161819	Danila
589526	202777	
589526	212394	Cecilia
589526	217557	
589526	236322	
589526	259950	
589526	283283	
589526	294412	Rossana
589526	384784	
589527	219457	
589528	358478	Villager of Tullymore
589529	254523	Mini-Bopper
589530	170436	Nicole
589531	57489	Diner
589531	310726	Bus Passenger #2
589532	126022	Miss Gummidge
589532	330185	Club hostess
589533	68060	
589533	178073	Kitty
589533	235502	Mimi
589533	364646	Slave Girl
589534	330595	Kenny O'Donnell's Daughter
589534	402345	Hannah Hansen #2 (2000-2001)
589535	50816	Jessica
589536	152826	Mrs. Turner
589536	200992	Ruth
589537	381608	Dr. Liz Sinclair
589537	382590	
589538	96702	Gloria
589538	159132	Woman At Party
589539	30311	Woman in back yard
589539	109993	Mrs. Murphy
589539	119892	Tea Lady
589539	244399	Mollie
589539	257742	Madam
589539	308174	Lulu's Mother
589539	315026	
589539	317194	Chicquita Roth
589539	331085	Norda
589539	346216	Fat Lady
589539	372544	Mrs. Einstein
589540	330595	Kenny O'Donnell's Daughter
589540	402345	Hannah Hansen #2 (2000-2001)
589541	309639	Woman
589542	230703	Obstetrician
589543	79813	
589544	169409	Diana (episode 'Poor Butterfl
589544	273246	Betty
589545	332857	
589546	290402	Thelma Murdoch
589547	159361	The Dreamself of the Heartbro
589547	182948	Gen. Jinjur
589547	188968	The Queen of Hearts
589547	267684	Lulu White
589547	274333	Old Rag Face
589547	342549	Girl Singer at Roadhouse
589547	342552	Roadhouse Singer
589547	365988	Elspeth Grahame/Voice of Mr. 
589549	327021	IMC technician #2
589550	73333	Secundina
589550	115110	Mother
589550	127255	Maria, Dana's Maid
589550	192778	Rosa
589550	196302	Sadie
589550	236696	Krystal
589550	254761	Maria
589550	313049	Claudia's mother
589550	366957	Nurse Consuela
589551	115421	
589552	402489	Ellen
589553	185549	Trooper
589554	220989	Maria
589555	18158	Nurse 1
589555	243073	Kathryn
589556	69440	Herself
589557	22176	Rose Vibert
589558	74080	Herself (R. Crumb's mother)
589559	74080	Herself (R. Crumb's first wif
589560	69440	Herself
589560	74080	Herself (R. Crumb's & Aline's
589561	188639	Friend of Sandra
589562	383410	Additional Voices
589562	383412	Additional Voices
589563	131541	Carla Richardson
589563	194663	Claire
589563	215574	Alison
589563	313188	Jennifer
589563	365142	Beby
589564	66939	Kim, the Goth Girl
589565	13903	LA Girl
589565	299789	Silverlake Hipster
589566	138716	Herself
589566	280385	
589566	378862	Herself
589567	223790	Schoolteacher
589569	116885	Juliet
589570	249743	Massagepige
589571	277109	Stephanie
589572	16658	Emily
589573	224360	Girl in Class
589574	324956	Tammy Mackaphe, Karen's Daugh
589575	97727	Neighborhood Extra
589576	54243	Louise
589576	163729	Les comédiens-mimes
589576	337029	Ghislaine (young)
589577	231391	Aerobics Instructor
589578	234004	Àgata
589579	47799	Cindy
589580	201924	Girl in Hallway
589581	201924	Councilwoman
589582	201924	Sylvia
589583	167797	Mourner
589584	331658	
589585	30139	Toni
589586	81256	Lara
589587	167797	Mourner
589588	71694	Herself
589590	43252	Murdered maffia girl
589591	43252	Pierre's girl friend
589592	308239	
589593	94674	
589593	223462	
589593	325559	Stewardeß
589593	401434	Sabine Sattmann
589594	176300	Bit Part
589595	277070	
589596	32052	Autumn Meadowbrook
589597	190461	BET Reporter
589598	150061	LaShawna
589598	151126	Shireen
589598	169944	Rachael Payne
589598	195319	Hylene
589599	266004	Louise
589599	319753	Hospital Cleaner
589600	409578	Sally Barford
589601	9888	Mary Jenkins
589601	10668	Mrs. Liddell
589601	16073	Mrs. Luke
589601	18275	Eurydice
589601	23705	Lady Tryke
589601	33088	Teresa, Wife of Vinolas
589601	34488	Mrs. Markham
589601	35819	Ella Mathry
589601	41195	Helen Dickerson
589601	66911	Judith Starkadder
589601	69646	
589601	71559	Madame Danglars
589601	72886	The Old Crone
589601	77835	Nurse
589601	98826	
589601	99067	Grandmother
589601	108487	
589601	111061	Mrs. Birt
589601	114838	Francesca
589601	116738	Mrs. Harris
589601	118393	Mrs. Beaumont (Wedding two)
589601	118789	Mrs. Sharpe
589601	120025	Frau Freud
589601	123511	Frau Bikstein
589601	128293	Maude Klein
589601	129104	Julio's wife
589601	129988	Rosalie Frayling
589601	134290	Farmer's wife
589601	140192	Mrs. Dudley
589601	150841	Jessica Henderson
589601	152723	Simone
589601	175177	Josefia
589601	177336	Goneril
589601	183845	Mrs. Sidney Herbert
589601	191774	Wife
589601	200779	Marie Mahler
589601	201422	Bella
589601	202530	Carmella Gonzar, Paolo's Wife
589601	203295	The Housekeeper
589601	210508	Mother
589601	211787	Somaya
589601	214931	Mafalda Gozzi
589601	218337	Teresa
589601	222593	Mrs. Price-Ridley
589601	233677	Alice Byrne
589601	234033	Theater Sister
589601	235058	Mrs. Thornton
589601	236733	Sister Eleanor
589601	251421	Narrator
589601	252573	Aunt Sarah
589601	262799	Carlotta
589601	270025	Acte
589601	278885	Somaya
589601	281165	Juliet
589601	285756	Aunt
589601	295385	Therese Blanchard
589601	298079	Gladys
589601	308917	Mrs. Leivers
589601	310313	Magdalena
589601	321687	Queen Katherine
589601	323446	Elizabeth Rusman
589601	323770	Madame Therese Defarge
589601	328853	Mary
589601	339691	Trilby
589601	354488	Lettice Deverel
589601	355540	
589601	364417	Miss Henley
589601	366461	Hermione
589601	368374	Mrs. Harris
589601	369184	Mrs. Earnshaw
589601	382727	Aunt Ellen
589601	383071	Goodwife Margaret
589601	383511	Hepzibah
589601	385103	
589601	385717	Mrs Polzinski
589601	387471	Catherine Parr
589601	388249	Grand Duchess Vladimir
589601	389231	Marion Sharpe
589601	391035	Mrs. Sparsit
589601	391680	Georgina Priestley
589601	397676	Lucy Bellringer
589601	400813	Inga Swynnerton
589601	401962	
589601	405525	Catherine Parr
589601	405696	Mother Felicity
589601	407438	Madame Defarge
589601	407892	Miss Penrose
589602	337381	Cigarette Girl #1
589603	6836	
589603	14079	
589603	23350	Sarah Hamilton
589603	24978	Rose Havens
589603	25397	Fay Harrington
589603	32105	Mary
589603	40746	
589603	41835	Sue Eudaly
589603	47326	Augusta Karger
589603	47367	Mrs. Frewen
589603	58865	
589603	67316	Mrs. Marion Spencer
589603	71344	Mme. Pojeska
589603	102549	Alys Ferring
589603	104957	Agatha Sproul
589603	106502	Madame Helene de Cadiere
589603	124281	Lynette
589603	133933	Mrs. Sewall
589603	137532	Effie
589603	142300	
589603	143215	Belle Ducet
589603	145835	Mrs. Wingate
589603	150823	Sheelah Delayne
589603	151058	Nina Desmond
589603	158070	Stella
589603	163312	Isabelle Ventnor
589603	186304	Grace Benton
589603	186333	Marie Beaubin
589603	190435	Mrs. Krest
589603	191841	Mrs. Barry
589603	200278	Flora Margot
589603	207694	
589603	215445	Vera Cardine
589603	242926	Beatrice Bowler
589603	251683	Mrs. Morgan
589603	253186	Martha Moore
589603	260248	Edith Trentoni
589603	262039	Mrs. Wood Harding
589603	327291	Beverly Winton
589603	328086	Cynthia Wheeler
589603	342477	Elise Charmant
589603	362946	Lucille Stanton
589603	363574	
589603	364168	
589603	365037	Beatrice Gaden
589603	367437	Mrs. Spendthrift
589603	372644	
589604	80646	
589605	67786	Holly
589605	391976	Hayley Shanowski
589605	392116	Courtney Harper
589606	33439	Gudrun Glover
589606	46691	Annabel Lynes
589606	59715	Daisy
589606	144681	Charlotte
589606	161170	Nell Gregory
589606	161476	Heather Mallender
589606	165450	Blanche Ingram
589606	211748	Clara Browning
589606	245950	Ann
589606	297711	Jane Sharpe
589606	297712	Jane Gibbons
589606	297713	Jane Gibbons
589606	297714	Jane Sharpe
589606	297716	Jane Gibbons
589606	297718	Jane Sharpe
589606	297719	
589606	380346	Betsy
589606	383796	Saskia
589606	386597	Dr. Lucy Potter
589606	396090	Belinda
589606	398031	Miranda
589606	407190	Kerstie Kilbannock
589607	4753	Guerrillabaas
589607	45882	
589607	89046	
589607	175241	Mevrouw Bogaerts
589607	231672	
589607	237140	Cornalie Huygens
589607	375070	Rappange
589607	379080	Guerrillabaas
589607	382864	Loes Meerdink
589607	385597	moeder De Wit
589607	391342	
589607	400507	Cathrien Bussink-Santbergen
589607	401669	Helen de Keyzer
589607	411115	Sophie
589608	176712	Hooker #5
589609	251012	Herself
589610	76571	Interested Mom
589611	351494	
589612	169246	
589613	131022	Jimenez
589613	291815	
589613	330146	Andrea
589614	392232	Host
589615	198838	
589616	74944	Gisela
589617	369982	(group 'Paquitas')
589617	411605	Paquita (1995-2000)
589618	50153	
589618	315568	
589619	98997	
589619	110890	Magda
589619	379559	Dolores
589619	383344	Dolores Armenta
589619	383827	Telma
589620	135919	Indian Village Person
589622	322337	
589623	151654	Herself
589624	287732	Paloma de la Paz
589625	124098	Aldo's sister
589626	205691	Maricela
589627	234394	
589628	266604	Psycho-lette
589629	20625	Extra
589630	47800	Maria
589630	78603	Herself
589630	257309	
589631	172920	Swimmer
589632	1824	Herself
589632	2043	Herself
589632	7393	Singer
589632	14826	
589632	57719	Herself
589632	57720	Herself
589632	77309	Herself
589632	108131	Herself
589632	113980	Herself
589632	118156	Herself - Performer
589632	122980	Herself
589632	129520	Herself
589632	170069	
589632	202728	Evalina Montoya
589632	228775	Herself
589632	251087	Herself
589632	252823	Luz Pat
589632	279291	Herself
589632	282503	Herself
589632	286228	Herself
589632	295007	Herself
589632	308281	
589632	318803	Herself
589632	351645	
589632	352979	Herself
589632	355802	
589632	371761	Herself
589632	376696	Herself
589632	379819	Macaria
589632	403733	Amparito
589632	409782	
589633	14212	Connie Chung
589633	47774	Rachel
589633	256744	Busty Woman
589633	289031	Reporter
589633	297102	Ms. Grant
589633	337088	Littlehill's Secretary
589635	176254	Dancer
589636	12402	La Tropicana Girl #1
589636	93118	Wilma
589636	232812	Whore
589637	98976	Gavilán's Daughter
589638	181618	
589639	5272	Dolly
589639	383772	Celia
589641	104480	
589641	324907	
589642	148208	
589642	148209	Roxanne
589642	341710	
589643	249805	Lola
589644	229694	
589644	381084	Aurora
589644	407906	
589645	53203	
589645	76815	
589645	79113	
589645	88601	Donette
589645	162646	Rizelle
589645	171969	
589645	195917	
589645	203909	
589645	222198	
589645	237722	
589645	246463	
589645	247534	
589645	256391	
589646	4915	
589646	14747	Elba
589646	24545	
589646	53647	
589646	67012	
589646	70009	
589646	96380	
589646	99439	
589646	214209	
589646	226495	
589646	229210	
589646	250527	
589646	252623	
589646	268250	Bailarina
589646	285989	
589646	288034	
589646	293578	
589646	301113	
589646	316743	Eunice
589646	349463	
589646	351782	
589646	357186	
589646	370081	
589646	398454	
589647	99571	
589648	370087	
589649	232676	Romanian Queen
589650	38572	Imelda, Archer Bodyworks Secr
589651	324934	
589652	328866	Dona Bibi
589653	45873	
589653	75030	
589653	93705	
589654	230934	Young Woman
589655	49884	
589655	53203	
589655	358505	Abril
589655	362004	Joy
589655	379023	
589656	183507	
589656	383247	
589657	81328	Herself - Reporter for 'Ocurr
589657	105720	Herself - Reporter for 'Ocurr
589657	204865	Herself - Reporter for Spanis
589657	337274	Herself - Reporter for 'Ocurr
589657	383812	Karina Astudillo
589657	384984	
589657	391611	Catalina
589657	396333	Belén Cruchaga
589657	396925	Sofía
589658	17337	Filó
589658	19469	Necas
589658	107316	Maria Astrid
589658	237218	
589658	273115	
589658	276454	Luisa
589658	386215	
589658	393345	
589658	409026	Helena Tavares
589659	118841	Ingrid
589660	3421	Customer #2
589661	232676	Lesbian Bar Patron
589662	377726	
589663	126277	Ketsu
589664	222038	Herself
589665	118814	Estudiante faculdad de teatro
589666	94902	
589667	353294	Academy Girl
589668	40327	Barbara Ruiz
589668	119484	Mexican Waitress
589668	130008	Sarah
589668	195467	Girl at table
589669	133772	Mother of Pregnant Girl (Plat
589669	232317	Margarita
589669	305343	
589669	359064	Aurora 'Rory' Van Dyke
589669	390338	Herself (2000-2001)
589669	405209	Dr. Sofia Martinez (1999-2001
589670	161410	Elena
589671	352517	Runaway Model One
589673	327782	
589674	30418	
589676	314745	Waitress
589677	300722	
589679	18669	Beatriz
589679	156411	
589680	44892	Helen
589681	3073	Xiomara
589682	263929	
589683	58141	
589683	59699	
589683	68971	
589683	68993	
589683	74904	
589683	83141	
589683	87592	Olga
589683	94827	
589683	100414	Säfa
589683	100768	Lisa
589683	103535	
589683	119261	Blanche
589683	145648	Karin Kronberger
589683	157215	Lola
589683	163743	
589683	168761	
589683	199855	
589683	216067	Andres' girlfriend
589683	242655	
589683	249770	
589683	249775	
589683	251581	
589683	279255	Zahar
589683	284573	
589683	287858	
589683	287883	Lina
589683	301110	
589683	301169	
589683	304114	Senitza
589683	328723	Maroa
589683	339122	
589684	138568	
589685	89099	Waterfall Woman #2
589685	150189	Squeeza
589685	293108	Woman Watching
589686	183464	
589686	353553	
589687	186151	Tieo
589688	16068	Receptionist
589688	48169	Number 9
589688	131431	Mrs. Suziharo
589688	167133	Anna Hernandez
589688	327060	Sands' Receptionist
589688	358985	TV station employee
589689	243038	
589690	28951	
589690	221739	Mujer Hotel
589691	397056	Herself/Host
589692	1311	Lili (Episodio de Alberto Lec
589693	402150	Herself (2003)
589693	412178	Herself/Guest (2004)
589694	10233	
589694	27857	
589694	63377	
589694	90189	
589694	161560	
589694	202555	
589694	204645	
589694	214205	
589694	371712	
589694	376758	
589695	298586	
589696	222004	Voice in off
589697	50139	Interne
589698	210587	
589698	236432	
589699	165244	
589699	171198	
589699	181831	
589699	258773	
589699	261090	
589699	314505	
589699	366410	
589700	131716	Dancer in Red Bikini
589701	27034	
589701	331726	
589702	176525	French soldier/Colonist
589703	176525	French soldier/Colonist
589704	73561	Hispanic Woman
589704	179425	Mrs. Quintana
589704	257014	Bodega Woman
589705	11357	Dolores
589706	191209	
589706	400952	Silvia Jáuregui
589707	350140	
589708	399715	
589709	170053	Naty
589710	398219	
589711	285017	Nun
589712	401534	Alicinha
589713	1674	Herself
589713	3044	Herself
589713	5097	Sofía
589713	10225	Salomé
589713	11529	Alejandra de la Rocha
589713	13751	Herself
589713	14770	Diana (30 años más joven)/Inv
589713	29046	Maria
589713	33560	Luz
589713	41518	Mirtha Jung
589713	48184	Patricia
589713	54464	Pelagia
589713	55388	Isabel
589713	57716	Melibea
589713	63194	Gloria
589713	90111	Mathurine
589713	97809	
589713	101890	Lucía
589713	108543	Adeline La Franchise
589713	118722	Lola Del Moreno
589713	132233	Chloe Sava
589713	140943	Mia
589713	144467	Josepha O'Neil
589713	146935	Herself
589713	147023	Doña Helena
589713	158022	Herself
589713	163724	Herself
589713	165334	Silvia
589713	183162	Elise
589713	203642	Louise
589713	207171	Pagan Lace
589713	225046	
589713	233336	Macarena Granada
589713	234515	Nina
589713	234764	Italia
589713	250940	Herself (thanks)
589713	252641	Mary
589713	262797	Herself
589713	277587	Enza
589713	285503	Eva Rojas
589713	302359	Carmen Ramos
589713	323961	Pilar
589713	334656	Lucía
589713	334678	Sister María Rosa Sanz
589713	350424	Sofia Serrano
589713	353017	Herself - Presenter: Best New
589713	354265	Herself - Nominee: Best Actre
589713	356466	Pepita Tudó
589713	358484	Brenda (Spanish Woman)
589713	367589	Isabella Oliveira
589713	367883	Herself
589713	369437	Herself - Presenter: Best Lea
589713	369748	Herself - Presenter: Best Lea
589713	369754	Herself - Winner: Best Lead A
589713	369996	Herself - Presenter: Best Fil
589713	402684	Herself - Host (1990)
589714	78184	Vanessa
589714	153567	Roberta Villalobos
589714	349898	Egypt Von Sand Dunes
589716	409183	Herself/Apresentadora
589718	245207	Young Libby
589719	280169	Student
589720	156187	
589720	172312	
589720	181838	
589720	214277	
589720	222402	
589720	251230	
589720	340355	
589720	407943	
589721	385401	Tere
589722	6213	
589722	9952	
589722	12914	
589722	30864	
589722	49321	Mabel
589722	71382	
589722	98588	Dolor
589722	155134	
589722	159747	
589722	171866	
589722	190653	Madonna
589722	206019	Marita Gonzaga
589722	209519	
589722	246095	
589722	246461	
589722	256100	
589722	295770	
589722	319240	
589722	348619	Pauline
589722	355048	
589722	382906	Herself (1995-1996)
589722	392569	
589722	394137	Herself
589722	396887	Istah
589723	210868	Graciela, the Mute Girl
589724	83518	
589725	305093	Mama San
589726	10438	
589727	324448	Dancer: La cumparsita -2
589728	96910	Woman
589728	402001	Ashley Hammond/Yellow Space R
589728	402007	Ashley Hammond/Yellow Turbo R
589729	57762	
589729	299685	Lina
589729	399502	Grace Santiago (2003)
589730	279913	
589731	240486	Coutnee Chin
589731	253509	Theresa's child
589731	390771	Gabriella Lopez Grant (1995-1
589732	221897	Girl
589733	151628	Herself
589734	274393	Sheila
589735	91350	
589736	32707	Zulema
589736	379819	La Tatuada
589736	393363	Locutora
589736	399763	Carmen Juárez
589737	145162	Aschlop
589737	165794	Margarita Luna
589737	278949	Celia/Guadalupe
589737	387068	Dominga
589738	25787	Aïda
589738	244275	Desdemona
589739	268046	
589740	28963	
589740	68639	
589740	135284	
589740	209298	Nando's wife
589740	351633	
589740	395043	Magdalena
589740	408855	
589741	45099	Mercedes
589741	105618	Hooker
589741	154959	Bimbo
589741	178207	Dara's Friend
589741	190461	MTV Employee
589741	252921	Linda Johnson
589741	308558	Jade
589741	378751	Herself
589742	283635	
589743	341935	
589744	214101	
589745	145679	
589745	157169	
589745	168626	
589747	71751	Violet
589747	381979	Shay McWilliam (1997-1999)
589748	360824	Mrs. Dawn
589749	123217	Helen Jenkins
589750	99856	Dignified Woman
589750	126067	Chorine
589750	126069	Showgirl
589750	140407	Bathing Beauty
589750	241752	Girl on Steps
589750	296883	
589750	331180	Harem girl
589750	348327	Goldwyn Girl
589750	375045	Ziegfeld Girl
589751	69808	Mrs. McDermott
589751	200492	Vera (segment "Envy")
589751	229124	Club Hostess
589751	363727	Anne (Frank's secretary)
589751	384385	Carmen
589751	402776	Mother Superior
589751	402777	Gloria (1963)
589752	210867	Mamie
589753	362426	Syd
589754	144697	Aunt Lucy
589755	372420	Party Prostitute
589756	5885	Ward Maid 2
589756	164505	Annette, French whore
589757	120230	Jane McCarthy
589757	224153	Marika
589757	307883	Frances
589757	358114	Amy Cain
589757	365119	Katherine Devereaux
589757	409226	Ashley Walker (1999-2001)
589758	1252	
589758	1344	
589758	9664	Veronica luna
589758	13269	
589758	13270	
589758	13273	
589758	13274	
589758	21942	
589758	39484	
589758	148225	
589758	253481	
589758	273298	
589758	312266	Medicine Woman
589758	385369	Claudia
589758	386119	Mirosnada
589758	395300	Soledad Jiménez
589759	75059	
589759	150031	Angela
589759	291282	
589759	320824	
589760	85084	Rita Alvarado
589761	26971	Party Animal
589762	7731	
589762	295680	
589763	189784	Girl in Cage
589764	126731	Prostitute
589765	233875	Waitress
589766	264845	
589767	2321	Madeleine
589767	2890	Pat Maris ('61)
589767	14141	Maria, White House Staffer
589767	64918	Jogger
589767	90154	Hank's Secretary
589767	92694	Nurse
589767	109938	Rose
589767	128281	Holiday Inn salesgirl
589767	133954	Herself
589767	194666	Park Nanny
589767	213325	Lily
589767	330243	
589767	400209	Christie Parker (2000-2001)
589767	404902	
589768	223908	
589769	64917	Holly Robbins
589769	64918	Holly Robbins
589769	221114	Screaming girl
589769	223977	Stephanie
589770	350245	Tessa Briggs
589772	256206	Sandy Sandstone
589773	158209	Herself
589774	191092	
589775	198112	Myrinne
589776	59369	
589776	376500	Customer
589777	183797	
589777	347566	
589777	354647	Mme Ravoux
589778	111063	Special Guest Cannes Film Fes
589779	346463	
589780	15073	Helga Lindenberg
589780	107826	Catherine
589780	189609	Helga Lindenberg
589780	311116	Junges Mädchen
589781	198412	
589781	226710	Szerény grófné
589781	302140	Simon Judit
589781	357831	Inokay felesége
589782	153200	Et barn
589783	10401	Assistant
589783	74397	A tanácselnök felesége
589783	74418	
589783	137122	Szélzacskó hercegnõ
589783	139997	Postáskisasszony
589783	140671	
589783	171603	Pergelné
589783	182515	Szomszéd
589783	190748	Kövér jelentkezõ
589783	212825	
589783	214495	
589783	235375	
589783	237165	Mrs. Bádogos
589783	246283	
589783	246974	Aprólék hercegnõ
589783	322069	Srankóné
589783	333113	Szakácsnõ
589783	343747	
589783	349781	Új lakó
589783	377748	Kofa
589783	377892	Hintaló vásárló
589783	394990	Ursula
589783	399866	Frida Nyúl
589783	402164	Házmesterné
589784	43330	Anne's Mother
589785	378265	
589786	193338	
589787	219708	Junges Mädchen
589788	162974	
589788	229574	
589788	322025	Vidéki színésznõ
589788	381344	Éva Novák (1998-2003)
589789	314357	Sophie Prantner
589790	347566	
589791	238644	Ballett
589792	309284	Erin
589793	244323	
589794	106711	
589795	322101	
589796	15858	Majka
589797	395635	Flight attendant
589798	134967	Jennifer 'Jenny' Wischnewski
589798	302056	Angela
589799	3392	
589800	17079	
589801	200613	Turkish woman #1
589802	261204	
589803	261204	
589804	129229	Angéla
589804	377889	
589805	186943	Gustl
589806	254294	
589807	268520	
589807	401545	Szöszi
589808	174279	
589809	74422	
589810	126714	Janine Daley
589811	352777	
589812	122383	Student
589812	153968	
589813	239432	
589814	200610	
589815	41383	Connie
589815	41888	Porn actress #2
589815	81543	Harvey's Girlfriend
589815	85006	Dr. Pace
589815	140960	Dantley's secretary
589815	154372	Sheila Riggs
589815	169577	Teenage Joy's mother
589815	206445	Blonde at Ballet
589815	208041	Meagan
589815	218775	
589815	252989	Lacy
589815	294519	Stewardess
589815	313207	Woman Commander
589815	320074	Miranda
589816	265463	
589817	130695	
589817	377723	
589818	74432	
589818	97980	Éva
589818	98015	
589818	136442	
589818	172898	Voice of loudspeaker
589818	176285	Zsuzsa
589818	227531	
589818	227534	Juli
589818	281286	
589818	326341	
589818	349627	Karesz' mom
589818	355566	
589818	361111	Lubjanka
589819	48670	
589819	174189	Vénkisasszony
589820	107672	
589821	97980	
589821	104195	József úr huga
589821	130695	
589821	137758	
589821	176285	
589821	182794	Colleague
589821	207584	Flower Girl
589821	212309	Juli
589821	225411	Maid
589821	322191	
589821	322213	Girl in Leather Clothe
589821	357937	
589821	375964	
589821	388511	
589822	81572	Waitress
589823	104051	
589824	29449	Énekes
589824	155796	
589825	237176	
589826	122613	
589827	378265	
589828	3064	
589829	215096	Borcsa
589830	99561	
589830	140049	
589830	209835	
589831	377134	Intézeti lány
589832	177935	Kriszta
589833	381344	Noémi Temesvári (2003 -)
589834	65578	Coroner
589835	209839	
589836	182646	
589836	322189	Juliska
589837	381345	
589838	28053	Szubrett
589838	97977	Ibolya, aki egy csöpet sem sz
589838	98023	Zizi
589838	106684	Teri
589838	182874	Lidi,Nagyék lánya
589838	187513	Menyasszony
589838	229026	
589838	282204	Tessa
589838	284186	Szilágyi Jutka
589838	312065	Friedel
589838	377761	Bálint Ria,színésznõ,Sós meny
589839	177935	
589840	177935	
589841	142726	
589841	171539	Boszorkány
589842	399141	Kamila
589843	200610	Teleshop Lady #2
589843	256983	TV Host
589844	147833	Deputy #2
589844	232503	Leanne Singer
589844	290070	
589845	2944	
589846	157335	Headmaster
589846	178902	Ms. of Wardrobe
589846	227534	
589846	233279	
589846	281286	
589847	187837	Kurva
589848	306936	
589849	3392	
589849	18638	
589849	163854	Lady Milton
589849	229574	
589849	250445	Lila tréninges nõ
589849	394559	Capt. Tülkös (2001)
589850	41721	Herself
589851	381344	Zsuzsa Berényi
589852	153859	
589853	1117	Éva
589853	17525	
589853	83158	Anya
589853	98015	Papp Terka
589853	110702	
589853	147311	Böske Janicsár
589853	149921	
589853	164754	Mamovka
589853	183174	Anna
589853	201967	Vali
589853	225411	Maid
589853	227534	
589853	237146	
589853	256683	
589853	268232	
589853	282123	Vilma's mother
589853	309289	Bandi Citrom's mother
589853	312759	Mari
589853	322008	
589853	327210	Eugénie Krantz
589853	349080	
589853	357944	Berta
589853	377129	Mami
589853	378041	
589853	387360	Forray Alíz
589853	399860	Vali,Brigitta anyja
589853	402164	Tanárnõ
589854	402164	
589855	261204	
589856	147929	
589856	322126	Majzik Lujza
589856	377807	Gréti
589856	380268	Susu
589856	399160	
589856	401545	Kati
589857	275750	
589858	118823	
589858	324709	
589858	378992	Riki's mom
589858	407241	Katalin
589859	153859	
589860	153859	
589860	394749	Andi
589861	357944	Jolan Tessel
589862	172826	
589863	364300	Herself
589865	322194	
589865	377819	
589866	74394	
589867	90932	Girl in car
589867	186122	
589868	155614	
589868	162974	
589869	9250	Terhes nõ
589869	51104	Hajdú Antónia
589869	51343	Nanny
589869	89480	Emília
589869	99560	Maszat
589869	111313	Icu
589869	136430	
589869	137762	
589869	140058	
589869	147369	Young Woman
589869	153686	Olga
589869	153968	Sára
589869	162745	Árvai felesége
589869	172898	Assistant
589869	180187	Julika
589869	216422	Ildikó
589869	237146	
589869	261204	
589869	322126	Csõtönyi Juli
589869	354618	Mother
589869	357830	Lidi
589870	177935	
589871	3547	
589871	35060	
589871	99751	
589871	136576	
589871	142233	Anna
589871	246974	
589871	322129	Mária magyar hangja
589871	377821	
589871	399459	Sarah Schneider
589871	410331	Szitakötõ
589872	74418	
589872	74426	
589873	19678	
589873	96201	
589873	114761	
589874	174279	
589875	74460	
589876	350833	
589877	114761	Patkós Gitta
589878	350833	
589879	407233	Alexa Konrád
589880	19392	Barbi
589881	412259	
589882	187837	Vámos
589883	98985	Igazgatóné
589883	118170	
589883	142233	Josephine's girlfriend
589883	174688	
589883	175746	
589883	182653	Mrs. János Korbusz
589883	198210	
589883	235375	Rozál
589883	237339	Mákosné
589883	250888	Felvételvezetõ
589883	343747	
589883	407236	Etus Szikszay (1987-1999)
589883	412249	Dr. Karcsi
589884	378160	Orsi
589885	359032	Jessica
589886	313334	TV Studio Crew
589887	7318	
589887	14833	
589887	33558	
589887	53639	
589887	53674	
589887	92069	Lezerind
589887	103692	
589887	104140	
589887	115021	Herself
589887	118598	Carla
589887	132730	Consuelo Linares
589887	145137	Carmen García Luque 'Carmela'
589887	162077	
589887	205889	La giornalista
589887	206012	Luisa
589887	234368	
589887	257423	Aguedilla
589887	263409	Lucrezia James
589887	265157	
589887	270832	
589887	340134	Rosina
589887	344987	Maria
589887	357533	
589887	378438	
589887	386744	Consuelo Manero
589889	268923	Anna as a baby
589890	117713	Dancer
589890	184104	The Laker Girls
589891	139655	Baby in Portrait
589892	25083	Céline
589892	300816	
589893	376864	Madre de Alber
589895	325343	TV presenter
589896	284885	Une prostituée
589897	7878	Younger Mama-san
589898	7878	Young Janet
589899	352159	
589899	382883	Brigitte
589899	383130	Pig
589899	383561	
589899	393463	
589899	397547	Gilda
589899	397548	Gilda
589899	397787	
589899	399713	
589899	405337	
589900	166380	
589901	187837	Kurva
589902	68261	(segment "Fundido a negro")
589903	104666	
589904	128479	Cindy
589904	269713	Secretary
589905	66837	Waitress
589906	42948	Dianik Zurakowska
589906	53674	María Cuadra
589906	131118	Dianik Zuarkowska
589906	206791	Paca Gabaldón
589906	306707	Voz
589907	251586	
589907	303344	
589908	63689	Cast of 'Lucio Silla', Giunia
589908	99239	Elisabetta Reigina d'Inghilte
589908	196847	Giunia
589908	250707	Herself - Donna Anna
589908	353137	Contessa di Folleville
589909	8580	Niña
589910	353885	Ghislaine
589911	145153	
589912	163715	Second Detective
589912	177666	
589912	392125	Various Characters
589913	53696	
589914	24452	Dumby's Mother
589914	294702	Wanga
589915	71227	Woman #3
589915	385338	Various Caracters
589916	388791	Student In Bar
589917	91066	Herself
589917	91071	Herself
589918	383344	Ana María Mijares
589919	246440	
589919	355249	
589920	380055	Giovanna
589920	388613	Herself - Assistant (1993)
589920	388618	Herself (Assistant)
589920	401402	
589921	1311	(segment "Lacrimosa")
589922	19881	
589922	54838	
589923	152234	Ramera IV
589924	51362	
589925	286019	Amelia
589926	199475	Child at Car Lot
589927	194332	Tour Bus Girl
589928	37682	Acting as Film Crew
589929	235756	
589930	290862	Bambina
589931	384246	
589932	18896	
589932	278911	
589933	3326	
589933	168827	Petite fille
589934	272606	Novinarka I
589936	339448	
589937	212577	
589938	4638	
589938	12665	Olga
589938	28492	Alina
589938	34646	Herself
589938	47820	Gabriela
589938	52871	Maddalena
589938	68140	Possession
589938	81611	
589938	96269	Susana
589938	163733	Maria/Donatella
589938	171227	Aurora
589938	186154	Letizia
589938	205284	Santina
589938	205547	Maria Maddalena
589938	206026	Maria
589938	215012	Sara
589938	246398	Luisa
589938	255234	Desi
589938	261549	Beatrice Russo
589938	269114	Izhira
589938	292270	Anna
589938	301354	
589938	302485	
589938	307686	Abishag
589938	316358	Giulia
589938	316801	Miria
589938	335274	Maria Maddalena
589938	349532	
589938	349533	
589938	350421	Penelope
589938	353145	
589938	368418	Cigar Girl
589938	368419	Cigar Girl
589938	379854	
589938	380992	Lucia (1999)
589938	381622	Rosy Fumo (2002- )
589938	402786	
589939	4066	
589939	4136	
589939	4244	
589939	4291	
589939	13496	
589939	16182	
589939	17898	
589939	21400	
589939	25354	
589939	30451	
589939	30542	
589939	31432	
589939	31506	
589939	50819	
589939	58686	
589939	59013	
589939	59388	
589939	62715	
589939	62716	
589939	77278	
589939	94994	
589939	98547	
589939	118037	
589939	137828	
589939	152409	
589939	175991	
589939	184103	
589939	187654	
589939	220774	
589939	222055	
589939	228689	
589939	228928	
589939	232731	
589939	233210	
589939	248692	
589939	248798	
589939	250496	
589939	261830	L'assistante
589939	268119	
589939	271120	
589939	285825	
589939	288037	
589939	296600	
589939	296625	
589939	296627	
589939	297033	
589939	297058	
589939	297146	
589939	298232	
589939	303012	
589939	312766	
589939	340258	
589939	348919	
589939	353803	
589939	370291	
589940	33252	
589940	44399	
589940	77491	
589940	95593	
589940	172055	
589940	173544	
589940	180694	Mama Ibi
589940	217391	
589940	270719	Rumenka
589940	305524	
589940	328221	
589940	344312	
589940	351295	
589940	356436	
589940	383805	
589940	386131	Savka, Bokcetova zena
589940	402765	Mubera 'Mila' Bosanka
589940	409714	
589940	411914	
589941	221737	Mujer de taberna
589942	380129	
589942	380210	Claudia
589942	381607	
589942	386170	Mamá Colomba
589942	386785	Ema
589942	389480	Olaya Domínguez
589942	398228	
589942	405978	
589943	188453	Tattoo Girl
589944	29674	Sylvia Heatherton
589945	296429	Tour Guide
589946	253779	
589947	81123	Waitress in Snack Bar
589948	240772	
589948	363282	Hawaiian
589949	35401	Essie
589949	232158	Beverly
589950	116522	Window Neighbor
589951	26834	Beaver
589951	161060	Rave Girl
589951	165871	Brandi Eggleson
589951	389264	Beaver
589951	392451	Blur
589952	50386	
589952	191200	
589952	240556	
589952	291003	
589952	372404	
589953	171079	Video Store Patron
589954	295826	Sex Monster Dancer
589955	14630	
589956	42911	Herself
589957	105674	
589958	48780	Marinita
589959	275509	
589960	41186	Misti Morning
589961	27784	Chica del bote
589961	403021	Bianca (2003)
589962	385873	Carmela
589963	8473	
589964	410303	Citlali
589965	140563	
589965	146509	
589965	227565	
589965	243781	
589966	143565	Basketball player
589967	345526	
589968	159210	La prof de gym
589969	181759	Lucía
589969	248286	Eva/Nina
589970	198337	Young Nanette
589971	15004	
589971	127748	Carole Bédard
589971	240583	Sylvia Silvers
589971	247607	
589972	15220	Teacher
589972	57654	Bruce Bishop's Admirer
589972	93322	Agnes Shields
589972	185707	Gabe's Wife
589972	221783	Vira
589972	251420	UN Representative
589972	306421	Professor Adler
589972	345853	Holly Kaplan
589972	352712	Dr. Riccardo
589972	379019	Sylvia Rivera
589972	379716	Abigail Vanderpoole (1980s)
589973	380917	Lucia Villamil
589973	389233	Ana Maria Londoño (1999-2001)
589973	400067	Canela
589973	405858	Camila Iglesias
589973	405865	Marcela Forero
589974	6738	
589974	7250	
589974	10049	Herself
589974	14701	Cesaltina
589974	29594	Solange
589974	34980	Adela
589974	42633	
589974	43982	
589974	52881	
589974	61358	
589974	67218	
589974	77231	
589974	91358	
589974	99668	Madre de Sara
589974	103535	
589974	122985	Herself
589974	146505	
589974	215031	Viki
589974	222418	
589974	238330	
589974	246294	Señora Chornet
589974	252722	Pilar Gómez
589974	263857	
589974	271186	Leurela
589974	292919	
589974	296475	
589974	339130	
589974	351837	
589974	353604	
589974	355932	
589974	380551	Vicenta
589974	398838	Consuelo
589974	400947	Zoraida
589975	212467	
589976	276560	
589977	397116	Attorney
589978	112736	
589979	4525	Herself
589979	54765	
589979	57437	Joyce
589979	118155	Herself
589979	120405	Baroness
589979	154542	Herself
589979	156095	Herself
589979	184871	
589979	212411	
589979	221908	Carmen
589979	231291	
589979	236476	Lara Stapleton
589979	243699	
589979	258625	
589979	266411	
589979	268248	
589979	284337	Cándida
589979	305223	Maria Palmer
589979	318298	
589979	353017	Herself - Presenter: Best Cin
589979	354265	Herself - Presenter: Best Dir
589979	370062	Señorita Manzano
589979	386677	
589979	387566	
589979	388442	Lourdes Cano
589979	393028	Madame Riveau
589979	393188	Rebeca
589979	408911	Carlota Núñez
589979	409956	Pilar
589980	73787	Wine Girl
589980	118131	Espi
589980	324471	Girl at make-up counter
589981	123155	
589981	234057	
589981	326345	Cantante
589981	332916	
589981	403752	Herself
589982	398915	
589983	108933	Bamboo Dancer
589984	979	Cristina
589985	91380	
589985	219226	
589985	355805	
589986	19503	Lola
589987	20683	Lisette
589987	37693	
589987	92410	Sarah
589987	161738	Alex's Mother
589987	213109	Candice
589987	267640	Fighter
589987	295614	Merry
589987	312265	Beach Girl
589987	316926	Model
589987	391835	Talking head/soundbites (segm
589988	185201	Clubgoer
589989	393338	
589990	91315	Cloe
589991	74721	Mujer 1ª
589991	110733	
589991	193505	
589991	202561	
589991	252612	
589991	309087	Madre Ángeles
589991	336023	
589992	90107	
589993	99794	Carmen
589994	266843	The Mute
589995	188537	Herself
589996	101815	
589997	128772	Marketing Director WAQY 102.1
589998	389858	Mariah Maximilliana 'Maxie' J
589999	193622	London Town Dozen & One Girl
590000	203204	Cyclist
590001	389858	Mariah Maximilliana 'Maxie' J
590002	5066	Referee
590002	119094	Tina
590002	167043	Pepsi Robbins
590002	277110	Tina
590002	300311	Tanya
590003	210268	Karate Expert
590004	243213	Fifine
590005	59532	
590005	192935	
590005	222409	
590005	350814	
590006	278979	
590007	353464	Femme fête foraine
590008	353464	Prostitute
590009	183479	
590010	302053	Promotora de la pizzería 2
590011	236567	
590012	185241	Lady of the Pen
590013	111201	Gan Guangbo
590013	209894	Jin Zhiwei
590014	374942	Zhuzhi
590015	41164	Korean Woman
590015	62115	Camille
590015	86038	Mrs. Lau
590015	97247	Eclipse Scientist
590015	305375	Wei
590016	102463	Haicui's Mother
590016	135487	Li Huiping
590016	268765	Sister Feng
590017	24682	Céline
590017	198567	Lisette
590017	204719	
590017	248246	Cathy
590018	105334	Dorien
590019	87496	
590019	164153	Distinguished woman
590020	7618	Mrs. Dalton
590020	23559	Mrs. Van Daan
590020	59586	Gwen
590020	142898	Doll Tearsheet
590020	142930	Katherine of Aragon
590020	144658	
590020	206405	
590020	220369	Lady Houghton
590020	240025	
590020	245663	Hilda Summers
590020	291488	Mrs. Cratchit
590020	294215	Lucy Steele
590020	306288	Nannau
590020	321458	Lady on the Underground
590020	339353	Eva Widelski
590020	359899	Mary Fleming
590020	385299	Mary Lancaster (1987)
590020	405611	Mrs Vennor
590021	117428	Miss Stonehouse
590021	215443	Mrs. Marlok
590022	20889	Eleine
590022	43175	
590022	88446	Ana Nikolic
590022	115856	
590022	121872	
590022	131086	Katina
590022	154070	Bela Seka
590022	156895	Druga mama
590022	164038	
590022	164877	Olga
590022	179107	
590022	179534	
590022	179847	
590022	180839	
590022	181186	
590022	201473	Cveta
590022	213787	
590022	216511	
590022	227174	
590022	227511	
590022	236167	Ana Vagner... Kischova nalozn
590022	241007	Dacina majka
590022	243805	Gospodja Lidija
590022	245890	Sarka
590022	265660	
590022	272194	
590022	288986	Ljubica
590022	304449	
590022	311362	Fema ... udovica
590022	312426	Mama
590022	332755	Barbarela
590022	373563	
590022	376191	Buba
590022	381161	
590022	386526	Rajka
590022	390182	
590022	390388	Marija Maca Jaksic, Petrova s
590022	394800	
590022	394873	
590022	396589	
590022	397526	Veroslava
590022	397527	Veroslava, Brankicina mama
590022	397528	Veroslava
590022	397987	
590022	397988	
590022	399008	
590022	401926	
590022	403668	Nadja
590022	404206	
590022	405506	Petkova majka
590022	405693	
590022	406314	
590022	411900	Kiflina majka
590023	345461	Chanteuse
590024	115269	Women Coalation Diner Patron
590025	2870	Marie-Claire Hauff
590025	24092	
590025	24465	Blondine
590025	42163	Marie-Claire Hauff
590025	49308	
590025	56545	Herself
590025	90701	Brett Lynch
590025	90707	
590025	98344	Lisa
590025	110315	Jeannine
590025	145351	Theresa
590025	176696	
590025	210027	Marie-Claire Hauff
590025	261546	Kelsey
590025	281668	Eva
590025	290198	Clair Castien
590025	322621	Carolin Hagen
590025	325595	Vanessa
590025	345926	Petra/Bonny
590025	345927	Petra
590025	348153	Hedra
590025	369168	Karin Schwarz
590025	369328	Sofia
590025	395450	Dr. Judith Sommer
590025	402046	Irene
590025	409485	Petra
590026	368967	Clerk #1
590027	100391	Doña Jacqueline
590028	106268	
590028	136983	
590028	221932	
590028	296454	María Luisa
590028	395328	
590029	215691	Miss Tennessee USA (4th Runne
590030	281413	
590031	213973	
590032	42388	Rich Girl
590033	242028	
590034	365409	
590035	329968	Sinstona
590036	215691	Miss Tennessee USA (4th Runne
590037	31199	Herself (NBC Team contestant)
590037	49855	Laura Vellum
590037	81003	Judy Berlin
590037	81016	Annie Cooper
590037	92269	CeCe Dryer
590037	95779	Anna
590037	114392	Sitcom Wife
590037	217534	
590037	283191	Holly Stone
590037	324956	Allison, Emmett's Gang
590037	331891	Alison Rivers
590037	358190	Constance Taylor
590037	379010	Amy Amanda Allen (1983)
590037	382843	Claire Roman
590037	383119	
590037	390167	Terry Randolph
590037	394676	Paula Vertosick (1988-1990)
590037	395630	Capt. Wendy Hewitt
590038	75914	Uranie
590038	198639	
590038	278155	Mme Lefèvre
590039	266170	
590040	190805	
590041	334104	Lady
590042	386527	Milijana
590042	399767	Jagoda
590043	161880	
590044	88446	G-dja Vakic
590044	132162	Dara... kci
590044	192892	
590044	390388	
590044	406316	Sonja... Djinina drugarica
590045	348375	Linda Rosen
590046	131612	Connie Evans
590046	411279	Katie McClary
590047	357436	Sosa
590048	234669	Grandma
590049	4597	Daydreaming cleaning lady (se
590049	121013	Woman in painting
590049	125543	Woman at the pub in Wismar
590049	346970	Ballet-master
590050	222661	
590051	57856	Angelina, nicknamed 'Cinderel
590052	133728	Charkie's Water Ballet Perfor
590053	238246	Teenage Couple (F)
590054	98113	Evelyn
590055	310656	Mary Ann Jordan
590056	4699	Mary's Mother
590056	143341	Sarah
590057	333868	Miss Savage
590057	391454	Teresa
590058	306421	So Fine Girl
590059	140310	Hav's Co-Worker
590060	128230	Alana
590060	128577	Little Pam
590060	199210	Gatherer
590060	387497	Red-Haired Lady
590060	390099	Alana
590060	390100	Alana
590061	190306	Dani
590061	390771	Amanda Spaulding Middleton Mc
590062	40489	Wife
590063	381187	Grainne Dooley
590063	388209	Jenny Byrne (2003-)
590064	127148	Michelle
590064	199499	Mother at river
590064	206154	Dept. Store Hostage
590064	332530	Female Police Officer
590065	137568	Young Woman Netballer
590065	399130	Tanya Jones (1995)
590065	399948	Joanne Rhodes (1995)
590066	1675	Herself
590066	386820	Herself
590066	401718	Diane Barbara-Jane
590067	86001	Sylvie Balser
590067	196536	Lizzie
590068	60716	
590068	177232	Tour Guide
590068	222831	Deidre's friend
590068	353371	Adele Price
590068	405960	Eloise Treece
590069	85079	Mrs. Huggins
590069	96694	Mrs. Madill
590069	196870	Widow Whistler
590070	31536	
590070	46926	
590070	55934	
590070	68941	
590070	74326	
590070	82987	Señora Plasini
590070	121425	
590070	159535	
590070	225031	Amiga de Federica
590070	228896	La Lechiguana
590070	252078	
590070	253663	
590070	257417	
590070	266676	
590070	294516	Miss Gladys Matheson
590070	307240	
590070	310072	The Carlos's Mother
590070	341869	
590070	343615	
590070	351689	
590070	354107	Gaspara
590070	382977	
590070	387778	Nona
590070	405380	
590071	411802	Gail Wallace (1999)
590072	411786	Herself (Series 2) (2003-2004
590073	334011	Caius
590074	224506	Iris
590075	73683	Jenny
590076	281414	Samantha
590077	233896	Caryn
590077	344652	'For a Good Time Call' Girl
590079	235404	Jill Chang
590080	161782	Madame Larminat
590081	11485	Fan Dancer
590081	252454	Nymphomaniac
590081	268313	The Mother
590081	362663	Tosca/Choreographer
590082	150390	Cowgirl
590083	130450	Violinist
590084	19140	Columnist
590084	46981	Georgia
590084	103769	
590085	72332	Elizabeth
590086	170411	Coffee bar person
590087	318310	Jessica
590089	26383	
590089	35366	Miss Catherine
590089	46542	Evangeline Clementine Jones
590089	55540	
590089	89250	Woman in dance hall
590089	105640	Violet Smith
590089	123427	Mrs. Peabody Jones
590089	199203	Harmonia
590089	302265	
590089	308410	
590089	316165	Cora Whitman
590089	329534	
590089	329950	
590089	331386	Maria Bimble
590089	364504	
590089	367390	
590090	343780	Crissy
590091	113319	Miss Pratt
590092	263076	Nursing assistant
590093	54268	Poet/performer
590094	210514	Tea Room Guest #2
590095	41192	
590096	38379	Shana Alexander
590096	337281	Kimberly Davis
590097	186897	Krankenschwester/Nurse
590098	189831	
590098	377341	
590099	129784	Jury member #2
590100	218278	Claire Fabre
590101	113286	Child
590102	42341	Herself
590102	123034	Katelyn, Commander Fan
590102	134731	Eve Plumb
590102	192172	Ruth
590102	390423	Elizabeth Louise "Libby" Kell
590103	133334	Carli
590103	194025	Young Joan
590103	208245	Music Box Girl
590103	218162	Jesse
590103	269035	Sammy-Jo Fuller
590103	272418	Mary
590103	277055	Becky
590103	303362	Melissa Jones
590103	382218	Jane
590103	410425	Samantha Bloom (child)
590105	136089	Dancer
590106	307513	Junkie Girl
590107	47880	Miss Nettie
590107	79078	Lorelai
590107	93098	Beth Rogers
590107	189280	Mama Lavorn
590107	318360	Mama Maitresse
590107	369178	White-Haired Woman
590107	393417	Mother Jefferson (1975-1978) 
590108	224283	Trucker's Wife
590109	510	
590109	515	Additional Voices
590109	516	
590109	517	
590109	63192	Anastasia
590109	160975	Laura
590109	245296	Nina
590109	384181	Anastasia
590110	394323	Mom
590111	26507	Edith
590111	108256	Hazel
590111	276858	Judge Helen Booker
590112	323781	Bug girl
590113	76553	
590114	223004	Juliette
590114	305920	Lady at Elevator
590115	364294	Herself
590117	58858	
590117	148420	Captain Miller
590118	243564	Mitch's Mother
590119	319270	Church soloist
590120	93217	Extra
590121	335648	
590122	116053	
590123	41048	
590123	41311	Nikki
590123	92908	Skull Dancer
590123	149332	Alex
590123	328527	Candice
590124	1390	Anderson Sister
590124	120520	Frolic Room Bartender
590124	133401	Dancer
590124	281927	Young May (The Waltz)
590124	296552	Dancer
590125	138822	Matron
590126	258188	Call Girl
590127	8961	
590127	11483	Mrs. Taylor
590127	23148	Mrs. Tremaine
590127	27112	Real Estate Woman
590127	28938	Investor
590127	41809	Matron
590127	54853	Mrs. Laura Williams
590127	73551	Fat Woman
590127	76582	Inquisitive Woman
590127	93220	Woman at Airport
590127	96987	Flora (Ray's maid)
590127	124224	Buyer
590127	139275	Mrs. Harding
590127	166345	Equity Board Woman
590127	232370	Woman
590127	255878	Woman in elevator
590127	302469	
590127	324261	Woman at exhibition
590127	331768	Autograph seeker
590128	646	Ms. Cameron
590129	14620	
590129	128476	
590129	203262	Catherine Kimberly
590130	160464	Herself
590130	359533	Hunter
590130	392421	Herself
590130	392422	Herself
590130	392424	Herself
590130	409741	Tasha Dexter
590131	2152	Vickey
590131	155013	Party attendee
590132	82683	Party babe
590132	186936	Linda
590132	333365	Irina Cho
590133	317946	Other T.R. Kid
590134	328555	Stacey Lang
590135	134122	June Rider
590136	16657	Deidre/Shuttle Stewardess
590136	386616	
590137	19464	Isadora
590137	55969	
590137	75233	
590137	77632	
590137	110992	Sayer's Secretary
590137	119856	Julia
590137	123090	
590137	160130	
590137	160979	
590137	162054	
590137	167193	Princess Ruspini
590137	209387	
590137	217764	Lavinia
590137	235770	Olga
590137	260627	Marchesa Gonzaga
590137	263621	Mother Superior
590137	267031	Office manager
590137	291561	Baroness Cornianu
590137	297873	Moona
590137	310014	Ludovico's mother
590137	327488	
590137	342121	
590137	352661	
590137	380852	Albergatrice di Corinto
590138	162054	
590139	61558	Grandmother
590140	52189	
590140	127906	Rita
590141	40232	
590142	39456	Churchgoer's mother
590143	4725	Nimet
590143	38482	
590143	95431	Nazan
590143	104730	Host
590143	104779	Host
590143	124896	Emine Dönmez
590143	125030	Selma
590143	136695	Dünya
590143	174059	Emel
590143	206751	Camkiz
590143	221849	
590143	265833	Filiz
590143	289193	Katja
590143	387959	Herself - Co- Presenter (2004
590143	411705	Zeynep 'Zeyno' (1999-2001)
590144	211941	Couple in Love
590145	236137	Adreana
590146	288912	Connie
590147	32518	Patty/Susan/Tracy
590147	119881	The Waitress
590147	176540	
590147	214962	Nurse Theresa
590147	394425	Miriallia Haww
590147	397054	Ann MacRae, Student
590147	397346	Miyu Kuroi/Mysteriu
590147	398464	Cafeteria Girl, Dicastia Crew
590148	326718	Narrator
590148	381787	Betty Crocker (1950-1952)
590148	381788	Host
590148	388464	Herself
590148	389909	Betty Crocker (1954-1959)
590149	314185	
590149	388320	Lucy
590149	389347	Emma
590149	392191	Shirley Matthews
590149	393938	Gina
590149	402900	Jennie
590150	19115	Mother Superior
590150	50623	Lady Pintar
590150	60170	Lucy Hodge
590150	66317	Constance Fay
590150	77815	Mrs. Massarene
590150	88076	Queen of Naples
590150	88098	Mmme. Zizi Rouck, Marianne's 
590150	90405	Jessica Ramsey
590150	110977	Clodah Harrison
590150	117300	Countess von Nessa
590150	117388	Queen Alexia
590150	155753	Lady Cray
590150	157877	Mrs. Brierly
590150	160067	
590150	177405	Mary
590150	178034	Queen
590150	178331	Mrs. St. George
590150	183391	
590150	190300	Gladys Morrison
590150	196367	Beatrice Fairfax
590150	199604	Marianne
590150	203020	Princess Sabina
590150	204278	Flora
590150	204743	Eleanor Bellington
590150	229660	Mrs. Horton
590150	230574	Countess Stoll
590150	231093	Paul Vrain
590150	235696	Mrs. Lyons
590150	235699	Dulcie Charteris
590150	241818	Lady Frances Thompson
590150	244798	Diana's mother
590150	293787	Elena Vincent
590150	306270	Queen Brangomar/Mary Jane
590150	330318	Isabelle Lenwright
590150	342434	Mrs. McCullough
590150	366003	Cora
590150	366883	Freda Henschell
590150	367430	Bianca
590150	367658	Mrs. Alden
590151	90320	Jennifer
590152	366758	Leslie
590153	332472	Jenny
590154	130051	The Philosopher's Niece
590156	257760	Supermarket Checker
590157	132247	Los Alamitos Dance Team
590158	92618	Court Reporter #1
590161	356896	Kiat (Drew's wife)
590162	190851	Shirley
590163	204873	
590165	79604	Nurse
590167	358477	Bar Patron
590168	21486	
590168	32591	
590168	32923	
590168	35067	
590168	35390	
590168	37198	
590168	42253	
590168	44426	
590168	50343	
590168	68986	
590168	75038	
590168	81377	
590168	105730	
590168	128729	
590168	128802	
590168	140951	
590168	144567	
590168	147647	
590168	147766	
590168	150068	
590168	166227	
590168	195503	
590168	233986	
590168	258144	
590168	274002	
590168	295617	
590168	295682	
590168	298103	
590168	303496	
590168	328131	
590168	346225	
590168	353471	
590168	359294	
590169	160637	Shakra Zula
590169	368687	Box Office Woman
590170	26563	Maenad (chorus)
590171	17498	Stewardesse
590171	358052	Prom teacher
590172	239867	
590173	72376	Violet
590174	14085	Helen
590174	23590	Ruth Barry
590174	31209	Angela Barrows
590174	32982	Julie Arnold
590174	37414	Honey Baldwin
590174	37946	Doris Masterson
590174	40846	Ruth Condomine
590174	47372	Joan Whelan
590174	50238	Lady Harriet Vane Wimsey
590174	59180	Marion Slade
590174	73336	Mary Brady
590174	75906	Roxane
590174	80518	Amy Folliatt
590174	117588	Anne Stafford, the American g
590174	129227	Linda Fayne
590174	135580	Maria Palmiero
590174	139547	Herself
590174	141081	Betty Smith/Dorothy Kay
590174	147799	Herself
590174	158145	Mrs. Nina Gellert
590174	161414	Kay Wallace
590174	161475	Mrs. Kate Fergusson
590174	168453	Mrs. Davidson
590174	185393	Marian
590174	185526	Molly Pearson
590174	193887	Mary Tyrone
590174	194299	Ethel Greenwood
590174	196047	Dame Philippa Hatchard
590174	196403	Connie
590174	214458	Sylvia
590174	220528	Mary Sears
590174	231760	Miss Jerry Healy
590174	232815	Rose
590174	275438	Carlotta Milburn
590174	286693	Gloria van Imhoff
590174	295369	Caryl Fenton
590174	316324	October
590174	324010	Herself
590174	330693	Ann
590174	330840	Francesca 'Fran' Harper
590174	331716	Julia (segment "The Scream' s
590174	338550	Ellen Wilson
590174	359749	Alice Wylie
590174	366163	Emily Stilson
590176	297776	Annette
590178	402197	Glynis Ladd (1983)
590179	291447	Backstage Girl
590180	189462	6th Grader P.E. Victim
590181	205426	Bartender
590182	147877	Tori Welsh
590183	171194	Lady Algy
590183	193273	
590183	194794	
590184	81640	
590185	404405	Goodie Salter
590186	139210	Reporter
590187	51991	Candy
590188	246732	Elois' Maid
590188	246733	Elois' Maid
590190	48026	
590190	128291	Muriel Van Osten
590190	239729	The Society Woman aka The Mer
590190	319762	
590190	322773	Rose Despard
590190	361720	His Wife
590190	362779	
590191	26847	Pie lady
590192	224106	The Talent Show - Sing It Out
590195	120641	Cronk's wife
590196	131764	Doris Klugman
590196	364692	Edith
590197	257724	
590198	235367	Jennifer Armstrong
590199	266768	Woman Jogger
590201	169946	Becky Nesler
590202	2669	Saloon Girl 1
590203	40891	Sydney
590204	146273	
590206	392570	Soma
590207	289052	Reporter
590208	117388	Princess Ena
590210	26529	Tara Benedict
590210	64566	
590210	131731	Lucy McFadden
590210	133159	
590210	158885	P.J.
590210	161415	Peggy Halston
590210	166858	
590210	180651	Herself
590210	191513	Susan Hooper
590210	201788	Herself
590210	232238	Nancy
590210	327187	
590210	381933	Ginger Smith
590210	388362	Annie Cooper (1978-1980)
590210	390903	Lucy Mansfield
590211	78131	Mrs. Gregor
590211	141188	Clytie Payson
590211	203741	Ruth
590211	207292	Eve Chilcote
590211	307858	Victoria French
590211	366912	Alice Sanders
590211	374196	Madame Dufrene
590213	252403	
590214	31331	
590214	36902	
590214	36941	
590214	39080	
590214	43883	Jacuzzi girl #2
590214	47013	
590214	50359	
590214	50373	
590214	121834	
590214	122178	
590214	128554	
590214	144831	
590214	197852	
590214	310363	Woman who spanks model
590214	311162	
590214	333834	
590214	369332	
590214	369907	
590215	117612	Ann Loring
590215	156841	Herself/Ellen Carter (from To
590215	203011	Mary Jo Ellis
590215	292571	Tawana
590215	316643	Cora
590215	320788	Marie
590215	335184	Ellen Carter
590215	348973	Angie Kinyon
590215	352034	Helga Schiller/Brent
590215	409566	Georgia
590216	78660	Unknown
590216	130416	Bob's Girl
590216	154083	Hermione Griggs
590216	267443	Edgar's Sister
590217	1748	Herself
590217	100221	CyberBunnyLilly
590217	381755	Herself/panelist
590217	402443	Field Agent (2004)
590218	120192	Anne's girlfriend
590219	61830	Ghoul
590222	252840	Flashback Date #1
590223	305717	Nudist Female
590224	198511	
590225	271297	Woman
590226	65607	Model (Bathroom Scene)
590226	80743	Maggie Kallir
590226	266590	Red
590226	283538	Jenny
590227	122676	The Girl
590227	309230	
590228	207989	Another Old Woman at Zion
590229	265575	Jill
590230	109427	Fantasy girl on bike
590230	119425	Bank Manager
590230	191051	Paul's biggest fan
590231	13756	Lady Vere de Vere
590232	17934	Birdcage Waitress
590232	47993	Female Bailiff
590233	12750	Clare Hemsley
590233	54612	Mrs. Judd
590233	55679	Susan Lashwood
590233	80787	Annie Laurie Starr
590233	82923	Peggy Travers
590233	92574	Pat O'Dowd
590233	101427	Bobbie Heseltine
590233	103238	Dora Winton
590233	142364	Lucy, Hawlett Trucking Secret
590233	158182	Sally
590233	185830	Eleanor Apley
590233	195847	Sally
590233	205168	Pat McGuire
590233	209616	Kitty Norton
590233	219747	Belle Adair
590233	223816	Georgette Constantin
590233	232070	Joanna Harrington
590233	239740	Lily
590233	286335	Julie Bunting
590233	316604	Bridget Foster
590233	329408	Monica Brooke
590233	334159	Dorothy Rapallo
590233	361261	Sarah Willoughby
590233	364170	Christine Deed
590233	372862	Gay Butterworth
590234	333190	Elizabeth
590235	344203	Little Old Lady
590236	105167	Casey Campbell
590237	261495	
590238	318265	Hija1 Policía Bco.
590239	126551	Bank Teller 1
590240	388974	Herself
590241	388974	Herself
590242	388974	Herself
590243	5563	Queen of Diamonds
590243	7079	Peg
590243	7111	Female Nazi agent #2 [Chs. 6-
590243	7963	Madame Gerve
590243	10587	Nurse
590243	16133	
590243	29094	
590243	31105	
590243	31137	
590243	31153	
590243	31602	
590243	32738	
590243	32886	
590243	32980	
590243	33611	
590243	39704	Meg, a Crook
590243	40234	Queen of Diamonds
590243	44447	
590243	46627	
590243	46748	Villager
590243	46756	
590243	47456	Kitty Gray
590243	52514	Mrs. Camerford Amster
590243	52527	
590243	53102	Mary McLean
590243	54449	Captain Billie
590243	56098	Woman at baby window
590243	62088	
590243	65650	Backstage Maid
590243	72194	
590243	72611	Mrs. Armstrong
590243	75537	
590243	75642	Mrs. Custer
590243	78168	Stewardess
590243	79101	
590243	79386	
590243	79387	
590243	82948	Mrs. Bird
590243	87914	
590243	94976	
590243	96985	Tessie
590243	99313	
590243	99460	Lucille Gray
590243	99539	
590243	99756	
590243	105555	
590243	105653	Nightclub Hostess
590243	110186	
590243	112630	
590243	113894	Woman in the bank
590243	118457	Mrs. Elmer Brown
590243	120472	
590243	120567	
590243	123681	Taboni's Landlady [Ch.1]
590243	124382	
590243	127163	
590243	128312	Marietta
590243	128395	
590243	128790	
590243	133818	Townswoman
590243	133841	Herself
590243	137471	
590243	140124	
590243	141273	Betty Jason
590243	142442	Cherry Maurice
590243	143007	
590243	143398	
590243	143450	
590243	143931	
590243	143944	
590243	143976	
590243	144559	Princess
590243	145813	
590243	146238	
590243	151337	
590243	151338	
590243	158197	
590243	158538	
590243	159088	
590243	178026	Widow
590243	183435	Prisoner Marie
590243	183807	Lady Raffles
590243	183821	Maid
590243	185384	Gertie
590243	190459	
590243	191587	
590243	191646	Aunt
590243	192189	
590243	196839	Lucille Love
590243	199182	
590243	199183	
590243	199438	
590243	199439	
590243	199743	
590243	200467	Nurse
590243	200472	
590243	203109	
590243	203110	
590243	203289	
590243	203567	A Woman
590243	207172	Cactus Kate
590243	222334	Farmer's Wife
590243	224587	
590243	224598	
590243	224637	Raffles
590243	224781	
590243	224783	
590243	226128	
590243	232299	Undetermined Role
590243	235162	Farmer's wife
590243	239769	
590243	241462	
590243	241553	
590243	243732	
590243	245548	Lucy Carlisle
590243	251831	Peg
590243	254483	
590243	254573	Ellis' wife
590243	256899	Bit
590243	261974	
590243	263476	Satin Sadie
590243	264106	
590243	267558	
590243	268030	
590243	273638	
590243	276318	
590243	276422	Olga
590243	276795	
590243	276813	
590243	280638	
590243	283864	Pioneer woman
590243	297212	
590243	297723	
590243	298039	
590243	298481	
590243	300062	Mother
590243	301670	
590243	305844	
590243	306815	Lena Rogers
590243	317006	Bowery Belle
590243	317139	
590243	317425	
590243	319054	
590243	324392	
590243	324821	
590243	327309	
590243	328657	
590243	329095	
590243	331263	Girl
590243	339565	
590243	340856	
590243	342600	
590243	346882	
590243	347679	
590243	347730	Milly
590243	359167	
590243	359606	
590243	359736	Betty
590243	364065	
590243	366205	Mrs. Strange
590243	366217	Thora Lange
590243	366257	Townswoman
590243	367562	
590243	367944	
590243	369354	Wynona (an Indian girl)
590244	16133	
590244	30917	
590244	31682	
590244	47456	King's Sweetheart
590244	78714	
590244	90939	Cecille McLain
590244	127527	Wife
590244	131507	Welder
590244	131530	
590244	131534	Mrs. Aldredge
590244	132572	
590244	133694	
590244	140733	
590244	145697	
590244	162514	
590244	166345	Neilson Maid
590244	171144	
590244	176754	
590244	192737	
590244	208700	
590244	243246	
590244	269077	
590244	280483	
590244	301265	Helen Durant
590244	306816	
590244	362314	Johnnie Paige
590244	366569	
590244	367933	
590245	347732	Woman
590246	219370	Kathy Doherty
590246	227479	Herself (Nanook's wife)
590246	263804	Photographer
590247	70615	
590248	70615	
590249	1849	Auntie Iris
590249	34729	
590249	44564	Aunt Lupy
590249	90367	Herself ('Marcia Fox')
590249	99917	Mrs. Prince, cook
590249	137462	Pub Character
590249	166217	
590249	196134	Dolly
590249	210541	Neighbor
590249	221234	Woman on Embankment
590249	240706	Ruby
590249	248459	Ella Bernstein
590249	276745	Aunt Lupy
590249	358290	Lady of the House
590249	364731	Coach Passenger
590249	381661	Various Roles (1972)
590249	381929	Vi Box
590249	384142	Mrs. Monk
590249	385535	Mrs. Fox (1969-1977)
590249	408715	Rosie (1972)
590250	88669	Júlia Zamutovská
590250	153359	
590250	197220	Elis
590250	202260	Jirka
590250	243660	
590250	253799	Natasa
590250	261382	Lenka
590250	270410	Darina
590250	373558	
590250	378525	Dana
590250	399141	Ina Blazejová
590250	399142	Ina
590251	134720	Suzy Trotter
590251	195818	Young Anna
590252	323848	Miss Cobbs
590253	273555	Capt. Pepper
590254	337609	Herself (visitor)
590255	77983	U.S. Reporter
590256	43556	
590257	26034	Salve
590257	28079	
590257	34898	
590257	37714	
590257	39008	Dorina Pineda
590257	49115	
590257	50805	
590257	54431	Darna
590257	73767	
590257	74274	Stella Mate
590257	78601	
590257	80971	
590257	85476	
590257	89764	Herself
590257	117727	
590257	120253	
590257	156174	
590257	164375	Jack
590257	164377	Jack
590257	172160	
590257	172166	
590257	172305	
590257	173646	
590257	173751	
590257	181767	
590257	181768	Emmy
590257	181822	
590257	190773	Lilian Velez
590257	199779	Mariel
590257	200393	
590257	200422	Cita
590257	209789	
590257	214775	
590257	214777	Dianne
590257	224218	
590257	226852	Elaine Fajardo
590257	227410	
590257	231214	
590257	243178	
590257	246023	
590257	246501	Lynette
590257	247537	
590257	249794	Lupe Velez
590257	250624	
590257	284646	
590257	287069	
590257	325366	
590257	326251	Carol
590257	334241	Raffy
590257	345596	
590257	358499	
590257	358508	Joanne
590257	358509	
590257	406389	Herself-Judge
590258	294628	
590259	78573	
590260	26539	
590260	57452	
590260	72032	
590261	141878	
590262	71332	
590262	104497	
590262	278617	
590262	307215	
590263	151369	
590264	260974	Mãe
590265	246950	Princess
590266	388681	Maria Elizabeth
590266	409419	Ursula Schmidt da Silva (chil
590267	100877	Nun
590267	297880	Christmas Party Guest
590268	25788	The baby
590269	308273	Dorinha
590270	328866	Graça's Friend (12 years)
590271	246855	
590272	107323	
590272	193172	Agueda
590273	182243	Gina
590274	57981	
590276	13047	
590276	24986	
590276	205399	Dolors
590276	268044	
590276	276303	
590276	370154	
590277	316315	Zombie
590278	364425	Nurse
590279	157738	Auctioneer
590279	382838	Laura Wright Gordon-Davies (1
590280	368416	Jay's Girl Carlo's
590281	1868	Other girl in nosh van
590282	261427	
590283	11516	Peggy Batterbee
590283	14596	Barmaid
590283	75699	Karen
590283	77200	Karen Spillings
590283	93281	Red-Haired Girl
590283	115249	Cath Broughton
590283	133595	Biddy
590283	160059	Sharon Peacock
590283	184105	Emma Quinlan
590283	195982	Samantha
590283	257189	Jane
590283	270255	
590283	282933	Noreen/Nellie
590283	346272	Caz
590283	363734	Kathy Enfield
590283	378675	Vanessa (1996)
590283	384477	Kim Anderson
590283	385342	Christine Reardon
590283	389876	Constanze Weber/Mozart
590283	395080	Emma Quinlan
590283	395523	Alison
590284	95489	Sonoma
590285	91759	Norton's Secretary
590285	191033	Louella
590285	236696	Bag lady
590285	386733	Doreen
590286	143651	Dancer
590287	386603	Unknown (early 1980s)
590288	117558	Mary
590288	335334	Lucy
590289	108255	Daughter
590290	132247	Rolling Hills Dance Team
590291	115921	Woman at bus stop
590292	31846	Reporter #2
590293	28649	
590294	39310	
590295	387533	Geri Cairns (1997)
590296	38959	Ella
590296	88881	Women's ward sister
590296	90260	
590296	202920	Mrs. Harvey
590296	330884	Judith
590296	383683	Midwife
590296	385020	Linda Tanner/Cheveski (1960-1
590296	392658	Herself
590296	408628	Emily's mother
590296	411444	Helen Blake
590297	77210	Emily Weston
590298	48297	Baraccata Negra
590298	69105	Pauline Collins
590298	71436	Black stripper
590298	75526	Nightclub dancer
590298	81523	Queen (segment "The Ravishing
590298	87046	
590298	87099	
590298	91137	Adrienne
590298	162996	Shakira
590298	219595	Terrell
590298	233081	
590298	273150	Grenda's black maidservant
590298	314535	Shadow
590298	315424	Mulatto Girl
590298	325164	Kamala
590299	360146	Carrie
590299	368648	Kimmie
590301	144406	
590302	196546	Jane Butler
590303	187237	Baseball Person
590304	5055	Countess von Aschenhausen
590304	7493	Mrs. Llewellyn Castle
590304	8166	Pamela
590304	18593	Dot
590304	19960	Miss Jenkins
590304	21297	Stella
590304	25479	Aunt Patsy
590304	26337	Paris bank clerk
590304	26776	Mrs. Miller (the evicting lan
590304	40952	Genevieve 'Gennie' Trent
590304	41047	Norfolk Woman Manager
590304	41502	Mrs. Marcus Gilworth
590304	44899	Bit Part
590304	46739	Helen Oldfield
590304	52062	Mme. Laruga
590304	53704	
590304	54487	Mrs. Jane Homans
590304	67159	Dean Sleet
590304	67778	Josie, Glasgow's secretary
590304	72285	Priscilla Lock
590304	77805	Miss Allen (secretary)
590304	79371	Mrs. Mary Hunt
590304	94066	Mrs. Finch
590304	94291	Wife
590304	108328	Cora Stewart
590304	118334	Piper
590304	120508	Mrs. Chadman
590304	128894	Miiss Brewster
590304	133766	Miss Perkins
590304	144586	Lorinda Channing
590304	149635	Judge Cavendish
590304	153156	Mrs. Diana Boone
590304	154481	Mrs. Herbert Fairmind
590304	155837	Agnes
590304	157118	Mrs. Rosy
590304	157886	Mrs. Ames
590304	162551	
590304	163490	Madame J. L. Chambers
590304	163654	Autograph Seeker with Sheet M
590304	175629	Landlady
590304	177391	Big Edna
590304	178342	Wyn's Grandmother
590304	183435	Mrs. Arlington
590304	183789	Countess Berichi
590304	185991	Tess Gibson
590304	190210	Pearl Turner
590304	190858	Mrs. Hobbs
590304	195744	Aunt Hattie Donovan
590304	195883	Laundress
590304	204178	Pancake Annie Jones
590304	205724	Mme. 'Feldy' De Lerchenfeld
590304	207582	Lady gambler selling ring
590304	218123	Madame Swempski (interviewed 
590304	220892	Bit Part
590304	224003	Mrs. Whitman
590304	224273	Mrs. Thompson
590304	230417	
590304	230731	Governor's Wife
590304	231858	Mrs. Alvin
590304	248613	Society Woman (Impulses)
590304	252488	Nellie Simpson
590304	257512	Dowager
590304	257611	Mlle. Hedwige
590304	275859	Mrs. Morgan
590304	276808	Miss Doolittle
590304	277628	Woman Talking to Tierney at P
590304	285303	Angie
590304	288208	
590304	289422	Maybelle Murphy
590304	320203	Madame Panoramia
590304	321501	Murphy
590304	324054	
590304	329809	Aunt Caroline Elrick
590304	330908	Miss Eberhardt
590304	331117	Mrs. Henry Abbott
590304	340493	
590304	342520	Secretary
590304	360430	Theodosia
590304	361927	Mrs. Twombey, hotel guest
590304	365062	Countess Oldenburg
590304	366395	Miss Ainsley
590304	367051	Sharpy
590304	367970	The Barker
590304	372050	Mrs. Morris
590305	34129	Random Dance company
590306	47875	Black hooker
590306	326155	Hooker in Cab
590307	256530	April
590308	65174	Buxom Woman
590309	21160	Herself
590310	397299	Dr. Gail Benson, senior house
590310	411382	Sally
590311	112745	Woman prisoner
590312	368619	Mrs. Brophy
590313	381977	Assistant (1974-1975)
590314	384651	Camp Medic
590315	32448	
590316	279200	Dancer
590317	218733	Bar Dancer
590318	68859	
590319	360444	Friend 3
590320	394509	Christa
590321	273896	Pretty Girl in The Fetus Brot
590322	316226	Jessica
590323	205268	Woman at Auction
590324	26256	Maureen Fortunato
590324	77906	Shazara
590324	138353	Laurel
590324	195345	Realtor
590324	273772	Violet Speery
590324	289603	Mary Rollings
590324	344228	Miranda
590324	355096	Lydia
590324	395471	Cluster Major
590324	408968	Tea Lady
590325	291291	Bernice Wilson
590326	83786	Alice
590326	149739	Joan Berkley
590326	249380	Blonde
590326	289383	Annette
590326	305413	Girl, Rita
590326	305421	Marlene Hogg, Ice Cream Girl
590326	331558	Rosie
590327	104761	Irish entry (4th place)
590328	80050	Mrs. Pickford, Kevin's Mom
590329	130622	Gold Digger
590329	152947	Mother on Subway
590329	389135	Lauren Rinshaw
590330	373577	Waitress #2
590331	97490	
590332	230663	Cheerleader
590333	386133	Hostess (Episodes 301-up)
590334	99860	Patient
590335	80821	Tyrone's Girlfriend
590335	188988	Laeh
590336	284628	Llittle Kid
590337	6907	Zelda
590337	12620	Annie
590337	163565	Secretary #2
590337	181155	Jane
590337	298056	Betty
590337	310829	Suzy
590337	389258	
590337	407983	Sally Perks
590338	155013	Girl/Jack's movie
590339	345943	Sallyanne
590340	2875	Paramedic #2
590340	148003	Cecelia Tellez
590341	330836	Youngster
590342	292641	Debbie Thielman
590343	335285	Pretty Hitchhiker
590344	219186	Narrator
590344	279639	
590345	91853	Various
590345	263786	Miss Campbell
590345	265690	
590345	285656	Mrs. Palmer
590345	325244	Landlady
590345	385299	Miss Penn
590345	404536	Various Roles
590346	77759	Yolanda
590347	44183	Customs Officer
590347	115249	Mrs. Lowther
590347	223700	Mrs. Brailsford
590347	253093	Ellen Wilson
590347	277142	Hospital Receptionist
590347	292158	Female Expert
590347	368060	Mrs. Dunkley
590347	380190	Maureen
590347	408636	Marion
590347	408638	Marion
590348	82973	
590349	253820	Customer
590350	367970	Dancer
590351	284628	Little Kid
590352	292299	Mia
590353	331738	
590354	297802	Mary
590355	32904	Mame
590356	143442	
590357	109057	Molly (disgraced nurse)
590358	52180	
590359	60829	
590360	77210	Tricia
590361	291114	Ariadne
590362	330026	Melanie Morrison
590363	201619	Herself
590364	33623	Mrs. Chandler
590364	39655	
590364	72332	Annie Andersen
590364	106740	Mrs. Taft
590364	108311	Ma Kovack
590364	118763	Alma
590364	124504	Clara
590364	150910	
590364	154516	Mrs. Forbes
590364	164840	First Judge
590364	226899	Nurse
590364	229988	Mrs. Althaus
590364	239394	Marilyn
590364	278402	Nelly Winrod
590364	291288	
590364	342001	Mrs. Ingram
590364	342756	
590364	380391	Elizabeth 'Aunt Liz' Matthews
590364	387309	Emma Lawrence (1972)
590364	408749	Nurse Andrews (1981-1986)
590365	235952	Waitress
590366	249341	
590366	321423	Louise
590367	47418	Nita
590367	224738	Gail Perlow
590367	273826	Lucille
590367	290424	
590367	310656	Patricia Matusek
590368	254522	Ballet Girl/Masquerade Dancer
590369	292472	Swim Coach
590370	291179	Cool Sister
590371	408615	Herself
590372	195664	Celia
590373	257530	Cyndi Holland
590374	154048	
590375	26430	Mrs. T.V. Smith, Old Lady on 
590375	93101	Mme. Kimmelhoff, the Music Te
590375	143568	Mrs. Snodgrass
590375	175805	Mrs. Butler
590375	383673	
590375	391951	Mrs. Manicotti (1955)
590376	245053	Aksana Volkova
590376	305013	Bar chick #1
590377	141786	Bob Evans
590378	296107	Melanie
590378	368967	Jennifer
590379	47423	Old Prisoner
590380	162306	Grip
590381	11915	Elisa Bowers
590381	46106	
590381	53318	Teresa
590381	73314	Brooke
590381	81360	Maralee Rodgers
590381	134731	Maureen McCormick
590381	147612	Karen
590381	190184	Herself
590381	196890	Sarah Baker
590381	221043	Charlotte Stillwater
590381	255345	Little Girl
590381	269809	Connie Reinhardt
590381	326664	Herself
590381	335791	Lori
590381	355212	Karin
590381	378682	Amanda Williams
590381	378944	Bridget Hennessy
590381	382671	Brandy Harrington
590381	395054	Bonnie Stiles (2001)
590382	187442	
590382	212394	Ragazza provino
590383	234266	
590384	326536	Abitante quartieri spagnoli
590385	198499	Madame's Girl
590385	349536	Ragazza sauna
590386	224192	60's Dreamgirl
590387	118273	Judy
590388	322396	Enfermera 2
590389	274771	
590390	240444	Fanfan
590391	350412	Herodiade
590392	101382	Anna
590393	64714	
590393	377126	
590394	7628	Receptionist
590394	145170	Shop assistant
590394	297635	Hotel Desk Clerk
590395	17814	Betty
590395	28768	Lucia
590395	55384	
590395	61427	Lisa
590395	69787	Mary Cantucci
590395	78776	
590395	82386	Alicia
590395	82481	Magda
590395	121299	Assessino
590395	127387	Cristina
590395	204231	
590395	235489	
590395	242113	Anna
590395	242607	Sra. Albertini
590395	260914	
590395	286110	Doctor's wife
590395	312302	Heather
590395	328894	Lisa
590395	336453	Paola
590395	384212	Alexandra
590395	386484	Irene Martini
590395	389116	
590396	61427	Mira
590397	339261	
590398	61320	Horn-Rimmed Glasses Girl
590398	62488	Young Woman
590398	185297	Alta
590399	133150	Young Grandma
590399	189066	Fan 3
590399	367782	Factory Girl
590400	151183	Kelly
590401	50491	
590402	379037	Various characters (1995-1996
590403	171154	Mother
590404	112708	Rita James
590404	344183	Mabel
590405	39195	
590406	44654	
590406	50383	
590406	50385	
590406	291003	
590407	151235	Emily
590408	239290	
590409	207828	Female Sticky Contestant #2
590409	267351	Newscaster
590409	381551	Host
590409	395118	Host
590409	408496	Various Characters (1992-)
590410	242688	Siracusa
590410	276526	
590411	264256	
590412	320415	
590413	91350	
590414	12766	Rosita Borelli
590414	33420	
590414	56139	Jeanette
590414	65722	Woman in Street
590414	116271	Hindu woman
590414	224333	Rositta
590414	251196	Mrs. Viscardi
590414	254515	Biancarolli's maid
590414	296776	Police Matron
590414	308576	Woman
590414	308595	Housekeeper
590414	308614	French Maid
590414	313118	Wife of Bey
590414	359863	Italian woman
590415	315422	Ester
590416	410688	Nitro Girl Whisper (1997-1999
590417	326384	Tiffany
590418	405209	Shannon Te Ngaru (2001-)
590419	270949	Peg's Children
590420	50006	Nurse
590421	75264	The Grandmother
590422	36554	Ana
590423	381144	Cristina Gomide
590423	388565	Lídia
590423	390054	Young Paloma
590423	391673	Mariana Gomide Sampaio
590423	395302	Antônia
590423	396886	Soninha
590423	402623	Angela
590423	405810	Glorinha
590423	408727	Lívia
590424	53564	Zombie
590424	333120	Cervantes' Regular
590425	267933	
590426	113980	Ofelia Sanchez
590426	382085	Herself - #53
590427	248616	Herself - Writer
590428	41198	C.S.I Tech #1
590429	201496	Maria
590429	305720	Maria
590430	277405	
590431	119068	Cardella
590431	338616	Flora Bervoix
590431	353138	Maddalena
590432	91352	
590432	132664	Blanca
590433	78570	Dancer at Salón Los Ángeles
590435	131086	
590436	262699	Maria (governante)
590437	138759	
590438	243173	
590439	119608	Athlete
590440	222651	School Board Secretary
590441	65499	Old Lady #2
590442	32346	Backing Vocalist - Exposé
590442	106159	Herself - Exposé
590442	329619	Herself/Performer
590443	117745	Katie Longden
590443	196538	Evelyn
590443	199707	Amelia
590444	342974	
590445	35272	
590445	45064	Ysail
590445	52510	
590445	56141	Mayme Saunders
590445	66635	
590445	72250	Ruth Dawson
590445	83647	
590445	84857	Joyce Moore
590445	91584	Polly Gilmore
590445	107808	Princess Irena
590445	128428	Sister Ella
590445	138249	Ramona Wadley
590445	143026	Virginia Gordon
590445	145863	Margery La Tour
590445	145974	
590445	161574	Princess Alice
590445	161903	
590445	169891	May Harper
590445	183891	
590445	184546	Kate Kilgour
590445	187742	Rosalind
590445	190279	Claudia Frawley
590445	193264	Bit Part
590445	195010	Josephine Jones
590445	195440	
590445	202932	Mary Erskine
590445	213235	
590445	214146	Fay Moreland
590445	220919	
590445	260085	
590445	261984	A dame
590445	262322	
590445	264073	
590445	278062	Betty Blake
590445	296653	Betty Allison
590445	305703	Marcia Graham
590445	307581	Dorothy Morton
590445	312278	Beatrice Forsythe
590445	324413	One of the Children
590445	332083	Alice Hayden
590445	337647	
590445	341930	Evelyn Barker
590445	342562	
590445	342836	
590445	345700	
590445	350030	Cecelia May Morgan
590445	351237	
590445	351753	
590445	358759	
590445	361654	Daisy Kent
590445	363428	Gambler's wife
590446	235258	
590447	238504	Charwoman
590448	252075	
590449	174446	Joel Stanley
590449	174503	Monica Martinez
590449	205540	Receptionist
590450	185637	
590451	170411	Coffee bar person
590452	10985	
590453	202421	Mathilde (child)
590454	195967	The Girl
590455	169677	Waitress
590456	313699	Barbara
590457	262613	Felena
590457	320154	Ellen
590457	363165	1st Fisherwoman
590458	382397	Herself
590459	367960	Linda White
590460	38979	
590461	99284	Tom's Grandmother
590462	284899	Gladys
590463	14570	Susi
590464	202727	Italian Psychiatrist #2
590465	341442	(segment Bone)
590466	52204	May
590466	56158	Chambermaid
590466	99327	Clinic Secretary
590466	178098	Sandra
590466	211838	Janet
590466	226868	Car Owner
590466	231439	Parent
590466	235174	Alice
590466	250448	Lady in Motel #2
590466	258933	Frances Simms
590466	292779	Little Boy's Mother
590466	320759	Maude (Hullabaloo)
590466	333679	Mrs. Sykes
590466	335982	Miss Morton
590466	351972	Prisoner
590466	364382	Woman in window
590466	370585	Girl in club
590466	384485	Jenny (1990)
590467	53059	Tripping hippie on hill
590467	105884	Possessed Girl
590467	264158	Newspaper Student Anita
590468	1038	Six Chick
590468	343889	Cheerleader Mindy
590469	104108	Young Eleanor
590470	333868	Nuala Curran
590471	283500	Child
590471	405088	Prisoner
590472	224352	Party Kid
590473	210787	Eileen Guheen
590474	278855	Call Girl
590475	26703	Tabby Singer
590476	289667	Siren
590477	310633	Bernadette
590478	154516	Patient
590478	159200	Faye
590478	192254	Marie Donovan
590478	274525	Ida Rauh
590478	281255	Doctor
590479	38021	3rd Grader
590479	379716	Emily Ann Sago Martin #2 (198
590480	8026	Fay Asquith
590480	12737	First Sugar Girl
590480	29228	Mother
590480	32364	Emma
590480	40834	Bettina Joy
590480	45695	Sandra Sprague
590480	49388	Dora McKenzie
590480	51794	Maudie
590480	68886	Prostitute
590480	71777	Rhoda Wilson
590480	80623	Pearl Elkington
590480	82385	Mrs. Hansen
590480	141596	Evonne Houseman
590480	165687	Mum
590480	169475	
590480	171102	Mrs. Fullilove
590480	222998	Minnie
590480	224154	Jean
590480	243934	Mrs. Ahearn
590480	259273	
590480	262348	Sexual Health Worker
590480	279413	Margot
590480	308033	Irene
590480	321451	
590480	336721	Connie Driscoll
590480	370854	Anne Olson
590480	381608	Rhoda Lang Wilson Greene
590480	399816	Samantha Minerver (1976)
590480	403244	Jean Stafford
590480	405165	Hareema
590480	406743	
590481	174520	1st Nurse
590484	265245	Mrs. Hicks
590485	385299	Maureen Flynn (1977)
590486	40877	Smooching teenager
590486	59826	Mrs. Sifftifieus
590486	128246	Bobbie
590486	196352	Whispering Glades Hostess
590486	223391	Lt. Connie Engstrom
590486	331768	Spot Checker (starlet)
590486	346178	Dolores
590487	142524	Pam
590488	330594	Choir Member
590489	382663	Nursing Mother
590490	157324	Second Grade Communion
590491	116741	
590492	142623	Little Rain Girl
590493	258903	Athena
590494	169163	Josephine - Age 13
590495	192508	Herself
590496	359319	Herself
590496	361695	Self
590497	97540	Herself
590497	118541	Annie
590497	207908	Betsy Rhodes (credited as Che
590497	248706	Dana
590497	277635	Michelle
590497	281923	Singing Maid Cherie
590497	342512	Sara (Segment #3)
590497	360127	Iris Longacre
590497	410036	Herself
590498	155272	Vicki
590499	1953	Himself
590499	221166	Herself
590499	352690	Herself
590499	391319	Herself (Series 1) (2004)
590500	323023	Penny Langham
590501	67957	Herself
590502	31441	Mrs. Carrey
590503	256188	Female Citizen
590504	81438	Nurse in rest home
590505	97314	
590505	159764	
590505	260803	
590505	361886	
590506	327904	The thelepatic accountant
590507	289859	Sarah
590508	6947	Betty Wallace
590508	16042	Miss Quigley
590508	18856	Billie Mason
590508	20613	WAAC
590508	26652	
590508	26987	Marian Gordon
590508	30606	Marjorie
590508	32561	Telephone Operator
590508	38048	Molly Fitzgerald (as Louise C
590508	38054	Ann Roberts
590508	40855	Mrs. Egbert Slipp
590508	52543	Attractive lady on tour
590508	62157	Peggy Cartwright
590508	63024	
590508	64729	Reporter at Xanadu
590508	73412	Heidi
590508	91898	Miss Mink
590508	94598	Gail Sargent
590508	118045	Katherine Reynolds
590508	134058	Bordine's girlfriend [Ch. 1]
590508	135857	'Buckskin' Jane Sawyer
590508	142610	
590508	146286	Susie, the new Bride
590508	194209	Jane, Marge's Friend
590508	195816	Clara Foley
590508	197169	Herself
590508	207185	Alice Hamilton
590508	214093	Louise Cortland
590508	256383	Betty Ainsley
590508	262265	Girl
590508	269295	Secretary, Horsie segment
590508	275367	
590508	285890	Alice Hamilton
590508	292127	Joan Summers
590508	294212	
590508	313584	Nancy Drew
590508	331559	Helen Brinstead
590508	333074	
590508	333734	
590508	356800	Stella Saunders
590508	365475	Florabelle Bannister
590508	372295	Lead Society Girl
590509	280207	Nicole Miller
590510	281923	Singing Maid Marie
590511	233567	Smoking Hospital Lady 2
590512	335859	Telephone Operator
590513	75612	Tara DeMillo
590513	124335	Sarah Marshal
590513	200275	Donna
590513	328253	Nurse Tipton
590513	328607	Mitchy
590514	278233	Nurse
590515	75612	Inmate
590515	140962	Young Nurse
590516	10886	Teri Cloth
590516	67570	Sgt. Hubach
590516	67593	Mrs. Rocca
590516	97689	Pamela Tate
590516	121363	Tara Alexander
590516	122772	Maggie
590516	156471	Yolanda
590516	158896	
590516	161321	Herself
590516	167006	Jessica
590516	175645	Natalie
590516	176309	Mrs Edna Jacobs
590516	185397	Lainy
590516	202656	Addie
590516	253000	Nora Toling
590516	276725	Rachel
590516	278599	
590516	292723	Mary Quinn
590516	316644	Mandy
590516	357104	
590516	390607	Rahab
590516	391069	
590517	308019	Laura
590518	102850	
590518	128821	
590518	141664	
590518	194574	Ruthie
590518	221076	
590518	302492	Village Maiden
590519	41192	
590520	6814	Miss Nolan
590520	7492	Felice Winters
590520	16470	Mrs. Stedman
590520	16684	Nurse
590520	26184	Mrs. Kingsley
590520	26776	Mrs. White, Escorting Walter 
590520	32352	Playgoer
590520	32537	Mrs. Livingston, Stella's Mom
590520	36985	Ivy Temple
590520	41096	First Saleslady
590520	42703	Miss Tedder
590520	52659	Ward X Nurse
590520	72054	Wilbur's Aunt Martha
590520	73213	Agatha Waldham
590520	78802	Nurse Workman
590520	78986	Nightclub singer
590520	89711	Secretary to Hammerstein
590520	105328	Miss Tillifer
590520	107059	Burn Treatment Nurse
590520	107696	Paula Dudley
590520	109843	Mrs. Lee, Gary's Mother
590520	113605	Nurse at St. James Hospital
590520	114651	Mrs. Lansdowne
590520	118543	Mrs. Warren
590520	128468	Secretary
590520	133848	Mrs. Victor Herbert
590520	135412	Book Dealer
590520	142880	Mrs. Michael
590520	143591	Secretary
590520	147412	Mrs. Van Gelder
590520	154439	Mrs. Gordon
590520	162377	Troop Ship Nurse
590520	168119	Jeanne, Countess of Luxembour
590520	175175	WAC at hearing
590520	178342	Clerk at Delphine's
590520	190268	Mrs. Rappaport
590520	198660	Secretary
590520	200304	Mrs. Frisby
590520	209612	Mrs. Tyler
590520	218238	Mrs. Clay
590520	224003	Miss Pringle
590520	234090	Woman at Smith Home
590520	234220	Mrs. Miller
590520	238711	Mother
590520	241134	McKenzie's secretary
590520	270497	Mrs. Hugh Allison
590520	273083	
590520	273513	Waltzing Dowager in Ballroom
590520	275057	Madame Duval
590520	275694	Miss Jones
590520	276286	Mrs. George Johnson
590520	276737	Hilda Gilmore
590520	283890	Miss Davis
590520	292568	Edith Marie Harrison
590520	292829	Playgoer in Theater Lobby
590520	299163	Merton's Secretary with Glass
590520	308175	Miss Jones
590520	313118	Guest at Ritchie Home
590520	313803	Nan McNair
590520	315123	Saleswoman
590520	315483	Hazel Billingsley (photo)
590520	317169	Flagg's Party Guest
590520	329528	Maid
590520	338287	Helen Kenyon
590520	346908	Secretary
590520	348098	Mrs. Currier
590520	349983	Mrs. Laurence Gaylord
590520	356800	Mrs. Benton
590520	365926	Woman at Baseball Game
590520	372929	Judge Chandler
590521	52805	
590521	230774	
590521	244831	
590522	288960	Herself (segment "Fire and Ra
590523	82006	Yana
590523	137061	
590523	137815	Bubbly (Preeti's friend)
590523	172172	Neeta
590523	181481	
590523	201053	Roopa
590523	211421	Anu
590523	275015	Shruti
590524	215821	Captain McKain, Lexington Com
590525	9966	Katherine
590525	51482	Francine the Landlady
590525	85998	Neighbor Lady
590525	96770	Street Witness
590525	115470	Ticket Agent
590525	130311	Sal's Secretary
590525	157562	Nancy Clutter
590525	190273	George's Mom
590525	264037	Mme. Dupres
590525	274525	Marjorie Jones
590525	324822	Parent
590525	330311	Reception Guest
590525	368363	Pooh
590526	378912	Reporter (1993-1996)
590527	160000	Melody Lounge Dancer
590528	228761	Vendedora Artesanías
590529	379978	Herself (winner) (2003)
590530	162573	Beth Haines
590530	186471	Obnoxious Spectator
590530	201816	Herself
590530	328281	Bill's Girlfriend
590530	333205	Kelly
590530	352962	Herself
590531	63043	Herself (host)
590531	63044	Herself (host)
590531	391236	Herself
590531	398213	Herself
590531	408395	Herself - News Desk (1997-)
590532	51471	Janet
590532	97035	
590532	117061	Push Nurse
590532	123460	Carol
590532	222739	Loraine Rule
590532	222871	Samantha
590532	246230	Liza
590532	276184	Sybil Howard
590532	366957	Laura Adams
590532	389087	Gwen Copeland)
590532	404282	Claire Kelton (1989)
590532	406120	Louise
590533	297206	Joanna
590534	188561	Amy
590535	41352	Stripper
590536	169579	Susan Rhodes
590537	379221	Herself
590538	58488	Leanne
590539	288738	The Vampirettes
590540	55519	Singer
590540	333433	Black Woman Mistaken for Toni
590541	366419	Black Maid
590542	78038	Pageant Girl
590542	92736	Mansion Violinist
590544	315919	Exit Girl #2
590545	39928	Lashawn
590546	25479	Celeste, Maid
590547	80399	Waitress
590547	187339	
590548	151508	Girl
590550	148945	Kay
590551	305571	Young American Miss
590552	26180	Delle
590553	243478	
590554	249613	Vicky
590555	87165	Margo Chase
590555	299457	Officer Bowen
590556	22020	Jen
590556	57163	Mary Anne
590556	105112	Lisa
590556	169021	All Bad Female Roles
590556	174138	Lisa
590556	191907	Whitney
590556	231396	Girl in Park
590556	264157	Lady's Maid Brigitte
590556	315915	Starlet
590556	335053	Receptionist
590557	342563	Herself
590558	84811	Monique
590558	117134	Cece
590558	206488	Hooker
590559	307450	
590560	16181	Movie actress
590561	104974	Geno's Daughter
590562	104974	Geno's Daughter
590563	162342	Helen Tweedy, aka 'Nellie'
590563	178332	Duchess of Gloucester
590563	214695	Woman
590563	255327	Lady Gwendolyn Rugby
590564	37686	Cheerleader
590565	320311	Bridgette
590566	258100	Pamela
590567	109024	Susie
590568	7661	Georgina Hunter
590568	74258	Mrs. Jarvis
590568	120237	Sophie's mother
590568	129582	Old lady
590568	209545	Granny
590569	215044	Victoria
590569	318515	L'italienne
590569	339476	
590570	30646	Practice Team/Cheerleaders
590571	58323	Simone
590571	357113	Raymonde
590572	137623	Brenda
590572	328906	Therapist
590572	402805	Storyteller (1972-1975)
590572	408477	Tricia Conway (1974-1976)
590573	67804	
590573	82993	
590574	224227	Jane Lightwork
590575	113686	
590576	97364	Anne
590576	194219	Denise
590576	230242	
590576	231090	'Weltanschauung' Woman
590576	236145	Beatrix
590576	271360	Theresa
590576	329389	Lily The Bartender
590576	390771	Fran (1997)
590577	73332	Patron 2
590577	151050	Bus Driver
590578	18441	Muffy
590578	31187	Herself - NBC Team Contestant
590578	31190	Herself (NBC Team)
590578	34774	Herself/Various Characters
590578	34827	Herself/Various
590578	34846	Herself/Various Characters
590578	42310	Herself
590578	53723	Prossie
590578	56857	Fran
590578	63056	Herself
590578	68469	Alice McGoff
590578	69290	Prymatt Conehead/Mary Margare
590578	69291	Prymaat
590578	88174	Vickey Sturgess
590578	90425	Herself
590578	130708	Evil Queen
590578	151537	Elaine
590578	164581	Herself
590578	189361	Charlene
590578	190189	Herself
590578	193175	Maureen Giorgio
590578	208631	Julia Gilbert
590578	221021	Herself
590578	237600	Elinore Schwab
590578	240649	Herself
590578	244928	Mrs. Myrtle Webb
590578	288700	Herself
590578	288702	Herself
590578	288719	Herself
590578	295007	Herself
590578	306141	Herself
590578	320309	Lina McLaidlaw
590578	322866	Mary Todd Lincoln
590578	336797	Geraldine Liddle
590578	378855	Dean/Professor Mary Margaret 
590578	394207	Allie Lowell (1984-1989)
590578	398213	Herself
590578	404337	Various (1975-1980)
590578	411409	Sarah Marshall
590579	299652	Deborah Stafford
590581	54734	Lana
590581	236954	Sugar/Princess Sugar
590581	320797	
590582	10702	Vera
590582	11525	Miss Milland
590582	34656	Paula's friend in playpen
590582	37472	Arlene Hoffman
590582	46154	Chief Warden Stelina Shell
590582	63146	Muriel
590582	86476	Phyllis
590582	92112	Pearl Waxman
590582	133958	Miss Goldfarb
590582	185459	Mary Agnes
590582	195307	Kitty McHie
590582	208470	Miss Sheffer
590582	220057	Naomi Fishbine (Peaches)
590582	301669	Intensive Care Nurse
590582	302010	Plain Jane
590582	364692	Mrs. Bok
590582	378954	Judy Bernly
590582	378955	Judy Bernly
590582	393522	
590583	278715	Young Molly
590584	24392	Sophie
590584	130610	Patricia
590584	159562	
590585	101	Iris
590585	73804	Victoria
590585	115103	Michelle Fielmann
590585	129678	Isabel Martinez
590585	130610	Raphaela
590585	135992	Robyn
590585	171846	Jenny
590585	174097	Señorita Miranda
590585	176925	
590586	108378	Julie
590586	110315	Denise Stone
590586	165556	June
590586	175784	Sharon
590586	195982	Jane
590586	232839	Yvonne
590586	300927	Hannah
590586	309890	Kat
590586	346314	Dallas
590586	382846	Carena Leonard
590586	395919	Lucy Stepherd
590586	400632	Alice Dreiber
590586	404598	Polly
590587	316881	Try-out Girl
590589	7810	Anne
590590	14107	Lady Smith
590591	9309	
590591	9776	
590591	112787	
590591	156160	Angela
590591	169742	
590591	185800	Young linda
590591	200663	
590591	380345	Ginny (1998-2002)
590591	381564	
590591	391119	
590591	392560	Rosana
590591	399840	
590592	11451	English Woman
590593	16089	Guest
590593	40121	Maid
590593	47311	
590593	50077	
590593	52641	Mrs. Bedford
590593	66314	Girl
590593	71630	
590593	85067	Bit Part
590593	118498	
590593	128651	Infielder
590593	128894	Teacher
590593	131454	Waitress
590593	139624	Bee Curtis
590593	147512	Maid
590593	148587	Stewardess
590593	163220	Secretary
590593	163267	Script Girl
590593	163513	Stenographer
590593	166240	Bit Role
590593	183759	
590593	183767	Personal Maid
590593	187469	Secretary
590593	188294	Waitress
590593	193739	Guest
590593	203541	Prisoner
590593	204012	Asylum Nurse [Chs.3,10]
590593	215748	Office Girl
590593	219786	Check room Girl
590593	220892	Bit Part
590593	221130	Paine's secretary
590593	224105	
590593	246606	Frances Mitchell
590593	257504	
590593	296873	Mrs. Moreno
590593	297968	Reporter
590593	305044	Fashion Show Woman
590593	309588	Lois Saunders
590593	311025	Kate Sands
590593	315322	Mrs. Bedford
590593	329903	Reporter
590593	340487	
590593	351918	Ruth Milner
590593	362792	Blonde Secretary
590593	367538	Waitress
590593	372145	Neighbor
590594	133336	Farmer's Daughter
590595	54150	
590595	84150	
590595	104736	Italian entry (5th place)
590595	119433	
590595	270850	Betty Dorys
590596	247359	Miss Bolivia
590597	72824	Herself
590598	51989	Prison Inmate
590599	211738	Betty Bond
590600	87018	Cave Girl
590601	13730	Herself
590602	298436	'Sammy' Lane
590603	360108	
590604	84486	Half Dressed Girl
590604	101070	Model #5
590604	202915	Nightclub Worker
590604	273606	Tina
590604	355156	Virtuality
590605	274475	Connie Porter
590606	264825	School Girl
590607	95486	Sarah
590608	176334	Anne Holt
590608	247234	Ruth Hill
590609	316881	Try-out Girl
590610	79965	Francine
590612	157667	
590613	20625	Extra
590613	48874	Mrs. Dawson
590613	69431	Bidder
590613	80670	Giddy Woman
590613	114303	Nurse
590613	190723	Nurse
590613	193295	Maid
590614	317309	Cher's Assistant
590615	300009	Madame Theodora
590616	64750	Rhett's Aunt
590617	113516	
590617	142710	Nurse
590617	198430	
590618	191966	
590619	87215	Girly Bar Waitress
590620	83476	Stevie Kolovos
590621	289880	Tau
590622	367917	
590623	372923	Bruno's sister
590624	393222	Herself (regular performer) (
590625	222592	Earl Carroll Girl
590626	321394	Mandy
590627	50054	Nurse
590627	115241	Jackie, a Transvestite
590627	319687	Herself
590627	346289	Roommate
590627	358004	Herself
590627	367822	Jackie
590627	380001	Herself
590628	53053	Sick Prisoner
590628	113825	Duessa
590628	183790	Penny
590629	118	Herself
590629	1466	Herself
590629	1674	Herself
590629	2768	Herself - Presenter
590629	2924	Herself - Host: Technical Awa
590629	3055	Herself - Presenter: Song Per
590629	3733	Herself
590629	3902	Herself
590629	6936	Sandra Banzai - Buckaroo's Mo
590629	7584	Herself
590629	11670	Herself
590629	13360	Lynn Taylor
590629	21499	Whitsey Loftin
590629	41940	Megan Turner
590629	43877	Laurie Strode (Halloween)
590629	57678	Herself
590629	57680	Herself
590629	63144	Nora Krank
590629	67567	Waitress
590629	68224	Herself
590629	76562	Elaine Bowen
590629	81168	Dorothy Stratten
590629	87181	Herself
590629	89936	Jennifer Reston
590629	94018	Rona Mace
590629	99388	Dr. Judy Peterson
590629	110297	Herself
590629	112049	Willa Weston
590629	114350	Wanda Gershwitz
590629	116377	Elizabeth Solley
590629	117674	Claire Cooper
590629	119358	Tess Coleman
590629	133182	Michelle 'Mike' Cody
590629	137655	Laurie Strode
590629	137663	Laurie Strode/Keri Tate
590629	137674	Laurie Strode
590629	137686	Herself
590629	137687	Herself
590629	137688	Laurie Strode
590629	141965	Heidi Holland
590629	142654	Herself
590629	148440	Sierra Kazan
590629	150802	Janet Beindorf
590629	195818	Anna Winter
590629	206224	Narrator
590629	217990	Michelle Jamison
590629	220004	Judith 'Jude' Madigan
590629	223978	Shelly DeVoto
590629	223979	Shelly DeVoto Sultenfuss
590629	231440	Maggie Green
590629	242774	Lt. Barbara Duran
590629	252825	Jessie
590629	265678	Kim Hammond
590629	269427	Grace
590629	282992	Queen Camilla
590629	298094	Pvt. Rita Jennings
590629	311204	Herself
590629	323179	Louisa Pendel
590629	323849	Herself
590629	326664	Herself - presenter
590629	328553	Laurie Stroude (Halloween I &
590629	328607	Alana Maxwell
590629	337384	Ophelia
590629	340799	Helen Tasker
590629	340800	Helen Tasker
590629	345253	Susan Elliott
590629	347420	Herself
590629	352749	Herself/Host
590629	355233	Kit Foster
590629	355242	Herself
590629	361156	
590629	380461	Hannah Miller
590629	383230	Bartlett, Rachel
590629	400352	Lt. Barbara Duran (1977-1978)
590629	401462	Clara
590629	407515	Annie Oakley
590629	410032	Herself
590630	328523	Tucker
590630	397866	Margaret Ellen (1979-1980)
590631	138253	Herself (contestant)
590632	184959	Coffee shop waitress
590633	323800	Cafe singer
590634	150298	Alice Jones, Receptionist
590634	316197	Beth Grimes
590634	363476	Joan Allen
590635	167685	Jody
590636	154014	Sis
590636	219859	Hawking Neighber
590636	296735	Bridal Shower Guest
590637	305977	Cathy
590638	20260	Waitress
590639	115421	
590640	3733	Herself
590640	57678	Herself
590640	60270	Joyce
590640	107990	Mary Durand
590640	179419	Whitley
590640	200283	Shirley
590640	216446	Annie Weaver
590640	291903	
590640	294382	Lt. Carolyn Plummer
590640	295131	Miriam Kreisl
590640	329346	Barbara Schloss
590640	337384	Muffy
590640	404853	Lt. Carolyn Plummer
590641	304355	
590642	23699	
590643	26460	Jody, High School Girl
590643	34104	Claudia
590643	47875	Ace
590643	73573	Megan Morgan
590643	102906	Murohy (segment "Let's Talk A
590643	105650	Carol
590643	107396	Samantha Kyle
590643	128596	Maggie
590643	139030	Maureen
590643	175575	Sharon Kay
590643	179423	Lorraine
590643	269427	Cashier
590643	273552	Lori
590643	280000	Stella
590643	303545	Randy
590643	303546	Herself
590643	309661	Kate
590643	339363	Doreen
590643	365381	Mona
590643	381754	Annette Dimetriano
590644	232421	Nancy Leyden
590645	243143	Cindy Bayer
590646	41829	Dancer
590646	77676	Kim
590648	73482	Marie
590648	80848	
590649	2402	Mrs. Kendall
590649	11502	Minister's Wife
590649	18552	Casino Patron
590649	50919	Lady
590649	88853	Nurse
590649	115259	Maid
590649	118311	
590649	134026	Mrs. Samuel Kelly
590649	138379	Person
590649	149261	Reporter
590649	161961	Mrs. Redwick
590649	195753	Mother
590649	224809	Mrs. Harkley
590649	233899	
590649	235062	Woman
590649	299463	
590649	343206	Guest
590650	190724	Cora Bowerman
590650	235591	Nadine
590650	277716	Receptionist
590650	339927	Mrs. Parker
590650	382838	Carolyn Roebuck (2000)
590650	385920	Sylvia
590650	390523	Mrs. Liz Regan (1986-88)
590650	391223	
590650	397182	
590650	398990	Madame Junot
590650	405696	Sister Beatitude
590651	26258	Nosy Neighbor
590651	297105	Rita Mason
590652	93051	
590652	381056	Frankie (1999)
590652	382255	Tracey Keane
590652	386963	Maxine Duxbury (2000)
590653	106617	Nurse
590654	165851	Officer Ryan
590655	69137	American Olympic Athlete
590655	164213	
590656	143175	Lady Dolly
590657	348386	Judy
590658	311500	Woman in Gallery
590659	139214	Vaudeville Midget
590659	284916	Midget
590661	185553	Dina
590662	306841	
590663	158226	Woman in red
590664	194822	Passenger
590665	317874	Mother
590666	307712	Church Usher
590667	26478	
590667	41372	Major Marin
590667	78781	Marian
590667	114047	
590667	127204	Rea Dedham
590667	144347	Rebecca
590667	149971	Janine Wiest
590667	157789	
590667	186578	Jacqueline Kennedy
590667	201548	
590667	235204	Jane Harlow
590667	273851	Julie Sloan
590667	287782	Leslie
590667	291047	Shannon Brey
590667	295826	Woman on Street
590667	299679	1st Newswoman
590667	313395	Lt. Saavik
590667	313396	Lt. Saavik
590667	322955	Lt. Carol Steckler
590667	345683	Linda Holt
590667	389858	Carol Pulaski (1991)
590668	190543	Flapper Divorcee
590669	68738	Interpreter
590669	68739	Interpreter
590669	316617	Receptionist/Party Guest
590669	379014	Kyoko Miyano
590669	387456	Ritsuko (English)
590669	387457	Ritsuko
590669	389869	Matsami
590670	84854	1st Cultist
590670	171275	Local Girl
590671	264499	Elizabeth's Friend
590672	80829	
590672	82711	
590672	109810	Jen
590672	218393	Peasant Girl
590672	236152	Charlene
590672	309575	Jill
590672	328251	Kirsten Davis
590673	195763	Young Margaret
590673	238143	Octavia
590673	333375	Kissing Girl
590674	116145	
590675	32553	
590675	37202	
590675	37203	
590675	98855	Wendy
590675	98856	Lucy Lovitt
590675	98859	Topless dancer
590675	98861	Tamara
590675	159911	
590676	29939	
590677	196015	Leslie
590678	75530	Gymnast
590679	75530	Gymnast
590679	339710	Tracy
590680	25480	Ellen
590681	383164	Betty Hansen (1954-1955)
590681	411859	Regular Performer
590682	2165	
590682	93711	
590682	150374	
590682	264727	
590682	264748	(special edition only)
590682	264751	Herself
590682	264909	
590682	364752	Abby
590683	177296	Dr. Patricia Bennett
590684	292155	
590685	47007	Mrs. Young
590685	186450	Willa Pearl
590685	188405	Carolyn, Malvina's Maid at th
590685	194987	Mrs. Wertheim's assistant
590685	207865	Goldie
590685	217478	Junella (the maid)
590685	228338	Mrs. Hannah Thomas
590685	255145	
590685	269282	Miss George
590685	275694	Nurse
590685	292145	Scrubwoman
590685	319131	Woman at Chicken Shack
590685	323703	Buckwheat's mother
590685	337178	Marguerite, a Black Servant
590685	345860	Mammy
590685	346877	Bit in Buckwheat's dream
590685	349983	Maid
590685	350645	Sister Jenkins
590685	358163	Bordello Maid
590686	65378	Patrice
590686	359441	Stefanie Younger
590687	82696	Doctor
590688	155306	Canteen girl
590688	193583	Mary's Factory Co-Worker
590688	320308	Jessie Barham
590688	330664	Maid
590689	316272	Landlady
590690	66939	Female Lifeguard
590691	57606	Girl
590692	170746	Young Panhandler
590693	97578	Elizabeth
590694	141636	Drusilla Wainwright
590694	146859	Clara Janek
590694	195743	Suzanne
590694	198436	Mrs. Stewart
590694	277222	Jackie
590694	363731	Fran
590695	99055	Inmate #2
590696	291575	Samantha
590696	328273	
590697	383718	Estela
590698	380911	Herself - 4th Place (2003)
590699	395704	Sanja
590701	75596	Professor
590701	140396	Agente
590701	242445	Marietje
590701	255924	Meisje
590701	305315	Anna
590701	375377	Zuster Tatjana
590701	376505	Marijke
590701	382864	Marieke Joosten-de Haan
590701	383003	Lucy Akkermans
590701	407707	Hanna
590702	39248	
590702	39612	
590702	39632	
590702	50370	
590702	126517	
590702	128918	
590702	149250	
590702	335949	
590703	41525	Herself
590703	50351	
590703	295815	
590703	330813	
590704	36931	
590704	50373	
590704	158922	
590704	291004	
590705	374425	Child on School Bus
590706	89397	
590707	380097	Tatiana
590707	383441	Belinha
590707	384137	Cássia
590707	387640	Letícia (child)
590707	387732	Glorinha
590707	396610	Jade (1996)
590707	401944	Cecília
590707	404077	Kátia Reis
590707	405936	Aninha
590708	380777	Nadja
590708	391580	Alição
590709	237885	Barmaid
590709	259136	
590710	363793	Miss Lambert
590711	17630	Emily
590711	61706	Aria
590711	77495	Ruthie
590711	154969	Tiffany 'Tiffi' Krohn
590711	184375	Duckie
590711	184378	Ducky
590711	184379	Ducky
590711	184380	Ducky
590711	184381	Ducky
590711	184382	Ducky
590711	287782	Elizabeth
590711	325098	Baby Apes (Additional Voices)
590711	338922	Janie
590711	399456	Tiffany
590711	403038	Theresa 'Cornchip Girl' LaMai
590711	406377	Ben (a Bully Boy)
590712	168864	Camille
590713	12229	Sarah Vernon
590713	60771	Maureen
590713	111063	Stanfield Phillips
590713	120300	Merle
590713	195745	Liz
590713	233465	Charlotta Muff Danderfield
590713	234098	Bar Girl
590713	255013	
590713	269305	
590713	304750	
590713	350850	Woman at the Banquet
590713	378830	Hostess (1980-1983)
590713	385299	Faye Mansfield (1975)
590713	411612	Penny (1977)
590714	3128	Nurse Jill
590714	77108	Louise
590714	160761	French Girl
590714	289519	Katharine Banks
590714	305712	June
590714	319266	Vander's Secretary
590715	85850	
590716	407084	Herself (Yasur Tribe)
590717	13742	Assistant to Lee Phillips
590717	38572	TV Woman in Van
590717	53921	Kitty Monaco
590717	134611	Amy
590717	186650	Shirley Baker (left field)
590717	202389	Waitress
590717	213159	Delivery Woman
590717	222265	Noreen
590717	223920	White House tour guide
590717	224313	Grace
590717	245717	Marcy Levin
590717	252521	Candy Dineen
590717	258879	
590717	275602	Bill's secretary
590717	314745	Dr. Reston
590717	324551	Sub Girl
590717	353394	
590717	362355	Liz
590717	382160	Mandy
590717	382842	Julie Shaw
590717	389416	Jan Armstrong
590717	393227	Stephanie
590717	393415	Karen Foxworthy (1996-1997)
590717	396426	Margaret 'Maggie' Day
590718	45316	Ann
590718	69808	Mary McLaughlin
590718	381187	Frankie Sullivan (1999-)
590718	385020	Carmel Finnan (1992-1993)
590718	405969	Youngest Constance
590719	2893	Herself (Nominee)
590719	6248	Debbie Jellinsky
590719	11963	Gina
590719	20336	Cheryl Lang
590719	47279	Blair Litton
590719	51654	Cathy
590719	61282	The Ugly Duckling
590719	71110	Jonesy
590719	72504	Hazel Huffman
590719	75721	
590719	133182	Mary Maine
590719	134611	Marcella
590719	143824	Evelyn Laplante
590719	144631	Herself
590719	144804	Liz
590719	155266	Mrs. Howard
590719	157436	Emily Montgomery
590719	163478	Rachel Bitterman
590719	185648	Fanny Nash
590719	194332	Mother
590719	206447	Rose
590719	210732	Jody
590719	220062	Annie
590719	221183	Inga Gunther
590719	223734	Hannah Stubbs
590719	223740	Shelley
590719	232845	Gail Dwyer
590719	240876	Herself
590719	271344	Jenny Portman
590719	283410	Peggy Flemming
590719	288702	Herself
590719	289222	Constance Dobler
590719	290378	Rosalie Mullins
590719	303545	Geek girl #1
590719	305575	Nancy Tellen
590719	313762	Irene Stein
590719	337168	Jessie
590719	337169	Jessie
590719	337206	Alsatia Zevo
590719	343025	Gloria
590719	363415	Ruth Meyers
590719	368314	Cyn
590719	401108	Narrator
590719	404337	Various (1985-1986)
590719	410868	Joan Gallagher
590720	238244	
590720	274000	Mother Richthofen
590720	278820	
590721	650	Herself
590721	34488	
590721	57227	Mary McGuire
590721	65895	Kate
590721	116796	Josephine
590721	191636	Ellen Hall
590721	196559	Chloe
590721	197026	Denise Slipper
590721	206375	Ruth
590721	248991	Jenny Swanton
590721	257686	Brigid Maguire
590721	277479	Julie Flynn
590721	313937	Dr. Grace Hazlett
590721	329661	Helena
590721	335594	Tina
590721	379872	Christine Fletcher
590721	383845	Melanie
590721	384634	Bridget Paterson
590721	391247	Dr. Kate Rowan (1992-1995)
590721	408234	Jane Longbridge
590721	411451	Beatrix Potter
590722	10437	Edith
590722	27137	Ellie McAllister
590722	39629	Ermine
590722	57805	Mother
590722	75913	Roxane
590722	79554	Emily
590722	89709	Amora
590722	93051	Kathleen
590722	94500	
590722	106613	Sally
590722	116663	
590722	119737	Herself
590722	129988	Ellie Marsh
590722	142796	Lily
590722	147254	Miss Janet Smith
590722	149605	Narrator
590722	154102	Mrs. Cotton
590722	185565	Isabel Geste
590722	215022	Fazila
590722	224154	Frances (Frank) Kennedy
590722	229902	Brenda O'Boyce
590722	257615	Margaret Flaherty (Pegeen Mik
590722	277035	Rose
590722	280152	Amanda 'Billi' Rockwell
590722	314152	Diana
590722	315444	Matilde
590722	323825	Nelly Mann
590722	324117	Rose
590722	342361	Olivia
590722	345873	Menchu
590722	351930	Miss Balsilbie
590722	360055	Mary Crick
590722	366441	Elfrida Phibbs
590722	391151	Charlotte Dawson
590722	392008	Narrator (2000)
590722	399686	Hannah Armitage
590722	399748	Marie Dorval
590722	400111	WPC Diane Priest
590722	401651	Herself
590722	404527	Katchen
590723	318	Diana
590723	16626	Mary
590723	24154	
590723	88474	
590723	114246	Sean's Mother
590723	146787	Miss Campbell
590723	147429	Bridget O'Donnell
590723	160578	Unkown
590723	306032	Mrs. O'Neil
590723	383631	Staff Nurse/Sister Kate Wilso
590723	387940	Caroline
590723	393313	Jane Eyre
590723	398020	
590723	398990	Hortense
590723	401603	Erin MacConnell
590723	401725	Margaret Opalsen
590723	402956	Lucy Lambert
590723	406298	Nesta Wright
590724	68697	Susie
590724	143824	Donna O'Day, Bernie's Public 
590724	144804	Party Guest
590724	235394	Angie
590724	299846	Nancy
590725	211652	
590726	49233	Lois
590727	87012	Cavegirl
590728	199375	
590729	308373	Isabel
590729	347136	Clerk
590730	340710	
590731	283075	Barah
590731	353533	Mother Burgod
590732	191826	Mother
590733	250449	Tennis player
590734	35362	
590735	110562	
590735	128733	
590735	191283	
590735	257181	
590735	331126	
590736	105732	Det. Green
590736	120392	Nancy
590736	255345	Bride
590736	395022	Annie Mason
590737	321448	Mrs. Halloran (Nudist)
590738	14198	Johnny's Girlfriend
590738	82737	
590739	158147	Shelly
590740	193070	
590740	209036	
590740	244604	Martha
590740	302982	
590740	334651	
590741	64905	Herself (Detroit Resident)
590742	360270	Professor's Wife
590743	79858	Prof. Raphael
590743	117956	Mrs. O'Brien
590743	221096	Mrs. McIntyre
590743	241299	
590743	279611	Mum
590743	295193	Mrs. Lohan
590743	314007	
590743	395180	Mrs. Kelly
590743	402197	Linda Jones (1980)
590744	178012	Megan
590745	61962	Meg
590745	195107	Dagmar Sheridan
590745	224713	Woman
590745	371091	
590747	355028	The Academy's Blessed 'Virgin
590748	330271	Maria
590749	305408	Birth class teacher
590750	78845	Amy
590752	85963	Mujer de Luis
590752	212081	Ella
590753	52618	Madame
590753	73281	Chato Baby's Godmother
590754	355077	Mrs. Sherrill
590755	1567	Ava Knight
590755	285503	Kitty Mannock
590756	43916	Sr. Helen
590757	314814	Girl
590757	394123	Florentyna Rosnovski 11
590758	46990	Mrs. Barnett
590758	128780	Judy Redwood
590758	187338	Emigree wife
590758	399485	Susan
590759	85973	
590760	344524	Herself
590761	347534	
590762	18321	Jérichote
590762	146365	Cathy
590762	237316	
590763	184048	Bess Shepherd
590763	267988	
590763	331874	
590763	349980	
590764	148586	Cathy Bates
590765	26672	Ex- Girlfriend #3
590766	15224	Herself
590767	10005	
590767	27857	Luisa Romagosa
590767	48848	
590767	54765	
590767	74530	
590767	74852	Carla
590767	85582	
590767	90157	Doña Lola
590767	90197	Teresa
590767	102333	Elen Potter
590767	103535	
590767	104140	
590767	109422	
590767	135922	Senora Durano
590767	136858	Doña Leonor
590767	145179	
590767	194624	
590767	200415	
590767	212363	
590767	212538	Diana Carter
590767	222418	
590767	226437	
590767	236411	Natacha
590767	251556	
590767	252572	
590767	265923	
590767	289348	
590767	317669	
590767	328120	
590767	353152	
590767	376658	Candelas
590767	376775	Tulula
590767	376794	
590767	376795	
590767	377181	
590768	357729	Ester
590769	76171	
590769	83904	
590769	85472	
590769	139956	
590769	321953	Nen
590770	99668	Lucía
590771	170217	Herself
590772	150555	
590773	351059	
590774	396810	Loló
590774	402539	Olívia
590775	84340	
590776	87282	Polly
590776	309707	Angela
590776	362330	Heather Stone
590776	390796	Joanna Sproule
590777	217855	The Baker Woman
590778	18039	
590779	739	Herself
590780	1856	Herself
590780	1923	Herself
590780	1924	Herself
590780	9139	Nicole Stone
590780	33372	Katherine Winslowe
590780	77828	Sarah
590780	91490	Nina
590780	128350	Danielle
590780	151085	Carly Jones
590780	195300	Carol-Anne, American Goddess
590780	196948	Katlin Palmerston
590780	200999	Madison Osgood
590780	231550	Carolyn Price
590780	239786	Darcie
590780	333192	Susan Shawson
590780	364165	Emily Reece
590780	378807	Kimberly 'Kim' Bauer (2001-20
590780	380590	Megan
590780	401892	Elisha (1997-2000)
590781	243744	Evelyn (Waitress in Bar)
590782	405209	Mrs. Musgrove (1998)
590783	408299	Molly Purcell
590784	317481	
590785	262006	Herself
590786	31321	
590787	51639	Cadwell's Crush
590787	256220	Party Girl
590788	167068	Diner Waitress
590788	216717	Linda
590788	289460	Reenactment Cast
590789	9967	
590789	79557	Janet
590790	132128	Woman on the Hill
590790	187854	
590790	314157	Landlady
590790	405705	
590790	410582	Nurse (Train to Auschwitz)
590791	254522	Female Ensemble
590792	230731	Julie
590792	261423	Nurse
590792	347724	Woman
590792	356293	Girl at Telephone
590793	80376	Tina Slite
590794	172603	Gayle
590794	194140	Wild Waitress
590794	318174	Georgie's Friend
590794	327192	Producer
590795	320611	TV Reporter
590796	5927	The Dowager
590796	39703	Lady Mincott
590796	67875	Lady Axminster
590796	78903	The Mother
590796	133626	Aunt Jessie
590796	194489	Lady Bovey
590796	219691	Madame Kovrin
590796	252859	
590796	268152	Grand Old Lady
590796	318074	Mother
590796	329543	Helen Malone
590796	334124	Aunt Dorothy
590796	360719	Dowager Marchioness of Buckmi
590796	362890	Aunt Agatha
590797	213751	Friend of Devine
590798	140765	Bridesmaid
590799	263235	Tiffany Griffin
590800	79759	Suzy
590801	107842	Denise
590801	110441	Saleslady
590801	131731	Improvisation Group
590801	144430	Newsperson
590801	152718	
590801	154943	Crew Member
590801	160406	Elizabeth
590801	185853	Reporter #2 (Letterman press)
590801	199405	Nurse
590801	231503	Sunny
590801	242804	Wife
590801	263740	Lou
590801	269596	Erana/Sarra
590801	280421	
590801	305087	Mrs. Colson
590801	321096	Angela
590801	335058	Townspeople
590801	339359	Linda Chambers
590801	350170	Iris
590801	396145	Jennifer
590801	401169	Herself
590802	190519	Linyl
590803	80660	Older Nun
590804	326536	Amica alla festa
590805	281686	Infermiera nursery
590805	326536	Francesca
590805	352861	(segment "Stirpe di Ivana, La
590806	3225	Herself
590807	147108	Cajun
590809	55158	Brigid Mills
590809	77575	Lori
590809	125576	Bel Breed
590809	168780	
590809	169427	Twinky
590809	405488	Frederika Marasco
590810	223776	Mr. Wolinski Woman
590811	118925	Young Justine
590812	144406	
590813	85242	Mrs. Butts
590814	95698	
590815	154271	Corporate Board
590816	50796	Dr. Ellen Scott
590816	83899	Nora Malloy
590816	83910	Nora
590816	83912	Nora
590816	102209	Andrea Kanin
590816	115323	Jennifer Womak
590816	140315	Patty
590816	231523	Cathleen Markson
590816	296744	Mary Denton
590816	302993	Allison
590816	385649	Gina McKay
590816	401226	Susan Campbell (1986)
590817	379716	Amanda Maureen Dillon #3 (199
590818	61061	The Bride
590819	139656	
590820	35180	Mrs. Griscom
590820	49802	William's stepmother
590820	143198	Mrs. Duggan
590820	203764	Lucretia Kendall
590820	277227	Mrs. Biddle
590820	293786	Semphronia Benson
590820	312122	Aunt Annabelle
590820	367418	Samantha
590821	51989	Ranch Inmate
590822	409471	Singing Police Officer
590823	10823	
590824	213590	Schoolgirl
590825	37136	Rachel
590825	99860	Doctor
590825	133432	Queenie
590825	281800	Cleaning Lady
590825	402197	Pat Slattery (1984-1986)
590826	239415	Armina
590827	7071	Joan
590827	31178	Lt. Peg Whitcomb
590827	125656	
590827	138695	Irene
590827	154763	Girl in Doorway
590827	171310	Gloria's Secretary
590827	193882	Rose Mallory
590827	199712	
590827	203548	Bubbles
590827	211549	Letitia Fairchild
590827	235062	Bit part
590827	264820	Erica Talbot
590827	330709	Queenie
590827	331106	Anne Twigg
590827	331524	Milady de Winter
590827	333567	Isabel Stevens Chapin
590827	372891	Alex Summerfield, Roger's Sis
590827	385020	Blanche Hunt (I) (1974)
590827	386859	Herself/panelist (1955-1956)
590827	406280	Charlotte 'Lottie' Dean
590828	65809	
590829	68010	Ensemble
590830	64877	New Born Baby
590831	137111	Heather
590832	128011	Myriel
590833	338592	
590834	265884	Narrator
590835	126319	
590835	338592	
590836	97360	Choir Member
590837	43546	Greeba Fairbrother
590837	251770	Rosalie Joyce
590837	354572	
590837	367458	Celin Thorburn
590838	7825	Sara
590839	180020	Julia Berna
590839	187827	Waardin van Hotel 'De Zon'
590839	302054	Volwassen Silvia/grown-up Sil
590839	375092	Zus van prof. Mortman/Sister 
590840	243712	Inday Lorenzo
590841	297793	Herself
590842	89737	
590842	379241	
590843	116741	
590844	80116	
590846	129668	Großmutter
590846	211887	
590846	375088	Czipra
590847	263256	Barbara
590848	349321	Mateja
590849	229186	
590850	393847	Herself
590851	16030	Viktorija
590851	25938	
590851	43154	Stamenina majka
590851	52073	Mrs. Johnson
590851	99019	
590851	124131	Lady Cordelia
590851	126292	
590851	164849	
590851	171913	
590851	173658	
590851	178876	
590851	181269	
590851	181555	
590851	209507	Herself (interviewed)
590851	209980	
590851	226691	
590851	239451	Skoblarova zena
590851	261951	
590851	265229	
590851	266062	Julka, Acimova kci
590851	271379	
590851	273097	
590851	286737	
590851	294156	Vera Djordjevic
590851	304510	
590851	305525	
590851	312406	Anka Ninkovic
590851	316831	
590851	320547	
590851	320634	
590851	339331	
590851	344254	Komsinica
590851	344256	
590851	348876	
590851	351316	
590851	356079	
590851	386526	
590851	387135	
590851	390660	Banetova sestra
590851	397987	
590851	401281	
590851	405506	Vaspitacica Jela
590851	411900	Markova majka
590852	296047	Semka
590853	222441	
590854	382029	
590855	57324	Jason's mother
590855	409909	
590856	191579	
590857	89485	
590857	134180	
590857	337465	
590858	190805	
590859	180026	Lejla
590859	229190	Bolnicarka
590859	272220	
590859	351359	Sara
590859	395028	Elena
590860	206072	
590861	181140	
590861	229038	
590862	192893	Martha Washington
590862	229079	
590862	233273	Prodavacica
590862	272565	
590862	343835	Sonja
590862	395299	Mama Mira
590862	406497	
590862	408796	
590863	155969	
590863	179663	Rankovic, Jasmina
590863	239451	Svetlana
590863	359283	Elsa Klein
590863	401949	Cvijeta
590863	405506	Savka
590863	411900	Goca
590864	132162	Uciteljica engleskog jezika
590864	139546	
590864	202016	Medicinska sestra
590864	320695	Duka Sujic ... snaha
590864	323311	Zorka Pandurovic
590864	381239	
590864	395704	Mimina komsinica
590864	400481	Nina
590864	401927	Zorka Pandurovic
590864	401928	Zorka Pandurovic
590864	406315	Kucina zena
590865	89790	Jerzy's girlfriend
590866	4796	Apollonia,komische Alte
590866	14316	Barbara Malska
590866	18157	The Governor's Wife
590866	75990	Countess Renata Czerminska
590866	89045	Putkovnikova
590866	89482	Mrs. Czabranowa
590866	91253	Mrs. Tarska
590866	94057	Janina's Mother
590866	95897	Apolonia
590866	95968	Raczynska
590866	125141	Ewelina, the housekeeper
590866	133185	Mother Ziembiewiczowna
590866	164260	Mother Lulewiczowna
590866	164755	Mme. Oksza
590866	166614	Mrs. Porecka
590866	178463	Mother Marlecka
590866	231649	
590866	243301	Baroness Idalia Elzonowska
590866	247343	The Aunt
590866	247351	Neto's Aunt
590866	247553	Leopoldyna "Polly" Gripaldi
590866	247592	Mrs. Smith
590866	265335	Florentina Szkopkowa
590866	279656	Ippel's Sister
590866	315814	Teresa's sister
590866	316436	Swords-woman
590866	321766	
590866	338886	Baroness Idalia Elzonowska
590866	343801	Kordelia
590866	344344	Miss Klara
590866	358083	The Widow Centkowska
590866	369008	Ramszcowa
590866	375439	Mother Rudnicka
590866	375469	Florentina Szkopkowa
590866	375647	
590867	67880	Charlotte Green
590867	70408	Valerie
590867	84895	Louise Montreuil
590867	336327	Ilsa Schneider
590868	41181	Little Michael
590868	232166	Kicking Girl
590868	346206	Sleepy Kid
590869	378915	Presenter
590870	392533	Herself
590871	67957	Herself
590872	234544	Girl in park
590873	255602	Princess Angelika
590874	181354	Evicka
590874	282765	Bela
590875	51152	Sylvie
590875	58733	Madame Renoir
590875	83181	Jacqueline Merowski
590875	101225	Echographiste
590875	146361	Tatie Babée
590875	216003	Christie
590875	248165	Sébastien's Mother
590875	355237	La femme à la décapotable
590875	376964	Jeanne
590876	101246	The Mother
590877	40779	Mutter von Herrn Karl
590877	259642	
590877	299070	Woman in Fish Market
590878	314798	Madison
590879	217676	
590880	110666	Dancer
590881	110666	Dancer
590882	385070	Viviana
590883	214439	Shy Girl
590884	196764	
590884	240325	Delia (2 Years)
590884	403132	Herself
590885	261769	
590885	307218	
590886	124442	Miriam
590887	314923	Girl in Club
590887	336654	Girl in bar
590888	191398	Surfer
590889	91881	Screaming Woman
590889	306853	Therapist
590890	24703	Melissa
590890	312964	Female Passerby
590890	333372	J.D.
590890	393700	Nina
590891	179708	
590892	65118	Young Girl #3
590893	8930	
590893	86911	Infante
590893	117944	Sophie
590893	157325	Agathe
590893	174154	Karmina
590893	174155	Karmina
590893	229663	Eva Nelligan
590893	253263	Rachel, Gas Station Attendant
590893	273514	Finola
590893	288948	Danielle
590893	317812	Secretary
590893	383863	Hélène
590893	395095	
590893	400635	Caroline (Barnum)
590893	400899	Charlie
590894	166554	Herself
590894	166555	Herself
590894	166556	Herself
590895	158056	Shaia of the Rom
590896	43675	Marie-Jeanne
590896	51895	
590896	68382	Miz Suicide
590896	118933	Judy Williams
590896	118948	Information Officer
590896	132228	Claire Clairmont
590896	142164	
590896	149934	
590896	154593	Ultra Violet
590896	176713	Vera Klamm
590896	258891	
590896	288933	Jennifer
590896	292351	Julitte
590896	310648	Anne Sampas
590896	328396	
590896	375798	Glenda Turnquist
590896	381692	Barbara Dorn
590897	34661	Mama
590897	80715	Girl #2
590897	126492	Carole
590897	265679	Secretary
590897	316116	Yuppie #1
590898	249712	Sarah
590899	96857	Vicki Carson
590899	194480	Reporter
590899	307934	Herself
590900	117944	Indian Referee
590900	224909	Vu Tran
590901	330750	Ginger Alden
590902	87414	Blonde Woman
590902	143808	
590903	376999	
590904	330847	Bank Manager
590905	381215	Host (2003)
590905	410006	Host
590906	94273	Tone
590907	37057	Ruthie (Age 8)
590908	407916	Princess Jasmin Cehdi (1980) 
590909	66286	Fan
590910	88763	
590911	160751	
590911	184102	Bindiya
590911	319333	Dilnawaaz
590912	23961	
590912	30038	
590912	67145	
590912	75195	
590912	305559	Nurse
590913	61384	
590914	100038	Un membre de la famille polon
590915	238644	Ballett
590916	269847	Peter Blaine's Date
590917	4751	Basia Jegorow
590918	231619	Krysia
590919	90788	Mels
590920	66308	Female Redneck
590921	322128	Valentin felesége
590922	153865	
590922	322090	
590923	155796	
590923	187514	
590923	232802	Kalauznõ
590923	322194	
590924	261204	
590925	110688	Narrator
590926	324489	
590927	37467	Gem Club Dancer
590928	175842	Sixty-Six Club Dancer
590929	180079	
590929	266293	
590930	282756	
590931	123099	Neighbour
590931	180763	Cafe's manager
590931	231731	
590931	304250	
590931	374468	
590932	75990	Lucyna's Nanny
590932	95727	
590932	95965	Mme. Patyk-Rossigol
590932	251148	
590933	338117	Passenger
590934	244106	
590935	336508	Frau mit Kinderwagen
590936	128246	Blonde on beach
590936	311230	Platinum Beauty
590936	362551	Mrs. Smythe
590936	365425	Clarette
590936	366390	Gloria 'Jonesy' Jones
590937	101490	Herself
590937	153864	
590937	179974	Herself
590937	394756	Herself
590938	181840	Zosia
590939	110115	
590940	26283	La danseuse
590941	19436	Mist
590942	327185	
590942	333037	Angel
590943	132212	Desk Helper
590944	2917	Mädchen 14 Jahre
590945	357107	Guide
590946	126340	Herself
590947	126709	Assistant Caterer
590948	7462	La traductrice polonaise
590949	129604	
590949	280586	Otryna's Mother
590950	343979	
590951	211217	
590951	357819	
590952	323287	
590953	110115	Young sister Feliksa
590953	131754	Beata Ruszkowska
590953	136364	Maryna
590953	238028	Malvina Munteanu
590953	304666	Ariadna Tarlo
590953	322908	Michal's Girlfriend
590953	412008	Maryna
590954	225244	
590955	17744	Alumna ejemplar
590955	18795	Mujer 2
590955	61354	
590955	70118	Dora
590955	96329	Dora
590955	156882	Lucia
590955	157211	Analía
590955	320188	Tita Merelo
590955	322396	Camarera
590956	1886	Angela
590956	11630	Fantasy woman
590956	20355	
590956	33469	Paola
590956	73513	Madre di cristiana
590956	85978	Daniela Vinci
590956	112677	
590956	121298	Trash's Mother
590956	124553	Anna
590956	127879	
590956	170069	
590956	218959	
590956	252720	
590956	260405	Virgin of Cappadocia
590956	280751	
590956	292970	Mara
590956	355640	
590957	234268	Wiktoria Lada
590958	40520	
590958	376408	Reingard, Kindergärtnerin
590959	6661	Anja von Krenesch
590959	11871	Dr. Hertha Becker
590959	18501	Eva von Hartberg
590959	24551	
590959	31921	Beate
590959	42116	Lisette
590959	91121	
590959	102152	Mizzi
590959	115199	
590959	128993	
590959	130916	
590959	152755	Mama
590959	153176	
590959	175289	Therese Hammerschmidt
590959	178845	Direktorium des Sanatoriums
590959	179914	
590959	187546	
590959	188834	Maria
590959	189690	
590959	214195	
590959	242848	Mizzi, flower girl
590959	263613	Marie
590959	347584	Charlotte Erdmann
590959	347707	Regine Endlweber
590959	348064	
590959	365011	
590959	366566	Hedwig Romana
590959	388293	Mutter Leitner
590960	12704	Sportlehrerin
590960	36480	Beisitzerin
590960	49282	
590960	49306	
590960	57753	Kinderärztin
590960	246917	Karin Kirsch
590960	338423	
590960	348056	Almut Nienstedt
590960	366517	Renate
590960	376476	
590960	387445	
590960	394082	Lisa Struck
590960	397362	Klassenlehrerin
590960	408208	Angelika Engel
590960	409990	
590960	411095	Actress (1994-95)
590961	305560	Lizetka
590962	285034	Roger's Mother
590963	285001	Tänzerin Dupare
590964	224445	Kirsten
590965	359590	
590966	180251	Natka
590967	113278	
590968	101235	
590969	311599	
590970	412076	Vanessa
590971	48211	Jola
590971	75975	
590971	95704	
590971	95952	Woman from Orphanage
590971	102639	Jogodka (segment Scherzo alla
590971	167078	Woman on the Train
590971	178773	Woman with Key
590971	184200	Woman at Hopfer's
590971	187641	Waitress
590971	215214	Irena Siwna
590971	220234	Zosia Nowosielska
590971	231618	Woman in 'Maszynohurt'
590971	236159	Cookie
590971	237869	Judge
590971	238095	Karol's Mother
590971	254986	Woman with Soup
590971	255497	Angel
590971	259065	Lola
590971	260390	Barmaid Lili
590971	261595	Tenant
590971	262509	Woman
590971	266302	
590971	275216	Passenger
590971	311894	
590971	315018	
590971	316437	
590971	341070	Waitress (segment "Rozwód po 
590971	343979	Czlonek ludu
590971	364975	
590971	374232	Witness Apolonia M.
590971	379864	Zofia Balcerkowa
590971	385478	Zosia Nowosielska
590972	97595	
590972	184513	Doris
590972	364470	Frau Flieder
590973	25794	
590974	349612	Alexandra Kocsis
590975	190976	
590976	74454	Margitka
590976	102412	Vanda, the toad
590976	153688	
590976	161682	Osztályfõnök
590976	177975	Boltieladó
590976	227534	
590976	246974	
590976	343776	
590976	348567	Emmi
590976	357549	The cat
590976	377723	
590976	381345	Bonca Péter anyja
590976	399860	
590976	410331	
590977	144072	
590978	14159	Teri
590978	178232	
590978	200608	Eszter
590978	200619	
590978	227531	Juli
590978	227532	
590978	227533	Juli
590978	227534	Kovács Juli
590978	240159	Zsuzsi
590978	303620	Dora
590978	327364	
590978	343451	
590978	377228	Csöre
590978	378179	
590979	378931	
590979	383380	Rita
590980	207584	Prioress
590981	114761	
590981	122230	
590981	209842	
590982	136199	Moni
590983	99892	Politesse
590983	125312	Christine Knaack
590983	178534	Patrizia
590983	184524	
590983	189188	
590983	189749	Steffi
590983	223451	Kattrin
590983	252183	Nurse at Information Desk
590983	259576	
590983	310893	Frau Wahlig
590983	325835	Augsburgerin
590983	325914	
590983	347432	Lilly
590983	352500	Henriette
590983	364884	
590983	383109	Carmen Strösel
590983	398308	
590983	398911	
590984	57613	Hana
590985	7703	
590985	182793	
590986	322186	
590987	5562	Okemow
590988	197129	
590989	216592	Tavernesse
590990	17305	Myszka
590990	237869	Theatre Director's Secretary
590990	361584	
590990	396863	Jeanne Langevin
590991	95960	Herself
590991	321429	
590993	51836	Soviet Wife
590993	59766	
590993	68225	Dr. Luft
590993	89781	Teresa Kwasnikówna
590993	116364	Simochka
590993	124858	Marusia
590993	129043	Maria
590993	130211	Ania
590993	154453	Dora
590993	178028	Landlady
590993	191002	Franciszka Felinska, Maks' Wi
590993	202571	Joanna
590993	208725	Renata Trebska
590993	213812	
590993	215438	Halina
590993	223009	Melinda Kalman
590993	231658	Noemi
590993	237612	Mrs. Hummel
590993	249815	Female Prisoner
590993	255610	Luzzi Rhode
590993	266317	
590993	267932	Putney's Maid
590993	275250	Donna Frasquetta Salero
590993	282957	
590993	283548	Juilliard Woman
590993	284050	Theresa/Barbara/Housewife
590993	321432	Gabrysia
590993	322043	Malpka
590993	358683	Girl at theTrain Station
590993	369022	Elzbieta
590993	373613	Listek
590993	375442	Girl
590993	375734	Hanka Rebowska
590993	376203	Monika
590994	249694	Mariolka/Ballet Dancer
590995	25723	
590996	377723	
590997	213757	
590998	234310	Mujeres Bailanta
590999	380088	Corina
590999	385599	Olvido Rangel
590999	387536	Bertha
590999	395861	Érika Rudell
591000	386015	
591000	401694	Rufina Pérez
591000	405835	Margarita Reyes
591001	19463	
591001	27981	
591001	27985	
591001	28314	
591001	61360	
591001	86870	Chusa
591001	145137	
591001	162712	
591001	186532	Mujer sacristán
591001	208841	
591001	283137	
591001	322400	
591001	339113	
591002	404843	Herself (1996-1997)
591003	317708	
591004	105406	Zombie
591005	91402	
591006	249767	
591007	80279	
591007	135145	Cristina
591007	193511	
591007	209801	
591007	263837	
591007	265923	
591007	307721	Anouska
591007	332371	
591007	378354	
591007	402541	Benilde
591007	410570	Julieta
591008	236021	
591009	67692	
591010	48850	
591010	170236	
591010	217563	Florista
591010	246872	
591010	256972	Vieja
591010	334679	
591011	82268	
591011	277127	
591012	70865	Elisa de Ábalos
591012	380242	Carmen
591012	381861	Juliette Danvers
591012	393340	
591012	393836	
591012	404287	
591012	404815	
591012	408724	
591012	410383	
591013	114873	Dancer: Grupo Cobo de la Peña
591014	101890	Funcionaria 2
591015	108847	
591016	187627	Pilar
591017	397738	Consuelo Rivera
591018	16170	
591018	21718	
591018	34539	
591018	35022	Nora
591018	46158	Maria
591018	48776	
591018	51593	
591018	52777	
591018	52958	
591018	55946	
591018	70686	
591018	74983	
591018	77174	
591018	83887	
591018	96274	
591018	101616	
591018	103975	
591018	112055	
591018	117228	Mrs. Eagle
591018	121649	Dolores Gomez
591018	127394	Juana Benedict
591018	145214	
591018	152243	
591018	162776	Esther
591018	167071	
591018	167814	
591018	169560	
591018	169751	
591018	186175	Maria Elena
591018	189009	
591018	202842	Rebeca Falcon
591018	205435	
591018	214657	
591018	215408	Miss Thomas
591018	217589	Lina
591018	221975	
591018	225392	
591018	238512	Mrs. Domínguez
591018	246194	Laura, Alejo's wife
591018	249321	
591018	249888	Elsa
591018	251984	Agente en Puerto Rico
591018	256787	Betty Morgan
591018	266824	
591018	266830	
591018	273935	
591018	273950	
591018	275275	
591018	282138	Bertha Hoffman
591018	284333	
591018	287855	Elsa
591018	287856	Lorna Jordan
591018	287858	
591018	287883	Alicia
591018	287899	
591018	296480	Julie
591018	323013	Consuela Stark
591018	326828	
591018	329050	
591018	332656	
591018	333663	
591018	335525	Mama de Jacqueline
591018	340049	
591018	350076	
591018	351648	
591018	354109	
591018	365213	Elsa
591018	378039	
591018	379256	
591018	380114	
591018	382868	
591018	384126	
591018	384251	
591018	384632	Adela
591018	387817	Hortencia Lazcano
591018	390732	Leonor
591018	391964	
591018	392806	
591018	395859	
591018	396209	Hada Reina
591018	396815	
591018	397593	Bárbara
591018	398487	
591018	400490	Martha viuda de Guillen
591018	401094	
591018	401698	Constanza
591018	402049	Eloísa
591018	402181	Fela
591018	402585	
591018	403558	
591018	410015	
591018	412302	
591019	12146	Consuelo
591020	326336	Luisa
591021	42660	Mother
591022	221739	Monja
591023	381922	Herself (Winner 2003)
591023	392213	Host (2003-2004)
591023	410109	Host (2002-2003)
591025	400942	Dianita
591025	403289	
591026	197976	Yolanda
591027	22769	
591027	70802	Claudia
591027	236437	
591027	270309	
591027	317967	
591027	371765	
591027	384782	
591027	387818	Lola
591027	399578	Beta
591027	399764	Jacinta
591027	400796	
591028	35283	
591028	84019	
591028	111992	
591028	123153	
591028	124584	Lida
591028	221576	
591028	314362	
591028	379853	
591028	382946	Cecilia Dalton
591028	384375	
591028	385371	
591028	391852	
591028	397259	
591028	397574	Susana
591028	399578	
591028	400661	Elisa de Guerrico
591028	400717	Paloma
591028	402587	Jimena
591028	403650	Natalia Riglos Arana
591028	408853	Laura
591028	409015	
591029	90525	Tango dancer
591030	339037	
591031	159487	Nina
591031	261191	Fátima Resende
591031	328061	Lena
591032	324749	Neta
591033	94481	
591033	344703	
591034	133056	
591035	99107	
591036	186184	
591037	246847	
591037	273654	
591037	341702	
591038	411585	
591039	8582	
591040	89777	Ana
591040	380531	Isa Galvão
591040	387833	Nina
591040	402537	
591040	404888	Magali
591040	407868	Paola
591040	409419	Ana Schmidt
591041	151369	
591042	89344	
591042	99276	
591042	122436	
591042	349516	
591043	78765	Mayor's Secretary
591043	112700	
591043	150555	
591043	256373	
591044	211868	Broad #1
591045	2223	
591045	3229	Lady in shower
591045	3237	Fru Morgonkröök
591045	11710	Mrs. Andersson
591045	16263	Lövbergskan
591045	16264	Lövdalskan
591045	16268	Lövbergskan
591045	28628	Mother
591045	34222	Mrs. Bengtsson
591045	40865	Telegraph operator
591045	43250	Ottilia Pihlkvist
591045	47836	Aunt
591045	48357	Door-keeper's wife
591045	48365	Helena Vestman
591045	48378	Anna
591045	80172	
591045	84287	Berta, cook
591045	84293	Hanna Ledin
591045	88393	Gossiping Lady
591045	89713	Antonia Nero
591045	97088	Mrs. Munkholm
591045	97868	Mrs. Jansson
591045	107881	Train passenger
591045	109128	Heliga Birgitta
591045	109293	Displeased Customer
591045	109976	Woman in coffee shop
591045	115382	Mrs. Nilsson
591045	115398	Statarhustru
591045	115399	Modig
591045	115402	Gammel-Kersti
591045	118696	Ms. Fahlén
591045	119426	Agda
591045	120137	Mrs. Jonsson
591045	122499	Emma, cook
591045	124449	Mrs. Blomqvist
591045	132428	Sofia
591045	134263	Katarina af Silverbåge
591045	134965	Landlady
591045	137734	Cook
591045	138032	Miss Pallander
591045	138433	Representative for the Housem
591045	138517	Woman in window
591045	138520	Agneta Hermansson
591045	142790	House-maid (episode 7)
591045	142834	
591045	142835	Augusta
591045	147506	
591045	153714	Beda
591045	154249	Jullan
591045	154504	Lady at the dance
591045	159626	
591045	165613	Dahlkvista
591045	165616	Dahlkvista
591045	168390	Ottilia Svensson
591045	172791	Guest
591045	174432	Fröken Lur
591045	174697	Woman in church
591045	181006	The Mayor's wife
591045	181130	The mother-in-law
591045	181131	Mrs. Fridh, mother-in-law
591045	181848	Hulda, house-maid
591045	182278	Clara Clarin
591045	182281	Mammy
591045	182286	Old hag
591045	182466	Cleaning-lady
591045	182550	Fia Larsson
591045	182806	
591045	190835	Östermalm lady
591045	192648	Mrs. Olsson
591045	192930	Dresser
591045	193389	Hotel hostess
591045	194527	
591045	198005	Grand dutchess
591045	203102	Miss Kattentitt
591045	209306	Krister's second secretary
591045	209311	Woman at the cinema
591045	219307	Elderly Lady
591045	222444	Klara Edlund
591045	225231	Woman at funeral
591045	237252	Agneta's host
591045	237262	Candy store assistant
591045	237580	Ida Berggren
591045	240313	Telephone Operator
591045	242311	Landlady
591045	244073	Mrs. Holmblom
591045	247532	Miss Andersson
591045	248186	Euphemia Olsson
591045	248196	Woman on Parkbench
591045	251864	Ada
591045	252188	Lady Beata
591045	252333	Elvira Pettersson
591045	256501	School teacher
591045	264277	Madame Winter
591045	268377	Mrs. Nilsson
591045	272642	Old mrs. Lefverhielm
591045	275590	Kristin
591045	281039	Lady on the bus
591045	284048	Customer in grocery
591045	284135	Maid
591045	284387	Old Lady
591045	302139	Mrs. Ewa Amalia Roos
591045	303666	Amanda, cook
591045	303848	Revue artist
591045	303853	Julia, customer
591045	305303	Mrs. Skeppström
591045	305885	Vackra Olga
591045	305991	A woman at the castle
591045	307306	Carolina Hård
591045	307600	Mrs. Råkberg
591045	308198	Maja, dresser
591045	312231	Housekeeper
591045	312696	Mrs. Hagman
591045	312697	Tilda, cook
591045	314765	Agency superintendent
591045	314843	Aunt Amalia
591045	315361	Jenny Tegenstedt
591045	320342	Alma Goring
591045	320606	Great-Grandmother
591045	321510	Miss Jonsson
591045	322297	Old lady
591045	322306	Caretaker
591045	338674	Mrs. Nilsson
591045	338708	Leader of Women's League
591045	341169	Office clerk
591045	342314	Julia
591045	346048	Sara Rask, widow
591045	346962	Old lady
591045	350710	Husmansell
591045	351454	Woman
591045	352990	Old lady
591045	353005	Hanna
591045	353021	Julia Torpare
591045	355638	Woman at Centralen
591045	357804	Mrs. Karlsson
591045	377425	Plåt-Jullan
591045	377431	Klöverhage's aunt
591045	377435	Klöverhage's aunt
591045	377436	Julia
591045	378274	Hulda
591046	381451	Markets Reporter
591047	6217	Amazon
591048	1520	Françoise
591048	2361	Annie
591048	5075	Martha
591048	6697	(segment "TV Buster")
591048	17862	Mother
591048	28519	
591048	29414	Clémence
591048	32509	Herself
591048	40280	Fernande
591048	46006	Bijou
591048	68775	Claire Chaumette
591048	70594	Nathalie
591048	73073	Deborah
591048	80304	Marion
591048	94329	Liza
591048	101219	Lisa
591048	111012	Sabine
591048	111096	Camille
591048	124322	Margot
591048	128977	Elsa
591048	136645	Julien's mother
591048	156297	Monique
591048	168716	Claire
591048	171342	Véronique Chevallier
591048	186404	Corrine
591048	208216	Béatrice Copy
591048	215044	Isabelle Meyral
591048	216239	Catherine/Fantine
591048	217219	
591048	217746	Mona
591048	227317	Eliane
591048	232659	
591048	234483	Christine
591048	236622	Marianne
591048	237790	Sophie Rémy
591048	249281	Fille Michel 1
591048	258942	Agnès
591048	270907	Jeanne
591048	275128	Michèle
591048	281442	Vivienne
591048	281797	
591048	284147	Clara
591048	287493	Marine
591048	287611	
591048	294550	
591048	301518	Jeanne
591048	306953	Gloria
591048	327564	Anne
591048	337138	Sophie
591048	339474	Zoé Melkian
591048	341851	Constance
591048	343544	Annabella
591048	351710	Marie-Ange de la Baume
591048	351717	
591048	351811	Anna
591048	353820	Liliana
591048	353864	Cécile
591048	370043	Sandrine Rey
591048	376909	Clara
591048	397857	Josépha
591049	302304	Mme Violette
591050	10377	Lola
591050	391674	Luminosa
591051	52111	Bárbara
591051	63633	
591051	67658	
591051	129991	Penélope Brederodes
591051	156582	
591051	201647	
591052	369	Woman at kidnapping
591052	45198	
591053	6627	Prostitute
591054	328748	
591055	30515	
591055	67653	
591055	88216	
591055	99316	
591055	189309	
591055	199033	
591055	204263	
591055	205516	
591055	234616	
591055	237216	
591055	327325	
591055	377609	
591057	129046	
591057	132026	
591057	218192	
591057	228266	Herself
591057	242295	
591058	219517	
591059	27919	Francoise (episode 3: "Baiser
591059	102622	Agar
591059	129195	
591059	167629	
591059	199383	Ziguette
591059	218324	La femme de chambre
591059	265714	
591059	272473	
591059	285742	
591060	55008	
591061	287414	
591062	388458	Linda
591063	80917	
591064	55783	Mother
591064	100115	La mère de Mimine
591064	166739	Lenchen
591064	171327	Martine
591064	217648	Blouse Blanche
591064	252412	Aline
591064	266403	Avocate de la partie civile
591064	328433	Juliette Rodolosse
591064	336944	Lise
591064	380436	Birgit Apelman
591064	396042	Coralie Richard
591065	25023	
591065	30299	
591065	59259	
591065	73275	Lucía
591065	145201	
591065	148090	
591065	150529	
591065	159597	
591065	160611	
591065	199780	
591065	207001	
591065	231695	
591065	247294	
591065	247851	
591065	274960	Octavio's wife
591065	281790	
591065	294516	Ann Shankland
591065	302301	
591065	334700	
591065	380072	Tina
591065	380146	Michela Alarcón
591065	383974	Luciana
591065	384823	Shusheta
591065	387127	Norma Díaz de Ramos
591065	388162	
591065	390614	Ada
591065	396654	
591065	399145	
591065	403107	Julia
591065	404991	
591065	405242	
591065	409959	
591065	410404	Nélida Viale
591066	257380	
591067	76071	Herself
591068	42861	Ex-Hooker
591069	26176	Countess Hortensie
591069	222188	
591070	87612	Ala
591071	247899	
591072	159487	Disco Girl
591072	205537	
591072	390489	Liú Sin
591072	402242	
591072	407867	
591072	409422	Anabela
591073	180886	Arno's mother
591074	71413	
591074	159434	
591074	233364	
591074	249531	
591074	353972	Micaela
591074	380084	Emma
591074	380095	
591074	380104	Zakuk
591074	383273	
591074	383519	
591074	395300	Flor
591074	401898	
591075	210177	
591076	210177	
591077	23361	
591077	51100	La Dama
591077	51555	
591077	64031	
591077	74629	
591077	82387	
591077	83755	
591077	104835	Marguarita Achaval Junco
591077	111636	
591077	117335	
591077	121256	
591077	160892	
591077	193223	
591077	193326	
591077	197970	Angelica
591077	207773	
591077	209024	
591077	212469	Herself
591077	215023	
591077	221552	
591077	221575	Camila Peña
591077	222378	
591077	228772	
591077	234314	
591077	234419	
591077	272376	
591077	294516	Mrs. Maude Raillon-Bell
591077	308907	
591077	339102	
591077	351782	
591077	378475	
591077	380106	
591077	388162	
591077	397256	Celia
591077	397585	
591077	405242	
591077	406728	Maruca
591077	411735	Sara Sotomayor
591078	149232	dancer
591079	389233	Alba Lucia Suarez (2003-2004)
591079	402331	Herself
591080	386882	Veleria 'Vale' Díaz
591080	399523	Margarita Iraola
591081	234309	Orgalia
591082	292769	
591082	383669	
591083	330190	Nina Maria, Dancer
591084	384117	Maria da Cabimba
591085	43640	Charlotte
591086	43640	La collègue
591087	4742	
591087	6390	
591087	11010	Alissa
591087	15024	Josefa
591087	19329	
591087	23731	Danièle
591087	28992	Claude
591087	57840	Hélène
591087	64449	Marie
591087	67037	Lorédane
591087	68353	Corinne
591087	77421	Diane, l'amie de Louise
591087	100734	Florence
591087	112852	Agnès
591087	113724	French tourist at the Taj Mah
591087	132404	Christine
591087	132751	L'ex de Philippe
591087	140279	Ida
591087	166129	Sandra
591087	182245	La fille
591087	217842	Anne
591087	235246	Ariane
591087	235875	Cécile, la gouvernante
591087	238741	
591087	244742	
591087	254129	
591087	254301	Carole Fersac
591087	262286	
591087	266945	
591087	268821	
591087	277555	Myra
591087	280769	Armelle
591087	284203	
591087	291584	(segment "Tube d'un jour")
591087	309963	Isabel
591087	327568	La femme sommeil
591087	338051	Laure
591087	338572	Janine
591087	345310	
591087	345444	Sophie
591087	348648	Myra
591087	351711	Laurence
591087	353861	Isabelle Lenehan
591087	353880	Diane
591087	356520	Juliette Fontana
591088	64659	Character Bungee Act (Palmier
591089	171596	
591090	71802	
591090	252141	Mère
591091	16614	
591091	55488	Laura
591091	77828	Emilie Morrison (Morrisset, f
591091	345016	Monica
591091	380717	Baguira
591091	382475	Hélène Savoie
591091	386497	Lucille Bolduc
591091	405741	Renee Bouvier
591092	107063	Marie-Madeleine Bonsecours
591093	277217	Juliet adolescente
591094	406381	Herself (2004)
591095	230643	
591096	327579	
591097	84624	
591098	398039	Caroline Moineau
591099	38257	
591100	198641	Leica
591101	205211	
591102	32501	
591102	76729	
591102	76773	
591102	200777	
591103	380089	Julieta
591104	394803	Deniz Hoca
591104	400148	Sevilay Sen
591105	17609	Moeder
591105	118863	
591105	281371	
591106	78341	
591106	201191	
591106	352835	
591106	370717	
591107	252641	
591107	409092	Penelope
591108	14916	
591108	67104	Dorotea
591108	161572	
591108	209828	Maria
591108	338343	
591108	344608	
591108	351060	
591109	82441	
591109	313136	
591110	13763	Geneveve
591110	21173	2nd Court Lady
591110	32897	Claudie DeBrille
591110	34575	Susan
591110	43451	Host
591110	48063	Diana
591110	91793	Claire Burke
591110	142302	Queen Hecuba
591110	155687	Marie
591110	160314	Herself
591110	165264	Kara Milovy
591110	165265	Herself
591110	187886	Madeleine
591110	192702	Kara Milovy
591110	217943	Sarah Walkins
591110	223076	
591110	232397	Angelique
591110	235386	Anne Summerton
591110	245033	
591110	258878	Francie Koln
591110	274323	Zoe (segment "Another Woman's
591110	286896	Margaux
591110	288933	Beatrice Baxter
591110	291708	Alison
591110	299691	Cheryl
591110	306500	Sara II
591110	307566	Caroline
591110	308080	Ta'Ra
591110	312962	Brooke Daniels
591110	333410	Capt. Jessie Teegs (the Berth
591110	335257	Jacki
591110	340385	Beverly
591110	347850	Nathalie
591110	363939	French Girlfriend
591110	369910	Analise Mercier
591110	386589	Amalia Guishar
591110	392545	Solange
591110	397055	Dominique Masson
591110	405891	Ta'Ra
591111	17280	Rox (segment "Matriculated")
591111	17941	
591111	29311	Selina
591111	30962	Ten/Melanie Walker
591111	31198	Herself (ABC Team)
591111	35802	Mara Simons
591111	37094	Miss Anna Mongomery (The Engl
591111	49373	Becky
591111	65464	Judy
591111	69044	Princess Jehnna
591111	72569	Maria Abeja
591111	76524	Cherice
591111	101086	Sgt. Penny Johnson
591111	116140	Robin Crew
591111	117076	Emily Doyle
591111	133973	Molly Richardson
591111	137033	Lynn
591111	161487	Liette
591111	163248	Tracy Meltempi
591111	169021	Jonni Nitro
591111	176276	Jane
591111	185294	Charlotte Zwicki
591111	192574	Chris
591111	207942	Rox
591111	213276	Anna Bergman
591111	215872	Rebel Girl
591111	258883	Angela
591111	273496	Tippy ('All's Well that Ends 
591111	295320	Hannah
591111	306721	Elena
591111	311284	Chanel-6
591111	325095	Jane Porter
591111	329088	Charlotte
591111	333861	Marie Jerwan/Edith Brown/Edwi
591111	339443	Charlotte 'Charlie' Duval
591111	342267	Herself
591111	351410	Veronica
591111	360291	Betty Jo
591111	395354	Jane Porter
591111	398258	Sonya Blade
591111	405435	Marie Blake (1996-1997)
591112	245093	Tramp 2
591113	245093	Tramp 2
591114	403474	Clothilde Lassalle
591115	115833	
591116	2816	Nominee for Best Performance 
591116	6989	Grizzy/Pestie
591116	295003	Puppetteer
591116	382491	Kessie
591116	400293	Uma
591116	404897	Elizabeth (1998-2001)/Curly B
591116	405097	Lady Richington/Swanky/Lisa R
591116	411523	Little Cat B/Jane Kangaroo/
591117	161732	Dr. Chekov
591118	338715	
591119	328737	Abuela
591119	371744	
591120	410323	Martha Estravados de Andrave,
591121	89321	Off Camera Voice
591122	44371	
591122	269465	
591123	270857	
591124	119480	Nicole
591125	19612	
591125	47045	
591125	70098	
591125	202790	
591125	227578	Marilì
591126	348145	Letizia
591128	290982	Bikini Girl
591129	67758	
591130	233854	Anne
591131	370863	Mrs. Bukowski
591132	395405	
591132	400597	Tiana
591132	401482	Ana Maria
591132	410053	
591132	412270	Cristina
591133	19451	Guest in the party 2
591134	289992	The minister's wife
591135	235743	
591136	96075	Irene
591137	12779	Liz
591137	29523	Rachel
591137	51661	Newsroom researcher
591138	230075	Barista
591139	148348	Greg's girlfriend
591139	301271	Kelley's Friend
591140	37855	Sue
591140	112632	Marni Elliott
591141	346744	
591142	384872	
591142	401089	
591143	276295	Marinella
591145	405209	Chloe Graham (2001)
591146	59815	Maria
591146	217514	Spanish Woman
591146	280832	Mita
591148	211199	
591149	37432	
591149	93990	
591149	140952	
591149	152974	
591149	240980	
591149	243136	
591149	252483	Stripper
591149	291024	
591149	327592	Poolside porn star
591149	333994	
591149	336441	
591149	349388	
591149	360309	Nurse
591150	43284	Maid
591150	71430	Mulher com filho
591150	109948	Maria Rosa
591150	165013	Teacher
591150	184298	
591150	195227	Louise Soubirous
591150	218240	Teresa
591150	219627	Júlia Espírito Santo
591150	341089	
591150	405784	Alice
591151	190412	
591152	16301	
591152	45314	Espectadora
591152	57809	Ana Maria
591152	212453	
591152	260518	
591152	353641	
591153	53093	
591153	76355	
591153	127982	
591154	57966	
591154	99245	La balia
591154	117892	
591154	206029	
591154	254954	Caterina
591154	273154	Signora De Pardaillan
591154	287121	Anna
591155	31511	
591155	124201	La prima nipote di Caterinett
591155	158852	
591155	198493	
591155	294007	Un compagna di collegio di Gi
591155	301368	
591156	141759	
591157	57330	countess Sandi
591158	318132	Aunt
591159	20401	
591159	351577	
591160	339932	
591161	11806	Una soubrette
591161	19883	
591161	94647	Bit
591161	128026	
591161	157558	Flavia
591161	183281	
591161	355801	
591161	375015	Lucia Tuberosa
591162	47269	Ursalina
591162	147882	Herself
591162	319695	Ultramame
591163	325646	
591163	325692	Ingeborg
591164	337566	
591165	6575	
591165	36512	Suzanne
591165	199055	
591165	223322	Adriana
591166	68780	
591167	265711	Maura
591168	13099	
591168	356014	
591169	253072	La Cantate
591170	169278	L'hôtesse
591171	19335	Woman
591171	29699	
591171	57843	
591171	103214	Woman
591171	110087	
591171	132837	Herself
591171	166339	
591171	204630	
591171	235881	
591171	268163	
591171	357026	
591172	289840	Helena
591173	131526	
591174	35012	
591174	69136	
591174	81687	
591174	269499	
591175	159545	Friend
591176	205397	
591176	269496	
591176	270840	
591177	151187	Rossina
591178	26394	Waitress
591179	158762	La cameriera dell'albergo
591179	229991	Cameriera d'albergo
591180	308009	Girl at playground
591181	197632	
591181	211169	Lupita Montero
591181	301106	
591181	380151	Consuelo
591181	380516	Jimena
591181	382197	Veronica Montes
591181	387479	Amanda (2000)
591181	400655	
591181	400718	Dora Luz
591181	408198	Carolina Montero
591182	162034	
591183	29116	
591184	1381	Herself
591184	69407	Sephora
591184	72220	Countess Justina
591184	76608	Olga
591184	90103	Donna Elvira, Murderess
591184	92345	
591184	101878	
591184	106192	Dominique's sister
591184	116737	Mrs. Thornbury
591184	148049	
591184	148087	Lady Edith
591184	163309	Gambling Casino Habitue
591184	187740	Countess Ferrari
591184	188266	Felicia De Proney
591184	205992	Lolita
591184	210439	Marga
591184	263335	Adrienne
591184	273032	
591184	285781	Julietta
591184	300800	Beautiful Brunette
591184	302022	Linda Viola
591185	290982	Customer
591186	10296	
591187	11804	
591187	18375	Liliana Montes
591187	20100	Maria
591187	26692	La madre superiore
591187	31040	
591187	51360	Laura
591187	52118	Natalia
591187	54016	Luisa
591187	57303	Fanny Scotti
591187	63884	La contessa
591187	67507	La contessa Giulia
591187	73642	
591187	78246	Noemi
591187	88042	La ricca vedova
591187	101599	
591187	108556	Elena
591187	110391	
591187	206029	Giulia
591187	207070	
591187	238286	L'amante di Michele
591187	254971	
591187	281887	La contessa
591187	284249	
591187	287692	La contessa Bertrand
591187	301340	Donna Paola
591187	307598	Anna
591187	327440	
591187	348561	
591188	33530	Simone
591188	40217	Dolly
591188	57543	Nicole
591188	187687	Sophie
591189	212084	Patisserie lady
591190	97449	Lalla Gazhel-Stella
591190	293905	Rita
591191	219240	Countess
591193	153661	Debbie
591194	18827	Claudia
591194	43768	
591194	57832	Alessandra
591194	137809	Marta
591194	157548	
591194	159458	
591194	189347	Une dame de compagnie
591194	238378	Woman at sixth crime
591194	252668	
591194	258560	Charlotte
591194	289582	Margherita
591194	291063	Anna Spano
591194	313898	Chicca
591194	338684	Beatrice
591194	344593	Lisa
591195	120264	Julie
591196	100952	Landlady
591196	291503	Open borstal officer
591196	291529	Gwen Martin
591196	387247	Mrs. Ludlow (1988-1989)
591196	392148	Mrs. Butterjig
591196	400004	Joan
591197	244269	
591198	19178	Mrs. Belino
591199	278820	
591200	284005	Old woman
591200	403415	Minnie Brennan
591201	35171	Mrs. Manners
591201	62913	Lady Robert Ure
591201	76500	Miss Quince
591201	132931	Mrs. Banks
591201	275516	
591202	280998	
591203	83493	
591203	243465	
591204	222416	
591205	247490	Senora Montalvo
591206	16654	Madame Della
591206	333062	Mme. Sarroux
591208	43591	
591209	327076	La serveuse
591210	345378	Mme. Himmelfarb
591211	322832	
591212	170243	Party girl
591213	110713	
591213	253944	
591213	360944	
591214	56364	Laura
591214	91051	
591214	168904	
591214	246416	
591214	294401	
591214	328897	
591214	409936	Silvia Fossati
591215	75838	Linda, the stewardess
591215	82993	Angela
591215	155628	Landlady's friend
591215	158947	Jessica Murchison
591215	160979	
591215	183497	
591215	218336	3rd Roman Girl
591215	309166	Dagmar, Ursula's Sister
591215	375683	Missey, the Nurse
591216	279460	Barry's Girl
591217	68438	Anna Tropeano
591217	122036	Maria Fiume Marotta
591217	281686	Silvia
591217	341390	
591218	129189	Herself
591219	14386	Amica donna del coro
591220	57340	
591220	94674	
591220	388169	Raffaella
591222	402888	Herself
591224	58041	
591225	68439	Anna Tropeano
591226	202523	Herself
591226	202528	Herself
591227	310391	Matilde Cimmaruta
591228	129627	Tammy Jones
591228	390180	Tammy Jones
591229	140816	Herself
591230	12317	Paige O'Brien
591230	13798	Benita
591230	69897	Wife
591230	157575	Ina
591230	171218	Anne Claymore
591230	194857	Mary
591230	262589	Debbie Paige
591231	198499	Madame's Girl
591232	384291	Stefania
591232	386701	
591233	7968	Woman
591233	11323	French Woman Taxi Driver
591233	21300	Madame Brissard
591233	27338	Madame Pompier
591233	28173	Madame Ramquet
591233	33268	
591233	49249	Theresa
591233	52163	Croupier's Assistant
591233	54830	
591233	56691	Concierge
591233	59607	Landlady
591233	78187	Masseuse
591233	83783	Cafe Proprietress
591233	87688	Madame
591233	96627	Fifi
591233	105975	French Instructor
591233	116902	Jo
591233	123136	Nurse
591233	129955	Ma Tapman
591233	130300	Annette
591233	133880	Wife of French Ambassador
591233	146616	
591233	148153	
591233	152638	The Owl
591233	154355	Undetermined Role
591233	154881	Wife
591233	163272	Fleurette
591233	168126	Dress Shop Proprietess
591233	188023	Wardrobe woman
591233	192611	The Dutchess
591233	202645	Jeanne, the Maid
591233	205739	
591233	210752	Maria
591233	214098	Marie, Kellerman's Housekeepe
591233	236514	Julie
591233	236876	
591233	241029	Propriétaire, Cafe des Marini
591233	246255	Mme. Marchand
591233	249068	Margot
591233	253898	Nun
591233	255465	Bit part
591233	263774	
591233	265166	
591233	267559	Madame Anais
591233	268971	
591233	273181	French Woman with Box
591233	276710	
591233	286929	Madame Albani
591233	288208	Grandmother Dulaine
591233	289417	
591233	291079	Madame Rousseau, Innkeeper
591233	292521	Marie, the French Nurse
591233	295448	Nurse
591233	306399	Newspaper Woman
591233	308576	Woman
591233	308611	French Teacher
591233	314943	Mother
591233	315748	French Landlady
591233	320465	Cab Driver
591233	320596	Mme. Vinard
591233	321794	Stewardess
591233	330836	Mme. Rocheville
591233	330851	Marie, the Housekeeper
591233	334180	Cashier
591233	338097	Julie, Elsie's French Maid
591233	339393	Marie Ducrot
591233	342878	Miss Apricots
591233	349917	Madame Odette Dessolles
591233	352929	
591233	358165	Madame Cantinière
591233	359275	Countess's Maid
591233	360253	
591233	360421	Maid
591233	362109	Paulette
591233	362365	French Cook
591233	377823	Mrs. Corbett
591234	234573	La malade
591235	248980	Servant Girl
591236	32089	Sharon's Mother
591237	8079	Woman
591237	46740	Ginny D'Amore
591237	135605	Judge Feldman
591238	256981	Nzina Pantaleo
591239	168828	Woman, School Girl
591240	336601	
591240	336613	
591241	148766	La secrétaire
591243	340009	Suor Dolcina (Suor Angelica)
591244	159001	Herself
591244	201688	Herself
591245	239756	Railcor Employee
591246	122725	Lucky
591247	184290	
591249	87341	
591250	343987	
591251	398470	Consuelo
591251	400945	Isabelina
591251	405412	Cuca
591252	412198	Valeria Cardone
591253	199821	
591253	270840	
591253	284590	Schiava Burina
591254	199999	Gina Paradiso
591254	361618	Cousin Nikki
591255	409093	
591256	233693	The Big Surprise
591257	318006	
591258	11446	Marco's Mother
591259	44372	
591259	92973	
591259	108731	
591259	133050	
591259	141789	
591259	236712	
591259	261637	
591259	336128	
591260	117874	Waitress in Cafe
591261	6261	
591261	27082	
591261	39287	
591261	92471	
591262	45620	Nancy
591262	238426	
591263	121135	Laurie D'Amour
591264	101898	
591265	135338	Sophie Tremblay
591266	194708	French Nurse
591267	188646	Nell's Friend
591268	236535	Vendeuse
591271	234107	Cissie Tickle
591272	43596	Old Woman (Street)
591273	219862	
591274	51967	Mrs. Smith
591274	176723	Mrs. Loper
591274	266537	Margy
591275	329560	
591275	361688	Velma, Ice's Girl
591276	277811	Ragazza Liste Casting
591277	69947	
591277	85477	Herself
591277	102399	
591277	237769	
591277	243304	Mimma
591277	338691	Gabriella (segment "Moglie ba
591277	356214	Francesca's Friend
591278	251609	Child
591279	33179	Ballet Dancer
591279	337362	Nick's Girl 1
591281	125773	
591281	353066	Antonietta
591282	41837	
591283	12975	
591283	56478	
591283	204704	
591283	262223	
591283	287121	
591283	377576	
591284	25764	Female Witness
591285	254719	
591286	295157	
591287	7420	Party Goer
591288	313596	Amy
591289	102630	
591290	13978	Doris Vinyard
591290	17760	Actress in Rob's TV Show
591290	20135	Gilda (segment "Rigoletto")
591290	37472	Blanche Rickey
591290	61572	Jerry Sherwood
591290	63134	Ellen Griswold
591290	64570	Herself (ringmaster)
591290	66305	Patsy Cline
591290	66932	Amanda O'Rourke
591290	72769	Edie
591290	76600	Evalita
591290	88180	Linda
591290	91959	Caroline Wallace
591290	97553	Bar Lady
591290	104681	Ellen Griswold
591290	105188	Echo
591290	106493	Dolly Green
591290	113480	Standish Logan
591290	113908	Dora
591290	114165	Shelley
591290	126538	Harriet
591290	137223	Sheila
591290	137228	Darlene
591290	138236	Mary Hearn
591290	138713	Bag Lady
591290	144804	Too Tan Woman (scenes deleted
591290	144950	Sharon
591290	145066	Lise
591290	149107	Carmen Odessa Shelby
591290	156480	Astergourd
591290	158338	Francine Glatt (rooming house
591290	166062	Kate Winslow
591290	169947	Helen List
591290	177443	Betsy
591290	184714	Teddy Lansky
591290	190572	Lana Castel
591290	193766	Alma
591290	195313	Miranda
591290	200894	Stella Winston
591290	203436	Andy Ellerman
591290	203507	Eva Milton
591290	210960	Kitty Menendez
591290	211358	
591290	214996	Renee Baker
591290	236135	Dark's Mom
591290	240734	Bag Lady (segment "Happy Birt
591290	246222	Anne
591290	248567	
591290	250546	Maggie
591290	260356	Veronica Dante
591290	266647	Pixie Chandler
591290	286450	Herself
591290	294381	Sandra
591290	305147	Laine Fleischer
591290	315763	Mrs. Dollart
591290	316744	Stella DuBois Kowalski
591290	318370	Jane
591290	318692	Lusty House Mother
591290	321339	Jesse Larson
591290	321651	Dee
591290	324022	
591290	337379	Donna Nottingham
591290	349550	Ellen Griswold
591290	351187	Ellen Priscilla Ruth Smith Gr
591290	363483	Auntie Nanny
591290	364847	Vivian Fairchild
591290	366811	Theresa Carpenter
591290	367811	Phyllis
591290	383429	Miss Emmy
591290	388202	Fairy Henbane
591290	398213	Herself
591290	407497	Dr. Debra
591291	320698	Puccini's Nurse
591292	372774	Bit Part
591293	183363	
591294	114578	
591295	93990	
591295	123818	
591295	139261	
591295	297829	
591295	372393	
591296	257782	Herself (South Bend Blue Sox,
591297	15361	
591297	30302	
591297	56327	Cláudia
591297	69703	Iracema
591297	82349	(segment "O Olhar")
591297	106228	
591297	121475	
591297	125782	
591297	134924	
591297	183463	
591297	204263	
591297	205814	
591297	269533	
591297	340278	
591297	350254	Vera
591297	380120	Sandra
591297	380330	Toninha
591297	387777	Vivian
591297	387835	
591297	399481	Maria Clara
591297	401095	Beatriz
591297	407024	
591297	409003	Maria Teresa
591297	409424	
591298	86493	
591298	109087	
591298	344635	Lisa Stradi
591299	160535	Señora Danvers
591300	188639	Ava/Girl Dancing with Nate
591301	18827	Laura Werpachowsky
591301	53835	
591301	57311	
591301	64772	Mock bridegroom
591301	71169	
591301	135534	Sophie/Pamela
591301	139123	Chantal
591301	143525	Circe
591301	163684	Luisa
591301	208565	Laura
591301	217874	Herself
591301	260356	Chocolate Spaghetti Mom
591301	260605	
591301	267878	Eva
591301	278968	
591301	278971	
591301	327903	Tilde
591301	328246	
591301	332937	Surama
591301	390148	
591301	399459	Karin
591301	404482	Grazia
591301	408841	Janet
591302	270840	
591302	320698	Mother in Plane
591303	119820	Student in the Play
591304	144542	Journalist
591305	366974	Detective
591306	33343	La mère
591306	208158	Mrs. Modzel
591306	315808	Moeder Hanssens
591307	26953	
591308	220504	Jeanine
591308	288012	Brigitte
591308	295351	Sheri Moore
591309	188194	Girl #2
591309	218701	Party Kid
591310	299060	Woman in Charge
591311	92095	Pregnant Woman #3
591311	151680	Iris
591311	396408	Roos Klerekoper (II)
591312	69370	Garance
591312	396321	Macaroni
591313	113709	
591314	154434	Tango dancer
591315	311546	
591316	118754	Brigitte Bardot
591317	71452	
591318	368952	Olga Conforti
591319	70607	Le bébé
591320	382297	Herself - Presenter (1996-199
591322	193775	Margaret Ballantine
591322	297873	Eva
591323	63890	
591324	71	Soprano at Audition
591324	16910	Nightclub Dancer
591324	18019	Specialty Dancer
591324	19557	Harem girl
591324	60938	Pawnee woman
591324	66373	Dancer
591324	69302	Dancer
591324	84252	Dancer
591324	115064	Ming's dancing girl [Ch. 1, 3
591324	130775	Lola Montez
591324	139020	Armand's receptionist
591324	164399	The Panther Woman [Chs.3,9]
591324	177988	Dancer
591324	194052	Bumboat Girl
591324	205036	Dancer
591324	207138	Nightclub Dancer
591324	267542	Ming dancing girl
591324	279441	Native girl
591324	286179	Salome's Servant
591324	302915	Dancer
591324	303112	Dancer
591324	314250	Dancing Girl
591324	324548	Teresa (segment "Tessie")
591324	368401	Dancer
591325	121227	
591326	412037	Herself
591327	162071	
591328	63113	Waters Kid
591330	380713	Hope Dixon [#4] (2000-)
591331	240134	
591332	367675	
591333	17472	Dr. Francine Caldwell
591333	35729	Angela
591333	97217	Pat Schnure
591333	99293	Queen Elizabeth
591333	108275	Inez Frank
591333	108331	Orientation Cop
591333	117715	Alexis
591333	165484	Marion
591333	185146	Santana
591333	185766	Maryanne
591333	193951	Dr. Ellen Lipsky
591333	205500	
591333	206445	Madeleine Rothenberg
591333	206889	Abby Nash
591333	213952	David's Teacher
591333	261440	Charlotte
591333	269856	Nurse Daniels
591333	309287	
591333	316981	Valerie
591333	330270	Doris
591333	348838	Rose
591333	366451	Edith
591333	395166	Sophia Ballazzo
591333	395723	
591334	183480	
591335	89907	Potato
591335	107028	
591335	208199	Bice
591335	216335	
591335	270850	Rossella
591335	328629	
591335	359105	
591336	14834	Nina
591336	48552	
591336	61097	Adelina Cardone
591336	63806	Carlina
591336	64245	
591336	68658	
591336	90744	
591336	113444	Antonietta
591336	133389	Mirella
591336	177794	Angiolina Cavanna
591336	183479	
591336	186154	Anna
591336	189258	Amica di Aurora
591336	246399	Lea Padovani
591336	247984	Angelo's mother
591336	278405	
591336	291517	Teresa
591336	348153	Anna Maria Muzi
591336	348176	
591336	356494	
591337	19829	Elaine Tiger
591337	27363	Marilyn Wells
591337	37480	Sally
591337	37781	Bilitis
591337	40726	Lucinda
591337	45639	Angie
591337	52435	Cori
591337	57654	Iris
591337	73851	Lucy Conte
591337	108477	Ellen Renard
591337	109938	Shirley Trainor
591337	112207	Cathy
591337	112805	Ronni Williams
591337	115241	Patti, Geri's Lover
591337	118705	Barbara Griffin
591337	119928	Jean
591337	147278	Angie Barnes
591337	154309	Mrs. Shivers
591337	182923	Patti
591337	200832	
591337	201035	Donna
591337	201210	
591337	216945	Darcy
591337	253499	Celia
591337	271994	Betty Fargo
591337	273307	Sherry Nugil
591337	306244	Lauren Crane
591337	307137	Herself
591337	323780	Margie Bianco
591337	333182	Shirley
591337	366572	Cathy Smith
591337	380391	Christy Carson (1992-1993)
591337	390771	Selena Davis (1998-2000)
591337	399294	Lt. Virginia Cooper (1994-199
591337	400208	Michele
591337	406035	Roxanne
591337	411278	Amber Twine (1989)
591338	232510	Lucy
591339	228330	Dotlyn
591339	328805	Celebrity Participant
591339	381099	Herself
591339	381886	Herself - Presenter (1998-)
591339	382011	Presenter
591339	385745	
591339	389721	Herself (Series 1) (2003)
591339	393728	
591339	395978	Presenter (Series 8-) (2004-)
591339	397493	PC Jodie Finn (2002-2003)
591339	401388	
591339	405662	
591339	408555	Herself - Presenter (2001-)
591340	47974	Party Girl
591340	118303	French Girl
591340	166345	French Maid
591340	246923	Vera's Maid
591340	356808	Yvette, the singer
591341	70701	
591341	344828	
591341	405401	
591342	279755	Villager
591343	237305	
591344	223322	Erotic starlette
591345	31107	
591345	139394	
591345	169457	
591345	176433	
591345	264782	
591346	235510	Celeste
591347	26580	Dora
591348	109510	
591349	19946	
591350	355956	
591351	337720	Mrs. Gordon
591352	54496	Mrs. Greenborough
591352	57376	
591352	64483	
591352	79374	Mrs. Bancroft
591352	106870	
591352	106895	
591352	263977	Alice's Mother
591352	364012	Madame Bernard
591353	188223	Dance Teacher
591353	342384	Mental Patient
591354	123544	
591356	11022	Eugenia Parrado
591356	35251	
591356	70305	Helen Parker
591356	77949	Psychiatrist
591356	84943	Margaret
591356	144957	
591356	233509	Mrs. Frazier
591356	244372	Sister Agatha
591356	261270	Janet's Mother
591356	298038	Connie's Mom
591356	320089	Kay
591356	321280	Linda
591356	342549	Sylvia Horne
591356	342552	Sylvia Horne
591356	364692	Card Player
591357	169612	
591358	24011	
591359	71795	
591359	76515	
591359	246705	Miss Ellie
591360	79314	Marriage Celebrant
591360	152826	Orton's assistant
591360	309631	
591361	262614	Alice McVea
591361	266761	Madam Tooney
591361	269842	Sister Clare
591361	301073	Nurse
591361	365138	Old woman
591361	382305	Sister Mary
591361	389089	Mrs. Parker
591362	150290	
591363	56766	Cindy Morrison (segment "Quit
591363	319023	Celeste #2/Elaine
591364	308382	Raider
591365	120244	French Maid
591366	86542	Mandy
591367	1322	La Fiancée
591367	294945	
591368	324002	
591369	223281	
591370	161845	
591371	46529	Francesca
591371	81894	Glenda Markle
591371	235772	
591371	244421	Statue of Liberty Teacher
591372	294795	Girl Victim #1
591372	406952	Nurse Helen (10/1998)
591373	204261	Nazarena
591375	323966	Guest Starring
591376	264250	
591377	324447	Chichita
591378	20381	Herself
591379	67207	
591380	51241	Caroline Fortin
591380	57557	Ida
591380	58410	Gaëlle
591380	67188	Sophie
591380	68379	Valérie
591380	88043	Marie
591380	129247	
591380	211487	Chloé
591380	232931	Janique
591380	265218	
591380	281304	Valérie
591380	286617	
591380	327577	Pianist, Bal de Tête
591380	328373	Sarah
591381	30999	
591381	56300	
591381	61061	Assunta
591381	67508	
591381	102658	
591381	162083	Rosa
591381	191208	
591381	193044	Nino's mother
591381	270810	Italia
591381	275504	Metella
591381	285576	
591381	351528	
591381	409875	Donna Adelaïde
591382	169	
591382	5098	
591382	29055	
591382	57416	
591382	67527	
591382	82717	
591382	106998	
591382	109284	
591382	190409	
591382	193045	
591382	282267	Old Lady
591382	315432	
591382	328453	Dressmaker
591382	338603	
591382	339131	(segment "Introducción: Tribu
591383	2361	
591383	96216	Caroline
591383	132802	
591383	167240	Caroline
591383	235730	Caroline Beuvry
591383	268455	Judith
591383	350904	La seconde amie rupture
591383	357092	Irène
591383	387039	Claude
591383	405929	Cécile
591384	279721	Woman
591385	137485	Letty Love
591386	16796	Herself
591386	89025	
591386	138716	Herself
591386	390338	Host (2000-2001)
591386	400242	Newsreader
591387	409524	Eva First
591390	110046	
591390	213897	
591391	162079	
591392	140283	Musician
591393	104965	Rubber Rose Bird Expert
591394	68433	
591394	68435	
591394	68438	
591395	74747	Herself
591395	380987	Blue Fairy
591395	395499	Licia
591395	396086	Licia
591395	407834	Licia
591396	72140	Dancer
591397	89402	Madame Fortuna
591397	225820	Baroness Zaíra
591397	256371	Filomena
591397	396938	Biá
591398	219329	
591399	383866	
591399	388591	
591399	395822	
591399	409024	
591400	401243	
591401	194111	French Navy captain
591402	11440	Suzanne
591402	13787	Telephone Girl
591402	25410	
591402	27338	Gida
591402	32191	Girl in Bath Tub
591402	44451	French girl
591402	54451	Girl in tavern
591402	56691	Maid in House
591402	65722	First Nurse
591402	67161	Drama Coach
591402	68477	Fifi
591402	87106	French Vamp
591402	91601	Happy Max's Moll
591402	113639	
591402	129227	Renee
591402	130038	Dagmar
591402	134055	Native girl
591402	139223	Cafe Dancer
591402	147276	Mrs. Hardy (french language v
591402	147880	
591402	150154	Yola Dupre
591402	154487	French wife in apartment
591402	171025	Pauline, Roxana's Maid
591402	171182	Fifi
591402	173526	French Manicurist
591402	183580	Assistant
591402	183675	Hotel Maid
591402	185269	French Party Girl at Cafe
591402	191679	Madame Le Blanc
591402	195985	Paulette
591402	203097	Tony's girl
591402	218257	Housekeeper
591402	218511	Madelon
591402	230736	Maid
591402	231962	Mme. Lamballe
591402	234890	Cabaret Girl
591402	236129	Celestine
591402	243215	Telephone Operator
591402	249119	Pauline
591402	278243	Suzetta
591402	289580	Bit Role
591402	297378	Lizzie
591402	297921	Yvette
591402	304270	Fifi
591402	305581	Daisy
591402	306497	
591402	309286	French Maid
591402	315869	French Girl in Taxi
591402	316107	Diamond Joe's Moll
591402	318453	French Girl in Tangiers
591402	320596	Maid
591402	325102	Madame Feronde
591402	327830	Cabaret Girl
591402	331114	Diane
591402	331725	Minnie
591402	340970	Babette, Kara's Maid
591402	347028	French Maid
591402	350017	Felice
591402	350158	Stenographer
591402	359236	Yvonne
591402	367800	Pearl
591402	371337	The Darling of Paris
591403	90719	
591403	336146	Lucia
591404	214002	Zia Vera
591405	247387	Simona
591406	255902	
591407	211140	Yuppie 2
591408	235407	Herself
591409	383470	
591409	387621	Isadora Valderrama Rengifo
591409	396161	Alejandra
591409	396902	Ambar Sanayo
591409	403125	María Gracía
591409	410297	Fedora de Graziani
591409	412190	Patricia Villaverde
591410	323083	
591411	19303	Roxy
591412	123627	
591412	150044	
591412	247989	
591412	368574	Fluffer
591413	105216	Karishma
591414	68417	
591414	82993	Carroll
591414	188659	
591414	203978	
591414	311819	
591414	312521	
591415	219572	Stella
591416	227617	
591417	107629	Rosa
591417	113490	
591417	123849	Jenny's Girl
591417	366453	Lillian
591417	394453	Judy
591417	406295	Laura Onorato
591419	14884	Wanda Delia's Sister
591421	8979	
591421	98759	
591421	135317	(segment "Ver Para Crer")
591421	222188	
591421	268993	
591423	292379	Blanche, a nun
591424	162578	Lady of leisure
591425	406701	Kim (Host) (1999-2003)
591426	286186	1st Guest
591427	401881	Herself (Finalist)
591428	196724	
591429	80583	Titania
591429	118259	Gladys
591430	344847	
591431	340304	
591431	410427	Various characters
591432	124056	Actors Equity Receptionist
591433	24429	Female Vendor
591433	26142	Herself
591433	31502	Donna Marco
591433	53822	Caroline McKeever
591433	68086	Liberty Lass/Papaya Smith
591433	178136	Officer Daisy
591433	210765	Press Secretary
591433	257636	Herself (Miss September 1995)
591433	257656	Herself (Miss August)
591433	257845	Herself (Miss September 1995)
591433	325258	Herself
591433	381410	Herself (2000)
591433	381441	Donna Marco (1996-1997)
591433	381442	Donna Marco (1996-1998)
591434	9939	
591434	100298	
591434	197972	
591435	301332	Alicia
591436	14155	Commercial Director
591436	46670	Secretary
591436	73883	Barfly
591436	78041	Elsa
591436	79546	Herself
591436	90793	Francoise
591436	131490	Sandy
591436	150468	Lead Dancer
591436	168701	Nurse
591436	178093	Monica
591436	199098	Pearl
591436	226977	Herself
591436	228458	Martha Graham
591436	268025	Nun
591436	289360	Elinor Cronk
591436	295560	Shirley
591436	297772	Susan
591436	298431	Sophia
591436	330635	Mother
591436	362610	Caroline Jackson
591436	368191	Herself
591436	375798	Audience Member #3
591437	248791	
591438	54139	
591438	264261	Mariannina
591439	158901	Visitor
591440	170672	Helene
591441	178926	Czarina
591443	4612	Mrs. Hudson
591443	4905	Miss Stoneham
591443	34487	Mrs. Hudson
591443	39808	Mrs. Hudson
591443	59507	Mrs. Hudson
591443	95772	Mrs. Hudson
591443	100208	Mrs. Hudson
591443	125868	Mme. de Marsac
591443	133986	Mrs. Hudson
591443	142947	Jeanne d'Albert
591443	150743	Mrs. Hudson
591443	159991	Miss Leigh
591443	162459	Lady Tremayne
591443	203667	Mrs. Hudson
591443	227326	
591443	234157	Mrs. Hudson
591443	235228	Mrs. Hudson
591443	263266	Mme.. de Vere
591443	264359	Mrs. Hudson
591443	274031	Mrs. Hudson
591443	275051	Mrs. Hudson
591443	292240	Mrs. Hudson
591443	301263	Mrs. Hudson
591443	303495	Mrs. Hudson
591443	310660	Mrs. Hudson
591443	332789	Mrs. Hudson
591443	337467	Mme. Quesnard
591444	381628	France
591445	8366	Sister Elizabette
591445	15108	Mère de David
591445	87672	
591445	117945	Blanche Lacoste
591445	220502	Vieille dame
591445	363680	Renée Brancourt
591445	376906	Dame agee
591445	377647	
591445	378731	Jeanne Delisle
591445	384386	Mammy
591445	409541	Mme Ida Quintin
591446	282620	
591447	181545	Baby Sarah
591448	181545	Baby Sarah
591450	343993	
591451	267317	Pupil
591451	268318	Maria Isabel
591452	280006	Groupie
591453	388161	
591453	402688	
591454	392570	Kyoko
591455	309967	
591456	159268	Sylvie
591456	164169	Rasputin's Daughter
591457	19107	
591458	48857	
591458	55956	
591458	70183	
591458	94636	
591458	111445	
591458	199050	
591458	207076	
591458	285242	
591458	344582	
591459	211602	Girl at Maxim's
591460	8249	Une touriste
591461	214897	
591462	215928	Miss
591463	166104	
591464	7438	Une cliente
591464	19340	
591464	23746	Une spectratrice
591464	24735	Une passagère
591464	25205	
591464	46693	Madama Verly
591464	51919	La dame excentrique
591464	63640	Une cliente
591464	67021	
591464	78449	
591464	84623	
591464	90783	
591464	94787	
591464	103801	
591464	108889	
591464	111083	La dame curieuse
591464	112843	
591464	114035	
591464	115334	
591464	117918	
591464	132608	
591464	149193	Une invitée
591464	153804	La cliente de Waldemer
591464	164181	
591464	166176	
591464	167249	
591464	205237	
591464	214809	
591464	217711	
591464	218282	Une vieille cliente
591464	220214	
591464	220289	Madame Parpevielle
591464	230204	
591464	248971	
591464	258236	
591464	264214	
591464	275513	
591464	278147	
591464	281012	
591464	287974	
591464	307123	
591464	340130	
591464	341826	
591464	345322	
591464	346634	
591464	353920	La directrice
591464	377635	
591465	252242	Bank Customer
591465	261049	Showgirl Dancer #5
591466	232250	Minsky's Girl
591467	32562	Miss Knudsen
591467	150853	Call Girl
591467	192783	Peggy Brandon
591467	314424	Doreen
591467	347316	Dr. Marilyn Richards
591467	352750	Jacqueline
591467	365153	Monique
591468	17573	Césarinne
591469	110119	La strip-teaseuse
591469	340372	Mme. Hamilton's Girl
591470	188001	
591471	185864	Magali
591472	61431	Mme Marchand
591473	51362	
591474	38823	Reika Ayanokouji
591474	199428	Additional Voices
591475	12693	
591475	69136	Woman looking at sunset
591475	127880	
591475	193043	
591475	230154	
591475	348149	
591475	348211	
591475	349719	
591476	8842	Amneris
591476	90012	La Principessa Eboli
591476	119068	Lugrezia
591476	135441	Edwige
591476	352134	Mezzo-Soprano
591477	7987	
591477	94015	Jane
591477	270949	Carla
591478	401871	Popstar finalist
591479	57832	
591479	108659	Smeralda
591479	239974	
591479	386748	Francesca
591480	384507	Hostess
591481	162779	(Hostess)
591481	384306	
591481	384507	Hostess
591481	386162	
591481	391272	Mabel Alcántara
591481	398807	Virginia Fajardo de Lara
591481	403753	Ana Melissa
591481	403904	
591482	159948	Mme. D'Arcourt
591483	56010	Specialty act
591483	193246	J.C.
591483	390733	
591483	396873	Purita
591483	398474	Chela Pérez
591484	2350	
591484	13833	Young Doris
591484	18103	Woman
591484	25367	Lorette McAdams
591484	70275	Sheridan
591484	127134	Jean
591484	128610	
591484	138677	Rapunzel
591484	146923	Doozie
591484	275876	Ellie
591484	292794	Edwina Phelan
591484	351187	Cousin Vicki
591484	386248	Jane Deaux (1997-2001)
591485	102011	Stacy
591485	350191	Punk Vampire
591486	205268	Fundraiser
591486	242036	Magazine Girl
591486	292479	Carol
591487	80288	
591487	296125	
591488	203005	Yasmin
591489	52922	Julia
591489	227681	
591489	266000	
591489	292917	Patricia
591489	337679	
591489	378426	
591490	328866	Chez-Nous
591492	387	Giovanna
591492	2576	
591492	14393	Luce
591492	14856	
591492	17739	
591492	25346	
591492	67505	
591492	67909	Giulia's Mother
591492	83762	
591492	90781	
591492	92070	Aunt
591492	121298	Moon Grey
591492	157161	Atia
591492	207245	
591492	212576	
591492	219326	Anna Berardi
591492	240261	
591492	256741	Madre
591492	259700	Ludovisi's Sister
591492	274894	Maria's Mother
591492	281601	
591492	289331	La fidanzata di Pallone
591492	289447	
591492	307677	School headmistress
591492	328891	Olimpia Campeggi Babini
591492	373282	Virginia
591492	379549	Baronessa Cantiani
591492	384301	Elena Sampieri
591492	390753	
591493	2416	
591493	10129	
591493	53001	
591493	53653	Monja
591493	90188	Dulcinea del Toboso/Aldonza L
591493	146491	
591493	202060	
591493	244640	La madre
591493	318016	
591493	327201	Susana
591493	386358	Blanca
591493	396774	Leocricia
591494	273506	Suzette
591495	91886	Nurse
591495	289567	Mother Superior
591495	396649	
591496	56889	Aarfy's girl
591496	104447	Giselle
591496	109079	Sarah Marchi
591496	204593	
591496	263273	
591496	291561	French Call-Girl
591496	311258	Armida
591497	339674	
591498	14688	Abbess of Monchique
591498	66211	D. Maria
591498	107323	The fado singer
591498	110668	Emília Morais
591498	115813	
591498	169713	
591498	191437	
591498	193169	Sra. Micas
591498	197059	
591498	205565	
591498	211004	
591498	239945	Catarina de Sousa
591498	246593	D.
591498	267317	Senhora Teresa
591498	268318	
591498	277290	
591498	351304	
591498	354928	Seamstress
591498	356008	D. Gertrudes
591499	85524	
591500	42582	
591500	52755	(segment "A Segunda Cama")
591500	205714	
591500	208814	
591500	268987	
591500	278620	
591501	328323	Loli
591502	35696	French Mother
591503	37681	Angela
591504	207961	
591505	62488	Christine
591505	80943	Fuming Nurse
591505	151187	Mary
591505	304913	Dr. Alex Sanders
591505	351410	Dorothy
591505	364439	Mrs. Smith
591506	90752	Sara, child
591507	246397	
591508	351297	Anna
591509	107896	Child
591509	210790	Daughter
591510	38864	Customer #2
591510	151176	Teresa
591510	167562	Laura Carpenter
591510	210485	Karen
591510	306294	Pepi
591510	399130	Sandra Lloyd (1988)
591510	402197	Roxanne Bradshaw (1983)
591511	51317	Charlotte M.A. von Zanik
591511	103067	Ilona Bartok
591511	119674	
591511	204508	
591511	352548	Lily von Ehrenberg
591512	29288	
591513	257760	Dancer (Spikes' Fantasy)
591514	158469	Tommy
591515	12246	
591516	229268	
591516	315390	
591517	44532	
591517	54325	
591517	55945	
591517	55961	
591517	68610	
591517	103777	
591517	115764	
591517	132672	
591517	145144	
591517	151795	
591517	161667	
591517	197972	
591517	198240	
591517	210587	
591517	212368	
591517	218094	
591517	227291	Satn
591517	252602	
591517	253184	Carmen
591517	276410	
591517	281762	
591517	292735	Maria del Pilar
591517	301332	Lola Ponce
591517	318284	
591517	322718	
591517	336250	
591517	341361	
591517	348934	
591517	357911	
591517	376661	
591518	280011	La caissière
591519	249919	
591520	86554	Herself
591521	39906	
591521	171280	
591521	243125	
591521	334246	
591522	1361	Sandy
591522	32088	Eve
591522	105241	Caroline
591522	139540	Clarissa
591522	148348	Mike's girlfriend
591522	177605	
591522	224075	Brenda Dellacasa
591522	276039	Mother #3
591522	304240	Veronica Bell
591522	337704	Jennifer Kruz
591523	5383	
591523	21003	Fanny
591523	59909	Herself
591523	82378	Mimi, Nick's Girl
591523	88257	Yvette
591523	118311	French Prisoner
591523	123884	Mrs. Ostroleng
591523	128176	Fifi Follette
591523	130337	Mademoiselle Lili Yvonne, Bil
591523	150154	Fifi Dupre
591523	190181	Budgie
591523	220998	Julie La Rue
591523	226144	Marie
591523	240782	Miimi
591523	254997	
591523	305042	Herself
591523	317822	Maria Styx
591523	330168	Fifi
591523	330170	Marie
591523	331114	Charmaine
591523	331435	Olga
591523	352929	Marcelle
591523	362107	Baroness
591523	365153	Simone
591523	367796	Lili La Fleur
591523	367843	Fifi
591523	367962	Mitzi
591523	372482	Fleurette
591524	85970	Anna
591525	236385	Gloria
591526	236107	Salesgirl (segment "The Rejec
591527	342571	
591528	49893	Herself
591529	28680	
591530	385916	Regular (1966)
591531	207267	Dr. Karen
591531	245233	Cemetary Commentator
591531	245370	Alicia
591531	365534	Mary
591532	5876	Karen Daly
591533	31955	
591533	71333	Countess Steno
591533	113697	
591533	126241	
591533	191418	
591533	202704	
591533	205362	
591535	235711	Fiordaliso
591536	245794	
591537	33576	Leoena, a courtesan
591537	68900	La fille
591537	69087	Mezzo-soprano
591537	332210	Médée
591538	401798	Thérésa (1965)
591539	132596	
591539	211364	Natércia
591539	249718	Duke's daughter
591540	90108	Une suivante
591541	250638	Presenter
591541	334757	Voice
591542	67700	Recluta debil
591543	10887	Shivan
591543	141180	Tanya Adaire
591543	150061	Delores
591543	156471	Marilyn
591543	160897	Cheryl
591543	169170	Daughter on Bus
591543	195329	Lissa
591543	246230	Un Mannequin (USA)
591543	257571	Kennedy
591543	326602	Gloria
591543	345702	Ros
591543	411802	Julia (1993-2001)
591544	222594	
591544	239748	Estelle
591545	228650	
591546	83876	Sid's Mother
591548	252927	Photographer
591549	194129	
591549	266879	
591549	353666	
591550	207536	Bindiya
591550	286568	
591550	341549	Anju
591551	3156	Sonali
591552	71479	Guitar player
591553	211876	Ana Maria Pavan
591554	244365	Dancer #5
591554	395165	Lia's Daughter
591555	118934	Gerda
591555	342587	Naive English School Chum
591556	42073	
591556	90723	
591556	90744	
591556	91532	
591556	102367	
591556	204697	
591556	217413	Bettina Giacobetti
591556	234715	
591556	281114	Madre dello studente/Student'
591556	342118	La dottoressa Gio
591556	356219	
591556	386811	Giorgia Basile
591556	386812	Giorgia Basile
591556	390497	Host (3rd - 4th Edition)
591556	399641	Chiara Doni
591556	400404	Principessa Maria Pia Lanti d
591556	402780	(1998)
591556	409358	Veronica
591557	86453	Chiara, figlia di Nicola
591558	86453	Chiara (Nicola's daughter)
591558	127954	Carla
591558	270699	
591558	383491	
591558	385419	Valentina Rocca
591558	406539	Francesca
591559	238043	Spectator
591560	194777	Rama, Queen of the Wangas [Ch
591560	194778	
591560	336042	Cuban Girl
591561	2441	
591562	194693	Sheila
591564	7458	Mlle. Brun
591564	356229	
591565	16617	
591565	25205	
591565	174635	Dame d'Honneur
591565	216233	Soeur Simplice
591565	249459	Odette Nicolai
591565	255054	
591565	376996	Gertrude
591565	377636	
591566	293905	Fatima
591567	341136	
591568	26547	
591569	412283	
591570	404283	
591571	172556	
591572	364376	Protestor
591573	343776	Várhelyi néni
591574	110700	
591575	258752	Dina
591576	241830	Mrs. Minnie
591577	176082	Gudia (orphan girl)
591579	381091	Herself (eliminated round 2) 
591582	391546	The Popular Girl
591583	104763	Herself
591584	344886	Model
591585	171824	
591586	271647	
591588	247504	Greek girl
591592	14688	
591592	54166	
591592	246593	
591593	53694	
591594	294601	
591595	165502	Herself (Gabriel's Mother)
591596	99107	
591597	14689	
591598	71223	Leocádia
591599	143479	
591599	211021	
591599	234022	
591599	250430	
591599	354928	
591599	384002	Maria
591599	387915	Maria
591600	52820	Sidósia
591601	382776	Creuza
591602	201986	Little girl
591603	72462	Morey's Wife
591604	402150	Herself/Jornalista
591605	129501	Liliane
591606	344356	
591607	380982	Pianist
591608	90207	Gypsy Girl
591609	45899	Extra: city centre
591610	14701	Celeste
591611	269217	
591612	382846	Ruth
591613	97513	Cassandra Mueller
591613	273610	Barbara
591614	20544	Lune
591614	217808	Julia
591614	235264	La belle Brésilienne
591614	399082	Anita Vasquez
591615	45899	Extra: park
591616	316962	Laura
591616	375524	Engel
591616	409572	Josien
591617	288830	Angela
591618	13095	
591618	54360	Diana Dikson
591619	206096	Victim
591620	148472	
591620	186250	
591620	227859	
591620	324189	Le seigneur Kang, Madame Li
591620	383479	Virgínia
591620	385876	Secretary
591620	391313	Isabel
591620	400098	Gina Ferraz
591620	404799	Walquíria
591621	355943	Virginia
591621	401881	Herself - Bandana
591622	110666	
591623	382141	Herself/Model
591623	390438	Herself/Model
591623	406968	Herself/Model
591623	407640	Celeste
591624	324448	Dancer: La cumparsita -2
591625	135136	
591625	207605	
591625	262235	
591626	56917	
591627	183511	Clara
591627	260976	Maria da Graça
591627	268301	Maria da Graça
591628	64049	(segment "Escola de Samba Ale
591628	103903	(segment "A Morte da Porta-Es
591630	273910	Neighbor with Baby
591631	54166	
591631	71431	
591631	252748	
591632	14261	madre di Santina
591633	269169	(segment "Anjo, O")
591634	219408	
591635	123750	
591635	205460	(segment "Papo Amarelo")
591635	269902	
591635	411585	
591636	314302	Stefanie
591637	274494	
591638	54103	
591639	264537	
591639	379244	
591640	60222	
591640	71410	
591640	103530	
591640	132705	
591640	145250	
591640	199793	
591640	246872	
591640	296460	
591640	380477	Any
591640	380796	
591640	389780	
591640	390085	Rosa
591640	396608	
591640	398454	Valeria Dinatti
591640	398816	Amanda
591640	398850	Isaura
591640	402158	
591640	404182	
591640	404986	
591640	409957	(1999)
591641	261103	Gardienne #1
591641	390489	
591642	383550	Viriata
591642	397409	Iria
591642	400098	Penha
591642	400670	
591642	406833	Lucilene
591643	275518	
591644	251310	
591644	308747	
591644	356029	
591645	71263	Maria
591646	140908	Specialty
591647	260117	Secretary
591648	52072	
591648	53851	
591648	302821	
591649	18999	Orphanage Choir
591650	45899	Extra: park
591651	45899	Extra: market
591652	330589	Bonnie
591653	56929	Teresa
591654	412112	Dagmar Hölzer
591655	288830	Maria
591656	45899	Extra: park
591657	91103	
591658	78573	
591659	104110	
591660	10823	
591660	108133	
591661	227864	Herself
591661	273116	Herself
591661	357182	Herself
591662	173300	Jackie Smith
591662	265377	Serena Price
591663	61558	Calane
591664	14378	Twister
591665	158939	
591666	55224	
591667	280998	
591668	12080	
591669	60596	
591669	181443	
591670	324869	
591671	57981	
591672	182412	Cocktail Waitress
591672	380256	Cousin Doris
591673	45899	Extra: city centre
591674	2252	(segment "Teuf d'enfer, La")
591676	163511	Herself
591677	68609	Herself
591678	201863	Sheila Parks
591678	274169	Paula Krinsky
591679	117943	
591680	292469	Zoe
591680	408163	Vanda (2000)
591681	327812	
591682	192344	Mother Superior
591683	334408	Samara
591683	380856	Isabel
591684	63823	Cocotas
591685	80562	Nurse
591685	313474	Rabé
591686	288830	Child at Bay
591688	27943	
591688	70615	
591688	308754	
591689	395846	
591690	85732	
591691	36556	
591691	211878	Rosinha
591692	288830	Fortune-Teller
591693	328321	
591694	164188	Blachette
591695	112882	
591696	286208	Penelope
591697	116907	Girl
591697	340401	Cantina Waitress
591698	138537	
591700	340867	
591701	308755	Ana
591702	211508	Bodyguard side-kick
591703	48788	
591704	68590	
591705	138413	Sarah Fox
591705	386970	Young Lakota Woman
591706	226435	Conductora
591707	196682	
591708	275518	
591709	284511	
591710	16980	
591711	14361	
591711	99245	
591711	113445	Clara
591711	309249	
591712	273619	Billie Braxton
591713	27491	First Girl
591713	103292	Antonia Chavez
591713	127101	Bar Girl
591713	128294	Olga Smetka
591713	142398	Gina
591713	193723	Woman Passenger
591713	226936	Goldie
591714	199311	The Family
591715	123501	Bente Halsted
591716	26279	Nanny
591717	58684	Flower girl
591717	174401	
591717	404052	Mithi
591717	406879	Akanksha
591718	44185	Woman in Boozecan
591718	79057	Blond Woman
591718	98828	Karen
591718	113883	Bikini Contestant
591718	191762	Dancer in Bar
591718	211385	Dorothy Samenov
591718	211499	Morgana
591718	241337	Cookie
591718	280006	Groupie
591718	303299	Sister Avarice
591718	339918	Tiny's friend
591719	208278	Relatietherapeute
591720	254094	Bank employee
591721	287594	
591721	391179	Alev
591721	392379	Bohcaci
591721	407595	Menekse
591722	292307	
591723	203832	
591723	288141	
591724	352855	Clara
591725	259221	Mafia Hood
591726	110395	Kaewta
591727	32571	
591728	46006	Chloé
591729	16657	Jimmy's Girl
591730	147177	
591731	81644	Pirate
591732	132128	Macek's mother
591733	320710	
591734	243377	
591735	176652	
591735	348909	
591736	389141	Lena, age 6
591737	132128	Elderly woman
591737	399005	Dama u bordelu
591737	409909	Zena iz naroda
591738	384209	Estelle enfant
591739	103002	
591740	324115	Helka Górniak, Hoffman's Neig
591741	76001	Girl in Subway
591742	28681	Christelle
591742	100533	Serveuse Hôtel Atlantique
591742	235730	
591743	194355	Daniels' Daughter
591744	140019	Funeral Goer
591745	26448	Yolanda
591745	79842	Lorraine
591745	132488	Quay Quay Jenkins
591746	47590	
591746	330637	Clara Booker
591747	49453	Mon
591747	66954	Elizabeth Allison
591747	106748	Grace Tully
591747	110285	Mrs. Anderssen
591747	113852	Mrs. Cooper
591747	141403	Colorado Woman
591747	150673	
591747	218547	Herself
591747	248132	Sarah Hackett, Henry's Mother
591747	257903	Mrs. Eisler
591747	261107	Elizabeth Hayden
591747	283548	Abigail Patterson
591747	297101	Judge Maynard
591747	297455	
591747	329482	Maggie Bowden
591747	354905	Ethel Sawyer
591747	380391	Laura Baxter (1964-1965)
591747	380713	Ann Holmes (1966-1967)/Mrs. P
591747	386603	Theodora Van Alen #3 (1980-19
591747	389858	Carolyn Chandler Baldwin (197
591747	390771	Barbara Norris Thorpe #1 (197
591747	396084	Peg Hale (1968)
591747	396123	Isabella Alden #2 (1983-1987,
591747	400236	Helena Ashley (1979)
591747	411419	Betty Kahlman Barry #2 (1970-
591747	411811	Tracy Malone #2 (1959-1963)
591748	240437	Bit
591748	340755	Newspaper Sketch Artist
591749	365415	
591750	224160	Melinda
591751	10805	Karin
591752	283345	Brunilda
591753	10683	
591753	25880	
591753	270914	Sharon
591753	297975	Agatha
591753	346281	Rent-A-Car Girl
591754	2545	
591754	17619	Miss Green, Webb's Secretary
591754	21297	Undetermined Role
591754	41094	Elderly Man's Companion
591754	44690	Lottie (saloon girl)
591754	47346	
591754	49364	Mary, Dancer for Lee
591754	67096	
591754	67139	
591754	67156	
591754	77414	
591754	79371	American Dancer
591754	87549	Miss Gita LaRue
591754	92959	Chorus Girl
591754	96939	Blonde Woman
591754	109402	Blonde Model
591754	116443	Girl in hat dance
591754	116894	
591754	120009	
591754	130622	
591754	130623	
591754	130624	Chorus girl
591754	143638	Payton's moll
591754	150586	
591754	175559	Girl
591754	176340	Party guest
591754	177262	
591754	177359	Bonnie Larkin
591754	185254	
591754	199217	Secretary
591754	200478	2nd Blonde
591754	204185	
591754	213081	Woman
591754	220333	
591754	251215	
591754	264420	Prisoner Maisie
591754	265384	
591754	273251	
591754	278563	American Telephone Operator
591754	289556	Mabel
591754	305481	Duryla Model
591754	313320	
591754	321616	
591754	330908	Lee
591754	341957	
591754	342410	
591754	367511	
591754	367905	Ruffles
591754	372311	
591755	380015	Co-Anchor (1997-1998)
591756	109408	
591757	139359	
591758	29650	Restaurant Customer
591759	95935	
591760	67368	Jefa
591760	379853	
591760	380442	Rebeca De Winter 'Arturo's si
591760	383770	
591760	412040	
591761	32281	Young woman at the gallery
591761	346424	Manu
591762	70744	
591763	2195	Directrice théâtre
591764	334258	Agnieszka
591765	131754	
591766	147177	
591766	205972	Marie Bidon
591767	75942	Knote
591767	180538	
591767	258540	Train Controller
591767	262508	
591767	266317	
591767	282768	Florist (episode 1)
591767	340721	
591767	341067	
591767	341070	Tenant (segment "Rozwód po Po
591767	374664	Wychówna
591768	36418	Zocha Suszkowa
591768	74769	
591768	300056	Beatka
591768	343979	Stanislas' daughter
591769	406644	
591770	137641	Mela
591770	181125	
591770	226841	
591771	52108	Girl in Harem
591771	179202	
591771	286282	
591771	296423	
591771	323287	
591771	364982	
591771	365126	Julia's Mother
591771	406644	
591772	397007	Magdalena Lisowska
591773	323285	Anna, Wanda's Former Nanny
591774	334199	Julia
591775	179038	Girl
591775	216621	Contestant
591776	290070	Red Genia
591777	33179	Ballet Dancer
591778	399889	Herself/Host
591779	268489	Partizane
591780	167047	Woman
591781	84042	Herself
591782	233510	First girl
591783	26619	Herself
591783	63273	Dancer
591783	196305	Dancer
591783	360604	Minna Vandyck
591784	280937	Rathia
591785	89003	
591786	110839	
591787	33728	
591787	323311	Zorica... sekretarica Ljube R
591787	401927	Zorica... sekretarica Ljube R
591787	401928	Zorica... sekretarica Ljube R
591788	304734	Woman in Hospital/PA Voice
591789	54628	Bryony
591789	55016	Louise
591789	85533	Marthe
591789	85616	Pascale
591789	96234	Cora
591789	101457	
591789	102001	Marthe
591789	119491	Madeleine Bonnet
591789	132800	La femme de Gérard
591789	148638	Françoise
591789	198297	Valérie
591789	202749	La docteresse
591789	204764	Agnès
591789	216236	Azelma
591789	216237	Azelma
591789	225440	
591789	267510	L'oreille de Manon
591789	283019	Édith Chetman, dit 'Eddie'
591789	284861	Patricia
591789	339209	Pamela Lacroix
591789	345238	Pepa
591789	347131	Lisa Vernier
591789	377674	Nathalie Thuillier
591789	380978	Laura Morelli
591789	396845	Maria Vandamme
591789	401433	Nicole
591789	401512	Martina
591790	81877	Lydia
591790	107928	Girl At Bar
591790	120026	Marion
591790	410999	Herself (designer)
591791	55643	Marjorie Gertler
591791	342880	Julie
591792	266962	Bintou
591793	297190	Sorority Girl
591795	161334	Herself
591796	359055	Herself (Winner)
591796	408610	Herself (1999-2000)
591797	327595	
591798	384576	
591799	262727	Tessie Worth
591800	192785	Dog
591800	222479	Additional Muppet Performer
591801	276873	Supporting puppeteer
591802	163478	Fear Factor Contestant
591803	278154	Laure
591804	241340	India
591805	137707	Sasha
591805	228895	Ishita
591806	234728	
591807	3593	Herself
591808	109631	Girl on Bike
591809	205305	
591809	219825	
591809	402782	Elias
591810	1348	Herself
591810	2259	Herself
591810	3593	Laurie Lewis
591810	312355	Kate Roach
591810	379716	Laurie Lewis (2002-2003)
591811	368719	Lisa
591812	37457	Patricia Holman
591812	69847	
591812	79379	Joan Marshall
591812	92652	Lucy Weston
591812	134888	Virginia
591812	140797	Monica Grey
591812	258004	A Model
591812	270754	Ethel Crowley
591812	272081	Ruth Warren
591812	293139	Nancy
591812	298166	Faire Breen
591813	79573	Arminta Brown
591814	127273	Pat
591815	248197	
591816	185601	Michele/cameraman
591817	359425	Model
591818	136317	Makrine
591818	256696	Patsia
591818	309059	
591819	30985	
591819	182253	
591820	46767	Justine Mahler
591820	172765	Wäschermädchen
591820	317664	
591820	393878	Birgit Feller
591821	39905	
591822	20625	Extra
591822	230902	
591823	29706	Seynabou
591824	398557	Jan
591825	230693	French Columnist
591826	313568	TV Reporter
591826	388139	L.A. Co-Anchor, Health Specia
591827	307672	
591828	142809	Sarah
591829	188470	
591830	361707	
591831	216008	Creditor Woman 2
591831	294995	
591832	346566	Rebecca
591833	336900	Sales lady
591834	49514	Daughter 2
591834	104338	Young Clementine
591835	97713	Inger - 1875
591836	326202	Colegiala
591837	199026	
591837	384970	
591838	212032	Crystal Cassidy
591838	301930	Indi Mitchell
591839	68381	
591839	88838	
591839	91242	
591839	99375	Cosette
591839	273689	La sauteuse
591839	279110	
591840	110548	Herself
591840	352216	TV-presentatrice
591840	387952	Jurylid
591840	391426	Host (1997-)
591840	399735	Host (1999-)
591840	400328	Herself
591841	290075	Ronny de dochter van Jef
591841	302847	Dochter Tony
591842	89096	Pit
591842	202700	Dame van het crematorium
591842	234832	Zuster Maria-Regina
591842	290032	Moeder overste
591842	386995	Ava
591842	409992	Manuella
591843	107280	Opthalmologist
591844	101950	Une élève du Conservatoire
591846	352837	L'ingénue
591847	352837	
591849	117375	
591850	358680	
591851	9709	
591851	23041	
591851	48863	
591851	50820	
591851	62330	
591851	66312	
591851	95121	
591851	106088	
591851	161533	
591851	168718	Griselda
591851	309439	
591852	275395	
591853	299028	Sonia
591854	332169	Mrs. Slider
591855	152605	Princess Ignasia
591855	257982	Rin's Mother
591855	411738	Yuli's Mother
591856	119524	Herself
591857	89284	Gauri
591857	172338	Kamli (the girl's mother)
591858	21368	
591858	127035	
591858	161875	Malik's mother
591858	175871	
591858	251227	
591858	299260	
591859	238433	
591860	338602	
591861	268858	Femme de chambre 2
591862	8060	
591863	298764	Nikki
591864	141749	Herself
591865	156487	Anna, la grand-mère
591866	37855	Sue
591867	64333	Herself (1986)
591868	1161	Dila
591868	381680	Mariët (1st season)
591868	385449	Claire
591869	15187	Anneke
591869	238127	Tanja
591869	352878	Brenda
591869	356813	Gertie
591869	382325	Herself
591869	382878	Herself - Host
591869	382879	Herself/Presenter
591869	389126	Isolde Bavinck
591869	392539	Iris
591869	407614	Herself
591870	166140	La soeur de Ti-Rouge
591871	184348	
591871	364158	Group cast appearance
591872	672	Magaly
591872	296468	Liana
591872	385869	Rovenna
591872	387897	Violeta
591872	392610	Rosa Córdoba
591872	392848	Azucena
591872	397862	Silvia Estrada Rossi
591872	398483	Cecilia Valladares de Espinoz
591872	401905	Andrade
591872	402462	Aurita Guillén
591872	403125	Catalina Monsalve
591872	408747	Manuela Andueza/Soledad Andue
591872	410297	Yakionassi Guaramato
591873	22110	Anne
591873	377304	Angela age 10
591874	363780	Hamptons Girl
591875	79672	Baba
591876	161731	Cute Girl #1
591877	22596	Dr. Valerie Brennan
591877	80400	Dana Shoreham
591877	120123	Rennie Wickham
591877	201327	Maggie Reynolds
591877	201350	Lucy
591877	242939	Cheerleader
591877	265607	Dr. Hill
591877	311127	Karen Prescott
591877	327307	Susan
591877	397293	Katie Cooper
591878	193007	Dancer
591878	213453	Tart in Montage
591878	215748	Dance Director
591878	309579	
591878	348384	Blondie
591878	372080	Blonde
591879	47373	Rae Walsh (Louie's wife)
591879	59838	Woman at Calhoun's Auto
591879	96716	Miss Benson
591879	163490	Hotel Switchboard Operator
591879	219892	Marie
591879	269304	Coughdrops
591879	297968	Reporter
591879	361149	Woman sitting in police stati
591879	366889	Miss Stone
591880	312289	Mrs. Harrison
591881	18288	L'amublancière-clopeuse
591881	62817	Karima
591881	134605	Infirmière urgences
591881	217728	Asistente de laboratorio
591881	389224	
591882	29351	
591882	38321	
591882	58444	
591882	98716	Bahira
591882	98719	
591882	98722	
591882	98726	
591882	98727	
591882	100902	
591882	109747	
591882	109975	
591882	126917	
591882	140663	
591882	156951	
591882	157332	
591882	183996	
591882	186297	
591882	349186	
591882	358472	
591882	374187	
591882	374404	
591883	78318	Debby Lleyton
591885	302877	
591886	35610	Herself
591886	75954	
591886	382812	Herself/Regular (Tuesdays, Th
591886	385562	Host
591886	397044	Herself/panelist (1955-1956)
591886	397774	Nurse
591886	407671	Dagmarita
591887	60073	
591887	242365	
591887	242367	
591887	271159	
591887	378064	Une femme
591888	40073	Miss Crocker
591888	52503	Elodie
591888	61968	Betty Van Courtlandt
591888	64549	Christine Braddock
591888	66039	Millicent, His Daughter
591888	71697	Jane Belknap
591888	125870	Kate
591888	177225	Alice Burke-Smith
591888	203019	Ivanoff Maid
591888	266763	Rowena Cooper
591888	273232	Tyler, Ida
591888	306153	
591888	372728	Lou
591889	24912	
591890	107591	Tom's wife
591892	224964	Abril
591893	180693	
591894	43767	Madame Delmotte
591895	20420	
591896	370582	
591897	294818	
591898	145170	Pajero couple
591898	211508	Lady-in-waiting
591899	153886	La journaliste
591900	4772	
591900	12578	Baronin Eggedy
591900	18537	
591900	24149	Gräfin Königsmark
591900	29557	Marie Berner
591900	33237	
591900	38831	Empress Eugenia
591900	42152	
591900	45580	Mrs. Haller
591900	48402	
591900	48675	Konsulin
591900	48676	Konsulin
591900	51129	Großmutter
591900	69586	
591900	79165	Lil Dagover
591900	82768	
591900	92541	
591900	93493	Cornelia Contarini
591900	98049	
591900	99236	Elisabeth of Austria
591900	103067	Coraly Rekoczi
591900	103081	
591900	103097	Mme. Mombour
591900	103101	Herself
591900	107739	
591900	114327	Baronin Hermine von Velden
591900	116320	
591900	119151	
591900	119221	Mona Cavallini
591900	120132	Marquise de Pompadour
591900	120169	Countess Franziska von Hohenh
591900	122255	Frau Eschenlohr
591900	125059	
591900	125109	Lamberta (swiss-german versio
591900	125110	
591900	126367	Helene
591900	134818	Lil Dagover
591900	134837	Herself
591900	136778	
591900	138496	Cathleen Paget
591900	138950	O-Take-San
591900	144042	Frau Elmire/Elmire, Orgon's w
591900	150628	Maharani
591900	153906	
591900	155386	Lisa Behmer
591900	155469	
591900	164826	
591900	168433	
591900	171860	Jane
591900	174087	Bertha von Suttner
591900	178619	
591900	179838	
591900	180004	The Countess
591900	180870	Jelaina
591900	181164	Kaiserin
591900	182322	
591900	182779	
591900	183844	Mrs. Erlynne
591900	189625	
591900	189832	
591900	197210	Luise Millerin
591900	199017	
591900	201231	Maja
591900	203401	Florentine Alvensleben
591900	204490	Mrs. Gillis
591900	207169	
591900	209500	
591900	210057	
591900	210512	
591900	218528	
591900	218982	
591900	223191	
591900	225147	Jennifer Lawrence
591900	225724	Junge Maedchen/Zobeide/Fiamet
591900	243556	
591900	254430	Marie Starke
591900	254587	
591900	264348	
591900	275201	Herzogin
591900	276629	
591900	277749	Gastmann's Mother
591900	277751	Isabel
591900	281953	Mrs. von Briest
591900	282205	Gräfin Waldenberg
591900	284111	
591900	284114	
591900	284131	
591900	290023	
591900	290172	
591900	290194	Charlotte, seine Frau
591900	290810	Marquise de Pompadour
591900	293545	
591900	293863	Countess Moron
591900	311112	Catherine the Great
591900	311213	Sonnenpriesterin
591900	311214	Sonnenpriesterin
591900	311361	
591900	313103	
591900	316813	Leonine Brackwieser
591900	322427	Margot von Korff
591900	325944	Mutter Koenen
591900	332554	Martha
591900	336526	
591900	336877	
591900	343473	
591900	343476	
591900	343479	Barberina Campanini
591900	345013	
591900	346978	Camilla
591900	347791	Contessa Celestina Morini
591900	348086	Prinzessin Maria Eleonore
591900	349411	
591900	351231	
591900	356200	Der Kurfürstin
591900	356579	
591900	356711	Frau Dakar
591900	361120	Nelidowa
591900	361397	
591900	364988	Maria Anschütz
591900	367462	Lottie Corlaix
591900	376162	Bärbe
591901	115271	Nurse
591902	308139	
591903	160547	Monique Jeffries
591903	292352	Wanda Orski
591903	338979	
591904	345222	Interne Samu
591905	97215	Isabelle
591907	197087	
591908	9689	
591908	171618	
591908	246872	
591908	401437	Señora Matienzo
591909	14347	Amalia
591910	72391	Vampire Actress
591911	376938	The baby
591912	135989	Ada
591912	183426	Portly Woman
591912	316716	Mrs. Silverbeard
591913	140964	Charlie's Mum
591914	383451	
591915	51567	Periodista de TV
591916	229002	
591916	262929	
591917	411809	Nurse Kelly Jones (1977)
591918	63946	
591919	26137	Little Miss Muffett
591919	72375	Helen Baker
591919	146145	
591919	149841	Dance Hall Girl
591919	166240	Bit Role
591919	254460	Secretary
591919	331759	Studio Western Actress
591919	342664	Mary McGuire
591919	362900	
591919	363635	Mollie Curtis
591919	364434	
591920	194428	
591921	13581	Ann Duverall
591921	34023	Vivian Morrow
591921	46739	Tillie Smith-Oliver
591921	47385	Herself
591921	55038	Christine McAllister
591921	60520	Laureen
591921	83610	Morjana
591921	85844	Maya, Queen of Nepal
591921	117999	Sarah Moreton
591921	129561	Herself
591921	138700	Herself
591921	143568	Irene Bailey
591921	160436	Lily Douvane
591921	165223	Ena Dacey
591921	169474	Mrs. Carla Goetaborg
591921	175555	Herself
591921	178201	Doris Reid
591921	184497	Martha Carden
591921	190264	Girl at Delmonico's
591921	224421	Rose Donovan
591921	232017	Herself
591921	232124	Edie Keane
591921	233899	Ellen Sayburn Jessman
591921	245485	Jen Gort
591921	259980	Shoura Cassidy
591921	275057	Madelon
591921	287354	Nancy Darby
591921	289718	Gloria Conovan
591921	304968	Dorothy Lyons
591921	309938	Sallyann Weatharby
591921	329562	Herself
591921	329563	Herself
591921	331456	Eileen Percy/Eileen Ruby
591921	359868	Lucia Corlane
591921	364713	Kathy Allen
591921	367746	Carol Talbot
591921	400236	Lucinda Schenck Wilson (1981-
591921	400332	Host
591921	401196	Host (c. 1953)
591922	38159	
591922	41528	
591922	159166	Joan
591922	180794	
591922	219151	
591922	325257	
591922	330666	
591922	350152	
591922	368794	
591923	397074	Ellen Skjern (adult)
591924	319902	Matron
591924	375508	Mrs. Crocker
591926	83068	Sygeplejerske
591927	12390	Lady Deirdre Skye
591928	381198	Lili
591928	381523	
591929	39231	
591929	39612	
591929	39632	
591929	40180	
591931	348027	Andrea
591932	30187	
591932	56753	Nurse
591932	385893	Crystal
591934	31880	Herself
591935	74283	
591936	126067	Chorine
591936	339940	
591937	360959	
591938	142231	Sykesøster
591940	349904	Herself - Kandidat, Junibevæg
591941	115726	Louise Vane
591941	130043	Rose Norman
591941	141369	Helen St. Simon
591941	212668	Joanna
591941	217435	Cornelia Bartlett
591941	292564	Helen Walderstricker
591941	304798	Helen King
591942	183876	Marci Davis
591942	245535	Claire Arden
591943	382250	Camilla Tallaksen
591944	214196	Dancer
591945	78519	Elsa Dieter
591946	259049	Erna
591947	210354	Herself
591948	113501	Nita Harold
591948	395166	Maya
591949	139647	Maria (Harry's daughter)
591950	382250	Hege Tallaksen
591951	4818	
591951	23507	Fru Janssen
591951	40694	Susanne
591951	64643	Herself/Various roles
591951	64648	Herself/Various roles
591951	108171	Ekspeditionssekretær Sørensen
591951	114034	Henny
591951	117875	Gudrun Bennedsen
591951	121401	
591951	122339	Agnete Møller
591951	134973	Blanny Wheeler
591951	153946	Lise K.
591951	168108	Jackson
591951	170345	Henny
591951	173141	Krogæst
591951	181152	Fru Tolne - Janus' mother
591951	182100	Klausen's wife
591951	182619	Elisabeth, politibetjent
591951	225677	2. kvinde
591951	234826	Søster Martha-Louise/Sister M
591951	235025	Museumsguide
591951	237404	Andrea Margrethe
591951	255673	Tine Simonsen
591951	265830	Heksen
591951	284399	Fru Tootsie
591951	309292	Lig-Johanna
591951	312235	Else Winther
591951	327350	Herself (segments "Cirkus Rev
591951	343945	Edith Thamms
591951	343953	Vivi
591951	344672	Madmor
591951	354882	Lise
591951	358846	Vera
591951	382884	Frøken Sale
591951	392577	Various roles (1979)
591951	393861	Viola Kayser
591951	394621	Various roles
591951	407259	Various roles
591953	27750	
591953	43242	Malu
591953	46186	
591953	54759	
591953	82173	Maria
591953	104490	
591953	104499	
591953	125782	
591953	128948	Aimée
591953	131986	
591953	132959	
591953	135269	Lúcia
591953	146714	
591953	162119	
591953	188883	
591953	199126	Iara
591953	204993	actress
591953	205706	
591953	211021	Maria Lúcia
591953	219852	
591953	222159	Maruska
591953	234622	
591953	234644	
591953	258486	Débora
591953	269534	TV's actress
591953	277321	
591953	294270	
591953	327325	
591953	328533	
591953	344758	
591953	351269	(segment "Drão")
591953	377224	
591953	380386	Abigail
591953	380387	Yone
591953	381198	Hermínia
591953	385629	Maria Lúcia
591953	387830	Paula
591953	387835	Renata
591953	388398	Yolanda Lacerda
591953	389643	Jandaia
591953	400098	
591953	402159	Jojó
591953	404165	Laís
591953	408592	Cecilia
591953	410377	
591954	217134	Charlene
591954	220023	Teenage Ice Cream Clerk
591955	338981	Herself
591956	338981	Herself
591957	123029	Gentle Shiori
591957	127779	Gentle Shiori
591957	177083	Dancer A
591957	264168	Pyrocession, Additional Voice
591957	304688	Rinse/Additional Voices
591957	394421	Sayuri, Additional Voices
591958	98591	
591959	309053	
591959	321491	Herself
591960	259049	Minna
591961	102932	Miss Carson
591961	163621	Sexy Girl
591962	152394	Offer #2
591963	373726	Girl 3 in laundrette
591964	364300	Herself
591965	65717	Gossipy Guest at Clive's Home
591966	23922	Herself
591966	34610	Eva Haraldsted
591966	177363	
591966	191827	Mermaid
591966	199150	Prisoner
591966	230948	Sophie
591966	252445	Tillie in the Mink
591966	277122	Imogen
591966	313119	Veronica
591968	37225	
591969	26291	Pandora
591969	95398	Meeka
591969	348234	Monique Maguire
591970	138857	Celia
591970	187949	Miss Framley
591970	282630	First Girl
591970	305036	Princess
591971	41017	Josephina
591972	127302	Florentine (soprano)
591973	302312	Nurse #2
591974	2534	Lorie
591974	23430	Jenny
591974	66313	Meagen Walker
591974	295556	Fiona
591974	311952	Leena
591975	71338	
591976	12010	Dagmar Randel
591976	29558	Guest at the masquerade
591976	29560	Rya-Rya
591976	29579	The Mother
591976	37784	Rita Carol
591976	47176	Brita
591976	51122	Lucie
591976	71643	Ingrid Erickson
591976	74339	Michele Quellec
591976	84299	Dancing woman
591976	104812	Susanne
591976	115393	Isa
591976	116456	Ingrid Folkesson
591976	122327	Margit Berg
591976	122456	Adelaide
591976	136683	Kristina Ulfstand
591976	147016	Gun Lovén
591976	174432	mamma Larsson
591976	174726	Marta Alleus
591976	182278	Solveig Rygård
591976	182298	Susanne
591976	182299	Isa
591976	182306	Karin
591976	182559	Vivi Boström
591976	182569	Astrid
591976	184921	Inga
591976	187662	Marianne Erneman
591976	206209	Mrs. Markurell
591976	208058	Eva Walderman
591976	219307	Anna Vade
591976	225313	Devah Sørensen
591976	225666	Marit Rylander
591976	225671	Irma Sköld
591976	237063	Eva Berg
591976	237265	Stina Andersson
591976	244075	Astrid
591976	248499	Ulla Karlsson
591976	276130	Mrs. Birgitta Lundberg
591976	277817	Botilla
591976	284101	Hedvig
591976	284394	The Queen
591976	300994	Wanda Piwonska
591976	303199	Susanna Dahlin
591976	304212	Vivianne
591976	304423	Helena
591976	308200	Desiree Armfeldt
591976	308201	Ingeborg Dahlström
591976	320521	Per Bergström's wife
591976	325046	Elin Tarp
591976	333617	Baroness
591976	338729	Adèle Linton
591976	340434	Teacher
591976	342304	Sonja Bergman
591976	343984	Maria Friberg
591976	350564	Karin Brofeldt
591976	377304	Mrs. Landborg
591977	139645	Girl #1
591978	115401	Student
591979	3169	Journalist's Wife
591979	104814	
591979	260410	Marco's table guest
591979	367567	Guest at Villa Salon
591980	322840	Herself as Dramachef SVT 1986
591981	89256	Featured Extra
591982	210346	Herself
591983	165134	Herself (creative producer of
591984	309064	
591986	324928	
591987	34347	
591987	75933	Rozsi
591987	97437	Enzi
591987	98057	
591987	107967	Frau Schätzelbach
591987	111344	
591987	111757	
591987	121001	Klärchen Gunderloch
591987	129674	Urschl Kranzeder
591987	134911	Pat
591987	142181	Karoline
591987	147592	Burgl Huber
591987	155444	
591987	155471	Pia
591987	162994	Ulrike Höfler
591987	164832	Maria Michler
591987	189651	Gretl
591987	191070	
591987	198428	Fräulein Weidt
591987	204001	
591987	209972	Frau Kahlandt
591987	210032	Marion
591987	210033	Hansi
591987	219265	Fräulein Schmitz
591987	223243	
591987	225129	Erika
591987	241974	Rosa Damböck
591987	290752	
591987	293551	Brunhilde Gänslein
591987	359672	Sophie
591987	366526	Fräulein Weidt
591987	375165	Adelheid Rössle
591987	409859	Mutter
591987	412088	Frenzi
591988	395924	Vicky, Recall's girlfriend (2
591988	398555	
591990	291653	Herself
591991	397397	Herself
591993	407139	Glory Booth
591994	404895	Alfa
591995	96879	
591996	134964	Marre
591997	23502	Herself
591997	327337	Herself - Studio guest
591998	78435	Vibeke
591998	235025	
591999	402525	Herself (Forfatter)
592000	357612	Mother in Law
592001	213295	Hermia
592002	404967	School nurse
592003	49813	
592004	210342	Herself
592004	210343	Herself
592005	365344	Gunilla
592006	301271	Kelley
592007	304406	Francesca
592007	403367	Torun
592008	182305	Anna, 12 år
592009	385565	Herself - Employee, Dahlgårds
592010	385565	Herself - Employee, Dahlgårds
592011	182566	Lillan, Barbro's friend
592012	178271	Yana
592013	226442	Empleada Inmobiliaria
592014	244864	Girl #2
592015	80823	Peggy
592015	221047	Receptionist
592016	37176	Cool Girl
592016	100209	Blonde Woman
592016	319952	The Chick
592016	345855	Melissa Gardner
592017	3238	Elvira
592017	94254	Girl
592017	142234	Jörgen's Mom
592018	276908	Witch Itah
592019	152509	Secretary
592020	285739	Officer #3
592020	306223	Mrs. Yepremian
592021	232029	
592022	367028	Herself
592023	235425	Amy
592024	395223	Bev The Tramp
592025	145623	Teacher
592026	23415	Girl in solarium
592026	96427	Dead girl
592026	104807	Toastmaster
592026	139644	Patricia
592026	182531	Publisher's Head
592026	192645	Lotta
592026	204537	Kindergarten teacher
592026	213430	Nunnan
592026	245943	Angelica
592026	342313	
592026	394946	Sandberg
592027	28811	Dark Woman
592027	115425	The attractive woman
592027	119426	Switchbord operator
592028	89811	Gunbritt
592028	153745	Per's mother
592028	305325	Gerd
592028	305834	Gunilla Jönsson
592028	377429	Lena Holm
592028	390783	Meta
592028	394884	Jenny
592028	395642	
592028	402277	Anita
592028	406775	Konsthandlaren
592029	365282	Anna
592030	32155	Laurie Kramer
592030	40179	Mrs. Sullivan
592030	80381	Millie Iarossi
592030	120806	Barbara Riordan
592030	244838	Doctor
592031	303196	Family on platform
592031	410281	Essy Brogren
592032	396345	Rural woman
592033	314388	Ma Månsson
592034	99137	Dancer
592035	350676	Rosie
592036	206687	Travel Agent
592037	315915	Tourist
592038	55567	Béatrice
592038	121017	
592038	287568	Fanny
592038	335363	Jeanette
592038	349129	Dottern
592039	27480	
592040	153547	
592040	394979	Julia Kuusisto
592041	350607	Horat's People
592042	54305	Teacher
592043	350772	Kristina Gyllenstierna/Courti
592043	386641	Policewoman
592044	355237	Médecin femme
592045	205499	Sylvia
592045	209331	The Mother
592045	216361	tvättande kvinna
592045	305895	Meter maid
592045	308203	Yvonne
592046	240895	Emily Jordan
592047	171485	Triplet #2
592047	233634	Herself
592047	236387	The Hollywood Chicks
592047	257616	Herself
592047	257639	Herself
592047	257657	Herself
592047	257822	Miss December 1998
592047	381402	Dahm Triplet 1
592047	403189	Construction team expert
592047	403542	Mandy #1
592048	18028	Engagement Party Guest
592049	171485	Triplet #1
592049	233634	Herself
592049	236387	The Hollywood Chicks
592049	257616	Herself
592049	257639	Herself
592049	257657	Herself
592049	257822	Miss December 1998
592049	381402	Dahm Triplet 2
592049	403189	Construction team expert
592049	403542	Mandy #2
592050	407351	
592051	171485	Triplet #3
592051	233634	Herself
592051	236387	The Hollywood Chicks
592051	257616	Herself
592051	257639	Herself
592051	257657	Herself
592051	257822	Miss December 1998
592051	381402	Dahm Triplet 3
592051	403189	Construction team expert
592051	403542	Mandy #3
592052	23741	Sophie
592052	261813	Sarah
592053	384288	Yasmina
592054	258151	Sarah
592055	35174	
592055	126386	Estelle
592055	384450	Carroll
592055	389957	Klara Lavendel, geb. Opperman
592055	406321	
592055	410582	Lucie Rommel
592056	49269	Simone
592056	111348	Lena Scholz
592056	147169	Uli
592056	338444	Patricia Holm
592056	379772	Sylvia 'Sylvie' von Wettenber
592056	387964	
592056	389618	Dagmar Henlein
592056	389823	Yvonne
592056	389840	Christine
592056	392855	Christiane
592056	408208	Rebecca Seidlitz
592056	409990	
592057	11943	Delilah
592058	3272	Maya
592058	176918	Cookie
592058	301693	Louise
592058	315218	
592058	388867	Dancer
592058	392682	
592059	302840	Babysitter
592060	155449	
592061	20803	
592062	210064	Dame von Gegenueber
592063	190823	
592064	190823	Lotte
592065	173055	
592066	40137	Stella
592066	89568	The shoeshiner
592066	97913	Cylindia Volund
592066	178438	Woman in park
592066	196830	
592066	225690	Wenche Bymoen
592066	332176	
592066	340272	Margareta
592068	148308	Stripper
592069	263500	Bhana sister
592070	255442	Lee Lang
592071	48432	Li Qingqing
592071	76303	
592071	151983	Ye Demei
592071	167443	
592071	184332	Tang Qi
592071	184333	Tang Qi
592072	27853	
592072	64971	
592072	106223	
592072	135053	
592072	324448	Dancer: La milonguita
592073	193874	Ouyang Mei
592074	78592	Granny
592074	392792	
592075	368654	Alice
592076	269496	
592077	297790	Christie Holland
592078	297790	Christie Holland
592079	196700	Julie
592080	22931	Meg
592081	32285	Marie enfant
592082	312971	Diane
592083	292351	Enfant de Julitte
592084	20828	Martine
592085	373224	Jôgan Shoko
592086	89692	Ryouko, young
592086	138077	Tanaka's widow
592086	167986	
592086	169734	Kyôko Suzuki/Tatsuya's sister
592086	169735	Kyôko Suzuki/Tatsuya's sister
592086	176527	Sachiko
592086	176669	Masao's Mother
592086	374105	Geisha O-Kinu
592087	194874	Bambie
592087	286866	Amakusa Shirô Tokisada
592087	391594	Daichi Kobayashi
592088	280077	Carolin
592088	360313	Young crying woman
592089	105898	African Queen
592090	201151	Girl at party
592090	206355	Bridesmaid
592091	14487	Aunt Helena
592091	78725	Mrs. Carlyle
592091	114618	Samia Glavia
592091	134475	Gladys 'Ma' Grissom
592091	167561	Mrs. Cummings
592091	234075	Mrs. Fitts
592091	312711	Mrs. McGuire
592091	380391	Elizabeth 'Aunt Liz' Matthews
592091	387309	Pamela Stewart (1969-1970)
592092	363416	Herself
592092	363869	Tiffany
592093	330386	Swing Choir Member
592094	215409	
592095	365818	Annabelle
592096	277109	The Vixen
592097	201054	Irène Doré
592099	12736	Nathan
592099	26079	Babe the Gallant Pig
592099	26287	Zoe
592099	27207	Lana
592099	35252	Herself
592099	42402	V.C.
592099	69258	Myra
592099	71687	Beary Barrington (singing voi
592099	85077	Candy
592099	89271	Marcie
592099	95510	Hailey
592099	100198	Theresa Richland
592099	103250	Sandra
592099	108530	Judy, Jailbait
592099	121840	Cass
592099	125420	Freefall/Roxy Spaulding
592099	131852	Additional Voices
592099	183343	Motel Maid
592099	192187	Froggy
592099	194564	Lorenzo Michael Murphy Odone
592099	196434	Linda
592099	201537	Herself
592099	201745	Herself
592099	233967	Susan
592099	241285	Leslie Winslow
592099	243646	Carrissa
592099	251743	Dottie
592099	262132	Buttercup
592099	262133	Buttercup
592099	262134	Buttercup
592099	262136	Buttercup
592099	273745	Cap'n Sticky
592099	283099	Tommy Pickles
592099	283100	Tommy Pickles
592099	283102	Tommy Pickles
592099	283104	Tommy Pickles
592099	283105	Tommy Pickles
592099	283106	Thomas Louis 'Tommy' Pickles
592099	283107	Tommy Pickles
592099	283108	Herself/Tommy Pickles
592099	315246	Sweetie Surly
592099	315302	Mom
592099	316658	Sadie
592099	316760	Baby Doll
592099	340908	Ella
592099	349973	Loryn
592099	358052	Bambi
592099	360490	Ted
592099	379568	Bud/Additional Voices
592099	379710	Tommy
592099	381064	Zoe MacPherson (as E. G. Dail
592099	382993	Germ Girl
592099	383280	
592099	383846	Rudy Tabootie
592099	387065	Mambo
592099	387340	Wendy Elizabeth
592099	389710	Billy Smashenburn, Zenna
592099	389759	Alex
592099	393915	Bagheera (I)
592099	399283	Knothead
592099	402016	Buttercup/Additional Voices
592099	402234	Cyndi
592099	402556	Louie Duck
592099	403038	Kindergardeners
592099	403389	Sandy Burns
592099	403812	Pvt. Isabelle 'Dizzy' Flores
592099	403907	Thomas 'Tommy' Pickles
592099	407701	Additional Voices
592099	409212	Additional Voices
592099	410930	Additional Voices (2001-2002)
592100	353294	Academy Girl
592101	85183	Maid
592102	103445	Escort girl
592102	138224	Marsha Crawley
592103	269009	
592104	68309	Woman officer
592105	30160	Beboer i kvarteret
592105	64649	Herself/Various roles
592105	64797	Terry
592105	77413	Ofelia 'Fia'
592105	78473	Herself (performing 'Torneros
592105	78475	Herself (performing 'Fri mig'
592105	84307	Trine
592105	90167	Sangerinde, Hanne
592105	95757	Helle
592105	116298	Lise Lykke
592105	166602	Annie Jensen
592105	190882	Herself
592105	198399	Kropigen Elna
592105	223208	Various roles
592105	236274	Syngepige Duzanie Jelling
592105	239168	
592105	255674	Skuespiller
592105	307714	Vibeke/Viggo
592105	338710	Annette
592105	340771	Shelley
592105	350064	Herself
592106	349168	Onoue Dayu
592107	403536	Herself - Participant (1998)
592108	277839	
592109	10462	
592109	33498	
592109	55224	
592109	61360	
592109	74491	
592109	96355	Maruxa
592109	148043	
592109	193351	
592109	197959	
592109	212342	
592109	225697	
592109	226437	
592109	256738	
592110	336249	
592111	103165	
592111	103992	
592111	136858	Estrella
592111	193351	
592111	205140	
592112	75906	
592112	298028	Mrs. Cruickshank
592112	299741	
592113	128759	
592114	50207	1st Shopper
592114	67938	Carol
592114	108410	Dora
592114	366903	Lady on Train
592114	385299	Josie Welch (1979)
592114	395647	Nancy Rawlings
592115	56278	Sally
592115	142383	Cecily
592115	181155	Sara Durward
592115	193900	Ruth
592115	194036	
592115	369184	
592116	31572	
592116	308543	
592117	328557	Miscellanious Partier
592118	90207	Gypsy Queen
592119	6932	Lady in movie
592119	17697	Maid at Maplehurst
592119	80755	Mrs. Trumbull
592119	108354	
592119	176852	Kosima
592119	184719	Aggie
592119	194277	Registrar's Assistant
592119	248087	2nd Hotel Maid
592119	346909	Old Woman
592119	355519	Mrs. Corrigan
592120	113897	Valerie Chrane
592120	147931	Gynaecologist's Nurse
592120	216007	Merle
592121	22997	Sally Bryant
592121	56603	Ermyntrude
592121	77849	
592121	77856	Grete
592121	90287	Girl on 'bus
592121	137962	Susan Lancaster
592121	150839	Jean Linton
592121	195731	
592121	233928	Beth
592121	242734	Sister Rogers
592121	250971	Steve Temple
592121	330491	Helen Martell
592121	332421	Mary Rillston
592121	338746	Tangye Ward
592121	366990	Blind girl
592121	405530	Sally Norton
592122	45411	
592122	50431	
592122	64060	
592122	76598	The Object of Their Affection
592122	118025	Margaret
592123	380099	
592123	384400	Cherry 'victima de dylan' (20
592123	395043	Alejandra
592123	409719	
592124	26598	Roya's Mother
592125	209097	Girl in Pub
592126	113355	Mrs. Gualtierri
592127	390788	Natalie
592128	390788	Sara
592129	1230	
592129	24157	
592129	41091	Daisy Bumstead, a Dog
592129	41093	Daisy Bumstead, a Dog
592129	54953	Townsperson
592129	67144	
592129	75028	
592129	75030	
592129	87561	Gypsy
592129	161098	Herself
592129	163451	Herself
592129	163629	
592129	236944	
592129	239048	Daisy
592129	274356	Daisy the dog
592129	291283	
592129	342467	Dog
592129	349916	Daisy
592129	401284	Daisy
592130	131778	Woman in line
592131	511	Eri
592132	36558	
592132	66751	Lulu de Sainte-Cassette
592132	346545	
592133	15093	La concierge
592133	356515	Old English Maid
592134	25128	
592134	44479	Girl
592134	44996	
592134	59231	
592134	84638	
592134	120975	
592134	205203	
592134	207271	
592134	258528	
592134	268397	Hélène
592134	327883	Daughter
592134	340154	
592134	374198	French girl
592135	10156	Jane
592135	28407	Nadia Harding
592135	46532	Claire
592135	86955	Samantha
592135	115635	Jill
592135	138701	Gretchen
592135	295320	Naomi
592135	300943	Hilary
592135	330780	Nadia/Grace/Patty
592135	341812	Becca
592135	354164	Paige
592135	398715	Genevieve
592135	399116	Amanda Colbert Moyer
592135	407950	Catherine
592135	411354	Christina Onassis
592136	19683	
592136	43185	
592136	65021	Erzsi néni
592136	76072	
592136	77165	Deákné
592136	97974	
592136	98748	Kártonyné
592136	104795	
592136	108913	
592136	118170	
592136	122387	Csopakiné
592136	122455	
592136	130804	
592136	138973	Rozi
592136	153914	
592136	155955	A mama
592136	155968	Gyémántné
592136	177925	Erzsi,szakácsnõ
592136	182874	Nagyné
592136	189083	Szakácsnõ
592136	198212	Kocsmárosné
592136	205763	La patronne
592136	223597	
592136	223599	Herself
592136	226710	Galambosné, Trézsi
592136	229477	
592136	229481	Piroska néni
592136	229708	Lajos bácsi felesége
592136	255856	Vera anyja
592136	284358	Mellerné
592136	322111	Naca
592136	326076	Pálosék szakácsnõje
592136	326078	A jegyzõné
592136	326302	'Asszonyság', szakácsnõ
592136	327209	özvegyasszony
592136	333799	Veronika
592136	334845	
592136	335267	Karmazsinné
592136	349619	Julcsa,dada
592136	377724	Gazdaasszony
592136	377753	
592136	377761	Manci
592136	377891	
592136	378042	
592136	378261	
592137	120354	Vanessa
592137	410628	Mélanie Bernier-Fontaine
592138	96240	La fille
592139	403	Vass Mari
592139	1117	Hupka
592139	9422	
592139	28538	Dédmama
592139	42971	Mrs. Nudics
592139	44219	Borcsa
592139	44573	Bors néni
592139	74450	Mom
592139	97968	Herself
592139	98770	Anna,Benedek Péter felesége
592139	99740	Zizus,utcalány
592139	108073	Finum Rózsi
592139	138973	Lina,Péter elvált felesége
592139	143725	
592139	153694	Örzse
592139	162975	Piroska anyja
592139	163968	
592139	171540	
592139	175089	Iduka
592139	177949	Szilvia Bruckner
592139	181090	Szakácsné
592139	187201	Zarkóczy Amálka
592139	190793	Camilla
592139	199118	Orbánné, Erzsi
592139	200823	Kati,cselédlány
592139	211869	
592139	223594	
592139	223595	
592139	225784	Nusi anyja
592139	226711	
592139	243722	Aranka
592139	243878	Csohányné
592139	256667	Piri,Bognár felesége
592139	284091	Vilma,Jób lánya
592139	322017	Bakos néni
592139	322065	Rhédeyné
592139	322100	Éva
592139	322128	Majmunka
592139	322243	
592139	328970	Nagymama
592139	333123	Mrs. Széki
592139	334027	
592139	343451	
592139	349619	Éva
592139	350830	Racsákné
592139	356601	Aunt Anna
592139	357930	Mrs. Gyengus
592139	357931	
592139	374536	Bogár Cica,pesti dizõz
592139	376559	
592139	377748	Oszkar's mom
592139	377753	Fazekasné
592139	377797	
592139	409291	Tutajos' grandma
592140	355566	
592141	273566	Mary's Sick Daughter
592141	315414	Older Girl
592142	122543	Bauchtänzerin
592143	36858	Herself
592144	195593	
592145	168782	Anna Fenn, survivor
592146	51758	Dolores
592147	307457	Roxie
592148	191799	Erin's Grandmother
592149	21730	Fille draguee
592149	141852	
592151	396625	
592153	88730	Ivana
592153	163052	
592153	180253	Zorica Dejanovic
592154	304159	Milica
592155	245008	Tara Dakides
592156	110189	Old Woman
592156	253512	Shelly
592157	47350	Baby
592158	184654	Doris Heartman
592159	171930	Deb Hartley
592160	20727	Waitress
592161	114492	
592163	333698	Dessi, Vladimir's daughter
592164	41615	
592164	41650	
592164	65794	
592164	114275	
592164	258233	
592164	332177	
592164	380769	
592164	380843	
592165	101454	Mary Lou
592165	132739	Justine
592165	245207	Edward's Girlfriend
592166	682	Hispanic Girl
592166	79297	Betty
592166	82318	Amanda
592166	153596	Alice
592166	269808	Camping girl #1
592166	320745	Island Girl
592167	122268	
592168	2089	Yolanda
592168	51984	Mercedes
592169	164897	
592170	317293	Vencheto
592170	326248	Momichentzeto
592171	97561	
592171	172827	
592171	258572	Mariyka
592171	317293	Emiliya
592172	304712	Araksi kato malka
592173	183400	
592174	48298	
592174	194684	Novice Nun
592174	324324	
592174	353130	
592174	355643	
592175	17916	House Owner
592175	55411	Ninetta, sua figlia
592175	75240	Eleonora Maneri (Mamma)
592175	113705	
592175	351074	La suocera
592176	82438	Agent Corsi
592177	16748	Spencer
592177	281382	Kid autograph seeker
592177	367651	Lisa Marie
592178	115096	
592178	292367	
592179	259194	Herself
592180	42772	Clothing store clerk
592180	64020	Herself
592180	80481	Secretary
592180	161989	Gallery Curator
592180	220622	Girl in Limo
592181	234008	Jefa Pianet
592182	18640	Neapolitan girl
592182	229989	Doll Bonner
592183	325670	Meliha Can
592184	40958	Alyans Schwester
592184	98056	Meltem
592184	275161	
592184	325670	Türkische Putzfrau
592184	395667	Canan Dagdelen (1998-)
592185	22782	
592185	69016	
592185	100791	
592185	106015	
592185	148175	
592185	150558	
592185	236437	
592185	322249	
592185	410276	
592186	264261	Anna di Villafranca
592187	164035	
592188	396506	Joana Coutinho
592188	397546	Heloísa
592188	404915	Lídia
592189	373300	Interpreter
592190	410203	Participant (2000)
592191	98628	Herself
592192	37672	
592193	378579	
592194	282467	Miss Carla
592194	310303	Computer Girl
592195	141885	Grandma
592195	361469	Selma Kempenich
592196	285017	Santera
592197	396345	Dido/(singer in opera)
592198	99793	
592198	103783	
592198	121248	
592198	132941	
592198	224483	
592198	255014	Bit Part
592198	269158	
592198	319861	
592199	324457	
592200	7856	
592200	48285	Mrs. Pope
592200	58721	Mrs. West
592200	59816	
592200	92701	Marcita Blein
592200	151448	The Hostess
592200	158110	The Actress
592200	171047	Undetermined Role
592200	241532	Mrs. Cooke
592200	241629	Mme. Fonblanque
592200	295372	Mother
592200	299999	
592200	328752	Mrs. Clare
592200	367543	Mrs. Grayson
592202	144789	Alien Stormtrooper
592203	2616	Margo Wayne
592203	5525	Susan Duval
592203	46449	Collette
592203	183540	Cecile
592203	206102	Nyobi
592203	223913	Barefoot maid
592203	309286	Cigarette Girl
592203	324973	Theresa
592203	332069	Marie Etienne
592203	337644	Marie Duval
592204	8990	Axelle Vasseur
592205	132743	
592205	345042	La journaliste Esther
592206	405840	Marika
592207	87497	Une interne
592208	12038	Bonne Maman
592208	32026	Une bourgeoise
592208	33543	Mme de Machault
592208	119042	Mère Blanchet
592208	164161	
592208	166141	Madame Moulin
592208	208227	La Mei
592208	208811	Pascaline
592208	235834	La grand-mère de Catherine
592208	248263	La duègne (segment "Le parave
592208	258788	Mme Dutilleul
592208	264114	Grandmother
592208	282298	Edmée Lebugue
592208	285466	Grand-Mère
592208	300649	Dalbray, Muse
592208	318512	La dame aveugle
592208	337001	
592208	353890	Une chômeuse
592208	376914	La dame de la clinique
592208	384216	Reine
592208	384971	La vieille tante
592208	398079	Mme Marouvier
592208	398966	
592208	400681	Marceline Parrot
592208	409453	Mme Gassier
592208	410143	Mme Dursan
592209	18894	
592209	56951	Fille de chez Castel
592210	20625	Extra
592211	11926	Mrs. Trottle
592211	80996	
592211	122030	Edie
592211	125817	
592211	133726	
592211	140192	Abigail at age 80
592211	148386	
592211	203443	Miss Acres
592211	214188	Mrs. Bourne (Hostel Matron)
592211	216013	
592211	218029	Granny
592211	224303	Female Cleaner
592211	225381	Jacqueline, nurse at Geronte'
592211	231927	Miss Miggs
592211	239573	Gambler
592211	256292	Lady Customer In Shop
592211	269882	
592211	292527	Mrs. Tate
592211	299544	Edith
592211	305514	Demolished Old lady
592211	305685	The Duchess
592211	312171	Miss Marchbanks
592211	316479	Lucy Graham
592211	333197	Sarah (Charlie's Wife)
592211	335922	Nanny
592211	360072	Maisie
592211	364233	Lavinia Goldsworthy
592211	364730	Aunt Doll
592211	380737	Miss Moss
592212	121741	Linda
592213	187338	Christine
592213	256612	Helen
592213	382701	Jo Hathaway (Season 2)
592213	382938	Hazel Fletcher
592213	385299	Rita Hughes
592213	387533	Ruth Merrick (1972)
592214	131232	Extra
592215	223204	Berta
592215	354415	Hedvig
592216	336944	Marie-Claude
592217	84457	Babe #8
592218	395372	Conny
592219	325446	Marta
592220	194005	Miriam
592220	390666	Mary Engel/Mary Johnson
592221	10149	
592222	116737	Mary Margaret
592223	34402	Tjenestepiken
592223	92012	Jenny Smith
592223	121027	1. Gamalfrøken
592223	180711	Larsen
592223	184121	
592223	240223	
592224	364628	Baby
592225	166240	Bit Role
592225	364434	Cameraman
592226	79577	Herself
592227	126686	Girls' Track Team
592228	210825	Sarah
592229	213088	
592230	180061	Janine
592231	100209	Hitler Youth
592232	22960	Jillian
592232	26473	Olivia
592232	40246	Herself
592232	45435	Margaret
592232	141662	Samantha
592232	158191	Nancy
592232	189283	Elizabeth
592232	199708	Herself
592232	218848	Sheila
592232	263278	Agent Zane
592232	285177	Paula Melvin
592232	306197	
592232	310876	Candy Sloane
592232	329342	Lisa Tuite
592232	388656	Grace Metalious
592232	400635	Charity
592232	406706	Olivia Novak (1988-1994)
592232	407426	Terry Lane
592232	408968	Opening Hostess
592233	161982	The Wife
592235	129093	Bit Part
592237	277990	Dolly
592238	160454	Manicurist
592238	255522	Monica's maid
592239	327684	Egyptian Girl
592240	75799	Becca
592240	207900	Jury Foreperson
592240	319253	Ben's Secretary
592241	185202	Mrs. Ellis
592242	139650	Katie Bell
592242	139657	Katie Bell
592243	2882	Matron
592243	4730	
592243	11141	Matilda Collinge
592243	12286	Tarusa
592243	13380	Lucy
592243	16078	Margaret, Lattimer's Maid
592243	17566	Mrs. Polaski
592243	20206	Secretary
592243	25479	Mrs. Leeson
592243	26776	Mrs. Smith
592243	27279	Miss Brown, Orphanage Secreta
592243	32537	Gravitt, Doc's Nurse
592243	32886	Sarah Lowell
592243	35167	Head Matron Ballard
592243	37461	Ma Daley
592243	40112	Sarah, Ingram's Housekeeper
592243	41087	Mrs. Carrie Dill, the Landlad
592243	41088	Anna Vaughn
592243	47370	Mrs. Olsen, the Landlady
592243	56139	Matilda
592243	61567	Prison Matron
592243	69237	Mrs. Clara Glover, Head Matro
592243	70301	Chief Matron Brackett
592243	73789	Mrs. McGillicuddy
592243	75481	Aunt Genevieve Graham
592243	77290	Mrs. Dupont
592243	78185	Dawson, Goodwin's Housekeeper
592243	80439	Mrs. Fenner
592243	92959	Forewoman in Factory
592243	96939	Lillian
592243	97890	Birdie Hicks
592243	109206	Ma Boyer
592243	118040	Mrs. Mason (Landlady)
592243	122052	Mrs. Whipple
592243	128827	Mrs. Engstrom
592243	133662	Mrs. Unthank
592243	133702	Miss Markham, the School Prin
592243	142557	Aunt Harriet
592243	147515	Mrs. Ennis
592243	147650	Martha
592243	154199	Mrs. Dilley, Tourist
592243	154355	Brumbaugh, Mrs. Gage's Housek
592243	154481	Mrs. Adolph Gherkin
592243	157878	Dolly Breckenridge
592243	183331	Sarah, the Housekeeper
592243	183767	Miss Eccles
592243	196129	
592243	198539	Mrs. Birdie Hicks
592243	198541	Birdie Hicks
592243	198542	Birdie Hicks
592243	199466	Annie, Cook #1
592243	200467	Mrs. Randolph
592243	201150	Mrs. Myra McIntyre, Elsie's M
592243	205449	Grandma McSweeney
592243	206836	Kate
592243	218124	Mrs. Rhinelander
592243	219557	Marta, Roth's Maid
592243	220779	Mrs. Krausheimer
592243	222678	Longacre Lil
592243	224273	Anna
592243	233684	Josie
592243	235162	Anna
592243	235164	Woman at picnic
592243	238507	Mrs. Cantwell
592243	239416	Mrs. Fitzgerald
592243	239515	Harriet, Kit's Maid
592243	240569	Aunt Martha Robertson
592243	240650	Ma Cassidy
592243	240657	Miss Belinda Fentridge
592243	242570	Mrs. DeBorest
592243	245209	Abbie Pringle
592243	245283	Hattie Simmerson
592243	248632	Mrs. Jackson
592243	264420	Cora Waxley
592243	264888	Matron
592243	294744	Mrs. McGillivray
592243	305754	Gram
592243	308569	Miss Bragg
592243	309607	Mrs. Maud Mansfield
592243	315101	Lieschen
592243	315123	Mrs. Johnson
592243	320025	Aunt May
592243	320812	Temperance Woman
592243	321540	Caroline Bird
592243	327256	Mrs. Haskins
592243	327698	Mrs. Thompson
592243	330010	Miss Clark
592243	330893	Mrs. Fields
592243	333493	Hitty Tarbox
592243	335725	Mrs. Boykin
592243	346908	Aunt Mathilda
592243	346914	Olga
592243	347731	Mrs. Smith
592243	354490	Minerva Withers
592243	358589	Miss Thompson
592243	360705	Mrs. Kasia Nowak
592243	362491	Mrs. Murphy
592243	365354	Jenny Hawkins
592243	367905	Head Matron Ingles
592243	367919	Ingrid, Mary's Country House 
592243	368806	Mike O'Glendy
592243	372360	Aunt Fannie Handley
592244	196464	Mrs. Woodbridge
592244	294203	Tottie
592244	358713	
592245	109494	
592246	313818	TV Interviewee
592247	304240	Librarian
592248	49813	
592249	3148	Joan Todd (Mrs) Secretary
592249	46444	Gwenda Irwing
592249	46691	Delia Myerson
592249	58164	Mrs Buckley
592249	61175	Mrs. Cook
592249	173353	Mrs. Macaleese
592249	219893	Alice Bradley
592249	263544	Mrs. Sugden
592249	279371	Eileen Blair
592249	370585	Girl with baby
592249	382932	Auntie Jean
592249	394146	Aunt Hazel
592249	395189	Jean Wilson
592249	395525	Snawley Major/Miss Knag/Mrs. 
592249	399381	Marjorie Wilcox
592249	403777	Renata (1979)
592249	407427	Mrs. Wheeler
592249	407826	Mrs. Wilson
592249	409841	Miss Briggs
592250	215809	Mary Norton
592251	6503	Arianne
592251	38372	Dr. Annette Birkin
592251	47521	
592251	51835	Sally
592251	54191	
592251	55159	Celeste Hedley
592251	93121	Laura Thornton
592251	114199	
592251	121526	Janine
592251	132826	Betsy Bigley
592251	149409	
592251	190056	
592251	192588	Annie Baker
592251	193773	Kelly Stoneham
592251	195268	Betsy Bigley
592251	195523	Bea Rosen
592251	206597	Martha
592251	238551	Lorrie Wells
592251	241038	The Director
592251	248149	Dr. Alyce Robertson
592251	254872	Jane
592251	277082	
592251	294519	Sarah Moore
592251	308041	Bobby
592251	315218	Claudia Grissom
592251	320421	Suzanne McDonald
592251	332418	Lisa
592251	362037	Fay Ginzburg-Howl
592251	362702	Marta
592251	369464	Mystique/Raven Darkholme
592251	372884	Laura
592251	387542	Cleo
592251	390775	Alison Carrow
592251	392692	Mary Margaret McCarthy
592251	395784	Annie Baker
592251	400207	The Director
592251	401999	Samantha (1999-2000)
592251	405298	Dr. Liz Anderson
592251	405373	Nebula
592251	409830	Sandra Evans
592252	10740	Edith
592252	183760	
592252	282711	Dancer in Haiti number
592252	318792	Stock company member
592253	265265	Bunny
592253	362959	Specialty Dancer
592253	363292	Bit part
592254	194755	Madge McQuirk
592254	311411	Cousin Polly
592256	77777	Dancer
592257	16045	Young Mary #1
592258	206792	Maruya
592259	14361	
592259	17209	Ninetta
592259	61059	Lorenza
592259	102364	
592259	183494	
592259	204661	Denise
592259	301340	Pucci
592259	326086	Ninon
592260	340459	Size 6
592261	87844	Mrs. Noel Travers
592261	203671	Aunt Martha Temple
592261	241329	Mrs. Harrington
592261	292263	Mrs. Twombly
592261	293793	
592261	360824	Mrs. Sarah Belden
592261	368369	Mercedes
592262	80545	The Singer
592263	8619	Mady
592264	42386	Polly Roberts
592264	141142	Museum Guide
592265	196167	Auntie Prue
592266	254966	
592267	300063	Chorus girl
592268	298079	Teresa
592268	400087	Doris
592270	83652	
592270	213453	
592271	120077	
592271	161938	Angela
592271	178980	Randy Hartman
592271	373276	Melissa
592272	13993	Missy
592272	322925	Christine
592272	360436	Crazy Girlfriend #1
592272	366730	
592273	70752	Mother
592274	206441	Tonya
592275	288430	Cigarette Girl
592276	117664	Punk Girl
592277	248667	Monica
592278	32786	Tania
592278	140652	Mary Townleigh
592279	204576	Club Girl
592280	277524	Ruth Crane
592281	400521	Presenter
592282	11609	Jennifer Warwick
592282	29885	
592282	48558	Virginia Cameron
592282	77820	Dolly Stewart
592282	77981	Claire Underwood
592282	81169	Patsy Doyle
592282	88830	Rene
592282	92733	Irene Trilling
592282	107755	Marie
592282	109361	Herself
592282	141004	Laurie Lane
592282	146091	Lillian
592282	147543	Lila Dixon
592282	152208	Kimberly Receptionist
592282	155678	Francine Merle (Les Blondes g
592282	176336	'Okay' Kinney
592282	178134	Gwen Abbott
592282	184948	Patsy Lynch
592282	196129	Virginia Astor
592282	234037	Eleanor Winthrop
592282	249261	Enid Casserly
592282	269084	Kay Merrill
592282	302716	Jo Adams
592282	313833	Mabel
592282	316941	Mabel
592282	329562	
592282	368495	Lee Morrisson
592282	399685	3rd Abolitionist
592282	399838	Miss Taylor
592283	296956	Lucy Norton
592283	303272	The Maid
592284	66826	Herself
592285	408252	Anne Mackay-Solms
592286	388299	Carine (#1) (1996)
592288	16122	
592289	309829	Heddie Monroe
592290	3919	Nina
592291	34253	Armelle
592291	353873	Mme Amélie
592291	396366	L'institutrice (segment "2 + 
592292	59366	
592292	143274	Dance Hall Girl
592292	163451	
592292	216802	Receptionist
592292	313321	Miss Fusselow
592292	329570	Nora
592293	72703	Herself/Sadie Silverfish
592293	94881	Herself
592293	115214	Cissie
592293	143605	Herself
592293	183443	Geraldine Ryan
592293	235227	Mrs. Remley
592293	245209	Fanny (drummer)
592293	254917	Herself
592293	274102	Minnie Redwing
592293	278079	Tess Connors
592293	291391	Herself - The Sunday Bandwago
592293	311273	Felicity Twitchell
592293	313377	Mimi
592293	348007	Herself
592293	350645	Herself
592294	314257	Katelyn
592295	409194	Fizz (1999-)
592296	79530	
592297	131804	Niteclub Singer
592297	265090	
592298	148205	Police Photographer #2
592299	194963	Leslie Grant (Leslie Grant Sh
592299	386957	Host
592299	403673	Narrator
592300	64825	Phyllis Potter
592300	129437	Linda
592300	132184	Annie Harris
592300	291049	Jackie Wielmon
592300	299742	Janie
592300	319180	Mayors Assistant
592300	362823	Frances Parker
592300	383385	Dana Head Nurse
592300	384909	Meg Barnett
592300	406952	Dr. Alison McRae (7/1997)
592301	200265	
592302	32178	Villager/Additional Voices
592303	194073	Christa
592304	12114	Cynthia
592304	205268	Audience Member
592304	345728	Reader
592305	18000	Cassandra Jones
592307	248480	Girl in Bar #2
592308	137766	Telemarketing Co-Worker, Cana
592309	33552	
592309	91933	
592309	339969	
592310	76584	Nurse #1
592310	165177	Marie-Paule
592311	270551	
592312	104924	Lynette
592313	319937	Ulla
592314	42686	Herself (recipient on behalf 
592314	42889	Herself - Distributor - Camer
592315	118072	Dana
592316	159175	Dancer
592317	117482	Native child
592318	389041	Herself
592319	162657	Kvinde der venter ved bro
592320	174636	Une élève
592321	8256	Romy
592321	23516	Simone
592321	52573	
592321	64012	
592321	68396	Danielle
592321	70900	Josette
592321	92024	Fabienne
592321	101528	La chanteuse
592321	176855	
592321	204232	Gianna
592321	207939	Claudia
592321	208656	Mitzi Kaspar
592321	242828	Ruth (the sorceress)
592321	292747	
592321	319664	Denise
592322	235661	
592322	286356	Herself
592323	13215	
592323	76711	
592323	86405	
592323	99418	
592323	100631	
592323	100633	
592323	102132	
592323	102682	
592323	105715	Anna
592323	121087	
592323	125351	Herself
592323	163108	
592323	172083	
592323	174195	
592323	182378	
592323	188112	
592323	212516	
592323	237062	
592323	244085	
592323	244236	
592323	244733	
592323	249413	Girl
592323	259882	
592323	270550	
592323	303724	
592323	311172	
592323	335375	
592323	336631	
592323	338974	
592323	339347	
592324	97372	
592324	204994	Agustina
592324	233932	Laura
592324	403404	Flopy
592325	14199	Rose
592325	26750	Suzi
592325	26846	Jacuzzi Girl #2
592325	37701	Anita
592325	65607	June
592325	93261	Nancy
592325	106375	Golddigger #1
592325	109530	
592325	109617	Dream Girl
592325	139271	
592325	152930	Hope
592325	178206	Laura
592325	291014	
592325	296736	Patricia Miller
592325	319191	Carl's Pool Girl
592325	355028	Christy
592325	355156	Veronica
592325	356652	Herself
592325	384637	
592326	14173	
592326	46938	Elle-même
592326	47993	BeBe Fales
592326	60120	
592326	68348	Herself/En personne
592326	158837	French singer
592326	162075	Judy
592326	176410	Giselle
592326	183467	Singer in the Subway
592326	191092	
592326	207262	
592326	210917	Anna
592326	225135	
592326	232787	
592326	272388	Bella Morena
592326	282798	Cimmeria Rajan
592326	301209	
592326	346392	Jonelle
592326	370787	
592327	222290	Jackie
592328	91053	
592329	30790	
592329	200104	
592329	258773	
592329	261090	
592329	302827	
592330	392278	Aunt
592331	336985	2è jeune femme soirée
592332	253818	Candystriper
592333	129458	Janet
592333	245513	Linda Bloor
592334	9536	
592334	35878	Ewa Michalowska
592334	75886	
592334	88594	Anna Abaszidze, Stroinski's M
592334	129608	
592334	131953	
592334	167025	Dr. Krystyna
592334	174109	
592334	179183	Andzia
592334	179708	
592334	180251	Stefania 'Stefa' Wilczynska
592334	187645	
592334	209491	Greta Wagner
592334	226535	
592334	231636	Holiday-Maker
592334	234268	Olesia Chrobotówna
592334	237836	
592334	266304	Duchess Szczerbatow-Mamajew
592334	280588	Stella
592334	311894	Rita Gorgonowa
592334	322104	Elka
592334	322155	Nosilewska
592334	336217	Maria's Mother
592334	407237	Siostra Gerlach
592334	408826	Idalia Michorowska-Elzonowska
592334	412115	
592335	13457	
592336	6575	
592337	4615	
592338	182254	Anne
592338	317363	Ann-Marie
592338	321927	Ingrid Granliden
592338	331036	Sofie Brandt
592339	52651	Herself
592339	140779	Suzanne
592339	161807	Miss Brown
592339	176279	Pepper Martin
592339	177268	Susan Ashley
592339	215577	Terry Arden
592339	302598	Cora Fane
592339	307004	Herself
592339	333219	Susie Barton
592340	58487	Nurse 3
592340	80640	Woman Victim
592341	371367	Walentynka
592342	198282	Josefine
592342	390932	Mie Nielsen
592343	142319	Doris
592344	197577	Mao
592345	340009	Suor Osmina (Suor Angelica)
592346	12100	Rosa
592347	579	
592348	84596	Une invitée
592349	153804	Ginette
592350	27207	Unity Member #8
592350	119621	Roseanna Rivera
592351	6722	Herself
592351	10071	Animatrice séminaire
592351	39951	
592351	41587	
592351	66900	
592351	72778	
592351	109526	
592351	147652	
592351	150148	
592351	158595	
592351	171170	
592351	236877	
592351	240840	
592351	254333	
592351	321041	
592351	351744	Wet Dreamgirl
592351	360102	
592352	331717	Herself
592354	70556	Secretary
592354	73331	Sharon Fields
592354	133477	Cathy
592354	271994	Laura Beige
592355	56298	
592356	375694	Lizzy
592357	367533	Marian Holcombe
592358	37270	Myra
592358	138164	Nurse Geiber
592358	386518	WPC Betty Williams (1965-1966
592359	160404	Meredith Morgan
592359	396787	Betsy Vanderhoof
592360	84860	Miss Penton
592361	133337	Meemaw
592362	279953	
592363	208475	Herself (#95) (Interviewee)
592363	233560	Herself
592364	2361	Betty
592364	3927	Girl (Move to Memphis Video)
592364	9692	Elena
592364	25984	Catherine
592364	33571	Odona
592364	43002	Violette
592364	61983	Alice
592364	65448	Elena
592364	66158	Saida
592364	78386	
592364	96229	Madeleine
592364	112819	Brigitte
592364	136793	The actress
592364	161651	
592364	164157	Mona
592364	232134	Blind Woman
592364	240429	La star
592364	243346	Monica
592364	265169	L'Actrice
592364	324145	Tatla the Machine God
592364	327566	Lise Brandt
592364	335462	Marie
592364	340486	Coré
592364	345312	Herself
592364	351507	Alice
592364	351711	Suzy
592364	355357	Sabba
592364	357857	Cathy
592364	376962	Elsa
592364	378908	Herself
592365	156153	
592365	411311	Annie De Cleyn (1993, 1994)
592366	28992	Esther
592366	57840	Lise
592366	195157	Grande Mademoiselle
592366	371416	
592366	391479	Maud
592367	214987	Agathe
592367	284259	Jeune fille 1
592367	383371	Sylvie Matthiews (1998-1999)
592368	344704	
592369	184946	
592370	235264	La mère de Lucas
592371	406731	Herself (David's Partner) (Se
592372	62785	Melinda Firebaugh
592373	234128	Herself - Assyriologist
592374	16396	Herself
592375	79858	Annette Gordon
592375	106246	
592375	220787	Sunday Valentine
592375	261521	Gina
592375	283781	Alison
592375	292321	Margaret 'Meg' Louise Bacon
592375	309860	Nurse
592375	318358	Christine
592375	327379	Joy
592375	331639	Elaine
592375	396442	Panda (Voice)
592375	400646	Sondra Westwood
592376	1955	Herself
592377	5009	Woman in Supermarket
592378	194375	Sloan
592379	225732	
592380	246974	
592381	2987	
592382	140671	
592382	153968	Lajos felesége
592382	175746	
592382	237322	Szilvia
592382	343560	
592382	378344	Margo
592382	402164	Acsádi szeretõje
592383	315745	Bit Part (segment "The Jealou
592384	349170	Young Girl
592385	319766	
592386	280400	Zofka
592387	372969	Suzanne
592388	278712	Ellie Eckhart
592388	295290	Preppy mom
592389	346820	
592390	388628	Françoise
592391	16442	Alice
592391	58193	
592391	68663	Une femme du potier
592392	57847	
592392	345484	
592393	80252	
592393	97373	Madre de Luis
592393	191072	
592394	380794	Herself (Host)
592395	75393	
592395	143463	
592396	16442	Alice Clétrides
592397	63799	
592398	211741	Un policier
592398	269822	
592399	110025	Femme couple
592400	235348	
592401	33267	Coco
592402	127670	Madame Montavon
592403	240998	Inez Brockton
592403	289394	Ida Larpent
592404	237324	
592404	326302	Vendég
592405	23791	Gaby, la mère
592405	23804	La baronne
592405	43717	
592405	63683	Olga
592405	83215	
592405	101154	Mony
592405	112706	Jeannick
592405	148645	Henriette Maloin
592405	156319	Jeanne
592405	162023	Jacqueline Mareuil
592405	195735	Mme. Fernier
592405	208656	Baroness Vetsera
592405	216226	Mlle Dorval
592405	266745	La mère Hortense
592405	278138	Signora Trotti
592405	359827	
592405	376914	La mère de Virginie
592405	380966	The mother
592405	393394	Diane
592405	393731	Mme de Renaudin
592405	396597	Irène (segment "Monsieur seul
592405	398033	Duchesse de Berry (1975)
592405	399106	Germaine Lambert
592405	399396	Lydie Babcock
592405	401139	Mme Dupré
592405	404914	Angelica
592406	106121	Model #3
592406	332004	
592408	103565	Bistra
592408	258447	
592408	316434	
592408	412007	
592409	312257	Paola
592410	239219	Bénédicte Forest
592410	346512	Femme d'Henri
592410	346542	La maîtresse d'école
592411	124115	Michelle Hamilton
592413	40431	Stewardess
592413	78141	Joyce
592413	105226	Executive Secretary
592413	290086	Secretary
592414	275	
592414	30792	Maya
592414	76585	Ana
592414	89764	
592414	136907	
592414	145357	
592414	154812	Peachy
592414	163053	
592414	213726	
592414	324388	
592414	332983	Bullet
592414	359069	Barbiel
592414	404049	Maying
592414	407538	
592415	199307	
592416	344712	
592417	193761	Model at Party
592417	289260	Christian Lady
592418	305882	Girl in hospital bed
592419	111557	Extra
592420	181736	Sigrid
592421	128261	Concert Pianist
592422	78474	Herself (performing 'Maja og 
592423	77169	
592423	110192	Singer
592424	90829	Gertrude
592424	187066	Koningin Johanna
592424	190386	Saskia Adelaar
592424	382655	KLM-stewardess Hélène
592424	387741	Cecile Heydecoper-Dos Santos 
592424	391784	
592424	391926	
592424	397445	Let
592424	409825	Ina d'Herbourg
592425	45899	Extra: park
592426	349646	
592427	24172	
592427	42664	
592427	303135	
592427	321832	
592428	83477	Neighbor
592429	31200	Herself (CBS Team contestant)
592429	48555	Ma Dalton
592429	55463	
592429	67003	Lucy Antrim
592429	75799	Chief Olson
592429	128829	Agnes Clark
592429	147853	Herself
592429	200122	Lucy Kane
592429	257202	Calamity Jane
592429	280012	Julie
592429	280655	Mother Speed
592429	285397	Desir
592429	312925	Kathy
592429	362040	Anne Fields
592429	379225	Margaret Kelly
592429	388237	Julia Channing Cumson (1981-1
592429	391370	Lt. Martha Hale, USN
592429	391827	Herself (1967-1970)
592429	393611	Ellie Barnes (1962-1965)
592429	393689	
592429	411802	Lydia Summers #1 (1995)
592430	92862	Camper Child
592433	45103	Carole Ridgeway
592433	56105	Elena Di Gambetta
592433	69339	Louise
592433	94098	Nancy Meek
592433	128771	Hester Halyard
592433	147392	Kitty (girl in Melbourne)
592433	178316	Virginia Stratton
592433	193723	Susan Harvey
592433	218394	Gail MacKenzie
592433	221112	Maude Sardonicus
592433	223798	Louise
592433	232837	Mrs. Cunningham
592433	265265	Ruth
592433	294514	Jean
592433	330860	Maire McRoarty
592433	332117	Susan Blair
592433	333851	Annette Sturges
592434	17215	Elsa
592435	116808	
592435	287163	
592435	362104	
592437	34669	TV Reporter #1
592437	66356	Nurse #2
592437	76554	
592437	171212	Vicky
592437	240500	
592437	272754	
592437	343045	Angie
592437	367512	Girl #2 at Club
592437	385824	Cassie Burns (1980-1981)
592438	262626	Waitress #2
592439	194054	Miriam
592440	40744	Office Worker
592441	5838	Elsie Escott
592441	18743	Natalie 'La Bourget' Bourget/
592441	26754	Ellen Horton
592441	32908	Jeanne Mesurier
592441	39591	Margaret/Theresa/Yvonne
592441	54639	Tecolote
592441	61255	Chicken Casey/Mavis Marberry
592441	65049	Ellen McManus
592441	73395	Tharon Last
592441	78874	Priscilla Maine/Nora O'Moore
592441	78912	Cleo Morrison
592441	78929	Ruth Rutherford
592441	87562	Mary Houston
592441	106292	Helen Douglas
592441	110964	Gloria Marley
592441	114859	Ethel Evans\\'The Flame'
592441	115001	'Flare-Up' Sal
592441	116371	Gale Brenon
592441	116731	Poll Patchouli
592441	123288	Freda Maxey
592441	134033	Shirley Hunter
592441	135587	Thelma Miller
592441	137465	Lady Lillian Garson
592441	139015	Corinne Melrose
592441	146300	Lady Marion Grimwood
592441	148422	Mary Marbury
592441	155724	Colette Brissac
592441	170740	Ollante
592441	172371	Paula Harris
592441	183765	Faro Fan
592441	186327	Sahande
592441	193746	Lucy Shannon
592441	195814	Eileen Rodney
592441	195868	Maida Madison
592441	206176	Helen Armes
592441	207859	Marcella Duranzo
592441	218929	Leah Kleschna
592441	218943	Letty Sternersen
592441	240766	Leone Deveraux
592441	244369	Cynthia Brock
592441	255576	Jen Galbraith
592441	263449	Paula Lee
592441	269803	Mary Bowen
592441	271108	Dorothy Haldeman
592441	281050	Alice Vanni
592441	303067	Charlotte Woods, a dancer
592441	327748	Neva Blaine
592441	331517	Queen Anne
592441	343377	Allaine Grandet
592441	346890	Helen Karge
592441	349638	Lola ''Fluffy''
592441	355860	Genevieve Bouchette
592441	360550	Ruth Tilden
592441	365506	Catherine Winship
592441	367659	The Honorable Iris Champneys
592442	41563	Woman
592442	108044	Rapunzel
592442	152976	News Anchor
592442	341055	Jennifer
592442	359061	Leah Kashem
592444	131631	Claire
592444	358299	
592444	387287	Nellie (2003)
592445	60798	College Student 1
592445	302940	
592446	1877	Herself
592447	42022	Alice George
592447	61740	Lina Dunbar
592448	171234	Sister
592449	149307	Older Couple
592450	52439	
592450	168281	
592450	187411	
592450	335650	
592450	353702	
592451	80481	Young Mother
592452	291049	
592453	260	Mrs. Madsen
592454	358708	Trader (office)
592455	223078	Herself
592456	131006	Popcorn kid
592457	13292	Waitress
592458	38988	Isabella Martens
592458	80640	Dana Bright
592458	86558	Gena
592458	105116	Woman #1
592458	108250	Maizie
592458	129348	Audrey Meadows
592458	147673	Dee Dee Powers
592458	196370	Saleswoman
592458	219953	Lynn
592458	231798	Grieco's Lady
592458	320108	Tina Louise
592458	321096	Rachel
592458	324422	Lynn
592458	330195	Nell Bartle
592458	367407	Barbara
592458	385900	Dana Bright
592459	323478	Mrs. Mooney
592460	320263	Clerk
592461	230587	Mae
592461	390272	Golddigger
592461	390771	Elizabeth Spaulding Marler (1
592462	49549	Lead
592462	59129	
592462	127263	Dancer
592462	169893	Sally
592463	78899	Mary
592464	411802	Judy Lewis (2001)
592465	59129	
592466	306421	So Fine Dancer
592467	56967	Inmate at Cumbermere Lodge
592467	133728	Prisoner
592467	194844	Baker
592467	305413	Girl
592468	106176	
592468	297105	2nd Night Photographic Girl
592468	328581	Tong Room Girl
592468	385299	Dolly Blanchard
592469	88937	Herself
592470	2115	Karate Mom
592471	194663	Attorney
592471	248669	FBI Agent
592472	107938	Reporter #2
592472	121364	Nurse
592472	124123	Female Patron
592472	246032	Technician
592472	343318	Jamie Crawford
592473	391558	Lorna
592474	56857	Make-up Girl
592475	56857	
592475	389717	
592475	409511	Kimmy Burton
592476	192254	Nancy Barwood
592476	250546	Gloria
592476	317536	C C
592476	386005	Mandy Pepperidge
592477	6294	Virginia, la governante
592478	92862	Camper Wife
592479	132747	Carol
592480	46171	Pawnshoplady
592480	87671	
592480	90336	Well-dressed woman
592480	100070	Flora
592480	269645	La contremaîtresse
592480	270290	Lady in Car
592480	343879	Bingo woman
592481	280437	Herself
592482	278470	Girl Fighter
592483	240069	Herself
592484	192928	Schoolgirl
592485	51275	
592485	84299	Girl at the bazaar
592485	118696	Stina, Granlund's maid
592485	121016	
592485	127569	Aunt Emilia's guest
592485	137734	Mrs. Karlsson
592485	181843	Canoness
592485	192657	Malla Brockman
592485	200410	Girl
592485	284123	Parent
592485	303199	Eva Farell
592485	326127	Quarrelsome Wife
592485	377304	Adele's mother
592486	135163	Goddard
592487	251840	
592488	353294	The B-Girls
592489	203083	Vicky Foster
592490	150974	Landlady
592490	201123	Màiri Mhòr
592490	333771	Matron
592491	219923	Colin
592492	381909	Herself (2nd Evicted, 19 Days
592493	60714	Computer Voice
592493	93223	Librarian
592494	386546	Bank Trauma Counsellor
592495	385218	Herself
592496	287164	
592497	7826	Jenny
592497	72120	
592497	128727	Girl in Hallway
592497	141250	
592497	142378	Ally
592497	191372	Eve Black
592497	314131	Melissa
592497	363478	Wendy/Teresa Lazarre
592497	366269	Mary
592497	411802	Veronica Rodriguez/Sarah Rodr
592498	41071	Lorena
592499	342871	Cas
592500	37480	Party Girl #6
592500	55625	Cora
592500	81320	Nurse 2
592500	385824	Cathy Breton (1979-1980)
592501	63832	Clara
592503	368853	Second Girl in Park
592504	11091	Camilla
592504	19810	Miki Manson
592504	72494	Natalie
592504	82742	Selena
592504	98904	
592504	173467	Tanya Sloveig
592504	198979	Cynthia Marks
592504	225801	[eon] (2002)  The Ghost
592504	253628	Curare
592504	273077	Lilith Silver
592504	285031	Repression
592504	294391	Velislava
592504	321261	Stripogram
592504	366754	Raven
592504	400516	Dancer
592505	326521	
592506	158358	IRA Woman
592506	195771	Person at the Paris Opening
592507	57929	Eva's Friend
592508	31930	Nellie Brown
592508	45673	
592508	48028	Evelyn Ames
592508	70808	
592508	112899	Ruth Downing
592508	124736	Sophie Fullgarney
592508	157168	
592508	192231	Betty Hall, the little rowdy
592508	288469	Anne Vance
592508	299766	Hazel
592508	304025	Honey
592508	304027	Honey
592508	304028	Honey
592508	315312	Snatcher Nell
592508	327867	
592508	365273	
592509	31594	
592510	16127	Lorrie
592510	34387	Ginnie Mae Cooper
592510	39692	Bullets' girlfriend
592510	61830	Terry
592510	81335	Joanne
592510	158312	Barbara
592510	214937	Gail Kornberg
592510	222737	Carol Banding
592510	235067	Ruth
592510	283426	Lorraine
592510	313185	
592510	343189	
592510	383385	Shelley Granger (aka Kelly Ha
592510	403720	Ms. Kate Adler
592510	410987	Ann Barnes
592511	148416	Melanie
592512	129118	Hippy Girl
592512	267650	Dancer
592513	58826	Herself
592514	304076	Herself
592515	191098	Dancer 'Eat the Music'
592516	5522	Helen
592516	20275	Mary
592516	20292	Helen Van Acker
592516	39798	Leona
592516	54956	
592516	82037	Louise Nolan
592516	91235	
592516	116575	French Woman (modern sequence
592516	133674	Mrs. Hooper
592516	143052	Lucie
592516	186809	Dot Derrickson
592516	193648	Nannette
592516	206412	Blanche Fountain Duxbury
592516	213269	
592516	234786	Anna Larson
592516	235076	
592516	251213	
592516	264057	
592516	267587	Helen Grant
592516	282057	
592516	301841	Helen
592516	313370	Maizie
592516	326477	Polly
592516	327994	
592516	340906	Hilda
592516	342982	Marda
592516	361622	Patricia Daily
592516	367655	
592517	163611	Herself
592518	9370	Giselle
592518	66668	
592519	245099	Shelley
592519	273480	Student
592519	298119	Goofy Reporter
592519	359753	Maureen (Maid)
592519	390180	Dementia #2
592521	338268	Lena
592522	283664	Mrs. Granger
592523	73675	News Reporter
592524	385653	Sheila
592525	74006	Impressionable Woman
592526	34911	
592526	381661	Hill's Angel (1980)
592527	47172	Herself
592527	47173	Presenter
592527	182371	Narrator
592527	228302	Presenter
592527	302625	Co-Presenter
592527	311703	Presenter
592527	381099	Host
592527	384171	Presenter
592527	388027	Presenter (2001-2002)
592527	391885	Presenter (Series 2) (2003)
592527	405444	Presenter (2000-)
592527	405663	Presenter (2002-2003)
592527	406731	Host
592528	309133	Vocalist
592529	900	Herself
592529	1480	Herself - Presenter
592529	5152	Dr. Marcia Lyons
592529	16753	Merilee
592529	24701	Ann
592529	25191	Evelyn Stiller
592529	35232	Ms. Davis
592529	50975	Mae Peterson
592529	52004	Det. Mary Beth Lacey
592529	52005	Mary Beth Lacey
592529	52007	Mary Beth Lacey
592529	52008	Mary Beth Lacey
592529	57492	Herself
592529	57668	Herself
592529	63176	Alice Henderson
592529	67553	Dolores
592529	67618	Dorothea McNally
592529	84133	Narrator
592529	87343	Herself
592529	101278	Insp. Kate Moore
592529	101722	Jean
592529	105704	Goldie Judge
592529	107100	Dollie Madison
592529	117715	Dr. Archer
592529	133630	Catherine Ellis
592529	139616	Herself
592529	141557	Jean Carson
592529	151779	Sally Bixton
592529	157965	Anne
592529	161193	Herself
592529	161293	Herself
592529	161342	Herself
592529	161373	Herself
592529	161415	Karen Renshaw
592529	168460	Hilary
592529	175548	Herself
592529	176506	Joanna Goodman
592529	184898	Nancy Hockworth
592529	185714	Mary Ellen
592529	186477	Dr. Guttmacher
592529	203483	Susie Datweiler
592529	208054	Donna
592529	220519	Nancy Derman
592529	240905	Brunhilde 'Hildy' Esterhazy
592529	252924	Elanie Podaras
592529	255424	Aunt Aurelia
592529	257520	Journalist
592529	289683	Kathryn Messenger
592529	302108	Arnita
592529	310796	Niffty Nolan
592529	317312	Sylvia Cass
592529	327093	Dorothy Putterman
592529	331597	Shelley
592529	339596	Sarah
592529	346226	Anne Cunningham
592529	354189	Ellen
592529	360688	Joan Delano
592529	367916	Adele
592529	372876	Karen
592529	375847	Alice Bloomfield
592529	383183	Det. Mary Beth Lacey
592529	384178	Alice Henderson
592529	393828	Maxine Gray
592529	395284	Lucy
592530	52425	Employment Agent
592531	6952	
592531	11181	Bathing Model
592531	30922	Maria Dorango
592531	32912	Mimi
592531	41142	Gachi
592531	41219	Kate
592531	52062	Female theater attendant
592531	59614	Lola Dean
592531	72703	Baby Sandy, grown-up
592531	113907	Divorcee
592531	115256	Angel
592531	117170	Buckley's girlfriend
592531	124701	Carmelita
592531	132681	
592531	148931	Fifi LaRue
592531	148949	Hat Check Girl
592531	154481	Olga
592531	183650	Pearl
592531	195874	Attorney's Wife
592531	215592	Diana
592531	215862	Russian Girl
592531	224674	Dolores Fernandez
592531	224739	Marjory
592531	224810	Carla von Molter
592531	241531	Ataf
592531	263941	Dalya, Carmelita's Friend
592531	269319	Dolly DeVoe
592531	292330	Linda (Nazi headquarters rece
592531	304320	Innis Clair
592531	305855	Sandra Hasso
592531	306595	Garter Girl
592531	308594	
592531	317822	Judy
592531	337468	
592531	338819	Flashy girl
592531	356256	Portuguese Girl
592531	358031	Cleo
592532	2361	Maria
592532	23818	Madame de Brignolles
592532	61423	BCBG's Mother
592532	73140	Greffière
592532	84677	La mère morte
592532	87961	
592532	218276	Bernadette Maindront
592532	268400	
592532	277726	
592532	386021	Nathalie
592532	390470	
592533	9937	Carla Valmeda
592534	48028	Edith Sinclair
592534	112899	Dorothea Westbrooke
592535	71713	Bank Lizzie
592535	86226	
592536	83982	Chorus #4
592536	143537	Townswoman
592536	151039	Mrs. Geisen
592537	13990	Girlfriend
592538	405209	Nurse Beanie Brown (1999-2000
592539	332940	
592540	305004	Pige
592541	310228	Simone
592542	78508	Herself (segment "Rhythm")
592543	11769	
592544	238644	Fleur-de-Soufre
592545	106103	
592545	187411	
592545	240975	
592547	256220	
592547	346364	Sonja
592548	282928	Bar Manager
592549	9550	
592549	99804	
592549	168366	Minah
592549	252813	Asiah
592550	5800	
592550	379361	(2000-2001)
592550	395900	Iro's mother
592550	402344	Lambros' mother
592550	406690	
592551	15079	La mère de Jean-Louis
592551	33626	
592551	41838	La dame dans le train
592551	58409	Madame Dubois
592551	63929	Sidonie
592551	66078	
592551	66214	Lucienne Salmon
592551	83264	
592551	88837	
592551	100431	Marie
592551	101203	Julienne
592551	102003	Mme Cabassol
592551	106988	Mrs. Collignon
592551	108206	Mme. Lefort
592551	111037	Celeste
592551	111039	
592551	111689	Pépette
592551	134605	Madame Volpi
592551	137222	Concierge
592551	139360	Mrs. Costa
592551	148647	Malcolm's Mother
592551	148676	Bank employee
592551	160206	Madeleine
592551	184054	Monique
592551	200938	Concierge
592551	201183	
592551	208811	Fernande Cormat
592551	211668	
592551	217691	Micheline
592551	220266	Annou
592551	225531	Maurice's mother
592551	236550	Adèle
592551	248717	Lucette
592551	249061	La mère de Nathalie
592551	269143	
592551	272257	La mère
592551	272262	
592551	274803	Une dame
592551	278707	La femme généreuse
592551	286316	Mireille
592551	294550	
592551	324616	
592551	327549	Une cliente
592551	330681	Grandmother
592551	336962	Annie
592551	336985	Guillemette
592551	337032	La vieille dame épanouie
592551	345286	La mère d'André
592551	346755	La serveuse Jacqueline
592551	371537	
592551	376909	Marie Rose
592551	377472	
592551	377903	La mère
592551	378063	
592551	384216	Mme Regime
592551	384288	Yvonne Azemard
592551	385683	Lazarie Beauval
592551	388160	Norine
592551	408719	Marie Calce
592551	410074	La paysanne
592552	7140	Pat Robinson
592552	41300	Yyalah
592552	72374	Helen Carpenter
592552	122020	Pat Robinson
592552	133442	Angelique
592552	183872	First Aid Woman
592552	220312	Pat Robinson
592552	233567	Mrs. Henderson
592552	254875	
592552	317353	Rachel Burton
592552	378627	The Secretary
592553	23886	Beate, Comtesse
592553	124892	Kirsten
592553	125229	Gerti
592554	15288	Margit Rameau
592554	33167	Dolores
592554	55085	
592554	93479	
592554	103184	
592554	124616	
592554	129699	
592554	132546	Brissards Modell
592554	161979	Jacqueline
592554	172354	Franzi Stiglmaier
592554	182739	
592554	225165	Anny Prechtl
592554	233188	
592554	253926	Renate
592554	279071	Lilo
592554	286052	Marcella
592554	289350	Linda
592554	290122	Dancer
592554	290473	Topsy Müller
592554	301040	Gertie
592554	306406	Ninette
592554	321828	Eva Bell
592554	322362	Rose
592554	322500	
592554	322713	Brigitte
592554	324691	Nicolle Ferrar, Stieftochter
592554	326058	Patricia
592554	361132	Liesel
592554	369170	
592554	375975	
592555	25825	
592555	129055	Miriam's Druze Friend
592556	258746	
592557	46388	Sol
592557	113980	Estella Sanchez
592557	212524	Rachel
592557	221043	Det. Beatrice
592557	235603	Renalda
592557	264427	
592557	311977	Juanita
592557	328594	
592557	334645	Teresa
592557	340775	Maria
592558	53316	Annette
592558	295881	Christine
592559	108959	Nuin-Tara
592560	393711	Herself/Pres. C.M. Leiria
592560	393712	Herself/Pres. C.M. Leiria (20
592560	409183	Herself/C.M. Leiria (2002)
592561	93176	Falconis' Daughter
592561	123280	Airline Hostess
592561	128246	Girl #3
592561	185415	
592561	315718	
592562	150973	Nettie
592563	131069	Golfo
592564	380089	Sueli
592565	185635	Angela
592566	162533	
592566	234238	Karen
592567	93176	Faith
592568	59216	
592568	118421	
592568	284227	
592568	308309	
592569	150998	Little Soraya
592570	87414	Monic Vitti
592571	36292	Mandodhari
592572	210326	Herself
592572	270936	Mona Kallgren
592572	397394	Herself
592573	219523	Kaatje Langendries
592573	377489	
592574	289650	
592575	142935	2nd Lt Rathlin
592576	195154	Charlotte de Savoie, femme de
592577	302304	Lucie
592578	380985	Azamet
592578	381050	
592579	209503	Mrs. Gobineau
592580	14145	Victoria
592580	64849	Moochie
592580	79202	Children's Hour Actress #1
592580	237031	Ensemble
592580	302150	Pink Fax Lady
592580	401020	Pashmina Girl
592580	406712	Abbey
592581	171728	Herself
592581	387952	Herself
592582	8866	
592582	18567	Grootmoeder
592582	32557	
592582	57546	
592582	102647	Annie
592582	203449	Victors tante
592582	205509	Grandma
592582	231672	
592582	284511	Mother
592582	394438	
592582	400294	Jonge vrouw (1993)
592582	407884	Gusta Bosmans
592583	93986	Gina
592584	64845	Mrs. Dealtry
592584	109061	Mrs. Temperley
592584	114190	Elaine Armstrong
592584	115146	Mrs. Finch
592584	144934	Mrs. Cunningham-Smith
592584	156455	
592584	184344	Lady Maydew
592584	221165	
592584	245177	Lady Brassard
592584	261507	
592584	333511	Mrs. Drake
592584	359486	
592585	224508	Marge Spear
592586	232024	Susan Collins
592587	160050	Maria's Neighbour
592588	293082	Student in Acting Class
592589	404502	Erica
592590	7204	Zwanet
592590	18347	Therese
592590	92095	Aerobics Instructor
592590	99222	voice Eline
592590	170968	Stewardess
592590	187049	Janna
592590	259167	
592590	311139	Vera
592590	325280	Marloes Olaf
592590	382017	Marijke
592590	383003	Mary Meier
592590	394285	Joke Speier (2004-)
592590	403856	Cornine Stading (2002; recurr
592590	406498	
592591	236972	Snowflake
592592	138325	Sara
592593	67224	
592593	133053	
592593	138516	Suzy
592593	211139	
592593	320426	
592594	382264	Herself
592594	404722	Herself
592595	213185	Katie
592596	132267	
592596	227594	La 'Marseillaise'
592596	227596	La 'Marsellaise'
592596	235710	La mendiante
592596	253213	Woman of the People
592596	307227	
592596	341370	
592596	343568	La Femme Lasse
592596	388700	Herself - Host (1994-1997)
592596	403142	Herself - Host
592597	347675	
592599	380669	Victoire Ernemont
592600	139062	Dominatrix
592601	70624	Mujer Federación 5
592601	163966	
592602	57969	
592602	104643	Nurse
592603	380365	Sandrine
592604	64772	Donatella (Woman on roller sk
592604	138432	
592604	189394	
592604	213393	The Landlady
592604	234763	Allegra
592604	251613	
592604	354233	Miriam
592605	19224	Andrea
592606	108873	
592607	17665	
592608	60120	
592608	61089	
592608	274900	
592608	344446	
592610	100971	
592611	148333	Additional Voice
592612	238448	Handmaiden
592613	394037	
592614	104835	
592615	60142	Periodista
592616	408313	
592617	397007	Matylda Pawelczyk
592617	398897	Karolina Brzozowska
592617	411904	Matylda Rogulska, Ula's schoo
592618	25095	L'experte en politique
592618	43772	
592618	46008	
592618	71835	
592618	87901	Dany
592618	112890	Margo
592618	183036	
592618	217692	
592618	251067	Mado
592618	282298	Françoise Lesponne
592618	350099	Doctor's wife
592618	371410	Denise
592618	379841	
592618	380410	Rosalina
592618	384031	Lisette
592618	384287	
592619	10371	
592619	12043	Marguerite
592619	19749	Marinette
592619	20068	
592619	23803	Biscotte, la confidente de Ka
592619	34072	La vieille dame
592619	37781	Nanny
592619	73165	La grand-mère
592619	101457	
592619	103198	La femme sèche
592619	104222	La concierge
592619	105818	Birgitte
592619	111092	Mme Dormoy
592619	143500	Old woman
592619	169345	
592619	203945	
592619	220492	
592619	254016	La grand-mère du Grand Claus
592619	260034	Mme Blum
592619	268385	
592619	329863	
592619	338020	Wanda's Mother
592619	339501	Ethel
592619	345357	Une vieille dame
592619	345395	
592619	356515	Marie-Jeanne
592619	377696	Une comédienne
592619	389005	
592619	399785	Mme Marie
592619	401972	
592619	407811	Mme Arnolf
592620	342332	Health Teacher
592622	389784	
592623	268448	
592625	70211	Nadine Freelock
592626	33864	
592626	76813	
592626	163177	Beth
592626	173251	
592626	220826	
592627	148141	Cafébazin
592628	117839	Kimmy Archer
592629	53641	
592630	51414	Madame Bollin
592631	615	
592631	46668	Rosalie
592631	46835	Camila (La Perichole)
592631	71174	
592631	84919	Diane Corday
592631	93078	Herself
592631	100060	Riquette
592631	103176	Edwige
592631	111849	Lilian
592631	112421	Felice
592631	112853	Henriette Villedieu
592631	116959	Herself - arriving celebrity 
592631	120244	Mrs. Alva Sangrito
592631	120336	Bella Morro
592631	125120	
592631	130937	
592631	130973	Goldie LaFarge
592631	203400	
592631	207680	Marta Molnar
592631	240432	Annette
592631	256579	Cameo appearance
592631	268390	
592631	268971	Laura Murdock
592631	269386	Nadya
592631	276183	Lady Edith Travers
592631	289408	
592631	311122	
592631	330810	Germaine
592631	346519	
592631	346604	
592631	357125	
592631	367441	Julie Whitcomb
592632	262980	Herself
592632	263830	Emilia Baldomero Cano
592632	384400	Ana María Londoño de San Pedr
592632	402152	Emilia Baldomero Cano
592633	13162	Paulina
592634	322643	Teodora
592635	275225	Fæseline
592636	142341	Candice
592636	355157	School Teacher
592637	371272	
592638	328141	
592639	173420	
592640	122214	Tom's Dance Partner
592641	391294	
592643	362689	Bianca Lockart
592644	125017	
592644	168432	
592644	210000	
592644	226285	
592644	237724	
592644	275178	Madlyn Sapierska
592645	66650	
592645	311354	Hilde
592645	379318	Sarah Martin
592646	265824	Ginger
592646	371692	
592646	383483	Mariela's mom
592647	156040	
592648	330405	(segment "The Box")
592649	14393	Gypsy
592651	356919	
592652	299691	Girl in Karate School
592653	12244	Mallory Child
592654	52141	Adelaide Adams
592654	114283	Gloria
592654	120272	Martha
592654	126742	Mary
592654	137392	Herself
592654	151537	Natalle
592654	213209	Diane Sotherland
592654	235440	Sheila
592654	298091	Gayle Bainbridge
592654	364313	Hazel Anderson
592654	405769	Mary Campbell
592654	410735	Cassie Parker (1984-1986)
592655	263626	Pauline
592656	207099	Lt. Storch
592657	182292	Carnival partner
592659	147661	Herself
592660	13090	
592660	204587	
592660	287495	
592661	390180	Dementia #1/Sugar (1986-1988)
592661	402020	Sasha The Russian
592662	376084	Aunt Philomena
592664	81776	Marianne Duclos
592664	81880	Leila
592664	91573	Kim
592664	105407	Samantha
592664	107144	
592664	116971	Bartender
592664	124554	Head nurse
592664	157240	Local newscaster
592664	178921	
592664	210469	Chungmi Kong
592664	311037	Lab tour guide
592664	340901	Chloe
592664	355212	Woman with Video Camera
592665	89321	Stephanie's Mother
592666	11440	French girl
592667	160993	
592668	39298	
592668	321032	
592669	196702	Silvia
592669	318261	Ramona Montiel
592670	377940	Aloès
592671	18843	
592672	400992	Korina Stergiou
592673	24051	Kleines Maedchen
592674	22651	Paula, 2nd Grade Student
592674	64842	Susan
592674	82460	Little Girl
592674	220427	Crying Child
592674	314169	J.P. Mitchell
592674	321339	Little Girl
592675	54550	Elsa
592675	54584	
592675	190195	
592676	389117	Herself - Clairvoyant
592676	412218	Herself - Clairvoyant (2001-2
592677	20148	Najade
592677	374134	Queen of the Night
592678	6377	
592678	170292	
592678	205644	
592678	283129	
592678	345131	Ballerine
592679	132792	La seconde nurse
592680	373726	Girl 1 in laundrette
592681	121567	Dorthe
592681	128721	
592682	244681	Sille
592683	96455	Herself
592683	209328	Venus i pels i 1932
592684	44519	Læge
592684	135770	Lærer
592684	153402	Carmens Mor
592684	396151	Ulla
592684	399507	Fru Fiffig-Jørgensen
592684	399512	Miss Fornøjelse/Fru Fiffig-Jø
592685	272230	Stewardess
592686	306599	Tanya
592687	212334	Herself - Participant/Perform
592688	335072	Dame Brown
592689	50965	Maykata na Aleksandrov
592689	86832	
592689	273708	
592689	294594	Vera
592689	349084	Yordanka
592689	373743	Maria
592690	49475	
592691	103565	
592692	126614	Stewardess II
592692	344652	Local Sinner
592693	159290	Camille
592693	165322	Jamila
592693	349713	
592694	103472	Sarmisegetuza
592695	252687	
592696	185057	
592697	99249	Giannetta
592697	196006	Giannetta
592698	9177	
592698	13601	Okugata
592698	144435	
592698	174461	Kazuo's mother
592698	174948	
592698	194025	Haru Matsukata Reischauer
592698	229964	Nurse
592698	244515	Hisako (Izumi's aunt)
592698	244536	Masako
592698	293558	
592698	293606	YasukoTanaka
592698	300142	
592698	358118	Nobu Koda
592698	370705	Natsuko
592698	390083	Baroness Aiko Onnodera
592699	78592	Dolma, wife
592700	86455	
592701	84122	Nirasalu
592701	115535	Stewardess
592701	176708	Chunhyang
592701	246923	Hat Check Girl
592701	311249	Laja
592701	312837	Loi Yan Wu
592701	359266	Yung Chi Thomas
592702	83527	
592704	104695	Herself
592705	8757	
592705	77313	
592705	373060	
592705	375631	
592706	121119	Zhao Huiming
592707	9276	Osugi
592707	21345	Ayako
592707	32331	
592707	49716	Mariko
592707	61065	Oharu aka Kin Sun Ho
592707	63542	Okaru
592707	76875	
592707	76877	Mieko Nakajima
592707	76879	Junko
592707	76880	
592707	76882	
592707	76894	
592707	123272	
592707	123473	
592707	127857	
592707	127859	
592707	127861	
592707	137041	
592707	137044	Bus Conductor
592707	138051	
592707	138099	
592707	149098	Kanako
592707	155501	
592707	167549	Saeko Higa
592707	167795	Sakura Ueno, 3rd Daughter
592707	169266	
592707	173060	
592707	175364	
592707	176617	Toriko Hideyama
592707	178311	
592707	179348	Yuriko, her daughter
592707	179464	
592707	180255	
592707	181985	
592707	181988	
592707	223305	
592707	233112	
592707	233123	Mammaru, the geisha
592707	233124	
592707	234920	
592707	239211	
592707	241266	Punch
592707	242128	Junko Inchihashi
592707	242131	
592707	242200	
592707	242362	Punch
592707	242363	
592707	242364	
592707	243322	
592707	286872	
592707	288186	
592707	288187	Konami
592707	288192	Eiko Yamanaka
592707	288193	
592707	288194	Eiko Yamanaka
592707	288656	Keiko Tsurumaki
592707	294547	
592707	296631	Matsuura
592707	296632	
592707	296634	
592707	296638	
592707	296639	
592707	296642	
592707	298863	
592707	298958	
592707	308437	
592707	309395	Kiyoko Saito
592707	317757	
592707	334871	Sayoko
592707	334938	
592707	334960	Mary, Bar Girl
592707	341255	Chidori, Mutsuta's daughter
592707	341284	
592707	358397	
592707	358399	
592707	370300	
592707	370308	
592707	375589	
592707	375596	Konami
592707	375598	
592707	375603	Matsuura
592707	375604	
592707	375606	
592707	375610	
592707	375613	
592707	375638	
592708	200536	
592709	128062	Interviewer
592710	11699	Sue Bayliss
592710	104745	Irish entry (1st place)
592710	115509	Sheila
592710	136179	Mrs. Nilsson
592710	147240	Irish entry
592710	154379	
592710	171578	Morsan
592710	225670	Frosja
592710	238093	
592710	268697	Woman agent
592710	315570	
592710	357775	Brita
592710	383831	Herself
592710	385816	
592710	393599	Herself (eliminated round 2)
592710	410281	Fru Olsson
592711	286327	La voisine
592712	110027	Samantha
592712	338003	
592712	345368	
592712	385408	Herself/Columnist (2004-)
592713	63275	Betty
592713	79388	Tina Cryder
592713	101064	Petra Stockmann
592713	113852	Virginia
592713	158608	Theresa the Bank Teller
592713	160556	Nun
592713	170618	
592713	208065	Ada Purdy
592713	218091	Cameo appearance
592713	229213	Carol
592713	244393	Louise Dole
592713	245998	
592713	260387	Receptionist
592713	271342	Ada Purdy
592713	368932	Donna Compere
592713	391091	Dr. Sandy Clifton
592713	404897	Phyllis (1970-1972)
592714	43711	La stip-teaseuse
592714	276013	
592715	299463	
592716	51590	
592716	144604	
592716	362763	
592717	2380	Mrs. Alice Evans
592717	14485	Emma Caswell
592717	26460	Miss Vernon, Teacher
592717	44759	Mary Bottomly
592717	59099	Mother Joseph
592717	107006	Narrator (segment "Gift from 
592717	124496	Mrs. Fowler
592717	134694	Mrs. Renfrew
592717	177674	Mrs. Blair
592717	235618	Joyce
592717	236870	Celia O'Brien
592717	259777	Mrs. Ford
592717	299663	Charlotte DeVoe, Faith's Moth
592717	307863	Agnes Hirsh
592717	336000	Mrs. Kramer
592717	365424	Mrs. Nell Buckman
592717	365824	Anne Fry
592717	379224	Abigail
592717	380391	Sylvie Kosloff (1979-1980)
592717	385580	
592717	404939	Mrs. Gold
592718	367792	
592719	367792	
592720	221287	Old Woman
592721	53263	Thomas Jefferson Grant Jr
592721	68818	Nathalie, as a child
592721	76549	Lorrie
592721	109535	Toodles
592721	116714	Muriel Schuyler
592721	117765	Muriel
592721	137210	David Junior
592721	213601	Girl
592721	301257	Belle, as a girl
592721	303969	Baby Carlson
592721	319228	Algernon Aloysius Fitzmaurice
592721	319275	Algernon Aloysius Fitzmaurice
592721	358975	Rosemary Moreland
592721	363851	Peroxide
592722	324371	Destroyed Future Inhabitant
592723	254	Secretaresse
592723	165631	
592724	324371	Destroyed Future Inhabitant
592725	80570	
592725	105076	House Burning Victim
592725	139243	The Medivert Female Voiceover
592725	392430	Hibiki Amawa (Female)
592726	221737	Mujer de taberna
592727	6833	
592727	9831	Patricia Smith (Patsy)
592727	12339	Ruth Ambrose
592727	21480	Pandora La Croix
592727	32239	Connie Du Bois
592727	37553	Juanita Calles
592727	40110	Flossie Golden
592727	40663	
592727	41835	June
592727	46314	Ruth Bowman
592727	46548	Katie O'Doone
592727	50291	Herself
592727	50487	
592727	58865	
592727	61732	Fifty-Fifty Mamie
592727	61835	
592727	62769	Marcia Meadows
592727	62981	
592727	64104	Connie McGill
592727	66822	Minnie Cohen
592727	71344	Darya
592727	73447	Miss Emmy Lou
592727	78156	Eliza
592727	90281	Helen Blake
592727	107998	Madelon MacTavish
592727	114614	Ruth
592727	115910	Echo
592727	115911	Barbara North
592727	118047	Eleanor Butterworth
592727	118438	Vi Marchmont
592727	124473	Eve/Evelyn
592727	128537	Unity Beaumont/Priscilla Beau
592727	129208	Gladiola Bain
592727	130048	Ameia
592727	130608	Annice Paisch
592727	133696	Minette Bunker
592727	141165	Molly O'Hara
592727	143095	Mary Bishop
592727	147633	Cameo appearance
592727	148357	Barbara Page
592727	148358	Madge Joy
592727	151058	Dolores Edgerton
592727	151325	
592727	155246	Marie O'Neill
592727	157960	Ann Clemance
592727	159982	Ruth Travers
592727	170616	Clytie Whitmore
592727	180423	Kitty Kelly
592727	183578	Lakshima
592727	187713	
592727	190290	Zoe Roberts
592727	190465	Tangletop
592727	194441	
592727	195706	Mary Duffy
592727	197679	Mary Murdock
592727	207693	Jane Morgan
592727	211634	Sally Montague, 'Flips'
592727	212975	Happy O'Brien, The Microbe
592727	217444	Molly
592727	219554	Jane Anderson
592727	228641	Nanette Pearson
592727	229212	Shirley Holmes
592727	234587	Martha Mason
592727	238640	Ardita Farnam
592727	240472	Eleanor Thurston
592727	241733	Bobbie Walsh
592727	242052	Nita
592727	242489	Thére'se Duverne
592727	242926	Mary Willard
592727	249121	Jeanne
592727	257970	Muriel Ashley
592727	261028	
592727	267368	Sorrentina Palombra
592727	277008	Joline Hofer
592727	277978	Sally Castleton
592727	282038	Rosie O'Grady
592727	282296	Norah MacPherson
592727	286378	Salvation Jane
592727	288434	Diana Ardway
592727	291317	Herself
592727	293211	Diana Webster
592727	300103	The Pirate Number' and 'Meet 
592727	301658	Scadsza
592727	304653	
592727	306739	Babs Van Buren
592727	307858	Patricia Morley
592727	329398	Molly Kelly
592727	329940	Rosa Moreland
592727	330176	Katherine
592727	330554	
592727	331228	Dorothea
592727	343129	Jean/Jane
592727	360603	Judith Sylvester
592727	364168	
592727	365368	Marie, the Girl
592727	365887	O-Riu
592727	366031	Audrey Graham
592727	366082	Rouletta Kirby
592727	391836	Herself
592728	10819	
592728	224192	Kristie
592729	297671	Office Assistant
592730	318204	Mary Agnes Clark, Sudie's bes
592731	207254	
592731	293811	
592732	261358	Karakachankata
592733	84478	
592733	163901	
592733	164090	
592733	226190	
592733	265015	
592733	275268	
592733	284458	Rusata gostenka
592733	302984	Margarita
592733	324427	Kaeva
592733	337222	Partiyniyat sekretar
592733	373213	
592734	325741	Kammersaengerin
592735	211226	Yvonne
592736	100168	
592737	71143	
592738	254982	
592739	236155	Morgan Pierce
592740	59131	
592740	84635	Fanny
592740	144301	
592740	340950	Hotel Langlois chambermaid
592742	59921	Princess Sonia
592743	86702	Herself
592744	177145	Jen
592745	113975	
592746	171399	Herself (JT's band)
592747	186649	Herself
592747	339351	Reporter at Pen
592747	349022	Anchorwoman
592747	367588	Milwaukee Female Anchor #2
592748	34113	Herself
592748	393379	Herself
592749	313880	
592749	381167	Alla
592750	151188	Kitty
592750	229259	Mrs. Whitty
592750	395180	Mrs. Jones
592751	196372	Office #3 typist
592751	273717	Estate Agent
592751	307513	Legal Secretary
592752	80285	Herself
592754	107159	Dancer
592756	48558	Themselves
592756	195957	Themselves
592757	81425	Debora Grosman
592757	96603	Marta Nowicka
592757	104542	Lo
592757	129757	Magda
592757	179708	
592757	238180	Pielêgniarka
592757	267008	Krysia
592757	286746	Anka
592757	320611	Helena
592757	325373	
592757	328985	Gosia
592757	369351	
592757	387414	Beata
592757	398897	Weronika Wilk
592757	402755	Agnieszka Piotrowska
592757	404500	Gosia
592757	405313	Iza, Jacek's wife
592757	406881	Magda Król
592757	412076	Daria
592758	118525	
592759	115322	Wife
592760	317293	Vatza
592761	217292	The Woman
592762	335472	
592763	214537	Tour Guide
592764	72055	
592764	92680	
592764	158877	L'hôtesse du 'Plazza'
592765	244410	
592766	63774	
592766	336311	Arrogant girl
592767	259600	
592768	19451	Woman in purple 1
592768	66863	Isadora (B)
592768	208746	
592768	318117	Mulher 1
592768	385504	Patrícia
592769	28375	Patient
592769	57825	
592769	57832	
592769	96528	
592769	96542	
592769	163695	
592769	234507	
592769	313179	The Patient
592770	68387	
592771	177693	
592771	191747	Nurse
592772	161599	Herself
592773	149497	
592773	244964	
592774	57541	Mme Ignazia
592774	77422	
592774	85616	Mme. Jacquet
592774	222717	
592774	260918	Denise
592774	263722	Voice of Monica
592774	343580	Jeanne
592774	380502	
592774	382584	
592774	386251	Mme Bramaire
592774	387174	Gabrielle
592774	390876	Julie 'Baronne' Maynotte
592774	396597	Mme Barbizet (segment "Un pla
592774	398033	Chante Lilas (1973-1975)
592774	401972	Julia Juzeur
592774	402577	
592775	23698	Mireille
592775	68701	
592775	122133	
592775	129636	
592775	218312	
592775	224873	
592775	256610	
592775	278307	
592775	280871	
592775	351005	
592775	377062	La maharanée
592776	283038	La vieille
592777	101950	Une élève du Conservatoire
592778	182873	
592779	104051	Gréte
592779	394977	
592779	399860	
592779	412078	
592780	81147	Woman at Gas Station
592781	22065	Herself
592781	70504	Herself
592781	78477	Herself (performing 'På træk'
592781	78480	Herself (performing 'Piano')
592781	78486	Herself (performing 'Casanova
592781	78491	Herself - Choir
592782	240105	Women In Hospital
592783	397920	Indian Woman
592784	41175	Mary
592784	189242	
592785	304200	Skrållan Malm
592785	334041	Skrållan
592785	334042	Skrållan Malm
592785	407260	Skrållan (episodes 4-12)
592786	365942	Arliyia Rupesindhe
592787	387068	Tachita
592788	380428	Herself
592788	382706	Herself - Presenter
592788	382710	Herself - Newsreader (1988-19
592788	384084	Herself - Presenter
592788	385240	Herself - Presenter (1995-199
592788	391778	Presenter (1992-1999)
592788	400246	Herself (newsreader) (1993-19
592790	18567	Danseres Toyota
592791	816	
592791	43991	
592791	82727	Psychiatrist
592791	102129	
592791	127987	
592791	162146	
592791	188200	Fisherman's Wife
592791	239355	
592791	240082	
592791	243888	
592791	248038	
592791	259187	
592791	296514	
592791	309571	
592791	312616	
592791	312617	
592791	321167	Sister Mathilde
592791	337529	
592791	379015	Octavia
592791	379680	
592791	380769	
592791	380819	Mariora
592791	393051	Despina
592791	395090	Virna Drakou
592791	395381	Eleni
592791	400757	Marmo Pantheou
592792	74786	Mlodka
592792	266541	Nadia
592792	290070	Nuisa Horowitz
592793	212761	
592794	285757	Yvette
592795	80241	
592796	231768	Bit part
592797	23210	Singer
592797	36839	Member of the Dandridge Siste
592797	47007	Jane Richards
592797	55218	Carmen Jones
592797	79736	Performer in the 'All God's C
592797	81627	Mahia, Wife of Pete the Cook
592797	94142	Malimi
592797	97131	
592797	118374	Helen Fielding
592797	130360	
592797	138877	
592797	139448	Ann Carpenter
592797	146751	Herself - Count Basie Band Si
592797	162208	Member of The Dandridge Siste
592797	162838	Margot Seaton
592797	163220	Dandridge Sisters Act
592797	163523	Herself
592797	183650	Felice
592797	190500	Herself
592797	196963	Hollyhock School Maid
592797	217514	Gianna
592797	222691	Norma Sherman
592797	231962	Sal, Shadrach's Girl
592797	255881	Herself at The Tavern
592797	260628	Bess
592797	274447	
592797	275391	Herself
592797	277844	Congoroo
592797	302467	Officer's Wife
592797	305380	Herself
592797	318933	Specialty act
592797	319061	Kipsang's Bride
592797	324149	Aiche, Mistress
592797	325155	Melmendi, Queen of the Ashuba
592797	326400	
592798	137521	Alyx Vance
592799	20549	Maybelle, Parkson's Maid
592799	51642	Mrs. Kelso
592799	53324	
592799	66301	Mammy
592799	70997	Hyacinth
592799	80587	Hyacinth
592799	109842	
592799	123137	Sarah
592799	130978	Grandmother
592799	139937	Ophelia
592799	147484	Sally
592799	148280	Devoria
592799	154182	Mammy, in the Show
592799	160361	
592799	170856	Rheba
592799	183418	Nellie
592799	210429	Ruby
592799	213237	Mrs. Lingley
592799	224421	Della
592799	230302	Daisy
592799	231909	Maid
592799	288208	Turbaned Vendor
592799	291340	Geranium, Radio show characte
592799	301869	
592799	324745	Dabby
592799	331439	Mammy
592799	333779	Violet, Tish's Maid
592799	381803	Oriole (1952-1953)
592800	36839	Member of the Dandridge Siste
592800	47007	Miss Nelson, Schoolteacher
592800	66301	So White
592800	154695	Melisse
592800	162208	Member of The Dandridge Siste
592800	163220	Dandridge Sisters Act
592801	7468	Micky
592801	33555	Severine as a child
592802	6411	Juliette
592802	15025	Brigitte
592802	15105	Joséphine de Beauharnais
592802	23798	Isabelle Ducotel
592802	51067	Lady Caroline
592802	64274	Yvonne
592802	76170	Magali
592802	91756	Lisette
592802	110215	Madeleine
592802	122402	La gérante du magasin
592802	124326	Judith
592802	133065	Joséphine
592802	205217	Véra
592802	206507	Mme Trochu
592802	208481	
592802	228202	La patronne du bar
592802	232931	Mme Robin
592802	248888	Madame Moriante
592802	303334	The mother/La mère
592802	327892	Aunt Adele
592802	345119	Irma
592802	354243	Yvonne Bourjeon
592802	384212	Maryse
592802	389271	Cécile Pradel-Rambert (segmen
592802	394379	Martine
592802	407211	Sylvie
592802	409805	Nicole
592803	388939	Joaninha
592804	59220	Julie
592804	112551	Nicole
592804	115330	Marie-France Lamontagne
592804	171324	
592804	268309	
592805	275157	
592806	4689	
592806	11358	
592806	13879	
592806	20258	
592806	34628	
592806	39610	
592806	44180	
592806	49906	
592806	50551	
592806	51869	
592806	52363	
592806	56553	
592806	60779	
592806	69589	
592806	81772	
592806	81861	
592806	83619	
592806	88887	
592806	102740	
592806	121535	
592806	123832	
592806	128472	
592806	139265	
592806	144568	
592806	147842	
592806	158972	
592806	177714	
592806	188044	
592806	197737	
592806	213049	Hula Dancer
592806	224848	
592806	233703	
592806	253617	
592806	289378	
592806	293746	
592806	300520	
592806	306030	
592806	306738	
592806	307918	
592806	316731	
592806	319892	
592806	343050	
592806	353270	
592806	353695	
592806	354797	
592806	363413	
592807	55681	Stout Woman
592807	55683	Lady in low-cut dress
592807	55697	Female instructor
592807	55706	Emily
592807	55719	Busti
592807	71133	Sandy
592807	72911	Whore
592807	90378	Masseuse
592807	164336	Betsy
592807	252848	
592807	348518	Mrs Knowles
592807	362472	Busti
592807	366118	Lexy
592807	386604	Nella Somers
592807	397402	Nefertiti Skupinski
592807	399726	Beryl (1974)
592808	277222	
592809	58507	Harriet
592809	163492	Dr. Morrell
592809	220059	Jeff & Kate's Friend #4
592809	232294	Theresa
592809	317451	Hostess
592810	315490	Bonnie
592811	243381	Donna della coppia
592812	150853	Laura
592813	183753	Mary
592813	307712	Meter Cop
592815	823	
592816	50897	
592817	204576	Girl Hostage
592818	136509	Mazeppa
592819	301678	Hospital Staff
592820	33892	La mère de Ben
592820	56388	
592820	85692	Une carmélite
592820	91787	La maman de François
592820	96164	
592820	135428	
592820	254317	Françoise
592820	377729	Ginette
592820	379595	Madame
592821	6940	
592822	362390	Angela
592823	175834	
592823	191032	Clara
592823	400121	
592824	343951	
592825	33188	
592825	320941	
592826	217785	Pornopige #1
592827	231794	Azucena
592827	281905	Singer in 'Romeo and Juliet'
592828	20012	Sally
592828	132765	Mida King, Stage Name of Beul
592828	139275	Shirley
592828	154182	Suretta Brenton
592828	154916	Blonde in Elevator
592828	168262	Iris March
592828	168681	Garnet
592828	190062	Jennitt Hicks
592828	235215	Jean Avery
592828	253501	
592828	278607	Lucette Brunswick
592828	279376	Handmaiden
592828	308155	Crystal McRegan
592828	375045	Ziegfeld Girl
592829	125900	Wardrobe Woman
592829	262799	Maid
592830	102795	
592831	89084	Luella
592832	329537	Marie Latour, maid
592833	182303	Margit Alm
592833	192647	Pregnant girl
592834	64950	Aurore
592834	80276	Cécile
592834	120979	Sonia
592834	135343	
592834	279066	Chloé
592834	390491	Anne-Charlotte
592834	402654	Arlette
592836	295396	Anna
592837	336036	Adeli
592838	378907	Herself - Numerolog (2002-200
592838	400390	Herself - Numerolog
592839	358045	Mutter Aeschbacher/Mother Aes
592840	5124	Gastls Großmutter
592840	5601	Grandma
592840	17443	Empfangsdame
592840	115439	Mary
592840	116421	Kümmerlein
592840	119146	Frau Holle
592840	125328	Mutter Hirsch
592840	129322	
592840	165640	Clara Hülsenbeck
592840	183216	Gabrielle Racton
592840	186394	Jeanne Vandeau
592840	188848	
592840	205772	
592840	208098	Dr. med Spühler
592840	216534	Kätter Ambach
592840	259449	Frau Kröpelin
592840	259520	Frau Mauser
592840	259541	
592840	293549	
592840	311834	Lieschen
592840	352262	Frau Fiedler
592840	358045	Frau Hofmann
592840	361417	
592840	364877	
592840	364881	Great-Grandmother
592840	380577	
592841	325433	
592842	177125	
592844	254978	Cathy Cole
592845	23793	Gisèle Montagne
592845	112890	
592845	338716	
592846	182576	My
592847	94924	
592848	79566	
592849	55259	
592849	193225	
592849	393187	Amanda
592849	395487	
592849	404995	Señora Amanda
592849	405871	Carla
592850	166565	Singer
592851	88533	Dudette
592852	98047	Salon Dame
592852	107813	Extra
592852	147190	
592852	356353	Helga von Horstmann
592853	1462	Herself
592853	2940	Herself
592853	7592	Herself
592853	47423	Alice Marano
592853	93341	
592853	148255	Kitt Larson
592853	150790	Julia Vaughan
592853	151625	Young Glady Jo Cleary
592853	154453	Daisy/Young Nana
592853	155949	Sookie Sapperstein
592853	155950	Herself
592853	160313	Herself
592853	163496	Elena
592853	192413	Beth March
592853	216240	Cosette
592853	216782	Julie Barnes
592853	218219	San, The Princess Mononoke
592853	253723	Lisa
592853	259360	Hala
592853	267648	
592853	270912	Girl at Seminar
592853	271287	Kelly Riker
592853	281150	Juliet
592853	299789	Mirabelle Buttersfield
592853	312767	Maria
592853	328280	Kate Brewster
592853	328281	Kate Brewster
592853	328282	Kate Brewster
592853	334175	Rachel Lewis
592853	343864	Jenny
592853	395601	Katie Leiter
592853	398735	Angela Chase (1994-1995)
592854	35451	
592854	67593	Receptionist
592854	152942	Tracy
592854	177284	Woman #2
592854	209683	Fan #1
592854	306785	Nan
592854	372806	Sue
592854	389356	Dolly
592855	349848	
592856	26289	Cloak Room Attendant
592856	60253	Rhonda Apple
592856	67559	Cathleen Calvert
592856	67570	Trish Fairbanks
592856	67581	Molly
592856	67596	Vanessa Barsini
592856	67618	Geraldine Ferguson
592856	101033	Helen
592856	108086	Lucia
592856	140399	Kristy Potter
592856	168586	Shelby's Wife
592856	183357	Eva
592856	196100	
592856	214092	Bunny Wahl
592856	230963	Doyle's Girl in Major Chord
592856	278855	Vicki
592856	310425	Christine Shannon
592856	345650	Letty
592856	364390	HOney Mack
592856	372876	
592856	379164	Luana
592856	407110	Connie Piscipoli
592857	28375	
592857	213324	Dwarf
592858	335255	
592859	322575	Jeanette
592860	268228	
592861	222191	
592862	34120	
592862	81343	Della
592862	114099	Woman on Step #1
592862	124056	Augusta
592862	255442	Woman in Stairwell
592862	261986	Poor Woman
592862	281769	Mrs. Washington
592862	283548	Maid
592862	411780	Helen
592863	10317	Picketer #1
592864	234270	Enfant de l'asile
592866	268203	
592867	95870	
592868	360881	Connie
592869	11354	Leslie
592869	67380	Merle
592869	80057	Duty Nurse
592869	154200	Esther Maitland
592869	248489	Catherine Dowling
592869	379165	Fiona Hollander
592870	234984	Maria Pruitt
592871	39157	Model
592872	367083	Astronaut (Wizard Film)
592873	176989	Reporter #2
592874	69342	Sonia
592874	354246	The Venus
592875	335023	Josi Skiernitzki
592876	194687	Girl at Pet Store
592877	74480	Singer, N.L.F.
592878	27339	Helena
592878	98659	Bit part
592878	103292	Elena Chavez
592878	157117	
592878	169817	Rosita
592878	185774	Fabi
592878	253915	Indian
592878	372731	Maria Amora
592878	379318	Mrs. Harman, the School Teach
592878	388983	Sister Ana (1967-1970)
592878	393424	Raya/Carmen Alonso
592878	402245	Indian
592878	402454	Additional Voices
592878	411802	Mrs. Martinez (1997, 1999, 20
592879	196320	SDS Teenager
592880	44343	Djevica Zla #3
592881	364628	
592882	159885	Mrs. Millington
592883	153241	
592883	282417	Fille François
592884	6305	Frances, the Mail Lady
592884	30992	Mayor Branson
592884	31346	Kelly
592884	84399	Mrs. Sullivan
592884	89256	Anabelle Crump
592884	91767	Dana Jansen
592884	131717	Ursula Minsky
592884	139498	Judge Wilson
592884	141643	Waittress
592884	158318	Beth Bryant
592884	176303	Babbs
592884	194682	Seenie
592884	229860	Beth
592884	233782	Brooke
592884	247491	Glenda
592884	304691	Liquor Store Lady
592884	311517	Mary Ellen Norton
592884	345612	
592885	242001	The Landlady
592886	40064	Luanne
592886	128707	Convict
592886	189101	Cora Charlesworth
592887	21452	Mrs. Twentyman
592888	15211	The child
592888	44140	
592888	282344	The Girl
592888	306813	The Child
592888	363136	The Child
592889	26407	
592890	363668	Paloma
592891	45831	Usherette
592891	67577	Mrs Weatherford
592891	74204	Miriam Shelling
592891	114392	Bag Lady
592891	117086	
592891	131731	Mrs. Estelle Morgenweiss
592891	143832	Mrs. Havacheck
592891	149107	Saleslady
592891	176778	Miss Petrus
592891	186261	Irene
592891	195043	
592891	204034	Mira Crane
592891	222460	Elvira
592891	252454	Blonde Mother
592891	260387	Nurse
592891	263172	DMV Supervisor
592891	305159	Franny
592891	308071	Barbara Slater
592891	314631	Dowager
592891	387340	Additional Voices
592891	389858	Madame Maia Montebello (1995)
592892	328850	La mère
592893	278904	
592894	291206	Matron
592895	241009	
592895	267860	
592896	299669	Couple
592897	1417	Herself
592897	15026	Liliane
592897	17718	Lina
592897	32509	Herself
592897	58933	L'amie d'Hélène ("Fiancés de 
592897	65380	Rézy Lambrook
592897	65529	La grande bourgeoise
592897	73621	Une prostituée
592897	82507	
592897	93714	
592897	94239	Lou Wand
592897	112807	Martine
592897	164157	Dressmaker
592897	184784	
592897	191293	Néfertiti, la mère
592897	218248	La serveuse
592897	236505	Liliane
592897	264226	Léa
592897	269521	Odette
592897	281315	
592897	282781	Pierre
592897	303141	En personne
592897	341696	Françoise
592897	345395	Joëlle
592897	346417	Loulou
592897	354825	La mère d'Eva
592897	355883	Herself/Liliane
592897	376999	Cécile
592897	384789	(1989-1990)
592897	385858	Herself
592898	129200	Herself
592899	293353	Teresa
592900	239970	
592901	57962	
592901	94718	Pia Martelli
592901	322574	Clelia, sorella di Mario
592902	344764	Jocasta
592903	1965	Daphne
592903	63836	Maria Luisa
592903	248649	
592903	281255	Elena
592903	289648	
592904	342009	Carolyn
592905	155760	
592905	314914	
592906	285864	Wife of factory owner
592907	294566	(segment "Luxure, La")
592908	185530	Herself (young Republican)
592909	84439	Girl at car
592909	131760	Mike's Ex-Girlfriend #5
592909	290378	Concert Goer
592910	162874	Tutok
592911	341019	Road Works Labourer
592913	325872	
592913	377343	Judith Martin
592913	377344	Judith Martin
592913	377349	Judith Martin
592913	377350	Judith Martin
592913	389250	Anna Janda
592914	935	Brynn
592914	30686	Blinkie
592914	66096	Jenny
592914	145413	Samantha Stone
592914	168238	Brandy
592914	240529	Cindy Evers
592914	274584	Herself
592914	308779	Rachel
592914	363780	Megan Vandergeld
592914	407139	Mila Rosnovsky
592914	407162	Jessica Wakefield
592914	407930	Sophia
592915	108743	Ruth
592915	249448	Mãe
592915	381198	Mara
592915	381328	Ciça
592915	384137	Dália
592915	385184	Lourdes de Castro
592915	385853	Sheila Maria
592915	385876	Eleonora
592915	392747	Lavinha
592915	398500	Shirley (1998-1999)
592915	400902	Malu
592915	402593	Cozette
592915	403618	Marlene
592916	13404	Maria Ulof
592917	196031	Woman
592918	384614	Herself
592919	129439	Breakdancer
592920	30686	Winkie
592920	407162	Elizabeth 'Liz' Wakefield
592921	104244	
592921	132744	
592921	175677	Riquette
592921	370105	
592922	224813	Waitress in Arcade Diner
592923	276968	Marge
592924	35637	Janice
592924	35650	
592925	178641	Gusti
592925	179840	Reserl
592925	186958	
592925	189586	Moni
592926	77728	Christine's mother
592926	261564	Pineview woman
592927	5271	Dorotea
592927	12972	
592927	14810	
592927	28212	
592927	48829	
592927	55974	Ana
592927	57463	Albertina
592927	57912	
592927	59259	
592927	63950	The Bride
592927	67701	
592927	67954	
592927	71342	
592927	121978	Hija
592927	132476	Graciela Aliaga
592927	158850	
592927	162764	
592927	170947	
592927	197465	
592927	204594	Laura Lavigne
592927	217558	
592927	236001	
592927	266508	
592927	280877	Francisca
592927	344124	
592927	353204	
592927	353616	
592927	402301	Delia
592928	328625	Elisa
592929	321261	Moonbeam
592930	11864	Heike Jentsch
592930	52632	Karin Schmidt
592930	111348	Heike Schröder
592930	123949	Kathi
592930	129701	Frauke Jensen
592930	147160	Jule Schmitt
592930	155404	Isa Freytag
592930	175287	Bianca
592930	177181	
592930	178636	Verena
592930	214041	Katja
592930	219285	Eva
592930	281752	Jenny Fairburn
592930	284113	Dr. Ariane Kellerman
592930	290774	Barbara
592930	302479	Mala
592930	310892	Hanna Schmidt
592930	312875	Silke Lachmann
592930	334013	Gina Sturhahn
592930	334616	Ann-Carla
592930	343688	Jenny
592930	348680	Nina
592930	366483	Rebecca
592930	384393	Leni
592930	389359	Corinna Hagen (1996)
592930	408334	Gina Sturhahn
592931	74430	
592932	397262	Margarita
592933	23750	Une pensionnaire de la Maison
592934	167200	
592935	66183	Mary Lane
592935	66660	Diana Carfax
592935	178121	Marianne Harcourt
592935	189529	Jill Aonderson
592935	195751	Woman Singer
592935	206370	Barbara Blair
592935	276033	Valerie Spalding
592935	276883	Beth Lindley
592935	304763	Anne Romilly
592935	310829	Liz
592935	318247	Lady Eden
592935	369185	Mrs. Linton
592935	381308	Dolly Varden
592935	381327	Charlotte McIntyre
592935	392461	
592935	396668	Carol Vyner
592936	382657	Mom (2002-2003)
592937	106492	
592938	91646	Doug's girl
592938	380592	
592939	93849	
592939	375423	
592940	248117	Moze's Girlfriend
592941	288738	Vampirette Waitress
592942	56065	
592942	104500	Madame Telma
592942	381328	Grandmother
592942	382690	
592942	388998	Maria
592942	391901	Conchita
592942	401086	
592942	401460	
592942	402626	Olga
592942	404798	
592942	404814	
592942	410476	Mariana
592943	395489	Chris
592944	188533	Misa
592946	169545	Crowd/Atmosphere
592947	330199	Honesty
592948	5932	Arab servant
592948	157129	Suzanne, Rose's Maid
592948	372093	French Maid
592949	309597	Nurse #2
592950	125661	
592951	223466	
592952	56618	Council Officer
592952	130094	Radio Announcer
592952	137562	Dr. Frances Needham
592952	137568	Frances
592952	159943	Mon Ryan's Secretary
592952	358466	Telemarketer
592952	399130	Ruth Wilson (1987)/Chloe Lamb
592953	55196	Mercédès
592954	362347	NOW Comics Staffer
592955	174790	Die Schwiegermutter
592955	180721	Darjuscha
592955	290182	Innkeeper's Wife
592955	322535	Frau Grose
592956	398083	
592957	357592	Patricia Bergh
592958	30218	
592958	31600	Mrs. Du Pont
592958	49257	Jess Haviland
592958	72226	Molly X
592958	96977	Laura
592958	118439	Mrs. McDowell
592958	190202	Milly Hollister
592958	239796	
592958	241267	Ruth Torrence
592958	269049	Minette, the manicurist
592958	302925	Valeria Vincent
592958	331147	Fannie Dering
592958	372645	Janet
592960	54334	
592960	150049	
592960	198429	
592960	270425	
592960	336316	
592960	392597	Various characters
592961	387305	Suor Teresa
592962	184209	Alvard
592963	35709	Surgery Receptionist
592964	383448	Tiziana (14 ep. "Fisico Perfe
592964	390497	Herself (2nd Edition)
592965	67025	
592965	99787	
592965	221942	
592965	252048	
592965	296150	
592966	13452	Young Serena
592967	103818	Wilma
592968	217701	Madame Pichard
592969	14759	Olga
592969	290000	
592969	327452	The waitress
592969	348134	
592970	57316	Countess Louise Valance
592970	68427	
592970	119075	Gabrielle De Roux
592970	300778	Herself (segment "Emma Daniel
592970	304473	La moglie di Lucio
592970	311062	Geneviève
592970	311065	Grace
592970	335501	
592970	344637	Virginia Morgan
592970	349538	Franca Ricci
592970	386742	Vera Davis
592971	28966	Maria
592971	30720	Ersilia Lucarelli (segment "S
592971	52835	Maria
592971	55485	
592971	68780	
592971	70747	
592971	71447	La moglie di Bellavista
592971	83771	Grandmother
592971	104476	
592971	109980	Una emigrante
592971	111299	Fravulella
592971	112926	
592971	162071	The Principal
592971	197342	Carmela
592971	197620	Nana
592971	198904	Carmelina Jasiello
592971	232895	Gesummina
592971	236806	Anna
592971	246177	
592971	252679	
592971	286396	
592971	328205	
592971	338633	Anna
592971	342129	Isotta
592972	106818	
592972	184968	La cameriera della casa Rossi
592972	206029	
592972	269074	
592972	301381	Un' altra figlia del professo
592972	315815	Maria
592972	351842	Alice
592973	14382	
592973	69270	(in Italian version)
592974	194066	Herself (Group Project for Ho
592975	65189	Tourist's Wife
592975	230693	Lingerie Model
592975	247143	Girl at Pool
592975	299463	
592976	8301	
592976	11493	
592976	26530	
592976	39152	
592976	41965	
592976	41979	
592976	41987	Sue
592976	42746	
592976	43521	Annoucer 1
592976	44143	
592976	49321	
592976	52267	
592976	54928	
592976	56092	
592976	56298	
592976	60280	Danielle
592976	61321	
592976	67066	
592976	78249	
592976	78252	
592976	78253	
592976	87246	
592976	87327	
592976	92456	
592976	98839	Birthday girl
592976	98859	Herself
592976	101008	
592976	102742	
592976	106103	
592976	108803	
592976	110554	
592976	114945	
592976	115295	
592976	115323	Edna's Friend
592976	116565	Tryout at Adeliade
592976	117453	
592976	128767	Bad to the Bone
592976	128855	
592976	128856	
592976	128857	
592976	128859	
592976	131445	
592976	132298	
592976	132302	
592976	140338	
592976	150339	
592976	150402	
592976	154145	Herself
592976	154743	
592976	158974	
592976	160337	
592976	171280	
592976	173219	
592976	173927	
592976	174497	
592976	186746	
592976	187412	Herself
592976	190977	
592976	192126	
592976	195511	
592976	197795	
592976	197801	
592976	197862	
592976	198508	
592976	199002	
592976	204993	a model
592976	212030	
592976	216802	Trudy
592976	221542	
592976	224302	
592976	224364	Francine
592976	225180	
592976	229806	
592976	242063	Herself
592976	243116	
592976	243119	
592976	243120	
592976	247185	
592976	249578	
592976	252982	Feminist
592976	253459	
592976	260713	
592976	260714	
592976	271831	
592976	289538	
592976	295688	
592976	295707	
592976	312611	
592976	316506	
592976	318676	
592976	320995	
592976	320999	
592976	321042	
592976	321178	
592976	321314	
592976	331767	
592976	337382	
592976	346898	
592976	348825	
592976	358074	Herself
592976	361887	
592976	361912	
592976	364577	
592976	366829	The New Girl
592976	367688	
592976	367910	
592976	368322	
592976	369476	Herself
592976	372664	
592976	405984	(Co-Historian, USC)
592977	265819	Hoon
592977	386339	Irate Student
592978	407369	Emi
592979	399816	Sally Fielding Finlayson (197
592980	157023	Beach Beauty
592981	222687	Prostitute
592982	281451	Lisa
592983	281451	Lisa
592984	43606	P.R. Assistant
592984	196303	Female Inmate
592985	84806	Karen
592985	311037	Bone-ette
592985	411367	Bronco Billie
592986	383111	Herself/Panelist (Press)
592987	184467	
592988	331100	Dancer
592989	19545	Eastern Dancer
592989	45621	Kim
592989	55561	Natalie
592989	55698	Emmannuelle Prevert
592989	103277	Pilar
592989	115062	Serving Girl
592989	194028	Sue
592989	303030	Candice Rawlinson
592989	317327	Disco dancer
592989	340563	Maria
592989	365263	Girl at party
592989	393321	Lola Pagola
592990	796	
592990	32549	
592990	34739	
592990	36902	
592990	50350	
592990	127403	
592990	150050	Contestant #20
592990	150951	
592990	224358	Patient in a clip from Enema 
592990	266185	
592992	104331	
592992	260868	Daphne Stirling
592993	266461	Vlasta
592994	339308	Emilka
592995	61207	
592996	6906	Charteris's Secretary
592997	372618	Hatcheck girl
592998	282908	Rubin's Mom
592999	323963	
593000	163514	Woman
593000	208448	Valerie
593001	145136	
593002	8516	Agrippina
593002	108501	Minnie
593002	207974	Elisetta (soprano)
593003	242517	
593004	258550	Ellen
593004	385299	Gladys Downend
593005	2545	Dorothy 'Dot' Brock
593005	7482	Satan Synne
593005	10569	Gertie Jones, aka Marie
593005	11077	
593005	17699	
593005	19954	Miss Goulash
593005	20085	Consuelo Garcia
593005	22024	Switchboard operator
593005	22966	
593005	25469	
593005	26868	
593005	30605	
593005	31599	
593005	31882	
593005	32641	
593005	32685	
593005	37138	
593005	37966	
593005	38597	
593005	40831	
593005	46720	Bride
593005	48966	
593005	49490	Actress
593005	50925	
593005	53201	Patricia Mansfield
593005	54529	The Girl
593005	62686	
593005	64914	The Girl
593005	66171	
593005	68466	
593005	71537	Regina 'Rexy' Gordon
593005	71582	Miss Flighty
593005	72025	
593005	73939	Peggy Laurence
593005	77749	Junie Budd
593005	78114	Adele Clark
593005	78735	Alita Allen
593005	88241	Dixiana Caldwell
593005	90390	Bebe
593005	92953	
593005	94566	Teddy Simpson
593005	105332	Vice
593005	105641	Ronnie Rand
593005	110506	Barbara Manning
593005	112261	Kathleen O'Hara
593005	113938	
593005	115616	
593005	115618	
593005	116934	
593005	118439	Marjory Seaton
593005	123368	Inez Hastings
593005	129116	
593005	129418	Susan Branch
593005	130471	Miss Goulash
593005	133865	
593005	139547	Herself
593005	141133	
593005	141136	
593005	142556	
593005	142585	
593005	143567	
593005	143718	Mescal
593005	144390	
593005	144428	The Liberty Girl
593005	145835	Diane
593005	147633	Cameo appearance
593005	147804	Herself
593005	147805	Herself
593005	149154	Laura
593005	150248	Pat Clancy
593005	166077	
593005	171213	The Bride
593005	171415	
593005	178040	Ginette
593005	184229	
593005	186393	Marion Dorsey
593005	190274	Bebe Lyon
593005	193828	
593005	193829	
593005	193830	
593005	193831	
593005	193832	Moll
593005	193833	
593005	193834	
593005	193835	
593005	193836	
593005	193837	
593005	193838	
593005	193839	
593005	193840	
593005	193841	
593005	193842	
593005	194190	The Girl
593005	195524	Peggy
593005	196301	
593005	196455	Diana
593005	197234	
593005	197235	
593005	197236	
593005	197237	
593005	197239	
593005	197240	Maizie Nut
593005	197241	
593005	197242	
593005	197243	
593005	197244	
593005	197245	
593005	197246	
593005	197248	
593005	197249	
593005	197250	
593005	197251	
593005	197252	
593005	197253	
593005	197254	
593005	197255	
593005	197256	
593005	197257	
593005	197259	
593005	197260	
593005	197261	
593005	197262	The Girl
593005	197263	
593005	197264	The Girl
593005	197265	
593005	197266	
593005	197267	
593005	197268	
593005	197269	
593005	197270	
593005	198088	Herself
593005	202246	The king's favorite
593005	202536	Ruth Wonderly
593005	204278	Maria Maretti
593005	205093	
593005	205170	Lisbeth Ann Palmer
593005	215492	Colette Girard
593005	215497	Polly Brewster
593005	218256	Princess Henriette
593005	220511	
593005	223054	Diane De Valle
593005	224245	Miss Doree Macy
593005	227348	Nancy
593005	231403	Theodora (Teddy) Gloucester
593005	234788	
593005	235094	Val Hannon
593005	235601	
593005	238620	
593005	239037	Mary Barber
593005	240756	
593005	241852	Pauline Hathaway
593005	245633	
593005	245892	
593005	247138	Emily Bennett
593005	251210	
593005	251658	
593005	256116	
593005	256218	Lorraine Temple
593005	270634	
593005	271010	
593005	271223	
593005	271492	
593005	273181	Vivien Benton
593005	274924	Sylvia 'Ben' Benton
593005	276661	Carol Deane
593005	278488	The Leading Lady
593005	278606	Rita Ferguson
593005	291317	Herself
593005	291374	Herself
593005	291402	Herself
593005	296489	Senorita Francesca Hernandez
593005	297886	Young Nance
593005	297961	
593005	298068	Zaida
593005	300846	Nurse Durant
593005	301954	Lily Owens Martin
593005	302675	Bonita della Guerda
593005	302883	Barbara Stockley
593005	305042	Herself
593005	307007	
593005	308178	A Girl in Danger
593005	308677	Mitzi Hansen
593005	309922	Juanita/Dolores
593005	310752	Betty Lee
593005	311463	Jenny
593005	311969	
593005	314418	
593005	315323	
593005	315966	Julie McFadden
593005	321441	Alice Smith
593005	321542	
593005	323372	
593005	323424	Peggy Lane
593005	329851	
593005	333653	
593005	338740	May Hardy
593005	343205	Pansy O'Donnell/Marie La Tour
593005	343266	
593005	347030	Breta Banning
593005	356470	Zabette de Chavalons
593005	360442	
593005	362097	Dorothy Winston
593005	364550	Sally Clark
593005	364636	
593005	365541	Susan Van Dusen
593005	368021	Dorothy
593005	368435	
593005	368565	Corinne d'Alys
593005	372220	Rowena Patricia Jones
593005	372640	
593005	395584	
593006	177058	Miss Manners
593006	286894	Sally Wheeler
593006	334402	Dowager
593008	312384	
593009	69353	
593009	206232	Woman
593009	266623	Mrs. D'Sicca
593009	407934	Ruth Bauman #1 (1967-1969)
593010	311344	China
593010	404572	Kanami Yuta
593011	379132	Nubita (Chapter 2)
593012	162590	Mrs. Moses
593013	218398	Maggie Cooper
593014	230857	Sugar
593015	200282	Go Go Go Go Girl
593016	282390	
593017	131777	Snuff Girl
593018	212613	Julie Morgan
593019	29441	Irene Fortolla
593020	247990	
593020	300519	
593020	339604	
593021	161228	Herself (daughter)
593022	102850	
593022	221076	
593023	36919	
593023	36922	
593023	85173	Herself
593023	327782	
593024	350337	Nancy
593025	48013	Sweet-shop lady
593025	77435	Jane
593026	389141	Harriet
593027	35567	Long-legged Lizzie Dancer
593028	147974	Hutterite Woman
593029	26507	Sheila
593029	35575	
593029	49320	Tacky Girl #1
593029	57747	Nicaragua
593029	57994	Dove
593029	106008	Rachel Gold
593029	175479	Shawn's mother
593029	222670	Lizzy
593029	242515	Colanda Jones, the Ho
593029	245113	Tammy Wild
593029	249631	The Wife
593029	272020	Gina
593029	273395	The Chopper
593029	277541	Marty
593029	277581	Lily
593029	292155	
593029	300344	Jamie
593029	304493	Jill
593029	350205	
593030	223659	Aunt Eddie
593031	155901	Low Jinks
593032	128604	Model ("Summer Lust" Segment)
593033	185148	Judy
593034	59573	Herself
593034	61888	Medic #2
593034	87566	Lisa Johnson
593034	150863	Denise Willis
593034	241421	Maya Burson
593034	348894	Christine Davis
593034	362638	Gwen
593034	379201	Jenny
593034	390159	Herself (guest)
593034	392424	Herself
593034	395016	Dana Fairbanks
593035	101345	
593036	383698	Herself - Co-Anchor
593036	398243	Herself - Co-Anchor (1986-198
593036	408395	Herself - News Anchor (1991-1
593037	20643	
593038	291274	
593039	87905	
593040	278083	Herself
593041	63095	Eldora
593042	51855	Lady
593043	213262	Elizabeth Atkins
593044	398002	
593045	91961	Susan
593045	166917	Former Girlfriend
593045	217499	Danny
593045	252884	Robin
593045	305869	Tawny
593045	308122	Joanne
593045	387540	Diane
593045	405557	ACME Comedy Theatre
593046	363225	Dr. Dorothy Tuchner
593047	91929	Waitress
593048	297241	Carol Taggart
593048	362180	Girl Who Is Not Raped
593049	150943	
593050	305956	Tama's Mum
593051	32052	Fitness Club Lady
593051	73612	Didi
593051	202100	Hanna Richardson
593051	322755	Darcy
593052	65042	Woman
593052	306814	Dr. Vorn
593053	347200	Candy
593054	41197	Biker Barmaid
593055	84516	
593055	265171	Store Clerk #2
593056	391219	Anchor (2000-)
593057	254522	Female Masquerade Dancer
593058	224190	Waitress
593059	5879	
593059	16419	Woman
593059	123300	Ivette Rivage
593059	153281	Guest at Party
593059	203159	Mary Renihan
593059	241428	Perdita
593059	264189	Handmaiden
593059	321448	Matron at the Biswangers' Poo
593059	355054	Mary
593060	66861	Flower Lady
593060	185635	Rosa
593060	237779	Portuguese Maid #3
593060	404698	Michael's Gran
593061	342651	Sally Winfrey
593062	59470	Pitti-Sing
593062	334757	Mad Margaret/Edith Stanley/Pi
593063	121533	Amanda Taskin
593065	123240	Virginia
593066	206090	First Programme Seller
593067	93762	Faculty Sponsor
593067	153008	Bank CSR
593068	307902	Skinhead's Friend
593069	150073	Mrs. Spencer
593070	159012	Lover
593071	204576	Club Dancer
593072	222213	Mandy
593073	396501	Sae Sawanoguchi
593074	48075	Day Care Teacher
593074	117787	
593074	249559	Gigolo's fan
593074	289379	Sharon
593074	308084	Dancer #2
593076	343665	Lydia
593077	405209	Renee Black (1999)
593078	96684	
593079	103215	Kid on school bus
593080	204943	Pohia (Portia)
593082	266767	
593083	198745	Susan
593083	382838	Maria Benson (1991)
593084	385431	Host (1994-1995)
593085	69493	
593085	79366	
593085	145985	Mother
593085	271948	
593085	368375	Beth's Mother
593086	385301	Baby Holly Stocks (2002)
593087	154113	
593088	264256	
593089	245993	Woman Witness
593090	188388	Burnt Out Retreat Lawyer
593091	230857	Candace
593091	315889	Girl In Class
593092	219771	Rosabella
593093	14837	
593094	138716	Herself
593094	362348	Herself
593094	381740	Host
593094	381991	Host (2001- )
593094	383766	Herself - North Team
593094	390762	Host (2003-2004)
593094	396505	Presenter (1995-2003)
593094	396799	
593094	401799	Host
593094	405263	Herself
593094	410883	Let's Cook Presenter (1995-19
593094	411812	Judge (1999)
593096	72140	Joyce Gorman
593096	406120	Groom
593098	187048	Striker
593099	250546	Receptionist
593100	143240	Holly
593102	385541	Older Maggie Richardson
593102	400035	Amy
593102	403047	Staff Nurse
593103	195252	Tailor's Assistant
593104	11249	
593104	13408	Alice Dunning
593104	126027	
593104	126036	
593104	126048	
593104	126054	
593104	126073	
593104	126074	
593104	126076	
593104	126078	
593104	144815	
593104	147722	
593104	165483	Jane
593104	177432	
593104	183891	
593104	197270	
593104	239040	Mabel
593104	246180	Mary Jane, Eddie's Sweetheart
593104	292403	
593104	329497	
593104	329999	
593105	293082	Student in Acting Class
593105	332402	Angie
593106	209776	Cleo
593107	337821	Julie Farris
593108	309880	Lillie's 'niece'
593109	309880	Lillie's 'niece'
593111	138930	
593112	120310	Erna
593112	159685	Herself
593112	315836	
593113	127581	
593114	307504	Pige
593115	68869	Herself
593115	119459	Herself - Host
593115	119460	Herself - Host
593115	394831	Herself - Host
593115	395670	Herself - Host (2002-2003)
593115	395673	Herself - Host (1996)
593115	398250	Herself - Host (1997-1999)
593115	403724	Herself - Host (2000-2001)
593115	406219	Herself - Host (2004-)
593115	406223	Herself - Host (1988-?)
593115	409170	Herself - Host
593116	394188	Hanne
593117	33842	Unni
593117	40137	Mor i rettssal
593117	51036	Kaja Fosli
593117	304107	Eva Mørk, datter av Johannes
593117	389138	Fru Gottwald
593117	404785	Helge Seter
593117	405983	Lensmann Pettersen
593118	292662	Kristin
593119	268342	Mrs. Johansson
593120	53208	Usherette
593121	127325	Female Victim
593121	219638	Valerie Levitt
593121	231523	Destiny Charm
593121	245137	Kristi Larson
593121	360668	Nearsighted Model
593121	361540	
593122	40773	Young Female Addict
593122	56386	Newscaster
593122	308016	Lydia Kellerman
593122	389858	Dominique Stanton #2 (1991-19
593122	404282	Laken Lockridge #3 (1990-1991
593123	344975	Herself
593124	76733	Anna
593124	100477	
593124	182101	Alfhild
593124	237038	Carina
593124	320690	Dolores
593124	407124	Marianne
593125	134707	Lisa
593125	375867	Anna
593126	42216	Eva
593127	204548	Dagisbarn
593128	97865	Danielsson, Fanny
593128	108611	Herself
593128	261151	Lady on carousel
593129	275108	fru Hermelin
593130	104757	Swedish entry (8th place)
593130	104760	Swedish entry (3rd place)
593130	210341	Herself
593130	210343	Herself
593130	210344	Herself
593130	210345	Herself
593130	210346	Herself
593130	210348	Herself
593130	210355	Herself
593130	397395	Herself
593131	322840	Herself as Studiovärdinna
593132	354198	Herself
593133	30144	Anna-Lisa Olofsson
593134	16317	Eleanor
593134	75526	Janet Stacey
593134	77969	Marie
593134	130947	Wren Captain
593134	144845	Jackie Field
593134	145557	Jenny Hawthorn
593134	149224	Paula
593134	185727	Thelma
593134	190851	Lilli
593134	203193	Nurse Mitzi
593134	203599	Alma Weston
593134	213031	Anna
593134	242734	Lisa Durand (nurse)
593134	309960	Mme. Lorion
593134	316214	Diana Sawyer
593134	332768	Anna Ray
593134	335296	Hospital Nurse
593134	343213	Annette
593134	353363	Frieda Veldon
593134	360708	Lilli Marlene
593134	388788	Mary II
593134	392981	Diane Brady (1958-1960)
593135	140634	
593136	175973	Devil's assistant
593136	211224	Ira
593137	48122	Aunt Bice
593137	164902	
593137	273101	Madame Fra
593137	325619	
593137	410813	Hexi
593138	28492	
593138	147753	Sandy
593138	155921	Bag Lady
593138	208074	Receptionist
593138	263089	Miss Jessel
593139	282559	Roxanne
593140	73973	
593140	78765	Nun
593140	78770	Newscaster
593140	366020	Female Reporter
593141	83313	Mrs. Arseniev
593141	132111	
593141	180357	
593141	198174	
593141	309393	
593141	371001	
593142	235352	Margaret
593143	276240	Undead Stripper #2
593144	6205	
593144	122158	
593144	129337	
593144	219723	
593144	253631	Lyuba
593144	258613	
593144	258999	
593144	259805	
593144	349886	
593144	372025	
593144	373642	
593145	89818	
593146	326202	Colegiala
593147	301679	Extra
593148	10264	Vasilisa, a maid of Pskov
593148	45560	(segment "Pir v Zhirmunke")
593148	46101	Relative
593148	62356	
593148	95749	
593148	174923	
593148	219147	Nastya Khinkova
593148	219723	
593148	222349	
593148	246345	
593148	253639	
593148	261907	
593148	317296	
593148	339232	
593148	341040	
593148	349342	
593148	356124	
593148	373560	
593148	374765	
593149	310296	Dancer
593149	342009	Madame Dahkarova
593150	225970	Obrekarica
593150	340666	Stara zenica
593151	341332	
593152	379358	
593153	60729	Woman Guard
593154	255773	
593155	260744	Kalinka
593156	14305	
593156	60457	
593156	87952	
593156	94505	
593156	95747	
593156	121289	
593156	129972	
593156	174108	The Witch
593156	179724	
593156	181406	
593156	237965	
593156	257136	Olimpiada Andreyevna, a multi
593156	261900	
593156	284479	
593156	299423	
593156	323302	Pat
593156	350811	
593156	351024	
593156	356062	
593156	396605	Spectator
593156	397513	Varvara Sinichkina
593156	400500	
593156	402481	
593156	404218	
593156	411981	
593157	133346	Millworker
593157	167820	Russian Group #2
593157	233307	Russian Interpreter
593158	273136	
593158	333794	Jera
593158	349331	
593159	48764	
593160	155767	
593160	166646	Pevacica
593160	180665	
593160	261943	
593160	394813	
593161	216618	Ursula
593162	26373	Woman in cinema
593162	92018	Herself
593162	295998	Peter's Landlady
593162	319568	Party Guest
593163	181192	
593163	339283	
593165	51725	
593165	211657	Belle-mère Copine
593165	384434	
593166	129499	
593166	264525	Femme à Table
593166	384434	Sylviane Espitalier
593167	1889	Claire
593167	122422	
593167	300609	Mere de Lynne
593167	382574	Rita Bougon
593167	404364	Madame Olivier
593168	153859	
593169	236657	Sarah
593170	118434	Girl in the Street
593171	22074	
593172	393158	Dilfigar
593173	394585	Basia
593174	116581	
593174	171366	
593174	210685	
593174	252420	
593174	306794	
593175	400801	Michaël
593176	189306	
593178	21822	Miwa Arao
593179	51432	
593179	305232	
593179	375728	
593180	276708	Sasha Davidson
593181	234290	Natasja
593181	282727	Roza
593181	378614	Kleedster
593181	392674	Mickey (2000-)
593182	84264	Woman in Queue
593183	181168	
593184	79351	
593184	140676	Matron
593184	316672	Stunt Hostess
593185	343685	
593186	321515	Evey's School Friend
593187	357624	
593188	7347	Herself
593189	364777	Genny
593191	247571	In-Flight Video Attendant
593192	1338	Street Singer
593192	1378	Alexander's Sister
593193	223711	Intro Bridesmaid #2
593193	397175	Sara[h] James
593193	407162	Enid Rollins
593194	115421	
593194	224375	Anna Elliott
593195	93982	
593196	219020	Vera Rasmussen
593196	249743	Agentens ledsager
593198	398433	Host
593199	10813	Prim Woman
593200	170411	Coffee bar person
593200	224346	Football fan #3
593200	254522	Female Ensemble
593201	24694	Princess
593201	147612	Cheerleader
593202	131077	Lai Dut
593202	249743	Agentens ledsager
593202	297984	
593203	290456	Ulrike
593204	164778	Anna Österlind
593205	112188	Katie O'Brien
593206	390811	
593207	167661	Herself
593208	144171	Marta
593208	155399	Bea
593208	190747	Lila
593208	208165	Marion
593208	325713	Laura
593208	352573	Simone Dobalt
593208	406318	Jo
593209	111682	
593210	399437	Julie
593211	1210	Martha Wayles Skelton Jeffers
593211	1674	Herself
593211	2088	Beverly
593211	7581	Herself
593211	10670	Dorothy
593211	18028	Lydia
593211	19995	Anne Osborne
593211	26877	Rebecca Davitch
593211	47025	Kate
593211	52557	Paula Tobias
593211	67620	Janice Benedict
593211	71287	Mrs. Bradford
593211	71995	Mrs. Custer
593211	74008	Bonnie Von Stein
593211	92436	Janey Rausch
593211	97161	Alma Winemiller
593211	104521	Anna Christie
593211	106739	Zelda Fitzgerald
593211	109252	Irma Miller
593211	117522	Virginia
593211	122218	Tracy Ballard
593211	126033	Agnes Nolan Cohan
593211	126752	Lily
593211	133792	Lillian Meechum
593211	135572	Louise Jamison
593211	141517	Miss Trout
593211	142297	Anne Sullivan
593211	148003	Katherine Samuel
593211	152272	Izzy
593211	153190	Rain's mother
593211	157596	Ellen Wilcox
593211	160469	Margarete Speer
593211	161225	Herself
593211	161341	Narrator
593211	161891	Gail
593211	169939	Emmeline Guitry
593211	178177	
593211	186822	Elisa
593211	191017	Elizabeth Todd Edwards
593211	191046	Narrator
593211	195307	Eleanor Gehrig
593211	195813	Lillian MacFarquhar
593211	196527	Molly Taylor
593211	199148	Mrs. Banks
593211	203786	Sheila Beckwith
593211	206128	Other Voices
593211	209643	Dina Byrnes
593211	209658	Dina Byrnes
593211	218026	Jeannie
593211	220775	Grace Barron
593211	222752	Mrs. Murphy
593211	224935	Lena
593211	230340	Jane Mermelstein
593211	233676	Claudia's Mom
593211	239891	Bianca Honicut
593211	264075	Sallie Wingo
593211	265898	Syril Danning
593211	268909	Mary
593211	285726	Bee Bedloe
593211	289522	Rachel
593211	291837	Nina
593211	300918	Prudy Jenkins
593211	313754	Interview Subject
593211	321788	Aurelia Plath
593211	334114	Herself and other assorted ch
593211	334147	
593211	334205	Lily Frischer
593211	334385	Beatrice
593211	335586	Joan Barlow Maple
593211	337284	Ellen Levine
593211	358605	Grandma
593211	360483	Corinne Mulvaney
593211	369427	Jana Cassidy
593211	372148	Alice Sycamore
593211	378615	Izzy Huffstodt
593211	379222	Amanda Bonner
593211	383802	
593211	389416	Narrator (Episode 12)
593211	391234	Narrator
593211	402089	Dr. Harriet Lanning
593211	407610	Hillary Tattinger
593211	408093	Martha Jefferson
593212	26877	Young Rebecca
593212	67595	Rebecca
593212	108250	Gail Stein
593212	194976	Blair
593212	297894	
593212	397630	Jenny Nevins
593212	409585	Jamie Fuller
593213	32907	
593214	107924	Sally
593215	91305	
593215	151595	
593216	176275	
593217	397991	Herself (Seasons 4-5)
593218	397074	Regitze Varnæs (child)
593219	6403	A model
593219	12092	
593219	15888	
593219	29641	Sophie
593219	33156	
593219	55148	
593219	111850	
593219	125651	Katy Maartens
593219	142009	
593219	156691	
593219	178647	Birdie Hubbard
593219	189808	
593219	204454	
593219	227171	
593219	263823	Frau Graemlich
593219	273669	Anderlan's Sister
593219	289882	
593219	347647	Laura Austin
593219	358538	Herzogin
593219	374126	
593219	375169	
593219	394606	Marianne
593220	2430	
593220	93267	Anneline
593221	7846	Suzie
593222	155824	Housemother
593223	134923	La crémière
593224	43538	En gatepike
593224	109978	
593224	142772	Elise
593224	345999	Julia
593225	10103	Saly
593225	13054	
593225	13432	Queen Lara (segment "Amazon W
593225	20798	Betty
593225	31055	Saint-Exmin
593225	42020	A Prostitute
593225	42170	Elizabeth
593225	56727	Susan Khan
593225	58507	Ericka
593225	69137	Amy
593225	73815	Mother Canty
593225	77269	Lulu Palm
593225	85725	Jenny
593225	98057	Sybille
593225	98082	
593225	99871	
593225	104512	Angel
593225	116438	La secrétaire/Secretary
593225	118343	Eugenie
593225	127964	Brenda
593225	140264	
593225	143525	Ariadne
593225	151537	Charlotte
593225	151777	Stirba
593225	170418	Susan
593225	182954	Ruger
593225	189784	Diane
593225	202372	Contessa Luciana
593225	203633	Cynthia
593225	212025	Swiss girl skier
593225	216406	Halima
593225	232394	Monika Childs
593225	234282	Helena
593225	238017	
593225	243022	Georgetta
593225	247885	Ilona
593225	248540	
593225	254457	Alien Queen
593225	284519	Countess Alexandra Vogel
593225	285979	Lili Anders
593225	286478	Older Erica
593225	288754	Herself
593225	294521	Mary
593225	301094	Kriemhild
593225	324020	Bathing Beauty
593225	330258	Diane Stevens
593225	331526	Eugenie
593225	335214	Jade
593225	345869	Herself
593225	348687	
593226	78713	Roberta Simpson
593227	330457	
593228	19747	Louise
593228	51381	Marguerite de Bourgogne
593228	57543	Martine
593228	73165	Stella Diva
593228	96162	Préfontaine
593228	101164	
593228	107317	Antonia
593228	111272	Clarimonde
593228	117949	
593228	139287	
593228	153789	La chanteuse
593228	158832	Esther
593228	168716	Madeleine
593228	199724	
593228	200961	Rose
593228	205643	
593228	212150	Florence
593228	217221	Jacqueline
593228	226610	Gisou
593228	268443	Mastrilla
593228	284231	Vocals
593228	336979	Maïté Plantier
593228	339496	Margot
593228	377068	
593228	377963	
593228	381612	Clarisse (1970)
593228	383904	Herself
593228	387553	Paula
593228	389732	
593228	410139	Justine
593229	138716	Herself
593230	355980	Sadie Mae Cluck
593231	123040	Victoria
593231	187789	Vanessa
593231	234827	
593231	266365	Sally
593231	333416	
593232	20625	Extra
593233	97826	Janice Vickery
593234	182999	Sylvia Blitzer
593235	1348	Herself
593235	2010	Herself
593235	3593	Gretel Rae Washburn Cummings 
593235	3773	Self
593235	44759	
593235	142597	
593235	161227	Herself
593235	161252	Herself
593235	161311	Herself
593235	185694	Linda Collison
593235	232243	Secretary
593235	236880	Kamala
593235	253348	Sandra Drake
593235	270915	Margot Delefont
593235	293097	Aunt Ina
593235	296778	Rosalie Cutter
593235	308173	Television Producer
593235	313514	Charles' Wife
593235	335549	
593235	363161	Helene
593235	379716	Gretel Rae Washburn Cummings 
593235	380391	Airline clerk (1976)/Felicia 
593235	380713	Cynthia Haines (1981-1982)
593235	380853	Host
593235	389858	Gretel Rae Washburn Cummings 
593235	395603	Herself
593235	398169	Angela Montefusco Cooney
593235	400236	Gretel Rae Cummings (1978-198
593235	401930	Gretel Rae Washburn Cummings 
593235	406117	Herself
593236	298119	Dee Dee
593237	298119	Diva Model
593238	168496	Starland Vocal Band
593238	406425	
593239	163888	
593240	313583	Fan in Lobby
593241	96075	Aston
593242	16076	American Dream Waitress
593242	24686	Rosalie
593242	56989	
593242	64333	Herself (1995)
593242	68683	Natasha Grimaud, Ivanovich's 
593242	77390	
593242	102941	Françoise
593242	106286	La commandante
593242	118333	Evelyn
593242	121936	Kitty
593242	124968	Jessica
593242	125723	La prostituée
593242	125724	
593242	135859	President of the United State
593242	166370	Aphrodite
593242	353834	Alice
593242	353964	Noemie
593242	376998	Cathy
593242	388160	Pavie
593242	389242	Alberta Olivieri
593243	10555	Leslie
593243	31635	Kathleen
593243	41423	Celia
593243	49967	Julie
593243	59676	Karate Girl
593243	91554	French Girl
593243	137200	Annie
593243	156513	Young Laura
593243	206154	Girl #1
593243	214123	Patricia
593243	257445	
593243	308147	Lisa Porter
593243	313432	Faith Gage
593243	362597	Marla Christian
593243	362856	Jami
593243	363708	Lisa Smyths
593243	364372	Girl in Bar #1
593243	407613	Laurie Foster (Scorpio)
593244	89040	
593244	175714	Gabriela
593245	98647	
593245	343410	
593246	116483	
593246	128964	
593246	357040	
593247	85644	
593247	102352	
593248	373703	
593249	42422	Verushka
593249	43378	Disclaimer Cop
593249	117558	Mira
593249	158999	Russian newscaster
593249	159002	Russian Newscaster
593249	185255	Tatiana Obelenskaya
593250	367964	Extra
593251	1027	Ana Bachvarova
593252	144022	Katrin
593252	277674	Königin Isabel
593252	279003	
593253	123150	
593253	132664	Josefina
593253	263880	
593253	293000	
593253	380274	Ernestina
593253	390420	Rosario la Galana
593254	88058	
593255	17868	The Female Supervisor
593256	115639	Star Bar Dancer
593257	183209	Bokster
593258	302269	Club patron
593259	63122	Lollie Hockmeyer (grown)
593259	316269	Emma
593260	223085	Melody
593261	91745	
593262	398078	Lisa Fortunato jeune
593263	171324	
593263	220502	Mère Vincent
593264	353927	
593265	405984	UCDavis
593266	195739	Carol
593267	37857	PC Gemma Osbourne
593267	158286	Herself
593267	189993	Herself
593267	228303	Presenter
593267	313795	Madonna
593267	367854	Leanne Battersby/Tilsley
593267	379872	Samantha Docherty
593267	382052	PC Gemma Osbourne (2002-2003)
593267	384097	Paula (1995-1997)
593267	385019	Herself
593267	385020	Leanne Battersby/Tilsley (199
593267	389625	Eileen Critchley
593267	390485	Monica Jones (1997)
593267	391666	Betty Seagrim
593267	400561	Chas
593268	72065	Wedding Killer Listener
593269	406007	Bird, age 9
593270	7003	Fabria
593270	67733	Anne
593270	93751	Woman
593270	265265	Owl
593271	58472	
593271	177451	
593271	179421	Paige
593271	185704	Mary, Sister of Lazarus
593271	193204	Viv
593271	264048	
593271	289779	Estelle
593272	378108	Fichinha
593272	392747	Cecília
593272	402582	
593273	14729	Madalena Paz
593274	392510	Cecília
593275	272890	
593276	4514	
593276	8581	
593276	57342	
593276	377617	
593277	401087	Micaela
593277	404165	Fabiana
593278	386212	Otto's servant
593278	387732	Copeira
593278	388681	
593278	409814	
593278	410190	Vanda
593279	381906	Herself
593279	387952	Herself
593280	324889	Tarantella Dancer
593281	185111	Hooker
593281	313948	Blond in Net
593281	342662	Nancy
593283	20034	Eastern Tourist
593283	29388	
593283	81784	Lodge guest
593283	118272	Judy Widdell
593283	143429	Mrs. Saunders
593284	182948	Women's Army of Revolt/Citize
593284	188968	Cards, Jurors, and Courtiers
593284	267684	Citizens of New Orleans
593285	101511	Marie-Josèphe en 1966
593286	335965	Herself
593287	128913	
593287	167525	
593288	38903	
593288	39913	
593288	40183	
593288	70337	
593288	128913	
593288	159924	
593289	166664	
593289	307688	Mother of Disputed Child
593289	348196	Princess Anne
593290	215696	Miss Israel
593291	411605	Paquita (1995-1998)
593292	361694	Jennie
593293	384119	Inés Maza (1999)
593293	403021	Paula Ríos (2002)
593294	33742	One of 'The Thirty Women'
593294	203918	Rosie's Cousin
593294	370653	Herself
593296	110124	Alice
593297	169879	
593298	58507	Williamson
593299	64389	Betty
593299	202372	Lady Lillian Chamberlain
593299	264154	Topsy Short
593299	351604	Janet
593299	410847	Kate Andrews
593300	107057	
593300	167200	
593301	321141	
593302	159971	Contortionist
593303	395044	
593305	178976	Reporter
593305	370572	
593306	104440	Nadia Protoff
593307	305020	Advokatsekretær
593308	24721	
593308	28147	
593308	40262	Marguerite Desnoyers
593308	57292	
593308	63690	Marie-Laure
593308	64444	Mme. Nathalie Gaetan
593308	73628	Camille
593308	111366	La comtesse
593308	133000	La marquise de Badoul
593308	134381	
593308	169285	Mme de Cominges
593308	188846	
593308	205618	Madame de Bray
593308	214880	Mademoiselle Émilienne
593308	258212	
593308	258957	
593308	268414	Louise Noblet
593308	296081	Christina
593308	300695	Madame d'Epinay
593308	321801	La comtesse
593308	345259	
593308	345271	Liouba Grebinsky
593308	346792	
593308	376955	Madame Juliette
593309	56606	Red Queen Girl
593310	301022	Großmutter
593311	144406	
593312	69980	Julie
593312	201079	Nadine Noblet
593313	75298	Mrs. Brown
593315	90362	Housekeeper
593315	310178	
593316	16315	Coloma
593316	137699	
593317	137233	Mary Jenkins
593318	219523	Griet Langendries
593319	384386	Geneviève Sylvain
593320	24827	Herself
593321	8245	
593321	23746	
593321	30472	Une locataire
593321	42523	Nurse
593321	43649	
593321	44974	
593321	51948	
593321	55532	
593321	57231	
593321	59056	Woman I
593321	70589	Célestine
593321	84639	
593321	88837	
593321	95342	
593321	99653	
593321	101999	
593321	104246	
593321	105851	Drummer
593321	117101	Model
593321	126319	
593321	127458	
593321	127647	
593321	132794	L'épicière
593321	135961	
593321	148631	
593321	148749	
593321	153849	
593321	156558	
593321	157305	
593321	174036	
593321	193501	
593321	194598	
593321	199569	
593321	199944	La concierge
593321	214020	
593321	214882	
593321	237314	
593321	240637	Mme Dufour
593321	257212	(segment "La Maison Tellier")
593321	275634	La cliente au chien
593321	283034	
593321	309748	
593321	320007	
593321	338331	
593321	343564	
593321	354150	
593321	357858	
593321	379103	
593321	389004	Mme Migaud
593321	392580	La nourrice
593321	399396	
593321	400681	Une vieille dame
593321	401319	Mme Leroux mère
593322	393477	Herself
593323	10425	Sofie Hess
593323	76050	Jutka
593323	353698	Judit
593323	409099	Viki
593324	330177	Naked Lady
593325	403649	
593326	11461	Various
593327	224909	Ange-Aimée
593328	38531	Mother
593329	254774	Rattail
593330	16879	Leon's Mother
593330	32626	Sheila
593330	186261	Tenant Protestor
593330	232812	Dinner guest
593330	335799	Hoffman Look-Alike at TV Audi
593330	395788	Mrs. Greenthumbs (1997-2001)
593331	79761	Party Guest
593331	131372	Outsider
593332	172163	
593333	134778	Lilli
593333	162446	
593333	290122	
593333	308207	
593333	334635	Voice of Mercedes
593333	353992	
593333	393326	Pauli (voice: German version)
593333	404909	Puschel (voice: German versio
593334	90117	Nun
593335	65901	
593336	326280	Mother
593337	214191	Lucy Downtree
593337	253632	
593337	357225	
593338	63228	
593338	171137	
593338	294567	Ange #2
593338	346769	Claire
593338	371647	Yixizhuoma (Old)
593339	361178	Matron
593340	51984	Dina
593341	17048	Hairdresser
593342	218179	
593343	133121	Mom
593345	230126	Woman in park
593346	230126	Baby in park
593347	120509	Dr. Richter
593348	31156	Student
593348	326125	Girl at Bank
593349	144484	
593350	92486	Miss Finebum
593350	144956	Veronica
593350	149101	Sharon
593350	155277	Mrs. Gadd
593350	177903	Claire
593350	185252	Mary Black
593350	200353	Magda
593350	223739	Barbara 'Bo'
593350	228310	Jaguar Lady
593350	308978	Karen
593350	379344	Maya of Tarkon/Annie Oh/Mistw
593350	379716	Judy Barclay (1983-1984)
593350	380391	Glenda Toland (1974-1975)
593350	386603	Katy Whitney (1981-1982)
593350	391211	Character voices
593351	185831	
593352	390253	Book Reviewer (1989-1993)
593353	272766	
593354	71449	Lucia
593355	121732	Marcella
593356	188520	Alena
593356	268305	
593356	282766	
593357	180552	Awa
593357	218683	Alima Bâ
593358	69895	Life Support
593358	75766	Hotel clerk
593358	111068	Mercedes Lee
593358	113720	Reporter #1
593358	160418	(segment "My Cyberian Rhapsod
593358	195508	Madame Butterfly
593358	209824	Cabinet Aide
593358	267640	Fighter
593358	324953	Molly's mom
593358	394161	Pearl
593359	225379	Bintou
593359	303052	La mère de Julien
593359	340679	Awa
593360	350836	Lan
593361	130307	Mrs. Thuc
593362	224024	Peasant Woman
593363	119021	Woman in the Marquis
593363	189106	La mère
593363	216217	Aisha
593364	6302	
593364	62815	
593364	337734	
593364	357055	La serveuse du café
593365	43164	TV Host
593366	380869	Ariane Trudeau
593368	386670	Geneviève
593368	411623	Henriette
593369	315214	Madame Lu
593369	356472	Survivor #1
593370	17120	Anika
593370	28095	Cvita
593370	38920	Partisan woman with fire bott
593370	44615	Rada
593370	73577	Mrs. Davy
593370	88439	
593370	132160	Dara Urosevic
593370	172463	
593370	174976	
593370	180418	
593370	180470	
593370	230486	Ane di Gracia
593370	234899	
593370	253725	
593370	253729	Zehra ... Pasina cerka
593370	261943	Zena u vozu
593370	262184	
593370	305193	
593370	320547	
593370	320676	Zorica
593370	340094	
593370	382546	
593370	398198	
593370	401834	Arsinica
593371	6975	
593371	50256	
593371	50354	
593371	52293	
593371	75031	
593371	91816	
593371	169145	
593371	183383	
593371	200851	
593371	220364	
593371	283295	
593371	333869	Herself
593372	239933	Nadja
593373	1886	Malena
593373	61089	
593373	327910	Patricia
593374	1938	Sonia
593374	25287	
593374	106791	
593374	109622	Lubya
593374	160814	Kisulya
593374	174748	Katia
593374	178107	Helen
593374	188623	Marie/Mother 1944
593374	194940	Tsarina Alexandra
593374	204599	
593374	215876	Hannah Williams
593374	219721	Masha
593374	234440	
593374	234443	
593374	238318	Maria
593374	240471	Asta
593374	243968	
593374	252815	
593374	263795	Jasmina
593374	295406	Ingrid Harrer
593374	295565	Shona
593374	296829	Micheline
593374	298796	Asya
593374	314217	
593374	318967	Carolyn Kramer
593374	339749	
593374	341235	
593374	349051	Marusia
593374	356418	Margaret
593374	356923	
593374	373623	
593374	379585	
593374	382381	Katya Bredova
593374	399473	
593375	245115	Simone
593376	38000	Ivan the Goat
593377	131780	Lisa
593378	40253	Laura
593378	44855	Kelly
593378	45540	Faith
593378	59914	Patsy
593378	263450	Party Guest
593379	252183	Woman in Seminar
593380	18978	Annie Collins
593381	147928	Leika
593382	155181	Nyonya Mansoor
593383	385537	
593384	23236	Tanit Zerga
593384	157269	Sirdah
593384	326136	Martine
593384	377983	Prune
593385	63186	
593386	241295	Melissa
593387	313477	Bultar Swan
593388	105327	Fan
593389	354590	
593390	194211	Lupe
593391	315998	Dr. Susan Chapman
593392	72325	
593393	215866	
593393	218325	Lily Minouche
593393	225408	La danseuse be bop
593394	81453	Honorine
593395	83114	
593395	368195	
593396	265904	Journalist
593397	73	Suzanne Weingartner
593397	20338	Dahlia O'Neill
593397	26064	Sheep
593397	71110	Wilma
593397	76600	Marlene
593397	80022	Nancy Miller Wesley
593397	95365	Mrs. Grey
593397	95510	Greasy Spoon Waitress
593397	109498	Teebou
593397	127094	Nurse #2
593397	134195	Yogurt Customer
593397	150802	Cafetaria Cashier
593397	158322	Pam Magnus
593397	163362	Dee Dee
593397	185135	Arlene, Smitty's Police Opera
593397	186846	Sixty-six
593397	199641	Betty
593397	213159	Sara Warren
593397	220805	
593397	227926	Sara Murtry
593397	231817	Bimbo
593397	281911	Roseanne Arnold
593397	282922	Miss Spencer
593397	292641	Leslie Holcomb
593397	310188	Mrs. Vanderspool
593397	310728	Ruby Fisher
593397	340320	Mar Vista Troop Leader
593397	349689	Doattie
593397	365866	Mrs. Walters
593397	385824	Nancy Miller Wesley (1998-200
593397	406503	Penny Baker (1991-1992)
593398	51224	
593399	7560	La femme du vétérinaire
593400	112221	Secretary
593400	176989	Bobby Samwell's hooker/theatr
593401	337019	La femme marche
593402	324810	Mrs. King
593403	237612	Alison
593403	331201	Karen
593404	192267	Restaurant Patron
593405	238991	Sir Henry Wilson's Lady
593406	178883	Little Girl
593406	190010	Sarah Sellers
593407	324371	Future Inhabitant
593408	350181	Jenny
593409	206403	Jane
593410	59729	Woman in Department Store
593411	35252	Jenny Myer
593411	50096	Gussie
593411	50974	High School Student
593411	54673	Kate Brady
593411	65835	Evelyn
593411	80746	
593411	90250	Sally Farnham
593411	101567	Lucy Tibbets
593411	114251	Sherry Petrofsky
593411	115157	Ginny LaRosa (segment "Sweeti
593411	115247	Faye
593411	125575	Doris Bolton Owen
593411	131593	Helen
593411	134475	Barbara Blandish
593411	137689	Debra Strode
593411	162437	Ellen Wells
593411	173936	Sandy True
593411	185084	Mrs. Summers
593411	188118	Herself
593411	216772	Louise Standon
593411	231068	Frances Johnson
593411	235227	Rita Lee Chipman
593411	241241	Mary Crawford
593411	252506	Melodye Amerson
593411	274343	
593411	276366	April
593411	280364	Liesl (screen test)
593411	292519	
593411	315713	Ruby Hardgrave
593411	316501	Linda
593411	316787	Holly Jean Berry
593411	318706	Mary Shelburne
593411	326744	Prof. Tanya Brooks
593411	330815	Calamity Jane
593411	340779	Mattie Ross
593411	395162	Ann Rowan
593411	403336	Virginia Calderwood
593411	408058	
593412	399130	Eva Lindstrom (1988)
593413	184955	Woman
593414	292233	Bus Extra
593415	133932	Marie Simpkin (the maid)
593416	202246	Lady Eileen Duncraigie
593417	215691	Miss Alabama USA (Finalist)
593418	30155	Florrie
593418	321084	
593419	321657	Jezebel
593420	77721	Dancer
593421	22642	
593421	99788	
593421	167135	
593421	275402	
593423	151461	Agatzi Girl
593423	365425	Sandra
593424	59789	Bit part
593425	222184	
593426	14345	Louise
593426	29792	Amaranthe
593426	40994	Christine
593426	43757	Marie Cruchet dite "Eloise" (
593426	44576	A prostitute
593426	46774	Marie-Jeanne
593426	83387	Rockie La Braise
593426	87499	Victoire Danois
593426	87901	
593426	94326	
593426	94392	Lili Princesse
593426	95423	Josette
593426	99360	Francine
593426	108674	Caroline
593426	112872	Marion
593426	115335	Catherine
593426	123076	Galia
593426	132748	Christine
593426	133032	Salene
593426	140304	Hauteclaire Stassin
593426	148697	Edwige
593426	156299	Olga Leroy
593426	156338	Christine
593426	164161	Agnès
593426	165230	Elisabeth
593426	166553	Eva
593426	184051	Carla
593426	186124	
593426	188676	Récitante
593426	196811	
593426	199694	Agatha
593426	212768	Herself
593426	218246	Suzanne
593426	218512	Marie-Claude
593426	219474	Françoise
593426	229030	Herself
593426	229039	Eglantine Michalon
593426	231305	Nicole Garrel
593426	235856	Milou Rivoire
593426	239305	Mélissa
593426	243284	Charlotte
593426	261103	Nicole Garrel
593426	261717	Patricia
593426	261777	La Grande sauterelle
593426	275987	Herself
593426	276528	Christine
593426	277029	
593426	278502	Annie Garmiche
593426	284242	Madeleine
593426	287975	Fanny
593426	293564	Peggy Lister
593426	300632	Catherine
593426	318858	
593426	343542	Christine
593426	349938	Françoise
593426	351259	Jacqueline (segment "Vison, L
593426	353864	Jocelyne Domange
593426	355106	Brigitte
593426	360823	Corinne
593426	374014	Polly
593426	376806	
593426	376875	Eva Ritter
593426	382219	Patricia
593426	384577	Hélène (1992-1994)
593426	389242	Catherine Sinclair
593426	393969	Marion Carsenac
593426	402128	Laura
593426	407874	Clélia Debarbera
593427	34499	
593427	38471	
593427	53891	
593427	57596	
593427	83322	
593427	110402	
593427	136751	
593427	137323	
593427	173856	
593427	181975	Melahat
593427	182092	
593427	302425	
593427	302426	
593427	323919	
593427	325011	Alonya
593427	378285	
593427	382134	Zeynep Denizbey
593427	391614	Handan
593428	115269	Women Coalation Diner Patron
593429	58605	L'infirmière
593429	68897	
593429	120070	
593429	268460	
593430	290397	Slyvia
593431	31277	Denise (French Girl)
593431	58647	Herself
593431	78171	Gigi Mignon
593431	114846	Suzanne Roget
593431	295396	Claire
593431	325119	Lola
593431	332028	Yvette Charad
593431	334371	Bar Singer
593431	351970	Countess Marie Duvarre
593431	361841	Fifi Danon
593431	372633	Dorianne Gray
593431	389697	Host (July, 1954)
593432	145639	
593433	6569	
593433	13875	Lady on Train
593433	19201	Mme Sidoine
593433	23865	Martine
593433	43412	Berthe
593433	43714	Mireille
593433	54181	Rose
593433	54818	
593433	55597	Andrée Denolle
593433	57263	Julie
593433	71822	Mlle Lambert, la secrétaire
593433	84084	Fine
593433	91587	
593433	92963	
593433	94391	Louise
593433	96141	Yvonne
593433	101194	
593433	101684	Sylvia Clayton
593433	101950	Isabelle
593433	108898	La cliente du second médecin
593433	110192	Old Lady in Park
593433	118828	
593433	119841	Jacqueline Maingot
593433	129216	Chantal
593433	148773	Denise
593433	166092	
593433	214874	
593433	217267	Héléna
593433	224878	Sophie
593433	236591	La jeune femme
593433	239533	Françoise
593433	243076	
593433	248358	
593433	254013	Camille
593433	258318	
593433	263620	Colatte
593433	275652	Mme Copeau
593433	276545	
593433	278870	
593433	303503	Simone
593433	303543	Edwige
593433	306946	
593433	327883	
593433	332225	Mme Méliès
593433	334215	
593433	334438	
593433	340112	
593433	345267	
593433	345525	Hotel owner
593433	346819	
593433	351056	Herself
593433	357045	
593433	384744	
593433	386012	Marthe Bricart
593433	389271	Alice Morgat (segment "Cécile
593433	396370	La mère de Raymond
593433	397938	Avigdor's Mother
593433	400698	Une gardienne du bon goût
593433	405508	
593434	58326	
593434	201203	
593434	216232	
593435	154180	2nd Nurse
593435	398294	Miss Pope
593436	346754	
593437	23803	
593437	101716	Mme Sardot
593437	112845	
593437	132744	
593437	170429	Violette
593437	205767	
593437	397807	
593437	408651	Mme Viatte
593437	410139	Agnès
593438	261284	Melissa
593439	384398	Clarissa
593439	391285	Heidi
593439	400106	
593439	401791	Pollyana
593439	401792	Pollyana
593439	403083	
593439	412305	Isabel
593440	71167	
593440	73473	
593440	81419	
593440	85609	
593440	94636	
593440	126316	
593440	142309	Helena
593440	229981	Acte
593440	283613	
593440	298433	Princess Herab
593441	2968	Jeune femme black Cupidon
593441	78349	
593441	284306	Mata
593441	291682	Delphine
593441	302141	Zoulé
593441	346424	Fania
593441	346646	Joséphine
593441	354467	Rosalie
593442	378529	
593444	54191	Umpire
593444	231997	Cannibal Kid
593444	251454	Suzie
593444	264110	Second Girl
593444	275630	
593444	306239	Girlfriend
593444	318642	Fowler's Aide
593444	366898	Miranda
593445	194940	Maid
593446	44899	Chorine
593446	203018	Nancy Campbell
593446	216000	Telephone Girl
593446	283864	Saloon girl
593446	363960	Angie Duke
593447	25128	
593448	39405	Anna
593449	21265	
593450	93569	Herself
593451	404835	
593453	82521	
593453	90330	Madge Albright
593453	273543	Miss Torso (the ballet dancer
593453	367775	Lauren Worthington
593453	391074	Gypsy
593454	246335	Josie Maguire
593455	160560	Nurse in hallway
593456	323717	Wilma
593458	60684	Herself (Backing Vocals)
593458	60685	Vocals
593458	117162	Myra
593459	21300	Becky
593459	36841	Haughty girl
593459	41502	Guest at Second Party
593459	42023	Maid
593459	45494	
593459	66549	Girl
593459	78155	Guest at Party
593459	87549	Secretary
593459	105075	Maid
593459	118314	Usherette
593459	127691	Patron at Nate's Cafe
593459	128522	Girl
593459	130624	Girl in shower
593459	149104	Louise
593459	150586	Nurse
593459	156464	Mathilde
593459	162283	Kitty Monahan
593459	170790	Betty Graham
593459	177368	
593459	203176	Maria Theresa's Maid
593459	206414	Woman with Fur Stole Helped b
593459	210871	Nurse
593459	241096	Gail Drake
593459	271091	Arab Girl
593459	280895	Girl
593459	289236	Girl
593459	289422	Bit Role
593459	302629	Bit
593459	309849	Rosita (cantina girl)
593459	312584	
593459	328661	The Dragon Lady
593459	329341	Model
593459	333316	
593459	335183	Woman
593459	340370	Girl
593459	341671	Dorothy Jones
593459	346908	Woman
593459	347128	Rose
593459	360430	Party Girl
593459	361300	Lola Montez
593459	372050	Perfume clerk
593459	375904	Volita
593460	283248	Lake Girl #4
593461	132750	
593461	195702	Existentialist
593462	194689	Tracy Parsons
593463	40839	Mrs. Calloway
593463	224106	Florence
593463	234659	Nola's Mother
593463	244034	Additional Character Voice
593463	249600	TV Reporter
593463	282915	Sue Santello
593463	303564	Kitchen Woman
593463	326675	Mrs. Torres
593463	334174	Ana
593464	266010	Martha
593464	357089	Mme Caussin
593465	403805	Summer Randolph #1 (2001)
593466	337649	Player
593467	71474	Elda Webb
593468	203724	Undetermined Role
593469	353293	Hillary Holmes
593470	199078	Américaine
593471	7185	La muenière
593472	107958	Bela
593473	339107	
593473	353980	
593474	351854	
593475	90316	Mrs. Kohler
593476	190213	Arab neighbor #3
593477	353822	Herself (La fermière)
593478	35783	Patsy Robbins
593479	2766	Party Goer
593479	6717	Herself
593479	11494	Herself
593479	16794	
593479	26782	
593479	29644	
593479	34930	Herself
593479	41528	
593479	64519	
593479	81377	
593479	87306	
593479	87340	
593479	92539	
593479	95825	
593479	105436	Jan
593479	109628	
593479	127825	
593479	128859	
593479	149981	
593479	153476	
593479	186746	
593479	187412	Herself
593479	187413	
593479	189453	
593479	204802	
593479	242070	
593479	243113	
593479	260844	
593479	274137	
593479	295748	
593479	298215	
593479	302328	
593479	302579	
593479	305066	
593479	309217	
593479	313273	
593479	313452	
593479	320455	
593479	325264	
593479	336279	
593479	340793	
593479	341885	
593479	349898	Party girl
593479	367625	
593480	64735	Mother Cabrini
593481	177014	Agent DeFallo
593484	31665	
593484	224114	The Girl
593484	368244	Ensemble member
593485	96598	
593486	196257	Jane, Nancy's sister
593487	47317	
593487	65930	Carol Dixon
593487	120687	Mae LaRue
593487	130623	Arline Davis
593487	138686	Josephine 'Josie'
593487	144827	Elanda Lee
593487	157546	Baby Blonde
593487	208636	Lila, an Office Worker
593487	264718	Babs Henderson
593487	280981	
593487	281876	Jean Hale
593487	312036	
593487	312586	Gracie Smith
593487	321115	Dot, the Band Leader
593487	321893	
593487	352709	
593487	366228	Herself
593487	370587	Dorothy
593488	112383	Helen Morrison
593488	163325	Dolly Bender
593488	224695	
593488	324453	Doris
593489	128507	Poppy Slater
593490	72276	Leila Gordon
593490	77988	Diana Horton
593491	48871	Maria the Cook
593491	66679	Emma Graham
593491	162342	Capt. Kulina
593491	167529	Aggie
593491	242533	Mrs. Hill
593493	46404	Irene Dare
593493	105328	Irene Barton
593493	301998	Juvenile Skater Katrina
593494	4705	
593495	260117	Secretary
593496	272160	Marion Hastings
593497	146750	Dancer
593497	168125	Dancer
593497	317354	Student
593498	135395	
593498	340859	Cult Follower
593499	208720	
593500	59649	Air Hostess
593501	241061	Page Boy/Chauffeur/Film Extra
593502	20089	
593502	68476	
593502	73220	Claire Winslow
593502	81440	Mrs. Stretton
593502	92626	
593502	127697	The Little Girl
593502	205787	Mme. Marly
593503	14975	
593503	113688	Herself
593503	113693	Herself
593503	128576	
593503	186481	
593503	200873	Maid
593504	91929	Waitress
593505	33435	Elsa
593506	24215	
593506	154873	
593506	219891	Undetermined Role
593507	155594	Lady Markby
593507	231955	
593507	234106	Tilda
593507	245659	Julie
593507	276661	Lady Brenning
593507	311996	
593508	215697	Judging Panelist
593509	17815	Romana De Gasperi
593509	41190	Saphiria
593509	71265	
593509	86493	
593509	132973	Elisabeth, Adam's Bride to Be
593509	219561	English tourist
593509	294541	
593510	3355	
593510	30799	Adèle Hugo
593510	42874	Claire Berthaud
593510	58845	Ophélie
593510	64329	
593510	69938	Natacha
593510	101164	
593510	102941	La jeune fille des bains douc
593510	109104	Thérèse de Sépibus
593510	110108	Tonie
593510	111132	Emma Raphaelli
593510	112880	Anna
593510	134985	Anna
593510	153811	Martine
593510	164183	Line
593510	166350	Jeanne d'Orléans
593510	167239	
593510	170360	Lucie
593510	183488	Martine
593510	184868	Marketa
593510	189906	Camille
593510	191470	Lise
593510	195227	Claire La Fontaine
593510	198189	La journaliste
593510	200944	Sylvie Laget
593510	307664	
593510	323042	Cathy
593510	348578	Marie-Anne
593510	384816	Camille de la Richardais
593510	393279	Faisane
593510	398042	Violette Levasseur/Galvès
593510	398993	Madame Récamier
593510	404365	Eléonore
593510	408002	Noëmie
593511	230637	
593512	94520	
593513	283003	Suzy
593514	78842	Camper
593515	308311	
593515	347566	Gina
593515	409602	
593516	314439	Bernice
593517	214010	
593518	243039	La belle-soeur de Ludovic
593519	52725	
593519	58884	
593519	205909	
593519	276496	
593520	14903	Emiliana
593520	24653	Mella Zier
593520	25205	
593520	30291	
593520	36482	Mme. Fatma
593520	40575	Germaine Pelageon
593520	42664	
593520	44725	Violette
593520	51215	
593520	55872	
593520	56083	
593520	56243	
593520	57506	
593520	57847	
593520	58289	Barbara Glamour
593520	58308	
593520	63658	
593520	63691	You-You
593520	63695	
593520	66092	Paméla
593520	67021	
593520	71392	La veuve
593520	71974	
593520	100173	Sonia Roux
593520	103194	
593520	103207	Florence
593520	103826	
593520	104229	
593520	111704	Angèle
593520	111877	Françoise
593520	112799	Lorenza
593520	113253	Genevieve
593520	114035	
593520	114966	
593520	114967	
593520	117521	
593520	118828	
593520	121935	
593520	125109	
593520	127634	Amandine
593520	164184	
593520	171389	
593520	191550	Yvonne Portebeau
593520	201166	
593520	202344	
593520	202594	
593520	206049	Gaby Sauterelle, dancer
593520	206726	
593520	210900	
593520	211661	
593520	212778	
593520	214794	
593520	215062	Juliette
593520	217663	Margot (French Version)
593520	218263	Émilienne
593520	218271	
593520	220214	
593520	228794	
593520	249095	
593520	250748	Lopouchina
593520	254099	
593520	261805	
593520	261823	
593520	263017	
593520	263988	
593520	265215	
593520	269106	
593520	269502	
593520	276547	
593520	279972	
593520	280529	
593520	282047	Carmen
593520	284200	
593520	284659	
593520	284880	
593520	300727	Clémentine
593520	309981	
593520	324160	Pachenka
593520	336741	
593520	336992	Un dame à Monbijou
593520	337010	
593520	337732	
593520	338979	
593520	340116	Loulou Duralex
593520	340126	
593520	340415	
593520	340680	
593520	341370	
593520	345150	
593520	345487	
593520	346602	
593520	347757	L'entraîneuse habituée du Mou
593520	349656	
593520	354094	
593520	356355	
593520	370108	Lina
593520	377279	
593520	377667	
593521	259269	Unconcious Woman
593522	229029	La femme en rouge
593523	73190	Stewardess
593523	161987	Anne's Sister
593523	210233	Claudia Beaumont
593523	241147	Mom
593523	262033	Salesgirl
593523	346872	Yuppie Woman
593523	366576	Jeep Girl
593523	411517	Camazotz Young Woman
593524	139068	Hostess
593526	25263	Sophie Beltois
593526	249053	
593527	377464	Mrs. Loiseau
593528	215488	Herself
593528	397888	Herself (2003)
593529	29002	Arthur's Aunt
593529	205758	
593529	207092	Woman on metro
593529	226822	Thérèse Dorny
593529	375762	
593530	176888	Dr. Linda Halston
593530	182987	Rita
593530	299963	Dee Dee
593531	33629	Une locataire
593531	76493	
593531	190789	La cliente du manège (Hippodr
593531	249697	Bectaupieu
593532	77587	Judge #2
593533	372684	Leonore/Fidelio
593534	206681	Shelley
593535	18746	
593536	54060	
593536	60498	
593536	89988	
593536	119233	Zulma
593536	122414	Marchande d'escargots
593536	206718	Victorine
593536	217674	
593536	224888	Zulma
593536	377810	Madame Zulma
593537	87586	3 Little Girls
593538	53142	Femme au fouet
593538	353934	Ulrique
593539	254076	Employer
593540	140751	Miss Lapdale (secretary)
593540	220573	Marion Russell
593540	223292	
593540	248823	Betty
593540	299942	
593540	400343	Herself
593541	301681	Kid at Party
593542	53860	Hitchhiker
593543	23262	Prima Ballerina
593543	26044	
593543	95881	
593543	179530	
593543	187092	
593543	246613	
593543	398875	Adjudicator
593544	354769	Ragazza nudista
593545	24678	
593545	96029	
593545	96212	
593545	111064	
593545	121410	
593545	169877	Comtesse de Tremeuse
593545	217699	
593545	265922	Denise Marvel
593546	384119	Tamara (1996)
593546	408895	
593547	363926	
593548	56606	Red Queen Girl
593549	16405	
593549	20369	
593549	370184	
593550	73395	Anita
593550	83590	Papago Indian Mother
593552	255159	
593552	295715	
593552	361877	
593554	323868	
593555	13278	
593555	115059	
593555	148978	
593555	150151	
593555	207475	
593555	239598	
593555	280059	
593556	264751	
593557	209210	Zombie
593558	1290	
593558	126340	Herself
593558	372457	
593559	17475	Prisoner
593559	204244	Maizie
593559	205792	Teenager
593560	334199	Teresa Drozd
593562	189977	J.K. Rowling
593562	202323	Sam
593562	344652	Paula
593565	150157	
593567	16993	
593569	98166	
593569	239750	
593569	385299	Lady Barker
593570	177451	
593570	360266	Martha
593571	395103	Vanessa
593572	18725	
593572	18730	
593572	21532	
593572	22870	
593572	22933	
593572	37290	
593572	40085	
593572	44849	
593572	49608	
593572	52525	
593572	57374	
593572	64392	
593572	73391	
593572	73980	
593572	79031	
593572	79032	Princess Darkfeather
593572	79033	
593572	79398	
593572	82116	
593572	93189	
593572	100865	
593572	109770	
593572	112329	
593572	117248	Mona
593572	117617	
593572	122102	
593572	134273	
593572	136527	
593572	137509	Red Flower, a Squaw
593572	138143	
593572	143046	
593572	144563	
593572	149475	
593572	159085	Goldwn Willow
593572	159094	
593572	159127	
593572	169799	Juanita
593572	171361	Mona
593572	176459	
593572	184258	
593572	187304	
593572	195934	
593572	209424	
593572	215318	
593572	217736	Mona
593572	217749	
593572	218837	
593572	228724	
593572	230723	
593572	231934	
593572	234808	
593572	237665	
593572	245810	Owanee
593572	247043	
593572	263610	
593572	274104	
593572	274108	
593572	274209	Blue Bird
593572	274536	
593572	276820	
593572	293159	
593572	305944	Mona
593572	308655	
593572	310325	
593572	310336	
593572	311989	
593572	312328	
593572	313145	
593572	313149	
593572	313151	
593572	313159	
593572	313165	
593572	313297	Star Eyes, a Sioux Maiden
593572	315116	
593572	325996	Star Eyes, Gertie at Age 17 Y
593572	338312	
593572	350479	
593572	351750	
593572	359197	
593572	361716	
593572	363041	Mona, an Indian Princess
593572	363198	
593572	363879	
593572	363881	
593573	193087	
593574	399640	
593575	242754	Susan Gadeby
593576	81644	Pirate
593577	14477	Teme
593578	267524	
593578	301540	Precious
593578	363818	
593579	15030	Madame K.
593579	24181	Marie
593579	26283	Brigitte Uzes
593579	29447	Carole, la doctoresse
593579	43642	Florence, la femme de Bruno
593579	59746	Catherine Berger
593579	63757	La fée bleue
593579	68784	Nicole Lambert
593579	77364	Jeanne
593579	80335	Davennes
593579	81626	Svajcarkinja
593579	84635	Muriel
593579	87494	Hélène
593579	88558	Francoise Gite
593579	94360	Marie-Josée Rodrigue, dite "M
593579	111063	Irma
593579	112893	Carole Daloiseau
593579	133057	Mme Chouquet
593579	149677	
593579	164151	
593579	166107	
593579	169278	L'attachée de presse
593579	169538	Françoise
593579	171327	Emma
593579	184868	Zuzana
593579	188682	Caroline
593579	218310	Sylviane
593579	219511	Patricia
593579	240579	Micheline
593579	247020	Laetitia Palazzo
593579	248915	Jacqueline
593579	249181	Dominique Daniel
593579	249256	Mrs. Reiner
593579	250752	Mme Prieur
593579	251019	Hôtesse/une des 'Jeannes'
593579	254077	Béatrice
593579	261722	L'amie de Véra
593579	261765	Sarah
593579	278136	Jenny Blanka/L'animatrice
593579	284244	Denise Masclaffier
593579	285819	Marthe Germain
593579	291575	Commissaire principal
593579	291584	(segment "Deçue")
593579	292353	Nicole
593579	307111	La passagère
593579	320240	Hélène
593579	327542	Julie
593579	336931	Béatrice
593579	337032	La mère de Céleste et Rosalie
593579	338595	Vera
593579	345254	Laura
593579	345557	Hélène
593579	345567	Jeanine
593579	346416	Solange Servolle
593579	346620	Anna
593579	347566	Eva
593579	351819	Jacqueline Peyrot
593579	353330	
593579	354467	Patricia Latour
593579	354907	Roseline
593579	384209	Mireille Bouvier
593579	391620	Mme de Gromance
593579	391632	Pauline
593579	396290	
593579	396368	Marie Calvet (2004-)
593579	396924	Frédérique
593579	397473	Several characters
593579	398133	Margot
593579	400698	Thalie/Janine/Ginger/La femme
593579	409441	Tante Cielia
593579	409602	
593580	52940	
593580	73275	Ruth Vermehren
593580	268439	
593580	387808	
593581	63424	Darlene
593581	257433	
593581	265841	Journalist #3
593582	2730	
593582	21047	
593582	21265	
593582	31835	
593582	72754	
593582	112746	Nymphomaniac
593582	128831	
593582	148963	(Orgy of the Golden Nudes ins
593582	150255	Sally
593582	160945	
593582	171459	(US inserts)
593582	196061	
593582	197741	
593582	228663	
593582	236367	
593582	236370	
593582	236372	(segment "Art School for Nudi
593582	236374	(segment "Nudes on Tiger Reef
593582	272947	
593582	275790	
593582	297996	
593582	302347	
593582	352735	
593582	364022	Frenchie
593583	282781	Pierre
593584	24452	Shirl
593584	294702	Amelia
593585	70334	Grace Norwood
593586	8614	
593586	8619	Viviane
593587	108788	Linda Chambers
593588	412250	La voisine
593589	404967	Hilma
593590	24082	
593591	6730	
593591	41578	
593591	41615	
593591	41616	
593591	75031	
593591	75059	
593591	92149	
593591	93991	
593591	126109	
593591	131321	Herself
593591	131322	
593591	131323	Herself
593591	178321	
593591	197045	
593591	228021	
593591	228078	
593591	228578	
593591	255183	
593591	267478	
593591	291901	
593591	296270	
593591	306916	
593591	306920	
593591	306923	
593591	314695	
593591	326659	
593591	343050	
593591	353742	
593591	353743	
593591	361876	
593591	361950	
593591	368862	Herself
593591	411601	Herself
593592	77214	Sharon Wilkie
593592	384097	Rachel (1996)
593593	195612	Brunette Nurse
593594	10587	Party guest
593594	29359	
593594	46748	Shepherdess
593594	123361	
593594	133589	
593594	152571	High School Girl
593594	216000	Giggly Girl
593594	231990	Manicurist
593594	264170	A Secretary
593594	272874	Autograph hound
593594	280896	Undetermined Role
593594	323206	Nurse
593595	370569	Winnie Gordon
593597	328752	Izz
593598	148992	
593598	175211	
593598	196039	
593598	257969	
593598	259790	
593598	271336	
593598	282345	
593598	298097	
593598	300071	
593598	335619	
593598	335678	
593598	362471	
593598	362566	
593598	363517	
593600	218599	Girl in Castle Anthrax
593602	128282	
593602	271149	Passenger
593603	293203	Extra at pier
593603	368244	Ensemble member
593604	55300	Thomasina
593605	275362	Mother
593606	275889	
593607	194693	Insurance Agent
593607	212038	Trixie
593608	54726	Nurse
593609	31968	Beatrice Fairfax
593609	31970	Beatrice Fairfax
593609	31971	Beatrice Fairfax
593609	31972	Beatrice Fairfax
593609	31973	
593609	31974	Beatrice Fairfax
593609	31975	Beatrice Fairfax
593609	31976	Beatrice Fairfax
593609	31977	Beatrice Fairfax
593609	31978	Beatrice Fairfax
593609	31979	Beatrice Fairfax
593609	31980	Beatrice Fairfax
593609	31981	Beatrice Fairfax
593609	31982	
593609	31983	
593609	31984	
593609	68489	Needa Searles
593609	87556	Esther Wells
593609	104957	Eileen O'Hara
593609	105277	Ethel Armstrong
593609	108013	Leila Andrews
593609	147795	Beatrice-Beatrice Fairfax
593609	253125	
593609	355219	Helen Willard
593610	41198	'Butcher' Couple
593610	180533	Yvonne Mikita
593611	348327	Goldwyn Girl
593612	8956	
593612	11313	
593612	129847	
593612	143028	
593612	148543	
593612	178014	
593612	195657	
593612	218156	
593612	254273	
593612	271816	
593612	280828	
593612	286148	
593612	289016	
593612	291172	
593612	302749	
593612	342543	
593612	360681	
593613	7024	
593613	37330	Mrs. Spaulding
593613	47347	Mrs. Gerard
593613	50907	Mrs. Hughes
593613	78124	Mrs. Forrester
593613	79629	
593613	84212	Mrs. Pierpont
593613	105641	Mrs. Rand
593613	108013	Mrs. Sewell
593613	127304	Mrs. Whitaker
593613	128402	Mrs. Norris Wynn
593613	128477	Mrs. Rhodes
593613	141223	Duchess of Chatham
593613	141369	Undetermined Role
593613	142313	Mrs. O'Neill
593613	143607	Lady visiting Navy Yard
593613	151001	Mrs. Chatterton
593613	153624	Mrs. Gordon Trent
593613	162207	Mrs. Warren Marshall
593613	190294	Mrs. Craig
593613	194755	Mrs. Amelia Hardin
593613	195709	Mrs. Winslow
593613	197405	Mrs. Farley
593613	201461	Mrs. Ashbrook
593613	203580	Mrs. Sanderson
593613	206269	Mrs. Ainsworth
593613	207294	Lady Crandover
593613	209382	Mrs. Ainsworth
593613	210695	Mrs. Hamilton
593613	213453	Woman at Dock
593613	218940	Mrs. Ordeyne
593613	221251	Mrs. Bulsom-porter
593613	232391	Mrs. Belmore
593613	234182	Mrs. Van Cleek
593613	242110	
593613	245173	Adelaide Storrow
593613	251159	
593613	289394	Mrs. Vanderdyke
593613	297960	Carrie Chisholm
593613	302674	Mrs. Eleanor Cardigan
593613	304319	Mrs. Willard
593613	306811	Mrs. Forrester
593613	315966	Mrs. Halstead
593613	322594	Mrs. Wentworth
593613	328818	
593613	331480	Theresa Jenkins
593613	345975	Mrs. Harrington
593613	360672	Mrs. Hunter
593613	362673	Undetermined Role
593613	362934	Burton's Aunt
593613	363709	Aunt Carolina
593613	367414	Mrs. Crane, Bride's Mother
593614	77836	Princess
593614	82643	Dancer
593614	308598	Dancer
593614	340264	Maid
593615	75030	
593615	75060	
593615	75195	
593615	75955	
593615	264739	
593615	264814	
593616	26137	Curly Locks
593616	26294	Jean
593616	30196	Jean
593616	45015	Jean
593616	45356	Jean
593616	47076	Jean
593616	56791	Jean
593616	61269	Jean
593616	72700	Jean
593616	89177	Jean
593616	107406	Jean
593616	109468	Jean
593616	134717	Jean
593616	141819	Jean
593616	147984	Jean
593616	154169	Lillian Tashman
593616	165443	Young Jane
593616	186549	Jean
593616	192080	Jean
593616	234600	Jean
593616	239630	Jean
593616	239835	Jean
593616	240181	Jean
593616	242110	
593616	257737	Jean
593616	271149	Jean
593616	271321	Jean
593616	288745	Jean
593616	290301	Jean
593616	293203	Jean
593616	305382	Jean
593616	305580	Jean
593616	310359	Jean
593616	311627	Jean
593616	327783	Jean
593616	333725	Jean
593616	365098	Jean
593616	370387	Jean
593616	395744	Jean (1929)
593617	9795	Additional Voices
593617	9801	
593617	10888	Driver
593617	14172	Barbara Benziger
593617	17630	Star
593617	32178	Villager/Additional Voices
593617	47865	Additional Voice
593617	48950	Additional Voices
593617	82662	Computer Voice
593617	98156	Donna
593617	100096	Additional Voices
593617	117779	Shar Teel
593617	117782	Jaheira
593617	134656	Cardinal Kila Balor, Units #1
593617	143526	Additional Voices
593617	162352	Additional Voices
593617	177601	Lady of the Lake/Swamp Wisp/U
593617	181996	Additional Voices
593617	187602	Victorian Principles
593617	190869	Additional Voice
593617	192017	Additional Voices
593617	192098	Nemo's Mother
593617	218415	Additional Voice
593617	258513	Additional Voices
593617	281339	Mama
593617	283895	Mrs. Cluck
593617	294028	Additional Voices
593617	326805	Irma Langinstein
593617	327801	Ayeka
593617	327802	Aeka
593617	327803	Aeka
593617	327804	Ayeka, Young Ayeka
593617	338821	Additional Voice
593617	339048	Laurie
593617	348386	Joanne
593617	366027	Pat Riddle
593617	379568	Hipsodeath/Additional Voices
593617	379758	Additional Voices
593617	380775	Nora
593617	382089	Madame-O
593617	382090	Peggy Callahan
593617	382114	Wiggle
593617	383384	Berkeley
593617	383797	Amber
593617	383849	Additional Voices
593617	385727	Dr. Rhoda Dendron
593617	386681	Additional Voices
593617	387020	Additional Voices
593617	387374	Donna (1978-1981)
593617	388108	Boy's Mother
593617	388404	Additional Voices
593617	389034	Additional Voices
593617	389628	Pythona
593617	389671	Booey Bubblehead/Wendy Garbo
593617	389772	Angelica
593617	391328	Momma
593617	391329	Momma
593617	392967	Additional Voices
593617	393013	Scarlet Witch/Wanda Maximoff
593617	393293	Phoebe Farragut
593617	393698	Additional Voices
593617	396497	Ayeka
593617	397696	Dia
593617	398717	Additional Voices
593617	404079	Amy Gordon
593617	404082	Amy Gordon
593617	404694	Irene (1970-1971)
593617	405146	Ayeka
593617	405515	Peggy Callahan
593617	405718	Princess Salvina (1982-1989)
593617	406090	Additional Voices
593617	407441	Mrs. Snarly
593617	407701	Irma Margrat (1987-1995)
593617	407794	Nurse Windy Winchester (1973-
593617	407829	Ayeka
593617	408934	Pixie Trollson/Deputroll Doll
593617	410268	Virulina
593617	410988	Additional Voices
593617	411166	Additional Voices
593618	220569	Miranda Song, Nurse
593619	98144	Herself
593619	110329	Lois
593619	173518	
593619	245819	Frieda Krause
593619	319161	Mrs. Martin
593619	340582	Denver James
593619	343230	Dr. Erica Lauren
593619	348346	Krigo
593619	400612	Frieda Krause
593620	380391	Alli Fowler #1 (1988-1993)
593621	143942	Britannia
593622	327780	
593624	42389	
593624	164396	Harriet
593624	177569	Sophie
593624	344178	Geraldine
593624	403870	Amelia/Sploshy/Winona
593625	239719	College Girl
593627	88030	
593628	13637	Manicurist
593628	124056	Flea Market Saleslady
593628	313855	Bloomingdale's Crowd
593628	327405	Nurse
593630	297810	
593631	115912	
593632	271972	The stranger
593633	823	
593633	314441	Librarian
593634	72222	Indian woman
593634	221296	Mrs. Henderson
593635	107786	Girl in marriage market
593635	112253	Louise O'Mally
593635	144637	Vera MacLoid
593635	161542	Girl of the Marriage Market (
593635	204180	Maid
593636	114591	Janet Bartlett
593636	136003	Sue Thorton
593637	255859	Emma Smith
593638	105865	
593638	319626	
593639	20625	Extra
593640	41940	Prostitute
593641	117369	Herself
593641	305401	
593643	297802	Zombie
593644	12186	
593644	54586	
593644	65509	
593644	72497	Girl with bald boyfriend
593644	139090	Helen
593644	196039	
593644	206435	
593644	233818	Mickey's nurse
593644	268036	
593644	271336	
593644	303365	
593644	341000	
593645	408883	Serveuse
593646	34911	
593647	196548	
593648	28751	Bird Calls
593648	237818	Bird Lover
593648	306283	Bird Sounds and Warbling
593649	1965	Ruth
593649	2116	Helaine
593649	194963	Directionless Woman
593649	330999	Daria, Crown's Secretary
593649	406300	
593650	5527	Rape Center Woman
593650	7944	Welfare Officer
593650	12777	Fran(nie)
593650	15221	
593650	18550	Betty Jo Evans
593650	26308	Neighbor Woman
593650	35688	
593650	63113	Warrington Mom
593650	69639	Connie's Mom
593650	80588	Chi Chi
593650	80904	Erma
593650	154445	
593650	156970	Lawyer Susan Drew
593650	210622	
593650	224179	Suzanne Cobb
593650	244447	
593650	256236	Mrs. O'Donnell
593650	269046	Nana
593650	285739	Sister Stephen
593650	321732	Witsitt
593650	339405	
593650	353749	
593650	362740	Isabel Benchley
593650	367585	Dr. Fenton
593650	384752	Mayor Louise Hinton
593650	395819	Linda the Florist
593651	23243	
593651	61428	
593651	65897	
593651	73181	
593651	84474	
593651	107161	
593651	124133	
593651	137178	
593651	166196	
593651	201193	Régine de Bettigny
593651	207258	Donna Harris
593651	236531	
593651	254028	
593652	105892	Sebutuana's Wife
593653	18617	Girl
593653	124224	On-Line Model
593653	136290	Goldwyn Girl
593654	300084	Alma Dakin
593654	305675	His Wife
593655	44855	News Anchor/Waitress Two
593655	279460	Party Girl
593656	377635	
593657	27574	Herself/Malou's mother
593657	101124	Veninde/Friend
593657	137442	Malou's mother
593657	293705	Veninde 3
593658	112828	
593658	170364	
593659	153874	Rose-Annie
593659	254076	Evelyne
593660	152380	Roxana
593661	2252	(segment "Vertige de l'amour"
593662	102931	Zouzou
593663	60910	Morgane
593663	236605	
593663	354581	
593664	244964	Mariette
593666	26321	
593666	214898	
593666	279026	
593667	43636	Puce Thivart
593667	44269	
593667	110133	Leila
593667	246289	Herself
593667	246291	La Bavarde
593667	249677	La jeune femme enceinte
593667	285753	Mathilde
593667	306941	Anne
593667	346512	Marie
593667	356509	
593668	10976	Marion Mason
593668	14080	Ida Payne
593668	27453	
593668	32087	Molly Hanlon
593668	33791	Edna Gordon
593668	39759	
593668	39890	Ada Steele
593668	73984	Gladys Dale
593668	78002	Marjorie Stanton
593668	80037	Francine Adams
593668	87116	Lady DIana Loring
593668	87607	Emily Ballard
593668	115167	Allene King
593668	122904	Pansy Gale
593668	128269	Doris Athelstone
593668	130660	Hester Stanton
593668	133674	Doris Dunbar
593668	135708	Marie
593668	138203	Jeanne Lee
593668	140514	Claire Drake
593668	143009	Betty Burton
593668	143275	Countess of Lederbon
593668	143888	
593668	145033	Lois Graham
593668	148864	Lily
593668	149447	Bibi/Mary Hilton
593668	150774	
593668	150866	Marian Evans
593668	154082	Dorothy Dawson
593668	158099	Louise Maurel
593668	161894	Claire Kane Barry
593668	190105	Herself
593668	203617	Elinor Warden
593668	206346	Mildred Le Blanc
593668	213148	Gabrielle
593668	213263	
593668	214133	Valerie Carew
593668	232167	Goldie Ferguson
593668	244362	Dorothy Harmon
593668	244938	
593668	246704	
593668	291844	Ruth Garden
593668	293102	Norma Joyce
593668	298760	
593668	306445	Letty Robbins
593668	308590	Aline Tilden
593668	327397	
593668	329127	Bossy Brander
593668	350016	Shirley Sumner
593668	358151	Lillian Bradley/Mary Knowles
593668	362203	Gloria Graham
593668	362622	
593668	363075	
593668	363457	Annice Van Dornn
593668	363754	Dorothea Welter
593668	364799	
593668	372846	Apparition
593669	6394	Mimi
593670	170108	Régine Orlac
593670	276980	Hélène Forestier
593671	270649	Herself
593672	94330	Jacqueline
593673	15224	Herself
593674	213950	911 Operator
593675	296728	The Girlfriend
593676	11024	Coralie
593677	58060	Françoise
593678	98804	Malvina Thompson
593678	380713	Franny Brennan (1963-1965)
593678	387309	Nurse (1966)
593678	404694	Susan Ames Dunbar Carver (tem
593679	366195	Gypsy Dancer
593680	292177	Melanie
593681	401689	Mari
593682	156970	Salon Employee
593683	71580	Vampire woman
593683	256217	
593684	47131	Pearl Divine
593685	212850	Stripper
593686	87341	Mayor's Secretary
593687	243290	Genevieve
593688	301614	Nibby
593689	14620	
593690	75878	
593690	109231	
593690	117618	Young Pioneer Mother
593691	381821	Ensemble (1981-1984)
593692	1087	Denise Tourneur
593692	11672	Herself (Pinup Girl)
593692	17506	Tuptim
593692	39929	Sadie
593692	40063	Edwina Mansfield
593692	41142	Carmen Espinosa
593692	46982	Zina Webb, The Outsider
593692	48867	Dawn Starlight
593692	57919	Edith Rogers
593692	58419	Caroline
593692	64930	Nancy Johnson
593692	71422	Herself
593692	77022	Amy Clarke
593692	79949	Jane Norton
593692	90754	Lola Baldi
593692	105204	Cecil Carver
593692	107845	Stella
593692	117646	Amber
593692	133675	Anne Livingstone
593692	136280	Dee
593692	138387	Netta Longdon
593692	148564	
593692	150575	Marcia Bromley
593692	163297	Sylvia Smith/Sylvia Stevens
593692	183801	Evelyn Warren
593692	188577	Lora Mae Hollingsway
593692	196489	Virginia Clemm
593692	206118	Lolita Quintero
593692	209672	Herself, Linda Darnell
593692	223810	Chihuahua
593692	232338	Julie Bannon
593692	234070	Edie Johnson/Mrs. John Biddle
593692	278779	Louise Murray
593692	288676	Elizabeth Smythe
593692	292129	Clare Shepperd, alias Clare S
593692	300070	Herself
593692	304552	Mrs. Aggie Hobson
593692	308576	The Lady
593692	313295	Carolyn Sayres
593692	318793	Olga Urbenin
593692	321125	Trudy Wilson
593692	330775	Vida Dove
593692	342842	Elena Kenniston
593692	344570	Renata
593692	346901	Daphne De Carter
593692	349953	
593692	358777	Algeria Wedge
593692	374578	Ellen Stryker
593693	50642	Mary Van Horn
593694	117456	
593694	286182	
593695	56545	Herself
593695	294391	Rogue
593696	10901	Bordello lady
593696	45829	Blonde in Hell
593696	118911	Sugar
593696	294141	Everett's Dream Teacher
593696	309206	Dancer
593697	328555	Groupie (voice over)
593698	318006	
593698	410289	Aurora
593699	302323	
593700	94806	Refrænsangerinden Sussy
593700	317652	
593700	370226	
593701	268948	
593702	8148	Nurse
593702	160573	Cecily
593703	362169	Madame
593704	43631	
593704	280518	
593704	301548	Aimée
593705	90044	
593706	7458	Une fille
593706	24083	Die lustige Ehefrau
593706	52120	
593706	77396	Yvette, eine Tänzerin
593706	126363	
593706	136178	
593706	182762	
593706	189592	
593706	225628	
593706	352168	
593707	142357	Nurse
593708	146954	
593709	85608	
593710	25784	
593711	367406	Sylvia
593712	78842	Librarian
593713	361613	Diane Ryan
593713	364281	Frances
593714	43758	Amélie Winberg
593714	52698	
593714	85153	Mme Ancin
593714	96031	
593714	102238	L'hôtelière
593714	164149	La femme de ménage
593714	168890	Épicière
593714	343579	
593715	81583	Lynette
593716	330794	Fame Groupie
593717	53741	Pacquette
593717	230933	Trainer
593718	35145	Lori
593718	56655	Beth
593718	68768	Penny Evans
593718	99131	Bonnie
593718	130168	Dana Boone
593718	184468	Annie Jennings
593718	219218	Jenny Lynden
593718	222809	Pamela Talbot
593718	257232	Clare Sadler
593718	259904	Stephanie
593718	304851	D.A. Mary Ellen Matulus
593718	387483	Laurie Manning (1997-1998)
593718	388892	D.A. Rachel Brennan
593718	395540	Annie Whitman
593718	400003	Natalie Stanton
593718	401894	Jane McPherson
593718	402275	Gail Koner
593719	170488	Portia
593720	89970	Ava
593721	16466	Prompter
593721	44305	Bimps Jackson
593721	62498	Autograph Seeker
593721	64925	Baby Molly
593721	95145	Peggy Meredith
593721	192096	Girl Dancing with Boy at Danc
593721	210779	Agnes, Whitey's Marysport Dan
593721	219195	Patient
593721	240959	Doris Strickland
593721	241371	Mary
593721	260091	Baby
593721	291130	Mary Scanlon
593721	316955	Indian Love Lyrics Student
593721	329394	Friend
593722	241512	Friend
593723	143531	Lucina
593724	405209	Vanessa Ross (1998)
593725	328603	Driveway Grandma (segment "Ma
593726	248902	Natacha
593727	303980	
593728	377019	
593729	181765	Loppe
593730	107590	
593731	50936	Landlady
593732	26615	Secretary
593732	48569	Camp Hostess
593732	72452	Maid
593732	114851	
593732	142610	Model
593732	175111	USO Girl
593732	216716	Girl
593733	342188	
593733	366640	Herself
593734	71	Member of Music Maids
593734	149382	
593735	280161	
593736	92520	Violet Newsome
593737	194318	Mrs. Walsh
593738	46805	Alma
593738	75382	
593738	168239	
593738	172137	
593738	174888	
593738	184181	Piling
593738	190417	
593738	213726	
593738	222110	Mrs. Miranda
593738	247262	
593738	267069	
593738	318402	Celine's Mother
593738	385703	Olinda
593738	398494	Mrs. Miranda
593738	400738	Belen Macaspac
593739	872	
593739	5051	
593739	6719	Herself
593739	6724	Herself (Host)
593739	13866	
593739	32165	
593739	34882	
593739	34928	
593739	34933	Herself
593739	38887	
593739	41567	
593739	41645	
593739	60290	
593739	79131	
593739	81835	Herself
593739	85784	
593739	93154	
593739	95803	
593739	109542	
593739	121543	
593739	126534	Herself
593739	128854	
593739	139209	
593739	141538	
593739	163480	Herself
593739	177707	
593739	184249	
593739	195712	Herself
593739	197486	
593739	208521	
593739	227997	
593739	228003	
593739	233499	
593739	235497	
593739	235498	
593739	245314	Herself
593739	270514	Racquel
593739	301737	Herself
593739	319703	Herself
593739	319704	
593739	340375	
593739	342460	
593739	348304	
593739	359439	
593739	359456	
593739	365212	
593739	368474	
593739	372522	
593740	235529	
593741	2666	Countess Anna Staviska
593741	3094	Mamy
593741	5279	Lydia
593741	6392	Chérie
593741	6619	
593741	6627	Christine
593741	7438	Françoise Athénaïs de Montesp
593741	10340	Olympias
593741	13035	Constance Chatterley
593741	17857	Christina
593741	23730	Martine Carignol
593741	23785	Françoise
593741	23869	
593741	28178	Antoinette
593741	31019	Arlette
593741	33547	Suzanne
593741	35104	Arabella Delvert
593741	37899	l'Arquebuse
593741	43399	Janine Fréjoul
593741	43720	Constance
593741	46008	Danielle Garnier
593741	54392	Lise
593741	57289	Suzanne Taylor
593741	59278	Herself
593741	63647	Béatrix
593741	66075	Calire Derouve
593741	66793	
593741	70194	
593741	70593	
593741	70940	Madame Krantz
593741	71812	Yolande
593741	73195	Mme. Marsais
593741	73471	Nicole
593741	82643	Yvonne Garnier
593741	82644	
593741	85543	Clarisse Ardan, Pierre's moth
593741	86789	Julia
593741	88060	Marion Renoir
593741	89965	Hélène de Richemond/Marianne
593741	90606	Herself
593741	94345	Judith
593741	96066	Denise
593741	96235	Thérèse Marken
593741	99909	Emilie
593741	100358	Françoise Canavaggia
593741	103206	Béatrice Berthier
593741	110053	Lilian Rander
593741	120674	Marguerite
593741	134127	Madame Zisi
593741	148741	Gabrielle/Françoise
593741	148749	Mme Dalayrac
593741	164181	
593741	165783	Hélène
593741	166268	Marceline
593741	166716	
593741	169328	Armande
593741	174635	Katia Dolgorousky
593741	184557	Berthe Heon
593741	189923	La grand-mère
593741	191316	Marie-Laure
593741	195143	Herself
593741	199322	Comtesse Louise de
593741	199602	Jacqueline Letournel
593741	199606	Denise, alias Mademoiselle Mo
593741	201159	Gabrielle Bonnadieu
593741	201170	Lorette Boiselier
593741	202747	Lolotte
593741	205775	Marie-Hélène Dumoulin, dite M
593741	208230	Jeannette
593741	208655	Marie Vetsera
593741	212150	Eve Faugeres
593741	217663	Nicole Nadin (French Version)
593741	217705	Herself
593741	219510	Evangeline Saint-Léger
593741	225410	Hedwige
593741	227595	Eléonore Denuelle
593741	238041	
593741	239228	Madame Fernande
593741	240629	Julie Follavoine
593741	243034	Gaby
593741	243039	Marie-Gabrielle
593741	247935	
593741	250507	Edith Rollo
593741	251615	Teresa, Jaci's mother
593741	254110	Mamie
593741	257212	Rosa (segment "La Maison Tell
593741	260887	Youki, Boris's wife
593741	261609	Caroline Hedouin
593741	261837	La prostituée
593741	262948	Micheline Chevassu
593741	269244	Edith Lorrimer
593741	269484	
593741	269518	Madame Pasquier
593741	270918	Nicole
593741	276540	Anita
593741	277656	Marie Devarone
593741	279634	Valentine
593741	281109	Luisa d'Asburgo-Lorena
593741	281314	Emma Breitkopf
593741	282284	Mme de Rénal
593741	283964	Queen Maria of Spain
593741	285963	Isabelle Lindstrom
593741	292343	Bit part
593741	294600	Brigitte de Lédouville
593741	300695	Agnes Sorel
593741	336078	Geneviève Dupré
593741	341345	Martine Lemaire
593741	343351	Françoise Fabre
593741	345187	Catherine
593741	345352	Jacqueline Serval
593741	346463	Margot Langlois
593741	346734	La logeuse
593741	346799	Emilie
593741	347194	Herself
593741	353938	Monique Lebeaut
593741	354699	Alice
593741	355854	
593741	356528	
593741	357848	Madeleine Depage
593741	357855	Elisabeth 'Bebe' Donge
593741	371410	Jeanne Moncatel
593741	377470	Eva
593741	382471	Clarisse Cambrèze
593741	393279	Adeline Whiteoak
593741	395480	Madame de Rosemonde
593741	396870	Marie
593741	397897	Miss
593741	397944	Tante Agnes
593741	401549	Agnès Mercier
593741	409442	Tante Lolie
593741	412203	Adrienne
593742	202699	
593743	379001	Macarena
593743	379252	
593743	379648	Fanny
593744	119628	
593745	105721	Stripper
593746	13346	Hospital Receptionist
593746	41149	Lennie
593746	47509	Mavera
593746	74024	Kit
593746	116245	Girl At Party
593746	128706	Meg (short redhead)
593746	144905	Gloria
593746	156456	Dorothy, Secretary
593746	158918	Nurse
593746	192261	
593746	211587	Jill
593746	226879	
593746	232200	Waitress
593746	245328	Sunev Girl
593746	274728	Mona
593746	283315	Sheba, Reba, or Heba
593746	305086	Band Singer
593746	339876	Miss Lapdale
593746	348072	Mousie
593747	37334	Agnes Lowzier (salesgirl, A.J
593747	50071	Helen Lawrence
593747	57099	Miss Chambers
593747	110411	Mildred
593747	118943	Villager (festival sequence)
593747	155061	Nurse
593747	163359	Niteclubber
593748	375508	1st murder victim
593749	217727	Soeur patronne auberge
593750	164146	
593751	511	Kie
593751	9433	
593751	9749	Crazed Fan
593751	20458	Conception Company Receptioni
593751	20459	Additional Voices
593751	30736	Sheen Harri
593751	46135	Gingerelle
593751	88879	Wendy
593751	109452	Connie Cupcake
593751	176534	Kacilia Zabi
593751	176536	Kacilia Zabi
593751	184959	Rosa
593751	199109	Lucy MacMillan
593751	252839	
593751	271676	Erika
593751	283624	Bar Waitress, Woman Playing C
593751	325314	Sepia
593751	373382	Additional Voices (Media Blas
593751	373384	Additional Voices
593751	385151	Additional Voices
593751	387419	Additional Voices
593751	389791	Barako Ogawa, Dorm Student, T
593751	394016	Additional Voices
593751	394424	Paula Guilish
593751	401934	VAL
593751	404879	Additional Voices
593751	406702	Additional Voices
593751	408893	
593752	37787	Store Clerk
593752	94616	Concessionaire
593752	235486	Ms. Buzzi, Highschool Teacher
593753	206048	Child
593754	267393	Phoebe
593755	85924	Lady in Waiting
593755	119803	Donna Adams
593755	134675	Pretty Girl
593755	190179	
593755	218394	Jody Simms
593755	220356	Simone
593755	269340	Kaeel
593755	320206	Miss Jennings, Dr. Raleigh's 
593755	324036	Frieda Jensen
593755	386601	Nurse Forester
593756	81984	Redhead
593757	110189	Fanny
593758	124224	On-Line Model
593758	136290	Goldwyn Girl
593759	148383	Mori Kid
593760	81320	Nurse on Bus
593760	185073	Marie Parelli
593760	288957	Nancy
593760	382770	Sandra Jones #1 (1969-1972)
593761	312151	Girl Spy
593761	371962	Hilda (age 7)
593762	44835	Germaine Buge
593762	76040	Adeline
593762	158748	Mme Donze, la voisine
593763	9324	
593763	205943	
593763	341637	
593764	252961	Smitten student
593764	256236	Pria
593765	134362	
593766	62878	
593766	105866	
593766	113119	
593766	228356	
593766	353563	
593767	108455	
593768	91972	La danseuse
593768	350919	La danseuse
593769	82920	
593769	91702	
593770	133673	Undetermined role
593770	145076	Hat Check Girl/Nurse
593770	163451	
593770	331596	Switchboard Operator
593771	198339	Thérèse
593772	26556	
593772	57261	
593772	58149	
593773	57261	
593774	41214	Becky
593775	218742	Annie
593775	244979	Trixie/Girl
593776	25088	La dame du vestiare
593776	114760	
593776	124324	
593776	264024	
593776	280562	
593777	7479	La bonne
593777	90759	Une infirmière
593777	120987	Anaïs
593777	148722	Marie
593777	281580	
593777	301404	La cuisinière
593777	350919	Amélie
593778	108817	Barmaid
593778	154516	Nurse
593779	88995	Herself
593780	283047	La soeur de Jeanne
593782	376995	La concierge du 22
593783	101806	Fanny
593784	399925	Anni Oberbeck
593785	84156	
593786	71519	
593786	224891	
593786	236164	
593788	109557	Viola
593788	184294	Elisabeth
593788	293245	
593789	407492	Herself
593790	33638	
593792	101991	
593792	283737	
593792	332781	
593793	40886	
593794	63993	Felicia Venable (Sabra's moth
593794	205728	Marie Bashkirtseff
593794	209604	Sari Hatvani
593794	322080	Az öregasszony
593794	342426	
593795	17555	French Maid
593795	126269	
593795	138440	Female Prisoner
593795	207584	Duchess of Montmorency
593795	343776	
593795	377228	Iparos asszony
593795	377723	
593795	379094	
593796	73634	
593797	95140	
593797	122903	Maisie
593797	199742	Millie Fiske
593798	96066	Un amie d'Odette
593799	34116	Various characters
593799	55683	Maureen
593799	380185	
593799	381661	Herself/Various Roles (1974-1
593800	336141	German Schoolgirl
593801	45113	La tante
593801	90681	Adriana Savelli
593801	98012	Nefer
593801	132064	Isolène
593801	142346	Denise Montel/Prof. Gerard
593801	166128	Pascale Barret
593801	166149	Marianne Colas
593801	246645	
593801	254955	
593801	270404	Nicole
593801	270765	
593801	282100	Nora, madre di Silvana
593801	348689	
593801	377824	Solange
593802	401642	Why Bird
593803	198059	Kvinde ved fest
593804	7780	Fru Berner
593804	11769	
593804	99510	Bargæst
593804	105045	Peters sekretær
593804	116313	Rosa 'Anita' Mogensen
593804	164767	Ulla Pauce
593804	182273	Kitty
593804	196488	
593804	214350	Hotellets bartenderske
593804	214366	Else Berg
593804	214370	Else Berg
593804	214371	Else Berg
593804	214372	Else Berg
593804	255675	Ester
593804	262961	Kirsten
593804	274934	
593804	303950	
593804	317600	Jeanette
593804	322291	Inger
593804	322457	Tove Thygesen
593804	322961	
593804	334255	Sara Klint
593804	341697	Mrs. Britta Pegel
593804	343519	Fru Cordelius
593804	351462	Vera Larsen
593804	352120	Elisabeth
593804	353045	Brudens kusine
593804	361244	Mrs. Oxblood
593805	94715	
593805	104457	
593805	187913	
593805	378362	
593806	84190	La religieuse (segment "Chère
593807	93569	Herself
593807	101380	Donna
593807	142929	Anne's Lady in Waiting 1
593807	361897	Herself
593808	1648	Mrs. Allen
593808	1962	Herself
593808	2104	Miss Florie
593808	7414	Ma Stanton
593808	7832	Mrs. Russell, 'Aunt Diddy'
593808	8291	Landlady
593808	9034	Ma Kearns
593808	11583	'Ma' Donahue
593808	17475	Mrs. Gage
593808	22883	Mrs. Carlton
593808	26775	Mrs. Schmidt
593808	31103	Mrs. Rogers
593808	31139	Narrator (dialogue)
593808	32439	Mrs. Webster, Head Prison Mat
593808	32692	Mrs. Marble
593808	37511	Mrs. Connelley
593808	40628	Ma Taylor
593808	43469	Mrs. Wharton
593808	46982	Eliza Kent
593808	46987	Mrs. Higgins
593808	51975	Isolation Matron
593808	54492	The Widow Mrs. Eliza Croft
593808	54593	Tugboat Annie
593808	54667	
593808	58419	Mrs. Huguenine
593808	59100	Mrs. McGowan
593808	59101	Mrs. Thompson
593808	61583	Mrs. McGonegal
593808	71718	Mrs. Graham
593808	72273	
593808	72521	Mrs. Harold
593808	73746	Mrs. O;Hara
593808	75481	Mrs. Henrietta Denham
593808	78187	Aunt Cynthia
593808	78849	Aunt Hattie
593808	79368	Mrs. Murphy
593808	79581	
593808	83783	Curtis' Housekeeper
593808	83809	Freshman's Mother
593808	84828	Ma Stone
593808	99841	Head Nurse Brown
593808	105689	Mrs. Belden
593808	108282	
593808	109402	Customer at Maison Elegance
593808	109911	Minverva Bobbin
593808	112248	Mrs. Henry
593808	112421	Pioneer Woman
593808	113634	Maude, the Head Nurse
593808	113885	Mrs. Miller, Apartment House 
593808	114059	Mrs. Ellis
593808	114670	Mrs. Waldron
593808	118434	(scenes deleted)
593808	125896	Landlady
593808	127698	Aunt Emma Forrester
593808	128257	Nurse
593808	128706	Matron Jamieson
593808	131240	Mrs. Dolly Merriwether
593808	131471	The Wife
593808	131900	Irma
593808	132323	Miss Trask
593808	132821	Mrs. Keefe
593808	133629	Aunt Emma Forrester
593808	133653	Miss Keats
593808	138686	Mrs. Davis, the Landlady
593808	140757	Mrs. Case
593808	140942	Matesa
593808	141555	Gladys, the Wife
593808	145114	Grandma
593808	146755	Jenny
593808	150321	Mrs. Brock
593808	150754	Grandma Wilson
593808	152204	Widow Douglas
593808	153630	Madam
593808	154354	Mrs. Patterson
593808	157121	Minister's Wife
593808	160432	Aunt Mary Perkins
593808	163264	Mrs. Maguire
593808	163300	Mrs. Spatch
593808	166691	Boardinghouse keeper
593808	166990	Mrs. Samuels
593808	167707	Ettienne
593808	169362	Dinner Guest
593808	169406	Mack
593808	170988	Mrs. Sheldon, Bill's Mother
593808	175180	Mrs. Ferris
593808	177308	Mrs. Williams
593808	183405	Mrs. Turner, Head Matron
593808	185335	Delia Boylan
593808	186013	Glory Bradford
593808	187691	Nellie Thursday
593808	188457	Mrs. O'Keefe
593808	190051	Landlady
593808	190061	Ida Harris
593808	192032	Miss Hutchins (orphanage matr
593808	192056	Martha Bradley
593808	195764	Mrs. Flaherty
593808	196489	Mrs. Mariah Clemm
593808	203350	Mrs. Chadwick
593808	206881	Bird woman
593808	207418	Milwaukee Sadie
593808	208896	Nora McFadden
593808	210801	Mrs.Scott
593808	212102	Grandma
593808	214106	Ma
593808	214977	
593808	219786	Mrs. O'Day
593808	222818	Banquet guest
593808	223046	Mrs. Pearson
593808	223810	Kate Nelson
593808	227351	Mary Flaherty
593808	228829	Mrs. Keats
593808	233825	Patient
593808	240898	Annie
593808	241096	Mrs. Wood
593808	241557	Mrs. Sweeney
593808	241595	Mrs. Barrett, Mary's Mother
593808	241751	Mrs. Lind, Amy's Mother
593808	242054	Mrs. Brainerd
593808	242110	Mrs. Lane
593808	245843	Jenny Grier
593808	246337	Dora
593808	250377	
593808	260224	Woodward
593808	264775	Mrs. Meecham
593808	264776	Miss Adams
593808	271293	Aunt Phoebe (Mrs. Smiley)
593808	271855	Aunt Ri Hyar
593808	273232	Mrs. Tyler
593808	273786	Mrs. Connors
593808	274026	Aunt Jane
593808	274356	Mrs. Curtis
593808	274548	Hattie Hickory
593808	274725	Mrs. Haggerty
593808	280830	Roman Spa Manager
593808	281866	Senora Castro Kenton, Juanita
593808	283075	Mrs. Van Buren
593808	289585	Miss Cardell
593808	292166	Mrs. Lockridge
593808	298070	Mom
593808	302723	Ma Marine
593808	304606	Mrs. Marlowe
593808	305395	Katie
593808	312774	Herself
593808	313301	Mrs. Martha Lind
593808	318927	Aurora Ratchitt
593808	319010	Mrs. Helen Dobson
593808	320025	Molly Hale
593808	327821	Mrs. Henderson
593808	330004	Mrs. Rogers
593808	330336	Grandma Allen
593808	331283	Mrs. Kilian
593808	331410	Mrs. Wurdeman
593808	331688	Sister Mary Brigid
593808	333315	Polly, Helen's supervisor
593808	335118	Widow Douglas
593808	335357	Mary
593808	337778	Aunt Ella
593808	346863	Mrs. Callahan
593808	347731	Mrs. Maggie Moriarty
593808	348384	Mrs. Graham
593808	358175	Sister Ledeyard
593808	358451	Landlady
593808	359285	
593808	359749	Alice's Aunt
593808	360527	Mrs. Bush
593808	360533	Mrs. Walsh
593808	363823	Maud Mahoney
593808	363960	Miss 'Sailor' Robets
593808	364027	
593808	365086	Mrs. Krueger
593808	365096	Jack's Mother
593808	367908	Mrs. Robinson
593808	367962	Baroness
593808	372413	
593808	372935	Supervisor Stormer
593808	374581	Sophie
593809	176836	
593810	50993	La tante
593811	51919	
593811	83297	Une locataire
593812	193833	
593812	193834	
593812	193836	
593812	193840	
593812	197243	
593812	197260	
593813	167691	Screaming lady
593814	250559	
593815	10648	Cop 2
593815	41459	
593815	82411	
593815	124564	Woman in the Oven ('When Alic
593815	186138	
593815	260400	
593815	267879	1st Courtesan
593815	268985	Margie MacDonald
593815	289450	
593815	338648	attrice
593815	344591	
593815	356165	Doria
593815	392654	
593816	250652	
593816	355189	Maria West (segment "The Perf
593816	363756	Tv news anchorwoman
593818	351761	Danse Orientale
593819	370963	Priti
593820	318716	Mimsie
593821	199334	
593821	248829	Mme. Mobet
593822	128294	Dasha
593823	136576	Táncosnõ a filmben
593823	144742	
593823	163123	
593823	175089	
593823	175635	Zotyó anyja
593823	180824	
593823	322126	Munkásnõ
593823	377768	
593824	60897	L'amoureuse
593824	132267	Minnie
593824	282494	
593825	94700	
593825	255014	Nadine
593825	331013	Henriette
593826	10071	Madame Guézy
593826	11934	
593826	14349	Yvette
593826	106988	His Employee
593826	108895	
593826	134605	Bonne de Carole Bouquet
593826	248931	
593826	256745	La vendeuse
593826	291070	La femme accro
593826	336962	La nouvelle secrétaire
593826	345459	La voisine
593827	51269	
593827	54083	Susana Jordán
593827	55187	
593827	64037	
593827	69010	
593827	75179	
593827	145267	
593827	171458	
593827	212529	
593827	215023	
593827	237216	
593827	287734	
593827	292771	
593827	354470	
593827	376811	
593827	380093	
593828	286880	Débora (Hermana de Samy)
593828	378658	
593828	380072	
593828	380108	Marita
593828	385849	
593828	387098	Olga
593828	388093	Susana Nicoli
593828	401904	Laura Souto
593828	401914	Graciela
593828	402151	Isabel
593828	403404	María Julia 'Majula' Del Sola
593828	405916	Helena
593828	410423	
593829	248513	Nanà
593830	2252	(segment "Chambre, La")
593831	18478	
593831	30415	
593832	84533	
593832	387804	Santa
593832	389643	Mariquinha
593832	390489	
593832	390658	Jacira
593832	405451	Mariinha
593833	206139	Inez
593833	328581	Anna Chang, housekeeper
593833	336541	Miss Soong
593833	342822	Sphinx Girl
593834	250585	Durga
593835	119650	
593835	268301	Ms. Rosa
593835	308742	
593836	77985	Francine
593836	113957	Lisa
593836	232509	Kim
593836	305221	Lola
593836	383385	Princess Yasmeen (1986)
593837	262471	
593838	24873	
593838	50956	Chitra
593838	167466	Miss Roy
593838	213782	Kanak
593838	248701	Hashi
593838	249843	
593838	271538	Sabitri
593839	36208	Doctor
593840	18121	
593840	287396	
593840	300430	
593840	317777	
593841	409153	Herself - Weather Forecaster 
593842	77306	Mukut Saikia
593843	6430	Champak
593843	12928	Maya
593843	202108	Sati
593844	8250	Leena ('Chacha's' assistant)
593844	9171	
593844	20296	
593844	85371	
593844	108988	
593844	152475	Mithoo
593844	152480	
593844	160167	
593844	168552	
593844	173506	
593844	204910	Rekha
593844	268598	Dancer
593844	271422	Dancer
593844	297317	
593844	297545	
593844	328227	
593844	350597	Dancer
593845	23953	Monica
593845	191669	Asha
593845	404785	Poona Bai
593846	4236	Sakhina
593846	9502	Supriya
593846	30531	Veda
593846	31423	Saanvri
593846	79455	Charu
593846	96728	Shanta, the Ayah
593846	98478	
593846	113724	Sita
593846	139399	Afsana
593846	140665	Nandini Mitra
593846	165603	Sarasu
593846	172086	Bhaskar's wife
593846	173448	Kannagi
593846	173455	Shyama
593846	184170	Rupi
593846	248959	
593846	256832	Paro
593846	280187	Lily Vegas
593846	284744	
593846	300422	Journalist
593846	307604	
593846	319333	Mamta Sekhri
593847	83733	A girl in trouble
593847	250584	Rani
593848	16283	
593848	19634	Madhuri
593848	38227	Elokeshi
593848	84795	
593848	172547	Baijee
593848	174838	Basan
593848	205065	
593848	295021	Lily Ganguly
593848	297435	
593848	354356	
593849	28351	Devaki
593849	62656	Anitha
593849	97752	Basanthi
593849	173440	Sethulakshmi
593849	350724	Maani's Sister
593850	4425	
593850	36306	
593851	76463	Bride
593852	38631	
593853	217892	Lati
593854	23953	Tracy
593854	191669	Lalli
593855	389348	Co-Host (1998-2000), Host (20
593856	144386	Mythili
593856	218341	Aditi Verma
593856	272854	Janaki
593856	349757	Gemini
593857	8648	
593857	131014	
593857	205052	
593857	397878	Michelle Sher/Michal Shori
593858	316641	Eddie's Girl
593859	17855	
593859	33547	La vieille Arcanie
593859	100444	
593859	115345	Marthe
593860	231426	High school Kid
593861	367271	Researcher
593862	318200	
593863	4180	
593863	220855	
593863	222561	
593863	250609	
593864	50956	Namita
593864	131947	Lolita
593864	167466	Molly
593864	318575	Sobhana
593864	325333	
593865	286637	Jamie
593866	93197	Elizabeth
593867	303288	Herself
593867	379989	Herself
593867	397270	Herself
593868	13362	Dash, Our Resident Hero-ologi
593868	13363	Dash, Our Resident Hero-ologi
593868	13364	Dash, Our Resident Hero-ologi
593868	404897	Numbers (1997)
593869	3818	Herself
593869	296552	Our Guests at Heartland
593870	66194	Dionne Marie Davenport
593870	66196	Herself
593870	66899	Bec Rosenberg
593870	101075	Toni Briggs
593870	109276	Denise Grey
593870	123696	Kim
593870	126715	
593870	188483	Amanda
593870	216672	Amber Evans
593870	220622	Casey Pear
593870	246756	Hallie Gilmore at 18
593870	248125	Tamika
593870	253510	Leah
593870	275602	Pvt. Miranda Myers
593870	277892	Real Venus
593870	327974	Minnie
593870	354164	Angela
593870	384531	Dionne "Dee" Davenport
593870	409098	Monique
593871	41645	
593871	41866	
593871	54430	
593871	60970	
593871	76932	
593871	107093	
593871	160240	Herself
593871	163479	Herself
593871	188415	Herself
593871	206811	Shirley Carter
593871	255397	
593871	257620	Herself
593871	339604	
593871	348825	
593872	234661	Jenny
593873	6437	Stefanova
593873	205422	Maykata na Margarit
593873	242467	
593873	258130	
593873	352278	
593873	352888	
593873	357433	
593873	373242	
593874	163997	
593874	246343	Nelli Eduardovna
593874	374676	Mat Lidochki
593875	5332	Patti
593875	185916	Jackie
593875	395736	Lucy
593876	275490	Sean
593877	49948	Ann
593878	117338	
593879	341241	Qetu
593880	346142	Hotel Rainbow Guest
593880	358052	Wandering Jew
593881	55208	Micaëla
593881	338622	Flora Belvoix
593882	206612	Matlock
593883	257598	
593884	86427	Model
593884	102931	Vicky
593884	120984	Hôtesse soirée
593885	140347	Waitress
593886	122180	Young Anna
593887	308794	Woman in Car
593888	152579	Sonya
593889	407224	Emily Pereira
593890	321208	
593890	344474	
593891	150601	
593892	254649	Dry Wells Newscaster
593892	291039	1st Female Dealer
593892	307622	Marge Matthews
593893	557	Peurd
593894	91929	Body #1
593895	205248	Marchesa del Grillo
593896	74215	Azaria
593897	376939	La femme du producteur
593898	225131	Edith K.
593898	266007	Lorchen
593898	280309	Lu
593898	290652	Antoinette
593898	310940	Prostituierte
593899	84768	
593899	268106	
593900	13041	
593900	23774	Miquette
593900	23775	Cooper
593900	23781	Paulette
593900	23782	Paulette
593900	23783	Eve
593900	23792	Paula
593900	23800	Eliane
593900	23815	Isabelle
593900	23824	Annette
593900	23829	Louise
593900	28168	La journaliste
593900	28871	Fabiola Del Gato
593900	46705	
593900	60519	Colombe
593900	65385	Yvette
593900	69119	Dominique
593900	91457	Josette
593900	95854	Danielle
593900	103637	
593900	144498	L'assistante de Bibolini
593900	161672	L'amie de Lydia
593900	169348	
593900	201141	Gloria
593900	243141	
593900	244309	Bianca, maîtresse de Cassio
593900	266010	Irene
593900	266035	Giovanella
593900	266167	
593900	279988	Lolita
593900	343574	La blonde du bar
593900	345037	Madomoiselle Marthe
593900	346457	La femme de chambre
593900	346773	Mireille
593900	350184	
593900	384746	
593900	387611	Cornillat
593900	392580	
593900	409440	
593901	55877	
593901	74348	Rose
593901	204656	Femme d'Ange
593902	130117	La duchesse
593902	145740	Mother
593902	357862	Madame
593902	393330	Irma
593903	381200	Gute
593903	381583	Beatriz
593903	400670	Zoé
593903	401900	Sandrinha Greco
593903	402685	Princess Maria da Glória
593903	406833	Patricia
593904	132434	Edith
593904	207630	Madeleine
593904	223123	La jeune fille
593904	250507	
593904	252361	La prostituée
593904	265739	Romain's Friend
593904	345258	Girl
593904	350070	Julie
593905	263219	La Jeune femme enceinte
593906	100280	
593906	134957	
593906	387919	
593907	25111	
593907	63677	
593907	101950	Une élève du Conservatoire
593907	272338	
593907	321831	Miss de la Grange
593907	377809	
593908	254085	Un enfant Anglais
593909	84002	Party Guest
593910	201088	Seema
593911	16948	Mère Saint-Jean
593911	17542	
593911	40280	Honorine Cailloux
593911	59056	
593911	59774	La prostituée
593911	63157	La mère de Christophe Colomb
593911	68894	Madame de Villefort (part 1 &
593911	108210	Marie-Louise en 1973
593911	113252	Adèle
593911	125838	Tante Berthe
593911	148605	Herself
593911	156319	Patricia
593911	174635	La Tsarine
593911	189598	Maria Wyler, old
593911	225517	Mme. Clancul
593911	237653	Mme Parrot
593911	258857	Mère Cazal
593911	258871	Mme. Brhard
593911	273673	L'Herminie
593911	300723	
593911	330984	La grand-mère
593911	341546	La Thibaude
593911	346787	Mme. Dandieu
593911	357113	Madame Sauvaget
593911	377791	La mère Guy
593911	380237	Le peguinotte
593911	405696	Madame Delbarre
593912	42711	Anne (segment "The Gas Statio
593912	160416	(segment "The Wet Dream")
593912	170982	Sarah
593912	185253	Heir Apparent
593912	230127	Mary Magdalene
593912	253364	Cathy Paxton
593912	263234	Prosecutor
593912	270903	Hannah the Hun
593912	290988	Janet Hill
593912	348431	Judy/Warrior Woman
593912	390365	Barbara Goode
593913	280574	Mitsuko, Koichiro's fiancee
593914	101564	Lady in Waiting
593914	102626	Yumeko, a Dancer
593914	142586	
593914	144678	Yoshie, Jiro's wife
593914	174060	Machiko, typist
593914	199417	Madame, the neighbour
593914	207577	Girlfriend
593914	227319	Yoko Takasugi
593914	227320	Yoko Yakasugi
593914	275061	Teruko
593914	293505	
593914	293608	Rich girl
593914	299573	
593914	300469	Furyou, Modern Girl (Satoko)
593914	334947	Harumi
593915	266767	George's Girl
593916	145663	Patricia
593917	7709	
593918	244964	
593919	267088	Reporter #3
593920	128772	Contest Winner WEBN 102.7 FM 
593921	296348	
593922	2361	(complete version)
593922	25164	La bibliothécaire
593922	86396	Lune
593922	113127	Christine
593922	184263	Pascale
593922	204913	
593922	234783	Josette Lecontour
593922	259024	
593922	284222	Madame Rousselet
593922	336311	L'infirmière
593922	355872	Amélie blonde
593922	386476	La fleuriste (segment "Rumeur
593922	392911	Chef du personnel
593923	189430	
593924	235662	
593925	256141	Butch Blonde
593926	172920	Rasa Devi's Courtesan
593927	64872	Schoolgirl's Mother
593928	64872	Margareta
593929	167466	Bela
593930	61576	Kathleen Beavier
593930	70869	Claire Winslow
593930	74008	
593930	105792	
593930	113359	Paula
593930	155879	Sharon Liner
593930	159550	Joan Feynman
593930	161537	Rex's Young Woman
593930	171311	Brunette Tourist
593930	187253	Kimberly
593930	195277	Elaine
593930	215174	Nikki Chandler
593930	261989	Betsy
593930	268201	Pia
593930	269642	Allison Street
593930	307886	Suzanne
593930	317517	Skyler
593930	342904	Angel
593930	384157	Yola Gaylen
593930	384742	
593930	391706	Angela
593930	392238	D.J
593930	395869	
593930	400003	Deborah Beaumont
593931	8616	Geneviève
593932	104766	Israeli entry (3rd place)
593932	175002	Herself
593932	175005	Herself
593932	175010	Host
593933	18343	Leni Lugauer
593933	92440	(unfinished)
593933	93495	(unfinished)
593933	105521	Therese
593933	107962	Rosl Mang
593933	120935	Fräulin Figarro
593933	142075	Antschi, Gräfin Dorival
593933	150630	Frau Stoppeling
593933	175399	Veronika
593933	210105	Gretl Klaghofer
593933	238124	Jula
593933	275190	Elli Werner
593933	281954	Christl von der Post
593933	290575	Nelly, the kid
593933	301018	Lilly Burger
593933	347559	Franzi
593933	361122	Ice-skater (Unfinished)
593933	364988	(unfinished)
593934	378168	Dancer
593935	10888	
593935	27153	Dream Woman
593935	35643	Lynn McKay
593935	50975	Ursula Merkle
593935	51511	Lisa (Bobby's Mom)
593935	57174	Claire Scott
593935	107103	Sabrina
593935	149705	Tiffany
593935	154620	Beth
593935	159718	Amy Hamilton
593935	263170	
593935	267350	Ilsa
593935	276610	Ilsa
593935	303836	Laura
593935	312968	Lydia
593935	313045	Ruth Gayle
593935	363078	
593935	398718	
593935	399699	Maria
593935	402863	Ranma Saotome (female) (#1)
593936	108543	Enfant de Tranche Montagne
593937	140039	
593938	354563	Club 1,000,000 Lineup
593939	377983	Sophie
593940	27149	Secretary
593940	43742	Gossip
593940	68248	Dowager
593940	77794	Board Member
593940	97697	Ida Pipp
593940	143651	Bit Part
593940	163476	Mrs. Dale
593940	203463	Bit Part
593940	223854	Elderly Actress
593940	241443	Aunt Helen
593940	242812	Mrs. Dandridge
593940	323206	Mrs. Martha Tompkins
593940	355225	Mrs. Armitage
593940	363960	McPherson
593941	107396	Student
593941	115894	Girl
593941	289014	Hanna
593941	304972	Half Sister
593942	277074	Herself
593943	51378	Herself
593943	94392	Lea
593943	104232	Florine
593943	104731	French entry
593943	323731	
593944	5308	Buyer
593945	412266	Agnès
593946	407361	Host (January 1999-)
593947	21280	La femme de la galerie
593948	201168	Pascaline
593948	376998	
593948	384789	(1989-1990)
593949	149865	
593950	27117	
593950	38378	
593950	49350	Young Mother
593950	57703	Tanya At Karaoke Bar
593950	66991	Police secretary
593950	71922	Betsie
593950	119502	Rhonda Mack
593950	132181	Andrea
593950	187072	Gloria
593950	196024	Marissa
593950	222573	Waitress
593950	246604	Donna
593950	304955	Bar waitress
593950	340669	Nancy
593950	382240	Claire
593950	400808	(2004-?)
593951	369142	Kapelle (Musikverein Frieshei
593952	274709	Mme Carbini
593953	158618	
593953	158673	House Helper
593954	10994	Melda
593954	17299	
593954	67725	
593954	99286	Liza
593954	122736	
593954	162111	
593954	162722	
593954	172943	
593954	173637	
593954	174291	
593954	181762	
593954	182232	
593954	190415	
593954	190731	
593954	267028	
593954	284637	
593954	285990	
593954	287953	
593954	294398	
593954	302035	
593954	302294	
593954	302894	
593954	310642	
593954	323923	
593954	339867	Socorro/Maricha/Dolora
593955	12571	
593955	19304	Mirna Lampe
593955	34520	Mathilde Kronschnabel
593955	40398	Sonja
593955	69113	
593955	75936	
593955	76376	Anny
593955	79165	Guest
593955	93424	Fanny Holzmann
593955	101339	
593955	104262	
593955	119058	Dolly
593955	119368	
593955	120930	Katja
593955	120995	Erna Dünnschede
593955	124613	
593955	125333	
593955	126836	Evelyne Thomson
593955	134809	
593955	142018	Freundin des Bankdirektors vo
593955	145488	Loni
593955	147167	
593955	155382	Röschen
593955	156047	Josephine
593955	168432	
593955	178361	Mimi
593955	178583	
593955	178704	Gertie
593955	178807	Anni
593955	178810	
593955	178844	Lucie
593955	178984	
593955	179757	
593955	180872	Pauline
593955	188771	
593955	189736	Constance Farrington
593955	189786	
593955	189794	
593955	204438	Ossi la Planta
593955	210105	Ada de Niel
593955	225244	
593955	226289	Charlotte
593955	239026	Gräfin Bleuforet
593955	287098	
593955	290836	
593955	293621	
593955	317129	
593955	329898	
593955	347642	
593955	350851	(uncredited) (Dame mit Nelke)
593955	351939	Marianne
593955	352245	Nora Pizzini
593955	352568	Vera Brenkow
593955	354111	Anita
593955	366554	
593955	376321	
593956	123884	Dancer
593957	190898	Julia
593958	111130	
593958	132975	
593959	187627	Enfermera Domitila
593960	99375	
593961	219703	
593962	65202	
593963	197512	
593964	78494	Herself (performing: 'Sha la 
593965	345931	Lotta
593966	226186	
593967	123501	Sygeplejerske
593968	40552	Stopless Topless Model
593968	261478	Waitress
593969	151732	Mrs. Smith
593970	327756	Anne
593971	125578	Monica Webb
593972	111425	Pit Bull Owner
593973	100877	Nun
593975	367856	Herself
593976	244416	Melissa
593978	174792	
593980	355157	School Teacher
593981	29408	
593981	29591	Madame Lambotte
593981	51792	Madame Pruneau
593981	124151	
593981	161997	
593981	217725	La bonne
593981	300727	Catherine
593981	307344	L'infirmière
593982	356926	(segment Voskresnyye progulki
593983	46509	Herself
593983	216518	
593984	12622	Patient One
593985	69447	
593985	197932	
593985	312784	
593985	368793	
593986	38576	Nurse
593986	289103	Major Greaves M.D.
593986	308128	Christie's Auction Goer
593987	1833	
593988	217201	Jenny Marx
593989	140636	Peter's Wife
593989	140967	Boy's Mother
593990	136819	Josephine Corcoran
593990	256618	Mabel
593991	144692	Herself
593992	401328	Various characters
593993	27918	Femme dans la rue
593993	153885	
593993	211622	L'infirmière
593994	301199	
593995	58752	Aliénor, as a child
593996	104616	Singer (song "Paris Latino")
593996	313194	Herself
593996	406378	Herself/Member of the jury
593997	28867	
593997	216214	Bartira
593997	295103	Vampirete
593997	349723	
593997	394121	Odília
593998	17543	
593998	23181	
593998	27338	
593998	39844	Member of the Court
593998	42104	
593998	52823	Claire Devezac
593998	54845	Mlle. Thomas
593998	54889	Chaperon
593998	61753	Dowager
593998	79958	
593998	87106	Dead Dowager
593998	91235	Lady Vernon
593998	95847	The Principal
593998	103780	French Flower Woman
593998	110363	Woman
593998	117406	Lady-in-Waiting
593998	123354	Casino Patron
593998	124090	Bit Role
593998	125506	Madame Frump
593998	129082	
593998	132753	Marquesa
593998	133887	Countess von Hurtig
593998	140880	Extra
593998	141489	Baroness Veimar
593998	154003	Passenger
593998	154901	Society Matron
593998	154906	Dowager
593998	183841	The Duchess of Barwick
593998	185753	Barbara
593998	188393	Dowager
593998	195288	Dowager
593998	195883	Dowager
593998	196122	Queen
593998	196967	Duchess
593998	199402	Dining Room Guest
593998	203536	Lady-in-Waiting
593998	230730	Guest at Grand Ball
593998	248983	Mademoiselle Miche
593998	279442	
593998	281857	Mother Superior
593998	283093	Effie's guest in Paris
593998	289503	Court Gossip
593998	297891	Bit Part
593998	302611	Customer
593998	316164	The Princess
593998	335474	Banquet guest
593998	347065	Customer
593998	349633	Opera Recital Audience
593998	352929	Animal Woman
593998	359275	Countess
593998	368371	
593998	372464	Countess Morne
593999	8936	Violette/Marguerite
593999	15084	L'actrice du bar
593999	15241	Emmannuelle
593999	28150	Zonzon
593999	54804	Solange
593999	57891	Moune
593999	63693	Marion
593999	68336	Nadia
593999	73912	Martine
593999	92905	Jackie
593999	97393	Herself
593999	111139	Marie-Josèphe
593999	119423	Georgette Roumagnac alias Mar
593999	129121	L'intellectuelle
593999	248267	Monique
593999	249682	Philo
593999	251539	Juliette Ledru
593999	252665	Connie
593999	261711	Elle
593999	268948	Colette
593999	345117	Sylvia
593999	346620	Esther
593999	354908	Paula
593999	356206	
593999	377018	Mireille Martin
593999	377019	Mireille Martin
594000	268156	Prof. Higgins' maid
594001	292336	Justine
594002	104888	
594002	110385	
594002	158854	Maddalena
594002	212118	
594002	240269	
594002	252337	
594002	354680	Maria la brutalona
594003	19749	La monitrice
594004	7473	Jeanne Seznec
594005	7473	Jeanne Seznec
594006	295214	
594007	217004	Babette
594007	340502	Sonja Nathanson
594007	352420	Teacher
594007	359613	
594008	157015	Liz Ventura
594008	347856	Katrina Aquilar
594008	379831	Dianne (1990-1992)
594009	111023	La vendeuse de moto
594009	148651	Clémentine
594009	205639	Anna
594009	216774	La belle-fille de Mocky
594009	346542	Maryse
594009	386103	Florence
594010	402834	Magalie L'Espérance
594012	384788	Branche d'Or
594013	278996	Gouvernante
594014	25785	Garde malade
594014	118778	Chiara
594014	208209	Eva Valmy
594014	346790	Amélie Carton
594014	354912	
594015	224326	Waitress
594015	301654	Tanya Saltemeir
594015	340908	Apathy
594015	361618	Brittany
594015	402345	Heather Tupperman (1999-2001)
594015	409558	Amber (1995-1997)
594016	85693	Soeur Antoine (la soeur touri
594016	102006	
594016	254138	Le concierge
594016	346743	
594017	204698	
594018	37570	Signora Clara
594018	56443	
594018	220844	Restaurant Owner's Wife
594018	263934	
594018	286593	
594019	23750	Une pensionnaire de la Maison
594019	84599	
594019	259732	
594020	355190	
594021	354203	Extra
594022	139095	Herself - Wife
594022	147279	Woman
594022	212828	Woman
594022	237019	Woman
594022	360321	Woman
594022	387279	Woman (1995-1996)
594022	410688	Woman (1996-1997)
594022	410689	Woman (1991-1994)
594023	229414	Nanna
594024	341195	Franciska
594025	60958	
594025	77351	Lady Lyndstone
594025	156273	
594025	217721	Germaine Bellanger, sa femme
594025	234645	
594025	235854	
594025	250835	La Tante De Julien
594025	259310	
594025	336992	La tante
594025	340128	
594025	340137	
594025	345520	
594025	346499	
594025	346578	La Comtesse Augustine de Lura
594026	285819	Sylvie
594027	351023	
594028	217827	Lawyer
594028	225416	Françoise
594028	346760	La Cliente chic
594029	265615	Sylvia Potter
594030	18317	Le bébé
594031	340191	
594032	18307	She
594032	107958	Rachel
594033	5899	Araminte
594033	18272	Antigone
594033	23780	Evelyne Holt
594033	41838	
594033	56944	Joëlle
594033	73150	
594033	166266	Mme de la Sablière
594033	215262	Arsinoe
594033	250509	Mathilde
594033	339618	Mercédès
594033	384859	
594033	393400	
594033	395620	Janine (segment "Janine")
594033	409537	Naia Vallier
594033	409806	Solange
594034	150422	Gizelle
594035	95327	
594036	78379	Jeanne
594036	123901	
594036	157217	Gaby
594036	268956	
594037	197452	
594038	112806	
594038	164139	Edith Laurin
594038	206951	
594038	243078	
594038	276117	
594038	322832	
594038	375105	
594038	375106	
594039	259840	Zita
594040	342531	Mae
594041	216116	
594041	216117	
594042	230933	Groupie
594042	311537	Delta Phi Girl
594043	48217	Shawniqua
594043	207828	Lavender
594044	11010	Schmidt
594045	64750	Juliet's Friend
594046	123435	Rachel
594047	16093	Teddy Sampson
594047	127147	Bess Gunther
594048	151758	Cal, Cherry Bomb
594048	196084	Backup Singer
594048	286386	Lenore Finley
594048	367633	Dominique Jensen
594049	160980	Loara
594049	324904	Zina
594049	367633	Nancy
594050	19126	Milly Gaskill (Miss Gaskill)
594050	35463	Layla
594050	80986	Lisa
594050	131348	Jessica Gordon
594050	143499	Melissa Drake
594050	150844	Sondra Rankin
594050	166873	Bettina
594050	244810	
594050	253335	Violet Moore
594050	279224	Ashley Stevens
594050	317353	Paula Kelly
594050	343080	Sally
594050	343318	Crying Woman
594050	348592	The Mistress
594050	365163	Shiloh
594050	392177	Hillary Gant (episodes 1-4)
594050	404400	Leslie O'Connor (1985-1986)
594051	61911	Herself
594051	393801	Leticia
594051	398167	Mama
594051	405842	Mariana
594052	378603	
594053	186192	Grille d'Egout
594054	383111	Host
594054	389130	Herself/Co-host (1990-1991)
594054	407049	Host
594054	409273	
594054	409277	Herself/Weather forecaster/Oc
594055	132513	
594056	41368	Paradise Guard #2
594056	118027	Thai Soldier #2
594057	404050	Elaine
594058	162183	Shohreh Azizi
594059	277167	Herself
594060	345945	Anna
594061	375431	Child II
594062	134018	Omjeet's Mom
594063	342857	
594064	64872	Schoolgirl
594064	234483	Vimla Sar
594065	4239	Vimla
594065	172539	Rohit's Mother
594065	178203	
594065	178299	Koki, Jaya's mother
594065	195461	Gujarati motel owner's wife
594065	249663	Haryanvi's wife
594065	394967	Daksha Virani
594066	363505	Poonam Mehta
594067	324638	
594068	319830	Sara Dahlmann
594069	225476	Elisabeth Remington
594070	15116	Mme. Godfroy
594070	23656	Bénédicte
594070	53069	Aurore
594070	64274	Simone
594070	84625	Madame Chardon
594070	107532	Christelle Corson
594070	120971	La fermière
594070	198605	Marthe
594070	237998	La mère
594070	345371	La mère
594070	355237	La femme de l'éleveur
594070	356521	Juge salle commune
594070	377052	
594070	385491	Cédric's mother
594071	111045	
594072	194819	Joyce
594073	15861	African-American Family
594074	8078	
594074	13563	
594074	22811	
594074	22840	
594074	27216	
594074	27561	
594074	32342	
594074	34688	
594074	35142	
594074	48048	
594074	57140	Mother
594074	57149	
594074	57181	Wife
594074	66823	
594074	67428	
594074	71678	
594074	74031	Maid
594074	75586	
594074	94124	
594074	94610	Dude Guest
594074	101300	(unconfirmed)
594074	109989	
594074	111977	
594074	125901	Waitress
594074	132209	
594074	140889	
594074	142606	His wife
594074	145884	
594074	146234	Cook
594074	153216	Mrs. Wiggs
594074	171090	
594074	171164	
594074	186631	
594074	187257	Mrs. Rooney
594074	190909	
594074	196144	
594074	197248	
594074	198783	
594074	198784	Spectator
594074	198793	Mack's mother
594074	198796	
594074	198799	
594074	198801	Wife
594074	198802	
594074	198803	
594074	198804	
594074	200070	
594074	200914	
594074	201524	Mother
594074	224386	
594074	229122	
594074	239039	Inn patron
594074	247913	
594074	250470	
594074	256117	
594074	265854	Actress
594074	269860	
594074	271853	Marda
594074	292814	
594074	300118	Audience member
594074	304094	
594074	304743	Undetermined Role
594074	310292	
594074	311867	
594074	313201	Landlady's Friend
594074	315127	
594074	327312	
594074	329451	
594074	329496	
594074	333076	Guest
594074	335534	Mrs. Picciano
594074	335936	
594074	347413	'Ma' Casey
594074	365034	His Mother-In-Law
594074	368673	
594075	225755	Herself
594076	28481	Minor Talent Contest audience
594077	13756	Mother Boggs
594077	26225	Aunt Celia
594077	73405	Mrs. Lundy
594077	92179	Old Mag
594077	143344	Mr. Carley
594077	145825	Mother Mullaney
594077	146303	Mrs. Althorpe
594077	152518	Mrs. Brown
594077	155904	Mrs. Travers
594077	194744	The Burglar's Mother
594077	196610	Mrs. Brady
594077	199768	Mrs. Grimm
594077	203555	Mom Clark
594077	206350	Mrs. Raleigh Rand
594077	214952	
594077	251645	Miss Olivia
594077	285750	
594077	299029	
594077	345663	Madam Harbrok
594077	347553	Mrs. Powers Sr.
594077	363933	Undetermined Role
594078	61325	Morgan
594078	72709	Isabel
594079	6906	Belinda
594079	34949	Eating Lady
594079	38684	Nude
594079	53140	English camper
594079	55698	Blonde in Pub (The Closet Que
594079	65883	Rosa
594079	73872	Wedding guest
594079	99081	Fat Lady
594079	169812	First Customs Lady
594079	183438	Passerby
594079	185726	Megs
594079	240706	Peggy
594079	259778	Mrs Spencer
594079	271202	Nurse
594079	276791	Masseuse
594079	282037	Mrs. Buchanan
594079	313479	Fat dancer
594079	327430	Sycorax
594079	359316	
594079	383071	Mrs. Dumfry
594079	383582	Mme Lenoir
594079	385299	Miss. Montgomery
594079	389258	
594079	389357	Teresa
594079	402777	Myrtle (1963)
594079	405217	Nurse Pine
594080	255424	Female Customer
594081	355206	VR Waitress
594082	119779	
594082	119803	Model
594082	176942	Lady 1
594082	365509	Ulama Girl
594083	301245	Rhonda
594084	32996	Barbara Shaw
594084	126067	Chorine
594084	128168	
594084	146145	
594084	176358	Nora 'Toots'
594084	309208	Neva Simpson
594084	330375	Member of Girls Band
594084	361806	Jane Ellen Mathews
594085	95	
594085	6853	
594085	11443	
594085	12197	
594085	26605	
594085	30380	Martha Gorham
594085	34688	
594085	39493	Elionor Rossitor
594085	39538	The Bride
594085	43456	
594085	43554	
594085	44014	Dottie, a Visitor
594085	44276	
594085	45921	
594085	46151	
594085	46555	
594085	47466	Townswoman
594085	47512	Joan Allen
594085	49837	
594085	71661	
594085	72484	
594085	72486	
594085	74667	
594085	75310	
594085	82790	
594085	84968	Beverly Hope
594085	88900	Hazel Rogers
594085	105197	Clara Madison
594085	105593	Student
594085	106059	Lucy Allerton
594085	107392	The Widow
594085	108007	
594085	109998	
594085	111730	
594085	112428	Leila Mortimer
594085	113961	
594085	113971	
594085	115069	
594085	120866	
594085	121376	
594085	128098	Ellen Wilmot
594085	130665	A Friend
594085	130877	Flower Girl
594085	133886	
594085	136546	
594085	141313	
594085	141382	
594085	142632	Mrs. Bronson
594085	143204	
594085	143222	
594085	143404	
594085	145887	
594085	146153	
594085	148213	
594085	149474	
594085	152540	
594085	152589	Ethel MacFarland
594085	155528	Employer's Friend
594085	158328	Mrs. Dowlan
594085	158683	
594085	161635	
594085	163319	
594085	190556	
594085	194705	
594085	196276	
594085	203119	Mrs. Scott
594085	203675	
594085	207174	Valerie Putnam
594085	207848	
594085	214951	
594085	217186	Indian
594085	219915	
594085	220090	Clara Madison
594085	220360	
594085	220947	Grand Duchess Feodora
594085	236668	
594085	237663	Aristocrat
594085	241438	
594085	246764	
594085	252120	
594085	254483	
594085	268835	
594085	274170	Woman Telling the Story
594085	276594	
594085	279436	Mrs. Merrill
594085	280864	
594085	288625	Mrs. Jean Taylor
594085	289579	Marie Delys
594085	303080	
594085	303834	
594085	310413	
594085	310999	
594085	312319	Edith, Lady Effington
594085	328815	
594085	335936	
594085	336142	
594085	338752	Luella Brysk
594085	340600	At Station
594085	342971	Nun
594085	343019	
594085	345630	Bessie Gale
594085	345749	Dorothy, Jennie's Niece
594085	347362	Nancy Preston
594085	356294	
594085	358282	In Restaurant
594085	360188	
594085	360227	Beatrice Farley
594085	362623	
594085	365055	
594085	367779	
594085	368946	
594085	371855	Carner
594086	119552	Old woman
594087	209221	Female Rat #3
594088	14403	Barbara
594088	203747	Annie
594088	217441	Mrs. James W. Robbins
594088	314422	Letty Mather
594089	80499	Girl with Baseball Bat
594090	273543	Newlywed woman
594090	289413	Billie Wayne, singer
594090	313321	Starlet
594091	105078	
594092	199694	Madly
594093	292229	Waitress
594094	359500	Patron
594095	315504	Athlete
594096	201896	Maime
594096	294368	Gavinia
594096	319775	Lydia
594097	152869	Katie
594097	383882	Charlie Gibson
594097	387267	Holly Winton
594098	84955	Woman Doctor
594098	114051	Sandra
594098	118686	Doña Elvira Dauphin
594098	131350	Frances
594098	146619	Annie Callendar
594098	194479	MI5 woman
594098	327240	Davina
594098	342799	Marta
594098	381872	Zandra
594098	394485	Deirdrie Aitken
594098	397388	Francesca
594098	399065	Jane (episode 1)
594098	411251	Ruth Savage
594099	118956	Mary Shelley
594099	123849	Miss Schermerhorn
594099	155872	Lottie
594099	307105	Julia
594099	321788	Doreen
594100	307468	Horse Rider
594101	7492	Hotel Telephone Operator
594101	71928	Jane Wood
594101	93573	Woman in Restaurant
594101	148308	Mrs. Byrd
594101	303278	Mrs. Collier
594101	330703	Dress Salesgirl
594102	285095	
594103	223499	Heather Lawsen
594104	99474	Elizabeth Magruder
594105	46075	The Brat's Aunt
594105	62916	Matron
594105	72714	Mother
594105	73812	Mother Slattery
594105	76549	Katie
594105	76619	Mrs. Lippett
594105	77960	
594105	78083	Stewardess
594105	82064	Neighbor
594105	95027	Matty
594105	107546	Meg Harper
594105	117448	Luisa
594105	128184	Mrs. Kraus
594105	128231	Ma Donnelly
594105	128506	
594105	143110	
594105	143581	Mrs. Dingledorp
594105	144395	Aunt Jane
594105	152517	German
594105	157791	Mrs. Gootz
594105	157820	Mrs. Vernon
594105	177405	
594105	186809	Mrs. Stephen Holmes
594105	203030	Mrs. Carson
594105	203593	Madre Sánchez
594105	211545	Housekeeper
594105	250806	Matron
594105	274176	Undetermined Role
594105	274192	Madame Poussot
594105	278234	Melissa Thaggin
594105	278671	Gretchen Van Winkle
594105	279392	Aunt Selma
594105	297886	Matron
594105	299730	Madame Resault
594105	302936	Bit Part
594105	306732	Mrs. Brown
594105	307581	
594105	317168	Mrs. Smithers
594105	360193	
594105	360705	Grandmother
594105	364674	Aunt Miranda
594105	365474	
594105	368625	Jail Matron
594105	372220	Mrs. Jones
594106	134568	Herself
594107	316562	Philip's Mother
594108	12752	Herself
594108	248571	Herself
594109	295608	
594111	62957	Person in the Villiage
594112	1787	Friend #2
594112	271287	Jailer
594113	255690	Mrs. Smith
594114	240496	
594115	166370	A philosophy student
594116	83418	
594117	276249	Conscript
594118	74123	Worker
594119	84138	Debby Cassidy
594120	275448	Newscaster
594121	310863	Donnie Spencer
594122	51849	
594123	35685	Emma
594123	46297	Naomi
594123	81196	Margot Saunders
594123	265819	Doctor
594123	391368	Mrs. Kilsyth
594123	402197	Hazel Kent (1980-1983)
594123	402718	Laura Regan
594124	251194	Brenae
594125	21896	
594126	21076	
594127	288737	French Maid
594128	206266	
594129	91634	
594130	388861	Violet Wright
594131	6550	
594131	51495	Frances
594131	151080	Joan
594131	279183	Heather Patton
594132	189364	Attendant
594133	242077	Kate
594133	282580	Vivian
594134	152584	Jip's Ex #3
594135	46892	Herminie Rolandson, Mary's Co
594135	104047	Matron
594135	124719	
594136	26064	Puppy
594136	48950	Additional Voices
594136	143654	Lucy/Peppermint Patty
594136	163649	Lucy
594136	337168	Additional Voices
594137	276249	Conscript
594138	116053	
594139	257533	Petra
594140	368987	Susan
594141	144465	Caroler
594141	222226	Misty
594142	234524	
594143	68153	Anchorwoman
594144	81349	Young Amazon
594145	366751	Dead woman
594146	117911	Chanzana
594146	135799	Tanana
594146	135969	Rosita
594146	272965	Keetah
594147	107040	
594147	108113	Doorkeeper
594147	277587	Suora portinara
594147	293360	
594148	16897	Bank Teller
594149	105156	
594149	171170	
594149	276295	
594149	302168	
594149	340203	
594149	345149	
594150	83364	Paule
594150	156297	La femme de l'accueil
594150	225476	Alice
594150	336937	Christiane Guillou
594151	43565	Rhyme's Sister
594151	183426	Bree
594151	408883	Caissière
594152	42325	Marla Golding
594152	392015	Mrs. Claus/Tarantella
594153	390145	Gladiator 'Cheeta'
594154	368489	Nikki
594155	5960	Girl in men's room
594156	311500	Belly Dancer
594157	311537	Midge
594158	196	Fig. Mosteiro da Batalha
594159	43244	
594160	136822	Chorus - soprano
594161	156557	La maîtresse
594162	216774	La femme de Mocky
594162	295277	
594163	104748	Luxembourg entry (1st place)
594163	104754	French entry (3rd place)
594163	147240	Luxembourg entry
594164	403085	Herself (2002-)
594165	270840	
594166	10609	
594167	6591	La fille d'Ellénore
594167	82610	
594168	54267	
594169	76514	Mrs. Muchmore
594169	411176	Abortion Woman #1 (40 yrs)
594170	132992	
594170	278150	
594171	41362	Sheila's Mother
594172	381451	Economics Reporter
594172	382715	Economics Reporter
594173	160560	Party guest
594174	3148	Cecily Farr
594174	38358	Astrid
594174	68063	Maddy
594174	86468	Willow
594174	107171	F-9895
594174	120799	Mother Francis
594174	140999	Barbara Levy
594174	183327	Denise DeMarco
594174	193606	Lily
594174	210497	Maye Smith
594174	240023	Rose Maylie
594174	256211	Pink's Wife
594174	267879	La Reine
594174	280215	Mrs. Grahame
594174	289615	Louise
594174	305082	Ariel
594174	311306	Abegail (segment "From Sleep 
594174	321785	Sylvia Henderson
594174	335982	Fanny Ronalds, Sullivan's Mis
594174	350500	Alice Fielding
594174	363877	Dorshka Zibelinsky
594174	367406	Lady Willoughby
594174	382529	Sancia
594174	390777	Sarah Vey
594174	398020	
594174	400814	Agnes Simcox, nee Salter
594174	405271	Jo Fallon
594175	229673	Ms. Monroe
594176	23692	Zoé enfant
594177	1712	Spaceport Customs Officer
594177	7982	Judy the Waitress
594177	21184	Bitzi/Old Woman
594177	80649	Lani
594177	91135	
594177	105316	Rosa Winters
594177	109607	Danielle Rosenblum
594177	148384	Woman in Funeral Home
594177	158390	Gina
594177	162986	Sylvia
594177	169652	Pénitente de l'Oratoire
594177	195267	
594177	202727	Alicia (gay-line)
594177	213186	Myra
594177	221306	New Yorker Secretary
594177	236535	Gardienne de sécurité
594177	269064	Freda
594177	272022	Sharon
594177	276092	Andrea Farquar
594177	282556	Alexandra
594177	288948	Lana
594177	289788	Connie
594177	311491	
594177	313562	Also featuring
594177	315484	Gina Bonaggio
594177	320316	Lydia
594177	358581	Eleanor Gelfand
594177	364732	Det. Clarkson
594177	380692	Bitzi Baxter
594177	382583	Judith Cohen
594177	384242	Sophia Batista
594177	398775	Det. Sharon Delancey (1998-19
594177	401449	Aunt Yardley
594177	404112	Mama Shao Fun Miao
594177	405475	Amy Shapiro (1994-1995)
594177	409670	Rachel Kane
594178	342561	Gym manager
594179	82445	Choir Member
594180	59271	
594181	70116	
594182	62815	
594183	356587	Celia, Frau des Corvino
594184	409958	Vanessa von Beyenbach (2003-)
594185	375077	
594186	364996	Herself
594187	391693	Herself
594188	29175	Dutch's Wife
594188	44509	Laundry Woman
594188	45619	Joueur Français
594188	135385	Mrs. O'Reilly
594188	210782	
594189	347063	Demon
594190	88842	Le veuve avocat
594190	284207	Colette
594191	85046	Sandra
594192	2470	Emma Crackenthorpe
594192	17555	Dolly
594192	28591	Theo Danes
594192	33732	Averil
594192	40653	Diana Kennedy
594192	46804	Elizabeth Burnham
594192	68886	Mrs. Frampton
594192	71479	Mrs Smythe
594192	77206	Chloe Wulfstan
594192	77835	Alice
594192	78921	Caroline Harris
594192	168599	Herself/Interviewee
594192	183854	Miss Hartley
594192	213996	Sophy Deane
594192	222813	
594192	263015	Sabina's Mother
594192	263976	Trufflehunter
594192	273590	The Girl/Mrs. de Winter
594192	280478	Mrs. Peter Baring
594192	290352	Schoolgirl
594192	292404	Kate
594192	294215	Elinor Dashwood
594192	321821	
594192	346883	
594192	379624	Christine
594192	382659	Elizabeth Quail
594192	385627	Isobel Tolland
594192	387337	
594192	388269	Ann Artingstall
594192	388786	Elizabeth Kerslake
594192	389124	Mrs. Heron
594192	391194	Mrs. Stanbury
594192	395177	Alice Munro
594192	395647	Jeanne Marie (adult)
594192	402125	Mrs. Gardiner
594192	407831	Hannah
594192	410580	Sonya
594192	410672	Mrs. Pomona Longestaffe
594193	45639	Female Security Guard
594194	36022	Cafe owner
594196	49026	Ciro's singer
594197	19990	Conchita
594197	151086	Karen
594197	252741	Miss Israel
594197	378830	Hostess (1983)
594197	380259	Sita Patel (1975-1976)
594197	385299	Meena Chaudri
594197	396031	Katerina
594198	43170	Neeta
594198	77721	Jenny
594199	140229	Erika Holst
594199	147596	
594199	259649	
594199	384387	Frau Kofler, Betriebsrat
594200	26728	Molly
594200	30349	Wilson
594200	135602	Mrs. Lovell
594200	364556	Hotel Waitress
594200	393314	Bessie
594200	408091	Dot
594200	410008	Beattie
594201	142455	Sarah
594202	296849	Renfro Damsel
594202	366575	The Mother
594203	15035	
594203	43718	Une fille à la piscine
594203	72074	
594203	83353	Madeleine
594203	92899	Une fille à l'aérogare
594203	130117	
594203	242869	Ginette
594203	321915	The actress
594203	376882	Liliane
594203	376957	Thomas' mother
594204	319753	Hospital Clerk
594204	395122	Brenda
594205	125367	
594206	41368	Jake's Girlfriend
594207	267641	Sarah
594209	44433	Woman from Phoenix
594209	108895	
594209	123914	Lùcia
594209	225459	
594209	256745	La voisine
594209	345251	Marie-Céleste
594209	346579	Mme Josepha
594209	408659	
594210	31018	Announcer in Electric Applian
594211	320789	Marie-Luce
594212	99910	Alice
594213	311448	Mrs. Bloom
594214	396887	Quiana
594215	76150	Jeanne
594215	92044	Mariette
594215	291575	Camille Gomez
594217	53232	Joséphine Ambert
594217	53245	La femme Grossetête
594217	336957	Une femme
594218	218162	Kaye Weller
594219	25169	Patricia
594219	101140	Marie
594219	140298	Elisabeth
594219	167224	Elisa
594219	191543	
594219	294554	
594219	346417	Rachel
594220	174155	Échangiste
594220	268393	La jolie fille
594221	238550	Computer
594222	159164	Beloch's Army
594223	109570	
594224	169161	
594225	33892	La cliente
594225	100166	La mère de Gilbert
594226	40144	Billie Sterling
594226	208527	Petey
594226	298853	Becky Preston
594226	398336	Moonglow Hardin
594227	186250	
594228	128598	Rabbi's Receptionist
594228	320162	Nose Biter
594229	238138	Waitress
594230	133345	Paryy Guest
594231	4964	
594231	20296	
594231	200814	
594231	226514	
594231	318925	
594232	90525	Children mother
594233	347501	Uno
594234	12889	Männeken
594235	345945	Karen
594236	190690	Navajo girl
594236	379831	Dancer (1990)
594237	405765	
594238	288619	
594239	3146	La vivandière
594240	340930	
594241	227480	Leona
594242	155105	
594243	356051	Linsey
594244	22618	Melanie
594244	57817	Sunshine Tremaglio
594244	113927	Donna
594244	122991	Kay/Woman In Bed
594244	266627	Heather
594244	323838	Gallery Patron (segment "Love
594245	279382	Nora
594246	14403	School Marm
594246	65107	Lodging housekeeper
594246	72461	
594246	112596	Mrs. Fenton
594246	177394	Mrs. Saunders
594246	295369	
594246	354599	
594247	74380	
594247	149208	Ana
594247	244642	
594247	272566	
594248	70925	Sascha
594248	125425	Herself
594248	295459	Gaby
594249	77624	Olga
594249	220891	Blake's Russian Maid
594250	17576	Actress
594251	20625	Extra
594251	194831	Slave Girl
594252	12265	
594253	127994	Anna Kulicioff
594254	366	
594255	280334	
594256	43214	
594257	151109	Girl at party
594258	101890	Adriana
594258	205001	
594258	301115	Milena
594259	176046	
594260	140627	
594260	163939	Mariya
594260	343400	Varvara
594261	86803	Makeup Artist TV
594262	340094	
594263	88446	
594264	95808	
594264	198172	
594264	259925	
594265	6865	Sue Ann, the Blonde
594265	37467	Black Lace Stripper
594265	40431	Blaze Starr
594265	40795	Adele
594265	42988	Vikki Dunbar
594265	63254	Jester
594265	66349	Ramona
594265	78779	Sally Perry
594265	80607	Det. Sharon Foster
594265	103839	
594265	116971	Valeri Carboni
594265	118268	Chrystal
594265	130168	Betty
594265	139765	Sally Russell
594265	147745	Cleo Ricard
594265	159200	Kee McFarlane
594265	159915	Anastasia
594265	161051	Olivia Marshak
594265	165108	Sheila
594265	167324	Beverly Oliver (credited on D
594265	169916	Catherine Rosetti
594265	170713	Charlotte
594265	175164	Ellen Kelton
594265	176411	Mother
594265	186681	Marva
594265	195270	Barbara
594265	224820	Mary Jane Pitcher
594265	234055	Constance
594265	236083	Mrs. Albertson
594265	237779	Joan
594265	238510	Angel Gemini
594265	256188	Pink Chiquita
594265	257522	Grace Pasic
594265	264442	Lorretta
594265	271340	Jenny
594265	273931	Susan
594265	286260	Eva Scofield
594265	287740	Eleanor Braddock
594265	306239	Kate Devlin
594265	316469	
594265	336647	Antoinette Baker
594265	336745	Sylvie
594265	339361	Gina Antonelli
594265	342826	
594265	345885	Ruby
594265	372806	Penny
594265	379427	Avery Pohl
594265	392461	
594265	406617	
594266	146323	Maria Estella
594266	192887	Helen
594266	224211	Undetermined
594267	370043	La fillette à l'aéroport
594268	146440	
594268	192942	
594270	58127	Ivana Blochová
594270	315929	3. Jana - Jana
594270	394618	Hana Benesová
594271	231779	Office Worker
594272	117642	
594272	131432	
594273	161221	Herself
594275	15179	Danser
594275	37477	Annemie
594275	110018	Danseres/Dancer
594275	165631	Na Druppel
594275	167201	
594275	175679	Annie
594275	180025	
594275	242454	Mrs. Fortuin
594276	94206	Sadie
594277	33589	Beef Trust Girl
594277	150400	Lady with Raft
594277	195518	Bonnie
594278	93903	Herself: Borgmester (Nuuk)
594279	259049	
594280	129180	Herself - Dancer
594281	198062	Ung kontordame
594282	6124	
594282	207636	
594283	148250	Marle
594283	242508	Mrs. Odahrian
594284	190184	Herself
594284	326664	Herself
594284	326834	Ticket Girl
594284	340957	Elizabeth
594284	378944	Kerry Hennessy
594284	405756	Cammie Morton (2001-)
594285	105565	
594286	41297	Tricia
594286	194268	Anna Gomez
594287	58507	Cellmate
594288	243280	Young Mother
594289	369905	Ashley
594290	1218	Bookstore patron
594290	185430	Extra
594292	23	Announcer
594293	213460	Jeannie
594294	245675	Sherrie's Friend
594295	24702	Woman
594296	196084	Annette
594297	244883	Miss Bailey
594299	21304	Herself
594300	20626	Mavis Davis
594300	32482	Shelley
594300	72039	
594300	78920	Martha Sangster
594300	87341	Swimmer
594300	97446	
594300	289547	Jennifer Stanton
594300	300047	Matriach
594300	379746	Madeleine
594300	399816	Miss Featherstone
594301	2086	
594301	96994	She Wolf
594301	104357	Dahlia/Valerie
594301	130286	BJ
594301	151109	Vicki
594301	297625	J.C. Dennison
594301	382823	J.J. 'Bullet' Tingreedes
594301	385824	Kristen Blake (1993-1998)/Sus
594301	395811	Herself
594301	404282	Kelly Capwell #4 (1991-1993)
594301	411802	Ashley Suzanne Abbott Lassite
594302	31634	Cleo
594303	220039	Little Girl at Audience
594304	307712	Mother in Window
594305	344534	Herself
594306	207267	Kitra
594307	279142	Dalia
594308	264432	Vard
594309	219146	
594310	99614	
594310	304702	Biker
594311	142394	Debbie
594312	379323	Hairnet
594313	34129	Girl on train
594313	103926	Suzy Welch
594313	113291	Holly
594313	116673	Jessica
594313	185422	Emily Gordon
594313	382052	PC Roz Clarke (2000-2001)
594313	382826	Jodie Griffin
594313	383631	Tally Harper: ED Admin Assist
594313	401455	Phyl Dyer
594313	403187	Robin Walker (1998-1999)
594314	116673	Madeline's daughter
594314	293267	Becky Price
594314	400530	Mary Anne
594315	257724	
594316	365259	
594317	195999	Mrs. Helburn
594318	158964	Lawyer
594319	388656	Herself (interviews Grace Met
594320	75728	
594321	311037	Bone-ette
594321	411367	The Disciplinarian
594322	253092	Stacy
594323	371381	Dixie Parker
594324	264157	Princeton College Girl Lauren
594325	194268	Sally Greenbaum
594326	194525	Mah Jong Player
594327	205589	Danielle
594327	387247	Mary Smith (1985-1988)
594327	388802	Anita Pillsworth (1988-1989)
594328	53612	Angela
594329	68023	James' Stalker
594329	217523	Wife
594330	2460	Jane
594331	170843	Campus Gals
594331	246222	Diamond Lady
594331	306431	Tony's Dance Partner
594332	33056	
594332	299543	
594334	34129	Max's friend
594335	88988	Isabel Gold
594335	109993	Wimperer
594335	411809	Karen Foster (1982)
594337	131232	Extra
594338	312827	Mrs. Ellouise Gatewood
594339	273698	Wendy
594340	80839	Painter
594340	87428	Woman with dogs
594340	137904	Lady of the Court
594340	167268	Society Matron
594340	221645	A Maid in Windsor Castle
594340	231775	Night club hostess
594340	346101	Party Guest
594340	359486	
594341	276760	Morgan
594342	307457	Kristy Cutler
594343	122894	Cinderella
594344	280835	Risha
594345	54405	NASA reporter
594346	80756	
594346	280653	Hunter/Sister Fortune
594347	391869	Susie Reynolds (1990)
594348	214970	Susan Walker
594348	380713	Betsy Stewart Andropoulis #4 
594348	392185	Lori Kirby #1 (original cast)
594349	175459	
594351	99860	Theatre Manager
594351	402197	Frances Harvey (1983-1985)
594355	122448	Marianne's Daughter Hedvig
594356	32380	Läkare
594357	20528	Sheila
594357	36536	Little Miss Amanda Martin/Por
594357	46877	Natasha Glenville
594357	80801	Dianne Masters
594357	100087	Elizabeth
594357	107842	Gretta Milano
594357	110353	Bella Ford
594357	124098	Adriana
594357	127834	Mallory Doss
594357	147496	Dr. Philippa Horwood
594357	170620	Madeleine
594357	185596	Dr. Lauren Riggs
594357	204730	Mary Crawford
594357	207828	Miss Jennifer 'Jenny' Honey
594357	222665	Mary McCasslin
594357	223344	Jennifer
594357	264752	Older Karen
594357	290070	Helen Hirsch
594357	296657	Rosalind Chetwynd
594357	302143	Leah
594357	321256	Laurie Shannon
594357	330479	Kalina Oretzia
594357	333043	Katherine Palliko
594357	384336	Ellen Baines Croland
594358	280180	Betty
594359	40630	Girl on bus
594360	213577	Pitti-Sing
594361	91839	
594362	7948	Sally Hartley
594362	379730	Cate McMasters (2004-)
594362	388878	Julie Coyne
594362	411817	Det. Sr. Const. Donna Parry
594363	1075	Temp Receptionist
594364	16050	Alice, Tiernan's Secretary
594364	202244	
594364	219248	Bank Teller
594365	65787	Reporter Grady
594365	178931	Sheila
594365	215173	Booking Coordinator
594366	161246	Herself
594367	321306	
594368	147900	Stephanie
594368	150088	Amber Seaboring
594368	296035	
594368	314111	Cindy La Conte
594369	315686	Narrator
594370	122192	Herself
594370	158112	Mrs. Branch
594370	253950	Brenda
594370	291529	Dorothy Clarke
594370	357076	A.T.S. Girl
594370	400814	Bridget Bigwell
594370	401744	Woman
594370	411089	Mildred Soal
594371	38891	
594371	228910	Woman
594372	390195	Herself - Newsreader/Presente
594373	14231	Nurse Susan Gallagher
594374	47827	Herself
594374	382838	Katrina Evans (1998-2001)
594375	126499	Suzette
594375	385105	Kelly Shanahan (1985-1986)
594376	167173	Joan
594378	381451	Extra in Millenium
594379	10582	Mrs. Sandford
594379	33644	Miss Waters
594379	41851	Mary Bertha Lewis
594379	61230	Peggy
594379	61695	Mrs. Ark
594379	71300	Elsie Walsh
594379	81048	Poppy Levine
594379	103238	Girl
594379	105690	Ann Haydon
594379	127667	
594379	132839	Pinkie Collins
594379	146631	Miriam Larkins Polly
594379	154064	
594379	163199	Sadie Hyams
594379	169612	Anne Maxwell
594379	177816	Flo Bates
594379	196956	Betsy Bunn
594379	203138	Bertha Clavering
594379	209610	Doris Gow
594379	211565	Marjorie Stafford
594379	220366	Violet Mayfair
594379	222613	Alicia Brunner
594379	224202	Sally Martin
594379	236085	Rosie
594379	245287	Mrs. Williams
594379	257550	Betty Small
594379	270644	Wendy Maradyck
594379	297946	Frankie
594379	302019	Dushka Vernon
594379	334359	Barmaid
594379	339784	Mrs. Chester (in segment Sani
594379	340406	Mary Masterman
594379	345950	Diana Forbes
594379	367670	Beatrice
594379	372942	
594380	210825	Village Woman
594381	169856	Woman of Nain
594382	303776	Girl
594383	401221	Butch (1994-98)
594384	387518	Sally Bowen
594385	154984	Party Guests
594385	268017	Bride
594386	183778	Guinevere
594387	293198	Mrs. Burrows
594387	296968	Admissions Unit Sister
594387	299193	DC Sally Reid
594387	396009	Peggy Canford
594388	318842	Esther
594389	106116	Lingerie Model
594389	336475	Girl #1 in limo
594390	258057	The Girl he never made it wit
594391	44014	Clara, the Niece
594392	195331	Teenage girl #1
594393	273332	Herself - 1st couple
594393	303776	
594394	364459	Wedding Guest
594395	13376	Meakin, Mrs. Wickens' Servant
594395	46674	Auntie Dot
594395	54032	Aunt Caroline
594395	72354	Cook
594395	116673	Villiage woman
594395	161918	Mrs. Margaret Bunting
594395	222593	Mrs. Salisbury
594395	271154	Mrs. Perks
594395	334009	Nurse
594395	364556	Postmistress
594395	379017	Miss Coombes
594395	382559	Flo
594395	383878	Mrs. Little
594395	388491	Sister Mary
594395	397188	Nancy
594395	398364	Joan
594395	398707	Bambi Bamber
594395	402778	Mabel
594395	407956	Miss Edith Parfitt (Series 4-
594395	408250	Auntie Dot
594395	409839	Lady Crawley
594397	89079	
594397	312700	
594397	312702	
594397	356659	
594397	369885	
594398	273246	Val
594398	385020	Norma Ford (1972-1973)
594398	386623	Helen Milton
594398	387533	Caroline Bates (1984-1996)
594398	390485	Mrs. Grange
594398	393653	Mrs. Lipton
594398	404826	
594399	196536	Barbie
594400	266109	Mrs Owen
594400	363392	Schoolteacher
594401	178275	Narrator
594403	196889	Brunette Victim In Bed
594403	341055	Susan
594404	71464	
594404	139969	Lisette
594404	194379	Deborah Price
594404	300910	Loretta
594404	308140	Ella Tyfield
594404	308607	Camille
594404	310294	Estrella
594405	315118	Dulcie
594406	91936	Marge
594406	117550	Fortnum's Cashier
594406	129913	Androcles' Mum
594406	208529	Resident
594406	209179	Unemployment Benefit Clerk
594406	273246	Jean
594406	293198	Miss Ross
594406	351972	Prison Officer
594406	354488	Sally Mott
594406	363261	Ethel
594406	382384	Sister Julian
594407	265897	Mrs. Jacobs
594407	381514	Herself (2000-2001)
594408	194616	Dairyette Car Hop
594409	315513	Miss Layton
594409	315989	Mildred Norton
594409	358035	Specialist
594409	372456	Mrs. Whitman
594410	101462	Pamela
594410	219731	Diana Mitford Guinness
594410	221214	Hermione Bradley
594410	269356	Lady Emily
594410	383251	Mrs. Angleton
594410	388306	Juliette Bannerman
594410	395277	Susan
594411	209170	Dancer
594412	405742	Villager
594413	401558	Presenter
594414	317353	
594415	407924	Sally Wren
594416	87631	Specialty
594417	1500	Ms. Perkins
594417	29186	Karen Adams
594417	61625	Mrs. Wales
594417	67377	Audrey
594417	80660	Younger Nun
594417	83877	Kathy Shepard
594417	87926	Coupon Lady
594417	117231	Franny
594417	118970	Natalia Slavyanska
594417	164369	Aunt Mary
594417	185766	Burns' Nurse
594417	190378	God's Assistant
594417	220419	Gardener
594417	241697	Andrea
594417	275322	Brown
594417	276427	Andrea
594417	277175	Elsie
594417	280723	Nurse
594417	289666	Mrs. Gilmore
594417	301564	Dr. Taylor
594417	314351	Mrs. Douglas
594417	331309	
594417	346872	Marian
594417	355343	
594417	365281	Yoga Instructor
594417	387987	
594417	390109	Mona
594417	405833	Dr. Georgina Delmann
594417	407421	Teacher
594418	308632	
594418	312042	Bit
594418	313076	Dancer
594418	360837	
594419	308978	Connie
594420	130754	Stewardess
594420	242544	Gypsy Mother
594421	397132	Casper
594422	32156	Mrs. Robbins
594422	58164	Mrs Scully
594422	112023	Mrs. Hurst
594422	151166	Peggy
594422	219432	Gran
594422	221215	Audrey
594422	241898	Anisia
594422	328907	Woman Reader
594422	345857	Woman in Pub
594422	352682	Gwenllian, Twinge
594422	372964	Mam
594422	387027	Mrs. Owen
594424	35132	Charlotte Age 9
594424	393261	Herself
594425	65698	Ione
594426	122796	Lisa
594426	193450	Ann
594426	214465	Lynette
594426	401689	Sara Thomas
594427	213577	Presumed Chorister
594428	138658	
594428	214188	Miss Hodge
594428	341949	Mrs. Lunn
594429	220419	Emily
594430	83980	Joyce Naylor
594430	127112	Cockney Wife
594430	144698	
594430	158514	Mrs. Scanlon
594430	160861	Nanny
594430	196083	Waitress
594430	253331	Mavis Pike
594430	346020	
594430	362520	Mother
594430	384333	Mrs. Watkins
594430	385535	Mavis Pike (1968-1977)
594430	385930	Mrs. Winifred Swaffield
594430	388819	Mrs. Price
594430	402124	Mrs. Hill
594431	378751	Herself
594432	106597	Heckling Grandmother
594432	136270	Thess' Grandma
594432	158298	Mrs. Cochran
594432	196130	
594432	319404	Aunt Jo
594432	358052	Cafeteria matron
594433	387336	Mrs. Davies - the Housekeeper
594434	46121	Squatter #1
594435	383018	Kelly
594436	14603	Model
594437	10857	Girl Swimmer
594438	110100	Jonesy
594438	346315	Dominatrix
594438	366602	Girl in Operating Theatre
594439	118789	Betty Kane
594439	269419	Young Queenie
594439	384097	Tiffany Kendall (1989)
594440	404714	Aimee Sarin
594442	28771	
594443	219880	Madame Meal
594444	42327	Herself
594444	65809	Cheryl McManus
594444	81287	Darbie
594444	110365	Mrs. Zilinski
594444	165261	Alura McCall
594444	199463	Bartender
594444	200371	Regina
594444	218553	Kelly
594444	229525	Annalise Hartman
594444	231088	Hostess
594444	266577	Bettina Barnes
594444	292287	Rhonda Newcombe
594444	300343	Isabelle
594444	309860	Luann
594444	315512	Agent Lock
594444	340812	Ariel
594444	393132	Maya
594444	393954	Herself - Host (1995-1996)
594444	399130	Annalise Hartman (1993-1996)
594444	400647	Laura Sinclair
594445	386923	Additional Voices (Blue Water
594446	258210	Betty
594447	26620	Pam and Gloria Voices
594447	79106	Antonia Vaughan
594447	202188	Judith
594447	323936	Taxi Driver
594447	390099	Hoffman
594447	402197	Ruth Ballinger (1985)
594447	411245	Rose Foster (episode 2: Just 
594448	47588	Hooker
594449	18207	Club Patron
594449	253818	Girl at infirmary
594450	264421	
594451	355015	Gypsy Grandmother
594452	63112	Nerys
594452	389163	Davina Prince
594452	397833	
594452	410630	Fiona
594454	400181	Presenter
594455	312591	
594455	312606	
594456	6136	Eva King
594456	19272	April Poole
594456	26618	Antoinette 'Tony' Flagg
594456	31245	Herself
594456	31969	Beatrice Fairfax
594456	32263	Prudence Cole
594456	33598	Violet Gray
594456	33922	Crowd extra in chariot race
594456	35545	Beverly Calhoun
594456	37255	
594456	41095	Blondie McClune
594456	46787	Enid of Cashel/Aileen Barrett
594456	49733	Elaine Brooks
594456	49857	Pauline Vandermuellen
594456	52043	Mabel O'Dare
594456	54706	Herself (1951 audiotape inter
594456	54889	Sally
594456	56579	
594456	57572	Cecilia
594456	63088	Herself
594456	64173	Elizabeth Dalston
594456	78962	Rue Carew
594456	93078	Herself
594456	100695	Ethel Hoyt
594456	105075	Miss Marjorie 'Marge' Winton,
594456	107413	Marion
594456	114588	Jennifer Rarick
594456	114666	
594456	115864	Daisy
594456	126699	Mary
594456	130337	Sylvia Bruce
594456	141481	Elizabeth 'Betsy' Patterson
594456	147825	Herself
594456	147892	Herself
594456	163482	Joyce Stanton
594456	164579	Herself
594456	165557	Janice Maredith
594456	190606	Fely/Anne
594456	192121	Patricia O'Day
594456	205675	Marianne 'Blondy'
594456	205676	Marianne
594456	235494	Dulcinea 'Dulcy' Parker
594456	242812	Gail Loveless
594456	246512	Loretta Dalrymple, aka Miss D
594456	250810	Patricia Harrington
594456	251828	Margaret 'Peg' O'Connell
594456	255827	Congregation Member
594456	256579	Herself
594456	259761	Polly Fisher
594456	268914	Phoebe Throssel
594456	274219	Tina
594456	276372	Stephanie Cleland
594456	283456	Romany
594456	300106	Peggy Pepper/Herself
594456	329563	Herself
594456	333073	Tillie Jones
594456	362885	Mary Tudor
594456	371884	Princess Mary/Yolanda
594456	372523	Diana May
594456	373875	Mamie Smith
594456	374418	Herself
594457	144573	Marie (maid)
594457	175175	WAC Polhemus
594457	330231	Nurse
594457	331688	
594458	131232	Extra
594459	68011	Nell
594459	302110	Carolyn Snow
594459	364147	Mary Tinker
594459	385930	Domenica Howarth
594459	402743	Sally
594459	402959	Mrs. Holly
594459	409819	Arlette van der Valk (1991-19
594460	151780	Mrs. Duncan
594461	169136	Soloist/Child Chorus
594462	311407	Doris
594463	104535	Filippievna
594463	166778	Buryja, The Grand Mother
594463	329669	Mrs. Grose
594464	43737	Betty Burke
594465	131232	Extra
594466	131232	Extra
594467	398674	Young Jean
594468	44755	Sue
594469	87855	Lana
594470	94858	Joan
594470	136007	Kathleen
594470	315719	Laura
594470	385299	Angela Davy
594471	1874	Bubble's lady
594471	360269	Herself
594471	403011	Presenter (1986-1990)
594471	407005	Presenter
594472	296430	
594473	80610	Patient
594474	190179	Model
594475	63989	Herself
594476	32669	
594476	118267	Helen
594476	120477	Miss Fowler
594476	128075	Mary Rees
594476	143627	Clare Talbot
594476	242706	Alfred (Smit's secretary)
594476	301650	Maria
594476	320876	Mrs. Owen
594476	330145	
594476	341757	Mary Birkett
594476	342955	Kathy
594476	385714	Patient
594476	392863	Sarah Worth
594476	397385	Melissa Foster
594477	248058	Gloria
594477	365476	Receptionist
594477	387247	Jackie Owen (1999-2000)
594477	395295	Beverly Armitage
594478	49862	Estelle
594478	114658	Hostess
594478	145412	Theresa Glover
594478	178933	
594478	191647	Alma Titherington
594478	231132	Nancy
594478	231392	Veronica 'Ronnie' McMullen
594478	253249	Yvonne
594478	259213	DCI Marsha Beagley
594478	264676	Mrs. Forbes, Wormold's Landla
594478	327308	Doreen Hodge
594478	331910	Outpatients Sister
594478	370585	Girl in club
594478	381212	Joyce Webster
594478	382506	Doreen Evans (1986)
594478	382537	Elayne Quigley
594478	383056	Rachel Garratt
594478	385020	Donna Parker (1975)
594478	385299	Elaine Winters (1985)
594478	385389	Carol Rumsey (1975-76)
594478	387533	Shirley Foster/Turner (1993-1
594478	390523	Mrs. Jones (1984)
594478	390951	
594478	395523	Alison's Mum
594478	395663	Iris Green
594478	396580	Pauline
594478	399374	Veronica 'Ronnie' McMullen
594478	402743	Doria Graves
594479	327006	Geisha
594479	385151	Hippie
594480	121838	Tallulah
594480	223991	Birgit
594481	160832	Extra
594482	302404	Beth Winthrop
594482	318999	Sunday
594483	117026	Mary Tremblette
594484	8630	
594484	90888	Mrs. Murray
594484	158794	Ada Newell
594484	185322	Grandma
594484	189235	Receptionist
594484	218599	Historian's Wife
594484	327477	Juliana
594484	358005	
594484	367385	Fanny
594484	397182	
594484	397626	Old Hag
594484	398555	
594484	399069	Old Lady
594484	406936	Mrs. Morris
594484	408297	Mrs. Ferrera
594485	199204	
594486	117672	Suzie
594486	118994	Emma
594486	158634	Shirley Bardsley
594486	184426	Laura
594486	205589	Jessica
594486	237779	Jenny
594486	257107	Mitch
594486	276411	Julie
594486	294222	Sally Hinde
594486	390523	Penny Lewis (1979-1982)
594487	87886	Eileen as a child
594488	339854	Nurse Karen
594489	39836	Holiday-maker's wife
594489	350006	
594490	384878	
594491	336559	Singer
594492	240189	Herself
594492	381886	Herself - Main Presenter (199
594492	390144	Amazon (1995)
594493	141632	Megan Davies
594494	77194	Police surgeon
594494	179065	Cafe Proprietor
594494	232390	Sgt. Trimm
594495	223758	Aurora
594496	230377	
594497	395754	Amy March
594497	407566	Valerie Wedgwood
594498	20018	Kat Kerns
594498	65920	
594498	81533	Katherine Puller
594498	81879	Amanda
594498	123041	
594498	138778	
594498	174585	Katherine
594498	265600	Sid Bream
594498	290988	Julie McGrath
594498	297138	
594498	330147	Det. Gina O'Bannon
594498	382419	Dr. Tricia Quick (2002-2003)
594498	401930	Dr. Amanda 'Amy' Harris-Strad
594499	178691	Shoplifter
594500	303894	Skier
594501	56895	Hit woman
594501	154927	The Boss
594502	193884	Nun
594503	199257	Little Girl
594504	402197	Wendy Stone (1986)
594505	367833	
594506	258883	Shopping Woman
594507	59367	
594508	251611	
594509	39779	Mystery Woman
594509	106120	Model #6
594509	110967	Queen
594509	125425	Herself
594509	128606	Herself
594509	185385	Debbie
594509	202915	Nightclub Worker
594509	222195	Perino's Girl
594509	263740	Linda
594509	346933	Eddie's Girlfriend
594510	330416	Marina Wallace
594511	157696	Ashley
594511	333549	Dancer/Singer
594512	86032	Anne Frank
594512	257518	Museum Girl
594512	342977	
594512	385719	Queen Julianka (1969)
594513	379119	
594513	385029	
594513	388087	
594514	339984	
594515	301131	Emmy
594517	5357	
594517	51600	
594517	54824	
594517	55087	
594517	69476	
594517	74550	
594517	80286	
594517	89927	
594517	112047	
594517	132704	
594517	143755	
594517	156375	
594517	162784	
594517	209231	
594517	211150	
594517	212244	
594517	212491	
594517	221930	
594517	222852	
594517	246450	
594517	252370	
594517	253666	
594517	265163	
594517	266530	
594517	272452	
594517	288802	
594517	318632	
594517	333535	
594517	339634	
594517	339930	
594517	357541	
594517	373954	
594517	380095	
594517	396131	
594517	396388	
594518	275528	
594519	341815	Julia/Martin
594520	128772	On Air Talent KXEB 91.0 Dalla
594521	379530	Faye
594522	315522	Mathilda Bron
594523	75060	
594523	326727	
594523	372471	
594524	39067	The Victim At The Office
594525	101040	Party Goer
594526	301681	Kid at Party
594526	400341	Herself (2003)
594527	312062	Restaurant #3
594528	20965	Herself
594529	68568	
594529	193549	
594530	186649	Herself
594531	13967	Student
594531	109066	Whatever/Nurse
594531	364234	Mirage
594532	132909	Jane The Angry Parent
594533	358299	Shelby
594534	94115	News Reporter
594534	321213	Festival patron
594535	382028	
594537	372162	Mavis
594538	114039	Hottubber
594538	358832	Herself (costume designer)
594539	109395	Kassidy's Dresser
594540	387209	Herself/Co-anchor (2004-)
594540	391219	Anchor (culture and entertain
594541	170243	Administrator
594542	167324	Elizabeth Garrison
594543	193840	
594544	2831	Herself
594544	42278	Mrs. Bell
594544	53329	Alicia Edwards
594544	177643	Birch Colby
594544	253121	
594544	256468	Lydia
594544	286691	Herself
594544	361182	Deputy Molly
594545	182763	
594545	301501	
594546	80816	Shawna
594546	142403	Donna
594547	44450	Baby Patty
594547	106520	Girl
594547	118268	Little Girl
594548	48264	Young Misty
594549	120028	Young Woman
594550	188236	
594550	224370	
594551	262682	Herself
594551	291545	Roxxy
594551	328267	Eightball
594552	166871	Additional cast
594553	11661	Wendy Stern
594553	106376	Mary Baines
594553	184127	Nadine
594553	283372	Marilyn
594553	283426	Christine
594553	297991	Ashley
594553	361167	2nd Girl on Bus
594554	362277	Press Corps One
594555	59257	Lisa
594555	92495	
594555	92664	Sara
594555	296325	Hottie
594555	302385	
594556	16797	Herself
594556	39592	Herself
594556	99956	Herself
594556	111948	Herself
594556	125616	Herself
594556	152268	Herself
594556	202194	Herself
594556	202195	Herself (gives Black Power sa
594556	230354	Neighbor
594556	388136	Herself
594557	345636	Hospital Doctor
594558	60461	
594558	118384	Girl on Love Seat
594558	196495	Girl on Love Seat
594559	192777	Brenda as a Kid
594560	62422	April
594560	192777	Young Brenda
594561	249392	
594562	2726	Herself
594562	3692	Herself
594562	4671	Herself
594562	11271	Nobby
594562	34968	Hattie Stewart (gossip column
594562	37058	
594562	45778	Herself
594562	45779	Herself
594562	45781	Trucker (Shultzy)
594562	45782	Herself
594562	45783	Alice Nelson Franklin
594562	196405	Millie, Carol's Secretary
594562	202952	Ruby Coleman, Atlanta Church 
594562	226938	Herself
594562	242106	Mola
594562	252528	Cameo appearance
594562	352700	Alice Nelson
594562	382640	Alice Nelson
594562	382641	Alice
594562	382642	Alice Nelson
594562	382644	Alice Nelson
594562	393628	Miss Wilson
594562	401850	Alice Nelson
594563	51855	Lady in Waiting
594563	360258	Girl at Dance
594564	8021	
594565	330163	
594566	362538	Spinster
594567	18544	Mayor's PR Woman
594568	42779	Slab
594568	48240	Officer Landscape
594568	274435	Det. Toni Johnston
594568	385613	Lulu
594569	223084	First Grade Girl
594570	140133	Megan
594571	317303	Shakespearean
594572	348431	Molly
594573	5066	Monarch Cheerleader
594574	30146	
594574	207442	Jenny
594574	342389	
594575	296100	Mrs, Fitzgerald
594576	88564	Brenda
594576	120692	Myrtle
594576	154409	Peggy
594576	321248	Girl in bar
594577	305069	Mrs. Manigault
594578	235060	Veronica
594578	276197	Olga Csizmadia
594578	289238	Angela
594579	24967	Doctor #2
594579	88264	Sister Mary
594579	91953	I.R.S. Woman
594579	147127	Mabel Higgins
594579	195184	Betty Templeton
594579	215190	Betty
594579	314526	
594579	332897	Nurse
594580	408084	Herself - Host (1993-)
594581	27841	Go-go waitress
594582	166910	Herself
594582	193622	Paula
594582	211621	
594583	132231	Morgan
594584	82231	Cocktail Waitress
594584	145415	'No' Person #4
594585	1398	Herself
594585	1651	Fay Wilson, Tommy's Girlfrien
594585	1994	Herself - Presenter: Best Act
594585	2273	Herself - Presenter: Best Sup
594585	2326	Herself - Presenter: Writing 
594585	2546	Herself
594585	2817	Herself - Presenter: Best Act
594585	2872	Herself
594585	7584	Herself
594585	11102	
594585	11108	Margo Channing
594585	11582	Henriette Deluzy-Desportes
594585	13911	Herself (Honoree)
594585	13917	Herself
594585	13921	Herself
594585	17800	Mrs. Taggart
594585	17985	Janet Frobisher
594585	21499	Hannah Loftin
594585	27351	Laura Madison
594585	35191	Herself
594585	35192	Herself
594585	35745	Rosa Moline
594585	37303	Norma Nelson
594585	42357	Herself
594585	44336	Mrs. Marie Roark
594585	46308	Herself
594585	46730	Joan Winfield
594585	49640	Bunny O'Hare
594585	49746	Norma Roberts
594585	50037	Aunt Elizabeth
594585	51641	Madge Norwood
594585	56925	Agnes Hurley
594585	61756	Woman
594585	69622	Wanda Fleming
594585	70786	Miss Lilly Moffat
594585	77998	Joyce Heath
594585	78848	Kay Russell
594585	78986	Judith Traherne
594585	79725	Herself
594585	80590	Margaret DeLorca/Edith Philli
594585	81239	Marie Van Schuyler
594585	81576	Christine Radcliffe
594585	87163	Herself
594585	87506	Minnie Kennedy
594585	93078	Herself
594585	103723	
594585	105569	Helen Bauer
594585	108353	Elizabeth Winfield
594585	109402	Lynn Mason
594585	116375	Arlene Bradford
594585	116959	Herself - arriving celebrity
594585	120687	Ellen Garfield
594585	128170	Miriam A. Brady
594585	130338	Herself
594585	130712	Daisy Appleby
594585	131004	Herself
594585	133688	Maggie Patterson Van Allen
594585	137261	Herself
594585	142460	Peggy Gardner
594585	143643	Herself
594585	147663	Herself
594585	150520	Laura Trent
594585	151211	Patricia 'Pat' Berkeley
594585	153211	Charlotte Hollis
594585	158515	Stanley 'Stan' Timberlake Kin
594585	161204	Herself
594585	163577	Joyce Arden
594585	167311	Julie Marsden
594585	167707	Miss Joan Martin
594585	168112	Herself
594585	168581	Empress Catherine the Great
594585	169806	Empress Carlotta von Habsburg
594585	169881	Judge Meredith
594585	170608	Linda Gilman
594585	175530	Herself (Honoree)
594585	176340	Louise 'Fluff' Phillips
594585	187407	Herself
594585	188586	Leslie Crosbie
594585	191819	Regina Giddens
594585	191862	Alice Gwynne Vanderbilt
594585	195613	Herself
594585	199388	Madame Sin
594585	203470	Maggie Cutler
594585	203564	Grace Blair
594585	206168	Mary Dwight Strauber
594585	210914	Peggy Lowell
594585	214387	Mildred Rogers
594585	221124	Fanny Trellis Skeffington
594585	222766	Carrie Louise Serrocold
594585	227473	The nanny
594585	232017	Herself
594585	234566	Dino's mother
594585	236129	Charlotte Vale
594585	238504	Mildred Rogers
594585	239515	Katherine 'Kit' Marlowe
594585	239700	Charlotte Lovell
594585	248316	Patricia 'Alabama' Brent
594585	251279	Joyce Ramsey
594585	254218	Gabrielle 'Gabby' Maple
594585	254787	Marie Hoke
594585	254994	Esther McDonald Cimino
594585	258555	Apple Annie
594585	263106	Herself/Mother
594585	264759	Queen Elizabeth I
594585	276645	Letha
594585	277628	Malbro
594585	278237	Mini Dwyer
594585	288438	Valerie Purvis
594585	289483	Countess
594585	290977	The Millionairess
594585	291254	Mrs. Elliott
594585	293139	Margaret Carter
594585	295636	Herself
594585	299072	Nurse
594585	300070	Herself
594585	303307	Louise Elliott Medlin
594585	303574	
594585	304395	Billie Dupree
594585	306397	Miss Dallas O'Mara
594585	310564	Julie Gardner
594585	313517	Margaret Elliot
594585	315123	Kate Bosworth and Patricia Bo
594585	315513	Alicia Hull
594585	316331	Lucy Mason
594585	328553	Jane Hudson (Whatever Happene
594585	329329	Herself
594585	329399	Mary Donnell, aka Mrs. Al Hai
594585	330463	Herself
594585	331553	Ruth Wescott (misspelled West
594585	355054	Queen Elizabeth I
594585	359471	
594585	359863	Sara Muller
594585	359899	Mrs. Aylwood
594585	360067	Janet Cronin
594585	360153	Mary Lucy
594585	362046	Libby Strong
594585	362192	Jane Hudson
594585	363346	Mrs. Gerald Hayden
594585	363911	Adele Malone
594585	364751	Miranda Pierpoint
594585	366422	Susan Grieve
594585	368324	Jenny Hartland, aka Jane Grey
594585	385718	Widow Fortune
594586	207184	
594587	262589	St. Matthew's Choir & Band Me
594588	93250	Betty
594589	131739	Girls' Chorus Member
594590	21466	Dealer #2
594591	196844	Gloria
594592	128718	
594593	41211	Angelica
594593	253515	Alicia
594593	258079	Reva
594593	264724	Donna Orland
594593	294278	Renee
594593	295725	Eva Grogan
594593	295729	Cindy Dunn
594593	320028	Mary
594593	328920	Toni
594593	342463	Therese/Alice
594593	355154	Ginger
594594	18630	Woman in Convertible
594595	140310	Caprice Films Entourage Membe
594596	226870	Rae
594596	303288	Herself
594597	177260	Girl 1
594597	292250	Nikki Bratchett
594598	39961	Woman
594598	142508	Venus
594598	163485	
594598	188542	Girl
594598	263117	Fat Woman
594598	337778	Domineering Wife
594598	338287	Police Matron
594599	13399	
594599	13401	
594599	23466	
594599	26782	
594599	26895	
594599	26902	
594599	26914	
594599	34758	
594599	34759	
594599	34785	
594599	35739	
594599	37201	
594599	41846	
594599	46220	
594599	68673	
594599	72528	
594599	72777	
594599	74292	
594599	85772	
594599	91836	
594599	91837	
594599	97124	
594599	102809	Herself
594599	117348	
594599	125655	
594599	125666	Dr. Ruth Fisher
594599	148557	
594599	151061	
594599	157020	
594599	190679	
594599	213220	
594599	243113	
594599	243116	
594599	271828	Miss Hotchkiss
594599	291286	
594599	295807	
594599	313221	
594599	313243	
594599	313250	
594599	313278	
594599	313286	
594599	313288	
594599	321030	
594599	323441	
594600	17779	
594600	77199	Cecilia Bird
594600	83919	Additional Voices
594600	192998	DC Tricia Jones
594600	383363	Jean McIntosh (The Miller's T
594600	401530	Molly Blood
594600	405088	Norma Walker
594600	409505	Annie Gibson
594600	410522	Olive Harris
594601	403239	Brown
594602	210387	Muriel
594602	291503	Sharon
594603	34720	Miss Belfridge
594603	346360	Barmaid
594603	380591	Miss Belfridge (Series 9-10) 
594604	55444	Ann
594605	274868	Herself
594606	73913	Table Supervisor
594606	403939	Mary
594607	202322	Mrs. Jones
594608	65989	Carol
594608	114955	Joyce Brody
594608	151633	Catherine
594608	155859	Areola Canasta
594608	158311	Rosemary
594608	158316	Gigi
594608	164494	Rita X
594608	192545	Mrs. Awatiff
594608	204204	Rita X
594608	204553	Roxie Shield
594608	256530	Jai
594608	264129	Sonia
594608	265612	Michelle
594608	268199	Dana
594608	272418	Angie
594608	300326	Dominique
594608	386966	
594609	13882	Beatrice
594609	119508	Lady in Disco #3
594610	124172	
594611	80386	George
594612	3006	
594613	161731	Cute Girl #2
594614	45548	Cook
594614	290319	Paula
594615	38590	Waitress
594616	136269	Wanda De Bauld
594617	34937	Taft Woman #2
594618	115505	Ox
594619	288932	Judy Kerrigan
594619	346350	Stella Mae Brown
594620	25467	Herself
594620	278260	Ticket Agent
594621	267503	Silver Strand
594622	66164	Kirstin
594622	264139	Princess
594623	220014	
594624	49345	Natalie
594625	98803	
594625	154516	Nurse
594625	276781	1/2 Woman Corpse
594625	364161	Woody Woodpecker
594626	203098	
594627	34732	Herself
594627	36848	Housemate: Evictee #11
594627	36855	Herself
594627	101946	Herself
594627	202970	The Gardner/The Wig
594627	381898	Herself (2002)
594627	381917	Herself - Evictee #11: 8 July
594628	230873	Punker in Car
594628	325842	Frau Hoffmann
594628	379084	Narrator
594629	259829	Extra
594630	1712	Spaceport Passenger
594630	133624	Drunk Party Guest
594630	269064	Girl In Park
594630	288473	Party Guest
594630	374401	Dinner Party Guest
594631	244958	
594632	74202	Felicia Harris
594632	232246	Judy
594633	70341	Mother
594633	265852	Mrs. Henderson
594634	228604	
594635	28468	Courtney
594635	134245	Gretchen Finkle
594635	193800	Courtney
594635	214259	Courtney
594635	224174	Nicki
594635	296107	Film Girl
594635	396019	Dress Shop Girl
594636	70429	Brenda
594637	293030	Tina
594638	200855	Mistress
594639	238660	Nurse 2
594640	66286	Peyton
594640	233894	Kris
594640	271332	Denise
594641	165976	Irma
594642	111791	Driver's Wife #1
594643	340901	Couple at Picnic Table
594644	871	
594644	11410	Singer
594644	68771	Ruby
594644	221783	Stewardess
594644	360544	Stripper
594645	161727	Mother of Little Girl
594646	151382	Stephanie
594646	171485	Carla
594647	68771	Heimlich Dancer
594648	89301	Marilyn Holly
594649	194534	Pea Princess
594650	307903	Knock Knock People
594651	13396	Singer ("On the Boardwalk") (
594651	78873	'Touch Me' Singer
594651	135783	Singer
594651	154411	Singer
594651	274352	Disco Singer
594652	2307	Herself
594652	381701	Bryana "Baby Girl" Thomkins
594653	37964	Mhairi
594653	81438	Doctor
594653	200052	Margaret's mother
594653	243744	Alison (Carole's Mum)
594653	260197	Cath
594653	323037	Melanie Drummond
594653	403462	Eileen Henderson
594654	303288	Herself
594655	390523	Martha Jordan (1994)
594656	369461	Herself
594657	176967	Derna
594659	321474	Stan's Wife
594660	111791	Girl in Crowd
594661	209224	
594662	64712	Mrs. Page
594663	8220	
594663	12044	Yvonne
594663	15033	
594663	29515	
594663	36557	
594663	45133	
594663	45892	
594663	48197	
594663	51924	
594663	52726	
594663	59214	
594663	60062	
594663	65381	
594663	69937	
594663	83254	
594663	84668	
594663	89695	
594663	104445	
594663	110137	
594663	111044	
594663	111706	
594663	111877	Jeannick
594663	119288	
594663	122872	
594663	125621	
594663	134588	
594663	138587	
594663	155787	
594663	156303	
594663	190608	
594663	199595	
594663	211644	
594663	217685	
594663	227777	Rosette von Rinck
594663	248270	
594663	248968	
594663	249001	
594663	254091	
594663	333562	
594663	340154	
594663	345242	Micheline
594663	345514	
594663	345517	
594663	346582	
594663	346691	Jacqueline
594663	352281	
594663	353788	
594663	357058	Lucie
594663	361128	
594663	377636	
594663	377670	
594664	86388	Lorraine
594665	266180	Miss Allison
594666	354211	
594667	12061	
594667	155749	
594668	297257	
594669	82030	Penny
594669	93982	
594669	184719	Schoolgirl
594669	323974	Krystal
594669	344988	Phillip's Teammate
594669	350434	Young woman
594670	26959	Lady #2
594670	29732	
594670	63069	
594670	160634	
594670	191848	Town Hall Clerk
594670	197590	
594670	231916	Judy
594670	241547	
594670	299393	Vi
594670	349631	Brunette
594670	359351	Nurse, at Kendall County Hosp
594671	26803	Older Lady
594672	354160	Meg
594673	46156	Feelie Actress
594673	70927	Nurse
594673	158975	Bernice
594675	131217	Cookie Green
594676	16968	Cranky Labor Nurse
594676	79695	Eileen O'Donovan
594677	69333	Glyness Bennet
594677	220408	Victim
594677	279871	Helen
594678	43909	Monique
594678	363602	Girl
594679	29091	
594679	70603	
594679	151256	
594679	189243	
594679	230818	
594679	274851	
594679	278231	
594679	285061	
594679	299214	
594679	363463	
594680	349870	PR Woman
594681	271203	Lucia Evans
594682	134881	Mrs. Pringle
594682	151620	Mrs. Corley
594682	263352	Diane
594683	33386	Herself
594684	153563	Herself (7 Year Bitch)
594684	199194	Bass
594685	402176	
594686	69985	Teresa Curcio
594686	129011	The blonde
594687	137483	
594688	202945	
594688	402888	Herself
594689	336475	Patio Waman #2
594690	75524	Herself
594691	288960	Herself (segment "Monsters of
594692	91523	Contest Winner
594693	405422	Zana Beckley
594694	2816	Nominee for Best Performance 
594694	40148	Det.Gilhooley
594694	66584	Doctor
594694	75648	Jilly
594694	76501	Kate
594694	101704	Maggie
594694	128515	Catharina
594694	137578	Alison Blount
594694	190774	Zara
594694	207989	Maggie
594694	207991	Maggie
594694	246286	Helen Davis
594694	278718	Evelyn Bookman
594694	279176	Wendy
594694	309638	Jean
594694	327591	Julie
594694	343291	Young alice
594694	379396	Beth
594695	66855	
594695	107571	
594695	138233	
594695	146158	Eileen, Frank's Sweetheart
594695	158185	
594695	161501	
594695	164417	Luedd Trangmar
594695	224159	
594695	254443	Lady Barradell
594695	274116	
594695	280916	
594695	282631	
594695	315111	
594695	342888	
594695	347037	
594695	366877	
594696	185755	Nun
594697	113286	Bar Patron
594697	235579	Church Woman
594697	296983	Old Lady
594698	411296	Herself
594699	256843	
594700	101553	
594700	192023	Margaret Dishart
594701	2445	Herself (Carole's Childhood F
594702	380391	Dr. Doyle (1998-1999)
594703	346463	
594703	406380	Singing repetitor
594704	249627	Maid
594705	358604	Housekeeper
594706	122226	
594707	380012	Herself - Semi-Finalist (2003
594708	21116	Real Estate Agent
594709	10576	Annie Oakley
594709	41731	Sandra Higbee
594709	45923	Anne Lamont
594709	66795	Bricke Redd
594709	72182	Ginger Kirby
594709	81303	Trudy Clark
594709	108952	Susan Hathaway
594709	116227	Virginia Blithe
594709	120744	Janet Adams
594709	130999	Cathy Wheeler
594709	155917	Miss Gail, Mike's Secretary
594709	157945	Miss Marshall
594709	159140	Melody Colton
594709	163520	Sally Brown
594709	169906	Young Mother with Baby Carria
594709	186321	Ann Calvert
594709	188406	
594709	211635	Girl
594709	239839	Arlie Williams
594709	240952	Jen Larrabee
594709	242771	Bit part
594709	245745	Terry Muldoon
594709	246251	Jennifer Coleman
594709	270374	Sally Brown
594709	280942	
594709	301938	Dell Middler
594709	303474	Lynne Gregory
594709	308930	Eileen MacDonald
594709	309826	Molly Tavish
594709	323389	Thelma
594709	329051	Nancy Carter
594709	330179	Girl at Parking Lot
594709	337634	Mary Ellen Harley
594709	349988	Laurie
594709	358179	Connie Weldon
594709	361663	Jennifer Draper
594709	363636	Elaine Lassiter
594709	366338	Ann Randolph
594709	372308	Sally Brown
594709	373198	Jane Kenmore
594709	380372	Annie Oakley
594710	147636	
594710	191732	Stripper #1
594710	297672	Bus Rider
594710	305716	Older girl
594711	381821	Ensemble (1975)
594712	2893	Herself (Winner, Best Support
594712	2904	Herself
594712	3021	Herself (Past Winner)
594712	3053	Herself (Presenter/Past Winne
594712	5440	Muriel Pritchett
594712	7585	Herself
594712	7592	Herself
594712	13915	Herself
594712	16968	Angie Scacciapensieri
594712	75706	Morgan Adams
594712	79916	Herself
594712	96741	Valerie
594712	115325	Larry
594712	116118	Veronica Quaife
594712	143824	Gale Gayley, Channel 4 News R
594712	186650	Dottie Hinson
594712	193960	Samantha Caine/Charly Baltimo
594712	253822	Woman/Deadly Sin (Video "It's
594712	264198	Narrator
594712	269771	Phyllis Potter
594712	292668	Tamara Reshevsky/Brenda
594712	310715	Julia Mann
594712	317261	Mrs. Eleanor Little
594712	317262	Mrs. Eleanor Little
594712	317263	Herself
594712	329833	Thelma
594712	329834	Herself
594712	335799	April Page
594712	338197	Odette
594712	359471	
594712	382954	Wendy Killian
594712	389816	Teddie Cochran
594712	404300	Sara McKenna (1985)
594713	105416	
594713	191908	
594714	229506	Ms. Andrews
594715	149382	Grace Manning
594715	254488	Girl
594715	308022	Girl in Cafe
594715	315530	Canteen Girl
594716	170615	
594719	318607	Churchgoer
594720	226891	Prison Guard
594721	277622	Literary Party Guest
594722	40314	Lady
594722	92302	Gloria Anderson
594722	347446	Ethel Owens
594723	360436	Crying Kid
594724	220084	Dolly
594724	292779	First Bride
594725	91656	
594726	27168	Lois Fields
594726	238567	Loree
594727	315317	Mickey Lyons
594727	381821	Ensemble (1981-1982)
594728	29732	
594728	88916	Woman
594728	177391	Woman at Table
594728	361300	Bit
594729	53208	Girl in Bookstore
594730	5037	Jeannie Schmidt
594730	14192	Joyce Brabner
594730	20336	Brooke Wolfe
594730	80046	Eliza Malone D'Amico
594730	95067	
594730	113261	Ann
594730	115161	Anne Coldren
594730	136261	Camera
594730	141484	Elizabeth 'Liz' Garfield
594730	144631	Herself
594730	148200	French Ticket Agent
594730	157255	Emily Essendine
594730	168246	Therese Mitchell
594730	178099	Junior's Girlfriend
594730	207624	Bean Wright
594730	221183	Annie
594730	222292	Sofie Crisp
594730	224935	Margaret
594730	231118	Erin Castleton
594730	265821	Claire
594730	283339	
594730	292479	Dana Hurst
594730	360596	Noreen Spritz
594730	385905	Brooke Benton
594731	379923	Herself (Eliminated 2nd with 
594732	191836	Mrs. Hanon
594733	139236	Kristen VanDorn
594734	227021	Isobel
594735	11280	Santa's Helper
594735	56207	Lady Patient
594735	222810	Martha Ryan
594737	32790	Molly Brazen
594738	43928	Child extra
594738	390798	
594739	113686	
594740	114943	
594740	191732	Stripper #2
594740	266917	
594741	244120	Stage Manager #1
594741	350145	Bartendress
594742	90813	Cast
594743	264154	Matron
594744	380685	Herself (regular performer, 1
594745	392735	Herself (Trumpet)
594746	254522	Female Masquerade Dancer
594747	116847	Baby Midge
594748	62269	Jivin' Jill
594748	127086	Jitterbug
594748	218782	Ruth
594748	250724	Jivin' Jill
594748	302586	Helen
594748	330809	Girl
594748	335852	High school girl
594748	337483	Montano
594748	356808	Zuranda, the native girl
594749	69773	Rehab Counselor
594750	56801	Lori
594750	375692	Andrea
594751	105292	Christine
594752	81193	Det. Erica Erickson
594754	12275	Gail
594754	72580	
594754	81084	
594755	178931	Baby in Stroller
594756	18814	Denise
594756	41167	
594756	143284	Opinionated Woman
594756	178931	Baby Jennifer
594756	336239	
594757	131795	Dot Cruisintton
594758	381821	Ensemble (1977-1978)
594759	363370	Stripper at Party
594760	385824	Samantha Gene 'Sami' Brady (#
594761	118297	
594761	293149	Nurse Rae
594763	10174	Judy
594763	192512	Girl With Scissors
594763	372325	
594764	228517	
594765	16773	Strivers
594765	20613	Joan Davis
594765	32070	Dottie Duncan
594765	49597	Mabel, Bunker's Secretary
594765	79949	Miss Applegate
594765	116963	Dottie Nickerson
594765	119536	Nellie
594765	126069	Joan Mason
594765	133653	Flossie Duff
594765	134557	Alice Dean, A.J.'s Roomate
594765	139362	Susie Perkins
594765	140908	Madge Donovan
594765	141807	Herself
594765	147413	Lizzie Olsen
594765	147414	Camille Brewster
594765	147743	Herself
594765	147892	Herself
594765	147985	Lili
594765	155917	Susie Parker
594765	169167	May Morris
594765	171075	Kitty
594765	173524	Polly Jasper
594765	175162	Herself
594765	190064	Inez
594765	195368	Joan
594765	196108	Mamie
594765	201432	Archive footage from George W
594765	204174	Edna Higgins
594765	210615	Herself
594765	214187	Singer
594765	224127	Mary Dwight
594765	227351	Bit Part
594765	240672	Miss Katz, Dibble's secretary
594765	285664	Myrtle
594765	286154	Irene Keene
594765	291328	Herself
594765	291389	Herself
594765	297919	Jane 'Pilky' Pilkington
594765	298050	Jane Featherstone aka Lulu Wi
594765	300068	Joan
594765	302593	Myrtle
594765	309629	Hillbilly singer
594765	318933	Miss Carstairs
594765	321379	Phoebe Weyms
594765	323154	Babe Dugan
594765	330375	Orchestra Leader
594765	333317	Midge Dooley
594765	335576	Lolly
594765	338560	Mabel King
594765	342951	Joan Daley
594765	343120	Daisy Baker
594765	358453	Spanish Dancer
594765	360263	Jennie Kirk
594765	371857	Molly Malone
594765	372133	
594765	392428	Joan Stevens (1952-1955)
594766	124260	Choreographer, Six Rose Petal
594766	191825	
594767	235737	Aunt Agatha
594769	256220	Likes Her Story Better
594770	27440	Officer Samantha 'Sam' Edward
594770	31677	
594770	57689	Herself
594770	172605	Carol Cavanaugh
594770	182967	Chloe Carpenter
594770	195087	Stacey
594770	249529	Eddie's Wife
594770	266568	Serafina Dalton
594770	304494	Shane Masters
594770	308851	Gretchen
594770	326740	Herself
594770	333893	Laurie Williams
594770	381811	Camille Desmond (2000)
594770	383923	Sara Powell (1987-1990)
594770	408326	Laurie Williams
594770	411802	Grace Turner #1 (1996-1997)
594771	97388	Dancer
594772	145539	Eleanore Ritter
594772	281937	Dee Bertillon
594772	363120	Mom
594773	185989	
594774	81179	Waitress
594774	379220	Mrs. Rocket
594775	2818	Herself/winner
594775	5197	Gloria Russell, White House C
594775	5908	Herself
594775	10670	Vicki
594775	30484	Audrey Taylor
594775	41148	Suzanne
594775	57654	Robin Simon
594775	61802	Joan Fraser
594775	65466	Lilli
594775	66324	Maxine Pierce
594775	70426	Paula Tanner
594775	78778	Buffy
594775	79202	Lillian Hellman
594775	81649	Lucy
594775	97203	Gladwyn Ritchie
594775	124591	Cassandra Reilly
594775	126103	Nina Bailley/Georgia White
594775	141596	Kate Dean
594775	144895	Lynn
594775	144972	Lillie
594775	149276	Sarah
594775	153190	Sally
594775	157283	George Sand/Aurora
594775	173344	Harriet Somers
594775	190269	Judy Garland
594775	190270	Herself
594775	203584	Anna Redmond
594775	211617	Mistress Ford
594775	223758	Sybylla Melvyn
594775	226969	Joan Frost/Joan Lee
594775	226972	Herself
594775	230508	Katherine Witner
594775	240575	The Mother
594775	241236	Countess Mary Lindell
594775	273260	Nancy Reagan
594775	274650	Caroline Chasseur
594775	280168	Cleo
594775	281755	
594775	294976	Diane
594775	321466	Dora Fingleton
594775	360004	Carrie Mazzini
594775	363261	Harriet Herriton
594775	364147	Frankie Leith
594775	366427	Lou
594775	367443	Young Golda
594776	68226	Kim
594776	99327	Nicola
594776	195300	Nancy the caterer
594776	249265	Insinuating Wife
594776	295806	Shelley
594776	297802	News Reporter
594776	314595	Herself/Various
594776	365121	Moira
594776	379571	Jenny Easterbrook
594776	381996	Various roles (1998)
594776	384695	Various roles
594776	392251	Various Characters
594776	392384	Claire the Rat
594776	393281	Receptionist, Various Roles
594776	399463	Jill Tyrrell
594777	46416	Church Nun
594777	262083	LAPD Officer
594778	228105	
594779	132631	Female President
594780	15231	Amy Mandell
594780	26633	
594780	52311	Customer
594780	52320	
594780	58632	Voluntary
594780	154450	Lisa
594780	354953	Cocktail Waitress
594781	342566	Madeline
594781	385728	Primrose Larkin #1 (1991)
594782	132582	
594783	10414	Sascha
594783	67922	Sally
594783	106666	Amanda 'Mandy' Curran
594783	150865	Cynthia
594783	348591	
594783	408527	Kimberley
594784	363864	
594785	153578	Mr. No Bone Marrow's Lovely W
594787	194410	Police Woman
594788	117839	Dr. Nichols
594789	16677	Voodoo Dancer
594789	190593	Melinda
594790	25467	Herself
594791	331373	Ashcroft Girl
594792	60714	Woman in Bar
594792	181834	Sue Shee
594794	359550	Restaurant girl
594795	335704	Receptionist
594796	390730	Reporter, Akane Fujita, Ms. S
594796	396923	Meiko Akizuki, Mari, Mio Hagi
594797	2627	Herself
594797	384698	Herself (2002)
594798	318775	Karen
594799	224593	Snow
594800	363416	Herself
594801	398132	Hostess
594802	198042	Christie
594803	44513	Bibi
594804	80403	Jean
594804	223954	Aideen
594805	361224	Ron Shelton's Assistant #2
594806	62957	Kid in the Living Room
594808	31327	Foxy Boxer
594809	245889	Child
594810	214814	Gospel Choir
594811	164369	Mourner #1
594813	365881	Mountain villager
594814	36694	Cynthia Benson
594815	283462	Crowd Extra
594816	195618	Louise
594817	196981	Saloon Girl
594817	396142	Saloon Girl
594818	118980	Bus Rider
594819	2889	Herself - Presenter
594819	230881	Herself
594820	281382	Tiffany
594821	2761	Herself/Presenter, Outstandin
594821	2787	Herself
594821	2894	Herself
594821	10885	Karina Tivoli
594821	23338	Megan Seger
594821	35799	Herself
594821	40169	Sylvia
594821	80852	Babette Watson
594821	90854	Jane
594821	151174	Ann
594821	161225	Herself
594821	225797	
594821	230881	Herself
594821	232845	Tennis Attendant
594821	295601	Charlotte
594821	295609	Charlotte York MacDougal
594821	308020	Lorraine
594821	323428	Annie Denver
594821	338546	Annie
594821	344514	Claire McGrath
594821	366348	Mandy
594821	389858	Betsy Chilson, R.N. (1991)
594821	397401	Brooke Armstrong Campbell (19
594821	404946	Charlotte York
594821	410958	Narrator
594822	315885	Luther's Girlfriend
594823	209638	
594824	176903	Nurse Gail
594825	97255	The Laundry Mat Woman
594825	182507	Miyu's Mother (Dub)
594825	272325	Cathouse Girl #4
594826	199148	Hollander's Producer
594827	192527	Jehovah #2
594829	277098	Woman at Accident
594830	142716	'Family' girl
594831	100820	Stephanie (6 months old)
594832	312289	Jane Liggett
594833	351932	Fabrizio's Girlfriend
594834	221968	
594834	338162	Enfermera #2
594834	343603	Malena
594835	134088	Viney Prohack
594836	213112	Mother on the Bus
594836	224106	The Talent Show - Sing It Out
594836	296778	
594837	150095	Herself
594837	161366	Narrator
594837	273576	Herself
594837	273577	Herself (segment "Does He Lov
594838	26344	Ann Saper, the lady in red
594838	77173	Rose Dalton
594838	120757	Elizabeth Brannen
594838	129568	Candy Trent
594838	193921	Nell
594838	241428	Anita
594838	269340	Motiya
594838	312133	Princess Ann
594838	355054	Jane
594838	389911	Miss Jenkins
594840	151183	Secretary
594840	281464	Betty
594841	268840	Kathleen Fortune
594842	309486	Mammy Judy
594843	118212	Quzy Botz
594843	169579	Joy
594843	172688	Kali
594844	3267	Backup Singer
594845	35637	Little Girl
594848	123703	Jelly's Other Girl
594848	149911	Nurse Divine
594848	206408	Lottie
594848	281901	Reporter
594849	318842	Felda
594850	188929	Clubgoer #7
594850	366898	Eliza
594850	396952	
594850	402750	Tanya Panda
594850	404884	Fenella Day
594850	406773	Monica
594850	409586	Vanessa
594851	87586	Prayer Band
594852	67922	Susie
594852	77199	Jax/Angela Ripley
594852	123326	Dunya
594852	231439	Maid
594852	295806	Ruth
594852	297802	Dianne
594852	381594	Old Noshie
594852	400004	Dawn Tinsley
594852	402125	Maria Lucas
594853	17700	Carib Woman
594853	26420	Joan Lloyd
594853	40998	Verna
594853	47806	Daisy
594853	147552	Dancer
594853	301743	Prairie Girl
594854	215691	Miss Maine USA
594855	154399	Herself
594856	211812	Lois
594857	246015	Marcia
594858	195768	Fudge Girl
594858	331937	Young Muriel Fergus
594859	10812	Alice's mother
594859	148966	Ruth Lawhorn
594860	213159	Ruth
594861	361655	Wanda
594863	285591	Sophie
594863	332150	Gloria Dewey
594864	226938	Girl of Geriatric Park
594864	234982	Young Norma Jean
594865	148909	
594866	212051	Terry
594867	332061	Waitress
594868	263227	Marlene
594869	30672	Herself
594869	277503	Herself
594869	280008	Herself
594869	305464	Martha
594870	37787	The Three Most Important Peop
594871	387533	Clerk (1999) (4 episodes)
594872	13304	Aunt Elizabeth
594872	140131	Ada
594872	153983	A Servant
594872	221334	Mrs.Eichorn
594872	277645	Mrs. Tilney
594873	14002	Mom
594874	20987	Jessie
594874	68232	Big stank woman
594874	149287	Prostitute
594874	166567	Church Lady #1
594874	168087	Lady at grandmother's house
594874	230926	Big Shirl
594874	262589	Bernita
594874	312798	
594875	212259	Interviewer
594876	39578	
594876	193868	Workman's Wife
594876	332421	Betty
594876	334268	Suzanne de Colville
594876	380508	Janet Appleyard #1
594877	127288	Rose
594877	161523	Sleeping Beauty
594877	196889	Wendy
594878	282630	Barmaid
594879	299394	Tiff
594880	7637	Switchboard Lady #1
594881	16647	Angel Bliss
594882	193176	Terrorized Girl in the Hallwa
594883	80643	Norelie
594883	227926	First singer
594883	279166	Alida Le Blanc
594884	370035	Dierdra
594885	311923	Women's Shelter Extra
594886	196373	Melodio
594887	222790	Girl outside nightclub
594887	270577	The British Diplomat
594888	5064	Rosa Toscani
594888	246260	Washington (DC) witness
594889	279460	Rhonda
594890	11162	
594890	11613	Betty Thompson
594890	14620	Miss O'Brien, The Girl
594890	52407	
594890	69229	The Girl
594890	85086	Tessie T. Tesse
594890	88889	The Sick-Little-Well-Girl
594890	96905	The Girl
594890	112541	Lily Sawyer
594890	120497	The Girl
594890	126537	The Girl
594890	133127	His Girl
594890	139547	Herself
594890	140153	The Girl
594890	144751	The Girl
594890	146210	Princess Florelle
594890	154154	Wife
594890	206329	
594890	230436	The Girl
594890	236102	The girl
594890	236703	The Girl
594890	285353	The Girl
594890	285678	The Girl
594890	327526	Hazel Manners
594890	335634	Ceia Mason
594890	360603	Margery Gordon
594890	362470	
594890	368435	
594891	68448	
594891	284538	Mrs. Benson
594891	287171	Sister
594892	70015	A Friend of Flossie's
594892	116407	Marian's Maid
594892	148984	
594892	195515	The Maid
594892	201936	Salina Huntington
594893	272858	Herself/DJ
594894	823	
594894	80564	Monica
594894	149335	
594894	279325	Martha Lu
594894	280146	Tannah
594894	328808	
594895	79258	LaVern
594895	108941	Esther
594895	141746	Sassy Black Prostitute
594895	171072	Lexi
594895	333602	Sarah
594896	200870	Mrs. MacTavish
594897	114251	Loretta Kramer
594898	31075	Herself (Nancy Reagan)
594898	58670	Herself
594898	72578	Helen Williams
594898	88853	Mariette Esmond
594898	90799	Janice Cory
594898	96861	Helen Lee
594898	136226	Herself
594898	142499	Nurse Lt. Helen Blair
594898	147822	Herself
594898	160464	Herself
594898	163414	Miss Coleman
594898	165302	Herself
594898	175524	Herself
594898	175525	Herself
594898	175526	Herself
594898	175528	Herself
594898	175529	Herself
594898	175530	Herself
594898	175531	Herself
594898	176870	Herself
594898	228979	Herself
594898	231131	Mary Smith
594898	231970	Katherine Mead
594898	233307	Herself - Attending Nixon Fun
594898	238613	Herself
594898	247370	Herself
594898	261082	Teenager in art gallery
594898	264079	Herself
594898	273258	Herself
594898	286350	Herself (with her husband)
594898	292148	Herself (at Statue of Liberty
594898	296754	Betty Hopke
594898	296835	Dr. Caroline Canford
594898	313091	Herself
594898	323941	Marge Fontaine
594898	365190	Herself
594898	384590	Herself (with Reagan)
594899	28475	Poet
594899	220819	Sister Catherine
594900	197489	Ramus
594900	260386	Glug
594900	372134	Sample Videotape #1
594901	71996	Loretta Jones
594901	147844	Audition Actor/Hooker
594901	154959	Woman
594901	185853	Reporter #2 (Carnegie Hall)
594901	210902	Teacher
594901	252834	E.R. Nurse
594901	253058	Daphne Cordor
594902	71897	Vivianna Solto
594903	311500	Nurse
594904	64673	Mouse
594904	137956	Mary
594904	303882	Voice of the New Revolution
594905	37683	Rita
594905	185053	
594905	205819	Kimmie
594905	209219	Nariah
594905	257618	Herself
594905	257652	Miss July
594905	257833	Miss March 1994
594905	363602	Dreamgirl
594905	408160	Manager
594906	16893	Clean Sheila
594907	79611	Student
594907	194665	Kendall Visser
594908	393605	Gina Price (2003)
594909	25407	
594909	75476	Tina Gregory
594909	193832	
594909	193836	
594909	203730	Nell, Jim's Wife
594909	345966	Nurse Nell
594909	366792	Margaret Maynard
594910	218345	Bar Girl
594910	310633	Munroe
594911	35362	
594912	188453	'Likes' Girl
594913	406459	Herself/Starting Over roommat
594914	340752	Campaign Reporter
594915	2275	Herself
594915	393010	Judge (Egg Battle)
594915	408694	Host (2001-)
594915	408697	Herself
594916	362453	Showgirl
594917	350114	
594918	282583	Themselves
594919	308609	News Anchor
594920	34913	Choir member
594921	26180	Friend #1
594921	26423	Air Force Wife
594921	158061	Attendant
594921	276169	Reporter
594923	87578	Cake dancer
594924	351502	Girl in Shower
594925	66393	Rosita
594925	75556	Michelle Chauvin
594925	117065	Sandy Green
594925	232164	Janice Tyler
594925	271359	
594925	324422	Reporter
594926	47237	Truck Stop Waitress
594927	388462	
594928	185530	Herself
594928	247370	Herself
594928	257583	Herself
594928	273258	Herself
594928	387309	Marla (1971)
594928	391835	Herself
594928	403452	Marissa Mallory #1 (1984)
594929	18559	Bartender at Bayou Belle
594929	131651	Evette
594929	193521	Motel Clerk
594929	207904	Shelly
594929	282922	Arlene
594930	76217	Jolene
594931	132632	Nurse
594932	230114	The Model
594933	65386	Elderly Woman #1
594933	231789	Herself
594933	278259	Sally Rand (fan dancer)
594933	302211	Woman at ATM
594934	81319	Nurse in movie
594935	31188	Herself (ABC Team)
594935	35809	Susan Lake
594935	36823	Girl in bikini
594935	62560	Foxy
594935	79844	Secretary
594935	135992	Kathryn Hamilton
594935	178918	Tanya Walker
594935	185505	Beautiful Girl
594935	192503	Secretary #2
594935	194468	
594935	303608	Sally
594935	311230	Bit Girl
594935	321320	Sugar
594935	321556	Model #10
594935	328262	Joy
594935	337769	Scarlett O'Hara
594935	346060	Hostage #2
594935	351169	Beatrice
594935	365525	Sugar Harris
594935	409889	Beatrice Travis (1978-1981))
594936	319001	Featured Player
594937	409700	Herself (Alpha Gamma Grandma)
594938	149832	Katherine Garcia Sanders
594938	267567	Jill
594938	280720	Redhead
594939	324020	Rae
594940	164663	Extra Girl
594940	188502	Pool Girl
594941	155537	Iczels
594941	283679	Tomoe (English version)
594941	322756	
594941	363415	Photo Finalist
594941	404137	Mieko Yotsuba
594942	92303	Julie Ornstein
594942	114583	Sarah
594943	92303	Julie Ornstein
594943	224729	Maya Plasetskaya
594944	343145	Mrs. Doogan
594945	407369	Lady, Additional Voices
594946	139073	Spectator
594947	311373	Betty Crabtree
594947	387531	Woman at Rabardys
594949	195884	Leanna
594950	73926	Sarah
594951	65748	Baby Recruit #4
594952	155698	Girl
594952	335511	Simpson, a parlourmaid
594953	325021	
594954	292175	Lady on bus
594955	26608	Suzette
594956	221067	Wheelchair Woman
594957	177466	Poppy
594958	411296	Herself
594959	309132	Herself
594960	139571	Sally, the piano songstress
594961	53310	Jenny
594961	398989	Hortense, as a child
594961	399130	Sally Upton (1998-1999)
594962	31500	
594963	365881	Nelwyn villager
594964	60729	Yelena Mashenko
594964	79714	Anna May Dunsford
594964	118367	Jezebel (segment "The Missing
594964	149444	Dawn Rowen ROHAN
594964	149829	Randi
594964	158960	Nia Barnett
594964	184046	Mary Trent
594964	191300	Baptista
594964	217741	May
594964	246249	Julie Jackson
594964	252844	Stephanie
594964	262528	Anna
594964	271263	Ursula Brangwen
594964	296779	Katharine
594964	307018	Annie Ashland
594964	311944	Aimée Daumar
594964	313088	Martha Anne-Jean Harlow's Sta
594964	368722	Denise Jones
594964	391898	Caroline Hailey
594965	72931	Goodyear Chorus Girl
594966	93338	Tourist
594967	36871	Saleslady in dress shop
594968	2600	
594968	277044	Kelly
594969	283552	Suzy
594970	44456	Salsa club dancer
594970	328130	Girl in Restaurant
594971	45853	Featured Party Zombie
594971	84931	Delilah DeFranco
594971	90154	Diane Holmes
594971	107205	Liz
594971	114612	Charlene 'Charlie' Mayberry
594971	149691	Lisa
594971	161594	Second Actress
594971	231086	
594971	242027	Dianne Holmes
594971	254415	Tanesha
594971	280298	Celia
594971	285287	Sarah
594971	309563	Campaign Worker #1
594972	367054	The Wiz Singers Children's Ch
594973	185103	School Administrator
594973	280005	Photographer
594974	84679	Réceptionniste
594975	351502	Girl in Shower
594976	128759	
594977	205268	Woman in Audience
594978	195610	Ingrid
594979	10889	Renee
594980	264072	Julie Phillips
594981	258188	Call Girl
594982	260206	Customer in Pub
594983	71694	Herself
594983	71762	Herself
594983	118033	Herself
594983	130645	
594984	129566	Lizzie June
594984	159862	Girl at Party
594985	80695	Rockhouse Treat
594985	203177	Blacksmith
594986	124282	Band
594987	338023	Boston Cream Girl
594988	124286	Acoustic Guitar, Electric Gui
594989	166904	Marilyn
594990	73127	Grandmother
594990	82598	
594990	188551	Governer's Wife Linda
594990	359403	Mrs. Lightman
594990	383122	Charlie
594990	392065	
594990	399221	
594990	405548	Dooley Lawrence
594990	405600	Little Cindy
594991	232189	Dori Kenton
594992	62650	Jubilene's Girlfriend
594993	76562	Tommy Christian's Lawyer
594993	223848	Mrs. Jenkins
594994	181276	Sheila E.'s Band
594994	192558	Herself - Keyboards
594995	224486	Keyboards & Percussions
594996	1999	Darian, Soap Opera Cast
594996	110299	Kerry
594996	125588	Arlee Hicks
594996	390774	Hope Cornell
594996	396616	Alex Kaufman (1999-2000)
594998	82886	Judy
594999	10805	Marjorie Guthrie
594999	313583	Hostility Victim
594999	332807	Miss Lily
595000	326753	Ruby
595001	29746	Nappy Cuts Video Female
595001	280631	Tootsie Roll
595001	289024	Tiffnee
595002	368842	Reese Wade
595003	217476	Reporter
595004	43452	Herself (viola)
595004	168682	String Quartet
595004	215696	Performer
595004	251087	Guest Performers
595005	151530	Cute Party Girl
595005	194136	Vicky Thompson
595006	171614	
595007	195331	Dylan #3
595007	306288	Little Lilliana
595007	375936	Young Sasha
595008	335689	Lucy
595009	127730	Vikings Dance Squad Member
595010	133334	
595010	206491	
595010	320108	Friend's Sister
595010	333058	Joanna
595010	380391	Stacey Winthrop #1 (1982-1984
595010	387309	April Cavanaugh Scott (1977-1
595010	404282	Madeline Capwell Laurent (198
595010	406952	Hillary Nichols (1998)
595011	274525	Witness
595012	264075	Savannah Wingo (age 6)
595013	364752	Club Server
595014	364300	Herself
595015	50933	
595015	115635	Flight attendant
595015	224842	Lauren Devine
595015	248715	Blonde Woman
595016	91768	Colleen
595016	291215	Herself - Smash Box photo sho
595016	369473	Secretary
595017	297776	Mary Lou
595018	37787	Jody Davis
595018	334171	Theresa
595019	35789	Pentan
595019	83876	Store Manager
595019	229731	Sam
595020	344524	Herself
595021	334158	Mother
595022	10439	
595022	16868	Rita
595022	46626	Nissia
595022	104850	Diana
595022	161858	
595022	161859	
595022	202207	Lyuba
595022	238336	
595022	351586	
595023	340940	Joy
595024	283552	Tanya
595025	340765	Purse Whacker
595026	28611	Michelle
595026	176884	Aerobics dancer
595027	60763	Heather, Student with Glasses
595027	97026	Denise
595027	113332	Additional Voices
595027	149790	Teenage Girl
595027	213466	Cabriolet Girl
595027	215301	Erin
595027	397179	Mia
595027	399964	Val Whitney
595027	400548	Hamster and Plant
595027	402001	Psycho Pink
595028	201924	Nancy the Waitress
595029	361248	Lolita
595029	375515	Ally
595030	15214	Dottie
595030	18436	Eva May
595030	108941	Sybil
595030	174503	Policewoman
595030	245103	Moselle Miller
595030	252355	Platoon Sgt. Fanning (Burton'
595030	300343	Robin
595030	307274	Gordon
595030	317877	Nurse
595030	337404	Social Worker
595030	383798	Hannah Crane
595030	384360	Nurse Lynnette Peeler
595030	390922	Rosemary Allbright
595031	79357	
595032	285978	Baby Betty
595033	10679	Alice
595033	10680	Alice
595033	10690	Alice
595033	10707	Alice
595033	10708	Alice
595033	10712	Alice
595033	10731	Alice
595033	10773	Alice
595033	10774	Alice
595033	10775	Alice
595033	10794	Alice
595033	10796	Alice
595033	10808	Alice
595033	10811	Alice
595033	10812	Alice
595033	138114	Herself
595033	139790	Harvey Girl
595033	203059	Cissy
595033	222592	Bit Role
595033	308632	
595033	314828	Herself
595033	316692	Mary Hildebrand
595033	331553	Mary Keaton as a Child
595033	358804	Alice ('Alice's Wonderland')
595033	358832	Herself (actress/Alice, from 
595033	360837	
595034	42806	Rita
595034	56431	Pilot Gwen
595034	75479	Trina
595034	78176	Mercy
595034	97644	Marcia
595034	100820	Honey
595034	117428	Jane
595034	194865	Debutante #1
595034	203436	June Huff
595034	211764	Alva
595034	219248	Emily Costella
595034	224064	Kate
595034	227502	Wynonna Judd
595034	235460	Susan Bower
595034	240486	Patsy Cain
595034	251347	Womynist #1
595034	277801	Debbie, Babysitter
595034	299663	Jill Dunlap
595034	317341	Carole Whitcomb/Simone Swaare
595034	320756	Magdalena
595034	333391	Victoria Cohen
595034	349231	Polly Maxwell
595034	407160	Cak
595034	409744	Polly Maxwell
595035	51984	Big As A House #2
595036	219921	Stacy
595036	275673	Jade
595036	276904	Roni
595036	283555	Tracy Michelle Gibson
595036	323565	Janice Dickerson
595036	338308	Monique
595036	391535	Lynette White
595036	399282	Ronnie Lee (1991)
595037	310842	Mrs. Baxter
595038	126067	Soloist
595039	387150	Fan
595040	168905	
595040	190520	Young Prison Officer
595041	71110	Woman in Audience
595041	227006	Nurse
595041	230743	Highway Patrolwoman
595041	272973	Celia
595041	328258	Black Girl
595042	330000	Miss Hewson
595043	309213	Jodi
595045	209191	Jenny Hitch
595046	75829	Dream Character
595046	253156	
595046	303288	Herself
595047	69234	
595047	279217	Mrs. Harris
595048	135317	(segment "Ver Para Crer")
595049	99089	
595050	55662	Suzanne
595051	396083	Maya Fink
595052	88867	Players Ball Dancer
595053	61161	Lawyer
595053	151742	
595053	190242	Beth
595053	345786	Lorita
595053	366817	Dr. Cecile Kay
595054	245089	WPC
595054	383631	Student Nurse Alex Spencer (1
595054	383683	Sylvia
595054	396079	Sandra (Series 2) (1993)
595055	127144	
595056	212744	The Michael Nyman Band
595057	46752	Girl 2
595058	16780	Anna Livia
595058	149693	Hollis' Mother
595058	206385	Lisa Sterling
595058	233564	Callie Gatrell
595058	281393	Molly Lassiter
595058	316351	Tally Raymond
595058	359310	Sarah
595058	363126	
595058	389858	Nurse Esther (1990)
595059	13432	Weatherperson (segment "Murra
595059	33371	Herself
595059	35472	Weather Person
595060	362512	Young Ronnie Turner
595061	384280	Herself (suffragette killed d
595061	390599	Herself
595062	230075	Veronika
595063	207268	Old woman
595064	23350	Laura Hamilton
595064	142369	
595064	144560	Grace Lamont
595064	196289	The Girl (Daryl Sutherland)
595064	203752	Nellie Vaughan
595064	311468	Dorris Delafield
595064	320307	Madelyn Forrest
595064	362745	
595064	367048	Grace
595064	375780	Helen Thorpe
595065	138716	Gina Rossi-Dodds
595066	143535	Alcmene/Artemis
595066	157826	Scottish woman
595066	191758	
595066	335934	Bryony
595066	405209	Gina Rossi-Dodds (1992-1996)
595067	271990	Suzy
595067	331555	
595068	267486	Miss Warren
595068	382052	DC/DS/DI Liz Rawton (1996-200
595068	383078	(1995)
595068	400516	Sarah
595069	6773	Ailene, Fred's Girl
595069	18436	Johnny Mae
595069	26064	Sheep
595069	44706	Cleo
595069	51203	Additional Voices
595069	58728	Prof. Burns
595069	97410	Thanksgiving Guest
595069	100906	Mrs. Haskins
595069	141411	Fatburger Waitress
595069	158996	Helen
595069	159718	Cook
595069	185636	911 operator
595069	323443	Woman in Audience
595069	330271	Mother
595069	382419	Ruthanne Owens (1991-1993, 19
595069	389858	Isobel Ward (1994)
595070	228308	
595071	364271	
595072	382838	Mary Bowers (2000)
595072	385301	Abby Baker (2002)
595072	387533	Eve Birch (2001-2002)
595073	212026	Herself - Presenter
595073	215697	Miss Ireland (Winner)
595074	157222	Miranda
595075	97018	Sheryll Shee
595076	373271	
595077	2200	
595077	90147	
595077	216513	
595078	30623	Tomsal-Mako
595078	233038	Maro
595078	244250	
595078	268611	Qabato
595078	272733	Marta
595078	328948	Tebro
595079	196902	Artist
595079	229260	Anne Jones
595079	269892	Slattern
595079	278718	Mary Kelly
595079	313626	Girl in Cafe
595079	382291	Dr. Zoe Hamilton (1995-1998)
595079	397477	Megan Muller
595079	405578	
595080	34799	Margo Stewart
595080	48540	Marie Claiborne
595080	102932	Bit Part
595080	249558	Sharon Lee
595081	305710	Waitress
595082	379911	Katerina Koulianou
595083	18544	Friend in Owner's Box
595084	136360	
595085	44301	Susan
595086	32877	
595086	207029	Mona
595087	26599	
595088	85716	Soeur Angèle
595088	377241	
595089	372691	Herself (singing "Bachianas B
595090	374495	
595090	377726	
595091	5408	Marthe Avene
595091	8908	L'infirmière musclée
595091	43757	Mme Blanche (segment "Fermetu
595091	52698	
595091	53233	Mme Denis
595091	55839	Une fille de l'auberge
595091	56388	Julie
595091	57891	Poulaine
595091	66221	Angèle
595091	68400	Joséphine
595091	70521	
595091	72053	Mme Libot
595091	86437	
595091	94535	Une grisette
595091	96227	Adèle
595091	103660	Germaine
595091	103787	L'Alsacienne
595091	108615	
595091	115188	Olympe
595091	116035	
595091	123719	La prostituée
595091	125465	Une religieuse
595091	132769	La voisine d'en face
595091	133090	Rose
595091	146427	La fleuriste
595091	183075	Invitée de Taupin
595091	200966	Marguerite Juteau
595091	201024	La fille
595091	205767	Une prisonnière
595091	216236	La Magnon
595091	216237	Mère Magnon
595091	218309	Mme Lola
595091	225430	Léone
595091	226793	Alexandra
595091	235710	La Charonne
595091	235825	
595091	236526	Mme Brunier
595091	240581	
595091	248031	La bouchère
595091	248984	Model
595091	256992	La concierge
595091	260886	Fernande
595091	275616	
595091	323770	
595091	325961	Suzanne Mézeray
595091	328374	
595091	334136	Antoinette
595091	335528	Mme Mado
595091	336756	Une prostituée
595091	338697	
595091	340573	Angèle
595091	341857	Mme Turcaret
595091	343574	Une cliente du docteur Tannai
595091	345020	
595091	350099	Ursula
595091	356496	Victoire
595091	377729	La femme du coiffeur
595091	377749	La marchande de casquettes
595091	395620	Louise (segment "Ernest")
595091	400050	La concierge
595091	401939	
595091	402562	Mlle Barberini
595091	403557	La fouine (1965)
595091	404129	Mme Théodora, la cartomancien
595091	408001	Maman Juju
595091	412251	Alexandrine Zola
595092	131197	La téléphoniste
595092	328399	La logeuse/La padrona di casa
595093	340195	Ninette
595094	214112	Sumuru Guard
595095	254140	Delphine
595095	275621	Charlotte
595095	412266	Infirmière mère de Julien
595096	159982	Edna Morris
595096	185639	Wedding Guest
595096	224734	Phillipa Guerrio
595096	350502	Miss Swartz
595097	158951	Jane Barnes
595098	175973	Girl of dreams
595099	283582	Jacarganda
595100	87582	
595101	158930	Waitress
595102	168255	
595103	6550	Pamela Pitzporter
595103	169232	June
595103	231998	Wendy March
595103	297946	June
595103	309253	Ethel
595103	329597	Betty Marlowe
595103	330151	Ursula
595103	340456	Miss Carruthers
595106	238909	
595107	95715	
595107	142677	Zuster Amalia
595108	15177	Elsa de Charmoy
595108	59117	Jean
595108	219047	Estelle LeFol
595109	42055	Indiana State Trooper
595109	85143	Irene Quinn
595109	158791	Fourth Woman
595109	275882	Computer
595110	303837	Amanda Hall
595111	69342	L'albanaise
595112	12805	
595112	176076	
595112	179323	
595112	180999	
595112	229179	Lydia
595112	253641	
595112	261302	
595112	261368	
595112	286216	
595112	303120	Saleswoman
595112	352955	
595112	397513	
595113	349358	
595114	61667	Stapfater's syster
595115	296517	Clementine Hewitt
595116	101172	Le rossignol, Le chouette
595117	63730	
595117	67104	Cameriera Arianna
595118	57880	Sister Clarisa
595119	247385	Delissa
595119	308113	Rita Wyatt
595120	20233	Bonita
595120	29941	Mary Truesdale
595120	35750	Herself
595120	42332	The Kid
595120	45064	
595120	50642	Edith Folsom
595120	52477	Flo Hunter
595120	54653	
595120	60173	Muriel Bekkman
595120	62776	Nora O'Brian
595120	69745	Madge
595120	78103	Cecelie Winslow
595120	87035	
595120	90288	Dorothy Whynn
595120	96815	Barbara Hare
595120	105954	Love
595120	110313	Falfi Tumble
595120	112229	Mary-Will Tellfair
595120	116714	Nell Winthrop
595120	123359	Ann Forrest
595120	130460	Grace Douglas
595120	133774	The Girl
595120	133910	Joan Thursday
595120	140749	Billie Bartlett
595120	141010	
595120	145004	Hope Masterson
595120	146078	Felice, Countess of Montenac
595120	146084	Mary Blake
595120	148292	The Girl
595120	151161	A Fairy
595120	152527	Joan Thayer
595120	152554	
595120	157538	Mildred Grantley/Countess D'A
595120	164873	Nancy Jordan
595120	168131	Katherine
595120	178880	Rita Allison
595120	193662	Jane Sheridan
595120	193870	Kate Corbaly/Dana Corbaly
595120	195752	Helen Griggs
595120	198048	Sue De Muidde
595120	206878	Herself
595120	216938	Dorothy Dodge aka Moraine
595120	220115	Sally Bleeker
595120	220919	Marjorie Threadwell
595120	235534	
595120	241818	Elizabeth Stuart
595120	245139	Jennie Sands
595120	245419	Mary Torrence
595120	250806	Margaret Vincent
595120	252296	Margaret
595120	263576	Kay Parker
595120	267340	Countess Elsa
595120	273598	Emma Jane Perkins
595120	274503	Angela Morgan
595120	277008	Mademoiselle Brevoort
595120	279189	Mary Josephine
595120	283637	Rosa Holf
595120	285444	Mary Gray
595120	289266	The Girl
595120	292574	Nanette
595120	311561	The Girl
595120	319211	Beauty
595120	335972	Marietta
595120	345617	Irenya
595120	355099	
595120	358966	Geraldine Horton
595120	364575	Becky
595121	13949	Gillian Burke
595121	31811	Mom
595121	52869	Herself
595121	61627	Monica Shaw
595121	88648	Kendra Dollison
595121	90344	Liz Corrigan
595121	107106	Connie Weaver
595121	128590	Bonny Lee Beaumont
595121	154896	Barbara Cooper
595121	161352	Herself
595121	175529	Herself
595121	185474	Laura Matthews
595121	203669	Robyn
595121	231495	Mom
595121	232017	Herself
595121	269880	Lucy Wedemeyer
595121	273601	Herself
595121	275484	Marcy Rabin
595121	277344	
595121	314104	Helen Knable
595121	316262	Andie
595121	320796	Princess Odette
595121	330912	Marsha Harper
595121	331871	Anne Walsh
595121	337606	Cheryl Harris
595121	360618	Ellen Benesch
595121	360741	Tracy Farrell
595121	365312	Daryl Reese
595121	372870	Narrator
595121	378703	Perdy
595121	388202	Pearl
595121	395594	Ronnie Boswell
595121	398232	Mindy McConnell
595121	398233	Mindy
595121	398733	Samantha 'Sam' Russell
595122	176229	Sweet Nurse
595122	310997	Ambulance Officer
595122	401455	Mary Dyer
595123	46242	Post Office Customer #2
595123	61250	Betty Junket
595124	97910	Elspeth
595125	272847	The Ravager's Victim
595126	105456	Attendant
595126	144760	Stewardess
595126	146661	Game Show Girl
595127	188457	Party Girls
595127	222592	Earl Carroll Girl
595128	358478	Villager of Tullymore
595129	80646	
595130	312150	Robot kid
595132	89080	
595132	126606	Layla
595132	160027	Amanda
595132	285031	Sister Mary
595132	290407	
595132	294391	Stripgirl #1
595133	158102	Alma Adamson
595134	42542	
595135	35267	
595135	46819	
595135	65923	
595135	67221	
595135	128112	
595135	152820	Undetermined Role
595135	294738	
595135	362815	
595136	368654	Talent Agent #3
595137	186708	
595138	42397	
595139	177015	Claire Lewis
595140	7547	
595140	42223	Scores girl
595140	79692	
595140	79699	
595140	185639	Fisher Child
595140	206724	Irma Strong
595141	33971	Andrea
595141	40552	Mandy
595141	80378	Zara Light
595141	203329	Chloe
595141	283546	Katie Bowles
595141	401894	April Tuna
595142	277539	Herself - Band Vocalist
595143	22035	Student #1
595143	372774	Tiffany Carrigan
595143	392238	Hip Girl
595144	194489	Lily Tover
595146	48468	Cult Member
595146	303285	Rachael Valentine
595146	360713	Bridesmaid
595147	176237	
595148	88162	
595148	207184	
595149	13579	
595149	88994	
595149	116282	
595149	157677	
595149	192155	
595149	321372	
595149	343265	
595150	26782	
595150	26912	
595150	32939	
595150	49510	Herself
595150	74300	
595150	198105	
595150	228307	
595150	297817	
595152	68697	Deborah
595152	289024	Les Presages Dancer
595153	372806	Jonathan's Dancer
595155	126020	Herself - a Singer
595155	137604	Band Singer
595155	252242	Singer
595156	69845	Model
595156	80817	
595156	106232	Beauty Queen
595156	203322	
595156	207268	Anna-Marie
595156	281413	High Stepping Girl
595156	292170	Geraldine
595156	308375	Lady in Waiting
595157	339543	Julie Nixon Eisenhower
595158	288432	
595159	11199	Derek's mother
595159	23925	Herself
595159	31555	Herself
595159	70885	Vera Duckworth
595159	105016	Audience Member/Herself
595159	187048	
595159	257511	Flo
595159	310696	Mrs. Warboys
595159	319176	Canteen Lady
595159	346940	Herself
595159	367854	Vera Duckworth
595159	385019	Herself
595159	385020	Vera Duckworth (1974-)
595159	410955	Waitress
595160	105244	
595161	204141	Pearl
595161	330246	Mrs. Chapman
595162	85182	Ruth Wayne
595162	109616	Margaret Marrable
595162	111715	Nell Haddon, 'The Spitfire'
595162	123278	Clarissa
595162	141267	Jennifer Hale
595162	193745	Lucy Shannon
595162	205449	Vi
595162	207294	Dulcie Larendie
595162	224052	Nell Carroll
595162	228308	
595162	233070	Niobe
595162	241629	Kate Shipley
595162	286061	Helen
595162	345975	Ethel Cartwright
595162	372819	Hazel
595163	382981	Nora
595164	11258	
595165	147661	Herself
595165	351182	Herself
595166	110940	Masseuse
595167	35807	Mary
595167	149423	Saleswoman
595168	289517	Girl #3
595169	6622	Elizabeth
595169	117260	Mrs. Vickers
595169	171359	Lucy Parsons
595169	197696	Ruth Baird
595170	56934	
595170	85792	
595170	139277	
595170	340523	
595171	19825	
595171	36914	
595171	85774	
595171	115059	
595171	121657	
595171	209799	
595171	319408	
595173	35362	
595173	354791	Lili Damar
595175	310801	Raver Girl #1
595176	87522	Ellie
595176	112485	Angela
595176	122639	Dagat
595176	297228	Melinda
595176	314104	Cyndi
595177	28157	Marie
595177	33276	La prostituée jouets
595177	54156	
595177	133163	Monica
595177	243391	Eurydice
595177	292742	Malika
595177	294554	
595177	321255	Mama Communa
595177	367758	Native-girl Sacrifice
595177	404153	Malou
595177	408000	
595178	151455	Young Girl Singer
595179	373216	Melody
595180	83820	
595180	86706	Segment 6 Girl
595180	93342	Dr. Banks
595180	123627	
595180	128846	Herself
595180	228592	
595180	244353	Herself
595180	253480	
595180	295869	
595180	296680	
595180	313220	
595180	344649	Herself
595180	358074	Herself
595180	366352	
595180	368574	Fluffer
595181	357156	
595182	55267	Linda
595183	365657	Officer Sharon White
595184	182727	
595185	192000	Lisa Fairbrother
595185	227194	
595186	75031	
595187	34817	
595187	57119	
595187	96774	
595187	147647	
595187	196036	
595187	197848	
595187	215514	
595187	249455	
595187	278543	
595187	353471	
595188	133991	
595189	20276	Sugar O'Day
595189	95843	Sugar Gray
595189	193706	Sugar Grey (Betty's kid siste
595189	247234	Sugar Gray
595189	278105	Sugar Dawson
595189	358963	Sugar
595191	913	Nancy
595192	388364	Herself
595193	138184	Winnie
595193	390523	Alice Rowe (1990-1993)
595194	222881	Ex Pupil
595195	79262	
595196	80821	Background singer
595196	281792	Girl at the pool
595198	368012	Anne
595199	155669	Paolina
595200	22701	Monica
595201	158207	Chloe
595202	80395	Wanda
595203	6163	Girl on Sværtegade
595204	11289	Wife
595205	109768	Child killed in crash
595206	8243	Kirkpatrick's Secretary
595207	11752	
595207	34117	Various roles
595207	41362	Nurse
595207	72760	
595207	155915	Courting Woman
595207	196134	Betty
595207	237465	
595207	313082	Glam #1
595207	381117	Bonnie (series 2)
595207	381661	Various Roles (1975, 1986-198
595207	386518	Mary Crawford (1964-1965)
595207	391506	
595207	394283	Violet Paddock (1995)
595207	395137	Various roles (1975-1977)
595207	395543	Jill Simpson (1980)
595207	401039	
595207	406485	Various
595207	410918	Various (1976-1978)
595208	245820	Mrs. Coyle
595208	339368	Miss Anne Other
595209	387336	Antonia - the Kitchen Maid (D
595210	117115	
595211	61788	Featured zombie
595212	196390	Model
595213	53058	Sarah
595214	358476	Coffee Shop Chatter
595215	128707	Prison guard
595216	220266	Mme Baptiste
595217	297880	Christmas Party Guest
595218	178357	Mrs. Hankin
595219	23441	Nurse
595219	96741	Soap Opera Wife
595219	209527	Klepto Nurse
595220	214430	Elizabeth
595221	214430	Elizabeth
595222	273197	Mike
595222	313706	Karin
595223	214932	Young Woman
595223	316270	
595223	327764	Lady in Waiting
595224	392469	Herself - Psychologist (Serie
595225	402610	2nd Girl At Party
595226	20269	
595226	20292	Marie
595226	32255	
595226	47369	Bobby
595226	61804	Margie Haines
595226	88665	Mary Ellen Maloney
595226	130641	Elsie Blaine
595226	141362	The Girl
595226	145831	
595226	150397	Thelma
595226	192260	Margaret Dean (their daughter
595226	192392	Sue
595226	202904	Bit Part
595226	228575	Polly
595226	302011	Molly
595226	321618	
595227	396793	Herself - University of Edinb
595227	404916	Herself
595228	68450	Punk Girl Singer
595229	61788	Featured zombie
595230	51375	
595230	56967	Mrs. Penfold
595230	117115	Mrs. Whitely
595230	127198	Beggar
595230	260206	Bet
595230	295173	Miss Higgins
595230	334245	Old lady
595230	348379	Woman at Totter's barrow
595230	348380	Woman
595230	368284	Gran
595231	32550	Operator
595231	131594	Girl
595231	162354	Gretzel
595231	197020	Undetermined role
595231	234889	Girl
595231	322607	Hostess on plane
595231	327221	
595232	170279	Mama
595233	396268	Susann Lipp
595234	389714	Herself - Segment Host (2003-
595235	70421	
595236	303564	Burnt Teacher
595236	342384	Gift Store Clerk
595237	68447	TV Journalist
595238	59244	Martha Neville
595238	118472	Hannah
595238	119552	Foster mother
595238	191680	Ruth
595238	302686	Mrs. Rogers
595239	115178	
595240	144376	Waitress
595240	155315	Pearl
595241	81193	Ginger Lundman
595241	308168	Heather
595242	20787	Leslie
595242	32892	Woman
595242	37137	Veronica
595242	37693	
595242	55283	Julie Anders
595242	65605	Helga the Masseusse
595242	77658	Sally
595242	80695	Girl in Rolls Royce
595242	80821	Phyllis
595242	88077	Gisela
595242	93241	Tori McGovern
595242	102771	(segment "Piano Man")
595242	103449	
595242	167714	Diedra
595242	184769	Sandy
595242	188504	Dane
595242	197708	
595242	197807	Waitress
595242	208169	Laura
595242	235471	Girl in House
595242	252889	Suzanne
595242	253065	Sally
595242	277954	Sandy
595242	289426	Pearl Gerard
595242	289428	Donna Silverman
595242	289429	Tiffany
595242	289430	Mrs. Sterling
595242	292594	Amanda Marsh
595242	294278	Celinda
595242	295730	Janice
595242	296020	Senator Thorpe
595242	296268	Emma De Layle
595242	296735	Christy
595242	302926	Emme De Layle
595242	319910	First Woman
595242	320028	Natalie
595242	354955	Chang's Girl
595242	383060	
595242	391835	Herself
595243	63118	Girl
595243	238739	Singing girl (segment "Christ
595244	3163	Girl In Hall
595244	26666	Punk Bride
595244	37178	Dancer
595244	90237	Dancer
595244	154648	Diana Sherwood
595244	168166	C.J.'s Mom
595244	196995	Dancer
595244	302710	Dancer
595244	362453	Showgirl
595245	102703	Maid
595246	249209	Fan de Jeannot
595247	173512	Governor's wife
595248	380430	
595249	405048	Jez
595250	104903	
595251	273943	Flora Bouverie
595253	211836	Soprano
595253	329661	Singer, soprano
595254	265100	
595255	146311	Mrs. Troyt
595255	185162	Mrs. Bates
595255	195909	Mrs. Drinkwater
595255	259388	Sarah Jeaks
595255	289011	Mrs. Winterbottom
595256	363808	Martine
595257	154451	Barbara
595257	222310	Donna
595258	171578	Tyra
595259	243143	Julie Legroast
595260	401973	Whore #2
595261	32894	Cassie Hall
595262	145066	Woman #1 at Dance Studio
595263	335586	Margaret 'Bean' Maple - age 8
595264	22931	Video Reporter
595264	157716	Patty Dural
595264	213350	
595265	155908	Nursemaid
595266	31681	Kimberlee
595266	70391	Tracy
595266	75397	Jane
595266	93261	Patricia
595266	120202	Lark Girl
595266	126572	Louisa Mandrell
595266	230815	Lana
595266	382277	Rhonda Jo Applegate (1992-199
595267	1965	Naturelle Riviera
595267	7088	Dina Lake
595267	10331	Roxanne
595267	21738	Grace Quinonez
595267	60465	Audrey
595267	85077	
595267	92248	Lana
595267	114039	Alisa
595267	128739	
595267	140783	Lala Bonilla
595267	176487	Ruby
595267	177461	Veronica
595267	190461	Stephanie Williams
595267	195725	Anna
595267	210741	Laura Vasquez
595267	283480	Mariana
595267	300913	Marisol Hidalgo
595267	300943	Maria
595267	302329	Gail
595267	311150	Herself
595267	330701	Martine
595267	330869	Tina Santiago
595267	339654	Dee
595267	354750	Sarah
595267	368540	Herself
595268	1701	Herself - Presenter
595268	45044	
595268	47433	Shakti
595268	62778	Dancer
595268	79046	Angela Rooker
595268	87478	Lanie
595268	118133	Dr. Teresa Puente
595268	134294	JoJo Golina
595268	135569	Felicia Barron
595268	167060	
595268	213276	
595268	219556	Maria Croce
595268	225797	Lt. Torres
595268	258917	Rosie Alvarez
595268	313400	Lt. Commander B'Elanna Torres
595268	313450	Lt. B'Elanna Torres
595268	338981	Herself
595268	380391	Adrienne Morrow (1985)
595268	389141	Louisa
595268	399450	Yolanda 'Yo' Elena Puente
595268	403814	Jennifer Clemente
595268	406409	B'Elanna Torres
595269	54634	Dancer
595270	113928	Supermodel
595271	88874	Dancer
595272	233989	Mugger
595273	387247	Gill Fowler (1991-1992)
595274	2042	Herself
595274	13292	Amateur
595274	13736	Shrine Girl #2
595274	72785	Herself (Nominee)
595274	94578	Mandy Humphrey
595274	148874	Assistant Director
595274	194638	Drug Saleswoman
595274	240786	Goth Girl
595274	323974	Thelma
595275	46425	Amy Hammil
595275	54855	Mary Ann
595275	163328	Lisa
595275	266180	Pam MacDonald
595275	281381	Laura
595275	331112	Mrs. Kroyer
595275	380391	Eileen Simpson Perrini (1978-
595275	380713	Dawn 'Dee' Stewart Dixon #7 (
595275	392042	
595275	396117	Tessa Saxton #1 (1977) (origi
595275	404002	Laurie (1976)
595276	79450	Rice Husker
595277	39714	Auxiliar
595277	87670	
595277	239034	Autograph Lady
595278	386858	Emma Murphy (Series 4-) (2004
595279	239415	Susie
595280	68693	Wolfgirl
595281	68364	
595281	164157	Karate Class Woman
595281	261841	
595281	270909	
595281	310671	
595282	248318	Company 'C' Girl
595282	296934	Babs Darcy
595282	302603	Dorothy
595283	64669	Belle
595283	64729	House maid
595283	78020	Girl
595283	96614	Girl
595283	143191	Page Girl
595283	168930	Girl Publicist
595283	292470	Stenographer
595283	335952	Hat-Check Girl
595284	202696	
595285	107712	
595285	163913	
595286	353890	Une secrétaire de séance
595287	5793	Mme Lamour
595287	14343	Tante Zezette
595287	14669	Doña Elvira
595287	22684	Cléopatre
595287	46000	
595287	51425	Paula
595287	53600	Récitante
595287	57512	Lulu
595287	58234	La directrice
595287	66227	Olga
595287	71998	Lola d'Héricourt
595287	83256	La propriètaire de l'appartem
595287	92048	Grande Prêtresse/High Prieste
595287	100280	L'animatrice TV
595287	111117	La snob
595287	118801	Herself
595287	119038	Lulu (segment "Enfance, L'")
595287	132745	Lola
595287	132794	La colonelle
595287	149237	Célestine Maspie
595287	168799	Muguette
595287	211850	Gaby
595287	214295	Mme. Louise
595287	215501	Olga
595287	218316	Mme Le Breton/Antoinette
595287	243018	
595287	249071	Prostitute (segment Rue Saint
595287	252412	Christiane
595287	283025	
595287	285082	Mathilde Billard
595287	294603	La brune remplaçante
595287	325082	Dorine
595287	326165	La comtesse
595287	327890	Marjorie
595287	333611	Bianca Castafiore
595287	336981	La mère
595287	345472	
595287	346678	Christiane
595287	346681	Christiane
595287	354907	Rita
595287	356911	Mme Le Marlec
595287	377040	Charlotte
595287	378017	Mme Corfa
595287	383997	Isa
595287	393489	Herself (regular guest)
595287	401313	
595287	402357	
595287	407717	Jeanine
595288	217745	Art Student
595289	740	Herself
595289	7584	Herself
595289	10931	
595289	29690	Clio Du Bois
595289	31185	Herself (NBC Team)
595289	35657	Barbara Andrews
595289	53950	Christie
595289	56301	Carol
595289	62357	Sue McSween (billed as Lynda 
595289	67876	Cathy More
595289	74045	Sandra Barry
595289	79835	Terry Marsh
595289	81035	Lisa Manning
595289	110273	Barbara
595289	125814	Judy Reynolds
595289	151104	Lillian Crane
595289	163253	Valerie Adams
595289	170890	
595289	187248	Herself
595289	208648	Cathy Armello
595289	219635	Eve Parson
595289	222595	Margot Mannering
595289	245530	Kim
595289	247576	Mary Ellen Lewis
595289	255438	Mary Riggs
595289	270521	Monica
595289	276660	Kate
595289	295081	Molly Thornburgh
595289	297893	Sarah Cornell
595289	298558	Almy Gregory
595289	309621	Barbara Keeley
595289	339382	Louise Kennelly
595289	342533	Nancy Pendleton
595289	372774	Beverly Carrigan
595289	397916	Lisa Casey (1971-1973)
595289	400208	Marge Krisler
595289	403336	Linda Quales
595289	403728	Mrs. Reynolds
595290	54788	Hooker
595291	42276	Debbie Hoffman
595291	42732	Girl #1 in bathroom
595291	102786	Logan's Girlfriend
595291	128767	Tattoo Woman & Use Me Woman
595291	252397	Honey Pot
595291	319408	
595292	10687	
595292	30618	
595292	33747	
595292	56770	
595292	66973	
595292	92708	Allie Parker
595292	96844	The Heroine
595292	114041	Alice
595292	115420	
595292	130578	Marion Sellers
595292	131918	
595292	132057	
595292	144210	
595292	146131	
595292	146136	Lila Lake
595292	148941	
595292	150100	Elaine McGrew
595292	158366	Lorna
595292	162527	Gail Wilson
595292	178344	
595292	183372	Brenda Lascelle
595292	183652	Marian
595292	191928	Mary Baker
595292	192223	
595292	195374	
595292	195487	Claudia Elliott
595292	196013	Grace Pierce
595292	210405	Elsa
595292	224230	
595292	231981	Anna
595292	253130	
595292	254915	Phyllis Sherwood
595292	255229	Bathing Beauty
595292	258260	
595292	274157	Buddy Long
595292	277984	
595292	281161	
595292	292781	Blanche Carlton (1888)
595292	293122	Ruth Morrisey
595292	297406	
595292	300017	
595292	300103	What Became of the Floradora 
595292	303970	Elsa Langdon
595292	305466	Polly
595292	310362	Mrs. Smith
595292	327463	Peggy
595292	333429	Elaine Smith
595292	343257	Betty Owen
595292	354022	Barbara, Elsa's Granddaughter
595292	358281	
595292	360218	Nora
595293	138840	The Girl
595294	127263	Dancer
595295	158273	Young Lady on Phone
595296	157578	Young Poet
595297	91900	Jill Conway
595298	176316	Indian girl
595299	226890	
595301	307423	
595302	80250	
595302	83861	
595302	100267	
595302	218960	
595302	257561	
595303	350114	
595304	10296	La fille
595304	29682	Smeraldina
595304	72055	
595304	83157	Caissière hôtel Terminus
595304	156334	
595304	166370	The bar owner
595304	391479	La mère du Petit Louis
595305	158975	Wine goddess
595305	173318	Diva
595305	275796	Dancer
595305	365657	Officer Breedlove
595306	317153	Lisa (Age 3)
595307	91929	Party Flower
595308	80695	Rockhouse Customer
595309	309572	Green-Eyed Girl
595310	50170	Molly
595310	79450	Nana Peazant
595310	92416	Mrs. Emily Harris
595310	132756	Woman in Car
595310	240785	Mrs. Rogers
595310	241375	Older Woman
595310	313929	Ghostly Woman
595310	320209	Woman in Cell
595310	362512	Grandma Georgiana
595310	368655	Phoenix Jackson
595311	11923	
595311	45825	Becky
595311	372358	Becky
595312	216831	Mary Andrews
595313	41158	Dolly
595314	148423	Young French Girl
595315	364294	Herself
595316	51855	Lady in Waiting
595316	103255	Blanche de Vigny
595316	185817	Jill Esdaile
595316	367623	Sylvia's Friend
595317	71639	Switchboard Operator
595318	273101	
595319	33644	Jackie
595319	63102	
595319	292546	Mary
595319	315072	Anne
595319	315675	Christine Brown
595319	395754	Beth March
595319	411215	Kate Channing
595320	146661	Caladonia
595320	385624	Member of 'Motion' (1979-85)
595321	2257	Herself - Presenter: Writing 
595321	2285	Herself - Presenter: Best Son
595321	13924	Herself
595321	19287	Ethel S. 'Dynamite' Jackson
595321	28478	Josie Minick
595321	38034	Kitty Wonder
595321	50919	Marjorie Winfield
595321	52140	Calamity Jane
595321	54387	Patricia Fowler
595321	88557	Janet Harper
595321	90370	Narrator
595321	91154	Herself
595321	91155	Herself
595321	91156	Herself
595321	105133	Herself
595321	148567	Herself
595321	154898	Grace LeBoy Kahn
595321	163295	Jane Osgood
595321	163443	Judy Adams
595321	169998	
595321	170401	Julie Benton
595321	191306	
595321	195879	Ruth Etting
595321	196405	Carol Templeton
595321	196987	Candy Williams
595321	197297	Melinda Howard
595321	201797	Herself
595321	203535	Jo McKenna
595321	213167	Kit Preston
595321	220514	Ellen Wagstaff Arden, aka Eva
595321	223854	Martha Gibson
595321	240569	Marjorie 'Marjie' Winfield
595321	246859	Katie 'Babe' Williams, Grieva
595321	255878	Jan Morrow
595321	257963	Kate Mackay
595321	280054	Herself
595321	280055	
595321	280992	Miss Georgia Garrett
595321	282536	Herself
595321	291361	Herself
595321	294065	Judy Kimball
595321	306529	Cameo appearance
595321	313319	Herself
595321	313695	Cameo appearance
595321	315545	Lucy Rice
595321	326368	Nanette Carter
595321	326408	Erica Stone
595321	329527	Cathy Timberlake
595321	329560	
595321	329565	
595321	331768	Beverly Boyer
595321	341752	Isolde Poole
595321	361680	Jan Wilson
595321	363481	Margaret Garrison
595321	366353	Aimee Alexander
595321	366849	Abby McClure
595321	372484	Laurie Tuttle
595321	372632	Jo Jordan
595321	386778	Doris Martin
595321	386779	Herself
595321	388268	Herself
595322	110416	Rita
595322	183581	Debutante
595322	201152	House Guest
595322	220801	Guest
595322	220875	Carol Carter
595322	285392	Ann Meredith
595322	330167	Beautiful girl in sheet
595322	330892	Bit Part?
595322	331157	Mary Olsen
595322	354490	Betty
595322	367686	Party Guest
595323	85822	Dorothy
595323	356230	Model
595323	406802	Herself
595324	55624	Bride's Mother
595324	61164	Woman
595324	81784	Bit part
595324	117655	Drucille King
595324	128424	Woman
595324	147609	Woman
595324	164605	Mrs. Dexter
595324	166240	Nurse
595324	221130	Senate reporter
595324	233899	
595324	244913	Extra in Pirate's Club
595324	308109	Actress
595324	329481	Proprietress
595324	330212	A woman in line
595324	349633	
595325	61704	Dorothy Crane
595325	132601	Josephine Burroughs
595325	280950	American girl
595326	73325	Old Lady
595326	238449	Theban Citizen
595326	400814	Miss Havers
595328	39404	Candy
595329	142633	
595330	47078	Penelope Hope
595330	130057	Trixie
595330	170604	June Marie Jacobs
595330	330217	Call Girl
595330	392116	Pam
595331	36868	Pamela Fenchurch
595331	93318	Ilona Ratkay
595331	111933	Poppaea
595331	114184	
595331	128197	La Mome
595331	128313	Suzanne Pommarel
595331	176279	
595331	239013	Benita de Lys
595331	263471	
595331	266716	Frances Travers
595331	281422	Clare Spencer
595331	318074	Cast of 'Price of Divorce, Th
595331	327583	Antonia Palmay
595331	330000	Vera Clandon
595331	338746	Madeleine Peters
595331	342915	Helene Barry
595331	364400	Lulu
595331	372215	Fenella Dane
595332	164437	Herself - Singer
595333	385626	Co-Host (As Princess)
595334	307105	Aunty Bel
595334	316485	
595335	291941	Wendy
595336	75033	
595337	823	
595337	297996	
595338	347232	
595339	92416	Nurse
595340	339445	Triangle Groupie
595341	379893	Dancing Lobster #1
595342	57735	Stargher's Victim
595342	61765	The Children of the Corn
595342	72376	Girl at the Surprise Party
595343	65973	Beatrice
595343	147492	His Neighbor
595344	11232	Mary
595344	12750	Singer
595344	31903	
595345	41415	Andrea
595345	78881	Rachel Elle Coogan
595345	185581	Madison
595345	216782	Billy's other Girlfriend
595346	105881	Sandra
595346	345690	Saleswoman
595346	379716	Marilyn Stafford (2002, 2003)
595347	4776	Aline
595347	5477	Suzanne Favre
595347	11964	Lily
595347	15096	Herself
595347	18354	
595347	20216	
595347	20332	Arlette Milloix
595347	24729	Marthe
595347	25128	Aline
595347	29769	Suzanne
595347	33564	Belle
595347	36484	
595347	51455	Lili Vandernyff
595347	58856	
595347	64225	Miss Aurett Murlington
595347	66075	Juliette
595347	67223	
595347	70631	
595347	71505	Raymonde
595347	73630	Laurence Chassal
595347	112840	Patricia Amoretti
595347	112866	Suzanne Leclerc
595347	114967	
595347	148668	Suzanne Petit
595347	167215	
595347	197062	Sancia, Lucrezia's companion
595347	198343	
595347	211590	Aline
595347	211849	
595347	215537	
595347	218262	
595347	218263	Marguerite
595347	225489	
595347	225759	
595347	248897	Madeleine
595347	250748	Nadia
595347	258527	
595347	265031	Florence
595347	284249	Françoise Darbel
595347	306946	
595347	308308	
595347	308833	
595347	321622	Suzanne
595347	345088	
595347	346578	Colette de la Bretière
595347	377733	
595348	133495	Mother
595349	137572	Taxi driver
595349	234126	Bertha
595349	240682	Screaming Woman
595350	35309	Betty
595350	52203	Mildred Manning
595350	207405	June Day
595350	271221	Mary Beth Divine
595351	245542	Rock Video Singer
595353	272449	Miss Williams
595354	87450	
595354	382255	Jane Blonde
595354	407194	Presenter
595355	297937	Karen
595356	365830	Gloria
595357	321444	Debbie
595358	2402	Marian Forbes
595358	16078	Katherine 'Kate'/'Katie' Latt
595358	20266	Letty Meade
595358	27309	Lucia Pell
595358	44256	Betty Holden
595358	46729	Norah Hunter
595358	52661	Nurse Mary Lamont
595358	92523	Nurse Mary Lamont
595358	92524	Mary Lamont
595358	92525	Nurse Mary Lamont
595358	92527	Mary Lamont
595358	113605	Edwina Brown
595358	117557	Carol Fisher
595358	144759	Lydia Rice
595358	154467	Nan Lowry Collins
595358	154652	Linda Rodgers
595358	169387	Nora Davis
595358	174594	Dr. Angela Martha 'Angel' Ken
595358	175175	Leigh 'Napoleon' Rand
595358	193295	Nancy
595358	216004	Joanne
595358	221001	Dorothy Bryant
595358	222718	Claire Garwood
595358	223829	Stephanie Gaylord
595358	224332	Maeve O'Riordan
595358	246698	Carol Banning
595358	252480	Nurse Mary Lamont
595358	276852	Mrs. Grant
595358	289422	Peg Smith
595358	292511	Nurse Mary Lamont
595358	294744	Eileen Daly
595358	314354	Girl at resort and on train
595358	325127	Mrs. Richard Lancing
595358	330454	
595358	331087	Helen Brandt
595358	331369	Sue Lorenz
595358	337171	Gwen Taylor
595358	339394	Mary Dugan
595358	343316	Maura Alexander Munroe
595358	347061	Miss 'Croney' Cronin
595358	366929	Jane Bandle
595358	370540	Gail Farwood
595358	385818	Host
595358	386827	Co-host (1953)
595358	392477	Herself/panelist (1952)
595358	395131	Herself/Host
595359	408694	Herself (2004-)
595359	408696	Designer (2004-)
595360	317153	Lisa (Age 4)
595361	46327	Pool Girl #2
595361	128869	
595361	157796	
595361	266675	
595362	314486	Dancer
595362	368244	Ensemble member
595363	59132	
595363	339706	
595364	75028	
595365	20345	Sandy
595365	30368	Necia
595365	33760	Charlotte de Vauxcelles
595365	36982	Sunshine
595365	37255	
595365	39782	
595365	45419	Ida May Harper
595365	47373	Ruth Carter
595365	50858	Brownie
595365	52864	Sally Richards
595365	54573	Mary Phillips
595365	58173	Phyllis
595365	67125	Mary Ward
595365	74102	Marcia Brandon
595365	77297	Laura Hall
595365	84379	Lois
595365	93668	Daisy Smith
595365	112475	Judith
595365	112561	Suzan Larkin
595365	114938	Sally James
595365	116793	Mary Young
595365	119575	June Westcott
595365	124711	Louise de Tillois
595365	138576	
595365	142428	Barbara Langham
595365	146134	
595365	166031	Sue Randall
595365	177355	Pearl Hope
595365	193578	Lucille Balfour
595365	193579	
595365	194298	Tulip Hellier
595365	196868	
595365	199224	Dorothy Quinlan
595365	224812	Joan Lane
595365	241855	Lady Alicia Douglas/Alizar, h
595365	248464	Ellen
595365	249626	
595365	255229	Bathing Beauty
595365	258520	Mary Larkin
595365	274033	Agnes Burr
595365	275721	Marie Darnton
595365	276382	Dixie
595365	279429	Serafina
595365	281390	Betty Wayne
595365	300103	Meet My Sister number
595365	302765	Maggie
595365	304321	Grace
595365	311470	Lilian Grey
595365	315125	Joan Hastings
595365	319150	Mary Norris
595365	324241	Beryl
595365	327131	Alice Keller
595365	327465	Patricia Verney
595365	329469	Jane Miller
595365	339076	Evelyn Manderson
595365	346093	Margarta
595365	353081	Betty Castelar
595365	358717	Peggy McCooey
595365	358904	Herself
595365	361775	Clare Dyer
595365	363951	Mary Gale
595365	365394	Faith Morgan
595367	64729	Insert bit
595368	219916	
595368	270938	The Aunt
595368	333491	Miss Avilda Cummins
595369	218782	Betty
595369	388462	
595370	80940	Bloody Mary
595370	146807	Mavis
595370	274544	Guosim
595370	336692	Jude
595370	390775	Georgia
595370	403090	Guosim
595371	71348	
595371	77289	Henrietta Louches
595371	107229	
595371	129551	Olivia
595371	264054	Augusta Leigh
595371	302838	
595371	315740	Princess Venetia
595371	367661	Hope Dacre
595372	230571	Winnie Chesterton
595373	50024	Nurse
595374	70425	Gilda
595375	290972	Mandy
595376	89062	
595377	292594	Model
595378	104744	Irish entry (7th place)
595379	187336	Sundance
595380	56081	
595380	62818	
595380	129157	Pearl
595380	205236	
595380	283141	
595380	321832	
595381	359144	Onika
595382	207200	Baby
595383	71691	
595384	411366	Alma (episode 3: Nerida Ander
595385	101418	Officer's Wife
595386	158602	Second Student
595387	88011	
595387	147552	Dancer
595388	88011	
595389	104901	Girl
595390	2632	Haggard Woman
595391	388321	Harriet Matherson (2002)
595392	21046	Marie
595392	208527	Buckle
595392	232496	Cherry
595393	116443	Girl in hat dance
595393	304376	Herself - Tap Dancer
595393	372927	Butch
595394	279612	Brenda Bailey
595395	82709	Carla
595396	297802	Woman on Trisha
595397	190840	Transvestit
595398	7482	Chorus Girl
595398	7953	Lucy
595398	11495	The Brown Girl
595398	30368	Necia's Indian Mother
595398	37457	Telephone Operator
595398	46563	Martha Winston
595398	54476	Anita
595398	63023	
595398	100216	
595398	111942	The Fiddlin' Doll
595398	116786	'Cutie' Williams
595398	117378	Nadia Craig
595398	126498	
595398	128425	Mañuela Sarmento
595398	128733	Ruby Thomas
595398	136547	Maya
595398	145783	Dorothy Petwell
595398	149143	Piquette
595398	150126	
595398	150650	
595398	203520	Leonore Pennell
595398	203802	Bobo
595398	204743	Miss Santa Claus
595398	206366	Reform School Girl
595398	206367	His Wife
595398	235094	Lola Sanchez
595398	241274	Jim Ware's Daughter
595398	243235	Kitty
595398	299737	
595398	301686	Marjorie Winters
595398	306493	Mollie O'Brien
595398	313296	Nan Hartley
595398	315955	Betty
595398	350443	Gekin Yashi
595398	365622	
595398	367483	Mimi
595398	368624	Cassie
595399	1543	Amber Cleary
595399	77760	Fran
595399	137693	Aerobics instructor
595399	158314	Cindy
595399	235635	Natalie
595399	277911	Nurse
595399	321661	Final Reporter
595399	327235	Erica Barnowski
595399	395107	Christa
595402	333120	Waitress
595403	7069	Ociee Nash
595403	253104	Mary Katherine Grainger
595404	367792	
595405	128549	
595407	319408	
595408	24940	Margo
595408	68124	
595409	180149	
595410	209480	
595411	92959	Student
595411	321384	Chorus Girl
595412	53316	Sue Anne Stanley
595412	72662	Dancer
595412	196134	2nd Black Girl
595412	405696	Cabaret performer
595413	16112	Cynthia
595413	73938	Suzy
595413	77623	
595413	115298	Edna
595413	121623	Maisie
595413	134454	Pearl
595413	142364	Blonde at Dance
595413	154793	Angela Cook, temp receptionis
595413	163442	Blondie
595413	176316	Mimi
595413	193253	Tanya
595413	263973	Betty
595413	288720	Arlene
595413	313796	Maureen Temple
595413	314979	Betty
595413	329847	Ann Addams
595413	335636	Charmaine Gordon
595413	340545	Daisy Freeman
595413	340919	Diane
595413	348372	Lily
595413	359857	Shirley Hornett
595413	367758	Sally Norton
595414	137259	Nadine's Mother
595414	223894	The Woman at the Door
595414	308852	Gretta Brown
595415	135781	Artist in Club
595416	169348	
595418	90103	Don Juan (at age 5)
595419	79716	Jeanette
595419	110196	Woman on Mount-Royal
595419	133343	Nurse Patsy
595419	268233	Woman
595419	365537	Sarah
595420	407522	Herself/Presenter
595421	85417	
595422	33908	Amalya
595423	80807	Dr. Abrahams
595424	21372	Herself
595425	249074	Herself
595425	391621	Herself
595425	403474	Marin Borgne
595426	336725	
595427	102945	Famille marocaine
595428	42769	
595428	303024	Veterinarian
595429	17107	
595429	27516	
595429	126411	
595429	171686	
595429	202077	
595429	306978	Teresa
595430	176632	Plump Sara
595431	27516	Rosa Shardena
595431	102444	
595431	182307	
595431	212770	
595431	302060	Sima Vaknin
595431	318795	Postmaster
595431	394853	Tiki
595431	411955	(1980-1989)
595432	29064	
595432	102945	Famille marocaine
595432	393599	Herself (eliminated round 2)
595433	84344	Eileen
595434	135763	Daisy
595435	101950	
595435	199337	
595435	201189	Huguette
595435	280537	
595436	202344	
595436	208656	Giselle (in ballet)
595436	235824	Une gamine
595436	294608	
595438	20258	
595438	39754	
595438	93119	
595438	117576	
595438	147760	
595438	159331	
595438	203552	
595438	233702	
595438	237127	
595438	293024	
595438	336486	
595438	353270	
595439	26903	
595439	56567	
595439	105430	
595439	150635	
595439	207283	
595439	273936	
595439	304492	
595439	354797	
595440	117362	Herself
595441	86932	Joy Gilder
595442	639	Mrs. Lynch
595442	74253	Mrs. Taylor
595442	90324	Elderly Lady
595442	157556	Mrs. Burnett
595442	191628	
595442	250713	Mrs. Ingrams
595442	285793	Maeve's mother
595442	319006	
595442	319176	Mam
595442	342489	
595442	352702	Mum
595442	372868	Lilly
595442	382216	Mrs. Pring (1978-1981)
595442	388982	Mrs. Burrows
595442	401275	Mrs. Rooke
595444	264143	Goldwyn Girl
595444	367970	Entertainer
595445	123240	Acrobatic Dancer
595446	167869	Herself - Acrobatic Dancer
595449	159911	
595450	295604	Chelsea
595451	96210	La jeune fautive
595452	55154	Yolanda/little Carlota
595452	337865	Alice
595452	353571	Helena Morley
595452	385024	Bibi
595452	396610	Tati (1995)/Joana Vargas (200
595452	404834	Danielle Meira
595452	411585	Isabel
595453	16445	
595453	93176	Mother-in-law
595453	331610	Anfisa
595454	145312	Middle Hilary
595455	69382	Miss Sedgewood
595455	206871	Young Mary
595455	250954	Model
595455	269351	Charmaine
595455	295998	Cancer
595456	227470	Lily
595457	150844	Casting Director
595459	83359	
595459	184057	
595460	12543	Nino/Alyoki
595460	70862	
595461	322341	
595463	66900	
595463	108800	
595463	141390	
595463	151017	
595463	276360	
595463	306023	
595463	321035	
595463	321507	
595463	363413	
595464	112230	
595465	75824	Motorcycle Girl
595465	84954	Hailie
595465	151461	Agatzi Girl
595466	87483	Woman
595467	45	Herself
595467	1214	Herself
595467	116732	
595467	164587	Herself
595467	167060	
595467	169208	Catherine Cooley
595467	195305	Marissa
595467	232404	
595467	291976	Herself
595467	312760	Serena
595467	326238	Herself
595467	403887	Maureen (2000)
595468	159505	Kelly Mishimoto
595469	300356	Vetka
595470	65184	Game player 'Double Dutch'
595471	65184	Game player 'Double Dutch'
595472	169567	Invitada 1
595473	65184	Game player 'Double Dutch'
595474	240818	Shana
595475	65184	Game player 'Double Dutch'
595477	170848	Herself - Participant/Perform
595477	242969	Herself
595478	11	Gen
595478	20316	Girl
595478	36841	Girl
595478	42023	Bit Part
595478	48558	
595478	51885	Girl
595478	66549	Dancing Coach
595478	67156	
595478	133622	Hula Dancer
595478	177368	
595478	231956	
595478	280895	Girl
595478	312584	
595478	313076	Toe Dancer
595478	318175	Girl
595478	329329	A Lucky Star (The Lucky Star 
595478	346227	Bit Role
595478	360191	Cigarette Girl
595478	372050	Girl
595478	374198	Dancer
595479	54420	Secretary
595479	73945	Madeleine Wardwell
595479	80865	Clara Berry
595479	113416	Mrs.Keating
595479	188625	Jeanne
595479	215568	
595479	241525	Mrs. Gordon
595479	244407	Mrs. Boothe
595479	308063	Mrs. Frome
595479	336000	Miss Ray Cave (code breaker)
595479	342495	Vera Driscoll
595479	379612	Mary Aldrich #3 (1952-1953)
595479	382773	Patsy Dennis #2 (1961-1962)
595479	400805	Lucy Spaulding
595479	410616	Mrs. Monckton
595480	236693	Tour Guide
595481	86308	
595481	169453	
595481	207454	Amy
595481	393500	Lily Tobin
595481	405300	Marie
595482	35750	Herself
595482	95801	
595482	372457	
595483	347589	Wendy
595484	403822	
595485	254485	Dancer
595486	368721	Lora
595487	15030	La femme de chambre
595488	107896	Young Woman
595490	332877	
595491	44426	
595491	52851	
595491	199503	
595491	309048	
595491	330672	
595493	2266	
595494	34724	
595494	371647	Yixizhuoma's Granddaughter
595495	249914	
595496	39786	Mademoiselle Daphney
595497	52318	Alicia
595498	10046	Milenina
595498	10053	
595498	12912	Cecilia
595498	33365	
595498	55848	Olga
595498	63890	
595498	99961	Emma
595498	108113	Beatrice, as a girl
595498	111388	
595498	161819	Rosanna
595498	164628	Billah
595498	207947	
595498	215014	
595498	220608	Cate
595498	224022	Rosa Crevelli
595498	227963	
595498	242823	Ispettore Eva Gabelli
595498	290862	Cecile
595498	305542	Smeraldina
595498	337232	
595498	337448	Deborah
595498	351843	
595498	365942	Billi Clementi
595498	386399	Suor Luminosa
595498	397072	Giulia Bruni
595498	402781	Debora
595498	406295	Elena Barone
595499	234566	Prostitute
595500	272323	Patron #1
595501	9012	Corinne
595501	15096	Diane Broussard
595501	23702	
595501	57510	Carole Lemaire
595501	57539	
595501	58329	Lucie
595501	59745	
595501	63847	
595501	66850	
595501	68609	
595501	73195	Clémence
595501	74336	Odette
595501	112872	Germaine
595501	113107	Mireille
595501	124325	Arlette Montéran
595501	133166	Berangere
595501	162484	Catherine Revering
595501	169504	Françoise Hafouli
595501	217715	Gabrielle Rivers
595501	220494	Mme De Brugères
595501	235820	Marie-Laure Spiroza
595501	243141	Marianne
595501	248995	Claude
595501	255596	
595501	266947	Une invitée au vernissage
595501	269240	Karine
595501	345520	Sophie Brunet
595501	345538	Graziella Jacquet
595501	351056	Herself
595501	353938	Madeleine
595501	354982	
595501	376904	Rédacteur en chef à Paris
595501	383649	Anne de Sillé
595501	384030	Jeanne d'Albret
595501	384301	
595501	388592	Jacy
595501	409454	
595502	142390	Hell Mountain Girl
595503	18801	A Vírjem
595504	25058	
595504	68574	
595504	344793	
595504	350142	
595505	68609	Garota do cafezinho
595505	68915	2nd Worker
595506	116641	
595507	103117	
595508	407801	Paula
595508	408330	Ofélia
595508	409003	
595508	409780	Deise
595509	286237	
595509	387698	Valentina
595509	393802	
595509	393839	Mariangela
595509	403016	Patty Linares
595509	405776	
595509	408389	
595510	14422	Cecilia
595511	60048	Student
595512	73167	
595512	155177	(segment "Ibrahim do Subúrbio
595512	160728	(segment "Prisão de J.Carmo G
595512	205516	
595512	238933	
595512	294628	
595512	344703	
595513	368121	Estelle
595513	404547	Sherna Puckett
595514	52066	
595514	102330	Maria Rosa
595514	107322	Sra. Augusta
595514	183511	Lena's aunt
595514	189086	
595514	202493	
595515	267495	
595516	78212	
595516	149523	
595516	269121	
595516	306667	Maria Valéria Terra
595516	379646	
595516	381263	Ester
595516	383270	Olívia
595516	384118	Condessa (1999)
595516	384994	
595516	386215	Eulália
595516	386377	Isildinha
595516	386419	Consolação
595516	387104	
595516	387202	Melanie Hamilton
595516	387632	
595516	388458	Querubina
595516	388636	
595516	389154	Julica
595516	395405	Ester
595516	400445	Lupércia
595516	400597	Cecília
595516	400901	Ruth
595516	401819	
595516	402455	
595516	402537	Branca
595516	404913	
595516	405808	
595516	406832	
595516	407639	
595516	409914	
595516	410107	
595516	411579	Carolina
595516	412257	Madre
595516	412258	Dona Marlene
595517	381222	Aninha
595518	8979	
595518	14690	
595518	27820	
595518	34511	
595518	328760	
595518	379182	
595518	379491	Hortência
595518	381263	Olga
595518	384265	
595518	386377	Ema
595518	386419	Rosa
595518	387324	Marta
595518	387933	
595518	389003	
595518	391674	Gioconda
595518	395366	
595518	395400	
595518	397439	
595518	397440	
595518	397553	
595518	398361	Conceição
595518	400096	
595518	400580	
595518	400597	Luzia
595518	400765	
595518	401482	
595518	401897	Esmeralda
595518	402266	
595518	402365	
595518	402568	
595518	402644	Adelaide
595518	403083	Zilda
595518	403245	
595518	407802	
595518	409412	
595518	409914	
595518	410053	
595518	410107	
595518	411579	Alzira
595518	412258	Candoca
595519	110548	Herself
595520	93395	
595520	191783	Helga
595520	258388	Maggie Howard
595520	312886	
595520	322504	Frau Tietze
595520	325629	Hilde
595520	325684	Tilla
595520	325703	Elvira
595520	352103	
595520	355241	Simones Mutter
595520	389948	
595520	398273	
595521	287921	Niña mari carmen
595522	238648	
595523	398575	Oudere vrouw
595524	5263	
595524	8268	
595524	10221	
595524	22772	Cantaora
595524	64048	
595524	68581	Cantaora
595524	96262	
595524	100783	
595524	148108	
595524	170069	
595524	204275	
595524	205137	
595524	205140	
595524	208192	
595524	234416	
595524	234769	
595524	243485	Mary
595524	253372	
595524	257558	
595524	266857	
595524	266874	Yolanda
595524	273658	Olivia
595524	274907	Rabis
595524	277809	
595524	293343	Zaira
595524	301151	Doña Blanca
595524	302310	
595524	317686	
595524	322228	
595524	324176	
595524	348199	
595524	348206	
595524	353202	
595524	354902	
595525	3053	Herself - Best Makeup Winner
595526	302306	
595526	375885	
595527	248654	(segment "Lien")
595527	257207	Jo
595527	349815	Ema (young)
595527	353097	Christina
595527	395492	Sylvie
595527	396221	Nathalie
595528	171468	
595529	25159	
595530	234308	Host
595530	262980	Herself
595530	277792	Herself
595530	390461	
595530	399808	
595531	5442	
595531	69767	
595531	82219	
595531	92348	
595531	104112	
595531	121697	
595531	135115	
595531	136979	
595531	219325	
595531	253564	
595531	263857	
595531	275952	Herself
595531	296475	
595532	93655	Mrs. Hepburn
595532	158242	Kitty
595533	14688	
595534	251716	
595535	275018	
595536	284215	Madre de Emilia
595537	45082	Woman in Restaurant
595538	12080	Matilde
595538	52928	
595538	64679	
595538	96530	
595538	101791	
595538	205696	Zélia
595538	241194	
595538	328191	
595539	170950	Júlio's sister
595540	46019	Mother
595540	99670	Lu
595540	124235	
595540	124237	Grandmother
595540	162167	Iracema
595540	255051	Dona Benta
595540	282812	
595540	286393	
595540	307756	Grandmother
595540	319531	
595540	334565	
595540	387654	Alcina
595540	398219	
595540	400666	
595540	403258	
595541	311037	Cop
595542	109267	Rosa
595543	12058	Olga
595543	380447	
595543	396718	Azucena
595544	55343	
595544	70732	Herself
595544	103953	
595544	253276	
595544	293388	
595545	245844	Conceição
595546	14688	
595546	122308	
595546	197981	Alice Canavarro
595546	202549	Eulália
595547	57457	
595547	101831	
595547	110160	
595547	286571	Matilde
595547	302278	Madalena
595547	344801	
595547	355764	
595547	357192	
595548	260429	
595548	369982	(group 'Paquitas')
595549	57456	
595549	339269	
595550	122404	
595551	12080	
595551	286571	
595552	12827	
595553	349815	Chelinha's Voice
595554	25158	
595555	344752	Maria Joana
595556	14705	
595557	8581	
595558	57456	
595559	56299	
595560	237779	Portuguese Maid #2
595561	14799	
595562	387932	Suzy
595563	156705	Die Geniesserin
595564	356035	Loló
595564	377605	
595565	349819	
595566	71192	
595567	52072	
595568	17381	
595569	24172	
595569	54267	
595570	286416	
595571	376598	
595572	215039	
595573	95074	Young woman
595574	262235	
595574	344853	
595575	54345	
595576	73531	
595577	308594	
595578	353347	
595580	58148	
595580	228899	
595580	344756	
595581	57381	Schoolroom student
595582	290456	
595583	119484	Menage Girl
595584	135268	
595584	278617	
595585	278620	
595586	296468	Fanny Muñoz
595586	383472	Pipina Hoffman
595586	397862	Barbara Solis Quintero
595644	228566	Carrie
595586	405776	Purita Benavides de Linares
595586	408747	Isabel Cordero
595587	294115	
595588	122161	
595588	222177	Margarida
595588	260574	
595588	286574	Beatriz
595588	339996	
595588	402135	
595588	408997	
595589	77259	
595589	384002	Rosa
595589	393616	Suzana
595589	393979	Adriana
595589	395882	Renata
595589	400094	Eunice
595589	400678	Odete
595589	405451	Chiquinha
595589	410099	
595590	168378	
595590	395400	Maria
595590	402927	Ester
595591	83356	
595594	234824	Signora Rizzullo
595594	289488	Diana
595595	96026	Shirley
595595	336461	Shirley
595596	106818	
595597	391835	Talking head/soundbites (segm
595598	93741	Marcella
595598	301217	
595599	220608	Donna del litigio Maggi
595600	301077	Newscaster
595601	212499	Hostess
595602	24141	Alunna
595603	348051	
595604	127774	
595604	197051	Barbara Torelli
595604	206029	Lily
595604	208796	
595604	356224	
595605	3505	
595606	16968	Aunt Vicky
595606	80779	Woman Applicant
595606	101570	Welfare Worker
595606	119879	Mrs. Finelli
595606	146729	Marie Andero
595606	151187	Older Mother Listening to Sto
595606	170980	Mrs. Riggio
595606	171200	
595606	218179	Mrs. Amber
595606	235618	Helen Flagella
595606	245140	
595606	342744	Mrs. Conte
595606	342824	Marie
595606	358964	Waitress
595606	395165	Patsy Fortunato
595607	238611	Bo Groden
595608	36513	Lidia Wilkes
595608	127390	
595608	127979	Francesco's mother
595608	402303	
595609	303537	Mother
595610	296068	Werewolf Audition Girl #1
595611	255108	
595612	220962	
595613	41219	Victoria Waterman
595613	72939	Jeanne
595613	195874	Nanette Nolan
595613	313459	Greedo
595613	367982	Linda
595614	185662	Carlita
595615	89754	Sirvienta
595616	323179	Palace Secretary
595616	383232	
595617	118658	
595618	52681	Maria
595619	29054	
595619	340312	
595620	6756	(episode O Telhado)
595620	189305	(segment "Alice")
595621	307449	
595622	264608	
595623	349471	
595624	66211	Luisa
595625	89398	
595625	100723	
595626	103723	The Mother
595627	403032	
595628	287921	Marisa
595629	87374	
595629	377057	
595631	160825	
595632	360436	Fighting Girlfriend #1
595633	171728	La Mama
595634	292761	
595634	382402	Bertha Peemans
595634	395513	Angèle
595635	57781	
595635	70518	
595635	94843	
595636	3148	Maxine Bellamy
595636	47592	Gene Drumm
595636	69047	Edythe Wadleigh
595636	88965	Nurse Kinkate
595636	106767	Whitemore
595636	108474	Stage Manager
595636	115079	Jackie Halley
595636	121803	Vivian
595636	128598	Terry
595636	177089	Elizabeth-Scott's Mother
595636	179419	
595636	189314	Allyse
595636	203687	Mrs. Lansing
595636	206833	Mary Lookalike
595636	208245	Mary Margret
595636	210782	
595636	217485	Tiffany Trumble
595636	218179	
595636	230692	Mary Beth MacWilliams
595636	235547	
595636	247119	Suzanne DeMarco
595636	252925	Secretary
595636	332496	June
595636	337314	Betty
595636	358708	Toni Carpenter
595636	362274	Mrs. Bowers
595636	368363	Woman Speaker
595637	2840	Anita
595637	10559	Eva
595637	326455	Katia
595637	373532	Linda de Leenheer
595637	407661	Katia
595637	407662	Katia
595638	389315	
595638	407884	Karlientje
595639	238441	Iocasta
595640	157586	Sekretaresse
595640	202636	
595640	409192	
595641	70325	Lead drum majorette
595642	378674	Herself (1996-)
595642	388025	Herself
595642	401446	Herself (2000)
595644	316845	
595645	67076	Homme dans l'auto
595646	170470	Herself
595647	48257	Berthilda
595647	59695	
595647	102289	Ann
595647	110551	Lena
595647	112036	Marie
595647	125224	
595647	141798	Elvested
595647	153319	Maureen Dawson
595647	198746	Wera
595647	205726	Keizerin
595647	263303	Suzy
595647	289855	Pascuala
595647	290032	Alberta Hofstadt
595647	314870	
595647	352402	Magda
595647	357354	
595647	357566	Boeboeske
595647	373877	Narcisse
595647	374085	Giulianella
595647	376188	Grandmother Diana
595647	378820	Herself
595647	379254	
595647	387143	Monika
595647	387631	
595647	391476	Matti Tomassetti (1996-1998)
595647	397318	
595647	404735	Carine Moens
595647	408739	Sonja
595648	348675	
595649	21475	Stella
595649	67897	Margaret Allison
595649	72844	Mrs. Forrester
595649	79918	Mrs. Collins
595649	88857	Muriel Mallet
595649	90259	Evelyn Steele
595649	101721	Phoebe Rice
595649	114842	Nell Palmer
595649	138695	Jane Price
595649	147126	Maggie Hobson
595649	151005	Mme. Isabella Ballu
595649	154062	Mrs Hooker
595649	154657	Nurse Drew
595649	176316	'Lady' Ruby
595649	193882	Mrs. Rogers
595649	203535	Lucy Drayton
595649	206139	Mrs. Cartwright
595649	230359	Molly Wheeler
595649	246769	Gladys Worthing
595649	256259	Angela Dunning
595649	263349	Mrs. Innes-Hook
595649	264711	Dolly
595649	267564	Miss McNab (the missionary)
595649	330638	Nellie Lumsden
595649	335636	Lucy Gordon
595649	358610	Mrs. Dakers
595649	362204	Sarah
595650	6248	Delivery Nurse
595650	14989	Dorothy Dearborn
595650	17749	Eleanor Roosevelt
595650	19601	Henrietta Manley
595650	36871	Edwardian Room hostess
595650	95271	Mrs. Winthrop
595650	99586	Marie
595650	102591	Mrs. Enke
595650	226938	Dr. Kohlzak
595650	253342	Sarah Andrews
595650	276785	Delquist
595650	289420	Mrs. Skye
595650	303225	Immaculata
595650	306421	Waitress in House of Pancakes
595650	318171	Judge
595650	321660	Dr. Kite
595650	335799	Autograph Hound
595650	363265	
595651	260950	Zoli Model
595652	164678	
595653	300814	Young Jeanine
595654	337025	
595655	334189	French girl
595656	352724	Dorothy Green
595657	146433	Page (segment "Metzengerstein
595658	40758	Olivia Howard
595658	113422	
595658	220196	Sunny Labonne
595658	339776	Bonita
595658	341111	Li
595658	374366	
595658	396874	Aishe Memis/Angie
595658	398304	Susanna 'Sunny' Labonne
595659	196496	
595660	403737	Louise Ní Ghabháin
595661	66395	
595661	199816	
595663	384876	Adriana
595664	30415	
595665	53889	
595665	101922	
595665	254240	
595665	286578	
595665	341477	
595665	344793	Salomé
595666	355765	
595666	355956	
595667	256153	Nini
595667	377617	Little Girl
595668	131115	
595669	123252	
595670	195117	
595671	273834	Maria
595672	264389	
595673	149114	Une prostituée
595674	188266	Polly De Bohun
595675	70487	Salete
595675	170390	
595675	242947	
595675	245480	
595675	341159	
595675	343645	
595675	381773	Mercedes
595675	382676	Cândida
595675	383441	Souza
595675	384480	Salua
595675	386123	Judite Moreno
595675	386728	Rosilda
595675	391580	Tia Ciana
595675	393793	
595675	395302	Ema
595675	396177	Carmem
595675	396337	Serafina
595675	398501	Alzira Macedo
595675	400765	Matilde
595675	403118	Judite
595675	404220	
595675	405401	Teresa
595676	8582	
595677	51569	
595677	90454	
595678	15106	
595679	45118	
595679	100288	Marthe Robert
595679	101127	Marie
595679	101140	Sabine
595679	148775	
595679	186989	Coralie's Mother
595679	215266	Célimène
595679	254123	Fabienne
595679	254147	Séverine Longuet
595679	341701	Isabelle
595679	345267	Marianne
595679	349486	Clothilde
595679	385216	Françoise Galliot (1999-2004)
595680	243479	Fluff Dance
595681	256998	
595682	345481	
595683	133171	Barberine
595684	83233	Cliente épicerie
595684	101256	Mme Rudemont
595684	406783	Infirmière 1
595686	28994	Minette du poker
595687	136360	
595688	58858	
595688	81260	Diane, Tattoo Parlor
595689	92959	Student
595690	406203	Britt De Poorter (2004-)
595691	241231	Miriam Rogers
595692	330664	WAAF Woman
595693	65791	Vera
595693	406203	Lynn Houben (2001-2002)
595693	409192	
595693	409886	Fried Lomann
595693	411311	Miriam Struys-Smiths (#2) (20
595694	58943	Miss Bailey
595694	85184	Tabby
595694	92007	Maid
595694	150765	Amelia
595694	221297	Ada, The Cook
595694	234803	Madam La Vaka
595694	272025	Vicar's wife (organist)
595694	298582	Charwoman
595694	343161	
595695	76726	Hiske van der Zaag
595696	352126	
595697	211508	Bodyguard side-kick
595698	79716	Old Frozen Woman
595698	333192	Aunt Brisley
595699	90030	
595700	367423	Denver May
595701	18567	Lara
595702	25589	
595702	104174	
595702	156192	
595702	157080	
595702	157100	
595702	162729	
595702	200662	
595702	237721	
595702	237722	
595702	270664	
595702	288317	
595702	292854	
595702	323055	
595702	358512	
595702	399840	
595702	405481	
595703	12768	
595703	17752	
595703	28078	
595703	28082	
595703	61710	Mai
595703	102925	
595703	109949	
595703	115756	
595703	172303	
595703	190059	
595703	205694	
595703	211185	
595703	239444	
595703	251230	
595703	297092	
595703	297093	Cathy
595703	297094	
595703	319488	
595703	334024	Julie
595703	340355	Flor
595703	360107	
595703	388282	
595703	398494	Connie
595703	404051	Margarita
595703	405481	
595704	96075	Maria Teresa, la bibliothécai
595705	23477	Herself (mistress of ceremoni
595706	10049	Herself
595707	104867	Herself
595707	124240	Solange
595708	96248	
595709	148781	
595710	13051	
595710	307052	
595710	328611	Valda
595711	412041	Hostess
595712	244640	Merche
595713	3390	Blanca
595714	303638	Televisiepresentatrice
595714	357358	Gravin
595715	8214	
595715	51948	Colette
595715	146432	
595715	240036	
595715	354982	
595715	356408	
595716	162613	Elisabeth
595717	52455	Helen Wiecek-Rayska
595717	88853	Child's mother
595718	255115	
595718	309258	
595718	313985	
595720	28768	Policewoman
595720	44522	Agente di vendita
595720	162063	Veronica Bonetti
595720	205248	Figlia di Gasperino
595720	284968	Fiorenza
595720	402782	Luana (1987)
595721	255115	
595721	313985	
595722	337657	Hope Rose
595723	78553	
595723	97294	
595723	145204	
595723	161562	Doncella de servicio
595723	215400	Souka
595723	378396	
595724	52974	
595724	92348	
595724	103695	
595724	237617	
595724	244610	
595724	279855	
595724	351835	
595725	93282	Valdubina
595726	85969	Germaine
595726	107364	Mizzi
595726	162143	Chiara Monica
595726	205549	Enrichetta Sontag
595726	205728	Germaine
595726	290662	Film Star
595726	352326	
595727	152363	Adinda
595727	173638	Maan
595727	203450	
595727	337973	
595727	389315	Joke
595727	399410	
595727	408151	Jasmine (2000)
595728	35115	
595729	145046	TV reporter #2
595730	338981	Herself
595731	247876	
595732	31130	Mary, age 12
595732	190279	Elizabeth, as a child
595732	264179	The Princess of Patches
595732	348078	Ann
595732	367503	
595733	400801	Marietje
595734	156553	La bonne
595734	211659	
595735	165334	Puticlub Puppy
595736	353183	
595737	255499	Nacha
595738	94480	Marquess
595739	357356	Older Anne
595740	243268	Niamh
595741	46863	Sister
595742	357189	
595743	200400	
595744	40820	Vera
595744	388299	Tinne 'Tinneke' Baetens-Huysm
595745	53142	La chanteuse
595745	74332	The Female Activist
595747	378659	Herself (2002-2003)
595748	40819	Jonge Ellen
595749	112917	Supporter 5
595750	42523	Nurse
595751	65165	
595753	145362	An Extra
595753	191961	Mrs. Higgins
595753	195358	The Imp's Mother
595753	282057	Maid
595753	328756	Mrs. Longman
595754	251	Eleken
595754	53142	La copine fugueuse
595754	65980	Narrator (Dutch language vers
595754	76670	Nette Scholliers
595754	89194	Millie
595754	125224	
595754	149413	Gerda Van Hove
595754	152646	Herself
595754	173063	Moeder van Sam
595754	173654	Frieda Parmentier
595754	184526	Marjan
595754	200548	
595754	204531	Jeanne
595754	205726	Marie Antoinette
595754	331968	Trambestuurster
595754	358547	Sanne
595754	375142	Daniëlle
595754	394438	
595754	406172	(2000)
595754	406558	Jana Meyer
595754	407884	Jeanne 1955-1959
595754	411214	Yvonne Blaauboer (1998)
595755	340509	
595756	398046	Herself (1999)
595757	388299	Lovely Van der Venne (#2) (20
595758	409177	Herself
595759	382864	Mevrouw Woudstra
595760	306008	Young bride
595761	33960	
595763	71633	Helena Everett
595763	74731	Leaven, the Maths Student
595763	80640	Sarah Bracknell/Bannerman
595763	108331	Jackie Fein
595763	108339	Penny
595763	119429	
595763	170831	Caitlin Dean
595763	176499	Cooper's groupie
595763	178223	Cathy
595763	223815	Bonnie
595763	254641	Madame Madame
595763	265681	Meagan
595763	266692	Bonnie
595763	272661	Karen Mitchell
595763	294140	Meg Smith
595763	313416	Lt. Ezri Dax
595763	362860	Nancy
595763	378898	Chantal Hume
595763	378965	
595763	381822	Celia Powell
595763	383123	Sarah
595763	383662	Maggi Holden (1994)
595763	385900	Sarah Bannerman
595763	386762	Skye
595763	388805	
595763	393173	Olive Cawley
595763	397907	Yuna
595763	406407	Ensign/Lt. Ezri Dax (1998-199
595764	391799	Assistente
595764	407411	Femke Rutten
595765	51598	Schippersvrouw
595765	64662	Willem van Dalens vrouw
595765	85708	Mozes´ vrouw/Mozes´ wife
595765	124940	
595765	125046	Mevr. van Norden/Mrs. van Nor
595765	141993	Koos
595765	153633	
595765	188839	Pierrots blinde moeder
595765	242442	Kniertje
595765	242444	Kniertje
595765	357390	Vrouw van de schipper/Bargee'
595766	154455	
595767	33575	Parthénis
595768	33279	Yvonne
595769	343122	Franciska
595770	401670	
595771	381917	Herself - Intruder Evictee #1
595772	140444	Aunty Pinau
595772	246482	Mama Ruau
595773	42560	Véra
595774	269355	Vampire Girl Sucking
595775	294408	Betty
595775	332261	Laura/Elena adolescente
595776	261117	
595777	229726	
595778	38084	
595779	275987	Herself
595780	342685	Farm Girl
595782	407173	Herself (2002)
595782	407816	Herself (2002)
595783	356554	
595784	157284	Herself
595785	42643	Herself
595786	42643	Herself
595787	78139	Yanna
595789	399	Nelly
595789	37630	
595789	43772	
595789	68312	
595789	107241	Hélène de Lespinasse
595789	112887	Gertrude
595789	145663	Paméla
595789	242755	
595789	321913	
595789	327882	La secrétaire d'Héloïse
595789	339089	Kim
595790	8285	
595791	19341	Herself
595791	256753	Agnetha
595791	385066	Michelle 'Agnetha' (2001-2004
595791	390410	Mariët Zoomers (#2) (1997-200
595791	397898	(2005-?)
595791	407614	Herself - Guest appearance
595792	389827	Sandra van der Linde
595792	400507	Jolijn Venema
595793	160	Mother of the Bride
595793	34277	Claire
595793	47784	La femme du précédent locatai
595793	125715	Rose
595793	129121	L'acheteuse
595793	205150	La Voisine
595793	214900	Madame Pettini
595793	396308	Gisèle
595793	401053	Mme Gonzales (1989)
595793	401319	
595793	401328	Various characters
595794	165557	Marie Antoinette
595794	230415	Miss Smith
595795	334100	Den lilla flickan med dockvag
595796	269088	Les Oiseaux
595797	291733	Mary
595798	142066	Eine Freindin Lianes
595798	375091	
595799	4353	Mevrouw Pinke
595799	48159	Vrouw van Conti
595799	142744	Marthje
595799	165624	Juliette Janssens
595799	165625	Juliette Janssens
595799	179814	Stella von Kipperfisch
595799	243293	Dame (II)
595799	290075	Vrouw 1, Chouke
595799	311877	Eigenares modesalon
595799	366699	Vrouw van Springer
595799	375752	Tante Bert
595800	35186	
595800	396166	Lisa Lenz (1996-1997)
595801	65883	La Garda
595801	107788	Lavina
595801	160861	Mario's Wife
595801	386708	Carmela (1974)
595802	63640	Une cliente
595803	190663	Can-Can Girl
595804	280129	Señora ecologista 2
595805	386608	Muis
595805	408764	Claire van Bronkhorst, Agnio
595807	114664	Suzee
595808	8439	Madame de Chaligny
595808	8876	La Présidente
595808	15096	Herself
595808	55532	La duchesse/Duchess
595808	63690	La Copine
595808	127620	Mamita
595808	231147	Marie-Bonne
595808	240036	
595808	248897	Yvonne-Sophie
595808	268979	
595808	377915	Gertrude Frossin
595809	21003	Cerise
595809	294742	
595810	409844	Herself/Presenter
595811	8876	Une dame
595811	64274	Mme Ros
595811	84612	Rose
595811	103876	La mère de Fabienne
595811	125463	
595811	164142	
595811	169346	La mère de Mariette
595811	235857	
595811	236516	La femme sur le banc public
595811	260947	
595811	286029	Marguerite
595811	313304	
595811	343574	Mme Rose
595811	346740	Marjorie
595811	372951	
595811	377848	La femme jaguar
595811	391931	Mlle Hélier
595811	398966	
595811	400681	Mme Desjarrige
595811	402357	
595811	404281	Baronesse
595812	275647	
595813	11934	
595813	157662	La mère de Thomas
595813	387466	
595814	58175	Waitress #2
595814	130962	Sarah
595815	171420	
595816	70705	
595817	153863	
595817	237214	
595818	241011	
595819	162704	Rosaura
595820	379450	Elis
595820	384118	Hannelore (1999-2000)
595820	384480	Samira
595820	384711	Dandara
595820	409405	Dorinha
595821	381328	Dina
595821	383866	
595822	103496	Mari Carmen, estudiante de pe
595823	23678	Madeleine
595823	137220	
595823	148638	
595823	257164	Femme de la plage
595823	285152	
595823	320789	Louisa
595823	360913	Marianne
595823	377980	Madame De Montmorint
595823	383916	Gerberge
595823	393487	Antoinette
595824	408001	Dédette
595825	84221	Young Woman
595825	291105	Daph
595826	10985	
595827	39731	Clodagh's mother in flashback
595828	86110	
595828	93672	Kapster
595828	187632	Vrouw Jack
595828	206319	Doreen
595828	229410	Secretaresse
595828	306008	Waitress on the boat
595828	337145	
595828	365583	Janine
595828	369326	Tanja
595828	374303	Suzy
595828	375772	Amanda
595828	376257	Neighbour
595828	384901	Natasja
595828	404194	Tess (2001)
595829	397445	Kleine Let
595830	16419	Technician
595830	105112	Emma Storm
595830	135591	Reporter Wilma Thompson
595830	241106	Woman
595830	276850	
595831	123326	Middle Aged Woman
595832	79804	Sally Baxter
595833	3950	Madeline
595834	112917	Supporter 1
595835	70423	Staflid
595836	94366	
595836	174790	Die Alte
595837	24147	Lulu
595837	77139	Getuige
595837	108160	Agnes
595837	124395	Lujzi
595837	140916	Stem
595837	141735	Zsofi
595837	142506	Moeder
595837	180018	Regan
595837	209733	Masja
595837	251016	Martha
595837	256524	Jeanine
595837	288117	Mevrouw Daems
595837	324433	Eleonore
595837	339682	Marie
595837	352260	
595837	357394	Genezen vrouw
595837	367194	
595837	373586	Loekerja
595837	375721	
595837	376436	Prinses Doornroosje
595837	393451	Liza
595838	33218	
595838	46163	
595838	93402	Fanni
595838	98068	Pepi
595838	125211	Wally Bogenrieder
595838	142135	Lena
595838	144131	
595838	169108	
595838	178640	Klara
595838	189651	Marianne
595838	208083	Stasi
595838	235569	Kathi
595838	241977	
595838	259416	Hermine Lechner
595838	266355	
595838	312211	
595838	330995	
595838	361381	Walburga
595838	364828	Liesel
595839	198065	Ma
595840	198363	Herself
595841	207393	Cuthbert
595841	282155	Hon Babette
595842	418	Paddy's girl
595842	110451	Eileen Gosper
595842	126700	M.P.
595842	254591	Vi Telford
595842	275442	Barbara
595842	281441	Lucy Graham
595842	309631	Eileen
595842	379744	Imogen
595842	382396	Mrs. Larwood
595842	382596	Mary
595842	388255	Erica Michaels
595842	395180	Catherine Lloyd
595842	399201	Anna Swallow
595842	410167	Monica Montgomery
595842	411245	Lucy Graham (episode 1: Room 
595843	113615	Marisa
595844	135523	
595845	147329	Party guest
595846	26082	
595846	356811	
595847	41797	Hooker #2
595847	47423	English Prisoner
595847	107727	Sarah
595847	118367	Diana (segment "The Missing I
595847	132454	Receptionist #2
595847	157180	Jean
595847	207052	Jennifer
595847	270436	Yvonne
595847	411401	Herself - Presenter
595848	55110	Carla's Family #1
595849	385847	
595850	48246	Voice
595850	104612	Host
595850	379791	Herself
595850	409162	Jessie
595851	30243	
595851	67899	Francesca
595851	111284	
595851	323236	Isabel
595851	341077	Redhead
595851	380446	Claudine
595851	399645	Leiloca
595851	408944	Estela
595852	73149	
595853	326536	Attrice teatro stabile
595854	218393	Mrs. Carlsen
595855	196682	
595856	81701	
595856	381198	Yolanda Galhardo
595856	386122	Augusta
595856	387424	Cris
595856	388728	Lenita
595856	394872	Lulu Morales
595856	395822	Julinha
595856	396741	Marcela
595856	398503	Arlete Assunção
595856	401087	Vitória
595856	402685	Arminda
595856	404165	Amparo
595856	407830	Marieta
595856	408212	Young Carmosina
595856	408330	Ana Maria
595856	410054	Andressa
595856	410377	Vivinha
595857	313908	PACE Leader
595858	6401	Madeleine
595858	15034	
595858	53869	Lily
595858	55309	Aline
595858	58733	Janine
595858	63954	La mère porteuse postulante
595858	86428	Cathy
595858	116474	Claire Girod
595858	149212	
595858	212155	Raphaelle Adler
595858	220476	la fille
595858	257006	Yolande
595858	265797	Catherine
595858	278708	Natacha
595858	278709	Natasha
595858	292363	Françoise
595858	309772	Claudine/Hélène
595858	312260	Séverine
595858	345447	Cécile
595858	346579	Sophie
595858	346709	Juliette Deberle
595858	351873	Marie
595858	356979	Dominique
595858	382054	Pépétte
595858	387837	Agnès (1986-1988)
595859	301798	Music Student
595860	86017	Heather
595861	203306	Dorina
595861	362542	A family friend
595862	196593	Kathryn
595862	211981	Nurse
595863	18	Party Guest
595863	18598	Old Bat
595864	59271	
595865	52059	
595866	386142	Janete
595866	388679	
595867	8283	
595868	108426	Talk Show Hostess
595868	274259	Fag Hag
595870	20625	Extra
595870	139611	Girl Friend #2
595870	150723	Dance girl
595870	307842	Girl in Cafe
595870	362169	Village Woman
595870	365762	Guest
595871	199815	
595872	82417	Fiorella Colombo
595872	129050	Agata, moglie di Franco
595872	211805	
595872	312246	
595873	3888	Herself
595873	13961	Ma
595873	20243	Jill Wyler
595873	27243	
595873	28927	Amantha Starr
595873	29960	Norma
595873	39251	Lola Montez
595873	39475	
595873	40476	Honey
595873	44292	Carmelita Carjas
595873	47088	Hat Check Girl
595873	48276	Gina Ferrara
595873	48538	Deborah McCoy
595873	54609	Nita St. James
595873	55934	
595873	56113	Inez
595873	57738	Mrs. Briggs
595873	69987	Virginia Oldoini
595873	73500	Anna Dundee
595873	74288	Secretary
595873	81194	Bridget Kelly
595873	81989	Wah-Tah
595873	82521	Valerie
595873	83599	Princess Scheherazade
595873	83607	
595873	114856	Rosalind Dee
595873	117295	Girl in cafe
595873	117905	Yvette
595873	120739	Lorena Dumont
595873	121229	Catherine Jones
595873	121674	
595873	122967	Linda Marlowe
595873	128417	Lorraine
595873	129456	Dolores
595873	136288	Susan Ames
595873	138783	Serena McGluskey
595873	139746	Bathing Girl
595873	143573	Cameo appearance
595873	143577	Girl
595873	149969	Laura Mannon
595873	150631	Yasmin Pallas
595873	153141	Luana
595873	154361	
595873	163345	Julia
595873	177713	
595873	177988	Handmaiden
595873	186328	Ellie Irish
595873	188341	Chorus Girl
595873	189238	Jeanene Dubois
595873	196963	Girl
595873	200145	Minna
595873	203633	Teresa Anastas
595873	206119	Isabella Vega
595873	207510	Mrs. Murphy
595873	208932	Mrs. Louise Warren
595873	215174	Emelin
595873	222459	Lily Munster
595873	222460	Lily Munster
595873	227024	Mrs. Hess
595873	234465	Jugula
595873	243930	Aunt Rosa
595873	257506	Hester
595873	262118	Mrs. Sally Hallson
595873	262265	Office Clerk
595873	271224	Lona's Companion
595873	272921	Hannah Montgomery
595873	277533	Showgirl
595873	279135	Sequin
595873	279411	Handmaiden
595873	286197	Salome
595873	286334	Girl in singing quartet
595873	286961	Adelaide McCall
595873	288454	Emma Bub/Sheriff's Wife/High 
595873	289568	Roxy McClanahan
595873	291714	Droucette
595873	292041	Older Martha
595873	295351	Constance Cumberland
595873	299962	Abby
595873	301716	Mrs. Engels
595873	301943	Candace Surrency
595873	304587	Francesca
595873	306466	Girl
595873	307842	Maria
595873	308605	Cara de Talavera
595873	309211	Mrs. Garrett
595873	310212	Mary Magdalene
595873	313118	Secretary
595873	327685	Sephora
595873	328059	
595873	330703	Showgirl at Neptune Club
595873	333173	Natalie Dufort
595873	335183	Julie Madden
595873	340853	Girl
595873	357585	Rose
595873	367948	Cleaning woman
595873	372927	Student
595873	398539	Lily Munster
595874	159477	
595874	337461	
595875	296532	Tiziana
595876	5477	Une spectatrice
595876	37902	Madame Savoureux
595876	236611	Invitée aux fiançailles
595876	256755	Une dame au bal de charité
595876	262948	Une surveillante
595877	16820	
595877	18959	Mary
595877	90662	
595877	112646	
595877	124558	Lori
595877	127615	Marietta, prostituta veneta
595877	235744	Irina
595877	352234	Maria
595877	380986	Hedwig, the sea witch
595877	385942	Silene
595877	397359	Lena (Italian version)
595878	368600	Mother
595879	316378	Captain Club
595880	2169	Florence Spizner
595881	155301	Summit Restaurant Patron
595882	246405	
595883	45899	Extra: city centre
595884	45899	Extra: city centre
595885	248535	
595886	356029	
595888	68621	
595888	124545	
595888	277321	
595888	385947	
595889	392792	Beata
595890	72032	
595891	61345	
595891	67642	Suzana
595891	207660	Helen
595891	229703	
595891	245456	
595892	17137	
595893	71376	Deolinda
595894	105606	Maria Buscetta
595895	30328	Naína
595895	51863	Vilma
595895	134488	
595895	341134	
595896	222375	Servant
595896	294113	
595896	397545	
595896	404271	
595896	405935	Chica
595896	409902	
595896	410288	
595897	396337	Servant
595897	411579	
595898	148515	
595899	12080	
595900	132944	Woman Fighting a Man in the S
595901	45982	Younger Daughter
595902	15249	
595903	19786	Mrs. Smith
595903	59555	Lady Lucy Blessington-Smythe 
595903	71462	Mrs. Barrington
595903	110359	
595903	128491	Mrs. Barradine
595903	159453	Georgette
595903	165221	Sir Humphrey's friend
595903	171176	Poppy Mayne
595903	179063	Delphine
595903	209349	Lady Frome
595903	216453	Betty Irvine
595903	229632	Duchess of Portsmouth
595903	232859	Yvonne
595903	270648	
595903	285691	Mrs Pilkington
595903	295191	
595903	330192	Lady with Dog
595903	330841	Mrs. Ferguson
595903	331099	Sheila
595903	341987	Mrs. Webster
595903	342416	Twenty Questions panellist
595903	367471	Clair
595903	370531	Herself
595903	374564	Julia Norton
595904	56519	
595905	332656	
595906	7529	
595906	25239	
595906	33803	
595906	59216	
595906	114966	
595906	133396	
595906	134298	
595906	201054	Comtess de Chancé
595906	236597	La mère de Ginette
595906	249090	
595906	309986	
595906	354912	
595906	354974	
595907	383686	Artemisia
595907	396610	
595907	397645	Irene
595907	401944	Bela
595907	405936	Carla
595907	408212	Leticia
595907	409780	Flávia
595908	165334	Silvia's Sister
595909	384002	Edna
595910	367589	Isabella at Age 2
595911	142378	Additional Cast
595911	378108	Prostitute
595912	98760	
595912	102318	
595912	166375	
595912	166380	
595912	197091	
595912	268993	
595912	319626	
595912	341133	
595912	354191	
595912	397553	
595912	412270	Geralda
595913	142298	Singer
595914	385947	
595914	392747	
595915	83007	
595916	142298	Singer
595917	388940	
595918	29774	Patricia
595918	211024	Irene
595918	246852	
595918	344862	Neusa
595918	350254	
595918	379450	Guadalupe
595918	380387	
595918	385629	Herself
595918	400656	Baiana
595918	401900	Elvira
595918	403733	Nininha
595918	407830	Terência
595919	237257	Secretary
595919	346982	
595919	353041	
595920	10525	Rosinha
595920	67653	
595920	112767	
595920	246971	
595920	308800	Nanan
595920	344712	Bibiana Terra Cambará
595921	55139	La tía
595921	102441	Sra. Limpieza
595921	255485	Prostituta
595921	292754	Beggar Woman
595921	318235	Rosa
595922	57981	
595923	70401	
595923	302797	
595923	381686	
595924	89930	
595924	195028	Emília de Meneses
595924	265712	Grandmother
595924	339674	
595926	218924	
595926	320415	
595926	351489	
595926	397512	Branca
595927	431	Dona Palmira
595927	12134	
595927	17377	Rosa
595927	18792	Srª Ferreira
595927	19471	Miguel's Mother
595927	27984	
595927	30388	Céu
595927	45982	Older Daughter
595927	46920	
595927	47618	
595927	55936	Actriz convidada
595927	55999	
595927	58068	
595927	63635	Raquel
595927	70228	2.ª Veladora
595927	78556	Elena Montes
595927	83517	
595927	84174	
595927	84267	
595927	86928	
595927	89930	Clarisse
595927	95011	
595927	95326	The old lady
595927	107316	
595927	109966	
595927	118813	
595927	129673	Teresa
595927	131072	
595927	140572	
595927	144200	
595927	145153	Mariona
595927	156411	
595927	168374	
595927	183511	
595927	188011	Lena, Zé's aunt
595927	192871	Old Woman
595927	211301	
595927	215039	
595927	218500	
595927	253371	
595927	263205	
595927	267318	
595927	275021	
595927	287490	Mulher
595927	293905	Grandmother
595927	294110	
595927	296197	Lola
595927	303220	
595927	307783	Doña Esther
595927	307835	Madre José
595927	321535	Geneviève Largillière
595927	322367	Miranda
595927	327533	
595927	328878	
595927	341077	Julius Caesar Actress
595927	341147	
595927	341156	
595927	344688	
595927	344868	
595927	344894	
595927	349815	Melo Sister #1
595927	352632	D. Ilda
595927	353097	Maria Afonso
595927	369501	Irmã Luz
595927	376680	Maria do Amparo
595927	380332	Angélica Salgado
595927	390489	Babiette
595928	61360	
595928	66404	
595929	243708	
595930	380152	
595931	42590	Alzira
595931	396718	
595932	125389	
595932	376773	
595933	134487	
595933	268984	
595934	55142	
595934	71269	Sra. Alvarez, viuda de Gaspar
595934	86879	
595934	146508	
595934	189029	
595934	293924	
595934	310033	
595934	387550	Elisa
595935	17381	
595935	376925	Sarinha
595935	383370	
595936	409463	Secretaria (1983-1984)
595937	261049	Fitter
595938	142298	Singer
595939	36645	
595940	393351	
595941	278614	
595942	124235	
595942	169650	Mme Delarue
595943	148466	
595944	406000	
595944	409092	
595945	223506	Candidate #10
595946	51786	
595948	54260	
595949	12053	
595949	19381	
595949	19463	
595949	53639	
595949	65404	
595949	104154	
595949	171651	
595949	371682	
595950	239963	
595951	86383	Moedertje
595952	18347	Ander kind van Letta (Letta's
595953	319824	Femme Xsara oreille
595953	344680	
595953	396221	Marine
595954	115339	Marie-France
595955	18821	
595955	72041	Maggie
595955	130181	Lark
595955	189320	
595955	210538	City Librarian
595955	224287	
595955	277084	
595955	290327	Mrs. Wellington
595955	295773	
595955	296307	
595956	60188	Louise Nash
595957	213994	Maggie as a Child
595958	369421	Orgy Crowd #2
595959	261441	
595960	44	
595960	90284	Countess Bordoni
595961	124396	
595961	282492	
595963	136360	
595964	100210	Diner Patron
595965	70183	
595965	73521	
595965	108731	
595966	19792	
595967	70625	
595968	51671	
595968	63949	
595968	66401	
595968	100318	
595968	407249	
595969	94674	Emma
595969	109766	Luisella
595969	113574	Barista
595969	254976	Rosaria
595969	296663	
595969	348193	
595969	386811	
595970	114564	Opera Singer
595971	215865	
595972	99369	
595973	1366	Stella
595973	36459	Hermana Caterina
595973	81522	
595973	98079	
595973	159449	
595973	163744	Emma
595973	188659	
595973	208794	Eugenia Pellacani Bompani
595973	209440	
595973	246426	
595973	265310	Suor Pasqualina
595973	265981	Malvina
595973	269633	
595973	315829	Maddalena
595973	386297	Lina
595973	392431	
595973	396649	
595975	195400	Emma
595975	381059	Brenda's Nurse 1
595976	280564	Macha
595976	384756	Béa (2001)
595977	412020	Herself
595978	153146	Tita
595978	358255	Lani
595979	358255	Maile
595980	220226	
595981	148303	
595982	356405	
595983	253	Beth
595983	42877	Tante Adelina
595983	214356	Overste moederhuis
595983	281357	Mevrouw Vermaenen
595983	407821	Herself
595984	153154	Jackie Tice
595984	404694	Laurie Hollister Stevens Redd
595985	192102	Second Whore
595986	332593	Nun
595986	353201	
595987	123275	
595988	234270	La pipaniste
595988	236164	
595988	389784	
595989	395025	Herself
595990	293317	Himself
595991	109797	Amy
595991	381799	Bahushka
595992	355245	
595992	391620	Euphémie
595993	110548	Herself
595993	383604	Herself
595993	385555	Herself
595993	386998	Herself
595993	387019	Herself (1992-1997)
595993	395451	Herself
595993	408579	Herself
595993	410496	Herself
595995	397888	Herself (2002)
595996	319687	Herself
595998	245031	
596000	158673	
596001	251496	Pearl Richmond
596002	104371	Mrs. Varnum
596002	311408	Effy Katshaw
596003	74912	Cook
596004	61359	Zuky
596004	402677	Host
596004	402919	Host (1995-1996)
596005	190269	Young Suzy Gumm
596006	319951	Professor Beatrice
596007	223817	Marabenta Dancer
596008	130852	The dance hall woman
596009	13429	
596010	409928	Chantal Van Eyck
596011	18567	Slecht gezind meisje
596012	387952	Herself
596013	388321	Jade Marshall (2002)
596014	118091	Yvette
596015	169642	Nora/Molly Bloom
596016	351237	
596017	263507	Ayah
596018	234091	Alex Void
596019	83006	Rose
596020	395365	
596021	158609	KC Background Singer
596022	247974	
596022	257015	Chiara
596023	173353	Nurse #2
596024	342426	
596025	301380	
596026	256240	Marcy's Mother
596027	83388	
596027	134602	Madame Lapin
596028	68387	
596029	46006	Le bébé Bijou
596030	315466	
596030	332824	
596031	351581	Maria
596031	371325	Nun #1
596032	243505	
596032	286977	Silvana
596033	14833	
596034	162169	
596035	401482	
596036	13061	
596036	14728	
596036	44225	
596036	70311	
596036	83007	
596036	112757	
596036	126165	Sônia
596036	189309	
596036	197986	
596036	322222	
596036	385385	
596036	385876	Dida
596036	391900	Yeda Maria
596036	402506	
596036	407024	Kate
596037	228485	Blanca De Castro
596037	275087	
596038	83756	
596038	106318	
596038	121230	
596038	159597	
596038	221747	
596038	233466	
596038	243783	
596038	244639	
596038	351491	
596039	57781	
596039	111591	
596039	111594	
596040	19382	
596040	215233	
596041	5263	
596041	54361	
596041	112672	
596041	212542	
596042	328117	Virgen de Guadalupe
596043	73065	
596043	161950	
596043	389642	
596043	404705	
596044	143777	
596044	407347	Leonor
596045	94924	
596046	101581	La cliente au bouledogue
596047	124240	Mrs. Avelina
596048	352216	
596049	385500	Maruja
596050	202561	
596051	150075	Jessica Cheer Girl
596052	349861	Réceptionniste
596053	99364	Sonia
596054	383174	Lucrecia de Vallejo Sáenz
596054	385872	Lucia (II)
596054	396843	Silvia de Echeverry
596054	396859	Aura Cristina Hiller
596054	400667	Helena Sanchez (2000-2002)
596054	405866	
596054	406863	
596054	408706	Perla Conde
596055	338633	
596056	379814	Talita
596056	380166	
596056	384709	
596056	392628	Vitória
596056	400445	Maria Clara
596056	402644	
596056	402927	
596056	403245	
596056	407802	Glorinha
596057	157128	
596058	338276	Rena
596059	98769	
596059	285011	
596060	57832	
596061	6280	Una ragazza alla festa di noz
596061	14759	
596061	42600	
596061	54148	Lucietta, la cameriera
596061	54911	
596061	70163	
596061	117865	Salvestra
596061	234564	
596061	247875	Una entraineuse del locale
596061	280740	Princess Domitilla
596061	309249	
596061	360466	Girl at the Wedding
596062	257340	
596062	312171	Air Hostess
596063	55382	
596064	12064	Marcelina
596064	287755	
596065	140193	Rene Crain
596065	144647	Patricia
596065	159200	Sandy
596065	277672	Isabel
596066	270058	Tamara adolescente
596067	212388	
596068	136004	Narrator
596069	61152	La chanteuse
596070	104695	La Ballena
596071	233976	Leonor
596072	396873	Tete
596073	412138	Panelist
596074	119188	Schöne Frau
596075	194219	Pammy
596075	301760	Macy Reed
596076	19926	Lulu'
596076	57832	
596076	388569	Lele
596077	403330	
596078	85968	
596078	87039	
596078	96496	Maria Cuccurullo
596078	108873	
596078	111159	Maga
596078	113574	Marilena
596078	157923	Rosaria, Imma's mother
596078	233279	
596078	251850	
596078	281910	Gigi
596078	284829	
596078	290862	Cristina
596078	342024	
596078	401970	Addolorata
596079	25795	Ecónoma
596079	217870	
596079	284829	
596081	17139	Benedetta
596082	48971	
596082	54785	
596082	121888	Barbara's Aunt
596082	217870	
596082	261887	
596082	300636	Madre Silvana
596082	342135	Zia Rosa
596082	354233	Carolina
596082	384816	Old woman in Marseille No. 2
596083	21138	
596084	99828	Peoui
596084	140294	Morgana
596084	197546	La prostituée/Whore
596084	245484	La femme de Maxime
596084	393885	Paola Valée
596085	256935	Psicologa
596085	275019	
596085	387930	
596085	402927	Mercedes
596085	410188	
596086	296468	
596086	408747	María Fernanda Lobo Santacruz
596087	409093	
596088	344524	Herself
596089	62915	Polly Love
596089	63115	
596089	66009	
596089	143419	
596089	217940	
596089	241532	Grace Ellicott
596089	263484	Evelyn Morgan
596089	277677	Princess Elizabeth
596089	362693	Nellie King
596090	15996	
596090	19174	Fishmonger's Wife
596090	37570	Emma
596090	64206	Landlady at 'Gabriella'
596090	67691	
596090	68644	Giuditta
596090	70897	Stefano's Landlady
596090	71436	Hotel proprietor
596090	90722	
596090	94676	
596090	104646	
596090	132946	
596090	155857	Italian Woman in Automobile A
596090	159467	Cameriera
596090	159468	Suor Fulgenzia
596090	162083	
596090	162651	
596090	189394	
596090	199442	
596090	200122	
596090	249919	His Mother
596090	267031	Woman in barber shop
596090	269461	La Nutrice
596090	269697	
596090	273145	
596090	278697	
596090	288800	
596090	293355	Violetta
596090	294644	Aunt Armida
596090	309400	
596090	341792	
596090	351585	Concettina (segment "Una dome
596090	375226	Luca's Mother
596091	102158	
596092	71453	Flaviana
596093	309860	Nurse
596094	6279	
596094	20351	
596094	66571	
596094	104471	
596094	129536	
596094	155670	
596094	183287	
596094	199771	
596094	199919	
596094	337895	
596094	338680	
596095	48861	
596095	202498	
596095	337895	
596096	54103	Dressmaker
596096	197981	
596097	3186	
596097	74139	
596097	89930	
596097	107316	
596098	354048	Chica pelicula
596099	228152	Herself
596100	65581	Karem
596101	234713	La Piccola Mirella
596102	219583	
596103	52873	La padrona di Ermelinda
596103	53863	Donna Elvira
596103	54141	
596103	57959	
596103	58535	La Peppa
596103	64244	Marù Palombella
596103	111300	Titina
596103	113206	Filumena Marturano
596103	117970	Antonietta's mother
596103	119855	
596103	135072	
596103	198585	Mrs. D'Alba
596103	206033	
596103	206667	
596103	227576	Adelaide
596103	227580	Zia Matilde
596103	234559	La baronessa Holz
596103	234713	Eufrasia
596103	234738	Olimpia Sgueglia
596103	234765	Concetta Quagliolo
596103	234777	Donna Teresa
596103	248192	Antonio's wife
596103	270839	
596103	286977	Concetta Miciacio
596103	308888	Donna Rosa
596103	324076	Cantoniera di Roma
596103	332242	Concetta Petroni
596103	336620	Teresa
596103	336624	Marchesa De Vitti
596103	345606	La direttrice del collegio
596103	347499	
596103	349652	
596103	351465	
596103	354450	Zia Elisabetta
596103	377572	
596104	218320	Juliette
596105	280129	Laura
596106	126693	Herself
596106	201637	Herself
596106	368295	Herself
596106	386414	Herself
596107	399082	Fliquette école Yolande
596108	409531	
596109	112028	Daughter at Academy
596110	24023	Mrs. Schaub
596111	6586	Susette Pettersson
596111	109544	Ballet girl
596111	209311	Elsa Karlsson
596111	312698	Eva Delmar
596111	347017	Telephone operator
596111	377284	Monia Hylén
596112	126619	Cage Guest (segment "Violet t
596113	215690	Miss Arizona USA
596115	190796	Patient
596116	148604	
596116	337024	La télégraphiste
596117	28545	
596117	29580	Woman at tavern
596117	70897	Prostitute
596117	77468	Chloe
596117	84360	American Tourist
596117	112213	Mrs. Padgett
596117	193775	Joanna Smythe
596117	213014	Mrs. Pfeiffer
596117	260051	Vanya
596117	298321	Miss Ferry
596117	355626	
596117	365545	Voice of Jayne
596117	399952	
596118	65529	Une femme du happy-end
596119	215057	
596120	215057	
596121	9781	Fanny Dodge
596121	16110	
596121	36786	
596121	37926	
596121	37930	
596121	40256	
596121	49375	Keyuhole Yetta
596121	50498	
596121	57742	
596121	109609	
596121	116747	
596121	120317	
596121	120383	
596121	127537	
596121	135597	
596121	139839	
596121	143385	Dazy
596121	146049	
596121	194921	
596121	195552	Rose Deming
596121	199687	
596121	230679	
596121	231960	Celia Spraggins
596121	233867	
596121	244696	
596121	244697	
596121	244698	
596121	244699	
596121	244700	
596121	244701	
596121	244703	
596121	244706	
596121	244707	
596121	244709	
596121	244710	
596121	304097	
596121	312290	Barbara Hampton
596121	319217	Rose Loring
596122	146494	
596122	199075	
596122	270822	
596123	391620	La seconde fille de Bergeret
596124	3916	Pollux
596124	20620	Monique La Roche
596124	20916	Laure
596124	23873	Isabelle
596124	28553	
596124	43393	
596124	69450	
596124	104674	Herself
596124	140292	Marie
596124	162510	Irène
596124	195214	Lucie
596124	205636	Lise
596124	217210	Samantha
596124	236563	
596124	261763	Isabelle
596124	274802	Dune
596124	337033	La prostituée aux lunettes
596125	20073	
596125	103198	La vieille dame
596125	168182	
596127	156547	Ilona Grabowska
596127	322850	
596127	382754	Marina Valdés
596127	383174	Teresa Suárez (Gaviota) alias
596127	383195	Claramanta
596127	383390	Bernarda Cutiño 'La Caponera'
596127	386107	Herself/Host
596127	388043	Herself (Host)
596127	388044	Host
596127	388639	Naty Revuelta
596127	389688	Niña Mencha Lavalle
596127	391862	Antonia Miranda
596127	396392	María Luisa Caicedo de Suárez
596127	399745	Host
596127	401098	Juanita de Hinojosa
596127	402410	Paloma
596128	154983	Specialty Dancer
596129	140315	Monica's Grandmother
596130	8353	
596130	21069	Paula (segment "A Inconfidênc
596130	390380	
596130	405401	
596131	11542	Peep O'Day
596132	10355	Sonja
596133	105462	Dancer
596134	11906	Kim Berger
596134	107354	Sandrine
596134	173700	
596134	186149	Rebecca Hilmar
596134	187567	
596134	214041	Nina
596134	259599	Kommissarin Carol Reeding
596134	259635	Carol Reeding
596134	259659	Carol Reeding
596134	302174	
596134	312746	Silke
596134	325604	Celine Martial
596134	392855	Yasmine
596135	384992	Loló
596135	394872	Consuelo
596136	407856	
596137	202747	Rosa
596138	8480	
596138	14689	Freiras
596138	42654	Sister Bernarda
596138	66869	Woman in Restaurant
596138	68915	Judite
596138	71192	
596138	83517	Isabel
596138	118660	Maria
596138	118813	Raquel
596138	120919	Avó
596138	194106	Pharmacist
596138	197155	
596138	225107	
596138	232924	
596138	248757	Ines
596138	273910	Dona Violeta
596138	278890	Mariana
596138	281640	
596138	302048	
596138	307758	Isabel
596138	309569	
596138	349750	Fausta
596138	352161	
596138	369501	
596138	376926	Sara
596139	277585	
596140	70834	Estrela
596140	112764	
596140	369497	Ana
596140	380196	Zezé
596140	384480	Carolina
596140	386728	Marilda
596140	394872	Dalila
596140	395044	Glorinha
596140	395302	Zilda
596140	410245	Dolores
596140	411585	
596141	76453	Herself
596142	147014	Ashmore's maid
596143	213292	Cindy
596144	76001	Gerardo's Bride
596145	234008	Carmen
596145	398914	Belén
596146	67673	
596147	95420	Carmelita
596148	83888	
596149	26008	Valentina Rosselli
596149	58234	Nicole
596149	71834	Carole
596149	84083	Herminie
596149	91458	Sylvie Sanglois
596149	103834	Marianne Morin
596149	272320	Émilie
596149	401816	Stéphanie Vidal
596150	195143	Herself
596151	66609	Ticket agent
596151	202244	
596152	127986	Journalist #2
596153	1883	Customer #2
596154	275312	Extra
596155	45899	Extra: park
596156	53135	
596156	211021	Clara
596156	405401	
596157	51931	Magda
596157	69240	
596157	86503	
596157	132985	
596157	148462	
596157	166960	
596157	168317	
596157	212136	
596157	279702	
596157	378029	
596158	223506	Candidate #6
596159	387577	Alejandra
596159	391421	
596159	396211	
596159	409289	Esperanza
596159	409290	Carla
596160	314966	Eva Schäfer
596161	280410	
596162	403039	Host
596163	218522	
596164	178020	Cindy
596165	240500	Tracy
596165	271001	Patty Foley
596166	114848	Mag
596167	40587	Herself
596168	646	Liz
596169	269492	Arianna
596170	87685	
596170	246428	
596171	225452	Sophie di Como
596172	94342	Marie-Louise
596172	137635	The Girl
596173	181850	Inglill, prostitute
596174	377386	Anna
596175	28269	Prostituée
596176	330329	Herself (Marie Antoinette Seq
596177	43381	Bomma
596177	57757	Els
596177	102449	Janet
596177	132272	Siska
596177	134371	
596177	228491	Rosa Aerts
596177	231712	
596177	260847	Dorothea
596177	286217	Lady Hautmiel
596177	322824	Lena Lauwers
596177	324433	Eugenie
596177	352485	Tweede buurvrouw
596177	390408	Julia Van Loon-Scheerens
596177	397654	Emma Donders
596177	400801	Emmerence
596177	409084	Bonma
596177	411116	Barones van Berckelaer
596178	179039	Marjan
596179	94687	
596179	102429	Titina
596179	117863	
596179	118614	Fortunata Consiglio
596179	157175	Banker's daughter
596179	162065	Herself
596179	193220	Ortensia, l'attrice
596179	198601	
596179	204924	Florence Geraudy
596179	207067	Dianora
596179	208796	
596179	218541	Dolores
596179	233067	
596179	261866	
596179	286418	Signora Maggi
596179	287692	Betsy
596179	301362	
596179	311809	
596179	322574	Adriana Rosé
596179	328057	Elsa Passman, sua moglie
596179	328200	Princess Jablonowska
596179	333704	Caterina
596180	54843	Romina
596182	104452	Mary II
596183	115833	
596184	324625	La couturière
596185	379093	
596185	383444	
596185	384781	
596185	398218	
596185	402688	
596185	405809	Esther de Irrazábal
596186	387954	Herself
596187	382493	Presenter
596188	79383	Leader of the dance
596189	351494	
596190	355805	
596191	395279	Marsha Spear
596191	402971	Louise Howard (1963)
596192	248412	Engel Michaël
596193	309759	Mme de Vanin
596194	342924	Actress
596195	175459	
596196	406789	Herself (1995-????)
596197	390242	Rosa Gonzalez (2000-)
596198	357389	Lawyer
596199	180968	
596199	187557	
596200	205689	Titi
596200	209735	
596201	124098	Girl with doll
596202	345590	
596203	198683	
596203	272708	
596204	95878	Young Carmen
596206	40375	
596207	282864	Party Girl #1
596208	77003	
596209	44337	Dee
596209	306814	Vice Principal
596210	40204	Housewife
596211	383866	
596212	21605	Ella misma, reina de España
596212	42643	Herself
596212	154543	Herself
596212	266447	Herself
596212	369999	Herself
596213	400801	Gabriël
596214	382909	
596215	164164	
596216	381652	Willemijn
596217	185756	Zeadler's Secretary
596218	307137	Herself
596219	270855	Livia
596219	397933	Antonia Siniscalchi
596219	407518	Herself (7th Executed)
596221	251527	
596222	188900	Moeder
596223	168526	Undetermined Role
596223	366772	Mrs. Campbell
596224	111746	Lucy White
596225	16696	Nun
596225	108926	District Nurse
596225	235012	Mother
596225	382917	Mrs. Platt (1974-1975)
596225	399130	Eileen Clarke (1985-1988)
596225	406891	Laura Watkins
596226	125532	Miss Prendergast
596226	360623	
596227	345589	Herself
596228	330375	Chambermaid
596229	122767	Bataclete 4
596230	16005	Ragged Martin's Wife
596230	205726	
596230	282035	Directrice van instelling
596230	311671	Belgian Tourist
596230	314863	
596230	342335	Doctor
596230	356078	Martha
596230	367022	Tripping nun
596230	384154	Anita
596230	387377	Sonja Drets
596230	399410	Yvette
596230	400294	An (1992)
596230	408151	Lydia (1999, 2003)
596231	286136	Melinda
596232	245370	Leather Lady
596233	376919	Madame Charlot
596234	225373	La vendeuse
596235	70825	Girl
596236	144645	Adrienne
596237	57438	Narrator
596239	15952	Cecilia
596239	270810	Ada
596239	328205	
596239	352235	Marquess at the dance
596240	71146	
596241	195200	Marie-Jo
596242	275021	
596242	293905	Aunt Ester
596243	5186	Les mannequins
596244	382906	Herself (1995-1999)
596245	31454	
596246	16360	
596246	61247	
596246	237721	
596246	237722	
596246	396887	Dugong
596246	404051	
596247	285608	My Chanh
596248	96335	Blanca Maria
596249	16810	Fighter
596250	402365	Princess Elizabeth
596251	243498	Teacher
596253	1470	Woman Sleeping in Greece
596254	205268	Gospel Singer
596254	292479	Policewoman
596255	366868	Waitress
596256	185201	Clubgoer
596257	319803	La kinésithérapeute
596258	83078	Stripper
596259	153960	
596260	13080	Venus
596261	130361	Ellen
596261	299470	Matron
596262	278104	
596263	389087	Marianne Prins
596264	162979	Corinthian Circle member
596265	2361	Lisa
596265	35351	Madame Barsky
596265	69378	Madame Hermelin
596265	77808	Liselotte Wagner
596265	99358	Nathalie
596265	153885	Barbara
596265	170420	Beatrix
596265	183797	La partenaire d'Oscar au bal 
596265	197546	La blonde/Blonde girl
596265	200969	Josette Keller
596265	203492	Party Hostess
596265	229054	Corinne
596265	261836	Lucie
596265	264377	Michelle
596265	278155	La journaliste
596265	278631	Hélène
596265	283053	
596265	312946	
596265	321284	Mary Harris
596265	338411	
596265	345173	Marie
596265	345232	Catherine
596265	345461	Marie-Thérèse
596265	345641	Tall Brunette
596265	346419	Claudine Després, la directri
596265	346567	Lady Dudley
596265	373608	La femme de la synagogue
596265	391359	Kitty Canell
596265	403472	Clara
596266	1962	Herself
596266	2326	Herself - Presenter: Best Pic
596266	2364	Herself - recalling her award
596266	2515	Herself - reviewing Academy's
596266	2750	Herself - Presenter: Honorary
596266	2888	Presenter-art direction
596266	3053	Herself - Presenter: Oscar Tr
596266	6859	Deborah Hadley
596266	7097	Maid Marian
596266	9128	Emily Livingston
596266	10642	Dolly Stevens
596266	13911	Herself
596266	15892	Dowager Empress Maria
596266	18197	Angela Guisseppi - 'Mlle. Geo
596266	34835	Interview
596266	35192	Herself
596266	52431	Catherine 'Cath' Hilton
596266	54451	Arabella Bishop
596266	59455	Elsa Campbell
596266	78875	Terry/Ruth Collins
596266	79725	Herself
596266	85184	Charlotte Bronte
596266	89050	Abbie Irving
596266	93078	Herself
596266	106279	Herself
596266	112214	Queen (Anne) Mother
596266	118405	Lorri Dillingwell
596266	130653	Serena 'Sprat' Ferris
596266	131240	Melanie Hamilton
596266	132323	Elizabeth 'Smokey' Allard
596266	133620	Countess de la Corbe, aka Ger
596266	139190	Margaret 'Maggie' Richards
596266	139798	Herself
596266	142152	Catherine Sloper
596266	147391	Emmy Brown
596266	153211	Miriam Deering
596266	158515	Roy Timberlake Kingsmill
596266	162278	Lucille Jackson
596266	163577	Marcia West
596266	183678	Mrs. Hilyard
596266	189253	Lady Margaret Loddon
596266	190455	Meg Johnson
596266	201840	Herself
596266	202248	Ellen Turner
596266	213309	Hermia, in Love with Lysander
596266	222682	Honoria Waynflete
596266	223798	Rachel
596266	224119	Amelia Cornell
596266	234855	
596266	235405	Kristina Hedvigson/Marsh (sur
596266	245255	Herself
596266	260329	Mother Superior
596266	264171	Princess Maria
596266	264759	Lady Penelope Gray
596266	266105	Linnett Moore
596266	270755	Gwen
596266	282667	Queen Elizabeth, The Queen Mo
596266	287749	Kit Carson Holliday
596266	291291	Laura Wynant
596266	300070	Herself
596266	305934	Virginia Stuart Cunningham
596266	316482	Amy Lind Grimes
596266	320878	Maureen Schuster
596266	329329	Herself
596266	329447	Ana de Mendoza
596266	330153	Elizabeth Bacon
596266	334162	Miss Josephine Norris
596266	361294	Margie Dawson
596266	366196	Irene Dale
596266	367482	Aunt Bessie
596266	399684	Mrs. Neal
596266	403730	Mrs. Warner
596267	211053	
596267	213559	
596268	129533	Baron Viller's mother
596268	334738	Directrice/Manager
596268	356104	
596269	11695	
596270	376596	Recruteur 2
596271	313334	Hotel Passerby
596272	324526	Flora
596273	357359	
596273	367022	His wife
596274	33190	Kinney
596274	52635	Reporter
596274	169016	Jay
596274	194223	Mother
596274	198489	Kathy Livingston
596274	212025	Jan Watson
596274	265754	Wendy Lester
596275	38659	Himself
596275	85954	Herself
596275	123018	Herself
596276	10049	Herself
596277	350376	Olivia
596278	350376	Girl in elevator
596279	32241	Shower Girl
596280	250938	Herself
596281	105465	Isabel Ernst
596282	209656	Gracie
596283	42946	
596283	221758	Marta del Castillo
596284	163008	Margherita
596285	381922	Herself (6th. evicted)
596286	212777	Zaugara
596287	255872	Model Friend in Cafe Typo
596288	387359	Des duPont (2000-)
596289	356813	Elly
596290	114283	Rand's Class
596290	185739	Rape Victim
596291	352471	Dancer
596291	409397	
596292	249209	Fan de Jeannot
596294	157732	Martha Judd
596294	161932	Mrs. Shadwell
596295	37507	
596295	55376	
596295	209363	
596296	131199	Fiametta
596297	131199	Fiametta
596298	221737	Gente de carnaval
596299	322854	Conjunta de Rock
596300	351994	
596301	12069	Singer
596301	128965	
596301	233339	Lola, vecina
596302	279701	
596303	106228	
596303	167076	
596304	12931	
596304	90452	
596304	104487	
596304	403032	Betinha
596305	65006	Friend
596306	114621	Girl in pool
596307	283550	Herself
596308	47423	Darlene's Translator
596309	12203	Mami
596309	41347	Graciella Rivers
596309	47780	Narrator
596309	54558	Leslie Moore
596309	92302	Luisa Diaz
596309	105726	Debra Shelly
596309	109643	Darlene
596309	115179	Karen
596309	127294	Akooshay
596309	130604	Vivian
596309	160492	Geologist/FBI Woman
596309	241075	Jackie
596309	279843	Estevez
596309	311046	Dr. Silvia Lopez
596309	380391	Gomez (1986)
596309	386197	Sanchez
596309	395781	Liz Vega
596309	396145	Suzita
596309	396850	Leda Cervantes
596309	402473	Mrs. Lopez (1987-1988)
596309	404282	Santana Andrade #4 (1991-1992
596310	95348	Mujer en peluquería 1
596310	225017	Madre de Ignacio
596310	247198	Encarna
596310	285933	Monja 1
596310	307277	Madre del Autobús
596310	371290	Vecina
596310	401657	
596311	296197	
596312	199954	Narrator
596313	261116	Karine
596314	93957	Grandma Bunce
596315	57101	
596316	42034	Lerares Frans
596317	70109	Alida
596317	219194	Alex
596317	310118	Arianna
596318	10898	Herself (deleted footage from
596318	10920	Ann Jorden
596318	98912	Ryley's Receptionist
596318	112748	Samantha
596318	185321	Screening Room Jury
596318	385659	Casino Visitor 2
596318	396073	Edith Holland
596318	396235	Dolly
596318	397833	
596318	401143	Rebecca
596318	402743	Wendy
596318	408331	Joyce Timberlake
596319	189505	Dominique
596320	304441	
596321	405209	Cherly-Anne (2001)
596322	116380	Girl at party
596324	116380	Friend at party
596325	336754	The Children
596326	208563	
596327	4741	Woman with Polishing Machine
596328	390062	Dochter van Gilliams
596328	410491	Maaike (2001)
596329	386056	(2002-)
596329	386995	Vicky
596329	388299	Noortje Moordgat (1997-1998)/
596329	397122	Esther
596329	407662	Linda
596329	410853	Kato
596329	412036	Daisy
596330	100368	
596331	20478	
596331	260144	
596332	87578	Lynette
596332	216165	Bantu Maiden
596333	127625	
596333	173361	
596334	45193	Chica clase 1
596334	71287	Isabel
596334	101867	Concha
596334	160535	Médico
596334	259959	
596334	322397	
596334	328154	Jacinta
596334	371705	
596335	146458	Amparo
596335	328154	Jacinta
596335	378988	Cuñada
596336	27985	
596337	183029	
596338	108844	(segment "El mago de Oz")
596339	354471	Lupita
596340	115397	Squire's Wife
596341	55742	
596342	344780	
596342	400685	
596343	406203	Fien Aerts (2001-2003)
596343	411311	Veerle Gevaert (1993-1996, 20
596344	109350	
596344	333675	
596345	12497	Regine
596345	144389	Alina
596347	406493	
596348	132955	Camilla
596348	170473	Harmonie
596348	376910	Julie
596349	20078	
596350	251016	Dame in restaurant
596351	220482	Nenette/Girl #2
596352	242321	Kris
596353	213555	
596354	245468	Airport woman
596354	283580	Edna
596354	334289	Delivery-room nurse
596355	219951	Bessie, as a child
596356	56867	
596356	311872	Kati
596357	215479	Herself
596357	215480	Herself
596357	378860	Herself
596357	388299	Jolien (2000-2001)
596357	397888	Organisatrice Miss Antwerpen 
596358	329843	Herself
596359	210954	
596360	408151	Mira (1998-2000)
596361	202662	Mariska
596362	26796	Mrs. Armstrong
596363	265829	Nurse
596363	266232	Myriam
596363	290435	Maja
596363	351246	
596363	401480	
596364	139719	Judge
596365	376505	Vrouw van de Belg
596366	293353	Marian
596367	6395	Laurence
596367	51402	La voisine
596367	67721	Lucette
596367	73719	Anne-Marie
596367	77421	Madame de Sauve
596367	78403	Soeur de Philippe
596367	83305	Agnès, la voisine
596367	125744	Radio producer
596367	148647	Clarisse
596367	212724	Miss Picotte
596367	236572	Mme de Bonnemain
596367	244759	Denise Laville
596367	249038	
596367	262946	
596367	288899	Docteur Langlois
596367	338572	Wanda
596367	345494	Apolline
596367	356974	
596367	376910	Sylvie Crouzet
596367	386095	Berthe Vialhe
596367	386275	Solange (1987-1988)
596367	391620	Pauline Bergeret
596368	164614	Herself
596369	11668	Model/Fitness Instructor
596370	139682	Jeanne
596371	4507	Guide
596371	5195	Irmgard
596371	98284	Marie Bigott
596371	98308	
596371	156687	Frau Graberger
596371	157618	Erna
596371	177766	
596371	231455	Pat
596371	254944	Marion Dehner
596371	309018	
596371	347812	Hedwig
596371	361559	Hofdame/Tante Brösel
596371	392997	
596371	405971	Polizeisekretärin
596372	213554	Evelien
596373	156150	Patricia
596373	381058	Floor
596374	207051	Member - Mr. Butterfly
596375	122710	
596375	123164	The Wife
596375	164265	Trudie 1
596375	234044	Wilma
596377	166343	
596377	304623	Lady Carroll Knox
596378	37022	Guard
596379	53675	
596379	145153	
596379	193073	Marcela
596380	20402	Isadora
596381	24823	
596381	25267	Adele Rousseau
596381	45770	Florence
596381	73140	Betty
596381	101139	Gaëlle
596381	111043	Anne
596381	128586	The Artist/Narrator
596381	133166	Capucine
596381	162510	Salomé
596381	166565	Card Player
596381	201114	
596381	208219	La jeune fille
596381	211367	Francine
596381	212158	Lucie
596381	212782	Gabrielle Spangenberg
596381	316848	Nathalie
596381	345038	
596381	353945	Emmanuelle
596381	355853	Agathe
596381	379805	Duchesse de Bourgogne
596381	380977	Agathe
596381	385216	Caroline Tessier (1999-2001)
596381	396924	
596381	412266	Val
596382	99089	
596383	70869	Rafael's Subcomandante
596384	395494	Claudia
596384	398842	Natalia
596385	409463	Secretaria (2004)
596386	376835	Child (Lourdes)
596387	384245	Hna. Refugio
596388	103408	
596388	146586	Nancy
596388	146587	Nancy
596389	403404	Inés
596390	287848	
596391	95054	
596393	44836	Isabelle
596394	150920	Woman with lighter
596395	328272	Passenger
596396	121261	
596397	78489	Herself - Host
596397	385611	Herself - Journalist
596398	12682	Governante di Carluccio
596399	330131	Biker Chick
596400	313181	Al
596401	34636	Herself
596401	42056	Woman in Concert Crowd
596401	61261	Mrs. Worth
596401	91943	Dr. De La Croix
596401	98762	Narrator
596401	102802	
596401	138821	Nude on Tabe
596401	141141	Candy Burns
596401	141549	Lynn 'Christie' Ana
596401	168865	Bride
596401	194796	Whitestar
596401	201784	
596401	291452	Miss Anna Tommical
596401	324768	
596401	348427	Margo Winchester
596402	217954	Airline Security Guard
596403	302333	
596404	65892	De Villa's Maid
596405	302333	
596406	79114	Grandmother
596407	111145	Filippina
596408	21676	
596408	340689	
596409	65006	The School Registrar
596410	27167	Mrs. Moreno
596412	231940	Restaurant Hostess
596413	20853	
596413	83139	
596413	212451	
596413	239276	
596413	357186	
596414	205488	Mai Van
596415	87894	Dancer
596416	14811	
596417	398217	
596417	407245	Isabel (1994-2001)
596418	14655	
596418	24623	
596418	28948	
596418	56011	
596418	80129	
596418	83890	
596418	90107	
596418	103852	
596418	106324	
596418	132524	
596418	145231	
596418	148055	
596418	190424	
596418	211906	
596418	218096	
596418	233357	
596418	255545	
596418	277250	
596418	363662	
596418	370068	
596419	255830	Susie
596420	367767	Snob in Restaurant
596421	164364	Cat
596422	49674	Récitante
596423	304493	Lily
596424	46595	Herself
596425	224485	Dancer
596426	87511	Clotilde
596426	132369	Josefina Bayeu
596426	189301	Olga
596426	196736	
596426	210163	Leticia
596426	226435	Directora del colegio
596426	233619	
596426	235985	
596426	248769	
596426	318264	Vincenta
596426	379566	Marisol (1997-1998)
596427	387832	Marivic, Esperanza's Friend
596427	400738	Maria Amor de Jesus
596427	404049	Minerva
596428	54069	
596429	82345	Hermana Luna
596430	69796	
596430	70666	
596430	273663	La Llorona
596431	20892	
596431	36652	
596432	100391	Copera
596433	113248	Lilia, duena de cabaret
596434	217788	
596435	12089	
596435	106085	
596435	120719	
596435	287734	
596436	68554	Gertrudis de niña
596437	96368	Cleaning woman
596438	228152	Paola
596439	55444	
596439	220917	Sophia
596439	293387	Delicia
596439	379716	Rosa Santos #2 (2001)
596439	398312	Maria Serrano
596440	103951	
596440	376768	
596441	297880	Christmas Party Guest
596442	199467	Dottie
596443	380128	Carmela Villalonga
596443	381598	
596443	390127	Sandra
596443	395857	Ximena
596443	401068	Fernanda
596444	379905	
596444	399823	Petra
596444	404161	Leonor
596445	149525	
596445	391998	Nacasia/Florecita de Calabaza
596445	409908	Cachita Chávez
596446	68992	
596447	58462	Herself
596450	100416	Beatriz
596451	101890	La Chini
596452	15886	Marusia
596452	32484	Mama Lugacetti
596452	77623	Mme. Bayanova
596452	129104	Dame Katarina
596452	153995	Herr Landauer
596452	162617	Russian Teacher
596452	220273	
596452	232339	'Mere Roget'
596452	248428	Douchka
596452	264747	Petrova's maid
596452	279582	The Countess
596452	310313	Jose's Mother
596452	335864	Bit Part
596452	335875	
596452	354516	Maria Gastoni (A Mother)
596452	397032	Marguerite Clouzot
596452	400519	Mrs. Iliffe (Series 1) (1960)
596452	405525	Inez de Venegas
596453	78896	Child on hill
596453	189529	Veronica
596453	217410	Child
596454	185683	Theater Audience
596455	2837	Allie
596455	27877	Becca Donovan
596455	47131	Dakota Cunningham
596455	60465	Girl
596455	63832	Mary Agnes
596455	112051	
596455	128573	Maxie
596455	148573	Sara
596455	190434	Annette
596455	194247	Nicole Delgado
596455	197379	Beatrice
596455	237783	13-Year-Old Sally
596455	277764	Vicki
596455	278082	1st Phone Call Flirt
596455	314133	Lily Rose
596455	358604	Tracie
596456	185683	Theater Audience
596457	185683	Theater Audience
596458	137003	Alicia
596459	88802	
596460	61929	
596461	68061	
596461	169775	
596461	242811	Attacked Woman
596461	272623	
596462	28791	Cuca
596462	92241	Lucy
596463	37477	Fietje
596463	40513	Ka
596463	102460	Een society-dame
596463	147588	
596463	165631	Toffe Jans
596463	178755	Matia
596463	188902	
596463	242454	Bella Ramona
596463	311651	
596464	37477	
596464	180900	Katrien
596464	334738	Angèle
596465	225017	Soledad
596465	393911	Julia Muñoz
596466	385663	Roger Gamboa Montijo/Renata V
596466	395857	Mónica
596467	147976	Bald Woman 2
596467	193189	
596467	379890	Diana
596467	397201	
596467	403365	Patricia
596467	404259	
596467	405834	Marilu
596467	411710	
596468	334681	
596469	261680	
596469	284328	
596470	183167	
596471	99075	Student
596472	20233	Lena
596472	33095	Sophie
596472	33749	Jacinta
596472	47352	Maida Vincent
596472	47479	Anne Oglesby
596472	60165	Doris
596472	61816	Maggie
596472	65458	Essie Bickers
596472	78166	Cora Button
596472	79459	Sonia/Margaret Smith
596472	83815	Ruth Cassell
596472	96828	Judy McNulty
596472	108444	Sylvia Fair
596472	112195	Barbara Pelham
596472	113323	Ruth Collins
596472	115167	Betty Biddle
596472	116795	Marion DePuyster
596472	116945	Helen Rutherford
596472	126143	Angela
596472	128513	Mary Hale
596472	141444	Alexia Newton
596472	142243	Mary Travis
596472	149462	Lady Brenda Carylon
596472	157792	Ann Jordan
596472	158578	Millie Fields
596472	162384	Constance
596472	167595	Rose Trenton
596472	169228	Lizzie
596472	171175	Peggy Dean
596472	176374	Helen Hall
596472	185274	Beth
596472	203273	Helen Sumner
596472	206117	Lolita Pulido
596472	209663	Annabelle Ford
596472	218560	Jeanne
596472	236949	Estrell Wynn
596472	238606	Ella Tarrant
596472	245737	Rose
596472	246477	Beryl Addison
596472	247224	Geraldine Howard
596472	252484	Nancy Preston
596472	271002	Beth Barton
596472	274064	Beverly Vane
596472	274773	Mrs. Dugan
596472	277711	Lady Edith Plantagenet
596472	285434	Dora Lawrence
596472	285447	Mary Warren
596472	289659	Helen Meanix
596472	296845	Ruth Cameron
596472	296909	Sympathy Gibbs
596472	297769	Sarasvati
596472	327694	Dorothy
596472	331128	Marjorie
596472	331518	Constance Bonacieux
596472	340906	Eve de Merincourt
596472	343887	Allie Lee
596472	347347	Mary Phillips
596472	358966	Bessie Bowden
596472	362110	Sheila Dorne
596472	362680	Helen Wakefield
596472	367709	Gloria Jordan
596473	55096	Kone på parker.pl.
596474	49441	Political Donor
596474	80504	Lovey Mommy
596474	86543	Bouncy Redhead
596474	166007	Tearful Teenaged Fan
596474	223977	Cleaning Woman
596475	96335	Ofelia
596476	12468	Zangeres
596476	194836	Bo
596476	226295	Secretaresse
596476	242568	2nd Research assistant
596476	254768	Studente
596477	378440	Espectadora
596478	379834	Cristina
596478	387587	
596478	389639	
596478	393801	Patricia
596478	397016	Débora
596479	378440	Espectador
596480	23375	Fotografa
596480	64709	Adriana
596480	384972	Antonia
596481	40897	
596482	388682	
596483	396333	María José 'Cachorra' Gonzále
596484	380939	Julia
596484	392790	Alina as a child
596485	166472	
596485	269956	Elvira
596486	154288	Hispanic actress
596487	193185	Alumna academia
596488	6630	
596489	107279	The Angel
596490	36652	
596491	102514	Katie
596491	360596	Shelly
596492	44659	Criada #2
596492	207646	
596493	284800	Erica
596494	57906	
596494	357005	
596495	6630	
596495	292750	
596496	384782	Cristina
596497	412122	Dinita
596498	396874	Teresa Lobefaro (-1998)
596499	379554	Guillermina
596499	382197	Felisa
596499	387550	Violeta
596500	183209	Autistische vrouw
596501	230583	Mother
596501	385052	Mariana Castro Iglesias
596501	387807	
596501	401694	Elvira Moncayo
596502	314233	Christina
596503	237989	Herself
596504	246941	Jacoba
596505	49117	
596505	82194	Evelyn's Mother
596505	124243	
596505	144228	Aling Sima
596505	247262	
596505	353450	
596505	381380	Soledad
596505	387832	Karen's Mother
596506	52945	
596507	212394	Cliente studio forografico
596508	28553	
596508	28769	Nicole
596508	72402	L'infirmière scanner
596508	110145	Fabienne
596508	110155	Madeleine
596508	112880	Maddy
596508	124145	Anne-Marie
596508	130724	
596508	169961	Mariette Willems
596508	266401	Marie
596508	277720	Anne d'Autriche
596508	326165	Charlotte
596508	384388	Cathy Apremont
596508	389762	Corinne Zarouk
596508	389940	Manon
596508	390686	Claire Lagache (2002-)
596508	396996	Mary Lester
596508	398843	Béatrice Vallebone
596508	402532	Agathe
596508	403427	
596508	404804	Amélie
596508	408719	Isa
596509	385947	
596510	269915	Travestido
596511	96358	
596511	236406	Secretaria
596511	293398	
596512	215611	Curious Girl
596513	181274	
596514	383271	
596515	249072	(segment 6)
596516	646	Other Jail Prisoner
596517	76092	
596518	204354	Brothel Madam
596519	403683	Sor Eulogía
596520	90813	Cast
596521	254522	Female Masquerade Dancer
596522	52988	Gaby
596522	212666	Periodista
596522	236301	
596522	379853	
596522	397733	
596522	398816	Sister Felipeho
596522	401771	
596522	404993	
596523	188453	'Dislike' Girl
596524	143757	
596525	191356	
596526	397598	
596527	255234	Young Mexican Mother
596528	233856	Daphne
596529	9108	
596529	145907	Merchant's Wife
596529	145951	
596529	145985	Crook's Wife
596529	146234	Housemaid
596529	359451	
596530	395885	Gabriela Cuevas
596531	399764	Delia
596532	245296	Landlord elvia
596533	213576	Pitti-Sing
596534	11262	Maria
596534	33227	Beatrice
596534	60769	Charlotte Ivanovna
596534	65532	Mother
596534	71713	District Nurse
596534	94857	Stephanie Anderson
596534	105135	Maud Crape
596534	125634	Dr. Helga Feuchtwanger, Psych
596534	139652	Madame Maxime
596534	200074	Maggie
596534	222766	Miss Bellaver
596534	244880	Miss Lockhart
596534	258930	Salome Otterbourne
596534	278816	Miss Jones
596534	316942	Mrs. de Vere
596534	333193	Salvation Army Major
596534	334337	Salvation Army major
596534	367766	Julia Frogmorton
596534	384587	Emma Porlock
596534	386865	Rosemary
596534	387490	Millie Renfrew
596534	387992	Shirley Silver
596534	388895	Maud Cole
596534	391666	Aunt Western
596534	394473	Carol Beasley (1988-1989)
596534	396981	Various Characters
596534	403435	Miss Ruth Jones
596535	14921	
596535	142561	
596535	146554	Rosario
596535	199254	
596536	20860	
596537	56506	Romelia Toro
596537	275089	
596538	51728	Trujillo
596538	74842	Guía del Inserso en el Zoo
596538	353194	Voz Radio
596539	256769	Amiga pandilla 2
596540	205200	Vicetiple 8
596541	66817	Travesti
596541	143684	Geraldine/Juan
596541	226442	Travesti
596541	380100	Florencia de la Suciata
596541	396830	
596541	401133	
596541	403651	Laisa Roldán/Raúl Roldán
596541	409959	
596542	284899	Amiga de Marcos
596543	407321	
596545	135642	
596546	1613	
596546	10047	
596546	35005	
596546	62348	
596546	63923	
596546	80202	
596546	125759	Abuela de Nora
596546	135118	
596546	149512	
596546	149619	
596546	169764	
596546	202119	
596546	211162	
596546	222027	
596546	243614	
596546	249864	
596546	250693	
596546	251557	
596546	269966	
596546	277435	
596546	289080	
596546	294858	
596546	334684	
596546	353659	
596546	378416	
596547	367581	Woman #2
596548	199389	
596550	29186	Cheerleader #3
596550	80640	Girl Student #2
596550	267146	Tanya
596551	115730	Floortje
596552	380107	Ignacia
596552	383568	Luz
596552	386078	Rosa
596552	386284	Flor
596552	392806	
596552	403173	
596553	262933	L'acrobate
596554	20625	Extra
596554	34968	Silent Film Ingenue
596555	8629	Mrs. McComber
596555	36970	Buddy's Landlady
596555	130763	Scrubwoman
596555	131454	Cook
596555	141481	Dowager
596555	151067	Abigail, a Laundress
596555	195741	Neighbor of the O'Toole
596555	201151	Woman Maisie bumps into
596555	330105	
596555	331425	Maid
596555	332002	Mrs. Gill
596555	372769	Woman on Train
596555	372819	Woman
596556	20489	
596556	127683	Bit part
596556	216231	Undetermined Role
596556	281158	
596556	333075	Undetermined Role
596557	290075	Anneke
596558	277726	
596559	252710	pucelle, dame, fille de Garin
596560	334410	Vollyball Player
596562	289373	Scalphunter's woman
596563	199814	
596564	340086	Caroline
596565	266944	
596566	235212	
596567	33139	
596567	40989	
596567	48401	
596567	55099	
596567	120133	Sophie Dorothee, Königin von 
596567	153587	
596567	178587	
596567	225141	
596567	293445	
596567	307064	
596568	120932	
596568	138545	
596568	189811	
596569	22675	
596569	115032	Herself
596570	51863	
596570	269169	(segment "História da Praia")
596572	404002	Amy Morris (1980)
596573	83599	Harem Girl
596574	148127	
596574	251309	
596574	339153	Antoñita
596576	111747	Superbabe
596576	179608	Susi
596576	379784	
596576	379840	
596576	381007	Yvonne
596576	404480	Lilli (Season 1)
596576	409958	
596577	93614	Marilou
596577	105081	Sabina Van der Aa
596577	152363	Amanda
596577	157495	Isabel
596577	352299	Esther
596577	360663	
596577	382877	
596577	384154	Dinah
596577	391030	Renieldeke
596577	392082	Diane Poelmans
596577	406203	Marijke Gijsbrechts -Willems 
596577	408151	Marlies Bloemendael (2002)
596578	141734	
596578	158693	
596579	144230	
596579	387703	
596579	404898	Rosemarie/Zoë/Moeder van Koek
596580	11558	Yugoslav Mother
596581	39191	
596582	90176	The Queen
596582	242109	Bingo
596582	299059	
596582	310722	Señora Querino
596582	321712	
596582	367564	Revel's Fiancée
596583	408623	Herself (1993-)
596584	69116	
596585	15096	Une jeune femme
596586	92712	News Reporter
596586	112632	Native American Woman
596586	128089	Asian Phone Sex Girl
596586	400255	Herself (1997)
596586	401930	Kerry Jones (1997)
596586	402077	Pocahontas
596586	409490	Mercedes Ortega
596587	139359	Hagoub's Sister
596588	28076	
596588	28082	
596588	79121	
596588	89764	
596588	180368	
596588	221368	
596588	246912	Maui
596588	256102	Yolly
596588	297094	
596588	302652	
596588	324388	Ina
596588	356605	Perla/Volta
596588	380659	Venus Arriba (2001-)
596588	396410	
596588	397028	Host
596588	407538	Ina
596588	410942	
596589	403024	Raquel
596590	310030	
596591	14677	
596591	59057	Diana
596591	59058	Matutes secretary
596591	59775	Estrellita Perez
596591	61882	Chilindrina/Bizcabuela
596591	90212	Madre de Rufino
596591	207021	
596591	233518	Herself
596591	238337	
596591	266996	
596591	292931	Carlota
596591	301206	Herself
596591	309085	
596591	383910	
596591	383977	La Chilindrina (1973-1974) (1
596591	384018	La Chilindrina
596591	384019	Chilindrina, Marujita
596591	398522	
596592	13059	
596592	44664	
596592	99059	
596592	148072	
596592	208841	
596592	212450	
596592	233974	
596592	249867	
596592	251631	
596592	255928	
596592	273014	
596592	292707	
596592	296463	
596592	302399	
596592	371716	
596592	376644	
596592	386696	
596593	263830	Lulú Durán
596593	384400	Cindy Diez 'La DJ' (2002)
596593	402152	Lulú Durán
596593	407640	Lupita
596594	395258	Host
596594	395890	Host
596594	395892	Herself (finalist, 70 days)
596594	398238	Host (april 2002-)
596595	6442	La fille du square
596596	101944	Mitzi Lazik
596596	403089	(segment "Doggy Dog")
596597	100146	Laetitia
596598	3258	Angela
596599	343874	Prudence Dahlgren
596600	343874	Louise Dahlgren
596601	138202	
596601	297189	Jessica Reedy
596602	75256	Martina
596602	101254	Loulou
596602	212499	Virginia
596602	404760	Barbara Loriani
596603	387998	Herself
596604	302304	Magali
596604	354467	Myriam
596605	208904	Festival Hostess
596606	899	Angelina
596606	253059	Lorenzo's Relative #2
596606	274069	Dinner Guest
596606	300527	Isabella Bublioni
596606	339720	
596606	360064	Madeleine Hall
596606	363583	Rosemary
596607	103823	
596608	68590	
596608	380081	Iris
596608	382776	Helô
596608	395302	Daniela
596608	396741	Beth
596608	398503	
596608	404960	Baby
596609	118721	Drunken Englishwoman
596609	236762	Sister Mary Paul (Amnesia)
596609	236780	Sister Mary Amnesia
596609	236781	Sister Mary Amnesia
596610	263622	
596610	336612	Fatma
596611	4622	Javanese actress
596611	11182	Herself
596611	37002	Judge M. Healy
596611	41693	Madam Frosine
596611	55218	Dance Soloist
596611	57677	Herself
596611	82602	Slave girl
596611	91228	Herself
596611	98012	Egyptian dancer
596611	150790	Clarissa's Neighbor
596611	175526	Herself
596611	193701	Carolyn
596611	198026	Speciality Dancer
596611	238260	Kittie
596611	244334	Cris Vincent
596611	315224	Mabel Stone
596611	339401	Suzette
596611	380391	Isabelle (1998)
596612	217380	Dancer
596612	309858	Polynesian Woman
596613	123322	
596614	130677	Woman in dance hall
596615	46915	Little Girl
596615	317213	Young Sidnie
596616	304493	Lily
596616	314699	Brian's Mom
596617	120298	Student
596618	87975	Young Terry
596619	101355	
596620	142357	Stripteaser
596621	397888	Herself (2003)
596623	253	
596624	26902	
596624	27220	
596624	34759	
596624	34778	
596624	34907	Herself
596624	36934	
596624	37196	
596624	37201	
596624	39144	
596624	41913	
596624	45034	
596624	62482	
596624	75325	
596624	85760	
596624	85764	
596624	85771	
596624	85772	
596624	114944	
596624	128826	
596624	131628	
596624	184945	
596624	187392	Herself
596624	187411	
596624	190960	
596624	201855	
596624	230335	Woman who has sex in garbage 
596624	231996	
596624	240975	
596624	289538	
596624	293655	
596624	295653	
596624	295810	
596624	298220	Detective Trace Storm
596624	312043	Sandra
596624	314212	
596624	316219	
596624	318753	
596624	320965	
596624	320980	
596624	320981	Lisa (Hot Shots)
596624	320984	
596624	320985	
596624	320986	
596624	320989	
596624	320991	
596624	320995	
596624	320996	
596624	320997	
596624	320998	
596624	320999	
596624	321000	
596624	323890	
596624	347733	
596624	366829	Irene
596625	302054	Kind Silvia/child Silvia
596625	360916	Lea
596625	394912	Geerte de Theetrol
596625	402545	Hospita/Dik Foks vrouw
596626	42878	
596626	147298	Suikerspin
596626	175243	Mina, Keetje's zus
596626	281371	Alice Wonder
596626	307288	
596626	410537	
596627	8630	Essie Miller, his wife
596627	140544	Judith Bliss
596627	145818	
596627	183208	Mrs. (Dorothy) Radfern
596627	330158	Mrs. Mason
596627	336037	Mrs. J. Duro Pampinelli
596627	372585	Jenniferr
596628	402321	Gladys Aurora Leiva
596629	51089	Reportera
596629	103943	Sara
596629	226435	Bailarina
596629	291612	Ayudante del jefe de personal
596629	332586	Chica galería
596630	245585	
596631	211683	La petite fille
596632	254154	
596633	48583	
596633	170467	Angela
596633	235743	Rita Lernod
596633	280740	
596635	102394	
596635	287650	
596635	375884	Carmencita
596635	375895	
596636	287647	
596637	4539	Cindy
596637	49117	Abby
596637	49151	Ada
596637	66881	
596637	76141	
596637	156186	
596637	162718	
596637	171969	
596637	183921	
596637	183957	
596637	237722	
596637	301493	
596637	322626	
596637	323637	
596637	358498	
596637	363405	
596637	369334	
596637	404246	Agnes Consuelo
596638	44379	Tata
596638	213514	Liz
596638	241145	Cara
596639	281177	Juliet
596640	284088	
596641	41164	Annie Cho
596641	42913	Circus Character
596641	117554	
596642	17874	
596642	200508	Helen
596642	287506	Magda
596642	319343	
596642	385540	
596643	203294	Maybelle Callahan
596644	144456	Kathleen
596644	391507	Kathleen
596645	137591	
596645	154442	
596645	200668	
596645	264289	
596645	284633	
596645	325365	
596645	334024	Christine
596645	336561	
596645	404049	Puresa
596645	407943	Lotlot
596646	328129	
596647	37350	Young Woman
596647	212524	River Valley Girl
596647	307266	'Maestro' Lt. Phillips
596647	358147	Magda
596647	411802	Joani Garza (1995-1998)
596648	258499	
596649	4528	Gina
596649	154442	
596649	200298	Twinkle
596649	208549	Tere
596649	241304	
596649	247541	Nena
596649	325361	
596649	333059	
596649	334024	
596649	391119	
596649	404049	Lucila 'Lucy' Ilagan
596649	407337	Honey (2003-)
596650	11037	Ligaya Paraiso
596650	49118	
596651	353226	
596652	65954	Corazon
596652	83778	The Wife
596652	151479	Soap Opera Actress
596652	207440	Waitress
596653	77182	
596653	86732	
596653	200137	
596653	403056	Josefine Sebastian
596654	31541	Erica
596655	239359	
596655	239360	
596656	230432	Letty
596656	407459	Jennifer
596657	209440	
596658	91391	
596659	377749	Germaine
596660	21773	
596660	31431	
596660	35406	
596660	113962	
596660	195790	Violet
596660	239701	
596660	331047	Lola
596661	158693	
596662	68205	His Mother
596663	54821	Julia
596663	91089	Mujer Española
596664	190663	Can-Can Girl
596665	151405	
596665	193628	Zareda
596665	249391	
596666	1380	Doña Julia
596666	10340	Eurydice
596666	12558	
596666	16531	
596666	27985	
596666	53001	
596666	57827	
596666	58045	
596666	84184	
596666	86355	
596666	96341	
596666	106166	
596666	120707	
596666	121224	
596666	132663	
596666	171493	
596666	199552	
596666	212452	Carla
596666	212478	Marina Biagi
596666	244605	
596666	248286	Leonor
596666	249301	
596666	250793	Lucía
596666	263848	
596666	277235	
596666	307213	
596666	319855	
596666	328172	
596666	333708	Isabel
596666	337871	
596666	357504	
596666	371715	
596666	372365	Madre de Julia
596666	376490	
596666	381324	Teresa
596666	404980	
596667	21596	Woman at the cabaret
596668	73646	
596669	70093	
596670	390404	Clara
596670	405416	Lupita
596672	53697	
596673	2685	
596673	29686	Old Prostitute
596673	52998	
596673	70093	
596674	133691	Froggie the vampire
596675	202576	
596676	392564	Manon Kuitman
596677	343700	Princess Aurora
596678	10298	Marta, la soubrette
596678	56926	
596678	147065	
596678	269497	
596679	14952	
596679	16836	Marcela de Cattaro
596679	26618	Hortense
596679	33091	Countess Slavotski
596679	33467	Title role
596679	48858	
596679	48868	Contessa Stefania
596679	52002	Laura, Marquise Espada
596679	56081	Corticelli
596679	56926	
596679	89834	Rosa
596679	111147	
596679	116350	
596679	124200	
596679	124571	Princess of Presicce
596679	125128	
596679	197204	
596679	199174	
596679	199272	Spain
596679	205392	
596679	211704	
596679	211798	
596679	214859	
596679	259420	Antigua amiga de Oliver
596679	264250	
596679	269497	
596679	270035	Eunica
596679	270223	
596679	278994	
596679	280846	Nina
596679	288080	
596679	289142	Savitri
596679	340008	
596679	344577	Ione
596679	352916	
596679	353060	
596680	370092	
596680	379602	Delfina
596680	407641	Susana
596680	411694	
596681	197989	
596682	197879	
596682	211007	
596682	324907	
596682	336316	
596683	44382	
596684	12707	
596684	57453	
596684	354191	
596685	52924	Suelena
596686	13661	
596687	8581	
596688	97449	Yasmina
596688	252687	
596689	398498	Tita (1994-1996)
596690	395302	Noêmia
596691	377871	
596692	73426	Princess Cecile
596693	351712	Mme de Bailliencourt
596694	20625	Featured player
596694	81281	Maid
596694	83816	Servant
596694	154113	Maria Gonzalez
596695	402618	Fandango
596696	4997	
596696	6738	
596696	10229	
596696	13003	
596696	51593	
596696	55372	
596696	55932	
596696	56317	
596696	65164	Esposa de Kellerman
596696	74521	
596696	91409	
596696	102302	Carmen
596696	111577	
596696	118839	
596696	131094	
596696	145260	
596696	149205	
596696	162443	
596696	220755	Cotilla
596696	222050	
596696	238795	
596696	242674	Mata-Hari
596696	249335	Pride
596696	251311	Pura
596696	251586	
596696	274431	Lola
596696	275952	
596696	292705	
596696	332605	Ramona
596696	339126	Isabel
596696	353548	Carmen
596696	355801	
596696	377626	
596696	384972	Socorro (2003)
596697	31693	Jan Plummer
596697	152936	
596697	329309	Tony's girlfriend
596698	19421	Angelina
596699	35366	Maid
596700	61713	Laura
596701	361694	Frances
596702	88193	Augusta
596703	222188	
596703	319626	
596703	352159	
596703	380329	Maria Elisa
596703	382883	Renée
596703	383276	
596703	383437	Carolina
596703	383866	Verônica
596703	386245	Marília
596703	386727	Josefa
596703	388682	
596703	392031	Cristina
596703	395044	Hermínia
596703	396337	Catarina Batista
596703	397440	Glorinha
596703	397787	Raquel
596703	397873	Cosette1
596703	398040	Sabrina
596703	398502	Malu
596703	398548	Rosália
596703	398877	Belinha
596703	399140	
596703	400656	Clara
596703	400901	Sabrina
596703	401897	Margarida
596703	404185	
596703	405808	
596703	405914	
596703	407800	Eulália Terra
596703	407830	Maria Amélia
596703	407856	Ruth
596703	408220	
596703	408942	Baronesa
596703	409780	Marisa
596703	409937	Marcela
596703	410188	
596703	411579	Lúcia
596703	412257	Maria Isabel
596704	108673	
596704	191418	
596704	240134	
596704	246428	
596704	264255	
596704	298433	His Wife
596705	31868	Mary
596706	100887	Florinda
596707	125270	Felicity Chesterfield
596707	375753	Bea
596708	352188	Lotte
596709	58612	Louise Rosser
596709	145566	
596710	101195	Aurelie
596710	134602	La jeune Hortense
596711	187874	
596712	197072	The second girl who looks the
596712	265698	Herself
596713	31868	
596714	74110	Colleen
596715	170026	
596716	321697	Una Paioli
596717	342871	Woman at supermarket
596718	302356	Limpiadora
596718	376769	
596719	361154	Mrs. Andrew Carr
596719	364773	Young Woman on Train
596720	234544	Woman in park
596720	366844	
596721	53671	
596722	234388	
596723	221726	Jacinta
596724	143702	
596725	319738	
596726	81463	Alice
596728	9689	
596729	12024	
596729	54071	
596729	254239	
596730	87898	
596731	76813	
596731	148905	
596731	156181	Ella
596731	178082	
596731	281966	
596731	322626	
596731	359108	
596731	380345	Anna Karenina 'Nina'
596732	292756	
596733	273120	Niña
596734	387572	Herminia
596734	390733	Alicia
596734	398474	Guadalupe Montesinos
596735	98040	Notary
596735	126376	Kuebelkind
596735	190765	Nachrichtensprecherin (News h
596735	230227	
596735	381689	Mädchen in der Allee
596736	169068	Herself
596737	9874	
596737	212132	
596738	176712	Hooker #8
596739	63805	Herself
596740	25045	
596740	75364	
596740	131058	
596740	143785	
596740	222051	
596740	277577	
596740	323912	
596740	339125	
596740	354928	
596740	356008	Laurentina
596740	357914	
596741	195116	Cristina
596741	243391	
596743	383174	Ángela Sáenz de Vallejo
596743	383684	Gisella Blanca de Castillo
596743	390735	Josefina
596743	397499	
596743	399557	
596743	400667	Helena Sanchez (1999-2000)
596743	406863	
596744	197963	
596745	357187	Carmela
596746	241110	Hotel proprietess
596746	308576	Woman
596747	35664	Additional Voices
596748	289488	Vanda
596749	117838	
596749	159562	
596749	229884	Tina
596749	365591	Hausdame
596749	376373	
596749	378168	
596750	387184	Herself
596751	238002	
596752	205542	Child
596753	187526	
596754	14753	
596754	163147	
596754	236379	
596755	344524	Herself
596756	8483	Anna Moriconi
596756	26686	Teresa
596756	33580	Marisa
596756	33663	
596756	36612	Patrizia
596756	43768	
596756	51687	Giulia
596756	63771	
596756	71357	Lisa
596756	86872	
596756	89856	Maria Luisa Gastaldi
596756	109079	
596756	122562	
596756	125781	Gioia
596756	127985	
596756	148055	
596756	178050	Alina Shakespeare
596756	184363	
596756	199291	
596756	209443	Clamide
596756	216048	Maria, la Cantante
596756	227580	Lorella
596756	229620	Bathsheba
596756	235750	
596756	243655	
596756	246417	Marcella Corallo
596756	252642	
596756	256773	Ruby
596756	261890	Marisa
596756	261891	Marisa
596756	263918	Francesca
596756	264244	
596756	269030	
596756	270321	Lina
596756	278973	Helen Brown
596756	295136	Giulietta
596756	300587	
596756	324906	Natalia
596756	344464	
596756	348123	Anne Lombardo
596756	356206	
596756	377587	Maria
596757	101547	Prostitute
596758	29053	
596758	205996	
596759	73651	
596759	212394	Donna del sud
596759	260900	Caterina
596759	269009	Dentist
596759	334814	
596760	17813	Giulia
596760	72973	Gaby
596761	182769	Singer
596762	215845	Fortune Teller
596762	265516	Night Nurse
596763	352151	dancer
596764	75633	
596765	319486	Bobbi
596766	206976	
596767	343172	Boarder 2 at Levin's Hotel
596768	28914	Mercedes
596768	205399	Maca
596768	258149	Rolande
596768	384972	Raquel
596769	119678	
596769	122404	
596770	338606	
596771	87511	Yerma dancer
596772	305941	Ruby (court clerk)
596773	55260	
596774	68261	(segment "Trip")
596775	204224	Carolina
596776	215039	
596777	255156	
596778	226484	Madre de Sapo
596779	341544	Linda
596780	45120	Catherine Leduc
596780	111703	La maquilleuse TV
596780	214387	Muriel
596780	322768	Fausse Cécile
596780	345338	
596781	108897	Herself
596782	44328	Sara
596783	247977	
596784	141878	
596785	233940	Herself
596785	327191	Herself
596786	191463	Violette
596787	216987	
596788	66068	
596788	113263	
596788	148483	Caixa do supermercado
596788	157209	Cecília
596788	245490	
596788	384921	(episode "A importância do cu
596789	378630	Host
596789	411936	Host (1980-1981)
596790	234637	Lídia's aunt
596791	72032	
596792	338981	Herself
596793	251085	Vocalists
596794	1556	
596794	75028	
596794	75040	
596794	75059	
596794	75060	
596794	93991	
596794	264739	Herself
596794	264748	
596794	315048	
596794	326723	
596794	327774	
596795	190663	Mother of Laarmans
596796	3439	
596796	18761	
596796	29828	
596796	34378	
596796	73464	
596796	84369	Rosa
596796	91412	
596796	101890	Berta
596796	103379	
596796	118165	Virgen
596796	121226	
596796	124303	
596796	136983	
596796	208141	La viuda negra, Juana (The Bl
596796	221908	Jefa de produccion
596796	246941	
596796	250731	
596796	252724	
596796	266853	Enfermera
596796	285460	Aurora
596796	286315	
596796	322397	Jueza
596796	353556	
596796	371747	
596797	261116	Catwalk Model
596798	62047	Mrs. Olga Vollberg
596798	241703	Yvonne
596799	116390	Eulália
596799	127619	
596799	134433	
596799	353348	
596800	15988	
596801	235368	
596802	151046	Francine
596803	133164	La standariste de l'agence At
596804	8932	Speakeasy dancer
596805	387581	Yvette Keiler
596806	89463	Mientje
596806	125224	
596806	173638	Ijem
596806	203450	Magda
596806	210131	Agnes
596806	288117	Moeder van Sarah
596806	357391	Meisje in dancing
596806	388299	Anne-Marie Govaert (2003-)
596806	400637	Frieda
596806	411214	Moeder van Tom (1998)
596807	368408	Herself - Judge (Belgium)
596808	10556	
596809	202277	
596810	49890	
596810	255057	
596810	296148	
596811	371372	
596812	12069	Singer
596813	383	
596813	14867	Luisella (segment "Divorzio i
596813	16181	Joan
596813	16795	
596813	17815	Laura
596813	64013	Clotilde
596813	75255	
596813	87831	
596813	90740	
596813	96545	Mary-Ann
596813	115172	Tarantula Cult Woman
596813	119091	
596813	127970	
596813	128931	
596813	158755	
596813	161812	
596813	162045	Elsa Meroni
596813	162215	Anna
596813	173613	Young Pirandello's grandmothe
596813	188594	
596813	209758	
596813	235327	Cameriera
596813	251607	
596813	252669	
596813	265310	
596813	293357	
596813	309405	
596813	327921	
596813	371325	Nun #2
596815	111844	
596816	81241	Julie
596817	62579	Trunk Date
596817	340857	Jade Gate girl #2
596818	92482	Herself/Singer at Concord
596819	115106	Ballet Dancer (courtesy of Lo
596820	114045	Aphrodite
596820	213186	Policewoman
596820	255872	Model Friend in Cafe Typo
596821	25764	Stefanelli's Daughter
596821	385297	
596822	202727	Italian Woman
596822	224184	Angelina
596823	108236	Mother
596824	321713	Suzette
596825	72703	Cameo appearance
596825	134149	Herself
596825	157546	Herself - Specialty Dancer
596827	99008	
596828	285325	
596829	190171	TV reporter
596829	215507	Alana Krewson, Miss Hawaii
596830	309374	
596831	67481	Sandy Old
596832	108535	
596834	273756	
596835	335589	Belle Rainey
596836	82945	Lisbeth Schwaerzel
596836	231463	
596836	231479	Reporter 2
596836	289947	
596836	376265	
596837	256343	Marionette
596838	63890	
596838	197584	
596839	174206	Dahlia Stone
596840	128030	
596840	199075	
596841	284552	
596841	403363	Laura Vallesi
596842	293575	
596843	92935	
596844	376813	La Novia
596845	301133	
596846	314135	Singer in Restaurant
596847	34056	Etelvina, Eduardo's mother
596847	53864	
596847	100726	Mrs. Goldman
596847	118813	Rita Owen
596847	242838	
596847	269960	Rainha D. Catarina
596847	349815	Maria do Loreto
596847	407867	
596847	410189	
596848	152	
596848	2805	Herself - Best Supporting Act
596848	31721	Cadet Ramsey
596848	84494	Betsy
596848	87391	
596848	147882	Herself
596848	196020	Angela
596848	199463	Club girl
596848	209626	Hilary Harris
596848	253011	Dee
596848	263392	Tracy
596848	304844	Henrieta
596848	321718	Melissa
596848	352972	Host
596848	361612	Vicki Hutcheson
596848	393614	Gina Tribbiani
596848	405976	Adriana La Cerva (1999-2004)
596849	56451	
596849	252312	Giovanna
596850	197297	Dance Specialty
596851	1599	Annette
596851	14403	Virginia
596851	41788	Eva
596852	338981	Herself
596853	336594	
596854	121224	
596855	207744	
596856	235541	Mary Allen
596856	262394	BnB Owner
596857	351494	
596858	392963	Rosario 'Ro' de Fernandez
596858	396216	María Paula
596858	411714	Diana (Rag Tela's CEO)
596859	43555	Mary
596860	269726	La muette
596861	6345	Mila
596861	19471	Prostitute
596861	28992	Lucia
596861	38618	Miranda Fernandez
596861	55936	Mariana
596861	70843	
596861	74962	
596861	83517	
596861	100038	Anna
596861	101140	Ana
596861	158943	
596861	169283	Lydia
596861	197397	Ghislaine Guyot
596861	209468	Agnès
596861	225054	Abismo Azul
596861	233553	Young Woman Reading Book
596861	244087	Whore
596861	247486	Teresa
596861	273894	Sandra
596861	273910	Mimi's Voice
596861	287490	Clara
596861	293905	
596861	309258	
596861	327533	
596861	341156	
596861	344868	
596861	346523	
596861	376592	
596862	1338	Maria
596862	3355	
596862	7236	Catarina Meneses
596862	9013	Cecile
596862	9084	Fátima do Espíritu Santo
596862	20968	Narrator (French version)/Réc
596862	23505	Jeanne
596862	26081	Alice
596862	54333	Antónia
596862	68935	Antoinette Vervier
596862	83355	Tweedy Bird
596862	83382	Karenine
596862	84369	Maria
596862	84695	Laurie
596862	85541	Charlotte
596862	88049	Sónia
596862	99575	Claudia
596862	104110	
596862	111094	Marie-Ange
596862	129794	Paquita
596862	135299	Eugénia Câmara
596862	142869	Anaïs Nin
596862	148647	Aimee
596862	148665	Dr. Giordano
596862	149128	Margherita
596862	152263	Marta
596862	155551	Barbara
596862	159599	Céline
596862	164150	
596862	166758	Therese
596862	186989	L'infirmière muette
596862	205043	Maria Viola da Silva
596862	205539	Maria
596862	209721	Yvonne
596862	214017	President Blandine Brucker
596862	217210	Chantal Petit
596862	217235	Agnès
596862	219578	Salome
596862	224089	The Hairdresser
596862	232766	
596862	244970	
596862	248757	Cristina Pratas
596862	249072	(segment "J'ai faim, J'ai fro
596862	259870	Claude
596862	260974	Miss Diabo
596862	267038	Fabienne
596862	276384	Eleonora Fonseca Pimentel
596862	276561	Ofelia
596862	285121	Narcissa
596862	285757	Consuelo
596862	287598	Brigitte
596862	302048	Sílvia/Silvestre
596862	302137	
596862	302746	
596862	310302	Rossy
596862	315970	Jenny Johnson
596862	318212	Goyita
596862	327446	Lena
596862	327654	
596862	333759	Nancy Pickford
596862	341144	Maria
596862	352634	Blanche
596862	367522	
596862	369497	Sarah Bernhardt
596862	377087	Vera
596862	386803	
596862	399811	
596862	410470	Suzy
596863	323251	
596864	9950	Angela
596864	24817	Jeanne
596864	43078	Marisa
596864	197550	Ana
596864	206558	Jimena
596864	235254	Policía científica
596864	310302	Bathroom Couple
596864	369755	Herself - Presenter
596864	369996	Herself - Nominee: Best New A
596864	376671	
596864	399803	Laura
596865	255557	Zuster van Jeanne
596866	46932	
596867	136658	Elsa
596868	27982	Lina
596869	390889	
596870	207816	
596870	311132	Hala
596870	396704	
596871	204305	Mère de Manika
596872	200598	
596872	256477	
596873	309009	Herself
596874	388565	Clarinha
596875	378108	Prostitute
596875	383247	
596876	242544	Amaryllis
596877	180914	Herself
596877	378148	Herself
596878	407275	Young Luana
596879	18077	Soldado
596879	21077	
596879	21690	
596879	25076	
596879	43431	
596879	51714	
596879	57384	Meeka
596879	59253	
596879	61191	
596879	67698	Juanita Rojas
596879	67753	La Vecina
596879	76224	
596879	78256	
596879	83023	
596879	87070	
596879	87620	
596879	100644	
596879	101852	
596879	103641	
596879	105433	Dominique
596879	122790	Secretary Newspaper Publisher
596879	131057	
596879	131126	Amalia
596879	135313	Maria
596879	135350	
596879	136288	Rebecca, Commune member
596879	145307	
596879	149208	Teresa
596879	159050	Violeta o Gloria
596879	186211	
596879	221719	
596879	221991	
596879	225591	Paciente
596879	226415	Margarita
596879	231261	
596879	234397	
596879	237807	
596879	242661	
596879	246194	Concha, the debutante
596879	252627	
596879	272620	Sonia
596879	275280	Anais
596879	292937	
596879	293951	
596879	296135	
596879	296148	
596879	309062	
596879	332929	
596879	340038	Dorothy
596879	341883	
596879	351027	
596879	351650	
596879	351676	
596879	351684	
596879	377098	
596880	362582	Lily
596881	399542	Various characters
596882	383479	Mocinha
596882	400098	Lola
596883	191440	
596883	226435	Conductora
596884	100009	
596885	8696	Mujer 2
596886	400236	Jessica Lynn Buchanan (#1) (1
596887	400236	Jessica Lynn Buchanan (#1) (1
596889	9353	
596889	124130	Kamelia
596890	215485	Herself
596891	31465	
596891	32559	Marta/Vangie
596891	49136	Bining
596891	153312	
596891	174500	
596891	237118	Nympha
596891	242312	
596891	348989	
596891	381380	Lyra Manuel
596891	382906	Herself (1995-2000)
596891	404246	Olga
596892	128034	
596893	17573	Anna-Marie
596894	127487	Daniela
596894	167007	Nicolina Lombardo
596894	173936	Yvonne
596894	200289	Mignonette
596894	238331	Solange
596894	249627	Stella D'Angelo
596894	270819	Didì
596894	271064	Vivianne Gagliardo
596894	276759	Cecile Bonnard
596894	291044	Marie
596894	293325	Manuela
596894	350013	Nateeta
596894	358443	Eva
596895	86841	Minister's Wife
596895	367591	Christine
596896	396667	(1997-2001)
596897	215478	Herself
596897	215479	Herself
596897	326453	Sarah
596898	290451	Zus Matthijs
596899	9013	Mathilde
596900	109350	
596900	261798	
596901	175242	Joke van Dalen
596902	402746	Herself (?-?)
596903	86715	Lieve Vincke
596903	411311	Ina Thijssen-Van Paesen (1996
596904	69264	Violin
596904	396649	
596905	6285	
596905	265714	
596906	159175	Village Woman
596907	324729	Sarah
596908	10499	
596909	234008	Sara
596909	384795	Sara (1998-2001)
596909	396154	Gema
596909	398533	Lara
596909	402639	Carolina
596909	410240	Azafata (1991-1992)
596910	383718	Luciana (1997)
596911	57561	Herself (1976 interview)
596911	65551	Dancer
596911	70251	
596911	82615	Herself
596911	175523	Herself
596911	175526	Herself
596911	175529	Herself
596911	270794	Jenny, as a Child
596911	382817	Herself
596911	391836	
596912	130149	
596912	312321	Child
596912	355100	Little Girl
596912	362504	Phoebe, The Child
596913	128421	
596914	233337	Monitora Panal
596915	270868	
596916	213756	Woman in Church
596917	255108	
596918	255130	Letizia
596919	377256	
596920	236807	
596922	42225	Eigenares van volle herberg
596922	89961	Herself - Host
596922	99427	Ellis
596922	228256	Herself - Host
596922	228263	Herself - Host
596922	228264	Herself - Host
596922	391138	Herself - Host
596922	395453	Herself - Host (1990-2000)
596922	397745	Herself/Host
596922	406100	Nicky Spoor
596923	99268	Wasvrouw
596924	12730	
596924	23488	
596924	64264	
596924	228132	Nella
596924	251324	Elena
596924	351074	La maestrina
596925	63377	
596926	246299	Mary Lou
596926	249335	
596926	377182	
596927	74596	
596927	136979	
596927	357533	
596928	314635	Jo Peters
596929	345641	
596930	110638	Gala
596931	295873	
596932	367022	Servant
596933	345329	
596934	253520	Un amour neuf
596934	399813	Herself (199?-199?)
596935	277726	
596936	80335	Angela
596937	255830	Mara
596938	68845	
596938	106995	
596939	239643	
596939	300718	
596940	337033	Athénaïs
596941	337033	La mère d'Athénaïs
596942	75242	Francesca
596942	184677	Nadia
596943	383323	Herself-Finalist
596944	112133	Gitanilla
596945	217909	
596947	99201	tante Henriette
596947	206287	Juliette de Titane
596947	375525	
596947	379254	
596948	397306	Sonja van Gelderen
596949	235922	Jackie/Sara
596950	45899	Extra: market
596951	1862	Camareira
596951	42559	
596951	43366	
596951	43591	Madame Valle
596951	134487	
596951	267494	Felismina
596952	385629	Herself
596952	386420	Dolores
596952	405454	Maria das Dores
596952	407280	Tia Anastácia
596952	407830	Rosa de Oxalá
596953	1862	Clarice
596954	322819	
596954	401086	
596955	380089	Regina's servant
596955	380447	
596955	388398	Magali
596955	393876	
596955	400098	Fátima
596955	412257	Justina
596956	16000	
596957	12058	Eliana
596957	28867	
596957	121475	Fulaninha
596957	148463	
596957	187573	Young Leila Diniz
596957	197963	
596957	207929	
596957	229706	
596957	246844	
596957	322819	
596957	400098	Marlene
596958	7231	
596959	18504	
596959	23298	Waldemar's Wife
596959	100646	
596959	133007	
596959	148488	
596959	165516	
596959	196662	
596959	205131	
596959	205201	
596959	205462	
596959	222188	
596959	227859	
596959	252335	Elza
596959	261456	
596959	262664	
596959	294113	
596959	295094	
596959	333696	
596959	341142	(segment "A Construção - Amor
596959	341145	
596959	380447	
596959	380718	
596959	383355	Cândida
596959	383437	Isméria
596959	384002	Cacilda
596959	384850	Sincerina
596959	384872	
596959	386168	
596959	386245	
596959	386419	
596959	388458	
596959	388679	
596959	393876	
596959	396337	Leonor
596959	397440	
596959	397547	
596959	397550	Ida Flag
596959	401199	
596959	401200	
596959	401819	
596959	402097	Rosa
596959	403747	
596959	404283	
596959	404912	
596959	405337	
596959	405936	Alcinéia
596959	407275	
596959	407639	
596959	409417	
596959	409424	
596959	410099	
596959	410287	Néia
596959	411739	
596959	412257	Zulmira
596960	219600	
596961	35108	Herself
596961	148472	
596962	28982	
596962	54334	Capitão Bandeira's Wife
596962	70702	
596962	74908	
596962	124235	
596962	127587	
596962	207720	
596962	234635	
596962	251572	Suzana
596962	251718	
596962	322819	
596962	403740	Lola
596962	410014	Madalena
596962	410476	Suzana
596963	294383	
596963	380154	
596963	386418	Dorinha
596963	393616	
596964	99998	
596965	6392	
596965	8876	Une Vieille invitée
596965	13033	La vieille spectatrice
596965	30253	Une vieille dame
596965	31019	La dame au bal
596965	43648	Dame à l'audience
596965	45375	
596965	51246	
596965	54246	
596965	55008	
596965	59774	La riche bourgeoise
596965	66092	La baronne
596965	67068	Une infirmière
596965	72060	
596965	77420	
596965	83370	
596965	84631	
596965	96074	La dame dans l'ascenseur
596965	97059	
596965	107681	
596965	113252	
596965	115801	Une dame au 'Firmament'
596965	120987	Une dame à l'hôtel
596965	127461	
596965	167200	
596965	193434	Une invitée
596965	199301	Bit Part
596965	199577	Un invitée
596965	207416	
596965	216002	
596965	217672	
596965	218263	
596965	236586	Une invitée
596965	236611	Spectatrice à l'opéra
596965	250748	
596965	256755	Une dame au bal de charité
596965	261441	
596965	280556	Marquise de Chamarende
596965	281580	
596965	283047	
596965	284237	
596965	301404	La dame au piano
596965	303476	La douairière
596965	353853	
596965	354095	
596965	357113	Une invitée
596965	377010	
596965	377011	
596966	1435	Herself - Presenter
596966	2904	Herself
596966	16050	Robin Shea
596966	26955	Helen McCaffrey
596966	40721	Lynn Kaines
596966	50866	Capt. Moreau
596966	53955	Beauty
596966	69037	Barbara Beaton/Nancy
596966	80911	Anna Schuman
596966	110441	Elizabeth 'Ellie' De Witt
596966	126705	Arlene Holsclaw
596966	135564	Jennifer Haines
596966	138161	Peyton Flanders/Mrs. Mott
596966	155634	Caroline Suzanne
596966	158865	Flo
596966	222817	Claire Dupin
596966	230411	Dr. Sarah Taylor
596966	232186	Nora Mahler
596966	241363	Understudies
596966	271332	Aunt Nina
596966	272085	Lainey Berman
596966	278260	Derian McCall
596966	278855	Lana
596966	283452	Sara
596966	305221	Debby (Huston) Palmer
596966	322755	Ruth
596966	328839	Cathy Pitkin
596966	330271	Petrone
596966	331529	Lady Sabine DeWinter
596966	339834	Thelma
596966	358783	Herself
596966	366255	Louise
596966	390109	Kim McCormack
596966	399759	Narrator
596966	404152	Elizabeth Parris
596966	405153	Winifred 'Wendy' Torrance
596966	407545	Herself
596967	265241	Sybil Frane
596968	61415	Alicia
596970	229702	
596971	117713	Distinguished Businesswoman
596972	40117	
596973	155912	
596974	334148	Sax Quartet in Park
596975	387726	Sofie, makeup artist (2003-20
596976	219238	
596977	376794	
596978	408212	Ritinha
596979	197537	La servante de Martino
596980	15852	Republican Sorority Girl
596981	232239	Customer
596982	55923	
596983	376778	
596984	248412	Marietje
596985	15052	
596985	48808	Mlle. Pompom
596985	49460	
596985	55549	Mme. Hardy
596985	56691	Maid
596985	68248	Louise
596985	85828	Lillian Russell's Maid
596985	130300	French Servant
596985	281608	
596985	319169	French Sadie
596986	385904	Herself - Host (2000)
596987	291615	Pige/Girl
596988	52053	
596988	217188	
596988	352915	
596989	399130	Miranda Starvaggi (1994-1995)
596989	405204	Ruth Hartnell
596990	235872	Primerose
596991	95276	L'enfant
596992	210814	Woman
596992	304029	Mrs. Crawford
596992	367827	Woman
596993	138463	Beatrice
596993	159016	Prologue: Hébé
596994	21110	Narrator
596995	379509	Stefani
596996	411311	Barbara De Langhe (2002)
596997	1870	Lori
596997	7099	RBTV Lackey
596997	22824	Caroline
596997	64797	Vanessa Hansen
596997	95566	Several characters
596997	101942	Waitress
596997	127044	Semi
596997	128073	Keechie
596997	132454	Receptionist #1
596997	133594	Marcy
596997	134574	Glindy
596997	195271	Betsy Vandercleef
596997	240865	Rita
596997	253510	Sherie
596997	300195	Annie, Chase's Production Ass
596997	335715	Waitress
596997	358114	Gate Stewardess
596998	402539	Flora
596999	224906	
597000	392787	
597001	202278	Guya
597002	39749	
597002	53199	
597002	85993	
597002	89357	
597003	486	Singer (2nd version of Lili M
597004	108491	De contades
597005	33306	
597006	171420	
597007	124328	
597008	286569	Edna Marla
597009	79508	Bath-sheba
597009	333095	Martha Welwyn
597010	254774	Neon
597011	165355	Aline
597011	171877	Kabouter Kwebbel
597011	258184	Kabouter Kwebbel
597011	384611	Kris Berlo
597011	392916	Victorienne
597011	403417	Désireke de Potter
597012	26198	
597013	129264	Lady Albermale
597013	238490	
597013	259412	De vrouw van de sergeant
597013	289485	Nérine
597013	340642	Moeder
597013	375746	Vrouw
597014	107280	Actress in bed scene
597015	340116	Beggar #1
597016	18968	
597016	179777	
597017	235661	
597018	193172	Iria
597019	352855	Nurse
597020	84783	Zélia
597020	127631	
597020	221906	
597020	344801	
597021	18657	Girl in Disco
597021	217421	Fiona
597021	326125	Redhead
597021	341472	Lia
597021	395024	Herself
597021	411384	
597022	394510	Miguel's Secretary
597023	90454	
597023	275518	
597023	356029	
597024	27750	
597024	55906	
597024	205529	
597024	334468	
597025	219240	Morgadinha
597025	356029	
597026	193172	Luzia
597026	239945	
597027	55913	
597028	385043	Michele
597029	357900	
597030	68255	D. Maria
597030	103117	Mrs. Genoveva
597030	124311	Mrs. Maria da
597030	189086	Mrs. Barata
597030	356029	
597031	25216	
597031	34284	
597031	57465	
597031	103953	
597031	116393	
597031	143553	
597031	205529	
597031	213738	
597031	229420	
597031	255640	
597031	262235	
597031	286573	
597031	341469	
597031	341476	Herself
597031	344699	
597031	356967	
597032	260429	
597033	376680	Mrs. Engrácia
597034	111917	Tia Ana do
597035	133056	
597036	386933	
597037	104480	
597038	410096	Marialina
597039	55343	
597039	246593	Idalina
597039	383388	
597040	63673	
597042	90456	
597043	8581	
597043	12132	
597043	17379	Mariquinhas
597043	57465	
597043	61345	
597043	67659	
597043	234245	
597043	251585	
597043	256153	
597043	282814	
597043	377617	Maria das Neves
597043	388591	
597044	222183	
597045	61338	Dr.Limoeiro's Wife
597045	212059	
597045	234641	
597045	298566	Abreu's Wife
597045	308751	
597045	380387	
597045	381198	Miou
597045	382690	
597045	384303	Bibiana
597045	385023	Isabel
597045	385629	Zuleika
597045	386730	
597045	387424	
597045	387804	
597045	388377	Marina
597045	388398	Clotilde
597045	390076	Do Carmo
597045	393792	
597045	396847	
597045	400094	Quinota
597045	404799	Sofia
597045	405451	Gumercinda
597045	407275	
597045	409003	Ruth
597045	409780	Rosália
597045	410377	
597046	169556	
597046	252420	
597048	104179	
597049	34284	
597050	29004	Suzana
597050	243391	Mira
597051	344793	
597052	55343	
597052	55654	Hortência
597052	73159	
597053	42576	Celeste
597053	42583	
597053	144201	
597053	236040	Tereza
597053	307532	
597053	387735	Isabella Marco (1990)
597053	397539	Ana Maria
597053	400584	Dedé
597054	83860	Bebê de Oribela
597055	124240	Nelinha
597055	369982	Lurdinha
597056	34284	
597057	29633	
597057	68254	
597057	267316	Clara
597057	269010	
597057	281627	Rosa do Adro
597057	327448	
597058	138537	
597059	166376	
597060	159458	
597061	83860	Temericô
597062	376598	
597063	273910	Madre de Deus
597064	25058	
597064	28861	
597064	204751	("segment "O Homem dos Quatro
597064	272408	
597064	344741	
597065	69494	
597066	383566	(season 1)
597066	386726	
597066	408381	Mimi
597066	411585	
597068	379646	Lu
597068	380328	Laura
597068	386215	
597068	387777	Paula
597068	388562	
597068	388728	Bartira
597068	402455	Francisquinha
597068	407281	Emília (1978-1982)
597068	412257	Carmencita
597068	412305	Biba
597069	251029	
597070	337993	
597071	377096	
597071	397440	
597072	54164	Herself - a singer
597072	76025	Paula
597072	104110	
597072	104740	Portuguese entry (13th place)
597072	104744	Herself (Portuguese entry (15
597072	242838	Herself - a singer
597072	388683	
597072	399139	D. Pipi
597072	403766	
597072	410105	Madalena Fragoso
597073	129709	
597075	338243	Cira
597076	25332	
597076	234112	
597077	14753	
597077	236379	
597078	54103	
597079	378940	Isabel
597079	380120	
597079	383294	Josefina
597079	383866	Simone
597079	397539	Mimi Toledo
597079	400584	Dodô
597079	401678	
597079	402593	Lucy Laugier
597079	403733	Rosaly
597079	405810	Beatriz
597080	143702	
597081	389416	Doris
597082	321657	Jezebel
597083	366189	Lady Lou
597084	2120	
597084	9640	
597084	62338	
597084	63841	
597084	83548	
597084	86448	
597084	88198	
597084	104889	
597084	140563	
597084	143805	
597084	145675	
597084	159597	
597084	199381	
597084	216854	
597084	222397	
597084	233039	
597084	248763	
597084	273651	
597084	287734	
597084	287914	
597084	302376	
597084	322223	
597084	334684	
597084	371763	
597084	377176	
597084	379853	
597084	380113	Vanesa Lertó
597084	380116	
597084	386782	Flabiana
597084	386792	Verónica
597084	387446	Solange
597084	387810	
597084	387904	
597084	390504	
597084	396608	
597084	399497	Doña Virginia Sánchez Escurra
597084	399537	
597084	402586	Señora Clovis
597084	405816	Cora
597085	393940	Marguerite Cisneros
597086	376300	Erika Mack
597087	18218	Rita
597087	38994	Frau Hartmann
597087	72670	Laura
597087	120046	
597087	139709	
597087	368296	
597088	301181	Julita
597089	49085	Blond girl
597089	55816	
597089	196517	
597090	82418	
597090	88205	
597091	234966	Secretary
597092	251016	Schoenverkoopster
597093	40316	La lavandiere Marie-Louise
597093	214387	
597094	384251	
597094	387523	
597094	398456	
597094	401213	
597095	213144	
597095	238965	
597096	294526	
597096	313136	
597098	54146	
597098	183286	Herself
597098	206035	Cantante
597098	227577	Marisa Celli
597098	351535	
597099	168314	
597099	252687	
597100	56328	Piera
597100	112205	Fhloston Hostess
597101	208711	
597102	210754	Laurel
597103	191450	
597104	56321	
597104	410311	Mirella Bonelli
597105	193392	Herself
597105	249074	Herself
597106	6439	
597106	9669	
597106	37911	
597106	45762	
597106	85567	
597106	87070	
597106	91373	
597106	101616	
597106	103771	
597106	161830	
597106	169964	
597106	193189	
597106	235311	
597106	253293	
597106	255057	
597107	71221	
597108	276309	Sylvie
597110	374495	
597111	29669	
597112	317956	Lauren Ambrosia
597113	89401	
597113	234499	Prostitute
597113	245490	
597113	305912	
597113	334988	Sabrina
597113	352091	
597113	356968	Fê
597114	156329	Barmaid
597115	28606	
597115	40958	Schönheitssalon-Chefin
597115	84595	Zazie
597115	189809	Herself
597115	361820	
597115	365591	Madame Parfüm
597116	260624	Eva
597117	138744	Chorus Woman
597118	146954	
597119	42844	Segretaria
597119	72973	
597119	404045	Maga Vanna
597120	14859	
597120	217559	Nurse
597120	229741	
597121	11322	Diane
597122	85913	Herself
597122	161265	Herself
597122	161347	Herself
597122	163523	Herself
597122	212716	Herself
597122	379700	Herself/Coach
597123	18694	
597123	234022	
597124	104752	United Kingdom entry (2nd pla
597124	122779	Miss Moneyfairy
597124	313697	Carol
597124	323576	
597124	384957	
597124	387971	Presenter
597124	392415	Herself
597125	70744	
597126	407872	
597127	168378	
597127	380387	Censorship's woman
597127	383866	Maria
597127	385876	Clodomira
597127	385992	Rosiclair
597127	388721	Zizi Badaró
597127	388728	Kátia
597127	391580	Lucianara
597127	400902	Salete
597128	397440	
597129	75485	
597129	84483	
597129	98760	
597129	119678	
597129	244976	(segment "O Método")
597129	266003	
597129	274639	
597129	328034	
597129	397553	
597130	63823	Mulher do neguinho
597131	8980	
597131	51783	(segment "Uma Grande Vocação"
597131	57453	
597131	68574	
597131	71400	
597131	187609	
597131	204751	(segment "O Homem dos Quatro 
597131	215939	
597131	220746	
597131	296314	
597131	319626	
597131	336124	
597131	340433	
597131	344811	
597131	344813	
597132	385522	
597132	391673	Tânia
597133	104486	
597134	21138	
597134	211012	
597134	378371	
597135	51931	
597135	84480	
597135	158940	
597135	211013	Sister Bula
597135	234635	
597135	238933	
597135	263417	
597135	322222	
597135	350736	Veruska
597135	378046	
597135	380328	Ciça
597135	384002	Jacira
597135	387915	Ciça
597135	388065	Hebinha
597135	392792	Lourdes Maria
597135	396126	Altina
597135	397553	Olga
597135	398503	
597135	401010	
597135	404803	Zita
597135	406847	Isabel
597136	214629	
597137	384709	
597138	5075	Conducteur
597139	84696	Lucie Forest
597139	123444	Nina
597139	410147	Ines
597140	130720	Guest at Fawns
597141	266050	Punk Woman
597142	17695	Josie Pye
597142	17696	Josie Pye Spurgeon
597142	17697	Josie Pye
597142	50607	May Wilson
597142	91862	
597142	139591	Phillipa
597142	214422	Julie Freeman
597142	222736	Jenny
597142	224937	Jane Doe
597142	291771	Bride
597143	271372	La patronne du café
597144	13060	
597145	183670	
597146	236952	Dancer
597147	100047	Jane
597147	334112	Jenny Carter
597147	359932	Lucille
597147	383625	Sheena
597147	405651	Shirley
597148	42108	
597149	353464	
597150	99268	Orkest
597151	115833	
597152	25319	
597153	67661	Herself - Storyteller
597154	254614	Tanya Watkins
597155	160263	Amor
597156	337993	
597157	253	Wieske
597157	108160	Mevrouw Gizi Geza
597157	108166	Margaret Barrett
597157	134200	Marie Gendebien
597157	141735	Weduwe Kis
597157	147128	Maggie Hobson
597157	152367	Jacinta Lopez
597157	159623	Toinette
597157	176547	Thea Traal
597157	178800	Anneke
597157	244754	Lidija Vasiljevna
597157	311631	Selma
597157	314524	
597157	320345	Uleken
597157	370073	Caféhoudster
597157	402044	Mevrouw Verbraecken
597158	25315	Gloria Perkins
597159	4533	
597159	10129	
597159	12917	
597159	13009	
597159	14892	
597159	19458	
597159	44911	
597159	53662	
597159	55935	
597159	57908	
597159	71004	
597159	74957	
597159	91425	
597159	100762	
597159	113223	Herself
597159	146510	
597159	152233	Lelly Medina
597159	189008	
597159	197192	
597159	197449	
597159	199789	
597159	205155	
597159	212522	
597159	214212	
597159	222531	
597159	233578	
597159	234381	
597159	234393	
597159	234412	
597159	236745	
597159	239275	
597159	266859	
597159	268515	
597159	286283	
597159	292742	
597159	301119	
597159	303085	
597159	326338	Lili Ros
597159	332136	Senora Alvarez
597159	336249	Inés
597159	353598	Clara
597159	353665	
597159	354041	
597159	377174	Paolina
597160	119626	Astronette
597161	165134	Herself (casting agent) (epis
597162	440	Laura
597162	14851	
597162	54786	
597162	94643	
597162	104002	
597162	118164	
597162	176799	
597162	189392	Placida
597162	204166	Jamie Lee
597162	212575	
597162	235794	
597162	248409	
597162	254312	La femme du maître chanteur
597162	266417	Èva
597162	297649	Florinda
597162	312302	Rosie (ferry victim)
597162	317573	
597162	344611	Ornella
597162	354233	
597162	385997	
597163	316961	Mademoiselle Mercier
597164	288732	Paula
597165	381246	
597165	398197	Helena Fernandes
597165	402282	Various Roles
597166	410082	Lucia
597167	181326	Christine
597167	352376	Lenka
597168	235723	
597169	148172	Joven Nuria
597170	380326	
597170	388065	Maria
597170	397540	
597171	237896	
597172	410401	Christine
597173	352126	
597174	25164	Joséphine
597174	343569	
597175	202850	Gita
597176	41379	Showgirl
597176	73504	Oakley
597176	80876	Goldi Lox
597176	114601	Brita
597176	196303	Linda Bailey Brown
597176	221338	Renee
597176	228824	Bartender
597176	272031	Silyotka
597176	328268	Karen
597176	360717	Anita
597176	386855	Donna Shipko
597177	388051	Herself (2000)
597178	287429	
597179	46612	Gerda, Rudenburgs Tochter/Ger
597179	48568	Annie
597179	59700	
597179	65091	
597179	74457	
597179	79165	Lya De Putti
597179	93435	
597179	94299	
597179	98121	Frau
597179	115197	
597179	126340	
597179	129955	Cassie Lang
597179	141352	Anna Gallambos
597179	144100	Herself
597179	156546	
597179	156688	
597179	159253	Mirrjha
597179	159254	Mirrjha, Savitri's Servant
597179	159593	Katie Fox
597179	179832	
597179	189827	Zofe
597179	195613	Herself
597179	202552	
597179	204660	Manon Lescaut
597179	213230	Midnight Rose
597179	244298	
597179	251362	
597179	254430	Mellitta
597179	264067	Dolores
597179	284566	
597179	289593	Lya
597179	290186	
597179	309275	Princess Olga Godovsky
597179	329248	
597179	338956	
597179	350657	Bertha
597179	375090	
597180	276340	Dame de service 3
597180	383008	Herself/panelist
597180	399813	Host (noon edition) (????-200
597181	186192	Augustine
597181	250780	Cliente 1
597181	288899	La surveillante
597181	334817	
597181	378789	Adèle-Muguette (Bern Académie
597182	111427	
597183	41935	Anna Steele
597183	107174	Amy Amor
597183	305636	Norah Smith
597183	329370	Lady Benbow
597184	159418	
597184	219217	
597184	234344	
597184	253374	
597184	309060	
597184	390404	
597185	12340	
597186	240429	
597187	167283	Netta
597188	215697	Miss Holland
597189	197909	La mendiante
597189	268414	La chiromancienne
597190	58845	Anna Maria
597190	68774	amie de Toulon
597190	122871	
597190	286277	Ana Maria Toldra
597191	98057	
597191	140264	
597191	140265	
597191	178781	Armgard
597191	348687	Karla
597192	119069	
597193	377272	La danseuse du bar
597194	241536	1st Shell Girl
597195	112917	Verpleegster 2
597195	190663	Waitress at Cabaret
597196	181261	Bourgeoise (VI)
597197	195771	French Official
597198	46695	Emily
597198	55626	Chris Hargensen
597198	287789	Mac
597198	381482	The Demon Curupira (1999-2000
597198	403789	Tess Harding (2000-2001)
597199	353958	
597199	370057	
597200	199896	Make-up woman
597200	378680	Lili
597200	396334	Juliette Biron
597201	186134	Kamermeisje
597202	21792	Ethel Woodridge
597202	23896	Lorelei Knight
597202	90355	Marion Whitney
597202	95479	Beth Vinton
597202	101503	Ruth Stevens
597202	113966	Agnes Traverse, His Fiancée
597202	116690	Aline
597202	116998	Mary Fenton
597202	129418	Mrs. Ellie Vanderlyn
597202	132016	Mrs. Bellamy
597202	133783	Althea Hanway
597202	146253	Annabelle Rose
597202	190294	Alice Webster
597202	197940	Blanche Young
597202	247220	Jean Logan
597202	255839	Christine
597202	333075	Mrs. Luella Pipkins
597202	345863	Helen Chapelle
597202	360274	Judith Reytnard
597202	360455	Miss Ashton
597203	99714	
597204	408074	Hotel receptionist
597205	25158	
597206	210683	Narration
597207	90520	
597208	393718	
597208	396622	Rosa Friedrich
597208	403643	La Suivante d'Isabelle
597208	409440	
597209	301577	Multitud
597210	183672	Phyrne
597211	96233	Herself
597212	252216	Celia Guerola
597212	256815	Maria
597213	77421	La Reine de France
597213	358708	Nicole
597214	354319	
597214	382453	Sonja Van Acker
597214	386995	Sofie
597214	399658	Odette (1995-)
597215	388909	Dorien Michiels (1999-)
597216	377999	
597217	237912	
597218	91277	
597218	319968	
597218	386251	Douce
597219	149623	
597220	130894	Mlle. Julie
597220	200871	Claire Hudson
597220	224059	Mrs. Hamilton
597220	315108	Lady Drayton
597221	336944	Virginie
597222	406558	Christine Moereels
597222	409192	
597222	411311	Miriam Struys-Smiths (#1) (19
597223	4599	Dolores
597223	34438	
597223	54911	Isabella Pietramelara
597223	73049	
597223	73603	
597223	113445	Zia Clotilde
597223	207747	
597223	208096	
597223	227563	
597224	104106	Herself - interviewer
597224	142328	Various
597224	146617	Cashier
597224	169639	Teresa
597224	179462	Herself - the host
597224	179463	Herself - presenter/interview
597224	397255	Herself - mermaid
597225	312721	La femme brune
597226	20068	Chanteuse Antillaise
597226	23236	Rosita
597226	24735	La chanteuse du night-club
597226	260433	
597226	340137	Zora (segment "Boitelle")
597226	377715	
597226	384301	
597226	401029	Mariel
597227	71928	Martha
597228	96080	Milano dinner guest
597229	73646	
597230	113216	Couple à la campagne
597230	236164	
597230	284144	Juliette
597230	346683	Ludovic's secretary
597231	104155	
597231	123094	
597231	230002	
597231	230005	Poppea
597231	344575	
597232	43146	
597232	78246	Anna
597232	110759	Maria
597232	202354	
597233	6299	
597233	355708	
597234	243594	
597235	51940	Pretty Woman
597236	261551	Fille du bordel
597238	40820	Juffrouw Roos
597239	388299	Marleen Van der Venne-Van Den
597240	340811	Janet
597241	52856	
597242	303661	Greta
597243	43423	
597244	252109	
597244	332577	
597244	343530	Mother
597244	377112	Mamá
597244	379459	Ruth Mother
597244	383500	
597244	393023	Florecita
597245	55418	Ballerina
597246	15218	Amy Enker
597246	191790	
597247	238332	
597247	324928	
597248	32557	
597248	48305	Hannah
597248	97782	
597248	99268	Maria
597248	125311	
597248	130221	Sara
597248	169263	
597248	282035	Irene
597249	357309	Meisje
597250	101462	Lady Lodger
597250	242038	Amsterdam Desk Clerk
597251	86715	Nathalie
597251	227300	La vendeuse couture
597251	336937	Evelyne
597252	184608	Susanne de Wall, Sara's Mothe
597253	61928	Shelly
597254	155628	Mavi's friend
597255	354872	
597256	125602	
597257	28375	
597257	205965	
597258	79986	Transit Authority Agent
597258	194687	Maria, the Cook
597258	356472	Hard Rock Cafe Cop
597259	377174	
597260	396649	
597261	404995	Paula
597262	324594	Franca Guarrasi
597263	127437	
597264	10813	Teenage Girl
597265	101471	
597266	362538	Donna Plumb
597267	174105	Politesse
597268	89572	
597269	25738	Lily
597269	71257	Helen
597269	148428	Abigael Edades
597269	152199	Nika
597269	204603	Ingrid Tan
597269	211778	
597269	222472	Melinda
597269	246900	Icee
597269	384447	Ian
597269	394773	(2003)
597270	41837	
597271	27754	Erika
597271	28386	
597271	138329	
597271	152199	Vanessa
597271	155183	
597271	156181	
597271	168928	Iza
597271	173251	
597271	176673	Sienna
597271	256102	Love
597271	274063	Susana/Cara/Lucilla
597271	303155	Lily/Rio
597271	318664	
597271	341527	
597271	381564	
597271	382906	Herself (1995-2002)
597271	383054	Sharon
597271	396410	
597272	16795	
597272	26195	Natalya Lerner
597272	32491	Ursula Dieterman
597272	54810	
597272	63784	Saveria, la figlia di Wilma
597272	71435	Ilaria Marengo
597272	74883	Louisa Masseria
597272	104288	
597272	127435	Vania
597272	144171	Chiara
597272	157676	Laura Santi
597272	162039	
597272	169540	Nys
597272	170305	
597272	188858	Marianne Dorfrichter
597272	204261	Mara
597272	215901	
597272	223246	Claretta Petacci
597272	229604	
597272	238792	
597272	243212	Georgie
597272	246978	Bradamante
597272	251876	Klára
597272	262405	Barbara Proietti
597272	270036	
597272	294259	Giulia
597272	308300	
597272	315422	Rina
597272	336180	
597272	338671	Vanessa Valverde
597272	348160	
597272	349613	
597272	357935	Anna
597272	380055	Betta
597272	384246	Tilly
597272	384275	
597272	384761	
597272	386847	Elena Amati
597272	389253	Klara
597272	401514	Comtessa Raffaella Pecci Scia
597272	404393	Aurelia Zingales
597272	405291	
597272	406346	Anita Sciortino
597272	406616	Chiara
597273	308809	
597274	236733	
597275	55758	
597276	14261	Irina
597276	14856	
597276	14912	Graziella
597276	112720	Mother Scarfio
597276	207947	
597276	292274	Raffaella
597276	401512	
597276	409936	Giulia
597277	1681	Herself
597277	2805	Herself - Co-presenter: Best 
597277	13736	Carolyn Bessette Kennedy
597277	14005	Sarah
597277	22628	
597277	32917	Herself
597277	75585	Jenny
597277	80373	Kelly
597277	128085	Carla Sparrow
597277	129626	Jackie Lawrence
597277	154821	Emily Thompson
597277	161951	Joy
597277	232317	Hilary Hunter
597277	291222	Sorority Sister Murphy
597277	303090	Giddy
597277	314745	Jennifer Kelliho
597277	367522	
597277	367811	Gina
597277	379738	Herself - Panellist
597277	379802	Nelle Porter (1998-2002)
597277	379803	Nelle Porter
597277	380656	Lindsay Bluth Fünke
597277	399392	Elana Lewis (1996-1997)
597277	408530	Maria Hunter
597278	41837	
597279	277726	
597280	16627	Tanya
597281	376443	Nina
597282	27037	Host
597282	131780	Bookie's Sister
597282	206445	Newscaster
597282	293105	Female Doctor
597283	189853	Herself
597284	203927	Adult Mercedes
597285	58848	
597286	160421	Female Refugee 2
597287	20393	
597287	70481	
597288	233697	Olivia
597289	5776	Nellie Carter
597289	26135	The Good Fairy
597289	46666	Peggy Gray, age 5
597289	60308	Orphan
597289	61698	Child
597289	108458	Lady Shoo
597289	128525	Miner's Child
597289	130419	Mrs. Van Dyke's Child
597289	134247	Garrity kid
597289	164384	The King of Cornwall
597289	188228	Adams child
597289	192246	Undetermined role
597289	303241	Priscilla
597289	312321	Hal
597290	364965	
597291	323179	Mrs. Delgado
597292	82239	
597293	12064	
597294	411311	De Smet (1998)
597295	326453	Vera
597295	376188	Mother Kriegel
597295	380747	Linda Tensen
597295	386056	Michelle Muys (2002-)
597295	406558	Petra 'Madama Charette' Marsb
597295	409886	Ann Shirling
597296	16528	
597297	203449	Fania
597298	211800	
597299	284350	Herself
597300	142378	Additional Cast
597301	101043	
597301	222002	
597301	223627	
597301	287442	
597302	129011	
597303	287886	
597304	160819	Enfant
597304	186575	Marie jeune fille
597304	306313	Julie
597305	384645	Júlia
597305	388679	Ana
597305	396610	Micaela (1995)
597305	400097	Cacau
597305	402537	Pérola
597305	410104	Letícia/Luiza
597306	224692	
597306	308386	
597306	355220	
597307	20237	
597307	51674	Rosa
597307	57384	Grot's mate
597307	57711	Lucrecia
597307	83551	
597307	144889	Nude
597307	147976	The Prostitute
597307	154212	Bedalia
597307	155971	
597307	159291	Jovencita
597307	197633	
597307	212375	
597307	238757	
597307	253292	
597307	276649	Moon Star, Yellow Hand Woman 
597307	309134	Dellisia
597307	339158	
597307	340038	Redwing
597309	101581	Anna Maria
597310	185838	Anna
597310	382830	Maid
597311	399813	Herself/co-host first part (1
597312	76552	
597312	211929	Herself
597312	232624	
597312	345456	
597313	63779	La jeune femme avec Bellac
597313	218307	Fanny Bertrand
597313	387081	Alice Duchêne
597313	387919	
597313	402075	Sylvie
597314	397814	Victoire
597315	2252	(segment "Teuf d'enfer, La")
597315	211662	
597315	248886	Women's Lib girl
597315	336302	Elisa, Benjamin's sister
597316	276079	
597316	340184	Lucie
597317	87497	Un enfant
597319	70518	
597320	246386	
597321	12203	Miss Narayan
597321	13320	Cathy
597321	21154	Gloria, Hooker
597321	23441	Cycle Slut
597321	45637	Phyllis (segment Inside Out)
597321	49763	Det. Todras
597321	56656	
597321	68825	Phyllis Fleckstein
597321	76217	Myrna
597321	80484	Olivia Deegan
597321	110308	Sylvia
597321	134720	Sister Serena
597321	144465	Sherry
597321	154943	Iris
597321	155861	
597321	160410	Phylis
597321	172605	Mia Cacciani
597321	177290	Carol
597321	185707	Connie
597321	196503	Case Interviewer
597321	221783	
597321	222645	Flustered Attorney
597321	223918	Alice Miller
597321	241404	Rita
597321	241412	D.A. Pina
597321	243231	Gelina
597321	252825	Frankie
597321	270697	Female Writer
597321	311153	Sylvia Cacetti
597321	313583	Sandy's Sister
597321	313855	Wife
597321	323568	Debbie Lipton
597321	347712	May
597321	367902	
597321	396686	Annie
597322	278166	
597323	376379	Oberin
597324	101387	Louise
597325	142914	Herself
597325	376838	
597326	17134	
597326	31961	
597326	56481	
597326	64372	
597326	69993	
597326	75244	
597326	193219	
597326	199059	
597326	264254	
597326	267294	
597326	302187	
597327	127940	Porter
597327	141612	Janitor
597328	234594	Backstage Visitor (Miami)
597329	74631	
597330	24623	
597330	253299	Embajadora
597330	266857	
597331	222214	Mary
597332	28680	
597334	308463	
597335	292964	
597336	318265	Rosa
597337	65173	Elena niña
597337	103943	Nina
597337	273955	Elenita
597337	307471	
597337	393369	Raquel
597338	287414	
597339	17665	
597340	123986	Herself
597341	3169	Caesarino's 'Niece'
597341	3322	Direttrice istituto di belezz
597341	3509	Cameriera
597341	8483	
597341	14951	
597341	25324	Damigella Corteggiata da Pete
597341	28962	Marisetta
597341	57301	Cinzia
597341	69719	Chimene
597341	82418	
597341	93736	
597341	94520	
597341	102396	
597341	102630	
597341	129019	Susy's maid
597341	131091	
597341	162067	
597341	208029	
597341	216104	
597341	227587	Nicoletta
597341	253031	La zia di Lauretta
597341	293355	Ines
597341	294634	
597341	310217	
597341	319320	
597341	319664	Tania
597341	339128	
597341	351537	
597341	351604	Gina
597341	375892	
597342	113456	Giada
597342	115763	
597342	217237	Antonia
597342	234287	Hélène Chevalier, Lucienne's 
597342	251013	Paulina à 13 ans/Paulina, at 
597343	90752	
597344	391604	Raffaela Caprese (2002-2003)
597344	391604	Raffaella Caprese
597345	363602	Cafe Girl
597346	262813	Gina
597347	6297	
597348	11973	Fiorella
597348	12681	Assistente di Saverio
597348	19203	
597348	64238	Pregnant Woman
597348	110758	Lucia
597348	133395	
597348	157983	Giselle
597348	162055	
597348	211744	Lucia
597348	212499	Maddalena
597348	214316	
597348	263269	
597348	292283	
597348	313179	The Patient
597348	315422	Celeste
597348	380992	Renata
597348	402780	Aunt Pina
597348	405291	
597348	409093	
597349	69194	Norma
597350	28962	
597350	157857	Lorenzina
597350	202280	Zamira, la sdentata
597351	11698	
597351	14370	Elena
597351	14862	
597351	15996	
597351	19223	
597351	20794	La ragazza
597351	23527	Nadia
597351	30999	
597351	32677	Dinda
597351	33485	Santina
597351	52177	Peronella
597351	56361	
597351	67509	
597351	69105	Evelyn (the maid)
597351	81524	
597351	81526	
597351	86065	
597351	89579	
597351	91534	
597351	94658	Marisol
597351	96401	
597351	104459	
597351	126839	Agnes
597351	127884	(segment "Trick, The")
597351	159647	Susy
597351	161759	Ella
597351	161861	
597351	198905	
597351	214008	
597351	216039	Manuela, Niorkos Tochter
597351	221720	Shirley
597351	229609	
597351	233083	
597351	246418	
597351	247963	
597351	252631	Prostituta bionda
597351	266012	Benedetta
597351	269489	Elisabetta
597351	270329	Amanda
597351	275825	Kim
597351	287015	
597351	291564	
597351	294290	
597351	324647	
597351	334772	
597351	338712	Rosita
597351	341790	
597351	356012	Marisa
597352	65581	Cinzia
597353	3366	
597353	14916	
597353	22000	Italo's aunt
597353	63890	
597353	68140	Mariolina
597353	103999	Davide's aunt
597353	108113	Juliette I
597353	111299	Maria Teresa d'Asburgo
597353	127979	Nurse
597353	127992	Widow Maniero
597353	132951	Madre Yuri
597353	235766	
597353	263269	
597353	315458	Santina
597353	332405	
597354	10373	Nina
597354	21120	Marisa
597354	73651	
597354	154017	Elsa
597354	157786	Valeria
597354	186041	Gertrude
597354	196203	Connie
597354	224022	Madeleine
597354	262934	Bianca Ruspoli
597354	276613	Renee Diaz
597354	278951	Tiziana
597354	296737	Dinnie Parish
597354	338882	Daria
597354	344584	
597354	347470	
597354	357594	Simona
597354	381850	Camille Nérac
597354	386485	Germana
597354	386486	Germana
597355	17611	
597356	152170	Cecille
597356	229796	
597356	328933	
597357	75030	
597358	23588	Elisa
597358	163688	
597358	183912	
597358	197578	Martha
597358	309404	Chewing Gum
597359	12674	
597359	14567	Francesca
597359	28754	
597359	41284	Rosa Collogero
597359	61370	Chiara
597359	63766	
597359	83771	Stella
597359	98184	Gabriella
597359	111433	Adalgisa Ferrari
597359	121338	Massimo's Mother
597359	127963	Olga Rosenberg
597359	130129	Young Carmella 'Mama' Corleon
597359	168944	
597359	207245	
597359	207912	
597359	260966	Lina
597359	265808	Maura
597359	309012	Dora
597359	329618	Amanda
597359	335876	Brigitte
597359	336270	Mrs. Rosselli
597359	366771	Hattie
597359	372130	Else von Kohler
597360	70313	Morocha
597361	299652	Anchorwoman
597362	54518	
597362	97507	Jenette
597362	240841	Elna Petrovna
597362	270404	Chata
597363	397886	Herself
597364	148370	
597364	403170	Frieda
597364	411116	Mie Boot
597365	92095	Waitress (Peggy)
597365	390410	Sasha Lindeboom/Wendy (1997-1
597366	400287	Moeder Overste
597366	411311	Nellie Derdeyn-Opdebeeck-De D
597367	71380	Angela
597367	316461	
597367	378614	Sofie Hofstra
597367	389841	Odette (2002-2003)
597367	390242	Gwen Faber (2001-2002)
597367	391569	Miriam
597367	394947	Tanja
597368	40819	Tante
597370	164164	
597371	349461	
597372	112825	Sarah
597372	255919	Rachel
597373	53929	Gloria Davis
597373	56033	Gloria
597373	70098	
597373	90682	
597373	92072	(segment "Sarò tutta per te")
597373	124124	
597373	189394	
597373	229987	
597373	234558	
597373	315457	
597373	338712	Giulia
597373	353144	Jennifer
597373	365177	Laura Schwarz
597373	402825	
597374	169068	Herself
597374	169258	Herself
597375	129019	Granddaughter
597376	357402	Dancer
597377	117980	Tiple
597377	235329	Singer
597378	348147	Simonetta
597378	403220	
597379	238463	
597380	140572	
597381	326001	
597381	372793	
597382	197690	
597383	286042	
597384	55212	
597384	55920	Lina
597384	56523	
597384	64051	
597384	94839	
597384	100529	Lida Kluber
597384	115791	
597384	147375	
597384	161560	
597384	205977	
597384	243721	Orosia
597384	273030	Isabel Churruca
597384	302401	Nora
597384	317683	
597384	322224	
597384	377873	
597385	117918	
597385	166162	
597386	75031	
597387	1141	Tina
597387	270701	Alberta
597388	398807	Alejandra Pimentel Fajardo
597389	23089	
597389	104887	
597389	193604	
597390	56354	Maria Fida Moro
597391	44201	
597392	271920	
597393	6627	Marguerite
597393	41116	La servante
597393	66741	Solange
597393	108542	Dame d'honneur
597394	52062	Fat woman
597394	64729	Newswoman
597395	176882	1st parole board member
597396	256236	Anita
597397	13203	
597397	24381	Frau Minelli
597397	28794	
597397	61427	Lottie's Mother
597397	217760	
597397	378168	
597397	395265	Mamma
597398	2634	Rosa
597399	158759	
597399	210383	
597399	263116	
597400	198585	
597401	10299	
597401	19478	
597401	43182	Rosetta
597401	54779	Maria Adele
597401	65686	Amalia
597401	68815	Peppona
597401	124564	Sopran ('When Alice Broke the
597401	125037	
597401	135127	
597401	160248	sig.ra Bonci Marinotti
597401	217112	
597401	227578	Stereatella
597401	251618	
597401	252636	
597401	263194	
597401	265450	Immacolata Balsamo
597401	268985	Alice Shogun
597401	278697	Monica Zappa
597401	279773	
597401	309114	
597401	311546	
597401	336145	
597401	336564	
597401	352235	Signora Scapicolli
597402	252679	Cristina
597403	411311	Zoë (2004-)
597404	16867	Iris
597404	34512	Giulia
597404	56051	
597404	57964	Emmanuela
597404	69025	Sonia
597404	75234	Maestrina Penna Rossa
597404	90757	
597404	111703	Alix/Clara
597404	141797	
597404	162081	Chiara
597404	163733	Margherita
597404	173701	Dr. Sophia Minardi
597404	202160	Angelica
597404	204236	Jessica
597404	205547	Erodiade
597404	252663	
597404	255061	Rosario
597404	278989	La paziente
597404	283038	Luisa
597404	289447	
597404	290898	Marta Vitale
597404	291557	Anna
597404	291647	Teresa Capece
597404	310891	Franca
597404	332261	Elena
597404	351979	
597404	355803	
597404	381622	Annalisa Bottelli di Balsano
597404	397282	
597404	401509	Giulia Antinari
597405	280740	Owner of the inn
597405	288801	Fat Woman
597406	272838	Els
597407	394730	Host
597408	130004	Germaine
597409	113428	Host
597410	387323	Verpleegster Els (1995)
597411	407173	Herself (2003-)
597412	121256	
597412	127378	
597413	193577	Circus Performer
597415	43942	Mrs. Arkwright
597415	101298	The Aunt
597415	171329	Mrs. Meredith
597415	220001	Mother
597415	260259	Mother
597415	311890	Mother
597415	363651	Mother
597416	75392	Mother
597416	81439	Mrs. Marks
597416	85906	
597416	91777	Mrs. Norman
597416	96808	
597416	105340	Old Woman
597416	134483	Mrs. Levi
597416	158463	Mrs. Morton
597416	165464	Dame Winstead
597416	167277	Lady
597416	171172	Mrs. Rose
597416	300557	Mrs. Bland
597416	328814	Mrs. Thorne
597416	332430	Mrs. Willoughby
597416	345747	Mrs. Miles
597416	367901	
597417	65138	La petite fille
597418	279036	Florinda
597419	76447	
597419	98243	Eveline
597419	105853	La vagabonde
597419	126861	Oude keukenmeid
597419	134882	Moeder
597419	152363	Oude vrouw van Valerius
597419	157586	Mevrouw Verspecht
597419	178730	Oude vrouw
597419	211186	
597419	231712	
597419	256524	
597419	265303	W.C.-madame
597419	356078	Netje
597419	400801	Trieneke
597420	29138	
597421	136305	Claude
597422	331949	Irma
597423	71364	
597424	71364	
597425	301574	Directora del colegio
597426	67863	Press Agent
597426	69395	Vickie
597426	82523	Rita Chavez
597426	88648	
597426	93261	Valerie
597426	106645	
597426	149287	Secretary
597426	176882	Tina Padevik
597426	224073	Young Rose
597426	257264	New York ticket agent
597426	263206	Teacher
597426	287701	Elizabeth Van Olden
597426	336788	Teller #1
597426	360668	Heather
597426	360768	Dee
597426	372594	Anna Jones
597426	411815	Anna Jones
597427	87592	Vera, Mónica's mother
597428	19449	
597428	108134	Patrona
597428	119865	
597428	221910	
597429	134487	
597430	17337	
597430	130606	
597430	267056	Sandra
597430	309306	Susana
597430	388552	
597430	393714	Bia
597431	327448	
597432	327446	
597433	111917	Luísa
597434	380208	Rosário
597435	393711	Herself/Pivot
597435	402150	Herself/Pivot
597436	43440	Lina, Bento's daughter
597436	104093	Amélia
597437	100723	Berta
597437	169713	
597437	197981	Júlia
597437	249297	Old actress
597437	268292	
597437	268320	
597437	269013	Miguel's mother
597437	277577	
597437	354736	Felismina
597438	24090	Maria
597439	407744	Herself/Pivot
597440	216360	Lici
597441	233346	Esclava negra
597441	351428	
597442	100723	
597443	407744	Herself/Jornalista
597444	169258	Herself
597445	389788	Camelia Valente
597445	390748	Carolina Boni Castro
597445	396852	Carol
597445	403016	Gisela
597446	83006	Shirley
597446	155550	
597447	2232	Natalie
597447	34702	Shelby
597447	37650	Sheila
597447	69856	Lucy Boxer
597447	154590	Melissa
597447	186158	Claudia
597447	193260	Krista
597447	215507	Karen Krantz, Miss New York
597447	277850	Leta Evans
597447	310409	Nina
597447	385616	Stacy Phillips
597447	404648	Coco
597447	409798	Neely O'Hara
597448	58148	
597448	344779	
597449	344719	Leonarda
597450	9170	
597450	84161	
597450	170950	
597450	276593	
597451	302821	
597452	208814	
597453	104480	
597454	838	
597454	324868	
597455	285004	Narizinho
597456	20565	Stewardess #2
597457	579	
597458	205696	
597459	129776	Lars' Princess
597459	313477	Bail Organa's Aide #1
597460	25059	
597461	151369	
597462	12080	
597462	205696	
597463	43243	Ofélia
597463	205701	Augusta
597463	219600	
597463	222191	
597463	380081	Duvige
597463	381328	Leonora
597463	383678	
597463	387654	Eulina
597463	387932	
597463	388998	
597463	396847	Belinha
597463	400098	Carolina
597463	402149	
597463	403258	
597463	404306	
597463	404837	Bernardina
597463	405451	Terta
597463	405864	Norma
597463	407798	
597463	409003	
597464	57465	
597465	55343	
597465	104179	
597466	264115	Fernanda
597467	271276	
597468	396610	Paulinha (1998)
597469	91103	
597469	162170	
597470	340128	
597471	286573	
597473	210683	Herself
597474	103893	
597475	10238	
597475	82551	Dancing Girl
597475	209079	
597475	376711	
597475	379142	Annie
597475	393363	Amira
597475	395885	Vera Montes
597476	271341	Alien Commander
597477	403118	
597478	52928	
597479	387901	Maria Rita
597480	10251	Joana Lopes
597480	15361	
597480	42576	Mrs. Esteban
597480	48192	
597480	51614	
597480	53746	Manuela
597480	55078	(segment Roberto Santos)
597480	108068	Júlia
597480	110159	
597480	112764	
597480	120703	
597480	127721	
597480	132944	Old Woman Kissing
597480	148479	
597480	169808	
597480	183528	
597480	199123	Mama Rata-loi
597480	219566	
597480	244086	
597480	267495	
597480	269532	
597480	269533	
597480	272890	
597480	302821	Sabina
597480	307782	
597480	324191	
597480	328365	
597480	328366	Bastiana
597480	344717	
597480	344758	
597480	377281	
597480	381633	Chiquinha do Parto
597480	381849	Zilda
597480	383130	Cloé
597480	383247	
597480	383441	
597480	384480	Dona Mocinha
597480	385023	Jurema Nascimento Rangel
597480	385853	
597480	386213	Narcisa
597480	387052	Elisa
597480	387735	Antonia (1990)
597480	388592	
597480	390658	Albertina
597480	391312	Madalena
597480	391901	Das Dores
597480	396722	Zezé
597480	397409	Ciá Mena
597480	400094	Mariana
597480	400444	Elisa
597480	400656	Quitinha
597480	401460	
597480	402626	Isolina
597480	402807	
597480	403032	Lourdes
597480	404834	Marina
597480	405418	Adelaide
597480	405451	Justina
597480	405454	Balbina
597480	407275	Jerusa
597480	410014	Clementina
597481	160193	
597482	337993	
597483	99998	
597484	9170	
597484	112758	
597484	153837	
597484	170950	Júlio's mother
597485	12130	
597485	76066	
597485	102318	
597485	280998	
597486	275518	
597487	224991	
597487	383355	Zenaide
597487	386421	
597488	334007	
597489	158700	Aunt from Torre Annunziata
597489	202284	Donna bionda
597490	135127	
597490	198904	The villain's mistress
597490	205397	
597490	350421	Gesira
597491	205397	
597492	288478	Grandmother
597493	280530	
597494	376936	
597495	342118	Postina
597496	199728	
597497	200470	Female in Coffee Shop
597498	390753	
597499	328688	
597500	2000	Activist
597500	31702	Beach Community Member
597500	33732	Nurse
597500	67478	TV Journalist 3
597500	190000	
597501	218247	Mme Parrain
597502	263936	
597502	351542	
597503	160064	
597504	152514	Girl 7
597505	10300	Aletta Jacobs sr.
597506	236597	
597508	300891	Julia
597508	385299	Holly Brown (1974)
597508	395951	
597509	367589	Isabella at Age 5
597510	273724	
597511	380869	Anaïs Provencher
597512	47491	
597513	353167	Marina
597513	407850	Eliana
597514	40834	Harry's Mother
597514	141647	Robbins' Secretary
597514	236082	Zina
597514	283336	Sue
597515	339229	Monja 2
597516	176984	Dog
597517	51414	Madame Gilbert
597518	402114	Hostess (1984-1988)
597519	42854	Pamela Anwar
597519	211500	Lady Igraine
597519	384007	Presenter (from 2002)
597519	389749	Presenter
597519	390249	Team Captain (2001)
597519	409832	Gardening Consultant
597520	246885	Loes
597520	310947	
597520	328678	Mevrouw van Teeng
597520	373534	
597520	375521	Haar schoonmoeder
597520	394639	
597520	394912	Ludmilla van de Eiken
597520	407166	Barones
597521	381381	Teresa
597521	403795	
597522	155884	Model
597523	30841	
597523	69221	
597523	281617	
597523	309333	
597524	276858	Karen Stillman
597525	240138	
597526	15258	
597527	382741	Vica
597527	385522	Odete
597527	398501	Telma
597528	37910	
597529	90250	Creature
597529	127322	Greedigut
597529	191152	Camile
597529	280263	Bat Dork
597529	326602	Park Bench Lover
597530	57507	Hélène de Bellefeuille
597530	94784	Irène
597530	199613	Irène Dumontier
597530	223216	
597530	280540	
597530	340114	
597532	266479	
597533	255488	
597534	27981	
597534	54091	
597535	316312	Antonia
597536	71380	Erica
597536	212263	Dienster
597536	215928	Tania
597536	381467	Herself
597536	407173	Herself (1996-1999)
597536	410003	Babs (1999-2002)
597537	304444	Madame Garcia
597538	291589	Ingrid
597539	202181	
597540	76788	Rosa
597540	337504	
597540	381878	Various Characters
597540	390947	Various
597541	88177	The Model
597541	138537	Ibirapema
597542	268199	Anna Montgomery
597543	94840	Singer
597544	55911	
597544	94840	Singer
597544	114873	(segment "Solea")
597544	236010	
597544	376772	Saeta Sängerin
597545	57468	
597546	34472	
597547	353265	Nurse
597549	32916	Nuna
597550	290534	
597551	64692	
597551	115742	
597551	210583	
597552	149518	
597554	67082	
597554	213088	
597555	9949	
597555	219733	
597556	57646	Herself
597556	282985	Herself
597557	36647	La Fille
597557	78382	Esther
597557	120984	Prostituée SM
597557	274797	Tatiana
597557	284230	
597557	303334	Sophie
597557	345312	Herself
597557	345432	
597559	53238	
597559	96031	
597559	168890	Cliente épicerie
597559	343579	
597559	356984	
597559	377474	Une invitée
597560	143678	
597561	211226	Annie Morvet
597562	222907	
597562	234371	dancer
597563	330588	Popular Girl #2/The Flirt
597564	148484	Herself (segment Music Video)
597564	391903	Herself/Host
597564	400125	Herself/Guest 2004
597565	354936	Suzanne (Montréal)
597566	190988	Mrs. Malvin
597567	166370	A philosophy student
597568	166370	A philosophy student
597569	166370	A philosophy student
597570	166370	A philosophy student
597571	46993	Cousin Emily
597571	57296	Lady Carnal
597571	133426	Mrs. Albert Shawn
597571	152782	Carmen Campos
597571	231791	Mrs. Hardcastle
597571	277488	Mrs. Paul Kruger
597571	280311	Mrs. Underwood
597571	298012	Mrs. Hardcastle
597571	335466	Auntie
597572	379716	Ann Tyler Sr. Cyr Davis Marti
597573	264284	Aida
597574	126859	Boerin van Paemel
597574	178800	Doka
597574	357367	Marie
597575	46794	Circus Performer
597576	398046	Herself (1998)
597577	6720	Herself
597577	87390	
597577	264052	
597578	90137	
597578	100474	
597579	16857	
597579	160034	Cavani's Aide
597579	399159	Gloria Martinez
597580	37022	
597581	216212	Cléo
597582	237711	Mrs. Vicar
597583	81611	
597583	214002	moglie Decio Rossi
597584	209086	The Daughter
597585	130051	Mother Mybus
597586	131015	Sarah
597587	8915	
597587	152373	La dame au spectacle
597588	232976	Teacher
597589	263352	Miss Dollop
597590	221906	
597591	28005	The mother
597592	187482	Chanteuse
597593	94711	Geisha
597594	102669	
597594	112770	
597594	380330	Léa
597594	381328	Aída Baronni
597594	382405	Débora
597594	382776	Maria Isabel Newman Ribeiro
597594	385853	Helena
597594	387777	Marina
597594	387932	Celina 'Kely' Romani
597594	388065	Beth
597594	390751	Dolores
597594	393464	Juma
597594	396610	Lorena (1997)
597594	397545	Juliana
597594	398040	Valentina
597594	399766	Fernanda
597594	400098	Bárbara
597594	401095	Estela
597594	402504	Marina
597594	403308	
597595	30415	
597596	101231	Narrator
597596	401151	Joséphine Velder
597597	13094	(segment "Il telefono consola
597597	336617	La cameriera
597598	332198	Singer
597599	81639	Nigel's Girl Friend
597599	150239	Secretary Receptionist
597599	351876	Brenda Shannon
597599	384497	Mlle. Chataigneau
597599	389123	Imogen Cardigan née Dartie
597600	408151	Bianca Bomans (1995-2000)
597601	234637	
597602	6748	
597602	15429	
597602	156178	
597602	165244	
597602	170847	
597602	172964	
597603	349667	
597604	43400	
597605	310302	Interviewee
597606	10049	Herself
597607	317864	
597609	83305	Edwige Lampoel, la soeur de P
597609	164149	La prof de gym
597609	184053	La coach de Mme Tatin
597609	397947	Mère Gorbeau
597610	34129	Max's friend
597611	34129	Max's friend
597611	317903	Mother
597612	34129	Max's friend
597613	86727	Principale du collège
597613	106988	The Laughing Woman
597613	376987	La fiancée à lunettes
597614	51310	Marie
597615	164688	Marilou, la mere
597616	372544	Kid
597617	171003	Édith
597618	129596	Blind Woman
597618	140962	Bartender
597618	337121	Mary Quinn
597619	283143	
597620	152579	Bride
597621	80404	The Wife
597622	51855	Fan Girl
597623	100306	
597624	15241	Loyse
597624	125732	Herself
597625	187191	Callahan's Assistant
597626	78015	Courtesan
597627	171146	Chorus member
597628	145234	
597629	236741	Vicky
597630	392747	Singer Garcia
597632	191372	Neurovid Reactors
597633	173074	
597634	8353	
597636	76374	
597636	111909	
597636	158857	
597636	244662	
597637	324448	Dancer: La cumparsita -2
597638	129011	
597638	243693	Mother of dead child (Funeral
597639	313966	Forensics Officer
597640	142935	TV News Correspondent
597641	61656	Jenny
597641	74424	Clair Thomas, Madame Lazora
597641	270752	Dancer
597641	275107	Cocktail Waitress #2
597641	291036	Barb
597641	298008	Lt. Monica Rivadeneiro
597641	308016	Paramedic
597641	360497	Lucy Scalli
597641	381286	Hostess
597641	393506	Herself
597641	397054	Neumann's Wife, Mistress
597642	346101	The Jaded Three #3
597643	388734	Nathalie Scheffer (2002)
597644	406203	Fatima El Khaoul (2002)
597644	409366	Anouck
597645	43969	
597646	20287	Dancer
597646	163544	Dancer, Cuban Girl
597646	279411	Handmaiden
597647	321777	Ariane
597648	273756	
597649	42867	Amelieke
597650	3206	Shelley
597651	329915	Amanda
597652	140266	
597653	251	Irma
597653	17573	Heleen
597653	32372	Anatoom-pathologe
597653	48253	Alice
597653	49756	Demente dochter Emilia Terlin
597653	69497	
597653	74009	Nick's secretary
597653	82474	Francoise
597653	124416	Weduwe Generaal
597653	125224	
597653	163087	Beatrice
597653	202968	Mikkie
597653	215928	Charlotte Kiekeboe
597653	226299	
597653	240034	Moeder
597653	251016	Begeleidster
597653	282891	Helene Fourment
597653	287122	
597653	312014	Matti
597653	337025	
597653	356098	Moeder Hollander
597653	382551	Barones de Halleux
597653	384763	
597653	394758	Mevrouw Roland
597653	395123	Fleur Petit
597653	402838	Mireille
597653	403470	
597653	403962	
597653	405653	Tinneke
597653	408151	Claire Boons-Walters (2003-20
597654	42032	Girl's Gym Teacher
597654	76447	
597654	126381	
597654	134371	
597654	171877	Kabouter Pif
597654	179475	Vrouw op markt
597654	210131	Georgette
597654	211186	
597654	213564	
597654	246886	Happy Mama
597654	290032	Emilie Landuyt
597654	337973	
597654	356078	
597654	356109	
597654	357566	Nette Gordijn
597654	391030	Barbara
597654	394794	Jeanne Liefooghe-Piens (1992-
597654	409886	Edith Darnell
597655	231553	
597656	104774	Belgian vote presenter
597656	110548	Herself
597656	378670	Herself
597656	382975	Herself
597656	386998	Herself
597656	387019	Herself (1992-1997)
597656	394299	Herself
597656	399052	Herself (2001)
597657	356814	Colette
597658	389118	Herself
597659	154154	
597659	194580	Lorna's Mother
597660	141024	Dancer
597661	165374	Jana
597661	187972	Pleun
597661	352126	Caro Werner
597662	344226	Palmyrke
597663	7204	Verpleegster
597664	42034	Julie
597664	365706	Wilhelmina ten years old
597665	14288	Beppie
597665	126539	Kelly's Mother
597665	165630	Blonde Greet
597665	175091	
597666	101366	Martha
597667	381207	Maggie (1994-)/Tolstoy (1994-
597667	388593	Mixy
597668	1123	Waitress ('B-Power')
597668	400217	Bobby Fisher (2001)/Nicky Fis
597669	180020	Gonda Berna op 5-jarige leeft
597670	114329	Trix
597670	392234	Hymke
597670	392912	Marilene Vreeswijk
597670	406166	Francine van de Akker
597671	181255	Winkeljuffrouw 2
597672	285205	
597673	168695	Marion
597674	395035	
597675	16967	Trudy
597676	19290	Dana Rothman
597676	306003	Heather McDuff
597677	242444	
597678	169587	
597679	62824	La danseuse de 'La belle et l
597681	65167	La blonde du café
597682	372544	Prudish Student
597683	14288	Polly Dewar
597683	55232	Jozef´s moeder
597683	125045	Mevrouw Van Haaften
597683	132273	Mevrouw van Borselen
597683	165630	Moeder van De Blauwe
597683	180020	Actrice/Actress
597683	181168	Lady Ravenhurst
597683	189895	Mevr. Miles/Mrs. Miles
597683	189896	Kate´s moeder/Kate´s mother
597683	199363	Peggy
597683	201304	Kindermeisje/Nanny
597683	224529	
597683	242411	Pauline Laurent
597683	242442	Truus
597683	275821	Mevr. van Ingen/Mrs. van Inge
597683	289839	Pancras' vrouw
597683	334730	Rosni´s moeder
597683	344328	Jan van Oort´s vrouw
597684	320345	Tante
597685	48253	Ecologiste op party
597685	98243	Lily
597685	134148	Miriam Verachtert
597685	152363	Lucie
597685	157908	Catherine
597685	175691	Suzy
597685	179299	Danaë
597685	215085	Dejanira
597685	240394	Maria
597685	289876	Maria
597685	322824	Mathilde
597685	356817	Ilse
597685	357359	
597685	400801	Nelleke
597686	300836	Anita Onraed
597687	104692	Jurylid
597688	387951	Herself
597689	390409	Herself
597690	81135	Marguerite Merle
597691	332225	Bleuette Bernisy
597692	376509	
597693	251016	Klant bij Paulette
597694	165243	Colette Radoux
597694	198558	Véronique
597695	33006	Grandmother
597695	67842	Grandma
597695	70786	Old Woman Reading
597695	71624	Old woman
597695	128194	Old woman
597695	130352	Mrs. Molly Fitzgibbon
597695	138848	Mrs. Schneider
597695	143605	Aunt Amy
597695	152522	Librarian
597695	155306	
597695	177058	Old Maharanee
597695	198026	Mme. d'Autremont
597695	260102	White Moon
597695	296827	Barrow's Landlady
597695	300864	Mrs. Burnside
597695	302467	Elderly woman on Train
597695	308349	Madame 'Queen' Zimba
597695	313793	Granny Gailbraith
597695	316664	Grandma Diedrich
597695	323883	Grandmother
597695	327685	
597695	338894	Mrs. Waters
597695	342128	Mama Ruau
597695	366996	The Old Lady (Hospital)
597696	265901	Alice
597697	402531	Cécile
597698	12460	Elza
597698	42877	Jo Markus
597698	48159	Katharina Tapmans 'Hazeke'
597698	49756	Maria
597698	54015	Juffrouw Baanders
597698	76718	Zulma
597698	77139	Getuige
597698	124439	Chris
597698	125220	Agatha
597698	125364	Susan
597698	126381	Mevrouw van Geert
597698	126454	
597698	130231	Mevrouw Devilder
597698	142513	Brizida Vaz
597698	143487	Vrouw van de postbode
597698	147242	Yvonne
597698	157586	Maria
597698	178590	Suzanne
597698	184526	Mevrouw Torfs
597698	196821	Martine
597698	205577	Sarlot
597698	210124	Martine
597698	214688	
597698	223870	
597698	227293	Nana
597698	227360	
597698	231712	
597698	243293	Francine
597698	263654	Esther
597698	281357	Mia
597698	289874	Dame
597698	289876	
597698	310825	Zottecollacie
597698	324642	Tante Estelle
597698	336422	Jeanne
597698	344238	Host
597698	354457	Hortense Brulot
597698	356109	
597698	357355	Moeder Phyllis
597698	357394	Maria
597698	357566	Sefie
597698	375755	Zuster
597698	379254	
597698	381006	Barbara
597698	381592	Marie-Louise/Marie-Thérèse
597698	390408	Hilde Smet
597698	394204	Nellie Dias
597698	394604	
597698	400801	Catho
597698	403128	
597698	405653	Madame Flour
597698	409084	Emma Janssens
597698	410395	Host
597699	404444	Marianneke
597700	382909	
597701	395123	Maria Smeets
597702	359073	
597703	28566	Sicherheitsbeamtin (Düsseldor
597703	234063	Cornelia
597704	41856	Sojourner
597705	229248	Begrafenis bezoeker
597706	215767	Jacqueline
597707	24146	
597708	289873	Moeder van Jommeke
597708	314847	
597709	143487	Dina
597710	313936	Isabelle
597711	93621	
597712	102736	Cigar Girl (episode "Hat Chec
597713	351293	
597714	135523	
597715	59695	
597716	345133	
597717	169145	
597718	1815	
597718	3566	
597718	74390	Márcia (segment "O Homem Que 
597718	222375	Renata
597718	287484	
597718	295095	Marlene
597718	379209	
597718	379244	Raquel
597718	383437	Belinha
597718	383677	Joana
597718	387201	Laura
597718	387900	Valquíria
597718	388416	Consuelo
597718	397440	
597718	398877	
597718	399490	Jerusa
597718	402266	Maria Luiza
597718	405100	Frieda
597718	409925	
597718	412305	Estela
597719	365388	Nadine Jackson
597720	226350	Young girl
597720	344243	Zuster
597721	400637	Charlotte Verbiest
597722	40594	Louise
597722	205577	Helène
597723	250638	Aesthetic maiden
597724	56750	Indian village mother
597725	152363	
597725	356817	
597725	367022	
597726	23685	
597727	38515	Mildred Berg
597727	46353	Mrs. Bennett
597727	78006	
597727	87341	Miss Willis
597727	107145	
597727	133456	
597727	159262	Nurse
597727	192380	Neurotic Woman
597727	260207	Hosquith's Secretary
597727	329946	Miss Shine
597727	330284	Matron
597727	336819	Barbara Wiley
597727	390175	Dr. Maggie Lawrence
597728	9128	Passenger
597728	45050	Union organizer
597728	257269	Villar
597729	89096	Flo
597729	152363	Julia
597729	157495	Notarismeid
597729	213564	
597729	356817	Wendla
597729	367022	
597730	249750	La mère du type à la moto
597731	152274	Susan's Mother
597732	211917	Mariette Vandensant
597733	11541	Reluctant Customer
597733	138238	Nora Coneeley
597733	220484	Social Welfare officer
597734	327831	Nurse
597735	266232	Alma
597736	104928	Lil Trancing
597737	26651	Dowager
597737	61738	Lady Eldridge
597737	64168	Ruth Roland
597737	80475	
597737	82628	Lady Tudworth
597737	90906	Lady Emily Scorrier
597737	107432	
597737	143057	Lavender Hathaway
597737	191721	
597737	209744	Cecilia
597737	224057	
597737	286123	Mrs. Durlacher
597737	302766	Louise Parker
597737	309274	Bit
597737	344669	
597737	349643	
597737	363651	Black Meg
597737	367569	Mrs. Lawson
597737	367901	
597738	30146	
597738	58519	
597738	62154	Mrs. Melsham
597738	73681	Miss Morrison
597738	104928	La Belle Lola
597738	114869	Lady Henrietta
597738	151118	
597738	158250	Delilah
597738	165464	Margaret
597738	168093	Lady Deadlock
597738	203893	Mrs. Ashton
597738	220942	Lady Clevere
597738	263266	Lady Barmouth
597738	335097	Miss Western
597738	362455	
597738	369181	Mrs. Linton
597739	228261	Herself
597739	228265	Herself
597740	156150	Nathalie
597741	188900	Smaak
597743	308382	Raider
597744	47004	Runway Model
597746	162608	Marguerite Fontaine
597746	200437	Laura Belmonte
597746	215894	Gladys
597746	234758	
597746	282118	
597746	319540	Gaby
597746	343999	Lisa Drummond
597747	72270	Mrs. Stacey
597747	78919	
597747	105288	Aunt
597748	302492	Village Maiden
597750	272537	Wyrubowa
597751	261820	Marceline
597752	62823	
597752	187066	Zwarte Hertogin
597752	312014	Patricia Haegeman
597753	211186	
597753	356078	Hantje
597753	357359	
597754	217629	Chantal
597754	409928	Greet Simoens
597754	411311	Nicole De Wolf (2001)
597756	220096	Sacha
597756	339353	Fiona Meadows (7)
597756	402187	Megan
597757	185639	Guest
597758	220096	Amber
597758	339353	Fiona Meadows (7)
597758	402187	Rosy
597759	82634	John's Discarded Wife
597760	33593	
597760	177647	Mrs. Ella Rice
597761	150880	Katie Flannigan
597762	49371	One of Don Sebastian's admire
597763	398962	Herself
597763	400305	Herself
597764	345554	Petite Liz
597765	97071	Hanne
597765	402588	
597766	35148	Mrs. Bowles
597768	202227	
597769	102551	Madame de Raillières
597770	374025	
597771	98772	Lill-Britt
597772	1092	Serving Girl
597772	18612	Cheerleader
597772	113386	Betting Clerk
597772	142621	Sage
597772	305691	Leah
597772	330799	Natalia
597772	339461	Ranessa
597773	339147	Catalina
597773	397024	
597773	401699	Karen
597774	30224	Cackle Sister
597775	30224	Cackle Sister
597776	21684	Secretaria
597777	73646	
597778	385883	Host
597779	74284	Stesha
597779	81330	Sexy Model
597779	91943	Ta Ta Leader Orbs
597779	110149	
597779	144180	
597779	201784	
597779	281347	Lemonjello
597779	320109	Phyllis
597780	80581	Patient #1
597781	765	
597781	786	
597781	2434	
597781	14117	Herself (Jewel DeNyle)
597781	33944	
597781	34630	
597781	34833	
597781	34906	
597781	57239	Herself (Jewel De'Nyle)
597781	91832	
597781	102790	
597781	150176	
597781	158266	
597781	233717	
597781	235147	
597781	282963	
597781	306908	
597781	349386	
597781	351701	
597782	176068	
597782	179688	Shanta
597782	209820	Mother
597782	317760	Koushalya
597783	358256	Sumi
597784	411428	
597785	149825	
597785	164359	
597786	65170	Eleanor Galash
597786	303022	
597787	79058	Ground Stewardess
597788	55344	
597789	20625	Extra
597789	177441	Princess Pha
597789	212242	Specialty Dancer
597789	257231	Mourner
597789	265265	Faradine
597789	291709	Spanish Girl
597789	308109	Slave Girl
597790	10698	Player
597791	242529	Lady #3
597792	274400	Woman in mall
597792	318729	Beautiful Lady
597793	169614	Truck Stop Waitress
597793	182955	Mrs. Lefferts
597793	328277	Gwen (night nurse)
597794	184981	Field Reporter
597795	73899	Jane
597795	78148	Maggie Anderson
597795	126700	Lilith
597795	149276	Marion
597795	273610	Hazel
597795	316140	Joan
597795	327829	Connie
597795	366427	Michelle
597795	382596	Hilda Blessington
597795	391869	Dawn Cook (1994, 1997)
597795	411809	Kim Stanton (1982)
597796	233929	
597797	55674	Graveside Mourner
597798	11451	Female Reporter
597799	117101	Traffic Policeman
597800	344652	Local Hypocrite
597801	175223	Woman in Bar
597801	305920	Blonde Reporter
597801	385739	Host
597802	74230	Naked girl
597803	2316	Gran
597803	16803	Mrs. Purcell
597803	141064	Mrs. Macroom
597803	229902	Birdie
597803	330771	Young Mrs. Kearny, Seamus' Mo
597803	403415	Mary Riordan
597804	279456	Fox Fur Woman
597806	343185	Eager Girl
597807	37691	Auditioning Girl
597807	37700	Sandi
597807	147252	Woman in Penthouse
597807	217389	Group Member #2
597808	390914	Veronica
597809	35481	Alice
597809	53301	Interviewee
597809	77205	Chloe Miles
597809	77751	Bernadette King
597809	116536	Villager
597809	189167	Auntie Aggie
597809	221000	Melanie
597809	267426	Mrs. Rawlings
597809	297802	Yvonne's Mum
597809	304764	Valerie
597809	312854	Brenda
597809	385020	Brenda Fearns (2003-2004)
597809	398296	Brucella Pashley
597809	400035	May Skinner (Series 1-2) (199
597809	405297	Stella Tulley
597809	405751	Caroline Dawlish
597809	406091	Marsha Klein
597809	409840	Madame de Saint Amour
597810	77203	Kerry
597810	249265	Club Receptionist
597811	72931	Goodyear Chorus Girl
597812	72931	Goodyear Chorus Girl
597813	45498	Milly Michaelson
597813	60360	Susan
597813	133743	Cammie
597813	192104	Barbara Kerry
597813	220024	Isobelle as an adult
597813	315263	Becky Noonan
597813	329946	Mary Beth
597813	380713	Lily Walsh Snyder Grimaldi Sn
597814	367083	Supporting Cast
597815	18310	DOJ Receptionist
597815	40179	Sarah/Matt's Date
597815	63099	Auror's Mom
597815	78991	Bathroom hooker
597815	223642	Mrs. Gwen Gates
597815	304820	Bank Teller
597815	347571	Diana Caffey
597815	374523	Gym Teacher
597815	400548	Liz
597817	213466	Street Kid
597818	221325	Old Susan
597819	291708	Mrs. America
597820	296912	Girl in Restaurant
597821	6464	
597821	58010	
597821	89997	
597821	108882	
597821	122517	
597821	209004	
597821	212407	
597821	214209	
597821	219416	
597821	219734	
597821	234042	
597821	247851	
597821	260949	
597821	266855	
597821	393803	Abuela
597821	397256	Fortuna
597822	73803	Ticket Agent
597823	100106	Angelina
597824	296107	Karen
597825	130179	Lucy Marlowe
597826	62997	Grace Smythe
597826	171297	Elevator Girl #1
597827	93532	Bar Patron
597827	176975	
597828	245889	Chldren's Voices
597829	257912	Rhonda Jones
597830	91795	Secretary
597831	158444	Polly Powers
597832	14005	Beatrice
597833	213105	Haley
597833	278082	Townie Girl #1
597834	4544	
597834	68232	Patricia McDowell
597834	70391	Princess
597834	92593	Barbara
597834	115887	
597834	158813	Erin Cortland
597834	224246	Kerry
597834	282928	Rochelle Bridges
597834	310728	Marifa
597834	326496	Rape victim
597834	363492	Angela
597835	101721	Alhambra Sister
597836	117633	Madame Pasquier
597837	205823	Judy
597838	66373	Handmaiden
597839	362984	Young Mary
597840	291021	
597842	40552	Waitress
597843	49728	
597844	55120	Tata's Girl
597846	147633	Cameo appearancce
597846	151769	
597846	289192	Paquita
597847	77805	Chorus girl
597848	259269	Kristy Bilden
597849	101721	Alhambra Sister
597850	81062	Dutch Villager
597851	208719	Bit Part
597852	80980	
597852	259955	
597852	323820	
597853	163544	Dancer, Dutch Girl
597853	168220	Neighbor
597853	255550	Ballerina
597853	313076	Dancer
597853	317354	Student
597854	10596	
597854	40441	Girl in Speakeasy
597854	69614	Noblewoman/Slave
597854	345860	Villager
597855	45015	Mother
597855	77845	Nellie O'Neil
597855	106659	Alice Murdock
597855	126112	Mary Barnett
597855	302016	Mary Chester
597855	333266	Helen Abrahams
597856	60461	
597856	310082	
597856	319515	
597857	147122	
597857	313833	Girl
597858	292641	Carol Thielman
597858	293126	Larry's Mother
597859	338833	The Girl (Amanda Knutsen)
597860	72855	Herself
597861	156785	Esther
597862	408193	
597863	405394	Charlotte
597864	107526	Jenny Merchant
597865	279483	Waitress
597866	40730	Perfume Clerk
597866	321486	Sales Associate
597867	79862	Young Susan
597868	165282	Herself
597869	193521	Mona
597869	196457	Mandy Anderson/Harriet Anders
597869	255654	Heather
597869	388672	Herself/panelist
597869	393777	Robbie Stevenson
597870	73815	Lady Jane
597870	106540	Victoria
597870	185451	Patricia
597870	187266	
597870	210497	Virginia Crawford
597870	253542	Mrs. Clay
597870	277258	Betsy
597870	299751	
597870	308362	Valeska
597870	314202	Dawn Meadows
597870	317975	
597870	339352	Susan Warrington
597870	359932	Sarah
597870	363727	Cynthia Goodburn
597870	364382	Caroline
597870	372315	Eileen
597870	382099	Laura Rowan
597870	388428	Belinda Harlowe
597871	39464	Diane Davis
597871	80865	Dr. Vivian Sheehan
597871	116776	Woman in restaurant
597871	385824	Laura Spencer Horton (#1) (19
597871	411819	Liz Forsythe Stevens (1964-19
597872	239970	
597872	274900	
597873	230385	Old lady in Post Office
597873	244352	
597873	292249	Spinster
597874	160375	Hooker
597874	222820	Nurse
597876	6188	Ruth Appleby
597876	99831	Evelyn
597876	327531	Witness Anny Sedal
597877	105131	
597877	247565	
597877	368592	Maid
597877	400551	Gladys
597878	75279	
597879	1875	Miss Johnson
597879	21547	Celia
597879	31427	Bridget
597879	79627	Miss Helen Carstairs
597879	114606	Kate's Mother
597879	138176	
597879	144991	Mrs Alice Thornton
597879	158625	Mrs. Gamsey
597879	164474	Mrs. Richardson
597879	185525	May Harmon
597879	190455	Miss Hawtree
597879	202960	Miss Bannister
597879	238991	Sir John French's Lady
597879	239562	
597879	245134	Mrs Malcolm
597879	248319	
597879	272230	Mrs. Palmer
597879	272529	
597879	282313	Mrs. Willis
597879	294215	Mrs. Dashwood
597879	315682	Mrs. Gilbert
597879	334134	Celia
597879	342469	Miss Burke
597879	355031	Mrs. Lomax
597879	360594	Mrs. Curtis
597879	367675	Isobel Mansell
597879	378755	Stella Graham
597879	381002	Alexandra Winfield
597879	381308	Mrs. Rudge
597879	392483	Lollia
597879	394214	Miss Wren
597879	395559	Anne Fellows
597879	396691	
597880	389196	Weather Reporter
597880	392662	Imus in the Morning Scum Repo
597881	16895	Vickie Darwell
597881	20502	Hortense
597881	41234	Mrs. Perkins
597881	46739	Bo Peep
597881	61163	Marion
597881	65706	Hilda
597881	92734	Pat, the secretary
597881	130243	Marna Roberts
597881	147418	Student
597881	150302	Gloria
597881	176846	Hatcheck girl
597881	230435	Pvt. Mickey Fogarty
597881	256592	Casilda
597881	270534	Joan Hughes
597881	279468	Airline Hostess
597881	313695	Nurse
597881	319065	Lola Gilette
597881	346367	
597881	356806	Shalimar
597882	167661	Herself
597883	78121	Fredricks
597883	230703	Lamaze Instructor
597883	249163	Detective Balkan
597883	297790	Prostitute
597883	305356	Wood Customer
597883	317551	Meter Maid
597884	308582	Marian
597885	26725	School Girl
597885	241574	
597886	115849	
597887	271232	Jo Ann
597887	301998	Jo Ann Dean, Jitterbug Skater
597887	320294	Spectator
597888	22886	Madame D'Artagnan
597888	75533	Mrs. Julia Farren
597888	88653	Mrs. Allen
597888	96940	Mrs. Belle Ryan
597888	99475	Mrs. Simpson
597888	100075	Archduchess Stephanie
597888	105975	Deria
597888	128896	Emily Matthews
597888	149191	
597888	151408	Herself
597888	169900	Molly Hanlon
597888	200304	Mrs. Wilton
597888	207982	Diana Rossmore
597888	232419	Addie Peabody
597888	237618	Madame Prideaux
597888	245121	Miss Ritchie
597888	252489	Old lady
597888	272241	Janet Osborne
597888	272534	Lady in waiting
597888	306795	Lady Doris Furnival
597888	372170	Aunt Clara Chauncey Chadwick
597889	72509	Whispering Girl
597890	301855	Stewardess
597891	307712	Bar Friend #2
597891	389269	Singer ((segment "The Cowboy 
597892	60800	Freshman
597892	242551	
597893	242551	
597894	75535	Party girl
597895	403487	Herself/X-Treme (2004)
597896	117314	Girl at Pool
597898	12256	Jeannie
597898	18959	
597898	23699	
597898	61156	
597898	63028	Voice
597898	90892	Barbara Ann 'Boopsie' Boopste
597898	96879	Child
597898	108087	Lisa Monroe
597898	108335	Ginger Ginetti
597898	220567	Alison
597898	224109	Sundance/Bushwoolie #2
597898	240554	Herself
597898	261053	Trisha Marcus
597898	309678	Linda
597898	379344	Nikko/Aliza Foxx/Jessica Foxx
597898	402174	Voice
597898	410971	Character Voices
597899	133371	Hooker #1
597901	88922	Sharon Watts
597901	96873	Sharon
597901	101387	Barbara Palmer (Lady Castlema
597901	382838	Dawn
597901	387247	Sharon Watts/Mitchell (1985-1
597901	390523	Lucinda Oliver (1984)
597901	391325	Chris Cross
597901	396147	Charlotte
597902	118272	Secretary
597902	309579	Bit Part
597902	361300	Bit
597902	367046	Gossip
597903	88561	Drugstore Lady
597903	253248	Groupie
597904	236117	Leering Lesbian
597904	245207	Kelsey
597905	279159	Jean
597906	88666	
597906	188393	French Maid
597906	210814	Woman
597908	269351	Lucille
597909	223893	CIC Nurse
597909	266545	The mother
597910	296336	Tank's "friend"
597911	33802	Madeleine
597912	27491	Emily Branton
597912	29082	Carol Grayson
597912	30255	Marquesa de Santella
597912	37319	Carlotta
597912	52523	Waitress
597912	56103	Guest
597912	82378	Francine Van Pelt
597912	83598	
597912	96670	Chorine
597912	108595	Linda Wharton
597912	110219	Natalie Craig (the FBI girl)
597912	113601	Nadine Connell
597912	120740	Gloria Starling
597912	132754	Script girl
597912	144462	Waitress
597912	154595	Saloon Singer
597912	175626	Cashier
597912	185462	Sarita McGuire
597912	186816	Cpl. Tootie
597912	192721	Junior League Girl
597912	193131	Ivy, waitress
597912	193855	Pat Wells
597912	196195	The Actress
597912	211687	2nd Brunet 'Watcher in the Wo
597912	214782	
597912	219410	Paula Cameron
597912	221161	Entertainer
597912	255521	Flo Klingle
597912	262072	Bit Part
597912	274058	Hazel Carter
597912	276691	Marge, saloon girl
597912	277222	Peaches
597912	278403	Lolita
597912	278541	Joy White
597912	288913	Tania
597912	292559	Rue Amboy
597912	295396	Mara
597912	298428	Martha
597912	302915	Deborah
597912	304283	Lily Gaylord
597912	312839	Ruth
597912	319611	Mrs. Benson
597912	323389	Claire
597912	323398	Bit Part
597912	323887	Betty
597912	338802	Nurse
597912	354479	Julie
597912	356298	Bit Part
597912	361774	
597914	87522	
597915	53787	
597915	73428	Helen
597915	304622	
597916	64090	Singer
597916	77476	Singer
597917	215903	Bit part
597917	277990	Neil Barclay
597918	88174	Francine
597919	371962	High Priestess
597920	404138	Otsuki
597921	223713	Wife
597922	5194	Marsha
597923	35821	Herself (Titanic survivor)
597923	194803	Herself (Titanic survivor)
597923	333885	Herself (titanic survivor)
597923	410874	
597924	47432	Calis
597924	105405	Prostitute
597924	168229	Alice
597925	32815	Red Cross representative
597925	158470	Secretary
597925	340439	
597926	294245	Josh's Mom
597927	220014	
597927	232088	Counter Girl
597927	358951	Carmen
597928	11177	
597928	11234	
597928	12224	
597928	27297	
597928	30057	
597928	31065	
597928	32634	
597928	32915	Esther Clay, the cheating wif
597928	33756	Mary, His Wife
597928	38607	Helen Wayne
597928	41505	A Page
597928	45429	
597928	46211	Jacala Auehli
597928	47416	
597928	49579	Dorothy
597928	49580	
597928	51873	Naida
597928	57201	
597928	69511	Dorcas Remalie
597928	73426	Bianca Schreber
597928	77933	Marie Duquesne
597928	86092	Anita Gray
597928	93655	Cassie Cook/Lucille Preston
597928	104960	Artist's Wife
597928	106194	Blue Jean Billie
597928	114848	Joan Lowrie
597928	117339	An Adventuress
597928	117443	Nancy
597928	130297	
597928	133368	Morn Light
597928	138159	Mrs. Graham
597928	140789	Alice Kent
597928	140815	
597928	141648	
597928	142145	
597928	146164	
597928	147722	
597928	149199	
597928	151312	
597928	155993	
597928	163355	
597928	167289	Margarita Solano
597928	178124	Ruth Orton
597928	178706	
597928	178757	Miss Porter
597928	178940	
597928	179010	
597928	186348	Jane, Captain Andrews' Wife
597928	191231	
597928	195323	
597928	196286	
597928	216801	
597928	219197	
597928	219899	Ardath
597928	234191	
597928	245509	Molly Madden (Silky Moll)
597928	246599	Marie
597928	259390	
597928	263353	Gertie Jones
597928	276055	Fay McMillan, later Laura Fig
597928	291959	
597928	297938	Daphne Trowbridge
597928	301844	Doris Macon
597928	301883	
597928	303073	Dolores
597928	305073	Wife
597928	307977	
597928	310792	Emily Dale
597928	315517	Kate Masterson
597928	338268	Bettina Moore
597928	338850	
597928	343136	
597928	343282	Joy Fielding/Edna
597928	346184	Cigarette
597928	355042	Sari
597928	361616	Freddy Hayden
597928	363151	
597928	363535	Mary Butler
597928	364038	Sylvia Donovan
597928	364062	
597928	364694	
597928	364723	Mary Stevens
597928	365292	Lady Vivienne
597928	365551	Colette
597928	366864	
597929	158270	Delores Purdy
597929	314098	Mamie Callahan (Glenda's daug
597929	365733	Jennie
597929	372729	Joanne
597930	133933	Dorothy Manton
597930	199768	Laurentia/Laura Grimm
597930	211756	Minnie Talbot
597930	266189	Carlotta Darley
597930	315167	Alice Hunt
597930	366189	Alice Prentice
597931	8243	Woman
597931	82460	Dara's Friend
597931	147651	First Reporter
597931	335345	Claire Daggett
597933	47563	
597933	65198	Milly Beal
597933	208944	Selina Sieppe
597934	238737	Dos
597935	126710	Sheila
597936	49196	
597936	326521	
597937	85992	Barbara
597938	53059	Hippie on hill
597939	39410	Police Officer
597939	176874	FT groupie
597939	189920	Reporter #3
597939	258098	Sandy
597940	354791	Helen Devaux (agency model)
597941	391071	Scarlett Taylor
597942	3163	Hollywood Prostitute
597943	143651	Dancer
597944	34638	Gladys Herdman
597945	70491	
597945	323868	
597946	91903	Beach Bunny #2
597947	50509	
597947	239879	
597947	309230	
597947	309231	
597947	364756	
597947	391803	Herself
597948	251194	Change Girl
597949	79655	Mme. Deveaux
597949	96991	Marion Whittaker
597949	302169	Charlotte Corday
597949	324228	Katherine
597950	110373	Kid
597950	230622	Herself - Child Violinist
597951	20625	Extra
597951	400805	
597952	2419	
597952	137473	Nanette
597952	162395	
597952	206391	
597952	292403	
597952	295284	Girl proposed to on golf cour
597952	297644	June Marstoon
597952	298608	Girl who loses dollar outside
597953	49223	
597953	364213	Sadie Sucker
597954	154113	
597954	228218	Maria
597955	385094	Finalist 2003
597956	2419	
597956	50655	Daughter
597956	84947	Juvenile Witch
597956	85015	Merrill Waverly
597956	112479	
597956	112523	Betty Bingham
597956	123131	Princess Iris
597956	134287	Betty Taylor
597956	224643	
597956	292558	Ruth Bryson
597956	295284	The refuser
597956	309833	Jane Wilson
597956	310814	Tena Lucian
597956	340325	
597956	341016	Telephone Operator
597956	359805	Alice Burton
597957	154113	
597958	270271	Bit Part
597959	61418	Hooker
597960	126619	Cage Guest (segment "Violet t
597961	78861	The Dark Lady
597961	80805	Mrs. Smythe
597962	3264	Suzie
597962	12244	Party Girl
597962	119437	Tracy
597962	128596	Diane
597962	213226	Joan
597962	220545	
597962	257107	Jeanette Glynn
597962	258283	Jodi/The Gimp
597962	334274	Harriet
597963	128152	Showgirl
597963	163431	Young Girl
597963	206355	Bridesmaid
597963	209660	Show Girl
597963	223019	Orchestra Member
597964	320106	Carol
597965	1999	Young Lily
597965	129113	Cousin Gina
597965	400209	Zoe Manning
597966	346241	Lady in hardware store
597967	194616	
597968	128271	
597970	26817	Bonnie Jones
597970	36870	Bonnie Jones
597970	44570	Bonnie Jones
597970	59599	Louise Norman
597970	78528	Bit
597970	97669	Bonnie Jones
597970	105227	Bonnie Thompson
597970	114059	Trudy Wells
597970	115064	Princess Aura
597970	128889	Fritzi
597970	150479	Bonnie Jones
597970	176727	
597970	177364	Phyllis Sears
597970	195951	Bonnie Thompson
597970	227351	The false Nancy Steele
597970	238633	Bonnie Jones
597970	241444	Girl in band
597970	253095	Princess Aura
597970	262321	Peggy Shaw
597970	264567	First Girl in Bridge Game
597970	267542	Princess Aura
597970	285351	Bonnie Thompson
597970	339844	Bonnie Thompson
597970	346220	Betty Madison
597970	372238	Doris Squire
597971	83113	Rose
597971	83114	Rose
597971	350641	
597971	350646	
597972	183738	Bernice Tuttle
597973	9142	Ma Lucci
597973	12737	
597973	42716	
597973	45299	
597973	73217	
597973	82655	
597973	91854	Melanie Atkins
597973	102964	Barmaid
597973	130316	Ned
597973	138992	Secretary
597973	141596	Secretary
597973	208930	
597973	217419	
597973	247453	Morticia
597973	281441	Janet
597973	366427	
597973	382312	Debbie Morley (1977)
597973	383882	Sharon Taylor
597973	390778	Morgana Le Faye
597973	411245	Janet (episode 1: Room to Mov
597974	171791	Bank receptionist
597975	42278	Mrs. Pompianno
597975	47334	Johnny's Mother
597975	72065	Aunt Sofia
597975	112400	Vera D'Angelo
597975	218848	Old Crone
597975	245140	
597975	269667	Mama DeFalco
597975	270622	Rocco's Mother
597976	18	Jackie
597976	18598	Sarah Decker
597976	26423	Dinah
597976	316211	
597977	4701	
597977	56961	Herself
597977	56962	Herself
597978	195209	Margot
597979	50801	Blonde
597979	55671	Elsie's Roommate
597979	74288	Cigarette Girl
597979	83787	Telephone Operator
597979	95532	Mrs. DePuyster
597979	117295	Cafe girl
597979	120010	Student
597979	128894	Nell
597979	131005	'Gorgeous' Goldwyn Girl
597979	134553	
597979	154916	Check Girl
597979	207938	Diana
597979	223398	
597979	230953	Girl with Oliver
597979	231317	Bit
597979	232492	Co-ed
597979	262310	Girl on bus tour
597979	286334	Girl in Quartet
597979	287946	Miss Hill
597979	288019	
597979	313377	Girl in Bob Hope skit
597979	317429	
597979	321313	Receptionist
597979	325154	Cigarette Girl
597979	340853	Girl
597979	354850	Miss Katsby
597979	361681	Young Girl at Bar
597980	225769	
597981	274521	Theresa
597982	128303	Stephanie
597983	68063	Maria
597983	228264	Herself
597984	384621	Fabienne
597985	297190	Helga the Maid
597986	16901	National Anthem Singer
597986	365142	Swoon Girl #1
597987	64400	Nun
597988	31220	Debby
597988	52145	Jo Grant
597988	129826	2nd Child
597988	134127	Vicky
597988	181155	Ann Sorell
597988	213872	Liz
597988	232410	Janet as a Child
597988	267106	Elizabeth
597988	379271	Frederica 'Fred' Somers
597989	188453	Opening Sequence Girl
597990	74281	Voodoo Dancer
597991	155859	1st Class Hostess
597991	169477	Trog Woman
597991	231503	Tricia Wigg
597991	333424	2nd Technician
597991	365142	Diana Pierce
597992	226870	Lydia Love
597993	134128	Polly Andrews
597994	52105	Shop Assistant
597994	65200	Mrs. Moore
597994	68239	Pauline
597994	208034	Pauline
597994	219769	Mrs. Windsor
597994	333868	Mrs. Gilroy
597994	340583	Fidelma
597994	365138	Sister
597994	402776	Sister Cecilia
597995	121351	Nancy Roberts
597995	156501	Diane
597995	168237	Jenny
597995	185131	Lauren
597995	222737	Jenny Burnell
597995	224506	Julia
597995	300343	Mrs. Coleman
597995	314982	Nancy McNaughton
597995	330580	Dr. Kennedy
597995	334278	Mary
597995	340499	Joanna
597995	368210	Kate
597995	389867	Kate Wilson (1990)
597995	394848	Kristy in ('Magic Mongo') (19
597996	116796	Shop Assistant
597997	81113	Nurse
597998	80065	Jackie's Mom
597999	160344	Hooker No. 2
598000	404471	
598001	35585	Ann LeBarbe
598001	54944	Gladys Bush
598001	223946	Aimee Delaporte
598001	333600	Undetermined Role
598002	41698	Cypress
598002	77805	Chorus girl
598002	119536	Linda
598002	128256	Emmy Lou Bentley
598002	128889	Student
598002	133443	Bruce's girlfriend
598002	133766	Debutante
598002	147665	Girl with Michael at Annivers
598002	150575	Miss Wilson
598002	152221	Girl
598002	154692	Girl at Table
598002	218717	Miss Martha Winton
598002	222740	Mrs. Percy
598002	223970	Sally's friend
598002	274502	Stenographer
598002	324054	
598002	329480	Model
598002	348384	Martha Graham
598002	360420	Blonde
598002	365087	Mrs. Price
598003	51483	Susan
598003	56750	Soap opera woman
598003	68455	Nurse
598003	99044	Beth
598003	149107	Soap Opera Actress
598003	152319	Extra's Mother
598003	317916	Margie Tanen
598004	390148	
598005	118378	Lena as a Child
598005	220951	
598006	297754	Kitchen Dead
598007	185827	(segment "Agricultural Caress
598007	381661	Various Roles (1975)
598008	93594	Pianist
598009	64735	
598010	405048	Reporter
598011	7060	Isabella Wardle
598011	7820	Lady Louise
598011	35742	Margaret Calvert
598011	59371	Chappy
598011	88070	The Shopgirl
598011	125532	Betty Broughton
598012	144406	
598012	285752	Agnes
598012	390032	Tessa Oliver
598013	321082	Mrs. White
598013	405962	Clara Dawes
598014	61706	Alex
598014	190869	Additional Voice
598015	61706	Alex's mom
598016	205254	Ginny
598017	291114	Mialee
598018	126067	Hawaiian Girl
598018	274401	Hawaiian dancer
598019	91943	Lingerie Woman 3
598020	277746	Happy Kid
598021	371807	
598022	19179	Receptionist
598023	41398	Woman Victim
598023	101820	Nurse
598023	103472	
598023	276610	Margarette
598023	383197	
598026	131665	Lydia
598026	178994	Sandy
598027	356325	Ann
598028	359568	Remo's Mother
598029	340827	Lip-Syncher
598030	310974	
598031	890	Fan/Speaking Part
598031	125578	Female Theater Worker
598032	11963	Junkie
598032	279185	Jamie
598033	205236	
598033	346823	Herself
598034	199272	Mrs. High Hat
598035	116811	
598035	139300	
598035	162302	Carmen
598035	171134	Dancer and singer at girls sc
598035	241883	Marina
598035	277478	Woman in black with baby Rhin
598035	316325	Hat Check Girl
598035	359421	Dance hall girl
598036	185385	Bouncer
598036	312977	Lacy
598036	318717	Patty
598036	340225	Latin Mama
598037	62391	Alice Sanderson
598037	64532	Doraldina
598037	66630	
598037	109867	Margie
598037	112463	The Girl
598037	130612	
598037	186363	Goldie
598037	217187	Jees Uck
598037	299694	
598037	307690	Mary Bell
598037	337651	Sally McCoy
598037	367308	
598038	92618	Patient With Cane
598038	139135	Mrs. Bentson
598038	164992	Woman
598038	193521	Receptionist
598038	228458	Lou Ann
598039	212668	Matron
598040	311977	Female Vocalist
598041	380391	Gloria Norris (1990)
598042	378659	Herself (2002-2003)
598043	21057	La secrétaire de production
598043	351784	La secrétaire
598044	7051	
598044	117576	
598045	148643	Camille
598046	255567	Mere De Pierre
598046	318492	Mme Lobjois
598047	255567	Carole
598049	30817	
598049	97064	The cousin from Rochebrune
598049	122923	
598049	124325	Monique Sorbier, 'la garçonne
598049	166123	Victoria Martin
598049	170112	Agnès Bernauer
598049	202105	
598049	205212	Portia
598049	248419	Mme Clément
598049	260861	Martine
598049	263630	
598049	292380	Geneviève d'Éon
598049	294565	Camille (segment "Envie, L'/E
598050	219702	
598050	366097	Angelina Seri
598051	958	Herself - Presenter
598051	220206	Herself
598051	220212	Herself
598052	44384	Mrs. Rivera
598052	112192	Señora De Leon
598052	158920	Spanish Soap Opera Actress
598052	205691	Eugenia
598052	263481	Mrs. Cruz
598052	358587	Mrs. Mendez
598052	362512	ICU Nurse
598053	353845	Secrétaire Gassot
598054	409760	
598055	367951	Herself
598056	93097	Frankie's Mother (photo)
598057	363442	Eshter
598057	406188	Tafia
598058	132739	Alice
598058	139676	
598058	168766	Francis
598058	196617	Leona
598058	257133	Flora
598058	358461	
598058	359311	Dolly Two Owls
598058	381876	Sits Green on the Earth
598058	406188	Mavis
598059	15231	Susan
598059	26672	Donna
598059	89862	Cali
598059	154450	Jenny
598059	183876	Tease
598059	186447	Maria, Evan's Secretary
598059	199098	Cassie Ann
598059	249500	Angel's Sister
598059	279137	Girl in Limo 1
598059	294509	Darlene
598059	303832	Cordero
598059	310423	Showgirl #2
598059	311952	Serenity
598059	318464	
598059	365664	Melanie
598060	202527	Herself
598060	202528	Herself
598061	70589	Mme Decazère
598062	120840	Vera McCann
598063	46893	Mrs. Harris
598063	50178	Bus Woman
598063	97611	Staff Nurse
598063	195490	
598063	220921	Traffic Warden
598063	228295	Nurse Lake
598063	306620	Iris
598063	363043	Nurse
598063	401516	Bertha
598063	411300	Prison Officer Carto (1975-76
598064	15015	Camille
598064	71827	Sophie
598064	77364	Isabelle
598064	87692	Alice Martineau
598064	96190	Jeanine Seban
598064	97074	Clara Ceccaldi
598064	101176	Odile
598064	144321	
598064	160206	Olivia
598064	247979	Caroline
598064	257007	Anna
598064	311261	Fabienne
598064	337032	Chloé
598064	345111	Sophie Valette
598064	346526	Emmanuelle
598064	346646	Ingrid
598064	378082	Sandra
598064	396944	Françoise Favier
598064	409462	Marine
598065	4693	Janice
598065	53931	
598065	78495	Herself (performing: 'Mediesh
598065	81374	
598065	97032	Stacey
598065	127281	
598065	132123	Bellhop
598065	138716	
598065	140641	Erica Phillips
598065	140642	Erica Phillips
598065	226953	
598065	228244	Herself
598065	257507	Debbie
598065	260429	Little Model
598065	277086	
598065	302303	Luiza
598065	309231	
598065	351185	Jessica
598065	369979	Chapeuzinho Vermelho
598065	369980	Nanda
598065	369981	Nanda
598065	409057	Debby
598065	411603	Various
598066	105851	Nancy
598067	80273	Chloé
598068	377736	Cécile
598069	92899	
598070	186740	Woman in booth
598071	315602	Katharina
598072	36833	Nancy
598072	39108	Marcia
598072	41364	Cheri
598072	60341	Debbie Williams
598072	66123	Fern
598072	116045	Hitchhiker
598072	117112	Ginger Blakely
598072	154709	Cindy the Hooker
598072	174644	Sally South
598072	190209	Toni Blasdell
598072	190345	Fiona
598072	201035	Lucy
598072	209218	A. L.
598072	281511	Melody
598072	318195	Helen Malloy
598072	365827	Rena
598072	411802	Pam Warren #2 (1982)
598073	289253	Masseuse
598074	206864	Gypsy Girl
598074	280286	Rocky's Sister
598074	404622	Gypsy Girl
598075	254170	Une danseuse
598076	345133	
598077	93789	Terri
598077	302524	
598078	59482	Elsie Pester
598079	234226	Tracy
598080	403043	Herself (2000-)
598081	92899	
598081	145183	Maria Sol
598081	345525	Une standardiste
598082	82464	
598083	215366	
598084	71835	
598085	50509	
598085	243529	
598085	343716	Frøken Olsen
598085	375116	Girl in the bar
598086	23539	Young woman by swimming-pool
598086	78538	Louison
598086	91973	Marianne
598086	132597	Midinette
598086	249072	(segment 2)
598086	269822	Alice
598086	355867	Gisèle
598086	401053	Corinne (1982)
598087	95489	Ruby O'Dowdle
598088	164145	Fanny
598088	378059	Julie
598089	232680	Alicja
598090	159065	Dil's step sister
598090	247347	
598091	257673	Additional Talent
598092	192545	CNN Office Girl
598092	306844	North Africans
598093	268074	Dancer
598094	387249	Herself
598095	301984	Passante chic et sympa 3
598096	362080	
598097	326242	Girl #1
598098	275346	Woman in commercial
598099	386803	
598100	170451	Skater
598101	351550	Loumia
598102	45688	Madame Yuppie
598103	206591	Elsie
598104	191291	Susan as an adult
598105	212799	Hooker/Party Girl 3
598106	134560	Roberta
598106	331206	Venice Dancer
598106	351766	Herself
598107	173053	
598108	299393	Benda Sviben
598109	273157	Slit wrist girl corpse
598110	251296	Éducatrice
598111	280298	Cousin Sophie
598112	196117	Hooker #2
598113	968	Grace Fisher
598113	1038	Arlene
598113	16803	Mrs. Leibowitz
598113	67863	Casting Assistant
598113	68308	Receptionist
598113	84956	Nurse #2
598113	106378	Pam
598113	169991	Lisa
598113	182999	Guidenace Councelor
598113	233676	Girl in Bar #2
598113	255345	Rosie
598113	279168	Sara
598113	322886	Abigail
598113	330773	Linda
598113	340901	Nurse
598114	15093	Angela
598114	72062	
598114	148719	
598114	164169	A follower of Rasputin
598114	345489	Young woman
598115	58305	Catherine
598115	72056	Mère de Philippe
598115	157115	L'infirmière
598115	219458	Dogman's wife
598115	254094	Sybille
598115	336641	Mendiante Metro
598116	63424	Ass-Slapped Girl
598117	182332	Zjackie Pas
598118	136737	Azucena
598119	6251	Herself
598119	30067	Dorothy
598119	37028	Dorothy
598119	38710	Dorothy
598119	41146	
598119	43376	Girl Getting Lola's Autograph
598119	62649	Dorothy
598119	89310	Dorothy
598119	114362	Dorothy
598119	116107	Dorothy
598119	117748	Dorothy
598119	119482	Dorothy
598119	119531	
598119	142686	Dorothy
598119	149291	
598119	176319	Dorothy
598119	183308	Dorothy
598119	191750	Dorothy
598119	195500	Echo
598119	210815	Child
598119	222987	Dorothy
598119	260112	Dorothy
598119	267394	Dorothy
598119	273205	Dorothy
598119	282669	Gloria
598119	290396	Echo
598119	299388	Dorothy
598119	305042	Herself
598119	310384	Dorothy/Little Eva
598119	326407	Echo
598119	395744	Dorothy (1930-1933)
598120	308939	Theater extra in front of Mae
598121	261850	
598122	333443	Catherine Elliot
598123	98990	Brunette Hallway Siren
598124	60950	Sara Jean
598124	147078	Gracie
598124	329519	Opal Nelson
598124	389858	Sharon McGillis Pinkham, R.N.
598126	201177	
598127	114310	Herself
598127	326386	
598128	120979	Petite-fille de Jean
598129	165243	Andrée
598130	60266	Woman
598130	68153	Veronica Gray
598131	211679	
598132	384590	Herself
598133	122376	
598133	377712	Honorine
598133	382480	La soeur de l'hôpital
598133	388311	Mme Lavenanet
598133	410473	
598134	15429	
598134	125986	1st Cleaning Lady
598134	221142	
598134	396887	Pilar Ballesteros
598135	214874	
598136	13095	
598138	59215	Jean Vaugeois
598138	335898	
598139	327548	Mamé Courtois
598139	354151	
598140	199460	Joanne
598140	318181	Charlotte Stebbins
598141	105222	Attorney
598141	244379	Factory Worker
598141	340799	Swiss Aristocrat
598142	88333	Betty, patronne du Normandie
598143	147976	Klen's Lover
598145	333463	
598146	179288	Natacha
598147	145663	Belle
598148	169514	Olive Oil Vendor
598149	220968	Margaret Bolamano
598150	190006	Mrs.Wynne
598151	218284	Administrative Worker #4
598151	346503	Suzanne
598152	279329	Cantina Waitress
598153	286423	April
598154	18567	Journaliste
598155	2252	(segment "Teuf d'enfer, La")
598156	74786	Olesia
598156	200452	Linka, Woda
598156	258797	Julka
598156	266019	Discjokey
598156	369351	
598157	359585	Flamenco Dancer
598158	279644	Herself
598159	68274	Soldier
598160	72571	Bolanne
598160	280196	Ykaterina
598161	196843	Muriel Vane
598162	118303	French Girl
598162	252528	Dancer
598162	385824	Delia Abernathy (1982-1984)
598163	111043	La Boulangère
598163	337003	Mme Huart
598164	348104	Klärchen Höppner
598165	348104	Klärchen Höppner
598166	198639	
598167	47343	Singers in Ted Fio Rito's Ban
598167	313336	Themselves
598168	31045	Gaia
598169	108483	
598169	352465	Gang Girlfriend #2
598170	130239	Sopran
598171	101235	
598171	266300	
598172	207297	Antoinette
598172	388419	
598172	388419	(segment "Le mort qui tue")
598172	408651	Mme Baluze
598173	104695	Herself
598174	194136	Express Delivery Person
598175	84925	
598176	1036	Hilda Zorba
598176	37104	Claire Bellcap
598176	41273	Edith Miller
598176	45232	Bessie Kirby
598176	50919	Mother Winfield
598176	60343	Minna Fields
598176	64930	Mrs. Slade
598176	68324	Hilma Arnesen
598176	77963	Dr. Jane Silla
598176	106614	Vera Hoffman
598176	120645	Martha Beesley
598176	147391	Berta Kurz
598176	170720	Messua
598176	190193	Peg Riley
598176	194176	Mama Miller
598176	201068	Mrs. Craig
598176	203337	
598176	204883	Lucy Hamilton
598176	211589	Lillian Miles, aka Lillian De
598176	231970	Annie Ainley
598176	232285	Thalia Shawn
598176	234910	Lucy Talbot
598176	240569	Alice 'Mother' Winfield (Mrs.
598176	262265	Ellen Macy
598176	263593	Virginia Pfeiffer
598176	277447	Momma Rose Gershwin
598176	288737	Aunt Lucille
598176	289419	Charlotte Grant
598176	291368	Herself
598176	305621	Mrs. Smith
598176	306490	Aunt Laura Stokley
598176	315721	Mrs. Charles S. Howard
598176	316444	Mrs. Thorne
598176	330797	Ethel
598176	333277	Agnes
598176	335726	Mrs. Enright
598176	338800	Samuella
598176	342901	Nan
598176	360834	Anna
598176	370555	Nellie Cohan
598176	395562	Peg Riley (1949-50)
598176	401346	Aunt Helen (1968)
598176	407934	Helen Marie (1966-1971)
598177	12252	Club Waitress
598178	309718	Miss Dunn
598179	11	Dora
598179	20316	Girl
598179	21300	Girl
598179	36841	Girl
598179	42023	Bit Part
598179	45494	
598179	48558	
598179	51885	Girl
598179	67156	
598179	79371	Girl
598179	126274	
598179	132821	
598179	150586	Nurse
598179	155846	Dancer
598179	156464	Girl
598179	177368	
598179	183853	Bit Part
598179	200478	Undetermined Role
598179	249021	Dancer
598179	279441	Native dancing girl
598179	280895	Girl
598179	289236	Girl
598179	289422	Bit Role
598179	302629	Bit
598179	312584	
598179	331123	
598179	331762	Chorus Girl
598179	333655	Undetermined Role
598179	340370	Girl
598179	347411	Bit
598179	372050	Cigarette Girl
598180	22932	Gypsy Girl
598180	135513	Woman with Baby
598180	275407	Ann
598180	317816	Andrea
598180	366572	Chateau Marmont Manager
598180	388447	Pam
598181	287221	
598184	79761	Party Guest
598184	131372	Receptionist/Outsider
598185	303264	Mrs. Strong
598186	606	
598187	13298	
598187	35150	Little Fawn
598187	114620	Timid little girl
598187	146266	The Blacksmith's Daughter
598187	191707	Girl
598187	329495	
598187	353288	Arabella Wilmot
598187	368372	Rollins' wife
598188	345466	Pierrot
598189	145113	Priscilla
598189	330391	Joy
598190	845	The Bus
598191	87429	Trisha
598192	13736	Female Moring Host
598192	79675	Washington Politician
598192	137449	Indianapolis TV Repoeter
598192	209133	Taylor Wedell's Mom
598192	214455	Eleanor
598192	274476	Morgan Spokesperson
598192	287781	Sister Greta
598193	196820	
598194	68520	
598195	279709	Patricia
598196	84762	Magda
598197	245673	Themselves
598198	104337	Kay Holden
598200	91881	Fiona
598200	194963	Production Assistant
598201	23646	
598201	205610	La soeur
598202	240058	Jean's Mother
598203	11911	Rose
598203	150047	
598204	246653	
598205	79529	Doris
598206	196442	Maria
598207	272920	Herself
598207	364294	Herself
598208	378770	Herself
598209	20666	
598210	380531	Helen
598210	382741	Diana
598210	385184	Catarina's Mother
598210	386757	Liliane
598210	387901	Renata
598210	388721	Valdete
598210	391673	Maria Vieira Salles
598210	391675	Vasti
598210	396610	Lorena
598210	396718	Arlete
598210	398503	Maria Helena
598210	402504	Alexandra Peres
598210	411585	
598211	1179	Andrea
598211	137425	
598211	216759	
598211	242677	
598211	383811	Lola Meráz (1998-2002)
598211	395300	Mujer de Valente
598211	397019	
598211	398801	Rocio
598211	402050	Lolita
598211	402404	
598211	404851	Raquel
598212	280513	Singer
598213	243296	Hélène Lehman
598213	327892	Clementine, Actress
598213	340291	Anne Lawrence
598214	247977	
598215	64659	Floune
598216	14200	
598217	402131	Balerina
598218	362347	Herself (The Colorist)
598219	363355	Sara
598220	5868	
598220	41857	Ariana
598220	80831	
598220	205720	Marie
598221	25192	Starlet
598221	97042	Jeff's Wife
598221	345806	Herself
598222	151187	Rita
598222	155888	Annie Ross (segment "1952")
598222	176713	Miss Paula
598223	300075	Miss Jube
598224	295081	Blonde
598225	322760	Françoise
598225	338332	Secrétaire de Paul Mantoux
598226	61855	Rita Chandler
598227	145066	Girl at Pool
598228	201112	Extra
598229	317309	Bonnie & Clyde Musical Audien
598230	106597	Popular Girl
598231	16450	Eileen
598231	54673	Mrs. Conway
598231	148316	Mrs. Laughton
598231	190139	Violet Eldred Gesteten
598231	222575	Pat's Mother
598231	233782	Judge Bowman
598231	263168	Mrs. Pelotti
598231	300893	Vera Davis
598231	364513	Doreen Hinkle
598231	397832	Mrs. Holt
598232	328630	Little Girl Saluting
598233	127129	Flora Tompson
598234	232818	Jeff's Wife
598235	333392	Zulo
598236	271215	Tracy
598237	823	
598237	49642	
598237	243473	
598237	297996	
598238	40795	Waitress
598238	367083	Dancer
598239	362597	Waitress
598240	29956	Drunken blonde
598240	35149	Janet Hillyer
598240	74213	
598240	85122	Madeleine Braun
598240	111933	Lydia
598240	162579	Gillian Vining
598240	163357	
598240	193519	Jean Farlow
598240	203707	Sheila
598240	209600	2nd Girl in Restaurant
598240	218317	Diana
598240	222594	Frankie
598240	281515	
598240	286909	Shopgirl
598240	288676	Mike
598240	342900	
598240	363242	Paula Ryngelbaum
598240	365716	Angel
598240	370533	Gloria
598240	372147	
598240	381557	(Series 2) (1953)
598240	410261	Stephanie Ames (1956-1957)
598241	56880	Brisbane's Secretary
598241	285322	June
598242	409846	Various roles
598243	127129	Mary Collins
598244	139611	Handmaiden #1
598244	259775	Mrs. Beemer
598244	338613	Annina
598244	338614	
598246	66349	Sportsman's Lounge Waitress
598246	340351	Noémie
598247	276085	Big Tim Party Girl
598248	34417	
598249	97458	Lauret
598250	132037	Amazon Leader
598251	403487	Herself/South Pacific (2003)
598253	204583	Baby Store Customer #1
598254	11464	Claire
598254	275433	Monique Klein
598254	335336	PR lady
598254	381907	Herself - Host (1999)
598255	409625	Eva Wagner (2001-)
598256	343578	Vendeuse
598257	401968	Herself (2000-)
598257	404953	Herself - Reporter
598258	75568	Miranda
598258	114094	Cassie
598258	210224	Catriona
598258	230807	Judy
598258	292469	Andrena
598258	391869	Selina Cook/Roberts (#1) (199
598259	363407	Reporter
598260	174172	Dancer
598260	365485	
598261	154799	
598262	198310	La comédienne
598263	12472	
598263	52856	
598263	89463	Keeke Mulder
598263	126826	Miss Bennett
598263	160842	Marthe
598263	231691	Anna
598263	367022	Gipsy
598263	402766	Lucienne
598263	402767	Lucienne/Herself
598263	409192	
598264	70416	
598264	400216	Cecile
598265	255557	
598266	99268	Prostitute
598266	105579	Receptionist
598266	107528	Mother
598266	297922	Receptionist
598266	326453	Receptionist
598266	336445	Prostitute
598266	376188	Driver
598266	406203	Ilse De Winne (2003-)
598266	411311	Karin (1997-1998)
598267	111688	
598268	58415	Sylvie
598269	332224	Simplicie
598269	339493	Madeleine
598270	398046	Herself (1998)
598271	2748	
598272	201346	Majorette
598273	20906	La comédienne du train
598273	51505	Frédérique Castelli
598273	88063	Claire
598273	164149	Sonia
598273	331285	Cathy
598273	383305	Frédérique Castelli
598274	314847	
598275	269726	La première patiente
598276	33510	Misha
598276	99311	Debbie
598278	111952	
598279	129189	Herself
598280	199639	Bean Dip
598281	385575	Michelle Shield
598282	39840	Member of the Algonquin Tribe
598283	264785	Leather weather lady
598283	270440	Tanya (Noir Leather Employee)
598284	4645	Pauline
598284	72894	
598284	73164	
598284	74345	
598284	88064	
598284	112853	Maman Damloup
598284	148742	
598284	375728	
598285	249074	Herself
598286	245950	
598287	114526	Girl
598287	219549	Kitana/Mileena
598288	283887	Little Girl
598289	274751	Young Eileen
598290	83651	Evon
598291	210754	Christiana
598292	53054	Miriam
598292	156860	Vampire
598292	186207	Waitress (Zachs)
598292	209178	Girl
598292	273616	The Voice of Kimberly Matthew
598292	286119	
598293	40226	Mary Brown
598294	10727	Victoria
598295	32601	Champ's Wife
598295	337685	Lucy
598295	405073	Woman #1 at Rally
598295	408711	Lucy
598296	371374	Extra
598297	71487	The lady in the bar
598298	187172	Reporter
598298	271331	Reporter #7
598299	194938	Villager
598300	2252	(segment "Flic, Le")
598300	193508	Amie Adrien
598300	240429	
598301	86319	Uschi
598302	39581	
598302	101235	La vieille
598302	226420	Teresa Plinska
598302	231681	
598302	300056	
598302	404216	Urszula (2003-)
598303	104045	Esther as a child
598304	368600	Follower
598305	85137	
598306	112632	Lisa
598306	231426	Rene
598307	6288	
598308	181139	
598308	233455	
598308	303875	
598309	51451	Fille suiscidaire
598310	389959	
598311	56426	Belly dancer
598312	349421	
598313	69522	Nelly
598314	115728	
598315	30096	
598315	381161	
598315	383720	
598315	386407	
598315	396547	Mila ... Olgina sluzavka
598315	397987	
598315	400481	Lence
598315	401991	Lence ... Jocina zena
598315	402022	Jasmina
598315	402025	
598315	402026	Olgina prijateljica (II)
598316	89871	Marie
598317	340835	Herself (Mogadishu Community 
598318	332405	
598319	191394	
598320	9389	Mollie
598321	381909	Herself (11th Evicted, 75 Day
598322	126604	Newscaster #3
598323	273436	
598323	402998	Herself/Road Rulers
598323	403487	Herself/Islands (1997)
598324	128511	Debbie
598325	251016	Bewoner instelling
598326	236066	
598326	323333	
598327	187970	Uciteljica
598327	192892	Mlada
598327	271379	
598327	294156	Postarka
598327	313618	
598327	320492	
598327	406316	
598329	378659	Herself (2001-2002)
598330	7740	
598330	7742	
598330	7743	
598330	7744	
598330	7746	
598330	7747	
598330	7750	
598330	26118	
598330	26485	
598330	27021	
598330	34740	
598330	34876	
598330	39234	
598330	39358	College Student
598330	39946	
598330	40009	Latin Virgin
598330	40430	
598330	44651	
598330	55298	
598330	59850	
598330	65794	
598330	67071	
598330	69774	
598330	71492	Waitress
598330	81826	
598330	87441	
598330	93990	
598330	99768	Faith
598330	104406	
598330	108837	
598330	109486	Ginger
598330	115307	
598330	117387	Dominique
598330	119497	Jolene
598330	128643	
598330	130285	
598330	136019	The Captive
598330	139260	
598330	140952	
598330	142500	Herself
598330	147677	
598330	147900	Katie
598330	150088	Janelle
598330	159221	
598330	171225	
598330	223675	
598330	223687	
598330	228078	Herself
598330	233739	
598330	252930	
598330	252931	
598330	253511	Supermodel
598330	255161	
598330	255190	
598330	280065	
598330	294728	
598330	296182	
598330	296706	
598330	300520	
598330	303211	
598330	304784	
598330	320065	Esther
598330	321218	
598330	349477	
598330	350422	
598330	356641	
598331	264041	The Queen
598332	331065	Singer
598333	37700	Vickie
598335	42708	Girlfriend of Alex Dumas
598336	206335	
598337	137625	Mother
598338	266587	Connie Phillips
598339	317443	Stephanie/Casey
598340	333007	Bride
598341	379779	Charlotte Bonalì
598341	384515	Host (1997-2004)
598342	77805	Chorus girl
598342	157870	Bit
598342	313076	Dancer
598342	313301	Chorine
598342	330375	
598344	53208	Graffitti's Girl
598345	6722	Herself
598346	57757	
598346	104226	Jeanette
598346	157790	Genvais
598346	242321	Lily
598346	247504	Peggy
598347	96905	
598347	331390	Marion Vale
598348	12341	Elinor Farrington
598348	14213	Sondra Finchley
598348	32356	Susan Arnold
598348	32404	Amelia Sedley
598348	41225	Elaine Talbert
598348	57098	Kate Winslow
598348	66314	Nancy Bliss
598348	68248	Joy Stanhope
598348	68779	Herself
598348	73215	Doris Brandt
598348	113634	Virginia 'Vergie'/'Ginny' Rad
598348	116543	Bit in Ladies Locker Room
598348	118283	Fay Hollister
598348	124714	Mirabel
598348	136520	Em MacWade
598348	137468	Allison Lang
598348	138848	Agnes Marsh
598348	141037	Jane Mallory
598348	154695	Betsy Connell, Jessica Hollan
598348	155837	Mary Wallace
598348	155846	Katherine de Vaucelles
598348	170617	Edna Baker
598348	175115	Marjorie Deane
598348	177460	Anne Rogers
598378	341493	
598348	192408	Margaret 'Meg' March/Brooke
598348	195744	Mary Wodehouse
598348	202934	Sabra Cameron
598348	203095	Nurse
598348	204744	Party guest
598348	209679	Candace Goodwin
598348	216026	Helen Jordan
598348	218506	Receptionist
598348	231419	Jerry Girard
598348	232017	Herself
598348	232034	Ginger Blake
598348	238504	Sally Athelny
598348	241519	Joan Stockton
598348	250724	Lynn Andrews
598348	251279	Eileen Benson
598348	257611	Yvonne Phillbert
598348	264570	Marie de Varenne
598348	276949	Mrs. Linaker
598348	277641	Ann Trumbull
598348	301951	Hester
598348	304265	
598348	306411	Marie Steiner
598348	309579	Margaret Tarryton
598348	316043	Nancy
598348	330868	Lois Ingals
598348	340855	Girl at table
598348	361300	Justine Pryor MacKay
598348	368244	
598348	368315	Louise Adams
598349	309535	Chinese Stripper
598350	222310	Marti
598351	29965	
598351	45052	Bound Office Girl
598351	335930	
598352	11387	Orlanda
598352	317273	Arabell Mink
598352	352198	Friederike
598352	374212	Travesti
598353	20625	Extra
598354	81123	Emma Lavenham
598354	192382	Helen
598354	395924	Remy (1995)
598355	57722	Miss Arnold
598355	183611	Chorus Girl
598355	358651	
598356	344419	
598357	6753	
598357	30004	
598357	75028	
598357	87236	
598357	91832	
598357	245587	
598357	247992	
598357	311528	
598357	363949	
598360	375808	Lily
598362	23922	Herself
598362	79303	Herself
598362	99531	Herself - Guest vocalist
598362	408388	
598365	262015	Beverly Caine
598366	2429	
598368	32404	Young Girl
598369	183670	
598370	274609	The Ghost
598371	72759	Kelly
598372	104691	Herself
598372	247590	Zangeres
598373	220461	
598374	26670	
598374	32517	
598374	36405	
598374	178324	
598374	295765	
598374	315855	
598374	332450	
598375	212477	
598377	347733	
598378	1823	Herself
598378	11258	Irene Whitfield
598378	26352	Margo
598378	26395	
598378	28313	Thief
598378	31724	Herself
598378	39518	Netta's mother
598378	48556	Ruth
598378	54641	Indigo
598378	56750	Female
598378	67351	Narrator
598378	70460	Rachel
598378	71594	Leah Matanzima
598378	71996	Jackie's mother
598378	80684	Lucinda
598378	81655	Rowena, Finch's Housekeeper
598378	88623	Mother Sister
598378	97471	Narrator
598378	97520	Lucy Tyler
598378	102575	Mrs. Lydia Wilson
598378	112326	Janie
598378	113485	Mrs. Henry
598378	114307	
598378	129820	Mrs. Grimes
598378	129862	
598378	131211	Lutiebelle Gussie Mae Jenkins
598378	133451	Mrs. Ashlow
598378	140405	Annie Elizabeth 'Bessie' Dela
598378	148567	Herself
598378	152302	Herself
598378	154315	Grandmother Baxter
598378	158797	Joan Robinson
598378	160476	Herself
598378	161368	Herself
598378	163541	Ruth Campanella
598378	164584	Rae Robinson
598378	166086	Old Lucinda
598378	170746	Lucinda Purify
598378	171094	Evangeline
598378	177623	Narrator
598378	191016	Elizabeth Keckley
598378	194592	
598378	195455	Corrine Dart
598378	201504	Herself
598378	220778	Sophia
598378	234070	Connie Brooks
598378	260631	Herself/Narrator
598378	271334	Ruth Younger
598378	295388	Lila
598378	298558	Sue-Anne Lucas
598378	302236	Hortense
598378	305380	Herself
598378	311790	Herself
598378	312585	Elizabeth
598378	315472	(segment "Tuesday Morning Rid
598378	315524	Grandmother
598378	323375	Christine the maid
598378	323565	Emelda West
598378	324042	Rachel, Slave Maid
598378	329462	
598378	329757	Nanny
598378	333338	Narrator
598378	334114	
598378	336329	
598378	345728	Reader
598378	346916	Narration
598378	348390	Laurie
598378	355031	Ruth
598378	358729	Mrs. Mitchell (segment "The B
598378	362083	
598378	364106	Grandmother
598378	366039	
598378	380031	Zora Neal Hurston
598378	380823	Faye Williams
598378	384164	Narrator
598378	386414	Herself
598378	388545	Elsie Claviere
598378	390771	Martha Frazier (1967)
598378	395727	Alice the Great
598378	397657	Estelle Williams
598378	400443	Co-host (1980-81)
598378	401350	Alma Miles (1968-1969)
598378	403730	Queen Haley
598378	406363	Mother Abigail Freemantle
598379	2301	Herself - Co-presenter: Music
598379	3853	Herself
598379	6070	
598379	67897	Sandy Stevens
598379	79441	Ada
598379	88981	Heather Halloran
598379	95274	Nancy Wagner
598379	108817	Francesca Hamilton
598379	127483	Gidget (Frances Lawrence)
598379	151233	Angie Cordell
598379	154849	Cynthia Dulaine
598379	155816	Chantal Stacy
598379	156940	Susie, age 16
598379	194691	Penny
598379	202960	Amy Franklin
598379	204220	Mara Bocock
598379	261025	Cathy Cabot
598379	275364	Jane Broadbent
598379	276381	Melinda Grant
598379	281035	Juliet Moulsworth
598379	282042	Daphne
598379	306102	Gerda in English
598379	316205	Pat Beasley
598379	318773	Molly Jorgenson
598379	323395	Mollie Michaelson
598379	324262	Tammy Tyree
598379	324266	Tammy Tyree
598379	329423	Joan Howell
598379	347855	Evelyn Leslie
598379	365148	Rosalie Stocker
598379	409606	Herself/Host
598380	188069	
598381	59873	
598382	359543	Voice Artist
598382	366754	Forsenic Agent Fisher
598384	234019	Martha Boyd
598385	11031	Edith
598385	27210	Kristen
598385	43771	Catherine
598385	89340	Lorraine O'Halloran
598385	132014	Additional Characters
598385	137566	Neighbour
598385	314719	Apps' Receptionist
598385	389525	
598386	301793	Karen Dolson
598387	402621	
598388	188567	Miss Jones
598389	31892	
598389	45588	
598389	62312	
598389	81997	
598389	96857	
598389	162669	
598389	166487	
598389	176063	
598389	199427	
598389	220877	
598389	228253	Herself
598389	296720	
598389	375196	Shabnam
598390	289217	Song Mimer
598391	38512	First Girl
598392	381091	Herself (eliminated round 1) 
598393	383631	Nurse Francine O'Dwyer (1987)
598394	25868	Young Girl
598394	56113	Stewardess
598394	115538	French Girl
598394	185711	Girl fighting
598394	308109	Slave Girl
598395	60490	Aimée
598395	188833	
598396	370260	Nurse 4
598397	10661	
598398	400004	Jamie
598399	268154	Parlor Maid
598399	370961	Tina
598400	310648	Stripper
598401	298173	Policewoman
598402	163232	Mrs. Carter
598402	170845	Nurse Arlis
598402	191945	Mrs. Brodwick
598402	206856	Mrs. Ramish
598402	383164	Betty Hansen (1955-1956)
598402	399124	Sonia Baker
598403	23927	Herself - Audience member
598403	23929	Herself
598403	47171	Presenter
598403	47173	Presenter
598403	47174	Host
598403	68097	Presenter: Fame Academy
598403	68111	Herself
598403	182352	Presenter
598403	249591	Presenter
598403	273902	Presenter
598403	383714	Presenter
598403	383715	Presenter
598403	384715	Presenter
598403	388264	Presenter
598403	397809	Herself- CD:UK Rundown
598403	405663	Presenter (1998-2002)
598403	406439	Presenter (Series 2- ) (2003-
598403	406440	Presenter (2004-)
598403	408075	Guest Presenter (2003)
598404	102789	Gayle
598404	128652	French Maid
598404	139235	Assistant
598404	154984	Girl in Lecture Theatre
598405	80407	Emily
598406	256592	Isabella
598406	346914	Fashion Model
598407	60323	Heather
598408	92736	Coffee Bar Dancer
598408	304540	Holly
598409	5814	Anna
598409	34266	Mrs. Davidoff
598409	194641	Hotel Maid
598409	312168	Frau Floerdke
598409	330556	
598409	353516	Frau Metzger
598410	128321	Betty Marriott
598410	222594	
598410	255261	
598411	270383	
598412	289522	Mistress Reddington
598413	99311	Aunt Dora
598413	401049	Herself - Host
598414	95328	Caterer
598415	391869	Amber (2003)
598416	20625	Extra
598416	94514	
598416	245124	Amanda
598416	316858	TV News Reporter
598417	28931	Herself
598417	163503	Cameo appearance
598418	237562	Woman at funeral
598419	172213	Marlene
598420	85871	Welfare Worker
598421	9363	Anarkali
598421	13134	Lata
598421	13648	
598421	16167	
598421	97490	Michelle
598421	168773	
598421	172752	
598421	247891	
598421	272166	
598421	320905	
598421	329627	
598422	86682	
598423	1178	
598423	4425	
598423	25926	Rani
598423	35969	
598423	77666	
598423	86745	
598423	180608	
598423	249645	
598423	278809	Seductress
598423	283633	
598424	112524	
598424	193657	
598424	342840	
598424	361747	Alma Grayson
598425	52439	
598426	153131	
598427	278138	Hungarian Dentist
598428	272440	Market Square Extra
598428	337649	Player
598430	112882	
598431	128336	Sooner
598432	244841	Lowell schoolgirl
598432	245209	Herself (member, Glamourette 
598432	286304	First Model
598433	390771	Holly Norris Bauer #1 (1970-1
598434	126104	Nurse
598435	116466	Neighbor #1's Wife
598435	121373	
598435	162821	Jackie
598435	188227	Woman with Cane
598435	305717	Mrs. Fernbush
598435	363370	Dowageress #2
598435	364459	Woman with Dogs
598436	107175	Stella
598436	176967	Lavinia
598436	214735	Girl
598436	367633	Angela
598437	265266	Woman Tenant
598438	220878	Gwen Chedworth
598439	231990	Venus
598440	134741	Menstruating Girl
598441	9035	Helen Field
598441	51975	June
598441	125884	First Woman
598441	151792	Mary Carver
598441	286808	Miriam
598441	299470	Mrs. Mellon
598441	327685	Miriam
598442	183738	Jo Rossiter
598443	47279	Woman at Speech
598444	187231	Mrs. Ford
598445	204022	
598446	59805	
598447	27249	Girl
598447	44479	Girl
598447	147329	Party guest
598447	185286	Virginia Bauche
598447	188457	Woman at Beach
598447	288205	Carol Clayton (after Jean Har
598447	299803	First Babe
598448	50610	Margaret
598448	50611	Margaret Miller
598448	67191	Rebecca Miles
598448	72869	Roxie
598448	105395	Heather McKinnon
598448	127563	Gabby
598448	137657	Girl
598448	347315	Audrey
598449	107155	Female prisoner-pushes Crysta
598449	329084	Charlene
598450	36746	Little Girl
598451	37184	Herself
598452	95496	Angel Martinez
598452	389858	Kristi Koy (2002-2003)
598453	310503	
598454	184959	Beautician #3
598455	117136	Hannah Yoder
598456	307189	Additional Voices
598457	75030	
598458	288453	Mary
598458	360147	Theresa
598459	163642	Patty
598460	189164	
598461	54993	Marie
598462	184959	Beautician #2
598463	287421	Adoradora de Misqueatiopia
598464	51886	Dorothy Kilgallen
598465	262963	Une invitée
598466	363991	Herself
598468	6151	Marylist
598468	16660	
598468	51967	Girl in Corridor
598468	109472	Woman
598468	152947	Cashier
598468	299654	Brenda
598468	383780	Fat Laura
598469	349627	
598470	190147	Lauren
598471	70612	Sally
598471	77195	Pamela Waterson
598471	154902	Annie the Waitress
598471	178224	Daisy
598471	247435	Miss Holland
598471	401225	Julie Fitzgerald
598473	377247	Morgane
598474	124141	L'amoureuse
598475	166377	
598476	316669	Dutch Molly
598477	348229	Funeral Goer
598478	63890	
598478	94638	Impiegata alle poste
598478	107031	
598478	237696	
598479	94200	
598480	7295	Daughter
598480	108089	Mattie Carson
598480	128290	
598480	159263	Florette
598480	193659	Lolita Hansen
598480	241274	Yetta
598480	274354	
598480	306762	
598481	81537	Wilma Fernbacker
598482	88891	
598482	288253	Arthur's kid sister
598483	300344	Ronnie
598485	254523	Dancer
598486	84394	Girl In Classroom
598486	131485	Clarketta
598487	23741	
598487	270308	Delphine
598488	29415	Américaine
598489	26	Follies girl
598490	175684	
598491	200930	Soeur Concerse
598492	60274	Pretty servant #1
598492	84593	
598493	248829	Marie-Claire
598494	314699	SUV Woman
598495	111302	Gesualda
598496	300650	Philippa
598497	34072	
598497	52698	
598497	59094	Employée hôpital
598497	65382	La serveuse
598497	84691	Jacqueline
598497	99587	
598497	111084	Jeanne
598497	198558	Infirmière 2
598497	200936	Léontine
598497	200942	La concierge
598497	214065	
598497	240497	Dame au chien
598497	264953	Yvette
598497	271776	Marie Lancelot
598497	335519	Frosine
598497	345441	Julien's Secretary
598497	346552	
598498	20989	Herself
598499	29099	Waitress
598499	270697	Dancer #3
598500	327307	Lombardo's Customer
598501	393013	Spider-Woman/Julia Carpenter 
598502	64825	
598502	259307	Waitress
598503	57896	
598503	60493	
598504	10146	Dancers
598504	83185	
598504	301984	Danseuse 4
598505	78694	
598505	157886	
598505	246726	
598505	253119	Tuareg woman
598506	259128	Policeman
598507	266153	
598508	188579	Herself
598509	305082	Woman Construction Worker
598510	26082	
598512	46807	One of Fu Man Chu's slaves
598513	323668	Enfermera 2
598514	28681	L'inirmière
598514	112095	Herself
598514	313336	Herself - Speciality Dancer
598515	211439	Little Girl
598515	286040	Bertille
598516	54819	Ginou Barcarin
598516	58289	Christiane
598516	59435	Sabine
598516	161568	Une danseuse
598516	162067	Jeanne Lamoureuse
598516	199328	
598517	148735	Jeanne
598518	57802	
598519	96500	Movlie Mauro
598520	16036	The Daughter
598520	30376	Daughter
598520	38128	The Little Girl
598520	38717	Alice, an Orphan
598520	40014	
598520	44889	Dorothy Farnsworth
598520	48733	
598520	48734	
598520	49795	One of the Children
598520	50945	
598520	55590	The Child
598520	60752	The Sweetheart as a Girl
598520	60927	Dolly
598520	61553	The Captain's Daughter
598520	61841	Child
598520	61848	
598520	62496	A Little Girl
598520	62972	Margie, Mrs. Martin's Daughte
598520	69884	
598520	71716	Sick daughter
598520	81083	One of the Wife's Companions
598520	81585	At Laundry
598520	83151	Girl
598520	91967	The Orphan
598520	94161	The Wharton Daughter
598520	97076	
598520	105593	
598520	107419	A Child
598520	114689	
598520	117810	One of the Children
598520	126154	Ethel
598520	130826	The Child
598520	132334	
598520	134098	Phyllis Faradau
598520	146260	
598520	146261	The Frazier child
598520	152877	Their Daughter Elsie
598520	154144	Gladys, The Little Girl
598520	155528	
598520	157451	One of the Children
598520	157770	Clara, as a Child (unconfirme
598520	157775	
598520	158491	The Wallace Child
598520	159650	
598520	166256	The Waif
598520	166276	
598520	185221	
598520	186775	
598520	190081	
598520	190487	
598520	190603	Poppy Brown
598520	191599	(unconfirmed)
598520	193795	One of the Cullison Children
598520	194033	
598520	195552	Claire Deming
598520	197675	Child on Street
598520	203441	The Little Daughter
598520	209419	Mrs. Ross's Daughter
598520	214217	Rosa, Miguel's Daughter
598520	215324	Neighbor
598520	217186	(unconfirmed)
598520	220817	Maude
598520	239664	
598520	239797	The Little Boy's Sister
598520	241581	One of the Children
598520	241783	
598520	242503	
598520	245638	
598520	255858	
598520	265558	Daughter of errant husband an
598520	267544	
598520	270998	
598520	280303	
598520	282271	Sculptress's Model
598520	283215	
598520	285791	
598520	289122	Their Little Girl
598520	306787	The Child
598520	318304	
598520	319248	
598520	326437	
598520	331155	
598520	331880	The Nostrand Child
598520	333539	
598520	333761	Child
598520	337591	The Child
598520	340030	Lizee
598520	342522	Museum Visitor
598520	356280	The Child
598520	356295	At Party Meeting
598520	356309	The Little Girl
598520	357587	
598520	359113	Child
598520	362189	One of the Lucas Children
598520	362564	
598520	362719	Jane
598520	366887	Aggie Lynch
598521	186675	Performer
598521	379975	Herself - Contestant
598521	380012	2004 Runner-Up
598522	270128	Broken Arrow Police
598523	235367	
598524	289461	
598525	231768	Specialty dancer
598526	11881	
598526	129491	
598526	256488	Garderobiere/cloakroom attend
598527	62057	Beth
598527	295488	The Girl (segment "Satisfacti
598527	299767	Herself
598528	282891	Operazangers
598529	180062	Kitty
598530	8942	Lotte
598530	179638	
598530	207062	Ina
598530	226179	
598530	329681	Nina
598530	329682	Margarete
598530	343662	Marie
598531	154098	Herself - Narrator
598532	846	Herself - #66: Terrible Talk 
598532	1469	Herself - Host
598532	1748	Herself - Presenter
598532	2275	Herself - Winner/Presenter
598532	2366	Herself - Host
598532	2581	Presenter
598532	2582	Herself
598532	2778	Herself/Host
598532	2787	Herself
598532	2797	Herself
598532	2805	Herself - Presenter: Best Com
598532	2894	Herself (Presenter)
598532	69290	Coach
598532	88869	Prologue Dog
598532	96555	Herself
598532	97644	Cynthia Topping
598532	97645	Herself
598532	99382	Herself
598532	99383	Herself
598532	99384	Herself
598532	99388	Herself
598532	106065	Dory
598532	113504	Dory
598532	113505	Dory the Blue Fish
598532	121804	Herself
598532	131739	Sgt. Rita Pompano
598532	155890	Kal (segment "2000")
598532	161288	Herself
598532	184822	Herself (speaking at a memori
598532	195813	Janet Hall
598532	221183	Martha Alston
598532	221413	Herself
598532	224391	Herself
598532	224392	Herself (presenter)
598532	231536	Herself
598532	232810	The Octopus Lady
598532	239031	God
598532	240734	Operator (segment "Reaching N
598532	251040	Herself
598532	273185	Operator
598532	273290	Herself
598532	339260	Herself
598532	352977	Host
598532	353499	
598532	364401	Herself
598532	366640	Herself
598532	372511	Herself
598532	387482	Ellen Richmond
598532	387483	Ellen Morgan
598532	387484	Host
598532	395263	Nancy MacIntire
598532	400244	Herself
598532	400323	Margo Van Meter
598533	71799	Herself
598534	411561	Movie premiere correspondent
598535	409540	Eva
598536	99893	Vera Walser
598537	17871	Odette
598537	101581	Léa
598537	338593	Madame Tison
598537	353790	
598537	377862	Jacqueline Masset`
598538	384611	Chantal
598539	51422	Sophie Rejaumont
598539	60274	Villager's wife
598540	381683	
598541	73999	Ayse
598542	303663	Fisherman's Wife
598542	304408	Karna Esbjörnsson
598542	322420	Old Servant
598543	226112	Celliste
598544	182377	Eveliina Mäki
598544	232585	Takkimyyjä
598544	396249	Marianne Wahlman
598545	320617	
598546	320617	
598547	46652	
598547	99569	Hedvig 'Elvira' Madigan
598547	124892	Betty Williams/Clarimonde
598547	383033	
598548	409547	Maris
598549	382743	Mrs. Upton
598550	248258	La jeune femme blonde
598551	68245	Karmina
598551	104699	Missy
598551	162529	Claire
598552	398656	Host
598553	357122	
598554	310849	Herself
598555	114316	
598556	12641	
598556	17720	Aysecik
598556	25607	Aysecik
598556	25608	
598556	25609	Aysecik
598556	25610	
598556	25611	Aysecik
598556	25612	Aysecik
598556	25613	Aysecik
598556	25614	
598556	25615	Aysecik
598556	25616	Aysecik
598556	25617	Aysecik
598556	25618	Ayse
598556	25619	Aysecik
598556	25620	Aysecik
598556	25621	Aysecik
598556	95549	
598556	121698	
598556	125349	
598556	140606	
598556	140608	Ayse
598556	156221	
598556	156429	
598556	173792	
598556	198915	
598556	239446	
598556	245904	
598556	247308	Pamuk Prenses 'Snow White'
598556	248066	
598556	302493	
598556	307151	Aysecik
598556	370773	Ayse
598556	370795	
598556	373326	
598556	373336	Aysecik
598556	377497	Munise
598556	378185	
598556	378229	
598556	378246	
598557	458	Besitzerin des Schloßhotels
598557	15272	Frau Schanti
598557	16218	Suzette Alberti
598557	54910	Sister Wilhelmina
598557	117667	Archduchess Sophie
598557	134837	Herself
598557	163078	Tante Klara
598557	179830	Katharina Schratt
598557	189581	
598557	212684	Therese Reimann
598557	226228	Adele Schönfeldt
598557	241979	Mrs. Shelby
598557	292096	
598557	303173	Archduchess Sophie, Franz Jos
598557	303174	Archduchess Sophie, Franz Jos
598557	303175	Archduchess Sophie, Franz Jos
598557	335994	Elisabeth Dressler
598557	352655	Livia Argan
598557	358871	Mama Strauss
598557	406695	Dancing old woman
598558	20625	Extra
598559	63221	Anna Magdalena Bach in Cantat
598560	120793	
598560	144346	
598560	153919	Voice of Lilly Mancini
598560	186735	Ada
598560	410813	
598561	8503	
598562	73651	
598563	10673	
598563	38845	
598563	66578	Therese
598563	81597	Cesira
598563	89999	Lina's mother
598563	127868	Anna
598563	159619	
598563	211982	Palmina Gavazzi
598563	230000	Valerio's mother
598563	243044	Zia Maria
598563	269638	
598563	289992	Maria Theresa De Andreiis
598563	307050	Michele's mother
598563	309405	
598563	352859	Giselda
598563	384908	
598563	386430	Silvia Malatesta
598563	402303	Perpetua
598565	6077	
598565	94659	Calamity Jane
598565	352227	Marta
598566	54784	Princess Sonia
598567	6405	The passer-by
598567	31532	La chatte noire
598567	88842	
598567	111876	La femme en mauve
598567	123559	Voix Enregistrées
598567	124608	
598567	137920	La reine
598567	189163	Marquise de Merteuil
598567	277726	
598567	309149	Athénaïs/La sorcière
598567	335082	Sarah
598567	383178	
598567	390520	Incarnacion (segment "Six hom
598567	392580	Rosina
598567	396328	Maximova
598568	406568	Herself - Choir
598568	406569	Herself - Choir (season 3-200
598569	234826	Pige/Girl
598570	397920	Lucia
598571	199305	Mme Tuvache
598571	208227	Mme Gerbauld
598571	282967	Une femme au marché
598571	393487	La marquise de Malemort
598572	265171	Randi's Publicist
598573	274217	Proprietess
598574	402532	Claudine
598575	20712	
598576	357174	
598577	265904	Young Adrienne
598578	105831	Cherry
598579	205982	
598580	152376	
598581	193897	Eve
598582	232069	Mary Beth
598583	47773	Chez Bippy Customer
598584	87166	Duck Dancer
598585	72931	Goodyear Chorus Girl
598586	347989	Herself (bag puncher)
598587	356472	Triage 7-Year-Old
598588	385462	
598589	150845	Angelica
598590	103326	Town Lady
598591	72931	Goodyear Chorus Girl
598592	67834	Black Guy #3
598594	63657	
598594	68363	Christiane
598594	96031	
598594	168890	Infirmière
598594	412254	
598595	388051	Herself (2000)
598596	230703	E.R. Nurse
598597	29670	Harem
598598	63270	(segment "Chto mozhno Kuzenko
598598	124850	
598598	259806	(segment "Polosa vezeniya")
598598	260502	
598598	272522	
598598	320647	
598598	357618	
598598	409880	
598598	411980	Jein
598599	208486	Lenore
598599	298425	Xiuying Hong
598599	299105	Ageha
598600	101163	
598601	377923	Gayonena
598602	58848	
598603	17868	Marion's mother
598603	23692	La mère
598603	43423	La mondaine
598603	46937	Duchêne
598603	101127	Ludivine
598603	134957	Solange
598603	183242	Princesse Ida
598603	189350	Florence Lorcy
598603	198955	
598603	202749	Iris
598603	225376	
598603	226818	La Comédienne de 'Cercle de c
598603	294605	Hélène
598603	320240	Magali
598603	345434	(episodes 1 and 2)
598603	346419	Nadège, la soeur de Manéri
598603	346560	Charlotte
598603	353908	
598603	373927	Nicole
598603	376971	Jacqueline
598603	379805	Princesse de Conti
598603	380436	Andrée, la greffière
598603	385237	Marie-Françoise Nourtier
598604	44919	Arlette
598604	84661	Marthe Gatouillat
598604	110052	Gaby
598604	111704	Valentine
598604	115334	
598604	124835	Madame Marivol
598604	144315	
598604	148668	La Petite Femme
598604	164171	
598604	167189	Arlette
598604	224892	
598604	346511	
598604	377279	
598605	106767	Marisa Velez
598605	136291	Herself
598605	212631	Maria Rivera
598605	328078	Iliana
598606	59093	Party Girl #2
598607	152603	Worker
598608	15106	
598609	375508	Susan (Girl #4)
598610	135430	
598611	331447	The Governor's secretary
598612	12860	
598612	32905	
598612	44558	
598612	62951	
598612	65848	
598612	67152	Daisy Woods
598612	114629	
598612	128312	Mignon Smith
598612	149273	
598612	194679	
598612	199440	Flora Fairbanks
598612	206473	Julia
598612	224050	Catherine Smith
598612	235924	
598612	253140	
598612	293223	Ruth Heck
598612	329771	
598612	342518	Blanche Hawkins
598612	363266	
598612	363626	Polly Martin
598612	364557	
598612	368936	Fern Hardy, aka Miss Frou Fro
598612	372925	Mary
598613	29287	Lady Jane Gray
598613	34650	Minerva
598613	35479	Edna
598613	42883	Ginny Glenn/Adrianna
598613	47364	Patsy Demming
598613	49048	
598613	52425	Helen Hardgrove
598613	88853	Fabienne Corday
598613	92100	Angela Toland
598613	104986	Sonia Murphy
598613	128441	Taffy Tremaine
598613	130339	Herself
598613	154877	Terry Martin
598613	175209	Evelyn 'Skinny' Thomas
598613	197077	Herself
598613	216964	Gamin's sister
598613	220865	Josie Cohan
598613	245249	Vivian
598613	245436	
598613	252127	Anne Logan
598613	255731	Maureen Brockmeyer
598613	289718	Lili
598613	297693	Mrs. Blake
598613	306496	Colette d'Avril/Jane Mitchell
598613	314419	Christine Marlowe
598613	318715	Muriel McComber
598613	318792	Abigail Falbury
598613	320197	Enid
598613	329560	
598613	329562	Herself
598613	329564	Herself (interview)
598613	330384	Laurabelle 'Laura' Ronson
598613	331205	Cameo appearance
598613	331456	Mrs. Carter De Haven
598613	342873	Jean Deyo
598613	343160	Hannah Holbrook
598613	343249	Debutante in Ladies Room
598613	364195	Police Matron
598613	367948	President's girl #1
598613	371022	Ellen Goodrich
598613	371316	Sarah Jane Winfield
598613	380713	Sara Fuller (1966-1967)
598613	396562	Herself/panelist
598613	396994	Annie Wylie (1976)
598613	398946	Irene James (1974)
598613	404002	Bess Shelby (1983-1987)
598614	137259	Hair Hoppin' Mother
598614	142985	Female Author
598614	274521	Lisa Dubois
598616	45000	
598617	12944	Camarera cafetería
598618	143255	Lady in waiting
598619	16948	Mère Dominique
598619	17090	La domestique des Monteloup
598619	33559	
598619	64318	Madame Lavigne
598619	83203	Elodie
598619	84648	Mme Fevre-Berthier
598619	85692	Soeur Catherine
598619	101950	Micheline
598619	127647	Baker's wife
598619	132883	
598619	154434	Pierre's mother
598619	157235	
598619	264378	Mme d'Elboeuf
598619	308305	
598619	327890	Mlle. Aline
598619	345038	
598619	345431	Mme Rouargue
598619	348318	Widow Clarisse
598619	354101	Une lesbienne
598619	381520	
598619	393215	Mlle Constance
598619	398984	L'entraineuse
598619	404153	
598619	404358	
598619	409532	Germaine Dargence
598619	409537	Mme Dargence
598619	410473	La Javanaise
598619	412276	La mère Supèrieure
598620	276496	
598621	15130	Clémence Guéret
598621	20909	
598621	23683	
598621	29001	La grand-mère
598621	33542	Madame d'Éguzon
598621	40575	Elyane
598621	46941	
598621	51793	Blanche Bodin
598621	62296	
598621	64068	Virginie
598621	64226	Colonelle
598621	67068	Dora
598621	73471	Olga
598621	73628	Georgette Marchand
598621	111695	Madame Ballard
598621	113525	L'Epouse
598621	121607	Tante Esther
598621	124180	
598621	124325	Aunt Sylvestre
598621	132775	Antoinette
598621	148706	Madame Lamblin
598621	152364	La vieille dame
598621	155739	
598621	156558	Mme. Desbordes
598621	192820	La belle-mère
598621	195033	Mme. Lucas
598621	198566	La mère de Sylvia
598621	198627	
598621	206055	
598621	206513	Tante Zoé
598621	217677	
598621	218263	Madame Merchant
598621	236580	Soeur Gabrielle
598621	240036	
598621	249759	
598621	252320	Le baronne de Crochezoet
598621	254099	
598621	259254	Mme. Georges
598621	262948	Mademoiselle Christophine
598621	264419	
598621	266406	
598621	266421	
598621	269986	Charlotte Bourdier
598621	275116	
598621	280537	
598621	282048	Mlle. Cadenat
598621	282409	
598621	282410	
598621	322337	La Malade
598621	327563	Armande Grillot
598621	333907	
598621	336078	La française
598621	337000	
598621	345480	
598621	345517	
598621	346478	
598621	346691	Suzanne
598621	349497	
598621	350088	Hortense
598621	377065	Odette Dupuis
598621	377491	
598621	377660	Mme. Bernoux
598622	70911	
598622	102669	
598622	111492	
598622	391674	Zaira
598622	399645	Helena
598622	409780	Cecília
598623	3086	Sadi
598624	366100	Happy Wind
598625	34576	Alumna 3
598626	342153	Mother
598627	209735	
598628	316298	Poor Woman or Child
598629	175161	The Three Bolas
598630	242690	Tone
598631	109139	Woman on youth hostal
598631	232986	Mad woman
598632	218341	Talk Show Panelist #3
598633	390812	Anne Backhoff (1993)/Nataly J
598634	352351	Receptionist
598635	215119	Igracica II
598636	85067	Girl
598636	132793	Sally
598636	199272	
598636	205792	Undetermined Role
598636	211601	Maxim Girl
598636	306483	Jane
598636	313076	Secretary
598637	125884	
598638	344640	Sheila
598639	175352	Ol-Bengtsas Lisa (episode 3)
598639	387057	
598639	408998	Sophia
598640	215488	Herself
598640	397888	Herself (2003)
598641	95264	
598641	196150	Nikki
598641	393255	Marie Henriette Cressphal
598642	208159	
598643	88085	Waitress
598644	209658	Deborah Byrnes
598644	293075	Barbara
598644	320266	Katie Potter
598644	345648	Wanda Livingston
598644	385127	Alexis Cameron
598645	20750	
598646	20793	Clara
598646	36333	Maitresse
598646	46181	Dance teacher's wife
598646	49678	
598646	51832	Caterina
598646	116478	
598646	127615	
598646	197453	
598646	202762	Una passaggera sul transaltic
598646	212580	Sorella di Ileana
598646	246450	
598646	253031	Teresina
598646	255537	Una cliente
598646	282103	La signora sotto la pioggia
598646	336615	
598646	336622	Anna
598646	377576	L'infermiera del reparto mate
598647	54774	
598648	63837	
598648	162066	
598648	234548	
598649	334990	
598651	12847	Dudas Mutter
598651	290534	Frau Lorant
598652	90932	Anne Morrison (Jim's little s
598653	72510	Narrator
598654	233920	Alansa Pfeiffer
598655	183872	Flame Player
598656	226931	
598657	41502	Lady Against Legislation
598657	241278	Woman #1
598657	262310	Miss Brown (girls chaperone)
598657	291080	Lady Doakes
598657	295384	Governor's Wife
598657	312826	Mrs. Pickett
598657	370586	Miss Potter
598658	80430	Jamie
598658	306744	Diane
598658	308128	Harry's Assistant
598658	348545	Elke
598659	254522	Female Ensemble
598660	185516	10 Year Old Sally
598660	382002	Young Saffron
598660	385659	Mallinger Girl 2
598661	185516	5 Year Old Sally
598662	199405	Linda
598663	35455	Cora
598664	40136	Pauline
598664	66650	Haley Green
598664	127073	Rose
598664	162821	Lynn
598664	194007	Shirley Biggs, Stagecoach pas
598664	199405	Elizabeth Reeves
598664	263789	Ursula
598664	380713	Dr. Carol Ann 'Annie' Stewart
598664	384570	Haley Green
598664	404282	Jackie Parks (1985)
598665	388756	
598666	140770	
598667	341328	Maruska's mother
598668	318784	Janice
598669	333120	Person of the Night
598670	97980	
598670	107717	
598671	127078	Herself
598672	84487	Marie's Granddaughter
598673	73568	Carol
598674	125095	Julia Steinfeld
598674	131171	Vivian
598674	259501	Nora
598674	284556	Sandra Lenz
598674	325460	Linda
598674	325530	Julianne Bachmann
598674	325676	Claudia Schönfeld
598674	325910	Nelly Werrling
598674	325929	Tatjana
598674	348104	Lissi Lange
598674	350931	Chiaras Freundin
598675	361486	
598676	28167	
598676	94304	
598676	103101	
598676	169844	Primaballerina
598676	197827	
598676	210100	
598676	218912	
598676	219019	Graciella Holm
598676	226356	
598676	227478	Dancer
598676	279675	
598676	282227	
598676	290194	
598677	387237	Juliet Street (2000-2002)
598678	186864	aeltere Dame
598679	266566	Arnold's mother
598680	271868	Wendy
598681	251202	Miss Thang
598681	321213	Press secretary
598682	142535	Chris' Voice
598683	21557	
598684	36760	Angela Roberts
598685	305320	Twerp
598686	136819	Cousin Hebe
598686	256618	Kate
598687	64264	
598687	204035	
598687	291622	
598687	339634	
598688	290397	Erica Farell
598689	290397	Heather Farrell
598690	156292	Gisella
598690	164632	Mia Weiland
598690	186218	Inge
598690	387659	Nouchy
598690	409440	
598691	380430	
598692	290820	
598692	334628	
598693	83600	Hungarian Gambler
598693	161367	Herself
598693	295636	Herself (interviewee)
598694	201569	Herself
598695	374418	House-Painting Victim
598696	222456	Girl/Munro's mother
598697	348106	Herself
598698	293470	
598699	7846	Nadine
598700	231129	Kate (segment "Under The Tabl
598700	407815	Herself (2002)
598701	27243	Bad girl
598702	49671	
598702	225137	Wanda Schmidt
598703	39139	
598703	44135	Herself
598703	125907	
598703	207515	
598703	398251	Elsa Sjö
598704	110924	Maid (segment "Obstruction #3
598705	322579	Une villageoise
598705	406493	
598706	170243	Victim
598707	62561	Catherine
598707	339080	Mme Birmann
598707	345489	Sister
598708	301563	
598709	47904	Juanita
598711	286216	
598712	207891	
598713	154629	Woman Crossing Street
598714	154629	Kelly
598715	217954	Katie Coyle
598716	367054	Aunt Em's Party
598717	199140	Townsperson
598718	66837	Woman in Documentary
598719	44474	Farmer's Wife
598720	411573	Tara
598721	19303	Cookie
598721	37387	Judge #2
598721	120106	Booster
598721	391835	Talking head/soundbites (segm
598722	25648	
598723	15258	
598723	18317	L'assistante sociale
598723	19186	Caroline Nattier
598723	23535	Rosalie
598723	23691	Maurine
598723	30887	La mère de Charles
598723	85536	Minou
598723	104241	Reine Tessier
598723	117952	Jacqueline
598723	140295	Nora
598723	170468	Nicole
598723	193449	Marthe
598723	204339	Brigitte
598723	207931	Jeanne Deux
598723	208277	Lisa
598723	217224	La concierge
598723	249123	Colette Racine
598723	254123	L'assistante sociale
598723	277398	Colette
598723	285074	Nadia
598723	300739	Herself
598723	309687	Francine
598723	314967	Ericka
598723	336980	Jeannette
598723	345369	Martine
598723	346708	Rosalie
598723	353433	
598723	354024	Cécile
598723	382472	Françoise
598723	392369	Martine
598723	396368	Liliane
598723	400869	Annick Le Morvan
598723	409454	Manon
598724	32316	
598724	246653	
598725	164542	The Hell Pigs
598727	87409	Female TV Anchor, Grandmother
598727	304685	Old Lady, Additional Voices
598727	382908	Linna's Mother
598727	389778	Mrs. Lee
598727	399784	Pharmacist, Mary
598727	405144	Asuka's Grandmother, Addition
598728	102409	Azraëla, a török szultán lány
598728	104767	Israeli entry (6th place)
598728	104774	Host
598728	175006	Herself
598728	235398	
598728	375537	Bracha
598728	387959	Herself - Co-Presenter (1999)
598729	78796	Student #1
598730	193058	
598731	12803	
598731	78254	
598731	88592	
598731	131300	
598731	162144	Natasha's Mother
598731	212294	Odarka
598731	227959	
598731	261953	
598731	332987	
598731	349840	
598731	357333	
598731	373584	
598731	375419	
598731	390635	
598732	175243	
598732	356815	Auntie Cor
598732	388164	Mw. Groen
598733	189422	Susan
598734	130224	Moeder
598734	213552	freule
598734	344244	Weduwe
598734	365655	Mien
598735	381341	Lammechien
598736	72141	Isabelle
598736	92095	Talkshow Host (Geena Park)
598736	242272	
598736	409977	Saskia de Vries
598737	338009	Shoeshop customer
598738	244742	
598738	353888	
598739	49592	Tracy Donner
598740	16528	Ella's mother
598740	23559	
598740	30242	L'employée
598740	119013	Landlady
598740	124903	
598740	175243	
598740	191604	Mother Grijpma
598740	204766	
598740	210128	Grijze Muis
598740	255924	Pim's moeder
598740	307288	
598740	310947	
598740	341908	
598740	357380	Moeder overste
598740	357389	Mom
598740	359816	
598740	400306	Loes de Wilde
598740	410709	Nel van der Hoed-Smulders
598741	253779	
598742	277139	Clerk
598743	407662	Serveuse
598744	137619	Mammy Johnson
598745	228449	Student
598746	353077	Greta
598747	198357	
598748	284296	Heavy-metalmeisje
598749	157068	Mairi
598750	396211	
598752	63910	
598753	86817	Cosmos
598754	246878	
598755	26120	
598756	106994	
598756	234318	
598757	384117	
598757	389153	Noêmia
598758	19445	
598759	61145	
598760	263849	Child
598761	158759	L'infermiera
598762	1395	
598762	19068	Susanna, la governante
598762	48200	Mamma di Giulio
598762	51951	
598762	52879	
598762	54148	La portinaia
598762	54829	
598762	57970	Miss Vernon
598762	71275	
598762	78558	
598762	86069	Signora Testones
598762	90156	
598762	90673	
598762	90719	
598762	103227	Countess della Scala
598762	108505	La duchessa Carafa
598762	108506	Princess De Vick-Beranger
598762	125391	Madre di Malanza
598762	139440	
598762	155669	
598762	158627	
598762	175053	Una invitata al ballo
598762	183490	Duenna
598762	197475	Maestro's Sister
598762	206029	
598762	213885	Una invitata alla festa
598762	217114	
598762	234560	
598762	235934	
598762	240343	
598762	243635	
598762	252719	Mrs. Moss
598762	264251	Una amica della cantante
598762	265504	Elvira (Amanda's maid)
598762	273154	La marchesa che nasconde l'et
598762	287121	Una passeggera sulla nave
598762	289446	
598762	294007	La direttrice del collegio sv
598762	295133	La cantante sul camion
598762	297410	Peno
598762	301380	
598762	306873	Hebrew Woman
598762	307064	
598762	307718	Un invitata alla festa di fid
598762	336150	Madame de Villet
598762	336364	La dama di compagnia della ma
598762	336618	
598762	343990	Old Lady in Fog
598762	375880	Woman at party
598762	377576	Una vicina di casa
598763	276488	
598764	144406	
598765	388477	
598766	118688	Felice Ley
598766	120871	Princess Mancelli
598766	133963	Mrs. Bathurst
598766	367671	Mrs. Wolfstein
598767	203667	Mrs. Nellie St. Clair
598768	210230	Marcie
598769	384118	Viviane Cícero (1997-1998)
598770	87946	Jen
598770	163053	
598770	252546	
598770	252690	
598770	390069	Daphne
598770	396410	
598770	400738	Bea Bianca Bejerrano
598771	104771	Belgian entry (16th place)
598771	387951	Herself
598771	390409	Herself
598772	16338	Andrea
598772	18795	Verónica Ortiz
598772	63908	Lydia Beatriz Siri
598772	96358	Jimena
598772	121774	Beatriz Núñez
598772	136993	Andrea
598772	193168	Aurora
598772	222379	
598772	248228	Angélica de María (Pinina)
598772	252549	Patricia Perea (Peperina)
598772	281211	Julieta
598772	371724	Charo
598772	380209	Andrea Celeste Gonzalo
598772	380442	Antonella
598772	383769	Celeste Verardi
598772	383770	Celeste Ferrero/Clara Pizzami
598772	384119	Paula (1998)
598772	384257	Ana
598772	387904	Estrellita
598772	391174	Elisa
598772	393840	Cristina
598772	398850	Mía Paula Benavides alias Mía
598772	399800	Deaf-mute girl
598772	400790	Angélica de María (Pinina)
598772	401250	Perla Márquez Montifiori-Wans
598772	404994	Andrea Soledad
598772	405789	Sofía Campos
598772	412120	Paloma Pérez-Campana de Argüe
598772	412198	Herself/Celeste Verardi
598773	313915	
598773	319341	
598773	401514	Anna Caruso
598774	14886	Frieda
598775	367023	Helene Wittgenstein
598776	380911	Herself - Top 30 (2004)
598777	300615	
598778	86113	
598778	220193	Clara
598778	342140	
598779	266827	
598780	374562	
598781	374562	
598782	374562	
598783	6674	
598784	16857	
598785	171094	Slumber Party Girl
598786	14773	
598786	206744	
598786	206987	Felicidad
598786	213534	
598786	221944	
598786	248234	
598786	262608	Condesa Olga Sukarev
598786	296457	
598786	353575	
598786	378447	
598788	249774	
598789	268042	
598790	267174	Waitress of the Gas Station
598791	17379	
598791	102318	
598791	116426	
598791	275025	
598792	54867	Manuelito
598793	212467	
598794	76104	
598795	58044	Lucy
598796	82585	
598796	380083	Elisa
598796	409282	Rosa María
598797	70085	
598798	157433	
598798	196793	
598798	384122	Valentina
598799	239975	Herself
598800	122226	
598800	326144	
598800	385561	
598801	148502	
598802	205713	
598803	209801	
598804	8987	La femme de ménage
598805	187627	Señora en Catedral
598805	192960	
598806	114881	Chola
598806	286350	Maria's grandmother
598807	48782	Robin's girlfriend
598807	285017	Lucía
598808	4528	Registrar
598809	63399	Indian girl
598810	47588	Onlooker
598811	111594	
598811	111596	
598811	111599	
598812	84019	
598812	193223	
598812	266508	
598813	215227	
598814	70659	Beatriz
598814	96335	Alicia
598814	143782	
598815	353607	
598816	27919	Sylvie (episode 2 "Baiser de 
598817	146515	
598817	319857	
598818	14813	
598818	197962	
598818	202835	
598818	246497	
598818	252065	
598819	44382	
598820	390404	Rosy
598820	400490	Karen Mendizábal
598821	28955	Madre de Beto
598822	75623	
598822	259331	
598822	401916	
598822	403741	
598823	80329	
598824	88323	
598825	53987	
598825	84154	
598825	352255	
598826	101883	
598827	293002	Toña
598828	208228	Herself
598829	14780	
598829	97654	Ana
598829	273842	Estrella Uribe (Segment "Sang
598829	294083	
598829	294085	
598829	306705	
598829	378440	Barbara
598829	379653	Ana Hernández
598829	380000	Ofelia
598829	381024	Alejandra
598829	381153	Miranda Murillo
598829	386078	María Elena del Junco
598829	392653	
598829	397463	Verónica Fernández Negrete-Mo
598829	398458	Leticia
598829	398794	Fernanda
598829	402839	Ramona Moreno
598830	236021	
598831	91391	
598831	220701	
598832	232239	Bartender
598833	20735	
598833	162475	
598833	255937	
598833	265147	
598833	307725	
598833	371687	
598833	382578	
598834	392752	Peralta
598835	397015	Generosa León viuda de Gómez
598835	399497	Leonor
598836	401437	Clotilde
598837	408793	Juana
598838	4926	
598838	55182	Mother
598838	100378	
598838	145263	
598839	262702	
598840	306705	
598841	161562	
598842	114454	Attractive Girl in Woods
598843	71146	Stefania
598843	213324	Fairy
598843	354452	
598844	168099	
598845	190644	Una secretaria de don Alberto
598845	236748	
598846	181618	
598847	76777	
598847	128030	
598847	197056	
598847	219583	
598847	285576	
598847	359614	
598848	94711	Geisha
598849	9945	Teacher
598850	396942	
598851	234966	Waitress
598852	320357	
598853	22738	Paloma Rodriguez
598853	88841	
598853	142186	
598853	182809	Marianne Schäfer
598853	290585	Magarita
598853	361503	
598853	396874	Emilia Aicher
598853	400304	
598854	56316	Telefonista 2
598855	187627	Hermanita de Sylvanus
598856	5090	Mãe
598856	369497	Freira
598856	386728	Enfermeira
598856	402371	D. Clarisse (escrivã)
598857	207067	
598858	14122	Townsperson
598858	215507	Miss South Dakota
598858	230663	Mall Shopper
598858	278217	Pedestrian
598858	281388	Baseball Fan
598858	334410	Girl #3
598858	363415	Wedding Guest
598860	112676	
598861	356149	Anna
598862	216959	Herself
598862	284557	Eva Stein
598862	284558	Eva Stein
598862	284559	Eva Stein
598862	284561	Eva Stein
598862	401112	Host (1999-2000)
598863	34474	
598863	53835	Madre Fausto
598863	86093	
598864	30272	
598865	6284	Tina
598865	28544	Franca De Rossi
598865	237769	Gina
598865	252773	
598866	214731	
598867	328389	
598868	58086	Herself
598869	68044	
598869	75619	
598869	116426	
598869	234045	
598869	237216	
598869	258688	
598869	325108	
598870	86450	
598871	288875	Maria
598872	11570	Dr. Lamb
598872	11837	Phyllis Fishbein
598872	42983	Office Woman
598872	235089	Carol
598872	235646	Aunt Marie
598873	197468	Elena
598874	339107	
598875	409008	
598877	26619	Liz Turner
598878	69796	
598878	82248	
598879	235047	Mujerzuela II
598880	139902	Maestra
598881	64750	Countess Del Lago
598881	319687	Herself
598882	19484	Esposa de minero
598882	25060	
598882	25798	
598882	29045	
598882	46118	Ángela Luján
598882	53595	
598882	53965	Esposa de Lucas
598882	61756	
598882	74744	Soldadera embarazada
598882	98689	Lupe Xuncax
598882	98997	
598882	100787	
598882	101837	
598882	101887	
598882	148048	
598882	219505	
598882	223871	Maria's Aunt
598882	235307	
598882	239636	Trinidad's wife
598882	241125	
598882	243612	
598882	246154	
598882	255487	
598882	258496	
598882	262698	
598882	266828	
598882	269955	
598882	272623	
598882	273117	Xanath (segment "La potranca"
598882	276977	
598882	291620	
598882	294861	Lucina
598882	301131	Juanita
598882	307290	Soldadera
598882	334034	Machinza
598882	335517	
598882	339988	Melita
598882	349956	Sirvienta
598882	375779	
598882	376748	
598882	380107	Higinia
598882	389881	
598882	391966	
598882	393797	
598882	396880	
598882	396898	Cleotilde
598882	397593	Pura
598882	402404	
598882	402839	Sofía
598882	405868	
598882	409017	
598884	56518	clerk II
598885	385486	
598886	384781	
598888	96338	Bailarina
598889	5268	
598890	210377	
598891	52577	Frasquita (sequence "Carmen")
598892	67144	
598892	67145	
598893	19461	
598893	67027	
598893	104013	
598893	136993	
598893	193225	
598893	222011	
598893	246424	
598893	277409	
598893	308277	
598893	308907	
598893	318005	
598893	349936	
598893	397256	Marta
598893	400790	Emilia
598894	115036	Herself
598895	1556	
598895	30004	
598895	75059	
598895	228578	
598895	228600	
598895	243136	
598895	291283	
598896	360713	Renee
598898	42732	Production assistant
598898	136977	Herself
598898	177591	Mrs. Sanchez
598898	240785	Lt. Maria Aguilar
598898	346009	Female Police Officer
598898	356472	Kitchen Worker
598899	75199	
598899	159742	
598900	292396	Spanish dancer
598901	353758	Ningning
598902	134594	Gang Member's Mother
598902	164516	Mrs. Battera
598903	113248	Vicky
598906	43663	
598907	344828	
598908	374638	Striptease Artist
598909	90718	
598909	158852	
598910	33367	Esmé
598911	236762	Sister Robert Anne
598912	69155	Herself
598912	69156	Herself
598912	69163	Herself
598912	69171	Host
598913	104744	Swiss entry (5th place)
598914	104755	Swiss entry (4th place)
598915	104755	Swiss entry (4th place)
598915	189852	Herself
598915	189853	Herself
598916	313785	Performer
598916	410005	Host (1983-90)
598917	4638	
598917	163733	
598917	236801	
598917	302517	Dining car stewardess
598918	100268	
598918	362990	
598918	362991	
598920	307468	Matilde
598921	9169	Filumena
598921	14386	La Perpetua
598921	14834	Signora Toilette
598921	290814	Sophia Aleramo
598922	380107	Ceferina
598922	410477	
598923	252304	
598924	54267	
598925	124527	Elizabeth
598925	192954	
598925	378415	
598926	108137	
598926	122983	Herself
598926	156085	Herself
598926	205200	Chichi
598926	206769	Lola
598926	221963	Vicky
598926	343447	Lola
598926	384202	Sonia Loras
598926	392811	Herself - Interviewer (1999-2
598926	399609	Hostess (2000)
598926	402920	Herself - Host
598927	206975	Rebeca
598928	51538	
598929	313989	'What about blimps' Girl
598930	241322	Asian Girl
598930	366702	Hay Lin
598930	408538	Herself
598931	222856	Giornalista
598932	12707	
598932	397440	
598933	383568	Mireya Rodríguez
598933	384400	Eugenia Moret 'novia de luis 
598933	395061	Marcela
598933	402219	Antonia 'Toña' Fonseca
598933	404851	Lupita
598934	77248	Madre de María
598934	100467	
598934	223629	
598934	269915	Mujer iluminada
598934	284212	
598934	294860	
598934	328203	Sor Cecilia
598934	357516	Maria
598934	387881	
598934	390420	Julia Marino
598934	402238	
598934	403109	Arna
598934	404017	
598934	407859	Sor Cecilia
598935	115038	Herself
598935	275078	Herself
598936	33650	
598937	283758	
598938	70323	
598939	10529	
598939	10530	
598939	28375	
598939	159225	
598939	205542	
598939	269114	
598940	254119	
598941	19601	Mom
598942	389233	Sandra Paola Rodriguez (2000-
598943	233550	child
598944	234415	dancer-herself
598945	16810	Newscaster
598946	104777	Swedish entry (8th place)
598946	210357	Herself
598946	397395	Herself
598946	397396	Herself
598946	397397	Herself
598947	19250	child
598947	94816	
598947	151794	
598947	201351	
598947	385252	Balbina
598947	392958	
598948	61152	Lisa
598949	68618	
598950	10287	
598950	13079	
598950	25024	
598950	47065	
598950	48844	Genoveva
598950	51913	
598950	86355	
598950	133215	
598950	159339	
598950	210229	
598950	211165	
598950	236010	
598950	279255	
598950	287848	
598950	307201	
598950	351861	
598950	376773	
598951	395914	Hélène
598951	398238	Herself/panelist
598952	115826	
598953	19883	
598953	76775	
598954	16865	
598954	29109	Maria
598954	42595	Graziella
598954	48862	Signora Sanna
598954	51360	Carla
598954	51697	Giovanna
598954	57277	
598954	70745	Elena
598954	71294	
598954	124201	Caterinetta Bellelli
598954	128031	
598954	128936	
598954	158852	Marcella Venturi
598954	196776	Liliana 'Lily' Antonelli
598954	199444	Maddalena Lenci
598954	210319	
598954	222199	Berta
598954	280756	Luciana Renzoni
598954	284250	Henriette de Lomanach
598954	291547	Anna Granata
598954	292339	Dominique Marimon
598954	294349	
598954	294413	Angela
598954	301237	
598954	301384	Renata
598954	338702	Liliana
598954	344903	
598954	354910	Mirella
598956	387806	Host
598957	302358	Angela
598958	100330	
598959	5268	
598960	28961	
598960	145193	
598960	281611	
598961	221567	
598962	56989	
598962	90146	Rubia subasta
598962	252053	
598962	379136	
598962	402708	
598963	90752	
598965	214859	
598966	114873	Dancer: Grupo de Baile Marche
598968	2441	
598969	196597	Foot Psychologist
598970	186129	
598970	273298	
598970	306923	Herself
598970	317990	
598971	192992	Nana Goya
598972	51864	Peruchi/Hen Sister #2
598973	217054	Deportista: Pasajero del 86
598974	90095	
598975	114873	(segment "Tangos")
598976	212385	
598977	202209	
598977	202210	
598977	287426	
598978	207757	
598978	272693	Noia 2
598979	273101	
598980	205714	
598981	312141	Singing nun
598982	297754	Grandma
598983	107016	Felice
598984	92162	Dancer
598985	15938	Maid
598985	16072	Tomasita
598985	26417	
598985	39575	Juanita
598985	44292	Girl
598985	114839	Indian girl
598985	115538	Spanish Girl
598985	117362	The Queen
598985	127394	Mrs. Obregon
598985	156459	Proprietress' Daughter
598985	169817	Carmelita Velasco
598985	176337	Marguarita
598985	213178	Miniature golf dad
598985	226962	
598985	301065	Lukoa
598985	307842	Party Guest
598985	314631	Sarah Stromboli
598985	338630	
598985	340378	Victoriana
598986	25517	
598987	105462	Dancer
598988	79118	Darna
598989	390745	Esperanza
598989	401097	Felicia
598990	10833	Erika
598991	275449	Doralda
598991	292816	Dian Stephens
598992	246459	
598992	256717	
598992	324090	
598993	215219	
598993	337659	Dolores
598995	255658	
598996	12286	Nea, as a child
598996	215220	Anita Ramos
598996	372116	Little girl who cries
598997	25128	Fanette
598997	83254	
598997	217637	
598997	230003	
598997	282837	
598997	314355	
598998	269504	
598998	345357	
598998	346713	
599000	286901	
599000	304478	Presentadora
599001	380089	Laura
599002	189979	Rosa
599004	207440	Puerto Rican Housekeeper
599005	1556	
599005	2097	
599005	34877	
599005	75031	
599005	75059	
599005	96111	Debbie
599005	116812	
599005	159984	
599005	165923	
599005	165926	
599005	228578	
599005	254316	La fille nue noire et blanche
599005	271862	
599005	290359	
599005	296101	
599005	339599	
599006	142718	L.A. TV Reporter
599007	23191	
599007	181976	
599007	205993	
599008	255921	
599009	284955	
599010	222194	Herself
599010	270273	Jane
599013	7722	
599013	13389	
599013	16969	
599013	26896	
599013	32939	
599013	34919	Herself
599013	34920	Herself
599013	39070	
599013	41992	
599013	41993	
599013	62018	
599013	74286	
599013	87388	
599013	92539	
599013	98891	Herself/Host
599013	99848	
599013	102847	
599013	111650	Herself
599013	113408	
599013	117446	
599013	122060	
599013	128849	Shelly Spencer, the call girl
599013	129090	Herself
599013	135737	
599013	150343	
599013	150345	
599013	169601	
599013	187411	Herself
599013	196334	
599013	198853	
599013	200158	
599013	213119	
599013	243526	
599013	264777	
599013	273292	
599013	273528	
599013	276940	Donna
599013	302364	Carlotta
599013	320972	
599013	320981	Art Collector (Priceless Coll
599013	320997	
599013	320998	
599013	326751	
599013	327272	
599013	329867	Herself
599013	335803	Herself
599013	335877	Juanita
599013	350404	Herself (The Object)
599013	350407	
599013	353420	
599013	355059	
599013	362988	Herself
599015	10824	The Woman in Red
599015	74955	The Prostitute
599015	82589	
599015	135110	Hilda
599015	160620	The Waitress
599016	44223	
599016	231638	
599016	235299	
599016	235998	Fortunita
599016	248287	
599017	55011	
599017	145264	
599017	190997	
599017	248177	
599018	114873	Dancer: Grupo Cané
599019	74616	
599019	112043	
599019	123181	
599019	205796	
599019	227692	
599019	231592	
599019	265460	
599019	301182	
599019	310032	
599019	326296	
599019	399570	
599020	176712	Hooker #2
599021	73281	Coro "Siquem"/"Siquem" Choir
599022	254110	Conchita
599023	30792	Jinky
599023	35030	
599023	48957	Shai
599023	86732	
599023	89764	
599023	112787	
599023	168928	Student Volunteer
599023	175355	
599023	197625	Lupe
599023	214777	Lynette
599023	222110	Wendy
599023	227728	
599023	355786	Herself
599023	387832	Ditas
599023	390069	Samantha
599023	407337	Isabel (2002)
599024	35020	Amparo
599024	286901	Gloria
599025	288943	Natalia
599026	61200	Susana
599027	307359	Girl at Brothel
599028	251313	Colasanti's mother
599029	13965	Partisan
599029	44243	Celia
599029	79112	Darna
599029	79115	Darna
599029	373821	
599030	29311	Singer
599030	63106	Del Rubio Triplette #1
599030	221067	Herself
599030	342561	The Waitresses
599031	29311	Singer
599031	63106	Del Rubio Triplette #2
599031	219931	Special Guest Appearance
599031	221067	Herself
599031	342561	The Waitresses
599032	242838	
599033	29311	Singer
599033	63106	Del Rubio Triplette #3
599033	219931	Special Guest Appearance
599033	221067	Herself
599033	342561	The Waitresses
599034	95796	Child in Hospital
599035	90098	Sor Presa
599035	201499	
599035	288859	
599036	137038	
599037	249830	Mujer
599038	340370	Ascencio Del Rio Trio
599039	57866	
599039	183517	Elena
599039	189024	
599039	377182	
599040	385847	
599040	393338	
599041	13515	
599041	197962	
599041	341838	
599042	54346	Sonia
599042	75198	
599042	380445	
599042	387100	
599042	389483	
599042	403786	
599042	404851	Delia
599042	405955	
599043	274642	
599044	206283	
599045	67952	
599045	83364	La serveuse espagnole
599045	149554	
599045	202023	
599045	204605	
599045	221944	
599045	351996	
599045	355950	
599045	376727	
599046	10340	
599046	14833	
599046	108129	
599046	124786	
599046	132688	
599046	146568	Empleada
599046	296463	
599046	301107	
599046	339034	
599047	36666	
599047	339143	
599048	352625	
599049	19503	Edit
599050	21585	Singer
599050	105664	
599050	354449	
599051	10340	Roxane
599051	27781	
599051	58145	
599051	62241	Sonia Bellford
599051	63408	
599051	91425	
599051	115763	
599051	122837	
599051	132374	
599051	147375	
599051	199852	
599051	249301	
599051	268248	
599051	292724	
599051	333699	Adela
599051	334685	
599051	343613	
599051	357533	
599051	370178	
599052	21585	
599052	21600	
599052	104150	
599052	248761	
599052	268499	
599052	384423	Agustina
599053	52998	
599053	54081	
599053	69908	
599053	132690	
599053	145141	
599053	148168	
599053	159034	
599053	169084	
599053	186545	
599053	252770	
599053	258499	Juanita
599053	339117	
599054	163731	(segment "Vedova bianca, La")
599055	252516	Susana
599056	274461	Campign Secretary
599057	126132	
599058	8285	
599058	43159	Lilli
599058	55488	
599058	83768	
599058	91054	
599058	92073	
599058	106752	
599058	114578	Jane
599058	124124	Laura
599058	132056	
599058	242301	Cameriera
599058	252337	
599058	284830	'Baby' (segment "Sabato")
599058	319026	(segment "Armando's Notebook"
599058	357970	Andrea
599059	4615	
599060	44912	
599060	65404	
599060	104154	
599060	171459	
599060	338603	
599060	353630	
599060	376806	
599061	38271	Alizée
599061	57791	Leila
599061	101233	Pretty Half-Caste
599061	122398	Amina
599061	260942	Yema
599061	402885	Elsa
599062	19499	Mila
599062	252053	
599062	387811	Bárbara
599062	410304	Host (1991-1992)
599063	227317	Muriel
599064	187313	Maria
599066	80115	
599066	91388	
599066	124527	María
599066	339012	
599067	13621	Amelia
599067	14654	Lucía
599067	25090	Laura
599067	29492	Louisa
599067	36561	Bailarina
599067	43008	Louisa
599067	53026	Rosaria
599067	55194	Carmen
599067	73061	Camilla Marquez
599067	78272	
599067	87504	
599067	94734	
599067	112683	
599067	121942	Olga
599067	132708	
599067	132710	
599067	146771	Maggie
599067	176933	Luisa
599067	186125	Laura
599067	234278	Deolinda, dite 'Déo'
599067	235489	Rosa
599067	236525	Maria
599067	252664	Mara
599067	277398	Marfisa
599067	287817	Paula
599067	325341	Pat
599067	335253	Angela
599067	341144	Teresa
599067	343647	Consuelo
599067	353180	
599067	373871	Terese
599067	383246	Anna (2002-)
599067	403330	
599067	404211	Mlle Brisseau, le proviseur a
599067	410275	
599068	208996	
599068	373299	
599068	396394	
599069	325364	
599070	44380	Princess
599070	257014	Heist Woman
599071	102829	Vanessa (Coochie Tribe)
599072	221568	
599072	301121	
599073	178139	Beth
599074	226992	Miriam
599074	296991	Rosie
599075	205071	Carmen
599075	221963	Miss Las Palmas
599076	92338	Doña Herlinda
599076	125956	
599077	83536	
599077	221548	Iciar
599077	252529	Encarna
599078	377110	
599079	119884	Passenger
599081	90755	The Short-haired Friendly Bav
599082	266191	Mother
599083	83870	
599084	28792	
599084	51785	Abuela
599085	52745	
599085	101890	Enveneadora Madre
599085	115820	Soltera Bus
599085	350933	
599086	104089	
599086	106458	
599086	350933	
599087	124453	
599087	209015	
599088	164953	
599089	13965	Senora Martinez (the aunt)
599089	48772	
599090	48772	
599091	12083	
599091	226435	Niña Carlota 1
599091	386358	Laura
599092	371271	Alumna de la facultad
599093	58044	Paula
599094	55170	Presentadora
599096	1179	Miranda Ruiz
599097	140863	Herself - Publicist
599098	43078	Camarera Bar
599098	57420	
599098	71085	
599098	121316	Adriana
599098	135155	
599098	145213	
599098	159231	
599098	170478	
599098	202839	
599098	214694	
599098	221672	Renata
599098	221707	
599098	236455	
599098	248177	
599098	255056	
599098	255505	María
599098	277405	
599098	287851	Azucena
599098	287880	
599098	291612	Merche
599098	301198	
599098	337456	
599098	337677	
599098	351669	
599098	356671	Mama de bebe
599098	371769	
599098	379100	Navarro
599098	379554	Estela
599098	380103	Sonia Aguilera
599098	387825	Lina
599098	399807	Ifigenia
599098	403538	
599099	1179	Rosario
599100	3124	
599100	54863	
599100	85731	Marcia
599100	118153	
599100	207969	
599100	268053	
599100	319623	
599101	24545	
599101	25048	
599101	85554	
599101	100439	Caty Rossi
599101	103187	
599101	145250	
599101	169256	María José
599101	193309	
599101	207959	
599101	214622	
599101	221884	(segment "Negocios son negoci
599101	222410	
599101	236437	
599101	266992	
599101	307725	
599101	354448	
599101	376637	
599101	379651	
599101	379903	
599101	386792	
599101	399497	Norma
599101	399537	
599102	71364	Montserrat Ehrzman-Rosas
599102	83761	Desi
599102	93630	Carrie
599102	166334	Hauviette
599102	232374	Michelle
599102	292155	
599102	307949	Robin
599102	347071	Joe
599103	200664	
599103	339813	Ola
599103	379023	
599103	382126	Bernadette Gaston
599103	407337	Corrine Ledesma
599104	19461	
599104	88986	
599104	106309	
599104	131970	
599104	145250	Srta. Berutti
599104	256661	Cristina
599104	277409	
599104	288326	
599104	308275	
599104	350266	
599104	376712	
599104	382571	
599104	396654	
599104	401692	
599104	402350	Cecilia Kent de Linares
599104	403650	Odile
599104	406728	Dodó
599105	82683	Party babe
599105	90771	Mob Girlfriend
599105	232201	
599105	386772	Varoius female characters
599106	170092	Niña Teléfono #1
599107	223613	
599108	19503	Silvia
599108	20398	
599108	21703	Guillén
599108	25028	
599108	28952	
599108	54863	
599108	55013	
599108	59253	
599108	63636	
599108	66674	Jimena
599108	66675	
599108	67694	Jana
599108	71008	Mujer narco
599108	74138	
599108	74354	Esposa Jacobo
599108	80154	
599108	82723	
599108	114321	
599108	124530	
599108	139911	
599108	169775	
599108	197968	Nora
599108	202061	
599108	204689	
599108	207729	
599108	247472	
599108	252057	
599108	268053	
599108	351628	Flor
599108	354774	
599108	354847	Diana
599108	376638	Amante
599108	376650	Lupe
599108	377153	
599108	378440	Sria. Sr. Morales
599108	387817	Zoila
599108	392960	
599108	403752	
599108	405415	
599109	247359	Miss Panama
599110	215223	
599111	192936	
599112	20567	
599113	353545	Dependienta I
599114	74368	
599114	84458	
599115	57469	
599116	287427	
599117	979	Kathy
599117	96382	Policía #3
599118	63755	Auxiliar de quirófano
599119	3543	
599119	80269	
599119	274956	The Haciendada
599119	282144	Esposa de Manuel
599119	354479	Pretty Girl
599119	371755	
599120	49431	Girlfriend 1
599120	246202	
599120	334694	
599121	20625	Featured player
599121	49975	Townswoman
599121	72210	Aunt
599121	73475	Friend of Farrago
599121	116174	
599121	130803	
599121	171401	Mrs. Serapamoun
599121	205036	Amelia
599121	212196	
599121	245511	Mama Gomez
599121	307842	Party Guest
599121	411461	Spanish Senora
599122	12353	Singer
599122	69683	Senora de Cordova
599122	130803	Dona Elena
599122	288079	Gina
599122	371887	Native Woman
599123	238658	Student
599124	91103	
599124	166384	Jaqueline
599124	186250	
599124	234620	
599124	266480	
599124	379182	Laura
599124	380387	Dolores
599124	384137	Dona Mocinha
599124	384647	
599124	386105	
599124	386419	Rosário
599124	387833	Soledad
599124	388565	Dinorah
599124	388592	Olivia Flores
599124	389153	Bárbara Ventura
599124	392589	
599124	392628	Mariinha
599124	396610	Iolanda 'Ioiô' Albuquerque (2
599124	396844	
599124	398793	
599124	400445	Rosa
599124	401089	Helga
599124	402456	Joana
599124	404888	Netinha
599124	408381	Jacinta
599124	408414	Carmem Sílvia
599124	408550	Lia
599124	409407	Adriana
599124	409417	
599124	410054	Glória
599124	412270	Renée
599125	42596	Maria
599125	169540	
599125	198337	Bianca
599125	205366	
599125	232895	
599125	283285	Chiara
599125	386478	Young Giulia
599126	402152	Aura
599127	14386	Donna del coro
599127	14834	Speranza
599129	404161	Flaca y ojerosa
599130	249852	Edith
599131	194137	Mrs. Hooper
599133	196764	
599134	299652	Mrs. DeRosa
599135	28544	
599136	301923	New York
599137	81345	
599137	103774	Cecille Montejo
599137	139391	Angelica
599137	153314	
599137	162113	Agnes
599137	200018	Marianne
599137	229173	
599137	232044	
599137	284630	
599137	295426	
599137	387832	Cecille Montejo
599137	390873	Erica
599137	392569	
599138	160614	
599139	384447	
599139	394036	
599140	57804	Party Girl
599140	314156	Loach's Girlfriend
599141	278628	
599142	246279	Rosa
599144	68927	
599145	125040	Josefa
599145	125137	
599145	140265	
599146	367951	Herself
599147	107109	Dacoit Girl
599147	142672	High Priestess
599148	54254	Marine
599148	217569	Maëlis
599149	111978	Catherine
599150	69761	
599151	101140	
599152	410359	Marie La Tulipe
599153	25788	The baby
599154	234721	La patronne du café
599155	1157	
599155	240282	
599155	272256	
599156	134442	Dea
599157	345297	Mireille
599158	9689	
599159	12373	La seconde hôtesse de l'air
599159	125840	
599159	132744	La fiancée de Phil
599159	149679	
599161	45637	(segment Majorettes in Space)
599161	83375	
599162	3566	
599162	43665	
599162	43666	
599162	74390	(segment "A Morena e o Louro"
599162	103903	(segment "Noite de Almirante"
599162	104487	
599162	222185	
599162	237933	
599162	252768	Odete
599162	267495	
599162	269169	(segment "História da Praia")
599162	327327	
599162	379183	Madre
599162	380097	Ester
599162	383866	Inez
599162	386727	
599162	389643	Dadá
599162	389786	Graziela
599162	391900	Clotilde
599162	391901	Branca
599162	393005	Deolinda
599162	395882	
599162	400098	Lenira
599162	400678	Eugênia
599162	401678	Irene
599162	402424	Zilda
599162	402685	Madre
599162	404814	Santa
599162	404834	
599162	409426	
599162	409898	
599162	412173	Das Graças
599163	193831	
599163	193832	
599163	193836	
599163	193840	
599164	126258	Philomène
599166	24201	L'Anglaise
599167	285762	Mme Duplay
599168	13225	Emmanuelle
599168	106205	Pseudo Veronique
599168	158842	Olivia
599168	268447	Alice Marchal
599168	346732	Noémie
599168	376896	Maryse aged 15
599169	64341	Valérie
599170	406881	Tekla Skarbek
599171	134605	Serveuse cafeteria 2
599171	337138	
599171	355513	
599172	396308	Candy
599173	327893	
599175	97390	Dancer
599176	72140	Model
599177	214797	
599178	11010	La garde mobile
599178	139510	
599178	309727	
599178	337033	Sylvaine
599179	355085	Melle Moreau
599180	171346	
599180	340137	Coralie Cachelin (segment "Hé
599181	276309	Une directrice
599182	29000	Alice
599182	84106	La mère de Charlotte
599182	94700	
599182	155683	Mme Beaurevers
599182	156550	Mile Temporel
599182	164169	Grand Duchess Xenia
599182	248898	Léo
599182	255299	
599182	257886	Shopper in Department Store
599182	300735	Lady of the Heart
599182	384287	
599182	384746	
599182	410420	
599183	379716	Laura Cudahy #2 (1984-1988)
599184	164169	A follower of Rasputin
599185	251019	Danseuse
599186	148685	Une volleyeuse
599187	51310	Mathilde
599188	284222	
599189	125177	
599189	189576	
599190	69390	Girl in Park 1
599191	79698	
599192	34953	
599192	79698	Frankie Lee
599192	81065	
599192	91559	June
599192	131692	Hooker in Limo
599192	202988	First Receptionist
599192	204214	Radio Operator
599192	265747	Gail
599192	321154	Dancer in 'Rhythm of Life' Nu
599192	343263	2nd Reporter
599193	8234	Hologram Babe
599193	140357	Malina Martinez
599193	154742	Ronnie
599193	194075	Crying Mourner
599193	331209	Brigitte
599193	381422	Blonde woman
599193	408703	Wine Waitress
599195	152225	Sis Kirby
599196	371374	Extra
599197	319560	Mrs. Freddie
599198	347566	
599198	409602	
599199	140765	The Bride
599200	20072	Gloria
599200	23303	Chérie Lamour
599200	25116	Germaine Pivert
599200	44829	La Chanteuse
599200	59278	Herself
599200	70509	Coraline
599200	72074	Adrienne Vignard
599200	73471	
599200	83200	Mila Malou
599200	96066	
599200	96074	Totte
599200	112733	Lucette Gauthier
599200	126319	Virginie
599200	183800	Raymonde Bosset, dite Caprice
599200	243034	Madeleine
599200	244741	Mireille
599200	248259	Fernande
599200	248988	Parisienne
599200	250835	Odette
599200	263017	
599200	268879	Marguerite Chauffornier Marti
599200	279912	Luisa
599200	284182	Lucilla
599200	309983	Suzy Henebey (episode "Une co
599200	353844	Phémie/Femia
599200	398790	Tante Victoire
599200	412203	Betty de la Saussnaie
599202	57730	Hallie
599202	77456	Castleman's Secretary
599202	124224	High Fashion Model
599202	152526	Vera Simmons
599202	193855	Julie
599202	193921	Nurse
599202	277073	Miss Abbott, chimp trainer
599202	367913	Head Nurse
599203	119344	
599204	106205	Woman at Monoprix
599206	357402	Dancer
599207	124141	La femme à la fenêtre
599208	132735	
599209	113261	Ward Nurse
599210	13376	Elsie Tucker
599210	75881	Gentlewoman
599210	81682	Miss Bird
599210	113515	Mrs. Angell
599210	114051	Elderly Lady
599210	126688	Mrs. Arbuthnot
599210	144950	Great Granny Plunkett
599210	150841	Mother
599210	155068	Landlady
599210	161984	
599210	190933	Mrs. Franklyn
599210	210514	Ambulatory Grannie
599210	231973	Penelope
599210	241628	Millicent
599210	245850	Lady Belmore
599210	248121	Mrs. Hubbard
599210	252573	Miss. Mantripp
599210	270977	Alice
599210	287713	Storyteller
599210	292694	
599210	356955	Mrs. Morris
599210	364190	Old Woman
599210	383488	Lady Mary Penmore
599210	384658	Aunt Olive
599210	386233	Mrs. Copley
599210	400108	Old Sally
599211	309425	
599212	72055	
599213	56241	
599214	409814	
599215	16602	Géraldine Létendard
599215	31433	Madame Deville
599215	54298	Léonora Galigai
599215	54299	Marie de Médicis
599215	60506	Lucette
599215	63661	Anne d'Autriche
599215	66225	Mme de Lere
599215	68894	Haydée (part 2 only) (French 
599215	84105	Joséphine de Beauharnais
599215	94535	Madame de Serizy
599215	96165	
599215	101528	La marquise
599215	103223	Madame Mercenay
599215	108991	
599215	110053	Hélène
599215	117685	Denise Moret
599215	132607	Fernande
599215	133067	Anne de France
599215	133081	Juliette
599215	156313	
599215	193501	Mrs. Craigie, Lola's mother
599215	197548	Mme. de Vertume
599215	206506	Marie-Antoinette
599215	218331	Countess Francoise Marguerite
599215	228193	La Comtesse de Lancy
599215	252321	Nelly
599215	268395	Madame de Beauséant
599215	268414	Madeleine
599215	270307	
599215	280540	Lucienne Lafare
599215	285768	
599215	286317	Une comédienne
599215	321826	Harriet Smithson
599215	345105	
599215	350078	Hélène
599215	355854	
599215	382584	Tante Emma
599215	388944	
599216	71835	
599216	72055	
599216	327549	Une cliente
599217	225408	
599218	56069	
599220	44830	Janie
599220	196981	Martha Schultz
599220	240500	Receptionist
599220	318812	Mildred Buckwalter
599220	396142	Martha Shultz
599221	54864	
599223	44456	Maria
599223	70612	Imogen Hassell
599223	105441	Arlena Stuart
599223	169885	Locker judge
599223	187816	
599223	199173	Sandy
599223	238649	Lady in pub
599223	384482	Jess
599223	397436	Jane
599223	399529	Lia Costoya
599224	208188	Awatea
599225	292856	The Nurse
599226	33971	Local Woman #1
599226	178009	Sarah
599226	317397	Susan Amici
599227	122204	Passport Woman
599227	199098	Joellen Peters
599228	137462	Dancer
599229	276918	Laura
599230	41234	Terry
599231	16422	Roxy
599231	37648	Herself
599231	105904	Melissa
599231	289426	Vicki
599231	289427	Stacy
599231	295729	Laura
599231	295730	Brenda
599231	300926	Digestina
599231	355157	Leah
599232	60186	Girl with Newspaper
599233	111068	Pool Side Girl
599234	113383	Violet Williams
599234	123386	Ruth
599234	185708	Letty
599234	248439	Claire Stellar
599234	331051	Eleanor Halliford
599235	35252	Joanne Greenwald
599236	113287	Lou Ann
599237	213105	Maria
599238	267653	Bodybuilder
599239	305036	Dancer
599240	30311	Cheri Scoane
599240	107425	Jessica
599240	153142	Julie
599240	241600	Sharon
599240	273610	All Girl Band Member
599241	23593	Sarah Crookham
599241	81563	Agnes the Midwife
599241	214996	Miss Strange
599241	305990	Oul'one
599241	359279	Mrs. Doyle
599241	393268	Helen
599241	402956	Mrs. Gascoine
599242	296657	Cecily Shackleton
599243	392103	Host
599244	100889	Janine Talbort
599244	283494	
599244	286045	Herself/Interview with Delven
599244	382206	Herself - Panellist
599244	382590	
599244	401031	Various
599244	404149	Herself - Hostess (1983-1985)
599244	411809	Nurse JoJo Adams (1976-1977)
599245	134370	Female pa-voice
599246	57128	
599246	272813	
599247	39518	Supporting Players
599247	41747	Party Girl
599247	73883	Jookhouse Woman #1
599247	152581	Hurricane Annie
599247	236693	Nurse
599247	252219	Peaches
599247	255433	Secretary
599247	274119	Intern
599247	411363	1st Nurse
599248	313334	Bel Air Woman
599249	245207	Dental Assistant
599250	155812	Madame X
599251	10319	Jane
599251	49640	R.J. Hart
599251	90283	Susan Hollander
599251	289749	Woman Interviewer
599252	311635	Linda
599253	405942	Rogue the Bat
599253	409390	Jaqcueline McMadd (2003-2004)
599254	25437	Herself
599255	716	Herself
599255	1462	Herself
599255	2761	Herself
599255	4671	Herself
599255	11317	Meredith 'Mere' Scialo
599255	42791	Karen Chrushank
599255	47462	Suzanne
599255	53208	Dayna Thomas
599255	63004	Jessie
599255	65887	Kate Saunders
599255	72455	Jackie
599255	79045	Jill Randall
599255	82528	Sister Mary
599255	84980	Nikki DeMarco
599255	87507	Lilly Kroft
599255	93645	Julia Robbins
599255	114047	Cathy
599255	117498	Sarah Flynn
599255	138328	Maria
599255	152942	Melanie
599255	159518	Danielle Montet
599255	183590	Lucky Santangelo
599255	195430	Lt. Kate Timmons
599255	215860	Maggie McConnell
599255	224392	Herself (Presenter)
599255	253362	Susan Warrenfield
599255	265612	Anne De Carlo
599255	294789	Selby Younger
599255	308080	Mandy Estabrook
599255	323443	Evan
599255	324052	Maggie
599255	327641	Karin Swann
599255	329531	Cathy Carlson
599255	378682	Dr. Samantha Hill
599255	379716	Jenny Gardner Nelson (1981-19
599255	385359	Megan Donner (2002)
599255	388654	Erica Fontaine (1992)
599255	395023	Leslie Kleinberg (1987)
599255	408650	Alex Devlin (1989-1990)
599256	18009	Mrs Gleeson
599256	54453	Mrs. Davin
599256	72496	
599256	88944	Emmy, Ridgeon's Housekeeper
599256	145904	Nellie Oulihan
599256	147616	Aunt Bridget
599256	164653	Mrs. McBride
599256	184430	
599256	193868	Mrs. Stevens, housecleaner
599256	205168	Bridget
599256	206090	Daisy Cobb
599256	231775	Anna O'Leary (Blackmarket)
599256	238244	Theresa O'Brien
599256	278820	
599256	285793	Postmistress
599256	289383	Mrs. Perryman
599256	306412	Curtis
599256	315675	Jennie Costello
599256	338747	Mrs. Finnegan
599256	345970	Flo
599257	105937	Athena
599258	184853	Lisa Gates
599258	398557	Sue
599259	30777	Ms. Jax
599259	35535	
599259	59535	Girl in Sadie's Place
599259	72866	Doreena
599259	99400	Miss Price
599259	115003	Iris
599259	133497	
599259	137453	Bitsy Blake
599259	148562	Marilyn
599259	164223	Kim
599259	190080	
599259	206491	Artist Abducted by Martians
599259	212748	Sectetary #2
599259	236119	Secretary
599259	286427	
599259	294509	Jane Weiss
599259	321611	Lottie Robinson
599259	372730	Katherine Phillips
599259	375792	Anne Taylor
599259	385046	Regular
599259	385824	Rachel Blake (1995-1996)
599259	407175	Lottie Robinson
599260	88085	Sister Margaret
599261	45999	Mrs. Cooper
599261	64400	Big House Maid
599261	104049	
599261	160033	Mrs. Malone
599261	195464	Mrs. Hale
599261	235591	Mrs. March
599261	252728	Sister Flanagan
599261	257615	
599261	269053	Mickser's wife
599261	269684	Mrs. Barlow
599261	281475	Mrs. Wall
599261	339048	Lizzy O'Reilly
599261	342823	Sister
599261	382306	
599261	397182	Maisie
599261	402398	Mrs. Mortimer (1971-75)
599261	407587	Mrs. Nolan
599262	60829	
599263	380456	Baby Rosie
599264	270622	Chekhov Actress
599265	194564	Special Child
599266	18250	Janette
599266	84142	Carol
599267	359742	Janeane
599268	399018	Contestant (2004)
599269	201343	La bonne d'Agnès
599270	354604	The German's Wife
599271	91166	
599272	121692	Dany, la femme
599273	58848	
599274	234044	Herself
599276	139537	
599277	337019	La cliente du luthier
599278	124987	Jeanine
599278	353961	Victoire
599279	111908	Psychiatrist
599280	336834	
599281	166274	
599282	25683	Baroness Wurtz
599282	79439	
599282	85716	Madame de Morigny
599282	118421	
599282	159699	
599282	207769	
599282	266948	
599282	346632	
599283	85547	
599284	319914	Agent immobilier
599285	48227	
599285	205238	Claire
599286	166120	La jeune
599287	119751	Titine
599287	206059	Mme Morane
599287	353952	Suzanne
599288	112812	Courtesan #1
599288	146361	L'architecte
599288	161782	Juliette
599288	165901	La Soubrette
599288	273352	L'aventure d'un soir de Luc
599288	361710	Fougère (Hysterical Woman)
599288	377465	Sylvie
599289	132683	
599290	289503	Marie Antoinette
599291	6247	Delores Adams
599291	81287	Merle
599291	141187	Shirley's Sister
599291	145077	Violet
599291	166471	Bus Driver Betty Borman
599291	170983	
599291	183879	Mountain Girl
599291	213502	Witch #2
599291	214943	Stewardess
599291	245207	Claudette
599291	246710	Mrs. Spruill
599291	272647	Aurora
599291	272759	Ronnie
599291	279180	Ranger
599291	301830	Linda
599291	304854	Policewoman
599291	313635	Simone Lubchansky
599291	330386	Sgt. Dot Jenkins
599291	365220	
599291	378684	Brenda May
599291	387482	Bunny
599291	401894	Miss Roberta 'Bobbi' Glass/Nu
599292	62791	Party Guest
599292	108087	Dancer
599292	132677	
599292	166707	Nosy Co-Worker
599292	305159	Dancer: The Dance Company
599292	313583	Fan in Lobby
599292	359569	Lizzie
599293	224192	Leslie
599293	326567	Business Woman
599294	365559	Angelique
599295	21529	Miss Sedley
599296	268950	Femme du bord de la route 2
599297	104737	Host
599297	387959	Herself - Presenter (1962)
599298	222995	
599299	170416	Cécile
599299	199297	Une cousine
599299	319969	Herminie
599299	381711	Oscar
599299	397969	Maya
599300	80642	Aunt Julia
599300	168547	Herself
599300	196037	Mrs. Curry, the Bishop's Hous
599300	340583	Miss Rice
599301	224001	
599302	2399	Herself
599302	12256	Susan McCall
599302	26350	Nathalie Johnson
599302	30970	Lois Lane
599302	30976	Andrea 'Andi' Beaumont/The Ph
599302	62007	Lt. Colleen McMurphy
599302	62548	Margaret Sanger
599302	70303	Martha
599302	80513	Dr. Ashley
599302	90508	Lt. Dena Donato
599302	101081	Betsy Corcoran
599302	105851	Lisa Emerson
599302	108474	Saleswoman in Record Store
599302	113354	Alexandra Cooper
599302	116079	Susan Barnes
599302	117056	Hope
599302	122895	Voice over
599302	151207	Becky Metcalf
599302	161226	As herself
599302	189314	Moya Trevor
599302	190373	Herself
599302	190482	Marianne Jost
599302	192574	Jill
599302	195173	Herself
599302	207280	Anne Briscoe
599302	208167	Bagheera (the Panther)
599302	218719	Jenny
599302	219921	Karen Bennett
599302	245332	Cat Fonifam
599302	250779	Rose Cleardon
599302	250873	Gelina
599302	265750	Jane
599302	276196	Johte Vos
599302	276427	Clare Miller
599302	278260	Anthea Farrow-Smith
599302	303092	Sally Rawlings
599302	311183	Margaret Swift-Bejarano
599302	319624	Lois Lane
599302	319625	Lois Lane
599302	329036	Anne Williams
599302	331732	Laura Shaper
599302	333356	Britt Calhoun
599302	335245	Josephine Marcus
599302	340864	Sarah McClure
599302	363436	Sister Ana
599302	364794	Mrs. Beal
599302	366232	Nora
599302	380713	Hayley Wilson Hollister (1981
599302	384104	Nurse Colleen McMurphy
599302	396088	Amy Russell (1979-1980)
599302	399228	Lois Lane
599302	400933	Catherine McAllister
599302	402089	Dr. Rae Brennan
599302	405038	Elaine Gunn
599302	407022	Lois Lane
599302	407160	Georgia Holden (1987)
599302	411139	Grace Wyckoff
599302	411225	Gwen 'Archer' Bowman
599303	62460	Countess
599304	307928	Theresa Higgins
599305	78045	Doris Davies
599305	397983	Mrs. Beasley
599306	406982	Tammy Treehugger (1990-1991)
599307	30646	Talk Show Audience
599308	81816	
599309	83209	Catherine
599310	308015	Maggie
599311	109730	Beth
599312	354151	Florence Dandieu (13 years)
599313	377490	
599314	282101	
599315	350418	La chanteuse
599316	65754	Rave Dancer
599317	69409	Sister Hawkins
599318	25437	Herself
599318	97517	Angie
599318	114298	Elise's Fan
599318	148784	Clementine
599318	171123	Herself
599318	211380	Betsy Brick
599318	223904	Herself
599318	242431	Capt. White
599318	245240	Herself
599318	245245	Herself
599318	258283	Mr. Purple
599318	276201	Sadie
599318	381499	Kathy Speck
599318	389561	Willie Omiak
599318	399935	Helga Phugly
599319	7441	Yvette Dominici
599319	51402	Sabine
599319	112895	Patricia
599319	199384	Marie-Louise of Austria, Empr
599319	199587	Else Braun
599319	261735	Sandra
599319	302145	Jeanne
599319	378063	Mellie
599319	402885	Macha
599319	408002	Jenny de Fontanin
599320	12192	Mother
599320	19272	Mrs. Stanislaw
599320	25387	Mrs. King
599320	54897	Lady Shelton
599320	104333	Mrs. Marvin, Sr.
599320	108013	Mrs. Burden
599320	116967	
599320	117196	
599320	130592	Nurse
599320	141987	Mrs. Martindale
599320	145004	Mrs. Briggs
599320	152525	Miss March
599320	165557	Mrs. Meredith
599320	175551	Mrs. Rutter
599320	191946	
599320	195666	In Hotel Lobby
599320	206326	Mrs. Van Alstyne
599320	210708	Will and Dora's Mother
599320	214483	Mrs. Upjohn
599320	231960	Henrietta
599320	256822	Mrs. Cressler
599320	270938	Mrs. Dalby
599320	305124	Sally's Mother
599320	345824	Mrs. Shelby
599320	372168	Mrs. Simpson
599322	20545	Laetitia
599322	23258	
599322	68920	La secrétaire
599322	82029	Ingrid
599322	216226	
599322	308688	Hermia
599322	345162	Geneviève, la secrétaire de J
599322	345377	Anne
599322	381628	Colette Ménardier
599322	391621	Herself
599322	393489	Herself (regular guest)
599322	396779	Simone (Manu's mother)
599323	237312	
599324	6608	Le mère de Jacques
599324	23801	Mme Maille
599324	87499	
599324	166330	La dame du train
599324	206966	Mme de Moret
599324	385183	
599324	391927	
599324	393215	Mme Rivals
599324	399106	
599324	401475	Mme Fory
599324	407811	Monique
599324	411998	Mélodie Zingari
599325	142718	Catherine "Gypsy" Share
599325	170857	Maria
599326	292596	
599327	219614	Marie Morel
599328	73472	Nico
599328	253522	Enfant de Dizou
599329	238465	Sophie
599329	387615	Marie
599330	294287	
599331	32282	Helene
599332	63408	
599333	360436	Studio Executive's Secretary
599334	81810	
599335	377239	Eugénie à 4 ans
599336	278784	Edith Gerrard
599337	218776	Corporation Woman #1
599338	329029	Saloon Madame
599339	288891	Employée agence de voyages
599340	101163	Anne-Charlotte
599341	284362	
599343	235816	Marie
599344	383196	Joséphine
599345	45134	Candidate #2
599346	31500	
599347	164688	La choriste Bella
599348	83241	Claude Mandel
599348	100115	Mimine
599348	156297	Raphaëlle
599348	186575	Marie enfant
599348	346557	Marguerite enfant
599348	403101	Estelle
599349	123055	
599350	71835	
599350	339493	Jeanne
599351	216236	Dahlia
599352	54245	Pandora
599353	283021	Une enfant
599354	283021	Une enfant
599355	346516	L'amie de Loko
599356	111118	Monica Gilquin
599356	169156	Cécile
599356	220492	
599357	11024	La stagiaire Universal
599358	252823	Transvestite on boat
599359	46363	Cindy
599359	87223	Jake's Secretary
599359	105401	Liz
599359	170842	K.C.
599359	204557	Nightclub Waitress
599360	23775	Isabelle
599360	23795	Ruth
599360	65163	
599360	125463	Une estivante/woman on holida
599360	125468	
599360	132066	
599360	220697	Mme de Vergennes
599360	249718	Duchess
599360	386020	Mme Cruchon
599360	397506	Claudia Clément
599361	205630	
599362	337539	Carmen - Film 1
599362	353916	Metella
599363	249711	Anne
599363	269735	L'infirmière
599363	376988	
599364	43758	Un enfant de Marie
599365	38036	
599365	38061	The Girl
599365	151734	Nurse
599365	152441	Josie Clifton
599365	203154	
599365	213870	Honorable Muriel Pym
599365	215768	Kitty
599365	242040	
599365	309274	Diana Chesney
599365	311432	
599365	328450	Secretary
599365	365042	
599366	232037	
599367	85956	Katerina
599368	246012	Elizabeth
599369	10663	Assistant/Operator #1
599369	61819	Carla
599369	209772	Maria Barrera
599369	211764	
599369	316649	Dr. Grekin
599369	330591	English Teacher
599369	366358	Susan Latif
599369	380000	Yasmin Amir (2004)
599370	153211	Geraldine
599371	84663	Herself
599371	169277	
599371	265219	Jeanne d'Arc
599371	287608	Narrator (French version)
599371	377696	Flora Thibaud
599372	221801	Suraiya
599373	254779	Stacy
599373	277232	Marissa Drue
599373	340228	Helen Of Troy
599374	389862	Herself
599375	245359	Secretary
599376	28214	Arminda Belmiro
599377	82577	
599378	7825	Helen
599378	256999	Gérante
599379	51409	L'amie
599379	133072	Isabelle de La Monnerie
599379	148749	L'accompagnatrice
599379	148764	Sarrazine
599379	214816	Florence
599379	254056	La mère des triplés
599379	340670	La mère des jumeaux
599380	380863	Mathilde Lafresnière
599381	7460	Mme Jacomet
599381	7463	La mère Davaillaud
599381	37781	Principal
599381	43657	Clémence
599381	44963	
599381	51422	Perrine
599381	53233	Mme Calas
599381	53250	Lombarda Peytavi
599381	53251	Lombarda de Peytavi
599381	55333	La Breloque
599381	59384	La paysanne
599381	60274	Knitting lady #3
599381	62561	La mère
599381	73184	Mme Raskolnikov
599381	73186	Mme Raskolnikov
599381	76038	Mélanie
599381	77348	Telva
599381	79918	
599381	83201	Madame Lenoir
599381	83279	
599381	84616	La mère d'Emile
599381	86437	Mme Lambert
599381	100281	Dame au procès
599381	101255	Mme Rudemont
599381	108210	Germaine en 1973
599381	108615	
599381	113141	La mère d'Ange/Mother
599381	119771	French woman
599381	123684	Marraine
599381	124419	La mère de Pascal
599381	127647	Madame Greuze
599381	129216	La veuve Prévost
599381	131715	
599381	135426	Mme Perrin, mère
599381	146372	Marthe
599381	153874	Madame Léonce
599381	169346	Un docteur
599381	174636	Une dame de la court
599381	193501	Stewardess
599381	195144	Murielle
599381	199582	Marie
599381	201183	
599381	205767	
599381	206317	
599381	207796	
599381	208227	
599381	214028	
599381	216350	L'infirmière
599381	219468	Paulette Redon
599381	236527	Emilia
599381	243929	Charlotte
599381	246188	Mme Druber
599381	248420	Lucile
599381	254106	Mamie
599381	255591	
599381	258118	Une religieuse
599381	258870	La femme téléphone
599381	263000	Céleste
599381	264524	La gérante
599381	266152	Vassilievna
599381	266414	La grand-mère maternelle
599381	266424	Mme Rastaud, la mère de Jean
599381	269228	Constance, la gouvernante de 
599381	269736	Nathalie
599381	284222	Madame Glaise
599381	287322	Marie
599381	294600	Mlle Lindex
599381	318134	La servante
599381	325082	Mme Pernulle
599381	338592	Une cliente du restaurant
599381	340165	Marie Dabat
599381	348318	Seamstress
599381	352933	
599381	354154	La mère d'Anne
599381	354967	
599381	357858	
599381	377614	Germaine
599381	377953	
599381	379163	Mme Mansigny
599381	381430	Mme Cadoc
599381	382480	Mme Morel
599381	384859	La tante Bianchi
599381	386095	
599381	388439	Mamie Fargeot
599381	393397	Mère Videau
599381	395620	La religieuse (segment "Alex"
599381	396187	
599381	396366	Mme Plantier (segment "Dossie
599381	396617	
599381	397946	
599381	400869	La patronne du restaurant
599381	401982	Mme Drouine
599381	402357	
599381	404281	Nanny on boat
599381	405696	Madame La Pierre
599381	406196	Une religieuse
599381	408001	Soeur Céline
599381	408940	
599381	409440	
599381	409448	Mme Beaulu
599381	410139	Soeur Opportune
599381	412250	Mme Chevalier
599382	377464	Woman with baby
599383	378659	Herself (2001-2002)
599384	236831	
599385	148702	Child
599386	55165	Teresita, la figlia del sinda
599386	69006	Liliana
599386	132027	Bianca
599386	199444	Un' allieva
599386	251626	
599386	295163	Marcella
599387	271014	Susanne
599388	66075	
599388	99409	Madame de Bélières
599388	153882	Angélique Pinglet
599388	168892	
599388	170113	Cora Milton
599388	170419	La mère Encelade
599388	170471	L'accorte ménagère
599388	310056	
599389	108221	Directrice école
599389	148685	Le médecin
599390	13041	Véronique
599391	13041	
599391	18337	Rosine
599391	23655	Geneviève
599391	24181	Marie-Laure
599391	64333	Herself (1986)
599391	97062	Marne
599391	110141	Mimi
599391	133069	Marie Stuart
599391	160701	Lucie
599391	165177	Claire
599391	187556	Marie-Louise
599391	211851	Ida Boudib
599391	236572	Emilienne d'Alençon
599391	251526	Angélina
599391	257002	Fanny
599391	257075	Claire
599391	273673	
599391	346667	La jeune fille enceinte
599391	377014	Claudie
599391	381245	
599391	382195	Sophie de Brècheville
599391	386222	
599391	387848	Pauline
599391	388419	Elisabeth
599391	388419	Elisabeth (segment "Le mort q
599391	391928	
599391	393731	Hortense de Beauharnais
599392	153635	
599393	65086	
599393	292911	
599393	339802	Léonide (Phocion)
599393	345434	(episodes 1 and 2)
599393	398073	Rose
599394	213577	Presumed Chorister
599395	307123	
599396	51067	Mary Shelley
599396	53014	Jeanne Pelat
599396	169314	The tattler
599396	169980	Gisèle
599397	130142	Maria
599397	181483	
599397	315851	Ivana
599397	326260	
599397	326332	Rada
599397	334483	Predsedatelkata
599397	343413	Teodora Sara
599398	9473	Baba Nedelya
599398	156262	
599398	261309	Madam dyo Burbon
599398	399132	
599399	83363	
599400	37601	Liesa
599400	80217	Frieda
599400	132272	Irma
599400	178800	Sofie Verlent
599400	229028	Julienne
599400	265303	Moeder
599400	356109	
599400	368056	Oude dame
599400	394719	Adrie
599401	112863	
599402	2645	Mr Santini
599402	8877	Edith de Berg
599402	60910	Amythe
599402	76128	Nathalie
599402	96208	Marguerite
599402	188701	Vivette
599402	198319	Christine Modot
599402	201142	Dona Beatrix
599402	340132	Perle
599402	388688	Béatrice
599402	401053	Mlle Bridge (1982)
599402	409533	Anne
599403	29516	Madame Fernand
599403	51138	La paysanne
599403	54299	
599403	58233	Une prostituée dans la rue
599403	96164	
599403	96198	
599403	101787	Madame Hansel
599403	123274	
599403	134603	Angélique
599403	144309	Lise
599403	174636	Une élève
599403	235825	
599403	238299	
599403	266405	Huguette
599403	268828	Belgian customer's wife
599403	286619	
599403	319969	Eupure
599403	339540	Lily
599403	384287	Hélène
599403	384746	Pat
599403	396617	
599404	5967	
599404	18038	
599404	34516	Rumanian Doctor
599404	51507	
599404	84152	
599404	102643	
599404	106203	
599404	189397	
599404	216701	
599404	243459	
599404	253987	
599404	290980	
599404	323212	
599404	341379	Madame Holban
599404	374224	
599405	62331	
599406	166120	Camille
599406	288891	La voisine
599408	101163	
599409	288891	Pessy
599410	309759	Child of Mary
599411	166288	Thérèse
599412	312592	Kelly
599413	378720	
599414	5511	
599414	19328	Annick
599414	101127	
599414	166129	Mme Chalon
599414	214021	
599414	219458	Christelle
599414	219462	La journaliste
599414	286110	Edmondsson's friend
599414	345297	Soeur Fabiola
599414	377069	(segment "Jour de grâce, Le")
599414	383117	La secrétaire de l'école
599415	134387	Mary
599415	368254	Maria-Elena Holly
599415	378942	Nadia
599415	399585	Nadia (1987-1988)
599416	191197	Alice
599416	194635	Peggy
599416	252878	Grandmother
599417	3055	Herself - Best Documentary Sh
599418	92324	Gypsy
599419	176487	Girl at Party
599420	25834	Herself
599420	105945	Ver
599420	203329	Joan
599420	245465	Host
599420	277850	Charity
599420	283564	Divina
599420	303554	Reporter
599420	344182	Rose
599420	352730	Argentine
599420	367617	Nicole
599420	382383	Yolanda Rosales
599420	388088	Herself - Weekend Hostess (20
599420	395815	Roni De Santos (1997-1998)
599420	396113	Herself/Co-Host (1997)
599420	398445	Host (1994-199?)
599421	55444	Martin's niece
599422	11357	Osita Negra
599423	41269	Detective Jenny Webber
599423	74104	Professor Sekada
599423	258917	Marie
599423	336650	Campaign Worker
599425	80695	Hooker
599426	336815	Sally
599427	51808	
599427	88177	Eiffel Tower Security
599427	196442	La Flic
599427	229666	Laurence
599427	231305	Hôtesse de la Banque
599427	268417	
599427	377246	Irène
599427	383371	Cléa (1999-2000)
599427	409462	Laurence
599428	26470	Vendeuse Prénatal
599428	32035	Marceline
599429	353926	Léa
599430	281249	Caissière
599431	217745	Dancer
599432	353885	Speakerine #1
599433	277074	Herself
599434	240013	Rose
599435	57261	
599436	28904	
599437	503	Nadine
599437	208715	
599437	217167	Vendeuse bijouterie
599437	231579	Marie-Odile
599437	282417	L'infirmière
599437	397192	
599438	224854	La secrétaire
599439	68361	Agnès
599440	213529	Rosalle
599441	209944	Teenager 1
599442	269742	La Voisine dragutuse
599443	51417	
599443	269262	L'infirmière
599443	295914	
599443	387611	La secrétaire
599443	401332	
599444	12372	
599444	146427	La femme de Fernand
599445	116439	
599445	217676	
599445	286046	Dame cinema
599446	388299	Marthe Vermeir (1997-2000)
599446	409928	Gerda Van De Velde-Verhoeven
599447	19670	
599447	23104	Herself
599447	23258	
599447	60063	Muriel
599447	62566	Dr Jarousse
599447	66078	
599447	73165	Madeleine Macé
599447	82920	
599447	96396	Gilberte
599447	126084	Angélique
599447	166565	Madame D'Antremont
599447	225366	Madame Mahler
599447	229052	La directrice du CNRS
599447	245483	
599447	271597	Cécile
599447	307617	Annabel
599447	336930	Catherine
599447	386085	
599447	398985	Sylvaine
599447	403351	Marie-Madeleine Combalet
599447	405529	
599447	408001	Jenny de Fontanin
599447	409256	Marie-Sabine
599447	409523	Nicole
599448	158842	La punkette
599449	109742	Maria
599449	357434	
599450	110538	Lisa
599451	83948	Dominique
599452	246188	L'auxiliaire de police
599453	252343	Voz Charito
599454	11934	Appolline
599454	97853	Fille salle des fêtes 1
599455	17568	
599455	94536	
599455	160815	
599455	198558	Anne
599455	236549	Isabelle
599455	266153	
599455	345466	Théréson
599455	398786	
599456	5375	
599457	384447	Belle
599458	42799	Rhythm Nation and Skeleton Da
599459	263352	Yuko
599460	5355	
599460	56365	
599460	71413	
599460	82374	
599460	86877	
599460	100404	
599460	101899	
599460	104079	Bobby
599460	148033	
599460	165791	
599460	194129	
599460	212246	
599460	216063	Angelica
599460	240083	
599460	260930	
599460	272666	
599460	275279	
599460	286368	
599460	301946	Lupe Montoya
599460	318250	Beatriz
599460	335525	Luisa Miranda
599460	337677	
599460	381261	Marisa
599460	383145	Baby (1981-1984)
599460	383688	Prudencia
599460	384126	Gloria
599460	384254	
599460	384632	La Pinguica
599460	390732	Guadalupe
599460	391742	
599460	391993	Maribel
599460	392352	Adriana
599460	392844	
599460	393176	
599460	395043	Sofía de Valencia
599460	396894	
599460	398522	
599460	402404	Magdalena
599460	403403	
599460	403749	
599460	407640	Angélica
599460	409833	Lolita
599460	410323	Paulina Fernández
599460	410450	Delfina
599461	57703	Celeste
599461	90275	
599461	186713	Ashley
599461	270144	Callie
599461	274646	Iris Buchanon
599461	292457	Natalie Sanford
599461	300304	Martina Martinez
599461	313961	Trudi
599461	337404	Vanessa
599461	374649	Judith Dunhill
599461	394224	Sara Shotz
599461	403789	Maria DeLuca
599461	408515	Tina DiMeo
599462	293360	
599463	24503	Bobby's Girlfriend
599463	90275	
599463	166471	Rhonda Truitt
599463	227335	Teeny
599463	228298	Gerri
599463	262394	Elizabeth
599463	374616	
599463	379696	Niki Merrick
599464	118736	Grace Garwood
599464	366927	Undetermined Role
599465	7122	
599466	7122	
599467	362538	Midget Lady
599468	341473	
599468	344706	
599469	386535	
599470	213225	Commentator
599471	213225	Commentator
599472	5664	
599472	129743	
599472	147946	
599472	374048	
599472	377345	
599472	380903	Oma Engel
599472	388816	Oma Weidemann
599472	399387	Lisbeth Schefer
599472	399503	
599473	258324	
599474	91097	Additional Voices
599474	386922	Dendé (II) (1999- )
599475	14789	
599475	48291	
599475	52601	
599475	108726	
599475	121479	
599475	124786	
599475	143776	
599475	146572	
599475	170082	Doña Eva
599475	183945	
599475	194622	
599475	202556	
599475	202561	
599475	212363	
599475	221681	
599475	222418	
599475	226491	
599475	229453	
599475	234175	
599475	234383	
599475	235304	
599475	255488	
599475	258381	María Helguera
599475	275089	
599475	296470	
599475	320327	
599475	322400	
599475	339151	
599475	343612	
599475	343613	
599475	354903	
599475	370178	
599475	376750	
599476	56929	L'altra domestica
599477	249750	La maîtresse de San Angel
599478	15245	Kid
599479	115749	
599479	287121	(spanish version only)
599480	206790	
599481	27627	Ivy
599481	52044	
599481	226862	
599481	368320	
599482	135919	Indian Village Person
599483	80601	Marlene, a 'Volunteer'
599483	304081	
599484	42640	
599484	58045	
599484	71004	
599484	73263	
599484	74596	
599484	81421	
599484	86355	
599484	91346	
599484	99869	
599484	103496	
599484	104140	
599484	109284	
599484	137865	
599484	138020	
599484	170382	
599484	193060	
599484	199552	
599484	202097	
599484	202149	
599484	212441	
599484	215510	
599484	221657	María
599484	222409	
599484	258381	
599484	318291	
599484	353203	
599484	355951	
599484	376794	
599485	4926	
599485	71194	Viuda
599485	194610	
599485	291626	
599486	21590	
599486	100328	Yadir
599486	135094	
599486	152312	
599486	201499	
599486	213389	
599486	317670	
599486	332575	
599486	378975	
599486	380517	Raquel
599486	380939	Irma
599486	381598	
599486	383268	Pily
599486	383564	Fidela
599486	385251	Marisela
599486	385370	Constanza
599486	386016	
599486	386119	Menopausica 2
599486	392352	Esther
599486	392790	
599486	399568	Marcela
599486	405842	Catalina
599486	407304	Carmen
599486	409282	Vanessa
599486	411633	Cecilia
599487	74355	Niurka Ayala
599487	100306	
599488	170920	Carolina
599489	135919	Indian Girl
599490	383242	Margarita Luisa Volcán 'La Gr
599490	385058	Vicky Cardenas
599490	396644	
599490	397022	Eva Amador
599491	194938	Villager
599491	330779	Marta
599492	165494	
599493	274430	Mother
599494	48182	
599494	189377	
599494	378429	
599495	343557	
599496	277372	
599497	233624	
599498	50137	
599499	51864	Marisol
599499	101973	Andie Sanders
599500	3073	Keyla
599501	402995	Herself/RR: The Quest
599501	402996	Women/Road Rules
599501	403487	Herself/The Quest (2001)
599503	169763	
599503	343612	
599504	63065	Felicia
599505	395894	Herself (co-winner, 84 days)
599506	169065	Alicia
599506	338117	Woman
599507	150627	
599508	165790	
599509	5265	
599509	44532	
599509	52935	
599509	105480	
599509	197437	
599509	206991	Charito
599509	239278	
599509	287452	
599509	334405	Anita
599509	371885	
599509	376831	
599510	103042	Prostitute
599511	384306	Co Host (Complice)
599511	396527	Herself (Host)
599512	255057	
599513	209475	(segment "Las Cucarachas")
599513	276449	
599513	353573	
599514	20625	Featured player
599515	44318	Hairdresser
599516	23060	Doncella
599516	124253	Brigitte
599516	170048	
599517	15416	
599517	28785	
599517	36764	Rina
599517	43428	Katrina
599517	53214	
599517	79117	Dra Vontesberg
599517	79118	
599517	103657	
599517	171866	
599517	183050	
599517	197422	
599517	197625	
599517	232976	
599517	247539	
599517	312531	
599517	333038	
599517	333059	
599517	336561	
599517	341447	
599517	367806	Juana
599518	8539	
599518	12660	
599518	18651	
599518	23937	
599518	52604	
599518	52986	Rita
599518	53637	
599518	59250	
599518	73270	
599518	74592	
599518	84021	
599518	99069	
599518	99485	Julia
599518	100473	
599518	108732	Rosita
599518	127602	
599518	132678	
599518	134039	Bit Part
599518	152233	Rosario
599518	197192	
599518	221895	
599518	226430	
599518	332697	
599518	333699	
599518	339153	Amparo
599518	370093	
599519	381091	Herself (eliminated round 6) 
599520	253062	
599520	371782	
599520	380158	Various Roles
599520	383554	
599520	386074	Alz
599520	404869	Mamam Chachita
599520	410135	
599521	100373	
599522	18800	
599522	56518	
599522	70639	
599522	70662	
599522	75183	Doña Amparo
599522	148537	
599522	207877	Vecina
599522	222035	
599522	228560	
599522	236434	
599522	249879	Praying woman
599522	352098	
599523	51539	
599523	59250	
599524	378049	Spanish friend
599525	260433	
599526	293575	
599527	162607	Ensemble
599528	95075	
599528	174314	
599528	207638	
599528	208553	
599528	211040	
599528	270137	
599528	273945	
599528	284644	
599528	325327	
599528	329056	
599528	339174	
599528	341606	
599528	358524	
599529	204386	Vannesa Shaw
599530	322396	Novia Matías
599531	3442	Rosa
599531	19441	
599531	267404	Carlo's wife
599531	381026	Eduvina
599532	21706	
599532	160613	Secretaria
599533	12101	Herself
599534	252551	
599535	243706	
599536	8254	
599536	95373	
599536	96274	
599536	199988	
599536	213711	
599536	380958	Damsel in distress
599536	392028	
599536	397603	
599536	404186	
599536	405859	
599537	401694	Frances
599538	363250	Carol
599538	375847	Tillie
599539	88703	Figurante
599540	84869	Lila
599540	232401	April
599541	304480	Girl at nursery
599542	277233	
599543	117266	Lia Cucaracha
599544	191054	Maid
599545	1787	Gina
599545	2377	Kelly Earnhardt
599546	6468	
599546	23376	Marta
599546	90209	Hostess at Second Inn
599546	119008	Manoli
599546	191549	Mirrina
599546	205200	Lupe
599546	207646	La madre (The mother)
599546	301191	Gula
599546	304478	Camionera
599546	382565	Clotilde
599546	399615	
599546	401071	
599546	407305	Mari Carmen
599546	409463	Staff Humorist (2004)
599547	193065	
599548	205606	Female Bodyguard
599549	384507	
599550	162779	Dancer
599550	380858	(Hostess)
599550	384507	Yorgelys
599550	387698	Fabiana
599550	403904	
599550	406972	Hostess
599550	406994	Lead singer and dancer (1990-
599551	384507	Dancer
599551	403904	Dancer
599551	406972	Dancer
599551	406994	Dancer
599552	377199	Prostitute
599553	289899	
599554	27784	Entrenadora Soledad
599555	335775	Khorolmaa
599556	247977	
599557	375330	Girl
599558	288088	
599559	353934	Cecile
599560	327658	La Femme malaise 2
599561	394204	Andrea Belmont
599561	412092	Mora
599562	14558	
599562	386347	Herself (episode 1.5 "1960-19
599563	24907	
599563	25809	
599563	35011	
599563	52149	Malena
599563	66346	
599563	91413	
599563	104289	
599563	192933	
599563	194610	
599563	222013	
599563	233490	
599563	234180	
599563	273946	
599563	301580	
599563	309089	
599563	332920	Doña Lupita
599564	20340	
599564	145731	
599565	7102	Melody Morne
599566	28992	Anna
599566	113216	Amie de Lucie
599566	118110	L'examinatrice
599566	140283	L'infirmière chimio
599566	158748	Zouina
599566	205771	Meriem
599566	279709	Medical examiner
599566	309764	Aya 1958
599566	355237	Aïcha
599566	360913	Florence
599567	173377	Olya Lobkina
599567	263677	Cinema Group
599568	200786	Baba Parashkeva
599569	327370	
599570	91069	Herself
599571	84787	
599572	39332	Afro-American Coed
599572	75031	
599572	97134	
599572	319330	
599573	287729	Mary Jane Austin
599573	291251	
599576	333648	
599578	109490	Sadie
599579	34635	
599579	98841	Herself
599579	98872	Herself
599579	141663	
599579	304784	
599579	313691	Herself
599580	173978	
599580	178735	
599580	266502	
599580	301464	
599580	375546	
599581	327691	
599582	265841	Yiota
599582	267932	Stewardess #1
599582	283531	Marathon Mandy
599582	321141	(US version only)
599582	327691	
599582	381514	Herself (2000)
599582	398880	
599583	111663	
599584	31016	
599584	72386	
599584	377635	
599585	207770	Singer
599586	23873	Apartment Neighbor
599587	38248	Chaos Rioter/Cannibal
599588	84032	
599589	39191	
599590	309355	
599590	401242	Irini
599590	406476	Koliatsou
599591	227300	Nurse #1
599592	153106	
599593	273119	
599594	23521	
599595	532	Elena
599596	297979	Party Guest
599597	304757	Betsy
599598	249209	Fan de Jeannot
599598	365163	Lacey Sommers
599598	382486	Mme Sigouin
599598	400627	Julie
599599	19769	Lilia
599599	42402	Nicole
599599	58889	
599599	65630	Emily Elizabeth
599599	78905	Thara
599599	90851	Computer Voice
599599	96556	Herself
599599	99242	Bambi
599599	103288	Yangja the Pirate Student/Yos
599599	107471	Vicky
599599	107472	Vicky
599599	107473	Vicky/Principal Waxelplax
599599	107474	Vicky/Tootie/Others
599599	107941	
599599	107943	Wasteland Doctor (Vidya), Vau
599599	113274	Nalia, Viconia
599599	113333	Pukutak
599599	115571	Betty Rubble/Mystery Woman
599599	117779	Brielbar/Nereid/Skie/Viconia
599599	117780	
599599	117781	
599599	117783	Nalia/Viconia/Bubbles/Raelis 
599599	117787	
599599	127428	Various Voices
599599	129209	Female Narrator, Additional V
599599	147089	Additional Voices
599599	152953	
599599	159171	Nubian Boy at Mine
599599	161843	
599599	164494	Estella
599599	167699	Vendanna
599599	167710	Vicky/Principal Waxelplex
599599	191302	
599599	194334	Additional Voices
599599	194336	Petunia Pig/Female Duck
599599	223947	Mom
599599	232108	Daphne Blake
599599	262132	Linda/Woman at Zoo
599599	272371	Jenna
599599	283355	Amanda
599599	285050	
599599	290941	Daphne Blake, Cyber Daphne Bl
599599	290942	Daphne Blake
599599	290945	Daphne/Shannon Blake
599599	290953	Daphne/Selena Drake/Mindi Sti
599599	290958	Daphne/Holly Graham
599599	313436	
599599	313464	Karie Neth
599599	313467	Female civilian #2/Montross' 
599599	313469	Jabba's Announcer/Ghia/Tia
599599	313471	Queen Amidala
599599	313475	Queen Amidala/Padme` Naberrie
599599	313480	Hover Transport Driver/Leia O
599599	313481	Gungan villager #2/Queen Amid
599599	313485	Alora/Jedi Female
599599	313488	Loreli Ro, Nym Pilot 2, Wingm
599599	313492	Asha, Trainstation Annoucer, 
599599	313500	Bravo 8/Rescue 2
599599	313501	Queen Amidala
599599	313503	Amidala, Bera Khazan
599599	325095	Greenly
599599	331814	Ashley/Cat
599599	340767	Jill, Lola, Additional Voices
599599	369460	Mystique, Child Bishop
599599	370119	
599599	380715	Brandon Higsby
599599	384454	Emily Elizabeth Howard/Soccer
599599	384455	Emily Elizabeth Howard/Emily'
599599	384572	Lizzie
599599	385186	Cosmo/Uma
599599	385674	Samantha "Sam" Manson
599599	388009	Maj. Dr. Ghastly/Additional V
599599	388215	Vicky/Tootie
599599	389156	Frances "Frankie" Foster
599599	389319	Additional Voices
599599	390647	Mandy/Maj. Dr. Ghastly/Aunt S
599599	391502	Yumi
599599	392134	Roxanne
599599	400033	Vicky/others
599599	402016	Femme Fatale/Additional Voice
599599	403907	Additional Voices
599599	406411	Asajj Ventress/Padmé Amidala/
599599	410765	Lor McQuarrie
599599	410916	Daphne Blake
599599	410934	Moon Unit/Shannon/Connie/Fren
599599	411584	Kimiko
599600	155303	Trina
599600	245468	Ballet Double (Lauren)
599600	308111	Herself
599600	313554	
599600	368592	Dancer
599600	409149	Herself
599601	34515	Lili (older)
599602	345656	Singer
599603	6859	Brunette girlfriend
599603	170467	Clarissa
599604	219694	Audience (Herself)
599605	335301	Tina
599606	82827	Mother of the Boy
599607	6448	
599607	196451	
599607	341181	Tatiana
599607	389459	Cynthia Kaziani
599607	390039	
599607	392994	Christina
599607	401242	Elvira
599607	402244	
599608	979	Virginia
599608	369187	Cate's mother (painting)
599609	17604	Beth Morgan
599609	65844	
599609	90154	Teen Girl #1
599609	122636	Herself
599609	196211	Annie Walker
599609	346119	
599609	365459	
599609	372342	Cara
599609	379710	Z
599609	382556	Marcy Kendall (2002-2003)
599609	399392	Sarah (1996-1997)
599609	405759	Fiona 'Fi' Phillips (1999-200
599610	159550	Young Joan
599610	340764	Girl #1
599611	340923	Woman on Couch
599612	211926	
599613	185365	Villager
599613	391558	Secretary
599614	7783	
599614	11624	Miss North
599614	20642	
599614	59209	
599614	79229	
599614	109018	
599614	199425	
599614	297677	
599614	299253	
599614	342848	Adopting woman
599615	27263	Club Dancer
599616	381288	Herself (säsong 3)
599617	96726	Rachel Parker
599617	214662	Dottie
599618	317573	
599618	354005	Assistente del dentista
599619	113682	
599620	51362	
599621	183912	
599622	8366	Sister Genevieve
599622	12221	Kat
599622	23211	Jeanne
599622	64408	Ruspoli
599622	80411	Psychiatrist
599622	105354	Kitty Slater
599622	131431	Jean Bonner
599622	132181	Danbury Typist
599622	135564	Emily, Jennifer's Assistant
599622	141155	Hollywood Reporter
599622	193773	Norma
599622	194248	Fanny Fishback
599622	205417	Mrs. Campbell
599622	209218	Brenda
599622	213027	Valedictorian
599622	221324	Woman Reporter
599622	246987	Amy
599622	287285	Evelyn Carlson
599622	296867	Pearl
599622	302923	Mohawk
599622	326460	Linda
599622	328289	Valerie Dean
599622	329342	Vanna
599622	330530	Mrs. Witkowski
599622	335704	Homeless Lady
599622	368610	
599623	97170	
599624	389000	La servante maîtresse
599625	292348	La femme du maire
599626	270824	
599627	401883	Herself
599628	88050	
599629	133689	
599630	234507	
599631	12675	
599631	412159	Host (1998-1999)
599631	412162	Colaboradora
599632	276295	
599633	197577	
599634	63766	
599635	57654	Pinky Virdon
599635	136128	Socialite
599635	318977	Arabella
599636	163728	Elvira, moglie di Mustafa'
599637	87945	Daniela
599638	10461	Marie
599638	17798	Spanky's mother
599638	26607	Lita Andrews
599638	36784	
599638	36826	Annabel Bedford
599638	44094	Alice Wilson
599638	46735	Helen
599638	52497	Gracie
599638	59606	Vera Starkey
599638	65551	Octavia
599638	69389	Peggy
599638	84251	Sally Dangerfield
599638	112241	Looloo Carroll
599638	127180	Natalie Brent
599638	135594	Ruth Payne
599638	141498	Ruth Sneider
599638	169806	
599638	183700	Alice Sayre
599638	187095	Patricia
599638	194777	Natcha Manyus
599638	194778	Natcha Manyus
599638	199174	Agnes Salm
599638	202660	Spanky's mother
599638	213170	Jean Austin
599638	213219	Diana Sullivan
599638	213267	Enid Van Buren
599638	221229	
599638	276318	Yvonne Cartier
599638	289403	Dorothy Pepper
599638	303319	Sally Dunlap
599638	305042	Herself
599638	310762	Marjorie
599638	311737	Mary Bascom
599638	311866	Betty
599638	321232	Kitty Bellairs
599638	337666	Mrs. Janet Moorehead
599638	362154	Gayle
599638	367449	Barbara Hammond
599638	367643	Mickey Martin
599638	371028	Fay Temple
599639	404694	Lisa Britton #1 (1969)
599640	340519	Castillo
599641	192047	Bangles Carson
599641	299666	Lily Raquel
599641	362055	Toy
599642	128761	
599642	243529	
599643	87886	Margie
599644	61641	Kitchen Maid
599644	319012	Woman in Car
599645	80695	Randi Fox
599646	312094	Newswoman
599647	20625	Extra
599648	20290	Ruth Hampton
599648	35579	Gloria Richards, the Redhead
599648	48704	Cashier
599648	50199	Norah Taylor
599648	80670	Hatcheck Girl
599648	84132	Alice Wentworth
599648	86910	Nightclub Blonde
599648	91747	Newlywed Wife
599648	107697	Beautiful Girl in Hall
599648	107701	Doris Blanding
599648	107702	Falcon's dancing partner
599648	112464	Paula Hendricks
599648	121982	Dallas Hart
599648	122967	Nancy
599648	128192	Lorraine Scott
599648	136021	Dixie Merritt (saloon girl)
599648	143572	Lulu Mae
599648	154905	Barbara
599648	157886	Blonde
599648	168267	Sandra Reed
599648	169906	Mrs. Joan Winthrop
599648	183742	Mabel
599648	185462	Clara Wightman
599648	193295	Thelma
599648	194979	Norina
599648	197760	Lucille
599648	198548	Lou, Kelly's Girl
599648	200896	
599648	201432	Archive footage from Beware o
599648	202867	River Boat Captain's Daughter
599648	226942	Aggie
599648	230431	Dolores Allen
599648	231914	Sally
599648	234471	Susan Flanders
599648	239048	
599648	241505	Landlady
599648	270535	Marge
599648	271087	Jane Roberts
599648	276949	Mrs. Mason
599648	281875	Rose Flambeau
599648	282402	Helen Carter
599648	291919	Wilma Rogers
599648	300068	A show girl
599648	311250	Murder Victim
599648	314410	Gretchen
599648	330634	Bit role
599648	336813	Nancy
599648	342545	Miss Ward, Hotel Room Girl
599648	347102	The Uninvited Blonde
599648	348327	Goldwyn Girl
599648	349556	Mrs. Dumont
599648	358955	Gambler's Girl
599648	375045	Ziegfeld Girl
599648	384106	'Empress' Shira
599649	168675	Mrs. Zimmer
599650	164437	Herself - Singer
599651	2696	
599651	186199	Rosi
599651	380392	Dörte Rommerskirchen
599651	409958	Erika Sander (1997-2000)
599652	220218	Nicole, Quebec
599653	274449	Car Waitress
599654	253335	T.V. Anchorperson
599655	343130	Sally Glickstein, R.N.
599656	231918	Shirl
599656	369398	Bargast
599657	264250	
599658	90070	Donna Elvira (Soprano)
599658	122610	Vreneli
599659	29809	
599659	342099	
599660	6296	Emma
599660	23589	La figlia
599660	28614	
599660	68894	Haydée (Italian version only)
599660	90973	
599660	94648	
599660	243303	Luisa
599660	252688	
599660	262223	Un amica di Clara
599660	263917	Celeste Redi
599661	157929	
599661	207947	
599661	231685	
599661	237696	
599661	255061	
599661	313174	
599661	315829	Prostituta taverna
599662	222167	
599662	234022	
599662	293063	
599662	295100	
599662	327329	
599662	338644	
599663	20031	
599663	52933	
599663	57342	Maria
599663	68578	
599663	73527	Helena
599663	160101	
599663	202129	
599663	218924	
599663	301331	
599663	381773	Maitê
599663	382676	
599663	382883	Teresa
599663	387915	Olga
599663	407275	Juliana
599663	407643	Ana Paula
599665	18640	Neapolitan girl
599666	56478	
599666	166344	
599666	195061	
599666	205249	
599666	282837	
599666	344412	
599666	351010	
599667	23551	
599667	128928	
599668	21084	Paola
599668	111453	Sara Marcocci
599668	127376	
599668	129019	Adele
599668	155628	Mavi's mother
599668	168549	Sara
599668	240124	Signora Pascutti
599668	249301	
599668	344452	
599668	348185	Luisa
599669	42597	Mazzuolo's sister (segment "L
599669	68750	(segment "Una giornata decisi
599669	89572	Reporter
599669	303179	
599669	316520	
599669	353335	
599670	36512	Una viscontessa
599670	64348	Obsessed mother
599670	87050	
599670	108748	
599670	125719	
599670	129020	Lady Capulet
599670	158758	Evelyne Schneider
599670	158763	Berthe
599670	199037	
599670	200972	
599670	240301	
599670	242833	Cesira
599670	246379	
599670	263626	Louise
599670	265310	
599670	353064	
599670	386742	Paola D'Arbia
599670	386743	Paula Fuller
599670	386744	Isabel Manero
599670	386745	Elsa
599671	127628	
599671	252655	
599672	306616	Janis
599673	7526	Mother
599673	20747	
599673	280747	
599673	351511	
599674	113254	La mère de la Petite
599675	297190	Sorority Girl
599675	311038	Chainsaw Nurse
599676	13056	
599676	46181	Aunt Rosetta
599676	46658	
599676	102397	Penelope
599676	354880	Mirella
599677	238848	Mme Zimmermann
599678	24141	
599678	55482	Second Salina Couple
599678	111336	Graziella
599678	158755	
599678	173716	Betty's Mother
599678	313179	The Patient
599678	402621	
599679	211197	
599680	78015	Courtesan
599681	282814	
599683	378958	Karen
599683	398816	
599684	260606	
599685	13966	Vegas Show Girl
599686	277738	
599687	103524	
599687	409093	
599688	145339	
599689	25322	
599690	35362	
599691	238259	Lolita Rios
599692	160633	Maxine
599693	402721	Elsa
599693	405916	Nené
599694	224075	Herself
599695	171724	French Woman
599695	375187	Stenographer
599695	388932	Tessa Waite
599696	214006	Elise
599697	351863	Cliente 1
599698	212493	Delegate
599699	193072	Host
599699	234324	Host
599699	277792	Host
599699	402154	Host (1994-2004)
599699	409946	Host (2001-2004)
599700	361305	Waitress at cafe
599701	171079	
599702	21432	
599703	36862	Teacher #1
599703	40169	Big Guy's Wife
599703	78991	Trainee #1
599703	97390	Talk Show Guest
599703	107906	Martha O'Neil
599703	129944	
599703	154157	Fire Chief's Wife
599703	164590	Cocktail Waitress
599703	223636	Teacher
599703	253507	
599703	254789	Mrs. Jacks
599703	289098	Singing Nun
599703	291457	Policewoman
599703	316716	Reporter
599703	317351	Jane Stanley
599703	323584	Postal Clerk
599703	333409	E.R. Nurse
599703	335301	Mrs. Pincus
599703	406120	Claudine's Maid
599704	32241	Club Patron
599705	86907	Top Model
599706	133054	
599707	345467	Rose
599708	194278	Teacher
599709	386573	La jeune fille
599710	285098	Panama's Wife
599711	169136	Chorus
599712	384180	
599713	48970	Isabella
599713	55392	Francesca
599713	69988	Contessa di Castigione
599713	133110	Girl in red
599713	227497	Nanà
599713	244962	Chantal/Holly
599713	279584	Topazia
599713	280841	Adriana
599713	393026	
599714	399850	Alexandra Birchenbaum (3 epis
599715	55190	Carmen
599715	89837	Secretary
599715	99613	Anna-Rosa's Grandmother
599715	198254	Rosalinda von Eisenstein
599715	210336	Herself
599715	225668	Singer
599715	246877	Nedda
599715	259425	
599715	306381	Styvmodern, hovsångerskan Ble
599715	321971	Elisabeth Olin
599715	350396	Lady from Sala
599715	399878	
599715	408339	
599716	204534	Janna, 'Rogges' sister
599716	278346	Johansson's sekreterare
599716	341201	Maria's Mother
599716	390854	Blenda (segments 1, 3, 5)
599717	114394	
599718	109344	Arianna
599718	119077	
599718	158721	Fedora
599718	236395	
599718	240541	Patricia
599718	281101	
599718	312302	Jane Forrester Lodge
599718	375686	Lori Ridgway
599720	205588	Rosute, the sister
599721	187186	Call Girl
599721	231893	Sexy trendy lady
599722	218853	Dancer (segment "Badder")
599722	275996	Frieda Aglet
599723	44785	
599724	46630	Vera
599724	173025	Kira
599725	18030	Nurse
599725	19775	Mrs. Weaver
599725	45503	Duty Nurse
599725	45842	Miss Bellows
599725	53270	Phone Operator
599725	81312	Helen Vogler
599725	97206	Consulate secretary
599725	106497	Cab Driver
599725	176253	Checkout Nurse
599725	190570	Ferm Henderson
599725	196320	Beatrice Symes
599725	205658	Miss Simms
599725	245498	O'Brien's Secretary
599725	310156	Judge
599725	330198	Woman pharmacist
599725	362823	Woman Shopper
599725	391834	Francis
599726	220258	Luce
599727	49976	Perry
599727	191648	Jessie
599727	242530	The Woman
599728	407080	Herself (3 Days, Morgan Tribe
599729	56798	Cat-Woman
599729	308382	Raider
599729	352639	Ransohoff's model
599730	118313	
599730	132602	
599730	166071	Bit part
599730	360702	
599731	113380	Fortune Teller
599731	153187	The Countess
599732	178864	
599733	200779	Princess
599734	146273	
599734	220165	
599735	141018	Singer
599736	17061	
599736	57342	
599736	108056	
599736	110642	
599736	202129	
599736	225820	Clara
599736	269536	Cora
599736	286578	
599736	341477	
599736	344793	Bibi
599736	377607	
599737	57747	Inmate
599738	205739	Checkroom Girl
599739	35198	
599739	98037	
599739	186927	
599739	189729	
599739	280794	
599740	104479	Sandrine
599740	120435	La vendeuse du magasin de cha
599740	271333	Alice
599741	334787	
599742	287421	Violadora
599743	346569	Anne
599743	406030	Laure Olivier Lacroix (1996-2
599744	116226	Mrs. Murphy
599744	277965	Aunt Sarah Casey
599745	259965	
599745	309083	
599746	268396	Mme Michonneau
599747	71394	
599747	91175	
599747	103783	
599747	110022	
599747	170291	
599747	204508	
599747	224483	
599747	259017	
599747	265215	
599747	309736	
599748	169360	Interviewee
599749	85694	
599750	162070	Noemi
599751	241878	
599752	235602	Little Girl who was Timekeepe
599753	36536	Dancer
599753	59093	Shame Daughter
599754	240970	
599755	277839	
599757	11921	
599758	98371	
599759	88029	Tom's Wife
599759	117123	The Wife
599759	195851	The Gypsy Chief's Daughter
599759	335011	Mrs. Rogers
599759	335559	Sue
599759	363588	The Wife
599760	340140	
599761	307476	
599761	346520	
599762	61614	Shirley picture Double
599763	18635	Ellen
599763	32044	Masha
599763	53050	Eileen
599763	154869	'Rainbow House' child
599763	192172	Ermengarde
599764	135915	Kristen Yarnell
599764	194136	Innosense
599764	230347	
599764	338564	Kate
599764	387509	Angela Malloy (1994)
599764	397871	Tracy
599764	397991	Herself (Seasons 6-7)
599765	154869	'Rainbow House' parent
599767	69522	La femme sur le perron
599768	259236	
599769	11519	Janet, De Winter's Secretary
599769	20135	Maid (segment "Un ballo in ma
599769	21117	Magog
599769	27360	Czech Receptionist
599769	342799	Ilena
599769	363727	Russian woman
599772	19334	L'infirmière
599772	345156	Nurse
599773	191284	Patricia Bullit
599774	16868	
599775	15024	Femme de chasseur 2
599776	276096	Marie Bußmann
599777	158842	La mère
599778	5159	Sophie
599778	20541	
599778	28995	Jeanine
599778	42020	Erika
599778	88839	Karine
599778	97844	Hélène Chapel
599778	113812	
599778	133784	Herself
599778	146404	Bertrade
599778	146425	Irène
599778	147459	Judy
599778	156551	Julie Fabre
599778	189100	Frederique
599778	201081	
599778	204440	
599778	217237	Mathilde
599778	238002	Monica Stiles
599778	281058	Miranda
599778	286744	Jane Lagrange
599778	296049	Jacqueline
599778	309170	Diana
599778	327564	Martine
599778	344569	
599778	346536	Countess Flora De Saint Gille
599778	356980	Lise
599778	362772	Charlotte
599778	396366	Françoise Muller (segment "Do
599779	96226	Femme d'Adrien
599780	126544	Stripper #1
599781	133856	Musician
599782	310129	Candy
599783	89586	Dolemite Girl
599784	276606	Feed Store Clerk
599785	305941	Young Mel
599786	248715	Mrs. Wilson
599787	5934	
599787	6194	Mary (maid)
599787	48570	Woman taking in laundry
599787	105804	Bit Role
599787	146840	Housemaid
599787	184094	Friend at Lake
599787	223767	Passenger on Trolley
599787	237618	Woman refugee
599787	324973	Baker's Wife
599788	223695	
599789	101153	
599789	272732	Marie Courtenay
599789	284257	L'amie de Mirabeau (segment "
599789	345565	Clara Haskins
599790	397888	Herself (2003)
599791	43591	
599791	256153	Matilde
599792	399396	
599793	80108	
599794	46424	Sister Anne
599794	66105	Girl at Pool
599794	118911	Angel
599794	120283	Dr. Victoria Sedgewick
599794	317916	Girl (a.k.a. Hooker)
599795	190464	Coed
599797	275004	Ashley
599798	83561	
599799	250514	Nurse
599800	77958	Éva
599800	237610	
599800	327896	
599800	357270	Madeleine
599800	404863	Une infirmière
599800	410252	Henriette Hamel
599800	411623	Carlotta Lara
599801	292587	Sari's Story Narrator
599802	21076	Benigna (4)
599803	99702	
599804	157235	
599805	68810	
599805	124214	
599805	213747	
599805	251841	
599805	344711	
599806	286224	
599807	263352	Ingrid Swenson (Testosterone)
599808	33276	La femme du capitaliste
599809	70624	Tamara
599810	66837	Court Stenographer
599811	5159	La mère de François
599811	8439	Agnès de Chaligny
599811	15096	Herself
599811	28168	Maryse de Belloise
599811	30353	La Générale Eudes
599811	33525	Jeanne
599811	33542	Monique
599811	51948	Micheline
599811	54298	
599811	56024	Maria
599811	57082	Mme Naublin
599811	59384	Olga Lezcano
599811	66221	La vendeuse de fleurs
599811	73626	
599811	76128	Helle Waver
599811	82944	Èva Commandeur
599811	83341	Danièle
599811	91453	Yvonne Dutoit
599811	96211	La mère d'Alex
599811	97070	Mme de Lespinière
599811	111117	Elle-même
599811	122360	
599811	127620	Gigi
599811	132974	Blanche
599811	136308	
599811	147071	
599811	152364	Florence Langlois
599811	159702	Minne
599811	164246	
599811	167194	Catherine
599811	167249	La noyée
599811	205026	
599811	205758	Marie-Soleil
599811	214882	Miquette
599811	216235	Fantine
599811	216350	Mitsou
599811	226822	Colette
599811	231304	Bit
599811	235819	Marthe Dorsay
599811	235959	
599811	237507	Narrator
599811	245557	
599811	254157	Bérénice
599811	264527	Alice Rémon ou Dumas
599811	268386	
599811	268826	Georges
599811	275643	
599811	287595	Thérèse Ravenaz
599811	292704	
599811	294607	Geneviève Duval
599811	300735	Louison Chabray
599811	309310	Mme Germaine
599811	309983	Danièle (segment "Une cravate
599811	327452	Mara
599811	336668	Lilian
599811	345544	Marthe
599811	346427	Herself
599811	346524	Juliette Beauchamps
599811	349481	
599811	351056	Herself
599811	353929	La fleuriste
599811	357175	Janine
599811	376905	
599811	379366	Marguerite Lallier
599811	396368	Valentine Rougon (1994-1999)
599812	339476	
599813	337032	La blonde de 40 ans
599814	381876	Earth Girl
599815	84648	
599816	123913	French girl in truck
599816	356293	French Hat Check Girl
599817	156557	Ludivine, la lycéenne
599818	258149	Lisa
599819	101638	5 year old Fanny
599820	240786	Girl with Braces
599821	91574	Ms. Flirtatious
599821	214962	Receptionist Queen Mary's
599821	230505	Charlotte
599821	232439	Gayla McKinney
599821	238252	Girl at Table
599821	265681	Jennifer
599821	312011	Molly Lovell
599821	365825	Sarah
599821	384894	Lisa
599822	192558	Herself - Background vocals
599822	199735	Vocals
599822	199755	Background Vocals/Dancer
599822	199756	Background Vocals/Dancer
599822	199757	Background Vocals
599822	199762	Background Vocals/Dancer
599822	199763	Voguer (video 'Vogue')
599822	199765	Herself
599822	199766	Background Vocals
599822	221472	Herself (Madonna dancer)
599822	224486	Singer dancer
599822	367873	Mia
599823	384447	Weng
599823	392560	
599823	398996	Fake Antonina
599824	89226	
599825	30864	
599826	203946	Nina Chevrolet
599827	170226	Herself
599828	77461	
599829	206648	Leïla
599830	340109	Charles' Wife
599831	76063	
599832	397857	Josépha (17 ans)
599833	7384	
599833	22124	
599833	23157	
599833	44943	
599833	86829	
599833	98211	
599833	104894	
599833	122784	
599833	127609	
599833	139718	
599833	179741	
599833	216617	
599833	217026	
599833	246614	
599833	246620	
599833	249152	
599833	251909	
599833	329637	
599833	343326	
599833	350924	
599833	355818	
599833	356394	
599833	369519	
599833	370045	
599834	57895	Camille
599834	273689	Soeur Sainte-Rita
599834	343579	
599834	406917	Woman
599834	408661	Herself
599835	332801	Little Girl
599836	99593	Cheryl's friend
599836	283986	Raver
599837	355872	La touriste
599838	406120	1st Reporter
599839	16600	Monique
599839	24827	Herself
599839	118501	Dancer
599839	377635	
599839	395892	Herself (2nd to leave, 10 day
599840	330477	Gypsy Woman
599841	37314	Model/Golddigger
599841	208885	
599842	15093	Patricia
599842	83848	Nicole
599842	106075	Sophie
599842	139537	Amélie
599842	142638	
599842	153322	
599842	170468	
599842	189797	Silvana
599842	205216	
599842	219257	Morgane
599842	240539	Liliane
599842	257354	
599842	270353	
599842	340372	Cheeri
599842	392369	Mme Sommelier
599843	68336	Poupie
599843	100013	
599843	195210	Marie 'Fleur-des-Genêts'
599843	201183	Claudine
599843	212766	Claudine
599843	261842	Claire
599843	327549	Juliette Aimé
599843	345226	Madé
599843	377856	Annie
599843	381245	
599844	278870	Annette
599844	401321	
599845	336979	
599846	171475	
599847	366479	
599848	88193	Mamy blue
599849	16600	Odette
599849	201189	Clothilde
599849	205616	La jeune mariée
599849	255571	Louise
599850	214922	
599851	345233	
599852	345233	Mother
599853	11925	
599853	14232	Serafine Pigot
599853	15062	
599853	24674	Marie
599853	32712	Celine
599853	32713	Celine
599853	32809	Anya
599853	40218	
599853	50444	Lipstick Lesbian at Cocksucke
599853	64189	Marguerite
599853	64333	Herself (1984)
599853	73125	Sonia
599853	82941	Julie
599853	95380	Herself
599853	96240	Wise young girl
599853	104649	Leni
599853	118927	Caroline Frankenstein
599853	135359	(segment "La semaine sanglant
599853	146416	Herself
599853	148783	Sabeth
599853	161831	Chloe
599853	177013	Zoe
599853	177345	Virginia
599853	182989	Julie
599853	194261	Al
599853	198855	Wendy
599853	208226	Lise
599853	214017	Eva Purpur
599853	233294	
599853	234404	Virgin Mary
599853	235791	Charlotte
599853	287142	Lill
599853	319149	Herself
599853	327225	
599853	331529	Constance
599853	338854	Francesca
599853	340119	Dominique
599853	340120	Dominique
599853	341068	Dominique
599853	343331	Lena
599853	354458	Louise Créteur
599853	358476	Celine
599853	359588	Fryda
599853	372806	Melodie
599853	376826	Herself
599853	387728	Nicole (2001)
599854	171094	Woman In Courtroom
599854	276924	Young Leah/Leah Ilana Rosenbl
599855	115360	Anne Emmanuelle
599855	132838	Maria Chatelet
599855	205610	Vava
599855	228564	La petite fille
599855	256872	Solange enfant
599855	377944	Anne
599855	377983	Caroline
599855	396845	Alice Rousset
599855	404281	Liz Acquin
599855	412254	
599856	154583	Mother
599857	41578	
599857	138132	
599857	306920	
599858	88155	Helen Morris
599858	160400	Kate Marcy's Friend
599858	190204	Dorothy 'Dot' Stottsbury
599858	210818	Madeleine
599858	239050	Nanette Dodge
599859	326544	Lulu, a singer
599860	70939	
599861	33640	La jeune femme de la prison
599861	51403	Ginette
599861	57077	La femme terrain vague
599861	66718	Criquet
599861	110024	Marianne
599861	410143	Toinon
599862	4785	Stubenmaedchen
599862	7426	Anna Platzer
599862	10633	
599862	12467	Ottilie Giesecke
599862	12629	Mali Schlieker
599862	16362	
599862	17588	Knuddels Mutter
599862	33156	Frau Lehmke
599862	40585	
599862	75933	Hauswirtin
599862	78534	Julia
599862	79165	Guest
599862	86375	
599862	93447	
599862	94625	
599862	99901	Claudia Galotti
599862	108146	Annemarie Naumann
599862	128132	
599862	130939	
599862	134809	
599862	137143	
599862	142020	
599862	142089	
599862	155435	Frau Jensen
599862	155463	
599862	156747	Ottilie Giesecke
599862	164274	Tante Lotte
599862	164820	
599862	170685	Frau Klitsch
599862	171671	
599862	172171	
599862	175305	Miss Krauss
599862	178637	Rosi
599862	180885	Die Lehrerin
599862	188725	
599862	188749	Seine nichte [his niece]
599862	188835	Dame in der Küche
599862	191472	
599862	197416	Ulrike, Gesellschafterin
599862	204443	
599862	210070	
599862	210073	Ileana
599862	236833	Filmdiva
599862	248398	
599862	254231	Pia Schwiek
599862	280777	
599862	290021	Stefanie
599862	313335	Mrs. Mosbach
599862	317104	
599862	347760	
599862	350657	The wife of Boss
599862	352043	Margit Sund
599862	352327	
599862	365699	
599862	367037	Berta Sengstake
599862	376383	
599863	254016	
599864	321525	Herself - Band Vocalist
599864	321892	Herself - Band Vocalist
599864	367970	Goldwyn Girl
599866	334706	Commentator
599867	129543	Dancer in Bubble dance sequen
599867	162983	Cabaret Dancer
599868	108222	
599868	129501	Tante
599868	188885	
599868	218306	Tante Esther
599868	269152	La Reine
599868	375079	
599869	2252	(segment "Teuf d'enfer, La")
599869	8987	Marie
599869	17855	Magali
599869	58409	Mannequin
599869	61152	Julie
599869	69770	Ingrid
599869	69789	Countess of Regalpetra
599869	96170	Lea
599869	99357	
599869	108540	Laure
599869	191543	Sara
599869	212724	Paola Maertens
599869	236622	Sylvie
599869	251527	Mme Faivre
599869	265564	Lorène Delaunay
599869	272032	Bernadette
599869	307109	Laurence
599869	326336	Sylvia
599869	327577	Morel's friend
599869	338485	Lilas
599869	350850	Athenaïs de Montespan
599869	367767	Prostitute
599869	393843	Alice Nevers (2002-)
599870	377647	
599871	5509	Andrée Armand
599871	43692	Marie
599871	63697	
599871	67180	Lady Gladys Carter-Fawcett
599871	68924	Herself
599871	68925	Anita
599871	83270	Marcelle
599871	96226	Odette Cléry
599871	107523	
599871	114760	Edith Watkins
599871	121935	
599871	148613	Herself
599871	148706	Jacqueline Diel
599871	164146	
599871	167200	Paula D'Ivry
599871	205992	Simone
599871	217721	Loulou, sa belle fille
599871	219837	
599871	235854	
599871	253213	Françoise Martin/Mary Queen o
599871	268855	
599871	275513	
599871	280781	Henriette
599871	335898	
599871	346458	
599871	353884	Evanella
599871	356583	Colomba Corvino
599872	10296	
599872	40561	Mlle Majore
599872	101177	
599872	267015	Mademoiselle le juge d'instru
599872	345164	Irène
599873	345636	News reporter #2
599876	54692	Cap Girl Two
599876	114253	Concerned Parent
599877	108139	Stacy Krebbs
599878	108139	Stacy Krebbs
599879	273544	Rehab Aide
599880	248717	Jumelle Drey 2
599881	248717	Jumelle Drey 1
599882	87900	Clinic Woman
599883	40552	Heather
599883	160322	Candy
599884	115886	Breadstore Clerk
599885	90525	Tango dancer
599886	314155	Girl #1
599887	202063	Mujer en la fiesta
599888	66769	Susan
599888	123342	Amanda
599889	245229	Woman on Street
599890	295185	Jen
599891	311070	Mother
599892	12244	Saleswoman
599892	35463	Gabby
599892	40472	Harriett Johnson
599892	45678	Blanche
599892	45783	Mrs. Logan
599892	92694	Villager
599892	130183	Mama Calzone
599892	138699	Floor manager
599892	150400	Gloria Fortunato
599892	161554	Marcia Lowell
599892	176854	Liza
599892	201567	Mrs. Warren
599892	244923	Gym Teacher
599892	279755	Complaining Villager
599892	301669	Pregnant Lady
599892	319253	Mrs. Doris Green, Al's Daught
599892	368592	Woman in Record Store
599892	386649	
599893	137258	Little Girl in Airport
599894	164167	
599894	280769	Louisa
599895	301559	Psychic
599896	113288	Hooker
599898	71942	Poppea
599898	90087	Donna Elvira
599898	115196	Rosalinde
599898	257475	La Folie/Thalie
599899	83961	Nurse
599899	275889	Nurse
599900	51991	Toletta
599901	328505	Cámara de Olivier
599902	93756	Pretty girl
599903	168961	
599904	20625	Extra
599904	196487	Bit Part
599905	330604	Helen O'Neil
599906	101189	
599906	198863	
599906	254723	Baucis
599906	259865	
599906	284291	
599906	345127	
599907	106813	
599907	254050	
599907	258115	
599907	284291	
599908	214882	
599908	265216	
599909	167228	
599910	28179	La fille aux cheveux longs/L'
599911	58399	
599911	124323	Mme. Lerbier
599911	340116	Groceries-shop owner
599911	352626	
599912	59271	
599913	43002	Rose Charles
599913	51107	La mère de Marie
599913	51808	
599913	52909	La concierge
599913	58744	Nurse at maternity hospital
599913	62815	Jeanne
599913	63681	
599913	65168	Marie-Louise
599913	68381	La femme du pompiste
599913	87497	La Surveillante
599913	99405	Voice on Phone
599913	135426	
599913	149212	
599913	201173	
599913	214021	Mme Grignant
599913	220258	Melanie
599913	234270	Madame Blanchard
599913	245953	Maryse
599913	256991	Nicole
599913	259771	Justine
599913	261116	Emilienne
599913	272455	Lucienne, la voisine
599913	327551	Madame Bourdaloue
599913	343579	Patronne du garage
599913	343580	Marthe
599913	345351	Suzanne
599913	346525	Mathilde
599913	352923	Fernande
599913	377474	La patronne du bistrot
599913	389005	Offenbach's mother
599913	389880	Louise Besse
599913	412276	Une infirmière
599914	239628	
599915	215487	Herself
599915	397886	Herself
599915	397888	Herself (2002)
599916	382223	Herself
599916	385682	Herself - Host
599917	336554	Alice as a 5 year old
599918	15332	Jean
599918	86442	Gouvernante
599918	126826	Mrs. Cary
599918	142513	Florentia
599918	157627	Waardin
599918	168956	
599918	183107	Receptioniste
599918	226332	Alice
599918	310825	Gheloove
599920	99831	The Maharanee
599921	285754	
599921	336234	Simone
599922	10836	Melanie
599922	11922	Bernie
599922	35257	Carla
599922	53029	Lori
599922	60528	Angela
599922	78013	Meghan
599922	87234	Cindy
599922	143650	Carley
599922	185758	Laurel
599922	209526	Patty
599922	233792	Louise
599922	360279	Sandra West
599922	360698	Molly
599923	69803	Bixley McKay
599924	113127	Paule, l'amie de Michel
599925	182245	
599926	43631	
599927	207051	Divine's Shadow
599928	5535	Yvonne Delys
599928	51432	
599928	52700	
599928	148678	
599928	198103	
599928	206725	
599928	247998	
599928	280542	
599928	281818	
599928	300666	Linda (lady of the court)
599928	336261	
599928	343586	
599928	357837	
599928	377263	
599928	377833	
599929	166048	Sadie Soakum
599930	36655	La chanteuse
599930	354700	
599931	16612	
599931	20333	
599931	20931	
599931	23363	
599931	33616	
599931	57294	Odette
599931	58954	
599931	64068	Dany Rosy
599931	65152	
599931	68701	
599931	70591	Christiane
599931	70592	
599931	75411	
599931	77361	
599931	94353	
599931	111385	
599931	122907	
599931	123900	Gaby
599931	156277	
599931	164171	
599931	201164	
599931	201196	
599931	206007	
599931	208808	Athenais de Moulinet
599931	211647	
599931	217839	
599931	225380	
599931	240476	
599931	247998	
599931	248204	Juliette Charvin
599931	254137	
599931	259913	
599931	260924	
599931	268397	Lulu de Pompadour
599931	278147	
599931	285081	Totote
599931	308833	
599931	309743	
599931	340117	
599931	346458	
599931	346634	
599931	346729	
599931	349497	
599931	349647	
599931	357019	Josette
599931	377661	
599932	93863	
599933	44479	Girl
599934	262712	Herself
599934	263803	Herself
599935	105033	Madame Valmond
599935	297867	Ayesha
599936	354151	
599937	56388	
599938	118088	
599939	4232	L'épouse
599940	119471	Beth
599941	257114	Rosen's Secretary
599941	278139	Servuse
599941	286109	La mariée
599942	290977	Cleopatra
599943	266403	Jocelyne Rey
599944	236786	
599945	51377	Mamie Tromblon
599946	251016	Dame in restaurant
599947	54817	
599948	106	Polly
599948	45665	Polly
599948	72852	Polly
599948	118571	Polly
599949	116510	Sam
599949	327055	Dana
599950	262591	Chaos Clown
599951	115573	Stranded Motorist
599952	80848	
599953	167049	The screaming lesbian
599954	321444	Samantha
599955	321444	Waler
599956	228182	
599957	31541	Milena
599958	148345	Singing group
599958	304096	The Williams Sisters
599959	403805	Audrey Black (2002-)
599960	37658	Herself
599961	328477	Katie Flemming
599962	75030	
599962	75195	
599962	91761	
599963	154866	Shana, the stripper
599964	337406	
599965	195640	Marci
599966	298124	Serena
599967	28212	
599967	56351	
599967	69929	
599967	84043	
599967	103773	
599967	124586	
599967	135292	
599967	135381	
599967	199793	
599967	199916	
599967	244596	
599967	251339	
599967	268244	
599967	281758	Morocha
599967	293578	
599967	307240	
599967	379135	
599967	383291	
599968	25711	
599969	71835	
599970	365119	Church Woman
599971	377488	Charlotte
599972	1135	Madame Michaud, the real esta
599972	5900	
599972	10071	La dame aux petits chiens
599972	106286	La femme du député
599972	166127	La femme de J.C.
599972	257354	
599972	377795	Madame Lamourette
599972	382573	
599972	387466	
599972	397103	Clara Barthory
599972	399754	Pauline
599972	403351	Anne d'Autriche
599972	403642	Marie Médicis
599972	410309	
599972	410376	Mme Denis
599973	67187	
599974	23873	Xavier's Mother
599974	118752	Simone
599975	212545	Sophie
599976	342871	Woman at cafe
599977	159012	Violet
599978	148071	Gina
599979	370109	
599980	37672	Queen Vulva
599981	82650	Barbara
599981	178878	Olga
599981	180532	
599981	302788	
599981	324785	Mona
599981	325380	Karin Zinn
599981	325537	Inga Weiss
599981	325592	Andrea
599981	325823	Claudia Lorek
599981	329895	Ines Roeggeli
599981	347585	Sigrid Hansen
599981	376295	
599981	388947	Dr. Tanja Bergmann
599981	406321	
599981	408662	Bénédicte
599981	409720	Uta Kaiser
599981	411155	Christl Meierhofer (1993)
599982	124056	Flea Market Saleslady
599982	162426	Mrs. Fletcher
599982	186680	Dr. Siegel's Seminar
599983	345561	Mme Bonair
599984	83287	
599984	124325	
599984	258871	
599985	185648	Hollywood Boulevard Type
599985	299789	Accounting Clerk
599986	165853	Erma
599987	197758	Engagement party
599988	301705	Michelle
599989	165818	Landlady
599990	157720	Ferocious Shopper
599990	229826	Clerk
599991	46156	DHC Beta Secretary
599991	93955	Joy
599991	126577	Make-up Girl
599991	256464	Extra #1
599991	272031	Carla
599991	403287	Joanne
599992	296671	Voice TV-show
599992	387953	Vote presenter
599992	387954	Herself
599992	399412	Voice-over
599992	407173	Herself (1996-2002)
599993	2243	Joy
599993	396437	Herself/Carole
599994	142949	Dead woman/Dead prostitute/Ho
599994	226920	Policewoman
599995	33179	Cab Driver
599995	110251	Hooker
599995	112349	Gang Leader
599995	219210	Deputy
599995	326617	Jordan
599995	358376	Musician
599996	96904	Girl With Attitude
599997	87898	
599997	250799	
599999	380012	Herself - Finalist #10 (2003)
600000	338748	Biker
600001	69661	Mere Grandet
600002	192808	Léa
600003	67224	
600004	111122	Amélie
600004	144498	Evelyne Crépin-Jaujard
600004	396523	Michèle Moret
600004	407535	Laure
600005	31857	Witchwoman #1
600005	403158	Bernice Foxe (1982-1983)
600006	42105	
600006	96243	Giselle
600006	238464	
600007	118109	La cabaretière
600007	372969	La refugiée
600008	194315	Gussie
600008	219526	Old Lady
600008	313583	Fan in Lobby
600009	17081	Angèle Barbaroux
600009	27612	
600009	30755	Georgette
600009	54819	Alida Roux
600009	55877	Madame Escalin
600009	58498	Mémé Jeanne
600009	76059	Fanny
600009	108613	Fanny
600009	108898	La mère du premier préfet de 
600009	111687	Jeanne Vautier
600009	171004	
600009	206044	Fanny
600009	216124	Françoise
600009	216233	Eponine
600009	220265	
600009	226822	Sido
600009	259254	
600009	274777	Arsule/Irene
600009	282967	Catherine
600009	290439	Françoise
600009	302207	Mme Chantal
600009	309975	Augustine
600009	377867	La 'vieille'
600010	255602	Old Gburia-Furia
600011	63954	La femme enceinte
600013	150555	
600013	212155	Stella
600014	164255	Urszula
600014	217420	Nurse
600015	324331	
600016	39241	Investigator's friend
600017	55477	Skinny
600018	11384	Lunching Lady (Dottie)
600019	11516	Sandringham villager
600020	231424	
600021	47915	Teacher
600022	56733	Tanya
600022	191907	Rebecca Ferguson
600022	308056	Trudie
600023	389127	Hostess
600024	177697	Herself
600025	304544	Brenda Thompson
600026	17796	Rosa
600027	394142	Rita Mees (1964)
600028	61756	
600029	44055	Peasant Woman
600030	308684	Rose Gentry
600032	17546	Mariya Yefimova, nyanya Seryo
600033	313887	
600034	309589	Baby
600035	155859	French Club
600037	113761	Female Friend in Gallery
600037	144603	
600038	127376	
600038	158758	Olga
600038	158765	Cameriera Hotel Bessière
600038	158770	La signora Martin
600038	200972	
600039	65876	Sylvia
600039	80702	Micka Kilbourn
600039	195397	Mieke Kilbourn
600039	273699	Daemon
600039	403028	Daemon (2001)
600040	41802	Woman on Phone
600041	224909	Cycliste
600042	33075	Narrator
600042	334082	Narrator
600043	344553	Little Girl
600044	45651	Shielah
600045	15004	
600046	230107	Jennifer Williams
600047	45688	Claudette
600048	1578	Allison
600049	224909	Haltérophile #1
600050	10992	
600051	80834	Peasant Girl
600052	104718	Herself
600052	181064	Puce
600052	249682	Lili
600052	256808	Arlette
600052	404129	Sophie (1965-1968)
600053	6581	Herself
600054	176682	Mother of János Bodnár
600054	258345	Gizi
600054	350830	
600055	134222	Teresa Pacosta
600056	79495	Heather
600056	80429	Carmen
600056	112182	Laurie Walsh
600056	346044	Claire
600056	374573	Clarissa Devereau
600057	334845	
600058	340808	Dream Girl
600059	234417	
600060	26478	
600061	282189	Alexandra Kollontai
600061	293470	
600062	19171	Italian Woman
600062	20267	Indian WOman
600062	29082	Maria
600062	33420	
600062	37362	Maria
600062	39536	Manageress
600062	44472	Cristobella
600062	52523	Latona
600062	55437	Concha
600062	56139	Fortune Teller
600062	67858	Obese woman
600062	74107	Duenna
600062	92814	Wu Sao
600062	103335	Senora Ramos, Roberto's Mothe
600062	109673	Brazilian Opera Troupe
600062	117480	Mamma Mia
600062	121368	Mama Vinocchio
600062	142348	Fat Italian Dancing Partner
600062	155678	Fat Italian woman o train
600062	157863	Duenna
600062	157882	Elena
600062	163431	Gertie, the Cook
600062	177988	Proprietess of the Cafe
600062	186337	Dolores Ramirez
600062	186354	Maria (vendor)
600062	192951	Fat Maria
600062	204185	Charlizzini's Maid
600062	208719	Madame Fanchon
600062	208896	Mrs. Bono
600062	211570	Angelita
600062	215693	Madame Finchon
600062	231125	Madame Donato
600062	253105	
600062	273183	Mrs. Amos
600062	280830	Donut Maker
600062	281696	Fat Woman with Carlo
600062	294577	Rosita
600062	301868	Humming Bird
600062	317822	Angela Styx
600062	317825	Big Panamanian Woman
600062	329052	Rosita Rodriguez
600062	335666	Mrs. Gallotti
600062	336042	Heavy Spanish Woman Selling A
600062	340370	Shopkeeper
600062	342895	Servant
600062	372499	Elena
600062	396638	Mama Rosa
600063	380099	
600064	279636	
600065	387247	Janine Butcher (II) (1993-199
600066	253081	Dancer
600066	380344	Tzigane Dancer
600067	171569	Margaretha
600068	300646	Social Worker
600069	69108	Gretta
600070	208220	
600071	217406	La Beauval
600071	257600	
600071	257603	
600071	333460	La concierge
600072	287159	Sanda's Mother
600073	99988	Tasha
600073	99990	Tasha
600073	99993	Tasha
600073	99994	Tasha
600073	100007	Tasha
600073	100008	Tasha
600074	63954	Valérie
600074	354646	Laurence
600074	377976	
600074	382166	Catherine Varnier (1990-1991)
600075	19791	Sig.ra Tarocchi Roda
600075	65116	Jeanne Manalese
600075	104124	Bill's mother
600075	132374	
600075	194111	Janine Boitard
600075	225517	Catherine Verdier
600075	244070	Lucia
600075	260889	Rada Kálmán
600075	266222	Elizabeth Brett
600075	269473	
600075	331105	Brigitte/Ingrid/Marlene/Franç
600075	332741	
600075	345381	Nicole
600075	348318	Lili Rolland
600075	355427	Anya
600075	361007	Anna
600076	25624	Nina
600077	215823	
600077	375106	Olga
600078	10276	Auberin
600078	32848	Potaskushka
600078	35055	
600078	58459	Yulia von Mekk
600078	58555	Irina Arkadina
600078	88451	
600078	180843	
600078	187382	Katlina
600078	202299	
600078	227993	
600078	231179	
600078	243968	
600078	244728	
600078	255780	Narrator
600078	256724	
600078	261907	Svetilnikova
600078	263681	Laura Lions
600078	297862	Angelika
600078	298642	Spiridonova
600078	305288	Commissar
600078	312921	Lady Churchill, Duchess of Ma
600078	314435	
600078	343302	
600078	356018	
600078	356926	(segment Ispytatel)
600078	357339	
600078	357422	
600078	357627	
600078	374562	Lisa, Mother's friend at prin
600078	374856	Yelizaveta Andreyevna Protaso
600078	376229	
600078	386202	
600079	60550	
600079	291593	
600080	113811	Jana Odinsky
600081	146422	(segment "La fille à la camér
600083	222212	Heather
600084	4711	Other Nurse
600084	32155	Tommy's Mother
600084	48506	Orgasmic Angel
600084	55626	Estelle's Mother
600084	89869	Patricia
600084	232121	Maggie
600084	311616	Frieda
600084	406975	Ms. Mister
600085	1962	Herself - accepting Supportin
600085	11510	Mimi
600085	12286	Kari
600085	29288	Leota Long
600085	33607	Molly Brant
600085	39528	Sarah Eagle
600085	39844	Mashka
600085	40897	Cabaret Girl
600085	52373	Chata
600085	52536	Marie
600085	59600	Yvonne Roland
600085	74107	Princess Alice
600085	78967	Shari Abbadi
600085	93634	Molly Dunn
600085	99399	Valerie Norris
600085	128619	Girl
600085	147700	Crusades cast member
600085	147804	Herself
600085	157863	Rita Vargas
600085	162926	Inda
600085	169913	Lucille Strang
600085	196155	Rosa
600085	199272	Zeppelin Reveler
600085	203001	Woman
600085	271855	Margarita
600085	281163	Rosaline
600085	304305	Geraldine Croft
600085	308363	Servant
600085	338303	Carol Rayder
600085	340905	Lupe the Maid
600085	345860	Hannah
600085	346076	Mary Brookhart
600085	355825	Rosita Morales
600086	252223	Female Guard
600087	54652	Young girl
600088	127237	Ebony (Graduation Rapper)
600088	169435	Marie
600088	189982	Juke Joint Waitress
600088	230340	Student
600088	319188	Reporter
600088	362310	Sheray
600088	404177	Telly Radford
600089	311578	
600090	60730	
600091	225804	Herself (Contortionist)
600092	124224	Announcer
600092	343160	Receptionist
600093	218604	Additional Voices
600094	87184	
600094	234138	Zita
600094	355606	
600095	187203	Fatma
600096	71798	Member, ODP Party
600097	212128	Semira Kaya
600098	390812	Alia Öndar (2003)
600099	20306	Melike, Djemil's sister-in-la
600099	38492	Herself
600099	104706	Herself
600099	131192	
600099	240540	
600099	322552	Berivan
600099	371562	Herself
600100	4725	Ayse Sultan
600100	394803	Eylül
600101	386905	Meliha
600101	388735	Gülcin
600102	107356	
600102	329160	Azade
600102	396478	
600103	4028	
600103	26028	
600103	26030	Mutter
600103	34216	
600103	42612	
600103	51345	Sakine
600103	126200	
600103	181941	
600103	218732	
600103	275181	
600103	281494	Fatos
600103	349226	
600103	370630	Aunt
600103	376619	The agha's wife
600103	383348	
600104	131192	Ceren
600104	380739	Ebru
600104	383348	
600105	350252	Aktrisa
600106	326261	
600107	40199	Saleslady
600108	39001	Nurse Morrison
600108	72762	Nurse
600108	244397	Nun
600108	296755	Waitress
600109	186158	China
600110	24119	Mona
600110	90014	Prinzessin von Eboli
600110	122586	Susanne
600110	124895	
600110	162018	Dr. Sina Teufel
600110	225276	Margot Heitmann
600110	269052	
600110	275161	Anwältin Asuman Eroglu
600110	290056	Ulli
600110	290780	Esther Lopez
600110	319336	Inga
600110	325866	Renate Schwippert
600110	389840	Laura
600110	390701	Andrea
600110	392681	Inspettore Bauer
600110	403209	Azade Celik
600110	409990	
600111	293407	
600112	182808	
600113	349226	
600114	89815	
600115	272606	Garderoberka II
600116	373503	
600117	104726	Herself
600118	7368	
600118	136784	
600118	307155	
600118	308320	
600119	370774	
600120	373287	
600121	46363	Patty
600121	252989	Bonnie
600122	188894	Maria
600122	412259	
600123	17080	
600123	99561	
600123	239898	Fiatal lány
600123	376615	Anci
600123	378042	
600124	237169	
600125	227549	Secretary No. 2
600126	209210	Zombie
600127	201114	Betty
600127	270975	Sally
600128	224987	Lili
600129	370545	Connie
600130	919	Frau Wörns
600131	206447	Pig Knuckles Shopper
600131	254645	Juror
600132	308122	Junk Store Gal
600133	203918	"Statue of Liberty"
600134	395892	Herself (4th eliminated, 42 d
600134	407052	Host
600135	340950	Young girl with pug
600136	115225	
600136	129678	
600136	164832	
600136	202633	Nele Limburg
600136	209447	Heidi Oberhuber
600136	212800	Michelle
600136	236039	
600136	236831	
600136	275763	Vroni
600136	302751	
600136	374558	
600136	376313	Carla
600136	387302	Patricia Rieger
600137	390771	Meta Bauer White Roberts Bann
600138	13869	
600138	34928	
600138	41486	Herself
600138	50179	
600138	54430	
600138	132017	
600138	139265	
600138	228029	
600138	233702	
600138	233715	
600138	264844	
600138	296706	
600138	332550	
600138	354177	Woman
600139	120674	Une dame
600140	330886	Sandy the Tourist
600141	270932	Herself
600143	107537	Corinne Garnier
600143	215313	Francoise
600143	346533	Zazie
600143	374208	Zazie
600144	2333	
600144	7112	
600144	14276	
600144	14835	Anna Padoan
600144	19071	
600144	31005	Andromeda, Creuso's daughter
600144	33267	
600144	43680	Elsa
600144	51107	Brigitte
600144	51224	
600144	58309	Sylvie Mallet
600144	58846	Anne
600144	60691	Herself
600144	60906	
600144	70491	Zina von Raunacher
600144	88882	Sonia/Helga
600144	90606	
600144	91974	
600144	92047	Germaine
600144	101194	
600144	106075	Katia
600144	107382	Sabine
600144	108886	Hélène
600144	108890	Hélène
600144	108891	Hélène
600144	111781	La directrice de la colonie d
600144	115433	La maîtresse
600144	120813	La maîtresse de Cousinet-Duva
600144	121974	Anna-Maria
600144	122216	La future vedette qui vocalis
600144	148685	Guillemette
600144	156293	Laurence
600144	163491	Georgie
600144	164142	La Baronne
600144	164155	Mme De Chatiez
600144	195143	Herself
600144	218577	
600144	223106	Herself
600144	234282	Julia/Actress
600144	235736	Laura
600144	235839	
600144	241979	Harriet
600144	243702	Penelope
600144	248032	La fille qui ouvre la porte
600144	248260	La prostituée
600144	251007	Madame Gulderbilt
600144	251119	
600144	256757	Muriel
600144	264773	Gaby
600144	265441	
600144	265442	Fernande
600144	265443	Fernande
600144	265444	
600144	265446	Fernande
600144	268982	Micheline
600144	269513	Laura
600144	272771	Rea
600144	301403	Malvina
600144	302689	Locha
600144	307136	Virginie Dumayet
600144	309150	Abigail Williams
600144	309401	Zizi
600144	319995	Geneviève Lambert
600144	327890	Muriel
600144	328088	Wife in house 3
600144	340176	Milady de Winter
600144	340177	Milady de Winter
600144	345604	Judy
600144	346471	
600144	346663	Eva Dollan
600144	348532	Ingrid
600144	349481	Mathilde
600144	351827	Catherine Mougin
600144	353428	La mère
600144	376891	Lisette
600144	377625	Elisabeth
600144	377627	
600144	384016	
600144	394379	Martine #2
600144	396698	
600144	396893	Marion Treguier
600145	66720	Marie Paradis
600146	51424	Mylène
600147	14658	
600147	53574	
600148	249208	Clémentine (8 years old)
600149	2252	(segment "Teuf d'enfer, La")
600150	275718	
600151	102834	Herself (model)
600152	238601	Johanna Davis
600153	358291	Tea Lady
600154	343009	Mona
600155	209210	Zombie
600156	169812	Chaos
600157	187147	Girlfriend
600157	366919	
600159	13430	Barelli's Daughter
600159	26093	Sucky Sally
600159	31317	Capt. Kir'oss
600159	41198	First Victim
600159	44054	Jessica Simon
600159	53059	Yoga Hippie
600159	60254	Kadie
600159	72650	Sun Bather/'Glam' Hooker
600159	90341	Prostitute
600159	137546	Angelina
600159	245143	Beatrice
600160	12917	child
600161	263849	Child
600162	40450	Barbara
600162	104936	Mary
600162	330680	Monica
600162	331467	Tattoo Butt
600163	7309	
600163	10837	Sheri
600163	42732	
600163	48592	Alice
600163	53320	Patty
600163	66993	Maria
600163	80780	
600163	102734	Carmela (segment "Party for T
600163	117061	Elaine
600163	120121	Nikki
600163	120122	Nikki
600163	126538	Aerobic Girl (segment "Get Ou
600163	127730	Ducks Dance Squad Member
600163	139227	Dede
600163	154301	Debbie
600163	192779	Maggie Sams
600163	231982	Roberta Woods
600163	247032	Cherry
600163	252936	Janet
600163	276857	Sheri Haines
600163	314674	
600163	326741	Dancer
600163	353298	Samantha
600163	387303	Randi Banks
600164	82684	Herself
600165	53732	Groupie
600166	2252	(segment "Teuf d'enfer, La")
600167	41661	
600167	71952	
600167	240429	
600167	260905	Cristina
600167	319754	
600169	119328	Looker's Waitress
600170	327566	Eva
600171	62433	Chloé
600171	64333	Herself (1997)
600171	206298	Sushi
600171	380964	Linda Demersey
600171	381616	Liana
600171	383788	Anne
600171	384578	Linda Demersay
600172	316845	
600174	211844	Child
600175	389167	Danielle Yallop
600176	42842	Little Girl at Restaurant
600177	108627	Fanny
600178	390317	Reporter
600179	194136	Tammy
600180	32832	Mother Earth
600181	110216	Sylvia
600182	12286	Girl
600182	117613	Hansen's daughter
600182	274773	Aggie Reilly
600182	325026	Jane Thompson
600183	367838	Mammy Chloe
600184	145922	Colored Maid
600185	211844	Child
600186	153809	
600187	362901	
600188	13304	Aunt Chloe
600188	47366	Maid
600188	84212	Mammy
600188	106634	Aunt Liza
600188	131690	Mirandy
600188	133849	Mammy
600188	208961	Mammy Lou
600188	216925	Mammy
600188	247220	Aunt Caroline
600188	317979	Aunt Judy
600188	356264	Aunt Jennie
600188	372941	Mammy
600189	315909	Witch #1
600190	19557	Harem girl
600191	13369	Herself
600191	39168	
600191	59343	
600191	64931	
600191	65680	
600191	71701	
600191	71746	
600191	87395	Roach
600191	90914	
600191	93983	
600191	142467	Cheshire Cage
600191	150089	
600191	150424	
600191	155912	
600191	156566	Prisoner
600191	164243	Cabaret Dancer
600191	187411	
600191	189313	
600191	251754	
600191	257860	Princess
600191	266553	
600191	295620	
600191	295631	
600191	297904	Nora
600191	303986	Olivia
600191	321575	1st Girl at Tryout
600191	326510	Topless Waitress
600191	338539	
600192	55581	Buff The Carpet Cleaner
600193	188567	Girl in Yellow Pedal Pushers
600195	27326	Jessica Mills
600195	27327	Jessica Mills
600195	72098	Autumn
600195	80377	Julie
600195	81330	Karen
600195	82703	Photo Model
600195	115091	Nina
600195	120298	Tanya
600195	135170	Alex Marlowe
600195	142347	Ambrosia 'Amber' Bradford
600195	300311	Clark
600195	366783	Annie
600196	43164	Neighbor
600196	78998	Pamela
600196	254748	Police officer Janet
600196	273506	The Dweller
600196	292610	Grandmom
600196	362640	Dr. Barbara Whitman
600196	368147	Madam Diana
600197	69615	Lady Courtier
600198	13635	Miss Nancy Montague
600198	93206	Gypsy Fair
600198	128506	Acoline France
600198	133956	Dancer
600198	149446	Ethel Hoyt
600198	161542	Favorite of the Harem (Babylo
600198	162983	Inga
600198	195581	Stella Bevan
600198	241329	Agnes Harrington
600198	280926	Girl John Logan meets in New 
600198	286138	Sally
600198	289581	Lady Fair
600198	298570	Alice Faulkner
600198	309275	Mavis Claire
600198	329502	Joan Daisy Royle
600198	340784	Bettina's friend
600198	360165	
600198	363990	Marie Carrington
600199	205268	Reporter (Music Awards)
600199	240798	Vivian
600199	382397	Herself
600200	234153	Razrednièarka
600201	215691	Miss Arizona USA (Semifinalis
600202	310852	Myrna
600203	387079	
600204	125370	Dans le couloir
600205	168261	Herself
600206	184209	Karo's mother
600206	221400	Taguhi
600207	406270	Tochter Habermanns, "Moritz"
600208	245592	
600209	199587	
600210	56545	Herself
600210	70585	Donna
600210	195785	Nina's Assistant
600211	82844	La femme de ménage
600212	347194	Herself
600213	4637	
600213	55987	Eva
600213	139026	
600213	161447	Lora
600213	161572	
600213	202427	Luna's mother
600213	250607	
600213	287991	
600213	344422	
600214	297839	Herself
600215	132155	Anna Beletskaya (Mariya)
600215	154105	
600216	41197	Melody Brooks
600217	55804	
600218	11713	Britta
600218	211233	Britta
600218	379764	Britta
600219	110247	Sister
600220	34973	Woman on Train
600221	155903	Holly
600222	242429	Fried Folters
600222	402995	Herself/RR: Europe
600222	403487	Herself/Europe (1997)
600223	13796	Mother Pike
600224	330204	Herself (survivor, Poland)
600224	385612	Woman in Salad
600225	271910	
600226	151479	Cuka
600227	26440	Insp. Clement
600228	5421	Maria Feletti
600228	13942	Mrs. Cantrell
600228	218598	Virgin
600228	218604	Main Female Voices
600228	219420	Nurse 1
600228	276862	
600228	282722	Dee Scanlon
600228	308609	Ticket Agent
600228	343189	Woman Protester
600228	367482	Connie Thaw
600229	347793	
600230	166768	Maria
600231	261281	News Anchor
600232	9480	
600232	19202	Prisca
600232	59301	Charlotte
600232	70947	Ninon
600232	147776	Réjane
600232	198567	Colette
600232	236593	Fanny
600232	252235	Fine
600232	306942	Soeur clémence
600232	322573	Marie
600232	377466	
600232	411548	Soeur Clémence
600233	35709	Donna Tuff
600233	174503	Movie Goer
600233	329524	Nicole Laserik
600234	256958	
600234	401514	Cirinná's Mother
600235	362124	Stacy
600236	239933	Stacy
600236	335730	Leeta
600236	352735	
600237	159175	Village Woman
600238	889	
600238	53053	Prisoner
600238	87883	Mrs. Hallett
600238	221645	Queen's Maid
600238	223764	The Matron
600238	232319	Aunt
600238	340545	Mrs. Mordant
600238	359486	
600238	379092	Mrs. Moloch
600239	140267	
600239	140268	
600240	1300	Shirley House
600240	89057	Martha Johnstone
600240	131380	Connie Muldoon
600240	379741	Regular Performer (1995-1998)
600240	388672	Herself/panelist (1997-1999)
600240	406529	Lydia Liza Gutman (1998-2002)
600241	13872	Ruta
600241	118935	Christina
600242	363939	Bess
600243	22728	Doctor's wife
600243	171123	Nun in elec. wheelchair
600244	32618	Gina
600244	40060	Jill Watson
600244	185428	Allison
600244	194963	Sharon (Leslie Grant Show)
600244	314823	Cate
600244	385131	Val
600245	133687	Susan Rollins
600246	155532	Girl
600247	87166	Group Rehearsing In Hallway
600248	162529	Lorraine
600248	200167	
600248	217420	Marie
600248	387247	Sarah Hills (1995-1999)
600248	388821	Jess Taylor
600248	398683	Janey Harper (Series 1-3, 5-)
600248	399686	Margaret Hale
600248	400002	Cheryl Potts
600249	5866	Dorothy
600249	34822	Shop assistant
600249	60716	
600249	78318	Meredith Butcher
600249	97463	Producer
600249	197185	Shandra
600249	219208	Lady Mikeevil
600249	253015	Rosie Peters
600249	253920	Lady Quiller Couch
600249	358437	Receptionist
600249	394517	Merle Bulpitt (1979-1984)
600249	397142	Mavis Bramston (1966-1968)
600249	399130	Dorothy Burke (1990-1993)
600249	399372	
600249	402197	Bev Baker (1984)
600249	406891	Rose Sullivan
600249	408664	Mrs. O'Connor
600249	408873	
600250	213315	
600251	213315	
600252	2779	Herself
600252	3027	Herself - Best Supporting Act
600252	3148	Nora Doel
600252	5196	Christine Foskett
600252	16823	Narrator
600252	23935	Herself - audience member
600252	32866	Bridget Mayor
600252	34646	Herself
600252	37986	Herself
600252	43446	M
600252	43451	Herself
600252	48062	Millie Crocker-Harris
600252	49023	Narrator
600252	53310	Anne
600252	62460	Armande Voizin
600252	68011	Adriana
600252	70627	Herself
600252	80035	Elizebeth Moris
600252	80418	Laura Davidson
600252	86263	M
600252	118316	Wife
600252	121835	Herself
600252	127270	Mrs. Alving
600252	129763	Nurse
600252	130332	Sister Scarli
600252	130946	M
600252	137930	Hecuba (long version)
600252	138184	Mrs. Beaver
600252	140886	Joanne
600252	142920	Mistress Quickly
600252	144406	Desiree (segment "Send In The
600252	145319	Hilda Lessways
600252	148333	Mrs. Calloway
600252	157195	Lady Bracknell
600252	161473	Narrator
600252	162247	Iris Murdoch
600252	164239	Narrator
600252	164381	Margaret
600252	165260	M
600252	165265	Herself
600252	169959	Herself
600252	183370	Ursula Widdington
600252	184656	Imogen Langrishe
600252	185451	Elizabeth
600252	186165	Presenter
600252	197892	Katherine
600252	198881	Lady Macbeth
600252	213315	Titania
600252	220797	Dorrie Edgehill
600252	221233	Queen Victoria
600252	221275	
600252	240504	Hazel Wiles
600252	243148	Herself
600252	262959	Herself
600252	263558	Lady Catherine De Bourgh
600252	277701	Performer: "Sixteen Going on 
600252	281446	Eleanor Lavish, a novelist
600252	285610	Barbara Dean
600252	297115	Queen Elizabeth
600252	299202	Agnis Hamm
600252	317430	Sally
600252	326383	Arabella
600252	330547	Miss Humphries
600252	335336	M
600252	346938	
600252	361978	Marcia Pilborough
600252	368418	M
600252	368419	M
600252	378842	Herself
600252	380250	Miss Lilly
600252	380714	Jean Mary Pargetter/Jean Hard
600252	388751	Laura Dalton
600252	390599	Narrator
600252	396080	Aunt Sadie (Lady Alconleigh)
600252	397659	Voice of George Eliot
600252	401651	Herself
600252	407508	Terry
600252	408581	Aba
600253	286643	Ivana
600254	50242	
600255	355190	
600256	196878	Verpleegster
600257	232626	Mother of Sevastianos Pagonas
600258	279608	
600259	81016	Cece Taft
600259	130968	
600259	308114	Choir Member
600260	55693	Mexican Girl
600260	55719	Hospitality girl
600260	74761	
600260	80651	Masseuse
600260	117115	
600260	125635	Concubine
600260	317900	Club Waitress
600261	142274	Anna
600261	155331	Countess Donna Konquistadora
600261	176561	Frau Rau
600261	179649	
600261	188825	
600261	329688	Bruson's Frau
600262	238237	Mrs. Kemp
600262	256622	Pinafore company
600262	273591	Tudor Lady
600262	281174	Lady Montague
600262	352702	Vision Mixer
600262	365881	Ethna
600262	366988	Miss Johnson
600262	387518	Sister Wright
600262	411654	Marjorie Mortimore
600263	171596	
600264	295210	Roland's Wife
600265	12372	
600266	130311	Dancer
600266	203549	Aerobics Instructor
600267	69212	
600267	392911	La postière
600268	12105	
600268	14700	
600268	57286	
600268	70699	
600268	343966	
600269	120528	Dancer
600270	218282	La chanteuse
600271	248177	
600272	19369	
600272	73294	
600272	132386	
600272	257128	
600272	322854	Secretaria
600274	234497	
600275	78345	La petite fille
600276	248258	Valérie
600277	171426	Jutka
600278	32142	
600279	282274	Une serveuse
600280	117490	Korean Waitress
600281	111067	Nadine Yriex
600282	47786	
600282	351884	Girl
600283	113139	Ecolière
600284	2909	Herself
600284	3094	Gaby
600284	5186	Une spectatrice du défilé
600284	7655	Charlotte
600284	8249	Amanda Weber
600284	8495	Sarah
600284	17142	Sofia Stolz
600284	19282	Catherine Gunther
600284	20068	Cécile Rainier
600284	23734	Fanette
600284	33555	Séverine Serizy aka Belle de 
600284	33581	Léa
600284	34072	Anne
600284	34903	Herself
600284	43412	Claire Després
600284	43941	Herself
600284	56367	Donna del sogno
600284	57665	
600284	57894	La star-fantasme
600284	58699	Lucile
600284	59239	Clara
600284	62442	Claire
600284	62568	Nicole Durieux
600284	62748	
600284	64292	Herself
600284	65351	Herself
600284	65980	Narrator (French language ver
600284	67211	Name not given
600284	70145	Herself (segment "Pour Febe E
600284	70222	Hélène
600284	71384	Lori
600284	71904	Eva
600284	71989	Marianne
600284	74339	Mylène
600284	77701	Kathy
600284	82643	Delphine Garnier
600284	82644	
600284	83194	Herself
600284	83216	Marion Steiner
600284	91444	Unconfirmed
600284	94233	France
600284	99372	Herself
600284	100188	Cécile
600284	103931	Gabrielle
600284	104238	Manuelle
600284	109974	Linda Murri
600284	111005	Françoise LeRoi
600284	117927	Louise
600284	118731	Herself
600284	119047	
600284	120989	Jeanne Quester
600284	136649	Jeanne/Solange
600284	142856	Herself
600284	148741	Catherine
600284	152844	Miriam Blaylock
600284	153250	Nicole Britton
600284	153875	Hélène
600284	159290	Eliane
600284	166126	Marguerite
600284	166195	Alice
600284	176379	Herself - Golden Globe Awards
600284	189923	Lili Ravenel
600284	192834	Liza
600284	198614	Emilie
600284	204654	Manon
600284	205191	Simone Picard
600284	208656	Maria Vetsera
600284	223226	The Queen
600284	246986	Eugenia
600284	248685	Geneviève Emery
600284	249128	Sophie (segment "Sophie")
600284	249281	Margaux
600284	249434	Marquise
600284	251532	La première reine/Peau d'âne
600284	254052	La reine
600284	255561	Herself
600284	257114	Marianne
600284	258320	Swindler (segment "L'homme qu
600284	259128	Marie
600284	260936	Dany
600284	264220	Marie Bonaparte
600284	275110	Liliane Ripoche
600284	275987	Herself
600284	276052	Carole Ledoux
600284	280563	
600284	287613	
600284	288888	Nelly
600284	300613	Catherine Berger
600284	303136	Julie Roussel/Marion Vergano
600284	310891	Margaux featured in 'Paroles 
600284	327577	Odette de Crecy
600284	336738	Marie-Hélène de Boismonfrais
600284	336990	Interviewee
600284	339979	Tristana
600284	344752	Delfina
600284	345230	Cathy
600284	345381	Isabelle
600284	347194	Herself
600284	349498	Catherine
600284	351818	Hélène
600284	353301	Justine Morand, la vertu
600284	353846	Marie
600284	354020	Herself
600284	355883	Herself/Marion
600284	356520	Marie Leblanc
600284	356765	Herself
600284	373340	Herself
600284	375078	Marie
600284	376593	Herself
600284	377006	Françoise
600284	377472	Catherine
600284	377696	Claude Alphand
600284	378017	Irène de Fontenoy
600284	384296	Herself
600284	390852	Herself/Host
600284	395480	Marquise Isabelle de Merteuil
600285	64740	Fahizah
600287	54160	Herself
600287	104689	Herself
600287	183130	
600287	189883	Herself
600287	278906	Rita
600287	383368	Herself
600287	387951	Jurylid
600288	312342	Flower Seller
600288	395119	
600289	370600	Twins
600290	300386	Mother of Chen
600291	43931	Denice (2 years old)
600292	306646	
600293	380391	Dr. Susan Matthews Shearer #2
600293	385580	Daisy Cotton
600294	364931	
600296	376082	
600297	91793	Lady at Police Station
600297	298161	
600298	386603	Margo Stewart (1973-1974)
600299	118648	Scrub Nurse
600299	194456	Alice
600299	273590	Nurse
600299	382937	Joyce
600300	358477	Bar Patron
600302	100353	Marguerite
600303	23615	Danseuse
600303	195157	Danseuse
600304	72053	La présidente
600304	244083	La tante
600304	345273	La soeur de Madeleine
600304	391927	
600304	396622	Marthe Lassenave
600304	412250	La cliente mécontente
600305	2252	(segment "Mère séropositive")
600305	15107	Marie
600305	15251	Murielle
600305	25083	Flore
600305	28149	
600305	28724	Adèle Hugo
600305	33279	Blanche Pailleron
600305	33586	Julienne
600305	33587	
600305	51242	Les filles
600305	68329	
600305	68387	Sylvia
600305	69934	Émilia
600305	90881	Monique
600305	96150	Jeanne
600305	111756	Susette Gontard
600305	137925	Ophélie
600305	140279	Louise
600305	141962	Dete
600305	148648	Céline
600305	153872	Catherine
600305	156330	
600305	160016	Maud Graves
600305	160657	Léa
600305	169335	Ariane
600305	186989	Bella
600305	194956	Nathalie
600305	209095	Isabel
600305	211646	
600305	218077	Claire
600305	249749	Camille
600305	255583	Marie
600305	258314	Lucie
600305	269503	Marie
600305	285150	Sensible
600305	294387	Marie Barillet
600305	300816	
600305	345331	
600305	346730	Irina Colbert
600305	350425	Gloria
600305	353861	Pascale MacGillis
600305	376999	Hermeline
600305	377623	
600305	389732	
600307	101219	La dame de l'association
600307	132887	Mme Silberman
600307	171327	Jeanne
600307	217642	Mme Manessier
600307	219511	Adrienne
600307	219606	
600307	227300	Voisine Nana
600307	258331	Danielle
600307	292843	Jeanne
600307	346769	Nanou
600307	354932	
600307	392750	Laure
600308	166565	Dancers
600309	37164	Renée Mazouric
600309	41288	Marie
600309	49346	Tracy
600309	80056	
600309	109705	Giselle
600309	130299	Aline
600309	134894	Angel Face
600309	135163	Nina
600309	161738	Vicky
600309	161938	Narrator
600309	176827	Capt. Dupre
600309	176882	Cassandra X. Flanagan
600309	213097	Woman in White
600309	230333	
600309	232229	First Victim
600309	232282	Valerie
600309	233878	Pamela Hanley
600309	248591	Liette
600309	252834	Janine
600309	265600	Diane Cafferty
600309	274016	Rebecca Murrin
600309	274323	Elaine (episode "Talk To Me B
600309	288468	Nicole St. James
600309	288956	Lucy
600309	318119	Impératrice Joséphine
600309	325162	Olga de Coude
600309	334354	Frannie
600309	346009	Madeleine
600309	363778	Janice
600309	365381	Dominique
600309	379145	Nicole
600309	389858	Dr. Yasmine Bernoudi (1989)
600309	407582	Jane Porter
600310	117912	
600311	166113	Camille
600312	12402	Baby Renee
600313	170843	Banquet Dancer
600314	242024	Michelle
600315	334148	Sax Quartet in Park
600317	81177	Female Staff
600318	261986	Desk Clerk
600319	24926	Interviewee
600319	64330	Herself
600319	100249	Alice's Mother
600319	169323	
600319	201135	Jeune accouchée
600319	346735	Cameo appearance
600319	357834	La cliente asthmatique
600320	351884	Girl
600321	44973	
600322	101528	
600323	332623	L'assistante sociale
600324	383157	
600325	367073	Munchkin Villager
600326	329158	La voisine espagnole
600327	114366	Narrator
600328	83045	Bubbles O'Hara
600329	18598	Bridge Crosser
600330	21119	Artemisia Gentileschi
600330	266419	Hotel manager
600331	12203	Gang Girl
600332	23070	
600332	54778	
600332	157200	
600332	221987	Esther Jaunarena
600332	248234	
600332	260521	
600332	266470	
600332	281007	
600332	302551	
600332	314342	
600333	1335	Clelia
600333	4599	Maria, sua sorella
600333	6296	Dorina
600333	14844	Vera
600333	28565	
600333	33588	Marcella
600333	61059	Francesca
600333	68653	Ada Mellario
600333	69990	
600333	72859	
600333	73648	
600333	74645	
600333	78405	Rita
600333	89035	Luisa Sabelli
600333	94675	Agatina
600333	94688	Betty
600333	94698	Luisa
600333	111852	Maria
600333	111879	Anna
600333	117966	La figlia del direttore del g
600333	138473	
600333	157175	Typist
600333	168250	Marietta Clavel
600333	184971	
600333	194561	Nella
600333	199921	Maria Bini, la maestrina
600333	202354	Nedda, sorella di Jana
600333	212599	
600333	226430	
600333	227574	Ninetta
600333	230080	Anna
600333	234710	
600333	248649	
600333	249462	
600333	251323	Liliana Casali
600333	255098	
600333	264576	Lucrezia
600333	273139	Fanya
600333	273144	
600333	292267	Marta Renzi
600333	295163	Isa Sturmer
600333	301369	
600333	303178	Cristina Zunino
600333	327100	
600333	327452	The wife
600333	339073	The girl
600333	344436	Anna Vitali
600333	348145	
600333	353844	Mimi/Mimì
600333	354485	
600334	33789	Mrs. Armand Denis
600335	140636	Math Club Girl
600336	155013	Girl/Jack's movie
600337	39558	
600337	300178	Peggy Morton
600338	205771	La voisine
600338	410074	Docteur Cladek
600339	34777	
600339	51452	
600339	123802	
600339	145756	
600339	189844	Herself
600339	189852	Herself
600339	268197	Herself
600339	339253	Denise (IV)
600339	354191	
600339	389782	
600339	391547	The Ex
600339	410628	Daphnée Wilson
600340	89572	Woman eating a chicken
600341	92445	Girl With Flat Tire
600341	118530	Cindy
600341	183815	
600341	185653	Passenger Agent
600342	241681	Herself - singer
600343	92656	Madam Kristoff
600343	232435	Marie
600343	387490	Rally singer
600343	405696	Russian Embassy Official
600344	89572	
600345	27085	Beth
600347	3315	[E]vangelion (2005)  Angela
600347	35121	Kitt
600347	123503	Femme fetale
600347	173121	Girl in bar
600347	300978	Cecilie
600347	305004	Smilende blondine
600347	327935	Woman in red
600349	156324	
600350	786	
600350	796	
600350	2431	
600350	3402	
600350	6728	Herself
600350	6753	
600350	11274	
600350	27016	
600350	30036	
600350	34833	
600350	34879	
600350	35162	
600350	57239	Herself (Nikita Denise)
600350	60339	Cheerleader
600350	64839	
600350	78658	
600350	91580	
600350	91667	
600350	93990	
600350	93991	
600350	102792	
600350	102793	
600350	106340	
600350	106521	
600350	107167	
600350	108644	
600350	123795	
600350	128557	
600350	132017	
600350	138132	
600350	159517	
600350	165926	
600350	228001	
600350	228577	
600350	235418	
600350	249618	
600350	267516	
600350	273300	
600350	294728	
600350	306911	
600350	312381	
600350	317990	
600350	330813	
600350	348387	
600350	349380	
600350	349383	
600350	349384	
600350	349389	
600351	96990	Girl at Pool
600351	178979	Mama Morgan
600351	206069	Karen
600351	209604	
600351	302696	Female dancer
600352	318173	Stacy
600353	210520	Dancer
600354	57405	La Fayette
600355	357007	Second Woman Photographed
600356	161542	Dancers (Babylonian Story)
600357	103327	
600357	133995	Nico's girlfriend
600357	172216	
600357	213594	
600357	248908	
600357	353072	
600357	380779	Jenny Stergi
600357	380819	Melpo
600357	389459	Mellio Villi
600357	406538	Anna
600357	407925	Magda Konsta
600357	411877	Dinah Sklavoyanni
600358	341074	Zosia
600359	178098	Mrs. Ball
600360	267253	Girl in Squat
600361	136022	Belle Boyd
600361	157093	
600361	392771	Marie
600362	45128	Zurich Bank Receptionist
600363	77949	Jeannette
600364	288455	
600365	370118	Gabby
600366	14122	Disappointed Girl
600366	230663	Flower Child
600366	280699	Sorority girl
600367	42112	Yoga Leader
600368	328273	Sylvia
600369	63581	
600369	94181	
600369	129337	
600369	131142	
600369	131190	Matryona
600369	134227	
600369	173195	Old woman
600369	182462	
600369	187800	
600369	198151	
600369	217454	Uliana's Mother
600369	219723	
600369	222349	Housekeeper
600369	227047	
600369	263664	Gardorobshchitsa
600369	313886	
600369	316373	(segment Bratka)
600369	332990	
600369	352872	Mavrushka
600369	355555	
600369	357680	
600369	376234	
600370	314573	
600371	280610	
600371	357208	
600372	62628	Herself
600372	71378	
600372	71379	
600372	226023	
600372	324651	
600373	96989	Girl Pianist
600373	149384	Elvira
600373	331459	Tommy Brockton
600374	113428	Herself
600376	140105	Orchestra
600377	1425	
600378	39046	
600378	82360	
600379	104724	Herself
600380	85702	Madame de Croissy (mezzo-sopr
600381	284180	
600382	213815	
600383	47569	Miranda (German Voice)
600384	289933	Schülerin
600385	35040	
600385	103583	
600385	125316	Frau Belleoni
600385	180973	
600385	218979	Price Ridley
600385	244122	
600385	322951	Leonida
600385	352354	
600386	157208	Women in Pravly
600387	219266	Maddy
600388	246710	Pearl Watson
600389	194145	Fighter
600390	107042	Counting Room Hostage
600391	57929	Jonathan's Secretary
600391	65099	Woman at book stand
600391	129944	Elizabeth
600391	153147	Alma Martin
600391	158528	Mrs. Coy
600391	163344	Teacher
600391	175223	Nurse
600391	188223	Food Line People
600391	216486	Althea
600391	229213	Mrs. Price
600391	231776	Kid's Mom
600391	240644	Celestine Tyler
600391	288751	Overworked Nurse
600391	358638	The Vet
600392	141695	
600393	237991	Claire
600394	90908	Boy's Mother
600395	34669	Harriet Wade
600395	50070	
600395	86476	Fashion Coordinator
600395	154762	Mrs. Tucker
600395	218741	Maid
600395	232072	Old Man's Wife
600395	314631	Lady in Elevator
600395	328520	Mrs. Clark
600395	378726	Gertrude Boynton (1989)
600397	65501	Reporter
600397	67863	Jeremy's Mom
600397	123435	Maria
600397	124554	Preschool teacher
600397	139174	Mrs. Susan Sinclair
600397	164480	Sara
600397	185385	Dr. Beverly Stokes
600397	222781	Archivist
600397	257107	Kathy Magnuson
600397	265861	Kathy Kimball
600397	274069	Beverly
600397	283420	Shari
600397	307351	Jimmy Pig's wife
600397	360032	Candy
600397	390771	Christina 'Blake' Bauer Thorp
600398	23554	Girl Friend
600398	164480	Patsy Cabrini
600398	185470	Lab Technician
600399	177437	Della/Delta
600400	257886	Young Tourist
600402	79049	Cop
600403	352225	
600404	10394	Lady Isobel Fitzpeter
600404	68137	Sylvia Fleming
600404	80983	
600404	117607	Audrey Leaman
600404	133812	
600404	143395	Jane Alderson
600404	168521	The Pet
600404	220990	Camilla Belsize
600404	221260	Lady Lettice Erricker
600404	241041	Mary Humfray
600404	256486	Enid Markham
600404	298172	Bessie Saxton
600404	302955	Lady Eslin
600404	312358	Lucy
600404	316354	Miss Debb
600404	324609	Vicar's Daughter
600404	333609	Bella Parkinson
600404	333816	
600404	346954	Ethel Fielding
600404	365289	Dolly
600405	11385	Molly
600405	47370	Fourth 5 & 10 Salesgirl
600405	84899	Maria
600405	92959	Working Girl
600405	131401	Rose
600405	141555	Girl with Black Bangs
600405	204174	Shop Girl
600405	210764	Smart Nurse
600405	211601	Duchess, a Maxim Girl
600405	241557	Tart
600405	255351	Speakeasy Girl
600405	270624	
600405	299666	Wanda
600405	302649	Sadie
600405	315881	Moll
600405	316672	Undetermined Role
600405	327872	Cafe Cashier
600405	338778	Streetwalker
600405	343118	Tart
600405	362055	
600406	187319	Kaige
600407	89364	Martha
600408	56750	Carol
600409	130063	Cassandra
600410	13348	
600410	13990	Louise's Mom
600410	49734	Waitress
600410	88564	Trudy
600410	104379	Woman in Court
600410	154694	Darlene Hunnicutt
600410	220775	Second Bridge Player
600410	224150	Receptionist
600410	277909	Elderly Woman
600410	303680	
600410	311428	Ms. Stein
600410	340536	Grandma
600410	340899	Mama Truman
600410	364356	Bertha
600410	365906	Mrs. Teevee
600411	57857	Clorinda, daughter of Don Mag
600412	239932	Susie
600412	239933	Susie
600413	363359	
600414	219862	
600415	51122	Käthi
600415	97883	Young actress
600415	135672	Actress
600415	208058	Mrs. Henderson
600415	284028	Anna
600415	303647	Lisa
600415	341611	French girl
600416	17173	Noreen
600417	238695	Initech Employee
600418	101504	Singer
600419	381821	Ensemble (1970-1971)
600420	1988	Tanya
600420	311923	Esther
600421	92155	April
600421	271332	Sloane
600421	291252	Claire Carlyle
600421	402812	Sarah Stewart
600422	30581	Marcie Millman
600423	30111	Floria Fielding
600423	308977	Mrs. Ellis
600423	367614	Edith Cavell as a young woman
600423	371965	
600424	393236	Tanya Warren
600425	126499	
600426	58647	Herself
600426	323389	Janet
600426	361841	Rose Meyers
600426	403058	Regular performer (1952-1953)
600427	162364	Ellen Wilson
600428	395325	Josephine
600429	253819	Susan
600430	254283	May Petty Girl
600432	19362	Nurse
600434	191098	Dancer 'Eat the Music'
600435	97727	Neighborhood Extra
600436	286423	Girl at Wedding
600437	119585	Arrested Student
600440	117485	Mrs. Bauer
600441	41326	
600442	118811	
600442	372093	Model
600443	57747	Visitor
600444	35652	Kelly
600445	231827	Brenda
600447	145920	Undetermined Role
600448	316644	Newscaster
600449	115106	Woman at restaurant
600450	381451	Newsreader (2001-)
600451	264154	Young Dannie Valenski
600452	53218	
600453	403376	Bianca
600453	405209	Shelley Crombie (1998-2000)
600454	280477	Doreen
600455	320125	Herself
600455	320149	Herself
600455	407079	Herself (Runner-up, 39 Days, 
600456	183108	
600457	264154	Young Daisy Valenski
600458	199564	Lucinda
600459	286261	Narrator
600459	358626	Mrs. Sky
600460	1821	Herself - Presenter
600460	3264	Aunt Lucy
600460	17220	
600460	18028	Claire
600460	67791	Mona
600460	99301	
600460	99302	Herself
600460	105711	Elsa Spahn
600460	118372	Anne Callan
600460	118537	Jill Banford
600460	130011	Martha Nicholas
600460	133784	
600460	139990	Celia Pope
600460	159119	Mrs. Roberts
600460	203595	Dr. Enid Bingham
600460	221146	Jane Gwilt
600460	228046	Sister Winifred
600460	245264	Gwen Kellerman
600460	248890	Millie Dew
600460	252887	Sophie Rosenman
600460	295636	
600460	308057	Marjorie Worden
600460	321265	Sara Deever
600460	326394	
600460	329404	Frances Austen
600460	331610	Irina
600460	336697	Rosamund Stacey
600460	340560	Patricia Benson
600460	348375	Sylvia Barrett
600460	364329	Honey
600460	365933	Martha James
600460	390771	Alice Holden #1 (1956)
600462	223940	Nurse
600463	383014	Herself
600464	56967	Mrs. Ward
600464	77289	The Wife
600464	100812	Mum
600464	108482	Shopkeeper
600464	143183	Mrs. Wilter
600464	241692	Gertrude, 'Average Man' segme
600464	348379	Old Woman, in the factory
600464	393957	
600465	117545	Russian
600466	83599	Harem girl
600466	213976	Pretty girl
600467	79817	Mrs. Inch
600467	186652	Charlotte
600468	387331	Hannah Grunwald (2002)
600468	408036	Emily Yokas (II) (2000-2004)
600469	12238	Lady Laverling
600469	100085	Undetermined Role
600469	109673	Paris Cafe Guest
600469	145964	Countess Lina
600469	154481	Woman
600469	163288	Society woman
600469	183627	Mother on Boat
600469	190065	Bit Woman
600469	190543	Mrs. George
600469	203463	Indignant Woman
600469	218734	Woman
600469	252886	Bidder
600469	263601	Mrs. Worthington
600469	264153	Gossip
600469	275458	Woman at Bronson's Surprise P
600469	285181	Aunt Sara
600469	312323	Dowager Lady Amy Kerhill, Hen
600469	315874	
600469	367415	
600469	367919	Old Girl
600469	368424	English Aviator's Mother
600469	372113	Undetermined Role
600470	67380	Mrs. Hofmeyer
600470	97306	Rita
600470	102561	Ernest's Mother
600470	278288	Mom
600470	302130	Mrs. Birch
600470	351506	Miss O'Brian
600471	250418	Baby
600472	35784	Mollie Rayburn
600472	168930	Ann Murray
600472	183418	Frieda
600472	214143	Nurse Jackson
600472	215764	Gilda Marsh
600472	255254	Irma, Betty's friend
600472	262740	Nika
600472	313919	Girl
600472	366157	Dorothy Ross
600473	66055	Tape dispenser/Prostitute Cat
600474	134517	Little Bear
600475	381358	Herself (2001-2003)
600475	381514	Herself (2002)
600475	387210	Herself (2000-2001)
600475	391488	Herself (1998-1999)
600476	31197	Herself (ABC Team contestant)
600476	378954	Doralee Rhodes Brooks
600476	378955	Doralee Rhodes Brooks
600477	287773	Alma
600478	41814	Carol Sabella
600478	256504	Catherine
600478	380713	Karen Parker (1978)/Carolyn C
600478	390771	Maeve Stoddard Sampson Reade 
600478	396123	Gwyneth Alden (1989) (Tempora
600478	404002	Jessica Freemantle (1980)
600479	373495	Lee's nurse
600480	34412	
600481	40575	Hortense
600481	57793	Tine
600481	58856	
600481	66834	
600481	71504	
600481	76148	Regine
600481	133053	Mme. Jules
600481	207297	Émilie
600481	224879	
600481	263882	
600481	376987	
600481	377018	
600481	377939	La script-girl
600481	378023	
600481	404358	
600482	11609	Alice
600482	118334	Telephone operator
600482	147973	Secretary
600482	190490	Waitress
600482	241589	Party Guest
600483	106821	Tanya
600484	77872	
600485	105256	Everyone
600485	154984	Party Guests
600486	33936	
600487	220276	Montmartre Dancer
600488	221297	Glee Club Member
600489	227342	Bess Marvin
600490	258082	Chantelle
600491	403156	Assistant
600492	128828	Jennine
600493	105256	
600494	1650	Susie
600494	267592	Jenny Walmer
600494	298497	Cora
600494	300842	Carole Linden
600494	323837	Mrs. Maitland (segment "Refle
600494	335601	Marjorie
600494	347709	Milly
600494	385299	Mavis Butler
600496	203918	Robert Arthur's Wife
600496	245766	Jamie Peterson
600496	330999	Crown Acquisitions Employee
600497	41846	
600497	67352	
600497	85789	
600497	128826	
600497	186511	
600497	321024	
600497	321027	
600497	321028	
600498	44269	
600499	111968	Leonore/Fidelio
600500	212263	Diana
600500	326453	Rita
600500	394794	Sam (1992-1996)
600500	397318	Leerlinge
600500	406514	
600500	407661	Rita
600500	407662	Rita
600501	261049	Showgirl Dancer #3
600501	327172	Jennifer
600502	72012	Group Therapy Member
600503	58305	Policière gantée
600503	166129	Guichetière gare
600503	225369	
600504	153846	Mme Bayol
600505	346101	Party People
600506	186315	Gene Moore
600507	397302	Gatya
600508	18347	Ander kind van Letta (Letta's
600509	65448	Herself
600509	279711	Quinn Robertson
600510	119822	Hooker
600511	160141	Shopper
600512	1787	Ana
600512	24503	Susan
600512	78141	Laura
600512	163310	Marley Weber
600512	164716	Lisa Heller
600512	201260	Mabel
600512	205167	Jane Freedman
600512	234227	Charlotte Sullivan
600512	275880	Angie
600512	308011	Alice, Jane's Sister
600512	314614	Robin
600512	347611	Ms. Lucille
600512	351808	Susan Edmonton
600512	391189	Mabel
600512	400236	Janice Talbert (1997)
600512	405131	Danielle Sofer
600512	407421	Sally Clarke
600513	36491	Prom girl
600513	41813	Model
600513	52580	Candice
600513	83460	Camille Lane
600513	95269	Angela Carrington
600513	139005	Spunk
600513	139588	Activist
600513	177256	Cheryl
600513	226977	Herself
600513	295724	
600513	296752	Serena
600513	304561	Girl in Orange
600513	304570	Jennifer
600513	320108	60's Girl
600513	355240	Pink
600515	99330	Ella's Mother
600515	130188	
600515	143341	Orphanage Matron
600515	353360	Rachel
600515	366843	Lillian
600515	381094	Constance
600516	42775	Herself
600517	173089	Birthday Party Guest
600518	387533	Warden (1998) (3 episodes, Ma
600519	191020	Clara Harris
600520	318337	Police Officer
600521	39193	Girl in Bed #2
600522	345700	
600523	122894	Nature Creature
600523	128320	Clarissa
600523	191677	Tara
600523	407941	Lanie Snider
600524	409505	Shelley Marsh
600525	98922	
600526	53026	
600527	394325	Young Guts
600528	12856	
600528	115812	Brigitte
600528	230196	Brigitte
600528	259645	
600529	56304	Receptionist
600529	167691	Woman in the street
600529	202322	Calle
600530	45564	Diane
600531	178265	Keyboardist
600532	65198	Esme Elliott
600533	273517	Edna Jordan
600534	104830	Eva
600534	127531	Kris Huffman
600534	140183	Adrian
600534	144593	Caroline
600534	175228	Sarah Hallowell
600534	193268	Teenage Girl
600534	321209	Jenny
600535	294980	Tony's flight attendant
600536	3101	Laurie Scudder
600536	27347	Rhoda Penmark
600536	49948	Christy age 12
600536	70302	Tiffany Nickerson
600536	99389	Ellen
600536	124463	Al
600536	212960	Alice Lanford
600536	231037	April Gibbs
600536	235460	Kelly Bower
600536	289406	Julie
600536	292520	
600537	13891	
600538	129595	
600538	131942	Queen Lara
600538	153151	Sukie Purcell
600538	227925	Donna Reese
600538	235518	Nurse Sally Ann
600538	245370	Queen Lara
600538	245625	Girl in Subway
600538	304571	Carolyn Harding
600538	380390	Deena Greeley (1982)
600538	397714	The Face (1984)
600539	350507	Stephanie
600540	201112	Girl w/doll
600541	87166	Stage Manager
600542	310601	Gassing Victim
600543	26831	Lisa
600543	335480	Betsy
600543	380713	Elizabeth 'Betsy' Stewart And
600544	45237	Laker Girl
600544	92263	Astronette #1
600544	407815	Herself (Single) (2001)
600545	295826	Salon Customer
600546	384497	Bet Watchett
600546	393811	Anney
600547	59112	Receptionist
600547	176350	Washer woman
600548	2069	Ellen
600548	2960	Herself/presenter
600548	114313	Laverne
600548	165853	Sandy
600548	168295	Blank
600548	195319	Female with Cuestick
600548	302438	Herself (Salt-N-Pepa)
600548	314104	Performer - 'Start Me Up'
600548	364376	Sherise
600548	368156	Herself
600548	368828	Herself
600548	400621	Officer Andrea Phelan (2000-2
600549	185271	
600550	117874	Susan, Lt. Dan's fiancee
600551	76058	
600552	108600	Goth
600553	70725	Solange, la secrétaire de Dan
600553	96210	La femme à la soupe
600553	238370	
600553	238848	Mme Montfavon
600553	257886	Mme. Giffard
600553	269141	(segment "31 ans-Erika")
600553	354397	La prostituée
600553	355865	
600553	384168	Marie-Thérèse
600554	157050	Dance specialty
600554	223046	Dance Specialty
600554	277925	Specialty Dancer
600554	282711	Dancer in Haiti number
600554	286179	Convert
600554	361652	Dancer
600555	366070	Additional Hoochie in Rain
600556	167201	Suzanne
600557	99558	Amy under wraps
600558	139449	The Howells' secretary
600558	289390	Mandy
600559	342503	Flower Girl
600560	359486	
600561	85122	Tania's mother
600562	44468	Woman
600562	67603	
600562	117987	Ferret-faced Nurse
600562	160980	Nurse in Cafeteria
600562	230675	Registered Nurse
600562	232412	Mrs. Ramsey
600562	265604	Overseer
600562	316101	Nellie
600562	346178	Woman on Bus
600562	364777	Organist
600563	145705	Janey Collings
600564	309056	
600565	293839	Cafetjej
600566	33343	Cadette
600567	56083	
600567	60076	Caroline Gaillardin
600567	345099	
600567	356410	Irène de Mirmont
600568	378976	Mrs. Tate-Allan
600569	72689	Elaine
600570	198112	Beotische vrouw
600571	21448	Female Passerby
600571	177003	
600571	304799	
600572	188890	Woman
600572	308105	Shopgirl
600572	380344	Nurse Pepper
600572	385299	Carole Hewson
600572	388951	
600572	396912	Stella Noble
600572	402777	Betty (1963)
600573	49297	
600573	126183	Beate Schranz
600573	198004	Hanni
600573	210115	Kreszenz
600573	235569	Erna
600573	236834	
600573	248688	Gunda
600573	290258	Mirl
600573	376006	Huber's Wife
600573	389119	Frau Strohbichler (1994-)
600574	23544	
600574	166353	
600574	325408	Frau Pfitzner
600574	325857	Erste Zeugin
600575	383626	Dinah
600576	363708	Sara
600577	365612	
600578	68994	
600578	148037	
600578	148061	
600578	287914	
600578	334684	
600579	73077	Suzie
600579	95275	Claire
600579	146381	Une danseuse (I)
600579	259374	La femme du visiteur
600579	332188	
600579	386803	
600580	8214	
600580	8916	Madame Grasset
600580	28155	
600580	58417	
600580	59968	
600580	66741	Augustine
600580	101194	
600580	107057	
600580	113252	Madame Laroche
600580	114967	
600580	115334	
600580	148670	
600580	162253	
600580	165231	
600580	199598	
600580	225428	
600580	231147	
600580	236611	Invitée aux fiançailles
600580	260917	
600580	268405	Madame Puma
600580	271910	La bonne mère
600580	287593	
600580	315830	
600580	327653	La buraliste
600580	333714	
600580	340137	
600580	346609	Invitée
600580	357855	Une Invitée
600581	210929	
600582	4190	Nitin's mother
600582	17889	Shyamlal's mom
600582	18461	
600582	22105	Mrs. Laxmi Narayan (Anita's m
600582	33230	
600582	33928	Savitri
600582	35946	Prabha
600582	78740	
600582	79127	
600582	79461	Radhika
600582	81707	
600582	82002	
600582	93103	
600582	95436	
600582	98475	
600582	131951	
600582	136131	Dev's mother
600582	140494	Parvati
600582	152452	Dharampal's wife
600582	164794	
600582	165932	Jaikishan's mom
600582	170523	Najma (Mohammed Islam's Mothe
600582	171848	
600582	180233	
600582	184002	Chandu's mother
600582	205319	Raju's foster mother
600582	211270	
600582	250675	
600582	262850	Saroj Chowdhary
600582	268064	
600582	268122	Mrs. Shukla
600582	281480	Mrs. Verma
600582	287094	Mrs. Ramlal Sharma (Sunny's m
600582	288200	Alak
600582	344336	
600582	370947	Azad's sister
600582	373720	Savitri (Suraj's mom)
600582	375198	Sudarshan's Wife
600584	76463	Widow's Daughter
600584	184777	Child Artist
600585	196844	Witch
600586	25571	Gitanjali
600586	63511	Tina Khanna
600586	85409	Sheena
600586	95435	Alisha Goswami
600586	173850	
600586	179373	Eisha Singh
600586	181477	Tanya
600586	182340	Esha
600586	193183	Dimple (Batra's girlfriend)
600586	225985	Esha
600586	254731	Esha Malini
600586	349447	
600586	373321	Radhika
600587	193879	Peeto
600588	102112	Auditioner #3
600589	16950	Belle-soeur du Père Tarin
600589	66078	
600589	83233	Dactylo 1
600589	106205	Second pair of legs
600589	148676	Cousin
600589	224894	
600590	149939	Monica Etheridge
600590	387436	Host (1988-1996)
600591	687	Herself
600593	26324	Laura Denison
600594	261656	Claire
600594	336967	
600595	313424	Wingmen
600596	367964	Student
600598	288220	
600599	273869	Gownie Girlie
600600	1348	Herself
600600	2275	Herself
600600	105379	Bobbie Joe
600600	201667	Bobbie Joe/Herself
600600	390771	Chelsea Reardon (1986-1991)
600600	400236	Blair Daimler Cramer Buchanan
600600	402228	Host
600601	257343	Dorothy
600603	355028	Melanie
600604	202387	Massage Therapist
600604	248057	Herself
600604	311952	Florida Reporter
600604	387209	Herself/Coanchor (2002-)
600605	52142	Young Woman
600605	61626	Social Worker
600605	272647	Theatre Reporter
600605	353418	
600606	48971	
600607	15062	Alice
600607	25169	La mère de Serge
600607	44945	Hélène
600607	57557	Christiane
600607	124328	Micheline
600607	159992	Claire
600607	161424	Le juge
600607	166264	Aimee Cadoret
600607	170430	Catherine Martell
600607	204657	Aimee Cadoret
600607	215303	La tante
600607	240603	Margo Berliner
600607	249678	(segment Cyrano)
600607	314305	Genevieve
600607	325084	Elmire
600607	403474	Elina Donadieu
600608	2195	Ariane
600608	25785	Lina
600608	27270	
600608	36669	Sophie
600608	43188	Veronique/Marie
600608	67248	Mathilde
600608	84222	Marcelle
600608	84625	Maud
600608	86427	Valérie
600608	105589	Séréna
600608	132853	Sylvie
600608	147027	
600608	157662	Anne
600608	161424	Laurence
600608	166157	Agathe
600608	189906	Sarah
600608	191265	Clarisse
600608	195869	Barbara
600608	198975	Une infirmière
600608	205219	Catherine
600608	213733	
600608	238456	
600608	254119	Jeanne-Marie
600608	254316	Nathalie
600608	258635	Véro
600608	260942	Mademoiselle Ceylac
600608	288843	
600608	310456	La démonstratrice
600608	345332	
600608	351415	Lucie
600608	374212	Marie
600608	384816	Valentine de Villefort
600608	390477	Herself
600608	396524	Charlotte
600609	17826	Zoe
600610	17986	Duenna
600611	73224	SWAT Team Partner
600612	105851	Restaurant woman
600612	232845	Maternity Floor Receptionist
600612	264158	Angry Mom
600612	283410	Office Worker Carol
600613	131760	Mike's Ex-Girlfriend #1
600614	26350	Journalist
600614	106023	Julia
600615	42571	Various Characters
600615	93768	Sydney De Salvo
600615	137766	Singing Teacher
600615	206639	Teacher
600615	215651	Roxie
600615	262103	Rouge
600615	270149	C.C.
600615	308019	Sarah
600615	342156	Woman in Park
600615	382632	Sharon Spitz (2003)
600615	384698	Various Characters
600615	394503	
600615	402010	Rouge
600615	405563	Various (The Bobroom)
600615	409511	
600616	232460	Anne
600616	279509	Daisy
600616	324551	Prostitute
600618	141358	Meg
600619	390900	Housemother
600619	392430	Cheiko Sannomiya
600620	304441	
600621	262811	Daniela
600622	147252	Newspaper Secretary
600623	75181	
600624	67193	Stephanie Lutz
600625	41988	Party girl
600626	101129	Josette
600627	361855	Cast Member
600628	353294	The B-Girls
600629	26906	
600629	26943	
600629	26944	
600629	26945	
600629	26946	
600629	26948	
600629	28870	
600629	29782	
600629	35067	
600629	35538	
600629	39281	
600629	39488	
600629	39556	
600629	39590	
600629	39998	Renee
600629	40039	Nurse
600629	66069	
600629	73864	
600629	81948	Female FBI agent
600629	84453	
600629	85679	
600629	85777	
600629	85782	
600629	85796	
600629	91575	
600629	97505	
600629	118034	
600629	131457	
600629	139013	
600629	141562	
600629	144421	
600629	150331	
600629	161588	
600629	162832	
600629	197783	
600629	197787	
600629	230646	
600629	232640	
600629	235584	
600629	243124	
600629	262618	
600629	274002	
600629	274680	
600629	296247	
600629	305772	
600629	329490	
600629	359439	
600629	365365	
600629	365438	
600629	365643	
600630	401328	Various characters
600631	202578	
600632	51392	
600632	156559	Josépha
600633	249548	Whore
600634	27784	Hermanita de Raúl
600635	326579	Niña
600635	377999	
600636	390812	Yasmin Kollberg
600638	243363	Clytemnestra
600640	17330	Anita
600640	397654	Caroline Paracelsus
600640	408223	Isolde
600640	408224	Nele
600640	410771	Host
600640	411118	Host
600641	141815	Laundremat Customer
600642	309718	Fawn
600643	387309	Abby Cameron #1 (1965-1966)
600644	57654	Model
600644	90942	Lydia/Evelyn
600644	106115	Joy Fields
600644	114298	Hostess
600644	146729	Lana
600644	272405	Karen
600644	289059	Terry
600644	300195	Female Cop #2
600645	207910	Laura Masterson
600645	262081	
600645	392231	Sally Rogers
600646	237130	Secondary
600647	208354	
600648	69713	Le croque-mort
600648	149113	Adjudant
600648	160549	Volga
600648	241036	Herself
600649	245340	Dancer (Leisure Club Sequence
600650	18659	Old Auntie
600651	367022	Servant
600652	42032	Cashier
600652	52856	
600652	340509	Bookshop manager
600652	367022	Wife of the notary
600653	15251	Nelly
600653	24823	
600653	46837	
600653	65351	Herself
600653	80284	
600653	166288	Lili
600653	206060	Laurence Milcaux
600653	244759	Eglantine Laville
600653	246289	Herself
600653	246291	Marianne de Morangias
600653	282015	Rosetta
600653	346527	Laura
600653	377869	Brigitte
600654	399947	Elena Rendon (2002-present) (
600655	257502	Cathy
600656	329518	Wendy Barrett
600657	305941	Mel
600658	5203	Judge
600658	14146	Rachael's Mom
600658	41875	Mary Keating
600658	60186	Gloria Abrams
600658	129119	
600658	138784	Virginia Billings
600658	160990	American Ambassador
600658	161603	Judith
600658	175904	Rosa
600658	214078	Nurse Enid MacPhail
600658	241461	Ann O'Malley
600658	270290	Nurse Louise
600658	275882	Granby
600658	309610	
600658	320815	Brownie's Assistant
600658	329342	Mrs. Gallimore
600658	342018	Mrs. Grover
600658	362701	Joanne
600659	325736	Maria
600660	325736	
600661	105550	Teri Marchal
600662	71839	
600663	15116	Amélie
600664	313920	Lilya
600665	19344	
600666	34869	Brat
600666	50370	
600666	75031	
600666	95752	
600666	184767	Glitter Dome Dancer
600666	254614	Stripper
600666	363376	
600666	365676	Herself
600667	294732	Mujer infiel
600668	4542	
600668	4953	
600668	5353	
600668	6441	
600668	12073	Rosa
600668	24375	Don~a elena, madre de isabel
600668	27906	Carmen
600668	28246	
600668	51616	
600668	51910	Doña Laura
600668	54325	
600668	55749	Rosa
600668	55926	
600668	55948	
600668	66150	
600668	67011	
600668	74547	Cristina's Mother
600668	74638	
600668	76017	
600668	91304	
600668	91416	Josefa, madre de Jorge
600668	100298	Enriqueta
600668	100398	
600668	103725	
600668	108843	
600668	115773	Dona Clara
600668	128970	
600668	134500	
600668	144075	
600668	145144	
600668	145161	
600668	146486	Isabel
600668	149505	
600668	159870	madre de Luis Angel
600668	191203	
600668	193077	
600668	193188	
600668	202514	
600668	206743	Doña Juana de Carvajal
600668	206975	Doña Manuela
600668	206994	Doña Virginia
600668	209035	
600668	212455	
600668	221982	Teresa's mother
600668	222013	Doña Elvira
600668	225390	
600668	225552	
600668	227291	Bebe's Mother
600668	235298	Mama de Bertha
600668	258095	
600668	260579	
600668	260625	
600668	264401	
600668	273112	Felisa, Andrés sister
600668	274764	Marquise
600668	279901	
600668	281297	
600668	281791	Don~a Margarita
600668	286421	School principal
600668	287436	
600668	287694	Doña Elvira
600668	292735	Isabel de Asbaje
600668	293971	Nun
600668	309089	Doña leonor, virreina
600668	310067	Emma
600668	317680	
600668	334571	
600668	337564	
600668	339088	
600668	348938	Doña Charito
600668	353592	
600668	376646	Madre de Margarita
600668	376732	
600669	338947	
600670	73390	Store Customer
600671	375463	
600672	243971	
600673	254485	
600674	202230	
600674	404869	
600675	8708	
600675	12028	
600675	27866	
600675	69023	Isabel
600675	72366	
600675	74137	Doña Cruz
600675	86097	Flor
600675	87075	
600675	91359	
600675	91381	
600675	101316	
600675	103870	
600675	148156	
600675	157244	
600675	202837	
600675	209366	
600675	213410	
600675	221993	
600675	222530	
600675	235988	
600675	246174	
600675	246373	
600675	269963	
600675	273842	Carmen Galicia (segment "Euta
600675	277382	
600675	284341	Elsa
600675	286421	Beatriz Gómez
600675	293971	Mercedes Orozco
600675	300681	
600675	306704	
600675	373962	Miss Lucy
600675	379179	Amanda
600675	379908	
600675	380111	
600675	380114	Laura Valdez
600675	380151	Andrea
600675	380252	La Nana Mercé
600675	381154	
600675	383787	
600675	385333	Cruz
600675	385400	
600675	386075	
600675	386595	
600675	387448	Elena
600675	387467	Elisa
600675	391572	Leonor
600675	392650	Amalia
600675	392806	Angélica de Ordiales
600675	392960	Sagrario Vargas #1
600675	395300	Milagros
600675	396631	Carmen (Mamá Campanita)
600675	396841	María Isabel
600675	396853	Mariana
600675	396885	
600675	397567	
600675	399556	
600675	399707	Alma
600675	400947	Angela
600675	400953	
600675	401162	
600675	401668	
600675	401700	
600675	402190	Charo
600675	403048	
600675	404706	Alicia
600675	404828	Nora
600675	405398	Matilde Carreño
600675	405869	
600675	409719	Isabel 'Doña Chabela' Rojas
600675	409761	
600675	409812	Lupe Pistolas
600675	409913	Caridad Escobar
600675	412186	
600676	14780	
600676	25220	Lucy
600676	253324	
600676	294085	
600676	380795	
600676	395300	Olga
600676	396211	Magda
600676	397572	Juliana Rodríguez Calderón
600676	404161	Brenda
600676	406056	Rosita
600676	409017	Yolanda
600677	160190	
600678	382909	
600679	337227	Herself
600680	306744	Janice Douglas
600681	71396	The Child
600681	208154	Maudie
600681	251849	Peggie
600682	315992	Girl
600682	331180	Girl in tailor shop
600683	367854	Emily Nugent/Bishop
600683	385020	Emily Nugent/Bishop/Swain (19
600684	89277	WPC Jones
600685	85186	Sheila Caston
600686	402140	Girl at Station
600687	283313	Dianne
600687	403926	Dianna (the secretary) (1978-
600688	383790	Herself - Presenter
600689	204662	Madrigal Singer
600690	316742	The Matron
600690	326119	Mrs. Albert
600691	395706	
600692	158102	Janelle
600693	80300	Sabina
600693	323813	Dahlia
600693	384750	
600693	395662	Linda (1999)
600693	407887	Mayda
600694	606	Jenny Hanley
600694	866	Herself
600694	5046	Herself (Host)
600694	34903	Herself
600694	42228	Herself
600694	43978	Herself
600694	47208	Herself (Presenter)
600694	57665	
600694	59114	Lindsey Rutledge
600694	68779	Herself
600694	74096	Markham
600694	120844	Katherine Sullivan
600694	147796	Herself
600694	149705	Miss Allison James
600694	150082	BJ Cassidy
600694	161208	Herself
600694	161299	Herself
600694	161313	Herself
600694	175616	
600694	190109	Kathryn Garr
600694	202387	Bess Gluckman
600694	207440	Herself
600694	222586	Thada Pryce
600694	238613	Herself
600694	243198	Annie
600694	278645	Herself
600694	297773	Helen Allgood
600694	307049	Herself
600694	319281	Victoria Warren
600694	325163	Herself
600694	335285	Beverly Barish-Burns
600694	345887	Hostess
600694	367551	Christina Ford
600694	391835	Herself
600694	392421	Herself
600694	402602	Mary Rose
600694	411213	Ciel Connolly (1998)
600696	161313	Herself
600697	103218	
600697	161313	Herself
600698	135430	
600699	146726	Kelly Corey
600700	22846	
600700	156735	Herself
600700	211719	The Woman
600700	279012	
600701	2584	
600701	310468	
600702	94670	
600703	99682	Host (SF)
600703	99683	Herself
600703	99686	Herself
600703	99687	Herself
600703	104638	Member of the jury
600703	104776	Slovene entry (7th place)
600704	26460	Chris, College Girl
600705	80185	Une syndicaliste
600706	366102	Arica
600707	279648	Josette Michaud, la femme de 
600708	1212	
600708	7184	La mère de Jean-Marc/Jean-Mar
600708	217406	Madeleine Béjart
600708	261804	La voisine
600708	346517	
600708	398055	Madeleine Bejart
600708	410144	Madame de Fare
600709	240335	
600709	382135	Demet
600709	383778	Saliha
600709	407596	Aysu
600710	386700	Cnu
600711	104197	Eszter
600712	215691	Miss Minnesota USA
600713	254294	
600714	88594	Halszka Marczakówna, Bojarski
600714	375961	Janek's Girlfriend
600714	412008	Kalina Fatalska (2002-)
600715	66214	Fille piscine 2
600716	68370	La jolie chanteuse
600717	132153	
600717	234437	
600717	357626	
600718	827	
600718	173016	Katinka
600718	333497	
600719	16206	
600719	24128	Janou
600719	177377	Rosita
600719	253484	Dr. Zellinger
600719	365600	Touristin
600720	397486	
600721	356562	Mädchen in der Disco
600722	356562	Mädchen in der Disco
600723	20044	Bodicia
600723	52312	Herself
600723	257618	Herself
600723	257634	Herself
600723	257657	Herself
600723	257813	Herself
600723	257829	Herself (Miss July 1998)
600723	381723	Herself - Newsreader
600723	402737	Herself (Hostess)
600723	405719	Herself (Co-Host)
600724	229186	Nana
600724	289818	
600724	293750	Ana
600725	79742	Herself (ITV newsreader)
600725	311703	Herself
600725	393154	Newsreader (199?-)
600725	405689	Narrator
600726	337032	Margo
600727	408719	Odette
600728	64352	
600729	19621	Madame le Goff
600730	379595	Mme Firmin
600730	382584	
600731	399180	Presenter
600732	17861	
600732	76724	
600732	184526	Agente
600732	324642	
600732	382877	
600732	397706	Sofie
600732	403042	Onderzoeksrechter Leopold (19
600732	409992	Liese
600733	102528	Pamela
600734	273942	La dame cabine téléphonique
600735	192625	
600735	229035	
600736	265876	Sunstreak Nurse #1
600737	352405	1st Accident Victim
600738	99235	
600739	32270	La Femme du spectacle
600739	357834	Zizou
600740	164984	Penny
600740	216804	Hopeful Fan
600740	244365	Fiona
600741	190766	Lili St. Cyr
600741	323501	Model #1
600742	189844	Herself
600743	394111	
600743	400309	
600743	402026	Stojanka... komsinica
600743	404144	
600743	410260	Prostitutka
600746	383305	Julie Hassan
600747	31018	Extra: Metro
600748	50008	Frau Isambard
600749	45586	Joyce
600750	134622	Broetske
600751	144025	Frau Hemmerl
600751	282104	Stammgast und Personal Rossin
600752	93123	Mouseketeer
600753	665	Mom
600754	354101	Nora
600754	391930	Michèle
600755	198003	
600756	295720	Female Tourist #2
600757	217701	Monsieur Arpels clerk
600758	80229	La vendeuse
600758	254094	Woman chased in the mall
600758	377464	Nurse
600759	389868	Blue (2002-2004)
600760	157896	Herself (Holocaust survivor)
600761	344652	Wrestling Fan
600762	9353	Dancer
600763	247012	
600764	62819	
600764	136653	
600764	153804	Madame Février-Mars
600764	156277	Mme. de la Tremblade
600764	377853	Madame Gallet
600765	46536	Maeve
600766	125159	
600767	34463	Princess Elizabeth, aka 'Lill
600767	65554	Octavia
600767	107897	Elizabeth
600767	222878	Kate Jennings
600767	258932	Elinor Carlisle
600767	396081	Linda
600767	409548	Rachel
600768	8047	Minna Petrus
600768	16315	Maria Xiriball
600768	16951	
600768	20341	Rose Mamaï
600768	27672	
600768	28178	Madame Kampf
600768	64215	
600768	71964	
600768	73181	
600768	108632	
600768	113112	Comtesse d'Aranda
600768	153839	Suzanne Lefrançois
600768	218274	Madame des Lourdines
600768	218331	Anne of Austria
600768	236623	Madame Kovrine
600768	253995	
600768	254027	Marthe Rambert
600768	258852	Mme. Lepic
600768	260946	Jeanne Fortier
600768	275513	
600768	282048	Mme. Husson
600768	284292	Hubertine
600768	309723	Madame Beudet
600768	353882	
600768	377832	
600769	7529	
600770	286581	
600771	299732	Police Officer
600772	1426	Herself - Presenter
600772	2904	Herself
600772	3858	Herself
600772	7592	Herself
600772	7979	Janet Harduvel
600772	10702	Girl Eating Ice Cream Cone
600772	13934	Herself
600772	26308	Wanda LeFauve
600772	30734	Narrator
600772	32419	Herself
600772	41988	Sandy Williams
600772	64734	Ruth Stoops
600772	76562	Ruby Montgomery
600772	77285	Linda Peeno
600772	92128	Helen McNulty
600772	92618	Peggy
600772	109584	Kathleen Robinson
600772	113003	Herself
600772	113004	Herself
600772	116356	Gertrude Hart
600772	118541	Debbie
600772	128498	Mother
600772	138774	Audrey Constantine
600772	138778	
600772	140154	Claire Clairmont
600772	154040	Randy Carpenter
600772	159361	Heartbroken Woman
600772	161294	Herself
600772	161301	Herself
600772	161369	Herself
600772	168969	Herself
600772	183343	Jessica McNeil
600772	185530	Herself
600772	201706	Herself
600772	207132	Diana Adams
600772	224544	Herself
600772	236047	Jean Noble
600772	238161	Miss Frieda Riley
600772	253010	Sally Gerber
600772	265002	Dortha Schaefer
600772	271817	Rose
600772	291971	Herself
600772	292015	Berry Thompson
600772	301066	Vicki Weaver
600772	305782	Connie
600772	316047	Rebecca
600772	326428	Diane
600772	331697	Crissy
600772	359471	Herself
600772	360392	Terry Linden
600772	363900	
600772	365169	Lula Pace
600772	366898	Sister Pauline Quinn
600772	383802	Family Member
600772	386414	Herself
600773	168998	
600774	19525	Adelaide
600774	153737	Gertrud
600774	264339	Kurfürstin
600775	247977	
600776	276551	
600776	341353	
600776	404863	Mère hospitalière
600777	2743	
600778	84113	Girl in Park
600779	338328	La femme d'Adjemian
600780	195242	L'infirmière
600780	214283	La Dame aux bigoudis
600782	292470	Goldwyn Girl
600783	162206	L'ouvreuse
600783	261864	Une femme de chambre
600783	400698	La secrétaire de 'Tourisme et
600784	357834	Madame Pommerand
600785	152603	Worker
600786	254053	Theatre Assistant
600788	90357	Aunt Regina
600789	343232	Balentine's girlfriend
600790	23521	
600790	55972	The Niece
600790	66861	Tour Guide #1
600790	67104	Cameriera
600790	71266	
600790	162030	Giovanna
600790	314375	
600790	386771	
600791	402345	Patrice
600792	50025	Marnie
600792	282667	Chubby Girl
600792	302121	Commune member
600792	321237	Female student
600793	26971	Party Animal
600794	23648	La maquilleuse
600795	408180	María José
600796	57485	
600796	119859	
600796	121256	
600796	205431	Luz de Bengala
600796	212508	
600796	270612	
600796	376735	
600797	254523	Surf Girl
600798	294239	Jen Reed
600799	78619	
600800	392996	Presenter (2004-)
600800	409188	News Correspondent
600801	381006	Neppie
600802	73831	Girl in Basement
600802	296722	Eva
600803	76174	
600803	146424	Marika Bergen
600804	160560	Zaftig woman
600806	187627	Rita (7 años)
600807	128583	Lillian
600808	79310	Teresa
600809	42854	Gynaecologist
600809	297079	Angela Hathall
600810	397182	
600811	121997	Herself (Volume III: Seers)
600812	83293	Herself
600813	63690	Edmée
600813	157125	
600813	158843	
600813	292358	Isabelle
600813	301528	Madeleine
600813	307841	
600816	83256	
600817	266413	
600818	144498	Une infirmière
600818	155138	
600818	217704	Une jeune fille
600818	248260	Amélie
600818	346438	
600818	377729	Lulu
600819	326834	The French Maid/Go-Go Drive-I
600821	50383	
600822	49389	Courier on Train
600822	207145	
600823	385926	Anita du Plessis
600824	359507	
600824	361613	Sharon
600824	384546	Trainer
600824	388833	Herself
600825	181545	Nurse
600826	353294	Academy Girl
600827	9795	Additional Voices
600827	17280	Kid (segment "The Second Rena
600827	19769	Bebedora
600827	19833	Midge Mason
600827	26064	Puppy
600827	47865	Additional Voice
600827	48950	Additional Voices
600827	59721	Fern
600827	68086	Debby Newman
600827	72565	Coco Bandicoot
600827	72581	Coco Bandicoot/Polar
600827	78785	Donny
600827	103288	LUA Bar Waitress/Timmy the Mo
600827	113332	Fayth
600827	113333	Fayth
600827	125244	Alois
600827	125420	Additional Voices
600827	127237	Rude Coffee Customer
600827	140193	Children
600827	143526	Additional Voices
600827	148333	Additional Voice
600827	167696	Jimmy Neutron
600827	167697	Jimmy
600827	167698	James 'Jimmy' Isaac Neutron
600827	167699	James Isaac 'Jimmy' Neutron/A
600827	167710	James Isaac 'Jimmy' Neutron
600827	181996	Additional Voices
600827	183550	Annette
600827	190272	Jeannie
600827	201302	Young Senior Witch
600827	218219	Additional Voices
600827	236997	Marie; Fritz
600827	243760	Dortin, Jado
600827	258513	Additional Voices
600827	292214	Kid
600827	292215	Kid
600827	323889	Noishe
600827	325098	Additional Voices
600827	327801	Ryo-Ohki
600827	327802	Ryo-Ohki/Haruna
600827	327803	Ryo-Ohki
600827	327804	Ryo-Ohki
600827	327967	
600827	337166	Additional Voices
600827	337168	Additional Voices
600827	350189	Girl
600827	363723	Whispers
600827	372968	Feena
600827	379230	Wednesday Addams
600827	379311	James Isaac 'Jimmy' Neutron
600827	382371	Jackie
600827	384739	Petey/Inner Child/Nymphs
600827	391500	Various
600827	393906	Judy Shepherd
600827	394403	Melanie
600827	395579	Jeannie
600827	396497	Ryo-Ohki, Pixy Misa, Misao Am
600827	400450	Weenie/Catrina
600827	401303	Tinker Bell
600827	402234	Additional Voices
600827	405146	Ryo-Ohki/Yugi
600827	407441	Additional Voices
600827	407636	Jake Tasmanian Devil
600827	407829	Ryo-Ohki, Reiko, Mitsuki, Mir
600827	410866	Daughter
600828	367073	Intense Waver
600829	184183	
600829	394078	Stassa
600830	311923	Women's Shelter Extra
600831	14347	Séverine
600831	43719	Madame Legendre
600831	55814	Brigitte
600831	70510	
600831	87961	Nadia
600831	200962	La déléguée du personnel
600831	249713	
600831	269227	Solange
600831	276517	Jeanne
600831	284242	
600831	383117	Jicky
600832	272724	Reenactment Cast
600833	386261	Host
600833	398448	Guest Hostess/Cook
600834	166120	La belle-fille
600835	27912	
600835	85714	Linke
600835	112813	Ballerina/Ballerine/Ballerina
600835	375280	
600836	170312	
600836	243191	Horatia
600836	254978	Mrs. Collins
600837	142527	Jacuzzi girl
600837	151780	Eleanor
600837	175575	Script Girl
600837	183542	The Queen
600837	193761	Seven Deadly Sins
600838	15124	
600838	16994	Jacqueline de Rouvres
600838	60898	
600838	60907	Madame Sainval
600838	84657	
600838	189338	Madame Bartholdi mère
600838	205615	
600838	276117	
600838	309744	
600838	309763	
600838	349488	La mère Delaunay
600838	352626	Suzanne
600839	333145	
600839	382877	
600840	154937	Femme enceinte
600841	388619	Herself
600842	107857	Susan Cooper
600843	142572	Ms. Collins
600844	72609	Ava
600846	259360	Mrs. Schuster
600847	259216	Basketball Player
600848	149198	Girl #2 in Locker Room
600849	170211	Herself
600849	170212	Herself
600849	170214	Herself
600849	170216	Herself
600849	170217	Herself
600849	393847	Herself
600850	398757	
600851	374840	Irochka
600852	388565	Sandra
600852	409003	Jandira
600853	225077	
600854	8627	Véra
600854	23750	Lucienne
600854	27670	
600854	33566	Gladys Welles
600854	58286	Constance
600854	58289	Monique
600854	104736	Monegasque entry (9th place)
600854	138877	Helene, Andrews' Secretary
600854	191679	Nelly
600854	219849	Wanda
600854	259254	Geneviève
600854	294777	
600854	309756	Rolande
600854	340127	Francine
600854	340129	Patricia
600854	356963	Stella
600854	396788	Agnès Bellac
600855	8214	
600855	20907	
600855	20909	
600855	23869	
600855	24732	
600855	30323	Aline
600855	33582	
600855	57506	
600855	61405	Emma
600855	64216	Françoise
600855	84666	Louise
600855	107523	
600855	127634	Geneviève de Margemont/Palote
600855	183227	
600855	204983	
600855	205203	
600855	243042	Helene
600855	253213	Young girl
600855	280781	The Jewel Thief
600855	282492	Maria
600855	320010	Herself
600855	345106	
600855	351249	Alice
600856	208753	Chanteuse berbère
600857	1796	Female convict #1
600858	278153	Alice
600860	15062	
600860	23904	La mère
600860	191190	Woman with Child
600860	265443	Marielle
600860	313566	Danielle
600860	402664	La gynécologue
600861	26953	
600862	52742	Herself
600862	143659	Herself
600862	249588	Herself
600862	281150	Diva
600863	88115	Herself
600864	156460	Swimming Pool Party - Girl #1
600864	236326	Herself
600865	236326	Herself
600866	297937	Fifi's Girlfriend
600867	52907	Camille
600867	297937	Fifi's Girlfriend
600867	348396	Naomi
600868	168206	
600869	154869	'Rainbow House' child
600870	39627	Vindy
600870	141985	Laura
600870	279871	Amanda
600871	13825	Sureel's Mom
600872	278337	
600873	1392	Chachi
600873	36207	
600873	36289	
600873	85417	
600873	173993	
600873	215835	Altaaf's Mother
600873	224330	Minoo
600873	240226	Gayatri
600873	248180	Papori
600874	79326	
600875	160167	Gita
600875	306955	Rachel Talkar
600875	383884	
600875	398315	
600876	4060	
600876	234862	
600877	27464	Sheila
600877	36543	
600877	36619	Devdasi
600877	86233	Sheila
600877	95443	Geeta
600877	167464	Geeta
600877	173641	Kapalkundala
600877	226622	
600877	227811	Roopkumari
600877	227812	Roopkumari
600877	353804	Devdasi
600878	176030	Riya
600879	62369	Yashodhara
600879	232745	Vishnupriya
600880	85742	Habiba
600880	194814	Kayren
600881	43174	Pauline
600881	318642	Dr. Rita Russell
600881	378939	Rashpal Kaur Gill
600882	105216	Customer in Salon
600883	29020	Gauri
600884	27517	Vennela
600884	168789	Gitanjali
600885	65628	Mini-Mart Clerk
600885	157254	
600885	299850	Other Inmate
600886	408009	La mère
600887	17871	
600887	33627	
600887	48918	La femme divorcée
600887	52698	
600887	53240	Mme Hulin
600887	59988	L'infirmière/Nurse
600887	60519	Mme Ernest
600887	61407	Mme Lucioni
600887	70589	Une cliente
600887	75628	Mlle Pinsard
600887	79847	Yvonne De Gaulle
600887	83209	Odette
600887	88837	
600887	111096	
600887	112803	
600887	115360	
600887	115433	
600887	128618	
600887	134598	
600887	156334	
600887	157305	
600887	189100	
600887	199305	Mme Deroseray
600887	199582	Lucette
600887	205358	Le métayer
600887	207594	Mata Hari's Maid
600887	214028	
600887	217714	L'amie de la mère
600887	218310	
600887	229044	
600887	230123	
600887	249360	
600887	265223	Une carmèlite
600887	278870	
600887	292911	
600887	300613	Une gardienne de prison
600887	307489	Hélène
600887	332217	La soeur infirmière
600887	336982	La seconde invitée du mariage
600887	345164	
600887	345321	Une cliente
600887	381245	
600887	381628	La surveillante
600887	382480	La femme accidentée
600887	384210	Mme Merlin
600887	384971	La boulangère
600887	385075	Colette
600887	385602	La dame d'honneur
600887	388311	
600887	389005	
600887	389271	(segment "Pierre")
600887	392579	
600887	397506	Ursula Daves
600887	397856	Mme Flandin
600887	397946	
600887	398073	Mme Menon
600887	398786	
600887	400681	Rachel
600887	401798	Antonio (1964)
600887	403177	La patronne du café
600887	408940	
600887	409453	La cliente
600887	410473	
600887	411699	Mme Villard
600887	411998	Une passante
600888	206687	Jo Varagee
600889	208287	June
600890	45126	Marie
600891	94248	Eleonore
600891	150157	
600891	156316	
600891	205751	Laure
600891	219605	Michel Durand's mother
600891	411609	Herself
600893	43264	Alexandra
600893	171072	Baby
600893	279460	Heather
600893	396160	Marly
600894	32419	Herself
600895	401435	Liliana Mendoza
600895	410477	Pamela Fernández
600896	68370	Karine
600896	125724	
600896	166565	Schoolgirl
600896	255568	Clothilde
600896	380378	
600896	380381	Virginie
600896	402074	Virginie
600896	409750	Virginie (1997-2001)
600897	257232	Angela
600898	279687	Fashion Model
600899	313396	Madeleine
600900	19905	
600901	129916	Arianne
600902	293030	Mrs. Douglas
600903	47047	Dr. Levine
600903	80608	Doctor
600903	185900	Lelache's Secretary
600903	195267	
600904	221535	Ursula
600905	24746	Ava Recordina
600906	187251	BBQ Woman
600907	347850	Sophie
600908	101511	Soeur Odile
600908	101896	Alice
600908	153635	
600908	285762	Victoire Saint-Just
600909	53236	Estelle de Kersabiec
600909	69933	Mother
600909	75909	Soeur Marthe
600909	101216	The Mother
600909	332221	Virginia
600909	345109	
600909	345137	Hotel-keeper
600910	355519	Main Desk Nurse
600911	230	Sandy
600911	391869	Justine Welles (1997-2000)
600912	53336	
600913	132912	Pedestrian
600914	215102	Edwige
600915	33565	Dancer
600916	217714	Victoire
600916	240617	
600916	254075	La blonde
600916	320451	La réceptionniste
600916	409535	
600917	6407	Docteur Clémence Tissot
600917	80183	Michèle
600917	82577	
600917	110132	
600917	155520	
600917	345199	
600917	352515	
600917	378091	
600918	101855	Narrator
600919	283021	La Mere de Leopold
600920	113216	Fille de Jérémie
600921	198534	
600922	45148	
600922	51922	
600922	79553	Clara
600922	218278	Antonia Fabre
600922	265216	Soeur Thérèse de l'Enfant Jés
600922	356408	
600922	357268	Josette
600923	109857	Shower Guest
600924	336642	
600924	405929	Geneviève
600925	33539	Nuit, la petite fille
600925	160701	Augusta
600925	188917	Diane
600925	353873	Anne
600926	160846	Laura
600927	6408	La mère de Lilliane
600928	122348	
600928	219258	
600928	283026	
600929	130348	Older Sam's Wife
600930	186192	Jeanne
600930	362385	
600930	383864	Charlotte
600930	410074	Marianne
600931	119792	Jean-Paul's girl
600931	166156	Scout
600932	11353	The writer
600932	18358	Madame Lavallée
600933	214387	
600935	87497	La boulangère
600935	215038	
600936	90032	
600937	40923	Maria
600937	59698	Jacqueline
600937	64228	Marie de Hautefort
600937	100022	Miss Blandisch
600937	112862	Colette
600937	129121	Sophie
600937	166116	
600937	202345	Madame de Réan
600937	241878	Clarisse
600937	268420	Myriam
600937	298574	Alice Faulkner
600937	336642	Une infirmière
600937	346824	Sophie
600937	353820	
600937	358172	Marie
600937	405929	Genevieve
600937	409436	
600937	411699	Colette Sorgues
600938	136360	
600939	61424	L'assistante sociale
600939	103199	Denise
600939	112799	Angelina/Pietro
600940	391589	
600941	375794	Fille du parloir
600942	9884	Rosanna Travis
600942	43873	Kate
600942	66947	Mrs. Morgan
600942	96920	Laura
600942	129591	
600942	141180	Maude Allyn
600942	163229	Paint Throwing Fur-Activist
600942	163473	Maggie
600942	239829	Woman
600942	311038	Receptionist
600942	403763	Pam Asbury
600943	1753	Betty Fernandez, Bowman's Wif
600943	30108	Betty
600943	250746	Mrs. Howard
600943	278259	Annie Glenn
600943	342549	Eileen Hayward
600943	342552	Eileen Hayward
600943	366232	Mrs. Gary
600943	383254	Mrs. Schwinn
600943	409210	Eileen Hayward
600944	62784	Most Recent Ex
600944	128322	Queen
600944	149854	Lily Hiroshima
600944	185841	Coffee Manager
600944	190230	Woman at Cafe
600945	4536	Samantha Harper
600945	11535	Noel
600945	12217	Anita Miller
600945	37473	Jenny Herk
600945	99164	Jovie
600945	104549	Kate Collins
600945	131447	Cheryl
600945	146822	Tricia McMillan ("Trillian")
600945	150833	Christy
600945	163522	Gas Station Girl
600945	204268	Tracy
600945	222292	Nessa Watkins
600945	230663	Nora
600945	241119	Lady Larken
600945	274573	Herself
600945	321196	Zelda
600945	362603	Nikki
600946	256993	La coiffeuse
600947	43629	Serveuse Quinze-Cents
600947	380717	Monique Bédard
600947	383863	Louise
600947	387668	Diane Cadieux
600947	393284	Carmelle Lassonde
600947	401081	Simone Saint-Laurent
600947	403898	Doudou Désiré
600947	407214	Elizabeth Bellerose
600948	6414	Mrs. Steiner
600948	33135	
600948	126361	
600948	135004	
600948	152740	
600948	186864	Elfriede Witz
600948	269114	
600948	272791	
600948	290449	The Teacher
600948	339051	
600948	347042	Mother
600948	352066	
600948	361049	Josepha
600948	379772	Elsa Fischer/Reuter (/Bach?) 
600948	381439	Kathrin Petersen
600948	387396	Krielin
600948	390496	
600948	390993	Frau Kroll
600948	408208	Lore Marquardt
600949	45117	Lucile
600949	77421	Madame de Saint-Luc
600949	156321	Josyane, la femme de Gilbert
600949	345286	Simone
600949	389143	Miette
600949	398786	Fleur de Marie
600949	411699	Patricia Wagner
600950	23809	Béatrice
600950	23826	La Gibosilla
600950	375077	
600950	382480	Gisèle
600951	92513	Gorgeous model
600952	2143	Handicapped Girl
600952	27112	Little Girl
600952	44884	Girl
600952	66381	Rosemary McIver
600952	119803	Janie, Young girl on Liberte
600952	127506	Heidi
600952	143429	Little Sister
600952	161041	Suzie
600952	163245	Midge Baxter
600952	185711	Vicki Wills
600952	203175	Barbara Rath
600952	214968	
600952	224233	Tot
600952	242941	Debbie Hilliard
600952	265265	Yasmin
600952	310104	Eadie Johnson
600952	329853	The Ellinson Girl
600952	331292	Alice
600952	399254	Judy Massey
600952	399265	Susan
600953	59748	
600953	91911	L'assistante d'Eliphas
600953	108898	Edith Rosenblum/Miss Rosenblu
600953	111092	Noëllie Guérard
600953	165233	L'inconnue
600953	170536	
600953	256106	
600953	309116	Blanche
600953	337838	
600953	346536	La duchesse de Volnay
600953	349055	Catherine
600954	367022	Machtelds courtlady
600955	69522	La vendeuse de la librairie
600956	314763	Nude Dancer #2
600957	8930	
600957	259870	Judith
600957	292346	
600957	303617	
600957	380370	Viviane
600957	380869	Élaine Cadieux
600957	380981	Francine Lafrance
600957	398078	Corrine Lussier
600957	400899	Florence Paradis
600957	401331	Lison (Creton)
600957	407360	Louise Castonguay
600958	135346	Witness
600960	377905	
600961	74345	
600961	254908	
600961	281579	
600961	340169	La Reine Anne d'Autriche
600962	218901	Xénie
600964	195689	Additional Model #1
600965	3360	
600965	6292	Elisabetta
600965	7474	
600965	47034	Brigitte
600965	53739	Paquette
600965	67933	
600965	102704	
600965	171459	Suzanne
600965	237122	Joëlle
600965	243427	Eva
600965	270868	
600965	300634	Brigitte
600965	341485	
600966	269503	Nathalie
600967	16442	Jane
600967	31016	Clarisse
600967	83174	
600967	100017	Georgette Cornflakes
600967	128618	
600967	133255	Marguerite Valence
600967	149212	
600967	169650	Melle Fleury
600967	220258	Charlette
600967	251007	Lola
600967	259771	Charlette
600967	265372	Doris Frederiksen
600967	280530	Sophie Labranche
600967	346638	Nicole
600967	382054	Cerise
600967	410475	
600968	1473	
600968	17110	Solange
600968	65613	
600968	94312	L'aide-soignante nuit
600968	106988	The Dead Man's Concierge
600968	153544	Babette
600968	225767	L'infirmière
600968	247154	Georgette
600968	336930	
600968	337020	Martine
600969	353890	Herself
600970	191372	Coffee Shop Manager
600971	45768	
600972	94250	Mado
600973	228426	
600974	80825	Caitlin Rogers
600975	157436	School Reporter
600975	318763	Joe T's Girlfriend
600976	385947	
600977	116046	
600979	124280	
600980	46937	Lou
600982	217648	Femme Berg 1
600982	336554	Sales Woman
600983	170541	Streetgang
600984	253999	Fille Boite de Jazz
600984	278734	Lise
600984	409462	Infirmière urgences
600985	71953	Julie
600985	80156	Nora
600985	100236	
600985	120979	Le 'modèle' de Pierre
600986	46156	Alpha Student
600986	248878	Navajo Bunk Girl
600987	51441	Judy Grant
600987	56893	Amy Lee Cade
600987	147829	Herself
600987	161161	Carrie Lane
600987	299018	Herself
600987	319904	Junior Griffith
600988	283691	Le garçon de cuisine
600989	265101	Precious Young Girl
600990	268955	
600991	23535	Jerry
600991	51426	Anne-Marie Weiss
600991	199315	Florence
600992	5597	
600992	172059	Extrasensory's Assistant
600992	285555	
600993	128759	
600994	9353	Dancer
600995	79464	Sharda Agarwal
600996	165143	
600996	183459	
600996	228805	
600996	318412	
600996	335741	
600997	172338	The girl
600998	78530	Road Block Newsperson
600999	23896	Lilas Lynn
600999	26647	Mrs. Beaumont
600999	33764	
600999	52797	Mrs. Lanark
600999	66206	Lory Williams
600999	75274	Polly Widdicombe
600999	75597	Lila Grant
600999	78046	Marion Haydon
600999	81952	Kate Leroy
600999	83845	Irene Mitchell
600999	89673	
600999	94623	Marquise
600999	130793	Beatrice Walton
600999	164762	Liosha
600999	169926	Al'Mah
600999	171047	Undetermined Role
600999	196173	Lucia de Morfontaine
600999	196492	Marion Allardyce
600999	241768	Lotta Lauriere
600999	244362	Lucia Stedman
600999	281356	Sally McTurk
600999	342599	Jess Jones
601000	301751	Helen Jones
601000	335247	Blondie
601000	337607	June O'Day
601000	367297	Peggy Packard
601001	102931	Infirmière 2
601002	71445	Fiordiligi
601002	90087	Donna Anna
601003	235480	
601004	241159	Devi
601005	36303	
601005	123754	
601005	123755	
601005	165005	
601005	165006	
601005	251219	Champa
601006	25928	
601006	35089	
601006	97793	
601006	137062	
601006	159065	
601006	172172	
601006	203886	
601006	207098	
601006	231585	
601006	268093	
601006	271427	
601007	10076	
601007	21378	
601007	36223	
601007	36242	Bhola's aunt
601007	36303	Shanta
601007	68479	Dadiji
601007	79455	Hemlata
601007	86628	
601007	95448	
601007	98531	
601007	122917	Kaushalya
601007	137101	
601007	141755	Sasoobai
601007	156105	
601007	165019	
601007	176085	
601007	181110	
601007	194570	Shanti
601007	204403	
601007	217360	
601007	297441	Shankar's mom
601007	297462	Leela Benare
601007	319823	
601007	324154	
601007	354313	
601007	354978	Balli's Mother
601007	370218	Lalita's mom
601007	370960	
601007	373133	
601007	381125	Sumitra Verma
601008	285950	
601009	27379	
601009	43315	Dolly
601009	57877	Young film actress
601009	77909	Unnati
601009	100755	Kiran Jaywant
601009	162554	
601009	317590	Mysterious Woman
601009	324803	Namrata 'Nammo'
601010	81339	Newscaster
601011	91061	Herself
601011	104768	Croatian entry (15th place)
601012	205159	Marcellino neonato
601013	56328	Corinna Monti
601013	72973	
601013	73600	
601013	229386	
601013	401970	Claudia Costa
601013	402781	(Series 2) (1993)
601014	14397	
601014	35014	
601014	55930	
601014	92971	Adelaide's Friend
601014	94652	
601014	162075	Clarissa
601014	162608	Nadia
601014	229609	
601014	238881	
601014	252638	
601014	307460	
601015	1986	
601016	61097	Ragazza fonderia
601017	115269	Women Coalation Diner Patron
601018	29240	
601018	81345	
601018	152403	
601018	202714	
601018	204602	Trina/Raf's Girlfriend
601018	302574	
601018	394247	Valeska (2002)
601019	188681	Marion
601020	280357	Juanita Morales
601021	98149	Yard Sale Customer
601022	292501	Voice
601022	379168	Additional Voices
601023	5855	Salesgirl
601023	151365	Egghead
601023	312971	Betsy
601023	367093	Mora Grissum
601024	30937	Lisa
601024	401930	Diane
601025	19238	Waitress
601025	54248	Fréhel
601025	380436	Jeune Femme Z1
601026	83810	
601026	145670	
601026	312702	
601026	356656	
601027	269433	Extra
601028	827	
601029	319568	Argonian Citizen
601030	196504	Witch Queen
601032	355858	La mairesse
601033	278141	Maude
601035	342669	Bar patron
601036	403898	Andrée Pelland
601037	9232	Maserka 2
601038	18001	Job Applicant
601038	137492	Lawyer
601038	299789	Armani Seamstress
601039	170745	
601040	383959	Lucille
601041	231997	Miss Beauty
601042	309980	Amies de la jeune Lucie
601043	51451	Cathou Barbeau
601043	99408	Anne
601043	100430	
601043	383863	Caroline #2
601043	387668	Line Dubuc #2 (1997-)
601043	404018	Roxanne Blanchard
601043	408883	Hélène
601043	410252	
601044	54189	Madame Huot
601044	369421	Mrs. Moss
601044	377647	
601044	378705	Marie-Pierre
601044	399369	
601044	403196	Judith Jasmin
601044	411623	Mme Martel
601045	205089	Nicole
601046	83305	Catherine, l'assistante de Pi
601047	1578	Receptionniste #4
601047	91966	
601047	229012	
601047	383306	Carole Lussier
601047	389137	Suzanne Landreville
601047	400141	
601047	401789	
601047	404525	
601047	409677	Johanne
601047	412171	Hélène Proulx
601048	214921	
601048	338685	
601049	277217	Julie adolescente
601050	388299	Lieve (1998-1999)
601051	44933	
601051	86426	
601051	143428	Gaby
601051	282155	Rosy Rapture
601052	33607	Beef Trust chorus girl
601052	33797	Woman at window
601052	46739	Wedding Guest
601052	52536	Show Girl
601052	56098	Fat woman patient
601052	56178	Poldi
601052	63992	Bit Part
601052	67807	Fat Woman
601052	69676	Polish servant
601052	77643	Amazon Chorus Girl
601052	84972	Tavern patron
601052	85828	Barmaid
601052	88853	Nurse
601052	103237	Beer Garden Waitress
601052	110363	Barmaid
601052	116059	Big Bill's girl
601052	117647	Woman Drunk
601052	120244	Francis, Barmaid McGinnis Fli
601052	130330	
601052	130677	Georgia's friend
601052	143275	Big Bertha
601052	144447	
601052	160014	
601052	186700	The Crying Wife
601052	187950	Austrian maid
601052	190512	
601052	200920	
601052	201150	Woman Waiting 3 Hours
601052	203002	Beefy Blonde
601052	222604	Katie
601052	230344	Mrs. Wilson
601052	242570	Woman at Auction
601052	250449	Shooting gallery proprietor
601052	252867	Mrs. Hardy
601052	256455	Kay
601052	263966	
601052	276948	Wife
601052	285135	Tiny Vandercoop
601052	300023	Mrs. Hardy
601052	316123	Jail Matron
601052	321794	Bit Part
601052	323473	Muriel Walker
601052	325024	Mrs. Stutts
601052	329813	Stanley's girlfriend
601052	329937	
601052	338778	Streetwalker
601052	340570	Bessie
601052	360395	Kelly's girlfriend
601052	363702	Miss Deslys
601052	363793	Blonde woman
601052	372145	Woman
601053	229314	
601053	322335	Voice
601054	99999	Sheila
601055	314451	Isabelle
601055	351902	Sandra
601056	363982	Model
601057	133684	Linda/La reine
601058	140943	Élodie
601059	346524	Monique
601060	392786	Caroline
601061	1007	Hélène Chatelain
601061	17914	
601061	31019	
601061	54298	Marion Delorme
601061	57540	Marlène
601061	58237	Claudette Pinson
601061	58933	Léa Anders (segment "Lucky la
601061	61423	Charlotte
601061	73626	
601061	82579	Colette Blanchet
601061	83370	Louise
601061	92905	The Pianist
601061	94242	Aline Chantour
601061	96237	
601061	103206	Mme. Dumény
601061	107835	Constance's Mother
601061	108209	Léocadie Fanouillard
601061	108895	Delphine
601061	111117	Elle-même
601061	113107	Marianne
601061	113112	Duchesse Laure d'Albuquerque
601061	116409	
601061	119038	Lucienne, Bichette's mother (
601061	121607	Sophie Mallet
601061	148707	Gabrielle
601061	153793	Hélène
601061	198566	Sylvia Corbier
601061	198610	Caroline Peuchat
601061	199335	Sophie Dirondel
601061	199944	Germaine Bourgeon
601061	202747	Simone
601061	215501	Elvire Mercier
601061	217636	
601061	217694	Sylvia Corbier
601061	220192	
601061	222510	Maria Duchemin
601061	232763	Nina Tessier
601061	249098	Tante Cécile
601061	261836	
601061	262948	Henriette Lefranc
601061	270819	Armanzia
601061	271371	La préripatéticienne
601061	272338	
601061	276981	Baccarat
601061	279902	Baccarat
601061	280557	Mme Beaudrier
601061	291577	
601061	292365	Soeur Angèle
601061	295211	Thérèse
601061	300695	Rose Bertin
601061	301376	
601061	309981	
601061	332231	Herself/En personne (témoigna
601061	332622	
601061	337030	
601061	340142	Titine
601061	343574	Françoise Berrien
601061	344570	La duchessa Isabella Campores
601061	345464	Louise Davis
601061	346580	
601061	352928	
601061	353938	Marguerite Caboufigue
601061	354982	
601061	392366	Anna
601061	408662	Fanny
601062	268950	La femme du Palais du Littora
601063	392750	La speakerine
601064	196384	Petra
601064	327367	Hooker
601064	378951	Simone
601065	152603	Visitor to fort
601067	74230	Girl
601068	12862	Mrs. Thompson
601068	81536	Charlotte Chesbro
601068	96788	Annie
601068	214159	
601068	217345	Aunt Deedy
601068	221163	Old maid
601068	311345	Nora Thomas (Joe's mother)
601068	350484	Aunt Mandy Brown
601069	202897	Odette
601070	236368	Miss U.S.A.
601071	259868	Second Sister
601071	331421	Grandmother
601072	40073	Mrs. Crocker
601073	5523	Yvette Delange
601073	59537	Mary Minton
601073	124740	Gloria Fellowes
601073	144934	Florrie
601073	149404	Jenny McTavish
601073	154043	
601073	157282	
601073	175176	Flo
601073	176279	Flo Hadley
601073	193970	Florie
601073	206338	Elsie
601073	221125	Flo
601073	222731	Lucy
601073	224126	Mlle. de Capo
601073	232859	Daisy
601073	233665	Florrie Dibney
601073	270648	
601073	279128	Flo
601073	279387	Toots Willoughby
601073	286135	Florrie Small
601073	307888	Lady Manderley
601073	331306	Betty Sommers
601074	3942	Casting Assistant
601074	43885	C.T.
601074	88561	Gwen
601074	127290	Janis Joplin
601074	225777	Party Girl 3
601074	232866	
601074	370113	Candy
601075	383582	Whore
601076	20625	Extra
601077	265853	
601078	34723	Herself
601078	335150	Margaret
601078	380565	Molly Sparks
601078	385105	Shirley Dean Gilroy (1981-199
601078	391869	Isobel DuPres (1997)
601078	399816	Marion Carlton (1973)
601078	406734	
601079	273830	Tilly Ware
601080	270612	
601081	17619	Girl
601081	39517	Kirby's daughter
601081	185275	Aggie Kirby
601081	199217	Extra
601082	362917	Shelley
601082	372580	Discord, Hercules Half Sister
601082	391395	Discord (1997-1999)
601082	405209	Lulu Chatfield
601082	411814	Discord
601083	340438	
601084	236696	Nurse
601085	176851	
601085	367588	Playboy Club Singer
601085	408056	Supporting Player
601086	270612	
601087	220951	
601088	3057	
601088	55781	
601088	217662	
601088	255931	Lise
601088	285081	
601088	345271	Lulu
601088	345485	Paulette
601088	346578	Titine
601088	346692	
601089	234666	La secrétaire
601091	41935	Belle Chinko
601091	78999	Birgitta
601091	107899	Sondra von Moyden
601091	113838	Elena
601091	115484	Nina
601091	117430	Marie-Louise
601091	145398	Carole Wells
601091	145818	Olga
601091	151727	Helen
601091	156641	Natascha, hans datter
601091	164370	Conchita
601091	195678	Tanya
601091	208901	Flame
601091	290443	
601091	294061	Diana Thornley
601091	312334	Tamara
601091	337845	Marie Dufreyene
601092	16234	
601092	45344	
601092	78448	Marise
601092	81514	Lady Teodora
601092	95394	
601092	103022	
601092	108156	
601092	121798	Gerda Reiner, Stenotypistin
601092	124991	Lucy
601092	199356	
601092	210134	
601092	281626	
601092	283063	
601092	288007	
601092	290856	
601092	307307	
601092	312066	Idea, a circus acrobat
601092	358897	Franzi
601092	365698	Hedwig Tell
601093	63964	
601094	33619	Herself
601095	197203	Laura
601095	377940	Zinnia
601096	218341	P.K.Dube's Mother
601096	248959	
601096	284744	
601096	337779	
601097	97088	Petter's youngest daughter
601097	173201	Sigrid
601097	244073	Karin Blomqvist
601097	322310	
601100	176970	Mourner/Student
601101	356988	
601102	118268	Head Teller
601102	194265	Travel Agent
601102	313562	Sheila Rinaldy
601102	342618	Juror #2
601102	395737	Miss Feeny
601102	410585	Dolley Madison
601103	175677	Arrieu's niece #1
601104	19257	
601105	58858	
601107	1870	Linda
601107	5028	Mrs. Lyons
601107	28473	Carlota Munoz
601107	53916	Ellen Sedgewick
601107	61587	Doris
601107	86359	Frida Kahlo
601107	107120	Neiloufar Mobbasser
601107	108261	Elaine
601107	158608	Evita
601107	161727	Nancy Ochoa
601107	162763	Sonia
601107	164550	Manuela
601107	178221	Carmen Ortega
601107	183009	Connie Valenzuela
601107	202726	Carmen
601107	294786	Maria
601107	313049	Fabiola Escalante
601107	313399	Azetbur
601107	330274	Senora
601107	331408	Lydia
601107	367864	Adela Reynosa
601107	379016	Nurse Rosa Santiago
601107	401427	Lola (segment "Soir Bleu")
601107	403079	Diana Olmos
601108	302584	Cheap Chick
601108	314104	Dancer
601108	318112	Zenda
601108	366970	Ballet Dancer
601109	283554	Mick's Dancing Partner
601110	319794	
601111	171189	Female Agent
601112	273119	
601113	91649	Rosie
601113	98761	The Girl
601113	318074	
601113	331224	Chloe
601114	58743	A Child
601115	171084	Heather
601116	171084	Heather
601117	71835	
601118	324501	Danseuse
601119	238010	
601119	305188	Ida Markovna (II)
601119	401063	(1996-1998)
601120	18004	Elaine Dewey
601120	26473	Keri
601120	54946	Penny Dodge
601120	59828	
601120	73333	Ella Barker
601120	73504	Kelly
601120	90117	Nurse Gloria
601120	90407	Receptionist
601120	111783	Helen
601120	114223	Bag Lady
601120	147300	Hogg Sister #2
601120	166917	Wendy
601120	167866	Margaret
601120	169170	Susan at Reunion
601120	195971	Margot
601120	218848	Chrissy
601120	255342	Eve Scrimmer
601120	258283	Sister Batril
601120	265684	Cherry
601120	280174	Irma, Actress in Laughing Ban
601120	294804	Michelle
601120	305638	Cecile
601120	323506	Brenda
601120	327300	Susan Redding
601120	336033	
601120	361167	Laurie Desmond
601120	393952	Isabel Miller
601120	395933	Mary
601120	397419	Claudia
601120	406621	Sandra Beals
601121	237913	
601122	70939	
601123	377464	Mrs. Bry
601124	133092	
601125	33584	
601125	43007	Catherine Vandehove
601125	55334	
601125	92963	Vera
601125	153839	
601125	195167	La mère de Louise
601125	195220	
601125	205523	Laura Chapdelaine
601125	211647	
601125	212647	Sara
601125	240290	
601125	247606	La cartomancienne
601125	260945	
601125	269484	
601125	306948	
601125	336922	
601125	346636	
601125	356504	
601125	377865	
601126	58310	
601127	410211	Lilika
601128	347569	La monteuse du film
601129	269645	La Sainte Vierge
601129	363680	Hospital Reception Desk Siste
601129	381617	Georgianna
601130	132405	
601131	260940	Interprete - Celeste au Piano
601132	21617	Antoinette Gagnon
601132	133045	Clothilde Brunet
601132	141772	
601132	370104	
601132	378957	Regular
601132	380970	Florence
601132	385503	Julie Paradis
601132	388316	Agathe Plouffe
601132	390715	Sainte Bénite
601132	402620	Gaby
601133	361229	Townsperson
601134	23615	Trio
601134	202085	Angélique
601134	329661	Singer, soprano
601135	71338	
601135	238426	Cendrillon/Sandrine
601135	345158	Audrey
601135	398595	Sam
601135	404364	Lili Gratton
601135	410252	Louise Pouliot
601136	23816	Pernette
601136	34462	Jacqueline
601136	229752	Félicie
601136	240280	Huguette
601136	346550	Isabelle
601136	382584	
601137	167035	
601137	310963	L'asiatique
601137	351712	La Comédienne de la pub
601137	378938	Eva Dalian
601137	383371	Charlie Galin (1998-1999)
601138	377647	
601139	25112	Ginette
601139	217664	
601139	407832	
601140	153874	Caroline Dandrel
601141	401081	Ginette Cayer
601142	344480	Tina
601143	64962	
601144	382126	Herself
601145	222878	Nurse
601146	33166	Freundin
601147	27672	
601148	58792	Pierre's Mother
601148	146358	La mère
601149	177073	
601151	386640	
601152	48340	Gun
601152	89471	Eva Martens
601152	179707	Margret
601152	308203	Anna
601152	360846	Ilse
601153	389959	
601154	88692	Luder
601154	170345	Jette
601154	237156	Barnepige
601154	248576	Marie-Louise Bentzen
601154	275626	Pigen fra Farum
601154	305311	Clara Mascani
601154	323399	Frk. Anderson
601154	360846	Tanja
601154	393642	Susanne
601154	397074	Ny pige hos Varnæs (forkølet)
601155	374	Olympia
601155	843	Soprano
601155	19525	The Fiakermilli
601155	20148	Zerbinetta
601155	69971	Olympia
601155	69973	Olympia
601155	101172	Le Feu
601155	101750	Konstanze
601155	116314	La Reine de la Nuit
601155	116315	La Reine de la nuit
601155	137934	Ophélie
601155	137937	Ophélie
601155	196814	Lucie (version 2)
601155	198298	
601155	243773	Eurydice
601155	257371	Soprano singer
601156	397886	Herself
601157	376964	Petite fille
601158	1613	
601158	132695	
601158	161656	
601158	221941	
601159	22792	
601159	48789	
601159	56004	
601159	74549	
601159	100791	
601159	169567	Invitada 2
601159	207712	
601159	235927	
601159	252065	
601159	334684	
601159	353616	
601159	377214	
601159	380947	
601159	383974	Lelia
601159	384427	Ana
601159	399497	Aurora
601159	402301	Eloísa
601160	25834	Mickey
601160	64078	Minerva
601160	151530	Jenny Jackson
601160	295077	Tanika
601160	321210	Tiffany
601160	382973	Tammy Watkins
601160	387972	Janie Egins
601160	389072	Eunetta (1998- )
601161	352730	
601162	9984	
601162	169651	
601162	293850	Matthieu's friend
601162	322335	Extra
601162	365812	Clémence
601163	83203	Sophie
601163	112819	
601163	191626	Buffalo Wallow Woman
601163	195245	Louise
601163	265797	L'hôtesse de la compagnie aér
601163	270433	Deborah
601163	288898	L'infirmière en chef
601163	382762	
601163	403101	Véronique
601164	309807	Mrs. Bennett
601165	378336	Damen i garderoben
601166	111877	Hortence
601167	62817	L'apparition
601168	381090	Herself (2004)
601169	352931	Les danseuses
601170	83175	Jeannine
601171	397888	Herself (2003)
601172	1432	Witch
601173	6677	Adriana Lecouvreur
601173	71439	Fiordiligi
601173	90012	Elisabetta di Valois
601173	99239	Matilde (sua segreta moglie, 
601174	228267	Herself
601175	44894	Cissy Jones
601176	377805	Louise
601177	356911	
601178	24685	Agnès
601179	56194	Madame de Charriere
601179	115064	Queen Fria [Ch. 1-2]
601179	223960	Countess Zena
601179	242848	Corinne Dalma
601179	245424	Marie Karitza
601179	267542	Queen Fria
601179	297968	Toni Bonnet
601179	301797	Lydia Samina
601179	303901	Julia Engel
601179	309887	Julia Garrett
601179	332024	Lady Patricia 'Pat' Graham
601179	352078	
601180	234218	Ma Bartello
601181	410688	Marie (2000)
601182	114298	Youth Cynthia
601182	262589	Receptionist
601183	57627	
601183	135566	The Plumber's Wife
601184	14982	Jeweller's Assistant
601185	255557	Simone
601186	1682	Themselves
601186	2009	Themselves
601186	4701	
601186	48489	Themselves
601186	137272	Herself
601186	358818	Themselves
601186	396548	Villager (eps5-6)
601188	51791	Medical Student
601188	112983	Woman Actor
601188	314445	Network Affiliate
601189	15049	Marta-Hermione
601189	51226	Phénice
601189	148667	Mona
601189	169536	La jeune femme
601189	270308	Sandrine
601189	276500	Françoise
601189	327539	Pascale
601189	391927	
601190	353464	Victor's Mother
601191	206506	Clémence
601192	339492	Estelle
601193	102915	La standardiste
601194	63552	Une épargnante
601194	408922	Annette
601195	381140	
601196	340116	
601197	235246	Marjorie
601198	77310	
601198	157331	
601198	264537	
601198	296144	
601198	354842	
601199	34957	
601199	105845	Mrs. Lilly
601199	190346	
601200	411311	Ilse De Meester-Geeraerts (20
601201	19346	Sandrine, la fleuriste
601201	58788	
601201	80183	Marie
601201	84222	Célestine
601201	96071	
601201	113222	Géraldine
601201	208830	Isabelle
601201	220231	Joséphine
601201	345287	Josépha
601201	377046	
601202	396	Vecina balcon
601203	169653	Cécile
601203	278870	Catherine
601203	380237	Hyacinthe
601203	391621	Herself
601203	412201	Delphine Nadal
601204	17079	
601205	330818	Herself
601206	399924	
601207	53058	Miss Maybelle
601208	267530	
601209	189845	Herself
601209	401831	Herself
601210	5133	Sekretärin
601210	125055	Elsa
601210	172526	
601210	184294	Grete Seipel
601210	347647	Linda Austin
601210	376183	
601211	26241	
601212	26241	
601213	96198	
601214	43620	Receptionist
601215	43925	Zoram's Wife
601216	111302	Clotilde
601217	200140	
601218	26955	Nurse
601219	379031	Herself
601220	13851	Olivia
601220	37047	Monty Kirkham
601220	45591	Amy
601220	93959	Miss Minneapolis
601220	106361	Lindsay Culver
601220	113305	Terry Chaney
601220	178136	Danisa 'Danni' Sposato
601220	185637	Jennifer Langson
601220	191910	Sarah Parker
601220	196890	Amy
601220	201260	Sandra Sinclair
601220	255231	Jane
601220	274590	Herself
601220	289113	Sandy Perkus
601220	315113	Dannie Baldwin
601220	379025	Susan Rakoff
601220	391189	Sandra Sinclair
601220	396301	Lisa Overbeck
601220	403998	Casey
601220	408361	Tyler Harris-Carr
601220	410767	Carolyn McIntyre
601221	20443	
601221	46015	Alice
601221	54254	Natacha Lawrence
601221	64333	Herself (1986)
601221	65202	Clarissa
601221	67901	Nadia
601221	68331	Elizabeth
601221	68922	Vicky
601221	84593	Hélène Müller
601221	86064	Giulia
601221	99405	Anne
601221	110027	La femme de Zodiak
601221	138440	Hanna
601221	166289	Gilberte
601221	202728	Delores Fuentes
601221	207587	Mata Hari
601221	217682	Laurence
601221	225366	Florence Anselme
601221	225405	
601221	256591	Carole
601221	261773	
601221	266389	Carmen X
601221	277339	Marianne Legrand
601221	308227	Hanna Lorenz
601221	312600	Ulrike
601221	326336	Murielle
601221	351717	Laura
601221	376037	Julia Klimt
601221	410048	Silvie Laurentz
601222	133684	
601223	20625	Extra
601223	25868	Party Guest
601223	194831	Slave Girl
601223	196487	Stagecoach Passenger
601223	215862	Russian Woman
601224	162071	Angeluccia
601225	241875	Stewardess
601226	102674	Glendale Housewife
601227	59885	Herself
601228	198298	Les enfants
601229	85987	Julia
601230	41269	Sandra
601230	78182	Jewel
601230	91892	Tawny
601231	3416	Angyalka (Angelique)
601231	35060	Cinna, cigánylány
601231	136441	Klári
601231	161682	Elárusítólány
601231	177949	Gabriella
601231	177975	
601231	246974	Kökényszemü Katica
601231	357819	Pincérlány
601231	394990	
601231	410331	
601232	7989	
601232	105853	
601232	148141	Nina
601232	179609	Showgirl 1
601232	243212	
601232	247590	
601232	379634	
601232	385114	Herself
601232	395266	
601232	399980	
601233	255397	
601234	317179	Comtesse
601235	381493	Friends Geek (2002-)
601237	163366	Herself
601237	296552	Our Guests at Heartland
601237	330896	Tracy Landau
601238	198638	
601239	35453	Prostitute
601240	261578	Antonietta Masetti
601241	115318	She-Ra
601242	262261	Young Sara
601244	250449	Herself (sports star)
601245	120298	Student
601246	276867	Hitchhiker
601247	59840	Person #1 on Bridge
601248	201491	Valy Makibefo
601249	120039	
601250	119836	Narrator
601251	290820	
601252	6722	Herself
601252	34627	
601252	35518	
601252	41544	Herself
601252	87322	
601252	152716	
601252	213049	Boat Girl
601252	228016	Herself
601252	236877	
601252	306923	Herself
601252	339580	
601253	49831	Marguerite de Bourgogne
601253	197543	
601253	219606	
601253	402628	Hameline de Croye
601254	111067	Aurélie
601255	121363	Woman Prisoner 1
601256	169723	
601256	375942	Zoé, the boxer
601257	189892	
601259	207051	Salome
601260	124661	Anna Diaz
601260	221525	Hannah
601261	284370	Mrs. Hellberg
601262	121062	
601262	290516	Frau Behrens
601262	290524	
601262	290525	Irene Eberhardt
601262	361409	Lindnerin
601263	251554	
601264	51786	
601265	244444	Jessica's Mother
601266	11464	Jacqueline
601266	173831	
601266	203252	
601266	375943	Secretaresse
601266	381213	Lisa
601267	360221	Martika
601268	67031	Helen Adderly
601269	412043	Tine
601270	78529	Annie Brown
601271	175249	
601271	222372	Hanni Sackbauer
601271	325741	Helga
601271	325917	Helga
601271	338468	
601271	338469	Helga Smeibidlo
601271	387271	Hanni Sackbauer (1975-1980)
601271	410553	Isabella
601272	312904	Diane
601273	74402	Girlfriend
601273	107831	Bara
601273	172898	Anikó
601273	263237	Gabika's wife
601273	312138	A Girl
601273	381344	Andrea Szilágyi (2001-)
601274	7441	Brigitte
601274	45736	Julie
601274	55815	Marine
601274	66742	Jeune femme enceinte
601274	184053	Marie
601274	235233	Magali
601274	257043	Ariane
601274	296334	Lucie
601274	301405	Emma
601274	323240	La passante qui se fait voler
601274	335373	Chloe
601274	409442	Julie (2000-????)
601275	22824	Worker
601276	5160	Sekretärin
601277	74202	
601277	100096	Waitress
601277	167131	Lucy 2
601277	184380	Rainbow Face #2
601277	218415	Additional Voice
601277	221024	Deli Girl
601277	325098	Tantor's Mother
601277	383384	Trixie
601277	393623	
601277	397076	Guest panelist
601277	397077	Guest panelist
601277	403834	Regular Performer (1972-1973)
601277	405718	Additional Voices
601278	197290	
601279	279571	Herself (Clark University)
601280	145605	Frau Stiller
601280	290037	Frau
601281	276561	Ofelia as a child
601282	310596	Wendy Teller
601282	390979	Julie Connor
601282	398213	Herself
601283	299443	Herself
601284	369152	Eva
601285	215107	Barwoman
601285	302702	Chaike
601286	225256	
601286	238652	
601287	312748	
601288	302702	2nd Girl
601289	11878	Simone
601289	227783	Stella
601289	309566	Girl
601290	32142	
601291	110118	
601291	132739	Girl #3
601292	112585	Banker
601292	206560	
601293	377044	
601295	36557	
601295	57898	La marquise de Montigny-Beaub
601295	67068	Madame veuve Ménard
601295	108207	La grand-mère
601295	116482	
601295	121935	
601295	132998	Mademoiselle de Saint-Maurice
601295	134428	
601295	135422	Madame Courtois
601295	148668	Grand Old Lady
601295	156564	
601295	164246	
601295	193434	Tante Léonie
601295	199577	La vieille dame du banc
601295	201189	Madame de Boëldieu
601295	205774	Mademoiselle Aimée
601295	240477	
601295	264526	
601295	266404	Madame Bergas-Larue
601295	283047	Le greffier
601295	324619	La Marquise
601295	337047	Mme Arbeziah
601295	349899	Ninon Ravier
601295	357117	La duchesse Dupont-Dufort
601295	377601	
601296	396523	Marguerite, la cantatrice
601297	145885	
601298	173467	Emilia
601298	237709	Louise Silvestri
601299	186005	Nurse
601301	71563	Haydee
601301	234112	
601301	236686	
601301	263621	
601302	14104	Ghoultown
601303	42019	Constance
601303	183358	WAF
601304	183706	Office Girl
601304	249272	Rita
601305	140953	Singing lady
601307	140186	Lucy Milgrim
601308	231776	Gorgon's Girl
601308	295185	Skank (Barbara-Joan)
601308	300361	Karen
601308	340764	Sherry Tarnley
601308	344166	Gwen Gromley
601309	77811	Melissa
601310	84434	Yoko Mitsurugi
601310	238788	Nurse Ruko Tatase
601310	342677	
601312	240754	Jane
601313	221214	Mabel Jones
601313	224723	Gaynor
601313	363206	Ruby Birtle
601313	383631	Elizabeth 'Liz' Harker: Param
601313	385020	Debbie Webster (1984-1985)
601313	386386	Jane
601313	393695	Rita Briggs
601313	402959	Mad Bastard
601313	406111	Jo
601314	178189	Extra
601315	88195	Waitress
601315	383507	Lynda Kettle
601315	401221	Mags Peterson (1995-98)
601315	409216	Mags Peterson
601316	56857	Sydney's Assistant
601316	116946	Kelly Gibson
601316	129401	Kathy Kubicina
601317	78485	Herself (performing winning s
601317	104765	Danish entry (8th place)
601318	137258	Young Peter
601319	96904	Sara
601320	199380	
601320	248422	
601321	399277	Model
601322	112400	Sara Rogers
601322	161287	Herself
601322	320199	Herself
601322	389718	Co-Host
601323	346016	Inmate
601324	1793	Herself (Miss June 1985)
601324	32061	
601324	47050	Gianna
601324	50262	Casey
601324	53320	Iris
601324	57936	Herself
601324	85125	Herself
601324	85126	Herself
601324	135992	Cash
601324	139171	Linda
601324	150427	Sarah
601324	150836	Virgin
601324	196572	Mendoza's girl
601324	257640	Herself
601324	257645	Herself (Miss October)
601324	257814	Herself
601324	306785	Clarissa Carlyn
601324	396077	Herself
601325	154937	Mère casting
601326	366908	Corrections officer
601327	26563	Maenad (chorus)
601327	185426	Anita Robinson
601328	379805	
601329	64335	Herself
601330	100849	The French girl
601330	312410	Michele
601331	91886	Stavros's Girlfriend
601332	5610	
601332	9214	
601332	28351	Radhika
601332	36165	
601332	118828	
601332	120240	
601332	171804	
601332	172475	
601332	220883	Nirmala
601332	226102	
601332	232724	Kasturi
601332	319082	Jyothika Menon
601332	320355	Sandhya
601332	329884	Jalaja
601332	330971	
601332	346551	
601333	4843	
601333	4853	Sabita
601333	17412	
601333	27464	
601333	28838	
601333	33229	Nayeb ginni
601333	35976	Meera's mother
601333	36619	Labangalata
601333	58968	Manasha
601333	85418	Meera's mother
601333	86233	Prakash's sister
601333	95443	
601333	131947	
601333	132588	Mira
601333	137988	
601333	165379	Rani
601333	165927	Manoj's mother
601333	167464	
601333	222095	Bipul's mother
601333	226138	
601333	248701	Pishima
601333	267134	
601333	271538	Ranima
601333	278373	Sarama
601333	287201	
601333	344066	
601333	382384	Meera
601334	120328	
601335	61303	Passenger On Bus
601336	203603	French Train Conductor
601337	57208	Malucina
601337	202324	Tiffany McCann, the babysitte
601338	2007	Louiza
601339	27917	Sandra
601339	248416	Flo
601339	346569	Manou
601340	15041	Simon's wife
601340	94245	Madame Badin
601340	148775	
601340	149114	Loulou
601340	261855	La standardiste
601340	346819	
601341	109530	
601342	252008	
601343	46215	Typist in Jack's Office
601343	115597	
601343	150750	Postmistress
601343	209170	(segment "Crimson Permanent A
601343	333193	Beryl
601343	377925	Grany
601343	400023	Winnie
601344	361486	
601345	263887	Louise Keaton
601346	298124	Child
601347	68784	La Journnaliste télé
601348	100087	Tawana Carver
601349	134037	Pamela
601350	274699	Inteviewer #1
601351	81085	Mimi
601351	187193	Female Partner
601352	239548	Vocalist
601352	302006	Vocalist-Accordionist (Hersel
601353	119440	
601354	389858	Lisa Erikson (1994)
601355	24215	Aunt Hulda
601355	66822	His Wife
601355	120204	
601355	302918	Undetermined Role
601355	348078	Housekeeper
601356	45846	Jeannie
601357	309158	Fezbian
601358	69049	
601359	314927	Susan, frosted blond
601360	327298	Sock Hop Dancer
601361	123160	
601362	127	Squaw
601362	50905	
601362	79418	Mrs. Beavertail
601362	109987	Minnie He-Haw
601362	116664	Paola
601362	128370	The Squaw
601362	212831	Minnie
601362	278047	Squaw
601362	281872	Natoosh
601362	320417	Herself
601362	348333	Herself
601364	101694	Miss Smith
601364	251681	Leontine de Vallignac
601364	367722	The ex-Mrs. Judge Gray
601365	108529	Mona DeLyse
601365	151678	Phyllis
601365	295351	Yerkes' Girlfriend
601366	309803	Francesca
601368	5285	
601368	70213	
601368	123636	
601368	123802	
601368	154061	
601368	228021	Herself
601368	306916	
601369	185321	Girl Fan
601370	40906	Ann Martin
601370	44689	Betty Wilkins
601370	77767	Miss Babe Harkness
601370	224610	Nurse [Chs.2-4]
601370	248838	Girl on bus with Tommy
601370	289576	Diane Hall
601370	316900	Pearl
601372	148203	Contestant #2
601373	251789	Waitress in Club
601374	46806	Han's daughter
601374	65552	Bacchanal reveler
601374	128645	
601374	145771	Stunning Wife
601374	154528	Harem Girl
601374	206139	Ellen
601374	226963	Buff
601374	256614	Maggie Mason
601374	270776	Ann
601374	273640	Yvette
601374	299463	Nympho
601374	316352	Devereux
601374	338808	Girl with the Mink
601374	360900	
601375	6865	Teenage Runaway
601375	141400	Monica
601375	148200	Flight Attendant
601375	148203	Hotel Operator
601376	148203	Contestant #1
601377	10305	Miss Wylie
601377	41360	Elizabeth Bartholomer
601377	92497	Amanda Lennox
601377	162410	Albright
601377	167714	Sabrina
601377	196894	Lana
601377	216834	The model
601377	292594	Charlene
601378	220574	
601379	104699	Nude Beach Lady
601380	386521	Host
601381	217513	Poker Player
601382	55870	La concierge
601383	298311	Nosey Neighbor#1
601384	141782	Reporter
601385	109576	Elaine Spellman
601386	2476	Delivery Girl
601386	2723	Hot Actress
601386	212193	Receptionist
601386	249551	Female Realtor
601386	363488	Waitress
601387	98498	Mala's Stepmother
601388	139403	Latha
601388	209577	Meera
601389	4053	
601389	4055	
601389	4870	
601389	6453	
601389	6696	
601389	6759	
601389	6780	
601389	9441	
601389	11719	
601389	11754	
601389	11760	
601389	11761	
601389	13333	
601389	14517	
601389	14520	
601389	15873	Anarkali
601389	16577	
601389	17519	
601389	17598	
601389	17632	
601389	17637	
601389	18473	
601389	21847	
601389	23289	
601389	27475	
601389	28184	Kunti
601389	28279	
601389	28280	
601389	28287	
601389	29036	
601389	29203	
601389	29205	
601389	29210	
601389	31410	
601389	36057	
601389	36064	Leelavathi
601389	36065	
601389	36066	
601389	36091	
601389	36101	
601389	36117	
601389	36118	
601389	36203	
601389	36241	Amba
601389	36247	
601389	36301	
601389	36302	
601389	48202	
601389	58421	
601389	58577	
601389	58580	Princess Kalamalini
601389	58621	
601389	58622	
601389	59003	
601389	59420	
601389	60552	Goddess Lakshmi
601389	60553	Lakshmi
601389	61533	
601389	62232	
601389	72839	
601389	81714	
601389	83426	
601389	84744	
601389	85198	
601389	85199	
601389	90581	
601389	92403	
601389	94626	
601389	97760	
601389	98548	
601389	100362	
601389	101307	
601389	101522	
601389	122943	
601389	124965	
601389	131102	Mohini
601389	135882	
601389	136121	
601389	138585	
601389	156357	
601389	161450	
601389	165993	Manjulavani
601389	165996	
601389	166001	
601389	166523	
601389	166533	
601389	169849	
601389	172589	
601389	172598	
601389	172870	
601389	172873	
601389	172971	
601389	173269	
601389	173443	
601389	173457	
601389	173474	
601389	174996	
601389	175103	
601389	179249	
601389	181051	
601389	181060	
601389	181608	
601389	181701	
601389	182117	
601389	182204	
601389	183455	Kamini
601389	184145	
601389	184707	
601389	186202	Goddess Sita
601389	186203	
601389	198689	
601389	199261	
601389	200011	
601389	200655	
601389	200742	
601389	203809	
601389	203906	
601389	203908	
601389	203953	
601389	204097	
601389	204109	
601389	204111	
601389	204530	
601389	204845	
601389	206244	Urvashi
601389	207811	
601389	208588	
601389	208608	
601389	208614	
601389	208619	
601389	208626	
601389	214401	
601389	217773	
601389	221635	
601389	226050	
601389	226094	
601389	226620	
601389	226621	
601389	228809	
601389	232805	
601389	233158	
601389	233170	Nirmala
601389	233171	
601389	246189	
601389	246196	
601389	246468	
601389	246902	Leela Devi
601389	247123	
601389	247128	Santha
601389	247165	
601389	247437	
601389	247508	Rama
601389	247619	
601389	248802	Lakshmi
601389	248859	
601389	249643	
601389	251670	
601389	251676	
601389	251678	
601389	252027	Anuradha
601389	252232	
601389	254840	
601389	255139	
601389	260007	
601389	260166	
601389	260182	Lakshmi
601389	260602	
601389	262202	
601389	262356	
601389	264760	
601389	264927	
601389	267000	
601389	271027	
601389	271375	
601389	271377	
601389	271392	
601389	271418	
601389	271462	
601389	271647	Chitra
601389	271661	
601389	271740	
601389	271767	
601389	272168	Mother of Vasu and Suryam
601389	272181	Ratnaprabha
601389	272673	Rani
601389	273759	Nana
601389	283391	
601389	287387	
601389	287388	
601389	287696	
601389	287916	
601389	288337	
601389	288538	
601389	288541	
601389	288567	
601389	288576	
601389	288577	
601389	288590	
601389	288591	
601389	288846	
601389	293285	
601389	297473	
601389	299446	
601389	300271	
601389	300272	
601389	300277	
601389	300284	
601389	300299	
601389	300300	
601389	300301	
601389	300464	
601389	302095	
601389	302096	
601389	307045	
601389	309174	Thilagavathy
601389	312464	
601389	312489	
601389	312518	
601389	316582	
601389	317092	
601389	317093	
601389	319786	
601389	320166	
601389	320391	Suvarna Sundari
601389	320392	
601389	320836	
601389	320886	
601389	320923	
601389	324070	
601389	325303	
601389	332758	
601389	333114	
601389	337101	
601389	341693	
601389	348697	
601389	348919	
601389	349107	
601389	349605	
601389	349610	
601389	349772	
601389	350292	
601389	350582	
601389	350767	
601389	351156	
601389	353336	
601389	354359	
601389	356816	
601390	21753	
601390	29041	
601390	36608	
601390	43542	
601390	62315	
601390	76460	
601390	79323	Dayal's wife
601390	85421	
601390	98552	
601390	139417	
601390	164739	
601390	172815	
601390	173756	
601390	198666	
601390	203992	
601390	208654	Neela's friend
601390	232745	Sumati
601390	247479	
601390	250585	Nilmoni's wife
601390	262367	Sumati
601390	262478	
601390	308452	
601390	319884	
601390	325333	
601390	348438	
601391	13143	
601391	167347	Kamala
601391	183923	
601391	358201	
601392	60996	Mili
601392	79228	
601392	169273	Madhuri
601392	181383	
601392	200688	Rani
601392	226124	
601392	226429	
601392	370744	Rani
601393	18386	Maid Servant
601393	36608	
601393	60996	Pishima
601393	79125	Maid servant
601393	88471	
601393	171882	Maid servant
601393	210159	Maid Servant
601393	226429	
601393	233228	
601393	271116	
601393	285847	
601393	286514	
601393	300430	
601393	349115	
601394	5193	
601394	144913	Student
601394	281838	
601394	282864	Misty
601394	358640	
601395	64167	
601396	262466	
601397	4561	
601397	4891	
601397	4893	
601397	19379	Apu's Neighbor
601397	175449	
601397	181557	
601397	184110	
601397	250586	
601397	355306	
601398	9229	
601398	12259	
601398	12260	Atashi's mother
601398	27644	
601398	29064	
601398	36250	
601398	36296	
601398	59051	Dalni Begum
601398	62315	
601398	62588	Dying woman at varanasi
601398	84795	Bholar Ma
601398	88847	Shibani
601398	95408	Ayesha
601398	123238	Sejo Bou
601398	174361	Bindubasini
601398	200650	Surath
601398	204912	
601398	205065	
601398	217929	
601398	226429	
601398	228422	
601398	228869	Manorama (Mr. Bose's wife)
601398	233175	
601398	247004	Angti's wife
601398	248699	Guest at Cocktail Party
601398	250589	Mrs. Maitra
601398	262478	Shanti
601398	285413	Dakhshayani Devi
601398	285490	
601398	286535	
601398	288845	
601398	308450	
601398	320775	
601398	320776	
601398	359152	Shobha
601399	388428	Unpora Bai
601400	29206	
601400	329292	Parvathi
601401	8393	
601401	27470	
601401	29865	Shanti
601401	35945	
601401	36239	Amba
601401	36250	
601401	59044	
601401	77038	Sati
601401	81854	Matron
601401	83747	
601401	84766	Chandramuki
601401	86233	Prabhavati
601401	94918	Bimala
601401	95408	Bimala
601401	98634	Mashima
601401	138972	Alok's mother
601401	162178	
601401	173394	Chameli Devi
601401	174162	Kunti
601401	174890	
601401	203933	
601401	203992	
601401	204912	
601401	206788	Bhairabi
601401	209572	Meera
601401	211452	Miss Rekha
601401	248391	
601401	248699	Guest at Cocktail Party
601401	250589	Mrs. Choudhury
601401	262478	Sumitra
601401	264540	
601401	264961	Shrimati
601401	266958	Alaka
601401	267952	
601401	271116	
601401	271484	
601401	288845	
601401	295021	Jogmaya
601401	318575	Annapurna
601401	339679	Kushal's Mother
601402	17307	
601402	62321	
601402	77036	
601402	100535	
601402	135892	
601402	173593	Putakullamma
601402	208576	Revathi
601402	226034	
601402	228755	
601402	247508	
601402	248586	
601402	249643	
601402	256848	Manorama Devi
601402	272700	
601402	312480	Revathi
601402	312488	
601402	312491	
601402	325303	
601402	326232	
601402	333757	
601403	85380	
601403	354356	
601404	4856	
601404	4885	
601404	9774	Sarju Bai
601404	18121	
601404	18386	Antony's mother
601404	18771	Anandamoyee
601404	20568	Atar Bou
601404	20570	
601404	23049	
601404	26007	
601404	27663	
601404	28735	Sachi
601404	36619	Queen Laxmi
601404	43542	
601404	60070	
601404	77890	Malati
601404	84795	Brajeswar's mother
601404	85135	Devjani
601404	85380	
601404	123075	
601404	123238	Bara Bou
601404	136883	
601404	137387	Sefali
601404	138935	
601404	139986	
601404	167339	
601404	172616	
601404	173278	
601404	181447	
601404	202819	
601404	233175	
601404	246350	Aunt Padipishi
601404	248966	Bhubaneswari
601404	272059	Kalyani
601404	278373	Karuna
601404	284760	Archana's Mother
601404	285527	Bara bou
601404	286514	
601404	288027	Rina's mother (ayah)
601404	295014	
601404	296387	
601404	297435	
601404	308454	Rama
601404	312452	
601404	317791	
601404	320172	
601404	320174	
601404	326648	
601404	339679	Abala's mother
601404	349110	Baijee
601404	353804	Queen Laxmi
601405	84800	Sushama
601405	170827	Dancer
601405	213782	Sucharita
601405	233222	
601405	285494	
601405	318575	Arati
601405	330353	Chanchali
601406	37591	
601406	250585	Indir Thakrun
601406	278373	
601407	12976	
601407	98526	
601407	288200	
601408	77035	
601409	332173	Kamalamba
601410	27922	
601411	6374	
601412	95407	
601412	165372	
601412	173639	Kapalkundala
601412	262454	Sarojini
601412	271575	
601413	58999	Radha
601414	47554	
601414	126275	Teela
601414	139614	Nurse Somola
601414	285988	
601415	4885	Kamala
601415	15843	Sita
601415	17307	
601415	19558	
601415	21744	Purabi Debi
601415	28822	
601415	29326	
601415	36606	
601415	36619	Anuradha
601415	38794	Kundanandini
601415	59051	Shaibalini
601415	59389	
601415	79125	Indumati
601415	81361	Arundhati
601415	107519	
601415	136883	Kamala
601415	139385	
601415	159318	Annada
601415	164955	Shreeradha
601415	165927	Meena
601415	165954	Anita
601415	168353	Pratibha
601415	169063	
601415	173547	
601415	176175	
601415	181031	Radha
601415	181042	Rukmini
601415	183901	Kusum Kumari
601415	198662	
601415	204399	Niharika
601415	210159	Hemangini
601415	222095	Chitra
601415	222096	Chitra
601415	226122	Usha
601415	248554	Anita
601415	248945	Kusum Kumari
601415	250555	
601415	262290	
601415	271553	
601415	278802	Utpala
601415	287961	Chandan
601415	288035	Chandan
601415	297443	
601415	312455	Bishnupriya
601415	316711	Manju
601415	316712	Manju
601415	341633	
601415	341690	
601415	353804	Anuradha
601415	355306	Narayan
601416	181698	
601417	178470	Niru's Grandmother
601418	271647	
601419	36154	
601419	59002	
601419	85345	Bijili
601419	88516	Asha
601419	128077	
601419	159240	
601419	166000	
601419	184018	
601419	270572	
601419	271507	
601419	286501	Lalita
601419	287201	
601419	355320	Sushila
601420	38792	
601421	204775	Amudavalli
601421	206244	General's Daughter
601421	260000	Poonkothai
601422	289139	
601422	328180	
601423	36173	
601423	84765	
601423	122799	
601423	166506	
601423	196482	
601423	246364	
601423	266964	
601423	289139	
601423	297146	
601423	299246	
601424	18785	Pandey's wife
601425	1333	
601425	4843	Nazma
601425	4853	Nazma
601425	6359	Radha
601425	6360	Radha
601425	27470	Manorama
601425	29865	Manorama
601425	36173	
601425	38227	Bindu's neighbour
601425	98634	Khyanto
601425	102096	Sutapa
601425	137830	
601425	165878	
601425	173399	
601425	200651	Monideepa
601425	206065	
601425	222095	Jharna
601425	222096	Jharna
601425	264085	
601425	271519	Jayanti
601425	271538	Bidhu
601425	272059	Nanda
601425	285847	
601425	287961	Moutushi
601425	288035	Moutushi
601425	300430	
601425	308454	Alaka
601425	319084	
601425	349114	Swarnalata
601426	227653	
601427	257103	The Darling of Paris
601428	4565	
601428	4843	Sandhya
601428	4853	Sandhya
601428	27470	Madhavi
601428	28303	
601428	29402	
601428	29865	Madhabi
601428	38226	Annapurna
601428	38631	Naren's mother
601428	43410	Attama-old
601428	59044	
601428	61017	Annpurna
601428	62314	Nirmala
601428	76460	
601428	84795	Thakurma
601428	98552	
601428	98634	Swayamprabha Sarkar
601428	105681	
601428	121483	
601428	134350	Mrinal
601428	159318	Pishima
601428	165987	
601428	169547	
601428	173640	Shyama
601428	174679	Sulata
601428	200650	Girish's elder sister
601428	200726	
601428	200803	Mahua
601428	204028	Surabala
601428	204795	
601428	204907	Mrinal
601428	207548	
601428	207879	Tandra
601428	209572	Sunanda
601428	212737	
601428	226138	
601428	227380	
601428	233248	Siddheswari
601428	243056	
601428	247131	
601428	248391	
601428	248906	
601428	267414	
601428	271519	Supta
601428	271572	Sunanda
601428	271835	Narayani
601428	272047	
601428	272180	Rashmoni
601428	284760	Sukhendu's aunt
601428	285486	Saradeswari
601428	285494	Maya
601428	287190	
601428	287534	
601428	297614	Rajanibabu's wife
601428	298630	
601428	298855	
601428	300580	Arup's mother
601428	302067	
601428	312497	
601428	317791	
601428	344644	
601428	353806	
601429	262863	
601430	248945	
601430	318575	Mashima
601431	4270	
601431	17307	
601431	19634	Bhamini
601431	26202	
601431	28735	Aditi
601431	29865	Bindu
601431	35976	Pachi's mother
601431	50956	Namita's mother
601431	62314	Shailabala
601431	63499	
601431	77890	Grandmother
601431	82819	Shoroshi
601431	138584	
601431	167464	Geeta's mother
601431	173640	Motibibi
601431	174838	
601431	204028	Mashima
601431	208604	
601431	209572	Lalbai
601431	226124	
601431	232745	Sachimata
601431	233222	
601431	250585	Dasi Thakurun
601431	262238	Jashoda
601431	297443	
601431	297542	Haren's wife
601431	298630	
601431	300430	
601431	308450	
601431	312452	
601431	312499	
601431	317782	
601431	324602	
601431	349115	
601431	353806	
601432	58999	Krishna
601433	289076	
601434	92998	
601434	271376	
601435	123737	
601436	254838	Herself
601437	233229	
601438	4275	
601438	10032	
601438	13130	
601438	17898	
601438	18483	
601438	29067	Mrs. Roy (Kamal's mom)
601438	33926	Mrs. Verma
601438	61020	Shanker's mom
601438	76674	
601438	78646	
601438	79143	
601438	79242	Ramesh's mom
601438	84768	Devdas' mom
601438	86630	
601438	88598	
601438	95006	
601438	127339	
601438	135868	
601438	145368	
601438	160552	
601438	166516	Kalindi
601438	167276	
601438	167363	
601438	168358	
601438	171759	
601438	183975	
601438	204908	
601438	210492	
601438	226116	
601438	227810	
601438	228851	
601438	228928	
601438	246896	
601438	247104	
601438	247106	
601438	248692	
601438	248965	
601438	265374	Pritam's mom
601438	271120	
601438	284774	
601438	285539	Badi Bahu
601438	287086	
601438	287365	
601438	287564	
601438	293247	Superintendent "didi"
601438	293277	Seeta's grandma
601438	296600	
601438	297012	Geeta's mom
601438	308495	
601438	313997	
601438	337070	Suresh's mom
601438	340258	
601438	350058	
601439	114891	Mariam
601440	4891	
601440	18771	Maid servant
601440	18777	
601440	28303	
601440	28735	Baruni
601440	29041	
601440	58999	Young Rami
601440	168353	Nurse
601440	172934	Sushila
601440	174679	Mili
601440	181042	Child Krishna
601440	227380	
601440	250555	
601440	262238	Lalita
601440	272059	Rama
601440	295017	
601440	341690	
601441	28244	
601442	4881	
601442	28303	
601442	28838	
601442	28910	
601442	29041	
601442	29067	
601442	36608	
601442	38505	
601442	58923	Mura
601442	59044	
601442	59051	
601442	85380	
601442	131947	Anandamoyee
601442	165379	Dharitri
601442	165954	Mrs. Chatterjee
601442	172613	
601442	174590	
601442	174838	
601442	200685	Bhikharini
601442	202819	Guest at party
601442	204028	Jamidar ginni
601442	204794	Krishnapriya
601442	207879	
601442	208654	Satish's mother
601442	209551	
601442	213782	Mashima
601442	226429	
601442	227380	
601442	228420	
601442	233228	
601442	246350	
601442	247130	Kamini's mother
601442	248554	
601442	248701	Superintendent
601442	249843	
601442	250586	
601442	262471	
601442	267414	
601442	271538	Parbati
601442	271552	Mamima
601442	278373	Landlady
601442	279765	
601442	283643	
601442	285494	
601442	298630	
601442	300225	
601442	318200	
601442	319162	
601442	320766	
601442	344066	
601442	348438	
601442	349110	Guest at party
601442	349114	Mahamaya
601443	44915	Bibha
601443	271552	Motibai
601444	132588	Lachhmi
601444	165029	
601444	278373	Ramola
601445	4854	Joseph's mother
601445	21565	
601445	21753	
601445	28303	
601445	36606	
601445	38226	Bindu's mother
601445	98552	
601445	173756	Asim's mother
601445	174679	
601445	174838	
601445	206932	
601445	227380	
601445	233315	
601445	250585	Seja Thakrun
601445	262466	
601445	271552	Rajlakshmi's mother
601445	285494	
601445	295017	
601445	295021	Mrs. Karmakar
601445	318575	Manorama
601445	320766	
601445	320838	
601446	27470	
601446	36103	
601446	166506	
601446	228863	Asha
601446	285497	
601447	200598	
601447	256477	
601448	7774	
601448	270166	
601449	18777	
601449	59479	
601449	92543	Dr. Madhurika
601449	114891	Malka Jan
601449	132611	Bansari
601449	165331	Radha
601449	173546	
601449	183923	Princess Chanda
601449	205064	Amina
601449	297036	Sarju
601449	301970	Princess Krishna
601449	323365	
601449	326702	
601449	326962	
601450	28735	Mohini
601450	28910	
601450	84800	Mahamaya
601450	165379	Sita
601450	166006	
601450	172613	
601450	204028	Mami
601450	204303	
601450	222101	Arundhati
601450	288216	Srimati
601450	318517	
601450	323986	Sulekha
601451	165216	
601452	233315	
601452	318200	
601452	353806	
601453	84790	Sarala
601454	4184	Kesavan Kutty's Mother
601454	329217	Subhashini's Mother
601455	4268	
601455	4318	
601455	84768	
601455	88489	
601455	171883	
601455	246896	
601455	308495	
601455	332173	Chapala
601456	226680	
601457	370985	
601458	36154	
601458	36288	
601458	95407	
601458	172544	Kishori
601458	173639	
601458	181053	Bhramar
601458	196482	Anarkali
601458	262411	Sunita
601458	262863	Gopa
601458	288133	Sarala
601458	299246	Dalia
601459	4561	Sahara
601459	19379	Shashinarayan's wife
601459	36544	
601459	58968	Behula
601459	159241	Shubhashini
601459	200678	Sarojini (Subrata's Mother)
601459	217189	
601459	272059	Chandra
601460	117155	Herself
601461	62227	
601461	233179	
601461	297578	
601462	233229	
601463	193902	Dancing Girl
601464	5631	
601464	5632	
601464	27472	Mona
601464	27642	
601464	147508	
601464	169927	Leile
601464	219944	
601464	246471	
601464	254825	
601464	260123	Lachhi
601464	282228	Kinari
601464	297036	
601464	320765	Indira/Shanta
601464	359820	Gulnar
601464	375199	
601465	198744	
601466	202333	
601467	330353	Mary
601468	29041	
601468	250586	
601468	287534	
601469	233222	
601470	4857	
601470	16283	Bijoli
601470	21565	
601470	62716	
601470	79228	
601470	81996	
601470	123739	
601470	164857	
601470	166006	
601470	169547	
601470	207101	Tarangini
601470	208723	Shanti
601470	211452	Krishna
601470	233315	
601470	285527	Pateshwari
601470	320766	
601470	351113	
601471	50819	
601471	152497	
601471	202333	
601471	217141	Jiban's Mother
601471	226446	
601471	228550	
601471	260123	
601471	262863	
601471	298814	
601472	165951	
601472	270575	
601472	289139	
601472	373819	
601473	30451	
601473	172699	
601473	348853	
601473	348854	
601474	987	Natesundari
601474	18483	
601474	27765	
601474	60057	
601474	135659	
601474	135868	
601474	205899	Johny's wife
601474	220774	
601474	300218	
601475	341684	
601476	271552	Gangajal of Srikanta's mother
601477	278810	Maya
601478	166506	
601478	289139	
601479	266880	
601479	389233	Xiomara Tobon (2003-2004)
601479	393023	Sarita Vargas
601480	112844	Marie
601480	196788	Lucia
601480	197055	Donna Lucrezia Borgia
601481	249284	
601482	313849	
601483	46456	Teresa
601483	86955	Laura
601483	176748	Vicki Livingston
601483	368718	Tracy Lance
601483	378683	Cynthia Bennington
601483	390643	Jane McCann
601483	400921	Kirsten Bennett Thomas Saling
601484	279480	
601485	168301	
601486	83388	
601486	100533	Maddalena Bertini
601486	377477	Jenny
601487	23973	French Secretary
601487	69391	Critic
601487	74217	Nurse
601487	155859	1st Class Stewardess #2
601487	199754	
601487	343157	
601487	356792	Mrs. Forbes
601487	372318	Nurse
601487	378680	Maryse Beauregard
601488	64215	
601488	284248	
601489	28337	
601489	36132	
601489	62228	
601489	77036	Sathi Devi
601489	122698	
601489	126973	
601489	126991	
601489	164123	
601489	174158	Subhangi
601489	174161	Shubhangi
601489	200673	Annapurna
601489	204101	
601489	229811	Seetha
601489	232741	
601489	247996	
601489	248052	
601489	251076	Christian Do-gooder
601489	252088	
601489	252151	
601489	271662	
601489	273759	Lalita Devi
601489	284826	
601489	284847	
601489	285524	
601489	297474	
601489	300275	Rukmini
601489	326180	
601489	350720	
601489	403537	Participant (1999)
601493	102829	Syndy (OBGYN Tribe)
601493	224387	
601493	258086	Meagan
601493	296813	
601493	312927	Raven
601493	327906	Syn Devil
601493	350209	Tasha
601493	362818	Ericka
601493	366730	Auriana
601496	139781	Mary Robinson
601496	312927	Barmaid
601497	57898	Arlette Paoli
601497	217212	
601497	275111	
601497	356965	
601498	35302	
601498	199307	
601498	346417	Yvonne
601499	228592	
601500	99589	
601500	352517	Donatella Versace
601503	144421	
601503	233693	Women at Play
601503	251866	
601503	254797	
601504	265699	Agathe
601505	264378	Une femme
601506	117522	
601507	156566	Ingrid
601508	286949	
601509	109619	Maitre D'
601510	105472	
601510	339708	
601512	64421	Lara
601512	82697	Tamara
601513	50353	
601514	269771	Hostage
601516	7451	
601516	7479	Germaine Lechat
601516	15114	Sylvia
601516	19095	
601516	19097	Germaine Obrecht
601516	42213	La mère de Phil
601516	55842	
601516	65635	Mme Marcenat
601516	66835	Madame Brochand
601516	83287	
601516	85534	Mme de Dino
601516	91983	
601516	93880	
601516	110052	Lucie Blondin
601516	111087	La dactylo
601516	111385	Mme. Laffont-Dubreuilh
601516	148668	Flower Girl
601516	164140	Helene
601516	197548	
601516	198573	Arlette
601516	202593	La Supérieure
601516	280442	
601516	300735	Mme. Campan
601516	332199	Mme de la Trave
601516	345248	Florence Delage
601516	347757	Gabrielle Froment
601516	356370	Madame Forneret
601517	161603	Girl #1
601518	108256	Debbie
601519	224494	
601520	330984	La belle-mère
601521	187069	
601522	192248	Chris
601523	375234	
601524	381893	Miss Meg Morgan (1990-1991)
601525	332530	Janie
601525	374401	
601526	114287	Peggy Sanford
601526	217968	
601526	332769	Julie Foster
601527	133340	Mary
601528	367083	Dancer
601529	366776	Herself
601530	337452	Olive
601531	46287	Triage Nurse
601531	134422	Puree
601531	134611	Dr. Oatman's Patient
601531	159923	
601531	230324	Rhoda
601531	374573	Daisy
601533	55110	Hospital Sister
601534	60335	
601535	91563	
601535	91656	
601536	40533	Woman with Sick Daughter
601536	94578	Contest Judge
601536	146807	Adele
601536	276197	Maria Csizmadia
601536	305356	Darnene
601536	316961	Miss Phipps
601536	323974	Jeri Lonigan
601536	390787	Iris Hussey
601537	366670	Ariel
601537	392763	Studio Boss
601538	349169	Herself
601539	11202	Vera
601540	22849	Marie
601541	51661	Anchor woman
601541	158999	Video newscaster
601541	187237	Television Reporter
601541	219796	Hearings Reporter
601541	358114	Chicago Newscaster
601541	389199	L.A. Anchor (1990- )
601542	151257	Maimie
601543	75030	
601543	75059	
601543	326727	
601543	327774	
601544	185650	Nurse #2
601545	42439	
601545	60790	College Student 3
601545	232882	
601546	318966	Secretary
601548	254680	Wife
601549	13430	Prisoner
601549	330422	Young Angela
601550	294909	Girl
601551	331791	
601552	58624	Paulette
601552	232251	Savannah
601552	400236	Dr. Pamela Shepherd (1978)
601552	404613	Fay Chandler (1977)
601553	23339	Gloria
601553	402000	Cassidy Cornell
601553	402004	Marah
601553	405209	Minnie Crozier (1994-2001)
601554	120429	Maddie
601554	131380	Demented Hills Dancer
601554	196995	Dancer
601555	378429	Luna
601556	2314	Herself
601556	12813	Raul's Mother
601556	13833	Irene
601556	14987	Ula
601556	17592	Ms. Benson (Schoolteacher)
601556	26395	Delores
601556	34611	Connie Travers
601556	43921	
601556	46448	Floria
601556	51984	Judy
601556	65989	Everleen
601556	67430	Janine
601556	72559	Shaniqua
601556	90154	Connie Harper
601556	92150	Zenia
601556	119585	Evelyn Walker
601556	121859	Dearie B.
601556	139210	Nichols' secretary
601556	141162	Tonia Harris
601556	149258	Pigfoot Mary
601556	154040	Margaret Calgrove
601556	161309	Herself
601556	161594	Ruby Dandridge
601556	164587	Snookie Tate (Jackie's Childh
601556	177605	
601556	177630	Marguerite Slocumb
601556	190859	Michelle
601556	192104	Verna McLaughlin
601556	192675	Nadine Biggs
601556	195788	Sylvia Finkelstein
601556	196407	Leticia/'Coco'
601556	222707	Annie Maude Carter
601556	242790	Principal
601556	248876	Thelma
601556	262589	Beverly
601556	263494	Jackee
601556	267255	Health Counselor
601556	273704	Miss Mary
601556	291468	Herself
601556	313141	Bertha
601556	314697	Diane
601556	348607	Reese Wilson
601556	348608	Reese Wilson
601556	358376	Gloria 'Glo' Matthews
601556	362453	Flo the Doorwoman
601556	364124	Herself - Gloria 'Glo' Matthe
601556	365710	
601556	367617	Cassie
601556	382556	Marla Hendricks
601556	386338	Stevie Rallen (1987-1988)
601556	390998	
601556	401552	Muriel Stubbs
601556	406869	Loretta Fontaine
601556	411126	M. Pearl McGuire (2004-)
601557	1470	Sylvia
601557	13798	Sharon
601557	73680	Nun #2
601557	94167	Terry
601557	171183	Val
601557	190328	Hope
601557	212837	Helen, Michael's Assistant
601557	323563	
601557	368537	Andrea's friend
601558	364391	Wife
601560	381514	Herself (2000)
601561	199150	Nun in prison
601561	363146	Sparks bargirl
601561	397614	
601562	27018	
601562	37447	
601562	41578	
601562	41632	
601562	50369	
601562	128851	
601562	158590	
601562	161186	Sara's Girlfriend
601562	167526	
601562	186129	
601562	245307	
601562	260173	
601562	321191	
601562	361950	
601563	130979	Nudist
601564	224358	Herself/Documentarian/Member 
601565	402197	Tracey Morris #1 (1980, 1981)
601566	80723	Randi Wesky
601566	230701	
601567	107125	Bank Clerk
601569	100119	April
601570	17194	La cascadeuses
601570	169536	La bru
601570	267227	
601570	346754	
601571	71802	
601572	15042	
601572	19098	
601572	20160	Aunt Warwara
601572	25128	Dame Perchuque
601572	26580	La maîtresse de maison
601572	43340	Diane
601572	54249	Diane
601572	57750	
601572	63641	
601572	67250	
601572	72524	Madame Laure
601572	73722	
601572	82605	
601572	84603	
601572	86439	
601572	92038	
601572	100187	
601572	101246	
601572	108215	
601572	126319	Mme. Fauconnier
601572	127634	
601572	166196	Madame de Saint-Obin
601572	207776	
601572	218505	
601572	219258	
601572	235815	
601572	235867	
601572	236530	
601572	248295	
601572	257000	
601572	264369	
601572	276498	Mariette
601572	340127	
601572	352631	
601572	353788	
601572	355264	Jeanne Dubois
601572	356140	
601572	356400	
601572	377670	
601573	253005	Olga the Robot
601573	389238	Themselves
601574	276536	Tsouria
601575	344410	Maya
601575	357312	Elise
601575	379254	
601575	387143	Sekretaresse
601575	393919	
601575	395515	Poppenspeelster
601575	402724	Herself
601575	409366	
601575	411311	Dominique Vervoort (1993)
601576	380911	Herself - 3rd Place (2003)
601577	131780	Ruth (Henry's baby)
601578	17621	Lorraine
601579	216920	Billie
601579	343044	Barbara
601579	382474	Officer Miranda Wright
601579	403484	Woman Soldier
601580	288953	Sleazy girl
601581	2334	1st Old Lady
601582	154775	The Mummy
601583	348819	
601584	246697	Maryon Fielding
601585	128429	Robin Age 14
601585	280489	Choir
601585	315302	Anne
601586	19199	Camera Shop Cashier
601586	53842	Anne
601586	71877	Joëlle
601586	73066	Marie
601587	53842	Marianne/George Sand
601587	121786	Miroitiere
601587	139417	
601587	166287	Mme Descamps
601587	197535	
601587	212737	
601587	254864	L'infirmière-chef
601587	276770	Shopper
601587	391930	La secrétaire
601588	12244	Mallory Child
601589	47127	Herself
601589	294225	Herself
601590	303765	
601591	12244	Mallory Child
601592	184090	Solicitor
601592	224381	Maria Gardner
601592	309820	Cameriera Fox
601593	303090	Pub Woman 2
601593	402391	Lucy
601594	55881	
601595	364756	
601596	93963	Kayla
601596	134703	
601596	357567	Sultry Audience Member
601597	302467	Gladys Brown
601598	67586	2nd Woman
601598	203358	Mama Rivoli's Diner
601598	366652	Mrs. Fondoo
601599	185683	Apprentice
601600	142716	'Family' girl
601602	151116	Circle of Light
601603	232981	Sam
601604	71564	Partygoer No. 2
601604	104949	Charlotte Doyle
601604	200463	Nurse
601604	403737	Pauline Ní Bheirn
601605	410953	
601606	196390	Model
601607	363406	Self
601608	118249	Sophie
601609	56275	Eirean Evans
601609	97212	Fiona Doyle
601609	192702	Girl
601611	313692	
601612	66837	Cole's Mother
601612	127286	Bolster Mom
601613	82916	
601613	155864	
601613	187411	
601613	187412	Herself
601613	210236	
601613	248658	
601614	66308	Stephanie Lopez
601615	281766	
601616	786	
601616	21915	
601616	34833	
601616	39292	
601616	39795	
601616	44135	
601616	93990	
601616	99129	
601616	106340	
601616	112896	
601616	116827	
601616	149250	
601616	223687	
601616	228031	
601616	233737	
601616	303187	
601616	319330	
601616	350422	
601616	367849	
601617	40809	Herself
601618	191056	
601619	192283	The Little Sister
601620	297969	Mrs. Muggs
601622	367022	Girlfriend of Nis
601623	111701	Carole
601624	621	
601624	34879	
601624	41645	
601624	68416	
601624	117103	Sara
601624	128770	Herself
601624	139209	
601624	165204	Herself
601624	188415	Herself
601624	230539	
601624	335468	Bisexual Blonde
601624	362746	
601624	363376	
601624	372522	
601625	2805	Herself
601625	18310	TV Interviewer
601625	206652	Entertainment Insider Anchor 
601625	388088	Herself - Anchor (1999-)
601625	393010	Judge (Fruits de Mare Battle)
601627	62926	Marie
601628	243744	Jessica (Woman in Tube)
601629	58724	Marie Champlain
601629	72101	Rosemary
601629	131721	Rusty Sartori
601629	135973	Edie
601629	274195	Julie
601629	278909	Neighbour on Balcony
601629	403343	Regular
601630	66993	Ann
601630	334148	Claire
601631	398350	
601633	228048	Yolanda
601634	382384	Linda
601635	288929	Hooker
601636	281609	
601636	398218	
601636	398482	
601636	401090	
601637	364729	
601638	113533	Linda
601638	118278	Serena
601638	191547	Governess
601638	200492	Nude Girl
601638	245687	Barbara
601638	292817	Susanne
601638	295611	Sarah
601638	295987	Stable Girl
601638	364510	Carrie
601639	99999	Showgirl
601641	99089	
601641	133401	Dancer
601641	296552	Dancer
601642	283522	Girl Student
601643	2566	Mary Jane Jenkins
601643	11304	
601643	11313	
601643	18592	
601643	26192	
601643	35212	
601643	46803	
601643	47329	Irene Astaire
601643	53147	
601643	106230	
601643	107416	
601643	112610	Alice Doran
601643	114191	Doris Frazer
601643	119868	
601643	126671	
601643	127687	Primrose Welby
601643	128160	
601643	140691	Hazel
601643	146076	Marie Breede
601643	147442	The Girl
601643	150819	
601643	151269	Beulah Dyer
601643	151731	
601643	176429	
601643	178135	
601643	179050	Betty Browning
601643	186334	
601643	195013	
601643	195657	
601643	200466	Yvonne
601643	200897	
601643	203442	Marion Larnard
601643	203453	
601643	206468	
601643	213139	Mary Baxter
601643	218011	Dolores Valdez
601643	220367	Marion Wright
601643	227803	Doris
601643	229141	
601643	233486	Martha Whitney
601643	257975	
601643	262341	Chaddie Green
601643	263457	
601643	273818	
601643	294172	Sally Blake
601643	300015	
601643	302647	
601643	306747	Elsie Van Tyler
601643	320894	
601643	323473	Susan
601643	331678	Mary Brown
601643	335242	Tommy Smith
601643	362969	Caroline Peyton
601643	364144	Joan
601643	368962	Teddy
601644	367913	Inmate in Hospital
601645	247992	
601647	139195	Cal Mussetter
601648	125584	
601649	26955	Politico
601650	7184	Marianne
601650	17580	Corinne
601650	21120	Costanza
601650	23734	Woman in Cinema
601650	25788	Claire
601650	36671	Sophie
601650	57840	Ariane
601650	68387	Esther
601650	69770	Judith
601650	71953	Sophie
601650	80094	
601650	87496	
601650	96170	Tina
601650	101217	Élodie
601650	104045	Sylvia l'Italienne
601650	111017	Elisa
601650	113430	Marie-France Victoire
601650	124316	Yolande
601650	133166	Constance
601650	156283	Philippe's Wife
601650	240429	Femme aux seins nus, séq. Hôt
601650	244740	Christelle
601650	250752	Rachel
601650	252330	
601650	254154	Gaëlle
601650	254316	Juliette
601650	254750	Docteur Claire Maréchal
601650	275611	Gisela von Bingen
601650	280563	
601650	282404	France
601650	288892	Pharmacienne 2
601650	294387	Claude
601650	319819	Carla
601650	327573	Anna
601650	327888	Marianne
601650	328049	
601650	335518	Justine
601650	345312	Herself
601650	345365	Marianne
601650	353861	Laurence O'Madden Burke
601650	353908	
601650	355880	Clara
601650	357849	Marie
601650	376899	
601651	355847	Lolita
601652	30243	
601652	67104	Marina
601652	199796	
601652	207065	
601652	217760	
601652	381615	Céline
601653	90173	
601655	64654	
601655	127616	
601655	158595	
601655	177468	
601655	287164	
601656	390338	Herself (1998-2001)
601657	173130	Nina
601658	101684	Une dame d'honneur
601658	205472	
601658	337543	La supérieure du couvent
601659	232778	Strip-teaseuse
601659	381614	Fanny
601659	398097	
601660	103066	
601660	242848	Großmamma Sophie
601660	275689	
601660	312524	Mutter Ssanins
601660	360921	
601661	148214	Orphan Girl
601661	277759	Vrouw in cafe
601662	265892	Party Guest
601662	313603	Female Serpent Guard
601663	278855	Call Girl
601664	95519	
601664	261527	
601664	271305	Astrid
601664	321047	
601665	387323	Lut (1996)
601666	394794	Lies (2002-)
601667	37957	
601667	38436	
601667	227231	
601667	371558	
601668	9365	
601668	27625	
601668	33859	
601668	34041	
601668	34046	
601668	35622	
601668	38467	
601668	39049	
601668	89519	
601668	109944	
601668	126870	
601668	136768	
601668	137015	
601668	137596	
601668	139375	
601668	140704	
601668	140707	
601668	163111	
601668	172007	
601668	172012	
601668	172024	
601668	173777	
601668	173863	
601668	174392	
601668	174393	
601668	176213	
601668	176700	
601668	177876	
601668	177896	
601668	180132	
601668	180139	
601668	180321	
601668	212282	
601668	218888	
601668	240535	
601668	240536	
601668	248276	
601668	285249	
601668	289286	
601668	350847	
601668	357598	
601668	370688	
601668	371555	
601668	377497	
601668	377548	
601668	377569	
601668	378222	
601668	378232	
601669	367254	Party guest
601670	24681	L'haptothérapeute
601671	23321	Audrey Nelson
601671	40532	Cotton's Mother
601671	45501	Sandy Bridgestone
601671	60950	Pauline
601671	62017	Alice Nichols
601671	86002	Jeanne D'Arville
601671	135513	Jocelyn Montgomery the Rich D
601671	141358	Aimee
601671	143503	Secretary
601671	185710	Carole
601671	203801	Liz Adams
601671	241165	Sharon
601671	366849	Cleo
601673	172970	
601673	228799	
601674	12922	
601674	188388	Satori Bunko
601675	2968	Journaliste LCI
601676	40426	
601676	183237	L.A.C.E.
601676	196077	
601676	388909	Tony Dierickx (1999-2002)
601676	402768	Haar van boven
601677	6725	Herself
601677	13503	Herself
601677	42439	
601677	133147	
601677	306908	
601677	306923	Herself (Elle Devyne)
601677	314694	
601678	175020	Roskotová
601678	189345	Míla
601678	221397	Marynka
601678	229560	Marta
601678	261934	Zuzka
601678	315344	
601678	343453	Secretary
601679	225401	
601680	178125	Wrong Motel Owner
601681	127730	Demons Dance Squad Member
601683	185303	House band member
601684	2123	
601684	398152	Karen
601686	35895	
601686	46197	Sarah Wilson
601686	63151	Katharina
601686	113104	
601686	126382	Koorlid 1
601686	141735	Weduwe Minacsik
601686	178799	Doka
601686	195163	Boerin
601686	209733	Polina Andrejevna
601686	210124	Madame Mariette
601686	233464	
601686	240211	
601686	242864	
601686	278354	Pachteres
601686	367022	Lisa
601686	374394	Johanna
601686	390408	Yvonne Wellens
601686	393451	Victorine
601686	397445	Verkoopster
601686	400801	Aspasie Speydonck
601686	410401	
601686	411116	Rozelien
601687	229052	Mona
601688	238126	Sarah
601689	403619	Herself (2001-)
601690	250723	Herself
601691	184573	
601692	111953	Alice, his wife
601693	132756	Kelley
601693	375842	Girl #15
601693	396582	Herself (2002)
601694	223099	Herself
601694	360026	Devi
601695	26093	Silk
601696	33056	
601697	310549	Herself
601698	247977	
601699	59709	Babou
601699	71947	Lola
601699	101226	Marion
601699	124145	Solène
601699	215134	Marie
601699	249277	Lucie
601699	258837	Anne
601700	51506	Saodah
601701	258858	Dancer
601702	166167	Pretty Girl
601703	230920	Herself
601704	247977	
601705	291948	Eyewitness/Herself
601706	304683	
601708	105042	Rachel
601708	291215	Herself
601709	346258	Gabby
601711	20625	Extra
601711	128332	Dancer
601712	25250	Shirley
601712	204557	Southside Girl #1
601713	96829	Townswoman at Carnival
601713	163433	Mother Mary
601713	214932	Elderly Woman
601714	298119	Alonso Girl
601715	204218	SWAT Team Member
601716	213027	Wanda Jean
601716	343879	Holly
601716	411518	Miss Newton
601717	315684	Herself
601718	361611	Voice on phone
601719	13580	Mother at Restaurant
601719	155846	Maid
601719	210871	Nurse
601719	283179	Mrs. Farrell
601719	361300	Lucy Dorsett Trimball
601719	372050	Clerk
601720	380391	Blaine Ewing Frame Grove Cory
601721	13305	Loti
601722	46363	Break Dancer
601722	80608	Susan Levin
601722	83230	Sheriff's Assistant
601722	97696	Dolly
601722	245050	Hairdresser
601722	254789	Main Line Woman
601722	277042	Rose
601722	296697	Tracy Cummings
601722	342560	Hotel Clerk
601723	177119	Mom
601724	1782	Herself
601724	2005	Herself
601724	2322	Herself
601724	2535	Herself
601724	2994	Herself
601724	295391	Herself
601725	268447	Isabelle Charvet
601727	215789	Young Hetty
601728	2542	Herself
601728	10745	Red Queen
601728	16041	Anna Kramer
601728	17695	Marilla Cuthbert
601728	17696	Marilla Cuthbert
601728	17697	Marilla Cuthbert
601728	17760	Mrs. Hall
601728	21466	Hospice Worker
601728	26306	Anna Kramer
601728	32425	Ruth
601728	35472	
601728	35480	Barbara Petherton
601728	37526	Gladys Samco
601728	45498	Mrs. Sherman
601728	49953	Mardeen Saul
601728	72332	Mrs. Kate Collingwood
601728	73987	Elizabeth Proctor
601728	80639	Henrietta Dodd
601728	81243	Elaine Lipton
601728	95796	Estelle Whittier
601728	103241	Lily Levinson
601728	104521	Herself (interviewee)
601728	105890	Satan
601728	111808	Aunt Cora
601728	113550	Dr. Vera Kropotkin
601728	116352	
601728	118544	
601728	129440	Lorna Dillman
601728	136287	Mrs. Myrtle Kennedy
601728	138238	Molly Joyce
601728	146934	Judge
601728	155227	Beulah Smith
601728	159685	Herself
601728	168654	Marie Kovacs
601728	172666	Margaret
601728	184719	Hepzibah
601728	185623	Monique
601728	203338	Helen Benson
601728	206832	Elizabeth
601728	208940	Myra
601728	209384	Woman
601728	218696	Josie Hogan
601728	223091	Hostess
601728	232017	Herself
601728	236733	Archangel Gabriel (Sanatorium
601728	248182	Herself
601728	249177	Hostess
601728	252915	Meg Larson
601728	263538	Mrs Franz
601728	301754	Mrs. O'Neil
601728	302204	(Host)
601728	315687	Rebekah
601728	321699	Golda Meir
601728	328289	Molly Dushane
601728	330561	Kate Maclean
601728	331112	Margaret Page
601728	339510	Gladys Petrelli
601728	362689	Tracy
601728	362690	Tracey Fuller
601728	367528	
601728	367916	Val
601728	372149	Grand Duchess Olga Katrina
601728	379015	Antonia
601728	382282	Maggie Geyser
601728	384378	Dorothea Dix
601728	387120	
601728	387120	Aldonza/Dulcinea/Escalante
601728	398571	Avery Brown Sr. (1989-1990)
601728	403490	Marilla Cuthbert
601728	406793	Mary Lonigan
601729	32560	Lady Blundell
601729	107229	
601729	121571	
601729	132798	Miss Pittaway
601729	195456	Mrs. Hackworth Pratt
601729	214448	
601729	221127	
601729	239744	Mrs. Rayful
601729	271338	Mother
601729	315122	
601729	316184	
601729	343066	Mrs. Beamish
601730	34683	Mrs. Vigo
601730	154902	Mrs. Calgani
601730	403992	Estate Agent
601731	239750	
601732	406891	Gracie Sullivan (1981-83)
601733	20037	Wild Boy
601734	171954	
601735	210390	
601735	253183	
601736	114609	
601736	189079	
601737	180679	
601738	288865	Lasmini
601738	288866	Lasmini
601738	288867	Lasmini
601738	405432	Lasmini
601738	409096	Sakawuni
601739	352746	Daughter
601740	183621	Bikini Girl
601741	318890	
601742	122817	
601742	122920	
601743	84230	Game Show Hostess #2
601744	377050	Manon
601745	108897	Herself
601746	69137	Young girl
601746	130948	Debbie
601746	165107	Barbara Calvin
601746	381043	Angie Cartwright (1981)
601746	385824	Joan Hopkins (1983-1984)
601746	410953	Sue
601747	267507	Kandy
601748	279205	Prostitute
601749	160861	Humphrey's Secretary
601750	11483	Mona Plash
601750	55624	Carrie's Sister Minnie
601750	59606	Justine Bonner
601750	62082	Lisa Marcel
601750	74711	Lindsay
601750	77456	Sandra
601750	92814	Wu Lien's wife
601750	114157	Nurse
601750	116372	Emiline Bronson
601750	133673	Mrs. Arthur Vinson
601750	138909	Mrs. Cameron
601750	139565	Mrs. Kronberg
601750	154895	Whisper
601750	163256	Emma Johnson
601750	163443	Trent's secretary
601750	183792	Miss Fletcher, Morgan's Secre
601750	186480	Aunt Sarah
601750	187951	Helene
601750	191833	Hazel Temple Morrison
601750	193732	Liliane Dumont
601750	210751	Marjorie
601750	218769	Elsie
601750	230303	Myra Van Elson
601750	240772	Papita
601750	257714	Greta Marsh
601750	258555	Louise
601750	288208	Guilia Forosini
601750	298050	Millicent Van Cleve
601750	298078	Lisa Kramer
601750	305934	Celia Somerville
601750	308079	Saleslady
601750	310843	
601750	321520	Pat
601750	326360	Lilly Sears, Laura's friend
601750	329481	Blossom Drake
601750	337171	Edna
601750	342474	Hannah Pyncheon, Gerald's Sis
601750	360834	Kate Douglas
601750	365180	Cissy Cruthers
601750	397325	Ruth Thompson (1953-54)
601751	57747	Guard
601752	20625	Extra
601752	275677	Frau Zinderhoff
601753	132403	
601754	67567	Angela
601754	68082	
601754	139567	Willa Mae Jones
601754	151584	Grace
601754	154907	Hilda
601754	194687	Blind Lady
601754	201302	Additional Voices
601754	250811	Woman at party
601754	275361	Secretary
601754	297136	Violet
601754	305571	Mrs. Chambers
601754	405648	Mrs. Van Huego
601755	139466	Judy
601755	176949	Connie Keating
601755	195640	Bridesmaid #2
601755	315569	Nurse
601756	1224	Jay's Mom
601756	4652	Herself
601756	9124	Juror
601756	11678	Herself (for "Three's Company
601756	31189	Herself (ABC Team)
601756	31192	Herself (Host)
601756	31195	Herself - ABC Team Contestant
601756	32941	Herself/Host
601756	60819	Herself
601756	63039	Herself
601756	190184	Herself
601756	219794	
601756	231496	Miss DeWitt, The Housekeeper
601756	232017	Herself
601756	311977	Linda Hayden
601756	314602	Love God's Date
601756	320431	Herself (Archive 1998)
601756	322629	
601756	331717	Herself
601756	342195	Herself
601756	366868	Jilly Weston
601756	408135	Janet Wood Dawson
601758	59093	Party Girl #1
601758	302198	Simone Reed
601759	64093	Sara Wilson
601759	133730	Debbie
601760	232799	Dr. Suzall
601761	394776	Herself (1999-)
601762	364893	Herself
601764	33593	
601764	64860	Packard's Baby
601764	65661	Richard Sterling Jr
601764	356327	
601765	13450	Amy
601766	276352	Monica
601767	48940	Aurore adult
601767	132853	La copine de Sylvie
601768	350407	
601769	215691	Miss District of Columbia USA
601770	104564	Whore
601771	276249	Itinerant
601772	340827	The Little Girl on the Road
601773	258101	PooPoo
601774	301381	Un' altra figlia del professo
601774	344590	La bionda nel notturno
601775	104768	Belgian entry (25th place)
601775	147240	Belgian entry
601775	387951	Herself
601775	387953	Herself
601775	387954	Herself
601775	399052	Herself (2001)
601776	31051	
601777	138353	Bud
601778	115106	Dancer #1 at repertory
601779	154517	Hostess
601781	146333	Woman at the Festival
601782	77676	Professional Latin Dance Fina
601783	41788	Elisabeth
601783	329699	Connie Webster
601783	330192	Bobby
601783	360500	Googie
601784	12651	Serenella
601784	56079	Maid
601784	56921	
601784	68059	Ann
601784	83766	
601784	83905	Katy
601784	116427	Nina
601784	125761	
601784	129020	Juliet
601784	150883	Daniela
601784	197175	
601784	208798	Emma
601784	214754	
601784	214862	
601784	238017	Julie
601784	240124	Giovenella
601784	240344	Lucia
601784	249485	
601784	252642	Esmeralda
601784	252667	Mortimer's sister
601784	252723	
601784	261893	Mara
601784	269174	
601784	269475	
601784	295040	Nancy
601784	295162	Mrs. Karlatis
601784	299548	Chiara
601784	344638	
601784	345381	L'étudiante/Student
601784	348147	Marina
601784	351525	Gina Destamio
601784	354876	
601785	111820	Loretta/Woman/Hairdresser
601785	113933	Molly Holland
601785	280447	Maddie Price
601785	346331	
601785	367023	Hermine Wittgenstein
601785	388363	Natalie
601785	391151	Diane
601785	399415	Natalie Harper
601785	408644	Helen Love
601786	48871	Janet Walker
601786	244441	
601787	187048	Mrs. Hesketh
601788	82445	Valerie
601789	364444	Matti
601790	104695	Herself
601790	215482	Herself
601790	215483	Herself
601790	397285	Herself (2002-)
601790	403619	Herself (2001)
601790	404473	Herself
601790	407173	Herself (2001-2002)
601791	32241	Otis's Girl
601792	158804	
601792	161815	
601792	171613	
601793	188542	Barbara
601793	195794	College Coed
601794	4846	Tagar Boshtomi
601794	9229	
601794	21759	
601794	38227	Kadam
601794	62306	
601794	86845	
601794	138935	
601794	165987	
601794	172938	Ranga Didima
601794	202570	
601794	206065	
601794	217584	Sukhiya
601794	228423	
601794	233228	
601794	248966	Mamima
601794	262437	
601794	312456	
601794	317777	
601794	320174	
601794	326678	Nistarini (segment "Samapti")
601795	47945	FBI agent #2
601795	106493	Mourner
601795	184978	Eleanor Duncan
601796	112051	Paige
601797	227811	Ganga
601798	379831	D.C. Dancer (1993)
601799	39	Bina
601799	44915	
601799	167533	
601799	171882	Girl's Mother
601799	173756	Asim's wife
601799	204795	
601799	226122	Bibha
601799	229331	Basanti
601799	233315	
601799	250584	Christian lady
601799	262241	
601799	264540	
601799	267128	
601799	272700	
601799	317782	Jayabati
601799	348438	
601800	12037	
601801	76542	
601801	226905	Menyan
601801	386463	Junie Morosi
601801	388860	Christine
601802	187053	Shantanu
601803	399130	Jamie Clarke (I) (1987-1989)
601804	188350	Helen
601804	344176	Miss Angers
601805	297021	
601806	100447	Carrie
601806	394420	Additional Voices
601807	177309	Ms. Baked Beans
601808	16685	Sister Ann McKeon
601808	32438	Vickie Daniel
601808	35643	Joanna/Emma Doyle
601808	41917	Mrs. Sellers
601808	46847	Madeleine Armstrong
601808	51967	Valerie Smith
601808	54654	
601808	67943	Megan Barrett
601808	80798	Rebecca Barnes
601808	87505	Patty Henley
601808	97206	May
601808	114165	Caroline
601808	127522	Joleen Sutton
601808	154445	
601808	182966	Grace Van Owen
601808	182967	D.A. Grace Van Owen
601808	192412	Josephine 'Jo' March
601808	194223	Cindy Fairmont
601808	195336	
601808	195799	Beth
601808	196302	Christina Kinsey
601808	202361	Linda Harvey
601808	206856	Rowena Harper
601808	228970	Herself
601808	257049	
601808	271172	Dianne Davis
601808	304365	Elly Brewster
601808	319202	Julie Preston
601808	328588	DeeDee Glynn
601808	329548	Southern Belle
601808	364511	Roberta 'Robby' DeBoer
601808	387510	Celia Mallory Warren
601808	389300	
601808	390311	Laurie Partridge (1973)
601808	395023	Grace Van Owen (1986-1992)
601808	396048	Wallis 'Wally' Porter (1992-1
601808	396121	Jane
601808	400913	Laurie Partridge (1974-1975)
601808	400914	Laurie Partridge
601809	96363	
601809	167230	Norma
601809	236620	
601809	292910	
601809	332908	Zulema
601810	284467	Sasedka
601811	28473	Cortez Daughter
601812	393154	Newsreader (2000-)
601813	78697	La mère
601814	84443	Irene Martin
601815	12578	Annerl Haslinger
601815	86302	
601815	90648	
601815	90981	Eva
601815	95393	Maria
601815	107370	
601815	121054	
601815	123962	
601815	130579	Margit Moller
601815	137982	
601815	139836	
601815	142010	
601815	144191	
601815	155402	
601815	155405	Susi
601815	155438	
601815	163081	
601815	174173	
601815	183255	Gina
601815	204511	Kitty
601815	210313	Escha
601815	225257	Daisy
601815	236670	Elsie Ackroyd
601815	267256	
601815	281982	Traute Reimann
601815	293800	
601815	294193	
601815	311238	Kitty
601815	352353	Gretl Krummbichler
601815	352913	Julia
601816	226254	
601816	290023	
601816	352307	
601817	351424	
601818	43629	Florentine Lacasse
601818	146934	Françoise Boyer
601818	216151	Madeleine
601818	263372	Une journaliste
601818	320421	Nurse
601818	383664	Mme Couture
601818	392841	
601818	393279	
601818	395093	Caroline Bertrand
601818	402734	Colette Beauchemin
601819	7772	
601819	12371	
601819	44045	
601819	89430	
601819	108996	
601819	111306	
601819	166390	
601819	254326	
601819	282558	
601819	289283	
601819	326286	Neighbor's wife
601820	85253	Herself
601820	122902	Herself
601820	193413	Lead
601821	395613	Co-host
601822	394349	Herself
601823	26700	
601824	86476	Mrs. Taylor
601824	289645	Lucille Ball
601824	292291	Mrs. Henderson
601824	391069	Florence Newburgh
601826	137934	Gertrude
601827	94239	La députée-maire
601828	377736	Fille hôtel
601829	30405	
601829	108731	
601829	316867	
601830	117333	
601832	349627	
601833	297233	Evil Hetero Woman
601834	272187	Susjeda
601835	34666	Rhapsody in White, the Standa
601836	322410	
601837	210618	
601837	275419	
601837	319872	Ellen
601837	404613	Karen Dehner (1975)
601838	379716	Estelle LaTour Tuggle Sago (1
601838	390958	Cheryl Ashcroft
601838	404613	Role Unknown (early 1970s)
601839	99682	Herself
601839	99683	Herself
601839	99688	Herself
601840	252721	
601842	281820	
601843	273327	Felton Family Member
601844	312939	Little Svetlana
601845	113063	Mrs. Magyar
601847	16965	
601847	188940	
601847	271716	
601848	383896	Herself - Presenter (1995-)
601848	393145	Anchor (1997-)
601848	411082	Hostess (2002-2003)
601849	261805	
601850	52163	Hindu Woman
601851	361611	Vikram's Mother
601852	264273	
601853	260000	Vanji
601853	373709	
601854	104944	Younger Tracy
601855	222282	Anusha, the temptress
601856	230873	Yvonne
601856	309047	
601857	80446	Herself
601858	274381	Zu Yao Her
601859	112904	Desi Party Fan
601859	123295	
601859	156955	
601859	184022	
601859	326963	
601859	392784	Herself
601860	288405	Meenu
601861	86628	
601862	17319	Mrs. Kumar
601862	19561	Coral Lips
601862	64872	Amrita Pal
601862	67478	Dr. Stukeley
601862	204305	Manika Kallatil
601862	311529	Leela
601862	311869	Herself
601862	313476	Queen Jamillia
601862	328638	Malli
601862	398315	
601863	346435	
601864	389774	
601864	392364	Agnès
601864	393038	Vera Claudel
601865	85445	
601865	124298	
601866	30278	Emily
601866	54189	Valerie Huot
601866	97511	Annie Herron
601866	141378	Marilyn Bell
601866	194706	Kara
601866	231149	Nathalie Lachance
601866	231327	Loretta
601866	243344	
601866	245008	Anna
601866	283537	Jessica
601866	341623	Passion Hockmeister
601866	378074	Manou
601866	395863	
601866	401789	Camille Langlois
601866	404018	Christine
601866	407360	Stéphanie
601866	409677	Josianne Villeneuve
601866	411374	Jaye Tyler
601867	169848	
601868	218341	Tuppa Girl
601869	246896	
601869	373834	
601870	355787	
601871	397886	Herself
601872	50979	Iyah (Nanny)
601873	398865	Une Naguette
601874	120435	L'employée de la crêche
601874	235264	L'infirmière
601874	268393	L'infirmière
601875	246798	Vidya
601876	356364	
601877	356103	French-Cancan danser
601879	403948	Narinder Sidhu
601880	20625	Extra
601881	4330	Kajal srivastava
601881	4875	
601881	14462	
601881	23194	
601881	25203	
601881	27387	
601881	30590	Sarita
601881	31373	Rajendra's wife
601881	34192	
601881	39034	Asha
601881	78647	Poonam Bhargav
601881	83757	
601881	91479	
601881	98473	
601881	123104	Madhu
601881	126138	Anuradha Saxena
601881	146334	
601881	152462	Sunita
601881	167355	
601881	168552	
601881	169848	Nisha (guest appearance)
601881	171848	
601881	172565	
601881	174129	Tulsi
601881	174293	
601881	184002	
601881	198722	
601881	200686	Shanti (Sanju's bhabhi)
601881	205323	
601881	226076	Seema Rai
601881	233206	
601881	233211	
601881	234884	Noorie
601881	247018	
601881	260178	Poonam
601881	268602	
601881	270052	
601881	274288	
601881	280849	Sonia
601881	284783	
601881	286844	Anjali
601881	289172	
601881	299366	Nisha
601881	303327	
601881	307100	Saniya
601881	308496	
601881	326095	
601881	328223	
601881	328225	Bijli
601881	339963	Bubbly/Kusum Gupta
601881	370207	
601881	370954	Raju's mother (woman in the p
601881	370980	
601881	370981	Sunita
601881	373804	
601882	113485	Anchor Woman
601882	138784	Secretarial Assistant
601882	241461	Reporter
601882	252971	Secretary
601883	43166	Herself
601884	121541	Sharon
601884	292430	Doctor
601884	364818	Factory Girl
601885	26021	
601885	214314	
601886	411529	Anchorwoman, Reporter (2000- 
601887	62280	Lady #3
601887	96799	Mrs. Shah
601887	222563	Vera
601887	263795	Pathologist
601887	383363	Usha (The Sea Captain's Tale)
601887	395919	Meena Solanki
601888	59172	Channi - Joginder Singh's dau
601889	1874	Helen Lucas
601889	77191	WDC Shaznay Kendall
601889	93051	Sarah
601889	159139	Lead
601889	160575	Yumma Malik
601889	186383	Helen Galloway
601889	292176	Rina
601889	381584	Nikshita
601889	391000	Neela (series 2) (2003)
601889	395189	Jandra Nixon
601889	408070	Milly Nassim
601890	338480	Madame Leguay
601891	66752	Madame Benoît
601892	160123	
601893	174635	
601894	69041	
601895	54179	
601897	270631	Herself
601898	70950	The sister
601899	15159	La sorcière
601899	66057	Une soeur de la Côte du Rhône
601899	92680	
601899	218448	Une artiste
601899	396366	La barmaid (segment "Dossier 
601899	400681	
601900	29516	Mme Gaspard
601901	278335	
601902	384542	Herself - Anchor
601902	389195	Host
601902	402435	Herself
601903	172920	Young Tara
601904	106781	Herself - Miss India-Universe
601904	170404	Julie
601904	233032	
601904	254731	
601904	268603	Sapna
601904	271622	Rhea
601904	354551	
601905	51252	
601905	59231	
601905	60499	
601905	72060	
601905	73622	
601905	92021	
601905	110729	
601905	115692	
601905	124323	Monique Lerbier, 'la garçonne
601905	135638	
601905	160502	
601905	201157	
601905	202297	
601905	207769	
601905	211216	Fanoche
601905	218610	
601905	237312	Violette
601905	240287	
601905	264098	
601905	266981	
601905	272251	
601905	280441	
601905	284682	
601905	318635	
601905	345147	
601905	346659	
601905	355260	
601905	377264	
601905	378007	
601906	169156	Herself
601907	28181	
601907	381622	Ludovica Spadoni
601908	133932	His 'Sweetheart'
601909	385	Mary
601909	10007	
601909	67515	
601909	75265	Elena
601909	127965	Prairie Flower
601909	312858	Claudia
601910	337	
601910	11697	
601910	12695	
601910	28545	
601910	42073	
601910	50593	Orlanda
601910	52835	Emma
601910	58807	Mariam
601910	61100	Lucilla
601910	111301	
601910	116593	
601910	119071	Cicera
601910	129029	Concetta
601910	129033	Elizabeth
601910	129034	
601910	135127	
601910	156956	Immacolata
601910	158721	Mora
601910	194631	Donna Canone
601910	199787	Rosaria Caruso
601910	205159	La contessa
601910	219576	La portiera
601910	234561	Maria Caterina
601910	236807	
601910	244662	
601910	247060	Giovanna
601910	256958	
601910	257019	Ottavia
601910	269094	Elena
601910	281632	Rosa
601910	290100	Dr. Dea Jannsen
601910	322936	Elisabet
601910	328832	
601910	337377	Carmela
601910	379785	Giulietta
601910	381622	Esmeralda De Santis (2002- )
601910	387737	
601910	393044	Rosalie Hawkins, Jim's mother
601910	397949	Dr. Alessandra Gordoni
601910	401970	Federica Palladini
601910	405800	
601911	33676	Aunt Tecia
601912	87042	
601913	261228	
601914	71264	Helene
601914	124233	
601914	243381	Membro del gruppo
601914	263732	
601915	23741	
601916	384618	
601917	124240	Nair
601919	377736	Sandrine
601920	255544	Sorella di Pierino
601920	259713	Infermiera
601920	354443	
601921	33	Stand in
601921	330759	Routy girl
601921	387598	Newly wed
601922	69194	Twin
601923	69194	Twin
601924	7526	
601924	90714	
601924	102272	
601924	157786	Mrs. Baruffa
601924	163024	
601924	229986	Lorenzo's mother
601924	234773	Cinzia
601924	267879	Emilie
601924	307553	Paola
601924	334429	Zingara
601924	390753	
601925	69985	
601925	90719	Angela
601925	243303	Un' allieva
601925	333154	Yvonne
601926	397106	Pat Tuesday (1991-92)
601926	406300	Pat Tuesday
601927	79064	Marie Fu
601928	124240	Suzana
601928	398501	Dirce
601928	404834	Young Djenane
601929	207961	Matilde, Domenico's Mother
601930	390498	
601931	52107	Zulmira
601931	52820	Alice
601931	55343	
601931	83732	
601931	104497	
601931	104834	
601931	207726	
601931	298566	Adelaide
601931	344709	
601931	356032	
601931	388377	
601932	73362	
601933	379244	
601934	383142	
601934	386123	Kátia
601935	56295	Yolanda (episodio 'El potrero
601936	157785	Loretta Cavanaugh
601937	300840	Duchess' Guest
601938	300840	Duchess' Guest
601939	171791	Receptionist
601940	399130	Glenda Ryan (2000)
601941	62302	María Fernández
601941	384119	Nadia/María Fernández (1996-2
601941	384120	María Fernández
601941	403021	Flor Fernández (2002)
601941	403404	Nadia
601942	77148	Vet
601942	185197	Waitress
601943	324594	Anna
601944	391860	Ángela
601945	80831	
601946	50093	Jessica
601946	130130	Child
601946	151187	Young Cindy Zagarella
601946	158372	Aimee Misch
601946	213107	New York Host
601946	366998	Karen
601947	186647	Matinee
601948	55722	La secrétaire
601948	136358	Gwen
601948	345152	
601948	377013	
601948	381590	La bonne de Clotilde
601948	407832	
601949	33696	Lyric
601950	280756	
601951	28375	
601951	202576	
601952	162034	
601954	221096	Valiant Girl 3
601955	399657	Herself
601956	158768	La signorina Motte
601957	158976	
601958	326536	Massaggiatrice
601959	78015	Courtesan
601960	270840	
601961	397857	Gabrielle (6 ans)
601962	28528	La fille du sex-shop
601963	279427	Girl in bar
601964	345539	Gino
601965	163263	
601966	173613	Young Mariagrazia (segment "A
601967	80643	Jill
601968	374211	Giulia Dufresne
601969	328972	Giovanna, Cesare's wife
601970	243657	Vitti
601971	220608	Secondina
601972	384427	Vicky
601973	409412	
601974	29777	Berta
601974	278309	La Contessa di Ceprano
601974	340651	Ines
601976	229613	
601976	238881	
601977	236406	Moza en el bar
601978	165095	Jenny Heedles
601978	189488	Young Lidia
601978	242922	
601978	382304	
601979	29678	Kara as a young girl
601980	385852	
601980	390085	Dorita
601981	90680	
601983	3465	
601983	158553	Nadia
601983	255122	
601984	38964	Herself
601985	10056	Domitilla
601985	199821	
601985	396305	
601986	183488	Mother of Rosetta and Luciano
601987	3366	
601988	110177	Ines
601989	346537	Martine
601990	64431	Olga Segunda
601990	212540	Florencia
601990	247296	Inés Clark
601990	379652	
601990	380242	Lía
601990	387916	Hermana Angélica
601990	388278	
601990	388648	Catalina Chamorro
601990	392986	
601990	392992	Josefa Soublette
601990	393340	Isabella
601990	396389	Luna
601990	396984	Matilde
601990	397117	
601990	399612	María C.
601990	400419	Natalia Sotomayor
601990	401481	Marwua Abbu Kassemm
601990	402411	Erica Sandoval
601990	403674	Jovanka Antich
601990	403686	Patricia Sierra
601990	404707	Xenia
601990	407644	Sabrina
601990	408724	Mariana
601990	409283	Artemisa
601990	410204	
601990	410383	Valentina
601991	263116	
601991	336610	Doris Isgrid, alias Teodolind
601991	336617	La moglie de Don Alonzo
601992	49677	
601992	55978	
601992	401509	Greta Antinari
601992	401510	Greta Antinari
601993	163731	(segment "Sfregiata, La")
601994	26686	La santa
601995	391532	Rosa
601996	190269	Liza Minnelli, ages 6-8
601997	127446	Lili
601998	73612	Mrs. Grumpy
601998	314501	Teacher in Washroom
601998	327628	Sally
601999	25315	The Princess
602000	33688	
602001	290000	
602002	198599	Maria
602002	375301	La Sudista
602002	401512	
602003	7334	
602003	10186	
602003	29108	Stella
602003	35028	
602003	82415	
602003	83174	
602003	86098	
602003	90687	Andrea
602003	90697	Art Student
602003	90699	
602003	92968	
602003	115279	Female Monster
602003	118930	Sonia
602003	124569	Wanda Yukovich
602003	163693	
602003	176474	Avvocato Iorio
602003	176799	
602003	177794	Helene von Feuerbach
602003	207103	
602003	238937	Serafina Vitali
602003	241964	
602003	254621	Headmistress
602003	263702	
602003	267309	
602003	269003	FrRancesca
602003	270806	Glenda Blythe
602003	300838	
602003	301354	
602003	311547	
602003	313634	Lauda
602003	316841	
602003	338720	
602003	340148	Béa
602003	342112	Singer Iris Del Monte
602003	344635	Stradi's guest
602003	345594	
602003	356615	Fernanda
602003	386478	Marta Montini
602003	404393	Susanna Della Croce
602004	124569	Signora Tiberini
602005	99246	Giannetta
602005	196782	Alisa
602006	49679	Caterina
602006	89851	Jolanda
602006	211292	
602006	305430	Alessandra
602006	351543	
602007	291516	
602008	25322	Lucrezia
602008	29138	Carmen
602008	71294	
602008	147057	Paola
602008	162067	
602008	194554	
602008	199322	Lola
602008	207071	
602008	214809	Mme Meunier
602008	216512	
602008	217109	
602008	238007	
602008	270025	Pedicurist
602008	307447	
602008	336850	Princesse Blanche
602008	377574	
602009	75572	Senora Zumara
602009	118501	Mexican Woman
602009	261574	
602009	302689	Jasefa
602010	33508	
602010	57329	
602010	63768	
602010	219830	Moglie Antiquario
602010	251322	
602010	263936	
602010	307332	Madre di Fiaschetta
602010	396305	
602011	33696	Maria Ames
602011	230687	Roxanne/Lacy
602011	270928	Police Dispatcher
602012	62713	
602013	265461	
602014	54005	
602014	76355	
602014	107687	Rosalinda
602014	187926	
602014	227575	
602014	276450	
602014	289334	
602014	293451	Cameriera
602014	311815	Agata
602015	51448	
602015	243307	
602015	295136	
602016	57945	Pam
602016	93573	Nurse
602016	202656	Charity
602016	211805	Messalina
602017	202499	
602018	7636	Mitzy
602018	13203	
602018	28179	La dame-pipi
602018	49682	
602018	68908	Erminia Colonna
602018	70547	Erminia Colonna (segment "La 
602018	75261	Walter's mother
602018	102432	Matilde
602018	115376	Marie
602018	188645	
602018	252631	Iris, prostituta grassa
602018	253237	
602018	263189	The Cook
602018	284590	Rosa
602018	294407	Agostino's Mother
602018	326164	
602018	349534	Erminia Marchetti
602019	193331	
602019	370152	
602019	379879	Nora Gabia
602019	386882	Pierina Costa
602020	269465	
602021	362845	Waitress
602022	212094	
602023	124507	
602023	318259	Mujer de Lambruschini
602024	64772	
602024	125037	
602024	127798	Gabriella
602024	129031	
602024	202576	Mantenuta del Barone
602024	242296	
602024	252009	Zelmira
602024	270812	
602024	328310	Singer
602025	135127	
602026	194150	
602026	234733	
602026	291557	
602026	344604	
602027	12210	Vera
602027	24713	Angelica
602027	255104	
602027	289582	Piercing Girl
602028	24713	Costanza
602028	71215	(segment "Spalle al muro")
602028	310247	
602028	326536	Giornalista
602029	56929	Pariola
602030	289698	Fatma la prostituée
602031	206171	Dianna
602032	47494	Stella
602032	68649	
602032	270840	
602032	355633	
602032	380992	Giovanna Porta
602033	300840	Duchess' Guest
602034	349783	
602035	355357	Strega #1
602036	18887	René's mother
602037	294127	Angiolina's sister
602037	310216	
602039	194405	Student
602040	242296	
602041	48552	
602042	124201	Una ragazza del convento
602042	328210	Un'orfanella dell'istituto
602042	336970	
602042	405291	
602043	51364	
602043	110390	
602043	163913	
602043	172697	
602043	205149	La schiava Agar
602043	229616	
602043	252678	
602043	261888	
602043	263930	
602043	276442	
602043	341836	
602044	3537	
602044	8306	
602044	30720	Padrona della copisteria (seg
602044	33676	Assurta
602044	33813	
602044	56358	
602044	57255	Prostitute
602044	91530	Suora
602044	102430	Agata
602044	124563	
602044	202424	Adelina
602044	234737	
602044	247964	La zia
602044	344632	Madre di Margherita
602044	359614	
602045	300840	Duchess' Guest
602046	80653	50's Scream Queen
602046	98990	Blonde Hallway Siren
602046	114557	French Maid
602046	120800	Linda
602047	355281	Herself
602048	381193	Giovanna
602049	57339	Lola
602049	163728	Isabella, signora italiana
602050	383448	Jessica Campioni
602050	409093	Sabina
602051	40083	Nightclub Singer (Herself)
602051	89586	Mrs. Edwards
602051	256627	Ella Fitzgerald
602051	282953	
602052	307195	
602052	354107	
602052	386792	Porota
602052	398166	Josefa
602052	399537	
602052	402675	
602052	405917	
602053	57788	Waitress
602054	83902	Gerti
602055	74512	
602055	82417	Angela
602055	82419	Signora Giraldi
602055	82422	Angela
602055	82434	Angela
602055	82440	Angela
602055	278405	
602055	312245	
602056	252679	
602057	75241	
602057	266124	
602058	197475	Concetta
602059	127941	
602060	320901	Herself
602061	178222	Patrizia
602061	262699	
602062	287762	Bride dress shop saleswoman
602063	108748	Little girl at school
602064	215589	
602065	223117	
602066	5740	
602067	36333	
602068	141988	
602069	28375	
602070	10223	
602070	37706	
602070	74390	(segment "Aparição")
602070	95420	
602070	136313	
602071	117483	Customer
602072	300840	Duchess' Guest
602073	17381	
602074	356412	
602075	33178	Beatrice's Daughter
602075	34538	Piano Buyer
602076	4638	
602076	33550	
602076	248056	Herself
602076	252295	
602076	269492	
602077	162083	Anna
602078	243692	
602079	31220	Giuletta
602079	98667	Isabel
602079	205887	Herself
602080	25301	
602080	270954	
602081	196867	Valdique
602082	334577	Camila
602083	278908	
602084	12746	Susan
602085	31878	
602085	191918	Herself
602086	28861	
602086	104500	Vanda
602086	344813	
602087	336564	
602088	185076	Lillian
602089	10529	
602089	73651	
602090	89576	
602091	26381	Dr. Silverman
602091	59135	Helen
602091	80762	Stenographer
602091	84908	Matier
602091	86476	Fitter of Style Design
602091	107940	Elder of Arroyo
602091	118763	Mental Patient
602091	213466	Bambi's Owner
602091	219903	Shop Owner
602091	257265	Ravel Puzzlewell
602091	283545	Irene
602091	312196	The Sorceress, Additional Voi
602091	340320	Wilderness Official
602092	21201	Crew member
602093	69149	Herself
602093	104736	Swiss entry (3rd place)
602094	216236	Azelma enfant
602094	216237	Azelma (enfant)
602095	234740	
602096	109087	
602097	210660	Ex-Photo model
602098	36473	Japhet's wife
602098	162083	
602098	205367	
602098	307333	
602098	343987	Ninettos girl friend
602098	350412	Angel of the Lord
602099	328972	Gina
602100	282781	Pierre
602101	386690	
602102	384427	Silvia
602102	385852	
602102	402630	Sofía
602102	403366	
602103	56481	
602103	158708	
602104	5372	Ballerina
602105	338652	La signora Terrazzani
602106	31511	
602106	118070	La signora elegante sulla car
602106	195061	
602106	218541	
602106	260053	
602106	344586	
602107	14390	Diana De Simerose
602107	43720	
602107	64699	
602107	65190	
602107	69470	María
602107	92344	
602107	99866	
602107	115755	
602107	161776	Diana di Valfreda
602107	193016	
602107	307059	
602107	327444	
602107	336322	
602107	351483	
602107	353856	La duchessa Anna Castellani
602108	86062	
602109	367812	Herself
602110	50593	Kim
602110	270855	Giovanna
602111	56926	
602112	207242	
602114	67826	
602114	148135	
602114	158764	La cuoca dell'albergo
602114	159467	
602114	159468	
602114	404750	La donna con la spesa
602115	68651	Gesummina
602116	352861	(segment "Maruzzella")
602116	386691	
602117	205426	Marie
602117	338117	Erin
602117	363602	Girl
602118	57335	Lucia
602119	340774	Helen Charles
602120	338369	Regina
602121	277587	Amica di Enza
602122	177685	Balam
602123	332910	
602124	207947	
602125	278409	Maria
602126	349537	
602128	242822	
602129	322886	Mrs. Smith
602129	366998	TV Reporter #3
602130	69985	
602130	353088	Margherita
602131	155743	
602132	13051	
602132	14847	
602132	160071	
602132	259704	
602133	367088	Herself
602134	16813	
602134	270991	
602135	219030	Trophy Girl
602135	278259	Cocoa Beach Girl
602136	218141	Shi-Wei
602138	184322	Mama Ling
602139	75031	
602139	91540	Jin Zhi
602140	60342	Suzie
602140	187411	
602140	196032	
602141	336595	Old believer
602142	7623	Astou
602143	380911	Herself - Top 30 (2004)
602144	288315	
602145	223236	
602146	226531	Elizabeth Pautonnier
602147	316309	Alice
602148	219467	
602149	196764	
602150	108543	Enfant de Tranche Montagne
602151	392855	Frau Waller
602152	132955	Maitresse Marcel
602153	90057	
602154	44393	Feodor
602154	112062	Fortuneteller
602154	133469	Ratmir
602154	208754	Ljubov Kochubey
602154	283691	Jezibaba
602154	285197	Nezhata
602155	62574	
602156	153660	Linguere Ramatou
602157	54393	Zoé
602158	346101	Party People
602159	56364	Youma
602159	96496	Brigitte
602159	119071	Andrea
602160	76043	
602161	143671	Nana
602162	239923	
602163	387212	Host (1995-2001)
602164	394572	
602165	46192	Herself - No Angels/Performer
602165	233480	Herself - No Angels
602165	367052	Girl Group Member
602165	401886	Herself - No Angels
602166	215757	
602167	281811	Member of the Queen's Court
602168	1243	
602168	6719	Herself
602168	11150	
602168	18614	
602168	26670	
602168	31203	
602168	36887	Roxanne
602168	69375	
602168	69376	
602168	81803	
602168	81916	
602168	87154	
602168	91616	
602168	113521	
602168	133126	
602168	139200	
602168	139217	
602168	150098	
602168	150889	
602168	163480	Herself
602168	192153	
602168	221073	
602168	232644	
602168	232645	
602168	261289	
602168	267219	
602168	270591	
602168	283294	
602168	283295	
602168	294210	
602168	295692	
602168	319460	Model
602168	319985	
602168	337080	
602168	360249	
602168	372522	
602169	122051	Looney Luke's Girl
602169	126594	Bessie
602169	138682	Sallie Perkins
602169	183764	Annie Wildairs
602169	203748	Sybil
602169	206421	Evelyn Draycup
602169	275767	Mrs. Hod Stoat
602169	292781	Susan
602169	295442	Katinka
602169	301690	Cora Dredge
602169	308850	Alicia
602169	334974	Rose Kinemon
602170	300865	
602171	8154	
602171	14837	
602171	20123	
602171	28887	
602171	85645	
602171	87124	Rita
602171	93895	
602171	97855	
602171	100632	
602171	104390	Karnali
602171	107332	Fofi/Princhess of Spain
602171	123521	
602171	127371	
602171	156266	
602171	162083	
602171	172823	
602171	172927	
602171	179457	
602171	180348	
602171	184764	
602171	219821	Anna (segment "Sacrificato, I
602171	226021	
602171	226030	
602171	243763	Shepherdess
602171	249412	
602171	252701	
602171	260064	
602171	270550	
602171	311415	
602171	318738	Monica
602171	326228	
602171	332237	Natalia
602171	334635	Judy
602171	338726	Maria (segment "The Wurdalak"
602171	338996	
602171	369531	
602171	379414	Eleni
602171	389020	
602171	394076	
602171	407539	
602171	407925	
602172	266962	Ada
602172	394021	Kadi Jolie
602173	32031	Une choriste
602174	288315	
602175	3329	
602176	288315	
602177	81523	
602178	288315	
602179	86088	Dancer
602180	135615	Janguine
602181	179273	
602182	400373	Herself (Danser)
602183	20625	Extra
602183	257087	Frances Brand
602184	175660	
602185	28281	
602185	65751	Vagrant Woman
602185	300350	Museum Woman
602185	337742	
602186	191419	
602186	392517	
602186	394037	Deppy
602186	394227	
602187	330358	Eva
602187	381593	
602187	387508	
602187	400825	Aleka
602187	407739	Pari
602188	268826	
602189	86064	Mrs. Raimondi
602189	148781	
602189	163003	
602189	275344	Soeur Saint-Ursule
602189	349472	Ivette
602189	354101	Geneviève
602189	384032	Chantal (1967)
602189	407070	Anne-Marie
602190	149214	
602191	13576	Disco Lady
602191	88687	
602191	113743	Sharon Geller
602191	233878	Joline
602191	296297	Station Staff
602191	315214	Sharon
602192	138837	Cathy Teegarden
602193	334596	
602194	3265	Barmaid
602194	72100	Sarah Weiss
602194	91886	Glada
602194	110315	Nurse
602194	159946	Cleaning Woman
602194	169207	Fueling Attendant
602194	213187	Officer Cooper
602194	223226	Josephine the Bar Maid
602194	231896	Receptionist
602194	233878	Nun
602194	261426	Receptionist
602194	296297	Model
602194	299691	Jill
602194	354955	Kim
602194	365381	Girl in Brothel
602195	55240	
602196	87578	Carlene
602196	88771	Maid #1
602196	214123	Nosey Neighbor
602197	79235	
602197	79236	
602197	191403	
602197	222825	
602197	237357	
602197	268485	Marigo
602197	299598	
602198	139555	Singer
602198	398876	Adjudicator (2002-2003)
602199	816	
602199	5800	
602199	6452	Roza
602199	8288	
602199	10961	Aliki's mother
602199	13221	
602199	17670	María
602199	23185	
602199	26045	
602199	74221	
602199	77273	Marianthe
602199	86579	The Lady
602199	87732	
602199	92017	
602199	98378	
602199	102692	
602199	123521	Mina's mother
602199	123703	Mourner
602199	127364	
602199	145621	
602199	149825	Uljan
602199	154135	Bebeka
602199	173326	
602199	174455	
602199	179456	Madam Pari
602199	180296	
602199	180299	
602199	180300	
602199	195236	
602199	195343	Mother Grushenko
602199	199262	
602199	199467	
602199	203806	
602199	214333	
602199	231546	Electra
602199	239094	
602199	246624	
602199	261623	
602199	261625	Despo
602199	265279	
602199	265739	Aniela
602199	272248	
602199	275396	
602199	278394	
602199	287979	
602199	308062	
602199	314299	Woman Guard
602199	321759	
602199	327117	
602199	327123	
602199	327383	
602199	329264	
602199	329279	
602199	335922	Voula
602199	343434	
602199	350659	
602199	372960	
602199	380496	
602199	393159	Tationa
602199	395465	
602199	397728	
602199	401723	Grandmother Sevasti
602199	410977	Athena Stefanopolis (1972)
602200	325479	Dr. Anna Hefele
602201	376612	
602202	1297	
602202	3452	
602202	39332	Red Afro-American Coed
602202	50560	
602202	53047	
602202	57128	
602202	75031	
602202	106430	Teen Hiding In A Closet
602202	123627	
602202	160557	
602202	191824	
602202	228008	
602202	240980	
602202	242084	
602202	306363	(segment "The Video Snuff Sho
602202	309201	
602202	319390	
602202	321034	
602202	326724	
602202	361971	
602202	368514	
602202	368574	Fluffer
602202	400149	Herself (2003-2004)
602203	299037	
602204	230360	
602205	782	Herself - Presenter
602205	17680	Herself - Presenter
602205	17681	Herself - Presenter
602205	88933	Herself
602205	381935	Herself
602205	382792	Presenter
602205	383733	Herself (Series 2) (2002)
602205	390336	Herself - Presenter (1983-198
602205	390344	Herself - Presenter
602205	409147	Herself - Presenter
602206	114926	Secretary
602207	161087	
602210	396501	Announcer, Naoko Nakatomi, Ma
602211	272602	Casino Bartender
602212	26093	Pink Girl
602213	151732	Drum Dancer
602213	258889	Barmaid
602214	293228	Workout Woman #2
602215	31637	Bikini Audition Girl 6
602216	88270	Mrs. Johnson
602216	116994	Fantasy Woman 4
602216	365981	Debbie Diamond/The Januaries
602217	6261	
602217	11150	
602217	11358	
602217	11526	
602217	11963	Killer's Date
602217	26948	
602217	26983	
602217	33952	
602217	34726	
602217	36740	
602217	37385	
602217	37386	
602217	37421	
602217	38892	
602217	39312	
602217	41076	Herself
602217	44414	
602217	46538	Wife
602217	50559	
602217	50582	
602217	50683	
602217	57127	
602217	60290	
602217	62463	
602217	81494	
602217	81804	
602217	81840	
602217	83619	
602217	85788	
602217	85796	
602217	85814	
602217	85823	
602217	85824	
602217	87374	
602217	89676	
602217	104314	
602217	109657	
602217	117418	
602217	121639	
602217	122191	
602217	123650	
602217	123657	
602217	128871	
602217	136253	
602217	143454	
602217	147699	
602217	147874	
602217	148978	
602217	150635	
602217	152672	
602217	187414	Herself
602217	188040	
602217	189453	
602217	201427	
602217	201497	
602217	207862	
602217	209750	
602217	228014	
602217	230646	
602217	235497	
602217	243541	Flower Store Worker
602217	245783	
602217	249593	
602217	260806	
602217	262615	
602217	270116	
602217	270592	
602217	272818	
602217	273550	
602217	295765	
602217	296312	
602217	297229	
602217	298168	
602217	306605	Barmaid
602217	306738	
602217	307015	
602217	311458	Herself
602217	316147	
602217	317929	
602217	317938	
602217	319284	
602217	319669	
602217	319985	
602217	324018	
602217	324019	
602217	327642	
602217	329870	Herself
602217	329872	Herself
602217	336486	
602217	341966	
602217	345884	
602217	349678	
602217	351924	Photographer
602217	364419	
602217	364669	
602217	364756	
602217	365128	
602217	365643	
602220	315265	Herself (Curly's wife, in int
602221	75028	
602222	208993	Grandma
602223	56047	Herself
602225	330246	Jeannie
602226	202728	Secretary
602226	261530	Script Supervisor
602226	342938	Receptionist
602227	92660	Peepshow girl
602228	289314	
602229	318	Lady Anna
602229	85090	Sophie
602230	408213	Kim
602231	13637	Autograph Hound
602232	13619	Young Amelia Earhart
602234	379831	D.C. Dancer (1991)
602235	137258	Girl with Legs
602238	1015	Doris
602238	39372	Woman
602238	42042	Betty
602238	73560	Mrs. Schneider
602238	80715	Mrs. Prager
602238	83099	Jenny Kootz
602238	93768	Leona
602238	112304	
602238	127531	Customer
602238	135176	Mrs. Wallace
602238	146617	Lauren
602238	187889	Leona's Mother
602238	195822	Kitty Walpole
602238	220409	The mother
602238	251347	Pampers Woman
602238	254512	Verna
602238	286425	Hannah Cohen
602238	302584	Jewish Mother
602238	332418	Esther
602238	378939	Major's Grandmother
602238	401026	Mrs. Finley
602239	285293	
602240	104047	Sarah
602240	149947	Mme. Gonzuelo
602240	170489	Portia
602240	353382	Miss Benham
602240	356955	Lady Secretary
602240	360542	Prison Matron
602241	85004	Jean Bell
602241	199308	Sister Marie Paul (episode 1)
602241	337338	Alice Simpson
602241	400813	
602241	404664	Mrs. Claricoates
602241	407174	Mrs. Halford
602242	131729	Denise Pryce-Fletcher
602242	141532	Dr. Jamieson
602242	231113	Jennifer Peel
602242	317900	Schoolteacher
602242	323721	Denise
602243	380855	Alice Cahill
602244	164247	Leigh
602245	57816	Bicyclist
602245	67135	Herself
602246	126340	Herself
602247	359063	Hector's girl
602248	34739	
602248	50350	
602248	242079	
602248	291022	
602248	291024	
602248	344483	
602249	390144	Scorpio (1992-1994)
602251	340771	Liz Body Double
602252	336242	Herself
602253	119840	Stripper
602253	243436	Special Appearance
602254	347300	Girl
602255	75033	
602256	11386	Margo
602256	29175	Tootsie, Hotel switchboard op
602256	163462	Ginger Culpeper
602256	168129	Herself
602256	196503	Harriet Singer, M.D.
602256	200122	Mrs. Vogel
602256	223918	Lil
602256	244443	Aunt Jeanette
602256	272687	Francine's Mother
602256	342512	Mrs. Weinstein (Segment #2)
602256	387309	Mrs. Yoast (1977)
602256	393482	Additional Voices
602256	396778	Herself/panelist
602256	399423	Selma Hacker (1984-1985)
602256	408523	Mildred Rafkin (1980-1982)
602258	75195	
602258	316380	
602258	330050	
602259	83850	
602259	153260	
602259	264731	
602260	90237	Acid Jazz Artist
602260	113313	Dancer
602260	286228	Dancer
602262	212078	Screaming Lady
602262	232845	Dr. Kosevich's Receptionist
602263	128577	Nun 2
602264	383972	Malka Rivka Fershtending
602264	395329	Kalanit
602265	26105	
602265	56554	
602265	128561	
602265	186777	
602268	321475	Jenine
602269	2161	Siren
602270	79272	Dater
602271	201597	Receptionist
602272	383273	
602272	398801	Patricia
602273	1283	
602273	51293	Stripper
602273	66834	
602273	75030	
602273	84660	
602273	86453	Rosa
602273	91215	
602273	139285	
602273	175947	
602273	187555	
602273	217164	
602273	217659	Lulu
602273	235253	
602273	251581	
602273	254070	
602273	255183	
602273	264638	
602273	296205	Prostitute #1
602273	334575	
602273	339914	
602273	345262	Gaby
602273	369330	
602273	383027	Herself
602274	215035	
602275	27312	Bank Teller
602276	14861	Chiara de Agro
602277	367860	
602278	132966	Girl at the bar
602279	75202	
602279	135307	
602279	276456	
602279	334682	
602280	1280	
602280	32025	
602280	195220	
602280	204916	Helene
602280	279957	
602280	286802	
602280	327883	Girl at Maxim's
602280	340203	Petite femme
602280	345487	
602280	346553	
602281	294195	Carrie Reiner
602282	289305	Maria Basehart
602283	147767	Homeowner
602285	232189	Mrs. Klaus
602287	303078	Helen Granger
602288	178792	Betsy Beck
602289	11280	Girl in Line
602290	254076	Claudies neighbor
602291	185365	Villager
602292	123380	
602293	115269	Women Coalation Diner Patron
602294	252403	
602295	159115	
602296	222856	Giornalista
602296	315829	
602297	55165	Blandina
602297	69986	Marianna
602297	88042	
602297	94698	
602297	353856	
602298	208638	Girlfriend of Lana
602299	104484	
602301	160620	Isis
602302	192252	Biram
602303	67038	
602303	336641	Femme de Prince
602304	225379	Le vieux Inazel
602304	276502	
602305	7686	
602306	66596	Aminate
602306	125937	Lea
602306	135615	Meya
602306	198841	Macho's Wife
602306	218683	Hadjatou
602307	268940	Belle-soeur
602308	104761	Portuguese entry (14th place)
602308	104763	Portuguese entry (18th place)
602309	381200	Tatá
602310	401944	
602311	263929	
602311	294113	
602311	380112	
602311	380271	Mina
602311	380327	Maria
602311	380448	Glorinha
602311	384382	Amélia
602311	386168	
602311	386377	
602311	389154	Gabriela
602311	393979	Ester
602311	397543	
602311	397547	Helena
602311	399498	Elza
602311	399713	Sofia
602311	402264	Ana Maria
602311	403025	
602311	403617	Sofia
602311	404014	Lina
602311	405401	Angélica
602311	407639	
602311	410287	Verônica Bonelli
602312	243273	Yoga Master
602313	64951	Stripper
602314	168133	
602315	390827	Belinda (2000-2001)
602315	390828	Belinda (2000-2001)
602316	4664	
602317	42976	
602318	205696	
602319	133003	
602319	222191	
602319	256780	
602319	268411	
602319	381773	
602319	402563	
602319	406987	
602319	410287	
602320	61342	
602320	275024	
602321	381222	
602321	401460	Lúcia
602322	405162	Herself
602323	256316	pinkeldame Akeleitje
602323	394612	Martje Spaargaren-Lutterop
602323	394912	Koningin Madelein
602323	402545	Leonie Quarles
602323	407166	Huishoudster
602324	210947	Bianca
602325	69239	
602325	101471	
602325	353100	
602326	115833	
602327	12080	
602327	205696	
602328	336683	Jackie
602329	85515	Lúcia
602330	70701	
602330	202129	
602330	344699	
602330	377617	Lola
602331	72931	Goodyear Chorus Girl
602332	189309	
602333	30515	
602334	124098	Old woman
602335	382741	Inês
602335	386726	Maria Aparecida
602336	12821	
602336	21727	Letícia
602336	54104	
602336	62513	
602336	103902	
602336	125814	Gloria
602336	144201	
602336	199124	
602336	376587	
602336	380326	Guiomar
602336	381251	Cândida
602336	383441	
602336	383866	Olívia
602336	384303	Lígia
602336	387166	
602336	387424	Carmem
602336	387502	
602336	387777	Odete
602336	388398	Noêmia Ribeiro
602336	388591	Júlia
602336	388941	
602336	390499	Baronesa Damaceno/Sandra
602336	392589	Aquilina
602336	396741	Débora
602336	400214	Suzana
602336	400678	Filhinha
602336	401678	Luiza
602336	401820	Joana
602336	402108	
602336	402371	Leontina Mestieri
602336	402807	Samira
602336	403199	Rosa
602336	408212	Zuleica Cinderela
602336	409417	Nilza
602336	409418	
602336	412179	Clara
602337	99107	
602338	43609	
602339	412185	Yolanda
602340	77705	Woman in café esplanade
602341	344862	Fátima
602341	398501	Sônia de Fernandes
602342	431	Rosa
602343	19471	Cecilia
602344	11357	Juanita
602344	319281	Maria
602345	14750	
602345	107270	
602345	198195	
602345	322819	
602348	316845	Delphine
602349	42025	Mme. Boyer
602349	56722	Nurse
602349	114979	Mrs. Corelli, Vecchi's sister
602349	129559	
602349	167253	
602349	243262	Patronne
602349	264448	
602349	302689	Chela
602349	316272	Magda Mayer
602349	372788	Ayah
602350	338242	
602351	85515	Vanda
602352	57382	
602352	127587	
602352	148472	
602352	212030	
602352	224965	
602352	248303	
602352	295097	
602352	322819	
602352	327812	Anna Mercedes
602352	349722	
602353	131431	Puerto Rican Woman
602353	289253	Lupe
602353	319682	Special Ed Kid
602354	391675	
602355	14751	
602355	222159	Lúcia
602355	265490	
602355	338241	Loya
602355	380120	
602355	397553	
602355	409003	Débora
602357	135244	
602358	8511	
602358	82208	Hryssa
602358	93890	
602358	100558	
602358	102414	Maria
602358	162708	
602358	379233	
602358	379437	Margarita
602358	379911	Athina Koulianou
602358	380492	
602358	387154	Flora Barbaritsa
602358	387404	
602358	397813	
602358	406476	Foto Bartzoka
602358	408319	Boubou
602359	287327	
602360	158938	La jeune prostituée
602360	198841	Moka
602360	300769	La mère de Sia
602360	322660	Koro
602361	125937	Dina
602361	300769	Sia
602362	211140	L'hôtesse de l'air
602363	63909	
602364	151479	Rose
602364	360765	Gisella
602365	119084	
602366	40208	Baricina kcerkica
602367	373961	Doña Toña
602368	185946	
602369	384251	
602369	387123	
602370	1474	Herself
602370	1674	Herself
602370	1681	Herself - Presenter
602370	1737	Herself
602370	2818	Herself
602370	3021	Herself
602370	3046	Herself - Presenter: Best Art
602370	3053	Herself - Presenter: Best Ani
602370	3619	Herself
602370	7583	Herself
602370	13751	Herself
602370	18544	Christina Pagniacci
602370	27172	Herself
602370	33179	Lotte Schwartz
602370	59664	Natalie Cook
602370	59665	Natalie Cook
602370	72823	Herself
602370	110251	Blonde TV Reporter
602370	110523	Freddie Clayton
602370	121515	Herself
602370	123849	Jenny Everdeane
602370	126668	Herself
602370	140926	Nathalie
602370	141041	Herself
602370	157720	Maggie
602370	158022	Herself
602370	161891	Faith
602370	175842	Trudy
602370	185690	Jude
602370	190139	Celine Naville
602370	201646	Herself
602370	201806	Herself
602370	203696	Random Celebrity
602370	207157	Tina Carlyle
602370	207398	Herself
602370	214755	Woman on Metro
602370	221426	Herself
602370	223711	Kimberly Wallace
602370	231536	Herself - Host
602370	274594	Herself
602370	274600	Herself
602370	288710	Herself/Various Characters
602370	295636	Herself
602370	298117	Heather Davis
602370	300229	Princess Fiona
602370	300230	Princess Fiona
602370	300232	Princess Fiona
602370	300233	Princess Fiona
602370	300234	Princess Fiona
602370	304447	Herself
602370	321367	Christina Walters
602370	330057	Mary Jensen
602370	330443	Carol (segment "Love Waits Fo
602370	345878	Herself
602370	350424	Julie Gianni
602370	352684	Laura Garrity
602370	357990	
602370	361224	Herself
602370	392421	Herself
602371	319367	
602371	380097	Young Luísa
602371	383550	Angélica
602371	384118	Maria (1997-1999)
602371	384480	Kadija
602371	384645	Tininha
602371	395302	Raquel
602371	412258	Eliana
602372	281166	
602373	160000	Melody Lounge Dancer
602374	37672	Bandit
602376	383897	Herself - Co-anchor (1992-)
602377	94793	Girlfriend #1
602377	154079	Rachel
602377	346273	Hispanic Teenager
602378	19829	
602378	44450	Madame (Villa Dulce)
602378	48273	
602378	51967	Angel Perez
602378	108477	Elvira
602378	114296	Linda
602378	135862	Gloria
602378	197065	Mother Arnaz
602378	206093	Simka
602378	214162	Linda
602378	231511	Irene (Domestic Maintenance)
602378	256593	Ben Ezra's Wife
602378	303225	Choir nun
602378	303226	Choir Nun
602378	329906	Ella
602378	401859	Lupe
602379	8021	
602380	264843	
602381	280438	Young Working Woman
602382	75524	Herself
602383	189294	
602384	28074	
602384	30869	
602384	42422	Botanica Vendor
602384	76813	
602384	76887	
602384	123919	Diding
602384	169106	Doña Teodora Alonzo Rizal y R
602384	177910	
602384	184184	
602384	211185	
602384	213530	
602384	213773	Milagro
602384	217619	
602384	237118	
602384	246938	
602384	256099	
602384	302902	
602384	339208	
602384	344199	
602384	380345	(2000-01)
602384	394773	
602385	72766	Taco Vendor
602386	321543	Eloise Jackson/Cora Smith
602387	284899	Prostituta
602388	10984	
602388	53214	
602388	85475	
602388	153315	
602388	359356	Connie
602389	87166	Minivan Theater Kid
602390	297695	Nervous College Girl
602391	173549	
602391	227728	
602391	256102	
602391	295713	
602392	155897	
602392	182996	Maria
602392	213653	Theresa
602393	364583	Herself - Host
602393	383119	TV Anchor
602393	383895	Anchorwoman (2002- )
602393	388139	L.A. Anchor (1985-2002)
602395	153819	
602396	328321	
602397	346250	Dancer
602398	184714	Danseuse
602399	204576	Club Dancer
602400	222674	
602401	355091	Jane
602402	225038	
602403	91920	Maribel Benitez
602403	271363	Melonie
602404	38500	
602404	181828	
602405	187919	Cecilia
602405	400621	Margarita (1999)
602406	215512	Miss January
602407	157563	Inez
602407	175787	Fire
602407	215860	Pretty Girl #3
602407	221005	Tour Guide
602407	281056	Coat Check Maria
602407	320156	Tawnya Como
602408	395236	Bárbara
602408	397737	Nelly
602408	399743	Pilar Carabali
602408	402898	
602409	202735	Cleme
602410	190417	
602411	379552	
602411	407862	
602412	411998	
602413	57001	Jenny in Copy Room
602414	28769	Pilar
602414	84955	Bianca Balzo
602414	111061	Maddalena
602414	207093	Sylvie
602414	400516	Mercedes
602415	245893	Desha
602416	100106	Gina
602416	267339	Gunwoman
602417	41376	Teresa
602417	65756	Waitress
602417	90377	Sari Ghandi
602417	132677	
602417	134916	Ricky's mother
602417	239709	Maria
602417	297773	Gloria
602417	340732	Maraquilla Esparza
602417	375842	Monita
602417	384423	Claudia Morán
602417	412198	
602417	412272	Evelyn Romany
602418	92742	Waitress
602419	317673	
602420	297695	Sugar Fixated Driver
602420	400667	Janis (2003-)
602421	264168	Additional Voices
602422	357722	Apocalyptic girl
602423	253711	Matilde
602423	311785	Herself (Model)
602424	397009	Norma Malpica
602424	399525	Melda
602425	11529	Girl
602425	351410	Young Mary Carmen
602425	363415	Rosanna Ortiz
602426	362092	
602427	340974	Herself
602428	407080	Herself (Sole Survivor, 39 Da
602429	67348	Hardison
602430	230074	Amy
602430	258022	
602430	317314	Beautiful Mom
602431	152190	Gertrude Stein
602431	183533	
602432	91037	Krankenschwester
602433	102389	Kellnerin
602434	359596	Marie
602435	165964	Swimmer #1
602436	229260	Jerilderie Hostage
602438	351188	
602439	128350	Flasher girl
602439	146780	First date couple
602439	158151	Street Walker
602439	217820	Dallas cowboy cheerleader
602439	409215	Waitress
602440	11945	Nurse
602441	309718	Darcy
602441	398558	Mary Elizabeth Merchant
602442	348194	
602443	71474	Dancer
602444	348601	Bowl Theif
602445	369989	Herself - Presenter: Honorary
602445	387177	Entrevistadora (1996-2001)
602445	397207	
602445	409955	
602446	96873	Lorna
602446	387247	Lorna Cartwright (1997-1998)
602446	388486	Carol McGary
602446	390084	Linda
602446	390270	Paula Graham
602446	409234	Elaine Walker
602447	61563	Mother
602447	66583	Mother
602447	362800	Grandma Walker
602448	6524	Lady Mary
602448	13387	Kate Brent
602448	19086	Lady Rutherford
602448	21452	Evelyn Garland
602448	24707	Helen Stone
602448	25574	Sinfi Lovell
602448	30080	
602448	35208	Maggie Busby
602448	40822	Mrs. Banning
602448	41902	
602448	54881	Countess of Chell
602448	83119	
602448	120871	Edna Denzil
602448	124099	Belwottle
602448	133898	
602448	141196	
602448	142494	Mrs. Price
602448	146003	Geraldine
602448	193615	Mrs. Topleigh-Trevor
602448	197654	Rachel Dornblazer
602448	203291	
602448	206927	Miss Reeve
602448	228496	Lady Standish
602448	274246	Lady Newhaven
602448	282619	Marie-Louise
602448	286124	Miss Priestly
602448	286133	Belle Cavendish
602448	296788	
602448	298172	Rhoda Meredith
602448	300473	
602448	301962	Lady Chalmore
602448	302228	Sylvia Royal
602448	316354	Dolorosa
602448	332093	Mrs. Sternhold
602448	347552	Nella Frensham
602448	348068	Genevieve
602448	360195	Daisy Musgrave
602448	364527	
602448	367555	Naomi
602448	367901	Margaret Graham
602449	391035	Sissy Jupe
602450	236027	
602451	228167	Terplykha
602452	301443	Herself
602453	383684	Carolina Chávez
602453	387965	
602454	314415	Herself
602455	272019	Lily Thomas
602456	280006	Dee Dee
602457	209112	T.V. Reporter
602458	148561	Church Lady
602459	61794	Officer Gates
602459	87007	Narrator
602459	262798	Mother in train station
602460	248572	Female Lover
602463	26418	Girl
602464	264232	Mrs. Johnson
602465	68556	
602466	216335	
602466	344446	
602467	76016	Maribel
602467	77705	Marina
602467	100254	Voz
602467	101867	Azucena/Jacinto's voice
602467	113255	
602467	115855	Madre de Sopeña
602467	118157	Herself
602467	121696	Herself
602467	124543	
602467	133083	Julia
602467	248541	Dependienta 2 tienda de gafas
602467	262983	Herself - Winner: Best Suppor
602467	349335	Herself
602467	373994	Ana María
602467	376685	Mar
602467	395328	
602467	403538	Charo
602468	142718	Bernardine Dohrn
602469	233585	Christie
602470	233585	Carmen
602471	1870	Lily (Newborn)
602472	1870	Lily (Newborn)
602473	36921	
602473	50393	
602473	327781	
602474	354952	
602475	97435	Lieferl
602476	54207	Woman Scientist
602477	195689	Dominatrix
602478	78839	Felicia
602479	84811	Fun Wrestling Girl
602480	16646	Bohemian Girl
602482	322513	Lissy
602482	357569	
602483	61552	Judy
602483	105713	Chris Caffee
602484	103254	Nora Ramsay
602484	134518	Young Jennifer
602485	17756	Nellie
602486	46334	Rosemary Garr
602486	238238	Dickette
602487	138724	Waitress Ingrid
602487	213027	Linda McAllister
602487	224299	Mary Gribley
602487	320421	Marilyn
602487	332418	Sandy
602487	338272	Diana
602487	391533	Amy Sperry
602488	265679	Sarah's Mom
602488	276240	Older Woman
602488	323974	Kathleen
602489	369881	
602490	211159	The Old Lady
602491	223934	
602492	69	Mrs. Shields (Boer woman)
602492	118472	Night Nurse
602492	119552	Waitress
602492	288050	
602492	296947	Jean Bennett
602492	315510	Miss Walker
602492	403244	Joanne Peterson
602493	93023	Kerri
602494	64847	Claire Hendersen
602495	171251	
602496	290481	Grauer Star Dancer (extended 
602497	35831	Zeina's Mother
602497	58111	Mabrouke
602497	65041	Thérèse
602497	184273	
602497	270539	Zakieh
602498	218599	Girl in Castle Anthrax
602499	17912	Paula
602500	386338	Kinu Owens (1990-1991)
602501	128708	
602502	330590	Kiki
602503	69795	Star
602504	190854	Niecey
602504	330590	Niecy
602505	231997	Purple Angel
602506	207782	Singer
602506	308684	Singer at Barn Dance
602507	106666	Masked party principal
602508	40497	Stout Teacher
602508	65883	Fat girl
602508	80518	3rd Woman
602508	94012	Mrs. Hardy
602508	118466	Woman Shopper
602508	122028	Colossa
602508	131104	
602508	143522	Cook
602508	158137	Old Woman
602508	171076	Large Woman
602508	194844	German Housekeeper
602508	215796	Kate Lemsford
602508	219420	Lady ...
602508	230394	Cook at Shrublands
602508	256211	Dancing Teacher
602508	256257	Fat Lady
602508	271248	Ambrosia
602508	289615	Aunt Lulu
602508	334112	Woman in Hats
602508	353465	Large Lady in Restaurant
602508	365881	Barmaid
602508	401224	Partygoer
602509	372641	Carrie Sue
602510	379076	
602510	386436	Melissa
602511	1674	Herself
602511	68454	Jenny
602511	115319	Herself
602511	127562	Linda
602511	131803	Muriel
602511	133594	Maggie Bell
602511	141181	Susan Doyle
602511	147603	Sarah Kennedy
602511	150998	Carol Burdon
602511	211382	Stacey Siebring
602511	247204	Laurie (Russell's girlfriend)
602511	330410	Sherry
602511	340987	Addy Monroe
602511	343020	Nancy
602511	356244	Terry Deveroux
602511	363977	
602511	374573	Gloria Sullivan
602511	381868	Sarah Day
602511	400548	Danni
602512	41179	Server
602513	195262	Monica & Quincy's Baby
602514	190854	Nina
602514	330590	Nina
602515	20683	Girl #3
602516	33721	Diane
602516	71310	Tava
602516	120344	Blond Party Girl
602516	192272	Frances
602516	292457	Anne
602516	300425	Suzanne Fountain
602517	230701	
602518	277839	
602519	65102	B.J.
602520	60096	Ricky
602520	73126	Sonia
602520	174909	
602520	175713	
602520	205297	Tamara
602520	232051	Isabelle de Fleury
602520	279072	Anja
602520	299241	Dana
602520	387890	Alma Maayan
602521	3100	Sarah Jane, age 8
602521	156940	Sarah Jane, age 8
602522	276239	Red Queen
602522	301230	Alice
602522	406549	Girl in Museum
602523	22955	Lisa Cooper
602523	79973	School Girl
602523	84396	Charlee Turkle
602523	265683	Britney 3
602523	277922	Danielle
602523	340669	Denise
602523	404559	Samantha
602523	410584	Ellis Smith
602524	296019	Young Girl
602525	185575	Chelsea Banks
602525	388270	Reese Toussaint
602525	389858	Gina Williams #3 (1996-1997)
602525	405123	Barbara
602526	377416	Dame på restaurant
602527	363981	Annette Ayers
602528	312062	Consuela
602529	45887	Renee
602530	363981	Reporter #6
602531	81655	Fritzie, Gee's Granddaugher
602532	13595	Store Clerk
602533	49347	Bartender
602533	320116	Taxi Passenger
602534	33376	Liz Blair
602534	305074	Redhead Girl
602535	218055	Cop #2
602536	109654	Mrs. Bissett
602536	174601	Kathleen's Mother
602536	177647	Aunt Sophronia
602536	278788	Mrs. Joseph Luckett
602537	212694	The Dialect Coach
602537	234212	Nurse
602537	328301	Checkout Girl
602538	313972	Statesman's Mistress
602539	126619	Extra Talent (segment "Gett O
602540	215691	Miss Utah USA
602540	381091	Herself (eliminated round 3)
602541	45668	Girl on street (segment "Crus
602541	74112	Girl on the street
602542	41410	Janine Elson
602542	328268	Helicopter Newscaster
602544	333354	Baby
602546	154345	Melody
602546	185087	Tedra
602546	233307	Girlfriend
602546	245727	Catherine Howard
602547	19024	Texas Choir Member
602549	41312	Betty
602550	52007	Gloria
602550	63185	Opal McHone
602550	158930	Regina
602550	169422	Jenny
602550	244933	Skillet
602550	258103	Strom
602550	264427	
602550	309153	Glyndora
602550	384179	
602550	384180	Opal McHone
602551	46352	Kelly
602551	46353	Kelly
602551	60316	Cory Foster
602551	133402	Girl Greaser
602551	232971	Christie
602551	253342	Employee
602551	405839	Herself (Solid Gold Dancer) (
602552	28273	Narrator
602553	408300	Lex (2000-2001)
602554	185422	Kirstin
602555	75555	Housekeeper
602555	92653	Gerda
602555	108926	Ethel Morton
602555	178121	Woman at graveyard
602555	255274	Mrs. Fitzhubert
602555	310264	Hannah
602555	385299	Mrs. Elgin
602556	94206	Susan's Mother
602557	191407	Rachel
602557	194167	Girl A.S.M
602557	297906	Poppy Monahan
602558	80911	Whitney Paine Clerk
602558	158318	Newswoman #1
602558	218376	Mother
602558	270436	Peppermint Park Waitress
602558	311534	Barmaid
602558	338901	Molly
602558	395924	Jean Quigley, Sicknote's wife
602559	2012	Herself - Presenter
602559	2025	Herself - Co-host
602559	2261	Herself
602559	2376	Herself
602559	2515	Herself (Co-Presenter)
602559	2548	Herself (Presenter)
602559	2603	Herself (Presenter)
602559	11689	Herself
602559	13920	Herself
602559	13928	Herself
602559	14094	Herself (Co-Host)
602559	14095	Herself (Co-Host)
602559	21003	Laurie Gibson
602559	36722	Mrs. Barlow
602559	36723	Wilma McClatchie
602559	36724	Wilma McClatchie
602559	40022	Sally Morrow
602559	42346	
602559	42361	Herself
602559	45884	Fran
602559	50060	Herself
602559	52744	Flight Attendant
602559	54556	Lt. Francie Corum
602559	56179	Anita Corcoran
602559	56426	Emma Marcus
602559	59597	Dragon Queen
602559	59826	Ruby Calder
602559	62021	Lucky Legs
602559	74244	Eileen Kelly
602559	81115	Vanessa
602559	81770	Rénee Chadaway
602559	85672	Margot Wendice
602559	92159	
602559	93573	Kate Miller
602559	94861	Blair
602559	99593	
602559	104965	Miss Adrian
602559	111792	Cathy Simon
602559	113732	Beth Mancini
602559	120757	Rose Carver
602559	135855	Janice
602559	138700	Herself
602559	144584	Becky Carter
602559	147768	Herself
602559	148674	Karen
602559	152679	Herself
602559	154478	Leonard's Wife
602559	154882	Alice Greenway Bradford
602559	161380	Narrator
602559	162159	Herself (Host)
602559	166242	Georgia/Laura/Ginny
602559	167007	Jessica
602559	169680	Herself/Sgt. Suzanne 'Pepper'
602559	176379	Herself
602559	176913	Sheila Farr
602559	178760	Belinda McNair
602559	179420	Carolyn Payton
602559	185130	Lisa Denton
602559	185550	Card Player
602559	187359	Herself
602559	191306	
602559	196172	Sandy
602559	196987	Party Guest
602559	199460	Georgina Scudder
602559	200219	Herself
602559	201658	Herself
602559	203461	Ruth Paris
602559	203650	Kitty
602559	212696	
602559	228969	Herself
602559	228986	Herself
602559	234971	Ellen Sterns Cort
602559	238071	Beatrice Ocean
602559	238072	Herself
602559	241130	Maggie
602559	241718	Fay Reid
602559	243797	
602559	245698	Lindy Garrison
602559	251194	Grace
602559	258858	Chris
602559	259284	Officer Anne Cavanaugh
602559	260410	Linda Benson
602559	262518	Nancy McIlvian
602559	263339	Miss Betty Smith
602559	263797	
602559	275480	Margaret Fullerton
602559	276439	Dr. Layle Johnson
602559	276689	Polly Logan
602559	278528	Sgt. Suzanne 'Pepper' Anderso
602559	278570	Feathers
602559	280113	Herself
602559	281132	Lydia
602559	283360	Yellow Moccasin
602559	284932	Mrs. Ingrid Tyson
602559	286466	Laura Breckinridge
602559	289724	Herself
602559	291866	Lucille Ethridge
602559	293109	Joanne Taylor
602559	299678	Priscilla King
602559	302919	Rachel Cade
602559	303574	Herself (Hostess)
602559	304545	Herself
602559	307896	Rachel Amidon
602559	314884	Abigail Winslow
602559	318462	
602559	318940	Abbie
602559	319721	
602559	327980	Saloon Girl
602559	328031	Cathy
602559	328553	Kate Miller (Dressed To Kill)
602559	330284	Jean Melville
602559	338733	Beverly Thomas
602559	339525	Herself
602559	345264	Jackie Kovacs
602559	347545	Herself
602559	372492	Lily Beloit
602559	391834	Sadie LaSalle
602559	391835	Herself
602559	400423	
602559	401079	Midge Forrest
602559	401767	Sgt. Suzanne "Pepper" Anderso
602559	402888	Herself
602559	402964	Herself
602559	411139	Josie Ito
602560	85893	Katie
602560	329307	Bridesmaid #2
602560	363611	Reporter
602561	146661	Game Show Girl
602561	202395	Betty
602561	252915	Lexie
602561	334278	Girl at Dance
602561	406083	Gloria Cater
602562	2837	Francis
602562	80779	Woman on Phone
602562	109929	Natalie Photo
602563	311537	Fern's Teammate
602564	134315	Admissions Person
602565	106757	Anne
602566	333679	Grace Milne
602567	106109	Model
602567	379978	Herself/Judge
602568	124453	
602569	157195	Dancer
602570	131200	Inez
602570	409840	Britannia
602571	18979	Margaret Haise
602572	28708	Slyvie or Sylvie
602572	57164	Mother
602572	80518	Marilyn Gale
602572	113380	Waitress
602572	148870	Honey Jones
602572	193775	Nancy Day
602572	201884	Herself
602572	310171	Bitchin' Betty
602572	319568	Pretty Young Lady
602572	319614	Wife
602572	378819	Aunt Tina
602572	384385	Lily
602572	385143	
602572	391689	Trillian
602572	407759	Female Trumpet Voice/addition
602572	408877	Penny Warrender (1982-1983)
602572	410918	Various (1976-1977)
602573	4838	Mrs. Reich
602574	36855	Herself
602574	381917	Herself - Intruder Evictee #5
602575	288315	
602576	358030	Nandi at 6 years
602577	29101	Young girl
602577	374425	Kitty
602578	332807	Young Paula
602580	321522	Margie
602581	54609	Flower seller
602583	687	Herself
602583	60834	Svetlana
602583	105016	Audience Member/Herself
602583	198094	Juan's Girl/Svetlana (segment
602583	215796	Linda Taylor
602583	274473	Hippy Woman
602583	296552	Our Guests at Heartland
602583	381212	Anita Braithwaite
602583	409240	Regular Performer (singing)
602584	265599	Ripley
602585	114979	Barmaid
602585	193768	Sgt. Williams
602585	299233	
602585	356353	Waterson
602586	320623	Lina Svensson
602586	407127	Lina Svensson
602587	303975	Juliet
602588	271192	Nurse
602589	59180	Vi Guthrie
602589	78315	Jane Kaye
602589	96912	
602589	141008	Frances Wilson
602589	251263	Barbara Wyndham
602589	282491	Dancer Guest
602589	301978	Dancer
602589	321703	Mrs. Stanhope
602590	46424	Margie
602591	191950	
602592	126067	One of Do's Four Girls
602592	274502	
602592	372219	Miss Pfiffernuss
602593	77456	Woman on Street
602593	294038	Guest
602594	7492	Cleo Arden
602594	36821	Sue Peters
602594	72283	Evelyn Corey
602594	73173	Mrs. Keppler
602594	130620	Mona
602594	141321	Joyce MacMillan
602594	154712	Wanda Holland
602594	177469	Tina Martin Deribault
602594	183760	Dolly Baxter
602594	211391	Leslie Ramsey
602594	233872	Gertrude 'Trudie' Plummer
602594	240993	Peggy Porterfield
602594	262066	Edwina Stephens
602594	264644	Mona Lannon
602594	270497	Nora Jordan
602594	272691	Miss McCue
602594	292829	Mrs. Carla Orr
602594	323807	Blonde
602594	326466	Jerry Sullivan
602594	330184	Peggy
602594	330241	Sybil Hale
602594	330889	Florence Bertrand
602594	360040	Ann Stacey
602595	6805	Dowager
602595	11277	
602595	27215	
602595	29388	
602595	37148	Woman in buggy
602595	41085	Housewife of America
602595	45669	Catholic Nun
602595	51799	Golf Gallery Extra
602595	54487	Old lady
602595	55417	Woman
602595	70301	Matron
602595	92480	
602595	96987	Hotel guest
602595	97580	
602595	122967	Guest
602595	128152	Committee Woman
602595	135412	Dance Extra
602595	137534	Party guest
602595	143581	
602595	144896	
602595	146752	Dowager
602595	147754	Onlooker
602595	149129	Mrs. Smythe
602595	150577	Dental Patient
602595	154652	Woman with Hat
602595	154874	Teacher
602595	168285	Henry's Wife
602595	178979	Woman in Shower
602595	183373	Bit Part
602595	183435	Matron with Cigar
602595	183627	Mother on Boat
602595	190268	Lady Next to Henry
602595	194987	Mrs. Frink
602595	198544	Dance Extra
602595	200488	
602595	201458	Woman
602595	218734	Woman
602595	221181	
602595	233899	
602595	239784	
602595	244863	Member
602595	249623	
602595	250985	Mrs. Lazlo
602595	253760	
602595	254528	Concierge's Wife
602595	255616	Mrs. Gotrocks
602595	262265	Woman in subway
602595	263117	Mrs. Schofield
602595	273513	Woman in Ballroom
602595	279361	Extra
602595	280895	Patron at Theatre
602595	293268	One of Goodyear's Guests
602595	295293	Dowager
602595	297099	Wife in Cafe
602595	297918	Raider
602595	304876	
602595	305076	Gossipy Woman
602595	308109	Old Lady
602595	308592	
602595	315322	Party Guest
602595	318192	Elevator passenger
602595	330240	Woman
602595	330514	Woman in Berth
602595	331087	Woman
602595	338287	Dowager
602595	343138	Woman
602595	360488	Clerk
602595	361300	Boy's mother
602595	363248	Woman
602595	366889	Matron
602596	125682	
602597	19295	Justine Duckworth
602597	45435	Suffragete
602597	180832	
602597	243273	Nurse
602597	372804	Bar girl
602597	406801	Solo the Dog
602598	67156	
602598	168125	Dancer
602598	183638	Can-Can Dancer
602599	105390	Claudia
602600	58648	Maryanne
602601	116675	Mary Anne
602602	41869	Desk Nurse #1
602602	230703	Janet
602602	275770	Aggie
602602	321728	Chauffeur
602603	210871	Woman
602604	97255	The Dream Woman
602605	328581	Tong Room Girl
602606	90354	Hortense
602606	153624	
602606	312269	Slavey
602607	26563	Semele
602607	245207	Sarah
602608	316614	Bison's scientist
602609	308928	Rose as a Child
602610	66904	
602611	337098	Griffin's Redhead
602612	3055	Herself - Best Costume Design
602612	201796	Herself (costume designer)
602613	34722	Herself
602613	34723	Herself
602613	391869	Bobby Simpson/Morgan/Marshall
602614	128321	
602615	31880	Herself
602615	35795	
602615	115728	
602615	333904	
602616	241538	
602617	70842	Sheila #1
602619	145414	Heather Brewer
602619	272857	Trace
602619	273202	Wendy
602619	292444	Callie Fremont
602619	311344	Windy
602619	326604	Barbara Vincennes (First Vict
602619	379741	Regular Performer (1997)
602619	391337	Young Integra Wingates Hellsi
602619	399405	Mayuko Chigasaki
602620	120014	Mall Patron
602621	81344	Rona Ashby
602621	326155	Soap Opera Woman
602621	411802	Jill Foster Abbott #1 (1973-1
602622	96867	Herself
602622	382794	Celebrity Advocate (Open All 
602622	384396	Herself
602622	409222	Herself
602623	162410	Mary
602624	283581	Judith
602625	207660	
602625	265833	Melek
602626	78603	Herself
602626	257309	
602627	142889	Girl in Library #1
602628	67104	Ortensia
602629	390917	Roobot
602630	217745	Art History Student
602631	30418	
602632	173512	Reporter
602633	4705	
602634	54464	Lemoni's Mother
602634	74451	
602634	214231	
602634	304712	Araxi Vartagnan
602634	339870	Arsinoé
602634	379436	
602634	380817	
602634	387409	
602634	389183	Jenny Karra
602634	394227	
602634	394572	Lilika
602635	12203	Field Social Worker
602635	46334	Lottie
602635	77676	Thrift Shop Clerk
602635	101066	Randine
602635	102514	Rosalind
602635	154593	Waitress
602635	217134	Clara
602635	330772	
602636	285596	
602637	82095	Billy's Model #2
602638	278718	Theatrical troupe member
602639	64333	Herself (1986)
602640	179018	Katja
602641	78677	Quesada's Friend #3
602643	71192	
602643	99595	Herself
602643	387803	Cherie
602644	31433	Marie Cuzzo
602644	66731	Annie
602644	68352	Laura
602644	97072	Evelyn Cowan
602644	119296	
602644	124066	Jocelyne
602644	162363	Evelyne
602644	198357	Marlène
602644	201201	Mme Estève
602644	208219	La correctrice
602644	215940	
602644	219462	Capucine
602644	225370	Alcanie
602644	246150	Olga
602644	285152	
602644	295397	(segment "Envy")
602644	325343	Woman in bus
602644	326136	Marthe
602644	335047	
602644	338051	Canasta
602644	346417	Fernande
602644	353845	Mimi
602644	377905	Annette
602644	377989	Calamité
602645	261055	Mavetana
602646	235367	Crisi Stroud
602647	55756	Saledelle
602647	110051	
602647	319808	
602648	377940	Adza
602649	65167	Coco
602650	23794	Lucie
602650	23825	Josette
602650	29702	La reine Clémentine
602650	34390	Mme Milhet
602650	133169	Herself
602650	162109	Arlouse
602650	201206	Madame
602650	219524	
602650	240098	Suzanne
602650	254042	
602650	356496	Julie
602650	357094	
602650	397807	
602650	403895	Lucette
602650	409434	Suzanne Lastenné
602651	267444	
602652	140310	Hav's Co-Worker
602652	195615	Hope
602653	56297	La gouvernante
602653	91453	Mme Le Guen mère
602653	103801	
602653	134428	
602653	169660	La mère d'Aimé
602653	225413	
602653	236580	Mme. Pinsard
602653	260856	La mère de Bichette
602653	276545	
602653	292356	Mathilde Cadifon
602653	301528	L'habilleuse
602653	337543	Maria
602654	376914	L'astrologue
602654	383356	Mlle Pena
602655	355980	Fan
602656	377958	
602657	236300	Secretaria
602658	402741	
602659	214815	The Fiancee
602660	146672	Herself
602661	166565	Crazed Nurse
602662	47172	Performer
602662	47174	Herself
602662	208475	Herself (#84) (Interviewee)
602662	221423	Herself - Performer
602662	221426	Herself & performer
602662	230920	Herself
602662	299966	Herself
602663	29779	Rosina
602663	192414	Margaret 'Meg' March
602664	386123	Tati
602664	396610	Letícia Gomes da Silva (2004-
602664	398501	Luisa
602665	1519	
602666	83087	
602667	83087	
602668	7579	Woman, married to the vicar
602668	108180	
602669	108655	
602669	315378	En frue
602669	343716	Fru Jessen
602669	353031	Laura
602670	390212	Herself - Host (2003)
602670	391353	Herself - Host (2004)
602671	59717	Crofter-Mats' child
602672	179608	Elisabeth Günther
602672	202418	Antoinette Altenwyl
602673	15018	
602673	121786	Carole
602673	168961	
602674	330854	Herself
602675	134568	Featured Extra
602676	342646	Kelly Stewart
602677	121049	Mira
602678	379898	Bárbara
602678	389788	Estrella Marina
602678	404915	Cibele
602679	385522	Júlia
602679	388591	Carol
602679	395302	Camila
602679	396610	Juliana 'July' Siqueira (1995
602679	398501	Edwiges Batista
602679	401900	Catarina Pereira
602679	404834	Lindalva/Isabel Tedesco/Young
602679	404947	Cláudia
602679	408944	Açucena
602679	410245	Renata
602680	144129	Lotte Kullmann
602681	80834	Russian Secretary
602682	32271	
602683	16263	Anderssonskan
602683	16268	Anderssonsskan
602683	89665	Woman with Dog
602683	357772	Lisa
602684	110883	Sina
602685	412212	Luise
602686	359543	Princess Alicia
602687	5213	Beverly
602688	115214	Speciality Dancer
602689	338162	Baillarina
602690	27010	
602690	50789	
602690	128606	Herself
602690	197773	
602691	332732	Tieta Criança
602692	399952	Yaiza Perdomo
602693	209693	Linda Florento
602694	40204	Mrs. Willowbrook
602695	221325	Willa MacPherson
602696	33179	Lester's Friend
602696	294236	Banquet Guest
602698	116657	Chocolate Woman
602699	412198	Michelle Gutierrez
602700	24326	
602701	375503	
602702	228517	
602703	208503	Mother (Villefranche Apt.)
602704	80900	Brigitte Schumacher
602704	142033	Renate
602704	142046	
602704	142051	
602704	177915	
602704	208144	Inge
602704	259686	Johanna Preusler
602704	290536	Erika
602704	290537	Erika
602704	290538	Erika
602704	290539	Erika
602704	290540	Erika
602704	293696	
602704	313663	Maria Geller
602704	375170	
602705	334385	Florist
602706	290721	Anna as a Child
602707	127642	Lotte
602708	57714	
602708	57715	
602708	391152	
602709	35909	Hanna
602710	198112	
602711	12472	
602711	38965	Polly
602711	78515	Melanie
602711	389332	Maäter Gorg
602711	404898	Sien
602711	408151	Ria Verbaendert (2003-2004)
602711	408246	
602712	32409	
602712	134903	Ilse Kremer
602712	307555	
602713	167000	Herself
602713	319239	Herself (presents flowers to 
602714	182795	
602715	104221	Lazra
602716	307569	
602717	368967	Party Girl #2
602718	278687	
602719	313676	Esra
602720	410839	Astrid Rosental
602721	82541	Magic
602721	222657	Nurse
602722	18530	
602722	102283	Arztin
602722	172766	
602722	375164	
602722	396874	Kommissarin (????)/Staatsanwä
602722	409588	
602722	409625	Franka Westermann (1997)
602723	248412	Het meterke
602724	358257	Blanche Ingram
602725	46612	Maria
602725	55180	Dolores
602725	119257	
602725	272823	
602726	282035	Huisvrouw
602726	296671	Young woman
602727	18567	Sharon
602727	314589	
602728	33960	
602729	409847	Mevr. Gracia Morena
602730	404282	Samantha Wainwright #1 (1987-
602731	293012	Jean Wells
602731	400515	Jane Lee
602732	272537	Gräfin Ignatieff
602733	365651	Woman at Olema
602734	33742	Helen Melon
602734	296917	Fat Lady
602735	99406	Lucille
602735	136649	L'assistante de Georges
602736	12584	
602737	28793	
602737	175778	
602737	254362	Hilde
602737	348086	Karin, Zofe bei Ebba
602739	233787	Mrs. Garfield
602740	96441	Fru Nilsen
602741	48130	En fortørnet badegjest
602741	50273	Enken på Sørby
602741	82152	Restaurantgjest
602741	96442	
602741	98426	
602741	120022	Josteins kone
602741	138571	Klara
602741	145474	Arnes bestemor
602741	146985	Seg selv, I husmorfilm
602741	153100	Sydamen
602741	174063	Baktus
602741	180100	
602741	205809	Tante Gerda
602741	214196	Phønixteatrets kostymedesigne
602741	237272	
602741	240093	Dame i 'Six bladsalg'
602741	242691	Bottolphs mor
602741	242693	Camilla Langseth, Eriks mor
602741	248190	Frk. Mortensen
602741	289148	Hushjelp
602741	305859	Kari Diesen
602741	312238	
602741	317650	
602741	320593	Ophelia Andersen
602741	322471	Mrs. Andersen
602741	322472	Alfhild Andersen
602741	334256	Nabokona
602741	349003	
602742	341855	Elena
602743	345910	
602744	110148	
602745	114941	Undetermined Role
602745	177335	Regan
602746	34353	
602746	49671	Frieda
602746	108186	
602746	142282	
602746	184513	Frau Spreckelsen
602746	188806	
602746	199559	Lucienne Germanini
602746	218967	Old Lady
602746	263370	
602746	290506	
602746	392509	
602746	409609	Schwester Phoebe (1994)
602748	344737	
602749	325069	
602750	289473	Little girl
602751	713	Ederfrau blond
602751	1798	
602751	38956	Angie
602751	96122	Jessica
602751	117676	
602751	134845	Sabine
602751	142080	Maud Petit
602751	183335	
602751	225203	
602751	254786	
602751	281710	Vivien Spencer
602751	299842	Melanie
602751	314876	Stefanie
602751	325902	
602751	349105	Dorette
602751	361986	Miss Brown
602751	376277	Discogirl
602751	381578	Betty (2003)
602751	394740	Sibylle Lutz
602752	40301	Party Guest
602752	149459	Laverne
602752	185151	Rita Walker
602752	228458	Mrs. Dickenson
602752	257401	Elise
602752	321342	Vivian Fields
602752	389570	Auntie
602752	394492	Old Woman
602752	396019	Pawn Shop Lady, Additional Vo
602752	404137	Additional Voices
602753	325541	
602754	83344	Mère Cadalen
602754	101226	La mère d Merliot
602754	103828	Edith
602754	352398	
602755	388866	Paula
602756	211863	Waitress
602757	95424	Steffi Jaeger
602758	241792	Little Girl
602759	322759	Waitress
602760	2813	Monika
602761	72657	Janessa
602762	30581	Receptionist
602762	42983	Susan Reynard
602762	84394	Louise
602762	101367	Sam's Mom
602762	207904	Joanne Walters
602762	212837	Proposed Girl in Restaurant
602762	223729	
602762	242111	Mrs. Lipman
602762	276780	Lucy Wilson
602762	283305	Young Mother
602762	345690	Claire
602762	363812	Emma
602763	20009	Sandra
602764	16084	
602764	233926	Mary Carver
602765	123097	Magdalena
602766	407815	Herself (Single) (2001)
602767	246854	Berenice
602767	384645	Luiza
602768	129690	Melanie
602769	306475	Charlotte
602771	163267	Greta Garbo Double
602772	84834	Blonde
602772	163267	Marlene Dietrich Double
602772	248315	Woman
602773	277071	Joanne Hartlander
602774	81276	Linda
602774	199525	Girl in Trans-Am
602774	203549	Darla
602774	216126	Rachel
602774	245046	Robin
602774	312557	Flirt
602774	339917	Charmayne
602774	399838	
602775	10205	La cliente de Gérard
602775	375077	
602776	26306	Dora
602776	50446	Billie Barkley
602776	72762	Mother
602776	87802	Judge D. Greenwalt
602776	126696	Sylvia Carboni
602776	146661	Competance
602776	235059	Mother Carlisle
602776	289390	Miss Pitts
602776	304293	Mrs. Jacobs
602776	315997	Audrey
602776	365396	Mrs. Murchison
602776	379222	Gracie Peterson
602776	379716	Wilma Marlowe #3 (1994)
602776	390534	
602776	394173	Dena Madison
602776	402030	Molly Gibbons
602776	403732	Ethel Armbrewster
602776	404282	Katie Wallace (1985)
602777	206224	Herself
602778	27127	
602778	79165	Gerti
602778	177214	
602778	314544	Beate
602778	352043	Margit Wetterstein
602778	376327	Monika Müller
602779	314853	Nun
602780	210036	
602781	34321	
602781	181116	Annegret
602781	376265	
602782	35052	Child
602783	206224	Herself
602784	304756	Survivor
602785	3788	Herself
602785	16623	Maria 'Angel' Barker, aka Mrs
602785	20625	Saloon Hostess
602785	39492	Narrator
602785	40373	Lola Lola
602785	41047	Helen Faraday, aka Helen Jone
602785	42357	Herself
602785	47911	
602785	50060	Herself
602785	51924	Erni Göttlinger
602785	56579	
602785	57766	Nightclub performer in tuxedo
602785	79165	Herself
602785	79179	Marlene Dietrich
602785	83816	'Countess' Madeleine de Beaup
602785	84252	Frenchy
602785	84899	Concha Perez
602785	86417	Marlene Dietrich
602785	87706	Marie Kolverer/X27
602785	93733	Herself
602785	94489	Kokotte
602785	109372	
602785	112351	Herself
602785	112976	Lola Lola, from Der Blaue Eng
602785	114851	Countess Claire Ledoux, aka L
602785	116523	Herself
602785	117545	Erika von Schlütow
602785	119223	Stascha
602785	124085	Domini Enfilden
602785	124970	Evelyne
602785	129706	Herself
602785	130754	Lydia
602785	154457	Anna Sedlak
602785	154819	Herself
602785	155400	Laurence Gerard
602785	156716	
602785	167558	Cameo appearance (nightclub p
602785	169942	Madame Bertholt
602785	171489	Sophie, ihre Tochter
602785	177988	Jamilla
602785	178926	Countess Alexandra Vladinoff
602785	180198	Edmée Marchand
602785	183721	Elizabeth Madden
602785	195613	Herself
602785	199013	Herself
602785	199398	Dancer
602785	200242	Herself
602785	204660	Micheline
602785	204708	Fay Duval
602785	206220	
602785	206224	Herself
602785	206225	Marlene Dietrich
602785	206663	Blanche Ferrand
602785	211074	Krämerstochter
602785	218530	Maria de Crevecouer
602785	219413	Mademoiselle Amy Jolly
602785	225630	
602785	233632	Monica Teasdale
602785	237972	Herself
602785	248539	Herself
602785	248978	Cameo appearance
602785	256899	Josie 'Hunky' Winters
602785	264346	Chichotte de Gastoné
602785	271998	Altar Keane
602785	289585	Princess Sophia Frederica/Cat
602785	290033	Ethel Marley
602785	290801	Baroness von Semering
602785	291373	Herself
602785	293528	Yvette
602785	295370	Bijou Blanche
602785	297367	Shanghai Lily, aka Magdalen
602785	300070	Herself
602785	303574	Herself
602785	306475	Kathrin
602785	308611	Lily Czepanek
602785	311565	Cherry Malotte
602785	312066	Mädchen am Strand
602785	312782	Charlotte Inwood
602785	329546	Herself
602785	329563	Herself
602785	336683	Tanya 'Tana'
602785	337552	Lucy
602785	343475	Dance extra
602785	347644	Herself
602785	359471	
602785	366987	Christine Helm Vole
602785	391696	Herself/die Gegnerin
602785	400280	Herself
602785	402964	Herself
602786	149952	Barkova
602786	160263	Galathea
602787	55701	Katherine Howard
602787	77878	Hedwig
602787	90351	Girl
602787	117115	Janet
602788	109862	Miss Patterson (Credits)/Juni
602788	183814	Pinchback's secretary
602788	275859	Miss Flynn
602789	78345	Doublure enfant
602790	286188	The Baptist
602791	350858	Bianca
602792	361004	
602793	144789	Alien Stormtrooper
602794	155562	Future Girl
602795	159672	
602795	173145	Augusta Daniels
602795	331007	Shop Clerk
602796	345999	Danser
602797	14171	Herself/'Joan E. Cleaver'
602798	19201	La cantatrice
602798	137084	Soprano
602798	337539	Micaëla - Film 2 & 3
602798	345039	Mme Vinteuil
602799	4837	
602800	40999	
602801	75876	1940s Woman
602802	65787	Dana
602802	79584	Penny Wohl
602802	105884	Evil Nurse
602802	105891	Pazuzu's Face
602802	119626	Costume Girl
602802	142716	'Family' girl
602802	151545	
602802	372198	Bridesmaid
602802	389858	Sarah Abbott (1980-1981)
602802	394782	Sala
602803	280006	Mary Eburt
602804	54142	Frida Brandt
602804	90513	Freundin Ilonkas
602804	189837	
602804	352392	
602804	361418	Lisetta
602805	38832	
602805	325453	
602805	325854	
602806	21409	
602806	328993	
602807	366712	Hannah Lookalike
602808	226317	Fahrerin/Driver
602809	74677	Mara
602809	97237	Melli
602809	111894	Julia
602809	127051	Kathi Solinger
602809	190761	Lili
602809	209961	Mandy
602809	225168	Denise Hammerstein
602809	267407	Carola
602809	290610	Nathalie
602809	307680	Franziska
602809	314910	
602809	359677	Lotte
602810	100983	
602810	126846	
602810	136724	Old woman
602810	138545	
602810	256488	Kundin/Customer
602811	58001	La journaliste
602811	82580	Copine café 2
602811	200940	Geneviève Naud
602811	235721	Olga Brodsky
602811	248165	Elsa's Mother
602811	327573	Mélanie
602811	353823	Justine
602811	370056	Sylvie
602811	376596	Michèle
602812	290932	
602813	345406	
602814	240603	La blonde éléphant rose
602815	328374	Le râleur
602816	33530	La mémée/Granny
602816	57377	La concierge
602816	73195	
602816	75630	Maid/La bonne
602816	85692	Soeur Jeanne de la Divine Enf
602816	111272	Mme Dubonnet
602816	123274	La grand-mère de Françoise
602816	133171	Basilia Giafferi/Aunt Basilia
602816	156308	Germaine
602816	161703	Alice
602816	206666	Marie-Marguerite
602816	220395	Mme Jaias Mère
602816	239305	La concierge
602816	248985	The Pusher
602816	253998	
602816	258150	La grand-mère
602816	260936	
602816	266405	La cuisinière
602816	266947	La vieille dame à la recette
602816	269510	Germaine
602816	275310	Antonia
602816	275993	
602816	277930	(segment "Les rideaux blancs"
602816	285736	Herminie
602816	296049	La petite vieille
602816	309688	La vieille dame
602816	331013	Thomas' aunt
602816	332199	Aunt Clara
602816	332220	Nanon
602816	337030	
602816	339501	Millie
602816	345103	La tante
602816	345355	Aline
602816	345470	Josephine
602816	346740	Mamie
602816	354150	
602816	377712	La vieille dame
602816	380587	La grand-mère Noémie
602816	381612	Célestine (1968)
602816	384009	Mme Fargeau
602816	384028	Nanette
602816	384788	Rosine
602816	393330	Angèle
602816	399193	Louisic Le Louarn
602816	402619	Grand-mère Anodin
602816	410139	Soeur Angèle
602816	412250	Alice
602817	227594	Elisa Bonaparte
602818	100539	Herself
602818	320789	Magali
602819	321239	Dance Teacher
602820	216445	Annie
602821	224089	
602821	230505	Little Girl
602821	232466	Emma
602821	342616	Shannon Smith
602822	312259	La mère de Toussaint
602822	350084	Mama Fina
602822	370420	
602823	403907	Kimi Watanabe-Fifrelin
602824	327162	Diana
602825	384400	Cecilia Chávez 'mama de gabri
602826	4967	Catalina
602826	148623	Girl at fight
602826	219670	Miguel's mother
602826	376814	Naked Girl
602827	381901	11th evicted
602827	381904	Herself (11th Evicted 2004/1)
602827	383471	Carmina
602827	384400	Violeta (2002)
602827	390439	Dariah Spears
602827	395885	Melissa
602827	397577	
602827	400492	Herself/Various (2003-)
602827	402059	Ines
602827	403024	Lulu
602827	406056	
602828	1311	Abuela (Episodio de Burman)
602829	376999	
602830	42117	Kind
602830	259449	
602830	308845	
602831	224070	Child
602832	58930	Sara
602832	82681	Connie
602832	250606	Doe Eyed Victim
602833	56880	Reporter Two
602833	380462	Co-Host
602833	394260	Weekend Co-Host/Entertainment
602833	398671	Host
602834	35439	Airline Ticket Agent
602835	264158	Beach Reporter Tanya
602836	41817	Herself
602836	119571	Herself
602836	275629	Herself
602836	278290	Herself
602836	404900	Herself
602837	196084	Mary
602838	78757	Helen Vardamon
602839	96141	
602840	11521	
602840	32046	Mary
602840	33772	Denise
602840	33988	SuperSoul
602840	36880	Archive Footage
602840	39168	
602840	41300	
602840	60807	Soul
602840	60866	Baron's girlfriend #3
602840	75678	General's Secretary
602840	87222	Gang Member
602840	87419	
602840	88875	Nurse Nelly Nesbit
602840	93970	Bara, a porn star
602840	98013	
602840	102703	Lesbian
602840	105898	
602840	108711	Leslie
602840	122242	Girl on Loop Film
602840	123380	
602840	126684	Miss Heaven, a starlet
602840	128830	
602840	130181	Fay the Bubble Girl
602840	140486	Lotta Cuze
602840	147644	Marlene Dietrich
602840	147649	
602840	148880	
602840	154447	Hippie Girl with Dog in Harol
602840	155912	Various characters
602840	156565	Inga Lindström
602840	156566	Naked woman in gas-chamber
602840	160329	Lois
602840	168543	
602840	172912	
602840	175139	
602840	175621	Woman in Shower
602840	176810	Girl at party
602840	185212	
602840	185671	
602840	188065	
602840	199283	
602840	200197	
602840	205108	Post office girl
602840	213147	Jackie
602840	238256	Brunette in Bed
602840	242025	Margaret/Mishka Valkaro/Freck
602840	242098	
602840	243478	
602840	259398	Lisa, the Masseuse
602840	264660	
602840	272430	Raquel, the Motel Manager
602840	288012	
602840	288632	
602840	295863	
602840	295891	
602840	296029	
602840	303986	Girl in loop
602840	311904	
602840	316661	
602840	319535	Mayday
602840	319734	SuperSoul/Telephone Operator
602840	337151	Laura
602840	340702	Truck Stop Woman
602840	348401	Nurse
602840	348822	Herself
602840	363298	Girl at Party
602840	365294	
602840	368417	
602840	368730	
602841	346838	Corinne's Maid
602842	164502	1st Victim
602843	55644	
602843	161637	
602843	399534	Reporter
602844	134075	Female guest
602845	380419	Hostess
602845	394563	Hostess
602845	408907	Hostess
602846	354597	Ragnhild
602847	176970	Mourner/Student
602848	51835	Elaine
602849	55243	Rasheeda
602849	145636	Herself
602849	145643	Herself
602849	163523	Herself
602849	201814	Herself
602849	330479	Maggie Bess
602850	286929	Dancer
602851	379924	Herself
602852	319695	
602853	7512	Bridesmaid
602853	10722	Telephone Operator
602853	12749	Mabel
602853	42731	Bridesmaid
602853	46730	First KFWB Operator
602853	133727	Judy
602853	139214	Tipsy Girl at Party
602853	183664	Mary, a trustee
602853	203470	Girl
602853	214080	
602853	228816	Navy Blues Sextette member
602853	316482	Girl
602853	340694	Babe
602853	372328	Navy Blues Sextette member
602854	65184	Girl after school
602855	297771	
602856	330535	
602857	380299	ASPCA Special Agent for Human
602858	191973	Maria
602858	399256	Nita Dee (DiGiampaolo)
602859	71474	Child in street
602860	72788	Nominee
602860	408590	Deb the Receptionist
602861	331310	
602862	91836	
602863	363560	Cindy Ellen's Friend
602864	73835	Peter's Guest #1
602865	196350	Labrador Walker
602866	37480	Party Girl #4
602867	69805	Anna
602867	77463	Anne
602867	287259	Nerima
602868	59470	Schoolgirl
602868	198891	Lady Macduff
602869	410416	Berty
602870	266636	Heather
602871	405401	
602872	228246	Herself - Host
602873	188282	Assistente van Ben Cramer
602874	24746	Mother Superior
602875	184608	Mariette
602876	257674	Herself
602877	84485	
602878	351886	toiletjuffrouw
602879	70423	Tara
602879	170422	Julie
602879	315320	Caissière
602879	376185	Young Wanda
602879	376443	Anne
602879	385449	Anne van der Holst
602880	358689	Rossweisse
602881	327030	vrouw van Friso
602882	327030	Hendrikje
602883	130422	Carver High Dance Coordinator
602884	114694	Paula
602885	61034	
602885	210971	Mrs. Chang
602885	268770	Ding Ling-Ling
602885	298680	
602886	101216	
602887	352929	Wardrobe Mistress
602888	85019	Joyce Reece
602889	1284	
602889	350801	
602889	400479	
602890	80697	
602891	171638	Rhendotter
602892	18347	Muisje
602893	12615	
602894	88731	
602894	275394	Desa Jovanovic
602894	289162	Gospoda
602894	344097	
602894	382787	Kucepaziteljica
602894	404305	
602894	410330	Danica Golijanin
602895	222358	
602896	220733	Nadeto
602897	103565	
602897	126204	Zhenata na Tanaka
602897	130140	
602897	156309	La femme de Jorge
602897	180780	
602897	228845	
602897	282715	
602897	352807	Maykata na Isay
602897	373213	
602897	375394	
602897	410432	Maykata na Gyulev
602898	9473	
602899	349225	
602900	229839	
602901	179724	
602902	396582	Herself (2002)
602903	21984	
602904	41594	
602905	16968	Lori
602905	93788	Rachel
602905	213187	Lilly Kang
602905	275719	Helen Simms
602905	388270	Julie
602906	134294	Delores
602907	89275	Kennel Girl
602908	248500	Aida Bogovic
602909	38299	
602910	261528	Suburban Mom
602911	612	Wanda
602912	390812	Freundin von Steffi Körte (19
602913	90649	Dancer
602913	147636	
602914	84494	Deuce Girl
602915	18540	
602915	33034	
602915	34721	
602915	75030	
602915	291899	
602915	297338	
602915	326875	
602916	2368	
602916	4929	Catalina
602916	17085	
602916	19476	Masha Petrovic
602916	44829	
602916	58137	Madalena
602916	66347	Mara
602916	68925	
602916	71106	Mathilde de la Mole
602916	74545	
602916	83489	
602916	90755	Janka Novotska, the Polish gi
602916	91384	
602916	92943	
602916	104140	
602916	112653	Mascia Mironova
602916	120908	
602916	121295	Maria Santelli
602916	146478	
602916	159525	
602916	199444	Eva, la privatista
602916	202499	Edith Steinegge
602916	214820	
602916	221560	
602916	221978	
602916	222533	
602916	237314	Rose Dormoy
602916	243303	Maria
602916	246154	Carolina Cirol
602916	248762	Marcela
602916	263772	
602916	264251	Elisabetta
602916	295163	Clara Mazzoni
602916	328210	Lilli Passalacqua
602916	351074	Peggy
602916	354910	Oliva
602916	370084	
602917	385978	Scanner Technician
602918	73325	Girl in Happy Hunter
602919	5960	Pool party guest
602920	26672	Sally Bevins
602920	66286	Field Reporter
602920	114559	Bambi
602920	141733	Stewardess
602920	185174	Carolyn
602920	185588	Kate Purnell
602920	231426	Cafe Patron
602920	260430	Faith Brighton
602920	277044	Suzette
602920	365947	Reporter
602921	353	Carla
602922	105612	Sandie
602923	222510	Une passante
602923	388507	La servante
602924	347534	Randy
602925	42879	
602927	336891	Mannequin
602928	49966	Bordersnake
602929	320143	Herself
602929	320149	Herself
602929	407081	Herself (15 Days, Sook Jai Tr
602930	131234	Angy
602931	23881	
602931	99794	Madre Dani
602931	103219	Cloe
602931	129518	Glòria
602931	154429	
602931	399505	Neus
602931	399506	Neus
602931	407808	Isabel Dalmau
602932	166370	A philosophy student
602934	291222	Reporter #2
602935	36722	Clerk
602936	107125	Reggie
602937	42808	Kick-The Band
602938	28462	
602938	64019	Slade's girlfriend
602938	73551	Maid
602938	192691	Helen
602938	194269	Script Girl
602938	202947	Girl in Auto
602938	203049	
602938	203917	Mrs. Melvin
602938	210548	
602938	224317	Receptionist
602938	295294	Mother at Dulles Airport
602938	316351	Thelma
602938	409786	Molly
602939	291038	Marisa Weston
602939	301793	Julia Huntington
602940	10502	Betty Shabazz
602940	34702	Anita
602940	68232	Bather/Dancer
602940	68449	
602940	81750	Betty McCutcheon
602940	87936	Tass
602940	160897	Kee
602940	176966	Jean Wilson
602940	245263	Monica Collins
602940	277801	Alice Styles
602940	314015	Waitress
602940	406177	Janelle Cooper (1996-2000)
602941	305899	Nurse
602942	303227	Mrs. Raymond
602943	127394	Judy, age 4
602943	168911	Janie Parker
602944	60342	Claudia
602944	232438	Inmate
602945	257111	Katie Carlson
602947	82455	Lizzy
602948	350235	Second Hooker
602949	134294	Gloria
602950	107922	Young Emily, Montana
602951	192712	Barbie
602951	194071	Sara
602951	197809	Pressure Zone Editor No. 1
602951	303964	Ghislaine
602951	336480	Dominatrix
602952	135913	Saloon hostess
602953	135913	Saloon hostess
602954	285781	Irala
602955	723	Herself
602955	1780	Herself
602955	2726	Herself
602955	6273	Mrs. Zero
602955	20980	Herself
602955	34921	Herself
602955	38964	Herself
602955	42337	Herself
602955	42347	Herself
602955	42361	Herself
602955	43603	Miss Poopinplatz
602955	45533	Lily
602955	48950	Queen
602955	62966	Herself
602955	64556	Herself
602955	64570	Herself (Performer)
602955	81449	
602955	86224	Agatha Knabenshu
602955	88879	
602955	97355	Herself
602955	98167	Golda
602955	105327	
602955	109591	Camille
602955	114043	Herself
602955	117704	Mrs. Hertzberg
602955	131259	Herself
602955	133819	Herself
602955	138672	Mother Nature
602955	145637	Mrs. Higgenbothen
602955	149712	Herself
602955	164405	Herself
602955	164407	Herself
602955	166915	Herself
602955	168971	Jonathan's Mother/Various Cha
602955	169680	Herself
602955	178085	Herself
602955	185539	Mrs. Baskin
602955	188244	Herself
602955	191257	Herself
602955	199220	The Monster's Mate
602955	199247	
602955	218647	Herself
602955	220141	Lou
602955	236959	Mousequeen
602955	236997	Sugar Plum Fairy
602955	252910	Mother
602955	256238	Margaret
602955	257684	Herself
602955	258022	Mrs. Wildebeast
602955	264773	Nurse Nellie Krause
602955	266758	
602955	282536	Herself
602955	301746	
602955	301787	Old secretary
602955	319253	Herself
602955	321521	Belva A. Lockwood
602955	333630	Herself
602955	342232	Herself
602955	345648	Mrs. Clancy
602955	347545	Herself
602955	352696	Herself
602955	360382	Herself
602955	361604	The Cashier
602955	366640	Herself
602955	372510	Herself (Host)
602955	381509	Herself (1968)
602955	382277	Mrs. Peterson (1993-1995)
602955	383414	Additional Voices
602955	390306	Herself
602955	391835	Herself
602955	402354	Phyllis Pruitt (1966-1967)
602955	408333	Grandma Titus (2002)
602956	204244	Mrs. Buckley
602956	245651	Adult Rebecca
602957	367083	Extra
602958	394926	
602959	35615	
602959	38453	
602959	38481	
602959	79501	
602959	105473	
602959	173807	
602959	179538	
602959	182801	
602959	182913	
602959	200670	
602959	214539	
602959	238817	
602959	371397	
602959	373398	
602959	377514	
602960	182908	
602960	380739	Yildiz
602961	6806	
602962	115562	Rockette
602962	196063	Elvette
602962	329522	Chantrellines Member
602962	366070	Dancer
602964	380351	Anna
602965	338756	Grace
602966	167692	Shirley Dixon
602966	224559	Ninja (Voice)
602966	354751	Sixties Teenybopper
602967	26064	Puppy
602968	7888	Biology Teacher
602968	382286	Various Characters
602968	390339	Sister Brenda Trogman (2002)
602968	392423	Herself
602968	410679	Various
602969	236928	Fannie
602970	50989	Sheila
602970	110037	
602970	281339	
602970	302149	Susan Pickering
602971	205311	Connie
602971	294280	Beatrice
602971	331987	
602971	380638	Pvt. Charlene Clay
602972	289099	Kelly
602973	161061	Brenda Whalon
602974	223740	Hostess
602975	72319	Little Girl
602976	47279	Guest at Ball
602977	169140	Gad's Wife
602978	333364	Connie -age 8
602979	192278	Juliette
602980	391219	Anchor (overnight)
602981	24484	Young Woman
602981	26359	
602981	124056	Elaine
602981	124225	Sylvia Walsh
602981	131915	
602981	132456	Nurse
602981	150854	Verna Klump
602981	155213	Glypto
602981	242111	Sunray Tours Travel Agent
602981	281913	Roseanne Barr Pentland Arnold
602981	288695	Doreen
602981	288702	Herself - Audience Member
602981	295349	Aunt Gail
602981	310608	Meadow Morn
602981	386900	Judy
602981	386959	Toby Pedalbee
602981	392042	
602981	404337	Various (1980-1981)
602981	411362	Meg Bando
602982	358463	Samantha
602983	309803	Maxine
602984	23463	Wife
602985	91920	Splashed Woman
602985	155921	Fast skater
602986	231331	
602987	183546	Mary Lou's Grandmother
602987	210833	Undetermined Role
602988	183683	Teresa
602990	65742	Alyssa Hamilton
602990	267511	Barmaid
602992	47019	Jane Brown
602992	140530	Jane Wilde
602992	383251	Litzi Friedman
602994	5150	Teresa Perrone
602994	19282	Leslie Hopkins
602994	45050	Mary/Memphis Sue
602994	54421	Mrs. Rogers
602994	63117	Mrs. Parker
602994	65811	Jillian Guiler
602994	69444	
602994	72290	Rose Braxton
602994	73562	Dr. Kris Lassiter
602994	81360	Mrs. Lee
602994	97830	Mom
602994	101726	Sister Aloysius
602994	106755	Anna Kovak
602994	107846	Sherry Phillips
602994	139607	Nancy Henderson
602994	142531	Anne Gronouski
602994	148124	
602994	151625	Mrs. Darling, Sophia's Mother
602994	169947	Eleanor
602994	170155	Dulcy (segment "Dulcinia")
602994	200521	Rose Gator
602994	201606	Herself
602994	201650	Herself
602994	201651	Herself
602994	206356	Jeannie
602994	227502	Polly Judd
602994	232356	Paula Brown
602994	246710	Gran Chandler
602994	264075	Savannah Wingo
602994	278237	Ruda Dwyer
602994	296726	Agnes
602994	297776	Sharon
602994	297788	Joyce Mollencamp
602994	302993	Leah Goldman
602994	304528	Suzanne
602994	308738	Honey Carder
602994	311609	Nina
602994	313929	Betty Anderson
602994	314113	Eileen McDermott
602994	329470	Herself
602994	334385	Merna
602994	338155	Ann Hurley
602994	406083	Rachel Mott
602994	406638	
602995	94476	Female Judge
602995	113558	Tracy
602995	130167	Jane Beale
602995	167602	Hapsay
602995	195043	Jessie Foley
602995	206833	Mother
602995	213350	
602995	217993	Marika
602995	229329	
602995	244928	Mrs. Louella Soames
602995	299469	Graham's Secretary
602996	250909	
602997	289668	Brenda's Grandmother
602999	326559	Herself
603000	105805	Blonde V.I.P. dancer
603000	141358	Ginger
603000	194510	Denise
603001	244034	Additional Character Voice
603002	2657	Piper
603002	2658	Piper
603002	2659	Piper
603002	170381	Brittany Vanderhoef
603002	206099	Meredith O'Brien
603003	41229	Jean
603003	170843	Campus Gals
603003	254012	
603004	2833	Bit Part
603005	61810	The Nun
603006	387405	Necibe
603007	44738	La stripteaseuse Bambi
603008	5189	Gina
603008	48192	
603008	92042	
603008	199124	
603008	244086	
603008	263415	
603009	76477	Amritlal's wife
603009	388619	Herself
603010	103098	
603010	153109	Kindermädchen
603010	155470	Fräulein Berg
603011	386236	Additional Voices
603012	266678	Lisa
603013	20477	
603013	126663	T.V. Reporter
603013	313482	
603013	313486	Droid Eye 2/Civilian Woman
603013	355391	TV Reporter
603013	363666	
603014	92170	
603014	141453	Bathing Beauty
603014	183860	
603014	196293	
603015	283639	Alley
603016	225489	
603017	117560	
603017	140115	Dorothy
603018	368653	Heloise St. Cyr
603019	346612	The Girl
603020	99688	Herself
603021	287997	
603022	25862	
603022	49178	
603022	58190	
603022	183057	
603022	217085	
603023	236972	Toy Soldier
603024	160885	Tattoo Wearer
603025	155912	
603026	283343	Post Office Clerk
603027	203526	Haley/Megan
603028	5923	
603029	358339	Meg
603030	216806	Booker #1
603031	47521	Molly
603031	98828	Gina
603031	311154	Jane
603032	306621	Pepper
603033	5203	Nurse
603033	81286	Tara
603033	94578	Deputy Dawn
603033	153251	Carol Rose
603033	206171	Dianna
603033	233474	Stella, Phil's Girl
603033	330370	Sandra Durano
603033	333361	Courthouse Reporter
603033	363550	Heidi
603033	403469	Irene
603034	266708	Mrs. D'Angelo
603035	392665	Deborah
603036	194487	Fairy Princess
603036	291266	
603036	296328	Annie Cockledue
603036	311051	
603037	108391	Ruth
603037	327906	Sarah Weston
603038	194246	Patrizia
603039	305362	Gina Conti
603040	119966	Helen
603040	365137	Helen
603041	4527	
603042	393711	Herself/Jornalista
603042	402150	Herself/Jornalista
603043	19829	
603043	38999	Juliette
603043	321339	Caroline
603044	111969	Aurelianne
603045	359902	Rachel
603046	60744	Yumi Katsura clerk
603046	192728	Production Assistant
603047	157436	School Reporter
603047	213452	Greek Chorus
603047	314445	Dancer
603048	30094	D-r Yurukova
603049	235291	Lekarkata
603050	186005	Lady at Luigi's Party
603051	358633	Sheila Tidepool
603052	80498	Raver
603053	20802	Street Singer
603054	275291	Mrs Crane
603055	35362	Pony Girl Rider
603056	380669	Suzanne
603056	387697	Marie-Louise Guibert
603057	356437	
603058	183019	
603059	390038	
603059	395900	Athina
603059	405348	
603060	395090	Martha
603060	397727	Jessy
603061	394572	
603062	15886	Gypsy Singer
603062	269346	Gypsy singer
603063	106381	Secretary
603064	256981	Imaacolata Pantaleo
603064	287489	Maria
603065	171008	
603065	268412	Evelyne
603066	69180	Herself
603067	217717	
603068	5060	Lisa
603069	178459	Singer
603070	156321	La femme de chambre de l'hôte
603071	79233	
603071	82208	
603071	172081	
603071	189072	
603071	254342	
603071	315193	
603071	389672	
603072	210127	
603073	218946	Mojca
603074	284683	
603075	34171	
603075	49888	
603075	86583	
603075	88130	
603075	129425	
603075	164054	
603075	166617	
603075	174976	
603075	213841	Margareta Buber Nojman
603075	215996	
603075	226466	
603075	235220	
603075	237764	
603075	240333	
603075	242282	
603075	242979	
603075	253841	
603075	324537	
603075	326547	
603075	339331	
603075	341465	
603075	343867	Andjela
603075	344258	
603075	375422	Katarina Ivanovna Marmeladova
603075	379616	Stojiceva
603075	386362	Roza Luksemburg
603075	390182	
603075	393168	Gospodja Vujovic
603075	399006	
603076	78207	Teta
603076	261129	Herself
603076	306977	Magda
603076	312417	Sreca
603077	272606	Garderoberka I
603078	134763	
603079	81674	Pticica
603079	343800	Sara
603080	320577	
603081	17906	Monica
603081	18940	
603081	87100	Tourist
603081	267257	Maria
603082	231345	
603083	82208	
603084	181403	Gypsy
603086	157314	Belly Dancer
603087	264535	
603088	9353	Dancer
603089	94506	
603090	281027	Kukunda
603091	343415	
603091	374158	
603092	86596	
603092	174378	
603092	180128	Lilyana
603092	217592	Katya
603092	229155	Silviya, styuardesa
603092	230468	Orina
603092	244468	Momicheto
603092	258447	
603092	306116	Sashka
603092	337222	Milka
603092	340720	Sashka
603092	373213	Sestrata na Karabelov
603093	1400	
603094	25293	
603094	94506	
603094	247276	
603095	183913	Maria
603096	370460	Lyulyuche 5
603097	8837	Amneris
603097	193561	Giselda
603097	226146	Abigaille
603097	341818	Turandot
603098	326248	Yanka
603099	229059	Mira
603100	60871	Strina Stoyana
603100	78280	Ana
603100	202440	
603100	320534	Igumenkata
603100	343414	Irina Radionova
603100	374864	Lyuba
603100	386025	
603100	401024	
603101	41412	Caesar's Girls
603102	220733	Rositza
603102	258128	
603103	62828	
603104	267427	Christina
603105	27469	Elena
603105	38547	Nick's Mother
603105	77426	Mima
603105	98994	Snahata Tinka
603105	208780	Elitza
603105	243894	Karmen
603105	258536	Pavlina
603105	264535	Ani
603105	286721	Tanya
603105	301892	Michona
603105	303735	Ana
603105	304458	
603105	337877	
603105	374408	Snezhka
603105	394139	
603105	397743	
603106	326261	Anush
603107	50964	
603107	229062	Uchitelka
603107	230451	
603107	238098	
603107	265149	Kolezhkata na Ignatov
603107	305463	Lilyana
603107	320534	
603107	320707	
603107	337221	Nadya
603108	103565	
603109	123090	Mother
603109	230055	
603110	315983	Deteto
603111	370460	
603112	90680	Amico della madre
603113	81351	Liala
603113	198159	Maykata
603113	212324	Rayna
603113	339314	
603113	357324	
603114	343414	
603115	95471	Brothel
603116	244482	Sestra Elena
603116	251932	
603117	92766	Bailey Kent
603117	297640	Student #2
603118	9353	Dancer
603119	84180	Espirit
603119	141404	Christina's Class
603119	250994	Paula
603120	275699	
603121	365396	Party Guest
603122	402197	Officer Andrea Radcliffe (198
603123	60301	Herself
603123	68110	Herself
603123	169600	Herself
603123	362729	
603123	362730	
603123	383945	Herself
603123	383946	Presenter
603123	383947	Herself
603123	384007	Presenter
603123	388813	Herself (1998-2000)
603123	389721	Herself (Series 2) (2004)
603123	390120	Herself
603123	390678	
603123	390678	Herself
603123	390678	Presenter
603124	96253	
603124	115329	
603124	122041	Shpresa
603124	179344	
603125	49396	Ms. Connelly
603125	114957	Nun
603125	207838	Theater Cashier
603126	364391	Wife
603127	327836	Party Girls
603128	382563	Herself
603128	383646	Herself (substitute anchor)
603128	389187	Host
603128	391028	Herself (reporter)
603128	391794	Herself/Host
603128	397903	Host/Narrator
603128	409641	Herself/Co-Host
603129	116402	Dream Helen
603130	236751	Criada joven
603131	60729	Katia
603132	147999	
603133	255589	
603133	319866	Romy Leblanc
603134	18943	
603134	321948	
603135	74156	
603136	228845	
603136	350553	
603137	238168	Female Cruise Ship Terrorist
603138	103565	
603139	342275	
603140	128735	Herself
603141	2513	
603141	43367	
603141	104767	Portuguese entry (17th place)
603141	155164	
603141	167050	
603143	132925	Hélène
603143	360235	Herself
603144	262054	Student
603145	65597	
603146	30474	Rocky's Girlfriend No. 3
603147	33897	
603147	137719	
603147	142730	Manyah
603147	144300	
603148	347079	
603149	226777	Carmen
603150	359795	Rust
603150	405372	Cinnamon
603151	196505	Mary
603152	8215	
603152	40262	Joséphine
603152	71805	Toinette
603152	84661	Flora
603152	91453	Thérèse
603152	96094	Amélie
603152	134588	
603152	153804	Rosette
603152	153805	
603152	167189	
603152	183075	
603152	199301	Félicité
603152	201198	
603152	205618	Alice de Liron
603152	231304	
603152	236533	Toni
603152	240427	
603152	243290	Rosine
603152	254099	
603152	263017	
603152	276545	Juliette
603152	328437	Nelly
603152	338592	Madame Jambier
603152	341826	Mien-Li
603152	345073	Marinette Devaux
603153	199301	Chanteuse
603154	261863	
603155	67346	Jenny Dole
603156	11577	Leila
603156	223891	Melissa
603157	367866	Herself
603158	356210	
603159	290991	Maud Candepa, alias Mrs. Hall
603160	333273	Mom
603161	86959	Cute Girl
603162	182026	Hayabusa
603163	119581	Woman #4
603164	306834	
603165	33658	
603165	55652	Maria
603165	94660	
603165	126241	
603165	176563	
603165	205304	Lauretta
603165	211178	
603165	235747	
603165	248222	
603165	261894	
603165	262223	
603165	265723	
603165	273140	Una dama della casa dei Bardi
603165	294848	
603165	307067	
603165	351464	
603167	57929	ABA Student
603168	341926	FBI Interrogator
603169	310760	Mrs. Stewart
603170	310760	Mrs. Stewart
603170	358338	Gail Fryer
603171	233673	Joan at 6
603172	65459	Nurse Robinson
603172	81196	Jane Evans
603172	95189	Abigail
603172	130409	Catherine
603172	402197	Vicki McPherson (1986)
603173	245100	Hotel Maid
603173	265602	
603173	272351	
603174	117631	Herself
603174	174007	Herself
603174	174008	Herself
603174	174010	Herself
603174	174011	Herself
603174	386347	Herself (episode 1.4 "1945-19
603175	23242	Friedrichs moder
603175	79552	Tante Betsy
603176	206828	Herself - Host
603176	378733	Herself - Host
603177	10675	
603177	92044	L'étudiante
603177	100512	Léa
603177	183232	Leanna
603177	262937	
603177	307121	Alejandra
603177	353930	
603178	17818	La patiente de Migeon
603178	24168	Chantal
603178	32270	La Femme hôspital
603178	84222	Solange
603178	86432	
603178	99736	Françoise
603178	146958	Delphine
603178	252412	Lucie
603178	269127	Bourgeoise
603178	278151	The singer
603178	279066	Alice
603178	332195	
603178	345267	Isabelle
603178	355126	La femme à l'église
603179	358090	Barbara
603180	9473	
603180	79223	
603180	94078	Maykata
603180	97608	Nadeto
603180	109743	
603180	132104	
603180	174382	
603180	174661	
603180	235290	
603180	237763	Maykata
603180	261305	
603180	272384	Staritza v starcheskiya dom
603180	349084	Tzvyata
603181	95919	Kuna
603181	103565	
603181	179603	Parvanitza
603181	224448	
603181	272903	
603181	375394	
603182	339314	
603182	361260	Projectionist
603183	26707	
603184	300386	Luo Bing, 11th sister, wife o
603185	8781	Sister Ding
603185	76408	
603185	76829	Woman Driver
603185	111191	Deng's Wife
603185	171737	Yu Lan
603185	184311	
603185	189135	Old Woman Li
603185	210121	
603185	297304	Da Lishen
603185	336628	Zhen Weiping
603185	369723	Erxiao's Sister
603186	90608	Shen Zuohong
603186	393496	San Yitai
603186	405110	Wu Sanniang
603187	113914	
603188	140953	Voter on street
603189	90554	Lin Mengya
603190	91541	Mrs. Sun
603190	236258	Yu's Wife
603190	268749	Aunty Yangjao
603190	374894	Grandma
603191	13383	Ling
603191	169594	An Mei (Age 9)
603191	251108	Chiuming
603191	305572	Ling
603191	359972	Ling
603192	226505	
603193	126709	Jaimie
603194	11890	Volksvrouw
603194	397317	Lerares
603195	30471	Patient
603195	231389	Mrs. Lamplugh
603196	6821	Mary Bidgood
603196	31484	Mrs. Merrill
603196	41869	Desk Nurse #2
603196	168462	Mavis Sheppard
603196	184719	Jim's Wife
603196	213952	Maureen
603196	297790	MacLaren Hall Guard
603196	314351	Bingo Winner
603196	321728	Morgue Attendant
603197	195446	TWA Agent
603197	221024	Woman in Crowd
603197	368592	Young Woman on Train
603198	166403	Little Jedda
603199	364459	Guest
603200	20372	Barbara 'B.B.' Bush
603200	282682	Barbara 'B.B.' Bush
603200	399845	Taylor Vaughn (2002)
603200	402907	Barbara 'B.B.' Bush (1999-200
603200	410688	Papaya (2000)
603200	411545	Barbara 'B.B.' Bush (1999-200
603201	382819	Herself (Kristen - katolikk)
603202	290079	
603202	351930	Jenny
603203	347566	
603203	409602	
603204	80660	Little Girl
603205	227123	Charlie
603206	80585	Madame Minh
603207	110256	Hana/Mei Yun Tsu-Vachel
603207	134028	Red Cross Volunteer
603207	196552	Kim
603207	210826	Multiple characters
603207	311038	Violinist
603207	313185	Trang
603207	316539	Than Nanh
603207	334169	Nurse Romano
603208	113631	Sara
603209	347634	
603209	393878	
603210	223084	Violin Student (1988)
603211	2742	Nocs officer
603211	43432	Azia
603211	63806	Ines
603211	67176	Clara
603211	69759	Lettrice
603211	90683	
603211	97167	Girl at laundrette
603211	277808	Eva
603211	294414	Monia
603211	319326	Elsa
603211	356223	Ida
603211	385284	Sonia Roversi
603211	406295	Angelica Rocco
603212	110717	
603213	125361	
603214	39623	Consuelo
603215	156466	Juror #6
603216	18038	
603217	380085	
603217	380102	
603217	381623	Roxana
603217	394006	Ingrid
603217	398519	Soledad de Anzola
603217	400942	Maya Nieves Ibarra
603218	359867	
603219	184292	
603220	70493	
603220	73177	
603221	404834	Larissa
603222	14816	
603222	70771	Dadá
603222	85523	
603222	90821	
603222	97647	
603222	116581	Ulla
603222	148479	Mariana
603222	170055	Servant (segment "Divertiment
603222	199718	Marta
603222	214563	Maria
603222	222375	Luisinha
603222	225111	
603222	248236	
603222	334575	Alice
603222	344695	
603222	379183	Amparo de Fátima
603222	380168	Anastácia
603222	386245	Pom Pom
603222	386422	Ana Lúcia
603222	387201	Beth
603222	387929	Úrsula
603222	392611	
603222	397440	Ester
603222	400686	
603222	402809	Lorenza
603222	405100	Éden
603222	409414	
603222	410106	Débora
603223	14650	Solange
603223	25059	
603223	33152	
603223	48529	
603223	68578	
603223	148463	
603223	210692	
603223	264272	
603223	266121	Wanda
603224	122909	Yoko
603225	54267	
603226	351855	Luiza
603227	54267	
603228	12931	
603228	56327	
603228	103892	
603228	324856	
603228	328034	
603228	336320	
603228	354984	
603229	392607	
603230	80481	Pat Mom
603231	308246	
603232	186739	Lindsey
603233	25876	Desk Sergeant
603233	26381	Nurse
603233	46415	Secretary
603233	87559	Sandra
603233	93897	Janice Walker
603233	123697	Nurse
603233	283489	Bespectacled #2
603233	284526	Reporter
603233	296765	Desk Sergeant
603233	304753	Tucson Cop #2
603233	307988	Female officer
603233	316667	
603233	344514	Cop #2
603233	363913	Shooting Policewoman
603234	322379	Ruzenka
603234	343439	Ernicka
603235	173565	
603235	375865	
603236	229731	Tribal Girl
603237	163478	
603237	222497	Foo Foo/Camilla the Chicken
603237	295002	
603237	379676	Snizzy (Voice) (I)
603237	381473	Grandma Flutter (1997-1998)
603237	402491	Julie Woo/Sizzle
603237	404897	Sherry Netherland
603238	146792	Waitress
603239	31285	
603239	305592	Jean Holt
603239	309882	Anna Koschek
603239	406683	Jean Walsh
603240	293705	Veninde 4
603241	227149	Herself - Member of the Dinni
603241	316900	Dinning Sisters
603241	329520	Singer
603242	227149	Herself - Member of the Dinni
603242	316900	Dinning Sisters
603243	40251	Herself
603243	210434	Herself
603243	228272	Herself
603243	329520	Singer
603243	331933	Herself
603244	292461	Whore
603245	40251	Herself
603245	210434	Herself
603245	228272	Herself
603245	329520	Singer
603245	331933	Herself
603246	40251	Herself
603246	210434	Herself
603246	228272	Herself
603246	329520	Singer
603246	331933	Herself
603247	28481	Minor Talent Contest audience
603248	28481	Extra
603249	227149	Herself - Member of the Dinni
603249	316900	Dinning Sisters
603250	144742	
603251	275108	Olga Kudinov
603251	408800	Olga Kudinov (1994-1995)
603252	159005	Herself
603253	104501	Osias' mother
603254	391864	
603254	410999	Herself - landscape designer 
603255	270620	Mme Faber
603255	397938	Madame Beauvoir
603256	118363	Bad Girl #4
603257	43164	Ballerina
603258	393831	Host
603259	396479	Damayanti
603260	411982	Host (- 1967)
603261	101036	Dancer
603262	115562	Rockette
603263	26393	
603263	75401	Trixie
603263	141445	
603263	342920	
603264	352240	Fischverkäuferin
603265	8991	La lavandière
603266	124058	Angelica
603266	292265	
603267	71230	
603268	159005	Herself
603269	134081	
603269	261918	
603270	48756	
603270	58033	Sekretarica
603270	88818	
603270	95593	
603270	173754	
603270	229010	
603270	261337	
603270	343954	
603270	375178	Milanka ... Rasina majka
603270	383805	
603270	392218	
603270	394110	Lekarka
603270	394111	
603270	395457	
603270	396547	Cica
603270	396589	
603270	400481	Lekarka
603270	401991	Mica
603270	402188	
603270	404144	
603270	404503	
603270	410442	
603271	15058	
603271	77347	
603271	340111	
603272	11535	Tonya, (Bust-ass's cousin)
603272	18662	Freeda Verasco
603272	28444	Nat Packard
603272	39627	Dancer
603272	89190	Ragnell
603272	100868	Marilou McCully
603272	187319	Vega
603272	187843	Diane
603272	235541	Veronica
603272	318692	Lauren
603272	324956	Dep. Madeline Chandler
603272	334886	Yoshiko Sakaibara
603272	377282	Elvira
603273	164080	
603274	343768	
603275	145754	Sühendan
603276	5579	
603277	114209	Jemm
603278	162254	Carmen
603280	154899	Zombie #8
603281	182442	
603282	10887	
603282	143068	Jean
603282	150673	Claudia
603282	253336	
603282	260369	The Blonde
603282	279351	Lt. Johanson
603282	293048	Ada Raymond
603282	385824	Emmy Borden (1990-1991)
603282	389858	Alexis Davis #2 (2001, 2002)/
603282	392102	Claudia
603282	400236	Angela Holliday (1993-1994)
603283	249678	(segment Mohamed)
603284	238359	Woman
603285	2275	Herself
603285	109617	Cowboy's Girlfriend
603285	379716	Leslie Coulson (1999, 2000-20
603285	380391	Brett Gardner (1993-1994)
603285	380713	Dahlia Ventura (2001-2002)
603285	382419	Felicia Forrester (1990-1992;
603285	390771	Ramona Hendon (2003)
603285	396123	Cecilia Thompson Sowolsky #3 
603285	404282	Robert's mistress (1989)
603285	404613	Evie Stone #1 (1985-1986)
603286	1465	Herself
603286	1674	Herself
603286	1743	Herself
603286	2581	Performer "Dance With My Fath
603286	2940	Herself
603286	3021	Herself - Performer: 'My Hear
603286	7591	Herself
603286	11562	Herself
603286	13751	Herself (performer)
603286	23932	Herself (via satelite link up
603286	32186	Host
603286	32580	Herself
603286	69081	Herself/Performer
603286	69173	Herself
603286	71607	
603286	76044	Herself
603286	76045	Herself (Performer)
603286	76046	Herself
603286	76047	Herself
603286	76048	
603286	79569	Herself
603286	87981	Herself/performer
603286	104763	Swiss entry (1st place)
603286	122981	Herself
603286	127533	Herself
603286	157831	Herself
603286	161177	Herself
603286	163647	Herself
603286	164613	Herself
603286	194521	Herself
603286	204355	Herself
603286	235398	
603286	258515	Herself
603286	265478	Herself
603286	269590	Lady Juliana
603286	280067	Herself
603286	305489	Herself
603286	324783	Herself
603286	333408	Herself
603286	344528	Herself
603286	352976	Performer
603286	352977	Herself/Performer
603286	356350	Herself - Lead vocal
603286	361062	Interviewee
603286	381978	
603286	386094	Elisa
603286	397138	Narratrice
603287	289650	Sandy
603287	340246	Young couple on TV
603288	264731	
603289	222360	Hostess
603290	97450	Colleen Morgan
603290	164587	Anti-Fur Protester #6
603291	198635	Manda Parent
603291	225373	Carole
603291	401320	Laura Cadieux
603292	407233	Piroska Tatai
603293	399369	
603293	407807	Antoinette St-Cyr
603293	411623	Isabelle Brunelle
603294	252141	
603294	275535	Julie
603295	29537	Louisette
603295	354761	
603296	29523	Barfly
603297	317945	Punk Rock Waitress
603298	378858	Gabrielle Champagne #2
603299	127290	Birthday Party Kid
603300	71665	Hooker #1
603301	26775	Bit Part
603301	31600	Madame Coralie
603301	31998	Madame Bergere
603301	33760	Margot
603301	42148	Mrs. K. Ames
603301	47137	Mrs. Smith
603301	52903	Prudence
603301	60174	Madame Yazurka
603301	93655	Madame Polly Voo
603301	94526	Grand Duchess Olga Petrovna
603301	112197	Mademoisellee Suze
603301	116793	Francine
603301	119338	Madame Tetrallini
603301	119768	
603301	130751	Countess de Elberca
603301	133697	Sabotini
603301	141489	Marya
603301	146256	Madame Duval
603301	159430	Marie D'Albrecht
603301	162381	
603301	162930	Ma Blackney
603301	163274	Creota
603301	177355	Miss Duval, the maid
603301	184437	Undetermined Role
603301	191961	Minna
603301	196200	Mme. De Jainon
603301	196413	Madame Deburau
603301	196869	The Malay Street Woman
603301	199185	Modiste
603301	199604	Madame Claire
603301	228575	Madame Fleurette
603301	236514	Paula Vrain
603301	239783	Madame in Den of Iniquity
603301	240246	Shah's mother
603301	240983	Mrs. Dupinnet
603301	241746	Madame Blossom
603301	241867	Nanette
603301	245185	Mère Gourdain
603301	248969	Marcelle
603301	249120	Princess
603301	259763	Lulu Fairmount
603301	271002	Yvonne Martin, aka 'Goldie'
603301	274212	Mother Caron
603301	281857	Madame Bolomoff
603301	286177	Herodias
603301	286382	Madame Cloquette
603301	289503	La Révolte
603301	292413	Mrs. Lennox
603301	296939	Madame Boule, Café Owner
603301	301782	Mam'selle Jo Morey
603301	301832	Mme. Louise
603301	318213	Madame Jeanne Gallifilet Didi
603301	332823	
603301	339690	Laundress
603301	341016	Madame Florio
603301	362674	Nana
603301	367430	Concha's mother
603301	367796	Zephyrine
603301	368370	Erina Rodina
603302	207621	
603303	170440	
603304	39404	Grace
603304	66890	Lin
603304	191340	Chae Lian
603304	384636	Kate
603305	251617	
603306	55188	
603307	90019	La cameriera di Renée
603307	90068	
603307	106803	
603307	184968	Rosina
603307	197204	
603307	198493	Valeria
603307	199055	
603307	282103	La cameriera della Colbran
603307	295163	La collegiale romantica
603307	301380	
603307	315436	
603308	227578	
603308	270815	
603308	289988	
603308	295170	
603310	300533	Pete's Girlfriend
603312	72208	Meta
603313	362	Mia
603313	4506	
603313	14377	Titti
603313	14882	Cristina
603313	19612	Matilde Tucci
603313	19880	Lady Marian
603313	26693	Carla Serra, contessa Rambald
603313	41190	Perla
603313	63765	Maddalena
603313	68440	Silvia
603313	68908	Orchidea
603313	70595	Coqueluche
603313	72928	Bebé Moretti
603313	84378	Gabriella
603313	97139	
603313	102918	Claretta
603313	129050	
603313	133090	Une vacancière
603313	159449	Mariolina
603313	160130	Aurora Traboccetti
603313	163744	Patrizia
603313	183283	Paola
603313	191416	Lisa Prandi
603313	204129	
603313	213802	Leila
603313	228150	
603313	234558	
603313	236362	Girl
603313	241187	Barbara
603313	244081	Deborah
603313	251053	Laura Masoni
603313	252312	Paola Meniconi
603313	259715	Anna
603313	263273	Liliana Bellini
603313	265813	Stefania
603313	265980	
603313	270815	Juliette
603313	270820	Jules
603313	277569	
603313	296540	
603313	338017	
603313	338359	
603313	348139	Norma
603313	349542	Gianna, Grassu's daughter
603313	354881	Giacalone's Daughter
603313	376965	Duschka
603313	379754	
603313	404514	
603314	14398	
603314	14882	
603314	65686	
603314	67166	Marta De Marchi
603314	85463	
603314	159449	Bettina
603314	191416	Antonia
603314	235918	
603314	240269	
603314	260605	
603314	348139	Lina Pasquini
603315	196978	Journalist
603316	248258	La dame de l'exposition
603317	25937	Porter's wife
603317	60234	From "Come and Go"
603317	67781	Flo
603317	84955	Rosa Resigotti
603317	117535	Eddie's Mother
603317	161163	Amanda in 'The Glass Menageri
603317	196203	
603317	208892	Giovanna
603317	216240	Forewoman
603317	222681	Miss Hinchcliffe
603317	277671	Duchess of Gloucester
603317	285669	Lucy Sturmey
603317	285879	Patient's Wife
603317	332385	The Dowager
603317	351238	Dorothy Sanders
603317	354246	Marie
603317	388269	Ellen Stansfield
603317	389099	Lady Patricia Broughall
603317	390399	
603317	391025	Aunt Nicholls
603317	398127	
603318	71718	Herself
603318	87059	Herself/Dionne Quintuplet
603318	114670	Herself
603318	130357	Herself
603318	269968	Herself
603318	276939	Quintuplet
603318	347994	Herself (quintuplet)
603318	370857	Herself (quintuplet)
603319	71718	Herself
603319	87059	Herself/Dionne Quintuplet
603319	114670	Herself
603319	130357	Herself
603319	269968	Herself
603319	276939	Quintuplet
603319	347994	Herself (quintuplet)
603319	370857	Herself (quintuplet)
603320	87059	Herself/Mother of Quintuplets
603320	347994	Herself (mother of quints)
603321	71718	Herself
603321	87059	Herself/Dionne Quintuplet
603321	114670	Herself
603321	130357	Herself
603321	269968	Herself
603321	276939	Quintuplet
603321	347994	Herself (quintuplet)
603321	370857	Herself (quintuplet)
603322	97390	Dancer
603322	159768	
603323	398158	Annie Cloutier
603324	400804	Lucienne Cadieux
603325	126619	Extra Talent (segment "Gett O
603325	132562	Glam Slam Dancer
603326	68771	Gilda
603327	8216	New Copywriter
603327	332418	Member of Sharing Group
603327	366761	Nurse
603327	368307	Narrator
603328	71718	Herself
603328	87059	Herself/Dionne Quintuplet
603328	114670	Herself
603328	130357	Herself
603328	269968	Herself
603328	276939	Quintuplet
603328	347994	Herself (quintuplet)
603328	370857	Herself (quintuplet)
603329	20788	Reporter #1
603329	51594	
603329	80352	
603329	108845	
603329	135353	
603329	168957	Valentina
603329	287839	La Morena
603329	296154	María
603329	322395	Bride in serenade scene
603329	383564	Ornela
603329	395857	Isela Guzmán
603329	397839	Paloma
603329	398915	Alicia
603329	409282	Flor
603330	105884	Sarah. Lansing
603330	120298	Student
603330	176903	Rita
603331	347994	Herself (sister of quints)
603332	347994	Herself (sister of quints)
603333	97390	Dancer
603334	347994	Herself (sister of quints)
603335	71718	Herself
603335	87059	Herself/Dionne Quintuplet
603335	114670	Herself
603335	130357	Herself
603335	269968	Herself
603335	276939	Quintuplet
603335	347994	Herself (quintuplet)
603335	370857	Herself (quintuplet)
603336	174151	Karmen Geï
603337	100364	Myriam
603338	86366	
603339	174151	Majiguene
603340	135244	Nogoy Marie Thioune
603341	93267	Alice
603342	234576	Diouana
603343	322769	Kiné
603344	174151	Waitress Mama Gec
603345	100364	Mina
603346	234022	
603347	765	
603347	34841	
603347	363949	
603349	269548	Helen
603350	164561	Linda
603351	205864	
603352	349495	
603353	36319	
603353	36324	
603353	36337	
603353	36344	
603353	81571	
603353	280049	Himself
603353	375109	Candy Cane
603355	217988	Director's Secretary
603356	65729	Une lavandière
603357	13990	Mrs. Leo Goldstein
603358	126709	Brenda Pinelli
603358	339792	Isabelle
603359	354266	Herself
603359	380274	Lola
603359	393800	Manuela
603359	404755	Pilar Beltrán
603360	55011	
603361	189350	Caroline Lorcy
603362	120985	Maya
603362	124824	Cristelle
603362	256529	
603362	266749	
603362	345563	Sarah
603362	408658	
603363	7623	Primary school teacher
603364	109970	Rose
603364	254121	Marie-Louise
603365	244033	Lise
603366	97812	Gina
603366	115833	
603366	206567	Nhã-nhã-nhã
603366	260569	
603366	384645	
603366	387901	Aurora
603366	402537	Ivone
603367	350237	Linda
603368	38371	
603369	86967	Victim
603370	307975	Singer at Lulu's
603371	35255	Barret's Mother
603372	67437	Messy Little Girl
603373	86951	Jill
603373	91500	Paula
603373	208970	Gina
603373	274169	Fran Pinkerton
603374	230934	Bar Patron
603375	172556	Special Appearance
603375	177307	Girl
603375	396204	Sita
603375	402831	Sita
603376	284712	
603376	375515	Party Guest
603377	142464	Stripper
603378	88186	Anna
603379	2017	Sara
603380	181840	Secretary Malgosia
603381	412198	Laura
603382	331089	Petrina
603383	313562	
603384	261650	Apothecary Shop
603385	339226	Camille
603386	250645	Emily
603387	337833	
603387	353317	
603388	401988	
603389	10820	Convent nun
603390	28791	Starlet
603390	40229	Kim
603390	43933	Kim Diamond
603390	59682	Zoe Fields
603390	140783	Lynn
603390	297937	Grace
603390	318763	Dee
603390	335530	Connie
603390	346929	Cashier
603391	222271	
603392	110666	
603393	138276	Hannchen Hasemann
603394	5134	Mother
603394	12895	Mrs. von Wallbaum
603394	28696	Tourists Frau
603394	100968	Saskias Oma
603394	186875	Mutter
603394	268540	Teacher
603394	270429	
603394	275179	Marta Garancij-Wolff
603394	314349	
603394	332826	
603394	346389	
603394	374329	Frau Frühwirth
603394	379882	Bärbel Kroll
603395	107100	Doctor
603395	169662	Brenda (Walter's Sister)
603395	242810	Baroness Dumas
603395	324235	Sugarsop
603395	353406	
603396	39092	
603396	153964	
603396	182909	
603397	22057	
603397	222076	
603398	94202	Janice (Drunk Girl)
603399	57747	Inmate
603400	98259	Charlotte
603400	239152	Blanca
603401	232389	Charlotte
603402	400217	Renske Zwart (2003-)
603403	42860	Julia
603404	273772	Sidra
603404	406701	Anna (Host)
603405	394987	Herself
603406	102117	Fashion Smurf
603407	116147	Crew member
603409	224106	The Talent Show - Latin Jazz 
603410	7141	Becky's Mom
603411	203276	His Wife
603412	259176	
603413	290450	Emma Hoffmann
603413	366483	Marita
603414	56545	Herself
603414	311746	Lynn Harrison
603415	235698	Sybil Tregarthen
603415	311746	Josephine
603416	139781	Marshal #7 at Briefing
603417	264102	Barfly Matilda
603418	109619	Bartender
603418	178980	Doris Daye
603418	314166	Sammy the Cop
603419	324889	Women's Sewing Circle
603420	265615	Suspect #2
603421	319902	Dominatrix
603422	178114	Red Hair Hooker
603423	2573	Herself - presenter
603423	2761	Herself
603423	47377	Herself
603423	47820	Little Angie
603423	52453	Heidi Fleiss
603423	53131	Natalie
603423	57694	Herself
603423	81177	Herself
603423	106361	Amy Baker
603423	154551	Angela
603423	161400	
603423	196522	Alexis
603423	405976	Meadow Soprano
603424	87414	Sweet Girl
603425	290187	Roswitha
603426	2985	
603426	37727	
603426	39044	
603426	50121	
603426	83885	
603426	88282	
603426	138262	
603426	162722	
603426	164451	
603426	167881	
603426	173550	
603426	200160	
603426	231218	Nyora Ataola
603426	261090	
603426	324533	
603426	349475	
603427	260492	Ana
603428	268168	
603430	377464	Young mother
603431	345557	Enfant
603432	150243	Tom's secretary
603433	38373	Jill Valentine
603433	66324	Paula Hobday
603433	80941	
603433	96775	Ms. Clark
603433	194012	Bayla
603433	206798	Psylocke
603433	206800	Psylocke/Elisabeth 'Betsy' Br
603433	206801	Psylocke/Elisabeth 'Betsy' Br
603433	222751	
603433	230703	Student
603433	235160	Carole
603433	257196	Leda
603433	264608	
603433	280626	Mom, Tape Voice
603433	280627	Mom, TV Journalist
603433	354673	Catherine Collins
603433	367588	Judy Zess
603433	369462	Storm
603433	369463	Psylocke/Elisabeth 'Betsy' Br
603433	369464	Jean Grey
603433	384894	Sherrie Linder
603433	389100	Natalie Lambert
603433	397130	Mrs.Churchmouse/Winifred/Spar
603433	401108	Dragonfly
603433	403657	Mom
603433	405726	Minister Audrey Flankman
603433	406542	Stella Stickler
603433	407318	Sopie (1988)
603433	409511	
603433	410588	Mana (1989-1990)
603433	411568	Jean Grey/Phoenix
603434	33023	Herself
603435	205395	
603436	32506	
603436	44394	
603436	103565	
603436	264976	
603437	88115	Herself
603438	407055	
603439	115269	Women Coalation Diner Patron
603440	391759	Katie Davis (2002-2003)
603441	54453	
603442	54453	Girl lighting bonfiire
603443	146420	
603444	81984	Girl checker
603445	409565	Belgian columnist
603446	309759	Sinner
603447	265236	
603448	373381	Yukina (FUNimation English Du
603448	373382	Yukina (FUNimation English Du
603448	389464	
603448	397371	Miah
603448	411884	Yukina (#2)
603449	29101	Sister Theresa
603449	58939	Salesperson
603449	188507	Blonde on Bike
603450	200910	Self
603451	241415	Herself
603451	358832	Herself (Walt's daughter)
603452	358832	Herself (Roy's wife)
603453	358832	Herself (mother)
603454	217972	
603455	358832	Herself (wife)
603456	881	
603456	30962	Blade
603456	40838	Second Woman in Hallway
603456	107941	
603456	113274	Imoen
603456	117779	Imoen/Ithmeera
603456	117783	Imoen/Surayah
603456	143796	Lucy Ladybug
603456	143797	LadyBug
603456	161057	Skye Champion
603456	189974	Gardenia
603456	273569	Crystal
603456	283895	Boo the Cat
603456	285050	
603456	312193	Elora the Faun, Additional Vo
603456	340908	Billie
603456	346274	
603456	380715	Ginger Foutley
603456	393269	Meggie
603457	358832	Herself (sister)
603458	241415	Herself
603458	358832	Herself (daughter)
603459	37350	Cece
603459	117230	Anissa Ayala
603459	274699	Judy
603459	274729	Carmen Pena
603460	403241	Herself
603461	240334	
603462	45001	Gate Attendant
603462	120033	Savanna Harris Cornwall
603462	226974	Beautiful Woman gets adjusted
603462	245111	Waitress
603462	248976	Suzanne
603463	119777	
603464	400698	Une gardienne du bon goût
603465	174761	Gudrun
603465	225157	
603465	229162	
603465	325463	Lizzi
603465	325732	Ariane
603466	389359	Kirsten Schütze
603466	389359	Kirsten Schütze (1992-1994, 1
603467	16315	
603468	259801	Police officer Marjo
603468	290451	Zus Matthijs
603468	365706	Mien
603468	381049	Iris de Graaff (2003-)
603468	384654	Eva Hendrikx-Bouwhuis
603469	11865	Frau Kaser
603469	174567	Maria
603469	223286	Pizzafrau/Pizza Woman
603469	231623	
603469	261480	Hausmeisterin
603469	325791	
603469	356551	Lisbeth
603470	390242	Cilia de Ridder (1995)
603471	257670	Herself
603472	403356	Herself (Prosecutor)
603473	199961	Various voices
603474	67395	Young Tashi
603475	409493	Herself
603476	409493	Herself
603477	374007	
603478	59271	
603478	346479	Anne
603479	190220	Annie
603480	77931	Silicone Val
603480	120420	Princess Dar
603480	308768	Tikal
603480	308784	Lumina Flowlight, Illumina
603481	54705	
603481	144400	Darnel
603481	317245	Annie
603481	326565	
603484	177544	Dogati Girl (Camp Follower)
603485	68208	
603485	75612	Laurian Summers
603485	154000	The Gypsy Wife
603485	303522	Assistant Choreographer
603485	305159	Sarah Gantz
603486	117627	
603487	54214	
603487	129582	Old whore
603487	313104	Mrs. Jennings
603488	208487	Mrs. O'Brien
603488	359539	Nancy
603489	62755	La mère Marie
603490	77270	
603490	355850	
603491	386347	Herself (episode 1.5 "1960-19
603492	291863	Kitty Sholto
603493	107493	S & M Dancer
603494	366761	Ridgemont child
603495	366761	Ridgemont child
603496	366761	Ridgemont child
603497	118897	Herself (former arts editor, 
603498	23956	Frieda Volker
603499	56955	Club Owner's Girlfriend
603500	121404	Jenny
603501	35239	Cheerleader
603502	356877	
603503	110073	Gretchen
603504	17609	
603505	192145	
603506	159251	Dancer
603506	332804	Dancer
603507	231421	Herself
603508	192805	Waitress
603509	178921	Professor's Wife
603509	192682	Salon Patron #4
603509	220041	
603509	327300	Nancy Winfrey
603509	349689	Trailer Park Resident
603510	281641	Herself
603511	134911	
603512	134965	
603512	314385	Mrs. Hammar
603512	378165	Teacher
603513	48923	Cheerleader
603514	290481	Abahachi/Winnetouch als Baby 
603515	37683	Jenni
603516	263284	
603517	134464	Tänzerinnen und Tänzer im Var
603518	470	Frau Busse
603518	997	
603518	11817	
603518	12870	
603518	18344	Sabine
603518	21405	
603518	23199	Rose
603518	24602	Kassiererin
603518	35044	Blonde
603518	40421	Anna Borowski
603518	50146	Mrs. Seidelmann
603518	51334	Heimleiterin
603518	87192	Bettina Bräuer
603518	91179	
603518	93735	Lucie
603518	98274	Maxi Blaschke
603518	98370	Frau Hellgrewe
603518	101352	
603518	104842	Erika
603518	119692	Richterin
603518	124898	
603518	143488	
603518	177213	
603518	187552	
603518	194438	Nurse
603518	217201	Lenchen Demut
603518	217414	Hedwig
603518	257364	Marianne Madäus
603518	259450	Hilde Gruber
603518	259483	
603518	259492	Frieda Kirsch
603518	259510	Elfie Brahe
603518	259528	
603518	259541	
603518	259591	
603518	259616	Vera
603518	259690	
603518	268129	
603518	276330	
603518	281653	
603518	284420	
603518	290178	Frau Wolkwitz
603518	290509	
603518	290614	
603518	301032	Karolines Mutter
603518	312201	Mathilde Holtfreter
603518	312640	Helga Schauer
603518	314716	Koechin
603518	336521	Marie
603518	352567	
603518	356740	
603518	361039	Hanna Löwenhaupt
603518	364881	
603518	377375	
603518	379884	Katharina
603518	387752	
603518	392669	Anna Follie
603518	408827	
603519	391883	Paula Small (2001-)
603520	372264	Linda
603521	211727	Grand Lady in Paris
603522	36695	Mum on the bus
603522	67063	
603522	87697	Baby Doll Dancer
603522	97517	Herself
603522	128676	
603522	146339	
603522	200851	
603522	237006	Snooty Woman
603522	312710	
603522	314951	Dexy
603522	344142	
603524	384839	Model (1958-1973)
603525	24172	
603526	69619	Melinda
603526	91903	Hooker #3
603526	97388	Party Girl
603526	257522	Grace's Party Friend
603527	102627	
603527	169100	
603527	215120	Sonja
603527	244024	
603527	390660	
603528	85402	
603528	145685	
603528	150671	
603529	367768	Victoria
603530	32043	Ms. Lamshitz
603531	47130	Neighbor Woman
603531	47417	Mrs. Lemleigh
603531	68225	Blind Lady #1 (Joan)
603531	82321	Mrs. Merry
603531	113261	Nurse
603531	142894	Tabitha Cox
603531	151101	Maid
603531	157436	Cousin Ellen
603531	168771	Mrs. Murphy
603531	185593	Gossip Confessor
603531	192100	Lady in Park
603532	209218	Carla
603533	10327	Alex Venino
603533	50966	Bybee
603534	2635	
603534	13538	
603534	32517	
603534	32555	
603534	41019	
603534	41486	Herself
603534	46094	
603534	67463	
603534	81737	Student at sex surrogate scho
603534	82841	
603534	87998	
603534	109526	
603534	128871	
603534	128872	
603534	139217	
603534	147699	
603534	150787	
603534	161053	
603534	161506	
603534	177740	
603534	201316	
603534	207283	
603534	296264	Painter
603534	310470	
603534	316638	
603534	319669	
603534	325072	
603534	325246	
603534	338152	
603534	365128	
603535	394582	Sarla Kapoor
603536	211906	
603536	273309	
603537	340305	
603538	360734	Lady in Boutique
603539	261	
603539	8564	Actriz cantante (Singer actre
603539	78677	Josie
603539	185921	
603539	271014	Victoria Rinaldi
603539	385068	Mary McDonogh
603539	389858	Angel (1997)
603539	411802	Penny (2000)
603541	127508	Pearline
603541	190218	Woman Cop
603542	170451	Partygoer
603543	284549	The Dirtiest Broad in the Wor
603544	54598	
603545	178866	
603546	13371	
603546	128784	
603546	158922	
603547	765	
603547	1241	
603547	11452	
603547	20724	Party Girl
603547	32467	
603547	34658	
603547	37669	Francine
603547	95803	
603547	117344	Stripper #1
603547	140168	
603547	237135	
603547	316127	
603547	339604	
603547	342639	
603547	372522	
603549	161840	Marcia Lee
603551	342377	
603552	316418	Eva Nováková
603553	349488	Liliane Godreau
603554	67569	Choreographer
603555	26700	
603556	117103	Addict
603557	117103	Mary Kay
603559	83431	
603560	137850	
603561	77668	J.K.'s Daughter
603561	97707	Jayalakshmi
603561	106050	
603561	155579	
603561	179870	
603561	183431	Durga
603561	223507	
603561	252021	
603561	252025	Satyabhama
603561	271015	
603562	16195	
603562	43128	Pensioner
603562	62438	Veselá
603562	82802	Train Dispatcher's Wife
603562	120405	Fairy
603562	156026	
603562	171545	Mrs. Holubová
603562	182470	Stepmother (segment "The Gold
603562	199369	La femme du miltaire
603562	219293	Otylie
603562	237202	
603562	265233	Petránková
603562	266431	Mother
603562	268294	
603562	275687	Altes Kindermädchen
603562	287312	Vera
603562	305301	Katarína
603562	305825	Medková
603562	333306	Ingeneer's Wife
603562	351372	
603562	356089	Jan's Mother
603562	357636	
603562	374284	Elizabeth Peachum
603562	376567	
603562	410144	
603562	410338	Milan's mother
603564	301615	
603565	3202	Girl in Car
603566	138751	Specialty Act
603567	59215	
603568	78528	Ticket Seller
603568	89652	
603568	94106	Eileen Carey
603568	99224	
603568	112602	
603568	114184	Janet Fraser
603568	130643	Gloria
603568	135995	Marjorie Miller
603568	223054	Secretary
603568	230281	JoAnn Clinton
603568	319204	Ruth Brannum
603568	319465	
603568	336045	
603568	336048	
603568	336055	
603568	339738	William's Wife
603568	362646	Mary Collins
603569	205178	Herself - Newspaper Columnist
603569	384378	Herself
603570	82064	
603570	88666	
603570	153617	Bridesmaid
603570	154063	Secretary
603570	166240	Bit Role
603570	219786	Bit Part
603570	227697	Mrs. William G. Davies
603570	364453	Miracle Player
603571	6805	Young Attendant
603571	40121	Girl at Race Track
603571	47355	
603571	57606	Hostess
603571	81097	Air Hostess
603571	176358	1934 Goldwyn Girl
603571	194822	Passenger
603571	203541	Prisoner
603571	220892	Shop girl
603571	246650	Karen
603571	247577	Johnson's secretary
603571	252576	Shipowner's daughter
603571	305044	Fashion Show Model
603571	330189	
603571	365087	Maid
603572	56545	Herself
603573	350432	Miss Rogers
603574	6911	Pretty girl
603575	69232	Juror
603576	73843	Ambulance Woman
603576	84955	Marguerita Schola
603576	150780	Maria
603576	238649	Mandy
603576	292121	Mary
603576	382912	Lady Honoria
603576	391259	Kika Trefusis
603576	397626	Ruth Sturgeon
603576	405829	Capt. Sadie Williams (1995)
603577	1673	Themselves - Performers
603577	1743	Themselves
603577	2048	Themselves/Singers
603577	94458	Penny
603577	175794	
603577	196158	Patient
603577	280504	
603577	280506	
603577	384537	Performer
603578	73902	Trudy Hiatt
603578	121858	Phobe
603578	253336	Secretary
603579	286797	
603580	675	Devi
603580	4311	
603580	4402	Pooja
603580	4964	
603580	17357	Shivani
603580	25428	
603580	27415	Herself (Special Appearance)
603580	35083	Saraswati
603580	79956	
603580	81272	Ketki
603580	82001	Anita
603580	84769	Chandramukhi
603580	85324	Dreamgirl
603580	86626	Madhu
603580	86679	
603580	86682	Pooja
603580	101368	
603580	122926	Gaja Gamini/Sangita/Shakuntal
603580	144733	
603580	152449	Nisha Choudhury
603580	152500	Radha
603580	156343	Vidya
603580	164125	
603580	165214	Rekha
603580	166494	Madhu Sen
603580	173500	Bharathi
603580	175911	Ganga (Gangotri Devi)
603580	175982	Kavita
603580	176005	Seema/Jhari Bhuti
603580	176024	Sweta
603580	177952	
603580	180608	Gauri
603580	184075	Janki
603580	200630	
603580	200686	Jenny Pinto
603580	217143	Shweta Sharma
603580	217203	
603580	222069	Sonia
603580	246099	
603580	248962	Paro
603580	254826	
603580	262289	Shirley
603580	262465	Madhu
603580	262824	Shivangi Mehra
603580	262852	Laxmi
603580	262919	Kajri
603580	266966	Anjali
603580	268066	
603580	271419	Madhu
603580	271545	Rajkumari Vishaka
603580	271729	Radha
603580	284712	Pooja
603580	285542	Sahibaan
603580	285621	Dr. Sushma
603580	287370	
603580	308267	
603580	320910	
603580	329161	Mohini
603580	329284	Chanda
603580	339625	Divya Mathur
603580	349109	
603580	350597	Jaya
603580	358381	Apoorva
603580	370218	Lalita/Shikha
603580	370973	Neha
603580	373827	
603580	375207	Juhi
603581	159248	Herself
603582	246950	Princess
603583	28864	Mrs. Pound
603583	52682	Julia Harbord
603583	346840	Consuelo Pratt
603583	350642	Herself - Musical Comedy star
603583	367623	Sylvia Anson
603584	215915	
603585	687	Herself
603585	3251	Performer/Herself
603585	47172	Performer: Mis-Teeq
603585	47173	Presenter
603585	249592	Performer
603586	79293	Spectator
603587	367774	
603588	17714	
603588	87447	
603588	188038	
603588	195172	Herself
603588	228621	
603588	295623	
603588	318093	
603589	244310	Desdemona
603590	28493	Mary Hale
603590	71934	Hayden's girl
603590	384366	Trudy Malone (1996)
603590	406621	Tess Merchant
603591	35657	Nurse Receptionist
603591	132529	Elaine Ramstead
603591	162602	Mae Parker
603591	178077	Dorothy
603591	215791	Receptionist
603592	340504	
603593	39627	Dancer
603594	351502	Screaming Sirens band member
603595	283781	Jessica
603596	203077	Little Girl
603597	204576	Club Girl
603598	50611	Girl #2
603599	7093	Ringmaster
603599	313479	Ewok
603600	357040	
603601	254649	Nurse
603602	195271	Mrs. Daisy
603603	62560	Carrier 1's wife
603603	72502	Mavis
603603	255433	Denise Orville
603604	31188	Herself (ABC Team)
603604	31194	Herself - ABC Team Contestant
603604	35535	Wendy Nelson
603604	71495	Laura Rollins
603604	88867	Monica McNeil
603604	105851	Fred's ex-wife
603604	161255	Narrator
603604	163247	
603604	197018	Cynthia Mitchell
603604	205454	Daisy
603604	233307	Maureen Dean
603604	233690	Sarah Wilder
603604	310784	Tiffany
603604	311133	Karen Boyer
603604	311976	
603604	342512	Jr. Stewardess (Segment #4)
603604	360290	Dreamwoman
603604	381703	Allison Harris
603604	382547	Sonny Lumet
603604	383951	Lauren Sullivan
603605	192286	Black Cat dancer
603605	210268	Karate Expert
603606	41095	Acrobatic Dancer
603607	327298	Sock Hop Dancer
603608	355897	Erin
603609	183443	Cigarette Girl
603609	308342	Dance hall girl
603610	264158	Student
603612	387147	Mary Brodie
603613	17507	Bessie Fisk
603613	26729	Olivia Hornby
603613	54589	Stella Darbisher
603613	144555	May Manning
603613	159004	
603613	163309	Lillian Allen
603613	193814	
603613	230401	Helen Lattimore
603613	279340	Daphne Van Steer
603613	301595	Helen Wynton
603613	335589	Helen Brewster
603613	365044	Madeline Dornham
603613	367839	Emerie Rogers
603614	174584	Linda
603614	338917	Lorry
603615	67156	
603615	171444	Bit Part
603615	362792	
603616	139498	Regina Vinson
603617	201112	Mother of Cowboy Kid
603618	36700	Natalie
603618	113273	
603618	114313	Girlfriend
603618	121561	Terri
603618	129076	Alicia Fox
603618	151382	Tammy
603618	276201	Dancer #1
603619	282439	May
603620	147512	Mrs. Susan Elliott Potter
603620	154885	Mae Waters
603620	169604	Harrison
603620	178030	Hilda
603620	183738	Ann Gardner
603620	200467	Blossom Finney
603620	216000	Lynn
603620	224136	Molly (Bullocks' maid)
603620	285181	Opal
603620	297970	Martha Pryor
603620	321501	Ella
603620	334252	Irene
603620	372232	Bonnie Graham
603621	13414	
603621	44822	Herself
603621	203572	Herself (author, psychic)
603622	213654	Party Goer #1
603623	402962	Additional Voices
603624	60269	Stewardess
603624	144574	
603624	144974	Matille Trudeau
603624	171211	Anne
603624	232261	Mrs. Clarke
603624	269277	
603624	348348	Sylvia
603624	366742	Tracy Lanier
603624	387242	Barbara Hare
603624	390523	Miss. Pauline Clark (1978-197
603625	49536	Grace Bradshaw
603625	54518	Lacuma
603625	105967	Joan McKenna
603625	135983	Terry Blake
603625	150213	Gail Martin
603625	154478	Mrs. Wayne
603625	186318	Velvet (saloon singer)
603625	256759	Felice Moran
603625	279468	Diane
603626	194035	Waitress
603627	41318	Seductive Bloodsucker
603628	75560	Lin
603629	323806	Bumby
603630	302325	Sharon Sloan
603631	109632	Girl 1
603632	185255	Motorcyclist
603633	80448	Prostitute
603634	201605	Herself
603634	301222	Traci
603635	347540	
603636	401221	June
603636	409216	June
603637	166986	Agnes Miller
603637	340957	Susan
603638	333347	T.V. Anchor
603639	82326	Law Student
603640	72027	
603641	67156	
603641	220901	Dancer
603643	54026	Pilgrim: Second Nun
603645	60011	Pheobe
603646	26285	Sarah
603647	157738	Reporter
603648	20987	Wilma
603648	58928	Mary
603648	63746	Chief Robin
603648	63747	Chief Robin
603648	119937	
603648	131778	Receptionist
603648	182956	Karen
603648	182957	Karen
603648	182962	Mary
603648	200181	Ticket Agent
603648	208491	Sheila Stone
603648	208665	Misty Rogers
603648	232126	Linda
603648	233577	Stone
603648	245013	Margaret Curtis Worth
603649	379716	Caroline Dixon Grant, R. N. (
603650	282997	Mrs. Donner/Others
603650	383395	Wanda/Additional Voices
603650	392237	Betty Ross
603650	393012	Virginia 'Pepper' Potts
603650	396989	Betty Ross/Pepper Potts/Lady 
603650	397697	Nurse Jane Foster
603650	406155	Betty Brant/Mrs. Conner/Adela
603650	406667	Ada
603650	406835	Lady Dorma
603650	406957	Lilliane Drone
603652	116565	Remote Tryout
603653	343879	Girl in Lobby
603654	158207	Miss Koschnick
603655	23583	Dancer
603655	277071	Lincoln Girl #1
603656	65370	Mrs. Grey
603656	88923	Voice of Skagra's Ship
603656	109664	Mrs. Strawson
603656	276347	
603656	380223	Mother-in-law
603656	382694	Ruth
603656	385299	Helga Dorfman
603656	387471	Lady Rich
603656	391553	Managing Director
603656	403112	Maud Slingsby
603656	407174	Mrs. Darwin
603656	410714	Mrs. Boltro
603657	320263	Helms' Court Steno
603658	138413	
603659	296842	Zelda
603660	236691	Pat
603661	395491	
603662	102013	Teacher at Play
603663	108626	Emily
603664	379741	Regular Performer (1997)
603665	59505	House Guest
603665	396353	Siegler Secretary
603666	133719	Vesuvia's Guest
603667	333347	Woman at Rally
603668	49389	Amy Hicklar
603669	112174	
603670	66910	
603670	87505	Lisa
603670	291206	Mick
603670	310337	Jo
603671	28087	
603671	42566	
603671	45568	
603671	95767	Dyesebel
603671	99960	Emma Salazar
603671	101679	Faye
603671	123918	
603671	138340	
603671	150404	
603671	162636	
603671	162645	
603671	167008	Jessica Alfaro
603671	172968	
603671	185734	
603671	195791	
603671	224222	
603671	226658	
603671	239362	
603671	242344	
603671	246582	
603671	247534	
603671	248019	
603671	267005	
603671	284633	
603671	286583	Blanca
603671	287059	
603671	301483	
603671	302978	
603671	325365	
603671	334288	
603671	346208	
603671	358514	
603671	392560	Mia Sandoval
603671	400062	Faye
603671	410693	
603672	368417	
603674	32742	Herself
603675	310728	Isabel
603676	195829	Estelle
603677	394189	
603678	133190	Barbara
603679	183323	Coffee Shop Waitress
603680	113251	
603681	11070	
603682	25058	
603683	32559	
603683	137587	
603683	162157	
603683	248862	
603683	284521	
603683	303155	
603684	173298	
603684	333582	Mrs. Carolina Blanco
603684	398996	Leticia
603685	184082	Melody Amor
603685	284650	
603686	8324	Queen Manananggal
603686	52734	(Episode 1)
603686	124452	Pilar
603686	127724	Melanie
603686	200018	Abby
603686	319343	
603686	348989	
603686	379023	
603686	381380	Joyce
603686	390069	Melanie Suntay
603686	394020	Host
603686	398996	Stella
603686	404049	Sara/Sally Concepcion
603686	404051	Karen
603686	406980	Herself
603686	407337	Gerri (2003-)
603687	372525	Little Girl in Park
603688	30864	Alma
603688	112787	
603688	148905	Lissa
603688	171969	
603688	172156	
603688	178082	
603688	207124	
603688	284840	Tony
603688	380345	Anna Karenina 'Karen' Villara
603688	385532	Baby
603688	394036	
603688	394906	
603689	308128	Hamptons Nurse
603690	104835	
603691	60027	
603691	198296	
603692	369528	Shane ("O" Episode)
603693	153859	
603694	255327	Balinese dancer
603694	279376	
603694	279411	
603694	279441	
603695	223461	Amanda
603695	325576	Maria Santiago
603696	259693	Eleonore
603697	394111	
603698	172417	Mare Karantanova
603699	210158	
603700	29670	Harem
603701	10205	Blondie
603702	148370	
603703	61759	Meg
603704	113135	
603704	362080	
603705	83880	Woman in pension
603705	118343	Beatrice
603705	331526	Beatrice
603705	354058	Christa Wredel
603705	385664	Ina Bernstein
603705	398273	
603705	404169	Lola
603706	175942	Grandfather's Friend
603708	81523	
603709	25986	Lalla Djamila
603709	149752	
603709	174707	Baroness Fux
603709	234285	La fiancée
603710	89419	
603710	136594	
603710	181585	Aniko
603710	181586	
603710	206703	
603710	236992	Nutsa
603710	328946	Woman
603710	341250	
603711	239722	Dolores
603712	66222	
603712	120982	Catherine
603714	9306	Young princess, Sister of Aka
603714	30944	Tasiko
603714	104282	Nato
603714	126100	Princess Tinatin, later Queen
603714	156260	
603714	170961	Eteri
603714	176022	Manana
603714	179601	Dzabuli
603714	221407	Elene
603714	224953	Eka
603714	268578	Nazime
603714	268611	Keto
603714	289275	Poet's mother
603714	341197	Eliko
603714	353793	
603715	20893	Nunu
603715	170961	Actress
603716	299322	
603717	72091	
603717	94062	
603717	215270	
603717	320695	Milanka
603717	386659	
603718	55721	Ann West
603718	83615	Jean Summers
603719	300490	Cleopatra, wife of Aslan
603719	341199	
603719	341200	Ala
603720	386336	Mara
603721	286655	Fille de la cité #1
603722	144789	Alien Stormtrooper
603723	329661	Dancer
603724	253574	
603725	169100	
603726	166370	School warden 2
603727	265982	Elisa
603728	333440	
603728	333441	
603729	40277	Madame Chetane
603729	65151	Sylvie
603729	208830	Professeur d'arabe
603729	261839	The Madonna
603729	370420	Aila
603729	379655	Naouel 30 ans
603730	167184	Maria Devlieger
603731	354469	Maria
603732	142783	Child with balloon
603732	240390	Child in battle field
603733	142783	Woman in street
603734	394053	(2001)
603735	384288	Zorah
603736	258983	
603737	223	
603737	55333	Lily
603737	88193	Clémence
603737	217726	
603737	267015	Monique Bodj, l'amie de Ranuc
603737	356448	Claire
603737	408922	Dominique
603738	93483	
603739	339495	Une cliente
603739	345109	
603740	390477	
603741	376889	
603742	370013	Némée
603743	272606	Zena II
603744	318206	
603744	376227	
603744	386526	
603745	257405	
603746	269892	Aborigine
603747	130116	
603748	122719	Gabbeh
603748	285952	Herself
603749	28401	
603749	232599	
603750	210158	
603751	113554	Prostitutka Lidija
603752	320624	Natasa Mrlek, voditeljica dne
603753	87715	Lana
603753	242849	Jelena
603753	303622	Vida
603753	376226	
603755	134232	
603755	155659	
603755	166646	
603755	172464	
603755	349684	Starija zena
603755	399958	
603756	386526	
603756	405506	Socijalni radnik
603757	81674	Vestica 3
603758	15094	Isabelle
603759	268584	Maro
603759	344260	Tsiru
603760	202256	Potola
603761	85160	Ruzica
603761	129162	
603761	204302	
603761	240006	
603761	252110	
603761	260622	
603761	305099	New girlfriend
603761	375318	Tv- presenter
603762	215119	Konobarica
603763	185255	Anna Wolff
603763	357069	Zandy
603764	41311	Paige
603764	171222	Muscles' Girlfriend
603765	267627	
603765	270637	
603766	386659	Desa
603767	95926	
603767	134763	
603767	155659	
603767	215355	Lady of the Night
603767	335940	
603767	382431	
603767	390660	
603768	222441	U vazduhu se naslutila nevolj
603769	263435	
603770	258825	
603771	262763	
603772	23362	
603772	87188	Lea
603772	180253	Jovanka Djuric
603772	229277	
603772	239451	
603772	243641	
603772	343867	Marija Stanic
603772	346269	Woman Prompter
603772	349153	
603772	351588	
603772	375031	
603772	375356	
603772	381239	
603772	382029	
603772	385275	
603772	389141	Rita Colluci
603772	394152	Majka Karadjordja
603772	399107	
603772	406567	Vojina zena
603772	410452	Savka Zivkovic
603773	313054	
603774	270448	Rachida
603775	344098	Vidente
603776	78950	
603777	9044	Mrs. Parcker
603777	10282	
603777	20228	Anglichankata Marliz
603777	22009	Zhenaya na asistenta
603777	55414	Rada
603777	94909	Maykata
603777	99875	
603777	154017	Young Mother
603777	164087	Zhenata
603777	178835	Dobra
603777	296427	Young Lily
603777	318583	Sulamit
603777	352075	
603778	270544	
603778	344102	Detektiv 2
603779	309811	Studentkinja
603780	155659	
603781	156896	
603781	229293	Berta
603781	244140	
603781	258781	
603781	280329	
603781	314437	Svetlana Krivokapic
603781	328701	Rosamund
603781	343799	
603781	350665	Doktorka Danka Uskokovic
603781	381239	
603782	9353	Smiling girl
603782	60722	Prodavachka v butik
603782	183913	Otryadnata
603782	211281	Child Marianti
603782	397471	Deteto Marianti
603783	44394	Sobeslava, zhena na Doks
603783	132035	
603783	179603	Uchenichkata
603783	181067	Ivayla
603783	209277	
603783	346527	Chanteuse
603783	371694	Sestra Tzetzi, Tzitziliya
603784	1057	
603784	227519	Boyana's Mother
603784	227952	
603784	286715	
603784	357351	
603784	379616	
603784	390299	
603784	390388	Stanodavka
603784	404305	Rajka Kokot
603784	406315	Lolina majka
603784	406316	Lolina majka
603784	410371	Petrusa
603785	89780	
603785	172509	Asistentkinja
603785	210527	
603786	303622	Maskirna
603787	48331	
603787	109168	
603787	179310	
603787	226691	
603787	253841	
603787	286645	
603787	390427	
603788	171913	
603788	244580	
603788	396547	Gvozdenova sekretarica
603788	400481	Bolesnica
603788	409561	
603789	88731	
603789	155969	
603789	179237	
603789	215119	Azra
603789	216587	
603789	217270	
603789	227991	
603789	238210	Stamena
603789	315927	
603789	316448	
603789	379616	Mara ... majka
603789	402116	
603789	407442	
603789	410330	Mubera Polovina
603790	272559	
603790	350367	
603790	406315	Nebojsina uciteljica
603790	406316	Nebojsina uciteljica
603791	81509	
603792	14834	Cantante Night
603792	108873	
603792	225725	V. Fatima
603793	93510	
603793	210527	
603793	396292	Melanija (2004)
603794	28409	Monahinja I
603794	43283	Pija
603794	45751	Sestra Agnes
603794	48457	Rejmond Sandebiz
603794	49600	
603794	74773	
603794	82906	
603794	88439	
603794	98605	
603794	131151	
603794	132159	
603794	149207	
603794	162753	Jelkina majka
603794	166972	Savina majka
603794	172506	Valja ... unuka
603794	180670	
603794	199103	Pajina bivsa zena
603794	201295	
603794	226835	Mejrina majka
603794	227943	
603794	229895	Tuzilac 1
603794	232616	
603794	237764	
603794	242283	
603794	242720	
603794	244020	Zena u crnini
603794	249214	
603794	258826	
603794	292082	Herself (interviewed)
603794	304892	
603794	305525	
603794	313017	Ona
603794	318975	
603794	342374	
603794	350742	
603794	354696	Juliska
603794	357494	
603794	375422	Avdotja Romanovna Raskoljniko
603794	382939	
603794	386110	Desanka Maksimovic
603794	386131	Sneska, Bokcetova kci
603794	389141	Teresa
603794	393359	
603794	394011	
603794	395440	
603794	403668	
603794	410442	Sudija
603795	48756	
603795	72166	
603795	74174	
603795	131080	
603795	132161	Tetka Savka
603795	160593	
603795	189400	
603795	209362	
603795	233434	Milka
603795	236167	Kischova gazdarica
603795	242642	
603795	258822	
603795	301502	
603795	311362	
603795	317870	Nadina majka
603795	320547	
603795	320555	
603795	320559	
603795	343836	
603795	343867	
603795	351015	
603795	351316	
603795	375311	
603795	382073	
603795	383720	
603795	386526	
603795	390396	
603795	392218	
603795	393168	
603795	395457	
603795	395832	Rajka ... baba
603795	396589	
603795	401281	
603795	401834	Makrena ... baba
603795	401991	Baba
603795	402117	
603795	402119	
603795	410442	Musterija u posluzi
603796	173101	Herself
603796	394110	Pevacica
603797	134232	
603798	230857	Fanny
603799	370580	Thandi
603800	176256	Tribal Dance Group
603801	162073	
603803	136835	
603803	405036	Mevana
603804	155013	Party attendee
603805	180228	Jana
603805	262564	Waitress (Na brigade)
603806	197186	Glabik Vitka
603807	95954	Ewa
603807	121136	Guide
603807	242880	Lena
603808	259925	
603809	6269	EMT #1
603809	95962	Lawyer's daughter
603810	1853	Anya
603810	196338	
603811	70570	Young Lover
603811	206014	Marisa Romanov
603812	285197	Goldfish
603813	314573	
603814	94038	
603814	223550	
603814	262200	
603814	265840	
603814	299421	
603814	337466	
603814	352446	
603814	375114	
603815	332987	Galya
603816	374676	Ira
603817	162674	Susanne Brissard
603817	179658	Avgusta
603817	294371	
603817	357202	
603817	357710	
603817	398356	
603818	49465	
603818	265547	
603818	273719	
603818	304254	
603818	344278	
603819	20105	
603819	60216	Pioneers
603819	181117	
603819	229944	
603820	174272	
603820	210189	
603821	121286	
603821	258379	
603822	294663	Antonia Vasiliyevna Murasheva
603823	375434	
603824	134187	
603825	95929	Katya
603826	36586	'Viva Maria' Fan
603827	42891	Palaga Fedorovna, work forewo
603827	84411	
603827	248175	Maria Ivanovna
603828	223555	
603829	337884	Markovna
603830	284350	Herself
603831	27752	Herself
603832	411605	Paquita (1995-2000)
603833	10238	
603833	30275	
603833	205512	
603834	388065	Cathy
603834	396387	
603834	410054	Sofia
603835	55936	Tina
603836	84482	Rosângela
603836	160870	
603836	230147	Enfermeira Zubiaurre
603836	251028	Ana Luiza
603836	352127	Cândida
603836	353356	Nancy
603836	384921	(episode Tudo num dia só)
603836	384921	Mariana 1
603837	107022	
603838	384293	
603838	398881	
603838	399401	Lila
603838	399888	Idalete
603838	400095	Dulce Lourenço Rego
603838	401534	Milo
603839	107022	
603840	337993	
603841	45888	Branca de Neve
603841	349750	Bárbara
603842	149504	Maria do Carmo
603843	260526	
603844	328155	
603845	234640	
603846	78577	Banschi
603847	80127	Madalena
603847	85595	
603848	411579	Cida
603849	27750	
603850	29517	
603851	195117	
603851	202129	
603852	132944	Zélia, a Girl on the Train
603852	408381	
603853	107316	
603854	327812	
603855	383550	Joana
603855	384711	Branca
603855	396610	Luísa Viana (2003)
603856	113211	Street Photographer Client (J
603857	381910	Herself (Series 4) (2003)
603857	381920	Herself (Series 3) (2003)
603858	185909	
603859	34595	Rosaria
603860	34595	Chrissie
603860	352499	
603861	25009	
603861	165735	
603861	170390	Juliana
603861	199126	Iquiri
603861	205460	(segment "Guilherme")
603861	256534	
603862	104501	Female mourner
603863	282498	Charline
603864	353918	
603866	281016	
603867	5110	Ferreira Family Member
603868	165765	Minh Giang
603869	18655	
603869	47154	
603869	266003	
603870	176679	Lily-Bobó
603871	262234	Marta
603871	380097	Júlia
603871	380531	Dulce
603871	381144	Lúcia Fernandes
603871	383247	Andréa Souza e Silva
603871	384711	Letícia
603871	388728	Débora
603871	389643	Aurora
603871	398220	Aimée
603871	398501	Sílvia de Ferreira-Lobo
603871	400097	Débora
603871	400584	Laura
603871	402371	Helena Ribeiro
603871	402593	Suzanne Webert/Suzanne Berval
603871	404306	Dora
603871	407275	Sandra
603871	408592	Lucia Prado
603871	408727	Marília
603871	412179	Márcia
603872	57465	
603872	104494	
603872	255640	
603872	262235	
603872	355131	
603873	986	
603873	1021	
603873	9555	
603873	15395	
603873	20197	
603873	27544	
603873	34184	
603873	38334	
603873	48955	
603873	49146	
603873	49193	
603873	50122	
603873	51000	
603873	51011	
603873	51022	
603873	60586	
603873	60610	
603873	60632	
603873	60635	
603873	61948	
603873	63363	
603873	63488	
603873	63494	
603873	76633	
603873	77058	
603873	78203	
603873	78273	
603873	79215	
603873	89456	
603873	90600	
603873	90615	
603873	91487	
603873	94906	
603873	102053	
603873	102066	
603873	122939	
603873	122941	
603873	123492	
603873	123784	
603873	126788	
603873	135945	
603873	136418	
603873	140589	
603873	149083	
603873	153406	
603873	153414	
603873	153427	
603873	153437	
603873	153556	
603873	156407	
603873	159694	
603873	166790	
603873	166815	Queen
603873	167088	
603873	167472	
603873	167940	
603873	167982	
603873	171490	
603873	179990	
603873	181411	
603873	199891	
603873	217344	
603873	217361	
603873	217362	
603873	221631	
603873	222222	
603873	226591	
603873	227202	
603873	227420	
603873	230254	
603873	236739	
603873	237694	
603873	239307	
603873	241930	
603873	247240	
603873	255886	
603873	268145	
603873	280899	
603873	285848	
603873	286012	
603873	286095	
603873	286235	
603873	286662	
603873	287112	
603873	287390	
603873	287405	
603873	288159	
603873	288160	
603873	288162	
603873	288175	
603873	288304	
603873	294457	
603873	294497	
603873	295228	
603873	295229	
603873	298832	
603873	299131	
603873	322902	
603873	322903	
603873	344224	
603873	344404	
603873	348852	
603873	359036	
603873	371153	
603873	371179	Mae-hwa
603873	371184	
603873	371188	
603873	371195	
603873	371225	
603873	371235	
603873	371253	
603873	371883	
603873	372983	
603874	357489	Hoai
603875	153439	
603876	170139	
603877	9879	Bao
603878	294484	
603879	410168	Herself
603880	41400	Linda
603880	243934	Hotel Maid
603880	401290	
603881	307673	Esposa de Maxi
603883	39959	Helen
603883	144114	Phil Taylor
603884	101278	Wanda
603884	124627	Biker
603884	191065	Young Mother
603885	395329	Sapir
603886	140426	
603886	189059	Grandmother
603886	211717	
603886	216307	Mrs. Ben-Tovim
603886	299430	Yael's Mother
603887	351884	Girl
603888	15115	Eugénie
603888	20867	Dany
603888	53739	Cunégonde
603888	54804	
603888	61424	Sylvette
603888	71826	Solange, la soeur de Claire
603888	85558	Laura
603888	85692	Soeur Constance de Saint-Deni
603888	86789	Didine
603888	92905	Journalist
603888	107537	Isabelle Garnier
603888	183036	
603888	205621	Suzanne
603888	205767	Rosalie
603888	217717	Gisèle Védrines
603888	247593	
603888	294607	Alice Moreux
603888	324610	Christine
603888	327548	Odile
603888	328195	Elena
603888	354097	Fanny Armaury
603888	384029	Geneviève Dixmer
603888	393394	Corisande
603889	835	Récitante/Narrator
603889	14347	Une lycéenne
603889	15107	Aude
603889	52909	Louise Claudel
603889	73066	Salomé
603889	96240	Arielle
603889	116436	Elisabeth
603889	124135	Aurore Corot
603889	140296	Nina
603889	153872	La cousine
603889	153885	Dream Girl
603889	156330	
603889	158840	Marion
603889	218247	Laurence
603889	249256	Mylène
603889	265196	D. Maria Francisca de Saboia
603889	286042	Estelle Marboni
603889	403641	Gabrielle Desjardies
603890	95163	
603891	43107	
603892	99737	La mère
603893	303611	Agency scene
603894	127491	Mary Jane
603895	336847	
603895	382877	
603895	411311	Nancy Strobbe (2002)
603896	10559	Patti
603896	59695	
603896	191410	Lisa
603896	234879	Agnes
603896	238477	Jeanine
603896	242375	Irène
603896	259740	Dina
603896	356098	Lotte
603896	357396	
603896	400287	Leontien Hox-Verstraeten
603896	403042	Chris Haagdoorn (1998-)
603896	403962	
603896	411214	Inez (1997)
603897	40776	Doctor
603897	77016	Helen
603897	93616	Moeder Mary 's Gravesande
603897	104947	
603897	177711	Hedda Bosman
603897	179039	Moeder Freddie
603897	204573	Hanna Cuypers
603897	250422	
603897	314885	Vrouw van Psychiater
603897	382864	Mevrouw Thijssen
603897	388164	Jannie Postma
603897	388949	Gravin Ada
603897	390242	Hennie Harmsen-Bolmans (2002)
603897	392690	Mevr. van Heemstra
603897	394840	Librarian
603897	395035	
603897	404280	Marthe Arends
603897	412033	Moeder Baynes
603898	110550	Peggy
603899	101055	Izvestiya interviewer
603900	194378	Housekeeper
603901	103122	Julie
603901	259477	Ines Klein
603901	259522	Katharina
603901	259539	
603901	259589	
603901	259615	Frau Hut
603901	379362	Gisa
603902	86797	Worms
603902	402012	Mrs. O'Connell
603903	321466	Young Girl Fan #2
603904	6821	Movie Mary Bidgood
603904	189912	Abby
603905	119803	Kitty Lee
603906	340803	Lynn
603907	398697	Ex-girlfriend
603908	254522	Candelabra Holder
603909	307001	Gertie
603910	365779	Young Catherine
603911	6462	
603911	81147	Agent
603912	333213	Sally
603913	122769	
603914	224729	Courtney (8)
603915	228234	Herself
603916	108132	Claudia
603917	332385	Mrs. Jackson
603918	303904	Ooh Dave Girl
603919	213584	Peep-Bo
603920	187783	Nadyezda Konstantinovna Krups
603921	120063	
603921	189696	
603921	259598	
603922	31	Jessica
603922	46156	New Teacher
603922	62280	Carol O'Hare
603922	113561	Anne
603922	176276	Audra
603922	199098	Country girl
603922	210790	Cleo Simms
603922	245712	Wendy Sheehan
603922	398015	Kristy (1994)
603923	69847	Florence
603923	78903	David's Wife
603923	232859	Clare
603923	356894	Bunty Mainwaring
603923	359974	Fay
603924	210324	
603924	224273	Jitterbug
603924	358535	
603928	194503	Additional Voices
603929	7889	Tough Boyfriend's Girlfriend
603931	28227	
603932	224487	Herself/Singer
603933	48666	Judit,Sziráky barátnõje
603933	253783	Annie
603933	335267	Özv.Gáldy Tamásné
603934	136845	
603934	153698	
603934	201240	
603934	272276	Jolán Kalányos
603934	368737	
603934	412295	Özvegy Tarnóczyné
603935	394749	Hilda Szilváry
603936	176203	
603937	2691	Martina Becker
603937	2696	Pia Janzen
603937	4657	Christiane
603937	12412	Iwanka
603937	18527	Fanny Götz
603937	22738	Lena Moosbach
603937	28402	Lili, pevacica
603937	49300	Lucia Burgic
603937	73586	Luna
603937	86379	Jana
603937	102544	Anica
603937	107920	Barbara
603937	109442	Melinda
603937	119217	Pauline Frohmut
603937	119256	Michelle
603937	120039	Katrin
603937	125218	
603937	140200	Xenia Teschmacher
603937	144005	Annette Bucher
603937	149090	Linda
603937	152740	Alexandra Kulm
603937	163928	Sasa
603937	172485	Barbara
603937	208649	Suzanne
603937	211489	Tamineh
603937	217091	Dr. Judith Müller
603937	223474	Sonja Arnold
603937	225270	Petra Lindner
603937	228172	Sandra
603937	231616	
603937	252691	
603937	259068	Evica
603937	259365	Kia
603937	281709	Rosamunde
603937	282403	Roula
603937	284867	Milica
603937	290046	
603937	290050	Uta Maubach
603937	290114	Gisela
603937	310902	Thea
603937	311108	Kathrin
603937	332832	Judith Behrens
603937	333928	Majka
603937	334500	Zana
603937	343670	Meike
603937	351007	Olgica
603937	352340	Monika
603937	358046	Maria
603937	365638	Emerenz Meier
603937	375353	Korina
603937	376772	Franziska
603937	381182	Lili
603937	397530	Pevacica
603938	119709	
603938	142094	Freundin von Petermann
603938	225152	Barsänerin
603938	347575	Mannequin Lilo
603940	349794	
603941	381821	Ensemble (1982-1983)
603942	381821	Ensemble (1980-1982)
603943	18207	Club Patron
603944	64352	
603944	238813	
603945	275780	Soviet Bench Co-Consultant
603945	341961	Kathy
603946	271003	Woman No. 1
603947	312252	
603948	94504	
603949	243479	Slave Dance
603950	214535	Maria Chaminsky
603951	208779	
603952	365915	Snezha
603953	99875	
603954	173009	
603954	221342	
603954	307169	
603954	405705	
603955	180217	
603957	270806	
603957	318405	
603957	343554	Cathy Massys
603958	301541	Vala Reamer
603959	340058	Grandma
603960	17200	
603960	22580	
603960	49180	
603960	52189	
603960	112700	
603960	156738	
603960	260955	
603960	292894	
603960	324331	
603961	106264	Committee Woman
603961	217993	Macumba Lady
603961	309803	Hospital Administrator
603962	51836	Porsche Buyer's Wife
603962	161061	Angelina
603962	209658	Atlantic American Lost Luggag
603962	237783	Mrs. Sarni
603963	49472	Truckers' Whore
603964	6074	Gradska moma
603964	6076	Pianistka, izpalnyavashta Sho
603964	268128	Sekretarkata
603965	337221	Rositza
603965	354641	Milka Asenova
603966	89987	
603966	133949	Herself
603967	26489	Dureena Nafeel
603967	156472	Fawn
603967	385328	Dureena Nafeel
603967	392341	Kulai
603968	43197	Katya Travnikova
603968	132086	
603968	156200	
603968	179692	
603968	237961	
603968	261910	
603968	326978	Legraine's Assistant
603968	375662	
603969	200140	
603970	22717	
603970	258720	Smirnova
603971	196571	Party Goer
603971	350191	Nosferatu Vampire
603972	63968	
603972	95672	Mother
603972	180869	Nurse maid
603972	200043	Aunt
603972	225889	
603972	237536	Jelínková
603972	262566	Mrs. Havlová
603972	262567	Veronika, housekeeper
603972	317632	Mother
603972	349318	Madla
603972	376550	
603973	219723	
603974	356420	
603974	357242	Veronika
603975	2292	
603975	88444	Dasha
603975	112771	
603975	134186	
603975	178701	Olesya
603975	180109	
603975	181100	
603975	206484	
603975	210189	Lyuba
603975	218854	
603975	223565	
603975	225976	
603975	253641	
603975	258651	Sasha Somova
603975	297859	
603975	328645	
603975	349314	
603975	374430	
603975	394785	Margot
603976	186384	Adviser's Wife
603977	20626	Nurse Ophelia Cox
603977	37141	Anna Novak
603977	54953	Zenaida
603977	75648	Josie
603977	105793	Midwife
603977	130731	Terese
603977	133432	Thea Rasche
603977	144570	Claire
603977	155021	Genevieve
603977	175788	Bitch
603977	197740	Cecilia Applebaum
603977	230412	Nurse Anne
603977	236725	Sister Lucy
603977	254744	Renata Simmons
603977	276249	Mrs. Wilson
603977	301945	Nina
603977	319936	Gina
603977	336662	Sarah
603977	343319	Anna Borowski
603977	367724	Anna
603977	388644	Basia
603977	404927	Greed
603978	232664	Kunicki's Daughter
603978	394585	Maria Lubicz (1997-99)
603979	340502	Vega
603980	12332	Hannah
603981	161987	Woman in Law Firm
603982	362080	
603983	322393	
603984	43036	Waitress
603985	180419	
603986	6166	
603986	34229	Detochkin's Mother
603986	95646	
603986	156016	
603986	162432	Zhenya's mother
603986	164010	
603986	344014	
603986	348709	
603986	349244	Ekaterina Andreevna
603987	215214	Film Crew
603988	5119	Erika
603989	292449	Herself - musician/leader of 
603990	30427	
603990	107050	Marie de Brison
603991	187333	An O'ffenderette
603992	687	Herself
603992	690	Angie Watts
603992	35640	Judith
603992	59574	Charlie's Mum
603992	79058	Mrs. Hayter
603992	89368	Narrator
603992	138721	Herself
603992	154379	
603992	154861	Unknown
603992	170870	Mrs Lawson
603992	186796	Roxanne
603992	277123	Daphne Teal
603992	292053	The Blind Concierge
603992	316858	Sam Greene
603992	332385	Fanny Loder
603992	364227	Herself
603992	368445	Roxanne
603992	387247	Angie Watts (1985-1988)
603992	389511	Fernando Thomas
603992	389998	Mrs. Ivy Osborne
603992	391254	Donna Slaney
603992	401617	Herself
603992	405706	Gertie
603992	406197	Cath
603992	409648	Lois Tight (1983)
603992	409671	
603993	203204	Cyclist
603994	91935	Karen
603996	107050	M. de Brison
603997	95475	Mrs. Beyman
603998	190688	Denise
603999	366992	Tina Clark
604000	138716	Herself
604000	215682	
604000	378885	Host
604000	379684	
604000	382385	Host
604000	393812	Herself
604000	404151	Hostess
604000	408663	Host
604001	45825	Tammy
604001	220961	Women #4
604002	170875	Nancy Williams
604003	244421	Bridesmaid #3
604003	273344	Heather Wilson
604004	139283	Family Member
604004	206138	Janet
604005	323736	Mrs. Bennett
604006	72502	Amy
604007	370379	
604008	70419	Jeanne
604008	80959	Maureen
604009	13450	Rosalund Joseph
604009	58507	Dutchess
604009	65559	Cleopatra Jones
604009	65560	Cleopatra Jones
604009	67793	
604009	122242	Rochelle (Bad Guy)
604009	222595	Lisa
604009	235023	Audrey
604009	393354	Samantha (1980-1981)
604010	56862	Barbara Standish
604011	211537	
604012	38177	Prune
604012	243151	Rachel
604012	360843	Constance
604013	11485	Kathryn
604013	51576	Kit-Kat Dancer
604013	138220	Aunt Elizabeth
604013	232250	Minsky's Girl
604013	321154	Dancer in 'Big Spender' Numbe
604014	182793	
604015	1145	Redhead at Ludwig's
604015	14159	Claire
604015	74401	Zsófi
604015	84396	Gloria Waylon
604015	104791	Edit, Papp lánya
604015	214709	Tünde Marosi
604015	245010	Maya Burns
604015	280663	Katya
604015	377143	Tímea Kapy
604015	412259	
604016	239280	Camarera
604017	87807	Fiscal
604018	332600	
604019	326260	
604020	250886	
604020	253716	
604021	326260	
604022	193000	Old Lady
604022	361611	
604023	361611	
604024	60251	Val
604024	92249	Michelle
604024	298091	Model
604025	286294	
604025	289917	Miss Mangle
604026	80501	Ann Blake
604027	137575	Ellie Potson
604027	383891	Young Kate
604027	386546	Jennifer
604027	391869	Grace O'Connor (2002)
604028	224709	
604028	292453	Sybil Chadwick
604028	316295	Rebecca
604028	385631	Anita
604028	388643	Dusty
604028	388644	Dusty
604028	388645	Dusty
604028	394579	Prue Cuthbert
604029	358815	Herself
604030	30658	Salesgirl 2
604030	139227	Hardbody in Car
604031	88841	
604031	135771	
604032	142527	
604033	51975	Matron
604033	67853	Aunt Fanny
604033	70301	Matron
604033	123240	Grande Dame
604033	133880	Fat Woman
604033	141665	Maid
604033	143577	Undetermined role
604033	188341	Mrs. Taylor
604033	188542	Mrs. Clancy
604033	209592	Bit part
604033	349983	Mrs. Callahan
604034	24649	
604034	214712	
604035	218548	Laurel Hanson
604035	334214	Mary
604036	215486	Herself
604037	263955	English Teacher's Assistant
604038	360949	Herself
604039	80580	April 'Piss Girl' Sutterling
604039	185648	Costume Designer
604039	186158	Gloria
604039	186848	Mary
604039	201863	Stacey
604039	299789	Del Rey
604039	345752	Party Girl #2
604040	366418	
604041	103127	
604042	6618	Infirmière réa
604043	232455	Girl in Cemetery
604044	377241	
604046	140925	Sally Silicone
604046	278774	
604047	145589	Herself - Former resident at 
604048	221502	Girl in pool
604049	125586	Becky Smalls
604049	327377	Sinolichka
604049	368876	Alice
604050	234204	Benidasa (model at punk club)
604050	240973	Benidasa
604051	12271	Head Nurse
604051	26281	Mother
604051	133442	Miss New Jersey Chaperone
604051	157540	Mother
604051	275448	Barbara's Mother
604052	2546	Herself
604052	10605	Mrs. Beverly
604052	14213	Gaile Warren
604052	17470	Carole Rodgers
604052	26054	Tanis Judique
604052	39342	Margaret Gordon
604052	41092	Gladys
604052	47598	Cecilia Cross
604052	56200	Della Street
604052	56229	Della Street Mason
604052	59609	Elsie Hillman, alias Carol Wa
604052	73714	Constance Brown
604052	77717	Girl at Bar
604052	78733	Marlene
604052	90230	Mercedes Colby
604052	90255	Marilyn Young
604052	99455	Evelyn
604052	105569	Iris Van Hugh
604052	109436	Julia Thorne
604052	116894	Vivian Rich
604052	123350	Sheila Aiken
604052	128619	Dot
604052	131896	Connie Thurston
604052	135563	Ruth Tindal
604052	139191	Marlene Reeves
604052	154585	Millicent Clark
604052	155838	Brenda Johnson
604052	158364	Dorothy 'Dot' Roberts
604052	169362	Odette Florey
604052	186452	Virginia 'Ginny' St. Johns
604052	186459	
604052	199156	Patricia Wentworth
604052	203457	Ann Le Maire
604052	207680	Ilse Wagner
604052	215907	Gladys La Verne
604052	222600	Janice Thatcher
604052	224425	Muriel Bennett
604052	228819	Bernice
604052	244778	Mannequin
604052	248316	Mrs. Newberry
604052	251215	Maxine McCoy
604052	253505	Patricia Merrill
604052	279425	
604052	279687	Sophie Teale
604052	280895	Countess Monica Foldesay
604052	292322	Maisie
604052	292543	Julie Verlaine
604052	302721	Dana Lawrence
604052	304962	Alma Brehmer
604052	305481	Anita 'Nita'
604052	308573	Mary Key
604052	330810	Chou-Chou
604052	331469	Vivian Herford
604052	342713	Cora Latimer
604052	342946	Shiela
604052	345989	Babsy
604052	348359	
604052	364461	Goldwyn Girl
604052	367453	Gail Patterson
604052	367841	Claire Raeburn
604052	368315	Jane
604053	194831	Hag
604054	192822	Dame i kantinen/Direktørens s
604055	77422	
604056	196508	Mrs. Hawes
604057	78980	Young Girl
604058	80529	Mourner
604059	141350	Hotel chambermaid
604060	234204	Coffee shop girl
604061	343138	Woman
604061	367582	Nurse Jennings
604062	9004	Reporter
604063	215304	Walking Girl
604063	299720	
604063	382740	Herself (Episode 6)
604064	147628	Chloe Bruce
604064	292643	Sea Cow
604064	391786	Chloe Bruce (2000-2004)
604065	105465	Woman at opera
604065	139567	Olive Glover
604065	151266	Inmate
604065	185168	Ms. Harrison
604065	224317	Woman
604065	230499	Mother Gertrude
604065	282920	
604065	303777	Mrs. Bayliss
604065	352639	Beautician
604065	362538	Mrs. Rigg
604065	364131	Mrs. Blake
604066	40561	Mme Braduelle
604066	84691	Anita
604066	345526	
604066	346457	Irène
604066	349815	Chelinha
604067	84230	Game Show Contestant
604068	388722	(costume character)
604068	409194	Jake (1999-) (Costume charact
604069	75772	
604070	203027	Personnel Receptionist
604071	53916	Golden Poppy Waitress
604071	326741	Mrs. Crocker
604072	348170	
604073	177419	Dancer
604074	36730	Angie
604074	40800	Emma's Mother
604074	61820	Mrs. Quince
604074	68697	Ry's Mother
604074	115161	Bag Lady
604074	116466	Mrs. Henney
604074	123404	Fara Borghi
604074	144804	Alison's Mom
604074	158140	Work-A-Mommy
604074	158414	Celia Johnson
604074	161412	Woman at Motel
604074	171297	Bag Lady
604074	279273	Sculptress
604074	321239	Maggie
604074	345786	Store Customer
604074	359902	Wanda
604074	367651	Social Worker #2
604075	115318	Cheerleader
604076	264775	Baby
604077	103331	Natasha
604077	309197	Astrid
604077	345946	Model #2
604078	58542	Nurse
604079	41360	Miss Cluephone
604079	77658	
604079	248133	Felicity
604079	363560	VJ
604079	379038	Various characters
604080	33179	Wendy
604080	34705	Cindy Vargas
604080	47024	Amelia
604080	81767	Theresa
604080	115161	Jill
604080	134611	Tracy
604080	144804	Miranda
604080	190139	Lily
604080	194963	Deputy
604080	307351	Lt. Sloan
604080	311037	Ellie Simkins
604080	327298	Justine
604081	27928	Agent Walsh
604081	105069	Marguerite De Ghent
604081	161061	Wendy
604081	258933	Henrietta Savernake
604081	266564	Reporter
604081	267576	Lisa Forrester
604081	272600	May Britt
604081	348622	Deedee
604081	396081	Polly
604081	406212	Christine Dale (2003-)
604081	407190	Virginia
604082	62992	Little Girl Cratchit
604083	107001	Sarah Straight
604083	162529	Desk clerk
604084	332655	
604085	352465	Mrs. Hutch
604086	150600	
604086	308860	Nina
604087	385366	Simoneta
604088	9467	Pepi
604088	104831	
604088	171297	Nightclub Waitress
604089	95471	Villager
604090	364453	Welfare Worker
604091	10017	
604091	13256	Mrs. Brown
604091	35366	Gardner's Wife
604091	37254	
604091	39782	
604091	40160	
604091	45090	
604091	53961	
604091	64485	Liddy
604091	70603	
604091	70912	
604091	72632	
604091	75273	
604091	79095	
604091	84852	Mrs. Ricketts
604091	85825	
604091	100865	
604091	105574	
604091	106233	Ma Graham
604091	107405	Helen Roberts
604091	109592	
604091	114888	Mrs. Ribbits
604091	118736	Mrs. O'Mears
604091	120741	
604091	127544	Mrs. Wesson
604091	128097	
604091	128290	
604091	133568	
604091	137478	
604091	138984	Concha. Isabel's Duenna
604091	140859	
604091	141480	Mother Hawkins
604091	142147	Mrs. Rockland
604091	143554	
604091	148343	
604091	149266	Sarah Higgins
604091	151256	
604091	158161	Mother Lopez
604091	159263	Mrs. Cotter Brown
604091	163281	
604091	164541	Undetermined Role
604091	167719	
604091	175614	Mrs. Clancy
604091	183865	
604091	185562	Landlady
604091	186292	Martha Martin
604091	186814	Ma Burbridge
604091	189935	
604091	191908	
604091	192388	
604091	193798	Mrs. Peevy
604091	201528	
604091	211818	Mother
604091	213208	
604091	217441	Mrs. Tim O'Dair
604091	217945	
604091	221301	Mrs. Murphy
604091	227161	Mrs. Quayle
604091	227333	Mrs. Jerry Ballou
604091	230426	
604091	238966	
604091	239535	
604091	239546	
604091	240643	
604091	245261	
604091	259765	Undetermined Role
604091	263576	Caroline
604091	270642	
604091	272086	Mrs. Murdock, Steve's Mother
604091	274851	
604091	277873	Mrs. Donnegan
604091	278231	
604091	281428	
604091	281773	Bridget
604091	282552	Mrs. Purcell
604091	283365	
604091	285061	
604091	289043	
604091	293186	Mrs. Tweeney
604091	294902	Janitress
604091	297399	
604091	299214	
604091	299551	Mrs. Regan
604091	300556	
604091	304936	
604091	310753	
604091	312665	
604091	314773	
604091	329808	
604091	332473	
604091	333166	
604091	334981	
604091	337113	Mrs. Crawford
604091	347854	Mrs. Draper
604091	354732	
604091	363463	
604091	363923	Sitting Horse's Squaw
604091	366927	Mrs. Dawson
604092	231969	
604093	231969	
604094	200982	
604095	203791	Mother
604096	401642	Presenter
604096	409652	Various roles
604097	50879	Valentine
604097	57560	Dinah
604097	71799	Herself (interviewed)
604098	29856	
604099	247492	Athena
604100	15015	La secrétaire de la banque
604102	272440	Extra
604104	22122	Galina
604104	65170	Clara's Mom
604104	125791	Gentila's mother
604104	140580	Hana Rubina
604104	178366	
604104	199505	Dodo
604104	262174	
604104	306956	
604104	375263	Marianna Stasenko
604104	375455	Ina
604104	381388	
604105	227903	
604105	371359	
604106	116298	
604107	392570	Yuki
604107	392964	Kagome's Mother
604107	397371	Masayo Tokudaiji
604108	135605	Judge Kooper
604109	393605	Molly Crabtree (2003)
604110	358838	Woman witness
604111	57632	Herself
604111	293780	Herself
604111	355807	Herself
604111	358004	Herself
604112	198835	Daughter (special edition)
604113	321522	Claire
604114	126067	Hawaiian Girl
604115	67388	Child World customer #2
604115	171297	Bystander #4
604115	315160	Mrs. Jacobsen
604115	355669	Nurse #1
604116	17197	Evidence Room Kid
604118	340324	Cora
604119	367271	Circus Acrobats
604120	274900	
604121	342507	
604122	274200	Roxanne-Hair Stylist
604123	48762	Reese Foster
604123	58930	Zara
604123	114709	Renaye Upchurch
604125	64740	Mizmoon
604126	154759	
604127	236972	Toy Soldier
604128	404281	Mama mathilde Barbarin
604130	182334	Dance Instructor
604131	120653	Director's Girl
604132	279427	Cherry
604133	140381	Girlfriend
604133	248861	Wagini
604134	26991	Jennifer Parker
604134	39379	Reporter #1
604134	81264	Lola
604134	91652	Jodi Baker
604134	92948	Sally Maid
604134	117737	Caroline
604134	242028	Helen Wheeler
604134	323966	Series Regular
604134	385754	Host
604134	403988	Helen
604135	27646	
604135	332278	Herself - stripper
604136	116803	Clara
604137	156708	
604137	166424	Frau Hiltel
604137	338400	
604137	389956	
604138	192403	Illuminati Girl
604139	67774	Grammy
604140	334432	Zebra
604141	96858	Herself
604141	142209	Stupsi
604141	231465	Brigitte
604142	231465	
604143	113304	Mrs. Singer
604144	326457	Herself (interviewee)
604145	369129	Leader in Lascaux
604146	368894	Heather
604147	18501	
604149	198745	Astrid
604149	228267	Herself - Jurylid
604150	278318	Giovanna
604151	349767	Merel
604152	132207	Catherine Garcia
604152	163053	Ericka
604152	197921	
604153	161757	Mickey's Coke Girl
604153	278716	Female Thug
604154	356813	Balletdanser
604155	89462	
604156	39415	Danielle
604157	274092	PA Announcer
604158	308344	Nurse
604159	119803	Model
604159	295282	Town girl
604160	197833	
604162	36985	Secretary
604162	340570	Office Staffer
604163	313935	Beth
604164	105396	Rottweiler
604165	116193	Lady, Kay's Dog
604166	21448	Verdell
604167	195865	
604168	112619	Lady
604170	340771	Marilyn
604171	251642	
604171	340454	Herself
604172	27667	Victor
604173	405393	Herself
604173	405395	Herself
604174	146084	
604175	308306	
604176	3468	Maria
604176	233643	
604177	22074	
604177	240150	
604177	250778	
604178	25603	
604178	35626	
604178	135731	
604178	146980	
604178	378229	
604180	20124	
604180	389459	
604181	5367	
604181	52162	
604181	96501	
604181	104503	
604181	105936	
604181	138367	Mirandolina
604181	138591	
604181	158879	
604181	161528	
604181	264326	
604182	5772	Lucia
604182	13067	Un'amica di Renata
604182	54148	Maria
604182	57966	
604182	127899	
604182	158852	Renata
604182	215339	Gemma
604182	216845	Una ballerina
604182	217914	
604182	344416	L'amica di Nannarella
604183	389363	
604184	193606	Mr. G's Girl
604184	206884	Farraday Girl
604185	244679	
604186	132712	
604187	306284	Specialty Skater #1
604188	295282	Martha
604188	329560	
604189	154959	Bar Patron
604190	278763	Mrs. Dora Bloch
604191	7564	Katja
604191	30129	
604191	35904	
604191	41118	
604191	48330	
604191	59974	
604191	84422	
604191	95630	
604191	103931	Olga
604191	124852	
604191	132353	
604191	134228	
604191	157258	
604191	164016	
604191	180364	
604191	181399	
604191	181407	
604191	189430	
604191	191170	
604191	202307	
604191	217280	
604191	224390	
604191	229022	
604191	229023	
604191	231162	
604191	234302	Oksana
604191	237767	
604191	238360	
604191	238826	
604191	239371	
604191	244114	
604191	244263	
604191	251346	
604191	259076	Svetlana Popova
604191	264926	Larisa, Yura's ex-wife
604191	265640	
604191	265641	
604191	280771	
604191	316825	
604191	349765	
604191	350801	
604191	356444	
604191	356451	Peppita Diabolo
604191	370406	
604191	373573	Lida
604191	374764	
604191	400500	
604191	409314	Nyura Suscheva
604192	197096	
604193	264091	Tuesday
604194	249733	
604195	47775	Mariam
604196	153493	Ashwini
604197	392379	Sah Sultan
604197	394803	Yeliz
604198	11010	Nathalie
604198	338112	Claudine
604199	254073	Elsa
604199	345136	Charlotte
604199	345274	Garance
604200	198347	
604201	166643	Reporter
604202	24161	
604202	40577	
604202	128062	Efrat
604202	160679	
604202	191404	Deby
604202	193241	
604202	323061	Layla
604202	387890	Natalie Bushari
604203	68771	Maggie, the Bartender
604204	151010	Suzanne Beal
604205	229826	Patient
604205	243934	Young Mother
604205	384835	Dani
604205	411172	Prostitute (1997-1998)
604206	130650	Deirdre
604207	42421	Chanel
604208	158502	Joanna Ramsey
604208	323395	Liz Michaelson
604208	354521	Nancy
604208	385824	Julie Olson #1 (1965-1966) (o
604209	305575	Robertson Triplet
604210	126680	Coed
604211	60341	Lucy
604212	365825	Maid
604213	388952	Elizabeth
604214	213150	Ann
604215	45342	Singer
604216	92993	Servant
604216	335982	Mrs. Judd, Gilbert's Maid
604217	381821	Ensemble (1974-1977)
604218	305575	Robertson Triplet
604219	296875	Chinese Woman
604220	319554	Bitchy French Girl
604221	260295	Herself
604221	401836	Herself (Series 1) (2001-2002
604221	401837	Herself (Series 1) (2001-2002
604222	15887	Ensemble Vocals
604223	299028	Suzie as a teenager
604224	26289	Food Chain Secretary
604224	42772	Secretary #2
604224	71934	Prostitute
604224	77850	Doris Daniels
604224	92479	O.R. Nurse
604224	323440	Country club woman
604225	395091	Pretty Girl #4
604226	43931	Nena
604226	214814	Bridesmaid
604227	219621	Anthea
604228	330707	Nacy Frisco
604229	187506	Extras
604230	363091	
604230	363092	Brigid
604231	363560	Grocery Store Dancer #1
604232	12213	Katherine Roshak
604232	17949	Kate
604232	35513	Herself
604232	35515	Herself
604232	35542	Brenda Walsh
604232	40773	Madeleine Dalton
604232	48489	Herself - Hostess
604232	57669	Herself
604232	59754	Prue Halliwell
604232	64556	Herself
604232	64557	Herself
604232	117673	Party Girl
604232	119633	Lindsay Scott
604232	120233	Heather Romley
604232	128727	Maggie Malene
604232	131227	Cindi Dowaliby
604232	141592	Heather Duke
604232	142402	Lexi Wilcox
604232	155751	Herself
604232	161194	Herself
604232	164996	Angel Norton
604232	165977	Herself
604232	191898	Jenny Wilder
604232	191899	Jenny Wilder
604232	191900	Jenny Wilder
604232	202490	Rene Mosier
604232	221473	Herself (Presenter)
604232	221474	Herself
604232	226938	Herself
604232	232213	Bluebird
604232	232402	Celeste
604232	236135	Valley Chick #2
604232	237904	Lorie Brindel
604232	244358	Alson Fielding
604232	245410	Young Girl
604232	257813	Herself
604232	275630	Sarah
604232	288473	Beth Hammersmith/Karen Oxford
604232	288709	Denise
604232	292520	Jennie Fogle
604232	292531	Teresa
604232	295430	Herself
604232	304821	Rebecca Dubrovich
604232	316981	Gage Sullivan
604232	320901	Herself
604232	332428	CeeCee Reicker
604232	367780	Herself
604232	367845	Herself
604232	381811	Brenda Walsh (1990-1994)
604232	383952	Prue Halliwell (1998-2001)
604232	395735	Jenny Wilder (1982-1983)
604232	400520	Kris Witherspoon (1986-1988)
604232	403509	Kathleen Kennedy
604232	404399	Herself - Host (2003-2004)
604233	301271	Laura
604234	209061	Credit Girl
604235	266564	Little Anna
604236	10698	Player
604237	10867	Three Children
604237	112028	Kristy
604237	123031	Anne
604237	232352	Kim
604238	112028	
604238	232352	Pool Party Guest
604239	134675	Charwoman
604239	276713	Wife
604239	342873	Dowager
604239	372819	Governess
604240	119326	Herself - Performer
604241	819	Minchen
604241	12471	Doris Bandel
604241	24322	Secretary
604241	35053	
604241	45335	Charlotte
604241	89469	
604241	93406	
604241	99526	Charlotte Hansen
604241	126331	Renate Reinhard
604241	136201	Helga Lundt
604241	137422	
604241	137843	Frau Wirth
604241	142037	
604241	142047	Charlotte Bergmann
604241	144172	Susanna Hagen
604241	166715	Hilde Holl
604241	178559	Annerose Beck
604241	185854	Schönheitschirurgin
604241	186952	Johanna Wiemann
604241	210086	Mathilde
604241	221237	
604241	225241	Agnes Kopelski
604241	248407	Sabine Bader
604241	259553	Silvia
604241	259582	Silvia Jansen
604241	259603	Dr. Silvia Jansen
604241	259647	Dr. Silvia Jansen
604241	259655	Dr. Silvia Jansen
604241	259679	Dr. Sylvia Jansen
604241	281720	Isobel Cameron
604241	294840	Woman with baby
604241	313658	Irene Winter
604241	338445	Thea Langendörfer
604241	343671	Simone Kartsen
604241	367026	Ursula
604241	383052	
604241	384111	Maria
604241	386736	Verena
604241	403987	
604241	404488	Dr. Christa Brinkmann, geb. M
604241	409858	
604241	411109	Gabriele Wiesinger
604242	404261	Bebel
604243	56102	
604243	366554	
604244	18567	Sandrine
604245	121811	
604246	74730	Hope
604247	339855	Nieuwe Rus
604248	61572	Misty (age 2)
604248	390691	Chrissy Seaver #1 (1988-1990)
604249	61572	Misty (age 2)
604249	390691	Chrissy Seaver #1 (1988-1990)
604250	80801	Marie
604250	253335	
604250	397093	Angela
604250	399011	Stacy Bridges
604251	24068	
604251	174179	Annarina's mother
604251	178636	Lou Miller
604251	305650	Frl. von Schulz
604251	325644	
604251	325661	Herta Seifert
604251	325698	Eva Meinert
604251	376354	
604251	397764	Lorraine Parker
604252	346266	Herself
604252	360599	Herself
604253	140271	
604254	6118	Tante Meike
604254	137145	
604254	150568	Julietta
604254	159958	Restaurant-Managerin
604254	307554	
604254	345675	
604254	392077	Julietta
604254	410002	Marita Sengerling
604255	331679	Sumi's Sister
604256	287374	
604257	6079	Caroline Evers
604257	19235	Fleia
604257	63713	Misa Hayase
604257	74271	Wô-Chuò (Wanshaku)
604257	89216	Cathy Magley
604257	98117	Natsume Morisawa
604257	106058	Kizuki Ray Reina
604257	130730	Female Producer
604257	155714	Hazuki Toreishi
604257	177632	Daisy Duck/Alice
604257	193918	Natsume Morisawa
604257	201302	Ketto's mother
604257	202806	School Principal
604257	232929	Towa
604257	245341	
604257	253445	Junko Kurosu
604257	283680	Megumi Takani
604257	293476	Kuyou/Hanranya
604257	325314	Sayoko's mother
604257	380725	Anna
604257	380900	Marvel Frozen
604257	382108	Queen Serenity
604257	383095	Fiber
604257	384225	Lana Isavia
604257	384227	Misa Hayase
604257	387049	Ayuko Rara
604257	391333	Misuzu
604257	391337	Laura
604257	391594	Erika's Mother (The Queen)
604257	391751	Ôka
604257	391752	Tô
604257	393982	Ful Flatt
604257	394392	Eclipse
604257	394451	Houquet
604257	395069	Misuzu
604257	396489	Mama
604257	396493	Natsume Morisawa
604257	396500	Hermes
604257	400292	Furuta
604257	403966	Megumi Takani
604257	404772	Ramaaj
604257	410739	Rain Devila
604258	358052	Girl at prom
604259	90153	
604260	86925	Ruth
604260	106743	
604260	202467	Ann-Marie
604261	50857	Herself/Rowan
604261	66598	Conchita Flores
604261	165852	Rowan
604261	170831	Spider
604261	233474	Camille Valenz
604261	326712	Mercedes
604261	327060	Cowgirl
604261	327063	Cowgirl
604261	337327	Kim Chang
604261	363550	Tse Tse
604261	380218	Andromeda/Rommie
604261	384238	Tina Backus
604261	388871	Dale Arden
604261	392244	Rachel Sanders
604261	407716	Cowgirl
604261	410113	Host
604262	2252	(segment "Je t'aime moi non p
604262	111090	Lola
604262	218248	L'autre jeune fille
604263	40277	Blanche de Peronne
604263	55726	Fred
604263	181842	Lou
604263	202749	Delphine
604263	208235	Olivia
604263	227300	Nana
604263	264746	Elizabeth Pepys
604263	285753	Judith
604263	291584	(segment "Avalanche")
604263	340340	Camille
604264	134822	Singer
604265	378003	
604266	173754	
604267	43153	
604268	215876	Kiev Room Agent
604269	117806	Woman Assassin
604270	394110	Baba
604270	400481	Zrikijeva majka
604271	191579	
604271	265726	
604272	401875	Herself (2004)
604273	174169	
604274	225974	Lina
604274	262637	Lina
604275	32842	Karen Som Barn
604276	259055	
604277	170226	Herself
604277	170230	Herself
604277	170233	Herself
604278	8986	La mère
604278	25119	Mother
604278	44970	La soeur
604278	59264	Madame Laforcade
604278	77927	
604278	83391	Mlle. Georgette
604278	84678	Mme. Lambert
604278	101154	Mme. Denis
604278	111688	Madame La Barbinais
604278	120974	
604278	148727	
604278	169285	La baronne
604278	197062	La Vespa
604278	199380	Madame de Bülow
604278	202591	La femme de ménage
604278	204916	Nurse
604278	205630	
604278	205774	La religieuse
604278	207943	Mme. Cartault
604278	248259	Blanche
604278	262933	Marie Servettaz
604278	285081	Madame Vernis
604278	294946	Mathilde
604278	300760	Pauline
604278	321826	La femme de ménage
604278	321831	Mlle de la Grange/Sister Clai
604278	346580	
604278	346765	Mme Curlier
604278	356370	L'infirmière-chef
604278	357113	Jaja
604278	377853	Madame Moncourt
604279	9724	
604280	90645	
604281	359935	Angie
604282	83302	
604282	189909	
604283	289024	Ballet Dancer
604284	56992	Wife passenger
604284	80691	Mrs. Sexton
604284	289666	Grandma
604285	318899	Dove
604285	378850	
604286	336654	Courtney's girlfriend
604287	289396	Murray's Dancers
604287	322921	Second Stripper
604288	40494	Horusa
604290	77850	
604290	155831	
604290	220014	
604290	220093	
604290	380713	Detective Margo Montgomery Hu
604290	390771	Maureen Reardon Bauer #1 (198
604291	348379	Woman, in the washhouse
604292	63096	
604292	152600	
604293	263443	Herself
604294	91779	Ellen
604294	104918	Lill Bird
604295	363469	Woman P.C.
604295	395919	Penny
604296	30582	Beer Barrel
604296	34953	
604296	35524	Prescott Pig
604296	41155	Karen
604296	122019	Beth
604296	203526	Haley 2
604296	385151	Additional Voices
604297	350187	Marcy
604298	137439	Attendant
604299	82643	Dancer
604299	318716	Dancer
604299	331395	Dancer
604300	108290	
604302	185237	Herself
604303	16915	Model
604303	140407	Bathing Beauty
604304	232384	Pat
604305	77214	Megan Lowry
604305	127557	Jo
604305	213322	Hermia
604305	333679	Alice Astley
604305	335982	Miss Barnes, Chorus Member
604306	37555	Dr. Norton's Nurse
604306	131534	Mrs. Wood
604307	67916	Kathy
604307	337988	Iron Age Niamh
604308	69305	Julia
604308	337988	Nora's Mother
604309	107103	Ticket Agent
604309	139498	Gail Schaeffer
604309	161739	Lt. Gibbons
604309	303902	Brat Friend
604309	346234	Mirinda Anderson
604310	56624	Esther Jones
604310	326633	
604311	208084	Mother Mary
604312	356	
604313	15006	
604313	59321	Maître Loriot
604313	345037	Angela
604314	58272	Hudlerová
604314	131029	Fajga
604314	142338	Helena
604314	151865	Polda
604314	204437	Marie
604314	226464	
604314	356441	Blazena
604315	293355	
604316	128450	Vamp
604316	204244	Woman on examination table
604317	89871	Alphonse Doinel
604317	101182	Girl at farm
604318	252668	
604320	81158	
604322	83260	
604322	84635	L'amie d'Isabelle
604322	195689	Cafe Marly Hostess
604322	201114	Brigitte
604322	282286	
604322	410074	La fille aux tarots
604323	34751	
604323	34776	
604324	325821	Maedchen
604325	80438	Girl
604325	213278	Janelle
604325	247453	The Dingo Girl
604325	276659	Girl
604326	354573	La mère
604327	249550	Self
604328	129627	Mount Fuji
604328	253458	Maureen
604328	308316	Thumper
604328	390180	Mountain Fiji
604329	126691	Cheerleader
604330	45312	Mrs. Mailler
604331	22865	Alma
604332	88070	Katharine
604333	298604	Kate St. Clair
604334	23345	Vancurová
604334	49170	
604334	179898	Vedoucí
604334	245906	Mother
604334	317629	Olina
604334	374074	Lída's mother
604334	387031	
604334	410338	
604335	32120	Veronica
604335	65449	Marsha Kaplan
604335	79759	Mother
604335	300425	Tab
604335	318173	Rhonda
604335	340562	Danielle
604336	56426	Mrs. Martinson
604336	254979	
604337	106666	Girl at Sharky's
604337	128540	Janice
604337	170604	Quinn Kennedy Rifkin
604337	196318	Tammy
604337	395029	Kate Quinn (2000-2001)
604338	208326	Maria
604339	29098	Lila
604339	41426	Jenny Braddock
604339	45677	Ali
604339	53320	Fran
604339	61794	Lucy Barrett
604339	61819	
604339	76638	Billy Daedalus
604339	82666	Jenny
604339	107548	Cheryl
604339	159505	Dee Dee Davenport
604339	189987	Joy
604339	214917	Jeannie
604339	220968	Heather Dombrowski
604339	267112	Jenny Braddock
604339	276169	Ginny Grafton
604339	298108	Katie Simpson
604339	314460	Wendy
604339	319180	
604339	334158	Kathy
604339	355173	Laura
604339	364084	Cara
604339	366739	Paige
604339	388605	Sloan Peterson (1990)
604339	389858	Melissa McKee (1987-1989)
604339	404670	Oatz Cautere
604340	33519	
604340	34572	Carlota
604340	100097	Sabah
604340	156882	Teresa
604340	244636	Jennifer
604340	293949	Ariadna/Penélope
604340	379566	Angela (2001-2002)
604340	392027	Miriam Canalda (2004-)
604341	50082	Chrissie
604342	364016	Dead Woman
604343	4790	Fritzi
604343	98318	Philippine
604343	178605	
604344	91061	Host
604345	324567	
604346	357266	Válková
604347	45724	
604347	74469	
604347	262817	
604347	339276	Baruska
604348	88463	Anka Kadlecová
604348	137070	
604348	181146	
604348	224959	
604348	244174	
604348	244187	Anka Kadlecová
604348	266975	Ruza
604348	378840	Lída
604348	400069	Zdena
604349	283758	
604350	283758	
604351	188405	Donna, the Pianist
604352	19068	Oriella
604352	90731	Rosetta
604352	113703	Lilli Nicocci
604353	301352	
604354	3585	
604356	14160	Interviewer
604357	203358	Rockette
604358	299854	Constable
604359	60428	
604359	95603	
604359	132071	
604359	179770	
604359	262668	
604359	266288	Natasha
604359	266736	
604359	394620	Semyonovna
604360	307614	
604361	77270	
604361	176136	
604361	187374	
604361	210379	
604361	374676	Olga Trofimovna
604361	374785	
604362	368056	Meisje
604363	90829	Jonge Sabine
604364	104282	Little Eteri
604365	247983	Tsiala
604366	90147	
604366	102994	
604366	213545	
604366	217457	Tsistino
604366	228357	
604367	59772	Alyona Sanina (vocal)
604367	224037	Clementine
604367	235920	Tortilla
604367	313880	
604367	313881	Club director
604367	313882	
604367	327661	Yulia Juli
604367	394642	
604368	8578	Mísa
604368	165034	Eva
604368	384131	Librarian
604368	394618	
604369	5740	
604369	69703	
604369	146533	
604369	225698	
604369	226493	
604369	252075	
604370	36871	Moramax employee #1
604370	223933	
604370	362643	Nancy
604373	205465	Mother
604374	259581	Juliane Borowski
604375	75030	
604375	123818	
604375	123857	
604376	127046	
604377	6961	
604377	42439	
604377	50528	
604377	60488	
604377	81797	
604377	102842	
604377	106032	
604377	113194	
604377	119838	
604377	119839	
604377	123469	
604377	130889	
604377	134421	
604377	141390	
604377	160276	
604377	160277	
604377	160910	
604377	188418	
604377	228438	
604377	230770	
604377	236920	
604377	249063	
604377	253589	
604377	266485	
604377	266722	
604377	266724	
604377	273363	
604377	273469	
604377	273525	
604377	292517	
604377	295979	
604377	303961	
604377	316861	
604377	321110	
604377	354797	
604377	372662	
604378	1297	
604378	26942	
604378	27122	
604378	27350	
604378	31027	
604378	32555	
604378	40050	
604378	41001	
604378	48500	
604378	49500	
604378	52266	
604378	52272	
604378	88876	
604378	99273	
604378	110511	
604378	113775	
604378	121536	
604378	128870	
604378	129112	
604378	130787	
604378	150138	
604378	150172	
604378	157559	
604378	183989	
604378	197919	
604378	200263	
604378	234069	
604378	243124	
604378	243537	
604378	257444	
604378	274385	
604378	292372	
604378	316638	
604378	319350	
604378	320466	
604378	361958	Mermaid
604379	13291	
604379	149652	
604381	38938	Andrea Rosner
604381	59702	Charlotte Salomon
604381	78541	Lucile Desmoulins
604381	101756	Laura Heidfeld
604381	103093	Anka
604381	119115	
604381	119659	Yvonne Wurlitzer
604381	126367	Marianne
604381	134771	District Attourney Gudrun Lam
604381	160797	
604381	231036	Susan
604381	259689	Gabriele Cross
604381	290453	Johanna
604381	292257	Anna Kunzli
604381	293694	Juge de Tutelles
604381	301044	Anna
604381	320458	Nana Iaschwili
604381	325536	Barbara Trenkwalder
604381	325538	Melissa
604381	328307	Mother
604381	338400	Anna
604381	343687	Dr.Jennifer Degenhardt
604381	361433	
604381	378550	Böckels 'Schwester'
604384	199173	Young Antonia
604385	41525	Herself
604385	50580	
604385	306923	Herself
604385	330051	Herself
604386	79944	Bit part on boat
604386	251258	Alice Christy
604387	1016	Germaine Montillier, dite Mém
604387	6628	Barbara Onisse
604387	8627	Vicky
604387	15020	
604387	18320	La fille du bar
604387	19836	Mme. Pichon
604387	23632	Mme Halluin
604387	24898	Constance
604387	25164	La mère de Nolan
604387	30756	Mw. Friedlander
604387	31019	
604387	34398	Mme Quimouche
604387	51954	Salade
604387	52601	Tonia
604387	52698	L'adjudante/Sergeant
604387	56951	Mère de Catherine
604387	57516	Alice
604387	59697	Commisaire Gluck
604387	61424	Mme Lecarnoy
604387	63662	L'hôtelière du pont
604387	65958	Madame Solange
604387	66386	Helene
604387	66718	Renée
604387	67188	Emilienne
604387	67252	Cora
604387	68355	Ginette, la mère d'Eddy/Eddy'
604387	71822	La religieuse en chef
604387	74328	Betty Bell
604387	78361	Yvette
604387	80206	Blandinette
604387	82142	
604387	83196	Fernande
604387	83219	
604387	84220	Une fille (segment "Jeanne")
604387	84616	Félicité
604387	84649	Madeleine
604387	85616	Le Professeur de Gymnastique
604387	90056	Clémence
604387	91444	
604387	97071	La serveuse
604387	99653	Rosa la Rose
604387	100053	Gerent
604387	100353	Mlle Lamour
604387	100732	La mère
604387	101256	Mme Chabert
604387	101684	Extra
604387	101950	
604387	101983	Michèle
604387	102042	Geneviève
604387	104208	Andrée
604387	111022	Sandrine
604387	111076	Tante Aymée
604387	111386	Mae Marlane
604387	111780	Marguerite
604387	112850	Suzy
604387	116412	Mariotte Borderet
604387	118840	Jeanine
604387	119751	La Genisse
604387	120674	Adrienne
604387	124318	La blonde amie de Paul
604387	129121	Mme Gruber
604387	130116	Brother mistress
604387	132743	Annette
604387	132864	Martoune
604387	133118	
604387	135423	Josepha Marewska
604387	135424	Rachel
604387	142638	
604387	153871	Suzy
604387	155644	Dora Bourbon [Dora Barton, US
604387	155687	Agnès
604387	157325	Mère Dorothée
604387	157326	Lili
604387	158877	Thérèse, la caissière du bar
604387	160542	La veuve Corda
604387	165179	Mireille
604387	169286	Blanche
604387	169322	
604387	169532	Emilie
604387	170366	Woman Passenger
604387	175761	Mme Lou
604387	189342	Suzanne
604387	198187	Paula Azera
604387	200956	La gouvernante de Duhour
604387	201079	Pascale Effront
604387	201204	
604387	204648	Juliette
604387	205487	Mira, la gourvernante de Bori
604387	205741	La Juine
604387	207778	
604387	209944	Madame Guiguan
604387	215631	Pascaline
604387	217634	Dora
604387	218322	
604387	220271	
604387	223034	La concierge
604387	225382	Jacqueline
604387	225430	Countess Doublianoff
604387	225494	Perla Rostpovich
604387	225616	Catherine
604387	227292	Rose Mignon
604387	234578	Maryvonne
604387	236543	Nanette Precy
604387	237912	L'entraîneuse
604387	240484	Flora
604387	247170	Antoinette
604387	248358	
604387	248422	
604387	248829	Yvette
604387	249677	Rose, la mère/Rose the Mother
604387	249699	
604387	249706	Jessy
604387	249715	
604387	251290	Mathilde, femme de Clovis
604387	262990	Julia Manton
604387	264212	Madame Humeau
604387	269485	Lola Wanda
604387	271776	Mémène
604387	281886	Evelyne Dorsey
604387	287975	
604387	288889	Marguerite Gadin
604387	292366	Rosa Chamboulive
604387	296461	
604387	309023	Louise Richter
604387	309699	Angèle Amélie Jeanne Mersch
604387	314470	Macha
604387	336756	Lola
604387	345020	Prostitute
604387	345273	La fille
604387	345525	La fille
604387	346550	La Faible
604387	346773	Catherine
604387	347757	
604387	354693	Suzanne
604387	354911	Madame Mayeul
604387	356963	Isabelle
604387	356991	Blanche
604387	357092	La mère de Maryvonne
604387	372618	Simone
604387	374623	Lisa
604387	377648	Catherine
604387	377824	Clara
604387	377944	Mère Grivot
604387	379425	
604387	379801	Madame Haque
604387	380260	Louise
604387	382199	La veuve Corda
604387	383371	Agathe Chantreuil (1998-2000)
604387	383649	Ermengarde
604387	384030	Catho
604387	384031	Coralie
604387	384209	Amelie Boucoiran
604387	384434	Jeanne
604387	384628	Ercilie Madot
604387	384818	Thérèse Rousseau
604387	387044	Olga Levasseur
604387	387659	Jeanne
604387	389784	Florine
604387	389940	Rozenn
604387	391928	
604387	391933	Gisèle
604387	391934	Rose Dupuy
604387	392580	
604387	392580	La lingère
604387	392911	Mme. Loisel
604387	396290	
604387	396370	Maïté
604387	396856	Fanchon Fleur de Lys
604387	403101	Henriette
604387	409440	
604387	412266	
604388	31567	Midget Performer
604388	367073	Munchkin Villager
604389	228572	
604390	341082	
604391	62423	
604391	166094	
604391	169298	
604391	198019	
604391	198289	La cousine
604391	345354	
604392	33737	
604392	44725	La serveuse
604392	51452	
604392	106093	Bonne (II)
604393	10320	Herself
604394	158842	Ado bus
604396	31567	Midget Performer
604396	119338	Bit part
604396	310575	
604396	331725	Mrs. Cubby Snodd
604396	367073	Munchkin Villager
604397	352240	Doreen
604398	367625	
604399	83009	
604400	133307	
604401	1348	Herself
604401	15214	Karen Keane
604401	42438	Shelle
604401	61765	Naomi Johnson
604401	141733	Camp Magnolia Girl
604401	178020	Candy Striper
604401	222809	Lisa Talbot
604401	244433	Idabell Thompkins
604401	253011	Gina Vosola
604401	317370	
604401	338308	Paige Cooper
604401	390771	Marina Cooper #4 (2001-2004)
604402	79948	Cory Connors
604402	81127	Allison
604402	130903	Little Girl
604402	157444	Astrid
604402	220042	Hilary
604403	11843	
604403	19592	Christl
604403	66891	Christine
604403	82945	Elisabeth Bethke
604403	92559	Frau Bertinelli
604403	115651	Dolly
604403	129701	
604403	132536	Hotel Guest
604403	144333	Rita Kaiser
604403	145499	Lydia
604403	173674	Sarah
604403	175321	
604403	189822	Susanne Geier
604403	211108	Danielle
604403	225248	Christina
604403	225252	Christina
604403	280835	Cousin Frieda
604403	290293	Susan
604403	302056	Rita
604403	325600	Bibliothekarin
604403	354089	
604403	375503	Winni
604403	382194	Dolores
604403	385009	
604403	391297	
604403	392380	Lisa
604403	392997	Girl aus Kolbermoor
604403	398083	Dolly
604403	411347	Steffi Buch
604403	412088	Rita
604404	378624	Assistant
604405	41310	Rose
604405	72908	Brinke
604405	132223	Goth
604405	140699	Jenny
604405	142455	Lucindia Polonia
604405	260726	Herself
604405	326604	Margaret Richardson (Chi Omeg
604406	18559	Baseball Parent #2
604406	130903	Little Girl`s Mother
604406	220042	Reporter #2
604406	244433	Ellen Kendall
604407	210483	Child's Mom
604408	78984	Terrified girl
604409	56598	Rebecca Reilly
604410	323250	
604411	44599	Doryena Swarzkofskie
604412	121832	Marnie
604413	32842	Sygeplejerske
604413	40817	Torkilds Mor
604413	44519	Bibi
604413	76182	Carl's kone (Line)
604413	76183	Carl's kone (Line)
604413	76184	Carl's kone (Line)
604413	76185	Carl's kone (Line)
604413	96450	Nanna
604413	111557	Mette
604413	119326	Herself - Performer
604413	125628	Ida
604413	139517	
604413	240843	Susan
604413	242863	Finns mor
604413	260961	Irene
604413	282597	Evelyn
604413	303747	Jeanette
604413	332462	Inge
604413	373618	
604413	383948	Charlotte
604413	387532	Various roles
604414	51295	Sara
604414	51302	Herself - Participant/Perform
604414	117461	Clara
604414	181736	Lise as little
604414	198053	Klara
604414	234826	Johanne
604414	238799	Klara
604414	406755	Sille Torp
604415	54309	
604416	53142	
604416	207860	Vivi Chester
604416	360491	Beatrice
604417	235417	
604417	235418	
604418	52481	Jane
604418	126067	Chorine
604419	276506	
604420	177584	Annie
604421	317736	Francis
604422	50384	
604422	88489	
604422	314459	Cocktail Waitress
604422	330055	
604424	52484	Natalie Hall
604424	214086	Herself
604425	268510	Mici
604426	2473	
604427	190881	Rose
604427	214086	Herself
604428	183804	Nurse
604429	44836	Marie-France
604429	44940	
604429	225366	Caroline Anselme
604429	258854	Agathe
604429	337032	Ado interviewée/Une infirmièr
604429	357032	Isabelle
604429	387919	
604429	396978	Juliette
604430	57520	Herself (and narrator)
604430	362383	Herself (and narrator)
604431	341223	Dechen
604432	283933	Ella
604432	316936	Sarah Kyte
604432	391247	Jackie Bradley (1999-2001)
604432	409401	Frances Pembroke
604433	108305	Julie Malone
604433	120258	Herself
604433	206664	Susan Oliver
604433	385445	Maggie Tucker
604434	26981	Working Girl #1
604434	51888	Patty (girl at counter)
604434	141130	Megan
604434	160887	Patient's Wife
604435	382304	Steve's Friend
604436	252366	Penthesilea
604437	396017	Sue
604438	381530	Rada
604439	267604	Child
604440	154587	Oksana
604441	52760	
604442	134445	
604443	14688	Teresa de Albuquerque
604443	28207	D. Otilia
604443	53258	Catarina de Ataide (Natercia)
604443	68917	
604443	124311	Ana Maria, the heron
604443	202541	
604443	222155	Cristina
604443	224992	Herself
604443	264271	
604443	276561	Mariana
604443	341140	
604443	344766	Fernanda
604443	350776	Herself
604443	356008	Mariana
604443	381246	Tininha
604443	395379	Beatriz
604444	276649	Brown Dove
604444	377183	Muchacha I
604445	156024	Ketty
604446	310874	Fashion Model
604447	118313	Mlle. Lucette, a model
604448	7884	Second Tribe
604448	41353	Tina
604448	318729	Beautiful Lady
604449	21693	
604450	770	
604450	6730	NonSex
604450	89751	Herself
604450	154187	
604450	357168	Herself
604451	193553	Lola
604452	94177	Janica
604453	341223	Seldon
604454	82529	
604455	94055	Herself (neuropharmacologist)
604456	119581	Noreaster #5
604457	362462	School Girl/Ghoul
604458	29582	
604459	265831	Child
604460	56302	
604461	15024	Maîtresse de Bruno 1
604461	65131	Charlotte
604461	68331	Madame Charron
604461	72056	Mme Ducreux
604461	76174	
604461	132898	
604461	134637	
604461	153846	Mme Laubier
604461	161985	Emma
604461	201201	
604461	219485	Mathilde Blondel
604461	254110	Une soeur Monthoux
604461	257075	La femme au chien
604461	266153	
604461	269141	(segment "16 ans-Sylvie")
604461	276517	
604461	325343	Odile
604461	340120	
604461	346557	Madame Muller
604461	370043	La vieille dame
604461	376987	Titine
604461	402538	Ellen Smith
604461	409256	La grand-mère
604462	93632	Liesbeth
604462	387581	Birgit
604463	46871	Cafe patron
604464	392482	
604465	118144	
604466	17857	
604466	118752	Mme Saintonge
604466	268828	
604466	285080	
604466	389271	Suzanne Clereys, la secrétair
604467	253995	
604468	179593	[1767-1768] (1934)  Nevesta's
604469	3571	
604469	89734	
604469	257419	
604470	89734	
604471	57505	
604471	148634	
604471	148669	
604471	214921	
604471	256990	
604471	279972	
604472	90652	
604473	411933	Brurya
604474	124918	
604475	9838	Princess
604475	18165	Herself
604475	333613	Zorrino
604476	410491	Jasmijn De Ridder (1998-)
604477	249635	
604477	266775	Josefin
604477	303891	Dominique
604478	184526	Elsje
604478	254000	
604478	352402	Julia
604479	307199	
604480	58243	
604481	252877	Karla
604482	286070	
604483	92490	Karen Mannering
604483	216145	Gypsy
604484	152992	Jayne
604485	194378	Receptionist
604485	243287	
604485	259462	
604485	325639	
604485	325674	Anne Berger
604486	375735	
604486	390812	Anette Probst (1993)
604487	244099	
604488	24420	Asia
604489	217420	Agnes
604490	361611	
604491	82094	Susan
604492	55208	Carmen
604493	83039	Masha Polezhayeva
604494	209399	Victim 47
604495	20625	Extra
604495	45103	Waitress
604495	317834	Hula Dancer
604495	364189	Nurse
604496	347832	Maria
604497	138468	
604498	2195	Geneviève
604498	5157	
604498	10071	Barbara Lechat
604498	13440	Margot
604498	14467	
604498	17646	Jeanne
604498	19759	Bérénice Beaurivage
604498	22688	Mme Agecanonix (Frau Methusal
604498	30799	Mademoiselle Mars/Dona Sol
604498	32011	Clarisse
604498	33546	La femme hystérique
604498	33565	La Belle
604498	42227	
604498	44707	Louise Roalvang
604498	51424	Vanessa Goudard
604498	56949	Kunigunde de Thurneck
604498	57894	La chanteuse à la Garden-part
604498	64329	Narrator
604498	77422	
604498	84595	Professor Barbez
604498	84667	Delphine
604498	99654	
604498	101547	Sophie
604498	107321	
604498	110158	Luce Ader
604498	114814	Marguerite Barnac
604498	116411	Herself
604498	116476	(segment "Eléphants de la pla
604498	118841	Alix
604498	123444	Valérie Fisher
604498	125723	Sabine Duchemin
604498	125724	
604498	132751	L'actrice
604498	144682	
604498	148622	Régine Larnin
604498	149744	Arielle Dombasle
604498	158811	Renata
604498	159599	Daphné
604498	164193	Rose Petipas
604498	166179	Une actrice film publicitaire
604498	167214	Clémence
604498	167224	Arielle
604498	169335	Laure
604498	171421	
604498	183235	Maxine Pascal
604498	183239	Maxine
604498	184060	Sophie
604498	189304	Madame de Jerfeuil
604498	190421	Lady Ligeia Fell
604498	193508	Loretta
604498	195153	Marie de Bourgogne
604498	196388	Mademoiselle Lecas
604498	200939	Mylène Turner
604498	205359	Florence Cross
604498	213733	Milady
604498	215148	Miroslava (adult)
604498	216794	Herself
604498	217224	La Comtesse de Portes
604498	220128	
604498	225370	Céleste
604498	225459	
604498	236596	La secrétaire
604498	243018	La fée
604498	251021	Marion
604498	252710	Blanchefleur
604498	267878	Antonella
604498	268199	Elise
604498	269225	Dieu la blonde
604498	270969	Megan
604498	274320	Mistress (segment "Like Fathe
604498	282018	
604498	282019	
604498	285776	Stella Moreau
604498	287608	Herself
604498	303176	Sissi
604498	310061	Arielle
604498	318267	Marion Derain
604498	327577	Madame de Farcy
604498	328751	Mercy Chant
604498	340205	Helene
604498	341019	Maggie
604498	345092	Sarah La Blonde
604498	345292	Charlotte
604498	345560	Arielle
604498	346743	La jeune droguée à la moto
604498	350850	Princess de Condé
604498	353834	Angele
604498	354465	Sandra
604498	355863	Charlotte
604498	376500	Mme. Studer
604498	377277	Madame Numance
604498	380647	Lucette
604498	386128	Magda
604498	397195	L'infante Marie-Thérèse
604498	398359	Nancy
604498	400382	Emma Calve
604498	405460	Jacqueline Gore
604500	306496	Miss Photo Flash
604500	399819	
604501	97727	Other Teen
604502	246695	Julia
604503	141651	Townswoman
604505	364372	Jason's Assistant
604505	401473	Karen
604507	199118	Giza lánykorában
604508	12473	Marianne
604508	40309	Loudy, rijke Nederlandse vrou
604508	108546	Lies
604508	126861	Barones
604508	166718	
604508	175243	Keetje's moeder
604508	175678	Annie Holst
604508	178697	
604508	180400	Erik's mother
604508	211053	
604508	307288	Queen Wilhelmina
604508	307289	Queen Wilhelmina
604508	312148	Alexandrine Duvivier
604508	314862	Emilia Winters
604508	350977	
604508	356815	Dorien
604508	365575	Dora
604508	388164	Mw.. van Gorkom
604508	394155	Moeder van Katadreuffe
604508	394912	Assia van Karnagel; Rinse van
604508	397445	Dina, moeder van Thijs
604508	409825	Ottilie Steyn de Weert
604509	207187	
604510	141421	Mrs. Richardson
604511	42867	Frisine
604511	125224	
604511	129257	
604511	199527	Nine
604511	213550	
604511	357566	Trezeke
604511	384154	
604511	393919	Coco
604511	394604	Liesje
604511	395633	Nieke (1994-)
604511	402483	Liz Jans
604511	408151	Martine Bastiaens-Lefever (20
604511	409192	
604511	412033	Irene
604512	282452	Girl on Street
604513	74379	
604514	376802	
604515	287461	
604516	193053	
604517	23746	
604518	37191	Woman at Pool
604519	311449	Amazon
604520	282935	Bucket Dancer
604521	204470	
604521	210065	Das Mädchen
604521	224644	Duffles
604521	323929	
604522	85508	
604522	215979	
604522	392653	Chela
604522	397021	Directora del Colegio
604523	40552	Amy
604523	305710	Ms. Miller
604524	400201	Mrs. Abolhassan
604525	14843	Lorenzo's mother
604525	18872	
604525	41215	Victoria Dean
604525	42068	Jitterbug
604525	52252	Carlotta Torres
604525	63864	Anna
604525	74980	Lisa Moyer
604525	94755	Opal Lacy
604525	103452	Martha Drury
604525	123338	Signora Del Isolla
604525	133809	Joan Britton
604525	151010	Gayle
604525	163205	Prof. Lesleyl Joyce
604525	203200	Barbara Peters
604525	306413	Millie
604525	307103	Bella Francesi
604525	330775	Evelyn Myer
604525	330821	Dr. Ruth Adams
604525	333439	Jill Rabowski
604525	337308	Mrs. Goodwin
604525	345605	Martha
604525	348164	
604525	351500	Colomba della Rabia
604525	357087	Dr. Marsha Evans, Vega
604525	363282	Margo Lannington aka Margo Li
604525	372777	Gerry Taylor
604525	385078	Princess Anne (1955)
604526	134808	Tessa
604527	259563	
604527	352057	Dr. Angerlein
604528	107483	Interviewee
604529	203328	Ballroom Dancer
604530	13430	Barelli's Other Daughter
604530	184829	Girl Musician
604530	264157	Tea Party Guest Zrinka
604531	162758	
604532	236784	
604533	72931	Goodyear
604534	27115	Gina
604534	71564	Mercedès Iguanada
604534	114679	Marguerite
604534	175223	Claire
604534	280081	Tania - Public Relations, Ste
604534	321961	
604534	330104	Terry Alba
604534	336796	Divana
604535	2069	Cathy
604535	260705	Tatiana
604535	391344	Anna, the Nanny
604536	185964	Restaurant Patron
604537	43076	António's bride
604537	74139	Widow
604537	169713	Vitoria
604537	193169	Margarida
604537	263925	Leopoldina
604538	68492	Betty
604538	81891	1st Radio Guest
604538	245340	Morton
604538	368060	Mrs. Jackson
604538	392483	Masseuse
604538	409401	Mrs. Jacqueline Seabrook (seg
604538	409695	Miss. Mack
604539	171557	Nena
604539	171558	Herself
604540	156189	Donna
604540	202413	
604540	324388	
604540	383054	Tia Susan (Sharon & Sheryl's 
604540	396887	Lorelie
604540	404049	Simang Soriano Bernardo
604540	407538	
604541	247159	Niña
604542	169565	
604543	103662	Sara
604543	258383	Herself
604543	270057	
604543	384972	Asun
604544	66837	Woman Folding Clothes
604545	70228	1.º e Último Poemas (Leitor)
604546	52072	
604547	129991	Girl in Bus Stop 2
604547	202748	
604548	143479	
604549	88011	
604550	121811	
604550	136222	
604551	269170	
604551	378043	
604551	378479	
604552	400942	Soledad Duarte
604553	400811	Herself (episodes 1-10, 21-23
604554	240428	
604555	80065	Waitress #2
604556	113753	Margarita
604556	118313	Dancer
604556	137240	
604556	190470	Lehua
604556	218727	Rosa, Housekeeper's Daughter
604556	319074	Mexican Girl
604556	345982	Island Girl
604556	363866	Zona
604556	365489	Chiquita
604557	9786	
604558	132223	Goth Girl
604559	389130	Herself/Co-host (1993-2002)
604559	402706	Host
604559	409279	Host
604560	125723	
604561	191210	Dancer
604562	184803	Juliana
604562	208871	1st Rebel Hooker
604562	320368	
604563	306465	Sketch Artist
604563	328560	Sketch Artist
604565	5545	Mama Minosa
604565	44884	Diaz' Wife
604565	134039	Bit Part
604565	169817	Woman
604565	274745	Guest at Mexican-American Ral
604566	386107	Herself/Challenger Team
604567	245600	Groupie
604568	226605	
604569	396610	Solene Ribeiro da Silva (2001
604570	217816	Bar Waitress
604571	126340	Herself
604572	389788	Valeria Montemar
604572	403290	Fanny
604574	3455	
604574	48193	
604574	51235	
604574	103959	Alex' wife
604574	136987	Guest at singer party
604574	155628	Girl in window
604574	276561	Lea
604574	407246	Herself - Host (1987)
604575	54829	Alessandra
604575	102365	
604575	113443	Lea
604575	163034	
604575	168250	Ziska
604575	293359	
604575	294423	Maria
604575	318632	
604575	346383	
604575	348175	Signora Gualdi
604575	377576	
604575	387952	Herself
604576	5852	Young Julia Minton in Photogr
604576	186665	Stacey
604576	190482	Crackhead
604576	204192	Flirting Kids (Science Fair)
604576	341885	Girl on Balcony
604579	232262	
604580	152894	Calendar Girl
604581	193072	Herself
604581	234324	Herself
604581	402154	Host (2002-)
604582	333668	Florence
604583	2654	
604583	6743	
604583	42601	Perdicca
604583	52784	
604583	71296	
604583	86334	
604583	117892	
604583	158764	La cuoca della villa
604583	161654	Bianca's mother
604583	183575	Lady Mary
604583	205260	
604583	242828	Martha
604583	289348	
604583	290000	
604583	340421	
604584	161126	
604584	189394	
604584	204261	Laura
604584	207064	Innkeeper's Daughter
604584	212518	
604584	217900	
604584	270880	
604585	241295	Kari
604585	265826	Melanie
604586	62961	Sandy, Sec to Andrew
604588	346271	Book Narration
604589	2232	Comedian
604589	4973	Second Killer Twin
604589	38717	
604589	40014	
604589	81990	Judith Hutter
604589	85746	
604589	102784	
604589	106994	
604589	146229	
604589	150402	
604589	150476	Mina's Victim #2
604589	160036	The Maid
604589	178975	V-Six Model/Cheerleader
604589	192022	Nannie
604589	214217	The She-Wolf
604589	263971	
604589	270352	Un SS
604589	291437	
604589	320984	
604589	320985	
604590	132898	
604590	217222	La mère
604590	354397	Marie
604590	386084	La maîtresse d'école
604591	408691	
604592	251544	La femme du train
604593	18251	
604593	39076	
604593	89376	
604593	102767	
604593	102772	
604593	150285	
604593	187411	
604593	195842	Actress
604593	242073	
604593	260713	
604593	294299	
604593	313692	
604594	372318	Stephanie
604595	138602	
604596	134943	Mother at Football Pitch
604596	153911	Olga, Cheerleader Member
604596	191206	Gudrun
604596	199083	Hjoerdis
604596	218221	Dagmar Fröberg
604596	275884	Doris
604596	284100	
604597	125367	
604598	14081	Shoe Store Manager
604599	365597	Lisa Sears
604600	275653	Mère Fournier
604601	191480	
604601	191938	
604601	243132	
604601	291282	
604601	372477	
604602	105945	Card Playing Guard #2
604603	79656	Park Referee
604604	204386	Trish Daniels
604606	84523	NG Resonance
604607	70624	Secretaria de Ministro
604607	395236	
604608	164493	Mrs. Sampson
604608	190209	Shirleen
604608	208054	Johnson
604609	182524	
604610	2987	
604610	12733	Margó
604610	153962	
604610	157256	Lujza
604610	182653	Mrs. Lajos Birkás
604610	183152	Melinda
604610	239898	Márta, Ambrus szerelme
604610	244323	Szusits
604610	349035	
604610	354442	Virginia
604610	378344	Lilla
604611	133182	Susan Pearson
604612	82577	
604613	38761	Claire Tourneur
604613	145482	Marion
604613	158563	Marion
604613	164157	Blonde Woman
604613	166163	Jeanne
604613	264471	Elena
604613	284495	Toni
604613	294372	Clémence Larne
604613	384737	
604614	38761	No character identified
604615	29385	Alexandra Iwanovna Medjanof
604615	78516	Barones/Baroness
604615	90101	
604615	125047	
604615	242329	Renée Brachart
604615	242411	Nora de Roqueville
604615	282735	Roze Kate
604615	302054	
604615	357397	
604616	39404	Gladys/Alice Casey
604617	165618	Magda
604617	173300	Anna Volschenk
604617	329417	
604618	80051	Belyj's Mother
604618	200993	Airport Ticket Window Clerk
604618	225827	
604618	357227	Barbut-Konstantinovskaya
604618	373736	
604618	399195	Gertruda
604619	232676	Katja
604620	7739	
604620	7748	
604620	412066	Herself (2001)
604621	213698	Pitti-Sing
604622	35597	Townspeople
604622	257014	Shooting Gallery Woman
604623	412076	Drabina
604624	146510	
604624	205690	
604624	351861	
604625	176989	Pilot
604626	77869	Comédienne
604627	254170	Caissière gadgets
604628	4779	Uta Barnim
604628	10164	Jutta
604628	12856	Wieb Harmsen
604628	15280	Jeanne
604628	21315	Gertrud
604628	38765	Jens' Schwester
604628	40282	Gisela
604628	63225	Ruth Bodenheim
604628	86266	Annegret
604628	90184	Kristine
604628	97842	Effi Briest
604628	104840	Vera Schmitt-Bunge
604628	104841	Vera Schmidt
604628	104842	Vera Schmidt
604628	115348	Fleur
604628	116318	Susanne
604628	119297	
604628	138438	
604628	149875	
604628	153085	Eva
604628	170376	Li
604628	171535	Inge
604628	172849	Frau Wessel
604628	187402	Paula
604628	188726	Barbara Ruhland
604628	189653	
604628	194438	Ina
604628	226405	
604628	239017	Irene Bach
604628	248062	Irene Sauer
604628	259576	Kommissarin Bilewski
604628	259598	Vera Bilewski
604628	259634	Vera Bilewski
604628	272009	
604628	284420	
604628	304165	Lisa
604628	308842	
604628	323658	
604628	339703	Sofie Steiger
604628	347814	Ursula Hradschek
604628	352171	Elisabeth
604628	352676	Siegi
604628	354002	Irene Bach geb. Sauer
604628	361421	Liane
604628	376417	
604628	379120	Irene von Claudi
604628	385660	
604628	394536	Peggy Kaufmann
604628	404429	Madeleine Labisse
604628	410774	Countess Palvner
604629	352673	
604630	388286	
604630	389956	
604631	40779	Musiklehrerin
604631	40958	Politesse
604631	115955	
604631	375171	
604631	411102	Angela Merkel
604632	139489	
604633	223604	
604634	163195	Mhari Brian
604634	407589	Goneril
604635	170920	Enriqueta
604636	384972	Susi Carrasco Viola (2004 -)
604637	54808	
604638	208564	Maya Murillo
604638	215472	
604638	217760	
604638	271248	Tiger Lily
604638	309342	Novák tanárnõ
604638	342093	
604638	363332	Elba
604639	46837	
604639	236014	Alicia
604639	274784	Inés
604639	318257	Chica
604640	119303	
604640	217025	
604641	212467	
604642	110415	
604643	380122	Miryam Isabel Dominguin
604643	384876	Manuela
604643	385872	Yadira Chacon
604643	388814	Fancisca 'Frica' Lombana
604643	389788	Adriana
604643	391452	Antonia Donoso
604643	392812	Cecilia de Castro
604643	400946	Libia Reyes/Ruth Uribe
604643	404580	Jackeline
604643	407649	
604644	128988	Secretaria de Manfredi 1
604645	310030	
604646	21671	
604646	21706	
604646	91291	
604646	101844	
604646	190997	
604646	192977	
604646	319623	
604646	351057	
604646	351682	
604647	385367	Xiva
604648	13518	
604648	20739	
604648	24989	Laura Ponce
604648	36651	
604648	51593	
604648	57092	
604648	64050	Maria Flores
604648	74543	
604648	94821	
604648	94830	
604648	96296	
604648	97465	Annesa
604648	101712	
604648	103813	
604648	121271	
604648	121960	
604648	123171	
604648	143787	La viuda
604648	146478	Dora
604648	148048	
604648	148085	
604648	171473	Sra. Silva
604648	183515	Lucía
604648	193142	Marcela de Fernandez
604648	199095	Sara
604648	202514	
604648	205020	
604648	212460	
604648	222040	Isabel
604648	247178	
604648	247356	
604648	252554	
604648	253198	
604648	266808	Paloma
604648	266809	
604648	266846	(colombian episode)
604648	275946	Petra
604648	284330	Merceditas
604648	284341	Mercedes
604648	307790	
604648	310033	
604648	327016	
604648	333748	
604648	353409	
604648	355200	
604648	355795	
604648	376661	
604648	377202	Joana
604648	380516	Carmelita
604648	383267	
604648	383532	
604648	392749	
604648	398069	
604648	403365	Maria I
604648	408586	Lorenza
604649	27981	
604650	172974	Ni?a Morena
604650	244036	Vero
604651	21583	Cocinera
604652	357189	
604653	6630	
604654	54345	
604654	80297	
604654	132692	
604654	148121	
604655	380249	Matilde
604655	383472	Medusa
604655	385367	Peggy
604655	387666	
604655	391272	Felicia Hurtado
604655	394006	
604655	399520	Albertina Ramírez de Rondón
604655	402688	Tibisay
604655	403560	
604655	405809	Jade
604655	408389	
604655	408408	Carlota Almada
604655	408747	Guillermina Azuaje
604656	381255	Herself
604657	87511	Young Lidia
604658	125785	Esther
604658	197550	Ángela
604658	384734	Cristina 'Tina' Mariño (1999-
604659	235316	María
604660	182319	
604661	389788	
604662	100341	
604662	204739	
604662	323300	
604663	221737	Gente de carnaval
604664	322851	Locutora
604664	407735	Newsreader (1989-1990)
604664	407747	Newsreader (1991-1993)
604665	189301	Miliciana #2
604666	392815	Newsreader (1998-2001)
604666	397837	Host (2001-2004)
604666	403900	Hostess
604667	57464	Pelusa
604667	121314	
604667	239281	
604667	302331	Journalist
604667	334706	
604667	387905	Eufrasia de Capital
604667	395236	
604667	395404	Selenia Mirabal de Machado
604667	406864	Irma Quiñones
604668	357895	Esposa
604669	386107	Herself/Challenger Team
604670	227685	
604670	296442	Blanca
604670	357189	
604671	100391	Limpiadora Rey de Paris
604672	25794	
604672	380477	Liliana
604673	199032	Performer
604674	28963	
604675	411636	
604676	72308	
604676	72349	
604676	115915	
604676	212046	First Stout Woman
604676	271979	The Second Ranchman's Wife
604676	271987	
604676	323431	The Baseball Fan's Wife
604677	69776	Sonja
604677	95146	Ann Meyers
604677	102342	Chicago cast
604677	384361	Samantha Burnette
604678	126538	Illegal Alien (segment "Born 
604679	305074	Kiddie Acres Cotton Candy Lad
604680	55702	Girl at Dirty Dick's
604680	55719	Macnutt's lure
604680	116515	Harem girl #3
604680	125635	Concubine
604681	89346	
604682	169409	Barbara (segment "Poor Butter
604682	392954	Norma Benson
604682	399304	Kirsty Kerr #2
604683	88685	
604684	385858	Herself
604685	137224	Ronnie
604686	308038	Monique
604687	27952	Martha Healy
604687	41475	Pretty lady
604687	67569	Barbara Baylor
604687	80612	Blonde
604687	82533	Tine Tulane
604687	99584	Patsy Gambill
604687	113313	Jeri
604687	121522	Young Hooker
604687	122188	Tye
604687	130441	Cathy
604687	158089	Chrissy
604687	210960	Tammi
604687	277801	Wanda
604687	277911	Ginger
604687	300153	Kate
604687	321632	Gay Club Patron
604687	335480	Goldie
604687	368687	Ladies of the Paddock
604687	389858	Nancy Eckert (1991)
604688	217413	Melissa Giacobetti
604688	275610	Antonia Forlano
604688	380993	Lorenza Ferrante
604689	192937	
604690	17205	
604690	22694	
604690	48552	
604690	61956	Pattiponi
604690	90679	
604690	111533	
604690	179763	Maria
604690	189258	Amica di Aurora/Carmela
604690	202293	Anna
604690	229104	Vittoria, als junge Frau
604690	230074	madre di Nora
604690	252009	Amica di Anna
604690	313136	
604690	352861	(segment "Stirpe di Iana, La"
604692	108485	Lena
604692	292025	Bobbi-Jo
604693	341198	
604694	333868	Sinead McPhelimy
604695	399699	Maggie
604696	187335	Earth Sedona
604697	319682	Una O'Shea
604698	249591	Performer
604699	349816	
604700	316661	
604701	360911	Maura
604701	374419	Susan
604702	337084	Chloe
604703	142706	The Helpline Attendant
604704	292594	Model
604705	387303	Juliette
604705	405952	Carolyn Gilder
604706	126104	Young Sadie
604707	55038	Elizabeth, Head Maid
604708	23338	The Mother
604708	232466	Woman at Carousel
604709	16074	Janice, age 4
604709	16464	Elinore 'Ellie' Walker
604709	16483	Herself
604709	20315	Toni MacGregor
604709	31186	Herself - NBC Team captain
604709	45232	Bessie Jo as a Child
604709	69263	Audrey Ames
604709	80969	Herself
604709	88998	Mona Wise
604709	92584	Rebecca Quinn
604709	109846	Betty Anderson
604709	119437	Orphanage Woman
604709	127484	Medley Blaine
604709	128847	Mary Lee Morgan
604709	128897	
604709	130311	Margaret Anderson
604709	131575	Herself
604709	138909	Connie Brown
604709	141137	Mrs. Parsons
604709	143136	Lucille Stewart
604709	144922	Mrs. Franklin
604709	148957	Janie Thomas
604709	157848	Esther Garrity
604709	161721	Norma Winters
604709	192030	
604709	195753	Pattie Marie Levoy
604709	215981	Muggsy
604709	222216	Jane Mulligan
604709	223733	Bratty Autograph Seeker
604709	230392	Laura Donovan
604709	233752	
604709	239849	Maud Shaw
604709	263360	Bridget
604709	264157	Lady Palimore
604709	302715	Mike Murphy's Kid
604709	326368	Lynne
604709	328066	Cynthia
604709	331333	Alix Morgan
604709	346914	Josie
604709	366456	Betty Wheeler
604709	380225	Elinore 'Ellie' Walker (1960-
604709	385824	Kate Honeycutt (1984-1986)
604709	386602	Mona Welk
604709	386897	Rebecca Quinn (1993-1998)
604709	387340	Additional Voices
604709	388495	Betty 'Princess' Anderson
604709	389867	Sylvia Furth (1989)
604709	389964	Gladys Peterson
604709	396783	Joan Randall (1964-1965)
604709	398507	Jane Mulligan
604709	399199	Susan Baxter
604709	399961	Miriam Welby (1972-1974)
604709	401662	Carol Lambert
604709	404282	Dr. Anderson (1989)
604709	405038	
604710	120014	Grand Central Station Informa
604711	368666	Restaurant Patron
604712	37413	
604712	40226	Heather Donahue
604712	43933	Herself
604712	45591	Megan
604712	49877	Herself
604712	75531	Herself
604712	148244	Wendy Waitress
604712	204781	
604712	230815	Molly
604712	295278	Whit
604712	314686	Heather Donahue
604712	351437	Voice Over
604712	358644	Wendy
604712	407421	Mary Crawford (adult)
604713	51989	Darla
604713	57747	Flo
604713	80472	Topaz
604713	120026	Gwen
604713	224382	Reporter #2
604713	277203	Herself/Topaz
604713	315293	Anna 'the Witch' Wortitski
604713	334214	Officer Wilson
604713	363602	Girl
604714	107990	Bonnie Boss
604715	27616	Bagi phone message
604715	118468	Debbie
604715	184561	Cyn the Orc
604716	39148	Renny
604716	169895	Defendant In 1st Case
604716	226758	Violet
604716	331190	Jessie Talbot
604717	50444	Cheerleader #1
604718	166639	Lauren
604718	381909	Herself (Winner, 82 Days) (20
604718	403003	
604719	195811	Mrs. Carter
604719	212975	Mrs. Risden
604719	288425	One of The Three Graces
604719	306808	Squire's Wife
604719	316165	Molly McGuire
604721	106109	Model
604721	260950	Elite Model
604722	47980	Miss Van Ness
604722	75704	Mrs. Cord
604722	109546	Stella
604722	158336	Babs DeWitt
604722	224000	Dionne, blonde bar-girl
604722	241089	Elizabeth Lane
604722	248128	Mrs. King
604722	256593	Woman at Party
604722	259778	Mrs Ford
604722	286693	Kathy
604722	389858	Birdie Wells (1987)
604722	397634	Lucy Hamilton
604722	408017	Hazel (1958-1959)
604723	257714	Bit Role
604724	182966	Herself
604724	390903	Announcer
604725	380750	
604725	400236	Connie O'Neill Vernon (#2) (1
604726	125584	
604727	160052	Paola
604728	66835	
604728	153849	Une autre jolie fille
604729	83977	
604729	106640	
604729	108588	Azalia Bolton
604729	114840	Mary Carney
604729	115119	Helen Randall
604729	171291	
604729	185140	
604730	61842	Ia Jo
604731	40537	
604732	26086	Additional Voices
604732	45831	Lisa Le Baron
604732	65022	Reporter
604732	87408	Secretary
604732	92736	Zookeeper
604732	96002	Secretary (steamline 1994)
604732	123303	Ruby Roy Bean
604732	213187	Bridgette
604732	222495	Jenny
604732	232463	Hotel Waitress
604732	267568	Usherette
604732	313409	Shoreham
604732	368455	Jenny
604732	374351	
604732	395278	
604733	216770	Helainestranda/Helaine
604734	131301	Tutor
604735	331310	Carolyn
604736	187506	Student
604737	120386	Grandbag
604737	185303	Ellie
604737	194232	Old lady
604737	205283	Molly
604737	243744	Mrs. Finch
604737	332436	Fran
604737	339354	Violet Walker
604738	148535	Matron
604739	229259	Mrs. Byrne
604740	7661	Elizabeth Sharp
604740	42870	
604740	73158	Mme Rodier
604740	78806	Post-Office Woman
604740	160412	Mrs. de la Rey
604740	265901	Mme. Larose
604740	313104	Nurse
604740	325991	
604741	236762	Maria
604742	168697	
604743	20625	Extra
604743	42125	
604743	309858	Nurse in Thanksgiving Show
604744	27319	Mary Stover
604745	236972	Commedia
604746	35776	Customer at Icon Store
604747	113883	Sexy Woman
604748	377414	Herself
604749	257999	
604750	399816	Lady Frances Ashton (1973)
604751	320150	Herself
604752	336478	Cindy
604753	136826	Josephine
604753	256625	Mabel Stanley
604754	45294	Marcy
604754	114648	Queen
604755	80695	Dancer in Nightclub
604756	330600	Mrs. Granger
604757	365380	Dancer
604758	321466	Girl Fan with Dog
604758	388923	Jackie Parker
604759	75612	Christie Burns
604759	80755	Martha
604759	121741	Heather
604759	138724	Bernadette O'Hara
604759	153164	Norma
604759	283510	Andrea Andropolis
604759	310616	Robin
604759	346259	Kim Barrett
604760	387524	Jenny Strang
604761	400256	Herself/Various
604762	236951	Nikki
604762	304794	Melissa
604763	299999	
604764	299999	
604765	5802	Gloria Roberts
604765	26263	Dr. Bryce
604765	109276	
604765	114642	Mrs. Sawyer
604765	151122	Mildred
604765	232861	Betty
604765	258752	Aunt May
604765	314108	Fatima
604765	347069	Abby
604765	365833	Honey
604765	365883	Mrs. McCallister
604765	389858	Dr. Pauline Ravelle (1987)
604765	411802	Lilliebelle Barber (1990-1993
604766	101081	President's Secretary
604766	321808	
604767	212688	Claire's Friend At Wedding
604768	298268	
604769	403805	Sasha Deschanel (1998-2000)
604770	198891	Gentlewoman
604771	27213	Liz
604772	269427	Angelica
604773	150973	Alice Wetherall
604774	18550	Shirley
604774	63066	Impatient Shopper
604774	215393	
604774	258103	Resort Owner
604774	330104	Waitress
604775	365933	Wilson's Mate
604776	186510	
604777	55587	Newscaster
604777	137689	Lunatic
604777	192628	Nurse #1
604777	193280	
604777	259307	Linda
604777	321660	Produce Clerk
604778	136987	Psychiatrist's Receptionist
604779	71805	La cabaretière
604779	111083	
604779	158845	Adèle
604780	10146	Dancers
604780	149901	
604781	88766	Emma, Lou's Daughter
604782	242790	Frank's Girlfriend
604782	314138	Newscaster #2
604783	6859	Young Amparo
604784	176561	
604785	341944	The Governess (singer)
604786	409093	
604787	57851	Marzia
604787	75242	Marta
604787	158759	Françoise
604787	230291	
604787	292271	
604788	38776	
604788	55168	Silvia
604788	64231	
604788	69939	Euterpe
604788	71294	
604788	111419	Yvonne
604788	127899	
604788	183285	Ersilia
604788	215339	Donna Concetta
604788	242300	Mrs. Carrone
604788	249400	
604788	251853	
604788	339090	
604788	354450	La signora Piccirillo
604788	355647	Maria
604789	237414	
604790	301660	Fashback girl
604791	406004	Chiara Vannucci
604792	200972	
604793	234576	Young Female Guest
604794	390497	Herself (2nd Edition)
604795	269174	
604796	399657	
604797	410310	
604798	183164	
604799	54726	Dancers
604799	165498	Dancer
604799	168290	Tina Torre
604799	187072	Wife/Mother
604799	187073	Wife/Mother
604799	200208	Citizen of Pekin/Ensemble
604799	302584	Cheap Chick
604799	335686	Raven
604799	362834	
604799	393228	Society Guest
604800	106223	
604800	384861	Seductive
604801	177530	Lupe
604802	128782	Herself
604803	3554	Miss. Heywood
604803	14757	
604803	25521	
604803	30520	
604803	34554	
604803	48776	
604803	52047	
604803	54233	
604803	55089	
604803	57865	
604803	63320	
604803	75622	
604803	91323	
604803	101627	Edna
604803	106241	
604803	108058	
604803	124655	
604803	132674	
604803	148098	Tia Estela
604803	190408	
604803	193328	
604803	212461	
604803	221975	
604803	227560	
604803	235262	
604803	255500	
604803	274656	
604803	286420	
604803	291608	
604803	309081	
604803	317696	
604803	319559	
604803	332970	
604803	339105	
604803	371776	
604803	386786	
604803	403785	
604803	409011	
604803	410315	
604804	317194	Mama
604805	17483	Dancer
604805	265189	
604806	410310	
604807	18979	Reporter
604807	97644	Reporter
604807	108919	Social Club Woman #1
604807	109662	Reporter
604807	169676	Lisa
604807	248132	Kathy
604808	343160	Chorus Girl
604809	199739	Maria Baravelli
604809	218811	Ticket seller
604809	335614	Young lover in boat
604810	104154	
604811	104154	
604812	148260	Nurse #1
604814	18	
604815	267155	
604816	1703	Herself
604816	239786	Jeanie
604817	130251	Sister
604817	243496	
604818	16006	Hot Blonde
604818	344197	Sexy House Wife
604819	325290	
604821	5443	
604821	14669	Juanita
604821	75484	
604821	91391	
604821	104008	
604821	143748	
604821	148102	
604821	204644	
604821	274481	
604821	320217	
604821	320327	
604822	122346	Ani
604823	128322	Butch
604824	322233	
604824	334673	
604825	27469	
604825	212296	Mimi
604826	6437	Upravitel
604826	30636	
604826	164037	
604826	208779	
604826	229748	Maykata
604826	273094	Ednata mayka (Segment 5 A seg
604826	284459	
604826	284473	
604826	293896	Bulguritza
604826	324875	Maykata na Kancho
604826	352888	
604826	354321	Babata
604826	386065	Gospozha Schmithagen
604827	11821	Moeder Monne
604828	254305	Cochonnette
604828	332847	Petit Gourou (french version)
604829	194071	Rachel
604830	131170	Catherine Gomez
604831	270133	La mère
604832	344047	Lidia
604833	13067	Antonia Mori
604833	14569	Carlotta
604833	51360	
604833	51832	Zia Adelina
604833	56922	La fioraia
604833	61038	La zia di Luisella
604833	64433	(segment "Galop finale al cir
604833	86334	(segment "Onora il padre e la
604833	90746	Mother Superior
604833	94689	Mama Pia
604833	94702	La direttrice dell'orfanatrof
604833	102634	La zia/Ant
604833	112175	Mrs. Adele
604833	127389	Signora Geltrude, la direttri
604833	127983	Madre Superiora
604833	157558	La cliente dell'albergo 'Mart
604833	158701	
604833	160052	Zia Tecla
604833	168250	Sofia Sandelle-Lafitte
604833	197204	
604833	202499	Fosca Salvador
604833	212979	
604833	229736	La nonna
604833	230080	Signorina Lorenza
604833	236187	
604833	243303	La signorina Mattei
604833	255127	La marchesa Orsola Maironi
604833	269635	Gina
604833	282837	Madre Di Giovanni
604833	291622	Zia Elettra
604833	291659	La domestica di Tamberlan
604833	301369	Aunt Clarice
604833	301383	La governante
604833	336612	La marchesa
604833	336615	La signora Dupont
604833	339066	La madre di Alberto
604833	342103	
604833	349959	
604833	353079	
604833	353857	
604833	354910	Amalia, l'attrice della filod
604833	374211	Anaide, madre di Zazà
604834	20388	
604835	131944	
604836	391930	La passante
604837	49481	
604837	53158	
604837	91546	
604837	99276	
604838	66220	Christine
604839	119581	Amy
604840	73683	Nurse
604841	294212	Herself
604841	329131	Herself
604842	52570	DOJ Recording
604842	114408	Woman in Photo
604842	302414	Tina Vansant
604843	106765	Herself
604844	149261	Bridesmaid
604844	375044	Showgirl
604845	405848	Jessica Lindqvist
604846	73471	
604846	267509	
604847	193295	Bridesmaid
604847	234471	Woman
604847	367582	Girl at Party
604848	147885	Dr. Francine Rawling
604848	333902	Jane Williams
604849	333902	Sherry Williams
604850	78855	Woman
604851	288682	Herself
604852	219555	Receptionist
604853	41697	Night
604853	100185	The Woman in the Dark
604853	159884	Adelaide Druce
604853	238069	Ruth Hart
604853	367409	
604854	38860	
604854	108440	
604855	131522	
604855	327671	Yvonne
604856	258392	Frau Geiz
604857	313414	Ensign Desma Yarrow
604858	295819	
604860	18833	
604860	58758	
604860	234269	
604861	226191	Elisaveta
604862	375399	Vanya
604863	17407	Lena
604863	90954	Lyuba
604863	94506	Irina
604863	95625	Tania
604863	213513	Maykata na Aneta
604863	237763	Maria
604863	264976	Tzetza
604863	283750	
604863	289340	Uchitelkata po matematika
604863	315937	
604863	357426	Dashteryata na Stanoycheva
604863	411930	
604864	144459	
604864	201473	
604864	201474	
604864	210509	
604864	215129	
604864	357316	
604865	244215	Trali-Vali
604866	208777	Iglika
604866	235291	Momicheto
604867	127481	Usherette
604868	1759	Wang Jie Wen
604868	82146	Dong
604868	369841	Wu Ying
604869	369841	Stepmother
604925	313916	Mrs. Morse
604871	403805	Bunny Cristoferson (2002-)
604872	109452	Cashier
604872	285287	Wrenwood patient
604873	85503	Xiao Nan
604873	111213	Xiao Ling
604874	188697	
604874	191555	Elise
604875	5758	
604875	56504	
604875	95008	
604875	108579	
604875	148134	
604875	155666	
604875	281210	
604875	340361	
604875	397580	Leonor
604875	403650	Anaclara Riglos Arana
604875	409014	Irene
604876	180400	Elly
604876	365575	Verpleegster
604876	390242	
604877	268774	Deng Hong
604877	296568	Nan Tianyan
604877	373021	Jiyong Meihuizi
604878	79464	Shanti Chaudhry
604878	170523	
604878	344917	Chairwoman of Ashram's Commit
604879	79049	Kelly
604880	44759	Alice Oakville
604880	138822	Suzanne Knowlton
604880	223087	Polly
604880	380391	Ilsa Fredericks (1981-1982)
604880	388031	Astrid Rutledge (1976-1977)
604880	404613	Dr. Lee Sanderson (1972)/Dori
604881	86114	
604882	226836	
604883	206819	Bea (Marvin's Grandmother)
604884	345370	La femme de Jean-Louis
604885	301199	
604886	269763	Maria
604887	304863	Diana Palmer
604888	93020	Strolling Neighbor
604889	269723	Her
604890	280530	Une enfant
604891	176713	A Customer
604891	283035	
604892	346807	
604893	36902	
604893	41594	
604893	42439	
604893	128554	The Director
604893	184059	La colonel
604893	224358	Nurse in a clip from Enema Nu
604893	248882	
604893	260726	Herself
604893	306911	
604893	312709	
604893	333988	
604894	82333	Samantha
604895	238454	
604896	373433	Daughter
604897	131027	Ani
604897	238812	Yana
604898	283439	
604898	290082	Sally
604899	230340	Reporter
604899	230857	Dr. Foreman
604899	253820	Nicky's Mother
604900	3128	Ruth Preston
604900	6859	Mrs. Erickson
604900	40853	Fifi, (as Yolanda Molette)
604900	42800	Mikki Brent
604900	73789	Jennie (Diane's maid)
604900	78967	Maggie Malone, aka Margo Moli
604900	84842	Maxine 'Frenchy' (maid)
604900	106176	Dixie Collins
604900	167559	Jean Sherman
604900	184899	
604900	190062	Drugstore Waitress
604900	215632	Laramie Pilgrim
604900	215998	Penny Drake
604900	252284	Lindy Smith
604900	295355	American Wife
604900	325114	Gamage Dean
604900	330145	Jill Wilson
604900	338565	Lil Fowler
604900	341969	Marie
604900	345958	Lily Fletcher
604900	346908	Manicurist
604901	348008	Herself
604902	1792	Miss March 1993
604902	257651	Miss December
604902	257834	Miss March 1993
604903	114283	Rand's Class
604904	61183	
604905	211398	Melinda
604906	157252	Joan
604906	331871	One-armed Man's Wife
604907	139711	Sekretärin 2
604908	363960	Supervisor
604908	364434	
604909	278244	Lucy
604910	153164	CITY TV Interviewer
604910	399260	
604911	92007	Schoolgirl
604911	96889	Chorus Singer
604911	115535	Jean Blake
604911	194053	Troy Avalon
604911	292946	Peggy Weeks
604912	238342	Margaret
604913	90117	Mariachi Band #2
604914	195789	Mary
604915	203097	Midinette
604916	71378	
604916	71379	
604916	158285	
604916	191919	Herself (specialty act perfor
604916	302164	Donna
604916	312699	
604916	319149	Student
604916	333275	Weena
604917	388364	Herself
604918	128849	
604919	6906	Anna
604919	23705	Karen
604919	69421	Lil Lamour
604919	368416	Girl in Hotel
604921	182767	
604921	347697	
604922	344749	
604923	133110	
604923	294526	
604924	260527	
604925	13428	Anna Narden
604925	19171	Miss Connors
604925	20115	The Nurse
604925	81658	Waitress
604925	168271	Mrs. Oberlander
604925	215019	Jane
604925	235515	Jane
604925	354824	Miss Taffel, Borden's secreta
604926	80695	Dancer in Nightclub
604927	113225	Alicia
604927	244604	Mamacita Americana
604928	251546	
604930	291922	
604931	366027	Partygoer
604932	16642	Teacher
604933	13392	Aunt May Parker
604933	32362	Patty Ware
604933	37401	Sally
604933	41800	Sally Ellis
604933	43882	Winnie Slade
604933	47161	Mrs. Jarkey
604933	55521	Charlotte Barton
604933	68119	Nurse
604933	69569	Rose
604933	72239	Susan Nelson
604933	77792	Julie Connors
604933	84111	Ruth Buckley
604933	92006	Molly Callahan
604933	96614	Pamela 'Pepper' Parker
604933	96940	Penny McCarr
604933	114280	Donna Gilbert
604933	115496	Lt. Ann Phillips
604933	117488	Louise Reese
604933	121585	Jane Bixby
604933	127486	Dorothy Lawrence
604933	127487	Mrs. Lawrence
604933	127534	Mrs. Cummings
604933	136020	Mary Wheller
604933	147243	Vera Wright
604933	157456	Sylvia Nicolai
604933	162366	Miriam Fisher
604933	163546	Georgia Johnson
604933	195622	Mary Blunden
604933	200489	Julie
604933	208938	Juror
604933	220900	Miss Miller
604933	221170	USO Hostess
604933	222607	Mrs. Mathews
604933	224137	Molly
604933	224304	Helen Loomis
604933	231891	Martha Cochrane
604933	232260	Anna Carstairs
604933	232822	'Butch' Hendricks
604933	241134	Girl from Brooklyn
604933	245304	Vinnie White
604933	245589	Jan Lupton
604933	254566	Anne Parks Duncan
604933	261484	April Shaughnessy
604933	262072	Frances 'Frankie' Lane
604933	274548	Julie Westcott
604933	275682	Mrs. Williams
604933	282402	Elaine Wyatt
604933	291390	Herself
604933	291404	Herself
604933	298069	
604933	302725	Cindy
604933	304096	CPO Giff
604933	306490	Henrietta Van Dyke
604933	308639	Penny
604933	312835	Jessie Arnold
604933	313074	Ruth
604933	313803	Mary Brooks
604933	321310	Sally
604933	325052	Penny McDougal
604933	329520	Jean Warren
604933	330030	Jean Burton
604933	330310	Sheherazade
604933	331180	Harem girl
604933	331393	Alice Raymend
604933	331421	Hazel Whittaker
604933	331933	Judy Lane
604933	336000	Cornelia
604933	347365	Nina Arnold
604933	358589	Gwen
604933	362489	Billie
604933	389858	Stella Fields (1980)
604933	389913	Alice (1954-1958)
604933	397124	Ethel (1975-76)
604934	90755	Detainee
604935	267031	Jean Harlow
604936	243251	Tiffany Youngblood
604937	38340	Woman in Crowd
604937	74012	Professor Eldridge
604937	195335	Phoenix Diner Waitress
604937	223979	Acting Troupe
604937	244358	Lisa
604937	397125	Secretary (1982)
604937	411802	Diane Jenkins (#1) (1982-1986
604938	330881	Lisa
604939	138669	Cinderella
604940	84019	
604941	23593	Geraldine Carey
604941	42766	Nurse Cadden
604941	69636	Sedrid
604941	73337	Margaret
604941	108709	Fionnuala Sullivan
604941	109247	Nuala
604941	138005	Jeanette
604941	190749	Nurse
604941	214998	Miss Langan
604941	246719	Maura
604941	261095	Barmaid
604941	282293	Sederide's Mother
604941	283607	Air Traffic Controller's Wife
604941	360485	Mary Magdalene
604941	381187	Siobhan Mehigan
604941	388209	District Justice (1994)
604941	393001	Miss Kathy Frazer
604941	395174	Jo
604941	403415	Kathy Peters (1975)
604942	199400	Jacqueline Floriot
604942	291863	Nahnya Crossfox
604942	330317	Marie Landau
604943	11194	Angela Gillard
604943	91637	Maid
604943	207464	Christine
604943	304846	Esme
604943	318726	Helen Gibbs
604943	365476	Ticket Clerk
604943	381795	Joyce Naylor
604943	383582	Helena
604943	387247	W.P.C. Alison Howard (1985)
604943	393314	Diana Rivers
604943	396114	June Dent
604943	399531	Ivy Collins
604944	29672	Ciega
604945	56181	Majella McGinty
604947	53323	Teacher
604947	93150	Sally
604947	133401	Jan
604947	304535	Aquarium Information Woman
604947	352961	Herself/Jan
604947	381571	Herself/Jan
604948	118623	Police Officer #5
604949	49493	Carol
604949	65446	
604949	93064	Juicy Fruit girl
604949	274850	Lizzie
604949	323029	Maureen Wishart
604949	337830	Woman
604949	398944	Various roles (1989)
604950	330117	Leigh
604951	196872	Irish Step Dancer #2 (crowd)
604952	222492	Baab the Sheep
604953	382397	Herself
604955	256206	Onlooker
604956	404718	
604957	142759	Vanessa
604958	18635	Choir Member
604959	13769	Danielle
604959	253458	Tory Skinner
604959	257782	Herself (Actress/Olympic Athl
604960	47464	
604961	265617	Girl
604962	270	
604962	7483	Josephine
604962	10642	Bess
604962	13378	Effie
604962	17619	Josephine 'Jo'
604962	20508	Leila Kenner
604962	24705	Liz
604962	33704	Sister Michael
604962	40540	Miss 'Stevey' Stevens
604962	49746	Gwendolyn 'Pete' Harris
604962	50124	Herself
604962	52043	Aunt Mimi
604962	64090	Cora Elliot
604962	70212	Mrs. Ellerbe
604962	73766	Eve Harper
604962	100156	Miss Hall
604962	105070	Lizzie, the Housekeeper
604962	107020	Utopia Mills
604962	108328	Mrs. Pierce
604962	109673	Melba York
604962	110937	Miss Frothingham
604962	112464	Kate Mulvey
604962	116894	Harriet Bowers Gould
604962	124775	Kate Dixon
604962	127114	Aunt Susan Beecher
604962	131714	Richview Hotel Maid
604962	138230	Laura
604962	138686	Anna
604962	139191	Lil Waters
604962	140321	Mrs. Emily Jones
604962	141555	Mrs. 'Tinkle' Ashton-Ashley
604962	151211	Dora Wilson
604962	154840	Glory White
604962	157494	
604962	157887	Zebby Booker
604962	167275	Berta, Teri's Maid
604962	168680	Biggy Bigsworth
604962	183435	Prison Matron Noonan
604962	183777	
604962	186415	Molly Higgins
604962	190866	Edna Yokum
604962	192033	Aunt Minerva Van Dorn
604962	201421	The Countess
604962	203544	
604962	203931	Mrs. Peters
604962	208636	Florrie Sands
604962	209645	Daisy Watson
604962	209651	
604962	211610	Lois Fraser
604962	212102	Marina
604962	214069	Helen Reilly
604962	216822	Mrs. Milo Everett
604962	219166	Helen Davis
604962	220892	Mabel Dawson
604962	221130	Emma Hopper
604962	224100	Aunt Lou
604962	253472	Lizzie
604962	253476	Grumpy
604962	254270	Lil Higgins
604962	255881	Mrs. Grace Wingate
604962	260951	Jane Wilkins
604962	264645	Amy Moran
604962	271251	Abigail
604962	274299	Mrs. Rooney
604962	278779	Mame Bacon
604962	279569	Aunt Mary
604962	280896	Miss Sparks
604962	282460	Polly
604962	282848	Fanny Pratt
604962	285690	Aunt Navy
604962	289040	
604962	289682	Miss Stevens
604962	292508	Mary
604962	302649	Margaret Flannigan
604962	304233	
604962	304865	Sarah Rogers
604962	304954	Nora Marco
604962	305934	Ruth
604962	308540	Patsy O'Madigan
604962	311031	Mrs. Wimbledon
604962	311566	Duchess
604962	328071	
604962	329329	Nurse Hamilton
604962	330598	Vi Johnson
604962	330797	Mrs. O'Brien
604962	338040	Burbank
604962	338557	Millicent Twitchell
604962	360257	Mrs. Williams
604962	363110	
604962	363440	Martha, Owner of Martha's Caf
604962	364707	Fanny
604962	365199	Maj. Ida Winton
604962	367962	Mrs. Emma Simpson
604962	372081	Emma
604962	392641	Regular (1954-55)
604963	252873	
604964	41962	
604964	130327	Martine
604964	143188	Dr. Jane Wilson
604964	241099	Rudolfa Klaus
604964	241857	Judge Wintercorn
604964	245263	Store employee
604964	289053	Susan Keller
604964	293011	Judge Randis Schmidt
604964	342468	Rudolfa Claus
604965	359367	
604965	359368	
604966	159200	Mary Ann Jackson
604967	5160	Verkäuferin
604968	312692	Bardame
604969	291886	Amanda
604970	375937	Marie-Louise
604971	174779	
604972	9113	Female Rocker
604972	257078	Elaine
604972	362813	Nancy
604973	368534	Herself - Commentator
604974	95960	Ela
604974	231362	Malgosia
604976	258392	Frau Geiz
604977	302121	Commune member
604977	335799	Receptionist
604978	269109	la moglie nel ricordo
604979	71449	Mrs. Verusio
604980	240428	
604981	240428	
604983	98959	Muriel
604983	107532	The blonde
604983	275619	La discrète
604983	353912	La femme au poème
604983	353945	Laure
604984	115597	Carole
604984	366988	1st Nurse
604984	383953	Maid
604985	401778	Joanna Matlock
604986	56895	Girl in restaurant
604987	81522	
604988	196063	Spa Receptionist
604989	400516	Frances
604990	105962	Maxine Crawley
604991	296746	Mrs. Markov
604992	105962	Daisy Van Meegren/Rickie Sand
604992	147610	Jeannie
604993	103393	
604994	367833	
604995	147548	Doreen
604996	124017	Girl Student
604997	169678	Dolores Flynn
604998	31168	Nun #2
604999	7394	Druscilla Janus
604999	23922	Herself
604999	27567	Herself
604999	30962	Mrs. Walker/The Queen
604999	46909	Siobhan
604999	56455	Lucy Irvine
604999	64517	Gloria
604999	81891	Lara
604999	85850	Ginny
604999	117556	Susan Partridge
604999	129582	The Widow
604999	154969	Mona Deware
604999	163610	Katherine Whitloff
604999	178902	Queen Guinevere
604999	184046	Lady Sylvia Marsh
604999	186061	Jane Clemant
604999	189233	Miranda
604999	196920	Nora Barkin
604999	199707	Lady Pembroke
604999	228312	Herself
604999	241605	Margaux
604999	243147	Herself
604999	248116	Christine Taylor
604999	254766	Persha Lovich
604999	271263	Winifred Inger
604999	273316	Laura Kershaw
604999	280092	Lauren Marcus
604999	297228	Diana Cadell
604999	297232	Diana Cadell
604999	313361	Understudy
604999	313568	Christine Wasacz
604999	317892	Gayle Richards/Laura Ellingto
604999	324552	Helen Searle
604999	331042	Meggie Cleary O'Neill
604999	365138	Ruth McKee
604999	367695	Jo Saxon
604999	389711	Gloria Kent
604999	392705	Zuleika
604999	395023	Cara Jean 'C.J.' Lamb (1990-1
604999	398554	DI Susan Alembic
604999	405750	Self
605000	380073	Young Mona
605001	348615	Nikki
605002	208957	Chloe
605002	220409	Anna
605002	257168	Dr. Celia Graham, Bill's Asso
605002	274086	
605002	278130	Mrs. Schultz
605002	335065	Helene, guest
605003	248132	Crying Child
605004	359290	Carolyn at 3
605005	12332	Reporter
605005	78991	Executive #2
605005	223636	Reporter #1
605006	188453	'Dislike' Girl
605007	77198	Conference secretary
605007	191636	Social Worker
605007	299193	Surgery Receptionist
605008	100148	Special-T
605009	139704	Liz
605009	234236	Marci Adler
605009	286948	Joan Edwards
605009	366390	Janine
605010	187697	Young Eloise
605011	278288	Waitress
605012	359290	Carolyn at 3
605013	381091	Herself (eliminated round 1)
605014	113881	Ann Tracey
605014	386603	Nurse Nancy Bennett (1968-196
605015	34646	Herself
605016	248132	Grumpy Child
605017	169512	Dana
605017	365746	Kimberly
605018	272231	Miss Davis
605019	411699	Claudine
605020	26120	
605021	8467	
605022	17124	
605022	222044	Eugenia
605023	389876	Nannerl aged 13
605024	186690	
605025	75030	
605025	75031	
605025	306917	
605026	412218	Herself - Clairvoyant (2002)
605027	365866	Girl #2
605028	164400	Carlene
605029	380911	Herself - Finalist (2004)
605030	83329	Young Annie
605030	279176	Tania
605030	302009	
605030	382516	Tracey
605030	385028	Slugs Daughter
605030	387004	A.J
605030	391532	Gerrie Bull
605030	405372	Leanella
605031	109251	Herself
605032	16846	Polly
605032	214184	Dorothy
605032	249457	
605032	258930	Cornelia Robson
605032	292208	Kristina Kane/Amy O'Brien
605032	310992	Reporter
605032	314779	Female Reporter
605032	346873	Alexandra/Marina
605032	378711	Herself
605032	385583	Herself
605032	386610	Herself (host)
605032	398683	Brigitte (Series 1) (2000)
605033	16830	
605033	215623	
605033	259398	Susan
605034	245123	Wandra
605035	244410	
605036	846	Herself
605036	1144	E.D
605036	29150	Herself
605036	34611	Lori Seefer
605036	66194	Amber Princess Mariens
605036	66196	Herself
605036	100713	Ivana
605036	171355	Cheryl
605036	189247	Mae
605036	196549	Salli
605036	231798	Cambi
605036	260281	Nora
605036	280277	Herself
605036	367405	Annabella Morris
605036	382277	Tanya (1994-1995)
605036	384531	Amber Princess Mariens
605036	404083	Morgan Cavanaugh (2000-2003)
605037	47418	Mrs. McClure
605038	117806	Reporter #1
605038	148572	Sheila
605038	199079	Lucy Brown
605038	271205	Janey Gumm
605038	321295	Young Girl
605038	352702	Chambers
605038	389146	Phil
605038	401224	Bee Lederer
605038	407831	Helen
605039	388653	Brittany Nichols (Season 4)
605040	75533	Little Girl
605040	155017	Porky at 5
605040	193295	Karen
605040	315483	Barbara Billingsley (photo)
605040	372931	Nancy Taylor
605041	32352	Actress
605041	32906	Madge Bennett
605041	85822	Footlight Club patron
605041	196404	Show Girl
605041	234141	Bit Part
605041	316918	Mrs. Smith
605042	29523	Barfly
605043	205417	Sarah
605043	230841	Mrs. Roach
605043	308041	Ivan's daughter
605044	201311	Melissa Carey
605045	338563	Angela Devine
605046	154796	Alio's Party Flirt
605047	158825	Pregnant nurse
605047	331512	Anne of Austria
605048	75550	Letty Crews
605049	208390	Twin
605050	388177	Singer
605051	302112	Herself
605052	384023	Nia Lloyd
605052	387526	Nia Lloyd
605053	367623	Stage Box Committee
605054	101080	The Child
605055	4619	Manicurist
605055	23210	Bathing Beauty
605055	354824	Young Woman Witnessing Cab Wr
605056	366183	
605057	241339	Bonnie Dixon
605058	44855	Kimby
605058	185297	Janine
605059	381876	Mrs. McLean
605060	338563	Traveller's wife
605061	386657	Fanny Dombey
605062	6732	
605062	7733	
605062	34735	
605062	34753	
605062	34778	
605062	34836	
605062	45048	
605062	46582	
605062	52009	Stacey
605062	52314	
605062	57112	
605062	59173	
605062	64076	
605062	65874	
605062	75192	
605062	85762	
605062	85769	
605062	86706	Segment 6 Girl
605062	98841	Sex-Ed student
605062	98842	Truck stop baby
605062	98843	Police officer
605062	98847	Salon customer
605062	98866	Lingerie Store Customer
605062	98870	Auto mechanic
605062	102816	Herself
605062	113579	
605062	114944	
605062	119800	
605062	127827	
605062	128752	
605062	128791	
605062	128846	Herself
605062	132296	
605062	132303	
605062	150282	
605062	153256	
605062	154145	Herself
605062	154305	
605062	162457	
605062	170165	
605062	186511	
605062	187409	
605062	187412	Herself
605062	187414	Herself
605062	188068	
605062	193823	
605062	194845	
605062	197752	Receptionist
605062	197848	
605062	228665	
605062	233638	
605062	240196	
605062	242066	
605062	243102	
605062	247195	
605062	257523	
605062	258058	
605062	258059	
605062	258063	
605062	258064	
605062	293031	
605062	295812	
605062	313259	Herself
605062	319705	Herself
605062	321636	
605062	330885	
605062	335590	
605062	337350	
605062	339880	
605062	340397	Herself
605062	344522	
605062	348239	
605062	358074	Herself
605062	363404	
605062	367917	
605062	372664	
605062	372665	
605063	363395	Celia
605063	379266	Host (1969-1973)
605064	334171	Helen Shannon
605064	348835	Charlie's Wife
605065	212118	
605067	177422	Brenda
605069	44564	Eggletina
605069	276745	Eggletina
605070	208390	Twin
605071	385755	Herself - Host
605072	17575	
605072	91213	
605073	352659	Sylvia Leschek
605074	122382	
605075	6437	Dashteryata Vera
605075	24315	Blanchette
605075	66745	Pregnant woman
605075	101144	Claudette
605075	117059	La Mère
605075	160675	Elisabeth
605075	166670	Suzanne
605075	168958	Irina
605075	208209	Jeanne
605075	208216	La nounou
605075	235264	Christine
605075	249357	
605075	287319	Julie
605075	294256	Greta
605075	346480	Natacha
605075	357093	Natalia
605075	357849	Mina
605075	397097	
605075	410432	Antoniya
605076	10857	Mae Hawkins
605077	183234	Ragazza in Mercedes
605078	61716	Herself/Chabannes Resident
605078	228264	Herself
605079	220608	Moglie uomo supermercato
605080	58305	Claire Atken
605080	61412	La candidate peintre
605080	69380	Sophie
605080	120988	Frédérique
605080	143489	
605080	191265	
605080	206598	Martha
605080	220231	Stagiaire Antoine
605080	224854	Émilie
605080	231306	Alice
605080	269726	Nathalie
605080	309769	Alison
605080	328432	Isabelle
605080	377272	Emilie
605081	264525	Rose
605082	3563	
605082	7542	Rosaria, moglie di Damiani
605082	51370	
605082	56034	Lucia
605082	85463	
605082	92072	(segment "Sarò tutta per te")
605082	110389	
605082	157207	Tatiana
605082	183915	
605082	238011	
605082	244711	
605082	278950	
605083	182726	
605084	2379	Örzse
605084	120950	
605084	150590	Varrónõ
605084	153690	
605084	200823	Mária
605084	333801	Vera iskolatársa
605084	334845	
605084	377815	Sári
605085	122448	Sagal, Ingrid's daughter
605086	29320	Librarian
605086	137562	Nurse Robyn
605086	189981	Officer Amy
605086	340812	Bartender
605086	385613	Priscilla
605087	290627	Jeanette
605088	364945	
605089	6005	Herself
605089	81588	
605089	94767	Lady Caroline Faye
605089	97212	Caroline Nolan
605089	139679	Debbie
605089	159172	Dr. Elsa Schneider
605089	159174	Elsa
605089	159177	Herself
605089	162268	Herself - Presenter
605089	177545	Elizabeth Matiland
605089	201326	Rebecca Flannery
605089	262528	Siobhan Donovan
605089	278484	Ann Marie Athos
605089	292417	Lilias
605089	322921	Charlotte
605089	327588	Lee Reddick
605089	354178	Jenny Flex
605089	367828	
605089	383285	Receptionist
605089	404795	Gina Heidemann
605090	408893	Additional Voices
605091	342675	Bartender (segment Nothing Bu
605092	82474	Christel van de Meer
605093	80498	Girl Counting
605094	226295	Joanna's secretaresse
605094	378638	Barvrouw Connie (1993-2002)
605095	81131	
605095	323983	
605096	100116	
605097	19303	Alex
605097	48946	Trish
605097	220039	A.O.
605097	229865	Donna
605097	325983	Cheryl
605098	237138	
605099	232282	Airport Personnel
605100	140938	Detective Karen Verity
605101	144465	Caroler
605103	75587	
605103	87202	Nanny
605104	134018	Sarah
605105	148955	Gerty Murphy
605106	81176	Chrissy
605107	340515	Young Dinah
605108	1390	Lucinda
605108	10150	Lenora Sinclair
605108	91875	Custumer
605108	196376	Mary Ann 'Lovely' Lovett
605108	211615	Robin
605108	214975	Donna
605108	319899	Lindy Sue
605108	408096	Martha
605109	355528	
605111	44323	Astrid
605112	45515	Mrs. Polanski
605112	81038	Grandma Gossage
605112	297382	Carson City Townfolk
605112	355528	
605113	73411	Interviewee #4
605113	149458	Maternity Nurse
605113	171698	Malia
605113	388188	Renee Zellweger (2003)
605114	247977	
605115	81642	Bassist, The Germs
605116	39714	Leath
605116	361897	Herself
605117	77215	Mrs. Fairclough
605117	104045	Margaret 'Berta', Hedda Gable
605117	157603	Mrs. Justice Hallett
605117	359553	Mrs. Sachanik
605118	190389	Jane Maxwell
605118	385299	Trisha Coburn
605118	400844	Mavis Foster
605120	7956	
605121	222599	Maria MacArthur
605122	385895	Buffalo Hump's grandmother
605124	242900	Irene
605125	359965	Sheila
605125	388209	Sarah O'Leary (2001-)
605126	12468	Fee met duif
605126	226295	Vrouwlijke klant
605126	238480	Moeder Thera
605126	243242	Moeder Lisa
605126	281148	Kennis Matthijs
605126	373535	Cecil Swart/Daniëlle
605127	268417	Ingrid
605128	6071	Petra Derks
605128	45586	Girl in Dancing
605128	289831	meisje met fiets
605128	314886	Annette
605128	325280	Joyce
605128	400217	Merel Couwenberg-Mascini (199
605129	669	
605129	171797	Madame Peeters
605130	261236	2nd Victim
605131	48948	Alien Council/Hand Double
605133	5789	Lucía
605133	5976	Tina
605133	51567	Ana
605133	70313	Tina
605133	122973	Herself
605133	232064	
605133	233978	Julia
605133	324470	Marianna
605133	328505	Laura Riera
605133	376788	
605133	380100	Delfina
605133	380604	
605133	380840	
605133	384427	Julieta
605133	395860	Bárbara
605133	396646	Betina
605133	397571	Lilí Cantalapiedra
605133	398816	Olivia Minerva López Paz
605133	401152	Vera Duarte
605133	403107	Claudia
605135	153708	Teacher
605135	341810	Magda Fors
605136	410813	
605137	22111	
605137	58311	
605137	59212	
605137	59231	
605137	113137	
605137	123057	
605137	124231	Victoire
605137	148681	Berthe
605137	199301	Madame La François
605137	199606	Suzy
605137	258851	Annette
605137	259913	
605137	292343	
605137	308294	
605137	345120	
605137	345263	
605138	36657	
605138	51948	Suzanne
605138	65729	Rose Bivaque
605138	118586	
605138	218269	Annette de Royval
605138	281135	
605138	340159	
605138	345518	
605138	377810	Martine
605139	12150	Maresi
605139	18438	Nicole Monnier
605139	28993	Nora Sanders
605139	40388	Helga Heidebrink
605139	55332	Denise
605139	55533	Isabelle de Loigny
605139	78818	
605139	93500	Monika
605139	107109	Maria Muller Janssen
605139	122317	Jane Leith-Clifton, geb. Leit
605139	125076	Sandra Perkins
605139	134982	Valerie Howett
605139	137187	Andrea
605139	150563	Gilly Powell
605139	156067	Elena Clausen
605139	156726	Eva Lantz
605139	156750	Brigitte Giesecke
605139	159607	Elinor Frödin
605139	160293	Herself
605139	160319	Herself
605139	162047	Una amica di Adriana
605139	168403	Jetty
605139	178656	Meike Brauns
605139	188753	Cora Munroe
605139	204457	Helen, FBI-Agentin
605139	209972	Louise
605139	216267	Dinah
605139	218440	Maleva Kerstein
605139	231353	Brunhild
605139	231354	Brunhilde
605139	239112	Barbara Holstein
605139	257724	
605139	281716	Daisy
605139	281739	Emily Stockton
605139	281944	
605139	281959	(as Rose Dor)
605139	287756	Manina
605139	289908	Ellen Patterson
605139	290135	Baroness Lilian von Brabant
605139	290690	
605139	303720	Helga
605139	306388	Tessy
605139	307252	Pepita
605139	308216	Christine von Auffenberg
605139	328120	Ann Learner
605139	335031	
605139	335896	Juanita de Cordoba
605139	347048	Gwendolin
605139	347677	Liane Martin
605139	359406	Ilora
605139	361079	Muriel Irvine
605139	366264	Ribanna
605139	366265	
605139	366268	Mabel Kingsley
605139	368692	Christa Riek
605139	369401	Claridge Dorsett
605139	372233	Helga Brandt
605139	375157	Denise
605139	376447	Daniela Kleemann
605139	390704	
605140	54726	Donut Counter Waitress
605140	275871	Doris Horner/Wannabee Cheerle
605140	380391	Misty Marlowe (1995)
605141	14470	
605141	68379	Babou
605141	101582	
605141	254048	Fleur de Miel
605141	385216	Fred (2003)
605141	399813	Panelist (199?)
605141	400149	Herself (2000-)
605141	404198	Host
605142	1250	
605142	1266	
605142	20698	
605142	24704	
605142	303344	
605142	338992	Theano
605142	343431	
605143	25596	
605143	25616	
605143	33909	
605143	38489	
605143	103625	
605143	135745	
605143	138104	
605143	164136	
605143	171979	
605143	173787	
605143	173794	
605143	182914	
605143	232742	Nilüfer
605143	294125	Suzan
605143	308952	
605143	310064	
605143	336206	
605143	343768	Zelis
605143	349710	
605143	370525	Kezban
605143	370528	
605144	9920	
605144	17722	
605144	24056	Frau Schoepf
605144	46162	Ludmilla Pichler
605144	48399	
605144	49823	Mrs. Schindler
605144	51285	
605144	56478	
605144	65199	
605144	75763	Frau Klee
605144	93441	
605144	93482	
605144	98066	
605144	98573	Karoline Sträubler
605144	100983	
605144	109321	
605144	120668	Theres
605144	124613	
605144	124994	Wirtin
605144	134831	Eine Gemüseverkäuferin
605144	144153	Mutter Teetje
605144	145328	
605144	162476	
605144	170127	
605144	178472	
605144	179297	Schwiegermutter des Friseurs
605144	181167	Souffleuse
605144	185986	Kathl Simmerauer
605144	186185	
605144	189567	
605144	189617	Tante Betty
605144	189744	
605144	207167	Hermine
605144	210074	
605144	223191	
605144	225164	Frau Stohp
605144	227494	Wirtschafterin Antje
605144	267326	Lancelot's housekeeper
605144	268535	
605144	273751	
605144	280799	
605144	281207	
605144	290662	Frau Brenneke
605144	301012	
605144	352526	
605144	360927	Frau Lüchzagel
605144	361407	Olga
605144	373963	Mrs. Kemp
605145	215855	
605146	233447	
605147	99792	
605148	281617	
605149	336683	Lia
605150	79050	Old Woman 2
605151	98879	1st girl wearing jewels
605151	98881	Swimwear model
605151	332006	Quisha/Sex Toy
605151	365181	Herself
605153	6632	Ninette
605153	62923	Madame Bosman
605153	67054	Hysterical Woman
605153	77382	
605153	113426	
605153	119128	
605153	132256	
605153	144192	
605153	171632	The woman
605153	183216	Maud Hartley
605153	204480	
605153	215675	
605153	219017	
605153	227608	
605153	228702	Sitahbai
605153	264336	
605153	290012	
605153	306877	Mary Conway/Lot's Wife/Queen 
605153	314547	
605153	367635	Nasoni
605154	5525	Miss Rice, Nurse
605154	7199	Ada Wells
605154	9022	Mrs. Mary Quincannon
605154	9035	Virginia Barton
605154	11362	Grandmother Gibbons
605154	11554	Great-Aunt Sadie
605154	17416	
605154	20687	Nurse Costello
605154	26070	Reporter
605154	27149	Telegraph operator
605154	27485	Stagecoach passenger--the mot
605154	28927	Mrs. Morton
605154	35725	Margaret Chase
605154	35745	Edith Williams
605154	37148	Sarah
605154	40608	Agnes
605154	41058	Lillie Catlett
605154	41080	Elsie Hazlip
605154	42013	Miss Hoffman
605154	42380	Mrs. Lillian Mathias
605154	43353	Sylvia Slater
605154	50801	Woman
605154	54556	Mrs. Pyser
605154	55583	Reporter
605154	56215	Nurse
605154	56427	Ma Calvert
605154	64920	
605154	64923	Nurse
605154	65431	
605154	66314	Nurse
605154	66653	Police Dispatcher
605154	66976	Mrs. Langdon
605154	72747	Mrs. Keagan
605154	73378	Linda
605154	73412	Paris Wood
605154	78085	Floor Nurse
605154	79837	Martha Mordigan
605154	81896	Elsie
605154	83955	Mrs. Walling
605154	85067	Bit Part
605154	87990	Helen
605154	88974	Ruth,
605154	89279	
605154	92527	Nurse at Party
605154	97392	Lillian Edwards
605154	99398	Sheila Cobb
605154	106229	Margie Blake
605154	108329	Mrs. Kimberly
605154	110223	Mrs. Ballard
605154	110264	Lil Herlihy
605154	110940	Nurse
605154	111944	Lydia, Herman's Secretary
605154	114180	Storekeeper
605154	114650	Nurse
605154	115708	Emma Fisher
605154	116203	Hamilton's secretary
605154	117177	Mrs. Jason
605154	117237	Ethel Mitchell
605154	117759	Inmate
605154	118236	Wynand's secretary
605154	123347	Della Lucas
605154	127697	Matilda Brown
605154	128651	Secretary
605154	128812	Jerry
605154	128894	Miss Smith
605154	129233	Bit
605154	129804	Maizie, the Maid
605154	131454	Bridesmaid
605154	132474	
605154	134059	The 2nd Josephine Weaver Alle
605154	135763	Mrs. Ontley
605154	137498	
605154	137533	The Girl
605154	139214	Dorshka
605154	140676	Nurse
605154	140862	Dispatcher
605154	142877	Helen Martin
605154	143136	Mrs. Foster
605154	143575	Clara Randolph
605154	143577	Ruth
605154	144759	Clara Joseph
605154	145093	Estelle
605154	145705	Mrs. Sorenson
605154	145961	Newspaper office worker
605154	146250	
605154	147512	Kitchen Maid
605154	147535	Marge Henley
605154	148587	Nurse
605154	149948	Miss Mabry
605154	153123	Katie, his mother
605154	154376	Jenny Butler
605154	159023	Police dispatcher (from He Wa
605154	162340	
605154	162837	Moon's wife
605154	163387	Dr. Mary Royce
605154	163513	Stewardess
605154	164605	Miss Bowen
605154	169613	Grace
605154	176323	Emily Barrows Novak
605154	176325	Julie 'Smitty' Smith
605154	178316	Mavis Varden
605154	183759	Miss Hollins
605154	183767	Reporter
605154	185073	Nurse Whitbread
605154	188294	Secretary Juror
605154	188436	Alice Albe
605154	190058	Virginia Peck
605154	192061	Girl
605154	192067	Aunt Gert
605154	192216	Mary Burke
605154	192503	Landlady
605154	193763	Nancy Crane
605154	195254	Softball Player
605154	195753	Mrs. Levoy
605154	198842	Grandma
605154	200304	Mrs. Weaver
605154	201034	Telegraph Clerk
605154	203415	Betty Crawford
605154	203541	Miss Cameron
605154	203588	Mrs. Ford
605154	204174	Shopgirl's friend
605154	204884	
605154	206472	Marge, a Secretary
605154	206836	Newspaper girl
605154	209592	Mrs. Hansen
605154	214447	
605154	215041	Tenant in Apartment 3R
605154	215754	Ann Jason
605154	219189	Miss Bilby
605154	220892	Girl on the Bus
605154	221124	Maria, a nursemaid
605154	221130	Paine's secretary
605154	221172	Dorothy Melton
605154	222568	
605154	223846	Ethel Mitchell
605154	223906	Miss Rogers
605154	224304	
605154	224324	
605154	230303	Jean Morrow
605154	230953	Demonstrator in Department St
605154	231990	Girl in Pool
605154	233778	Mrs. Faraday
605154	233934	Louise Spears
605154	235518	Doris Parker
605154	235633	Telephone girl
605154	239515	Record Store Clerk
605154	239777	
605154	241165	Lee's Mother
605154	241327	Girl
605154	241468	Vera Thompson
605154	244841	Monica Lonsdale
605154	246606	Rose Trevor
605154	246709	Martha Blake
605154	247141	School girl
605154	250985	Welfare Worker
605154	252218	Blanche
605154	252286	Dotty 'Dot'
605154	252426	Betty Clark, Policewoman
605154	252913	Secretary
605154	253907	Grandma Lundy
605154	255404	
605154	256854	Maggie
605154	260879	Police Dispatcher
605154	263593	Ella Mae Merchant
605154	263608	Harriet Miles
605154	272769	Judy
605154	272965	Mrs. Cartwright
605154	273184	Martha Kestner
605154	273633	Mrs. Stark
605154	274191	Mary Wallace
605154	276818	Sybil
605154	278080	Nurse
605154	278442	Kay Duncan
605154	278587	Jean Andrews
605154	278633	Bess Monahan
605154	279445	Agnes Clark
605154	279730	Page to Richard
605154	280347	Mrs. Martha Durston
605154	280969	
605154	281811	Mrs. Burke
605154	282042	Old Lady
605154	282394	Alice Abbott
605154	283890	Ethel Mitchell
605154	283893	Mrs. Mitchell
605154	283894	Mrs. Mitchell
605154	289522	Mistress Dodge
605154	291864	Ellie Blaine (Red Cross date)
605154	292127	Doris
605154	294919	Marie, the Maid
605154	295394	Mrs. Rollin Hartley
605154	296873	Shaw Sister
605154	297968	Model
605154	299678	Sarah Devlin
605154	302596	Bronx Dame
605154	304040	
605154	304959	Salesgirl
605154	305508	Madelon Martin
605154	305621	
605154	305934	Valerie
605154	306466	Lt. Betty Peterson
605154	306490	Mrs. Moore
605154	308376	Ethel Mitchell
605154	309852	
605154	311025	Mason's secretary
605154	313695	Mrs. Callan
605154	313833	Co-ed
605154	313982	Mrs. Catlett
605154	314354	
605154	314412	
605154	315713	Secretary
605154	316123	Bobbi St. John
605154	316664	Miss Stillwell
605154	318219	
605154	318773	Mrs. Talbert
605154	318933	Waitress
605154	329853	Child Psychiatrist
605154	329974	
605154	330107	Maid
605154	331288	
605154	331589	Countess
605154	333318	Maisie
605154	335183	Mrs. Carrington
605154	335896	Mrs. Forsyth
605154	340487	
605154	340853	Radio Kitty
605154	347731	Nurse
605154	350645	Hairdresser
605154	354858	Edith Miller
605154	356251	Mrs. Devlin
605154	358777	Gossip
605154	359421	Mrs. Richardson
605154	360166	Hired Girl
605154	360883	Sister Nadine
605154	361545	Dora
605154	363248	Secretary
605154	363346	Mrs. Geraghty
605154	365559	Mrs. Chatham
605154	367538	Luella
605154	367820	Maggie
605154	370555	Receptionist
605154	372145	Maggie O'Neill
605154	372433	Mrs. Clara Clinton
605154	375802	
605154	381110	Miss Clare
605154	390607	Nizra
605154	395351	Ma James (1965-1966)
605154	395950	Mrs. Kingston
605154	399050	Martha Brown (1960-1962)
605154	405170	Charlotte McHenry
605155	395091	Belligerent Woman #2
605155	402197	Mary Vaughan (1982-1986)
605156	278518	Herself
605156	296021	Herself
605157	396793	Herself - Christ Church Colle
605158	304787	Embassy Guest
605159	248157	Cafe Owner
605159	366159	Mrs. Mitcham
605159	400516	Cynthia
605160	311523	Girl in Nightclub
605161	79907	Girl in Gym
605162	259381	Waitress
605163	220622	Waitress
605164	147961	Karen Norton
605165	32191	Olive 'Ollie' Frey
605165	40981	
605165	44282	Myra
605165	46239	Mille Applegate
605165	46840	Evelyn 'Duchess' Thane
605165	47357	Flo
605165	70789	Policeman's Wife
605165	73336	Gertrude Williams
605165	84898	Mrs. Robbins
605165	88191	Janice Dickson Meredith, Ted'
605165	98912	Millie
605165	105555	Sadie Bloom
605165	106144	Gerry Ward
605165	112231	Florine
605165	113312	Patsy King
605165	128310	Connie Bard
605165	128566	Judy Nash
605165	132893	Dot, Bridge Player
605165	137446	Betty Brewster
605165	139191	Bit part
605165	139547	Screen Test Girl from 'Movie 
605165	162378	Showgirl
605165	195883	Madame Dupont
605165	196899	Becky
605165	211610	Lady With Tennis Player
605165	214983	Party Guest
605165	215625	Miss LeMay, Freytag's Secreta
605165	215634	Florence Lenz
605165	220528	Margie
605165	222667	Jenny Lane
605165	228639	Casquette Girl
605165	230932	Ruthie Day
605165	242110	
605165	244778	Eloise, a Mannequin
605165	249586	Bee Canfield
605165	275521	Marion Ferguson
605165	278031	Mary Slyde
605165	279184	Sally
605165	288746	Marie
605165	301980	Doris Lee
605165	302620	Anne McCaigh
605165	302929	Laura, the Manicurist
605165	316124	Dance Hall Girl
605165	319212	Mary 'Bonnie' Shea
605165	329793	Stancia
605165	329809	Suzanne Elrick
605165	330174	Daisy Gebhart
605165	330490	Neeta
605165	331553	Prisoner at Checkers Table
605165	335471	Mary
605165	339393	Pauline Agguerro
605165	345989	Lucille
605165	347120	Daisy
605166	299924	Wife's friend
605167	88878	Claire
605167	280665	Asian Woman
605167	363189	Secretary
605168	292275	Ms. Lundt
605169	154730	School teacher
605170	6907	Maud
605170	62989	Caroline
605170	77835	Joan
605170	103447	Vicky
605170	117210	Carol
605170	140115	Madge
605170	163228	Queen
605170	262613	Mrs. Callard
605170	291296	Miss Burns
605170	385020	Marion Willis/Yeats (1982-198
605170	385299	Christine Greaves
605170	400709	Bonteens' Maid
605170	410214	
605171	382403	Boerin
605171	394612	Katrien Boswinkel
605172	345113	
605172	346791	
605173	47144	Brunette with Team X-Bladz
605174	357001	Store Clerk
605174	370359	Stacey
605175	221151	
605176	8705	Tachito's grandaughter
605176	10222	
605176	14749	
605176	14928	
605176	18076	Isabel
605176	24205	
605176	28185	
605176	30748	
605176	35010	Teresita
605176	66797	
605176	74523	
605176	77257	
605176	82343	
605176	87086	
605176	91271	
605176	91362	
605176	92335	
605176	94821	
605176	100589	
605176	108554	
605176	112055	
605176	121259	
605176	129482	
605176	132702	
605176	143759	
605176	145251	María
605176	167467	
605176	167813	
605176	169774	
605176	186597	
605176	190408	
605176	202837	
605176	204589	
605176	211044	
605176	221938	
605176	222044	Alicia
605176	225390	
605176	225589	
605176	229208	Lucy
605176	229800	
605176	233549	Polita
605176	235243	
605176	235250	
605176	240154	
605176	243650	Elvira Davalos
605176	244608	
605176	246059	
605176	246154	Pablo Garza's secretary
605176	246392	
605176	249321	
605176	252536	Lucha
605176	258500	
605176	260520	
605176	270060	
605176	277322	
605176	281671	
605176	282134	
605176	291620	
605176	302111	
605176	307205	
605176	309156	
605176	318004	
605176	318236	
605176	324175	Luisa
605176	339150	
605176	339190	
605176	339195	
605176	339206	
605176	349660	
605176	353573	
605176	375889	
605176	375890	Gloria Carrion
605176	376704	
605176	386165	
605176	393986	
605176	400947	Azucena
605176	402405	
605176	403103	
605176	404736	
605176	406844	
605176	407431	
605176	407862	Neighbor's mother
605176	408848	
605176	409908	Chabelita 'Chabela'
605177	51624	Avavar Dancer
605178	248867	Tia eduviges
605178	379118	(2000)
605178	384400	Carmela 'la vecina de nadia y
605178	400490	
605178	402404	
605178	405415	
605178	408919	
605179	234544	Maid
605180	210915	Marischka
605181	89572	
605181	183477	La Santona
605182	115300	Shannon
605183	21300	Girl
605183	249021	Peasant
605184	178405	
605184	256942	
605184	296410	
605184	371559	
605185	252824	Herself - Leader of the Dorot
605186	112028	Woman With Groceries
605187	47393	
605187	89415	
605187	132077	
605187	215195	
605187	217860	
605187	221342	Natasa
605187	236048	Jewelry saleslady
605187	263056	Ana
605187	272565	
605187	283751	Renata
605187	320497	
605187	357203	
605187	386429	Ivka Bahat
605188	52665	Andrea
605188	353082	
605188	396911	Amelia
605188	405209	Annabel Lustwick (1997)/Megan
605189	170222	Herself
605190	21280	La petite cousine
605191	6676	Jouvenot
605192	405247	Hostess
605193	6191	
605193	10605	Anna
605193	35683	Kitty Carstairs
605193	82353	
605193	106011	Sadie Crowley
605193	108435	Tony Martin
605193	142544	
605193	168770	
605193	196297	Louise
605193	251400	
605193	257559	The Reno Girl
605193	258909	Kay Wilson
605193	277628	Allison Adair
605193	316681	Frances
605193	330613	Winston's Date
605193	343118	Annie
605193	346241	Betty Winton
605193	347120	Sadie
605193	349996	Bit part
605193	365394	Babs
605194	320307	Olive Pennington
605195	78108	Woman
605196	64109	Lady-in-Waiting
605196	106077	The Girl
605196	184955	Guest
605196	300063	Chorus girl
605196	303069	Leda
605196	308373	She-Devil
605197	258210	Susan Barrington
605197	346087	Mrs. Piper
605198	402805	Singer (1973)
605198	404918	Herself
605199	56150	Mrs. Van Dorl
605200	47957	
605200	216934	Virginia Deane, age 18
605200	362153	Marion, the daughter
605201	350114	
605202	1703	Herself
605203	289215	
605204	77805	Chorus girl
605204	131618	
605204	186332	Laura
605204	247160	Goldwyn Girl
605204	249119	Marie
605204	297891	Girl
605204	315988	Gloria Dryden
605204	367857	Bit Part
605205	68396	La streap-teaseuse
605206	44456	Salsa club dancer
605207	206447	Uptown Saleslady
605208	115973	
605208	237720	
605209	251148	Amelcia, landlady's daughter
605209	311770	Idalia
605209	375439	
605210	323608	
605211	63834	Mrs. Brown
605211	160780	Mrs. Midgley's mother
605211	196083	Woman in Pub
605211	370030	
605211	399931	Alice
605211	406763	Mrs. Buggins
605211	408091	Biddy
605212	307671	Monika
605213	48257	Ida
605213	112036	Liliane
605213	142743	Verpleegster
605213	189883	Herself
605213	202636	Nicole
605213	202700	Denise
605213	234832	Zuster Amnesia
605213	388299	Micheline (1995-1996)
605213	389781	
605213	389782	
605213	400288	Herself - Laureate 1969
605213	405654	Melanie
605213	408151	Josée Beyers (1999)
605214	322361	
605215	284893	Cantante Rubia
605215	384632	Cristina
605215	391742	Marilola
605215	400943	
605215	403365	Sara
605216	8264	Gloria
605217	17048	Woman in bus
605217	91261	
605217	124891	Schwester Josefa
605217	126364	
605217	129323	Veverl
605217	144150	
605217	177137	
605217	178806	
605217	263613	Frl. Weidlich
605217	293240	Rosina
605217	312203	
605217	376341	Susi
605217	410813	Frau Faber
605219	54651	First Captive
605220	211679	
605221	340151	
605223	216737	Dancer
605224	42808	Jessica
605224	73926	Additional Voice
605224	83830	Additional Voices
605224	87009	Additional Voices
605224	99584	Linda
605224	111409	Additional Voices
605224	192058	
605224	314441	Young Girl
605225	401	Brita, Eva's mother
605225	11315	Anna
605225	78399	Hildur
605225	78514	Ofelia
605225	84314	Housemaid
605225	94261	
605225	101451	Anna, nurse
605225	109293	Ellen
605225	115386	Mrs. Bergvall
605225	115391	Mrs. Larsson
605225	115395	Mrs. Buren
605225	115401	Matron
605225	120922	Train passenger
605225	121006	Ms. Söderlund
605225	121010	Kristin, cook
605225	127569	Aunt Emilia's guest
605225	135219	Frasse's Wife
605225	153769	Ester, Conny's mother
605225	154525	Nurse
605225	155555	Hilda Tapper
605225	159635	Mrs. Henriksson
605225	165614	Mother Bengta
605225	174079	Ms. Eriksson
605225	174721	Mammy Pleasant
605225	180392	Mrs. Olsson
605225	181638	Mamsell Modigh
605225	182544	Selma Danielsson
605225	187634	
605225	191558	Hostess at the inn
605225	205677	Birger's Mother
605225	209369	Iris' mother
605225	214385	Johanna
605225	225668	
605225	238802	Mrs. Berglund
605225	241217	Grandma
605225	252189	A woman
605225	281199	Mrs. Lünig
605225	284123	Margareta Borg
605225	302152	Simon's Mother
605225	302796	Elfrida Månesköld
605225	303200	Eva Svensson
605225	305130	Boarding-house supervisor
605225	315549	Mrs. Sofia Bohm
605225	326127	Taxi Exchange Manager
605225	354691	Head Nurse
605225	357774	Lisa
605225	357796	Vera's mother
605225	357802	Linnéa, Jansson's wife
605225	377304	Alexandra
605225	398195	Aunt
605226	171700	Gabby Powell (Age 9)
605226	321339	Molly Stone
605227	385876	Marcela
605229	115833	
605230	401624	Herself (1966- ?)
605231	226954	Herself
605232	385020	Kelly Crabtree (2004-)
605232	397493	Natalie Vance
605234	66397	
605234	70860	
605234	256540	Velia
605235	58311	
605235	225759	
605235	260584	
605235	346718	
605235	377659	
605236	104888	
605236	189396	
605236	221017	
605236	265450	
605236	267959	
605237	214874	Valentine
605238	101501	
605239	6280	Irina Dunaev
605239	16861	
605239	17483	A Mother
605239	18952	
605239	46652	
605239	47259	
605239	71225	Eva Fredy
605239	78558	La direttrice
605239	89834	
605239	90004	Doc's maid
605239	92977	
605239	108751	
605239	113705	
605239	135075	
605239	147055	
605239	159618	Moglie di Casardi
605239	188602	La ragazza bruttina
605239	199046	Raja
605239	199441	
605239	207744	
605239	217795	
605239	217886	Renata's mother
605239	234564	Irina Dunaev
605239	255125	
605239	260053	Elena Salvi
605239	278959	Elena Milligan
605239	286395	
605239	294406	Elena Milligan
605239	301217	
605239	315560	Maria
605239	315820	
605239	319323	
605239	339074	
605239	344452	
605239	344625	
605239	349527	
605239	352455	
605239	354117	
605239	360466	Irina Dunaev
605239	399974	Anticlia
605240	25152	
605240	53011	
605240	124565	Maureen Grayson
605240	251055	Rosie Kelvin
605240	269482	First female victim
605240	293973	Daniela Sanguinetti di Sant M
605240	312302	Kitty (prostitute)
605241	30792	
605241	60238	
605241	61247	
605241	61710	Miss Cho
605241	104851	
605241	138333	
605241	148428	
605241	172308	
605241	189275	
605241	222472	Mrs. Pantalan
605241	242406	
605241	246093	
605241	246583	
605241	293731	
605241	301203	
605241	318395	
605241	336561	
605241	342082	
605241	369528	Lyla ("Butas" Episode)
605241	404246	Apollo's Mother
605242	71449	Alessandra
605243	14743	
605244	117571	Jamie
605244	195365	Marja
605244	278233	Student
605244	384894	Soap actress #2
605245	94391	
605245	200575	Une villageoise
605245	283032	
605245	357858	
605245	377019	
605246	53965	Ama de llaves del cura
605246	68793	
605246	160652	Madre Conchita
605246	192340	Evangelina
605246	207924	
605246	215872	Teacher
605246	221897	Micaela
605246	221898	
605246	238757	
605246	241524	Senora Ramirez
605246	250796	Abuela
605246	258500	
605246	260503	Chuy
605246	267455	Nun
605246	273122	
605246	277369	
605246	283917	
605246	291620	
605246	365198	Luna's Mother
605246	376703	
605246	379565	Adelaida
605246	380090	
605246	381224	Tules
605246	383532	
605246	383665	Antonia
605246	385335	
605246	386077	Sor Julia
605246	387577	
605246	387682	
605246	387824	
605246	391421	
605246	392653	Trinidad
605246	395402	
605246	395474	
605246	396131	Deborah Duwa
605246	396604	Soledad
605246	396711	
605246	397462	
605246	397573	
605246	398229	Cuca
605246	398485	
605246	399570	
605246	403365	
605246	405316	
605246	405977	
605246	406861	Aurelia
605246	408199	
605247	326086	Francesca
605248	357971	
605249	183856	Maud Bray
605249	190282	Mrs. Austin
605249	199440	Countess Olga Tscherny
605249	221288	Mrs. Tom Brown
605249	246784	Irene Maitland
605249	286176	Naomi
605249	288820	Mrs. Margaret Alloway
605249	351232	Mrs. Montrose
605249	367918	Esmee Hale
605250	252068	
605251	56343	
605252	29918	Toni
605252	87018	April
605252	106121	Model #6
605252	127325	Lady in Red
605252	139023	Junie Ray
605252	192049	Ticket Agent
605252	213150	Cindy
605252	213260	Stephanie
605252	222362	Cleopatra
605252	258888	Krissy
605252	309135	Trisha
605252	327836	Nursing Grads
605252	350231	Vampire Girl #2
605252	359767	Roommate
605253	139357	Victoria
605254	268405	Suzy
605255	186364	Jeanne Dupre
605256	3504	
605256	233583	Shirley
605257	64070	Ensemble
605258	337007	Dame pigeons
605258	345056	La vieille dame
605259	375808	Angie Powell
605260	13383	
605260	162426	Blossom
605260	171207	Mrs. Sherwin
605260	316226	Nina Peterson
605260	400236	Victoria Lord Riley Lord Buch
605261	70316	
605262	68565	
605263	7447	La reine Marie-Antoinette
605263	356583	Canina
605264	125888	Mrs. Norton
605264	339645	Goddess Cause/Goddess Effect
605264	361224	Sundance VH1 Interviewer
605264	361475	Dog Walker
605264	385432	Correspondent (1990-1995)
605265	220493	Huguette
605265	370108	Angélique
605266	341394	Couquette
605267	6406	
605267	29743	
605267	124802	
605267	336918	
605267	377826	
605268	20989	Herself
605269	229568	
605270	147464	Prolaznica 1
605271	293450	Kozue
605272	33667	
605272	247107	
605272	270991	One of Caps' women
605274	18951	
605274	33663	
605274	36459	Cook
605274	67908	
605274	111427	Elena
605274	116633	
605274	170312	
605274	209441	
605274	214851	
605274	234752	
605274	247963	
605274	278750	Milena
605274	289440	
605274	301375	
605274	402302	
605275	223106	Herself
605275	240628	Madame Chouilloux
605276	68144	Karen
605276	87583	
605276	201579	Jenny
605276	232253	Gloria
605276	244443	Myra
605276	248097	Secretary
605276	279091	Madge
605276	292786	Louise Blier
605276	380713	Penny Hughes Baker Hughes Bak
605276	411150	Antoinette (1965-66)
605277	14663	
605277	16168	Victoria
605277	70864	Lourdes
605277	77430	
605277	83887	
605277	96364	
605277	145275	
605277	251728	Damiana Cisneros
605277	257317	Mujer secuestrada
605277	293884	
605277	334575	
605277	340655	
605277	365213	Emma
605277	379904	
605277	380092	
605277	380901	
605277	380954	
605277	385374	
605277	387577	Felipa
605277	388276	
605277	391428	
605277	393986	
605277	396211	Margarita
605277	398663	
605277	404706	
605277	404806	
605277	407860	
605277	411660	
605278	70695	
605279	149834	Lucy the maid
605279	396525	
605279	398311	Chantal
605280	135346	Witness
605281	51452	
605282	377064	
605283	352914	Singer
605284	60230	Jenny
605285	75252	Herself
605286	148669	Lia
605287	10229	
605288	74139	
605288	85482	Specialty
605288	89398	
605288	89930	
605288	94480	Joaquina
605288	100723	
605288	107316	
605289	79269	Vivian
605289	134611	Jenny Slater
605290	8133	
605291	44729	
605292	322128	
605293	11926	
605293	115487	Joan Elliott
605293	140192	Companion
605293	336694	WREN Officer
605293	349404	Airport Annoncer
605294	193805	Woman in Diner
605295	25265	Herself
605298	236368	Miss Denmark
605299	333719	Lili, soeur de Solange
605300	28591	Pianist
605301	299028	Muriel
605302	45454	Person in Bar
605303	51182	
605303	128956	Gisèle's mother
605303	157306	Manon
605303	254150	
605303	324938	Une dame de charité
605303	354969	
605304	60507	
605305	20908	Nathalie Cartier
605305	37941	Anya
605305	57543	Danièle
605305	74940	Teresa
605305	82643	Solange Garnier
605305	82644	
605305	84618	Herself
605305	99372	Herself
605305	112801	Katia
605305	123274	Françoise
605305	125635	Bortei
605305	148658	Agnès Villermosa
605305	170421	Julie
605305	195219	Madeleine
605305	251543	Nicole
605305	260936	
605305	281315	
605305	336975	
605305	347194	Herself
605305	363441	Vikki
605306	67211	
605307	41400	Teacher
605307	80610	Nurse Patricia
605308	61951	
605308	62348	
605308	88197	
605308	162604	
605308	203979	
605308	221563	
605308	235987	
605308	260948	
605308	282899	
605308	307728	
605309	123304	Wedding Ring Lady
605310	375808	Zelda
605311	199133	Field Hockey Goalie
605312	115269	Women Coalation Diner Patron
605313	363528	Congregation Girl
605314	53033	Cello
605315	64837	Stacey
605315	269355	Maudy
605315	391208	Katherine 'KT' Josephine Ingr
605315	393471	Meg Bergman
605316	102768	
605316	257650	Herself (Miss August)
605316	257682	Herself (Playmate)
605316	257844	Miss September 1991
605316	361851	
605317	41390	Angel
605318	148943	Mrs. Fremont Gage II
605318	241855	Boat passenger
605318	339829	Herself
605319	31654	Amy Love
605319	77457	Annette
605319	112632	Shelly Lancaster
605319	198044	El
605319	318510	Angelica
605319	406952	Caitlin Richards #1 (1/14/199
605320	25959	Lize
605321	112046	
605322	187526	
605323	64845	Mrs. Deakin
605323	223105	
605324	21533	Katie
605325	383631	Gilly, Spencer's daughter: Te
605326	238259	Nanette
605327	44330	Ruth
605328	29703	Rosalinde, la femme de Barbe-
605329	409462	Vétérinaire
605330	250938	Herself
605331	120717	Maestra 4
605331	134130	Daughter
605332	15852	FBI Agent
605332	32438	Dorothy Williams
605332	51984	Sarina
605332	69037	Waitress
605332	77152	Jeanne
605332	92618	City Council
605332	121348	Jury Forewomann
605332	135586	Mrs. Hickson
605332	162820	Gen. Meyday
605332	195640	Bridesmaid #3
605332	215507	Preliminary Judge
605332	281388	Esther
605332	291302	Mother Harper
605332	292637	Loretta
605332	304527	Police Matron
605332	324052	
605332	343020	Nurse Smoot
605332	347692	Black Woman
605332	366919	Miss Collins
605332	408361	Dr. Zimmerman
605332	411355	Marthareen
605333	72472	Nurse
605333	339605	Herself
605333	341758	Archbishop
605334	1054	Tracey Sherill
605334	45096	Julie Spencer
605334	53798	Katherine
605334	74202	Karen
605334	128760	Gail's Mother
605334	161415	
605334	196987	Party Guest
605334	231871	Nurse Green
605334	254528	Camille (woman in audience)
605334	264132	Emcee
605334	327227	Vivi
605334	340702	Trish
605334	342001	Mrs. Evans
605334	345836	Elena Andreevna
605334	346368	Cuddles
605335	203600	Sarah Runkelman
605335	251979	University Registrar
605335	395715	Host
605336	58959	Receptionist
605336	86287	Principal Martinez
605336	271331	Reporter #3
605336	313208	Vux
605336	380391	Rita Madison (1995-1996)
605337	187526	
605338	303997	Betty
605339	345562	Helle
605340	338400	
605342	138365	Young Pat
605343	92685	
605344	189973	Chorus
605345	158207	Punk Girl
605346	317946	Other T.R. Kid
605347	375914	Nurse
605348	204755	
605349	280788	Fox Cub
605350	278259	Nurse Murch
605351	218018	Nurse
605351	294742	Secretary
605352	377377	
605353	59552	Kitty Verdun
605354	183357	Sandra
605355	1028	Judy
605355	6892	Herself
605355	10393	Enid
605355	10582	Sylvia (dream)/Maria
605355	11189	Sue's mother
605355	11427	Marlene
605355	14982	Busty Babs
605355	29310	Della Byrne
605355	32789	Sukey Tawdrey
605355	65968	Kyra
605355	84860	Magda Gardinas
605355	90287	Ruby Baines
605355	90382	Sandra
605355	97023	Sandra
605355	106661	Joan
605355	113277	
605355	125342	Sally Morton
605355	130711	Night Club Girl
605355	131410	Girl
605355	138800	Betty
605355	142715	Receptionist
605355	145557	Mary Hollins
605355	149218	Doris Thring
605355	150839	Valerie Stockley
605355	162398	Tityana
605355	169142	Whore in traffic jam
605355	183770	Olympe
605355	202508	Dora Elton
605355	205820	Marilyn Saunders
605355	206465	
605355	214710	Girl in Tartan, VE Day pub
605355	235380	Diana Melton
605355	241028	Kay Fox
605355	242765	Pat Wayne
605355	243262	Blonde
605355	255421	
605355	257580	Dougan's Secretary
605355	259239	Blonde
605355	288076	
605355	292374	Sonia
605355	331651	Ruth Chapman
605355	336271	Princess, The
605355	338565	Flower Shop Assistant
605355	350115	Ruthine West
605355	360542	Stella
605355	362618	Lucky Price
605355	371016	Iris, Len's accomplice
605355	394500	Nel
605355	397671	Abbi
605356	350216	Waitress
605357	103216	
605358	85599	
605358	382676	Arlete
605358	384647	
605358	401243	Mayara
605359	212136	
605360	5469	Mme Guimont-Villiers
605360	7446	Berthe
605360	14404	Hélène
605360	15105	Laure Junot
605360	33628	La femme de chambre
605360	39714	Claire Mazarine
605360	44942	Françoise
605360	94536	
605360	99912	
605360	100364	Une mère
605360	105818	Béatrice
605360	110155	Agnès
605360	111703	Marie-Diane
605360	115376	Suzanne Bollec
605360	133086	La gynécologue
605360	148650	Guillette Deslandes
605360	161995	Julie
605360	166183	Mlle Trinquier
605360	170531	Marie
605360	197535	Elle, Jeanne
605360	206507	Isabelle
605360	219491	Arielle
605360	248916	Jeanette
605360	266401	Madame Deschanel
605360	270909	BB la brune
605360	339496	Jeanneton
605360	387615	Lise
605360	388159	Julie
605360	396364	
605360	401321	Christine
605360	402532	
605360	402538	Antoinette Galland
605360	402622	Mathilde
605360	407809	Catherine
605361	235012	Jennifer
605362	381694	
605363	70311	
605364	10747	Alice
605364	70566	Gwen Owen
605364	404631	Jill Hurst
605364	405988	Fluffy
605364	408943	Lizzie Malby
605365	30349	Bella Hedley
605365	73641	Mary Cromwell
605365	258550	Adele Fortescue
605365	353444	Elizabeth
605365	379292	Jenny Gordon (1973-1974)
605365	393965	Ethel Brown
605365	394274	Susan Rush
605365	399200	Jenny Gordon Denning
605366	125104	Evelyn Carter
605366	205508	
605366	352678	
605366	404487	Paula
605367	156277	
605367	336995	
605367	356405	
605368	339260	Francine Antoniello
605369	5279	La logeuse
605369	5792	Pauline
605369	6158	Mme Beaumont
605369	33553	Blanche
605369	51137	Tante Hermance
605369	54060	
605369	63781	
605369	85613	Madame Herboux
605369	88059	La Poison
605369	112834	Aunt Hortense
605369	174635	
605369	178989	La dame en violet
605369	207090	
605369	216350	Madame Papier
605369	219512	Mademoiselle Verdelier
605369	225489	
605369	229027	Madame Noblet
605369	276540	
605369	306951	
605369	333714	
605369	336876	
605369	345113	La baronne
605369	345168	Antoinette Espitalion
605369	346528	
605369	346791	Léocadie
605369	347092	Solange Duroc
605369	357079	Mlle Roberta
605369	377010	La femme de Toto
605370	269771	Hostage
605370	297101	Mrs. Feinberger
605371	111563	
605371	119213	Dorine
605371	119214	Dorine
605371	142162	Meg Bradley
605371	271857	Ramona
605371	283061	Tina
605371	315834	Tanja
605371	320231	Dorine
605371	359614	
605371	366595	Joyce Trevor
605372	133188	
605372	181507	
605373	1000	Marie Fernando
605373	31955	
605373	56621	Patricia Calhoun
605373	68467	The Kid
605373	87104	Dora
605373	141287	Nora Flynn
605373	141369	Fleurette
605373	184992	Sidonie Du Val
605373	194720	Cinders, aka Margaret Lane
605373	200878	
605373	213143	Irene Hendon
605373	218940	Carlotta
605373	240015	Oliver Twist
605373	264255	
605373	286124	Sally Bishop
605373	363961	Nancy Marvell
605373	368107	Daphne
605374	331626	Mrs. Day
605375	270802	Torraini's Maid
605376	264384	
605377	404870	
605378	331377	Meg
605379	57208	New Coven Witch
605380	39052	
605381	192777	Girl #4
605382	192777	Susie
605383	77271	
605383	181176	
605383	237466	
605384	26475	Marina
605384	177125	
605384	198143	
605384	229541	
605384	244728	
605384	265047	
605384	350788	
605384	378720	
605384	409403	
605385	18286	
605386	334998	
605387	97060	
605388	51958	Sonia
605388	98967	Routa
605388	298777	
605388	302418	Bedouin Woman
605389	140051	Luba
605390	115681	
605391	212129	Fainting woman
605392	173651	
605392	198940	
605392	226009	
605392	252805	
605392	253640	
605392	265047	
605392	270306	Maria
605392	280384	
605392	299428	
605392	313813	
605392	339337	Nyura
605392	349840	
605392	356591	
605392	371345	Natasha
605392	374252	
605393	198127	
605393	404978	
605394	375446	
605395	188126	Nymph
605396	12810	
605396	21241	
605396	35931	Shura
605396	198138	Nadya
605396	253640	
605396	258423	
605396	283996	
605396	317106	
605396	350125	
605396	373519	
605397	261368	
605398	201406	Pucci Lady
605399	242467	
605399	302429	Priyatelkata na Maria
605399	340720	
605400	174880	Schumann's Second Woman
605401	7615	Party Guest
605401	184062	Véronique
605401	287091	
605402	15026	Sabine Barnerias
605402	70181	Spinster
605402	135426	La speakerine TV
605402	217705	
605402	255814	Laurence Bertil
605402	384509	Dorothée/Host
605402	400927	
605402	410657	Narrator
605403	194136	NYPD Pizza Waitress
605404	364931	
605405	179609	Alice Baconfoye
605406	3953	Märta Grooth
605406	145519	Margit Bernfeldt
605406	346973	Countess Sonja Behrencrona
605407	128450	Girl with the curls
605407	147763	
605407	187257	Blondie
605407	255229	
605407	269797	Helen Harlow
605407	331518	Noblewoman with Mask
605408	116741	
605409	201194	
605409	345100	
605409	356988	
605410	82886	Cassandra
605411	349575	Linn's friend
605412	16654	Bit
605412	122674	
605412	142284	Cowgirl
605412	146752	
605412	146813	Show Girl
605413	5659	
605414	376187	Mother Zuidewind
605415	116559	Jamie
605416	10241	Prostitute
605416	76745	
605416	93168	Career Woman
605416	97827	
605416	152274	Doctor
605416	173910	
605416	186953	Romy
605416	256954	Mistress
605416	282436	
605416	321322	Della
605416	328620	Eva
605416	328621	Herself
605416	340807	Mary
605416	409397	Bonnie Louise/Pieternel van B
605417	253745	
605417	304890	Lupa
605417	356054	Masa
605418	16642	Eunice
605418	197623	
605419	45941	Pige der får hendes tøj stjål
605420	372889	
605421	163313	Mrs. Ashton
605421	279609	Kate Morrison
605422	404092	Tina
605423	71131	Dorothy Grayson
605423	159424	Lucile Clark
605423	191594	Undetermined Role
605423	192037	Flossie
605423	192238	Undetermined Role
605423	203765	Alice Ellery
605424	18544	Tonya Oliver
605424	145636	Raven (aka Rave Girl)
605424	355035	Lt. Watkins
605425	12467	
605425	37508	Elise
605425	127638	
605425	156747	
605425	170127	
605425	182773	Friederike von Preussen
605425	225728	
605425	236818	Lilly, his daughter
605425	317352	
605425	364986	
605427	287414	
605428	190644	Lupe
605429	265161	
605430	85431	
605431	6907	Mrs. Horne
605431	6911	Mrs. North
605431	11926	Elle-même
605431	11947	Vanessa Colebrook
605431	12057	Herself
605431	13376	Mrs. Wickens the Housekeeper
605431	14981	Rita
605431	21475	Pearl
605431	26373	Liz
605431	27243	
605431	32569	Aunt Annie
605431	34441	Matilda
605431	41079	Herself
605431	45530	Ada Foster
605431	47348	
605431	52208	Hawkins
605431	58830	Madame
605431	61784	Mrs. Ardoy
605431	69382	Jenny Stride
605431	72662	Dolly Newman
605431	77613	Carole
605431	77849	
605431	77961	Rhoda Gooderich
605431	81764	Lady client
605431	85748	Dora
605431	91257	Herself
605431	92508	Kate
605431	100719	
605431	120459	Mabel Lowe (segment "Act of K
605431	131641	Lyla Lawrence
605431	133617	Lulu Smith
605431	137964	Kit
605431	138469	Madame
605431	143569	Diana Hopkins
605431	147521	Dancer
605431	154478	Janice Blake Briggs
605431	162579	Candy Markham
605431	163439	Cpl. Paula Clements
605431	163599	Blonde
605431	175140	Daisy Dureneck
605431	175565	
605431	176316	Sonia
605431	177496	Madge
605431	183670	Dolores August
605431	185525	Ruby Bruce
605431	193928	Lynn
605431	215674	Kate Dax
605431	221264	Myra
605431	224303	Dreary Girl
605431	224417	Eunice Higginbotham
605431	235592	Anna Harb
605431	236895	Bessy Morne
605431	238530	Helen of Troy
605431	240019	Charlotte
605431	240723	Sgt. Bridget Stanhope
605431	252267	Molly James
605431	255466	Burgermeister's Wife
605431	257341	Woman with Rose
605431	270813	Diana Dixon
605431	285748	The Blonde in Lennar's Apartm
605431	287268	Billingsgate Woman
605431	289794	Winifred Jordan
605431	299782	Mildred
605431	300144	
605431	314202	Violet
605431	314508	Woman in Flat
605431	329692	Maisie Psaltry
605431	329988	John's Wife
605431	333478	Timandra
605431	338747	Calico
605431	346935	Herself
605431	347068	Phyllis Hochen
605431	350114	Ruthine West
605431	356948	Diana
605431	360542	Betty Brown
605431	361587	Georgia
605431	368644	Thelma
605431	371547	Mary Price Hilton
605431	379724	Di Dorkins
605431	383761	Regular Panelist (1975-1979)
605431	386276	Herself
605431	386277	
605431	392169	Cuddles (1951)
605431	393677	Herself - Team Captain (1973-
605431	393965	Mrs. Bott
605431	400759	Herself (1962)
605431	402608	Queenie Shepherd
605431	409240	Commandant, (Series 8, 1980) 
605432	166406	
605432	205683	
605433	217909	Stripper On The Beach
605434	164220	An OldMaid
605434	249209	Fan de Jeannot
605434	294566	(segment "Envie, L'")
605434	345268	Julia
605434	381617	La Gritte
605435	16654	Bit
605435	20625	Extra
605435	255881	Mildred Henning
605435	313301	Chorine
605436	24082	
605437	158839	
605437	207416	
605438	360939	
605439	18523	
605439	289860	
605439	338376	Barbara
605440	259359	Misty
605441	227779	Baronin
605442	272785	Auguste
605443	27677	Eugenie, Masrquise de Troissa
605443	42143	
605443	91176	The queen
605443	93463	Lena
605443	102383	
605443	103101	Herself
605443	107369	Celia
605443	111953	
605443	119181	Sylvia
605443	120940	
605443	162476	
605443	170660	
605443	175268	
605443	175269	
605443	179833	Karolina Neuber
605443	181499	
605443	191071	
605443	205580	Maria Stuart
605443	219277	
605443	223485	
605443	274916	
605443	289156	Anna Orlova
605443	302677	
605443	339052	Maria Theresia
605443	351498	
605443	373343	Oktavia Obardi
605444	394867	
605445	385866	
605445	394600	
605445	400703	
605446	250918	
605447	346405	
605448	33742	Sethe's Mother
605449	398429	
605450	116549	
605450	185182	Cubicle Lady
605450	234994	Head teller
605450	279420	Aunt Sarah
605450	329531	Mrs. Carlson
605450	336815	Billy's Mother
605451	194055	Woman in Church
605451	220653	Sara Keinhaus
605452	195540	Colleen Dells
605452	208871	Dr. Elloitt
605453	18436	Owner
605454	34744	Herself - Musician
605454	45238	Herself
605454	240345	
605455	20625	Extra
605456	329069	
605457	127767	Gina's sister
605457	241451	Paula
605458	334761	Gri Gri
605459	272687	H.O.T.B.O.D.S.
605459	393424	Jetta/Sheila Burns
605460	323883	Woman
605461	68767	Natalie Biel
605462	16653	1st Woman
605462	131987	
605462	134515	Sally Walker
605462	157324	Sister Othilda
605462	200860	Construction Worker #3
605462	234984	Jail Matron
605462	304759	Lily Miranda
605462	330229	Lady with Kids
605463	151109	Stevie
605464	71495	Ida V.O.
605464	76556	Phyllis
605464	149388	Millie
605464	192733	Grandma
605464	273569	Lily Barron
605464	336458	Woman in phone booth
605465	123986	Herself
605466	12092	
605467	85524	
605468	33054	Herself/#4 Town Girl
605469	206623	Manager old people's home
605469	256316	Pinkelotje
605469	260846	
605469	376246	
605469	393174	Titia Konijn
605469	394634	Various parts
605469	394912	Jul
605469	399979	Aagje Ritsema
605469	406693	De deftige dame
605470	12114	Beauty Parlour Customer
605471	270128	Girl
605472	195479	Hazel
605472	229240	Freda Lurch
605473	113142	Baker
605474	9383	
605474	11741	
605474	17727	
605474	22045	
605474	22048	Cahide
605474	22055	
605474	22082	
605474	23271	
605474	25615	
605474	27779	
605474	34204	
605474	38300	Binnaz
605474	38444	
605474	38453	
605474	38489	
605474	38491	
605474	38919	
605474	45721	
605474	51323	
605474	76794	
605474	76919	Handan
605474	95554	
605474	96467	
605474	104892	
605474	124910	
605474	136691	
605474	136783	
605474	140595	
605474	140596	Nermin
605474	142972	
605474	156428	Selma
605474	156430	
605474	163095	
605474	163114	
605474	171971	
605474	172026	
605474	172139	
605474	173418	
605474	173435	
605474	175084	
605474	177876	Vedide
605474	177878	
605474	178407	
605474	182813	Türkan Sultan
605474	182910	
605474	182911	
605474	182912	
605474	182913	
605474	187629	
605474	200797	
605474	247308	The first queen
605474	286533	Zülal
605474	288606	
605474	288609	
605474	289286	
605474	295509	
605474	307034	
605474	307038	
605474	308296	
605474	320475	
605474	325351	
605474	335959	
605474	370395	
605474	370686	
605474	371350	
605474	374152	
605474	377496	
605474	377540	
605474	377566	
605474	378191	Selma
605474	378201	
605474	378216	
605474	378248	
605474	378316	
605475	86911	Joëlle
605475	90467	Narrator (French version)
605475	101151	Maïna
605475	165759	Alison McMahan
605475	218579	
605475	218581	Sarah (segment "Rispondetemi"
605475	278863	
605475	383863	Lola
605475	390502	Catherine Laplante
605475	400768	Jocelyne Lamarre
605475	403919	Valérie
605475	410252	Lucie Chabot
605476	282015	First Saleswoman
605477	274332	Dancer
605478	124323	Ginette
605478	308404	Annette Le Breton
605479	22719	
605479	77421	Demoiselle d'Honneur de Margu
605479	83231	
605479	110144	Thérèse
605479	111002	La jeune fille
605479	116992	Journariste
605479	146954	
605479	162109	Emergency Nurse
605479	162485	
605479	198312	Emma
605479	235839	
605479	258983	Nadine
605479	266380	Caroline
605479	273672	Brigitte
605479	288889	Elisabeth Duchernou
605479	340205	
605479	345441	La Voisine
605480	33565	Dancer
605481	389356	Female Newsperson
605482	385299	Avis Tennyson
605483	87496	
605483	152676	La chanteuse au jardin
605484	170536	
605485	61416	Yvonne
605486	40555	
605487	6392	Constance
605487	15078	
605487	16616	La comtesse
605487	19096	Madame Darbois
605487	24065	
605487	28559	Aunt
605487	30253	La comtesse de Saint-Helie
605487	58605	Adrienne
605487	65635	Mme Cheverny, la mère d'Isabe
605487	71948	Genevieve's Mother
605487	75915	
605487	77351	Lady Brandmore
605487	77356	La comtesse
605487	80230	L'archiduchesse Marie-Thérèse
605487	83297	Madame Bernier
605487	84639	
605487	89833	Headmistress
605487	92963	Superintendant of school
605487	94242	Mme. Marcevault
605487	94699	madame Frochard
605487	96203	
605487	103787	Madame Andrée l'infirmière
605487	107681	Solange
605487	110051	Mme. Ancelot
605487	112687	Contessa Lagardere
605487	112733	Baronne du Verger
605487	113252	Madame Chabert
605487	126257	
605487	127647	Madame Brigitte
605487	148706	Adrienne
605487	159442	
605487	169367	Mademoiselle Lebeau
605487	170112	La margrave Josépha
605487	174636	La directrice de l'institute 
605487	191679	Mother Superior
605487	195212	Magda
605487	199328	La Gourdan
605487	204648	Mme Agnès
605487	208655	Empress Elizabeth
605487	211137	Baroness Engern
605487	214874	Mme Granval, La directrice
605487	215132	
605487	216350	La Baronne
605487	217412	Mme. Mollenard
605487	218246	La belle-mère
605487	218261	
605487	218331	Mme. Groussault
605487	226631	Mme. Larguillière
605487	237314	Mme. Mussot
605487	248897	Aunt Leo
605487	250708	Tante Laurie
605487	256873	Eléonore Davis
605487	259344	Herrin
605487	262948	La directrice
605487	283964	Duchess Camerera Major
605487	286802	La Marquise d'Andeline
605487	306438	Madame de Malvines
605487	310056	Madame Boisleroi
605487	331013	Cartomancienne
605487	338607	
605487	345020	Adèle Lacaud
605487	345341	
605487	345470	Victoria
605487	346597	Aunt Edmée
605487	357113	Gérardine Éloi
605487	357855	Madame D'Ortemont
605487	377635	Madame de Maintenon
605487	378023	
605487	389470	Maman Rose
605488	133242	Une danseuse
605489	54102	
605489	69010	
605489	252049	
605489	267043	
605490	326086	Floriana
605491	11410	Martha
605491	46213	Justin's gran
605491	54035	Mrs. Umney
605491	107863	Gran
605491	131723	Miss Saville
605491	144837	Mrs. Bender
605491	170817	Mrs. Collins
605491	216240	Old Woman
605491	219047	Ruth LeFol
605491	232714	Kath
605491	329525	Mother
605491	329625	
605491	340931	Rose
605491	341442	(segment My Father the Liar)
605491	342188	
605491	360544	Iris
605491	387247	Mo Butcher (1988-1992)
605491	388133	Mary Hardcastle
605491	392180	Great-Grandmother
605491	396079	Grace Taplow (Series 2) (1993
605491	399531	Grandma Slater
605491	400530	Betty Higden
605491	401077	Maisie Jutson (2000)
605491	403635	May
605491	406717	Gran
605491	410837	Iris Cromer
605492	377478	La fille d'Adèle
605493	207769	
605493	208184	
605493	214922	
605494	11012	Infirmière hôpital
605494	377478	La jeune Adèle
605495	52390	L'employée de mairie
605496	104695	Herself
605497	247606	Mouchette
605498	377736	Eve
605499	155550	
605500	14705	
605501	84514	Dada
605501	168133	Nun
605502	385365	Bambi Caceres Rovaina
605502	386162	
605502	390310	Petunia
605502	391272	Marta Sánchez
605502	398807	Anastasia 'Taty' Lara Fajardo
605502	408408	
605503	306431	Butchershop Customer
605504	113211	Mid Wife (Milho Verde - MG)
605505	45899	Extra: city centre/park
605506	45899	Extra: park
605507	166375	
605508	215039	
605509	8152	
605509	154937	Sage-femme
605510	209423	Kalana
605511	197991	Maid
605512	267524	
605513	211362	Concierge du loft
605514	103118	Yasmin, la esposa del rey
605515	56230	Signora de la Rosa
605515	323501	Rosa
605515	364783	Chamber Maid
605516	388939	
605516	407280	Cuca
605517	18801	Glória
605518	74152	
605519	116280	Woman
605520	390310	
605521	215703	
605522	205512	
605523	221756	Chica 'Freakxenet'
605524	384507	Mini Animadora (1998)
605524	403904	Dancer
605524	406972	Hostess
605524	406994	Dancer (1992-1994)
605525	383727	Darlin
605526	54164	Herself - a singer
605527	160193	
605528	365380	Conga Line
605529	267524	
605530	29273	
605531	158939	
605532	405451	Maria
605533	29774	Giorgigna
605533	40522	Sonia
605533	309820	Gabriela
605533	386398	
605534	403919	Alice
605535	134436	
605535	222044	Titina
605535	292750	
605535	317731	
605536	4915	
605536	16178	
605536	25060	
605536	67698	Comandanta
605536	69325	
605536	94816	
605536	96298	Bertha
605536	103477	Roxana
605536	103540	
605536	104111	Paola Luna
605536	115747	
605536	143785	
605536	148136	
605536	148315	Magdalena-as an Adult
605536	157185	
605536	165162	
605536	170034	
605536	170097	Laura
605536	172711	Nila
605536	175265	
605536	188995	Dinorah
605536	207977	
605536	211324	Laura
605536	212071	
605536	225042	Aurora
605536	248747	Amiga de Vicky
605536	257125	
605536	266049	
605536	275509	
605536	278599	Maria Carmen (Tuscarora's gir
605536	281610	
605536	296126	Diana
605536	301176	Betty
605536	327365	
605536	370942	
605536	376731	Pilar
605536	379888	Regina
605536	379890	Amalia Batista
605536	380151	Norma
605536	380516	Teresa
605536	384139	Pilar
605536	384987	
605536	387314	
605536	389843	
605536	391523	
605536	392651	
605536	392799	Lidia
605536	392844	
605536	397017	
605536	398230	
605536	398527	
605536	403016	Matilde Linares
605537	38664	Eve
605538	175071	Vlado´s mother
605539	51258	Jolanka
605540	158526	Police Officer
605541	16332	
605541	123241	Lise
605541	322480	Magdalena
605541	393857	Myra
605542	16613	Jane Duboin-Fontange
605542	238520	
605543	114383	Tattoo Girl
605544	292019	Ranch Woman
605545	194136	Tennis Client #1
605546	8569	První deva
605547	212027	Squirrel, Golden Lord Tryout
605548	106647	Neema's Guard
605549	251202	Miss Thang's Mom
605550	254649	Violet
605551	176882	Stacy Flanagan
605552	86274	Girl at Airport
605552	188507	Girl in Shower #2
605552	257646	Miss March
605552	257828	Herself (Miss July 1988)
605552	257844	Miss September 1988
605552	279323	Cody's Girlfriend
605552	296352	Herself
605553	143188	Treva
605554	392911	Marion
605555	394794	Lus (1996-2000)
605555	411311	Nikki De Vlieger (1995-1997, 
605556	14828	Marta Venieri
605556	102364	
605556	102365	
605556	112926	
605556	113707	
605556	193422	Adele
605556	286418	Wife
605556	286593	
605556	307447	Elvira Palmucci
605556	309400	
605556	327198	
605556	348203	
605556	351010	Bianca La Nipotina
605557	220493	Madame A.Bartelens
605558	384808	
605559	222412	Actriz television
605559	380795	Ivette
605559	383471	Lorena Campos 'Mama de Cassan
605559	385502	Sonia
605559	392960	Silvana Palacios
605559	398469	Sandra
605559	402077	Karla Greta
605559	404172	Karla Greta
605559	404869	Edith
605559	405318	Rossana
605559	406056	Vanessa
605559	409908	Francisca Rivero
605559	410477	Mariela Andrade
605560	58232	Nadine
605560	69380	Jeune catholique 2
605560	273942	Carotte
605561	335812	
605562	187062	
605563	144141	
605563	145494	
605563	159608	Lina
605563	171568	Wab'n
605563	211828	Schwester Emilie
605563	225648	
605563	226240	
605563	281754	
605563	282104	Frau (Gast)
605563	301036	
605563	376287	
605563	377343	Wehwehchen
605563	377344	Wehwehchen
605563	377345	Wehwehchen
605563	377346	Wehwehchen
605563	377347	Wehwehchen
605563	377348	Wehwehchen
605563	377349	Wehwehchen
605563	377350	Wehwehchen
605563	397949	
605563	411526	
605564	308891	
605565	246015	Patty
605566	232469	Mary-Rose
605567	236295	
605568	97532	Nun #2/Mountie
605569	2252	(segment "Teuf d'enfer, La")
605570	98344	Krankenschwester
605570	152759	Kundin
605570	259602	
605570	307557	
605570	325382	
605570	325567	Sekretärin
605570	358850	Hedwig Tell
605570	375869	
605570	381694	
605570	405696	Sanatorium Nurse
605570	411096	
605571	51256	Count Kate de Milesi
605571	84755	Reditelka internátu
605571	180576	Aunt Hedvika
605571	239435	
605571	266533	Mother
605571	322675	Mother
605572	317335	Sue
605573	148247	Marvel Renfroe
605574	190810	Doris
605575	303875	
605576	86907	Monique
605576	172451	Apalachia Annie
605576	359149	Cappuccino
605577	2232	Real Estate Couple
605578	378341	First Sweetheart
605579	378341	Second Sweetheart
605580	231779	Model
605581	177935	
605581	191919	Herself (specialty act perfor
605582	179556	
605582	298248	
605582	391279	
605583	138716	Kirsty Knight
605583	186395	Jodie Keane
605583	186421	Jodie Keane
605583	186422	Jodie Keane
605583	200911	Renee Price
605583	393206	Mrs. Emilia Smythe Rothschild
605583	404880	Chrissy
605583	405209	Kirsty Knight (1992-1998)
605583	411814	Kora
605584	405209	Belinda (1997)
605585	352878	Herself
605586	191217	Mrs. Ryder
605586	330505	Annie Jeffries
605587	303558	Plump Wife
605588	29706	Ex-femme du beau-frère
605589	345092	Courtesan, Blue Villa
605590	129762	Elizabeth Winthrop
605590	169142	Pamela
605590	206881	Jane Banks
605590	297912	Jenny
605590	330639	Alex Mackenzie
605590	331465	Mary McDhui
605590	358803	Jane Banks
605590	358832	Herself (actress/Jane Banks f
605590	398990	Desiree
605590	409666	Lily Hawkins (6 episodes 1975
605591	60274	The midwife
605591	385299	Deborah Crisp
605592	16092	Cathy
605592	48024	
605592	54490	Deirdre
605592	57227	Anna Peters
605592	99968	Emma
605592	116542	Veronica Sands
605592	142897	Lady Percy
605592	142898	Lady Percy
605592	154379	Herself
605592	165448	Mary Rivers
605592	188890	R747
605592	235467	Nancy Rimmington
605592	240754	Emma
605592	288476	Margaret
605592	331611	Irina
605592	334111	Betty Spencer
605592	366767	Valerie Creek
605592	382659	Lady Cora Peters
605592	382663	Lady Cora Peters
605592	384112	Kate Carter
605592	394232	Clover Carr
605592	397945	Cossette
605592	400080	Nell Trent
605592	404964	
605592	405874	Betty Spencer
605592	409841	Mrs Sedley
605592	410672	Mrs. Pipkin
605593	385299	Wendy Crisp
605593	397182	Anne-Marie
605594	294990	Shurik
605595	323366	
605596	303802	Younger Avdotya Petrovna
605597	270910	Female Mourner
605598	313076	Dancer
605599	177696	Marcy
605600	364752	Club patron
605601	5360	Ramona
605602	27952	Kathy
605602	40659	Brenda Dunlap
605602	64842	Susan's Mother
605602	100198	Cindi
605602	142422	Sister Daisy
605602	176965	Dolly Luna
605602	203328	Lady La Flame
605602	229428	Linda Roenick
605602	272031	Lynn
605602	281997	Josie
605602	307264	Waitress
605602	308738	Corkie
605602	310423	Fawner
605602	383768	Laurie Killman (Sister Crysta
605602	391317	Sister Daisy
605603	175573	Sister's Friend
605604	126705	Young Arlie
605605	127112	An Old Lady
605605	150746	Mrs. Goodlippe
605606	51567	Maquilladora TV
605607	18347	Danielle
605607	32372	Monita
605607	86384	Anja
605607	107280	Mother Romy
605607	202700	Isabel
605607	205509	
605607	210122	Laura
605607	229380	Joke
605607	229381	Joke
605607	229382	Joke
605607	290073	Veerle
605607	318470	
605607	336422	Alice
605607	336428	Ann
605607	373532	Mevrouw Van Camp
605607	394604	Els
605607	394758	Anita Lenaers
605607	398025	Netje
605607	401348	(2002-)
605608	110749	Girl at hospital
605608	287414	
605609	260605	
605610	252923	Herself
605611	232321	Dry Cleaning Customer #2
605612	7019	Saloon Singer 1
605612	73643	
605613	293020	Ivy Jenks
605614	80691	Sidekick
605615	108956	Party Family
605616	11258	
605616	150855	Milly
605616	164663	Nurse
605616	177021	
605616	363159	Nurse
605617	145066	Girl at Pool
605618	273872	Kaye Wilson
605618	315479	Kaye Wilson
605618	346143	Diane Rainwater Uttley
605619	191883	Harrison
605619	300945	Cammie
605620	342688	Singer
605621	193460	Chip
605622	228494	Mercedes
605623	44945	Danseuse Ophélie Winter
605624	264111	
605625	285680	D.D. Girl #1
605626	100087	Redhead
605626	112853	Maman Raigice
605626	285310	'Sweet' Denise Schneider
605627	344498	Heather Grimes
605628	56871	Joanna
605628	148317	Amanda
605628	358377	Amy
605629	5848	Monica
605629	199163	Clio
605629	204210	Esther
605629	304889	Jinny
605629	403492	Chris (1960-1961)
605630	187328	Young Margaret
605631	185182	Toaster
605631	223848	Woman on Street
605632	324567	
605633	2252	(segment "Exclusion, L'")
605634	197050	Florentina
605635	68367	Dany
605636	265230	
605637	393853	Sarah
605638	5383	Eleanor Darling
605638	8179	Jean Oliver
605638	21453	Emmie Sykes
605638	32209	Mrs. Gardner
605638	64586	Zaidee
605638	79402	Mrs.Rutland
605638	84362	Mrs. Farragut
605638	92843	Mayme
605638	94604	Grandma Crockett
605638	98143	Aunt Susan
605638	108300	Mrs. Abercrombie
605638	120641	Mrs. Vandecar
605638	130712	Miss Pommesby
605638	147609	Mrs. Nielson, Patient
605638	163359	Mrs. Pennington/Mrs. Smith
605638	167626	Adelaide Frost
605638	191990	Mia Pinneberg (Hans's stepmot
605638	194118	Mrs. Wilson G. Wilson, a Cust
605638	196881	Mrs. Rosalie Duncan
605638	203323	Mrs. Reid
605638	214187	Mrs. Waldo-Walker
605638	235596	Mrs. Van Dusen
605638	238878	Martha Striker
605638	249623	Sarah
605638	257798	Rosa Derblay
605638	260419	Countess Maggie Tubbs DePuizz
605638	275678	Fernande
605638	294919	Anastasia Gnu
605638	314261	Olga
605638	330025	Minerva Twine
605638	330096	Mrs. Lily Mortar
605638	358451	Madame Rose
605638	363248	Jane Summers
605639	55477	Anatomical Contortionist
605640	118268	Hawk-Faced Waitress
605641	321423	Karen
605642	103206	
605642	285768	
605643	381455	Reporter/Newsreader
605644	66726	Spice girl
605645	128478	Stewardess
605645	184346	Jojo
605645	184348	Jojo
605645	395094	Jojo
605645	395095	Jojo
605645	404282	Rima Beaufort (1990)
605646	194813	Mother
605647	27437	Patty Renault
605648	273514	Sigrid
605649	45875	Therapy Nurse
605650	312266	Squanto's Mother
605651	102733	Art Student (episode "Model S
605652	64659	Character Bungee Act (Palmier
605653	254649	Nurse
605654	92908	Tanya
605654	331310	Angela
605655	300860	Herself
605656	215876	CIA Agent
605657	152603	Child
605658	83227	La serveuse
605658	83341	Marthe
605658	152621	La servante de l'hôtel
605658	199933	Eva
605658	202699	
605658	254718	
605658	336613	
605658	339492	Agathe
605658	346757	
605658	386251	Sabine
605658	390436	Mme Bainot
605658	391927	
605659	309732	Jeanne d'Arc
605660	287491	
605661	358899	Tante Kaniba
605662	24587	
605663	66950	Mother
605663	282928	Debrah Ann
605664	9404	Herself
605664	387544	Herself
605665	169577	Guest
605665	189306	
605665	376987	Mme Derouin
605667	111039	Valérie Alpegue
605668	51424	Madame Rossi
605668	111039	
605668	214011	Narrator
605668	295217	
605668	405972	Nathalie
605670	339882	Mabel
605671	271174	Joy
605672	196048	Jerri
605673	187231	Teenage girl
605674	55933	
605675	26717	Showgirl
605675	133705	Marcia, new receptionist
605675	143570	Blonde
605675	149394	Vikki
605675	273629	Karen, the waitress
605675	341752	Actress
605676	42779	Elloise Noble
605676	65809	Liz Price
605676	137570	Lauren Hayward
605676	137970	Nellie Bolster
605676	149828	Grace
605676	329418	Tegwyn Flack
605676	333047	Katherine
605676	390917	Voice of Dovis
605676	402905	Gerry Sano
605676	406088	Kylen Celina (1995-1996)
605677	127102	Aunt Violet
605679	269692	Gothic Girl
605680	299899	Bertha Mae
605681	135772	Darby
605682	251235	
605683	326607	Kara Kennedy
605684	279010	
605685	64409	Neighbor
605685	105711	
605686	333685	FireGirl
605687	69895	Herself
605688	303863	Acme Comedy Theater
605689	404147	Model (1972-1974)
605690	224271	
605691	8999	Dr. Mary
605691	40228	Robin Weaver/Secretary
605691	92618	Dr. T's Patient
605691	265749	Baliff
605691	347244	60-year-old woman
605691	397371	Additional Voices
605691	411355	Second Jessamine Sister
605692	166939	Video Store Patron
605692	191991	Dog Walker #2
605692	341455	Carriage Passenger #3
605693	274427	Wanda's Girl
605693	308738	Incredulous Woman
605694	333430	Sleez Girl
605695	42779	Kate
605695	58771	Victoria, IBI Shrink
605695	137577	Jillian Buckle
605695	195400	Savita
605695	206649	
605695	269355	Pale Faced Vampire
605695	279176	Jill
605695	366712	Jenny Page
605696	186682	Herself (parent)
605697	40744	Office Worker
605697	224173	Ellen, AA Member
605698	337308	
605699	330005	
605700	171050	Jenny
605700	209136	Lucy
605701	346159	
605702	114836	Peasant Wench
605702	178061	Receptionist
605702	341617	Girlfriend
605702	365373	Britches (Johnny's ex-girlfri
605703	404650	Chee
605704	81179	Clara
605704	140076	Clare
605704	185602	
605705	823	
605706	365142	Julie Anne
605707	53301	Interviewee/Princess Jelhi
605707	55693	Annie Oakley
605707	55695	Herself
605707	55710	Doris Mann
605707	55719	Princess Jelhi
605707	68005	Fay
605707	81539	Anne
605707	86526	Janine
605707	110560	Diana
605707	116515	Lady Jane Ponsonby
605707	118291	Aunt Mary
605707	125820	Nancy
605707	137930	Attendant to Gertrude
605707	163503	Julie Singleton
605707	168531	Mandy (harem girl)
605707	175565	
605707	206259	Freddie
605707	222635	Beatnik
605707	252848	
605707	296851	Bridget
605707	297105	Model
605707	307944	Terry
605707	309820	Camilla's Mother
605707	330957	Annabel
605707	362472	Interviewee/'Princess Jelhi'
605707	362855	
605707	383461	Mrs. Isobel Trimble (1995-199
605707	400049	Julie Ward
605707	408035	Millie King
605707	411531	Isabella Linton
605708	153995	
605709	252886	Martha, the Bar Maid
605709	364837	Joan
605710	193728	
605711	399295	Herself
605712	290307	Sarah O' Connor
605713	72762	Roberta
605713	156889	Carole
605713	372882	Bun Warmer Girl
605714	80996	
605715	190179	Model
605715	408128	Nan Waring
605716	131005	'Gorgeous' Goldwyn Girl
605716	235633	Helen of Troy
605716	356230	Model
605717	127304	Marie Calleaux
605717	263536	The artist's wife
605718	382304	
605719	252528	Waitress
605719	316325	Honey Blonde
605720	37334	Librarian at Hollywood Public
605721	277983	Judy Blair
605722	66019	Shirley
605723	129105	
605724	42967	Musetta
605724	131202	Gianetta
605724	138564	Gretel
605724	250640	Patience
605725	32146	Herself
605726	140953	Woman pointing
605726	162986	Moviegoer
605726	189325	Concert Goer
605726	192357	Waitress
605726	272026	Pedestrian
605726	375827	Fashion Show Guest
605727	64070	Ensemble
605728	32488	Waitress #1
605729	363262	Devon
605730	10351	Clara Duncan
605730	38136	Mrs. Bedford
605730	66942	Mother St. Agnes
605730	79891	
605730	80505	Meg
605730	113810	Mrs. Rearden
605730	151041	Elaine Monetti
605730	159078	Susan Rogers
605730	163344	Evelyn Gromberg
605730	165970	Evelyn Downs
605730	175184	Forward American Girl
605730	185830	Sarah
605730	188392	
605730	196536	Mrs. Shavelson
605730	206900	Jane Addams
605730	218339	Julia
605730	231871	Mrs. Thueson
605730	257264	Peg
605730	301266	Catherine Woolton
605730	303262	Rhoda
605730	313206	Adrian Caulfield
605730	315533	Elaine March Simms
605730	323147	Sarah
605730	337121	Mrs. Fenn
605730	345066	Mary's Mother
605730	363726	Ruth Adams
605730	383385	Mrs. Brady (1982)
605730	385157	Mrs. Annie Andersen
605730	385824	Martha Evans (1977-1979, 1982
605730	396084	Lily Chernak Donnelly (1970-1
605730	400772	Professor Tyler (1985-1986)
605730	403730	Mrs. Andy Warner
605730	408128	Mary Claire 'Pogo' Thurmond M
605731	17696	Bellevue Matron
605731	77414	Chorus Girl
605731	154853	Ruby Smith
605731	192634	Moira
605731	283371	Miss Matty
605732	294	Ellie May Clampett (Beverly H
605732	295	Ellie May Clampett (Beverly H
605732	27260	Ellie May Clampett (Beverly H
605732	35507	Herself
605732	54930	Marjorie Burke
605732	118979	Frankie
605732	187307	Herself
605732	189153	Bit part
605732	196405	Deborah, Peter's Secretary
605732	276740	Elly May Clampett
605732	381806	Elly May Clampett (1962-1971)
605732	401259	Letters Girl, 1957
605732	406526	Billboard Girl
605733	94527	Eleanor
605733	245121	Hatcheck Girl
605734	97699	Sally Jean
605735	54305	
605736	109851	Molly O'Brien
605737	203786	TWA Stewardess #2
605738	363813	
605739	18854	Miss Hawk
605739	65914	Mary
605739	107042	Linda
605739	157603	Mrs. Hallum
605739	232319	Bespectacled Lady
605739	249265	Old Lady in Art Gallery
605739	261041	Landlady
605739	315237	Hannah
605739	319156	Daisy
605739	372717	Edna
605739	380798	Audrey
605739	388133	Kathline
605739	405217	Alice Marlowe
605739	407892	Aunt Florence
605739	410978	Nell, Ruth's grandma (1998)
605740	330590	Secretary
605741	269841	American Woman
605742	1703	Herself - Presenter
605742	7088	Dr. Mona Zimmer
605742	10156	KJ
605742	11022	Lilliana Methol
605742	33491	Teresa Luciano
605742	45404	Celena
605742	47048	Herself
605742	52376	Olive Ransom
605742	53327	Anita Dick
605742	54209	Lori Davis
605742	59858	Alyssa's Roommate
605742	95135	Heidi
605742	115739	Narrator
605742	116290	Laura
605742	127237	Roberta Allsworth
605742	131780	Rosie
605742	132454	Denise Waverly/Edna Buxton
605742	134321	Leslie
605742	135569	Nan (Zanuck's secretary)
605742	137033	Georgia Feckler
605742	138912	Doreen Schaefer
605742	142541	Mother in Park
605742	151187	Evelyn Santangelo
605742	169921	Laurel
605742	170746	Angie's Neighbor
605742	178175	Joyce Rothman
605742	184714	Anna Lansky
605742	185704	Voice in Crowd
605742	201674	Herself
605742	211764	Lina Paul
605742	215741	Julie Conroy
605742	230663	Kiki Pierce
605742	230947	Paulette's Friend
605742	231088	Elizabeth Ryder
605742	252955	Herself
605742	253007	
605742	255345	Darcy O'Neil
605742	256838	Herself
605742	258887	Kate
605742	270008	Woman at Book Party (Elizabet
605742	282350	Edith Roosevelt
605742	291897	Marie Davenport
605742	314965	Lisa
605742	319627	Herself
605742	320106	Cameo
605742	330386	Julia Bullock
605742	334154	Janice Maretto
605742	347898	Herself
605742	360670	Jasmine
605742	379201	Wendy Ward
605743	11521	Mrs. Pruitt
605744	137223	Dancer
605745	230934	Art Gallery Guest
605746	45830	Carribean Attendant
605746	402954	Jessica Margret Leya 'Jessie'
605747	105204	
605747	203917	Woman in Lobby
605747	318607	Churchgoer
605747	363575	Co-ed
605747	372618	Maid
605748	85848	Petey
605748	164620	Mrs. Stossel
605749	75678	
605750	155072	Party Girl
605751	2861	
605751	16909	WAAFS
605751	187084	Herself
605751	291081	
605751	331326	
605751	365716	Doctor's Receptionist
605751	405527	Hostess
605752	389858	Idios Ward (1994)
605753	77294	Rebecca's Mother (voice over)
605754	193207	Mrs. Wyatt
605755	106821	Director
605756	79861	Mary
605756	121580	Connie
605756	176739	Rita, Green Glades Nurse
605756	222587	Rosamund Shane
605756	263967	
605756	279400	3rd Echelon Receptionist
605756	411967	Maya
605757	324983	Drive-in patron
605758	292457	Woman with Bowl
605759	220329	Herself
605760	110974	Telephone company girl
605761	20474	
605761	35725	Girl at Circus
605761	115214	Hostess
605761	147543	Girl
605761	246215	Girl
605761	273513	Guest at Ball
605761	305498	Singer at the Raven Club
605761	362927	Laurie Sykes
605761	372461	Performer
605762	32671	High Priestess
605762	33802	Catherine
605762	60188	The Lady
605762	78640	Mrs. Garry
605762	81574	
605762	88271	Mrs. Dixon
605762	105163	Lady Browning
605762	107435	
605762	130609	Lady Dunacre
605762	139757	Mrs. McDougal
605762	178052	Mrs. Wick
605762	184282	
605762	193608	Mrs. Hope
605762	197664	Lady Westbury
605762	224057	
605762	235611	Tiny Higgs
605762	301534	Mrs. Lee
605762	329837	The Blonde
605762	347105	Baines
605762	362088	Mrs. Box
605763	150753	Marjorie Jones
605763	153633	Helen Plugenet
605763	158116	Marian
605763	170824	Eleanor
605763	192087	Jessie Moore
605763	207436	
605763	246339	Eileen Adair
605763	311747	Ethel Grimshaw
605763	311753	
605763	328009	Countess Leonora (segment "Il
605763	362805	Julie Warner
605764	324948	Terry Moran
605764	337587	Peg Masters
605765	78034	Oliver's secretary
605766	323521	
605767	16037	Andie's Landlady
605767	80617	First photo receptionist
605767	112188	Irate Shopper
605767	150831	Mrs. Mitchell
605767	389700	Grannie Waggett
605767	396329	Nana McGill
605768	289517	Sara
605769	115269	Women Coalation Diner Patron
605770	119357	Ninth Grader
605771	102117	Coffee
605772	276428	Woman in Upper Room
605773	16844	Malú del Rey
605773	24375	Magdalena
605773	55898	
605773	55948	
605773	71113	Carol Grand
605773	74137	
605773	76013	La Mayora
605773	77250	Peregrina
605773	97367	
605773	120908	
605773	135282	
605773	145237	Adelina
605773	159525	
605773	162797	Claudia
605773	218099	Mina Amanda
605773	222035	
605773	222121	
605773	236432	
605773	248762	Lucia
605773	264238	
605773	279060	
605773	281766	
605773	281791	Marta
605773	286420	
605773	292731	
605773	301188	
605773	328040	
605773	350066	
605773	379206	
605773	380114	Leticia Gallardo
605773	387824	
605773	389790	Amalia
605773	390868	
605773	397596	
605773	411693	
605774	279979	
605775	348106	Herself
605776	211508	Lady-in-waiting
605777	312341	
605778	157516	Lady Meredith
605779	364513	Mother in Bathroom
605780	83988	The She Devils
605781	88867	Players Ball Dancer
605781	130311	Dancer
605782	335510	Simpson
605783	16465	Girl #1
605783	31877	
605783	128847	Eleanor
605783	271297	Girl
605783	286121	Nurse
605783	347855	Local Girl
605783	365424	
605784	187837	Lenz édesanyja
605785	40537	
605786	409579	Herself
605787	117552	Girl at bar
605788	44238	Louise
605788	87522	Susan
605788	122638	BJ Harwood
605788	148569	Airport Worker
605788	237887	
605788	264234	Biology Teacher
605788	329816	Mrs. Braddock
605788	346933	Receptionist
605788	362791	Dr. Walker
605789	139650	Alicia Spinnet
605790	330912	Secretary
605790	393033	Renee Carroll (season 2 only)
605790	399262	Gwendolyn Pigeon
605791	12404	Glamorous girl in gaming club
605791	32217	Beauty contestant
605791	53273	Automation Bunny
605791	55690	Antony's Dusky Maiden
605791	55693	Kitikata
605791	55702	Girl at Dirty Dick's
605791	55710	Girl
605791	55714	Amazon Guard 5
605791	116515	Harem girl #8
605791	125635	Concubine
605791	168330	Girl dancing in club
605791	208087	Girl at inn
605791	216032	Glamorous girl at theatre par
605791	267449	Harem girl
605791	273640	Jim Smith acolyte
605791	287259	Harem Girl
605791	300842	Secretary
605791	317430	Whore in pub
605791	329501	Girl at casino
605791	348358	Titta
605791	354516	Glamorous daughter in crowd
605791	360900	
605791	397671	Mitzi
605792	402936	Assistant (1967)
605793	171729	Beth
605794	20987	Sara
605794	22722	Dr. Emily Hill
605794	31200	Herself (CBS Team contestant)
605794	31855	Lyranna
605794	48289	Diane
605794	59142	Sarah
605794	69044	Queen Taramis
605794	77220	Gala
605794	82669	Surgeon
605794	92656	Dracula's wife
605794	98156	Leona Stark
605794	104048	Miss. Peggy
605794	113380	Catherine
605794	142390	Daneeka
605794	201627	Herself
605794	201770	Herself
605794	209219	Monica Shavetts
605794	211479	Miss Radson
605794	215176	Nicolette
605794	218384	Countess Natasha 'Nasty' Drac
605794	232372	Roa
605794	252476	Lady Charlotte Cunningham
605794	267349	Elsa Toulon
605794	269617	Madam Maaydeed
605794	276732	Dr. Lana Zurrell
605794	276779	Lt. Col. Sinclair
605794	292785	Beautiful Girl
605794	303818	
605794	307273	Shandray
605794	311407	Carla Davis
605794	314269	Kay
605794	314442	Dr. Frances Borzage
605794	319602	Ursa
605794	319613	Ursa
605794	323043	Mrs. Sands
605794	334343	Karnissa
605794	356784	Prof. Conner
605794	388237	Pamela Lynch (1983-1985)
605794	391267	Col. Magnilda Rykka
605794	392825	Jennie Garrett
605794	408162	Bella Harrington
605794	409744	Pamela
605795	388653	Courtney Simpson (Seasons 1-3
605796	116372	Gail
605796	125826	Diana Melton
605796	167684	Kim Reynolds
605796	228828	Trudy
605796	244841	Suzanne Carter
605796	360783	Mrs. Errol Jr.
605797	385299	Mrs. Mackenzie
605798	30182	Grandma Greenfield
605798	63103	Ellen Layton
605798	80592	Laura
605798	150826	Elizabeth Dickson
605798	168258	
605798	168766	Mrs. Hardwick
605798	186306	Myra
605798	193519	Mrs. Starch (piano teacher in
605798	211727	Duchess DuBarry
605798	273496	Edna Besley ('Cursed with Cha
605798	274546	Schyler Noyes
605798	291447	Dadapopoplous' wife
605798	296742	Nicole
605798	296756	
605798	297790	Vivian Karney
605798	300173	Marie
605798	342018	Lena
605798	359573	Mrs. Lawson
605798	367638	Peg
605798	388871	
605798	389264	Narrator
605798	391115	Kitty (#1) (pilot)
605798	405373	Infectia
605798	411211	May Bailey
605799	45621	Hilling's Secretary
605799	55691	Countess Joanna
605799	304800	Rhoda Comfrey
605800	9254	Shop assistant
605800	92881	Receptionist
605801	324983	Drive-in patron
605801	390771	Kathy Roberts Lang Grant Hold
605802	100124	Herself (historian)
605803	267530	
605804	319037	Jessica
605805	49973	Crying Woman
605807	26971	Colleen
605807	44005	Attractive woman
605807	137620	Katherine
605807	287701	Janet Brower
605807	296785	Anchor #2
605807	398257	Vorpax
605808	406822	Make-up Artist
605809	360544	Mrs. Brown
605810	405183	Marnie
605811	41253	
605811	105397	Harry's Brunet Companion
605812	386717	Host
605813	360269	Herself
605814	360269	Herself
605815	65811	Implantee
605815	94741	Old Woman in Car
605815	257963	Martha
605815	347681	Mrs. Fitzgerald
605816	255168	
605817	408191	1st village woman
605818	6932	Receptionist
605818	38021	Nurse
605818	40140	Middle Aged Woman
605818	69416	Waitress
605818	88102	Prin
605818	97351	Emma Forbes
605818	116079	Wife
605818	126648	Müller's Neighbor #2
605818	167591	Katz
605818	168630	Lipke
605818	223815	Phillis
605818	224224	Nurse #2
605818	254923	Woman Juror
605818	321667	Upper Class Woman
605818	327063	Eddie Hermosillo
605818	379165	Nettie Kutcher
605819	121374	Office Worker
605819	255442	Young Girl
605820	5168	Ella
605820	69834	Sylvia Elsworthy
605820	105196	Merritt Foster
605820	276929	
605820	397859	Mrs. Whitelaw
605821	279979	
605822	8023	OEM Official
605822	31192	Herself (NBC Team contestant)
605822	46367	Katherine
605822	65779	Gussie
605822	69691	Jamie Hamilton
605822	119633	Victoria Case
605822	128711	Karen Heineman
605822	130767	Candy Martin
605822	143248	Carly Perkins/Parl Parsons
605822	151228	Lt. Joanne Beaumont
605822	193761	Danielle
605822	219182	Eve Warwick
605822	249494	Jill
605822	281054	Kate Mallory
605822	314949	Assistant D.A. Daphne Delgado
605822	328033	Martha Gribb
605822	389665	Jamie Hamilton
605822	392159	Lt. Jeanne Beaumont
605823	12813	Old Lady
605823	58483	Angie
605823	69258	Dr. Bailey Wallace
605823	137620	Eunice Perry
605823	151458	Angela
605823	154869	'Rainbow House' star
605823	159862	Brenda Tate
605823	163523	Herself
605823	165853	Gloria
605823	178886	Ginny Ducette
605823	185759	
605823	290378	Tomika's Mother
605823	291922	Margaret
605823	309658	The Mother
605823	317333	Gretchin
605823	324742	Amy
605823	379410	Yvette Carruthers
605823	400849	Jerri Peterson
605823	406629	Host
605825	12365	France
605825	69119	Véronique, Foraz
605825	71822	Stéphanie
605825	110134	Claudie
605825	149679	Fabienne Rousseau
605825	157235	Catherine Brisset
605825	162303	Une fille de joie
605825	170294	Dottie
605825	202007	Clotilde
605825	208227	Lucille
605825	228706	Agnès
605825	261811	Maguelone
605825	266402	Marguerite
605825	268445	Marie-Thérèse
605825	268458	Elisabeth
605825	345121	Juliette
605825	346566	Claire
605825	373344	Yvette
605825	377067	Laura
605825	379177	Muriel
605825	386573	Patricia Ratenaux
605825	389784	Marguerite
605825	396622	Anne-Marie Clovis
605825	399193	Béatrice Fourcaux
605826	1939	
605826	23731	Lydie
605826	43401	Liliane
605826	59433	
605826	82338	Julie Clapet
605826	87692	Louise
605826	104241	L'infirmière amoureuse
605826	118480	
605826	134617	Nadine
605826	240429	
605826	336941	
605826	376899	
605826	397920	
605827	21822	Sayuri Ozawa
605827	88677	
605827	144415	
605827	149887	TV reporter
605827	169734	Nakamura
605827	174061	Chizuru Jinbo
605827	174716	Yumiko Haneda
605827	174717	Yumiko Haneda
605827	178247	Eri
605827	182471	Dr. Akiko Miyajima
605827	195807	Nisedaiyamondo Salesgirl
605827	204837	Female teacher
605827	206785	Nana
605827	213593	Saeko
605827	232904	Miki
605827	292074	Himura
605827	320762	Hoshino
605827	324285	Pearl Diver
605827	335268	Dr. Hosono
605827	371953	Reiko Misaki
605827	400480	Reiko Mochizuki
605828	257720	
605830	308768	Amy Rose
605830	308769	Amy Rose
605830	308770	Amy Rose
605830	308778	Amy Rose
605830	308784	Amy Rose
605831	400680	
605832	44	Beatrice
605832	191857	Terri Haynes
605832	295320	Flo
605832	328637	Reporter
605832	331112	Tracy
605832	353394	
605832	389356	2nd Reporter
605833	364391	Wife
605834	33375	Ward nurse
605834	191394	Sylvia, Jimmy's Mother
605834	305159	Nurse
605835	336725	Agnès
605836	6323	
605836	58061	L'ancienne amie de Corey
605836	60030	
605836	77027	
605836	87902	La comtesse (court-métrage)
605836	99486	
605836	100605	
605836	116413	
605836	129528	
605836	171321	Laura Tellier
605836	174476	
605836	246614	
605836	253581	
605836	261708	
605836	287976	
605836	296049	
605836	321948	Jenny
605836	329169	
605836	396370	
605836	407902	Herself
605837	258313	Un élève de la 4e techno
605838	7460	
605838	23784	Mme Brignon
605838	23798	Mme Parolle
605838	40217	
605838	57504	
605838	57891	Shopkeeper's Wife
605838	62795	Guitte
605838	64318	La concierge
605838	70496	
605838	84612	Marie
605838	94345	
605838	94700	
605838	101511	Mme Hortense
605838	103660	Marguerite
605838	108210	Constance en 1973
605838	108886	La dame témoin
605838	122417	La grand-mère
605838	130117	
605838	133175	Tante Yvette
605838	156550	La logeuse
605838	162609	Mme Floche
605838	205358	La vieille femme
605838	238486	La grand-mère
605838	239218	Fernande, la cuisinière
605838	249728	
605838	256808	
605838	259264	La vieille aux chats
605838	303478	Mme Marinelli
605838	340160	
605838	354941	La grand-mère
605838	371422	
605838	372951	
605838	379103	
605838	389271	(segment "Madeleine")
605838	396187	
605838	397856	Tante Agathe
605838	398054	La Forest
605838	403178	Agathe
605838	404129	La sourde (1968)
605838	409435	Mme Thouard
605838	409440	
605838	409532	La voisine
605838	410473	
605839	311172	
605840	60489	
605840	74277	Monique
605840	207820	
605840	314808	Ricky
605841	185389	Waitress
605842	192927	Herself
605843	241174	La Tante
605844	237331	
605845	101175	Koumba, la tante
605846	276505	2eme Femme
605846	287616	La p... sur la route
605846	311671	Lady 'Prisunic'
605847	155857	Miss Belgium
605848	395381	Olia
605849	35779	Dina
605849	150075	Eden
605849	192243	Posse Member
605849	326246	Taylor Manning
605849	346405	Jana from Season 1
605849	349069	Nera
605850	388646	Irinas mor
605851	316561	
605851	379466	Hara
605851	394037	Sylvia
605851	401315	Hara
605851	406756	Lola
605852	98160	Linda
605852	330799	Celeste Kinski
605853	51950	Pretty Girl
605854	126936	Mlle. Dalila
605855	339996	
605856	27820	Zuzu
605856	70770	
605856	70909	
605856	103746	Penha
605856	233527	
605856	332907	Matilde
605856	380196	Ieda
605856	380242	Alzira
605856	380331	Alzira Noronha Machado
605856	383677	Ivonete
605856	387833	Mariusa
605856	388065	Lucineide
605856	388565	Rosália
605856	395089	Joana
605856	400673	Branca
605856	400678	Nancy
605856	402506	Lala
605856	403118	Magu
605856	403171	Morena
605856	403733	Efigênia
605856	403738	Matilde
605856	404912	Santinha
605856	404915	Mafalda
605856	405990	
605856	407864	
605856	408944	Serena
605857	208220	
605857	294796	Invitée d'Alice
605857	345461	Henriette jeune
605858	32021	
605859	97149	
605859	269742	Marie
605859	318635	Danseuse Hindoue
605862	132887	Yaël
605863	322335	Extra
605864	354178	The Girls
605865	351884	Girl
605866	377068	
605867	241979	
605868	29116	Young woman at the restaurant
605869	6384	Evelyne, Garcia
605869	115345	Michèle Charpin-Vasseur
605869	120971	Guillemette
605869	125744	Admirer
605869	164202	L'aide-soignante
605869	189105	Leïla
605869	224894	La Coiffeuse
605869	367255	Amaia
605869	384215	Camille Rivais (2001-????)
605870	26633	Bridal Shower Hooker
605870	275996	Gootee Dr. #3
605871	249749	Nina
605872	111693	Batta Maldagna
605873	306431	Butchershop Customer
605874	317672	His lover
605875	54953	Townsperson
605876	2130	Milady de Winter
605876	365706	Margaretha van 't Sant
605877	306464	
605878	285810	Wise woman
605879	8513	
605879	15800	
605879	180416	
605879	180560	
605879	248035	
605879	248037	
605879	280333	
605879	280334	
605879	280335	
605879	294806	
605879	323075	
605879	338997	Ketty
605879	379415	
605879	386408	
605879	396620	
605879	400937	
605880	61876	Géraldine
605880	68362	La femme dans l'avion
605880	68367	Neighbour
605880	237319	Maud
605880	254851	
605880	278734	Camille Sétine
605880	303492	La scripte
605880	357852	La femme huissier/Usher
605880	383861	(segment "Présumé meurtrier")
605880	396043	Fan #2
605882	137224	Lucretia Martirosia
605882	298302	Vietnamese Soldiers, Prisoner
605883	300871	Punkette
605884	346346	Tattoo girl
605885	314252	Nurse
605886	3021	Herself (Memorial Tribute)
605886	6632	Elena
605886	7407	Tamara
605886	8166	Jean Hurd
605886	9041	Alice Rendon
605886	11495	Priscilla Holt
605886	13787	Millicent Howard
605886	16022	Antoinette St. Ives
605886	22996	Mary Mathews
605886	35786	Marion Taylor
605886	39811	Princess Isobel
605886	41095	Lottie OR Lurlene
605886	54950	Hélène Gromaire
605886	85819	Bit Part
605886	112512	Doris Anderson
605886	116575	Alice (modern sequence)
605886	126594	Dorothy Wells
605886	141205	Teddy O'Day
605886	143358	Lady Helen Haden
605886	147805	Herself
605886	176300	Eleanore Belmore
605886	183838	Margaret Townsend
605886	190471	Madeline Hammond
605886	193712	Helen Longstreth
605886	193737	Marcia Mayfair
605886	195863	Antoinette Frobelle
605886	196952	Eleanor Hunt
605886	199713	Nanette Banning
605886	202904	Joan
605886	206346	Sylvia Jordan
605886	232307	Yvonne Corlaix
605886	235682	Patricia Hanley Gherardi
605886	240944	Helen Hendon
605886	241584	Mary
605886	241833	
605886	244428	Edith Larrison
605886	246694	Mamie Hudler/Rodeo West
605886	259762	Alysia Potter
605886	282397	Felicity Arden
605886	291313	Herself
605886	291314	Herself
605886	294203	'Egypt' Hagen
605886	306992	The Girl
605886	315080	Sari, Countess Thurzo
605886	321387	Femme de Chambre
605886	327830	Marcia Kane
605886	331754	Olala Ussan
605886	341016	Rhoda Perrin
605886	358953	Ruth Virey
605886	365300	Sue Melberne
605886	370571	Dolores
605886	371051	Judith Peredy
605886	372933	Eve Allinson
605887	385299	Mrs. Gough
605888	18811	
605889	23954	Lily/Besty/Elsie
605890	194809	Nursing Home Proprietor
605890	379220	Mrs. Copstick
605890	387533	Elizabeth Feldmann/Pollard (1
605891	18193	Herself
605891	121997	Herself (Volume III: Seers)
605891	409575	Herself
605892	251420	Kelly Girl
605893	122619	Nancy
605895	309706	Sarah
605896	129582	Jane
605896	254243	Shannon
605896	394003	Presenter
605897	5073	Lucia
605897	5447	Margaret
605897	6294	Anna
605897	9657	
605897	14759	
605897	20796	
605897	84220	Aphrodee (segment "Lysistrata
605897	90755	Ciocclahani's Woman
605897	92052	La ragazza della maratona
605897	94673	
605897	102303	La moglie di Fernando
605897	110391	Simona
605897	136850	
605897	158702	
605897	189261	
605897	200835	
605897	204768	
605897	243307	
605897	252410	
605897	260604	
605897	274902	Kinor, a handmaiden
605897	281081	Mrs. Dollman
605897	355616	Lucy d'Astrid
605897	355787	Franca
605897	377573	Musette
605897	377574	
605898	31498	Lea
605898	87517	
605898	385907	
605899	280013	Sister Marie
605900	68307	Floyd Bingham
605900	281061	Cynthia
605901	120918	
605901	199063	
605901	352916	
605903	121819	Marion
605903	152407	Kawana
605903	315533	
605904	350588	
605905	25117	VIctoire
605906	194809	Hospital Sister
605906	315237	Fran
605906	391786	Sally Hunter (2001-)
605907	51960	Elegant Lady
605907	161922	Scientist
605907	199140	Mrs. Hill's Friend
605907	236381	Mrs. Mammarosa
605907	245909	Loretta Lipscomb
605907	274200	Mother Video
605907	366750	Woman on Phone
605908	248318	Doris
605909	163208	Zack's Wife
605910	333364	Christina - age 5
605911	222495	Woman in the Bleachers
605912	115111	Baby
605912	291744	Cina Salvia
605913	100880	Mrs. D'Arcy
605913	153210	Sister Concilia
605913	266761	Agnes Grope
605913	283361	Mrs. McKenna
605914	96763	Rosie
605914	98803	Roosevelt Daughter
605915	155255	Jan Wilson
605915	267427	Lynne
605916	263758	Abigail Eastham
605917	47017	Judy Greene
605917	139786	Miss Kelly
605917	154747	Carrie Turner
605917	276949	Laura
605917	297100	Ellen Bennett
605917	304791	Kathy Hall
605917	346339	Ann McKnight
605917	367504	Patricia Monahan
605917	372222	Ellen Hathaway
605919	316262	Karen
605920	14012	Herself
605921	110347	
605922	179708	
605922	284347	Emil's ex-wife
605922	343338	Herself
605922	410485	Herself
605923	27111	The Model
605924	11425	Anne
605924	15214	Lenora
605924	19362	Monica Bowden
605924	26256	Ms. Minifred
605924	50195	Mrs. Patterson
605924	66589	Nurse McGuigan
605924	71290	
605924	99852	Nurse Carolyn McGuigan
605924	106379	Kathleen
605924	114251	Debby
605924	117809	Eileen the Accountant
605924	124110	Olivia
605924	134017	Peggy
605924	148573	Mother
605924	163229	Carol
605924	177651	Rose Long
605924	194564	Pediatrician
605924	197067	Dede
605924	203918	Congresswoman Becket
605924	254645	Jill Beckett
605924	298852	Mrs. Preston
605924	298853	Louise Preston
605924	391262	Maureen
605924	399719	
605924	399740	Sister Maureen 'Mo' Brody
605925	232839	Tea lady
605926	231778	Mitzi
605927	365959	
605928	382838	Kylie Stanlow (II) (1998-2001
605929	77435	Maid
605930	250764	Pub Patron
605931	149198	Party People
605932	96614	Student
605932	154373	Girl on Bridge
605932	298069	
605932	298070	Hostess
605932	330180	Ann
605933	16654	Karen James
605933	44416	Mary Forrest
605933	354793	
605934	2243	Carole
605934	106767	Joyce Lehman (Miss Lehman)
605934	264048	
605934	293126	Real Estate Agent
605934	368952	Nurse
605934	381736	Kate Farrow
605935	250764	Pub Patron
605936	201706	Herself
605936	304528	Andrea
605937	283802	First Civil Servant
605937	390362	Aunt Elizabeth
605938	346258	Barkeeper
605939	158275	Tracey Boggs
605940	288264	Schoolgirl 2
605941	62961	Karen
605942	223402	Sandra
605942	240706	Sandra
605942	372868	Debbie
605942	383582	Anna
605942	385299	Ann Taylor
605942	385535	Janet King (1968)
605942	398564	Miss Parton
605942	400538	Vera Parker
605943	316564	The girl
605944	9129	Roberta Bakersfeld
605944	15943	
605944	26139	Jill
605944	67685	Mary Schofield
605945	208478	Model
605945	273306	Herself
605945	381886	Herself - Model (2001)
605946	154869	'Rainbow House' child
605946	340764	Kathleen Donlevy
605947	154869	'Rainbow House' child
605948	154869	'Rainbow House' parent
605949	245909	
605950	304447	Shelley
605951	353371	Sondra Price
605953	363906	Mrs. Gleason
605954	77989	Kim
605955	299028	Sarah
605956	405988	Millie
605956	408964	
605957	238637	Young Shelly
605958	44005	Pretty receptionist
605958	202195	Sister Evelyn Williams
605958	216669	Rita
605958	298090	Opal Gilstrap
605958	304644	Cheerleader
605959	235570	Regina
605960	316028	Caroline's Helper
605961	399977	Eliza Murphy
605962	342500	Baby
605963	94539	Animal Control #1
605963	162292	Wedding Guest
605963	232831	Nicole/Inmate
605963	364351	Car Theft Victim
605963	405336	Ginny
605964	67219	Herself - the Diary Writer
605965	245536	Choir Member
605966	10743	Nurse
605966	39468	Gran
605966	50645	Elsie
605966	63834	Crabby
605966	63835	Granny Wallon
605966	81123	Agatha Betterton
605966	86025	Chief marcher
605966	87886	Mother
605966	97611	Mother Superior
605966	118686	Sister Ursula
605966	130947	Harley Street doctor
605966	165848	Hera as Old Peasant Woman
605966	169868	Elderly Landlady
605966	201153	Maisie
605966	238953	Maid
605966	240327	Nun
605966	243160	Mrs. Green
605966	245513	Freda Marshall
605966	317900	Waitress
605966	339567	
605966	382830	Miss Branwell
605966	384766	Dulcie Green
605966	385139	Alice Liddell
605966	392483	Caesonia/The Sybil
605966	392754	Mrs. Flittersnoop
605966	395647	Mathilde Peat
605966	400081	Sally Brass
605966	400516	Florrie Hutchinson
605966	401416	Rachael Wardle
605967	243547	Surin
605967	374418	Vilification Woman
605968	46849	Siamese girl
605969	220702	
605969	286486	
605969	286492	
605970	213590	Schoolgirl
605971	405526	Catherine of Aragon (Part 1 a
605972	65226	
605973	89945	Annapuna/Unipima
605973	210541	Janet White
605973	275479	
605973	335277	Young Tommy/Vocal chorus
605973	385299	Lisa Lancaster (1987-1988)
605973	387533	Jane Hardcastle
605973	393934	Rebecca Harvey
605973	395194	Mandy Egan
605973	409248	Herself (presenter)
605974	385299	Debbie Winters
605975	404409	Mrs. Boyle
605976	59148	Woman in Loft
605976	74235	Maureen
605976	80642	Miss Higgins
605976	193957	MIA Wife #2
605976	257614	Pegeen Mike
605976	359284	Geronimo's Mum
605976	374028	Star
605977	82599	Kathleen Haloran
605978	92117	Herself - Specialty Dancer
605979	6282	Student
605979	39205	Mavis Marlowe
605979	40724	Evelyn Green
605979	44746	Dinah Moran
605979	64774	
605979	64879	Lubitza
605979	94812	Olga
605979	114870	Helen Anderson
605979	116496	Margaret Jones
605979	130243	Joanna Merritt
605979	178881	Tina Tienhoven
605979	215550	Lilly
605979	315560	Barbara
605979	315820	
605979	348327	Mary Morgan
605979	356149	Dolly
605979	361294	Rita Sloane
605981	10983	Marie
605981	16074	Maid of Honor
605981	38588	Congresswoman Clanger
605981	41759	Helen Morrison
605981	47088	Girl
605981	54754	Bertha
605981	73412	Margaret Loring
605981	75267	Doris
605981	100075	Tyrolean Girl
605981	194987	Gloria
605981	249558	Mrs. Webster
605981	278858	Francesca
605981	283566	Smitty
605981	288334	Hildita
605981	294521	Rebecca Stevens
605981	327250	Reva
605981	337483	Bianca
605981	366215	Myrna Duchane
605981	398719	Irene McDonald
605981	404570	Sally Reuters
605982	114733	Black Page
605983	1875	Mrs. Barry
605983	43461	Norma
605983	152225	Clarry
605983	184519	Miriam, the Barmaid
605983	200112	Maggie, Friese-Greene's Maid
605983	203707	Joan
605983	222770	Grena, Nightclub Hostess
605983	233929	Norma Bates
605983	260143	Pamela, Maisie's sister
605983	337759	Ella (segment The Prisoner-of
605983	367877	Rosie Gordon, the Giggling Bo
605984	61156	Female Dancer/Ensemble
605985	310171	Bio-Mechanical Warrior
605986	190774	Female Taxi Passenger
605987	65174	Deena
605987	86892	Barbara
605987	150924	Molly
605987	196516	
605987	264830	Susan Prescott
605987	316211	Dr. Webb
605987	344474	Beth
605987	384072	Ellie Lee
605987	396820	Monica
605987	404002	Lily Darnell #2 (1980)
605988	311209	Lori Anderson
605989	210435	Sally
605990	42925	Maureen
605990	80642	Lily
605990	91556	Rose
605990	112018	Girl at Dance
605990	153284	Herself
605990	158358	Policewoman
605990	168547	Herself
605990	294573	Katy
605990	326486	Young Emily
605990	332385	Mary Anne
605990	364869	Tall Thin Girl
605990	404409	Bridie O'Hara
605991	91556	Rose
605992	195400	Dr. Russell
605993	64112	
605993	65366	
605993	74320	
605993	78054	
605993	79392	
605993	88902	
605993	105271	
605993	125822	
605993	141217	
605993	145090	
605993	171169	
605993	178911	
605993	280481	
605993	291999	
605993	327597	Ann Payton
605993	337642	
605993	345870	
605993	367937	
605994	27323	Sylvia
605994	131381	Chet
605994	185841	Candy
605994	398770	Miranda
605995	11648	Helena
605995	99951	Mrs. Cole
605995	107055	
605995	177340	Cordelia
605995	200779	Justine Mahler
605995	208501	Girl on the beach
605995	209731	
605995	323482	Avril
605995	342651	Police Officer
605995	362151	Jehovah's Witness
605995	390168	Joyce Hadleigh/Bradley
605995	393068	Lillian (1981)
605995	395755	Jo March
605995	405217	Sylvia Pankurst
605995	407416	Avril (1969-70)
605995	410580	Princess Maria Bolkonskya
605995	410714	Myra Bawne
605996	332947	
605997	284442	First Violinist
605999	46572	Mutant
606001	1072	Dist. Atty. Murphy
606001	1209	Annabelle Proctor
606001	7972	Herself
606001	11539	Laura
606001	19798	Joan Madou
606001	31856	Morgana
606001	35184	Lady Bobby Ayres
606001	45999	Luana
606001	71664	Ilona Nodosheen, Elisabeth's 
606001	81321	Olivia Regent
606001	108330	Anna Novacek
606001	114127	Miriam/Madame Lucienne/Miss B
606001	120396	Speaker
606001	120459	Rosemary Seaton (segment "Doo
606001	138482	Margaret Sellinger
606001	141401	
606001	152723	Esmeralda
606001	159261	Anne Kingston
606001	177582	Queen Beatrice
606001	183877	Morganna Ross
606001	192102	Anne Egerman
606001	209545	Emily Meeks
606001	209683	Hooker Nurse
606001	222362	Linda McClelland
606001	222682	Bridget Conway
606001	232282	Christine Turner
606001	232300	Geneva
606001	234677	Flax
606001	241239	Phyllis Dixey
606001	245049	Elaine
606001	253000	Helen Coburn
606001	256257	Olga
606001	260329	Cecilia
606001	282313	Gillian Bromley
606001	289096	Lillian
606001	289356	Lucy-Ann
606001	289758	Herself
606001	290352	Diana
606001	292302	Eve
606001	302399	
606001	310959	Erica Baron
606001	334223	Diana Carver
606001	347187	Unity Mitford
606001	372082	Dr. Susan Chandler
606001	372577	Barbara
606001	382419	Jacqueline Payne Marone (2003
606001	385594	Stephanie Rogers (1990)
606001	391262	Madeline Main
606001	395163	Chloe
606001	399684	Madeline LaMotte Main
606001	399685	Madeline Fabray LaMotte
606001	406952	Olivia Richards (original cas
606001	409666	Georgina Worsley (22 episodes
606003	112984	Herself
606005	179184	
606005	181361	
606005	248000	
606006	42992	Francine
606006	49642	
606006	130979	Alison Edwards
606006	228515	Diana
606006	246479	
606006	291542	Kim
606006	317934	Margo Elston
606007	320759	Dot Callum
606007	320760	Dot Callum
606008	233802	Kathleen Pearson, as a child
606009	240586	
606010	17679	Julia Devlin
606010	97212	Nellie
606010	153210	Radio Voiceover
606010	185640	Nora Hartigan
606010	350349	Pregnant Woman Customer
606011	152826	Sue Saunders
606011	218136	Eve
606011	366427	Gretel
606011	382917	Kathy (1975)
606011	410653	
606012	17319	Teacher
606013	82696	Mother of kid
606014	5885	Secretary
606014	253093	Maggie Buckley
606015	79083	Julie
606016	232187	Roxy
606017	5013	Dympna
606017	42832	Mother
606017	360076	Airport Announcer
606017	388596	Gráinne
606018	284938	TV Reporter
606019	80610	Jessica Sharp
606020	212963	Dawn
606020	408636	Kerry Creegan
606020	408638	Kerry Creegan
606020	410068	Rosie
606021	1470	Well-Dressed Woman
606021	121858	Vivian
606021	261740	Angel
606021	348366	Platoon Leader
606022	286172	Izzy
606023	81079	Jane
606024	243276	Chris
606025	245542	
606026	139001	Deputy Coroner
606026	276858	Suzanne Erskine
606027	138356	
606027	183669	
606028	275522	Eva
606029	144827	
606030	190689	Mrs. Wotan
606030	372736	Mrs. Wotan
606031	58435	All Women's Roles
606031	133417	The Woman
606031	261740	Mutt Bitch
606032	5881	Reporter
606032	45780	Press Secretary
606032	114734	Patsy Corliss
606032	138737	Margaret Powell
606032	144593	
606032	188235	
606032	267653	Sorrento Customer
606032	282791	Andrew's sister
606032	291771	Sasha
606032	342925	Mercedes Owner
606032	372409	Woman #1 (at party)
606033	383681	Gran
606034	234585	The mother
606035	21850	Ryan Stewart
606035	65938	Luke
606036	332015	Eve Mason
606037	180787	Angry Customer
606037	229728	Florence
606037	246249	Sally
606037	302322	Faye Wraxall
606037	305640	Linda
606037	355040	Mrs. Mackenzie
606037	381954	Lavinia
606037	382838	Fee Phelan (1997)
606037	395523	Trish
606037	396206	Bernie
606037	398981	Mary Skeggs, maid (1982)
606037	404558	Toby
606038	1675	Herself
606038	290229	
606038	408590	
606040	304806	Charlotte
606040	306616	Karin
606041	311534	Doreen
606042	82128	Various Characters
606042	109465	Various characters
606042	109466	Various characters
606042	136126	
606042	201877	Diane Feust/BBC Newsreader
606042	269355	Talamascan
606042	273408	Psychologist
606042	282611	Dame Victoria Market
606042	291918	Herself
606042	375757	Computer
606042	385505	Various Characters
606042	385506	Various Characters (1986-1987
606042	388470	Jana Wendt/Janelle/Jo Beth Jo
606042	389498	Various (1993)
606042	389965	The Nanny
606042	395218	Various
606042	395478	Janet Rig/Eileen Inyaface
606042	399211	Elgar/Shema/Mandrool
606042	405369	Boon Boon #2/Eee/Fillies/Mrs.
606042	405495	Sue Dirkin
606042	405894	Various Characters
606043	307647	Herself
606044	106254	Mrs. Harrison
606045	964	Amy
606045	117061	Michaela
606045	148566	Kathy Bailey
606045	372576	Kate
606045	395735	Susan Goodspeeed-Sue (1978-19
606046	192783	The 'Other Woman'
606046	195652	Wet Girl at Party
606047	27928	Girl in Club
606048	144827	
606049	704	
606049	1995	Herself
606049	44547	Kathleen Russell
606049	61569	Samantha Hallihan
606049	85143	Eileen
606049	121794	Megan Dean
606049	126752	Kimberly Stevens
606049	143531	Hippolyta
606049	161228	Herself
606049	169449	Narrator
606049	185776	Roxy
606049	217815	Annie Sullivan
606049	292192	Maggie
606049	292473	Cassie Whitman
606049	308929	Helen Radke
606049	320156	Jillian Hayes
606049	328789	Cassie Whitman
606049	386469	Danielle St. Clair
606049	393087	Host (2003-2004)
606049	408635	Monica
606049	411354	Jacqueline Bouvier Kennedy On
606050	150054	
606051	359790	Head Nurse
606052	310303	Mean Wife
606052	366243	Lt. Bobbie Raines
606053	144827	
606054	1711	Stewardess
606054	139608	
606054	344176	Margo
606055	30662	Anna, Ralph's Wife
606055	232870	Jane Whitehouse
606055	285332	
606056	287509	Reporter
606057	40142	Alice
606057	93325	Sheila Lindsay
606057	260638	Nettie
606057	303550	Art Critic's Friend
606057	307513	Barbara Ross
606057	390152	Moira Gemmell
606058	359543	Voice Artist
606059	355380	St. Teresa of Avila
606060	81195	Heather
606060	303514	Mathilda
606060	368416	Gerda
606061	58164	Venetia Aldridge
606061	73125	Katerina
606061	73899	Cindy
606061	105539	
606061	116673	Mary
606061	150974	Judy Trenor
606061	155257	Phoebe Maybury
606061	191300	Madelaine
606061	194809	Aileen Longden
606061	248432	Linda
606061	346211	Barbara Manning
606061	361978	Chrissie
606061	381608	Kelly Jamison (1976-1977)
606061	382590	Ronnie Hatherton
606061	383086	Lady Judith Milbanke
606061	383285	Sarah Copeland
606061	383683	Sid
606061	395314	
606061	402197	Kerry Vincent (1980)
606061	406373	Susan Duke
606061	406891	Patty Spencer Sullivan
606061	407587	Insp. Kate Miskin
606062	133678	Young Girl at Station
606064	91769	Bidder
606065	126714	Blonde
606065	232166	Back Seat Girl
606065	303765	
606065	345709	Skit characters
606066	365881	Mims Ufgood
606067	31673	Cassandra Jackson
606067	270803	Ada
606067	355075	Abby Darke
606068	163918	Elgitha
606069	69738	Strangling Victim
606070	163404	Leo's mother
606071	235067	Party Guest
606072	122109	
606072	122110	
606072	122111	
606072	381401	Jesse Gurtlant
606072	389791	Additional Voices
606072	394016	Kotoko
606072	394424	Additional Voices
606072	408893	
606073	83606	Ellen Hansen
606073	116443	Bar Girl
606074	233479	Neighbor
606075	323963	
606076	49945	Julie
606076	117883	Julie
606076	230324	Billy's Prom Date
606076	272728	Samantha/Jennifer
606076	283343	Paige
606076	309197	Janine
606076	335757	Saffron Kirby
606076	341680	Rachel Riley
606076	366668	Desiree
606076	385892	Jane Cahill
606077	265575	Lisa
606078	7637	
606078	54648	
606078	382477	Clara Beauvilliers
606079	45505	College Girl Singer
606079	91854	Sister Cathy
606079	105101	Woman Judge #2
606079	154094	Check Out Girl
606079	206825	Flora (Mother)
606079	274674	Mrs O'Brien
606079	364205	Mrs. Lowe
606079	391869	Pippa Fletcher (#1) (1988-199
606079	397380	Evie Doyle
606079	405960	Cheryl Ryan
606080	50614	Clerk
606080	127585	Mrs. Winslow
606081	112290	Woman
606082	80448	Nancy
606082	330311	College Girl #2
606084	13346	Carol Forrest
606084	29125	Joanne Collier
606084	37416	Sister Mary Joan of Arc
606084	75430	Mrs. Bowman
606084	78793	Mari Cathcart
606084	85822	
606084	88653	
606084	89711	
606084	114947	Charlotte Cruickshank
606084	117306	Hope Novak
606084	129921	Betty Lou
606084	168268	Anne Palooka
606084	175631	Amy Connors
606084	215727	June Saxton
606084	223810	Clementine Carter
606084	234889	Carol Scott
606084	239413	Susan Grant
606084	247547	Jean 'Dusty' Stewart
606084	254470	Lois King
606084	298126	Dorothy Chappel
606084	313919	Girl on carousel
606084	319080	Kathleen Boyce
606084	393601	Ann Howe (1954)
606085	321975	Garcia
606086	116545	Detective 3
606087	272440	Milkmaid
606088	58511	Sarah
606089	148572	Sylvine
606090	110357	Club Patron
606091	172919	Couple #4
606092	1796	Babs
606092	78058	
606092	80066	Reporter #2
606092	130178	Clara Sandler
606092	141618	Receptionist
606092	193268	Psych Nurse
606092	196328	Art Pro #3
606092	296019	Receptionist - Health Clinic
606092	362834	Bank Officer
606092	365956	Clair
606093	30976	Additional Voices
606093	139679	Miriam Jacobs
606093	232261	Mrs. Sylvia Lightoller
606093	255399	Traffic Reporter
606093	307905	Diana Harrow
606093	313707	Mrs. Wilson
606093	372210	Joyce
606093	382733	Elsie Carstairs
606093	384384	Emma Williamson
606093	387518	Audrey Blake/Dawson
606093	395525	Mrs. Nickleby
606094	214062	
606095	390599	Herself
606096	3053	Herself - Performer: 'Burn It
606096	120080	Tango Singer
606096	139898	As herself
606097	366232	Josie
606098	163442	Daphne Grove
606098	203322	
606098	390689	Daphne Grove
606099	19960	Saleslady
606099	92959	Student
606099	323380	Girl
606100	131458	Gwendolyn Morley
606101	143695	Tome Of Power, High Priestess
606102	79012	Rebecca Lacey
606103	230693	Stewardess
606103	311940	Pay Clerk
606104	141695	
606104	217499	Sterling
606105	401224	Partygoer
606106	46747	The Shy One
606107	258100	Waitress
606108	121135	BBQ Attendee
606109	38340	Olivia Biggs
606109	43921	Mom
606109	65022	Judge
606109	66286	Principal Garrison
606109	66993	Channing
606109	92453	Secretary
606109	101081	Dr. Jarvis
606109	104549	Judge
606109	142330	Malik's Mother
606109	171695	Dr. Perkins, DVM
606109	176965	Det. Pruitt
606109	178221	Cristianne
606109	245013	Neighborhood Woman
606109	257922	Health Teacher
606109	272970	Marlene Andres
606109	276085	Tyrone's Mother
606109	292046	Mother
606109	293098	
606109	303861	Dispatcher
606109	306051	Bank Teller
606109	313820	Sky Marshal Tehat Meru
606109	362132	Mona
606109	379831	Angela Quartermane #1 (1988-1
606109	381811	Mrs. Yvonne Teasley (1992-199
606109	382973	Sylvia Watkins
606110	121135	Funeral Attendee
606111	317309	Dancer #18
606112	254522	Ballet Girl/Masquerade Dancer
606114	159563	
606115	109856	Bridesmaid
606116	179529	
606117	376260	
606118	109789	
606119	386280	
606120	169152	Herself
606121	180044	
606121	209280	
606121	343413	Mariya Desislava
606121	373703	Meditzinskata sestra
606121	398896	
606122	345394	Une rédactrice
606123	113732	Susan Anderson
606123	229215	Nurse
606123	324747	
606124	244759	Amie de Denise Laville
606125	6388	Mimi
606125	23823	La mère de Paul
606125	35233	Head Nurse
606125	43711	La capitaine des girls
606125	57232	La concierge
606125	57504	Micheline
606125	59696	
606125	62815	L'Abesse
606125	66078	
606125	68401	
606125	71807	Mme Vernier
606125	71817	Dame de la Croix-Rouge
606125	71822	Mme Lozerand
606125	73075	
606125	85616	Petitbon
606125	88837	Raymonde
606125	101716	Mme Leliard, la concierge de 
606125	120403	Madame Peroche
606125	124066	Yvette Domec, mère de Paul
606125	134584	Mme Niatte
606125	146429	Mme Lengelure
606125	170107	Mme Fayolle
606125	170361	La mère supérieure
606125	170468	Une ouvrière
606125	214020	Arlène Robert
606125	218310	
606125	235820	
606125	235825	
606125	238488	
606125	240637	La sage-femme
606125	253581	
606125	255814	
606125	285963	
606125	286463	La bourgeoise
606125	296049	
606125	327889	Madame Melun
606125	342611	
606125	346785	La voyante
606125	350741	La mère d'Annie
606125	353833	Monique
606125	353921	Juliette
606125	354024	La dame au piano
606125	356974	Madame Paul
606125	374208	Permanent
606125	377955	
606125	378866	L'antiquaire (ep.1)
606125	384744	Coralie
606125	390491	
606125	393718	Mme de Guéménée
606125	398033	Léonie (1973)
606125	410309	
606126	87480	Opera Critic's Date
606127	245275	Frightened Mother
606128	145521	
606129	165871	Small Black Girl
606129	215651	Pansy
606129	302932	Carole Robertson
606130	7198	Miss Curtis
606130	41225	
606130	113634	Madeline 'Maggie' Kelly
606130	297970	Telephone operator
606131	145080	Bingo Angry Woman
606132	125557	TV Newsreader
606132	162268	Herself - Presenter
606133	61094	
606133	87509	Jodie Flynn
606133	98917	
606133	388209	Louise Doyle III
606134	317946	Citizens Against Crime - Woma
606135	16644	Theatre Nurse
606135	137580	Board Member #1
606136	363486	Hostess
606137	40496	Esther
606137	191773	Fanny Dorrit
606137	328008	Esther (segment "Bleak House"
606138	344683	
606138	359279	
606139	151777	Mourner
606140	397535	Nurse
606141	78916	Comic Book Shop Victim #2
606142	117623	Holly
606143	191086	Colleen
606144	63035	Herself
606144	211842	Shekhina
606145	54882	
606145	123228	
606145	240019	Mrs. Thingummy
606145	323446	Annie Baird
606145	363797	
606146	226899	Girl child
606147	343031	Blow Off Girl #2
606148	37696	Grandma Bigg
606149	101001	Katie Logan's Friend
606150	381821	Ensemble (1977)
606151	69066	
606151	359543	Backing Vocalist
606152	343197	Linda
606153	196209	Photographer
606154	315897	Fan
606155	350704	Student
606156	224070	Woman with Pram
606157	72931	Goodyear Chorus Girl
606158	64075	Stepmother
606159	82333	Cadre #4
606160	162306	Jessica, Roland's Friend
606161	119025	Party Girl
606162	71742	Baba
606162	76259	Mary 'The Yellow Peril'
606162	97022	Aileen
606162	253864	TV Reporter
606162	350349	Mona
606162	367653	Young Woman in Factory
606164	279200	Lead Dancer
606164	392996	Presenter (2004)
606165	85018	Kay O'Farrell
606166	166940	Club Waitress
606167	1703	Herself
606167	21738	Mrs. Flanagan
606167	45831	Nurse
606167	47025	Mrs. Laski
606167	52008	Grace Pound
606167	53916	Violet
606167	57654	Father Gladen's Fan
606167	108319	Big Ed's PA
606167	111729	Freida Bullard
606167	213452	Ex-Landlord's Wife
606167	218474	Mrs. Presser
606167	233676	Mrs. Ryan
606167	241732	Woman in Bar
606167	278402	Lena Truit
606167	300943	Katy
606167	303680	
606167	326383	Norma
606167	338155	Barbara
606167	352708	Irena
606167	376311	Mrs. Jacoby
606167	381110	Bridgit
606167	403730	Lucy Damson
606168	176796	
606169	31255	Interviewee/Road Rules
606169	128773	Herself
606169	145415	Party Goer #4
606169	218545	Herself/Road Rules
606169	402999	Herself/Road Rulers
606169	403000	Herself/Road Rulers
606169	403487	Herself/The Quest (2001)
606170	322837	Additional Voices
606171	404608	Finalist (2002)
606172	94028	Julie
606173	272440	Market Square Extra
606174	241288	Lori
606175	34117	Various roles
606175	49389	Receptionist in Brothel
606175	65370	Girl in Pub
606175	72760	
606175	87469	Secretary
606175	159175	Dancer
606175	364465	Dancer
606175	381661	Hill's Angel/Various Roles (1
606175	388030	Jackie (1986-1987)
606176	197740	Waitress
606177	66154	Susy
606178	29538	Annabel
606178	30355	Flower Girl
606178	33748	Miss Mitchell
606178	77592	Second Telegraph Girl
606178	130795	Ruth
606178	196294	Secretary
606178	206168	Nurse
606178	245645	Nurse
606178	250647	Nurse
606178	252297	Mother
606178	323807	Miss Grant
606179	139283	Helen - Note Taker
606179	372663	Nurse Dockett
606180	2845	Phyllis Jenkins
606180	26054	Verona Babbitt
606180	33992	
606180	39448	Marie
606180	44484	Cora Strickland
606180	67862	Ellen Reed
606180	69236	Marguerite Mane
606180	79351	Knockout Nellie (gang moll) [
606180	113894	Reporter
606180	122058	Mary Norsen
606180	122635	Marie [Ch.8]
606180	131529	
606180	173526	Silent Outdoor Girl of Americ
606180	175812	Pauline O'Connor
606180	183546	Receptionist
606180	196944	Aline McLain
606180	203006	Woman
606180	224686	Anne Ogilvie
606180	245738	Townswoman
606180	278594	Joan Williams
606180	282445	Gwen Barkley
606180	284564	Jean Norman
606180	284565	Jean Norman
606180	286925	Ranch hand
606180	294955	Girl in Auto
606180	297478	
606180	302646	Maxine
606180	308615	Cowgirl
606180	317354	Ann Lippincott
606180	324249	June Bolton
606180	329335	Toots, Homer's Intended
606181	327715	Andi
606182	14607	Telephone Operator
606182	16078	Lila
606182	30122	Actress
606182	37364	Nurse at Hospital
606182	50340	Mrs. Rosen
606182	78180	Reporter
606182	92524	Edith
606182	92959	Student
606182	105729	Stork Club Telephone Operator
606182	118334	Telephone operator in Buenos 
606182	131594	Red Cross Nurse
606182	143577	Johnny Cabot fan
606182	148423	Nurse
606182	158792	Mrs. Blake
606182	161972	
606182	175175	
606182	178342	Jane
606182	185335	Mamie Burns
606182	193921	Nun
606182	206414	Stenographer
606182	207287	Stewardess
606182	216022	Nurse
606182	251196	Nun
606182	252127	Candy Salesgirl
606182	262265	Red Cross worker
606182	269861	Dan Tobin's daughter (USA)
606182	304959	Miss Kingsway
606182	306466	Nurse
606182	312003	Alice
606182	335599	Sob Sister
606182	363226	Girl at party
606183	369184	
606184	84828	Servant
606184	312826	Bit part
606185	115325	Identification Nurse
606185	117271	Leona
606185	175621	Auntie Em
606185	178886	Mrs. Lewis
606185	183944	Dot Hylkama
606185	293011	Selma
606185	389858	Sister Mary (1997)
606186	232094	Clea
606186	350782	Gloria Marshall
606187	35800	
606187	65469	
606187	77945	
606187	78723	
606187	193694	
606187	253108	
606187	274286	
606187	278038	
606187	288022	
606188	113915	Ali
606188	206191	Aunt Holly
606188	362800	Mrs. Churney
606188	390252	Tiffany Parker
606188	397870	Mrs. Shipley
606188	405733	Clarisa Bellingham
606189	219194	Dixie
606190	118442	Flight Attendant
606191	99373	Artist
606192	70109	Alonzo's Prostitute
606192	177644	Nina
606193	285622	
606194	305375	Professor's Party Goer
606195	157809	Rose
606196	5009	Bitter Ex-Girlfriend
606196	87490	Juliet
606196	90314	Dianne
606196	149910	Alison
606196	196477	Liz
606196	289396	Jackie
606196	368294	Merlinda Parrish
606196	381187	Avril Burke (2000-)
606196	387022	Joy Merryweather (1991-1998)
606196	408630	DS Liz Maud (1997)
606197	310118	Communication Technician
606198	7806	Immigrant Wife
606199	129401	Kristy
606199	249341	Jane
606199	395688	
606200	212687	Reporter #4
606201	11064	Extra
606202	410970	Sharon St. Martin (age 14)
606203	386065	
606204	108901	La lectrice
606204	169539	Claire
606205	380713	Olivia Wycroft (1992-1994)
606205	390771	Alicia Rhomer (1985)
606205	400236	Glenda Livingston (#2) (1984)
606205	404002	Emily Hall (1987-1988)
606206	398843	Emma
606207	99954	Angèle
606208	21002	Veronica
606209	126506	Amy
606209	128760	Mary Lou
606209	257857	Bikini girl #2
606210	214314	
606211	48790	Teacher
606212	322005	
606213	74933	
606214	343776	
606215	243800	
606216	243800	
606217	243800	
606218	112818	Souad
606218	177636	Sybilla's maidservant
606218	345201	Leïla
606219	11934	
606219	84667	
606219	336930	Isabelle
606219	346716	Hôtesse hôpital
606220	303738	Tenant
606221	80959	Narrator
606222	20625	Extra
606223	265765	
606224	274067	Teacher
606224	407547	Woman at Screening
606225	51989	Aerobic Girl
606226	183032	Alter-Ego
606226	235098	Jackie
606226	321678	Germaine Reinhardt
606227	322694	
606228	311347	Lucie
606229	104776	United Kingdom entry (15th pl
606229	308553	Herself (contest winner)
606230	74189	Kathy
606231	5663	Frau Brauneck
606232	147505	
606233	8982	
606233	103327	
606233	394078	Jennifer
606234	89250	Woman in dance hall
606235	255613	Mother
606235	266327	Woman
606235	341071	Bobrowa (segment "Sprawa koni
606235	373706	
606236	252506	Dita
606237	5122	2nd Lennox-Sister
606238	322555	
606239	4500	
606239	246114	Cordula
606239	281743	Virginia
606239	317570	Heike Hansen
606239	325875	Inga Bergmann
606239	338423	Carin
606239	388623	
606239	394477	Susanne "Susi" Clement
606240	330799	Dancer
606241	130200	
606241	258676	Frau Pommer
606242	25862	
606242	25863	
606242	25865	
606242	46080	
606242	74894	
606242	131079	
606242	161533	
606242	197355	
606242	322383	
606242	389221	
606243	228172	Nada
606244	391258	Herself (contestant)
606245	6906	Janice
606245	6911	Mrs. De Vere Barker
606245	65764	Handmaiden in Bible fantasy
606245	73872	Vision mixer
606245	355075	Coven Member
606246	388737	
606246	388738	
606246	388739	
606246	388740	
606246	388741	
606247	41008	
606247	101743	
606247	123469	
606247	134421	
606247	148913	
606247	191092	
606247	264876	
606247	270592	
606247	334557	
606247	346726	Stripper
606247	349500	
606248	352882	
606249	12217	High School Band Member
606250	3565	
606250	58316	
606250	84787	Ivina majka
606250	355551	
606250	412006	
606251	407369	Kid, Yasuyo, Yamada, Addition
606252	388565	Solange
606253	187446	Una ninfa
606254	25300	
606254	102391	Jocasta
606254	317718	Gina
606254	348157	Rosario
606255	205270	
606256	56263	
606256	162275	Dublin Mother
606256	167686	
606257	136850	
606258	33444	
606258	90068	
606258	125773	Lucia
606258	301380	
606258	315423	
606258	353066	
606260	95121	
606261	192904	
606262	197537	
606263	123090	
606263	142082	Binka
606263	214249	
606263	226191	Maya
606263	228846	Student's Girlfriend
606263	229182	Nevena
606263	229832	Emiliya
606263	253992	Violeta
606263	262594	Krasimira
606263	266657	Elena
606263	320707	
606263	398895	
606263	398896	
606263	402131	
606263	409614	Isabella
606265	366751	
606266	267146	Muscle Woman
606267	157636	Dwarf
606269	381911	Herself (2000)
606270	383769	Daisy
606270	398983	Zamora
606271	36839	Herself
606271	135725	Princess Glory
606272	90029	
606273	56443	Giuditta Pasta
606273	294895	
606274	379716	Betsy Kinnecott, R. N. (1979-
606274	386603	Mary Jane 'M. J.' Match #3 (1
606275	139096	
606276	128773	Herself
606276	381909	Herself (3rd Evicted, 26 Days
606277	164037	
606277	303117	Snahata
606277	339228	
606278	164037	
606278	258128	
606278	303116	
606278	304720	Yuliya
606278	357625	Mareto
606279	183913	Komsomolkata ot mezhdunarodni
606280	380530	Mason
606281	19754	Eléni
606282	85649	Laoura
606282	102459	Dolores
606282	282724	
606282	337031	Melina
606282	396708	
606282	400441	
606282	400508	
606282	401315	Ioulia
606282	401521	
606283	78792	Girl
606283	142390	Hell Mountain Girl
606284	6437	
606284	44394	
606284	82102	Chinovnichka
606284	89814	
606284	103565	
606284	179603	Bremennata vnuchka
606284	179795	
606284	180780	
606284	223581	
606284	224448	
606284	228847	
606284	244471	
606284	310475	
606284	325056	
606284	353276	
606284	357324	
606284	374158	
606284	375394	
606284	409734	
606285	91067	Herself
606285	104761	Herself (Yugoslavian entry) (
606285	104774	Croatian entry (4th place)
606285	170228	Herself
606286	402765	Rada, Dvoprstaseva koleginica
606287	179609	Dienster
606288	191435	Lisa
606289	166663	
606289	195290	(segment "Black Cat in the Bl
606289	319921	Anna
606290	186406	Girl in the Pit
606291	3003	Malika
606292	1057	
606292	33253	Serafima
606292	47395	
606292	88133	
606292	95926	
606292	171922	Bracina majka
606292	178857	
606292	202495	
606292	205799	Marija
606292	217391	
606292	244224	
606292	245890	Vida
606292	263448	
606292	265322	Radnica I
606292	266274	Marica
606292	267118	Aleksina majka
606292	320549	
606292	333928	Tetka
606292	357351	
606292	381239	
606292	394813	Jelena Zivanovic
606292	395704	Stasina majka
606292	400478	
606292	401281	
606292	401749	
606292	401949	Nevena Pevac
606292	406315	Natalija 'Luce' Scekic
606292	406316	Natalija 'Luce' Scekic
606292	406567	Vukosava Scepanovic, Danilova
606292	410260	Milica Zivic
606292	411900	Martinova zena
606293	192883	
606294	335252	Sarah
606295	53329	Ritchie Family
606296	2222	Vránová
606296	35879	Kabátová
606296	40427	Mrs. Neudorf
606296	58263	Anicka
606296	64640	Francouzka
606296	115609	Slecna Stribrna
606296	171545	Courier of tour
606296	172908	
606296	180690	Marquise Novohradska
606296	219293	Alzbeta
606296	244174	
606296	251876	Mrs. Church
606296	336823	
606296	339320	
606296	349323	
606296	376602	Markéta Nolová
606296	389253	Mrs. Karch
606297	7222	Marcella, Kun
606297	19764	Ágnes
606297	28347	Védõ
606297	41721	Herself
606297	62197	Wahtawa
606297	74397	Dr.Imre Valéria
606297	74417	
606297	74434	
606297	74450	Anna
606297	107672	Zsuzsa
606297	122383	Jutka Lantos
606297	135720	Queen
606297	139997	Csetvey Irén
606297	163179	Nelli Kárász
606297	182523	Dóra,Zorg felesége
606297	182846	Judge
606297	200611	Andrea Zihaly
606297	225411	Mrs. Racz
606297	225784	Ditta, titkárnõ
606297	229711	
606297	266473	
606297	306936	Vadóc
606297	322051	Faragó Ferencné
606297	348997	
606297	377748	Kamilla
606298	115356	Sandrine de Renoncourt
606298	124685	
606299	18323	
606299	282288	Ginette
606300	151109	Morgan
606301	50222	Narrator
606301	106040	Narrator
606301	134712	Narrator
606301	307861	Narrator
606302	381314	Ma Parkin
606302	409665	Ma Parkin
606303	402761	Dominique Vachon
606304	286274	Saxophone, keyboards, and per
606305	31869	Girlfriend
606305	50628	
606307	32954	Secretary
606307	149841	Dance Hall Girl
606307	154925	
606307	253020	
606307	339940	
606307	363892	Nurse
606307	364434	Telephone operator
606308	93261	Rachel
606308	222699	Clerk
606308	401930	Judith 'Judy' Parker (1999)
606309	331658	
606310	20625	Extra
606310	308382	Raider
606311	5855	Mrs. Fischer
606311	10883	Computer operator
606311	18635	Mrs. Rush
606311	37948	Housekeeper
606311	42711	Nurse (segment "Eye")
606311	44005	Mrs. Jackson
606311	51203	Barfly
606311	72458	Gloria
606311	108359	Queen Best
606311	114075	Gloria Townes
606311	120095	Mrs. Pearly
606311	120098	Neighbor
606311	141568	Winnie
606311	151122	Mrs. Strickland
606311	151530	Mama Jackson
606311	160042	
606311	165853	Ms. Murphy
606311	168087	Angry prostitute
606311	185397	Policewoman
606311	187988	Post's Mother
606311	220669	Postal Clerk
606311	234982	Shampoo Lady
606311	237562	Female jail guard
606311	239032	Dr. Young, School Psycholigis
606311	239790	Geneva
606311	275904	Dorothy
606311	310130	Jordan Housekeeper
606311	363528	Thelma
606311	367844	Cleo
606311	369492	Female Guard
606311	381110	
606311	386338	Velma Gaines (1989-1993)
606311	399225	Bebe
606311	404266	Jeannie
606311	405732	Daffney
606312	139214	Girl
606313	65189	Julie Harper
606313	77794	Julie Clarke
606313	105130	Anabel Sims
606313	160784	Dr. Nancy Ferguson
606313	231127	Georgie Brant
606313	263313	Patsy Douglas
606313	281415	Anna Rose
606313	292262	Ellen Foster
606313	365740	Jenny Wells
606314	28927	Michele, Bond's Housekeeper
606315	32537	Tanya Porvinski the Russian B
606315	44277	Inez La Baroa
606315	52744	
606315	53212	Cynthia
606315	72222	Lucy Broken Arm
606315	73392	Anita Lane
606315	84435	Sue Harvey
606315	101071	Maria Brandt
606315	107114	Elaine Randolph
606315	107996	Faith Lawton
606315	116284	Jill
606315	125854	Kitty Malone
606315	159060	Torquoise (Red Fox's wife)
606315	183553	Carolyn Sugar Gold
606315	183608	Lucile Compton
606315	186397	Cherie
606315	192604	Jeanette
606315	193707	Mimi
606315	235195	Oweena
606315	246183	Pearl
606315	275720	Mary Manson
606315	276722	Mrs. Graham
606315	276948	Girl
606315	364573	Marianna Mason
606316	269340	Venus Girl
606317	257869	
606318	222977	
606319	85997	Beatnik
606319	192269	Waitress
606320	2034	Video Graying Woman
606320	13805	Maxine Walker, Al's New Wife
606320	35155	Toby
606320	55588	Bonnie of Bonnie's Beauty Box
606320	72065	Mrs. Dionne
606320	78991	Car Rentals Clerk
606320	88919	Curtis
606320	134025	Waitress
606320	149455	Waitress
606320	151196	Mrs. Walker
606320	154620	Shrill Woman
606320	154854	Fraulein Maid
606320	155215	Nurse Lynne
606320	191747	Dolly
606320	194067	Female Desk Clerk
606320	221005	Female Tourist
606320	221360	Woman Supervisor
606320	223633	Barbara Jones
606320	223636	Lady #1
606320	232296	Waitress
606320	264234	Mail Wooman
606320	265473	Mrs. Wellman
606320	272776	Supermarket Checker
606320	287126	Photo Woman
606320	289098	Pinto Mom
606320	289238	Mrs. Hartunian
606320	311253	Sarah
606320	340058	Lobbyist #2
606320	359195	Mabel Tibbits
606321	12286	Nea
606321	17997	Laurette Sincee
606321	29117	Zelda
606321	32141	Model
606321	35745	Jenny
606321	78106	Elena Valdez
606321	90847	Cattle Annie
606321	92158	Narita
606321	118023	Pepita Maria Rosados
606321	119901	
606321	128192	Connie Martin
606321	147889	Herself
606321	150298	Mary Adams
606321	154361	
606321	173519	Teresa
606321	188341	Muriel
606321	195190	Beatrice
606321	218771	
606321	264189	Mirva
606321	279411	Mihirmah
606321	286334	Dona
606321	306494	Kate Goff
606321	308341	Dolores
606321	313377	Herself - Swing Shift Skit
606321	316946	Mademoiselle Fifi
606321	319612	Joyce
606321	321121	
606321	349874	Maria Torres
606321	366947	Dolores Ortega
606322	179049	Kidnapped Girl's Mom
606322	224314	Dr. Alex
606322	281895	Little Sister
606322	301398	Rectory Assistant
606322	321240	Office Manager
606323	337307	Kathy Nolan
606324	330772	
606325	6856	Queen Isabel
606325	65549	Charmian
606325	98151	
606325	178015	Bit Part
606325	197653	Muriel Ralston
606325	199327	Henriette
606325	285785	Mrs. Carrington
606325	346144	
606325	372431	Wampas Baby Star
606326	301398	Barbara Coyne
606327	285591	Mrs. McNab
606328	329509	
606329	11232	Opulent Lady
606329	11427	Miss Gelding
606329	109419	
606329	128645	Lady Kitty Hewitt
606329	131392	Mrs. Tarvin
606329	132210	Aunt Olive
606329	140544	Myra Arundel
606329	150768	Lady Elmbridge
606329	162984	Lady Probus
606329	175117	Duchess of Haverstock
606329	187824	Mrs. Blake
606329	193581	Mrs. Jan Byl
606329	196841	Aunt Emerald
606329	203200	Sister Veronica
606329	207229	Child
606329	209619	Annie Penny
606329	224414	Arabella Parker
606329	231389	Miss Grimsby
606329	235516	Mrs. Brough
606329	242712	Cmdr. Maddox
606329	245228	Bookshop Owner
606329	258550	Miss Henderson
606329	258732	Lady Mercy Cotton
606329	271262	Aunt Olga
606329	281446	Miss Catharine Alan
606329	295334	Mrs. Piggott
606329	324117	Miss Gibson
606329	336037	Miss Florence Corbett
606329	340583	Mrs. Rappaport
606329	350062	Madame de Rosemonde
606329	362108	Mrs. Pinner
606329	363797	Miss Farmer
606329	368771	Frances
606329	370863	Nun
606329	372788	Nanny Blott
606329	381881	Heather Marchant
606329	392622	
606329	393491	Mabel Layton
606329	399442	Mrs. Banks
606329	400709	Countess of Midlothian
606329	401274	Lady Russell
606329	411463	Aunt Agatha
606330	7493	Sylvia Norwood
606330	16095	Betty Winslow
606330	43121	Leona
606330	115849	Marina Landon
606330	117885	Connie Barnes Todd
606330	154652	Lola Estermont
606330	154680	Herself
606330	154841	Mary Reyburn
606330	161934	Diana Rukh
606330	163490	Vivian Tarbel
606330	167281	Jenny Day/Lady Joan
606330	183429	Anna Mirelle
606330	193733	Princess Thania of Arvonne
606330	196155	Pamela Beaumont
606330	199192	Yvonne Orlac
606330	209623	Helen Sowerby
606330	213257	Gilda Lee
606330	216234	Eponine
606330	233543	Modelo
606330	263386	Peggy Madison
606330	297968	Sally Dennis
606330	330001	Anne Calhoun
606330	338104	Dale Cameron
606330	340905	Chulita
606330	366946	Mona Gould
606331	164783	Bather
606332	11086	Barbara
606332	23705	Randi Lindstrom
606332	69622	Jean
606332	73872	Celia
606332	157191	Gwendolen Fairfax
606332	160573	Lady Asherton
606332	176756	Tracy
606332	203381	BEA Girl
606332	220949	Miss H
606332	241948	Tiffany Case
606332	273970	Troubador
606332	304004	Herself
606332	314140	Anthea
606332	329988	Julia Halforde-Smythe
606332	344134	Lt. Gay Ellis
606332	382854	Jill Hammond (1972-1974)
606332	385020	Inga Olsen (1967)
606332	385299	Nicola Freeman (1985-1988)
606332	388631	Mrs. Gosling
606332	394296	Mrs. Monteith
606332	397299	Dr. Diana Hardy, consultant (
606332	399815	Harriet Arbuthnot
606332	409343	Lt. Gay Ellis
606332	409655	
606332	410214	
606333	32531	Party Guest
606334	20625	Dancer
606334	195879	Dance Hall Cashier
606334	203270	Script Supervisor, 'Laugh Clo
606335	317975	Stage Manager
606335	363939	Stewardess #1
606335	380724	Baroness von Higgins
606336	362917	Lounge bar woman
606336	405209	Gail Hewson (2000)
606337	58959	Bradlee's secretary
606338	37659	Waitress
606338	49320	Outrageous Girl #2
606338	118689	Teacher's Aide
606338	189922	Nancy
606338	347849	Dusty
606339	283546	Laura Linney's Character's Mo
606339	340899	Female reporter
606339	403280	Mrs. Wentworth
606339	411355	Pregnant Woman
606340	765	
606340	31816	
606340	34840	
606340	34843	
606340	93712	
606340	104407	
606340	116013	Herself
606340	144431	
606340	150645	
606340	165926	
606340	183367	
606340	228577	
606340	302317	Brunettee Adult Actress
606340	324440	Janice
606340	332857	
606340	357168	Herself
606341	41726	Mother
606342	131240	Hospital nurse
606343	112021	
606344	210230	Eula
606345	44952	Fanny Blaine
606345	65927	Anna Watling
606345	77846	
606345	247138	Aunt Jerry
606345	306735	Mrs. Jackson-Greer
606345	308539	Jane Rosemond
606346	32243	Mercedes
606346	137237	Stephanie
606346	194219	Butter
606346	336914	Capricorn
606347	16677	Izzy's Wife
606347	20371	Grap's Nurse
606347	26352	911 Lady
606347	79310	Old Lady #1
606347	113655	Young Woman in Hospital Bed
606347	116537	Admitting Nurse
606347	117091	E.R. Nurse
606347	122757	Mrs. Smith
606347	132098	Big Bertha
606347	150863	Skunk Ape Wife
606347	155888	Angry Woman (segment "1996")
606347	161537	Mrs. Gutman
606347	192172	Bakery woman
606347	210733	Waitress
606347	214929	Volunteer
606347	229243	Mrs. Benedict (part 3)
606347	239588	Store employee
606347	252959	Waitress
606347	254589	Hilda
606347	272238	Nun
606347	283305	Woman Deputy
606347	295833	Mary Ferrdip
606347	310646	Verdict's Sectreary
606347	315459	Widow
606347	315599	Nun at Reunion
606347	317634	Mrs. Hankey
606347	363913	Dorothy
606347	367232	
606347	393500	
606348	150887	The Madam
606348	151220	
606348	196483	
606348	202268	
606349	211687	
606350	66356	Murdered Waitress
606350	127073	NYPD Policewoman Sergeant
606350	313824	Squadmate #3
606350	364367	Shirley
606351	214963	Nurse Elvira Henderson
606352	107832	
606353	272603	Toni
606354	164612	Candy (David's Girlfriend)
606354	168865	Various roles
606354	186768	
606354	335758	Debbie
606355	26625	Mrs. Chester
606355	26651	Jenny Halby
606355	46565	Margaret
606355	141057	Portia Sancturay
606355	217941	Clare Douglas
606355	237672	Lizette
606355	316662	Katherine Halstead
606355	368035	Corinna Hastings
606357	18858	Maria Costanza
606358	13953	1st Girl at Beach
606358	126001	Herself (Playmate)
606358	146661	Vestal Virgin
606358	147767	Cheerleader
606359	285039	Mrs. Van Tuyl
606360	367707	Grey's Housekeeper
606361	20845	Mrs. Sparkhall
606361	125818	Auction woman
606361	141065	Emily
606361	141767	Rose
606361	185765	Mrs. Orr
606361	241467	Wardrobe Mistress
606361	245499	Mrs. MacWatters
606361	339361	Maggie Sawyer
606361	367674	
606362	344151	Sister Oma and the Clarions
606363	33599	One of Frenchie's Girls
606363	146840	Nurse/Civilian
606363	285660	Veronica Lake double
606364	81659	Madelaine
606364	94655	K-Mart Lady
606364	113909	Carla
606364	155981	Samantha Gallagher
606364	194789	Montreal Journalist
606364	218383	
606364	223773	Ritchie
606364	231451	Maureen
606364	236222	Natalie
606364	289074	Dean's Mother
606364	301613	Nurse
606364	381475	Strika (2000)
606364	381562	
606364	382160	Nancy Larshak
606364	400548	Barb
606364	409380	
606365	195731	Mary Corder
606365	340517	Cockett's Secretary
606366	231854	
606367	7488	Mrs. Fredericks
606367	18862	Young Girl
606367	51975	Doctor's Wife
606367	71721	
606367	109656	Bessie
606367	120824	Mabel, the Drunk's date
606367	137206	Telephone Operator
606367	137453	Second house buyer's wife
606367	143432	'Beth' Gilbert
606367	143577	WAVE officer
606367	144453	Amelia White
606367	150150	Mrs. Kennedy
606367	156456	Woman
606367	165206	Evelyn
606367	183627	Social Secretary
606367	209612	
606367	241134	Telephone operator
606367	266238	Mrs. Kennedy
606367	270500	Maimie
606367	292882	Jones' Receptionist
606367	313803	Switchboard Operator
606367	345995	Kitty Callahan
606367	347396	Mrs. Kennedy
606367	365762	Ida Stassen
606368	62498	
606368	177478	Carol Brent
606368	320937	
606368	335638	
606368	342128	Tamara
606369	302329	Old Town Girl
606371	157036	Girl in Nearly Every Scene
606372	267084	
606373	150421	Herself
606373	395160	Herself
606373	395161	Herself (6th Eliminated)
606374	200265	
606375	41266	Woman at birthday party
606375	203161	Amy
606375	261425	Mrs. Eckhardt
606376	91523	Contest Winner
606377	70303	Carl's Mother
606377	165871	Claire Byrd
606378	347007	
606380	81674	Vila 5
606381	9473	
606381	11186	Tracey Beezley
606381	150540	Aktrisata
606381	229155	Irina Geneva, starsha styuard
606381	235289	
606381	244214	Yana Maneva
606381	266358	Emilia
606381	374056	Yuliya
606382	117656	Hair Dresser
606383	301296	
606384	115269	Women Coalation Diner Patron
606385	2976	
606385	349126	
606386	37033	Schoolgirl #3
606387	198347	
606388	261657	Souleye
606388	373797	
606389	96219	
606389	159522	
606390	198191	
606391	16029	Dylan Paccione
606391	45780	Jan Brady
606391	147882	Herself
606391	263392	Punk Rock Girl
606391	382286	Various Characters
606391	403222	Series Regular
606392	410548	Primitive Human
606393	200134	Mary's Mother
606393	250523	Margolotte, his wife, who mak
606394	5640	Jonge moeder
606395	43196	
606395	46069	
606395	82261	
606395	89594	
606395	124843	
606395	180852	
606395	227047	
606395	262167	Sokolova
606395	262644	
606395	304252	
606395	339232	
606395	341025	
606395	354717	
606395	374765	
606396	58690	
606396	234249	
606396	369375	
606398	226279	Petronella
606399	52361	At the Airport - Stewardesses
606400	148696	Infirmière
606401	1140	Henriette De Lorimier
606401	108905	Marie-Madeleine
606401	161765	Second Lover
606401	171596	
606401	256989	Esther
606401	296079	Michele
606401	310963	Jojo
606401	337269	Rosannah
606401	382583	Mélina Morency
606401	389137	Louise Dusseault
606401	393285	Valérie Lassonde
606401	393395	Denise Pelletier
606401	409452	Michelle Gagnon
606402	2974	
606402	3564	
606402	3585	
606402	35923	
606402	134299	
606402	173836	
606402	176115	
606402	181404	
606402	238323	
606402	239421	
606402	259872	
606402	261593	
606402	280377	
606402	296993	Katya
606402	320714	
606402	341911	
606402	349329	
606402	352555	
606402	357479	
606402	370176	
606402	374848	
606402	381225	Plotkina
606402	400479	
606403	11181	Bit
606403	144448	Undetermined Role
606403	218782	Waitress
606403	222660	Maid
606403	306595	Pidgeon girl
606404	10840	Daughter (segment "Limited Vi
606404	176970	Mourner/Student
606405	291221	Party Teen #1
606406	37571	Brittany Holland
606406	94978	Charlotte Chives
606406	176437	Helen
606406	200179	Morgan Hudson
606406	216878	Susan
606406	281449	Phyfutima
606406	304838	Girl at Dance
606406	314501	Megan Larson
606406	330620	Sam
606406	370644	Sophie
606406	382419	Mary Carter Warwick (AKA. Eri
606406	388080	Herself
606406	393460	Morgan Hudson
606407	176487	Ruby's Nurse
606408	146783	Main Title Victim
606409	304355	
606410	292590	
606411	39404	Bathing Beauty #1
606412	385719	Suki Forbes (1968)
606413	22810	Stripper
606414	41270	Job Centre Receptionist
606414	382838	Paula Heneghan (1991)
606415	354823	Molly Coogan Casey
606416	7498	Girl at Bright Dollar
606416	94291	Miss March, Vargas Calendar G
606416	117646	Countess of Castlemaine
606416	128152	Showgirl
606416	146859	Julia Petschek, student
606416	206355	Pretty Girl
606416	209660	Show Girl
606416	255327	Mrs. Vandelaer
606416	272691	Information Girl
606416	331398	Musician
606416	375044	Showgirl
606417	1305	Marilyn
606417	12779	Donna Evans
606417	47544	Ella Sabin
606417	86982	Natalie Clemente
606417	130629	Kate Easton
606417	141389	Adrian Towers
606417	148351	Claire Gardner
606417	152220	Leslie
606417	160051	Pamela Sutton
606417	201597	Suzy Duncan
606417	214123	Olivia Smith
606417	252878	Dr. Weiss
606417	255169	Pat
606417	289978	Evelyn Hayes
606417	292122	Paula
606417	295349	Aileen Jones
606417	299724	Rose Livien
606417	332376	Laura
606417	408039	Ellyn Warren
606418	406955	
606419	147534	Principal Model
606420	224674	Florecita
606421	162100	Fairy
606421	213588	Schoolgirl
606421	256626	Daughter
606422	203376	
606423	136360	
606424	8838	High priestess
606425	24542	Janeczka
606425	36586	Zosia Raszewiczowna
606425	95726	Woman on the Street
606425	225603	
606425	244100	Marta Weiss
606425	373706	Harmonizer
606425	375649	Wala Pawlowska
606426	137616	Kvinde i Sari
606426	256962	Asiatisk stripklubpige (Asian
606426	407621	Mai (1998-1999)
606427	12509	
606427	40817	Susanne
606427	93526	Gymnasiepige
606427	108170	
606427	130112	Kate
606427	142773	Helle
606427	183314	Lollo
606427	225686	Maibritt
606427	239339	Tanja
606427	267642	Vic
606427	300988	Iris
606427	300991	Josefine
606427	309291	Stine's friend
606427	321671	Frida
606427	373726	Lulu Bang
606428	290029	
606429	37825	
606429	229609	
606430	12937	Barbarina
606431	162710	mlada Isidora
606431	212458	Blonde
606431	324540	
606431	406315	Djurdjina Djina Golubovic
606431	406316	Djurdjina Djina Golubovic #2
606432	164830	
606433	20427	Vally
606433	137218	Carina
606433	153087	Shop assistant
606434	7888	Mrs. Greitzer
606434	67988	Herself
606434	92263	Gladys
606434	141746	Tikva
606434	143284	Caroline
606434	148317	Very Drunk Chick
606434	194263	Julie
606434	206629	Southern Lady
606434	228970	Herself
606434	258027	Counter Monkey
606434	288703	Herself - Audience Member
606434	288706	Herself (Various Characters)
606434	288708	Herself/Paula Jones
606434	288710	Herself/Various Characters
606434	288718	Herself/Various Characters
606434	292253	Herself
606434	352979	Dolly Parton
606434	389710	Alice Smashenburn, Mammoth
606434	404337	Various (1999-)
606435	117908	Hostage
606435	130829	
606436	259367	
606437	110251	Lounge Lizard
606437	126130	Resident of Idyllia
606438	16165	Nataraj's Wife
606438	135761	
606438	272673	Sarala
606439	340542	Kate Davis
606440	16030	Ancika Dumas
606440	18248	
606440	34171	
606440	35868	Giga
606440	35899	
606440	36562	
606440	38920	Nada
606440	43009	Velislava, Vojisina zena
606440	43153	Jola
606440	44008	G-dja Ranka Jeftic... klozeta
606440	49740	The Lady on the Bus with the 
606440	57401	Uciteljica
606440	72089	Rajka
606440	72091	Nada Jovanovic
606440	72154	
606440	74776	
606440	74781	
606440	78950	Mother
606440	83030	Depsova djevojka
606440	85161	Devojka
606440	86734	Evica
606440	86772	
606440	88130	
606440	88588	Momata
606440	89295	Nastavnica
606440	95662	
606440	132162	Zivka Popovic ... ministarka
606440	134903	Schwester Klementine
606440	139810	Hasanaginica
606440	144073	Seja
606440	149680	Girl
606440	149865	Marijana Margetic
606440	163947	
606440	164112	Borka
606440	166392	
606440	171433	
606440	172502	
606440	178458	
606440	179106	Mihaela
606440	180612	
606440	181174	
606440	182252	
606440	183882	Savina zena
606440	187014	Zorica
606440	188529	
606440	190661	
606440	191579	Mare
606440	192890	
606440	192892	Persida
606440	192897	Lepa Trajkovic
606440	201474	
606440	202029	
606440	217290	Svetlana
606440	225859	
606440	226835	Ninkova majka
606440	227764	Danica... Jevremova kci
606440	229176	Danka
606440	229277	Sofija Arandjelovic
606440	229749	Zorica
606440	232597	Gordana Diklic
606440	232661	Marica/Mari
606440	234254	
606440	234489	Jelena
606440	235001	Toma's Aunt
606440	243908	
606440	244184	Nada Pekar
606440	251128	
606440	253707	Milena
606440	257031	
606440	257479	
606440	258783	
606440	259206	Natalija
606440	261233	Kaca
606440	261941	Roza
606440	261946	Julijana Lula Mitricevic
606440	262677	Andja
606440	262763	Ranka
606440	263776	Veronika Djakovic
606440	266286	
606440	270527	Svetlana
606440	270714	Mrvica
606440	273093	Svetlana Milanovic
606440	276916	
606440	281321	Neda
606440	286777	Veronika Djakovic
606440	292080	Herself
606440	292091	Ana
606440	292985	Filomena
606440	293711	Sojka
606440	293712	Sojka
606440	295057	Gvozdenka
606440	303121	Marija
606440	303622	Nela
606440	305283	
606440	305524	
606440	306194	
606440	307333	
606440	311140	Livadinka Kukuric
606440	315848	Karolina
606440	320367	
606440	320411	
606440	320481	Ana
606440	324273	Rada Jovanovic
606440	336824	Zuzka
606440	338863	Antilopa ... prorocica
606440	339055	Petrova zena/Petar's wife
606440	339311	Kaja
606440	344397	Devojka
606440	345584	Miselova zena
606440	349198	Hara
606440	351015	
606440	357283	
606440	358004	Milena
606440	373697	Ljubica, kci Natina i Dragisi
606440	374060	Milica
606440	374667	Uèiteljica
606440	375744	Tasana
606440	375855	
606440	383458	Katica
606440	383805	
606440	396292	Komsinica (2003)
606440	397526	Dushica, komshinica
606440	397527	Dusica, komshinica
606440	397528	Dusica
606440	397529	Dusica
606440	399939	
606440	399958	
606440	401749	
606440	401750	
606440	401991	Lula
606440	402117	Uciteljica
606440	402118	Gvozdenka
606440	402486	
606440	405346	
606440	405775	Sestra Vida
606440	407120	
606440	410430	Herself (interviewed)
606440	412003	Mirjana Jana Djordjevic
606442	189882	
606442	356848	
606442	408428	
606443	108956	Gramma
606444	138735	Hayley
606445	235839	
606446	171137	
606447	84695	Sylvie, secrétaire n°1
606447	88119	Juliette
606447	106205	Young Girl in Tanga
606447	205640	Myriam Abecassis
606447	398843	Sabine Vallebone
606447	409442	Clémentine
606447	409527	
606448	271853	
606449	36700	Sabrina
606450	134088	Mrs. Randall
606451	71474	Dancer
606451	202195	Roseland Dancer
606451	267530	
606451	315190	Dancer
606452	12338	Salsa Band
606453	158314	
606454	37672	
606454	37682	Failing Waitress
606455	96455	
606456	158909	Carol
606457	120595	Herself
606458	48459	Inspektorka
606458	74778	
606458	79621	Narator
606458	82368	Devojka
606458	190785	
606458	205797	
606458	258822	
606458	264364	
606458	266972	Pukovnikovica Eva fon Gros
606458	332755	
606458	386526	
606458	396547	
606458	397987	
606458	397988	
606458	399008	
606458	402026	Olga Petrovic #1
606458	402765	Ambasadorka, animir-dama
606458	412003	Matilda ... slikarka
606459	407055	
606460	110075	
606461	153846	Johanna
606462	96391	Pesková
606462	165120	Duskova
606462	179721	
606462	179897	
606462	223526	Pavla
606462	229232	Stránská
606462	357462	Líba
606462	380554	Mrs. Hermann
606462	407986	
606463	146962	Lizbeth Jordan AKA Delta
606464	255643	Shari
606464	258023	
606464	321117	
606465	64400	Sheila
606466	221430	Themselves/Performers
606466	221481	Themselves - Presenters
606466	358819	Performer (Group)
606468	69445	Woman
606469	36930	
606469	128631	
606469	128634	
606469	171318	
606469	188475	
606469	291006	
606470	93296	Herself (stripper)
606471	72361	
606475	39945	
606475	39946	
606475	39948	
606475	127045	
606475	127046	
606475	175215	
606478	45913	
606479	75031	
606480	34829	
606480	133920	
606480	198077	
606480	317395	
606481	2968	Petite fille 2
606483	340992	Teen In Flashback
606484	174253	
606484	237834	
606484	339246	
606484	374883	
606486	10653	
606486	178534	Charlotte
606486	259620	
606487	66754	Herself
606487	313790	Performer
606488	32409	
606489	137303	
606489	138906	
606489	145485	
606489	376481	
606489	387079	
606489	398273	
606490	225129	Inge's Mother
606491	2976	
606491	3926	Backing Vocalist
606491	120967	
606491	201395	Daughter of Vincenzo and Elsa
606491	320524	Sonia
606491	322480	Margit
606491	392524	Judge (2004)
606492	389619	Host
606493	16770	
606494	293067	Billie
606495	378168	Dancer
606496	74285	
606497	154854	Nose Strip Girl
606499	97476	Matilda
606499	210304	
606499	315932	
606499	351386	
606499	351387	
606499	354436	Made
606500	107154	Herself
606501	353718	
606502	11872	
606502	98287	Frau Siebert
606502	120997	
606502	142053	
606502	210114	Die Rothin
606502	322528	
606502	325887	
606503	19946	
606503	42600	Una ancella
606503	78558	
606503	117973	La segretaria di Andrea
606503	198493	La fidanzata di Lisca
606503	251048	
606503	254954	Marietta
606503	344625	
606503	345606	Un'allieva del collegio
606504	11911	Kate Clark
606505	147148	
606505	401313	Steffi
606506	252524	Beth Violet
606507	293253	
606508	212049	Anna Beringer
606509	319902	Leather Lady
606510	162229	Heike
606510	406140	Hilde Speer
606510	409625	Antonia 'Toni' Schwarz #1 (19
606511	1965	Dasha
606512	178007	Mannequin
606513	99688	Herself
606513	225969	Vesna
606514	63932	Kostana
606515	30166	Wilma
606516	314445	Stepford Wife
606517	382838	Niamh Musgrove (1998-2000)
606518	293145	Marie
606519	323974	Bo-Peep
606520	303735	
606521	257733	Theater Zombie
606522	84379	Mrs. Winters
606523	181067	
606523	289340	Nadezhda
606523	302984	
606524	229059	
606525	388051	Herself (2001)
606526	409572	Alexandra Maas (1998)
606527	412043	Klant
606528	175626	
606529	175626	
606530	155078	
606530	300153	Miss Worthington
606531	201502	Herself (costume designer)
606532	372952	
606533	224281	Elsie
606534	33669	Beatriz
606535	224192	Pet Store Girl
606536	84450	Eds Tochter
606537	224192	Pet Store Girl
606538	41281	Little Girl
606539	294	Pamela Finklestein (UHF)
606539	295	Pamela Finklestein (UHF)
606539	2399	Herself
606539	9906	Pamela Finklestein (UHF)
606539	13990	Sheryl
606539	32044	Joy Miller
606539	32088	Amanda Wasserman
606539	37261	Polo Habel
606539	51836	Joy Munchack
606539	54726	Velma Velour
606539	57492	Herself
606539	57497	Herself
606539	88867	Karen Blittstein
606539	132098	Evie
606539	147767	Sally
606539	161255	Herself
606539	163247	
606539	164364	Dolores 'D.D.' Durante
606539	176364	Kerry
606539	195329	Germaine
606539	227469	Fran Fine
606539	227471	Herself
606539	255234	Sister Frida
606539	271003	Mameh
606539	280005	Jody Levin
606539	281923	Linda
606539	287789	Virginia
606539	288695	Connie
606539	313799	Herself
606539	316210	Carolyn
606539	330794	Bobbi Flekman
606539	342234	Herself
606539	344203	Pamela Finklestein
606539	360536	Valerie
606539	360668	Veronica
606539	362479	Gail Hoffstetter
606539	366958	Rosemarie Russo
606539	372629	
606539	383951	Joyce Columbu
606539	398982	Fran Fine Sheffield (after th
606539	402178	Melissa Kirshner
606539	405013	Fran Reeves
606540	230526	Waitress
606541	100391	Copera
606542	161255	Herself
606543	72877	(segment "Dryer Straits")
606544	236445	
606544	309373	
606545	366045	Old Patient
606546	46291	Sarah
606546	55249	
606546	65968	Jess Fenton
606546	81241	Miss Upton
606546	107869	Mrs. Baines
606546	183596	Lady Pont
606546	236081	Miss Fox
606546	292652	Miss Mitchum-Browne
606546	330560	Steffy Millington
606546	330903	Sylvia Russell
606546	339430	Lady Wilde
606546	363544	Julia Trevelyan
606546	368493	Eve Heatherley
606546	383165	Livia
606546	384783	Mrs. Beatty
606546	395827	The Witch
606546	400709	Marchioness of Auld Reekie
606546	406696	Lucari
606546	411315	Lady Cumnor
606547	244312	Friend to Bianca
606548	102581	Trolls
606549	160781	Christine
606549	223735	
606549	258324	
606549	263284	Truus
606549	393707	Jopoppinolou-kico-club
606550	38832	
606550	310430	Familie Wuest
606550	317579	Rita
606552	290070	Herself (Schindler mourner)
606553	233913	Girl at Party
606554	64880	Zelah
606555	196341	Wendy
606555	271704	Rebecca
606556	396225	Herself - Co-host (1988)
606557	196341	Coffee Shop/Restaurant Custom
606558	11936	La secrétaire de Duvernet
606558	30756	Nadine
606558	32012	Nathalie
606558	44221	Agnes Dorieux
606558	65382	
606558	71517	
606558	88193	Maman lunettes
606558	96219	
606558	99360	
606558	104222	Eva
606558	114828	Clémentine
606558	122117	
606558	122376	Juliette
606558	122426	Récitante
606558	123684	Colette
606558	124419	Julie
606558	136305	Madeline 'la guêpe'
606558	144498	Extra
606558	184263	
606558	199315	Une vendeuse
606558	236543	Agnès, fille de Restif
606558	249677	Èva
606558	254138	Nelly
606558	267878	Rose
606558	288087	Maggy, make-up girl
606558	307570	Katia
606558	319969	Adèle
606558	326147	Claire
606558	355872	Armelle Lévêque
606558	378057	
606558	382472	Garlonne
606558	384212	Arlette
606558	392910	Christine Valadier
606558	399106	Marie-Paule Clermont
606558	402349	Viviane Montbertaut
606559	73269	
606560	312887	
606561	5722	Narrator
606561	12220	Narrator
606562	259190	Heléna Zarémba
606563	3450	
606563	53696	
606563	68969	
606563	74597	
606563	96284	
606563	96379	
606563	120706	
606563	136865	
606563	136962	
606563	198194	
606563	202149	
606563	236409	
606564	274770	Blonde girl
606565	91254	Mrs. Van Taeke
606565	99222	Mevrouw van Raat
606565	180900	Mary
606565	357381	
606566	222739	
606567	9010	Mrs. Blake
606567	40670	Mrs. Eileen Clayton
606567	47498	Virginia Perry
606567	50005	Kate Bindane
606567	50291	Herself
606567	57098	Calamity Jane
606567	60150	Jane Dillingham
606567	64925	Mother O'Day
606567	71784	Mrs. Rigby
606567	72499	Prioress
606567	79581	Polly
606567	88863	Mrs. Herbert Banning
606567	96659	The Czarina, Catherine II
606567	101694	Mrs. Flora Preston
606567	101764	Mrs. Samuel Murray
606567	105225	Anastasia Potter
606567	112195	Claudine Kemp
606567	116376	Mrs. Theddon
606567	124090	Rosa
606567	127637	Julia Gory
606567	128377	Katherine Comstock
606567	129586	Lena Fontaine
606567	131909	Marie de Nardi/Mary Holmes
606567	147800	
606567	190543	Mary Jones
606567	199737	Georgia Morton
606567	200881	Ellen Clarke
606567	202793	Mother
606567	219951	Ma Quail
606567	221186	Mrs. Gregory
606567	231093	Nina Race
606567	235485	Mame Jarrow
606567	246358	Mrs. Alcott
606567	252727	Mrs. Rogers
606567	265244	Mrs. Forbes
606567	283092	Mrs. Effie Floud
606567	286199	Mrs. Pete
606567	289585	Empress Elizabeth Petrovna
606567	294919	Mrs. Hansen
606567	299166	Mrs. Pleznik
606567	308625	Emma Hoffman
606567	313918	Melissa Frake
606567	314486	Mrs. Cissie Ramsey nee Black
606567	330507	Alicia Daly
606567	330837	Pauline
606567	331609	Marta
606567	334348	Mrs. Kincaid
606567	362387	Mrs. McLean
606567	363835	Mrs. Jacob Politz
606567	367755	Wilma Rockwood
606567	368424	Baroness von Gerhardt
606568	328554	Brill's Sister
606569	21231	Madeleine
606570	23942	
606571	80607	Annie
606571	145804	Mary
606571	322940	
606572	41844	Waitress
606572	67578	Ceil Gentry
606572	74197	Mae Dowd
606572	133332	Olga
606572	177643	Emma Washburn
606572	258883	Johnny's Mom
606572	274245	Dearie
606572	276819	Mrs. Slater
606572	296755	Lila
606572	315776	Housewife
606572	340702	Anna
606572	389858	Mrs. Alice Grant #2 (1978-198
606573	80607	Jocelyn
606574	6003	Herself
606574	8453	
606574	17512	Marthy Owens
606574	17793	
606574	37255	
606574	46320	Queen
606574	47137	Annie Moore
606574	47374	Herself
606574	52574	Mrs. Callahan
606574	54706	Herself
606574	57193	Marie Jones
606574	59889	Bonnie
606574	63088	Herself
606574	63158	Abby
606574	78061	
606574	86957	Carlotta Vance
606574	88076	Mrs. Hart
606574	99949	Emma Thatcher Smith
606574	128442	Hettie Brown
606574	130337	Herself
606574	147825	Herself - as the Queen
606574	164579	Herself
606574	169590	Mrs. Heath
606574	188292	Mrs. 'Bouccy' Bouccicault
606574	205183	
606574	214327	Min Divot, Inkeeper
606574	241706	Princess Beatrice
606574	250810	Ma Harrington
606574	259402	Hattie
606574	265977	Maggie Warren
606574	274042	
606574	274539	Marie Truffle
606574	291323	Herself
606574	291329	
606574	291498	
606574	329563	Herself
606574	329565	Appearance
606574	333075	Tillie Tinkelpaw
606574	333076	Tillie Banks, Country Girl
606574	333079	Tillie Banks
606574	341528	Annie Brennan
606574	349636	Mrs. Ethel Bertha Whitehall
606574	356272	
606574	365926	Herself
606574	366936	Herself
606574	374418	Herself
606575	342156	Hospital Patron
606576	312540	Front End Voice #3
606577	322837	Additional Voices
606578	218387	
606579	222687	Woman in Car
606580	28791	Beth
606580	133730	Julie Driscoll
606580	191513	Sloan
606580	379676	Sally Hagen
606580	411797	Robin
606581	26460	Shelly, College Girl
606582	87942	model in Courrèges sequences
606583	176884	Aerobics dancer
606584	63574	
606585	173393	Marjánka
606586	344278	
606588	68381	
606588	73068	Vendeuse Grand Magasin 1
606588	188634	Street Kid
606588	240429	
606588	266237	La standardiste de l'hôpital
606590	35487	
606590	201218	Daisy
606590	221245	Lucy
606590	250913	Emma
606590	275445	Woman police constable
606590	330957	Old friend
606590	385978	Cordell Hospital Nurse
606590	408644	WDC Jilly Barnes
606591	117618	
606591	145817	Mrs. Harvey Weer
606591	274251	Jane Logan
606591	277990	Mary Smithson
606591	301757	Mildred Hallan
606591	366089	Mariquita
606592	64326	Herself (wife of Robert Drew)
606593	273629	Mrs. Packard
606593	307913	Nellie
606593	312003	Verna
606594	88561	Human Resources
606596	16088	
606596	31705	Mother
606596	39878	Mrs. Fordyce
606596	46519	
606596	49943	
606596	52203	Mrs. Manning
606596	114536	
606596	129818	Mrs. Conners
606596	142369	
606596	149173	His Mother
606596	163596	Mrs. Judd
606596	175612	Mrs. Hineman
606596	190881	Molly Carrington
606596	192515	Mrs. Randall
606596	195638	Mrs. Jefferson
606596	214590	
606596	218927	Chinta
606596	231749	
606596	232871	Mrs. Daniel Cavanaugh
606596	242572	Miss Martha Lacey
606596	259764	
606596	264031	Mary O'Connor
606596	283433	Mrs. Villard/Mimi
606596	287255	
606596	309926	Tante Jeanne
606596	346073	Aunt Isabella
606596	362478	Her Aunt
606596	362678	Larry's Mother
606596	363264	Walton's Housekeeper
606596	368107	Mrs. Arnold
606597	231916	
606598	323207	Inez Casmetto
606599	74211	Melanie
606600	41	Peggy Bobbett
606600	114863	Nadine
606600	127111	
606600	184048	Steve Taylor
606600	199392	Phyllis Covington
606601	36996	Miss Hartleby
606601	276689	Laughing Sam
606602	362476	Alice
606603	379577	
606604	379455	Herself
606605	900	Herself (Memorial Tribute)
606605	5531	Wife
606605	13665	School Teacher
606605	30255	Sofia 'The Baroness' de Peral
606605	36840	Telephone girl
606605	42023	Secretary
606605	48539	Woman
606605	48558	Joan Cameron
606605	55030	Kitty Mellar
606605	62050	Louise Thompson
606605	63034	Betty Casey
606605	66549	Radio Station Receptionist
606605	67139	Student
606605	73172	Irene Cotter
606605	73197	Secretary
606605	73700	Nina
606605	78155	Secretary
606605	78878	Kay Downey
606605	79634	Frances Oatman
606605	119841	Diana Lake
606605	126274	Alice Hamilton
606605	132473	Ann Wilson
606605	133714	Bee Moore
606605	147650	Bit Role
606605	150577	Switchboard Operator
606605	155294	Ann
606605	155846	Huguette
606605	157249	Yvonne
606605	160971	Bit
606605	162952	Thea
606605	168720	Nelle Marchettis
606605	183579	Girl in Sailboat
606605	183853	Penelope 'Penny' Hollis
606605	199158	Linda Booth
606605	201458	Usherette
606605	202867	Connie McBride
606605	202998	Caroline Emmet
606605	203195	Nan Melotte
606605	218349	Susan Webster
606605	220333	Helen, (as Terry Ray)
606605	222628	
606605	222768	
606605	223654	Bit Role
606605	223912	Teresa 'Terry' Kyser
606605	232033	Kit Lane
606605	232038	Secretary
606605	232170	Ann Richards
606605	244938	Babe Marvin
606605	245398	Ruth Sewall
606605	249349	Mary Mallory
606605	273183	Rita
606605	275405	Peggy Tobin
606605	276730	
606605	277528	
606605	281810	Mary Arnold
606605	289422	
606605	302623	Susan Kent
606605	302629	Martha Randall
606605	313377	Finale
606605	313793	Harriet Gray
606605	321726	Barbara Glowan
606605	329115	Ellen 'Slats' Dangerfield
606605	329585	Betty Moody
606605	330908	Chorus Girl
606605	341957	
606605	367046	
606605	367905	Joyce King
606605	372050	Cashier
606605	372898	
606606	269355	Spikey fan
606607	67859	Bridget Morahan
606607	82904	Mrs. O'Hara
606607	229111	Aunt Maggie Mahaffy
606608	133949	Ann
606609	16422	Adina
606609	29916	Griffin
606609	34838	Lucy
606609	37689	Missy Sue
606609	37997	Fraulein
606609	41813	Sandi Hills
606609	49966	Keri Brown
606609	50262	Bambi
606609	80553	Zanza
606609	87018	May
606609	87025	Daphne Adrian
606609	99981	Dayna
606609	99984	Julie
606609	99986	Dayna Estes
606609	102736	Judy (episode "Judy and the B
606609	102768	
606609	103449	Vicky
606609	128786	Herself
606609	158966	Janet Colby
606609	176393	Christy
606609	180554	Jeaneen
606609	213260	Desiree
606609	216137	Gwen
606609	245684	Sally
606609	252889	Pajama Party Guest
606609	262112	Hooker
606609	270627	Elizabeth
606609	273282	Mile High Club Woman
606609	273851	Hooker
606609	289427	Helen/Doris
606609	294278	Sharon
606609	295719	Doreen
606609	295720	Statue
606609	295723	Valerie/Doris
606609	302580	Tawny
606609	317816	Kim
606610	73403	
606610	147959	Ruth
606610	315630	Mrs. Sherman
606611	125532	Mary Wareing
606611	220942	Dorcas
606611	302766	Miss Hesletine
606612	360798	Dutch Girl
606613	7534	
606613	21799	
606613	31132	Vivian LaMar
606613	35828	
606613	47487	
606613	61740	Deborah
606613	66207	
606613	69509	
606613	72898	
606613	102119	
606613	105138	Princess Irmingarde
606613	106850	
606613	106894	
606613	117445	Cora
606613	118465	
606613	123143	Sara Sanderson
606613	158228	Wanda Dawson
606613	158380	Donna Ana, Princess of Eboli
606613	194768	
606613	204737	
606613	208045	
606613	231932	The Woman
606613	241861	Marcelle
606613	244344	
606613	244360	Mildred Braddon
606613	257938	
606613	283091	Mrs. Effie Floud
606613	291217	
606613	294907	
606613	296905	
606613	312173	Olga
606613	357588	Teddy Bimms
606613	368362	
606614	203038	Mirandy Higgins
606614	214187	Woman on Street
606614	356261	Mrs. Lancy
606615	14231	Brenda Bristols, 'See You Nex
606615	20135	Girl (segment "Nessun dorma")
606615	34790	
606615	34792	
606615	99999	Showgirl/Pink-haired party gu
606615	115674	Dancer
606615	184046	Maids/Nuns
606615	271248	Madame Rainbow
606615	286195	1st Slave
606615	407989	Various Characters
606616	346332	Waitress/Agnes
606617	346413	Herself
606618	304734	Waitress
606619	308122	Donna Penski
606620	360684	
606621	7836	
606621	13281	Polly
606621	21490	
606621	24246	
606621	26859	
606621	32133	
606621	32683	
606621	35467	
606621	40109	
606621	44569	
606621	47002	
606621	49607	
606621	49653	
606621	50920	
606621	56169	
606621	57388	
606621	59762	
606621	61675	
606621	65826	
606621	67760	
606621	82926	
606621	95332	
606621	100050	
606621	115845	Bessie Horton
606621	118531	His Wife, Eva
606621	124347	
606621	139553	
606621	142936	
606621	142990	
606621	143084	
606621	143130	
606621	143246	
606621	143321	
606621	145854	
606621	145871	
606621	145883	
606621	145945	
606621	146294	
606621	153623	
606621	162518	
606621	188187	
606621	215654	
606621	241030	
606621	241641	
606621	250742	
606621	251189	Doris Fenton
606621	253768	
606621	257748	Jeanne Blagwin
606621	280859	
606621	282866	
606621	285307	Mrs. Sharp
606621	285343	
606621	296895	
606621	303269	
606621	310629	
606621	312295	
606621	315628	Mrs. Higgins
606621	335641	
606621	335667	
606621	342379	
606621	364667	
606621	372939	
606622	61312	Mrs. Laurel
606622	92558	Anna's Second Maid
606622	117359	Diane
606622	156939	Teacher
606622	200484	Nurse
606622	203133	Critic
606622	242110	
606622	244778	Mannequin
606622	362091	Elsie Thayer
606623	77981	Sheila Jason
606623	134675	Helen
606623	143233	Girl
606623	230390	
606623	231768	Specialty Trio member
606623	304966	Trudy Price
606623	354226	Louise Holden
606623	359868	Starlet
606623	389420	David's girlfriend
606624	260266	Singing Lady
606625	333904	
606626	167684	Newscaster
606627	162533	Stacy Rowe
606627	162534	Stacy Rowe
606627	270607	Mary Helen
606627	385705	Stacy Rowe (1997-2001), Trici
606627	387989	Hannah (2004-)
606628	355153	Go-Go Girl
606629	304913	Chelsea
606630	282429	Marcie
606631	127607	Herself
606632	372728	Telegraph operator
606633	380713	Ellen Lowell Cole Stewart #1 
606633	393537	Jimmy's Sister
606634	10587	Nurse
606634	115472	
606634	144819	
606634	186789	Nurse
606634	212746	Friend
606634	245518	Bit Role
606634	372928	Woman
606635	63221	Christine Sophie Henrietta Ba
606636	33258	Rusty's Daughter
606637	188551	Field Reporter
606638	248690	
606639	206114	Marybeth
606640	33644	Celia
606640	123511	Hedda Lochner
606640	292201	
606640	340730	Susan
606641	342459	Millie
606642	58670	Herself (Student, Concord Hig
606643	174770	Maria
606644	37701	Mary
606645	65825	Shirley
606645	152514	Jeanne
606646	9920	
606646	15888	Fräulein Peuthert
606646	24046	
606646	24897	Kerstin Melartin
606646	34347	
606646	40499	Anna Koljaiczek (old)
606646	62176	Mutter
606646	64674	Frau Freimuth
606646	64675	
606646	90128	
606646	98270	
606646	103077	Frau Schrott
606646	109557	Frau Bäumler
606646	119271	Babette
606646	134641	
606646	134816	
606646	142062	Elfriede
606646	142105	
606646	146872	Mutter Völker
606646	155392	Frau Woitke
606646	169033	
606646	172357	Chansonette
606646	180919	
606646	193284	
606646	204488	
606646	209954	Franziska Donath
606646	225137	Paula Rellspieß, 'Spiess'
606646	225177	
606646	225182	Mutter Nilsson
606646	259344	Tischlersfrau
606646	289980	Frau Stiel
606646	290150	
606646	301016	Perette
606646	311235	
606646	318085	
606646	347560	Millicent James
606646	347622	Tante Edith
606646	348677	Anna
606646	361367	
606646	375982	Frau Brehm
606646	393409	Tinchen Jeschke
606647	98349	
606647	135771	
606647	172524	Heide
606647	187979	
606647	260326	Betty
606647	281718	Laura
606647	389823	Gloria
606647	394536	Lisa
606648	218767	Daphne
606648	238140	Teenage Girl (Video)
606649	122188	Jana
606650	128515	Van Ruijven's Daughter
606650	238140	Christine
606651	386347	Herself (episode 1.6 "1970-19
606652	51504	The woman
606652	208304	
606653	458	Franzi
606653	11870	
606653	42114	Mizzi Schikaneder
606653	119168	
606653	130940	
606653	142079	
606653	178583	
606653	179576	
606654	146524	
606654	353552	
606655	2420	Louise
606655	29428	
606655	30044	
606655	46564	The Spanish Girl
606655	47743	Daisy Mason
606655	103353	Jennie Joyce
606655	108593	Blossom Williams
606655	147909	
606655	149802	
606655	150396	
606655	186357	Sally Tracy
606655	203016	Betty
606655	207247	Marion Kirby
606655	248107	Johnny's wife
606655	249492	Jean Morgan
606655	263034	Dorothy Marsh
606655	276317	
606655	278045	Janet Reynolds
606655	278389	Mary Coronelli
606655	300327	Nancy
606655	310766	Joan Harlan
606655	329071	June Collins
606655	335682	
606655	360190	
606656	4838	
606656	6318	
606656	28980	Werneck
606656	36632	Anna
606656	49265	Resi Berghammer
606656	49266	Resi Berghammer
606656	49267	Resi Berghammer
606656	49268	Resi Berghammer
606656	49269	Resi Berghammer
606656	49270	Resi Berghammer
606656	49271	Resi Berghammer
606656	49272	Resi Berghammer
606656	49273	Resi Berghammer
606656	49274	Resi Berghammer
606656	49275	Resi Berghammer
606656	49276	Resi Berghammer
606656	49277	Resi Berghammer
606656	49279	Resi Berghammer
606656	49280	Resi Berghammer
606656	49281	Resi Berghammer
606656	49282	Resi Berghammer
606656	49283	Resi Berghammer
606656	49284	Resi Berghammer
606656	49285	Resi Berghammer
606656	49287	Resi Berghammer
606656	49288	Resi Berghammer
606656	49289	Resi Berghammer
606656	49290	Resi Berghammer
606656	49291	Resi Berghammer
606656	49292	Resi Berghammer
606656	49293	Resi Berghammer
606656	49294	Resi Berghammer
606656	49295	Resi Berghammer
606656	49296	Resi Berghammer
606656	49297	Resi Berghammer
606656	49298	Resi Berghammer
606656	49299	Resi Berghammer
606656	49300	Resi Berghammer
606656	49301	Resi Berghammer
606656	49302	Resi Berghammer
606656	49303	Resi Berghammer
606656	49304	Resi Berghammer
606656	49305	Resi Berghammer
606656	49306	Resi Berghammer
606656	49307	Resi Berghammer
606656	49308	Resi Berghammer
606656	49309	Resi Berghammer
606656	49311	Resi Berghammer
606656	49312	Resi Berghammer
606656	53719	
606656	98104	Anna
606656	100948	
606656	111956	Urschel
606656	118766	
606656	126370	
606656	134782	
606656	142081	Therese
606656	171567	
606656	174391	Karoline
606656	182809	Ilse Milner
606656	206296	
606656	206305	Nurse
606656	207792	Res, Mutter Kneißl
606656	231677	Mutter Klein
606656	290187	Schwaigerin
606656	308259	Elisabeth Straub
606656	312202	Bäuerin
606656	313644	Balbina
606656	325394	Anna Bürgl
606656	325483	Sophie Riedel
606656	358900	Mama Stieglmeier
606656	365677	Hilda Schneider
606656	374552	Magd
606656	376268	Regina Lechner
606656	379174	
606656	392997	Bürgermeisterin
606656	398083	Lisi Schleibinger
606656	398863	Ruth Hillermeier
606656	412088	Paula
606657	69161	Herself
606657	104750	Swiss entry (6th place)
606658	98067	
606659	23463	President's secretary
606660	212732	Dodie Landon
606661	105110	
606661	145046	Brenda
606662	262653	
606662	266713	Nurse Louise Chapman
606663	11077	
606663	193831	
606663	193836	
606663	193840	
606663	245633	
606663	256116	
606663	315323	
606664	353961	
606665	11077	
606665	193836	
606665	193840	
606665	245633	
606666	259732	Une voisine
606667	120813	
606668	133395	
606668	174482	
606669	279409	
606670	212687	Jennifer
606670	372372	Shopper
606671	314542	Frau Nagold
606671	325892	Erika
606671	333852	
606671	408388	Jenny
606672	5659	
606673	96958	Off-camera singer
606674	389055	Herself - Host/Interviewer
606674	397955	Herself
606675	300801	Kate
606676	241605	Agency Model
606677	378743	Catharina
606678	249420	Grandma Celantano
606679	96111	Jade
606680	406864	Dorita de la Vega Maldonado
606681	72339	Heroine/Wife
606682	30933	Lady Katarina
606682	110347	Mother
606682	130184	Laura
606682	166288	Lydie Bastien
606682	176711	Sofie Fatale
606682	201701	Herself
606682	271886	
606682	334861	Mary
606682	385308	India Reyes
606683	402074	Deborah
606684	92112	Sadie Whiteman
606684	188227	Woman During Chase
606685	410941	Darren Warner
606686	127292	Elizabeth
606687	240317	Droid
606688	84695	Femme Renault 5
606689	229179	
606689	285717	Nancy
606689	340871	
606690	377991	
606691	74002	
606692	190085	Herself
606694	25270	
606695	353500	Herself (Model)
606696	32849	Lizzie
606697	186650	Lady in bleachers
606698	134996	Bille
606699	397517	Marylin
606700	399130	Sasha Healey (1998-1999)
606701	137494	Kate
606703	95486	Asylum Extra
606704	42805	Anitra
606705	326242	Bar Patron
606706	52312	Herself
606706	206609	Tiffany
606706	257648	Herself (Miss October)
606706	257682	Herself (Playmate)
606706	257834	Herself (Miss March 1990)
606706	296352	Herself
606706	296353	Herself
606706	336449	Kathy
606706	343294	Beach Babe/Melissa
606706	361850	Herself
606707	93759	Jenny
606708	235443	Rachel Schnitzer
606709	144683	Convalescing Woman on Roof
606710	371908	Customer in Bank
606711	110550	Theology student
606712	101163	Agnès Voisin
606713	384288	Amélia
606714	30321	
606715	387150	Rapper
606716	107351	Book Person: 'Plato's Republi
606717	197062	Flamette
606717	235832	
606718	116884	Marie Minshull
606718	241360	Eve
606718	384097	Lisa (1997)
606718	389042	Marie Minshull (Series 1) (20
606719	147974	Hutterite Woman
606720	11192	Helen Herriot
606720	11193	Helen Herriot
606720	25480	Dawn Allenby
606720	65764	Nurse Feeley
606720	68164	Biddy
606720	109809	Anne Winton
606720	169142	
606720	200452	Dziennikarka
606720	207464	Maggie
606720	269305	
606720	300048	Wife
606720	379706	Helen Herriot née Alderson (1
606720	382581	
606720	383406	Mrs. Elizabeth Cook
606720	384136	Mary Gore
606720	390283	Rebecca Greenwood
606720	391128	Fanny Crowe
606720	404196	Liz Chadwick
606721	185570	Katie
606722	308598	Friend of Liszt
606722	401041	Steve Temple
606723	267526	Model
606724	104831	
606725	170230	Herself
606726	141893	Prison Guard
606727	154781	Margo
606728	389042	Melanie
606728	409506	Undercover Agent
606729	67579	Mrs. Halstead
606730	317316	Emma
606731	81505	
606732	64734	Ruth's 'Sister'
606732	98818	Linda Novotny
606732	341613	Mrs. Smalley
606733	368033	Gretel
606734	162099	Fairy
606735	132786	Martha
606736	321206	Sherry Rooney
606737	60763	Diana, Principal's Secretary
606738	389412	Lt. Rosemary Clark
606739	2295	Herself
606739	118988	
606739	260327	Herself
606740	188446	Martha
606741	187191	Blonde Card Carrier
606742	243737	Voice Actor - multiple roles
606743	59537	Rose
606743	61548	Peggy Martin
606743	333439	X-Ray Assistant
606743	358049	Maggie
606743	367725	Betty
606743	379327	Maid Marian (1957-1960)
606743	394395	Margaret
606743	400462	Katherine Walters
606743	401420	Presenter
606743	404647	Connie
606744	399434	Maggie
606745	44808	Bernadette
606745	277082	Stella
606745	397458	Chloe Zimmler
606745	407461	Fallon
606746	350833	
606747	188453	'Lena' Girl
606748	254480	Marie Manners
606749	167866	Barbie
606749	232933	Phillip's Girl
606750	254170	La mère d'Abdel
606751	202418	Opera singer
606751	261868	Soprano
606752	22629	Dancing Girl No. 3
606753	72218	Mother Barton
606753	93153	Nora Flanigan
606753	112604	
606753	185614	Belinda, the ranch cook
606753	206111	Mrs. William Beckett
606753	277845	Townswoman
606753	342664	Mrs. McGuire
606754	44095	Betty
606754	107229	Mary Matthews
606754	118050	
606754	188308	Betty Pinbright
606754	224413	
606754	252280	Betty Higgins
606754	360247	Herself
606754	367854	Betty Williams (Turpin)
606754	385019	Herself (Series 1) (2003)
606754	385020	Betty Turpin/Williams (1969- 
606754	400844	Mrs. Edgeley
606755	74988	Heat
606756	100073	Jan
606756	182987	Annette
606756	192779	Poker Player
606756	232126	Cindi
606756	245013	Bag Lady
606756	329108	Car-Jack Victim
606756	362330	Nurse
606757	32122	Pool player in lesbian bar
606757	151761	Soup seller
606757	314358	Impatient Post Office Custome
606757	342880	Decoy for Sydnie
606757	391256	Car Crash Victim
606758	190322	Amy Halls
606758	222492	Hippie
606758	318692	Jenna
606759	131240	Housemaid (evening prayers)
606760	40024	Maid
606760	85848	Glass Blower's Wife
606760	166345	Maid
606760	257087	Lulu, Vickers' Maid
606760	318607	Churchgoer
606760	354160	Servant
606761	44755	Josephine Hughes
606761	311021	Emily, Clay's date
606762	19260	Melania
606762	29524	Hot Chick
606762	107479	Ellen Douglas
606762	312356	Maria
606763	16082	Anna
606764	161345	Herself
606766	3021	Herself
606766	22878	Kendal
606766	27629	
606766	32052	Mona Hibbard
606766	37232	Phyllis
606766	47223	Herself
606766	64400	Bernadette 'Benny' Hogan
606766	74025	Flora Mussell
606766	76219	Waitress
606766	99330	Mandy
606766	129988	Lydia
606766	131665	Skylar
606766	132321	Rosina 'Rosie' da Silva, aka 
606766	134611	Debi Newberry
606766	139137	Karen
606766	144834	Shannon
606766	149455	Vera Edwards
606766	155596	Miss Mabel Chiltern
606766	161345	Herself
606766	201569	Herself
606766	218219	Lady Eboshi
606766	221426	Herself
606766	245838	Belinda
606766	254522	Carlotta
606766	276869	Grace Briggs
606766	282608	Sally
606766	304765	Carol Martinez
606766	305150	Trina McTeague
606766	309867	Brooke Shields
606766	325098	Jane Porter
606766	329517	Rachel
606766	348449	Constance Levine
606766	355039	Journalist
606766	365732	Herself
606766	398416	Leah
606766	398698	Ellie (Series 1) (1995)
606766	401778	Jennifer Caird
606767	43372	Secretary
606768	254522	Ballet Girl/Flamenco Dancer/M
606769	41379	Yvette
606769	175134	
606769	224813	Airport Clerk
606769	253230	Nurse
606769	316261	Girl with Hat
606771	59635	Josyane
606771	123064	Ida/La servante
606771	132888	Chateaugué
606771	205776	
606771	343580	Francine
606771	384174	Violante
606771	389880	
606772	407384	
606773	263256	Vanda
606774	263256	Vanda
606775	355996	
606776	273090	
606777	164897	
606778	29670	Damsel
606779	310490	
606780	132735	
606781	267282	
606782	95969	Bronka
606783	62355	Sasha
606783	91202	
606783	95585	
606783	265042	Lyalka
606783	280610	
606783	357257	Ulyanova
606783	374102	
606784	2974	
606784	20404	
606784	135747	
606784	174532	
606784	200002	
606784	211718	
606784	224390	
606784	262174	
606784	299423	
606784	349050	
606784	357446	
606784	371352	
606785	82205	Aunt
606786	200205	Nurse
606787	409609	Frau Huhn/Zumbusch (1991)
606788	37057	Ed's Mother
606788	41154	Jessica Reilly
606788	69814	Peggy
606788	185297	Janice Morgan
606788	244420	Hospital kitchen staff
606788	411290	Lineria
606789	289929	Herself
606790	87166	Minivan Theater Kid
606791	71449	La zia
606791	183480	
606791	234716	
606791	269496	Clara
606791	383784	Agnese
606791	397408	
606792	399344	
606793	104452	
606794	117314	Girl at Pool
606795	24982	
606796	346121	Woman at house
606797	89796	School Teacher
606797	244100	Lalunia, replacement 'doctor'
606797	373795	The Black's Mother
606797	375648	Marcjanna Macka
606797	375649	Brzostowska
606798	27349	
606798	125914	
606798	184954	
606798	338014	
606799	340683	Jenny
606800	83713	House-maid
606800	374667	
606801	75747	Barba
606801	83713	Wife of Benjamin
606801	92722	
606801	225869	Francka
606801	225918	
606801	225970	Tildica
606801	227826	Mother of Lucka
606801	304985	
606801	339680	
606801	374044	
606802	192902	
606802	253745	
606802	304454	Mather
606802	372322	Ana
606803	225869	Francka jr.
606804	351826	Spectatrice
606805	395093	Serveuse
606806	133684	Papillon
606806	249625	Secretaire
606807	176984	Secretary
606808	108895	
606809	155398	Martha Faerber
606810	185589	Girl in club
606811	308885	
606812	310171	Woman on the Toilet
606812	358478	Lizzy Quinn
606813	67902	Jill Parsons
606813	283811	Alison Palmer
606813	313451	Yeoman Smith
606814	1111	
606815	332593	
606816	4301	Herself: Queen of Denmark
606816	35911	Herself - Queen of Denmark
606816	35912	Herself - Queen of Denmark
606816	42643	Herself
606816	51804	Cécile
606816	58744	Adrien's future wife
606816	68914	
606816	70607	Une fée
606816	71947	Marie Lambert
606816	72387	Françoise
606816	78292	Herself - Queen of Denmark
606816	84475	Thérèse
606816	93898	Herself
606816	99364	Secrétaire Promocash
606816	101490	Herself
606816	134892	Herself
606816	134892	Herself - Queen of Denmark
606816	146402	
606816	179933	Herself
606816	179966	Herself - Queen of Denmark
606816	179967	Herself
606816	179973	Herself
606816	179976	Herself
606816	179983	Herself - Queen of Denmark
606816	181156	Herself
606816	209324	Herself - Queen of Denmark
606816	217695	
606816	228523	Sophie
606816	236042	Céline
606816	237998	Virginie
606816	264295	Herself - Queen of Denmark
606816	345437	La secrétaire du chantier
606816	345461	Cathy
606816	351044	Herself
606816	353945	Malene
606816	355500	Herself - Queen of Denmark
606816	376108	Herself
606816	377410	Herself
606816	394756	Herself
606816	394756	Herself - Queen of Norway
606817	242818	Lena
606818	94337	
606819	183086	
606820	105741	Ludwig
606822	179212	Haifa Student
606823	175046	
606824	42034	Musicalleerling
606825	261546	Doctor
606826	91523	Mother
606827	145339	Wicked Queen
606828	130232	Hannie
606828	390242	Hannie van der Kroeft (1994-1
606829	349941	Walter's Secretary
606830	147999	
606830	212019	
606831	233923	Desk Manager
606832	99443	Kokkepigen Hermansen
606833	7952	Rescued Woman
606833	106676	Paramedic
606833	167566	Lori Bellweather
606833	185111	Doctor
606833	231893	Muffy Goldstein
606833	242509	The Fan
606834	178114	Hooker
606835	15852	Businesswoman
606835	32438	Charlotte Daniel
606835	92618	Dr. T's Patient
606835	314785	Doris
606836	20779	Herself: Queen of Sweden and 
606836	37760	Herself
606836	42643	Herself
606836	101360	Herself
606836	122515	Herself - Queen of
606836	133309	Herself
606836	134892	Herself - Queen of Sweden
606836	241277	Nurse
606836	343469	Queen of Sweden
606836	394756	Herself
606837	65166	Clara du Badoul
606838	89109	
606838	127557	Liz
606838	141959	Sonja
606838	180787	Jack's Girlfriend
606838	183599	Mrs. Flint
606838	184090	Woman at door
606838	279757	Fanny
606838	297706	Mrs. Grimes
606838	334271	Big Woman
606838	391666	Mrs. Partridge
606838	398416	Mary Quance
606839	409981	Amanda
606840	248425	
606841	99912	
606842	390436	L'institutrice
606843	345555	Mère Olivier
606844	46937	Louise
606844	106205	Rock Dancer
606844	284259	Jeune fille 2
606844	288889	Sophie
606844	388085	Laurence
606845	377869	Hélène
606846	375077	
606847	410215	Lucie
606848	330099	Louise Thivierge
606849	223263	
606850	395893	Herself
606851	76061	Claudine
606851	83340	Policier 2
606851	133045	Simone Lesage
606852	18149	
606852	379528	Hara
606852	380611	
606852	394066	Anta
606853	73483	Boris's Girlfriend
606854	43649	Therese
606855	234900	
606856	43649	Gisou
606857	262363	
606858	13045	
606859	116575	The Witch (fantasy sequence)
606860	136825	Josephine Corcoran
606861	315899	Saleslady
606862	147633	Angela Whitaker
606863	35750	Herself
606864	246291	Bergère des dollines
606865	33897	
606865	140425	
606865	166946	Lang's Secretary
606866	78947	Corinne Wright
606866	307536	Mask Woman/Zombie Woman
606867	262086	Woman
606868	58243	Zawislakowa's Sister
606868	174880	Landlady
606868	176684	Lipski's Secretary
606868	185809	Krzyztoporski's Maid
606868	186384	Lady
606868	394585	Irena Lasek (1997-2000)
606869	281639	Rosa, 6 years old
606870	257656	Herself (Miss November)
606870	257839	Herself (Miss November 1997)
606870	257866	
606871	270310	
606872	10998	
606872	225813	
606872	265546	
606872	322104	Natasza
606872	350789	
606872	352865	
606872	381225	Katya Shmelyova (Film 2. Advo
606872	394785	Charlotte de Sauve
606872	400446	
606872	400447	
606873	223561	
606874	8455	
606874	23054	Natasha
606874	32757	
606874	76998	
606874	88617	
606874	88740	
606874	132034	
606874	180852	
606874	187382	
606874	231142	Katya
606874	251308	Duska
606874	258428	
606874	261411	
606874	273046	
606874	293903	
606874	304252	
606874	370184	
606874	371001	
606874	373515	Yulya Petrova
606874	374840	
606875	229035	
606876	373351	Imeil
606877	358663	Casino Trashy Woman
606878	12145	
606878	349359	
606878	350789	
606879	286736	Girl in a bar
606880	2143	Jill Brent
606880	3024	Gail Mason
606880	4912	Rosemary Murphy
606880	11514	Anne Stanton
606880	78774	Lady Joan Holland
606880	79866	Mary Magdalene
606880	92983	Kate Calder
606880	94880	Anne Halsey
606880	117342	Christine Lawrence
606880	138448	Hannah Lee (Hallie)
606880	142400	Marcia Rollins
606880	190454	Milly Elder
606880	220831	Miss Harriet Tripp
606880	224233	Lydia Marble
606880	259720	Rosy Labouche
606880	263581	Patricia Nash Dean
606880	274274	Tess Millay
606880	276809	Ann Marshall
606880	291383	Herself
606880	294586	Anne Traymore
606880	298043	Olivia Dandridge
606880	301065	Nora Curtis
606880	302469	Marion Moore
606880	321783	Jane (Bronson) Phillips
606880	332007	Stella Rigaud
606880	351755	Jen Strobie
606880	358175	Denver
606880	365148	Marcy Howard
606880	390767	Babs Hooten
606882	69049	Receptionist
606883	384184	
606884	370495	Anna
606885	63608	Alexandra
606885	63620	Tania
606885	84260	Vera Claythorne
606885	163911	
606885	164031	
606885	176136	
606885	219721	Olga
606885	227956	
606885	237467	Yelena Ivanovna Popova
606885	264926	Kseniya
606885	310472	
606885	315003	Lena
606885	356926	(segment Ispytatel)
606885	380347	Anna Karenina
606886	383291	(2000)
606886	412198	Morena
606887	134077	Cora Detterick
606888	155013	Girl/Jack's movie
606889	134077	Katie Detterick
606890	2169	Debby
606890	9480	
606890	17818	Brigitte
606890	36669	Agnès
606890	44945	Nathalie
606890	59301	Nicole
606890	67037	Alice
606890	78382	Sandrine
606890	78386	
606890	94315	
606890	104241	Lil
606890	107527	
606890	112889	Coraline
606890	156532	La coiffeuse
606890	211658	Gilda
606890	215265	Eliante
606890	248169	Roberta
606890	254316	Clotilde
606890	285769	
606890	322768	Solange
606890	332139	Edwige's best friend
606890	345444	Florence
606890	377039	
606890	380359	Louise
606890	387081	Adriane Roux
606890	390477	Herself
606891	397474	Herself/Journalist
606892	137674	Young Laurie Strode
606893	380430	
606894	92389	Herself, Journalist, Jyllands
606895	394987	Herself
606896	400286	Impiegato casa di riposo
606897	29580	Salomé
606897	74746	
606897	74882	
606897	162078	
606897	191208	
606897	199442	
606897	234746	Mary
606897	236038	Agatha
606897	255029	
606897	260952	
606897	266002	
606897	292284	
606897	311546	
606897	342121	
606897	374495	
606897	380989	La moglie di Mangiafuoco
606898	142228	Herself
606899	169540	
606899	228155	
606900	389242	La fille avec Roth
606901	11627	
606901	183477	
606902	395107	Annie Porter
606903	78773	Amanda Cain
606903	186846	Young Emily
606903	341984	Christine Harper
606904	291576	The prostitute in 'Black Hole
606904	324517	La sage-femme
606904	353277	Brigitte
606905	13267	Miss Murphy
606906	376835	Child (Crying daughter)
606907	10305	Vicki
606908	354725	
606909	16937	Galina
606909	24584	Veronique
606909	68406	Ana
606909	83037	Ada
606909	83199	
606909	84475	Helen
606909	101448	Dinara
606909	104422	
606909	113116	Dinara
606909	174234	Gitya
606909	223214	Charlotte
606909	235845	
606909	254154	Marie
606909	265069	Lisa
606909	286732	Valya
606909	351550	Mirka
606909	373856	Galia
606909	387149	
606910	348863	
606911	158662	
606912	305419	Julie
606913	27469	Tinka
606913	149524	
606913	174378	
606913	243640	Telefonistkata
606914	175703	
606915	79999	The Girl with the Flaxen Hair
606915	121908	
606915	192830	
606915	306000	
606916	138565	Hansel
606917	202283	Woman In Love
606918	32805	
606919	189462	Sara
606920	41478	Dilly Dedalus
606921	263	Harriet
606921	5573	Mrs. Finkle
606921	7196	Diner Grandmother
606921	17156	Site Committee
606921	25417	Lucy
606921	68308	Mrs. Mann
606921	69047	Hiss's Secretary
606921	79961	Anna
606921	96770	Old Woman In Jalopy
606921	106671	Mrs. Eunice Deever
606921	121823	Mrs. Ethel Dinges
606921	127084	Librarian
606921	144667	Mrs. Novack
606921	151101	Woman at Hearing
606921	154910	Stella
606921	155094	Dinner Guest
606921	157436	Aunt Susan
606921	166567	Grandma Rose
606921	168246	Helen
606921	171154	Edith
606921	171278	Lady with Cash
606921	177451	Zharko's Nurse
606921	195813	Postal Clerk
606921	203340	Mrs. Dawson
606921	217954	Mrs. Breen
606921	218026	Helen
606921	234227	Hattie
606921	238682	Carlotta Douglas
606921	249422	Mrs. Ewing
606921	255442	Grandma Dottie
606921	278822	Millie Hodge (Older Emily)
606921	283548	Mrs. Powell
606921	287135	Grace Barringer
606921	292619	Mrs. Varney
606921	318448	
606921	323838	Carolyn (segment "Cat From He
606921	330332	Mrs. Ramsey
606921	334385	Clara
606921	358638	Amelia's Neighbor--Betsy
606921	363497	Woman in Elevator
606921	372149	Gay Wellington
606921	381737	Mabel Baldwin
606921	385719	Nurse Jackson (1967)
606921	389266	Rosa Escobar
606921	395389	Mary
606921	400874	Frances Heine
606921	404002	Mrs. Susie Simpson (1978)
606921	410977	Loretta Jardin (1971-1973)
606922	73855	Sheila Cavanaugh
606923	260429	Ju
606923	396506	Rosa
606923	407280	Emília
606924	41502	Mrs. Howard (adopting Oliver)
606924	92523	Nurse Probationer
606924	109096	Jenny Winters
606924	136816	Girl
606924	152522	Woman at Steed Party
606924	252480	Mrs. Badger
606924	320197	Rose, Susan's Secretary
606924	360488	Miss Gordon, Office Girl
606924	367813	Alice aka Bunny
606925	364465	Dancer
606926	73913	Agnes
606927	98899	
606928	177617	Mickey, The King
606929	301066	FBI undercover agent
606929	321342	Reporter
606929	380455	Reporter
606929	388801	Carol Jansen
606930	94655	ER Nurse
606930	105502	Woman
606931	400095	Micas
606932	332150	Wendy Keith
606933	148462	
606935	230332	Twin #1
606936	315885	Shirley
606937	44318	El Scorcho
606938	324659	Dancer
606939	209133	Bethany Byrd
606940	334148	Penny Janowitz
606941	63831	
606942	110996	Second-Year Nurse
606942	130848	Passenger
606942	218029	Tycoon's Wife
606942	376104	Lady Frere
606943	388565	Betsy
606944	211011	
606945	12090	
606946	79252	Rianne Boonzaaier
606946	135716	Kiki
606946	140396	Havincks secretaresse
606946	226112	Karin
606946	238591	Yvonne
606946	319726	Yvonne
606946	337886	Moeder Nelly
606946	381680	Jeannette van Wely
606946	382211	Henny
606946	385145	Isabella (episode 4-11)
606946	389126	Alex de Hondt
606946	397306	Linda Koning-van Linschoten
606946	398575	Helena
606946	409572	Gemma Verstraten (1996)
606946	412033	Jenny
606947	272724	Reenactment Cast
606948	363484	Bingo Betty
606949	74207	Young secretary
606949	124738	
606949	333626	
606949	379489	Melissa Quigley
606949	382118	Carol Fordingbridge
606949	382838	Susannah Morrisey Farnham (19
606949	384610	
606949	387533	Angie Norton
606950	36855	Herself
606950	381917	Herself - Intruder Evictee #8
606951	342746	Koorine's girlfriend
606951	372144	Work Experience Girl
606952	7111	Frau Bauer, Nazi agent [Chs. 
606952	126513	1st Woman
606952	199394	Red Cross Woman
606952	224721	Madame De Luc
606952	248993	French Lady
606952	284916	Refugee mother
606952	304347	Mrs. Leo Roskowski
606952	308674	Duchess of Orleans
606952	310326	Señora Montalvo
606952	312773	Olga Brent
606952	329438	Queen of Naples
606953	138844	Miranda Royd
606954	14260	Contessina Archieri
606954	260890	Filomena, la governante
606955	104772	Italian entry (4th place)
606956	184590	Julliane Marie
606957	10760	Waitress/Nurse
606958	134036	Stera
606959	352805	
606960	6298	
606961	69895	Herself
606961	178130	Herself
606962	326455	Herself
606962	387953	Herself
606962	387954	Herself
606962	392533	Herself
606962	392534	Herself
606963	406203	Barbara 'Babs' Dufour (2000-2
606963	411311	Greet Ruytjens (1994-1995)
606964	63590	
606964	63609	
606964	77482	
606964	90979	
606964	174921	
606964	179903	
606964	180399	
606964	252804	
606964	263672	
606964	285885	
606964	307615	
606964	309440	
606964	349305	
606964	370163	
606965	310303	Millie
606966	163997	
606967	82491	
606967	84759	Anfisa
606967	124853	
606967	172515	
606967	225948	
606967	238317	
606967	373515	Sonya Bozhko
606968	174858	
606969	352871	
606970	257031	
606970	344397	Majka
606971	360436	Blonde Woman on Advice Line
606972	382244	Herself (2003)/Judge (2004)
606973	233923	Terrorist
606974	122075	Sandy
606974	143950	Sally Diver
606974	292134	
606974	351908	Sabrina
606974	363796	Nicole Brown
606974	405495	Julia Denholm-Ponsford
606974	411008	Nicole Brown (2002-2003)
606975	189631	
606975	205663	Isabel la Clavela
606975	325380	Frau Gabler
606975	358213	
606976	207254	
606976	288358	
606976	357415	
606977	183426	Wig
606977	365597	Pammy Perl
606978	255009	Angel
606979	149198	Casey as a Young Girl
606980	182947	Girl in Newsagent's
606980	387528	Mrs. Weston
606981	203693	Luigia
606982	264472	
606984	115996	
606985	51377	Jenny
606988	169843	
606989	45460	Violet
606989	45461	Patty
606989	59590	Violet
606989	59593	Lucy van Pelt
606989	140915	Lucy van Pelt
606989	163642	Lucy Van Pelt
606989	201602	Herself
606989	372165	Herself
606989	372327	Lucy van Pelt
606990	263791	WPC Raeburn
606990	387533	Dr. Emma White (2000) (3 epis
606991	141786	Mary Catherine Hughes
606992	122968	Mary at Store
606993	39217	
606993	54362	Maggie
606993	90236	Kath Henderson
606993	108824	Liz Bailey
606993	177145	Beryl
606993	217988	Dawn Jackson
606993	222831	Betty Heslop
606993	248136	Suzie
606993	255350	Mrs. Duncan
606993	275294	Catherine Taylor
606993	290421	
606993	292017	
606993	307001	Patsy
606993	330246	Betty
606993	336653	Gina
606993	343159	Jacky Lewis
606993	346325	
606993	358752	
606993	384149	Dr. Georgie Batie (1978)
606993	386796	Vanessa
606993	400982	Rhyll Mereweather
606993	402197	Angela Jeffries (1979)
606994	41570	Shelley
606994	148592	Herself
606994	185478	Whore
606994	208953	Sally
606994	306001	Lily
606994	380183	
606994	382310	
606994	386037	Host
606994	387755	Herself (1974-1977)
606994	391488	Herself - Co-host (1989-1990)
606994	392689	Herself
606995	339353	Pregnant Girl
606995	350506	Rhoda Swartz
606995	374436	Travel Agent
606995	389410	Herself
606995	409237	Louise Brooks
606995	409386	Susannah
606996	165518	Janey Van Winkle
606998	256632	Young Elizabeth
606998	335071	Charlotte
606998	391872	Natalie "Nat" Baker (2004-)
606998	397626	Lily Micawber
606998	402607	Gemma (2003-)
606999	172979	
606999	336217	Maria
607000	165844	Village Woman
607001	82758	Herself
607001	403859	Herself/Host (2000-)
607002	200610	
607003	95830	Mabel
607003	204452	Leslie
607003	361428	Karin
607003	390889	
607003	394149	Mascha
607003	394150	Mascha
607003	410814	
607004	470	Lena
607004	376476	
607005	28158	
607006	244961	Emma, 'l'ours en peluche'
607007	1857	Henriette
607007	24568	Micky
607007	27916	Josette
607007	58305	Femme médecin HP
607007	132812	L'enfant
607007	195211	Madame Nemo
607007	202090	Pauline Kasser
607007	217705	Thérèse jeune fille/Young Thé
607007	236572	La femme de chambre
607007	251534	
607007	266389	La noutrice
607007	288892	Emmanuelle
607007	294387	Nathalie
607007	295217	
607007	345243	Catherine
607007	353848	
607007	353886	
607007	377061	
607007	377772	Clytemnestre
607007	390491	Juliette Farget
607007	400869	Une lycéenne
607008	399141	Eliska Králová
607008	403621	Marcela Rubesová
607009	277747	Sandra
607009	325680	
607010	78218	
607010	215141	Muriel
607011	208477	Model
607012	343865	Lisa
607013	116723	Mother
607014	246697	Saharab
607014	319165	
607015	186192	
607015	272261	La douille magique
607016	64575	Herself
607017	25081	
607018	406464	Hotel Receptionist
607019	287128	Mamie
607020	86001	Vera
607020	202945	Martha
607020	244447	
607021	118307	Betty Davis
607021	254551	
607021	289566	Ruth MacLean
607022	404943	Felecity Daniels (2000-)
607023	20336	Parsons Girl
607024	332257	
607025	4626	Mrs. Grimsby
607025	5545	Spinster
607025	11582	Nun
607025	12222	
607025	14609	Mrs. Abbott
607025	16467	Mrs. Hackett, Daphne's Secret
607025	18620	Sñorita Dolores
607025	26629	Hamilton's Secretary
607025	30277	Secretary
607025	32209	Wife
607025	33694	Melinda (Ma) McCracken
607025	33700	Manta
607025	34977	Mrs. Talburt, Perfume Custome
607025	38813	Lady #2 at Michel's
607025	39428	Henderson's Secretary
607025	41090	Angry Neighbor With Petition
607025	41502	Nurse at Sammy's Birth
607025	41504	Fake Nurse
607025	41698	Nurse
607025	44286	Cleo Dade
607025	44549	Peggy Fleurette
607025	45754	Ellen Miles
607025	46982	Emma Smith
607025	47374	Clara
607025	47776	Nairaini
607025	56098	
607025	56983	
607025	59622	Mrs. Walters
607025	61304	Mrs. Kelsey
607025	64069	
607025	65044	
607025	65722	Second Nurse
607025	65798	Housekeeper
607025	66314	First Nurse
607025	68248	Mrs. Winfield
607025	77015	Wahtonka
607025	78081	Sophia Guerni
607025	78187	Guest
607025	81023	Woman
607025	84115	Mother Brooks
607025	84848	Audrey
607025	85096	Dubec's Wife
607025	85109	Madame Coulvet
607025	88165	Mrs. Smith, Lucile's Mother
607025	90214	Mama Teresa
607025	91701	Shirt Shop Manager
607025	92814	Hysterical woman
607025	93639	
607025	94171	Daphne Thornton
607025	99396	Nurse in corridor
607025	103452	Mrs. Fenniman
607025	105070	Party Guest
607025	105130	Mrs. Willoughby
607025	105227	Nurse Cordell
607025	106192	Dominique's sister
607025	112506	May Smith
607025	116528	Donna
607025	117203	Mrs. Gardner
607025	117801	Foxie
607025	118399	Nurse Telling Crowley It's a 
607025	119799	Mom LaFarge
607025	120742	Bess Loveman
607025	122759	Jimmy's Nurse
607025	124767	Matron
607025	127111	
607025	128173	Thin-Nosed Woman
607025	128358	Edith Loring
607025	128847	Aunt Morgan
607025	129227	Nurse
607025	134042	Lou Tremaine
607025	137245	
607025	141197	Lady Dorothea
607025	141620	Miss Ralston, Jack's Secretar
607025	144896	Miss Huggins
607025	148552	Housekeeper
607025	149147	
607025	150304	Agatha (the maid)
607025	150575	
607025	151087	Nettie Kelly
607025	152575	
607025	154023	Trixie
607025	159452	Pasha's Wife
607025	161904	Martha Baylor
607025	163961	Shopkeeper
607025	164389	Villager
607025	165443	Bertha Rochester
607025	166990	Mrs. Bob Ford
607025	169806	Woman
607025	170307	Miss Carruthers
607025	190061	Mrs. T. Watterson Meriwether
607025	190307	Mrs. Helen Sutton
607025	190497	Jeanne DuPre
607025	190546	Martha
607025	190607	Rosie McGerk
607025	192032	Miss Blodgett
607025	196487	Woman with Broom
607025	199392	Baroness Von Hulda
607025	199534	Secretary
607025	200141	Mrs. Bowman
607025	200473	Peter's Secretary
607025	202890	Varda Ropers
607025	203191	Polly
607025	203323	Mrs. Sagon
607025	205724	Woman Yelling at Rabblerouser
607025	210871	Edith
607025	213176	Lola Montez
607025	214945	Hazel, Dr. Jones' Nurse
607025	215619	Ann Adams
607025	216910	Myrtle Cosgrove
607025	216918	Myrtle Harris
607025	220318	Young Woman Holding Baby
607025	221044	
607025	224060	Countess Santiago
607025	231905	Santiago nurse
607025	235633	Miss Rafferty
607025	236129	Hilda
607025	239068	Petrie
607025	239689	Sylvia Deane
607025	241845	Mrs. Thomas
607025	242003	Mrs. Watkins
607025	243235	Elise
607025	245197	Mrs. Smith
607025	245283	Dr. Nolan
607025	251195	Nita
607025	251854	
607025	253113	
607025	254528	Spectator
607025	256478	Jessica's Maid
607025	259402	Rally Leader
607025	259995	Luchia Luff
607025	264515	Louise
607025	264776	Flower Shop Manager
607025	265977	Bank Depositor Spreading Rumo
607025	271101	Senora Salcedo
607025	271855	Marda
607025	274301	
607025	276181	Henriette
607025	277332	Princess Dione
607025	278779	Miss Pinkham
607025	278857	Mrs. Miles Kingston
607025	279866	Theba, Noviandra's Jailer
607025	286808	Woman
607025	289189	Rose Budd
607025	291741	Siren
607025	292568	Laura
607025	293132	
607025	294744	Nurse
607025	296940	Angela Crane
607025	299780	Customer
607025	302368	Mrs. Crawford
607025	303535	
607025	306732	Helen Manning
607025	308674	Madame Mercier
607025	309849	Duenna
607025	311402	Trixie Dennis
607025	313317	Traveler's Wife
607025	315644	Landlady
607025	316048	Mrs. Thurber
607025	316786	Mrs. Partridge
607025	327256	Miss Arnold ('Guardian' repor
607025	329394	Horsewoman
607025	329432	Lottie
607025	330875	Miss Blair
607025	331615	Secretary
607025	334182	Patience Worth
607025	340010	Lillian Du Pon
607025	343129	Rose
607025	345860	Squaw
607025	348362	Hilda
607025	349633	R.D.'s Secretary
607025	355087	Southern woman with rifle
607025	355825	Banquet guest with tiara next
607025	356245	Countess La Fontaine
607025	358617	Mrs. Elliott
607025	358643	Secretary
607025	362203	Sylvia
607025	362778	Alicia Carteret
607025	362916	Marie Jamison
607025	363190	Waitress
607025	364212	Housekeeper
607025	365086	Miss Farrell
607025	366153	Gerda Anderson
607025	366676	Gale Maddox
607025	366889	Librarian
607025	367814	Mrs. North, a Witness
607025	368367	Emma Reich
607025	368972	Matron
607025	372224	Inez
607025	372935	Henrietta McNutt
607025	410986	
607026	104759	Herself
607027	64735	Committee Chairwoman
607028	47526	
607029	18554	
607029	30573	
607029	38038	
607029	85058	Mrs. Haskins
607029	128285	Landlady
607029	128290	
607029	128360	Mrs. McAndrews
607029	149173	Undetermined Role
607029	153178	
607029	155705	Wall's Mother
607029	203587	Mrs. Lanning
607029	226925	
607029	257052	Mrs. Travers
607029	259390	
607029	281428	
607029	281559	
607029	282552	Clarissa Hampton
607029	292566	His Mother
607029	293223	Undetermined Role
607029	318220	Sophia Smarte
607030	133797	
607030	224229	Natalie Somers
607031	22688	Villagoise
607032	83982	Chorus #5
607033	107527	Anne-Marie
607033	327577	Gilberte, enfance
607033	402532	Samantha
607034	107629	Kelly Potrelli
607034	252032	
607034	257557	
607034	302159	Nicole
607035	185739	Little Girl
607036	37867	Grandma McCarthy
607036	242113	Dwayne's Mother
607037	224742	Mrs. Cubitt
607037	239566	Mrs. Quilp
607038	131095	
607039	154937	Mère casting
607040	35135	Jayne Ferré
607040	72490	French Buyer
607040	169335	Norma
607040	171005	Nathalie
607040	218318	Nancy
607040	240589	Carole
607040	244962	
607040	271069	Cécilia Gautier, la journalis
607040	382404	Sylvie Kaan (1999-????)
607040	388120	
607040	392017	
607040	395097	Valérie Nantel
607040	406493	Adrienne
607041	184388	Committee Woman
607042	307475	
607043	10870	Gen. Rykov/Shank
607043	169476	Gen. Rykov/Shank
607043	308010	
607043	385926	Secretary
607044	37374	Julian's Girl
607045	218919	Kate
607045	220046	Rosa
607045	240509	
607045	265823	Mignon
607046	19747	Camille
607047	114288	Betsey
607047	118865	Jenny
607047	192701	Cynthia Conrad
607047	311922	Betsey
607048	25417	Magda
607048	117101	Woodsy Woman
607048	152220	Polly
607048	155094	Dinner Guest
607048	162986	Lissy Hastings
607048	270008	Cornwall Neighbor
607048	304829	Barbara Reed
607049	37136	Street Whore
607049	323517	Candice
607049	395091	Cigarette Seller
607050	218478	La spectatrice
607051	9888	Faith Steerforth
607051	30349	Arabel
607051	34448	Tess Trample
607051	80818	Faith Audley
607051	93051	Compere at audition
607051	137623	Child
607051	163231	
607051	203649	Saida
607051	212044	Mona
607051	243213	Mamselle the Tutor
607051	248058	Marjorie
607051	260229	Roussie
607051	262534	Vera Canova
607051	315209	Lizzie Stone
607051	316303	Ann March
607051	321295	Suzy
607051	380610	Older Mary Third Duchess of R
607051	380782	Dr. Gentian Foster
607051	384020	Faith Steerforth
607051	384333	Frances Lawrence
607051	385627	Miss Weedon (segment film two
607051	396009	Julie Blane
607052	321800	
607053	56871	Little Girl on Street
607053	101367	Sam
607053	224842	Nadine Markum
607054	288270	
607055	291915	South Africa Beauty Winner
607056	176710	Marduk's Ladies
607057	7680	
607057	37088	Lucie Handley
607057	173300	Paula Neethling
607057	241928	Eleen
607057	365426	Martie Maritz
607057	366260	Fran Maddox
607058	39052	Elza
607059	104667	
607061	196233	Dancer
607062	179798	
607062	376626	
607063	210966	Yan Wei's Mother
607064	77895	Huizhen
607064	152013	Girl Sun
607065	60541	Meiting
607066	332344	Nurse B
607067	381646	Mrs. Feng
607068	103877	Couturière
607069	40820	Sara
607070	165624	Simonne Janssens
607070	165625	Simonne Janssens
607070	366699	Liliane, dochter van Springer
607071	29408	
607071	351083	Sonny
607073	287547	Nunu
607074	64517	Jeweller's Assistant
607074	113515	
607074	131769	Suzie Buchanan
607074	304948	Receptionist
607074	381080	Marcia
607074	381081	Marcia
607075	268310	Paulette
607076	355433	Pregnant Girl
607077	145195	
607078	6642	Compañera 1 de Paula
607078	67364	Redactora
607078	73277	
607078	206322	Puta de Bartolomé
607078	252564	
607078	323073	
607078	334469	Manuela
607078	373964	Pilar
607079	152109	Hong Hua
607079	172195	Ma Lan
607080	331317	Makeup Girl
607081	293781	The Waitress
607081	329585	
607083	67920	Nun
607084	77193	Sandra Firth
607084	91936	Diana
607085	311419	
607085	311420	
607085	368476	
607085	385516	Additional Voices
607085	394848	Nashville (one of the Kongs)
607086	205396	
607087	45899	Extra: park
607088	18792	
607089	402242	D. Maria Pia
607089	409026	Alice Tavares
607090	110211	
607091	194106	
607092	123729	Décio's Mother
607093	73177	
607094	20391	
607094	54088	
607094	72968	
607094	120703	
607094	219566	Florind
607094	341141	Branca
607094	344856	
607095	30983	
607095	129992	
607095	308504	
607096	352161	
607097	286569	Lila Lessa
607098	195300	Language student
607099	108130	
607099	125462	
607099	287459	
607100	236753	
607101	161785	Herself
607102	116948	Jucilene
607102	387901	Manuela
607102	411932	
607103	104834	
607104	5189	Secretary
607105	76033	Céleste
607105	211005	
607105	246794	
607105	260039	
607105	380154	
607105	380166	Angelina Gattai
607105	381523	Joana Mendonça
607105	381773	Lu
607105	381849	Ruth
607105	382883	Stella
607105	383328	Teresa Giácomo
607105	383437	Regina
607105	383469	Marisa
607105	384991	Catucha
607105	385023	Eloá Pelegrini
607105	385043	Giovana
607105	387166	Mariana
607105	387324	Jô
607105	387424	Rosa
607105	387777	
607105	387835	Dora
607105	388065	Marisa
607105	390503	Maria
607105	390506	Nina
607105	390817	
607105	391580	Tia Çãozinha
607105	391904	
607105	393615	Beatriz Madureira
607105	393793	
607105	397872	Cosette
607105	398249	Young Catarina
607105	399489	Martinha
607105	400581	Carina
607105	400662	Maria
607105	400799	Maria Rita
607105	400902	Laura
607105	401010	Nely
607105	401086	Vilminha Lisboa
607105	401091	Mônica
607105	401944	Olímpia
607105	402266	Carola
607105	402504	Carmita Bevilácqua
607105	402624	Maria das Graças
607105	402685	Amália
607105	402808	
607105	405936	Mariana
607105	407868	Maria do Socorro
607105	408509	Anita
607105	410348	Amália (episode "Assim é se l
607107	251732	Clara
607108	18792	
607109	243629	Patty
607109	352855	Bárbara
607109	382684	Gisela
607109	384117	Young Francisca 'Chiquinha' E
607109	384647	Bianca Rivas
607109	387833	Justine
607109	393006	Rita de Cássia 'Ritinha' Maci
607109	394872	Veruska Veron
607109	401900	Maria Eduarda Greco
607109	408550	Olivia Kundera
607110	212162	
607111	585	
607112	352855	Dona Heleno
607113	402624	
607113	405401	
607113	409417	Vanice
607114	44185	Carlos' Wife
607115	165009	Brooklyn Rapper
607116	392611	
607116	402581	Meg
607116	408596	
607116	409422	
607119	68590	Branquinha's sister
607120	392792	Betsy
607121	84529	Madá
607121	249448	Laura
607121	375497	
607121	380326	Maria Elvira
607121	384711	Carmem
607121	388721	Letícia
607121	390503	
607121	391580	Leonor
607121	398501	Marina Ferreira-Lobo de Nogue
607121	401087	Vilma Lisboa
607121	401944	Dulce Ferraço
607121	403171	Teca
607121	407868	Angélica
607121	408944	Amanda
607122	12821	Fernanda
607122	53850	
607122	63674	Sinhana
607122	68637	Compadecida
607122	148060	Luisa Dos Santos
607122	148472	Lalá
607122	184353	Cristina
607122	239926	
607122	248329	
607122	344692	
607122	380329	Lilian
607122	382684	
607122	383469	Cecília
607122	384117	Francisca 'Chiquinha' Edwiges
607122	386123	Andréa Vargas
607122	386213	Malu
607122	386245	Pom Pom
607122	387900	Melissa
607122	388416	Bete
607122	388998	Bárbara
607122	390509	Isabel
607122	390751	Alma
607122	391673	Helena Soares
607122	392747	Shirley Terezinha
607122	393005	Ritinha
607122	393006	Cameo
607122	393573	Joana
607122	394872	Maria Felix
607122	395366	Regina
607122	396628	Malu
607122	397787	Inesita
607122	397804	Patrícia
607122	399481	Nina
607122	401900	Helena Viana Greco
607122	402807	Maria do Carmo Pereira
607122	403259	
607122	403733	Porcina
607122	404798	Simone Marques
607122	407275	Luana Camará
607122	407856	Carolina
607122	408550	Flora
607122	409780	Raquel Accioly
607122	410476	Andréa
607123	287328	
607124	213756	Nina
607124	340643	Nina
607125	309829	Old Spanish woman
607126	3253	
607126	89916	
607126	91274	
607126	103159	
607126	121948	Nin~a de la selva
607126	213410	
607126	216081	Spy
607126	268048	Niña de la selva
607127	213742	Opera singer
607128	155550	
607129	381072	Sra. Paipa
607129	391452	Antonia's Mom
607129	402055	Angela de Santillana
607130	233898	Herself
607130	244087	Clotilde
607131	23205	
607132	269969	
607134	30513	
607134	58070	Airline employee, the colleag
607134	70228	1.ª Veladora
607134	74376	
607134	82767	
607134	83517	
607134	89930	
607134	103086	
607134	113210	Violante
607134	156393	Francesca
607134	165013	Ulisses' Mother
607134	168374	
607134	194105	Idalina
607134	201986	Assuncao
607134	202014	Leonor
607134	232924	
607134	237385	The older maid
607134	244087	Friend
607134	275021	
607134	276075	Gypsy
607134	344818	Clara
607135	114951	Anna
607136	145647	Enfermera rubia
607136	234004	
607137	272693	Secretary
607138	6642	Paula
607138	14426	Friend
607138	14775	Ayudante del juez
607138	67364	Tina
607138	76103	Sara
607138	103963	
607138	118157	Herself - Presenter: Best TV 
607138	122985	Herself
607138	154542	Herself
607138	199827	
607138	229441	Lidia
607138	253296	Marcela
607138	273074	Leticia
607138	295501	Carmen García Cobián
607138	357516	Joy
607138	369556	Herself - Presenter: Best Cin
607138	369754	Herself - Presenter: Best Eur
607138	370061	
607138	382755	Virginia
607138	383772	Mamá
607138	397307	Clara
607138	398838	Irene (1996-1997)
607138	402639	Lola
607138	410217	Paulina
607139	196571	Party Goer
607139	350191	Arguing Woman
607140	247977	
607141	154173	Herself
607141	201545	Lois
607142	25660	Child
607143	199886	
607143	266235	
607145	337944	Petya
607147	33190	Johanna Franklin
607147	73481	Jenny Sterling
607147	79016	Ann Sweeney
607147	80865	Susan
607147	84833	Stella's Secretary
607147	109472	Marcy
607147	175860	Adèle Martin
607147	218371	Professor Diane Bennett
607147	335866	Maria von Taub
607147	381047	Nurse Samantha Green (1978)
607148	133640	Tia Maria
607149	13103	
607150	116002	Porn Buyer 3
607151	7086	Unseen aristocracy
607152	153788	La femme éplorée
607152	156317	
607152	188683	
607153	51333	Playmate #2
607154	23681	
607156	128816	Inga
607156	262617	Mormon
607157	160675	La serveuse
607158	43874	Honey Lombard
607159	263446	Model
607159	283722	Veronica
607159	402113	Model (1996-1999)
607160	365509	High Priestess
607161	272665	
607162	395667	Irina Winicki (2000-)
607163	60075	Treble Clef girl
607164	9657	Adriana
607164	23846	Innkeeper's wife
607164	28760	La padrone della pensione (th
607164	53991	
607164	54912	Tata (maid)
607164	67507	Dora, la locandiera
607164	90731	La cuoca
607164	94661	La cuoca
607164	94730	La moglie di Sambigliong
607164	128008	
607164	158626	
607164	206039	
607164	217123	
607164	234714	La cuoca di casa Baratti
607164	242300	Cesira
607164	252765	
607164	256542	La nutrice
607164	300786	Mimi's mother
607164	374211	Una cantante del varietà
607165	130835	Ophelia
607166	68760	
607167	341327	Tanyushka
607168	308999	Penny Franklin
607168	386295	Wilson Girl #3
607169	54214	Mama Daraza
607169	74258	Mrs. Lithebe
607169	124470	Elizabeth Mabaso
607169	131509	Innocence, Maid who was struc
607169	370580	Rosie
607170	168695	Bar Patron
607171	113883	Kyu Matsura
607172	15254	Mani
607172	26417	
607172	46416	Delicia
607172	82528	Ellen Levine
607172	117704	Becky Rami
607173	282822	Girl in Jon's Apartment
607174	83164	
607175	34561	
607175	74973	
607175	80128	
607175	84499	
607175	86102	
607175	108719	
607175	204610	
607175	205466	
607175	260537	
607175	277368	
607175	323935	
607175	343610	
607176	152629	
607176	384097	Jessica (1996)
607177	135622	Female student
607178	394967	Karishma
607179	27643	Shanti Patel
607179	31423	
607179	58684	Anna Mausi (Priya's aunt)
607179	122800	
607179	168789	
607179	172539	Jaswinder "Jazz" Kapoor
607179	184146	
607179	196188	
607179	218341	Pimmi Verma
607179	219396	Mrs. Kapoor
607179	223766	
607179	240215	Neetu's mom
607179	256161	Puro's mother
607179	350506	Ms. Green
607179	375997	Rose Davenport
607179	394012	Shama Joshi
607180	250961	Marion
607181	203849	Malathy Chandran
607181	218341	Ayesha Verma
607181	222451	Nandini/Hospital dancer
607181	223741	Alisha
607181	252896	
607182	119021	
607183	79276	Restaurant Patron
607184	312647	
607185	16980	Madame Meyler
607186	188933	Tupu
607186	409269	Outi Komulainen
607187	249815	
607188	5092	First Waitress
607188	11157	Carla Hawkins aka Opal
607188	12327	Wendy
607188	26397	Saleslady
607188	28669	Tracy
607188	34611	Fatima
607188	37337	T.V. Reporter
607188	66969	Louise
607188	80863	Susan Banks
607188	90793	Sue
607188	107990	Judy McKinney
607188	131227	Mary Ann Brown
607188	158175	Manager #2
607188	176804	Lisabeth Parker
607188	184719	Charlotte Simpson
607188	190594	Gail
607188	227549	Ilene
607188	230422	Carolyn
607188	253509	Officer Andretti
607188	289468	Cop #1
607188	291865	Jasmine
607188	297246	Counselor #1
607188	320095	Sergeant
607188	324264	Helga
607188	341746	Megan
607188	365644	Jojo
607188	384609	Jeri Slate
607188	395470	Giggerota (1997)
607188	395471	Giggerota
607188	397338	Jennifer
607188	399073	Empress Webula (2005 -)
607188	403542	Sandra Smyles
607188	411517	Aunt Beast
607189	328603	Jasmine's Friend (segment "Co
607190	245794	Aline Gauguin
607191	41838	
607192	118769	Altichiata
607193	60084	Yuri's daughter
607193	65170	Clara Chanov
607193	383972	Gittel Ruttenberg
607193	397635	Miya Akrish
607194	231331	Herself (historian)
607195	150008	Gypsy
607196	396854	
607197	100277	
607197	270013	
607197	383392	Lupita
607197	392653	
607198	322718	
607199	26482	Sandra
607200	83853	Eliza Bonaparte
607201	51248	
607201	160548	Sarah
607201	309773	Sarah
607202	370	'Farrah' the Mother
607202	51847	Nurse
607202	66019	Mother
607202	98907	Mother
607202	103293	
607202	118653	American Matron #1
607202	129969	Rabbi's Wife
607202	162041	Trotti's Wife
607202	180309	Geraldine Steinwetz/Olga Olaf
607202	185563	Ruby, Pearl's partner
607202	202040	Miss Kenneth
607202	209662	Mother
607202	251697	
607202	266520	
607202	275233	Ruth Warren
607202	289343	Prostitute
607202	340279	
607202	356792	Blanche Trousdale
607202	388526	Norma Blake
607203	190464	Barbuster fan
607204	258022	Crystal
607205	121832	Kimberly (temp boss)
607206	63676	
607206	82224	
607206	152642	
607206	204594	
607206	221576	
607206	263876	
607206	328386	Mercedes
607207	234779	Carmen
607208	315927	
607208	379616	Ljubica Kujundzic-Corovic
607209	31573	Pumpkin
607210	23392	
607210	185957	Lena
607210	210694	Dona Eusébia
607210	410348	Elisa (episode "Assim é se lh
607211	40244	Singer in the Cafe
607212	332198	Embroideress
607213	164220	The Bride
607214	102778	Devil
607214	102798	
607214	102828	Jade (Puu-Nanni Tribe)
607214	128445	Orgasmus
607214	129188	Orgasmus
607214	160372	
607214	216145	Housemaid
607214	296371	
607214	350203	Alexis
607215	282781	Pierre
607216	372494	Wife
607219	23635	
607220	57079	L'amie caissière
607220	118480	
607222	336338	Helen
607223	51442	Madame Brouillette
607223	186127	Madame Brouillette
607223	217640	Dame, ex-clinique Mathieu
607223	341850	Madame Guillet
607224	198289	
607224	249534	Madame
607224	253588	
607225	13380	Child
607225	77022	Giselle
607225	121819	Bit part
607225	128308	Flora Dora Girl
607225	267559	Sabine
607225	333062	Orphan
607226	111043	Lise
607227	123889	
607228	399719	Herself (historian)
607229	203308	Marie Greville
607230	248165	Femme de la cabine téléphoniq
607231	337758	Police Officer
607232	31146	Suzanne
607232	77643	Miss Sherman
607233	112831	
607234	367022	His children
607235	128531	Miriam's Aunt
607235	155299	Emma Jordan
607235	264165	Matilda Cotton
607236	749	La jeune fille dans les toile
607237	41843	Celia Louise
607237	59665	Momma Bosley
607237	90341	Mrs. Lawson
607237	114674	Stormy Monday
607237	131424	Herself
607237	131650	Herself
607237	137963	Joanne Wilson
607237	139172	Lefty
607237	139174	Lefty, Logan's Assistant
607237	139432	Maxine
607237	141179	Mrs. Stone
607237	142531	Dottie Singer
607237	154959	Ma Bell
607237	164242	Rodeen Gamble
607237	176506	
607237	200177	Lucretia
607237	202945	Woman in jazz club
607237	252271	Aunt
607237	255433	Nellie Bond
607237	309022	Agnes
607237	309047	Onetha Wiggins
607237	315958	Bettina
607237	342235	Herself
607237	360087	Viola Battle
607237	390357	Willona Woods
607237	396088	Loretta Allen (1970-1972)
607237	401552	Mrs. Avery
607237	403730	Sally Harvey
607237	410674	Grandma Ellington (1996-1998)
607238	64333	Herself (1978)
607239	182949	School Principal
607240	281449	Christel McGregor
607241	336312	La directrice de la DDASS
607242	352535	
607243	249072	(segment 2)
607244	12379	Emerintia
607244	198420	
607245	394872	Nubia
607245	396610	Fabiana
607245	396899	Mariana
607245	397522	Valéria
607245	402537	Lucila
607245	402539	Carla
607246	14347	Marion
607246	18321	Corinne
607246	20665	Alice
607246	33539	La bonne reine Apolline
607246	42879	Germaine
607246	43401	Mamie Michelle
607246	54393	La vieille duchesse
607246	57536	Marie
607246	57837	
607246	73634	Nell
607246	83277	Marthe
607246	83480	
607246	84618	Herself
607246	94316	Madame Boirin
607246	100023	Edith Rollo
607246	101235	La femme du maire
607246	103229	Anne
607246	110144	Mme Toussaint
607246	119042	Madeleine
607246	119046	Herself
607246	122436	The Actress
607246	124322	Marie-Pierre
607246	132802	Germaine
607246	133047	Juliette
607246	133075	Jackie Keller
607246	144307	Mrs. Sedley
607246	156321	Brigitte Dupuis
607246	160054	The Princess
607246	161650	Anne
607246	163043	The mother
607246	166121	Marie
607246	170359	Thérèse
607246	171001	
607246	172468	Lucienne Cagepain
607246	200938	Madame Thouret
607246	201184	Isabelle Durras
607246	202007	La mère supérieure
607246	205730	Maria Slodowska
607246	207594	La jeune fille
607246	210910	Dominique Montlaure
607246	217705	Thérèse Ragueneay
607246	218202	Bndicte de Villemaur
607246	218512	Pascale
607246	236516	Véronique
607246	238482	Hortense
607246	254138	Bénédicte Pélissier
607246	258861	Germaine
607246	262924	Zinaïda
607246	278138	Dedette
607246	281315	La fille
607246	282267	Natasha
607246	294845	Suzanne
607246	300647	
607246	301314	La femme de Café
607246	307137	Herself
607246	317527	Yvette
607246	333738	Lena
607246	345109	Nicole
607246	345297	Noémie
607246	346532	Mona
607246	346533	Angela's friend
607246	354661	Lucie, François' Wife
607246	355883	Herself/Lena
607246	356515	Genevieve Delpiels
607246	360842	Hélène
607246	377069	Grâce, "la dame-pipi" (segmen
607246	377255	Marie Malhouin
607246	379240	Marie-Louise
607246	381590	Virginie Walter
607246	396366	Marie Robin (segment "Autopsi
607246	396845	Madame Rousset
607247	39779	Sharon
607247	44988	'Shady' Landeros
607247	80397	Billie Torres
607247	80680	
607247	110242	Inez Villanueva
607247	125576	Kate Mendez Breed
607247	132449	Rita Gam
607247	140470	Maggie Aoki
607247	168627	Ginny Talbot
607247	197373	Sofia
607247	208873	Sgt. Roberta Hansen
607247	323898	Princess Kogi
607247	339405	Ellie Mendez
607247	339429	Mrs. Grantos
607247	407471	Princess Koji
607248	74611	Florentina
607248	82591	
607248	91406	
607248	101844	
607248	213410	
607248	225051	Dama
607248	267048	
607248	267050	
607248	276485	
607248	296100	Deborah
607248	309062	
607248	338162	Michelle
607249	111083	Jeannette
607249	276508	La petite fille
607250	749	Zohra, voisine de Zoubida
607251	17871	L'infirmière
607251	23105	Hélène
607251	85540	Martine
607251	91463	Maria
607251	108210	Constance en 1930
607251	132744	La fiancée de Gérard
607251	146427	Marguerite
607252	161108	Creole woman
607253	161424	La mère
607253	165230	
607253	166129	Archiviste
607253	188682	
607253	201142	Célia
607253	240637	Marie-France
607253	255572	Joséphine
607253	258330	Pétunia
607253	316845	
607253	327543	Françoise
607253	339539	
607253	346550	Ninha
607253	376919	La greffière
607253	379805	Madame de Montchevreuil
607253	410215	Amélie
607254	108612	
607255	354658	La chanteuse réaliste
607256	63779	Présentatrice
607256	389458	Herself
607257	41921	Connie
607258	377262	Le docteur
607259	156474	Fantasy Woman #2
607259	199896	Sara
607260	154481	Night No. 3
607260	194831	Slave Girl
607261	335708	Waitress
607262	283163	
607263	192748	Confessional Dancer #5
607264	66913	Ellen Pinski
607264	78991	Joan
607264	87234	Cashier
607264	155020	Miss Elting
607264	185758	Karen
607264	192527	Michelle
607264	252906	Vera Morgan
607264	314769	Woman
607264	383224	Mercedes Levant
607265	15027	Martine Pérez
607265	32014	Sylvie
607265	84651	Babette, fille de René
607265	102006	
607265	217681	Janine
607265	255814	La fille de Baroni
607265	322587	
607265	386573	Sophie
607266	101200	Béryl
607267	15019	Ninette
607267	101172	La Princesse/La Chauve-souris
607267	159015	Emilie/Zaire
607267	216343	Arbate
607268	275862	Train ticket seller
607269	60052	La pharmacienne
607270	202195	Nellie Connally
607271	157324	Second Grade Communion
607272	307949	
607273	387172	Herself/Co-host
607274	293959	Chiara Brivio
607275	71835	
607276	3149	Paulette Bernoud
607276	6679	Arlette
607276	15104	
607276	16617	Esther Baronski
607276	20867	Widow
607276	23730	Brigitte Ancelin
607276	23869	Marie
607276	24168	Madame Haton, the old neighbo
607276	28155	Germaine
607276	28178	La cliente
607276	30152	Rose
607276	30353	Mme Lapoule
607276	40258	Charlotte
607276	43648	Louise
607276	44732	Dame Marthe
607276	44963	
607276	46941	
607276	51154	
607276	55406	Mme. Taupin
607276	56243	
607276	57894	
607276	57895	Gracieuse
607276	58059	Lulu
607276	58237	Mme. Fouleur
607276	58933	Amélie Bizet (segment "Fiancé
607276	59696	La blanchisseuse
607276	60506	Hélène Michaud
607276	63692	Mme. Motte, la concierge
607276	64248	Lucie Cavelier
607276	68898	
607276	68927	La libraire
607276	78379	Pauline
607276	83216	Germaine Fabre
607276	83258	
607276	83461	Irène
607276	84627	La grand-mère
607276	85728	
607276	89729	
607276	95552	Lucienne
607276	96110	Forestier
607276	96195	La mère de Jacquie
607276	97844	Germaine Simon
607276	101148	
607276	101323	La mère de Line
607276	104213	
607276	107640	Estelle
607276	108991	
607276	111076	Mme Pujol
607276	111081	Suzon
607276	111295	Paulette Fourageot
607276	111703	Mlle Martinot/Miss Martinot
607276	119038	Mme. Tronche (segment "Enfanc
607276	122428	Mother
607276	126089	
607276	126257	
607276	133174	Herself
607276	134616	Mme Bracht
607276	135426	Mme Chalebouis
607276	136796	
607276	148664	Clotilde
607276	148711	
607276	153884	Ginette
607276	166134	La standardiste
607276	166283	La mère du 'Grand d'Espagne'
607276	166292	
607276	167213	
607276	169328	Suzanne
607276	169648	Justine Benoit
607276	170468	Mme. Rozenec
607276	193501	Josephine, The maid
607276	195144	Rose
607276	198627	
607276	200966	Mauricette Barberot
607276	200970	La patronne de l'hôtel
607276	201024	Lise Lacoste
607276	201198	
607276	202747	Victoire
607276	211137	Lottle
607276	212161	Helen Kimmel
607276	214253	Mrs. Vieuzac
607276	217683	Séraphine
607276	220497	Solange
607276	224904	Mme Pipelet
607276	225142	Johanna
607276	227483	Mémé
607276	228940	Tante Adèle
607276	232931	Mémé
607276	238466	Mme. Florent
607276	240430	La mère de Lise
607276	243017	Jeanne
607276	243292	Marie
607276	248421	
607276	249096	
607276	251533	Mme Bordas
607276	253207	
607276	254093	Julie
607276	254137	
607276	254144	Mme Montonnet
607276	257212	Fernande (segment "La Maison 
607276	258212	
607276	258278	
607276	261837	La restauratrice
607276	263990	Mona, la danseuse
607276	276985	
607276	280442	
607276	280523	Raymonde
607276	280529	
607276	280552	Angèle
607276	282065	
607276	284146	Lisette, sa Camériste
607276	284174	Anne's Maid
607276	287591	Maman Barberin
607276	294566	Mme. Jasmin (segment "Envie, 
607276	295214	La servante
607276	303476	Annette
607276	309686	Mme. Berthaut
607276	326200	Germaine Berger
607276	327885	
607276	327889	Mother
607276	331010	La patronne des 'Flots Bleus'
607276	333714	
607276	333907	
607276	343580	La Manou
607276	344987	(segment 1, "Bestiole, La")
607276	345111	La grand-mère
607276	345120	
607276	345150	
607276	345279	
607276	346428	Mme Carnal
607276	347092	Alice
607276	350741	La mère de Jean-Pierre
607276	353833	Elizabeth
607276	354061	Germaine Pasture
607276	354697	Nichette
607276	355812	Mme Diogène
607276	355857	
607276	356987	
607276	376996	La collègue de Juliette
607276	377255	Françoise Malhouin
607276	378866	La vicomtesse (ep.1 & 6)
607276	381614	La Mamé
607276	384009	Mme Levasseur
607276	385245	Mme Guyard
607276	386084	Mme Lebrun
607276	387044	Tante Lucie
607276	388628	Amélie
607276	389005	Joséphine
607276	393215	Mme Moronval
607276	393330	Hélène Gauthier
607276	400859	Tante Marthe
607276	401053	La grand-mère (1989)
607276	401731	
607276	402846	Antoinette
607276	404358	Mme Souchet
607276	406196	La servante
607276	407274	Mme Dupont
607276	408317	
607276	409434	Mme Bonnefoy
607277	110130	
607278	67076	
607278	198602	Blonde Friend
607279	133052	La petite fille
607280	28509	La femme enceinte
607281	341913	Un prof
607282	377055	Cliente de la FNAC 1
607283	77578	Mrs. Erickson
607284	104222	
607285	322713	
607285	382472	
607286	364961	
607287	269117	
607288	312071	Mrs. Kubová
607289	26540	
607290	127413	
607291	389858	Noreen Cerullo (1994)
607292	375307	
607293	226475	Counselor #2
607294	24542	Zocha
607294	88411	
607294	110115	
607294	166419	
607294	186153	
607294	260733	Marta's aunt
607295	381100	Joan Little
607296	275111	
607296	328052	
607296	346602	
607297	152621	
607298	286048	
607299	25238	
607299	249209	Femme du propriétaire
607299	282102	La soubrette
607299	366454	
607299	366455	
607299	404863	Une compagne de Charlotte
607300	23692	Zoé
607300	262993	Ruth
607300	265340	
607300	282781	Pierre (l'élève de guitare-co
607301	253520	Elle avec lui
607301	322335	Extra
607301	399082	Fabienne
607302	261850	
607303	122653	Brunette
607304	57888	Women in Robe
607305	191152	Kim
607306	333055	Marissa Davenport
607307	13121	Laure
607307	44269	Hélène
607307	57077	
607307	64333	Herself (1982)
607307	84684	
607307	102390	
607307	105589	Marianne
607307	169355	Anne, Claire's Mother
607307	184052	Mlle Duquesne
607307	306939	
607307	377656	Dominique's Friend
607308	130198	
607308	356181	
607308	373736	
607309	39865	Annie
607309	234435	
607309	386655	
607310	360082	Receptionist
607311	321427	
607312	240307	
607313	6388	Une silhouette
607313	15066	Le top model
607313	60274	Lovely #3
607313	132217	Paris Blonde
607313	169650	La fille sur l'helicoptère
607313	265797	
607313	280561	La dernière femme
607314	352157	Maria
607315	147035	Nurse Marie
607316	396538	Robin Cooper McGillis
607316	400520	Bertha
607317	84624	
607318	214065	
607319	330704	Anchorwoman
607320	66212	Mrs. Micaël's neighbour
607320	370450	
607321	397888	Herself (2003)
607322	366686	She Demon #1
607323	1529	Suki's Girl
607324	314352	
607325	206741	Old Witch
607326	192228	Monique, Actress
607327	17194	La barmaid
607327	59056	Leon's Girlfriend
607327	70589	La jeune fille du rêve
607327	100021	Thérèse
607327	111703	L'attachée de presse
607327	156299	Saleswoman
607327	338003	
607327	345071	Julia
607327	356911	Anne, la femme d'Antoine
607327	397938	Young Woman
607328	71953	La damme de l'accueil
607328	76960	
607328	100481	
607328	101184	Infirmière clinique
607328	101822	Cécile
607328	356383	
607328	359477	Pauline
607329	398208	Lady Eleven
607330	385008	Aglaé Veilleux
607331	369731	Poet's Mother
607332	12365	L'examinateur Mlle Chaufour
607332	15118	
607332	17863	La veuve Silbermann
607332	23800	Madame Decluze
607332	23822	Mme Mestre
607332	27910	Félicie Cazenave
607332	29615	
607332	56951	
607332	57473	Edmée
607332	58118	Charlotte
607332	60894	Felicity Chesterfield
607332	64218	
607332	64228	Mme d'Effiat
607332	65380	
607332	65385	Tante Coeur
607332	68400	La femme du directeur des Edi
607332	96110	Isabelle
607332	110156	Mamy
607332	111046	
607332	133081	La préfète
607332	166131	Mme Gastié-Leroy
607332	168800	Armelle Marek
607332	184053	Mme Tatin
607332	189163	La maréchale
607332	198100	Mme Vandenesse
607332	202069	Tante Berthe
607332	205730	Mme Dizier
607332	215606	The Mother
607332	238864	Lady Elizabeth
607332	262924	La mère
607332	265736	Bonne Maman
607332	272613	La mère
607332	278143	
607332	283023	La tante
607332	286817	Madame Brachart
607332	294189	Yveline
607332	296082	La comtesse
607332	306953	La dame chez le vétérinaire
607332	324517	Odile, the Grandmother
607332	339502	Mabel Cook
607332	345049	Natacha
607332	377727	
607332	380410	La marquise d'Ebourifol
607332	380501	Gwendoline
607332	383117	Tante Barbara
607332	385609	
607332	387061	Une duègne
607332	388419	La marquise
607332	388419	La marquise de Langrune (segm
607332	392602	
607332	393397	Mme Bocquart
607332	396472	Maguy's Mother
607332	398966	Mme Hugon
607332	401731	Comtesse de Rhuys
607332	403643	Mahaut d'Artois
607332	408662	
607333	12043	Elise Coustard
607333	12365	
607333	15066	La patronne du salon de thé
607333	33264	Rachel
607333	45000	Dame dans le bus
607333	56297	Denise
607333	73155	
607333	265739	Madame de Rare
607333	307478	Simone
607333	355872	La femme du banquier
607333	380358	Mme Henriette
607333	385490	Mme Valette
607333	389000	La marquise de Mirabeau
607333	407535	Bernardette
607333	408001	Mme Rose
607334	248235	
607335	76038	La jeune fille
607336	132735	
607336	169032	
607336	250509	La mère de Clovis
607336	384186	
607336	393215	Adélaïde
607336	401816	
607336	408922	Tante Thérèse
607336	409440	
607336	412165	La mère de Le Dantec (segment
607336	412250	La commère
607337	322064	Autogramot kérõ lány az öltöz
607338	61089	
607338	127604	Regina Gaia
607338	140349	French Girl
607338	158724	
607339	252710	La Demoiselle Hideuse
607339	321989	Alice
607339	357023	
607339	388419	Élisabeth (segment "L'échafau
607340	190245	Dancing Dowager at Party
607341	119305	
607342	306697	
607343	65168	Maria
607343	136658	Patricia
607343	225416	Mélanie
607343	261785	Sabine
607343	284271	Sarah à 8 ans
607343	345232	Louisiane
607343	381143	
607344	117755	
607345	201726	Herself
607346	289788	Zoe Hendricks
607347	62459	France enfant/France, as a gi
607348	375077	
607349	295282	Town girl
607349	306496	Simone
607350	51716	Voz Doña Clara
607350	96294	Carmela
607350	236458	Aunt
607350	272427	
607350	286880	Viejita almacén
607350	306679	
607350	307195	
607350	326202	Grandmother
607350	384775	
607351	10916	Surgeon
607352	51615	Avia
607352	111995	Vecina
607352	112027	
607352	125661	
607352	189298	
607352	202231	
607352	236447	
607352	377199	Leila Michelson
607353	28434	Rasma
607353	179758	Titine Clomord-Singer
607354	296980	Aunt Toni DeCarlo
607355	37683	Melissa
607355	161189	Laura
607355	209219	Kristi
607355	215347	Brunette Bus Babe
607355	309135	Kathy
607356	8451	Lise Dorian
607356	8919	Maud
607356	33530	Mme Lucanzas
607356	53241	Marie-Antoinette
607356	58254	Françoise
607356	69518	Catharine
607356	71806	
607356	83253	Georgina
607356	84642	
607356	100170	Wilfrida
607356	107640	Suzanne Méria
607356	111135	Philaminte
607356	112881	
607356	115801	Lucile
607356	125479	Antoinette
607356	133072	Adéle Schoudler
607356	148670	
607356	162023	Hélène Mareuil
607356	201180	Herself - from 'La folle de C
607356	236533	L'impératrice Marie-Thérèse
607356	250729	
607356	250784	
607356	254029	
607356	260040	Garlone
607356	264215	Diane de Poitiers
607356	264436	Yvonne Chanel, la directrice
607356	275663	
607356	276118	
607356	280557	Therese Marnix
607356	284299	Countess Marie D'Agoult
607356	327653	Jeanne Desmarets
607356	345244	Therese of Brunswick
607356	345259	
607356	354096	
607356	356504	
607356	377771	Clytemnestre
607356	384029	Marie-Antoinette
607358	134957	
607358	166127	La femme médecin
607358	226791	Cleaning lady
607358	233058	Secretary
607358	337013	Fille du bal
607359	337	
607360	230193	
607361	8265	
607361	28544	Herself
607362	48870	Trick rider
607363	48870	Trick rider
607364	255108	
607365	245506	Margaret Chanute
607366	5212	Louella
607366	34379	
607366	48739	Carol Clark
607366	128418	Veronica
607366	186383	Linda Farrer QC
607366	216091	
607366	245340	Prostitute
607366	280478	Patsy Sims
607366	292643	Janice
607366	299744	Paula
607366	324163	Sandy Mitchell
607366	337428	Tanzi's Mum
607366	381929	Jan Oliver
607366	384726	Sheila Maddocks
607366	388787	Emily Jessop
607366	390692	Pat Hollingsworth
607366	391036	Vicky Clough
607366	391309	Carole
607366	392147	
607366	392942	Anita
607366	395924	Elaine Reeve, owner of 'Olive
607366	399065	Maggie Fell
607367	33172	Jackie
607369	70947	La vendeuse de perruques
607370	13225	Claire, l'assistante casting
607370	15065	Marthe
607370	51970	Anne Verrier
607370	55726	Sylvia
607370	58752	Aliénor
607370	73623	
607370	90824	
607370	101827	Joëlle
607370	108224	Jessica
607370	138191	Natascha
607370	159992	Anne
607370	161782	Hermine
607370	236210	Delphine
607370	245983	La fille
607370	245984	La jeune fille
607370	253999	Ramona
607370	260922	
607370	263015	Maria
607370	290059	Caroline
607370	340346	Mathilde
607371	44552	
607371	50431	
607371	50619	
607371	52900	Madame Prudence
607371	65923	
607372	183985	Dona escombraries 2
607372	393479	Carla
607373	67527	
607374	269742	Suzanne as a teenager
607375	111704	Rosalie
607376	337029	Marianne as a teenager
607377	237745	Katerina
607377	374268	Renata
607378	296260	
607378	298268	
607378	320963	
607378	333553	
607379	33536	La tante Jeanne
607379	97054	Mlle. Vanasse
607379	156329	Belle Soeur
607379	173129	Dame au the
607379	249209	Fan de Jeannot
607379	307499	
607379	332274	Memere
607379	343572	Mme. Veilleux
607379	377478	Madame Dutronc
607379	384386	Mme Sylvain
607380	315876	Betty
607381	194269	T&T Girl
607381	246861	Pajama Girl
607381	282463	
607382	307596	
607384	345881	Judge
607385	10836	Rosie McPherson
607385	289113	Little Girl
607386	243343	Mireille
607386	382196	
607386	400899	Iseult Paradis-Anselme
607387	315876	Mary
607388	382240	
607389	112984	Herself
607390	211917	Judith Clasters
607391	216774	L'ex-femme
607392	66221	
607392	86794	L'épicière
607393	262932	Elizabeth Valande
607394	124328	
607395	94330	Jacotte
607396	176844	Teresa
607397	324616	
607398	47462	Allison Chapman
607398	253021	Denise
607398	318390	Christine McGuire
607398	362037	Bobby Sue
607398	367879	Alice
607398	389100	Janette (1992-1995)
607399	67104	Ludovica
607400	283679	Kuma, Flower Vendor
607401	1437	Herself
607401	21295	Herself
607401	21296	Herself
607401	132849	Herself
607401	257332	
607402	44725	La fille Coppenolle
607403	1382	Herself (Mrs. Simpson, with E
607403	58826	Herself
607403	75496	
607403	177608	Herself
607403	203572	Herself (with Edward)
607403	264079	Herself
607403	383968	Herself (2001-)
607405	35079	Flight Attendant
607406	96198	
607407	80959	Mom
607408	277805	Christine Berthelot
607409	82538	Veiled Woman
607410	13800	Girl at Bar
607411	258664	Marta
607411	369381	
607411	371868	Writer's daughter
607411	410524	Jola 'Nine'
607412	390319	Herself/nutritional anthropol
607413	290456	Manuela
607414	224173	Adele Gentry, Manager of Chil
607415	69342	La surveillante du Palais de 
607415	219460	L'employée
607415	388141	Mercédès
607415	410074	Une femme au tribunal
607416	217693	
607417	22808	Rose
607417	294222	Marsha Hinde
607417	324028	Old Girlfriend
607417	410792	Miss. Hardbroom
607417	411500	Miss Hardbroom
607418	114968	La femme
607418	249283	La femme
607419	148842	
607420	254094	Czech tourist
607421	260795	
607422	7234	
607422	34560	
607422	71105	
607422	88984	
607422	104157	
607422	148140	
607423	379925	Herself
607424	45678	Newscaster
607424	216803	Swell's Regular
607424	216878	Neighbor At Lawn
607425	34993	Cora
607425	82884	Merle Stern
607425	312658	Emmylou
607425	369146	
607426	370643	Broach Lady
607427	161997	
607427	164152	Dame du vestiaire
607427	377489	Mary Rambert
607428	173129	Anne-Marie
607429	185321	Girl By Pool
607430	270933	Rachel Lang (Middle)
607431	312345	Sharon
607431	390523	Ann Wilson (1978)
607432	131232	Extra
607433	131232	Stand-in for Jennifer Jones
607434	61713	Interviewed Woman
607435	163932	Marcia Beckman
607436	51101	
607436	64704	
607436	68720	
607436	70209	
607436	74966	
607436	193066	Soña Hilaria
607436	222840	
607436	238150	
607436	320348	
607436	328386	Grandmother
607437	340458	Jonnie
607438	12094	Additional Voices
607438	277635	Precious Metal
607440	35471	Mrs. Stevenson
607440	88965	Edna
607440	98920	Grandma Neighbor
607440	132456	Lady Applicant
607440	148954	Mother
607440	203641	Natalie
607440	209115	Mrs. Simon
607440	222883	Bessie
607440	235618	Lunartini Wife
607440	266084	Grandma
607440	270446	
607440	281927	Ladies' Room Attendant (The P
607440	313141	Librarian
607440	405882	Rowena Standish (1972-1973)
607441	133419	Sally
607442	53535	Herself (social organizer, N.
607442	310549	Herself
607443	288801	Brothel Girl
607444	206447	Tara
607445	99829	Angry woman/Lily
607446	23662	Calire
607447	390335	Herself (2004-)
607449	61851	Student
607449	72502	Little Kathy
607449	213231	Denise Walsh
607449	301393	Jane Alder
607449	375300	Denver Deck
607449	400236	Lisa Porter (1991)
607450	301393	Amy Alder
607451	377489	Monique Barnett
607451	393451	Weduwe
607452	169156	Bernadette
607453	83304	Alice
607453	108902	Fille 1
607454	10255	
607454	266058	
607454	390096	Marga
607454	397022	Ana Forero
607454	408410	
607455	198292	
607456	8880	L'archiduchesse
607457	273352	Une élève du théâtre
607458	359195	Ellen
607459	148672	Waitress
607460	149933	Snatch Woman 2
607461	75199	
607462	108535	
607463	228915	Simone
607463	345119	Michette
607463	353886	La fille de Nora Winkle
607463	398790	Chloé
607464	132838	Catherine
607464	183235	Elizabeth - Age 7
607464	276789	Olympe
607465	398790	Chloé
607466	212035	Driver TV Team
607466	325084	Flipote
607468	188704	Mme Langeac
607468	340212	
607469	75202	
607469	80216	
607469	80339	
607469	87077	
607469	107267	
607469	189295	
607469	221706	
607469	226184	
607469	249801	
607469	266869	
607469	268244	
607469	278613	
607469	317949	
607469	377214	
607469	380085	
607469	385252	Luisa
607469	387472	
607469	396163	Estela
607469	398482	Fiorella Di Salvatori
607469	398913	Clarita
607469	401693	Doña Roberta Mejía Guzmán
607469	408570	Sor Piedad
607469	409014	Malisa
607470	236602	Troisième souris
607471	356381	
607472	25088	Eugénie
607472	36655	Madame Noblet
607472	51953	La mère de Martine
607472	74984	
607472	89946	Madame Rabaud
607472	158845	Angèle
607472	175674	La femme du brasseur
607472	178989	Madame Rémy
607472	202083	Bélise
607472	236586	La maraîchère
607472	243017	Madame Honoré
607472	255299	Madame Cognet
607472	268414	Emma Vacheron
607472	282489	
607472	287974	
607472	345088	
607472	345100	La mere
607472	353844	
607472	357113	Madame Rinquet
607473	350274	Herself
607474	23825	Arlette
607475	353915	Léonie
607475	384209	Nicole
607476	36484	
607476	43007	Madame Le Barois
607476	45131	
607476	78536	
607476	156328	
607476	166335	
607476	167249	Madame Astin
607476	173053	Françoise
607476	217836	
607477	46967	Cicinella
607477	350314	Professeur de Piano
607478	257886	Hat Check Girl
607479	24371	
607480	107260	Angelique
607480	170562	French Embassy Guest
607480	321239	Woman Pollo Club
607481	236601	
607481	305088	
607482	356381	
607483	243038	
607484	353873	Danielle
607485	411579	Marília
607486	380946	Maria do Carmo
607486	386142	Penha
607487	230229	
607488	49280	
607488	120852	Anna Weiler
607488	400761	Mariechen/Friedi
607488	409958	Marie von Anstetten, ehemals 
607489	272743	Karin
607490	370264	Wife
607491	337500	Queen of Pentacles
607492	356941	
607493	39671	
607493	52042	Helene
607493	54144	
607493	69218	
607493	106818	Giulia
607493	132936	
607493	180846	Mrs. Potkin
607493	189261	
607493	189420	
607493	230006	
607493	263704	The pretty neighbor
607493	264043	Vittoria
607493	327452	(segment "Don Corradino")
607493	327909	
607493	344362	
607493	349935	
607494	87195	
607495	116041	Majorette
607496	116041	Majorette
607497	304060	Inëse
607498	69803	C.G. Partner
607499	271255	French reporter
607501	41490	Mary Woolley
607501	205194	Woman in studio
607501	327608	Agnes Hughes
607501	385139	Hospital Sister
607502	384621	Sylvie
607503	66337	Anna Marie
607503	152572	Lisa Silk
607503	363780	Tiffany Wilson
607503	382489	Clare Pettengill
607503	389070	Deputy Dist. Atty. Jennifer C
607504	236657	
607505	139096	
607506	29340	Maggie
607506	45105	Wendy
607506	82522	Terry
607506	249595	Butch
607507	180783	
607507	325709	Inge Bolke
607508	213589	Sister (The Fabulous Singlett
607508	256625	Kate
607509	45579	Ivanitza
607510	25868	Mrs. Marbey
607510	30922	Miss Travers
607510	32404	Miss Pinkerton
607510	46748	Gypsy's mother
607510	49248	Nanny
607510	49252	Mrs. Thomas, Housekeeper
607510	52661	Old Lady in Hall
607510	52904	Fireplace Attendant
607510	71630	Mrs. Martin
607510	72600	Solitaire Player
607510	73933	Agatha DeHaven
607510	75884	
607510	85184	Elderly Reader of 'Jane Eyre'
607510	108396	Aunt Aurelia
607510	116790	Cynthia
607510	116893	Frances, Mary's Grandmother
607510	117557	Bit part
607510	128168	
607510	129088	Alice Dodd
607510	133620	Old Witch in Audience
607510	133807	Fearful old gambling woman
607510	141665	Lady
607510	154230	Second Waiting Woman
607510	155902	Mrs. Ward, Tyber Housekeeper
607510	157118	Bit
607510	170378	Woman in Pawn Shop
607510	177141	Lady Emily
607510	185522	Head nurse
607510	194302	Old Servant
607510	197760	Martha Bannister
607510	213070	Stephanie's Party Guest with 
607510	218330	Old Woman
607510	218757	Old Woman in Church
607510	218844	Betteredge, Housekeeper
607510	224672	Aunt Lucy Kingery
607510	231974	Duchess of Reidheim
607510	232408	Angus' Wife
607510	236129	Aunt Hester
607510	239572	Sir Roderick Femm
607510	248413	Second Matron
607510	263555	Mrs. King
607510	263966	Grandmother Canty
607510	273786	
607510	292414	Dickon's Mother
607510	296559	Nanny
607510	300062	Mother Superior
607510	308575	Ella
607510	312795	Music Store Customer
607510	313076	Reformer
607510	315748	Lady Bolton
607510	317980	Musicale Guest
607510	321794	Older woman
607510	333054	Katie, Eva's Maid
607510	333319	Guest
607510	350408	Vera Trent
607510	350505	Sir Pitt's Housekeeper
607510	363758	Second Lady Disapproving of F
607510	367595	Lord Gaythorne's Maid
607510	367640	Old woman in bus/Jezebel Tris
607510	370566	Scrubwoman
607510	375802	
607511	322193	
607513	90220	
607513	180122	
607513	207496	Odille, the black swan (segme
607513	282985	Herself
607513	312183	The Wicked Fairy
607513	370186	Zoya Pavlovna
607514	111747	Umstehender 3
607515	49546	Herself (dancer)
607516	292817	Chimes Lady
607517	91839	Violinist
607517	218017	Cop's girlfriend
607517	222687	Extra
607517	241799	Teacher
607517	273544	Violinist
607517	321126	Eavesdropper
607517	386001	Regular
607518	381821	Ensemble (1976-1977)
607519	114384	Honey
607520	9884	Camp follower
607521	64930	Winnie
607521	218688	Blanche Stroeve
607521	292405	Pearl Collins
607521	367595	Young Flora 'Floss'
607522	108	Durfee's Moll
607522	47292	Ann
607522	61306	
607522	79009	Bit
607522	87820	French Girl in Paris
607522	96939	Cashier
607522	108026	Waitress
607522	123357	Jean
607522	128168	
607522	129810	Telephone Operator
607522	131401	Stella
607522	131719	Undetermined Role
607522	146273	
607522	151030	Doris
607522	154263	First Actress
607522	154874	Teacher
607522	199246	The Madam
607522	201931	Gladys Fogarty
607522	214187	Wise-cracking Dame
607522	218349	Madame
607522	219786	Bit Part
607522	223917	Postponed case witness
607522	241595	Bit
607522	244863	Telephone Operator
607522	246180	Grace Bradley
607522	249575	Miss Manning
607522	255167	Freda
607522	264170	Showgirl
607522	280471	Big Bertha
607522	304634	Belle Harris
607522	312584	Secretary
607522	315881	Moll
607522	326649	Molly Murdock as Belle
607522	349917	Permanent Wave Operator
607522	362055	
607522	362752	
607522	372145	Woman
607523	304889	Edna
607524	166240	Bit Role
607525	147650	Girl in Pullman
607526	348594	Pam's Girlfriend #2
607527	168453	Julie
607527	371087	Joan
607528	123210	
607529	11450	Kelly
607530	190336	Nora
607531	401265	Cast
607532	10851	
607533	288690	
607534	281052	
607534	335545	
607535	16637	Drummers Girlfriend
607535	100041	Supervisor
607535	139092	
607535	316948	Brothel madam
607535	380207	
607535	391869	Janet Briggs (19??)/Avril Web
607535	399130	Fiona Hartman (1993)
607536	272602	Crazy Lucy #29
607537	56204	Isla Crane
607537	64712	Toppy LeRoy
607537	70321	Mabel
607537	78021	Annette Lestailleur
607537	82609	Ann
607537	101427	Joan Heseltine
607537	103316	Fenella McClean
607537	158566	Maureen Fenwick
607537	201306	Sarah Undershaft
607537	219691	Natasha
607537	360152	Mrs. Perry
607538	344187	Melinda Jackson
607539	126495	
607539	126572	Irlene Mandrell
607539	161200	
607539	330818	Himself
607539	370035	Kimberly
607539	380713	Georgia Tucker Silva (1998-20
607540	247190	La cantinière
607541	28234	Morana´s daughter
607542	11537	Civic Teacher
607543	356089	Gitka
607544	97442	
607545	89760	Herself
607545	205906	Herself
607546	137758	
607547	147310	Ági
607548	1117	
607548	2987	
607548	19393	
607548	19680	
607548	24715	
607548	50840	Labortitkárnõ
607548	74461	Nevelõnõ
607548	106690	
607548	136576	Hölgyismerõs
607548	139997	
607548	162975	Titkárnõ
607548	163123	Postáskisaasszony
607548	176682	Sister-in-law
607548	199873	A gondnoknõ
607548	240159	
607548	322097	
607548	324710	Gépírónõ
607548	343751	
607548	349036	
607548	376615	Görög Jolán
607548	377126	Kiszolgálónõ
607548	377228	Szikár nõ
607548	377745	
607549	180215	Hej Pige
607550	193383	
607551	181765	Bagerjomfruen
607552	293253	
607553	144400	Sylvia
607554	409419	Marinete Prado
607555	26620	Shop Demonstrator
607555	152968	Charity President
607556	78947	Customs Official
607557	353934	Marlene
607558	318977	Waitress
607559	73477	Locutora
607560	272944	Bernards Girl
607561	123539	
607561	129055	Hospital Matron
607561	248429	Bedouin Woman
607562	306500	Woman in Pub
607563	66165	Marian Von Strudelmeyer
607563	114293	Sister Ingrid
607563	196522	Bree
607563	359060	Kate Hastings
607563	387533	Claudia Nash (1999-2000) (47 
607563	407046	Fiona Lieberman
607564	360596	Tim's Wife
607565	14161	TV announcer
607565	27171	Marcus' Police Psychologist
607565	54221	State Dept. Official
607565	106255	Winnie Vance
607565	106260	Winnie Vance
607565	106263	Winnie Vance
607565	147972	Reporter #1
607565	209156	TV Newswoman
607565	212614	Newswoman on TV
607565	238567	Yuppie Wife
607565	265101	Bridal Shower Lady
607565	303455	Mrs. Bannister's Guest
607565	365451	Reporter #1
607565	383374	
607566	100841	Syria Sass
607567	291109	Blonde in crowd scene shaking
607568	291109	Brunette girl dancing
607569	390812	Maria Paiva (1997-1998)
607570	194525	Mah John Player
607571	269899	
607572	25134	Carole Mansart
607572	47785	Herself
607572	57530	Betty
607572	101818	Muriel
607572	106541	Jo
607572	115356	Julie Dubreuil
607572	147945	
607572	157660	Alice
607572	166096	Bertha
607572	205243	Mathilde
607572	225767	Ariane
607572	266413	Antonella
607572	294659	Herself
607572	309034	Sophie Rousseau
607572	311198	Caterina Marini
607572	318153	Zhana
607572	322330	Anna
607572	356501	Laurence Rémi
607572	377985	Pauline
607572	383916	Lutgard
607572	388585	Clara
607572	395621	Alexandra
607572	400132	
607572	402559	Supt. Marie Saint-Georges (19
607572	405973	Sophie Rousseau
607573	3438	
607574	251599	Prefecta
607575	72475	Mme Maillot
607575	89226	Mina
607575	145429	
607575	243712	Maring
607576	14815	
607576	318954	
607577	6486	Kennel Woman
607577	322233	
607578	396826	Interior Designer
607579	1616	
607579	28005	Susana
607579	82229	Claudia
607579	96356	Macarena
607579	99325	
607579	100276	Chica joven
607579	100437	Lola
607579	102239	Amanda
607579	136987	Matilde
607579	197974	Teresa
607579	204989	Rosa
607579	206558	Elisa
607579	211072	Cristina
607579	226433	
607579	255485	Daniela
607579	273074	Ainhoa
607579	328154	Estela
607579	334666	Txell
607579	345569	Niña
607579	369996	Herself - Presenter: Best Edi
607579	401769	Dra. Susana Ramos
607580	139908	Diana
607580	383568	Nina López
607580	390859	Maru
607580	398801	Carmelita
607580	401435	
607581	81770	Cheryl
607582	73299	
607582	80197	
607582	82718	
607582	96332	
607582	112096	
607582	132469	
607582	161564	
607582	162803	
607582	171470	
607582	171618	
607582	216304	
607582	217562	
607582	225062	
607582	226495	
607582	233617	Felisa Fuentes
607582	238150	
607582	258618	
607582	269572	
607582	307028	
607582	333743	
607582	352162	
607582	356663	
607582	380840	
607582	385371	
607582	391852	
607582	392752	Elian
607582	395873	
607582	398913	Angeles
607582	399711	Various Characteres
607582	405242	
607583	164220	A Dancer
607584	337165	Kid
607585	69174	Herself
607586	153804	Mademoiselle de Picoult
607587	171327	Infirmière
607587	198349	
607587	217642	
607588	51808	
607589	64951	Baby
607590	20906	La soubrette
607591	64850	Lois Blane
607591	84846	Anne Blair
607591	103354	Juli Peronni
607591	150575	Receptionist
607591	171075	Lola
607591	221027	Joan Castle
607592	101462	Kay
607592	200052	Margaret
607592	297252	Fiona Gallagher
607592	302878	Anne Marie/Theresa
607592	380073	Sheila
607592	380610	Louisa
607592	386589	Olya Demina
607592	402935	Cath Bird
607592	405048	Fiona Gallagher
607592	410672	Georgiana Longestaffe
607592	411148	Holly (2002)
607593	340992	Baby In Carriage
607594	170442	Mrs. Allen
607595	323014	DS Jackie Reid
607595	323015	DC/DS Jackie Reid
607595	323016	DS Jackie Reid
607595	323018	DS Jackie Reid
607595	323020	DS Jackie Reid
607595	323021	DS Jackie Reid
607595	323023	DS Jackie Reid
607595	323024	DS Jackie Reid
607595	323026	Det. Sgt. Jackie Reid
607595	323027	D.S. Jackie Reid
607595	323028	DS Jackie Reid
607595	323029	DS Jackie Reid
607595	323031	DS Jackie Reid
607595	323036	DS Jackie Reid
607595	323037	DS Jackie Reid
607595	323038	DS Jackie Reid
607595	323039	DS Jackie Reid
607595	407363	
607595	407365	DC/Det. Sgt. Jackie Reid (199
607596	224155	Race Course Extra
607597	264709	Bridget Farnham
607598	340992	Playmate
607599	187053	Airline Clerk
607599	191614	Kim East
607600	142719	Victim - The Starlet
607601	41371	Candy
607601	41398	Michelle
607601	41414	Michelle Morgan
607601	78984	Anani
607601	91767	
607601	120430	Dr. Spangle
607601	161727	Denice
607601	182984	Francesca
607601	185532	Dr. Susan Verger
607601	206609	Nancy Borelli
607601	207906	Lisa Sullivan
607601	209601	
607601	218380	Katherine Great
607601	254759	Seline
607601	281890	Sally Winward
607601	301565	Linda
607601	308111	Herself
607601	308658	Victoria Thorn
607601	317876	Michelle Morgan
607601	411802	Amanda Browning (2001-2002)
607602	230985	Marilyn Docherty
607602	252976	Billy Tyne's ex-wife
607603	1748	Herself
607603	6247	Gina Adams
607603	7850	Kendal Richards
607603	72704	
607603	87703	Cassidy
607603	93323	Jessica
607603	149439	Martha Jean Pruitt
607603	154456	
607603	227549	Summer
607603	231031	Wendy
607603	231535	Herself
607603	340864	
607604	1187	Herself
607604	1737	Herself
607604	1743	Herself
607604	2274	Herself - Performer
607604	2581	Presenter
607604	7591	Herself
607604	8234	Natalie Connors
607604	51823	Kelly Collins
607604	56377	Wendy
607604	60163	Lorraine Baker
607604	64098	Sam
607604	119615	Special appearance
607604	152555	Young Lila Jute
607604	192857	Lizzie McGuire/Isabella
607604	221483	Herself
607604	231535	Herself
607604	231536	Herself
607604	245544	Marie
607604	252912	Holly Hamilton
607604	271332	Terri Fletcher
607604	309471	Ellie
607604	326664	Herself
607604	334069	Herself - Best Newcomer Winne
607604	340864	
607604	358807	
607604	388080	Herself
607604	395828	Lizzie McGuire
607605	115668	Young Maurey
607606	302083	Advisor
607607	340992	Playmate
607608	314016	
607609	40660	Betty Williams
607609	167133	Kayla West
607609	220954	Janet
607609	388372	Kayla West
607610	222810	Girl on Bicycle
607611	14603	Ahu's Cousin
607612	55686	Norma
607612	109450	Scarlett
607612	186796	Luane
607612	369343	Rubina Winter
607612	383630	Linda Castle
607612	386591	Dr. Lucy Drake
607612	406717	Lyn
607612	409650	Andrea (1976)
607612	410837	Maggie Cromer
607613	81062	Dutch Villager
607614	78238	Herself
607615	5028	Leslie
607615	40193	
607615	76217	Elegant Blonde in Bar
607615	109722	Joy
607615	127730	Rhonda Sikes
607615	244810	
607615	391835	Talking head/soundbites (segm
607616	340992	Mike's Mother
607617	314016	
607618	131431	Rosie Wellington
607618	394822	Allison
607618	396447	Additional Voices (1996-1997)
607619	80783	Carol Livanos
607619	214999	Nurse #2
607619	253464	
607619	297791	Waitress
607620	8243	Corpse
607620	12205	Mother
607620	55806	
607620	264761	Dotty Harper
607621	273558	
607622	11525	Tammy Ulrich
607623	282488	L'infirmière
607624	324501	Karine
607625	283242	Sonia
607626	206648	
607627	139170	Pattycakes
607627	257814	Herself
607627	288907	Pattycakes
607628	38957	Herself
607629	31054	Matron's Friend
607629	91784	Woman on Train
607629	94764	
607629	107351	Book Lady
607629	218599	Old Crone
607629	232261	Mrs. Farrell
607629	240861	Mrs. Thomas
607629	316184	
607629	324142	Nun
607629	335728	Society Matron
607629	338770	
607629	353516	Joan
607629	368057	Mrs. Charmer
607630	96867	Herself
607630	116673	Angela
607630	146628	Narrator
607630	151761	Jacky Bast
607630	199173	Diane
607630	244780	Mrs. Spence
607630	259779	Mrs. Payson
607630	299715	Mrs. Ray
607630	310998	Barmaid
607630	383747	Herself (Series 1) (2002)
607630	387247	Debbie Tyler/Bates (1993-1995
607630	388321	Catriona 'Cat' Matthews Webb 
607630	393934	Ruby Kumara
607631	250546	Girl with Flu Mask
607632	290400	Student
607633	151207	Hazel
607633	290394	Chaperone
607634	7811	Eve
607635	32997	Wendy
607636	355766	Margo
607637	316770	Lucy
607638	408816	Herself (series 2 - 2002)
607639	26442	Sally
607639	400158	Geraldine O'Connor
607640	22176	Matron in Cafe/Alex's Friend'
607641	305990	Kimberley Curley
607642	265100	
607642	300044	Additional Voices
607643	13596	Slaygirl
607643	142501	Linda
607643	222797	The Slaygirl
607644	176713	Old Lady with Glasses
607644	316327	Iris Puffybush
607644	406685	Iris Puffybush
607645	49347	Anesthesiologist
607645	69258	Nurse
607645	83969	ER Nurse
607645	315211	Margaret Mathews
607646	200052	Rose/Patricia
607647	129762	Married Gnome
607649	286058	
607650	253158	
607651	46304	Flo
607651	145173	Mother
607651	263788	Mrs. Fox
607651	281997	Manager
607651	351808	Lily
607652	30071	Woman
607653	140077	Cathy
607654	3626	Herself
607654	30659	Politically-Correct Mom
607654	31055	Mol
607654	37069	Cindy Parker
607654	59721	Charlotte
607654	61697	Dee Malone
607654	72106	Jackie Flanders
607654	75704	Young Girl
607654	95080	Jessica's Mom
607654	161537	Sarah Sorkin
607654	176526	Ms. Felicia Duffy
607654	194182	Herself
607654	195484	Myrna Foley
607654	208631	Casey
607654	211180	Susan Henshaw
607654	232304	Julia
607654	358052	Mary Graves
607654	381076	Maggie Campbell (1991)
607654	382282	Mary Hale
607654	386138	Allison Sugarbaker (1991-1992
607654	386603	Penny Davis #3 (1973-1977)
607654	396088	Gerry Braylee (1972)
607654	398070	Barb Ballantine
607654	399306	Stephanie Vanderkellen (1983-
607654	400236	Karen Wolek (#2) (1977)
607654	405783	Frances Harmon
607654	406877	Martha
607654	411321	Princess Ariel
607655	1870	Margo Lynn
607655	2027	Maria Rios
607655	40301	Shay Stanley
607655	57654	TV Reporter at Premiere
607655	95078	J.P. Shay
607655	116732	
607655	118444	Hostess
607655	185053	Cameo Appearance
607655	202195	Sophia's Friend
607655	206240	Karen
607655	208871	Crack Den Girl
607655	209683	Reporter #3
607655	210664	Celeste/Josette
607655	221474	Herself
607655	235635	
607655	273473	Actress 'Elaina'
607655	364376	Officer Day
607655	381005	Correspondent
607655	388200	
607655	391794	Herself/Host (2003-)
607655	401191	Sketch
607655	409126	Herself (Correspondent) (1994
607656	160855	Young Renata
607657	253818	Budget clerk
607658	275055	Rachel
607660	118726	Orderly
607661	16642	Miss Farnie
607662	191608	Barnes' Girlfriend
607662	267503	Purgatory House Kid (featured
607663	169882	News Reporter
607663	323440	Grown Margo
607665	50207	Rosa
607666	289024	Les Presages Dancer
607667	329524	Sarah Hayward
607668	185755	Nun
607668	355597	Mary Magdalene
607669	80708	Linda
607669	92880	Anna
607669	206595	Melissa Graham
607670	168902	Reporter
607670	323026	TV Reporter
607670	396353	Second TV Reporter
607671	347991	Herself
607672	5213	Dr. Joanna Miles
607673	309890	Smoke House
607674	45342	Mrs. Walsh
607674	82035	Second Newsroom Deputy
607674	95363	Sheila Mullaney
607674	234901	Annie Barnacle
607674	272586	Daisy
607674	323961	Keogh
607674	333868	Mary McCoy
607674	352465	ICU Attendant
607675	59840	Female Sailor #1
607675	82889	Herself
607675	100887	Female Cop
607675	119775	Herbal Ecstacy Girl
607675	169859	News Anchor
607675	214917	Woman at Party
607675	351773	Jenna
607675	366711	Maid
607676	384033	Mme Ginetti
607677	95793	Herself
607678	14350	
607678	40573	
607678	51432	
607678	54298	Marie de Medicis
607678	62945	L'assistante
607678	66747	
607678	83370	L'actrice
607678	115342	
607678	148742	
607678	159555	
607678	160660	
607678	164170	Mme. Dumontel
607678	170923	Clemeance
607678	179288	Grande-duchesse Aurore de Lau
607678	193434	Jeanne Villaret
607678	199583	
607678	202697	
607678	206578	The Queen
607678	224877	Mathilde Stangerson
607678	224901	
607678	246964	
607678	248918	Mathilde
607678	253213	Queen Hortense
607678	256990	
607678	264213	
607678	265221	Mary Dugan
607678	281971	Countess Maria Theresia von W
607678	337766	
607678	338477	
607678	355266	
607678	356580	
607678	370717	
607679	396622	Paula de Woes
607680	346480	La fille
607681	150002	
607682	34913	Choir member
607683	135338	Christine
607684	381681	Véronique
607685	251548	
607686	353926	
607687	381890	Herself
607687	381911	Herself (2001)
607688	197546	
607689	249209	Animatrice de Hot Lines
607689	339993	
607689	390486	Mme Langloie
607689	398039	Marie-Hélène Pinson
607689	400804	Gaétane Damphousse
607689	403897	Gaby
607689	410252	
607689	411623	Mme Milot
607690	10071	Femme caddie
607691	77366	Françoise
607691	120970	
607691	346618	Emilia
607692	59520	Adeline
607693	99588	
607693	99591	L'auto-stoppeuse
607695	410628	Laurence Bouchard
607696	341126	
607697	51807	
607697	101511	Mère Isabelle
607697	153804	Marguerite
607697	195200	Mémère
607697	211679	La grand-mère
607697	258120	Mere de Nicole
607697	261842	Mme Folco
607697	287052	
607697	325343	Madame Ladurie
607697	336951	Le professeur opérette et dic
607697	345119	
607697	354661	La mère de Marie
607697	377013	
607697	382584	
607697	384576	Mme Romand
607697	393486	La psychologue
607697	396523	Jeanne Picard (Maman Jeanne)
607697	398033	Duguiguy (1975)
607697	400050	Mme Morin
607697	401939	
607697	404861	
607698	64735	Veronica
607699	15125	
607699	207751	
607700	78380	
607701	380871	Joséphine Rousselet
607702	32266	
607702	45688	Karine
607702	83340	Serveuse bar
607702	83367	
607702	99589	
607702	164193	Sophie
607702	174155	Sandra
607702	191495	Young Waitress
607702	263218	Claire Lavoie
607702	301649	Monique
607702	383664	Valérie
607702	384013	Alys Robi
607702	398208	Flower Seller
607702	398595	Manon
607702	400386	Murielle Martinelli
607703	273969	
607704	243344	
607704	346637	
607704	377811	L'autruche
607704	395422	
607705	231997	Dancer
607706	16705	Marsha Nuts
607707	195540	Receptionist
607708	380941	Francine Lévesque
607709	126619	Extra Talent (segment "Gett O
607710	63777	La doublure lumière
607711	43767	Hélène Castel, secrétaire DRH
607711	54652	Young girl
607711	353907	
607712	391869	Toni Bryant (1992)
607713	391435	Dresser
607714	288075	Karin
607714	320406	Fanny
607714	390151	Ella
607715	129228	Marine
607715	360149	Courtesan
607716	78553	
607717	12600	
607717	36475	
607717	48391	
607717	119662	
607717	197836	
607717	280797	
607718	304763	Marysia
607719	69954	Marguerite Pigarouche
607720	269959	Swimming Pool Girl
607721	81483	
607721	179534	
607722	11900	
607723	252297	Little Girl
607723	294173	Carole Cartier
607724	66314	Nurse
607724	316946	Goldwyn Girl
607724	341969	Bathng Model
607725	171049	Woman in House
607725	361300	
607726	64350	
607726	137184	
607726	155105	
607726	155114	
607726	160699	Micky
607727	193176	Gal in the T-Bird
607728	58086	Shirley
607728	84869	Rhoda
607728	133208	Michelle
607728	315919	Exit Girl #1
607729	37002	Kelly
607729	98145	Fat Kid & Telephone Kid
607730	258752	Truck driver
607731	274582	Waitress #1
607732	45831	Good Morning Usher
607732	51661	Robin's neighbor
607732	164493	Mrs. Strick
607732	207828	The Cook
607733	321532	Jean Darrow
607734	300865	
607735	270975	Becky Sue Broadhurst
607736	91914	Snow Queen's Receptionnist
607737	98145	Mrs. Selman
607738	161505	Freeway Driver
607738	337384	Duke domestic
607738	342512	Waitress No. 1 (Segment #1)
607739	396319	
607740	284990	Singer (in French version)
607741	96183	
607741	246839	Soeur Thérésia
607742	244227	
607745	132189	
607746	58744	Louis' daughter
607747	337025	
607748	212479	Morgana
607748	249257	Anna
607749	63557	
607749	96198	
607749	184053	La dame excédée de la caravan
607749	339476	
607750	285759	
607751	196233	Dancer
607752	127663	Singing Voice
607752	131200	Casilda
607752	162097	Celia
607752	250639	Patience
607752	282952	Rose Maybud
607753	333401	Lyrica
607755	79312	Herself
607756	252896	
607757	84838	Clarisse
607758	164663	Reporter
607759	62913	Glory Quayle
607760	298084	
607761	10978	
607761	52113	Radio Girl
607761	71784	Abigail
607761	77476	Mrs. Ruggles
607761	93634	Carrie Bingham (Sheriff Bingh
607761	94617	Dude ranch guest
607761	96989	Miss Higgie
607761	143618	Landlady
607761	150913	Sarah Henderson
607761	154355	Aunt Mathilde, Loud Singer
607761	160432	Flora
607761	175629	Nurse
607761	190064	
607761	204174	Wife
607761	209168	Mrs. Throckmorton
607761	213160	Mrs. Randolph
607761	215903	Passenger on boat
607761	220333	Ma Burnside
607761	224100	Uppity Little Bend woman
607761	239601	Cleopatra Pepperday
607761	241845	Mrs. Halliday
607761	264470	Actress at Ford's Theatre
607761	277736	Penelope Kidwell
607761	289422	Vera Venzey
607761	305398	Second Customer
607761	315644	Mrs. Winthrop
607761	329334	Miss Twitchell
607761	358163	
607761	358184	Abby Masters
607761	365086	Superintendent of nurses
607761	372116	Mrs. Sludge (Ping-pong specta
607762	382006	Herself
607763	193521	Solo Singer/Piano Player
607764	392648	
607765	45342	Wedding Guest
607766	232659	
607767	276882	Tenant
607768	41178	Louise
607768	222636	Mrs. Staggs
607769	12661	
607769	75202	
607769	80215	
607769	235983	
607769	280414	
607770	305571	Young American Miss
607771	49028	Blousey Brown
607772	367951	Herself
607773	287212	Elfreda
607774	64498	Arlene Trakas
607774	161051	Mrs. Krask
607774	190927	Lloyd's Mother
607774	240325	Miss Norris, Delia's Teacher
607774	348361	Judith
607774	366904	Foreman
607775	38503	
607775	67507	Antonietta, sua figlia
607775	160052	
607775	202724	
607776	4826	Tamari
607776	243494	Chito
607776	334829	Olga
607776	354195	
607777	46935	
607778	125463	
607778	234758	
607778	293343	
607778	350184	
607779	321968	
607780	392524	Ninth place (2003)
607781	270620	Mme Cauvin
607782	84656	
607783	353810	
607784	10516	Amara as a Girl
607784	57042	Starfire
607784	62498	Child Singer in 'Seek the Spy
607784	63994	Cimarron Rose
607784	89962	Rosita
607784	92480	
607784	118802	Maria Scola
607784	133509	Musetta Barretto
607784	133663	French Child
607784	141667	Greek girl
607784	144488	Minnehaha
607784	252426	Mrs. Catrina Lanzetta
607784	297386	Mrs. De Verno
607784	327970	Blossom
607784	333062	Orphan
607784	336299	Little Girl
607785	309594	
607786	201124	
607788	174279	
607789	108474	Nurse
607789	307976	Lulu's Mother
607790	111636	
607790	225044	
607790	353616	
607791	213466	Kid
607791	277746	Kid near miss car hit
607791	312150	President's robot daughter
607792	21626	Elisabeth
607792	27918	Madame Darbon
607792	89871	Madame Darbon
607792	93880	Cécile
607792	117974	La secrétaire de mairie
607792	132750	
607792	135344	La femme du wagon-restaurant/
607792	148749	Mme Dodelin
607792	166172	Jane Swolfs
607792	199322	La demoiselle de compagnie
607792	204117	
607792	204562	
607792	345248	Catherine Delage
607792	346702	Magali
607792	377009	Hélène Haguenauer
607793	200936	Alice
607793	240429	
607793	346642	La doublure de Charlotte et C
607794	269725	Cascadeur
607795	161462	TV Reporter
607796	84596	Une invitée
607797	206683	
607797	237316	
607798	192075	Rosalie
607798	192076	Rosalie
607798	281699	Rosalie
607798	281701	Rosalie
607799	36492	Saeki
607800	7243	
607800	42213	La femme du forain
607800	45140	Madame le p.-d.g.
607800	52698	
607800	57504	
607800	116473	La violoniste
607800	126319	
607800	132991	La directrice de la chorale
607800	255596	
607800	340147	La receveuse du bus
607800	345229	
607800	389004	La dame au chat
607801	178114	Isabel
607802	123029	Ryudia, Milky, Classmate, Add
607802	127779	Ryudia, Additional Voices
607803	261650	Sukie
607804	377464	Mrs. Polliaert
607805	209944	Woman who yells
607805	211672	Sabine
607805	345283	Isabelle
607805	379163	La jeune femme
607805	401329	La cliente de la librairie
607805	412260	Lise
607806	395001	
607807	366427	Sylvia
607808	274525	Jane Heap
607809	302124	Ellen
607809	397358	Floor de Wit
607809	400217	Reina De Zeeuw (#1) (1994-199
607810	234044	Gerrie
607811	7093	First Woman
607812	325280	Heleen Olaf
607813	225239	Lotti
607814	383037	Anchor
607815	170541	Cheerleader
607816	2252	(segment "Exclusion, L'")
607817	101426	Madame de Castell
607818	54421	Tadzio's grandmother
607819	2131	Hilde
607819	2888	Herself - Best Supporting Act
607819	16068	Marguerite Capano
607819	20447	Narrator
607819	26474	Mrs. Anna Madrigal
607819	35236	Nora
607819	47819	Helen Manners
607819	57815	Doris Silverman
607819	59685	Charlie
607819	60685	Rose Castorini
607819	65652	Narrator
607819	69313	Santa Battaglia
607819	73315	Narrator
607819	75427	Host
607819	76496	Bette Tremont
607819	80397	Dr. Doris Rice
607819	81316	Cop at the precinct
607819	86529	Bea
607819	105035	Lila
607819	113803	Emily Miller
607819	133730	Judy Hillerman
607819	154427	Jeannie, Peter's Secretary
607819	155745	Mrs. Vacarri
607819	158445	Sue
607819	160767	Erina
607819	161078	
607819	165422	Sophia
607819	166567	Mrs. Marcangelo
607819	166943	Mother (Mrs. Gordon)
607819	167070	Sophia Vitello
607819	168120	Mother Babette
607819	168460	John's mother
607819	177360	Mama Nicola
607819	183346	Sara Stevens
607819	185048	Laura Cunningham
607819	185451	Dinah
607819	189361	Margie Carsen
607819	190082	Charlotte Kiszko
607819	190796	Patient
607819	194211	Rosie
607819	194212	Rosie
607819	194213	Rosie
607819	196918	Katherine Campbell
607819	199467	Gig's Mother
607819	199970	Rose
607819	207681	Helen Rosner
607819	213452	Jocasta
607819	213941	Goneril Plogg
607819	218848	Rose Castorini
607819	219903	Mrs. Jay
607819	220960	Principal Helen Jacobs
607819	223700	Esther Lipman
607819	226938	Herself
607819	228297	Helena Naxos ("Success Wanter
607819	229505	
607819	230422	Rose
607819	231546	Irene Kaminios
607819	245649	Alma Harris
607819	248182	Herself
607819	248583	Narrator
607819	252355	Madam Chairwoman, Armed Servi
607819	255345	Rita Mosley
607819	275006	
607819	277638	Lawyer
607819	289690	Dotty
607819	291837	Pauline
607819	302432	Dolly Sinatra
607819	303278	Louise Wilanski, Bakery Shop 
607819	314252	Clairee Belcher
607819	314761	
607819	314778	Herself
607819	342446	Young mother
607819	358964	Joey's Mom
607819	368314	Personnel Director
607819	372487	Rose Garaventi
607819	383781	Marge Pressman
607819	383802	Joanne
607819	389561	Mrs. Anna Madrigal
607819	390775	Amanda Patterson
607819	398208	Mrs. Anna Madrigal
607819	404613	Dr. Barbara Moreno (1983)
607819	407470	Mrs. Anna Madrigal
607820	394750	
607821	44	
607822	28493	Townspeople
607823	407	Host
607823	266735	Nancy Carter
607824	114892	Host (2004 Broadcast)
607825	227377	
607825	232393	Lethe
607825	236142	
607825	263485	
607825	302235	Esther
607825	360470	Bag Lady
607825	360616	Maid
607826	328808	Cathy Bennett
607827	337360	Grieving Woman
607828	7007	Aunt Polly
607829	32170	Beauty
607829	37510	Pamela Arnott
607829	45525	Boy Woodburn
607829	81514	Perdita
607829	91775	Edith Cowper
607829	94977	Loan Lambourne
607829	108516	Hebe
607829	118510	Ann Wetherall
607829	124099	Clarissa
607829	133762	Lady Maggie Trent
607829	154805	Ida Sturge
607829	197654	Georgette
607829	205169	Ivy
607829	231955	Lady Morland
607829	253428	Lady Audrey Beaumont
607829	313709	Phyllis Berknowles
607829	328904	Althea May
607830	197035	Herself
607831	324967	Jessica
607832	307374	Young Penelope
607833	65224	Guest
607833	133622	Rita Willis
607833	203210	Trent's Girl Friend
607833	223913	Girl in casino
607834	294150	
607835	900	Herself (Karl Malden tribute)
607835	1842	Herself - Presenter
607835	2025	Herself - Best Actress Winner
607835	2326	Herself - Best Supporting Act
607835	2515	Herself - Presenter: Best Sup
607835	2622	Marjorie Sutherland
607835	5201	Judge Ray
607835	12777	Ruth Monroe
607835	14492	Nancy Evans
607835	26529	Liz Benedict
607835	32681	Carole Matthews
607835	34669	Laura Dietz
607835	34878	Patty & Cathy Lane
607835	37918	Billie Carol
607835	38571	Velma Sparrow
607835	50869	Helen
607835	52440	Herself
607835	57163	Mrs. Keene/Earlene
607835	57687	Herself
607835	61615	Herself
607835	63068	Sook
607835	71760	Sis Brand
607835	75530	Laura Lockwood/Valerie Steffa
607835	79977	Thumbelina
607835	80773	Jenny
607835	105228	Carolyn Henry
607835	108334	Beth Thompson
607835	108399	Wendy
607835	109666	Anne Capute
607835	112304	Shirley Abrams
607835	113864	Dr. Peggy Wilson
607835	128415	Martha
607835	130106	Emily Ann Faulkner, age 8
607835	133334	Jean Williams
607835	138351	Sue Grainger
607835	138704	Debbie Walters
607835	139765	Annie Beiler
607835	140401	Leslee Wexler
607835	146793	
607835	154396	
607835	155896	Eileen Phillips
607835	161200	Narrator
607835	161263	Narrator
607835	161358	Herself/Subject
607835	162986	Neely O'Hara in 'Valley ofthe
607835	164661	Herself
607835	169491	Barbara King (episode 'The La
607835	176777	Jean Monroe
607835	176851	Norma Walsh
607835	177089	Dr. Feinstenberger
607835	185766	Betty Rollin
607835	191925	Sylvia
607835	194204	Rosemary Woodhouse
607835	195803	Sunny Andrews
607835	209115	Natalie Miller
607835	209606	Tootie
607835	214984	Helen Keller
607835	214985	Anne Sullivan
607835	215568	Melanie Kline
607835	217490	Deborah Bergman
607835	222769	Mother Joseph
607835	224349	Marlene Chambers
607835	232412	Jan Richards
607835	233509	Lucille Jenkins
607835	241100	Lori
607835	241857	Grace McKenna
607835	250872	Patty Lane/Cathy Lane MacAlli
607835	253341	Althea Sloan
607835	257964	Barbara Reynolds
607835	262000	Coral
607835	262798	Mrs. Boyle
607835	270349	Natalie Porter
607835	282022	Sylvia Crawford
607835	292015	Angel
607835	294580	Sister Dulcina
607835	295636	Herself (interviewee)
607835	298016	Laura Wilson
607835	308094	Jeanne Bosnick
607835	315776	Sue Davidoff
607835	320878	Rita
607835	321606	Lynda
607835	330463	Herself
607835	333364	Concetta Hassan
607835	334169	Beth Bradfield
607835	343065	Macy Kramer
607835	350012	Neely O'Hara
607835	354817	Sarah McDavid
607835	362810	Faye Dolan
607835	363161	Barbara Parker
607835	365909	Doris Niceman
607835	367916	Lily
607835	368981	Esther
607835	372296	Francesca Kinsolving
607835	379918	Hannah Miller
607835	381111	Herself
607835	382773	Ellen Williams Dennis #1 (195
607835	383429	Bernadette Hennessey Armagh
607835	387120	
607835	387120	Young Cathy
607835	389923	Martha Washington
607835	389924	Martha Washington
607835	390903	Pres. Julia Mansfield
607835	393070	Molly Quinn
607835	394174	Karen Matthews
607835	394575	Molly Scharf as a girl
607835	397076	Guest panelist
607835	397077	Panelist
607835	398213	Herself
607835	401021	Patty Lane/Cathy Lane
607835	411363	Cathy Payson
607836	40710	
607836	41869	Sandra Baker
607836	66131	Mary Lou
607836	67999	Herself
607836	82122	Zoe
607836	120258	Herself
607836	134672	Doris (waitress)
607836	149939	Elizabeth Kooey
607836	154427	Sandra, Ray's Assistant
607836	155065	Drunk woman
607836	185542	Lemon Twin
607836	206664	Montgomery Clift's Wife
607836	220164	Miss Lawton
607836	222265	Ballet School Receptionist
607836	242111	Mrs. Johnson
607836	269967	Fiona
607836	283510	Olympic Office Receptionist
607836	287285	Mrs. Johnson
607836	288702	Wendy Whiner
607836	288714	Herself/Various Characters
607836	317264	Cousin Denise
607836	329954	The Colangelos
607836	389906	Penny
607836	404337	Various (1981-1984)
607836	404637	Molly Earl/Other Roles (1980-
607837	100838	Concert Guest
607837	304794	Guerilla Woman
607838	317533	Nurse
607839	120448	Betty
607839	281654	
607839	380903	Nora Seide
607840	713	Dani
607840	101944	Louise
607840	120448	Ginger
607841	295564	Herself
607842	271287	Court Clerk
607843	192171	Jessie
607843	242083	Newscaster
607844	45286	Maria
607844	381568	(1983)
607844	402092	Toni 'Tiddler' Tildesley
607845	364376	Robber No. 3
607846	273491	Louise Dukes
607847	367623	Stage Box Committee
607848	297105	Beryl
607848	328581	Tong Room Girl
607848	342822	Sphinx Girl
607849	330376	Alice
607850	231162	
607850	284066	
607850	356921	
607850	398757	
607851	328788	Yugoslav Attendant 2
607852	132912	Commercial Voice/Pedestrian
607853	95945	Village Woman/Young Lady
607854	62834	Zoya
607855	164037	
607855	255412	
607856	217660	Balzac
607857	124620	Gauthali
607858	246306	
607859	188900	Ogen
607859	300671	Claude
607859	353129	La chaste cheftaine
607860	205777	
607861	158765	La cantante del Clou Doré
607862	135430	
607863	264448	
607864	153882	
607865	111847	
607865	355280	
607866	285623	
607867	363421	Guitarist - Wet T-Shirts
607868	124620	
607869	190593	Nurse
607870	4058	Nadira
607870	4137	
607870	4194	
607870	4329	
607870	4410	Chachi
607870	8140	Matron at the Orphanage
607870	13463	
607870	14454	
607870	17633	
607870	18482	
607870	19604	
607870	25525	
607870	28248	
607870	30115	
607870	33230	
607870	35969	
607870	36298	
607870	38190	
607870	43328	Atmaram's wife
607870	48681	
607870	53010	
607870	58680	
607870	62308	
607870	82008	Guest Appearance
607870	84721	
607870	84768	Street Singer
607870	85424	Mohan's mom
607870	95016	
607870	98526	
607870	98742	
607870	107024	Connie
607870	123737	
607870	147510	
607870	160738	Meena
607870	165352	
607870	166477	Mamiji
607870	166496	
607870	166497	
607870	167335	
607870	168552	
607870	172560	
607870	174841	Champa
607870	181043	
607870	181603	
607870	184158	Malti
607870	204091	Chandrika
607870	209843	
607870	232731	
607870	234880	
607870	246367	Mami
607870	251257	
607870	260176	
607870	262831	
607870	262850	
607870	262857	
607870	271469	
607870	271797	
607870	274324	Claudia (segment "Auto Erotic
607870	276201	Evonne
607870	285169	Maid
607870	286501	Chandramukhi
607870	288200	Saraswati Chandra's step-moth
607870	293277	
607870	297058	
607870	297748	
607870	301106	
607870	304293	Carrie
607870	326962	
607870	328180	
607870	340540	Claudia
607870	359078	
607870	373668	
607870	373830	Ganga
607870	392130	Weston
607870	398490	Montserrat
607870	398663	
607870	406056	Antonia, mamá de Lucía
607870	410477	Patricia Martínez de Betanzos
607871	66601	
607872	9670	
607872	14689	Dona Rita
607872	36667	Asist. Photography
607872	42576	White Novice
607872	50300	Nurse Fowler
607872	96321	Hermana Rosa
607872	99269	
607872	100723	Ana Maria
607872	119651	D. Maria de Noronha
607872	148470	Clara
607872	159418	
607872	197981	Mariana
607872	296470	Jacinta
607872	309087	Sor Inés
607872	380208	Zulmira
607872	380332	Madre Superiora
607872	381246	
607872	395379	
607872	395865	
607872	402148	
607872	410105	Maria do Amparo
607873	393364	Camila
607873	401884	Herself/- Finalist #7
607874	103791	second secretary
607875	168022	
607875	213105	Pedestrian #2
607875	278617	
607876	362323	Cop
607877	64689	Technomaniac
607877	189443	Monika
607877	234754	
607877	319660	Nurse
607878	35002	
607878	95953	
607879	142535	Computer Voice
607880	104479	La religieuse
607881	53776	Herself
607881	192517	Herself
607882	175970	Fatima
607883	64729	French maid
607883	74861	Aida
607883	96330	Pepita
607883	130620	LeBrec's Secretary
607883	167311	Midinelte
607883	324447	Criada de Laura
607883	324466	
607883	356293	French-speaking person
607884	240317	Rom
607885	171545	Lesnerová
607885	357667	
607886	5093	Saligani Hija
607886	65555	Asst. baño TV
607887	187404	Elderly Womans Voice
607888	187404	Daughter
607889	7142	Rechercheur De Klepel
607889	42225	Engel
607889	380482	Herself-Presenter (first seas
607889	381907	Herself - Host (season 2) (20
607890	268521	
607891	101511	Soeur Clémence
607891	389880	La mère supérieure
607892	202240	Missia, la voyante
607893	82737	Sybil
607893	278855	Call Girl
607894	12422	
607895	31715	Hillary's Neighbor
607895	86224	Clara Buxton
607895	141517	Mrs. Stern
607895	234971	Sarah Dobkins
607895	239033	Widow
607895	244443	Aunt Mae
607895	266917	
607895	282463	Hazel
607895	310059	Mrs. Santini
607895	328368	Roberta Robbins
607895	389988	99's Mother (1968-1969)
607895	390070	Mildred 'Grandma' Kanisky (19
607895	391192	Mrs. O'Connor
607895	391497	Liz Murray, Al's sister
607895	397224	Nurse Molly Turner (1962-1964
607895	397288	Nurse Murphy (1971-1972)
607895	405008	
607895	409225	
607896	234270	Enfant de l'asile
607897	95820	
607898	179780	Nancy
607899	275871	Sentinal Cheerleader
607900	130470	Tanya
607900	317350	Stage Manager
607900	387993	Policewoman
607901	8942	Hulda
607901	300209	
607903	407245	Herself (Hostess) (2003)
607904	210532	Queen of Spades
607905	231997	Dancer
607906	101429	Stage door attendant
607907	285206	
607907	324101	
607908	228005	Ruth
607911	334853	Insecure girl
607912	273771	Hair Apprentice
607913	382486	Lise Galarneau
607914	13993	Little Girl With Balloons
607915	198642	Élise
607916	8569	První obet
607917	39466	
607917	65935	Ethel
607917	134189	Eileen Meredith
607917	163320	Lillian
607917	235459	Mabel O'Toole
607917	245184	
607917	302179	Alice Fields
607918	378872	Dorianne
607918	401983	Alice Rancourt
607918	410153	Cliente de Marie
607918	410628	Camille
607919	187218	
607920	220133	Laure
607921	261116	Lise's Mother
607922	32735	Herself/Lita/Angelica/Miss Co
607922	87980	Lita
607922	121594	Lita
607922	161728	Lita
607922	191559	Herself/Lita/Miss Congenialit
607922	282684	Lita
607922	318841	Lita
607922	320139	Lita
607922	320140	Lita
607922	320142	Lita
607922	340399	Lita
607922	368826	Lita
607922	368827	Lita
607922	369201	Lita
607922	369204	Lita
607922	369206	Lita
607922	369231	Lita
607922	369232	Lita
607922	369235	Lita
607922	369236	Lita
607922	369239	Lita
607922	369242	Lita
607922	369244	Lita
607922	369250	Lita
607922	369273	Lita
607922	369276	Lita
607922	369281	Lita
607922	369283	Lita
607922	369285	Lita
607922	369291	Lita
607922	369292	Lita
607922	369308	Lita
607922	369309	Lita
607922	369310	Lita
607922	387279	Miss Congeniality (1999); Ang
607922	388101	Miss Congeniality/Angelica (1
607922	402907	Lita (2000-)
607922	406933	Lita (2000-)
607922	411537	Lita (2002)
607922	411542	Lita (2000-2002)
607922	411545	Lita (2000-2002)
607923	282280	Viviane
607924	286042	
607925	146391	Herself (journalist)
607926	270109	La jeune fille
607927	71282	Marina
607927	388463	Hostess
607927	392260	Hostess
607927	398166	Laura
607928	237899	Recepcionista
607929	312774	
607929	396088	Vivian Carlson (1959-1971)
607931	185384	Hattie's Mother
607931	244849	Mrs. McKay
607931	262326	Ruth Delaney
607931	363597	Myrtle Anson
607932	86476	Model
607933	168083	La gardienne de prison
607933	220258	Anais
607933	282405	Nadine
607933	376904	La secrétaire du journal
607933	396804	Violette Mousson
607933	397947	Nicolette
607933	403474	Juliette
607933	404257	Eve
607934	49335	Old Woman
607934	288316	Prieuse
607935	245484	Girl
607936	306950	Fille accident
607937	378081	La jeune hippie
607938	59885	Airport Woman
607938	183879	Church Voice
607938	409547	Principal Brandywine
607939	198463	
607939	381348	Host
607940	5477	
607940	5509	
607941	92283	
607942	394612	Verpleegster
607943	5291	
607943	52811	Nancy
607943	145530	
607943	189013	
607943	205702	
607943	206987	Amiga 1
607943	221755	
607943	233466	
607943	248767	
607943	268250	Carla
607943	275744	
607943	285943	
607943	340363	
607943	353552	
607943	354904	
607943	357523	
607944	342328	Sylvia
607945	5511	Sara
607945	20135	(segment "Les Boréades")
607945	35814	Cindy
607945	53227	Eva
607945	67819	Claire
607945	91912	Catherine
607945	140300	Mathilde
607945	148739	Julie
607945	187445	Gaby
607945	191499	Nathalie Dufour
607945	225478	
607945	309456	Rosanna
607945	319995	Brigitte
607945	320240	Claire
607945	327487	Naty's mother
607945	328392	Josy
607945	332188	Anita
607945	341121	
607945	350062	Martine
607945	350086	
607945	377699	Dalal
607945	377905	Marie
607946	268199	The Blond Girl
607947	14347	Une lycéenne
607947	19758	
607947	209943	Colette
607947	327892	Puone
607947	346591	Lolo
607948	122778	Store Extra
607949	7457	Ana (13 ans)
607950	193523	Mina
607951	81446	Reporter
607951	235542	Kathleen Durer
607952	107777	
607953	110529	Ruby 6 mths
607954	110529	Ruby 6 mths
607955	110529	Young Mother in Hospital
607955	221096	Helen Jakovitch
607955	290939	Co-Ed
607956	34191	Hrothgar's wife
607956	73973	
607956	205510	Maria
607957	239415	Ellen
607958	279687	Fashion Model
607959	62456	
607959	189475	
607960	69776	Rosa
607960	340811	Monica's Mom
607961	265558	Herself
607962	62561	
607963	2252	(segment "Exclusion, L'")
607964	87423	Celia
607965	73156	
607965	169289	
607965	219504	
607965	224901	
607965	240287	
607965	253995	
607965	253996	
607965	280440	Suzanne, enfant
607966	236277	
607967	20190	
607967	58290	
607967	64609	
607968	156737	Chita
607969	49176	
607969	51507	
607969	56112	
607969	162102	
607969	240395	
607969	250434	
607969	265780	
607970	317875	Old Crone
607971	293212	Mrs. Shepard
607972	27395	
607972	122042	
607972	238286	
607972	291040	
607973	161948	Kidnapped Girl
607973	216505	
607974	214420	
607975	221114	Acrobat
607976	177369	Cook
607977	168298	Jehovah's Witness
607978	141540	Irene Orsini
607979	23899	Claire
607979	39324	Ciel, Sonia's maid
607979	41662	
607979	104330	Carlotta
607979	190496	Rosa
607979	195840	Maria
607979	224130	Baroness
607979	272241	
607979	283433	Marie
607979	316151	Vivette
607980	1712	Shuttle Flight Attendant
607981	353886	
607982	148303	
607982	199527	
607982	208282	GB-klant
607982	340509	Claire
607982	400876	Ilona
607982	406203	Jeannine Somers (2000-2001)
607982	408151	Lilly (2002-)
607982	411311	Bea Tollenaere (1996-1997)
607983	59267	La journaliste
607983	65383	
607983	258528	
607983	320010	Jacqueline
607984	153241	
607985	62584	Leader
607985	95789	Rachel Linden
607985	137228	Buttercup
607985	142559	Candy Bridgeton
607985	152945	Florence Irene
607985	222670	Rita
607985	242730	Laurie Granger
607985	272406	Jamie
607985	281398	
607985	343919	Lucia
607986	53014	La servante de Mme Villeneuve
607987	307590	Marguerite
607988	85940	Young Dianne
607989	258331	Sophie
607990	207262	
607990	235710	Fleur de Lys
607990	261609	Hortense Josserand
607990	332205	
607991	11963	Julie
607991	13631	
607991	29517	
607991	102669	
607991	112770	
607991	141282	Mariana
607991	169072	Fernanda
607991	178119	Michelle, Leni's best friend 
607991	270622	Latin Singer
607991	278568	
607991	328533	Leninha
607991	349670	
607991	381144	Xuxa
607991	385025	
607991	390076	Beth
607991	396886	Marina
607991	396938	Andréa
607991	402623	Júlia
607991	404814	Analu
607991	410377	Maraísa
607992	10205	L'institutrice
607992	99205	Various characters
607992	133172	Elsa Kündig
607993	327766	
607994	36655	
607995	26293	Waitress
607996	111009	
607997	372089	Mrs. Fletcher
607998	96110	Magda
607998	328850	Suzy
607999	56545	Herself
608000	268310	
608001	317677	
608002	38248	Banquet Guest/Zombie
608002	209210	Victim
608003	144804	Pedestrian
608003	171297	Restaurant Patron
608004	218279	
608005	34249	Comments
608006	5017	Mrs. Culpepper
608006	7877	Mrs. Murchison
608006	17160	Mrs. Rittenhouse
608006	18615	Mrs. Wentworth
608006	22907	Mrs. Susan Dukesbury (Jeff's 
608006	24240	Noblewoman
608006	30922	Mrs. Allenwood
608006	37362	Martha Phelps
608006	44501	Mrs. E. V. Lawson
608006	66550	Mrs. Potter
608006	77814	Louise Harlan
608006	79736	Emily Upjohn
608006	85822	Mrs. Standish
608006	92959	Pantomime Teacher
608006	94557	Mrs. Gloria Teasdale
608006	101036	French Beauty
608006	112189	Sybilla Crum
608006	116963	Mrs. Franklin Evans
608006	128151	Woman Choked by Wheeler
608006	128245	Blanche Ledyard
608006	134308	Mrs. Fields
608006	136550	
608006	143658	
608006	144813	Martha Arlington
608006	149635	Mme. Traviata/Miss Rodholler
608006	175627	Mrs. Baxter
608006	190206	Mrs. Penner
608006	191833	Mrs. Hendrickson
608006	206821	
608006	230344	Mrs. Hemogloben
608006	231794	Mrs. Claypool
608006	243217	Mrs. Belknap
608006	273781	Woman in Audience Yelling 'Ge
608006	275668	Mrs. Hendricks
608006	277533	Ophelia
608006	295293	Mrs. Croxton-Lynch
608006	297091	Georgianna Fitzdingle
608006	302633	Flo Faulkner
608006	308540	Mrs. Whitney
608006	315341	Mrs. Whitelaw
608006	319193	Aunt Dolly/Aunt Arabella
608006	320249	Mrs. Starr
608006	323767	Aristocrat
608006	323883	(in restored version)
608006	329565	Appearance
608006	331367	Mrs. Hawthorne
608006	347336	
608006	348327	Mrs. Willoughby
608006	362107	Mrs. Foster
608006	366612	Mrs. Bell-Rivington
608006	367919	Mrs. Wagstaff
608006	372928	Mrs. Abernathy (landlady)
608006	375914	Persephone Updike
608006	398694	Mrs. Rhinelander (1952-1953)
608008	71802	
608008	195137	Femme bourgeoise
608009	19186	La standardiste
608010	183494	
608010	267294	
608011	8152	
608011	226901	Delmonico Clerk
608011	360650	Survivor AY
608012	85940	Dianne
608013	101179	
608014	314847	
608015	206635	
608016	305148	Lisa's Office
608017	80183	La petite fille
608018	43131	
608018	58696	
608018	222029	
608018	269830	
608019	396868	Virginie
608019	407068	Virginie
608020	33518	
608021	222167	
608022	13327	Prisutdeler TV-show
608023	33445	Kelly
608023	202880	Sally
608023	206691	Katie
608024	153808	
608024	217648	Tulipe
608024	319803	Lab jeune fille
608025	274734	Undetermined Role
608026	29790	La complice
608026	102931	Soeur Florentine
608027	259212	Inspecteur
608028	237122	Marianne
608029	268945	
608030	322648	
608031	246637	
608031	300519	
608031	310908	
608032	401319	Stéphanie Leroux
608033	238126	An
608034	336951	Pauline
608035	118237	Elizabeth Leary
608037	170409	Susan's daughter
608038	25164	Nadine
608038	51248	Sylvie
608038	133163	Cathy
608038	272613	
608038	278136	
608038	318515	La caissière
608038	332201	
608038	377484	L'animatrice de 'Radio-Routar
608039	328404	
608040	258335	Le bébé
608041	15412	Norma
608041	26012	
608041	123788	
608041	127724	
608041	169106	
608041	184650	
608041	243175	
608041	279268	
608041	392560	Virginia
608041	398494	Atty. Regalado's Doctor
608042	285608	Bar Girl
608043	165180	Marie
608043	187749	Julie
608043	412174	Hélène Morin
608044	18197	Neleta
608044	77834	Serafina perena (the mayor's 
608044	103252	Josephine "Jo" Elliott
608044	112095	Herself
608044	115637	Carlita
608044	128102	Dolores 'The Dove' Romero
608044	128187	Chita
608044	133707	The Dancing Girl
608044	144429	Inez del Campo
608044	146835	Elsa Memling
608044	154113	Rosita
608044	159273	Eve
608044	162406	Elsa Damond
608044	183026	Chatita
608044	186337	Chiquita
608044	188462	
608044	200478	Carmelita
608044	203332	Guninana
608044	205915	Teresa
608044	241571	Countess Louise Broussiloff
608044	246540	Nedda Salvatini
608044	247374	Cheema
608044	254543	Dolores
608044	272470	Stella
608044	274221	Kara Perava
608044	279188	Cheeta
608044	360068	Lydia (a dancer)
608044	360169	Pauline
608045	180264	Korean Village Young Woman
608046	18543	Emily Dickenson
608046	59536	Nurse
608046	139096	
608046	165518	Mom Van Winkle
608046	194666	Dr. Goldstein
608046	208065	Miss Keyes
608046	210732	Fay
608046	226920	Mrs. Hadley
608046	281457	Mrs. Ziegler
608046	283563	Sister Rebecca
608046	342826	
608046	342831	Janice Bradley
608046	346092	Mrs. Harper
608046	365759	
608046	380049	Betty Milford
608046	411176	History Teacher
608047	27207	Unity Member #7
608048	95738	
608049	231731	Typist
608050	361855	Herself
608051	259212	Amie Mme Lievre
608052	395224	Presenter
608053	132294	The Niece at 12
608054	124590	
608055	2169	Corinne
608056	9353	Dancer
608057	9353	Dancer
608058	363416	Herself
608059	846	Herself - #67: Faye Dunaway i
608059	2313	Herself - Presenter
608059	2613	Herself - Best Actress Winner
608059	3021	Herself - Past Winner
608059	3040	Herself - discussing Warren B
608059	7923	Maggie
608059	10104	Janet Boudreaux
608059	13087	Julia
608059	13913	Herself
608059	13915	Herself
608059	13923	Herself
608059	17923	Shin
608059	20253	Elaine Stalker
608059	20687	Gwen
608059	21166	Herself
608059	26877	Tina
608059	30056	Wanda Wilcox
608059	35535	Lil Hutton
608059	38358	Amanda Washington
608059	40678	Ms. K
608059	43725	Bonnie Parker
608059	50008	Mrs. Sonya Tuchman
608059	52687	Mae West
608059	56085	Madame D'Urfe
608059	58728	Lee Bowen Cayhall
608059	58799	Annie
608059	59149	Betty Miller
608059	62076	Evelyn Cross Mulwray
608059	67586	Laura Staton
608059	71736	Georgie Elgin
608059	87506	Sister Aimee Semple McPhearso
608059	88761	Katie Elder
608059	90117	Marilyn Mickler
608059	94167	Becky
608059	95271	Mrs. Dubrow
608059	100254	Condesa
608059	105465	Eva 'Evita' Duarte Peron
608059	106279	Jennifer Winslow
608059	106632	Laura Mars
608059	108275	Karen Billingsley
608059	111583	Herself
608059	114099	Barbara Delaney
608059	118343	Milady de Winter
608059	118731	Herself
608059	127279	Kathleen Dolan
608059	127351	Wilhemina Cooper
608059	138220	Serena Joy
608059	138654	Sandy
608059	147287	Kathleen Stanton
608059	153151	Lou McDowell
608059	158545	Mrs. Colbert
608059	160442	Host
608059	166711	Mary Ellen Cassi
608059	176379	Herself/Actress in Clip of Ch
608059	183959	Faye Milano
608059	185297	Sean Winston
608059	191626	Mrs. Louise Pendrake
608059	195632	God
608059	195835	
608059	201205	Jill
608059	211824	Yolande D'Aragon
608059	212996	Blue/Mother
608059	213114	Helen Barton
608059	217600	Joan Crawford
608059	230151	Diana Christensen
608059	239397	Lena Doyle
608059	243146	Herself
608059	243226	Rachel Argyle
608059	243950	Herself
608059	246422	Atty. Gen. Navarro
608059	249470	Countess Von Wallenstein
608059	252455	Ellen Morse
608059	268026	Lou Andreas Sand
608059	272520	
608059	273591	Mrs. Van Hopper
608059	283183	Mrs. Eve Denton
608059	283546	Meg Gable
608059	290990	Thais
608059	301792	Samantha Kimball
608059	303574	Herself
608059	313167	Leila
608059	319568	Selena
608059	319570	Herself/Selena
608059	327376	Charlene Towne
608059	330592	Jane Wilkinson/Carlotta Adams
608059	330998	Vicki Anderson
608059	330999	The Psychiatrist
608059	331341	Kathy Hale
608059	331526	Milady de Winter
608059	335112	Landlady/Agent
608059	337091	Susan Franklin
608059	342499	Phyllis Gold
608059	342938	Evelyn Mulwray
608059	348106	Herself
608059	357068	Denise Kreisler
608059	358277	Mrs. Hildegarde
608059	359471	
608059	364731	Lady Barbara Skelton
608059	367491	Wallis Warfield Simpson
608059	370648	Kitty Olchin
608059	371019	Aurora Beavis
608059	384175	Queen Isabella
608059	387490	Maud Charteris
608059	393060	Laura Scofield
608059	411176	Margaret Sanger
608060	264157	Mia's Friend Nyla
608061	257111	Laura Shuler
608062	217282	
608062	323323	
608063	42807	Girl #3
608063	70208	Davina
608063	79962	Reporter
608063	107692	Connie Eldridge
608063	333289	
608064	238140	Cashier 2
608065	190461	Knowles Kid
608066	10348	Specialty dancer
608066	26817	Mabel
608066	64161	Herself
608066	97669	Millicent
608066	114059	Maude Holbrook
608066	120010	Dotty
608066	126068	Patsy Day
608066	128889	Luisa
608066	177364	Marie
608066	183380	Showgirl
608066	190064	Polly
608066	195951	Betty
608066	241081	Judy Kapouris
608066	241444	Goldie (girl in band)
608066	255737	Ginger Jones
608066	265361	Entertainer
608066	273600	Receptionist
608066	291327	Herself
608066	302593	Della Dunn
608066	302639	Telephone Operator
608066	358643	Tiny Bronson
608067	13259	Lady Cleone Meredith
608067	46563	Ruth Featherstone
608067	114912	
608067	190573	Janet Holbrooke
608067	207285	Molly Marble
608067	274139	Frances Morris
608067	325107	Lady Greystoke
608067	362370	Alice George
608067	362664	Letty Carroll
608068	206499	Herself
608069	308457	Mary
608070	5058	
608070	6207	Mrs. Marston
608070	11613	Mrs. Donald Thompson
608070	13299	
608070	13534	
608070	18573	The Other Woman
608070	31132	Mrs. Wells
608070	32072	Mrs. Leland Bruckman
608070	33090	Mrs. Armour
608070	35792	Lady Ada Fitzgerald
608070	35828	
608070	37962	
608070	39835	
608070	40775	Mrs. Benton
608070	47487	
608070	52477	Aunt Mary
608070	59150	Mrs. Evans Sr
608070	60170	Duenna
608070	64876	Mrs. Smith-Parvis
608070	68463	Mrs. Fulertoon
608070	68818	Aunt Catherine
608070	69802	
608070	70806	Mrs. Carter
608070	71672	
608070	73839	
608070	75846	Mary Higgins
608070	80998	Mrs. Allen
608070	92157	
608070	100832	
608070	105138	
608070	106889	
608070	112438	Mrs. Rumford
608070	112616	Mrs. Warren
608070	113552	Aunt Agatha
608070	113966	Mrs. Traverse, Her Mother
608070	117445	
608070	122003	Lady Foulkes-Brent
608070	125869	Dolly;s Mother
608070	130053	Mrs. Heatherly
608070	133321	Aunt Yvonne
608070	133717	Lady Crombie
608070	133797	
608070	143122	Letitia Varden
608070	143458	Mrs. Hargrave
608070	143836	
608070	146009	
608070	146076	Bit Part
608070	146240	Mrs. Holcombe
608070	146938	Mrs. Randolph
608070	147633	Cameo appearance
608070	148545	Mrs. Ware
608070	151144	Mrs. Drake
608070	157229	Aunt Agatha
608070	158179	Mrs. Ryerson
608070	160451	Mrs. Crandall
608070	162359	
608070	165452	Mrs. Arliss
608070	167677	
608070	169228	Mrs. Rose
608070	183841	Gossipy duchess
608070	186281	Aunt Lucy
608070	191736	Mrs. Beverley
608070	192312	The Aunt
608070	193848	
608070	195851	
608070	200310	Widow Norton
608070	200870	Mrs. Wellington Shackleford
608070	202894	Mrs. Conscience, John's Mothe
608070	203280	Mrs. Deane
608070	203442	Aunt Hattie
608070	203680	Mrs. Graves
608070	209663	Mrs. Gordon McCullan
608070	210892	Mrs. Channing
608070	214073	Fanchette
608070	217431	Mrs. Barry
608070	219196	Mrs. Morton Wells
608070	230706	Mrs. Warren
608070	241861	Mrs. Horace P. Curtis
608070	245146	Grey's Mother
608070	252215	Mrs. Danville
608070	252248	Mrs. Allison
608070	258246	Mrs. Ewell
608070	262037	Mrs. Waters
608070	263499	Lady Marion
608070	264081	Mrs. Ogilvie
608070	266138	
608070	267377	Mrs. Oliver
608070	273264	Miss Armistead
608070	273819	
608070	281159	Lady Capulet
608070	281874	Mrs. John Talbot
608070	285020	Constance Peel
608070	292196	Lady Sarah Harburgh
608070	297203	Aunt Louisa
608070	298041	Madame De Goncourt
608070	300558	Mrs. Vanderpoel
608070	301061	Frederika's Mother
608070	301757	Starr's mother
608070	312322	Dowager Countess
608070	315966	Mrs. Van Wye
608070	319120	Farm Wife
608070	319776	
608070	321289	
608070	324811	
608070	330622	Mrs. March
608070	330629	Mrs. Floyd
608070	330914	Mrs. Sturdevant
608070	331578	
608070	331676	Lady Henrietta Verdayne
608070	335011	Mrs. Hammond
608070	343007	The Modiste
608070	347360	
608070	351916	Mrs. Blint
608070	355093	
608070	355208	The Widow
608070	356263	Mother
608070	358693	Mrs. Barclay
608070	359480	
608070	360759	
608070	363219	Mrs. Mahoney
608070	363588	
608070	366315	Mrs. Templeton
608070	367257	
608070	367476	Mrs. Tranter
608070	368106	Mrs. Vandeveer
608070	368577	Mrs. Burroughs
608070	372220	Mrs. William Vaughn
608070	372645	Old Mrs. Winthrop
608071	277618	
608071	384039	Various Roles
608071	394169	Various roles
608072	383078	Karen (1994-2000)
608073	380430	
608074	310166	Speck lieutenant
608075	134117	
608076	344670	
608077	35725	Guest at Chase's residence
608078	125160	
608078	160911	Julie
608078	167820	ADR Voice Cast
608078	176829	Paula
608078	300044	Additional Voices
608078	331541	
608079	310166	Sally Grant
608080	144406	
608081	12739	
608081	114180	Ms. Radabaugh, Justice Snow's
608081	128727	Sister Kathleen
608081	141154	Mrs. Gordon
608081	161972	
608081	185270	
608081	233545	Mrs. Hadley
608081	359192	Woman at Literary Tea
608081	364131	Mrs. Barkley
608081	381948	Bertha Bottomly
608081	398242	Ann Burton
608081	398740	Mrs. Pfeiffer (1961-1963)
608081	404282	Mrs. Cobb
608082	350186	Hooker #2
608083	310166	New Speck helmsman
608084	127269	Mrs. Page
608085	231126	Dr. Michaela
608086	12114	Beauty Parlour Customer
608087	16677	Concierge
608088	315311	
608089	143651	Dancer
608090	342843	Themselves
608090	356271	Themselves
608091	222856	
608092	221325	Hilary Stevens age 15
608093	58777	Amy
608093	148205	Flight Attendant
608094	86524	La tía de Blanca
608095	26606	Girl
608095	31893	
608095	117485	Norval's girlfriend
608095	131594	Jitterbug
608095	178976	Teenager in courtroom
608096	39341	Maid
608096	86957	Dora (maid)
608096	289585	Catherine's lady-in-waiting
608097	13828	Jennie Reeves
608097	33054	Herself/#1 Town woman
608097	42791	Nurse #1
608097	54726	Officer Kagan
608097	90381	Aide
608097	99469	Lily
608097	101638	Harriet
608097	106378	ER nurse
608097	154302	Clinic nurse
608097	189283	Amanda
608097	200999	Operator #2
608097	218775	
608097	220023	Female Judge
608097	223066	Town Woman #1
608097	245112	Singer #2
608097	273794	Staffer #1
608097	291252	Sheriff
608097	331309	
608097	394246	O.R. Nurse
608098	26775	Beth Saxel
608098	77290	Henrietta Allen Dupont
608098	109432	
608098	112422	Jean Mullins
608098	118916	Bridesmaid
608098	123132	Alecia
608098	210897	Gloria Chalmers
608098	210914	
608098	213821	Wynne Drexel
608098	232344	Cigarette Girl
608098	326400	Miss Jones
608098	347319	Judith Rodie
608099	53747	Classroom student
608099	65118	Uka
608099	109877	Jesse McClain
608100	69458	The 'Unconfident'
608100	150239	Nun
608100	229542	Mrs. MacKay
608100	304763	Hotel maid
608101	160555	
608102	253920	Sleeping Children
608103	181534	Little Girl with Question
608104	350	Jill Brennan
608104	11937	Poppy
608104	31285	
608104	42716	Cassie Fairchild
608104	44076	Rita
608104	71658	President Elinor Shaw
608104	90335	Judith Beech
608104	139461	Sandra Rast
608104	156030	Mrs. Renton
608104	161416	Elodie
608104	191369	Vera McCallum
608104	201508	Herself
608104	202659	
608104	236082	Astrid Bonner
608104	257465	Margaret Davis
608104	283336	Eve
608104	303974	
608104	315026	
608104	316100	Kate
608104	319674	
608104	336653	Millicent
608104	341892	Jennifer
608104	380391	Iris Cory Carrington Delaney 
608104	383813	
608104	392090	
608104	399816	Helen Sheridan Sellars (1973)
608104	405616	Elaine MacFarlane
608104	406204	
608104	411760	Myra Neilson
608105	334227	Aunt Ruth
608106	299287	Young Marjorie Majors
608107	163638	
608108	196779	Rumanian diva
608109	11421	Donna's Pal
608110	208391	
608111	169136	Child Chorus
608113	65549	Iras
608113	131458	Ethel Deane
608114	41888	Linda
608114	81081	
608115	330794	'Jamboree Bop' Dancer
608116	186156	Crazy Woman
608117	163331	Thelma Bridgewater
608118	19024	Texas Choir Member
608119	251809	Virginia Thorne
608120	77463	
608120	334307	Miss Phillips
608120	396073	Pheley McKechnie
608121	329560	
608121	385634	Herself (segment "The Individ
608122	129435	
608122	190690	Student
608123	60303	
608124	51603	Jolyn
608124	92215	Bobbie Dunmore
608125	33970	Jen
608126	12359	Susan Lawrence
608126	20087	Jane
608126	49358	Laura Craig
608126	72265	Dorrie Bishop
608126	83930	Ann Howard
608126	121372	Ann
608126	140144	Helen Weston
608126	170850	
608126	245744	Susan Clark
608126	288019	
608126	329101	Carol Price
608126	329134	Jane Bennett
608126	329144	Judy Wilson
608126	331617	One of the brides
608126	369368	Terry Carson
608126	372907	Peggy Baker
608127	155231	
608128	223402	Gladys
608129	405209	Mrs. Clark (1999)
608130	174918	Cindi
608130	368707	Jensie
608131	257731	Kelsey
608132	133792	Cheerleader
608133	218853	Dancer (segment "Badder")
608133	362655	Kimberly Donaldson
608133	394406	Dancer (1988-1989)
608134	57747	Inmate
608135	362073	Lil
608136	7987	May Brogan
608136	20045	Rose
608136	42791	Dr. Agatha Webb
608136	59798	Herself
608136	64813	Sydney Pappas
608136	87464	Alison
608136	122029	Scrubba
608136	134751	Christine Butcher
608136	137886	Beryl
608136	155596	Lady Markby
608136	188634	School Child
608136	194378	Sally
608136	204300	Lily Sachor
608136	204730	Mrs. Price/Lady Bertram
608136	213322	Hippolyta/Titania
608136	240447	Helen Hale
608136	252983	Alice
608136	263544	Anthea Lahr
608136	269343	Audrey Pretty
608136	271315	Karen Miller
608136	273943	Anna Bouverie
608136	274456	Kath Peachey
608136	274663	Dolphin Blue
608136	299765	Marilyn Truman
608136	313474	TC-14
608136	346173	Katherine
608136	353490	
608136	366992	Narrator
608136	385891	Dana
608136	389625	Barbara Douglas, aka 'Babah' 
608136	389981	Louise
608136	391666	Lady Bellaston
608136	392008	Narrator (2000)
608136	393268	Monica
608136	394561	Pamela Scott
608136	400110	Elizabeth Leeford
608136	403680	Servilia
608136	406643	Medea
608136	408704	Helen Rosshalde
608136	411671	Annie Mayle
608137	188634	School Child
608139	43738	Effie
608139	241035	Mrs. Eagle
608139	293760	Mrs. Stoach
608140	133351	Female Lead
608141	143824	Teen in Hospital
608142	114841	
608143	151461	Agatzi Girl
608143	292248	Rascal
608144	2420	The lady
608144	8166	Nina Donnet
608144	44937	Mona
608144	64805	Kate
608144	114588	Muriel Preston
608144	177984	Zeleekha
608144	210728	Helen
608144	219383	Rita Vernon
608144	254500	Dorothy Mears
608144	279190	Rosalee
608144	280971	Carlotta
608144	307006	Lorna Estabrook
608144	313959	Nora Dean
608144	330602	June Raskob
608144	331950	Viola
608144	352711	Priscilla Travers
608146	130348	Blind Man's Wife
608147	159770	Gwen
608147	165966	Reporter at party
608148	297880	Christmas Party Guest
608149	93671	Kate
608149	256220	Town Hall Secretary
608150	170314	Melody Holiday
608151	248480	Belly
608152	360066	
608153	191999	
608153	305069	Otis' Mother
608154	59685	Serita
608155	90860	Niki
608156	23451	Martha Hunter
608156	69460	Braddock's Nurse
608156	75603	Herself
608156	90313	
608156	92867	Anne Taylor
608156	128884	Cigarette girl
608156	135790	Maria Salvador
608156	170401	Peggy Davis
608156	186400	Nora Clayton
608156	200446	Shima
608156	224000	Velda, Hammer's secretary
608156	276644	
608156	288079	Zenobia
608156	295346	Senorita
608156	318673	Pearl
608156	342889	Connie
608156	345944	Diana Love/Helene
608156	363740	Cora
608156	403604	Shima
608157	366657	Mrs. Hartley
608157	382384	Sister Peter
608157	385299	Dr. Aspinall
608157	386604	Mrs. Groom
608157	387518	Sister Doughty
608157	388887	Edith (1973)
608158	5329	Jennifer Haywood
608158	34722	Herself
608158	122198	Miss Bernsteen
608158	166738	Gaynor
608158	208085	Barbara Dean
608158	316027	
608158	382704	Karen Fairbarn
608158	384962	Det. Danni Francis
608158	391869	Bridget Jackson (1990)
608158	399816	Carol Finlayson (1974-1975)
608158	400806	Joan Hayden (1994)
608158	402197	Lorelei 'Lori' Wilkinson (198
608158	403355	Janet Bryant
608158	411809	Nurse Lisa Brooks (1977)
608159	14491	Jessica Martin
608159	35164	Shelley
608159	72769	Bea Van Arsdale
608159	157541	Paulette Rowan
608159	185662	Clare Cable
608159	212732	Leslie Landon (age 12)
608159	241791	Marianne
608159	252455	Billie Morse
608159	283305	Little Girl at Scream
608159	305458	Judy
608159	362453	Alex's Friend
608159	379828	Mary Sue Torkelson
608159	408584	Mary Sue Torkelson
608160	13555	
608160	59511	La directrice des bains-douch
608160	111867	Delphine
608160	248263	Une commère (segment "Le para
608160	248420	
608160	286515	La gardienne
608160	340304	
608160	345400	Shirley
608161	161943	Alice Jamison
608161	317415	Kitty
608161	340843	Sue
608162	147848	Herself
608162	163445	Casey Hogan
608162	319999	Rosie and 'Topsy'
608162	335972	Topsy
608162	342843	The Duncan Sisters
608162	350906	Herself
608163	299964	
608164	6	Katie Dooley
608164	2313	Herself - Performer
608164	5863	Meg Madison
608164	13682	
608164	26591	
608164	34783	Herself
608164	56720	Dr. Elizabeth 'Liz' Bartlett
608164	63031	Tour Guide
608164	114043	Herself
608164	118505	Vixey
608164	122626	The Queen
608164	147839	Herself
608164	157464	Herself
608164	168129	Herself
608164	189264	
608164	214976	Lorrie Helm
608164	223027	
608164	223751	Chris Henry
608164	230316	Natasha
608164	232017	Herself
608164	256345	Pinocchio
608164	279681	Herself
608164	280125	Peepers
608164	287289	Herself
608164	287293	Hostess
608164	313376	Amy Cooper
608164	320800	Queen Uberta
608164	368460	Herself
608164	389530	Sandy Stockton
608164	391740	Sandy Hogan
608164	391827	Herself (semi-regular, 1975)
608164	398717	Firefly
608164	403728	Missy Anne Reynolds
608164	404264	Sandy Stockton
608164	404613	Helen (1964)
608164	409791	Sandy Hogan (1987-1991)
608165	326854	Rival Group
608166	77805	Chorus girl
608167	213159	Card Club Woman #1
608168	147848	Herself
608168	163445	Babe Hogan
608168	319999	Vivian and 'Eva'
608168	335972	Eva
608168	342843	Herself (as The Duncan Sister
608168	350906	Herself
608169	362073	Girl at Dance
608170	59105	Tiffany
608170	124017	Angie
608170	262348	Molly
608171	6061	Herself
608171	214260	Herself
608172	27247	Crystal Gordon
608172	195766	Mary Carter
608172	381080	Evelyn
608172	381081	Evelyn
608172	381121	Crystal Gordon (Series 1-4) (
608173	403312	Various Characters (Series 2)
608173	409910	Various
608174	294987	
608175	193358	Mrs. Hensen
608176	193358	Lilah
608177	18525	
608177	18530	
608177	334535	
608177	376289	
608178	240615	Mrs. White
608178	312310	Miss Ramsbottom
608179	168701	Accounting Secretary
608180	15892	Anastasia
608180	34055	Cassie Beniker
608180	59151	Mina Dunne
608180	114298	Chris Paradis
608180	150606	Lilly Berry
608180	158421	Katie
608180	187172	Jennifer Logan
608180	191862	Little Gloria
608180	194564	Nurse Nancy Jo
608180	201724	Herself
608180	221324	Margaret Soffel
608180	270697	Deirdre
608180	321452	Nicola Jenrette
608180	331621	Anne Putnam Jr.
608180	381655	Catherine Ray
608183	184642	
608184	4334	Tilda
608185	20889	Martha
608185	45405	Mrs. Bosnic
608185	52976	
608185	131080	
608185	164054	
608185	166393	
608185	172510	
608185	180666	
608185	265951	
608185	312626	
608185	320695	Zaga ... tetka
608185	375126	
608185	386407	Marija, sluzbenica
608185	395834	
608185	402117	
608185	402765	Zlota, Svetozareva zena
608185	411900	Profesor matematike
608186	183323	Woman with Dog
608187	120287	(segment Dr. Dobermind)
608188	63991	Bigl (Brigita)
608189	184899	Herself
608190	69973	La Muse
608192	102146	Daniella Alighieri
608193	202540	Nana
608194	199318	Woman at accident
608195	117874	Elderly Southern Woman on Par
608195	194564	Murphy Family
608196	339707	Miriam
608197	183033	Søster til Ole
608198	353	Amanda
608198	35145	
608198	65050	
608198	135605	Kathy Panzer
608198	151595	
608198	195262	Coach Davis
608198	277140	Ellen
608198	302468	Debbie Johnson
608198	304644	B
608198	309546	ER Nurse
608198	344331	Helen Jackson
608198	382359	Shayla
608198	390355	Missy Van Johnson
608198	392226	Off. Kirby McIntire
608198	404679	
608198	405892	Stephanie Farrell
608199	368944	Pancake House Diner
608200	197177	
608201	41493	Stella
608202	360945	Deutscher Grenzer
608203	385299	Sarah-Jane Harvey
608204	194497	Mrs. Bracegirdle (extended ed
608204	197067	Italian Grape Crusher
608204	271253	
608204	319557	Base Despatcher
608205	81776	Sheila Bradley
608205	97644	Ms. Seaver
608205	291226	Jill
608205	304293	Sheila
608205	318823	Susannah Rexford
608205	379661	Francine 'Francie' Calfo/Alli
608205	394495	Kelly Palmer
608205	396599	Kitty Kenarban (2000-2003)
608205	400917	Wanda (1996)
608205	406914	Susannah Rexford
608206	113480	Diesel
608207	230126	Church Spectator
608208	184523	Midge
608209	57929	Audition Teacher
608209	71154	Lead Pirate Woman
608210	78144	Polly
608210	113467	Lady Sykes
608210	273797	
608211	40849	Elvira Condomine
608211	46397	Cherry Winlatter
608211	78008	Freda
608211	85921	Raine, Countess de Chambrun
608211	100812	Mrs. Thurloe
608211	133953	Mary Magdalene
608211	150780	Lady Catherine d'Auferre
608211	151139	Alice Hillyer (segment "Metho
608211	161463	Anna Bowen
608211	261429	Penny Burns
608211	289396	Lady Bronwen Astor
608211	396052	Lettie Cairns
608211	398186	Kate Cane
608211	400591	Sylvia Harper
608211	404249	Sister Benedict
608211	407983	Petty Officer Joan Bottomley
608211	409819	Arlette van der Valk (1977)
608212	191390	Donna Matrix
608213	44829	
608213	55455	
608213	56113	Odette
608213	119524	Herself
608213	134822	Dancer
608213	175526	Herself (Honoree)
608213	175531	Herself
608213	202724	Dance teacher
608213	225704	
608213	313377	Herself in Smart as a Tack Nu
608213	315595	Herself
608214	15224	Herself
608215	408234	
608216	123107	Lamidia McKenzie
608216	123108	Additional Voices
608216	123112	Additional Voices
608216	130556	Kyoko
608216	200793	Freni, Luna
608216	386537	Chiyo Momonari
608217	79747	Deborah
608218	267526	Music
608219	11563	Dora Dalton
608219	32671	Dora Greyling
608219	183529	
608219	186052	Zizi
608219	195727	Nancy Johnson
608219	195857	Joan
608219	200413	Beattie Tomlinson
608219	232195	Diana Marbolt
608219	249454	
608219	298217	Esther
608219	302838	Lily Haden
608219	327520	Alice Hope
608219	344174	Sally Lee
608219	366317	Elsie Whitworth
608220	372331	Lucy
608221	171063	Denisha
608221	171394	
608221	172688	Nona
608221	192686	Monet
608221	205268	Woman in Audience
608221	230126	Dr. Braddock
608221	230682	Jackie's Homegirls
608221	272911	Tracy
608222	109173	Betty (store clerk)
608223	73913	Jewish Woman
608223	126504	Edna
608223	158916	Mrs. Bernhardt
608223	183797	Marquise de Boulainvilliers
608223	207268	
608223	216169	Mistress Blimper
608223	245056	Rose
608223	257511	Rene
608223	308105	Elsie
608223	367385	Mrs Drax
608223	385020	Sylvia Mathews (1976)
608223	395194	Muriel Bartley
608224	216803	Receptionist
608225	187478	
608226	391872	Hannah Moore
608227	391872	Helen Moore
608228	104924	Paige
608228	172545	Kali Jhee
608228	172613	
608228	191092	
608228	270558	Radha
608228	297443	
608229	149138	Amanda Flores
608230	354759	
608231	347793	
608233	1830	The Vision
608233	188486	New girl Suzy
608234	12600	Marie Borchert
608234	12703	Sophie
608234	21408	Erika Adler
608234	34291	Kohles Mutter
608234	34362	Uschis Mutter
608234	34568	
608234	51123	Hansels Mutter
608234	76480	
608234	124996	
608234	129322	
608234	138276	Mrs. Blume
608234	147170	
608234	178784	Mutter Weber
608234	194438	Frau Schlosser
608234	198170	
608234	223468	Klara Baumann
608234	225184	
608234	290200	Marthe
608234	290463	
608234	302046	
608234	340443	Milda Schreiner
608234	352262	Frau Brödel
608234	352378	
608234	393408	Hete Häberle
608235	315534	
608236	10936	Lt. Dunya/Various
608236	190230	Mo
608236	236154	Waitress
608237	86472	Veronica
608237	333205	Secretary
608238	160971	Girl
608239	19062	Deanne
608239	372759	Herself
608239	411830	Herself (1981-1985)
608240	363877	Scarf girl in nightclub show
608241	59729	JoEllen Roberts
608242	115062	Queen of Frigia
608243	405607	Newsreader (2003-)
608244	401930	Waitress (2002-2003)
608245	189997	Purse Snatchee
608246	236657	
608248	360436	Crying Woman
608249	215905	Mrs. Cowens
608250	267101	
608250	367860	
608250	382397	Herself
608251	275374	Brigitte
608252	165252	Girl With Telescope
608253	372847	
608254	372847	
608255	122214	Street Mutant
608256	29672	Taramis
608256	117452	Tracy Baxter
608256	141409	Kim
608256	186145	Laura
608256	189238	Teaser
608256	232213	Maxine
608257	142949	Dog walker
608258	899	Hancock
608258	86982	Bar Patron
608259	267174	Audience Participants and Hec
608260	362819	
608261	138840	B.J's Date
608261	215507	Miss Iowa
608261	230663	Popular Girl
608261	369905	Sarah
608262	57001	Lucy
608263	258197	
608263	262031	
608263	328755	Old Mother Moll
608264	295255	Counselor Doyawanna Tryhard, 
608265	14989	Leah
608265	41447	Rembrandt
608265	53950	Roberta
608265	65754	Vice Principal
608265	117188	Supervisor Maryann
608265	154040	Grace
608265	214463	Elsa
608265	231511	Centerpiece Poacher
608265	237604	Therapist
608265	250713	Speech Therapist
608265	258083	Elaine
608265	293028	Annette
608265	302317	ER Nurse
608265	353416	Nina Blygelder
608266	133373	Mrs. Maguire
608267	185365	Villager
608268	40537	
608268	117008	
608269	55202	Frasquita, a gypsy, friend of
608270	104925	Telemarketer
608271	97101	Martha
608271	108374	
608271	146810	Bonnie Esteridge
608271	158911	
608271	208525	Helvetica Bold
608272	9255	Jean Crowley
608272	80767	Nicole
608272	87878	Sarah
608272	99081	Nora
608272	115805	Joanne
608272	140165	
608272	144416	
608272	192102	Petra
608272	218354	Luna (the Humghoul)
608272	224381	Connie Tilley
608272	267484	Mo Healy
608272	274310	Jan
608272	277634	Ellie Freeman
608272	292031	Pattie
608272	328751	Girl in benbouse
608272	328754	Joan Durbeyfield
608272	330592	Alice Bennett
608272	360091	Evelyn Daly
608272	380259	Ruth Fullman (1975-1976)
608272	383393	Sarah
608272	397176	Zoe Callender (1990-1993)
608272	398743	
608272	400529	Lizzie Hexam
608272	401143	Clarissa
608272	401382	Eliza
608272	405714	Sarah Morton
608272	406043	Lydia Holly
608272	410978	Anna Kirkwall
608272	411337	Lucky Whiteside
608273	54628	Rowenna As A Child
608273	80911	Little Girl
608273	165449	Mary Ingram
608273	280215	Flora
608273	292593	Little girl
608273	312768	Little Cosette
608273	366507	Girl
608274	249341	Kate
608275	65453	Jane
608275	276599	Sally Benson
608276	23957	
608277	245950	
608277	292593	Girl #2 in art room
608278	5449	Mrs. Black
608278	241356	
608278	244363	Rita
608279	311872	Liz
608280	309927	Handicapped Woman #1
608281	264157	Folk Dancer
608282	37927	
608283	367054	Aunt Em's Party
608285	252096	Michelle
608286	105804	Marie
608287	113384	Newscaster
608288	158784	Additional Appearance
608289	3350	
608289	24959	
608289	81761	
608289	102424	
608289	128868	
608289	150237	
608289	184249	
608289	188495	
608289	195668	
608289	209750	
608289	243096	
608289	274124	
608290	249557	Parimedic
608291	72515	Farmer's Wife
608291	87699	Secretary
608291	106530	
608291	134595	Judge Barlow
608291	134664	Commisioner #1
608291	137572	Monica Harris
608291	185503	Ethel
608291	197890	
608291	206360	
608291	299028	Beryl Ascott
608291	342871	Catherine's mum
608291	381608	Mary Campbell
608291	385016	
608291	388978	Claire Bryant (1989-91)
608291	399130	Tina Bentley (1987)
608291	408879	Sister Margaret
608292	26146	Billy Harper
608293	273514	Ideal Victim
608294	254523	Mini-Bopper
608295	50510	
608295	57128	
608296	133409	Restaurant Owner
608296	251249	Mama Dann
608297	222784	Old Lady #1
608298	10688	Mary
608298	38406	Sally
608298	46363	Debbie
608298	73501	Sylvie Gerard
608298	97350	Judy Connors
608298	108140	Sharon Baker
608298	140960	Yonge's secretary
608298	146855	Jill Breyer
608298	152910	Anika Flodin
608298	182993	Gillis
608298	260110	Mary
608298	263276	Kitt
608298	294519	Girl at Pool
608298	296019	Tiffany Sheldon
608298	316644	Nancy Watson
608298	329342	Sally Goodnight
608298	330270	Lisa Hacker
608298	381812	Mary Poole
608298	407148	Sylvie Girard (1991-1993)
608299	196445	Peggy
608300	69504	Dawn
608301	4946	Times Reporter 1
608301	17132	Sor Eduviges
608301	84521	Doctor #2
608302	277082	Kathleen
608303	90908	Mrs. Glafsky
608303	200860	Mrs. Schultz
608303	222634	Sally Lancaster
608304	276202	Nurse Stepford
608305	84007	Pridges (Hunt's secretary)
608306	69897	Girl in Yellow Dress
608306	105280	Harry Winston Dancer
608306	314445	Marianne Stevens
608307	3107	Buckle Bunny
608307	40301	Party Guest
608307	139135	Bachelorette Party Guest
608307	222742	
608307	229215	Bessie
608307	247415	January Smith
608307	258917	Crystal
608307	347059	Peaches
608308	19436	Isadora
608309	176989	Stewardess
608310	162364	Woman on Street
608311	223912	Vocalist with Band
608312	348458	Cecily Lawton
608313	90316	Michael's Mother
608314	331100	Dancer
608315	321475	
608316	104879	Ione Nuneham
608316	270937	Una Fitzmorris
608317	41098	Mrs. Emily Dickerson
608317	56749	Miss Plunkett
608317	91779	Gladys
608317	228588	Aunt Henrietta Hardwick
608318	17961	Sheila's mother
608318	19971	Ma Henderson
608318	26144	Mrs. Williams
608318	27187	Emma
608318	27351	Mrs. Madison
608318	36873	Bit Part
608318	40540	Mrs. Roberts
608318	46836	Doña Mercedes
608318	47520	Frau Muller
608318	52661	Mrs. Martha Kildare
608318	64539	Molly
608318	66826	Mrs. Sarah Cohen
608318	68821	Mrs. Squires
608318	72227	Ma Hawkins
608318	72255	Ma Hardy
608318	73772	Mme. Marchand
608318	74107	Alan's Mother
608318	77685	Mrs. Simpson
608318	78840	Mrs. Mayhew
608318	92523	Mrs. Martha Kildare
608318	92525	Mrs. Martha Kildare
608318	92527	Mrs. Martha Kildare
608318	92558	Mrs. Monahan, a Nurse
608318	94967	Mrs. West
608318	96608	Mrs. Ross
608318	99455	Mrs. Kane
608318	100085	Anna, Olga's Housekeeper
608318	115622	
608318	126067	Aunt Jane
608318	132893	Sob Sister
608318	133561	Mrs. Jaeckel
608318	135580	
608318	137461	Granny Gladden
608318	139191	Mrs. Hawks (landlady)
608318	139780	Granny Moreland
608318	142460	Emma Clark
608318	143838	Emmy 'Moms' Dunn
608318	144673	Emma Peterson
608318	144896	Mrs. O'Neill
608318	149261	Maggie
608318	149382	Molly Baker
608318	149635	Mrs. Smith
608318	154476	Wife of Justice of the Peace
608318	163297	Mrs. Keaver
608318	163544	Mrs. Wilton
608318	163654	'Moms' McClenahan
608318	175179	Margaret Campbell
608318	183359	Mrs. Phelan
608318	183374	Sister Theresa
608318	188707	Mrs. Darrow, Jerry's Mother
608318	190264	Margaret
608318	191627	Orphanage Matron
608318	192141	Mrs. Welty
608318	192951	Doña Teresa
608318	194462	Mrs. Briggs
608318	199205	Agnes
608318	199403	Rose, Fleuriot's Houskeeper
608318	203307	Mrs. Russell
608318	204744	Miss Bennett
608318	214594	Mom Smith
608318	218349	Aunt Della
608318	218938	Mrs. Huston
608318	219899	Mrs. Wetherell
608318	220406	Mrs. Borden
608318	220779	Martha
608318	220892	Mrs. Meredith, housekeeper
608318	223783	Mary Ballinger
608318	232274	Ma Acuff
608318	235162	
608318	239671	Angie Rose
608318	241278	Ma Mathews
608318	252127	'Ma' McCormick
608318	255452	Mother Malone
608318	255737	Mrs. Van Dyke
608318	261560	Martha Carter
608318	263541	Allotment Mother
608318	264715	Mrs. Jones
608318	265264	Mrs. Farraday
608318	269990	Cordelia Tilford
608318	278779	Mrs. Murray
608318	289685	Mirandy Baines
608318	289686	Mirandy Baines
608318	289687	Mirandy Baines
608318	292260	Mrs. Brown
608318	292511	Mrs. Martha Kildare
608318	295339	Mrs. Quimby
608318	300908	Mrs. O'Farrell
608318	308353	Amelia (the nursemaid)
608318	323968	Mrs. Shelley
608318	329041	Señora Ibarra
608318	329341	Mrs. Platt
608318	330808	Mrs. Davis
608318	330851	Mrs. Margaret Blake
608318	331469	Mrs. Briggs
608318	335729	Mrs. Bumpstead
608318	345989	Mrs. Evans
608318	350704	Mrs. 'Ma' Smith
608318	358255	Tony's mother
608318	358775	(replaced by Margaret Seddon)
608318	361927	Mrs. Sally Chilcote
608318	362666	Charity Lady
608318	362877	Ma (Norah) Flanagan
608318	363248	Mrs. Hamilton
608318	367535	Mrs. Vesey
608318	371380	Winnie
608318	372126	Mother Fields
608318	372531	Mrs. Martha Kildare
608319	96799	Judy
608319	384346	Mrs. Collins
608319	384968	Marion Pike
608319	401384	Joyce (2002)
608320	81990	Hist
608321	123986	Herself
608322	396699	Waitress
608323	41225	Secretary
608324	331226	Woman at Hospital
608325	132845	Herself
608326	382917	Jo Carr (1974)
608326	405209	Rona Munroe (1999)
608327	13963	Old Woman
608327	233967	Lady with Dog
608327	299663	Mourner
608328	378721	Host
608329	26144	Solist in Main Title Song
608330	160580	Polly Yarkin
608331	139273	Barmaid
608332	147410	Jonathan Andrews III #2
608333	9050	Dolores
608333	11165	Shirley Page
608333	35396	Goldie
608333	36973	Jackie DeVoe
608333	37402	Gloria
608333	38649	Mrs. Bromley
608333	39668	Katherine Bradbroke
608333	62010	Joan
608333	105615	Elsa McCoy
608333	109334	Loris Lane
608333	109489	Swimmer
608333	112499	Jeanette Larkin
608333	113947	Dora Dumston
608333	117359	Harriet
608333	126586	Simon deVillenueve
608333	163648	Society bather
608333	196216	Honey McNeil
608333	199747	Marion
608333	203747	Peggy
608333	210402	Dolores Dupree
608333	214113	Mary Norfleet
608333	219774	Joan Porter
608333	220864	Herself
608333	222577	Doris Farrington
608333	241424	Mademoiselle Martel
608333	244882	Ginger
608333	257882	Anne Cabot Ford
608333	274150	Claire
608333	285350	Maxine
608333	292190	Mary Huntley
608333	293979	
608333	298068	Wanda Fowler
608333	302384	Ethelyn
608333	302713	Molly Winton
608333	309275	
608333	321441	Helen Tracey
608333	342946	Clarissa Smith
608333	346604	
608333	360358	Helen Bradleigh
608333	366823	Girlfriend
608334	147410	Jonathan Andrews III #1
608335	272956	Callie Holt
608336	14314	Elsie Butler
608336	34126	Ginger
608336	77715	Smoking girl
608336	245284	
608336	294187	C.E.O.
608337	177668	Elizabeth I
608338	272440	Market Square Extra
608339	66943	News Director
608339	114339	Jillian Blair
608339	169679	Wendy Trout
608339	191760	Ted-Nick Secretary
608339	267107	Helen
608339	333856	Woman in water
608339	347180	Doris
608340	254522	Ballet Girl/Flamenco Dancer
608341	1034	Candace Hull
608341	277908	
608341	385824	Julie Olson #2 (1967)
608341	400533	Pat
608342	66006	Freny, His Daughter
608343	148378	Jenny
608344	68305	
608344	272031	Terry
608344	316926	Model
608345	272724	Interview Subject
608346	148906	Trina, Wayne's Secretary
608347	244034	The Science Fair Contestants 
608348	56098	X-ray nurse
608348	69431	Nurse
608348	84901	Bit Part
608348	109862	Secretary
608348	155003	Marge Randall, Blake's Secret
608348	183721	Maid
608348	218734	Woman
608348	263601	Clinic Nurse
608348	295470	Mother
608349	191399	Jessie
608349	288688	Betty
608349	359273	Hazel
608349	384783	Iris Alcott
608349	405703	Meg
608350	243744	Moira (Woman Collecting)
608351	91945	Estella
608352	212744	The Michael Nyman Band
608353	157206	
608353	277974	
608354	17184	Maria Harris
608355	214755	Adulation #5
608355	276821	Punk Girl
608356	235615	Jeu de Prume Dancer
608357	28267	
608358	176511	Herself
608359	82545	Tina Clifton
608360	99016	Chrysothemis
608362	308382	Raider
608363	74304	Wet T-Shirt Contestant
608363	380654	Rape Victim
608363	396696	Doug's Wife (2003)
608364	9005	Natalya
608364	44516	Cynthia Schreiber, NPR Talk S
608364	48075	Ally Loman
608364	49441	Missy Berliner, Reporter
608364	59687	Andrea
608364	60714	Bell
608364	65048	
608364	82625	Phyllis
608364	86321	Shatzi Van Allen
608364	93959	Colleen Douglas, State Pagent
608364	119525	Herself
608364	141412	Miss Madress
608364	141746	Mrs. Carver
608364	151365	Francine Bauer, SAT Coach
608364	154427	Lindy
608364	178862	Margery
608364	185690	Sheriff Alice Stanley
608364	186446	Judge Abramovitz
608364	195586	Helen Bauman
608364	208390	Lily Keeble
608364	212614	Ellita Sanchez
608364	235947	Dr. Fayn
608364	245219	Dr. Donovan
608364	248093	Katherine
608364	283434	Stella Hulic
608364	288700	Mrs. Claus
608364	288702	Herself
608364	288703	Herself
608364	288707	Various Characters
608364	288708	Herself (Various Characters)
608364	288713	Herself/Various Characters
608364	288716	Herself/Various Characters
608364	288717	Jean Kirkpatrick
608364	289725	Herself
608364	293075	Arianna Huffington
608364	296036	
608364	297097	Margo
608364	314484	Pam
608364	315547	Rose Chase
608364	320827	
608364	330386	Sandy Delongpre
608364	331427	Adriana Cruz
608364	340546	Leona
608364	358667	
608364	362355	Madeline
608364	362543	Lutetia Fairbanks
608364	368314	Ginny
608364	375827	British Designer
608364	391619	Lydia Karioke/Statue of Liber
608364	404337	Various (1985-1990)
608364	405494	Norma Lear (1993-1996)
608365	311477	Model #2
608365	365820	Little Girl at Party
608366	333102	Mrs. Lucas
608367	121815	Herself
608368	177989	2nd Princess of Ababu
608369	408191	Mrs. Goodyear
608370	407815	Herself (Single) (2001)
608371	121815	Herself
608372	65593	Policeman
608373	16644	Wheel of Fortune Contestant
608374	33523	
608375	58795	
608375	67156	
608375	116443	Girl in shell dance
608375	128173	
608375	175175	WAC
608375	220901	Dancer
608375	244913	
608375	274502	
608376	339645	Fate
608376	342364	
608377	56615	
608378	287701	
608378	346907	Karen
608378	353359	Hope
608379	47829	Kelly
608379	228312	Herself
608379	391786	Mandy Richardson (1997-)
608379	391788	Mandy Richardson
608380	384087	Gretchen
608381	26831	Girl
608381	97043	
608381	106249	Extras Casting Director
608381	114953	Jewel
608381	193211	Herself
608381	363478	Rose
608382	65887	Anchor Woman
608382	80607	TV news narrator
608382	118897	Herself (with Ontario Premier
608382	231918	Sales Lady
608383	313081	Fifth Undergraduate
608383	338795	Mrs. Tyson
608383	394340	
608384	131753	Rental Girl
608385	309205	Herself
608386	219616	
608387	128007	Giovanna d'Arco
608387	352826	Elena
608388	207157	Reporter
608388	314631	Stewardess #1
608388	390316	Herself - Traffic Reporter
608388	395166	Awards Reporter
608389	121815	Herself
608390	396108	Contestant
608391	38665	
608391	58827	Michelle Bonaparte
608391	191717	Kammy
608392	281516	Darla Styles
608392	407080	Herself (18 Days, Drake Tribe
608393	28864	Mrs. Pink
608393	131232	Martha
608393	133539	
608393	138656	Mrs. Mossup
608393	146054	
608393	196609	Alice Burton
608393	214188	Elsie
608393	239740	Elsie
608393	269882	
608393	286335	Nurse
608393	308664	Mrs. Wardell
608393	336105	Mrs. Crier
608393	350006	
608393	360750	
608393	365286	Martha
608394	39329	Anna
608394	88999	Lou Roberts
608394	270446	Verla
608395	398050	3rd Eliminated (2002)
608396	156030	
608397	355343	
608398	90089	Donna Elvira
608399	72580	
608399	158994	Prudence
608399	184654	Little Girl
608399	215453	Felicity
608399	248008	Kate Tucker
608399	253351	Jennifer Parker
608399	257506	Audrey
608399	301702	Nancy Halman
608399	353394	
608399	387152	Karen Atkinson (1987-1988)
608399	387510	Kay Mallory Matthews
608399	397938	Teddy Lunel
608400	256527	Girl
608401	86038	Rachel
608402	69045	Karella
608402	384837	Karella
608403	303820	Flora
608404	162268	Herself - Award Winner
608404	196558	Teenager
608405	45342	Wedding Guest
608405	158358	Woman on Balcony
608406	315696	Herself (interviewed)
608406	330246	Kay Kelly
608407	387518	Staff Nurse Lyle
608408	76966	Opera Patron
608408	152534	Mrs. Gerardi
608409	79901	Judy Danner
608409	86021	Cathy
608409	89948	Herself
608409	140179	Polly Ames
608409	201736	Herself
608409	259826	Dana Freeling
608409	296849	Sissy Traven
608409	349231	Robin Maxwell (scenes deleted
608409	349864	Cheryl
608410	301676	Marianne (age 15)
608411	316504	B&B Lady
608412	82599	Lady Haloran
608412	98166	Mrs. Evans
608412	196230	Princess of France
608412	223343	Nurse
608412	233919	Meg Kyle
608412	263556	Mrs. Gardiner
608412	297082	Eileen O'Leary
608412	297906	Miss Hogan
608413	367315	
608414	16732	Housekeeper
608414	114155	Woman at Party
608414	116790	Tourist
608414	308022	Timid Miss Green
608414	312773	Mrs. Orcutt
608414	320025	Elderly Woman
608415	48563	Emily
608416	1974	Herself - Presenter: Best Dir
608416	2273	Herself - Presenter: Best Act
608416	8182	Countess Ellen Olenska
608416	17475	Ann Vickers
608416	17506	Anna Owens
608416	25479	Lucy Warriner
608416	26607	Helene Andrews
608416	26775	Ray Schmidt
608416	63992	Sabra Cravat
608416	69792	Mary Brown Porter
608416	79304	Herself
608416	133698	Diana Page
608416	136274	Dorinda Durston
608416	139798	Herself (at the Oscars, 1942,
608416	144994	Sally Watterson
608416	154553	Mama
608416	155844	Sarah Cazenove
608416	161975	Eleanor Wayne
608416	163245	Polly Baxter
608416	169604	Margaret 'Maggie' Garret
608416	175528	Herself (Honoree)
608416	183679	Jane Palmer
608416	186788	Delphine Witherspoon
608416	190264	Vinnie
608416	195303	Terry McKay
608416	200484	Helen Hudson
608416	221645	Queen Victoria
608416	223917	Ellen Wagstaff Arden/Eve
608416	230303	Kay
608416	233838	Anna Stanley
608416	245589	Paula Wharton
608416	252286	Julie Gardiner Adams
608416	279687	Princess Stephanie
608416	292521	Sally Sanders St. John
608416	300062	Magnolia Hawks
608416	300070	Herself
608416	301951	Christina Phelps
608416	305042	Herself
608416	314943	Hilda Bouverie
608416	321115	Adeline Schmidt
608416	321854	Jessica
608416	329903	Theodora Lynn/Carolin Adams
608416	330602	Laura Stanhope
608416	330840	Toni Dunlap
608416	334754	Anne Crandall
608416	346908	Nancy Andrews
608416	363190	Miss Helen Lawrence
608416	363793	Susan Dunn Ashwood
608416	372096	Herself
608416	411420	Herself
608417	168745	Tree girl
608418	74048	Children of Castor Fan
608419	232166	Girl at Sperm Bank
608420	353360	Singer at Funeral
608421	79557	Young Agnes Wickfield
608422	234136	Herself
608423	103280	Drowner
608423	294004	Series Commander
608424	34965	Prostitute
608424	328788	Student Teacher
608426	173089	Jasmine Double
608427	106646	Allexandra Tallman
608427	353414	
608428	236972	Servant Child
608429	45342	Wedding Guest
608430	380826	Co-host
608431	236695	
608431	299765	Molly
608432	401145	Betty
608433	163357	
608434	317309	Beverly Hills Bystanders
608435	210649	Judith
608436	52160	Jeanne Wright
608437	64574	Performer
608437	78038	Pageant Girl
608437	118294	Herself
608437	187987	Pvt. Delores Costello
608437	215347	Ima Barrister, the Public Def
608437	236117	Sun Goddess
608437	311253	Danielle
608437	311949	
608437	333128	Herself/Heidi/Kiki
608437	391880	Heidi Keppert (1993-1999)
608437	399987	Herself
608438	82713	Anne
608438	99573	Robin Meeker
608438	120396	Jenifer Graham
608439	162529	Jane
608440	395427	Host
608440	403589	Jennifer
608441	184237	Mary Bone
608441	232077	Hilda Gunnison
608441	233862	Annika
608442	274332	Dancer
608443	16142	Mrs. Lumsden
608443	39788	Lesley's Mother
608443	78008	Miss Frost
608443	116542	Old lady
608443	147254	Mrs. Mitchell
608443	150408	
608443	150841	Agnes Henderson
608443	161405	Leonie
608443	163442	Gladys Grove
608443	192175	Miss Minchin
608443	203322	Guest, as Ma Grove
608443	289011	Miss Dickson
608443	331465	
608443	348645	Auntie B
608443	360542	Prison Matron
608443	367520	Shirley
608443	384092	Mrs. Crabtree
608443	390689	Gladys Grove
608443	409593	Mildred Finch
608444	405069	
608445	3005	Jane Argent, Andrews' Assista
608445	16041	Serena Fox
608445	21166	Herself
608445	26306	Serena Fox
608445	26315	Aunt Rose Comfort
608445	27215	Mrs. Mary Owen
608445	33088	Pilar
608445	34953	Rose Price
608445	37366	Petey's Grandmother
608445	45912	Mother
608445	50614	Mrs. Wandrous
608445	56746	Bit Part
608445	61851	The Old Teacher
608445	70786	Miss Ronberry
608445	81186	Linda Loman
608445	81189	Linda Loman
608445	92864	Miss Barrow
608445	128319	Dr. Marie Yeomans
608445	138558	Mother
608445	154747	Sarah Greer
608445	162602	Helen
608445	166072	Mrs. Ruth Golding
608445	178096	Rizzo's mother
608445	195881	Martha Reno
608445	222738	Lois Harelson
608445	236733	Sister Margharita (Mistress o
608445	250713	Herself
608445	254330	Mrs. Thornton
608445	255169	Nellie
608445	262000	Spinster
608445	299796	Annie (Shopping Bag Lady)
608445	308121	Mrs. Gates
608445	311252	Mrs. Sherman
608445	315754	Mrs. Ellis
608445	318810	Mrs. LaCava
608445	321145	Aunt Nonnie
608445	340552	Mrs. Wiggs
608445	355831	Señora Espejo
608445	362585	Edna Tinsley
608445	372805	Mrs. Sarah Hawke
608446	8183	Mary Archer
608446	64724	Female Nurse
608446	111789	Sophie Parker
608446	202389	Dart Player
608446	224153	Paula
608446	242624	Trish
608446	294798	Birdie
608446	347101	Rose Grasso
608446	348451	
608447	57747	Guard
608448	390105	Herself
608449	329004	
608450	227534	
608451	35840	Justyna
608451	41252	Dr. Lem's Assistant
608451	75985	
608451	88408	
608451	105518	Selma
608451	110990	
608451	129190	Esther
608451	245094	Rosie
608451	266540	Gross' wife
608451	293908	
608451	304907	
608451	357436	Eva Marie
608451	398874	Dr. Hanna Kalinowska (2000-20
608451	406144	Marna
608452	148736	
608453	53014	Une paysanne
608453	246840	Mathilde
608453	403643	Lady le Despenser
608455	244034	The Volcano Gal
608456	64400	Little Girl
608457	58432	
608457	241301	
608458	59342	
608458	78839	Alex
608458	315781	Cheryl ('Non-fiction')
608458	380713	Alison Stewart McDermott #2 (
608459	78839	Jessica
608460	340775	Hooker
608461	67380	Secretary
608461	178994	Mary the Deskclerk
608462	405374	Mrs. Wolff
608463	321319	
608464	305359	
608465	228521	Host (The Nature Conservancy)
608466	364281	Girl on Park Bench
608467	105650	Lynn Romer
608468	97407	Kay Potts
608468	168129	
608468	192254	Lucy, Down-on Add Girl
608468	266180	Sherry
608468	330108	Tulips
608468	365759	
608469	52698	
608470	160503	Actress as a Child
608471	288999	Ice Cream Vendor
608472	7944	Florence Jackson
608472	17697	Katherine Brooke
608472	22955	Jan Scott
608472	26590	Gerta
608472	40206	
608472	45453	
608472	45693	Helene
608472	46420	Frances Louganis
608472	65627	Treasury Secretary
608472	77795	The nurse
608472	78025	Margo
608472	82052	Defense Attorney
608472	93245	Roberta Cavell
608472	109891	Dolores
608472	112304	
608472	119316	Mary Manmouth
608472	129832	Sally
608472	131624	Doctor
608472	138370	Dr. Natalie Walsh
608472	152910	Holly's Counselor
608472	161018	Dorothy Sorenson
608472	185253	Delivery Room Doctor
608472	189242	Mary Farrow
608472	190269	Ida Koverman
608472	194067	
608472	206823	
608472	213866	Cynthia
608472	228448	Judy
608472	238637	Babs
608472	253509	Susan Merchant
608472	256499	Mrs. Settergren
608472	265506	Charlotte
608472	274476	Warden Woodford
608472	292335	Principal Luce
608472	297790	Rose Beckman
608472	316961	Page Sawyer
608472	336458	Dr. Lull
608472	342593	Miss Busby
608472	346408	Carla Morgan
608472	359381	Mrs. Winchwood
608472	360465	Dr. Ruth Quintero
608472	362810	Mrs. Blair
608472	383289	Mary McTavish
608472	385977	
608472	398063	Sally Sullivan
608472	402735	Jean O'Leary
608472	403490	Abigail MacEwan
608473	110137	
608474	151162	Gloria
608475	76212	
608475	151732	Showgirl
608475	232427	Sonja
608475	372114	Sonja
608476	158272	Maggie
608476	158319	Laura Mae
608476	318776	Mrs. Gardner
608476	384072	Mrs. Hawkins
608477	12575	
608478	1674	Herself
608478	1703	Herself
608478	1706	Herself - Co-host
608478	1737	Herself
608478	1748	Herself - Presenter
608478	3046	Herself
608478	11251	Zinaida
608478	15887	Young Anastasia
608478	33050	Herself
608478	43606	Campbell McCoy
608478	47077	Torrance Shipman
608478	56773	Marion Davies
608478	61827	
608478	72766	Nicole Oakley
608478	73928	Erin Randall
608478	79055	Sandra Guard (age 8)
608478	81038	
608478	81973	Silly
608478	84962	Hannah Stern
608478	93959	Amber Atkins
608478	99311	Claire Colburn
608478	104338	Mary
608478	112182	Tina Spangler
608478	126544	Kelly Woods
608478	133973	Jolene
608478	144964	Young Girl
608478	161108	Claudia
608478	170522	Judy Shepherd
608478	172043	Kaena
608478	188929	Sofia Mellinger
608478	192413	Younger Amy March
608478	197040	Lidda Doyles
608478	201302	Kiki
608478	205766	Marie-Antoinette
608478	217745	Betty Warren
608478	219972	Young Resi Noth
608478	221413	Herself
608478	221482	Herself
608478	222319	Herself
608478	230947	Lisa's Daughter
608478	231536	Herself
608478	288923	Girl on Subway ("I Knew I Lov
608478	301066	Sara Weaver
608478	305379	Christy Fimple
608478	311037	Mary Jane Watson
608478	311038	Mary Jane Watson
608478	311039	Mary Jane Watson
608478	311050	Herself
608478	316961	Verena von Stefan
608478	337084	Anna
608478	340782	Bonnie
608478	355065	Lux Lisbon
608478	358114	Tracy Lime
608478	365942	Lizzie Bradbury
608478	387728	Charlene 'Charlie' Chiemingo 
608478	396123	Young Child (1990-1991)
608478	406617	Alice/Gerda
608479	274342	
608480	6825	Waterman's wife
608480	34656	Edwina Coolie
608481	245882	Dorothy
608481	402197	Penny Seymour (1982)
608482	35532	
608483	20287	Dancer
608483	116894	Chorus Girl
608483	130622	Gold Digger
608483	342410	Patron At Woodcliff Inn
608483	365205	Harriet Webster
608483	367962	Chorine in scene with Von Fer
608484	44456	Salsa club dancer
608485	79450	Viola's Mother
608486	131202	Vittoria
608487	138353	Violet
608487	298120	Heather
608488	13805	Cynthia Walker, Butch's Bride
608489	81973	Silly (Age 6)
608490	32601	Blonde Kitten
608490	408711	Sarah
608491	154475	
608492	69845	Sixth wife
608493	233019	
608494	137578	Celeste Morgan
608494	292469	Listening Girl
608494	392000	Margaret
608494	399130	Geri Hallett (1998-2001)
608495	193621	Jane - Nanny
608496	134156	Cheryl
608496	230857	Phaedra
608496	297907	Clarke, Shae
608496	303288	Herself
608496	360084	Cheryl
608497	360084	Herself
608498	95178	Herself
608498	115399	Eva Biörk
608498	120139	Inger Gullström
608498	172784	Inger
608498	204532	Anette
608498	303645	Vera
608498	303650	Karin Strand
608499	144763	Dominique
608499	154593	Comtesse de Courcy
608499	195869	Gloria
608499	202728	Ismelda Perez
608499	223711	Dining Guest
608499	289787	Sofia
608499	377061	The american painter
608500	73251	Afoa
608501	259284	Mai Jung
608502	199311	The Family
608503	118298	Tom's Wife
608504	36888	
608504	36935	
608504	128634	
608505	25149	
608506	399082	Amélie Bellec
608507	249273	
608507	255559	
608508	284196	La réceptionniste au motel
608509	122358	
608510	94386	La femme de Loumier
608510	211824	Mary of Anjou's Lady's Compan
608510	329158	La cliente du supermarché
608511	49516	
608511	173988	Glasat na Katya
608511	305903	Gina
608512	183426	Dancer Student #4
608513	5857	Indian woman
608513	48867	Old Indian woman
608514	189801	
608515	369461	Herself
608516	273241	Nun #4
608517	1569	Marianne
608517	15132	Aimée de Coigny
608517	20810	La femme de Fluvio
608517	34999	Claudia Klessing, lawyer
608517	42523	Lydia
608517	44221	Marie
608517	50988	
608517	68874	Christine Martin
608517	70145	Herself (segment "Pour Ghassa
608517	77359	Isabelle/Ada
608517	80135	Fabienne
608517	101176	Adrienne
608517	107068	Hélène
608517	111142	Hélène
608517	123559	Ambisextra
608517	126258	Madame Hennebeau
608517	132857	Carole
608517	135326	Helene
608517	144307	Géraldine
608517	146433	1st Guest (segment "Metzenger
608517	148719	Barbara Novak
608517	166878	Apolline
608517	179290	Mélusine
608517	202091	
608517	202339	Agathe Bodard
608517	202417	Marianne
608517	212159	Aurelia Maudru
608517	214020	Laura Weber
608517	236516	Andrée
608517	239218	Marie-Laure de Porcheville, l
608517	249708	Janice
608517	249728	Marthe
608517	264950	Françoise
608517	266539	Colette
608517	287609	Cora
608517	292279	Fanny
608517	309753	Maria
608517	314083	Arlette
608517	339537	Nathalie Verta
608517	340086	Annie
608517	343647	Aline
608517	344914	Maria
608517	345301	
608517	345434	Jenny La Tour (episodes 3 and
608517	345544	Charlotte
608517	357032	Alice/Èva
608517	383916	Reine Berthe
608517	384215	Marianne Rivais
608517	391621	Herself
608517	396944	Hélène Favier
608517	409436	Marie-Pierre Beaufroy
608517	409442	Judith
608517	409454	Anne
608517	409527	Catherine Beaumont (1992-????
608517	410343	Adrienne
608518	102234	Store Checker
608519	292799	Tina
608520	280000	Zillion Kisses Band
608521	131715	Madeline Fleury
608521	193480	Cécile Desnoyers
608521	347194	Herself
608522	346762	Josiane Lalande, le professeu
608523	365341	Party Girl #1
608524	301406	
608525	273864	Regina
608525	383471	Lucía
608525	385873	Alejandra 'Alex' Lastra
608525	390404	
608525	397019	Perlita Ordóñez
608525	400490	Natalia Ibáñez
608525	405318	Antonia
608525	412192	María Molina
608526	148133	
608527	6574	
608527	10567	
608527	46827	Joaquina
608527	80310	
608527	97365	Child
608527	103044	
608527	110414	
608527	136224	
608527	139897	Josefina
608527	167813	
608527	193343	
608527	199915	
608527	221674	
608527	226360	
608527	328455	
608527	328724	Martita Gonzalez
608527	332696	
608527	336075	
608527	365213	Rocio
608527	371719	
608527	379179	Rita
608527	379813	
608527	379820	Pamela
608527	383688	Socorro
608527	383777	
608527	384245	
608527	384632	Marcia
608527	386791	
608527	386795	
608527	387170	
608527	390404	Florencia
608527	398522	Silvia
608527	403749	
608527	408860	
608527	411620	
608528	97365	Child
608528	140819	
608528	193142	Adelita
608528	199915	
608528	307290	Niña
608528	339162	
608529	57891	Germaine
608530	110173	Rivière
608531	6608	L'infirmière
608531	345350	La reine de la fête
608532	52390	Patricia
608532	377792	
608533	51402	Adolescente
608534	82681	Julie
608534	112601	Tiffany
608534	116750	Clarisse
608534	125425	Herself
608534	128718	
608534	128735	Herself
608534	176261	Melinda
608534	178149	Salon Receptionist
608534	188453	Chloe
608534	194687	Flight Attendant
608534	228482	Herself (Hostess)
608534	257618	Herself
608534	257656	Herself (Miss July)
608534	257828	Herself (Miss July 1997)
608534	279319	Diedre
608534	367792	
608535	48040	Woman 3
608536	230538	Kelly's mom
608537	71332	
608538	95631	Herself (Van Ling featurette)
608539	340212	Madame de Hennebelle
608540	377647	
608541	12278	
608541	30241	
608541	44729	
608541	54246	
608541	189109	
608541	217212	
608541	254040	
608541	284578	L'amie
608541	377839	
608542	265069	Model at studio
608543	221773	Pumpkin
608544	53043	
608545	18836	Lucía
608545	18837	Herself
608545	48823	
608545	68629	Carla
608545	84258	Gabriela
608545	85975	Paola
608545	236406	Claudia
608545	378658	Laura Noemí Copioli de Ledesm
608545	378799	Laura Copioli
608545	379460	Herself-Animation
608545	380582	Natalia
608545	383032	Bárbara Giménez-Álzaga/Sandra
608545	385874	
608545	387126	Silvina
608545	398165	Mariana
608545	400661	Clara Guerrico
608545	401771	Viviana
608545	402721	Carolina
608545	409957	Dolores Vidal (1998-1999)
608545	409959	Fernanda
608545	412311	Chabeli
608546	244955	Mme Ventajol
608547	2150	Moms
608547	12293	Lois
608547	37210	Miss Patterson
608547	61896	Nurse
608547	70306	Martha
608547	78823	
608547	80783	Security Lady
608547	94539	Social Worker
608547	120095	Sister Sarah
608547	120429	Principal Caverly
608547	121506	Miriam Blake
608547	123325	Monique
608547	123460	Ann
608547	147844	Bobby's Mother
608547	176391	Minna Newell
608547	185102	Mrs. Davis
608547	188346	Mrs.Baker
608547	201480	Technician
608547	235541	Nurse Esther
608547	238238	Dwight's Mom
608547	251743	Sgt. Hunter
608547	271335	Ruth Younger
608547	277801	Mrs. Styles
608547	279390	Sally (Jordan's blind friend)
608547	283426	Ruth
608547	309812	Nurse Shelly
608547	316411	Diquan's Mother
608547	330391	Selma
608547	336329	
608547	358376	Savannah's mother
608547	360032	Florence
608547	367254	Victim's mother
608547	379071	
608548	398046	Herself (1999)
608548	399052	Herself (2001)
608548	412022	Herself
608549	198549	
608550	6201	
608551	14110	Lisa
608551	115549	Miss Gloria Marsh
608552	121809	Chloé
608553	346709	1st Lady
608554	254024	Georgi
608555	18288	La papoteuse
608557	355872	La passante
608558	300646	The Swimmer
608559	161741	Elvira Ferrara
608560	124824	Babysitter
608561	346537	Armelle
608563	68425	Judith
608563	69380	Isabelle
608563	83385	Do
608563	123688	
608563	211367	Femme policier
608564	31671	Jane
608564	90329	
608564	120512	
608564	151634	
608564	154780	
608564	165004	
608564	196558	Teenager
608564	234034	
608564	280024	
608564	330018	
608564	372346	
608565	5055	Barmaid
608565	43350	Elsa
608565	80013	Mariya
608565	103237	Hilda Keller
608565	201305	Mrs. Shackleford
608565	316603	The Abortionist
608565	346262	Sylvia's Landlady
608565	352041	
608565	359863	Woman
608566	134256	Bonde
608567	411998	
608568	118747	Fran's Neighbor
608569	279850	
608569	353934	Mia's mother
608570	3069	Narrator
608571	75629	
608572	326192	
608573	237681	
608573	290516	Hedchen
608573	290524	Gaby Ottermann
608573	290525	Gaby
608574	340190	La narratrice
608575	5522	Rose Bailey
608575	43734	
608575	47597	Celia
608575	68476	Lily Neville
608575	79884	
608575	82037	The Mouse
608575	108017	Jennie
608575	116769	Helen Hughes, his wife
608575	130765	Willow Winters
608575	131353	Claire Fenton
608575	152395	Undetermined Role
608575	202993	Mrs. Browne
608575	204798	Mrs. Barker
608575	241591	Zephyer Redlynch
608575	270753	Gwendolyn Amersteth
608575	270917	Joan Coolidge
608575	297761	Marie Moselle
608575	302886	Ynez
608575	304601	Madeline
608575	306493	Vera Kellogg
608575	329469	Lila
608575	331424	Alice Trevor
608575	362428	
608575	362617	
608575	368019	Chum
608577	211375	Colette
608578	78494	Herself - Conductor: Grand Pr
608578	78495	Herself - Member of jury
608578	283482	Herself
608578	387983	Herself
608578	391684	Herself - Team Captain (2000-
608579	197537	La jeune fille du train
608579	265699	Audrey
608580	60163	Beth
608582	255859	Lydia McBride
608584	303617	
608584	346618	Pleureuse
608585	96183	Michèle
608585	207092	Catherine-Isabelle
608585	251543	Young girl
608586	57816	Kym
608586	308459	Megan
608587	23548	La speakerine
608587	24855	Elise
608587	387848	Claire
608588	315665	
608589	18411	Bit Role
608589	252576	
608590	24429	Belinda
608590	170872	Marta
608590	294587	British Reporter
608591	308173	2-Kool
608592	58002	Waterfall Girl
608592	188033	Air Stewardess
608592	199210	Barter Town Girl
608592	247453	Dream Girl
608593	38275	
608593	55323	
608593	162772	
608594	125899	Veni, Vidi, Vici Woman
608595	112177	Fifi
608595	128294	Girl at Cafe
608596	102581	Francis' Mother
608597	51984	Shardonnay
608597	80424	Woman Police Officer
608597	93139	Check-out Woman
608597	281913	Female Announcer
608597	301556	Policewoman
608598	20434	Peep Show Girl
608598	232181	Salaya
608599	124661	Anna
608600	39568	
608600	39570	
608600	371771	
608602	346329	
608605	26877	Librarian
608605	272026	Nurse Nancy
608605	375113	Hooker
608606	187710	Agent Janie Grey
608607	17704	Kate
608607	231846	
608607	342988	
608607	372589	Miss Ellen Fortune
608608	338774	
608609	197748	
608610	147972	Laurie
608611	202421	
608611	231579	Académicienne
608612	190252	Angelo's Mother
608613	374212	Fille Zermatt
608615	346079	Maria Rodriguez
608616	77751	Frances
608616	385020	Amy Nelson (1993)
608617	26885	Singer
608617	77213	Kim Slater
608617	170870	Lily
608617	355184	Fran
608618	329915	Delilah
608619	139048	Hard Core Logo Fan
608620	113482	Joy
608620	195874	Go Go Girl
608621	16128	Vera Claythorne
608621	47029	April Manby Carson
608621	52163	Marina Tanev
608621	54909	Francesca Monterosa
608621	73397	Sylvia Hammond
608621	90229	Tasmia
608621	117647	Julia Trimble-Pomfret
608621	118289	Ethne Burroughs
608621	141807	Herself
608621	191230	June
608621	192331	Teru
608621	234803	Ada
608621	241692	Margaret Gaylord, 'Average Ma
608621	312145	Anne Burnett
608621	329388	Natalie Brennan
608621	330202	Inga
608621	330305	Princess
608621	332776	Linda MacCradle
608622	121976	
608622	229421	
608622	301117	(segment "Gloria")
608622	347497	Millie
608622	351640	
608622	371769	
608622	380114	
608622	385251	Karla
608622	385415	
608622	389483	
608622	391637	
608622	393801	Rosa
608622	397601	
608622	397869	
608622	398522	María
608622	403741	
608622	409921	Lucy
608622	410319	Karina
608622	411693	
608623	367022	Machteld
608624	367022	Machtelds courtlady
608625	313342	Walla Group
608626	140283	Obstétricienne
608627	36536	Feingold's Assistant
608628	411998	La voyageuse du métro
608629	104732	Luxembourg entry (4th place)
608630	23826	Lucienne
608630	65384	Mme Cuvelier
608630	219460	Véronique
608633	284898	Nina
608634	8047	Dina
608635	96198	
608636	376888	La femme de 40 ans
608637	203774	Thir Model
608638	241288	Christina
608639	2252	(segment "Vertige de l'amour"
608640	6628	Régina Rex
608640	23365	Jeanette
608640	28426	Marianne
608640	31963	Martina
608640	39024	Giovanna
608640	45727	Gina la vedette
608640	51409	Cri-Cri Delagrange/Christine 
608640	55010	
608640	60525	
608640	66348	Irene Rubio
608640	73166	
608640	74634	Isabelle
608640	91444	Doris
608640	93741	Sora Gina
608640	111371	Mauffe
608640	112056	
608640	112815	Fern Heldt
608640	112850	Marguerite Le Goff/Rita
608640	116410	
608640	117914	Marie
608640	119048	Huguette du Hainaut
608640	159416	
608640	201196	
608640	208159	Laura
608640	225616	Arlette Sidon
608640	248999	Mado
608640	268437	Elvire
608640	268438	
608640	268879	Manon
608640	294565	La paysanne (segment "Gourman
608640	294777	Lily
608640	336874	Lily Latour
608640	355257	Mado
608641	161752	Girl #2
608641	165004	Record shop girl
608641	320205	Betsy
608641	366929	Girl Scout
608642	7498	Secretary
608642	271224	Native Girl
608643	232628	Flic Bob
608643	339476	
608643	387466	
608644	251382	Linda
608645	188636	Une fillette au piano
608646	236539	Taxi
608646	383117	Mme Mahurin
608647	328273	
608648	320240	
608649	260326	
608649	290511	
608650	2252	
608650	58409	Pipelette
608650	111978	L'antiquaire
608650	258982	
608651	90670	Malcolm Groeme
608651	197053	Maffio Orsini
608653	213770	
608654	380249	Corina Rodríguez
608654	387621	Nancy
608654	392212	Tibisay Luna
608654	396644	Vanessa
608654	398483	Manuela Itriaga
608654	410297	Yesenia Maneiro
608655	233370	
608656	23380	
608656	42910	(segment "Zapping")
608656	84502	Aminta Rosero, the landlord's
608656	125739	
608656	309061	Irene de Domingo, the mysteri
608656	383174	Carmenza Suárez
608656	383443	Helena
608656	390735	Marina de Arbeláez
608656	392963	Adelaila Copel de Martinez
608656	400944	
608656	401097	Hortencia
608656	405858	
608656	408706	
608657	54078	
608657	78242	
608657	102661	
608658	68716	
608659	59252	Marta, novia de Juan
608659	73976	
608659	84055	
608659	115029	Herself
608659	353619	
608661	351494	
608662	13514	
608662	24203	
608662	75444	
608662	103758	
608662	160726	
608662	208192	
608662	276234	Julia
608662	351838	
608663	391452	Lady Maria
608663	399557	Wendy Jesica
608663	400067	Tania 'Cominito'
608663	400733	Juliana
608663	408419	Nani
608664	133083	Mujer Matrimonio Centro Comer
608665	169291	
608665	402265	
608666	225043	Marta
608667	91402	
608668	404070	Magnolia
608669	309759	Child of Mary
608670	71474	Dancer
608670	205268	Singer
608670	399719	
608671	386069	Girl in Water (segments "Depr
608672	406785	Herself/Panelist
608673	129247	
608673	328273	Passante 'Nicole'
608675	16068	Kelly Stevens
608675	43231	
608675	50816	Charlotte
608675	74280	The Gretch Angel
608675	80482	Mrs. Phillips
608675	158395	Social Worker
608675	175904	Monique
608675	193545	
608675	230703	Sherry
608675	259217	French Translator
608675	289253	Christine Barnow
608675	317926	Brenda
608675	330847	Marylynn Marris
608675	331475	Tawnya
608675	334293	Laura Downey
608675	355065	Mrs. Denton
608675	360465	
608675	382240	Anna
608675	383229	Herself
608675	384013	Effie Mack
608675	389087	Miranda de Mers
608676	247091	
608677	171042	Adam's New Girlfriend
608677	207477	Julie
608677	277949	Black/white police officer #1
608678	6855	Mazie
608678	22957	Countess Zaptine
608678	78233	Mrs. Glasher
608678	150882	
608678	183757	Miss Stetson
608678	202907	Miss
608678	289367	Mme. Ceriolo
608679	383142	Maria
608680	107364	Gretl
608680	138383	Slugger's Girl Friend in Thea
608680	146840	Geli Raubal
608680	179068	
608680	205453	Frieda
608680	207213	
608680	248980	
608680	276258	Nazi nurse
608680	301797	Elisabeth Leitner
608680	330141	Helga Lorenz
608681	314509	
608682	59129	
608684	32070	Trumpet Player
608685	328638	Photographer
608686	394196	Ada
608687	310224	Ismeta
608688	158881	Miss Pierce
608688	245375	
608689	162779	Alix (Dancer)
608689	384507	Dancer
608689	406972	Dancer
608690	275363	Violet Blue
608690	313963	Hazel
608690	360708	
608691	79036	Isabella
608691	142493	Isabella Ramoray
608691	287509	Dr. Isabella Ramoray
608691	365942	Dorcester Maid
608692	64672	Spy for the Cause
608693	297816	Mother
608694	18598	Bridge Crosser
608695	40897	Dancer
608695	130300	Tango Dancer
608696	269536	
608696	277798	
608697	240315	Slavegirl at auction
608698	93664	Wanda Careta
608699	341712	Sayuk's Mother
608700	291825	Female Mariachi Band
608701	162377	Dancer
608702	371348	
608703	246855	
608704	296266	Julie's Mother
608705	162779	Dancer
608705	384306	Ballet (Dancer)
608705	384507	Dancer
608706	328565	Selene
608707	244608	
608708	147661	Herself
608709	2968	Femme diplomate
608710	66194	Dancer
608710	166917	Dancer
608710	194332	Dancer
608710	243150	Dancer
608710	300180	Dancer
608710	360713	Dancer
608710	403822	
608711	170465	
608712	400667	Hari (2001-)
608713	309835	Laulau
608713	312817	Rosa (Pedro's wife)
608713	342128	
608714	96721	Cobra, Stonefield's Hitwoman
608715	153820	
608716	403487	Herself/Campus Crawl (2002)
608717	303761	
608718	80065	Elderly Woman #2
608719	411047	Herself (employee, Cuban Emba
608720	23191	
608720	284648	
608720	341708	
608721	84943	Kara
608721	151052	Johanna
608721	347963	Tara Knowles
608722	111757	Singer
608722	132871	Herself
608722	155336	
608722	182533	Goulou
608722	183263	
608722	216267	Sängerin
608722	226324	
608722	237519	
608722	257724	
608722	325840	
608723	24695	Flower shop owner
608724	52390	Inspectrice SNCF
608725	383564	María Clara
608726	166322	Musician
608727	276549	Claudia
608728	287616	le premier motard
608729	71802	
608729	412171	Camille Bertrand
608730	28158	Marianne
608731	19975	
608731	32516	
608731	57170	
608731	152400	
608731	298494	
608731	324245	
608732	27195	Additional Voices
608732	51203	Additional Voices
608732	71843	
608732	73926	Additional Voice
608732	109608	Party Guest
608732	113332	Additional Voices
608732	122245	Counselot
608732	144789	Alien 2
608732	165976	Additional Voices
608732	190869	Additional Voice
608732	191246	Additional Voices
608732	211439	Voice
608732	232425	Additional Voices
608732	283398	Alley Voice #3
608732	313395	Space Dock controller
608732	313400	Voyager Computer
608732	313405	The Computer
608732	313406	Starfleet Computer
608732	313413	Cardassian Computer Voice
608732	313414	The Computer
608732	313422	Federation computer
608732	313424	Computer Voice
608732	313548	
608732	363953	
608733	23855	
608733	36669	Isabelle
608733	59301	Zoriza
608733	63780	Sandrine
608733	80335	Baby Sitter
608733	94387	Roudoudou
608733	122367	A friend
608733	132899	Clotilde Ravier
608733	164201	La voisine du dessus
608733	208830	Ado boîte de nuit 1
608733	212545	Alice
608733	248153	L'auto-stoppeuse
608733	265218	
608733	284224	Chloé
608733	292355	
608733	339990	La stagiare déco
608733	343565	
608733	353677	
608733	376971	Camille
608733	381143	
608734	105786	Senecom
608735	157525	Begonia
608735	213941	Lady Tenant
608736	211022	
608736	322819	Pirate
608737	145246	Carolina
608738	263212	Nurse
608739	412174	Mélanie, Soucy-Jutras
608740	380717	Mme Gauthier
608740	396868	Lucrèce
608740	407068	Lucrèce
608740	411623	Margot Lavigne
608741	148672	Operating Room Nurse
608741	161543	Coralie
608742	178114	Hooker
608742	284666	Josy
608744	90732	
608744	92095	Kowalski's Wife
608744	397306	Tessa van Loon
608745	275110	
608746	300533	Music Video Woman
608747	395073	Ofra Avraham
608748	4098	
608749	276104	Masseuse
608750	17208	
608750	20143	
608751	164755	
608752	76584	Yvonne
608753	402138	Anna Pavlova
608754	10477	
608756	70624	Recepcionista Hotel 1
608757	120225	Pearl Hudspeth (pipe-smoking 
608757	133735	Maybelle
608757	269340	Venus Girl
608757	318734	Hilda
608758	313920	Woman Mincemeat Judge
608759	105407	Suzi
608760	306785	Extra
608761	92181	Christine
608762	30071	Woman
608763	70624	Niña Perdida
608764	248937	Female Party Goer
608765	6612	The concierge's wife
608765	6743	
608765	14258	
608765	33495	
608765	37512	Amalia
608765	55211	
608765	57277	
608765	67515	
608765	69950	
608765	70745	
608765	71218	
608765	90754	
608765	94724	
608765	102284	
608765	102618	
608765	128021	
608765	132730	Peppa
608765	135158	Adriana
608765	183492	Cencio's mother
608765	199506	
608765	205367	
608765	229644	
608765	243505	
608765	259209	
608765	260984	
608765	263411	
608765	265188	
608765	270333	
608765	288182	
608765	289386	La proprietaria della stireri
608765	291693	Pasqua (segment "Il promesso.
608765	293324	
608765	300785	
608765	315429	Caterina
608765	322575	
608765	337378	Anna, Padrona
608765	344416	Adele
608765	352917	
608765	355787	Gambalesta's Maid
608765	356163	
608765	356898	La portinaia
608765	359614	
608766	54787	Heroine of the film-within-a-
608767	67176	Victoria
608767	263733	
608767	294412	Gina's Mother
608767	301181	
608767	375235	Nené
608768	398166	Cindy
608769	6642	Voz
608769	101890	Toxi Hippy 1
608770	160306	Herself & Jane Rumsfield
608770	230320	Jane Rumsfield
608771	115206	Party's Guest dancer
608771	122986	Prima Ballerina
608771	304782	Princess Aurora
608772	195945	Hostess
608773	245484	Girl
608774	3379	Columba
608774	10193	
608774	13458	
608774	26687	
608774	52118	Marta Traversi
608774	54296	Haradia
608774	55165	Carmela Ferrari
608774	57304	Eliana Haidar
608774	57333	Lola
608774	65139	Lida
608774	69986	Virginia Oldoini, contessa di
608774	85733	
608774	88050	Signora Fones
608774	107957	Teresa
608774	112654	Manuela
608774	119041	
608774	119364	
608774	127430	Dolores
608774	127774	
608774	131197	Nelly
608774	187927	Haradia
608774	214809	Mme Duranti
608774	223317	
608774	230080	Emanuela
608774	248226	
608774	252410	
608774	273154	Margot
608774	276443	Caterina Màslova
608774	277608	Laura, loro nipote
608774	281690	
608774	294385	
608774	294848	
608774	309411	Mailù
608774	312257	
608774	315427	
608774	337506	Armida
608774	337509	Giovanna
608774	355888	
608774	356961	
608774	357504	
608774	377592	Nelly
608775	242688	Elvira La Farina
608775	276526	Elvira La Farina
608776	24313	Narrator
608776	53007	Elle
608776	95371	Herself
608776	148618	
608776	159045	Voix intemporelle
608776	201103	Récitante
608776	219502	Herself
608776	228795	
608776	288890	
608776	377703	Herself
608776	409538	Narrator
608777	370996	
608778	3582	
608778	17546	Grafina Lidiya Ivanovna
608778	95683	
608779	199821	
608780	26761	Kitty
608780	113466	Fab Weber
608781	5682	
608782	70486	Copacabana Girl
608782	127730	Ducks Dance Squad Member
608782	367083	Dancer
608783	380054	Mary Pily Álvarez-Vega
608783	410303	Brisa
608784	271344	Church Choir
608785	94410	Herself
608786	13380	Ruth Kirke
608786	32352	Kim Walker
608786	53324	Caroline Frost
608786	63024	Jackie Lamont/Abigal Martin
608786	105183	Edna
608786	114164	Connie Harding
608786	116960	Herself
608786	117222	Mary Peppertree
608786	144109	Penny Craig
608786	145829	Ann Carter
608786	147899	Herself
608786	154864	Louise Ginglebusher
608786	163359	Anne Terry/Gloria Pennington
608786	163431	Pamela Drake
608786	183792	Nikki Collins/Margo Martin
608786	195750	Snowqueen
608786	199136	Gloria Harkinson
608786	206224	Herself
608786	231390	Jane Dana
608786	241433	Patricia Cardwell
608786	279454	Herself
608786	300070	Herself
608786	308079	Mary Collins
608786	312001	Ilonka Tolnay
608786	329394	Alice Fullerton
608786	329562	
608786	331614	Penny Craig
608786	331615	Penny Craig
608786	348328	Rosie Moore
608787	274521	Zombie
608788	88270	Nun
608789	347369	Kid in Classroom
608790	397752	Lucy Deane
608791	3456	
608791	22782	
608791	106015	
608792	79281	Italian Lady
608793	100661	Baby David
608795	45707	Trina
608796	328277	Blythe Dyson (Ultimate Editio
608797	350321	Opera Singer
608798	114212	Audrey
608798	263287	Kimmie
608799	239366	
608800	83165	
608801	129937	
608801	152515	
608802	155585	(segment "Ultima carta, L'")
608803	313975	Waitress
608804	139739	Cashier
608804	311230	Girl
608806	21738	Mrs. Quinonez
608806	27433	Rita Garcia
608806	61611	Segunda
608806	150989	Dolores
608806	154334	Cookie
608806	160000	Nurse
608806	186665	Miss Ruiz
608806	300913	Mrs. Hidalgo
608806	319493	Female #1
608806	348386	Dr. Lopez
608806	371744	
608807	283345	Juanito's friend
608808	330620	Mermaid
608809	200864	Singer
608810	353903	
608811	380433	La voix
608812	370056	Julie
608813	25169	La secrétaire intérim 1
608813	108635	La surveillante de Barry
608813	180730	Secrétaire patron
608813	236584	Worried neighbour
608813	282295	La caissière
608813	406493	
608814	194405	Pig Pen Girl
608815	61407	
608815	246646	Sichel
608817	7413	Ship Passenger
608817	9927	
608817	13562	
608817	13563	
608817	13565	
608817	20625	Extra
608817	38563	
608817	41085	Housewife of America
608817	46995	
608817	57140	Dancer
608817	58943	
608817	71978	The Judge's Wife
608817	74031	Girl
608817	84834	Customer
608817	87485	Laundry employee
608817	104912	Landlady
608817	109983	
608817	109986	
608817	109987	
608817	109989	Actress
608817	109990	
608817	109991	
608817	109994	
608817	110000	
608817	110001	
608817	110002	
608817	110004	
608817	110007	
608817	110008	
608817	110012	The Girl
608817	110015	
608817	110016	
608817	110017	
608817	111899	
608817	112956	Actress
608817	115610	
608817	129233	Matron
608817	133747	
608817	139547	Judge's Wife in 'Court House 
608817	140005	
608817	140893	
608817	141466	
608817	146132	Woman
608817	146306	
608817	148228	
608817	151339	Bit Part
608817	163462	Bit part
608817	179029	Pug's girlfriend
608817	186630	
608817	196330	Ambrose's Wife
608817	198804	Harry's Wife
608817	201524	Woman
608817	203637	Woman Surgery Patient
608817	207291	Leading Lady
608817	212831	Elsie Drake
608817	214936	Pheney
608817	215439	
608817	217193	
608817	223846	Mrs. Foley
608817	228639	
608817	230678	Secretary
608817	244361	
608817	244799	The Mayor's Wife
608817	269860	
608817	282453	Fatty's Wife
608817	288939	Guest
608817	304029	
608817	308376	
608817	313201	Landlady
608817	314127	Old Lady
608817	320285	
608817	324495	Check Girl
608817	333076	Maid
608817	342411	Woman
608817	347681	
608817	354530	
608817	362538	Old Lady
608817	362932	
608817	365740	Scrubwoman
608817	365762	Guest
608817	366109	
608818	14695	
608818	14806	
608818	25522	
608818	54764	
608818	73993	
608818	91306	
608818	101044	
608818	103498	Sgt. Martha Angulo
608818	104145	
608818	104146	
608818	119861	
608818	193346	
608818	198237	
608818	198239	
608818	205435	
608818	209028	
608818	216077	
608818	221948	Eugenia
608818	255500	
608818	296445	
608818	296479	
608818	328715	
608818	341655	
608818	357515	Teresa
608818	370439	Béatriz
608818	377165	Silvia
608818	379241	
608818	401094	
608818	401149	
608819	271882	Mrs. Dora Smith
608820	46981	Rose
608820	302793	Michelle
608821	167051	
608822	187226	Teen customer
608823	67940	Sarah Reynolds
608823	203223	Beatrice
608824	275233	Go-Go Dancer
608825	83477	Brittany
608825	168286	Cheerleader in play
608826	105315	Red's Wife
608827	232455	Girl in Crowd
608828	110739	Lost Girl
608828	222747	Hettie
608828	307968	Cashier
608829	169136	Child Chorus
608830	309657	Clerk
608832	34115	Musical Guest
608832	109055	Herself
608832	122201	Herself
608832	293219	Herself
608832	293220	Herself
608832	293221	Herself
608832	368483	Herself
608833	16890	Teenage Kate
608833	407690	Amy
608834	222620	Hooker #2
608835	41852	The Evil Faerie
608835	298105	Tanya
608835	348614	Lisa
608836	327588	Nikki Dufour
608836	342938	Clarissa
608837	353499	Herself (Model)
608838	133595	Maid
608839	95486	Mary
608840	201409	Brandt
608841	192779	Secretary
608842	15216	Betty Johnson
608842	139677	2nd Daughter
608842	396772	Young Fanny
608843	120403	Prissie
608843	124594	Miss Haydock
608843	194513	Miss Haydock
608843	230370	Angela
608843	252573	Poll Greengrass
608844	217723	Ivana
608845	259395	Herself
608846	380066	Lorena
608847	48227	
608848	318469	
608849	15888	Zarenmutter
608849	24065	
608849	29641	Armgart
608849	103055	Die Alte aus dem Osten
608849	119153	Fünf Gehirne und Scheckbücher
608849	136929	Tante Rézi
608849	184692	Putzfrau Marie Bornemann
608849	188717	Mara
608849	219279	Tante Ermelin
608849	229156	
608849	236822	Madame Saussine
608849	317614	
608849	347813	
608849	352103	Die Grassmutter
608849	356724	Frau Avenarius
608849	393257	Herself
608850	87862	
608850	107161	
608850	110022	
608850	216116	
608850	238458	
608850	283037	La mère d'Angèle
608851	258118	Une religieuse
608853	58233	
608854	24181	Cécilia
608854	132307	Christine
608854	381505	Mitou Fonroque
608854	390663	Pénélope Dupinson
608854	396262	Géromine
608855	66947	Mae
608856	214662	Diner Patron/1920's Flapper
608857	356075	Mother
608858	390710	Barbara Osiecka
608859	194277	Aunt Maureen
608860	2546	Herself
608861	5332	Waitress
608861	104301	
608863	46213	Tiffany
608863	96873	Bev
608863	366657	Valerie
608863	382506	Glynis (receptionist) (1987-1
608863	385627	Betty Templer (segment film t
608863	392465	Susan
608863	398727	Sophie Johnson (1999-2001)
608863	403635	Tina
608863	407427	Karen Tranter
608864	385719	Victoria Winters Clark (Bradf
608865	391869	Olivia Richards (#3) (1999)
608866	122214	Julie's Friend
608867	379704	Vicky Oldfield
608868	19960	Accompanist
608869	1088	Alice Moran, Baldwin's Secret
608869	35576	
608869	37318	Studio girl
608869	65551	Iras (Cleopatra's handmaiden)
608869	97669	Girl in drugstore
608869	112549	Miss Martin
608869	202933	Gertrude
608869	203564	First girl
608869	203941	Girl on Street Corner
608869	313301	Salesgirl
608870	391869	Olivia Richards (#3) (1999)
608871	166940	Nursing Home Resident
608872	75612	Inmate
608873	302467	
608873	330096	Joyce Walton
608873	372232	Warden's Fourteen Year Old Da
608874	116570	Brianne
608874	127126	Carol
608874	152201	Mavis
608874	187985	Bridget
608874	189248	Marla Matthews
608874	200182	Venus
608874	270903	Groupie
608874	310801	Bridget
608874	324264	Wendy
608875	170222	Herself
608876	156023	
608877	152603	Customer
608878	152603	Customer
608879	202853	Kittenish Ballerina
608879	289644	Scarlett Mecca/Scarlett's Sis
608881	136753	
608882	124216	
608882	136753	
608882	173968	
608882	177896	
608883	63997	
608883	136784	
608883	177896	
608884	84860	Countess
608885	305420	Trashi
608886	147940	Herself
608886	337274	Herself
608887	147940	Herself
608887	337274	Herself
608888	225971	
608889	220978	Waitress
608890	144465	Yale
608890	210269	Party guest
608890	314445	Nurse
608891	168745	Student
608892	326086	Lisetta
608893	64754	Katerina
608893	163915	
608893	229756	Marie
608893	253799	
608893	258524	
608893	292975	Speaker
608893	332387	
608893	349250	Mother
608893	383081	
608894	121135	BBQ Attendee
608895	15083	Prostitute
608896	307617	Nathalie, la fiancée de Marc
608897	62967	Raven (Cree)
608898	196029	The Woman
608899	196337	Maryse
608900	234279	Secrétaire de Gaby
608901	381821	Ensemble (1982-1984)
608902	144674	Zoe, Victim
608902	146738	Maria
608902	186433	Young Woman Clerk
608902	257765	Jessica
608902	313820	Rodger Young Communications O
608902	355212	Beautiful woman at Olympic St
608903	6401	
608903	14349	Clotilde
608903	74336	La costumière
608903	193449	Patronne café
608903	254123	Mère d'un bébé nageur
608903	320240	
608903	353836	Le professeur de gymnastique
608904	96228	L'infirmière
608905	377238	La pharmacienne
608906	2645	
608906	10558	Madame Troublette
608906	17857	
608906	29489	
608906	70116	Rosa Maria
608906	96078	
608906	101171	
608906	159198	Hélène
608906	208355	Nicole
608906	271776	Nicole
608906	284308	
608906	287321	Madeleine
608906	325961	
608906	335501	
608906	337787	
608906	340188	Mlle Destain
608906	345035	
608906	345050	
608906	357046	
608906	378017	
608906	391632	
608907	302454	
608907	330240	Girl at Newsstand
608908	261581	
608909	60550	Anton/Ryzhik
608909	95002	
608909	108850	
608909	132534	
608909	299421	
608909	308425	
608909	347094	
608909	351783	
608909	370917	
608909	374429	
608910	163729	Les comédiens-mimes
608911	388585	Gratiane
608912	260679	Red Neck #2
608913	146359	Young whore
608914	62437	
608915	394311	Caroline Kennedy
608916	34638	Helen Armstrong
608916	142672	Belly dancer
608917	123925	
608918	353946	Sophie
608919	327836	Tough Beach Girls
608920	241248	
608922	347441	Tanya Heller
608923	100141	Additional Voices
608924	61550	Miss Carol
608925	135835	
608926	9925	
608926	50663	
608927	187711	Herself (Jersey Zoo)
608928	128142	First Mango Girl
608929	315627	Mother
608930	299396	Beth
608930	375692	Rachel
608931	174405	
608932	7684	Biracial Poet
608933	25648	Teresa
608933	266855	
608934	284331	Sra. que limpia san auropuert
608935	245678	Hospital clerk
608935	280284	Reporter
608936	260601	Noemi`s friend
608937	15214	Elsie
608938	58430	Sari Hawthorne
608938	385824	Melissa Phillips Anderson (#2
608939	187837	Lenz gyereke
608940	387113	Lady in Waiting
608941	218180	Streetsquash Snake
608941	232425	Corpse Kid, Corpse Mom, Small
608942	124517	
608944	38491	
608944	76751	
608944	87199	
608944	104706	Herself
608945	51356	
608945	103605	Mother of Emel
608945	136688	
608945	379688	Nusret
608946	22797	Nergis
608947	345284	Marine Bouttier
608948	79012	Maggie Stewart
608949	400696	Mandy (1988-1990)
608949	411850	
608950	341860	Marion
608951	217385	
608952	15026	Madame Ida
608952	20067	Florist
608952	58754	Monique
608952	148702	Monique
608953	68011	Luce
608953	117137	Fiona Bunting
608953	131593	Babs Bryant
608953	165222	Maria Bassatt
608953	176881	Jenny
608953	198881	3rd Witch and Lady Macduff
608953	403638	Jane Steele (1975-1976)
608954	125546	
608955	44530	
608955	47618	
608955	95011	
608955	108134	Engracia
608955	113300	
608955	136847	
608955	147376	
608955	149232	
608955	152352	
608955	241086	Ana
608955	253371	
608955	253564	2nd Lady Guest
608955	260578	
608955	275299	
608955	351994	
608956	101895	Vanessa
608957	105587	Paula
608958	215696	Miss Colombia
608959	236481	
608960	51616	
608960	101615	Sister Trinidad
608960	221979	
608960	296482	
608960	353641	
608961	396942	
608962	18693	
608963	228776	
608964	349847	Pilar
608965	221728	
608966	96102	
608967	162272	Carlotta
608967	242009	Elena Silva (Geoff's lady fri
608967	271855	Dancer
608967	326337	
608968	215174	Student
608969	70615	
608970	379133	Mirna
608971	71113	Renee
608971	86903	
608971	90535	
608971	103502	Patty Vértiz
608971	199003	Teresa
608971	202179	
608971	211166	
608971	213704	Marilú
608971	234353	
608971	262702	
608971	286420	
608971	293372	
608971	318639	
608971	322855	
608971	332613	
608971	373879	
608971	380082	
608971	385988	
608971	387587	Lidia
608971	398482	Flora
608971	402711	
608972	145530	
608973	52717	
608974	411709	Andrés Mother
608975	59121	Herself (Pepey's Mother)
608976	96382	Secretaria de Edgardo
608977	409463	Azafata (1976-1977)
608978	257418	Gitana Parque de Diversiones
608979	189298	
608979	190409	
608980	51106	
608980	71283	
608980	104078	
608981	21681	
608982	342784	Esmerelda
608983	54346	Jacinta
608983	59326	
608983	123560	Esther
608983	212056	
608983	226193	
608983	226415	Sara Gris
608983	252057	
608983	294973	
608984	108634	
608985	84226	
608985	209298	Young girl in the group
608986	71368	
608986	71431	Glória
608986	246593	D. Cândida
608986	263925	
608986	344760	
608986	356010	Georgina
608987	16335	
608987	42654	Joana de Deus
608987	54333	Rosa
608987	64028	Gracinda
608987	78613	
608987	104120	Agustine
608987	251917	Girl on the Road
608987	269054	Lucia
608987	287620	Chloé
608987	349750	Jacinta
608988	164029	
608989	40800	Female Detective
608989	46334	Art Hostess Faye
608989	62665	Nurse La Mer
608989	102233	Judith Hamner
608989	195455	Blue Danube Waitress
608989	199499	Miss Barnett
608989	340502	Marie La Mer
608989	343387	Nurse
608990	973	Goldie
608990	1348	Herself
608990	2010	Self
608990	2022	Herself
608990	3593	Herself/Vanessa Bennett Cortl
608990	46581	Betty Tobin
608990	61617	Mrs. Benson
608990	63205	Grandmother Elliot
608990	65110	Waitress
608990	65653	May Franklin
608990	79053	Angela Martin
608990	79447	Trina
608990	113810	Ellen Gilliam
608990	128504	Jennifer Selden
608990	195867	Aunt Eleanor
608990	196168	Mrs. Moore
608990	198854	Mrs. Jean MacArthur
608990	199499	Mrs. Packert
608990	219794	Jean Evers
608990	222653	Ellen Considine
608990	222755	Dean Mary Phillips
608990	248445	Maggie Donovan
608990	252158	Liz Tennant
608990	263547	Jeanne
608990	297508	Rita
608990	313404	
608990	316060	Mae
608990	321265	Carol
608990	330625	
608990	344548	Kara
608990	365811	Kara
608990	379716	Vanessa Bennett Cortlandt (19
608990	382731	Kate Hanrahan
608990	383385	Myrna Clegg #3 (1983-1987)
608990	385594	Marge Billings (1986)
608990	385824	Vivian Alamain #2 (1992-1993)
608990	390771	Alexandra Spaulding #2 (1993-
608990	404282	Pamela Capwell Conrad #3 (198
608990	406596	Jennifer Selden
608990	410953	Caroline Horton
608991	93433	Grit Nolte
608991	98055	Lore Karmann
608991	128814	
608991	140202	
608991	156992	
608991	284099	Ruth Sanders
608992	156984	Lotte
608994	57850	Rosalia Derios
608995	30658	Melinda
608995	65835	Connie
608995	69400	Jennifer
608995	75704	Valerie Duran
608995	83993	Joanna Dance
608995	99585	Jeannie
608995	131766	
608995	140912	Holly Barnes
608995	141166	Stevie
608995	165964	Tina Wilcox
608995	177022	Joy Morgan/Elaine Steel
608995	189911	Robyn Wallace
608995	192412	Amy March
608995	194045	Marilyn
608995	210881	Page
608995	228297	Dominique Corsaire ("Success 
608995	257530	Pam Crichmore
608995	261427	Weezie Sumner
608995	277635	Additional Voices
608995	292664	Donna
608995	315256	Amory Osborn alias Angel Coll
608995	363905	Waitress in truck stop diner
608995	383429	Ann-Marie Armagh
608995	388360	Molly
608995	395580	Margo Barker McGibbon
608995	395756	Amy March Laurence
608996	101009	
608996	225585	
608997	225584	
608998	388619	Himself
608999	47077	Missy Pantone
608999	48925	Faith
608999	50989	Emma Carlson
608999	64797	Gina
608999	99280	Herself
608999	114468	
608999	119960	Herself
608999	165977	Sissy
608999	169377	Cat
608999	178175	Megan
608999	230663	Danielle
608999	270384	Cindy Johnson
608999	309546	Annabel
608999	313037	Herself
608999	321634	Nina Lector
608999	329477	Alice Bloom
608999	330670	Pearl
608999	340799	Dana Tasker
608999	340800	Dana Tasker
608999	368980	Jessie Burlingame
608999	408962	Tru Davies
609000	277088	Omega Mu
609001	242708	Dream Girl Back Home
609002	172416	Stripteasedanserinde
609003	85968	
609004	223314	
609005	223314	
609006	198229	
609007	26176	Adélka
609007	265045	Emilka
609008	8578	Teacher
609009	47757	
609010	32858	
609010	60424	
609010	173986	Nurse Gula
609010	229903	
609011	26582	Lola
609012	179259	
609013	151162	Gloria Cott
609014	397137	L'antiquaire
609015	118816	
609016	100248	Jeanne
609016	106093	Madame Boxwell
609016	129501	Violetta
609016	252548	
609017	14404	La jeune fille de l'agence d'
609017	15015	Alexandra
609017	15041	Natacha
609017	46937	Claire
609017	57282	Young woman in bus
609017	63660	Roseline
609017	84654	Lola
609017	86436	Elisa
609017	95552	Cécile
609017	148676	Nathalie
609017	167177	Nicole
609017	214987	Deborah
609017	230206	Lili
609017	278139	Vanessa
609017	306953	
609017	309733	Chipper
609017	335081	La secrétaire du salon de mas
609017	339226	Hélène
609017	352567	Helenka
609017	393336	Alexandra (1995-1996)
609018	73066	La dame de compagnie
609018	73073	The lady with the dog
609018	101221	
609018	202421	Hépatique
609018	217689	
609018	235705	La voisine
609018	345160	
609018	350425	Invitée
609018	376987	Marthe Lesueur
609018	377805	Comtesse Jesenska
609018	377951	Adèle
609019	317533	Bimbo 2
609020	148648	L'habilleuse
609021	5156	Helene
609021	38257	Marie
609021	43629	Vendeuse de journaux
609021	78340	Fabienne
609021	119053	
609021	158824	Madame Solange
609021	163985	Chauffeure de taxi/Taxi drive
609021	236535	Simone
609021	275612	Laure Gaudreault
609021	292346	
609021	301524	Mrs. Filteau
609021	302142	Mme Cadotte
609021	306215	
609021	307499	
609021	384042	Thérèse
609021	384147	
609021	406981	Denise Laforêt
609022	138700	Herself
609022	158608	Carol Kornpett
609022	207907	Clarissa Irwin
609022	223135	
609022	232017	Herself
609022	236905	Carol Martin
609022	360245	
609022	390334	Herself - Co-host (1975-1977)
609022	396350	Theresa Stemple #1 (1992-1993
609022	408523	Muriel Rush
609025	168771	Heather Van Watt
609025	203612	Betty
609026	27634	Lisa
609026	40103	Sam Lawson
609026	40104	Sam
609026	40105	Sam Lawson
609026	106821	Sarah
609026	159971	Monique
609026	248491	Helen van Praagh
609026	262348	Rachel
609026	379396	Eva
609026	394125	
609027	27160	Shannon
609027	97096	Waitress
609028	249573	Woman by Pool
609029	237457	Lady with dog
609030	364281	Extra
609031	6402	La marchande de ballons
609031	169361	
609031	357079	Mme Duroc
609032	75360	Stephanye
609032	97440	Eastbrook High School Student
609032	117091	Detroit Tiger's Wife
609032	124181	Lois
609032	133258	Laundromat Patron
609034	86282	Carla/Julia
609035	182359	Dancer
609036	10686	
609036	11250	
609036	39069	
609036	106433	Lesbian
609036	109215	
609036	131739	Girls' Chorus Member
609036	152286	
609036	188171	
609036	232181	Caza
609036	277846	
609036	359287	
609037	36932	
609037	36933	
609037	91632	
609037	128640	
609037	133921	
609037	291004	
609037	356649	Herself
609037	374487	
609038	95950	Malgosia
609039	179643	
609040	207587	Femme de chambre
609041	3265	Commercial Wife
609041	13365	The Nurse
609041	14160	Interviewer
609041	23447	Nurse Williams
609041	26093	Cybernaut Cindy
609041	37686	Sorority Sister
609041	48094	
609041	51996	Nicole Clark
609041	80385	Jill Auphil
609041	80735	Singer
609041	81076	Shannon
609041	87018	Cave Girl
609041	88167	Brigitte Dubois
609041	139187	Jackie
609041	140185	Serving Girl
609041	168865	Girl on Bed/Confessional Girl
609041	185624	Erica
609041	187167	Commercial Girl
609041	196894	Dr. Penelope Tweed
609041	203600	Miss Dawson
609041	214469	Harrison, Sheila
609041	266084	Safari Girl
609041	291248	
609041	309206	Mary Anne
609041	315293	Fawna
609041	327836	Tough Beach Girls
609041	336039	Sydney's Girlfriend
609041	350191	Rhoda Pratt
609041	353295	Bar Hooker
609041	353299	Prisoner
609042	46981	Sara, Wes's Wife
609042	99278	Melissa
609042	128154	Sexy Tenant
609042	130016	Sexy Mormon Lady
609043	62957	Kid in the Living Room
609044	96208	Grand Mère
609045	166126	School Director
609046	319555	
609047	383371	Valérie Valmoze (1998-1999)
609048	306154	Mme Lainé
609048	345154	Mme. Barouche
609048	345188	L'épicière, la belle-mère de 
609049	19620	Catherine
609049	68352	Grand-mère
609049	99222	Oude dame in Brussel
609049	99403	
609049	101146	La mère d'Eva
609049	104233	Mlle Hortense
609049	160821	Hélène
609049	200930	Mère supérieure
609049	212159	Madame Viana
609049	234270	Mademoisell Rakoff
609049	275621	Mére du fils modèle
609049	337025	
609049	348730	La voyante
609050	278502	
609050	354024	Annie
609051	503	Françoise
609051	15050	
609051	23723	Therese
609051	23856	Criquette
609051	43444	Mireille
609051	43642	Caroline
609051	45196	Mélie
609051	48196	Rachel Collins
609051	57236	Maryse Chamier
609051	57876	Marianne Denamur
609051	63843	Christine
609051	71966	Hilda
609051	80243	Isabelle
609051	83233	Simone
609051	84099	Juliette
609051	87961	
609051	94536	Duchesse de Langeais
609051	111756	Seifensusette
609051	117912	
609051	122421	Nicole
609051	132309	La prostituée
609051	152359	Eva
609051	166193	Olivia/Myriam/Hélène/Katia
609051	167195	Catherine
609051	200969	Evelyne Tremblet
609051	205755	La mère
609051	206493	
609051	207723	Colette
609051	207931	La fille à la fenêtre
609051	211663	Sainte
609051	248916	Mme Fèche
609051	251550	Sophie
609051	258837	Claire
609051	260943	Louise Chèze
609051	268822	l'Habilleuse
609051	269227	Lum's secretary
609051	309310	Madeleine
609051	326034	Inès
609051	332188	Josette
609051	345448	
609051	345466	Isabelle de Laplane
609051	358597	
609051	377054	
609051	377272	Hélène
609051	378060	Pierrette
609051	386211	Jacqueline
609051	396367	
609051	406493	Elise Steenfort Chevalier
609051	409932	Madeleine Darrigaud
609052	217724	Mylène/Mireille
609053	292361	
609054	69631	
609055	26583	Mother
609055	38421	
609055	43629	Sage-femme
609055	171324	
609055	205932	Mother
609055	217640	Dame, Grope d'Entre-aide
609055	220405	L'epouse
609055	249209	
609055	277217	La mère
609055	288316	Margie Dubois
609055	307499	
609055	346647	Une femme au restaurant
609055	356391	Jeannine
609055	371421	Mme Royer
609055	377937	Madame Dubé
609055	382469	Mme Leclerc
609055	383959	Berthe Monet
609055	390124	Solange
609055	390486	Solange Roy
609055	410252	Lise Bombardier
609056	30091	
609056	305561	Narutowicz's Niece
609057	167043	Becka Woodrop
609058	77216	Mrs. Graham
609059	301094	
609060	61423	Marie-Charlotte
609060	78381	Marie-Charlotte
609060	82508	Elodie
609060	86244	Camille
609060	166156	Marie
609060	208219	Fleur
609060	217830	Clara Sauzet
609060	247020	Marie
609060	249713	
609060	284207	Louise (11 ans)
609060	332191	Marie
609060	410074	Sandrine
609061	235719	Cendrine
609061	346579	Élodie Vasseur
609062	19470	Erica Goldmann
609063	48529	
609063	56327	
609063	402424	Janice
609064	122390	
609065	380326	Heloísa
609065	388721	Fabiana
609065	397540	Odaisa
609066	146704	
609066	205516	
609066	248236	
609066	253276	Derli
609066	344712	Paula
609066	344799	
609066	383172	Vivi
609068	111701	Femme cohue
609069	10205	Anita
609069	91911	Berthe
609069	136305	Soeur Saint Ignace
609069	148650	Cécile Delaunay
609069	309698	Brigitte Dubard
609069	395891	Valérie
609069	397473	Various characters
609070	240429	
609072	313547	Herself
609073	128727	Dancer
609073	333277	
609074	254627	Saraju
609075	19603	
609075	19604	
609075	286585	
609076	27461	
609076	172553	Herself
609077	172920	Rasa Devi's Courtesan
609078	112904	Poonum Viswani
609079	18935	
609079	323672	
609080	381091	Herself (eliminated herself r
609081	1844	
609081	8388	Nupur (Vishal's wife)
609081	8401	Urmi
609081	27415	Madhu
609081	27643	Reena Malhotra
609081	61011	
609081	76461	Deepa
609081	161139	
609081	162690	
609081	162741	
609081	168364	Chatterjee's daughter
609081	174401	
609081	262373	Dulari
609081	271449	
609081	271450	Herself
609081	271493	
609081	286537	
609081	296595	
609081	297032	Zainab
609081	319794	Rita
609081	319846	Bindiya
609081	337779	
609081	351139	
609081	351160	
609081	375210	
609082	18787	
609083	28910	
609083	93723	
609083	138935	
609083	173395	
609083	204403	
609083	226646	Uma
609083	250491	Pishima (Aghor Sen's Aunt)
609083	285558	
609084	2617	Herself
609084	4254	Kiran
609084	16147	Kajal
609084	29858	Payal
609084	98744	
609084	173850	
609084	175899	Dancer 'Aisa Jadoo' (Special 
609084	207536	Monica
609084	215680	Miss Universe 2000
609084	215686	Miss India/Miss Universe 2000
609084	215687	Herself
609084	222285	Kesar
609084	254731	
609085	4885	
609085	19634	Chhoto Bou
609085	29195	
609085	36239	Jahnavi
609085	38794	Kamalmani
609085	136883	
609085	344066	
609086	370204	
609087	85373	
609088	126367	Ida
609089	390317	New Anchor
609090	94861	Tonia Kasper
609091	228169	Girl
609092	363869	Charlie's Girl
609093	80836	Hooker #1
609094	150127	Rudette
609095	117098	Bridesmaid
609095	163256	Rita
609095	266917	
609095	363528	Receptionist
609096	267507	Luanne Hill
609097	155586	Cynthia Winters
609098	213259	Satchi
609099	373780	
609100	384432	Host
609101	120439	Activist
609102	168645	Girl at Motel
609103	71748	Baby Baker
609104	253936	
609105	29162	Betrunkene Frau
609106	162755	
609107	7458	Catherine
609107	99360	La Vieille Dame
609107	404129	Tante Marthe (1965)
609108	93707	
609109	276309	La patronne du restaurant
609110	143014	Brigitte
609112	82086	
609112	278306	
609114	55044	
609115	94330	Christiane
609115	262227	Mlle Lavigne
609116	59239	
609117	33559	
609117	48355	
609117	51968	
609117	148697	
609117	219474	La secrétaire de Serrano
609117	288893	
609117	320298	Claire Sellier
609117	327889	
609117	345128	
609117	346440	Colette
609117	363509	Teacher #1
609118	14811	
609118	67700	Janet
609118	149525	
609118	384864	
609118	386074	Señora Peluche
609118	390439	Damela Micha
609118	390440	Damela Micha
609118	391998	Nacaranda/Sisi/Kelly Willis/D
609118	400492	Herself/Various (1995-2000)
609118	400860	Celina
609118	402219	Rosenda Sánchez
609118	404869	Lupe
609118	405416	Gloria
609118	407648	Natalia
609118	409719	Macrina Olvera
609118	411581	Federica P. Luche
609118	411710	
609119	109971	Dom's Mother
609120	217912	Herself ('Europe in the Raw' 
609121	212135	
609122	271293	Girl
609123	25045	
609123	148487	
609123	269168	
609123	351564	
609123	356967	Rosa
609123	381633	Dulcinéa Cajazeira
609123	387835	Zilda
609123	388562	
609123	393005	Carmem Valéria
609123	396847	Anamaria
609123	397804	Maura
609123	404798	Diva
609123	405418	Ofélia
609123	407281	Cuca (1977)
609123	410014	
609124	6330	Catalina Dosamantes
609124	6441	
609124	193076	
609124	213409	
609124	376723	
609125	153827	
609126	211809	Une malade
609126	336366	Floria Tosca
609127	93532	Diane
609127	158151	Baby Doll Bartender
609127	281397	Russian Woman
609128	47359	Herself
609129	20625	Extra
609130	32556	
609130	118516	
609130	142305	Helen
609130	155205	
609130	179005	Puffmutter
609130	264876	
609130	264877	
609131	355280	
609132	65005	Teresa's aunt
609132	387807	Amelia
609132	390096	Doña Pura
609132	393028	
609133	109855	Bridesmaid
609133	273998	Antoinette Dubois
609133	277440	Yvonne
609133	309880	Julie
609133	359868	Starlet
609134	250922	
609135	258049	Angela
609136	335011	Josephine
609137	328273	Olivia
609138	23765	L'assistante
609138	38838	Rose
609138	345423	Maïté
609138	345434	(episodes 1 and 2)
609139	119209	
609139	135007	
609139	157949	
609139	179993	Mrs. Mollison
609139	183244	
609139	303718	
609139	347428	
609139	361422	Wilhelmine Müller
609140	12708	
609140	13073	
609140	14821	Vanda
609140	17381	Sônia
609140	20171	
609140	23298	Nadir
609140	33154	
609140	55906	
609140	66707	Mãe do dono do bar
609140	72551	
609140	74390	(segment "Receita de Domingo"
609140	77258	
609140	78212	
609140	82565	Dona Luiza
609140	94624	
609140	99664	(segment "Transplante de Mãe"
609140	100646	
609140	105635	
609140	113023	
609140	115794	
609140	117321	
609140	147339	Elvira
609140	159510	(segment "Tuba, A")
609140	168317	Lucinda
609140	169709	
609140	211878	Branca
609140	213736	
609140	222170	
609140	224969	
609140	226454	
609140	227859	
609140	245487	
609140	252335	Manuela
609140	252348	
609140	260573	
609140	260819	
609140	285577	
609140	287737	
609140	293972	
609140	322386	
609140	326285	
609140	341474	
609140	344707	
609140	344888	
609140	351966	
609140	380447	
609140	383479	Izaltina
609140	385021	
609140	391674	Amália
609140	396337	Lulu
609140	396809	
609140	396844	
609140	397544	
609140	399498	
609140	402371	Ivete
609140	403118	Quitéria
609140	403617	
609140	405101	
609140	408212	Rafa
609140	408592	Luiza
609140	410188	
609141	146064	Kay Weaver
609142	302238	
609143	83306	
609143	355956	
609145	83306	
609147	165406	
609147	274904	
609148	7424	
609148	218269	Dame Hermance
609148	234416	
609148	306154	
609148	324619	
609149	241444	
609150	156341	
609150	164220	Neighbor
609150	248268	
609150	358563	
609150	360033	
609150	400804	Brigitte Lalonde
609150	401330	Madame Laramée
609150	411623	Viviane
609151	129204	
609151	395894	Herself (1st to leave, 5 days
609152	3135	Luna
609152	14749	
609152	14928	
609152	30357	
609152	55946	
609152	69698	
609152	74571	Meche
609152	82257	
609152	91345	
609152	91355	
609152	101464	
609152	103728	Laura
609152	115741	
609152	122741	
609152	134494	Maria Elena Garcia
609152	135160	
609152	169751	
609152	171619	
609152	199963	
609152	206746	
609152	210445	Regina Etchegaray
609152	235250	
609152	244604	Alicia Gonzalez Mora
609152	246371	
609152	247422	
609152	249321	
609152	270756	
609152	275508	
609152	279904	
609152	279905	
609152	283204	
609152	287866	Diana Orlof
609152	287896	Laura
609152	307802	
609152	339167	
609152	339176	
609152	350166	
609152	353559	
609152	377190	Angel
609152	397018	
609153	34577	
609153	51777	
609153	53648	
609153	56292	
609153	57867	
609153	61350	
609153	64705	
609153	74531	
609153	86342	
609153	106315	
609153	143775	
609153	146507	
609153	149229	
609153	158728	
609153	213752	Margarita la tornera (Margari
609153	235987	
609153	294070	
609153	294858	
609153	317698	
609153	339185	Ana Luisa de la Fuente
609153	349966	
609154	16050	Maxine
609154	253230	Latin girl
609155	381514	Herself (1996-2002)
609156	64048	
609157	297974	Sweety East, the detective
609158	269263	Jeanine
609159	38275	
609159	123080	Herself
609159	196625	
609159	221899	
609159	221932	
609159	266411	
609159	339168	
609159	353492	
609159	353493	
609159	353494	Maria Aliaga
609159	381620	Host (1990)
609159	384917	Host
609159	386121	Host (1991)
609159	386667	Host
609159	387829	Host
609159	395923	
609159	404992	
609160	30345	
609160	303303	French Maid
609160	352929	Maid
609161	1381	Herself
609161	10606	Liane DeLorrne
609161	35545	Carlotta
609161	35587	Mrs. Paul Warren
609161	40320	Marcolina
609161	46320	Georgiana
609161	60165	Evelyn
609161	88098	Paulette
609161	106192	Yvonne
609161	140880	Zinida
609161	183866	Madame Adrienne Catellier
609161	189489	La Dame
609161	200156	Countess di Varesi
609161	202897	Coralie
609161	206600	
609161	218256	Madame Pompadour
609161	224029	Madame Corregio
609161	229981	Poppaea
609161	233837	Mafalda
609161	304379	Mildred Rideout
609161	311755	Olive Carteret
609161	333384	Mrs. St. Germaine
609161	342383	Trini
609163	55340	
609163	55344	
609163	229703	
609163	254240	
609163	282814	
609164	334445	
609165	100249	
609165	335982	Miss Brown, Chorus Member
609166	282061	
609167	82643	A Woman
609167	115339	Veronique
609167	325599	
609167	340147	
609167	346541	Girl in Swimming Pool
609168	21300	Red
609168	36841	Girl
609168	66549	Undetermined Role
609168	109415	Miss Boston
609168	198660	Revue Model
609168	280895	Girl
609168	302629	Bit
609168	340370	Girl
609168	372050	Girl
609169	162892	Calypso Mama
609170	135772	Grandmother
609171	151761	Blue-stockings
609172	383497	Host
609173	1787	Claudia
609173	22651	Nan
609173	31776	Waitress
609173	50444	Graham Eaton
609173	53323	Jana
609173	68454	Mimi
609173	82050	Jessica Lane
609173	107265	Stokely 'Stokes' Mitchell
609173	109931	Laura
609173	127294	Bashira Kincaid
609173	128085	Gillian
609173	128583	Georgina Tuskin
609173	134877	Jennifer Williams
609173	142718	Linda Kasabian
609173	151624	Laura Wheeler
609173	151631	Bell Bryant
609173	155634	Ginny
609173	184822	Amanda Gronich
609173	190078	Suzy
609173	192403	Kelsey
609173	201502	Herself
609173	231330	Convenience Store Clerk
609173	240746	Ann
609173	274059	Herself
609173	293099	Jane
609173	298076	Misty
609173	304560	Skyla
609173	304770	Clea
609173	305074	Nurse
609173	330594	Beatrice 'Bea'
609173	365651	Cally
609173	383490	Sophie
609174	222226	Silver
609175	70972	Zombie
609176	46531	Herself
609177	25845	Herself - Burlesque Dancer
609178	385092	Lyn Westcott
609178	400087	Receptionist
609182	11911	Female prisoner
609183	1480	Herself - Presenter
609183	2163	Millie Lammoreaux
609183	2632	Martha Stewart
609183	12293	Estelle
609183	17760	Pam
609183	34419	Bernice
609183	34774	Bad Ballet Dancer
609183	37219	Mrs. Stein
609183	43948	Laura
609183	46663	Suzanne
609183	48870	Mrs. Cleveland
609183	56377	Gabby
609183	59148	Sister Agatha
609183	78992	
609183	93323	Nellie
609183	118964	Susan Frankenstein
609183	120385	Mrs. Anderson
609183	120429	Annie
609183	136271	Herself (actress)
609183	148260	Mrs. Jackson
609183	201517	Herself
609183	204522	Detective Dubrinski
609183	208878	Ida Coyle
609183	219931	Little Bo Peep
609183	227925	L. A. Joan
609183	260362	Olive Oyl
609183	261039	Countess Gemini
609183	280156	Mrs. Randall
609183	282562	Dixie
609183	296866	Mrs. Fink
609183	298297	Narrator
609183	299073	Wendy Torrance
609183	313160	Herself
609183	317916	Jenny Wilcox
609183	323748	Edith Butros
609183	328553	Wendy Torrance (The Shining)
609183	330338	Keechie Mobley
609183	333193	Pansy
609183	342500	Amelia Glahn
609183	346299	Nurse
609183	379027	Ocra
609183	386414	Herself
609183	388202	Host
609183	388202	Host, Narrator, various
609183	388202	Rapunzel
609183	388202	The miller's daughter
609183	405106	Host
609183	407515	
609184	87432	Neuter Female Shopper
609184	159765	Regina Wilson
609184	189325	Teacher #2
609184	201326	Lou's Nurse
609184	251646	Saleswoman
609184	292247	Trudy
609184	294798	Lady C
609184	310648	Woman Shopper
609184	313852	Judy
609184	331159	
609184	333517	Suburban Housewife
609184	376141	
609184	380261	Mary Grace
609185	224287	
609186	177689	Louise Gordon, as a girl
609186	233774	Singer
609187	39355	
609187	160908	
609187	233737	
609187	257620	Herself
609187	303211	
609188	6961	
609188	41077	
609188	49630	
609188	60206	
609188	67464	
609188	123620	
609188	136253	
609188	149401	
609188	188040	
609188	234846	
609188	237068	
609188	319940	
609188	353744	
609190	63153	
609191	396597	Lucienne (segment "Monsieur s
609192	258870	
609192	266153	
609192	393397	Mme Chapuis
609193	357533	
609194	357533	
609195	184873	
609196	379210	
609196	380096	
609196	383867	
609196	384984	Marietta Mora
609196	387273	
609196	389480	Ninfa
609196	389589	
609196	391611	Madre Superiora
609196	396333	Bernarda Bravo
609196	402193	Ursula Barahona
609196	412301	
609197	35362	
609198	22845	Chauffeur
609198	137402	Kund i butik
609199	294804	Movie Theatre Hostage #2
609200	179033	Jean Farot
609200	292200	Ivy Bywater
609200	347027	Elena
609201	90030	
609202	393334	Yvonne
609202	400217	Margot Reitsema (#1) (1993-19
609202	410370	Saskia
609202	411233	Echica de Vries
609203	96519	
609204	144115	Ayla
609204	149881	
609204	394196	Cemre
609204	405349	Kiraz
609205	195262	Lena's Baby
609206	25683	
609206	122872	
609206	231559	
609206	269758	
609206	294945	
609206	345099	
609206	345279	
609207	8214	
609207	23681	
609207	198566	L'infirmière
609207	225408	Anne-Marie
609207	231147	
609208	384434	
609209	27424	
609209	324699	
609210	71229	Ricarda Bruce
609210	329680	Gwenda Milton (?)
609210	329682	Schwerdtlein
609210	329683	
609210	390701	
609210	395001	Mona
609211	339541	La femme de ménage
609212	279709	Woman in nighty
609213	4917	Angela
609213	5009	Caroline/SPAT
609213	8012	
609213	14993	Madame Desbaux
609213	41910	Audrey
609213	46794	Serving Girl
609213	85925	Diane Weaver
609213	92658	Annie
609213	94012	Marina Bellamy
609213	96836	Betty
609213	112813	
609213	114127	Maggie
609213	127928	Josette
609213	134751	Sharon
609213	154167	Herself/Pippa Trench
609213	154368	
609213	164336	Fanatic
609213	179065	Receptionist
609213	193621	Emma - Nanny
609213	199707	Margaret Nicholson
609213	209098	
609213	215892	Millicent, Ames' Maid
609213	236672	Traffic Monitor
609213	291522	Vera
609213	321421	Mrs. Finn
609213	372773	Queen Victoria
609213	384340	Phillippa
609213	385156	Muriel Bailey (1980-1981)
609213	389931	Ariadne
609213	400227	Pippa Trench (series 2-6)
609213	404676	
609213	405962	Beatrice
609213	409841	Mrs Bute Crawley
609213	410519	Jane Edwards
609214	108897	Herself
609215	92899	Une fille place Saint-Sulpice
609216	15132	Mme Chénier
609216	51248	
609216	136654	La patronne du bistrot
609216	184055	
609216	302207	Ginette
609216	345109	
609216	383915	La femme de Claudius
609216	409440	
609217	245585	
609218	47799	Clubgoer
609219	377464	Mrs. Chimot
609220	141519	A Refugee
609221	51787	Tent Victim
609221	72930	Vampire
609221	202285	Mistress
609222	269892	Aborigine
609223	180912	Patientin Birkenhof
609224	11886	
609224	12379	Sabine
609224	214965	Woman Railroad Official
609225	68904	
609226	43641	
609227	133816	Veronica Bledlow
609227	186003	Sophia Kimberley
609227	201433	Pinkie
609227	371043	Customer
609227	407185	Miss. Oldacre
609228	69945	Old lady
609229	399363	Ninh
609231	6607	Gina
609232	11989	Frau Ott
609232	113612	
609232	180611	
609232	181475	
609232	322544	Hotline-Chefin
609233	194928	
609234	11745	
609235	213035	Joy
609235	342035	Female Reese
609236	321661	TV Interviewer
609236	385887	Nurse
609237	391423	Man 2
609238	170355	
609239	110550	Mathilde
609240	137943	
609241	88559	Nurse
609241	92095	White House Press Secretary
609241	390410	Marianne van der Sluis (1996)
609241	400217	Vanya Van Bakel (1996-1997)
609242	30549	La mère de Christian
609242	112880	
609242	398042	
609242	404804	Soeur Directrice
609243	192900	
609244	120106	Melissa
609245	85542	The Grandmother
609245	269513	La gouvernante
609245	289151	
609245	376959	Mme. Leber
609245	398158	Aurore Borel
609245	406028	Maria
609246	60757	Hostess of going away party
609246	108234	
609247	21868	
609247	29107	
609247	77009	
609247	208948	
609247	229539	
609247	285884	
609248	89776	
609249	276611	Sina
609250	24839	
609250	137113	
609250	337890	
609251	291894	Girl
609252	140051	
609253	183895	
609254	356420	
609256	229277	
609257	127121	Elisha Talbot
609258	108	Jean Morgan Collins
609258	4920	Rita
609258	26652	Terry
609258	40608	Mary
609258	47000	Fay Wilson
609258	51872	Jo
609258	56226	Della Street
609258	59889	Chorus Girl
609258	61753	Chorus Girl
609258	67116	Claire Gore
609258	73714	Judy Mason
609258	73932	Lee Merrick
609258	77682	Chorus Girl
609258	92612	Josephine 'Jo' Gray
609258	103329	Joan Grahame
609258	114616	
609258	114845	Ann 'Flaxen' Tarry
609258	119473	Cameo appearance
609258	120260	Miss Beulah Boyd
609258	123850	Connie
609258	125896	Susan Merrill
609258	128812	Kay Warren
609258	131545	Student in chorus
609258	135198	Fan Saying 'There He Is'
609258	141555	Myra
609258	147825	Chorus Girl/Stage Assistant w
609258	151211	Nan Wilson Reynolds
609258	154585	Barbara
609258	154785	Claire 'High Pockets' Phillip
609258	163445	Chorus Girl
609258	171025	Dance Extra
609258	190179	Mary Ashlon
609258	193991	Charlene
609258	194450	Chorus Girl
609258	195721	Chorus Girl
609258	195744	Sally Condon
609258	203109	Phemie's Little Sister
609258	204185	Ann Rogers
609258	205183	Chorus Girl
609258	207287	Helen Grant
609258	211546	Minerva Harlan
609258	213081	Joan Morley
609258	213111	Carol O'Neill
609258	221304	Connie Kepplar
609258	222662	Judy Wagner
609258	244778	One of the 'Quartet' of Model
609258	244932	Mrs. Lynch
609258	245121	Olive Jensen
609258	259402	Audience Extra
609258	264570	Madeleine Forestier
609258	270469	Ruth Martin
609258	271853	Ramona (age 4)
609258	276691	Susan Ellen Younger
609258	289556	Cesca Camonte
609258	292508	Rachel Shaeffer
609258	298106	Jerry
609258	300912	Marguerite Gilbert
609258	304270	Mary
609258	306483	Student
609258	308363	Dancer
609258	312254	Barbara Lucas
609258	316124	Madeleine Maude 'Molly' Louva
609258	316217	Marian
609258	317169	Mrs. Eva McLain
609258	321257	Bonnie Haydon
609258	323174	Bit
609258	329331	Sally Mason
609258	329546	Herself
609258	330851	Party Guest
609258	330904	Ann Morgan
609258	331553	Vivian Revere Kirkwood
609258	339832	Herself
609258	358777	Belle Connors
609258	360234	Dance Hall Girl
609258	360253	Madeleine
609258	360487	Connie Stewart
609258	367594	Chorus Girl
609259	92652	Dracula's wife
609259	94223	Bride of Dracula (in catacomb
609259	218506	Extra in Casino
609259	218773	
609260	133949	Rosemary
609261	346350	The Store Clerk
609262	71593	
609262	97434	Anna Richter
609262	338468	Rosi Beimbichler
609262	338469	Rosi Beimbichler
609262	347690	Eva (Fräulein)
609263	116443	Model
609264	81503	Pavlina
609265	8578	Mother
609265	127994	1st Woman Patron
609265	174405	
609265	179890	Ellen
609265	180773	
609265	270949	Renee
609266	270949	Lou & Wag's Daughter
609267	388706	Narrator
609267	396264	
609268	265839	
609269	323350	Herself (senior police lieute
609271	134697	
609271	379469	Host
609271	395852	
609271	397502	Dana
609272	384198	Host
609273	386081	Christine
609274	224322	
609275	141463	Herself
609276	192102	First Whore
609277	3527	
609277	6135	Aunt
609277	16192	
609277	17612	Mother
609277	51040	Princess Maruska
609277	64755	Olga Kohútová
609277	70979	Milena
609277	82815	
609277	151875	Daniela
609277	165054	Queen Eliska
609277	171545	Duchess d'Este
609277	173013	Mother of Tomás
609277	173683	
609277	185049	Secretary
609277	198219	
609277	202574	Sorceress
609277	205383	Outratová
609277	223538	Pensioner
609277	224960	Durasová
609277	229232	Mother Bartonícková
609277	229560	Kaplanová
609277	234257	Jarmila
609277	237748	Petrs mother
609277	261386	
609277	262562	
609277	305815	Kodetová
609277	322379	Mária
609277	323298	
609277	323299	
609277	326014	Olga
609277	352820	Pávková
609277	373419	Honza's mother
609277	373589	
609277	374097	Olina
609277	376553	Vlasta
609277	384131	Hanka's mother
609277	384174	Königin
609277	399957	Frau Someiner
609277	400727	Karli's Mother (1969)
609278	283829	Belgijka
609278	373573	
609279	221524	Girl
609280	138417	Karla
609281	178830	
609282	92650	
609283	30611	Nancy Lee
609283	46562	Ethel Slocum
609283	52334	Molly Butler
609283	52499	Violet Winter
609283	54129	Concha Deane
609283	54604	
609283	65970	
609283	78057	Janet Jordan
609283	84843	Werta
609283	93640	Ruth Martin
609283	101073	
609283	112535	Molly Williams
609283	133677	Madge Cullen
609283	143027	Iva Method, the girl detectiv
609283	144671	
609283	145403	Janet
609283	176377	Lou DuPoise
609283	184387	Ginger O'Hara
609283	208895	Edith Halloran
609283	223717	
609283	237759	Joyce Kennedy
609283	245257	Joan Renshaw
609283	252849	The Girl
609283	253135	Natalie
609283	264173	Rose Ryan
609283	277966	Molly Graham
609283	289200	
609283	301759	Ethel
609283	302023	Sheila Blaine
609283	302886	Rita
609283	312076	Madelon
609283	312269	Jane Brown
609283	315336	Dorothy
609283	331126	
609283	341681	Edna Barton
609283	367066	Dorothy/Princess Dorothea
609284	4622	Mrs. Penprase
609284	118809	Maid
609284	250811	Elderly lady
609284	330018	Sophie Tucker
609284	358649	
609285	342831	
609286	220673	
609286	240024	Agnes
609286	323179	Stewardess
609286	381880	Orla
609286	398782	Princess Deirdre/Mystic Knigh
609287	68681	Srinivasan's daughter
609288	387074	Calina
609289	298091	Receptionist
609290	37788	Amy Hill, Little girl befrien
609290	217485	Marcia Skinner
609290	404002	Ryan Maeve Fenelli Hyde #2 (1
609291	277098	Flasher Victim
609292	384119	Micaela (1998)
609293	375532	Herself
609294	44845	Miss Trevor
609294	49053	Marie's Landlady
609294	55830	
609294	57016	Mrs. Shackleton
609294	115615	
609294	163320	Mrs. Jinks
609294	170613	Harriet Huntley
609294	185639	Modiste
609294	203173	Viola
609294	287723	Mrs. Norwood
609294	331931	Jane's aunt
609294	360159	Mrs. Castle
609295	77698	The Countess
609296	316739	
609297	152809	Elena (in photos)
609298	22844	Rikards Mor
609298	99511	Sanne
609298	156252	Jeanette Jacobsen
609298	182619	Ilse, matematiklærer
609298	182621	Elisabeth
609298	273889	Monica
609298	291686	Police Officer
609298	293705	Lægesekretær
609298	309292	Rositta Seemann
609298	315397	Beth
609298	352125	Birgit
609299	219841	
609300	11620	She
609301	80558	Café Patron
609302	260801	Herself
609303	154715	Sally
609304	9124	Young Woman
609304	127084	Woman at Party
609304	141706	Woman Reporter
609304	206819	Meagan
609304	221024	Melon Girl
609304	293028	Marsha
609304	319202	Clerk
609305	80427	
609306	181360	
609307	155293	Ice-Capades Skater
609308	155294	Ice-Capades Skater
609309	119243	Daisy
609310	72733	Operator #2
609310	73561	Constipated Lady
609310	321179	Rose Klein
609311	182948	Women's Army of Revolt/Citize
609311	191246	Adult Nala's singing voice
609311	212908	Nala
609311	264041	Miriam
609311	267684	Citizens of New Orleans
609312	26971	Party Animal
609313	163514	Blond Girl
609314	17600	Anna
609314	26259	Lilli
609314	102389	Alex
609314	141962	Bettlermädchen
609314	189443	Katharina
609315	358477	Raver
609316	340562	
609317	46327	Pool Girl #1
609318	138109	Spooning Chick
609318	206373	
609319	107490	Ellie
609320	132791	Dancer
609321	163514	Sirus's Wife
609322	168762	Saliva
609323	65426	Terri Antonelli
609324	157208	Landlady
609324	157636	Foster mother
609324	217745	Faculty
609324	231879	Long-Haired Lesbian
609325	72214	Ethel Filson
609325	327733	Dora Slade
609326	163514	Samantha
609326	208448	Claire
609327	35257	Maggie
609327	44185	Rosy
609327	60186	Angela Lam
609327	80411	Christine
609327	91768	Melanie Marks
609327	95777	Joanne
609327	97306	Ashley
609327	100822	Jenny
609327	114734	Irene
609327	153185	Samantha
609327	186063	Toga Girl
609327	188505	Sparky
609327	190056	Teenage Girl
609327	191495	Kathy Miller
609327	248081	Brenda
609327	259361	Jo
609327	260079	Pony
609327	278288	Amy
609327	306250	Clea Dowd
609327	310083	
609327	312971	Jennifer
609327	319682	Summer Falls
609327	329342	Deeni
609327	348719	Jodie
609327	393173	Sadie
609327	407589	Ophelia
609328	100209	Blonde Woman
609328	206483	Passport Clerk
609329	74125	Kate
609329	113547	Mary's Friend
609330	82756	Robin
609330	86797	Shirl
609330	100192	Mary Mahoud
609330	217419	Sister Carmel
609330	240511	
609330	315480	Nun
609330	342863	Alison
609330	396892	
609330	402012	Dolly West
609332	16095	Nurse
609332	29297	Kay O'Connor
609332	41087	Coed
609332	44548	Carol Turner
609332	51975	Julie
609332	73824	Miss Lewis
609332	78108	Mrs. Elster
609332	115849	
609332	116511	Waitress
609332	116894	Chorus Girl
609332	135412	Susy
609332	143135	Susie Sloan
609332	144675	Muriel Courtney
609332	144753	
609332	154467	Evelyn, guest at Christine's 
609332	183579	Bernice
609332	190179	
609332	203673	Helen Lengel
609332	215810	Mae Berringer
609332	235405	Patient
609332	264502	Candy Carson
609332	289568	Daisy
609332	292872	Bubbles Deegan
609332	306126	May Nelson
609332	315140	Jerry
609332	335660	Lorraine O'Reilly
609332	337366	Judy
609332	345958	Rhoda
609332	358589	Mabel
609332	367459	Bessie Collier
609333	218411	
609334	291179	Sangy
609335	260206	Prisoner's Wife
609336	153118	Imogen
609337	59913	
609338	214641	Girl on Bus
609339	145929	Customer
609340	340754	Mrs. Mannheim
609341	11421	Donna's Pal
609341	150974	Edith Fisher
609342	52798	Various Characters
609343	43168	Herself (lecturer in Indian S
609344	2419	
609344	7801	Countess Olga
609344	10325	Alice
609344	37399	
609344	47361	Virginia Redding
609344	48017	Betty Caldwell
609344	54117	
609344	65425	June Gordon
609344	70823	Mrs. Webster
609344	72132	
609344	72425	Etta Thompson
609344	78959	Sunny Day
609344	105389	Dora Bruce
609344	109862	Nurse
609344	110259	Catherine Curtis
609344	117110	Nurse
609344	123345	Mary Hartford
609344	130425	
609344	143841	Nurse Mack
609344	146117	Gloria Bliss
609344	164456	Tillie Miller
609344	194899	Nora Murphy
609344	197717	Betty Bates
609344	203306	Marion Marcy
609344	204552	Wedding Guest
609344	230088	Susan Hamilton
609344	250531	Catherine Curtis
609344	252885	His Daughter
609344	270464	Helen Drake
609344	273787	Cynthia Meyrick
609344	285692	Pat Scott
609344	292187	Angela Trent
609344	295284	His girl
609344	304959	Customer in Department Store
609344	314143	Mary Forrest
609344	314476	Fay Allen
609344	346908	Woman
609344	363822	Mollie Holland
609344	363955	Judy
609345	47827	Sally Eves
609345	327724	Jessica
609345	342189	Herself
609345	389721	Herself (Series 1) (2003)
609345	391786	Ruth Osborne (1995-2001, 2003
609345	391786	Ruth Osbourne
609345	391788	Ruth Osborne
609345	395978	Presenter (Series 6-) (2003-)
609346	380391	Mary Matthews (1964-1975) (or
609346	380713	Janice Turner Hughes #2 (1962
609346	403483	Jocelyn Brent
609346	404694	Jane Edwards Ames #2 (1955-19
609346	411375	Julia Acton
609346	411811	Tracey Malone #1 (1958-1959) 
609347	101867	Doble Azucena
609348	270844	La mère de la mariée
609349	321953	Secretary
609350	229035	
609350	291592	Natasha
609351	263664	Kontsertmester
609352	163030	
609353	174378	
609353	220733	
609353	335461	
609354	180221	Prostitute
609354	210354	Herself
609354	403769	Dorrit Hayes (episode Bländve
609354	409853	Tina Martinsson, shop assista
609356	47015	
609357	384350	Cassidy Giuliani
609357	398213	Herself
609358	45482	
609358	89814	Tzetza
609358	224448	Hadzhikoleva
609358	250887	
609358	305478	
609358	314467	Maykata
609358	376228	
609359	14556	Austraian Tenant
609360	22844	Rikke 5-6 år
609361	303678	Wangs kontordame
609362	139587	Herself (interviewee)
609363	270604	Herself - Member of the Europ
609363	389151	Herself - Former Minister of 
609364	411500	Ruby Cherrytree
609365	183558	Mary
609366	43015	
609366	301613	Administrator
609367	381422	Extra
609368	669	Marijke
609368	6333	Martha
609368	64676	Tante Jans
609368	115860	Hertogin van Gelre
609368	118723	
609368	123889	
609368	126468	Carla
609368	134209	Marleen Ruyter
609368	157588	Sanne
609368	200548	
609368	320467	Ruth
609368	333742	Servant
609368	342327	Coleta
609368	409572	Margot Sterk (1998)
609368	411180	Anna van Saksen
609369	9494	Bibiana
609369	108147	Betti
609369	156973	Jesta, Musikstudentin
609369	164901	Miss Viktoria Kersten
609369	170697	
609369	171669	
609369	189754	
609370	229428	Street Reporter
609371	141253	
609372	59141	Michelle
609372	335017	Maureen
609373	137223	Black Boys
609374	100074	Girl in Water
609375	37862	
609375	48581	Buck's Wife
609375	48662	
609375	50313	Mrs. Blake
609375	53883	
609375	54668	
609375	61597	Alice Watson
609375	72253	
609375	72295	Lucy Starr, Alice's Friend
609375	91602	
609375	120183	Girl
609375	151774	Mrs. Thorpe
609375	166250	
609375	186280	Betty Watson
609375	190254	Mother
609375	199464	One of the Girls
609375	217978	Alice Heath
609375	219966	Sallie McKim
609375	254921	Mrs. Williams
609375	280363	
609375	289479	Alice Mason, Tom's Sister
609375	299968	One of the Girls
609375	301964	Grace Stratton
609375	324208	Mrs. Reardon
609375	327871	Ellen of the East
609376	164243	Big Marge
609377	384366	Molly Malone/Sandra Carlson (
609378	289429	Governor's Wife
609379	99558	Amy
609382	252474	Herself
609383	279329	Sara
609384	304843	Worker
609385	318344	Courtney
609386	87341	Bus Kid
609387	154379	Herself
609388	87341	Bus Kid
609389	234803	Ada's Baby
609390	188615	Country Bar band
609391	333602	Shelia
609392	147548	Mrs. Coombs
609392	317327	Maxine
609392	367299	Mrs. Cawthorne
609392	403193	Rose Perkins (1978-1984)
609393	343160	Chorus Girl
609394	289372	Featured Extra
609395	20625	Extra
609396	61845	Fairy/Leprechaun
609397	71127	Jodi
609397	295826	Woman on Street/Sex Monster D
609397	336301	Rachel
609397	348611	Jolene
609397	389858	Xanna Ames (1994)
609398	82099	Cat Owner
609399	191626	Corn Woman
609400	380430	
609401	188615	Country Bar band
609402	191463	
609403	198867	Macduff Child
609404	365085	Wife
609405	168521	Sylvia Grey
609405	365289	Trixie
609405	372227	
609406	411366	Val Pearce (episode 4: Lo-Arn
609407	75505	Olivia Steed
609408	12228	Kristen
609409	134018	Waitress
609410	213577	Presumed Chorister
609411	7889	Melissa's Friend 1
609411	223776	Sarah Dyer
609411	275004	Tonya
609412	144577	Nancy
609413	15254	Eleanor
609413	32626	Talk Show Audience
609413	135176	Mrs. Andriola
609413	150243	Fat lady
609413	158343	Homeless Lady
609413	176499	Woman in Nina's audience
609413	195270	Mrs. Brauner
609413	224224	Mrs. Vines
609413	256188	Grindle
609413	360465	
609413	367588	Anne
609414	188615	Country Bar Band
609415	70369	
609415	391558	Heather
609416	366606	
609417	365526	Priestess
609418	97937	Ilonka
609418	165077	Zora
609418	250798	
609418	398874	Maria "Mariola" Lusinek (2002
609419	62922	Joan
609420	62922	Midwife
609421	399719	Herself (voter, 1920)
609422	2034	Brainy Woman
609422	367966	Dr. Bergman
609423	150425	
609424	140967	10-Year-Old Amanda
609425	98941	Narrator
609426	381436	Emma (1996-1998)
609427	180188	
609428	25424	
609428	36735	Shopkeeper Zosia
609428	48211	Anna Roman
609428	58243	Nurse Laparkowska
609428	75977	Staff Manager
609428	82203	Ticket Woman
609428	88519	
609428	95700	Malwina
609428	95952	Ms. Gizella
609428	95960	Woman with Dog
609428	112786	Jancia Bogacka
609428	174880	Frau Luther
609428	179183	Jadzka
609428	180106	Ewa
609428	214242	
609428	220234	Stenia Walendziakowa
609428	231362	Dentist
609428	237869	Kowalska
609428	261459	Virginska
609428	266319	Honorata
609428	266332	
609428	282756	Kokoszka
609428	305833	
609428	334199	Ratajowa
609428	341058	
609428	344036	
609428	357984	Fela
609428	361575	Kasia
609428	364983	Mrs. Piotrowska
609428	369347	Jadwiga Koledowa
609428	370672	
609428	371868	Clerk
609428	375067	Mada Müller
609428	379864	Miecka Aniolowa
609428	381186	Manageress
609428	385985	Ticket Seller
609428	386654	Halina Janczak-Wrotek
609428	393473	Leokadia Dumowicz
609428	398897	Maria Zieba
609428	401665	Maria Potoczna (2001)
609428	404009	Maryna
609429	128154	Nurse Tenant
609429	196084	Phyllis
609429	249548	The Nurse
609430	182525	Jana
609431	31780	Candace
609432	246705	Sarah
609432	311038	Train Passenger
609433	14157	Liz
609433	257729	Dara
609433	289526	Robin Barnett
609433	321559	Girl at Party
609433	368987	Jan
609434	100756	Librarian
609435	75986	
609435	125282	
609435	131954	Cecylia
609436	306221	Sarah Milson
609437	104693	Herself
609438	5855	Linda
609439	39556	
609439	66761	
609439	83159	
609439	91575	
609439	95148	
609439	113804	
609439	125666	
609439	192208	Gretel
609439	195846	
609439	214109	Missy Watkins
609439	232640	
609439	233693	Lady in Black
609439	296180	
609439	305772	
609439	313192	
609439	326582	
609439	335453	
609439	335793	
609439	359439	
609440	326604	Chi Omega Victim
609441	127616	
609442	132454	Singer on Beach
609442	289230	
609442	318370	Nerve's Mom
609443	275604	Clara
609444	10871	Kendra Van Dillion
609444	72376	Fiji Mermaid Worker
609444	83460	Lisa
609444	92307	Julie
609444	106361	Vickie
609444	142718	Sharon Tate
609444	170528	Linda
609444	202325	Julie
609445	299458	Mrs. Simpson (segment "The In
609446	77910	Judy Staufer
609446	349412	Helen
609446	373550	
609446	397764	Tammy Venasca
609447	297221	Diana Casey
609448	41418	Betty and her Boobsy Twin
609448	89936	Woman
609449	26291	Elderly Woman
609449	67665	Nurse
609449	149101	Mrs. Smith
609449	188625	Maid
609449	308440	Guide
609449	321224	Mrs. Greene
609450	311766	
609451	12805	
609451	33830	
609451	255780	
609451	265641	
609451	323623	
609451	339265	
609452	1164	Ania
609452	18344	Liesel
609452	24323	Peasant woman/Beauty/Barmaid/
609452	35841	Mummy
609452	77262	Prudencja Duvernoy, Malgorzat
609452	85741	Vandeleur's daughter
609452	88542	
609452	89603	Magdalena
609452	95565	Marysia Sawicka
609452	95945	Girl
609452	102173	Barbara Radziwillowna
609452	165037	Unknown Girl
609452	165619	Klarysa, count's daughter
609452	179198	Ania Pawlak
609452	200608	
609452	225910	Maria Kazimiera
609452	231619	Ania Pawlak
609452	239438	Dragon
609452	244042	Dominika
609452	244170	Konstancja Zgurska
609452	247628	Zbyszek's mother
609452	249885	Magdalena Kaszycka
609452	253786	
609452	255411	Katarzyna
609452	266323	Hanna P.
609452	290203	Hanka
609452	290289	
609452	293683	Urszula
609452	305559	Józef's wife
609452	313526	Jaga, Dziwa's Mother
609452	322115	Gabrysia
609452	328985	Mother
609452	338887	
609452	343338	Katarzyna Sosnowska
609452	360758	Rachel/Martha
609452	361574	Malgosia
609452	364966	Nenneke
609452	373346	Yvonne
609452	375470	Marysia
609452	382619	Walunia
609452	387011	Ania Pawlak (episode #1.5)
609452	394850	Barbara Radziwillówna
609452	397940	Malgorzata
609452	398927	Iwona (episode "Karuzela")
609452	401745	Witynska
609452	405313	Marianna Kalinowska
609453	1220	
609453	2435	
609453	27236	Talking Feet
609453	37225	
609453	57242	
609453	95862	Herself
609453	178863	
609453	189475	
609453	224358	Herself/Redhead in clips from
609453	239629	
609453	306908	
609453	310571	Karla
609453	317990	
609454	1729	Performer
609454	3250	Herself - Performer
609454	47173	Performer/Herself
609454	215171	
609454	228302	Herself/Presenter
609454	305490	Herself
609455	1904	
609455	44892	Lawyer
609455	219039	
609456	1308	
609456	2429	
609456	47252	
609456	72145	
609456	75028	
609456	128557	
609456	187183	
609456	275718	
609456	294728	
609456	326736	
609456	372539	Vietnamese Teenager (Cheryl D
609458	46777	Dame
609458	49243	Mrs. Eskdale
609458	52163	Sleepy Woman
609458	78171	English woman guest
609458	150765	Hertha Parkins
609458	178132	Landlady
609458	188542	Gypsy Woman
609458	203145	Lady Minerva Aldergate
609458	214695	First Mrs. Bellane
609458	217426	Musette
609458	308586	Aunt Shayla
609458	335469	Mrs. Peabody
609458	372093	Girl
609459	214149	
609460	280469	Eva Braun
609461	261135	
609462	7388	
609462	34507	Yurkova
609462	44391	Old woman
609462	174253	
609462	225976	
609462	238367	
609462	258999	
609462	259872	
609462	265939	
609462	265993	
609462	339333	
609462	375793	
609463	320713	
609463	374990	
609464	11945	Pauline's Mother
609465	397684	Herself - Designer
609466	309538	Veninde
609467	86210	Herself
609468	130422	Becky
609469	385061	Speaker
609470	16855	Elena Carani
609470	61077	Laura Morresi
609470	112645	Elena
609470	211196	
609470	336149	Viviana
609470	352917	
609471	130149	An Inmate
609471	203571	Maya
609472	7580	Siv
609472	27585	Herself/Pia
609472	42685	Herself - Presenter
609472	49553	Lene
609472	51302	Herself - Jury member
609472	56087	Gurli
609472	57567	Cecilia
609472	78482	Herself (performing 'Danse i 
609472	111557	Pia
609472	117458	Kate
609472	154294	Hanne
609472	159207	April
609472	182461	Katja
609472	190826	Pernille
609472	198282	Servitrice
609472	204962	
609472	239339	Trisse
609472	246006	Kamilla
609472	255707	Herself/Kate
609472	304357	Lis
609472	312018	Pauline
609472	315383	
609472	317645	Pernille
609472	336025	Agga
609472	342253	Julie
609472	387293	Topsy
609472	407621	Stine Jensen (1997-1998)
609473	170848	Herself - Speaker (Swedish ve
609473	410041	Herself/Host (2001-2003)
609474	160658	
609475	304518	
609477	146845	Ester's mother
609478	314445	Dancer
609479	308938	Meg
609480	217505	
609481	142331	Newscaster Voice
609482	3148	Mrs. Boulton
609482	45286	The Old Lady
609482	60729	Grandma
609482	87886	Granny
609482	198885	Third Witch
609482	206095	Mrs. Rord
609482	263551	
609482	263609	Lydia Lawrence
609482	264146	The Queen
609482	270977	Gladys' mother
609482	285033	Sister Perpetua
609482	290353	Miss Duff
609482	331910	Mrs. Scully
609482	365342	Mrs. Gibbs
609482	370585	Ivy
609482	382038	Mrs. Brand
609482	382937	Mrs. Solomon
609482	385020	Effie Spicer (1968-1969)
609482	392483	Briseis
609482	393314	Hannah
609482	405217	Mrs. Kenney
609483	353718	
609484	1993	Drunkess
609484	35489	Mrs. Riley
609484	78920	Molly Price
609484	292016	
609484	399816	Elissa Sheridan (1974)
609485	340026	Herself (computer industry an
609486	209112	Reporter
609486	394421	Inez
609487	141643	Celestial Voice Mail Person
609488	90775	Herself (guitar and vocals)
609489	213581	Chorus
609490	144542	Carol
609491	201506	Herself
609492	46318	Nia Prescott
609492	151382	Rhonda
609492	379076	
609493	55684	District Nurse
609493	55718	Vague woman
609493	58875	Mrs. Champion
609493	87881	Jane Budd
609493	98166	
609493	101432	Connie/"Mrs. Worth"
609493	109912	Nanny
609493	185726	Mrs. Dyson
609493	216032	Mrs. Gorman
609493	248974	Miss Nesbit
609493	257987	Mrs. Brent
609493	263214	Mrs. Corcoran (the lady mayor
609493	263791	Mrs. Tennison
609493	281340	Various Characters
609493	292575	
609493	301650	Mme. Veroux
609493	331330	
609493	371087	Muriel Donaghue
609493	385020	Ida Barlow (1960-1961)
609493	388492	Matilda 'Nanny' Harris
609493	388493	Nanny
609493	393567	Mrs. Henshaw
609493	395529	Brenda
609493	401275	Mrs. Musgrove
609493	401719	
609493	401977	Aileen Potter
609493	402139	Mrs. Tennison
609493	410935	Mrs. Chambers (1974)
609494	155070	Laughing Girl
609495	133068	Miss Howard
609495	169278	Madame Rambal-Crochet
609495	393772	Samantha
609496	260940	Musician - Tchukon
609497	356779	
609498	213513	
609498	253992	
609499	35851	
609499	60865	
609499	85207	
609499	124843	
609499	132097	
609499	132203	
609499	157258	
609499	172441	
609499	182226	
609499	214307	Mimino's lawyer
609499	217277	
609499	217463	
609499	219718	
609499	238364	
609499	258423	
609499	259042	
609499	259076	Anna Adamovna
609499	261953	
609499	278844	Yuri' young sister
609499	327661	Princess
609499	337879	Alyonka
609499	343301	
609499	373496	
609499	374165	
609499	375446	
609499	376015	
609500	231210	Gaye Gainsford
609501	270733	
609502	341724	
609503	215129	
609503	355707	
609503	410342	
609504	235721	
609505	84439	Little Julie
609506	99580	
609507	137850	
609508	163384	
609509	410330	Kasirka
609510	265545	
609511	352427	
609512	326260	
609513	30847	
609514	179704	
609514	217493	
609514	272903	
609514	304501	
609515	214827	Khumyuch
609515	307100	Nalkana
609515	357414	
609516	13017	Balim
609517	156260	
609518	348568	
609518	352301	Gayane
609519	212295	Malkoto momiche Nadya
609520	54645	Chukchee
609521	13492	
609522	210949	Ruzha
609523	244727	
609524	43214	
609525	62828	
609525	370460	
609526	60448	
609527	179726	
609527	402865	
609528	209823	Popbozakova
609528	288358	
609528	339314	Donka
609528	374749	Kanta
609529	1360	
609530	163845	
609530	220221	Production assistant
609531	356927	
609532	43021	
609533	34532	
609534	312442	
609535	44394	
609536	243891	Bobosiye
609537	19199	Mme Kowarsky
609538	24323	Die Schöne
609539	304179	Joanna Chmielewska
609539	373938	Heidi
609540	174844	
609541	51039	
609541	164255	Saleswoman
609541	321432	Secretary
609542	76126	
609542	97547	Bartender Jadzia
609542	236160	
609542	266293	
609543	59466	Singer
609544	406644	
609545	171438	
609545	178773	Herself
609545	259811	
609546	197129	Marylka
609547	380436	Femme Hôtel Postojna
609548	82202	Cashier
609548	88412	Contender Nr 1
609548	179583	
609548	181365	
609548	181367	Bileterka
609548	234258	Ms. Elzbieta
609548	334199	Piotrek's Mother
609548	341068	La caissière (The Cashier)
609549	315814	Stefa
609550	180114	Junge Frau
609550	321429	Jo
609551	47131	Lysee Key
609551	133730	Angie
609551	140416	Sasha
609551	214301	Rosy
609551	256951	Emily
609551	277480	Bird Girl
609551	298120	Hannah Vogul
609551	316327	Melissa
609551	347900	
609551	368043	Gopher's Girlfriend
609552	156573	Agnieszka
609552	284052	Ania
609552	317230	
609553	245649	Second receptiomist
609554	165844	Village Woman
609555	265335	
609555	294662	
609556	62326	Shoshmana
609556	217262	Mother of Tamriko
609557	270733	
609558	390810	
609559	390810	
609560	2968	Vendeuse lingerie
609560	96185	
609560	254123	Mère d'un bébé nageur
609560	399082	(1984-1989)
609561	397938	Nadine 15
609562	190721	Dawn
609562	191547	Lola Montez
609562	381281	Natasha
609563	170231	Herself
609563	170233	Herself
609564	25727	Azra
609564	74738	
609564	81626	Masinka - Masa
609564	94896	
609564	160826	
609564	164477	
609564	173101	Jaretova kci
609564	178857	
609564	207800	
609564	217407	
609564	229895	Sudija
609564	236049	
609564	237707	
609564	261337	
609564	261944	
609564	295063	
609564	304159	Irenina majka
609564	320649	Katarina
609564	343867	Nacelnica Vida Nastasijevic
609564	349153	Crvena
609564	385138	
609564	394110	
609564	396292	Snjezana, Vojinova zena
609564	397529	Miroslava
609564	399000	Mila
609564	401750	
609564	401928	Marijana Simovic ... sudija
609564	401991	Ana
609564	409294	
609564	410371	Solumija
609565	202804	Maro
609566	322207	
609567	173966	reporter
609567	377129	
609568	280082	
609568	355518	Sitter
609568	365108	Herself
609569	120795	
609569	136537	
609569	201473	
609569	215129	Mira Misevska
609569	240086	
609569	357329	
609569	408862	
609570	304119	Veronika
609571	344524	Herself
609572	198823	
609573	343693	Mosóczy Sári
609573	349047	Gépírónõ
609573	349619	Rozi
609574	86083	Niña intelectual
609575	10401	
609575	74434	
609575	99751	
609575	377892	
609575	399860	
609576	6484	Voice in off
609576	84180	
609577	243800	
609578	175089	Terus
609578	178424	
609578	211727	The Afflicted
609578	237339	
609578	350833	
609578	354609	
609578	359727	
609578	377228	a woman
609579	16965	
609579	17555	Midwife
609579	95162	
609579	110915	
609579	136433	
609579	166648	
609579	175635	Fiatalasszony
609579	175753	
609579	207584	Maid
609579	229710	
609579	254518	2nd Cleaning Lady
609579	258345	
609579	322080	Feriék szolgálója
609579	348999	
609579	352777	
609579	379094	
609580	302331	Sonia Martinez
609580	334706	Marisol Miranda
609580	387922	
609580	410082	Carolina
609581	272641	Mayra
609582	28955	Niña enferma
609583	67218	
609584	3477	
609584	43237	Mother of Simón Bolívar
609584	65375	
609584	96332	
609584	103815	
609584	174101	Verónica
609584	206980	María Cano
609584	332577	Mariana
609584	377150	
609584	378974	Felicia´s Aunt
609584	379130	Emperatriz
609584	380957	
609584	396601	
609584	397010	La Maga
609584	407347	Juez
609585	396	Vecina balcon
609585	55772	
609586	132680	
609587	379564	Herself/Correspondent
609588	399105	Host (1989)
609589	289350	Gisela
609590	126370	
609590	147172	
609591	89759	Die Springerin
609592	204418	Herself
609592	325429	Herself
609593	39120	Herself
609594	39120	Herself
609595	25322	
609596	387960	Herself
609597	32707	Blanca Romero
609598	216212	
609599	2800	Inès de Montalban
609599	20378	Gisèle Valin, la tante de Lou
609599	23365	Isabelle
609599	25034	
609599	43400	Mme Blanchot
609599	55532	Mme de Coigny/Countess
609599	64320	Herself
609599	89037	Steffi
609599	113447	Hélène
609599	129216	Mme Winter
609599	146387	Hélène Donaldo
609599	148697	La mère
609599	169367	Hélène Perrin
609599	170537	Anaïs Maloret
609599	195152	La duchesse de Bourgogne
609599	205608	La propriètaire
609599	207771	Madeleine
609599	234935	Mary
609599	237619	Marion Lead
609599	243770	Eurydice
609599	245556	Mme. Le Mesles
609599	257008	Adrienne Charpentier/Mademois
609599	262929	Nicole
609599	282409	Wanda
609599	282410	Wanda
609599	283704	Madame Marcelle
609599	285062	La patronne du café
609599	292783	Marie-Thérèse
609599	317952	Cécile
609599	327885	Amélie
609599	343556	Marie Salomé
609599	349472	
609599	355511	Anne
609599	379103	Mme Tavernier
609599	384033	Angèle
609599	386222	
609599	388311	Lucette
609599	389004	Mme Maublanc
609599	390487	Sophie
609599	396617	
609599	409537	
609600	21630	ER Docter
609600	376925	
609601	248792	
609602	262939	Édith
609602	403919	Réceptionniste
609602	409452	Jade
609603	238426	
609604	293959	Margarita de Arpizarellis
609605	111009	
609606	2247	Sághy Zizi
609606	188201	
609606	377761	A nem féltékeny felesége
609607	74920	Estelle
609608	348671	Szõke kurva
609609	164754	
609612	400804	Diane Lamothe
609613	159691	
609614	378263	Micy
609615	294160	
609616	57282	Young nun
609616	68381	
609616	111118	
609616	199717	
609616	204339	
609616	205586	Lucie Bouguin
609616	218284	Administrative Worker #1
609616	255583	La femme du chef
609616	288898	Une patiente
609616	337013	
609616	345162	La mercière
609617	23740	
609617	85714	
609617	112813	
609617	146381	Henne Kens
609617	261016	Nounou
609617	345546	La dame de la compagnie
609618	90510	Tanja
609618	137308	Alisz
609618	173592	Szilvi
609618	343744	Bea
609619	261204	
609620	155614	
609621	383664	Catherine
609621	402834	Karine
609621	410628	Rachel Gauthier
609622	403475	Marie-Michelle Dumont
609623	97975	Ellen Elly énekesnõ,Béla egyk
609623	182648	Mûvésznõ
609623	237187	Helén
609623	268429	Énekesnõ
609623	284092	Cseh nõ
609623	322118	Tornay Péter barátnõje
609623	322203	Párkányi Kata
609623	349619	Tertayné
609623	377762	Charlotte
609624	346751	Man Gato
609625	61752	Gabrielle Roy
609625	378074	Isabelle
609625	389304	Véronique
609625	396321	Dyna
609626	159922	
609626	280778	La Concierge
609627	28871	Mama Joséphine
609627	95441	Herself
609628	7545	Elaine
609628	109607	Atty. Penninger
609628	118268	Head Teller
609628	290861	Female Officer
609629	21617	Madeleine Vaillancourt
609629	387530	Sarah Bernard
609629	398096	Judith
609629	400899	Camille Dansereau
609630	187513	
609631	73125	Elizaveta
609631	186122	
609631	227534	
609631	256983	
609631	309342	
609632	44773	Piroska
609633	110726	
609633	199873	
609634	106690	
609634	140061	
609634	216250	
609635	246283	
609636	250477	Mrs. White
609636	332674	
609636	379647	
609636	379654	
609636	380115	
609636	380117	
609636	380598	
609636	384115	Juana
609636	387871	
609636	387872	
609636	388399	Cristina, The singer
609636	392751	Carmen Ibáñez
609636	395487	Ernestina Rivera
609636	396822	Sofía
609636	398665	Angelina
609636	402321	Mabel
609636	402428	Martha
609636	403023	Manuela
609637	10192	
609637	199946	
609638	33560	Clara
609638	55619	Estrella
609638	118155	Herself
609638	162704	Eva
609638	221908	Flora
609638	248766	Carmen
609638	260841	Candelaria
609638	322851	Isabel
609638	354265	Herself - Presenter: Best Sou
609638	370015	
609638	380549	Herself - Hostess
609638	383190	Herself - Host
609638	383557	Manuela (1996-99)
609638	397863	Claudia Valladares
609638	399623	Herself - Host (1993-1994)
609638	401907	
609638	409463	Host (1991-1993)
609638	412122	Dina (2001-2002)
609639	226498	Alumna gimnasia
609640	346174	Concepta
609641	338339	
609642	25050	Clienta de panaderia
609642	25096	
609642	68251	
609642	68959	
609642	71283	
609642	86095	
609642	140577	
609642	159528	
609642	193490	
609642	213724	
609642	240156	
609642	244621	
609642	246276	Portera, casa de Ramon
609642	260534	
609642	277237	Vecina
609642	277382	
609642	281780	
609642	283347	Paco's Wife, Browne's Cook
609642	339103	
609642	340432	
609642	370179	
609642	371680	Criada
609642	376661	
609643	57776	
609643	169854	
609644	55747	
609644	91294	
609644	183506	
609645	90140	Dña. Inés de Ulloa
609645	199855	
609645	266471	
609645	334692	
609646	296121	Susan
609647	215872	Little Girl
609648	16836	Angelina Ortiz
609648	51528	Susana de Dussange
609648	54079	
609648	89754	Dolores
609648	125659	
609648	148049	
609648	148107	
609648	210174	Margarita
609648	252554	
609648	281608	
609648	291626	
609648	301134	
609648	317692	Loulou
609648	320216	
609648	353549	
609648	378404	
609649	412138	Panelist
609650	397578	Vivian Durán
609650	408747	Acrópolis Barroso
609650	411618	
609651	30418	
609652	339131	(segment "Una de indios")
609653	253667	Chica 1ª coro
609654	258769	Chus
609655	252823	Giovanna
609655	385041	Norma
609655	390733	
609656	148172	Chica Playa
609657	111395	Herself - Fernando's widow
609658	6446	
609658	38979	
609658	379554	Adriana
609658	384632	Liza
609658	385253	Taina
609658	386077	Vieginia
609658	396604	Sara
609658	400486	Susana
609658	404987	
609659	103724	
609660	308576	Bernadette's Schoolmate
609660	370096	
609661	90860	Jo
609662	90525	Paula's mother
609663	58193	
609663	148108	
609663	178050	
609663	205129	
609664	146501	
609665	353651	Julia de Burgos
609666	393549	
609667	6642	Compañera 2 de Paula
609667	17290	
609668	384400	Mercedes
609669	197452	
609670	176980	Irina Romanov
609671	355958	
609672	252618	
609672	397011	Martirio Paniagua
609672	403753	Ligia
609672	408408	María Lucía Zavala
609673	384119	Pilar (1996)
609674	296433	Young Daughter
609675	10476	Bailarina
609675	85568	
609675	285957	
609675	369894	
609676	193172	Celeste
609677	82396	
609678	258769	Vanessa
609679	56076	
609679	380210	Julia
609679	380242	Carolina
609679	383579	Corina
609679	390459	
609679	392986	Adela
609679	396941	Miguelina
609679	396942	
609679	396984	Tía Clarisa
609679	407644	
609679	408562	
609680	204184	Dancer
609681	351834	
609682	385500	Maruja de García
609683	166877	
609684	51100	
609684	52776	
609684	66817	Vecina Sadomasoquista
609684	204769	
609684	209076	
609684	212507	Adela
609684	255276	
609684	277006	
609684	351993	
609684	383287	
609684	389780	
609684	398318	Consejera Sentimental
609684	403237	
609685	29055	
609686	5375	
609686	147536	Flower Girl
609686	170803	Native
609686	294706	
609686	319320	
609686	344622	
609687	52941	
609688	400667	Angela Sanchez (1999-2003)
609689	326223	Ingrid
609690	57778	Chica empaquetadora 4
609690	400036	Clementina
609691	150543	Indian Child
609691	244642	
609691	281219	Girl in trash dump
609692	27171	Lupe
609692	169794	Maria as a Child
609693	29054	
609693	74350	Abuela
609693	132637	
609693	213752	
609693	237216	
609693	263699	Old Aunt Pilar
609693	276560	
609693	281605	
609693	351861	
609694	20093	
609694	55558	
609694	71342	
609694	205434	
609695	145142	
609695	224998	
609696	96098	Mónica
609696	143674	Luz
609696	280129	Pastelito
609696	378658	Gabriela Valentini
609696	381151	
609696	383291	Carla D'Alezzandro (1999-2000
609696	383499	
609696	389780	
609696	392609	Maia Carregal
609696	395871	Juana Vazquez
609696	406051	Mora Amaya
609697	387101	
609697	402688	
609698	91297	Parishioner 1
609699	13078	Ana adolescente
609699	58136	Violeta
609699	261511	
609700	18653	Pili
609700	74869	Enfermera
609700	150653	Merche
609700	210163	La vidente
609700	322371	Rosa
609701	90146	Morena
609702	57870	Lawyer
609702	223882	Tito's aunt
609702	395997	
609703	43363	Hija de Coco
609703	146580	Amiga de María
609704	161785	Herself
609705	100306	Laura
609706	32707	Woman in Car #1
609707	5263	
609707	13079	
609707	25027	
609707	25079	
609707	25221	
609707	42642	
609707	53639	
609707	56449	
609707	57866	Rosa
609707	63951	
609707	70772	
609707	74721	Rosita
609707	75180	
609707	83541	
609707	115038	Herself
609707	125660	
609707	129485	
609707	131384	
609707	133394	
609707	138021	
609707	252066	
609707	253696	
609707	259856	
609707	266805	
609707	268440	
609707	277235	
609707	277384	
609707	318253	
609707	319855	
609707	339103	
609707	355485	Herself
609707	370065	
609707	377196	
609707	398859	Host
609707	408197	Tertuliana (2002)
609707	408982	Tere
609708	54726	E.D.N.A.
609708	70679	Azafata 'La Jauría Humana' 2
609708	72766	Oakley's Receptionist
609708	94052	
609708	106266	Ann
609708	110266	Reporter
609708	114526	Michelle
609708	120478	Bar Dancer
609708	143918	
609708	154959	Bar Patron
609708	196302	Sandra
609708	214802	Anchorwoman
609708	269164	Mulher de Sichopa
609708	278579	Consuela
609708	300180	Yoga Dancer
609709	185365	Villager
609710	42640	
609710	84340	
609710	405290	Lupe
609711	52708	Susy
609711	71284	
609711	139902	Hilda Gadea
609711	142561	
609711	160620	Fefe's Friend
609711	210376	
609711	234422	Cristiana
609711	235994	Ofelia
609711	248076	Beba
609711	255485	Sandra
609711	257349	
609711	277393	La Gorda
609711	353597	
609711	393369	Lola (2002)
609712	3544	Hermana de Román
609712	56502	
609712	122558	
609712	378482	
609713	131128	Titanic girl
609714	114873	Dancer: Escuela Flamenca Mati
609715	252541	
609716	10125	
609716	14813	
609716	14962	
609716	90139	
609716	205713	
609716	239276	
609716	266470	
609717	34575	Young Diana
609718	82589	
609718	202216	
609718	234422	
609719	71261	Prostituta
609720	225010	Lalita
609720	383471	La Hermana Clementina 'Novici
609720	387090	
609720	390404	Lorena
609720	396209	Natalia
609720	402839	Carmen
609720	403752	Clara 'Clarita' Martínez
609720	403885	Cristina Pérez
609720	404161	Martha
609720	409719	Lalita
609721	21728	
609722	96338	Bailarina
609723	376802	
609724	8598	
609724	85585	
609725	121212	
609726	355958	
609727	336066	
609728	48191	
609728	61951	
609728	99439	
609728	192986	
609728	266470	
609728	287734	
609729	407245	Hostess (1995-2002)
609730	402685	Princess Maria Theresa (child
609731	384655	Catalina
609731	385875	
609731	403741	
609731	404827	
609732	296468	Pilar de Cárdenas
609732	380894	Teresa
609732	383470	Avril Zurli
609732	385367	Betania Malavé
609732	391571	Pamela
609732	392848	
609732	393802	Carlota Vivas de De La Vega
609732	395030	Beba
609732	397862	Margarita Alvarez
609732	405473	Porfiria
609732	412133	Dolores
609733	52210	Carmen
609734	96344	
609735	384925	Gabriela
609735	385367	Jennifer Núñez Anzola
609735	394006	
609735	396644	Cachita
609735	402688	Daniela Uzcátegui
609736	198197	Secretary 1
609736	385500	Margarita
609737	399764	Nanina
609738	384119	Delfina (1997-1998)
609739	135110	Yamile's Wife
609739	160620	Julia
609739	350889	Angela
609740	63786	
609741	280410	
609742	85901	
609743	30389	Leticia
609744	385365	Yamileth Cáceres
609744	391173	María Solito
609744	392212	Josefina
609744	398471	Petunia López Redill
609744	398483	Yuraima
609744	405776	Teresita Mesias
609744	408747	Sabrina
609745	103708	
609746	199930	Soprano
609747	284899	Clienta Boutique
609748	67445	Rita Gallegos
609749	74828	(segment "Intriga familiar")
609750	70684	Bailarina
609751	103992	
609752	378453	
609753	353195	Ana
609754	25049	
609755	213389	Aeropuerto
609756	132686	Herself
609756	390451	Marina
609757	353973	
609758	101809	Ana
609759	376760	Bailarina tango
609761	62	
609761	58276	Tonka
609761	88214	
609761	92088	Pavlatová
609761	96495	Simonová
609761	165038	Grandmother
609761	165081	Grandmother, nurse
609761	165817	Girl
609761	173996	Bozenka Sourková
609761	174863	Yindra
609761	201354	
609761	226464	Mrs. Dlasková
609761	229559	
609761	229914	Lída
609761	232621	
609761	237203	
609761	257483	Konecná
609761	259205	
609761	265017	
609761	265276	
609761	266218	
609761	266534	Hancí
609761	284446	Grandmother
609761	306377	Janouchová
609761	313910	Ucednice Bozenka
609761	324567	Nurse Olinka
609761	374624	Helena Zemánková
609761	375502	Marie
609761	403860	Warehouser Horácková
609762	138468	
609763	308504	
609764	98799	
609764	221863	
609765	111313	Joli, Feri felesége
609765	177935	Anya
609765	377129	
609766	99537	Hajnalka
609767	115833	
609768	278550	
609768	400053	Nobuko Yokoyama (Nobbu-chan),
609769	91252	
609769	118823	
609769	137555	Az író barátnõje/Anna Morgens
609769	137749	
609769	139438	Marianne
609769	149494	
609769	322097	Rozi
609769	376615	Bori
609769	402164	Märy
609770	171564	Modei
609770	211087	
609770	290173	Mali Bruckner
609770	348041	Lilli
609770	400274	Milly
609771	293998	
609772	177935	
609773	379459	Melissa
609773	396216	Elsa Estrada de Franco
609773	396601	
609773	397737	Catalina Pizarro de Hannsen
609773	407649	
609773	409922	Helena Fontana Viso
609773	410290	Alicia Guardiola
609775	18349	
609775	18350	Yvonne
609775	225301	
609775	286575	Janina
609775	405500	Silvie
609776	41388	1st Murder Victim
609777	51098	
609778	104727	Herself
609778	104729	Herself
609779	179575	Hülya
609779	222351	
609779	229972	Melek
609780	76052	
609780	294247	
609780	351932	Woman in Newspapershop
609781	19593	Jasmin
609781	182136	Seine Braut/His Bride
609781	394627	Oberschwester Ayfer Sükür (20
609782	329628	Herself
609783	389280	
609784	361514	
609785	8557	Maja
609785	49269	Dr. Irene Pfister
609785	307167	Von hagenbeck
609785	389823	Anja
609785	396624	Kim Ambach
609785	405803	Susanne von Hagenberg (2000-?
609786	136930	Lise
609786	244076	
609786	290063	
609786	325637	Elfi
609786	325712	
609786	325820	
609786	395010	Karin
609786	406321	
609786	407351	
609787	409153	Herself - Reporter (?-?)
609788	325726	
609789	8557	Tina
609790	34354	
609790	293561	
609791	33218	
609792	223462	Nonne
609793	34412	
609793	140199	
609793	177332	Kritikerin
609793	179004	
609793	376182	Zahnärztin
609794	223482	Marie
609795	209839	
609796	42960	Mimi
609796	90075	Donna Anna
609796	210146	Eva
609796	210148	Eva
609796	220723	Fiordiligi, Dorabella's siste
609796	225334	
609797	353033	Salgschefens barn
609798	77553	Aunt
609798	132428	Aunt Malvina
609798	138525	Mrs. Enberg
609798	142784	Carpenter's Wife
609798	174046	
609798	174092	Kajsa
609798	174094	Kajsa
609798	284135	Old Countrywoman
609799	28531	Ingeborg Egersheien
609799	51298	Ida Olsen
609799	92012	Kari
609799	99514	Guro
609799	110927	Aud
609799	116450	Tante Sofie
609799	129181	
609799	159637	Kirsten
609799	173252	Jente på per.kont.
609799	179085	Dyret #3
609799	192492	Jennifer
609799	229160	
609799	263731	Astrid
609799	266555	Lissy
609799	303214	Unni
609799	341861	Miss Nilsson
609799	378337	Tone
609799	400008	Barbara Torgersen
609800	392072	Camilla Frank (2001)
609800	409930	Lene
609801	111836	Fia
609802	150729	Klara
609803	5743	
609803	14712	
609803	48848	
609803	53653	
609803	61145	
609803	73517	
609803	87939	Ursula Fischer
609803	115019	Herself
609803	115032	Presenter
609803	115036	Herself
609803	186671	
609803	205669	
609803	209075	
609803	225032	
609803	236010	
609803	280315	
609803	327927	
609803	399126	Ana
609804	100379	
609804	186670	Rosita
609804	202209	
609804	202210	
609804	209404	
609804	213390	
609804	287426	
609804	327487	Naty's mother
609805	56545	Herself
609805	98385	Mädchen mit Eis
609806	187979	
609807	119290	
609807	140770	
609807	178632	
609807	230167	Frau Anita
609807	230168	Frau Anita
609807	259520	
609807	259540	Luise Veltin
609807	259570	Elise
609807	259665	
609807	325939	
609807	352201	
609807	379086	(part 2)
609807	406263	Else
609807	411906	Frau Strohbusch
609808	119254	
609809	409609	Rosi Schneider (1991)
609810	39717	Nachbarin
609810	119139	
609810	122541	
609810	137414	Katrin Adams
609810	155367	
609810	166366	Gabi
609810	169615	
609810	226282	Yvonne
609810	241983	Mutter
609810	290631	
609810	382203	Elisabeth
609810	397914	Meike
609810	397953	Heidi Kanitz
609810	401015	Giovanna Castelli
609810	409990	
609811	407361	Host (April 2001 -)
609812	10359	Herself
609812	168416	Narrator/Herself
609812	205475	Herself
609812	236815	Narrator/Herself
609812	301004	Herself/Narrator
609812	395917	Herself/Narrator
609812	400862	Herself/Narrator
609812	403665	Narrator/Herself
609812	409742	Herself/Narrator
609813	216753	Laura
609813	358746	Angelika Heindl
609813	374330	Notärztin
609814	138260	
609815	189653	
609816	134926	
609817	144140	
609818	1654	Hildegard Klee
609818	17677	Sophie
609818	17678	Sophie
609818	40400	
609818	45112	
609818	71550	Rolande Hertog
609818	82920	Pomme's mother
609818	94302	Christine
609818	96004	Frau Jenny, Wirtin
609818	105535	Adele
609818	110714	
609818	124908	Amalie Katz
609818	124977	Maria
609818	129668	Marie Lanz
609818	136057	Harald's mother
609818	182589	Anneli
609818	198424	Annemarie Karsten
609818	204488	
609818	226338	Helga Hornung
609818	237737	Erna Lucht
609818	289880	Mrs. Müller
609818	293415	Dr. Marianne Katz
609818	309349	Monica
609818	312736	Annie Lauer
609818	325735	
609818	356838	Inken Peters
609818	364897	Erzherzogin Sophie
609818	381689	Cilly
609818	390701	Richard's Mother
609819	284424	
609820	145606	
609820	325499	Frau Walter
609821	124906	
609822	188755	
609822	259440	
609822	285001	Madame Hülchen
609823	41053	Cornelia
609823	48259	
609823	49295	Ricarda
609823	61432	Renate Brandin
609823	119708	Paula Ludwig
609823	202732	
609823	204456	
609823	237701	
609823	244119	Maria
609823	255246	Taxifahrerin
609823	259437	Frau Schiffner
609823	259491	Simone Herzog
609823	259509	Sigrid Wehlau
609823	259560	Silke Kuhlmann
609823	259564	Tante Reni
609823	259581	
609823	259584	Erika Wesemann
609823	259615	Frau Rietschel
609823	259628	Petra
609823	259648	Leutnant Sabine Baumert
609823	259667	Gemüsehändlerin
609823	259688	
609823	267331	Maria Jensen
609823	284864	Sabine Wulff
609823	290509	
609823	313674	Frau Garber
609823	317657	Marianne Below
609823	325582	Hanna
609823	364943	
609823	375274	Schornsteinfeger
609823	405945	
609824	94280	
609824	144014	
609824	189744	
609824	225181	
609824	278869	
609825	193544	
609826	693	Herself/Commentator
609826	2626	Herself
609826	6994	Club Singer
609826	13784	Performer
609826	59885	Latin Festival Band Member
609826	117124	Herself
609826	181276	Herself
609826	191527	Herself
609826	263972	Herself
609826	264028	Herself
609826	278532	
609826	301246	Herself
609826	360377	Herself
609826	392422	Herself
609826	396438	Music Director
609827	19211	Dancer
609827	35986	
609827	36122	Dancer in the song 'Nanyamain
609827	58429	Latha
609827	155576	
609827	161153	
609827	252227	
609827	320391	
609827	351420	
609828	255169	Michelle
609829	141253	
609829	275233	Go-Go Dancer
609831	48161	Dienster
609832	188386	
609832	362066	Daisybell
609833	372124	Donna del Monte
609834	26448	
609835	354731	
609836	337107	Jane
609837	274257	Mother
609837	288387	Confused Girl
609838	220593	Virgin
609839	105812	Camera Kim
609840	229113	Woman Diner
609840	243744	Maria (Receptionist at Evette
609841	132231	Zoey
609841	311665	Sin
609842	80468	Dana
609842	109659	
609842	330422	Angela
609843	265495	Helen
609843	347537	
609844	116554	Girl at Party
609845	47385	Herself
609845	47386	
609845	169939	Justine Guitry
609845	194666	Hannah Lewin
609845	278692	Rosie
609845	308489	Herself
609845	335530	Donna Marsala
609845	393058	Herself
609846	272944	Fight Fan
609847	140765	Goth 2
609848	73736	Liane de Merode
609848	113978	Billy's Sister
609848	150911	Grace Cramp
609848	166238	Yvonne
609848	188585	Leslie Crosbie
609848	199744	
609848	203787	Vera Worth
609848	345992	Countess Olga
609848	368372	Woman of the streets
609849	47132	Circus performer
609849	308632	
609850	15218	Jeanette Chandler
609850	85893	Carol
609850	127550	The Librarian
609850	130731	Shop assistant
609850	137565	Pam
609850	197740	Lili Carmichael
609850	202467	Yvonne
609850	203286	Angela
609850	229260	Mrs. Shelton
609850	236725	Maureen
609850	300772	Rowena Wentworth
609850	367724	Nurse 1
609850	393335	Rhonda Hennessey
609850	402599	
609851	162407	Emma
609852	80501	Lindsay
609853	103215	Young Wolf Moon Dance
609854	73319	Little Lenny
609855	80430	Bingo Burger Patron
609856	355077	Nokomis
609857	280270	Fighter
609858	48901	
609858	124262	
609858	240920	Old Yuma Chief
609859	339978	Isolde
609859	396009	Lottie Dean
609860	383472	Vallita Pabuena
609860	403125	Dulce
609861	196015	Kay
609862	47474	Essie's Party Guest
609863	102581	Trolls
609864	1348	Herself
609864	2010	Herself
609864	2022	Herself
609864	2259	Herself
609864	2275	Herself
609864	59685	Caroline Lewis
609864	62676	Kay
609864	127510	
609864	379716	Krystal Carey (2003-present)
609864	382419	Macy Alexander Sharpe (1989-2
609865	51989	Ranch Inmate
609866	350507	Woman in wheelchair
609867	19557	Harem girl
609867	147543	Specialty Dancer
609868	92695	Gargoyle/Nun
609869	91235	Queen Elizabeth
609869	230574	Mrs. Parr
609869	320805	Princess Dominica
609870	37113	Marge (Bannion's sister-in-la
609870	313706	Louise
609871	3225	Herself
609871	196781	
609872	231388	Mother
609872	307687	Welsh Woman at Door
609873	47076	
609873	293203	
609873	327306	
609873	327783	
609873	333725	
609873	345834	
609874	172667	
609875	66655	Xenia Rex
609875	279871	Assistant
609876	205746	
609877	14067	Herself - as Dr. Debbie Eappe
609878	169016	Joni
609879	78311	
609880	224536	Herself
609880	367610	Herself
609880	390584	Herself (Episode: Amelia Earh
609881	2593	
609881	10859	Alicia James
609881	88270	Mitzy Muldoon
609881	91858	
609881	114358	Gail
609881	149410	White Dove
609881	184443	
609881	256204	Stacey (Pink Five)
609881	256205	Stacey
609881	269611	Daisy van Plank
609881	307871	
609882	92777	Luffa
609882	123029	Mami of the Fighting Spirit/A
609882	206618	Yurika Misumaru
609882	311935	Additional Voices
609882	389778	Sunao Murai
609882	394421	Yurika Misumaru
609882	402175	Nene Mori
609883	57064	Performance Dancer
609884	92694	Ballroom Guest
609885	133939	Herself
609886	20625	Extra
609887	11519	Child in Van
609887	105069	Young Marguerite
609887	107504	Frances Griffiths
609887	133952	Livvy
609887	204730	Young Julia
609887	340805	Shirley
609887	409401	Rose March (segments 'Sub Jud
609888	111130	
609888	253581	
609888	301553	Ulla
609889	133952	Angeline
609889	184090	Lindsay
609889	261434	May Bailey
609889	408636	Louise Creegan
609889	408638	Louise Creegan
609890	5150	Nun
609890	80781	Emily
609890	100125	Mary Lawson
609890	116466	Lois Elliott
609890	168272	Woman Tourist
609890	230692	Guidance Counselor
609890	243229	Screaming woman
609890	260663	Mrs. Morris
609890	260679	Mrs. Morris
609890	260697	Mrs. Morris
609890	270638	Mrs. Piccalo
609890	368853	Cinema Cashier
609891	53336	Renee
609891	162302	One of the Zebra Twins
609891	381600	The Earl Twins
609892	219893	Mary Taggart
609892	241243	Manageress
609892	408191	3rd village woman
609893	204735	
609894	150880	Celeste
609895	382838	Kelly Musgrove (1998-2000)
609896	53336	Julie
609896	162302	One of the Zebra Twins
609896	381600	The Earl Twins
609897	40238	
609897	386597	Nurse Tara Cummings
609897	391048	Anne
609897	397962	
609898	191647	Maureen McCormack
609898	305371	Eileen
609899	46444	Suzanne Drake
609899	117570	Anne
609899	205171	Jennifer
609899	294238	Anna
609900	7498	Chorus Girl
609900	41930	
609900	190332	Woman on Beach
609900	345860	Slave
609900	350645	Girl with sheepdog
609901	133939	Herself
609902	96989	Relative
609902	212102	Wardrobe Woman
609902	274407	Chica
609903	101036	French Beauty
609904	31060	
609904	366887	Undetermined role
609905	273628	Townspeople
609906	31715	Hollywood Bowl Backup Singer
609906	68232	Tough girl (Death Row inmate'
609906	71474	Dancer
609907	402197	Janet Williams (1986)
609908	240941	FBI Receptionist
609909	244992	Rose
609909	256433	
609910	96658	Lucy
609910	128834	
609910	151293	Ethel Rogers
609910	216826	Rita Challoner
609910	317399	Adriana Peroni
609911	38130	
609911	221228	Frieda
609912	67190	
609912	220350	
609912	276959	The Woman
609912	328513	
609912	368059	
609912	371085	
609913	125884	Child
609914	333120	Child Prostitute
609915	11324	Isobel
609916	170	
609916	25408	Celestine
609916	41785	Miss Lacy
609916	45944	Phyllis/Helen Jerningham
609916	89646	Cora
609916	97525	Joan Barbour
609916	107784	Countess de la Merthe
609916	136551	
609916	144216	Claire
609916	150604	Lola
609916	152870	Pauline
609916	159269	Mrs. Rivers
609916	179032	Lady Clare
609916	219119	Becky Alton
609916	271330	
609916	276706	Nurse
609916	289623	
609916	298042	
609916	299784	Madame Nadine
609916	331382	
609916	342817	Dorothy Allen
609916	347950	
609916	358778	Margaret Benson
609916	360185	Lady Ethel Elsford
609916	367621	Mrs. Anson-Pond
609916	368908	Meta Delatour
609917	52476	Violinist
609917	144453	
609917	168125	Dancer
609917	257553	June
609917	304876	Dancer
609917	347136	Nurse
609917	363292	Bit part
609917	372093	Dancer
609918	26471	Nina Marshall
609919	126067	Boop's Sister
609919	128889	Student
609920	12251	
609920	140179	
609921	110342	Lorraine Dennis
609921	150069	
609921	162892	Jan
609921	194913	Ella Freed
609921	316679	Nancy
609921	328547	Monay
609922	214098	
609923	13348	
609923	72724	Bertha
609923	92551	Mrs. Kredenza
609923	109971	Mrs. Maluch
609923	114575	
609923	122914	Grandma Harvey
609923	130305	Binocular Lady
609923	157848	Granny
609923	185473	Fannoy
609923	190722	Miss Greg
609923	199144	
609923	235227	Grandma Whichcoat
609923	318784	Ethel
609923	349859	Birdie
609923	393457	
609923	410568	Maude Gormley (1972-1979)
609924	119338	Frieda
609924	119344	
609924	331725	
609924	367073	Munchkin Villager
609925	344524	Herself
609926	379716	Donna "that ... creature" Bec
609927	358056	Herself
609928	187048	Striker
609929	54614	Appleton's Wife
609929	84901	Mrs. Peters
609929	223032	Eleanora
609929	313320	
609929	361300	Pioneer Woman
609930	154035	Sam's Mother (adoptive)
609931	84397	
609933	316936	Charlotte Taylor
609934	16471	Clarabelle Lee
609934	64090	Bashful girl
609934	118040	Eleanor aka Stonewall
609934	167311	Stephanie Kendrick
609934	169889	Clarabelle V. Lee
609934	305395	Sue Morgan
609934	312773	Mary
609934	312774	Ella Sue
609934	316955	Annie
609934	321531	Betty Wilson
609934	331421	Steel's Daughter
609934	334367	Susie
609934	372589	Adele Jennings
609935	228639	
609935	317354	Student
609936	16084	
609937	141025	
609938	241892	Mrs. Mead
609939	16915	
609939	38685	Woman in theater
609939	71721	
609939	88990	
609939	149382	Mrs. Stubbins
609939	157866	Mrs. Bates
609939	157886	Mrs. Simpson
609939	183638	
609939	223903	Hefty woman
609939	273786	
609939	312037	Ma Bumstead
609939	329592	Juror
609939	330836	Cook
609940	164560	Roxanne
609941	2136	Amanda Morgan-Green
609942	346405	
609943	41415	Allison
609944	11171	Stunner #2
609944	49347	Señorita
609944	138979	Miranda Alvira
609945	358287	Batman Forever Viewer
609946	113603	Receptionist
609946	181545	Mrs. Will Carlton
609946	199499	Mrs. Burwell
609947	275502	
609948	285008	Mary
609949	280356	Vicky
609950	297787	Ruby
609951	83108	Herself
609952	403805	Taylor Walker (1998-1999)
609953	377281	
609954	342331	Draculino Victim
609955	81446	Gillian Hilden
609956	209170	Dancer
609957	145638	
609957	161594	Ring-a-ding Girl
609957	170602	
609957	194334	Additional Voices
609957	194336	Additional Voices
609957	221267	Carol Potts
609957	304447	Receptionist
609957	323979	
609957	360436	Woman Dumped By Margo
609958	148313	Female Gang Member
609959	107024	Chloe
609959	267605	Janet
609959	338546	Carly
609959	395022	Jodi
609960	39842	
609961	302468	Electra Pollack
609962	19952	
609962	21302	
609962	32238	
609962	33761	
609962	35256	
609962	36779	
609962	42251	
609962	44290	
609962	45484	Sally Parker
609962	45680	
609962	64548	
609962	112446	Dolores Darcy
609962	134271	
609962	185760	
609962	223252	Thelma Duncan
609962	235076	
609962	277998	
609962	278040	Marion Putman (Steve's fiance
609962	321437	Helen Todd
609962	327463	Echo
609962	342839	
609962	360522	Madelyn Phillips
609963	141666	Mrs. Stevens
609964	157324	St. Jude Student
609965	206447	Rita 'Hello Gorgeous' Harcour
609965	308122	Dottie
609966	336746	Nikki
609967	81159	Tracey
609968	1297	
609968	7937	
609968	26983	
609968	34817	
609968	41526	
609968	84894	
609968	85782	
609968	115059	
609968	121639	
609968	128789	
609968	138346	
609968	139157	
609968	148558	
609968	149672	
609968	161969	
609968	219199	
609968	242510	
609968	243543	
609968	249593	
609968	263533	
609968	280654	
609968	295731	
609968	306605	
609968	317249	
609968	317938	
609968	321639	
609968	331726	
609968	332450	
609968	348369	Herself
609970	166746	Jenny Shields
609971	352709	
609972	265506	Staff Worker
609973	2623	Jane Bowman
609973	390523	Christine Everson (1982-1984)
609975	178282	Herself
609978	55698	Colette
609978	112032	Teenage girl
609978	181155	Isabella Sorell
609978	253248	Groupie
609978	288947	Pippa
609978	341669	Mummy
609979	276424	Ada Carpenter
609980	76504	Ann Rudd
609981	370051	Third Couple Woman
609982	105441	Librarian
609982	167601	Paramedic
609982	389876	Aristocrat
609982	402125	Mrs. Jenkinson
609983	349583	Ms Porgy
609984	264816	
609985	97396	
609985	350199	Woodmans Wife
609986	296055	Herself (friend/former lover)
609987	327632	Sarah
609987	371962	Serving Wench #1
609988	223778	
609989	130417	Olive Nelson
609989	280130	Vougette#2
609990	60684	Herself (Dancer)
609990	60685	Dancer
609991	203204	Lauderette Assistant
609992	21203	
609992	37571	Police Officer
609992	85077	Mother Firefly
609992	152930	Lynn
609992	171274	Hospital Nurse
609992	204264	Knull
609992	215363	Strickland's Secretary
609992	217499	Stephanie
609992	221067	Diane Wyatt
609992	259214	Sgt. Debbie Callahan
609992	259216	Lt. Debbie Callahan
609992	259217	Lt. Debbie Callahan
609992	259219	Capt. Debbie Callahan
609992	259221	Capt. Debbie Callahan
609992	264818	Bobbie Sue
609992	308634	Jesse Darcy
609992	323588	Audrey
609992	323866	Bud's Mom
609992	343189	
609992	395271	Rhonda Lee (1980-83)
609992	399244	Herself/panelist (1988-89)
609992	404002	Devlin Kowalski (1985-1987)
609993	93576	Cigarette Girl
609994	262591	Dog Owner
609994	313166	Miss Everett
609995	168261	Patches
609996	405209	Nurse Carla Crozier Leach (19
609997	106631	Mrs. Turner
609998	38849	Elfrida, the Nurse
609999	104967	
610000	121819	Specialty dancer
610001	39905	
610002	80592	Sobbing Woman
610002	327062	Svetlana
610003	112574	Helen McMasters
610004	294391	Ebony
610004	379509	Elen
610004	387378	
610005	14609	Prisoner
610005	31932	
610005	47311	
610005	123357	Carolyn
610005	151191	Maizie
610005	220892	Shop girl
610006	37802	
610006	44313	
610006	54635	
610006	56261	
610006	91874	
610006	118410	
610006	135838	
610006	149152	
610006	233056	
610006	238730	
610006	271070	
610006	278238	
610006	312299	
610006	320950	
610006	362974	
610007	110980	Orange Lady
610007	110981	Uranus
610008	301705	Line Extra
610009	156970	Phone Operator
610009	232071	Susan Nugent
610009	254412	Sally
610009	265605	Sgt. Huntley
610009	274729	Home Ec. Teacher
610009	347369	Candace Lurie
610010	288969	Maria
610011	151183	Society Woman
610011	232104	Helen Cooper/Bug-eating zombi
610011	232106	Herself
610011	287729	Mrs. Quinn
610011	379011	Herself
610012	137563	Nikki Toser
610012	388878	Katie
610012	390185	
610012	399130	Judy Bergman (1995-1996)
610012	401624	Herself (1986-1989)
610013	113883	Boater's Wife
610014	45731	
610015	398990	Agathe
610016	34911	
610016	381661	Hill's Angel (1980)
610017	141591	
610017	195596	
610018	233567	June Gibbons
610019	138874	The Farmer's Daughter
610020	57946	Herself
610020	139227	Girl in Dressing Room
610020	290389	Hogs & Hogettes
610021	4618	Javelin thrower
610021	38950	Oak's girl
610021	47980	Nellie
610021	64844	Singer in saloon
610021	119803	Model
610021	165175	Bobbie Lane
610021	167099	Girl
610021	184955	Waitress
610021	267559	Marie du Pontblanc
610021	270502	Operator
610021	294835	Cytheris
610021	308373	Clara
610021	308382	Harem Girl
610021	309626	Barbara Colson
610021	343160	Girl
610021	363899	Girl
610022	147554	Margie
610023	37062	Woman in Mercedes
610023	42308	Wendy
610023	47922	Mildred Meadows
610023	122076	Katharine Bellaver
610023	142716	Gail Bugliosi
610023	202489	Sandra Wiley
610023	210662	Lisa
610023	219370	Rita
610023	310417	Lee
610023	385824	Janet Banning (1967-1968)
610024	381821	Ensemble (1984)
610026	109288	
610026	160576	Girl in Greasy Spoon
610027	958	Herself - Presenter
610027	2785	Herself - For Your Eyes Only 
610027	11201	Sasha
610027	11203	Sasha La Fleur
610027	42711	Megan (segment "Hair")
610027	79555	Agnes
610027	132823	Herself
610027	158975	Herself
610027	223076	Herself
610027	230328	Herself
610027	243950	Herself
610027	257265	Annah
610027	273308	Janet (nightclub owner)
610027	290945	Professor Fiona Pembrooke
610027	298185	Herself
610027	298186	Herself
610027	301246	Herself
610027	301801	Herself
610027	327060	Warbride
610027	356350	Herself - Choir Member
610027	379707	Sasha
610027	381989	Herself (1980)
610027	389758	Robyn Canmore, Banshee
610027	403484	Groomer/Persia
610027	409893	Herself
610028	283489	Nurse
610029	1154	
610029	2382	Patch
610029	126508	Nada
610029	168289	Woman in Jerry's Apt.
610029	195261	Suzie
610029	230892	Herself
610030	411524	Presenter
610031	5197	Art Student
610031	39142	Lynn Dombrowsky
610031	46334	Maria Maritimo
610031	47744	Child at orphange
610031	94126	
610031	120230	Lisa
610031	151595	
610031	154856	Patricia
610031	155921	Samantha
610031	161278	Herself
610031	171035	Laura
610031	194724	Billie
610031	213159	Mandy Nichols
610031	260156	Tara
610031	262083	Gabriella St.John
610031	271354	Rachel
610031	312011	Sophie Weston
610031	318464	Amanda
610031	330114	Finley
610031	332897	Amanda Block
610031	358292	Harriett Williams
610031	386414	Herself
610032	20334	Rosie Capelli
610032	67196	Jackie
610033	41347	Reporter #1
610033	65695	Herself
610033	340765	Wilma Francis
610033	383343	Co-Host (2000-)
610034	32660	Guest #2
610035	313778	Mary Day
610035	340765	Kate Everett
610036	255168	
610037	1675	Herself
610037	8098	Marge
610037	16354	Marsha Martin
610037	17695	Mrs. Hammond
610037	21153	Narrator
610037	26789	
610037	26839	Jack's Mother
610037	53793	Lucille
610037	54923	
610037	61156	Mrs. Borusewicz
610037	63038	Margie
610037	64386	Marie
610037	66119	
610037	66909	Mrs. Brockel
610037	78121	Mrs. Moore
610037	79675	Norma
610037	81709	
610037	85006	Margaret
610037	93982	Blanche
610037	94211	Sheila
610037	97217	Berry Vannort
610037	113480	Anna-Marie Biddlecoff
610037	120258	Herself
610037	127134	Pearl
610037	129944	
610037	130290	Betty
610037	139591	Ms. Newbound
610037	151556	Mrs. Toussaint
610037	158198	Alice/Donna Ingram
610037	168308	Agatha Rankin
610037	171042	
610037	176480	Joan
610037	187083	
610037	190269	Lottie
610037	190270	Herself
610037	195458	Annabelle Foster
610037	214455	Police Chief Roux
610037	223719	Mrs. White
610037	224257	Isabella
610037	231915	Rita the bag lady
610037	236147	Jean Bollinger
610037	241108	Diabolica the Bad Witch
610037	241496	Alicia Brady
610037	244856	Narrator
610037	249487	Heddy Taylor
610037	273496	Mother Superior ('I'll Die Lo
610037	276426	Dolores Koontz
610037	287728	Judy the Waitress
610037	296686	Louise
610037	306250	Granny Dowd
610037	306308	
610037	314351	Nurse
610037	329484	Aunt Iris
610037	335335	Girl in bar
610037	346408	Mrs. Miller
610037	353752	Woman Caller
610037	358985	Beth Mirasty
610037	361229	Lucy Decker
610037	362323	Judge Shales
610037	363423	Connie
610037	368437	Helen
610037	379644	Additional Voices
610037	382130	Regular
610037	382333	Cookie/Joyce
610037	387598	Various Roles
610037	389046	Mrs. Dingle
610037	391533	Louise Bates
610037	394494	Gwen Twining (1978-80)
610037	397093	Bernice
610037	398140	Aunt Dolores
610037	398670	Mrs. White
610037	399628	Aunt Agatha
610037	401108	Rabbit
610037	402837	Mrs. Whaley
610037	403469	Gloria
610037	405133	
610037	405133	Mother
610037	406481	
610037	407960	
610038	101411	
610039	5197	White House Tour Guide
610039	73804	Amber
610039	119626	Girl Camper
610039	329915	Veronica Shores
610040	271262	Margaret
610041	308931	Yvonne Bolschweiler
610042	65426	Woman in Bar
610043	305592	Elsie
610044	109538	Hooker #1
610044	226877	
610045	79948	Judith
610045	303545	Female DJ
610046	263234	Federal Agent
610047	67041	Jessica McClure
610048	47992	Keesha
610049	249341	Edna
610050	158783	
610051	111809	Children's Executive
610052	77829	Mother
610053	320123	Herself
610053	320150	Herself
610053	407083	Herself (3 Days, Kucha Tribe)
610054	348229	Funeral Goer
610055	208630	
610056	22996	Betty
610056	52489	Mrs. Burleigh
610056	144850	
610056	146247	
610056	203358	Eleanor Gould
610056	239992	
610056	273793	Doris Devereaux
610056	316631	Singer at nightclub
610056	323608	
610056	327270	Rosny Edwards
610056	352724	Edith Goodhue
610057	33935	Woman
610058	204730	Young Maria
610060	6998	Billie
610060	11978	Ann Farley
610060	112476	Bunny Talbot
610060	113600	Lucille Martin
610060	154913	Young Wife
610060	220830	Sally
610060	329481	Barbara
610060	348975	Dolores
610060	363274	Opal
610060	364573	Alice
610061	52142	Mrs. Helen O'Neill
610061	124026	Acorn Prince Narrator
610061	232870	Maureen Fry
610061	289420	
610061	334104	Pub Barmaid
610061	351238	Sandra Dale
610061	371100	Rosie
610061	394146	Carol Cashmere
610061	399459	Agnes Kickerbocker
610062	273996	Woman at Farm
610063	129439	Sheba
610064	363262	Miss Oklahoma
610065	175121	Mia
610066	276263	Det. Sgt. Lynn Kellogg
610066	276264	D.C. Lynn Kellogg
610067	364658	Eliza
610068	77712	Mrs. Hufheinz
610069	203358	Rockette
610069	351427	Ginger
610070	106850	
610071	40829	
610071	126026	Herself
610071	246685	Lenore Hinsley
610071	273558	
610071	319078	Anna Trotsberg
610071	321838	
610071	322782	
610071	346340	
610071	351410	Miss Sweetheart
610071	364439	Woman on Bus
610072	17506	Miss MacFarlane
610072	23557	Mrs. Fowler
610072	72468	Mrs. O'Malley
610072	137213	Carl's Aunt
610072	137971	Princess
610072	147418	Miss Whitsett
610072	176954	Mrs. Orland
610072	206881	Miss Persimmon (old woman in 
610072	218428	Hetty March
610072	220406	Woman at Home
610072	232254	Madame Ormonovich
610072	275104	Astrology Lady
610072	316658	Mildred
610072	329421	Hester Forsyte
610072	331636	Mrs. McGinnis, the landlady
610072	333300	Bessie
610072	340542	Sister Ursula
610072	353370	Zia Lola
610072	366987	Miss O'Brien
610072	372901	Housekeeper #3
610072	375717	Grandmother Peters
610073	47297	
610073	66550	Polly Potter
610073	129543	Gloria Hughes
610073	145835	Mercedes
610073	342988	
610073	360500	
610073	375046	Herself - Cantor co-star
610074	345857	Maudey
610074	388345	Emily Resnick
610075	114738	
610075	124393	Customer
610075	130300	Girl
610075	154885	Gertrude
610075	157469	Mrs. Tinker
610075	178758	Dance Hall Girl
610075	210814	Ethel
610075	324582	
610075	364434	
610076	186021	Laurie
610077	74000	Cheri
610077	224180	
610077	311523	Robin
610078	131227	Bennie Kinney
610079	20632	Dr. Margaret E. 'Maggie' Hanf
610079	33032	Herself
610079	33033	Herself
610079	34646	Herself
610079	53301	Interviewee/Nurse Dorothy Den
610079	55708	Nurse Dorothy Denton
610079	55712	Mary Sage
610079	55718	Sally Barry
610079	59537	Angel Dream
610079	79287	Sue
610079	79918	Young Woman on Ferry
610079	82924	Jill Venner
610079	88856	Nan
610079	88884	Milly Groaker
610079	98167	Ellie Barton
610079	122030	Jane
610079	128252	Laura Knapp
610079	130953	Jill Masterson
610079	158470	Joyce Edwards
610079	165265	Herself
610079	190126	Shirley Winter
610079	195866	Rose Brown
610079	214112	Sumuru
610079	223076	
610079	226884	Diana Forsythe
610079	227022	Melissa Right
610079	229133	Cpl. Jean Briggs
610079	244875	
610079	252848	
610079	262959	Herself
610079	277476	Miss Arleigh
610079	285638	Shirley Hornett
610079	291044	Phoebe Stewart
610079	327707	Ann Clyde
610079	331489	Sophie Clutterbuck
610079	360900	Deirdre
610079	362068	Linda Dickson
610079	362472	Interviewee/'Nurse Dorothy De
610079	368453	Herself
610079	372193	Bit Part
610079	390594	Herself
610079	395363	Herself
610079	400852	Anne Pebble
610080	53308	Rehab Counselor
610081	312934	Russian woman prisoner
610082	123884	Woman
610083	69382	Kate
610084	257182	Little Girl
610085	356896	Doctor
610086	223807	Nancy #2 friend #2
610087	58162	Party Guest
610088	7200	Lady Maudulayne
610088	73304	Marion Fairlie
610088	312285	
610088	332022	
610089	363262	Miss New Mexico
610090	371212	Phoebe Meryll
610091	58162	Party Guest
610091	138053	Ruriko Sakura/Wakazakura II/K
610092	234151	Herself
610093	51302	Herself - Participant/Perform
610093	99512	Niece
610093	172658	
610093	395742	Squiggles (episodes #16-40, #
610093	403379	Mary
610093	403380	Mary
610094	136447	
610095	27934	Dolly (The Hooked)
610096	163137	The lady cashier
610097	121528	Hitler Girlfriend
610097	168238	Balloon girl
610098	120786	
610099	444	Amelie Modin
610099	9521	Clerk
610099	16263	Pilgrenskan
610099	16268	Pilgrenskan
610099	24164	Mrs. Augusta Magnusson
610099	28319	Mrs. Vestman
610099	28352	Ballet dancer
610099	34035	Mrs. Larsson
610099	47607	Mrs. Ebbesen
610099	48001	Mrs. Sofia Duner
610099	78384	Johanna
610099	78399	Mrs. Valldin
610099	94341	Hedvig, housekeeper
610099	95066	Mrs. Marinetti-Bock
610099	107881	Nurse Monica
610099	109976	Anna Svensson
610099	115391	Mrs. Backe
610099	115400	Mrs. Boman
610099	115423	Mrs. Bengtsson
610099	115430	Kristina Broman
610099	115883	Stina, Ivar's Mother
610099	120892	Hanna
610099	121019	Viktoria
610099	122327	Ms. Lauritz
610099	129171	Alma
610099	134263	Emma Carlsson
610099	137732	Halta Lena
610099	138433	Kristin
610099	142760	Mrs. Jansson
610099	142784	Kristina Mikkelsen
610099	142785	Kristina
610099	142788	Madam Flod
610099	142837	Mrs. Lindenstjaerna
610099	147016	Kristina Lundgren
610099	153768	Hanna
610099	154132	Aunt Johanna
610099	154150	Vilma
610099	154203	Berta
610099	154492	Gypsy
610099	174075	Augusta
610099	181076	Kristin
610099	181130	Malin
610099	181131	Malin
610099	181844	'Madame Hoppet'
610099	182262	Aunt Klara
610099	182263	Aunt Klara
610099	182286	Mrs. Bergström
610099	182304	Mia
610099	184925	Agusta Larsson
610099	187662	Nurse Lisa
610099	192657	Mrs. Brockman
610099	198391	Mrs. Engla Johansson
610099	200410	Hulda
610099	204533	Tram Passenger
610099	218996	Teacher's wife
610099	237252	Mrs. Sigrid Bengtsson
610099	237262	Mrs. Emanuelsson
610099	276336	Josefsson
610099	281039	Aunt Carola
610099	284370	Augusta Andersson
610099	303852	Mrs. Sjöblom
610099	303855	Mrs. Norman
610099	303921	Aunt Amalia Bevert
610099	304137	Hilda
610099	304403	Augusta
610099	304404	Mother Johanna
610099	305303	Hulda Malmgren
610099	308194	Harry's aunt
610099	315603	Female Cook
610099	322297	Anna Matilda Blid
610099	322421	Hanna
610099	334039	Fina Jansson
610099	346962	Aunt Gullan
610099	346970	Botilda Rundhult
610099	346971	Hedvig Lysvik
610099	348728	Kersti
610099	350710	Countess Euphrosine von dem R
610099	353005	Kristiana Falk
610099	353021	Agnes
610099	353034	Hulda, Lasse's wife
610099	354569	Mrs. Lövberg
610099	357799	Mrs. Johansson
610099	377316	Hulda
610099	377330	Gustava Hägg
610099	377417	Ma Katrina
610099	378294	Amanda Johansson
610100	13325	Maid
610100	17587	Marie
610100	29558	Cook at the Juréns
610100	34493	Hospital Matron
610100	47997	Mrs. Hansson
610100	47998	Stina
610100	94261	
610100	95066	Ester
610100	95829	Woman
610100	97883	Marianne's aunt
610100	99819	Kristin
610100	101451	Mina, Harriet's parent's hous
610100	115385	Whole saler's wife
610100	115390	
610100	115423	Laura, Larsson's nursemaid
610100	122480	Lovisa
610100	129267	Ida, nurse
610100	135671	Ebba
610100	136613	Mrs. Bergström
610100	136701	Göransson's mother
610100	142788	Mrs. Nordström
610100	146924	
610100	154203	Mrs. Antonsson
610100	166078	Svea
610100	174697	Klara, Saga's housekeeper
610100	178745	Mrs. Nilsson
610100	180076	Wilhelm Acker's Housekeeper
610100	182263	Mrs. Tillberg
610100	182284	Charlotte Andersson
610100	182544	Ms. Mattsson
610100	198274	Grandmother
610100	213294	Anna the deaf
610100	219307	Mrs. Durell
610100	228386	Woman
610100	228419	Magdalena Ledfors, Widow
610100	232736	Owl
610100	235041	
610100	266362	Amalia Larsson, teacher
610100	268348	Mrs. Åberg
610100	277817	Birgitta
610100	283226	Mrs. Cornelius
610100	284102	Olga Grepeclou
610100	288307	Mrs. Lind
610100	293314	Mrs. Höjer
610100	303647	Supreme nurse
610100	306371	Mrs. Pihl
610100	315365	Miss Johansson #1
610100	315549	Maria, the vicar's housemaid
610100	316909	Anna, nurse
610100	320517	An old lady
610100	322271	Hulda
610100	324612	Tant Brun
610100	340434	Neighbour
610100	344377	Kajsa-Stina, waitress at Tupp
610100	346962	
610100	346971	Postmistress
610100	353013	Mrs. Norman
610100	377383	Tilda
610100	377396	Old woman
610100	377424	Mrs. Lind
610101	317497	
610102	55471	
610103	168057	Shilan
610104	235712	
610105	24680	Margaret
610105	64611	Noussa
610105	97918	
610105	126909	
610105	270279	
610105	286540	Samara el-amir
610106	151623	Jane
610107	170238	
610108	225164	Frulein Kablitz, Schwartzkopf
610109	350621	Herself (American Relief Cent
610110	35655	Student
610111	7463	
610111	24178	La concierge
610111	58532	L'infirmière de l'asile
610111	73066	Anne
610111	111122	Mme Gontran
610111	251815	Une femme
610111	346762	La mère de Laurence
610111	354582	La propriètaire
610112	125367	
610113	315173	
610113	365784	Princess Margareth
610114	464	Erna
610114	126399	Julie
610114	171829	
610114	180957	
610114	237724	
610114	263370	
610114	325630	Marianne Wagner
610114	376347	Trude
610114	376398	Julia
610114	387079	
610114	389957	Gina
610114	404763	
610115	390140	Host (1993)
610116	113504	Darla
610118	104899	Eve
610119	324944	La voisine
610120	78218	
610121	99613	Girl in Cafe
610122	51826	
610122	111134	
610122	160820	
610122	377481	
610123	259176	
610124	385663	
610125	84230	Susan Starr
610126	152843	Edith
610127	394976	Honey Kisaragi/Cutey Honey
610128	241689	Nurse
610129	325343	Nurse Lydia
610130	291316	Herself
610131	365922	
610132	29101	Motel employee
610133	192539	Jill Winters
610133	206544	
610133	265104	Agoraphobic girl
610133	276675	Rachel Mayberry
610134	310750	Ms. Fuentalba
610135	399079	Naughty Crew Member (1999)
610136	316603	Irene
610137	49508	
610138	84987	Ma Perry
610139	360304	
610140	102183	Jocasta
610141	39498	Tessie Novak
610141	212242	Jane
610141	215748	Blanche
610141	305898	Girl
610141	355837	Girl on Bus
610142	283462	Mrs. Doody
610143	332198	The Painter
610144	217513	
610145	263	Beebee Moss
610145	5387	Lee Snyder
610145	12937	Katerina Cavalieri/Costanza
610145	39886	Gov. Tracy
610145	47363	Herself
610145	80379	Lydia Larsen
610145	89686	Miss Vashinski
610145	91839	Peggy
610145	95790	Cheryl New
610145	98932	Pat Dixon
610145	116466	Arlene Aldrich
610145	127094	Carol
610145	136510	Tessie Tura
610145	161370	Herself
610145	162159	Herself
610145	195208	Cynthia Lewis
610145	195529	Miriam Prigusivac
610145	198829	Janet
610145	206833	Cecile Andrews
610145	223909	Loralie Brown
610145	223979	Rose Zsigmond
610145	255399	Mom Dunlap
610145	265917	Kathy Stanford
610145	279273	Regina Rich
610145	280365	
610145	330311	Janie Pointer
610145	335799	Linda
610145	340765	Bridget Rossiter
610145	346862	Ruth Whitney
610145	346871	Ruth Whitney
610145	346872	Sandy
610145	383679	Kit Cavanaugh
610145	392834	Belinda Carhardt
610145	397190	Ruth Winterhalter
610145	400236	Maxie McDermott (1983-1985)
610145	402739	Rachel Gunn
610145	404002	Pearl Miller, R. N. (1977)/Li
610145	404337	Various (1981-1982)
610145	409791	Barbara Goodwin (1986)
610146	51051	Kris Keller
610147	291411	Herself
610147	291412	Herself
610148	138494	Second Debutante
610149	342335	Woman in bus #2
610150	5593	
610150	91039	Burger
610150	95278	Elena Hindelang
610150	98341	Lisa Stein
610150	100914	Hanna
610150	119689	
610150	125824	
610150	172213	Carla Kralski
610150	178534	Bettina
610150	182157	Doris, Conni's mother
610150	202785	
610150	258390	Julie
610150	325544	
610150	325668	Susanne Koron
610150	325733	Dr. Braun
610150	325882	Anna
610150	325931	Elke Betz
610150	342088	Jana
610150	345665	Claudi
610150	352057	Uta Körner
610150	377362	Inge Schreiner
610150	398202	Lilli
610150	402532	Ines Schubert
610151	295488	Angel Of Unicorns/Female (seg
610152	134464	Tänzerinnen und Tänzer im Var
610153	8631	Lily Miller
610153	65835	Bess
610153	86042	Mrs. Patterson
610153	117716	
610153	194289	
610153	221324	Matron Agnes Garvey
610153	364863	
610154	171079	
610155	481	Herself as old Woman
610155	12577	Irmgard Strömer
610155	37117	Host #2
610155	175267	Margot
610155	208460	Waltraut Baumann
610155	208461	Waltraut Baumann
610155	208462	Waltraut Baumann
610155	208463	Waltraut Baumann
610155	208464	Waltraut Baumann
610155	208466	Waltraut Baumann
610155	259529	
610155	381728	
610156	381328	Drica
610156	405936	
610157	176649	Sofie
610157	365876	Sarah
610158	36924	
610158	36925	
610158	327782	
610159	58258	Student Zdenka Chalupová
610159	246211	Milada
610159	262225	
610160	222467	Clara
610161	120855	Maria Huber
610162	352041	
610163	34598	
610163	50212	Bea
610163	181451	Stimme im Treppenhaus
610164	17214	Cassy Miles
610164	140133	Ballroom Dancer
610164	220606	Sgt. Kate Blanchard
610164	285067	Birthing Nurse
610165	96730	Grendler #2
610165	218180	Betty the Bovine
610166	182412	Virginia Desk Clerk
610167	11934	La Camerounaise
610168	244054	Kiyo
610168	251819	
610169	7426	Lucie Schmerschneider
610169	11786	Frau Hertel
610169	28561	Mme. Karova
610169	33156	Frau Lintze
610169	33238	Alma
610169	34241	
610169	89575	
610169	92530	Frl. La Roulette
610169	102134	Sekretärin
610169	103066	Gaby
610169	103134	Mrs. Winter
610169	119178	Brunhilde Heidelberger
610169	120332	
610169	120927	Frau Berta Graubach
610169	122555	Tochter Lassen
610169	128997	Ilona
610169	140214	
610169	178356	
610169	178658	Kleinholz' Tochter
610169	178838	Schöne Zigeunerin/Fair gypsy
610169	180198	Näherin
610169	183244	
610169	188733	Henriette
610169	188806	Gymnastiklehrerin
610169	189645	
610169	189673	Fräulein Bretschneider
610169	189836	
610169	198424	Fräulein Kriese
610169	204477	
610169	210081	
610169	224531	Frisiermamsell
610169	225142	Fräulein von Racket
610169	225143	
610169	226159	Ilse Harrer
610169	251528	
610169	254376	Marja Iwanowna
610169	264332	
610169	264438	Prisoner
610169	290764	Frau Desmigneres
610169	301012	
610169	307246	
610169	314894	
610169	323812	
610169	345892	Frau Präfke
610169	347046	Junge Dame im Selbstmörderklu
610169	347831	Frau von Wulkow
610169	350884	
610169	352481	Anna
610169	354790	
610169	356836	
610169	359627	Fräulein Mengler
610169	361414	
610169	366564	Mutter
610169	374332	
610169	376450	
610169	377333	
610170	48302	Norwarts zieke vrouw
610171	139492	Young Jô
610171	404390	Taiko Namino (#1)
610173	270151	School Kid
610174	270151	School Mom
610175	159705	Businesswoman#2
610176	99222	Mina
610177	125031	Inge
610177	179787	
610177	225303	
610177	286823	Virginia
610177	353950	Lisbeth Horger
610178	4640	
610178	17500	Mrs. Bernascoui
610178	20620	Crazy Lady
610178	49268	
610178	63224	
610178	135435	Bardame
610178	155352	Herself
610178	155449	
610178	156616	Sekretärin
610178	159256	Edgar Wallace' Sekretärin/Lei
610178	160597	Woman on the police station
610178	177377	
610178	178878	
610178	184625	Prostituierte
610178	199511	
610178	206210	Herself
610178	209721	Von Binder's Mother
610178	230239	
610178	237717	Charlotte
610178	259643	
610178	284125	
610178	307702	Schluchzende Mutter
610178	313676	Gastgeberin
610178	343758	Ansagerin am Flughafen
610178	345897	
610178	352102	
610178	367052	Ms. Drycunt
610178	375225	Sekretärin von Sir Fielding
610178	376023	
610178	376082	
610178	406520	
610179	5134	Record company's owner's wife
610180	97948	Frau Harms
610181	376437	Wiebke
610182	70574	Flower girl
610182	393878	
610183	325751	
610184	93203	
610184	145645	Rochelle
610184	310648	Gorgeous Nurse
610184	390180	
610185	404943	Charmaine Beukes
610186	248133	Lucy
610187	38751	
610187	134524	
610187	136798	
610187	227942	
610188	216449	Hooker
610189	301947	Susie McIntosh
610190	39680	Suzanne
610190	248445	Dolly, cocktail waitress
610190	305228	Senior Girl
610190	305497	Penny
610190	394084	Bobbi Lou Kallikak
610191	84592	
610192	33399	Herself - Keyboards
610192	42677	Singer
610193	47355	Sally Burke, Buddy's Sister
610194	99222	Anna
610195	104745	German entry (3rd place)
610195	104746	German entry (3rd place)
610195	104755	German entry (2nd place)
610195	189830	
610195	189842	Herself
610195	189846	Herself
610195	189848	Herself
610195	189849	Host
610195	189863	Herself
610196	222881	Rowdy Girl
610197	318509	Zari
610198	12239	Mrs. Clayton
610198	13378	Landlady
610198	14607	Mrs. Pickens
610198	20901	Grandma
610198	30782	Lizzie Allen
610198	33579	
610198	37037	Coroner's Wife
610198	40993	Mrs. Snyder
610198	43882	Amelia Jones
610198	44267	Hurricane Hattie McGuire
610198	44951	Mrs. Chauncy
610198	45232	Mame Alda
610198	58828	Mrs. Scribner
610198	58943	Miss Counihan
610198	67403	Etta Mae
610198	70284	Mrs. Magruder
610198	71928	Mrs. Hastings
610198	72133	Widow Jones
610198	74288	Apple Annie Character
610198	79685	Sarah Harkins
610198	88165	Martha Jenkins
610198	90255	Little Ellen Purdy
610198	92009	Belle Dugan
610198	92435	Mrs. Hastings
610198	96833	Mrs. Conway
610198	105124	
610198	105796	Mrs. Smith
610198	112319	Nadya
610198	114306	Emily Livingston
610198	116370	Mrs. Jackson
610198	128199	Landlady
610198	129231	Borax Betty
610198	130763	Landlady
610198	131806	Johnny's Landlady
610198	135198	Mama
610198	138687	Aunt Addie
610198	140321	Mrs. Ryan, the Landlady
610198	142348	Lady Higby
610198	142875	Homely woman
610198	142879	Mrs. Norris
610198	142880	Mrs. Bradley
610198	143267	Aunt Harriette
610198	143607	Droopy's motoher
610198	146813	Mrs. Randall
610198	147678	Violet Butler
610198	154481	Woman with Checklist at Weddi
610198	154950	Matilda Alden
610198	159259	Aunt Kate
610198	183358	Dakota
610198	183393	Mme. Fifi
610198	183435	Aunt Maggie
610198	183589	Mother Hodges
610198	186450	Henrietta
610198	186556	Miss Minnie Lescalle
610198	186799	Magda, Tea Leaf Reader
610198	186828	Phoebe Leavenworth (Silas' si
610198	189152	Granny Scraggs
610198	192611	Mrs. Crump
610198	193201	Maid
610198	193796	Mrs. Mantel
610198	195473	Mme. Bertha
610198	200478	Señora Moreno
610198	203051	Grandma Lane
610198	203120	Mrs. Maria Hoggins
610198	203155	Esther
610198	208636	Landlady
610198	209588	Mrs. Hastings
610198	210393	Mrs. Hastings
610198	219996	Mrs. Muggins
610198	220341	Ma Hutchins
610198	224092	Mamma Watscheck
610198	224419	Widow Jones
610198	246785	Coddles
610198	247371	Sadie
610198	248447	Maggie Casey
610198	249621	Clara West
610198	258296	Old dame
610198	259761	Mrs. Jennings
610198	260419	Sarah Tucker
610198	264143	Landlady
610198	275431	Mrs. Hastings
610198	276808	Mrs. Elvery
610198	276939	Mrs. Barton
610198	277000	Maggie
610198	277964	Peggy Garth
610198	279599	Aunt Ellen
610198	282041	Granma Quill
610198	283093	'Ma' Pettingill
610198	284905	Mrs. Hopkins
610198	292470	Fitter
610198	297379	Mrs. Glissen
610198	305076	Mrs. Dexter
610198	316217	Mrs. Petrick
610198	320269	Mrs. Packer
610198	326118	Sweet Genevieve
610198	330025	Agatha
610198	330188	Mrs. Hastings
610198	330868	Rhoda
610198	334102	Anna, Maria's maid
610198	337122	Judge Bingle
610198	339407	Mrs. Elizabeth Hardy
610198	345989	Mrs. Ged
610198	346220	Mrs. Minnow
610198	347120	Passenger at Information Desk
610198	348327	Dowager in cable car
610198	349917	Maggie Devlin
610198	350173	Gussie Schnappmann
610198	355837	Wife of Man Shaving
610198	359548	Buria
610198	361681	Mrs. Willits
610198	363031	Nell Peck
610198	363255	Fanny Basscombe
610198	367462	Dowager Sister
610198	372081	Ella
610199	116957	
610200	147500	School Kid
610201	44833	Dancer
610202	17475	Kitty Cognac
610202	30122	Sarah's Aunt
610202	32818	Townswoman
610202	44515	Manicurist
610202	51975	Inmate
610202	52579	Phone Operator
610202	73205	Jessie
610202	110324	Third Nurse
610202	117128	
610202	117485	Secretary #3
610202	134026	
610202	144764	Woman Helper
610202	144989	Nurse Josephine
610202	149261	Secretary
610202	190179	
610202	190210	
610202	203622	Angry Woman
610202	221124	Woman in Cafe
610202	224273	Mrs. Hanson
610202	231131	
610202	233899	
610202	242581	
610202	245689	Mrs. Grannigan
610202	250449	Female golfer
610202	274745	Lady
610202	286064	
610202	295282	Mother
610202	300909	Mother
610202	308592	Maid
610202	311370	
610202	313321	Reporter at Shrine Auditorium
610202	313793	
610202	330384	Tart
610202	346248	Fitter
610203	76110	Top model
610204	13033	
610204	23636	
610204	33268	
610204	54298	
610204	57397	
610204	60897	L'ouvreuse
610204	76030	L'amie de la concierge
610204	107681	
610204	112706	Mme Donnadieu
610204	201030	Une pensionnaire
610204	207771	Mme Fouillet
610204	281580	
610204	289432	Suzanne
610204	345465	L'habilleuse
610204	377948	
610205	6314	
610205	12973	
610205	43715	
610205	49677	
610206	21198	Reporter
610207	134686	Chris
610207	157008	May Ling
610207	164235	Miss Kai
610207	191626	Sunshine
610207	196365	Nisei
610207	205286	Kuklatoi
610207	233787	Chinese Girl
610207	248441	Susan Chow
610207	263339	Hilda Lee
610207	344685	McIntosh's Indian woman
610208	127198	The Fiancee
610208	194167	Miss Drury
610208	199104	
610208	263102	Lady Saltburn
610208	281413	
610209	159172	Irene
610209	259391	Sally
610209	260229	Doris Duke
610209	313468	Jan Ors
610209	316109	Madeline Arnold
610209	354520	Eileen Moore
610210	254507	Nora
610211	64072	2nd Young Maiden
610211	149768	Judy Gardner
610212	391219	Herself - Correspondent (1995
610213	188220	Iris aged 10
610214	42109	
610214	70202	
610214	73284	
610214	207959	
610214	222379	
610214	265147	
610214	283920	
610214	354453	
610215	104716	Herself
610215	104717	Herself
610215	104719	Herself
610215	104722	Herself
610215	104770	Turkish entry (16th place)
610216	28388	
610216	82317	
610216	82853	
610216	99549	
610216	136764	
610216	172002	
610216	173569	
610216	180257	
610216	182808	
610216	214740	
610216	295268	
610216	308325	
610216	370769	
610216	371889	
610216	371892	
610216	375072	
610216	375281	
610216	375852	
610216	377527	
610216	377546	
610217	23187	
610217	24848	
610217	107648	
610217	124218	
610217	175383	
610217	209294	
610217	308325	
610217	370769	
610217	378574	
610217	378579	
610218	122466	Jenny
610219	28389	
610219	35614	
610219	156206	
610219	180227	
610219	320407	
610219	371129	
610220	173226	Puffmutter
610221	71992	
610222	215499	Lupita
610223	120088	
610224	195785	Woman on Train
610225	68252	
610225	80236	
610225	89744	
610225	221884	(segment "El engaño")
610225	338684	Catherine
610225	370152	
610225	371724	Marina
610225	376858	
610225	380145	Nina
610225	382946	Katty
610225	383032	Renata D'Amico
610225	384981	Soledad Vargas
610225	385852	Natalia
610225	389235	Laura Peña
610225	395042	Andrea Mariani
610225	396180	Paula Flores de Ferrando
610225	400945	Perla
610225	404182	Renata
610225	405788	Andrea
610225	412127	Mariel Ortiz
610226	85616	Le Professeur de Chimie
610227	51915	
610227	107362	
610227	137413	Sina
610227	184552	
610227	226229	Female dancer
610227	290234	Prostitute
610227	293133	Gartner
610227	347634	Gisi
610227	359088	Sylvia
610228	226505	
610229	65896	Board Member
610230	363486	Waitress
610231	253373	Loca
610232	55209	Marisol
610232	62485	Patricia
610232	252516	Chica 2
610232	384734	Clara Osma (2004-)
610232	395923	Nuria
610233	378395	
610234	338334	Rena
610234	351428	
610235	14942	Maru
610235	55937	Social Worker
610235	65011	Manu
610236	132641	
610237	186443	Herself
610237	375847	Pachura vocalist #1
610237	395290	Regular performer (1972-1982)
610238	167568	Madeline
610238	288051	Madeline, File Clerk #1
610239	402287	Hostess
610240	19942	
610240	83491	
610240	145195	
610240	202618	
610240	375740	
610241	253373	Cazadora
610242	253373	Loca de la frontera
610243	389667	Host
610243	396209	Dana
610244	67328	
610245	4540	
610245	358255	Mahina
610246	406058	
610246	407304	Mariana
610247	265824	Cinta
610248	85693	Soeur Saint-Charles
610249	48413	Shannon Cross
610249	72854	Elizabeth
610249	121859	Lauren
610249	133686	Elena
610249	389070	Claudia Gibson
610249	395623	Danika Ward
610249	406279	Cherish Pardee
610250	120979	La petite-fille de Jean
610251	144889	Mariano's Woman
610252	5717	Wendy (A Soft Touch)
610253	213588	Yum-Yum
610254	383742	Lisa Kudrow (1999)
610255	57735	Stargher's Victim
610256	14212	1st Black Woman
610256	92155	Rene
610256	109938	Ball Park Vendor
610256	112020	Mediator
610256	120095	Church Lady #3
610256	121512	Girlfriend #2
610256	124794	Frankalina
610256	148198	Brenda
610256	178175	Post Mistress
610256	183879	Waffle Hut Waitress
610256	208873	Miriam
610256	235541	Nurse Selma
610256	270889	Woman Detective
610256	275877	Hospital Receptionist
610256	289024	Lavatory Girl
610256	309535	Big Woman
610257	55928	Doll
610258	83895	
610259	248476	Herself
610259	248478	Pam Echols
610260	81211	Fatima
610260	239224	Girlfriend
610260	390643	Nazira
610262	3388	
610262	14485	Dolores
610262	28727	
610262	44317	Whore
610262	50007	Town Woman
610262	51554	
610262	51624	Anciana Avavar
610262	61756	
610262	103995	Irma Bandala
610262	108078	
610262	148038	
610262	149208	Senora Sanchez
610262	183158	
610262	199912	
610262	215731	Woman doctor (basement ward)
610262	216063	Rosa (adulta)
610262	219312	Lucha
610262	239636	Clementina
610262	252764	Romeo's Grandmother
610262	257900	Elena
610262	258251	
610262	260523	
610262	260571	
610262	267409	Do~a Petra
610262	267455	Nun
610262	287839	La Profesora
610262	292746	Castula
610262	294861	Oti
610262	352005	
610262	369894	
610262	379820	Salomé
610262	383548	María
610262	383688	Remedios
610262	385416	Elvia
610262	387090	
610262	389483	
610262	390174	Elvira
610262	395885	Hortensia Valderrama
610262	399823	Sister Margarita
610262	400490	Tomasa López
610262	403885	Pancha
610262	412195	Lucia
610263	91311	Reportera
610264	349767	Cathelijne
610265	125828	
610265	264277	
610265	314958	Guest at the dinner
610265	322297	
610265	322422	Gullet
610265	322664	Maj-Lis
610266	408771	Caren
610268	197741	Ilsa
610269	127834	Television Weathercaster
610270	28167	
610270	108146	
610271	94423	Hulda
610272	79006	
610273	244676	Ottos Mutter
610274	150723	Girl in Astor guillotine act
610275	142214	Striptease Dancer
610276	19188	Old Woman
610276	121027	Mor til attergløymene
610277	220593	Bettie's Daughter
610277	407184	Herself
610278	103042	Religious
610279	362595	
610280	175399	Franzi
610281	40782	Pilar
610281	48258	Märta
610281	116133	Aino
610281	162817	Freyja
610281	175621	Ming Chow
610281	181086	Hanna
610281	187621	Virgo
610281	366419	Nurse One
610282	281954	Zenzi
610283	231616	
610284	396417	
610285	43452	Herself (first violin)
610285	168682	String Quartet
610285	215696	Performer
610285	215697	Guest Performer
610285	251087	Guest Performers
610286	171079	Annoying Girl #1
610287	964	Reporter
610288	189623	
610289	289513	Mrs. Melton
610290	201346	Shirley
610291	52415	Frightened Young Woman
610292	5195	Krankenschwester
610292	101540	
610292	145495	
610292	153748	Lilly
610292	204581	Elisabeth Mann
610292	219285	Ilse
610292	258384	Mimmi's Girlfriend
610292	268888	
610292	391600	Clara
610292	404478	Anna
610293	215690	Miss Wisconsin USA
610294	321255	
610295	47760	
610296	23817	Lydia
610296	63157	La soeur de Christophe Colomb
610296	139545	Nancy Marsh
610296	248263	Madeleine (segment "La marqui
610296	265222	Une journaliste
610296	280785	Lulu's mother
610296	349421	
610296	392580	
610296	409442	La psychologue
610297	80852	News Anchor
610298	290140	Freundin Pia 2/Friend of Pia 
610299	79182	
610299	259484	
610300	48399	
610301	70958	
610302	331285	Storbert's Daughter
610303	48632	Mace Victim 1
610304	32712	Wife on train
610304	35034	Emilia Steingraf
610304	90702	Signora Baresi
610304	100967	Frau
610304	105523	Elisabeth Burgschwaiger
610304	115985	
610304	119251	Funny
610304	119681	Doris Brenneis
610304	141962	Madame Dubreuil
610304	145607	Frau Dr. Bleichenberg
610304	152742	Senta Blum
610304	153757	Anna
610304	160600	Susanne Akajewa
610304	177172	Theresa Kessel
610304	195689	Celeste
610304	231616	
610304	259556	Marlene
610304	290562	Gnädige Frau
610304	300969	Sidonie's Mother
610304	311916	Tamera
610304	361059	Clara
610305	142559	Signal Corps Operator
610305	301391	Soda Commercial Girl
610305	345690	Frat Party Girl
610306	384115	
610307	301933	Emma
610308	87397	Det. Walker
610308	257577	David's secretary
610309	66194	Dancer
610310	8932	Emma Shaffer
610310	30624	April
610311	153096	Irma
610312	366015	Teacher
610313	202915	Nightclub worker
610314	126067	Mme. DuBarry
610314	126068	Wife in King Henry VIII sketc
610315	197243	
610315	197260	
610316	18855	Female Tree Hugger
610317	294239	Natalie
610318	294239	Natalie
610319	187333	Wheelzone Warrior
610320	20683	Savannah
610320	60332	Herself
610320	86282	Eva
610320	100008	Buxom Babe
610320	106120	Model #5
610320	107151	
610320	178206	Nicole
610320	215508	
610320	360291	
610321	375109	Zig's Waitress
610322	189734	
610322	288244	
610322	293561	
610323	108164	Flora
610323	233174	Regina
610324	395586	Host (spin-off-season)
610325	388656	Herself (attends Little Rock 
610326	87527	Monica
610327	80054	
610327	120050	
610327	145496	
610327	301085	1. Aerztin
610328	89250	Woman in dance hall
610329	142266	Herself (technische Zeichneri
610331	89250	Woman in dance hall
610332	317335	Patti
610332	330412	Cherry
610333	12889	Beschäftigte an den neuen Mas
610334	25254	Ina
610334	26279	Stewardess Curacao
610334	93986	
610334	134623	Egon's mother
610334	163952	
610334	168781	Joke
610334	183124	
610334	311671	Lieneke
610334	338962	Spiritueel leidsvrouw
610334	358022	Woman
610334	384518	
610334	395661	Christien
610334	406100	Mo (1999-)
610334	407179	Scarlet
610335	243265	Kirstin Skraedder
610337	179765	
610337	374549	
610337	385680	Rita Moreno
610337	389840	Dr. Zimmermann
610337	404488	Karin Meis
610337	406321	
610338	330836	Youngster
610339	37472	Receptionist
610339	64815	Agnes
610339	176949	Dede Alexander
610339	328585	
610340	134655	Additional Voices
610341	5519	British Wife
610341	390771	Abigail Blume Bauer (1995-200
610342	408066	Herself
610343	12302	Veronica
610344	10138	Drama Club Kid
610345	266902	Ensemble
610346	110303	Club Dancer
610347	174567	Katharina
610347	290871	Anjas Schwester Barbara
610348	97360	Greta Johnson
610348	117271	Georgia
610348	127238	Woman on Phone
610348	183559	Matron
610348	410959	Sleepy Woman
610349	161293	Herself
610350	41670	Daughter, Older
610352	226777	Judy
610352	313329	Michelle Eberhardt
610352	330620	Spirited Girl
610352	342742	Tyler
610352	379893	Megan (Crimefighting Cheerlea
610353	53301	Interviewee
610353	68111	Writer (EastEnders segment)
610353	108431	Herself
610353	118893	Herself
610353	128307	The Girl in the Red Dress
610353	158286	
610353	273416	Herself/Narrator
610353	300883	Cilla Black
610353	330027	Herself
610353	383747	Narrator (Series 1) (2002)
610353	384696	Herself
610353	393432	Herself
610353	393433	Herself
610353	400651	Jenny
610353	400652	Jenny
610353	401407	Herself
610353	401556	Narrator
610354	278286	His Mother
610356	212023	
610356	327911	Seconda ragazza
610357	164152	Entreaîneuse
610358	404242	
610359	216984	
610359	261734	
610360	100622	
610361	7978	Tricia Boatswain
610362	6419	
610362	8288	
610362	8514	
610362	15295	
610362	23158	
610362	97136	
610362	100625	American tourist
610362	100633	
610362	179405	
610362	180284	Keralis's Girlfriend
610362	204632	
610362	209071	
610362	211483	
610362	214345	
610362	231345	
610362	243890	
610362	248695	Secretary
610362	258924	
610362	259882	
610362	263051	
610362	265282	
610362	285860	
610362	400992	Alexandra
610363	243763	Styx
610364	312252	Marisa
610364	353066	
610365	16860	
610366	349595	
610367	252049	
610368	12117	
610369	322025	Vidéki színésznõ
610369	377143	
610370	26087	Donna Elvira
610370	69972	Antonia
610370	166337	La vierge
610370	278311	Gilda
610371	81192	Jenny
610371	189921	Dr. Gayle Meiner
610371	222707	Mrs. Phagan
610371	294855	Laurie (Frank's girlfriend)
610371	317877	Reena Geldhart
610371	323973	Tippy O'Shea
610371	380391	Regine Lindeman (1977-1978)
610372	373218	
610373	284526	Reporter
610374	113655	Kid #3
610375	41115	
610375	304425	Susanna
610376	75360	Brooke
610377	400009	Gun
610378	2545	Chorus girl
610378	77414	Chorus Girl
610378	142354	Cigarette girl
610378	202856	
610378	207184	
610378	247160	Goldwyn Girl
610378	364461	Goldwyn Girl
610379	381436	Channing Brooks (1995-1996)
610380	6984	Lady in the carriage
610380	74052	Herself
610380	348008	Herself (Mrs. Errol Flynn)
610381	178120	Martha Bradley
610382	292826	Second Windmill Girl
610382	313459	Garindan
610383	72782	Girl in Pool
610383	85850	
610384	129379	Irene Miller
610385	23316	Peggy Marston
610385	57217	Girl
610385	198542	Susie Kettle
610385	365961	Bonnie Jameson
610385	366353	Grover's sister
610386	47293	
610386	241061	Page Boy/Chauffeur/Film Extra
610387	184942	Oil Wrestler
610388	77341	
610388	287595	
610388	300735	Mme. de Frepons
610389	160368	Dani
610390	1053	Olivetta
610390	21484	Marjorie Gordon
610390	21521	
610390	38986	Miss Reed
610390	40781	Adele Grey
610390	41084	Miss Ferguson, school princip
610390	41929	Second Assistant Matron (epis
610390	44020	Nora Yorke
610390	46314	Agnes Bowman
610390	46748	Gypsy's wife
610390	47372	Esther
610390	49922	Susan, Laboratory Analyst
610390	52903	Camille's maid
610390	55417	Dr. Hodges
610390	61159	Mrs. Boyd
610390	64919	Hester Neil
610390	64923	Miss North
610390	66620	Crane's Daughter
610390	70345	Marie
610390	71718	Mrs. Ogden
610390	71749	Hazel Warren
610390	71790	Sally Greenway
610390	72598	
610390	73203	Timid Woman
610390	73230	Mrs. Myles
610390	78761	Miss Bottles
610390	88076	Lady Nelson
610390	92558	Miss Gelsey
610390	107411	Maid
610390	113839	Emma Thatcher
610390	114070	Loey Tsing
610390	115619	Laura Madison
610390	117432	Joan
610390	120335	Amah
610390	124085	Nun
610390	125847	
610390	128170	Miss Mansfield
610390	128377	Margaret Sinton
610390	128654	Gazella Perkins
610390	131454	Tearoom Hostess
610390	133709	Sally Tolliver
610390	142503	Miss Fife
610390	143105	Betty Fletcher
610390	146248	Trina Capino
610390	151079	Esther Summers
610390	157118	Mrs. Gilman
610390	167626	Mrs. Tom Ellis
610390	170363	Joy Farnsworth
610390	175179	Priscilla aka Shorty
610390	178758	Sister Annie Alden
610390	190497	Doris Kane
610390	194873	Nita Lapi
610390	199310	Cho-Cho's mother
610390	199352	Denise Galipaux
610390	201421	Tessie Kearns
610390	202932	Kate Erskine
610390	203718	Mother
610390	205158	Antoinetta Bartelli
610390	205170	Susie
610390	206463	Sarah Hume
610390	207293	Robbins
610390	207582	Sister Genevieve
610390	213298	Mary Mason
610390	215538	Beulah Hackett
610390	221130	Paine's secretary
610390	227351	Nurse
610390	231905	Worried mother
610390	232034	Martha Blake
610390	233612	Superintendent
610390	239599	
610390	239818	Mary Ellen Anderson, as an ad
610390	239841	Norma Murdock
610390	241504	Flora Valenzi
610390	241546	Lucia
610390	244439	Avery Kirven
610390	246358	Belle Galloway
610390	249119	Yvonne
610390	249917	Margarita
610390	259776	Nancy Thing, Polly's Maid
610390	268914	Susan Throssel
610390	271149	
610390	273181	Larry's Secretary
610390	273598	Hannah Randall
610390	274392	
610390	274450	Katie
610390	275678	Emmy
610390	278727	Celeste, Mary's Maid
610390	292470	Lingerie Saleswoman
610390	299935	Miss Lottie Case
610390	300062	Reporter Interviewing in Rehe
610390	304078	Mrs. Wayne
610390	305382	Wheezer's new mother
610390	306395	
610390	307355	Shepherd's Wife
610390	308971	Mrs. Wayne
610390	311278	Susan Brand
610390	315791	Mrs. Krukshank
610390	316048	Mrs. Lacey
610390	316903	Mrs. Lovett
610390	316955	Mrs. Brewster
610390	325026	Mrs. Thompson
610390	327694	Emily
610390	334348	Elsie Beebe
610390	335410	Sen Chee
610390	335456	Winifred Leeds
610390	336031	Miss Spaulding
610390	339010	Margy Webb
610390	341930	Jane Barker
610390	342982	Inez
610390	347319	Miss Adams
610390	352720	Osprey Bacchus
610390	359277	Marian 'Kansas'
610390	360142	Helen Ilchester
610390	362916	Jane Coleridge
610390	366239	Frances Landcrafe
610390	366484	Maria Romagna
610390	367841	Sister Martin
610391	32954	
610391	166240	Bit Role
610392	125825	Beverly Crane
610393	15861	Prisoner
610394	65786	Gina Herriot
610395	348457	Deidre
610396	47831	Sweeper 5
610397	323983	
610398	293099	Meter Maid
610399	29745	Janelle
610399	40330	Bena
610399	40334	Postal Worker
610399	50815	Security Woman
610399	67786	Sonya Warfield
610399	76571	Waitress
610399	87697	Outback Waitress
610399	113547	Girl in Parking Lot
610399	130183	Bank clerk
610399	144913	Nurse
610399	160560	Hospital secretary
610399	166692	Woman in Curlers
610399	207709	Parking Garage Cashier
610399	219859	Motel Blue Maid
610399	237006	Heavyset Woman
610399	250514	Older Waitress
610399	265764	Claire
610399	302769	Singer
610399	327699	Aunt Ruthie
610399	330550	McGregor
610399	370113	DVD's Mom
610399	402156	Various
610400	109330	
610400	109568	
610401	232319	Wife of Bald headed man
610401	343023	
610402	88769	Odette
610402	141279	Landlady
610402	383683	Phyllis
610404	339861	Waitress
610405	27115	Tuckman's Make-Up Woman
610405	79716	New York Reporter
610405	81665	Reporter Kelly Knoxville
610405	190109	Reporter #2
610405	232507	Night newscaster
610405	277949	Female TV reporter
610406	187898	Rosalia
610407	381	
610407	41837	Marisa
610407	85978	
610407	113446	
610407	159740	
610407	204601	
610407	213799	
610407	233083	
610407	247964	La moglie
610407	269461	
610407	286186	The Mother Goddess
610407	356002	
610408	410536	Angelika Kurawski
610409	403532	Herself - Participant
610409	403534	Herself - Participant
610409	403536	Herself - Participant (2001-2
610410	265273	Police Dispatch
610411	296930	Velma
610412	162816	Frenchman's girlfriend
610413	234826	Pige/Girl
610414	82468	Marna Cuicaferri, Joey's mom
610415	117683	Dolores
610415	178028	Screaming Lady
610416	327648	Sarah
610417	7777	Meisje
610417	189890	Mart Roobaert
610417	203408	Anna
610417	213558	
610417	373586	Liza
610417	406203	Sonja Mijs (2000)
610417	408207	Herself
610417	412092	Aja
610418	20625	Extra
610418	95510	Woman at Counter
610419	295819	
610420	15944	
610420	305363	Ann
610420	396033	Linda (1981-1982)
610421	7037	Eve
610422	107022	
610423	106636	Teammate
610423	316211	
610423	363666	
610424	141618	Belly Dancer
610425	80581	Little Sara
610425	331751	Girl #1
610426	10319	Stern's secretary
610426	54997	Janet Tao
610426	74216	Girl on motorcycle
610427	153883	
610427	191560	Mademoiselle Bohr
610428	333119	Mickey's Waitress
610429	126346	
610430	180209	
610432	34113	Herself
610433	388726	Newsreader
610433	401778	TV political commentator
610434	389004	Mme Hérisson
610435	2201	Danielle
610435	21448	Woman at Table
610435	30970	Mercy Graves
610435	40200	Crystal Steele
610435	76571	Crispin's Mom
610435	79283	Maeve Fox
610435	90811	Sarah
610435	90932	Makeup artist
610435	109931	Irene
610435	154969	Diantha's Patient
610435	159262	Beth Sussman
610435	175223	Ali Decker
610435	182989	Sandra
610435	195305	Assistant at Studio
610435	237906	Charlotte
610435	320209	Penny Myers
610435	362453	Dina
610435	379830	Patty Karp
610435	380996	Herself
610435	382160	Laura
610435	392152	Lisa Cuddy
610435	392716	
610435	395312	Patty
610435	399228	Mercy Graves
610435	403147	Rhonda Roth
610435	407022	Mercy Graves
610436	82545	Debbie Bloom
610437	22670	
610437	51724	Hannah
610437	52928	
610437	127943	
610437	217388	
610437	391971	Dr. Claire St. James
610438	149918	
610439	94413	Helena
610439	161970	
610439	317729	
610439	351892	Sharon
610440	78221	Rike
610441	104775	Israeli entry (22nd place)
610443	82030	Waitress Nº 2
610444	23961	
610444	27026	
610444	75030	
610444	75059	
610444	106485	
610444	168069	
610444	228637	
610444	236944	
610444	305736	
610444	327774	
610445	364022	
610446	342390	June the Suburban Mom
610447	2517	Hostess
610447	2776	Herself
610447	2958	Hostess
610447	2977	Angela Benedict
610447	3615	Herself
610447	3767	Herself
610447	4651	Herself
610447	11271	Sally Hobson
610447	13350	Justine
610447	13708	Herself/Hostess
610447	22835	Herself
610447	26717	College Girl
610447	34801	Herself
610447	42340	Herself
610447	42345	
610447	55520	Daphne St. Claire
610447	58900	Herself
610447	60024	Maggie Jones
610447	63086	Herself
610447	63145	Herself
610447	64557	Herself/Ringmaster
610447	69263	Barbara Messenger
610447	69353	Pia Pacelli
610447	80523	Henrietta O'Dwyer Collins (He
610447	99615	Herself
610447	106636	Jesse Newman
610447	108805	Herself
610447	108836	Herself
610447	110998	Dr. Jane Bowers
610447	114704	Susan Gale
610447	114940	Roslyn Pierce
610447	120639	Clemmie Shreve
610447	125910	Lorelei Lee
610447	128711	Lee Rawlins
610447	133453	Herself
610447	135390	Francine Gregory
610447	138700	Herself
610447	139567	Stella Johnson
610447	142370	Terri Ferguson
610447	143455	Tess O'Brien
610447	147637	Herself
610447	151545	Ellen Dowling
610447	151779	Liza Crocker
610447	154193	Herself
610447	154194	Jeannie/Jeannie II
610447	154620	Jeannie
610447	160479	Herself
610447	161199	Herself
610447	177991	Lalumne
610447	188447	Lacy Colbert
610447	195780	Herself
610447	200212	Herself
610447	200323	Herself
610447	210863	Herself
610447	212371	Jackie
610447	228969	Herself
610447	228970	Herself
610447	228973	Herself
610447	230675	Laura Rogers
610447	233267	Kay Goodman
610447	242942	Charlie McKeon
610447	243145	Herself Hostess
610447	245247	
610447	264906	Sgt. Katie Mulligan
610447	276794	Mary Beth Allen
610447	277902	Augie (Augusta) Poole
610447	292463	Kathy McCormick
610447	314441	Laura Harding
610447	315256	Liz Stonestreet
610447	316268	Ann Collins
610447	321566	Carol Walker
610447	337154	Barbara Norris
610447	342195	Herself
610447	342197	Herself
610447	342229	Herself
610447	342238	Herself
610447	342381	Lucy Hall
610447	352701	Jeannie
610447	355391	Jesse Newman
610447	357083	Lt Cathy Connors
610447	360307	Molly (waitress)
610447	365740	Miss Carstairs
610447	367488	Dina Hunter
610447	367579	Tess Harding
610447	368033	Greta Heinrich
610447	371026	Lissa Paxton
610447	372831	Herself/Host
610447	372865	Brenda Andersen
610447	382666	Barbara McCray Gibbons
610447	385594	LeeAnn De La Vega (1990-1991)
610447	391071	Stella Johnson
610447	392184	Loco Jones
610447	392401	Jeannie
610448	165966	Anxious tunnel lady
610449	75060	
610449	93709	
610449	160777	
610449	264735	
610449	402215	Herself
610450	275484	Leah
610450	306275	1st Lady in Waiting
610450	365970	Naomi
610451	267174	Waitress of the Gas Station
610452	47891	
610452	265288	Showgirl
610452	350012	Dancer
610452	397288	Nurse
610453	111383	Mrs. Pollard
610454	120323	Matron
610455	315718	Ruth
610455	340918	Hadassa
610456	137402	Bedstemor
610456	284271	Féridé
610459	32217	Angela Boynton
610459	55719	Khasi's wife
610459	120290	Cigarette Girl
610459	142672	High Priestess
610459	226931	
610459	242712	
610459	243293	Colette
610459	270776	Daphne
610459	306414	Eve
610459	360900	
610459	410539	Miss. Walker
610460	151919	Mother
610461	108290	
610462	321731	TV News Anchor
610463	395879	Social Worker
610465	275346	Helga
610467	104763	Herself
610468	94488	Madame La Gourdan
610469	292856	Norma, the Photographer's Ass
610470	72494	Sophie
610470	253628	Demon Nanny
610471	381451	Business Correspondent (2004-
610473	1793	Miss February 1989
610473	257647	Herself (Miss August)
610473	257859	Herself
610473	361862	
610474	180693	
610475	96614	Girl
610475	209612	
610476	38248	Number 11
610476	209210	Refugee
610477	259454	
610478	12103	
610478	82019	Veronika
610478	208461	Monika
610478	208466	Monika
610478	239020	
610478	259516	Cornelia Pagel
610478	259666	Bärbel
610478	290584	Frau Milka
610478	312638	
610478	361426	Pionierleiterin
610478	374625	Prinzessin
610478	397451	
610478	411995	
610479	323972	Jane
610479	357151	Della
610480	79963	La Bohème Waitress
610481	47377	Herself
610481	223904	Herself
610481	223905	Herself
610481	283546	Vocalist
610482	102527	Stewardess
610483	361007	Yvonne
610484	51475	Lady ticket taker
610484	247143	Shirley
610485	248661	Angel
610486	364910	
610487	112250	Herself
610487	321441	Herself
610488	11713	
610488	142219	Teenager
610488	153740	Maja
610488	211233	Sörgårds-Lisa
610488	214385	Office Employee
610488	239900	Jane
610488	240069	Herself
610488	357769	
610488	379764	Sörgårds-Lisa
610489	104807	Elvira
610489	357777	
610490	377304	Agda, Age 13
610491	11713	Kerstin
610491	101611	Sanna
610491	104807	Sara
610491	138449	Hannah Andersen
610491	211233	Kerstin
610491	281908	Girl with fishing-rod
610491	287568	Nora
610491	379764	Kerstin
610491	381311	Mercedes
610492	161731	Nun
610492	280653	The Holy Sisters: Sister Hart
610493	222636	Reporter #1
610493	405209	Selena Bradley (2000)
610494	263830	Olivia
610494	380107	Catalina Heredia de Solís
610494	384390	Helena
610494	402152	Olivia
610495	331738	Secretary
610496	267608	Herself
610497	21450	
610497	33084	Clara Bradley
610497	37882	Lady Blagden
610497	45681	Mrs. Jenkins
610497	47533	Vera
610497	47860	Mrs. Vandaline
610497	54446	Lady Kipps
610497	59507	Lady Eva Bracknell
610497	83115	Mrs. Harbottle-Smith
610497	85808	Miss Loftus
610497	94977	Mary Delamare
610497	107899	Aunt Alice
610497	107900	
610497	114197	Lady Houston
610497	126293	Mrs. Wilberforce
610497	138205	Lady Deeping
610497	141081	
610497	141625	Mrs. Harcourt
610497	163289	
610497	185750	Countess
610497	186811	Lady Constance
610497	188652	Lady Warminster
610497	190782	Lady Rocker
610497	196947	Duchess Amelia
610497	204551	
610497	210437	Donna Lola
610497	221165	Sylvia
610497	231998	
610497	291506	Mrs. Pottinger
610497	308180	Mrs. Delvaine
610497	327213	
610497	335582	Mrs. Herbert
610497	342489	
610497	358876	Augustine
610497	359440	Lady Bayswater
610497	363700	Lady Weaver
610498	330750	Gladys Presley
610499	391869	Sarah Lewis (2004)
610499	392121	Trish (1996)
610500	131232	Butcher's wife in Much Wenloc
610501	283525	Rust
610501	398050	The Mole (2003)
610502	362276	Joanne
610503	222784	Bud Rider
610503	236950	Girl at mall
610504	39905	Michelle Weston
610505	131232	Maypole dancer/extra in Much 
610506	108087	Dancer
610507	45853	Featured Party Zombie
610508	340770	June Bamber
610509	232127	Rosita
610510	190933	Margaret
610511	280433	Herself
610512	127834	Betty
610512	244420	Reaper #2A
610512	279460	Party Guest
610512	317894	Cunningham
610513	249579	Featured Party Guest
610514	10502	Maya Angelou
610515	72689	Irene Roth
610515	385653	Eileen Walker
610516	83895	
610517	49998	
610518	103326	2nd Band of Thieves
610519	87341	Norma
610519	128246	Laurie
610519	346178	Peggy
610520	40101	Liz Kempson
610520	40103	Liz Kempson
610520	40104	Liz Kempson
610520	79858	Erica Watson
610520	109287	Chiana
610520	109288	Chiana (live and voice)
610520	388452	Chiana (1999-2003)
610520	388453	Chiana
610520	404678	George (2003)
610521	315360	Ulla Koger
610522	1106	
610522	8163	
610522	185397	Liv
610523	158325	Herself
610524	377287	Writing woman
610525	165825	April Steinmeyer
610526	48373	Rullan
610526	116134	Lena Boman
610526	362990	
610526	382321	Ängeln (Angel)
610527	363268	Ellen Keeney
610528	133447	Mother at Picnic
610529	404768	Taffei
610530	193604	
610530	287360	
610530	288141	
610531	69381	Kevin's Mum
610531	378628	Yvette Carte-Blanche
610532	92701	
610533	115281	Shower Silhouette
610533	296325	Klownie
610535	25648	
610535	53685	
610535	57910	
610535	221577	
610535	258106	
610535	301132	
610535	306698	Laura
610535	307196	
610536	1260	
610536	67361	Age 44 - Divorced Mother, Chr
610536	232082	Fish
610536	327394	Mrs. Hearty
610536	359440	Mrs. Corner
610537	135420	Dolorès
610537	138588	La chiromancienne
610537	202580	
610537	350246	Comtesse de Kerlor
610538	231479	Interviewerin
610539	278516	Brandi
610539	302329	Old Town Girl
610540	318775	Polly
610540	405461	Hotel Receptionist
610541	130180	Pam
610542	30683	Immigraton Officer
610543	134154	Nymphomaniac
610544	186592	Mrs. Anna Ritter
610544	193298	Annarella Swedenhielm
610544	304200	Malin Malm
610544	320692	Journalist
610544	334041	Malin
610544	334042	Malin Melkersson
610544	334043	Malin Melkersson
610544	353020	Malin Melkersson
610544	387196	Gunilla Holmen
610544	407260	Malin (in episode 12 as Louis
610544	410044	Malin Melkersson
610544	410462	Marianne Åqvist (-1999)
610545	305658	Gypsy
610546	297233	Diane
610547	195221	
610548	167056	
610549	173383	Ylva
610549	321986	
610549	388894	Carolin
610550	365485	
610551	105362	Maj-Britt as adult
610551	192647	Miss Lundgren, school teacher
610551	304408	Johanna, his daughter
610551	304425	Anna, maid
610551	347025	Margit Modin
610552	80792	Heather
610553	115424	
610554	291653	Faddes Wife
610555	303661	Employee at Carl M. Lundh
610555	322420	Måns' girlfriend in Lund
610556	178114	Hooker
610557	227924	Evdokiya
610558	390335	Herself
610559	212084	Herself
610560	148243	Narrator
610561	71474	Dancer
610561	286702	
610561	367055	Crow/Emerald City Citizen
610561	380713	Beverly Taylor (1984-85)
610562	182947	Jane II
610563	117745	Alma Todd
610563	365342	
610564	10945	Newt
610565	116924	Assistant Madame
610565	131753	Annette
610565	307620	School teacher
610565	335934	Ant's Mum
610565	339411	Constable Miller
610566	32052	Dancer
610566	280081	Roxy dancer
610567	148636	La soeur
610567	264367	Madeleine Broussier
610567	275657	Solange
610567	287619	Isabelle
610567	403826	
610568	68786	Josephine Boyle
610568	80903	
610568	112049	Hotel Maid
610568	148998	Renée
610568	195407	Libby
610568	241551	Sarah
610568	289099	Nicky
610568	302143	Eva
610568	385307	Ashley Watt
610569	346956	Peggy
610571	7512	Stenographer
610571	10722	Autograph Hound
610571	42068	Woman waiting for telephone b
610571	42731	Passerby Student
610571	78185	British Export Bureau Secreta
610571	96843	Marie Carmine, a Bridesmaid
610571	115483	Nurse
610571	133727	Secretary
610571	143588	Miss Barnes, Vance's Secretar
610571	160946	French Girl
610571	202248	Student
610571	236901	Paula Brent
610571	241349	First Bride
610571	297889	Rockwell's Secretary
610571	302669	Nurse, Hospital Receptionist
610571	316482	Girl
610571	330336	Secretary
610572	77217	Sheila Harvey
610572	105959	Annie
610572	276804	Emery
610572	291503	Kathleen
610572	388982	Rita Bradley (1989)
610572	391243	Ros
610573	350506	Young Rose Crawley
610574	308096	Mary Thomas
610575	16004	Guard
610576	406635	Dora Bastable
610577	156524	Messenger
610578	350506	Rose Crawley
610579	120477	Young Margaret
610579	372717	Sue
610579	383631	Student Nurse Helen Chatswort
610579	400412	Mandy Price
610579	407699	Josephine (1993)
610580	309807	Lesbian In Park
610581	110450	Chief Insp. Beckwith
610581	173353	Lillian
610581	401386	Carol Cochrane (1992-1993)
610581	401828	Nursing Sister
610582	140310	Amy Madison
610583	257627	Herself
610583	257645	Herself (Miss December)
610583	257859	Herself
610583	257863	Herself (Playmate of the Year
610583	257866	
610583	361862	
610584	277098	Hooker
610585	317	Keba
610586	276643	Lady in Saigon
610587	149434	Cheryl Spriggs
610587	197016	Lucky
610587	270348	Alma Cherry
610587	277042	Young Vicky
610587	312539	
610587	316191	Susan Wayne
610588	49699	
610588	54402	
610588	84064	
610588	106306	
610588	115191	
610588	120715	
610588	129885	
610588	177053	
610588	234419	
610588	353980	
610588	355006	
610588	377158	
610589	210324	
610589	358535	
610590	158684	Steph Thornhill
610592	381278	Charlotte
610592	388269	Polly
610592	396772	Mrs. Grant
610592	406936	Miss Baxter
610593	84954	Inez
610593	117281	College Girl
610593	170538	Enid
610593	245069	Christine
610593	288972	Vicki
610593	392239	Dancer in cage
610594	74712	Maria Rodriguez
610594	117281	College Girl
610595	400806	Candy (1993)
610596	405217	Marthe
610597	204747	Dark Haired Woman
610598	194074	Psychological Counsellor
610599	191394	Model
610601	157195	Dancer
610602	315144	Mrs. Foster
610603	37681	Cynthia
610603	309804	Yacht Girl #1
610604	28444	Marnie
610605	330501	Movie Voice
610607	303522	Woman Interviewer
610608	297937	Millie
610608	306744	Liz
610609	318814	Mrs. Atman
610610	352760	Little sister
610611	18288	Naomi
610611	346598	
610612	38677	Maddie
610612	47232	Young Britney Spears
610612	59721	Bully Lamb
610612	71851	Emily
610612	99971	Young Joy
610612	150998	Bethany
610612	163649	Sally
610612	181996	Additional Voices
610612	191244	Young Kiara (lion growls)
610612	194963	Gina
610612	218378	Tina Corman
610612	218415	Additional Voice
610612	221480	Herself (Young Britney Spears
610612	222308	Young Billie
610612	271172	Amy Davis
610612	311037	Girl in tram
610613	46876	Bridget
610613	202977	Mrs. Davis
610613	305647	Prof. Smithy's wife
610614	7419	Esther
610614	38358	Lynne Morton
610614	41392	Kate Manning
610614	75797	
610614	76744	Simone
610614	78764	Maud Ruthyn
610614	79729	Winnie
610614	119491	Jenny Trent
610614	138184	Marjorie
610614	139181	Louisa Gradgrind
610614	145044	Heather MacLeod
610614	145050	Heather MacLeod
610614	158358	Carole Richardson
610614	171071	Anneliese
610614	190749	Dee
610614	198924	Natalia
610614	211727	Marie Antoinette
610614	216008	Celia Rudbeck
610614	222749	Lyla Milburn
610614	224381	Ellen
610614	224566	Mary Cavendish
610614	263794	Susan Covington
610614	340509	Ann Kusters
610614	365255	Sadie
610614	386991	Louise
610614	390168	
610614	396009	Nancy Ellis
610614	407826	Annabella
610615	16747	
610615	140693	Dorothy Wetherby
610616	177638	
610617	47423	Guard Sawalee
610618	126056	Demonstrator
610619	226459	Yayoi
610619	232542	
610619	299581	Reiko
610620	132955	Inspecteur Boreli
610621	65120	Blanche-Neige
610622	35836	
610622	288358	
610623	103124	Herself
610625	102513	
610626	4618	Handmaiden (Miss Hawaii)
610626	83610	Handmaiden
610626	264537	
610627	69409	Honkytonk Girl
610628	379341	Additional Voices
610629	236924	Danae Hahn
610629	380391	Stacey Winthrop #2 (1989-1991
610629	389858	Tanya Roskov Jones (1984-1987
610629	390771	Dr. Eve Guthrie Wyland (1992-
610630	349575	Maj
610631	114557	Iris Voice
610632	342308	Dancer
610633	84296	Herself
610634	50718	
610634	106310	
610634	142770	Sara
610635	30983	
610636	104936	Wendy (segment "Crackpot")
610637	168627	Ruth Melden
610637	378880	Woman #3
610639	30144	Journalist
610640	167056	Sandra Fried
610640	394322	Sofia
610640	412208	Johanna Östberg
610641	182101	Member of Ladies' Orchestra
610641	394925	Bass player
610642	142726	
610643	202778	Mamman
610644	404879	
610645	41795	Mrs. Gianini
610645	95482	
610645	154087	Mrs. Bronson
610645	272646	Gran
610645	316969	Meg
610645	365247	Mrs. Summers
610645	379266	
610645	381608	Harriet Downs
610645	390917	Miss Brewster
610645	405725	
610646	385151	Coffee
610647	310728	Woman on phone
610648	326630	The Girl
610649	97609	The Neighbours
610649	312591	
610650	16760	Monica Alt
610650	39757	Christine Shaw
610650	51855	Cleopatra's Lady Attendant
610650	69234	
610650	70076	Mrs. Abo
610650	89886	Lucy Webster
610650	123228	
610650	140544	Sorel Bliss
610650	249237	
610650	291487	Fred's Wife
610650	303485	Christina Frazer
610650	372585	Gerda
610651	251798	Girl Electrician
610652	122113	
610652	404879	Julie
610652	408893	
610653	106835	
610653	106914	
610654	264157	Lady Blake
610655	135974	Beatrice
610655	369384	Workhouse Woman
610655	381599	Ebba Bladh
610656	137487	Mrs. Hassan Ali
610656	207510	
610657	126606	Yasmin
610657	174231	
610657	208477	Model
610657	208478	Model
610657	392656	Various Roles
610658	255009	Te Tiwha
610659	49366	Venus
610659	67445	Shouting Woman
610659	140405	New tenant
610659	202619	Landlady
610659	230947	Citizen
610659	267568	Delilah
610660	206418	Antoinette Edwards
610661	299944	Alta Brown
610661	334597	Herself (first wife)
610662	168939	
610663	17941	Diana the Temptress
610663	52312	Herself
610663	202372	May
610663	257644	Miss October
610663	257863	Playmate of the Year, 1984
610663	257865	Herself
610663	328256	Lady Electric
610663	352693	Herself
610663	361862	
610664	117230	News Anchor
610664	340713	TV Reporter
610665	70347	Dancer
610666	123404	Fiora Abruzzo
610666	360699	Laine
610667	381821	Ensemble (1977)
610668	84521	Psychiatrist
610669	29101	Edwards (trucker)
610670	276654	Dr. Hollis
610670	350782	Anna
610671	25389	Undetermined Role
610671	88666	
610671	147329	Party guest
610671	210807	
610671	313076	Dancer
610671	345740	Clementine
610672	396112	Kate Lovejoy (1986)
610673	321182	Baby Randy
610674	157978	Turtle Choir Member
610675	360436	Woman in Red
610676	370851	Charge Nurse
610677	292175	Kid in commercial
610678	223026	Train Patron
610679	348612	Meg
610680	73361	Made-up woman
610681	308018	
610682	28650	Kath
610682	183868	Social worker
610683	86702	Herself
610684	8083	Herself
610684	75883	Sharon
610684	111467	
610684	141632	Sophie Payne
610684	273604	Bessy
610684	316750	Gail
610684	352682	Mrs. Bevan
610684	381624	Ruth
610684	381625	Ruth Lewis
610684	381627	Ruth
610684	401689	Britt Monk
610685	385299	Mrs. Oakley
610685	400614	Nancy
610686	119223	Angela Poitrier
610686	126457	Lore Falk
610686	207749	
610687	151166	Mrs Collins
610688	30788	Dale Bailey
610688	31063	Mary
610688	75541	Tina Enright
610688	77794	Girl
610688	136034	Ann Thomas
610688	139275	Vince's Girl Friend
610688	160454	Anne Balcom
610688	190179	
610688	239759	Terry Ramsey
610688	267545	Gladys Harley
610688	331289	Lois Collins
610688	372183	Laurie Maitland
610689	75465	Mrs. Wilde
610690	111928	Shprintze
610691	77805	Chorus girl
610691	313076	Dancer
610692	333627	
610693	256188	Mary Ann Kowalski
610693	291509	Nora
610693	349022	Knight's secretary
610693	358331	Debbie
610694	298239	Bertha Kincannon
610695	84451	Helen Durbin
610695	117128	
610695	221099	Sally
610695	234236	
610695	321320	Simone
610696	158818	Christie
610697	68697	The Company
610698	206813	Herself
610699	206575	Herself
610700	176877	Gran
610701	262054	Miriam Sisulu
610701	360129	
610701	397388	Bonnie
610702	251054	Secretary Miss Baker
610703	124177	Girl #1
610704	157222	Little Girl
610705	40763	Zora
610705	126508	Willy Loman
610705	158053	Alice Miller
610705	164235	Dr. Lena Gant
610705	269859	Judy Lipton
610705	382277	Sharon LeMeure (1991-1993)
610705	388347	Hilary Kozak
610705	389501	Vicky Larson (1991-1993)
610705	393082	Dot Higgins
610705	393083	Dot Higgins
610706	44005	Receptionist
610706	105805	Tracy
610706	129516	Kyla
610706	253510	Kimberly
610706	272026	Michelle
610707	381091	Herself (eliminated round 1) 
610708	39518	Norma
610708	119621	Nurse Mary
610708	303262	Mrs. Henderson
610708	363528	Janelle
610709	195134	Barbara Joan's friend
610710	381584	Lily
610710	402187	Herself
610711	21160	Herself
610712	316779	
610713	110996	Ann Bowland
610713	297993	Sarah Swinburne
610714	245305	Roisín
610715	329579	Honey
610716	139647	Eva
610716	320690	
610716	341026	Anette
610716	390854	Dovrehäxan
610717	11031	Bubs
610718	128577	Deidre
610718	147980	Priya
610718	399204	Mary Ann Summers
610719	38872	Extra
610719	331234	Kristen's Cousin #2
610720	199475	Hospital Nurse
610721	80834	Restaurant Patron
610722	15834	Aunt Vera
610722	32131	Rose
610722	87423	Hospital cleaning lady
610722	191098	Dancer 'Eat the Music'
610722	210541	Woman at Newstand
610722	246688	Landlady
610722	249076	Landlady
610722	250448	Tea Bar Lady
610722	272675	Sister
610722	391769	Aunt Gaynor
610722	397182	
610722	403719	Mrs. McGregor
610722	408018	Mrs. Cuffy
610722	408644	Irate Woman
610723	119521	Zoe
610723	165474	Audience member
610723	231426	Cafe Patron
610724	11632	Ann
610724	54997	Lydia Barrett
610724	80034	
610724	113553	Ellen Frankenthaler
610724	129772	Chris
610724	139175	Female Cop
610724	141955	Heidi
610724	149298	Jennifer
610724	192425	
610724	201845	Laurie
610724	203549	Nancy
610724	245716	Helen
610724	252917	
610724	253896	Maggie
610724	284538	Lila
610724	308400	Yussa
610724	311791	Herself (segment The Heidi Bo
610724	319175	Victoria Alperin
610724	329579	Megan Fairchild Bartlet
610724	350182	Jodi Remington
610725	9897	
610726	312341	
610727	338131	Self
610728	146752	Joan
610728	291347	Herself
610728	393568	
610729	131232	Extra
610730	22732	
610730	115432	Secretary
610730	252825	Melody's Friend
610731	336165	Tara
610731	362176	Alice
610732	198567	Camera assistant
610733	224676	Maxine Rae
610734	211533	Mermaid
610735	114593	Lavinia Wade
610735	315198	Karma
610735	333666	
610736	194074	Sophie
610737	7173	Rita
610737	92852	Videl, Goten, Gotenks
610737	386922	Goten (2001-)
610737	386923	Pocawatha (2001)
610737	411884	Murugu
610738	32243	
610738	230701	
610738	319935	Melissa
610739	38378	
610740	151780	Mrs. Ormstead
610741	71286	Dr. Lewis
610741	336204	Performer
610742	2303	Herself - Performer
610743	40834	Neighbour 2
610743	95499	Mrs. Muspratt
610743	119552	Ron's mother
610743	141596	Resident
610743	188033	A Possum for Peace
610743	275442	Mrs. Carter
610743	341594	Mary
610743	361291	Molly
610743	366087	Lady in train
610743	388977	Freda
610743	404394	Mrs. Coleman
610744	391869	Tammy Newton (1990)
610745	397740	Lorna (2004-)
610746	340479	Mary Ann Perkins
610747	45505	Old Woman in Bar
610748	367917	
610749	228298	Pyramid Team
610751	114349	Tara
610751	135967	Brianna
610753	80610	Nurse Alice
610755	103280	Lauren Garrison
610756	106362	Mrs. Davidson
610757	65763	Mrs. Charlton
610758	144347	Reporter
610759	12738	Male Barracker
610760	400709	Lopez's Maid
610761	232870	
610762	122778	Life's Assistant #1
610763	45662	Mary Todd, age 10 months
610764	298093	WAC enlistee
610765	224404	Marion
610766	71429	Herself (model)
610767	153630	The Naked Truth
610767	319262	Mirra Budd
610768	5322	
610768	30415	
610769	254922	
610770	262591	Tanya's Priestess
610771	9032	Dorothy Dunlap
610771	26137	Schoolgirl
610771	32807	Marianne
610771	117130	Marianne
610771	147754	Little girl
610771	170768	Joan as a child [Ch.1]
610771	192064	Elsie, Orphan
610771	195768	Barbara
610771	196915	
610771	256113	
610771	300330	Marianne
610771	312061	Marianne
610771	326400	Marianne
610772	120014	Mall Mother
610773	195134	Hailey's mother
610774	219255	
610775	130863	Mary Daley
610775	350645	Herself
610776	127394	Adarene Clinch
610776	308382	Rosine
610777	39218	
610777	48287	A Guest in 'The Hole'
610777	140868	Mandy
610777	278790	Mrs. Johnson
610777	366884	Jasper's Wife
610778	129105	Elena
610779	28931	Duchess of Hartlepoole
610779	49874	Woman Passer-by
610779	116172	Phyllis
610779	128075	Mrs. Griffits
610779	154863	Mrs. Jones
610779	175797	Mrs. Glass
610779	222654	Customer
610779	224068	Aladdin
610779	231775	Singing Voice of Gene Tierney
610779	242092	Mrs. Davies
610779	256292	Mrs Webster
610779	290334	Bella Donna
610779	299191	Lizzie
610779	323384	Matron
610779	344176	Henrietta Jekyll
610779	346020	Mrs. Utah Watkins
610779	358651	
610779	406673	Pollie Boulter
610780	29320	Supreme Court Judge
610780	38864	Bev Howard
610780	43771	Mum
610780	74215	Kate Woodman
610780	108926	Mrs. Morton
610780	144785	Ellen Corbett
610780	154087	Mrs. Carmichael
610780	166738	Magistrate
610780	232470	Mother
610780	278718	Matron
610780	334250	Valerie
610780	342871	Liz's mum
610780	379744	Aunt Agnes
610780	381343	Miss. India
610780	385105	Matron Rosemary Prior (1991-1
610780	388977	Rosemary Daniels
610780	395091	Alice Burgess
610780	399130	Marcia Taylor (1985)/Ruby Dwy
610780	405209	Dr. Patricia Hewitt (2001-200
610781	329396	Patsy O'Connell
610782	31875	Cecily
610782	258951	Joy Greer
610782	283189	
610782	325995	Sara
610782	359010	Kim
610783	194497	Mrs. Proudfoot
610784	258082	Michelle Mosscroft
610785	178	Herself
610786	295853	Herself
610787	209133	Michigan Girl
610788	67152	Mrs. Bennett
610789	5833	News Anchor
610789	11420	Mrs. Strathmore
610789	92491	Giggling Girls
610789	177247	Michelle
610789	184099	Young Nurse
610789	191503	Guard
610789	210469	Black Woman with Baby
610789	238152	Bank Teller
610789	283420	Police Dispatcher
610790	65184	Clarence's classmate
610791	185639	Wedding Guest
610792	131232	Extra
610793	131232	Extra
610794	255807	Girl
610795	16127	Maternity nurse
610795	209626	Leslie
610795	297267	Dianne Hellinger
610796	194513	Miss Chilperic
610797	40533	Mrs. Czernik
610797	142870	Lydia
610797	153205	Verna
610797	199982	
610797	213358	Charlotte's Mother
610797	223896	Ethel Sheppard
610797	264608	
610797	363502	Mrs. Nicholson
610797	406621	Betty Soames
610798	16068	Lab Technician
610798	43015	Clarissa
610798	129439	B-Girl
610798	132181	Ms Waters
610798	158609	Bridesmaid #1
610798	194566	Abbey
610798	221105	Chantels
610798	263983	Salesgirl
610798	295420	Julie
610798	296019	Junkie
610798	330133	Sharon
610798	364203	Janie Glen
610798	385462	Jackie
610799	309890	Helen
610800	41744	Kate
610800	51984	Miss Bee
610800	56656	Pat Connery
610800	71252	Loop Gaffer
610800	80716	Mrs. Kellerman
610800	97586	
610800	106444	Receptionist at Office
610800	109722	Mrs. Perry MacDonald
610800	127084	Gozer
610800	137675	Silver Shamrock Secretary
610800	143526	The Fates
610800	143527	Atropos
610800	143543	Atropos
610800	159881	Deirdre
610800	163213	Charity Lady
610800	185270	Mrs. Reed
610800	190209	Elzee
610800	192017	Flotsam/Jetsam
610800	222711	Lois Hoey
610800	241276	Hobson
610800	292677	Eunice
610800	314631	Older Woman
610800	320026	Judge
610800	320100	Alma
610800	334104	Pub Waitress
610800	346127	Eve
610800	358274	Rae Susoeff
610801	367903	Caroller
610802	321224	Marion Hicks
610803	46147	Satellite 1
610803	80734	Aunt June
610804	344635	
610805	296771	Veronica Burbank
610806	6984	
610806	54647	Nancy McCreary
610806	77173	Columbine Dalton
610806	111736	Libby Mathews
610806	141325	June Willard
610806	157860	Madge Adams
610806	214104	Ronnie LaVerne
610806	215810	Claudia Rankin
610806	224421	Singer
610806	235093	Ann Keith, District Nurse
610806	260102	Emerald Neeley
610806	261968	Debbie
610806	277860	Susan
610806	311559	Frankie Manning
610806	316593	Mildred Anderson
610806	319194	Dixie Osborne
610806	329437	Christine Delaney
610806	337605	Toby Aldridge
610806	338569	
610806	341460	Laurie Sherman
610806	342902	Maggie Reed
610806	348977	Nancy Bonner
610806	365199	Connie Hudson
610806	367519	Anna Reichardt
610807	90342	Mary-sue
610808	388672	Herself/panelist (1997-1998)
610808	398775	Cindy Ornette (1996-1998)
610809	260357	Hat Check Girl
610809	380713	Dr. Carol Ann 'Annie' Stewart
610809	404002	Delia Reid Ryan Ryan Coleridg
610810	129988	Margaret Marsh
610811	284538	
610811	304538	
610812	358663	Wet T-Shirt Girl
610813	3107	Carolyn Kyle
610813	11552	Sally
610813	79757	Corabeth Godsey
610813	80584	Molly Fisher
610813	114604	Marian
610813	122176	Avery
610813	126755	Mrs. Carson
610813	159709	Mrs. Haley
610813	220018	Corabeth Godsey
610813	234226	Bingo
610813	252825	Melody
610813	309153	Funeral Guest
610813	321147	Aunt Nonnie
610813	330815	
610813	358865	Corabeth Godsey
610813	358866	Corabeth
610813	358867	Corabeth
610813	360711	Corabeth Godsey
610813	362774	Mrs. Najarian
610813	382507	Aunt Dolly
610813	393952	
610813	404300	Helen Newcomb
610813	408584	Bootsie [Randy's mother]
610813	410568	Corabeth Walton Godsey (1974-
610815	51494	Irma Jones
610815	120502	Belle Waring
610816	37884	Aldington
610816	88769	Judith Cadbury
610816	134126	Susan Hodge
610816	391166	Veronica
610816	395919	Isobel Kemp (1996- )
610816	400552	Kath Ludlow
610817	35413	
610817	52496	Mary Kruger
610818	207238	Woman playing viola
610818	215690	Miss North Dakota USA
610819	8086	Paula Oid
610819	364205	Azaria Chamberlain
610820	41644	TV Reporter
610821	410538	
610822	2882	Fourth Lady
610822	4619	
610822	7008	Mrs. Annie Rucker
610822	7036	
610822	11181	Mrs. Vincent
610822	11978	
610822	14085	Gossip
610822	17543	
610822	20206	Spinster
610822	25479	Lucy's Attorney's Wife
610822	32561	Housekeeper
610822	33748	Miss Brundage
610822	37238	Bit Part
610822	38685	Dowager in cafe
610822	38813	Mrs. Duffy
610822	41094	Saleswoman
610822	45494	Mrs. Moots
610822	52113	The Colonel
610822	52305	Granny Mason
610822	55734	Spinster
610822	59617	Mrs. Hargue
610822	66314	Florence
610822	67096	Society Woman
610822	70786	Mrs. Watty's Friend
610822	73766	
610822	75600	Literary Committee Member
610822	78085	Superintendent of Nurses
610822	78762	Mrs. Bidley
610822	84828	Lucy Slossum
610822	84933	Minnie, Detainee in Santa Ana
610822	88250	Mrs. Kelly
610822	89279	
610822	94158	Motorist
610822	94617	Miss Priddle (dude ranch owne
610822	96614	Mrs. Meeker
610822	96716	Miss Barton
610822	96990	Mrs. Dibson
610822	103781	Militant Woman Tourist
610822	107059	Mrs. Perkins
610822	108300	Mrs. Carp
610822	109415	Mother
610822	116790	Tourist
610822	116929	Mrs. Belgarde
610822	117613	Mrs. Hansen
610822	121585	Mrs. East
610822	124767	Lady in Elevator
610822	125509	American's companion
610822	128152	Governor's Secretary
610822	128424	Mrs. Richards
610822	128790	Dormitory Matron
610822	129231	
610822	129543	Mrs. Hughs, Gloria's Mom
610822	130653	Party Guest
610822	130712	Mrs. 'Ma' Meyers
610822	131594	Mrs. Gilmore
610822	133880	Wardrobe Woman
610822	136816	Kay's Mother
610822	138804	Heavy Set Matronly Woman
610822	142875	Mrs. Bradley
610822	142877	Mrs. Winnibegar
610822	144109	
610822	147754	Mrs. Marshall
610822	148912	Sarah
610822	149261	Apartment Seeker
610822	151762	Neighbor
610822	154355	Professor Douglas
610822	160432	
610822	161945	Showroom buyer
610822	162979	Bird-like woman
610822	163451	
610822	163485	Mrs. Hatch
610822	163557	Old Maid
610822	163577	Mrs. Hinkle
610822	169890	Miss Adams, Cotillion Hostess
610822	175162	Governess
610822	178274	
610822	183792	Waring Cousin
610822	190064	Teacher
610822	192009	Landlady
610822	195741	Mrs. Warden, Fan from New Jer
610822	201064	Mrs. Clauson
610822	208719	
610822	209588	Mrs. Minnows
610822	209592	Mrs. Hawkins
610822	211546	Dinner Guest
610822	212102	Old Dowager
610822	215625	Woman with Mrs. Freytag in Sn
610822	215637	Angie Turner
610822	218786	Admirer
610822	220068	
610822	220899	Miss Petherby
610822	223019	Lady in Train Station
610822	223654	Bit Role
610822	223767	
610822	223903	Mrs. Weatherwax
610822	223992	Housekeeper
610822	224047	Woman in Employment Office
610822	229137	Miss Perkins
610822	230731	Marquise della Rosa
610822	241349	Mrs. Spicer
610822	241892	Miss Aldridge
610822	242570	Mrs. Karff
610822	247141	Miss Pinchon
610822	249513	
610822	252488	Martie Beemish
610822	253525	Proprietor
610822	254283	Professor Morrison
610822	266730	Mrs. Van Drexel
610822	273513	Dowager at Tea
610822	275458	Lady in Revolving Door
610822	277913	Teacher
610822	278540	Mrs. Clancy
610822	283093	Mrs. Myron Carey
610822	288208	Miss Diggs
610822	289689	Selma Quentin
610822	292191	Woman in Airplane
610822	296767	Doctor's wife on train
610822	296784	Dowager in Taxi
610822	296883	Tillie, Housekeeper
610822	297944	
610822	299064	Chairman of Morals Society
610822	299780	Woman Customer
610822	300912	Second Customer
610822	305481	Mrs. Crosby's Mother
610822	308575	Dolly Finnucin
610822	308940	Mrs. Hynes
610822	308942	Mrs. Sprockett
610822	312810	School Teacher at Aquarium
610822	313805	Woman Dancing
610822	315530	Maude Perry-Tonides
610822	316955	Miss Hodges, a Teacher
610822	319197	Susanna Hawkins Peabody
610822	329437	Charlotte Miller
610822	329533	Mrs. Irwin
610822	329903	
610822	329948	Elevator passenger
610822	330384	Passenger on Train asking 'Wh
610822	331381	Clubwoman
610822	331451	Addie Pepperdine
610822	331469	Autograph Session Chairwoman
610822	335576	
610822	336736	Mrs. Rawlings
610822	339844	Woman in Bank
610822	343034	Mrs. Tuttle (Patty's landlady
610822	343251	Abigail Adams
610822	343252	Mrs. O'Shea
610822	346248	Cora
610822	347411	Mrs. Jones
610822	350704	Mrs. Biddle
610822	352143	
610822	356293	Woman Seeking Theater Tickets
610822	358641	Female Doctor, Guest at Party
610822	360301	
610822	360532	Evelyn Bottomley
610822	361154	Mrs. Edwards
610822	363274	Matron
610822	367415	
610822	367781	Mrs. Hattie Snell
610822	368366	Lucille Weymouth
610822	372081	Mrs. Snyder
610822	372139	
610822	372676	Mrs. Stinchfield
610823	111792	Lucy Callahan
610823	226875	Girl in Dream Sequence
610823	249323	Evaline Raike
610824	70302	
610824	221043	Nurse Rita
610824	298281	Cynthia
610824	365119	Renata Devereaux
610826	50578	
610826	151688	
610826	232883	
610826	242943	
610826	293005	
610826	296101	
610826	310343	
610826	314695	
610827	233973	Aura
610828	405209	Dr. Debbie Calhoun (2001)
610829	168939	
610830	26666	Zoe
610830	26877	Biddy
610830	39193	Sheila King
610830	44416	
610830	71486	
610830	86958	Paula
610830	93791	Lucretia Clan
610830	110311	Becky
610830	118279	Holly
610830	129576	Andrea
610830	150725	Bess Houdini
610830	158141	Christine
610830	160042	
610830	169201	Maggie
610830	193202	Jessica Dobson
610830	210837	Jennifer
610830	212257	Mitch Cobb
610830	231088	Finn
610830	262387	Denise Holton
610830	263755	Jennifer Rogers
610830	264721	Mrs. Cooper
610830	275319	Toni Keely
610830	303818	Mary Ann
610830	310530	Sophie Hickman
610830	311609	Peggy Bell
610830	367282	Alexandra Kelly
610830	404282	Hayley Benson Capwell (1986-1
610830	405961	Lindy Hammersmith
610831	253363	Harpist in the party scene
610832	214439	Board Member #3
610833	63136	Alice Johnson
610833	117858	Reporter
610833	147115	
610833	195043	
610833	208193	Carol
610833	212716	Herself
610833	387999	
610833	390110	Angela
610833	392225	Regular
610834	67595	Victim in film
610834	253344	Mrs. Wilson
610835	411433	Herself anchor
610837	359858	Art Gallery Party Goer
610838	404608	Finalist (2002)
610839	366902	Tuesday
610840	388350	Becky
610841	70865	Inés
610842	347005	
610843	262589	St. Matthew's Choir & Band Me
610844	110295	Karen Hughes
610844	302933	Karen Hughs
610845	61900	Andie
610845	150292	
610846	119827	Katie
610846	177651	Chanteuse
610846	221182	Bear's Dancing Partner
610846	233774	Bernice
610846	318854	Monica
610846	340949	Mother
610846	391835	Talking head/soundbites (segm
610847	234471	Mrs. O'Rourke
610847	301954	Emma Abbott
610848	13560	
610848	13567	
610848	31091	Ambrose's wife
610848	53952	
610848	91997	Waitress
610848	107130	Model
610848	110183	
610848	125901	Spectator
610848	146062	
610848	146066	
610848	146132	Nurse
610848	146149	
610848	146262	Woman outside restaurant
610848	147291	
610848	148229	
610848	152548	
610848	192321	
610848	207291	Actress
610848	216898	His Wife
610848	265854	Goo Goo Sister
610848	289060	
610848	307445	
610848	329451	
610848	331102	Girl
610848	362699	Ambrose's wife
610848	365776	Pansy
610849	130350	Bellhop
610849	136287	Mrs. Halperin
610849	139073	Mrs. Lockhart
610850	316953	Eveline McCord Adams
610851	304845	Mary Langley
610852	66917	Voodoo Dancer
610853	78101	
610854	117522	Sunseeker
610855	302591	
610856	129786	
610856	315896	Brenda, the Grocery Clerk
610857	356829	Rebekka
610858	53945	Shelly Shelle/Jerks on Street
610858	57818	Ax Girl
610858	160500	Tanya Beach
610859	2252	(segment "Id")
610859	32378	The Mother
610859	131138	Janna (episodes 1, 2, 3, 4)
610859	355702	Städerskan (episode 3)
610859	399873	Alice Östberg
610860	64497	
610860	92426	
610860	158941	
610860	178362	
610860	221078	
610861	59717	Old-Berit
610862	401116	Slightly
610863	310059	Furniture Girl
610864	48378	Sound technician in the studi
610864	264277	Quenn Eugenie
610865	107001	Rachel Rose
610865	148998	Emily
610865	165848	Actor's Lemnite Girl
610865	261570	Nurse
610865	379699	Eilidh Gutherie
610865	383024	Det. Const. Sam Phillips
610865	396147	Karen
610865	398743	Elsie
610865	403590	Annie Craig
610866	241892	Mrs. Nealin
610867	302965	Chinook Piet
610868	257363	Vriendin
610869	95055	Lea
610870	306391	Melissa
610870	390410	Lisa Zoomers (1996-1999, 2000
610871	390960	
610872	235936	Barmeisje
610872	375844	Lotte
610872	410838	Sacha de Graaf (1999-2000)
610873	42855	Jan Grovers alias "Boefje"
610874	167990	
610875	76434	
610875	214792	Katherine's mother
610875	318330	
610875	341609	Hilda
610875	354934	Mme Shostakovich
610876	212126	Puistovirkailija
610877	393278	
610878	126748	Angie
610879	50155	
610879	91624	
610879	145758	
610879	267093	
610879	346016	Inmate
610880	270680	Martian flapper
610881	189649	Kanzleigehilfin
610882	188275	Stevie
610883	247845	Salomé
610883	382578	
610883	385052	Alejandra Villegas alias Aure
610883	387965	
610883	401694	Ofelia Cáceres
610883	405835	Teresa Muñoz
610884	80634	Lark
610885	62536	Debby
610885	109524	Girl #1
610886	20591	Albert's Mother
610887	68686	Self
610887	76782	Dagmar's friend
610888	12125	
610889	90016	Thibault
610889	197316	Lulu
610890	150594	Diana
610890	254785	Erica
610890	264036	Sophia's Mom
610890	311224	Tatiana
610890	311246	Clara
610890	363948	Rena
610891	61953	
610891	73195	Antonella
610891	102392	Ismene, Antinea's Daughter
610891	157691	Carla
610891	183281	
610891	219457	
610891	230078	
610891	234752	
610891	240138	
610891	252773	
610891	278896	
610891	291658	
610891	319327	Serena
610891	342627	
610891	385779	Dora
610891	403363	Agnese Vallesi
610892	187783	Fanni Kaplan
610893	340992	Teen Punk
610894	104764	Greek entry (9th place)
610894	104771	Greek entry (14th place)
610895	394572	
610896	22629	Waitress at Cafe
610897	98088	
610898	381908	Herself (season 1)
610899	207006	
610900	374670	Mzia
610901	381297	
610902	323227	Nurse Potts
610903	33445	Lee's mum
610903	37374	Eve
610903	206691	Jan
610903	234464	Wanda Sparks
610903	274027	Mrs. Cameron
610903	310998	Flashing Yvonne
610904	230769	Kassidy #1
610905	317960	Maid
610906	203147	Gertie Harris
610906	368877	Betty
610907	113390	Aunt Betty
610907	234116	Woman #1
610908	346121	Woman in shop
610909	42308	Norma
610910	183670	
610911	6982	Dollie
610911	7858	The Davis' daughter
610911	11223	
610911	21469	George Forrester's Daughter, 
610911	21503	Wedding Guest
610911	25466	The Mowbrays' Daughter
610911	29338	
610911	33008	Mrs. Bailey's Daughter
610911	42554	Bobby's Sister
610911	47466	Little Indian Girl
610911	52564	At Show
610911	61592	Flower Girl
610911	61630	The Paulton Child
610911	61635	On Farm
610911	61650	The Child
610911	61653	The Walton Child
610911	61841	Child
610911	62972	
610911	69741	A Child
610911	70292	A Child
610911	70811	Farmer's Little Daughter
610911	71716	Edith Harcourt (daughter)
610911	73688	One of the Children
610911	94161	
610911	101430	The Child
610911	105593	Student
610911	107299	At Party
610911	107419	Visiting Child
610911	109756	At School
610911	112408	One of the Children
610911	128623	
610911	130651	The Darrell Child
610911	130826	
610911	141209	The Child
610911	141240	The Outlaw's Daughter, as a C
610911	146057	At Wedding
610911	146231	Blanche
610911	146260	
610911	146261	The Little Orphan
610911	151158	On Porch/At Farewell
610911	154144	The Little Boy
610911	155528	The Worker's Employer's Daugh
610911	157451	One of the Children
610911	157775	One of the Children
610911	158120	Younger Sister
610911	158377	The Trapper's Child
610911	158475	The Whitney Child
610911	158491	
610911	159913	
610911	166246	Their Daughter
610911	168976	
610911	185234	In Wagon Train
610911	191599	Little Alice
610911	192320	Student
610911	193795	One of the Cullison Children
610911	201846	In First Audience
610911	208897	Younger McGann Daughter
610911	209419	
610911	210708	Among the Orphans
610911	211784	In Crowd
610911	231025	Child on Street
610911	240836	Elsie, Rupert's Daughter
610911	241581	One of the Children
610911	241783	
610911	246712	Little Girl in Arbor
610911	248468	Pete's Daughter
610911	273983	The Daughter
610911	280303	At Church
610911	280907	The Daughter
610911	280919	Little Lucille
610911	281099	Younger Sister
610911	281848	Little Child
610911	282271	Child
610911	286331	The Randall Child
610911	295440	One of the Herne Children
610911	304620	
610911	309277	Mary, as a Child
610911	315117	Child
610911	318801	In Soda Shop
610911	318962	One of the Children
610911	327741	Mary Morgan
610911	330242	In Group
610911	331149	On Street
610911	331880	
610911	338211	The Rogers Daughter
610911	340600	The Little Girl
610911	343127	The Rancher's Daughter
610911	345733	The Daughter as Small Child
610911	346868	One of the Bradley Children
610911	348952	Child of Despairing Mother/On
610911	350557	Little Girl
610911	354508	Villager
610911	356295	
610911	358282	One of the Poor
610911	359113	Child
610911	359668	George Wallace's Daughter
610911	360203	A Child/At Bide-A-Wee
610911	360226	A Child
610911	362189	One of the Lucas Children
610911	362389	
610911	362564	One of Mary's Sisters
610911	376110	The Boer's Daughter
610912	110561	The litle spirit
610912	194483	The Little Spirit
610913	387633	Herself - Actress
610914	259777	Mildred Snow
610914	330194	Miss Finch
610914	358873	Estelle
610914	385719	Hortense Smiley
610914	396088	Role Unknown (Year Unknown)
610914	398400	Agnes Peepers
610915	194993	Kate Crenshaw
610916	149555	
610917	6125	Deena Gross
610917	13531	Anchor
610917	26736	Dr. Sonia Brody
610917	68511	Nancy
610917	105723	CNN reporter
610917	108288	Mrs. Lewis (Carrie's Mom)
610917	183662	Kay
610917	193702	
610917	210960	Eric's Jury: Juror #4
610917	222810	Hooker
610917	296027	Ship's bar singer
610917	302432	Jo Stafford
610917	315214	Mother
610917	350782	Maggie Lane
610917	362453	Kitchen Secretary
610917	384379	
610918	230769	Kassidy #2
610919	138837	Old Woman
610919	176874	Elderly female turist
610919	242569	
610919	276770	Grandmother
610920	1883	Waitress
610921	11632	Miss Bloom
610922	411223	Presenter
610923	203304	Mrs. Dunne
610924	368842	Ali Court
610925	27160	Vicki
610926	24774	Cathy Jordan
610927	279715	
610928	108617	Cassy
610928	384097	Lisa (1990)
610928	405070	Wendy Forrest
610929	292224	Marilyn Tanner
610929	292226	Marilyn Tanner
610929	292228	Marilyn Tanner
610929	292229	Marilyn Tanner
610931	1038	Tracy Hansen
610931	12225	Suzanne Murphy
610931	20965	Herself
610931	32182	Belle
610931	32184	
610931	81041	Corrine Ballard
610931	84487	Beth
610931	87527	Bridget Smith
610931	96736	Brunette Cheerleader
610931	107930	Azure
610931	123034	Teek
610931	132247	Heather Bartlett
610931	143526	Megara
610931	143527	Megara
610931	143543	Meg
610931	177633	Megara
610931	181996	Gina (Disney Dub 2003)
610931	183550	Angel
610931	196808	Susan
610931	203313	Samantha Winter
610931	209596	Tess
610931	210733	Florist
610931	277267	Narrator
610931	280365	
610931	294028	Rin
610931	303522	Ballet Dancer (Russian Doll)
610931	311039	Rosie Octavius
610931	330566	Audrey
610931	369505	Karen Webber
610931	392134	Meg
610931	399468	Mary
610932	182471	Waitress
610934	373218	
610935	201286	Sayaka Yumi
610935	411890	Rei Asuka
610936	239295	Musical actress
610937	379515	Mrs. Alan
610938	45893	
610940	127585	Laura Macrae
610940	335799	Diane
610941	336095	
610942	134174	Hilda
610942	216318	Alte Dame
610943	284949	
610943	308306	
610943	322538	
610943	349701	
610944	395181	Liv Nansen
610945	10391	Herself
610945	14981	Diana
610945	44584	Christina
610945	72662	Helena
610945	72886	Nala
610945	95715	
610945	105135	Inga Giltenburg
610945	111251	Krags hustru
610945	113380	Miss Dazzle
610945	118808	
610945	129790	April
610945	173252	Kari, flyvertinne
610945	187303	Vanessa Buren
610945	200492	Ingrid (segment "Gluttony")
610945	223343	Hedi
610945	235226	Herself
610945	235466	Janie McMichael
610945	240521	The Scandinavian Girl
610945	252741	Miss Hanson
610945	279603	
610945	303214	Seg selv
610945	315186	
610945	348358	Voluptua
610945	382250	
610946	97882	
610947	220755	Corista
610947	273740	
610947	351428	
610947	409091	
610948	84393	Janne/Silje
610948	341855	Clara
610948	343401	Toril Houg
610949	4778	
610949	17509	Jane Seymour
610949	24459	Ludmilla
610949	55149	Princess Eboli
610949	86304	Riek
610949	92541	Cara Carozza
610949	103588	Luder
610949	119157	
610949	124907	
610949	125171	Carla
610949	126389	
610949	138571	Isabella Winge
610949	145330	
610949	148810	
610949	148811	
610949	148812	
610949	148813	
610949	148814	
610949	148815	
610949	155387	
610949	174254	Blanche Duval
610949	182885	
610949	183261	
610949	198109	
610949	211111	Gertrud Köhler
610949	247944	
610949	251023	
610949	254430	Melanie Lubota
610949	254454	
610949	255633	
610949	289729	Dora, skuespillerinne
610949	290256	Grete Elstad
610949	290444	
610949	315385	
610949	316526	Dirne
610949	318900	Haidee
610949	341048	Prestefruen
610949	352488	
610949	354463	
610949	376473	
610950	145589	Herself - Former resident at 
610951	339797	(segment "Cuarteto")
610952	99519	Grethe, enkefruens datter
610952	109023	
610952	135698	Irene
610952	138530	
610952	147267	Elsa
610952	153364	
610952	192662	Nora Hagen, bankdirektørfrue
610952	247316	Edvarda
610952	270428	
610953	305004	Dut
610954	179654	
610955	38452	
610955	82340	
610955	95561	
610955	157343	
610955	182802	
610955	301427	
610955	357600	
610955	373631	
610955	411706	
610956	22043	
610956	86688	
610956	370690	Sükran
610957	239339	Katrine
610958	101124	Lizzie
610958	147018	Herself
610958	153219	Harry
610958	170828	
610958	170829	
610958	174120	Irma
610958	175087	
610958	214293	Majse
610958	231668	Preben 'Prebber' Bonfils
610958	303747	Eva Nymann
610958	306382	
610958	306383	
610958	322477	Various roles
610958	322478	Herself/Various roles
610958	322479	Herself/Various roles
610958	358833	Prostitueret
610958	358846	Ekspedient ved check-in skran
610958	388891	Berit
610958	391349	Herself - Host
610958	393858	Berit
610958	394621	Various roles
610958	394757	Various roles (1998, 2000, 20
610958	399512	Jinx
610958	407264	Herself - Actress
610959	390791	Gumby
610960	198526	Herself - Former man
610961	253027	Ms. Hansen
610962	1385	Annika
610962	29639	Susanne
610962	84267	Lena
610962	181322	Nina (nurse)
610962	214339	Beate
610962	219876	Inga
610962	255672	
610962	291615	Judith, Grøn Partner/Green Pa
610962	304418	Sminkøse
610962	305020	Eks-mands Nye Kone
610962	309292	Minka
610962	315377	Kioskpige
610962	319706	Kitchen staff
610962	386641	Petra
610962	391722	Karen
610962	395115	Astrid Andersen
610962	407621	Gitte
610962	408802	Donna
610963	319660	Miss Dorotka
610964	358523	Sabine
610965	94663	Pisana
610966	225498	Mathilde de Potins
610966	386084	Françoise
610967	17132	Extra talent
610968	179798	
610968	290449	Wife of diocese council membe
610968	374126	
610969	153288	Klasseveninne
610970	390242	Iris (1994-1995)
610970	400217	Julia Fontaine (1996-1997)
610971	43352	
610971	98204	
610971	100985	Leila
610971	136717	Carla
610971	142510	
610971	211828	Schwester Angelika
610971	230235	
610971	232657	Epileptic girl
610971	254379	Herself
610971	256442	Frieda
610971	278573	Kundin
610971	281598	
610971	281599	
610971	286913	
610971	290720	
610971	347132	Julia
610971	356760	Dienstmädchen
610971	359620	Schallplattenverkäuferin
610971	359634	
610972	97887	Herself
610973	170919	
610974	114071	
610975	216007	Second Stewardess
610976	138494	Kate Dickens
610976	397941	Young Morgaine
610976	398993	Betzy
610976	405469	Princess Elenora
610977	136577	Orfeum táncosnõ
610978	370659	
610978	371548	
610979	117001	
610979	199995	Sygeplejerske på skadestue
610979	237304	
610979	397074	Borgerinde i Korsbæk (1981)
610980	124795	
610981	322301	Stines veninde
610982	302533	
610982	350140	
610983	4801	Queen
610983	11509	Carol Ann
610983	22651	Dr. Patraba
610983	47790	Nola Carveth
610983	56145	Ellen Denvers
610983	67085	Miranda Grey
610983	67567	Vivian Brandt
610983	75612	Samantha Sherwood
610983	78845	Mrs.Curtis
610983	79637	Ory Palmer
610983	82730	Jennifer Baines
610983	87163	Herself
610983	88868	Emma Fairfax
610983	88882	Delia
610983	91257	Herself
610983	91759	Phyllis Dietrickson
610983	92439	Ethel Le Neve
610983	104447	Myra
610983	105316	Diana Keswick
610983	106219	Dr. Megan Stewart
610983	117261	Mrs. Vickers
610983	122755	Lady Howard
610983	127122	Jeanne
610983	132946	Annalisa Ackermann
610983	142752	
610983	143526	Hera, Hercules' Mother
610983	143527	Hera: Wife of Zeus
610983	150470	Samantha O'Brien
610983	159421	Britt
610983	165260	Additional Voices
610983	165261	M
610983	176880	Anne Roland
610983	187390	
610983	190436	Arabella
610983	194681	Insp. Strong
610983	195317	Solange DuLac
610983	200151	
610983	203285	The Strange Lady
610983	217434	Miss Mary Raines
610983	227154	Joanna Blake
610983	254585	Lily Palmer
610983	266546	Robin
610983	270967	
610983	276642	Fabienne
610983	282434	Anne
610983	295409	Mary Watson
610983	301087	Additional Voices
610983	323903	
610983	345707	Edina
610983	347340	Hostess
610983	358561	Christine Easton
610983	358661	Deborah Dainton
610983	361183	Katherine
610983	364647	Alice Field
610983	365151	Josie
610983	375047	Billie Burke
610983	379716	Charlotte Devane (2000)
610983	380342	Anna Owens
610983	402171	Queen Guinevere
610983	404282	Pamela Capwell Conrad #1 (198
610983	404718	Diana Westley
610984	117660	Sara Alison
610985	272935	Waitress
610986	79290	Pringle's Secretary
610986	96889	Salesgirl
610986	148423	Nurse
610986	170378	Girl in Hotel Lobby
610986	363854	Margaret Baxter
610987	40674	Politimester Thorvaldsen
610987	164279	Hedvig
610987	228411	
610987	306020	Skolesøster
610988	388055	Herself (2003)
610989	35596	Jeanne, Girl
610990	93455	Ulla
610991	17677	Maurer-Vreni
610991	17678	Maurer-Vreni
610991	82645	
610991	182589	Sophie
610991	292093	
610992	12048	Zäzil
610992	77373	Ann
610992	82155	
610992	82158	
610992	91126	Maria Firner
610992	98287	Ursel Daxenmeyer
610992	104826	Sylvia Peters
610992	108550	Gaby Mertens
610992	108551	Gaby
610992	111955	
610992	119723	German detective
610992	129708	Eva Gordon
610992	145508	Ein dicker Engel
610992	147165	Agerl Hauderer
610992	153928	Telephonistin
610992	155377	Christa Dahn/Annelie Dahn
610992	155599	Irene Mertens
610992	170677	Marthe Ortmann
610992	178600	Friedl Knopf
610992	180080	
610992	181917	
610992	188833	
610992	193303	Marion Bernhardi
610992	204468	
610992	210069	Dixi
610992	223200	
610992	223280	
610992	281894	Kondja Gül
610992	282197	
610992	290442	Barbara
610992	318085	Ursula
610992	322531	Marianne Mertens
610992	336527	
610992	354110	Josefa Schalanter
610992	366529	Frau Briehl
610992	366553	Edith
610992	387769	Mrs. Calthorpe
610993	8746	
610993	257859	(segments Bareback, Making Wa
610993	349537	
610995	238796	
610996	225306	Die Alten: Zwilling
610997	99375	
610997	275634	Le première jumelle
610998	99375	
610998	402664	Joséphine 2
610999	275634	La seconde jumelle
611000	54839	Cecile
611000	68364	Amandine
611000	110107	Ariane
611000	129432	Claudia
611000	148619	Marianne Marcilly
611000	159700	Mlle de Saint-Yves
611000	217845	Catherine
611000	240280	Odile
611000	255572	Mme Rosémilly
611000	353899	Gisèle
611001	101122	Bank customer
611001	264279	
611001	304424	Johan's mother
611001	320582	Gunnel's Mother
611002	30749	Lena's Grandmother
611003	33188	
611003	36850	Herself
611003	36852	Herself - Participant
611003	113191	Herself
611003	219129	Julie Tam
611003	381899	Herself
611003	381903	Herself - Participant
611004	133443	Bit
611004	154481	Willie's Evening Lady
611004	262138	Model
611004	329480	Model
611005	32372	Ella
611005	54851	De andere
611005	66832	
611005	93614	Rosine
611005	103627	Damiet
611005	113205	Diana
611005	149284	Madeleine
611005	155803	Debbies buurvrouw
611005	157495	Vrouw van Peter
611005	178618	Mia
611005	202700	Chauffeur
611005	205577	Een meid
611005	213567	Lena Halverwege
611005	227360	
611005	257105	
611005	281187	Claudia Capuletti
611005	311668	
611005	324433	Aline
611005	324642	Adrienne
611005	352299	Receptioniste
611005	356554	Claudia
611005	356811	
611005	357354	
611005	375721	
611005	382975	Housewife
611005	387377	Lydia Protut
611005	389010	
611005	392673	
611005	395513	Céline Smet
611005	395515	Fientje
611005	397318	Kantinehoudster
611005	400294	Tine (1995)
611005	411311	Christianne Méganck-Biermans 
611006	395987	(episode 4)
611007	155419	
611007	178549	
611007	178853	
611007	178878	Dagmar
611007	184513	Antje
611007	189714	Beatrice
611007	204513	Sylvia
611007	244122	
611007	246949	
611007	269641	Anneliese Zingler
611007	303670	Senatorin Berger
611007	325548	Sonja Bach
611007	325666	Frau Overdiek
611007	325795	Eva Sonntag
611007	325823	Sonja Bach
611007	325879	Sonja Bach
611007	325901	Sonja Bach
611007	334630	Voice of Cindy Holden
611007	348683	
611007	359613	
611007	379579	Katharina Lamprecht (1996-199
611007	383171	Marie
611007	386334	
611007	391293	Edith Sommer (1988-1989)
611008	243276	Mitzi
611008	380997	
611009	183268	Lachgespenst
611010	19035	Kommillitonin
611010	90704	
611010	105978	Dora (Die Anderen)/(The Other
611010	160156	Schwester Sophie
611010	182765	
611010	189809	Herself
611010	206508	Sophie
611010	259553	
611010	325811	Frieda Jung
611010	325931	Frieda Jung
611011	12986	Amanda Patterson
611011	17783	Elyse
611011	18612	Marie Stark
611011	30463	Marcia
611011	31499	Summer Quinn
611011	31501	Summer Quinn
611011	41643	Megan
611011	56545	Herself
611011	57689	Herself
611011	64557	Herself
611011	64558	Herself
611011	65118	Middle Ayla
611011	80636	
611011	81665	Detective Amanda Watts
611011	82669	Alyssa Lloyd
611011	82901	
611011	84943	Julia Merrow
611011	91554	Melinda
611011	119882	Miriam Rawlings
611011	137845	Marci
611011	140185	Morella/Lenora
611011	154194	Melissa
611011	177705	DeeDee
611011	210275	Melissa
611011	222750	Zoey Drayden
611011	240319	Jessie Corbett
611011	256176	Tiffany
611011	263494	Annette
611011	277622	Debby, 8 Years
611011	281881	Little Girl in the Garden
611011	292793	Alexa Adams
611011	300801	Kristy
611011	304770	Sno Blo Band
611011	307994	Loretta
611011	311156	Herself
611011	317842	Tiffany Stevens
611011	322631	Chrissie Hooker
611011	329323	Janine
611011	334592	
611011	339440	Julie
611011	358701	Paige Emerson
611011	362823	Mary Beth Denton #2
611011	363008	Robbie Morgan
611011	381442	Roberta 'Summer' Quinn (1992-
611011	383923	Jamie Powell (1987-1990)
611011	391835	Herself
611011	391874	Libby Kramer (1992)
611012	17491	Siegrid
611012	380356	Sigrid
611013	6282	Denise Vernier
611013	40405	Anni Mueller
611013	40987	Maria Barkas
611013	42113	Laya
611013	56443	Maddalena Fumarol
611013	59219	
611013	74395	Katinka
611013	75936	Sylva Varescu
611013	88094	Maddalena Fumaroli
611013	92992	Trude
611013	103135	Steffi Pirzinger
611013	117110	Eve Minard
611013	119276	
611013	121042	Verena Illing
611013	123959	
611013	147268	Christine Holm
611013	156051	
611013	156990	Marietta Duval, Revuestar
611013	172386	Mizzi Schlaghofer
611013	184397	Lissy Licht, Sängerin
611013	187592	Gräfin Eszterhazy
611013	188395	
611013	189880	
611013	209987	Carla Schmidt
611013	216995	
611013	217663	Carla (English Version)
611013	223595	
611013	226268	
611013	263117	Isabel Rekay
611013	290175	Gloria Delamare
611013	325763	Kammersängerin
611013	338333	
611013	338396	She
611013	346922	Caroline Esterhazy
611013	350079	Martha Vassary
611013	363334	Steffi Piringer
611013	367141	Baronesse Margit
611013	374032	Mary Collin
611013	374120	Denise
611014	5602	Annelise
611014	98362	Julinka
611014	144358	Mary Lenley
611014	208469	
611014	243241	Roswitha Kloschke
611014	268539	Pünktchen
611014	293555	
611014	306388	Angela
611014	307258	Toni
611014	322988	Nettie Jo
611014	359594	Natalie Moorhead
611014	404169	Helga
611015	1198	Sally
611015	78435	Susan
611015	170392	Betty
611016	259192	La petite fille
611019	193749	Brunette
611020	177075	
611021	69681	Mrs. Louden
611021	145922	Miss Grimsby
611021	178694	
611021	254644	Eliza MacWrath
611021	359103	Mrs. Randall
611021	360455	Ann Haughty
611022	393111	Original Hostess
611023	136822	Chorus - soprano
611024	232056	Woman In Black
611025	220702	
611026	193834	
611026	197248	
611028	186151	Marcella
611028	335940	
611029	279137	Lady in Gallery 3
611030	7554	
611030	87140	
611030	204422	
611030	343878	
611030	354079	Dagmar Prinz
611031	134813	
611032	1051	
611033	311681	Asta
611034	347013	
611035	225084	Agga
611036	48410	
611037	106666	Helena Harford
611037	169208	Sylvia Cooley
611037	266577	Young Florence Forrest
611037	313420	Madison Picard
611038	289787	Gail
611038	303455	Mary
611039	55313	
611040	128772	Promo Girl KSJO 92.3 FM San J
611041	131665	Girl on Street
611042	409795	Bonnie Withers #2 (1955)
611043	316269	Policewoman
611043	391916	Herself (1992-1993)
611044	160887	Cowgirl Stripper
611044	245008	Solid Gold Dancer
611044	304529	Female Fan
611045	165450	Helen Burns
611046	34533	
611046	256654	
611046	397852	
611047	164830	
611048	160156	Line
611049	241799	Christmas choir member
611050	198380	
611051	44437	Janet
611051	111281	Terezita
611051	128479	Secretary
611051	339380	Indian Maiden
611052	129348	Genevieve Halford
611052	231554	
611052	270008	Student At Book Party
611052	306744	Bridget
611052	323813	Fran
611052	396960	Amy Dillon (1999-2000)
611052	399153	Marian Hinckley
611053	84443	Debbie Baker
611053	116698	Eddie's mother
611055	123942	Luiza
611056	48199	Siarita
611057	6755	Natália
611057	10271	
611057	17378	Ana
611057	23298	Tania
611057	55391	
611057	55906	
611057	70744	
611057	70888	
611057	82565	Ad Girl
611057	83521	Ana Maria
611057	85522	Mudinha
611057	99708	
611057	102669	
611057	104133	
611057	112763	
611057	125782	
611057	166380	Filomena
611057	232896	
611057	235244	
611057	237936	Sandra
611057	248759	
611057	258626	
611057	296156	
611057	308754	
611057	326285	
611057	344836	
611057	379008	Solitária
611057	379244	Fernanda
611057	383479	Nina
611057	384647	
611057	387930	
611057	389662	Norma
611057	390380	
611057	392031	Selma
611057	397416	
611057	399490	Consuelo
611057	400765	Rosário
611057	401819	Angela/Mireya
611057	402108	
611057	403616	Elza
611057	405401	
611057	408414	Linda
611057	409024	Julieta
611057	409419	Olívia Penteado
611058	94513	
611058	147464	Nona
611058	197224	
611058	235931	
611059	51104	
611059	140061	Kriszta
611059	171641	(segments 'Cipõk', 'Negyedóra
611059	182819	
611059	322105	Menyasszony
611059	322123	
611059	379094	Anna Bánki
611060	377818	Jutka
611061	18712	
611061	97963	Egy édes szabadúszó
611061	110574	Baronesse
611061	229477	
611061	268428	Edit,Zsámbéky lánya
611061	377882	Beleznay Éva
611062	48521	
611062	140061	Vajda Ági
611062	153859	Countess Seilert
611062	198210	Vera
611062	200825	
611062	233377	Panziósné
611062	371289	
611063	136444	Bárvendég
611064	19669	Noémi
611064	97975	Gizike,Hubert legidõsebb lány
611064	253073	Szabó Klára
611064	350675	Lenke
611064	378342	Elíz, Anckersmih lánya
611065	354597	Mor til Ragnhild
611066	61064	
611067	169698	
611068	185964	Restaurant Patron
611069	41757	Girl on Beach
611070	273664	
611071	113335	Ashe
611071	254948	Miss Kenya
611072	10470	Herself
611072	18800	
611072	55761	
611072	74365	Seño Fonda
611072	100328	Elena Lascuráin
611072	101602	
611072	104877	Tomasa's mother
611072	118640	
611072	159534	
611072	169036	
611072	216852	Taxi driver's girlfriend
611072	221968	
611072	244464	Otilia's mother
611072	264264	Ignacia Botero
611072	265515	Juanita Norton
611072	277039	
611072	287908	Juanita
611072	380839	Fina
611072	382378	Josefina
611072	383233	Diana de Mendoza
611072	383442	Matilde Sosa de Alcántara
611072	384254	
611072	385401	Irma
611072	387068	Teresa
611072	387100	
611072	387577	Jacinta
611072	391417	Dulce
611072	392352	Laura
611072	396631	
611072	396983	
611072	397839	
611072	400943	
611072	402190	Flavia
611072	402681	
611072	404989	Dolores/Victoria Santacruz
611072	405281	
611072	408919	
611072	409290	
611072	410450	Luisa
611072	411710	
611072	412197	
611073	7703	Rozalia
611073	32863	Szakácsnõ
611073	52263	
611073	74421	
611073	96201	
611073	99746	
611073	122230	Maris néni
611073	122396	Málcsi néni
611073	122454	Mari néni
611073	122613	
611073	136445	Fábiánné
611073	136577	Cservenyákné
611073	139500	Havranekné
611073	153913	Csuporiné
611073	174189	Zsófika,házvezetõ Feketééknél
611073	182646	
611073	182648	Tanítónõ
611073	182874	
611073	214708	Lukácsné
611073	223595	
611073	229465	Sonkáné
611073	282753	Vendég a cukrászdában
611073	288119	Márfa
611073	322557	Postamesterné
611073	333112	Judit nagynénje
611073	338730	
611073	377891	Bába
611073	378111	Házvezetõnõ
611073	378304	Melotti háziasszonya
611073	378588	Bakony anyja
611074	390180	
611075	321126	Party Guest
611076	145310	Nurse
611077	147967	Cylla
611077	217745	Joan Brandwyn's Friend
611077	390771	Beacon Hotel desk clerk (2002
611078	73835	Dancer
611079	191701	Temptation Girl
611080	141943	Dimanche
611081	120298	Student
611082	7164	Empress Zita of Austria
611082	12393	Alice Ferris
611082	26885	Cynthia Powell
611082	32531	Sally
611082	35705	Penny McAllister
611082	201218	Phyllis
611082	212963	Tasmin
611082	248491	Rosemary Leighton-Jones
611082	258005	Emma Desneuves
611082	261434	Christabel LaMotte
611082	279133	Betsy Chase
611082	284175	Nadine
611082	293751	Meryl
611082	319239	Valerie Sonnenschein
611082	330957	Sophie
611082	365564	Constance Lloyd Wilde
611082	383277	Young Calypso
611082	397388	Melissa
611082	402125	Elizabeth Bennet
611083	411173	
611084	369182	Madame Ehlers
611085	24465	
611086	2275	Herself
611086	108353	Janice Lyman
611086	144697	Chloe
611086	152844	Alice Cavender
611086	157596	
611086	224660	Dash Littlewood
611086	360726	Harley Cooper
611086	381754	Mia Braithwaite
611086	390771	Harley Davidson Cooper (1987-
611087	24465	
611088	211090	Herself (an extra in films)
611089	214329	
611090	44270	Police Officer
611090	47279	Guest at Ball
611090	127273	Heather
611090	154896	Mary Franklin
611090	274180	Karen Clarque
611090	327634	Floor Nurse
611091	390812	Karin Becker #1 (1992-)
611092	10111	Susanne
611093	255474	
611095	259568	
611095	314855	
611095	319706	Viola
611095	325713	Helga
611096	108044	Young Little Bo Peep
611097	217745	Art History Student
611098	28669	Receptionist
611098	167563	Vicki
611098	221045	Newscaster
611098	275882	Strip club owner
611098	403540	Rocky Crenshaw
611099	190994	Stripper
611100	168057	Jala
611101	182466	Judit Karlsson
611102	134794	
611103	134655	Additional Voices
611104	127706	Rut, cleaning lady
611105	28340	La publiciste
611105	51843	Armelle
611105	170468	
611105	296049	Yvette
611105	332213	
611105	401816	Dr de Gouraud
611106	354743	Drama teacher
611107	318132	Romea
611108	27677	Madame Vauquer
611108	33126	Else Stern-Adler
611108	102552	
611108	153907	Mutter
611108	157758	Frau S. Bienert/3. Geschichte
611108	182777	Mademoiselle Pointevin
611108	206886	Haushälterin
611108	325080	Madame Pernelle
611108	325817	Alma Spränger
611108	329022	Golde
611108	336520	Ella Ward
611108	375087	Czipra
611108	403794	Frau Oldershaw
611108	404453	Tante Clara
611109	148635	La petite fille
611110	196130	
611111	63038	Anna
611112	198895	Fleance/Young Macduff
611113	122468	
611113	165612	Eva
611114	56084	Mary Ann
611115	187636	The cousin
611115	197186	Siv
611115	240208	Åsa
611115	284122	
611115	287559	Berta
611115	309064	
611115	381054	Nurse
611115	405619	Maud
611116	365123	Bartender
611117	311785	Herself (Model)
611118	78141	Neighbor
611119	155247	Kitty Sherman
611120	27243	Guard
611120	195088	Lady Stubbs
611121	49894	
611122	2252	(segment "Teuf d''enfer, La")
611123	45639	Street Band
611123	317946	Mattie
611124	53860	Woman behind the window (1996
611125	98344	Nina
611126	257760	Dancer (Silk's Fantasy)
611127	49973	Sensual Woman
611128	306271	Good Queen Mary/Snow White
611129	336650	Girl Clerk
611130	403822	
611131	132454	The Riptides' Dancing Girl
611132	85117	Blood Wedding Actress
611133	253514	Performer
611134	307988	Bobbi
611135	356313	Snowflake
611136	5197	Reporter
611136	101070	Mom in Diner
611136	124390	Julie
611136	184608	Black Castle #2
611137	367866	Herself
611138	209492	Media person
611139	23890	Maria
611139	59130	Corinne
611139	63672	Nicole Flandrin
611139	86542	Emily
611139	387617	Rosa Wilberg
611140	301131	Vicky Russell
611141	313076	Dancer
611141	363622	Bashful Girl
611142	30549	Aline
611142	30550	Aline
611143	81117	
611143	102247	Confused Woman
611143	109457	Landlady
611143	133371	Julie's Mother
611144	115269	Rita Vivaldo
611145	305863	Birgitta Borg, twin
611146	256976	Sweet Girl with Temper
611147	375511	
611148	142642	Amanda
611149	365786	Wunderkind
611150	276336	Waitress
611151	120966	Guest at the midsummer party
611152	317365	
611153	486	Aufwartefrau
611153	24057	Kathrin
611153	24082	Frl. von Bruun
611153	35881	
611153	78608	
611153	94423	Nettie
611153	99234	Haushälterin Hörnlein
611153	99235	Anne
611153	102983	
611153	103097	Lisette
611153	129667	Mrs. Wiedecke
611153	130940	
611153	144136	
611153	155435	Frau Säbisch
611153	175292	
611153	191472	Maria Theresa
611153	203401	Souffleuse
611153	211113	
611153	225137	Hanna Späthe, 'Hannchen'
611153	230188	Krot
611153	267338	
611153	280797	
611153	280801	
611153	283064	Mattie
611153	293871	
611153	294649	
611153	302045	
611153	307064	
611153	312729	
611153	324489	
611153	347698	Trienke
611153	359224	
611153	361385	
611153	374530	
611154	139711	Teigwirkerin
611155	126404	
611156	375978	
611157	77331	
611157	103102	
611157	119150	
611157	134183	Frau Mertens
611157	134830	
611157	140246	Madame de la Rocco
611157	144134	Mrs. Zernikow
611157	174781	Jessica
611157	180413	
611157	184625	Model
611157	187400	
611157	187401	
611157	189819	Frau Simon
611157	197949	
611157	205725	
611157	216987	
611157	217917	
611157	228206	
611157	230201	Lady Curtain
611157	284863	
611157	287312	Gertrud Benedikt
611157	290012	
611157	322555	Mrs.Kargel
611157	348045	
611157	352551	
611157	361990	
611157	397366	Schwiegermutter
611158	379133	Teresa
611158	380103	Cecilia Batres
611158	389881	
611158	402190	
611159	325037	
611160	381473	Ojo (1997-)/Etta (1997-)/Gran
611161	78305	Marina
611161	78945	Jessie
611161	109779	Susanne Nakisch
611161	145057	Herself
611161	164815	
611161	169160	Tänzerin
611161	182143	Corinna
611161	252356	Sandra Wolf
611161	322511	Grace
611161	354012	Tänzerin
611161	375166	Anna
611161	376016	
611161	376248	Simone
611162	107742	Girl with dog
611163	48399	
611164	406335	Gaby Dehler
611165	237783	Wedding Guest
611166	338632	Karine
611167	128657	Herself
611167	158393	Brotherl Worker
611167	220276	Hooker #1
611168	128657	Herself
611169	290266	The Good Queen
611170	173222	Alte Frau
611171	59568	Louise Kroeger
611171	120170	Zwilling #2
611171	379772	Patricia 'Patty' Sanwaldt (19
611171	389958	Violetta Veilchenblau (#1, #2
611172	59568	Charlotte Palfy
611172	120170	Zwilling #1
611172	197187	Frau
611172	379772	Patricia 'Patty' Sanwaldt (19
611172	389958	Violetta Veilchenblau (#1, #2
611173	4832	Ottilie K
611173	12843	Sophie
611173	18534	Lena
611173	18971	
611173	40967	Gabrielle
611173	92542	Viktoria
611173	93462	Anna
611173	110919	Katrin
611173	119706	Ellen
611173	125031	Karin Katte
611173	172766	Sarah Ambros
611173	172849	Silke Pape
611173	175298	Valerie Kerkhoff
611173	177150	Connie
611173	185681	The Girl
611173	231479	Rebekka Rohm/Brandenburger
611173	262751	Ulrike Klinger
611173	275681	Sabine
611173	281666	Jenny Palenta
611173	287220	Ina Littmann
611173	312108	Tina
611173	325440	Inka Brahms
611173	334631	Brigitte Mohnhaupt
611173	345652	
611173	356909	Luise Rubato
611173	361332	Thorwald, Sabine
611173	395001	Grafs Schwiegertochter
611174	40683	Carolyn Shetland
611174	45591	Shuttle Passenger
611174	75704	Maureen Cutter, 'Mo'
611174	85143	Anita Brennan
611174	85921	Rachel
611174	96817	Lady Isabel Vane
611174	104683	Gertrude
611174	114145	Linda Davenport
611174	131739	Mrs. Brodsky
611174	134395	Maureen
611174	169859	Mary-Ellen Floyd
611174	177456	Mrs. Kurlander
611174	216879	Grace Rhodes
611174	218686	Terry Morgan
611174	222677	Cynthia Dayton
611174	224186	Jill Cromwell
611174	242934	Casey
611174	263551	
611174	314684	Book's Mom
611174	323813	Emily Greenleaf
611174	330424	
611174	350488	Helene Cousins
611174	358727	Rachel Apt
611174	360594	Olivia
611174	364692	Kay
611174	370585	Jean
611174	379716	Elizabeth 'Liz' Carlyle (1987
611174	388558	Honor Campbell
611174	411354	Dr. Jordan
611175	225256	
611176	34412	
611177	178849	Hockeymädchen
611178	306406	
611179	259621	
611180	218974	Gurli
611180	309292	Spat-Marie
611180	382884	Luder
611181	400667	Perpetua (1997-1999)
611181	407347	Josefina
611182	23345	TV reporter
611182	374410	Lady professor
611183	180782	The Pianist
611183	284352	Krystyna
611183	369375	Krystyna
611184	23382	
611185	325918	
611185	378554	Burgl, Schnapswirtin
611185	381580	
611186	222432	Woman 1
611187	24067	Karin
611188	66386	Louise
611189	349689	Anchorwoman
611190	282397	Zamina
611191	384149	Ann (1979)
611191	411809	Dr. Tracey Lane (1980-1981)
611192	373952	
611193	7811	Hooker
611194	186935	
611195	248539	Herself
611196	12852	
611197	47760	Rachel Lepschitz
611197	98295	
611197	118997	Frau Dr. Spangenberg
611197	144142	Agnes
611197	153110	Nachbarin
611197	156058	Tante Saalmann
611197	164648	Leichte Person
611197	178539	Katja
611197	213623	
611197	227931	
611197	281715	Kate Renwick
611197	289824	Frau
611197	289996	Charlotte
611197	325382	Ingrid Haferkamp
611197	325386	
611197	325497	Ingrid Haferkamp
611197	325508	Ingrid Haferkamp
611197	325540	Ingrid Haferkamp
611197	325552	Ingrid
611197	325567	Ingrid Haferkamp
611197	325718	Ingrid
611197	325753	Ingrid Haferkamp
611197	325784	Ingrid
611197	325824	
611197	325828	Ingrid
611197	325831	Ingrid Haferkamp
611197	325846	
611197	325894	Ingrid Haferkamp
611197	325925	Karola Amendt
611197	325944	Ingrid Haferkamp
611197	325953	Ingrid
611197	325956	
611197	328549	Connie
611197	354058	Angelika Hoffmann
611197	361472	Birgit Berganson
611197	389120	Brigitte Honsbroich
611197	389840	Helga
611197	396165	
611197	405749	Raimonda Jacobi
611198	177598	Harpy
611199	225129	Renate
611200	353101	The Girlfriend
611201	11785	
611201	135007	
611201	268150	Freddy Hill
611201	312015	
611201	354111	
611202	366768	Erica
611203	388424	Gry Langbakken
611204	169865	Mrs. Blom
611205	109009	Tyska Kvinna
611205	142732	Gunilla
611206	32043	Elvira
611206	199685	Elle
611206	346039	Rachel
611207	179647	Brages mother
611208	29149	Music Video Director
611208	150984	Patron 1, Susan Body Double
611208	160505	Eva Norris
611210	19188	Jessica
611211	381710	Frau Snider
611212	166406	Moni
611213	134750	
611214	178958	Knitting Guru
611215	155338	Billa
611216	186713	Cashier
611216	328281	3rd Engineer
611217	355080	Mary
611218	80223	
611219	21154	Susan Johnson
611219	35455	Lynn
611219	50465	Mary Parker
611219	56435	Diane Martin
611219	59273	Val
611219	78670	Alicia Wells
611219	80657	Carole Eskanazi
611219	108248	Clare
611219	108373	Kate Williams
611219	113530	
611219	121864	Herself
611219	131225	Jan Hale
611219	144667	Alisa/Ali
611219	158865	Pauline Mendelson
611219	182966	Ann Kelsey
611219	182967	Ann Kelsey
611219	192682	Joanne
611219	204192	Elizabeth Stephens (Ithaca)
611219	204522	Dottie
611219	223751	Debbie McGuire
611219	224389	Barbara
611219	228970	Herself
611219	240528	Woman at Church
611219	243736	Emma Symms
611219	244445	Tessa Bryan
611219	248572	Lula Sparks
611219	277638	Juilliard student
611219	282392	Livy Clemens
611219	283084	Martha Martin
611219	283717	Merrill
611219	292452	Bunny
611219	295032	Maggie
611219	315261	Susan
611219	320802	Anna
611219	337121	Ellen Kreiger
611219	337284	Jessica Stern
611219	345853	Kate Quin
611219	347414	Claire
611219	366919	Michelle Mills
611219	381737	Sarah Lathrop
611219	391835	Herself
611219	394123	Susan Lester
611219	395023	Ann Kelsey/Markowitz
611219	398213	Herself
611220	364281	Paula
611221	399341	Host
611222	166775	Jenta
611223	183400	
611224	104633	Host
611224	104638	Host
611224	104641	Host
611224	190820	
611225	185589	Palm reader
611226	149497	
611227	26857	Lisa Miller
611227	27342	Althea Wood
611227	36823	Joanne's daughter
611227	64825	Vera
611227	65502	Norma Stowe
611227	73945	Jennifer
611227	81222	Sheila
611227	113810	Paula Gilliam
611227	117486	Bonnie
611227	127145	Shirley Landers
611227	133704	Elizabeth Cooper
611227	157008	Barbara
611227	185168	Sandy
611227	242562	Vera
611227	297448	Celia
611227	303777	Elva Grimes
611227	322741	Tabitha Stephens
611227	329984	Jenny Reed
611227	332004	Lorraine
611227	379065	
611227	382425	Norma Stowe (1970-1971)
611227	398722	Cindy Crabtree
611227	405170	Tracey McCord
611227	411802	April Stevens #2 (1979-1982, 
611228	166697	Jennifer as Child
611229	645	Laurie Kessler
611229	3233	Janet Van Degen
611229	13392	Judy Tyler
611229	27342	Ellen Wood
611229	31197	Herself (ABC Team contestant)
611229	35522	Jeannette 'Jenny' Summers
611229	40700	Carolyn
611229	80056	Fernanda Kilkullen
611229	80729	Anne
611229	80782	Laura Keaton
611229	80801	Nina Sloane
611229	169211	Kit
611229	185627	Susan
611229	188923	Bridget Bowman
611229	192596	Terry O'Neill
611229	195585	Lynn Martin
611229	204214	Anne Clark
611229	218507	Maggie Egan
611229	230385	Melissa Jones
611229	238709	Casey Seeger
611229	240838	Jill
611229	243231	Patty Hearst
611229	247363	Lisa
611229	276686	Sally Vogel
611229	283345	Carol
611229	284006	Sorenson
611229	330715	Sheila Moore 'Margaret'
611229	334278	Kit
611229	359192	Caroline Kozlenko
611229	391052	Callie Shaw (1977)
611229	391055	Callie Shaw
611229	397247	Kate Morgan
611229	397665	Nicky Molloy (1990-1991)
611229	404001	Dr. Ingrid Sorenson
611229	406156	
611229	407915	Sally
611229	410953	Jody Horton
611229	411221	Madeline Henry
611230	67583	Jenny Padget
611230	69444	Anne Watson
611230	72509	Sarah's Mother
611230	88648	
611230	139195	Diana Lawson
611230	140816	Herself
611230	160042	
611230	213466	Concerned Mother
611230	235456	Mrs. Bower
611230	281054	Allison St. James
611230	318186	Theresia
611230	330762	Kate Bennett
611230	364516	Pat
611230	381754	Joanne Braithwaite
611230	409229	Nancy Armstrong
611231	354699	
611232	47161	Poor Woman
611232	48482	
611232	81896	Claire Innes
611232	117238	Mrs. Mason
611232	407135	Mary Videau (2nd Season)
611233	326360	Alumna
611233	382097	Galaxy Girl
611234	120237	Lady in turkish bath
611235	244680	1. kicherndes Mädchen
611236	10587	Sally Gates
611236	27219	Dorothy Haley
611236	39329	Julie O'Neil
611236	47306	Navarre King
611236	47332	Bit Part
611236	53192	
611236	53218	Sally
611236	55417	Daisy
611236	57973	Jill Collins
611236	65516	Mary Lou Moran
611236	69237	Linda Wilson
611236	70891	Della Harms
611236	72498	
611236	73935	Party Girl at Bert's Place
611236	77670	Poppy Kirk
611236	77955	Catherine 'Cathy' Street
611236	87798	Phyllis Crawford
611236	90307	Jinxy
611236	92005	Mary
611236	94196	Lucille Grosvenor
611236	105240	Penny Wilton
611236	110212	Harem Girl
611236	114049	Herself
611236	115849	Jerry Quinn
611236	121513	Molly
611236	131693	Sally
611236	139936	Gerry Marsh
611236	147401	Molly
611236	147983	Jerry Foster
611236	154612	Thelma Coldwater
611236	154767	Claire
611236	183584	Paula Kendall
611236	188292	Diane
611236	194094	June
611236	199534	Mona
611236	207707	Sally
611236	236878	Elizabeth Thomas
611236	245648	Isabel Potter as an Adult
611236	246608	
611236	249222	Virginia Embrey
611236	267596	Maxine Bush
611236	269779	Daisy De Lisle
611236	274219	
611236	274539	Joyce Rochay
611236	275438	Bette Huling
611236	279563	June Marlin
611236	285659	Molly Jones
611236	285667	Sally Brent
611236	291314	Herself
611236	292189	Sandra Trumbull
611236	297887	Iris
611236	297963	Lura Gordon
611236	300103	
611236	304973	Grace Martin
611236	312821	Annie Benson
611236	313918	Emily Joyce
611236	316104	Virginia Cartwright
611236	316946	Claribel Higg
611236	319170	Woman in dance hall
611236	323963	Ann Marlow
611236	324010	Herself
611236	325026	Carol Vinson, aka 'Sister Con
611236	330183	Irene Eaton, aka Margaret Bre
611236	331551	Joan Foster
611236	339376	Constance Bannister
611236	339662	Betty Dawley
611236	358775	Jeanie Satterlee
611236	360123	Margaret Ames
611236	360421	Mary Smith
611236	360579	Hat Check Girl
611236	366942	Kay Armstrong
611237	9920	
611237	42599	Pia
611237	90513	Zenzi
611237	155459	Kläre Steffani
611237	226278	
611237	314893	
611237	359694	
611238	46630	
611239	42556	Stuepike
611239	174069	Lillian
611239	234512	Munnbjørn
611239	357807	Sissel
611240	389734	Vicar
611241	321718	Holly's Teacher
611242	193386	Hellemans
611243	265005	Swedish Woman
611244	265568	Mistress Tiffany H
611245	212320	Grillbabe #1
611246	46249	A dreg of society
611247	389832	Karin
611248	379886	
611249	242515	Officer Giddy Cherlas
611250	84393	Anja
611251	334172	Yngves mor
611252	180215	Skuespiller på TV
611252	181736	Kontordame
611252	382884	Bodil
611253	122576	Marie
611253	187979	
611253	325775	
611253	338426	
611253	380903	Beatrice Engel
611253	404431	
611254	114955	Bridgette the Contortionist
611254	311537	Delta Phi Girl
611255	315718	Tebah
611256	87576	Eliza Sanders
611256	340949	Child Model
611256	349138	Laulaja
611256	391587	Lizzie Hiller
611257	258199	Valerie
611258	306950	L'Americaine
611259	245907	Bar patron/mutant
611260	113499	Tarquin
611261	296626	Herself
611262	115421	Jennifer
611263	42422	Nina
611264	273327	Role Reversal Family Member
611265	273327	Role Reversal Family Member
611266	394673	Herself/Co-Host (1992-1999)
611267	259537	
611267	259671	
611268	18146	Ante's sister
611269	244087	
611270	28457	Ebba Dunckert
611270	213419	Ilona Heli
611270	225112	
611270	242258	
611271	270058	Madre de Tamara
611273	200253	Stallholder
611274	355237	Vieille femme 1
611275	350227	Specialty Dancer, The Vampire
611276	80952	Ellen
611276	385719	Nelle Gunston (1970)/Buffie H
611277	94801	Frau Lang
611277	105535	Princess Mettemich
611277	115974	Christine Koger
611277	119027	Madame Schechner
611277	125130	Frau Willard
611277	132251	
611277	134910	Amalasintha Kürenberg
611277	144140	Mrs. Pospischil
611277	189433	Hedwig Linsmeyer, Käthe Zelle
611277	189616	
611277	205583	Fürstin Gollinsky
611277	214512	
611277	214513	
611277	266208	
611277	268539	Frau Übelmann
611277	281109	
611277	311068	Maud Musil
611277	324681	Kaiserin Maria Theresia
611277	352536	
611277	360926	
611277	365018	
611278	387457	Elf
611278	389869	Dream Crowd/Student
611279	40414	Ditta
611280	358891	
611281	98309	
611281	103064	
611281	137634	
611282	334085	School Girl
611284	182793	
611285	178180	Herself
611286	177119	Lisa
611287	186649	Herself
611288	136834	Engaged Girl
611289	285610	Debbie
611290	32052	Vanessa
611290	36536	7 Year Old 'Little Miss' Aman
611290	41875	Josie Medieros
611290	131732	Lucy McFadden
611290	160492	Barbara Wigand
611290	167070	Melissa
611290	191910	Abby Mills
611290	214986	Helen Keller
611290	231440	Eleanor
611290	251011	Marie Alweather
611290	312798	Little Mary
611290	321536	
611291	316693	Mrs. Olsen
611292	299690	Sheri
611292	399947	Sage Devon (2002- present) (o
611294	34651	Theresa
611294	161962	Ophira
611295	380430	
611296	48277	Hawk
611296	165039	Ashelin
611296	356351	Stewardess
611296	393221	Viper
611296	393972	Princess Diana/Wonder Woman
611297	222597	WCTS' Liz Smith
611298	48397	Mutter von Iris
611298	155482	Marianne
611298	173166	
611298	324866	Schwester
611298	328245	
611298	329931	Elke Arnsberg
611298	345910	
611298	393878	
611298	410813	Hermi
611299	11531	Woman Square
611300	188860	
611300	259571	
611300	359001	Frau von Rathenow
611301	14257	Adios Girl
611302	175575	
611303	217745	Girl at the Station
611304	3675	Herself - as First Lady Mamie
611304	120699	Herself (with Lily Pons)
611304	208881	Herself
611304	233307	Herself - with Ike at Republi
611304	384590	Herself (with Ike)
611304	388656	Herself (with her husband)
611304	394781	Herself (at Republican conven
611305	406160	Julia Rosenberg
611306	334629	
611307	318818	Carol Norman
611310	215836	Susie
611310	385824	Kelly Chase (1982-1983)
611310	389858	Nurse Stacy (1981)
611310	411802	Nikki Newman (temporary repla
611311	32791	Yvonne Miller
611312	177332	Archivarin
611313	46966	
611314	105196	
611314	141965	
611314	158481	Margaret
611314	239908	Carol
611314	334234	Dr. Braddock
611315	141746	Gentile Girl No. 2
611315	190225	Young Claire
611316	129113	Sexy Office Girl
611317	47756	Woman With Food for Sailors
611318	378542	Matilda
611319	20325	Colombina
611319	122489	
611319	122491	
611319	197835	
611319	368195	
611319	372635	
611319	376326	Anni Lohmeier
611320	24068	
611321	171840	
611322	177935	
611323	280263	Vampire Groupie
611324	251285	Victoria Concion
611325	5736	Mother
611325	29098	Glenda
611325	40744	Office Worker
611325	337164	Angry Parent
611326	41418	Flo
611326	46740	Mrs. Lefkowitz
611326	57815	Rene
611326	76567	
611326	162389	Neddie
611326	254995	Watermelon Lady
611327	318346	Boutique Girl
611328	218823	Mary Lou
611329	80669	Miss Bentley
611330	64731	Herself
611330	108897	Herself
611330	109598	
611330	195055	Herself
611331	28688	Kislány a tengerparton
611331	399205	Drissi
611332	104792	Nyaraló
611333	19863	Renate Reese
611333	189740	Hella
611333	259656	
611335	210123	Young woman
611336	152718	
611337	377445	Herself
611339	196593	Elaine (Voice of)
611339	257731	Mom
611339	346069	Kayla
611340	381436	Cricket Montgomery (1992)
611341	244679	
611341	268005	Frau Minister
611342	256622	Pinafore company
611343	177223	Tante Mieke
611343	210948	Mutter
611343	227778	Jody/Mutter im Restaurant
611344	190811	Ormtjuserskan
611345	152357	Liisa Lassila
611346	101070	Model #2
611347	398030	Herself
611348	348318	Cobbler's Wife
611349	186151	
611350	126933	
611351	539	Maja
611351	132032	
611351	372973	
611351	381182	
611351	401708	
611352	6212	Göta
611352	48361	Violin Player
611352	120027	Woman at the party
611352	272510	Fru Nilsson
611352	272511	
611352	275884	Doris' Friend
611352	284100	
611352	289212	
611352	310254	Sonja Skog
611352	322276	Maj-Britt 'Majsan' Lindberg
611352	351458	Tourist
611352	377329	Clara
611352	379797	Biträde
611352	380337	Sirkka Salminen
611352	392429	Snorkfröken
611352	405594	Stella Strand
611352	410460	Gunilla Nilsson
611353	34446	Victoria
611353	170710	Lena
611353	210360	Herself
611353	320611	Lisa
611353	399850	Katitzi (2001-)
611353	405570	Anna Andersson (1996-1997)
611353	410280	Tessan Almgren (1997-1999)
611354	125438	
611354	125450	
611354	299082	
611355	44356	Yoriko Kuzumi
611356	109561	
611357	191469	Herself
611358	58243	
611359	5192	Carmen
611359	24955	Brenda
611359	45548	Coretta Scott King
611359	154749	Amber
611359	183274	Alean
611359	196233	Maria
611359	212078	Ronnie Tate
611359	253059	Chloe
611359	286129	Sally Hemings
611359	289725	Herself
611359	341442	Girl (Segment Steal Away)
611359	362543	Amber Belhaven
611359	384587	Blinda
611359	384634	Rose Angela
611360	188934	Dinner guest
611361	240313	Guest at the birtday party
611362	187563	Mrs. Wickman
611363	30167	Lady in Olga's studio
611363	30185	The yellow mother
611363	34033	Sofia, Carmen's mother
611363	48361	Malla
611363	108051	Clara
611363	112278	Countess Almaviva
611363	202763	Gerd
611363	304211	Second bridesmaid
611363	304354	Livia Birkman
611363	322437	Märta
611364	409111	
611365	277349	Förbipasserande tjej 2, Tjeje
611366	6512	Pønker
611366	253029	
611367	54268	Poet/performer
611367	325773	Fotomodell
611368	1398	Herself
611368	2437	Elya Carlson
611368	3492	Olga Duvovich
611368	4618	Venusian Guard
611368	12404	Amanda Beatrice Cross
611368	13554	Clarice
611368	17914	
611368	18951	Miss Dorothy Simmons
611368	21299	Anita
611368	26717	Rena
611368	36460	Alberchiaria
611368	41028	Mrs. Ferretti
611368	41129	Wei Ling
611368	42597	Anita (segment "Le tentazioni
611368	51094	Mamma Greta
611368	52442	Luba
611368	55902	Madame Colette
611368	57022	
611368	63789	Baronessa Judith Von Kemp
611368	66064	Herself
611368	66374	Lou
611368	69948	Marika
611368	74362	Bessie
611368	81418	
611368	88206	Flavia
611368	89572	Sylvia
611368	110427	
611368	126839	Margaret Joyce
611368	130666	Queen Na-Eela
611368	130717	Handmaiden
611368	147809	Actress Anita
611368	155857	Performer
611368	160985	Gina Broger
611368	161126	Anita Ekberg
611368	197563	Jane
611368	198051	Herself
611368	200233	Herself
611368	202298	Malenka/Sylvia Morel
611368	203210	Flo Randall
611368	203217	Trudie Hall
611368	215909	Maid of Honor
611368	218050	Hulina
611368	226791	Paola Bendoni
611368	229620	Queen Zenobia of Palmira
611368	235176	Katherine
611368	249020	Zara
611368	268986	La pianista
611368	269473	
611368	284503	Dr. Else Biebling
611368	291272	Virginia Wilson
611368	291561	Baroness Olga
611368	296525	Paulette
611368	301354	
611368	303574	
611368	318141	Jacqueline
611368	319325	Sister Gertrude
611368	323435	Dancehall girl
611368	340134	Georgina
611368	349891	Valerie
611368	349954	
611368	359174	Helene
611368	360277	Anna Soblova
611368	367620	Claudie
611368	374021	Salma
611368	381622	Ingrid (2002)
611370	84297	Charlotte
611370	190822	Vanja
611370	223194	Agneta
611370	237265	Hjördis' friend
611370	322275	Elsa, maid
611370	377324	Bank clerk
611371	259817	Elena
611371	393003	Mother
611372	283694	Medium
611373	303207	Nurse
611374	645	Second Office Girl
611374	365381	Ida
611375	1455	
611375	7580	Lotten
611375	8363	Karin
611375	14964	Agnes von Krusenstjerna
611375	25282	Kerstin
611375	27596	Herself/Søs & Erik's mother
611375	32377	Angelica Beckman
611375	40918	
611375	96416	The fly
611375	108633	Jacobis hus - Ismael
611375	110924	Woman with money, from "Notat
611375	120027	Nurse
611375	122325	The Mother
611375	132182	Eivor Pellas
611375	144236	Anita, cleaning-woman
611375	173383	Lollo
611375	192821	Menaden
611375	200451	Housekeeper
611375	203969	Esther Mortensen
611375	206193	Renee
611375	214339	Kirstine (Mother)
611375	225349	Nina
611375	235532	Kvinden med penge/Woman with 
611375	243673	Tea
611375	252332	Gunnel Runeberg
611375	276750	Doctor
611375	283694	
611375	284138	Marianne
611375	293705	Karen
611375	304216	Helena
611375	307773	Rosalind
611375	320382	
611375	320406	Susanne
611375	322299	Stine
611375	331069	Linda
611375	340272	Eva
611375	343719	Marianne
611375	352189	Marie Lehning
611375	355702	Finlands utrikesminister (epi
611375	372972	Lisa
611375	377443	
611375	380752	Agneta
611375	394865	Karin Nielsen
611375	395713	Casten's Secretary
611375	406742	Siri von Essen
611375	407489	
611375	409080	Eva (2002)
611376	372971	Henryn äiti
611377	111798	Robert's Mother
611377	244780	Mrs. Drayfield
611377	312854	Caroline
611377	357748	Jessica
611377	380190	Jeanette
611377	382826	Sally Griffin
611377	382838	Debbie Gordon (2002-2003)
611377	395794	Mrs. Collins
611377	395879	
611377	399591	Nessie Mortimer
611377	401077	Patricia Davey (1999)
611377	402743	Hospital Receptionist
611377	407406	Lauren
611377	411130	Mother
611378	53869	Campeuse
611378	100541	
611378	106474	
611378	410151	Sandra
611379	322307	Sara
611380	78496	Herself - Special Performer
611380	337098	Herself
611381	304356	Claire
611382	78952	Sussi (Carlos wife)
611383	315366	Annika
611384	215057	Maria Tümmler
611385	41698	Little Girl
611387	29558	Eva Juren
611387	34267	Karin Löwenskiöld
611387	48001	Maud, Rutger's Wife
611387	94341	Mary
611387	108202	Teddy Björn
611387	109132	Vanja Katena
611387	115423	Margit Bergström
611387	115426	Karin Holmström
611387	127570	Lena
611387	153716	Lisa-Lena
611387	182173	Brita Hermansson
611387	182281	Ingrid Ekberg
611387	198265	Karin Berggren
611387	209306	Barbro Brandt, singer
611387	227740	Kristina Brede
611387	244075	Irma Brambani
611387	303654	Marguerite Hoffman
611387	304403	Lilly
611387	306380	Elsa
611387	307760	Gunilla Berne
611387	315365	Vera Odelman
611387	315548	Sonja Söderman
611387	319788	Louise Merauil
611387	321928	Synnöve Solbakken
611387	322298	Eva Hallström
611387	354688	Anna Holmstrand
611387	357804	Lisa Bergman, maid
611387	377284	Aino Linde
611387	377316	Karin Bureskjöld
611388	182302	Girl
611388	227740	Woman in laboratory
611389	398555	
611390	265121	Magdalena
611390	375223	Waitress
611391	34033	Carmen
611392	10522	
611393	166922	Kid in Classroom
611393	389858	Jody (1992)
611394	166922	Kid in Classroom
611395	405570	Malin Andersson (1999-2000)
611396	6117	Jackie
611396	32384	Nina
611397	293839	Train Passenger
611398	304199	A girl
611399	56656	Sophie
611399	81052	Sobbing nun
611400	403702	Julia
611401	90786	Nurse
611401	298091	Nurse
611402	96441	Lolla
611404	19673	
611404	22720	Lucy
611404	31437	Chris Bentley
611404	34646	Herself
611404	35540	Madame Cassandra
611404	42565	Olimpia Segura
611404	47243	Instructor
611404	50036	Herself
611404	51691	Gina Vanucci aka "Gina Romant
611404	53942	Antigone
611404	55509	The Mother
611404	56078	Countess Trivulzi
611404	61856	Lady Zinnia Wrench
611404	64557	Herself
611404	64568	Herself
611404	66941	Jackie Mallon
611404	67691	Iris
611404	80635	Penny Lancaster
611404	84315	Li's Work Mate
611404	86071	Girl at railtrack
611404	91784	Gina
611404	92633	
611404	98853	Herself
611404	100957	Greta
611404	102786	Julie Todd
611404	119097	Eyvette
611404	126504	Anna Fletcher
611404	133855	Jenny Wallenda
611404	138182	
611404	144983	Mrs. Andersen
611404	149945	Leah
611404	160315	Herself
611404	161535	Irene Tucker
611404	164663	Françoise
611404	165266	Herself
611404	177546	Queen Nyleptha
611404	180405	Edvarda's Friend
611404	203649	Mary Goodnight
611404	205119	Deborah
611404	218354	Busotsky's Mother
611404	229639	Princess Spada
611404	232250	Rachel Elizabeth Schpitendave
611404	252728	Dorothy Chiltern-Barlow
611404	282630	Dutchess Irma
611404	288465	Ann-Marie
611404	289396	Mariella Novotny
611404	303491	Katrina Volana
611404	304628	Anna von Erken
611404	314761	Illeano
611404	317175	Woman 1
611404	333236	Josette
611404	333617	Adolfine
611404	335652	Claudia
611404	344547	Michele
611404	364782	Willow
611404	377120	
611404	381257	Host
611404	400758	Herself
611404	405554	
611405	354743	Patricia, Elisabeth's sister
611406	358981	
611407	225329	Hulda Krikonblad
611407	250696	Grandma
611408	173383	Kina
611408	181825	
611408	214339	Anna
611408	308193	Frida
611408	309292	Anna Uldahl-Ege
611408	380752	Jessica
611408	385549	Karin
611408	393273	Katarina Sundgren
611408	404048	Johanna Nilsson (1999)
611408	405570	Jennifer Ahlin (75 episodes 1
611409	59717	Beggar-woman
611409	142780	The Rat's mother
611409	398195	Woman next-door
611410	174684	Wanda, Morelin apulainen
611411	9507	Ilmari Salpakari's wife
611411	237243	
611411	241975	The Daughter
611411	283746	Mrs. Böhmer
611411	354281	Nanni
611412	83824	Heather
611413	99969	Miss Clewes
611413	126700	Mrs. Rambotham
611413	231069	Fay's Mother
611413	313828	Wardrobe Lady
611413	390341	Beryl Garney (episodes 1-11)
611413	405960	Muriel Hardy
611414	377378	Olga
611416	379797	Tina
611416	406271	
611418	9507	Elina Koskela
611418	398646	Lene Olsson
611419	153943	Woman at Apple Festival
611419	304413	Gotthard's wife
611420	198013	Rosén's maid
611421	312722	
611422	6768	Greta
611422	122653	Britta (the redhead)
611422	138882	Mrs. Pickett
611422	265005	Nudist
611423	398251	Värmlandsfrun
611424	214351	Clary
611425	97105	Restaurantgäst
611425	154276	Foreign Lady
611425	198270	Herself
611425	200645	Lizziey, a whore
611426	96420	Kvinna på cykel
611426	238803	Expedit
611426	303843	Young nun
611427	42099	Nurse
611428	240069	Herself
611429	321213	Lurlynn's youngest daughter
611430	168390	Kerstin's Sister
611431	209331	Annelie
611432	175730	Photographer
611433	4648	Christina
611433	12964	
611433	154276	Student
611433	200866	Greta, Ingas older sister
611433	213293	Kirsti
611433	239497	Julia
611433	248191	Maj Vikingson
611433	284104	Mrs. Högstrand
611433	315975	Gittan
611433	333617	Amanda
611433	392357	Katta
611434	219437	Lina
611434	275108	Katta Nilsson
611434	399850	Linn Westin
611434	408800	Katarina 'Katta' Nilsson (199
611434	411580	The girl in the student's cap
611435	76752	Monica
611435	137705	Linnedjomfru
611435	156029	
611435	173148	Torben's kæreste
611435	209328	Pige i kontrabas i 1740
611435	307325	Leder af børnelejeren
611436	28094	Mary Pickford
611436	32542	Mor-Bella
611436	42099	Vera
611436	45943	Greta Hjelm
611436	48361	Marian/Donna Elvira
611436	87439	Gabriel's Wife
611436	90109	Dona Louisa
611436	94863	Ingrid
611436	96418	Marrita
611436	101122	Sara
611436	111161	Doctor
611436	120896	Bess
611436	124027	Pia Hiorth
611436	125643	Helene Alving
611436	149242	Elisabeth
611436	164782	Barbro
611436	171580	The Mother
611436	180392	Kerstin
611436	182546	Actress
611436	182602	Agneta Ekmanner
611436	184890	Klovnen Rigmor
611436	192821	Görel Key
611436	206193	Countess de Saint-Fond
611436	214380	Disa
611436	221285	Melanie Klein
611436	225343	Gudrun Eriksson
611436	225346	Rebecka Nordenskiöld
611436	248521	Sassa
611436	248576	Karen Bentzen
611436	252629	Marianne Lorentzen
611436	259353	Greta Hjelm
611436	259365	Greta Hjelm
611436	264918	
611436	267672	Eva
611436	278374	Stella
611436	281908	Greta Hjelm, crime scene inve
611436	282079	Rebekka West
611436	304211	Vera, the bride
611436	307772	Susanne
611436	320512	Gunvor Holm
611436	326044	Sara Zilken
611436	341093	Anna Vincent
611436	347013	Vicar's Wife
611436	387057	
611436	390854	Marianne Sinclaire (segments 
611436	396250	Elenore Ekencrona
611436	400112	Rose's Mother
611436	406604	Gertrud
611437	192272	Rita
611438	102357	
611438	172081	
611438	172196	
611438	314741	
611438	394219	Marigoula
611438	400455	Foteini
611439	179458	
611439	203144	
611439	379910	Aliki
611439	380779	Ersi
611440	390037	
611441	28099	Lucy
611441	93394	Vroni
611441	94283	Amazon #1
611441	125040	Zenzi
611441	193298	Naked woman at Ulla Winbladhs
611441	290523	Ingrid
611441	305874	Hooker #4
611441	314390	En flicka
611441	359679	
611442	59332	
611443	237439	Esma Hanim
611444	300985	Harem
611445	209642	Herself - Dancer
611446	106310	
611447	381091	Herself
611448	17348	Nurse
611449	61673	Partygoer
611449	72292	Cello Player at Waldorf Astor
611449	144763	Waitress
611449	154593	Marilyn
611449	387150	Jane Duddson
611450	294545	Lilla Anna
611451	1385	Annika's mother
611451	30167	Reine's mother
611451	33098	Elsa Eschelsson
611451	120894	Gurli Linder
611451	138189	Hjördis
611451	164785	Anna
611451	171578	Inger
611451	173191	Solveig Gustavsson
611451	173383	Britta
611451	180396	Priest
611451	182579	Ingrid Jernberg
611451	191206	
611451	215269	Eliante
611451	225233	Mother
611451	231274	Margot, Lasse's girlfriend
611451	281908	Inga Beck, Martin Beck's wife
611451	284141	Birgitta
611451	290063	Elke
611451	303674	Cia
611451	341810	Anna
611451	377442	Anna Jahrens (episodes 1 and 
611451	381054	Nurse Ingrid
611451	401515	Fröken Eternell (episodes 2-1
611451	408335	Asta's mother
611451	408589	Lovisa
611452	258991	
611453	159904	Gösta's wife
611454	171578	Anita
611455	101122	
611455	101126	
611455	167605	Nurse
611455	350607	Mrs. Bjelke
611455	389397	Gunilla Gustafsson
611456	234942	Police Clerk
611457	213292	Vinkillens tjej
611458	408335	Liv
611459	89490	Mrs. Redding
611459	168511	Amelia Ericsson
611459	174697	Katrina
611459	175351	Katrin
611459	346974	Mrs. Burén
611459	353041	Miriam Pearson
611460	20916	Jacques' fiancée
611461	398051	Herself (2nd Executed)
611462	138701	Nurse
611462	282696	Nurse
611463	96557	Herself
611463	215680	Miss Venezuela
611464	133309	Herself: 1:a violin (Orkester
611465	138526	Maid
611465	182464	Telephone operator at the ban
611466	247387	Spugnetta
611467	82197	
611467	267008	
611468	68857	
611469	1161	Nera
611470	271421	Oum El Aid, la première cuisi
611471	51918	
611472	201178	Aïcha, la mère
611473	110431	
611473	137056	
611474	65934	Gypsy Girl
611475	137723	
611476	126395	Sevim
611477	68333	La mère
611478	27745	
611478	139379	Haneen
611478	173214	
611478	287065	Dalia
611478	381210	Soheir
611479	248508	Marion
611480	9764	Anhar
611480	216703	
611480	217161	Basma
611481	174529	Nuha
611482	288620	Salma
611483	378614	Iman Abderrahaman-Sayedmarouf
611484	88683	Ghadeega
611484	92089	
611484	99500	
611484	137056	
611484	187516	
611484	285493	Nawara (Farah's Mother)
611484	323051	Woman At The Graduation
611485	214012	
611486	290481	Apachenhebamme (extended edit
611487	28737	
611487	270956	
611488	376887	Said's Mother
611489	357100	Leïla
611490	225401	
611491	278169	Client
611492	129033	
611492	202101	
611492	376887	Aicha
611493	255513	Keittäjä
611494	317565	Gril from Marocco
611495	226082	
611496	389619	Netbeat (-2002)
611497	61211	Hija chusma
611497	385375	
611497	395997	
611497	398816	Graciela
611497	398850	Nelly
611498	15321	Raya
611498	254439	Girlfriend
611499	31002	Halima
611500	345555	Jumelle
611501	345555	Jumelle
611502	27753	
611502	164126	
611502	275637	Tutu
611503	286655	Amel, la grande soeur
611504	10376	Ginger (young)
611505	235264	La mère d'Ali
611506	268967	
611507	137056	
611508	1135	Nina (Max's daughter)
611508	6609	
611508	40277	Blanche enfant
611508	353855	Mouna
611509	1198	Zuhal
611510	238851	
611511	177109	
611512	76909	
611512	268610	
611513	271421	Fille du bar 3
611514	65934	Fatima
611514	282923	Woman in Church with Kids
611515	392530	Herself - Finalist #10 (2002)
611516	137056	
611516	289175	
611517	162734	
611518	15311	Hamida
611519	101961	Braut
611519	185929	Girl
611519	216865	
611520	15041	Hostess
611520	84632	
611520	108206	Hélène
611520	112889	La grand-mère de Marianne
611520	211140	Yuppie 1
611520	225575	
611520	257007	Julie
611520	268972	Christine
611520	278734	Agnès
611520	279820	Isabelle
611520	316463	Sylvie
611520	378082	Sophie
611520	385683	Estelle
611520	402075	Véronique Meyer
611520	408797	
611521	50113	Her
611522	186489	Samira
611523	9414	Lover of Mr. X
611523	25639	Elham
611523	100901	Layla
611523	137056	Yehias'a Mother
611523	193467	
611523	285534	
611523	289176	
611523	294638	
611523	371905	
611524	28900	
611524	58437	
611524	77011	Girl
611524	100222	
611524	135434	Ebtisam
611524	218907	
611525	20200	
611525	97641	Sodfa
611525	142724	Sister
611525	153304	
611525	174413	Sister
611525	271037	
611526	98720	
611526	137952	
611526	184035	
611526	271037	
611527	30529	Mother
611528	172654	Fatima's Cousin
611529	172654	Fatima
611529	315400	Herself/Fatima
611530	25592	
611530	27763	
611530	30823	Sousan
611530	172145	
611530	174529	Safaa
611530	195964	
611530	322909	
611531	33215	Naima
611531	162734	
611531	222298	Mother
611531	272991	
611532	134464	Tänzerinnen und Tänzer im Var
611533	116556	Home Owner
611534	28900	
611534	33215	Nawal
611534	137056	Nadia
611534	173309	
611534	174413	Aida
611534	216702	
611534	303317	Sanaa
611535	398923	Hafidah
611536	229384	Herself
611537	9756	
611537	45144	Dancer
611537	122839	Hamie
611537	124213	Soad
611537	135434	Nahed
611537	176128	Layla
611537	181922	
611537	217128	Actress
611537	297467	Shoushou
611537	301296	
611537	374186	Sister
611538	15311	Doctor's Wife
611538	180542	Azhar
611538	272952	Mother
611539	15322	
611539	25921	
611539	88683	Henady
611539	97103	Lover
611539	126916	
611539	152145	
611539	187637	Amina
611539	201234	
611539	202113	
611539	208268	
611539	260882	
611539	271586	
611539	282949	
611539	289176	
611539	303317	Headmistress
611539	324993	
611539	324998	
611539	336821	
611539	361585	
611539	375552	
611540	189105	Moona
611540	233249	
611540	240289	
611541	176988	Girl Clerk
611542	25452	
611543	20657	
611544	33893	Party Girl
611545	682	Dorm Room Girl
611546	5029	Rosa
611546	92567	Sarah Jane
611546	213969	
611546	301879	Herself
611548	275881	Dr. Kildare (female)
611548	278856	Sales Rep
611549	204358	Operating Room Nurse
611550	66661	Dancer
611551	81321	Model
611552	86307	Girl #1
611553	20070	Child
611554	384480	Singer
611554	409057	
611555	175741	Jennifer
611556	385151	Additional Voices
611556	404879	Additional Voices
611556	408893	Additional Voices
611557	17132	Extra talent
611558	373382	Additional Voices (Media Blas
611559	59151	Waitress
611559	230242	
611560	24299	
611561	188453	'Dislike' Girl
611562	81260	Female Guard #1, Bambi
611563	396108	Contestant
611564	15040	
611564	43007	La petite Lucile
611564	59225	La petite Paulette
611564	71824	
611564	72524	La petite Masure
611564	73183	Polia
611564	133000	Laurette
611564	134191	
611564	148668	Suzanne's Sister
611564	167200	Denise Tarrand
611564	199301	Berthe Bovary
611564	207770	Marie Coeuret
611564	225489	
611564	236541	
611614	241605	Agency Model
611564	253213	Catherine de Medicis (girl)
611564	281580	Marguerite Roquevillard
611564	282489	
611564	287590	
611564	354982	
611564	357113	
611564	377865	
611565	78643	Wendy Hollister, Bishop's gir
611565	104770	Herself
611565	128771	Violet Halyard
611565	142387	
611565	177609	Charity Fell
611566	62313	Politician's Daughter
611566	181852	
611566	358746	Marianne
611567	242689	Hanne
611568	36633	Hermine, Bruckner
611568	221769	
611568	225676	Pauline Schamrajewa
611568	314318	
611568	352100	Evas Mutter
611569	14675	
611569	129486	
611569	161667	
611569	218099	Anabella
611569	222536	
611569	301142	
611570	63809	
611571	142394	Holly
611572	253670	
611572	395477	Isabel
611572	396781	Sra. Barnett
611573	33312	
611573	82765	Armine Bzheshkyan
611573	410403	
611574	382095	Tatyana
611575	89469	
611575	104509	
611575	134993	Barbara
611575	237827	Olga
611575	248314	
611575	321772	Dureene
611575	325548	
611575	325850	Daisy
611575	399503	
611576	215107	Shaindel (the country girl)
611577	112233	L'auto-stoppeuse
611578	40572	Alice
611579	15105	Mme Tallien
611579	203943	
611579	216236	Soeur Simplice
611579	216237	Soeur Simplice
611579	236515	La voix de Marlène
611579	298574	Madge Larrabee
611580	199000	
611580	290511	Susi
611581	124861	
611581	231731	
611582	57821	Hülya Ersoy
611583	35307	Betty
611583	54993	Miss Jacoby
611583	211824	The Aunt
611584	186580	Receptionist
611585	213577	Peep-Bo
611587	287414	
611588	198757	Sihab
611589	144102	
611590	17435	
611590	301000	
611590	325870	
611591	162529	Julie
611592	8847	
611592	233246	
611592	341603	Irja Huurre/Ritva
611592	354281	Matron at the old people's ho
611593	90353	Millie Gunder
611593	117154	Nydia Walker
611593	241633	Joanna Sweet
611593	403834	Regular Performer (1970-1972)
611593	405711	Janet (1965-1966)
611594	35778	Helen Graham
611595	61617	Nancy Rout
611595	67938	Sister
611595	81682	Betty
611595	194062	Secretary
611595	382838	Barbara Black (1986)
611596	161189	Guest
611597	272440	Market Square Extra
611598	16720	
611598	104388	
611598	131656	
611598	143200	The Mother
611598	151814	
611598	169616	
611598	207704	The Sister
611598	224822	
611598	250561	
611598	254271	
611598	265437	
611598	316686	
611599	107501	Chick the Cherub
611599	168508	Chick the Cherub
611600	138716	Herself
611600	378833	Presenter (1990-1992)
611600	382961	
611600	409560	Host
611601	44509	Girl's Mother
611601	113603	Esther
611603	42112	Lulu
611603	80504	Guidance Counsellor
611603	117713	Ivy
611603	149441	Mom's Voice
611603	158150	Marni Blake, Prosecutor
611603	210268	Gloria
611603	239394	Helen
611603	253773	Mrs. Kent
611603	257696	Mrs. Armstrong
611603	278264	
611603	321339	Teak
611603	331112	Counselor
611603	367444	Bernette Wilson
611603	383414	Additional Voices
611603	388348	Harriet Winslow #2 (1998)
611604	24695	Kid in boutique
611605	319050	Charlotte
611606	38611	The Woman
611606	153565	Lyth
611606	321774	Rachel
611607	308048	Andrea
611608	8023	Girl's Mother
611608	264234	Ruth
611608	265892	Party Guest
611608	321176	Jury Foreman
611609	366150	Joby Hobson
611610	96771	Blonde Secretary in Royce Bui
611610	343010	Cyclist
611610	372901	Waitress
611611	218944	Vivian Marshall
611612	46706	
611612	330623	Minnie Malloy
611612	340010	Second Woman
611613	24695	Boutique owner
611615	211216	Monique Aubray
611616	163193	Group Performers
611617	11326	Existentialist
611618	164687	Herself
611619	545	Aisa
611619	110550	Maartje
611619	115860	
611619	196436	Julia
611619	254664	Lala
611619	256493	Jonkvrouw Filette de Bonban
611619	299991	Britt
611619	316461	Polly
611619	357379	Roos
611619	375069	
611619	398923	Julia
611619	409178	Fleur Lion
611620	81905	
611620	205460	(segment "Papo Amarelo")
611621	95793	Herself (Narrator/Interviewer
611622	21667	
611622	33908	Ina
611622	140702	
611622	166946	Hospital Receptionist
611622	188838	
611622	211717	
611622	232930	
611622	302114	Ex-Wife
611623	304737	Alice Farr
611624	371374	Old lady
611625	331467	Half Dick
611626	220276	Female Patron
611627	95894	Extras
611628	95894	Extras
611629	376906	Violoniste
611630	23400	Girlfriend
611630	338143	Girl ("atrophy revisited")
611631	57139	Jenny
611632	150973	Mrs. Bart
611632	219558	Customer in Salon
611633	5874	Catherine Cooke
611633	17997	Lavinia Hubbard
611633	59763	Helen Carr
611633	63161	Queen Isabella
611633	78186	Jo Horton
611633	88191	Helen Baldwin
611633	99209	
611633	114312	Mrs. Rollin
611633	133670	Jenny Horn
611633	134120	Sibella Greene
611633	159706	Mrs. Sarah Brady
611633	206877	Queen Elizabeth I
611633	207949	Juliet Corton
611633	216234	Fantine
611633	216907	Leah Ernst
611633	303439	Marilyn Sterling
611633	315726	Ruby Lemar
611633	317402	Blanche Hardell
611633	330602	Grace Coombs
611633	339524	Herself
611633	366374	Grace Winslow
611634	19953	Alice Hawthorne
611635	114620	Countess X
611636	291273	Rosie
611637	77703	The Princess
611637	105791	
611638	9883	Mrs. Guy
611639	239931	
611640	90362	Girl in car
611640	334112	Girl with Gun
611642	339707	Woman in Automat
611643	38728	Mum
611643	133636	Peter's Girlfriend
611644	13643	Paradise Elder
611644	335472	
611645	1681	Herself
611645	1748	Herself - Presenter
611645	1975	Herself
611645	2009	Herself - Presenter
611645	2258	Herself - Presenter
611645	14219	Sulka
611645	29375	Herself (Hostess)
611645	31499	Lani McKenzie
611645	31502	Lani McKenzie
611645	55173	Herself
611645	57650	Herself
611645	57690	The Temp. (pilot ep.)
611645	60332	Herself
611645	62787	McKenna Ray/The Raven
611645	63037	Herself
611645	82015	Herself
611645	87391	Michelle
611645	96555	Herself
611645	98139	Reporter
611645	98832	Herself
611645	103798	Herself
611645	122637	Herself - Host
611645	126544	Mistress Moira
611645	126715	
611645	131380	Roxanne
611645	133869	
611645	190739	Honeysack
611645	194483	Guest Star
611645	207858	The Female (Jenny Smith)
611645	208376	Debbie
611645	216959	Herself
611645	218375	Herself
611645	221429	Herself
611645	221483	Herself
611645	223745	Tina
611645	226977	Herself
611645	233560	Herself
611645	243928	Herself
611645	253059	Simone
611645	257585	Herself
611645	275785	Audrey
611645	279989	Hostess
611645	284013	Herself
611645	289666	Drew Decker
611645	291968	Rebecca
611645	295076	Self
611645	295431	Hostess
611645	307206	Treasure
611645	313825	Staci
611645	313830	Iona Shirley
611645	326663	Herself - Presenter
611645	348545	Celebrity
611645	349535	
611645	361224	Herself
611645	362029	Laura
611645	367955	
611645	378685	Host
611645	380925	Herself (Hostess)
611645	381410	Herself (2002)
611645	381442	Lani McKenzie (1997-1998)
611645	385625	Herself (Celebrity Judge)
611645	392340	Sarah Hicks (1999)
611645	395803	Herself (Hostess) (2002-03, 2
611645	396113	Herself (1997)
611645	404721	Herself
611645	405443	Herself (1997)
611645	408227	Herself
611648	284590	Appia
611650	229553	Child
611651	356094	
611652	206567	Rosana Pereira da Silva 'Roux
611652	384118	Inez (2000)
611652	392592	Rouxinol
611653	54464	Prostitute
611654	8115	Yanna
611654	405793	
611655	158723	Old Woman
611656	88362	Rasica
611656	124061	
611656	212792	
611656	265657	
611656	267949	whore
611656	339274	
611656	351014	
611657	23780	Eileen Perry
611658	98791	
611659	366956	Kamlin
611660	162745	
611661	182646	
611662	64744	Burakov's Daughter
611663	162745	
611663	214792	Katherine
611664	381514	Herself (2000)
611665	1271	
611665	5953	
611665	13277	
611665	24936	
611665	41632	
611665	50389	
611665	67137	
611665	105725	
611665	116015	Lili
611665	116402	Laura
611665	118516	
611665	201450	
611665	332877	
611665	339648	
611666	35765	Denise
611666	396874	Judith Steinbach (2004)
611667	70924	Adina
611668	79507	Belly Dancer
611669	383355	
611669	388679	
611670	25753	Female Child 1
611671	51967	Suzy Kurosawa
611671	77433	
611671	115432	Mistress
611671	169884	Miss Ting
611671	277071	Tishi
611672	321266	Woman on Train
611673	8023	Jillian Parnell
611673	21305	Herself
611673	26142	Herself
611673	31500	Shauni McClain
611673	31501	Shauni McClain
611673	35135	Emily Shaw
611673	35506	Elly May Clampett
611673	40878	Vicki De Soto
611673	44238	Katherine Verdoux
611673	47047	Ricky Smith
611673	47433	Jaime Coburn
611673	54631	Sam Hoffman
611673	57174	Kate Parker
611673	57650	Herself
611673	59415	Monica
611673	59840	Toni Johnson
611673	63099	Cat
611673	64569	Herself (Performer)
611673	79408	Jennifer
611673	92668	Aurora
611673	96593	Pretty Young Girl
611673	97350	Det. Eileen Burke
611673	109675	Victoria Paige
611673	113415	Gloria Franklin
611673	128281	Mandy
611673	140844	Annie Campbell
611673	189362	Sandy Miller
611673	241412	Kelly Moore Brooks
611673	242922	Patty
611673	247494	Wendy Lane
611673	247569	Janie/Jamie
611673	257648	Herself (Miss May)
611673	257829	Herself (Miss July 1989)
611673	268211	Stephanie Potts
611673	292250	Sara Morgan
611673	297102	Julie Hayes
611673	306319	Barbara Cates
611673	314169	Erin Mitchell
611673	346058	Jordan Tate
611673	351189	Katherine Garrett
611673	381442	Shauni McClain (1989-1992)
611673	383923	Stephanie Curtis (1988-1989)
611674	264737	
611675	27676	
611675	35094	
611676	42898	Herself
611677	348594	Minnie
611678	305879	
611679	217223	Schoolgirl
611680	159038	Herself
611681	354769	Catarina
611682	223719	Toula at 6
611683	41962	Young Leanna Taylor
611683	195844	Jen
611684	242033	Sherri
611685	161158	
611686	57139	Ann
611686	308038	Pauline
611687	187659	Elsa Berger
611688	135211	Switchboard operator
611689	137975	Berit Holm as a child
611689	324612	Lotta
611690	412268	Audovère (segment "Attale, es
611691	79272	Dater
611692	289513	Mrs. Garner
611693	1674	Herself
611693	1703	Herself - Presenter
611693	2761	Herself/Host
611693	18213	Black Lodge video character
611693	53323	The Angel
611693	65630	Dorothy
611693	75801	Phig
611693	88869	Owl
611693	91651	Lisa Majorski
611693	97644	Shari
611693	97645	Herself
611693	109078	Herself
611693	134611	Tanya
611693	143240	Leslie
611693	175223	Anna Riley
611693	181005	Veronica Micelli
611693	194332	Kate
611693	224391	Herself
611693	224392	Herself (presenter)
611693	237906	Ellena Roberts
611693	316154	Tall Dancer in 'Halo' Video
611693	324376	Lorelei
611693	336748	Angela Martin
611693	337098	Auburn
611693	351887	Venus
611693	368158	Herself (announcing The Brian
611693	386248	Dharma Freedom Finklestein Mo
611693	408665	Shannon Canotis
611694	32214	Assistant
611695	117454	Susan B. 'Frenchy' Hercules
611695	150468	Singer
611696	246486	
611696	323895	
611697	237600	Missie Stiggs
611698	296051	
611699	120138	Office Girl
611699	120139	Secretary
611699	237265	Maud, nurse student
611699	266362	Inger
611699	320607	Lena
611700	137883	Anna
611700	137884	Anna (episode 1)
611700	375223	Bittan
611700	392072	Ulla Brit Lauters (2003)
611700	397974	Malin Stenbock
611700	403084	Malin Granström (1999-2000)
611701	198380	
611702	156504	Newsstand owner
611703	185966	Nina
611703	276336	Maj-Britt
611703	315361	Rose
611704	26558	Dirce
611704	85924	Alys
611704	90284	Anna Gruber
611704	122788	Elsa
611704	133855	Helen Wallenda
611704	143536	Nemesis
611704	156935	Simone
611704	188023	Angèle Ducros
611704	189807	Old Mother Ralston
611704	215157	Female rrofessor
611704	215842	Audrey Bonay
611704	226787	Dancer
611704	265265	Elissa
611704	313748	Herself
611704	319317	Children in Olli's party
611704	329560	
611704	330638	Fisher
611704	340810	Herself
611704	360110	Erica Neuler
611704	377462	On Camera Host
611704	400236	Olympia Buchanan (1980-1981)
611705	291653	Herself
611706	386259	Presenter (2002-)
611706	411574	Presenter
611707	10743	Peppercook
611707	35132	Mrs. Banks
611707	86007	Carrie Pooter
611707	131797	Mrs. Ford
611707	183438	Emily Parish
611707	209525	Mrs. Pennington
611707	281413	Miss Gilchrist
611707	285879	OVIR Administrator
611707	291867	Freda
611707	297876	Sylvia
611707	311940	Betsy Jane Duckworth
611707	330592	Miss Carroll
611707	365564	Lady Bracknell (in stage prod
611707	383511	Lou Evans
611707	384333	Nurse Sharp
611707	389907	Ethel
611707	397676	Mary Sharpe
611707	399931	Ivy
611707	403373	Pam
611707	403777	Millie Penrose (1977-1979)
611707	406441	Martha Fenwick
611707	407587	Emily Wharton
611708	24486	Herself
611709	296539	
611710	11963	First Attendent
611710	27263	Club Dancer
611710	232124	Dancer
611711	180907	
611712	315929	1. Gabriela - Rùzenka
611713	58672	Lisa
611714	98263	Frau Huber
611714	125222	
611714	125229	Frau Löwenzahn
611714	156985	
611714	189576	
611715	11985	Barbro, Twin sister
611716	11985	Ylva-Li, Twin sister
611717	317172	Lady Nelson
611718	12979	
611718	17406	
611718	35613	
611718	76717	
611718	77425	
611718	103606	
611718	163111	
611718	164134	
611718	172013	
611718	172183	
611718	173858	Nevin
611718	173869	Ülger
611718	175385	
611718	180327	
611718	180701	
611718	293428	
611718	303131	
611718	307158	
611718	325209	
611718	336233	
611718	350994	
611718	378222	
611719	139644	Expedit på Centralen
611719	303674	Berit's Angry Friend
611719	388646	Journalist
611719	405594	Juliette
611719	408933	Pia
611720	357176	
611721	119457	Herself - Host
611721	257244	Herself
611721	383100	Herself - Host
611721	385666	Herself - Host
611721	388988	Herself - Host
611721	391711	Herself - Host
611721	391750	Herself - Host (2003)
611721	392320	Herself - Host
611721	396226	Herself - Host
611721	404582	Herself - Host (2003-2004)
611721	406611	Herself - Host
611721	406612	Herself - Host
611721	410234	Herself - Host
611722	84297	Desiré
611722	120139	Office Girl
611722	180475	Girl at the advertising agenc
611722	377427	Eva Andersson
611723	115332	
611723	211668	
611723	219497	Charlotte
611723	384789	(1990)
611724	205547	
611725	73413	Nun
611725	92482	Girl in nightclub
611725	228827	Diane (WAVE nurse)
611725	266617	Dolores Martello
611725	317481	Leatha Gaskin
611725	365510	Mary Kroll
611726	1111	
611727	44238	Gospel Singer
611727	81545	Ruth Anne
611727	155311	Nurse
611727	176526	Mrs. Childs
611727	224179	Pam
611727	273407	Divine
611727	275322	Esther Jackson
611727	296775	Waitress
611727	321405	Marion
611728	147974	Hutterite Woman
611729	127390	Virginia, Gian's sister
611729	248791	Nuvola
611729	335473	Alex
611729	356223	Cecilia
611729	356473	
611729	383492	Antonella (1997)
611729	399657	Herself (1991-1992)
611729	402303	Gertrude
611730	354467	Marine
611732	391285	
611733	278187	Party Guest
611734	331738	Announcer
611735	337742	
611736	46507	Beth
611737	255316	Flower Lady
611738	245462	3rd Reporter
611739	10238	Elizabeth
611739	13610	Laura
611739	25216	Cléia
611739	25781	Norma
611739	29713	Rosinha
611739	42239	
611739	44917	
611739	55311	Regina
611739	55362	Marina
611739	82991	
611739	85865	Zippi
611739	92042	
611739	96532	Celinha
611739	96533	
611739	135268	Sônia
611739	156036	
611739	163756	Daria
611739	166946	Raschel
611739	174285	
611739	176632	Seniora Mandabon
611739	180282	
611739	185764	Maya Amiel
611739	202130	
611739	205512	Maria
611739	222181	
611739	229703	Dalila
611739	236866	
611739	245456	
611739	278585	
611739	286574	Teresa
611739	299429	
611739	302535	Susana
611739	307782	
611739	315687	Rachel
611739	324101	
611739	333908	
611739	341136	Celinha
611739	343408	
611739	344782	Helena
611739	350142	Sandra
611739	371802	
611739	388563	Soraya
611739	393031	Riki Ben Simon
611739	397482	
611739	397881	Hanzi Brand
611739	412000	
611740	218316	Marie/La Reine
611741	276965	
611742	114381	Michelle
611742	138209	Hot Coffee
611742	168460	Jane
611742	175795	Mrs. Anderson
611742	193452	Lois
611742	222363	Melvis
611742	228664	Nurse Dorothy
611742	231951	Shirley
611742	266569	Wife
611742	279998	Coach Steroid
611742	296875	Woman in Taxi
611742	301654	Barbara Bennett
611742	340827	The Cute Woman
611742	390428	Rose Kosinski
611742	391972	Betty Bushkin
611742	394173	Cheryl Siegel
611742	406461	Jeanette Lemp
611743	2383	
611744	403429	Catarina
611745	236972	Servant Child
611746	52586	Herself
611747	122377	
611748	86554	Herself
611749	289372	Featured Extra
611750	201861	Narrator
611751	171084	Marci
611751	365742	Lottie
611751	398378	
611751	410988	Additional Voices
611752	26079	Additional Voices
611752	40632	Walter's Secretary
611752	41122	Bargirl
611752	50869	Cowgirl
611752	63064	
611752	68269	
611752	78785	Alexandria, Pau
611752	80620	Eve Adams
611752	80660	Darlene Winters
611752	82900	Joey/Margaret
611752	82901	Margaret/Joey/Tommy
611752	109834	Toadstool
611752	117785	Additional Voices
611752	141580	
611752	167698	Little Girl/Camera Person
611752	208067	Shirley
611752	234677	Cassie
611752	256823	Sandy O'Reilly
611752	311308	Max Goof
611752	312195	Additional Voices
611752	316496	
611752	360490	Little Girl, Old Woman, Littl
611752	363723	Stranger/Herd Elephant
611752	369460	Illyana
611752	379230	Pugsley Addams
611752	380715	Carl Foutley
611752	386055	Margaret/Joey/Tommy
611752	391260	Additional Voices
611752	393221	Drew (2000-2003)
611752	395070	Maiden Fair Hair/Snags/Pixieb
611752	397695	Additional Voices
611752	399935	Beth Oblong/Creepy Susie/Mike
611752	401865	Penny
611752	402556	Huey Duck
611752	403353	Gloria Glad, Freckles, Reggie
611752	405552	Additional Voices
611752	406319	Marcy Eisenberg (1984-1985,19
611752	406982	Princess Peach Toadstool/Shyg
611752	409212	Additional Voices
611752	410419	Maggie Thompson
611752	410975	Additional Voices
611752	412074	Isabella Torres
611753	157576	Dr. Thompson's Date
611754	63095	Megan
611755	4680	Sharmila's Mother
611756	138561	
611756	271613	Baba the Turk
611757	299443	Herself
611758	19126	
611758	307264	Bandit
611759	353670	Vicky
611760	12909	Araba
611760	292446	Mama Fola
611761	322392	Unnur
611762	333006	Herself - Parent
611763	203439	Kiddie
611764	52127	
611765	320565	
611766	246906	
611767	152763	
611767	159646	Dancer
611767	234826	Søster Ingrid/Sister Ingrid
611768	333068	Yogainstruktör
611769	328545	Kajsa Steen
611770	408800	Gina Persson (1995-1996)
611771	19502	Painter
611771	27684	
611771	30623	Mzisa and Mtvarisa
611771	61086	Irma
611771	62257	
611771	62856	Nino
611771	64155	
611771	79255	
611771	123489	
611771	123541	Nani
611771	163845	
611771	172431	
611771	186529	Stepmother
611771	202256	Nato
611771	202759	Zeinabi
611771	209091	Qeto
611771	216552	
611771	243719	
611771	268573	Melita
611771	268577	Qeto
611771	288311	Taguhi
611771	298652	Eliko
611771	341227	
611771	354633	
611771	374669	Mariami
611771	374670	Leila
611772	30791	
611773	56354	
611773	246416	
611774	10065	
611775	217448	Molly
611776	8589	
611776	173828	
611777	215813	Sally
611778	125599	Marcelle's Mother
611780	387601	Cast
611780	404123	
611781	41828	Veronica
611781	191625	Twins Team
611782	66078	
611782	96031	Bernadette
611782	132838	Juju
611782	170420	Mme Encelade
611782	225769	Marlène
611782	244961	
611782	254024	
611782	263018	Mireille
611782	355877	Fille front de mer
611782	356505	Isabelle, en 1920
611782	388689	
611782	395636	Lili
611782	396188	
611782	401139	Édith Le Garrec
611782	408662	Josyane
611783	71602	Herself
611783	384443	Host
611785	77405	
611786	242764	Narrator
611787	137353	Machshemoshot Sisters & Witch
611787	218876	Leah
611787	302060	Eti Va'anunu
611787	398918	Various
611788	365458	BaAka Villager
611789	64333	Herself (1985)
611789	381912	
611790	23480	Desiree
611790	33016	Herself
611790	41206	Tina
611790	80797	The Woman
611790	81749	Consuella
611790	107692	Woman on Airplane
611790	127103	Lady with Cat
611790	145011	Student Protestor
611790	160528	Director/Abusive Woman/Groupi
611790	232417	Pedestrian
611790	342443	Miss San Diego State
611790	391558	Student
611791	229064	
611791	284146	Radio-Reporter
611792	187903	Paquette
611793	231437	Crummles' Youngster
611793	252739	
611793	345821	Topsy
611794	6686	Their Young Daughter
611794	26292	The Little Boy
611794	26814	The Sick Child
611794	34687	A Poor Charwoman's Tiny Daugh
611794	48685	The Little Daughter
611794	53077	
611794	59490	The Little Girl
611794	64593	The Little Boy Circus Stowawa
611794	67241	George IV, The Child King
611794	71990	The Little Daughter
611794	74231	Alice, the little girl
611794	75315	Cupid
611794	79550	Em'ly as a Child
611794	89276	Jack, the Little Boy
611794	91524	Dottie
611794	92064	The Eagle's Sister
611794	92499	Little girl knocked down by H
611794	96807	Willie
611794	105356	Messenger Boy
611794	107467	Marie
611794	114687	The Littlest Rose Sister
611794	114797	The Granddaughter
611794	114887	The Youngster
611794	115704	
611794	117618	
611794	126549	Daughter of poor widow
611794	128806	An Immigrant Child of the Ghe
611794	132336	Nell, the Governor's Daughter
611794	135566	The Plumber's Detective Daugh
611794	143237	Her Ladyship's Page
611794	143384	
611794	146005	
611794	158125	The Little Daughter
611794	158523	The Younger Brother
611794	165439	Jane Eyre as a Child
611794	169909	The Little Black Boy
611794	171012	The Bad Kid
611794	186310	
611794	191813	Willie Stone
611794	191879	Hans, the Little Dutch Boy
611794	192084	The Little Mother
611794	192274	The Little Shut-In
611794	193180	
611794	194295	
611794	194577	Lorna, Age 5
611794	197010	The Little Boy
611794	209499	
611794	211523	
611794	215756	The Little Heir
611794	231061	Marie, the Little Daughter
611794	231076	Ragsy, the Newsboy
611794	231437	Squeers' Son, Wackford
611794	236929	The Little Girl
611794	239563	Little Nell
611794	240622	The Orphan Granddaughter
611794	240894	
611794	242032	Marie
611794	255457	The Little Lame Boy
611794	257890	Grace, an Orphan
611794	258457	The Old Man's Grandson
611794	258725	
611794	265436	The Professor's Son
611794	267583	
611794	271974	The Little Boy
611794	276389	The Little Girl
611794	278665	
611794	288799	The Peddler's Daughter
611794	297866	Leo Vincey as a Youth
611794	301486	The Little Orphan Girl
611794	312769	The Stage Chlld
611794	312803	
611794	313352	A Midget, The Star of the Sid
611794	314462	The Younger Sister
611794	327630	Dan Cupid
611794	327731	Little Mary
611794	329351	
611794	333579	The Little Boy
611794	335240	The Tomboy's Little Sister
611794	342432	Edna Robinson
611794	342961	Forlorn, unknown step-sister
611794	343109	Tony's Son
611794	345821	Little Eva
611794	345824	Little Eva St. Clair
611794	351425	A Little Boy
611794	353283	
611794	359743	The Little Black Boy
611794	362938	Mandy
611794	363154	Herself
611795	231437	Fannie Squeers
611795	342432	Edna's Mother
611796	70408	Connie
611796	219939	Ella Howard
611796	277655	
611796	302886	Estelle
611796	351914	
611797	100311	
611797	135282	
611797	160893	
611797	164881	
611797	233758	
611797	275428	Narrator
611798	208952	Herself (chemist)
611799	306420	
611800	147308	
611801	80594	Charlotte Lessing
611801	107857	Nell Fisher
611801	177015	Ipcress Files Band Guitarist 
611801	305391	Lisa
611801	404616	Margaret
611802	249271	Joan Blackman
611802	313804	Jane Manning
611802	361635	Joan Carter
611803	254076	
611804	178314	Julie
611805	283385	Marilyn
611805	331714	Liz
611805	348366	Mayor Holt's Wife
611805	365148	Dance hall girl
611806	265928	
611807	360066	
611809	10889	Claire Voyant
611809	43877	Clara
611810	183755	Young Laurel
611811	297121	Aragon's Assistant
611811	340228	On Scene Reporter
611812	202522	Herself
611812	275022	
611812	307799	
611812	411286	Host (2003)
611813	63112	Mrs. Howard
611813	107894	
611813	185635	Barbara
611813	342566	Pat
611813	397792	
611813	397792	DS Alison Griffiths (Series 1
611813	401689	Sabrina Daniels
611813	405742	Mrs. Davies
611814	328809	Shower Girl #1
611815	407744	Herself/Pivot
611816	258280	La Mujer
611818	56069	
611818	158733	
611818	236040	Dalila
611818	338233	Rainha Flora
611819	291934	Herself
611820	94698	
611820	264261	Clara, la maestrina
611821	113393	Francisca
611822	78384	Clairy
611822	82455	Grandma
611822	99613	Elvis' Grandmother
611822	115879	Lucretia Carotti
611822	116131	Lisa Larsson Röök
611822	168863	
611822	174256	Lena Granberg
611822	274833	Vera
611822	304423	Läspia
611822	312697	Donna Lucia
611822	322271	Gun Lagerberg
611822	342311	Eva Wahlberg
611822	346969	Troppo
611823	366827	Betty
611824	3266	
611824	26978	Turkish Wife
611824	34316	German woman
611824	39536	
611824	59452	Keta
611824	83010	
611824	83836	Old woman
611824	84894	
611824	91779	Landlady
611824	127674	Bendolin's wife
611824	138987	Mama Corcoris
611824	143191	Diplomat's Wife
611824	147620	
611824	274002	
611824	295617	
611824	308576	Woman
611824	312373	
611824	328131	
611824	345860	Squaw
611824	352143	
611824	366484	Piny
611824	372139	
611825	216639	Ms. March - Football
611826	284526	Photographer
611827	42988	Carol
611827	51765	
611827	61646	Kyle
611827	103287	Lia Poirier, Sagan Cocommande
611827	146773	Germane
611827	169895	Gina Lamont
611827	185086	Chrissy Trutt
611827	196282	Annie
611827	219953	Laurel Cooper Rogers
611827	236150	Kim McGee
611827	330386	Darby
611827	337100	Lorraine
611827	350464	Raphinia Kowalski
611827	381811	Emily Valentine (1991-1992)
611827	387728	Harper Tracy (1995-1996)
611827	395021	Erin Coffey (1996)
611827	395309	Kit Keller (1993)
611828	81346	Groupie
611828	147667	Lisa
611828	213097	Dancer
611828	350172	Lucia Giannini
611829	303503	Jacqueline
611829	346791	
611830	27928	Lisa Hill
611830	33030	Herself
611830	33742	Denver
611830	43015	Fanny May
611830	85999	Helen McCarter
611830	87936	Jeanette
611830	103906	Herself
611830	168586	Denise Archibald
611830	194566	Loretta Claiborne
611830	203918	Rosie
611830	295077	Tisean 'T.T.' Williams
611830	367617	Michelle Jordan
611831	123160	
611831	148236	Rita
611832	21173	1st Court Lady
611833	185549	Lt. Bravo
611833	288465	Belline, the spirit woman
611833	321444	Bobbie
611834	214002	Elena Caliciotti
611836	281674	Narrator
611837	71332	
611837	124237	
611837	218491	
611837	278617	
611837	341136	Gilda
611837	356035	Ana Maria
611837	380777	Miriam
611837	383584	Conceição
611837	396938	
611837	400686	
611837	401095	Ully
611838	70763	
611838	74165	
611838	98238	
611838	105336	
611838	174247	Chechamma
611838	209747	
611838	212129	Mili
611838	273298	
611838	298184	Shaman
611838	319286	
611838	330417	
611838	381091	Herself (eliminated round 2) 
611839	27145	Jenna
611840	379893	Regular Performer
611841	84440	Tara
611842	139156	Pinup Girl
611843	91297	Parishioner 3
611844	66335	Trish
611845	106647	Raven
611845	263359	Sara Carreni
611845	333328	Felice
611846	176864	Nurse #1
611847	93804	Kate
611848	1895	Susan
611849	26077	Verbal Spectator
611849	313426	
611850	80660	Young Wife
611851	291974	Victoria Hollow
611852	77469	Herself
611852	280655	Tawny
611853	80397	Admissions Nurse
611853	109619	Rachel
611854	10485	Tortera
611854	385401	Rocío
611854	386078	Jacinta
611855	60253	Lisa Apple
611856	25192	Starlet
611856	166939	Town girl
611857	47015	
611858	71740	Herself
611858	190976	
611859	35619	Zeliha
611860	267636	Grace Hayes
611861	1681	Herself - Presenter
611861	1706	Herself
611861	1737	Herself
611861	2721	Host
611861	14131	Nadia
611861	14132	Nadia
611861	40202	Nurse
611861	40330	Hostage
611861	73674	Courtney
611861	75585	Becky
611861	87697	Anne
611861	95789	Vanessa Canningham
611861	105341	Princess
611861	164431	Jill Metzner
611861	165260	Serena St. Germaine
611861	165977	Justice
611861	168776	Chrishelle Rene Babineau
611861	176287	Shelby Roman
611861	195300	Harriet, the sexy one
611861	201814	Herself
611861	221435	Herself
611861	239065	Herself
611861	289666	Buffy Gilmore
611861	291876	Nicole
611861	295636	Herself
611861	320099	Office worker
611861	330479	Kathy Kriticos
611861	335258	Natalie Carter
611862	79272	Dater/Slave Saleswoman
611863	15342	Henriqueta Terra
611863	55236	
611863	89918	
611863	212139	
611863	225980	
611863	278617	
611863	340358	
611864	392651	Sofía
611864	398069	
611864	398485	
611865	106316	
611866	322854	Secretaria
611867	167800	Coral
611868	302349	
611868	397571	
611868	398476	
611868	398842	
611868	401771	
611868	403021	
611868	405789	
611869	378848	
611870	49431	Lauro's friend
611871	36667	Maria Sanchez/Maria Blanco
611871	49431	Adela
611871	64966	
611871	83886	
611871	188999	Elena
611871	221608	
611871	222032	Clotilde
611871	228763	
611872	12536	
611872	14673	
611872	14758	
611872	48852	
611872	52620	
611872	53684	
611872	56521	
611872	58407	
611872	89927	
611872	90113	
611872	90364	Reception Nurse
611872	96364	Rita
611872	96538	
611872	97658	
611872	100326	Dona Carlota
611872	103940	Berta
611872	108058	
611872	120710	
611872	121395	
611872	121958	
611872	125558	Raquel
611872	125663	
611872	134173	
611872	148046	Mary
611872	148066	
611872	161657	
611872	193352	
611872	204682	
611872	207968	Sen~ora Ancira
611872	212366	
611872	216071	
611872	225561	
611872	225704	
611872	225712	
611872	233768	
611872	236023	
611872	256800	
611872	257431	Saturnina
611872	270061	
611872	272393	
611872	281219	Josephina Gatedo
611872	319559	
611872	326335	
611872	326350	
611872	337451	
611872	339034	
611872	339105	
611872	339204	
611872	340408	
611872	343731	
611872	351651	
611872	352009	
611872	355793	
611872	358567	Guadalupe Aragón
611872	373956	
611872	376639	
611872	376805	
611872	377160	
611872	379133	Sofía
611872	381720	Cristina
611872	385370	Inés Viuda de Sánchez
611872	389429	
611872	391417	
611872	397838	Doña Emilia Elena viuda de Do
611872	397839	Doña Emilia
611872	401093	Diana
611872	408859	Magnolia
611873	340546	Salina
611874	245871	
611875	264158	Marissa Motaz
611876	260523	
611877	301577	Multitud
611878	11946	Maria
611878	101719	
611878	269528	
611878	349816	
611878	381222	Thaís
611878	382405	Sandra
611878	383172	Dalva
611878	383584	Mônica
611878	383678	Terê
611878	384480	Noêmia
611878	385385	Lu
611878	388562	
611878	388563	Adelaide
611878	393615	Mariucha
611878	395882	Patrícia
611878	396610	Zizi (1996)
611878	400838	Maria Rosa
611878	400902	Cidinha
611878	401086	Emilene
611878	401104	Rosemary Pontes
611878	401678	Sandra
611878	401900	Magnólia
611878	402456	Teresa
611878	403733	Marilda
611878	404834	Djeane
611878	406833	Nazaré
611878	407024	
611878	407643	Rita
611878	409025	Guadalupe
611878	410377	Lucinha
611878	412258	Marion
611879	20957	Waitress
611879	48939	Ted's Friend #2
611879	144988	Florence
611879	147745	Woman in Elevator
611879	196890	Gina Rivinni
611879	350212	Heidi
611880	271282	
611881	389791	Additional Voices
611882	10963	Ronit
611882	33895	
611882	97405	
611882	137874	Oshra
611882	140051	Judith
611882	213892	
611882	217731	Ruthie
611882	243601	Sonia
611882	296560	Pnina
611882	343409	
611882	351002	
611882	389236	Dafna Spector
611883	43164	Wedding Guest
611884	346016	Model
611885	395404	Delfina Guerra
611886	21628	Young Woman (lead)
611886	43432	Tresca's Secretary Isabella
611886	69391	Georgia's Girlfriend
611886	104290	Nancy Cusack
611886	140016	Anya Petrovich
611886	177605	Rachel
611886	257410	Leila Sandler
611886	369421	Female Attendant #2
611886	386006	Claire
611886	399827	Russian Translator
611886	409816	Merrill Young
611887	80394	Alma Blasquez
611887	133684	Jenny
611887	208086	Nancy
611887	290861	Zombie Woman
611887	292115	Electronics Store Clerk
611887	342618	Wendy Jorgenson
611887	369421	Barmaid
611887	403254	Elisabeth Gagné
611887	403919	Emily Lewis
611888	24429	Dancer
611888	24432	Party Dancer #3
611888	245249	Showgirl
611888	300180	Other Audition Dancer
611889	81542	Betty
611890	333915	Judy Doyle
611891	150786	Yvonne
611891	212996	Dr. Sander
611891	245543	Barb
611891	274460	Samantha
611891	367922	Susan
611891	368721	Patty
611892	115421	Charitable Woman with Purse
611893	340745	Extra
611894	202195	Roseland Dancer
611895	46532	Club Girl
611896	91939	Amelia
611897	120412	Catholic schoolgirl
611898	309158	Kerine, Hermaphrodite
611898	319695	Queen Jezebel
611899	56545	Herself
611899	112023	Zomede Employee
611899	315986	Helen
611900	340745	Extra
611901	158207	Sheronda
611902	197052	Maffio
611902	234976	Adalgisa
611902	257688	Herself
611903	29676	Flight Attendant
611903	44278	Janet
611903	223772	Reporter
611904	223772	Reporter
611905	363421	First Woman
611906	23747	Mere de Frank
611906	35595	
611906	141772	
611906	153013	
611906	157922	Mother Vayda
611906	189916	Mr. Bondy
611906	195452	Edna
611906	196541	Mrs. Margaret Harrison
611906	297786	
611906	359205	Mrs. Warner
611906	388332	Mrs. Scott
611906	394123	William's Secretary #2
611907	411802	Noah Newman #1 (1997) (altern
611908	87879	Young Michelle
611909	89643	Hotel Clerk
611909	237580	Miss Gustafsson
611910	399816	Angela (1972)
611910	403244	Marilyn Hodges
611911	92440	Cora Crippen
611911	281104	Singer
611911	359638	Marion
611912	73423	Maitre'd Sausagemeyer
611913	269225	La journaliste TV
611913	324517	Herself/TV journalist on TV
611913	340143	La journaliste de TF1/Journal
611914	290771	
611915	182642	
611916	303695	Elev i klassen
611917	31460	
611917	138604	Ella
611917	218330	Louise, Maid
611917	249166	Hot Chick
611917	252086	
611918	270896	Lola
611919	224154	Student
611919	391869	Ashley Saunders (2001)
611921	27207	Reporter #2
611921	80546	Mrs. Carter
611921	113773	Judge
611921	151122	Sidney's Mom
611921	193775	
611921	240528	Saleslady
611921	306051	Mrs. Crease
611921	332151	Duty Nurse
611921	355670	Phone Nurse
611921	364189	Receptionist
611921	372525	Dr. Stevens
611922	78904	
611923	109610	Chinese Daughter
611923	215696	Miss Ireland
611924	5060	Dog
611924	303342	
611924	306896	
611924	361957	
611925	107024	
611926	126619	Diamond
611928	168654	Elvira Mae
611928	185203	Martha Bolton
611928	362162	Emily
611928	387309	
611928	404613	
611929	1283	
611929	79804	
611930	355040	Joanne Conlon
611931	29634	
611931	70408	
611931	138311	
611931	171290	Karen
611931	203376	Karen
611931	351914	
611932	232104	Ghoul (30th Anniversary 1999 
611933	11171	Marina #2
611933	26672	Sherry Cappleman
611933	263359	Tina
611933	340973	Sapphire
611935	208410	Candy Dawn
611935	331467	Deli Clerk
611936	363509	Case Worker
611937	46201	
611937	300709	
611937	397556	
611938	230888	
611939	236182	Marcelina
611940	310524	Maggot
611941	46938	
611942	396610	
611943	50905	
611944	42956	
611944	86301	
611944	94299	
611944	194516	
611944	205725	
611944	352601	
611945	47993	Redena
611946	76018	Herself
611946	278897	Herself (guest)
611946	396610	Herself (1999)
611947	180740	
611948	187960	Mamoe
611949	11945	Motel Clerk
611950	158690	Ikan Kikyeras
611951	286780	Verkäuferin #2
611952	7987	Angelique Foster
611953	78018	(segment "Kinky Sex")
611953	80498	Crazy Woman
611953	122686	Alice
611953	150244	Mrs. Riddell
611953	183868	Moira Denning
611953	395924	Beattie
611954	362512	Choir Member
611955	6256	Narrator
611955	26289	Narrator
611955	110489	Herself - Narrator
611955	222866	
611955	387851	Commentator
611955	399098	Herself
611955	399394	Host
611955	400537	Host
611955	406909	Anchor
611955	406925	Correspondent
611955	407545	Herself
611955	410763	Regular (1978-1979)
611956	40653	DCI Anthea Cooper
611956	47571	
611956	77211	Jacquie Whiting
611956	113303	Sandra Milner
611956	187811	Mags Milton
611956	357007	Maria
611956	389248	Diane Stubbs (1993)
611956	399531	Ruby
611956	401077	Chloe White (1993-1998)
611956	408644	Mags Milton
611956	411302	Sally Mowbray
611957	44323	
611959	65063	Mariana
611960	176321	Polly Pringle
611961	121507	Julia
611961	203223	Zina
611961	310094	AMY
611961	324898	Cully Jones
611962	367083	Supporting Cast
611963	249573	His Girl
611964	7413	Teacher
611965	49275	Margit
611965	98076	Maria
611965	147154	Emerenz
611965	156622	Beate Carl
611965	180880	Maria
611965	199312	
611965	254351	Sophie
611965	290197	Frau Wasser
611965	293534	Maria Hartl
611965	293696	
611965	317610	Felizitas Heintze
611965	325524	
611965	338382	
611965	361500	Cilly, Wirtin
611965	376009	
611965	376267	Hilde
611965	378540	Regina
611965	379372	
611965	387445	
611965	392615	Annelies
611965	395644	Hanni
611965	398083	
611965	401312	Eva Faltermeier
611965	403266	Claudia
611965	404462	Gärtnerin Monika
611966	104198	Betty
611966	162204	Suzana
611967	92573	Stewardess
611968	241286	
611968	315630	The Maid
611969	141157	Rosa
611970	17189	Bartender on Boat
611970	45209	
611971	401689	Cilla Lloyd
611972	82528	Lesley
611973	361474	Mrs. Sturry
611974	47492	Miriam
611974	343228	
611975	102233	Young Helena
611976	99364	Comptable
611977	334115	Herself
611978	171200	
611978	366868	China Saleswoman
611978	411221	Mrs. Jastrow
611979	2596	Lisa
611979	15929	Woman
611979	98782	
611979	98783	
611979	98784	
611979	310610	Shari
611980	167047	Mary Magdalene
611980	224169	Herself
611980	296552	Our Guests at Heartland
611981	80959	Janie
611982	317103	Irm
611983	140945	Lady in TV Show
611984	200613	Chinese woman
611985	339596	Brianne
611986	250418	Wet-nurse
611987	10208	Damen i bilen
611987	64636	Sykepleiersken
611988	144403	Helen
611989	8360	Agnes Magnusdottir
611989	75381	Diana
611989	76253	María
611989	118557	Lisa
611989	160793	
611989	208838	Begga
611989	230508	Hilly
611989	233989	Karlsdóttir/Gate-Manager
611989	404282	Katrina Ruyker (1991-1992)
611990	61286	Brandy
611991	130181	
611991	316661	
611992	297775	Shop Clerk
611993	248607	Herself - Singer
611994	10745	Five of Hearts
611994	306421	So Fine Dancer
611994	393222	Herself (regular performer/Ju
611994	393225	Herself (June Taylor dancer)
611994	393379	Herself
611995	14620	
611996	34872	Herself
611996	90269	Host
611996	126512	Herself
611996	146638	Herself
611996	218538	Herself (The Mamas and the Pa
611996	218592	Herself
611996	266917	Witch Hazel
611996	280044	Herself
611996	285395	
611996	291411	Herself
611996	291412	Herself
611996	389973	Host
611996	402916	Regular Performer
611997	17476	Madame D'Arcy
611997	48495	Aunt Amelia Van Saynt
611997	241642	Mrs. Hudson
611997	364316	Charlotte Van Tyne
611998	68086	Herself
611998	283166	Annaka
611998	283167	Annaka
611998	283168	Annaka
611999	367083	Dancer
612000	306421	Seamstress
612001	254522	Female Masquerade Dancer
612002	382354	Maxine Morrison
612002	402599	Katrina 'Kat' Armstrong
612003	154272	The Killer's Daughter
612004	187072	Elderly Woman
612004	340669	Misty77
612005	137900	Ophelia
612005	207229	Actress
612006	150490	Lorna
612007	6273	Second apartment girl
612007	10727	Doris
612007	246923	Travelers' Aid
612007	306126	Woman
612008	226929	The Dean
612009	26289	Park Mom
612009	59099	Sister Barbara Bennett
612009	76858	(US version)
612009	158329	Maria Armstrong
612009	161227	Herself
612009	241454	Madge Frazier
612009	247565	Ebony
612009	282022	Jessica Hornesby
612009	307902	Carol Nelson
612009	361166	Sister Theresa
612009	364832	
612009	374626	
612009	379716	Cynthia Chandler Preston Cour
612009	384366	Tracy Quartermaine Soleito (1
612009	385824	Anjelica Deveraux #1 (1987-19
612009	388862	Linda Skerba #2 (1965)
612009	389858	Tracy Quartermaine Ashton Wil
612009	390771	Carrie Todd Marler (1981-1982
612009	394676	Judy Trent (1980-1981)
612009	400208	Cheryl Logan
612009	403773	Jessica Hornesby
612010	70842	Sheila #2
612011	190193	Girl
612012	142623	Young Joseph's Mother
612013	113980	Nancy Hernandez
612014	124349	Miss Bellows
612014	295484	
612015	65134	Dancer
612016	126619	Extra Talent (segment "Gett O
612017	92742	Nurse
612018	181765	Majbrit
612018	304427	Søsser
612019	82463	Bridgette
612020	338693	Frances
612021	339463	Ardis
612022	304425	
612022	322423	
612023	279631	Janet Woodruff
612024	10415	Secretary
612024	11352	New Bird
612024	30471	Secretary
612024	79878	Plain girl
612024	214641	Tube sequence
612024	222815	Gabrielle
612024	291224	Valerie
612025	240879	Interviewer
612026	265352	Sophie
612026	309546	Dancer
612027	407162	Lila Fowler (1996-1998)
612028	103201	Herself (Finalist)
612029	117115	
612030	55109	Mrs. Bryant
612030	127928	Marthe
612030	128261	Nurse
612030	148372	June
612030	177367	Multi media minister
612030	215796	Diane Springer
612030	267486	Mrs. Brabbin
612030	292779	Raunchy Woman
612030	368675	Delilah
612030	382723	Iris Breeze
612030	384142	Cherry Chancellor
612030	385020	Julie Dewhurst (1991-1992)
612030	385978	Jane
612030	386385	Bella
612030	404664	Doreen Slater
612031	131731	Improvisation Group
612031	363393	Questioner
612031	364692	Diner
612031	378729	Annie
612032	66783	2nd Stewardess
612032	370495	Karen
612033	139001	Mrs. Hyatt
612033	210730	Gloria's Mother
612033	305777	Glenda Sherman
612034	72922	Kathy
612034	96846	Kid
612035	405696	Grigorieva
612036	391395	Dancer (1999)
612037	335123	Amy Lawrence
612037	379696	Alecia Alcott
612038	118298	David's Wife
612039	35243	Margaret Wharton
612039	145876	Nance, His Daughter
612039	304801	Carlotta
612039	306746	Eleanore Hilton
612039	319074	The Girl
612039	362567	Gwendolyn Pidgeon
612040	965	Marie-Noel
612040	18004	Jessica
612040	38645	Laura
612040	159200	Peggy Ann Buckey
612040	214986	Anne Sullivan
612040	218162	Tessa
612040	252865	Cindy
612040	263331	
612040	274010	Winifred Rounds
612040	308634	Thea Kronborg
612040	311408	Percy Talbott
612040	337988	Nora/Niamh
612040	346299	Rachel
612040	366192	Millie Theale
612040	369336	Lou Earp
612040	382167	Eve Saskatchewan
612040	382912	Virginia St. George
612040	395807	Martha Lambert
612040	411517	Mrs. Who
612041	148222	Ginny Wilshire
612041	176893	Sandy
612041	368416	Sharon
612041	396961	Lavinnia Spalding
612041	406482	Petronella Lendrick
612042	171278	Refund Lady at the Met
612043	82096	Hermione Chesterton
612043	289367	Isobel Boynton
612043	342389	Mrs. Sims
612044	7811	Daughter
612045	33698	Herself - studio actress
612046	292190	Edith
612047	139936	A party guest
612048	29186	Female Customer
612048	32632	Mrs. Snellberg, Flap's Mom
612048	39490	Pussycat Nell, Bargirl
612048	50979	Rosie
612048	74117	Tex Murphy
612048	81753	
612048	94861	Desert Joint Woman
612048	130992	Belle
612048	139520	Alma Williams
612048	141180	Nurse #1
612048	149943	Barbara Sitkowski
612048	160590	Lorraine
612048	168018	Nancy
612048	192413	Irish Maid
612048	208281	Babs
612048	211516	Karen
612048	224389	Rose
612048	287727	Female Teacher
612048	306320	Terri
612048	314155	Woman Outside Store
612048	340929	Zalinsky
612048	346949	Silky
612048	358663	Nurse
612048	360497	Susan Branagan
612048	364344	Joanne
612048	382525	Sally Duffield
612048	391980	Bonita Vasquez
612049	364147	Baby Samantha
612050	281997	Young Autumn
612051	362453	Woman in Park
612052	16710	Sarah
612052	109682	Susie Nason
612052	154771	Twyla/Susu
612052	194212	Kid at Schoolyard
612052	272776	Summer Weingarten
612052	346933	Cara Krane
612053	33510	Alice
612054	7811	Mother
612055	7961	Servant
612055	37416	Apartment cleaning woman
612055	62076	Emma Dill
612055	94020	Motel Switchboard Operator
612055	120639	Josephine
612055	146781	Mrs. Drake
612055	148912	Woman
612055	177019	Lady with Small Dog
612055	177500	
612055	191962	Farmer woman at Church
612055	194913	Harold's Wife
612055	195610	Juror
612055	206540	Miss Tiddleford
612055	214964	Miss Willowbird
612055	216234	Concierge
612055	241780	Minnie (barmaid)
612055	252568	Tenement Woman
612055	273629	Train Gossip
612055	275361	Woman with Dog
612055	292543	Cook
612055	305498	Matron
612055	316264	Gramma Dupre
612055	318784	Frieda
612055	320025	Mrs. Schultz
612055	331637	Matron
612056	22085	Mandy Lou
612057	242096	Katie
612057	272776	Young Summer
612058	80607	Beverly
612059	249548	
612060	367782	Smiling Woman
612061	48468	Cult Member
612062	11484	Juror Mrs. Burton
612062	26628	Bit Part
612062	33579	
612062	35591	Woman Radio Announcer
612062	38813	Saleslady
612062	41085	Housewife of America
612062	41090	Angry Neighbor Who Had a Birt
612062	49359	Queen Katey
612062	56103	Audience Member
612062	69237	Dr. Barnes
612062	72242	Mrs. Bradley
612062	72611	Barbara's Landlady
612062	77767	Housemother Listening to Beet
612062	91635	Mrs. Edith Theron
612062	107020	
612062	109862	Mrs. Plant, at Wedding
612062	114729	Mrs. Fletcher
612062	119416	Mrs. Rogers
612062	123913	Mary's mother
612062	127792	Mom Sullivan
612062	128416	Mrs. Stokes
612062	128790	The Postmistress
612062	131240	General's wife
612062	133712	Mrs. Dolan
612062	143203	Nurse
612062	144912	Mrs. Rogers
612062	146753	
612062	148549	Mrs. Hume
612062	154468	Mrs. Clark
612062	162340	Milly Leach
612062	170844	Mrs. Pamela Ferguson
612062	176755	Elderly Woman
612062	176872	Nurse
612062	183654	Old Lady
612062	188381	Mrs. Pugg
612062	196963	2nd Secretary
612062	199752	
612062	209444	Maw Blaine
612062	211817	Hilda Torgel
612062	219419	
612062	234220	Mrs. King
612062	253504	Mrs. Howard
612062	254498	Janet Buchanan
612062	271203	Mrs. Gilmore
612062	274498	Nurse
612062	277736	Elderly Woman
612062	287752	Mrs. Dibble
612062	291082	Bentley
612062	295470	Mrs. Swift
612062	300113	Mrs. Hansen
612062	308376	
612062	308576	Woman
612062	313057	Mrs. Elliott
612062	313803	Mrs. Dean
612062	314354	Department store clerk
612062	315490	Mrs. Gadsby
612062	329388	Miss Unity, Jane's Sister
612062	346245	Mrs. Grey
612062	349553	Mrs. Rogers
612062	349995	Elisabeth Schiller
612063	73246	4th police broadcaster
612063	108883	Brigitta
612064	118304	Nurse
612065	72836	Maxine Megan
612066	142935	Finance Minister
612067	115517	Female Technician #1
612068	367896	Satin Maggie
612069	42419	Young Angela
612069	384097	Alice (1999)
612069	401530	Lambkin Bones
612070	157574	Volunteer
612071	17025	Herself
612071	41787	Herself
612071	106531	Herself
612072	241031	Gertrude Parker
612073	309841	Beth Thornton
612074	245625	Rosie the Receptionist
612074	326155	Clerk at Sam Goody store
612075	411786	Herself (Series 2) (2003-2004
612076	364731	Bit Part
612077	279611	Farm wife
612078	75721	Additional Player
612079	954	Tina
612080	64875	
612080	184811	Lara Croft
612080	292224	Lisa
612080	335209	Lara Croft
612080	335210	Lara Croft
612080	390523	
612081	359290	Latin assistant
612082	40552	Voice Over Talent
612083	366933	Molly Cox
612083	396142	
612084	118623	Leeanne Rosser
612084	151039	Cammy Anders
612084	193217	Kelly
612084	233822	Lisa Burchall
612084	337155	Chlo
612084	406707	Melanie Wyeth
612085	358364	Dream Woman
612085	405209	Avril Lucich (2004)/Bernadett
612086	16644	Wheel of Fortune Contestant
612087	160393	Herself/Auckland Sexual Healt
612088	72787	Nominee/Winner
612088	399286	Herself
612088	399347	Herself
612088	404979	Nun
612088	408294	Fritz
612088	408590	The Girl Who Dates
612089	341442	(segment Rosebud)
612089	368060	Judy
612089	409505	Holly Lomas
612090	10587	Matron
612090	17417	Mrs. Goldberg
612090	45686	Mrs. O'Mara
612090	47520	Frau Bresslauer
612090	52482	Mama Gimplewart
612090	56310	Mrs. Marting
612090	59838	Prison Matron
612090	59931	Mrs. O'Brien
612090	62777	Mrs. Patrick O'Brien
612090	64937	Mrs. Elliott
612090	90406	Widow Finkelheimer
612090	99853	Woman Sweeping Stoop
612090	105032	
612090	108400	Emma Heller
612090	119482	Mrs. Clark
612090	123141	Irish Woman Who Doesn't Know 
612090	123913	Burke's mother
612090	134070	Mrs. Crandall, Harcourt's Hou
612090	139928	Kitty's Mother
612090	142657	Mrs. Meyers
612090	143447	Mrs. Marshall
612090	143917	Mrs. Murphy
612090	154925	
612090	162283	Mrs. O'Brien
612090	167626	Society Woman
612090	170988	Mrs. Muller
612090	171210	
612090	177405	
612090	186010	Mrs. Kelly
612090	186155	
612090	186228	Jane Hathaway
612090	190788	Aunt Hulda
612090	221335	Mrs. Bagby
612090	236113	Mrs. Evans, Muriel's Mother
612090	239552	Nathan's Mother
612090	240887	Mrs. Kelly
612090	241371	Mrs. Clark
612090	241553	Flower Woman
612090	247238	
612090	249504	Rosie Potash
612090	259761	Mrs. McNamara
612090	266102	Mrs. Casey
612090	270624	
612090	279396	Mrs. Price
612090	286153	Mrs. O'Dare
612090	294944	Small Towner
612090	300028	
612090	302771	Cook
612090	302887	Jimmie's Landlady
612090	306803	Durant's Cook
612090	312180	Undetermiend Role
612090	321417	Mrs. Callahan
612090	332123	
612090	335673	Mrs. Peter Gulp
612090	336790	Katie Murphy
612090	340905	Senora Ramirez
612090	359102	Mrs. Murphy
612090	363190	Character Woman
612090	364773	Mrs. Johnson
612090	367905	Mrs. Anthony
612091	396793	
612092	313181	Nurse
612093	318775	Travel Agent
612094	142557	Singer
612095	363043	Receptionist
612096	43877	Clara (Candyman)
612096	53821	Clara
612096	90391	Girl
612096	232266	The woman
612096	245762	Hostess
612096	263614	
612097	314451	Prostitute
612097	351902	Maryse
612098	17756	Cowgirl
612098	137514	Showgirl
612098	146011	Redhead
612098	282711	Dancer in Haiti number
612098	300063	Chorus girl
612099	198026	Roside
612100	66019	Woman
612100	343227	The Judge
612101	128152	Southern girl
612101	136274	Dance Hall Girl
612101	141675	Joy
612101	245209	Arlen
612101	304959	Operator
612101	321495	Mrs. Cassidy
612101	331205	Helen
612102	104322	The Eternal Magdalene
612102	112556	Mrs. Copley
612103	138699	Mrs. Fisher
612104	1743	Herself
612104	2040	Herself
612104	2258	Herself - Performer
612104	2394	Herself
612104	2581	Presenter
612104	47174	Performer
612104	110939	Herself
612104	148874	Herself
612104	161346	Herself
612104	165508	Herself/special guest
612104	212713	Herself
612104	215932	Herself
612104	221417	Presenter
612104	221421	Performer
612104	221426	Herself
612104	221434	Herself
612104	221481	Herself - Performer
612104	221483	Herself
612104	221490	Herself
612104	260266	Diva
612104	339747	Herself
612104	392424	Herself
612104	403493	Herself
612105	83361	Nathalie
612105	314451	Nathalie
612105	351902	Sophie
612106	320106	Brisbee Receptionist
612107	215932	Herself
612108	874	Ruth
612108	38512	Martha
612108	56386	Mortified Teacher
612108	73340	Good Samaritan
612108	134097	Nurse
612108	183452	Darlene
612108	203684	Mrs. Graff
612108	210765	
612108	228447	Woman on train
612108	269938	Rita Quinn O'Neill
612108	277746	Hazel
612108	307976	Helene
612108	310597	Mrs. Davis
612108	318790	Emily
612108	325078	Dorine
612108	378727	
612108	387539	Renee
612108	400236	Renée Divine Buchanan #2 (198
612109	150906	
612110	299492	Brenda
612111	36985	Miss Blanchard
612112	80782	Cemetery Extra
612112	139467	Indian's Girlfriend
612112	232460	Girl in Locker
612113	52311	Rent-A-Car Girl
612113	114017	River Museum Guide
612113	318783	Student
612114	363393	Girl #1
612115	84457	Babe #2
612116	234966	Newscaster
612117	340992	
612118	196833	Madam Rachel
612119	93594	Secretary
612119	328905	French Schoolmarm
612120	73103	Schoolgirl #1
612120	390778	Fire (Bromsky)
612121	32894	Alex
612122	97525	Hon. Mrs. Allinson
612122	125878	Aunt Cynthia
612122	280909	Mrs. Slade
612122	368492	Mrs. Dealtry
612123	90342	Angel
612124	410654	Blackberry
612125	215986	Clarissa Brown
612125	291228	Prostitute
612126	308022	Governess
612127	230675	Nurse
612127	398242	Jan
612128	41743	
612129	191746	Jennifer
612130	58643	
612131	391869	Duncan Stewart (#1) (1989)
612132	308003	Afisi
612133	390574	Mrs. Pocket
612134	235618	Aunt Anita
612135	168257	Herself
612136	97912	
612137	606	Party Guest
612137	45421	Maisie
612137	195464	Bra Model
612137	200779	Cosima Wagner
612137	252728	Rita La Rousse
612137	256593	Commanding Officer
612137	409343	Joan Harrington
612138	176710	Citizen
612139	47897	Zora
612139	57389	Officer Lulu Ledbetter
612139	83560	Agent Summers
612139	87526	Pam
612139	97364	Erica
612139	128848	Nikki
612139	154006	
612139	158528	Denise
612139	168553	Earlene
612139	196370	Lorraine
612139	204947	Dyshett
612139	210786	Jo
612139	242922	June
612139	272970	Mary Ann Fisher
612139	300913	Brenda Boyce
612139	346224	Sistah Girl
612139	391535	Officer Leslie Joyner
612139	397238	Quinn Joyner
612140	352476	Old Woman
612142	385299	Helen Walker (1984)
612143	122214	Beautiful Girl
612144	2152	Toy
612145	69381	Gladys
612145	382958	Joy
612145	389331	Jill Rowles (1972)
612146	342491	Girlfriend
612147	159200	Heather
612148	301649	Carol
612149	241444	
612150	317347	Headmaster
612151	118337	British Journalist
612152	128850	Tessa Mangione
612152	148383	Sister Cooper
612152	194318	
612153	233878	Social Worker
612154	58474	Glory Jackson
612154	72498	
612154	138685	Edna
612154	144985	The Kid
612154	149293	Mary Smith
612154	162580	Florence Hanley
612154	186050	Marjorie Gibson
612154	186787	Tanya
612154	246608	
612155	335686	Waitress
612157	171296	
612158	313308	Krystal, Queen Earthwalker, M
612159	148298	Molly Prouty
612160	148313	Nurse
612161	224085	Aggie
612161	224176	2nd Receptionist
612161	299925	
612161	365121	Suicide Patient 2
612161	400277	Various
612162	131202	Fiametta
612163	254593	Mourner
612164	132429	
612165	29970	
612165	260096	
612165	307450	
612166	161041	Clara
612166	168257	Mrs. Barrow
612166	183654	Bessie, Bannister's Maid-Cook
612167	92734	Belle Davitt
612167	186681	Angel of Mercy
612168	279008	Nana
612169	202195	Roseland Dancer
612170	383056	Nurse
612171	141786	Mary Evans
612171	238433	
612172	221376	
612173	5420	Henriette
612173	144463	Shirley
612173	230322	Marion Palmer
612173	302834	Elsa Marlowe
612173	337859	Mary
612173	351876	Dorothy Aitken
612173	371087	Anne Mason
612174	230857	Willow
612175	85111	Mrs. Blake
612176	75524	Narrator
612176	382297	Herself - Presenter (1983-198
612176	393499	Presenter
612176	411515	Herself - Regular Panelist
612177	69257	Captain Arnitha
612177	314531	Mrs. Jones
612177	342384	Marilou
612178	207484	Lisa Hanssen
612178	380246	Face Model: Angela Anaconda
612178	392000	Lauren Parker
612179	128372	Young Mary Robbins (in prolog
612179	191321	Wife #4
612180	346910	Alice's daughter
612181	275442	Kate
612182	91862	
612183	44433	Woman at Site
612184	50207	Check-out Girl
612184	160713	Woman at tribunal
612185	204557	Dancer
612186	160885	Boob Wearer
612187	270440	Janice (Playground Manager)
612188	34642	Waitress #2
612189	387533	Maggie Cassidy (1999) (8 epis
612189	408053	Olivia Reivers
612190	7394	Hotel Receptionist
612190	16758	
612190	17702	Bess
612190	83980	Vanessa Curtis
612190	96836	Dancing Teacher
612190	107788	Mrs. Longstaffe
612190	119872	Maisie, Barmaid
612190	126688	Mrs. Wagstaffe
612190	128261	Lady at Auction
612190	154516	The Spy
612190	232055	Brenda
612190	250371	Beryl
612190	278458	Barmaid
612190	301940	Giant Cook
612190	303971	Rose
612190	304339	Mrs. Cheeseman
612190	331359	Arrow Sutcliffe
612190	347110	Millicent Pattison
612190	370585	Mrs. Shenton
612190	372806	Auntie E
612190	381387	Thelma Bowen
612190	401041	Kate Balfour (1969-1970)
612190	404402	Jill Yates
612190	405258	The Housekeeper
612190	406205	Mrs. Brigstock
612191	40532	
612191	71110	Miss O'Herlihy
612191	82713	Old Woman
612191	96741	Mrs. Merkin
612191	154301	Miss Rebecca
612191	205658	Old Lady
612191	210387	Miss Dimkins
612191	219638	Widow
612192	7413	Teacher
612192	41772	Woman in car
612192	71578	Lilly Mae
612192	92831	Edna Purleigh
612192	127394	Essie Lou Hodgins
612192	166345	Mrs. Davidson
612192	168236	Ethel Cook
612192	169807	Charity Hoktor
612192	185749	Mrs. Clinton
612192	187341	1st Old Maid
612192	194095	Waitress
612192	200445	Talkative Airplane Passenger
612192	265104	Miss Tippins (teacher)
612192	349891	Nurse Linsey
612193	212653	Herself
612194	355837	
612195	35402	Courtney
612195	139605	Brandy
612195	220142	Faryn Henderson
612195	239786	Amy
612195	385824	Taylor Raines (1998-1999)
612195	390201	Jess Riley
612195	407589	Juliet
612196	333517	Ruthie (asks BB to dance)
612197	49536	
612197	94598	Crockett's secretary
612197	115478	Telephone operator
612197	146933	Woman
612197	251279	Receptionist
612197	291851	Villager
612197	300062	Girl #2
612198	107125	Daughter (Family In The Park)
612199	400087	Violet Carter
612200	400811	Herself (episodes 1-18, 21-23
612201	93831	Leather Clad Girl
612202	41318	Julie
612203	68786	McCormack's mistress
612204	42261	Lila
612205	203264	Vivian
612206	78947	Cherano Safin
612207	112401	Brenda
612208	16885	Nude
612208	37381	Stripper
612209	825	Lilly
612209	11769	Mette Madsen
612209	34256	
612209	99443	Nina
612209	119200	Dina Kent
612209	144324	
612209	178751	Lily Lund
612209	188856	
612209	197835	
612209	210310	Nina Brandt
612209	290753	
612209	365003	
612210	72789	Herself (Nominee)
612211	123874	Waitress
612211	316881	New Steps Family
612212	291923	Capture team member
612213	46804	Maisy Crossley
612214	381910	Herself (Series 2) (2001)
612214	381920	Herself (Series 1) (2001)
612215	401264	Presenter
612216	232493	Vanilla
612217	10535	Mayor's wife
612218	254593	Mourner
612218	329411	Agent
612219	224243	Grace Brandon
612221	2164	Queen of Brobdingnag
612221	11510	Elaine, the Queen
612221	22619	Patient/Gag Bit
612221	33478	Mary Chepstow Amine
612221	99208	Lady Florence
612221	109673	Marion Stuart/Maria Delasano/
612221	129225	Melitza Hjos
612221	200112	Mrs. Nell Collings
612221	249022	Simone
612221	254593	Mourner
612222	323225	Secretary
612223	144536	Mary
612224	5882	Bystander
612224	25868	Young Girl
612224	30122	Clementine
612224	117340	Roberta: aged 12
612224	134026	
612224	135929	Jane McGregor
612224	139790	Harvey Girl
612224	144896	Girl
612224	148423	Nurse
612224	168125	Dancer
612224	190062	Drugstore Cashier
612224	201457	Mildred Jackson
612224	207861	Ruth
612224	209605	Ida Boothby
612224	256592	Lizarda
612224	304065	Mother
612224	304876	Dancer
612224	304966	
612224	316955	Student
612224	346908	Bridesmaid
612225	140186	Nan Claiborne
612226	109241	Sibley "Tibby" Sweetland
612227	127484	Gidget Lawrence
612227	140155	Mickey
612228	22852	
612229	1038	Dancer
612229	59665	Treasure Chest Dancer
612229	127627	Beach Dancer
612229	150075	Palace Girl
612229	237006	Dancer
612229	313825	Nightclub Dancer
612229	383721	Dancer
612229	391013	Bombshell
612230	16642	Aunt Isy
612231	340823	Studio Executive
612232	249151	
612233	270	
612233	2545	Secretary
612233	7481	Jean Sinclair
612233	26711	Carol Evans, as an adult
612233	37504	Alice Kainess
612233	40893	Mrs. Gilbert
612233	44968	Ann Vangarick, aka Eve La Tou
612233	47000	Claire Whitmore
612233	56211	Margie Clune
612233	57985	Vivian
612233	64527	Alice Madison
612233	70212	Claire Honeywell
612233	92219	Patricia Barrington
612233	96986	Janet Townsend
612233	99455	Nellie
612233	120009	Joan Simpkins
612233	121350	Patricia Farrow
612233	139551	Mimi Snatcher
612233	143604	Patricia Randolph
612233	147386	Clarice Van Cleve
612233	147788	Herself
612233	147804	Herself
612233	177610	Millicent 'Millie'
612233	183713	Mrs. Sam Taylor
612233	188318	Ruth Sterling
612233	195470	Lois Gillingwater
612233	210394	Gale Starr
612233	227787	Louise Frith
612233	231797	Marcia Jaynos
612233	248452	Jeannette
612233	251215	Connie Travers
612233	255351	Patricia 'Pat' Nolan
612233	261506	Connie Larrimore
612233	277513	Judy
612233	280995	Dale
612233	302611	Jean Martin
612233	306327	Miss Pat Quinn
612233	312586	Ann Reid
612233	314420	Patricia Westley
612233	315956	Velma Tuthill
612233	323807	Guest
612233	331553	Linda
612233	351918	Kay Horner
612233	363571	March Federie, Richard's Gran
612233	368383	Natalie Clinton Nordholm
612233	395261	Various
612234	315583	Pretty Young Nurse
612235	47007	Rachel Smith
612236	385108	Host
612237	364647	Rita Danchuk
612238	41829	Statistician
612239	139092	Photographer
612239	278361	Gallery Photographer
612240	389675	
612241	192791	Herself
612242	61767	Jane Nock
612242	279390	Gayle
612243	119581	Fishercats #4
612244	266050	Laura Shapiro
612244	321167	Evelyn
612245	80031	Nurse
612246	336684	Vikky Smith
612247	107752	Ruth McElroy
612248	116289	Party Guest
612248	134595	Student
612248	390917	Lynne
612248	406868	
612249	78947	Additional Voices
612250	340740	Rowing Squad
612251	248459	Mystelle
612251	310998	Nora
612252	218162	Female Cashier
612253	3079	Herself - Performer
612253	30965	Girl on Corner #2
612253	161265	Herself
612253	221474	Herself (En Vogue)
612254	201692	Herself
612255	355599	Herself
612256	257689	Herself
612257	202511	Wendy
612258	8183	Gertrude Lefferts
612258	24958	
612258	73927	Sybil
612258	102247	Annette
612258	139702	Claire Stinson
612258	160656	Annie
612258	185492	Alexandra Cameron
612258	229240	Student #4
612258	230442	Jane Bux (Mother)
612258	253364	Doris Lester
612258	264056	Lois Sike
612258	321536	Marley Terrell
612258	330670	Kathy
612259	185596	Lydia Stedman (Lydia Stewart 
612259	188622	
612259	252455	Donna James
612259	262124	Herself
612260	195295	Sharon
612261	371374	Mrs. Flynn
612262	47172	Herself
612262	47223	Performer
612262	212333	Herself - Performer (performi
612262	221423	Herself
612262	221424	Presenter
612262	228302	Herself/Performer
612262	249592	Performer
612263	156988	
612264	55714	Cloakroom Girl
612264	347475	
612265	88936	Raped woman
612265	229246	Lady Anne
612265	284573	
612266	5960	Pool party guest
612267	292327	Helen
612268	99706	
612269	319902	Nurse Withers
612270	333278	Flirty girl on stairs
612271	241979	Uncle Tom's mama
612272	183403	
612272	363758	Old Woman
612273	197164	Hubba
612274	340084	
612275	207466	Botanist
612276	50880	Mrs. Pritchard
612276	143669	Nedda's Mother
612276	283458	Sarah
612276	289495	Mrs. Reynolds
612277	23927	Herself - Audience member
612277	142466	Herself
612277	254522	Meg Giry
612277	382838	Emily Shadwick O'Leary (1998-
612277	391319	Herself - Winner (Series 1) (
612278	92260	Reporter
612279	237931	Mary
612279	319544	
612280	48179	Yolanda
612280	64600	Molly
612280	103804	Una Turista
612281	362081	Dancer
612282	20372	The Fabulous Moolah
612282	191343	Herself
612282	282682	The Fabulous Moolah
612282	320126	The Fabulous Moolah
612282	320138	The Fabulous Moolah
612282	368815	The Fabulous Moolah
612282	368816	The Fabulous Moolah
612282	368817	The Fabulous Moolah
612282	368818	The Fabulous Moolah
612282	369208	The Fabulous Moolah
612282	369237	The Fabulous Moolah
612282	369272	The Fabulous Moolah
612282	369280	The Fabulous Moolah
612282	402907	The Fabulous Moolah (1999-)
612282	411545	The Fabulous Moolah (1999-)
612282	411546	The Fabulous Moolah (1984-198
612283	253458	Nellie Bowdeen
612284	6831	
612284	23555	
612284	35381	
612284	40663	
612284	49801	
612284	50863	
612284	89717	Mrs. Alice Fairfax
612284	113637	
612284	115615	
612284	127693	Mrs. Kirkham
612284	129937	
612284	190466	
612284	203501	
612284	204277	
612284	207141	
612284	220349	
612284	229228	
612284	230426	
612284	272243	A dope fiend
612284	291752	
612284	324405	Enid Hammond
612284	331931	The leading woman
612284	345780	
612284	360159	Lilly
612285	276968	Lesley
612286	87025	Tor-Ree
612287	78038	Pageant Girl
612288	408053	Irene MacDonald
612289	258949	Catherine
612289	261989	Poker Woman
612290	7119	Donna
612290	220959	Girl in Dormitory
612290	363103	Melesa
612290	368033	Snow White
612291	219901	
612292	15224	Herself
612293	94530	
612294	39473	Lillian Ellsmere
612295	96834	
612296	259159	Siw Pettersson
612297	315265	Herself (Curly's daughter, in
612299	385139	Girl in Flat
612301	180154	Frau Mell
612301	252314	Lissy
612302	245484	Girl
612303	57616	Magda
612304	193556	Loma Lynda/Young Claire Proph
612305	346639	
612307	246683	Cardiology Team
612308	6019	Mrs. Mossop
612308	39498	Bubitschka
612308	52904	Grandma Duval
612308	61391	Ma Summers
612308	76581	Mrs. Semple
612308	88863	Aunt Myra Bull
612308	93634	Grandma Dunn
612308	120688	Mrs. Grant
612308	128257	Mrs. Young
612308	147415	Grandmother
612308	148943	Miss Molosey
612308	183766	Lady Jenny Minster
612308	239659	Esther's Mother
612308	292189	Mrs. Hough
612308	308572	Mona
612308	348359	Mrs. Platt
612308	360533	Grandma Anderson
612308	362365	Brown Derby Diner
612308	364434	Aunt Agatha
612308	367627	Mrs. Malone
612309	26649	
612310	114263	Mimi Chan
612311	288908	Pirate Girl
612311	337115	Linda Mae Jenkins
612312	73866	
612313	277074	Herself
612314	37921	
612314	194831	Slave Girl
612314	222302	Pretty Girl
612315	294952	Martha
612316	202524	Herself
612316	202529	Herself
612317	202527	Herself
612317	202529	Herself
612318	191950	Pupil at Tadworthy House Scho
612318	264447	
612318	309872	Lydia Holly
612319	32385	Anita Smed
612319	130070	Mejan
612319	390231	Mejan
612319	403769	Yvonne's Mother (episode Målb
612320	17696	Mrs. Tweed
612320	68470	Interrogation Officer
612320	127531	Nurse
612320	137449	Nurse Ann
612320	196053	Nurse
612320	214441	Party Guest
612320	220954	Mother in Stands
612320	305978	Mother
612320	314138	Mother
612320	363080	Female Cop
612320	369473	Real Estate Agent
612321	137259	Girl in Classroom
612322	143109	Marsa's Maid
612323	263791	Joyce
612323	387533	Lynn Whiteley (1989-1993)
612324	126606	Suzie Hammond
612325	222636	Lucy Duke
612326	160547	La fille Rachaud
612327	51464	Birdie Alton
612328	148258	Cathy
612329	60907	Princesse bhémienne
612329	103207	Madame Boutron
612329	111083	Madame Vidal
612329	120670	
612329	148717	
612329	148729	
612329	155516	
612329	205536	Delphine
612329	205618	Sophie
612329	219498	Madame Souris
612329	248259	Madame Laforest
612329	340203	marquise de Chalencey
612329	345279	Eva-Maria
612330	91977	La Coiffeuse
612330	144343	Nora
612331	86071	Corinne
612332	337019	Juju
612333	100370	Enfermera 3
612334	313815	Little girl
612335	26751	Susan MacGregor
612335	34723	Herself
612335	158526	Jojo
612335	199210	Gatherer
612335	275294	Rebecca
612335	318645	Jenny Johnson
612335	336722	May Mathieson
612335	379356	Tik (1991)
612335	387531	Young Emma
612335	388848	Mareka Nikakis
612335	391869	Sophie Simpson (1989-1993, 20
612335	400646	Eliza Garland
612335	400806	Karen Wolfe
612335	402262	
612336	355519	T.V. Director
612337	341038	Nattens Dronning
612338	394922	Cemile
612339	143651	Singer
612339	208719	
612339	228639	Suzette
612339	243217	Singer
612339	367073	Munchkin
612340	35882	
612340	40863	Diana Schramm
612340	46161	
612340	93499	Franzi Seidl
612340	100987	Anni
612340	108188	
612340	124993	Sonja
612340	155343	
612340	156984	Uschi
612340	156994	
612340	202002	Bella
612340	203224	
612340	205665	Steffi Holler
612340	210106	Trudchen Pälmann
612340	225135	
612340	234297	
612340	274939	
612340	307323	
612340	308980	
612340	316527	Karin
612340	352655	Elli
612340	363664	
612341	345555	Mère Akim
612341	388317	
612342	366554	
612343	125282	
612344	61812	Diner Patron
612345	181562	
612345	272246	The Singing Senorita
612346	17740	Herself
612346	36333	Tv star
612346	377575	
612347	13203	Amanda
612347	61037	Roberta Serpieri
612347	82709	Ingrid
612347	115279	Monica, the Baron's daughter
612347	209343	Emily Williams
612347	212313	
612347	219561	Little girl at table
612347	243671	Paula
612347	243788	Gretchen Hummel
612347	265504	Olga (Rodi's daughter)
612347	273573	Renata and Albert's Daughter
612347	309400	
612347	319299	Rosy
612347	366098	
612347	402782	Benedetta Valentini
612348	74009	Mai
612349	359433	
612350	401873	Herself - Judge
612351	118072	Preziosilla
612352	125666	
612353	396506	Teresinha Silveira
612354	124225	Poncho Model
612354	253059	Model
612355	64098	Cheerleader/Dancer #3
612355	190702	Cheerleader #5
612355	243150	Sorority Girl
612356	44264	Mrs. Wood
612357	78604	
612357	149266	Miss Prudence Scraggs
612357	153283	
612357	161542	Self-Styled Uplifter (Modern 
612357	209405	Martha Higgins
612357	253770	Amy Bldgett
612357	257374	Señora Morales
612357	263311	
612357	307285	Anna
612357	354502	
612357	368107	Hippolyta
612358	316609	Female Kickboxer
612359	147745	Yoga Girl
612361	228118	Herself - Vocalist
612362	340649	
612363	166167	Girl on Steps
612364	227031	Sherie
612365	404608	Winner (2000)
612366	142487	Laurie
612366	214488	Hanna
612367	389138	Tjenestejente hos Løvdahl
612368	78475	Herself - Choir
612369	102434	
612370	174779	
612371	171439	
612371	181743	Owner of the beauty parlour
612371	246634	Annastiina
612371	301911	Baroness Anette Silfversköld
612371	303312	Laila's mother
612372	188933	Woman at the hen's night
612373	1492	Co-host
612373	52820	Virgínia
612373	69803	911 Operator
612373	80346	
612373	96532	
612373	378784	Host
612373	382375	
612373	406076	Host (2001-)
612374	23673	La cantatrice
612375	10331	Roxane dancer
612376	82114	Loretta
612377	175731	Ritva Järvinen
612378	19796	
612379	9172	Kerttu
612379	169542	Lena
612379	184067	Karin
612379	201229	Narrator
612379	247007	Katariina
612379	253078	
612379	258815	Saara
612379	278339	
612379	336548	
612379	354286	Theologian
612379	371662	
612379	373370	Pirre
612379	382257	Margit Haukkamaa
612379	382258	Margit Haukkamaa
612379	395392	
612379	410177	
612380	409269	Kerttu
612381	27408	Tanssija
612382	387119	
612383	322830	
612384	3357	
612384	3439	
612384	10135	
612384	67212	
612384	75594	
612384	106267	
612384	165710	
612384	192941	
612384	212351	
612384	221932	
612384	229246	Margaret
612384	234333	
612384	276487	Barbara
612384	314715	
612385	19719	Lupe
612385	35697	Emily Phillips
612385	55796	Chica cañón
612385	246294	Lidia
612385	282259	
612385	328209	Adolescente
612385	332606	Mimo
612385	400840	Lidia (2003)
612386	21679	
612387	402154	Meteorologist (2000-)
612388	259638	Freundin der Studentin
612389	27742	Ne'mat
612389	77363	
612389	97542	
612389	98411	
612389	128141	Tefaha
612389	147081	Nada Mustafa Abu Hagar
612389	175959	
612389	240250	
612390	379900	
612391	229468	Apresentadora
612392	36602	Mathilde
612393	104754	Greek entry (8th place)
612393	126022	
612394	301900	Maya
612394	409931	Prostitute
612395	261041	Nanny
612396	32052	Neighbor Woman
612396	37178	Coffee Shop Waitress
612396	119358	Detention Monitor
612396	144913	Miss Bernie Wells
612396	193000	Mrs. Crub
612396	263755	Chubby Woman
612396	293032	Congresswoman at Party
612396	358114	Southern Woman
612397	137353	Machshemashot Sisters & Witch
612398	104240	Stephanie enfant
612398	131553	
612398	381915	Herself
612399	344756	
612399	354928	
612400	153537	
612401	166751	
612402	226406	Marieluise
612403	313711	Secretary
612404	26397	Flo
612404	120258	Herself
612405	385324	Instructor
612406	384097	Sophie (1999)
612407	113825	Fire Maiden
612407	350006	
612408	153995	
612409	2681	Mrs. Sanders
612409	12513	Fru Liljenborg
612409	27576	
612409	94269	Gokke
612409	105068	Tulle Smith
612409	121026	Fromme Moder
612409	135686	Thyra
612409	136820	Lille Forglemmigej
612409	145457	
612409	147395	Mormor
612409	153388	
612409	166597	Fru Sylvia
612409	166602	Fru Holgersen
612409	179817	Jordemoder Willumsen
612409	182625	Elisabeth Smith
612409	202972	Susanne Søborg
612409	213438	Sofie Olsen
612409	213440	Sofie Olsen
612409	214026	Studiekammerat til Klausen
612409	218886	Lykkes mor - Dagmar Hummeltof
612409	237257	
612409	240102	Kokkepigen
612409	248719	Miss Olson
612409	255660	
612409	255671	Agnes Møller
612409	272146	Mrs. Murray
612409	275625	Fru Johansen
612409	284392	Konstance
612409	305308	2. dame
612409	305311	Amalie
612409	307135	Cornelia von Britten
612409	312124	Margrete
612409	322461	Inger Jepsen
612409	322476	Anne
612409	338666	Betty
612409	344381	
612409	349648	Landsretssagfører Inger Jesse
612409	351000	
612409	351910	
612409	352120	Frk. Bartholin
612409	353335	
612409	397074	Mrs Holm
612409	410233	Bedstemama/Den anden dame
612410	404608	Finalist (2001)
612411	283647	
612412	122915	
612412	262928	
612412	308304	
612412	381628	Une invitée
612413	74122	Kei
612414	281673	
612415	67934	
612415	190386	Sister-in-law
612415	398429	
612417	303545	Caroline's Shower Double
612418	410201	
612419	33166	Nachbarin
612419	208425	Mädchen
612419	237225	
612419	364922	
612419	364923	
612420	385660	Anja Druskat
612421	282436	
612422	6357	
612422	312454	Sadasivan's Wife
612423	133695	Herself
612424	68892	Betty Mortimore
612425	225476	Bertha
612426	237876	
612427	48392	Barbara
612427	156708	
612427	172168	Mary, die Magd
612427	184525	Jeanne
612427	226225	
612427	227551	Pepa
612427	231459	Lucy
612427	290650	Anni Peel
612427	358225	Sara
612427	361089	Olive
612427	361510	
612427	390812	Margot Hahnich (1992)
612427	393360	
612427	394684	Röschen Schmidt
612427	399503	
612427	401298	Luise Mock
612428	284125	
612428	322833	Maria
612429	342	Monika Winkler
612429	4758	
612429	5663	Frau De Vries
612429	10650	Hanne Wasneck
612429	12518	
612429	16357	Andrea
612429	21056	Adele Sanger
612429	23992	
612429	24323	Die Gräfin
612429	26091	
612429	26249	
612429	26498	Elfie Reiter
612429	33931	
612429	34369	Marlit Berlinger and Maria
612429	35206	Brigitte
612429	38938	Yvonne
612429	40400	
612429	41713	
612429	42119	
612429	42165	Maria
612429	43344	
612429	43593	Jillian Schelm
612429	63154	Anaoona
612429	65176	Clara Köhler
612429	84550	
612429	88699	Margot
612429	93390	Jona Tai
612429	98386	Louise
612429	99178	Sonja
612429	99492	Elsa
612429	100970	Silvia Stössl
612429	101540	Waltraut
612429	102614	
612429	107348	Rita
612429	107748	
612429	115959	
612429	116310	
612429	119131	
612429	119435	Nanny Miller
612429	125513	
612429	134249	Trude Minde
612429	134993	Dr.Renate Winter-Ewald
612429	137408	
612429	144067	Susan
612429	144101	Johanna
612429	153111	Inge
612429	155430	Hanna
612429	155431	Hanna Vonstein
612429	156983	
612429	156989	Elke Gerdes
612429	157651	
612429	157811	
612429	163972	Sascha
612429	172213	Hilde Strassburger
612429	173099	Nicole Kaminsky
612429	178732	Rita
612429	179098	
612429	180960	
612429	180974	
612429	180979	
612429	184627	Polly
612429	189596	Denise
612429	198428	Geneviève Ponelle
612429	204411	Rose
612429	204448	
612429	204474	
612429	205761	Marie Ward
612429	205859	Christa
612429	209982	Anja Kröger
612429	210007	Marie
612429	217918	Hanna
612429	219284	Sarah
612429	225160	Yusha
612429	225175	Marga Hartog
612429	225272	Gisela Herrendorf
612429	226263	
612429	227662	Josepha Klein
612429	229170	
612429	234291	Brigitte
612429	242727	Dr. Hoppe
612429	252540	Geneviève Ponelle
612429	256975	Martina
612429	275180	Marga Kroeber
612429	278976	Jane Leclerq
612429	281989	Beatrice Shaye
612429	282161	Barbara Bärenklau
612429	284117	
612429	288433	Zimra Steffin
612429	290217	Marie-Luise Wendt
612429	290270	
612429	290456	Susanne Thies
612429	290582	Birgith
612429	290593	Chrissy
612429	293619	
612429	307259	Dr. Miriam Herzfeld
612429	310273	
612429	311928	Dr. Monika Segler-Ippenstedt
612429	312891	Edith Tirfelder
612429	315059	Irina
612429	317575	
612429	324125	
612429	324629	Hildegard
612429	325550	Lea Sommer
612429	325551	Lea Sommer
612429	325663	Eva Wirz
612429	325773	Peggy Karoly
612429	325790	
612429	325812	Vera Jansen
612429	325875	Dr. Christine Lohnert
612429	334508	
612429	334552	
612429	338431	Charlotte Wentzel
612429	338445	Eleonore Fallenberg
612429	338934	Wirtin
612429	339777	
612429	343488	Josselyne Teireil
612429	345665	Hanna Flanders
612429	345669	Hausmädchen Aline
612429	345924	Ulla
612429	360848	
612429	361517	Frau von Schoek
612429	365785	Constanze
612429	369396	
612429	374143	Laureen
612429	376003	Marlene Zucker
612429	376135	Marion Nietnagel
612429	382285	
612429	390093	
612429	391078	Rita Brentler
612429	392997	Charlie
612429	394745	Lea Sommer
612429	395985	Katharina Haltermann
612429	397953	Sophie Liebermann
612429	404488	Maria Rotenburg (1987-1989)
612429	404496	Marianne
612429	404748	Puppe Mandel
612429	405803	Dr. Hartung
612429	408384	
612429	410817	Eva Kußmann
612430	134773	
612430	193287	
612430	306592	
612431	305560	Marek's Girlfriend
612432	66252	Katka (segment "Awn, The")
612432	99277	Anýzka, princess
612432	108909	Eve
612432	156026	
612432	184123	
612432	283309	Maria
612432	284081	Nun
612432	383823	Andela, chef
612432	402133	Marie
612433	261466	Sabrina, director's assistant
612434	1832	Lady Syrett
612434	6282	Madame Garzin
612434	24231	Ruth
612434	33523	
612434	35482	Genevieve Cliveden-Banks
612434	47555	
612434	56098	Mrs. Ferris
612434	73679	Miriam Sinclair
612434	77627	Selma Bundy
612434	81442	Hope Carteret
612434	81784	Mrs. Harris
612434	83853	Mme. Clary, Desiree's mother
612434	96644	Dame Elizabeth Whitby
612434	97491	Joyce Grey
612434	98779	Sophie Blossom
612434	102932	Irma Paramutual
612434	103317	Mrs. MacLean
612434	114082	Rose Lindstrom
612434	117026	Lilian Armitage
612434	117647	Lady Trimble-Pomfret
612434	123395	Alice Fletcher
612434	127075	Angelica, Mother-in-law
612434	129221	
612434	129943	The Wife
612434	136020	Mrs. Charlotte Ogden
612434	138994	Dora Nelson
612434	140545	Judith Bliss
612434	149436	Jenny Northcote
612434	149635	
612434	156455	Mrs. Evelyn Dean
612434	163961	Miss Chattle
612434	177609	Mrs. Bennett
612434	183374	Leonora Fiske
612434	185767	Letitia Brand
612434	186004	Mrs. Westerly
612434	191185	Nina Vernon
612434	195591	Auntie Loo-Loo
612434	195743	Adeline Palmer-Jones
612434	196078	Aliette Brunton
612434	197765	Mrs. Stricker
612434	203607	Milly Cooper
612434	210499	Mary Wilmott
612434	213870	Lady Monkhurst
612434	214993	Mother Superior
612434	218330	Marie Grosnay
612434	221329	Enid Thompson
612434	223867	Mrs. Eynsford-Hill
612434	224047	Lucille Scott
612434	227326	Nance Gray
612434	238505	Mrs. Athelny
612434	242339	The Girl
612434	244440	Roxanne Paget
612434	245689	Mrs. Payton Grange
612434	248413	Innkeeper
612434	258067	Dona Teresa Lacaya
612434	262728	The Girl
612434	263944	Brenda Dorland
612434	269936	Posy Quinney
612434	280117	Mrs. Van Cleeve
612434	284237	
612434	292248	Mrs. Rodgers
612434	292414	Governess
612434	295380	Miss Abagail Robbins
612434	301263	Mary Morstan
612434	305472	Mrs. Rogers
612434	316341	Beatrice
612434	330603	Lady Sylvia Meeton
612434	333585	Isobel Bunter
612434	337077	
612434	337554	Louise Radcliffe
612434	341942	Mrs. Grose
612434	343022	Mrs. Latham
612434	343133	Aunt Jennifer Chandler
612434	347609	Marian Tygarth
612434	358976	Olalla Quintane
612434	359171	Mrs. Laura Winters
612434	360195	Mariel Roscoe
612434	363793	Mrs. Bancroft (sister of Lady
612434	364197	Genevieve Arnault
612434	364357	Hazel, a Dowager
612434	372277	Mrs. Maria Castro
612434	372705	Mrs. Lawrence
612434	402245	
612435	118957	Andi Richmond
612435	319961	Co-Pilot
612435	372449	Herself
612435	379631	Lynn Tanner
612435	411019	Alice Tyler
612435	411802	Debbie Thompson (1998)
612436	271282	
612437	353499	Herself (Model)
612439	153204	Helen's Baby
612440	153204	Helen's Baby
612441	388445	Participant (2001)
612442	184573	
612443	232099	
612444	242259	Daughter (segment "Tikku")
612445	28457	Fredrika Runeberg
612445	95826	Tilda
612445	104277	Celebrant
612445	142641	Mrs. Kotka
612445	144339	Laura Paasio
612445	170520	
612445	180444	Väkeä seuroissa
612445	233244	Martta, hänen vaimonsa (Aarne
612445	242259	
612445	242269	Aino's mother
612445	255760	Helka
612445	255935	Woman in window #3
612445	258846	Maija Taipale
612445	283593	Tilda Runeberg
612445	301864	
612445	319318	Maija Koivula
612445	319328	Inkeri
612445	321782	Wedding guest
612445	326070	
612445	371442	
612446	25296	Saima
612446	153659	
612446	176704	Teacher
612446	181708	Tyyne-täti
612446	182377	Sonja Autere
612446	183967	Hannele
612446	211037	Sylvi
612446	237155	Katariina Kokkonen
612446	241989	Rouva Nyysteen
612446	251936	Justiina Puupää
612446	251949	Justiina Puupää
612446	251953	Meeri, lapsen haluava nainen
612446	251987	Lottery tickets seller
612446	255845	
612446	268326	
612446	271883	
612446	295249	
612446	322700	
612446	324808	Lääkäri
612446	336353	Various
612446	349137	Elviira
612446	349408	Maire
612446	349945	Lentoemäntä
612446	354280	
612446	383296	
612446	386432	
612446	393765	Joulumuori
612446	405456	Toini
612446	409033	Kaisa
612446	409040	Emmi Toivonen
612446	412213	Various
612447	136898	
612447	137738	Paula Jansson
612447	156038	
612447	182377	Carpet-beating Woman
612447	242259	Mother (segment "Tikku")
612447	255517	Aili
612447	307163	Myyjä
612447	322700	
612447	323254	Saimi
612447	354083	Woman in Uffizi
612448	242259	Daughter (segment "Tikku")
612449	41030	Grete
612449	93422	
612449	93441	Hannerl
612449	103101	
612449	119370	
612449	120371	Schwester Jettchen
612449	125092	Irene von Hellberg
612449	126326	
612449	137640	Yvette
612449	143996	
612449	147156	Mary Williams
612449	153175	Kathe Knax
612449	157949	
612449	169844	Luziana
612449	170136	
612449	174773	
612449	180636	Ilse Bock
612449	188727	
612449	189616	
612449	198435	
612449	198928	
612449	231482	
612449	242974	
612449	267578	
612449	303718	
612449	322555	Liesel
612449	334564	
612449	351227	Rosa
612449	354370	O Lia San, Ferrys Braut
612449	359224	Lia
612449	360870	
612449	361327	Helene
612449	361371	
612449	361458	
612450	249420	Lilli Black
612451	149961	
612451	167153	Französin
612451	194438	Frau Schwalbe
612451	259621	
612451	412089	Frau Weyer
612452	149138	Betty Stewart
612453	64153	
612454	78494	Herself - Member of jury
612454	78496	Herself - Presenter
612455	108884	Princess Sonia Danidoff
612455	130149	
612455	172423	Maria Feodorova
612455	185413	Woman
612455	196499	The Woman
612455	211600	Blindfolded musician
612455	322525	
612456	290254	Cora
612457	378168	
612458	91720	Motel Hooker #1
612459	289634	Bar Girl 2
612460	183790	Melissa
612460	342469	Ballet dancer
612461	372420	Market Prostitute
612462	321352	Sara
612463	251285	Dealer
612464	125803	Anne
612465	21015	Herself
612466	352575	Bibigul
612467	203969	Mrs. Holck
612468	320059	Party Guest
612469	49282	Maria Reiter
612469	89282	Peggy
612469	98971	
612469	179005	Schwester Labor A
612469	225306	Die Frauen: Die Kesse
612469	316541	Barfrau
612469	381930	Host
612469	389359	Judith Ruhland
612469	399472	Elke (-1999)
612469	410484	Quiz Team 'Jenny'
612470	290344	WAAF Teller
612471	37658	Herself
612472	12153	Nan Lorimer
612472	12236	Patricia 'Patty' Hudson
612472	19085	Maida Brown
612472	32118	Mrs. Maria Reynolds
612472	32263	Amy Tillson
612472	35792	Lady Anningford
612472	42101	Sybil Van Norden
612472	47577	Marcia FLeming
612472	50654	Lady Attwill
612472	51596	Helene
612472	58619	Ann Morton
612472	66343	Nance Lovejoy
612472	73405	Adrienne Durant
612472	99160	Estelle Hackett
612472	108302	Marcia Quesnay
612472	109782	Mildred Castleman
612472	113542	Mrs. Brand
612472	115075	Phillipa Ford
612472	117884	Enid Morton
612472	128569	Vivian Carleton
612472	135175	Marie Dacre
612472	138147	Maura Lambert
612472	145922	Patricia 'Patty' Hudson
612472	157229	Naomi Templeton
612472	168128	Joan Travers/Joan Wentworth
612472	186363	Mrs. Meredith
612472	195426	Helen Stevens/Mary Dorsey
612472	195544	Hope Meredith
612472	196207	Frances Lawton
612472	197698	
612472	203571	Lady Helen Deene
612472	206365	
612472	218919	Evelyn Merrill
612472	239890	Jennie Cox
612472	246514	Edith Strong
612472	246720	Mrs. Dutton
612472	251266	Countess Nimy
612472	258955	Allayne Filbert
612472	261996	Jonnie Consadine
612472	262032	Lily Cardington
612472	263506	Nan Westland
612472	264492	Lady Francis
612472	269794	Maizie Bell
612472	269921	Betsy Ann Ross
612472	270491	Louise Freeman
612472	272534	Raff's wife
612472	274407	Dora Wendell
612472	278234	Anna Bell Lee
612472	297183	
612472	306752	Adrienne Van Couver
612472	306760	Dolores Fernandez
612472	312276	Doris Golden
612472	314249	Eleanor Fairchild
612472	315139	Ruth Le Page as a woman
612472	317159	Eunice Torrence
612472	327581	Mrs. Martin
612472	328069	Claudia Payton
612472	329838	Lady Clara Winsleigh
612472	331390	Lucille Vale
612472	353843	Madame de Rouvre
612472	356634	Herself
612472	360239	Alice Thornton
612472	363597	Mrs. D'Aquilia
612472	367450	Flora O'Hare
612472	367558	Olive Sherman
612472	367566	Gene Romaine
612472	368368	Violet Ridgeway
612472	372906	Jean Elliott
612472	374579	Fanny Craig/Evelyn Craig
612473	40674	Hanne Wilhelmsen
612473	286085	Hanne Wilhelmsen
612473	404790	Angelica
612473	410019	Anne Nedrebø
612474	406464	Apex House Receptionist
612475	134454	Can-Can Girl
612476	57722	Ruby
612476	169948	
612476	194173	
612476	220951	Jenny Lind
612476	231438	Mrs. Snevellici
612476	286336	Lady Anthea
612476	297993	Barbara Jennings
612476	305331	Gillian
612476	330420	Mabel Minter
612476	335601	Hostess
612476	367969	Miss Kirsch
612477	84888	Artists' model
612478	194513	Mrs. Sterne
612478	395194	Judy Calvert
612478	395647	Princess Louise
612478	405271	Madeleine Goodall
612479	210240	Prima Ballerina
612479	269346	Gypsy dancer
612479	320624	Miss Shoe
612479	342469	Florence la Riche
612480	80189	Sexo servidora #2
612480	379118	(2000)
612481	88835	Ancetta
612481	404925	Herself
612482	334356	Little Girl
612482	362848	Lucy
612482	363913	11 Year Old Girl
612483	20396	
612483	198724	
612483	354288	Elma
612484	364300	Herself
612485	406330	Kirsty
612486	51464	Kathe van Bourne
612487	215154	Margot Bence
612487	282689	Lady Charlotte Douglas
612487	325976	Mimi
612487	340851	Sally Breward
612487	401214	Marjorie
612488	186759	Baby
612489	408506	Himself - Reporter
612490	382983	Hostess
612491	107832	
612491	163137	Helena
612491	192659	Cellist
612491	405553	Mona Lööf (2003-)
612492	153911	Sollan Bengtsson
612493	304734	Goodbye Girl #2
612494	140160	
612495	94115	Dancer
612496	60807	Raquel
612497	44912	
612498	340250	Young Hippi
612499	407	Extra
612500	158226	Mrs. Drummond
612501	14171	Herself/'Kuzibah'
612502	202460	Ms. Dewit
612503	7794	Mali
612504	296877	
612504	389570	Nautilus Nurse, Additional Vo
612505	259740	Mimoen
612506	304753	Scanner Supervisor
612507	82594	Linda Rodgers
612507	148371	
612508	240289	
612509	38899	
612509	210960	Courthouse Girl #2
612509	365183	Young Woman with Parasol
612509	398027	Morgan (1997-1998)
612510	149247	Darcy Rose
612511	39871	
612512	112174	
612512	134403	Dona Isabel
612512	170968	
612512	178555	Gynaecoloog
612512	203784	Louise
612512	357380	Pensionhoudster
612512	381680	Elly van Zuijlen
612512	387055	Sofie
612512	392672	Moeder (2000-)
612512	398575	Mevrouw Zuidema
612512	410426	Ma van Hazebroek
612513	280028	
612514	265083	Hooker
612514	360355	Casting Agent
612515	7230	
612515	64333	Herself (1978)
612516	16677	Voodoo Dancer
612517	38685	Ruby
612517	100066	Dolly
612517	327256	Woman in chair at the wake
612517	337178	Mulatto at Fruit Stand
612517	360169	Singer, Hall Johnson Choir
612518	15096	
612519	399793	Cindela (1990-1994)
612520	399793	Cindela (1990-1994)
612521	68554	Gertrudis de adolescente
612522	8564	Carmen
612522	23378	
612522	29828	
612522	35020	Lola
612522	54324	Catalina
612522	54805	
612522	71380	Suarez
612522	74368	
612522	82592	Amalia
612522	91372	
612522	100254	Irene
612522	101883	
612522	115759	Betty
612522	125731	
612522	126242	
612522	140660	Eutimia
612522	170100	María
612522	197042	Cristina
612522	197201	Virginia
612522	204684	Silvia
612522	211048	Maite
612522	219311	The Filmmaker's Wife
612522	233917	Julia
612522	233948	Maricucha
612522	243448	
612522	252519	Carola
612522	253667	Alicia
612522	266862	
612522	268018	
612522	269912	
612522	277398	Abesse
612522	286901	
612522	302556	
612522	314715	María
612522	353018	Herself - Nominee: Lead Actre
612522	353494	Palmira
612522	353631	
612522	369870	Herself - Presenter: Best Cin
612522	380274	Elsa
612522	380432	Pilar
612522	380639	Sanchia
612522	397847	Teresa Goday de Valldaura
612522	409073	Eva
612522	409074	Eva
612522	411619	Herself - Host (1984-1985)
612523	52625	
612524	397738	Raquel Echevarría Romero de W
612525	29523	Barfly
612525	57394	
612525	125661	
612525	384972	Dora Molins (2002 - )
612526	52789	Lolita
612526	184844	
612526	211043	
612526	378492	
612526	390266	
612526	392074	
612527	237380	Saleslady
612528	378033	Fostra
612529	287463	
612530	6443	
612530	74983	
612530	83138	
612530	207877	Don~a Herlinda
612530	383665	
612530	389790	Doña Isabel Velazco del Olmo
612530	396631	
612530	397869	
612530	403365	Elena II
612530	408721	
612531	147929	
612532	211860	
612532	328353	Herself
612533	121232	
612534	63965	
612534	208273	
612534	253252	
612534	285483	
612536	47078	Cheerleader
612536	169204	Opik
612536	174529	Sherifa
612536	194870	Nahala
612536	202506	
612537	35351	Fatou
612537	58743	Patricia
612537	102722	
612537	112854	Fatiah
612537	370043	L'aide soignante clinique Lam
612537	380978	Joséphine
612538	41241	
612539	83025	
612540	267339	Party Guest
612541	303090	Barmaid
612542	278476	Lucy
612543	360899	Girl at airport
612543	391869	Michelle Carter (1993)
612544	11936	Madame Sedaine
612544	14994	Constances veninde
612544	43711	Dr. Yvonne Renard
612544	75628	Mlle Merlin de la Blottière
612544	248409	
612544	251543	Odile
612544	325170	La reine Bazonga (French vers
612544	356505	La poissonière
612544	411885	Minas
612545	115269	Women Coalation Diner Patron
612546	112174	
612547	42878	
612547	45965	
612548	147008	Anita
612549	393351	
612550	2430	
612550	12488	Herself
612550	12489	Herself
612550	43015	
612550	44185	
612550	93714	
612550	99743	
612550	119487	TransRegional Ticket Agent
612550	148874	Mrs. Strom
612550	153147	Woman in U.S.O. Club
612550	219117	
612550	245838	Atlantic City Waitress
612550	273931	Black sunbather
612550	301983	Moby's Hooker
612550	305232	
612550	330133	Mrs. Coach Griffin
612550	332453	
612550	346224	Reporter
612550	366680	Law Student
612551	23935	Herself - audience member
612551	34116	Various characters
612551	118369	
612551	121234	Effie
612551	146661	Baguette
612551	339354	Mrs. Fowler
612551	353728	Various characters
612551	381661	Various Roles (1971-1982)
612551	385132	Madame Judici
612551	396379	
612551	401145	Mrs. Corder
612551	403970	Various Characters
612551	403971	
612551	407790	
612552	95102	Diva
612552	194217	Herself
612552	260950	Elite Model
612553	54430	
612553	333988	
612556	84956	Mrs. Gettys
612557	338948	Blanca Santome
612557	380795	Florencia Linares
612557	386078	Matilde del Junco de Armenter
612557	400719	
612557	403016	Carolina Montalbán
612557	408855	Andrea
612558	270896	Tactical Cafe crowd
612559	390145	Cheerleader
612560	40294	John
612560	41444	Susan
612560	328751	Retty
612560	384384	Claire Terson
612560	387332	Angie
612561	66049	Trapeze Artist
612562	392311	Herself - Host (2001-2002)
612562	403183	Herself - Host (2003-2004)
612563	2191	Herself - Bioanalytiker
612564	229380	Wendy
612564	229381	Wendy
612564	229382	Wendy
612564	282035	Passante
612564	395516	Kakkewiet
612564	399052	Diane (2001)
612564	401348	Herself (2002-)/Kelly (1999-)
612564	410339	Kakkewiet
612565	294519	Robyn
612565	331798	Toni Parrish
612566	148562	
612566	175621	Box Office Girl
612567	316170	Movie Critic
612568	121062	
612569	73612	Cowgirl
612570	254743	
612571	107464	Bluebell
612572	312783	Madge
612573	45760	Mrs. Hobbett
612573	52613	Priscilla
612573	192063	Mrs. Peacher
612573	203037	Mrs. Morgan
612573	221127	Mrs. Smith
612573	301959	Bertha
612573	342489	
612574	38248	Angelique
612575	78518	Dekora
612576	209833	Oksana
612577	56656	
612577	59828	
612577	68469	Lisa McGoff
612577	76556	Bobbi
612577	80819	Joanne Fagot Westerfield
612577	82444	Cristan Downey
612577	113808	Dana Rogers
612577	186680	Vanessa
612577	273555	Linda Perryman
612577	310112	Cherie, O'Neill's Girl
612577	311266	Wife
612578	54726	Mrs. Robb
612578	67380	Reporter #2
612578	80801	Associate #3
612578	92150	Dozing Woman
612578	93211	Duty Nurse Harriet
612578	168630	Ticket Agent #1
612578	176480	Susan, Nurse
612578	196481	
612578	209133	Music Teacher
612578	221375	
612578	222570	Female Detective
612578	240529	Other Reporter
612578	245112	Rita
612578	255342	Agent Ella
612578	296019	Desk Sergeant
612578	302932	Mrs. McNair
612578	329342	Reporter #2
612578	332496	Secretary
612578	362310	Attendance Clerk
612578	363897	Karen Marten
612578	387747	
612578	390953	
612578	391971	Sharon Thorpe
612578	395165	Southern California Reporter 
612579	155908	Bridesmaid
612580	193509	Agent Mooney
612581	37681	Brigette
612581	128530	Hooker
612582	35823	Herself
612582	81329	Passenger
612582	309240	
612583	26639	Mrs. Ponder
612583	285290	Blonde
612583	342859	Woman for Hat Gag
612583	360068	Waitress at restaurant
612585	43086	Clara Blythe
612585	60850	Mrs. Blackeney
612585	62091	Mrs. Higgins
612585	92574	
612585	105299	Matron
612585	113972	Lydia Blackburn
612585	128359	Mother
612585	130609	Nora Flanegan
612585	134449	
612585	190752	Meg Kissock
612585	196605	Megsy
612585	208693	
612585	280495	Nurse
612585	316235	Mrs. Denton
612585	321132	Ellen
612587	102197	
612588	28543	Mrs. Vanin
612588	68418	
612588	73651	
612588	102197	
612588	188184	Serena
612589	164688	La grand'mere
612590	284319	
612591	361232	Geraldine
612592	198901	Porter
612593	272761	Daughter
612594	401339	Mrs. Golovanov
612595	168574	Aunt Kate
612595	359099	Moya Flanbaugh
612596	53947	
612596	81890	
612596	90623	
612596	109410	
612597	75360	Bethany
612597	161622	Tanya
612598	87681	
612599	26381	Reporter #8
612599	51475	Model
612600	34337	Rose Lockely
612600	73428	Marguerite Quinn
612601	128511	Baroness
612602	37469	Sairey
612603	7512	Hospital Nurse
612603	9022	Susan McMartin (Tommy's siste
612603	22999	Miss LaMond
612603	27315	Martha Adams
612603	35482	Maxine Russell
612603	42068	Dr. Morse's nurse
612603	73134	Ann Marlow
612603	77963	Hilda Fenchurch
612603	83653	Hajy
612603	84138	Mrs. Cassidy
612603	107081	Herself
612603	113460	Mona Vance
612603	116655	Girl in Audience
612603	133688	Talkative Theatregoer (traile
612603	135570	Georgia
612603	139214	Ice Cream Parlor Waitress
612603	143233	Ruby Marino
612603	147663	Herself
612603	150533	Tillie Weiler
612603	170313	Violet 'Murph' Murphy
612603	183664	Dorothy Drew Burton
612603	201068	Herself
612603	204708	Nurse Who Lost Draw
612603	207138	Irana Preveza
612603	222659	Gladys
612603	232833	Rose Chadwick
612603	234199	Toni Blackburn
612603	236901	Miss Hill, the Telephone Oper
612603	262956	Herself
612603	292389	Paula Fengler
612603	345718	Louise
612603	352752	Cora
612603	365188	Peg, Chorus Girl
612603	380918	Moderator (1952)
612603	388522	Co-host (1953-54)
612603	388523	Herself/Host
612603	392477	Herself/panelist (1952-1958)
612603	397044	Herself/panelist (1958-1960)
612603	399985	Host
612603	400863	Host (1948)
612603	410906	Herself/panelist
612603	411377	Host (1951-52)
612604	6194	Olympia La Pere
612604	11329	Mrs. Pugmire
612604	33579	Emma McGee
612604	51975	Evelyn Harper
612604	56105	Duchess of Castelbello
612604	58647	Herself
612604	58793	Ma Karlsen
612604	70534	Ma Tarbet
612604	74232	Rose Given
612604	77794	Mrs. Schlaghammer
612604	91606	Mistress Ann Bonney
612604	136020	Hannah Lacey
612604	151041	Helena Domenico
612604	183836	Mrs. Hoxie
612604	253106	Olivia Schuyler
612604	280117	
612604	281909	Levisa Hatfield
612604	329538	Mrs. Riley, Tyler's Landlady
612604	330345	Midge, a buyer
612604	347732	Maria DeGroot
612604	360527	Rural wife (deleted sequence)
612604	361841	Patience Hawley
612604	386049	Amelia 'Sarge' Sargent
612604	386561	
612604	392428	Minerva Parker (1952-1953)
612604	394683	Host (1948-49)
612604	401297	'Mother' #1 (1958-1959)
612605	32306	Additional Voices
612605	238695	Female Temp
612605	381522	Additional Voices (1995-1997)
612606	277140	Young Cosima
612607	62705	Linda Stanton
612607	105455	Nancy
612607	363808	Sun Bather
612607	387309	Jody Travis #2 (1983-1984)
612608	93130	Sydney Brown
612608	132360	Undetermined Role
612608	142988	Dolly Varden
612608	262309	
612608	273686	Vivian Phelps
612608	283170	Myra Weston
612609	110474	Donna
612610	108600	Goth
612611	126281	Pauline
612612	363421	Piano Player
612613	304860	
612614	400566	Shannon
612615	128429	Bartender
612616	215049	Miranda Randazzo
612617	7413	Orphan
612618	200432	Michelle
612619	84516	
612620	185255	Kahina
612621	185758	Young Bride
612622	29523	Barfly
612623	144406	
612623	393880	Mrs. Rocket
612623	403193	Ethel Meaker
612624	100209	Young Blonde Child
612625	299723	Bartender
612626	192409	
612627	365560	Butch
612628	36648	Angèle
612629	234270	Enfant de l'asile
612630	235407	Herself
612631	61576	Anchorwoman
612632	18001	Libby Deco
612632	54264	
612632	146780	Casey
612632	273474	Sal
612632	395669	Jennifer Sampson
612632	407421	Amelia Keys
612633	19797	Grim nurse
612633	61265	Mrs. Mildred Lawson
612633	106614	Cheli Scott
612633	144488	Nokomis
612633	162952	Mrs. Mary St. Aubyn
612633	193295	Mrs. Willis
612633	208741	Edith Murray
612633	251279	Mrs. Gates
612633	264570	Madame Walter
612633	316024	Edna Jarvis
612633	347739	Camilla Denbow
612633	358768	Mrs. Stoker
612634	91959	Brenda
612634	93238	
612634	108934	Julia Anderson
612634	139751	Alice Yates
612634	157436	Classroom Reporter
612634	204947	Susan Durkin
612634	205268	Parent
612634	252445	Elsa Nye
612634	280438	Woman in Bar
612634	312798	Nancy
612634	346892	Beth
612634	367254	Party guest
612634	380713	Dawn Wheeler #1 (1992-1993)
612635	215286	Mrs. Easy
612635	254491	Station mistress
612635	271330	Mrs. Warburton
612635	308045	Mrs.Tremlett
612636	32052	Pageant P.A.
612636	101573	Jupiter's Blonde Girl
612636	316998	Dancer
612637	41091	Mrs. Thorpe
612637	85653	Woman at Bar
612637	99856	Guest
612637	154906	Girl
612637	178976	Jury member
612637	200472	Woman
612637	207861	Customer
612637	276724	Wife
612637	304966	
612638	50148	
612638	251557	
612639	290589	Frau Volz
612640	123884	Miss Callister
612640	134026	Niece
612640	346914	Fashion Model
612641	7821	Mrs. Hannah Thirkettle
612641	11918	
612641	32100	
612641	56176	Peach
612641	73995	
612641	131391	Miss Thong
612641	148926	Old Woman
612641	155828	Mrs. Sturgis
612641	157119	
612641	232860	
612641	235611	Auntie Rose
612641	250709	Lodger
612641	251044	Sally
612641	251835	Martha
612641	302019	Martha Bains
612641	330552	Mrs. Chip
612641	359882	The wife
612641	365042	
612641	365712	Mrs. Pottle
612642	150606	Mean Female Reporter
612643	408039	Miles Drentel's Assistant (19
612644	74107	Christian slave girl
612644	147700	Herself
612645	56545	Herself
612645	66121	Kelly
612645	72767	
612645	82789	Rita
612645	186580	Jenny
612645	317148	Zoe
612645	340980	Charlotte
612645	382052	DC Kate Spears (2000-2002)
612646	215736	Herself
612647	228906	Call Girl
612647	393144	Shooli
612648	4524	Clown
612648	34818	
612648	399813	Herself/Weather forecast pres
612648	400200	Host
612649	235034	Natsuko Kashiwagi
612650	196902	Artist's Model
612651	162292	Wedding Guest
612652	166274	
612652	239722	Zamora
612653	161114	Applicant 269
612654	41641	
612654	299682	
612654	356661	
612654	376595	Mere Haricot
612655	234258	Aneta
612656	39875	
612656	72434	Maite
612656	128755	
612657	28168	Fabienne
612657	101977	
612657	202421	Belle-fille
612657	247170	Sage Femme
612657	403101	Mère Estelle
612658	195771	Person in Brighton Pub
612658	199241	Herself
612658	308145	
612659	238495	80s Student
612660	261678	Ivka
612661	41180	Eliza
612661	192771	Lemon
612662	351548	Speranza
612664	67896	Camp Singer (Don't Sit Under 
612665	174567	Marie
612666	404002	Loraleen Lewis (1986)
612667	67361	Age 65 - Retired Receiving Cl
612667	68246	June
612667	104765	United Kingdom entry (6th pla
612667	130776	Sabine
612667	144786	
612667	239746	Circus Performer (member, Isa
612667	406378	Herself
612668	192243	Posse Member
612668	232496	Adrianne DeLoia
612669	10075	Additional Voices
612669	92770	Katt
612669	197488	Lemina
612669	200184	Caldina
612670	45376	
612671	345277	Herself
612671	381912	
612672	316153	Squirming victim on attic flo
612673	179461	
612674	828	
612675	95877	Mrs. Litton
612675	112023	Karen Delage
612675	150884	Penny Guy
612675	222606	Dr. Isabelle Klein
612675	251865	Miss James
612675	253950	Sarah Johnson
612675	314779	Camille
612675	321404	Mary Diamond
612675	340931	Col
612675	346078	Selina
612675	361632	Sherry Fontaine
612675	386024	The Lady
612675	392779	Sally Peyton
612675	395955	Lisa Boon
612675	396578	Anita Markham
612675	403594	WPC Janice Hargreaves
612675	408636	Jackie Parker
612675	408638	Jackie Packer
612676	189092	
612677	55681	Plump Native Girl
612677	55716	Pregnant Lubi
612677	380216	Nurse
612678	309820	Negoziante Indiana
612678	323179	Esmeralda
612678	328573	
612679	24681	La mère de Pierre
612679	83388	Mamie
612679	111017	La mère d'Élisa
612679	217648	Femme berg 2
612679	258334	
612679	266403	Yvette Guillou
612679	268977	La mère
612679	280513	Anne d'Autriche
612679	282504	Vrouw in melkerij
612679	338595	
612679	346532	
612680	55532	
612681	12795	
612681	29241	Gigi
612681	43282	
612681	122738	
612681	236333	
612681	281405	
612681	305938	
612681	355026	
612681	364019	
612682	161979	Linda
612682	267449	Minnie Hen
612682	281413	
612683	75625	Herself
612683	154368	Herself
612683	384495	Presenter
612683	399045	Presenter
612684	210356	Herself
612685	140535	Prostitutes in Windows and St
612686	135716	Fairy
612687	325969	Ellen Anderson
612688	192630	Amelia
612689	404798	Denise
612690	52892	Cristina
612691	312783	Frannie Goodman
612692	90649	Susi
612692	290473	
612693	391078	
612694	148803	Pavla
612695	110284	Waitress
612695	130017	Holly
612695	245111	Camille
612695	308931	Crying girl
612696	116673	Secretary
612696	190003	Sarah Palmer
612696	360861	Jenny
612696	379571	
612696	403238	Language Student
612697	273756	
612698	38822	Diana
612698	342156	Hospital Patron
612699	216963	Larissa
612700	5619	
612700	17718	
612700	24913	Various characters
612700	29415	
612700	32032	
612700	33525	La récitante
612700	33571	La vendeuse de robes de marié
612700	43400	
612700	57282	Inmate
612700	59985	Rose
612700	60052	Arlette, une petite amie de W
612700	71972	Mlle Fenette
612700	120355	Patricia
612700	136312	Gertrude
612700	156317	Mayor who laughs
612700	202969	
612700	219474	La standardiste
612700	234830	
612700	240449	La secrétaire
612700	279648	Arlette Poirier
612700	338411	
612701	353504	Tonya
612702	147489	Mrs. Carlake
612702	231778	Mrs. Berken
612702	243751	Countess de Linieres
612702	251263	Mrs. Wyndham
612703	1187	Herself
612703	236494	Cheryl
612703	379738	Herself - Panellist
612703	379748	Herself - Host
612703	391486	Tracy Russell (1994)
612703	391869	Rebecca Fisher/Nash (#3) (199
612704	2500	
612705	580	Irene
612705	4730	
612705	13252	Sarah, Ephraim's Wife
612705	20206	Spinster
612705	29549	Mrs. Polk
612705	32965	Sarah
612705	38049	Townswoman
612705	41939	Mrs. Williams
612705	45475	
612705	45494	Receptionist
612705	46859	Al's wife
612705	47294	Will's Wife
612705	49972	Cousin Lena
612705	52643	
612705	53324	
612705	54650	Beth's Murdered Neighbor
612705	64099	Clara Potts
612705	64835	Mrs. Benton
612705	67862	The Spinster
612705	72104	Reporter-Photographer
612705	73230	Alice
612705	77177	Miss Crain
612705	77777	Silas' Secretary
612705	78079	Aunt Elsie
612705	80547	Kate
612705	83991	Mrs. Plunkett
612705	84828	Wife
612705	84834	Second Shopper
612705	84850	Miss Wallace
612705	84901	Mrs. Muller
612705	88292	
612705	90428	Hattie, Webster housekeeper
612705	91085	Woman at radio station
612705	95849	
612705	96569	Farmer's Wife
612705	96833	Lizzie
612705	109206	Apartment Manager
612705	109673	American Tourist
612705	110953	The Cook Who's Quit
612705	112494	Mamie (cafe owner)
612705	114082	Dress designer
612705	116685	
612705	118055	Widow Spriggs
612705	120726	Storekeeper
612705	120749	Hotel Maid
612705	124767	
612705	127698	Mrs. Marvin
612705	128377	Ann
612705	128522	Secretary
612705	128582	Middle-aged woman at Marriage
612705	128651	Anna
612705	129231	
612705	131719	Secretary
612705	133629	Second Old Prune
612705	133703	City editor's secretary
612705	135929	Aunt Lydia
612705	137461	Margaret Reed
612705	138849	
612705	139780	
612705	142125	Amanda Witherspoon
612705	142599	Ettie
612705	142872	Mrs. Perkins
612705	142877	Miss Swithen
612705	142879	Miss Bryant
612705	144447	
612705	144572	Aunt Mary
612705	145382	
612705	146282	
612705	147773	
612705	147775	
612705	148929	Ma Watts
612705	152925	Miss Quinn
612705	154623	Visitor in hospital
612705	157847	Hotel chambermaid
612705	157866	Mrs. Coggins
612705	162528	Mrs. Broadbelt
612705	163297	Woman at Boardinghouse
612705	166992	Mrs. Emmy Davis
612705	167626	Noisy Neighbor
612705	168678	Shrew
612705	174594	Miss Bewley
612705	175119	Lady in 'Poiple'
612705	175209	Mrs. Miller
612705	178881	Critical woman
612705	183695	Natalie Roguin #2
612705	183853	Attending Nurse
612705	184446	Martha Evans
612705	184483	Mrs. Richards
612705	190268	Lady in Back of Henry
612705	192141	Mrs. Jackson
612705	193638	Mrs. Snodgrass
612705	194643	Molly O'Hara, the Cook
612705	195539	Martha, Ireland's Maid
612705	195682	Hotel Maid
612705	196990	Mrs. Applewaite, Neighbor at 
612705	196998	Hotel Chambermaid
612705	198454	Mrs. Larkin
612705	199466	Farmer's Wife
612705	203615	Housekeeper Annie
612705	210435	Nell
612705	212746	Ella
612705	212752	Jenny, Gordons' maid
612705	215637	Miss Frisbee
612705	218349	Woman Social Organizer
612705	220123	
612705	222334	Laura, wedding dress seamstre
612705	224003	Josephine
612705	224047	Screaming Woman
612705	228272	Farmer's Wife
612705	229222	Aunt Susan
612705	231768	Secretary
612705	239643	
612705	241134	Scholarly-type woman
612705	241349	Woman Gossip
612705	241892	Miss Evans
612705	243338	Minnie
612705	245742	Ma Hawkins
612705	248447	Propritress
612705	252494	Bessie Hopkins
612705	255396	
612705	255877	Mrs. Williams
612705	256638	Customer
612705	259227	Mrs. Bowser, landlady
612705	261603	Boy's Mother
612705	269781	Mrs. Bradford
612705	269868	Miss Philbert
612705	270615	Dental patient
612705	271252	Townswoman
612705	271293	Hindu Woman
612705	272138	Mrs. Ellis
612705	272961	Woman with Fruity Hat
612705	275769	Shayne's secretary
612705	277913	
612705	277942	Miss Whipple
612705	277959	Bather's wife
612705	278006	Henrietta McCoy
612705	278030	Miss Scully
612705	278037	
612705	280964	
612705	280980	Landlady
612705	285392	Miss Minnie
612705	286911	Mrs. Callope
612705	289422	
612705	289685	Clara Potts
612705	289687	Clara Potts
612705	291713	Miss McGonigle
612705	292169	Woman
612705	292190	Maid
612705	297944	Woman Applicant
612705	297968	Anna
612705	298438	Mrs. Palestrom
612705	300515	Hotel maid
612705	302624	Landlady
612705	303525	Jenny Blanchard
612705	304056	
612705	304959	Maid
612705	305454	Miss Brown
612705	308674	Madame Lambert
612705	309846	Mrs. Wemsley
612705	309911	
612705	313295	Wellman's Secretary
612705	315490	Herkemer's Mother
612705	316221	Hotel maid
612705	319067	Mrs. Agnes Peabody
612705	321534	Watsons' Maid
612705	323703	Prissy gossiper #3
612705	327743	Fanny
612705	328579	Rose
612705	329132	Aunt Martha Hubbard
612705	331552	Molly's Mother
612705	332420	Nurse
612705	334754	Lillian
612705	337584	Aunt Martha
612705	337625	Lena Tolliver
612705	339884	Martha Hathaway
612705	340570	Landlady
612705	342933	Housekeeper
612705	346227	Miss Quayle
612705	350026	Spinster
612705	350173	Gertrude
612705	358184	Settler
612705	358650	Bennett's Maid
612705	361300	Mrs. Jenkins
612705	361620	Rose
612705	361666	Bessie
612705	361832	Emma
612705	365087	Maid
612705	371857	
612705	372050	Mother
612705	372328	Mary, the Farmer's Wife
612705	372495	Mrs. Pettiwell
612705	372676	
612705	372769	Mrs. McCarney
612706	57139	Dana Richards
612707	404482	Krankenschwester Ina
612708	110299	Young Kerry
612709	22813	
612709	40072	
612709	41141	Old woman
612709	42429	Tenement Dweller
612709	47076	Headmistress
612709	54532	
612709	54562	Peasant
612709	59054	Sisaba (the hag)
612709	69616	
612709	101085	
612709	108002	Montage
612709	108435	Pig Woman
612709	116769	Hag
612709	118313	
612709	121362	Newspaper Hawker at Pittsburg
612709	133887	
612709	134103	
612709	140773	Undetermined Role
612709	141519	
612709	141630	Maggie
612709	146079	
612709	154063	Street Beggar
612709	155837	Idylwood Resident
612709	177325	
612709	183435	Prisoner Jessie Jones
612709	185238	Tilga, Keeper of the Harem
612709	203536	Old Hag in Crowd on Pier
612709	206112	Gypsy Hag
612709	216448	Mrs. Valyez
612709	222987	Cap's wife
612709	223718	
612709	242489	Woman in Audience
612709	256428	
612709	259766	
612709	276422	Old Prisoner with Vodka
612709	276663	Sisaba, the hag [Chs. 4-5]
612709	276664	Sisaba, the Hag
612709	280830	Roman Crowd Extra
612709	296939	
612709	317162	Widow Serviss
612709	327645	Newspaper Vendor
612709	327684	
612709	331252	
612709	335980	
612709	347364	Gypsy Woman
612709	360067	
612709	360573	
612709	361664	Old Woman on Street
612709	361927	
612709	362674	Hag
612709	363813	
612709	365551	
612710	16045	Young Mrs. Turner
612711	407351	
612712	1251	
612712	169136	Child Chorus
612713	111564	Herself
612713	321505	
612714	308582	Nell Puddick
612715	55923	
612716	33264	Suzanne Walter
612716	99237	
612716	126847	Holznerin
612716	144032	Eva Puntila
612716	146832	Eva Braun
612716	164275	Franziska Kaub
612716	187587	
612716	225182	Helga Nilsson
612716	314864	Witwe Egger
612716	325500	Frau Klefisch
612716	325560	Marion Kremer
612716	341824	
612716	352332	
612716	361015	
612716	367240	Marianne
612716	374377	Kay
612717	12248	Nina Ellington
612717	64797	Margery
612717	125888	Margery
612717	259749	Martha Holmes
612717	400236	Kara Richardson (1997)
612720	76940	
612720	92856	Chaozu
612720	208014	Menô, Hanako's Mother (from G
612720	259304	Lady in Bagshop
612720	283621	Madame
612720	305178	Ayako Sawamura
612720	325315	Emperor
612720	350723	Yumeru (Japanese version)
612720	386776	Chaoz
612720	386777	Chaoz
612720	387831	Sachiko/Megu
612720	389820	Sunakake Baba
612720	391752	Rima, Yû, Ryô, Kan
612720	394031	Various characters
612720	394164	Yashiro
612720	394419	Jiina
612720	396500	Tetsuo Araki
612720	399500	Tomomi
612720	404127	Kiki
612720	405141	Alice
612720	408733	Cab
612720	411733	Bera
612721	162099	Fairy
612722	316881	Waitress
612723	37189	T.V. Anchorwoman
612724	343138	Woman
612725	40874	The girl/the mother
612725	112525	
612725	117257	Teresa
612725	133889	Anne Malone
612725	134452	
612725	141262	
612725	189311	
612725	192025	Jean
612725	192391	Babette
612725	199392	Margaret Wesley
612725	207780	The Wife
612725	220999	Dolly Dugan
612725	222140	
612725	224420	Claire Ffolliott
612725	224642	Señorita
612725	267566	Red Feather
612725	301759	Elizabeth Stratton
612725	335800	Señorita
612726	13560	
612726	24941	
612726	50209	The Woman
612726	50910	
612726	111977	
612726	155699	
612726	177465	A crooked lady
612726	190021	
612726	195954	
612726	216001	
612726	267022	
612726	323762	
612726	325250	Mrs. Collamore
612726	326615	The Guardian's Sister
612726	329451	
612726	362731	
612726	368291	
612727	238610	Windsurfer 1
612728	70468	News Video Camea Operator
612730	265579	Miki
612731	223544	
612732	398446	Herself - Model
612733	40552	Helen
612734	290824	
612735	42643	Herself
612735	104106	Herself - Tiktak guitar & voc
612735	136016	Herself
612735	203572	Herself (with the Shah)
612735	205836	Herself
612735	218373	Farmer Hank's Wife
612735	339820	Herself (with Adenauer)
612736	32887	Inez Valenti
612736	128489	Zelma
612736	196206	
612736	239585	Mildred Bennett
612736	317288	
612736	363217	The Firefly
612736	367591	Mrs. Connie Beverly
612737	26515	Dionne
612737	32131	Leah Russell
612737	47210	Herself
612737	116673	Alice
612737	131723	Kay
612737	154749	Cut Ear Salon Woman
612737	186200	Maxine
612737	194044	Girl student
612737	206691	Mo
612737	301618	Hairdresser
612737	378825	Herself
612737	404199	Marcia
612738	394578	
612739	20305	
612739	23127	
612739	23130	
612739	31009	
612739	38429	
612739	42896	
612739	63776	
612739	86697	
612739	136784	
612739	139495	
612739	139496	
612739	140602	
612739	142236	
612739	178387	
612739	178407	
612739	180629	
612739	257219	
612739	341874	
612740	364729	
612741	214283	Petite Fille au journal
612742	55499	
612743	257689	Detective Broom
612744	185755	Nun
612745	40055	
612745	62697	Shazzy
612745	264876	
612746	148677	
612746	259732	
612746	346710	
612747	232630	Skating Rink Extra
612748	344756	
612749	260976	Mrs. Marta
612750	148466	
612751	208462	Child
612751	385629	
612752	220004	Cynthia, Girl in Kes' Class
612753	9734	Frances
612754	12263	
612754	247899	
612755	20135	(segment "Nessun dorma")
612755	88337	
612755	177367	Systems agent
612755	216008	Bamu
612755	292446	Madame Rosa
612755	339353	Zita Salinger
612755	401432	WPC/DS Sophia Cambridge (1994
612756	101562	
612757	287636	Young Anju
612758	9477	Ukibashi
612758	76898	Karen
612758	78675	
612758	89329	Yayako
612758	89517	Yumi Takagi
612758	121987	Maki
612758	122138	
612758	130268	Towa
612758	132095	
612758	137361	The tailor's wife
612758	138101	Kiku Akimoto
612758	140625	
612758	142179	Sayuri Maki
612758	146338	
612758	163838	Nui Hiroi
612758	172425	Setsuko
612758	173554	
612758	174958	
612758	177938	
612758	179375	Mikoto Fuji
612758	179547	Okera no roku
612758	181390	Kab-Soos Mutter
612758	181575	
612758	216658	
612758	216785	Mitsuko Sawaki
612758	236874	Matsuko Ogasawara, Head nurse
612758	237761	Sumiko Kogure
612758	242126	Nobuko
612758	242214	
612758	242215	
612758	242216	
612758	242217	
612758	242218	
612758	242219	
612758	242220	
612758	242221	
612758	242222	
612758	242223	
612758	242232	Masumi Domoto
612758	244573	Nurse Miyata
612758	244682	Emi Aoyama
612758	298971	
612758	300130	
612758	300427	
612758	308904	Yoshiko
612758	335506	Miko
612758	341261	Isako Nakazato
612758	341277	Rie Nagai
612758	348751	Naoko
612758	348898	Mie (segment 'Playgirl')
612758	358384	
612758	359838	Megumi Tokumaru
612758	370262	
612758	374508	
612758	400271	
612759	324726	
612760	142732	Margareta
612761	98208	Naomi
612761	137256	
612762	320514	Maggie
612763	401125	Kauppias
612764	218565	
612765	209209	Unlucky Couple
612765	322729	
612766	302269	Asian Beauty
612767	366653	Band: Moonpools & Caterpillar
612768	163012	Linda
612768	186102	Beautiful Girl
612768	291095	Flute Player
612768	364795	P.A. Announcer
612768	407245	Hostess (2001-2002)
612769	132223	Stripper
612770	3521	
612770	13189	
612770	28960	Julieta
612770	31540	
612770	32647	Alicia
612770	48178	
612770	51709	
612770	55142	Wife of carlos
612770	64430	
612770	71094	
612770	71298	
612770	88057	
612770	100299	
612770	103442	
612770	104079	Miss Evergreen
612770	106323	
612770	123544	
612770	124247	
612770	136313	
612770	145255	
612770	149545	
612770	152628	
612770	161828	
612770	169755	
612770	170099	
612770	217590	
612770	219406	
612770	233372	
612770	236422	
612770	253370	Debbie
612770	263846	
612770	274959	
612770	277136	Sarah
612770	277390	
612770	287434	
612770	287897	
612770	293963	Carolina
612770	296126	Susan
612770	302981	
612770	307659	
612770	308446	
612770	322250	
612770	327443	
612770	328930	
612770	337435	
612770	337436	
612770	338202	
612770	339781	
612770	344653	
612770	351652	
612770	353986	
612770	378428	
612770	379890	Viviana
612770	381029	Celeste
612770	383145	Miss Ever Green (1981-1987)
612770	401093	Reyna
612770	403402	Gisela
612770	403741	
612770	405834	Marian Monterani
612770	409913	
612770	410313	Clara
612771	14725	
612771	71298	
612771	145211	
612771	207598	
612771	234002	
612771	249876	
612771	251724	Prostituta peliroja
612771	256545	Yolanda
612771	281607	
612771	286366	
612771	288255	
612771	296126	Mari, secretaria
612771	302981	
612772	25793	Campesina
612772	44659	Lechera 3
612772	101894	Sor B
612772	353973	
612774	87070	
612775	278734	Musicienne steel-band
612776	337007	Petite Laure
612777	272724	Reenactment Cast
612778	353236	Teacher
612779	80619	Bar Patron #4
612780	345607	Extra
612781	319578	Giggles
612782	306953	
612783	160555	
612784	200245	Child at DartGame
612785	107740	Rita Wagner
612786	344197	Bella Donna
612787	8483	
612788	322981	Young girl
612789	146619	Celia Kirk
612790	368600	Follower
612791	277760	Anne
612792	307881	Jilted Woman
612792	310749	Popova
612792	400236	Rita Gilmore (#1) (1996)
612793	283429	Jeanette
612794	90869	Manic
612795	119936	Pizza Girl
612795	362133	Food Stamp Mom
612796	63119	
612796	341436	The Haughty Violin
612796	398391	Various characters
612796	400178	Host (1954-1959)
612797	52247	Natalia de Sousa
612797	52248	
612797	55086	
612797	69767	
612797	74379	
612797	100267	
612797	101883	
612797	109283	
612797	148084	
612797	193334	
612797	260770	
612797	262609	
612797	351901	
612797	378465	Nieves
612798	292508	Tess
612798	333901	Rianti
612799	131373	Ann
612800	405183	Marnie McBride (2004)
612802	18061	Michael's Mother
612803	131232	Extra
612804	131232	Extra
612805	131232	Extra
612806	67896	Japanese Girl #2
612807	248091	Mother
612808	12338	J.C. Superstar Singer
612808	237688	
612809	175259	
612810	196627	Herself
612811	373218	
612812	86554	Herself
612813	297937	NY1 Field Reporter
612814	343387	Japanese Girl
612815	89441	Yumi
612816	391594	Manami Mori
612816	396503	Ecool
612816	411883	Juri
612817	271540	Yayoi Ichinose
612817	335270	Hitomi Kitamura
612818	11716	Anna
612818	35065	Sara Eriksson
612818	76731	
612818	109953	Poesikvinnan
612818	120964	Hanne Louise Heiberg
612818	122448	Ingrid
612818	130070	Frida Strandberg, Henrik's fi
612818	132182	Rebecca Olsson-Frigårdh
612818	141800	Hedda Gabler
612818	163088	Ingrid
612818	166943	Barbro
612818	170508	Solveig Nordensson
612818	181077	Eline Ormsdatter
612818	183311	Vivi
612818	184890	Märta Lundberg
612818	223207	Sara
612818	238803	Marie
612818	252001	Mum
612818	276692	
612818	287560	Viivi
612818	304469	Astrid
612818	311980	Ingrid
612818	320611	Margareta
612818	322437	Karin Bergman
612818	338711	Hanna Röde
612818	340272	Marianne
612818	343390	
612818	372967	Begravningsdeltagare
612818	378176	Ingrid
612818	390231	Frida Strandberg
612818	393992	Bettan
612818	394864	Monika Nilsson
612818	395992	
612818	408748	
612818	409853	Ingrid persson, shop assistan
612819	120796	Narrator
612820	14159	Suzanne (at 6)
612821	16219	Diana
612821	173180	Anni Kübler
612821	186890	Thea
612821	205761	
612821	281750	
612821	287638	Bertha Knudsen
612821	309018	
612821	311215	Anna
612821	311827	Lisa
612821	314315	Inge Hartwig
612821	325390	Gerda Sinkel
612822	290196	Cutter, herself
612823	326076	Társasági hölgy
612824	349627	
612825	108913	
612826	196046	
612827	292018	Fay Murphy
612828	126284	
612829	389546	Nurrett
612829	401245	Françoise
612829	408485	Mrs. Boly
612830	9589	
612830	90558	Naomi
612830	258553	Narration
612830	335270	Hitomi Kitamura
612831	80568	System Voice
612831	80570	System Voice
612831	80572	System Voice
612831	91685	Narrator
612831	372022	
612831	382108	Unazuki Furuhata
612831	408736	Jan Minakaze
612832	395065	Narrator
612833	81628	
612834	177367	Jean Appiah
612834	230977	Channel 4 reporter
612835	323824	Saida (segment "Nex's Diner")
612836	130071	Car speculator
612836	258990	Mrs. Hanna Faber
612836	331036	Nurse
612837	38509	
612838	166593	Cecilie, sykesøster
612839	161948	Prostitute
612839	337996	Titania
612840	386110	
612841	32502	Vaska
612841	50965	
612841	127456	Mladenka
612841	163901	
612841	207940	
612841	217493	Maykata na Ran
612841	229062	Uchiyelka
612841	243640	Maykata na Gosho
612841	293896	Yordanitza
612841	374170	
612841	398895	
612841	398896	
612842	375394	
612843	332955	Desi
612844	6220	
612844	28166	Siyka
612844	247276	Sara
612844	261305	
612844	284467	Lotte
612844	305905	
612844	325032	Stariradeva
612844	357324	
612844	375394	
612844	405462	
612845	234826	Nonne/Nun
612846	214329	
612847	214329	
612848	137402	Sobia
612849	366316	Jesse
612850	154796	
612851	190037	
612852	201215	Herself
612853	46249	Woman at Hospital
612854	335689	Restaurant Hostess
612855	7806	Secretary
612856	289668	Tabitha
612857	57654	Fashion Designer
612858	92736	TV Reporter
612858	245468	Newswoman
612858	323568	Prison Reporter
612859	399287	
612860	163932	Anita
612860	365498	Miss Lippenrieder
612861	220960	Auditioner 8
612862	47430	Mother Chen
612862	390319	W
612863	178173	
612864	69440	The Ideal Woman
612865	110408	Kvindeband - Bas
612866	104759	Swedish backing vocal
612866	104762	Swedish entry (12th place)
612866	210350	Herself
612866	210351	Herself
612866	210353	Herself
612866	210359	Herself
612866	210363	Herself/Host
612866	397395	Herself
612867	323797	Herself
612868	181736	Lise as a young girl
612869	214339	Landowner's Daughter
612870	106802	
612871	182101	Member of Ladies Orchestra
612871	394925	Piano
612872	205393	Elsa
612873	209999	Clara
612874	372632	Moll
612875	117282	Pers mor
612875	172843	Fru Marbo
612875	177092	Gunhild
612875	180100	
612876	149633	Mamma
612877	249573	Leggy Lady #1
612878	274440	
612879	306220	TV Newscaster Phyllis
612881	329618	Secretary
612882	57747	Warden Smith
612883	244421	Cousin Anne
612884	269421	Waiting wall woman
612885	263747	Dorm receptionist
612886	44963	
612886	156313	
612886	217669	
612886	266746	La colonelle
612886	377014	
612886	386573	
612886	403643	Madame de Bouville
612887	2305	Herself - Presenter
612887	54923	Love-a-Lot-Bear
612887	55577	Herself
612887	57492	Herself
612887	79907	Kathy Scott
612887	92453	Giraffe
612887	98144	Herself
612887	195307	Claire Ruth
612887	206896	Herself
612887	206897	Herself
612887	230710	Cleo
612887	248008	'Mama' Porter
612887	301393	Betty
612887	310608	Willow Song
612887	321367	Vera
612887	323594	Margot
612887	330818	Herself
612887	342234	Herself
612887	345264	Mrs. Barnes
612887	381792	Mitzi Maloney
612887	384548	Shirley Burleigh (1991-1997)
612887	390373	Loretta Smoot
612887	393428	Susan Elliot
612887	396999	Georgette Franklin Baxter (19
612888	212257	Doctor's Wife
612889	325533	Frau Krage
612890	155417	Ina
612891	372489	Herself
612892	338416	Jakobine Platow
612893	91032	Christa Wund
612893	119704	Konstanze, seine Frau
612893	182765	
612893	213810	Silvia
612893	325525	Laura Kern
612893	356736	Stella Kielmann
612893	404431	
612894	109078	Herself (boss lady)
612895	62866	Pensive Rock Chick
612896	383935	Emily Hoover
612897	204739	
612897	210577	
612898	144161	
612898	225269	
612898	226167	
612898	262748	
612898	290541	Brigitte von Holst
612898	325507	Helga
612898	350865	
612898	379177	Christa Hupka
612898	379840	Oberschwester Gisela Ebert
612898	406321	
612898	407351	
612898	408291	Annemarie Thaler-Timms Stiefm
612900	148954	Lucy
612900	366617	Birthday Guest
612902	6211	Lili
612902	26241	
612902	34417	
612902	79182	Ute
612902	91016	Ines Merz
612902	124985	Bettina
612902	158563	Woman doing box on the ear
612902	170124	Annie
612902	244012	Tanja
612902	289886	Tina
612902	312887	
612902	317272	
612902	325877	
612902	360945	Bedienung
612902	373429	
612902	379840	Schwester Dorothea (2002-)
612902	395508	Gerlinde Schönstein
612903	113249	
612904	330910	Neighbor
612905	261962	Anna Reed
612905	348865	Mother
612906	223780	Airplane Passenger
612906	254414	Grandma
612907	28688	Kislány
612908	71836	Olive
612909	15892	
612909	21621	Nurse
612909	50499	Anne Butley
612909	59595	Nanny
612909	68010	A Courtezan
612909	102761	Patient
612909	109730	Miss Snow
612909	149495	Westlake's Receptionist
612909	160556	Policewoman Carmichael
612909	177338	Regan
612909	269408	Queen Elizabeth I
612909	269842	Sister Agnes
612909	332149	Regional Secretary
612909	383719	Helen Bourne
612909	388437	Staff Nurse
612909	394832	
612909	408867	Sylvia Newberg
612910	122019	Bank Teller "held up at gun p
612910	147781	Astronaut
612910	165977	Ben Affleck's "behind the sce
612910	188397	Police Officer "promotion"
612910	321367	Waitress
612910	328272	Stewardess
612910	388345	Nurse (april 20, 2001)
612910	390666	Friend (Dec. 4, 2000)
612910	390973	Still Photagrapher (oct.1 200
612910	403014	Cheerleader (2002)
612910	404032	Photagrapher (july 19, 2001)
612910	406463	Nun (march 2002)
612910	406760	Nurse (oct. 29, 2000)
612910	409486	Paul's little sister (may 16,
612910	409741	Staffer (june 5, 2001)
612911	126459	Christl Siebert
612911	155361	
612911	284993	Kind Marei
612912	40499	Anna Koljaiczek (young)
612912	44055	Judith Krueger
612912	95277	
612912	98338	Irene Herms
612912	102389	Regine
612912	107751	Nadja Lorenz
612912	125159	
612912	153912	
612912	177781	Marie
612912	179924	
612912	210103	Dr. Buschalla, Psychologin
612912	216297	Maria Bischoff
612912	218977	Frau Martinsen
612912	266603	Bienes Mutter
612912	325695	Renate Bergmann
612912	325805	Professor Scherfenhagen
612912	339705	Marlies
612912	345906	Frau Kosemund
612912	352370	Frau Prießnitz
612912	352567	Sophie's Aunt
612912	361532	
612912	376408	Christa Klages
612912	394478	Karin Muller
612912	410465	Luise Deutz
612913	341103	
612914	290273	
612915	154360	Andersson, Sara
612916	6414	Dagmar
612916	17058	Karin
612916	32755	
612916	33209	Petra
612916	82161	Leonie Bertram
612916	83264	Mme. de Mailly
612916	83348	Maïté
612916	95395	
612916	98248	Elke Bernd
612916	105784	
612916	108191	Virginia
612916	113709	Juliette
612916	137403	Corinna von Sarau
612916	142077	Marie Schiller
612916	162581	Rosi
612916	173702	Alice Ledevin
612916	173842	Ilse Maiwald
612916	203959	Sandra
612916	204405	Marlene Ellermann
612916	225269	
612916	251908	Alice
612916	264355	
612916	282286	Madame Derville
612916	290243	
612916	293617	Julia
612916	299070	Stafson Von Neest
612916	301138	Rita
612916	325610	Anette
612916	325833	Gast
612916	336241	
612916	347649	Sofie
612916	353092	Ilona
612916	361437	
612916	364964	Katrin
612916	376454	Elfi Leuthold
612916	382195	Anne
612916	384816	Hermine Danglars
612916	385561	
612916	386334	
612916	387445	
612916	388035	Ilse Benjamin
612916	389359	Dr. Claudia Hornung (1992)
612916	391929	Agathe Delamalle
612916	397742	Ruth
612916	398359	Theresa von Trattner
612916	403330	
612916	403642	Gabrielle d'Estrées
612916	403795	Inge Maienstedt
612916	404431	Sylvia Brant
612916	409591	
612916	409990	
612916	411109	
612917	365679	
612918	6414	Young Dagmar
612918	227535	
612919	288118	Sarah
612919	393032	Lolly van Onselen
612921	245293	Maraai
612922	121065	
612922	209918	Lore
612922	353456	
612922	394611	Helga Bohnsack, Anton´s mothe
612922	396920	Katja
612922	412024	
612923	6580	Karin, waitress/Maid
612923	6585	Henrik Mjölnare's maid
612923	6586	Viola
612923	29558	Sigrid, housemaid
612923	84270	Actress
612923	100337	Fortune Wheel Girl
612923	100549	Shop assistant
612923	108053	Young woman outside Grand Hot
612923	109544	George's ex-girlfriend
612923	114961	Alice Karlsson
612923	120892	Isabella, student
612923	125828	Ulla
612923	134965	Vera
612923	142837	Inga
612923	144062	Shop Assistant
612923	154134	Ulla
612923	154509	Miss Lisa
612923	182284	Ms. Menner
612923	182302	Office clerk
612923	192654	Allan's date at the dinner
612923	198265	Peter's date on the nightclub
612923	209306	Miss Svensson
612923	209327	Woman in Tylösand
612923	307760	Customer
612923	317599	Beduin girl
612923	322297	
612923	345994	Banana girl
612923	377379	Anna
612924	283694	Patient
612925	382864	Mevrouw Heberlé
612926	370580	Camilla
612927	138690	Sanitäter
612928	278170	
612929	33461	
612929	76228	Dr. Bergmann
612929	119217	Julia
612929	125057	
612929	137145	
612929	293696	
612929	325919	Anette Maxheimer
612930	101755	Dagmar Höger
612931	97433	
612932	201228	Herself
612933	331994	
612934	232671	Juliane Lorrayne
612935	4790	Frau Professor
612935	20324	Wirtschafterin
612935	119027	
612935	126844	
612935	172349	
612935	186957	
612935	234297	
612935	301079	Theres Török
612935	409929	Herself - Singer (2002)
612936	40640	Yvonne
612936	40646	Ruth
612936	40647	Constanze Pillmann
612936	40648	Caroline
612936	40649	Sonja Mette
612936	113505	Dory (German Voice)
612936	126246	Ehefrau
612936	171139	Ina
612936	178568	Mutter Eisbär
612936	189782	Christine
612936	242725	
612936	290481	Mutter (extended edition)
612936	325874	Anke
612936	356709	Helena
612936	367052	Doris Dubinsky
612936	378648	
612936	378947	Herself
612936	380333	Host and sketches
612936	380334	Anke
612936	385665	Herself - Host
612936	395071	Various roles
612936	411329	Host and sketches (1996-2000)
612938	104657	Sylvie
612939	48339	Young nurse
612940	42618	
612940	358896	
612941	78828	Marilyn Edwards
612942	108148	Waltraud
612942	108149	Waltraud
612942	133194	
612942	140271	Ottilie
612942	284987	Martha
612942	325387	
612942	387445	
612942	388290	Frieda Lahmann
612942	388783	
612942	409860	
612943	314513	Isabel
612944	178037	Missy Crawford
612944	207681	Gina
612944	375863	Zoe Wolfe
612945	34401	Amelia
612946	59349	Mother
612946	93492	
612946	173166	
612947	126476	Magda
612947	290665	Voice of Renate Berndorf
612947	301236	
612947	302761	Liese
612947	351977	Vera Romeyke
612947	394832	
612947	394900	Vera Litezk
612947	394976	Panther Zora
612947	406321	
612948	163334	Receptionist
612949	98625	Dagmar Richard
612949	175249	
612949	308246	
612950	66902	Kristin
612951	194380	Pickup
612952	168120	Mother Superior
612953	248565	
612954	134623	Margriet
612954	352156	Manon
612954	354316	Mariette
612954	387759	Mischa Richter
612955	167708	Neighbor
612956	138309	Background
612957	184677	Katrine
612958	367203	Omroepster in winkel
612959	19557	Harem girl
612959	51975	Inmate
612959	113907	Divorcee
612959	114851	Girl
612959	120645	Woman in Window
612959	131532	Sunbather
612959	158364	Office secretary
612959	163431	Young Girl
612959	175111	Hatcheck Girl
612959	220911	Pretty Girl
612959	237818	Bonnie
612959	263117	Blonde
612959	321495	Blonde
612959	329481	Proprietress
612959	346908	Woman
612960	16977	
612960	121368	Sonya Valinoff
612960	133662	Princess Stephanie
612960	133670	Norma McGowd
612960	134182	Mabel (German Version)
612960	144356	Cora Ann Milton
612960	149033	Trina
612960	177179	
612960	197418	
612960	198433	Eleanore Prochaska, ein Bürge
612960	203403	Jacqueline Topelius
612960	225207	Irene Wendtland
612960	248918	Edith Rance
612960	314987	
612960	316770	Alida
612960	321101	Baroness Yvonne Baritska
612960	334766	Sonia
612961	102347	Nille
612961	141795	Berte, the maid
612961	348962	Avdelingssøster
612962	356454	Samantha
612963	325482	
612964	325480	
612964	406828	
612965	43344	
612965	94865	
612965	126367	Aunt
612965	188799	
612965	287757	Lucie
612965	336572	
612966	46981	Sherry
612966	211765	Amanda Reiser
612966	260156	Beth
612966	345952	Melahn Tode
612966	365630	Sara Goodwyn
612966	384798	Self (Hostess)
612966	406650	Co-Host (2004-Present)
612967	376082	
612968	318337	Video Update Customer
612969	93959	Tap Dancer
612969	318337	Video Update Customer
612971	173252	Jans hustru
612971	240392	
612971	322472	
612972	153957	Beate
612973	58858	
612974	403805	Cameron (2000)
612976	242903	
612977	388734	
612978	257560	Lt. Fornication
612979	227778	
612980	324589	Venus
612981	407109	Herself (2002)
612982	395374	Programleder (1971-1973)
612983	5218	Hallodame NRK
612984	322463	Tulla
612985	102161	Pers. assistent 2
612986	96446	Sonja, Bernhard's wife
612986	178754	Stuepiken, 'Bridgepartiet'
612987	13087	Griselda
612989	312656	
612990	153717	
612991	386871	Herself - Section Gardener
612992	17132	Extra talent
612994	341876	
612995	104725	Herself
612996	35615	
612996	97804	
612996	376620	
612996	377534	
612997	173862	
612998	83123	
612998	173708	
612999	172024	
612999	377503	
613000	345005	Cemile
613000	358680	
613001	183343	Skunk
613002	6610	
613002	15270	
613002	17541	Furstin Sherbatzki
613002	24329	
613002	33130	
613002	37507	
613002	46612	
613002	86325	
613002	94303	
613002	99890	Großmama
613002	105521	Zuhörerin
613002	108189	
613002	111438	
613002	115968	
613002	119284	
613002	124890	
613002	125101	
613002	125330	
613002	130927	
613002	134802	Alte dame im mietshaus
613002	134912	
613002	172850	
613002	177151	
613002	178472	
613002	178587	
613002	179639	
613002	189536	
613002	199553	
613002	204660	
613002	210056	
613002	225153	
613002	225719	Frau von Ballio
613002	254363	
613002	254430	Harlans Frau/Harlan's wife
613002	273669	Anderlan's Mother
613002	274915	Frau Sendig
613002	277713	
613002	278160	
613002	281643	
613002	289884	
613002	290076	
613002	290224	
613002	290459	
613002	301037	
613002	303712	
613002	312729	
613002	314583	
613002	317266	
613002	324693	
613002	334629	
613002	344771	
613002	347668	
613002	352286	
613002	360940	
613002	361453	
613002	376474	
613003	92474	
613003	132539	
613003	153113	
613004	31654	Yellerstone
613004	82538	Elena
613004	119484	Claire
613004	119485	Clarie
613004	155209	Julie
613004	187460	Dr. Jones
613004	195362	Barbara Wyatt
613004	212620	Jean Ivers
613004	241386	Kristen
613004	257058	Lizzie
613004	274323	Waitress (segment "Jake's Sto
613004	274324	Waitress (segment "Jake's Sto
613004	274329	Tess
613004	283173	Sam
613004	297242	Lani
613004	309661	Francesca
613004	351931	Eve
613004	357998	Diane, Noah's Assistant
613005	118775	Salesgirl
613006	120224	
613006	385299	Mrs. Aspinall
613007	55036	Lavinia
613008	140957	Mrs. Green
613010	362605	Rachel
613011	87520	Eileen
613012	118472	Day Nurse
613012	140510	1st Nun
613012	185756	Babysitter
613012	257742	Doll
613012	409488	Meg
613013	105101	School Child #3
613014	80425	Frieda
613014	161170	Ginnie
613014	388802	Mrs. Norbury (1988-1989)
613015	69382	Sandra
613015	269351	Jill
613015	295998	Leo
613016	378882	Presenter
613016	381886	Herself - Newsreader
613016	389097	Host
613016	411283	Presenter (2002-)
613017	43275	Zita of Kampani
613017	62906	Jo Jo Wheeler (segment "What 
613017	64784	Betty
613017	65110	Cigarette girl
613017	84920	
613017	85016	Brunette
613017	121819	Laura
613017	142469	
613017	176448	Aileen Fairlie
613017	196558	Sorority Girl
613017	215915	Dorothy Kenworthy
613017	326747	Jane Koberly
613017	330836	Susette Touzac
613017	346367	Helen, fund worker
613017	367863	Nana'i Young
613017	386582	Assistant (1958-1959)
613018	260139	Weightlifter
613019	260092	Wilma
613019	260094	Wilma
613020	347537	
613021	30581	Prisoner #1
613021	129900	Nurse
613021	219707	Mernephta's wife
613021	314949	
613022	66581	Frances Peterson
613022	347852	Mabel Gordon
613022	366015	Jodie
613023	309858	Nurse in Thanksgiving Show
613024	17960	Herself (as Hermes Pan Dancer
613024	242941	Chorine
613025	78773	
613025	135623	Wedding Guest #2
613025	175795	Makeup Girl
613025	394123	Millie Preston
613026	316647	Girl's Mother
613026	366655	Patron #1
613026	386249	Host
613027	344534	Herself
613028	31672	Frisbee Girl
613029	149804	Neighbor
613030	158311	June
613031	75880	Imogen
613032	385277	Herself - Secratary/Nanny
613033	231110	Rosalie
613034	196281	Nun #2
613035	149958	Irène
613036	144161	Monika Blum
613036	197462	
613036	198533	
613036	274118	Eva
613036	394049	Nancy Schimek
613036	411528	Presenter (1987 - 1989)
613037	130302	Church Congregant
613038	82712	Susie
613038	231885	Fall Guy Segment
613038	283814	
613039	240719	Herself
613040	191513	Kenmore Cheerleader
613041	108925	Mrs. Kingman (Mountie's wife)
613042	219273	
613043	87432	Lu Ann
613043	92510	Miriam Carew
613043	341455	Miles' Wife
613044	41552	Sue
613044	140960	Rachael Helmes
613044	224239	
613044	301660	Flashback girl #1
613044	352712	Kristin Sorenson
613045	368894	Katie
613046	319660	Herself
613047	239449	Rochelle
613048	139543	Candy Gulf
613049	122393	
613050	87012	Cavegirl
613051	287235	Sandra
613052	464	
613052	486	Minna Lauck
613052	8699	
613052	10970	
613052	11872	Evelyn Schall
613052	12563	Fanny
613052	12975	Luisa Traller
613052	15073	Berta
613052	17726	Annemarie
613052	24002	Creszenz
613052	24343	
613052	79165	L.Englisch
613052	86375	
613052	87138	Nanina
613052	91131	Stasi
613052	93424	Urschi, Magd
613052	93464	Auguste, maid-servant
613052	93467	Ursel
613052	93484	Mali Bauer
613052	94366	
613052	98287	Sophie
613052	101335	
613052	101971	Walburga
613052	103106	
613052	107365	
613052	107977	
613052	108158	
613052	111563	
613052	111851	Babette, Kammerzofe
613052	111956	Fanny Gallenmüller
613052	119145	Frau Holle
613052	122550	Ludmilla Schäberl
613052	124615	Mrs. Nestle
613052	129494	
613052	129718	
613052	132541	
613052	134251	
613052	134773	
613052	134929	
613052	134934	Mimi
613052	137642	
613052	142007	
613052	142020	
613052	142079	
613052	142138	
613052	142256	
613052	144103	Berta Berger
613052	144176	Poldi
613052	147130	Rosa, Wirtin
613052	152196	Gretl
613052	153098	
613052	155102	Emerenzia
613052	155452	
613052	156055	
613052	156090	
613052	156990	Hanni, Dienstmädchen
613052	168434	Sennerin Liesl
613052	170705	Frau Aicher
613052	172850	
613052	173158	
613052	174175	Ludmilla Möller
613052	174351	
613052	175305	Steno
613052	175774	Emilie Haselhuhn
613052	178670	
613052	179759	Yvonne
613052	180882	Kellnerin Liesl
613052	183253	Lies
613052	184590	Steffi
613052	188733	Frau Huppert
613052	189609	Berta
613052	189700	
613052	193287	
613052	200038	Vroni, Wirtschafterin
613052	202002	Wirtschafterin
613052	205981	Nina, servant
613052	210006	
613052	210032	
613052	210075	
613052	213683	Erzy, Schweinemagd
613052	223375	Grete Holm
613052	225631	Rosalinde von Klettenheim
613052	226265	Dame der Gesellschaft
613052	226286	
613052	237723	
613052	239018	
613052	250468	
613052	253943	Haushälterin
613052	254361	Brigitte
613052	254669	Sofie, Wirtschafterin
613052	261548	Lucienne
613052	277462	
613052	277463	
613052	290443	
613052	290479	Therese, Wirtin der 'Höldrich
613052	290670	Lorle
613052	293555	
613052	302684	
613052	306405	
613052	306512	
613052	306592	
613052	307064	Anna Ranieri
613052	324628	Lenchen
613052	324679	Rose vom Feuerkogel
613052	324681	Anna
613052	329898	
613052	339252	Resi Naderer
613052	344744	
613052	345653	
613052	347009	Traute Bleibtreu
613052	347010	
613052	347559	Hedi
613052	347578	Annerl Lechleitner
613052	347650	
613052	350859	Emma
613052	352544	
613052	358889	
613052	358890	
613052	359646	Rosi
613052	361094	Franzi Schlott
613052	361327	Resi Holdinger
613052	361422	Leni Stadler
613052	365615	Mathilde Hoellrigl
613052	365679	
613052	367035	
613052	367137	
613052	367141	Anna
613052	376025	
613052	376274	
613052	376275	
613052	376276	
613052	376357	Josepha
613052	376405	
613053	360494	Girl in Alley
613054	75562	Jara
613054	381871	Jara
613054	409743	Double Kaitlin Star (1995-199
613055	367048	Mary
613056	290936	Dancer
613057	342924	Actress
613058	266768	Superperson
613060	2377	Kelly Earnhardt
613060	234080	Brittany Haskell
613060	283434	Lydia Deets
613060	317307	Jessie Aarons
613060	405038	
613061	379831	Receptionist (1990)
613062	74080	Herself (former editor, Mothe
613063	346838	Bit Part
613064	259395	Herself
613065	92095	Pregnant Woman #4
613065	167041	Canaanite Woman
613066	115148	Joan Maine
613068	280181	Herself
613069	29960	Gwen
613069	30581	Sister Love
613069	160051	Rev. Poppy
613069	207710	Lynn Williams
613069	300064	Queenie
613069	365559	Marva
613069	393299	Aunt Helen
613070	337702	Actress
613071	187191	Harvard Law Student
613071	210887	Girl with Michael
613072	214299	Homeless Woman
613073	215748	Yvonne
613074	200470	Female Pedestrian
613075	126619	Extra Talent (segment "Gett O
613076	27234	
613076	116502	
613077	41337	
613077	106109	Model
613077	265585	
613077	360149	Marquis de Sade girl #2
613078	407013	Edison
613079	39080	
613079	39081	
613079	63209	
613079	93537	
613079	93538	
613079	93539	
613079	101020	
613079	122178	
613079	311160	
613079	362625	
613080	353309	
613081	41350	
613081	54983	
613081	142530	Teresa
613081	266600	
613082	409463	Azafata (1977-1978)
613083	17183	Partygoer
613083	139790	Dance-hall girl
613083	154868	Dress designer
613083	191119	Supervisor
613083	193264	Girl on Rum Boat
613083	199192	Woman
613083	228639	Casquette Girl
613083	231974	
613083	234890	Cabaret Girl
613083	242941	Aristocratic Woman
613083	250449	Reporter
613083	277925	Woman in Park
613083	315745	Nurse (segment "Equilibrium")
613083	360527	Wife
613084	201095	Celeste
613085	257867	Herself
613086	330799	Dancer
613087	20218	Marie the White Kitten
613088	34116	Hill's Angel/Various characte
613088	34911	
613088	49028	Ballet Dancer
613088	72760	
613088	151057	Diana
613088	353728	Hill's Angel/Various characte
613088	364731	Servant
613088	381661	Herself/Hill's Angel/Various 
613089	242515	Mrs. Rosen
613090	5033	
613090	56105	Girl on bridge
613090	83645	Zara
613090	115265	Wild Willow
613090	142459	Sami
613090	192735	Manicurist
613090	273543	Girl at songwriter's party
613090	274102	Bit
613090	283421	Audrey Barton
613090	298126	Andrea Talbott/Elizabeth Weth
613090	298756	Patty Winters
613090	315989	Lynn Novack
613090	331264	Vicki Craig
613090	356808	Marilyn Blanchard
613091	208056	
613092	48630	Dancer
613094	4732	Ann Rutledge
613094	69334	Mrs. Digby
613094	81187	Jennie
613094	109545	Marie Crane
613094	135405	Miriam
613094	145320	Ruth
613094	224931	Pat Swift
613094	339392	Ferne Arthur
613094	342720	Club Stewardess
613094	401719	Eleanor Quarles
613095	56709	
613096	139140	
613096	196331	
613097	186443	Herself
613097	395290	Herself (1969-1982)
613098	366768	Dora
613098	400530	Mrs. Veneering
613099	206090	Sally Howard
613100	53718	Model
613100	75032	
613102	272662	Self
613103	113286	Child
613104	291988	Jude Farnie
613105	70303	Cynthia
613105	406621	Heidi St. Pierre
613106	392779	Sharon
613107	72724	Melba - 1932
613107	81271	Pru
613107	213516	Billie Jean Barlow
613108	27926	Waitress
613108	99845	Marie Johnson
613108	146723	Clara
613108	147394	Girl
613108	161752	Diner waitress
613108	192849	Helen Jameson
613108	244441	
613108	248440	
613108	274728	Ruth
613108	318441	French Blond
613109	24171	Eva
613109	87509	Girl in Bar
613109	96420	Johanna
613109	215073	Petra
613109	320957	Astrid
613109	321972	Vanja
613109	348985	Sanna Bergholm
613109	354743	Elisabeth
613109	402873	Anna
613109	406626	Camilla Lundström
613110	172543	Tora, Gunnar's fiancée
613111	11713	Grandma
613111	138006	Nurse 2
613111	211233	Nanna
613112	79844	Woman at Club
613112	407940	Herself
613113	185766	Rose
613113	312813	Gwen Hall
613113	396117	Josie Saxton (1977-1978)
613114	136176	Mamsell Ramström
613114	152793	Kvinna i informationen
613114	192645	Eva
613114	321906	Asta
613114	377442	Beatrice (episodes 1 and 2)
613115	16662	
613115	145498	Veronika
613115	223284	Anne
613115	391604	Mareike Vattke
613115	391604	Mareike Vattke (2001-2003)
613116	128949	
613116	216480	
613117	403769	Yvonne Lind (episode Målbrott
613118	60278	Dancer
613119	127706	Astrid, waitress
613120	18899	
613121	51286	Moderatorin
613121	104757	Austrian entry (9th place)
613121	308680	Herself
613121	389400	Co-Presenter (1999-2000)
613121	411190	Host (1995-2000)
613121	411528	Presenter (1986-1994)
613122	291014	
613123	76782	Dagmar's friend
613123	139645	Girl #2
613124	382489	Dirka
613124	395924	Debbie (2002)
613125	168120	Young Joan
613126	142501	Model
613127	291916	
613128	102932	Bit Part
613128	310104	Peg Gamble
613128	313321	Malibu Party Guest
613128	356798	Clair Winter
613129	276366	April's Mother
613130	56545	Herself
613130	345720	Cyd
613131	286852	Hellga
613131	346016	Model
613132	296266	Interviewee
613133	44875	Secretary
613133	78824	Laura
613134	344203	Spatula Wife
613135	404048	Stina Cedermark (1998)
613136	45908	
613136	179759	Antoinette
613136	180212	
613136	347578	Helga Eckelmann
613136	347667	Mabel May
613137	140178	Herself
613138	234942	Quint
613139	265005	Young Woman
613140	104807	Klasse's Girl
613140	108197	Kickan Bendricks
613140	153763	Anna
613140	407489	Katta
613141	40289	Jessie
613141	173383	Maud
613141	270935	Eva
613141	406775	Kristendomslärarinnan
613142	312229	Martin's daughter
613143	78956	
613143	102656	
613143	103036	
613143	376493	Krankenschwester
613144	341201	Maria
613144	341202	Maria Grunwall
613145	232986	Guard
613146	234942	Holm
613147	191206	
613148	332791	Lisa, 12 years old
613149	409033	Alice Åstad
613150	101493	Eva
613150	107832	
613150	214358	
613150	322840	
613150	382250	Mona Hagen
613150	382856	Hedda Wikman
613150	400001	Zenitha
613150	403084	Lene Jensen (2000)
613150	406271	Janne (2003)
613151	169136	Chorus
613152	14637	
613155	187623	Louise
613156	66346	
613156	171371	
613156	197437	
613156	253184	
613156	260948	
613156	273960	
613157	115754	
613158	62948	
613158	200435	
613158	405720	Herself
613159	43074	
613159	352798	
613160	254301	Julie
613160	410074	La secrétaire de l'hôpital
613161	352868	
613162	14972	Rosetta
613162	75527	
613162	109077	Prostitute
613163	85992	
613164	381532	Herself - Chef
613165	119556	The Girl
613165	225180	
613166	188968	Alice
613167	62568	
613168	202258	Anjali
613168	222977	Tex
613168	270928	Amanda
613169	7884	Second Tribe
613170	199220	Title Song Singer
613171	144593	
613172	16646	Hooker
613173	126069	Showgirl
613173	372093	Model
613174	380713	Maureen Peretti (1987-1990)
613175	318346	Interview Girl
613176	381436	Shannon Brock (1994-1997)
613177	176833	Jill Rittman
613177	360483	Trish La Porte
613178	12366	Janine
613178	257159	La femme Shökor
613179	384318	Herself - Press Manager, Cirk
613181	384318	Herself - Circus Artist, Cirk
613182	29966	Secretary
613182	41191	Jeannie
613182	75567	Darlene
613182	77935	
613182	82318	
613182	95209	Sue
613182	109623	
613182	127281	Angela Webb
613182	162425	Nadia
613182	266600	Hooker
613182	375699	
613183	68978	Medical Assistant
613183	127290	Receptionists
613184	278395	
613185	397999	Youko Katagiri
613186	510	Mistral/A-20
613186	515	Mistral
613186	516	Mistral/A-20
613186	517	Mistral/A-20
613186	14593	Miki Makimura
613186	19769	Delma
613186	199950	Emeraldas
613186	378651	A-20/Mistral (Episode 28)
613186	381067	Mimi
613186	394016	Kotoko
613186	394175	Yukino Miyazawa
613186	394431	Misaki Suzuhara
613186	394997	Kurumi
613187	12948	Office worker
613187	394051	Eimi Haneoka
613188	334863	Nishimura, Komugi
613188	392552	Mami Aoshima
613188	394244	Yuuko Sugiyama
613188	407350	Momo Kurita
613189	239328	Chako Fukuhara
613190	129566	Inuit Woman #2
613190	339361	Natsiq
613191	163932	Charlotte White
613192	107103	Brianne Dwyer
613192	308011	Yoga Instructor #1
613192	366919	Naomi
613193	128154	Flower Lady
613194	158056	Lady Seanach an tSeanachaidhe
613195	158781	Student
613196	163699	ragazza a letto
613197	54305	
613198	96269	Dependienta almacén (Warehous
613199	10046	Adina
613199	34142	Cinzia
613199	52054	
613199	55847	
613199	63806	Selvaggia Guarini
613199	63865	Rosa
613199	90743	Madre di Renzo
613199	90750	Nancy
613199	121888	Barbara
613199	186154	Sonia
613199	263718	Elena
613199	269547	Titti
613199	278956	Cinzia
613199	356578	Laura
613200	241472	
613201	52114	
613202	121368	Burgomaster's Wife
613202	127519	Mother
613202	231419	Maid
613202	244797	Gossiping woman #2
613202	244993	
613202	261422	
613202	303499	Tourist's wife
613202	316692	
613202	358451	Maid
613202	367835	
613202	372361	Mrs. Kelly
613203	154368	Herself
613203	282423	Ann
613204	186708	
613205	37233	Bit Role
613206	379092	Shirl
613207	278526	Pregnant Fan
613208	40101	Vicky
613209	6247	Pretty Guest
613209	82886	Sheryl
613209	90912	Katia
613209	277746	TV Reporter
613210	37233	Bit Role
613212	287406	Monja
613213	20702	Turista
613213	326221	
613214	57471	
613215	390069	
613216	20625	Extra
613217	32559	
613218	59885	Mary
613218	183550	End Title Song
613218	398597	Herself (episode "Joy Enrique
613219	181675	
613220	106254	Sid's Mother
613220	117093	
613220	135074	Elisa
613220	139582	Windchime Lady
613220	310639	Pregnant Woman on Bus
613220	317893	High School Nurse
613221	299705	Herself
613222	10343	Kali
613222	202915	Nightclub worker
613223	97899	Monica
613223	400645	Teresa Maria Cruz (1998-2000)
613224	354084	Veljen vaimo
613225	191497	
613226	98976	Serafina, Teacher
613227	100341	
613227	155746	
613227	221711	
613227	355484	
613228	378843	Host (1979-1983)
613229	2781	Stars on 54
613230	36818	Carmen
613230	148040	
613231	380524	Soledad Montaño
613231	381904	Telejuegos host (2004/2)
613231	396713	María Eugenia 'Maru' Morales
613231	402050	Columba
613231	404869	
613231	407648	Consuelito
613231	409908	Inez Diez
613232	410002	Bianca Hölscher
613233	179039	Mark
613234	179975	
613234	237302	
613234	346992	Maja
613235	318218	Diner Patron
613236	385299	Serena Gray
613237	89057	Cheerleader #1
613238	12466	
613238	218963	
613239	40365	
613239	143491	Christa Kurnick
613239	144095	
613239	147360	
613239	164262	
613240	338981	Herself
613241	189662	Kommissarin
613241	281656	Tante Charlotte
613242	41312	Judith
613243	110276	Herself
613243	349680	Herself
613243	362271	Herself
613243	368540	Herself
613244	66655	Ingrid Orlando
613245	309418	Herself
613246	13327	Vakt
613246	182309	Oldest princess
613246	395375	Anita, barnehagepedagog
613247	104616	Herself (Belgian member of th
613248	163424	Jesebel
613248	175621	Rita Filagree
613248	255697	Naomi
613249	181138	Herself
613250	244389	Bonnie Parker
613251	45094	Ella
613251	70178	Tara
613251	183165	
613251	285493	Donia (The prostitute)
613251	297428	Maire Shanks
613252	107526	Waitress
613252	127247	Undercover Cop
613252	128164	Tour Guide
613252	154310	Shy
613252	171138	Marla
613252	230107	School Teacher
613252	254905	Angel
613252	321718	Helga's Friend
613252	364090	
613252	405924	Self
613252	407815	Herself (Single) (2002)
613252	408496	Various Characters (1996-)
613252	411802	Model (1998)
613253	16642	Miss Crowe
613253	46242	Woman Patient #1
613254	263284	
613255	181120	Nina
613255	183097	Jetteke
613255	243681	Christa
613256	360436	Blonde at Counter
613257	273083	Sophie's Daughter
613258	221474	Herself
613259	22816	Weeping woman
613259	77191	Fiona Gilks
613259	315516	Social Worker
613259	380844	Ren (series 2, 2001)
613260	157436	Student
613260	231904	Katherine 'Jimmy' Blair
613260	304912	Sarah
613261	13971	Monique
613262	330602	Hazel Clay Cousins
613263	342206	Herself
613263	367854	Janice Battersby
613263	385020	Janice Battersby (1997- )
613264	269915	Simoneta
613265	244392	Sincere Mourner #2
613265	244399	Moana
613265	305359	
613266	37894	Skinny Model
613267	25863	
613268	444	Ester
613268	84318	Guest
613268	89643	Hotel maid
613268	100337	Girl on Swing
613268	115395	A Lady
613268	130071	Young girl
613268	138529	Britt Carlén
613268	182284	Ms. Lind
613268	312696	Guest at Dellander's dinner-p
613268	316909	Ingrid, nurse
613268	320342	Lillian
613268	343514	Miss Olsson
613268	347025	Young Girl
613268	350564	A woman at Brenner
613269	11457	Herself
613269	13284	
613269	34825	
613269	37225	
613269	41623	
613269	56561	
613269	60318	
613269	60339	Cheerleader
613269	66108	
613269	70374	
613269	75195	
613269	93990	
613269	123666	Wife
613269	123831	
613269	144117	
613269	150044	
613269	163644	
613269	183384	
613269	186509	
613269	202376	
613269	240824	
613269	243094	
613269	296985	
613269	306916	
613269	360412	
613269	390180	
613270	41603	
613270	334146	
613271	3046	Herself - Performer: 'May It 
613271	24742	Aunt Ulla
613271	94261	
613271	102015	Herself
613271	102016	
613271	115425	Choir member
613271	178743	Sofi
613271	181843	Lady
613271	276336	Restaurant guest
613271	305519	Fyrström's wife
613271	350116	
613271	383775	Herself
613272	348671	Fekete kurva
613275	123915	Babe
613275	402879	Imanishi's wife
613276	372089	Mrs. Gosch
613277	39099	Sylvana
613278	140279	La chanteuse
613279	280530	Une enfant
613280	379716	Pilar Casals (1987-1988)
613280	380391	Ann Burlingame (1990)
613280	387509	Deborah Chambers (1993)
613280	397991	Host (Seasons 4-6)
613280	404613	Susan 'Suzi' Wyatt Carter #4 
613281	193534	Jennifer
613282	2823	
613282	4807	
613282	8326	
613282	16550	
613282	19043	
613282	19655	
613282	20060	
613282	27552	
613282	28797	
613282	38936	
613282	48526	
613282	49417	
613282	60590	
613282	60608	
613282	60612	
613282	60628	
613282	60657	
613282	60660	
613282	61531	
613282	62205	
613282	62640	
613282	76632	
613282	76659	
613282	76660	
613282	76676	
613282	77058	
613282	77181	
613282	78198	
613282	82959	
613282	89456	
613282	89548	
613282	90586	
613282	90587	
613282	90600	
613282	90615	
613282	95076	
613282	122935	
613282	123786	
613282	124366	
613282	126790	
613282	126799	
613282	131286	
613282	136099	
613282	137354	
613282	137357	
613282	138391	
613282	138608	
613282	140498	
613282	152339	
613282	153530	
613282	155131	
613282	156407	
613282	160197	
613282	165111	
613282	166790	
613282	166835	
613282	167468	
613282	167879	
613282	167895	
613282	175764	
613282	177079	
613282	179989	
613282	198820	
613282	199898	
613282	201275	
613282	202201	
613282	202214	
613282	217126	
613282	224453	
613282	224464	
613282	226005	
613282	226547	
613282	226584	
613282	227176	
613282	227203	
613282	231739	
613282	234502	
613282	247071	
613282	247240	
613282	249170	
613282	256076	
613282	266985	
613282	268179	
613282	280884	
613282	285213	
613282	287084	
613282	287470	
613282	288164	
613282	288179	
613282	288864	
613282	294485	
613282	295222	
613282	295245	
613282	298730	
613282	298784	
613282	299026	
613282	322912	
613282	322917	
613282	322918	
613282	344330	
613282	344355	
613282	365681	
613282	367958	
613282	370932	
613282	371154	
613282	371157	
613282	371167	
613282	371209	
613282	371219	
613282	371229	
613282	371946	
613282	372984	
613282	373285	
613282	376538	Young-ae's mother
613283	53819	
613284	29602	
613284	102029	Yun Hye-ju
613284	136412	Disc Jockey
613284	136415	
613284	204839	
613284	302790	Dong-mi
613285	373141	
613286	294456	
613287	62439	
613287	255749	
613287	371228	
613287	371237	
613288	5765	Avril
613288	199564	Stacey
613289	166565	Polly Jefferson
613290	412317	Csilla
613291	48670	
613292	5443	
613292	14793	
613292	21076	Sueca (3)
613292	21669	
613292	21673	
613292	29828	
613292	61148	
613292	61349	
613292	63888	Susana
613292	69474	
613292	85583	
613292	100262	Alma Reed
613292	101618	
613292	101833	
613292	103166	
613292	115034	Herself
613292	119305	
613292	145190	
613292	146465	
613292	148062	Gwen
613292	149701	
613292	171384	
613292	215405	
613292	221760	
613292	225060	
613292	233550	Lola
613292	234175	
613292	236027	Teresa, farmacéutica
613292	251581	
613292	265552	Enfermera del doctor Bolt
613292	280430	
613292	282938	Rubí
613292	284959	
613292	338692	Lisa
613292	339151	
613292	339180	
613292	352021	
613292	355758	
613292	357533	
613292	376734	
613292	376844	
613292	378452	
613292	380114	Vicky Gallardo y Pimentel
613292	380963	Violeta (II)
613292	383518	Marcelina
613292	385368	Rosalía
613292	386660	
613292	387552	Susana Tamaris
613292	387587	Susan Harrison
613292	387689	Aída
613292	387817	Sor Piedad
613292	390404	Madre Superiora
613292	397019	Victoria de la Vega
613292	398522	Tía Mercedes Balboa
613292	398815	
613292	401916	Paz Gallardo de Montalvo-Ariz
613292	401918	Carmen
613292	402181	
613292	402190	Eloisa
613292	402540	Doña Marcelina de Rochild
613292	405416	Mercedes
613292	409719	Lourdes
613292	410450	Agustina de Romero Rubio (I)
613293	385299	April Dawn
613294	64153	
613295	359827	
613296	7184	
613296	51454	La mère
613296	211366	
613296	377708	Christine
613297	358547	Tanga meisje
613298	10420	
613299	142798	
613301	286198	Mary Ann
613302	85999	Divorce Court Judge
613302	386513	Herself
613303	201682	Herself
613304	7582	Herself
613304	73303	Wedding Guest
613304	131677	Herself
613304	151341	Herself
613304	153190	Dinner party guest
613304	161370	Herself
613304	201682	Herself
613304	230890	Herself
613305	285984	
613305	352930	Olga
613305	407809	La femme de ménage
613306	21304	Herself
613307	15079	La femme de Patrick
613307	16834	Epin
613307	23105	Simone
613307	23801	Louisette
613307	42561	
613307	113116	
613307	165233	Sylvie
613307	166143	Victoire
613307	170534	
613307	189906	Madame Chapuis
613307	214021	Mme Villeroy
613307	218448	Louise Oriol
613307	225574	La fille roman-photo
613307	247978	Jackie
613307	254064	
613307	255691	La femme de Ferdinand/Ferdina
613307	259024	Joan Crawford
613307	260943	Marie Guilhoux
613307	261820	Amelie
613307	269741	
613307	278631	
613307	320240	Suzanne
613307	345061	
613307	353936	
613307	387617	Le juge Anne Bouvier
613307	401349	Jeanne
613307	403474	Jeanne Paradou
613308	111032	Jean's friend
613308	121786	Zouzou
613309	188649	Summer
613310	113773	Alberta Carr
613311	10650	Anna
613311	102370	Old Kruse
613311	126367	Baroness
613311	138456	
613311	142012	Frau Sprüngli
613311	155377	
613311	155482	Frau Sandner, Antonias Mutter
613311	209975	
613311	214512	
613311	214513	
613311	221769	
613311	223282	
613311	225213	Lady Flora Hastings
613311	345902	Jungfer Kruse
613311	346851	
613311	352656	
613311	404432	
613311	410813	
613312	218014	Little Girl
613313	46410	Redneck Woman
613313	48923	Graveyard Woman
613313	91639	Herself
613313	307264	Bandit
613314	104891	Marney
613314	270894	Nurse
613315	35524	Spider Rider
613315	60938	Entertainer
613315	78134	Old Woman
613315	86287	Woman at Subway Station
613315	90407	Woman Thug
613315	91639	Herself
613315	94096	Woman Guest #2
613315	118564	Bobbie
613315	176712	Mrs. Harmony
613315	187130	
613315	190034	Whore
613315	213460	Woman in Mall
613315	321657	Matron #1
613315	359482	Woman on Video Screen
613315	363011	Herself
613316	190034	Whore
613317	60938	Entertainer
613317	118564	Jackie
613317	190034	Whore
613317	326744	Matronly woman
613318	154271	Lady in Gown
613319	48264	Carol
613320	14914	
613320	48943	Dr. Laura Casey
613320	116550	Taylor Monahan
613320	215347	Court Reporter
613320	315774	Brandon's Mother
613320	351189	Brenda Garrett
613320	366020	Melanie
613320	411802	Ashley Abbott Lassiter Newman
613321	28493	Townspeople
613322	222784	Green Ball Girl
613323	96763	Fat Woman
613324	144140	
613325	4983	
613325	196561	Khippoza
613325	206517	
613325	381167	Yulia
613325	381631	Lena Blazhko
613325	398356	
613326	248133	Nanna Hurley
613327	391485	Timberly Johanssen (1996-1999
613328	233920	Ellie
613329	132358	Drey
613330	104717	Herself
613331	217692	
613332	136360	
613333	15929	Herself
613334	368336	Lacey Shannon
613335	144744	
613336	93159	Work Counselor
613337	164187	Fraise
613337	225359	Alice
613337	269795	Newscaster
613338	354246	Elizabeth Lozinska
613339	345691	Mrs. B
613340	86381	Daphne
613341	161473	Herself
613342	223892	Shulamith
613343	2920	
613343	29277	The Girl
613343	368654	Selma/Bronson #3
613344	64731	Herself
613344	66732	
613345	74313	
613346	345650	Vanessa's Friend #1
613347	57929	ABA Student
613348	42033	Anne
613349	141063	Naomi
613350	46676	Herself
613351	120121	Little girl
613351	185712	Julie Davis
613351	323400	Fawn
613351	399685	Young Ashton Main
613352	353950	Bauernfrau
613353	251982	
613354	376999	
613356	60558	Yuan Pujun
613357	392575	Huriye
613358	292427	Qian Qian
613359	286739	Vilma
613360	13474	Markova supruga
613360	88362	Ruza
613360	338877	
613360	373503	
613360	386429	Mica
613361	318790	Lucy
613361	404405	Pearl
613362	322544	Hotline Girl #2
613363	353937	
613364	15136	Yolande de Coeur Joly
613364	43424	
613364	57539	
613364	73180	
613364	78447	Colette Andris
613364	148769	Nicole
613364	201101	Fanny
613364	286346	Marina
613364	300695	la Journaliste
613364	340137	Mouche (segment "Mouche")
613364	343551	Muriel
613364	346609	Odile
613365	103083	Lilly Montero
613366	316750	Annie
613367	160503	Prostitute
613367	195999	Patty
613367	296333	Jean
613367	300871	Mrs. Hugh Kares
613368	203957	Young White Woman
613369	34244	Halla
613369	59222	Leonora Dennison
613369	101976	Mrs. Abel
613369	120845	Anita
613369	134939	Katjuscha
613369	147007	Sofie Glad
613369	153719	
613369	153900	Maria
613369	153901	Karolina
613369	168392	Adelaide Ulfstjerna
613369	322308	Kyllikki
613369	328235	The Lady
613369	357767	Trude Maillon
613369	377399	Mademoiselle
613370	86803	Amiga Teatro
613371	250886	Ana
613372	98696	
613373	203795	Narrator
613374	5579	
613374	8718	
613374	19516	Sabahat
613374	30660	
613374	33250	
613374	33918	Belkis
613374	76766	
613374	96487	
613374	98595	
613374	114004	
613374	114334	
613374	122807	
613374	124674	
613374	124916	
613374	136092	
613374	139375	
613374	145752	
613374	146974	
613374	161150	
613374	172011	
613374	172186	
613374	172643	
613374	173203	
613374	181730	
613374	202453	
613374	210256	
613374	229389	
613374	247900	
613374	256722	
613374	285549	
613374	287061	
613374	293428	
613374	293665	
613374	295036	Ayseli
613374	296418	
613374	307034	
613374	307155	
613374	341873	
613374	375865	
613374	377509	
613374	378241	
613374	378570	
613375	61672	Sandra
613375	110319	Lisa
613375	196995	Reporter
613375	278498	Donna
613375	295320	Zoe
613375	313756	Maria (TV News Interviewer)
613375	313820	Young mother
613375	401930	Camille Owens (2000)
613376	138540	En hushjelp
613376	154138	Betty
613376	237076	
613376	352989	
613376	353045	En barneplejerske
613377	259864	Porno Picket
613378	46530	Fiona
613378	76253	Michele MacKay
613378	93223	Liz
613378	101942	Evan
613378	126056	Mrs. Folsom
613378	178099	Rosie Kilmartin
613378	195593	Alex
613378	226901	Sarah Tubbs
613378	277637	Lucille Odom
613378	283424	Denise Donaldson
613378	283464	Evelyn Carnes
613378	310547	Helen
613378	314965	Maggie Witzky
613378	362115	Anna Marvin
613378	384068	Patricia Reece
613378	395274	Detective Alexandra Eames
613378	400621	Shirley Bellinger (1998-2000)
613379	109078	Herself (lyric mistress)
613380	168120	Little Soup Kitchen Girl
613380	213847	Mary
613381	175032	
613381	374263	Attendant at nightclub
613382	12379	Malchen
613382	361042	Martha
613382	361484	Evi Sonnleitner
613383	231861	Ghost of Marianna Sabata
613384	184523	Little Alice
613385	42169	Frl. Zukunft
613386	29388	
613387	53016	
613388	246387	
613389	267042	
613390	195169	Louise
613391	61102	Woman on tramway
613392	119243	Elisabeth
613392	147191	
613392	180870	Landarbeiterin Marfa
613392	208793	
613392	289897	Frau Ewermann
613392	317494	
613392	348677	Fritzi
613392	373343	Marquise
613393	136783	
613393	182905	
613393	382094	Zeynep
613394	381050	Bilge (1997-2000)
613394	407308	Zeynep (1994-1997)
613395	385931	Herself
613396	260606	
613397	104718	Herself
613397	104719	Herself
613397	104720	Herself
613397	104761	Turkish entry (9th place)
613398	33893	Girl 2
613398	83233	Sophie
613399	229644	First Amelia
613400	125739	
613400	379459	
613401	377150	Stella del Castillo
613401	380917	Alma
613401	400944	Debora Medina
613401	401258	Ligia de Sierra
613401	402898	
613402	31598	Violet/Frieda
613402	163640	Peppermint Patty
613402	306178	Clara
613402	372350	Violet
613403	198904	TV journalist
613404	15112	Une passagère
613404	88881	Jeannine
613404	109942	Ulla
613404	211643	Rosine
613404	219524	Alix
613404	254398	Ercy
613404	308613	Maid
613404	309133	Nicole
613404	353516	Young French girl
613405	394196	Helga
613406	277471	Waitress
613407	100504	Hodder's Classmate
613408	345022	Jeune de la Cité
613409	20584	
613409	105263	
613410	189639	Sabine
613410	367197	
613411	403805	Principal McCarthy (2003-)
613412	80757	Katie Bass
613413	326565	
613414	104759	Turkish entry (12th place)
613415	6111	
613415	12650	
613415	15316	
613415	21216	
613415	30945	
613415	33324	
613415	38206	
613415	38923	
613415	53022	Bortay
613415	82617	
613415	82618	
613415	87718	
613415	87721	
613415	110407	
613415	140616	Fatma
613415	140707	
613415	172012	
613415	172795	
613415	173426	
613415	173564	
613415	173706	
613415	177018	
613415	177896	
613415	178404	Gülgün
613415	180324	
613415	239897	
613415	240516	
613415	242334	
613415	274172	
613415	284950	
613415	294132	
613415	308476	Aliye, Kemal's sister-in-law
613415	320189	
613415	322539	
613415	322542	
613415	325132	
613415	326990	
613415	370688	
613415	378222	
613416	12646	
613416	227237	
613417	173206	
613417	182801	
613417	322559	
613418	103605	Ceran
613419	121561	Woman with Dog
613420	12559	
613420	22026	
613420	176689	
613420	320471	
613420	373247	The killer's partner
613420	383110	Feryal
613421	173866	
613421	296409	
613422	381428	Frau Schabbelt
613422	394918	
613422	401996	
613423	79621	Devojka u video spotu
613424	31780	Waitress
613424	270752	Dancer
613425	72827	Schoolchildren
613426	107354	Sylvia
613426	226329	
613427	180154	Miss Wehner
613427	310511	Minchen
613428	125034	Bärbel Witte
613428	289894	Hilde
613428	306509	Christine
613428	392509	Almut
613429	259491	Frau Grawe
613429	259592	
613430	119204	
613431	225255	Miriam
613433	172715	
613433	249788	
613434	231745	Cecillie
613435	136730	
613436	136911	Arzu/Kiz Ismail
613436	239461	Guldem
613436	394803	
613437	390242	Fatima Yilmaz
613438	4680	Tejal
613439	394922	Ayse
613440	377536	
613441	153688	
613442	28053	
613442	340280	
613443	98027	
613444	177931	
613445	125641	
613446	51309	Kató
613446	95163	
613446	100035	Tapsika
613446	100926	Lilly, a dancer
613446	142725	Lilike,táncosnõ
613446	153638	Mimi, a night club dancer
613446	171609	Tóth Eszter,primadonna
613446	174750	Mária
613446	182830	Terka
613446	214708	Lulu mûvésznõ
613446	223594	
613446	223595	
613446	225083	Mary, Tom menyasszonya
613446	237189	Lujza
613446	239432	Zizi,Tatár Éva lánya
613446	248214	Nelly,Kovács lánya
613446	255856	Gergely Anni
613446	268428	Leleményi Piri,táncosnõ
613446	268521	Manci Simonyi
613446	284082	
613446	322093	Lili,Molnár felesége
613446	322133	Hédi
613446	377139	Müller menyasszonya
613446	377721	
613446	377724	Bella,Mária barátnõje
613446	377882	
613447	350834	
613448	381344	Tilda Mátyás #1 (2000-2002)
613449	97989	
613450	177935	
613451	322005	
613452	322215	
613453	51930	
613453	95163	
613453	99738	
613453	195258	Gépírónõ
613453	200010	Asszisztensnõ
613453	293991	
613453	322075	Keretjáték
613453	354328	
613454	107717	
613454	182794	Éva
613455	44441	Lisa Reddy
613456	134464	Tänzerinnen und Tänzer im Var
613457	22645	Monica
613458	302793	Jello Victim
613458	308931	Jill Keith
613458	340685	Margaret
613459	22645	Miriam
613460	221137	Carrie
613461	249887	
613463	53293	
613464	109560	Sister
613465	106664	Sister
613465	366933	Coed #3
613466	104718	Herself
613466	104778	Turkish entry (1st place)
613466	104779	Herself
613466	387953	Vote presenter
613466	388619	Special Guest Star
613467	142372	Little Brooke
613468	158567	
613469	7598	
613470	7598	
613471	5833	Miranda
613471	365186	Camillia
613471	404282	Clarice (1993)
613472	122229	Mother Satz
613473	125045	Minny van Haaften
613473	354070	
613474	201304	
613474	242411	Stella Marie
613474	242439	Lola Meertens
613474	343655	
613475	119287	
613476	73973	
613476	161948	Kidnapped Girl
613476	317876	Nurse
613476	350105	
613477	270638	Mother
613477	399258	Segment host
613478	82411	
613478	157929	
613479	221849	
613479	385543	Melek
613479	392379	Hürrem Sultan
613479	397008	Marziye
613480	102580	Museum Person
613481	77658	Charlie
613481	107895	
613481	127577	Mary
613481	185087	Magda
613481	206486	Lt. Natasha Bekov
613481	254761	Carl's Wife
613482	206397	Blonde Woman in Courtroom
613483	387405	
613484	381050	
613485	145310	Nurse (older)
613486	82620	
613487	65615	Petite Nouchi
613488	386039	
613489	12644	
613489	222522	
613490	40300	The Sandwich girl
613491	64081	Cindy
613491	91723	Holly
613491	226916	Nurse (U.S. version)
613492	38832	
613493	164274	Renate
613494	239992	
613495	239992	
613496	393859	Mette
613497	6391	La serveuse
613497	24686	
613497	40908	
613497	51310	Françoise
613497	99375	
613497	121809	Dany
613497	208834	Yolande
613497	223226	D'Artagnan's Mother
613497	309773	Jeanne Hamilton
613497	324944	Jacqueline
613497	405696	Ambulance driver's girlfriend
613497	410151	Laurence
613498	344118	Pupil
613499	33804	Museum curator
613499	51242	La mère
613499	58744	Nurse in soldiers' ward
613499	66745	Liliane
613499	73069	La mère de Frédéric
613499	257114	Louise
613499	331016	
613499	345423	Mamy
613499	346521	Psychiatrist
613499	346744	
613499	353434	La mère
613499	393279	
613500	199607	Dame de la Pension
613501	28116	Oman
613501	61449	Oritsu
613501	89453	
613501	121458	Sazae
613501	121710	Osaki
613501	140434	
613501	144497	
613501	165588	
613501	180052	
613501	281047	
613501	281048	
613501	289309	Sazae
613501	289310	Sazae-san
613501	289311	Sazae
613501	289312	
613501	293592	
613501	375600	Sazae
613501	378133	
613501	378147	
613502	411343	Leara
613503	404694	Mrs. Borman (1968)
613504	49177	
613504	85162	
613504	95593	
613504	131080	
613504	164054	
613504	166449	
613504	166617	
613504	166889	
613504	178876	
613504	212663	
613504	229749	
613504	237764	
613504	238352	
613504	240333	
613504	261348	
613504	300808	
613504	303121	
613504	304892	
613504	313017	Njena majka
613504	320676	
613504	324537	
613504	339325	Baba Lepa
613504	339331	
613504	355550	
613504	356079	
613504	375422	Pulherija Aleksandrovna Rasko
613504	381182	
613504	382431	
613504	390182	
613504	395833	Mocicka
613504	396589	
613504	397987	
613504	402026	Belana... seljanka
613504	403623	Rodjaka
613505	95978	Jill
613505	235922	Dancer
613505	291015	
613505	365676	Herself
613505	393599	Herself (eliminated round 1)
613505	394152	Francuskinja
613505	407384	
613506	203021	Target Girl
613506	315198	
613507	84860	Grace, a showgirl
613507	109483	
613507	185727	Hilda
613507	352725	German Frau
613507	360900	Lulubelle
613507	363395	Carruthers
613508	209953	Marietta
613509	258951	Violet, Age 8
613509	339537	
613510	212336	Herself - Participant/Perform
613511	187263	Rewa
613511	405209	Celia Isaac (1998)
613512	2587	Mrs. Örkelljung
613512	3235	Mrs. Morgonkröök
613512	40947	Gurli
613512	42209	Mrs. Plunkett
613512	48362	Fru Svensson
613512	89836	Secretary
613512	94450	Marianne
613512	97883	Olga, wardrobe attendant
613512	100448	Kiddy Västerlund
613512	101639	Astrid Lindqvist
613512	105362	Ms. Lindedahl, customer
613512	106097	Jan's Mother
613512	108633	Ekdahlska huset - Alida
613512	109132	Green's Maid
613512	115383	Edith
613512	116106	Siv Sluggstedt
613512	120139	Mrs. Grillhagen
613512	129178	Blända Olsson
613512	135672	Actress
613512	137635	The Girl's Mother
613512	153743	Candystore keeper in Visby
613512	154203	Gustafsson
613512	156504	Rut
613512	159646	Mrs. Assarsson
613512	174256	Mrs. Rosenkrans
613512	179681	
613512	182277	Birgitta
613512	182298	Katja
613512	182569	Lisa Bovell
613512	187662	David's patient
613512	190822	Mrs. Grillhagen
613512	191571	Emy
613512	193298	Ulla Winbladh
613512	198033	Karin's Mother
613512	205499	Woman at the Hairdresser
613512	209316	Ms. Svensson
613512	219294	
613512	223194	Växeltelefonist
613512	225330	Mrs. Lisander
613512	228386	Gittan
613512	256502	
613512	272512	Gullan Persson
613512	272642	Miss Lefverhielm
613512	282086	Birgit Johansson
613512	302152	Woman Drinking Coffee
613512	303644	Margareta Beckman
613512	303647	Lovisa's patient
613512	304161	Mrs. Cecilia Braxenhielm
613512	308201	Miss Svensson, secretary
613512	310385	Matilda Fjellner
613512	312696	Karin Dellander
613512	313015	Sylvia
613512	320606	Miss Larsson
613512	320608	Carina
613512	322297	Maud
613512	322306	Ms. 'Patsy' Patricia
613512	322422	Amy, Kalle's sister
613512	338660	Marietta Norén
613512	350722	
613512	355642	Medium
613512	377296	Agnes Fäger
613512	377432	Greta
613512	381054	Telephone operator
613512	385553	Knubbe's grandmother
613512	390639	
613512	409050	Faster Agda
613514	181135	Krone Lab Worker
613515	32089	Coffee Shop Waitress
613516	214133	Undetermined Role
613517	241662	Kathy
613517	330822	Heather Ryan
613518	41518	Stewardess #1
613519	116741	
613520	270975	Thelma
613522	50936	Woman
613522	164516	Andrea Banks
613522	164840	Eileen Avery
613522	283452	Sue Majors
613523	386753	Herself
613524	93304	Leah
613525	276202	Woman #2
613526	26955	Bar Patron
613527	57606	Hostess
613528	176290	Accordion girl
613529	132530	Christie
613530	110286	Senior Citizen #2
613530	156970	Vet Receptionist
613530	191747	Teacher
613530	272776	Elderly Lady
613530	348229	Neighborhood Watch Member
613531	254540	Juror
613532	187332	Jane
613532	217375	Anne Blythe
613532	279488	Additional Voices
613532	397371	Young Girl, Additional Voices
613533	330594	Choir Member
613534	336165	Zeena
613535	136720	Woglinde
613535	249339	Flower Maiden
613535	277460	Woglinde
613536	41429	Sondra
613536	114454	Samantha Saunders
613537	98656	Mrs. Tuleen
613537	136056	Mrs. Claire Oliver
613537	166873	Julia
613537	316262	Jackie
613539	48762	Oriel/Natalie Portman look-al
613539	144623	Hope
613539	310989	Maya Chadha
613540	383897	Herself - Correspondent
613541	191625	Margaret Sullivan
613542	143742	Dorrie's Mother
613543	262119	Julie
613544	358964	Gloria Galasso
613545	209612	Susan Tyler
613545	282041	Mabel
613545	331410	Matilda Clegg
613545	348001	Marjorie
613546	66732	
613546	77354	Gertrude
613546	100060	
613546	107161	
613546	217703	
613546	345083	
613547	20625	Extra
613547	96987	Hotel guest
613548	157456	Tough Girl
613549	81116	Child in Cinema
613550	57717	Little Girl
613551	23338	Steno Hostage
613553	204893	Herself
613554	41757	Girl on Beach
613555	371374	Extra
613556	79049	Vampire
613557	127315	Violinist
613558	233921	Kelly's Girlfriend
613559	6871	Cheerleader
613559	135170	Ruby
613559	230863	Tonya
613560	67135	Herself
613560	257675	
613561	55028	Ellie
613561	90653	
613561	98961	
613561	239931	Blonde girl sitting on couch
613561	264816	
613561	295659	
613561	295793	Hooker
613561	297879	
613562	78097	Mrs. Sullivan
613562	183323	Alice
613562	220099	Dr. McElroy
613563	11710	Cleo
613563	23261	Cleaning lady
613563	30185	The grandmother
613563	42208	Nanette Raquette
613563	47607	Dancer
613563	48134	Marianne Linner
613563	48368	Lisa Franzén
613563	51929	Buttercup
613563	77403	Emmy, Agnetas Mother
613563	77404	Kajsa Hillman
613563	100549	Camilla Storm
613563	101451	Agneta Wollter
613563	105362	Mary Granström
613563	108053	Anna-Lisa
613563	109544	Astrid
613563	116457	Greta Berg
613563	120091	Dancer
613563	122334	Fanny Håkansson
613563	122497	Annette
613563	125894	Galli Giovanni
613563	134263	Maja Sjöblom
613563	138520	Irene Knopp
613563	142791	Eva Cullberg
613563	154565	Anna-Marja
613563	155621	Gittan Viktoria Andersson
613563	170374	Greta Ahlbom
613563	173188	Annika Gårdeman
613563	174256	Eva Linde
613563	181126	
613563	181847	Karin Stålhagen
613563	182299	Sylvia
613563	182464	Lisa Larsson
613563	182466	Sonja Brenner/Lisa Yhlén
613563	190835	Lisa Larsson
613563	192654	Betty Carlberg
613563	194527	Sally
613563	202768	Mona Helling
613563	204532	Kajsa Hillman
613563	210309	Gurli
613563	228383	Clary
613563	237149	Britta Grasser/Stina Grasser
613563	238774	Alice
613563	242946	Blanche Lövman
613563	284057	Kajsa Hillman
613563	303644	Gertrud Hall, actress
613563	303734	Vera
613563	306371	Mary Stålhammar
613563	307600	Monica Granström
613563	308198	Kaj, ballet dancer
613563	312225	Greta Skiöldebring
613563	312226	Adrienne Brage
613563	312231	Karin Blomkvist
613563	312697	Marianne Wennerberg
613563	320726	Maggie
613563	322271	Peggy
613563	324807	Gulli
613563	337888	Gerry
613563	341170	Marianne
613563	357773	Anna
613563	377394	
613564	29939	
613566	26306	Elizabeth Kramer Winston
613566	50329	Marty Hamilton
613566	53312	Kathy
613566	93150	Carol
613566	98803	Corinne Robinson
613566	151235	Tiana Rogers
613566	162678	Lushi -as Teenager
613566	224849	Heyatawin
613566	232063	Minder
613566	276867	Betty
613566	283406	June Bug Dobbs
613566	289260	Cynthia
613566	303777	Lilly Degley
613566	380997	Huldah Wheeler, as an adult
613566	384125	Betsy O'Neal
613566	406793	Fran Lonigan
613566	407897	Priscilla 'Prissy' Madden Wit
613566	411806	Rebecca Bryan
613567	237876	
613568	41698	Light
613568	45413	
613568	59611	The Stewardess
613568	71924	Beth Stonewell
613568	77998	Nurse
613568	103354	Helen Gardner
613568	118334	Joan
613568	119536	Amy
613568	150575	Miss Collins
613568	241444	Girl in Band
613568	248843	Arabella
613568	269780	Daisy Landers
613568	315338	Marie
613568	335576	Betty
613568	365087	Mrs. Spalding
613568	372483	Sandra
613569	26238	Sylia
613569	86467	Deborah
613569	224360	Harvard Receptionist
613569	279456	Mrs. Kellogg
613569	315131	Reba
613569	331463	Librarian
613569	366039	Nurse
613570	329527	Millie
613571	44759	Pat Bruner
613571	93758	Ellen Bradley
613571	113369	Doris Slater
613571	153269	Lt. Jennifer West
613571	232072	Mrs. Cassidy (Judy's Mother)
613571	274000	Ilse
613571	276667	Ellen Nelson
613571	385824	Nora Basset #1 (1979)
613572	48258	Barbro
613574	157078	Actress
613574	287570	Julia
613574	377442	åklagaren (episode 3)
613575	72706	Cashier
613576	169773	
613577	46149	Chorus
613578	35809	Lance's blonde date
613578	41809	Bit
613578	108623	Emily
613578	192503	Woman #2
613578	321556	Model #2
613578	373216	Boom Boom Girl
613579	138449	Yasmine
613580	315899	Bar Patron
613581	28099	Girl in the swimmingpool
613581	161646	Ulla, the nymphomaniac maid
613581	322670	The groom-girl
613582	377426	Girl at nightclub
613583	202828	Policewoman
613584	55190	Mercedes
613584	89836	Song student
613584	207212	Miss Ulrica Arfvidsson
613584	340245	
613586	43354	Kvinna som åhör Texas Ros sån
613586	136170	Ma Brita
613586	136701	Woman at the boxing match
613586	334039	Train passenger
613587	11315	
613587	238802	Mary Ellinder
613588	108203	Gullan, Margit's friend at wo
613588	181126	
613588	252333	Margit
613588	307222	Britta
613589	139647	Male nurse
613590	210345	Herself
613591	170246	Tanssija #2
613591	237243	
613592	341201	Elena
613593	40941	
613593	408933	Ulla
613594	6117	One of Tova's girl friends
613594	171638	Expedit i blomsteraffären
613594	190809	Fabrikskontrollör
613594	383128	Cilla
613594	386209	
613594	409080	Nurse at BB (2002)
613594	410462	Bitte Petersson
613595	165134	Herself (writer of Nya tider)
613596	327512	Rita
613597	10146	Dancers
613597	51783	(segment "Cartão de Crédito")
613597	70325	Accordionist
613597	200431	
613597	214467	Dominatrix
613597	230395	Herself
613597	401885	Herself/Member of What For! (
613598	160966	
613598	263268	
613599	59491	Juliette
613599	165752	
613599	202694	Marilyn
613599	205929	
613600	205809	
613601	10209	
613601	154020	Guest #4
613601	245619	Eva
613601	307244	Tynsetmusa
613601	387196	
613601	399914	Krim.ass. Knaber
613602	210931	Young Neighbor
613602	240121	Liselotte Gurken, TV hostess
613603	154203	Girl at the costume departmen
613604	245619	
613604	257413	Sykepleier
613604	386156	Kari
613604	388307	Valborg Løken (1998-1999)
613604	392072	Ingrid Iversen (1998-2000)
613605	107334	En liten pike
613606	51297	Laura Isaksen
613606	166593	Frk. Berger
613606	172517	Kari, Gunlaugs datter som bar
613607	352475	
613608	10208	Ella
613609	392072	Brita Bertelsen (2002)
613610	154678	Forværelsesdamen
613611	237023	
613612	280729	Trader
613613	40225	Stacy
613614	393864	Stine
613615	108164	Nelly Kramer
613615	364920	Nico
613616	179846	Doris Erickson
613617	48361	Choir Member
613617	261151	Countess Versjinskaja
613617	340264	Papagena
613619	115423	Karin's colleague at work
613620	114275	
613620	158590	
613620	306917	
613620	361876	
613621	82468	Irate Lady getting poked on b
613622	314635	Tina
613623	48001	Maria Gilljams
613623	154132	Dancer
613623	174076	Sonja
613624	200086	Various
613624	248195	Various
613625	257655	Miss October
613626	327322	Herself - music performer
613627	32369	Yvonne Jäder
613627	32376	Yvonne Jäder
613627	32381	Yvonne Jäder
613627	32383	Yvonne Jäder
613627	32384	Yvonne Jäder
613627	32385	Yvonne Jäder
613627	118743	
613627	126306	
613627	174715	Eva, Annika's Mother
613627	333068	Pia
613627	385549	Kajsa
613627	388309	Hedda
613627	397784	Teacher
613627	405861	Clara
613628	261151	
613629	240074	Leila, Ollin pikkusisar
613630	164633	Camilla Andersson
613630	225342	
613631	48258	Greta
613632	107305	Cook
613633	322277	The woman at Brännströms, Inc
613634	333068	Mette
613635	210361	Herself
613636	405570	Jenny Sundin (1996-1997)
613637	396218	Anna Bodmark
613638	258554	Stinger
613639	409111	
613640	134941	Waitress
613640	187563	Karin Wickman
613641	78400	
613641	157078	Ballet-dancer
613641	174172	Dancer
613642	47835	
613642	116019	Rogers Fru
613642	167056	Police officer
613642	192659	Employment agency assistant
613642	203231	Boy's Mother
613642	222473	Mistress Quickly
613642	287568	Emma's mother
613642	308193	Krissan
613642	321986	Eva
613642	334100	Frun som kokar frukostägg
613642	335363	Anne
613642	341202	Maria's Mother
613642	351989	The Auditor (Cathrin)
613642	357752	Arbetsförmedlaren
613643	109119	Sara Nyström
613643	210361	Herself
613644	320509	Lisa
613645	98092	
613646	396345	Sofia Albertina
613648	109139	Guest in stripclub
613649	314957	Jerry Kopps mother
613650	156543	Telephone exchange
613651	142214	Marianne
613652	6117	Woman making tequilas
613652	306970	Herself
613652	404039	Einar's New Girl
613653	187563	Daughter Koger
613653	218221	The Palle daughter
613653	314957	Extra #18
613654	142719	TWA Stewardess
613655	257655	Miss October
613655	257838	Miss November 1996
613656	104812	Lena, Bo's sister
613656	340434	Berit
613657	8131	
613657	18144	
613657	79232	
613657	82778	
613657	115698	Elena
613657	136491	
613657	174581	
613657	180524	
613657	184766	
613657	199716	
613657	205964	
613657	209023	
613657	212564	
613657	217245	
613657	246615	
613657	304110	
613657	327121	
613657	329840	Daisy Mari
613657	379442	Lisa
613657	380321	
613657	380486	
613657	391100	Marina Paltoglou
613658	2169	Nadia
613658	381091	Herself (eliminated round 1)
613658	381091	Herself (eliminated round 2)
613658	405984	(Sister, USC)
613659	159486	Girl
613659	185690	Heather
613659	220058	Erin
613660	106253	Cop Girl 2
613660	221047	Nanny
613662	46529	Customer
613663	87599	Operator
613663	176758	Angie
613663	230504	Pippilotta Longstockings
613664	189642	Nylgün
613665	100350	Berivan
613665	282177	
613666	401424	Host
613667	51323	
613667	294253	
613668	375754	Zelda (at 14)
613669	86859	
613669	202750	Mother of Nunu
613670	83037	Dora
613671	19920	Grandma
613671	233324	
613672	286651	Gossip
613673	189126	
613674	60934	
613674	294412	
613674	295042	
613674	383807	
613675	6171	
613675	51275	
613675	174726	Sandra
613675	187624	Grandma
613675	248188	
613675	259354	Lisa Mattsson
613675	314386	Young blonde girl
613675	341810	Old Lady
613675	349573	
613675	390151	Josefins kollega på varuhuset
613675	394744	Hemhjälpen
613675	401774	Lisa Mattsson
613675	405822	Lisbeth
613675	406823	Fru Svanberg
613676	120848	Fru Björk (episodes 1, 2 and 
613676	311980	Make-Up Artist/Angel 1
613676	354607	Ann-Britt Höglund
613676	355639	Louise Åkerblom
613676	400001	Efva Lange
613676	406626	Anki Benucci
613677	213378	Alma's mother
613678	278875	Viirtola
613678	372965	Woman #1
613679	1888	Odvisnik od glasbe
613680	188933	Woman at the hen's night
613680	319302	Taina
613681	125935	
613681	238395	
613682	180320	
613683	2094	
613683	5578	
613683	125345	
613683	140617	
613683	175446	
613683	178411	
613683	201401	
613683	285246	
613683	334989	
613683	335068	
613683	370796	
613684	349196	Nazan
613685	34654	
613686	315602	Julia
613687	401996	
613688	337025	
613689	380743	Ahu
613690	277763	Pussy
613691	170222	Herself
613692	24831	
613693	180326	
613694	168866	Miisa
613695	174198	
613696	161765	Student
613696	397157	Nikita Aucoeur
613697	104716	Herself
613697	104717	Herself
613697	104718	Herself
613697	104719	Herself
613697	104722	Herself
613698	104720	Herself
613699	103587	The young woman
613700	265455	
613700	295263	
613701	104636	Host
613701	104639	Host
613702	279142	Maria
613702	288929	Girl in Boat
613703	301068	Nurse
613704	93831	Pretty Vendor
613704	336778	
613705	13843	Lisa
613705	66365	Mary McCall
613705	200474	
613705	237905	Lorna
613705	285608	Pretty Nurse
613705	301820	Hotel Receptionist
613706	213296	Malin Persson
613707	57077	Clara
613707	59118	Domino
613707	76128	
613707	106474	Madame Wenders
613707	111129	
613707	149202	Simone de Marcilly
613707	159276	Woman in subway
613707	166370	Ariane's mother
613707	170506	Elvire
613707	205437	
613707	211622	La scerétaire
613707	257354	L'espionne russe
613707	285762	Charlotte Corday
613707	300676	Me Karish, l'avocate
613707	336311	La libraire
613708	259614	
613708	259642	Liesbeth Maurer
613708	364959	
613709	16037	Hospital Nurse
613710	134786	Aische
613711	140283	Vigdís, l'amie musicienne
613712	355237	Femme conserverie
613713	279804	Herself - Report for B.T.
613714	190796	Patient
613715	8657	Young Girl in Car
613716	112400	Snowflake
613717	405984	UCDavis
613718	111408	Crysta
613719	15151	Nurse 1
613720	134664	Mrs. Berkowitz
613721	351704	Danielle Pinero
613722	397955	Haraldur
613723	346428	Mme Gindel
613724	136777	
613724	284810	Nigar
613724	349226	
613725	161147	
613726	208207	Demon's Eyes
613726	280665	Ring Toss Girl
613726	281901	Blonde Hippie Girl at Concert
613726	385824	Nurse Christine (1977-1979)
613726	406793	Dolores Casey
613728	87905	
613729	288865	Mantili
613729	288866	Mantili
613729	288867	Mantili
613729	404362	Mantili
613730	380089	Fabíola Hernandes
613730	407251	Bel
613731	64167	
613731	66871	Prostituta (latex)
613731	92995	Draupadi
613731	373772	Princess Chandraprabha
613732	216319	
613732	325468	Özlem Kazim
613732	364876	
613732	409958	Ines Berger (2000)
613733	292691	Ana
613733	377470	Violloncelliste
613734	410548	Primitive Human
613735	356167	Dancer in the snow
613736	6078	Maria
613736	17137	
613737	225611	
613738	308878	
613738	409094	
613739	317942	Shirley
613740	171954	
613741	8847	
613741	9172	Hilja
613741	24663	
613741	251953	Tuikku
613741	251954	Joken vaimo
613741	251955	Tuikku
613741	260055	Saara
613741	394732	
613741	394958	Äiti
613741	398514	Veljen vaimo
613741	400639	Siiri Grönroos-Lehikoinen
613741	405486	Tuija Liimatainen
613742	163008	The Grandmother
613743	213293	Young girl
613744	144697	Mini Mart Clerk
613745	148579	
613746	159625	Ingeborg
613746	163080	Tusma
613746	356839	Inken Peters
613746	408243	Barbara Day
613747	184521	Dead body
613748	254522	Female Masquerade Dancer
613749	306331	
613750	5036	Paramedic
613750	38996	Nurse
613750	39849	Shannon
613750	49966	Secretary
613750	60011	Lula
613750	70402	Ash
613750	73804	Lisa Travanti
613750	98652	Mrs. Pinta
613750	113993	Leah Andrews
613750	161188	Cop #3
613750	194975	Girl on Phone
613750	216162	Lady Cop
613750	219129	Hotel maid
613750	263516	Cristina
613750	269855	Beautiful Girl
613750	272405	Henderson
613750	273563	Morgan Chase
613750	291962	Marla
613750	292594	Model
613750	298105	Photographer
613750	355365	Nurse #2
613751	121015	Lotta
613751	148828	Augusta
613751	153716	Brita
613751	303854	Lovisa
613751	317598	Blenda
613751	343712	
613751	357773	Stina
613752	44899	Girl
613752	361841	Pioneer Woman
613753	115209	Prince Orlofsky
613753	312722	Kaja
613754	202034	
613755	57230	La femme aux moucherons
613755	73068	Surveillante prison 1918
613755	102003	La femme du vacancier
613755	106205	Schnabele's Secretary
613755	138900	
613755	158836	
613755	184054	Marcelle
613755	243601	Piou-Piou lady
613755	248895	
613755	269742	Mamé
613755	339967	La patronne de l'hôtel
613755	357164	
613756	8214	
613756	99653	
613756	170471	Une femme du village
613756	225408	
613756	261609	
613757	84319	Inga
613757	145624	Ingegärd
613757	171633	Witness
613757	190995	Severin, policewoman
613757	238742	Vera Linder
613757	252007	Gullan
613757	264559	The gangster girl
613757	320609	
613757	322437	Helga Smed
613757	341810	Ottilia
613757	377397	Anne-Marie
613757	390783	
613757	396266	Hillevi Schilden
613757	401128	Gullan
613757	402479	Tina
613757	405570	Helen Persson (may 1997)
613757	409853	Social worker
613758	291253	Model
613759	301456	Caroline Winther
613760	312927	Mindy
613761	399816	Janine Vezzula (1977)
613762	3111	
613764	347432	
613765	150598	Herself - Hannah's sister
613766	244679	
613767	68762	Herself
613767	186667	
613768	32374	Malena Ljung
613768	213430	Sonja
613768	335363	Pauline
613768	342308	Sofie
613768	385549	Åsa
613769	140388	Trine Skelby
613770	284526	Teenage Girl on Talkshow
613771	185530	Herself
613772	364885	
613773	190268	Kathleen Anderson
613774	377240	
613775	388734	Hester van Houten
613776	5682	
613777	180025	
613778	4507	Schoolgirl
613778	56545	Herself
613778	98261	Mädchen, Italien
613778	179608	Biggi
613779	124128	Arlington Woman
613780	202743	Monique
613781	178878	
613782	202743	Martine
613783	183311	Praktikant
613784	121066	Mrs. Klein
613785	40919	Girl
613785	115425	Young Girl
613785	228408	Guest at party
613786	53916	Agnes
613786	323478	Doreen
613786	385653	Nell Patterson
613787	248565	Alena
613788	193069	Doña Paula
613790	77101	
613791	35296	
613791	290143	
613792	145754	Begüm
613793	38492	Herself
613794	223258	Selda
613794	229972	Sansar
613794	380746	Piraye
613795	99219	Kirsti Fleming
613795	144059	Varpu Kyyhkynen
613795	171587	Sonja Strand
613795	184065	Juudit
613795	255759	Customer
613796	267126	Petti
613799	368740	Jana
613800	9625	
613800	61343	
613800	277383	
613800	380080	Elisa
613800	389639	Lupe
613801	197091	
613802	394792	Ninni Luotola (1995-2001)
613803	24683	Leila
613804	55107	Tyra
613805	342084	
613806	395041	Mireia Llop
613807	325490	Madeleine Mergentheimer
613808	104171	
613809	165648	
613809	181750	Passager
613810	335989	Senhora
613812	132056	
613813	389629	
613813	392294	
613813	399148	Rachel
613814	115807	
613815	80791	Tember
613815	114283	Dana
613815	114284	
613815	164983	Merci Cooper
613815	166637	Ivy
613815	176819	Shelley
613815	191755	Cinder
613815	206610	Lori White
613815	248081	Diana
613815	381745	Robin Dupree
613815	391335	Diane Alder #2 (1979-1980)
613816	50076	The Wife
613816	119879	Samantha Thomas
613816	175548	Herself
613816	190230	Andrea
613816	194410	Gail
613816	196437	
613816	216772	Sandra Tannen
613816	255353	Eve Weidegger
613816	305651	Katie
613816	380391	Role unknown (1990s)
613816	383789	Alex Bartoli Fairchild
613817	277587	Amica di Enza
613817	349544	Sara
613818	312309	Jenny Thornton
613819	48631	The Manicure Lady
613819	125756	
613820	21421	
613820	46838	
613820	210599	Professor Scott's Mother
613820	235184	Brock's Mother
613820	342970	Cook
613820	363182	Sybil Wadsworth
613820	363578	Mrs. Jones
613821	81104	Cat Fight Woman #2
613821	407815	Herself (Single) (2003)
613822	104724	Host
613822	104728	Host
613822	104729	Host
613822	104777	Turkish vote presenter
613822	104779	Turkish vote presenter
613823	38433	
613824	104717	Herself
613824	104718	Herself
613824	104719	Herself
613826	180123	Lesya (segment "Ballet of Mar
613827	28845	Driver
613828	182785	Countess Toeroek
613829	187647	
613830	390497	Herself (4th Edition)
613831	139813	Komsomol member
613832	343941	Herself (RTE Reporter)
613833	32643	Hilda Jackson
613833	133590	Biddy
613833	145402	Mrs. Belle Saunders
613833	183804	Violet
613833	183805	
613833	213016	Rosalie
613833	330708	Vi
613833	360152	Mrs. Bill Parsons
613833	385781	Miss Lavinia
613833	400709	Mrs. Boncassen
613834	323960	Norah Murnahan
613835	142465	Narrator
613836	12162	
613836	14079	
613836	17755	
613836	26393	
613836	44845	The Nurse
613836	46258	
613836	76957	
613836	138981	
613836	143964	
613836	145838	
613836	146220	
613836	151058	Mrs. Edgerton
613836	158070	Mrs. Knickerbocker
613836	184388	Committee Woman
613836	185639	Mrs. Lewis
613836	187937	
613836	190465	
613836	192419	
613836	197671	
613836	200876	
613836	219141	
613836	224734	Mrs. Montague
613836	236903	
613836	254866	
613836	278797	
613836	287723	Mrs. Bower
613836	294694	
613836	300171	
613836	303029	
613836	319717	
613836	340955	Mrs. Foote
613836	343210	
613836	345768	
613836	347717	
613836	360159	Mrs. Kingman
613836	366218	
613836	366859	
613836	372644	
613837	5048	Marge Bratton
613837	58647	Herself
613837	69485	Phyllis Archibald
613837	97392	Ida
613837	128319	Nurse Jane Doe
613837	147079	Narrator
613837	171285	Gertrude Crome
613837	304953	Mrs. Emily Clopp
613837	361841	Jean Johnson
613837	408447	Fran Potter
613838	83823	
613839	324235	A Clown
613840	69	Boer girl
613841	323026	Housekeeper
613842	21252	
613842	352734	
613843	104722	Herself
613844	378251	
613846	89576	La principessa
613846	157278	Simone
613847	238802	
613848	213886	
613849	163091	
613850	39090	
613850	79501	
613850	322547	
613851	380685	Herself (as The Chordettes, 1
613852	289900	Margot
613852	299261	Shirin
613853	294132	Nesrin
613854	275304	
613854	323236	Meg
613854	344823	
613854	380196	
613854	383464	Silvia
613854	383866	
613854	386757	Araci
613854	394121	Sabo
613854	396722	Dalva
613854	402685	Amélia's Maid
613854	403171	Nena
613854	404165	
613854	409347	Violeta
613854	411932	Miss Jessica
613855	114265	Second Girl
613856	133311	Herself
613857	107969	
613857	223462	Nonne
613858	260281	Five, the Girl from Mars
613859	137559	
613860	104722	Host
613861	157239	Luella
613862	51855	Lady in Waiting
613863	288832	
613864	20070	Child
613865	34297	Blonde
613866	297423	
613867	52251	Wagon Woman/Miner's Wife
613867	96926	Neighbor
613868	1218	Bookstore patron
613868	185430	Extra
613869	164572	Chicks who Love Guns
613870	344184	Melba
613871	189066	Lily's Mom
613872	313824	Additional Voices
613873	385299	Pat MacKenzie
613873	400843	Patricia Cobbledick
613874	4661	
613874	166614	
613874	234249	
613875	205982	
613876	286423	Angie
613877	311910	
613878	186650	Older Shirley
613878	343140	Maw
613879	64734	Woman
613881	78121	April
613881	114465	Kristi
613881	154372	Tara
613881	232121	Jenny
613881	395489	Teena
613881	398973	Bess Marvin
613882	102932	Bit Part
613883	20625	Extra
613883	152208	Flower Woman
613884	214386	Mina Seward
613885	195382	Nightclub singer
613885	223912	Vocalist with Band
613885	312774	Kay Kyser's band vocalist
613885	321495	Herself
613886	73611	Dancer at party
613887	1525	
613887	213234	Kid #2
613887	338298	Marla Anderson
613888	389359	Ilonka or Jurek or Tanja (199
613890	46671	Dora Labudan
613890	136798	
613890	169822	
613890	179851	Barbara
613890	206669	
613890	229040	Zena na prozoru
613890	286715	
613890	301300	
613890	302845	Mare
613890	320710	Barica
613890	401748	
613891	407109	Herself (2002)
613892	51345	Hejar
613893	378583	Herself
613894	350833	
613895	110697	Komorna
613897	283188	Hungry
613898	102998	Aunt
613899	94181	
613900	24141	Sala
613901	9005	Receptionist
613902	225732	
613903	146726	Mindy Kendall
613904	203955	1st Woman
613905	269070	The Woman
613906	326057	
613907	51975	Matron
613908	269528	Quele's mother
613908	344712	Arminda Terra
613909	67183	Aziz
613910	380256	Mennonite Choir Member
613911	78419	
613912	10440	Pilar
613912	20738	
613912	52778	
613912	103500	
613912	104819	
613912	125391	
613912	221657	
613912	252684	
613912	286283	
613912	307727	
613913	128008	
613914	341142	(segment "Madrugada - Amor na
613915	87397	Receptionist at Police Statio
613915	171367	Estudiante #2
613915	253664	
613915	301577	Multitud
613916	98973	
613917	207124	Singer
613917	379023	
613918	11694	
613918	19386	
613918	55523	
613918	56022	
613918	104165	Matilde
613918	110415	
613918	205379	
613918	246194	Concha's sister
613918	324431	
613918	383145	Susi (1982-1984)
613918	387834	Sra. Miranda
613919	43904	Seth's Date
613920	174743	Secretaria
613920	197968	
613920	386458	Dolores Frizzi 'Lola'
613920	392263	Co-Host
613921	376847	
613922	378440	Corista
613922	383392	Sandra
613922	386169	
613922	390404	Mirta
613922	400949	Raquel
613922	401698	
613922	401916	Hilda 'Marco's secretary'
613922	411712	Silvia
613922	412192	
613923	378440	Magela
613924	250428	Maria Diaz
613925	145647	Enfermera recepción
613925	289325	María
613926	96335	Actriz 3
613927	146576	
613927	228475	
613928	202296	Pacita
613929	81640	
613930	241605	Nanny
613931	44874	Carol
613932	396644	Luna
613933	211183	
613934	68716	Mujer de Rosalino
613934	100181	
613934	387101	
613935	378971	Aída Ferrer
613935	380249	Rosetta Rapal
613935	380894	Elida
613935	383472	Karín López
613935	395030	
613935	395846	Alejandra de Hipolito
613935	408747	Doris Day Montiel
613935	412133	Luisita Paz
613936	281820	
613937	274943	
613937	339161	
613938	99229	NiñaIsabel
613939	314715	
613940	253374	
613940	405415	
613941	280415	Herself
613941	280416	Herself
613942	384829	Host
613943	128967	
613944	315713	Rose
613945	314715	
613946	152250	
613946	307800	
613947	132488	Ana Melendez
613948	370112	
613949	287839	La Adicional
613950	252924	Waitress
613951	154455	
613951	222854	
613951	234341	
613951	380442	Natalia
613951	396781	Isabel/Anaís
613951	399805	
613952	51581	
613952	217311	
613953	154542	Herself
613953	156095	Herself
613953	407735	Newsreader (1985-)
613954	141576	Mamasan
613954	162641	
613955	76087	
613955	249671	Nieves
613955	391441	
613955	409091	
613956	12545	Leandra
613956	24987	Hija del alcalde
613956	74355	Ines Labrador
613956	81616	
613956	148108	
613956	189379	
613957	196736	
613957	339130	
613958	152263	The mother-in-law
613959	3426	
613959	13071	Commander's wife
613959	19720	
613959	48844	Boticaria
613959	52775	
613959	54234	
613959	57437	Waitress
613959	61144	
613959	88975	
613959	119442	
613959	134242	
613959	183029	
613959	189379	
613959	193350	
613959	194098	
613959	197886	
613959	212347	
613959	221686	
613959	226374	
613959	251590	
613959	266871	
613959	334690	
613960	236512	The nurse
613960	244185	Els Lipovski
613960	389315	Kathy
613960	400637	Betty
613960	409366	Véronique Kuypers
613960	410593	
613961	320513	Mother at the petrol station
613962	209987	Die Sopranistin
613963	16236	
613963	40958	Archivarin
613963	130215	
613963	152789	Sylvia
613963	170510	Janine
613963	182752	Prinzessin
613963	235382	Dagmar
613963	236643	
613963	281658	
613963	281669	Schraudolf
613963	290561	Stenografin
613963	318884	Gina
613963	345928	Irene
613963	394619	Sonja
613963	405902	Dr. Gaby Kramer
613964	352536	
613965	18075	
613966	155466	
613967	46967	Fiametta
613967	101172	L'enfant
613967	377940	Youca
613968	117308	Gabriella
613969	138260	
613970	201480	Cheerleader in car
613970	379831	D.C. Dancer (1993)
613971	310430	Familie Rathmann
613972	84569	Ilona
613972	86238	Sylvia Kranich
613972	93412	Irmchen
613972	106013	Dr. Schneebusch
613972	109502	Henny Schönberg
613972	109504	Henny
613972	109505	Henriette Schönberg
613972	138443	Hannah Fischer
613972	158604	
613972	290628	Lisa Watzek
613972	297972	Kathi Bluemlein
613972	318852	Polly
613972	325555	Liane Fink
613972	325634	Elli Reisinger
613972	376387	Conny Herzog
613972	378771	Conny Herzog
613972	383108	Gabi Neuhammer
613972	387625	Renate
613972	394049	Frau Schoitl #17
613972	404453	Monika
613973	225265	
613973	246114	
613974	180750	
613975	181451	Hausmeisterin
613976	169784	Child
613977	197452	
613978	153671	
613978	384501	Tía Agata
613979	401884	Herself/- Finalist #8
613980	88194	
613981	58408	Mamá de Juan
613981	404990	Una Garzona
613982	348229	Funeral Goer
613983	54166	
613984	103725	
613984	145230	
613984	221984	
613984	222955	Cuca
613985	90780	Camborina
613985	353571	Carolina
613985	380147	Irene
613985	380326	Teresa
613985	380531	Bella Landau
613985	383550	Perpétua
613985	384117	Amália
613985	384480	Maysa Ferraz
613985	392510	Gaby
613985	394872	Vanda
613985	396387	
613985	408944	Berenice
613985	409419	Soledad
613986	84163	
613987	13013	
613987	44571	Anita
613987	55907	
613987	80241	
613987	131136	Ursula
613987	199003	Ana
613987	216072	
613987	258248	Márgara
613987	286237	
613987	292935	
613987	380125	Victoria Montalbán
613987	381859	
613987	384925	Mística Gamboa
613987	385058	Concordia
613987	386503	
613987	387523	
613987	387536	Estela aka. 'La Gata'
613987	395861	La Franca
613987	400938	Concepción
613987	401067	Catalina de Falcón
613987	401090	
613987	402711	
613987	408389	Margot Castillo Vda. D Bustam
613987	412138	Host
613988	16415	
613988	52788	
613988	53261	
613988	101859	
613988	204900	
613988	205430	
613988	237336	
613988	385053	
613988	400491	
613989	88663	Nellie Lopez
613989	110331	Katalina
613989	171078	Viva
613989	215794	Carmen Martinez
613989	243150	Rosa
613989	267105	Sascha Santiago
613989	407459	Katie Vasquez
613990	390745	Sofía Díaz Henao
613990	396843	Daniela Echeverry
613990	412189	Abril Luna
613991	351494	
613992	402452	Matilde Bonilla
613993	412189	
613994	265824	Cara
613995	80446	Thief 2
613996	292857	Herself (documentary subject)
613997	235022	Dancer #3
613998	205005	
613999	221671	
614000	387100	Fernanda
614000	405868	
614001	108087	Phenecia
614002	164196	
614003	398856	
614004	388044	Herself
614005	197161	
614005	253223	
614005	267404	
614005	396125	
614006	2114	
614006	3399	
614006	8143	
614006	29509	
614006	52031	
614006	52920	
614006	74614	
614006	95421	
614006	96274	
614006	104111	Laura
614006	124042	
614006	135350	
614006	160664	
614006	186980	
614006	199005	
614006	227694	
614006	249796	
614006	258175	
614006	272670	
614006	327932	
614006	328000	
614006	334568	Rosario
614006	352254	
614006	396215	
614007	134179	Abadessas
614007	146841	
614007	148488	
614007	169291	
614007	280850	
614007	386212	
614008	83006	
614009	223336	
614011	405415	
614012	6441	
614012	14677	
614012	14680	
614012	36652	
614012	51910	
614012	66346	
614012	100262	
614012	103725	
614012	123188	
614012	151795	
614012	157242	
614012	169854	
614012	189013	
614012	206743	
614012	206975	Emma
614012	213395	
614012	221952	
614012	225390	
614012	236036	Profesora
614012	243462	
614012	247181	
614012	309370	Isabel, madre de Regina
614012	318284	
614012	336214	
614012	337564	
614012	339491	
614012	353573	Refugio
614012	379133	Sra. Lizardi
614012	379552	Emilia
614012	380114	Tia Alcira
614012	380252	Carlota y Elisa
614012	380901	
614012	381169	
614012	384126	
614012	384330	
614012	386116	
614012	386205	
614012	386679	
614012	389790	Doña Mercedes
614012	390732	
614012	390816	Rosa's aunt
614012	391962	
614012	396388	
614012	396853	
614012	398457	Rutila
614012	402249	
614012	402704	Doña Luz
614012	403741	
614012	404238	
614012	405869	
614013	29049	Scar
614013	201625	Herself
614013	378373	Locutura
614013	381900	Herself
614013	381904	Herself (1st Evicted 2003)
614014	57253	
614015	30745	
614015	57776	
614015	294076	
614016	386284	Malu
614017	243143	Donna Lewis
614018	269962	
614019	310303	
614020	208235	
614021	397397	Herself
614022	156882	Eurydice
614022	322345	Antonia
614023	277295	Dancer
614024	132367	
614024	283683	
614025	107022	
614026	356503	
614027	131739	Girls' Chorus Member
614028	26277	Yanka
614028	198639	
614028	204118	
614028	261116	Stéphanie
614028	311261	Bénédicte
614028	345557	Alix
614029	6994	Club band member
614030	100433	
614030	259991	Lucía
614030	385497	Amaya
614030	392849	Paula
614030	401657	Marisa
614031	378843	Host (1977)
614031	389648	Host
614031	391985	
614031	405322	Host (1980-1981)
614032	357509	
614033	148583	
614034	69516	
614035	30400	
614035	52597	
614035	377148	
614036	28324	Dolores
614036	160536	
614036	236400	Lola´s daughter
614037	220193	
614037	251590	
614038	260029	Une spectatrice du Nô
614038	293959	Giacomina de Andrioni
614039	51411	Une cliente du Bubble's
614040	74842	Encargada francesa
614041	135276	
614042	100391	Doña Sera
614042	202044	Berta
614043	122194	
614044	63915	Anna
614045	114881	singer
614046	6742	
614046	8579	
614046	24612	
614046	35015	
614046	75486	
614046	82342	
614046	88199	
614046	164237	Purita
614046	189377	
614046	263839	
614046	334690	
614046	409463	Azafata (1976-1977)
614047	10556	
614048	5270	Nelly
614048	33226	
614048	86353	
614048	111380	La libertad
614048	131971	
614048	145271	
614048	233350	
614048	284895	
614048	303084	
614048	335522	
614048	339041	
614048	376751	
614049	14652	
614049	51905	
614049	206977	
614050	307195	
614050	371271	Estela
614051	14809	
614052	213400	Herself
614053	357187	Activista
614054	60921	Madre Pelao
614054	70661	Rosa
614054	100390	Margarita
614054	121242	
614054	152246	Pili
614054	202398	Madre
614055	120088	
614056	2441	
614056	80288	
614056	277126	
614056	370070	
614056	375740	
614057	8276	
614057	70951	
614057	146533	
614057	225397	
614057	265159	
614057	272794	
614058	302789	Airline Clerk
614059	64988	
614060	94840	
614061	302331	Jueza
614062	124399	Suzy
614063	95069	
614064	148080	
614065	261852	Prostitute
614066	244590	Rosario
614067	13013	
614067	252605	
614067	379898	Custodia
614067	385252	Antonia
614067	394006	Ingracia
614067	395846	Nieves Fuego
614067	398218	
614067	401067	Cienfuegos
614067	401697	
614068	236434	
614069	167076	Jesuíno's Mother
614070	75717	Olympic pair #2
614071	350877	Frau Paulig
614072	63699	Mme Crétois
614073	12651	Lia
614073	113682	
614073	115339	Fiammetta
614073	220608	Francesca
614073	229996	Sally Blount
614073	240261	
614073	242828	Nadienne
614073	387217	Rita
614073	392741	Rosalba Baroni
614074	71487	Jeannette
614074	217039	The Waitress
614075	22045	
614075	27420	
614075	349230	
614076	53873	
614076	136692	
614076	156236	
614076	201401	
614076	204011	
614076	285250	
614076	377557	
614077	8910	Zeynep
614077	57874	Zehra
614077	136744	
614077	379688	Ayla
614077	380744	Nihal
614077	411678	Lale
614078	173706	
614079	137559	
614079	172176	
614079	173414	
614079	227233	
614079	237445	
614079	295269	
614079	327028	
614080	22058	
614080	30522	
614080	30820	
614080	33232	
614080	38474	
614080	57595	
614080	85139	
614080	89292	
614080	98595	
614080	110709	
614080	172013	
614080	175493	
614080	187649	
614080	221514	
614080	233196	
614080	284438	
614080	322538	
614080	335909	
614080	370224	
614080	370369	
614080	370395	
614080	378217	
614080	378232	
614081	274125	Yuris Mother
614082	10750	Mother
614082	10874	Dr. Kate Brecher
614082	160321	Christie
614082	211500	Lady Elaine
614082	273566	Jennifer Raine
614082	346331	
614082	403319	
614083	111336	
614084	336095	
614084	375851	Vampira
614085	256099	
614086	55196	Micaëla
614087	197808	Tove
614088	7367	
614088	243041	
614089	206496	Duty Officer
614091	47017	Nurse
614092	299352	Tamar
614093	8648	
614093	209521	Rachel Gerlik
614094	162292	Wedding Guest
614095	215092	
614096	64858	
614096	77629	Mad Etta
614096	78121	Inmate
614096	168695	Leona
614096	265748	Sophie Twelvetrees
614096	386970	Ugly Woman
614097	274084	1st Indian
614097	296830	Parted Hair
614098	71952	
614099	39495	Dictator's Daughter
614100	190409	
614101	26515	Yvette
614102	665	Ms. Eskandani
614102	26727	Leila
614103	12142	Stella
614103	277167	Herself
614103	381446	Leila
614104	177948	
614104	296622	
614105	34135	
614106	231671	Ronja
614107	187886	Girl
614107	307566	Squeegee Girl
614107	403937	Alex
614108	66913	Sheriff Ferguson
614108	105805	Detective Frankie Silvera
614108	126144	She
614108	160990	Secret Service Agent #2
614108	250376	Kathy Tudor
614108	253510	Katie the Clown
614108	289490	Janice
614108	302789	Club Girl
614108	334308	Evie
614108	364103	Daughter
614108	402170	Det. Diane Hoffman
614109	26992	Ann's Mother
614110	272261	
614111	477	
614111	24053	Anna Kuhlke
614111	84554	Herself
614111	104741	German entry (10th place)
614111	132871	Herself
614112	405848	Helena Lomander
614113	111068	Femi-Nazi
614114	22066	Mor/Moster
614114	26329	Sundhedsplejerske
614114	34479	Direktør Schmidt
614114	95757	Byrådsmedlem
614114	281991	Optiker
614114	403380	Night Nurse
614115	343160	Showgirl
614116	27344	Barbie Girl
614117	240843	Tøjekspedient
614118	140832	The Stenographer
614119	209949	Miss Pykäläinen
614120	98092	
614121	198255	
614122	343468	
614123	61647	Ivers
614123	91881	Kiki Barnes
614123	177591	Mildred
614123	194865	Starla
614123	221067	Movie Talker Blonde
614123	315285	Teenager #2
614123	342653	Penny
614124	275290	Hannah
614125	131235	Irene Inchcape
614125	312310	Zena
614126	113808	Emily Rogers
614127	81682	Carrie
614127	238433	
614127	339854	Betty Roberts
614127	352682	Kidwelly Hall cook
614127	360200	Social Security officer
614127	388256	Sally Jones/Hopkins
614128	9890	
614129	227240	
614130	75622	
614130	94334	
614130	212438	
614130	282856	Woodchick #1 & Gyno Girl #1
614130	345298	Old lady
614131	14652	
614131	47618	
614131	55925	Carmiña
614131	55935	
614131	58277	
614131	90099	Francis
614131	192981	
614131	193513	Bailarina
614131	206990	
614131	269532	
614131	301105	Carmen, la gitana
614131	322265	Hilda
614131	349666	
614132	57447	José's
614132	89930	
614132	295093	Electronics expert
614132	307638	Maria do Ceu
614133	389643	Jorgina
614134	252761	
614134	393005	
614134	401979	
614134	404273	Consuelo
614134	405935	
614134	410288	
614135	12083	La Tana
614135	45721	
614135	104706	Herself
614135	114873	(segment "Guajira)
614135	115029	Herself
614135	239523	Vocalist
614135	295525	
614135	395013	(2001)
614136	11737	
614136	322558	
614136	405465	
614137	12147	Waitress
614138	4718	Therese's companion on train
614138	10395	Mrs. Gaskins
614138	11270	Cafe Owner
614138	11477	Mrs. Payne-Coade
614138	38220	Mrs. Bindle
614138	38221	Mrs. Bindle
614138	38222	Mrs. Bindle
614138	38224	Mrs. Bindle
614138	38225	Mrs. Bindle
614138	49242	Mrs. Caldwell
614138	56995	
614138	65435	Lady Caroline
614138	68176	Mrs. Crowther
614138	71462	Lady Wrapping Parcels For The
614138	77289	Marie Dupont
614138	79653	Mrs. Bellamy
614138	80996	Nannie
614138	97083	Landlady
614138	124752	Mrs. Gambit
614138	126294	Lady Plumtree
614138	131391	Mrs. Tarvin
614138	140954	Mrs. Slade
614138	146054	Lady Kentford
614138	154904	Eve Oglethorpe
614138	157293	Baroness Kamp
614138	159991	Housekeeper
614138	163428	Mrs. Spry
614138	167281	Mme. Vanheim
614138	178854	Mrs. Errol
614138	187741	Mother
614138	188283	Lady Foxfield
614138	196305	His Wife
614138	196974	Mrs. Hamilton
614138	203607	Mrs. Cooper
614138	210822	Mrs. Oliphant
614138	222664	Aunt Octavia
614138	224724	Lady Thirwell
614138	238728	Mrs. Makepiece
614138	241275	Wife
614138	245526	Pritchard
614138	251515	Mrs. Vane
614138	261428	Marquise
614138	264030	Queen
614138	264730	Dolores' Duenna
614138	264733	The cook's wife
614138	270148	
614138	273857	Miss Orpington
614138	278213	Mrs. Wade
614138	282607	Lady
614138	286125	Landlady
614138	286222	Mrs. Truscott
614138	289011	Mrs. Melworthy
614138	294948	Duchess
614138	302955	Governess
614138	312988	Nurse
614138	315122	Cook
614138	332024	Lady Challoner
614138	332466	Aunt Liza
614138	334266	Mrs. Higgins
614138	347410	Miss Pringle
614138	355095	Mrs. Elkins
614138	360195	Lady Barrett
614138	363089	Mrs. Lawson
614138	371029	Denise Ryland
614139	193479	Nellie Mooney
614140	168122	
614140	240614	Mrs. Rudd
614141	39936	Anne Schultz
614141	45088	Elsie Moors
614141	52904	Madame Duval
614141	59107	
614141	64935	Emily Rand
614141	113935	
614141	195073	Miss Helen Heyer-foxeys cousi
614141	264049	Nell Reardon
614141	282625	Della
614142	29078	The Queen Mother
614142	32469	Nurse Harris
614142	56098	Dr. Zernerke
614142	62110	Jean
614142	96644	Phyllis
614142	103238	Grace Winton
614142	104305	Claire Lee
614142	106760	Claire Lennartz
614142	162551	Mildred Huntington
614142	169387	Susan Fleming
614142	183409	Mrs. Yvette Gordon
614142	186166	Herself
614142	202952	Mrs. Findlay, Peter's Mother
614142	224237	Miss Elizabeth Munn
614142	232168	Frau Schindler/Rachel Cameron
614142	233607	Anne
614142	240886	Minn Lee (1939 version)
614142	240898	Mrs. Aylesworth
614142	241029	Faith Penwick the Girl
614142	255465	Mrs. Cavanaugh
614142	264448	Superintendent
614142	264711	Charlotte
614142	272025	Lydia (Chet's wife)
614142	303992	Jill Hillcrist
614142	313959	Lillian Ulrich
614142	330602	Jo Turner
614142	330664	Nurse Emily Harvey
614142	363793	Rosamund (sister)
614142	379327	Queen Eleanor
614143	90958	Mildred Murnin
614143	114394	
614144	32057	Jeantine
614144	162924	
614144	188134	A Gossip
614144	239079	Alice Wilson
614144	252909	
614144	331176	Mrs. Marnet
614145	343265	
614146	309369	
614147	251007	
614147	355877	L'écologiste
614148	380005	Sky (1992-1997)
614149	266547	The Witch
614149	377478	Isabelle
614150	339043	
614151	25793	Señora
614151	222008	Farmacéutica
614152	355958	
614153	204184	Maria
614154	5104	Princesa Maya
614155	384876	America
614157	20854	Maggie
614158	264724	Model
614159	355970	La secrétaire du président de
614160	89572	Lady with the irritated man
614161	305290	Ms. Ruby
614162	33466	La paysanne des vendanges
614163	353944	Marina
614164	353944	Marina
614165	378983	Hostess
614166	10481	Madre
614166	161850	Monja
614166	162104	Silvia Armendáriz
614166	212411	
614166	332586	Irene
614166	404999	Carmen Larrea
614167	250428	Diabla (diabla)
614168	268496	
614169	199403	Girl
614170	218095	
614171	295916	Make Up Girl
614172	411941	Correspondent (1998-2001)
614173	165160	
614174	81410	
614174	189267	
614174	236478	
614175	91379	
614176	275090	Isabel as a child
614176	280577	Child
614176	352151	
614177	115046	Herself
614178	387886	Estefanía
614178	397582	
614179	3438	
614179	52752	
614179	99762	
614180	3524	
614180	90364	Nurse 3
614180	194129	
614180	198995	
614180	265535	
614180	268238	
614180	403749	
614180	411710	
614181	55670	
614182	257509	Ann
614183	3520	Gente Bar #4
614184	14710	Yamila
614184	44662	Silvia
614184	165768	
614184	193185	Teresa
614184	221703	
614184	221739	Hermana Alicia
614184	277383	
614184	300693	
614184	301859	
614184	328610	
614184	351680	Pamela
614184	379461	
614184	389639	Silvia
614184	401898	
614186	104852	
614187	18806	
614187	19455	
614187	94588	
614187	148044	
614187	177054	
614187	202213	
614187	209073	Rosita
614187	249770	
614187	249773	
614187	265160	
614187	271927	
614187	281648	
614187	296503	
614187	307722	Charito Robles
614187	323661	
614187	353604	
614187	373757	
614188	80245	
614188	376751	
614189	384508	Hostess (1990-1993)
614190	384972	Alba
614191	138006	Guard
614192	143640	Herself
614193	173381	Edith
614194	400098	
614195	36487	Mer
614195	56851	Sheila
614195	183621	Susan
614195	183622	Sari
614195	393276	
614195	398653	
614195	408314	
614196	74900	
614196	243685	
614196	283071	
614196	393187	Susana Batallan
614197	843	Soprano
614197	87873	
614197	331620	Herself
614197	407462	Mimì (segment "Hollywood Bohe
614198	91432	
614198	200965	Nadia
614199	275415	Bartender
614199	402253	Secretary Nicole
614200	230238	
614201	44318	Woman at Party
614202	179972	Herself - Minister for Justic
614202	376108	Herself
614203	222597	Police dispatcher
614204	3448	Gabriela
614204	6022	Glòria Marc
614204	18112	
614204	38416	
614204	58180	
614204	65015	
614204	73267	The woman
614204	103496	Novia
614204	156097	Herself
614204	183984	
614204	207008	
614204	241086	
614204	262983	Herself
614204	263205	
614204	277132	
614204	277404	
614204	308503	
614204	333699	Virtudes
614204	339675	
614204	355794	La madre
614204	395979	
614205	379461	Paola Armendáres
614205	380445	
614205	399525	Nisa
614205	399570	
614205	401918	Blanca Garza Pereira de Otero
614205	403173	Karina
614206	155920	Part of couple
614207	302053	Madre del adolescente
614208	308201	Train passenger
614209	378415	
614210	7806	Girl
614210	132181	Leslie
614210	270149	Freeda
614210	289253	Linda-Eds Secretary
614210	311912	Mrs. Mera
614210	365326	Cookie Counter Girl
614210	384102	April June
614211	162104	Dixie
614211	197199	
614212	83540	
614212	121346	Flor
614212	197977	Bibliotecaria
614212	293374	Engineer
614212	353612	Charo
614212	396770	Romy (1999-2000)
614213	162779	Dancer
614213	384306	Cheerleader (Dancer)
614213	384507	Dancer
614213	406972	Dancer
614214	202178	Herself
614215	84899	Gypsy dancer
614216	54085	
614216	374054	
614217	57826	
614218	216085	
614219	10475	
614220	153784	
614220	153786	
614220	255290	
614220	255291	
614221	51532	
614221	294705	
614221	353188	
614221	357729	Doncella de Ana
614222	26258	Karen Walker
614223	73506	
614223	344703	
614223	344804	
614224	99962	
614225	87566	Eva
614226	379000	Natalia
614226	379898	Abril Cárdenas
614226	387572	Ivana
614226	390310	Alelí González
614226	390748	Yubirí Gamboa
614226	399793	Host/Dalina (1995-1996) (Vene
614226	403016	Princesa Izaguirre
614227	215076	
614227	373793	
614228	49722	
614228	61343	
614228	68061	
614228	83496	Prostituta 2
614228	96403	
614228	103125	
614228	151806	
614228	171387	
614228	221957	
614228	227686	
614228	253671	
614228	255803	
614228	264397	
614228	264402	
614228	270732	
614228	339193	
614228	351623	
614228	380083	Irma Langarica
614228	383827	Jovita
614228	384988	Lupe
614228	387068	Romualda
614228	390300	Matilde Bernal
614228	391417	
614228	392352	Karina
614228	405955	
614229	44659	Lechera 2
614230	48790	Ciega
614230	69242	Mercé
614230	101816	Susana
614230	132369	Pepita Tudo
614230	246871	Martita
614230	293374	Ana Mari
614230	398914	Silvia
614231	390316	Reporter
614232	396899	Gelatina
614233	10984	
614233	53214	
614233	85475	
614233	136925	
614233	145356	
614233	152421	
614233	153315	
614233	159747	
614233	172945	
614233	172967	
614233	207035	Cathy
614233	207126	
614233	219797	
614233	247082	
614233	251737	
614233	265992	
614233	344200	
614233	404050	Gemma Rose
614234	82681	Little Girl
614235	233344	
614236	52601	
614236	148110	
614236	211874	
614236	221681	
614236	320306	
614236	353599	
614237	175193	Darya
614238	327477	Agnés (Gerard's Wife)
614239	291612	Pescadera
614240	100495	
614240	134510	
614240	155527	
614240	225007	
614241	20001	Monica
614241	56955	Joe's Girlfriend
614242	65194	
614242	170095	
614243	307468	Townsperson
614244	64709	Montse
614245	47233	Dancer
614245	120528	Dancer
614245	150075	Hip Hop Freestyle Dancer
614245	165515	Herself/dancer
614245	372175	Dancer
614246	338981	Herself
614247	410450	Delfina (9 años)
614248	70826	Card Girl
614249	287817	Marta
614250	237899	Gina Ancor
614251	63342	Theater Kid
614252	49041	
614252	336184	Sandra
614253	2441	
614253	2980	
614253	9703	
614253	14725	
614253	15914	
614253	17135	
614253	21703	Lina
614253	25028	
614253	25627	
614253	36659	Isabel
614253	45761	
614253	47754	
614253	48805	
614253	56365	
614253	58396	
614253	61866	(segment "Compadres, Los")
614253	61882	Sor Severa
614253	68845	
614253	68963	
614253	73357	
614253	84254	Mirna
614253	84500	
614253	85567	
614253	99710	
614253	103497	
614253	113241	
614253	118171	
614253	124514	
614253	131059	
614253	145211	
614253	148583	
614253	150293	Carmen
614253	152264	
614253	157158	
614253	169964	
614253	198993	
614253	212381	
614253	213767	
614253	221898	
614253	233397	
614253	251724	Guicha
614253	253326	
614253	257569	Carmen
614253	259742	
614253	259889	Carmen
614253	267050	
614253	269232	
614253	272404	
614253	272632	
614253	286284	
614253	287908	Lucha
614253	292925	
614253	301166	
614253	322250	
614253	332919	Simona
614253	341081	
614253	351652	
614253	351653	
614253	351671	
614253	352150	
614253	353266	
614253	376692	Elvira
614253	378485	
614253	380445	
614253	381169	
614253	383471	Genoveva
614253	384245	Diana
614253	384988	Amanda Romero Vargas
614253	390404	Desdémona
614253	393363	
614253	398481	
614253	399084	Teresa
614253	399522	Paz 'Nana' Guzmán
614253	400719	
614253	401916	Alejandra Avellán de Robledo
614253	404851	Aurora
614253	412192	Norma Molina
614254	1145	Unique's Girlfriend
614254	89943	
614255	396894	Elvira García
614256	58408	Marlene
614256	118173	Chelita
614256	380126	
614257	78570	Dancer at Salón Los Ángeles
614258	237987	
614259	378415	
614260	395404	
614260	396214	Caruca
614260	397015	Rita Farfán de Peña
614260	401694	Ernestina
614260	405835	Coty de Guzmán
614261	263782	Maria
614262	76585	Principal
614263	2252	(segment "Teuf d'enfer, La")
614264	213840	
614265	208074	Heather
614265	283339	Lissette
614266	333398	Anna
614267	391015	Espe
614268	25004	
614269	340227	Woman
614270	162254	Lali
614271	355028	Pregnant Nun
614272	289372	Featured Extra
614273	137111	Girl at Coffee Shop
614274	17745	
614275	159674	
614275	246520	
614275	259712	
614278	342118	Messicana
614279	296425	
614281	46947	
614281	170294	Nicky
614281	217669	Jeannette
614281	263018	
614282	289372	Featured Extra
614283	188963	Gun Girl
614284	219572	Bambina
614285	307536	Tigress
614286	68437	
614288	222686	Make-Up Technician
614289	13851	Carlos
614289	26666	Daphne
614289	26973	Olive Dee 'Harley' Klintucker
614289	35735	Helena Toretti
614289	45637	Michelle (segment "Just One T
614289	46355	Rita Monroe
614289	47820	Donna Delgrosso
614289	47904	Lucy
614289	72559	Ria
614289	90381	Detective Sandra Cassidy
614289	92666	Solina
614289	140783	Ms. Janus
614289	154621	Nancy
614289	155637	Herself
614289	167070	Frankie Vitello
614289	171230	Michelle
614289	178075	Debbie
614289	199463	Club girl
614289	200232	Herself
614289	207440	Jennifer Baker
614289	233676	Teresa
614289	265892	Susan Reese
614289	300913	Jessica
614289	318763	Ruby
614289	326125	Lt. Marta Robbins
614289	361216	Carmela
614289	384366	Connie Soleito (1995-1997)
614289	406177	Stacey Paterno (1997-1999)
614290	26955	Television Reporter
614290	60186	WNBC Reporter
614291	281632	
614292	283285	
614293	35239	Camille
614295	162071	Rosiella
614296	54195	
614296	64428	
614296	87055	
614296	104834	
614296	124531	
614296	197878	
614297	309807	Michelle
614298	202850	Antonina
614299	326083	Angela
614300	290100	Elena
614301	313706	Diane
614302	277365	Gina
614303	63915	Chica 1 (Girl 1)
614304	124323	Clair
614304	386236	Additional Voices
614305	56502	
614306	105883	Dr. Michas/Cabo Aloisius/Oper
614307	122747	
614307	131968	Esposa
614307	160090	
614307	166548	
614307	196740	
614307	221897	Cristina
614307	250796	Mrs. Sánchez
614307	260560	
614307	287839	Soledad
614307	317670	Dolores Tosta
614307	328711	
614307	351628	Irma
614307	370142	
614307	378376	
614307	380107	Prudencia Curiel viuda de Alo
614307	383333	Juana
614307	384395	
614307	385416	Mayra
614307	395401	Adela Camacho
614307	395404	Estela Mirabal de Ferrari
614307	397015	Yolanda González de Aguirre
614307	398217	Magdalena
614307	398801	Señora Resendiz
614307	402404	
614307	402681	
614307	403885	Elisa de Duarte
614307	405415	Flor Hernández de Martorel Oc
614307	405834	Pilar
614307	408855	Lucía
614308	14649	
614308	44912	
614308	56501	
614308	57866	
614308	58045	
614308	64707	
614308	192935	
614308	239251	
614308	258125	
614308	348170	
614309	338642	
614310	14407	
614310	40427	Carla
614310	236458	Woman in Elevator
614310	390085	Madre Superiora
614311	195295	Rusty Burke
614312	231083	
614313	225620	
614314	65132	
614315	65132	
614316	65132	
614317	65132	
614318	215433	Staff Redacción
614319	388946	Roberta
614319	403404	Malena Cabrera alias Coco
614320	379700	Herself/Contestant (Top Ten F
614321	395885	
614322	286228	Herself
614323	30398	
614323	373125	
614324	320789	Béa
614325	349467	Pareja en fiesta
614326	56502	
614327	139294	Secretary
614328	53696	
614329	87511	Dancer: Rey Chico
614330	329058	Woman
614330	363415	Mrs. Ortiz
614331	322854	Espoda de don Charo
614332	277405	
614333	6494	
614333	94827	
614333	94842	
614333	109266	
614333	146496	
614333	221946	
614333	257906	
614333	286371	
614333	287910	
614333	329211	
614333	343632	
614333	375779	
614333	385250	
614334	308128	Hostess
614334	387023	Herself
614335	340867	
614336	202061	
614336	397017	
614336	398481	
614336	402633	Susana
614336	407641	Gladys
614337	87912	Paula
614337	318509	Mariyam
614338	154200	Siri
614339	191648	Gayle
614340	152274	Said's Mother
614341	20657	
614342	397629	Herself/Mike's Mom
614343	307386	
614344	406379	Herself
614345	51586	Prêtresse
614345	345016	Leather shop clerk
614345	403475	Christine
614346	10535	Mrs. Hugh
614346	95328	Mrs. Connelly
614346	113506	
614346	383363	Mrs. Jean Smallwood (The Mill
614347	33559	
614348	16214	Wedding guest
614349	350606	Marie
614349	400001	Vera
614350	83655	Azuri
614350	310679	Haidi
614351	12436	Mutter
614351	62456	
614351	194865	Lucinda
614352	48576	
614353	191356	
614354	201011	The Mother
614355	346224	GFC Jingle Singer
614356	314459	Photo Shoot Model
614357	207051	Creature - Mr. Butterfly
614358	98385	1. Mädchen auf der Strasse
614359	62918	
614359	116318	
614359	139475	
614359	177915	
614359	187557	
614359	189598	Prison Guard
614359	290721	Nurse Fritz
614359	358216	
614360	166871	Additional cast
614361	214387	
614362	347616	Monika Kessel
614363	91963	
614363	138744	Chorus Woman
614363	153617	Ballet girl/performer
614363	341681	Eileen Barton
614367	43606	
614368	41888	Singer in Bar
614369	411759	Vicki (1989)
614370	355431	Tony's Daughter
614371	137259	Montrose Inmate
614372	333392	Toni Ann
614373	14155	Film Producer #2
614373	158141	Traveler
614374	256501	Annika
614375	252403	
614376	94	Tour Guide
614376	67988	Herself
614376	121804	Herself
614376	175223	Ellen Friedman
614376	203783	Lt. Carbone
614376	267174	Lilah's Hairdresser
614376	292479	Nurse
614376	301077	Protest speaker
614376	326800	Soho Woman
614376	345711	Narrator/Herself
614376	356472	Anita
614376	381066	Charlotte
614376	385174	Helen Higgins
614377	402444	Host (substitution)
614377	402445	Presenter (Irregular)
614377	402447	
614377	403862	Host
614378	78795	Additional Performer
614379	44770	Elizabeth McQuarrie
614380	62459	Marie-Jeanne
614381	346016	Model
614382	292175	Missing girl artist
614383	237580	Anna, Berggren's housemaid
614384	132864	Grive
614385	78121	Spike
614386	12256	Maggie
614386	33426	Student editor
614386	56880	Sharon
614386	58930	Desiree
614386	134418	Sarah Jensen
614386	158316	
614386	192733	Robin
614386	194820	Janet Reiss
614386	209596	Mom
614386	222686	Dr. Christine Winter
614386	224824	Helena Crane
614386	241732	Ruthie
614386	263265	Lydia 'Mac' MacDougall
614386	291771	Gina Gallagher (Lonelyheart)
614386	292223	Priscilla Pickett
614386	310624	
614386	311038	Mrs. Jameson
614386	348944	Dr. Plummer
614386	358727	Rutka
614386	385204	Lenora Zwick
614386	389924	Abigail Adams
614386	391917	Jane Parnell
614386	399468	Marion
614386	404665	Mary Todd Lincoln
614386	408333	Juanita Titus #1 (2000)
614387	139597	Journalist 4
614388	21075	Chica Gimansio/Girl in Gimnas
614389	123864	Tina
614391	74652	Anita
614392	300801	Rough Girl
614393	18567	Roddelmeisje
614394	9618	Olga
614394	100370	Beatriz
614394	225034	Andrea
614394	246950	Princess
614394	379566	Bárbara (2000)
614394	385864	Lucía
614394	407305	Leticia
614394	409960	Laura Alonso
614395	53183	Yulla
614396	314104	Dancer
614397	131115	
614397	266819	
614398	28792	
614400	390151	Camilla, Ellas skolkamrat
614401	36967	Baby
614402	244635	
614403	304478	Señora perrito
614404	136976	Mayte
614405	355247	
614406	387177	Comentarista (2004-)
614406	404076	Colaboradora (2002-2004)
614407	353637	
614408	23540	Caroline
614409	44660	Señora D'Abondo
614409	193024	
614410	234175	
614411	190230	Hope Carmichael
614412	121697	
614412	135115	
614413	1214	Herself - Co-host
614413	2043	Herself
614413	2396	Herself
614413	2399	Herself
614413	2780	Herself
614413	11562	Herself
614413	14267	Herself
614413	20052	Herself
614413	57676	Herself
614413	61584	Herself
614413	63167	Herself
614413	66126	
614413	71607	
614413	85933	Herself
614413	87981	Herself/performer
614413	96555	Herself
614413	99461	Herself
614413	117093	Emilia
614413	129520	Performer
614413	129521	Herself
614413	129522	Herself
614413	129523	Herself
614413	129524	Herself
614413	129525	Herself
614413	132626	Herself (Performer)
614413	132849	Herself
614413	153139	Performer
614413	157463	Herself
614413	157464	Herself
614413	185915	Herself
614413	185935	Herself
614413	191598	Narrator
614413	200169	
614413	223084	Isabel Vasquez
614413	236413	Singer
614413	251086	Herself
614413	269922	Herself
614413	272974	Herself
614413	280067	Herself
614413	282503	Herself
614413	302435	Herself
614413	308281	
614413	382536	Herself (Judge)
614413	385591	Herself
614414	234324	Herself
614414	390382	Host
614414	407245	Co-Host (1986-1998)
614414	412131	Host
614414	412132	Host
614414	412141	Host
614415	10271	
614416	206975	Salomé
614416	398166	Mary
614417	75040	
614417	280872	
614417	379646	Glória
614417	380156	Ana
614417	380612	Inez
614417	382375	Carminha
614417	383269	Célia
614417	383293	Alexandra
614417	383355	Juliete
614417	384118	Emília (1997)
614417	386142	Inez
614417	386215	
614417	386422	Eva
614417	388636	Berta
614417	392629	Isabel
614417	392846	Hortência
614417	395400	Alice
614417	395405	
614417	396810	Simone
614417	396899	Andréa
614417	397539	Gisela
614417	397550	Ofélia
614417	398249	Isabela
614417	398502	Arlete
614417	401197	
614417	402455	Clara
614417	402530	
614417	402539	Marcelina Rockfield
614417	402568	
614417	403617	Jane
614417	405808	
614417	407800	Bibiana Terra Cambará
614417	409407	Marília
614417	410099	
614417	412258	Laila
614419	103137	
614419	375157	Wanda
614420	75195	
614420	239047	Brenda
614420	361959	
614421	63755	Locutora T.V.
614422	161761	The Watcher
614423	115423	Karin's colleague at work
614423	303921	Mrs. Nexander
614423	312226	Young Agate Brage
614424	21664	
614424	77805	Chorus girl
614425	351884	Girl
614426	236972	Observer
614427	201112	Mae Ling
614427	289116	Fan
614428	84450	Brout
614428	219262	Kirke
614428	243194	Das Mädchen
614429	61683	Nurse
614429	108951	Mrs. Coggan
614429	244801	Susan
614429	322598	Tallulah Bag
614429	322599	Tallulah Bag
614429	385020	Pam Middleton (1996-1998)
614429	385645	Wendy Wooley
614429	387533	Diane Blackstock (1999-)
614429	392667	Rachel
614429	395585	Amanda (Series 3)
614429	395793	Carol Boswell (Series 5-9) (1
614429	407313	Tallulah Bag
614429	407316	Tallulah Bag
614429	407317	Tallulah Bag
614429	409062	Tallulah Bag
614429	411385	Tallulah Bag
614430	103393	
614431	1280	
614431	10153	Justine
614431	409575	Herself
614432	128445	
614432	223928	Misty's Friend
614432	293027	
614433	13769	Tracy Prescott
614434	64166	
614435	56170	Pretty young hopeful
614435	105598	Gwyneth
614437	334761	Nurse
614439	146514	
614439	169743	
614440	1623	Herself
614440	183034	Herself
614440	255423	Granny
614441	115362	
614442	35201	
614442	92411	Helene Bissel, Alexanders Fra
614442	107366	Eva Frieson
614442	115962	
614442	115970	
614442	119241	
614442	122769	
614442	188856	
614442	189536	
614442	204508	
614442	206289	Madame Pompadour
614442	317357	Komtesse Margit
614442	350863	
614442	352584	
614442	368766	
614443	323330	
614444	2034	Noel's Date
614444	32632	Vixella/Chasey Pips
614444	50639	Gothic Co-Ed
614444	78013	Sexy Girl
614445	108540	La mère de Fanfan
614446	6248	Cousin Ophelia
614446	12309	Woman Voyager
614446	25417	Lolly
614446	61793	Arlene
614446	69357	Sarah's cousin
614446	90932	New York journalist
614446	120551	Psychiatrist
614446	155453	Bag Lady
614446	162439	Nora Lawlor
614446	320283	Vanessa Boulette
614447	16226	
614447	219284	Rebellin
614448	216312	Prodence Lang
614449	302603	Hostess
614450	48876	Jen
614451	310503	
614452	224689	Mother
614453	142719	Victim
614454	150813	Irene
614455	90197	Felisa
614455	293382	
614456	170981	
614457	396860	Margarita
614457	398842	Lili
614457	401358	
614459	21075	Clara
614459	23624	Carla
614459	74600	Vicky
614459	96356	Carla
614459	148164	Amiga
614459	158847	
614459	170038	Lea
614459	211072	Natalia
614459	225046	Chica 1/Girl #1
614459	226435	Carlota
614459	244636	Pilar
614459	282905	Marilyn
614459	306701	Monitora
614459	369748	Herself - Presenter: Best Mak
614459	369754	Herself - Nominee: Best New A
614459	369996	Herself - Nominee: Best Suppo
614460	89938	Vecina
614460	183985	Fornera
614460	212406	Vendedora 1
614460	223114	
614461	322397	
614461	397863	Sheila Sánchez
614462	71192	
614463	211013	Lorena
614463	333695	Bárbara Heliodora
614463	338233	Juliana/Anajuli
614463	380147	Juanita
614463	384992	Amélia 'Amelinha' Mourão
614463	385184	Catarina Batista
614463	385947	Carla
614463	392792	Lúcia Helena de Mendonça e Al
614463	394872	Lola Calderón
614463	397539	Patrícia Mello
614463	401104	Marina Batista
614463	402928	Zilda
614463	403171	Mariana
614463	404834	Young Nazaré
614463	408550	Tininha
614463	408592	Sandra da Silva
614464	15407	Ananhy
614464	19451	Boarding House Owner
614464	230147	Sra. Guimarães
614464	234612	Joaquina
614464	269542	
614464	344815	
614464	387833	Constância
614465	38335	Computer
614466	396718	Carlota
614467	281604	Emília
614468	248483	
614469	246593	Amélia
614470	6755	
614471	85597	
614472	386933	
614473	109948	Old Woman
614474	99829	Rose
614474	265760	Mona
614474	296980	Girlfriend
614475	34483	Lolita
614475	234966	Noriega's daughter
614475	343875	
614476	359186	Little Girl
614477	3643	Herself
614477	6247	Mondo Sharon
614477	26185	Max
614477	80606	Zanna Young
614477	80652	Baby's Babe
614477	101726	Lilly Batterham
614477	117061	Marnie
614477	117428	Elaine
614477	130319	Cathy
614477	131347	Flight Attendant
614477	131453	Jeannie
614477	135605	Carol McLaughlin
614477	141592	Betty Finn
614477	161631	Linda
614477	194410	Make-up Lady
614477	206157	Justine
614477	214248	Ana Lukovic
614477	218686	Executive
614477	222699	Reporter #2
614477	233515	Investigating Officer
614477	245207	Renee
614477	248108	Kat
614477	281443	Susan
614477	283581	Aimee
614477	289490	Cop #2
614477	297788	Girl at Phone
614477	302777	Perfect Applicant
614477	304758	Molly Nagle
614477	315502	Andrea McIntyre
614477	336650	Emma
614477	345742	
614477	359186	Brenda
614477	410835	Nancy
614478	1903	
614478	43750	Un modèle noir
614478	322878	Nunu 2
614479	160675	Une mère
614479	283031	Carol
614480	63850	L'hôtesse de l'air
614481	14121	Fay
614482	409686	Lamu
614483	205268	Audience Member
614483	393058	Herself
614484	400342	Herself (Finalist #12)
614485	396610	Natasha (2004-)
614486	189350	Florence Lorcy's daughter 2
614487	141893	Groom
614488	224049	Herself
614489	204841	
614490	5535	
614490	190789	
614490	201200	
614491	46636	Townswoman
614492	44379	Kate
614492	109992	Businesswomen
614492	313087	Susan, 2nd AD
614492	356472	Nurse Fran
614492	395214	Conan's Girlfriend
614493	288776	Gandhi's Wife
614494	27958	Lisa
614494	81581	Det. Lisa Strong
614494	365650	Jackie Hobbs
614495	156466	Fountain of Youth Tourist
614496	185369	Gladys Hutchins
614498	303220	
614499	257814	Herself
614499	257847	Herself
614500	6259	Mrs. Merrin
614500	69137	Stewardess #1
614500	297990	Sandy
614501	90801	Sister Gabrielle
614502	384119	Carolina (1996-1997)
614502	392609	
614502	409957	Lucia
614503	149933	Khalim's Children
614503	205704	
614503	351494	
614504	34953	
614504	37092	Rosario
614504	37350	Mother Delores
614504	54855	Bianca
614504	113558	Angelina
614504	113980	Olga Rodriquez
614504	119437	Carlos' Mother
614504	127073	Rosa Santiago
614504	167566	Building Manager
614504	169211	
614504	197373	Tia Concha
614504	223871	Woman with Groceries
614504	241857	Nurse
614504	252358	Landlady
614504	264131	Luisa
614504	329946	Burton Housekeeper
614504	345686	Isabel
614504	348336	Aunt Bolita
614504	356997	Mrs. Lopez
614504	375842	Mrs. Gonzales
614505	58208	
614506	3477	
614506	49701	Kathy
614506	52916	
614506	57437	
614506	58134	
614506	76008	
614506	87066	
614506	87088	Kilma
614506	113255	
614506	118839	Angela
614506	145254	
614506	177028	Kilma
614506	189379	
614506	193350	
614506	212069	
614506	218374	Dominique
614506	234332	
614506	294286	Lucy
614506	301180	
614506	322228	
614506	326220	
614506	334698	
614506	351280	Norma
614506	409463	Azafata (1972-1973)
614507	321038	
614508	351494	
614509	260625	
614509	383787	
614509	386595	
614509	404806	
614510	25627	
614510	166548	
614510	383273	
614510	397019	
614510	401916	Petra
614510	401918	Adela
614511	80288	
614512	74274	Giselle
614513	212524	Young Sad Girl
614514	11428	
614514	28397	
614514	38543	
614514	146480	
614514	182232	
614514	189358	
614514	201398	
614514	238142	
614514	324599	
614514	324600	
614514	325368	
614515	191745	Gabriela
614516	340401	Cleaner
614517	172457	
614517	205694	
614517	284650	
614517	404049	Sining
614517	404051	Lilay
614518	62584	Kat (Opening Fight)
614518	167685	Kimmy
614518	281549	Perez/Maggie's fourth opponen
614518	388104	Player - Curves of Steel
614519	51615	Noia Esteve
614520	184104	Beth/The Laker Girls
614521	277237	
614522	207743	
614523	120707	
614523	206552	
614524	410093	
614525	19499	Olga
614525	63806	Penelope
614525	168904	
614525	248056	Herself
614525	381620	Host (1992)
614525	402684	Host
614525	410304	Host (1992-1993)
614526	258479	
614527	277239	
614527	376753	
614528	395300	Ana Salas (joven)
614529	215113	Young Leona
614530	22675	Herself
614530	169569	
614530	189379	
614530	196728	
614530	205115	
614530	234336	
614530	252559	Charo
614530	339180	
614531	156297	Tina
614531	292340	Marine
614532	148765	
614532	225472	Marine
614532	270907	Marie
614532	346526	Laura Bataille
614532	346610	Elle
614532	375767	France
614532	384215	Camille Rivais (1999-2000)
614532	395269	
614533	68301	
614534	46805	
614535	12286	Handmaiden
614535	41142	Street Gachi
614535	92162	Flower girl
614535	157866	Maria Alvarez
614535	190473	Bonita, Adobe Saloon Girl
614535	262323	Betty Wainwright
614535	262325	Dolores Ortega
614535	331485	Paquita Serrano
614535	334367	Spanish Girl
614535	346239	Dolores Gonzales
614536	381200	
614537	30875	
614537	145125	
614537	145681	
614537	174314	
614537	175702	
614537	222471	
614537	226685	
614537	245478	
614537	329056	
614538	53637	
614539	124448	
614540	65892	Imelda
614541	15330	
614541	138021	
614541	249029	Vendeuse de fleurs
614541	317669	
614542	245333	Herself
614542	283546	Feminist
614543	13664	
614543	26289	Secretary
614543	82898	Alice Mitchell
614543	380391	Joan Barnard (1977-1978)
614543	396117	Megan Cushing #1 (1977) (orig
614544	26038	Arpista
614544	158847	
614544	212406	Sully
614544	223114	
614544	248311	Sirenita
614544	268435	
614544	270670	
614544	328929	La madre de Stallone
614544	355846	Mujer limpieza
614545	120857	Anna
614545	155684	Louise, Karen's Sister
614545	344105	AA
614545	412298	Betty
614546	15363	
614547	96198	
614548	73476	
614548	146574	
614549	1311	
614549	18827	Political Group in Cinema
614549	25516	Alicia Dupont
614549	52976	
614549	64356	
614549	68261	(segment "Fundido a negro")
614549	70951	
614549	85975	Susana
614549	87072	
614549	121333	Tabita
614549	146560	
614549	193078	Granddaughter
614549	207652	Rosita
614549	221753	
614549	222024	Eva
614549	228761	Laura Montero
614549	353636	Mirta
614549	376788	
614549	378391	Estela
614549	385375	Elena
614549	387818	Nelia
614549	409959	Andrea
614549	410453	Jimena Soria
614550	69227	
614550	76004	
614550	100383	
614550	247297	
614550	266875	
614551	128988	Secretaria de Pepa Molina
614551	143757	
614551	198215	Mujer barra 2
614551	202022	Marga
614551	233539	Rocio
614551	292918	Rosa
614551	328154	
614552	87009	Nira
614552	160095	Miri Yu
614552	179390	Kosaka Machiko
614552	198811	Yumiko
614552	256760	Miyuki Minazuki
614552	299611	Chinatsu Tsuboi
614552	299612	Chinatsu Tsuboi
614552	396094	Kyouko Asaoka
614552	400605	Natsuki Kasahara
614552	405186	Tsuboi Chinatsu
614552	405187	Chinatsu Tsuboi
614552	405188	Chinatsu Tsuboi
614553	17079	
614554	36503	Mom
614554	44773	Csipkerózsika és fekete Csipk
614554	58358	Gádor Fanni
614554	74393	Enikö
614554	74408	Ica
614554	98793	Marika, Monoriék lánya
614554	104196	Arányi Aranka
614554	137112	
614554	137762	Ilona
614554	138603	
614554	140061	Kati
614554	141754	Stokkerné, Tamás barátnõje
614554	153851	
614554	155618	
614554	180112	Drunken woman
614554	187514	Ági
614554	243392	Euridice
614554	304168	Panni
614554	322018	
614554	322031	
614554	322109	Woman
614554	322158	Dr. Lovas Andrea
614554	322382	
614554	324705	Lány a metrón
614554	332957	Giza
614554	336360	
614554	377807	Vera
614554	394989	Franciska
614554	402220	Jutka
614556	44572	Kati
614556	122454	Julis,Kántor felesége
614556	229465	Vera,Keresztes lánya
614556	377891	Madarász Irma
614557	118823	
614557	377615	Kati
614558	7222	Terka Roth
614558	9250	Zéman Irén
614558	12733	Béresné, Éva
614558	43110	Szabó Mari/Marilyn
614558	43111	
614558	50840	Éva, Gyuri felesége
614558	96202	Schodelné
614558	97969	Éva
614558	99561	
614558	102541	Nusika
614558	114763	Mili
614558	130804	Anne
614558	140048	
614558	163130	Rück Mariann, színésznõ
614558	171825	The mother
614558	172530	Szobalány
614558	177949	Arabella
614558	179418	Ann
614558	212024	Titkárnõ
614558	216250	
614558	226705	
614558	252152	Pat O'Brian
614558	268430	Sárika
614558	284183	Ila, a bundás nõ
614558	322098	
614558	343747	
614558	354434	Cili, the cat
614558	357930	Kornél
614558	377133	Ági
614558	377720	
614558	382544	Szásenka
614558	388279	Szep Karolyne
614558	395635	Violetta
614558	399860	Sári
614558	402164	Lány a szervizben
614558	402220	Aliz
614558	403110	Herself/Host (2003)
614559	9897	Herself
614560	51309	Lola
614560	190743	Lili,szépasszony
614560	268521	Klári
614560	284082	Titkárnõ
614560	293405	Szepesi Lonci mûvésznõ
614560	322093	Lili barátnõje
614560	378518	Sovánka felesége
614561	18000	
614561	104269	Etsuko
614561	104270	
614561	104271	
614561	104272	
614561	104273	
614561	104274	Etsuko
614561	200544	Nobuko
614561	275748	Chiyo, daughter of Shumputei
614562	807	
614562	15363	
614562	177203	
614562	207652	Sabina
614562	238148	
614562	268819	
614562	328887	
614563	19759	Madame Rossignol
614564	20828	Les tantes - Jeofrette
614565	367536	Liza
614566	189306	
614567	112201	Bethany
614567	299491	Cutie Liz
614568	249777	
614569	269743	
614570	275605	
614570	377712	Odette Merlot
614570	388628	Ti Bâ
614571	138859	Winston salesgirl
614572	96348	Laura
614573	381451	Reporter/Presenter
614573	382706	Herself - Presenter
614573	382715	Presenter
614573	399337	Presenter (1995-1998)
614573	405607	Newsreader (2002 -)
614574	154629	Processing Officer
614575	159753	Susan Anderson
614576	320088	Herself
614577	217167	Tenare, la femme de G.O.
614578	320013	
614579	314927	Donna, light redhead
614580	211666	Marion
614581	405461	Beautiful girl
614582	243564	Molly
614583	1903	
614583	39139	
614583	39511	
614583	48576	
614583	50356	
614583	112896	
614583	236307	
614583	306022	
614583	319346	
614583	356642	
614584	26876	Jana
614584	47431	Nurse Cathy
614584	124284	Tasha Simon
614584	199539	Molly Avrums
614585	195673	Member of carnival troupe
614585	213453	Fat Woman
614586	164364	Cat
614586	273488	Herself
614587	162292	Wedding Guest
614588	297895	Girlfriend
614589	694	Herself/Commentator
614589	2009	Herself
614589	7582	Herself
614589	20213	Herself
614589	57694	Herself
614589	69079	Performer
614589	69080	Herself
614589	96555	Herself
614589	117125	Herself
614589	157464	Herself
614589	157465	Herself
614589	164587	Herself
614589	185529	Herself
614589	210277	Herself
614589	223973	Herself
614589	303183	Elmer's mother
614589	328211	Hooker
614589	368156	Herself
614589	369449	Herself
614589	381820	Host
614589	384537	Performer
614589	411779	Herself
614590	275362	Mafalda
614590	397790	Charlady
614591	328350	Tuesday
614592	160555	
614593	402941	'Otto' Programmer
614594	293232	Eileen
614595	75629	
614596	26081	Melck
614597	147206	Laura Yarrow
614597	183867	Anna Krilarka
614598	5874	Pedestrian
614598	6996	Mrs. Merriwell
614598	8961	
614598	17543	Anna's Maid
614598	80034	Tenant
614598	108300	Woman
614598	122967	Guest
614598	127394	General's wife
614598	144450	
614598	146752	Hairdresser
614598	154913	Woman
614598	163961	Guest
614598	218330	Woman in the Street
614598	258297	Mrs. Phelps
614598	267545	Martha
614598	308575	Undetermined Role
614598	318192	Elevator passenger
614598	346248	Guest
614598	360834	Guest
614599	188453	'Dislike' Girl
614600	244392	Sincere Mourner #1
614601	255882	Sarah
614602	390523	Sharon Burton (1986-1987)
614603	43673	La secrétaire
614603	108361	
614603	248263	Jeannette (segment "Madame Ti
614603	346417	Renée
614604	64951	Miette, age 37
614605	117713	3-Year-Old Girl
614606	71215	(segment "Matta dei fiori, La
614606	208025	
614607	80932	Hannah
614607	126544	Sweet Old Lady
614607	158528	Grandmother
614607	335335	Hilda
614607	339351	Mrs. Barnes
614607	351506	Emma Thomas
614608	111118	Julie
614608	125469	Marianne
614608	380260	Gaëtane
614609	143489	
614610	278155	Mannequin
614611	235725	
614612	107856	
614613	289055	Varda
614614	33742	One of 'The Thirty Women'
614615	122420	
614616	33554	
614617	15013	Fernande Mulgorn
614617	15025	Claire
614617	15085	Voice
614617	17850	
614617	27916	La mère de Mathieu
614617	32034	Thérèse
614617	43412	President's secretary
614617	73184	Nastassia
614617	73185	Madame Marcellini
614617	77420	La bonne
614617	82944	Yvonne
614617	83176	Lina Bell
614617	83363	Solange Viard
614617	84678	Lucienne Delbez
614617	85692	Soeur Lucie, la tourière
614617	91453	La concierge du palais de jus
614617	101881	
614617	112733	Marceline
614617	122216	Elise's Mother
614617	135327	Lebrac's mother
614617	135344	Yvette, la femme de Ramon
614617	148749	
614617	159017	Madge
614617	166172	Germaine Coster, la confident
614617	167230	La mère de Fleur
614617	168182	
614617	169333	Cashier
614617	169342	Mavra
614617	207594	
614617	216236	La logeuse N.D. de Lorette
614617	216237	La logeuse N.D. de Lorette
614617	219479	Judge's Secretary
614617	244967	
614617	282048	Marie
614617	287595	La femme d'Emile (Adrienne Ga
614617	295212	
614617	335900	La dactylo de Topaze/Topaze's
614617	346570	Paulette
614617	354150	Louise
614617	371405	
614617	371422	La mère
614617	377901	Madeleine Lombard
614617	377902	Woman Senator
614617	385490	Mme Maurel
614617	389271	Simone Andelot (segment "Pier
614617	391930	Thérèse Durtol
614618	255386	
614619	34705	Woman in Crowd #1
614620	114271	Student who figures it out
614621	117496	Debbie
614622	15187	Salvationist
614622	40923	Lydia Martin
614622	42560	Joséphine
614622	81475	
614623	211491	
614624	371305	Terry McCue
614625	5033	George's Wife
614625	16654	Bit
614625	25868	Sedley Guest
614625	36841	Dress extra
614625	41502	Guest at First Party
614625	46739	Mother Goose
614625	47370	Girl with Bryant
614625	62649	Dorothy's mother
614625	71794	Nurse Smith
614625	78155	Guest at Party
614625	117485	Secretary #4
614625	117748	Nemo's girl friend in broadca
614625	119482	Lawn party guest
614625	119531	
614625	123852	Nurse
614625	154545	Nurse
614625	155908	Bridesmaid
614625	158364	Well-dressed woman
614625	164605	Mrs. McDougall
614625	177391	Laura
614625	186773	
614625	190062	Secretary
614625	203917	Woman in Lobby
614625	218734	Stewardess
614625	220333	Show Girl
614625	244913	Extra in Pirate's Club
614625	260112	First housewife
614625	263386	Hewitt's Secretary
614625	294744	Nurse
614625	303303	Operator
614625	319193	Tourist watching travelog
614625	328794	Saleslady
614625	331398	Reporter at Army Concert Hall
614625	347061	Newspaper woman
614625	347335	Saleswoman
614625	360714	Switchboard Operator
614625	360834	Assistant to the Florist
614625	363238	Traveler
614625	367415	
614625	367833	
614625	367919	Second Hairdresser
614626	257234	Vegas Mystery Woman
614627	269196	
614628	104637	Herself
614628	104775	Estonian entry (4th place)
614629	282935	Mrs. Jumonville
614629	302932	Older Woman at Church
614629	316116	Rose Jourdain
614630	166370	A philosophy student
614631	224691	Dancer
614632	11723	
614632	12340	
614632	21290	Ruth Whitney
614632	29113	
614632	43923	
614632	47381	
614632	50999	
614632	52369	
614632	72614	
614632	83116	Della Delmar
614632	120008	Herself
614632	127519	Ruth
614632	129544	Herself
614632	145671	Ruth Etting
614632	147800	
614632	147804	Herself
614632	154300	Herself - Ruth Etting
614632	178860	
614632	200982	
614632	210399	Singing Star Ruth Etting
614632	216890	Anita Ragusa
614632	220864	Herself
614632	233522	Herself
614632	239669	
614632	239811	
614632	241381	Ruth Eton
614632	248610	Herself
614632	270668	
614632	274988	
614632	280830	Olga
614632	281925	Helen Leslie
614632	283928	Herself
614632	283929	Herself
614632	292038	Herself
614632	304866	
614632	308581	
614632	309934	
614632	312809	
614632	332416	
614632	336035	
614632	341723	
614632	368241	Ruth Eton
614633	42722	Heather
614633	45830	Nurse Anderson
614633	81776	Pretty Woman
614633	83929	Ticket Agent
614633	92269	Monica Harrington
614633	93752	Leanna
614633	97830	Charlotte
614633	107385	Betty Black
614633	118689	Cynthia Harbridge
614633	201502	Herself
614633	206621	Dr. Jane's Patient
614633	251194	
614633	301540	Officer Jacobs
614633	330591	Cynthia
614633	338546	Diane
614633	383490	Rita Sue
614634	145080	Missie Watson
614635	389869	Dream Crowd/Student
614636	110565	
614637	181589	Tehdastyöläinen (Worker)
614638	185137	Wedding Guest
614639	11777	
614639	338262	
614639	338263	
614640	338262	
614640	338263	
614641	26381	Protester #2
614641	94539	PET Woman
614641	230857	Carol
614641	348795	Hostess
614641	367668	Female Guard #1
614642	217089	Young native girl
614643	51533	Dulcinea del Toboso
614643	101901	Ana joven
614643	206000	Julia
614643	248286	Clara
614643	302403	Belén
614643	338867	María
614643	353572	Rosana
614643	353633	Val
614643	369996	Herself - Nominee: Best New A
614644	349849	Herself
614644	356444	
614645	306701	Herself
614645	335366	Periodista
614646	400653	Isa
614647	393878	
614648	2142	Liese
614648	109502	Julia Hirnschroth
614648	109504	Julia Hirnschroth
614648	109505	
614648	115103	Young Jeanette Fielmann
614648	386637	Lisa
614648	397298	Lisa
614650	117482	Native woman
614651	132820	Lady in Parking Lot
614651	278091	
614651	317415	Mrs. Reilly
614651	342959	Fortuneteller
614652	86224	Young Girl
614652	365425	Diana
614653	161172	Maid
614654	60866	Chesty Anderson
614654	319734	SuperAngel/SuperVixen
614655	141154	Lois
614656	1575	Herself
614656	402993	Herself/San Diego (2004)
614658	190559	Ms. Duvet
614658	213159	Mrs. Hamilton
614658	232393	Fanny Bowen
614658	250746	Mrs. Simms
614658	263450	Nancy
614658	263485	
614658	283434	Phyllis
614658	292794	Clara
614658	308115	Jessie Gaines
614658	396123	Ann Alden Forbes #1 (1983-198
614659	251235	Susie
614660	184942	Oil Wrestler
614661	298239	Aunt Sis
614663	189236	Anne
614664	323972	Sabrina
614665	157802	Ginny
614666	84648	Anne
614667	120304	Scarabocchio as a child
614668	180309	
614670	158758	Cèline
614670	158764	La Signora Yvelle
614670	213801	
614670	280660	Madre di Ivan
614670	394791	Regina Himica
614670	411885	Lady Gandal
614671	69516	Pilar
614671	192432	Bride
614671	211004	Geninha, a Menina da Rádio
614671	308742	
614672	404710	
614673	406228	Herself
614674	156317	
614674	211022	
614675	189086	Branca
614676	384118	Gardênia (1999)
614677	341455	Young Anna, Age 11
614678	90266	
614679	24377	Friederike
614679	225258	Lucy
614679	232768	Lisa
614680	195458	Puritan Girl
614681	402	
614681	12578	Frau Treutelbach
614681	21403	
614681	89706	
614681	90763	
614681	121000	Wirtin
614681	136902	
614681	155388	
614681	206824	
614681	281982	
614681	290775	Kupplerin
614681	293800	
614681	352390	Wirtin (landlady)
614682	397779	Mimmi
614683	397779	Enoks syster (episode "God ju
614684	244034	Kidney Rock
614684	283954	
614684	368158	Herself
614685	26238	Meg, Sings For The Replicants
614685	29101	Loretta
614685	77225	
614685	140193	Carolyn Crain
614685	149730	Carolyn
614685	270697	'Paprika' actress
614685	299098	Fairy Master
614685	313382	Nicki
614685	333421	Barbara
614685	342491	Faculty Member
614685	411815	Susie
614686	380430	
614687	340409	Herself
614687	401698	
614688	78613	
614689	139536	
614690	329484	Girl at Tabloid
614690	362310	Officer Contrero
614690	383316	Regular (2000-2001)
614690	410899	Co-host
614691	372525	Bobby
614692	65911	
614693	140843	Receptionist #2
614694	80589	Succubi, Kristen Masters
614695	259980	
614696	66078	
614696	101225	Jasmine
614696	132955	Cyliane Doré
614696	199564	Mrs. Liberian Ambassador
614696	225525	Kwango
614696	383358	Samia
614696	408662	Toura
614697	377055	La chanteuse
614698	11607	
614698	48667	
614698	56595	
614698	66699	
614698	112917	Prostituee 2
614698	147771	
614698	163644	
614698	220273	Lorette
614698	240761	1st Prostitute
614698	262491	Woman
614698	367852	
614698	409388	Herself - Jayre's Date
614699	17725	Käthe, Bocks Tochter
614699	23169	
614699	55450	
614699	77384	
614699	134828	
614699	144038	
614699	158564	Evi Pieske
614699	188725	
614699	188781	
614699	197835	
614699	243663	
614699	335021	
614699	345901	
614699	348677	Dolores Schulze
614699	351231	
614699	351911	
614699	352041	
614699	366524	
614700	293972	
614701	225980	
614701	340358	
614701	368056	Zangeres
614702	6319	
614702	6323	
614702	8033	
614703	268212	Helga
614703	379911	Cleo Koulianou
614703	395090	Tatiana Drakou #2
614704	8378	Vicky
614705	109237	Elsie
614706	230934	Wedding Guest
614707	201258	
614708	410681	Regular (1949-1951)
614709	339255	
614710	381463	Co-Host
614711	57857	Tisbe, daughter of Don Magnif
614711	278963	Melanto
614711	374129	Zweite Dame
614712	232426	Additional Voices
614713	7888	Wendy
614713	13383	Girl in class
614713	41802	Blue Girl
614713	47985	Pretty Girl
614713	51635	Kimberly
614713	87926	Daniella - Blue Ribbon
614713	90344	Blair
614713	107929	Bubble Girl
614713	202461	Christine
614713	204133	Emily Stone
614713	276842	Kimberly Parsons
614713	278712	Mary-Anne Nordstrom
614713	290983	Jewels
614713	329914	Sandra
614713	341018	Girlfriend
614713	342616	Kristi
614713	360176	
614713	365599	Distraught Guest
614713	366686	Anne
614713	387312	Tracey Antonelli
614713	390961	Kana
614713	398464	Elina Rigby
614713	406012	Asuka Sakurai
614714	235779	
614715	273724	
614716	168928	Coffee Shop Passerby
614716	223936	Jackie
614716	324388	
614716	339813	Faye
614716	380659	Monina Arriba
614716	381686	Gwyneth
614716	407538	
614717	137195	Caryl
614718	846	Herself - #65: More Things Th
614718	57061	Herself
614718	183338	Model (Freedom/Too Funky vide
614718	194684	Italian Woman
614718	216872	Herself
614718	266419	Herself
614718	348106	Herself
614719	116940	Bella
614719	241058	Jill
614720	269248	Girl
614721	682	Bathing Suit Woman
614721	26531	Audrey
614721	182955	Stenographer
614721	246222	Mrs. Smith
614721	328277	Hospital guard
614722	124222	Cook, Garlic Lover
614723	141180	Stacey Calhoun
614723	267576	Claire
614723	303066	Siren
614724	46747	Wedding Guest
614725	203319	Student/Fan Extra
614726	115917	
614727	42988	Connie
614727	91912	Claude
614727	238469	Ines
614728	126060	Nasia
614728	254925	
614729	205426	New Born Z
614730	74125	Beth
614731	175815	Granddaughter
614732	160885	Hair Admirer
614733	5953	
614733	33943	
614733	34841	
614733	57239	Herself (Alana Evans)
614733	75060	
614733	87427	
614733	93991	
614733	123811	Parole Officer
614733	196528	
614733	228029	
614733	228030	
614733	228031	
614733	228085	Herself (Alana)
614733	242553	
614733	248882	
614733	300519	
614733	306875	Herself
614733	306917	
614733	349969	
614733	372444	Elise
614733	410422	
614734	44433	Woman Arguing with Honey
614735	880	Chloe Simon
614735	4699	Catherine Kennedy
614735	40059	Kerry Speight
614735	109340	Kelly Vance
614735	139100	Emilly
614735	198574	Emmanuelle
614735	218308	Caroline
614735	277339	Helga
614735	346730	Macha Desachy
614735	381729	Diane Sullivan
614735	387466	
614735	402780	Nathalie
614736	644	Perky Girl
614737	45825	Emma Greenberg
614737	130017	Doctor
614738	271263	Baby Gudrun
614739	232503	Jeanne
614740	19798	
614740	115805	Mrs. Brent
614740	122076	Extra
614740	166747	Receptionist
614740	196572	Denise
614740	242939	
614740	380997	
614740	382419	Tawny Moore (1999-2000)
614740	400236	Tina Clayton Lord Roberts Rob
614740	411802	Patti Williams #2 (1983-1984)
614741	150567	Hostess
614741	299715	Mrs. Furnival-Jones
614741	405271	Sister Hilda Rolfe
614742	218387	
614743	185601	Angie
614744	136721	Brünnhilde
614744	149307	Job Counselor
614744	301092	Brünnhilde
614744	358689	Brünnhilde
614745	276270	Dancer
614745	402386	Android #2
614746	54923	
614747	81057	Delia
614747	157765	Angela
614748	198509	
614748	291020	
614748	312701	
614748	356656	
614749	290939	Dancer
614750	145312	Young Jackie
614751	55719	Khasi's wife
614752	48632	Melinda Von Tyler
614752	315701	Knuckle Junction
614753	397747	Presenter (2003-)
614754	26260	Alice
614755	183445	
614755	189153	Chorus Dancer
614755	241118	Dancer
614756	6021	Nikki
614756	207675	Girl
614757	161761	Sally
614758	7498	Chorus Girl
614758	41759	Guest at Cocktail Party
614758	188341	Milkmaid
614758	195190	Louisiana belle
614758	279411	Handmaiden
614759	10937	Dunya and various
614759	40228	Doc Holliday/Svetlana
614759	92618	Dr. T's Patient
614760	254522	Female Masquerade Dancer
614761	6732	
614761	13399	
614761	13503	Herself
614761	32921	
614761	34637	Herself
614761	35795	
614761	41846	
614761	52304	
614761	68172	
614761	75192	
614761	75193	
614761	83857	
614761	88158	
614761	98856	Miss Alaska
614761	98857	Girl in bar
614761	98858	Babs
614761	98859	Guitarist in Holly's band
614761	98878	Girl playing pool
614761	98879	Box office girl
614761	117348	
614761	125666	Officer Callahan
614761	149399	
614761	228105	
614761	264150	
614761	271792	
614761	295586	Capt. Alexa
614761	295748	Herself
614761	296190	
614761	298215	
614761	313274	
614761	313288	
614761	313681	
614761	321030	
614761	332865	
614761	347733	
614761	348239	
614761	361936	
614761	367529	Woman seen through telescope
614761	369913	
614761	369914	
614761	372134	Model in Back
614763	385299	Fiona Harding (1986-1988)
614763	393934	Chantal de Gracy
614764	115062	Aquarian Girl
614765	343122	Widow Callaghan
614766	189233	Conference Room Attorney
614767	407414	Sally McGann
614768	22103	
614768	41709	Geraldine Hicks
614768	56770	
614768	108400	
614768	131902	Mazie
614768	142128	Marjie Trenton
614768	147763	
614768	220165	
614768	255229	
614768	264045	Susanne
614768	323984	Stenographer
614768	363705	
614768	368623	Vivian Steel
614769	231110	Lady Bartender
614770	18544	Party Girl
614771	307687	Ceridwen
614772	232438	Female prisoner
614773	337404	Photojournalist/Traveler at A
614774	304734	Landlady
614775	160492	CBS News Producer
614776	156940	Louise Morton
614777	42808	Aerobics Teacher
614778	61855	Jenny Freemont
614779	133792	Cheerleader
614780	2419	
614780	8067	Mrs. Brown
614780	39797	Mountain Woman
614780	144896	Miss Brinkerhoff
614780	222678	
614780	234471	Woman
614780	274498	Bit Part
614780	284910	Attendant
614780	285683	Society lady
614780	292882	WAAF Phone Operator
614780	295284	Girl at country club
614781	61302	Mother
614781	105228	
614782	36388	
614782	77754	
614783	171079	Janice
614783	244420	Elisha
614783	315183	Jody
614784	284455	Finalist
614785	12353	Lorry Alastair
614785	18735	Billie Colby
614785	33695	Pam Reynolds
614785	33698	Sue Farnum
614785	33699	Lee Madison
614785	37322	June Mayfield, Night Club Sin
614785	56103	Barbara Compton
614785	72233	Ysobel Martinez
614785	90292	Reporter Toni Ames
614785	92130	Ruth Shaw
614785	128468	Ruth
614785	130871	Stormy Billings
614785	142284	Carol Randall
614785	143583	Jean Foster
614785	146813	Alice Chase
614785	148280	Connie Edwards
614785	149382	Dale Fairchild
614785	157886	Cuddles Walker (dance-hall si
614785	168658	Herself
614785	190607	Marjorie Brooks
614785	203051	Peggy Lane
614785	224236	Susan Kendrick
614785	243206	Hazel, Girl at soda fountain
614785	245005	Herself
614785	247227	Cathy Marsh
614785	271232	Jackie Dalrymple, posing as J
614785	280636	Jill Delaney
614785	282584	Herself
614785	285395	
614785	286925	Dale Kenyon
614785	305076	Mary Hunter
614785	308575	Clare Summers
614785	308597	Jennie Barrabee
614785	309825	Doris Stewart
614785	314138	Herself
614785	319193	Lucille Wiley/Kansas Kate
614785	321540	
614785	339664	Kay Harkrider
614785	342490	Pat Callahan
614785	346028	Helen Williams
614785	348972	Dorothy Bryant
614785	361685	Gloria Winston
614785	371072	Betty Weston
614785	385741	
614785	403841	Co-host (1962-63)
614785	403842	Dale Evans
614786	261119	Danielle Johnson
614787	49499	
614788	95221	
614789	1099	Police Officer
614789	194222	Gina's mother
614789	213226	Mother
614789	218721	
614789	224818	Rebecca Carlson
614789	279998	
614789	321718	Hostage
614789	364612	Woman Cop in Car Chase
614790	16866	Herself
614791	81493	Housemaid
614792	272085	Carlotta
614793	348039	Herself
614794	13576	Witness
614794	321731	Shelly
614794	332061	Female Terrorist
614795	368195	Frances Lane
614796	226905	Elder
614797	2353	Herself - accepting Best Dire
614797	2515	Herself - Presenter: Best Edi
614797	51562	
614797	58618	Mrs. St. Maugham
614797	72662	Aunt Louise
614797	73705	Lady Sophie Fitzmore
614797	79554	Aunt Betsy Trotwood
614797	89634	Anne-Marie
614797	96798	Aunt
614797	114575	Miss Victoria Woodworth
614797	140546	Judith Bliss
614797	148938	
614797	157189	Lady Bracknell
614797	185202	Merri
614797	194167	Mrs. Tanner
614797	199871	Josephine
614797	228046	Sister Hildegard
614797	236733	Rev. Mother Emmanuel (Belgium
614797	266222	Lady Roberta Bates
614797	269346	The Old Countess Ranevskaya
614797	291488	Ghost of Christmas Past
614797	305036	Dowager Queen
614797	335098	Miss Western
614797	348472	Queen Christian
614797	361304	Mrs. Pomfrey
614797	363675	Mrs. Ross
614797	389698	Grandmamma
614797	402552	Dr. Parmentier
614798	75272	
614798	84989	La Sirenetta
614798	317220	Mrs. Drew
614799	214187	Mary Flynn
614800	213577	Presumed Chorister
614802	372964	El
614803	217676	
614804	130422	Adoptive Parent
614805	302235	Mathilda McCann (age 1 - 1-1/
614806	92302	Elderly woman
614807	72877	Prison Guard (segment "Posses
614808	19461	
614808	52760	
614808	55943	
614808	376726	
614809	297228	Sue Curtis
614810	60850	Felicia Blakeney
614810	75434	Bessie
614810	79361	Lillian
614810	112591	Vera
614810	147217	
614812	46334	Prodigal Life Wife
614812	193176	Beautiful Martian Maiden
614813	104111	Prostituta joven
614814	39878	Mrs. James
614814	76619	
614814	161898	Mrs. Marshall Arnold
614814	203605	Sylvia Oglesby
614814	358617	Mrs. Asterbilt
614815	65108	Francine
614815	186733	Sarah
614815	255433	Alberta Ballard
614815	269863	The mother
614815	293078	1st Maid
614815	334212	Calpurnia
614815	407482	(segment "The Half-Pint Flask
614816	276054	Nellie Burns, Stenographer
614816	350494	Bessie Allen
614817	11210	Hedy
614817	43725	Velma Davis
614817	80398	Mrs. Gebhardt
614817	132866	Mrs. Randolph
614817	155315	Cora
614817	265859	Cellist
614817	315631	Elizabeth
614817	386414	Herself
614819	1189	Herself
614819	1465	Herself
614819	20213	Herself
614819	112601	Maryann Hill
614819	341931	Natalie
614819	364124	Herself
614820	347419	Shelly
614822	220804	Mrs. Piecan
614822	255413	Mrs. Piecan
614822	260239	Mrs. Piecan
614823	120579	Lady Delamere
614824	263786	Schoolgirl
614825	330375	
614826	286549	
614827	178947	Enid
614828	79311	Catherine/Yvonne
614829	262322	
614830	242492	
614830	358708	Trader (office)
614831	248108	Ruth
614832	2882	Peachie
614832	11385	Mrs. Haron
614832	67157	Melinda
614832	75600	Mrs. Masterson, The Landlady
614832	78086	Mrs. Stevens
614832	96989	Mrs. Jaw
614832	99447	Ma Simpson
614832	116963	Mrs. Jellicoe
614832	117557	Bit part
614832	120260	Gambling Dowager
614832	134120	Police nurse
614832	143577	Bartender
614832	154874	Mrs. Murphy
614832	177610	Comtesse De La Shayne
614832	178015	Landlady
614832	190057	Mrs. Riggs, the Prison Matron
614832	199330	Dressmaker
614832	211610	Dowager
614832	220490	Crying Prospective Client
614832	223723	Mrs. Adelaide 'Duchess' Crosb
614832	223906	Mabel (cleaning lady)
614832	224060	Mrs. Ellsworth
614832	227336	Mary Eldredge
614832	252886	Lisa, the Flower Woman
614832	272025	Ella
614832	275405	Mrs. Grondos
614832	317980	Lily, the Wilton's Cook
614832	318078	
614832	330087	Ann's Personal Maid
614832	337468	Grandmother Warren
614832	343118	Mrs. Smith, the Landlady
614832	356610	Mme. Denis
614832	363758	Nurse
614832	368324	The Cook
614833	391869	Matilda Hunter (2004-)
614833	405733	Abby Oakley (2003-2004)
614834	287501	Mrs. Singer
614835	185287	Secretary
614836	255235	Eve
614837	6952	
614837	46118	Mrs. Barnes
614837	74583	Sra. Pianni
614837	74603	
614837	78232	Rebecca Boone
614837	105465	Senora Duarte
614837	120705	
614837	134173	
614837	136288	
614837	215731	Woman (Ford Foundation)
614837	222677	Mrs. Babbington
614837	248747	Lillian
614837	252063	Anciana en reunion
614837	302076	
614837	302689	Dona Marian
614837	317731	Gringa
614837	318903	Mrs. Braddock
614837	325142	Mrs. Dexter
614837	340038	Old woman
614837	355852	
614837	356636	Aunt Eunice
614837	376705	
614838	194223	Reston Girl
614838	314923	Girl in Club
614839	84492	Mrs. Hedley
614839	185812	Ms. Childs
614840	207268	Female dancer
614841	205083	Herself
614842	193791	
614843	37215	Little Old Lady
614843	170451	Amnesiac Patient
614843	281927	Cloakroom Attendant (The Hust
614844	75519	Little Old Lady
614844	92618	First Exam Patient
614844	128422	Dorothy
614844	128706	New girl in laundry (stoolie)
614844	140912	Mae Daniels
614844	164992	Momma
614844	193718	Mrs. Pederson
614844	235422	Lois' Mother
614844	298126	Mrs. Brown
614844	308382	Harem Girl
614844	311514	Newsboy's Mom
614844	347692	Judge Thaler
614844	411355	First Jessamine Sister
614845	32241	Shower Girl
614846	192347	Charity
614846	219931	Special Guest Appearance
614846	248591	Hostess
614847	68733	Jazz Club Emcee
614848	105367	Cat
614849	305150	Paulina McTeague
614850	342566	Bonny Cartwright
614851	325844	Jenny
614852	61855	Paul MacKenzie
614853	41422	Maria
614853	48950	Additional Voices
614853	140193	Children
614853	337168	Additional Voices
614854	24209	Lily Pearce
614854	34821	Miss Vaughan
614854	71664	Rosa, Teri's Mother
614854	88882	Mrs. Parry
614854	102211	Mrs. Jones
614854	106232	
614854	138695	Blodwen
614854	183729	
614854	216169	Widow Parr
614854	234033	William's Mother
614854	255261	Cook
614854	271338	
614854	385020	Granny Megan Hopkins (1974-19
614854	388396	Mrs. Beavis
614855	85117	Cessia
614856	2016	Joan
614856	116443	Girl in secretary dance
614856	274502	Chorus Redhead
614857	162099	Fairy
614858	67629	Marcy Whitlock
614858	97496	Rita Conroy
614858	116195	Jan
614858	163245	Diane Baxter
614858	233811	Anne Benson
614858	240793	Jill Bradley
614858	244932	Joan Macaulay
614858	245292	Judy Polsen
614858	281909	Roseanna McCoy
614858	304096	Mary Kate Yarbrough
614858	315989	Terry Dolgin
614858	330703	Saleslady's Mother
614858	358665	Gail Russo
614859	96834	
614860	374525	Young Selena
614861	102581	Parents
614862	228517	
614863	16934	Jill Ware
614864	329990	Helpless Woman
614865	171930	Girl #2
614865	405209	Naomi Shrimpton (1996)/Jill F
614866	103254	Bondage Model
614867	395529	Blonde
614868	35745	Woman
614868	74288	Tandem Rider
614868	164605	Washerwomanh
614869	333430	Waitress
614870	7426	Sabine Blum
614870	24346	Dr. Börner
614870	45580	Grete Möller
614870	108623	Martha
614870	144028	May Tired
614870	155397	
614870	179833	Vera
614870	180153	
614870	188740	Dore
614870	189640	
614870	189819	
614870	210001	
614870	239106	
614870	268150	Klara Hill
614870	306403	Fräulein Winterfeld
614870	316550	Ärztin im Gesundheitsamt
614870	339384	
614871	363602	Mia's Girlfriend
614872	4815	Emily
614872	38718	Clare
614872	130470	Susannah Chisholm
614872	157068	Laura
614872	186298	Elizabeth Edwards
614872	263795	Rosemary Henderson
614872	383285	Helen Marriott
614873	185503	Bank Staff 2
614874	144406	
614875	24960	Polly Peters
614875	218415	Additional Voice
614876	319872	Kaye
614877	190961	
614878	273437	Herself
614878	315287	Herself
614878	402993	Herself/Chicago (2002)
614879	112182	Another Girl
614880	105457	Lana the Zombie
614881	81096	
614881	219638	Skating Waitress
614882	117162	Kate Sparks
614883	375714	
614885	312174	Young Kitty Harris
614885	382240	Percival
614887	37409	KUHF Exec
614887	397434	Jackie
614887	411162	Godot Woman
614888	297261	Secretary
614889	11683	Herself
614889	24779	Elsa Lang
614889	29885	Bobbi Rowan
614889	31193	Herself (ABC Team)
614889	31643	Sugar Kane
614889	37286	
614889	42345	
614889	64568	Ringmaster
614889	80056	Sylvie Norberg Kilkullen
614889	95875	Herself
614889	95877	Krystle Grant Jennings Carrin
614889	110941	Charlotte Paxton
614889	123303	Kate Muldoon
614889	152935	
614889	161313	Herself
614889	175583	Kate Muldoon
614889	178468	Nancy Poteet
614889	185277	Kate Hannon
614889	200314	Herself
614889	216312	Greta
614889	227053	Samantha Lowell
614889	232017	Herself
614889	236151	Amy Kessler
614889	298058	Jane McMillan
614889	313125	Jill Shasta
614889	313525	Herself
614889	314503	Joan Curtis-Shaw-Canfield
614889	331081	Bridie Mellott
614889	335093	Glendolene Kimmel
614889	338981	Herself
614889	342495	Alice Clinton
614889	363011	Krystle Carrington
614889	381998	Audra Barkley
614889	387152	Krystle Grant Jennings Carrin
614889	392275	Marty Shaw (1977)
614889	399684	Rose Sinclair
614890	77017	Graduation Band
614890	240688	
614891	148350	Claire
614893	324015	Water Taxi People
614894	74125	Beth
614894	315238	Partier #2
614895	269694	Mrs. Hildred
614897	351410	Waitress
614897	360242	Markita
614898	118021	Little Moll
614898	397651	Felicity
614899	11570	Amanda
614899	200201	Herself
614899	246530	Emma
614899	315889	Pam Johnson
614900	65184	Student outside principal's o
614901	299193	Dr. Susan Booth
614902	6950	Carol Montgomery
614902	8179	Maxine Bennett
614902	10578	Child Locked in Vault
614902	19999	Laura O'Neil
614902	20508	Julie Armstrong
614902	29856	
614902	32209	Letty Lawson
614902	33744	Francine (age 7)
614902	47374	Anne Ainsley
614902	47911	
614902	49802	Editha
614902	52696	Rosalind Rockwell
614902	70803	Mary Brian, age 8
614902	79826	Dorothy Day
614902	81235	Frances Clark
614902	85093	Betty
614902	86957	Paula Jordan
614902	102008	Helen
614902	103780	Patricia Booth
614902	105654	Ann Devlin
614902	106760	Friend of Claire at dance in 
614902	109489	Shirley
614902	121362	Letty Morris
614902	124474	Beth Leeds
614902	130894	Madge Lathroop
614902	132753	Lady Mary Fielding
614902	133998	Polaire
614902	135582	Barbara 'Babs' Grant
614902	137624	June Marcher
614902	141397	Countess Vima Walden
614902	141950	Heidi
614902	142348	Joan Standish
614902	142503	Glenda Wynant
614902	143669	Nedda Trevor, as a child
614902	144618	Dot
614902	148397	Madge Dow
614902	152215	Rosalie Stone
614902	153177	Bessie
614902	191731	
614902	191784	Geraldine Carmichael
614902	192148	Undetermined Role
614902	195544	Dolly Meredith
614902	195905	Patty Barnes
614902	196453	Mary
614902	199534	Claire Bidwell
614902	203515	Undetermined Child Role
614902	204875	
614902	207411	Jean, as a child
614902	207774	Constance
614902	208696	Dorothy Griffith
614902	210876	Helen Sherwood
614902	218786	Toni Adams
614902	229512	Clarissa Leigh
614902	230811	Georgia Gwynne, as a girl
614902	236503	Dorothy Mason
614902	240679	Lisbeth
614902	249026	Julia 'Julie' Bell
614902	252241	Susan Sprague
614902	253467	Agnes Wickfield
614902	255083	Ann Chester
614902	261996	Deanie Consadine
614902	277227	Nannie Stevens
614902	295372	Clara
614902	295413	Jane Baxter
614902	299805	Mildred
614902	300123	Amy Fisher Piper
614902	302885	Anne Wesson
614902	308363	Janice
614902	311735	Miss 'Missy' Ruby
614902	313076	Mary Adams
614902	315139	Ruth Le Page as a child
614902	318177	Little Emily
614902	330606	Helen O'Neill
614902	331390	Child
614902	340736	
614902	341771	Ruth McAllan
614902	351693	Young Nan
614902	356634	Herself
614902	359131	Eileen Homer
614902	360621	Marjorie
614902	361617	Anne
614902	362201	Lady Sybil Tenterden
614902	367432	
614902	374196	
614902	397044	Herself/panelist (1952)
614903	277634	Margot
614904	260327	Nude
614905	136822	Chorus - contralto
614905	334757	Chorus
614906	142357	Nurse
614907	121997	Herself (Volume I: Elders)
614908	75144	
614909	142716	Nurse
614909	305228	Car Hop II
614911	193260	Anderson
614911	365184	Pearl
614911	368943	Actress
614912	13836	Receptionist
614912	196365	Piper
614912	292820	Kitty Beaumont
614912	337163	Buffy
614912	380713	Sierra Esteban Drake #2 (2000
614912	385824	Kayla Brady Johnson #2 (1986-
614912	389858	Katherine Bell Ashton (1993-1
614912	403452	Dakota "Koty" Lane #2 (1984-1
614913	82643	Dancer
614914	121522	Receptionist
614915	383363	Mrs. Preston (The Pardoner's 
614916	169578	Girlfriend
614917	109613	Margaret Victim
614918	38248	Renee
614919	245601	
614920	302793	Beverly
614921	148383	Sunbeam Teacher
614922	46981	Woman #1
614922	90988	
614922	159129	Marie
614922	224714	Helena
614922	289109	Jean's Wife
614922	388840	Lady Chittenden's neice
614923	91082	Dora Thorne
614923	109728	
614923	109815	Matilda
614923	292051	Alixe Durvarney
614923	346112	Laura Courtland
614923	367495	Stella Everett
614924	144667	Teenage Girl
614925	255827	Bit Part in Church Scene
614927	20218	Abigail Gabble (Goose)
614927	31596	Dyllis
614927	238229	Cecily Pigeon
614927	279733	Maid Marian
614927	358803	Maid Marian
614927	384783	Sally Henderson/Harmon
614927	387786	David's secretary
614927	399961	Cecily Pigeon (1970-1971)
614928	212051	Student
614929	8583	
614929	103441	Madame Ming
614929	104482	Diana
614929	116391	
614929	296133	
614929	380120	
614929	390737	
614929	391609	Alaíde
614930	131232	Extra
614931	19562	Miss Evans
614931	37140	Honey, Ted's Fiancee
614931	44690	Retta Lowrey
614931	44701	Starr Landerson
614931	47374	Doll Face, Chorus Girl
614931	52509	Linda McHenry
614931	89262	Miriam Jones
614931	107859	Muriel Gilbert
614931	109536	Nurse
614931	128243	
614931	131555	
614931	140332	Helen, Schauber's Secretary
614931	141034	Edith Arlen
614931	141555	Blonde Cutie
614931	144672	'Baby'
614931	146225	Muriel
614931	148226	Mrs. Errol
614931	150386	
614931	151004	Julie Fenmore
614931	154680	Herself
614931	177483	Belle Jackson
614931	186291	Nellie Gray
614931	204182	Tootsie Malone
614931	215754	Dorothy Benson
614931	220862	
614931	220892	Theresa
614931	228488	Muriel
614931	230634	Hanna Lewis
614931	236113	Muriel Evans
614931	236894	
614931	246254	Wrong Eddie's bride
614931	265010	Linda
614931	277651	Trixie Lane
614931	279573	Mary Parker
614931	280641	Ruth Evans
614931	281379	Fern, Joey's Girl
614931	283859	Agnes Randall
614931	302004	Janet Allison
614931	305695	Nan Page
614931	317411	
614931	327704	Norma Corbett
614931	331560	Mary Stevens
614931	331937	Muriel Fergus
614931	343252	June Prentice
614931	346201	Governess
614931	361703	Joan Hale
614931	367814	Molly
614931	372596	Muriel Evans
614932	18436	Young Girl #2
614933	45531	Mrs. Hamilton
614933	83917	Mrs. Rutherford
614933	108300	Madge Saunders
614933	148552	Sarah Crittenden
614933	154882	Mrs. Barton
614933	190264	Delia, Third Maid
614933	210795	Mrs. Doakes
614933	221170	Girl
614933	224273	Baby Hawks
614933	251418	Miss Smith
614933	316156	Hilda Shaefer
614933	360834	
614934	191195	
614935	23104	Herself
614935	35814	The Cashier
614935	52698	
614935	68386	The Female Patient
614935	80156	Inspectrice du Travail
614935	265679	Gail
614935	278734	Madame Colin
614935	319969	Miss Gough
614935	345298	Shop attendant
614935	346646	La femme distinguée
614935	383356	Babette
614935	386801	(1970)
614935	396187	
614935	396870	Emilie Loiseau
614935	398254	Béatrice Carvallo
614936	86218	Pregnant Girl
614937	1145	Honey
614937	78141	Ann
614937	118908	Bobbi
614937	142623	Melanie Thorne
614937	283183	Crack Whore
614938	55488	Gigi
614939	327831	Singer
614940	131232	Extra
614941	108941	Kitty
614942	220276	Seamstress
614943	226905	Child
614944	10722	Telephone Operator
614944	78986	Judith's friend
614944	128827	Prisoner
614944	178042	Tenant
614944	214080	Bit Part
614944	217946	
614944	297889	Phone Gossip #1
614944	303307	Telephone Operator
614945	41851	Diana Lewis
614945	52657	Molly
614945	59555	Girl
614945	194173	Typist
614945	195731	Gloria 'Golly' Raine
614945	222574	Joan Lawton
614945	252267	Penny Justin
614945	290344	Cpl. Daphne Adams
614946	8746	
614946	14941	
614946	30765	
614946	52247	Jill Robinson
614946	55086	
614946	87135	
614946	99709	
614946	146567	Marisa
614946	193191	
614946	198370	
614946	221550	Mari
614946	236474	
614946	260770	
614946	351428	
614946	354785	
614946	355001	
614946	376808	
614946	378465	Esperanza
614947	86249	Belinda
614948	330830	Baby Luke
614949	2545	Bit part
614949	163961	Guest
614950	305870	
614951	88264	Rita
614951	113807	Kathy
614951	144922	Girl #1
614951	241285	Carol Mason
614951	270916	Jennifer
614952	6914	
614952	21510	
614952	25401	
614952	47587	
614952	71640	
614952	93665	
614952	194877	
614952	346321	
614953	226905	Tribe member
614954	32740	Young Mary
614955	16866	Herself
614956	115716	Lily Toon
614957	5340	Herself
614957	66237	Herself/Performer
614957	66247	
614957	71763	Herself
614957	368302	Herself
614957	384538	Herself
614958	213350	
614959	21369	Imposter
614959	208632	Dr. Cooper
614959	230329	Annabelle
614959	372105	Delia Galway
614959	387993	Lizzie
614959	396709	Fiona
614959	401459	Sarah Chapman
614959	408016	Sgt. Patricia Dawkins (1995-1
614959	408867	Hannah Day (part 2)
614960	130781	
614960	252374	Girl
614961	41422	Dolores
614962	72208	Audience Member
614963	26659	
614964	87578	Glenda
614964	200334	The Accordionist
614966	135591	
614966	175100	Angie Carechal
614966	278120	Tina (?)
614966	400208	
614967	790	
614967	2165	
614967	11435	
614967	14114	
614967	34633	
614967	41120	
614967	43884	
614967	56575	
614967	74726	
614967	75031	
614967	75059	
614967	93990	
614967	104609	
614967	105151	
614967	119915	
614967	135521	
614967	135522	
614967	139262	
614967	144867	
614967	232879	19yr Old Girl
614967	249671	Chica Nudista
614967	264729	
614967	264737	
614967	264743	
614967	264749	Herself
614967	291438	Blonde European
614967	297334	
614967	306909	
614967	306923	Herself
614967	312380	
614967	330055	Sophia
614967	343951	
614967	348825	
614967	349387	
614967	360609	
614967	376838	
614969	27078	Kim
614969	194145	Fighter
614970	135357	
614972	261643	Old Ana María
614973	226981	Table Dancer
614974	107728	Young Woman by the Road #2
614974	196481	
614975	355014	Parent
614978	33873	
614978	267093	
614978	279920	
614978	296995	
614978	369881	
614979	2472	Tracey
614979	26666	Questioning Bride
614979	333902	Restaurant Customer
614980	185137	Woman Agent 2
614982	194300	Bearded Lady
614984	270135	Emma Phelps
614985	48040	Older Woman
614985	171030	Nurse
614985	242105	Nurse Garcia
614985	300913	Lydia Moulet
614986	54734	Mercedes
614986	236954	Liquorice Allsort
614986	320797	
614987	302235	Mathilda McCann (age 1 - 1-1/
614988	2434	
614988	247990	
614989	82346	
614990	40533	Woman on Bus
614990	47857	Denny's Mother
614990	64842	Nurse in Messinger's Room
614990	81652	Matty
614990	223026	Nurse
614990	223772	Maggie
614990	230116	Desk Sergeant
614990	232447	Stella
614990	240785	Social Worker
614990	278279	Police Receptionist
614990	312357	Nurse
614990	339649	Admitting Nurse
614990	348303	Focus Group Member
614990	358376	Jane Millhouse
614990	363913	Renee
614991	107947	
614992	259407	Townsfolk
614993	133963	Lady Grace de Vigne
614993	138903	Lady Burdon
614993	162543	Constance Constantia
614993	183606	Clare Hampden
614993	207394	
614993	246721	The Flirt
614993	311462	Lady Mary Swinton
614993	331488	Lady Harland
614994	107230	Herself
614995	3265	Reporter
614995	70965	Paula Nicholson
614995	80557	Female Passenger
614995	222565	Mary
614995	272973	Mrs. Levine #1
614995	282872	Receptionist
614995	363078	Mrs. Simmonds
614996	5430	Cynthia
614997	32809	Jim's wife
614998	196319	Consultant
614999	5033	Mrs. Fine
614999	5545	Miss Deverich
614999	15943	
614999	37113	Selma Parker
614999	37148	Widow Simpson
614999	41502	Hilda, Mrs. Kahly's Maid
614999	43350	
614999	51975	Miss Barker
614999	54471	Nurse
614999	60873	Mother
614999	64729	Leland's Nurse
614999	66005	
614999	70960	Forelady
614999	77456	Mrs. Castleman
614999	79897	Mrs. Crockett (boarding house
614999	83853	Queen Hedwig
614999	90299	Swedish Maid
614999	92100	Mrs. Edgett
614999	92983	Mrs. Blackford
614999	99093	Miss Banks
614999	107873	Nurse
614999	112508	Madame Paquin
614999	117646	Sarah
614999	118321	French maid
614999	121663	Mr. Cowperwaithe's Secretary
614999	123128	Bit
614999	128308	Josie
614999	128468	Huida
614999	154553	Aunt Sigrid
614999	163300	Mrs. Peterson
614999	164708	Louise Harper
614999	169474	Icelandic proprietress
614999	183638	Dressmaker
614999	186773	Stella
614999	190268	Anne
614999	199304	Mother Superior
614999	200500	Annie Gough, Holmes' Housekee
614999	203615	Hannah
614999	206255	Rita
614999	218704	Villager
614999	224588	
614999	235695	Olga
614999	243206	Hilda
614999	252163	Newsstand Proprietor
614999	252981	Mary Travers
614999	265005	Mrs. Ahlquist (Speak English!
614999	269853	Mrs. Merric
614999	272956	Mrs. Hickman
614999	274497	Mrs. Barrett
614999	276948	Genevieve
614999	281546	Mrs. Wilson
614999	297322	Mrs. Shipstead
614999	302008	Belle Dowdy
614999	302656	Miss Barnes
614999	309505	Housekeeper
614999	311530	Woman
614999	315513	Mrs. Simmons
614999	316166	Mrs. Coggins
614999	316270	Mrs. Martin
614999	321519	
614999	321566	Woman
614999	334460	Aunt Olive
614999	342474	Lisabetta, the landlady
614999	347136	Mrs. Willecombe
614999	367577	Alma
614999	372179	Mrs. Racknell
614999	372749	Lotte, the Dittmar Cook
614999	372929	
615000	196319	Bishops' Daughter
615001	394872	Dulcinéia
615001	402685	Empress Leopoldina of Hapsbur
615002	368595	Mind Readee
615003	1487	Herself
615003	2573	Herself - presenter
615003	3312	Performer
615003	29745	Terri Jones
615003	29746	Terri
615003	29951	
615003	41594	
615003	41616	
615003	59665	Herself
615003	70382	Becky
615003	78271	Blonde Girl
615003	79691	Vivian
615003	110939	Herself
615003	128694	
615003	145643	Herself
615003	208475	Herself (#11) (Interviewee)
615003	209936	Herself/Kyoko in 'He Never Di
615003	215932	Herself
615003	221427	Herself
615003	221481	Herself - Pre-Show Performer
615003	221487	Live performance
615003	228025	
615003	273280	
615003	300521	Blonde
615003	305231	
615003	326662	Performer
615003	338304	Tracy
615003	368154	Mary-Kay
615003	369751	Major Jones
615003	370017	J.J.
615003	373447	Kyoko
615003	373450	
615003	387972	Shelly Williams
615003	389805	Herself
615003	407815	Herself (Single) (2003)
615004	347200	Kane
615005	140530	Martha Guthrie
615005	312767	Miss Frayne
615005	403803	Cicely Boyd
615006	121567	Eva
615006	256275	Governor
615006	289465	Herself
615007	284180	La fetite fille snob
615008	105424	Tracy
615009	50385	
615011	289761	Organa
615012	282985	Herself
615013	183797	La bergère au hameau du Trian
615014	274521	Zombie
615015	285605	Portuguese Woman
615016	411056	Brenda
615017	224644	Villager
615017	264710	Young Mother
615018	149890	Shingo's Lover
615018	183467	
615018	319149	Student
615018	362877	Herself (Evelyn and Her Magic
615019	69161	Host
615020	184214	Marina
615020	216214	
615020	380387	Sandra
615020	381523	Fânia
615020	383727	Beatriz Vasconcelos Amorim
615020	386122	Alcmena
615020	386123	Fernanda Monteiro
615020	388065	Ione
615020	388591	Frida
615020	389786	Lenita
615020	391609	Raquel
615020	395044	Cibele de Almeida Meireles
615020	396722	Young Vera
615020	397541	Arlete/Netinha
615020	397645	Marisa
615020	398040	
615020	398549	Basilia Olinto Gois
615020	402504	Bárbara
615020	404799	Flávia
615020	409405	Virgínia
615020	410096	Ruth
615021	141210	Margery Fields
615021	144940	Emma Hanford
615022	1087	Sister Marie
615022	16747	Mrs. Manningham
615022	47974	Mme. Anna Hohlakov
615022	98012	Taia (Queen Mother)
615022	110965	Eloise Crandall
615022	127394	Mrs. Nancy Lynnton
615022	145316	Stella Crane
615022	273543	Miss Lonelyheart
615022	333567	Martha Higgins
615022	342487	Ethel Peacock
615022	402245	Countess Larische
615022	406788	Volumina
615023	369982	(group 'Paquitas')
615024	69850	Lady Saunders
615024	218607	The Girl
615024	246339	Doreen Blake
615024	314341	Eliza Lanyard
615024	330319	The Girl
615024	366119	Dorrie Richards
615025	366884	Mrs. Elena Warwick
615026	148995	Kim
615026	340147	
615027	284544	Mrs. Dixon
615028	58311	
615028	198573	
615029	395073	Gili
615030	338725	Sandra
615031	15056	Gabrielle
615032	252310	
615032	354912	
615033	96061	
615033	282486	
615034	262948	Singer - Das erste Rrndezous
615035	6591	Housemaid
615035	12372	
615035	51243	Marie
615035	54250	La femme du forgeron
615035	55268	Lucie
615035	58705	
615035	61983	La médecin
615035	62568	
615035	84222	Bridge player
615035	88842	Madame Gilbert
615035	89352	La fille de la commune
615035	97070	La femme de ménage
615035	110120	
615035	117952	Suzanne
615035	160818	
615035	169980	
615035	170443	Madame Foléas
615035	186575	Mme Pourchaud
615035	188682	Mme Florent
615035	193444	Catherine
615035	205929	Gisèle
615035	211630	
615035	216239	La femme du passeur
615035	225358	La Margot
615035	231262	La fille Trouillon
615035	249461	Une villageoise
615035	251527	Jocelyne
615035	254168	Marie
615035	280517	
615035	288893	Maryvonne
615035	310671	
615035	324321	Waitress at Hotel des Grands 
615035	327566	Mme Azoulay
615035	328391	Babette
615035	328751	Girl in benbouse
615035	340110	Nini
615035	345368	
615035	355806	A Witness
615035	356521	La femme voilée
615035	377466	
615035	397200	Berthe
615035	400869	Mme Dubourel
615035	402720	Mme Nimier
615035	402735	Irène Joliot-Curie
615036	390336	Herself
615036	398111	Presenter (1990-)
615037	56207	Nikki Ross
615038	367323	Native American
615039	11970	Corinne
615039	12043	Juliette Coustard
615039	15911	Hona
615039	23831	Mabel
615039	23833	Betty
615039	28180	Mme Duchatel
615039	51393	Claire
615039	57474	
615039	63853	Carla
615039	66714	Herself
615039	108977	
615039	119023	Catherine
615039	149237	Martine Hadol
615039	198574	La boulangère
615039	226026	Betty
615039	231241	Pierre's mother
615039	249087	Aglaé
615039	249128	Une collègienne (segment "Sop
615039	276536	Marie
615039	285736	Sophie Chartier
615039	286515	Samantha
615039	318515	La meurtrière
615039	345117	Cathie
615039	357816	Gwendoline Kernadet
615039	381297	
615039	381614	Linda
615039	384577	Geneviève
615039	389021	Blanchette
615039	390395	Maïder
615039	391621	Herself
615039	393243	Jacotte
615039	402619	Cloclo
615040	199167	
615041	239102	
615042	309211	Melody
615043	46630	Lillian as a Child
615044	1792	Miss September 1984
615044	36760	Beth
615044	173318	Joni
615044	176453	Debbie
615044	230657	
615044	257814	Herself
615044	257859	(segment Flights of Fantasy)
615044	260697	Inga
615044	361862	Herself
615045	128429	Resort Waitress
615046	380381	
615046	402074	Suzy
615047	188623	Old Lady
615047	226517	
615047	226797	
615047	236633	Metsamoor
615047	323302	Miss Marple
615047	357230	
615047	370596	Marta
615048	380381	
615048	402074	Suzon
615049	265236	
615050	379628	
615051	294080	Lisa Grayson
615052	409578	Miss. Spark
615053	305982	Katie Clawson
615053	309586	Marie, Lian's Child
615054	15187	Prostitute
615054	238427	Isabel
615056	209210	Cultist
615057	80065	Foster Parent Mom
615058	21637	
615058	23901	Mary Foster
615058	37510	Blanche Maitland
615058	52733	Rachel Penryn
615058	61719	Francesca
615058	68324	Mrs. Olav
615058	77463	Miss Lamont
615058	78008	Mrs. Judson
615058	81071	
615058	87631	Mrs. Venters
615058	97772	Mary Foster
615058	98653	Mother Superior
615058	109729	Lady Elizabeth Ferguson
615058	117647	Girl's Mother in Air Raid She
615058	118510	Kate Falconer
615058	120150	Mrs. Dawson
615058	120151	Mrs Dawson
615058	124374	Elizabeth Tompkins
615058	140779	Mrs. Cavour
615058	148405	
615058	152782	Doña Marciala
615058	153631	Helen Plugenet
615058	157188	
615058	160117	Mrs. Wyatt
615058	160555	Mrs. Lefson: Charity Committe
615058	165444	Lady Ingram
615058	165445	Mrs. Fairfax
615058	169670	Anne
615058	170547	Mrs. Nolan
615058	183315	Mrs. Lorraine
615058	183375	Lady Evelyn Spate
615058	183606	Alice
615058	190884	Hempel
615058	193371	Mary Foster
615058	193374	Mrs. Bunting
615058	194772	Mother Superior
615058	195678	Anna
615058	199554	Mrs. Smith
615058	202930	Lady Slade
615058	203137	
615058	203509	Martha
615058	203690	Elaine Ferrier
615058	209598	Miss Duke
615058	210828	
615058	215808	Nurse
615058	215862	Mrs. Ivy Litvinov
615058	235432	Hetty Challis
615058	236887	Nurse Merrick
615058	239738	Mrs. Briggs
615058	250650	Mrs. Cardby
615058	253428	Joyce
615058	254515	The Aunt
615058	263785	Baroness Lehzen
615058	279183	
615058	280937	Mrs. Jocelyn
615058	281073	
615058	281358	Mrs. Foster
615058	282254	Mrs. Dick
615058	285326	Mrs. Dawson
615058	291486	Mrs. Cratchit
615058	292202	Mrs. Windel-Tod
615058	298028	Agatha
615058	299544	Jinny Chester
615058	308543	
615058	328904	Lucinda
615058	329951	Mme. Marquand
615058	335545	Mrs. Parsons
615058	336037	Mrs. Nelly Fell
615058	340915	Ursula
615058	344931	Mrs. Wynne
615058	347109	Lizzie Flynn
615058	348532	2nd Old Lady
615058	349983	Delia
615058	359104	Mrs. Colebrooke
615058	359518	
615058	362906	Mme Lamberti
615058	364530	Maddalena
615058	365739	Mrs. Hathaway
615058	368621	Mrs. Brophy
615058	395753	Mrs. March
615059	290394	Mrs. Wheeler
615060	102483	Lesbian
615060	128640	
615060	133921	
615060	333832	
615060	333834	
615061	122113	
615061	385151	Additional Voices
615061	394427	Additional Voices
615062	286800	Marquise D'Andolin
615062	302875	Mrs. Horton
615062	315118	Marthy
615062	353304	Mrs. Spaulding
615063	231964	Flower Girl
615064	192998	Alice Ouspensky
615065	184814	Shocked Maid
615065	320453	Marta
615066	19783	Mary Foster
615066	93215	Mary Foster
615066	176564	Mary Foster
615066	194289	Herself
615067	52204	Maya
615067	385301	Jasmine 'Jazz' Weaver (2002)
615068	90826	Herself
615069	368592	Whore #4
615070	37415	
615070	87336	Gertie La Rue
615070	97131	
615070	175157	Fanny Singleton
615070	234070	
615070	248461	Desdemona Jones
615070	310862	Herself
615070	324057	Miss Tall, Tan and Terrific
615070	329553	
615071	60332	Herself
615071	231834	Emily
615072	300006	Mme. Brassard
615073	245324	Paula cole
615074	401778	Female demonstrator
615075	59876	Jen
615076	137493	Carlotta Evans
615076	345860	Villager
615077	362426	Party Guest
615078	29523	Lee
615078	61234	Claire
615078	82097	Herself
615078	95543	Nikki
615078	110180	Freda
615078	128891	Receptionist
615078	265594	Cowgirl Hottie #1
615078	283847	Vera
615078	327756	Joan
615078	329522	Kitty
615079	80581	Nurse Robbins
615080	216885	Mrs. Egan
615081	144406	
615082	105280	Harry Winston Dancer
615082	152222	Dream Dancer
615082	267339	Mrs. Kamen
615082	305778	Black Waitress
615083	222599	Waitress #2
615084	411261	
615086	316997	
615087	100868	Olive Fleming
615088	405209	Yvonne (1998)
615089	113286	Child
615090	17934	Female Doctor
615090	44416	Model in Red Hot
615090	62032	Cindy
615090	81977	Joyce Collins
615090	82743	Sharon Gale
615090	91848	Susie
615090	98155	Marlyn 'Mike' Fulbright
615090	193357	Ms. Tangelo
615090	267213	Sam Leary
615090	330704	Anne
615090	339405	Christa Klein
615090	388347	Jill Nichols (1991)
615090	392159	Carol (segment "Legs")
615090	403013	Kay Lockman (1991-1992)
615090	409633	Catherine Ness
615091	1500	Chessy Jenks
615091	29049	Natalie
615091	29920	Carly Marsh
615091	38999	Samantha 'Sam' Jensen
615091	44238	Lillith
615091	48983	Emily Foster
615091	52828	Herself
615091	65954	Julie
615091	72503	Kathy DeMaio
615091	76249	Kim Taylor
615091	82837	Candace
615091	86752	
615091	105732	Lacey
615091	124123	Kelly
615091	135886	Jane Woods
615091	141301	Mary Sanders
615091	147781	Julia Prentice
615091	164699	Patrice Jacinto
615091	185053	Video Babe
615091	185167	Beth Spinella
615091	195689	Lea Calot
615091	199169	Gabriella
615091	201625	Herself
615091	258869	Jessica
615091	273286	Samantha Vassar
615091	283558	Katherine
615091	316513	Kate
615091	317894	Jenny
615091	361224	Herself
615091	364732	Lana
615091	379253	Host/Talent
615091	383755	Herself (The Mole)
615091	386964	Kim Taylor
615091	409313	Carly
615092	273333	Nurse Gimlet
615092	278463	Cecily
615093	269890	
615095	85117	Waitress
615096	201112	Extra
615097	136014	
615098	216126	Kathy
615098	292463	Woman #1
615098	366925	Reporter #1
615098	411802	Peggy Brooks #2 (1979) (alter
615099	40809	Herself
615099	278083	Herself
615100	353307	Teenage Junkie
615101	329976	Julia
615102	269504	Young Girl on Beach
615103	61572	Andrea
615104	360055	Alison
615105	19736	
615105	119484	Cartoonsville Waitress
615106	18609	Betty Kelley
615106	32210	Lois Peabody
615106	56098	Nurse Petherbridge
615106	115849	
615106	117754	Maid
615106	120761	Gail Hawthorne
615106	135939	Girl at party
615106	140508	Helena Rand
615106	147650	Bit Role
615106	155846	Lady-in-Waiting
615106	199217	Lee Wilson
615106	205724	Woman in Gaming House
615106	223654	Bit Role
615106	231124	Neeny, at Party
615106	259227	Milly
615106	277964	Joyce Garth
615106	297936	Janesy
615106	305507	Bit part
615106	308022	Girl
615106	308299	Nurse
615106	335649	Clara
615106	343113	
615106	361300	Bit
615107	183132	Herself
615108	116936	
615109	284137	Karin
615110	228660	Girl in high-wire act
615111	2130	Koningin Anna
615112	37839	Bassett, Fairfield's Maid
615112	139942	Saleslady
615113	49637	Policewoman
615113	215796	Norma Capstick
615113	298055	Catherine
615113	324014	Female Administrator
615113	347112	Secretary
615113	383277	Mildred Floyer
615113	387605	Air stewardess
615114	109210	Miss Kranz
615114	263169	Mrs. Sarah Green
615117	310303	
615118	35667	Herself
615118	309920	Herself
615118	388137	Herself
615119	1480	Herself - Presenter
615120	170848	Herself - Participant/Perform
615120	212334	Herself - Participant/Perform
615121	390812	Silke Balzer (1999)
615121	395667	Suzanne Richter (2000-)
615122	127295	Cambi Evers-Everette
615123	351529	Tune
615125	143565	Basketball player
615127	158818	Cheerleader #2
615128	28611	Claudia
615128	91752	Kara
615128	110916	Sondra
615128	219371	Miss Olympia
615128	228434	TV Mallory
615128	325162	Mara
615128	382397	Herself
615130	289615	Duchess
615131	401973	Poor Widow
615132	220487	
615133	53889	
615133	287889	
615133	327326	
615134	50059	Herself
615134	57635	Herself
615134	161765	Herself
615134	365942	Herself
615134	383802	Herself
615134	392529	Herself (segment "Babes in Bo
615135	98309	
615136	173151	
615137	405163	P.E. Teacher
615138	41552	Hooker
615139	128821	
615139	321556	Winter
615140	147974	News Reporter
615141	263284	
615142	24746	Shon Carolina
615143	180663	Luemlaiwan
615144	105104	Herself
615146	294794	Delia Budd (reenactment)
615147	314507	Flamenco Dancer
615148	280356	Lisa Sanchez
615149	106552	Additional Voices
615150	687	Herself
615150	260295	Herself
615150	385318	Host
615150	401836	Herself (Series 1) (2001-2002
615150	401837	Herself (Series 1) (2001-2002
615150	401877	Herself
615151	79301	Waitress
615151	236154	Lillian
615151	302769	Lola Mae's Patron
615151	314308	
615151	329997	Dana
615152	356195	
615153	38000	Baby Bunny
615154	95870	
615154	178459	Jenny Delafragga
615154	245857	
615154	338985	
615154	394026	Stavroula
615154	394168	Gianna
615154	395608	(guest)
615154	397425	Nana Stamati
615154	400504	
615154	403251	Irini
615155	151050	Aubrey South
615156	96775	Alexandria Fuller
615156	210204	Susie
615156	230107	Peg Wallace
615156	269855	
615156	309202	Hot Girl
615156	333288	Samantha Jennings
615156	362598	Vanessa
615156	379409	Jenny Clemons
615156	405783	Sara Valentine
615156	411802	Brittany Hodges #1 (1999-2000
615157	29157	
615157	343634	
615158	32046	
615159	201941	Taffy
615160	222778	
615160	404605	Helmswoman Lonnie Henderson (
615161	27140	Dulcie Lindsay
615161	51794	Mrs. Norris
615161	65681	Alda
615161	96768	Meg Neilson
615161	99969	Miss Arnott
615161	138363	Jean
615161	184520	Visitor
615161	223991	Leah
615161	301685	Luisa
615161	313828	Nana
615161	316726	Sister Sweet
615161	330155	
615161	333127	Em Melville
615161	362414	Gran
615161	384484	Faith Wilson
615161	387521	
615161	388977	Violet Carnegie
615161	388978	Violet Carnegie (1986-88)
615161	401451	
615161	402197	Jessie Windom (1986)
615161	408664	Mrs. Collard
615162	74	Elizabeth
615162	30683	Nancy Danielson
615162	106320	Evita
615162	171614	
615162	212474	
615162	220714	Dr. Trask
615162	221182	Bunny
615162	351461	Evita
615163	22818	
615164	142836	Julie, Georgs veninne
615164	156272	Solveig
615164	196810	Mrs. Mørk
615164	206631	Kjersti
615164	305589	
615164	305858	
615164	344292	
615164	381667	Rosa
615165	59156	
615165	77640	Club Singer
615165	140951	
615165	141591	
615165	148978	
615165	193772	
615165	241138	
615165	243083	
615165	292500	
615165	328131	
615165	330672	
615165	340404	
615165	346225	
615166	50794	
615167	258405	Saly
615168	273724	
615169	266591	Gloria
615169	310639	Woman at Poker Game
615170	345298	Georgina (Insp. Mayens' daugh
615171	234932	La Fille
615172	112886	
615173	320010	La chanteuse
615174	67182	La princess de Lamballe
615175	231553	Dansend meisje 1
615176	382740	Herself (Episode 1)
615177	382093	Elmas
615178	104767	Cyprian entry (11th place)
615178	104769	Cyrpian entry (11th place)
615178	257649	Miss April
615179	143729	
615180	30509	Yana
615180	45764	Porednata sapruga (segment Ta
615180	63575	Miloserdnata sestra
615180	109742	Victoria
615180	162731	Garderobierkata
615180	164067	
615180	224447	Margarita
615180	229817	Kateto
615180	243640	Reni
615180	261359	Meri
615180	262499	
615180	272903	Maria
615180	280589	
615180	286716	Dashteryata na Luka, Deyzi
615180	339236	Dafina
615180	339314	Mariya
615180	373465	Katerina
615180	373567	
615180	375742	Boneva
615180	411979	
615181	297637	Ruiz's Girlfriend
615182	189617	
615183	94625	
615183	102981	Kochin
615183	119168	
615183	120053	
615183	126481	
615183	143996	
615183	173173	Wife of Meynet
615183	215694	
615183	216987	
615183	216995	
615183	361410	
615183	376390	
615184	259484	
615185	342459	Saleswoman
615186	108197	Bengan's Girl
615187	292332	Janet
615187	335839	Betty, Female Cadre, Igno
615188	39711	Aïda
615188	85541	Juliette Triboulet
615188	123481	
615188	133167	Valentine
615188	164153	Aimée
615188	198841	Mother Bavusi
615188	201115	Marie-Louise
615188	211362	Cuisinière de la pizzeria
615188	211901	Mme Bienfarcye
615188	225445	
615188	225531	Marilyne
615188	332216	Elisa
615188	336641	Mere Khoudia
615188	337138	
615188	338003	
615188	370420	
615188	377792	P.M.U. Customer
615189	161270	
615190	334780	Curious Party Guest
615191	333120	Person of the Night
615192	251764	
615193	383078	Jemma Dobson (1990-94)
615194	314699	Voice of Porn
615195	362855	
615196	12588	Frl. von Sonsfeld
615196	23068	Gerda Storm
615196	24149	
615196	94419	
615196	98309	
615196	126432	
615196	155368	
615196	208793	
615196	211118	Fedora
615196	289949	Mrs. Bernhof
615196	361553	
615196	366554	
615196	376461	
615197	41382	
615197	382419	Caitlin Ramírez (2004-)
615197	406890	Peyton
615198	22849	Peggy
615198	47796	ICU Nurse
615198	76204	Mrs. Andrew J. Higgins
615198	118928	Sandra
615198	330369	Louise
615198	358377	Girl at Bar
615199	88944	Minnie Timwell, Star & Garter
615199	138164	Nurse Johns
615199	337107	Mrs. Rhodes
615200	400564	Aggie Thackery
615201	23338	FEMA Woman
615201	26308	Social Worker
615201	26969	Dispatcher
615201	38408	Turaga Nokama
615201	38553	Night Receptionist
615201	69917	Black Nurse #1
615201	74117	Photo Editor
615201	79428	Linda Keesler
615201	81545	Alicia Jennings
615201	89099	Wendy
615201	91737	Carmen the Casting Director
615201	113857	School Girl
615201	117056	
615201	134025	Ms. Williams
615201	141236	Ms. Weinberg
615201	176478	Social Worker
615201	189242	
615201	190324	Francine
615201	190378	Envy
615201	194067	Trucker
615201	194213	Debbie
615201	200173	Private Nurse
615201	216445	Marina
615201	227797	Larner's Secretary
615201	240325	Young Christian Woman
615201	245460	Duty Office
615201	299550	Party Goer
615201	304481	
615201	314503	Security Chief
615201	316206	Intern #2
615201	329503	Sarah
615201	340058	Casino Bartender
615201	364344	Airport X-ray guard
615201	369450	Receptionist
615201	404853	Serena Baxter
615202	52361	At the Airport - Stewardesses
615203	292249	Abby
615204	75337	La Graciosa
615205	75337	La Preciosa
615206	75337	La Regaloncita
615207	278346	Karin
615208	32384	Jeanette Bolin
615208	153196	Karolin
615208	181086	Party Guest
615208	192659	Studio hostess
615208	248500	Anne Snapphane
615208	335363	Sara
615208	357777	
615208	377442	Obducenten (episode 1)
615208	399797	Laila
615208	400782	Mona Kollberg
615208	401128	Mirjam
615208	407489	Ann-Britt Höglund
615208	412047	Cecilia Lagerlöf
615209	290126	
615210	229594	Nekro-gang member
615211	81346	Crossing Guard
615212	229101	Frau Schmidt
615213	119144	
615213	153736	Gretel
615213	223189	Häschen
615213	287221	
615214	69649	
615214	115424	
615215	549	Barbara
615215	6517	Gina Nicolini
615215	8229	
615215	17090	Margot
615215	19071	
615215	25504	Patientin
615215	40388	Suzy
615215	134929	Lisa
615215	150563	Lucy Belmore
615215	155102	Greta Bullerjahn
615215	156983	
615215	156994	Zsa Zsa
615215	164199	Sylvia Shannon
615215	170691	
615215	174756	
615215	189619	Susanne
615215	197411	
615215	204509	
615215	210033	Lilo
615215	213684	
615215	225720	Lilo Haase
615215	226335	Hilde Wagner
615215	282188	Thalia Parr/Thalia Drummond
615215	352477	Ida Schulze
615215	356724	Blumenverkäuferin
615215	358221	
615215	377626	The Countess
615216	105540	
615216	229594	Nekro-gang member
615217	11374	Herself
615217	32531	Party Guest
615217	34748	
615217	75524	Herself
615217	106666	Masked buxom girl
615217	109508	Various roles
615217	175784	Bank Clerk
615217	185148	Donna
615217	235016	Gaynor Slutt
615217	326596	Girl at Party
615217	364097	
615217	372210	Miss Westershire
615217	388474	Various Roles
615218	21734	Anne Mothersole
615218	65975	Asra
615218	92674	Zena
615218	106527	Mrs. Garden
615218	107863	Jean Clayton
615218	135166	Laura Stephens
615218	140167	Mrs. Holman
615218	191805	
615218	273834	Joan
615218	336326	Dorothy Endicott
615218	363165	Mary Pender
615218	384100	Mrs. Keegan (episode "Number 
615218	384815	Treen Dudgeon
615218	391035	Rachael
615218	391944	Feen Rainbow
615218	404196	Dora Wilson
615220	120809	Child
615221	403898	Louise Jarry
615222	338298	Woman in Restaurant
615223	13637	Hooker
615224	3126	Tracy
615224	257520	Susannah
615224	360270	Vicki Bissinger
615224	410616	Kathy Ferris
615225	224785	Mme. Bernier
615226	39037	Aggie
615227	285034	Dr. Simon
615228	105378	The Girl
615229	72372	Rose Delvecchio
615230	125918	Alice Hancock
615230	323036	Alice Stott
615231	201919	Mrs. Hoover
615231	223848	Aunt Maggie
615232	29721	Rosina
615232	55197	Carmen
615232	55199	Carmen
615232	55204	Carmen
615232	86249	Dido
615232	158870	Poppea
615232	236180	Cherubino
615232	268441	La Périchole
615232	286187	Salome
615233	110515	Karen
615234	347535	Various
615234	347540	
615234	347541	
615235	196995	Teen Girl
615236	235770	
615237	244982	Tina
615238	43596	The Death Lady
615239	260805	
615239	303000	Themselves
615240	72056	L'Anglaise
615240	335492	Sprinter Inter Club
615241	790	
615242	29580	
615243	26087	Stéphane
615243	33525	Marie
615243	191706	
615243	243295	Mme de Verdier de Ribaucourt
615243	254170	Huguette
615243	304441	Marie-Rose
615243	320065	Patricia
615243	340215	
615243	345136	Valérie
615243	346532	
615243	354458	De Kerros
615243	366692	De Vrouw
615243	410213	Suzanne
615244	293076	Woman in Hair Salon
615245	29395	Additional Voices
615245	123445	Little Girl's Mom
615246	34259	
615246	102403	
615246	125168	
615246	129324	
615246	210113	Gabi Burger
615246	302684	
615246	344390	
615246	352474	
615246	376577	
615247	102403	
615247	210113	Vroni Burger
615247	344390	
615247	352474	Veronika
615248	79272	Sock Puppet Actor
615249	75770	
615249	195690	
615250	167153	Assistentin von Welk
615251	124026	Crazy Kelly
615252	253255	Nikola
615253	104824	Ellinor
615253	157843	
615253	335472	
615254	130979	Nudist
615255	389458	Herself
615256	71852	
615257	438	
615257	38659	Herself
615257	143810	
615257	364996	Herself
615258	135074	Militia #1
615260	192935	
615261	333835	
615261	336265	Putilla
615261	368860	Herself
615261	368861	
615262	10095	
615262	197546	
615262	324437	Waitress
615263	134595	Student
615263	281244	Skinhead Girl
615265	238480	Moeder van Berry
615265	367977	Kitty
615265	397306	Astrid Meeuwis
615267	282035	Regina
615267	407884	Elzake Mees 1955-1959
615268	199527	
615268	319998	Dora
615268	382551	Agnes Mertens
615268	394881	Moeder van de Duivel
615268	394928	
615268	396568	Ellen De Ridder
615268	401966	Jessi Cums
615268	403417	Rozeke Brandts
615268	409192	
615269	248448	Clarice Kyler
615269	360745	Dockhaven Hostess
615270	20840	
615270	28846	
615270	45086	
615271	316752	Child with Dog
615272	214556	
615273	60335	
615273	273261	
615273	291017	
615274	129835	The Cow 'Brown Eyes'
615275	39364	
615275	75028	
615275	335440	
615276	28791	Da Bomb Girl
615278	2569	Florence
615278	7239	Adélaïde
615278	43680	Maid
615278	73638	Gaël
615278	228940	Véronique adulte
615278	387061	Duchesse d'Avila/Eléonore
615279	4804	
615279	94423	Frau Pulvermacher
615279	230233	Madeleine Ribail
615280	156272	Þora
615280	208838	Karítas
615280	225084	Dodo
615280	378049	Edda
615281	290194	
615282	100993	Knights of Yahweh Girl #1
615282	386415	Host
615282	388153	E! Entertainment Host (1998-1
615282	402987	Co-Host
615283	68902	Marie Heureux (Passe-par-là)
615283	251365	Narrator
615283	310527	Reader
615283	401983	Ghyslaine Collin
615284	126069	Showgirl
615284	209660	Show Girl
615285	313522	College Girl #2
615286	214387	
615287	391461	Vanessa
615287	403376	Elaine Wiggin
615287	405209	Cheryl: Coffee Shop Worker (1
615288	189894	Moeder
615288	382864	Vrouw de Haan
615289	45878	Girl on Video Tape
615289	207530	Gloria
615290	301568	Iris
615291	322335	Cast Member
615291	397857	Infirmière
615292	140289	A. Morlon
615292	397857	Assistante sociale
615293	383665	
615293	387468	
615294	124424	Girl in swimming pool
615295	27247	Denny Blood
615295	105211	Sandra
615295	122686	Bobby
615295	196574	Paul Girl
615295	341442	(segment Grasshopper)
615295	381121	Denny Blood (Series 1-5) (199
615296	656	Elegant Woman
615296	13960	School Principle
615296	273771	Female Guest #1
615296	406007	Guest appearance (2004)
615296	408692	Karen Eyo (2000)
615297	19808	Worshipper
615298	323841	Patient
615299	323841	Patient
615300	383955	
615301	17813	Nathalie
615302	49850	Joan Morton
615302	71102	
615302	385299	Mavis Hooper (1982-1985)
615303	213773	Lady with the Shoe
615304	258293	Lily Meredith
615305	313562	
615305	369421	Receptionist
615306	61856	Zinnie
615307	150982	
615307	156941	
615307	349869	Diva of Death
615308	257285	Nora/Siri
615309	102931	La mère de Lou
615310	437	Tante Ulle
615310	46615	
615310	92411	Frau Pelagie Trouille
615310	226354	Schwester Jakobe
615310	352389	Rauerin
615311	36480	Lalita
615311	306472	
615311	325461	
615311	347000	Andrea (12-15 year)
615311	352499	
615311	361296	Lolo von Buttlär
615312	25260	
615312	25261	tante Cato
615312	86587	
615312	86589	
615312	231704	Moeder van Nelly
615312	340641	Tante
615312	354074	
615313	187237	Kris
615313	248057	Sierra
615313	362453	Girl at Prom
615313	381146	Robin Kipper
615313	388354	C.J.
615313	404363	Lisa
615314	355433	Receptionist
615315	169163	Josephine's Sister
615316	5305	
615316	6798	
615316	12316	
615316	16712	
615316	22982	
615316	23050	
615316	24223	
615316	26424	
615316	34604	Bessie
615316	35413	
615316	35580	Madeleine, Mentor's Daughter
615316	40061	
615316	48673	
615316	50660	
615316	54454	
615316	55226	
615316	60150	Maybelle Wescott
615316	60773	
615316	61388	
615316	61608	
615316	61714	Mrs. Eloise Mackenzie
615316	62265	
615316	64882	Kathlyn Otis
615316	66310	Mary Sturgiss
615316	68188	
615316	73492	Virginia Carvel
615316	75819	Maybelle Strong, Their Daught
615316	85825	
615316	93104	
615316	100865	Kittie
615316	104415	Marie
615316	105416	
615316	112211	
615316	115121	
615316	117048	
615316	126059	La Biche--The Indian Squaw
615316	128358	Ada Tremaine
615316	130355	Lucette
615316	133568	
615316	133598	
615316	141303	Texas, His Daughter
615316	145926	Hope McTrigger
615316	147112	
615316	149435	Hope
615316	149468	
615316	157598	Isobel Deane
615316	158167	Sally Madison
615316	158426	
615316	158989	
615316	159147	
615316	170789	Naida Rand
615316	178240	
615316	184092	
615316	185439	
615316	187742	Sophronia
615316	189935	
615316	191968	Mary Randall
615316	203068	Moya Dalton
615316	203292	Christabel Beaumont
615316	208913	
615316	218516	Haidee
615316	246739	
615316	257796	
615316	263464	The Blind Girl
615316	263977	Alice Travers
615316	274014	
615316	278231	
615316	286384	
615316	286700	
615316	289070	
615316	297399	
615316	298510	
615316	299967	
615316	300556	
615316	305848	Bessie
615316	307458	
615316	311562	Helen Chester
615316	314774	Eleanor Fordham
615316	328816	Jo Duggan
615316	331692	
615316	336516	Zeetah
615316	342679	Sunchine
615316	347853	Bessie Clarke
615316	348456	Josephine
615316	348955	Margaret Quentin
615316	358243	
615316	360184	Gladys
615316	363071	Mrs. Ray
615316	363163	Nellie Halton
615316	363936	Jean
615316	364274	Mary Moran
615316	365620	Joan, a Young French-Canadian
615316	368239	
615317	49335	Venna
615317	65090	
615317	92729	Bar Singer
615317	150322	Bela Lillehammer
615317	178171	
615317	184339	
615317	293015	
615317	316480	
615318	293569	
615319	70865	Contestadora teléfono
615320	397738	Teodora Cardenas
615321	50977	Rannvá
615321	358464	
615323	283627	Fujiko Mine
615324	232699	
615325	32574	Shiratori no mama
615325	77514	
615325	77516	
615325	77534	Izumi Yamauchi
615325	121441	
615325	177116	House wife
615325	238984	
615325	272581	Tsukasa
615325	293565	Hideko
615325	328017	Nogawa
615326	187162	
615327	373218	
615328	3586	Keiko
615328	7640	Kumi
615328	9160	Theatre actress
615328	9167	Woman at the apartment
615328	9291	Kozo's siter
615328	9336	Kofukuya's Madam
615328	13605	Yoko Natsuki
615328	17100	Roza
615328	51083	Oyakata's wife
615328	61525	Seller
615328	77735	Tsuneko Mochizuki
615328	77743	Namie
615328	121469	Chiyoko Hatake
615328	121933	Kisono Koyama
615328	130525	Yukie
615328	141737	Kimiko
615328	142159	Matsu Ameya
615328	145653	Owner of Kamo
615328	145763	Mitsuko Anzato
615328	145765	Hatsuko Kirikawa
615328	146916	
615328	149892	Akemi's mother
615328	155508	Police woman
615328	170892	
615328	172114	
615328	172302	Tsukamoto's wife
615328	173127	Yoshie
615328	173193	Woman at a bar
615328	173387	
615328	173476	Hatako
615328	173478	Oharu-san
615328	176616	Liz Obara
615328	179395	Yoshie
615328	182428	Woman
615328	206752	Yuri
615328	206766	Omatsu
615328	206784	Gondo's Mistress
615328	214742	Mrs
615328	226863	
615328	227323	
615328	232920	
615328	234529	Katsuichi's wife
615328	236853	Yoko
615328	236859	Mayu
615328	239090	Osen
615328	239483	Taeko, Shiro's wife
615328	242143	Waitress
615328	242152	Egawa's mother
615328	243915	
615328	263361	Saya
615328	284366	Otoku
615328	285930	Old woman
615328	287556	
615328	288657	Housewife
615328	294266	Waitress
615328	298914	Sawada's wife (segment "Aijin
615328	299083	
615328	300438	Tomiko Kuraoka
615328	300439	
615328	300440	
615328	300482	Geisha
615328	308879	Toshio's mother
615328	322488	Bart-san
615328	334857	Woman in 'Aimai Yado'
615328	334918	Teruyo
615328	335317	Mine
615328	341270	Eijun, Tadao's mother
615328	358128	Tamayo Nakano
615328	370305	Noriko's mother
615328	370699	Hiromi, Bar hostess
615328	370786	Minako Tohno
615328	371846	Hanae
615328	371847	Someya
615328	374289	Mika's Mother
615329	341495	Rebecca
615329	375250	Lana Baker
615330	391558	Radio Caller
615331	114242	Molly
615331	379332	Molly Hardy
615332	253739	
615333	137224	Fanny Davidoff
615333	166940	Fashion Editor
615334	103934	
615335	136775	
615337	379819	
615338	237475	
615338	326321	Lucía
615339	53696	
615340	25627	
615341	34912	Tommy's Secretary
615342	286298	Bobby's Girlfriend
615343	24161	
615343	252787	Renanit
615343	411933	Sivan
615344	35612	
615344	175081	
615344	184037	
615345	148996	Country girl
615346	73319	Little Meg
615347	172794	
615347	177109	
615347	381015	Farah
615348	13966	Baby Mia
615349	308215	
615349	315893	Kolwezi Kind/Kolwezi Child
615350	44199	Eszter
615350	155545	Jolán
615350	177925	Udvarhölgy
615350	256667	Margit,Fodor felesége
615350	326302	Boriska,Darázs felesége
615350	375310	Thea,Ákos felesége
615351	152385	A vízhordó fiú anyja
615352	391547	The Sophomore Vixen
615353	149716	Sally Smith
615354	385444	Herself/Host (2003-200?)
615355	78472	Herself - Host
615356	403239	Mary
615357	102983	
615357	189617	
615357	329899	
615358	354088	Vrouw bij lezing
615358	385554	Vrouw Briels
615358	387345	Bep Nijdam
615359	94920	
615359	138489	Mrs. Bouman
615359	180193	Mevrouw Rieske
615359	189970	Mevrouw Hazelhof
615359	201953	
615359	202662	
615359	259801	Vera's mother
615359	360785	
615359	400031	Monchi, moeder Eva
615359	412043	Lily
615360	365439	Rose
615361	27346	
615361	46682	Joy Piccolo
615361	54031	Lucy
615361	65110	Dianne Carter
615361	80819	Shirley Fagot
615361	90800	Grace Donovan
615361	93123	Herself (uncredited)
615361	120272	Mary Alice
615361	128246	Valerie Frank
615361	128441	
615361	133716	Millie Ridgeway
615361	134313	Louise Gregory
615361	147409	Louisa
615361	150293	Buffy Cronenberg
615361	161210	Herself
615361	195981	LuAnn Reed
615361	206069	Seth's girl friend
615361	209608	Esther Smith
615361	210567	Ellie Walker
615361	230391	Suzy Parker
615361	232429	Lily Zam
615361	257790	Nancy Erickson
615361	258018	Helen Perlmutter
615361	277902	Brie Matthews
615361	280109	Twinky
615361	283372	Kathy Reuben
615361	304281	Lisa
615361	311230	Cynthia Foxhugh
615361	318734	Twinkie Daley
615361	319625	Martha Kent
615361	333362	Amy Carter
615361	342851	Bethany Hagan
615361	343884	'Mike' Carter
615361	372878	Herself
615361	382738	Dr. Anne Jamison
615361	384548	Christine Armstrong Fox
615361	386750	Mary Stone (1958-1963)
615361	389098	Eleanor Major
615361	391556	Helen Blacke
615361	396994	Eleanor Major (1977-1978)
615361	400223	Francine Webster (1981-1984)
615361	402030	Jenny Bedford
615361	402245	
615361	407022	Martha Kent
615362	396851	Host
615362	397575	Maestra Jimena
615362	398166	María José
615362	401210	Host (1997- )
615362	401683	Mariana
615363	222856	Giornalista
615364	64163	
615364	89853	
615364	175054	Prima attrice
615364	228764	
615364	246450	
615364	257020	
615364	278749	
615365	79862	Tina
615366	10648	Journalist
615367	53860	Maria
615368	2451	Amelia, the governess (Hilda)
615368	22002	
615368	22662	Canonico Stupendo
615368	69105	Aunt Gladys Kemple
615368	159740	
615368	213808	Milarepa's mother
615368	243362	Clitennestra/Ombra di Clitenn
615368	251649	
615368	265310	Suora
615368	284971	
615368	336383	La regina di Napoli
615368	386290	
615369	235346	
615370	184783	
615371	121903	
615372	53083	
615373	157785	Anna Maria
615373	282689	Kress
615373	403238	Anna Lipinski
615374	338616	Violetta Valéry
615375	9715	
615376	400286	Mirella Prosperi
615377	272320	
615378	289827	
615379	266871	
615380	138886	Yvonne
615381	139709	Amme
615382	257310	As Herself
615383	397671	Girl
615384	237140	Dieuwke
615385	144158	
615386	325534	Schimanek
615386	364876	
615387	11814	
615387	119722	Fax
615387	130930	Rita
615387	188817	Marga
615387	225296	
615387	275168	
615387	325928	Dagmar Lobeck
615387	347671	
615387	348053	Penny
615387	361506	
615387	377351	
615387	400304	Schwester
615388	389826	
615389	108887	Princesse Danidoff
615389	219514	La princesse danidoff
615390	7465	La gouvernante
615391	15069	Suzanne Vandot
615391	17718	
615391	23636	Mademoiselle Vadon
615391	27670	
615391	44942	Lucile
615391	60513	Madame Traber
615391	75628	Mlle de Presles
615391	116413	Thomi, la grand-mère
615391	146430	
615391	158845	Nicole Loursat
615391	169537	Pernette
615391	171346	
615391	205616	Denise
615391	240274	Herself
615391	240280	La mère de Sandra
615391	255299	Berthe
615391	328048	Martine
615391	337433	Françoise Lesquin
615391	354096	
615391	357855	
615391	377655	Lise Arnaud
615391	377987	La grand-mère
615391	378093	La mère
615391	387848	
615391	395620	La mère d'Henri (segment "Ale
615392	12518	
615392	29580	
615392	33167	
615392	144159	Helga
615393	389088	Woman in Nightclub
615394	343997	
615395	331602	
615395	340581	
615396	64660	Aerial Hoops
615397	190994	Stripper
615398	26484	Wopkje
615398	410838	Sjoukje Janssen (2001-2003)
615399	79018	Nina
615399	364459	Guest
615400	78472	Herself (performing 'Mon Coeu
615401	475	Elisabeth Gutmann
615401	92474	
615401	120792	Christine Stein
615401	152740	
615401	155489	Frau Barzekian
615401	175249	Frl. Miriam
615401	178559	
615401	187720	
615401	188766	
615401	205761	
615401	209950	
615401	211087	Verkäuferin
615401	245455	
615401	293624	
615401	305432	
615401	324785	
615401	325721	Redakteurin
615401	325887	
615401	325957	Gisela
615401	332761	Jayne
615401	333852	
615401	346389	
615401	361092	Sonja Sallinger
615401	361704	Taxifahrerin
615401	386982	
615401	397370	Fau
615401	397765	Martha
615401	398083	
615401	401434	Christel Wechselberger
615401	403266	
615401	404462	Frau von Fahrgast
615401	405844	Johanna Naumann
615401	409613	Christa
615401	411929	Babsi Wohlgemut
615402	324465	Mother
615403	167048	Ensemble
615405	344242	De Makelaar
615406	380391	Charlotte 'Charlie' Frame Win
615407	73073	Firmine
615408	36764	Lin Tsiang
615409	17744	
615410	5972	Sgt. Baker
615410	50262	Lacey
615410	52312	Herself
615410	54277	Anna Thayer
615410	72584	Jessica
615410	82522	Fox
615410	92736	Baitmate
615410	102726	Jacqueline Stone
615410	102731	
615410	102732	Jacqueline Stone
615410	102733	Jacqueline Stone
615410	102734	Jacqueline Stone
615410	102736	Jacqueline Stone
615410	185389	Lucretia
615410	190952	Sasha
615410	193176	Beautiful Martian Maiden
615410	195479	Megan
615410	216737	Cute Girl
615410	228482	Herself
615410	257616	Herself
615410	257647	Herself (Miss July)
615410	257659	Herself (in bonus retrospecti
615410	257682	Herself (Playmate)
615410	257859	Herself
615410	257865	Herself
615410	296352	Herself
615410	296353	Herself
615410	303904	Victoria
615410	328258	Bruce's Girl
615410	334152	Franny
615410	361167	Roxy Carmichael
615410	361850	Herself
615410	361862	Herself
615410	364294	Herself
615410	364459	Barney's Beauty
615410	387763	Jacqueline Stone
615411	26397	Matron #3
615411	54726	Pie Lady
615411	126544	Dancer
615411	168290	Buxom Neighbor
615411	169950	Church Member
615411	183387	Older Lover
615411	184101	Janice, Age 50
615411	195458	Screaming Woman
615411	259217	Purse Snatching Victim
615411	265759	Doris Miles
615411	292700	Gossip 1
615411	384894	Dee #2
615411	394123	Lady Glove Customer
615411	401865	Additional Voices
615411	402558	Liz Bromberg
615411	406982	
615412	149256	Dancer
615413	390828	Liz (1998-2000)
615414	2838	Monique
615414	9711	Viviana Bonfigli
615414	14347	Dominique
615414	15057	Dream Sequence
615414	15250	La femme de l'agence
615414	19839	L'amie (segment "Visiteuse, L
615414	23741	Françoise
615414	25122	Esperanza
615414	25141	Josette Darcanges
615414	33555	Charlotte
615414	34141	Jeanne
615414	43390	Elsa
615414	43688	Françoise
615414	48209	Christine
615414	51310	Yvette
615414	53254	Mata-Hari
615414	57535	Elia Tarti/Cigale
615414	58310	Lili Rocher-Villedieu
615414	59218	Elena
615414	59384	Hélène Lezcano
615414	61030	Lulù/Mimì (segment "Donne d'a
615414	65616	Marie-France
615414	68914	Agathe
615414	72074	Sophie
615414	84645	Laetitia
615414	89852	
615414	90752	Francesca
615414	108490	
615414	110024	La marquise
615414	111683	Lola Wassevitch
615414	118188	Monika
615414	140302	La noire
615414	167196	La belle-soeur
615414	188696	Mme de Chartres
615414	198602	Maud
615414	199315	Madame Claude
615414	200509	Lucrezia
615414	200970	Lily
615414	203943	Sylvie Chaput
615414	205971	Marion Delorme/Marie
615414	212779	Natko
615414	222946	Hélène
615414	225463	
615414	228150	
615414	244985	Lucie
615414	244986	Lucie
615414	249461	Sarah Lerner
615414	252631	Federica, la sua matrigna
615414	252660	Anna Bersani
615414	252720	Antonia Traini
615414	257207	Do
615414	261808	Rose
615414	265623	Marthe/Eva
615414	272320	Aurore
615414	276943	Countess von Lohenburg
615414	278186	Valeria
615414	286317	Peggy
615414	292388	Geneviève
615414	310640	Virginia Pollywood
615414	340188	Mylene de Lambert
615414	345111	Florence Valette
615414	345144	Hélène Dassa
615414	345209	Lisa
615414	347194	Herself
615414	348211	Cristina Cournier
615414	352933	Marie Reinart
615414	354875	Evelyne Tiercelin
615414	356515	Ida
615414	356847	Lara
615414	361007	Astrid
615414	378022	Marion Blanchard
615414	384757	
615414	385609	Clara Decourt
615414	386478	
615414	412246	Marie Arnoux
615415	259604	
615415	259615	Zivilfahnder
615416	194780	Tropicana Guest
615417	198751	Sister Francis
615418	161731	Joanie
615419	275435	Lady Jane Mandel
615421	115428	Amalia Johansson
615421	118611	
615421	134970	
615421	144026	Mrs Mommesen
615421	153759	Gammel jomfru/Old Maid
615421	173207	
615421	178789	
615421	180650	
615421	336059	
615421	352839	
615421	357809	
615422	1699	Herself
615422	80356	Musical Performer - "So In Lo
615422	101272	Herself
615422	104763	Luxembourg entry (4th place)
615423	9886	
615423	245699	Grant's Girlfriend
615423	390733	
615423	396462	Celeste
615424	254516	Carlotta (1929 re-edited vers
615425	9679	Nurse
615425	83126	
615425	97710	
615425	125791	Mother
615425	182944	
615425	203863	
615425	290070	Chaja Dresner
615425	376027	
615426	5874	Mrs. Novak
615426	32912	Yette Kropatchek
615426	143191	Mrs. Korb
615426	164242	Mrs Rosen
615426	169942	Mrs. Elsa Lindnow (witness in
615426	223981	Boarder
615426	224237	Mama Eisdaar
615426	299174	Frau Schmidt
615426	330180	Frau Graffen
615426	356256	Anna
615426	360041	Emma Hauser
615426	368952	Mrs. Mank
615426	390271	Mrs. Bloom (1953)
615427	115993	Herself
615428	89909	
615428	128350	Mina Lopez
615429	144876	Gretchen Woods
615430	202280	
615431	247638	La vieille dame
615432	374495	
615433	100001	
615434	336099	
615435	135245	
615436	229101	Julia
615437	117977	Secretary
615437	308128	Harry's Old Flame
615438	10727	Elizabeth
615438	139202	
615439	2252	(segment "Id")
615439	71807	La femme élégante
615439	244961	
615439	248423	
615439	322581	
615439	346580	
615440	155449	
615441	272743	Junges Mädchen
615442	114635	Aldo's Nurse
615442	314824	Barge Lady
615442	351554	Marie
615442	352698	
615443	6378	
615443	8627	Une voisine
615443	13109	
615443	43711	
615443	43762	La soubrette
615443	63640	Le sujet
615443	63682	
615443	68400	
615443	69343	Tante
615443	70521	
615443	76030	Madame Petitot, la concierge
615443	81453	Mme. Rébard
615443	83370	
615443	84612	Berthe
615443	111139	La servante
615443	113115	
615443	121411	
615443	132176	La marraine
615443	148744	Une voisine
615443	162609	Mlle Verdure
615443	166134	Tante Ellen
615443	169653	La marquise de Charigny
615443	184055	Madame Vincent
615443	195343	Grandmother
615443	197060	La gouvernante
615443	199297	Céleste
615443	200575	Une villageoise
615443	205618	La couturière
615443	206059	Julie's mother
615443	217704	Vieille femme
615443	217717	
615443	228193	
615443	236611	Invitée aux fiançailles
615443	250509	La mère Guignard
615443	258957	La servante du curé
615443	261847	La grand-mère
615443	262948	Une surveillante
615443	266414	La grand-mère paternelle
615443	269753	
615443	276985	
615443	295211	
615443	303476	La voyageuse
615443	307489	Angèle
615443	322337	
615443	322363	
615443	326200	La préposée à la douane
615443	338697	
615443	339618	La duégne
615443	340203	Dame Du Vestiaire
615443	341368	Irma
615443	345098	La belle-fille de la Marquise
615443	350078	La mère de Jeannot
615443	353821	La femme du brioleur
615443	353952	Mèmè
615443	354941	La boulangère
615443	377948	
615443	384786	L'épicière
615443	388586	Mme Clements
615443	388688	
615443	391927	
615443	396622	Angèle
615443	404663	Mme Vandreuil
615444	16192	
615444	27969	Emílie Kolárová-Mladá
615444	30324	Guest
615444	42942	Anna Zasmucka
615444	58201	Ema
615444	74440	
615444	94092	Marie Gregorova
615444	108866	Arabella
615444	151226	
615444	179858	
615444	180680	The Veiled Woman/The Revoluti
615444	181103	Kristina Prokopova
615444	266218	
615444	268304	
615444	277253	
615444	283018	Rézina
615444	283147	
615444	295124	
615444	312509	
615444	324335	
615444	351378	Ellen
615444	375478	
615445	212508	
615446	67595	Young Actress
615446	254722	Juliette
615446	327836	Female Patient
615447	396387	
615448	64709	Cuca
615449	309023	
615450	141539	
615451	15215	Malvina
615451	28938	Lily Marton
615451	47385	Herself
615451	50443	Mrs. Vale
615451	61567	Gladys Norton
615451	71861	Marion Randolph
615451	108097	Pat
615451	126033	
615451	137205	Herself
615451	138772	Agnes
615451	139567	Alice Finely
615451	200122	Virginia Wolfe
615451	203198	Dora Dayton
615451	218238	Rosita Dellatorre
615451	228969	Herself
615451	253462	
615451	264759	Mistress Margaret Radcliffe
615451	300872	Herself
615451	300873	Herself
615451	300874	Herself
615451	300875	Herself
615451	300876	Herself
615451	300877	Herself
615451	300878	Herself
615451	300879	Herself
615451	300880	Herself
615451	306427	
615451	317910	Society Woman
615451	328211	Martha Mae
615451	329565	
615451	383164	Ann Victor (1954-1956)
615451	391544	Assistant (1974-80)
615451	391827	Herself (semiregular, 1969-19
615451	400223	Grandma Katherine Romano (197
615451	410842	Nan McGovern
615452	152976	Tara Warren
615453	263013	Edith
615454	378470	
615456	198248	
615457	104753	Host
615457	387959	Herself - Co-Presenter (1978)
615457	396370	Yvette Frémont
615458	90737	
615458	188594	
615458	310014	Giovanna
615458	377007	
615459	37672	
615459	50488	
615459	130776	Malika
615460	332188	
615461	243651	Herself
615462	87863	Anne
615463	94312	Assistante débordée
615463	136360	
615463	202088	
615463	309955	Prostitute #1
615463	345286	
615464	227042	Malin
615464	386209	Various
615464	410462	Lotta Grebke (1998-1999)
615465	37899	Troisième Femme Bridge
615466	84109	Georgia
615468	162428	
615468	247904	
615468	353647	
615469	332214	Eponine
615469	391927	Sylvie
615470	182949	Chinese Woman
615471	377246	Tulia
615472	28076	
615472	31462	Josephine Bracken
615472	49117	
615472	77247	
615472	123788	
615472	124035	
615472	197625	
615472	247539	
615472	404051	Clarissa
615473	8448	
615473	17557	
615473	112817	
615473	204655	Manon
615473	205228	Marie-Louise Saugé
615473	217404	
615473	219514	Elisabeth Dollon
615473	252243	Angela Jarrold
615473	255094	
615473	261018	
615473	281807	Lucette Bonjean
615473	310478	
615474	406975	Additional Voices
615475	202526	Host
615476	119466	Allie
615476	178123	Ilaria
615476	230444	Mermaid
615476	313408	
615477	74882	
615478	41586	Herself
615478	139204	
615478	321678	Phrenology Head
615479	16952	Nadine
615480	60032	
615480	292380	
615481	72074	
615481	120813	
615481	127646	
615482	246221	Movement-of-Clouds
615483	6163	Myra
615484	312885	
615485	215067	Micks mor
615486	389543	Herself - Team Captain (1988)
615487	231920	Alicia
615489	348957	
615489	356072	Kuma Lela
615490	20340	
615491	130144	
615492	20340	
615493	5762	Sora Ines (Rolando's grandmot
615493	23903	Lella
615493	36458	Mimmo's grandmother
615493	51376	Anna, Romolo's wife
615493	255540	Donna Rosa, nonna di Pierino
615493	255544	Nonna di Pierino
615493	263054	
615493	291561	Sora Lella
615493	295137	
615493	307584	
615493	315422	Matilde
615493	342099	
615494	5373	
615494	49690	
615494	71216	
615494	86450	
615494	102618	
615494	220127	
615495	4524	Cristina
615495	5510	
615495	6699	Fosca la blonda
615495	9423	Tosca
615495	14882	Benita
615495	17914	
615495	27676	Bice
615495	33663	Valeria
615495	35086	Susanne
615495	36511	Margie
615495	36513	Bella Watling
615495	51687	Marisa
615495	52187	La proprietaria della villa
615495	54089	
615495	56447	
615495	57310	
615495	57961	Giuseppina
615495	66397	Vanda
615495	66577	
615495	69547	
615495	85978	Napolitana
615495	86104	Piera
615495	90719	Silvana
615495	94682	
615495	107685	
615495	111427	Erica
615495	112671	Laura
615495	132993	
615495	133390	
615495	158866	
615495	168724	Margie
615495	200505	Minù
615495	206955	Cameriera d'Hotel
615495	207794	
615495	209441	
615495	220192	
615495	229621	
615495	247958	
615495	268997	
615495	269188	
615495	269636	
615495	269709	
615495	283283	
615495	289440	
615495	295172	Claude
615495	307336	
615495	309250	Mimma
615495	349526	Valeria
615495	349543	
615495	349718	
615495	351851	Carla
615495	358837	Claudia
615495	383814	Sarah Miles
615495	404760	Lucina Ricci
615496	14726	
615497	352369	
615498	12370	
615498	282295	La dame des toilettes
615499	409192	
615500	84647	Geneviève
615500	84693	Manouche
615500	105738	
615500	222897	Gilda
615500	235834	Mère de Catherine
615500	251541	Sylvianne Collet
615500	261847	La psychologue
615500	278870	Mrs. Roussel
615500	379240	Daisy
615500	379841	
615500	384212	
615500	393489	Herself (regular guest)
615500	407273	Herself
615501	177207	Roberts
615502	46747	Wedding Guest
615503	222378	
615504	135327	Marie-Tintin
615505	43904	Woman with the Rose
615506	8285	
615506	9652	Hotel owner
615506	14371	
615506	29780	
615506	33508	Suora
615506	64759	
615506	76355	
615506	81519	
615506	82439	
615506	90606	Ugly American Tourist
615506	90719	
615506	94637	Penelope
615506	100663	Francesca
615506	113441	Margherita
615506	118833	Zia di Franco
615506	118834	
615506	128003	
615506	128025	
615506	158823	
615506	159213	
615506	160052	La signorina Pannelli
615506	160248	
615506	161126	
615506	162651	
615506	211291	Aladdin's Mother Benhai
615506	227579	
615506	250772	La zia
615506	255540	La direttrice
615506	265450	
615506	269476	
615506	270802	Woman in Sguattera restaurant
615506	274900	
615506	278023	La guardiana del carcere
615506	290926	
615506	294775	Moglie del colonnello
615506	301360	Giuditta
615506	320222	
615506	326164	
615506	336604	Publia
615506	338259	
615506	352235	Guzzoni's Wife
615506	361690	
615506	396307	
615507	63870	
615508	13430	Tara's Mom
615508	350200	
615508	350212	Zoe
615509	270329	
615509	279113	
615510	308311	
615511	289488	Immacolata
615512	392151	Designer
615512	399376	Designer
615513	18478	
615515	255108	
615516	245296	Kim
615517	168944	
615518	3182	Carmen
615519	89557	
615520	232241	Gnostic Woman
615521	100391	Cantante del Rey de Paris
615522	52471	Lucretia
615523	388592	Crislaine
615524	100785	
615525	39551	Stephanie Shughart
615525	46418	Herself
615525	63890	
615525	82526	Juna
615525	106255	Secretary
615525	129185	Maximus' Wife
615525	138463	Verger's Fingerprint Technici
615525	207709	Bank Teller
615525	230077	Mai
615525	233952	Marga
615525	260409	
615525	310302	Antonio's Date #2
615525	339605	Herself
615525	349532	
615526	11872	
615526	31915	Baronin
615526	32802	Vera Veron
615526	35884	Rosette
615526	38995	Valerie von Kant
615526	103137	
615526	140239	Pix
615526	180200	
615526	182895	Mara
615526	189745	Fräulein Schlüter
615526	191473	
615526	204563	Mme. Lansowa
615526	206581	Mother
615526	206694	Recka
615526	216272	Frau Auer
615526	233046	Tatjana
615526	292101	Gisèle Peyremal
615526	312883	
615526	314300	
615526	337555	
615526	361434	Gisela Deyler
615526	361481	
615526	361992	Jutta, die Herrin vom Salzerh
615526	393409	
615526	409860	
615527	274904	
615528	99768	Lisa
615529	152603	Worker
615530	228155	
615531	107044	Asian Woman
615532	163859	Aisha
615533	96938	Miss Loshzer
615533	224838	Tourist #1
615534	48525	
615534	144331	
615534	157330	
615534	376500	Hypnotised Woman
615535	68381	
615536	109063	Hat-throwing girl on roof
615537	379926	Herself (6th Place)
615538	89993	
615539	6190	
615539	285493	Moshira
615540	108128	
615541	127032	Dancer
615541	183088	
615542	2645	
615542	23844	
615542	238471	Sylvie
615543	26507	Tiffany
615543	31872	Skye
615543	350191	Montage hippie vampire
615544	324264	Cheerleader
615545	217855	Family at the Supermarket
615546	59773	
615546	283823	Bride's mother
615547	155997	
615548	82494	Kovalskaya
615548	297862	Frau Bücher
615548	341209	
615549	60698	Maria Pavlovna
615549	86611	
615549	154837	Serbina
615549	155989	
615549	200963	Valentine
615549	294667	Mariya Aleksandrovna Ulyanova
615549	299423	
615549	349154	
615549	355555	
615549	357626	
615549	373573	
615550	68978	Ashley Stephenson
615550	84980	
615550	141606	Mercedes Rakowski
615550	193160	Bunny Girl #2
615550	291052	Warrior woman
615551	18348	Antonia Moltedo
615551	218227	Josefina
615551	255501	Katina
615551	282898	La Rubia de Kennedy
615551	292777	
615551	379648	Karen Steinlein
615551	387916	Mónica Tagle
615551	392992	Paula Novoa
615551	400419	Antonia Sandoval
615551	403686	
615551	404074	Angela
615552	173132	
615554	408592	Débora
615554	411932	
615555	226929	Emilia
615555	276878	
615556	290107	Kinderquartett/Children's Qua
615557	121527	Abused Porn Actress
615558	291437	
615559	252667	Tomaso's wife
615560	61102	Nadine
615561	46871	Wife
615561	149948	Olive
615562	284530	Skye Davids
615563	387956	Herself
615564	7088	Holographic Spokesmodel
615565	241563	
615565	372486	
615566	305413	Girl
615567	277088	Omega Mu
615568	195458	Matron #2
615569	366419	Stewardess
615570	270389	Mother on Beach
615571	337381	Creative Mom
615572	202930	Nada
615573	288720	Barmaid
615574	43698	
615575	47994	Nurse
615575	132486	
615575	218799	Female Driver
615576	37210	Nolan's Volunteer
615577	1888	Evina prijateljica
615578	274525	Witness
615579	257764	Polish woman
615580	237038	Margit
615581	393857	
615582	165958	Make-Up Monger #2
615582	224691	Little Miss Vengeance
615583	151741	
615584	122618	Kim's Mother
615584	305242	Angelika
615585	90131	Anna, la fille du commandeur
615585	383819	Julie
615585	412235	Sophie Martin
615586	332226	Etiennette
615587	18319	Bride
615587	23548	Mutti
615587	32011	Maryse, Antique Dealer
615587	34461	La cuisinière
615587	53023	Camille's Mother
615587	59056	Woman II
615587	101457	
615587	120403	Madame Comte
615587	133573	Woman in Strasbourg Cafe
615587	162431	
615587	183797	Une dame de la cour
615587	183800	Janine
615587	201183	
615587	218561	Juliette
615587	228915	
615587	244100	Michele, French prisoner
615587	250643	Madame de Gérald
615587	287595	L'assistante sociale
615587	309447	Mother
615587	328440	
615587	334215	
615587	382480	Mme Crespin
615587	384855	Mme Necker
615587	393772	
615587	402735	Marie Curie
615587	409457	
615587	409532	La mère de Nicole
615587	412260	Mme de la Cazère
615588	387560	
615589	157978	Turtle Choir Member
615590	268448	
615591	197989	
615592	270883	Crisolinda
615593	114667	Veronica
615594	43178	
615594	217204	
615594	370995	
615595	190811	Skäggiga damen
615596	63870	
615596	274267	Young Jenny
615597	333783	Hani
615598	314808	Dafni
615599	286295	Ponticelli Child
615600	20141	
615600	68785	
615600	89850	
615600	127876	Caterina
615600	337232	Mavi, as a child
615601	380446	Zezé
615602	13577	Julie
615602	64637	Helle
615602	81470	Ophelia
615602	84328	Emma
615602	95810	Rejseleder
615602	109141	Lina
615602	130112	Girl at stand
615602	142773	Marika
615602	178731	
615602	179971	Signe Jonsen
615602	182620	Lotte
615602	183314	Skoleelev
615602	210295	Sabine
615602	225686	
615602	229414	
615602	234826	Marianne
615602	273889	Nan Sand
615602	284399	Helen
615602	303695	Beatrice
615602	306966	Betjent
615602	392085	Jette
615602	399474	Iben
615604	383464	Cleusa
615604	398501	Wilma
615605	246425	
615606	356032	
615607	235645	Dead Girl
615608	100756	Mrs. Carr
615608	382596	Girl
615609	100756	Lady with Dog
615610	205417	Alma McLaren
615611	184263	
615612	102581	Little Girl
615613	61683	Neighbour
615613	222725	Bernadette Daubreuil
615614	75360	Kelley
615615	75360	Kelley
615616	382149	
615617	211957	
615619	57718	Pat Carmichael
615619	67997	Herself - Various
615619	95189	Naomi Mendellsohn
615619	122202	Sarah
615619	182357	Kylie Mole
615619	182362	Kylie Mole
615619	196902	Myra
615619	366640	Cast of 'Faking It'
615619	379744	Hilda
615619	384686	Kylie Mole, Josephine, Sharon
615619	387453	Various Roles
615619	389965	Jackie Carter
615619	394573	Various (1992-1993)
615619	400256	Herself/Various
615619	403871	Various Characters
615620	107097	Janet
615620	133442	Miss Utah Chaperone
615620	151082	Madeline Usher
615620	154148	
615620	156940	Actress
615620	166345	Girl
615620	196558	Girl #3
615620	315754	Alice, typist
615620	388498	Kay Banks
615620	401350	Nurse Jennifer Ivers
615621	1955	Herself
615621	163366	Herself
615621	167520	
615621	256336	
615622	100756	Young Madeline
615623	410330	Alma
615624	390854	Bondhustrun
615624	401773	Journalist
615625	108146	
615626	109139	Stripper
615627	10688	Sharon
615627	71592	Script Girl
615627	73190	
615627	80794	Veronica Flanders
615627	126544	Shirin
615627	150055	Disk Jocky (DJ)
615627	168634	Wounded Terrorist
615627	187732	Hanka
615627	192674	Grace
615627	276240	Marla Maples
615627	286474	Melanie
615627	305978	Sarah Jenkins
615627	316188	Elizabeth
615627	372082	Tiffany
615627	379935	Tamarra
615628	322308	Olof's Mother
615629	109041	Ahtis kjæreste
615630	47998	Eva
615630	105362	Lilli
615630	122462	Elaine
615630	147016	Elsa Canitz
615630	148826	Switchboard operator
615630	162252	Greta Motander
615630	164770	Nurse Vera
615630	178007	Skuespillerens kone
615630	181844	Kristina
615630	182278	Dr. Karin Lange
615630	182284	Ingrid Malm
615630	182574	Unknown Girl
615630	182584	
615630	214376	Gabriella Strandberg
615630	227740	Woman at the party
615630	274833	Margareta
615630	303852	Maj Westerlund
615630	313637	Anna Persson
615630	320521	Margit
615630	320605	Lena
615630	343712	Helga
615630	347025	Karin Sandström
615630	353000	Berit Thorsson
615630	378274	Maj-Britt
615631	148816	Servitrisen
615632	240069	Herself
615633	25493	
615633	286506	
615635	318738	Camp Fire Girl
615636	176002	
615637	9391	
615637	126983	Amina
615637	285534	
615637	289176	
615638	109452	Young Mother
615638	326382	Jamie
615639	31327	Oil Wrestler
615640	61703	Little Girl (Jill)
615641	140046	Lotte
615642	376640	Sen~ora Salazar, decoradora
615642	380059	Alma
615642	384400	Dolores Londoño 'mama de ana 
615642	386795	
615642	390511	
615642	397593	Lidia
615642	397594	Eloísa
615642	401918	Gloria
615642	409908	Eduarda
615643	89619	
615644	342	
615644	35279	Ute Wedemeier
615644	38769	
615644	42993	Janet
615644	101355	
615644	120060	Gerda Koller
615644	156649	Antje Schiedrowski
615644	290635	
615644	293244	
615644	312894	
615644	406321	
615645	63221	Regine Susanna Bach
615646	65551	
615647	388053	
615648	62176	
615648	153880	
615648	228159	
615648	310430	Helga Spark
615648	325388	
615649	390523	Shannon Parkes (2001-)
615650	303820	Sinead
615651	115062	Exotic Girl in Ming's Bedcham
615651	118442	Gail (Jack's Secretary)
615651	190084	Rose
615651	190724	Mrs. Warner
615651	267484	Detective Inspector Mary Cars
615651	302954	Angela Birley
615651	392129	Alice Burgoyne (1991-1993)
615651	393939	Dr. Emma McGlade
615651	399111	Millie Dutton
615651	403631	Rose
615651	408870	Meg Richards
615652	14141	Lisa
615652	16100	Cher
615652	311556	China
615652	317437	Angela
615652	363433	Jenny Coleman
615652	366684	Insurance Assistant
615653	54001	
615653	242658	
615653	307725	
615653	398526	Natalia
615653	402769	Felisa
615653	405816	Norah
615653	411735	Diana Valdivia
615654	13046	
615654	14744	
615654	14747	Queca
615654	48789	
615654	52760	Lucy Montes
615654	55957	
615654	56520	Nora
615654	63949	
615654	71113	Vedette
615654	75142	
615654	87836	
615654	100339	
615654	103846	
615654	115754	
615654	131059	
615654	217025	
615654	222033	
615654	226363	
615654	229210	
615654	234343	Dancer
615654	253384	
615654	266407	
615654	266528	
615654	266992	
615654	272618	
615654	272719	
615654	278935	Uncredited
615654	281760	Julia
615654	301176	Clara
615654	353267	Chiquita
615654	354453	
615654	378039	
615654	383150	
615654	384375	
615654	388650	
615654	388946	Titina
615654	401913	Roberta
615654	403237	Pampa
615654	404991	
615654	405816	
615655	14837	
615656	294374	Ensemble Vocal Sequenza 9.3
615657	355808	Leila
615658	133023	
615659	119822	Angel
615660	39930	Travel Agent
615661	306834	
615662	328596	Moana
615664	305956	Waitress/Space Dust
615665	42805	Girl in the Trunk
615666	2983	
615666	164153	Lady Ann
615666	186575	Laurence
615666	345501	La manifestante
615666	408002	Soeur Céline
615667	192049	Little Girl
615668	283006	Pretty Girl
615669	220652	Franca
615670	252403	
615671	303617	
615672	198289	
615673	205270	
615674	32632	Unbelievable Encounters P.A.
615674	119467	Leah
615675	102112	Auditioner #2
615676	403805	Barb Reiber (2001-)
615677	306599	Cat
615678	55974	Naná
615678	398489	
615679	43189	
615680	229991	Una donna
615681	160827	
615681	390599	
615682	90672	
615683	261852	Prostitute
615684	333445	
615685	119775	Megan
615685	254799	Sophia (the bride)
615686	78009	
615687	4951	Daphne Meadows
615687	26613	Mary Bowing
615687	31566	Norma Martin
615687	37353	Señorita Mercedes Aloyez
615687	43121	Extra
615687	47300	Mary Bruce
615687	47311	
615687	66962	Mary Johnson
615687	78131	Celia
615687	93786	Essie Hardin
615687	96651	Martha
615687	100835	Mona
615687	100873	La Petite Adrienne
615687	113963	Mabel Jones
615687	116139	Anne Blair
615687	118053	
615687	128273	Barbara Devon
615687	130591	Ann Donald
615687	139804	Their Daughter
615687	163214	Eve Standish
615687	167655	Polly Graydon
615687	177983	Marsinah
615687	186292	Rhoda Remsen
615687	188206	Clarissa
615687	194941	Ethel Williams/Princess Marie
615687	195762	Polly Ann Kerry
615687	206427	Constance Winwood
615687	214941	Claire King
615687	223951	Bernice aka Barbara
615687	224652	Ruth Garland
615687	232188	Barbara Rogers
615687	237994	Audrey Woodward
615687	241534	Sylvia Ellis
615687	259295	
615687	263487	Mary McGowan
615687	273830	Lola Schram
615687	279369	Marie-Louise
615687	289585	Catherine's lady-in-waiting
615687	302395	Mary Barton
615687	331879	Margaret Brewster
615687	333164	Renee Brooks
615687	333518	June Norton
615687	338266	
615687	341935	Millie Jarvis
615687	349637	Joy Bell
615687	356527	Verna, A Princess
615687	363851	Helen Maitland
615687	364453	Passenger
615687	365072	Diane
615687	368246	Millicent Lloyd
615687	370547	Jocelyn Huntington
615688	56211	Worried Hotel Guest
615688	65663	Sasha
615688	77998	Miss Seals, Don's Secretary
615688	86933	Mrs. Shaw
615688	90255	Nurse holding off Slemp
615688	106659	Betty Phillips
615688	113885	Thelma, the Pointer's Maid
615688	115810	Teresa, Ballau's Housekeeper
615688	120009	Mrs. Norton
615688	120687	Head Nurse
615688	125896	Trudy's Nurse
615688	130623	Hotel Saleslady
615688	131620	Grace Cornwallis
615688	141481	Woman at Ball
615688	154003	Mme. Cassiet
615688	154352	Dowager
615688	157546	Miss G., Larry's Secretary
615688	195939	Rita Ashling
615688	203293	Mrs. Balding
615688	218929	Claire Berton
615688	222600	Mrs. Evelyn Thatcher
615688	239176	Miss Cunningham, Nurse
615688	246512	Reporter
615688	253472	Mrs. Bentley
615688	286138	Miss Vinton
615688	292260	Mrs. Stephenson
615688	292320	Sheldon's Second Secretary
615688	315956	Miss Walsh
615688	346248	Guest
615688	362232	Betty Bradberry
615689	179760	Eugenie
615689	404169	Maria
615690	15986	
615690	94633	Frida
615691	45833	Elaine Cameron
615691	128847	Gloria Barker
615691	144905	Doris
615691	150304	Lois Cavendish
615691	295798	Bartender
615691	372731	Angela Rugiello
615692	19139	Margaret Pennington
615692	61971	
615692	100859	Vera Lynch
615692	245647	Rose Lawlor
615692	274454	Grace, Their Daughter
615692	297225	Society Girl
615692	351982	Carlton's Daughter
615692	353399	Undetermined Role
615692	361232	Dolly
615692	367614	Joan Clemons
615693	295147	Galway
615694	167124	Guest
615695	315950	
615696	135179	The Jogger
615696	136801	Angels Fan
615696	176724	Elizabeth Richmond
615696	303228	Blue
615696	318188	Tina
615696	364428	Big Haired Woman
615697	183815	Yvonne
615699	212093	Amy
615700	212093	Amy
615701	147882	Herself
615702	219258	
615702	381949	Becky
615703	293017	
615704	103265	Nicole
615705	333079	Amber Gris
615706	29411	
615707	244867	Undetermined Role
615707	245524	Miss Price
615707	260228	Jane
615707	279304	Sarah Abbott
615707	299805	Ann
615707	364402	Mrs. Bowers
615708	376014	Mrs. Ramsey
615709	127730	Cheerleader #1
615710	52646	Bette Trippe
615710	115471	Thelma
615710	121354	Janet Leslie
615710	178761	Peg Campbell
615710	179083	Telephone Operator
615710	203568	Jane Bishop
615710	217946	Miss Carlson, Nurse
615710	220582	
615710	282665	Marianne
615710	288742	Nurse
615710	302712	
615710	316482	Harold's Girlfriend
615710	360369	
615711	4	
615711	18097	
615711	31924	
615711	32244	Coca
615711	34015	
615711	38549	The child, age 15
615711	49815	Schoolgirl
615711	107484	
615711	116277	The Flying Twins
615711	157721	
615711	160037	Their Daughter
615711	190301	
615711	240981	Dorsey Twin
615711	329806	Madeline
615711	342602	
615711	362783	
615712	4	
615712	18097	
615712	26265	Irene, the Girl
615712	32244	Cola
615712	34015	
615712	49815	Schoolgirl
615712	107484	
615712	116277	The Flying Twins
615712	139991	Dorothy, his daughter
615712	160037	Their Daughter
615712	190301	
615712	214101	
615712	240981	Dorsey Twin
615712	329806	Marion
615712	342602	
615712	362783	
615713	45609	Girl in Car
615713	107265	Student
615713	230663	Goth Girl
615713	296107	Molly
615713	350700	Student
615713	369905	Brittney Kornblum
615714	392735	Herself (Trumpet)
615715	14224	Herself
615716	228685	Younger Daughter
615717	74230	Margaret Donald (witch)
615717	120300	Delia
615717	324117	Vanna
615717	400565	Eve Ross
615718	11284	Genesta Slott
615718	24193	Mrs. Potter
615718	26651	Tabitha
615718	33765	Mrs. Smith
615718	37913	Mrs. May
615718	38219	
615718	46668	Miss Plimsole
615718	56995	Mrs. May
615718	61738	Mrs. Gibeon
615718	63274	Mahbuba Baba, Ali's wife
615718	69446	
615718	73995	
615718	90201	Tereza
615718	91649	Sarah Moon
615718	92183	Maggie Anning
615718	93277	Mrs. Stanway
615718	105616	Miss Toop
615718	107545	Lavinia Brooker
615718	108085	Train Passenger
615718	118491	Mrs. May
615718	120191	Mrs. May
615718	123393	Mrs. Bundercombe
615718	124740	Dukie
615718	130746	Mrs. Briggs
615718	138874	
615718	141535	Mrs.Chadwick
615718	148405	Mrs. Bagshow
615718	157536	
615718	160706	Arabella
615718	162365	Mrs. O'Connor
615718	177542	Gagool
615718	183328	Mrs. Carter
615718	185347	Mrs. Grebe (The Crank)
615718	188563	Miss Butterworth
615718	191771	Mrs. Harris
615718	195364	
615718	196305	Lily
615718	196964	Angle Tuckett
615718	201419	Aunt Aggie
615718	206432	Mrs. Burrows
615718	208969	Mammy
615718	222731	Miss Snell
615718	224114	Lady Parr
615718	229635	Mrs. Gwyn
615718	248452	Miss Clare
615718	261507	
615718	264829	Miss Ashford
615718	271361	Mrs. May
615718	276316	Mrs. George
615718	276718	Lady Truwode
615718	281545	Mrs. Debenham
615718	281876	Mrs. Thompson
615718	282258	Jemima Nivet
615718	284240	Sophie Fitch
615718	286124	Landlady
615718	292203	
615718	311870	Mrs. May
615718	327394	Mrs. Bindle
615718	327520	Mrs. Hope
615718	327616	
615718	330552	Miss Peabody
615718	346071	
615718	359112	The Aunt
615719	4544	Judith
615720	80524	
615720	220430	Heather Peterlee
615720	222704	Park Mother #1
615720	260330	Ruth Teitelbaum
615720	296656	Emily Shackleton
615720	321351	Sheila
615720	385388	Margaret Seaton
615720	386196	Linda Crocker
615720	392775	Kate Stockhill
615720	395830	Val
615720	402657	Mary Blandy
615721	333102	Big Meggie
615724	36367	
615725	141634	Barbara Fairchild
615726	131473	Glass Clanking Kid's Mom
615727	107088	Jeanne Mailloche
615727	115075	Victoria Allison
615727	120881	Unity
615727	157246	
615727	191785	Lise
615727	302924	Marian Beaumont
615728	131473	Glass Clanking Kid
615729	84451	Barbara
615729	93771	Sylvie
615729	140925	The Jumper
615729	263339	Sonny Swangle
615729	296206	Woman Reporter
615729	317338	Mitzi
615729	318857	Girl in Dorm
615729	332080	Gloria
615729	335865	Balloon Thrower
615729	348336	The Ajax Lady
615729	363262	June
615729	372882	Sandi
615730	6889	
615730	35251	
615730	41204	
615730	62294	DFD Woman
615730	65439	
615730	72707	Vivien
615730	77949	Teri
615730	89271	Truckstop Cook
615730	145071	Naomi
615730	250376	Dr. Zastoupil
615730	313824	Squadmate #4
615730	346005	Cynthia's Mother
615730	408823	Narrator
615732	97017	
615732	117083	Mrs. Carlton-Leigh
615732	133332	Miss Fenwick
615732	141166	Mrs. Kerouac
615732	160375	Claire
615732	217600	Mother Superior
615732	271195	Marion
615732	278894	Rita's Mother
615732	330315	Mrs. Donner
615732	344685	Mrs. Abbie Ginsford
615732	391069	Myrna Savitch
615733	2785	Herself - Co-presenter: Best 
615733	20281	Debbie Butler
615733	30581	Satin Chow
615733	31197	Herself/Host
615733	38165	
615733	49330	
615733	53208	Katherine Van Buren
615733	64569	Herself - Co-ringmaster
615733	69197	Kate/Carla
615733	73340	District Attorney
615733	80523	Valerie St. Vincent
615733	80779	Jane Mallory/Sharon Burton
615733	93156	Dulcie Warren
615733	103224	
615733	104956	Leslie
615733	114959	Constance Weldon Semple Carly
615733	119334	Stewardess
615733	128589	Stella
615733	132128	Sister Fabijana Zovko
615733	138700	Herself
615733	140186	Lucy
615733	142249	Mrs. Kirtland
615733	147972	Herself
615733	148910	Judy Wellman
615733	150520	Carol
615733	151636	Loretta
615733	154771	Babylonia
615733	159765	Jennifer Lawrence
615733	161472	Diana Astin
615733	168129	Herself
615733	176925	Lisa
615733	179071	Carter's Mom
615733	200169	
615733	200217	Herself
615733	200314	Herself
615733	210654	Lisa
615733	211180	Paula Preston
615733	216707	Gina
615733	222232	Herself
615733	222649	Dana Morgan
615733	226938	Herself
615733	231396	Lorraine
615733	232017	Herself
615733	240180	Guest audience
615733	251743	Herself - as 'Dottie'
615733	253092	Terry
615733	253363	Alana Westbrook
615733	254511	Mayor Karen Wilton
615733	258888	Beth Chaney
615733	274427	Raysha Shay
615733	293047	Jamie Douglas
615733	297772	Angie
615733	298579	Irene Adler
615733	304774	The Queen
615733	311976	
615733	313207	Cmdr. Sigrid Ivorstetter
615733	313807	
615733	316667	Laura Cassidy/Eva Bomberg
615733	326620	Courtney Vandermint
615733	326760	
615733	328553	(segment "The Seduction")
615733	328809	Camella Swales
615733	333198	Renee DeSalles
615733	347662	Mrs. Miller
615733	351931	Peyton
615733	368892	Magenta Hart
615733	373923	Lady Marian
615733	384366	Sydney Chase/Debbie Tompkins 
615733	388237	Jordan Roberts (1985-1986)
615733	388865	Constance Weldon Semple Carly
615733	389858	Sydney Chase (1996)
615733	399684	Burdetta Halloran
615733	399685	Burdetta Halloran
615733	400773	Racine (1984)
615733	404613	Jennifer Pace #2 (1973-1977)
615734	39234	
615734	87441	
615734	233737	
615734	252930	
615734	295669	Zoe
615734	303187	
615734	303211	
615734	323972	Sunghee
615734	350422	
615734	359910	Brooke
615735	1999	Cafeteria Worker
615735	250514	Patient
615736	91950	Susan
615737	115249	Health Visitor
615737	316863	Jackie
615737	317236	Strumpet's Mother
615737	384968	Terri Mowbray
615737	391155	Enid Barrett
615738	383882	Wanda Starcross
615738	410927	Presenter
615739	384097	Shona (1997)
615739	389625	Jessica Nelson
615740	56943	Shannon
615741	68450	Rabbitte Twin
615742	76058	
615742	357092	
615743	68450	Rabbitte Twin
615744	382838	Bagga (1989)
615745	5729	Daphne Colvannick
615745	21856	
615745	34139	Diane carson
615745	49253	Phyllis
615745	62534	The Wife
615745	64903	
615745	65353	Lady Anne
615745	69822	Louise Fitzmaurice
615745	73780	The Other Woman
615745	90906	Margaret Hubbard
615745	124707	Lady Carrie Fanshawe
615745	183701	
615745	193774	Jeanne Marney
615745	196494	Mary Beaton
615745	199738	
615745	203477	Nita Clive
615745	242101	Lucy
615745	263266	Princess Berenice
615745	280936	Mary Lawrence
615746	9030	Edith
615746	10613	Mary Warner
615746	37352	
615746	42796	Natalie Sutherland
615746	46566	Betty Sterner
615746	47312	Phyliss Brookes
615746	50014	Maria Valdez
615746	52228	Marie La Farge
615746	54128	Dolores Castanares
615746	62266	Dr. Della Whitmore
615746	62775	Beatrice Brown
615746	73102	Dot Marley
615746	77954	Céleste Gambier
615746	81294	
615746	83667	Mildred Dean
615746	84979	Princess Therese
615746	85037	
615746	90796	Mary Mills
615746	91962	
615746	112382	Peggy Hughes
615746	117619	
615746	119870	Alice Meagen
615746	120213	
615746	128110	
615746	135809	Mary Carrol
615746	138174	Gloria Randall
615746	140682	
615746	142471	Rosita Flores
615746	146172	Ruth Stein
615746	151030	Druid Baremore
615746	185584	Doris White
615746	190582	Patricia Alvarez
615746	193726	Ruth Farnum
615746	193853	Martha Rankin
615746	194991	Marquette (half-caste girl)
615746	207170	
615746	213836	Paul Greydon
615746	218517	Haidee, an Arabian Princess
615746	222729	Monica
615746	240246	Shireen
615746	253913	Tinker Bell
615746	258011	Ruth Weinberg
615746	269353	'Queenie' Dale
615746	270366	Virginia Calhoun
615746	270475	
615746	271242	Jerry Hixon
615746	272227	
615746	273866	Angelica
615746	281000	Carmen Hendley
615746	283508	
615746	289619	
615746	292490	
615746	296950	Beatrice Neilson
615746	301272	Ruth Farnum
615746	308399	
615746	315576	Ann Reynolds
615746	327645	Celinda
615746	329029	Dolores
615746	331058	Gwen Vandermere
615746	332099	Ellen Ainsmith/Jen Jue
615746	333167	
615746	337319	Marcella Bradley
615746	337345	Molly Hampton
615746	337721	Mary Martin
615746	346033	Suzanne Foucharde
615746	346401	Diana Stanley
615746	347743	Louise Hill
615746	351745	Ethel Musgrove
615746	361175	Essie Solomon
615746	361645	Fay Winters
615746	363088	
615746	363835	Anne
615746	366197	Anita Baker
615746	366912	Ameera
615746	367273	
615747	118754	Anna Karina
615748	80824	Missy
615749	40552	Hostess
615750	29580	
615750	127487	Contessa Ginger de Roquefort
615751	330375	
615752	106931	
615753	4622	Suffragette
615753	39216	
615753	66201	Mrs. Watkins, Pharmacy Custom
615753	92883	Mrs. McNab
615753	194582	Mrs. Lacy
615753	224228	Woman in Hut
615753	235694	Woman in Bathrobe
615753	255327	Housekeeper
615753	257939	Undetermined Role
615753	264570	Louise
615753	275677	Cigarette Counter Clerk
615753	308348	Woman in Window
615753	352143	
615754	120300	Jackie
615754	215789	TV Interviewer
615755	56899	Natalie ('Nat-Nat') Spencer
615755	80554	Rosalind Warley
615755	139181	Mrs. Gradgrind
615755	142838	Maureen Hennessy
615755	183843	Lady Jedburgh
615755	217410	Lady Verney
615755	261041	Lady Sackville
615755	294216	Mrs. Dashwood
615755	337843	Lady Emma
615755	382213	Esther Summerson
615755	392129	Eleanor (1991)
615755	392170	Pam Yardley
615755	393965	Mrs. Brown
615755	396080	Aunt Emily
615755	401778	Rosalind Clegg
615755	408866	Magistrate
615755	408870	Magistrate
615756	402197	Coral Lambert (1983)
615757	386057	
615758	20626	Checkout Chick
615758	33398	Sandra
615758	83455	Vinny Lalor
615758	154087	Rene
615758	241608	Mother
615758	313828	Ice Cream Girl
615758	372544	The Brunette
615758	384581	Linda Williams (1991)
615758	391070	Dolour Darcy
615758	395180	Grace
615758	401828	Dolour Darcy
615759	47890	Baroness Honour Royden
615761	45756	Joan Stone
615761	350343	Mrs. Seay
615762	58164	Clerk of the Court
615762	184090	Anne Blake
615762	221245	2nd Woman by Lake
615762	224723	Nurse
615762	382932	Script Editor
615762	406352	Mary
615763	13952	Zara, the old gypsy woman
615763	283672	
615764	80829	Cheryl Pierson
615764	108248	Charlotte
615764	118702	Lee Ann Hadley
615764	128378	Elnora Comstock
615764	139498	Patty Owens
615764	233956	Claire
615764	242938	Jennifer Oakes
615764	302944	Gini
615764	314103	Donna
615764	359290	Carolyn at 17
615765	315113	
615766	123864	Poncho's wife
615767	253171	
615768	330600	Ruth Baker
615769	366906	Sandi
615769	393236	Natalie Jackson
615769	405209	Bianca Davenport (1999-2000)
615770	22728	Nurse
615770	27145	Mrs. Foster
615770	403849	Patient/Out-patient (2002-200
615771	11358	
615771	139307	
615771	139309	
615771	144568	
615771	150900	
615771	197045	
615771	254333	
615771	311162	
615771	370027	
615772	303696	Woman
615773	275602	Female private
615774	248136	Dancing Girl
615775	38750	Pat
615775	61799	Kate
615775	68126	Nula O'Reilly
615775	115183	Sharon
615775	144542	Teresa Doyle
615775	144558	Cleaner
615775	144681	Patricia
615775	189990	
615775	208892	Bernadette
615775	244458	Mrs. Marlish
615775	262614	Jean McBride
615775	273716	Janice Mee
615775	273717	Janice Mee
615775	298170	Yvonne
615775	307380	Miss O'Shaunessy
615775	353360	Frances
615775	382826	Gabby Rodwell
615775	391666	Mrs. Fitzpatrick
615775	398463	Kathy Cowan
615775	404099	Eleanor Delaney
615776	59350	Wedding Guest
615776	80504	Mrs. Boison
615776	160911	Saleslady
615776	164983	Teen Administrator
615776	262033	Mama
615776	312592	Dorrie
615776	316647	Homeless Woman
615776	343908	Mrs. Farouk
615776	360647	Disheveled Woman
615776	385296	Helene
615777	388765	
615778	136827	Josephine Corcoran
615779	8098	Abby
615779	26041	Young Babar
615779	82050	Chris
615779	88575	Fatima
615779	132475	Rose Carlton
615779	220023	Allie Stone
615779	289603	Faith Stonehall
615779	301530	
615779	321364	Kate Martin
615779	350437	Sarah
615779	355065	Amy Schraff
615779	366898	Emily
615779	395723	Little Bear
615779	396378	Nicole (1993-1994)
615779	397130	Auma
615779	411211	Ruby Trammel
615780	87153	Elisa
615780	254050	
615781	135163	Pink Bikini
615782	263440	Daisy
615782	314006	Newscaster
615783	46420	Girl #2
615785	83919	Kate O'Hara
615785	110458	
615785	123110	
615785	174950	Sophia
615785	267536	Daitokuji Biiko (B-ko) (Engli
615785	344228	Sue
615785	369415	Kanoe
615785	383420	First Officer Scarlette
615785	391291	Eva Braun
615785	405639	Georgina
615786	83919	Mia
615786	107857	Natalie Lawrence
615786	123110	
615786	201985	Imme
615786	305391	Lucy
615786	388321	Lauren
615786	391786	Jasmine Bates (1999)
615787	186665	Nathalee
615788	228044	
615788	228069	
615789	27210	Audrey
615789	39038	Rima
615789	107477	Herself
615789	285263	Adla
615790	192207	Miss Lorrie
615790	195316	2nd Woman Spectator
615791	40849	Violet Bradman
615792	28651	Dancer
615793	264732	Athena
615793	313076	Dancer
615794	3366	
615795	5913	Herself
615795	79679	Melinda
615795	100855	Sarah Bernhardt
615795	230933	Bar Hooker
615795	282440	Ellen Tracy
615795	364223	Second Hooker
615796	11537	Suzie
615796	39925	
615796	71739	
615796	97134	
615796	98155	Abby Bradford
615796	257530	Mrs. Holland
615796	314526	Nancy Putnam
615796	316646	Susan Brenner
615796	361811	Grace Wexler
615796	380461	Pamela Payton-Finch (1989)
615796	385821	Mamie Grolnick (1987-1988)
615796	387309	Dr. Beth Correll Cavanaugh (1
615796	390771	Brandy Shellooe #1 (1977)
615797	288953	Lourdes
615798	233957	Herself
615799	13869	
615799	29926	
615799	36310	
615799	36327	
615799	37580	
615799	41873	
615799	43492	
615799	43562	
615799	45046	
615799	49500	
615799	54224	
615799	70921	
615799	74981	
615799	81799	
615799	89893	
615799	128676	
615799	128872	
615799	131368	
615799	146920	
615799	185849	
615799	193881	
615799	200889	
615799	218115	
615799	237758	
615799	239867	
615799	243357	
615799	244339	Paige
615799	248129	
615799	253580	
615799	254848	
615799	258760	
615799	265387	
615799	268906	
615799	273532	
615799	276864	
615799	294002	
615799	304616	
615799	333869	Herself
615799	335587	
615799	357169	
615799	366242	
615800	105280	The Helen Miles Singers
615801	5534	
615802	164364	Jane
615803	151048	Valerie Dessard
615803	152530	Lisa Dornheimer
615803	223391	Faith Montaine
615803	241633	Lorelei Lancer
615803	254540	Zetha
615803	298292	American girl
615803	329519	Belle Scofield
615803	349396	Kathy Durham
615803	365285	Rose
615804	349631	Page
615805	95398	Sha
615805	273898	
615806	302492	Flossy
615807	211529	Kennedy Mourner
615808	203612	Susan Perada
615808	266412	
615809	381561	Deirdre Garvey (Series 2-3) (
615809	401661	Daisy (1971-72)
615810	237991	Monica
615812	765	
615812	766	
615812	767	
615812	768	
615812	770	
615812	27026	
615812	34721	
615812	37792	
615812	168069	
615812	168070	
615812	196528	
615812	264126	
615813	117858	Dancer
615814	411420	Herself
615815	17485	Une jeune femme dans la soiré
615815	31944	Herself
615815	32108	
615815	68746	Herself
615815	73325	Club Singer
615815	74766	Herself
615815	90805	Herself
615815	90905	Anne Torel
615815	108101	Herself
615815	108938	Helen
615815	127203	Sophy Kwykwer
615815	128406	Rebecca
615815	137913	Ophelia
615815	142809	Herself (with Mick Jagger)
615815	143659	Herself
615815	154890	Josie
615815	161163	Betty
615815	188579	Narrator
615815	196829	Lilith
615815	199524	Herself
615815	205680	Herself
615815	218748	Mother
615815	223079	Herself
615815	244945	Herself
615815	280708	Herself
615815	299794	Bev
615815	317175	Woman 2
615815	321821	Herself (doing backing vocals
615815	341946	Narrator
615815	342395	Herself
615815	358731	The Mother (act two)
615815	362980	Lilly
615815	364588	Herself
615815	381501	Herself (at Sgt. Pepper sessi
615815	389654	Herself - Guest Presenter (Se
615816	53054	Hannah
615816	123229	Heather
615817	45736	Lili
615817	94246	Sophie
615818	184785	La carotte
615818	243142	
615818	248415	Sophie
615818	284271	Isabelle
615818	389242	Marlène Alda
615819	345175	Little girl (La petite fille 
615820	76463	Madam
615820	412268	Joséphine (segment "Comte de 
615821	20409	
615821	83698	
615821	104209	
615821	130269	Farrideh
615821	220479	
615822	132763	Zorah
615822	323242	
615823	282228	Darling
615824	196764	
615825	65393	Elevator Girl
615825	385442	Elevator Girl (segment "Claus
615826	385500	Alma García Pérez
615827	48704	Polynesian Girl
615827	403874	Lisa
615828	43755	Cousin
615829	222152	Sônia
615831	308482	
615832	79875	Ilse Polanyi
615832	340910	Thankful
615833	399344	
615834	407536	
615835	7713	Husband's Sister
615835	100222	
615835	174413	Ayeesha
615836	122319	Aicha
615837	5242	
615837	21731	
615837	25548	
615837	28900	
615837	30539	
615837	78612	Mona's Mother
615837	126920	
615837	127011	
615837	139351	
615837	142222	
615837	147080	Rania's Grandma
615837	152150	
615837	156948	
615837	164058	
615837	172639	
615837	183008	
615837	202062	
615837	202114	
615837	226598	
615837	227775	
615837	235807	
615837	275013	
615837	282949	Princess Ingi
615837	297067	
615837	297855	
615837	374657	
615838	279488	Additional Voices
615838	321210	Kerri
615838	386921	Bulla a.k.a. Bra
615838	389464	Arisa Uotani
615838	394392	Mrs. Verracio
615838	397371	Rene Kensilla
615839	8545	Samira
615840	410330	Alma
615841	35891	Lina
615841	371544	Tauba Lepski
615842	288862	Herself
615843	346016	Model
615844	58775	Tatiana
615844	58858	
615844	89933	
615845	108110	Luisa
615845	246416	
615845	247984	Suor Ivana
615846	37682	Bistro Patron
615847	14192	Housewife
615848	137515	Lady Mopping
615849	17198	Paula
615849	56108	Elsa Conrad
615849	56351	Mava
615849	92663	
615849	115819	Lucía
615849	126186	Ana, la secretaria
615849	199916	
615849	218201	
615849	381217	
615849	385852	Aldana
615849	395310	
615849	403237	Martina Manzur
615849	405918	
615850	149530	
615851	57443	Denise
615851	89406	Paco
615851	90449	Carolina/Young
615851	119052	Françoise
615851	191436	Lisbela
615851	379450	Léo
615851	384118	Estrela (2000)
615851	384480	Mel Ferraz
615851	396610	Antônia (1998)
615851	404834	Maria Eduarda de Andrade e Co
615851	409405	Cuca
615851	409419	Raquel Rosemberg
615853	113603	Young Gangster
615854	99408	Isa
615854	232402	Young Female Lover
615855	186443	Herself
615855	395290	Featured Performer (1968-1977
615856	2012	Herself - Performer
615856	2548	Herself - Presenter
615856	42352	Herself
615856	42357	Herself
615856	64564	Performer
615856	64566	Ringmaster
615856	138730	Herself
615856	152436	Herself
615856	178468	Loretta Sykes
615856	189264	
615856	189280	Emma Jones
615856	193491	Lola gate
615856	199138	Casey's Secretary
615856	202945	Theo
615856	220211	Herself
615856	232017	Herself
615856	268991	
615856	286692	Herself
615856	313900	Herself
615856	327187	
615856	381645	Regular Performer
615856	383385	Charity Blake (1984-1986)
615856	385046	Frequent Guest
615856	399229	Regular
615857	352420	Etta
615858	390753	
615859	1140	Enfant carriole
615859	238163	La petite Hélene
615860	20735	
615860	301113	
615860	326325	
615861	67135	Herself
615861	296261	Wake Stripper
615862	379716	Bianca Montgomery #1 (1988-19
615863	217274	
615864	7477	Mathilda/Angelina
615864	17740	
615864	42844	Herself
615864	51443	Kim Novak
615864	82481	She
615864	128000	Zorilla
615864	153811	Sophie
615864	215014	
615864	229601	Irene
615864	238003	Elena
615864	242831	Silvia
615864	247108	Helena
615864	248056	Herself
615864	264253	Mirabella
615864	284590	Poppea
615864	383449	Livia 'Aurigemma' Cornero
615864	386132	Princess Desideria
615864	388613	Herself .- Assistant (1995)
615865	13067	
615865	54829	
615865	206029	
615865	251626	Adele, la moglie di Andrea
615866	102334	
615867	205294	
615867	274900	
615867	352237	Aurelia
615867	354101	
615868	390771	Meg (1996-1998, 1999)
615869	176855	
615870	127945	
615871	445	Agnes, lady bumpkin's daughte
615871	205499	Hairdresser
615872	104750	Host
615872	210339	Herself/Host
615872	235398	
615872	387959	Herself - Presenter (1975)
615873	284104	Ninni
615874	181736	Frk. Mortensen
615874	392322	Kirsten Brandt
615874	395115	Karen Andersen
615874	412298	Inger Margrethe
615875	188812	
615876	5134	Mrs. Budeck
615877	320428	Suzanne Kruse
615878	308834	
615879	39120	Herself
615880	89398	
615881	48410	Königin
615881	186895	
615882	17288	Elena von Kreuser
615882	24737	Lilo
615882	42599	Francesca
615882	93486	
615882	102610	
615882	144038	Helene Andersen (Daughter
615882	183253	Vera, his daughter
615882	189744	
615882	189778	
615882	189870	
615882	314899	Miss Mary Smith
615882	347678	
615882	348140	Hilde van Baldur
615882	375085	Arsena Zsupan, seine Tochter
615883	17524	Irene Hemmstreet
615884	34389	Maria
615884	71435	Segretaria di giulio
615884	235757	
615884	252660	
615884	259699	
615885	23730	Sophie
615886	2761	Herself
615886	2797	Herself
615886	2805	Herself - Co-presenter
615886	2810	Presenter
615886	2816	Introduce Best Musical 'Carol
615886	2889	Herself - Best Actress Winner
615886	26971	Mom
615886	40690	Diana DiBianco
615886	46532	Marcy
615886	49366	Lorna
615886	61673	Patty
615886	70468	Berta
615886	71353	Billie
615886	81176	Mom
615886	91490	Olivia Deer
615886	108336	
615886	109094	Marge Gunderson
615886	113928	Kate Wilkinson
615886	133730	Safarah Polsky
615886	153121	Joanne
615886	154796	Female Cab Driver
615886	166671	
615886	169991	Judy Berlin
615886	186448	Denise
615886	186498	Angie
615886	245766	Festival Programmer
615886	263439	Feiga
615886	264785	Alison's friend
615886	272026	Janice
615886	278187	Film Director
615886	316998	TV Producer
615886	319254	
615886	319270	Marly Temple
615886	321247	Karen
615886	333216	Ginny
615886	340531	Vivian Stewart
615886	340923	Peg Coughlin
615886	345660	Jane (The Waitress)
615886	352979	Herself
615886	400621	Officer Diane Whittlesey (199
615886	405976	Carmela Soprano
615887	27676	
615887	75242	Ilde
615887	89832	
615887	116489	
615887	129015	Woman
615887	196777	
615887	211982	
615887	216324	Signora Motta
615887	255122	
615887	255471	Signora Motta
615888	41518	Beach Woman #2
615889	155749	
615889	341348	
615889	371718	Herself
615890	155808	
615891	272724	Reenactment Cast
615893	129784	Student #4 (jury member)
615895	212993	
615896	241512	Mother
615897	45707	Mrs. Olaf
615897	309206	Reporter
615898	215821	LT Falcon, Communications
615899	98818	Classroom Student Michele
615900	322837	Additional Voices
615901	70927	Contestant #1
615901	97460	Herself
615901	158293	Micky's Girlfriend
615901	280013	Cynthia
615901	338757	Lacy Dunk
615902	401871	Lollipop singer
615903	205696	
615904	73643	
615905	190024	Mom's lady friend
615906	47924	Allison McBride
615906	90932	John Densmore's girlfriend
615906	185530	Herself (wife of Robert Downe
615906	220851	Chloe
615906	268201	Rivkah
615906	299846	Barbara
615906	368944	Wendy
615907	289966	Joey
615908	23919	Herself
615908	133412	Herself
615908	197923	Herself
615908	228303	Presenter
615908	302625	Co-Presenter
615908	390195	Herself - Entertainment Today
615908	410697	Presenter
615909	242838	
615910	140518	Woman in Capri
615910	383461	SN Tricia 'Whitcoat' Williams
615910	403462	Roisin McIntyre
615911	241830	Stripper
615912	308850	Crosby Twin
615913	10833	Dr. Cleo Browning
615913	186422	Amber
615913	223991	Tammy
615913	362917	Cindy the Zombie
615913	364425	Kirk's Visitor
615913	405209	Amalia (2000)
615914	137462	Kate
615915	16909	WAAFS
615915	141953	Aunt Dete
615916	68904	
615917	129186	Muscle Woman
615918	159495	Guiguitte
615919	217225	La prof de français
615921	269121	
615922	334704	
615923	63823	Mulher do Paraíba
615924	197991	Tereza
615925	191436	Francisquinha
615926	19451	Jussara
615926	352127	Mercedes
615927	294791	Aluna 1
615927	384995	
615928	233952	Niña 1
615929	84459	
615929	222033	
615930	156085	Herself
615931	345607	Hermana
615934	110231	Teresa
615934	209298	Laila
615934	214657	
615934	222855	Regina Blasco
615934	263069	
615934	276486	Kinga Wilowa
615934	412195	
615935	14801	(segment "Tú serás mio")
615936	153827	
615937	12027	Dancer
615938	400343	Coreografía, Danza y Movimien
615939	41448	Isabel
615939	234313	Tere
615939	296126	
615940	117686	Herself - Supervisor, Dansk T
615941	92052	Maria
615941	158855	Alessandra Andreoli
615941	215340	Nadia
615941	257020	Yvonne, la soubrette
615941	300786	
615941	336591	Maria
615941	336606	La signora dell'appuntamento
615941	341860	Angelica
615941	348209	Mariannina
615942	19471	Kitty
615942	71377	Mulher de Gois
615942	209515	
615942	211047	
615942	369501	Luísa
615942	396201	
615942	398881	
615942	406984	Isabel Catarino
615943	117971	L'Avvocatessa
615943	310887	
615944	268923	Mother Superior
615945	48361	Oboe Player
615945	95674	mother
615945	192821	Eleonor
615945	249105	Carola
615945	305242	Betty, actress
615945	318443	
615945	323671	Raped Woman
615945	346297	Nurse
615946	203376	
615947	57673	Herself
615947	117134	Glynis
615948	368489	Janie Beth
615949	142066	Liane Gruber
615950	64333	Herself (1986)
615950	84616	La belle blonde du train
615950	314305	Marie-Evangeline
615951	197117	
615952	44828	
615952	55968	
615952	386691	
615953	8043	Dancer (Herself)
615954	128776	
615955	370186	
615956	285597	Keam
615957	97713	Laura - 1875
615958	42188	Denise
615959	94450	House-maid #2
615959	153769	Britta Lindström
615959	304161	Ulrika Widell
615959	322310	
615959	333068	Janine
615959	338729	Ninni Wahlås
615959	355627	Maud Bergstedt
615960	2165	
615960	34633	
615960	264677	
615960	264683	
615961	174569	
615961	272531	
615962	170681	Lara Rispala
615963	216841	Ursel Altmann
615964	88193	Marie
615965	39124	
615965	268370	
615966	363416	Herself
615967	87509	Woman in Store
615968	72580	
615969	8000	Gretchen
615969	44416	Model
615969	56046	Wendy
615969	80606	Joan Reducci
615969	114288	Anne
615969	141592	Heather McNamara
615969	158338	Jamie
615969	186759	Shanna
615969	188135	Patti
615969	232134	Rock Manager
615969	245658	Karen
615969	263057	Alex LaGatta
615969	264033	Stacy
615969	283426	Marjean
615969	289222	Sandra
615969	291215	Herself
615969	297775	Paula/Laura
615969	318456	Marty's wife
615969	320901	Herself
615969	354793	
615970	214690	Nursery school manager
615971	252974	Holly
615972	6397	Catherine
615973	45768	Virginie
615973	77421	Mademoiselle de Châteauneuf
615973	338572	
615973	345270	
615974	160156	Anna Johansson
615974	235040	Kassörska
615974	377442	Leonora (episode 2)
615975	170222	Herself
615976	355091	Ponytail Girl #3
615977	38839	Herself
615978	3169	Rossella
615978	10007	Mrs. Finley
615978	90754	
615978	127937	Sophia Bini
615978	127945	Moglie di Vittorio Borghi
615978	135136	
615978	187277	Rossella
615978	199506	Erminia, His Wife (segment 5 
615978	217014	Mrs. Fothergill
615978	234730	Laura de Fabritiis
615978	257027	
615978	295160	Elena Marchi
615978	314378	Herself
615978	324893	Woman with mole
615978	344453	Herself
615978	351848	
615978	381622	Nina (2003)
615978	404750	Olivia
615979	272646	
615980	27920	
615980	33647	
615980	34460	La mère
615980	48309	
615980	59271	Voice
615980	62569	
615980	97193	
615980	155857	German Sergeant's Wife
615980	187750	Madame Nussbaum
615980	198349	Doly
615980	202766	The nanny
615980	217723	Josy
615980	252361	Femme de chambre
615980	283040	La crémière
615980	283654	
615980	309967	Fermière
615980	345554	Madame Lisa
615980	381427	Juliette
615981	24519	
615982	333068	Kvinna/mage
615983	182278	Surgery nurse
615984	121027	Frøken Ayola 1
615984	197274	
615984	315185	Ekspeditrise
615985	6512	Lise
615985	48357	Birgit Sande
615985	55096	Dame i heis
615985	76784	Randi
615985	101636	Ms. Nylander, housekeeper
615985	117862	Frk. Hall
615985	129138	Anna Reinche
615985	145474	Aas, lærerinne
615985	153956	Mor til Arne
615985	170375	Fru Nilsen
615985	178743	Viveka Langenfeldt
615985	180449	
615985	181077	
615985	192492	Tante Liss
615985	234512	Nabofrue
615985	237081	Eva Bergstrand
615985	242689	
615985	248173	Fru Wibe
615985	266555	Molle Borg
615985	302796	Helena Ulfsax
615986	335107	Mette
615987	23515	
615987	320629	Nun
615988	32571	
615988	285810	Emna as a child
615989	111893	
615990	105975	Cissie, Age 5
615990	203002	Mary as a child
615990	330836	Nanette
615992	125635	Concubine
615993	66357	
615993	148483	Mulher da loja
615994	15185	Wendy
615994	226295	Lid van meisjesbende
615994	382864	Nichtje Marianne
615994	390242	Terri Dalstra (1990-1991)
615995	376009	
615995	407986	
615996	19808	Child
615997	6414	Else Pilkahn
615997	33451	
615997	65409	Sophie
615997	96010	Lily
615997	126447	Evelyn Baumann
615997	139055	Hayworth
615997	155350	
615997	177166	Pummel
615997	230987	
615997	246917	Sigrid
615997	259629	Sabine
615997	259680	Maria
615997	275039	Ursula Spindler
615997	282260	Basil's First Wife (photo)
615997	290131	Uta Blumenthal
615997	347042	Eva Buschbaum
615997	376351	Amelie
615997	386981	Britta Grimme
615998	392300	Herself - Expert panel/Estate
615999	40300	Birgit
615999	77701	Suzan
615999	146999	Karoline
615999	201633	Herself/Birgit
615999	305004	Hanne Saxofon
615999	401872	Herself - Participant (2002)
615999	401878	Herself - Participant (2002)
616000	308594	
616001	349001	
616002	95279	
616002	404899	Elmo/Tiffy
616003	36856	Manicurist
616003	54002	
616003	55331	
616003	72104	Herself
616003	124765	Elena Sandoval
616003	133240	Herself - Amatuer Tennis Play
616003	141803	Herself - party guest
616003	186004	Pam Crawford/Olga
616003	193678	Sue Dolan
616003	196973	Gloria Carroll
616003	209609	Maxine Whittaker
616003	232822	Jane Peters
616003	235633	Katinka
616003	248616	Herself
616003	281608	
616003	291335	Herself
616003	291353	Herself
616003	297936	Fay Weston
616003	302603	Evelyn Palmer
616003	307985	On Screen Trailer Narrator
616003	308619	Evelyn
616003	313085	At Studio Gate
616003	316946	Goldwyn Girl
616003	321379	Jerry Gilbert
616003	323071	Luana
616003	323940	Janie Clark
616003	329948	Customer
616003	342951	Jinx Terry
616003	343120	Gloria
616003	382789	Host
616003	384493	Co-host
616003	397044	Herself/panelist (1958)
616003	402104	Co-host
616004	261502	Forensic Examiner
616004	266625	Woman in White
616005	3981	A.P.E. #8
616006	352047	
616007	100814	Mme. Lebrun
616007	141416	Dinner Party Hostess
616007	150879	Head Nun
616007	151101	Woman In The House
616007	308122	Charlie's secretary
616007	407545	Mrs. Bob (episode "The Dark H
616008	279482	Rollwagen Theater Member
616009	237869	Wireter's Girl
616010	313459	Djas Puhr
616011	362621	
616011	390586	Herself - Presenter
616011	410947	Herself - Co-Host (1999-)
616012	388863	Matron
616013	290029	Magd (maid)
616014	247344	Girl
616015	281918	
616016	176882	Edna Perkins
616016	187167	Inga
616016	223818	Reporter
616016	333691	Mom
616017	118749	Landlady
616017	233188	1st Body Guard Psychologist
616017	254145	
616017	336831	
616018	254121	Fatima
616019	107818	Connie
616019	302863	Teresa
616019	328375	Woman
616020	205973	Océane
616021	283434	Singing Woman
616022	342626	Sheila
616023	357943	Nyolcadikos
616024	404932	Baby, Wolcott
616025	106666	Masked party principal
616026	68263	Herself
616027	76764	Walijne
616028	322335	Cast Member
616029	342616	Valerie Hill
616030	4506	
616030	359614	
616031	34642	Toni
616031	138699	Mommy #1
616031	164336	Princess
616031	183772	Olympe
616031	192340	Cantina Voice #1
616031	210721	Voice Over
616031	283313	Erica
616031	283398	Alley Voice #4
616031	284583	Mary Marvin
616031	307902	Party Guest
616031	314982	Nurse #1
616031	350145	Additional Voice
616032	153575	
616032	183944	Nurse
616032	185180	Rose
616032	337384	Bunny
616033	23108	Evelyn
616033	89849	Susi
616033	97948	Tatjana
616033	102612	Wolke Donner
616033	117838	Suzy
616033	119224	
616033	156656	Claudia
616033	160254	Eva
616033	217916	Marianne
616033	220512	Mrs. Bischoff
616033	237951	Edeltraud
616033	251003	Hanne
616033	275208	
616033	281981	The Woman
616033	290051	
616033	294853	Olga
616033	324475	
616033	380396	Bettina Baumann
616034	311195	Alex
616035	252764	Bank Teller
616036	182603	Frk. Svendsen - kontordame ho
616036	237023	
616037	109118	Oddrun
616038	255598	La bonne de l'hôtel
616039	87195	
616039	381574	
616040	41044	Patient
616040	96939	Maid
616040	200881	Sarah
616041	272440	Extra
616042	407	Extra
616043	68437	
616044	92150	Drug Addict
616045	212084	Sarah Monroe
616046	240473	Medicine People
616047	10439	La shampista
616047	70025	Luciana
616048	94680	
616049	150084	Adventuress
616050	10206	
616050	341364	
616051	82681	Monica
616051	177284	Jo Biddle
616052	70972	Zombie
616053	198349	
616054	189403	Consuelo
616055	77206	Young Mary Wulfstan
616056	394311	Caroline Kennedy
616057	279996	Gutted Groupie
616058	82099	Dr. Fallon
616058	364183	Bjorn's Mother
616060	128294	Nina
616060	144905	Poetess
616060	264756	Devil's Familiar
616061	220080	Decent Babe
616062	37473	Fly by Air Ticket Agent
616062	42983	Michelle, Harry's Supervisor
616062	70424	Charlotte
616062	76571	Peggy
616062	77701	Brenda
616062	89330	Martha
616062	114271	Larry Jean
616062	116799	Lanie
616062	117874	Dorothy Harris, School Bus Dr
616062	133973	Tina
616062	147500	Stanley's Mother
616062	170982	Heather
616062	181005	Lori
616062	210739	Beatrice, Edgar's Wife
616062	229428	Maggie
616062	231492	Julie
616062	242113	Leslie
616062	248132	Lisa
616062	254876	Crazy Lady
616062	288711	Herself
616062	362543	Edwina
616062	404337	Various (1991-1992)
616063	386339	Female Maitre D'
616064	243773	Vénus
616065	312268	
616066	408481	Presenter (1999-)
616066	408482	Herself
616067	7198	Miss Howell
616067	99841	Mildred
616067	129233	Marie
616067	199393	Lulu
616067	228815	Goldie
616067	231978	A Waitress
616067	286059	Lillian, aka Lil
616068	48361	Choir Member
616069	291530	Marie
616070	229729	Old Woman
616071	96753	Switchboard Operator
616071	198976	Martha
616071	220174	Blond Chick
616071	330867	
616071	372433	Rock's girl
616072	404694	Lisa Britton #2 (1970)
616073	362501	Bank Clerk
616074	106810	Trikotengel
616075	81584	Young Goddess
616077	230370	Gloria (Runaway Child)
616078	232248	Verna
616078	297672	Hooker with Mabel
616078	313762	Waitress
616079	58305	Femme pendue
616080	377635	
616081	104195	
616081	180187	
616081	349036	
616082	85163	
616083	399294	Chantel Tierney (1994-1997)
616084	327337	Narrator: Voxpop segment
616084	327340	Herself - Host
616085	53152	Girl in the limo
616086	53152	Girl in the limo
616086	99589	Elvis Gratton future wife sea
616087	316153	Girl on operating table
616088	3439	Carmela
616088	21982	Elena
616088	51944	
616088	53001	
616088	53085	Cecilia
616088	53652	Madre Teresa
616088	66081	
616088	67212	Filo
616088	67458	
616088	68613	
616088	73550	
616088	84059	Aurora
616088	96314	
616088	103806	
616088	123150	Josefa
616088	154543	Herself - Presenter: Best Fil
616088	247879	
616088	269833	
616088	285933	Clara
616088	307700	
616088	307799	
616088	322377	
616088	322830	
616088	334469	Shirley
616088	348932	
616088	376656	
616088	384848	Haydée
616088	391445	
616088	398814	
616088	399365	Carmen
616088	400840	Rosario (2000)
616088	403109	Visitación
616088	407540	
616088	410092	Carmen
616089	81501	
616089	264729	
616089	264745	Herself
616090	132281	Julia
616091	374490	Josefa
616092	313174	
616093	839	
616093	138440	Aunt Ella
616093	153688	
616093	156028	
616094	98793	énekesnõ a bárban
616094	186122	Énekesnö
616094	377143	Singer (Pa-Dö-Dö)
616095	28341	
616095	64744	Peasant
616095	103821	
616095	140061	Retus
616095	179852	
616095	182642	
616095	199118	
616095	309354	Mrs. Berta
616095	377133	
616096	271282	
616097	225315	Marga Stella
616098	197738	Desk clerk
616099	54393	Naïma (petite)
616100	54393	Naïma (enfant)
616101	373577	Crystal Waitress
616102	323824	Terry Richardson (segment "Li
616103	93217	Ginger
616104	83251	Voyou 1
616104	261839	Lola
616106	25461	Fame
616106	33028	Herself
616106	130319	Unlce Franks Brunette Bombshe
616106	206442	Vanessa
616107	391112	Host
616107	392213	Host (2000)
616108	372713	Eliza
616109	16341	Mila
616109	324539	Tanja
616110	126508	Nada Band
616111	97193	
616112	144848	
616113	151998	Red Vulture
616113	299983	Actress
616114	287002	Zsa Zsa Meng
616115	62130	Miss Ho
616116	31346	Victoria
616116	73928	Barbara Chen
616116	103910	Reporter
616116	233782	Reporter
616117	36427	
616117	74892	
616118	300756	
616119	31086	
616120	82146	Angel
616121	336635	
616122	110664	Girl
616123	170629	
616123	216401	
616123	370485	
616124	27223	Li Li
616125	331193	Sayan
616126	369045	Old Lady
616126	373930	
616127	175767	
616127	275564	Kuen
616128	111184	
616128	167781	Chiu's former girlfriend
616128	268728	Mary Chong
616129	252223	Chelsea Remington
616130	34474	
616131	52187	Pietro
616132	18544	Sharks Trainer
616132	82693	
616132	196281	Darlene
616132	207908	Tanya Bergen
616132	282563	
616132	323492	Lace
616132	333055	Faith
616132	340992	Sharon Strauber
616132	353426	
616133	67496	Teresa, la domestica
616134	235773	cashier
616135	32969	
616135	92102	
616135	112544	Paula
616135	114989	Cynthia Leyland
616135	115489	
616135	117523	Audrey
616135	168722	
616135	280098	Carol
616135	348400	Child
616136	350343	Ms. Haver
616137	1381	Herself - the Danseuse
616137	196571	Party Goer
616137	313336	Themselves
616137	339829	Herself
616138	77777	Eccentric Dancer
616139	112095	Themselves
616140	10046	Margherita
616140	198599	Piera
616140	215995	
616140	261495	
616140	409093	
616141	314847	
616142	95656	
616142	164055	
616142	212329	
616142	270030	
616142	289162	Baka
616142	357276	Vujka
616142	361237	
616142	409909	Mare
616143	51377	Kalifa
616144	94210	
616144	95356	
616144	180237	
616144	238318	Gretta
616144	297794	Irina Goncharova
616144	339234	Serafima
616144	349076	
616144	349257	Vera
616144	375146	
616144	398894	
616145	34607	
616146	165582	Christy
616147	108532	
616147	353167	Sandra
616147	410246	Yoloxochitl
616148	399542	Various characters
616149	78921	Meg Harris
616149	388350	Jane
616150	30146	
616150	37509	Iris Cooper
616150	41224	Felice Deschanel
616150	43729	Kate Carnegie
616150	49239	Irma Peterson
616150	70762	Lady Barbara
616150	72830	Zena Hammond
616150	74126	Actress
616150	78233	Gwendolyn Harleth
616150	114790	Mrs. Cameron
616150	158376	Estelle
616150	186052	Countess Maltakoff
616150	190602	Belle
616150	193774	Anne-Marie Marney
616150	194896	
616150	196494	Mary Beaton
616150	255326	Lady Marchmont
616150	263587	Hilda Douglas
616150	264177	Violet Meretham
616150	292240	Miss Hope
616150	328009	Lady Henrietta (segment "Mart
616150	331224	Amelia Wynn
616150	331457	The Duchess
616150	356894	Helen Saville
616151	186109	Moggy Pailings
616151	196202	Mrs. Bugle
616151	239525	Miss Soper
616151	281100	Zilla
616151	334225	Wife
616151	334629	
616151	337110	Miss Grampayne
616152	218108	Liane
616153	379323	Ellen Josephine Hickle
616154	5736	Mona
616155	239881	
616155	253499	Young Delia
616156	387621	Celine
616157	78058	
616157	108330	Defendant
616157	119502	Lewis' Girlfriend
616157	194638	College Girl
616157	273704	Evonnes Roommate
616157	368092	Fine Sister at Restaurant
616158	90560	CiCi
616158	183044	
616158	198710	Ling
616159	321954	Agency Intelligence Communica
616160	110577	Xu Dengan
616160	411590	Jian Ni's mother
616161	394660	Miyu's Nurse
616162	406779	Herself
616163	324517	Une Chinoise
616165	8781	Fat Woman
616165	296759	Widow Jiang
616166	218141	Mama
616166	268698	Xiao Hong
616166	369096	Wenwen
616167	137161	Jade
616168	277558	Chen, Bailu
616169	399091	Tatsuka Yanagihara/Elela
616170	38184	
616170	151906	Daughter-in-law
616170	189218	Yingtai Zhu
616170	192474	Dou E
616170	274204	
616170	321200	
616170	359006	Baochuan Wang
616170	374709	Zhao Wuniang (Madame Zhao)
616171	369963	Chen Zhimin
616171	373091	Militia Battalion Commander
616172	215691	Miss Vermont USA
616173	204810	
616174	328535	Carmen
616175	8495	Josy
616175	14881	Linda De Simone
616175	35019	
616175	44423	Jenny
616175	58829	
616175	70044	Nina
616175	82147	Iva
616175	89870	
616175	97451	Alessandra
616175	110385	
616175	127384	Flavia
616175	136944	
616175	189077	
616175	229820	Nenè
616175	251600	
616175	252339	
616175	252721	
616175	294251	
616175	308422	
616175	320627	
616175	348122	
616176	60237	Lindi
616177	18963	Nora Gunnell
616177	277947	Physiotherapist
616178	256910	
616180	351884	Girl
616181	284000	Herself
616182	117248	Dell
616183	145154	
616184	39957	VA Receptionist
616184	72762	Nurse
616184	79740	
616184	297005	Shopper
616184	319544	Scout Girl
616185	126376	Faru Dr. Wohlfahrt
616186	126459	
616187	20738	
616188	215157	Henry's first date
616188	224091	Model 2
616189	26846	Mom
616189	309047	Chappie's Woman
616190	205933	
616190	291903	Lisa
616190	391549	Lisa
616191	383757	Dealer
616192	94115	Dancer
616193	411522	Korean bridesmaid
616193	411653	Ye Xinping, when she was youn
616194	217799	Jelisawjeta Bogdanowna
616195	57552	Self
616195	71529	Self
616195	160425	
616195	223029	Self
616195	240365	Self
616195	254754	
616195	296745	
616195	301617	
616196	345156	Elève réunion
616197	86099	
616197	409668	Pamela
616198	300164	Nubian Challenger
616198	309576	Clodine Boyd
616199	121507	Young Laura
616200	2797	Herself
616200	32419	Herself
616200	56729	Sally
616200	69711	Anastasia
616200	93253	
616200	109871	Clairee
616200	138551	Katie
616200	144663	Emily Callaway
616200	154040	Lucy Diamond Dawson
616200	158391	Narrator
616200	177074	Preschool Kim
616200	203344	Pita
616200	232831	Maria
616200	321213	Young Melanie
616200	335258	Little Girl in Park
616200	335380	Satsuki (Disney version)
616200	338278	Abigail Jennings
616200	348545	Lorraine "Ray" Schleine
616200	359297	
616200	407421	Allison 'Allie' Clarke-Keys
616201	32355	Sweetie Pie Thomas
616201	76571	Jamie
616201	90900	Ruth Cole
616201	154040	Lucy 2 Years
616201	335380	Mei (Disney version) 
616201	407421	Allie (age 3)
616202	378912	Reporter (1984-1986)
616203	88655	Herself
616203	320082	Clerk
616203	346757	
616204	81010	Lillith
616205	90317	Lady Artist
616206	354905	Girl's Mother
616207	104772	French entry (7th place)
616207	171380	Qusadillera
616207	294798	Betty Sterner
616208	394	Consuela
616208	76381	Village girl
616208	82993	Inga
616208	87831	
616208	90162	
616208	162049	
616208	197615	
616208	211509	Whore
616208	263621	
616208	266012	
616208	281885	
616209	29243	Melanie Arnhold
616209	98341	Carla Stein
616209	98970	Anna
616209	141962	Clara
616209	145346	Michelle
616209	180097	Hannah Mühlhausen
616209	312887	Micha Bergmann
616209	338443	
616209	350852	
616209	387034	Charlie
616210	16672	
616210	42785	Reporter #2
616210	154494	Johanna Lugar
616210	273863	Fran Bailey
616210	297382	Saddle Rock Townfolk
616210	310547	Woman at the Bar #2
616211	194044	Seance Woman 1
616213	71592	Receptionist
616214	35351	
616214	215136	La vendeuse
616215	331467	Daughter On Bridge
616216	109132	Sonja Katena
616216	125828	Miss Winberg
616216	142729	Nabocof's wife, nurse
616216	182302	Karin
616216	306371	Hotel Guest
616216	353005	Ingrid Larsson
616216	396529	Host
616218	37690	Woman Cop
616218	104616	Herself (Italian member of th
616218	159012	Actress #2
616218	184769	Lapdancer
616218	191142	
616219	88335	
616219	109365	Daphne
616219	191331	Taffy
616219	319684	Trish
616220	125776	
616222	49139	Herself
616223	204354	Party Guest
616224	159449	Princess Contarini
616224	199072	
616224	229609	
616224	287650	
616224	294418	La segretaria
616224	352372	
616225	51989	Ranch Inmate
616225	54373	Christina
616225	98184	Doctor
616225	367581	Mahnaz
616226	212311	
616227	384137	Olga Gonçalves
616227	387833	Maria
616227	388681	Joana Rocha
616227	396610	Tatiana Almeida Chaves (1999-
616228	102171	
616228	111909	
616228	244662	
616229	54829	
616229	205304	
616229	265724	
616229	377576	
616230	256454	
616231	256454	
616232	115970	
616232	117971	
616232	248649	
616232	344577	Julia's friend
616232	351294	
616233	220276	Audience Member
616233	269355	London Groupie
616234	59573	Mary
616234	193138	Lori Peterson
616235	20354	Rossana
616235	34298	Concierge
616235	207083	
616235	207768	
616235	260616	
616235	374385	
616236	57324	Fille brune
616237	230873	Space Girl
616238	101735	Hostess
616238	126755	Miss Immel
616239	74574	Paula
616239	100391	Lulú
616240	277811	Professoressa di Paolo
616240	355652	Nonna di Magda
616241	3536	
616241	14258	
616241	23565	
616241	54159	
616241	90754	
616241	94690	
616241	217109	Maria
616241	336591	Messalina
616241	336594	
616242	11692	
616243	46006	Marie-Rose
616243	322861	Mademoiselle Rose
616243	384530	Mademoiselle Rose (Ms. Scarle
616243	394178	Olivia
616244	195689	Additional Model #2
616245	25301	
616246	54299	
616246	68396	
616246	174636	Une élève
616247	70053	
616248	327834	
616249	383727	Kátia
616249	385947	
616250	16954	
616251	45814	
616252	167324	Carolyn Arnold
616253	305074	Woman at Salon
616254	332956	La marquise Dolorès
616256	64178	
616257	115588	Sandy's Mom
616257	305710	Mrs. Carter
616258	351761	La Catalana
616259	307277	Cajera
616259	371290	Cantaora romería
616260	266758	Make-Up Lady
616260	275996	Church Hostess
616261	13949	Katy
616261	40632	Susie Davis
616261	46813	Beth
616261	55587	Jennifer O'Connor
616261	130970	Goldie Hawkins
616261	133743	Connie Ripley
616261	141621	Corinne
616261	147214	Jenny
616261	150520	Judy Gillette
616261	168665	Linda Monroe
616261	242096	Lynn
616261	280193	Selma Drown
616261	283341	Dr. Otis
616261	285360	Mrs. Marlowe
616261	289691	Babbette the chambermaid
616261	301974	Maureen Patterson
616261	363243	Angel Childress
616261	366039	Florence Schiffer
616261	383938	Suzette Michaels
616261	388130	Tracy Doyle
616261	390371	Valerie Wood
616261	391616	Dr. Reggie Hewitt
616261	395183	Gail Collins
616261	396024	Mary Parker
616261	406083	Debbie Dee Claggett
616261	407470	Candi Moretti
616261	408096	Judy
616261	408973	Ellen Freeman
616262	214111	
616263	18221	
616264	27247	Herself/Snowball Merriman/She
616264	381121	Snowball Merriman (Series 4-5
616264	383631	Dr. Heather Lincoln: Locum SH
616265	10376	Théa
616266	187918	Herself
616267	204257	Greta
616268	33908	Hana
616269	149918	
616270	237164	
616271	343750	
616272	239432	
616273	355566	
616274	394880	Csibi
616275	19910	
616275	85378	
616275	171601	
616275	182732	
616275	214500	
616275	218340	Dancer at the Party
616275	242537	Buxom Girl Outdoors & In Car
616275	254734	
616275	322049	Mariora, Juan felesége
616275	322702	
616275	407236	Hermin Faragó (1989-1991, 199
616276	352000	Damasia
616277	237331	La sage femme/Midwife
616277	292349	Djamila
616279	162778	
616279	250795	
616280	151304	Belly Dancer
616281	83098	M
616281	84626	
616281	137099	
616282	217204	
616282	335795	
616283	187570	Second Wife
616284	146071	Narrator
616285	25944	
616285	54888	
616285	104281	Ms. Majdi
616285	137979	
616285	175946	
616285	409899	Fazl's wife
616286	173121	Female jogger
616287	211484	
616287	227024	Girl on Plane
616287	266501	
616287	334078	Avgi
616288	160853	
616288	296439	Mujer
616289	360734	Crazy Lady
616290	296266	Maria
616291	256451	
616292	79982	Prostitute
616293	88657	Herself
616293	301128	Talk Show Host
616294	57959	
616294	199441	The Herdsman's Daughter
616295	173353	Nurse #3
616295	358305	Tea Lady
616295	390917	Postie
616296	360749	Mrs. Faranda
616297	366316	Woman on stairs
616298	340227	Singer
616299	214999	K'in's Daughter
616300	122367	Margot
616300	261756	Caroline
616301	365341	Poker Girl #1
616302	19759	La secrétaire
616303	290438	Mira-Fe
616305	73949	
616305	402752	Jennifer Peoples
616306	150461	Bette
616307	101276	
616308	11509	Martha
616308	119756	Angie Boca
616308	128404	Nellie
616308	154202	Sylvia Banner
616308	221931	Angelique
616308	305228	Gym Teacher
616308	315713	Juanita
616308	326796	Arlene Taylor
616308	342874	
616309	44830	Schoolgirl #1
616309	92155	Sherri
616309	113826	Child
616309	348228	Maggie
616310	267932	Secretary
616311	8657	Young Girl in Revolving Door
616312	301292	Sophie
616313	39880	Manicurist
616313	326796	Duke's girl
616313	335953	Girl with red cape
616313	358625	Streetwalker
616314	49233	Lady
616315	264819	Girl in Dream
616316	342371	Daughter
616317	202195	Jackie Kennedy
616318	276407	Female Employee
616319	230857	Shirl
616320	286699	
616321	99657	Girl in park
616321	148192	Dorrie
616321	292015	Girl on school bus
616321	321718	Little Girl
616321	330595	Child Greeting President
616322	27614	
616322	227664	Young Kathryn
616323	212129	Street girl
616324	340765	Nurse
616325	51974	Herself
616326	67657	
616328	199564	Marie-Odile
616329	19839	(segment "Lourdes, l'hiver")
616329	33640	La dame aux journaux
616329	51403	Denise
616329	70955	Denise
616329	80321	Madamme Garraud
616329	100358	Madame Altiani
616329	120674	Une dame
616329	198974	Betty Boop
616329	332233	Lina
616330	28349	
616331	258114	
616332	219878	Mahtab's Mother
616333	258313	Un élève de la 4e techno
616334	88843	
616335	65598	Niña del supermercado
616336	257616	Herself
616336	257659	Herself (Miss August)
616338	5904	Mary Kean
616338	23007	Helen
616338	59085	Queen Agatha
616338	75279	Mary Chambers
616338	92282	The Poet
616338	96991	Mrs. Whittaker
616338	101067	Lady Salterton
616338	117999	Mrs. Moreton
616338	163413	Lady Allway
616338	163598	Lady Harlow
616338	194173	Dowager
616338	203322	Queen of Tawaki
616338	220885	Rachel Cohen
616338	222774	Jury Member
616338	232820	Mrs. Randall
616338	253213	An Old Lady
616338	277676	Queen Elizabeth
616338	307576	Mrs. Dennison
616338	331716	Mrs. Atherton (segment "The S
616338	356308	Grandma
616338	363498	Mrs. Hickory
616338	367456	Ma
616338	384929	Madame Charlustin
616339	382584	
616340	257008	Lucie Baral
616341	12047	Odette Chennevière
616341	15073	Angela Brinkmann
616341	43000	
616341	60511	
616341	65719	Clivia
616341	92962	
616341	93479	
616341	96070	La prostituée allemande
616341	125226	Frau Reichle
616341	147147	Johanna Mylius
616341	147183	Clarisse Röders
616341	150528	
616341	156616	Adela
616341	156987	
616341	183246	Giulia
616341	189609	Angela Brinkmann
616341	190849	
616341	210080	
616341	214886	
616341	218324	Françoise Girène
616341	225408	Suzanne Wilson
616341	226286	
616341	236509	Cécilia
616341	246951	Madame Perrat
616341	289980	Bärbel
616341	290473	Gerti Korty
616341	292357	
616341	311234	Inge Hagen
616341	315841	..
616341	333850	Heidi
616341	355708	Sorella Alberto (Olga, Albert
616341	361112	Hella
616341	366545	
616341	367675	Delysia Veronova
616341	376343	
616341	380216	Mlle. Gamboulle
616341	384788	Mme Tallier
616341	410396	
616342	53220	Frau Siefer
616343	99631	Little Gale
616344	334117	Charmaine
616345	166643	Woman in Necklace
616346	101807	Fleur
616347	26865	Sarah Burns
616347	49026	Girl in elevator
616347	57738	Whitney Taylor
616347	80384	Karen/Laura
616347	96730	Devon Adair
616347	102209	Julie Janovich
616347	106686	Theresa Conners
616347	161287	Herself/Interviewed
616347	202389	Nurse Tanya
616347	210960	Judalon Smyth
616347	219555	Laura Rollins
616347	220032	Holly Mitchell
616347	277055	Jennie
616347	298027	Claire Porter
616347	298596	Amy Winslow
616347	303284	Renee Connelly
616347	308400	Princess Yasmin
616347	331284	Josie Leeds
616347	363509	Liz
616347	366643	Emma Callendar
616347	370035	Pam Randall
616347	383385	Sloan Denning Clegg Mamoud
616347	383707	Dr. Kerry Langdon
616347	387230	Devon Adair
616347	387718	Julie Janovich
616347	388142	Theresa Conners
616347	389982	Mary Green
616347	391972	Susan Smith
616347	404679	Jane
616347	406621	Molly Anderson
616347	408612	Jody Kiplinger
616348	69194	Gigi
616348	349022	Freddie
616349	10317	Gina
616349	70893	
616349	139005	Margo
616349	154449	
616350	90771	Annette
616350	100055	
616350	242924	Mrs. Ransome
616350	285287	Barbara
616350	340752	Justice Dept. Agent
616350	403985	
616351	165165	Caroline
616352	332548	Autumn
616353	138837	Ms. Shepard
616353	176874	Marie (the showgirl)
616353	176875	Woman victim
616353	276770	Matt's tomato
616353	326105	
616353	335835	
616353	368892	Patti
616354	19816	
616355	36022	Rekha Tendon
616355	223698	Cherry
616355	265793	Psychiatrist
616355	303558	Sera Kotwal
616355	318029	
616355	364382	Samya
616355	379600	Anita Rai
616355	381584	Leela
616355	385020	Urmila Alahan (2001)
616355	392483	Slave/Girl
616355	402139	Mrs. Duhra
616355	408867	Dr. Sudha Malik
616355	410629	Xenia
616356	132750	
616357	326336	Suzanna
616358	257559	Girl Number Four
616359	28375	
616360	28962	
616360	58041	
616361	266164	
616362	82878	
616363	380244	Angel
616364	96198	
616365	401053	Barbara (1989)
616366	65838	Michelle Fontaine
616366	79981	Sam
616366	118970	Millicent Ferrar
616366	141180	Mark's Sister
616366	176724	Bank Customer
616366	185758	Record Company Assistant
616366	190324	Ellen
616366	266046	
616366	374523	Reporter
616367	116443	Girl in shell dance
616367	274502	Chorus Redhead
616368	386746	Hostess
616369	98151	
616370	187697	Charlene
616372	279879	Eve
616372	280653	Hunter/Sister Fortune
616373	2996	
616373	5612	Vijay's wife
616373	7465	
616373	25951	
616373	88596	
616373	106792	Chandni
616373	126948	Asha
616373	135344	Agnès
616373	137397	
616373	137819	Ruby Miranda
616373	152393	
616373	156900	
616373	160169	Rani
616373	162706	
616373	164124	
616373	165393	
616373	165955	
616373	166172	Agnès de Smet, la jeune femme
616373	166460	
616373	172552	
616373	175976	
616373	183978	Bharat's wife
616373	195297	
616373	198462	La puce
616373	198709	
616373	200649	
616373	200804	
616373	217147	
616373	217645	Jeanne
616373	222501	
616373	227127	
616373	227619	
616373	247018	
616373	250635	
616373	264524	
616373	271624	
616373	277213	Maria, la fille du gouverneur
616373	288263	
616373	367222	
616373	370733	Gauri
616373	373720	Bindiya
616373	396617	Nicole
616374	185704	Dancer
616375	154344	Herself
616376	6462	
616376	12983	Bijli
616376	86663	Asha
616376	137103	
616376	211459	
616376	228891	Sarita
616376	284715	
616376	285699	Minnie
616377	177800	Malka
616377	201963	Nechama
616377	211444	Mother
616377	290070	Old Jewish woman
616377	302060	Zvia Klinberg
616378	192438	Tante Renée
616379	381189	Anne-Marie Villeneuve
616380	84596	L'infirmière
616381	344704	
616382	25043	
616382	275017	
616383	396847	Aparecida
616384	383727	Suzana
616384	396610	Luana (1998)
616384	411597	Xiquita I
616385	14702	
616385	17387	Dália
616385	29517	
616385	33154	
616385	43240	
616385	50980	Salome
616385	56065	
616385	71224	
616385	90452	Leniza Mayer the Famous Singe
616385	104134	Leniza Mayer
616385	116948	Lindalva
616385	169808	
616385	187529	Marta
616385	190768	Lili Carabina
616385	218427	
616385	253060	Odete Vargas
616385	256534	
616385	265530	
616385	280866	Fausta
616385	295096	
616385	296152	Yara
616385	307756	
616385	344809	Camila
616385	379183	Sônia Maria
616385	380386	Glória
616385	381144	Joana Lobato
616385	381223	Marluce
616385	382405	Guiomar
616385	383294	Marilisa
616385	383678	Joana
616385	385853	Antônia Santos Varela
616385	387052	Leda Maria
616385	387424	
616385	387835	Lazinha
616385	391901	Inez
616385	392510	Valquíria
616385	392747	Rosinha
616385	392792	Mirandinha de Sá Maciel
616385	395044	Leonor Martins Fraga
616385	400902	Jussara
616385	401086	Lucinha
616385	401087	Herself
616385	401460	Sandra
616385	402370	Ciça
616385	403740	
616385	404178	Marina Cintra
616385	406833	Carlota Valdez
616385	408212	Tieta
616385	410476	Irene
616385	412179	Lígia
616385	412306	Marion
616386	291220	Janice
616387	383294	
616387	388591	Daiane
616387	392792	Berbela
616387	401104	Liz
616387	401944	Haydée Caolha
616387	406833	Adriana
616388	55075	
616389	23907	
616389	25054	
616389	66353	
616389	67650	
616389	99677	
616389	103046	
616389	103049	
616389	103893	
616389	161435	
616389	167050	
616389	201133	
616389	225053	
616389	251716	
616389	292087	
616389	295100	
616389	295206	
616389	354944	
616390	384117	
616390	388065	Esmeralda
616391	113646	Go-go
616392	222162	Sétima senhora do comité
616393	6345	Bruno's Wife
616393	68915	Empregada da Frutaria
616393	109948	Farmer 1
616393	155551	Nurse
616393	170444	La patronne de la buvette (Ba
616394	263929	
616394	285578	
616394	333693	
616395	396610	Carolina Maia (1999)
616395	397540	Ester
616395	401208	Zezinha
616395	401900	Cecília
616395	401944	Ana Beatriz
616396	243055	
616397	238371	
616398	133199	
616398	183467	
616399	394872	Anita
616400	54068	Herself
616401	392792	Prostitute
616402	324431	
616402	383665	
616403	67656	Janina
616403	70615	
616404	68590	Cacá (Branquinha's sister)
616405	38823	Sayaka Kitaouji
616406	402159	Soprano
616407	5242	
616407	28897	
616407	109593	
616407	135434	Samia
616407	152151	
616407	294638	
616407	295130	Waguida
616407	327314	
616408	101546	
616408	163983	
616408	174841	
616408	175761	Yasmine
616408	216794	
616408	296608	Daughter
616409	398229	Yolanda
616410	132815	Aïcha
616410	300952	Kadidja
616410	370719	
616411	78632	
616411	161640	
616411	227737	
616411	270904	Jade
616412	139873	Mak Seri
616413	210186	Rina
616414	82825	
616415	69053	Emmy Coer
616415	390771	Lenora (1999)
616416	15988	
616416	159458	
616417	379118	Paquita (2000)
616417	401916	
616418	90854	Rapunzel
616418	241249	Extra
616419	8183	Janey Archer
616419	185201	Audrey Rouget
616419	192106	
616419	212103	Audrey Rouget
616421	124141	Mme Touchard
616421	156890	Femme appartement jeunesse
616421	167214	
616421	306950	Nurse
616422	105422	Roxanne
616423	167009	Herself
616423	184769	Lapdancer
616424	57637	Herself
616424	111564	Herself
616424	116776	Herself
616424	302621	Herself
616425	56447	
616426	296552	Strawberry Fields
616427	27634	Kim
616427	40103	Jenny Hasler
616427	117627	
616427	137571	Detective Koslinski
616427	169172	Maxine
616427	184717	Paula Daniels
616427	190709	Sante's maid
616427	397236	Dr. Wendy Rossi (2002-2003)
616428	82721	
616429	296862	Nadia
616430	94711	Geisha
616430	216335	
616430	348149	
616431	301271	Waitress
616432	14369	
616432	263242	Olga
616432	277806	Silvia
616432	409093	
616433	257847	Herself
616433	257866	Herself
616434	309064	
616435	154760	
616436	233912	
616437	13544	
616437	17914	
616437	44575	
616437	51449	
616437	57961	
616437	104231	Lisa
616437	301371	
616437	310138	Lucy (Y13)
616437	310213	Lavinia
616437	379627	Laureen
616438	384861	Herself
616439	41854	Car hop
616439	347077	Sheri (English version)
616439	398102	Arkana/Mahra/Shangora(English
616439	407381	Lana/Morca/Myeena (English Ve
616439	409404	Yumi (english version)
616440	47422	Jemima
616440	81587	Liz
616440	97440	Dithy
616440	150075	April Thomas
616440	194874	Kelly
616440	196457	Jannelle Bay
616440	201512	Herself
616440	208527	Polly
616440	289666	Cindy Campbell
616440	289667	Cindy Campbell
616440	289668	Cindy Campbell
616440	298216	Justine
616440	309897	Bell
616440	354750	Katie
616440	358377	Serena
616441	327048	Young Jun Kazama
616442	142628	Karen
616442	271094	
616443	22699	
616443	159006	Juana Maria de Lara
616444	378958	Emanuelle Soler
616444	380100	Nuria Dupláa
616445	6642	Voz
616446	403733	
616447	285810	Djerba, dancing girl
616448	130242	
616448	175984	Lale
616448	199426	
616448	227716	Afagh
616448	248797	
616448	309113	Munes
616448	332848	Susan Makashi
616448	373663	
616448	409899	Queen mother
616449	305514	
616450	184355	French serving maid
616451	181104	Zdenka
616451	266460	Fair-haired woman
616452	177935	
616453	155955	Kiss elsõ felesége
616453	216250	
616453	407837	
616454	217327	
616455	182697	
616456	80484	Manager's Wife
616456	117713	Angry Fan
616456	131380	Elderly Lady
616456	147404	Justice's Wife
616456	184099	Admitting Nurse
616456	209219	Bus Driver
616456	209436	Old Lady #2
616456	223711	Loony Woman
616456	233567	Elderly Gershwin Fan
616456	245055	Woman #2
616456	324551	Sand Hermit
616457	136739	Cigánylány
616458	301384	
616458	328210	Un'orfanella dell'istituto
616458	354910	Una compagna di danza di Oliv
616459	8183	Female opera singer
616460	409277	Herself/Journalist ("Revue de
616461	378042	Kislány
616462	2987	
616462	106690	
616463	78825	
616463	117781	
616464	217327	
616465	131079	
616465	317898	
616465	354634	Mrs. Axinte
616466	105462	Magaldi Child
616467	74394	
616467	187512	Fanny
616467	229710	
616467	377807	
616467	378268	
616468	153683	
616468	377143	
616469	387459	Lali
616470	155832	Neighbor #2
616471	136442	Bea
616471	349779	
616471	377615	
616471	381344	Mónika Kertész (1998-2004)
616472	170394	Csipke
616472	170396	Csipke
616472	186122	
616472	333909	
616473	111313	
616474	240070	Wirtin
616474	290131	Braut
616474	382753	Schwester Agnes
616474	391604	Beate "Bea" Hansen (2000-2001
616474	394477	Barbara Köhler
616475	266174	
616476	95939	
616477	11646	Helena
616477	18380	Octavia
616477	68229	Lydia Lawrence
616477	81333	Lydia Crosse
616477	107504	Mrs. Thornton, the Teacher
616477	117482	Doris Hanson
616477	137623	Anne
616477	141418	Rachel
616477	144862	Heather
616477	155257	Mrs. Thompson
616477	220430	Monica Peterlee
616477	321263	Mary Fearon
616477	323825	Helene Weigel
616477	329525	Gloria
616477	331419	Janet
616477	339364	Jane Metcalfe
616477	356312	The Mother
616477	360094	Cat
616477	369343	Helen Wycliffe
616477	382038	Miriam "Mim" Brand
616477	383191	
616477	383630	Christine Henshaw
616477	384384	Pam Hunter
616477	388249	Krupskaya
616477	388758	Mary
616477	390743	Eleanor
616477	391036	Sarah Wood
616477	391194	Mrs. Outhouse
616477	396004	Gillian Pringle
616477	398972	Mary Convers
616477	400565	Anne Ross
616477	402125	Mrs. Phillips
616477	406696	Adele
616477	411280	Vivien Ashton (1988)
616477	411400	Valerie Hughs
616477	411552	Helen Wycliffe
616478	354476	Anka
616479	26583	
616480	178189	Extra
616481	7811	Chris
616482	11	Hysterical Woman
616482	5775	Maid
616482	10488	
616482	11080	Aunt Patsy
616482	20267	Woman at Circus
616482	20959	Florence's Mother
616482	22636	Just a mother-in-law
616482	22893	Dave's Mother
616482	24225	
616482	26439	
616482	29271	
616482	30071	
616482	31358	
616482	32586	
616482	36571	
616482	36754	Florence's mother
616482	38529	
616482	39474	
616482	40345	Mother
616482	43420	Florence's Mother
616482	44260	Tough's Sister
616482	45470	Mrs. Pettis
616482	46320	Telephone Operator
616482	46403	
616482	46702	Mother
616482	46986	
616482	47791	Marie De Costa
616482	47882	Florence's Mother
616482	48056	
616482	49558	
616482	50808	
616482	50876	
616482	53148	Florence's Mother
616482	56749	Mrs. Agnew (cleaning lady)
616482	57653	Mother
616482	65663	Juana
616482	66639	Widow Malone
616482	69994	Florence's Mother
616482	70384	Sally's Mother
616482	71536	
616482	73892	Landlady
616482	75440	Dorothy Vernon
616482	77776	Effie
616482	85828	Bit Woman
616482	86512	Mother
616482	88168	Aunt Emma
616482	88577	Florence's Mother
616482	89158	
616482	89651	
616482	90302	
616482	91218	Dorothea
616482	92247	Woman with Diamond Bracelets
616482	94558	Florence's Mother
616482	95136	Florence's Mother
616482	97475	Florence's Mother
616482	99086	
616482	101073	Ida Summers
616482	104975	Dorothea Gordon
616482	108026	Mrs. Smythe
616482	108400	Mademoiselle Clarice
616482	109685	
616482	109994	Fatty's wife
616482	110369	Florence's Mother
616482	112745	Woman prisoner
616482	114355	Florence's Mother
616482	114738	
616482	115645	Florence
616482	120347	
616482	120763	Dot
616482	120764	
616482	124393	Florence's Mother
616482	127617	Florence's Mother
616482	128180	
616482	128207	
616482	131040	Florence's Mother
616482	131471	Florence's Mother
616482	131568	
616482	132784	The Countess Prascovia Avalof
616482	134411	Florence's Mother
616482	136561	
616482	137206	Mother of Mamie
616482	138883	Florence's Mother
616482	139371	
616482	139519	The Modiste
616482	139927	Kate's Mother
616482	140859	
616482	140948	Mrs. Denny
616482	141016	Florence's Mother
616482	141177	Mrs. Kennedy's Mother
616482	144109	
616482	144765	Florence's Mother
616482	145938	Mrs. Benedict
616482	146273	
616482	147451	Edgar's Mother-in-Law
616482	148233	Florence's Mother
616482	148381	
616482	148864	Author's Wife (added sequence
616482	149927	Florence's Mother
616482	150150	Mother-in-Law
616482	151550	Florence's Mother
616482	151782	
616482	152180	
616482	152189	
616482	153619	
616482	154623	Bit part
616482	154865	Mother
616482	157787	Florence's Mother
616482	159124	Mrs. Kennedy's Mother
616482	159460	Mrs. Kennedy's Mother
616482	163668	Florence's Mother
616482	171454	
616482	177405	Maidservant to Caiaphas
616482	183580	Texas West
616482	186353	Mme. Duval
616482	186418	Anna, Marsh's Housekeeper
616482	186452	Client Paying $5,000 Fee
616482	187695	Florence's Mother
616482	190110	
616482	191237	
616482	191507	Miss Pink
616482	191587	Mrs.Van Dine
616482	191913	Gertie
616482	194209	Mrs. Blaize
616482	194328	
616482	194899	
616482	195764	Woman
616482	195952	Florence's Mother
616482	195986	Dressmaker
616482	196192	
616482	197686	
616482	197790	
616482	198832	
616482	206295	
616482	207295	
616482	207707	
616482	208895	Bridget Maloney
616482	210646	Maid
616482	211339	Florence's Mother
616482	214453	Mother
616482	218002	Mrs. Chatterton
616482	220067	Florence's Mother
616482	220068	Florence's Mother
616482	220154	Mother
616482	220165	
616482	222872	
616482	224321	Hattie Smith
616482	233796	Mother
616482	234242	Roxanna's Maid
616482	234599	Mother
616482	237818	Woman
616482	240525	
616482	245743	Aunt Viney
616482	249223	Florence's Mother
616482	253099	
616482	255229	
616482	256862	
616482	258968	Florence's Mother
616482	266238	Mother-in-law
616482	269866	Florence's Mother
616482	270642	
616482	270657	Florence's Mother
616482	274170	The Inquisitive One
616482	275798	Errol's Mother-in-Law
616482	278442	Bella
616482	279417	Lola
616482	279426	Mrs. Brumleigh
616482	281066	
616482	281161	
616482	282343	Florence's Mother
616482	283089	Mrs. Fuller
616482	283859	Mrs. Anson
616482	285631	
616482	286707	
616482	286709	
616482	286925	Hattie O'Toole
616482	293781	
616482	297266	Mrs. Kelly
616482	300002	Mae Reynolds
616482	301294	Gertie
616482	302361	Smoke's sectretary
616482	304504	Mrs. Willis
616482	304835	Mother-in-Law
616482	305404	Mrs. Smith
616482	306394	Widow Paarlenburg
616482	306495	Madame Moreau
616482	306774	Mother
616482	306835	Florence's Mother
616482	309884	Florence's Mother
616482	313702	
616482	314775	Mrs. Maloney
616482	316194	Martha
616482	317155	
616482	321414	
616482	324239	
616482	326385	Mrs. Juniper
616482	327195	Florence's Mother
616482	329333	Florence's Mother
616482	330240	Emma
616482	330490	Woman Barber
616482	333455	Mrs. Milliken
616482	333724	Mrs. McGinnis
616482	335656	Mrs. Potts
616482	335972	
616482	336048	
616482	336049	
616482	336052	
616482	336056	
616482	337419	
616482	337920	Mrs. Clyde
616482	338305	Aunt Emma
616482	340534	Florence's Mother
616482	342850	Florence's Mother
616482	345738	
616482	347066	Woman Buying Parrot
616482	347396	Mrs. Kennedy's Mother
616482	350511	Katherine, Vanna's maid
616482	350650	Edgar's Mother-in-Law
616482	354525	Nora Farley
616482	358710	Mother
616482	359140	Landlady
616482	360421	
616482	360545	
616482	362213	Florence's Mother
616482	362574	Florence's Mother
616482	362892	
616482	363495	
616482	363556	Concierge
616482	363634	
616482	364602	Susan
616482	365047	Errol's Mother-in-Law
616482	365276	
616482	365735	Mother
616482	367576	Mrs. Bierbauer
616482	367919	Large Woman
616482	368238	
616482	368933	Edgar's Mother-in-Law
616482	372464	Maggie
616482	372734	Mary Jane's mother
616482	372900	Ma O'Brien
616483	23975	Carole Rothman
616483	39692	Receptionist
616483	59377	Actress
616483	70558	Marge Loren
616483	81244	Linda
616483	263496	Customer #2
616483	307898	Secretary
616483	387309	Kay LePage Reynolds Lamont (1
616484	124358	Ginny
616484	199871	Poule
616485	286854	
616486	203491	Molly Burrows
616487	167529	Miami
616487	305472	Woman in Bar
616488	251189	Isabel (Mrs. Brentwood I)
616489	310462	Young Whore
616490	63000	Child
616491	271868	Waitress
616492	11385	Bee
616492	85828	Chorine
616492	131401	Emily
616492	132793	Marie
616492	177460	Kitty
616492	211601	Maxim Girl
616492	227697	Davies' Date
616492	228639	Casquette Girl
616492	231760	Hatcheck girl
616492	255167	Sadie
616492	346169	Sally Mumford
616493	337379	Nottingham Maid
616494	201540	Betty
616496	202195	Young Hooker
616496	363840	Vanessa
616497	222378	
616498	82928	Dental Assistant
616500	166270	Lorraine
616500	232847	Jumping Loaf
616501	10959	
616501	98073	
616501	139716	
616501	172216	
616501	180888	
616501	189072	Elena
616501	189073	
616501	380772	
616502	338621	Flora Bervoix
616503	64153	
616504	164169	A follower of Rasputin
616505	254283	November Petty Girl
616506	14607	Elaine Raden
616506	27490	Calamity Jane
616506	44255	Anne Blane
616506	67778	Lotta Morgan/Lotta Bostrom
616506	97084	Faith Wishart
616506	105649	Vina Swain
616506	115937	Linda Chalmers
616506	154213	(montage sequence)
616506	249558	Mrs. Bickford
616506	277528	Doris Halliday
616506	277855	Trina
616506	308354	Isabel Blake
616506	309835	Ruby
616506	334403	Josie Mansfield
616506	335649	Sally Colman
616506	368495	Kitty Carr
616506	389226	Hostess (1958-1964)
616507	96861	Lee Party Guest
616508	8021	
616509	199499	Studio singer
616510	51639	Lemonade Girl
616511	106723	Terry
616512	80819	Shirley Fagot Jr
616512	126705	Curly-Haired Girl
616512	158274	
616513	238252	Chef
616514	236972	Observer
616515	40083	Black Woman in Alley
616516	218509	Jacqueline
616517	2451	Nina Tobias
616517	11973	Francesca
616517	13041	Héléna
616517	18372	Tatiana
616517	33498	
616517	50096	Paula
616517	52989	Milena
616517	53143	Julia Ritchie
616517	58322	Comtesse Von Kleber
616517	63766	
616517	66608	Kathy Robson
616517	69136	Jean Beneyton
616517	70901	
616517	84647	Lucie
616517	84960	Marianne
616517	90004	Jo Magro
616517	96046	Elia
616517	107034	Milena
616517	117866	Daniza
616517	119072	
616517	124565	Jill Trevers
616517	143143	Billie
616517	150314	Gloria
616517	182005	Nadja
616517	195242	Liliane
616517	198315	Annie
616517	198906	Simona Sana
616517	199936	Margareta Nikolajevna
616517	214012	Nadine
616517	214860	
616517	217874	Herself
616517	219023	Estelle Miller
616517	219328	
616517	219485	Cathy Burns
616517	225574	Charlotte
616517	258975	Anne
616517	265511	Silvia Hacherman
616517	269095	Miss Permamint
616517	270809	
616517	270824	Valeria
616517	279439	Billie
616517	285268	
616517	293351	
616517	294240	Nicole
616517	310863	Claris Coleman
616517	320274	Candice
616517	338327	Helen Wells
616517	355632	
616517	365409	Katherine Pearson
616517	396966	
616517	408841	Coral Musker
616518	78374	Herself
616518	78375	Herself
616518	127928	Catherine
616518	189306	Libertine
616518	224485	Herself
616518	224486	Herself
616518	224487	Herself
616518	258326	Herself
616518	261852	Libertine
616518	339980	Tristana
616519	362057	Natalie
616520	291452	Miss Shivers
616521	2897	WAAF Sgt. Mary Blake/Bissell
616521	3128	Nurse
616521	81119	Gilly
616521	85111	Angela Smeeton
616521	86322	Susan Witley
616521	88881	Nurse Holiday
616521	92696	Diana Kent
616521	183770	Nichette
616521	243064	Meegat
616521	253379	Janie Masters
616521	272536	Vanessa
616521	289569	Constance Beverley
616521	323964	Wendy
616521	324960	Mary Hoff
616521	363395	Caron
616521	365151	Carnival Queen
616521	382701	Geraldine Newton (Season 2)
616521	392523	Aglaia
616522	91862	
616523	261248	Judy
616523	313562	
616524	7492	Mrs. Brighton
616524	17997	Clara Bagtry
616524	29388	
616524	44465	Aunt Clara
616524	48276	Sadie
616524	50071	Mrs. Haskins, the Housekeeper
616524	52251	Second Town Matron
616524	54458	Angelina
616524	66369	Mrs. Gamm, housekeeper
616524	68695	Mrs. Harris
616524	75908	Duenna
616524	79105	Fanny
616524	80670	Janitress
616524	80787	Miss Wynn
616524	81658	Maid
616524	109729	Martha, the maid
616524	116511	Bookstore Owner
616524	124587	Aunt Agatha
616524	138383	Mrs. Nimitz, the Landlady
616524	144861	Mrs. Fletcher
616524	168720	Mrs. Wilson
616524	183443	Tall woman at wedding
616524	183650	
616524	183706	Miss Edwards
616524	188391	Mrs. Harris
616524	196963	Lady
616524	198436	Harrow's Landlady
616524	210890	Nurse 'Robbie' Robbins
616524	234803	Ma Segwiss
616524	244841	Miss Thatcher
616524	292318	Levender Falls Wife
616524	299516	Mrs. Terrence
616524	308614	Bidder
616524	316345	Anna Jeffers
616524	320025	Mrs. Brown
616524	323941	Mrs. Campbell
616524	329437	Millie Corey, Gateley's Maid
616524	330703	Maid in dress shop
616524	334162	Mrs. Cora Clinton
616524	346240	Woman
616524	348327	Spinster
616524	367721	Mollie the Washburn Maid
616524	368782	
616525	269569	Carla
616526	1145	Daphne Handlova
616526	24703	Lisa Tyler
616526	92241	Irene
616526	95135	Lorena
616526	95471	Amy
616526	139065	Dr. Charlie Brooks
616526	162364	Ruza Wenclawska
616526	195725	Greta
616526	203918	Jocelyne Jordan
616526	214463	Allison Lee
616526	242924	Miriam Kelly
616526	276875	Kerrie
616526	279542	Catlin
616526	281836	Emily Elliot
616526	283564	Teresa
616526	306278	Josephine
616526	336761	Detective Susan Branca
616526	403501	Caitlin
616526	408639	Detective Susan Branca
616526	409313	Alex Cross
616527	139651	
616528	310298	Francesca
616528	310682	Fourth Maid
616528	392200	Dawn (1985)
616529	79284	Edie Dale
616530	304862	Young Crone
616531	191316	
616532	60466	Hillary Clinton
616533	93452	Bettina
616533	248685	Madeleine
616533	283061	Petra
616534	311144	Herself
616535	169540	
616535	294214	
616535	311547	
616536	42978	
616536	287225	
616538	332936	Mary
616539	159449	
616539	229639	
616540	52187	
616540	69717	
616540	90673	
616540	92058	La cameriera
616540	116478	
616540	124201	La seconda nipote di Caterine
616540	158762	La proprietaria dell'albergo
616540	158852	Carla Venturi
616540	230102	Cesarina
616540	243303	Teresa
616540	301381	Un' altra figlia del professo
616540	408797	
616541	157558	
616542	69991	
616543	321892	Herself - Tap Dancer
616544	309918	Carrie
616545	214917	Hawaiian Tropic Girl
616546	203630	
616547	8069	Molly Sutter
616547	117362	Katherine Anderson
616547	184104	Nancy
616547	187847	Christina Harper
616547	195622	Karen Roche
616547	231917	First Nurse
616547	266561	Ellen
616547	279092	Carol Cummins
616547	292820	Gwen
616547	308071	Wealthy Woman
616547	309621	Dorothy Daley
616547	379761	Wonder Woman (Diana Prince)
616547	383850	Wonder Woman (Diana Prince)/A
616547	407010	Wonder Woman (Diana Prince)
616547	409797	Kim Butler
616547	411486	Wonder Woman
616549	9879	Marge
616550	60323	Abigail
616550	92742	Diana
616550	234668	Ismene
616551	256128	Wife/Sweetheart
616552	403510	Senior Correspondent (1995-)
616553	646	Madge
616554	48948	Passerby
616555	199035	Josephine's mother
616556	82108	Waitress
616557	348318	Major in Bunker
616558	74672	Peggy White
616558	245614	Undetermined Role
616559	29497	Marie Stevens
616560	16640	Saloon girl
616560	32886	Dancer
616560	33698	Dancer
616560	56103	Dancer
616560	77015	Dancer
616560	90292	Dancer
616560	146813	Show Girl
616560	196295	Talent Agency Girl
616560	203051	Dancer
616560	319193	Dancer
616560	337602	Saloon Girl
616560	348972	Dancer
616560	371072	Dancer
616561	218152	Mini Mart Manager
616562	158157	
616563	149191	
616564	85816	Girl
616564	346204	Edna
616565	2545	Chorus girl
616565	176335	Goldwyn Girl
616566	68304	Maddie Engel
616566	243653	Clorinda
616566	291708	Claire
616566	380346	Countess Nordston
616566	393492	
616566	404409	Victoria Fenton
616566	405476	Sally Parke
616567	354912	
616568	229238	
616569	275635	Juliette
616569	301402	Irène, la baby-sitter
616569	378060	Agnès
616570	70486	Copacabana Girl
616571	46395	Minnie
616572	241032	Marie
616572	318453	French Girl in Tangiers
616573	252589	Abelarda
616573	295099	Spectator
616573	380089	Gilda
616573	384118	Valentina (1997)
616573	386421	
616573	404915	Giselda
616574	80106	Laura
616575	148963	Myra Amstadt
616576	60268	Julie
616576	79557	Young Emily (20's)
616576	366992	Alison Day
616576	386963	Clare (1998)
616576	388791	Taz
616576	397740	Charlotte Taylor (2004-)
616577	217660	
616577	283021	Madame Saint Louis
616578	345227	Florence
616579	187325	Secretary
616580	370001	
616581	225369	
616582	7212	Lisa Lester
616582	45435	High Class Girl
616582	55570	Nurse
616582	63066	Caroline
616582	158983	
616582	184719	Cecily Stanley
616582	296698	Allison
616583	126152	The Maid
616583	183557	Alysia Audley
616583	206927	Miss Payne
616583	241998	Mary
616583	280467	Eudocia
616583	301929	Mystery Destin
616583	314341	Mary porson
616583	328009	Eily O'Conner (segment "Lily 
616584	93569	Herself
616584	151083	Gwen
616584	361897	Herself
616585	209219	Anna Lee
616586	144767	Dorothy
616587	92733	
616587	114862	Waitress
616587	235515	Nancy
616588	38261	Miranda
616588	88186	Lisa
616588	115717	Personal Ad Girl
616588	150786	Shania
616588	184561	Chesara, Jacinda, Morphera
616588	191907	C.J.
616588	285049	Karen Yeager
616588	319557	Sammy Kerns
616588	393577	Jan Fendrich
616588	395623	Maddie Hudson
616588	396113	Herself (1998)
616589	2380	Emmy
616589	25366	Hennie
616589	37134	Emily Euridice Evans
616589	59548	Sybil Fort (Maynard Boyle's e
616589	114261	Katherine Delaney
616589	142353	Janet Gifford
616589	169807	Naomi Hoktor
616589	178080	Zelda 'Lambchop' Spooner/Poll
616589	180493	Wilma Kotcher
616589	185749	Jenny
616589	210548	Jemy
616589	241961	Stella
616589	257689	Herself
616589	276005	Catherine Cantrell
616589	329579	Madame Carrie
616589	331524	Constance Bonancieux
616589	333334	Linda Brucker
616589	351589	Claire Connor
616590	354867	Phyllis
616591	269627	1st Girl
616592	10813	Lee
616592	67833	Mrs. Gartred
616592	79691	New Resident
616592	91854	Ellen Bayliss
616592	109993	Mrs. Hogan
616592	115628	Shella Embling
616592	117072	Aunt Bea
616592	129776	Marion Katz
616592	171234	Mother
616592	243934	Mrs. Smith
616592	330246	Telephonist in Hotel
616592	332138	
616592	341991	Mother
616592	358657	Margaret
616592	370854	Sheila Embling
616592	383891	Older Joyce
616592	389181	
616592	394517	Thelma Bulpitt (1979-1982)
616592	397380	Amy Davidson
616592	398724	Rita
616592	399816	Alderman Mrs April Bullock (1
616592	404394	Mary Miles
616593	67709	
616594	215731	Young woman (Ford Foundation)
616594	395791	Sarah Mathews
616595	146738	Linda
616595	202366	
616595	260117	Lola Faithful
616596	32409	
616597	134894	
616598	214984	Annie at age 10
616598	302777	Myerson's Assistant
616599	11662	Connie Adams
616599	73377	Mamie
616599	105248	Telephone Girl
616599	128651	Peanuts
616599	142503	Flo
616599	154043	Bit part
616599	154460	Bit part
616599	158711	Bill's Receptionist
616599	183584	Clarice
616599	183700	Ella Carey
616599	183741	Mamie Murphy
616599	212102	Chorine
616599	220779	Gloria
616599	224404	Bit part
616599	228272	Secretary
616599	230856	Miss LaRue, gigolo's companio
616599	243217	Polly
616599	292322	Ellen
616599	301507	
616599	304367	Lil, waitress, hamburger stan
616599	310776	Peaches O'Brien
616599	313076	Bit part
616599	323206	Betty Lou Barnes
616599	330703	Ruby
616599	331381	Telephone Operator
616599	331537	Prudence Cornelius
616599	334367	Girl
616599	337366	Peggy
616599	361681	Miss Hinkle
616599	362365	Undetermined Role
616600	203535	Ambassador's wife
616601	57177	
616602	147937	Herself (Holocaust Memorial M
616603	71856	Rhonda
616603	73887	Kit's Friend
616603	134418	Sandy
616603	164433	
616603	257296	Friend at Leo's Party
616603	328603	Jasmine (segment "Come To Gra
616603	362330	Lydia Sharp
616603	392519	
616604	241727	
616605	65216	
616605	68971	
616605	83438	
616605	103789	
616605	135719	
616605	145254	
616605	189377	
616605	207653	
616605	208192	
616605	210590	
616605	211168	
616605	212351	
616605	233344	
616605	242670	
616605	253311	
616605	354924	
616605	375875	
616606	167049	The little blond girl
616607	36457	
616607	39937	
616607	56945	
616607	58096	Housekeeper
616607	65216	
616607	67014	
616607	68253	
616607	73533	
616607	74561	Paulina
616607	91076	
616607	92347	
616607	103789	
616607	117975	
616607	208841	
616607	218518	
616607	257129	
616607	276486	Militza
616607	290372	
616608	13067	Teresa Amholt
616608	14908	
616608	31511	
616608	34472	La Regina
616608	42600	Beatrice
616608	55212	
616608	73642	
616608	108102	L'intenditrice d'arte
616608	108556	Viola, la fantesca
616608	198183	
616608	199831	Lolita Sorel
616608	256650	La taverniera
616608	266479	
616608	273140	Una dama della casa Buondelmo
616608	277608	
616608	303085	
616608	308809	Giuditta Pasta
616608	333578	
616608	344622	
616608	377576	La signora Cattaneo
616609	274521	Zombie
616610	223248	Kid (Mall)
616610	329342	Kourtney Foir
616611	47272	
616611	80602	Stripper #2
616611	111651	Nurse
616611	114505	
616611	127403	
616611	240824	
616611	241592	Dancer in San Marcos
616611	278607	Woman
616612	77188	Jenny Connon
616612	386963	Lucy Patcham (1997-1998)
616613	160853	
616614	186989	Coralie
616615	84377	Karen's Friend at Theatre
616615	327144	Woman in the park
616615	387309	Kate Sloane (1971-1972)
616616	40497	
616617	35253	Swimming Teacher
616617	47131	Bar Voice
616618	222212	Party-goer
616619	314445	Dancer
616620	100124	Herself (with Lee De Forest)
616621	82521	
616622	17490	Woman #5/Woman in Black
616623	21021	Herself
616623	43553	
616623	55178	Carmen
616623	85112	Marcia Manot
616623	114855	Lady Isabelle Channing
616623	142359	Pancha O'Brien
616623	168131	Jeanne d'Arc (Joan of Arc)
616623	205572	Maria Rosa
616623	220526	Herself
616623	277835	Lilla Gravert
616623	291402	Herself
616623	296908	Muriel Barnes/Cora Lamont
616623	317171	Dolores de Cordova
616623	327580	Renee Dupree
616623	341956	Rosalie Dean
616623	367430	Concha Perez
616623	367469	Tecza (daughter of Montezuma)
616623	368370	Marcia Warren
616624	347984	Herself (jujitsu teacher)
616625	33752	
616625	136357	Herself
616625	297994	Miss Peachum
616625	323374	Lady Meriton
616626	65650	Jarmila Vadek
616626	91716	Dolores Tucker
616626	152522	Woman at Steed Party
616626	254515	Biancarolli
616626	308560	Julie
616627	288932	Zoe Russell
616627	346350	Carolanne
616628	148783	Arlette
616628	291109	Shrimp Shed Owner
616629	44764	Mrs, Farrinder
616630	61756	Consuelo Sanchez
616631	35362	
616632	161306	Herself
616632	256528	Darlene
616633	107069	Screaming Woman
616634	247510	Laura
616636	44218	
616636	263417	
616636	267251	
616636	274639	
616636	322222	
616636	344854	
616636	385629	
616636	390076	
616636	396847	Leocádia
616636	401010	
616637	343997	Ellen
616638	194835	Sylvia, Receptionist at Ross 
616639	9131	Amy
616639	131988	Nancy Weston
616639	265090	Murdock
616640	64415	Detective Sabrina
616640	80411	Sondra Barnes
616640	131431	PIA Mom
616640	176985	Nurse
616640	182993	Christian
616640	223642	Louise, Ex #1
616640	272602	Lucy
616640	296864	Dr. Magador
616641	104746	Irish entry (11th place)
616642	344652	Scandalized Nun
616643	335591	
616644	135278	
616646	27935	Denise
616646	67554	
616646	149409	Judith Campbell Exner
616646	175099	Beaujolais
616646	195290	
616646	224376	Mrs. Fontana
616646	249476	Anna Kleitz
616646	265612	Dr. Barnes
616646	317346	Lynn
616646	383385	Lila (1985-1986)
616646	389858	Martha Taylor #1 (1977)
616646	400805	Rosita
616646	400905	
616646	408358	Margot
616647	367054	The Wiz Singers Children's Ch
616648	224150	Anne Evans
616649	62430	Medic
616650	54421	Roz
616651	160884	Student #4
616651	274293	Helen
616652	382838	Paige Howard (2001-2002)
616653	393443	Clue Crew member (2001- )
616654	109608	Teacher
616654	155277	Marie Earle
616655	78677	Extra in pub/voice on answeri
616656	132909	Catalina
616657	161041	Vocal student
616658	54726	Dancers
616658	165498	Dancer
616659	130685	Money Network User
616660	176332	
616660	210617	Herself
616661	55662	Sally
616662	95848	
616663	15224	Herself
616663	186443	Herself
616663	192017	Additional Vocalist
616663	395290	Featured Performer (1969-1982
616664	243476	Mary Ellen (segment "The Hipp
616665	270348	Little Girl
616665	288473	Young Beth
616665	308999	Mary Van Der Hoven
616665	412015	Amy
616666	261431	Lori
616667	154530	Waitress
616667	208067	Sylvia
616668	67996	2nd Lady
616669	7178	Torchy Blane
616669	18739	Fanny Webson
616669	33705	
616669	37303	Lily 'Lil' Duran
616669	41059	Torchy Blane
616669	46324	Carol Wallace
616669	49746	Belle Howard Saunders
616669	57973	Girl in Wreck
616669	64930	Billie LaRue
616669	77592	Fanny Morgan
616669	78840	Valerie 'Val' Wilson
616669	87800	Dr. Jean Howard
616669	105077	Babs Cartwright
616669	106106	'Click' Stewart
616669	116077	Torchy Blane
616669	116959	Herself - arriving celebrity
616669	123354	Jeanne Sands
616669	128308	Mrs. Nesbit
616669	128330	Kay Curtis
616669	128709	Alice Haynes
616669	129810	Molly Howard, aka Lucille Tho
616669	130623	Betty Hawes
616669	130624	Genevieve 'Gen' Larkin
616669	132893	Blondie
616669	140321	Sadie Appleby
616669	141015	Nora
616669	141555	Mrs. 'Feathers' Tifton
616669	143580	Verna Kennedy
616669	144454	Gerry Krale
616669	144966	Edith McNeil
616669	147754	Jonesie
616669	153998	Marie Woods
616669	154426	Hazel Bixby
616669	155028	Bonnie, aka Madame Francis
616669	157546	Mis Clara Thorne
616669	168681	Mae Blythe Agridowski
616669	173526	Marie Callahan
616669	175828	Dot
616669	178204	Ma Tatum
616669	178762	Molly
616669	183637	Missouri Martin
616669	186293	Dorothy 'Dot' Davis
616669	190057	Florette Darien
616669	191627	Jean
616669	191704	Olga Strassoff
616669	196899	Bit Part
616669	197320	Molly Benson
616669	203718	Fay La Rue
616669	206867	Winnie Winford
616669	206890	Glenda Carroll
616669	207680	Babe
616669	211610	Bunny Fitch
616669	213037	Mrs. Mueller
616669	215625	Mae O'Brien
616669	224782	Florence Dempsey
616669	231909	Susan
616669	234225	Ruby Miller
616669	253505	Joan McCarthy
616669	261272	
616669	264416	Jean Fenderson
616669	279426	Sylvia Shane
616669	289403	Stella
616669	292320	Hazel Normandie
616669	292552	Mrs. Winston
616669	305453	Torchy Blane
616669	306327	Daisy Lowell, Wife #2
616669	315101	Rita
616669	316990	
616669	319033	Herself
616669	320206	Maude Snodgrass
616669	323968	Regina Bush
616669	331553	Mrs. Black, Prisoner at Check
616669	332769	Sarah Harvey
616669	336041	Torchy Blane
616669	336043	Torchy Blane
616669	336047	Torchy Blane
616669	338557	Claudette Ruggles
616669	342520	Sonya Cherupin
616669	360521	Dixie Tilton
616669	372199	Mamie Wallis
616670	38006	
616670	198468	Gwen
616671	152504	Sim
616671	279505	Waitress
616672	246602	Mrs. Harris
616673	75394	Ellen Constantin
616673	85021	Lisa
616673	176879	Janet Barkley
616673	194687	Window Washer Girl
616673	302406	Rat
616674	47084	Kirsty
616674	67731	
616675	81296	Traci
616675	147745	Woman in Elevator
616676	385301	Sarah-Jane Harvey/Louise Dixo
616676	406492	Nicola Higgins
616677	16419	Pam
616677	27078	Barbara Ellsworth
616677	59377	Owen Michaels
616677	121351	Jennifer Balinger
616677	161415	
616677	164243	Barmaid
616677	323785	Mother
616677	368689	Brenda (Jim Slater's Secretar
616678	217745	Trumpet Player
616679	82460	Newscaster
616681	368110	Girl with Slim
616682	305710	Mrs. Stockwell
616683	289509	Server #1
616684	306284	Snow White at Age 4
616686	14620	
616687	183868	Serena
616688	346276	Cowgirl
616689	606	Party Guest
616689	265775	Nurse in McInerny Office
616689	279998	Angel Dust
616690	81198	Herself
616691	20625	Extra
616691	130754	Bit part
616691	163451	
616691	207865	Board Member Wife
616691	331087	Woman
616691	372633	Party Guest
616692	9124	Alice Wilson
616692	385719	Mrs. Lenore Fillmore (1969)
616693	105274	Knowledge
616694	2042	Herself
616694	2627	Herself
616694	167256	PE Teacher
616694	395699	
616697	152208	Flower Woman
616697	365062	Woman
616698	89650	Helen Andrews
616698	120829	Yukon Lucy
616699	342673	Garden Demon
616700	341740	Malenka
616701	126069	Showgirl
616701	168636	Blond
616702	51482	Cindy
616703	2486	Dolores
616703	19775	Alex's mom
616703	35653	Shirley
616703	44471	Joan Helick
616703	53320	Mrs. Mancini
616703	106622	Emily Parkhurst
616703	112207	Melanie
616703	127510	Ma Samuals
616703	163493	Lenore Davies
616703	178039	Emily
616703	185137	Mrs. Worthington
616703	185583	Flo Quick
616703	193735	Molly
616703	193766	Louise
616703	195854	Maggie Stewart
616703	196392	Carol
616703	201713	Herself
616703	206232	Orfamay Quest
616703	232063	Doris Belmont, the girls' Ste
616703	241502	Shirley
616703	245122	Kathy Barnes
616703	263010	Sheri Bennett
616703	269048	Ginny Pepper
616703	270929	Dottie
616703	275206	Corrie
616703	294521	Karen Haskell
616703	302835	Herself
616703	312172	Sandy Wister
616703	317520	Denise
616703	321734	Sylvia Haskell
616703	333407	Mrs. Sparrow
616703	346281	Marty Nickerson
616703	370342	Lois
616703	372730	Mamma Doyle
616703	391161	Lori Wilson (1979-1980)
616703	403452	Cherry Lane (1984-1985)
616703	404130	Polly (1962-1963)
616703	411802	Florence 'Flo' Webster Adams 
616704	184424	Village Woman
616704	362169	Village Woman
616705	129799	Herself
616706	53266	Stripper
616706	93096	
616707	304913	Marty
616708	263748	Santhany
616709	28564	Herself
616709	213314	Titania
616709	253909	Herself
616709	314423	Herself
616709	316473	Herself
616709	320427	Herself
616709	342009	Ballet Star
616710	215664	Miss Oregon Teen USA (Miss Te
616711	273972	Grandchild
616712	26831	Valerie Desmond
616712	35535	Julie Taylor
616712	43606	Party Guest Listening to Aubr
616712	66582	Michelle Novack
616712	73850	Laura Mosbach
616712	81749	Allison Saunders
616712	82327	Katie Hargreaves
616712	129348	Marilyn Taylor
616712	142618	Joanne 'Joey' Summerskill
616712	187460	Major Agatha Doyle
616712	214288	Mimi
616712	238612	Jenell Johnson
616712	241798	Dana Boyer
616712	260950	Elite Model
616712	266568	Macy
616712	273569	Maggie Livingston
616712	274075	Cat (second version)
616712	274361	Det. Karen Ryder
616712	313185	Elizabeth
616712	313412	Herself (Host)
616712	313413	Lt. Jadzia Dax
616712	313414	Lt. Dax
616712	313415	Lt. Cmdr. Jadzia Dax
616712	313416	Lt. Cmdr. Jadzia Dax
616712	338825	Spiritual Guide
616712	338981	Herself
616712	339939	Six of One
616712	344548	
616712	381525	Regina 'Reggie' Kostas (1998-
616712	400773	Laurie Caswell (1984)
616712	406407	Lt./Lt. Cmdr. Jadzia Dax (199
616713	14609	Mrs. Hunter
616713	81097	Alice
616713	103221	Guest
616713	141093	Martha
616713	154885	Jenny
616713	228639	
616713	266715	Mrs. Mac
616714	80660	Old Grandmother
616714	304237	Mrs. Sullivan
616715	134522	Indian Villager
616716	134522	Indian Villager
616717	330057	Dom's Kid
616718	7309	
616719	117468	Psychic Medial Diagnostician
616720	177660	Bowling Biker Babe
616720	244034	Nurse
616721	177660	Tournament Sign-up Lady
616721	330057	Driving Range Sweetie
616722	114085	Eileen
616722	330771	Fiona Flynn
616722	381094	Sally
616723	95078	Diner gawker
616723	177660	Nouchi's Gal
616723	330057	Boardroom Babe
616724	317309	MV Villager
616725	363431	
616726	606	Party Guest
616726	70753	
616726	109666	Reporter
616726	244443	Rosemary
616727	74730	Sandra Hickey
616727	388483	Wilma Morrow
616728	80704	Vicki's sister
616728	266622	Cigarette Girl
616729	363967	Shannon
616730	131232	Extra
616731	363967	Shannon
616732	80864	Nadia
616734	350191	Vampire Daughter
616735	218528	
616736	26519	
616737	186682	Herself (school principal)
616738	117159	
616739	65559	Eve
616739	66795	Jeri
616739	70470	Bosomy redhead
616739	304563	White Chick
616739	340704	Annette
616739	403834	Regular Performer (1972-1973)
616740	25	
616740	12339	Widow Burnham
616740	26616	Mrs. McVae
616740	27570	Mrs. Cooper
616740	33532	
616740	39267	Lady Wynwaring
616740	42426	Aunt Emily
616740	48567	
616740	50265	
616740	59741	Mrs. Rolles
616740	61621	Her Mother
616740	65910	
616740	66209	
616740	69613	Mrs. Cavendish
616740	71757	Addie Balderson
616740	72505	Mrs. Mason
616740	84968	Doria Manners
616740	88900	Mrs. Preston
616740	90288	Bit Part
616740	106290	
616740	107995	Housekeeper
616740	112230	
616740	121355	Mrs. E. Elmer Riggs
616740	125871	Lady Blount
616740	128316	Mrs. Janney
616740	142121	The Duchess
616740	142657	Mrs. Jerrold Scott
616740	143016	Mary McDougal
616740	143073	
616740	143261	Mrs. Gordon Howe
616740	143425	
616740	149188	Marion Cabot
616740	151031	Mrs. Clifton
616740	153630	The Queen
616740	157876	Aunt Aleathea
616740	159948	Undetermined Role
616740	163596	Widow Wilkins
616740	192391	Mrs. Wilding
616740	195607	Her Aunt
616740	196151	
616740	203262	Mrs. Wisner
616740	205158	Mrs. Murray
616740	207717	Mrs. Schuyler
616740	217450	Mrs. Warren
616740	218939	Esther Grail
616740	221786	
616740	241414	Mrs. Montague
616740	241745	Mrs. Ebberly
616740	243235	Madame St. Levis
616740	246954	Miss Eva Eversham
616740	263449	Marie
616740	263452	His Mother
616740	267974	Mrs. Peeler
616740	269666	Mrs. Katherine Wilmot
616740	278586	Alice Lopez
616740	279508	Lizzie Cosgrove
616740	289393	Susan
616740	289604	Trixie Montresse
616740	296820	Aunt
616740	308102	Mrs. Parkin
616740	310871	Mrs. Bines
616740	318026	Mrs. Glendenning
616740	319262	Widow Budd
616740	319777	Madge Semple
616740	330805	Adeline Gribble
616740	335668	Mrs. Batterson
616740	337408	Mrs. Davidson
616740	343136	
616740	360227	Mrs. Lake
616740	362314	Lil Magill
616740	365532	Orlando's Mother
616740	367480	
616741	44355	Ms. Brand
616741	309546	ER Doctor (Midtown)
616741	397633	Stacey Devers
616742	5460	Sadie, gang member
616742	18591	Camilla
616742	27149	Wife
616742	28938	Fitter
616742	38685	Woman in theater
616742	52251	
616742	78791	Townswoman
616742	85653	Pedestrian
616742	88990	
616742	89711	Mrs. Al Smith
616742	91758	Nettie, Dietrichsons' Maid
616742	92247	Mrs. Weems
616742	92527	Mrs. Lewis, Rehearsal Pianist
616742	93669	Townswoman
616742	94881	Woman with Baby
616742	107789	Mrs. Mack
616742	115810	Frieda
616742	115849	Prunella, at the Bar
616742	116929	Mrs. Jenkins
616742	118399	Nurse
616742	120260	Chocolate Malt and Chocolate 
616742	126069	Buxom woman
616742	132793	Jail Matron
616742	142873	Miss Goodhue
616742	142875	Teacher
616742	142877	Welfare Board Member
616742	146752	Woman in Radio Station
616742	146840	Woman in Audience
616742	147754	Woman onlooker
616742	148282	Female fan
616742	154352	Interviewer
616742	155294	Mrs. Trent
616742	155318	The Hostess
616742	168220	Mrs. Smith
616742	178860	
616742	183627	Mother on Boat
616742	186277	Miss Belpayasa
616742	188294	Mother Juror
616742	190065	Mother
616742	190268	
616742	199466	Hospital Cashier
616742	203457	New Secretary
616742	203541	Head Matron
616742	208636	Second Complaining Wife
616742	211610	Mrs. Derwent
616742	212102	Wardrobe Woman
616742	217946	Mrs. Slocum, a Depositor
616742	218734	Woman
616742	220342	
616742	220901	Bit Part
616742	221336	Mrs. Prescott
616742	223032	Mother of Little GIrl
616742	223903	Woman
616742	223906	Matron
616742	224003	Cook
616742	228272	Barn Dance Woman
616742	231962	Elevator Passenger
616742	234471	Woman
616742	241416	Miss Jones
616742	244842	Woman
616742	244899	Bit Part
616742	246215	
616742	257559	Mrs. Braddock
616742	285713	Hotel guest in striped roe
616742	286808	Woman
616742	296960	Townswoman with Babies
616742	302611	Customer
616742	304959	Customer
616742	313584	Mrs. Haskins
616742	316232	Woman Wanting Seat at Lunch C
616742	321390	
616742	323380	Francesco's Fitter
616742	329329	Assistant Chef
616742	329903	Townswoman
616742	330703	Woman on Bridge
616742	335725	Woman
616742	337625	Louisville teacher
616742	339394	Spectator
616742	343206	Customer
616742	345860	Villager
616742	346043	Bit Part
616742	347109	Mary Meredith
616742	363745	Mrs. Moriarity
616742	365350	Little Lady Buying Soap
616742	367833	
616742	372093	Hotel Clerk
616742	372145	Neighbor
616742	372461	Woman
616743	39788	Lesley Whittle
616743	66656	Sue Kleiner
616743	163921	Alicia
616743	285879	Lisa Sakharov
616743	366463	Perdita
616743	382854	Carol Hammond #3
616743	393938	Christine Cywinska
616743	395647	Sally
616743	395930	Judy
616743	408035	Clare Hutchenson
616743	410714	Annie
616744	50635	
616744	143011	Doris, his little sister
616744	278244	Little Viola Bradley
616745	157771	Amazon #5
616745	245998	Mrs. Thorson
616746	359365	Character Voices #6
616747	5856	
616747	16053	
616747	28267	
616747	33608	
616747	50635	
616747	160003	
616748	245046	School Receptionist
616750	121615	Inmate
616751	31968	
616751	31975	
616751	31979	
616751	31981	
616751	207294	Clarice
616752	264102	High Class Hooker
616752	402113	Model (1994-1995 syndicated v
616753	159518	Dannielle at age 13
616754	11451	Marilyn
616754	113491	Mae West Impersonator
616755	108044	The Cat
616756	179112	
616757	154593	Susan
616757	228434	Pinky
616758	213453	Woman on Dock
616758	317173	Marguerite Marsh
616758	347026	
616758	356246	Mrs. Deering (Jack's mother)
616759	120106	Jennifer Gaines
616760	253191	
616761	92249	Electra
616761	353366	Mandoa
616762	90317	Cop at the Falls
616763	172666	In-Vitro Doctor
616764	331427	Iraqi civilian mother with ba
616765	235519	Nasserine
616766	213866	Denise
616766	240943	
616766	379341	Additional Voices
616766	384894	Mrs. Benson
616767	183229	Cygnet
616767	281170	Lady Capulet
616767	282592	Berta
616767	293793	
616768	216456	Mrs. Blake
616768	219999	Nell Haldane
616768	299523	Ruth
616768	328481	Zola
616768	362260	An Actress
616769	116905	
616769	345643	
616771	249336	
616772	38000	Bird
616773	367782	
616774	238030	Herself
616775	336716	Nurse
616776	321458	Julia
616777	104891	Alex
616778	2313	Herself - Presenter
616778	2759	Herself - Presenter
616778	3845	Herself
616778	3857	Herself
616778	7592	Herself
616778	10670	Alice
616778	13911	Herself
616778	13960	Grandmary
616778	16802	Angela Mooney
616778	18028	Hope
616778	24774	Caroline Brace
616778	40738	Sarah
616778	47334	Tina Vitale
616778	68225	Judy Hodsell
616778	68746	Herself (in India with the Ma
616778	73303	Halley Reed
616778	77878	Caroline
616778	81239	Jacqueline De Bellefort
616778	88843	Christine Dupont
616778	96555	Herself
616778	116512	Belinda
616778	117707	Diane McGowin
616778	121503	Julia Lofting
616778	131778	Brooke Collier
616778	133623	Daisy Buchanan
616778	136000	Karen Eriksson
616778	138444	Hannah
616778	153120	Charlotte Bruckner
616778	153190	Judy Roth
616778	161198	Herself
616778	161244	Herself
616778	161341	Herself
616778	168460	Mary
616778	168581	
616778	168647	Belinda MacDonald
616778	175541	Herself
616778	176379	Herself/Actress in Clip of Ro
616778	185737	Unicorn/Amalthea
616778	185738	Molly Grue
616778	212554	Herself
616778	212623	Nina Marcus
616778	213326	Ariel
616778	214912	Doris Koster
616778	222653	Allison MacKenzie
616778	230947	Lisa
616778	240466	Herself
616778	253917	Peter Pan
616778	254331	Herself
616778	264785	Herself
616778	267568	Cecilia
616778	267576	Anna Simmons
616778	270622	Sally White
616778	273783	Rachel
616778	274543	Doris/Mrs. Wolf
616778	281937	Rosemary Woodhouse
616778	288086	Narrator
616778	292325	Cenci
616778	292472	Marcia
616778	294571	Lane
616778	296917	Irmy
616778	319568	Alura
616778	319570	Herself/Alura
616778	328553	Rosemary Woodhouse (Rosemary'
616778	344039	
616778	348008	Herself
616778	360741	Elizabeth 'Buffy' Brenner
616778	364869	Miss Katherine O'Hare/Clancy
616778	374418	Dr. Eudora Nesbitt Fletcher
616778	390109	Betty McCarthy
616778	401350	Allison Mackenzie (1964-1966)
616778	402216	Interviewer
616779	253976	Mrs. Blunden
616781	16477	Herself
616781	381501	Herself (at Rishikesh)
616783	106109	Waitress
616783	267568	Cecilia's Sister
616783	374418	Meryl Fletcher
616784	71965	Pepper
616784	113603	Carol
616784	148524	Laurie
616784	159765	Alberta 'Mouse'
616784	200529	Julie
616784	204163	Party Guest
616784	242022	Terry Sullivan
616784	243231	Gabi
616784	291895	Kate Barchel
616784	307860	Jennifer
616784	344592	Jane Foster
616784	366419	Nurse Two
616784	375683	Anne Bowles
616785	67599	Janet
616785	126558	Undersecretary
616785	132247	Lynell
616785	139210	Councilwoman Vincet
616785	185167	Doctor
616785	188573	
616785	195644	YaYa
616785	198492	
616785	277648	Secretary
616785	352701	Charity Chairperson
616786	115208	Adele, the maid
616787	363611	Kismet
616788	200599	Maria
616789	38170	Magali
616790	113362	Village Girl
616791	202526	Herself
616792	387847	
616793	104774	Maltese entry (15th place)
616793	202524	Herself
616794	197062	
616794	376995	La journaliste
616795	184850	
616796	55768	
616796	266871	
616797	69166	Herself
616797	69168	Herself
616797	69170	Herself
616797	104758	Swiss entry (15th place)
616797	104760	Swiss entry (12th place)
616798	285957	
616799	98976	Da. Iluminada
616800	347611	EMT
616801	357034	Maryam
616802	381913	Co-host (2001)
616802	405931	Programleder (2001-) (host)
616803	133858	Louise
616803	196189	
616803	238991	Chorus Girl
616803	256767	
616803	308598	Dancer
616804	27360	Ulla
616805	50294	Herself
616805	130169	Dr. Ann Taylor
616805	386269	Maggie
616806	46976	
616807	98966	
616808	344991	Ameeran/Umrao
616809	118811	
616809	120225	Ruby Hudspeth
616810	19239	
616810	49589	
616810	160182	
616810	167276	
616810	167342	Maya
616810	204678	
616810	257634	Additional Cast
616810	267419	No.7/Anita
616810	267662	
616810	270766	In Charge of girls' band
616810	271887	
616810	284980	
616810	297592	
616811	42771	Sue Jackson
616812	108897	Herself
616813	9188	Card Playing Woman #3
616814	14404	Béatrice de Mennoux
616814	19182	Nan
616814	57293	Melka
616814	63654	Gina (French version)
616814	71833	
616814	87497	Florence
616814	96162	Marie
616814	99405	Angela
616814	101146	Eva
616814	105567	
616814	114823	Kareen
616814	133064	Esther
616814	148775	
616814	231577	Laborie
616814	259713	Stella
616814	261782	Julie
616814	279250	Fanny Ferreira
616814	284275	La fille
616814	309764	Fouzia 1996
616814	388036	Jacquie Decaux
616814	402577	
616815	73468	Albina
616816	302333	Musica en el aeropuerto
616817	221998	
616817	247297	
616817	268254	
616818	386555	
616818	391611	Teruca
616818	401634	
616818	402686	Juanilla
616818	403686	
616818	404707	Meche
616818	404815	Raquel
616819	90525	Tango dancer
616820	314225	Matronly Secretary
616821	5794	Figlia dell'estetista
616822	13545	
616822	17815	
616822	211832	Maria Maddalena
616822	352234	
616824	24476	Death - The Crap Shoot of Lif
616824	187234	Rosa, Mexican Cantina girl
616825	409957	Diana
616825	412194	Yolanda 'Yoli'
616826	106219	Party Girl #1
616827	20070	Child
616828	89557	
616829	9676	
616830	101675	
616830	307380	Salomé, Soprano
616831	217745	Art History Student/Dancer
616831	396727	Herself
616832	365396	Lady in Black
616833	48297	Maria Libera
616834	1883	Marie, age 13
616835	315999	Police officer #1
616836	118721	Lulu
616837	99018	Klytemnästra
616837	99020	Klytemnestra
616837	115205	Prinz Orlofsky
616837	153737	Hänsel
616837	281973	Octavian
616838	85702	Mère Marie (mezzo-soprano)
616839	325435	Eva Kuron
616840	260407	Partygast
616841	241767	Mrs. Cassidy
616842	26009	Christina
616843	235201	Ursula
616844	127615	Raffaella
616844	392974	
616844	396536	Lilli
616846	328445	
616847	287414	
616848	225018	Novia Cristian
616848	379116	Julia
616848	384775	Carolina
616848	384782	Natalia Scala de Andrade
616848	385852	
616848	388859	
616848	389235	Marcela Benítez/Julia
616848	392751	
616848	396860	Bibi
616848	398816	Maite
616848	403107	Gabriela
616848	406857	
616848	411636	Laura
616849	196005	Cheryl's Friend
616850	83515	Young Nun
616851	1939	
616851	88063	Laure
616851	112852	Eve Legendre
616851	115355	Elsa
616851	140283	Vendeuse Prothèse
616851	164149	La maman
616851	202090	La femme constipée
616851	211662	
616851	291584	(segment "T'en as")
616851	294601	
616851	324483	Pablo's Friend
616851	337035	Hôtesse Transports
616851	345461	Corinne Chardonnet
616851	353660	
616852	132951	Ragazza Marco #3
616853	19203	
616853	278925	
616854	32707	French Tourist
616855	144016	
616855	302678	
616855	361425	
616856	265092	Pilgrim
616857	378671	
616858	54911	
616858	217108	
616858	261889	
616859	155416	Dr. Grosskopf
616859	180912	Sigrun Molke
616859	219290	Rezeptionsdame
616860	355117	Maria
616861	396874	Stefanie Berger (1992-)
616862	259482	Regina
616863	231484	Ital. kellnerin
616864	24352	Linette
616864	338466	Verena Leinwarther
616864	381578	Gudrun
616865	10894	Lemro
616866	64634	Laila
616866	181152	Inger
616867	339380	Oshannah
616868	144992	Phillipe's crew
616869	355258	Hostess
616870	17079	
616871	316298	Poor Woman
616872	170706	Stripper
616873	202523	Herself
616873	397397	Herself
616874	154850	Patty
616875	180859	
616876	2172	Zoya
616876	17534	His Wife
616876	17581	
616876	30052	Lyusya
616876	39013	
616876	60439	Chief's wife
616876	76083	
616876	82487	
616876	82770	
616876	84414	
616876	91198	
616876	95934	Lyudmila, Professor Maltsev's
616876	162740	Varya
616876	162747	Herself
616876	163030	Zvezda
616876	164014	
616876	173679	
616876	176141	
616876	180237	
616876	189423	
616876	243973	
616876	244644	
616876	244728	
616876	258444	
616876	258590	Irina
616876	266015	Literature teacher
616876	282770	Kaleriya Georgiyevna
616876	284481	
616876	299423	
616876	305203	
616876	308425	
616876	322708	Natasha
616876	357335	
616876	357471	
616876	371364	
616876	373738	
616876	374716	
616876	382821	
616876	397513	Sobolevskaya
616876	405425	
616876	406689	
616877	15058	
616877	65163	
616877	148744	
616877	225408	
616877	287612	
616878	2086	
616878	385824	Mimi Lockhart #2 (1999-)
616879	7613	Bosayna
616879	8689	Camelia
616879	27845	Herself
616879	69083	Sonia
616879	125713	Mona
616879	162734	Sarah
616879	272952	Hyam
616880	258313	Un élève de la 4e techno
616881	48681	
616881	90946	
616881	109946	Herself
616881	109950	Herself
616881	109951	Herself
616881	178404	
616881	193025	Cantante
616881	211399	
616881	381091	Herself (eliminated round 1)
616882	15435	
616882	38329	
616882	49196	
616882	76675	
616882	108669	Nora
616882	110991	
616882	140000	Michelle
616882	183917	The Lawyer
616882	184011	
616882	252086	
616882	267891	
616882	267894	
616882	267897	
616882	277565	Riang Tirana
616882	282730	
616882	321740	Saleha
616882	341420	
616883	10517	Norsiah
616883	155181	Salbiah
616883	294128	Fatimah
616884	78977	Rebecca
616884	85842	
616884	130269	Anisseh
616884	281015	La Mujer
616885	17576	
616886	31464	
616886	207550	
616886	227737	
616887	345548	Monique
616888	106462	Marcela
616888	276572	Fátima Camel
616888	349607	
616889	106755	Aggie
616890	28876	Snake Bite Lady
616892	66745	Noëlle's secretary
616892	96190	Brigitte
616892	132743	
616892	235565	Cécilia
616892	345126	Cécile
616892	345552	Fabienne
616892	346518	Marie
616893	127627	Packing Store Clerk
616893	245762	Jennie
616893	253000	Mary Anne Gleason
616894	2472	Karen
616895	139643	Rio Grande
616896	296690	Tommy Rivers' Band
616897	11545	Suzette
616898	266170	
616899	57560	Shucks Oysters
616900	169279	Pola
616900	333719	Georgette, la soubrette
616901	20143	Irene
616901	20800	
616901	34285	Inge
616901	43768	
616901	55033	Sposa Drago
616901	68785	
616901	106802	Antonella
616901	211744	Astrid
616901	342120	Manuela
616901	344626	
616901	384243	
616901	387465	Anna Ristori
616901	399159	Anna Berardi
616901	399655	Adriana
616901	404856	Alida
616902	295048	
616903	188683	
616904	93417	Braut
616904	218785	Nixon (Dog)
616904	286563	
616904	302150	Cleaning Lady
616905	324143	
616906	174138	Fingerprint expert
616907	180695	
616907	267949	
616907	328505	Madre
616907	351341	
616907	355551	
616907	375395	
616907	405705	
616908	188117	
616908	192911	
616908	349291	Ana
616909	176663	
616910	225912	
616911	207874	La mère de Laurent
616912	109485	Escort
616912	128606	Herself
616912	128756	Herself
616913	103326	The Resistance Force
616913	159164	Beloch's Army
616914	127748	
616915	35302	
616916	8366	Eve LeClaire
616916	20679	Françoise
616916	58877	
616916	58878	
616916	58879	
616916	58880	
616916	72550	Madame Chabot
616916	83334	
616916	100735	Tessie Turcato
616916	111133	Narrator
616916	118364	Narrator
616916	165759	Simone Blaché/Alice Guy-Blach
616916	260940	Simone Blaudelle
616916	275126	
616916	307486	
616916	334783	Adèle
616916	358563	
616916	381681	
616916	398078	Hélène Rivard
616916	398158	Irène Blumenthal
616916	401151	Élise Velder
616916	402764	
616916	404018	Maman Morais
616917	252141	
616918	35107	Nurse MacKenzie
616918	68377	
616918	86911	Sarah
616918	107063	L'animatrice
616918	164193	La Sodoma
616918	251547	La supérieure
616918	346647	La fille de l'accident
616918	378858	Marlène Jobin
616918	383186	Grand-maman de Caillou (first
616918	389471	Loulou
616918	393894	Policière
616920	240715	Daria
616921	116549	Mitch's Daughter
616922	246470	
616923	66090	
616924	342331	Kid #2
616925	117809	Lauren Correll
616926	625	
616926	352251	
616927	145485	
616928	122778	Newborn Gabrielle
616929	385299	Miranda Pollard (1985)
616929	395243	Claire Faulconbridge (herself
616929	399530	Sandra
616929	409243	Sheila
616930	273569	Older Relative
616931	119802	Cook
616931	298444	Grace
616931	333771	Mrs. McIntyre
616931	388846	Mrs. Ellison
616931	396425	Granny
616931	403285	Miss MacPhail
616932	12338	Salsa Dancer
616932	13789	Spartanette #1
616932	24432	Party Dancer #2
616932	120528	Dancer
616932	372175	Dancer
616933	158418	Screaming Woman
616934	204168	Ruby
616935	197490	Washer Woman
616936	162578	Lady of leisure
616937	154301	Mrs. Ditschman
616937	347849	Anne
616937	394676	Mrs. Straub (1988-1989)
616938	315795	Mrs. Mary Mackernutt
616939	27091	Additional Voice Talent
616940	342778	Jane
616941	229113	Tommy Stirling
616941	258305	Young Girl Prostitute
616941	314358	Belle
616942	79450	Baptismal Procession
616943	303094	Grace
616944	176406	Extra in wedding scene
616945	367054	Aunt Em's Party
616946	230869	Vicky
616948	155912	
616949	236118	Emma
616950	153661	Lisa
616951	32088	Sandra
616951	223774	Jane
616952	13043	Helene Lagonelle
616952	110347	Miss Charlotte
616952	268448	Barbara
616952	289634	Amy Parsons
616952	380190	Christine Spencer
616952	382838	Louise Hope (1998)
616952	383018	Emma
616952	385646	Al Dangerfield (1995)
616952	391759	Dr. Victoria Merrick (1999-20
616952	398559	DS Emma "Scribbs" Scribbins
616952	406212	Helen Flynn (2002)
616953	337206	Mary (Housekeeper)
616954	304447	Female Executive
616955	222294	Herself
616956	213590	Schoolgirl
616957	10893	Josephine
616957	38546	Hannah Brent
616957	69382	Amanda
616957	69393	Mrs. Dent
616957	80759	Carol
616957	89001	Herself
616957	117745	Mrs. Arthur
616957	150239	Stewardess on Rio Plane
616957	150884	Junior Health Minister
616957	154984	Cheryl Bascombe
616957	164871	Terry
616957	186512	Kitty
616957	330366	Joanna
616957	364510	Mrs. Linden
616957	385411	Vivienne
616957	387247	Ingrid
616958	134162	
616959	35808	
616959	39478	
616959	50092	Tanya
616959	81147	Agent
616959	95872	Lucinda
616959	121454	Sarah Baker
616959	141395	Firing Range Technician
616959	144889	Charlene
616959	151786	Gail
616959	164225	Phyllis
616959	184946	
616959	208077	
616959	254649	TV Newscaster #1
616959	314982	Nurse #4
616959	349231	Assistant Director at News Ro
616960	178859	
616961	67156	
616961	128173	
616962	37694	Girl in bikini
616963	396017	Trimbull's Assistant #2
616964	410722	Herself - Celebrity Special #
616965	238656	Mei-lin
616966	297754	Mary
616967	70865	María
616968	88830	Mrs. Swenstrom
616968	117402	Queen Yarra
616968	122634	Cook's secretary [Ch. 3]
616968	216926	Secretary
616968	269295	Helena, Studio segment
616968	300864	Bookstore Clerk
616968	342745	Miss Courtley
616968	403604	Yarra
616969	345350	Annette
616970	259236	
616971	217223	Schoolgirl
616972	199348	La dame au trico
616973	63873	
616973	64972	
616973	96363	
616973	250790	
616973	318227	
616973	357186	
616974	77422	
616974	245963	
616975	363939	Ballerina (Death)
616976	336613	
616977	160825	
616977	243713	
616978	167228	La soeur de Sophie
616978	170372	Julia
616978	265169	Une actrice
616978	288887	Lucie
616979	383305	Claire Langeais
616980	215021	Une jeune touriste
616981	196254	Madame Natalie
616982	6627	Alice
616982	15025	Tante Thérèse
616982	16948	Anne-Marie Lamaury
616982	18320	Madame Travot
616982	33264	Madeleine Forestier
616982	51137	Béatrice
616982	55009	
616982	59805	Clelia Conti
616982	77350	Eulalie Carlus
616982	79553	Rosa
616982	83370	Mademoiselle Barfleur
616982	90131	La mère de Don Juan
616982	91463	Mme de Baudreville
616982	96067	La grand-mère
616982	101716	Madame Lair
616982	111002	La marquise de Vancourt
616982	119048	Catherine de Vauselles
616982	132948	Anna Gamba
616982	135325	Hécube
616982	158831	Fine
616982	179289	Mélusine de Graffendried
616982	184356	Bérangère
616982	199305	Mme Bovary, mère
616982	200945	Madame Serre
616982	215609	
616982	216226	Mlle Mars
616982	228556	Mme Vergez
616982	229618	Eugénie
616982	239213	La fée
616982	240581	Danièle
616982	254147	La mère Busato/Mother Busato
616982	263980	Rosine
616982	265223	Soeur Joachim des Saint-Anges
616982	266405	Mademoiselle Milleran
616982	272525	Vera
616982	280793	
616982	283032	Me Surville
616982	283053	La mère
616982	287321	Douairière
616982	287340	Mademoiselle
616982	287619	La mère d'Alice
616982	294256	La marquise
616982	309335	Catherine Fabret
616982	318637	Odette
616982	324625	Tante Blandine
616982	336269	
616982	340132	La mère
616982	345389	Mme Verrière
616982	346524	La mère de Juliette
616982	346587	
616982	376987	Odette Courcel
616982	381027	Mme Latécoère
616982	389880	Consatance Angellier
616982	390466	
616982	390491	
616982	390513	Juliette de la Monnerie
616982	398786	L'archiduchesse
616982	400869	Mère de Philippe
616982	401972	Mme Dambreville
616982	402531	La dame
616982	407809	La mère
616982	410142	
616982	412203	Antoinette
616982	412268	La princesse de Condé (segmen
616983	84634	Antoinette
616983	162306	Vendeuse, sex-shop
616984	43649	
616985	240428	
616986	83193	
616986	279988	Christine
616987	2195	Policier 1
616987	240428	
616988	10064	Hr. Homburg
616988	50328	Teacher
616988	101124	Fertilitetslæge/Fertility doc
616988	109141	Bankdamen
616988	122811	Lizzie Hansen
616988	138930	Carls mor
616988	153385	Ulla Katrine
616988	168706	
616988	170828	
616988	244681	Teacher
616988	249743	Studine
616988	281991	Nora Kjær
616988	303695	Mor
616988	305882	Eva
616988	306382	Mor
616988	306383	Eigils Mor
616988	312018	Francos mor
616988	327054	
616988	344674	Ellinor
616988	354739	Connie
616988	383045	Teacher
616988	389734	Terese Arnberg
616988	391710	
616988	391722	Sarah
616988	403379	Orthopedist
616988	406658	Tina
616989	109141	Blondine
616989	214336	Beate
616990	160722	La Pharmacienne
616991	19436	Helena
616992	353317	
616993	265400	Mother Wendt
616994	356381	
616995	386616	
616996	189855	Herself
616997	253345	Diane McKelvey
616997	405153	Screaming Female Ghost (episo
616998	141549	Carmen
616999	325870	
616999	334106	
616999	379846	Bertel
616999	402528	Jeanne Burckhardt
617000	368537	Dakota girl
617001	89576	Maria Grazia
617002	121832	Gretchen (website employee)
617003	356655	
617004	168720	Marion
617004	183760	Lolita La Verne
617004	289576	Hulda Swenson
617005	99233	Herself (Elisabeth's sister)
617005	243594	
617006	231871	Young Jennie
617007	41367	Boxer #3
617008	228896	
617009	139514	Herself (vocals, keyboards)
617010	83968	Sarah
617011	41820	
617012	410211	
617013	240970	
617014	7184	Alice
617015	282781	Pierre
617016	362080	
617017	147451	
617018	270041	Alessandra
617018	353056	
617019	309406	Janitor
617020	111295	
617020	167631	
617021	387573	Natalia Fava
617021	389489	
617021	390444	Herself
617021	390452	Herself
617021	390453	Natalia
617021	390454	Herself
617021	404855	
617021	409809	Herself
617022	109524	Girl #2
617024	400869	
617025	311	La manifestante
617025	2645	
617025	20916	Lola
617025	61876	Laure
617025	71952	
617025	73140	Christine Masson
617025	80244	Joëlle
617025	91810	Karine
617025	99367	Sabine
617025	119383	Jeanne
617025	162363	Rhonda
617025	165901	Leslie
617025	186192	La Môme Crevette
617025	194568	Marie
617025	197546	Nadine, la soeur de Dédé
617025	202749	Valérie
617025	217755	
617025	236622	Karine
617025	240429	
617025	254861	
617025	255589	
617025	261707	Móni
617025	268936	
617025	277554	
617025	291584	(segment "Dernière année")
617025	323042	Célia Sanchez
617025	345171	Alexandra
617025	345494	Leila
617025	350154	
617025	369436	
617025	376889	
617025	393892	Isabelle
617025	399082	Léa
617025	400382	Marie Denardaud
617026	304540	Mavis
617027	349494	Mimi
617028	390180	Beastie
617029	14690	
617030	57079	
617031	193024	
617032	72650	Italian Hooker
617033	54791	Sharon
617033	396161	Leticia Toscano
617033	397012	
617034	124550	
617034	159897	
617035	204559	
617036	101225	Gaëlle Hervieux
617036	336985	1ère jeune femme soirée
617036	412266	Veneuse
617037	109087	
617038	309860	Bev
617039	159226	
617040	411710	
617041	193072	Herself
617041	234324	Herself
617041	262980	Herself
617041	383471	Ámbar Ferrer
617041	383568	Malena Núñez
617041	386531	
617041	387685	Cecilia
617041	389788	Rosaura Ríos
617041	392806	
617041	392960	Guadalupe 'Lupita' Rosas de J
617041	398490	
617041	399084	Cuquis
617041	401916	
617041	403885	Sonia Chavarría
617041	409908	Angeles Villaseñor
617042	19218	
617043	278952	La cantante
617044	196029	Homeless Woman
617045	145496	
617046	148098	Cantante
617046	221989	
617046	319597	
617047	84168	
617047	332259	Loriana
617048	44738	Toune, Edouard's mother
617048	99736	Greta
617048	237319	
617048	285759	
617049	24351	
617050	113615	
617050	281113	
617051	379423	
617052	84218	
617052	132941	
617052	246964	
617053	51826	
617053	111386	Orissa
617053	410141	Catherine
617054	60274	Lovely #2
617054	323242	Fausse Blonde
617054	351884	Lia
617054	384252	Hostess
617054	384560	Herself (Cocogirl)
617054	399377	Herself/Sixth week co-guest s
617054	400803	Sophie
617054	406030	Magalie
617055	118176	Irène
617056	29524	Lara
617056	44385	Salon Worker
617056	58522	Linda Barnes
617056	161294	
617057	71495	Maitlin's Secretary
617057	332821	Kiki Walker
617057	372134	Psychic Woman
617058	68980	
617059	8283	
617060	187926	
617061	104918	Sal Bird
617062	340923	Salesgirl
617063	2169	L'hotesse
617064	236368	Miss Belgium
617065	94525	Drunk/Usher
617066	259979	Marianne
617067	15031	Mme Ventoux
617067	135428	
617067	291586	Marie-Hélène
617067	404663	L'institutrice
617068	53173	Anna
617069	346803	
617069	379103	
617070	45190	La patronne
617071	199463	Zoo lady
617071	321559	$5 Winner
617072	154866	Mrs. Crowley's corpse
617073	24855	La deuxième servante
617073	375368	
617074	77206	Lorraine Dacre
617075	403911	Suzanne
617077	846	Herself
617077	2750	Herself - Co-Presenter
617077	2768	Herself
617077	2893	Herself
617077	4651	Herself
617077	4671	Herself
617077	11683	Herself
617077	12241	Herself
617077	19024	Jessie Dewey
617077	26256	Lily Malone
617077	27261	Herself
617077	31183	Herself (ABC Team)
617077	35480	Val Petherton
617077	46147	Faucet
617077	49948	Francine Hughes
617077	53960	Pamela Glover
617077	57665	
617077	59663	Jill Munroe
617077	59666	Herself
617077	61774	Nora Maxwell
617077	70382	Mrs. Crowley
617077	73333	Jessica Lee Stubbs
617077	77183	Dalva Northridge
617077	92618	Kate Travis
617077	106461	Marjorie
617077	109272	Herself
617077	109273	
617077	110998	Kitty Murdock
617077	116040	Herself
617077	128479	Patti
617077	133442	T.L. Dawson
617077	141044	Herself
617077	147893	Lissa Roman
617077	160397	
617077	165266	Herself
617077	167256	Jewel Hilburn
617077	193406	Holly
617077	196397	Craig's Dream Date
617077	203318	Sandy Archer
617077	205411	Margaret Bourke-White
617077	222657	Joan Robinson Hill
617077	222718	Karen White
617077	224499	Mary Ann Pringle
617077	228915	Beate Klarsfeld
617077	237572	Herself
617077	260229	Barbara Hutton
617077	274429	Kathy
617077	288752	Alex
617077	293126	Jo
617077	301830	Frannie Vaughn
617077	305377	Diane Downs
617077	307976	Jenny Moore
617077	317890	Pearl
617077	318966	Ellie
617077	331714	Hitchhiker
617077	345277	Patricia
617077	383943	Jill Munroe (1976-1977)
617077	390355	Gayle Roberts (1991)
617077	391087	Sue Ingham (1974-1976)
617077	398213	Herself
617078	152205	Miss Charlotte
617079	139294	Eileen Green
617079	157438	Angie (The Rose)
617080	19024	Needy Receiver #2
617080	103642	Laura, gallery owner
617080	106039	Suzy
617080	195601	Dungeon Slave Girl
617080	253065	Girl at Party Table
617080	301830	Bridesmaid #1
617081	55632	Carrie Willow
617081	380798	Charlotte Braithwaite
617082	27247	Shaz Wylie
617082	381121	Shaz Wiley (Series 2-4) (2000
617083	406643	Dancer
617084	263977	Helen Travers
617085	333381	Old woman on Metro
617087	52204	Highgyll W.I. Lady
617088	418	Margo
617088	11541	Ruth
617088	54519	Kathleen
617088	56971	Cathy
617088	257048	Aunt Helen
617088	280477	Rose Peterson
617088	315029	
617088	330155	
617088	338577	Helen
617088	346910	Maureen
617088	366262	Mrs. Doyle
617088	388644	Iris
617088	393606	
617088	396001	
617088	400257	Jane Sutherland
617088	402442	
617088	409571	
617088	411245	Mrs. Doyle (episode 6: Top Ki
617089	29511	
617089	123797	
617089	195771	Person in the Colony Room Clu
617089	200491	
617089	228032	
617089	228594	
617089	228678	
617089	326731	
617090	297854	
617091	410580	Julie Karagina
617092	383799	Young Esme
617094	7612	
617094	8683	
617094	10523	
617094	15317	
617094	15360	
617094	38327	
617094	77011	Fotna
617094	99170	
617094	112684	
617094	123266	
617094	136946	
617094	155152	
617094	155158	
617094	162734	
617094	175974	
617094	202412	
617094	220261	Mona
617094	222888	
617094	227898	Virginia
617094	236843	
617094	260882	
617094	271593	
617094	285330	
617094	303350	
617094	303355	
617094	348824	
617095	37658	Herself
617096	12044	
617096	36483	
617097	2437	Mildred (widow)
617097	6939	Gail Goobendick (maid)
617097	7413	Terry's Landlady
617097	11502	Old Lady
617097	16686	Mrs. Styles
617097	41772	Aunt Margaret
617097	83856	Mrs. Hewitt
617097	108309	Airline Passenger
617097	127074	Mrs. Hutchinson
617097	129762	The Bluejay
617097	151535	Music Teacher
617097	160980	Mrs. Hitchcock (cleaning lady
617097	178061	Horace's Wife
617097	195610	Miss Love
617097	203498	Sally Hemphill
617097	223065	Avis Grubb
617097	235062	Woman
617097	248440	
617097	273543	Miss Hearing Aid
617097	289537	Woman in Hotel Hallway
617097	299678	
617097	312147	
617097	331549	
617097	352750	Miss Feeny
617097	360307	Older prisoner egging on the 
617097	362635	Secretary
617097	396783	Wilma Fritter
617097	400527	Angela
617098	84105	
617098	195212	
617099	308172	Patsy Ellis
617099	350509	Mary Ann
617100	30311	Const. Marie
617100	382743	Sister Innocent
617101	129206	The lead gladiatrix
617101	187074	Vixen
617101	267508	The Waitress/Fighter
617101	326451	Fighter
617102	224328	Arlene
617103	241244	The Tramp
617104	70301	Frances
617104	120760	Woman at dance
617104	129233	Trilby
617104	134009	Elaine Bellamy
617104	162340	
617104	183581	Debutante
617104	186351	Helen Clifford
617104	194031	
617104	215748	Showgirl
617104	235070	Madge Wilson
617104	254654	Main Line Society Woman
617104	262317	Anita Benson
617104	271233	Mary Manners
617104	280676	Betty
617104	308619	Anna Alden
617104	316194	Anne Turner
617104	319068	Ruth Graham
617104	339656	Doris Allen
617104	363815	Janet Rand
617105	146142	
617106	19540	The Baby
617106	19541	The Baby
617107	224492	Kathy
617108	367942	
617109	200327	Irish Dancer
617110	26	Follies girl
617111	286300	Cloakroom Att.
617111	363146	Martin's wife
617111	388209	Tracey McGuigan (2001-)
617112	35420	Girl
617113	152205	Susan Wilks
617114	48939	Jean
617115	328922	Fabulous Gallery Guest
617116	72374	Lynn
617117	235407	Herself
617118	108261	Lady Mourner #1
617119	30484	Poppy Carnahan
617119	37092	Mom
617119	56880	Doctor
617119	71687	Mrs. Barrington
617119	87428	Lady from Oklahoma
617119	106361	Branson
617119	109938	Megan
617119	121528	Diane
617119	148317	Mrs. Paul
617119	195305	SSA Flight Attendant
617119	200521	Dr. Diane
617119	278437	
617119	278830	Hamaguri Receptionist
617119	372865	Edie Winchell
617119	383493	Skit characters
617119	383496	Skit Characters
617119	391871	Greer
617119	394509	Dr. Brenda Abelson
617119	396599	Gretchen Mannkusser (2002-)
617119	400038	Roxy (1987)
617119	407470	Binky Gruen
617119	411397	Alice McConnell
617120	47914	Chandler Academy Student
617121	239786	Mindy
617122	108261	Lady Mourner #2
617122	123325	Bank teller
617122	139610	Airport Security Woman
617123	391340	Annie (1986-1988)
617123	395793	Mrs. Hennessey (1969-72)
617123	400258	Mrs. Rizley
617123	400709	Mrs. Meager
617123	410499	Mary Clarkson
617123	411315	Dorothy Browning
617124	31654	Ginger Blake
617125	77685	The Ballerina
617125	79736	Solo dancer
617125	195071	Sue
617125	198660	Vivien
617125	241592	Dancer
617125	308560	Herself
617125	341717	Herself - dancer
617126	62513	
617127	84482	Cynara
617127	161817	Cláudia
617127	296116	
617130	240429	
617131	376595	Correspondent's daughter
617132	5535	
617132	205210	
617133	17403	
617133	57873	
617133	89509	
617133	153971	
617133	232729	
617133	370776	
617134	357034	La sculptrice
617135	106635	Herself
617135	136035	Herself
617135	141049	Self
617135	161385	Herself
617135	253572	Herself
617135	393512	Co-host (Jan-Mar)
617135	400636	Herself
617135	407067	Herself/Season 2 (2003)
617136	1774	Herself
617136	2351	Alice Perkins
617136	3662	Herself
617136	10348	Stella Kirby
617136	30350	Emmy Jordan
617136	55222	Herself
617136	58022	Herself
617136	64161	Herself
617136	105131	Kathy
617136	105170	Dixie Foley aka Dixie Dean
617136	107845	June Mills
617136	118321	Herself
617136	123717	Edie Allen
617136	126067	Honey Walters
617136	126068	Mona Vale
617136	133443	Vicki Adams
617136	138700	Herself
617136	142557	Trudy Evans
617136	147665	Molly Adair Hayden
617136	147707	Herself
617136	157870	Belle Fawcett
617136	160464	Herself
617136	177364	Pat Doran
617136	190858	Lillian Russell
617136	192122	Pat O'Day
617136	223054	Peggy Harper
617136	232017	Herself
617136	236096	Peggy Warren
617136	240672	Mona Merrick
617136	260224	Jerry Dolan
617136	281878	Rose Sargent
617136	286154	Sally Day
617136	291380	Herself
617136	297950	Jean Legoi
617136	302639	Joan Warren
617136	313920	Mrs. Melissa Frake
617136	315791	Susan Parker
617136	323154	Trixie Lee
617136	329480	Baroness Cecilia Duarte
617136	333520	Katie Blane
617136	358453	Alice Huntley
617136	360837	Miss Nan Spencer
617136	366130	Herself - in movie
617136	367948	Secretary at gate
617136	372133	Judith Poe Wells
617136	372311	Betty Bradley
617137	57929	ABA Student
617138	55445	Trixie
617138	318102	Ada
617139	365750	Sarah
617140	356997	Young Teri
617141	253542	Miss Carteret
617142	14132	Danielle
617142	31654	Nik's Secretary
617142	61156	Annie
617142	84113	Main Stripper
617142	90771	Mob Girlfriend
617142	123370	Casandra
617142	213452	Greek Chorus
617142	213941	Kimberly
617142	231115	Heidi
617142	366998	Dawn De Batt
617143	411372	Co-host (1958)
617144	263018	Lady anglaise
617144	320240	
617144	343544	
617144	377013	
617144	383117	La comtesse
617145	10351	Singer
617145	62688	Herself
617145	91795	Specialty--Liza's sister
617145	263314	Nell
617146	167527	
617147	23932	Herself
617147	108617	Samantha
617147	163352	Herself
617147	307899	Lorraine
617147	367854	Judy Mallett
617147	381799	Georgia
617147	385020	Judy Mallett (1995-1999)
617147	388486	Lauren Harris
617147	395535	Mabel Billington
617147	401652	Holly (2000-)
617147	405070	Crystal
617147	406354	Julie
617148	70967	Mrs. Wentworth
617149	190543	Mrs. Starr
617150	7004	Moira
617150	32217	Elaine
617150	77639	Judith
617150	79861	Susan (child on the train)
617150	84201	Elena Vanin
617150	90401	Ann Painter
617150	92653	Tania
617150	131593	Wendy Phillips
617150	134038	Nurse Foley
617150	138246	Child
617150	230410	Jean Carter
617150	290352	Susan
617150	315675	Esther Costello, as a child
617150	335331	
617150	342822	Jane, deafmute child
617150	379352	Becky Thatcher
617150	380259	Linda Hollis
617150	395755	Amy March
617150	398990	Caroline
617150	411459	Anya
617151	6193	The Mischievous One
617151	7482	Tibra
617151	10596	Reformer
617151	21464	
617151	26613	Pansy
617151	36985	Secretary
617151	40441	Hatchet-Faced Wife
617151	48540	Woman
617151	52251	Wagon Woman
617151	56098	X-ray nurse
617151	59150	Mitzi
617151	61153	Velma
617151	61164	Nurse
617151	69614	Lady Penelope
617151	70534	Proprietor's wife
617151	70913	Becky
617151	90200	
617151	90265	Clara Proctor
617151	90274	Nanette
617151	95832	Marcia Towne
617151	96926	Neighbor
617151	110264	Mrs. Tracey-Lytton
617151	110559	Bertha Lansell
617151	112458	Josephine
617151	116731	Samaran, His Chief Wife
617151	117378	Maid
617151	130149	An Inmate
617151	130716	Mrs. Amos Thompson
617151	133717	Sadi Bronson
617151	133949	Birdie
617151	142453	Anne Broderick
617151	143605	Passenger on airplane
617151	145777	
617151	145878	Dorcas
617151	147543	Woman
617151	147633	Cameo appearance
617151	163340	Countess de Beaurien
617151	168119	Townswoman
617151	177405	Martha
617151	184228	Woman
617151	186420	Mrs. Jensen
617151	190202	'French' Kate
617151	201033	Margie
617151	202246	Susan (maid #2)
617151	204743	Mrs. Drummond
617151	207287	Guest
617151	209663	Princess Sophia Alexnov
617151	221094	Wedding Guest
617151	221288	Mabel Brown
617151	231403	Hallie Livingston
617151	231925	Companion
617151	234234	Annette
617151	235168	Wapiskau
617151	235494	Mrs. Eleanor Forbes
617151	239841	Jessie
617151	242110	
617151	246215	
617151	253126	Nurse
617151	273513	Charleston Lady
617151	274412	The Housekeeper
617151	275452	Jury Member
617151	279457	Dolly Foules
617151	279508	Adelaide Vandergrift
617151	286808	Haisham
617151	287277	Annette Fenton
617151	288683	Elsie Prentiss
617151	303427	Mrs. Jordan
617151	306150	Betty Welland
617151	306466	Nurse
617151	308116	Banker's Daughter
617151	308614	Bidder
617151	310840	Courtroom Spectator
617151	312322	Lady Mabel
617151	312323	Mrs. Chichester Jones
617151	314480	The Secretary
617151	319181	Hisham
617151	319897	
617151	327684	The Wife of Pharaoh (prologue
617151	327685	Elisheba
617151	333048	Susette
617151	333061	Nurse
617151	340011	Countess Rika
617151	341903	Zelma
617151	345860	Widowed bond slave
617151	347128	Mame
617151	351916	Doric Blint
617151	352720	Kitty Douglas
617151	356270	Herself
617151	356527	Mariusha, A Gypsy
617151	361176	Woman
617151	363282	Nurse Seymour
617151	363679	
617151	367469	Tecza's handmaiden
617151	370547	Queen Victoria
617151	372050	Secretary
617152	10749	Cook/Duchess/Pig/Flamingo A/H
617152	141958	Aunt/Baby Goat
617152	306276	Animals
617154	238473	
617155	129227	Chorus Girl
617156	69897	Photographer/Clubgoer
617156	353466	Ensemble
617157	49974	
617157	128229	
617158	254069	Safi
617159	105412	Woman Behind Counter
617160	238552	Jasmine
617161	40280	Fernande's child
617162	48175	Flo enfant
617163	104779	Herself/Commentator (French v
617163	400149	Herself (2003 -)
617163	412170	Herself/Co-host
617164	299854	Stella Izergil
617165	46804	Miss Rapley
617165	220096	Mrs. Guerney
617165	325081	Dorine
617165	352702	Editor
617165	382980	Donna Kowal
617165	409401	General Practioner (segment "
617166	270620	Mme Gerfaut
617166	339476	
617166	346709	2nd Lady
617166	387658	
617167	113134	
617167	186192	Nini Pattes-en-l'air
617168	183743	
617169	323754	Aida's grandmother
617170	382076	Janice Collins
617171	386885	
617172	217223	Schoolgirl
617173	269570	
617174	206535	Saloon Dancer
617175	24314	Marthe Ambérieux
617175	135426	La mère de Gisèle/Gisele's mo
617175	135534	La Schwartz
617175	206235	
617175	218280	Bella-May
617175	236602	La veuve joyeuse
617175	336924	
617175	345076	Mado
617175	357115	Marie-Jeanne
617176	53597	Hedwige Ekdal
617176	204339	
617176	261820	Genevieve
617178	14798	Monja
617178	378783	Naomi Nogin
617179	76795	Dahab
617179	143762	
617179	308628	Sylvia Brent
617180	64489	La femme de ménage
617180	92870	La dragonne
617180	97060	Christine's Mother
617180	101162	Lulu
617180	162306	Maïté
617180	184264	La fille
617180	240494	La bonne
617180	345137	Mado
617181	77414	Chorus Girl
617181	130622	Gold Digger
617181	163544	Dancer, American Girl
617182	219008	Mother
617184	158625	Anna Maitland
617184	237465	
617184	288947	Mdme. Gaudier
617184	346938	Herself
617184	350114	
617184	365716	
617185	212620	Laboratory Technician
617186	376612	
617187	101550	Klára
617187	357712	Pásztor lánya
617188	138468	Dizõz
617189	177935	
617190	19684	Judith Bogdán
617190	209721	Szanto's Daughter
617190	227534	
617190	357865	
617191	5818	
617191	10738	The White Queen
617191	12204	Susie
617191	13563	
617191	13565	
617191	13566	
617191	13567	Proprietress
617191	19975	
617191	22636	His wife
617191	26065	Laundry Girl
617191	26854	
617191	27149	Mrs. Harris
617191	30570	
617191	30787	Lizzie Allen
617191	30907	
617191	31182	
617191	31747	
617191	31801	
617191	31927	
617191	32058	
617191	32244	Cremo Panatella
617191	33187	Deborah Carpenter
617191	35142	
617191	38563	
617191	40304	
617191	42427	Sweetie
617191	43375	
617191	45210	
617191	46764	Teresa
617191	47329	Cookie Dale
617191	47343	Mrs. Flaggenheim
617191	47345	Jane
617191	48594	
617191	49375	
617191	49558	
617191	50491	
617191	54522	
617191	54830	Miss Opitz
617191	56310	Becky, the Maid
617191	60165	Flora
617191	60356	
617191	67096	Alicia Ames
617191	68818	Hilda
617191	72498	
617191	73810	
617191	74032	
617191	74707	Elvira
617191	80355	
617191	83652	Susan
617191	85837	
617191	88290	
617191	89866	Lola
617191	92009	Kate Flannagan
617191	92170	The Girl
617191	92174	Aunt Ida
617191	92957	Sally, a Country Girl
617191	93078	Herself
617191	93164	
617191	105075	Abigail Belldon, Freddy's Pub
617191	109263	Faro Nell
617191	109677	
617191	110016	Edgar's Wife
617191	110372	
617191	113594	Dora Traynor
617191	114155	Mrs. Lavinia Mae Creevey
617191	114589	Annie
617191	116376	Millie Richards
617191	116912	Flo
617191	116956	
617191	116959	Herself - arriving celebrity 
617191	123202	Undine
617191	123410	
617191	124749	Sisseretta Simpkins
617191	130626	Mabel Munroe
617191	133845	
617191	134674	Marianne
617191	135844	Hampsey Dell
617191	137772	Cally Brown
617191	138887	
617191	139189	Ma Martin
617191	139844	The Cashier
617191	140817	
617191	140977	
617191	141354	Aunt Katie Boyd
617191	141453	A Flower Girl
617191	141649	
617191	143094	
617191	143132	
617191	143276	
617191	143426	The Servant Girl
617191	144211	
617191	144937	Mrs. Granger
617191	145322	
617191	145877	
617191	145982	
617191	146184	
617191	146298	
617191	147283	Dolly
617191	150219	
617191	150397	Aunt Kate
617191	150932	Louise
617191	152179	
617191	152999	
617191	154468	Bea Sorenson
617191	158135	
617191	163420	
617191	163426	Herself
617191	163776	
617191	165200	
617191	169620	
617191	169912	
617191	178277	
617191	183348	Aunt Katherine
617191	183774	Yasmin
617191	186788	Hortense
617191	188205	
617191	190524	Flora Gale
617191	191507	Arbutus Quilty
617191	194372	Aunt Sarah Harper (Katherine 
617191	195355	
617191	195360	
617191	195405	
617191	195550	
617191	195637	Jenny Tibbs
617191	196018	
617191	196326	
617191	199224	Fanny Smithers
617191	200070	
617191	200868	
617191	201060	Bea Sorenson
617191	205122	
617191	206430	Wife
617191	206878	Herself
617191	211570	Mrs. Penelope Updike
617191	213079	
617191	213604	
617191	213605	
617191	213606	
617191	213607	
617191	213608	The Girl
617191	213609	
617191	213611	
617191	213612	
617191	213613	
617191	213614	Louise
617191	213615	
617191	213616	
617191	213642	
617191	214164	Reba
617191	215277	Aunt Kate Boyd
617191	215619	Mazie Raleigh
617191	220332	
617191	220333	Hillbilly Woman
617191	224699	
617191	230552	
617191	230990	Maggie Tiffany
617191	231846	
617191	231859	Carmen
617191	234089	Sue Smith
617191	234124	Hilda/Tavern maid
617191	238993	
617191	239614	Dolores Murphy
617191	239700	Dora (Lovell's maid)
617191	239799	Annie
617191	240981	Sarah Fogarty
617191	241060	Helen Hobart
617191	245062	
617191	245282	Mable
617191	251185	Mary Smith
617191	259787	
617191	260215	Servant
617191	262267	Herself
617191	263503	Stella Kelly
617191	268831	
617191	269921	Mandy Skinner
617191	270486	Daisy Joy
617191	271194	Frankie, 'The Princess'
617191	272469	
617191	273251	Clara Heineman
617191	274219	Gretchen
617191	278389	Lena Krausmeyer
617191	279303	Angelina
617191	283536	
617191	285673	Cynthia Botts
617191	289118	
617191	290530	
617191	290531	
617191	291323	Herself
617191	297722	
617191	297997	
617191	300103	'Recitations' sketch
617191	302231	Sis
617191	305404	
617191	306497	
617191	307933	
617191	311007	Dolores
617191	311563	Tilly Nelson
617191	311992	Emily Braley
617191	313204	
617191	313630	
617191	313631	Mrs. Fleming
617191	317513	
617191	318711	
617191	321539	Sadie Horn
617191	326385	Birdie Puddleford
617191	327827	
617191	328617	Mrs. Elvery
617191	329128	Mrs. Ma Brander
617191	329568	
617191	329761	
617191	330914	Rose
617191	331164	
617191	333077	Tillie, a Runaway
617191	333510	
617191	340731	Miss Leeds
617191	347137	
617191	348102	Lulu Potts
617191	350158	Maggie Cassidy/Circe
617191	352522	Harry's daughter
617191	354022	Gretl Kruger
617191	354502	Pupil
617191	359147	Mary
617191	359956	
617191	361286	
617191	362247	
617191	362699	Hotel Guest
617191	363177	
617191	364800	Agatha Hathaway
617191	364837	Rose Torrent
617191	365092	
617191	365776	Ma
617191	366361	Nora Tomasello
617191	367950	
617191	367962	Mrs. Pansy Pratt
617191	372283	
617192	71266	
617192	269094	Angelica
617192	352292	
617192	396157	Francesca
617193	213402	
617194	127324	Dancer
617195	63884	
617195	293451	Domenica
617195	344607	
617196	6756	(episode A Assinatura)
617196	77310	
617196	88793	
617196	115794	
617196	120703	
617196	124517	
617196	143479	
617196	306667	Ismália Caré
617196	341150	
617196	344691	
617196	354220	
617196	380166	Ada
617196	382724	Bianca
617196	384991	Silvana
617196	386142	Regina
617196	388561	Maria Rosa
617196	388680	Cândida
617196	397416	
617196	397553	
617196	400445	Ismália
617196	407872	Vampireza
617196	408381	
617197	287759	Elsie
617198	67877	Agnese
617199	230934	Art Gallery Guest
617200	125399	
617200	126139	Inspektor Shafikah
617200	127661	Aliah
617200	165585	Diana
617200	205551	Maria
617200	205552	Maria
617200	220882	Puteri Megawati
617200	249923	Farah Diba
617200	267930	Putih
617200	293932	Wati
617200	293933	Wati
617200	306609	Nurul Ain
617200	306611	Nurul Ain
617200	337453	Wati
617201	231109	Sonya Deryan
617202	380161	Syanaz
617203	141594	Budokam Fighter
617204	384064	Herself
617204	385852	
617204	390504	Ángeles 'Angie' Aráuz
617204	391440	
617204	393151	Julieta Iturralde
617204	398166	Florencia
617204	403366	
617204	405788	
617205	210318	
617206	230024	Nancy
617208	160515	
617209	73411	Interviewee #2
617209	84521	Joanne
617210	97705	
617210	234716	Manuela
617210	234730	Maria Luisa
617210	256454	
617210	257717	Chiara
617210	381179	
617210	383784	Anita Ferri
617210	406347	Sonia Greco
617211	376341	Schindler
617212	14729	Valquíria
617212	14924	
617212	15361	
617212	73167	
617212	104353	
617212	106228	
617212	155177	(segment "Roy, o Gargalhador 
617212	234635	
617212	248236	
617212	344703	
617212	378454	
617212	378940	Irene
617212	382776	Renée Sampaio
617212	383469	Renata
617212	384117	Freira
617212	385385	Diva
617212	385629	Anita
617212	386123	Madre
617212	386417	Mercedes
617212	387052	Paula
617212	387932	Iracema
617212	391901	Sônia
617212	393005	Cema
617212	393006	Dalva
617212	395822	Marta
617212	396610	Hilda (1995)
617212	396722	Glória
617212	396795	Madre Adélia
617212	400678	Jussara
617212	401208	Amélia
617212	403740	
617212	404160	Firmina
617212	404798	Olga
617212	404799	Ana
617212	408550	Cleyde
617212	410096	Maria
617212	410476	
617213	50971	Fille casting 2
617214	345216	Herself
617215	396827	
617216	41746	Player (Bomber)
617217	106334	Herself
617218	150642	Dorothy Teenage
617219	215589	
617220	49250	
617220	105649	Rioter
617220	151067	Town Gossip
617220	165206	Old Lady
617220	195985	Lady-in-waiting
617220	199246	Helen's Grandmother
617220	240624	Fagan Woman
617220	276674	Lady Helen Bartley
617220	295439	Old woman in church
617220	308370	Innkeeper's Wife
617220	318715	Character in old painting
617220	330825	Old woman
617220	367288	Woman
617221	6993	
617221	13845	Joan Kitwell
617221	24301	
617221	43555	Norma Ellis
617221	48539	Wife
617221	49250	
617221	79550	
617221	91779	Woman
617221	96807	
617221	99853	Mother
617221	120810	Frou Frou
617221	124374	Bit Part
617221	157045	Ada Forbes
617221	185989	Miss Teasdale
617221	187286	Sister Angela
617221	220100	Vere
617221	247269	
617221	247271	
617221	270383	
617221	295414	Woman Driver
617221	327685	
617221	346900	Old Maid in Montage
617221	347128	Woman
617222	330588	Cheerleader #1/Dancer #2
617223	915	
617223	28747	
617223	55461	Asha
617223	82307	
617223	83737	Partisan disguised as dancer
617223	85842	Madhurika
617223	86722	Princess Farida
617223	98521	
617223	110341	Herself
617223	116241	
617223	145465	
617223	152964	Princess Madhuri
617223	152965	
617223	153128	Hansa/Hurricane
617223	170801	
617223	170806	
617223	176028	
617223	183810	
617223	184173	
617223	197884	
617223	201487	
617223	208172	
617223	208598	
617223	215530	Savita/Miss 1936
617223	222499	Madhuri/Rita
617223	223963	Receptionist
617223	234871	
617223	246565	
617223	267234	
617223	269354	
617223	298466	
617223	317524	
617223	332946	
617223	335745	
617223	335750	
617224	30410	Catherine Brent
617224	56884	Shirley
617224	96836	Mrs. Hargreaves
617224	125986	Ann Fourmile
617224	190721	Audrey
617224	301252	Prudence Claire
617224	333193	Diane, Kevin's Mother
617224	351914	
617224	381981	Polly
617224	387518	Elizabeth Benskin
617224	388929	Kathy Carter (1977)
617224	389907	Ann Fourmile
617224	395626	Audrey
617224	410728	Sue Patterson
617224	410935	Audrey Collier
617225	16702	
617225	19156	
617225	32470	Bedelia
617225	32471	Bedelia
617225	32472	Bedelia
617225	32474	Bedelia
617225	32476	Bedelia
617225	32478	Bedelia
617225	39936	Miriam Fontaine
617225	48494	
617225	57141	Dolly Varden
617225	57369	
617225	61631	
617225	61636	Mrs. Clark
617225	62915	Vera
617225	71730	The Country Girl
617225	94789	
617225	100200	
617225	104335	Princess Negroni
617225	117444	
617225	121919	
617225	142548	
617225	146060	
617225	146107	
617225	152544	Jeanette LaTourre
617225	157481	
617225	157889	Nell Gwinn
617225	166235	
617225	168595	Mrs. John Sterling
617225	174599	
617225	177293	The King's Daughter
617225	177551	The Girl
617225	183451	
617225	183555	Lady Audley
617225	185482	
617225	191869	Ruth Jordan
617225	192848	
617225	195754	
617225	201558	
617225	202775	
617225	203440	
617225	205121	Marco/Asphasia
617225	215807	
617225	216459	
617225	220026	
617225	230714	
617225	236094	
617225	238724	Officer 174's Wife
617225	239819	The irl
617225	242923	
617225	249345	The Girl
617225	258941	
617225	269062	
617225	276696	
617225	279715	
617225	289188	
617225	289362	Edith Russell Dexter
617225	292624	
617225	297981	
617225	298000	Mrs. Newlywed
617225	315121	
617225	316353	Mathilde
617225	331873	Mrs. Roy Erlynne
617225	337501	
617225	359097	
617225	363108	The Girl's Mother
617225	364845	
617225	366357	Eleanor Willard, the Adventur
617225	370931	
617226	77793	Anita Dix
617226	189807	Young Lillian Munnsen
617226	277140	Ala von Auersberg, Stepdaught
617227	190376	Peppa Model
617227	331981	Princess Bunhead
617228	10614	Francie
617229	342472	Slinky
617230	195071	Gaby Aimee
617231	47077	Lava
617232	163258	Honor Hutton
617233	207238	Lucy
617234	233777	Dora Adams
617235	381025	Kaorin's Mother
617235	389503	Maya Mukai
617236	39404	Train Passenger #5
617237	13532	
617238	68232	Rose bearer
617239	390180	
617240	16422	Xula
617240	17154	
617240	25386	Gabriella
617240	55280	Kate
617240	70925	Tammy
617240	84808	Emily Johnson
617240	95211	Carrie
617240	109485	Erika
617240	133335	The Girl
617240	150965	Sunny
617240	171092	Kitchen Girl
617240	191324	Linda
617240	223687	
617240	302580	Claudia
617240	309474	Catherine
617240	326604	Bundy Victim
617240	355157	Sharon
617241	204747	Bo
617242	126686	Girl Reading Dictionary
617244	1664	Caitlyn
617244	20528	Girl in S-Mart
617244	46237	Jackie Fein
617244	68940	Ginny
617244	78765	Veronica
617244	108330	Jackie Fein
617244	110421	Leigh Kirkindall
617244	135608	Tanya Duncan
617244	156478	Lilly
617244	163932	Amanda Hill
617244	241815	Gwen Buckley
617244	263230	Amber
617244	274646	Judith
617244	279022	Mirabell
617244	304059	Delores
617244	309546	Raven
617244	323499	Julia
617244	335205	(segment "Dark Angel")
617244	360723	Linda
617244	374573	Jess
617244	385163	Det. Hannah Tyler
617244	402345	Andi Paulsen (2000)
617245	4664	
617246	48070	Peterson
617247	351756	Terry Cimo
617248	232093	?
617249	338276	Athena
617250	53089	Connie
617250	313174	Mrs. Scuro
617250	351512	
617250	381193	Maria
617251	336951	Agathe
617252	247056	
617253	334706	Hija Cardenas
617254	35097	Beth
617255	231289	
617256	306414	Cell Wardress
617257	208429	Cornelia
617259	13993	Reporter
617259	64207	Trudy
617259	255334	Ticket Agent
617259	300361	Shirley
617259	331337	Rachel
617259	359438	Staley
617260	2487	Turna
617260	11902	Frau Baysal
617260	24365	Mutter
617260	24402	Cicek
617260	40959	
617260	82884	Maria
617260	82885	Maria
617260	138731	Ilter Hamul
617260	155359	Nani
617260	166768	Singer
617260	173226	Frau Ongun
617260	180915	
617260	208254	
617260	256957	Aysche Lochner
617260	281834	Mrs. Marques
617260	325389	
617260	361088	Mutter
617260	370630	Mother
617260	377360	Mrs. Yilmaz
617260	386043	Maria
617261	97944	Ria
617261	211182	
617261	223488	
617261	290089	
617261	341735	
617262	223488	
617263	81453	Justine
617264	214799	
617264	280582	
617265	90457	
617266	412258	Young Maria Emília
617267	11251	Gypsy Woman
617268	116523	Magic Maid
617269	212796	
617270	284544	Lorrane Del Rica
617271	318716	Dancer
617271	372671	Dancer
617272	55641	Herself
617273	12903	Fräulein Jensen
617273	38769	
617273	38832	Erzählerin
617273	48675	Clothilde
617273	48676	Clothilde
617273	93390	
617273	125052	
617273	125163	Gisela
617273	126857	
617273	132244	Herself
617273	134793	Herself
617273	134982	Janet
617273	137637	Herself
617273	193482	Frau Hettich
617273	194522	
617273	198929	
617273	225627	Berta
617273	234289	
617273	254362	Tine
617273	258127	
617273	265402	Schülerin
617273	293722	
617273	312872	Fräulein Fette
617273	312892	
617273	313835	Herself
617273	352518	
617273	354076	
617273	361486	Helga Schneider
617273	376024	Erika Lauenstein
617273	376354	
617273	379115	Various Roles
617273	379174	
617273	380377	
617273	389948	Fräulein Lampe
617273	391314	Helga Boysen
617273	391470	Else Tetzlaff (1975)
617273	393254	
617273	394980	Guest
617273	395010	Frau Meves
617273	400273	Frau Pomuchelskopp
617273	401615	Various Roles
617273	406321	
617273	407351	
617273	407755	Herself (1981)
617273	412086	Herself (1983)
617274	13596	Slaygirl
617274	40309	Marlene
617274	62241	Francoise
617274	365610	Uschi
617275	134793	Herself (Mother)
617276	36848	Herself - Sara-Marie's Sister
617277	381898	Herself (2001)
617278	235403	Dancer
617279	34732	Herself
617279	36848	Housemate
617279	36855	Herself
617279	101946	Herself
617279	202970	Barbara
617279	381898	Herself (2002)
617279	381917	Herself - Evictee #12: 15 Jul
617279	383732	Herself
617279	408623	Herself (2002)
617280	402888	Herself
617281	21201	Herself
617282	5465	Patricia Orujo (the Bride)
617282	68358	
617282	82508	Alexandra
617282	161819	Guya
617282	249201	
617282	279430	Office Assistant
617282	321421	Peter's Wife
617282	340120	Karin
617283	78478	Herself (performing 'Gi'r du 
617283	78479	Herself (performing 'Á la car
617283	78483	Herself (performing 'Tid til 
617283	78484	Herself (performing 'Du og je
617283	78487	Herself (performing winning s
617283	78494	Herself - Presenter ('I Austr
617283	83072	Herself
617283	104767	Danish entry (12th place)
617283	132874	Herself
617283	397750	Herself - Host (2001-2002)
617284	57013	Singer-Dancer
617285	105068	Eva Hansen
617285	154236	Viggos mor
617286	30160	Beboer i kvarteret
617287	57013	Singer-Dancer
617288	283171	Anna
617289	308397	Maggie Calhoun
617289	347741	Orphange nurse
617290	245766	Jackie Cartwright
617290	363025	Sheila
617292	78015	Courtesan
617293	287891	Gioiamia
617294	142361	Medtech Personnel
617295	251011	Molly
617296	209198	Annabelle's Friend/St. Helen'
617297	78951	Card Player
617297	171279	Card Player
617299	400678	
617300	76229	Bos's Granddaughter
617300	262147	Monika
617301	359585	Waitress
617302	119608	Athlete
617303	6173	Antikvarens kone
617303	14740	Misse Lieberg
617303	26156	Old Martina
617303	29639	Ellen Katrine
617303	49169	Mormor
617303	55126	Viola
617303	59526	Donna Lucia d'Alvadorez/Lise 
617303	93941	Kulsoen
617303	94269	Fru Strand
617303	96443	Merete Lindberg
617303	108179	Gerd Møller
617303	114034	Frk. Asmussen
617303	117001	
617303	117461	Grandmother
617303	119731	Vibeke
617303	120846	Fru Geesche
617303	122339	Cornelia Møller
617303	135233	Husværtinden
617303	136733	Kulsoen
617303	153377	Fru Jansen
617303	154138	Grethe
617303	159207	Gammel dame
617303	170345	Asta Asmussen
617303	174444	Gundine
617303	178007	Dora
617303	179817	Gevinde Sonja Hardenborg
617303	180407	Silden
617303	182271	Ester
617303	182628	Arkæologi-Magisteren Bente Be
617303	194359	Nielsens soester
617303	198053	Mormor
617303	214336	Tante Laura
617303	233284	Louise Bech
617303	237156	Anna
617303	237404	Fru Blicher
617303	238784	Astrid
617303	238799	Mormoderen
617303	240095	Ragna (Købmandens datter)
617303	243265	Inger, Mikkel's Wife
617303	249743	Ægtepar i kunstforretning/kon
617303	253942	Dronning Caroline Amalie
617303	284394	King Hamund's widow
617303	300976	Lotta Henderson
617303	300990	Anne Sørensen
617303	303694	Mrs. Smith
617303	318612	Her sister
617303	320224	Doris Rudholt
617303	322481	Irene
617303	322678	Birgit Ernst
617303	333556	Fru Berg
617303	353035	Nana
617303	373433	Psychiatrist
617303	397074	Baroness von Rytger
617304	33671	
617305	23502	Kvinde i lejlighed
617306	5794	Zia di Maria
617307	312183	Courage
617308	82498	
617308	187020	
617308	190728	
617309	196562	
617309	401710	
617310	355660	German auxilliary
617310	356455	
617311	223551	
617312	323926	
617313	92719	
617314	47072	Karla
617315	169545	Crowd/Atmosphere
617316	211043	
617316	220233	
617317	300563	
617318	215687	Miss Russia/Miss Universe 200
617319	225976	
617320	179726	
617321	32454	
617321	35848	
617321	49127	
617321	82614	
617321	89592	
617321	94072	
617321	112771	
617321	132033	
617321	132568	
617321	164015	
617321	171673	
617321	172515	
617321	172719	Lyuba
617321	173861	
617321	178450	
617321	179091	
617321	180739	
617321	180843	
617321	189424	
617321	198150	
617321	201976	
617321	226023	
617321	228553	Anna Vilgelmovna
617321	229045	Queen
617321	232690	
617321	238360	
617321	241942	Glasha
617321	251634	Nyura
617321	258406	
617321	262221	
617321	262660	
617321	267804	
617321	297560	
617321	299554	
617321	316373	(segment Bratka)
617321	323926	Nina Georgijewna
617321	341040	Lidiya
617321	341333	
617321	350126	Vera, Roman's mother
617321	351024	
617321	352449	
617321	355850	
617321	357710	
617321	373274	
617321	378720	M-me Gritsatsuyeva
617321	381186	Genia Smoliwas
617321	396605	Spectator
617321	398757	
617321	401314	Amalia Potapovna von Spiltze
617321	402924	Amalia Potapovna von Spiltze
617321	403988	Anna Borisovna
617322	68490	Herself
617323	217282	
617324	3582	
617324	35923	
617324	39013	
617324	95690	Baba Masha
617324	154522	Daria Vasilievna
617324	198940	
617324	230223	
617324	253561	
617324	320637	
617324	320714	
617324	343865	Mother
617324	349290	(segment Kolovert')
617324	352447	
617324	355127	Mokeykha
617324	357247	
617324	374784	
617324	374993	
617324	386031	
617325	258684	
617326	188866	
617326	343341	
617327	91196	
617327	172449	Tonia
617327	217292	Macha
617327	286027	
617328	33801	
617329	77482	
617329	87834	
617329	135747	
617329	164876	
617329	174859	Zhilin's Mother
617329	221930	
617329	237767	
617329	280393	
617329	325179	
617329	348560	
617329	374159	
617330	141667	French lady
617330	143191	Maid
617330	163262	
617330	170378	Woman in Theater
617330	221307	Clothing Fitter
617330	231093	Julie - Elsie's Maid
617330	315745	Woman Flower Vendor (segment 
617331	253632	Customer
617332	320697	
617333	76997	
617334	59759	Laundry Lady
617334	121386	Myoelectric receptionist
617334	224073	Cousin
617334	246260	Eileen's Secretary
617334	292700	Sophia
617335	39012	Nastya
617336	42334	
617336	124811	
617336	140669	
617336	164021	Iza néni
617336	223598	
617336	224978	Mámi,Özvegy Kovács Gáspárné
617336	343446	
617336	377882	Beleznayné
617336	378278	Catherine,a plébános gazdaass
617337	229826	Cleo
617338	21214	Judge Barrett
617338	40739	Records Clerk
617338	56230	Mme Karavsky
617338	59878	Female Cashier
617338	73744	Airline Clerk
617338	79555	Additional Voices
617338	100803	
617338	101829	
617338	114592	Narrator
617338	144403	Mrs. goeson
617338	148384	Social Service Woman
617338	165759	Adrienne Blaché-Channing
617338	187301	Mrs. Van Tassle
617338	192010	Molly/Narrator
617338	201898	
617338	288948	Social Services Receptionist
617338	315484	Outraged Woman
617338	335584	Narrator
617338	355519	Emergency Nurse
617338	357072	Narrator
617338	366983	Prison Matron
617338	368023	
617338	368327	
617338	368993	Matron
617338	373876	Narrator
617338	411378	Mombi
617338	411828	Mathilda
617339	10925	Gwendolyn 'Gwen' O'Brien
617339	59135	Diana Maxwell
617339	89364	Denise
617339	107283	Talk Show Hostess
617339	161917	Kate Weston
617339	232457	Mrs. Webber
617339	347316	
617339	385824	Mary Anderson #7 (1981-1982)
617339	390771	Charlotte Waring Fletcher Bau
617339	392982	Dr. Kate Westin
617339	396088	Victoria Randolph (late 1960s
617339	404282	Olivia Welles (1987-1988)
617339	411802	Jill Foster Abbott #4 (1984)
617340	245101	Janet
617341	105076	The Librarian
617341	342331	Quick Stop Mom
617342	179007	Elizabeth
617342	264095	Flight Attendant
617342	388209	Sorcha Byrne (2003-)
617343	40541	
617344	134345	Receptionist 2
617345	71564	Partygoer No. 3
617346	272953	Jenny Nicholson
617347	319554	Tennis Girl
617348	235645	Heather
617348	299870	Lady 2
617348	305375	Professor's Party Goer
617349	252998	Jennifer (Age 9)
617350	18	Receptionist
617351	24776	Dr. Lia Freeman
617351	27311	Kim Matthews
617351	51838	Frances Crowley
617351	62836	Gina
617351	64746	
617351	76384	Cocktail Waitress #1
617351	82849	Barbara Gorton
617351	94477	Gwen
617351	103286	Woman on Freeway
617351	138841	Natalie
617351	145772	Carol
617351	158481	Alice
617351	163932	Rosemary Kramer
617351	179072	Heather O'Neil
617351	208285	Saleslady
617351	304910	Annie
617351	340962	Miranda
617352	330445	Rose
617353	9006	Gymnastics Coach
617353	40179	Nurse
617353	195803	Debbie
617354	61307	Jim's Sister
617354	317139	
617355	208086	Rita
617355	344553	Jill
617355	408883	Vendeuse
617356	61307	Jim's Sister
617356	317139	
617357	220960	Ms. Godfrey
617358	110444	Rose Dell'oro
617358	110446	Rose Dell'oro
617358	110447	Rose Dell'oro
617358	110451	Rose Dell'oro
617358	110453	Rose Dell'oro
617358	137571	Maureen O'Connor
617358	202467	Jenny
617358	360790	Jean
617358	401386	Megan Edwards (1992)
617359	198425	Beatrice
617360	88258	Dot
617360	348374	Girl in Corridor
617361	321466	Nurse
617362	38812	
617362	322921	Sprawley's Secretary
617363	78015	Courtesan
617363	123849	Miss Eliza
617363	162040	
617363	213324	Peaseblossom
617364	198757	Lina
617365	207124	Singer
617365	379023	
617366	376789	
617367	86302	
617367	98256	His wife
617367	102983	
617367	103081	
617367	105530	Marias Mutter
617367	120276	
617367	144107	Frau Peters
617368	409609	
617369	104967	
617370	104967	
617370	146849	
617371	176710	Angela
617372	61156	Acrobat
617372	276197	Circus Performer
617373	389959	
617374	182305	Krogpiga
617374	210361	Herself
617375	87139	Frau Güstrow
617375	129667	Sister Margarethe
617375	156498	Dorothy Alsbacher
617375	225721	Helma Le Lievre
617375	226722	
617375	322518	
617375	376276	
617375	391287	Brigitte
617376	181135	White House aide
617377	64498	Jenny Trayne
617377	72462	Alex
617377	194213	Blonde
617377	366576	Cowgirl 1
617378	359863	Baby
617379	147321	Liesl, seine Tochter
617379	275689	
617380	377736	Fille wagon
617381	345321	L'hôtesse
617382	230247	Seine Begleiterin
617383	259565	Frau Feig
617384	70311	
617385	94375	Puffmutter
617385	279633	Kalle's mother
617385	356776	Anneliese
617385	359654	
617386	385145	Sabine de Graaf (episode 1-3)
617387	326847	
617387	406657	Svenja Hagenkamp
617388	138008	The general editor's wife
617388	141754	
617388	209826	Hédike
617388	215472	Mici
617388	322028	Szidi
617388	322190	
617388	399459	Nazi Woman
617388	407236	Alma Takács (1987-1999)
617388	412295	Tarnóczy Sára
617389	357712	
617390	17079	
617391	238644	
617392	153859	
617393	322378	
617394	147929	
617395	353280	Takarítónõ
617396	233377	Postai ügyfél
617396	250445	Anyocska
617397	375907	
617398	198710	Mrs. Ma
617399	156438	Helena
617400	189805	
617400	224501	Katrin
617401	224573	Rena Marks
617401	311358	Barbie
617402	294790	Jogger
617403	72764	
617403	75463	
617403	187206	
617403	240453	
617404	312355	Sophie
617404	372097	Amy
617405	337988	Young Nora
617405	400236	Katie Bennett (2002)
617406	402732	Melissa Raccoon (I) (1985-198
617407	118576	Leander
617407	321130	Lisbeth
617407	391117	Silence Hatch
617407	406667	Holly Marshall
617408	218448	Une artiste
617409	402830	Shahar
617410	185429	Connie
617411	260697	Blossom
617411	265898	The Maid
617412	222742	Anna
617413	110666	Dancer
617414	383247	
617415	57560	Family Woman B
617416	137259	Geometry Teacher
617417	350178	
617418	140798	Flower girl
617419	300147	Stacy Brannon
617420	212084	Kid in classroom
617421	238621	Betsy
617422	106254	Interviewer
617423	6661	Mabel Chesterton
617423	59562	Carlotta Ramirez
617423	82158	
617423	101336	Susanne Maria Henrici
617423	115972	
617423	119156	Hannerl
617423	140215	Uschi
617423	142012	Charlotte
617423	142081	Marianne Rothe
617423	155418	Barbara
617423	168434	Martina Lynn
617423	178546	Nettchen
617423	178583	
617423	178660	
617423	181944	Mette Zietemann
617423	186185	Marlies
617423	186186	Garda von Doerr
617423	189820	
617423	208181	Elisabeth
617423	210034	Frau Kühn
617423	225244	
617423	242842	Elisabeth
617423	268539	Eva Pogge
617423	269195	
617423	275412	
617423	285381	
617423	290788	Hilde Rüdiger, 'Die schöne Mü
617423	302684	Nora
617423	307258	Helga Wagner
617423	361391	Ellen
617423	361393	Beate Klockenhoff
617423	364995	
617424	18707	The nurse
617425	11619	Courtney Rempley
617425	26352	Teddie
617425	81776	Caitlin Stanley
617425	116537	Julia Parker-McCune
617425	207828	Matilda as a Toddler
617425	320102	Twin Airport Scene Friedlande
617425	360765	Anita
617426	11619	Courtney Rempley
617426	26352	Teddie
617426	81776	Caitlin Stanley
617426	116537	Julia Parker-McCune
617426	207828	Matilda as a Toddler
617426	320102	Twin Sister Airport Scene Fri
617426	360765	Veronica
617427	296100	Waitress
617428	97342	Liz
617428	270894	Kathy Kay
617428	334150	
617428	346408	Sarah Madriani
617428	391253	Carson Lee Davis
617429	135505	
617430	337701	Candy Apple
617431	120160	
617431	352551	
617432	314635	Karen
617433	337701	Candy Apple
617434	404451	Comtesse Viola von Hohenstein
617435	284442	Violist
617436	20565	Mae's Friend #1
617437	107930	Passenger
617438	93211	Senior Nurse
617438	195365	
617439	111342	
617439	127621	
617439	187544	
617439	312067	
617439	343199	Lady Godiva
617440	129829	Satano #10
617441	69232	Mother
617441	235625	Mom
617441	359422	Passenger
617442	40060	Erika Dukes
617442	267654	
617442	383017	Regular
617442	385290	Additional Characters
617442	392421	Herself
617442	396359	Various (2000-2001)
617442	399967	Crazy Old Lady
617443	152509	Stacey Van Meterson
617445	139409	
617446	148562	Edna
617446	216954	Bank Receptionist
617447	123532	Ballet Teacher
617448	33066	Sandy Franklin
617449	146305	Auntie Kaufman
617450	235367	
617451	168485	
617452	152610	Madeline
617453	294219	Art Student #1
617454	140051	
617455	333428	Herself
617455	339860	Herself
617456	146783	Basketball player
617457	72901	
617458	84006	Ginny Lindland
617459	87567	
617460	113674	
617460	118164	
617460	124552	
617460	247107	
617460	265441	
617461	55456	Mrs. Thomas, Landlady
617461	300125	Mrs. Harvey
617461	310700	
617462	6199	Eva, Sauers Tochter
617462	170701	
617462	188796	Daschinka
617463	126261	Comtesse Jeanne d'Anvier
617464	108933	Bamboo Dancer
617465	339699	Kind
617466	168293	Shopper #2
617467	134154	Mystic
617468	32026	Une victime
617468	110129	Rosalie
617468	122362	Une infirmière
617468	123225	
617468	383402	Joan Landor (voice: French ve
617468	389271	Claire (segment "Joseph")
617469	93643	Waitress
617470	309034	Evelyne Servais
617471	272055	Grandma
617472	369996	Herself - Nominee: Best New D
617474	177935	
617475	112911	
617476	328970	
617477	34515	Olinka
617478	154277	
617478	180226	Gruja
617479	306398	
617480	136674	
617480	170224	Himself
617480	182675	Herself
617480	213507	
617480	216482	Djali
617480	268609	
617480	380921	Shoferi
617480	394914	
617480	399887	Herself
617481	349627	
617482	306421	So Fine Dancer
617484	177935	
617485	175635	Sohár Anna
617486	322194	
617487	133171	
617488	375965	Police girl
617489	195689	Additional Model #3
617490	211217	
617491	133171	
617492	407699	Susie
617493	84259	
617493	86857	
617493	399195	Larisa, Litvinov's wife
617494	348560	
617494	349330	
617495	35933	
617495	202306	(segment 3)
617496	215664	Miss Texas Teen USA (Top 15)
617498	8942	Frau Pohl
617498	10070	Helene Dukas, secretary
617498	90707	
617498	92284	Frau am U-Bahnhof
617498	93007	Ann-Marie
617498	134464	Frau Adriani
617498	159257	Frau Schönchen
617498	186190	
617498	250928	Frau Kullik
617498	306435	
617498	325821	Karin Armbruster
617498	392788	Schönchen
617498	410522	Freda Brandt
617499	292947	Karen
617500	15018	
617500	96161	Suzanne
617500	140298	Marie
617500	193436	
617500	233691	Lucie
617500	234286	
617500	288890	Coach
617500	328047	Taxidriver
617501	23886	Gouvernante
617501	102989	Die Erniedrigte
617502	114271	Rhonda from Melbourne Beach
617503	90069	Zerlina/Donna Anna
617504	186122	
617505	153187	Sarah
617505	192254	Old Lady
617506	12378	Vroni
617506	49504	Brigitte
617506	113446	
617506	119212	Dorothea
617506	119215	Judith
617506	125040	Rosl
617506	145352	
617506	147148	Frau Bürgermeister
617506	198938	Christina
617506	286405	Trudi Seidl
617506	361451	Cindy
617506	361528	Dunja
617507	283561	Sandy
617508	300342	Claudia
617509	279414	Lynn Berman
617510	61760	
617512	29415	
617512	32032	
617512	52698	
617512	57474	
617512	68364	
617512	99362	Cathy
617512	169264	Lili Strasberg
617512	201089	Lawyer Mimi De Saint Marc
617512	241878	Arletty
617512	270909	
617512	275825	
617512	345035	
617512	378866	La jolie cliente (ep.3 & 6)
617513	391924	Maud
617514	130230	Miriam
617514	365113	
617514	382864	Ruth Oldenzaal
617515	1712	Yetta Pussel
617515	2917	Herself
617515	93791	Nina
617515	102528	Herself
617515	210089	Goschka
617515	216959	Herself
617515	284562	Mona
617515	313787	Performer
617515	313789	Presenter
617515	361507	Ricarda
617515	378947	Herself
617515	379779	
617515	381908	Herself (Guest in season 1&2)
617515	387382	Host
617515	401112	Host (1995-1999)
617516	84563	
617516	173841	
617516	178606	Frau Kellermann
617516	211122	Elisabeth
617516	219284	Barfrau
617516	296188	
617516	332628	
617516	367232	
617516	391479	Linda
617517	126415	
617517	153977	Gabriele (episode "Die Party"
617518	73518	
617518	384992	Raphaela
617518	389153	Juliana
617518	395302	María Cecilia 'Ciça' Soriano
617518	409419	Maria Laura Souza Borba
617519	100009	
617520	239931	
617521	17485	Une tante de Serge
617521	26777	Harper's Bazaar Models
617521	124608	
617522	168254	Blowina Josephina
617523	290282	Angelika Kessel
617524	129811	Sweet Old Lady
617525	368853	Woman in Stands
617526	70591	Margaret
617527	367323	Cicely Rensselaer
617527	404002	Siobhan Ryan Novak #1 (1978-1
617528	294141	Hoagie Lady
617529	116971	Screaming Woman
617530	376999	
617531	129727	Ursula Bergmann
617532	154441	Whittney Newman
617533	289787	Francine Rossi
617534	110749	Julio's wife
617535	118384	
617535	141542	Jessica Todd
617535	338344	Rich Girl
617536	8658	Gloria
617537	171686	
617538	24131	Herself
617539	217600	Ginny
617540	289787	Francine Rossi
617541	357072	Herself (passenger, S.S. St. 
617541	391693	Herself
617542	297276	Manning Sister
617542	361661	Tootsie
617543	402982	
617545	309918	Student #1
617546	4751	
617546	24542	Bus Passenger
617546	25425	Bigot
617546	39016	Mother
617546	57796	
617546	75964	
617546	95700	Agata
617546	95704	
617546	95950	Miss Klara
617546	97541	Wanda
617546	129604	Fabianczykowa
617546	130211	Countess
617546	130214	
617546	149735	Maid
617546	160591	Jury Member
617546	172825	Bigot
617546	173652	Co-worker
617546	178773	Charwoman
617546	179718	Cook
617546	181315	Owner of cats
617546	181358	Teacher
617546	183935	aunt
617546	184200	Pander
617546	185811	Zofia
617546	187641	Kennel Club Worker
617546	204726	Pauper
617546	213384	Thief
617546	225601	Nikifor Krynicki (Epifan Drow
617546	226602	
617546	234255	Woman arranging marriages
617546	238833	Old Woman
617546	246952	Old lady
617546	255497	Passenger in Bus
617546	258541	
617546	258803	Matka Gorzelaka
617546	266317	Office worker
617546	293070	Feiga
617546	312919	Teresa's neighbour
617546	313526	Fortune-Teller
617546	317818	Nurse
617546	321432	'Naprzód' Official
617546	334199	Piotrek's Grandmother
617546	343979	Queen Rosamonda
617546	358546	Woman chasing "Teston"
617546	360904	Landlady
617546	367373	Zosia
617546	369010	Caretaker
617546	371367	
617546	371866	Housekeeper
617546	373552	
617546	398879	
617546	404009	Bocianicha
617546	406501	
617546	407165	Granny Rozalia Malolepsza
617547	113491	Dancer
617548	24131	Herself
617549	358837	
617550	231893	Art galley woman
617551	303863	Big Guy Lil' Mike
617552	70928	Meagan
617553	178189	Extra
617554	50262	Thelma
617554	220461	
617554	276941	
617554	289222	Girl #3
617554	309804	Francesca
617554	399256	Mindy Feldman
617555	249336	
617556	30071	Woman
617556	178344	
617556	302467	
617558	66726	Spice girl
617559	93897	Nurse
617560	40864	Nick Cave Fan
617561	280016	Additional Party Guests
617562	26439	
617563	155209	Kistler's Assistant
617564	369486	Augmentation Room Doctor
617565	47279	Ellen
617566	281255	Snotty Girl #2
617567	196034	Courtney Ellison
617568	123063	Amie Maria-Helena
617569	89207	Cute Girl In Bar
617570	123029	Singer
617571	352448	
617572	225293	
617572	315971	
617572	406488	
617573	117583	Frk. Svendsen
617573	237288	
617573	309299	
617574	326204	2. Sekretärin
617574	347772	Kassiererin
617575	409609	Frau Jänicke (1995)
617576	19863	Wanda Brenner
617576	47390	Bank employee
617576	88313	Clara
617576	91036	Dr. Tauber
617576	244012	
617576	259437	
617576	259448	
617576	259481	Karin
617576	259573	Karla
617576	259648	Eveline Kreutzer
617576	259685	Frau Mansfeld
617576	272478	
617576	325573	Anne Beck
617576	352240	Frau Ludoff
617576	392669	Elena
617577	282943	
617578	122076	Technician
617578	205658	Nurse
617579	24503	Judy
617579	59665	Treasure Chest Dancer
617580	92115	Heather
617581	31779	Patti Bear
617581	32681	Penny
617581	61728	Irene Hoffman
617581	114575	Juliet Nowell
617581	126558	Agent 99
617581	126646	Helen Clark
617581	135514	Maggie
617581	160478	Herself
617581	183729	Jenny Frith
617581	188447	Kate Fleming
617581	228970	Herself
617581	233545	Carolyn Osborne
617581	257857	Lois Barnett
617581	292790	
617581	305571	Brenda DiCarlo
617581	308978	Lois Walters
617581	346948	Karen Dunoway
617581	349555	Evelyn
617581	362140	Valerie Norton
617581	385912	Host
617581	386392	Narrator
617581	389988	Agent 99
617581	389989	Agent 99
617581	396981	Various Characters
617582	245625	Angela's Friend
617583	366696	Hostess
617584	59151	Office Worker
617585	2116	Sarah Wolf
617585	2816	Nominee for Best Performance 
617585	13365	Katharine Hepburn
617585	32791	Monika Wolner
617585	33393	Woman in Shul at Rosh Hashann
617585	41828	Detective Vera Quinn
617585	46670	Marilyn
617585	47385	Herself
617585	47386	
617585	59639	Angie Cedars
617585	60164	K. D. Locke
617585	64724	Iva Schlesinger
617585	68070	Victoria Stevens
617585	71138	U.S. Attorney Margaret Wheele
617585	76722	Emma Kublitz
617585	78217	Linda Mindish
617585	81057	Irina Bolton
617585	100827	Mrs. Garner
617585	120242	Alma Jennings
617585	138701	Lillian Weaver
617585	139587	Narrator
617585	152220	Charlotte
617585	155745	Brenda Roberts
617585	178218	Judy Stein
617585	190225	Mother
617585	195331	Eleanor Alter
617585	218474	Greta
617585	234849	
617585	236786	Michelle
617585	289293	
617585	289964	Aunt Sarah/Zlateh the Goat/Ma
617585	291254	Agnes Thornton
617585	296238	Denise Warshak
617585	301933	Older Jane
617585	328595	Jeannie Devereux
617585	335017	Ruthie Cohen
617585	339439	Florence
617585	340459	Goldie
617585	358581	Lilian Kantrowitz
617585	367916	Iso
617585	368437	Clara Sanford
617585	380713	Dr. Bethany Rose (1994)
617585	391843	Helena Slomova
617585	396850	Deena Hertz
617585	404002	Martha McKee #1 (1976)
617585	411176	Mrs. Rubenstein
617587	194820	
617588	409168	Herself - Reporter (1998-?)
617589	408242	Anya
617590	385299	Annette Cookson
617591	1247	
617591	1308	
617591	6722	Herself
617591	26112	
617591	26114	
617591	26118	
617591	29889	
617591	34841	
617591	34879	
617591	41645	
617591	59850	
617591	70213	
617591	73410	Ginger
617591	81810	
617591	81840	
617591	91580	
617591	93712	
617591	95803	
617591	102825	Herself
617591	104406	
617591	105220	
617591	106483	
617591	121062	
617591	125584	
617591	159771	
617591	167586	
617591	205843	
617591	219146	
617591	228016	Herself
617591	228023	Herself
617591	233739	
617591	236341	
617591	236346	
617591	237135	
617591	238944	
617591	241066	
617591	264843	
617591	273298	
617591	273300	
617591	290525	
617591	316413	
617591	317938	
617591	327150	
617591	338348	
617591	363410	
617592	99320	Tarda Anna,Éva lánya
617592	182646	
617592	198984	
617592	226702	
617592	268232	
617592	277214	
617592	376615	
617592	377892	
617593	163109	
617594	57164	Robin Colter
617595	332593	
617596	97990	
617596	173965	
617596	212308	Trafikoslány
617596	237162	Dávid Dolly
617596	253782	
617596	307147	
617596	322051	Radó mama
617596	402164	Bikini
617596	410331	
617597	222483	Additional Muppet Performer
617598	365014	Mrs. Longstreet
617599	122550	
617599	125102	
617600	96433	Öreg színésznõ
617601	205833	Dawn
617602	323460	Connie's Friend #1
617602	379700	Herself/Contestant (Winner)
617603	123467	Gillian
617604	2781	Nicaraguan Woman
617604	131431	Luisa
617604	187237	Kevin's Mom
617604	194248	Angelina Napolitano
617604	227664	Jeanine Mueller
617604	245838	Hot Date Teller
617605	69168	Herself
617606	344608	
617607	136287	Woman
617608	57457	
617608	70705	
617609	234551	
617610	384118	Laurinha (1998)
617611	49781	
617611	52072	
617611	53851	
617611	149742	
617611	164563	
617611	164564	
617611	199954	
617612	11024	Laetitia
617613	153864	
617614	132955	Odette
617615	6220	
617615	130140	
617615	163901	Starata Dzhupunitza
617615	244214	Starata dama
617617	344810	(segment "Vingança")
617618	379458	
617618	390733	Luisa's mother
617618	396462	Magdalena
617618	396873	Rosalia
617618	398474	Nana María
617618	403290	Doña Rosa
617619	83007	
617620	84482	Virgínia
617620	211174	Ana
617620	308753	Marieta
617620	314340	
617620	327512	Teresa
617620	352127	Marieta
617620	383479	Cissa
617620	386123	Freira
617620	388565	Teresa
617621	380147	Detinha
617621	380242	Simone
617621	380331	Simone Garcia
617621	383550	Mariana
617621	384137	Celina
617621	385522	Greta
617621	396610	Sabrina (1998)/Érica Schmidt 
617621	397540	Baby Amoedo
617621	406833	Gilvânia
617621	407280	Branca de Neve
617622	64840	DeeDee
617623	267875	
617623	353290	Matilde
617623	384644	Herself (2003-2004)
617624	213112	Laundromat Lady
617625	352420	Roadhouse Waitress
617626	259269	Valerie Hickman
617627	259848	
617628	19474	
617628	202014	Mariana, the mother
617628	234621	
617628	269013	Isabel
617628	336926	D. Ana
617629	29273	
617630	106810	Singer
617630	113516	Elvira
617630	209486	
617630	389452	Herself
617630	393884	
617631	48959	Tina
617632	266091	Bar Prostitute #2
617633	410401	Cafédochter
617634	259269	Katherine Hickman
617635	201598	Girl #2
617636	353344	(segment "Favela")
617637	347829	
617638	83816	Pepi
617639	155912	
617640	71598	Herself
617640	104774	German entry (3rd place)
617641	71598	Herself
617641	104774	German entry (3rd place)
617642	300817	
617643	177505	Telenika
617644	288941	Additional Voices
617645	277088	Omega Mu
617646	216804	Girl at Fall Ball
617647	251249	Galen Dann
617648	194223	Windsurfer
617649	56545	Herself
617649	126463	Mona
617649	145598	Astrud
617649	179607	
617649	204430	
617649	293618	Marion
617649	325809	Sachbearbeiterin
617649	369128	Sekretärin
617649	389839	Michaela
617649	400873	Gabi
617649	404224	Silke Richter
617650	7884	Second Tribe
617651	53738	Sonia Delibes
617651	257114	Clinic Nurse
617651	352597	Inès
617652	127599	Mara
617652	255813	Mercedes
617652	339171	(segment "Lucía")
617653	327337	Herself - Woman in street
617654	52783	Clarina
617654	119068	Nena
617654	135441	Jemmy
617654	301338	Sofia
617655	182150	
617656	32114	Insulin treatment nurse
617657	353223	Herself
617658	368592	Cousin Corrine
617659	45467	Girlfriend
617660	16738	Lena Golspie
617660	26631	Helene
617660	75572	Cristina Fernando
617660	120246	Susan Grimshaw
617660	136512	Hattie
617660	202508	Jinette
617660	222635	Geneviève Beaujean
617660	270803	Rosina
617660	286927	Lover Girl
617660	358872	Rosemary Fitzjohn
617660	382152	Janella
617660	395647	Dominique
617661	92486	Nurse Pertbottom
617662	43048	Tennis ball
617662	119601	Various
617662	309863	Various
617662	342040	Sisters of Despair
617662	342041	Child Oblivion
617662	350616	Jun Kubota
617662	366138	
617662	366139	
617663	369905	Lisa
617665	144025	Manfredi's mother
617665	204414	Sister Judith
617665	396874	Maria Lobefaro
617666	99178	
617667	28485	Cherry
617668	14834	Ragazza cubista
617669	176525	British soldier/Colonist
617670	410311	Emilia Falcon
617671	12913	
617671	25854	Gaia
617671	39022	Olivia
617671	214854	Mara
617671	269495	Maria
617672	11860	Lisa Farian
617672	164824	
617672	312097	Julia
617673	174569	
617674	41855	
617674	43768	
617674	89854	(segment "La neve sul fuoco")
617674	353130	Madre di Giovannino
617674	376500	Grandma
617674	378998	Gina
617675	72031	
617676	79408	Coed
617677	97071	
617678	170966	Cheerleader "U"
617678	257329	Lux Antigone
617678	355980	Supt. Haji
617679	87879	Michelle Wallace
617679	190010	
617679	201729	Herself
617679	232829	Emma
617679	306600	Glory Factor
617679	327724	Emma
617679	379571	Joei Harkness
617679	388474	Various Roles
617680	134063	Kerry, Holbrook's Sister
617680	177475	Iris
617681	55853	Lindsay
617682	238010	
617683	63756	Female referee
617684	135359	Pauline Bonaparte (segment "P
617685	401077	Leanne Shackleton, child mind
617686	186207	Bartender (Barfly)
617687	137449	Baby Brenna
617688	140408	Extra
617689	362691	
617690	16089	Brenda Farnham
617690	35472	Victim's Wife
617690	38710	
617690	39498	Agnes Shemanski
617690	63992	Bit Part
617690	64923	Winnie Brady
617690	73343	
617690	76581	Orphan
617690	84972	Girl
617690	86933	Sally
617690	88165	Little Girl with KIte
617690	99949	Gypsy as a Child
617690	114649	Polly Pepper
617690	114650	Polly Pepper
617690	114651	Polly
617690	128536	Child
617690	128897	Sue
617690	132449	Edith Head
617690	138774	
617690	141323	Connie Lane
617690	143116	Milly Lou
617690	143135	Linda Strong
617690	145395	Mrs. Wilson
617690	145975	Alice Stebbins (child)
617690	152204	Schoolgirl
617690	154680	Herself
617690	158338	Mrs. Dorothy Long (Judy's mot
617690	165443	Adele Rochester
617690	175179	Jean Marie Meredith aka Littl
617690	176358	
617690	186264	Betty Kelley
617690	190065	Dodie Martin
617690	190210	
617690	190796	Patient
617690	191589	Pinky Horton
617690	192061	Foxine LaRue
617690	199402	Child at Puppet Show
617690	220557	The Chase Daughter
617690	221335	Australia Wiggs
617690	222987	Edith
617690	223047	Mary O'Malley
617690	234220	Pat
617690	241892	Ellen
617690	245254	Polly Pepper
617690	252202	Little Girl at Aquarium
617690	252241	Patsy Smith
617690	261997	Pupil
617690	264773	Herself
617690	277933	Betty Joyce
617690	297970	Annabel Barclay
617690	299389	
617690	313584	Judy Drew
617690	341532	'Princess' Judy
617690	342715	
617690	375802	
617690	402474	
617691	137449	Baby Brenna
617692	292788	Elderly Teacher
617692	385299	Miss. Milner
617692	399485	Mrs. Gates
617692	411089	Mother Superior
617692	411090	Mother Superior
617693	294239	Maggie Reed
617694	137449	Baby Brenna
617695	277851	Athlete
617696	10916	Young Ripley
617696	199148	Kid
617696	224064	Janie
617696	305150	Trina, 11 Years
617696	334158	Nicole
617696	340540	Erin Mather
617697	127241	Mrs. Wapter
617698	1645	Percy's mother
617698	80356	Mrs. L.B. Mayer
617698	148848	Birdie Wheaton
617698	294517	Miss Jean Tanner
617698	360055	Rebecca Scott
617698	391150	Vicky Partridge
617699	392747	Milicent
617700	1029	Erotic Ghost
617700	78104	French Cleaner
617700	83829	Heather
617700	104403	
617700	364747	Masked woman
617700	372444	Janine
617701	199475	Japanese Woman #1
617702	352000	Manuela
617703	168604	Herself
617703	389222	Herself/Film Reviewer
617704	57471	
617705	388756	
617706	81644	Christiana
617706	229884	Christiane
617707	109839	Angelique
617708	109839	Dominique
617709	293546	
617710	32770	
617710	134807	
617711	334620	Amina
617712	327781	
617713	99091	The Girlfriend
617713	376675	
617714	156435	Clerk
617715	263737	Arella, Elizabeth
617716	29488	Tartan's Mom
617716	43925	Sariah
617716	48948	Mom
617716	50610	Minnie
617716	66164	Elaine
617716	82444	
617716	139498	Sheila
617716	158318	Heidi Swapp
617716	192250	Caroline Lindstrom
617716	203669	Mother
617716	211765	Jess
617716	226509	Connie
617716	260119	
617716	304557	Cindy Lockerby
617717	114583	Kayla
617718	22187	
617718	237311	
617718	246470	
617718	287586	Catharine
617719	124128	Daughter
617719	283363	Tabby
617720	184608	White Pawn
617721	5387	Patty Kohler
617722	11821	Tessie
617723	390180	Thunderbolt
617724	229260	Toddler Ellen Kelly
617725	329993	Beauty Contestant #2
617726	2136	Jennifer
617726	7093	Amy Blue
617726	17604	Anna Morgan
617726	134418	Dawn Jenson
617726	212084	Alex Monroe
617726	303589	Samantha
617726	316507	Caitlin Seeger
617726	383188	Caitlin Seeger
617726	408154	Jenny Turner
617727	178027	Medical Student
617727	272966	Miss Dal-Marie Smith
617727	331264	Nadine
617728	341781	
617728	367346	
617729	10741	Queen of Hearts
617729	33646	Cousin Leora
617729	48538	Dowager
617729	62789	Michal
617729	64069	Fairy Godmother
617729	87769	Fairy Godmother
617729	90262	Mrs. Emma Ballew
617729	95120	Elephant Matriarch
617729	121586	Junior's mother
617729	128790	Agnes
617729	135918	Mrs. August Pennyfeather
617729	136029	Aunt Sarah
617729	155838	Mrs. DeLacey
617729	168220	Neighbor
617729	170723	Winifred
617729	183549	Aunt Sarah
617729	191794	Mrs. Doanne
617729	202994	
617729	230726	Mrs. Fenway
617729	239416	Mrs. Waynebrooke
617729	255264	Helen Potts
617729	291340	Miz Pierce, Radio show charac
617729	298050	Mrs. Kilgour
617729	304773	Flora
617729	324244	Aunty Sutton
617729	385949	Hilda Crocker
617729	388144	Mrs. Day (1952-1954)
617729	388915	Pearl Slaghoople, Wilma's mot
617729	401291	Hilda Crocker (1960-1961)
617731	55641	Theresa
617732	144144	Pia
617732	187979	
617732	216753	Amy
617732	313330	Uhura
617732	364888	Carla
617732	389359	Astrid
617732	389359	Astrid (1993)
617733	80876	Reporter
617734	71440	Dorabella
617734	316693	Mrs. Jones
617735	23913	Herself
617735	68097	Herself
617735	105016	Audience Member/Herself
617735	154403	Herself
617735	204887	Herself
617735	241146	Vanessa
617735	350409	Herself
617735	381886	Herself - 'On the Bed' Presen
617735	381935	Herself
617735	383733	Herself (Series 1) (2001)
617735	383747	Herself (Series 2) (2004)
617735	395537	Herself
617735	402705	Herself
617735	407511	Herself
617735	408075	Presenter (1988-1993)
617735	409803	
617735	409832	Herself
617735	409834	Herself
617736	139380	
617736	153950	
617736	182849	
617737	378279	
617739	165735	
617740	407744	Herself/Jornalista
617741	118771	Mariuccia
617742	128926	Donna Mena Gioia
617742	326536	Sarta
617743	70897	Prostitute
617743	252009	Amante di Jimmy
617744	344888	
617745	82441	
617745	243266	
617745	247107	
617746	372626	
617747	55493	Child
617747	262570	Dite
617748	262570	Dite
617749	28407	Hannah Dragovic
617749	157603	Heidi Warrington
617750	65147	
617750	287399	
617751	5656	
617751	6318	
617751	11771	Gerti
617751	17016	
617751	32390	Die junge Königin
617751	40884	Mia Claussen
617751	43385	Elli
617751	43651	Ruth von Kleist-Retzow
617751	90455	
617751	97480	Mrs. Whitehead
617751	98339	Frau Sperl
617751	101962	Gisela
617751	102414	
617751	116023	
617751	116070	Voice of Georgia
617751	120432	
617751	140228	
617751	155416	Tante Isolde
617751	155430	Fita Vonstein
617751	155431	Fita Vonstein/Agnes
617751	156708	Gerda Minkwitz
617751	157612	Charlotte von Wiesenthal
617751	163750	
617751	164648	Ginette
617751	172355	
617751	179913	
617751	180913	Cäsars Mutter
617751	180959	
617751	180980	
617751	189604	
617751	204408	
617751	211078	Hilde
617751	212167	Romy
617751	214682	Mrs. Nicholsen
617751	223463	Ruth Kreibich
617751	226263	
617751	230209	
617751	259598	
617751	259658	Waltraud
617751	264723	Emma
617751	270429	
617751	275179	Hilde La Rocca
617751	278320	
617751	281662	Helga Bannert
617751	286779	Mutti Daume
617751	290252	Angela
617751	290477	Mrs. Lentz
617751	290722	Elsa
617751	297195	
617751	301496	Margarethe
617751	324631	Tante Maria
617751	325474	Ella Kern
617751	325698	Frau Höfer
617751	325906	Frau Brekelsen
617751	334546	Frau Jesky
617751	338450	
617751	340437	Almarin
617751	343488	Sylvie Lescure
617751	343506	Frau Lohmann
617751	356904	ottO's Mother
617751	358207	
617751	361497	
617751	365692	
617751	374135	Grete
617751	376312	
617751	377358	Johanna Walter
617751	378168	Frau Westphal
617751	389359	Maria Jütten (1996)
617751	389615	Frau Piehler
617751	391152	Magda Kaiser
617751	394346	Mary Rogers
617751	394742	Frau Keller (1968-1970)
617751	395372	Charlotte Consulvio
617751	395505	Elisabeth Steininger
617751	398908	
617751	404489	Monika Stolze
617751	407986	Elisabeth Chindler
617751	409990	Sophie
617752	241385	Tuppeny
617753	34598	
617753	145607	Margits Schwester
617753	148340	Rita
617754	241347	Nurse Itsu
617755	114313	Mother in Truck Leaving Town
617755	244918	Suzie
617756	408208	Anja Engel
617757	2480	Emilia Chiapponi (segment "La
617757	2653	Marie Chaney
617757	11775	Blande
617757	14958	Deborah
617757	17611	Anna
617757	33446	Antonia
617757	52179	Aisha
617757	57023	Francesca Marani
617757	70620	
617757	70836	
617757	82438	Hélène Martell
617757	83698	Juana
617757	87051	Orchidea
617757	90058	Contestatrice
617757	91528	Dr. Jekyll's secretary
617757	91530	Dottoressa Elena Dogliozzi
617757	111888	Susanna Luisetti
617757	112682	
617757	119089	
617757	119213	Rosalie
617757	119214	Celine
617757	128025	Coco
617757	132946	Danielle
617757	133390	
617757	160071	Carmela Paternò
617757	160247	Monica Sebastiani
617757	160248	Luisa De Dominicis
617757	160249	Giovanna Pagaus
617757	162037	Elisabetta
617757	179760	Felicitas
617757	183497	Deborah
617757	186594	Cora
617757	199396	Yvette
617757	217115	
617757	217122	Valentina
617757	226401	Emma Bovary
617757	248590	
617757	250506	Maria
617757	252719	Jennifer Lansbury
617757	256974	
617757	259709	Gianna Amicucci/Pupa
617757	259710	Gianna D'Amico
617757	259711	Gianna Amicucci
617757	263297	Dr. Viola Orlando/Judge Rosa 
617757	269008	
617757	269461	Ubalda
617757	277610	Franscesca Del Pra
617757	280761	
617757	284830	Tokimoto, the Japanese engine
617757	286718	Samoa
617757	288626	
617757	289330	Patricia Redo
617757	289441	
617757	301360	Eva
617757	307331	Eva Marini
617757	307332	Dottoressa Eva Marini
617757	308878	Cinzia Pancaldi
617757	316379	Julie Wardh
617757	323242	Belle/Béatrix
617757	326164	
617757	328831	Maud
617757	335881	Ulla
617757	337030	
617757	341792	Floriana
617757	342121	Jane Harrison
617757	349537	Signora De Romanis
617757	351069	
617757	352235	Gioia Ferretti
617757	356012	Suzie
617757	376001	Amalia
617757	379854	
617757	385997	Nicole Venturi
617757	386752	Paola
617757	399134	
617758	144304	Herself
617758	276549	La fiancée de Luc
617759	31248	Herself
617760	377609	
617761	1422	Mrs. Parsons
617761	5212	Mrs. Hoskins
617761	6812	Mrs. Quin
617761	31427	Mrs. Belcher
617761	55708	Rhoda Bray
617761	55718	Agitated woman outside ladies
617761	58936	Worker
617761	65225	Mrs. Peel
617761	91772	Mrs. Harper
617761	100861	Madge
617761	104047	
617761	104331	
617761	110560	Mrs. Clarke
617761	118398	Jessie
617761	121503	Katherine
617761	138240	
617761	154745	
617761	160033	Cassle
617761	203137	
617761	218029	Mrs. Smith
617761	238645	Woman on Common
617761	281424	
617761	285326	Mrs. McCullers
617761	288676	Ollie
617761	309584	Ruth Stock
617761	315232	Bar helper
617761	316169	Mrs. Hale
617761	317183	Charlady
617761	317327	Tony's mother
617761	330776	Doris
617761	335296	Mrs.Steele
617761	338760	Mrs. Adams
617761	359273	Pub Landlady
617761	365996	Gladys
617761	366742	Nurse
617761	372447	Maude Marshall
617761	382603	Hilda Page
617761	387528	Mrs. Cole
617761	388386	Landlady
617761	389258	
617761	390303	Miss Pringle
617761	409840	Mrs. Firkin
617761	411293	Mrs. Featherly
617761	411445	(1975-1976)
617762	316830	
617762	349317	The Heroine
617763	191606	
617763	218764	
617763	223813	
617764	359972	Housekeeper
617765	312700	
617766	124884	
617767	184981	Anchorwoman
617767	206159	Female Newscaster
617767	292115	T.V. Anchor
617768	93261	Asian Hooker
617769	62130	Girl Beggar
617770	371467	TV Receptionist
617771	74128	
617772	399881	Herself
617773	41767	
617773	41769	
617774	5187	Herself - Singer
617774	78267	Herself
617774	78268	Herself
617774	78477	Herself (performing 'Marie')
617774	132874	Herself (performing 'Hjerte f
617774	147018	Herself - Receiving donations
617774	314992	Herself
617774	327340	Herself - Performer (segment 
617774	351368	Herself
617774	387983	Herself
617774	407264	Herself - Singer
617775	26656	
617775	110612	Queen of the Western Palace
617775	110613	Queen of the Western Palace
617775	111247	
617775	151972	
617775	152624	
617775	154719	
617775	157153	
617775	218110	
617775	243735	
617775	299055	
617775	369608	
617775	370600	
617775	395050	
617775	401766	
617776	285696	Bey
617777	171105	Herself
617777	408526	Herself (co-host)
617778	212624	TV Anchor
617779	263018	
617779	268828	
617779	286318	
617780	199797	
617781	398622	Herself
617782	295608	
617783	276376	Saleswoman
617784	390917	Newsreader 2
617785	178281	
617786	191409	Wendy
617786	224336	Ellen
617786	342512	Young Mrs. Weinstein (Segment
617786	395548	Maxie (1989-1991)
617787	399130	Nikki Dennison (1986-1987)
617787	406891	
617788	195945	Mrs. Jackson
617789	294692	Soprano
617790	184521	Miami Herald reporter
617791	131232	Extra
617792	131232	Extra
617793	33	Sophie Zen
617793	27064	Lucy
617793	45357	Helena
617793	57031	Nikita
617793	57380	M.T.
617793	57804	Lyndel Holt
617793	73249	Helen
617793	79058	Sally Driscoll
617793	83830	Bridey
617793	85998	Jain
617793	86750	Billie Frechette
617793	88037	
617793	108248	Beth
617793	109066	Liza
617793	109662	Laura Lincolnberry
617793	127739	Nora
617793	171228	Sandy
617793	171311	Amanda Clark
617793	188139	Katie
617793	192833	Elizabeth Taylor
617793	196363	Molly
617793	202953	Sterling
617793	211472	Catherine
617793	232466	Joanna Burke/Sarah Randolph
617793	232507	Shelby Naylor
617793	238525	Curley's Wife
617793	238595	Patty Winslow
617793	238714	Kathryn Shaunessy
617793	244847	Herself
617793	245046	Katie
617793	245506	Marcy Duggan
617793	260301	Allison
617793	282919	Candy Cane
617793	289788	Brenna Shaw
617793	292017	Kit Bradley
617793	296765	Dez Wilson
617793	301539	Monica
617793	304599	Zulaikha
617793	311944	Margie
617793	323843	Betty
617793	331214	Velvet
617793	331541	Ellen
617793	340735	Jennifer Scott
617793	342549	Audrey Horne
617793	343017	April Delongpre
617793	347180	Mrs. Calderon
617793	365169	Girl in Accident
617793	365341	Penny Harlin
617793	368753	Keri
617793	375698	Suzi
617793	398387	Carlotta Pope
617793	403887	Billie Frank
617793	409210	Audrey Horne
617794	7240	Adelaide
617794	28157	Mahé d'Orgel
617794	58059	Diane
617794	63156	La vierge
617794	90108	Elvire
617794	96046	Judith
617794	100513	Geneviève
617794	131695	Clara
617794	156310	Claire
617794	156550	
617794	166184	Hélène
617794	201168	Germaine
617794	208810	Estelle Fischer
617794	213059	
617794	264943	Nathalie
617794	269539	
617794	310640	Sheba
617794	313174	
617794	376965	Claire
617794	383585	Madeleine
617794	384030	Alice De Lux
617794	384212	Thérèse Berg
617794	384576	Catherine Morand
617794	398073	Marie
617795	41301	Beauty Contestant
617796	329537	Woman
617797	398410	Miss Jane (1975-1986)
617798	215902	San Francisco women
617799	245600	Cynthia Balboa
617801	156460	Night Club Dancer
617802	72678	Sigrid
617802	225276	
617802	325457	Chris
617802	347671	
617802	356736	
617802	387736	
617802	388816	Antje
617802	389120	Barbara Buchholz
617803	92724	
617804	4640	
617804	354368	Model Kettensäge
617805	399065	Marketing Executive (episode 
617806	64386	Monika's vocals
617807	401689	Doreen Probert/Bevan (1984-)
617808	127627	Australian Dancer
617808	193202	Samantha
617808	320911	Jessica
617808	347902	Cabana girl
617808	367271	Krystal
617808	380041	Kay
617809	377847	
617810	389271	(segment "Julien")
617811	17815	
617812	67350	
617812	121697	
617812	353196	
617813	79050	Old Woman 1
617814	281130	Benita
617815	324795	A Child
617816	156324	
617817	138220	Aunt
617818	99578	Lisa Marie
617819	394013	
617820	36864	Passenger
617821	281991	Kisser
617821	325133	Bettina
617822	385613	Bouncy Miss
617823	337142	Joan Thompson
617824	151187	Maria
617825	51883	Nurse
617826	363560	1980s Sitcom Carol
617827	269009	
617828	387766	Babyns färälder
617830	263957	Lynch Mob
617831	324371	Becks
617832	236972	Observer
617833	358651	
617834	330285	Waitress #2 at Deli
617835	246923	Chinese Dancer
617836	289634	Maid 2
617837	61609	Justine
617838	77679	
617838	192574	Young Jamie
617839	316145	
617840	4734	
617840	64735	Antonia Tordini
617840	154849	Housewife
617841	81215	Nancy Sykes
617841	151408	Herself
617842	42531	Well Wisher
617843	191919	Lulu
617844	133212	Grandma
617845	400255	Derby the Mouse
617846	131509	Priscilla Fanshawe
617846	214853	Katerina
617846	241366	Graphics Artist
617847	196372	Office #1 typist
617848	106666	Masked party principal
617849	8699	
617849	175780	
617849	178779	Zenza, Tochter des Eggebauern
617849	289956	Monika Bacherer
617849	290552	
617849	293106	
617849	322527	
617849	341765	
617849	361011	Vroni
617850	307589	Woman Graphologist #1
617851	109524	Mrs. Hamilton
617851	383912	Repertory company actress
617852	61577	Alita
617852	68549	Hetty Brice
617852	69309	Tessie/Princess Zim-Zim
617852	128323	Nell Gordon
617852	134021	Ruth McAllister
617852	294361	Amy Cary
617852	302404	Grace Penrose
617852	310874	Frances Ward
617852	367543	Jenny Gay
617853	8961	
617853	20715	Lady Beryl Ledyard
617853	25868	Lady Dover
617853	44485	Margaret Macy
617853	58809	Roulette Player
617853	58956	
617853	69676	Maria Louisa
617853	73746	Schoolteacher
617853	74107	Christian slave girl
617853	78528	Person in Boiler Room
617853	85822	Lady Be-Good
617853	88149	June Endicott
617853	99224	
617853	99396	Alice Stack
617853	103221	Guest
617853	105300	Mrs. Tirson
617853	112363	Lady Woodbine
617853	112582	Capt. Joyce's secretary
617853	114131	Miss Moffat, Harry's Secretar
617853	138804	Agnes
617853	152522	Woman at Steed Party
617853	155018	Girl
617853	155846	Lady-in-Waiting
617853	156464	Stenographer
617853	156939	Bit Role
617853	163961	Guest
617853	165444	Guest
617853	167288	Roger's 'Wife'
617853	167527	
617853	183836	Faye
617853	186117	Woman
617853	193583	Mary's WAAF Escort
617853	203799	Bridesmaid
617853	206877	Mary Seton, Mary's Lady-in-Wa
617853	210871	Nurse
617853	218012	Miss Murphy
617853	222679	Telephone Operator
617853	224228	Corporal
617853	230731	Bit Part
617853	231990	Girl in Pool
617853	233778	
617853	234090	Woman at Smith Home
617853	248450	Helena Meyer
617853	249021	Undetermined Role
617853	289236	Nursemaid
617853	304320	The Countess Irene
617853	312584	
617853	316164	Jim's Secretary
617853	316603	Mrs. Marsh
617853	327256	Mrs. Lydia Lovelake
617853	329528	Dr. Vengard's nurse
617853	330514	Miss Carruthers
617853	336736	
617853	337074	Lady in Waiting
617853	360479	Girl
617853	362894	Mabel's Party Guest
617853	366996	Nurse
617854	73913	Chloe
617854	77192	Cameron Stewart
617854	221274	First Mother
617854	222563	Sarah Weldon
617854	222644	Kathy
617854	320744	Claire Boseman
617855	380045	Herself/panelist (1947-1948)
617855	407769	Emcee/'Editor' (1948)
617856	119429	Champagne Lady
617856	163345	Mrs. Chorley
617856	185104	Elisabeth
617856	390566	Madame Durant
617857	22176	Matron in Cafe/Alex's Friend'
617857	79862	Blind Girl
617858	64744	Vague Looking Girl
617859	174974	
617860	30512	Bálint Mary
617860	103033	Mici,színésznõ
617860	153638	Terka, Schneider's daughter
617860	155545	Szobalány
617860	282244	Kékesi Kéky Kitty
617861	42177	Franziska Sedlacek
617861	119681	Direktorin
617861	142264	Titania
617861	223489	
617861	226195	
617861	289890	Charlotte
617861	301044	Costumer at the optician's
617861	312116	
617861	359088	Old lady in wheelchair
617861	396755	Waitress
617862	26582	Alma Felix
617863	252668	
617863	341390	
617864	145761	Naska Mosnikoff
617865	344348	
617867	35862	
617867	59977	Lena
617867	60845	
617867	63616	
617867	179327	
617867	179723	
617867	223561	
617867	238100	
617867	283825	Masha
617867	316825	
617867	321881	
617867	374772	Lawyer
617868	12641	
617868	21411	
617868	24848	
617868	25616	
617868	30670	
617868	38489	
617868	57595	
617868	76766	
617868	91483	
617868	103626	
617868	138105	
617868	173969	
617868	177877	
617868	179193	Belma
617868	182871	
617868	211443	
617868	212171	
617868	218888	
617868	262179	
617868	284438	
617868	284698	
617868	294117	
617868	295264	
617868	296414	
617868	301448	
617868	348021	
617868	377535	
617868	378196	
617868	378246	
617868	378573	
617869	360670	Beautiful Bride
617870	5152	
617870	130104	Melanie
617871	83304	
617872	110916	Dancer
617873	282781	Pierre
617874	282781	Pierre
617875	319596	Madame Toussi
617876	217035	Teller
617877	16320	
617877	20889	Abbie
617877	28095	Osinjaca
617877	43154	Stamenina baba
617877	48517	Tomicka
617877	52073	Mrs. Helen Hotorn
617877	77098	Nana
617877	77491	
617877	79621	Perina majka
617877	137289	
617877	163928	Nazarovna
617877	166617	
617877	166889	
617877	171913	
617877	174972	Baba
617877	180819	
617877	186522	
617877	187975	
617877	190661	
617877	204300	Grandmother
617877	207817	
617877	221348	
617877	226376	Tetka Nata
617877	227943	
617877	229016	
617877	229570	
617877	230486	Mare
617877	232616	
617877	238352	
617877	242283	
617877	246858	G-dja Kanacki
617877	248773	
617877	261678	Vandina majka
617877	262762	Zorka Stojanovic
617877	266261	Tetka
617877	271379	
617877	286737	
617877	302120	
617877	304248	Igumanija
617877	304449	
617877	305188	Stara dama
617877	305282	
617877	314437	
617877	318980	
617877	320481	
617877	320567	
617877	323631	
617877	324446	Gospodja Nana
617877	328705	
617877	328706	Mitina majka
617877	328707	Mitina majka
617877	332755	Gdja Hadzirakic
617877	340218	
617877	344258	Marija Vasiljevna
617877	350679	
617877	351326	Mila
617877	351343	
617877	376225	Tetka
617877	381061	Ruza
617877	381182	Kostina majka
617877	383720	Kleopatra Matovic
617877	386131	Okceva majka
617877	390427	baba Stevana
617877	390660	Elvira, Banetova baka
617877	393359	Gospodja Teodorovic
617877	394111	Gospodja Kanacki
617877	396546	
617877	397526	Nada, Dushkova baka
617877	397527	Nada, Dushicina baka
617877	397528	
617877	397530	Duskova baka
617877	399008	
617877	405506	Ruza Lopuza
617877	411989	Klotilda
617877	412003	Majka Jelisaveta
617878	397397	Herself
617879	195365	
617880	398816	Leticia Martínez
617882	4602	
617882	25613	
617882	25615	
617882	25686	
617882	31039	
617882	34248	
617882	34504	
617882	38448	
617882	39088	
617882	45721	
617882	48429	
617882	77424	
617882	82853	
617882	85137	
617882	92927	Sadan
617882	96474	
617882	97813	
617882	109944	
617882	136783	
617882	139375	
617882	143463	
617882	156075	
617882	172189	
617882	173852	
617882	173869	Innkeeper's wife
617882	177878	
617882	180139	
617882	214280	
617882	222900	
617882	228885	
617882	237425	
617882	279366	
617882	285865	
617882	288379	
617882	295534	
617882	301481	
617882	307732	
617882	308322	
617882	322441	
617882	325347	
617882	325354	
617882	349707	
617882	352808	Müjgan
617882	370297	Salome
617882	370425	
617882	377496	
617882	377548	
617882	377551	
617882	378175	
617882	378203	
617882	378238	
617883	29587	
617883	31039	
617883	85137	
617883	336419	
617884	16444	Andula Mrácková
617884	17327	Pavla
617884	58334	Auntie
617884	64262	Lady (Podvodník)
617884	75993	Marta Kopecká, modelka
617884	78638	
617884	80071	Mána Nováková
617884	81680	Tonicka
617884	84763	Zdenka Stepánová
617884	88431	Skorepová
617884	95601	Mourková
617884	107714	Míla Janotová
617884	166444	
617884	171537	Frantisek's aunt
617884	179717	Tána
617884	204906	Týna
617884	212300	Marie Musilová
617884	221197	Vera Gregorova
617884	223535	
617884	225987	Hanci
617884	247526	Podnájemnice
617884	247623	Klára Piskorová
617884	252345	Miss Mossie
617884	262189	Bozenka
617884	262217	Zdenka alias Klaun Rak
617884	266130	Dagmar
617884	266455	Munodiova
617884	268264	Slávka
617884	282749	Helena Veselá
617884	304191	Convict
617884	304707	Bozenka Smolíková
617884	305300	Slávka Repová
617884	312414	Marcela Janská
617884	317372	Die Pariserin Smolikova
617884	320494	Tonka
617884	336823	
617884	339319	Vera Bártová
617884	344352	Vera Janáková alias Kvetová
617884	350395	
617884	350983	Amálka Myslikovská, daughter
617884	374490	Stasa
617884	375411	Konstantina, his daughter
617885	133345	Gilda
617885	256188	Belly Dancer
617885	266588	Femme Wilson
617886	94392	
617887	204492	Frau Ettmaier
617889	195464	
617890	34513	
617890	243984	
617891	40272	Anita, la criada
617891	255545	
617892	13032	
617892	35621	
617892	107646	
617892	163139	
617892	288269	
617892	294123	
617892	378608	
617893	8334	
617893	8914	
617893	12258	
617893	17373	
617893	20897	Aleksandra
617893	21413	
617893	22088	
617893	25731	
617893	26029	
617893	33324	
617893	34506	
617893	35627	
617893	38437	
617893	38440	
617893	38465	
617893	38491	
617893	56668	
617893	56669	
617893	58336	
617893	63776	
617893	76052	
617893	79501	
617893	95050	
617893	102529	
617893	109944	
617893	127492	
617893	129128	
617893	136092	
617893	136700	
617893	136758	
617893	137318	Salome
617893	137592	
617893	140708	Züleyha
617893	142236	
617893	146972	
617893	146974	
617893	146976	
617893	160210	
617893	161148	Her Mother
617893	163099	
617893	163111	
617893	172012	
617893	172186	
617893	173212	
617893	173564	
617893	173573	
617893	173575	
617893	173668	
617893	173770	Kara Fatma
617893	173859	
617893	174205	
617893	175380	
617893	210936	
617893	237445	
617893	240535	
617893	248276	
617893	261494	
617893	293433	
617893	293434	Gülnaz Sultan
617893	294131	
617893	294133	Nesrin
617893	294170	
617893	295493	
617893	307157	
617893	308302	
617893	308953	
617893	325209	
617893	326069	
617893	326990	
617893	349707	
617893	370367	
617893	370911	Daughter of tekfur
617893	377497	
617893	377548	
617893	377549	
617893	378241	
617894	5898	Marie-Sophie
617894	250780	Journaliste
617895	360429	Susie
617896	381091	Herself (eliminated round 1)
617898	32849	Amelia
617898	45461	Lucy Van Pelt
617898	56728	Sally
617898	59719	Fern Arable
617898	62942	Dolly as a Child
617898	79388	Mary Constable
617898	82504	Alice, the Boarder
617898	117770	Sharon Hardy
617898	138732	Wanda June
617898	141978	Klara
617898	161340	Herself
617898	163372	Lucy van Pelt
617898	211219	Abby Clarkson
617898	213865	Lisa
617898	230421	
617898	241240	Laura Bower
617898	257517	Lucy van Pelt
617898	275361	Mary (little girl)
617898	305657	Susie
617898	335758	Laurie Ballard
617898	338895	Francie Nolan
617898	349999	
617898	362107	Geraldine Crawley, age 4
617898	362538	Kiddy M.C.
617898	379065	
617898	382260	Cookie
617898	385427	Pam
617898	386201	Shelley Kelley
617898	393628	Pamela
617898	399961	Edna Unger (1970-1971)
617898	401032	Sally Simms
617898	403667	Precocia
617898	404601	Sally Murphy
617898	405330	Peggy
617898	406059	Lt. Laura Gentry
617898	407991	Kathy Day
617899	241525	Margaret Peale
617901	215485	Herself
617902	359144	Tracy
617903	234735	
617904	171547	Tercsánszkyné
617904	225411	Countess
617904	377745	
617905	303196	Hitch-hiker
617906	70275	Reno
617906	214100	Faith
617906	277746	Neighbor
617906	280263	Mona
617906	346096	Goddess
617906	389858	Doninique Straton #1 (1991)
617907	172894	
617908	15030	Une animatrice TV
617909	225503	Gizike
617909	322180	
617910	55200	Fani
617910	138759	
617910	174829	Marica
617910	192900	Mati tilka
617910	227827	
617910	234153	Vzgojiteljica
617910	270681	Marina
617910	334316	
617911	88027	
617911	313347	Daisy
617911	335728	Miss Porter
617911	343023	
617912	165119	Secretary
617912	167023	
617912	268266	Teacher
617912	304119	Morávková
617913	259236	
617914	99746	Kicsi Gergõ
617915	355065	Nurse
617916	17079	
617917	357177	Sonia
617918	113883	Mayor's Daughter
617918	153164	Sidewalk Artist
617919	301085	Maedchen
617920	125353	
617920	147929	
617920	198210	
617920	237169	Klára
617920	322051	
617921	117683	Bar Patron #1
617922	148569	Tucker's Mom
617923	110718	Panzergrenadier UA Ferentschi
617925	290070	Maria Mischel
617926	37919	
617927	135052	
617927	149959	
617927	219734	
617928	270309	
617929	14219	Fluffy the Dog
617929	65022	Court Clerk
617930	224085	Brenda Pettigrew
617931	66918	Samantha Bodley
617931	103593	Miss Bodley
617931	125634	Frau Langer, Schatz's Houseke
617931	282689	Cleaning Maid
617932	179972	Herself - Minister for Eccles
617932	327337	Herself - Studio guest
617932	376108	Herself
617933	258381	Hermana del dentista #2
617934	109726	Bridget
617934	259924	
617934	294353	Nurse
617935	845	The Bus
617937	295472	
617938	270923	Secretary
617939	124110	Dana
617941	79991	Woman
617942	24643	
617942	152534	Mrs. Simpson
617942	334768	Clara
617943	8200	Supervisor
617943	17695	Punch Woman
617943	17697	Mrs. Boulter
617943	41377	Mrs. Tedesca
617943	63097	Old Woman
617943	69806	Rental Agent
617943	78084	Alice
617943	108140	Ann Welsh
617943	125973	Young Jean
617943	176478	Florence Cooper
617943	184572	
617943	195458	Mrs. Newberry
617943	195669	Neighbor
617943	206129	Arabella
617943	222736	Woman in Store
617943	282935	Miss Lemonn
617943	296019	Eleanor
617943	320041	Marge
617943	328594	Lucille
617943	334903	Mrs. Beatty
617943	350437	Mrs. Lewis
617943	363547	Molly Jo Cooke
617943	390775	Waitress
617943	392294	
617943	403490	Mrs. Biggins
617944	265599	Dorothy
617945	381332	Regular
617946	48719	Woman Customer
617946	127576	
617946	389858	Claudia Johnston Phillips (19
617946	403730	
617947	34388	
617947	273559	Carla Yusem
617948	327632	Groom's Mother
617949	273616	Kimberly Mathews
617950	340502	Spike
617951	102199	Child
617951	269872	Girl Age 7
617952	383928	(1985)
617954	116466	Nurse
617955	47029	Mrs. Shackleton
617956	24783	Chichita/Madame Delano/Helene
617956	29693	Lady Katherine 'Kitty' Wyvern
617956	47297	
617956	71629	Virginia Griswold
617956	77948	Geraldine Seagrave
617956	89631	Nora Helmer
617956	106648	Gloria Swann
617956	116899	Lisa Parsinova/Lizzie Parsons
617956	117633	Mimsi
617956	141332	Jen Galbraith
617956	146002	Nina Graham
617956	146170	Fauvette
617956	183811	Julie le Breton/Lady Rose/Lad
617956	189528	Elinor Shale
617956	206389	Helen Tremaine
617956	245281	Miriam
617956	278784	Jenny Cushing
617956	281873	Rosamond English
617956	285020	Carlotta Peel
617956	289610	Mary Bancroft
617956	306795	Nora Shard, aka Christine
617956	308610	Lily Kardos
617956	339843	Herself
617956	346114	Mary Hamilton
617956	347334	Elaine Kent
617956	366984	Stella Derrick
617957	330686	Student
617958	379343	Casey Jones
617959	46804	Alice Burnham
617959	389147	Laura Proek
617959	397740	Emma Coyle (2003)
617960	70369	
617960	152948	
617960	391558	Shannon
617961	211679	
617962	368666	Cashier
617963	238774	Rosie
617964	400993	Valerie Wedgewood
617964	404672	Mary Lennox
617965	124541	1st Nurse
617966	293212	Bailie Crenshaw
617967	340109	Bar Lesbian
617968	5481	Doris Mead
617968	49959	Dora
617968	52504	Elodie Albret
617968	56257	Doris Warren
617968	58619	Virginia Thompson
617968	58642	Madeline Du Barre
617968	60182	Mary Condon
617968	65956	Zella Wingate
617968	74101	Mary
617968	83559	Mary Ralston
617968	91648	The Slavey
617968	108444	Peggy
617968	112899	Rosa
617968	113477	
617968	113790	
617968	114931	Lucille Danby
617968	116788	Brunhilda
617968	119636	Zoe Whipple
617968	123334	Catherine Ames
617968	127516	Peggy Dinsmore
617968	130413	Jean Chapin
617968	130815	
617968	133849	Amy Gordon
617968	152873	Sara
617968	157865	Dolores Radanell
617968	162934	Dorothy Duffy
617968	165971	Mary Warren
617968	171246	Mary Bruce
617968	176358	1934 Goldwyn Girl
617968	190294	Miriam Craig
617968	194744	The Stenographer
617968	201916	Sophie Semenoff
617968	215581	Diana Deacon
617968	223395	Margaret West
617968	224188	Florence Keaton
617968	230382	La Cigale
617968	232814	Mary Bowser
617968	270470	Rosina, The Girl
617968	278234	Mary Elizabeth Dale
617968	278286	His Sweetheart
617968	280999	Betty Lorris
617968	282401	Betty Lawson
617968	289610	Miss Hutchinson, Mary's Secre
617968	289637	Nestina
617968	299521	Ann Lytton
617968	305402	Eleanor Ramsdell
617968	311624	Elvira
617968	315873	Maggie, the waitress
617968	319051	
617968	326196	
617968	334081	Doris Lane
617968	340943	
617968	347341	Ruth Marsh
617968	349992	Milly Hendricks
617968	364568	Janet Allen
617968	365474	
617968	366888	
617969	403805	Jillian Ford (1999-2001)
617970	78991	Sam Staller
617970	149854	Delilah Miller
617970	255211	Julie
617971	304303	
617972	398208	Excitable Devotee
617973	113808	Lurae Jenkins
617973	224689	Mary
617974	1666	Groupie
617975	135807	Teddy
617976	139226	Masseuse
617977	286423	Janet
617978	140765	Female Guest
617979	402112	Herself/Model, 1956-1965
617980	234464	Mrs. Shato
617981	46275	Jean
617981	256578	Edith
617981	281441	Sandar Wilcox
617981	310190	Skipper
617981	411245	Sandra Wilcox (episode 1: Roo
617982	12390	Datalinks female
617983	370643	Not-So-Gay Divorcee
617984	232413	Barbara
617984	301660	Ruth Flannery
617985	127572	Keeley
617985	411197	Amber Watts
617986	187263	Mahana
617986	193217	Anna
617986	397075	Katarina
617986	404880	Simone
617986	406178	Hineroa
617987	192777	Crystal
617987	202258	Waitress
617988	41299	Jane
617988	138902	Kathleen
617988	234523	Noel
617988	237932	Jean
617989	44238	Bordello Vampire
617990	35801	Alma Morgan
617991	281769	Funeral Woman
617992	328555	Madison Halliburton
617993	61156	Female Dancer
617994	222194	Julie Chadwick
617995	236077	Movie Director
617996	59912	Shonagh
617996	61291	Mac
617996	139963	Herself
617996	148848	Loretta
617996	171429	
617996	261737	Herself
617997	10317	Mrs. Jameson
617997	26478	
617997	154762	Kelly
617997	313413	Doran
617997	389356	Receptionist
617998	152968	Michelle's Mother
617999	137568	Analyst
617999	202467	Tracey
617999	242077	Teacher in Classroom
618000	40138	Waitress
618000	93316	Jessie
618000	138793	
618000	224284	Stephanie Campbell
618000	336649	Hospital Staff
618001	40467	Mammy
618001	109709	
618001	289394	Mrs. Keane
618001	310874	Aunt Gretchen Jans
618002	83792	Narrator
618003	14051	Herself - as Dr. Melissa Ferg
618004	252483	Jacuzzi Girl
618005	143342	
618006	140938	The Ghost
618007	358079	Herself (Branch Davidian)
618008	41010	Miss Quackenfish
618008	96985	Gardenia Gertie
618008	231964	Townsperson
618008	335972	Aunt Ophelia
618008	342865	
618008	363123	Middle-aged woman
618009	65565	Asti
618009	85117	Rachel
618009	94795	Henrietta
618009	109649	Athlete
618009	116285	Woman
618009	132458	Claire
618009	147897	Cheek's Girl Friend
618009	196894	Lulu
618009	224691	Singer
618009	248976	Brenda/Bartender
618009	253227	Nurse
618009	280263	Robin
618009	311284	Nurse
618009	367083	Dancer
618009	400170	Ruth Trueworthy
618010	93826	Ruth
618010	163313	Mrs. Blaydon
618010	291862	
618010	324044	
618010	331053	Ma Dawson
618010	331133	Nurse
618011	215611	Cuqui
618012	208723	Joan Davis
618013	179345	
618014	102199	Child
618014	269872	Girl Age 3
618015	315981	Amanda
618015	399850	Anna Gripenhielm (1999-2001)
618015	399947	Chrissy Eriksson (2002-presen
618016	318344	Becky
618017	298119	Diva Receptionist
618018	143274	Dance Hall Girl
618019	43087	Emily
618019	67349	
618019	107692	Barbara Edwards
618019	118515	Sunny
618019	380391	Amanda Cory Fowler Harrison S
618019	382419	Brooke Logan Forrester (1997)
618019	403184	Sandy Carruthers (1996-1997)
618019	406952	Jade Sheridan (12/1997-1/1998
618020	132823	Herself
618020	157196	Herself
618020	381935	Herself
618021	334011	Goth
618022	24429	Skater
618022	72266	Cowboy Jesus
618022	110149	
618022	194268	Dancer
618022	202195	Hooker/Roseland Dancer
618022	245249	Showgirl
618023	87597	Herself
618023	87598	Herself
618023	119756	The Three Degrees
618023	138721	Herself
618023	395103	Gloria Hepburn
618024	97727	Max's Mother
618024	248884	Screaming Co-ed
618025	326125	Nurse
618026	2581	Performer
618026	31606	
618026	47174	Performer
618026	57680	Herself
618026	59797	Stacy
618026	163536	Sally Brown
618026	176503	Stacy
618026	218371	Lucy
618026	221426	Herself & performer
618026	221483	Herself
618026	306181	Sally Brown
618026	326739	Herself
618026	326740	Herself
618026	390590	Host
618026	394406	Stacy (1984-1989)
618027	194268	Dancer
618028	62465	Jamela
618029	231426	High school Kid
618030	214422	Principal Borden's Secretary
618031	333393	Atwood Secretary
618032	259347	School Child
618033	96970	Jean
618033	158951	Carolyn Davies
618033	176852	Dr. Bain
618033	184719	Mrs.Simpson
618033	188646	Mrs. Keaton
618033	304237	Mme. Kardos
618033	310485	Psycho Patient
618034	37007	Marina
618034	191359	Dance instructor
618034	385299	Caroline Herbert
618034	395178	Marina (1985-)
618035	16642	Janet Frame as a child
618036	97048	Swinger
618037	237124	
618038	125494	
618038	244222	Nuria Fergó
618038	400341	Herself (2001-2002)
618038	408914	Herself
618039	258313	Un élève de la 4e techno
618040	257158	Mina
618040	261762	
618041	114871	
618042	121955	
618042	194136	
618043	13458	
618043	13476	
618043	14871	La principessa Elisabetta di 
618043	17209	Maria Luisa
618043	20100	Sina
618043	25309	Lucrezia
618043	33444	Carmela
618043	51367	
618043	57315	Ara
618043	57828	Fiammetta
618043	69939	Maria
618043	70859	Kavaora, madre di Tundra & Tu
618043	94718	Lauretta
618043	108505	Lucia
618043	109099	Piera
618043	109979	
618043	110437	Fedora
618043	112674	Carmen
618043	118107	Luisa
618043	119073	Mina
618043	119364	
618043	125360	Agrippina Solmo
618043	133037	
618043	133387	
618043	139440	
618043	193220	Mirandolina
618043	236187	Nazaria
618043	243634	Daria
618043	273139	Trottola
618043	293358	Mary, la cantante
618043	305541	
618043	314356	
618043	319293	
618043	338662	Maria Lauri
618043	339997	Emma
618043	342102	
618043	344586	Irene Serra
618044	290076	
618045	263996	Madame Zélie Dupont
618046	197620	
618047	200610	
618048	3516	Silvia
618048	5765	Stefania/Elena/Stella
618048	10529	
618048	10530	Rosanna Ranzi
618048	14261	Zaira
618048	15988	Sonia
618048	33501	Mirella
618048	54810	
618048	55978	Anna
618048	63036	
618048	67838	Antonia
618048	75238	Flavia
618048	85968	Luigia
618048	90752	Sabrina
618048	90757	
618048	107841	Mariangela
618048	111336	Marisa
618048	116345	The girl (segment "Frutto pro
618048	127974	
618048	128061	
618048	129005	Angela Guarnera
618048	162997	
618048	187852	Laura
618048	189158	
618048	228559	
618048	231850	
618048	243158	Alice
618048	246380	Lisa Leto Johnson
618048	255061	
618048	255114	
618048	260904	
618048	278404	
618048	278405	
618048	278956	Sandra
618048	279252	Sonia
618048	301342	Sissi
618048	315451	
618048	315818	
618048	341390	Nora (segment "Felice")
618048	349848	
618048	350381	
618048	354118	
618048	355703	Miriam
618048	356588	Rosalba
618048	379549	Angela Ghiglino
618048	384750	Marta
618048	384751	Marta
618048	385593	Dalida
618048	388613	Herself - Assistant (1996)
618048	392836	Maria Ponti
618048	395798	Cristina Innocente
618049	41476	
618049	78107	Librarian #1
618049	173516	Addie Parker
618049	305462	Lady
618049	348796	
618049	366739	Nurse
618050	53069	Caroline
618050	101163	
618050	167240	Mother
618050	217608	La gardienne
618050	336312	L'éducatrice
618050	346503	
618051	331733	Partygoer
618052	160	Mother in clinic
618052	6158	Claire
618052	32284	
618052	44963	
618052	45727	Jackie
618052	49094	
618052	54396	Hermia
618052	57531	Mrs. Moreen
618052	57751	La morte
618052	58230	La mère de Marion
618052	65165	Edwige
618052	66718	La Moutonne
618052	71888	
618052	85536	Madame Brissot
618052	85616	Mme. Weber
618052	85692	Soeur Gabrielle
618052	88837	Fabienne Cristelle
618052	89787	Elvire
618052	92920	Kate
618052	93875	Laura
618052	96170	La maman
618052	97926	Marguerite de Parme
618052	100115	Léonie
618052	103784	
618052	113237	Marie-Laure
618052	115335	Marite
618052	121392	
618052	124325	
618052	133175	Paulette Reverson
618052	135344	Marie Jude
618052	137701	Clara
618052	165761	Nanou Garcia
618052	166172	Wiana Lust
618052	166330	Berthe
618052	171346	
618052	189318	La mère
618052	189902	Patricia Guérin
618052	195032	Récitante
618052	196961	
618052	205621	La comtesse
618052	210197	
618052	216350	Une Girl
618052	248999	Gisèle Durand-Latour
618052	251020	
618052	254037	Marie-Paule Mancini
618052	254966	Madeleine
618052	269222	Jeanne Decourt
618052	269736	Belle
618052	286110	Main character's mother
618052	286329	
618052	287612	
618052	289435	
618052	292277	La marquise
618052	309327	Simone
618052	314303	Elena
618052	320516	Celeste
618052	338592	La jeune fille
618052	345089	Marguerite
618052	345449	
618052	345563	Louloute
618052	354154	Anne
618052	355794	Tía Clara
618052	355975	Jacqueline
618052	356390	
618052	357863	Anne, la marraine
618052	377239	
618052	377955	Mireille
618052	381427	Madeleine Carpant
618052	384434	Nicole Delheure
618052	384805	Jeanne Alzan
618052	385075	Laurence
618052	390466	
618052	391479	Constance
618052	391620	Mme de Gromance
618052	391622	Constance Birotteau
618052	392003	La mère d'Elaine
618052	392580	Clara
618052	399758	Mrs. Morgan (segment "Ce que 
618052	403177	Martine Jourdan
618052	408169	
618052	409450	
618053	269806	Rachel
618054	1783	
618055	47492	Benjamin's Mother
618056	42859	Charity-Woman
618057	317278	
618057	376445	
618058	312878	
618058	401355	Natascha
618059	85552	
618061	40506	Mrs. Shea
618061	71802	
618061	100113	
618061	104855	
618061	184348	
618061	214515	Bank Clerk
618061	252141	Serveuse No. 1
618061	346618	Serveuse
618061	364424	Sophie's Mom
618061	376906	Infirmiere
618062	81683	Kate
618062	96770	Baby Whitehead
618062	161523	Little Red Riding Hood
618062	213452	Cassandra
618062	270622	Child Star
618062	286464	Ella
618063	55626	Little Carrie
618063	80793	Madison
618063	191051	Heather (Age 5-6)
618063	211516	Desiree Leanne 'Desi' Gill
618063	214962	Annie
618063	310583	Samantha Beck
618063	330104	Sarah
618063	332479	Jeliza-Rose
618063	338277	Heather
618063	367282	Lily Kelly
618063	394509	Mary
618063	405833	Nina Carpenter
618064	408883	Osaka Lussier
618065	323594	Audition Singer
618066	224909	Mérédith Michaud
618067	379430	Justine Lalonde
618068	1578	Receptionniste #3
618068	120970	Marie-Esther
618068	270735	
618069	167200	
618070	190341	
618071	384118	Gaby (1998)
618072	244365	Dancer #4
618073	1965	Lindsay Jamison
618073	203319	Heather
618073	241000	Jordan Nash
618073	296879	Vickie
618073	311038	Louise
618073	335017	Gina
618073	345946	Lizette Sanchez
618073	383127	Aiden Burn
618074	236470	
618074	246302	
618074	344653	
618075	48297	Maga
618075	159901	
618076	51067	Une danseuse
618077	44731	
618077	133055	
618077	377635	
618078	354710	Magda
618078	405840	Linn Dahl
618079	235622	Jennifer
618080	169160	Josephine
618081	109605	
618082	216233	Azelma enfant
618083	375823	Carmen
618085	59497	
618085	185275	Maria Morris
618086	153156	Little Chief Pain-in-the-Neck
618087	351914	
618088	223105	
618089	335638	Coed
618090	55532	
618090	218527	
618090	391930	L'hôtelière
618090	395074	Suzon
618091	33742	Featured Singer
618092	303236	Saintly Girl
618093	200191	Blue Eyes
618094	389123	Anne Forsyte née Wilmot
618094	410632	Anna Bergmann
618095	257867	Herself
618096	51855	Lady
618097	371732	
618098	47065	
618098	377464	Angeline's mother
618099	59787	
618100	51707	
618100	96403	
618100	383333	
618100	383811	Virgina de la Concepción (199
618101	9666	
618101	13429	
618101	14655	
618101	55154	Queen D. Maria I
618101	61342	Nenzica
618101	75199	
618101	113209	
618101	145185	
618101	164241	
618101	168133	Joana Angélica
618101	197953	Glória
618101	234245	
618101	245585	
618101	256795	
618101	269969	Mãe Inácia
618101	294009	
618101	328365	Irene
618101	341702	
618101	355123	
618101	386727	
618101	387104	
618101	387202	Scarlet O'Hara
618101	389643	Sinhazinha
618101	390658	Mafalda
618101	393792	Marta
618101	396741	Léa
618101	398040	
618101	398255	
618101	399140	Olívia
618101	399481	Mariana
618101	400098	Henriqueta Del Rio
618101	400678	Gilda
618101	403402	Nora
618101	408942	Alina
618101	410313	Mari Loli Moreno
618102	89971	
618102	104082	
618102	108056	
618102	334704	
618103	118171	
618103	217310	
618103	387468	
618104	160879	
618104	193331	
618104	235995	
618105	396215	
618105	408390	Imperio
618106	19797	Flower woman
618106	70704	
618106	115794	
618106	225949	
618106	302535	
618106	328879	
618107	111916	Baroness de Soto Real
618107	191437	
618108	402150	Herself/Pivot
618109	333143	Pregnant teen
618110	192070	Brunette friend
618111	100723	
618111	339674	
618113	387732	
618114	14943	Meeting agency's secretary
618114	94484	
618114	184808	Odete Lara
618114	282809	
618114	338233	Princesa Allim/Milla
618114	369497	3rd. victim
618114	384117	Alzira
618114	387838	Flávia Regina
618114	387902	Lalá Gouveia
618114	391673	Marininha
618114	394872	Blanca
618114	395044	Dora Novaes
618114	401208	Maria Luiza
618114	402582	
618115	24526	Nina
618115	226248	Rebecca
618115	306227	Sam
618115	382689	Herself - Host (2001-2002)
618115	409958	Inga (2004)
618117	51978	
618118	379244	
618119	10525	
618119	83458	
618119	99670	Suzana
618119	134924	
618119	212141	
618119	269537	
618119	383479	Germana
618119	386727	
618119	387804	Taís Vidal
618119	396847	Chiquinha da Roda
618119	404837	Nicota
618119	409898	Maria
618120	111916	Luisa
618121	124214	
618122	196659	
618122	411597	Paquitita II
618123	229238	
618124	17381	Sandra
618124	71068	
618124	224971	
618125	401086	Haydée
618126	383328	Raquel Feberman Santos
618126	389153	Clara
618126	394872	Marieta
618126	395044	Letícia Martins Fraga Amorim
618126	402626	Nádia
618126	402685	Chiquinha
618126	403616	Sofia
618127	377617	
618128	14705	
618129	10253	
618129	54166	
618130	98758	
618130	103903	(segment "Noite de Almirante"
618130	222375	
618131	118970	Eliana
618131	344480	Mrs. Lopez
618131	349860	Maid
618132	380946	Alexandra
618132	382692	
618134	188634	School Child
618135	341138	Beatriz, the school's maid
618136	385947	
618137	33154	
618137	74390	(segment "O Homem Que Se Evad
618138	6640	
618138	25782	
618138	72968	
618138	124237	Walquíria
618138	166897	Secretary
618138	205701	Sofia
618138	286393	
618138	307756	
618138	384850	
618139	35492	
618139	133056	
618139	198191	
618139	233841	
618139	344704	
618139	344869	
618140	56581	
618141	57981	Dora's Client
618141	211666	Elena
618142	88330	
618143	23979	
618144	171366	
618145	397553	
618146	281660	Enea
618146	325605	
618146	338397	Female Student
618146	392913	Host (1999-2004)
618147	404913	
618148	28214	Lúcia Bueno Feitosa
618148	67642	
618148	70744	Woman
618148	84063	
618148	101719	
618148	124242	
618148	125814	Nighclub Girl
618148	158941	
618148	181779	
618148	187609	
618148	196046	
618148	210263	
618148	284842	
618148	296314	Gigi
618148	322265	
618148	339757	
618148	341142	(segment "Madrugada - Amor na
618148	354988	Tina
618148	389587	
618148	390506	Sandra
618148	401086	Verinha
618148	402455	
618148	403747	
618149	344869	
618150	205529	
618151	53258	Dama de Aluguer
618152	62513	
618152	127721	
618152	351489	
618152	376587	
618153	402582	
618154	345275	Alice
618155	210694	Maricota
618156	402626	
618157	274967	
618158	9170	
618158	170950	Berta
618159	275312	Extra
618160	383247	
618161	113883	Mary-Ann Holstien
618162	68574	
618162	83527	
618162	155792	Ligia
618162	196662	
618162	222175	
618162	337444	
618163	376587	
618164	166370	A student
618165	98732	
618165	349815	Lolota (young child)
618166	367861	
618168	234640	
618168	246855	
618168	263416	
618168	276100	Shirley
618168	287735	
618169	277391	Ana niña reyes
618170	310033	
618171	207754	
618172	135074	Carlos' s wife
618173	163309	Valerie
618173	171271	Mrs. Stafford
618173	230829	Mrs. Lane
618173	306795	Lady Carnforth
618174	147559	Herself
618175	215076	Anita
618176	334410	Heather
618177	392146	Herself (Blue Team)
618178	272620	
618179	365930	Penelope
618181	321421	Amy's Son, Stefan
618182	121975	Madre de Sebastián
618182	156373	Isabel
618182	239267	Madre de Julian
618183	124378	Extra
618184	55006	
618185	9003	Newswoman #1
618185	38648	
618185	42688	Victoria Gonzalez
618185	100801	Newswoman #1
618185	150075	Newscaster
618185	158183	Herself
618185	215306	Denise Lopez
618185	219953	Newscaster
618185	239919	Host
618185	278757	Beth Gonzalez, Action News
618185	292891	Herself/Host
618185	358114	Female Press Person
618185	379151	Herself - Host
618185	383169	Herself
618185	389533	Herself
618185	394869	Co-Anchor (2001-2003)
618185	396780	Host
618185	406952	Reporter (1997)
618186	1902	Woman in White Blouse
618187	334703	
618188	263395	Bank Teller
618189	71779	Cockfighter
618190	310033	
618192	155241	Ice Cream Kid
618192	190776	Young Zarena
618193	387429	Nessa Lockhead
618193	400004	Brenda (2002-2003)
618194	268892	
618195	325116	
618196	277954	Saloon Girl
618197	205967	Stéphanie
618198	150677	Hostess
618198	237931	Receptionist
618199	86966	Victim
618200	296441	Adela
618201	304870	Frances, Aged 3
618202	239304	
618203	410246	Maria Lucia
618204	222657	Nurse Pollard
618205	136360	
618205	241878	
618206	396506	Encarnación
618207	175664	
618207	207047	Mariz
618207	343875	Koko
618208	211679	
618209	3378	Hotel Maid
618209	25590	
618209	77180	
618209	124799	
618209	145682	
618209	152840	
618209	156185	
618209	204954	
618209	219405	
618209	302797	Mrs. Santos
618209	372052	Celine
618209	380345	Ruth (1996-2001)
618209	385703	Fiona
618210	402049	Rosa
618212	348818	
618213	97388	Dancer
618214	115737	Heather
618215	240627	Rose
618216	16921	Housekeeper
618217	74284	Naughty Waitress
618217	142347	Marti Williams
618217	177024	Charlotte Davis
618217	310656	Nurse
618218	338946	
618220	12757	
618220	136187	
618220	191192	Myra
618220	200298	RTW
618220	251230	
618220	300686	
618220	353758	Laly
618220	379023	Host (1995-2003)
618220	398237	Host
618221	262090	Second Little Girl
618222	48075	Pretty Woman
618222	98652	Dina
618222	123713	Serena
618222	311271	Anna Ryan
618222	347322	
618223	237941	
618224	339134	(El Erudito episode)
618224	398801	Muralla
618225	122019	Bank Customer
618226	255389	
618227	259848	
618228	253421	Mrs. D
618229	195771	Person at the Paris Opening
618230	42961	Musetta
618230	87961	Cynthia Hawkins
618230	220207	Herself
618231	225157	
618231	293423	Frieda
618232	378710	Elf girl
618233	283500	Child
618234	149828	Woman in crowd
618235	82136	
618235	288515	
618236	396582	Herself (2002)
618237	283120	
618238	82643	Dancer
618238	237828	Table Dancer
618240	269624	Becky
618241	36520	
618241	182531	Flowershop assistant
618241	191558	Girlfriend of Fredrik
618241	225233	Shop assistant
618241	237036	Agnieszka
618241	342316	Agnieszka
618241	353436	Head nurse
618241	405570	Agnieszka
618242	245943	Aunt Lindstroem
618242	342302	
618243	35040	
618244	35213	
618244	85834	Emily
618245	62957	Person in the Villiage
618246	200150	First Lady
618247	10661	Laura Hill
618247	139520	Jane Pitkeithly
618247	141065	Betty Jo
618247	171078	Reporter Terry
618247	199475	Paula, Saleswoman at Jackson 
618247	249047	Gwen
618247	277787	Ann Cowen
618247	284935	Aunt Zelda
618247	367585	Carol
618247	397689	Susan Winfield
618247	406704	Malloy
618248	23181	
618248	42104	Elaine
618248	103398	
618248	149630	
618248	279109	
618249	73949	
618249	80066	Tearful mother
618249	398704	Mrs. Thompson
618250	322578	Third
618251	306950	
618252	202075	Young Kajsa
618253	352914	
618254	295461	Nurse
618255	332845	Woman
618256	311937	
618257	386224	La jeune fille
618258	244797	Mrs. Larsen
618259	325935	Anneliese Groth
618260	12586	
618261	162306	Policewoman
618262	54091	
618262	86445	
618262	106326	
618262	353548	Madre de Antonio
618262	353626	
618263	234173	
618264	65404	
618264	73295	
618265	76003	
618266	71227	Woman #5
618267	20701	Gloria
618267	30946	
618267	253667	Sra. de Calvo
618267	353180	
618268	301181	Cajera Galerias
618269	134178	Chilean family
618270	191440	
618271	3433	
618272	12083	Donna
618273	169764	
618274	134502	
618274	193087	
618275	263039	
618276	263039	
618279	263699	Child
618280	258618	
618280	326294	
618280	380106	
618280	380146	
618281	91402	
618282	105452	
618283	92345	
618283	292752	
618284	332586	Enferma
618285	88015	Señora Osantes
618286	393028	Patricia
618286	395404	Patricia 'Paty' Machado Mirab
618286	396214	Lily Aldama
618286	401694	Sandra Palacios
618286	409779	Beatriz
618287	99356	
618287	143752	
618287	243467	
618288	99356	
618289	99356	
618290	99356	
618291	357189	
618293	12148	Paca
618294	15356	
618294	19467	Marga
618294	20701	Marta
618294	23065	Elke
618294	23190	The TV Moderator
618294	23368	Celia
618294	27864	
618294	67212	Amparito
618294	68912	Paquita
618294	73277	Querta
618294	82232	
618294	82400	Lupe
618294	91372	
618294	101809	Madre de Clara
618294	104088	Evelia
618294	106267	
618294	163880	Herself - Presenter: Best Sou
618294	171417	Cova
618294	183161	Queti
618294	189005	Groupi
618294	204600	
618294	204642	La Luisa
618294	208141	La madre muerta (The Dead Mot
618294	221888	Clara Isabel
618294	248904	
618294	260841	Menchu
618294	263289	
618294	276010	
618294	276396	Monja
618294	277389	
618294	319678	
618294	334687	Matilde
618294	356664	Carolina
618294	371734	
618294	371747	
618294	376843	
618294	377151	Carmen
618294	383190	
618294	383572	
618294	384594	Carmen
618294	401248	Silvia Monreal (2002)
618294	408306	
618294	409570	
618295	20701	
618295	52967	
618295	63910	
618295	376854	
618296	56017	
618297	71374	Herself
618297	393036	Herself (2004)
618298	383147	Tertuliana
618298	402709	Host (1998)
618299	301577	Corresponsal de T.V.
618300	343611	Montserrat Bruna
618301	233381	
618302	243389	Prosperpina
618303	96359	Lay
618304	167082	
618304	286880	Fan de Samy
618304	302982	
618305	83952	Reporter
618305	377169	Extra fiesta
618306	168293	Museum Curator
618307	363950	Lead Dancer
618308	244590	Madre Germán
618309	18761	
618309	100370	Carmen
618309	136987	Lydia's Sister
618309	145198	
618309	146481	Andrea
618309	202284	Candela
618309	205595	Mary, Wife of Clopas
618309	225606	Mónica
618309	265710	Dorita
618309	274705	Julia
618309	276405	Señora
618309	307277	María
618309	307471	Mercedes
618309	322325	Paloma
618309	333640	
618309	343447	Lidia
618309	349749	
618309	369870	Herself - Winner: Best New Ac
618309	369994	Herself - Presenter: Best Spa
618309	369996	Herself - Nominee: Best Lead 
618309	371290	Lavandera
618309	372365	Pilara
618309	396837	La Mari
618309	401769	Lucia Ramos
618310	57832	
618311	276480	
618312	8267	
618312	33484	Doña Perfecta de Rico
618312	59057	Paco's wife
618312	59058	Paco's wife (Supermarket Cler
618312	59775	Maquillista
618312	63888	Mujer de iglesia conservadora
618312	70857	Mercedes Ancira
618312	83887	
618312	85960	Leonor
618312	90212	Sirvienta
618312	91364	
618312	103858	
618312	103941	
618312	104123	
618312	172715	
618312	207772	
618312	212461	
618312	212523	
618312	216086	
618312	233518	Herself
618312	236023	
618312	245872	
618312	246415	Sara, hermana de Damian
618312	309085	
618312	337575	
618312	380092	
618312	383156	
618312	383910	
618312	383977	Doña Cleotildes 'La Bruja Del
618312	384019	Doña Clotilde, Doña Nachita
618312	387123	
618312	387576	
618312	388276	
618312	389641	
618312	390869	
618312	391428	
618312	391848	
618312	392957	
618312	396388	
618312	405928	
618312	407860	
618312	409011	
618313	339110	Valeria
618314	75838	
618314	218498	Lolita
618314	223618	
618314	302982	
618315	202005	
618316	148110	
618316	268493	Ana
618316	273112	Estela
618316	357514	
618317	163894	Ana
618317	209298	Woman from Asturias
618318	96338	Bailarina
618319	376866	Pepita Gutiérrez
618320	326178	Reportera #3
618321	371290	Muchacha romería
618322	104853	
618323	339203	
618324	65892	Paeng's Wife
618325	276789	Commedia player
618326	56316	Telefonista 3
618326	105451	
618327	91402	
618328	157215	
618329	114500	Dancer
618330	115820	Aurora
618330	124052	Charo
618330	258133	Madre de Fátima
618330	400952	Puri (2003-)
618330	401248	Marimar (2001-2002)
618331	9941	Alicia
618331	10485	Anita
618331	36667	Asist. Director
618331	76113	
618331	83462	Secretaria
618331	106329	
618331	166548	
618331	225001	Eva
618331	260571	
618331	322395	Lucía
618331	403459	
618332	65412	Juanita
618332	96306	
618332	103534	Leonor
618332	132678	
618332	192983	
618332	236021	
618333	404161	Yadhira
618334	14803	
618334	51743	
618334	54071	
618334	74156	
618334	83501	
618334	90146	Rubia
618334	96358	
618334	107268	
618334	293940	
618334	380209	Alicia
618334	383769	Julia Oliver
618334	409915	Irma
618334	412198	Mathilda
618335	208709	Nadia
618336	52074	María Pardo Muñoz
618336	101867	Celia
618336	132369	Rosario
618336	148164	Hada
618336	170040	Luna - 14 años
618336	202296	Malena niña
618336	244626	
618336	246871	Fuensanta
618336	276404	María José niña (María José a
618336	400952	Marta Ramos
618337	399402	Herself
618338	403912	Host (1996-1997)
618339	231569	Girl
618340	71267	
618340	402876	
618340	410091	
618341	80200	
618341	82262	
618341	187768	Carmiña
618341	212467	Mary
618341	252781	Tu regalo
618341	397467	
618342	55196	Carmen's Friend
618342	206700	
618343	385776	Tefy (un episodio) (character
618344	3443	
618344	6330	Adela Maldonado
618344	8729	
618344	12027	Cruz (Crucita)
618344	12031	Esperanza
618344	13127	Extra
618344	25806	
618344	26197	
618344	31547	Alicia Monroy
618344	37910	Lupe
618344	51776	
618344	53988	Rosangela/Angela Rosa
618344	55387	
618344	63322	
618344	70639	
618344	70648	
618344	74661	
618344	80269	
618344	92346	Rosario
618344	100763	
618344	103764	
618344	106303	
618344	108121	
618344	109361	Herself
618344	115746	
618344	115762	
618344	121331	Maria Ines Flores
618344	125663	
618344	145256	
618344	145674	
618344	148150	
618344	152597	
618344	169854	
618344	194610	
618344	196735	
618344	197480	
618344	197972	
618344	208854	
618344	212368	
618344	221882	
618344	221937	Woman at the cabaret
618344	221976	
618344	225006	Bit part
618344	239286	
618344	247424	Teresa Mota
618344	264401	
618344	271856	
618344	275946	Nurse
618344	281759	
618344	287436	
618344	287695	Santa
618344	287736	
618344	296211	
618344	307676	
618344	317709	
618344	319857	Isabel
618344	332643	
618344	341405	Laura Ocampo
618344	342160	
618344	343234	Maria Dominguez
618344	357532	Teresa Mota
618344	405398	Doña Chayo
618345	84048	Nora
618345	187768	Neighbour #1
618345	402045	Rosalía Pereira
618346	14091	Julie
618346	115161	Latin Woman
618346	122768	Sofia
618346	197373	Andrea
618346	214123	Mrs. Gonzales
618346	261530	Airline Employee
618346	262917	Esmeralda
618346	283372	Evelina
618347	91423	
618348	13194	Nica
618348	14693	Mujer 3
618348	20702	Dolores
618348	70833	
618348	77275	
618348	169775	
618348	169964	
618348	209297	
618348	212058	La enfermera
618348	333750	
618348	383568	Rosa
618348	393833	
618348	401918	Doña Olga
618348	410477	Doña Chelo
618349	213393	
618350	54068	Herself
618351	52705	
618352	409463	Secretaria (1983-1986; 1987-1
618353	18282	Jacinta (three months old)
618354	103271	
618354	225019	Maribel
618355	45376	
618355	90104	
618355	103165	
618355	145145	
618355	307815	
618356	108716	
618356	273643	
618356	308280	
618356	318227	
618356	376725	
618357	129514	Bitch Mother #1
618358	29630	
618358	83174	Naine
618358	189045	
618359	332377	Star
618360	194780	Woman
618361	212506	Doña Sabasta
618362	337950	
618363	252455	Sally Morse
618364	52625	
618364	106319	
618365	276404	Estudiante (Student)
618366	385776	Lydia (Aurelio's girlfriend)
618367	351494	
618368	48935	Miss Headley
618369	91423	
618370	318240	Carmina
618371	355943	Lourdes
618371	401881	Herself - Bandana
618372	56324	
618373	322397	
618374	256786	
618375	378738	Azucena
618375	387916	Madre Provincial
618375	388648	
618375	393836	
618375	400419	
618375	403644	
618375	412183	Amelia
618376	147376	
618377	48969	
618378	57870	Tribunal employee
618379	311310	
618380	30967	Emperor Penguin
618380	105536	Kaink, Ewok Priestess
618380	161714	Drone
618380	313479	Ewok
618380	346142	Hotel Rainbow Guest
618380	366682	Wishman
618381	192981	child
618382	19922	
618383	6474	
618383	6741	
618383	10822	
618383	20732	
618383	57978	
618383	75623	
618383	77880	
618383	80210	
618383	80288	
618383	91287	
618383	95420	Carmen
618383	96277	
618383	96279	
618383	96403	
618383	101899	
618383	111989	
618383	118171	
618383	123561	
618383	124546	
618383	132386	
618383	142738	
618383	169964	
618383	195031	
618383	207969	
618383	209298	Young girl in the group
618383	215979	
618383	217084	
618383	219406	
618383	221742	
618383	229444	
618383	231298	
618383	236407	Reynalda
618383	246301	
618383	247417	
618383	247976	
618383	257128	
618383	260930	
618383	263069	
618383	269216	
618383	272667	
618383	276485	
618383	276972	
618383	277126	
618383	278745	Maribel
618383	278746	Maribel
618383	283203	
618383	324839	
618383	332692	
618383	355799	
618383	355800	
618383	371693	
618383	385502	Macrina
618383	385873	Gladys
618383	388096	Alicia
618383	397603	
618383	397883	Ángeles
618383	398490	Concepción
618383	399568	
618383	400860	Amalia de Zavala
618383	402633	Bárbara
618383	404172	La Condesa
618383	409017	Doña Chela
618384	392960	
618384	397009	Mayita
618384	398469	Cupertina
618384	406056	
618385	81694	Debora
618385	116596	
618385	398816	Anabell
618385	401358	Paula
618386	80254	Carmelita
618386	104111	Prostituta 7
618386	409782	Jesusa
618387	100373	
618387	389888	Host (1980-1981)
618388	61360	
618389	309088	
618391	74146	Rutera 2
618391	170382	
618392	322395	Nurse
618393	246871	Chica de la confitería
618394	74381	La madre (Mother)
618395	73514	
618395	184850	
618395	286069	Doris
618395	293053	
618396	101815	
618397	221737	Gente de carnaval
618398	400342	Profesora de la Academia: Cor
618399	402708	
618400	337958	
618401	9944	
618401	10501	
618401	19252	
618401	53639	
618401	53640	Herself
618401	54763	
618401	64997	Sole
618401	90189	Dorotea
618401	91379	
618401	103167	
618401	124448	
618401	146455	
618401	151807	
618401	187489	
618401	193505	
618401	204301	
618401	217464	
618401	235967	
618401	309087	Miriam
618401	337870	
618401	339151	
618401	376680	
618401	376777	
618401	378495	Tala
618402	100181	
618403	87511	Dancer: Sacromonte
618404	101816	Isabel
618404	198215	Costurera 6
618404	389679	Isabel
618405	12073	
618405	29740	
618405	57249	La Serpentina
618405	77241	
618405	82235	
618405	100298	
618405	103395	
618405	202226	
618405	310067	
618405	332944	
618405	378427	
618406	407028	Host
618407	189556	
618408	306679	
618409	70858	
618410	412126	Reporter
618411	29588	
618412	399900	Selene
618413	222008	Clienta Enmascarada II
618414	15062	
618415	31534	Little girl
618415	79050	Girl 1
618416	353626	
618417	19383	
618417	51547	
618417	202228	
618417	205793	
618417	237814	
618417	343609	
618418	197452	
618419	355958	
618420	202296	Reina niña
618420	246871	Amalia
618421	381024	Renata
618422	239279	
618423	307466	
618423	339133	child
618424	69004	
618424	355958	
618425	42874	
618425	53245	Eugèneie Dargène
618425	188848	Ines
618425	211668	
618425	230123	
618425	241174	Mamie 1
618425	260947	
618425	267015	Mme Garcia, la mère d'Elisa
618425	331408	Mrs. Rodriguez
618425	343580	Henriette
618425	345226	Lulu
618425	357849	La concierge
618425	387659	Alma
618425	404914	
618426	88703	Figurante
618427	57478	
618427	112029	Tula
618427	119860	
618427	280878	Herself
618428	239284	
618429	299714	Waitress
618430	103173	
618430	322431	
618431	170478	Sra. Blanco
618432	100703	Chica del club
618433	50131	Host
618433	233518	Herself
618433	385027	Host
618433	389728	Host
618433	391112	Host
618433	392213	Host (1998-1999)
618433	398457	
618433	399799	
618433	407851	
618433	410046	Host
618434	321262	
618435	378423	child
618436	318232	Cajera
618437	10121	
618437	17135	
618437	100384	Verónica
618437	266164	Fanny
618437	326335	
618438	351626	
618439	89726	Vera, Yo soy Godzilla
618440	383156	
618441	91273	
618442	377253	Susi
618443	332908	
618444	57474	
618444	343580	La voisine
618445	406878	Thérèse
618448	189839	Olive
618448	347431	
618449	103298	Gulghutti
618449	328517	Stripper
618450	102468	Abby
618450	287704	
618450	365396	Nadine
618451	189877	Erika
618451	329899	
618452	33737	
618453	4536	Susan
618453	16838	Mme. Decouagne
618453	21214	Nurse
618453	40506	Eva Van Daam/Her Twin Brother
618453	54631	Wedding Guest
618453	80394	Gloria Magik
618453	128345	Wendy Mitchell
618453	130327	Principal
618453	133624	Lil
618453	183426	Luella
618453	188929	Woman #1 on Parole Board
618453	232507	Assistant District Attorney
618453	263218	June Brayden
618453	272022	Hotel Clerk
618453	272730	Blondie
618453	273514	Melanie Sinclair
618453	292671	Fran Evans
618453	359381	Hallowell
618453	364783	Robin
618453	369195	Ship's Nurse
618453	379731	Caroline
618453	381100	Mrs. Hood
618453	407345	Diana
618453	409586	Charlotte La Forge
618454	152584	Bodypopper
618455	33599	Frenchie
618455	52297	Helena de Gagarine
618455	62014	Tamara Liu Ming
618455	81194	Zina Monte
618455	114853	Lynette Garay
618455	154785	Dorothy
618455	175605	Gambler
618455	185721	Charlane
618455	211602	Marcella
618455	271998	Maxine
618455	300063	Renee
618455	304298	Mariette Le Fare
618455	306343	Vendeuse
618455	335725	Nina Marescu
618455	395321	Herself/panelist (1949-1954)
618455	410875	Herself/panelist
618455	410908	Herself/panelist
618456	1859	
618456	27977	Pirucha
618456	234363	
618456	379583	Aída Serra
618456	384119	Federico's Mother (2001)
618456	385852	
618456	387187	Antonia
618456	387573	Dr. Moreno
618456	401913	
618456	403021	
618456	403404	Trinidad 'Trini' Cabrera
618456	409957	
618457	13446	
618458	326344	
618460	315823	Anna
618461	97258	Anna
618461	205965	
618461	328500	Margherita
618461	409093	
618463	335813	
618464	73628	Gaby
618465	12038	Josée
618465	17580	Dr. Marina Marini
618465	18272	La messagère
618465	19350	
618465	23505	Germaine Castejac
618465	31433	Florence Morel
618465	45196	Mme Bordin
618465	69770	L'avocat de Jeanne
618465	75914	Lise Ragueneau
618465	99497	
618465	111135	Henriette
618465	120435	La mère de Rachel
618465	194144	La joueuse
618465	206598	Martha's mother
618465	218273	
618465	249089	Monique
618465	269741	La psychologue
618465	308311	Head Doctor
618465	325083	Dorine
618465	336985	La gynécologue
618465	382584	Théodorine
618465	402885	Madame de Rastignac
618466	411045	Herself
618467	346735	Herself
618468	389943	
618469	14480	
618470	103932	
618471	378380	Gabriela
618472	135352	Bailarina
618472	160785	Maria
618472	302877	
618473	383280	Robin (1989-1990)
618474	383784	Betty
618475	1863	
618475	8540	Doña Flora
618475	16148	Dona Felisa
618475	20463	
618475	28336	
618475	30416	
618475	35005	
618475	54663	
618475	68958	
618475	83139	
618475	84464	
618475	88984	
618475	91281	
618475	91404	
618475	103947	
618475	104013	
618475	104150	
618475	104180	
618475	106318	
618475	113098	
618475	113230	
618475	160892	
618475	165897	
618475	193141	
618475	205702	
618475	222027	
618475	225021	Sabina
618475	226184	
618475	249864	
618475	265154	
618475	293579	
618475	337962	
618475	340363	
618475	354460	
618475	355746	
618475	371742	
618475	376811	
618475	377176	
618475	378467	Dona Fe
618475	379544	
618475	385371	
618475	391852	
618476	227296	
618477	54349	
618478	256648	
618479	233267	Dorothy Flynn
618480	69409	Stranded Motorist
618481	199933	Cuore
618482	79865	Waitress
618483	380430	
618484	214858	
618485	312131	Gothic Club Girl
618486	31709	Woman with Dog
618487	303491	Tamara
618487	385824	Julie Olson #3 (1967-1968)
618487	405532	Nancy Murphy (1/72-3/72)
618488	68185	
618489	367919	Edith Potter's Daughter
618490	29580	
618491	344130	
618492	337058	Lucy Craven
618493	4987	
618493	19792	
618493	49677	Patrizia
618493	56354	3rd Brigadist
618493	70747	
618493	90727	
618493	157177	Valeria
618493	200457	Abbess
618493	231440	Sicilian Woman
618493	249259	Fausta
618493	260606	
618493	265980	
618493	270824	Francesca
618493	290898	Marinella
618493	315439	Dolores
618493	343554	Hélène
618493	384758	
618493	388509	
618493	397949	
618494	64421	Zoe
618495	320322	Dancer
618496	356214	
618497	68430	
618498	115269	Women Coalation Diner Patron
618498	116053	
618499	217745	Little girl
618499	278082	Little girl
618499	380713	Bridget McKinnon #2 (2001-)
618500	136959	
618501	14906	
618502	217745	Little girl
618502	278082	Little girl
618502	380713	Michele McKinnon #2 (2001-)
618503	194219	
618505	75839	Carla Hastings
618505	277094	Cathy
618506	387209	Herself/Correspondent
618507	136360	
618508	91780	Elena Novanti
618508	157234	Linda Kingsley
618508	161217	Herself
618508	164243	Bean
618508	206923	Mary
618508	253364	Judith Jansen
618508	391864	Herself (Host)
618508	392764	Host
618508	397417	Host (2001)
618509	24664	
618509	110022	
618509	377947	
618510	148583	
618511	303666	Florindo
618512	221114	Fat guy's wife
618512	223762	Maria Casale
618513	158762	Berthe
618514	390085	Belén
618515	41074	
618515	85679	
618515	116212	
618515	116213	
618515	188357	
618515	310175	
618515	323202	
618516	35022	Susi
618516	88057	
618516	287899	
618516	353577	
618516	398522	Alma
618517	402049	Manola
618519	383448	(19 ep. "Una mossa sbagliata"
618519	383784	Lorenza Giraldi
618520	289333	
618520	294707	Lolì
618520	307459	Elena
618521	29386	Lunchroom Lady
618521	186650	Racine catcher
618523	129011	
618524	309012	Sophia, ages 4-7
618524	312302	Susy Bunch
618526	44522	
618526	118618	
618527	271248	Rainbow Girl
618528	152555	Stripper
618529	341966	
618530	391206	Patsy Willoughby
618531	287414	
618532	20453	
618532	67017	
618532	177983	Gulnar
618533	90756	
618533	327910	Barbara
618534	234720	
618535	307337	Laura
618536	235779	
618536	328205	
618537	3139	(segment "Bisbigli")
618537	12001	
618537	19217	Caterina
618537	43416	Chrodilde
618537	60934	
618537	73643	Lorena
618537	78560	
618537	89563	Josephine
618537	91051	Anna Milesi
618537	103440	Tarcisia
618537	118618	
618537	123893	Evelina
618537	127877	
618537	150619	Lucia
618537	171667	Emma Güter
618537	191147	Patrizia
618537	205366	Clara
618537	230077	Susi
618537	231440	Alessandra
618537	242424	Lyota
618537	270880	Claudia
618537	272453	Veronica Gatti
618537	281114	Andreina
618537	287992	Selvaggia
618537	287993	Selvaggia
618537	345285	Maria
618537	355611	Anna
618537	355699	Eugenia
618537	365900	Lucia Ventura
618537	386484	Giovanna Scalise
618537	386487	Giovanna Scalise
618537	402258	
618537	406001	Serena Arcalli
618539	25309	
618539	99245	
618539	108102	
618539	197204	
618539	256648	
618539	277608	
618540	196996	Julia
618540	386963	Chelsea Wright (2004-)
618541	173082	Isabella
618541	209738	
618541	266177	(segment Occasioni di shoppin
618542	76387	
618542	76388	
618542	76389	Sonja Sandgruber
618543	406785	Columnist
618544	53142	Mme Vandeputte
618544	269127	La fée
618544	296022	Herself
618544	387957	Guest Presenter (1996-1999)
618544	409974	
618545	141618	Mona
618546	10478	
618546	274768	
618546	378400	José's Girlfriend
618547	326344	
618548	101597	
618548	265189	
618548	336146	
618549	5682	Violet
618550	106335	Morty The Mime
618550	150609	TV Porno Scene Person
618551	147900	Jessica
618551	243131	
618551	257596	
618551	266185	
618551	306908	
618552	54374	
618552	235349	The Servant
618552	286181	
618553	235244	
618554	125955	
618555	60970	
618555	81538	
618555	102712	
618555	113145	
618555	130619	
618555	147842	
618555	159771	
618555	254333	
618555	254703	
618555	292517	
618555	293005	
618555	306023	
618555	306029	
618555	306883	
618555	306916	
618555	321041	
618555	353680	
618555	362534	
618556	244036	Directora
618557	161775	Giba's daughter
618557	404915	Renata (child)
618558	233840	Loud Contestant
618558	396071	Herself
618558	400811	Herself (episodes 1-14, 22-23
618559	37517	
618560	33265	Clotilde de Marelle
618560	65021	Teleki Marika
618560	77165	Zsóka
618560	110706	Annuska
618560	122455	Petõfiné, Szendrei Júlia
618560	136600	Zenthe Judit
618560	156746	
618560	180062	Frau Berti Bartolotti
618560	182668	Dr.Tóth Panna
618560	182879	Felhõ
618560	231612	Felicitas
618560	248206	
618560	250413	Sängerin Ilona Kovacz
618560	275177	Busze
618560	289350	Anita
618560	289950	Lorelei Kindl
618560	315357	
618560	343497	
618561	313938	Missy
618562	278310	Gilda
618563	119074	
618564	248056	Herself
618565	342118	Concorrente
618566	410074	La mère
618568	257633	
618568	361854	Herself
618569	12207	Ashley Monroe
618569	60179	Tracy 'A'
618569	87587	Sheila
618569	204139	Sassafras
618569	233831	Aimee
618570	18193	Herself
618570	69895	Herself
618570	222866	
618571	219194	Fran
618572	163688	
618572	336099	
618573	1311	Locutora (Episodio "Mitzvah")
618574	100391	Prostituta #1
618575	401473	
618576	5078	Lot's Wife
618576	242113	Alitalia Gate Attendant
618576	249903	Giornalisti
618576	315897	Reporter
618576	390498	Arabella
618577	67052	Female Criminalist
618577	269891	Joanne
618577	389858	Lydia Karenin-Cassadine #1 (2
618577	391375	Lola
618578	8802	
618578	77228	Gina
618578	129036	
618578	251614	
618579	237331	
618580	209298	Young girl in the group
618581	243044	Madre di Ernesto
618582	63755	Aux. enfermera
618583	111879	Maddelena
618583	316798	Consuelo
618584	1792	Miss June 1986
618584	5573	Sexy Woman
618584	35523	Playboy Playmate
618584	52312	Herself
618584	52318	Alice
618584	57936	Herself
618584	60316	Theresa Salazar
618584	75806	Elexia
618584	99766	Princess
618584	128786	Herself
618584	131942	Talena
618584	139211	Christine
618584	151365	Game Show Hostess
618584	158966	Morenika
618584	202363	
618584	215251	The Model
618584	242431	Maynard
618584	245370	Talena
618584	257646	Miss June
618584	257859	Herself
618584	262015	Amanda Davis
618584	305362	Dianna Conti
618584	320900	
618584	334354	Lupe
618584	361850	Herself
618584	361851	
618584	361862	Herself
618584	376740	Seniorita who kisses Ned
618584	380005	
618585	156025	The Girl
618585	162306	Make-up Woman
618585	328292	
618585	351550	Irina
618585	354398	Laura
618586	220951	
618587	64178	Herself
618587	129991	Statue of Venus
618587	229705	
618588	12058	Angel
618588	14943	Julia
618588	207745	
618588	387802	Sinhá
618588	387902	Vanessa Rios
618588	388398	Cristina Andreati
618588	388941	Lucila
618588	391673	Paula Sampaio Moretti
618588	391674	Verônica
618588	393977	Alicinha
618588	394872	Rubi Calderón
618588	396795	Bruna Torres de Almeida Lovat
618588	401087	Lucinha
618588	401900	Milena Mota
618588	402504	Beatriz
618588	402685	Naomi
618588	408944	
618589	54609	Shopkeeper
618589	114838	Dressmaker
618589	202859	Anna
618589	203200	Sister Cristina
618589	306318	Emilia, innkeeper
618589	332136	Mrs. Martinez
618589	368963	
618590	381328	
618590	402626	
618590	404960	
618591	386123	
618591	391313	Iléa
618591	398817	
618591	400656	Luzia
618591	400670	Pureza
618591	407830	Ivone
618591	411585	Fátima
618593	99998	Emmanuelle
618594	83458	Teresa
618595	376598	
618596	51863	
618597	45899	Extra: market
618598	390512	
618599	8581	
618599	21609	
618599	30892	Ernesta
618599	46918	Sofia
618599	55344	Petrolina
618599	57465	Alzira
618599	68044	
618599	76127	
618599	104181	Filomena
618599	110642	
618599	131133	
618599	133022	
618599	214631	Valdemira
618599	233807	
618599	234045	
618599	251840	
618599	254240	
618599	256153	Mimosa
618599	269536	Gertrudes
618599	277798	
618599	280998	
618599	377606	
618600	392751	
618601	41449	
618601	215522	Hostess
618601	379004	Host (2003)
618601	387177	Hostess (2004-)
618601	390450	Presentadora del debate
618601	390451	Colaboradora (2003)
618602	66096	Go-Go Girl
618603	200050	Sophia
618603	214656	The Empress
618603	260051	Vanya
618603	265444	
618603	348186	Mercedes
618604	68360	Sophie
618605	231230	Christine Stark
618606	391642	Host
618606	392815	Newsreader (2000)
618606	396396	Reportera (1993-1998)
618606	407747	Newsreader (2002-)
618607	384257	
618607	403683	Nuria
618608	105370	
618608	321017	
618608	321019	
618608	321023	
618609	133667	Medical Student
618610	396899	Vanessa Lima do Vale
618611	29513	
618611	278155	Femme terrasse café
618612	106462	
618613	10253	
618614	15306	
618614	102315	
618614	104760	Portuguese entry (18th place)
618614	176679	
618614	389740	
618614	409409	
618615	63831	
618616	266480	
618617	233396	
618617	380158	Various Roles
618617	380437	
618617	385369	Hilda
618617	395657	Patty
618617	402181	
618617	404827	Nora Álvarez
618618	101900	
618619	273428	Herself
618619	273437	Herself
618619	315287	Herself
618619	402993	Herself/Chicago (2002)
618619	402996	Women/Real World
618620	273765	Blonde Girl
618620	383576	
618621	194104	
618622	12130	
618622	63831	
618622	100853	Teresa
618622	187944	
618622	396926	Carlota Joaquina
618623	377871	
618624	221863	
618625	12076	
618626	134487	
618626	355764	
618627	401944	
618628	308742	
618629	208300	Wife
618629	252878	Ginny
618630	108901	Mouche
618631	150859	Josie
618632	156020	
618633	22699	
618633	51736	
618633	52060	
618633	179345	
618635	380326	
618636	197155	
618637	85723	
618638	388721	
618639	276294	Professora Português
618640	135366	
618641	282510	Counsellor
618642	59262	
618643	110160	
618643	122161	
618643	125682	
618643	130558	
618643	135268	
618643	286571	Martiniana
618643	339996	Marieta Pilantrina
618643	353675	
618644	211020	
618645	130771	Sorata
618646	77989	Janice
618647	78613	
618648	380196	Gym's pupil
618649	234310	Culona
618650	269742	Suzanne as a child
618651	186250	
618652	431	
618652	84267	Hotel Receptionist
618652	156411	
618652	307638	Alberto's Wife
618652	385488	Mãe
618653	204222	Lover
618654	194074	Holly
618654	402011	Coach Rivera
618655	28791	Da Bomb Girl
618655	122619	Dierdre
618656	309007	Herself
618657	383437	
618657	383677	Luisa
618658	132981	
618659	51614	
618660	282510	Secretary #1
618661	168317	
618661	228761	Secretaria Márquez
618661	380946	
618661	393616	
618661	396722	Débora
618661	397548	Helena
618661	402530	
618662	278890	Secretary
618662	379867	Lisete
618662	387050	Melita
618662	388591	
618662	390501	
618662	409026	Teresa Pires
618663	68590	
618664	319391	
618665	356029	
618666	293332	
618667	77232	
618668	69391	Woman in Pub
618669	8581	
618669	17379	
618670	249297	Nina
618670	344705	Ingrid
618671	269530	Mónica
618671	273725	Ana
618672	90454	
618672	275518	
618672	356029	
618672	377071	
618673	396265	Rute
618674	388680	
618674	392629	Elza
618675	161846	
618675	206993	Críspula
618676	134563	Aunt Eppin
618677	393713	Herself/Reportagem
618677	409183	Herself/Jornalista
618678	276572	
618679	319555	
618680	386569	
618680	390499	
618680	391901	Enfermeira
618680	403740	La Zingara
618680	404273	Rosário
618680	412306	Maria Lariche
618681	79185	
618682	15342	
618682	55236	
618682	89918	
618682	98740	
618682	165587	
618682	268280	
618682	327010	
618683	383355	Marilena
618683	388565	Cecília
618683	396926	Narcisa Cândida
618683	402159	
618683	408381	
618683	409424	
618684	383866	
618685	396718	
618686	352853	
618687	201986	Francisca
618688	237381	
618689	154943	Delivery Boy
618689	199757	Dancer
618689	199766	Dancer
618690	202541	
618691	376671	
618692	198215	Lavandera 2
618692	389679	
618692	401204	Hermitas
618692	407028	Dona Hermitas
618693	52116	Carmen
618693	170277	
618693	289488	Lia
618693	320327	
618693	353604	
618694	31548	
618694	119188	Mercedes
618694	190171	Barcelona neighbor
618694	235296	Cocinera
618695	104452	Mary I
618696	301484	
618697	97350	Teddy Carella
618697	97351	Teddy Carella
618697	166917	Woman in Elevator
618697	314531	Melissa
618698	89236	Monica
618698	354953	Waitress in Diner
618699	244416	Michelle
618700	15214	Bev
618700	26959	Ann Bedowski
618700	32681	Marge
618700	58522	Martha Burke
618700	73127	Bella
618700	80784	Joan
618700	81118	Rita Parsons
618700	97727	Helen, Neighbor
618700	99850	Nurse Sylvia Kaye
618700	102514	Brenda
618700	106542	Mary
618700	108350	Mrs. Romeyo
618700	117061	Mrs. Bobrucz
618700	119622	Mrs. Sheets
618700	128142	Nurse Rinehart
618700	131767	
618700	133630	Mamie Trotter
618700	141417	Elinore Randall Stewart
618700	141605	Bernice
618700	171700	Betty McAllister
618700	190209	Captain Burnsite
618700	216468	Nurse Cassidy
618700	216970	Nico's Mom
618700	220891	Jan, Deeds Pizza Comrade
618700	223920	Woman truck driver
618700	224838	Leona
618700	226475	Mili Simonescu
618700	230151	Barbara Schlesinger
618700	235061	Doc Norman
618700	242942	Flo
618700	255268	Helen Potts
618700	261054	
618700	276941	Toni Owens
618700	283443	Aunt Jill
618700	286549	Ida Sinclair
618700	286855	Bobbi
618700	293040	Hazel Dawson
618700	316225	Mama Cass
618700	320106	Rosemary Flotchky
618700	321184	Dr. Kate Lowe
618700	331697	Dr. Gardner
618700	336647	Virginia Worrel
618700	340824	Mary Louise Ravencroft
618700	363436	Mother Marta
618700	364324	Dodie Hart
618700	368655	Nurse
618700	372865	Specialist Mononaghee
618700	381043	Wilhemina 'The Fox' Johnson (
618700	382912	Mrs. Elmsworth
618700	387218	Head Nurse Joan Thor
618700	391253	Madeline Stoessinger (1993-95
618700	392043	April Green
618700	395023	Susan Bloom (1991-1992)
618700	397213	Vangie Cruise
618700	401075	Kate Galindo
618700	402477	Martha
618700	407690	Pam
618700	408058	
618700	408665	Marge
618700	411149	Calamity Jane
618701	92618	Dr. T's Patient
618702	29937	Herself
618702	42296	Bridgit/Swedish Suntanning Te
618702	109530	Herself
618702	125425	Herself
618702	257619	Herself
618702	257655	Miss January
618702	257677	Herself
618702	257678	Miss January 1997
618702	257825	Miss January 1997
618702	257866	
618702	356649	Herself
618702	361854	Herself
618702	367792	
618703	77145	Herself
618703	187712	Debbie
618703	295296	
618703	311165	Pam Howard
618703	320302	
618703	390771	Roxanne 'Roxy' Shayne Corday 
618704	210825	Village Woman
618705	243338	Sis
618706	35629	Herself
618707	183306	Lacy Cotton
618707	201290	Sayaka Yumi
618707	283678	Toki (English version)
618707	396019	Rumy
618708	50466	Marge
618709	35251	Cutter Dubuque
618709	45707	Mrs. Baker
618709	54221	Mission Specialist Tamara St.
618709	102233	Sonya Kirk
618709	105890	Nurse Blaine
618709	127730	Rocket Rafferty
618709	170746	Orin Goode
618709	183586	Nan
618709	213494	Isola
618709	229861	Samantha
618709	236222	
618709	236982	Cell Woman #2
618709	252963	Desmond's Mother
618709	258752	Jessie
618709	290319	Tasha
618709	300892	
618709	306421	Receptionist
618709	324777	Flygirl
618709	344408	Receptionist
618709	363927	Rhonda Deane
618709	372217	Ricki Sewell
618709	382832	Roberta
618709	383374	Mission Specialist Tamara St.
618709	384365	Wanda Jenkins
618709	385013	Ella Thompson
618709	387728	Dr. Sarah Langworthy (1994)
618711	339699	Trine
618712	6680	Colette Sigault
618712	249713	
618713	65598	
618713	74599	Marta
618713	285468	
618713	398800	Lilén
618714	340413	
618715	103810	
618716	64368	
618716	92984	
618716	124249	
618716	171377	
618716	233386	
618716	260527	
618717	377212	
618718	28089	
618719	91304	
618720	284233	
618720	398983	Gardenia Melón
618721	10255	
618721	20463	
618721	33966	Juanita
618721	52599	
618721	53872	
618721	54083	
618721	61350	
618721	64031	
618721	68958	
618721	69129	
618721	71279	
618721	74508	
618721	80162	
618721	80266	
618721	80339	
618721	83423	
618721	84057	
618721	86342	
618721	90534	
618721	103810	
618721	143804	
618721	146507	
618721	148091	
618721	159666	
618721	162955	
618721	206987	Damiana
618721	219415	
618721	234314	
618721	235987	
618721	243783	
618721	247294	
618721	276577	
618721	296472	
618721	328157	
618721	339115	
618721	339185	Bernarda
618721	377214	
618722	91388	
618722	96274	
618722	199987	
618722	213711	
618723	347472	
618724	307359	Young Girl
618725	355958	
618726	305349	Mother
618726	388651	Miss Kitty
618727	194136	Innosense
618728	161422	Barbara
618729	212400	
618729	292955	
618730	40323	
618730	51733	Doña Teresa
618730	57778	Modista
618730	70679	Madre Javi
618730	115820	Cuñada
618730	244626	Mother
618730	269239	Marquesa de Mocorroño
618730	275623	Madre sandías
618730	337894	
618730	353572	Jefa Banco de España
618730	356153	Cecilia
618730	356466	Catalina Barajas
618731	239284	
618732	101883	
618733	247930	
618734	48461	Fan at concert
618734	152275	Herself
618735	380087	
618736	114873	Dancer: Grupo Cobo de la Peña
618736	115749	
618736	205697	
618736	353203	
618737	324454	
618738	149077	
618739	28309	Rita Carlo
618739	52760	
618739	61208	
618739	61756	
618739	64205	Roberta Uribe
618739	75395	Marie Clement
618739	94826	
618739	203839	
618739	221565	
618739	221956	
618739	238759	Estela
618739	239301	
618739	269895	Angelica
618739	353609	
618739	380088	Morgana Atal
618739	380145	Lisette
618739	380146	Lisette Mistral
618739	381029	Marcela
618739	385252	Victoria Ascanio
618739	386162	Aurora
618739	386788	Catalina
618739	387816	Esmeralda Rivera
618739	389428	
618739	392844	
618739	393882	Julia
618739	398217	Ofelia Santibanez Campos Mira
618739	398915	María Dolores de los Reyes
618739	403752	Valeria Del Castillo viuda de
618739	403753	Cecilia Gel de la Rosa
618739	405835	Victoria Álvarez Calderón
618739	409288	
618739	412084	Marta María
618740	73528	
618741	378452	Marina
618742	12275	Pat Tognetti
618743	112400	Delfina Moresco
618743	248311	Clienta
618744	233352	
618745	118157	Herself - Performer
618746	299738	Temptress #1
618747	343376	
618747	400217	Aïsha Wertheimer-Amal (1997-2
618748	30864	
618749	220014	
618750	322579	Une journaliste
618751	68992	
618751	310033	
618751	379908	
618751	381720	Sabina
618751	382378	
618751	386738	
618751	387825	Emma
618751	395300	Irene
618751	396604	Lorena de la Garza
618751	402704	Emma
618751	403459	
618751	407648	Martina
618751	411710	
618751	412184	Nieves Galán
618752	48803	
618752	122226	
618752	193334	
618752	233619	
618752	235306	
618752	236476	Sharon
618752	380274	Sonia
618752	385877	Host
618753	14639	
618753	51548	
618753	57907	
618753	91381	
618753	103497	
618753	125789	
618753	165792	
618753	199966	Silvia
618753	212244	
618753	215408	Debbie
618753	217589	Alicia
618753	221734	
618753	235307	
618753	287855	Patricia
618753	296480	Wax museum victim
618753	302982	
618753	308272	
618753	351648	Go-go dancer
618753	370170	
618753	375740	
618754	61198	
618754	202202	
618754	293370	
618754	328453	Susan
618754	375872	
618755	56316	Estupida 2
618756	170097	Teresa
618757	391015	Yolanda
618757	396179	Mati
618758	52760	
618758	65558	
618759	17646	Alice
618759	32035	Lison-Cherubin
618759	43668	Vanessa
618759	82508	La maquilleuse
618759	345058	Sara
618759	345467	Marguerite
618759	377479	Carine
618759	388380	Host
618759	395894	Co-Host
618759	395914	Lou
618759	406790	Chloé
618760	2252	(segment "Appel d'un ami, L'"
618760	6407	Madame Da Silva
618760	19814	Rose
618760	32268	Maria
618760	32281	La mère d'Aimé
618760	37890	Yvonne
618760	70750	La sage-femme
618760	80183	La voisine
618760	87500	Gisèle
618760	102941	
618760	111035	Mauricette
618760	120880	Malou
618760	132802	
618760	170420	Madame Sabrier
618760	201115	Mme Pires
618760	205487	
618760	253994	Fernanda
618760	263212	Pierre's mother
618760	268455	Mother Bergaugnon
618760	327551	Mémé
618760	350904	La concierge
618760	356379	La dame de la SPA
618760	377246	Esther
618760	377798	Woman 1
618760	399082	Amélia Pinto
618760	402720	La gardienne
618761	380045	Herself/Co-host
618762	389465	
618762	404652	
618763	21	
618763	79062	Luiza
618763	132247	Yolanda
618763	151479	
618763	194529	
618763	257204	Victoria Roubideaux
618763	273423	Ana
618763	303266	Carmen Lowell
618763	388080	Herself
618764	21214	Reporter
618764	67093	Liz
618764	91135	Woman #1 at Dorian's Loft
618764	130327	Casino Waitress
618764	369421	Female Prostitute
618765	61200	
618766	260144	
618767	99331	Ella
618768	288387	Sensei
618769	270041	Lucia
618769	300486	Nora
618770	383718	Lolita
618771	13089	
618771	24421	Elisa Bonaparte
618771	54153	
618771	54154	
618771	54289	
618771	54294	Anna
618771	63889	Giulia
618771	69944	
618771	70185	Marcella (segment "Cocaina di
618771	73541	Maria
618771	74971	
618771	82299	Marina
618771	89834	Giulia
618771	89852	
618771	94732	Maria-Luce Carlinet
618771	107685	Fiammetta
618771	108506	Valerie De Beranger
618771	110391	Elena
618771	124426	Nannina
618771	127962	Ida
618771	128017	Anna, peasant girl
618771	129037	Margherita Barezzi Verdi
618771	135075	
618771	157178	Joan
618771	159455	Casarina
618771	175054	Anna Damby
618771	193079	Pierina Zacchi
618771	194554	
618771	206035	Giuliana
618771	208029	Annalisa
618771	223317	
618771	227564	Nannina
618771	235736	Nicoletta
618771	248954	Fiorella
618771	270839	
618771	279064	
618771	300782	Anna Perrini
618771	309250	Mariarosa
618771	319766	Giovanna Siri
618771	336603	Carolina De Vico
618771	351070	Adriana
618771	354447	
618771	354745	Marina
618771	355801	
618771	359174	Mary Bolkonsky
618772	94732	
618773	14845	
618773	44372	
618773	210595	
618773	216843	
618774	308809	
618775	625	
618775	14548	
618775	29808	
618775	33663	
618775	165306	
618775	234559	
618775	239970	
618775	263921	
618775	270833	
618775	289440	
618775	291564	
618775	327451	
618776	57309	
618777	249821	
618778	399657	
618779	328611	Paisan Woman
618780	275127	
618781	91382	
618782	35588	Lady Edeley
618782	37882	Mrs. Priddy
618782	44445	Lady Chard
618782	126587	Agatha McAlpine
618782	130420	Lady Peckham
618782	135406	Mrs. Gilwattle
618782	142671	Lady Hermione Quinnock
618782	167253	
618782	188563	Miss Rosebart
618782	194202	Lady Buster
618782	195973	Lady Witchell
618782	209623	Honorable Christine Wilby
618782	240666	
618782	263944	Mts. Hassee
618782	274394	
618782	279128	Martha Usher
618782	286135	Duchess of Wexford
618782	318731	Lady Emsworth
618783	17668	Anna Schweighofer
618783	24465	Herself
618783	26487	
618783	42443	Rosi
618783	46113	Christiane Vulpius
618783	49309	Elfriede
618783	59314	Luise Schumann
618783	89478	Dr. Kai Richardi
618783	109733	Ingrid
618783	122588	Sabine Winter
618783	125166	
618783	149090	Barbara
618783	164607	Jacqueline
618783	174562	Vorontzova
618783	175282	Catherine
618783	178718	Emilie Flöge
618783	183426	Lauren
618783	185854	Maria Keller
618783	204581	Nelly Kröger Mann
618783	248040	Helga Stiegler
618783	276750	Veronika Molin
618783	282104	Schneewitchen
618783	287592	Johanna von Strauberg
618783	290477	Martha
618783	303730	
618783	314559	Iris Hermann
618783	317610	Lena Koch
618783	319736	Franziska
618783	325378	Nele Hinrichs
618783	325394	Maria Zell
618783	325462	
618783	333045	Nele
618783	335486	
618783	347000	Marlene
618783	347676	
618783	356551	Carmen
618783	361090	
618783	377348	Elisabeth
618783	381439	Anni
618783	397947	Madame Thénardier
618783	398231	Staatsanwältin
618783	401312	Dr. Ida Hundhammer
618783	409609	Anita Kufalt (1992, 1994-)
618783	412110	Dorli
618784	133070	Élisabeth
618784	238463	
618785	168717	Penelope
618786	28168	Vanessa
618786	100431	Corinne
618787	5192	Big Jill
618787	38045	Mrs Randall
618787	117556	Norah
618787	140105	Sylvia
618787	166079	Receptionist
618787	175163	Barmaid
618787	200926	Mrs. Tippet
618787	221006	Pam Bigmore
618787	380190	Brenda
618787	382568	Sharon Armstrong
618788	51707	
618788	379602	Claudia
618788	412302	Melanie
618789	116390	Helena
618790	63552	Une épargnante
618791	385401	Empleada del Hotel
618792	2083	
618792	2091	
618792	3388	
618792	9703	
618792	20237	
618792	21671	
618792	28949	
618792	30518	
618792	46921	
618792	48794	
618792	52115	
618792	55011	
618792	65399	
618792	67696	
618792	68962	Lolita Cisneros
618792	69296	
618792	71126	Sonia
618792	72378	
618792	76014	
618792	83462	Bertha Ortega
618792	84178	
618792	89929	
618792	91344	
618792	91418	
618792	95373	
618792	95421	
618792	96271	
618792	96283	
618792	103324	Esposa de Alvaro
618792	103474	
618792	103507	
618792	124247	
618792	124510	Gabriela
618792	124527	Petra
618792	139911	Alicia, Mama de Orlando
618792	143679	
618792	143683	
618792	145181	
618792	145211	
618792	149500	
618792	152350	
618792	170099	
618792	171367	Jessica
618792	189037	
618792	198995	
618792	198996	
618792	199001	
618792	199986	
618792	207026	
618792	207728	
618792	208706	
618792	221719	
618792	227094	
618792	246151	
618792	253309	
618792	253314	
618792	264397	
618792	269944	
618792	270731	
618792	275956	
618792	278940	
618792	281610	
618792	284528	
618792	287430	
618792	307658	
618792	322856	
618792	324839	
618792	325039	
618792	328134	
618792	334568	Letícia
618792	336111	
618792	337568	
618792	341652	
618792	351026	
618792	351570	
618792	351653	
618792	351683	
618792	353410	
618792	353975	
618792	354874	
618792	370326	
618792	371740	
618792	377157	
618792	377187	
618792	378428	
618792	378440	Enfermera
618792	379559	Amara
618792	379815	Cristina
618792	397604	
618792	404736	Alicia
618793	397525	Various
618794	215696	Miss Costa Rica
618795	110241	Elisa
618796	76174	
618796	193553	
618796	238463	
618796	254162	La dame à la moutarde
618796	284308	
618796	357040	
618796	384123	La cremière
618796	396366	La femme de chambre (segment 
618797	217705	La première fille de René
618797	387848	Cécile
618798	46928	
618798	398318	Herself
618799	165790	
618800	85731	Muchacha
618800	380059	
618800	380795	Margarita Saavedra Corcuera (
618800	385367	
618800	401918	
618801	10421	
618801	101838	
618801	111636	
618801	135307	
618801	169769	
618801	206921	
618801	210262	Invitada 1
618801	212508	
618801	221994	
618801	248302	
618801	287912	
618801	292955	
618801	336324	
618801	339115	
618801	379853	
618801	383974	Rafaela
618801	385458	
618801	386783	Hilaria
618801	387446	Mercedes
618801	388162	
618801	391846	
618801	392752	Delmira
618801	395310	
618801	395487	
618801	398913	Analía
618801	400640	
618801	401692	Malvina
618801	402587	Sofía
618801	405816	Dona Hortensia
618801	407792	
618801	409014	Carmen
618801	409915	Antonieta
618801	410404	Olimpia
618802	127976	
618803	28571	Herself
618803	77716	Francesca
618803	85528	
618803	128950	Giselle
618803	256490	Bella
618803	281176	Juliet Capulet
618803	281186	Giulietta
618803	350644	Performer "Romeo and Juliet"
618804	147060	Lucia
618804	203884	
618805	2341	Gordano
618805	7809	Nurse Donovan
618805	21214	Audrey Wettering
618805	43432	Fanny Labruzzo (Older)
618805	80394	Lena Savage
618805	139048	Celine
618805	177002	Connie
618805	202727	Anna Barberini
618805	304820	Reporter Two
618805	306239	Leah
618805	308999	Mrs. Urbain
618805	313562	Ruth Levine
618805	380970	Anna Bertoli
618805	384242	Elena Batista
618805	400141	Christina Favara
618806	54360	Cugina di Don Vincenzo
618808	389	
618808	275504	Lupa
618809	73643	
618809	127954	Bruna
618809	214236	Killer woman
618809	269496	Alice
618809	355634	Angela
618809	392748	Laura
618809	402654	Valentina Donati
618809	406000	Monica
618810	294412	
618811	138161	Emergency Room Nurse
618812	392748	Laura
618813	14859	
618813	188657	
618813	234824	
618814	33580	
618814	261891	
618814	348149	
618815	14372	
618815	64773	
618815	269022	
618816	217760	
618817	4997	
618817	21692	
618817	50147	
618817	87088	
618817	94622	
618817	169569	
618817	205458	
618817	274431	
618818	130296	Spinster #3
618818	325176	
618819	390497	Herself (2nd Edition)
618820	87039	
618820	127876	
618821	293318	
618822	355712	
618823	27676	
618824	58703	
618824	96360	
618824	105110	
618826	314635	Kathy
618827	365099	Dorothy
618828	64333	Herself (2000)
618828	240286	
618829	15057	Martine
618830	412138	Panelist
618831	62568	
618831	169156	Première socière
618832	305375	Dim Sum Restaurant Goer
618833	39680	Mrs. Abbot
618833	117395	Hostess
618833	320090	Hal's Wife
618833	343140	Mrs. McKellogg
618834	214283	Petite Fille au journal
618835	127318	
618836	58223	Jessy
618837	59743	L'entraineuse
618838	85987	Sofia, the Casting Girl
618838	85988	Sofia
618839	384507	Mini Thalia (1999-2002) (Danc
618839	403904	Herself
618839	406972	Dancer
618839	406994	Mini Thalia (1999-2002)
618840	25318	Athena
618840	39852	Miss Priscilla Farnsworth
618840	81230	Bank Teller
618840	313071	Herself
618841	267100	Herself
618842	130358	Miss Ohio
618843	298091	Nurse
618844	193296	Young Esther
618844	380713	Jennifer Louise Munson #5 (20
618845	30257	
618846	144667	Singer at Spring Fling
618846	204522	First Dance Couple Woman
618847	73989	Townswoman
618847	131539	Neighborhood Woman #1
618847	224838	Mrs. Barboza
618848	9878	
618848	148895	
618848	169106	Leonor Rivera
618848	181768	
618848	284798	
618848	359401	
618848	397028	Host
618849	119621	Mrs. Harper
618850	238052	Tarot Girl
618851	35568	May, the wife
618851	35577	Helene Martin
618851	108511	Naomi Iverson
618851	127847	
618851	129168	Bertha Fairchild
618851	148929	Connie Watts
618851	149103	Jean Gilmore
618851	166071	Chorus girl
618851	171363	Margaret Walker
618851	191220	Bit Part
618851	192392	Audrey
618851	206334	
618851	261967	Ruth Stevens
618851	269686	
618851	278561	June
618851	285646	Izzy's girl
618851	301999	Janet Randall
618851	304973	Helen Martin
618851	329497	
618851	346338	Kitty
618851	367704	Rose La Pierre
618851	367890	Audrey Hughes
618852	2766	Lisa
618852	38959	Violet
618852	56884	Dinah
618852	61771	Susan Eliot
618852	62779	Enid Washbrook
618852	160861	Sally
618852	180787	Mrs. Lawson
618852	231389	Candida
618852	246769	Gloria Lockwood
618852	257110	Betsy
618852	310446	Nellie Gooding
618852	321982	Suzy
618852	328239	Joan
618852	335130	Thumbelina
618852	379711	Emma Lambe (1985-1987) (serie
618852	406696	Emilie Trampusch
618853	312714	Marion
618854	349536	Jane
618855	319063	The Boy's Mom
618856	132601	Emily Howe
618857	65891	Janeane
618858	35526	Christine Woodward
618858	66388	Blue Eyes (Dani Anatole)
618858	72140	Kit Paget
618858	88037	Topaze
618858	161217	Herself
618858	194223	New Wave Model
618858	232639	Nikki
618858	250546	Connie (Laughing Girl at Bar)
618858	385142	Billie
618859	98831	Policewoman
618860	329517	Ballroom Dancers
618861	399816	Mrs Pascal
618863	62995	Daisy Fezziwig
618864	217771	Linda
618865	307976	Employee
618866	43733	Mary Douglas
618866	158246	
618866	255326	Undetermined Role
618866	278213	Madeleine Wade
618867	72354	Boo Johnson
618867	81191	Woman
618867	81286	Tommy Cotter
618867	88770	Lolita
618867	129203	
618867	139655	Aunt Marge
618867	190000	Mrs. Squeers
618867	192268	Orin's mother (in photograph)
618867	207828	Agatha Trunchbull
618867	209179	Mavis
618867	213317	Puck & Fairie
618867	221160	Mad Marion
618867	221274	Alice Hartley
618867	241064	Matron
618867	243160	Mrs. Arkwright
618867	259779	Mrs. Snow
618867	273943	Eleanor Ramsay
618867	294222	Magdalen Parry
618867	313361	Marian Blake
618867	321286	Denise Williams
618867	341947	Mrs. Grose
618867	379704	Maggie Oldfield
618867	384477	Pat Fletcher (2003)
618867	384528	Mrs. White (Series 3) (1992)
618867	384884	Nesta
618867	385728	Ma Larkin
618867	391050	Cynthia Crabbe
618867	395830	Grace
618867	397659	Mrs. Dollop
618867	400530	Mrs. Boffin
618867	400810	Marion Eustace
618867	403767	Laura Thyme
618867	407826	Mrs. Markham
618867	410978	Peggy Snow (1997-2000)
618868	12332	Mrs. Hume
618868	40179	Waitress/Beth
618868	74423	Mrs. Wilkinson
618868	74424	Leslie Handleman
618868	79283	
618868	80483	Female Cop
618868	80691	Reporter
618868	160589	Lauren Urbina
618868	160590	Lauren Urbina
618868	216726	Sally Po
618868	271961	Taylor
618868	291457	Local anchorwoman
618868	381562	Sandra Cassandra
618868	384080	Teresa Wong
618868	398000	Sally Po
618868	404062	Panther
618869	5718	Lunchbox
618870	112755	
618870	264537	
618871	55961	
618871	108718	
618871	166549	
618871	355002	Sra. Fernandez del Rincon
618872	287695	Madre de Santa
618873	24603	Carmen
618873	69332	
618873	192932	
618874	4553	
618874	77242	Nannina
618874	207772	
618874	328040	
618874	342158	
618874	354716	
618874	355002	Nodriza
618875	28871	Patricia
618875	324321	Receptionist at Hotel des 3 F
618875	377800	Nina
618876	63677	Simone
618876	377635	Mademoiselle d'Aumale
618876	377715	
618877	17194	L'assistante sociale
618877	27918	Gérante
618877	53234	Mme Nutz
618877	56948	Soeur Gérard
618877	70589	Une cliente
618877	71952	
618877	77362	Blanche
618877	83201	
618877	86794	Une mère
618877	96198	Madame Pedro
618877	110192	Mother of Lingerie Man
618877	115360	
618877	120403	Tante Billy
618877	123064	La soeur du pélerin/La soeur 
618877	124419	
618877	166283	La dame de l'école
618877	201183	
618877	211649	
618877	232083	The Polish woman
618877	240284	La mère supérieure
618877	303136	Landlady
618877	309689	Madame Saury
618877	339796	
618877	345152	
618877	346428	Mme Léo
618877	346441	La secrétaire de la prison/Pr
618877	348730	Mme Crémière
618877	377017	
618877	378022	Mlle Pinat
618877	378866	La veuve (ep.5)
618877	380260	Sigisbert
618877	381245	
618877	381590	Mme Ledoux
618877	383178	
618877	384032	(1968)
618877	386095	Mme Chanlat
618877	387659	La concierge
618877	389004	
618877	389145	
618877	391930	
618877	393718	
618877	396135	Mlle Bérard
618877	399106	
618877	400681	Mme Duchemin
618877	404281	Mrs Gaspard Acquin
618877	404914	Bertha
618877	409440	
618877	412251	Mistress Louise
618878	48227	
618878	118091	Fermière
618878	162613	Dame agée
618878	246839	Anna
618879	302076	
618880	79117	
618880	97104	
618880	203837	
618880	219942	
618880	246554	
618880	251733	
618880	287828	
618880	318161	
618880	385703	Salve
618881	1745	Host
618882	396718	
618883	80869	
618884	120285	High School Student
618884	128727	Dancer
618884	209114	Award Presenter
618884	222569	
618884	235061	Church Goer
618884	270892	Back up singer
618884	273307	Party Girl on surfboard
618884	292291	Boat Passenger
618885	136548	Jasmine
618886	13099	The Aunt
618886	53895	Ester
618886	363658	
618887	70184	
618888	210383	
618889	210691	
618890	213798	
618891	3430	Ana
618892	231110	Daughter #2
618893	122390	
618893	174131	
618893	222184	
618894	117424	Stenographer
618895	65613	
618895	101818	Geneviève
618895	111019	
618895	202090	La standardiste médicale
618895	211152	Carla
618895	345378	Child
618895	384288	Jessica Leroy
618895	389242	Lola
618895	392366	Isabelle
618895	409087	Michèle Delmas
618895	412017	Irène de Chabannes
618896	67586	Telephone Co. Clerk
618896	93139	Cora's Sister
618896	117154	Herself
618896	188333	Biggie's Crony #1
618896	275682	Concetta
618896	284859	Talya
618896	310417	Miss Taylor
618897	43883	Hot Traxx dancer
618897	68232	Dancer
618897	149258	Cotton Club Dancer
618897	290319	Sharon
618897	374418	Miss Baker
618898	74247	Girl
618898	185369	Beach Girl
618899	109408	Danseuse pub Fast Burger
618900	164688	Copian
618901	155643	
618902	138506	
618903	130724	
618903	218308	Muriel
618903	248931	Murielle
618903	268417	Chantal
618903	281270	Lady Capulet
618904	92554	
618904	101346	
618904	280790	
618904	290765	
618905	1366	
618905	3509	Invitata
618905	14377	Nun
618905	17815	Nilde Jotti
618905	45890	
618905	56352	Mrs. Mattei
618905	57329	La moglie dell'oste
618905	63736	
618905	68651	Maria
618905	71450	
618905	74882	
618905	75265	
618905	81526	
618905	89908	
618905	157855	Cameriera di Santenocito
618905	162651	
618905	200510	
618905	205273	
618905	207939	Maria
618905	211509	Costanza's relative
618905	217765	Waitress
618905	226401	Anastasia
618905	282082	
618905	291669	Willing Maid
618905	315844	
618905	316520	Amica di Marisa
618905	328205	
618905	339808	
618905	353335	
618905	357564	
618906	126317	
618907	288465	Demon
618908	280126	Carla
618909	74907	
618910	222746	Pitch woman
618911	55405	Herself
618911	284224	Fille couple d'amoureux
618912	25764	Female Nurse
618912	215015	
618913	112732	
618913	186249	
618914	213654	Bosslady
618916	104751	French entry (2nd place)
618917	315631	Garden party girl in dream se
618918	337110	Beatrice Quamperdene
618919	141666	Wendy
618920	341913	Une cousine
618921	195771	Person in Casino
618921	353632	
618922	215136	Alice/Anna
618923	126319	
618924	96206	La prof
618925	27757	
618925	199692	Governess Antonie
618925	373402	Anicka, mlynárova dcera
618925	373403	Julinka
618926	110158	
618927	44659	Moza
618928	191054	Tati
618929	239284	
618930	17198	Mamá Familia
618930	57428	
618930	398816	
618931	140701	
618932	234368	
618932	258125	
618933	119232	
618933	263776	
618934	154899	Zombie
618935	332598	Mujer 1
618936	380065	La Nena Sánchez Gabito
618936	380963	Begoña
618936	385401	Claudia
618936	389667	Host
618936	396211	Mercedes
618936	399823	Blanca
618936	402917	Hortencia Buenrostro
618937	170100	Madre Quique
618937	184369	Concierge
618937	185635	Restaurant Diner
618938	365672	Onderwijzeres
618939	268168	
618939	387919	
618940	101	Martha
618940	10205	Fernande
618940	13041	La mère de Julien
618940	14534	
618940	20072	L'épicière
618940	22688	Bonemine
618940	23632	Julie Poissonnard
618940	28153	Blanche
618940	28570	Maryvonne
618940	30284	
618940	31016	Sylviane Chabry
618940	33554	Marion
618940	40499	Lina Greff
618940	44828	Germaine
618940	45736	Monique
618940	46800	Emine
618940	51109	Cruche
618940	51805	Barberine
618940	54359	Maria Lenormand
618940	56078	The Baker's Wife
618940	57894	L'étonnée
618940	63929	Mme Toffi
618940	64665	Herzogin
618940	69945	Loretta
618940	70750	Athénaïs
618940	71526	Sherri
618940	73078	Clo
618940	73141	Cameo appearance
618940	75234	
618940	79847	
618940	83216	Arlette Guillaume
618940	83880	Lydia
618940	86833	
618940	86889	Mrs. Pervenche
618940	86895	Mrs. Pervenche
618940	89849	Anna Niehoff
618940	90730	Ottavia
618940	91975	Marthe Maurin
618940	94734	
618940	95907	
618940	99362	
618940	100168	Germaine Hansen
618940	108107	
618940	113681	Francesca
618940	118777	Pica, Francesco's Mother
618940	122171	Wife
618940	123064	La cliente au portrait
618940	123941	
618940	124326	Claire Dumas
618940	127986	Rosy Bloch
618940	130963	Andréa, Marie
618940	132953	Andrea
618940	138497	
618940	144317	Simone
618940	155485	Herself
618940	155884	Wanda
618940	157302	
618940	158877	Tatiana Negulesco
618940	160061	Mary
618940	161992	L'hôtesse
618940	170110	Regine Sauvat
618940	170531	Evie
618940	178582	
618940	183915	
618940	184051	Extra (unconfirmed)
618940	188636	Julia
618940	188689	Herself
618940	190411	
618940	195184	Mignette
618940	195227	La mère supérieure
618940	196822	Lucienne
618940	197005	
618940	199332	La bouchère
618940	199943	Dolores
618940	200938	Mariette
618940	205776	Ida
618940	210383	
618940	214233	Aphrodite
618940	215056	Monique
618940	215104	Jeanne
618940	224533	Kamma
618940	232081	Hélène de Ville
618940	233917	Lidia
618940	236164	Cora
618940	236543	Mme Adélaïde Gagnon
618940	240293	Magda
618940	245954	Dame Poulet
618940	249205	La voisine
618940	254520	Carlotta
618940	255029	
618940	256993	Lou
618940	262934	Marie Servettaz
618940	264951	Élisabeth Worms
618940	265736	Dora
618940	270824	Stefanutti
618940	271371	
618940	276549	Cécé
618940	282292	Princesse Hortense
618940	289444	Juliette
618940	291107	La prostituée en colère
618940	294910	Maria
618940	301371	
618940	307341	Leonora
618940	308268	La reine noire
618940	308885	Marguerite
618940	316674	Rhoda
618940	318515	La boulangère
618940	322358	La dame en blanc
618940	322861	Madame Pervenche
618940	338634	
618940	338668	Raffaele's Wife
618940	338980	Chloe Granval
618940	339796	Noemie
618940	343409	
618940	345072	Dolores
618940	346730	La femme du Roi de la Nuit
618940	352234	Maddalena
618940	353144	Noemi
618940	357782	Concetta
618940	358219	Karla
618940	366183	Theresa
618940	366270	Clara Montana
618940	370057	Georgette Réglisson
618940	374291	Alba Bewick
618940	375237	Teresa
618940	376500	Mlle Gabriel/Mlle Gabriel Old
618940	377951	Joséphine, la femme de Thomas
618940	384530	Madame Pervenche (Mrs. Peacoc
618940	386771	
618940	391632	Marie
618940	396839	Yvonne
618940	396966	
618940	397473	Various characters
618940	401816	
618940	402160	Stefania
618940	404258	Jacqueline Duplessis
618940	405800	
618940	409732	
618941	368741	Doris Rabe
618942	234954	
618943	17868	Stella's mother
618943	19839	(segment "Enigme")
618943	23800	Martine
618943	54061	La 'sorcière'
618943	84106	Margot
618943	84634	La tragedienne
618943	132800	Jane la voisine
618943	142510	Erika
618943	190992	Marie
618943	213840	
618943	225375	
618943	278911	Margritte
618943	280553	La reine Marguerite
618943	340211	
618943	345082	La comtesse Sophia Delyanoff
618943	381323	Estelle
618944	209218	Liza
618945	379450	Fátima
618945	384480	Telminha
618945	385024	Ritinha
618945	387838	Erica Berger
618945	387902	Gisela Rios
618945	396610	Angela (1997)/Carla (1998)
618946	290561	Fernsehreporterin
618947	12379	Martha
618947	144140	Fanny
618948	221884	(segment "El coche tapizado d
618949	69522	Caissière grand magasin
618950	26971	Party Animal
618951	55162	X-Ray Tech
618952	165901	La Collegue de Bureau
618953	326741	Dancer
618954	73116	
618954	83989	Kate Jessie
618954	333055	Hope
618955	55334	
618956	158784	Party Guest
618957	222212	Rhonda
618958	81475	Susan
618959	111117	
618960	270840	
618962	217855	Thi Chin
618963	386208	
618964	374734	
618965	34977	Camera Girl
618966	97503	
618966	199684	Blonde
618966	294753	Lt. Read
618967	191881	Carol Evans
618968	189831	
618969	380430	
618970	308311	
618971	306669	
618971	307259	Ciru
618972	292089	
618973	292089	
618974	292089	
618975	245207	Jane
618975	252929	Doris
618977	12379	Salchen
618977	27431	
618977	179762	Sekretärin
618977	300807	
618977	309039	Frau Hoess
618977	365012	Luise
618977	366548	Julie
618977	390811	
618977	403410	Marianne Gräfin Artenberg
618977	404432	Bardosch
618977	410813	Gerlinde
618978	40958	Protokollantin
618978	257267	Interviewer
618979	77624	Natasha
618980	270817	
618981	112632	Mrs. Thompson
618981	145638	Jeanne, Student
618982	334011	Featured Goth
618983	9500	Koula
618983	20572	
618983	190868	Alki
618983	276979	
618983	312920	Helen
618983	349942	
618983	387415	Natalia Mela
618983	402244	
618983	409862	Marina
618984	358331	Charlotte
618985	241899	
618986	313135	
618987	390242	Maja (1995)
618988	247552	
618988	291592	Nina
618988	299421	
618988	334998	Tanya
618989	355395	Gloria
618989	380390	Terry Davidson Phillips (1981
618990	49345	The Specialist
618990	63747	Lana
618990	262113	
618990	380005	Ice
618991	23601	
618991	44723	Juan's Wife III
618991	383365	Agaupe
618992	245496	SWAT Captain
618993	326607	Girl at Party
618994	158902	Woman #1
618995	11946	Tanya
618995	119626	Tracy
618996	16076	Receptionist
618996	23076	Menna
618996	233249	
618996	376980	Houda
618997	145083	Herself
618998	107453	Young Maggie
618999	277839	
619000	144763	Delia
619001	35704	
619001	49720	Mary
619001	83912	Maggie
619001	147767	Cheetah
619001	148416	Ruby
619001	183305	Queenie
619001	198920	Tiffany
619001	217502	Stacie
619001	231779	Kirstie
619001	274096	Elaine
619001	334235	Bianca Torres
619001	345980	Charis Franklin
619002	338658	Solo performer
619003	289372	Featured Extra
619004	206924	Elizabeth's Servant
619005	40402	Mariechen
619005	121050	
619005	129708	
619005	142094	Eva Wandel
619005	226333	
619005	337135	Frau im Wohnwagen
619006	317657	Miriam Below
619008	6627	Denise Aubusson
619008	8876	Natasha, la Reine
619008	8936	Tante Flô
619008	14828	Suzanne
619008	15118	Mlle Raucourt (segment "Les c
619008	25128	Diane
619008	29812	
619008	42213	La dame en blanc
619008	43705	
619008	54185	Lyria
619008	58235	Fernande
619008	58532	Madame Bastier-Wagener
619008	65089	Mme Larivière
619008	70738	Régine
619008	73195	Dona Lucrezia
619008	77350	Mme Zihler
619008	77351	Audrey Greenwood
619008	80230	La comtesse Sophie Chotek
619008	94535	Antoinette de Langeais
619008	94536	Princesse Beaumont-Chauvry
619008	97732	
619008	97733	Herself
619008	100281	Viviane Gobillot
619008	111707	Edwige Elno
619008	113525	La Maitresse
619008	116473	Aurélie, la Folle de Chaillot
619008	120876	Sabine Gravières
619008	131081	Claudia
619008	136665	Narrator
619008	149193	Catherine Roussel
619008	155680	Nastasia Philipovna
619008	156314	
619008	164210	
619008	170419	Julie de Carneilhan
619008	197060	Lucrèce
619008	197062	Lucrezia Borgia
619008	202591	Cora Pearl
619008	202592	
619008	204983	Ketty
619008	206602	Marthe Richard
619008	207943	Helena Schweringen
619008	215133	
619008	216002	Lady Helena Scarlett
619008	218249	Peggy Riccardi
619008	240036	
619008	244069	Aunt
619008	249356	Agnes Noblet
619008	253211	
619008	268948	Maine
619008	282492	Suzanne
619008	287596	Evelyn (Babs) Morin
619008	291559	Giuditta Passani
619008	294603	Princesse Nadia Vronskaïa
619008	309983	Florence (segment "Une statue
619008	315830	
619008	324619	Ariane
619008	334787	
619008	335898	Suzy Courtois aka Coco
619008	341504	Grand-Mère
619008	346718	Adolphine
619008	353938	Françoise Sellier, ex-Carreau
619008	356405	La comtesse Viana
619008	367471	Colette Marly
619008	377809	Christiane
619008	383997	Liane
619008	384301	Marguerite
619008	385609	Alix
619008	409436	Valentine de Vauquelin
619009	105620	
619010	268005	Sybille
619011	377792	
619012	116979	Grandmother
619012	249420	Mrs. Weinstein
619012	368224	
619013	11386	Dr. Betty Ahrens
619013	34669	News Editor
619013	141384	The Doctor
619013	185735	Hairdresser
619013	190906	Peggy Feury
619013	199163	Mother Coll
619013	231106	Nicole's Mother
619013	243742	Aunt Martha
619013	274421	Mrs. Wilson
619013	308005	Dr. Klemperer
619014	41416	Virginia
619014	47588	Jill
619014	81767	Waitress
619014	84198	Carly
619014	191746	Ruby
619014	251194	Woman In Window
619014	312557	Jules' Friend
619015	64659	Bungee
619016	104896	Mrs. Emerson
619017	161424	La gardienne
619018	29952	
619020	204919	
619021	40300	Apartment buyer, girl
619022	397888	Herself (2002-2003)
619023	148350	Alexis
619023	205165	Suicide Girl
619023	210543	Valerie Monroe
619023	350343	Hot Senior
619024	367724	Young Martha
619025	51989	Aerobic Girl
619026	151116	Circle of Light
619027	77303	Dienstmädchen bei Meiners
619028	240429	
619029	313549	Executive
619030	224379	
619031	5953	
619031	27021	
619031	36889	Tall Buxom Red
619031	36900	
619031	36902	
619031	37431	Tall Buxum Red
619031	37455	
619031	37456	
619031	41636	
619031	61235	
619031	102483	Tall Lesbian
619031	105725	
619031	106489	
619031	113168	Tall Buxum Red
619031	113583	
619031	126109	Herself
619031	128554	Sana
619031	150043	
619031	150050	Contestant #17
619031	184950	
619031	185729	
619031	191143	
619031	191357	
619031	197852	Lesbian
619031	219149	
619031	228022	Herself
619031	228025	
619031	228078	Herself
619031	242551	
619031	243092	
619031	273298	
619031	333835	
619032	211695	
619033	44983	
619034	2787	Herself
619034	81981	Additional Voices
619034	206629	Southern Lady
619034	209133	Ms. Norbury
619034	228970	Herself
619034	232131	Herself
619034	288706	Herself/Various Characters
619034	288718	Herself/Various Characters
619034	288719	Herself
619034	292253	Herself
619034	306141	Herself (Host)
619034	352979	Bjork
619034	404337	Various (2000-)
619035	169136	Chorus
619035	401505	Herself
619036	401505	Herself
619037	169136	Child Chorus
619037	401505	Herself
619038	169136	Child Chorus
619039	262125	
619040	159550	Sewing Girl on Train
619041	194836	
619042	25111	
619042	32279	
619042	44999	Lola Robert
619042	83266	Janine
619042	91241	
619042	133055	
619042	208809	
619042	235815	
619042	257000	
619042	354034	Jacqueline
619043	23886	Madame
619044	344074	Britta
619046	353878	Nzazi
619047	31018	Extra: Metro
619048	330286	Suzanna
619049	28862	Kelly
619049	83967	Karen
619049	105270	Maggie
619049	223762	Vicky
619049	283601	
619050	213143	Martha McBain
619050	239534	Queen Elizabeth I
619051	274332	Dancer
619052	50024	Gran
619052	50238	Woman
619052	84927	Countess
619052	124346	
619052	126717	Pianist
619052	187861	Hilda
619052	207402	The Dowager
619052	239717	
619052	255329	Lady Agatha
619052	277692	Anne of Bohemia
619052	341482	Mary Tudor
619052	366767	Granny Rigg
619053	212100	Poet/Prostitute
619053	304849	Jill
619053	353885	Latifa
619054	104974	Gina Delano
619055	255108	
619056	27243	Tina Daven
619056	80619	Fiesta Dancer #11
619057	302678	
619058	385289	Assistant
619058	398953	Dancer
619059	27920	
619060	53697	
619061	36539	
619062	62589	Lefnerova
619062	106033	Petra
619063	11441	Sister Libertine
619063	43651	Paula Bonhoeffer
619063	219293	
619063	229555	Mrs. Mrzenova
619063	261380	Stadlerova
619063	375824	Neighbor Woman
619063	387113	Mother Ramallo
619064	48334	Martina
619065	262507	Helena
619066	306100	Girl
619067	7238	Countess Thunova
619067	15806	Frau Schaffroth
619067	16200	Directress
619067	26177	Lady
619067	51091	Grandmother Líba
619067	56027	Mme. Lodrova
619067	78638	Marjánka
619067	82802	Journalist
619067	88669	grófka Prónayová
619067	95995	
619067	98350	
619067	108866	Lady Clarence Hamilton
619067	153359	
619067	165819	Maria Nikolajevna
619067	171531	Designer
619067	179882	Alice
619067	190980	Tornado Lou
619067	198356	Boba's mother
619067	221866	Gradecka
619067	223532	Sýkorová
619067	225872	Trojanová
619067	244138	The countess
619067	247948	Paní Mlha
619067	249437	Lover
619067	249814	Old lady
619067	257482	
619067	266975	Sámková
619067	284477	Pepa's mother-in-law
619067	304197	
619067	304491	
619067	305827	
619067	315935	
619067	339281	Matylda
619067	346780	Old Mancinka
619067	356460	Cernekova
619067	357290	Alice Pokorny
619067	357436	
619067	357951	Vera
619067	374531	Dása
619067	384174	Lebuschka
619067	388152	Josefina Dusková
619067	392081	Lili
619067	399868	Mrs. Zdena
619067	401806	Helena
619067	402369	Mrs. Dvanáctá
619067	412004	Nová
619068	231421	Herself
619069	44820	
619069	62405	Mother
619069	85220	
619069	88214	Divá Bára
619069	94278	
619069	95061	
619069	136648	
619069	167032	
619069	169722	Director
619069	187381	Mechmene Banu
619069	231692	Alzbeta
619069	237172	
619069	237540	
619069	237697	Irena
619069	259292	
619069	310270	Alzbeta Hohenzollernská
619069	324133	Straková
619069	336823	Mrs. Abraham
619069	357919	
619069	373417	
619069	375402	
619069	375417	Miss
619070	26540	Erna
619070	223591	
619070	226838	
619070	311878	
619070	324334	
619070	374227	Catherine
619071	111856	
619071	225755	Herself
619072	5073	Antonietta
619072	108106	Anna Bartolla
619072	212580	Chiromante
619072	351611	
619073	272892	Karin Weichselbaumer, age 15
619074	382776	Vitória
619074	400444	
619074	401010	
619075	81694	
619076	42687	Shelly Randall
619077	18836	Violeta
619077	103410	Cecilia
619077	389235	Malena Chamorro
619077	408856	
619078	282781	Pierre
619079	287732	Sasha Vicenti
619080	63890	
619081	219553	Rita
619082	1756	
619083	98652	Carolina
619083	127288	Rachel
619083	370851	Margaret
619084	1792	Miss December 1985
619084	257644	Miss July
619084	257859	Herself
619084	327405	Gabrielle
619085	42685	Herself
619085	92639	
619085	172658	
619085	177128	
619085	237291	Kvinde (mor)
619085	291615	Gunhild, Blå Ven/Blue Friend
619085	307769	Rosalinde
619085	314992	Herself
619085	315388	Carla
619085	393861	Skovfeen
619085	403138	Ingrid Dahl
619086	69370	Police officer #1
619086	169652	La mère de Juliette
619086	254014	Ève
619086	383002	Colette Renaud
619086	389304	Mona Gagnon
619086	407360	Luce Grandmaison
619088	68435	
619089	384427	Giselle
619090	266568	Reporter
619091	201598	Cult Follower
619092	41552	Receptionist
619093	68437	Assunta Baeri
619093	202576	
619094	44213	Sestrata na Skulptora
619095	66234	
619096	125229	
619096	156984	
619096	163078	
619098	224344	Little Girl
619099	100458	
619100	24423	
619100	311068	
619101	411045	Herself
619102	86536	
619103	253711	
619104	302469	
619105	141733	Camp Magnolia Girl
619106	2010	Herself
619106	3593	Ruth Martin
619106	174623	Helen Johnson
619106	203342	Gwen Seward
619106	266810	Rose Bucher
619106	379716	Ruth Parker Brent Martin, R. 
619106	387309	Sally Smith (1961)/Dr. Kather
619106	399837	Liz Thorpe, R. N.
619106	411811	Miss Long (1961)
619107	105313	Candy
619107	164589	Megan
619107	312542	Jennifer
619108	90454	
619108	275518	
619108	356029	
619109	213324	Dwarf
619110	112736	
619111	310045	Dolores
619111	393151	
619111	401358	
619112	31541	Conductora
619113	401871	Lollipop singer
619114	231659	Marcia
619115	42677	Singer
619116	30523	
619116	96476	
619116	172001	
619117	99055	Young Cobalt
619118	63945	
619119	54996	Dama III
619119	136798	
619119	164028	
619119	179599	
619119	397373	
619120	103280	Blind Woman
619121	304683	
619122	48169	Captive woman
619122	105906	Exotica Club dancer
619122	113883	Debbie Carlson
619122	137470	Henchwoman
619122	166904	'B' Movie Actress
619122	194405	Bathtub Girl
619122	210867	Thug Woman
619122	248149	Rialla Frost
619122	274016	Nurse
619122	286425	Dancer two
619122	294140	Nurse
619122	310550	Women at the Party
619122	347242	Waiter
619123	241650	Nurse
619124	78313	Sammy
619126	198499	Anna
619127	371962	Serving Wench #4
619128	386803	
619129	18417	Tuonentytti
619130	392984	Anne
619131	197835	
619132	71643	Frau Hecker, Train Conductor
619132	95387	Oma Dölling
619132	179758	Miss Kranbaer
619132	220943	
619132	270546	Fräulein Hirschwitz
619132	337135	
619132	389948	
619133	9088	Debbie
619134	367951	Herself
619135	77101	Helusia
619136	134464	Tänzerinnen und Tänzer im Var
619137	132536	Mausi
619137	139409	Countess
619137	142195	Angela
619137	150080	The Music Teacher
619137	175321	
619137	199000	
619137	224501	Myriam
619137	256401	Sängerin
619137	280835	Dental Assistant
619137	287978	Eva
619137	318746	Helga
619137	365591	Glora Cadillac
619137	395644	Bambi
619138	380700	Heidi
619139	104661	Stubenmädchen
619140	210700	Policewoman
619141	25332	
619141	85608	
619141	344606	
619142	101741	
619143	126449	Anne Bohler
619143	189686	Kim
619143	351932	Isabelle Neumann
619144	101942	Isabelle
619144	343201	Cookie Girl
619145	35498	Frau in Beratungsstelle
619145	42181	
619145	178233	Frau
619145	229169	
619145	259530	
619145	259638	
619145	284999	Frau von Bieth
619145	312098	
619145	347614	
619145	352042	
619145	352367	
619146	272187	Hannelore
619147	375171	
619148	171537	Mrs. Nevyjelova
619149	8578	Madame
619149	12937	Czechoslovakian actor
619149	250446	
619149	258628	Lane Surveyor Tumová
619149	339277	Supporting director
619150	9608	
619151	5913	Herself
619152	149358	
619152	314862	
619153	95262	
619153	140247	Belinda
619153	337135	Toxi
619153	347660	
619154	8916	Jacqueline
619154	14918	
619154	15078	
619154	15912	Caroline
619154	23243	Madame Lambert
619154	23702	
619154	23811	Mme Marinier
619154	53104	Greta
619154	58311	
619154	64248	Florence Forestier
619154	66793	
619154	77361	
619154	111080	
619154	113447	Anna
619154	153539	
619154	193434	Hélène
619154	201177	
619154	217213	Mme de Trévise
619154	218293	
619154	230204	
619154	257886	
619154	258123	
619154	259257	
619154	274756	
619154	275111	
619154	282065	
619154	332193	
619154	332923	
619154	335222	
619154	345105	
619154	345480	
619154	352631	
619154	354459	
619154	355272	
619154	356987	
619155	158102	Young Gymnast
619155	304752	Gina
619155	335708	Swan Girl
619156	263265	Reporter
619157	17323	Amy
619157	26287	Melinda Bitterman
619157	48939	Annelle Johnston
619157	78530	Nancy, USGS Crew
619157	110523	Manager's Wife
619157	119328	Cari
619157	130201	Lucy Palotti
619157	186448	Celia
619157	221174	Patti
619157	226954	Tammy Taylor
619157	228313	Assistant to Dr. Chase
619157	230682	Female Jury Member
619157	254595	Claire Hollowell
619157	259939	Lori
619157	328594	Joyce
619157	330217	Celia
619157	358463	Ann
619157	381064	Melinda Bitterman/Various Cha
619158	372494	Daughter
619158	382286	Various Characters
619158	385824	Angela Moroni (2000-2001)
619159	139776	
619160	12147	Rachel
619161	3005	Mrs. Florrie Pether, Charles'
619161	5987	Herself (Woman of Sin sequenc
619161	19960	Mary Elizabeth Cugat
619161	38578	Stella Johnson
619161	42068	Kay Grant
619161	50097	Grace
619161	50614	Mrs. Fanny Thurber
619161	70341	Mrs. Ellen Ringerman
619161	115256	Henrietta
619161	133622	Daisy Buchanan
619161	133718	Elizabeth Morton
619161	150754	Cora McKinney
619161	151653	Thelma
619161	177689	Cassandra 'Cassie' Tower
619161	238522	Mae
619161	254330	Nellie Cross
619161	255264	Flo Owens
619161	295414	Lola Pratt
619161	298438	Sammy Lane
619161	309939	Nona Tucker
619161	335358	Leona Richards
619161	353520	Alma
619161	362087	Barbara Pearson
619162	154709	Club Leader
619162	338155	Waitress
619163	176778	Nancy LaPond
619164	365988	Field Mouse
619165	245541	Student
619166	224635	Collie
619166	263600	Mary Martin
619167	16327	Thalice Whitney
619167	26644	Jaimie Fletcher
619167	38590	May
619167	68309	Western flight attendant
619167	68768	Michelle Dolan
619167	78835	Annie Pangborn
619167	81276	Darla
619167	95475	Wendy Robinson
619167	106376	Kelly Daniels
619167	115588	Cathy
619167	139467	Virginia Slim
619167	154869	Screen-test actress
619167	158865	Camilla Ebury
619167	159200	Christine Johnson
619167	185096	Sarah Hallenbeck
619167	207530	Teela
619167	222619	Ellie
619167	230124	Megan Michaels
619167	232392	Samantha
619167	240328	Annalisse
619167	252825	Randy
619167	264409	Katherine Walker
619167	282722	Marnie Paymer
619167	303975	Amy McKenna
619167	305987	Peckham
619167	329058	Mattie
619167	347571	Penny Hunter
619167	364709	Karen Christianson
619167	368993	Margaret
619167	380240	Rae Dawn Snow
619167	382832	Chris Barnes (1988)
619167	383378	Cassy Swann
619167	399450	Samantha "Sam" Sullivan
619167	405839	Herself (Solid Gold Dancer) (
619168	36871	Bag lady
619168	38619	Mrs. Columbato
619168	70359	Angela
619168	219558	Jeanette Marino
619168	267568	Movie Audience
619168	270622	Abercrombie Couple
619168	301933	Maggie Andrews
619168	305390	Cookie Store Customer
619169	270875	
619169	270876	
619169	270881	
619170	360621	Mrs. Langley
619171	278	Betty
619171	5425	
619171	19975	
619171	30071	
619171	40827	Priscilla Islip
619171	41878	Wild Rose
619171	50897	
619171	89143	
619171	90185	Tulip Hellier
619171	128655	Madge Rathbone
619171	136164	
619171	137466	Wife
619171	141461	Alice Gaynor
619171	145907	Extravagant Wife
619171	145951	Dance-hall girl
619171	146237	Bride
619171	146254	Wife
619171	166240	Bit Role
619171	170755	Betty Castleton/Jungle Goddes
619171	175612	Luzelle Hineman
619171	191800	Mattie Moore
619171	241095	Virginia Meredith
619171	267566	Betty Marsh
619171	269360	Stock footage from 'The Jungl
619171	274396	Louise Ainslee
619171	302759	Ruth Randolph
619171	315090	
619171	361784	
619171	362445	
619172	241277	Beautiful girl
619173	99189	Hanna
619173	220092	Esther Waldman
619174	168981	Nanny
619174	196946	Ghost of Mrs. Dewey
619175	5842	Jennie Lee
619175	27089	The Wife
619175	27301	Gladys Pierce
619175	27302	
619175	27303	Alice Selling
619175	31798	Nan Conners
619175	44288	The Ranger's Girl
619175	49534	
619175	57054	Gladys Brown
619175	70931	Ann Newton
619175	72251	Katie
619175	72303	
619175	72349	The Cowpuncher's Ward, as an 
619175	92502	Bernice Lanyon
619175	94612	
619175	115643	
619175	117629	Agnes
619175	117739	Katy
619175	123301	Alice Thomas
619175	128400	
619175	138403	
619175	138406	
619175	196909	The Woman
619175	218484	Maizie Mackley
619175	223267	Mrs. Dugan
619175	246928	Marie Wentworth
619175	267169	The City Girl
619175	271987	
619175	280989	The Rancher's Daughter
619175	298523	Jessie Phelps
619175	298526	Nita Sanchez
619175	298547	The Sheriff's Daughter-in-Law
619175	311155	Nora Flannigan
619175	312778	Miss Lacey
619175	316928	Mrs. Logan
619175	332162	Nell Ollcott
619175	337014	
619175	339462	Dorothy Sloane
619175	343097	
619175	347325	
619175	361742	
619176	24783	Sybil Price
619176	41772	Woman at Doctor's office
619176	125884	Old Lady
619176	133756	
619176	329536	
619177	237941	
619177	280155	Rider #2
619178	83990	Carrie
619178	348298	Jacquette McNabb (in prologue
619178	354500	Rosemary as a Child
619178	363570	Gertie Franklin
619179	329669	The Governess
619180	106493	Office Staff
619180	339597	Psychiatrist
619181	397182	
619182	292817	Passer By
619182	323385	Mrs. Ford
619183	374638	Angvisa Girl
619184	117115	Gunella
619185	411809	Nurse Emmy King (1982)
619186	130948	Ingrid
619186	141141	Rico
619186	168648	
619186	195763	Barbara
619187	48618	Polizistin
619187	50687	Donna nella garconniere
619187	102881	
619187	102910	Herself
619187	111375	
619187	111740	Karin
619187	115946	Karin Schumann
619187	187258	
619187	189788	Victoria
619187	216039	Priscilla, Niorkos Frau
619187	225155	
619187	229650	Julia
619187	272563	Jean
619187	278975	
619187	290652	Rosanna
619187	312597	
619187	316356	Berta
619188	118546	Mrs. Foley
619188	194139	Nurse
619189	36571	
619189	53192	
619189	53218	
619189	61306	
619189	69831	
619189	128180	
619189	128207	
619189	146273	
619189	249026	Fat Girl
619189	283381	Large student
619190	35663	Cora
619190	36985	Second Secretary
619190	40102	Nita Riordan
619190	40441	Nurse
619190	41930	
619190	54651	Ruth
619190	55624	Servant Girl
619190	58477	Dell Dawson
619190	77024	Mary Lewis
619190	83834	
619190	116896	
619190	117114	Julie Brice
619190	160342	Barbara Linden
619190	163477	Janie (teenager)
619190	167877	
619190	183443	Girl at cocktail table
619190	203057	Enid Elliot
619190	216926	Evelyn Brown
619190	223952	Alice, Rhinelander's Secretar
619190	231925	Agnes
619190	244841	Lowell schoolgirl
619190	246603	Mother of Betsy
619190	247045	Guest
619190	253126	Juliet in show
619190	271111	Mary Morrell
619190	278080	Maid
619190	286808	Spectator
619190	304993	Hat Check Girl
619190	306490	Edna Wallace
619190	315749	Sally Rogers, Will's Sister
619190	316281	
619190	340391	
619190	350069	
619190	361176	Cousin Hattie - photo
619190	373198	Polly
619191	385299	Hilda Duvene
619192	69381	Mrs. Dimwiddy
619192	218317	Doris Braddock
619192	385299	Mrs. Prewett
619193	215664	Miss North Dakota Teen USA (T
619194	71	Second Bride
619194	7498	Nancy
619194	7512	Mrs. Collins
619194	13351	Millie, Mrs. Updyke's Maid
619194	16074	Nurse
619194	16471	Lingerie saleswoman
619194	18862	Mrs. Mason
619194	26070	Nurse
619194	28441	Miss Totten
619194	29967	Mrs. Thomas
619194	32352	Maid
619194	39205	Maid
619194	46329	Miss Field
619194	52431	Elsie Lester, Roger's Secreta
619194	59799	Secretary
619194	60162	Music teacher
619194	61265	Miss Gilly
619194	69614	Peasant woman
619194	70301	Gracie Dunn
619194	70960	Felice
619194	72255	Myrtle Semple (Elly's secreta
619194	74288	Foster
619194	77767	Miss Jenny May
619194	78793	Movie Theater Cashier
619194	80947	File Clerk
619194	81023	Mrs. Bixby
619194	90299	Mrs. Arnold
619194	92505	Wife
619194	92526	Miss Nixon, Cookie's Nurse
619194	93669	Townswoman
619194	97496	Mary Jane Glennon
619194	104352	Housekeeper
619194	108328	Secretary
619194	109849	Mrs. Sweeney
619194	109860	Mrs. Benton, Farm Woman
619194	112507	Sandra Courtney
619194	118305	Mrs. Pritchard
619194	118321	Maid
619194	119848	Prue
619194	121586	Ranger leader
619194	124767	
619194	125863	Maid
619194	126513	Woman Judge
619194	128582	Woman on street
619194	128812	Mae
619194	130808	Nellie
619194	131454	Ada
619194	132047	Nurse Kruger
619194	133629	Amelia Hooker
619194	133727	Miss Frame
619194	133949	Woman
619194	142557	Cockney Maid
619194	142875	Anxious
619194	142948	Mrs. Sweeney
619194	144776	Miss Woodley
619194	145900	Carslake's Secretary (uncredi
619194	147973	Oxford's Secretary
619194	149384	School Board Secretary
619194	150934	Nora, Switchboard Operator
619194	151339	Eve, Evans' Maid
619194	151762	Susan Howard
619194	154476	Nancy
619194	154652	Crazy Woman
619194	155917	Telephone Operator
619194	161914	Passerby at Willie's House
619194	163297	Cashier at Restaurant
619194	168119	Boy's mother
619194	168678	Subscription Lady
619194	171217	Maid
619194	183418	Nurse's aide
619194	183742	Miss Field, Thin Woman in Boo
619194	183822	Florrie Bendix
619194	183836	Janie
619194	187473	Mrs. Barton
619194	188326	Nurse
619194	190264	Nora
619194	191588	Miss Wilson
619194	191833	Secretary
619194	195183	Mrs. Davis
619194	195816	Nurse in Italy
619194	197073	Irma Wilson
619194	198660	Girl Customer
619194	199466	Johns Hopkins Technician
619194	201305	Mother in railroad station
619194	203613	Maid
619194	212212	Agnes, the Epping Maid
619194	213465	O'Hara's Secretary
619194	214695	Martha Penteel
619194	214967	Dutch Girl's Mother
619194	215469	Mrs. Metz
619194	215926	Nelda Hamilton
619194	217345	Mrs. Graham
619194	218124	Clerk
619194	220788	Lady with Question
619194	221068	Wee Shop Clerk
619194	221124	Mrs. Hyslup
619194	221297	Miss Spriggins, Piano Teacher
619194	222672	Waitress
619194	224332	1st Maid
619194	236129	Passenger
619194	241134	Taxi girl
619194	241349	Tallulah 'Lulu' Digby
619194	241561	Maude Miller
619194	241752	Barnstead's Secretary
619194	244357	Nurse
619194	245178	Marny
619194	255819	Telephone Operator
619194	260864	Della, the maid
619194	263477	Ruth McNab
619194	263966	Mrs. Canty, Tom's Mother
619194	264171	Clara Stilwell
619194	264882	Sister Mary Theresa
619194	275694	Deborah
619194	277856	Mrs. Curtis
619194	280992	Elvira's Maid
619194	286343	Mrs. Riggs
619194	291780	Aggie Nelson
619194	294357	Chaperon
619194	294744	Mrs. Daly (Eileen's mother)
619194	295393	Mrs. Karrington
619194	296962	Phoebe Martia St. John Snell
619194	299503	Teacher
619194	303379	Librarian
619194	304504	Bessie, an attendant
619194	306810	Secretary
619194	308109	Woman
619194	308569	Miss Totten
619194	308653	Mrs. Favers
619194	309286	Telephone Operator
619194	315557	Woman on Bus
619194	315644	Piano Player
619194	317523	Ethel
619194	323940	Telephone Operator
619194	329948	Mrs. Crud (a patient)
619194	330664	Maid
619194	331354	Effie
619194	331356	Mrs. Stebbins
619194	331398	The Symphony Guild Secretary
619194	331451	Carrie Higginbotham
619194	334189	Mrs. Murphy
619194	335858	Maid
619194	337171	Miss Elsie
619194	337582	Alice Chapman
619194	340570	Della
619194	345860	Maggie
619194	346900	Receptionist
619194	347609	Miss Budge
619194	348328	Miss Murch
619194	358439	Woman with Cynthia
619194	358768	Bradford's Secretary
619194	361176	Secretary
619194	363190	Waitress
619194	363464	Hotel Maid
619194	363761	Hester, Trimble's Secretary
619194	365261	Jennie
619194	367970	Miss Hutchison, the Stenograp
619194	372277	Louise the Acuna Maid
619194	372932	Maid
619194	407135	Cathy Marion
619195	152396	The Woman
619196	143341	Young Field
619197	136822	Josephine Corcoran
619197	162097	Leila
619197	334757	Gianetta/Mabel 1/Yum-Yum 2/El
619198	116674	Diane
619198	293383	Mature Bar Woman
619199	269883	Sally Spender
619200	199927	Herself
619201	77672	Claudette
619201	300871	Singer
619202	2768	Herself - Best Actress Winner
619202	2775	Herself - Presenter: Best Act
619202	2809	Herself - Best Actress Winner
619202	2815	Herself - Presenter: Best Act
619202	2924	Herself - Presenter
619202	5150	Megan Carter
619202	7585	Herself
619202	7586	Herself/Host
619202	11554	Mary Follet
619202	11670	Herself
619202	13751	Herself
619202	26763	Amy Post
619202	29658	Host
619202	35781	Celeste Whitman
619202	46868	Jennifer Melford
619202	57672	Herself
619202	58022	Herself
619202	70426	Iris Prue
619202	79557	Aunt Betsey Trotwood
619202	87183	Herself
619202	100893	Mary Ellen
619202	106493	Karen McCann
619202	117874	Mrs. Gump
619202	131677	Herself
619202	143900	Carol Bell
619202	146806	Roselle Bridgeman
619202	148253	Christine Morgan
619202	148569	Sassy
619202	148570	Sassy
619202	149362	Gwen Doyle
619202	165302	Herself
619202	175535	Herself
619202	178063	Kay Villano
619202	187193	Rep. Victoria Rudd
619202	190887	
619202	201606	Herself
619202	206408	Jane Duden
619202	208634	Denise 'Dennie' Miller
619202	211563	Mrs. Bailey/Narrator
619202	218047	Vikki
619202	221259	Miranda Hillard
619202	222883	Emma Moriarty
619202	234984	Norma Rae
619202	235519	Betty Mahmoody
619202	243950	Herself
619202	257132	Edna Spalding
619202	267174	Lilah Krytsick
619202	282537	Herself
619202	288700	Mom
619202	289238	Valdine Wingfield
619202	305715	Carrie/'Frog'
619202	305716	Carrie
619202	306625	Celeste Talbert/Maggie
619202	314100	Mary Tate Farnsworth
619202	314252	M'Lynn Eatenton
619202	320026	Daisy Morgan
619202	321746	Sybil Dorsett
619202	331894	Herself
619202	356350	Herself - Choir Member
619202	360271	Mercy McBee/Evans
619202	363415	Mama Lil
619202	379660	Clementine Hale
619202	383802	
619202	385127	Justice Kate Nolan
619202	385782	
619202	388983	Sister Bertrille (Elsie Ethri
619202	389416	Trudy Cooper
619202	390048	Frances Elizabeth 'Gidget' La
619202	390110	Sally Burton
619202	411355	Bess Alcott
619203	10413	Carla
619203	16112	Iris
619203	22876	Mrs. Nolan
619203	31879	Dodo
619203	62922	Mary
619203	63654	The Governess
619203	77207	Cissy Kohler
619203	77463	Joan
619203	88881	Nurse Bancroft
619203	94201	
619203	101721	Tina Lapford
619203	115298	Susan
619203	126688	Anne
619203	131392	Three Graces
619203	131414	Elenor Wickham
619203	141140	Cathleen Doyle
619203	142384	Shirley McGee
619203	149739	Angela Banks
619203	151056	
619203	163491	Pretty Girl
619203	163589	
619203	177685	Ixchel
619203	183599	Mrs. Bolton
619203	194641	Girl
619203	194690	Girl Working at Taxi Garage
619203	196545	Madame
619203	197518	Girl
619203	203187	Polly
619203	205270	
619203	223698	Rachel
619203	241079	Angela Hopper
619203	251798	Diane Ashley
619203	270436	Mrs. Seth Smith
619203	288688	Doreen
619203	296990	Mrs. Clatterback
619203	301846	
619203	302128	
619203	323583	
619203	336713	Elaine
619203	342762	
619203	343881	Supreme Commander
619203	348532	
619203	359273	Daphne Caldwell
619203	381273	Jean (Pilot) (1995)
619203	382663	Peggy Heart
619203	396400	Elaine Dews
619203	404282	Pamela Capwell Conrad #2 (198
619203	410978	Linda (2001)
619204	6824	Queen Victoria
619204	32820	Alta Morag
619204	45886	Jan's landlady
619204	65757	Woman in Lane
619204	105069	Laundry Supervisor
619204	118925	Frau Brach
619204	203491	Old Woman
619204	234929	Mrs. Grim
619204	324028	Dr. Freud
619204	340583	Mrs. Porteous
619204	368413	Mrs. Richards
619204	382661	Jan's Landlady
619204	382662	Jan's Landlady
619204	382701	Daisy (Season 2)
619204	385299	Rose Cullen
619204	393491	Matron
619204	401224	Mrs. Bannister
619204	401381	Cook
619204	408091	Mrs. Monger
619204	410728	Mrs. Vincent
619205	178286	20th Waitress
619206	208087	
619207	11329	Lelia Delbert
619207	41085	Mrs. Williams, Housewife of A
619207	92526	Nurse Bordon in Children's Wa
619207	105584	Majorie
619207	113907	
619207	143355	Aunt Martha
619207	148273	
619207	170856	Mrs. Graves
619207	234223	Miss Campbell
619207	286197	Sophie (maid)
619207	314637	
619207	333074	Teacher
619207	356281	Beebe
619207	386053	Martha Wilson (1959-1962)
619207	398400	Mrs. Remington
619207	402245	Mrs. Gibbs
619207	404613	Pearl March #2 (1959-1960)
619208	62961	Tootsie
619209	10520	Dinah
619209	19164	Florence Knapp
619209	23222	Lida Adams
619209	46714	Abbie Bragdon
619209	54479	Mabel
619209	54949	Fifi Brown
619209	59598	Evelyn Gray
619209	63009	Claire
619209	64668	Billie Graham
619209	69614	Morgan Le Fay
619209	74288	Jo Ainsley
619209	77685	Elinor Harris
619209	85653	Freddy
619209	93101	Miriam Allerton Lucas
619209	96740	Peggy
619209	104352	Lola De Vere
619209	106077	Mrs. Sommers
619209	152221	Nell Gwyn
619209	157129	Rose Bridges
619209	168562	Lilly Herbish
619209	179013	Gloria Van Ness
619209	183373	Countess Helena Grabitz
619209	183443	Gladys Hayden
619209	183720	Maid
619209	183801	Kay Stoddard
619209	184360	Joan Bruce
619209	191962	Miss Herbert
619209	193007	Polly
619209	193587	Bessie Beavers
619209	211601	Prisoner
619209	221029	Eleanore Kirk
619209	221031	Connie Porter
619209	252913	Gloria
619209	263944	Ianthe Dorland
619209	275855	Paula Costello
619209	280130	Eleanor Carter
619209	302639	Farraday's Nurse
619209	302669	Claire Weston
619209	310393	Dona Sol Gutierrez
619209	312774	Herself
619209	318922	Phyllis Ransome
619209	329324	Marjorie Lowman
619209	330453	Gloria Danton
619209	350645	Herself
619209	351256	Rosanna
619209	360068	Kitty Meredith
619209	360839	Phyllis Reynolds
619210	175176	
619210	191950	
619210	195456	Katherine Foster
619210	233665	Mrs. Horrocks
619210	331474	Madame Thomas
619210	340474	Housekeeper
619211	5358	Herself
619211	279009	Anita
619211	330570	Tina
619212	78762	Mrs. Gallop
619213	78217	
619213	112369	
619213	303522	
619214	215527	Catfish Worker
619215	183681	The lady
619215	269687	Anita
619215	371029	Lady of the Poppies
619216	389723	Co-Host (1998-1999)/Correspon
619217	302110	Ingrid Pamber
619217	330197	Helen Watson
619218	53318	Student
619219	231966	Elaine
619219	305069	Genevieve
619219	400219	Marianne Hatton
619220	133995	Nurse
619220	289615	Noblewoman
619220	403249	
619220	410580	Mlle. Bourienne
619221	168018	Young Rita
619222	107891	Young Lou
619223	54917	
619224	209170	Dancer
619225	4705	Jan Swenson
619225	13588	Beth
619225	36756	Mary McGregor
619225	88174	Cleo
619225	120285	Judy Brewster
619225	178063	Emily
619225	263057	
619225	267604	Denise
619225	286549	Diane Fisk
619225	359750	Caroline Reynolds
619225	386603	Nurse Brown (1964-1966)/Sara 
619225	389867	Rita Remson (1989)
619225	397401	Mrs. Parker (1994)
619225	400234	Nancy Boyer
619225	403509	Jean Kennedy
619226	33985	Jennifer
619226	38719	Tracey Jones
619226	87645	Helga
619226	106150	Bridget, tv director
619226	134112	Marni McGuire
619226	149599	Narrator
619226	160572	Helen Clyde
619226	201218	Joan
619226	221214	Eleanor Bing aka 'Mouse'
619226	224381	Hermione
619226	247435	Mary Wordsworth
619226	289634	Frances Groves
619226	299689	Detective Inspector Sarah Pry
619226	347587	Judy
619226	381872	Beatrice Dempsey (1999)
619226	385627	Isobel Tolland (segments film
619226	387027	Elizabeth Watkins
619226	392008	Narrator (2000) (2002)
619226	400466	Josie
619226	403239	Frances Scott Cole
619226	407786	Becky Wilson
619227	32809	Mark's mum
619227	53301	Interviewee/Various Character
619227	55454	Narrator
619227	55709	Penny Panting
619227	55710	Valeria
619227	88881	Tatiana Rubikov
619227	88882	Passenger
619227	88883	Mrs. Tadwich
619227	91996	The Blue Queen (UK Version)
619227	93956	Fenella
619227	116505	Lady Finchington
619227	118551	Yvette
619227	135402	Mrs Foxfur
619227	154379	
619227	158182	Miss Fordyce
619227	175565	
619227	193251	Lady Eager
619227	206612	Mood
619227	210533	
619227	233677	Sheila
619227	239573	Morgana Femm
619227	279443	Narrator
619227	362472	Herself
619227	379117	Dearie
619227	400296	
619227	402198	Loudspeaker Announcer
619227	409475	The Vixen
619227	409477	The Vixen
619227	409478	The Vixen
619228	178813	Psychiatrist's Secretary
619229	59586	Secretary
619229	88926	Tegan
619229	88930	Tegan Jovanka
619229	276253	Tegan Jovanka
619229	368901	Tegan Javanka
619229	386587	Tegan Jovanka (1981-1984)
619230	16878	Child Servant
619231	155920	Part of couple
619232	44570	Schoolteacher
619232	71718	Secretary
619232	92708	Clara
619232	105132	Hulda
619232	105814	Rose Ainsmith
619232	143210	Irene Farway
619232	155901	Mabel
619232	162942	Mrs. Gallagher
619232	175613	Elizabeth Clayborne
619232	203201	Kate Jackson
619232	215293	May Muprey
619232	218734	Miss Manning
619232	227351	Miss Hunt
619232	232219	Elizabeth Hobbs
619232	248970	Brenda Kaley
619232	302611	
619232	334252	Nurse
619232	367503	Paula Dunne, Amory's Niece
619232	372115	Alice King
619232	372133	Miss Barkow
619233	61947	Lady Lister
619233	64390	Mrs. McArran
619233	69820	Aunt Jessica
619233	82609	Mrs. Tisdall
619233	96957	Ruth Stafford
619233	108098	Lizzie Lightowler
619233	118788	Mrs. Sharpe
619233	166359	Mrs. Murdoch
619233	181849	Lady Preston
619233	186230	Mrs. Chalk
619233	200112	Viscountess
619233	204021	Mrs Garland senior
619233	221645	Lady Margaret Prior
619233	230115	Mother Heathley
619233	261067	Aunt Cathie
619233	269882	Mildred Royd
619233	269883	Mildred Royd
619233	279582	Maggie MacPherson
619233	292246	Mrs. Gaunt
619233	311986	Mildred Howard
619233	339784	Mrs. Whitbread
619233	367675	Mrs. Mansell
619233	371025	Lady Maitland
619234	65548	Charmian, Attendant to the Qu
619235	151589	Jennifer
619235	158392	Letitia Tone
619235	187886	Blonde
619235	207466	Painter on the Moor
619235	228056	Ellen Chapman
619235	264147	Mrs. Benson
619235	292643	TV Reporter
619235	310522	Ruby, Age 30
619235	386677	
619235	395408	Veronica
619235	401214	Jean
619236	12623	
619236	139146	
619237	92618	Dr. T's Patient
619237	163565	Diana Davis
619238	196899	Fields of 'Patty and Fields' 
619238	382297	Herself - Presenter (1987-199
619238	384352	
619238	385918	
619238	398278	Presenter
619238	404624	Sandy Shelton
619239	52568	Lauren James
619239	151127	Monique
619239	161297	Herself
619239	164560	Stephanie
619239	362132	Doreen
619239	394306	Sharla Morrison (1998-1999)
619239	398027	Alisha (2000-2001)
619239	403556	Sheila Hendricks (1993-1994)
619239	404697	Nicole Wilson
619239	405493	Diavian (1997-1999)
619241	201112	Tiffany
619242	176920	Bessie Gresham
619242	186618	Alleen Levine
619242	304758	Jodi
619243	224323	Nurse #1
619244	321367	Valerie
619245	245179	Herself
619246	30291	
619246	30292	Mabrouka, a slave
619247	127616	
619248	105311	Betty Schofield
619248	194862	Sally Hogg
619248	239810	
619249	25398	
619249	26930	
619249	57940	
619249	78253	
619249	119818	
619249	128752	
619249	129569	
619249	130779	
619249	130780	
619249	164359	
619249	195511	
619249	197795	
619249	295771	
619249	305918	
619249	316506	
619249	336700	
619249	341497	
619249	341959	
619249	350404	
619250	53039	Corky
619251	108848	Cosmic Girl
619252	31021	Ginny Sinclair
619252	38367	Herself
619252	41747	Caroline Brown
619252	107260	Louise
619252	119606	Osa Lee
619252	138822	Red Hat
619252	161297	Herself
619252	183698	Satin
619252	232247	Yvonne Clements
619252	311042	
619252	379930	Rita Conway
619252	395815	Laverne Hunter
619253	34960	Bartender
619253	44707	Waitress
619254	35167	Marby's Wife
619254	128441	
619254	136041	Rosa
619254	203222	
619254	214932	
619254	306218	Joyce Parrish
619254	311619	Dolly Owens
619255	157324	Second Grade Communion
619256	43910	Tribeswoman
619257	348229	Neighborhood Watch Member
619258	312774	Herself
619259	2118	Mrs. Heard
619259	11469	Mrs. Callaghan
619259	13320	Aunt Loretta
619259	13620	Purdue Female Guest 1
619259	16041	School Nurse
619259	20434	Party Guest
619259	26666	Edith
619259	35410	
619259	37472	Doris
619259	44046	Office Manager
619259	67348	Peg Benson
619259	76496	Jake's Nurse
619259	108694	Mildred
619259	110189	Mother Superior
619259	116559	
619259	117500	Sarah
619259	151122	Principal
619259	176332	Gift Shop Customer
619259	178063	Waitress
619259	195751	Mrs. Frederico
619259	196544	Evelyn's Nurse
619259	202395	Mrs. Washburn
619259	205658	Nurse Gray
619259	210849	Clair Landry
619259	212960	Valerie Sitkowitz
619259	220079	Nellie
619259	221114	Woman in commercial
619259	223762	Mrs. Jacobs
619259	223931	Marion
619259	224064	Poetess
619259	234071	Lorraine
619259	234982	Nana Karger
619259	265775	Mrs. Gans
619259	271868	Rose Gurgin
619259	278237	Saleswoman
619259	299649	Mrs. Hogan
619259	300892	Frances Mercer
619259	309526	Nurse
619259	320082	Mrs. Davis
619259	372244	Aunt Hermoine
619259	389340	
619259	391834	Helen Andrews
619259	408058	
619260	269324	
619261	289024	Woman on Train
619262	31727	Nurse Desking
619263	79272	Camera Woman
619263	79712	Nurse
619263	83761	
619263	131434	Amy Morris
619263	224192	Latifah
619264	163577	Mrs. Babson
619264	262758	
619264	273629	Train Gossip
619265	1382	Herself (sings on stage)
619265	147973	Alice Challice
619265	175161	Gracie Gray
619265	194202	Gracie Pearson
619265	194312	Gracie
619265	196306	Nellie Gwynn
619265	217426	Molly Barry
619265	224136	Socialite
619265	238065	Guest appearance
619265	249068	Emmeline Quayle
619265	269324	Grace Perkins
619265	286135	Sally Winch
619265	299222	Sally Fitzgerald
619265	300086	Sally Scowcroft
619265	302597	Gracie Platt
619265	308736	Herself (sings)
619265	312774	Herself
619265	330911	Grace Milroy
619265	335352	Herself
619265	360513	Kit Dobson
619265	387120	Miss Pross
619266	109868	Daphne
619267	109365	Jacqui
619267	289014	Miracle
619268	895	Sarah
619268	37246	Heather Winslow
619268	37261	Daughter
619268	68511	Praying Mantis Girl
619268	114109	
619268	145638	Holly
619268	160809	Lucy, Rosario's Girl
619268	175221	Young Suzanne Sommers
619268	177584	Bridgett Kemer
619268	221067	Gwen
619268	281455	Holly
619268	283422	Mary
619268	289406	Dawn
619268	293150	Kim Tucker
619268	300231	Princess Fiona/Female Citizen
619268	311039	Black Cat
619268	319017	
619268	319090	Rachel
619268	326740	Herself
619268	366685	Morgana
619268	382666	Tammy
619268	392238	Michelle
619269	192774	Monica Parks
619270	31341	Sailor Levinsky
619271	171485	Sarah Front
619272	293092	Maggie Green
619273	305778	Bar Girl #10
619274	99057	
619276	29149	Brewery Girl
619277	42808	Lady on Bus
619277	385427	Cindy (1971-1973)
619277	394387	Misty Magic
619277	404517	Additonal Voices
619278	307913	Band member
619278	389424	
619279	285770	
619280	128168	
619280	230622	Showgirl
619281	173933	Susan
619282	304757	Judy
619283	138772	Marge Wilson
619283	168693	The Girl
619284	1439	Herself
619284	1781	Herself - Presenter
619284	31200	Herself (NBC Team contestant
619284	31201	Herself (NBC Team)
619284	38367	Herself
619284	61615	Herself
619284	61728	Denise
619284	67943	Molly
619284	87784	Herself
619284	87786	
619284	107258	Dorothy 'Tootie' Ramsey
619284	107260	Dorothy 'Tootie' Ramsey
619284	107261	Dorothy 'Tootie' Ramsey
619284	129623	Miss Downey
619284	131424	Herself
619284	144553	Carrie McNichols
619284	160476	Herself
619284	161258	Herself
619284	161297	Herself
619284	161989	Mecca
619284	176392	Teri Desautel
619284	208970	Desiree
619284	228969	Herself
619284	228970	Herself
619284	358806	Herself - Performer
619284	381077	Angie Ellis
619284	383501	Co-host
619284	388195	Dorothy 'Tootie' Ramsey
619284	392423	Herself
619284	395815	Regine Hunter
619284	403234	Dr. Cheryl Drake
619285	77422	Jane
619286	250873	Girl #2
619287	40878	Movie Patron
619288	79819	Kimberly
619288	388104	Player - Curves of Steel
619289	62030	Kitty
619289	119437	Loretta Krueger
619289	130098	Tour Guide
619289	157824	Coroner Assistant
619290	256539	
619290	375216	
619291	220371	Bobbi Ann
619292	287897	
619293	292799	Rose
619294	73170	Roma
619295	201112	New Renter
619296	126130	Resident of Idyllia
619296	133475	Haney's Big House Dancer
619296	218853	Dancer
619296	259755	Salesgirl #1
619296	266084	Safari Girl
619297	253564	1st Model
619298	16686	Miss France
619298	321154	Frug dancer
619298	397640	Bonnie (1957-1958)
619299	313076	Dancer
619300	142527	Girl in dining room
619301	390653	Dancer (1993-1996)
619302	57889	Susan Petrie
619302	310376	Dr. Wilson
619303	202195	Student in Harlem Classroom
619304	306421	Coed in Office
619304	316226	Waitress
619306	114364	Woman in police station
619306	214119	Clerk
619306	301701	Janice
619306	315271	
619307	359801	Donna Sinclair
619308	149964	
619310	49233	Party Girl
619311	324810	Lisa
619312	269355	Girl with Businessman
619313	84806	Natalie
619313	99981	Fantasy girl
619313	99986	Fantasy Girl
619313	295949	Stripper
619313	302570	Blonde Woman
619314	257860	Gloria
619315	82661	Biker Girl
619316	123920	Woman With Baby
619317	138730	Herself
619317	342232	Herself
619317	362329	Herself
619319	313323	One of the Oreos
619319	363686	Herself - backing singer
619319	379738	Herself - Panellist
619320	319471	Bag Woman
619321	32500	
619321	149163	Blond Coat-check Girl
619322	358612	Sister Sarah
619323	159175	Dancer
619324	11783	Tiny's bathtub plaything
619324	105497	Herself
619324	170675	Babs
619324	290521	
619324	326849	
619324	376368	Else Schmitz, Tochter
619325	141979	Heidi
619326	41155	1st Reporter
619327	1488	Herself - Presenter
619328	241898	
619329	387952	Herself
619329	407173	Herself (2000)
619330	178646	
619331	10902	Holly Capers
619331	167586	
619331	247989	
619331	300524	
619332	276840	Mrs. Perkins
619333	19486	
619334	212480	
619335	137846	
619336	198993	
619336	198995	
619336	198997	
619336	198998	
619337	878	
619337	216325	
619337	221888	Azafata
619337	252564	
619337	255061	
619338	55262	
619339	377174	
619340	27429	
619340	29108	
619340	33433	Mariuccia
619340	35028	
619340	54288	
619340	67512	
619340	69760	
619340	74878	
619340	112274	Colomba, the handmaiden
619340	112657	
619340	158768	Arlette
619340	222126	
619340	230006	
619340	236620	
619340	252339	
619340	252630	
619340	269459	
619340	286396	
619340	315816	Margherita
619340	355787	Paola
619340	377587	
619341	204732	
619342	165961	Mrs. Kintner
619342	165975	Herself
619342	165976	Mrs. Kintner
619343	168218	
619344	70657	Mamá Guito
619345	89207	Angela
619346	284323	
619347	319416	Nun
619348	245122	Girl in Car
619349	129068	Dana Wright; the local mark
619350	213109	Nikki
619351	220080	Decent Mom
619353	91757	Flaminia
619353	388628	Jeannette, la servante
619354	84692	Madame Fichefet
619355	252551	
619356	292327	Second Secretary
619357	180173	
619357	204107	
619357	398494	Cindy
619358	46981	Jenny Markham
619359	297190	Sorority Girl
619360	90318	
619361	277204	Lexie Fyfe
619361	406933	Lexy Fife (1999)
619362	47088	Girl
619362	70484	Announcer, Thing to Sell
619362	137206	Daughter of Colonel
619362	142877	Student
619362	143577	Pretty woman
619362	158711	Pearl Guinan - Age 21
619362	209348	Telephone Operator
619362	241257	Margaret
619362	244842	Girl
619362	262265	Pretty girl in park
619362	279452	Girl
619363	318607	Churchgoer
619364	115628	Stacey Burt
619365	289372	Featured Extra
619366	59491	B-Kool
619367	235513	Herself
619367	341394	
619368	409144	Herself - Anchor
619369	187263	Young Natiti
619370	409144	Herself - Anchor
619371	17856	
619372	173932	Tahitian Girl #2
619372	349537	
619372	364367	Amazon Woman
619373	235677	Mrs. Fremont
619373	236622	Camille
619374	6580	Member of the audience at the
619374	181127	Mrs. Carter
619374	182542	Woman at Kragknappen
619374	268365	Lia, guest at Olle's party
619374	305304	Woman at the theatre
619375	229215	Aerobics Instructor
619376	236821	Valeska
619377	159038	Herself
619378	110974	Gator's girlfriend
619379	196588	
619380	242976	Julie
619381	358007	Dolorosa Sister #2
619382	301398	Grandma
619383	54814	
619383	68250	
619383	80266	
619383	113227	
619383	132706	
619383	143775	
619383	143779	
619383	145216	
619383	145238	
619383	193326	
619383	221575	Mujer del cabaret
619383	226153	
619383	252049	
619383	284963	
619383	287914	
619383	293053	
619383	314362	
619383	341838	
619384	302933	Elizabeth Fernier
619384	327906	Elizabeth Fernier
619385	179670	
619385	180743	
619385	374790	Zhenechka Zemlyanikina
619386	5535	Habilleuse
619386	30890	Une Antillaise
619386	96074	La gouvernante
619386	246346	Herself (People's Will Party,
619386	254013	
619386	347757	
619387	14716	
619387	106689	
619387	257318	
619387	371271	Cecilia
619387	385402	Analía Bruzzi
619388	379805	
619389	89713	Cook
619389	115382	Dancer
619389	123071	Dancer
619389	198388	Dancer
619390	222168	
619390	388398	
619390	396938	Nívea
619391	309306	Sandra
619392	43240	
619392	74391	
619392	287873	
619392	377118	
619392	380449	
619392	394121	
619392	401087	Lurdes
619393	63831	
619394	308754	
619394	382724	Marly
619394	384645	Maria Paula
619394	385043	Paloma
619394	386726	Romilda
619394	387732	Débora
619394	387838	Elisa
619394	390751	Analu de Alcântara Pereira Ba
619394	396035	Suzana de Holanda
619394	400673	Alice
619394	403733	Selma
619394	404272	Heloísa
619394	404283	
619394	404799	Beatriz
619395	366891	Score Board Lady
619396	63831	
619397	138537	Ipiru
619398	74285	
619399	400096	
619400	269530	
619401	332771	Linda's Partner
619402	287958	
619403	196660	Das Graças
619403	318117	Mulher 2
619404	380447	
619404	383355	Vilma
619404	404888	Verônica
619405	269169	(segment "Menino da Calça Bra
619406	381253	Herself
619407	344691	
619408	198191	
619408	351489	
619408	380089	Martinha
619408	383154	
619408	383677	Do Carmo
619408	383907	
619408	396884	Marina
619408	399135	Neli
619408	402537	Rosália
619409	357192	
619410	410190	Laurinha
619411	12826	
619412	390076	
619412	392629	Morena
619412	399481	
619412	402530	Jurema
619413	134488	
619414	376926	
619415	68915	Beatriz
619416	110105	Mag
619416	142866	
619416	156582	Medéia/Ofélia
619417	101441	
619418	85524	
619419	45899	Extra: park
619420	356008	Joaquina
619421	45899	Extra: bus
619422	88330	
619422	234940	
619422	354985	
619423	21069	(segment "A Honestidade da Me
619423	25019	
619423	46918	Teresa
619423	56241	
619423	67653	
619423	92042	
619423	103851	Baby
619423	103903	
619423	167050	
619423	181779	
619423	205701	Sueli
619423	217909	
619423	222185	
619423	234940	
619423	356967	Gaby
619424	266121	
619424	294383	
619424	383141	Julieta
619424	386730	Joice
619424	387804	Leonor
619425	45899	Extra: bus
619427	19486	
619428	351578	Pauline
619429	301385	
619430	320031	
619431	59990	Agente Inmobilaria
619431	296140	
619432	236301	
619432	266732	
619432	378958	
619432	380108	Musetta
619432	383206	
619432	384823	(1995)
619432	389780	(1999)
619432	391440	
619432	392751	
619432	395546	
619432	396180	(2001)
619432	396646	Ángela 'hija de Miguel'
619432	397574	
619432	398995	
619432	401913	
619432	402158	
619432	403366	(1998)
619432	405916	(2003)
619433	243389	La Musica
619434	14659	Samanta
619434	387869	Elena Ríos
619435	273664	
619436	40657	Vanessa
619437	161846	
619438	71809	Sophie
619439	5740	
619440	392992	
619440	393836	
619440	400419	Carola Durán
619440	406852	Carla Silva
619441	190273	Kimberly Denise Jackson
619441	216669	Shanika
619442	45829	Junkie
619442	113980	Cuban Singer
619443	301385	
619444	55110	Carla's Family #2
619445	383479	Deusa
619445	390752	
619445	400902	Telma
619445	412301	
619446	379210	Isabel
619446	379252	
619446	380074	
619446	383812	
619446	408562	
619447	47348	
619448	110989	
619448	343724	
619449	5740	
619450	68618	
619451	349952	
619452	384507	Mini Animadora (1999)
619452	402676	Tigrita
619452	403904	Herself
619452	406972	
619452	406994	Lead Singer & Dancer (1997)
619453	49320	Laura
619454	354211	
619455	57747	Inmate
619455	100008	Gashra
619456	181594	
619457	59099	Desiree
619457	73735	Mau Mau Deb
619457	364271	
619458	203786	Student
619458	272647	Trudy
619458	314982	Nurse #6
619459	52988	Chica motel
619460	90364	Nurse 2
619460	379133	Recepcionista
619460	397021	
619461	221683	Eugenia
619461	247844	Pochita
619461	275948	
619461	334706	Amelia Miranda
619461	401694	Patricia Mejía-Guzmán de Hern
619461	405835	Susana Álvarez Calderón
619461	406864	Anastasia Maldonado
619462	10049	Herself
619462	21076	
619462	55941	
619462	233974	
619463	186817	Kelly
619464	344360	
619465	376789	
619466	92869	Lian
619466	209635	
619467	355004	
619468	76093	Secretary
619469	198368	
619470	69206	
619471	329579	Surfer Girl
619472	54922	Bedtime Bear
619472	54923	
619472	328663	Marie
619473	9231	
619473	24620	Diana
619473	35840	
619473	36634	
619473	103959	Elena
619473	109698	Jennifer Lawrence
619473	122691	
619473	146595	Kryska
619473	169281	
619473	174028	Nurse
619473	174385	Herself
619473	176684	Rysia
619473	176685	Rysia, Siara's Wife
619473	177691	Ala
619473	179716	
619473	191709	
619473	216584	
619473	224911	
619473	229112	Sasha Moliniva, Paris KGB
619473	229195	
619473	237975	
619473	244042	Cyntia
619473	247646	
619473	254986	Neighbour
619473	255602	Rózia
619473	257689	Herself
619473	258541	Marilyn
619473	260733	Superblondyna
619473	266019	Grazia
619473	266323	Laura
619473	266419	Sissy's assistant
619473	274312	
619473	278178	
619473	282072	
619473	305116	
619473	312694	Wolanski`s wife
619473	321595	
619473	322040	Teriza
619473	322213	Annabella
619473	335588	Kaddy Havel
619473	343979	Ubica
619473	345383	
619473	356335	Leni
619473	357967	
619473	359727	Vida Kolba
619473	361583	
619473	369006	Matylda
619473	373627	
619473	373733	Bobicka
619473	374469	Podstolina
619473	375381	
619473	375443	Basia
619473	376176	Halina
619474	183346	Mrs. Samuelson
619474	222721	Andrea
619474	228778	Peggy
619474	329342	Moonbeam waitress
619475	98022	
619475	357963	
619475	396286	Ewa Nowicka (2002-)
619475	412075	Zofia
619476	14369	
619476	284552	
619477	64225	Djali
619477	333714	
619478	20434	Woman at Party
619478	70454	Ms. Devilbliss
619478	95510	Party Woman
619478	276855	Joyce
619478	330912	Kate Dunston
619478	389858	Georgia Price, R. N. (1989)
619479	112073	Angela
619479	197462	
619479	379566	Eva (2002)
619479	398914	Susana
619479	408418	Jessi
619480	104731	Host
619481	235038	Fiao
619481	261012	Francis
619482	282761	
619483	95960	
619484	95726	Fela
619484	244100	Anielka, replacement 'nurse'
619484	323283	Miksina
619485	10517	Penyamun Bin Fiji
619485	35696	Fuel Vendor
619485	155181	Ba'im
619485	236627	Jambul
619485	252142	Ali (Samseng)
619486	129627	Little Fuji
619487	155181	Mummy
619487	199860	Mak Hasnah
619488	99558	Wet Body Double
619489	283601	Hotel Dancer
619490	345403	La petite bonne de Benjamin
619491	303637	
619492	43132	
619493	43132	
619494	89492	
619494	136798	
619494	357552	Uciteljica
619494	397437	Slavica
619495	296752	Woman in Suspension Room
619496	312417	
619497	18707	Myriam
619497	77808	La petite danseuse
619497	131234	Sharifa
619497	213452	Greek Chorus
619497	324810	Viva
619497	382166	Nicole Berthier (1991-1993)
619498	18315	Bella Bonita
619498	91027	Sonja
619498	134800	Miriam
619498	137492	Sophia
619498	220205	Pocahontas
619498	313023	Svenja
619498	334543	
619498	376569	
619498	403792	Yvonne
619499	119821	Mme. Papaloos/Mme. Beaudine
619500	234733	Marina
619500	253200	Eva
619500	270840	
619500	379901	Marta Castelli
619500	385419	Giulia Donadoni
619500	396305	Lucia
619501	81543	Carol Gingold
619501	164984	Denise
619501	199759	Madonna at 10
619501	330635	Girl
619501	348838	Rhonda
619501	388869	Abbie Lee Cooper
619501	396447	Phoebe Terese
619502	307712	Girl at Church
619503	312992	
619504	341332	
619505	44393	Hostess
619505	359175	Mavra Kuzminichna
619505	371430	Filippyevna
619506	119019	
619507	394750	
619508	88736	
619509	374990	
619510	88356	Gradonacelnikova zena/Maror's
619511	177138	Mama Louisa
619511	363544	Olwen Trevelyan
619512	46990	Holly Martin
619512	217420	Isabelle
619512	409386	WPC Jo Rossborough
619513	152509	Secretary
619514	111313	
619515	363191	
619516	310679	Dancer (Arlene)
619518	396844	
619519	310091	Princess Senos
619520	184562	
619521	332732	Aminthas
619522	372389	Fatso
619523	21201	Sabrina
619524	135346	Witness
619525	6570	Mother
619525	11012	Nora/Djébel
619525	23747	Dame de compagnie aérienne
619525	32277	Angéline
619525	97850	La barmaid
619525	108773	Emma
619525	112838	
619525	127748	
619525	156329	Hélène
619525	157075	Martha l'immortelle (1987)
619525	159326	
619525	166140	Florence
619525	199715	Lucienne
619525	206589	
619525	212156	
619525	218580	Lucie Delicato
619525	219467	Blanche Bellefeuille
619525	229663	Mère supérieure
619525	245959	Carmen Ladouceur
619525	248260	Geneviève Barthélemy
619525	258208	Cécile
619525	258250	Fabienne
619525	307499	Marguerite Lapointe-Beaulieu
619525	378705	Bella Zarov
619525	380863	Madame Lafresnière
619525	381617	Délima 'La Grand Jaune' Poudr
619525	384042	Denise Dussault
619525	386038	Denise
619525	398035	Denise Létourneau
619525	398036	Denise Létourneau
619525	403742	
619525	406381	Academy manager (2004)/Scene 
619526	80386	Allie
619527	118474	Choir Member
619528	9710	
619529	58710	
619529	344888	
619530	112062	Young Nun
619530	285197	Minstrel
619530	359175	Bolkonsky's chambermaid
619531	46113	Bettina Brentano
619531	111674	Judith
619531	142065	Mathilde
619532	93903	Herself
619533	60428	
619534	97619	
619534	100558	
619534	100564	
619534	100616	
619534	105869	
619534	107271	
619534	209523	
619534	296158	
619534	338984	Nana
619534	349940	
619534	381009	Reporter
619534	390037	
619534	406537	
619535	293753	Julie
619536	81753	
619537	10433	
619537	199599	
619537	208161	Mme Jeanne-Mance Hébert
619537	261867	Thérèse
619537	387048	Florence Lemay
619537	390486	L'infirmière
619537	398172	Mère supérieure
619537	400804	Suzanne Masson
619538	65851	Sarah
619538	168254	
619539	42613	
619539	52162	
619539	55849	
619539	132433	
619539	161675	
619539	265463	
619539	277427	
619540	71430	Menina Barros
619540	358477	Raver
619541	125666	Juanita the Maid
619542	9353	Dancer
619543	173689	Margarita
619543	226191	Dobrina
619544	170518	
619545	181483	
619546	265149	
619547	339314	
619548	226191	
619549	359553	Young Muslim Woman
619550	682	Window Girl
619550	72376	Bar Fight Girlfriend
619550	202031	Mother
619551	259834	
619552	317870	
619553	227840	
619553	399133	Zaga
619554	81509	
619555	17473	Walter's Wife
619555	78209	
619556	202054	
619557	304248	Borina zena/Bora's wife
619558	91441	Eva
619558	175025	
619558	322672	Stazi
619559	43128	2nd Lt. Lipcíková
619560	2222	Rabasová
619561	226602	
619562	226012	
619563	209830	Sara Carati
619563	243047	Vanna
619563	355612	Monica
619563	384784	
619563	385067	Laura
619564	67496	
619565	17112	Queen
619565	93847	
619565	339275	Mrs.Collas
619565	401806	Ivana
619566	340342	
619567	134705	
619568	178459	Sirmo
619568	250769	
619568	385984	
619568	386638	Amalia Pispiringou
619569	8433	Young Lina
619570	46970	Giulia
619570	218935	
619570	235773	Daughter
619571	12537	
619571	21708	
619571	25076	
619571	49722	
619571	52765	
619571	52774	
619571	55613	
619571	67690	
619571	67698	Laura Gutierrez
619571	84254	
619571	89929	
619571	94824	
619571	96354	Presentadora de TV
619571	121964	
619571	145150	
619571	199010	
619571	247587	
619571	253305	Sara
619571	253313	
619571	253669	
619571	273862	
619571	276930	
619571	319732	
619571	329043	
619571	329044	
619571	329047	
619571	340308	Dr. Rosa Maria Castro
619571	354846	
619571	354873	
619572	44685	
619572	91651	Sharkey's Wife
619572	107901	Karate Instructor
619572	132259	Mrs. Ruggiero
619572	158372	Sheila
619572	196920	
619572	223248	Carl's Mother
619573	178459	
619573	387508	
619573	401242	Fioroula
619573	406476	Ellada Oikonomou
619573	407739	Margarita Ourailoglou
619574	332990	
619574	350788	Mother
619575	97438	Mother
619576	63318	
619577	35852	
619577	303217	
619578	174150	
619579	374162	
619580	216610	
619581	137097	María
619581	354601	
619582	200084	
619583	345538	La gérante de l'hôtel
619584	349701	
619585	216368	Marisol
619586	6423	
619586	8586	
619586	22068	
619586	76735	
619586	140706	
619586	143378	
619587	14852	Sonia
619587	205595	Young Mary
619588	12228	Carla
619589	289431	
619590	197846	Elli
619591	81545	Cindy
619591	217532	Pami
619591	309714	
619592	196034	K.D.
619593	91031	
619593	325807	
619593	374141	Ehefrau
619594	7458	Clémentine
619594	59237	
619594	61405	
619594	88059	Gitanette
619594	96212	
619594	110023	
619594	153879	Thérèse
619594	163859	Backwoods woman
619594	207770	Mme. Coeuret
619594	219520	
619594	236199	
619594	244743	Hélène de Montalban
619594	248968	
619594	283037	Angèle
619594	356372	
619595	148480	Marialva
619595	228749	
619595	243390	Mira
619595	385024	Noêmia
619595	388721	Lindalva
619595	389153	Luzia
619595	392792	Inês
619595	400670	Clarice
619595	402371	Rosângela de Souza
619595	402504	Ione Ribeiro
619595	403171	Ritinha
619596	407212	Marion Montiel
619597	118754	Grande femme film Epile Tout 
619598	17039	Herself
619598	267158	
619599	321182	Madrine
619601	262286	Musician (segment "Cards Are 
619601	397941	Serving Woman
619602	27030	Jerry
619602	237991	Alex
619603	218272	Une danseuse
619604	93265	Theo's Girlfriend
619605	240429	
619606	217943	Serveuse
619606	284257	Françoise Hebert (segment "An
619606	314967	Suzanne
619607	134680	
619608	236953	Sierra Steinbach
619608	321955	Mara Aramov
619609	2252	(segment "Seringue, La")
619609	6754	Joséphine
619609	15103	Girl at party
619609	19202	Clotilde
619609	23734	Lucie
619609	25788	Aïe
619609	44220	Marie
619609	51310	Véronique
619609	67749	Wife
619609	82575	Lisa
619609	83356	
619609	100734	Aurore
619609	113254	Olivia
619609	118754	Marine
619609	133019	Laurence
619609	146401	
619609	176472	Nuage
619609	199751	
619609	236646	
619609	254316	Rosemonde
619609	275128	Marie Larue
619609	288892	La fille à vélo
619609	303143	
619609	335518	La voisine
619609	345287	Marilyne
619609	350670	Edith
619609	351549	La femme fatiguée
619609	357834	La fiancée d'Antoine
619610	375108	Fermière roumaine
619611	59512	Myrtle Fillmore
619612	187346	Kerry's Friend
619612	191881	Carol's Friend
619612	365979	Paige's Friend Paula
619613	89256	Emily's Sister
619613	95101	Denise
619614	89256	Featured Extra
619615	26385	Mrs. O'Flarity
619615	35180	Mrs. Bass
619615	145950	
619615	246481	Mrs. O'Grady
619616	276599	Desiree
619617	269117	
619618	148956	Jack Randall
619619	148956	Jill Randall
619619	192408	Tina (girl at boarding house)
619619	241519	May Radford
619619	280134	Lilabeth
619620	108781	
619620	252757	
619620	387773	
619621	254999	Grandmother
619623	62356	
619624	306068	Snow Maiden
619625	41552	Screamer
619625	345807	Selma
619626	189422	Tabetha
619627	88067	Un parent
619628	18221	
619628	380606	Olga Shoina
619629	18759	
619630	112263	Girl in Rome
619631	355606	
619632	1784	Girl from Bulgaria
619633	322001	Riitta
619634	293632	
619635	33742	One of 'The Thirty Women'
619636	202372	Peggy from Health Club
619637	169139	Gogo Dancer
619638	143514	Child
619639	312321	The Dowager Lady Kerhill
619640	138583	
619641	183323	Female Paramedic
619641	230124	Mary Jo Tripp
619642	248211	Lisa
619642	290703	Alma
619642	396874	Meike Port
619642	399784	Kirika Yuumura
619643	96433	Öreg takarítónõ
619643	97989	
619643	268428	
619644	172579	
619646	402503	
619647	377722	Rádióbemondónõ
619648	49694	
619649	18567	Julie
619651	330410	Young Sherry
619651	380391	Charlotte 'Charlie' Frame Win
619651	411176	Amanda (7 yrs)
619652	192794	Jasmine Reynolds
619653	4638	
619654	409144	Herself - Anchor (2000-2003)
619655	310949	
619656	346101	Voluptuois Blonde
619657	282922	Cathy
619658	381981	Woman
619659	189993	Herself
619659	385020	Tracy Langton/Barlow (I) (197
619660	80593	Mandy
619661	46988	
619661	133728	Darla
619662	337206	Factory worker
619663	2613	Herself - accepting Best Acto
619664	291529	Sally Wyatt
619665	7180	The Grandmother
619665	11404	
619665	16056	An Old Maid
619665	24546	
619665	25392	Mrs. Jones
619665	26614	Diana
619665	27249	Beauty Shop Customer
619665	35474	
619665	38254	
619665	38255	
619665	38745	
619665	43869	
619665	48016	
619665	48017	Aunt Anna
619665	48049	
619665	48065	Mrs. Bunny
619665	49532	
619665	49620	
619665	49625	First 'Twin'
619665	49626	
619665	49628	
619665	49631	
619665	49632	Mrs. Bunny
619665	49645	
619665	49646	
619665	49647	
619665	49650	
619665	49651	
619665	49653	
619665	49654	Mrs. Bunny
619665	49655	
619665	54435	The Captain's Wife
619665	54436	The African's Sister
619665	54573	Mrs. Snifty
619665	56686	Aunt Susan Sillsby
619665	59087	
619665	63514	A Disagreeable Aunt
619665	67769	Cassie
619665	69685	
619665	75340	
619665	75405	Mrs. Mary Brown
619665	75686	
619665	75689	
619665	75690	
619665	79638	
619665	79654	Mrs. Natalie Colebrook
619665	83151	
619665	85804	Mrs. Bunny
619665	88862	Mrs. Biddy
619665	89179	
619665	96692	Miss Quincy
619665	99087	
619665	105949	First Sister
619665	107627	Emma
619665	109887	
619665	109889	
619665	109997	
619665	111737	
619665	112195	Mrs. Pettygrew
619665	114294	
619665	114299	Mrs. Bunny
619665	114589	Guest
619665	114744	
619665	115782	
619665	115783	
619665	115786	
619665	115787	
619665	115788	
619665	115789	
619665	115790	
619665	118017	
619665	118118	
619665	119374	Madame Legrand
619665	125865	
619665	128130	
619665	131044	
619665	132187	Priscilla, the Gossip
619665	132334	
619665	133424	Rags's Aunt
619665	138113	
619665	140121	Mrs.Rackham
619665	140737	
619665	141442	
619665	142688	Mrs. Harcourt
619665	143059	The Governess
619665	143117	
619665	143139	
619665	143184	Mrs. Brown
619665	143326	A Sympathetic Old Lady
619665	145825	Mirandy
619665	145996	Aunt Minerva
619665	146308	
619665	149561	
619665	151289	Herself
619665	151347	Mrs. Jolliwell
619665	152176	Mrs. Bunny
619665	152188	
619665	154651	
619665	157858	
619665	158131	
619665	158205	A Pupil
619665	161555	(unidentified role)
619665	162212	A Critic of the Daily Newspap
619665	168202	Juliet Humph
619665	168602	
619665	168976	
619665	168978	The Lady Book Agent
619665	178034	Second Customer
619665	183539	
619665	183768	
619665	186693	Mr. Bunny's Sweetheart
619665	188173	Agatha Calthorpe
619665	192022	
619665	192599	Pansy Darwin
619665	193267	
619665	193297	Mrs. Jones
619665	194448	Sylvia, Cinderella's Older Si
619665	195795	
619665	196247	Mrs. Bunny
619665	196259	
619665	196419	Amanda Dawson
619665	196849	His Wife
619665	202645	Old Maid in Hall
619665	203456	
619665	206592	The Maid
619665	207949	Vosin, the Nursemaid
619665	210709	Kate
619665	213145	Landlady
619665	213192	
619665	214071	
619665	215710	Miss Finch
619665	215949	
619665	218256	Duchesse de Montmorency
619665	219389	
619665	220854	Lavinia Racey
619665	220870	
619665	220987	Guest
619665	221280	A Guest
619665	221791	
619665	230796	
619665	230814	First Typist
619665	231793	Movie patron
619665	232151	Mrs. Marie Haslem
619665	233995	
619665	238869	Miss Penelope Budd
619665	239007	Aunt Phoebe
619665	239605	
619665	239688	
619665	239797	
619665	241376	
619665	243734	
619665	243751	Starving peasant
619665	246730	German
619665	247495	Mrs. Bunny
619665	253427	
619665	255253	
619665	257375	Mrs. Citiman
619665	257559	19-Cent Woman
619665	259364	Mrs. Bunny
619665	259392	Mrs. Bunny
619665	261506	Mrs. Armbrister
619665	264604	
619665	265378	Principal of the School
619665	265407	An Unhappy Woman
619665	266224	The Aunt
619665	266506	The Sultana
619665	268914	Mary Willoughby
619665	274168	Undetermined Role
619665	280301	
619665	281864	Señora Comba
619665	282411	Mrs. Smith-Jones
619665	286929	
619665	289087	A Suffragette
619665	289601	Gossip
619665	289973	
619665	290276	
619665	293738	Mrs. Bunny
619665	294905	The Third Cook
619665	298152	
619665	300062	Woman (omitted from release p
619665	304749	
619665	309650	
619665	313753	
619665	314398	A Typist
619665	314401	Mrs. Brown
619665	317773	Miss Nag
619665	318024	
619665	318477	Mrs. Bunny
619665	318479	A Strict Domestic Servant
619665	320315	
619665	321091	
619665	321232	Gossip
619665	324414	
619665	330015	
619665	331078	Theatre Audience
619665	331115	
619665	331153	
619665	331280	Mrs. Brown
619665	333138	The Strikebreaker's Wife
619665	337760	
619665	338218	Della O'Flanagan, a Suffraget
619665	338832	
619665	340600	Mrs. Samuels (unconfirmed)
619665	340621	The Governess
619665	342718	
619665	343077	Mrs. Bunny
619665	344933	Mrs. Bunny
619665	345820	Ophelia St. Clare
619665	347978	Mary McGregor, His Wife
619665	350784	Mrs. Bunny
619665	351870	Mrs. Bunny
619665	355665	President of Miss Flint's Sem
619665	359314	
619665	360203	The Mother
619665	360235	Maw
619665	360237	
619665	362189	
619665	362885	French countess
619665	362927	Performer
619665	362939	The Maid
619665	363139	
619665	363234	
619665	363525	
619665	365080	Mrs. Cyrus Dodd
619665	367205	The Wealthy Widow
619665	367919	Woman Window Tapper
619665	368007	
619665	368202	
619665	368769	Actress on Stage
619665	368995	Society Woman
619666	86046	
619666	106666	Masked party principal
619667	37693	
619667	64750	Herself
619667	147877	Zoë Sitwell
619667	191774	Society Lady
619668	35320	Herself
619668	57888	Punk Girl
619668	235407	Herself
619668	294798	Camel Lips
619669	408082	Herself
619670	232117	Jordyn
619671	101367	P.O. Clerk
619671	186062	Bloom, Nelly
619671	330680	Old Woman
619672	390523	Lucy (1987)
619673	355036	Larry's mother
619674	107947	
619675	12743	Blossom
619675	26633	Phoebe
619675	55587	Rosanna
619675	107002	Bad singer
619676	292817	Edith Simonis
619677	196902	Madelaine
619678	64070	Ensemble
619679	202964	Elizabeth Black
619679	389700	Mrs. Buckham
619680	123342	Lounge Singer
619681	411330	Dancer
619682	294905	One of the Third Cook's Three
619683	397188	Henchard's Maid
619684	285049	Moira Mitchell
619685	75897	Courthouse Clerk
619686	208965	Yvonne
619687	193761	Seven Deadly Sins
619688	336739	Suzanne
619689	24404	
619689	37224	Maxi Brugger
619689	43593	Sister
619689	83902	Liane
619689	91017	Jenny
619689	93267	Maike Petersen
619689	138543	Wieb as child
619689	169975	Helga
619689	173099	Renate Schuler
619689	193504	Casino-Kassiererin
619689	204816	
619689	238537	Marta
619689	282260	Roswitha Meier-Krull
619689	325713	Marie
619689	325714	Angelika
619689	325839	
619689	334546	Jutta
619689	338935	Mira
619689	377356	
619689	382203	Therese Jensen
619689	392086	
619689	393674	Ilse Schmoneit
619689	394653	Elisabeth
619689	406321	
619689	410497	PM Bianca Collani (1994)
619690	391693	Herself
619691	290189	Gertie, genannt 'Flo'
619692	98255	Chris
619692	223288	Sabine Rudolph
619692	225210	Lizzy
619692	312162	
619692	390812	Kim Scheele (1995-1996)
619693	356326	Herself
619694	303605	
619694	370365	
619695	148383	Lady Cop
619696	329198	
619697	1168	Cheryl Morris
619697	16250	Roxanne Anderson
619697	100826	Miss Smythe
619697	114051	Lisa
619697	148191	Margaret
619697	150876	Martirio
619697	164381	Miss Cartwright
619697	165450	Mrs. Reed
619697	196539	Dr. Emily Smith
619697	209095	Judith
619697	214226	Sylvia Milner
619697	313937	D.C.I. Stella Munroe
619697	340883	Claire
619697	350506	Mrs. Sedley
619697	362275	Marilyn
619697	380346	Countess Lydia
619697	386862	
619697	391259	Matilda Watcham
619697	395189	Gillian
619697	399065	Grace
619697	405271	Heather Pearce
619697	406464	Greer Thornton
619697	408866	D.C. Jill Ashton
619697	411316	Miss Phoebe
619698	76897	Sgt. Susan Embers
619699	379061	Herself - Correspondent (2002
619700	360834	Turkish Coffee Girl
619701	392222	Becky Thatcher
619702	97364	Woman at Party
619703	248135	Friend
619703	277098	Cher Noble
619704	178107	Kate
619704	185451	Joanna (Elizabeth's granddaug
619704	313995	Alice
619704	378865	Katy
619705	411134	Kristen Ainsworth
619706	339364	Evie Blundell
619708	127213	Billie Blair
619708	143925	Anne Dickinson
619708	185457	Lorrie
619708	251652	Mary Evans
619708	306741	Cafe waitress
619708	335010	Ruth
619708	367919	Pedicurist
619709	116735	
619710	272440	Assistant Curator Ceramics
619711	5945	
619711	25253	Paul's Mum
619711	58773	Eva
619711	137577	Grace Lord
619711	138992	Carol Walker
619711	139219	Jane
619711	186847	Lorna
619711	195685	Gwen Riddle
619711	201643	Herself/Eva
619711	219206	Margaret
619711	234083	Maggie Gregg
619711	292489	Mrs. Healey
619711	318358	Helen MacMillan
619711	327591	Rita
619711	382516	Carol Hunter
619711	384950	Rita
619711	387267	Robin Ollie
619711	401570	DS George Samuels
619712	154048	
619712	339922	
619713	390052	Edwina
619714	39988	Ellen Norris
619714	279600	Helen Herrick
619715	78492	Herself (performing 'Flammer 
619715	78495	Herself - Choir
619716	241512	Friend
619717	46910	Robin Reed
619718	50606	
619719	41741	Coquette
619719	187474	Heather
619720	7749	
619722	114583	Nora
619723	5953	
619723	6717	Herself
619723	6722	Herself
619723	6723	Herself
619723	6724	Herself
619723	6725	Herself
619723	7727	
619723	7728	
619723	13501	
619723	13510	
619723	26485	
619723	26994	
619723	34928	
619723	37408	Herself
619723	41001	
619723	41076	Herself
619723	41581	
619723	44034	Dancer
619723	50534	
619723	52364	
619723	57062	Elisha Rich
619723	65874	
619723	66900	
619723	70176	
619723	70213	
619723	72778	
619723	78961	
619723	81840	
619723	81924	
619723	88158	
619723	88159	
619723	102712	
619723	102806	
619723	104925	Oral Sex Girl
619723	113548	
619723	113887	
619723	121554	
619723	125567	
619723	128826	Sancha
619723	128846	Herself
619723	129090	Herself
619723	137677	Nora
619723	138346	
619723	144421	
619723	150466	Private detective's assistant
619723	158201	
619723	160150	
619723	164957	
619723	178324	
619723	187414	Herself
619723	190691	
619723	197796	
619723	227001	
619723	228661	
619723	232651	
619723	243436	Special Appearance
619723	253441	
619723	254797	
619723	260645	
619723	262621	
619723	266674	
619723	270439	
619723	272662	Self
619723	276364	
619723	277068	
619723	285325	
619723	292292	
619723	292604	
619723	295572	
619723	295645	
619723	295681	
619723	295686	
619723	295964	
619723	296059	
619723	301306	
619723	304784	
619723	306029	
619723	309217	
619723	311161	
619723	311162	
619723	311440	Herself
619723	319705	Herself
619723	337283	
619723	358074	Herself
619723	360859	
619723	361887	
619723	364710	
619723	365438	
619723	365643	
619723	365848	
619723	372522	Lady In Limo (Jeanna Fine)
619724	41407	Motel Victim
619725	210960	Courthouse Girl #1
619725	228725	Belinda
619726	62791	Shaindel Saunders
619727	227024	Miss Iraq
619729	231866	Peggy
619730	307975	Jacqueline
619731	309684	Mabel
619732	177367	Anna Murkova
619733	245115	Fanny Perl
619733	254889	Medium
619733	375246	Patient
619734	63832	Mrs. Goodhall
619735	286119	Sally
619736	260292	Girl Playing Hopscotch
619737	26180	Passerby
619738	298127	Roslyn Artists String Quartet
619739	271191	Young Woman
619740	27841	Mercury girl
619740	224091	Club chick
619741	313334	TV Studio Crew
619742	223135	Host
619743	363911	Candy Striper
619744	84230	Shower Siren
619745	355670	Julie
619746	218719	Casting Secretary
619747	150924	Nurse in MICU
619748	77409	
619749	346039	Mrs. Watson
619750	186020	Lisa
619750	196833	Diane
619750	274721	Cara
619751	34446	Camilla
619751	207225	Laila
619751	381706	(episodes 1-5, 8, 9, 12)
619752	192821	Ella
619752	207225	Laila
619753	2924	Herself - Best Picture Winner
619753	331894	Herself
619754	305571	Maggots Girl
619755	187449	
619755	246541	Nedda
619756	74211	Lisa Fischer
619756	360682	Bridesmaid #1
619757	314841	Herself
619758	353907	Femme couple d'amis
619760	142949	Hooker #2
619761	56222	Mrs. Waters
619761	158226	Mrs. Waters
619761	337649	Player
619762	41308	Girl on overlook
619763	68266	Additional Voices
619763	218152	Storyteller
619764	383742	Yoko Ono (1999)
619765	379831	Office Worker (1989)
619766	328905	Christian Woman
619767	134511	Convent Girl
619768	63359	Baby-farmer
619768	95672	Mother of Jaroslav
619768	376550	
619769	348545	Store Manager
619770	92618	Cheerleader Director
619771	42095	
619772	125670	Herself
619772	162065	Herself
619773	183491	
619773	202850	Assunta
619773	336605	Squillo al Sistina
619773	338715	
619774	15062	
619774	136647	
619775	33650	
619775	60714	Woman Behind Bars
619776	11779	Sheila
619776	33124	Gräfin Diana
619776	33125	Gräfin Diana
619776	34243	
619776	34400	Martirio
619776	77374	Jennet Jourdemayne
619776	107966	Regina Eibenschuetz
619776	119172	
619776	129665	Julien's mother
619776	132550	
619776	134815	Nell Valentine
619776	142510	Ruth's mother
619776	169033	Anna
619776	174193	
619776	181917	
619776	184693	Maria
619776	198250	Janet Spence
619776	201263	
619776	225177	
619776	290068	Julchen
619776	290721	Mutter Sundermann
619776	311215	Lohse's Mother
619776	314568	Zinshoferin
619776	325718	Helga Huck
619776	325855	Ursula Redders
619776	366477	
619776	376458	Laura Jesson
619776	396920	Carla
619777	76554	Diane
619777	267684	Citizens of New Orleans
619777	307264	Vidphone Operator
619778	142341	Swatch
619778	289014	Darla
619779	138912	Little Light Girl
619780	35034	Marina Pirandello
619780	119250	
619780	125332	
619780	164832	Louisa von Loebenberg
619780	319736	Sabine Koczinski
619780	352220	Frau Cremer
619780	412110	Kathrin Schoeps
619781	254388	
619782	138669	Tina
619782	232845	Pregnant Woman in Toy Store
619782	330881	Cammi
619782	342331	Comroncomdotcom Receptionist
619783	158818	
619784	188968	Cook
619784	267684	Miss Adele
619785	4553	
619785	51782	
619785	111635	
619785	137847	
619785	159870	
619785	281766	
619785	375861	
619786	277748	
619787	61752	Claire
619787	90381	8 Year Old Elisabeth
619787	131910	Emily Donnelly
619787	137449	Child at Baby Day
619787	167256	Elaine Cross
619787	195822	Young Melissa
619787	245112	Sadie
619787	254996	Lilly Kilworth (5-8 yrs.)
619787	337123	Megan
619788	249336	
619789	337206	Factory worker
619789	364300	Herself
619790	204168	Martha
619791	254388	
619792	291253	Laura
619793	245499	Woman in Band
619794	16297	Michaela
619794	149090	
619795	154313	Herself - interviewed
619796	330375	
619797	32043	Donatella
619798	142479	
619799	7804	
619800	192381	Kinder Teacher
619801	147716	Herself
619802	92192	A. D.
619802	156460	Call Girl
619803	196593	Doris
619804	17102	Jamila
619804	24531	
619804	27516	
619804	97952	Annete
619804	98966	
619804	156765	
619804	205465	Margo
619804	215388	
619804	227920	
619804	229572	
619804	241015	
619804	285992	
619804	303022	Neighbor
619804	320186	
619804	373427	
619804	408318	Mrs Golan
619805	153635	
619806	347764	
619807	477	
619807	9937	Hilde Meindl
619807	11849	Inge
619807	12841	Mary Murphy
619807	27126	Antje
619807	42599	Fiametta
619807	46914	Charlotte Müller
619807	64674	Tante Jans
619807	64675	
619807	87738	
619807	98047	Elli
619807	98066	Pepi
619807	99891	Seine Mutter
619807	102969	Edith
619807	103062	
619807	119202	
619807	120787	
619807	125034	Elisabeth Blessing
619807	129357	Gerda Volkmann
619807	129725	
619807	137634	
619807	144325	Mrs. Brown
619807	147182	
619807	155470	Karin Hartung
619807	156728	
619807	166717	
619807	178612	
619807	179354	Veronika/Annamirl Kohlhöfer
619807	180152	
619807	180985	
619807	182788	Theres Tomasoni
619807	188852	
619807	210038	Nanette Fabre-Marines
619807	213683	Claire von Ferency
619807	223279	Doddy
619807	225744	
619807	242841	Helene
619807	288498	
619807	289951	
619807	290060	
619807	301043	Christine, seine Schwaegerin
619807	306403	Dorette Schilling
619807	306509	Mama
619807	308216	Mrs. Dr.Manning
619807	311078	Lena Feldhofer
619807	314960	Katja Romberg
619807	318085	
619807	326056	Tante Dele
619807	345924	Frau Berger
619807	360960	
619807	361011	Rosl
619807	364880	
619807	367152	
619807	376509	
619807	389943	
619807	395985	Amelie Lorentz
619807	409610	Ruth Schulz
619808	37259	Horace
619808	139433	Eddie
619809	99075	Carrie
619809	139764	Stacy
619809	403805	Jacqueline Debbie Towers Carv
619810	68232	Awareness woman
619811	25827	
619812	183213	Fairy
619814	7996	Female Therapist
619814	58939	Sharon
619814	139210	Council secretary
619814	185385	Doctor
619814	185539	Kelly Baskin
619814	194268	
619814	235456	
619814	264427	
619814	269759	Store Clerk
619814	283173	Carol
619814	323978	Brassy Woman (aka Mrs. Hiro)
619814	331751	Screaming Woman
619814	343189	Suzanne Connors
619814	355391	Gloria
619814	368314	Receptionist
619814	411802	Nora Thompson (1999-2004)
619815	398082	Lily 'Princess Giant' Duncan
619816	75913	Food Seller/Sister Marthe
619816	276804	Downstairs Nurse
619817	367434	
619818	164354	Jill
619818	298579	Matilda
619819	5885	Receptionist
619819	8945	Nursing Home Manager
619819	77857	Wanda
619819	128780	Nancy Riddle
619819	248116	Mother
619819	263792	2nd woman at meeting
619819	321082	Teacher
619819	355349	Second Journalist
619820	7619	Checkout Girl
619820	7948	Tracey
619820	158971	Sue Pedder
619820	367724	Prostitute
619820	402197	Lainie Dobson (1983)
619820	405960	Laura Branning (1986)
619820	407616	Elizabeth Drysdale
619820	411809	Lucy Dunlop (1981)
619821	393773	
619821	395778	
619821	407415	
619822	30758	Tonia
619822	150082	The Village Lady
619822	339476	
619822	345152	Dottoressa della prigione
619823	109286	Escort Alien
619823	220276	Eccentric Wealthy Lesbian Clu
619823	220787	The Silver Woman
619823	313476	Sly Moore
619823	313477	Sly Moore
619823	385177	Rollergirl regular
619824	5750	Penny
619824	16658	Pageant Director
619824	26381	Protester #1
619824	53041	Wrangler
619824	66123	Brunette Fighter
619824	80612	Writer
619824	80782	Cemetery Extra
619824	86274	Hostage
619824	105228	
619824	126680	Helen
619824	149730	Annie
619824	259285	Edna
619824	263485	
619824	289683	Mrs. Karsten
619824	304395	
619824	315131	Girl's Mother
619825	158903	Elizabeth Hunter
619826	378867	
619827	382590	
619828	39524	Junkie
619828	91720	Motel Hooker #2
619828	148562	
619828	218014	Kim
619829	59193	Mary-Marla
619830	363900	Student
619831	351898	Himself/herself
619831	367434	Annoying Man
619832	20256	Honey Lane
619832	39699	Linda Prescott
619832	72247	Joan Cameron
619832	85844	Slave girl
619832	95843	Midge Reed
619832	127115	Ann Jordan
619832	135980	Winnie Stewart
619832	164446	Freda's Indian maid
619832	253148	Donna Blaine
619832	262332	Helen Foster
619832	298500	Nan Prentiss
619832	319070	Donna Frazier
619832	323398	Violet Thompson
619832	337653	Mary Rand
619832	350033	Helen Miller
619832	361841	Pioneer Woman
619833	1965	Jody
619833	140783	Molly
619833	327595	
619834	398937	
619835	203913	Laverne
619836	992	
619836	217896	Herself
619836	254645	Dr. Gillman
619836	262393	Herself
619836	372190	Mom
619837	63019	Joanne
619838	131541	Mother
619839	102233	Maye
619840	41875	Young Sheila
619841	76254	Linda
619841	108943	Sara
619841	157563	Nancy Clutter
619841	215349	Eva
619841	262077	Julie Power
619841	281337	Julie Cappell
619841	336893	Rachel Piper
619841	400371	Miranda Mills
619842	222656	Technician
619843	128706	Mari
619843	298126	Bit Role
619844	302388	Ruth
619844	364461	Goldwyn Girl
619845	160018	June Woodward
619845	253344	Judge Treyball
619845	253348	Judge Andrea Nachman
619845	253357	Judge Andrea Nachman
619845	280191	Peggy
619845	313692	
619845	382356	Ellen Hartley (1974-1976)
619845	389408	Maggie Ralston
619845	389536	Blue-Collar Wife
619846	175741	Tiny Woman
619847	116735	Ethel
619847	203515	Emily Clarke
619847	218843	Rosanna Spearman
619847	285978	Dore Baxter
619847	289495	Frances Tabor
619847	307390	Mavis Duval
619847	368368	Ruth West
619848	251801	Sexy Jogger
619849	53284	Nicole
619850	279610	Grace Storefield
619851	51927	Vocals
619853	291831	
619854	338930	Anna
619855	175815	
619856	230442	Mookie (The Nasties)
619857	72911	Emily
619857	80704	Mary Hargrove
619857	113410	Jo Anna Dykemann
619857	116577	WRAC
619857	169398	Elsie Cole (episode 'Paper Do
619857	273834	Aunt Tess
619857	308337	Mrs. Adams
619857	323760	Joanna Dykemann (segment "Fin
619857	336326	Nurse Parker
619857	366767	Nurse
619858	117157	Sue
619858	144574	
619858	184858	May
619858	281052	
619858	332068	Tin-Tin/Indian Fortune-teller
619858	332071	Tin-Tin
619858	396928	Norah (1963)
619858	399442	Stella Craine
619858	408159	Tin-Tin/Grandma/Various chara
619859	321209	Sean
619860	342403	Rich Woman's Double
619861	313828	Production Assistant
619861	378753	Elsie McKenzie
619862	251241	Assistant Store Keeper
619863	263758	Reporter
619864	233754	Host
619864	238508	Host
619864	337649	Host
619865	36713	More Fairy Tale Folk
619866	94096	Mrs. Holcomb
619866	158792	Charwoman
619866	169207	Old Lady
619866	171217	Woman in Knife Throwing Act
619866	189408	Old Blind Lady
619866	279843	Homeless Woman
619866	280174	Clothesline Lady
619866	289568	Girl
619866	348017	Herself (Hollywood stuntwoman
619867	392246	Herself
619868	390681	Reporter
619869	293009	Woman
619869	304051	German woman
619870	387471	Dwarf 'Elizabeth'
619871	397644	Herself/Various
619872	68082	
619872	232093	Eidie
619872	241046	Additional Voices
619872	321247	Marie Weinstein
619873	201722	Herself
619874	115941	Amy Wood
619874	122177	
619874	138669	Bored Secretary Applicant
619874	257772	Karen
619875	137625	Vera
619876	24314	Mrs. Goodman
619876	115343	Molly Whitford
619876	345209	Une cliente
619877	382590	Becky Freeman
619878	334156	Girlfield, Lvboy
619879	352961	Dance contest judge/sandy
619880	37786	Heavenly Greeter
619880	82789	F.B.I. agent
619880	87520	
619880	271206	Jackie Bailey
619880	293164	Margie
619880	296799	Rental Agent
619880	319416	Hatcheck girl
619880	328268	Birthday Mom
619881	194136	
619882	35255	Ryan's Mother (corpse)
619883	185828	Susan
619884	106048	Peasant
619885	23776	Yvonne Wilby
619885	345497	
619885	395259	
619886	124378	Extra
619887	124378	Extra
619888	142327	Kolla
619889	129228	Pauline
619890	119096	Nancy
619891	37473	Aerobics Announcer
619892	113656	Danny Finnegan Jr
619894	38972	Housewife
619894	294796	Une voisine américaine
619895	104925	Laura
619896	151634	Stewardess
619897	82333	High Fashion Gertrude
619898	119296	
619899	61282	Goosey Lucy
619899	189325	Mrs. Johnson
619899	232105	Judy Rose
619899	257204	Judy
619899	372372	Maureen, the Nanny
619899	382658	Kate
619899	411374	Sharon Tyler
619901	177266	Jenny
619901	278909	Rita
619901	299193	Kathleen Adanski
619901	310416	Sue Bolton
619901	382266	WPC Melanie Whitaker
619901	382332	Marina Marquess
619901	384477	Julie O'Neill
619901	385020	Josie Phillips (1989-1990)
619901	387533	Heather Hutchinson (1998) (55
619901	403238	Lena
619902	224344	Neighbor #2
619903	11485	Fan Dancer #2
619904	179531	Par på diskotek
619905	215691	Miss Missouri USA/Miss USA 20
619906	39973	Anna's Mother
619906	56867	
619906	117677	Sister Marguerita
619906	289693	Russian Woman
619906	311872	Miss Baker
619907	160418	Faye
619907	236995	Ceremony Assistant
619909	202367	Angry Woman
619909	252825	Sports Connection Member
619911	66390	
619912	312150	Robot kid
619913	38378	
619913	150243	T.J. Pierson
619913	402925	Co-host (1961-1964)
619914	397270	Herself
619915	1133	Mrs. Jackson
619915	97206	Gloria
619915	144376	Chaplin
619915	184104	
619915	220622	Jr. High Secretary
619915	227927	Frisky
619915	236982	Correction Officer #2
619915	241502	Hazel
619915	279141	Gail
619915	331048	Lt. Stone
619915	345828	Aunt Clioe
619915	365910	Wilma Rudolph
619916	189003	
619917	145022	Mrs. Sefton
619917	336655	Denise
619917	384097	Julie Barrow (1997-2000)
619917	388306	Louise Richards
619918	136721	2. Norn
619918	277461	Fricka
619918	358689	Fricka
619920	43087	Young Nurse
619921	1348	Herself
619921	2022	Herself
619921	2275	Herself
619921	312971	Laurie Show
619921	382419	Bridget Forrester [#7] (2000-
619921	385187	Marnie
619921	406773	Kim McCloud (1999)
619922	691	Herself
619922	10535	Herself
619922	23933	Herself/Audience Member
619922	118050	Herself
619922	169992	Herself
619922	215171	Herself
619922	292158	Herself
619922	344528	Herself
619922	403338	Herself
619922	403339	Herself - Presenter
619922	408075	Herself - Presenter (1988-200
619922	408503	Herself - Presenter
619922	408567	Herself - Presenter: Duets (2
619922	410697	Herself (1998-1999)
619923	65888	Ms Riley
619923	79106	Company Member
619924	366712	Hannah Toddler
619925	359983	
619926	183748	Sonjetka (sings)
619927	207238	Sally
619928	182948	Women's Army of Revolt/Citize
619929	254632	
619930	3347	
619930	20751	Concettina
619930	36613	Sandra
619930	49720	
619930	69025	Sandra
619930	89828	Lady Rowena
619930	125795	
619930	147051	
619930	162085	Daniela
619930	197207	
619930	199821	Stella
619930	203343	Foot Race Pro
619930	222856	Giannina
619930	234764	Ada
619930	244130	Lucrezia
619930	252663	
619930	260897	Irene
619930	269009	Mariangela
619930	272643	Unpretty girl
619930	338882	Piera
619930	344593	Signora Rinaldi
619930	356493	Martina
619930	383198	
619930	386398	Amelia/Giuditta
619930	386399	Amelia
619930	411917	Maria
619931	16793	Angela
619931	111855	Caterina
619931	252780	Mary
619932	207597	Brasilina; Inlander
619932	229468	Geci
619932	351566	
619933	66308	Leah
619933	399845	Trinity (2002-)
619934	35890	
619934	132724	
619934	133385	
619934	162755	Donna Anna
619934	180749	
619934	181399	
619934	187374	
619934	236066	Queen Ginevra
619934	237878	
619934	258629	Katya
619934	262222	
619934	266289	
619934	300502	
619934	303815	
619934	323319	
619934	343834	
619934	357413	
619934	357481	
619934	357698	
619934	374772	
619934	377807	
619934	386655	
619934	398252	Maud Brewster
619935	268921	
619935	328245	
619935	393878	Heidi Mährs
619936	18757	
619936	98734	Jessika
619936	100635	
619936	102127	
619936	127357	
619936	172927	
619936	173084	Kitsa
619936	174821	Liza
619936	199617	Liza
619936	209782	
619936	211484	
619936	253087	
619936	253659	
619936	266527	
619936	285698	Eva
619936	338997	Lola
619936	341178	
619936	350796	Koula
619936	380414	
619937	27121	Mendez
619938	185321	Bikini Girl/Beach Girl
619939	61861	Sol
619939	239280	Amiga de Clara
619940	37557	Jacinta Fellows
619940	188181	Nicki
619940	269355	Euro Trash Vampire
619940	304336	Scientist
619940	331024	Narrator
619940	334185	Rose
619941	390261	Janice
619942	333514	Taco Bell Girl #1
619943	160325	Herself
619944	54421	Lab technician
619945	179578	
619946	10909	Beverly
619946	224134	Sunbather
619947	112683	
619948	400341	Herself - Profesora de la Aca
619949	37374	Julian's Date
619949	199485	
619949	245056	Emma
619949	254519	Sarah
619949	385139	Annie
619949	387247	Hazel (1989-1990)
619949	390148	
619950	142378	Additional Cast
619950	232066	Jennifer
619951	244918	Angie Miller
619952	244918	Angie Miller
619953	2430	
619953	32354	Mevr. Van der Valk
619953	52294	
619953	90932	Fog groupie
619953	124945	Hoertje Roosje
619953	141496	Molly McGuire
619953	196825	Belial
619953	202529	Herself
619953	206623	Mother of Martijn
619953	218281	Dienstmeisje
619953	228598	
619953	273281	
619953	314854	
619953	328856	
619953	368677	
619953	381720	Sandra
619953	410064	Annette
619954	206008	Isabelle
619955	86114	
619956	51361	
619957	202324	Lucia, Robaldo Girl
619958	308114	Cashier
619958	359060	Bar Patron
619959	30965	Mom Grayson
619959	58507	PCP Girl
619959	62580	Passenger
619959	270684	2nd Biker
619959	304281	
619960	13457	
619960	294415	Second Prostitute
619960	374495	
619961	270691	Ragazza dell'auto
619962	83416	
619963	208632	Nigel's Posse
619964	198	
619964	71266	
619964	231440	Woman Journalist
619964	328891	
619965	409093	
619966	16857	
619966	75261	
619966	255108	
619967	83766	
619968	25106	Lucia
619969	40748	
619969	270840	
619970	305148	Boutique Manager
619970	333855	Italian Woman
619970	357065	Nurse
619971	82551	Biker Girl
619971	245055	Social worker
619971	362675	Joanna
619971	363415	Nurse
619971	408154	Rita
619972	142052	
619973	389294	Ailín
619974	337	Stripper
619975	12677	
619975	33508	Teresa Pescosolido
619975	112926	Donna Carmela
619975	127386	Filomena
619975	205248	Anita
619975	214317	Amalia
619975	249919	Concettina, a Sister
619975	295155	
619976	296524	
619978	230080	Stefania
619979	298769	Waitress
619980	79910	Maggie
619980	311041	Computer Voice
619980	317333	Amy
619980	396359	Various (2001-2002)
619981	51791	Professor
619982	128000	Madre di Gino
619982	403118	
619983	6269	Ruthie
619984	20750	
619984	33495	Nina
619984	33662	
619984	46972	
619984	54139	Lidia
619984	54153	
619984	55543	
619984	55545	Donna Brigida
619984	57969	
619984	64762	Maria Morelli
619984	69348	Marta
619984	89853	Sandra
619984	94722	Carmela
619984	96513	
619984	124327	Clementina
619984	124584	Anna
619984	127890	
619984	129051	Maria Scalia
619984	129205	Yamad
619984	132721	Mariantonia
619984	133397	Graziella
619984	146494	
619984	195439	
619984	202094	Rosa Belfiore
619984	217049	
619984	227583	
619984	242293	Mrs. Federici
619984	248192	Caterina
619984	264237	
619984	266012	Primavera
619984	269022	
619984	289388	
619984	291669	Fearful Wife
619984	294706	Pupella
619984	309260	
619984	314578	
619984	317361	
619984	327452	Maria
619984	328629	
619984	341419	Maria Accardo
619984	377572	
619984	381195	
619985	308604	Nina
619986	69232	Juror
619987	83568	Rene
619987	189466	
619988	189466	
619989	16315	Paquita
619989	54247	
619989	78542	
619989	236586	L'assistante
619989	261810	
619990	145413	Tanya
619990	218106	Sapphire Girl
619990	327995	Barbara Barbarosa
619990	345648	Bar Girl #1
619990	361618	Donna Fanucci
619990	368043	Alexa
619991	58222	
619993	3474	
619994	357991	Nude Dancer
619995	300828	
619996	55656	Isabella
619996	108507	Evelina Carey
619996	111104	Une danseuse
619996	112654	Leonora
619996	198852	Mirella Moreau
619996	205382	Susy
619996	215003	Maria Forni
619996	243457	
619996	254971	
619996	261574	
619996	278959	Anna
619996	287869	Maria
619996	301381	Un' altra figlia del professo
619996	310974	Ester
619996	335227	Elvira
619996	344625	
619997	217729	L'amoureuse
619998	395667	Giovanna Varese (1998-)
619999	68432	
619999	256451	Teresa
619999	399657	
620000	403208	Antoinette "Tony" Dubois (Ita
620001	389726	Brigitte
620002	30720	Una dattilografa (segment "Ma
620002	287771	Moglie Duccio
620002	302517	Female doctor in Florence
620002	327098	
620002	339796	Magali
620003	12973	
620003	157786	Housekeeper
620003	371325	Nun #3
620003	390498	Cameriera Tina
620004	1703	Herself
620005	75195	
620006	5909	Susan Gittes
620006	7842	Kiki Bridges
620006	35764	Renee Jason
620006	42687	Rita Cates
620006	42729	Natalie
620006	58483	Alma D'Angeli
620006	59676	Marta
620006	83989	Sarah O'Rourke
620006	89288	Bethany Sloane
620006	132217	Sasha
620006	164699	Trina Gavin
620006	176265	Megan
620006	184859	Terry
620006	185636	Bridget Gregory/Wendy Kroy
620006	189329	Liberty Wallace
620006	210739	Dr. Laurel Weaver/Agent L (El
620006	217004	Rachel Stone
620006	229861	Lucy
620006	243268	Christine Lynch
620006	269427	Carla
620006	300044	Molly
620006	316296	Helen
620006	346933	Dr. Martha Briggs
620006	355347	Carla
620006	362355	Helen Gordon
620006	363423	Carol MacKay
620006	365642	Kay
620006	386414	Herself
620007	176713	A Customer
620008	316443	
620009	30726	
620010	52976	Signora
620010	53004	
620010	57870	Hilda
620010	60222	
620010	64995	
620010	84062	
620010	88461	
620010	103410	
620010	197162	Tutti Tudela
620010	238514	Digna Ranquileo
620010	294376	
620010	310045	Luisina
620010	322853	
620010	380106	
620010	389780	Felicidad
620010	392751	
620010	397120	
620010	400728	Sofía
620010	401913	Renata
620010	403107	Rosa
620012	52938	
620013	109449	Party Bartender
620014	254516	Meg Giry, Keeper of the Box
620015	682	Dorm Room Girl
620016	164158	La malade
620016	170465	
620016	246291	Prostitute at Teissier
620017	204005	La francesina
620018	365750	Zipper
620019	129209	Additional Voices
620021	187441	
620022	23501	
620022	53054	Jasmine
620023	59759	Waitress
620024	2968	Cliente banque
620025	251088	Guest Performers
620025	288923	Herself
620025	326739	Herself
620026	36511	Il Bene
620026	111365	Fiorella
620027	61060	Gail
620027	176346	
620028	348210	
620029	297091	
620030	287992	
620030	287993	
620032	2875	Nude woman
620032	42388	DQ Patron #1
620033	625	
620033	2003	
620033	41028	
620033	51847	2nd Maid
620033	52180	
620033	87044	
620033	87045	
620033	90651	
620033	91422	
620033	94644	
620033	111155	
620033	115096	
620033	135943	
620033	171720	
620033	204129	
620033	269176	
620033	269639	Storyteller
620033	286718	
620033	291559	Cloakroom Attendant
620033	291631	
620033	316520	
620033	319540	
620033	325164	Judy
620033	328831	
620033	338718	
620033	353244	
620033	375217	
620033	376137	
620034	231386	Hooker #2
620035	346101	The Dancer
620036	380097	Laíde
620036	396899	Mimi
620037	284552	
620038	409838	
620039	68768	Nina
620039	115011	Teller
620039	158273	Gwendolyn Jackson
620039	196005	Woman in Bridesroom
620039	202619	Mrs. Phillips
620039	365088	Lisa
620040	103336	
620041	378221	
620042	136752	
620042	179575	Sule
620042	356023	Aysel Sernikli
620042	380743	
620042	382095	Aylin
620042	411965	Canan
620043	23125	
620044	5397	Laura
620044	17504	Lady Bradley
620044	22720	Anna
620044	32984	Mrs. Judson
620044	46893	Melanie Harvey
620044	55708	Helen Lloyd
620044	79083	Sybil
620044	80510	Mildred Jones
620044	90880	Ann Dyson
620044	104045	Sarah 'Aunt Julia', Hedda Gab
620044	105427	Consultant
620044	114866	
620044	117556	Mrs. Plumb
620044	150567	Penelope Milne
620044	153773	Sonja Melchoir
620044	191300	Catatonic Woman
620044	202960	Miss Nolan
620044	229673	Patricia McKenzie
620044	235578	Lady Katherine
620044	288631	Dr. Inge Jensen
620044	289615	Countess de Tournay
620044	294909	Society Woman
620044	295489	Rosemary Lynch-Gibbon
620044	315469	Mother
620044	316410	Daphne Brodie
620044	319006	Party guest
620044	338827	Emily
620044	360634	
620044	378710	Old Woman
620044	378755	Caroline Petrakos
620044	387518	Miss. Nesbitt
620044	388893	Sarah Brassington
620044	391243	Jane Wandle
620044	394310	Amy Robsart
620044	395322	Felicity Farroway
620044	395647	Princess Alexandra (Alix)
620044	398294	Mrs. Turner
620044	399111	Alice Collinson
620044	401275	Anne Elliot
620044	401997	Lady Pamela Wilder #2 (1969)
620044	404409	London Nurse
620045	5299	Cleaning woman
620046	5793	Rosy
620046	141834	Heer
620047	48576	
620047	97793	
620048	2513	
620049	379689	Singer
620050	298220	Hooker in Lineup
620051	383523	
620054	322958	
620054	367852	
620055	117579	Punk band drummer
620055	253230	Nurse
620056	108649	
620056	154123	
620056	178864	
620056	219858	
620056	253650	
620057	279871	Caseworker
620058	338725	Swimming pool girl
620059	188035	
620060	96730	Navigator
620060	178075	Real Estate Broker
620060	213233	Reporter #1
620060	282934	
620060	293048	Joan's Receptionist
620061	271855	Baby
620062	62966	
620063	65817	
620063	93330	
620063	119985	
620063	149654	
620063	224244	
620063	258043	
620063	259825	
620063	295964	
620063	325288	
620064	323134	Additional Voices
620065	135888	News Reporter
620065	191372	Neurovid Reactors
620066	124908	Joana
620067	391544	Hostess (1978-1980)
620068	185863	Dixie
620068	191653	Receptionist
620069	141664	
620071	154513	Julia
620072	185220	Herself (Holocaust survivor)
620073	6266	Jackie
620073	155921	Bar girl #1
620074	142527	Daria
620075	52899	
620076	224032	
620077	75366	Susan
620077	134568	Harmony Stitts
620077	268908	Lisa
620078	84222	Aline 5 years old
620079	78863	Anne Kampmann
620080	310728	Drew
620081	271421	Jardinière 2
620082	381512	Herself
620083	396610	Marcinha (1998)
620085	257886	
620086	113673	Manuela
620086	328866	Dona Rosa
620087	131232	Maypole dancer
620088	131232	Extra
620089	86685	
620089	181038	
620090	27191	
620091	71	Juggler
620092	38146	Vivya
620092	164006	
620092	247552	
620092	351019	
620092	356420	Catiche
620092	356421	Catiche
620093	226894	Sunflower
620094	7583	Herself
620094	7584	Herself
620094	7585	Herself
620094	7591	Herself
620094	175198	Herself
620094	206879	Herself (Director, AFI)
620095	33436	Pat
620095	82626	Norma Deane
620095	114197	Miss Harper
620095	131905	Lena
620095	291093	Oriana Wilson
620095	315534	
620095	320271	Carol
620095	351722	Linda Farrell
620096	39472	
620097	316693	
620098	98149	Biblical Pursuit Lady
620099	98149	Yard Sale Customer
620100	360251	Front Desk Clerk Hotel
620101	236972	Moor
620102	104182	Voice in off
620104	238514	General's wife
620105	42201	Den nye servitrice
620106	119205	
620107	195725	Elaine
620108	142263	
620108	174765	
620108	325764	Bedienung Tabledancing
620108	325869	
620108	334522	Heidi Zobel
620109	120063	
620110	376294	
620111	189443	Mädchen im Jugendheim
620111	290610	Dani
620111	381694	
620112	189727	
620113	101964	
620114	28438	Anna
620114	178087	Celina
620115	134464	Tänzerinnen und Tänzer im Var
620116	380454	Renate
620117	352201	Schwester
620118	152767	
620119	65202	Déléguée Serbe
620119	72727	Irene Parker
620119	104622	Bigi Herzog
620119	111786	
620119	139695	Tante Lore
620119	211727	Grand Lady in Paris
620119	231487	Tante Lore
620119	242776	Natalia Romanka
620119	387944	Inspektor Bigi Herzog
620119	393878	
620120	324795	A Child
620121	145327	
620121	204437	Katheline
620121	206655	
620121	290133	
620121	290502	Ilona
620121	290570	
620121	325662	Christa Brass
620121	334512	
620121	344912	
620121	383108	Helma Schneider
620121	389250	Eva Janda
620121	397487	Alviga
620121	399503	
620122	118863	
620123	119212	Peasant Girl
620124	81493	Angry Motorist
620125	168959	Herself
620125	294160	Éva
620126	183797	Une couturière
620126	240429	
620126	346567	Une invitée de Lady Dudley
620127	393004	
620128	191857	Dana Parker
620129	121615	Inmate
620130	226966	Court Reporter
620131	187906	
620132	363544	Ethel
620133	119710	Sprechstundenhilfe
620134	202914	Perkins
620135	86230	Pipsy
620135	167093	
620135	252863	Agent Joanna Dark
620136	1102	Reporterin
620136	28566	Angestellte
620136	86953	Anny
620136	204755	Kerstin
620136	228161	Frau Hartmann
620136	325941	
620136	349233	Stewardess
620136	406519	Hannah
620137	174931	
620137	349170	Young Girl
620138	49985	Linda Sanders
620139	367028	Herself
620140	391295	Babuschka
620141	174257	
620141	361532	
620141	393717	
620141	395644	
620141	403506	Puppet player - Voice
620142	335492	Sprinter Charlety
620143	259176	
620143	290449	Hilde
620143	365608	
620143	369500	
620143	404488	Ina
620144	122545	Sabine
620144	348683	
620144	349056	Susi
620144	374359	
620144	387445	
620144	401058	Elli
620144	406321	
620145	375691	
620146	290219	
620147	119119	Joan
620147	160662	Jackie
620147	162466	Frau Ruth
620147	184505	Suzette Alberti
620147	244076	
620147	255714	
620147	290650	Margot
620147	329022	Tzeitl
620147	336141	Dr. Koska
620147	361007	Dr. Barbara
620148	232786	
620149	156992	
620149	162088	
620149	291631	Evelyn
620149	338718	Janet
620150	303564	Visitor #4
620152	263013	Inge
620153	28167	
620153	108551	
620153	225740	Marfa
620153	234897	
620153	269196	
620153	324628	Verkäuferin
620154	101752	Edeltraut Berger
620154	119722	Frau Walter
620154	341735	
620154	395667	Anna Ziegler (1987-)
620154	404588	Gianna
620155	129322	
620156	16240	Mina
620156	144789	Alien Stormtrooper
620156	145099	Polizistin
620156	155428	Kathi
620157	361388	Paula
620157	369176	
620158	131692	Kara Klinkley, Sports Reporte
620159	23148	Medea Mulvain
620159	239414	Dancer
620160	29779	Berta
620160	163729	Elvira
620161	44418	Wendy Miller
620161	59174	Rane
620161	89275	Kelsey
620161	100148	Whisper
620161	193534	Jenna
620161	196890	Sorority Girl 1
620161	210483	Hostess
620161	255232	Dog Walker #1
620161	310646	College Girl
620161	319554	Bitchy French Girl
620161	367922	Leslie
620161	400005	Pam Beesley
620162	338959	Bieni Simon
620162	373577	Trashgirl Claire
620163	41353	Joyce Gibson
620163	274427	Girl in Blue Rock Tavern
620164	189651	Cornelia Krüger
620164	361381	Anni
620166	72689	Mitzi
620167	17048	Hertha Gabler
620167	18648	Hotel Maid
620167	27127	Großmagd Stin
620167	82879	Lissy
620167	98041	
620167	98351	
620167	99183	Sonja
620167	103276	Heidi Eckhardt
620167	112871	Marlène
620167	119434	Anka
620167	122596	Ria
620167	132432	Stimmungssängerin Isabella
620167	137414	Heidi Brunner
620167	138906	
620167	142520	Yvonne
620167	144152	Christa
620167	153096	Tänzerin Lola Durango
620167	155465	Kätzchen
620167	162766	Cora Robinson
620167	169121	Lady J.
620167	187720	Hella
620167	193303	Else Bary
620167	199558	Rebecca
620167	205795	Petra
620167	225135	Olga
620167	239018	
620167	256778	Helen
620167	270816	Lola
620167	290627	Vera
620167	294840	
620167	303720	Frieda
620167	317401	
620167	325806	Alma
620167	327451	Lellina
620167	335601	Cynthia
620167	346998	Helen Capstick
620167	347824	Schauspielerin Sylvia
620167	352655	Mascha
620167	358871	Countess Polensky
620167	361994	Kathrin
620167	366594	Bettina
620167	366595	Bardame
620167	369400	Grace Harrison
620167	369419	
620167	375157	Pia Pasani
620167	379858	
620167	381053	Caroline
620167	394190	Kai Fröhlich
620167	404169	Tiger-Lilli
620168	352222	
620169	95481	Roxanne
620169	114645	Narrator
620169	117581	CIA Agent
620169	181109	Cecily
620169	222461	Pretty Girl in Bar
620169	273408	Daisy Walker
620169	303090	Pru
620169	387210	Herself (2000-2001)
620169	398316	Herself
620169	410927	Herself
620170	24082	
620171	270151	Emergency Room Technician
620172	259128	Musician
620173	236387	Audition Woman
620174	403763	Annie (5 years old)
620175	122560	Liesl
620175	134817	Barbara
620176	144669	Rose Hart
620177	190464	Woman at garage sale
620178	240954	Singer
620178	333551	Singer/Dancer
620179	401996	
620179	404169	
620180	138135	
620180	380605	P.A., Kroka Leonov
620180	385151	Female TV Show Host
620180	389791	Yuurei Shoujo, Ghost Girl, PA
620180	403965	
620180	404879	Additional Voices
620180	408893	
620180	409831	
620181	191513	Bobby Chin's Girlfriend
620182	14372	Rosetta Savoni
620182	132688	
620182	186562	Brigitte
620182	219602	Katy Dandridge
620182	248192	Liliana, Alberto's wife
620182	289488	Carla Alberini
620182	326306	
620182	344414	
620183	232798	Gräfin
620184	325553	Sandra Wiemann
620185	140276	
620186	17476	Ann Anderson
620186	18572	Mrs. Rand
620186	26462	
620186	31688	Madame deBrie
620186	34593	
620186	35260	
620186	35370	Betty Allen, the Daughter
620186	37111	
620186	45921	
620186	48698	
620186	50641	Pep O'Mally
620186	52487	
620186	59445	Winnie Davis
620186	78149	Leila Mead
620186	84965	Marta
620186	85830	
620186	85857	
620186	92057	
620186	92843	Messalla/Elizabeth
620186	100157	Kitty Hulbert, Lawrence's Wif
620186	105624	
620186	107415	Ann Dickson
620186	112283	
620186	112298	Mae Rand, the Daughter
620186	123472	Rose
620186	128105	Alice
620186	128189	Sarah Townley/Letty Laney
620186	128481	Peggy Brockman
620186	133618	
620186	138145	
620186	141486	Angelina
620186	142532	Mazie Del Mar/Blanche Harper
620186	146147	Peggy
620186	151406	Grace Darling
620186	152538	
620186	157232	Susan Gaskell
620186	158064	
620186	159107	Milly Strong
620186	159451	Phyllis Ladd
620186	167600	Janet Barnes
620186	167648	
620186	171670	Charlotte Harrison
620186	188155	Mrs. Aubrey
620186	190686	The Old Fisherman's Wife
620186	193815	Samanthy
620186	196171	Sally Batte
620186	204789	Norah McDonald
620186	210378	
620186	213331	Trixy Lynn
620186	214949	Eleanor Seawell
620186	215551	Jackie
620186	215552	Jackie Holbrook
620186	215889	
620186	217432	Molly Allison
620186	217442	Molly Malone
620186	217966	Margery Smith
620186	235638	
620186	239613	
620186	240695	Millie Wilson, Robert's Wife
620186	240880	
620186	245652	
620186	249344	
620186	251265	Mrs. Jane Hagerman, Robert's 
620186	251277	Emily Heath
620186	251495	Yulita
620186	262044	Marie
620186	263888	
620186	263911	Nan Graythorpe
620186	267862	Olive Barton
620186	269621	Nai
620186	278301	
620186	279781	Captain Hardy's Daughter
620186	279783	
620186	280857	
620186	281850	
620186	286145	Doris Lowrey aka Sally Scragg
620186	296868	
620186	299613	Madge of the Hills
620186	302400	
620186	312277	Alys Gilson
620186	312392	
620186	315112	
620186	323707	
620186	329796	Ruth Bannister
620186	330621	Leila Cole
620186	331978	
620186	332783	Carmina
620186	338288	Milly Johnson, Tom's Daughter
620186	339456	
620186	340060	Trixie Darling
620186	341952	
620186	345822	
620186	345826	Eliza
620186	360312	
620186	360844	Vera Middleton
620186	363140	May
620186	363358	
620186	367693	Mrs. Grayson, the Young Wife
620186	368684	
620186	368971	Betty, First Sister
620187	357839	Girl at beach party
620188	171418	Journalist #3
620189	118066	Julie
620190	328668	Cowgirl
620191	43666	
620191	377118	
620191	390658	Débora
620191	395882	Lia
620191	409898	Lu
620192	125478	
620192	137224	Irma
620192	251646	T-Bone
620192	351898	Himself/herself
620193	355539	Young Faye
620195	265301	Crane
620196	9986	Kirsten
620197	67958	Chantal, Collin's Girlfriend
620198	109971	Chubby Checker Member
620199	351181	Lt. Mike Shadows/Lt. Sheila S
620200	181497	
620201	136607	
620201	172171	
620201	347831	Guste Daimchen
620202	178589	
620202	223407	Gerdi
620203	200604	Actress
620204	264723	
620205	91024	Isabel
620205	325648	
620205	325727	
620205	325883	
620205	325913	
620205	338425	Lena
620205	365921	Gabriele
620205	407204	Laura
620206	356857	
620207	330323	The Heart, Townspeople #2, Fe
620208	87942	model in Courrèges sequences
620209	87896	Mourner #9
620209	314113	Announcer
620210	264723	
620211	398863	
620212	13949	Okasan
620212	26293	Dr. Emily Weiss
620212	30581	Mrs. Chau
620212	41297	Mrs. Yu
620212	76496	Jake's Nurse
620212	78182	Mrs. Seki
620212	160896	Mme. Binh
620212	238096	Mrs. Ishikawa
620212	246222	Bank Teller
620212	283546	Press #1
620212	300163	Mama Yamaguchi
620212	383384	Additional Voices
620212	397930	Miss Bisby
620212	402454	Additional Voices
620212	403874	Additional Voices
620213	355519	Bridget
620214	254153	Delphine
620215	354111	
620216	93809	Eliasmor
620216	348728	Bella på Näs
620217	178644	
620218	14728	Anna
620218	14799	Anna
620218	17381	Laura
620218	43666	Ritinha
620218	82565	Fernanda
620218	89351	Letícia
620218	103885	Lídia
620218	104499	Barbara Bergman
620218	161433	Tânia Velasco
620218	228749	Neusa Suely
620218	252673	
620218	252768	Judite
620218	269902	Ana de Ferro
620218	319391	
620218	369981	Rainha Dara
620218	379450	Antônia
620218	379451	Alice
620218	382776	Luíza Sampaio
620218	384480	Yvete
620218	384991	Vivian
620218	386122	Ana de Assis
620218	387830	Diana Queiroz/Débora
620218	390054	Helena
620218	395302	Helena Lacerda
620218	396722	Jocasta Silveira
620218	401087	Laura
620218	401243	Cidinha
620218	402504	Lidia Laport
620218	403118	Nena Mezenga
620218	403326	Eduarda
620218	404834	Vera Robinson
620218	405418	Sula
620220	149961	Singer
620220	189860	Herself
620221	276202	Nurse Hulga
620222	383579	Raquel
620222	393832	
620222	403755	Esmeralda Santos
620223	232818	Blind Old Bat
620223	379255	Mabel
620224	53156	
620224	314993	Charlotte
620224	392322	Christina Holte-Møller
620225	376041	Frau Kuntner
620226	147153	Toni
620227	375266	Josefine, Bertrands Kind
620228	315395	Herself
620229	261539	Hanicka
620230	41514	Girl
620230	51050	
620230	59302	Herself
620230	138293	Mother of Hana K.
620230	150623	Veronika
620230	188869	Gabriela Preissová
620230	237542	Queen
620230	304192	
620230	320562	Floro
620230	373587	Mrs. Ledecká
620230	394751	Lydie Gutenbergová
620231	237253	Munell's Daughter
620232	385824	Isabella 'Belle' Black (#1) (
620233	385824	Isabella 'Belle' Black (#1) (
620234	222790	Dancer
620235	375714	Abused wife
620236	45825	Newsroom employee
620237	352405	Mother
620238	177808	Sweet Thing of 16
620238	218428	The Walking Corpse
620239	316635	Partygoer #3
620240	41311	Bedroom Attendant
620241	245084	Nurse
620242	131431	Black Woman
620242	378556	Auf der Damentoilette
620243	352820	
620244	17111	Lidka
620245	35865	Pralinka
620245	303891	
620245	305827	Jana Pilátová
620245	315929	3. Jana - Alena
620245	344101	Vera
620246	132197	Stela
620246	180673	Markéta
620246	275240	Hanka
620246	352794	
620246	378525	Lenka
620246	408863	Ruzicková
620247	237516	Myška
620247	305815	
620247	344101	Madla
620247	351381	Anicka
620248	236972	Scrim Mouse
620249	302944	Sue Ann Wilbur
620249	323506	Alexis
620250	63341	Herself
620250	280668	Older Artistic Woman
620250	351181	Capt. Dan Tracey/Capt. Tracey
620251	155903	Little Girl
620252	224430	April
620253	222698	Baby
620254	90392	Dr. O'Brien
620254	295727	Beatrice
620255	32654	Miss Grundel
620255	38619	Mrs. Prevost
620255	53793	Maid
620255	57157	Older Rachel
620255	67495	
620255	81052	Rose (Madeleine's maid)
620255	92479	Elaine Henderson
620255	105890	Nurse Allerton
620255	106497	Reporter
620255	107002	Laughing bar patron
620255	121867	Jan
620255	127126	Karl's Landlord
620255	129118	Harrison's Mom
620255	144697	Mrs. Billings
620255	151758	Homeless Bag Lady
620255	207157	Mrs. Peenman
620255	208971	Herself
620255	211358	Eppy
620255	219030	Police Matron
620255	230027	Mrs. Fennel
620255	230815	Small Time Agent
620255	248876	Judge
620255	274689	Ellen
620255	278264	
620255	299663	Joanne
620255	304822	Woman on Bus
620255	314279	Pool Hall Waitress
620255	317341	Vera
620255	318171	Historical Society Woman
620255	328277	Roadside Woman (Ultimate Edit
620255	336033	Joanie
620255	340320	Mrs. Grundman
620255	342470	Rusher of Din - Woman Under D
620255	343017	College Ball M.C.
620255	365642	Roberta
620255	389858	Nurse Strickland (1991)
620256	315410	Little Girl
620257	247415	Marvel Crosson
620257	333198	Judy Mallory
620258	230841	Noreen
620259	101573	Mitch's Assistant
620260	241405	Judge Two
620261	62786	Donna Goldstein
620261	123367	Kate/Princess
620261	194136	Gloria
620261	228298	Marla
620261	280169	Sarah Miller
620261	358810	Herself
620261	382600	Topanga Lawrence-Matthews
620261	404384	Herself/Host (2003)
620262	38684	Street Girl
620263	278839	Woman on Stairs
620264	237422	Newscaster
620265	387533	Siobhan Marsden (2003-2004)
620265	391788	Louise
620266	400236	Sarah Victoria 'Flash' Robert
620267	355980	Fan
620268	193718	Brie Zinfandel
620269	846	Herself - #52: Amy Fisher: 3 
620269	237757	Concerned Citizen
620270	252483	Jacuzzi Girl
620271	31043	Additional Voices
620271	49934	Additional Voices
620271	130730	Additional Voices
620271	136044	Additional Voices
620271	257397	Additional Voices
620271	298952	Additional Voices
620271	380473	Additional Voices
620271	405144	Additional Voices
620272	61418	Massage Parlor Girl
620273	70408	Policewoman
620274	345370	Anna, la jeune fille
620275	311064	
620276	281811	Member of the Queen's Court
620277	91793	Sherry Roberts
620277	342623	Trudy
620278	41182	Woman Security
620278	114135	Coffee Girl
620278	317991	Muffy
620279	293972	
620280	82036	
620281	73986	Amy
620281	317006	
620281	368244	Showgirl
620281	374196	Louise
620282	151460	Partygoer
620283	73	Carol Peterson
620283	1461	Herself - Presenter: Lifetime
620283	2700	Janet Johnson
620283	2893	Herself - Presenter: Best Ani
620283	3735	Herself
620283	13432	Mary Brown (segment "Reckless
620283	19168	Nadine Boynton
620283	24430	Therapist
620283	34903	Herself
620283	42056	Mystery Woman
620283	55627	Herself
620283	59665	Mother Superior
620283	67797	Marie
620283	93957	Janie
620283	100121	Herself
620283	108425	Herself
620283	118919	Elizabeth
620283	120514	Veronica
620283	120586	Herself
620283	124056	Lisa Rolfe
620283	126031	Herself
620283	138444	April
620283	138671	Molly's Mother
620283	141412	Ms. Surpin
620283	147888	Betty Melton
620283	149287	Woman kissing on bridge
620283	151341	Herself
620283	158022	Herself
620283	161244	Herself
620283	161288	Herself
620283	161361	Herself
620283	165977	Nun
620283	186825	Marnie Clarkson
620283	189314	Emma Lazarus
620283	196434	Monica Delancy
620283	201763	Herself
620283	203641	Paula
620283	213325	Mia's Mom
620283	221021	Herself
620283	243950	Herself
620283	250955	
620283	263105	
620283	270151	Herself
620283	278528	Marquine
620283	283953	Interviewee
620283	290872	Herself
620283	291223	Bianca Burnette
620283	297261	Lorna
620283	300814	Iris Turner-Hunter
620283	306625	Betsy Faye Sharon
620283	310956	Princess Leia Organa
620283	313459	Princess Leia Organa
620283	313463	Princess Leia Organa
620283	313466	Princess Leia
620283	313478	Princess Leia Organa
620283	313479	Princess Leia Organa
620283	313799	Herself
620283	313971	Mrs. Dubois
620283	319012	Franny Jessup
620283	319474	Princess Leia Organa
620283	321284	Linda
620283	330091	Hooker
620283	330773	Claudia Curtis, Arnold Moss' 
620283	333246	Petra
620283	345635	Herself
620283	346142	Annie Clark
620283	362808	Marie
620283	368043	Sally Hansen
620283	383510	Presenter
620283	384938	Host
620283	391914	Host (pilot)
620284	334085	School Girl
620285	26263	
620285	27342	Babs Wood
620285	35650	
620285	42056	Daughter #2
620285	142531	Jill Gronouski
620285	148562	Ginger
620285	189238	Ginny Peterson
620285	219176	Wind
620285	303235	Lois
620285	315211	Amalie, Waitress at Cafe/Andy
620285	321611	Helga Wagner
620285	385824	Diane Parker #2 (1984)
620285	411802	Rebecca (1980)/Dana (1987)
620286	304843	Girl on Street
620287	87586	Mrs. Kilroy
620288	387230	Denner
620289	41698	Little Girl
620289	87599	Cecilia Tomlin
620289	190858	Dorothy
620289	203132	Young Girl
620289	320812	Marion Foster
620289	354556	Julia
620289	372676	Susie
620290	97256	
620291	22935	The Horse Thief's Daughter
620291	47672	The Tavern Owner's Daughter
620291	47678	Sheriff's Daughter
620291	75548	An Indian Maiden
620291	83042	Edna Black
620291	120733	Nan Warren, the Doctor's Swee
620291	133894	The Sheriff's Girl
620291	237667	
620291	245553	Ethel Walker
620291	248021	Papa's Wife
620291	274462	Maitland's Daughter, Doris
620291	298212	Tom's Sweetheart
620291	327856	Jane
620291	361761	Ike's Wife
620292	142600	Herself
620293	218004	Herself
620294	5910	Roberta
620294	107917	Female Police Officer
620295	116131	Amanda
620296	286423	Aerobics Instructor
620297	166153	
620298	206865	Clarice
620299	141419	
620299	301765	Mary Reynolds
620299	340811	Amy
620299	342331	Jenna
620299	360689	Caryn
620300	89632	Mrs. Linden
620301	23446	Dr. Theodora Cushing
620301	23973	Ella Hepburn
620301	26478	Rosie
620301	37387	Candy
620301	41733	Delia
620301	47592	Maureen Phelan
620301	49453	Phyllis
620301	53296	Louise
620301	65696	Herself
620301	85143	Maryellen
620301	88548	Librarian
620301	99630	Violet Coffin
620301	110967	Annunciata
620301	118702	Jo Westlake
620301	118705	Jo Baker
620301	131226	Junie Halliwell
620301	141157	Jeannie
620301	141720	Herself
620301	150998	Connie Walsh
620301	182977	June
620301	186446	Sara Miller
620301	194727	Judith Loftis
620301	197065	Lucille Ball
620301	198085	Brit Hanley
620301	207909	Nancy Proctor
620301	217416	Molly McKenna
620301	221267	
620301	244372	Carol Schaefer
620301	250873	Yolanda
620301	256184	Dinah
620301	262536	Betty
620301	265750	Sarah
620301	278822	Virginia Wilder
620301	313778	Cora Day
620301	316126	Angie
620301	318204	Mrs. Marge Allen, English Tea
620301	333856	Ruth DeWitt Bukater
620301	336789	Jessica Pond
620301	337403	
620301	340765	D.A. Cecilia Nussbaum
620301	346949	Strawberry Alice
620301	358321	Rita Savage
620301	361167	Rochelle Bossetti
620301	365142	Agnes Stouffer
620301	381525	Dr. Elizabeth 'Liz' Carson (1
620301	387309	Det. Deborah Saxon (1976-1981
620301	390177	Mitzi Dolan
620301	390771	Suzette Saxon (1985)
620301	391835	Herself
620301	396229	Brit Hanley
620301	406666	Angie
620301	408333	Juanita Titus #2 (2000-2001)
620302	43725	Bonnie's aunt
620303	345784	The Countess
620304	68316	
620305	90786	Secretary
620305	105147	Pauline Kramer
620305	204386	Joan Hanson
620305	302253	Joyce Lane
620305	396765	Peggy Fair (1968-1975)
620306	120148	Peggy Hadley
620307	385105	Jessica Kouros (1989-1991)
620307	406144	Christine Reynolds
620308	16923	Singing Cowgirl
620308	124022	Cashier
620309	11582	Kate Delancey
620309	21509	Betty
620309	33748	Boots
620309	105247	Girl in Mountains
620309	191627	Little Girl
620309	315881	Little Girl
620309	362927	
620310	288748	Mack's Friend
620311	232628	Femme restaurant
620312	78947	Additional Voices
620313	37055	Herself
620313	380708	Anita (2001)
620313	382287	Julie
620314	84624	
620315	71637	Mabel Ford
620316	23569	Cerca
620316	23932	Herself
620316	49451	Emma
620316	77143	Redhead
620316	122004	Jennie
620316	154271	Heather
620316	245056	Australian Girl #1
620316	272018	
620316	290939	Mary Jane
620316	321459	Kim
620316	359064	Kirsty
620316	360684	
620316	364372	Butterfly
620316	381435	Vanessa Walker
620316	391254	Australian barmaid
620316	391869	Shannon Reed (1994-1997)
620316	400110	Bet
620316	400806	Robyn Devereaux Barsby
620316	401473	Butterfly
620317	388502	Katherine Bindlebeep
620318	325283	Heart
620319	220772	Edith
620319	311634	Motorist
620319	397478	Janice Van der Velter
620320	167013	Denise
620321	324822	Parent
620322	407414	Morag Kerr
620323	29523	Barfly
620324	188403	Baby Annabella
620325	41182	Mercy Shaw
620325	42788	Leza Watkins
620325	80409	Kim White
620325	161189	Rachel Taylor
620325	191625	Night Nurse #1
620325	245535	Housewife
620325	313432	Telepath
620326	68242	Laura Hartwood
620326	68669	Stacy
620326	81683	Kris
620326	108340	Lauren Osborne
620326	154869	Female D person
620326	155298	
620326	160560	Dr. Brenda Bradford/Robo Bren
620326	161288	Herself
620326	168018	Rita Domino
620326	176465	Beth Emerson
620326	200151	
620326	207157	Maggie
620326	216469	Susan
620326	235353	Lucy Hudson
620326	252959	Elizabeth Crane
620326	263352	Averil
620326	293020	Sandy Barlow
620326	305013	Emma
620326	330580	Susan Miller
620326	381065	Lizzy Collins Spencer
620326	385677	Molly
620326	387483	Paige Clark
620326	390666	Hope Lustig (2000)
620326	392716	
620326	399677	Pamela Theresa Gamble-Miller
620326	407022	Lana Lang
620326	411126	Zoe Busiek
620327	20626	Lotta Boyle
620327	79691	Chaperone
620327	112035	
620327	176454	Voice
620327	199167	Mrs. Warby
620327	290421	
620327	301945	Hospital Housekeeper
620327	399816	Joan Parker (1973)
620327	411760	Peg Clancy
620328	26633	Herself - Angel and The Rerun
620329	4501	
620330	113811	Nurse
620331	176404	
620331	188154	
620331	213331	Buddy
620331	257852	
620331	331320	
620331	354229	
620332	57815	Second Customer
620332	111782	Nurse
620332	279611	Lady of Fashion
620332	409400	
620333	93287	Sister
620333	316295	Televison Journalist
620334	30965	Wig Lady
620335	365909	Luke's Girl
620336	232446	Lori
620337	216959	Herself
620337	389334	Herself/Regular
620338	178862	Harem girl
620338	249551	Burro girl
620338	335258	Girl in Michael's Dream
620338	370037	Video girl at party
620338	378928	Bo
620338	406010	Dancer (2001-2002)
620338	409672	Herself (2004)
620339	373990	Tiger Cheerleader
620340	340949	Emily
620341	404138	Sumire Kanzaki
620342	61320	Delivery Girl
620342	65499	Sarah
620342	235541	Seabrook Girl
620342	270607	Cheerleader
620343	276225	Herself
620344	304355	
620345	7987	Thelma Lashley
620346	303818	Chrissy OConnell
620347	17783	Nervous Lady
620347	139483	Nurse
620347	240021	
620347	397918	Miss Tickle
620348	192201	The Wolf
620349	71659	Jane
620349	358458	Grace
620349	382176	Bennon's Assistant
620349	400236	Debra Medina (1989-1990)
620349	405899	Louise
620350	31346	Nurse
620350	63130	Sister Rose
620350	76554	Art Teacher
620350	83949	
620350	129449	The Blond
620350	147115	
620350	208301	Judith
620351	250525	Mother
620352	9124	Shuttle Agent
620353	11382	Lady Crackenthorpe
620353	21786	Mrs. Ward
620353	26660	Aunt Clem
620353	166729	Nancy Beedle
620353	191947	Lady Gower
620353	194941	Mrs. Samuel Blevins
620353	196857	
620353	212668	Mrs. Deborrah
620353	245031	Granny White
620353	298618	Mrs. Compton
620353	331480	Abbey
620353	349863	Mrs. Haines
620354	355053	Queen Mary
620355	128278	Mamie Wilson
620356	154089	Lilly
620356	298222	
620358	20004	Caroline Ames
620359	201432	
620360	69391	Casting Executive Woman
620361	118066	Julie
620361	221590	
620362	16412	Terrapol: Neptune
620364	241531	Wandi
620365	283345	Lola
620366	1971	Fossie
620366	5332	Dorm Mother
620366	92865	Eulogist
620367	350704	Woman
620368	352588	Sandy
620369	408638	Female Officer
620370	76256	Blair Witch Actress
620371	9921	Dorothy Wells
620371	38008	Marsha Dunforth
620371	92701	
620371	112616	Maryland Warren
620371	145803	
620371	203280	Dorothy Deane
620371	208695	Mrs. Grimes
620371	274981	Virginia Christy
620371	304445	Virginia Lambert
620372	17785	Marie
620373	33594	
620374	101067	Ann
620374	106009	Kay Frost
620374	110374	Daphne Olroyd
620374	154358	
620374	191640	
620374	193374	Gladys
620374	241383	Dolly Pearson
620374	285316	Mrs. Newton
620374	286461	
620374	384681	
620375	82023	Ma Walmsley
620375	95337	Mrs. Vardeman
620376	39464	Vera
620376	295328	Stewardess
620377	193718	Mrs. Fletcher
620378	250811	Waitress
620379	220809	Dolores Mitchell
620380	348328	Dancer
620380	379954	Dancer
620380	411859	Regular Performer (1950-1952)
620381	100106	Waitress
620381	224123	
620381	372331	Marcie
620382	118981	2nd A.D.
620382	150421	Herself
620383	12203	Gang Girl
620383	24429	Dancer
620383	33063	Regina
620383	68767	Kyra
620383	71687	Backup Singer
620383	151351	End Table Ass
620383	316225	Sugar
620383	361854	Herself
620384	203358	Tony Clifton Dancer
620385	191505	Young Christa
620386	259904	Florina
620387	192258	Nora Blake
620388	321306	
620389	383744	Herself
620389	407510	Herself
620390	358291	Fridge Lady
620391	358486	Bartender 1
620392	216926	Barbara Reed
620393	272687	Mercedes Blonde
620393	330951	Claire
620394	42141	Schoolie
620394	44278	Bar Girl
620394	290939	Possessed Student
620395	323300	
620396	146814	
620397	210837	Amanda
620398	20253	Lindy
620398	43919	Gina Gabooch
620398	47082	Chatsie
620398	51483	Katie
620398	149971	Maureen
620398	154869	Airplane passenger
620398	161288	Herself
620398	263352	Daphne Ziegler
620398	314656	Katie
620398	316159	Lisa Glover
620398	330091	Hooker
620399	282388	Marty Barrett (editor, 'The S
620400	152531	Girl in nightclub
620401	214299	Bag Lady
620402	385299	Michelle Archer
620403	303898	Wendy Fisher
620404	121631	Sandy
620405	400236	Sarah Victoria 'Flash' Robert
620406	135812	Young Matron
620407	265276	
620408	206128	Herself
620409	118980	Aunt Bette
620409	340791	Waitress
620410	133401	Dancer
620410	296552	Dancer
620411	221182	Mother in Play
620412	171297	Little Girl/Tammy
620413	22122	Lihi
620413	136988	Zohar Shalom
620413	227921	Daria
620413	397635	Miki
620414	133431	
620415	215295	Doris
620416	121541	Social Worker
620416	190003	Elizabeth
620416	203083	Red-haired waitress
620416	206410	
620416	215796	Barmaid
620416	299193	WPC at Kathleen Adanski's hou
620417	218721	
620418	99695	Fat Wife
620418	202367	Large Woman
620419	59759	Restaurant Cook
620420	164664	His Daughter
620421	396123	Kelly Conway (1986-1987)
620422	26471	Beth
620423	168301	
620424	13967	Cicily
620424	26471	Kristy Thomas
620424	76600	Little Sara Lee
620424	139135	Mary
620424	194055	Judy (Girl at Oak Park)
620424	223954	Joe
620424	243150	Ashley
620424	303837	Robin
620424	306220	Lane Leonard
620424	337381	Suzy
620425	323825	Salka Viertel
620425	347348	Mrs. Derry
620425	386196	Elsie Penfield
620425	391309	Helen Tully
620425	396772	Mrs. Price
620425	403499	Ivich
620426	148933	
620427	328752	Tess Durbeyfield
620427	350502	Becky Sharp
620428	167003	Minister
620428	240165	Bill's Mother
620429	212334	Herself - Participant/Perform
620431	258874	Various
620432	176879	Olivia Green
620432	192678	Butterfly
620432	333394	Rose Anderson/Francis Chan
620433	28441	Hula dancer
620433	128582	Native dancer
620433	308632	
620434	251609	Child
620435	225976	
620435	231572	
620435	399114	
620436	229008	
620436	375354	
620437	239034	Octavia Sister
620438	265892	Hooker
620439	33908	Hanna's Mother
620440	244964	
620442	165034	Jaklová
620442	175013	Lenka
620442	202589	
620442	219293	Mercedes
620442	243976	Eva
620442	281214	Melicharová
620442	284012	Hanka
620442	292992	Milada Stárková - Mísa
620442	357730	Eva
620443	24554	Maid
620444	68470	Young Nancy
620444	84962	Aliza
620445	133579	Herself
620446	20845	Ruby Paloffski
620446	40533	Sister Helena
620446	44547	
620446	50607	Iris
620446	80932	Miz Lilly
620446	142402	Beverly
620446	178994	Louise
620446	231327	Sophie
620446	243273	Doctor
620446	252203	Flotsam
620446	265506	Margaret
620446	282935	Miss Daigie
620446	309857	Cheryl Ann
620446	362307	Debbie
620446	403490	Selena Dale
620447	387152	Fallon Carrington (1989)
620448	11410	Ange
620448	226775	Mother
620449	89311	Woman at Bar
620450	78976	News Reporter #3
620451	68771	Jeff's girlfriend
620452	302235	Mathilda's Pal
620453	189325	Extra
620454	346366	
620455	7065	
620456	183868	Social worker
620457	157004	Mrs. Louise Beauchamp
620457	383301	
620458	326143	Star
620459	138669	Fairy Godmother Applicant
620459	246221	Grandmother
620459	276606	Charlene Groper
620460	100554	
620460	239923	
620461	80623	Alexandra
620461	152688	Yelena Galkin
620461	180677	
620461	196902	Woman at wedding
620461	220144	Clerk
620461	220234	Miss Burk
620461	231618	Stewardess
620461	231620	Tenant
620461	266019	Lida
620461	369381	
620461	381059	Swimming Instructor
620461	395091	Mrs. Russell
620461	396286	Simona Miller (2003-)
620461	402197	Hannah Geldschmidt (1984)
620462	144406	
620463	404358	
620464	97619	
620464	121079	
620464	136486	
620464	156414	
620464	180505	
620464	183892	
620464	185873	
620464	266502	
620464	326217	
620465	249856	Sukma
620466	85505	Koula
620466	102462	Katina
620467	106996	Herself (interviewed)
620468	106996	Herself
620470	232349	Lady Duddleston
620470	315799	
620471	396501	Additional Voices
620472	71474	Dancer
620473	106365	Pearl
620473	155636	Lisa Patterson
620474	143536	Venus
620474	385719	Leona Eltridge (1968)
620475	140229	Anita Henning
620475	163079	Lisa
620475	278702	Teacher in Zoo
620475	325910	
620475	392669	Pia Heilmann
620476	12048	Resi
620476	188774	Loni, Tochter vom Gröberhof
620477	170711	Junges Ding
620478	62693	Magd
620479	229250	Dawn
620480	219338	
620480	229165	
620481	49311	Martina Scherer
620481	130965	
620481	145337	
620481	209976	
620481	290527	Susanne U.
620481	325490	Thea Schwaiger
620481	367026	Zenzi
620481	392502	Herself
620481	398623	Host
620481	405308	Recurring Guest
620481	411956	Rosalie Utz
620482	113278	
620483	3137	
620483	12539	Resi
620483	16207	Alma Pfister
620483	17668	
620483	18339	
620483	18526	Erna Rueppesburger
620483	35098	Schwester Michèle
620483	49295	Maria
620483	49306	Helene Ruhland
620483	89469	
620483	93410	
620483	98285	Elida Lipp
620483	101354	Agnes Blanke
620483	132541	
620483	147154	Pfarrköchin
620483	156739	Zensi Christeiner
620483	174217	Minna Schreiner
620483	184294	Herself
620483	211087	Frau Linsinger
620483	212167	Nancy
620483	239014	
620483	275175	Theres
620483	285379	
620483	301017	
620483	312089	Sophie
620483	314952	
620483	325440	Klara
620483	325490	Adelheit Kocyk
620483	325833	Frau Mader
620483	325887	Terry Hallbaum
620483	325945	Eva Krüner
620483	346855	
620483	347021	Lissy
620483	352065	Gabi Stern
620483	361444	Servant Fanny
620483	364910	
620483	366517	Ulli's Mutter
620483	366594	Maid Louise
620483	367026	Base
620483	381439	Agnes Oberauer
620483	389268	Emmi Brunnmayr
620483	391141	Martha Haslbeck
620483	392997	Ehefrau im Flieger
620483	397765	Rosa Hartinger
620483	408208	Gerlinde Schneider
620483	409613	Traudel Dirscherl
620483	411956	Mrs. Glasl
620484	143707	Tony's Mother
620484	367503	
620485	202915	Old lady
620486	173076	Polizeiärztin
620486	226175	Frau Breitwehr
620487	310498	Gina
620487	407414	Sheila Ramsay
620488	17555	Lady
620488	44183	Ruth Rainer
620488	68012	Luce
620488	105441	Rosamund Darnley
620488	130947	Loelia
620488	138184	Polly Cockpurse
620488	142929	Duchess of Norfolk
620488	155596	Countess
620488	157195	Dowager
620488	160958	British Rider
620488	194956	Mrs. Carlton
620488	229673	Susan
620488	283933	Clara
620488	292461	Miss Delaney
620488	323377	Lady Dot Edgerstone
620488	363846	Valerie Marchant-Hayne
620488	366441	Didi Marchmont
620488	385717	Behemoth
620488	398972	Wissie Astor
620488	399271	Sarah B'Stard
620488	400814	Jennifer Battley, nee Strove
620488	402124	Caroline Bingley
620488	409497	Camilla Mounsey
620489	188756	
620490	110538	Young Mrs Rodriguez
620491	75284	Susan Taylor
620491	210700	Mrs. Ehreheart
620491	254761	Heist Stripper
620491	298216	Stephanie Byler
620491	328561	Woman Driver
620491	360467	Amy
620492	113915	Noodle
620492	184717	Eleanor
620492	401973	Australian Sarah
620493	130316	Policewoman
620494	285302	Teacher
620495	170843	Reporter
620496	44433	Woman at Site
620497	404138	Tsubaki Takamura
620498	77630	Dogface
620499	310726	Elevator Passenger
620500	5475	
620500	20292	Mother Schyler
620500	26053	Mrs. Zilla Reisling
620500	32249	Mrs. Schuyler
620500	64681	
620500	70804	
620500	70823	Lola Mulvaney
620500	73954	Leading Lady
620500	77933	Henrietta Travers
620500	78729	Queenie
620500	87122	
620500	95480	Mrs. Manning
620500	113733	Mary O'Farrell
620500	114884	Mrs. Edgerton
620500	115622	
620500	115936	The Suicide Blonde
620500	143012	Mrs. Harmon
620500	144811	
620500	146064	Dowager
620500	151289	Cissy
620500	154901	Agnes Clevenger
620500	155863	Mrs. Loring
620500	175143	Cissie
620500	183415	Bossy Hart
620500	183451	
620500	186005	Giancinta
620500	190780	Florette
620500	196122	Countess Leopold Marjenka
620500	202926	Alice Montague Marvin
620500	207847	Madame Leonine
620500	208895	Mrs. Halloran
620500	233486	Woman from Orphanage
620500	242110	
620500	246694	Ma Hudler
620500	250711	Duchess Banning
620500	274503	Mrs. Henry Carter
620500	295317	Old lady
620500	306769	
620500	314474	Mrs. John Durant
620500	316898	Lady Percival
620500	321443	
620500	338097	
620500	342843	Madge Malarkey
620500	350511	Mrs. Connors
620500	365950	'The widow', a Broadway star
620500	367655	Burlesque Queen
620500	367734	Mrs. Frank Stanton
620500	367834	Mrs. Ray
620501	84439	Secretary
620501	131760	Carol
620502	1781	Herself - Performer
620502	2304	Herself
620502	13782	Herself
620502	18986	Herself
620502	21164	Herself
620502	34113	Herself
620502	38243	Herself
620502	54414	Herself
620502	55397	Herself
620502	55579	Herself
620502	57639	Herself
620502	99332	Herself
620502	118882	Herself
620502	118888	Herself
620502	163523	Herself
620502	175522	Herself (Honoree)
620502	175524	Herself
620502	188265	Flora
620502	191527	Herself
620502	218537	Herself (singer)
620502	221831	Herself
620502	243942	Herself
620502	253847	Maggie Jackson
620502	273492	Herself
620502	277444	
620502	277844	Ruby
620502	286692	Herself
620502	302433	Herself
620502	312585	Singer
620502	316316	Herself
620502	353439	Herself - Performer
620502	372897	
620502	396034	Herself
620503	26154	Prostitute
620503	45098	Starr
620503	155078	
620503	175724	Sasuke
620503	213044	Roxanne
620503	293232	Annette
620503	310504	Sasha, Angel Predator, Angel 
620503	369693	Additional Voices
620503	386928	Additional Voices
620503	387290	May Kanker/Nazz (2000-)
620503	393503	Additional Voices
620503	402863	Kodachi Kuno (season 5)
620503	404062	Cherry, Luchs
620503	404080	Additional Voices
620504	51955	Glamour Girl
620504	315774	Girl in Attic
620505	31672	Julie
620505	74202	Barbara
620505	314949	Marcia Finch
620505	364164	
620505	380570	Pat McBride (1983)
620505	385594	Marilee Stone (1978-1990)
620506	83349	
620506	120355	Marie-Hélène
620506	124066	Sara
620506	132983	Virginie
620506	346662	La femme du préfet de police
620506	346762	Anne
620507	305159	Dancer: The Dance Company
620508	264	Bonny Coburn
620508	2563	Herself - Performer
620508	5567	Evelyn
620508	8631	Essie Miller
620508	21154	Martha Bach
620508	21157	Martha Bach
620508	35192	Herself
620508	35754	Mrs. Atkins
620508	40682	Peggy Summers
620508	41216	Mrs. Thomason
620508	49485	Mrs. Beauchamps
620508	51876	Moira O'Flynn
620508	61567	Grace Sutton
620508	63766	Mrs. Toland
620508	64409	Charlotte Kessling
620508	78986	Ann King
620508	81440	Peggy Mayhew
620508	82970	Jane Grey
620508	86042	Maud Kennaway
620508	88264	Sister Agnes
620508	88656	Lorraine Wyatt
620508	96958	Mrs. Monahan
620508	97220	Sara
620508	112052	Tante Maria
620508	115483	Betty Farroway
620508	117716	Amy Bisley
620508	124767	Evelyn Gaylord
620508	139610	Jessie Stone
620508	167602	Granny Weatherall
620508	183315	Joan
620508	183358	Virgie Alford
620508	185062	Mrs. Jackson
620508	185824	Elizabeth Grahame
620508	189925	Joan Fayre
620508	196516	Bronwen
620508	201662	Herself
620508	204141	Grandma Carr
620508	213994	Maggie Tulliver
620508	218689	Amy Strickland
620508	232026	Abby Abelsen
620508	234199	Gladys Halvorsen
620508	237618	Ellen Rogers/Elaine Duprez
620508	242490	Jill
620508	251161	Marilyn Birchfield
620508	259828	Jessica 'Gramma Jess' Wilson
620508	269938	Peggy Quinn
620508	270446	Rev. Wood
620508	299072	Dr. Mary Murray
620508	306412	Susan Courtney
620508	315993	Lettie Quincey
620508	325078	Madame Pernelle
620508	327746	Edith Chapin
620508	331645	Crystal Shackleford
620508	331700	Diane Morton
620508	341949	Ruth Fosdyck
620508	347959	
620508	359863	Marthe de Brancovis
620508	364863	Grandmother
620508	365926	Edith Bolling Galt Wilson
620508	369182	Isabella Linton
620508	371375	Emma Talbot
620508	381736	Violet Jordan (1970)
620508	394311	Rose Kennedy
620508	400533	Helen Eldridge
620509	154116	Eileen
620509	259779	Ladies Aider
620509	346136	Megan Phillips
620509	383844	Janet Slatt
620510	13847	Svelte Wind Surfer
620510	65756	Cleo
620510	65820	Scottish Girl
620510	236779	Tracey, Convent student
620510	404404	Madame de Fervaques
620511	45592	Jenny
620512	44274	Daisy Walker
620513	380610	Housekeeper
620514	129219	Jenn
620515	314531	Mrs. Delton
620516	297190	Mrs. Shanahan
620517	170313	Juke Girl
620518	47850	Mrs. O'Shaughnessy
620518	83115	
620518	154581	Second Irishwoman
620518	164653	Mrs. McMullen
620518	183719	Mrs. Eady
620518	224361	Aunt Bella
620518	311986	Kate O'Malley
620518	372124	Widow McDermott
620519	80435	Val
620519	220587	Kit
620519	292643	Mrs. Selby
620519	339364	Bernadette Featherstone
620519	382838	Doreen Corkhill (1985-1989, 1
620519	402611	Mrs. Delaney
620520	411802	Connie Wayne #1 (1987-1999)
620521	65628	Connie
620521	118280	Dancehall Girl #1
620522	41774	
620522	81505	
620523	367083	Running Girl
620524	178281	
620525	358478	Kitty
620526	72515	P.A. #1
620527	190377	Girl
620527	210835	Steff
620527	232714	Michelle
620527	341442	Little Girl (Segment Horny)
620528	167797	Model
620529	188408	
620529	307912	
620529	327584	Singer
620530	13360	Network Anchor
620531	63098	Jocelyn
620531	92618	Amber
620531	363415	Americus Nation
620532	288493	Vampire girl
620533	224164	Lisa
620533	330699	Groupie
620533	342512	Young Girl (Segment #4)
620534	11399	
620534	64086	
620535	141384	Anna
620535	195290	Mum (segment "Love From the M
620536	42422	Penny
620536	119879	Linda Hersch
620536	157502	The Woman
620536	163310	Janeen Barton
620536	195274	Melanie
620536	306132	Sheila
620536	362391	
620536	410835	Carol
620537	364322	Girl 2
620538	178292	Young Woman
620539	72877	Gayle Hingus (segment "Posses
620539	298966	Panther Zora, Additional Voic
620539	380654	Annette Goode
620540	308548	Mrs. Keogh
620541	4946	Nurse 3
620542	17697	Mrs. Tom Pringle
620542	47790	Juliana Kelly
620542	64408	Claudia Aldrich
620542	80774	Joyce Ennis
620542	185049	Weston's Ex-Wife
620542	254996	Eliza Kilworth
620542	273794	Judge Henderson
620542	293155	Marleen Donovan
620542	301693	Safety Deposit Box Woman
620542	386902	Nurse Louise Wynn (1971-1972)
620542	391533	Paula Myles
620542	398937	
620542	401026	Katie Connor
620543	316315	Sarah
620544	399162	
620545	328009	Carmen (segment "Carmen")
620546	246025	First Veterinarian
620548	340752	Justice Secretary
620549	117979	Polly Gordon
620550	312074	Naomi Fenton
620551	399383	The Intended
620552	99136	
620552	109340	Sammi Russell
620552	127563	Laura Fenwick
620552	210483	Woman at Seminar
620553	16803	Sister Rita
620553	116887	May
620553	261095	Emma
620553	294843	Mistress Clevely
620554	13736	First Person
620554	48240	Trish's Assistant
620554	314719	Trish's Assistant
620555	16990	Young Dollie Stokesay
620555	33189	Narrator
620555	39330	Victoria Mordaunt
620555	57665	
620555	61667	Angel
620555	69678	Daisy MacDonald
620555	101431	Betty
620555	107743	Catherine Pradier
620555	114598	Mother
620555	119849	Lady Dona St. Columb
620555	141140	Nancy Doyle
620555	154102	Topaz Mortmain
620555	158352	Zoe Walters
620555	192382	Beth Marsh
620555	195311	Monica Jones
620555	203304	Adele Rice
620555	230861	Kris Paddock
620555	272006	Masha
620555	303090	Estella Campion
620555	303434	Emily
620555	306044	Silk
620555	317350	Grace
620555	349571	Poppy Carew
620555	367536	Marian Fairlie
620555	383277	Young Polly
620555	388727	Narrator
620555	407826	Helen Graham
620556	213128	Jenna Black
620557	133442	Lib Girl
620557	169843	
620557	257857	Bikini girl #1
620559	320310	Gareth's Mum
620560	113985	Old Lady
620561	338210	Movie Actress
620562	99923	Charlotte
620563	151678	
620564	326798	June
620565	147556	Herself/Hostess
620565	154402	
620565	257108	Alva
620565	275362	Lili
620565	319285	Shirley Marshall
620565	396737	Adelade
620565	399304	Vivienne Cooper
620565	411330	Helga Schnellenhamer
620566	212614	Big Fish Waitress
620567	112745	Cook's daughter
620568	65042	Mourner
620568	338403	Extra
620569	133723	Bar Maid
620570	239079	Aurora Noyes
620570	280703	Mrs. Branigan
620571	250514	Mrs. Catherine O'Bannon
620572	281700	Twin
620573	281700	Twin
620574	276349	Columbia
620575	290456	Elke
620575	346537	Margot
620576	32906	
620577	145605	Maria
620577	326342	Hanna Lehmann
620577	346537	Liseul
620578	241650	Extra
620579	201522	Madie Wiley
620580	131629	Sarah
620581	56545	Herself
620582	166637	Woman in Audience
620583	117600	Lori
620584	118021	Lady Wishfort
620585	410631	Susan
620586	228177	
620587	145605	Anita
620588	267503	Girl Giving Speech
620589	21157	Saleswoman
620589	68511	Mother
620589	106740	Lurene
620589	132217	CIA Operator
620590	57437	Niña
620591	161714	Classmate
620592	177119	Aunt Mary
620593	213963	Businesswoman
620594	331190	Mrs. Talbot
620594	348594	Sissy's Mom
620596	120800	Lady on Plane
620596	243436	DVDA Porn Actress
620597	26880	
620597	176296	Girl
620598	409188	News Correspondent
620599	2009	Herself
620599	73449	
620599	92666	Lucy Westerman
620599	126544	Herself
620599	137259	Amber von Tussle
620599	145019	Festival Singer
620599	145636	Herself
620599	224430	Paprika
620599	280081	Guitarist in the crowd outsid
620599	289667	Herself
620599	312592	Cassie
620599	410686	Panelist
620600	118337	Elva Landy
620600	128577	Mother
620600	144913	Singer
620600	171094	Prosecutor
620600	182963	Cheryl Meyer
620600	189233	Conference Room Attorney
620600	202728	Redhead on Bus
620600	226937	Blues Singer at Blue Note Clu
620600	245276	Barbara
620600	258036	Cobber
620600	363611	Cass's Mother
620600	382396	Mrs. Bradman
620601	244935	Singing actress
620603	17934	Birdcage Waitress
620603	281834	Helga
620604	90771	Daughter Amanda Pistone
620604	388238	Amanda Pistone Egan
620605	380798	Katie Braithwaite (2003)
620606	241444	
620607	40175	Sandra
620607	48564	Audry
620607	65990	Nancy
620607	72372	Rhonda Reynolds
620607	92307	Gillian
620607	109076	Brigit
620607	188033	
620607	200371	Kiley
620607	213479	Dulcea
620607	238747	Maria Cassini
620607	370734	Diana
620607	400806	Brooke Bannister
620608	17168	Mrs. Pilkington
620608	104949	Miss Gilhooly
620608	151340	Margaret
620608	298479	Female reporter
620608	363146	TV reporter
620609	23352	
620610	275233	Nurse Jones
620611	17030	Nurse Dixon
620611	46709	Sarah
620611	52886	Aunt Jane
620611	243647	Jessie of Topmast
620612	108824	Neighbor
620612	131747	Mrs. McCreadie
620612	133706	Andrea
620612	140182	
620612	141653	Gloria
620612	148535	Miss Greenoak
620612	222290	Dorothy
620612	232013	
620612	238689	Mara
620612	253015	Su
620612	257699	Kate Harris
620612	265769	Marge
620612	275529	Kate Mason
620612	276659	Patty Patria
620612	299286	Nurse
620612	303974	
620612	318764	Rachel
620612	343307	
620612	368374	June Abelson
620612	381570	Nellie Melba (1972)
620612	381608	
620612	381641	
620612	382100	Michelle
620612	382206	Herself - Panellist
620612	382465	Constable Alice McGorr (1973)
620612	386622	Trish Fairweather
620612	394344	
620612	395185	
620612	403087	
620612	403938	Elene Costard
620613	92688	Dracula's Victim
620613	204736	Elevator Victim
620614	214430	Cafe Patron
620615	16396	Herself
620617	200860	Mary Little-Brown
620617	330229	Tour Guide
620618	393228	Caroline - 6 Years
620619	79041	Thin Woman
620620	241444	
620621	185964	Restaurant Patron
620622	381821	Ensemble (1969)
620623	93223	Nurse #2
620624	193900	
620625	303564	Kyra's Sister
620626	401285	Host
620627	291215	Herself
620628	56162	Mary O'Donnell
620628	291215	Herself
620629	274346	Courtney
620629	407224	Bridget Hendrickson (1999-200
620630	19963	Margaret
620630	20033	Angela
620630	29862	Vicomtesse de Lavedan
620630	30787	Miss Cornelia Van Gorder
620630	38741	
620630	42427	Aunt Celimena Moore
620630	43093	Lady Isabella's chaperone
620630	44255	Old Maid
620630	46835	Marquesa
620630	47367	Martha Galt
620630	54482	Mrs. Griswold
620630	56178	Frau Hofrat
620630	60307	Mrs. Bytheway
620630	62047	Mrs. Higgins
620630	65662	Mrs. Hunter
620630	80671	Mrs. Martha Stevens
620630	82839	Rena, Mother in flashback
620630	90103	The Dowager
620630	90203	Sancho Panza's wife
620630	93786	Mrs. Tolliver
620630	95117	
620630	96811	Cornelia
620630	109335	The Marquesa de Lisa (her aun
620630	113466	Mrs. Napoli
620630	114851	Giraud's Cousin Clarissa
620630	115631	Mrs. 'Aunt Ida' Chisholm Fara
620630	117559	Mrs. Conger
620630	117647	Mrs. Fulcher
620630	120348	Mrs. Chardley
620630	120777	Snooksie, the first schooltea
620630	122051	Matilda Brent
620630	125908	Lady Beekman
620630	128376	Kate Comstock
620630	130716	
620630	139017	Abigail Gregg
620630	143221	Aunt Lydia Raleigh
620630	143318	Nurse
620630	144934	Mrs. Strangeways
620630	144961	Mrs. Iffield
620630	145999	Princess Ardacheff
620630	163482	Jane Appleby
620630	165442	Grace Poole (a servant)
620630	166222	Amaryllis
620630	183866	Madame Blanche
620630	186559	Mrs. Fanning
620630	186725	Aunt Virginia
620630	193005	The Ghost
620630	195288	Grand Duchess
620630	195871	The Porter's Wife
620630	196278	Matilda Heath
620630	196964	Cleo Honeycutt
620630	202992	Mrs. Tidmarsh
620630	203467	Aunt Isabel
620630	203542	Richester's Aunt
620630	203671	Hattie, Martha's Housekeeper
620630	206358	Lady Heriot
620630	206412	Mrs. Maggs Duxbury
620630	215277	Meta Oliver
620630	216769	Mrs. Gaidaroff
620630	230415	Mrs. Pippy
620630	230730	Countess Anastasia Strogoff
620630	230919	Grace Phillimore
620630	233486	Landlady, 'Old Ironsides'
620630	241044	Katherine
620630	241453	Mrs. Andiron
620630	243215	Mrs. Blom
620630	245130	Mrs. Van Beekman
620630	245548	Meg
620630	267552	Mrs. Carney
620630	274170	The Housekeeper
620630	274192	Mama Bouchard
620630	276679	Mrs. Tupper-Bellamy
620630	291802	Mrs. Enos
620630	292781	Mrs. Marlowe
620630	298101	Mrs. Oberlander
620630	300061	Parthenia (Parthy) Ann Hawks
620630	302918	Undetermined Role
620630	308572	Elizabeth
620630	310265	Maria
620630	311468	Mrs. Wolcott Delafield
620630	315880	Mrs. Crabtree
620630	316321	Mrs. Pengard
620630	332033	Ma MacBirney
620630	333172	Aunt Augusta
620630	337589	Mrs. Bulkey
620630	342910	Mrs. Van Suydam
620630	343249	Rhumba Dancer
620630	346891	Auntie Janie
620630	347752	Emily Ardis
620630	354201	Sister Gilson
620630	360165	Maria Poole (landlady)
620630	362238	Mrs. Goodly
620630	363673	Amanda Stone
620630	363793	Spinster in boarding house
620630	365033	Mrs. Dole
620630	366029	Madame Muller
620630	373875	The Matron
620631	208151	The Judge's Sister
620632	257613	Honor
620632	383868	Grant's secretary
620632	385089	Control
620633	43102	
620633	340389	Mercedita
620634	73612	The Wendy's Girl
620634	223923	Proctor
620635	49360	
620636	272849	Sheila
620636	310863	College Secretary
620637	120425	Lady in Car
620638	398050	6th Eliminated (2001) (2001)
620639	169046	Karen Wagner
620639	336165	Margie Ward
620640	397617	Secretary
620641	61899	
620642	120238	Alex
620644	54640	Elspeth McDougall
620644	154312	Bridie
620645	278496	Ariana, age 10
620646	380430	
620647	72827	Schoolchildren
620648	299692	Girl
620649	56008	Margherita, a chorine
620649	89572	
620649	90001	Mattea
620649	106803	Geltrude
620649	108505	Maria
620649	125718	
620649	157551	
620649	200505	
620649	243718	Paolina
620649	269074	Sua figlia
620649	270801	Maria
620649	276615	
620649	294007	La principessa Giovanna
620649	302682	
620649	344571	Regina
620649	344625	
620650	114655	Themselves
620651	298650	
620652	322544	Musizierendes Mädchen #1
620653	41387	Amanda Deter
620653	362818	Toby
620654	134395	Old Indian Woman
620655	88409	
620656	19363	Woman
620656	337282	Alicia
620657	126595	
620657	174237	Amélie
620657	237471	Léontine
620658	152561	Amandine's Mom
620658	233481	TV Anchorwoman
620658	272908	Elevator Bystander
620659	111427	Denise
620659	129194	Livia
620659	214851	
620659	270850	Girl at the club
620659	272345	
620659	315816	
620660	345314	
620661	153142	Bus Passenger
620662	164767	
620663	48361	Therés/Zerlina
620663	170346	Herself - Singer
620663	184013	Pigen fra 'De vilde væbnere'
620663	307507	Lusja
620663	341697	
620663	401773	Systern
620664	192818	
620665	28555	Patient 1
620665	382558	Gunn
620666	7704	Elin
620666	18270	Ismene
620666	46614	Rosa
620666	76784	Dagny Juell
620666	123241	Marianne
620666	145422	
620666	154506	Tyra
620666	178449	Inger
620666	190818	Asta Almers
620666	191565	Ida's mother
620666	205393	Bitten Rojansen
620666	237295	Maja Rubek
620666	307330	Hilda
620666	318612	Little girl
620666	389138	Wenche Knorr Løvdahl
620666	395181	Mrs. Nansen
620667	259354	
620668	390142	Herself - Judge
620669	7006	Miss Sophie Grangerford
620670	16264	Petterssonskan
620670	43354	Kvinna som åhör Texas Ros sån
620670	154504	Woman outside the poor-house
620670	174255	Funfair visitor
620670	198013	Woman reading a news article
620670	210372	Older woman at Gröna Lund
620670	222444	Mrs. Andersson
620670	228383	Cook
620670	237081	Mrs. Karlsson
620670	282087	Alma
620670	303659	Karin, Mrs. Österman's cook
620670	305303	Woman at Dance
620670	315548	Mrs. Vestergren
620670	353034	Cook on the boat
620670	357804	Shop assistant
620670	377389	Char Lady
620671	182531	Tjej vid kändisbuffé
620672	97712	Marie Beyer
620673	151408	Herself
620674	5141	
620674	322531	Cilly
620674	337135	Fanny
620674	361392	Rosemarie
620676	17346	Danser
620677	104807	Eva
620677	145623	Amanda
620677	387963	Eva Strömdahl
620678	145502	Nina, skipsrederens datter
620679	173087	Kamilla
620679	173088	Kamilla
620680	147051	
620681	125602	Klara
620681	316153	Screamer on couch
620682	162529	Blonde
620682	382328	Bubbles (Series 1) (2002)
620682	389037	Herself - Presenter
620683	26672	Ex- Girlfriend #2
620683	39863	Veronica/Tender Lovin'
620683	92093	Gina
620683	192219	Leroy's Girl
620683	237006	Bridesmaid
620683	343387	Harlem Girl #3
620683	382164	Veronica/Tender Lovin'
620683	396598	Bridget
620684	144991	Laura Thornton
620685	1478	Herself
620685	1768	Herself
620685	27108	Darryl's mother
620685	79569	Herself
620685	94943	Herself
620685	119523	Young Girl
620685	170310	Herself
620685	201537	Herself
620685	275604	Guest Artist
620685	289019	Herself
620685	309549	Herself
620685	367054	The Wiz Singers Adult Choir
620685	380391	Herself (1983)
620686	116674	Carolyn
620686	293383	Smiling Woman
620686	330197	Muriel
620686	395041	
620687	147300	Audience Member #1
620687	224073	Childbirth Teacher
620688	86468	Dinner Guest
620688	104857	Woman in Queue
620688	139099	Mrs. Rubens
620688	194809	Mrs Corey
620689	89199	Chirpy Dog Owner
620689	127134	Nurse #1
620689	161125	
620689	176499	Tom Jones girl
620689	335686	The Angel
620689	369473	Sage
620689	382807	
620689	400633	Alexandra Reed
620690	185901	Penny Crouch
620690	189409	Meredith
620690	222657	Annabelle
620690	270944	Babette
620690	293961	B.E.A.T. Woman
620690	329696	
620690	339707	Clerk in Shop
620690	400236	Karen Martin Wolek (1968-1970
620691	100868	Bibanka
620692	210840	Alice
620693	292643	Big White Orca
620694	51635	Lady in Yellow
620694	276842	Dead Girl #1
620695	353840	Evelyne (10-12 ans)
620696	72706	Sally the Waitress
620696	114618	Stoney
620696	120148	Teacher
620696	133401	Nurse Wilkins
620696	223709	Mrs. Capello
620696	230751	Amazon Doctor
620696	270265	The President's Wife
620696	295608	Virginia Ladysmith
620696	307936	Helen
620696	314100	Amy
620696	391071	Cassie Bowman
620696	395483	Herself/panelist
620696	397076	Guest panelist (1974-1982)
620696	397077	Guest panelist
620697	303235	Lucy
620697	373216	Waitress
620698	141695	
620699	57747	Inmate
620700	165442	Miss Mason
620701	38827	Fru Brodersen
620701	153230	
620701	182603	Kamma, Hansens datter
620702	348962	
620703	21021	(clip from 'The Big Broadcast
620703	36841	Herself
620704	110770	Tante Malla
620705	306944	
620706	257121	Model
620707	305742	Daughter
620708	305742	2nd Grade Girl
620709	316693	
620710	326602	Women's Group #1
620711	303429	Patricia (age 8)
620712	212009	Kim Griffen
620714	12319	Party Guest
620715	144547	
620716	364431	Birthday Guest #2
620717	164838	
620718	153650	Bookstore Society Lady #4
620719	37689	May
620719	37699	Summer
620719	37701	Bridget
620719	226939	
620719	227024	Miss Romania
620719	276376	Belle
620719	277635	Girl #1 in restroom
620719	283543	
620719	296752	Exotic Dancer
620719	296971	Jenna
620719	316693	
620719	333540	Brandy
620720	141260	Polly Kilkenny
620721	372555	Tina von Gal
620722	217745	Wet Girl
620723	333327	Dancer
620724	85940	Christine
620725	344531	Herself
620727	329436	The Script Girl
620728	339942	
620729	348299	
620730	256511	Lisa
620732	65664	Herself
620733	308184	Sandy
620734	195745	Michelle Howard
620734	350124	
620735	306950	
620736	246336	La femme de l'ingénieur
620737	34814	
620737	36324	
620737	36406	
620737	36408	
620737	39068	
620737	39069	
620737	39744	
620737	40471	Dungeon mistress
620737	41360	Snake Dancer
620737	56933	Lady of the house (Part 1)
620737	67463	
620737	102424	
620737	114868	
620737	128869	
620737	137691	
620737	142618	Go-Go Dancer
620737	158603	
620737	249610	
620737	288988	Candy Striper
620737	324213	Herself
620737	390145	Gladiator 'Flame'
620737	402125	Kate Gardiner
620738	274612	
620739	333340	Marge
620740	264683	
620741	116360	
620741	150052	
620741	161970	
620741	316381	
620743	75035	
620743	235653	
620744	123627	
620744	236307	
620744	319346	
620744	368574	Fluffer
620745	58774	Ellie Richards/Patricia "Tris
620745	78881	Janos
620745	105412	Alexia Thompson
620746	388026	Host (2000-2001)
620746	399377	Co-host
620747	382100	Wednesday
620748	159933	Guest
620749	10047	
620749	14962	The Amorina's sister
620749	23377	
620749	29845	
620749	30326	
620749	46926	
620749	62298	
620749	69016	
620749	82244	
620749	83756	
620749	91408	
620749	98700	
620749	99439	
620749	104015	
620749	111957	
620749	124586	
620749	125779	
620749	137985	
620749	170947	
620749	187628	
620749	199786	
620749	202247	Elsa
620749	205703	
620749	205794	
620749	206921	
620749	207773	
620749	221987	Sra. Allamby
620749	249786	
620749	265147	
620749	268492	
620749	280414	
620749	291644	
620749	302109	
620749	343172	Hilda Levin
620749	356665	
620749	379889	Ofelia
620749	383274	
620750	345185	Accordéoniste
620751	133345	Vampirette
620752	270815	
620753	151641	Terry
620754	134928	Ilka
620755	48461	Room Nurse
620756	168284	Interviewee
620757	48461	Lunch Room Folks
620757	254416	Background Player
620758	59301	L'infirmière réa. jour
620758	86727	La détenue au Chasseur França
620758	92669	Go-Go Girl
620758	195992	Country blonde
620758	196488	Cynthia DeHavilland
620758	240761	Lil
620759	87576	Secretary #1
620759	185636	Nurse
620759	363931	Foreman
620760	166643	Delaware Student
620761	244375	Policewoman
620762	165417	Jane
620763	3233	Brighty
620763	40538	
620763	66911	Mary Smiling
620763	67596	Louise
620763	81085	Psychic Physician
620763	88090	Teensy Melissa Whitman
620763	105536	Catarine Towani
620763	113412	Pearl Morton
620763	117093	Sally
620763	127903	
620763	130082	Virginia
620763	158396	The Sister
620763	165294	Harriet Shaw Weaver
620763	187271	Bridget Sullivan
620763	194183	Herself
620763	199140	Mrs. Hill
620763	202848	Olivia
620763	206900	Sallie White
620763	217954	Mrs. Coyle
620763	221065	Abadaba
620763	222780	Margaret Byrne
620763	232438	Dulcie
620763	241647	Mary Kuhlmann
620763	244458	Mrs. Mills
620763	246000	Flo
620763	248147	
620763	255328	Felicia
620763	274672	Mrs. Charlotte Lawless
620763	291039	Margaret
620763	292296	Drucilla Fitzgerald
620763	296273	
620763	302568	Penelope
620763	307928	Annie Higgins
620763	313931	Diane Carmody
620763	326496	Sister Grace
620763	331871	Dr. Frances Muller
620763	338036	Elizabeth
620763	344683	Gerty MacDowell
620763	357104	
620763	358478	Annie O'Shea
620763	363931	Genna Karas
620763	366232	Mrs. Wyshner
620763	366843	Irene
620763	372626	Audrey Gibson
620763	372804	Miss McGill
620763	390864	Kathleen Meacham
620763	391027	Lt. Guyla Cook
620763	392177	Molly Culhane
620763	392178	Molly Culhane
620763	403336	Clothilde
620763	408349	Fiona McGrail
620764	5527	Mrs. Albrect
620764	26969	Claire
620764	47954	Laura
620764	69917	E.R. Nurse with Drug Worker
620764	113480	Nadine Gardner
620764	196320	Nurse Otto
620764	311826	Joan Miller
620764	314812	Photo Woman
620764	316206	Sally
620764	316975	Mrs. Patterson
620764	363414	T.V. Reporter (Dutch House)
620765	399567	Nieve McFadden
620766	116796	Geraldine
620767	385020	Rosie Webster (II) (2000- )
620768	40878	Eddie's Mother
620769	365319	Young Mary Fergus
620769	390017	Candice Muir
620770	185079	Mrs. Corcoran
620770	203473	Mrs. Dexter
620770	365119	Mrs. Avalle
620770	384366	Joanna Roberts (1996)
620771	372145	Woman
620772	297801	Various Characters
620772	372144	Berryl
620772	378887	Various Characters
620772	389498	Various (1995-1997)
620772	405559	Various Roles (2002-)
620773	270272	First Dormitory Girl
620774	82835	Hailey
620774	261236	Bimbette
620775	24452	Clarence
620775	119468	
620775	194174	
620775	341925	
620776	12737	Foreman of Jury
620776	41795	Woman at Track
620776	315480	Matron
620777	2890	Housewife
620777	230343	Nurse Laura
620777	236117	Lesbian #1
620777	245761	Gas Jockey
620777	254785	Lana
620777	313989	Pappy's Waitress
620777	335063	Boy
620777	337177	
620777	380775	Matthew
620777	393269	Young Piggley Winks
620779	134023	
620780	211942	Jane (clone)
620781	140643	Buelgie Woman
620782	223087	Mother
620782	232268	Mrs. Mooney
620782	270914	Mrs. Mackey
620782	270915	Mrs. Mackey
620782	364032	Sarah Hearty
620782	381737	Aline Rafferty
620782	404002	Annie Colleary (1979)/Sister 
620783	165294	
620784	309638	Sonja, age 8
620785	87886	Maisie as a child
620785	116796	Young Deirdre
620786	270272	Escaped Girl (Olive)
620787	133143	
620787	211824	Woman -- Rouen's Castle
620788	368654	Bronson #1/Tobacco Rep
620789	74311	
620790	315942	
620791	224729	Warner's Secretary
620792	5736	Shirlie
620793	39274	Dolly Barker
620793	65914	Keeley
620793	145312	Young Hilary
620793	262591	Tanya As A Child
620793	292779	Girl in Optician's
620793	411316	Fanny Goodenough
620794	230116	Embassy Worker
620794	334169	Dr. Hatton
620795	39404	Hotel Cleveland Extra #2
620796	7408	Dowager in Boat
620796	294796	Une voisine américaine
620797	176722	Gossipy Motel Clerk
620798	109633	Kathy Kelly
620798	245535	Lita Hayworth
620798	394677	Lisa
620798	407162	Lila Fowler (1994-1996)
620798	407690	Jessica Fishman
620799	317335	Joan
620800	363509	Jenny at 2
620801	81286	Opera diva
620801	192853	Abigail Borden
620802	65108	Leanna
620802	343024	Chorus Girl #1
620802	389924	Milly
620803	124379	Ma
620804	290534	
620805	323162	Mrs. Duigan
620806	249073	Herself (writer, Letter From 
620807	141328	Mrs. Jackson
620807	289523	Mrs. Poindexter
620807	308920	Sarah's Mother
620808	91862	
620809	222599	Dominique
620810	5881	Laurie Skidmore
620810	13309	Waitress
620810	40795	Mousy Woman
620810	158951	Jenny Cordell
620810	241707	
620810	314697	Moura
620810	342018	Debbie
620810	347100	Cecilia
620811	154747	Anne Greer
620811	224233	Jeanne
620811	358273	Nellie at Age 5
620812	345855	Theresa
620813	53327	Tonia
620813	339544	Ridiculous Writer
620815	117651	Tanya
620816	2010	Self
620816	2022	Herself
620816	15938	Maggie Kane
620816	57492	Herself
620816	80023	Laura Spencer-Horton
620816	129762	Airline Stewardess
620816	135763	Alice (Porsche team)
620816	136018	Molly
620816	217990	Karen Gordon
620816	232435	Anna Cartell
620816	337091	Lorrie
620816	380687	Margot Bracken
620816	382419	Stephanie Douglas Forrester
620816	385594	Leslie Stewart (1981)
620816	385824	Dr. Laura Spencer Horton (#2)
620816	411363	Dr. Rebecca Dalton
620817	22802	Chelsea
620817	43911	Frankie Newhall
620817	64560	Herself (performer)
620817	79938	Mary Jo Quintana
620817	131716	Angela
620817	148430	Ashley
620817	185568	Sonja
620817	297914	Abby
620817	326753	Bonnie
620817	368914	Jude Traveller
620817	400559	Evie Ethel Garland
620817	402476	Erin Galway
620818	65447	Janice
620819	349170	Madame
620823	66174	Miss Peach
620823	66186	Miss Melba Peach
620824	152584	Bodypopper
620825	365946	Silvy
620826	222784	Basement Girl #2
620826	264785	Wife in car
620827	110981	Valerie
620828	177268	
620828	330192	
620829	202090	La boulangère
620830	65118	Baby Durc
620831	338681	Lara
620831	384784	
620832	84457	Babe #4
620833	385613	Receptionist at Hospital
620834	123501	TV4 vært
620835	259236	
620835	327888	
620836	186136	Lady in fur
620837	117521	
620838	270383	Singer
620839	280305	Delivery Girl
620839	391835	Herself
620840	280305	Delivery Girl
620841	280305	Delivery Girl
620842	81640	
620843	48373	Mary Lou
620843	78514	Girl dancing with Göran
620843	84297	'Grynet', Sixten's wife
620843	84315	Girl at Li's work
620843	100448	Anna
620843	116106	Actress to play baroness in '
620843	129178	Birgit
620843	164767	Elizabeth Schmidt
620843	180475	Ann
620843	182298	Make-up artist
620843	190821	Eva, office clerk
620843	190822	Flower shop clerk
620843	191172	Waitress
620843	202774	Kajsa Larsson
620843	268348	Office clerk
620843	303162	Lillemor
620843	308194	House owner's daughter
620843	320608	Blonde
620843	377337	Laila
620844	75226	
620845	26478	
620845	315214	Nurse
620845	355669	Jane
620846	270971	Irma
620847	39680	Muriel Ashton
620847	80716	Mrs. Reardon
620847	196350	Mrs. Dietrickson
620847	232463	Bag Lady
620848	6483	
620848	34574	Casilda
620848	62302	Marga
620848	63908	Various carachters
620848	157211	
620848	193078	
620848	239280	
620848	286880	Esther
620848	302371	
620848	371271	Patricia
620848	383571	
620848	403237	Adela Fones
620848	404993	Gabriela
620848	412194	La Negra
620849	236657	
620851	273979	Marie Ives
620852	149743	Dazzy
620852	292163	Hallsey
620852	314984	Kathryn
620852	327185	Haley
620852	332209	Marie Martin
620853	123445	Search Pilot
620854	368737	
620855	221182	Woman at Theatre
620856	98113	Student
620857	164781	
620857	165616	Tattar-Fia
620857	178743	Mally
620857	182285	Ballet girl
620857	188874	Office clerk
620857	303666	Lisa, the counsel's maid
620857	307763	Girl at the office
620857	308802	Inga
620858	44408	Emily Colson
620858	176852	Veronica
620858	214085	Jessica
620858	372730	Rosebud Doyle
620858	389391	Cynthia Richards
620859	73720	
620859	88385	
620859	155803	Gaby
620859	208282	Sofie de Keuckeleire
620859	384970	
620859	394881	Prinses Prieeltje
620859	397317	
620859	397318	Leerlinge
620859	399410	Eva
620859	400287	Céline
620860	404402	Mrs. Lloyd
620861	220534	Susan
620862	26884	Rho
620863	270436	Rachel's Friend
620864	330708	Phyllis
620864	363202	Nancy Holmes
620865	252286	Trina as an Infant
620866	252286	Trina as an Infant
620867	77214	Jill Lowry
620867	126678	Prostitute
620867	350506	Miss Pinkerton's Crone
620868	62699	Bar girl
620868	82681	Paramedic
620869	61669	Janet Morton
620869	65228	Athena
620869	93084	Deborah
620869	111820	Nadia/Marie
620869	131610	Leonora Ashburnham
620869	137914	Ophelia
620869	141548	Mrs. Crawford, the Burra Mens
620869	180787	Rose
620869	184536	Elizabeth Serafin
620869	238743	Adelaide
620869	253542	Lady Russell
620869	303434	The Mother
620869	316303	Lady Caroline Quaife
620869	360031	Mary McDowell
620869	363932	Gwladys: Lady Delamer
620869	372733	Mrs. Dribb
620869	378962	Diane Wellman
620869	382932	Eva Kay
620869	383883	Kate Phillips (1996)
620869	385103	
620869	398566	Laleh
620869	401651	Herself
620869	406912	Molly Pargeter
620870	160050	Frau Eckdorf
620870	381694	
620871	97547	Krysia
620871	174028	Nikos Secretary
620872	16642	Doctor
620872	46852	Tania's Mother
620872	292249	Big Nick's Party
620872	312340	
620873	353950	Ehepaar
620874	80876	Miranda
620875	377651	
620876	209492	Kennedy student
620877	382726	Brendan's Older Sister
620878	66214	Fille piscine 1
620878	294796	Alex Crash
620879	4597	
620880	382689	Isabelle (2003-)
620881	290521	
620882	55630	Carrie's Best Friend
620883	397370	Erika
620884	13736	Nanny
620884	66913	Sheriff Office Clerk
620884	167563	Voice of ranting woman
620885	185683	Waitress at Cafe
620886	270589	Maria
620887	289673	Tiffany (Segment "Charlie's D
620888	295622	Amy
620889	142078	Lucy
620889	149127	Laura
620889	182888	Vanessa
620889	325909	Lady Cyber
620889	410165	Romy Vierstein
620890	257633	
620891	190065	Bit Woman
620892	362176	Pet Store Owner's Wife
620893	116527	Dancer
620894	141967	Herself
620895	10833	Evelda
620895	14053	Herself
620895	90855	Liquorstore Clerk
620895	96555	Herself
620895	141967	Herself
620895	251040	Herself
620895	260726	Herself
620895	295965	Herself
620895	328799	Herself
620895	407394	Herself
620896	100954	Patient
620896	105263	Mary Oak
620896	175597	Allison Krause
620898	141967	Herself
620899	141967	Herself
620900	290562	Magdalena
620901	97163	
620902	7498	Dowager
620902	52315	The Duchess, Red's Aunt
620902	60954	The Duchess
620902	67410	The Duchess
620902	69681	Claudine
620902	69682	Duchess
620902	78793	Woman
620902	78849	Mrs. Garfield
620902	133818	The Duchess (Red's aunt)
620902	145976	Alice Hall (his wife)
620902	158067	Bit Part
620902	163469	Maid
620902	175119	Matron
620902	183792	Mrs. Brown
620902	193724	The Duchess, Red's Aunt
620902	204799	Miss Mason
620902	206530	The Duchess
620902	206533	The Duchess
620902	209348	Dowager
620902	218782	Mrs. Finchley
620902	224665	Mida Kent
620902	245738	Mrs. Patterson
620902	254488	Apple Annie
620902	254524	The Duchess, Red's Aunt
620902	257856	Mrs. Pennypacker
620902	257913	Mrs. Thorndyke-Brook
620902	269319	Annie Morris
620902	273786	Irish Woman
620902	286898	The Duchess
620902	288208	Woman on Piazza
620902	298499	The Duchess
620902	298503	The Duschess, Red's Aunt
620902	298594	Mrs. Jellison, society woman 
620902	301489	Dolly Winthrop
620902	305498	Miss Tierman
620902	313919	Food judge
620902	315530	Agatha Sanford-Richards
620902	318932	The Duchess, Red's Aunt
620902	331421	Grandmother
620902	341461	The Duchess
620902	354225	The Duchess
620902	358186	The Duchess (Red's aunt)
620902	364156	Mrs. Laffingwell
620902	367838	
620903	230804	
620904	311619	2nd Doll
620905	231537	
620906	386772	Isa
620907	92701	
620908	294980	
620909	143355	
620909	306595	Chorus girl
620909	335852	High school girl
620910	220637	
620911	71463	
620911	107175	
620912	97569	Dancer
620912	126505	Roommate
620912	138797	Donna
620912	161472	Pretty Girl
620912	241412	Beautiful Dancer
620912	321601	The Girl
620912	339596	Showgirl #5
620913	194963	School Secretary
620914	276328	Carla
620915	100893	Girl Dancer
620915	127263	Dancer
620915	313855	Babysitter
620916	161742	Queen Onhorrid
620917	397081	Herself/panelist
620918	308658	
620919	257760	Dancer (Silk's Fantasy)
620920	53329	Dancer
620920	108474	Dancer
620921	135763	Ms. Reynolds
620921	199679	Woman
620922	82050	8-Year-Old Jessie
620923	105321	The Girl
620923	143536	
620923	187229	
620923	187281	
620923	298266	Girl
620924	178159	Society Girl
620924	195733	Gabrielle
620924	216910	Julia Duane
620924	263280	Dolly Longstreet
620924	267991	Nellie Carter
620924	301707	Jean Carson
620924	305585	Lucille Forrest
620924	345975	Amy Cartwright
620924	347728	Ruth Allen
620924	368011	Dulcie Mannerby Fosdick
620925	164516	911 Operator
620926	202732	Sekretärin
620928	153118	Ruth Dodge
620929	189462	Taco Girl
620930	230926	House of Bling Customer
620931	11409	Tiffany
620931	47796	Night Nurse
620931	128602	Elaine Hill
620931	137237	Margo
620931	194666	File Cabinet Girl
620931	195785	Lisa Martin
620931	202359	
620931	220783	Young Woman
620931	244855	Jessie
620931	249161	Val
620931	257811	Sabrina
620931	289735	Lisa
620931	324852	Crack Addict
620931	336914	Carolyn
620931	351188	Angela Marie
620932	78766	Angela Bogart
620932	206811	Sylvia Davis
620933	363414	Runway Model
620934	12006	Ticket Babe/Doctor
620935	333246	Wounded Jan-Diki
620936	71600	Herself
620936	71601	Herself
620936	104750	German entry (17th place)
620936	189843	Herself
620936	189863	Herself
620937	127517	Paulette
620937	276731	Old Woman
620937	352145	Dr. Gruber's Maid
620937	379323	Ms. Burnbawer (1995-1996)
620938	26725	Beth
620938	318796	Freda Halliday
620938	368190	Joan
620939	97727	Neighborhood Extra
620940	131006	Samantha, the Snake Lady
620940	171332	Eddy
620940	215879	Larrabee
620941	68222	Heidi
620941	299653	Alex
620942	282350	Wadsworth's girl
620943	287217	Olympia
620944	74116	
620945	62922	Pretty girl
620946	5264	
620946	13000	Herself (interviewee)
620946	14707	
620946	23060	Amalia
620946	52420	
620946	100932	Anne Crawford
620946	135314	
620946	190424	
620946	211324	Nina
620946	226437	
620946	233901	
620946	234384	Betty Turner
620946	236475	
620946	248666	
620946	255545	
620946	296335	
620946	349954	
620946	351280	Helen Miller
620946	351922	
620946	353186	Molly
620946	353654	
620946	378390	
620946	378452	Vera
620947	140547	Sorell Bliss
620947	155108	Herself
620947	215366	
620947	263556	Lydia Bennet
620947	265482	Herself
620947	272536	Wide Eyes
620947	337480	Isabella
620947	345810	Caroline Ruthyn
620947	369342	Helen Wycliffe
620947	384591	Jo
620947	385627	Jean Duport
620947	405696	Molly Meakin
620947	407085	Jenny Richards
620948	46424	Paula
620948	55641	Boston Night Nurse
620948	117118	Mrs. Cameron
620948	304821	Doctor
620949	189913	Bank manager
620950	139131	Laura's friend
620951	342659	Bloody Mary
620952	139527	
620953	13610	
620954	359858	Art Gallery Party Goer
620955	382838	Val Walker, Jackie's Sister (
620955	385020	Penny King (2003-)
620956	1039	Herself
620956	1447	Herself
620956	2288	Herself - Presenter
620956	63081	Herself/Hostess
620956	113828	Herself
620956	155276	Herself/Host
620956	161360	Herself
620956	232017	Herself
620956	236958	Sugar Plum Fairy
620956	240180	Guest
620956	244031	
620956	251859	
620956	303762	Herself
620956	303764	Herself
620956	366429	
620956	406243	Herself
620957	337830	Renton's Nurse
620958	112182	Birthing Coach
620958	118548	Rita's Mom
620958	209131	Maggie Tooney
620958	211986	Additional Voices
620958	265738	Lonnie
620958	321661	Dr. Amy Popkin
620958	323440	Beauty parlor woman #3
620959	66164	Mrs. Lethbridge
620959	97492	Stellar Dodge
620959	194682	Seamstress
620959	202239	Olcott's Mother
620959	203165	Edith Berringer
620959	249517	Teacher
620959	315085	Doctor
620960	176480	Babysitter
620960	264075	Megan Daniels
620960	301933	Mrs. Sturmfuller
620961	46767	Frances Alda
620961	78094	Mme. de Tourvel
620961	87985	Herself
620961	90085	Donna Anna
620961	127302	Rosina
620961	165297	Herself
620961	175544	Herself
620961	204653	Manon Lescaut
620961	236185	The Countess
620961	244279	Desdemona
620961	275828	Herself
620961	277712	Herself
620961	283691	Rusalka
620961	312541	Soloist
620961	316746	Blanche Dubois
620961	352134	Soprano
620961	407462	Desdemona (segment "Murder in
620962	4920	Sherry Balder
620962	6815	Faith Wishart
620962	10576	Cora Lee Collins
620962	27071	Carmelita Flanagan
620962	36969	Helen Harrison
620962	49393	Cheyenne
620962	50290	Peggy Courtney
620962	69614	Alisande La Carteloise
620962	71216	Semiramis
620962	73904	Katherine Shelley
620962	73943	Cheryl Heath
620962	74191	Nancy Morgan
620962	96628	Mrs. Madeline Danzeeger
620962	130803	Rouge
620962	133699	Duchess Alexandria
620962	135808	Jo
620962	135911	Laura Denbow
620962	147714	Herself
620962	148220	Joan Carlisle
620962	149024	Victoria Evans
620962	157886	Dance-hall girl
620962	159478	Geraldine Carson
620962	168048	Alice Parker
620962	176834	Lila Wagner
620962	185328	Vivian Pace
620962	185523	Julie McQuade
620962	191257	Herself
620962	191794	Izora
620962	195585	Maggie Lester
620962	217102	Nita
620962	236328	Edith Von Secondberg
620962	238372	Pamela Muir
620962	245178	Meta Carson
620962	250811	Herself
620962	260081	Evelyn Hastings
620962	268315	
620962	274497	Candace Bronson
620962	279253	Fabiola
620962	291349	Herself
620962	291364	Herself
620962	291380	Herself
620962	291381	Herself
620962	291405	Herself
620962	294835	Cleopatra
620962	302467	Girl at Dance
620962	304968	June Lyons, Jansen's Secretar
620962	310843	Mary Carmichael
620962	311250	Blanche
620962	327980	Elizabeth 'Duchess' Farnham
620962	331109	Kathie Edmonds
620962	340378	Flanders White
620962	358349	
620962	363030	Girl on train
620962	363567	Dorothy Kyne
620962	367948	Rhoda Flaming
620962	370572	Roxana Reil
620963	168858	Girl
620964	169991	Child in class
620965	361535	Little Girl
620966	399567	Young Mary Fogarty
620967	140310	Caprice Films Entourage Membe
620968	257634	Additional Cast
620969	20234	Dot
620969	46276	Elise
620969	47372	Chorine
620969	52432	Alice Blue
620969	59620	Chorus Girl
620969	78005	Florence
620969	126067	Chorine
620969	130028	Grace Moran, Steve's Secretar
620969	130624	Lucille Bailey (Hobart's secr
620969	133880	Girl with Sage
620969	140803	
620969	143716	Dance Hall Girl
620969	154417	Miss Jones, Stenographer
620969	183409	Suzanne
620969	196403	Susan
620969	214095	Angela
620969	224404	Jacqueline Wood
620969	228829	Jenny
620969	240091	Virginia West
620969	272075	Judy Walton
620969	297950	
620969	313301	Mildred La Rue
620970	5554	Joan
620971	5064	Grandma Zingaro
620971	42056	Mrs. Tarantino
620971	116466	Lady Shoe Buyer
620971	223009	Housekeeper
620971	266708	Sal's Mother
620972	323967	Dancer
620973	339649	Counter Girl #2
620974	302130	Mrs. Russell
620976	209198	St. Helen's Street Girl
620977	82643	Dancer
620978	134910	
620978	204497	Frau Meier
620978	263753	
620980	12560	
620980	26259	Julia
620980	26533	Tamara Braun
620980	40881	Clara
620980	42153	Lucrezia de Saintclair
620980	49298	Maria
620980	74687	Tina
620980	79320	Elke
620980	82885	Carmen
620980	91013	Paula Wagner
620980	98313	Laura
620980	107348	Mother
620980	115224	Britta
620980	115228	Vera Brandtner
620980	116022	Ria Kubin
620980	119250	Chefredakteurin
620980	126174	
620980	127992	Elena
620980	145469	Ivette
620980	152830	Laura
620980	164824	Nadine Kramer
620980	189602	Katja von Bülow
620980	189822	Birgit
620980	189825	Jacqueline
620980	212167	Ina
620980	225636	Sylvie
620980	259652	Katja Trenk
620980	280508	
620980	281659	Alice Grönfeldt
620980	282206	Katja
620980	290787	Linda
620980	302175	Mutter
620980	306128	The Young Woman
620980	307556	Maria Dorate
620980	312162	
620980	313653	Birte
620980	314811	Journalistin
620980	325814	Barbara Stein/Susanne Lämmerh
620980	325930	Michaela Rambeck
620980	344737	Sabrina
620980	345665	Isabelle
620980	388798	Laura
620980	388966	Ria Kubin
620980	392855	Heike Waldenburg
620980	397614	Greta
620980	404013	Gaby Dennery
620981	84905	Girl in Phone Booth
620982	157843	Sabine Bömmchen
620983	11549	Anna
620983	351908	Perilous Date 1
620983	400646	Susan Bennett
620984	205942	
620984	205958	
620985	24434	Kathy
620986	8942	Frau Blockwart
620986	404448	Marianne Gallwitz
620987	58170	Helpful Blond Girl/Blond Chor
620988	123699	Dander
620989	51989	Ranch Inmate
620990	2242	Woman at Shield Ceremony
620991	81503	Ivana
620991	205704	
620991	357636	
620992	104965	Cowgirl
620993	68080	Herself
620994	22844	Eksspedienten
620994	181765	Elins mor
620994	182626	Eksaminator i formning
620994	377416	Randis mor
620995	178961	
620996	6398	L'infirmière
620996	15062	
620996	17871	
620996	23673	Madame Lemoine
620996	35302	
620996	42214	Phil's Mother
620996	65616	Brigitte
620996	66742	Feng shui 2
620996	68791	La mère
620996	70524	
620996	74340	Edith
620996	81427	Colette
620996	83299	
620996	95303	
620996	95553	
620996	96058	
620996	116642	
620996	124145	Clara
620996	146425	
620996	164178	l'Agent RATP
620996	200941	Mme Boursier
620996	208830	Femme de l'agence d'intérim
620996	211659	
620996	235719	Surveillante magasin
620996	235862	L'inconnue de la forêt
620996	238463	
620996	248902	Laurence
620996	249061	La vendeuse de pompes
620996	257114	Clinic Nurse
620996	284257	Une femme (segment "Années te
620996	294550	
620996	319826	Madame Mercier
620996	332197	La cameriste
620996	336930	Monitrice
620996	337019	Michèle
620996	345283	Sophie, la secrétaire
620996	345420	
620996	346417	Berthe
620996	377800	La journaliste
620996	401680	Mirta (2004)
620997	61156	Female Dancer
620998	292449	Herself - art director
620999	67909	Arianna
621000	20903	Diana
621001	185789	Beth
621002	193725	Rita
621003	35486	
621004	295389	Missy
621005	301327	Karen
621007	357383	
621008	290003	
621009	111577	
621010	377181	
621011	88038	Prof. Senatta
621012	99604	Bobby's starlet
621013	47827	Herself
621013	382838	Jacqueline 'Jacqui' Dixon Far
621014	252849	
621015	30965	Reporter
621016	43883	Hot Traxx dancer
621016	47077	Event Coordinator
621016	47117	Saleslady
621016	94621	Dancer
621016	218180	Museum Dancer
621016	291222	Dancer
621016	324551	Liquid Silver Dancer
621016	333856	Steerage dancer
621016	358604	School Play Dancer
621017	17132	Extra talent
621018	154453	Marushya
621019	154453	Varushya
621020	254774	Head Rezule
621021	200073	Postmistress
621022	37059	Rennah
621022	67800	Manicurist
621022	310739	Dee
621022	331407	Betty
621023	166873	Female Reporter
621023	233636	Stephanie
621024	287307	Mrs. Henderson
621025	134402	Lisa Grimley
621025	390650	Lisa Grimley
621027	202195	Attalah
621028	21213	Sentient Machine security
621028	24535	Blackmailer
621028	150884	Elizabeth Urquhart
621028	163542	
621028	186843	Lily
621028	201621	Herself
621028	222709	Shane Hecht
621028	222725	Eloise Renauld
621028	274125	Mrs. Kirov
621028	292603	Day Nurse
621028	334271	Elizabeth Urquhart
621028	337482	Lady Macduff
621028	347977	Publisher's Rep
621028	364510	Renate
621028	380610	Lady Richmond
621028	385020	Angela Hawthorne (1995)
621028	387495	Marguerite Blakeney
621028	388216	Nancy
621028	388726	Elizabeth Urquhart
621028	393001	Bobbie Bennett (1983-1985)
621028	403631	Emma Flower
621028	406205	Mona Brigstock
621028	411255	Ava Wigram
621029	62688	Herself
621030	117672	Alison
621030	144658	
621030	365560	Harriet
621030	387008	Joanna
621031	319941	Herself
621032	46794	Masked Lady
621033	16646	Hooker
621034	171258	
621035	240647	Dancer
621036	229384	Herself
621036	229388	Herself
621037	205792	Undetermined Role
621037	211738	Sarah Allen
621037	220892	Bit Part
621038	17280	The Instructor (segments "The
621038	35631	
621038	113332	Elma/Yunalesca
621038	113333	Elma
621038	113336	Mid
621038	125420	Additional Voices
621038	129209	Additional Voices
621038	201302	Ket's Aunt, Ket's Mother
621038	218219	Additional Voices
621038	266585	Kyoko
621038	292214	The Instructor
621038	292215	The Instructor
621038	327040	Aki, Dead End
621038	342496	Chen Long
621038	350189	Carmila
621038	368496	Narrator
621038	379360	Scaphandra/Judy/Additional Vo
621038	379625	Olympias (eps 1-4)
621038	401287	Mrs. Hayward/Jill
621038	406113	Additional Voices
621038	407829	Nagi
621039	119581	Sarah
621040	104790	Gospel Choir
621042	154927	Maid #1
621043	366992	Ann Lock
621044	389974	
621045	83777	Bridgette
621046	1524	Evelyn
621046	2603	Herself - Best Actress Winner
621046	2613	Herself - Presenter: Best Act
621046	3021	Herself - Past Winner
621046	3053	Herself - Past winner
621046	7585	Herself
621046	7847	Aunt Cora
621046	24296	Ruth Shorter
621046	34912	Mrs. Grady
621046	37033	Grace Cornwell
621046	40744	Virginia Taylor
621046	41940	Shirley Turner
621046	45498	Psychiatrist
621046	45867	Dr. Lillian Reynolds
621046	53270	Bea Lindsey
621046	60148	Marlene DuChard
621046	65711	Grammy
621046	70110	Grandma Collins
621046	74010	Helen Rosemond
621046	77803	Evelyn
621046	81490	Herself
621046	84962	Aunt Eva
621046	85657	Abbie
621046	97553	Judge
621046	105889	Dr. Gene Tuskin
621046	113371	Mrs. Lord
621046	113495	Esther
621046	113826	Sarge
621046	113985	Norma Manders
621046	115929	Grandmother
621046	118933	Mrs. Perdue
621046	124496	Mrs. Kemler
621046	127928	Innkeeper
621046	128236	Gloria
621046	131217	Restaurant Owner
621046	140187	Dorothy O'Hara
621046	141425	Aunt Lydia McGuffy
621046	144913	Principal Evelyn Doyle
621046	157444	Jean Taylor
621046	161714	Mrs. McKeltch
621046	164217	Annie M. Hoover
621046	174012	Agnes Carpenter
621046	183698	Anna Sage
621046	195788	Alena Heiss
621046	197014	Loes Bakker
621046	200353	Emilia
621046	201732	Herself
621046	202766	Mamma Dracula
621046	204522	Mother Superior
621046	204947	Nellie Goodwin
621046	206444	Nana, Megan's Mother
621046	219118	Iva Doll
621046	222195	Esther
621046	228447	Miriam Steward
621046	232463	Lettie Gordon
621046	234226	Pearl
621046	241347	Nurse Mildred Ratched
621046	243950	Herself
621046	245764	
621046	257689	Herself
621046	276904	Belle Delongpre
621046	283795	Midge
621046	292219	Dr. Sadie M. Bishop
621046	296971	Dr. Erhardt
621046	301983	Val
621046	302943	Dr. Anna Bingham
621046	307137	Herself
621046	308004	Faye
621046	314442	Miriam Benton
621046	316028	Barbara Moorehead
621046	316111	Mrs. Benjamin
621046	318800	Dr. Dolly McKeever
621046	323973	Richard's mother
621046	330338	Mattie
621046	331152	Sally Kimball
621046	333327	Warden Mildred Reinecke
621046	333356	Billy
621046	335016	Lillian
621046	336751	Judge Erica Robertson
621046	341049	Maggie
621046	343017	Belle Delongpre
621046	352730	Katherine Mulroney
621046	355212	Commissioner Elizabeth Deane
621046	382614	Genelva
621046	410425	Mrs. Nora Bloom
621047	223022	Herself
621049	71934	Little girl
621050	257518	Fantasy Sharon
621051	206407	Ada
621051	368689	Mrs. Thompkins
621052	59759	Next Customer
621053	14212	College Student in Lounge
621053	55243	
621053	57560	Movie theatre patron; Panicke
621053	275871	Fan in the Stands
621053	321718	
621053	385013	Extra
621054	364558	Girl Group Singer
621055	291969	Reporter
621055	305612	Inuit Hunter
621056	198436	Elsie Coster
621056	304562	Nancy
621056	315301	
621057	137552	
621057	241426	
621057	411809	Nurse Amanda Holt
621058	276197	Condemned Child
621059	309539	
621060	56085	Casino patron
621061	64734	Lobby Woman
621062	193904	
621062	241692	(segment "Baby")
621064	321364	Clair Bainbridge
621065	41418	Deedee Taylor
621066	253230	Girl in car
621066	304843	Nicole
621066	350643	
621066	372074	
621067	283639	Rupert's Mother
621068	309820	Kim
621069	204730	Ballroom Dancer
621069	252877	Coffee shop hostess
621069	292226	Saunders
621070	392415	Herself
621071	343025	University Student
621073	88102	Piquette (12 years old)
621074	19886	The Polar Godess
621074	35774	Narrator
621074	184719	Lillian Morrow
621074	195268	
621074	244451	Narrator
621074	318457	Hilda Blake
621074	359205	Ellie
621074	392461	
621074	401787	Host
621075	78435	Smart girl
621075	249743	Pige i kollektiv
621075	382884	Luder
621075	389734	Sandre Olsson
621076	92902	
621077	372372	Sarah Mancini
621078	377964	Lilith
621079	268448	
621080	68401	
621080	134598	
621080	381683	Liliane
621081	218282	Une cliente
621082	402552	Arning
621083	381862	Various
621084	57965	
621084	216843	
621084	255094	
621084	340311	
621085	111049	La fleuriste
621085	229002	Elyane
621085	302242	La Cigale
621086	205966	
621086	240271	
621087	120435	Marine
621088	7424	
621090	389005	Jacqueline
621091	42372	Jean's wife
621091	84648	La secrétaire
621091	148741	La secrétaire
621091	216350	
621091	249082	
621091	268878	
621091	402030	Helen
621092	71885	
621092	96225	Mireille
621093	23776	Monica Johnson
621093	23786	Lucette
621093	23787	Renée
621093	57474	
621093	58230	Mme Muller
621093	68933	Margaret
621093	80309	Jocelyne Gerin
621093	101716	Nadine, la fille de Mme Marsh
621093	214204	Annie Lebrun
621093	279065	Jean-Claude's Wife
621093	301321	
621093	347850	Xavier's Secretary
621093	356445	Mme Surget
621093	383356	Odette
621093	388688	
621093	393889	Hélène
621093	409540	Mme Sugier
621095	268457	L'Anglaise
621096	19321	
621096	282491	Huguette Bouquet
621097	101189	
621098	272319	Mademoiselle Tout-Auto
621099	68772	Party Girl #2
621100	377635	
621101	386224	L'attachée de presse
621102	156551	La standardiste
621103	139821	Mother
621103	170106	Mme Schoenler
621103	285984	La mère du patron du magasin 
621103	392750	La concierge
621104	291489	Belinda Cratchit/Belle
621105	21781	Liza Jane
621106	355104	Aunt Edna
621107	220276	Parisian Dancer
621108	312732	Judith
621108	352198	Judith
621109	410606	Team Member
621110	344524	Herself
621110	403687	
621111	349503	Neighbour
621112	24703	Nurse at New Haven Hospital
621113	313805	
621114	8150	Sylvia Brent, seine Tante
621114	12471	Aunt Clarissa
621114	12631	
621114	24065	
621114	28993	Mrs. Revelstoke
621114	30130	Vera Holster
621114	33139	
621114	34400	Bernarda Alba
621114	35045	Claire Zachanassian
621114	48387	
621114	67229	Madame Alexandre
621114	85728	Madame Ralton
621114	89159	Xenia
621114	92553	
621114	94366	
621114	98055	Hortense Edle von Padula
621114	99235	Elisabeth von England
621114	108147	
621114	110069	Marthe Schwerdtlein
621114	111344	
621114	119207	Mother Warren
621114	119271	Helene Sebald
621114	121138	
621114	124413	Mrs. Nelly Oaks
621114	134794	Spiller's Wife
621114	134803	
621114	134804	Ältere Dame
621114	134849	
621114	142140	
621114	144106	Queen Juliane
621114	147176	
621114	147360	Zeugin Kiebutz
621114	159256	Lady Emily Lebanon
621114	170119	Maruschka
621114	182536	Lady Scarlett
621114	182745	
621114	186179	Aunt Frieda
621114	189754	
621114	199733	Gabriele Custodis
621114	204501	Hella
621114	208180	
621114	210080	
621114	216320	Edgar's mother
621114	216535	Die Mutter
621114	225136	Erna Quandt
621114	226286	
621114	236516	Anna, la mère de Michel
621114	239016	Madame Arcati
621114	239102	Frau Kock
621114	241974	Tante Frieda
621114	254667	
621114	275412	
621114	279005	Jadwiga
621114	279660	
621114	279813	Miss Hackett
621114	281104	Doorkeeper's wife
621114	289387	Marietta
621114	290464	
621114	293561	Frau Revisor
621114	293858	Madame Laroche
621114	299373	
621114	307092	
621114	310272	Helene
621114	313643	Ilse
621114	314300	
621114	316813	
621114	324489	Bessie Godfrey
621114	324627	Tante Frieda
621114	335036	Marzelline, Housekeeper
621114	337135	Tante Wally
621114	339052	Natalie Alexandrowa
621114	347051	
621114	360656	
621114	361444	Aunt Frieda
621114	366562	Frau Meisegeier
621114	374551	Brigitte
621114	408388	Edna Stone
621115	389880	Elodie
621116	184696	Mrs. Blake
621117	230857	Butterfly
621117	351427	Dita
621118	142719	Blonde Fashion Model
621119	75767	Herself
621120	3285	
621120	59660	
621120	214180	Gila's Mother
621121	42070	
621121	89041	
621121	103016	Liz
621122	379177	
621122	406321	
621123	48259	
621123	91025	Frau Droemer
621123	119704	Vera, Angestellte im Juwelier
621123	134785	
621123	225649	Margas Mutter
621123	232671	
621123	232798	Alte lehrerin
621123	259448	
621123	259474	
621123	259587	
621123	259593	
621123	259597	
621123	259598	Frau Pöhlein
621123	317272	
621123	325575	Frau Maralt
621123	325798	Christa
621123	352079	
621123	374620	Ärztin/Doctor
621123	389282	Anna Walter
621124	306100	Girl
621125	70759	Anna Pabst
621125	108165	Hanna
621125	111346	
621125	123413	Tanja
621125	189542	Saskia Hofmann
621125	264355	Annica Morgenroth
621125	325430	Sandra Steinbeck
621125	325580	Conny
621125	347583	Laura
621125	365580	Eis
621125	369328	Bettina
621125	379122	Nina Reetkoven
621125	392669	
621125	394116	Silke Beckmann
621126	55494	
621127	344531	
621128	282684	Herself
621128	410688	Herself (1999)
621129	197967	
621130	293192	Party girl
621131	122543	Beate
621132	389962	Susanne Meyer
621133	225268	
621134	132122	Ellen
621134	235016	Tory lady 1
621134	366378	Violet, the Housekeeper
621134	368294	Susan
621134	387247	Jean, the midwife (1998)
621134	400110	Homely Maid
621134	401221	Maggie
621135	396866	Unknown (1980-1981)
621136	12319	Party Guest
621137	291653	Herself
621138	318509	Airline Ticket Agent
621139	175678	
621140	86584	
621141	184042	
621141	392164	Karoliina (2000-2002)
621142	399130	Lucy Robinson (I) (1985-1987)
621143	348943	Mad Woman
621144	37330	Edith
621144	104929	Victoria Vanning
621144	105954	Frailty
621144	192407	Amy March
621144	367754	Marie
621145	35445	Clara Barton
621146	212796	
621147	74122	Yuri
621147	323134	Additional Voices
621148	373216	Auditioning Actress
621149	264064	Lady Macbeth in 'Macbeth'
621150	121360	Conductor
621151	16642	Mrs. Goulden
621152	108536	Mrs. Lymonde
621153	400312	Reporter
621154	67731	
621154	195300	Her friend
621155	338748	Biker
621156	44081	Olive Wood
621156	88943	
621156	216892	
621157	8629	Belle
621157	39650	Pearl Davis (Credits)/Pearl D
621157	41044	Lucille Sears
621157	47311	Mrs. Early
621157	66210	
621157	84859	Mrs. Johnson
621157	91971	Nelly Fell
621157	96716	Mrs. Duvall
621157	122052	Franchette
621157	124374	Franchette
621157	129088	Dr. Florence 'Bones' Cudahy
621157	138282	Mrs. Beauregard
621157	191962	Minna Tipton
621157	204178	Carol Stewart
621157	206415	Miss Fleeter
621157	213069	Ethel Saxon
621157	233059	Sylvia Inglesby
621157	278174	Sadie
621157	291713	Sadie
621157	308299	Belle
621157	314420	Babe Ross
621157	333344	Marge
621157	363571	Isobel Federie, Adolphe's Wif
621158	345802	Arthur, the Fool
621159	124110	Obnoxious Girl
621160	176923	Sally's Mom
621160	289719	Nancy Lindemann
621160	345633	Marge Bagnoll
621160	350035	Thomson
621161	11856	
621161	17667	Anna Cremerius
621161	19072	Daniela Faust
621161	28566	Cameo appearance
621161	34412	
621161	48140	Barbara Schober
621161	82650	Monika
621161	94317	Helga Thaler
621161	100919	Lina Fischer
621161	127992	Madame de Pompadour
621161	128020	Zerline
621161	131237	
621161	134841	Anna Klages
621161	157618	Constanze Ambach
621161	158548	Ines Nielsen
621161	179650	Hilde
621161	180833	Stella
621161	182760	Roxana
621161	184636	
621161	186190	Lisa Sundermann
621161	188726	Ariane März
621161	189662	Puppa
621161	206221	Marlene Dietrich
621161	225175	Christine
621161	239938	
621161	254354	Dr. Friederike von Boest
621161	256601	
621161	267407	Anna
621161	281667	Hella Senger
621161	301085	Melba Dessaul
621161	307554	Anna Burck
621161	315893	Regina Toelle
621161	325561	Marie Eschen
621161	351946	Laura Grimm
621161	351969	Isabel Mende
621161	352223	Magdalena
621161	353379	Vicky
621161	356551	Woman in Porsche
621161	364867	Elisabeth Bernsdorf
621161	364920	Ginger
621161	375230	Jounalistin
621161	376265	Katharina Schön
621161	376456	Maria Horlacher
621161	376464	
621161	381691	Maria MacKenzie
621161	395399	Charlotte
621161	403113	Ruth
621161	408385	
621162	40906	Girl
621162	56098	X-ray nurse
621162	233561	Amelia Schwarzbrot
621162	281500	Narrator
621162	301687	
621162	308615	Cowgirl
621162	331421	Navy Wife
621163	59456	
621163	121840	Maid
621163	194513	Bella Rumm
621163	289452	Landlady
621163	348379	Woman, in the washhouse
621163	367903	Hennessey
621163	368190	Gran
621163	380259	Sister Frazer (1976)
621163	385299	Mrs. Porter
621163	390887	Housekeeper
621163	405217	Mrs. Savoy
621165	128573	
621166	282990	Laine, Lilly's daughter
621166	314946	
621167	222592	Bit Role
621168	132823	Herself
621169	278707	Marie Morzini
621169	370420	Claire
621170	17760	Waitress at Health Food Resta
621170	49346	Sister Mary
621170	96741	Receptionist
621170	115106	Secretary
621170	120699	Nurse
621170	130296	Diane Haber
621170	143831	Media person
621170	177619	Grandma
621170	183717	Grace La Della
621170	183876	Mrs. Morlock
621170	191653	
621170	206856	Mother in Park
621170	219903	Chloe
621170	224149	Murse Mammosa
621170	241241	Agatha Franklen
621170	253010	Lucy
621170	264818	Wanda
621170	272602	Feed the Earth Spokeswoman
621170	276855	Flo
621170	299664	Miss Fellman
621170	306721	Mrs. Kale
621170	318783	Substitute Teacher - Ms. Cura
621170	327144	Obscene Phone Caller Three
621170	331152	
621170	351907	Mary
621170	387309	Miranda Price (1976)
621170	388927	Fran Castleberry
621170	395182	Officer Rina Starland
621170	395735	Eliza Jane Wilder (1979-1980)
621171	258870	
621172	286216	
621173	367100	Herself
621173	374287	Herself
621174	293317	Himself
621175	100906	Janet Hiatt
621176	58358	
621177	1531	
621177	140180	Connie
621177	364869	Mary Lucy
621178	68450	Church Cleaner
621178	71742	Sister Margaret
621178	116796	Beggarwoman
621178	120972	Cathleen
621178	165455	Herself
621178	252463	Herself
621178	272953	Nancy Power
621178	305990	Neighbour 2
621178	330771	Mrs. Madigan
621178	350349	Missis Twix
621178	364869	Mrs. Mulrooney
621178	372486	
621178	391340	Mrs. Reilly (1988)
621179	21438	Lulu
621180	188334	Young Hooker
621181	28904	
621182	134593	Andréa
621183	196387	Secretary
621184	179005	1. Frau Puff
621185	690	Ally McBeal
621185	846	Herself
621185	1737	Herself
621185	2761	Herself
621185	2779	Herself
621185	2889	Herself - Presenter: Best Act
621185	13751	Herself
621185	30602	
621185	38572	Barbara 'Barbie' Keeley
621185	79132	Lillian Anderson
621185	94167	Helen
621185	118646	
621185	126680	Amanda Morel
621185	185648	Valerie Weston
621185	208872	Herself
621185	213324	Helena
621185	213941	Christine
621185	226954	Acting student
621185	255370	Jane
621185	270008	Barnard Girl
621185	327298	Diney Majeski
621185	330443	Christine Taylor (segment "Go
621185	379802	Ally McBeal
621185	379803	Ally McBeal
621185	390771	Elise (1989)
621186	289375	Louise Landon
621187	342459	Bingo Caller
621188	164783	Nest Robber
621188	276125	Skräddarfrun
621188	312217	Herta
621188	394197	Agneta Åhman (episodes 2, 4, 
621189	288739	Tracey
621190	162252	Little Greta
621190	182566	Maj, Barbro's friend
621191	388446	Herself (Winner 2004)
621192	29345	Kate, friend of Vica and Hugo
621192	40946	Girl
621192	44831	Vera Möller
621192	91521	Dude Wikblad
621192	104812	Waitress
621192	122494	Journalist
621192	138433	Kitti
621192	138529	Lizzie Blom
621192	181850	Viran, prostitute
621192	182257	Kalle's mother
621192	190835	Miss Mårtensson
621192	223187	Hjördis
621192	240312	Ebba, actress
621192	276336	Mortell
621192	307221	Sylvia
621192	377309	Journalist 'Bang'
621194	2917	Jennifer
621194	16207	Evelyn Eve Seebacher
621194	96573	Rita
621194	144166	Lena
621194	154711	Nominee Commentators
621194	166089	Themselves
621194	174764	Hanna
621194	177182	Lena Stern
621194	179786	Dr. Lentz
621194	185201	Diana
621194	191471	Susanne
621194	281723	Jane
621194	333855	Osa Ludvigsen
621194	350852	Venera
621195	33492	Sam's daughter
621196	125367	
621197	391930	L'employée de la poste
621198	325910	
621199	120133	
621199	177177	
621199	277001	
621200	40382	Rataha
621200	150733	Maria
621200	315799	
621200	323072	La tahitienne
621201	10630	Singer in Theater
621202	156153	
621203	65192	
621204	104835	
621205	15118	La Margravine Ursula (segment
621205	24407	La capitaine
621205	33577	Lucienne Chenal
621205	40054	La barmaid
621205	51948	Edith
621205	54063	Récitante
621205	54247	
621205	63655	Agathe
621205	68355	Mme Grimaldi/Widow Grimaldi
621205	75628	Mlle Gamard
621205	76744	Denise Hamelinck
621205	82636	Madame Crespin
621205	83176	Simone
621205	83189	
621205	85693	Mme de Croissy (la prieure)
621205	88837	Geneviève Liénard
621205	97853	Marie Gerbier
621205	100513	Clemence
621205	101221	Old Cri Cri
621205	115345	Aunt Line
621205	118816	Mme Toledano
621205	124399	Mamie
621205	153871	Millie
621205	166141	La voisine
621205	166553	Mrs. de Groote
621205	199386	Narrator
621205	199580	
621205	201990	Alcarica
621205	214021	Mme Chartreux
621205	215136	Maura Le Bellec
621205	218250	Man-Louise
621205	218289	La concierge
621205	220273	Myriamme Hayam
621205	220404	Récitante/Narrator (French ve
621205	220808	Baroness Nagel
621205	234524	Isa
621205	236164	Hazelle
621205	239213	La grand-mère
621205	260947	Maman Lison/Jeanne Fortier
621205	265216	Mère Agnès de Jésus
621205	265227	Miss Pittl
621205	269088	Mme. Hautchamp
621205	275643	Blanche
621205	284254	Récitante/Narrator (French ve
621205	300655	Geneviève Laurent
621205	301563	Jeanne
621205	301567	Jeanne
621205	307489	Marie-Jeanne Farrand
621205	309756	Christine
621205	320426	Suzanne Seguin
621205	324638	Yvette
621205	328195	Teresa
621205	332187	Herself
621205	336844	Elizabeth Gridders
621205	337788	Mademoiselle Villard
621205	339899	
621205	341380	Mme Cordier
621205	345035	Mme Edith
621205	345162	La maîtresse
621205	345470	Suzanne Quentin
621205	346811	
621205	356496	Rosalie
621205	356969	Louise Muselier
621205	357055	La mère d'Alain
621205	357094	La mère
621205	357847	Thérèse
621205	377989	Cognata
621205	392369	Jeanne
621206	224838	Mrs. Polly Windsor
621206	235367	Jo Bukowski
621206	379716	Bitsy Davidson #2 (1988-1989)
621206	380391	Rose Livingstone (1986-1987)
621206	380713	Ruth Mansfield (1992)
621206	387309	Nancy Pollock Karr (1962-1984
621206	389417	Liz Fraser Allen (1958-1961)
621206	404613	Ella Hobbs (1986)
621207	185683	Wealthy Lady
621207	285313	A Friend
621207	308018	
621207	337335	The Lady
621208	286228	Dancer
621209	276422	Princess Hasan
621210	84457	Female Participant
621210	316116	Doris
621211	59110	Mother
621212	17197	Evidence Room Kid
621213	26291	Guest
621214	37064	Liz Fowler
621215	293098	Nurse
621216	84288	Carmencita
621216	287378	Anna, balldame
621217	87509	Pop Video Dancer
621217	399994	Co-Presenter/Reporter (2002-)
621218	137254	Alyssa's Mother
621218	143742	Lisa
621218	167698	
621218	251247	Computer
621218	270348	Secretary
621218	390771	Becky (1985)
621219	19822	Girl
621219	199210	Gatherer
621220	59665	Treasure Chest Dancer
621220	87025	Deb-Bee
621220	150075	Hip Hop Dancer
621220	190702	Cheerleader #6
621220	235403	Cheerleader on Football Field
621220	347878	Dancer
621220	391013	Bombshell
621221	133575	Herself
621221	133576	Herself
621222	165354	
621223	89635	Emmy
621224	12058	Verinha
621224	69974	Stella
621225	53696	
621226	152382	
621226	233874	Miss Diaz
621227	101158	
621228	71192	
621228	201986	Clara
621229	57443	Girl
621229	269119	
621229	383142	Tina
621229	396610	Rê (2003)
621230	55942	
621230	91408	
621231	83087	
621231	153386	Priorinden
621231	165648	
621231	181736	Gæst
621231	303747	Eva's Mother
621231	322960	Sekretær
621231	393859	Den fine dame
621232	52747	
621233	6626	
621233	14742	
621233	51548	
621233	51720	
621233	90946	
621233	91338	
621233	112079	
621233	135203	
621233	137613	
621233	145396	Beauty
621233	170099	
621233	171381	
621233	178051	Vocalist
621233	294629	
621233	301859	
621233	301861	
621233	307804	
621234	21609	
621234	71431	Mestra (teacher)
621234	104181	Carolina
621234	225102	Maria
621234	241194	Noêmia
621234	306639	
621234	325125	
621235	386616	
621235	390653	Dancer (1993-1995)
621236	55093	Bobby
621236	142486	Nurse Wells
621236	145637	Julie
621236	248437	Diane
621236	302033	Denise
621236	302205	Jeanette Tabor
621237	90510	Jasmin
621237	205403	Bety
621237	324313	
621238	25158	
621238	350140	
621239	229802	
621240	86716	Kitty
621240	351565	
621240	353348	
621241	249358	Le juge d'instruction
621242	65612	Telda
621242	105826	Ramona
621243	32364	Old Becca
621243	51746	Martha
621243	65424	Deaf-mute
621243	71777	Old Mrs Bacon
621243	78030	
621243	85070	Mrs.Sullivan
621243	100889	Mavis Lipton
621243	130731	Lady with clock
621243	138210	Margaret's Mother
621243	152869	Grandmother
621243	156489	
621243	199207	May Swaisey
621243	233190	Molly
621243	253976	Tony's Mother
621243	281036	
621243	318819	Miss Gleeson
621243	323736	Grandma
621243	367724	Martha
621243	381608	Dossie Rumsey
621243	384581	
621243	402197	Lizzie Birdsworth (1979-1984)
621243	411245	Esme (episode 5: The Other Fa
621244	388646	Maria Tersén (episodes 1, 5, 
621245	134256	Bonde
621246	378657	Sgt. Ewa Olszanska (1978-1984
621247	256099	
621248	225408	La chanteuse
621250	186953	The Virgin Mary
621250	206067	
621250	341908	Tineke
621250	349130	French Singer
621251	23750	Une pensionnaire de la Maison
621252	369458	Jubilation Lee/Jubilee
621253	358689	Ortlinde
621253	358690	Ortlinde
621254	110115	
621255	7436	
621255	13118	Irma Lurette
621255	14790	
621255	15008	
621255	16951	
621255	23234	Clementine
621255	23363	
621255	24653	Erna Kabisch
621255	45743	Fru Løvdal
621255	57397	Charlotte Donge
621255	65771	
621255	73157	Valentine
621255	77344	
621255	83275	
621255	84608	
621255	86439	Myrisimis
621255	110023	Irène
621255	111080	
621255	113137	
621255	122872	
621255	126319	Maman Coupeau
621255	127634	Zélie Vauquelin
621255	131308	
621255	132749	
621255	144096	Clementine (the dancer)
621255	190789	Mme. Muskat
621255	198626	
621255	205644	
621255	206239	
621255	211645	
621255	216155	Clementine
621255	216233	Fantine
621255	217662	
621255	218334	Anne Weber, la secrétaire
621255	236621	
621255	237645	Madame Natkine
621255	243013	Polly Peachum
621255	258842	
621255	265215	
621255	287340	Sidonie Vauquier
621255	300970	
621255	303543	Madame Lescalier
621255	315976	Hans kone
621255	320012	Gisèle
621255	321996	Anna Palme
621255	341700	
621255	345358	
621255	346692	Sidonie de Valpurgis
621255	348962	
621255	349479	
621255	352204	Dame fra vergerådet
621256	219708	
621257	51923	Gertrude
621257	111083	La cuisinière
621257	115801	La bonne
621257	153839	La servante
621257	189338	
621257	345091	Athalie
621258	138246	
621258	356973	
621259	166939	Doctor #2
621259	167068	Abortion Clinic Nurse
621259	183323	Delivery Room Nurse
621259	238072	Parole Board Member #3
621259	342384	Astrophysicist
621260	33813	
621260	125716	
621260	204451	
621260	234556	Linda Sutton
621260	236804	Luisetta
621260	251618	
621260	251620	
621260	263919	
621260	265447	
621260	280740	Young Prostitute
621260	282052	
621261	309493	Mrs. Wilson
621264	374285	Mrs. Wilson
621265	249067	
621265	365088	Belinda
621266	163625	Concert Party Waitress
621266	407017	Syndey 'Syd' Forrester
621267	52048	
621268	380430	
621270	2621	
621270	12807	
621270	76997	
621270	259831	
621271	12038	Allégra
621271	63662	
621271	166370	Isabelle
621271	195210	Alix, la fille d'Hervé
621271	282001	Géronima
621271	354097	Diane de Charance
621271	380260	Mélinda
621271	384859	Elena
621271	385002	Denise Sénéchal
621271	385508	Marie de Rabutin-Chantal
621271	400771	Eve Goe
621272	194706	Paulie's Fencing Opponent
621272	236535	Lara
621272	314001	Biance la fée
621272	319811	Jeanne
621272	383306	Jeanne Coulombe
621272	389304	Sophie Roberge
621272	395093	Nathalie Renault
621272	395097	Nathalie Renault
621273	108116	Chloé
621273	371101	Linda
621274	56595	
621275	173716	Betty
621275	198824	
621275	249053	
621276	97890	Kettle Child
621276	198539	Sara Kettle
621276	198544	Sara Kettle
621276	313919	Police chief's daughter
621276	366696	Sally Hawkins
621277	92052	La sora Amalia
621278	76812	Ryan's Sister
621278	103584	
621278	117684	Young Isabela
621278	168928	Violeta
621278	172309	Sylvia
621278	248851	
621278	388282	
621278	406980	Herself
621278	407337	Apple (2003-)
621279	203344	Sanchez Kid 2
621280	403404	Luciana Caride
621281	52210	Amaya
621282	21680	
621282	122790	Neighbor Maid
621282	322854	Sofia
621282	358567	Consuelo
621283	292774	
621284	296107	Christina
621285	406389	Herself-Grand Finalist
621287	193550	Olimpia
621288	42660	Wedding Guest
621289	384507	Mini Animadora (1999)
621289	402676	La India
621289	403904	Barbarita
621289	406972	Barbarita Gonzalez
621290	273117	Martina (segment "Las vacas")
621291	18840	
621291	28083	
621291	34405	
621291	37680	
621291	39044	
621291	50805	
621291	53214	
621291	74274	Lost Lady
621291	77081	
621291	79118	
621291	83885	
621291	88225	
621291	89710	
621291	95766	
621291	152420	
621291	163995	
621291	165255	
621291	169801	
621291	172228	
621291	173550	
621291	181831	
621291	200008	
621291	200465	
621291	200501	
621291	205993	
621291	215760	Madame Pearl
621291	247262	
621291	256888	
621291	263364	
621291	264288	
621291	277888	
621291	284851	
621291	300624	
621291	303584	
621291	307359	Fat Woman
621291	323923	
621291	325312	Candy
621291	325362	
621291	340719	
621291	357999	Carmen
621291	359360	
621292	384119	Bernarda 'Bernardita' Herrera
621293	74304	Old Woman
621294	101616	
621294	104139	Gitanilla
621294	108994	
621294	132674	
621294	184934	
621294	190982	
621294	205695	
621294	233331	
621294	252111	
621294	318292	
621294	351830	
621294	377621	
621295	90057	
621296	252159	Kim
621297	163362	
621298	77017	Mrs. Dakota
621298	140912	Nurse #2
621298	147988	Rosa
621299	26197	
621300	157242	
621300	287695	Cantante
621301	384427	Juana
621301	389780	Julieta
621301	401912	
621301	402630	Anita
621302	71125	Tia de Pablo
621303	377609	
621304	381144	Fátima
621304	401678	
621305	93043	Funeral attendant
621306	91397	
621307	50129	
621308	41393	Student #1
621308	49855	Mary Roff
621308	92583	Colleen Cooper
621308	172666	Young Hilary
621308	245833	Lisa
621308	292698	Sharon
621308	298037	Elizabeth
621308	309526	Girl
621308	321660	Arlena Twigg, Age 9-11
621308	355391	Kimberly
621308	386897	Colleen Cooper (1993-1995)
621309	313334	Bus ride to Los Angeles
621310	204819	
621311	14930	
621311	79133	
621311	143778	Secretaria Almansa
621311	199478	
621311	253321	
621311	395041	Íngrid Schneider
621311	403924	Ramona
621312	82992	
621313	82681	Grandmother
621314	71216	
621314	90719	
621315	124704	Mexican Girl
621315	212242	A Girl
621315	277899	Maria
621315	309831	Carmelita
621315	325112	Zambesi Maiden
621315	339140	
621315	367825	Maria Gonzales
621316	251695	Lead
621317	347303	
621318	170067	
621318	383470	Marisol Santana
621318	385367	Yelitza Josefina Urbina
621318	386162	Angelina Salcedo
621318	397578	Consuelito
621318	402462	
621319	357189	
621319	391173	
621320	193000	Extra
621321	132247	Alyssa
621321	223895	Young Sohpia
621321	372336	Madison
621322	35013	
621322	67698	Patricia
621322	81485	Host
621322	91331	
621322	170916	
621322	263040	
621322	301106	
621322	379819	Guadalupe Roldán
621322	380116	Victoria
621322	380939	Paulina
621322	381029	María T.
621322	381030	Maria
621322	383471	Herself
621322	384395	
621322	384655	Mariana
621322	385392	An angel (The pretty woman)
621322	385502	Rocío Cantú de Del Río
621322	386077	Amelia
621322	387550	Yolanda
621322	390404	María Fernanda
621322	392213	Host (2000-2002), (2003)
621322	396898	Sandra Lujan
621322	397593	Dulce María
621322	401435	Lucía Villareal de Mendoza
621322	402540	Gloria
621322	405318	Victoria Castellanos/Amparo R
621322	408855	Sandra María (1999)
621322	409289	Rosa Martha
621322	410450	Carlota
621322	411714	Herself
621323	77676	Salsa Club Dancer
621323	319651	Herself (Brazilian dancer)
621324	297880	Christmas Party Guest
621325	170041	
621325	353236	Wayta
621326	380054	Luly
621326	400490	
621327	372514	Guinevere
621327	372597	Jenny
621328	10250	
621328	12660	
621328	21704	
621328	28314	
621328	39598	
621328	53639	From 'Morena Clara' (1954)
621328	53640	Herself
621328	56001	
621328	71374	Herself
621328	78553	
621328	80124	
621328	99789	Lola
621328	104139	Estrella
621328	108994	
621328	128973	
621328	128974	
621328	132674	
621328	143678	
621328	143748	
621328	161957	La capataza
621328	181668	
621328	184934	
621328	190982	
621328	193507	
621328	197984	Herself
621328	205695	
621328	206682	
621328	206985	María de la O
621328	216080	Dancer
621328	219224	Trinidad Vargas/Trinidad Marq
621328	233331	
621328	252111	
621328	275946	Herself
621328	295525	Herself
621328	296476	Lola
621328	302558	
621328	318292	
621328	326144	La gitana
621328	340875	Nati
621328	351830	
621328	369870	Herself
621328	377621	
621328	381011	Herself - Host
621328	393911	Merche
621328	404071	Herself - Host
621329	97809	Herself
621329	128974	
621329	140662	
621329	146458	Madre de Estrella
621329	275623	Chelo Zamora
621329	369996	Herself - Winner: Best New Ac
621329	369999	Herself - Presenter: Best New
621329	381011	Herself - Host
621329	382565	Bego
621329	390518	Herself
621329	392034	Juncal (1997-98)
621329	404071	Herself - Host
621329	405968	Julia Fuertes
621330	275751	
621331	134140	Seeker
621331	313334	Maria Amato
621331	363768	Carla
621332	165709	Ascen
621333	276404	María José Fernández Conway
621333	357516	Beatriz
621333	379213	Elena
621333	381621	
621333	383347	Helena (1996)
621333	404711	Ana Carrión
621334	17329	Anita Fernandez
621335	409463	Azafata (1976-1978)
621336	393833	Herself
621337	14801	(segment "Adulterio formal, U
621337	30341	
621337	67366	Sra .Torres
621337	70634	
621337	103941	
621337	121399	
621337	151806	(segment "Viernes")
621337	158901	Deaf-mute victim
621337	207031	
621337	218095	
621337	296125	
621337	335517	
621337	383234	
621337	404706	Julia
621338	41142	Specialty Dancer
621338	280872	
621339	334367	Spanish Girl
621340	169	
621340	4997	
621340	9104	
621340	10228	
621340	12054	
621340	14708	
621340	21692	
621340	55935	
621340	56525	
621340	58137	
621340	74379	
621340	74566	
621340	74833	
621340	76016	Dña. Mercedes
621340	84015	
621340	90116	
621340	99869	
621340	103977	
621340	132380	
621340	145145	
621340	145195	
621340	149729	
621340	153833	
621340	170461	
621340	172629	
621340	184850	
621340	198370	
621340	210447	
621340	211165	
621340	215510	
621340	219009	
621340	222533	
621340	233352	
621340	233554	
621340	236447	
621340	253564	1st Lady Guest
621340	256693	Angela, la madre di Stella
621340	271186	Margarita
621340	271891	
621340	281264	
621340	281597	Cocinera
621340	288142	
621340	291641	
621340	294251	
621340	306681	Romualda
621340	328453	Mrs. Brown
621340	333699	
621340	338868	
621340	341654	
621340	341882	
621340	348933	
621340	350814	
621340	353598	Esposa
621340	376802	
621340	376836	
621341	293744	Moolerrey Reporter
621342	5112	
621342	6496	
621342	9103	
621342	12944	Camarera del hotel
621342	14701	Carmencita
621342	14940	
621342	19489	Portera
621342	27966	Doorkeeper
621342	50127	
621342	50133	
621342	65216	
621342	70671	
621342	70684	Mujer visitante
621342	70690	
621342	71281	
621342	73656	
621342	74631	
621342	85981	
621342	88058	
621342	96318	
621342	96361	
621342	96379	
621342	103432	
621342	103809	
621342	104057	Ester
621342	116599	
621342	133093	Spaniard at party
621342	135122	
621342	136865	
621342	143702	Jugadora
621342	148072	
621342	148108	
621342	170080	
621342	183161	Remedios
621342	189001	
621342	196736	
621342	199852	
621342	210580	
621342	211043	
621342	212450	
621342	221555	
621342	222391	
621342	233355	
621342	234372	
621342	234404	Superiora
621342	236409	
621342	236456	Chica
621342	248866	
621342	252541	
621342	255545	
621342	273014	
621342	284337	
621342	307039	
621342	309082	
621342	332592	
621342	333640	
621342	340444	
621342	340689	
621342	342021	
621342	350558	Vicenta
621342	351838	
621342	353196	
621342	353545	Senora Tabaco
621342	353556	
621342	355835	
621342	355958	
621342	376701	
621342	376843	
621342	381216	Angelita
621342	383816	
621342	384594	Asunción
621342	392074	
621342	395861	Doña Paca
621342	407859	
621342	410217	
621343	146440	
621344	90099	
621345	371290	Lavandera
621346	26144	Pitt-Astor Girl
621347	110331	Farm Girl
621348	386897	Missy (1993-1994)
621349	62302	Juanita Maza
621349	384119	Juana 'Juanita' Maza (1999-20
621349	402350	Julieta Anzoategui Linares
621349	403404	Bárbara Caride
621350	114500	Dancer
621351	292892	Gentry
621353	383329	Estela
621354	380102	Doña Enriqueta Alcántara
621354	387101	Moncha
621354	387536	Perfecta
621354	397566	
621354	398456	Ileana
621354	398474	Caridad Ruiz
621354	409922	Tobago Christmas
621355	3388	
621355	85619	Eileen, prostituta
621355	209047	
621355	221968	
621355	276472	
621355	306705	
621357	21684	Rita
621357	104165	Mucama
621357	143687	Archivista
621357	171380	
621357	266823	Sirvienta
621357	351682	
621357	351690	Eustaquia
621357	384400	Doña Cleotilde
621357	385401	Portera
621357	387817	Tomasa
621357	393833	Pachis 'empleada en casa de l
621357	397016	Lupe
621357	402059	
621357	404172	
621357	410303	
621358	108994	
621359	223506	Candidate #8
621360	30153	
621360	55344	
621360	55362	
621360	102318	
621360	254240	
621361	393176	Irene
621361	396815	Georgina
621361	397598	Endolina
621361	403402	Renata
621361	407276	Edith
621361	410303	Verrugita
621362	169	
621362	10228	
621362	10825	
621362	41747	Party Girl
621363	3393	Herself - Performer
621363	52750	
621363	59990	Mariló
621363	67006	Rosario
621363	70060	Rosario
621363	78570	Dancer at Salón Los Ángeles
621363	82399	
621363	85958	Muda
621363	101907	
621363	136987	Lydia González
621363	161658	
621363	210165	Sara
621363	218934	
621363	221917	
621363	326009	Herself - Performer
621363	326144	
621363	369437	Herself - Presenter: Best Mus
621363	382755	
621363	402238	Juanita
621363	406051	Pepa
621364	330391	Writer's Circle Participant
621364	351502	Screaming Sirens band member
621365	147376	
621366	286228	Nora
621367	37579	Herself
621367	197866	Herself
621368	187627	Sonsoles
621369	313334	Bus ride to Los Angeles
621370	89928	Juana
621371	126035	
621373	74801	Norma
621374	221183	Nicole
621374	293744	Young Suzette
621375	231266	
621376	380088	Jennifer
621376	389788	Minerva Palacios
621376	392844	Virginia
621376	397015	Laura 'Laurita' Briceño Gonzá
621376	397738	Lucía Muñoz De La Torre
621377	408724	
621378	162776	
621379	81640	
621380	81463	Alisha
621381	81463	GiGi
621382	99254	Rachel
621383	155013	Girl/Jack's movie
621384	158945	
621385	339475	Annie
621386	199335	
621387	57928	Maid
621388	191850	Alien
621389	384780	
621390	20747	Charlotte
621390	106250	Ileana (episode "Il mondo è d
621390	206955	
621390	233084	Carmencita
621390	239302	Mildred
621390	249918	Dolores
621390	295147	Rosita Carson
621390	295164	Rosita Carson
621390	325175	Helen
621390	328833	Sister Anna Lee
621390	338654	Rosario
621390	361690	Fleurette
621391	62567	Noëmie
621392	335558	
621393	65118	Young Ayla
621394	57749	
621394	115858	
621395	37691	Annie
621395	78908	Dani
621395	230127	Diane Palmer
621395	263263	Mary Austin
621395	264884	Ronnie Gilmore
621395	379144	Krissie Valentine (1993-1994)
621396	12689	The bride (segment "Pot-pourr
621396	14953	
621396	54871	
621396	65057	
621396	86063	
621396	90708	Anna
621396	141631	Caroline Brent
621396	168883	Consuelo di Medina
621396	197467	Lucia
621396	263918	Daniela
621396	294634	Graziella
621396	301376	
621396	336587	
621396	338369	Fanny
621396	338656	Isabella
621397	140770	
621399	19344	
621399	59239	
621400	339596	Dancer #4
621400	399533	Herself
621401	14382	
621402	99568	Circus artist
621402	182464	Dancer
621402	303734	Girl at the birthday party
621403	5322	
621404	409093	
621405	265515	Mercedes
621406	83385	Marion
621406	160542	Cindy Corda
621406	254123	Sidonie
621406	356521	Sandra Barnier
621406	382199	Cindy Corda
621406	389762	Renplaçante Jennifer
621407	409625	Ilona 'Lona Dee' Dertinger (1
621408	254522	Female Masquerade Dancer
621409	103157	Telefonista sadomasoquista
621409	310042	
621409	382756	Gladiola
621409	384119	Ernestina (1995)
621409	384775	Lili
621409	406728	Esther
621410	25122	Soetkin
621410	35000	
621410	40421	Frau Dr. Theuerkauf
621410	119146	
621410	142100	Frau Wendland
621410	216235	La Thenardier
621410	218861	
621410	290200	
621410	308239	Eva Lange
621410	376365	Paula
621410	410774	Mrs. von Meisendorf
621412	1497	Joan
621413	47547	Ashley Wells
621414	402348	
621415	217278	Soloist of the gypsy dance
621416	69947	
621417	311817	
621418	94386	La mère de Gilou
621419	246397	
621420	47485	Mary Finnegan
621421	312430	Mojca
621422	223886	Michelle
621422	290375	Heather
621422	349860	Young Lily
621423	195945	Mrs. Martinelli
621424	35302	
621425	308168	Rita
621426	276197	Katje
621427	100601	Herself
621428	180217	
621429	337877	
621430	8866	
621430	215717	Tanja
621430	406203	Marie Van der Aa (2000-2001)
621430	408151	Rebecca De Taeye (1996-1997)
621431	100352	
621432	251296	
621433	153804	La commère
621434	10655	
621434	15080	La femme de chambre
621434	71820	Eva
621434	78443	
621434	84681	Cecile Thibaudier
621434	110370	Mavis Cottrell
621434	159390	
621434	205992	Maroussia
621434	207777	
621434	240597	
621434	258318	
621434	268956	
621434	340116	
621435	332188	
621436	95221	
621436	307127	Cindy Clement
621436	357582	
621437	39404	Bathing Beauty #2
621438	350814	
621439	98300	
621439	317255	Vera
621440	303154	Zofe
621441	392524	Eight place (2004)
621442	83297	
621442	202360	
621442	229002	
621442	262929	
621442	262948	Une pensionnaire de l'orpheli
621443	268950	Femme du bord de la route 3
621444	68248	
621445	6194	Dr. Margaret Brodeigh
621445	16042	
621445	17756	Helen
621445	32550	Miss Swithen
621445	41800	Assistant switchboard monitor
621445	49547	Dan's Secretary
621445	56276	Secretary
621445	65847	Receptionist
621445	67822	Lila
621445	79897	Jewelry clerk
621445	80947	Miss Pratt
621445	90262	Undetermined Role
621445	99856	Saleswoman
621445	105289	Salesgirl
621445	108366	Cora French
621445	131534	Mildred
621445	134675	Brevarde
621445	149259	Miss Adams, Secretary
621445	154083	Secretary
621445	164605	Woman
621445	167099	WAF Captain
621445	175405	Miss Wilk
621445	190179	Caraway Receptionist
621445	197297	Secretary
621445	203270	Thalberg's Secretary
621445	216026	Den Mother
621445	216802	Saleswoman
621445	221304	
621445	233899	
621445	240793	Mrs. Tanner
621445	242783	Woman Marine
621445	258375	Rose Standish
621445	294692	Elevator Operator
621445	308065	Receptionist
621445	313321	Reporter at Shrine Auditorium
621445	313695	Army Nurse
621445	326368	Hattie, the Secretary
621445	330097	Spottsford's Secretary
621445	331587	Secretary
621445	333851	Woman with baby
621445	335725	Woman Attending Audition
621445	346024	American Mother
621445	363590	Secretary
621445	367552	Laura
621447	80062	Delia Van Santen
621447	283458	Nancy Arnold
621448	13390	
621448	16422	Alexa
621448	27026	
621448	42696	Valerie
621448	67144	
621448	80602	Stripper #1
621448	84806	Shane Miller
621448	105773	Della
621448	109486	Juanita
621448	128166	Rayna
621448	128606	Herself
621448	147840	Lisa
621448	219128	Kayla
621448	257668	Herself (Model)
621448	263798	EMT #1
621448	298085	
621448	357151	Ivory
621449	148298	Miss West
621450	17330	Annabella
621450	48161	Moeder van de bruidegom
621450	111106	
621450	125363	Laura
621450	142744	Germaine
621450	178800	Juffrouw van Arkelen
621450	179814	Madame Bloeminck
621450	198476	Madame Babbel
621450	214356	Zuster van de burgemeester
621450	217066	Tinneke
621450	243293	Café-bazin
621450	290075	Vrouw van Jef
621450	302847	Lisa
621450	311877	Tilly
621450	344237	Josephine
621450	352054	Grootmoeder
621450	355871	
621450	357367	Juliette Akkermans
621450	357610	Blanche Labroche
621450	359811	Madame Stoop
621450	394616	
621450	397484	Jans Damme
621450	400989	
621451	90922	Girl Bowling
621452	236342	
621453	90922	Irma
621454	69458	The 'Unconfident'
621454	171675	Miss Cardiff
621454	230674	
621454	388519	Miss Tibbs
621455	377106	
621456	162266	Jeannine Manning
621457	70408	
621459	173272	Young woman
621461	35657	Girl Patient
621461	54669	Linda, a teenager
621461	96721	Melody Rockwell
621461	200007	
621461	318781	Donna
621463	387440	Herself (1998-2001)
621464	126619	Extra Talent (segment "Gett O
621465	245672	
621466	767	
621466	11612	
621466	27257	
621466	31816	
621466	33944	
621466	34630	
621466	34900	
621466	41588	
621466	42696	Jennifer
621466	52209	
621466	59901	Herself
621466	75059	
621466	80542	
621466	81865	
621466	97309	
621466	99769	Daughter
621466	102826	
621466	105156	
621466	138132	
621466	147900	Amy
621466	158266	
621466	171010	18yr Old Asian Girl
621466	202915	Stripper
621466	216817	Tracy
621466	222330	Yvonne
621466	228029	
621466	230541	
621466	247990	
621466	253511	Zia
621466	295564	
621466	295751	
621466	306911	
621466	306923	Herself (April)
621466	323972	Geena
621466	334143	
621466	349969	
621466	357151	Blonde
621466	358155	
621466	367853	
621467	253010	Ruth Perry
621468	71	Nightclub Dance Extra
621468	264	Passenger
621468	2486	Extra at craps table
621468	2833	Woman with Mr. Pape
621468	2977	Spectator at Medusa Presentat
621468	4369	Lobby Extra
621468	5166	Wedding Guest
621468	5524	Nightclub Table Extra
621468	5525	Court Deputy
621468	5625	Mrs. Lawrence
621468	6791	The Modiste
621468	6805	Attendant
621468	6814	Mrs. Arno
621468	7486	Lady-in-Waiting
621468	7877	Nightclub Patron
621468	8067	Churchgoer
621468	10596	Pedestrian
621468	11108	Well-wisher
621468	11288	
621468	13380	
621468	16669	Shirley (Barrett's secretary)
621468	17416	
621468	17619	Woman at Horse Show
621468	18197	Nun
621468	18615	Woman on Deck
621468	18617	Dance Extra on Ship
621468	19287	Disembarking Airline Passenge
621468	19291	Extra at Race
621468	19797	Gambler at roulette table
621468	20206	Dance Extra at Maxim's
621468	20625	Extra
621468	21299	Stork Club Extra
621468	23148	Mrs. Grenville
621468	24705	
621468	25479	Viola Heath
621468	26070	Lady at Club Royale
621468	26139	Villager
621468	26606	Nightclub extra
621468	26607	Charlotte, Woman Wanting Her 
621468	27112	Joe's Friend
621468	27215	
621468	28938	Lady on Train
621468	30122	Guest in Theater Lobby
621468	31262	Woman Seated at Bar
621468	31821	Ballet-Goer
621468	32352	Playgoer
621468	32360	Schoolteacher
621468	32534	Nurse
621468	32562	Extra
621468	32807	Friend of Spanky's mother
621468	33754	Attendee at Preview
621468	34650	Mrs. Bradd
621468	34799	Geraldine
621468	35745	Secretary
621468	36985	Stylist in Conference Room
621468	37104	
621468	37153	Nightclub extra
621468	37334	Woman with bumped man
621468	37414	Fight Crowd Extra
621468	38583	Mother
621468	39884	Woman at Bar/Fainting Woman
621468	41047	
621468	41064	Olga Flint
621468	41086	Well-Wisher at Ship's Departu
621468	41090	Dog Collar Saleslady
621468	41091	Mrs. Dixon
621468	41093	Extra at Hi-Ho Club
621468	41105	Nightclub Dance Extra
621468	41378	Nightclub Extra
621468	41759	Cocktail Party Guest
621468	41809	Maile's tourist customer
621468	42049	Maggie's friend at club
621468	42057	Nightclub Extra
621468	43992	Worker in McMasters' office
621468	44465	Mrs. Worthington
621468	45617	Woman
621468	46739	Wedding Guest
621468	46836	Viceroy's Party Guest
621468	47311	Secretary
621468	48540	Extra at Ball
621468	49547	Shopping Extra
621468	50448	Diner at Sardi's
621468	51799	Dinner party guest/Poolside e
621468	52140	Officer's Wife in Reception L
621468	52671	Miss Ryan
621468	55583	Wedding Guest
621468	56105	Marquesa
621468	58816	Backstage Woman
621468	59100	Party Guest
621468	59825	Card Player at Bar
621468	59842	
621468	61185	Gambling Extra
621468	62090	Woman on Stairway
621468	64908	Secretary
621468	66042	Convention Dinner Guest
621468	69302	Saloon Dining Extra
621468	69499	Lodge Guest
621468	69823	Diner, Cafe Imperio
621468	71422	Woman in Fashion Shop
621468	71669	Woman
621468	72703	
621468	73168	Patient in Ordway's Office
621468	73174	Bridge Player
621468	73551	Audience Member at 'Sisters T
621468	73789	Mrs. North's secretary
621468	75481	Extra at Orphan Benefit
621468	75606	
621468	77414	
621468	77456	Nightclub Extra
621468	77685	Woman with Elinor at Club Fer
621468	77967	Dinner Party Guest
621468	78017	Madge Lawrence
621468	78032	Ship's Passenger
621468	78108	Party guest descending stairw
621468	78875	Nightclub extra
621468	79290	Rumba Dance Floor Extra
621468	79826	Birthday Party Guest
621468	79949	Nightclub Extra
621468	79958	Franz' Friend in Restaurant
621468	80587	
621468	80947	Laura Millikan
621468	81023	Mrs. Maude Grindle
621468	81576	Wedding Guest ringing Glass
621468	82064	Receptionist
621468	82364	Mrs. Hopkins
621468	83802	Lady at Marilla's Fashion Sho
621468	83853	Lady of the Court
621468	85669	Woman departing ship
621468	85822	Duchess of Duke
621468	88155	Guest
621468	88250	Bridge player
621468	88653	Nightclub Extra
621468	89100	Guest on ship
621468	89279	
621468	90262	Woman at Awards Dinner
621468	90330	Fashion Editor
621468	91758	Norton's Secretary
621468	91795	Club Patron
621468	93101	Social Secretary
621468	94527	Dance Floor Extra
621468	97427	Party Guest at Central Park C
621468	97496	Woman in Flower Shop
621468	99475	Guest at Graduation Dance
621468	103221	Guest
621468	104352	Nightclub Extra
621468	105070	Party Guest
621468	105075	Dance Extra
621468	105130	Restaurant Extra
621468	105204	Opera Patron
621468	105729	Woman at Alderson Home
621468	105967	Hotel Diner
621468	106011	Committee member
621468	107005	Lady in Concert Audience
621468	107262	Woman at airport
621468	108300	Well-Wisher at Bridal Shower
621468	109222	Party Guest
621468	109855	Wedding reception guest
621468	109868	Football Fan
621468	114164	
621468	114291	Diner at Muehlebach Hotel
621468	114626	
621468	114651	Miss Roberts
621468	114851	Party Guest
621468	115256	Circus Crowd Extra
621468	115483	
621468	116117	Lady at the ballet
621468	116898	Party Extra in Segment "He Fo
621468	117098	Bewildered Woman
621468	117281	45th Anniversary Wife
621468	117655	Restaurant Extra
621468	117754	Nurse
621468	117801	Beauty shop operator
621468	118311	Cocktail Party Guest
621468	118314	Audience Extra
621468	118321	Guest at Lady Carlton-Smith's
621468	119475	Lady Eagleton
621468	119513	Birthday Party Guest
621468	119803	Farellie Saleslady
621468	121360	Beauty operator
621468	121389	Gambler at Roulette Table
621468	121819	Woman at Duval's fashion show
621468	122653	Patron of the Cafe Europa
621468	125909	Chez Louis Nightclub Patron
621468	126069	Nightclub Extra
621468	127086	
621468	127087	Lady at Seance
621468	127207	Sylvia
621468	127674	Gambler at roulette table
621468	127791	Society Woman
621468	128152	Committee Woman
621468	128170	Valentine's Dinner Party Gues
621468	128441	Casino Extra
621468	128700	Court Spectator
621468	129088	Carleton Bar Extra
621468	129372	Elizabeth Danrock
621468	129810	Nightclub Patron
621468	130300	Nightclub Extra
621468	130467	
621468	130712	Miss Hackett, Diner
621468	131543	Mrs. Burke
621468	131594	Parent
621468	132016	Onlooker
621468	132474	
621468	132893	Bridge Player
621468	133509	Front Row Audience Member at 
621468	133622	New York Woman
621468	133673	Dance extra at party
621468	133856	
621468	133887	Helga
621468	133949	Spectator
621468	134070	Mrs. Dexter's Nurse
621468	136290	Street Extra
621468	137488	Miss Flowers, Bates' Secretar
621468	137498	
621468	138222	Ysabel Castro
621468	138230	Diner
621468	138804	Restaurant Extra
621468	139191	Merrill's secretary
621468	140777	Party Guest
621468	140877	
621468	141386	Ball Extra
621468	141620	Party Guest
621468	141665	Woman at Concert
621468	141770	Spectator with handbag
621468	142637	Audience Extra
621468	143191	
621468	143429	Lady Leaving Commencement
621468	143577	Nightclub extra
621468	143605	Emmadel's Friend at Bridal Sh
621468	144425	Wedding Guest
621468	147412	Dinner Guest
621468	147413	Miss Sward
621468	147512	Dorothy, Party Guest on Stair
621468	147633	Hortense Towers
621468	147663	Herself--kitchen helper
621468	147815	Undetermined Role
621468	147973	Mourner
621468	148266	Barbecue party guest
621468	148391	Arriving Barbeque Room patron
621468	148932	
621468	148959	Patron of cocktail bar
621468	149102	Maid
621468	149104	Governor's Wife
621468	149126	Grayson's Party Guest
621468	149376	Nightclub Extra
621468	150347	Party Guest
621468	150575	
621468	150723	Extra at Halloween magician's
621468	151173	Wedding Guest
621468	151542	Bit part
621468	152656	Boray Fan
621468	154046	Secretary
621468	154063	Party Guest
621468	154083	Saleswoman
621468	154230	Party Guest
621468	154352	Interviewer
621468	154439	Woman in lingerie department
621468	154467	Secretary
621468	154471	Wedding Guest
621468	154476	Maid of Honor
621468	154478	Pageant Woman
621468	154692	Lady Handel's Party Guest
621468	154693	Nightclub Extra
621468	154769	Sales Clerk
621468	154864	
621468	154868	Nightclub patron
621468	154874	Teacher
621468	154877	Woman in Audience
621468	154925	
621468	155028	Miss Banks, Telephone Operato
621468	155558	Judge Grey's Dance Partner
621468	155837	China customer
621468	155908	Laura
621468	156940	Geraldine Moore
621468	157050	Nightclub Extra
621468	157546	Lady on Stairway
621468	157870	Woman with Senator Colby
621468	158711	Speakeasy Patron
621468	158792	Courtroom Extra
621468	159996	Diner
621468	160067	Bit Role
621468	161041	Marjorie's party guest
621468	161575	Table Extra in Bar
621468	162207	Jane Gilmour
621468	162278	Lady in ring
621468	163193	Lady in Audience
621468	163288	Agnes (Gordon's secretary)
621468	163358	Party Guest
621468	163359	
621468	163469	
621468	163562	Woman in Elevator/Woman in Fl
621468	163577	Theatregoer in Audience
621468	163961	Set Rehearsal
621468	165004	Van Alden party guest
621468	166072	Party Guest/Nightclub Extra
621468	168220	Baseball Fan
621468	168637	Secretary
621468	168930	Audience Member, 'You Made Me
621468	169942	Concert attendee
621468	170378	Gambling Casino Extra
621468	171134	Mrs. Lord
621468	175405	Nightclub Table Extra
621468	176321	Ringsider at first fight
621468	176340	Ringsider, first fight
621468	176358	Ship's passenger
621468	178979	Woman at Ballet
621468	183329	Pamela Pryor
621468	183386	
621468	183418	Bit part
621468	183442	
621468	183581	Banquet Guest at Max's Table
621468	183627	Party Guest
621468	183679	Nurse
621468	183759	Miriam Harper
621468	183795	Bit Role
621468	183848	Irate Mother in Miss Humbert'
621468	185723	Saleswoman
621468	185931	Engagement party guest
621468	186004	Mrs. Larkin
621468	186277	Mrs. Bruno Thayer
621468	186799	Gypsy Tea Room Waitress
621468	188326	Guest
621468	188381	
621468	190062	Maddox's Secretary
621468	190065	Bit Woman
621468	190179	Cocktail Lounge Patron
621468	190206	Night Club Patron
621468	190543	Mrs. Weeks
621468	191031	Annette Whitmore
621468	191794	
621468	192735	Wonderland Ballroom Diner
621468	193295	Wedding Guest
621468	193656	Alice Mills
621468	193733	Davna
621468	193738	Masquerade Party Guest
621468	193921	Football Fan, Army/Notre Dame
621468	194053	Gambling House Extra
621468	194176	Woman in Billingsley's Waitin
621468	194389	Party Guest
621468	194419	Plane Passenger
621468	195162	Wedding Guest in Park
621468	195303	Woman in Couple on Deck
621468	196404	Woman at Party
621468	196987	Woman in front of flower shop
621468	197297	Passenger on Ship
621468	197320	Nightclub Extra
621468	198544	Party Guest
621468	199156	Ship Passenger
621468	199177	Woman in audience
621468	199217	Charity Ball Guest
621468	200304	Mayor's Secretary
621468	200473	Birthday Party Guest
621468	200479	
621468	201034	Telephone Girl
621468	201305	Guest at Cadet Ball
621468	202248	Football Spectator behind Ell
621468	203457	Fred's Party Guest
621468	203535	Woman in Hotel Lobby
621468	203917	Gomel
621468	204744	Party guest
621468	206414	Salesgirl
621468	206472	Radway's Secretary
621468	206887	
621468	207705	Restaurant Extra
621468	207865	Wedding Guest
621468	208741	Dance Extra in Party Sequence
621468	209587	Guest at Danny's Party
621468	209592	Mattie (newspaper secretary)
621468	209599	Dining Extra
621468	210750	Darla's mother
621468	211610	Lady Off Train Who Wants to F
621468	212217	Diner
621468	212752	Racetrack Extra
621468	212974	Party guest
621468	213070	Party Guest
621468	213465	Nightclub Patron behind Drunk
621468	213820	
621468	214447	
621468	215981	Member of theatrical party
621468	215990	Nurse
621468	217958	Hunt Club Ball Guest
621468	218123	Indian's wife at party
621468	220068	
621468	220514	Seymour's wife
621468	220779	Nightclub Extra
621468	220788	Party Guest
621468	220801	Train Station Extra
621468	220892	Bit Part
621468	221054	Spectator with purse
621468	221094	Wedding Guest
621468	221124	Mrs. Thatcher
621468	222328	Scared Pedestrian
621468	222772	Bank Customer
621468	223154	Tourist
621468	223497	Mrs. Manning
621468	223733	Party Guest
621468	223829	Nightclub patron
621468	223952	Gypsy Tea Room Diner
621468	224092	Dressmaker
621468	224136	Mrs. Merriweather, Party gues
621468	224273	Guest at Van Ormans' New Year
621468	227349	Party Guest
621468	229501	
621468	230391	Nightclub Extra
621468	230435	Catherine a Party Guest
621468	231794	Undetermined Role
621468	232370	Woman at Fashion Show
621468	233044	Gossip
621468	233684	Woman at Country Club Dance
621468	233753	Deane Co. Receptionist
621468	233825	
621468	233899	Woman in lounge
621468	234027	First-Nighter
621468	234211	Information Desk Nurse
621468	234889	Psychiatrist's Patient
621468	234910	Nightclub Table Extra
621468	235633	Nightclub Extra
621468	235676	Party Guest
621468	235695	Nightclub Extra
621468	236129	Woman at Concert
621468	239176	Secretary
621468	239345	Woman Consoling Toots
621468	239659	
621468	239719	Miss Martin, Parker's Secreta
621468	240440	Patron at the Royal Aloha Hot
621468	240672	Mimi's Maid
621468	240841	Lady watching TV at Bar
621468	240936	
621468	241110	Bridge player
621468	241327	Woman
621468	241424	
621468	241433	
621468	241443	Woman in Lobby
621468	241444	Spectator at Madison Square G
621468	241561	Arriving Airline Passenger
621468	241788	Shopper in Department Store
621468	242771	Dance floor extra
621468	242941	Anniversary Party Guest
621468	246606	Suzy
621468	246749	Nightclub Extra
621468	246923	Person
621468	247139	Gerry's Maid of Honor
621468	247143	Woman in Hotel Lobby
621468	249269	Mary (nurse)
621468	252218	Woman
621468	252286	Mother
621468	252480	Nurse in Court
621468	252489	Concert audience member
621468	253126	Reporter at reception
621468	253505	Nurse
621468	254283	Restaurant Extra
621468	254500	Priam's Secretary
621468	254631	Nightclub Dance Extra
621468	255083	Nightclub Extra
621468	255828	Restaurant Extra
621468	256085	Arriving Club Diplomacy patro
621468	256899	Wedding Reception Guest
621468	257087	Courtroom Spectator
621468	257939	Diner at Captain's Table
621468	257963	Lady in Elevator
621468	258276	Mrs. Hadley
621468	259789	Luncheon Guest
621468	261422	Party Guest
621468	263247	Engagement Party Guest
621468	263313	Table Extra at Caravan Club
621468	264470	Woman Sitting Behind Lincoln 
621468	264603	Nightclub Patron awaiting tab
621468	264888	Betsy, a Patient
621468	266179	Woman at Coroner's Inquest
621468	266719	Bit
621468	267964	Mr. Wagner's Secretary
621468	271689	Red-Hatted Lady at Town Meeti
621468	273083	Matron
621468	273543	Songwriter's party guest with
621468	274412	Woman
621468	274502	
621468	275451	Extra
621468	275694	Woman in nightclub
621468	275768	Bit
621468	276381	Woman at Parents Night
621468	276876	Lady at Town Meeting
621468	277644	Typist Sitting Next to Helen
621468	277656	Diner-Dancer at Le Parisien
621468	277733	Dance Extra
621468	278203	Mrs. Horace Wetheridge Tobey 
621468	278563	Party Guest
621468	279303	
621468	279361	Member of Carnival Audience
621468	279417	Nurse
621468	279570	Night Club Extra
621468	280992	Dance Floor Extra
621468	282711	Backstage guest
621468	283421	Party Guest
621468	286120	Country Club Extra
621468	288698	
621468	288743	Party Guest
621468	289537	Nightclub Extra
621468	289559	Nightclub Table Extra
621468	289718	Woman on nightclub dance floo
621468	291301	Woman in audience
621468	292129	Nightclub Extra
621468	292470	Illustrator
621468	294744	Reception nurse
621468	295384	Party Guest
621468	296873	Marianne
621468	297359	
621468	297891	Bit Part
621468	297970	Bit Part
621468	298122	Guest at Musical Show
621468	298126	Party Guest
621468	299064	Nurse
621468	299197	Nurse
621468	299801	
621468	300003	Nurse
621468	300106	
621468	301690	Mrs. Nesbit
621468	301853	Les Winters' Date
621468	302407	
621468	302639	Nurse
621468	302696	
621468	302773	
621468	302831	Mary Browne
621468	304298	Mother
621468	304755	Miss Miller, Courtland's Secr
621468	304961	Party Guest
621468	305399	Party Guest
621468	305472	Nightclub Extra
621468	305498	Inquisitive Party Guest
621468	306502	Mrs. Parish, Store Clerk
621468	306550	Woman with Sunglasses
621468	306803	Mary Trimworth, Durant's Secr
621468	306804	Mrs. Black
621468	307980	Nightclub Extra
621468	308079	Audience
621468	308109	Wife
621468	308149	Faculty Member
621468	308391	Indian Woman
621468	308569	Nightclub Extra
621468	308575	Nightclub Extra
621468	308656	Jessica Thayar
621468	308675	
621468	309208	Shirley
621468	309849	La Casa Cantina patron
621468	310724	Extra at Company Dance
621468	310840	Nightclub Extra
621468	311025	Carlotta Cobb in photo [Ch. 5
621468	311992	
621468	312042	Mrs. Jeepers
621468	312061	Scotty's mother
621468	312586	Telephone Operator
621468	312810	Lady in Fitting Room
621468	313076	Stenographer
621468	313321	Academy Awards Ceremony Atten
621468	313919	Woman in pickle crowd
621468	315123	Department Store Extra
621468	315322	Party Guest/Mrs.Hadley
621468	315341	Party Guest
621468	315992	Fashionable woman
621468	316115	
621468	316156	Nightclub Extra
621468	316319	Dining Extra
621468	316444	Party Guest
621468	317349	Diner beside broken dishes in
621468	317972	Joe's Secretary
621468	318165	Reception Guest
621468	319131	Mrs. W. Wakefield
621468	320203	Mike's party guest
621468	320806	Guest at the Ball
621468	321310	Extra at Toots Shor's
621468	321534	Dance Extra, ''The Way You Lo
621468	323380	Nightclub Extra
621468	323883	Bit
621468	325027	Bit in Newspaper Office
621468	326368	First-Nighter
621468	326408	Extra at Bongo Club
621468	327221	Guest
621468	327671	Bridge Player
621468	327765	Engagement Party Dance Floor 
621468	328296	Mrs. Muriel Van Twitchell
621468	329072	
621468	329394	Guest
621468	329480	Nightclub Extra
621468	329528	Extra in Ladies Room
621468	329538	Guest
621468	329809	Miriam, Polo Playing Club Mem
621468	330025	Luncheon Attendee
621468	330097	Lounge Extra
621468	330159	Party guest
621468	330277	Nurse
621468	330682	Nightclub Extra
621468	330892	
621468	331381	Mortician's wife
621468	331398	Dinner Guest
621468	331469	Patient Waiting in Dr. Stewar
621468	331587	Indignant Patron
621468	331615	Secretary
621468	331768	Party guest
621468	332009	Nurse
621468	332027	Guest
621468	333054	Backstage Well-Wisher
621468	333318	Sales Clerk, (uncredited)
621468	333520	Nightclub Extra
621468	334136	Woman at Costume Ball
621468	334272	Greengrove race spectator
621468	334340	Ship Passenger
621468	334402	Diner at Dominiques'
621468	335702	Guest
621468	335956	Extra
621468	336032	Woman in Audience
621468	338045	Woman in Audience
621468	338287	Party Guest
621468	340378	Nightclub Extra
621468	342453	Banquet Guest
621468	342569	
621468	342612	Charity Ball Guest
621468	343138	Policewoman
621468	343199	Guest at Anniversary Banquet
621468	343249	Receptionist
621468	343252	
621468	346248	Julia Donnegan
621468	346908	Secretary
621468	347335	Cocktail Party Guest
621468	347724	Party Guest
621468	347730	Manicurist
621468	351438	Partygoer
621468	352639	Diner at Ernie's
621468	354160	Miss Mabry
621468	358442	Hotel Extra
621468	358589	New Year's Celebrant
621468	358749	Dance Extra
621468	358768	
621468	359140	Postal Clerk
621468	359754	Party Guest greeting Ambassad
621468	359863	Embassy Party Guest
621468	360395	Mrs. Laurel
621468	360834	Wedding Reception Guest
621468	362112	Dawson
621468	363248	Woman in Dressing Room
621468	363371	Annoyed Patron of The Tropica
621468	363599	Extra
621468	363699	Secretary
621468	363787	Dance Floor Extra at Novello'
621468	364357	Shopper, Gourmet Department
621468	364434	Miss Bower (secretary)
621468	365068	Party Guest
621468	365087	Doris' friend
621468	365148	Dance extra
621468	366492	Nightclub extra
621468	366987	Courtroom Spectator
621468	367511	Spectator at Horse Show
621468	367530	Extra at bar
621468	367564	Mannequin
621468	367820	Florence
621468	367857	
621468	367970	Pelican Club/Opera Patron
621468	370529	Party guest
621468	372093	Dinner Guest
621468	372115	Nightclub Dance Extra
621468	372145	Martin's Neighbor in Courtroo
621468	372247	Race Fan on Boat
621468	372295	Lady in Taxi
621468	372345	Woman at Premiere
621468	372346	Lobby Extra
621468	372531	Nurse
621468	372632	Patron at Galba's
621468	372633	Party Guest
621468	372705	Cricket Club Party Guest
621468	372819	Gossip
621468	372898	Woman
621468	375045	Palm Beach Casino Patron
621468	375719	Nightclub Extra
621468	375914	Party Extra
621469	35664	Additional Voices
621469	321743	
621470	177163	Nefer
621471	274167	Rochelle Jackson
621472	142313	Whispering Grass
621472	186652	Sophie
621473	376808	
621474	150635	
621474	171170	
621474	240840	
621474	273784	
621474	321035	
621475	119850	Mrs. Grenville
621475	257522	Herself (party guest)
621475	274501	Carolyn
621475	359319	Herself
621475	368831	Herself
621477	124280	
621477	333650	
621478	162097	Phyllis
621478	213584	Yum-Yum
621478	220724	Three Boys
621478	256621	Edith Stanley
621478	339368	Angelina
621479	10916	Hillard
621479	17953	Bonnie Johnson
621479	65501	Restaurant Hostess
621479	110251	Lounge Lizard
621479	143820	Kim
621479	152904	
621479	155453	Corazon
621479	158998	Woman
621479	234237	Jackie
621479	241741	Herself
621479	297781	Jane
621479	390864	Suki Rodriguez
621480	272325	Pool Girl #1
621481	253010	Naomi Perry
621482	345861	Girlfriend
621484	260631	Herself
621485	114315	Nadia
621486	334410	Girl #1
621487	97131	
621490	257601	
621491	143628	Picnic participant
621491	168286	Office Worker
621491	293843	Choir Singer
621493	52902	Olympe
621493	228146	Michelle
621493	303555	Helen Brooks
621494	363575	Co-ed
621495	77017	Roosters Neighbor
621496	264434	Evil Ninja
621497	168295	The Roach Chorus
621497	358001	
621498	199082	Mackan's Sister
621499	40954	
621500	44455	Herself
621501	182040	Trigger
621501	402729	Motoko Aoyama
621501	403965	Yahiko Myojin
621502	166387	
621503	2019	Rose
621504	150598	Herself
621505	67387	Betty Watson
621505	315190	Mrs. Brown
621505	386966	Sally
621506	333347	Waitress at Claude's
621507	45963	Miss Weir
621507	195015	Mrs. Randolph
621507	229111	Mrs. S. Van Bibber
621507	335589	Mrs. Brewster
621507	355046	Mrs. Holt
621508	19740	Flo Loe
621508	219889	April
621508	344183	O.R. Nurse #1
621509	128600	Nurse
621510	181005	Party Guest
621510	223026	Emma
621511	33395	Tribal dancer
621512	138238	Elis Coneeley
621513	270878	
621514	2232	Audray
621515	167876	Kate Fitzgerald
621516	142390	Oona
621517	115268	Radio Operator
621518	364125	Herself (Whitney's makeup art
621519	22849	Young Sara Wood
621519	148317	Hippie Chick
621519	260301	Lilly
621519	317307	Louise
621520	52559	Jennifer
621521	37232	Joan
621521	46532	Kathy
621521	62117	Joanna
621521	89860	Diane
621521	249420	Louise
621521	272026	Molly Roll
621521	325969	Julie Morrison
621521	400236	Christine Cromwell (1988-1989
621521	407982	Billie Thornton
621522	136201	
621522	377356	
621523	37919	
621524	31055	Nanelia
621524	46393	Dana Preston/Molly Carpenter
621524	49346	Capt. Devon Shepard
621524	67816	Pat
621524	69195	Stephanie
621524	71644	Herself
621524	79046	Dr. Bridget Thorne
621524	80836	Peggy Martin
621524	106632	Lulu
621524	109715	Phyllis 'Bird' McNamara
621524	119621	Sarah 'Sunny' Harper
621524	185259	Sally
621524	193248	Melissa
621524	198922	Barbara Spencer
621524	241141	Eve
621524	253819	Renee Hallow
621524	283563	Anna Costanzo
621524	289467	Dr. Joan Alden
621524	304557	Susan Broderick
621524	334235	Ruth Lanier
621524	336788	Skye
621524	392276	Off. Joanne Molenski (1990-19
621524	411278	Lacey (1990)
621525	64420	Roxeanne
621525	190869	Additional Voice
621525	254585	Drax's Receptionist
621526	274461	Jessica
621527	8366	Sister Marguerite
621527	19064	
621527	38257	Madeleine
621527	282102	Soeur Estelle
621527	378731	Lucie Brodeur
621527	381617	Gladys 'Baby' Mayfair
621527	401330	
621527	404812	Maria-Angelina Lombardo
621527	412166	Mme Tremblay
621528	189340	Anne/La Doubleuse
621528	303617	Sophie
621529	29523	Barfly
621530	141196	
621530	208969	
621531	232019	Trish
621532	17755	
621532	21795	Bess
621532	22807	The Schoolteacher
621532	22953	
621532	35433	
621532	42432	
621532	44075	
621532	56175	May Sutherland
621532	80965	Viva Hamilton
621532	83119	
621532	95536	Molly Brown
621532	107999	Maude Deveraux
621532	114014	Kate Horston
621532	141296	
621532	158820	
621532	177815	Ann Pornick
621532	184448	Masikowa
621532	189324	
621532	193615	Cherry
621532	203690	
621532	208969	Kitty Kingsland
621532	220035	
621532	221003	
621532	236912	Queen of the Fairies
621532	240481	
621532	253103	
621532	254866	
621532	265886	
621532	267611	Pamela Dodder
621532	270387	
621532	278440	Edith Blayne
621532	306739	Connie Grant
621532	330515	
621532	330554	
621532	339688	Undetermined Role
621532	340850	Tilda
621532	343102	
621532	356819	
621532	362241	
621532	364856	
621532	372041	The Girl
621533	350502	Undetermined Role
621534	173726	Hausmädchen
621535	11764	
621535	33141	Tour Guide
621535	104755	Host 19 April 1980
621535	156139	Anne
621535	179039	Moeder Anouk
621535	245792	Vlier
621535	265829	Ria de Jong
621535	326310	Joke
621535	344235	Evelien
621535	359814	Viola
621535	379639	
621535	386264	Eliza Zadelhof
621535	387959	Herself - Presenter (1980)
621535	388164	Barbara van Diermen
621535	390242	Helen Helmink (#1) (1990-1991
621535	401671	Dochter
621535	401807	Marhje Kraats
621535	401863	Daisy
621536	127798	Journalist
621536	247107	
621537	30384	Herself (escapes with friend)
621537	384590	Herself (East Berlin resident
621538	94729	Countess Galina Kochilova
621539	115984	Clarissa
621540	306421	Girl in Volkswagon
621541	291052	Warrior Woman
621542	164148	Tata Maréchal
621542	258336	La gouvernante
621542	340291	La femme de la galerie
621542	388688	Charlotte Rubrouck
621543	357024	Martha
621544	398045	Herself - Designer
621544	403724	Herself - Designer
621545	98783	
621545	256630	Townspeople 1
621546	16844	Skaters
621547	209369	The Fence's Wife
621548	219236	Lena
621548	343332	Fru Madsen
621549	198276	Ellen Key
621550	81131	
621550	255009	Maid
621550	323983	Night Owl
621550	391919	Mavis Bartlett
621550	405209	Mrs. Campbell (1999)
621551	158537	
621552	275435	Rock Chick 2
621553	33141	Jill Swinburne
621553	47191	Private Nurse
621553	80995	
621553	115490	Angie
621553	126042	Narrator
621553	149639	Mrs. Mason
621553	149640	Mrs. Mason
621553	177346	Goneril
621553	186383	Eleanor Kimbrough
621553	194584	Sarah Ridd
621553	231907	Moira
621553	258930	Mrs. Allerton
621553	269771	Hostage
621553	281705	Narrator
621553	292031	Belinda
621553	350458	Ms. Jeffries
621553	362977	Herself/Narrator
621553	372315	Prof. Corner
621553	381278	Mary Bold
621553	381581	Jill Swinburne
621553	381582	Jill Swinburne
621553	383883	Dee Tate (1995)
621553	385162	Judith Fitzgerald (1993-1995)
621553	388324	Freda Ashton
621553	389124	Emily
621553	391194	Mrs. French
621553	392008	Narrator (2003-)
621553	392899	Mrs. Maigret
621553	393724	Additional Voices
621553	395188	Shirley (1981)
621553	397182	Dorothy Kemp
621553	399207	Joanna Lassiter
621553	400313	The Milk Woman
621553	401229	Imogen
621553	409836	Ms. Jeffries
621553	410013	Dr. Rose Marie
621553	411316	Miss Browning
621554	110561	Saoirse, the irish coleen
621554	194483	Saoirse, the Irish Coleen
621555	391170	Lona Drewer Corey
621556	176525	Tea Bag/Colonist/Indian
621557	103301	Jennifer
621558	294308	
621559	65501	Coast Guard Captain
621559	84980	Ruby Martin
621559	158109	
621559	158782	Lianne Melrose
621559	185252	Ruthie
621559	185828	Adult Jessica Husband
621559	251194	Woman on Bridge
621559	294976	
621559	327376	Sara Meinhold
621559	343020	Maggie Fergus
621559	345977	
621559	353394	
621559	388923	Dr. Pam Blondel (1995)
621559	400418	Paulette Charbonnet
621559	408349	Carolyn McGrail
621560	294079	WKBI Anchorwoman
621560	359932	TV production assistant
621560	366768	Luke's Mother
621561	154451	Ann
621561	348008	Herself
621562	194483	The Lord of the Dance Troupe 
621563	276104	Masseuse
621564	289473	Celebrity
621564	342560	Mayor's Assistant
621565	26	Follies girl
621565	47292	Ruby
621565	235650	Maid
621566	65804	
621566	129802	
621566	183372	Mary Wood
621566	188292	
621566	298166	Peggy
621567	16050	Virginia
621567	151730	Fran
621569	29956	Lulu McGee
621569	40062	Mrs. Starkey
621569	45477	Miss Dill
621569	84854	
621569	121829	Mrs. O'Malley
621569	134720	Mother Celestina
621569	140446	
621569	154740	San Quentin Matron
621569	160336	Daisy's nurse
621569	161972	Hannah Guthrie
621569	249323	Miss Daly
621569	281132	Mrs. Riggs
621569	293007	Mrs. Youngquist
621569	308071	Aunt Celia
621569	318773	Mrs. Carter
621569	350012	Ladies' room attendant
621569	359174	Peronskava
621569	392177	Clara
621570	263887	Ranger #3
621571	330057	Cuban Dancer
621572	263887	Ranger #2
621573	205823	Newlywed
621574	110751	Me Ling
621574	218599	Girl in Castle Anthrax
621575	77213	Karen Clark
621575	89277	Marjorie Evans
621575	157603	Kath Hale
621575	166217	
621575	259779	Milly Snow
621575	368445	Maureen
621575	382806	Julie (1992-1997)
621575	388321	Daphne Parsons (2003-2004)
621575	388802	Lena (1988-1989)
621575	392129	Madge Howell
621576	198835	Katherine
621577	23593	Aunt Emmeline
621577	108919	Lady #2
621577	196037	Sr. Judith, St. Isidore Princ
621577	218748	Aunt Dorothy
621577	368261	
621577	402956	Mrs. Corkran
621578	284257	Madame Royale
621579	333868	Bridget
621580	244034	The Science Fair Contestants 
621582	22618	Louie
621582	45635	Vicky (Pool Days)
621582	72474	Kimberly
621582	141544	Casals' Date
621582	260139	Vicky
621582	261989	Rosie
621582	277268	
621582	277541	Cyd
621582	317526	
621582	331760	
621583	212843	Henry's Mom
621584	365333	
621585	333423	Catherine
621586	334385	Vida's mother
621586	337384	Duke & Duke receptionist
621587	44501	Dancer
621588	160880	Marianne
621589	12736	Principal Milliken
621590	388209	Anne Clarke (1988-1998)
621591	129184	Teen in diner
621592	398430	Internet Correspondent (1996-
621593	345660	Girl at Counter
621594	46213	1st Lady hairdo
621594	403373	Yvonne
621595	102146	Nurse
621596	176525	Samuel Prescott/ndian/British
621597	134742	Herself
621598	201409	Linda
621599	199109	Additional voices
621600	1225	Betty Watson
621600	26064	Maa the Very Old Ewe
621600	55588	Franklin's Mom
621600	63134	Cousin Catherine
621600	63135	Cousin Catherine Johnson
621600	63424	Bussler Waitress
621600	100096	Additional Voices
621600	105492	Grace
621600	117061	Donna Elliot
621600	120633	Evelyn
621600	142668	Helen
621600	143248	Sheila
621600	148538	Mom
621600	159200	Judge Bobb
621600	184375	Diplodoeus Mom
621600	184378	Grandma
621600	184379	Grandma
621600	184380	Grandma
621600	184382	Grandma
621600	188572	Peronnel Director
621600	193766	Helen
621600	212834	Betty
621600	221024	Annette
621600	314158	Mrs. Parks
621600	319380	Gandra Dee
621600	334098	Telephone operator
621600	349550	Cousin Catherine
621600	351187	Cousin Catherine
621600	358321	Costume Dresser
621600	383846	Mildred "Millie" Tabootie
621600	385727	Additional Voices
621600	387066	Gandra Dee
621600	390682	Sister Helen
621600	395349	Lonely Sue
621600	396424	Maggie Weston
621600	396598	
621600	402813	Joan Hoodenpyle
621600	406357	Adrienne
621600	407636	Jean Tasmanian Devil
621600	408240	
621600	410866	Mother
621601	20990	Herself
621601	56545	Herself
621601	215691	Miss Montana USA
621602	406760	Lizzie Campbell (2002-)
621603	342831	
621604	65934	Jennifer
621605	110916	Porn actress
621606	209112	Trooper Maryann
621606	244034	Nurse #2
621606	317309	Double Bubble Casting Agent
621607	7212	
621609	7212	
621610	241650	Extra
621611	381436	Marisa Lawson (1995-1997)
621612	364320	Herself (Shakespeare Birthpla
621613	106617	Woman in Car
621613	311946	Girl in Corvette
621613	337379	Female Tourist
621614	31620	Jessica
621614	47292	Undetermined Role
621614	64671	Dance Hall Girl
621614	72610	
621614	128231	Tille Hart
621614	147773	
621614	147775	
621614	194450	Redhead
621614	266706	Molly Doyle
621614	321251	Lulu
621614	331399	
621614	335886	Daisy
621616	45500	Ruth Nussbaum
621616	49396	Hitman's Mother
621616	104930	Beth Ann
621616	132037	Leta
621616	389416	Secretary
621618	280281	Jewelry Sales Lady
621619	186443	Herself
621619	395290	Regular Performer (1968-1972)
621620	110315	Thana Brinkman
621620	116153	Selina
621620	128585	Hannah Boyle
621620	141497	Laura Ronconi
621620	381627	Amy
621620	391337	Hellsing Intelligence Operati
621620	393208	Lisa
621620	394163	Secretary
621621	184456	Mombi, the Sorceress
621622	310090	Grieving Woman
621623	24143	Rhianon
621623	395595	Meryl Taylor
621623	407047	Meryl
621626	238246	Shop Assistant
621626	400737	Herself - Panelist
621627	109802	Corrina
621627	341455	Mrs. Price
621628	116130	Client 2
621629	154869	'Rainbow House' parent
621630	45507	Paul's Mother
621630	79841	Featured Zombie
621630	85998	Dr. Jameson's Guest
621631	13102	Maguy
621631	43762	Charlotte
621631	51948	Rita
621631	84104	
621631	195241	Pulchérie
621631	199337	
621631	260908	Amanda
621632	222784	Baby Girl
621633	373927	Suzanne
621634	401884	Herself/- Finalist
621635	55008	
621636	214339	Valdemar I
621637	33130	
621638	64676	Mevr. Keulemans
621638	202625	Mary
621638	248909	Psychiater
621638	266157	Mrs. van Strijen
621638	390242	Mevrouw Barendsen (1990, 1991
621638	390410	Johanna Körber (1997)
621638	410441	Truus de Hoop
621639	90028	
621639	396649	
621640	33474	Suor Celeste
621640	67897	Elena
621640	86450	
621640	98643	
621640	102619	
621640	163691	
621640	252030	
621641	89030	Herself (United Press Interna
621642	345939	
621644	90662	
621645	5363	
621645	212314	
621646	263	Sophia Monroe
621646	728	Herself
621646	731	Herself
621646	732	Herself
621646	10886	Burak
621646	13998	Milo Roberts
621646	26877	Mrs. Holmes
621646	44751	Sally Brown
621646	56276	Maude Kennard
621646	74238	Princess Celeste LaTour
621646	78895	Betty
621646	88258	Hazel Laidlaw
621646	97135	Dr. Adela Teba
621646	103313	Eileen Carr
621646	105729	Erica Martin
621646	108257	Peg Miller
621646	109437	Mercedes Bellway
621646	110941	Amelia Craig
621646	118305	Maggie Flannery
621646	125484	Herself
621646	127488	Bibi Crosby
621646	133655	Rev. Le Veyne
621646	135553	Susie Pearson
621646	151556	Grandma Halley
621646	153204	Alice Baring
621646	154373	Ellen Monk
621646	156456	Ellen Miles, later Ellen Bord
621646	158089	Mrs. Venible
621646	163586	Brandon's mother
621646	166697	Mrs. Calley
621646	168635	Glenda Chapman
621646	168720	Harriet Hobbs
621646	200789	Miss Evans
621646	219385	Miss Beasly
621646	224177	Julia Ross
621646	232822	Alice Blake
621646	234677	Real estate agent
621646	245272	Samantha's mother
621646	263085	Carol Flemming
621646	264438	Anne Graham
621646	267105	Betsy Collander
621646	273588	Mrs. Danvers
621646	276816	Nicki Saunders
621646	277622	Literary Party Guest
621646	286302	Mrs. Penninger
621646	289504	Marie Antoinette
621646	289522	Goodby Rickby
621646	296732	Dr. Juliana Moorhouse
621646	296785	Sylvia Saxon
621646	296927	Lois Garland
621646	298069	Tessie Legruda
621646	298070	Jeanne
621646	300962	Ellen Scott
621646	303975	Marge, Alex's Mother
621646	305087	Mrs. McEvoy
621646	307842	Elena Cantu
621646	308674	Constantia
621646	310455	Helena Glabrus
621646	312543	Linda Kovacs
621646	315992	Frieda Brenner
621646	318036	Mrs. Wallman
621646	327685	Bithiah
621646	327706	Vera Claythorne
621646	331180	Harem girl
621646	331292	Lt. McCoy
621646	346240	Judith Warren
621646	358185	Jan Colburn
621646	372346	Gretchen Brendan
621646	372633	Joyce Laramie
621646	382981	Maddie Roberts
621646	404171	
621646	405022	Dr. Juliana Moorhouse
621646	407470	Frances 'Frannie' Alicia Ligo
621646	407937	Herself/panelist
621646	409225	
621646	410582	Comtesse de Chambrun
621647	66063	Der gute Clown
621648	192486	Liv som barn
621649	843	Soprano
621649	90012	Voce dal cielo
621649	119068	Ascanio
621649	163727	Elvira
621650	122468	
621651	93455	Birgit
621652	293820	Maija
621653	218221	Secretary
621654	8942	Frau Ude
621654	48520	Frau Druck
621654	49298	Ruth Alberti
621654	90706	Signora Mascari
621654	91015	Karin
621654	98272	Gloria
621654	114539	Vics Mutter
621654	125023	Martha
621654	144182	
621654	152830	Simons Mutter/Simon's Mother
621654	186606	Irmgard Borgstedt
621654	204502	Zelda
621654	216190	Karola Bendig
621654	236039	Soeur Bénédicta
621654	278812	Frau Schadow
621654	281657	1. Bedienstete
621654	290770	
621654	325571	Lilo
621654	325914	Fricka Hackel
621654	334634	Gisela Jansen
621654	339585	
621654	352050	Neurath
621654	361438	Hiltrude Hauser
621654	374123	Marlies Faller
621654	376167	Mrs. van Helsing
621654	387034	Marianne Vollmer
621654	394764	Geliebte
621654	394903	Charlotte Franke
621655	152348	Joshy
621656	112821	Madame Raynal
621657	356101	conductrice
621658	344440	
621659	279113	
621660	275485	
621662	278718	Theatrical troupe member
621664	101550	
621666	322005	Kata
621667	187771	Jadviga
621668	163130	
621669	56080	
621671	45780	Lottery Woman
621671	48169	Lady in red
621672	153695	
621672	163968	
621672	175466	
621672	276070	
621672	377814	Terus
621672	381344	Magdolna Kertész
621673	349779	Györgyi
621674	153728	
621675	243301	American Woman
621676	94279	Eine Puppenverkäuferin
621676	365009	Gretel
621677	58770	Nana
621677	99266	Julia Woodland
621677	148212	Angela Russell
621677	236150	Flight Attendant Maggie
621677	283781	Eve Davenport
621677	351035	Helen
621677	382294	Pam Drury
621677	384356	Stephanie Cox
621677	391869	Josie Russell (2004-)/Angela 
621678	326904	
621679	348054	
621680	33492	Lina Klein (Martha's niece)
621680	364940	Marie
621681	310591	Herself
621682	96473	
621683	397517	Agneta
621684	404686	
621685	66596	Youssouf's Sister
621686	287327	
621687	60695	
621688	315388	Ingerlaise
621688	382884	Nore
621689	22844	Sekretæren
621690	66584	Wole
621691	383355	Mariinha
621692	237323	Laci mamája
621692	306936	Anya
621692	334028	
621692	378304	Germaine,gépírónõ
621693	31663	Elaine Street
621693	60866	
621693	107493	Gussie Gander
621693	138821	Associate Editor
621693	155912	
621693	339856	
621694	7684	Brandy
621694	65754	Convention Worker
621694	117091	Waitress
621694	245541	Pizza Delivery Girl
621695	19770	
621695	48904	Leigh Morgan
621696	43661	
621696	411712	Elena
621697	66924	Susan Josephson
621697	76496	Gloria McCarthy
621697	142541	Maid
621697	164631	Grandma Bradshaw
621697	215793	Mrs. Callahan
621697	238228	Flossie, the Grouch
621697	292015	Agatha
621697	321515	Mama Klara Muller
621697	323563	
621697	338210	Ms. Hanimex
621697	359290	Mrs. Dell
621698	310429	Head Nurse
621699	299040	Mel's girlfriend
621699	396507	'Rotten' Rose Scargill (1993-
621700	129846	Herself
621701	147635	Roxanne
621702	382692	
621703	59759	Bear Driver
621704	32440	Student Teacher
621705	47588	Wedding Party
621705	62579	Hooker #2
621706	291825	Female Mariachi Band
621707	139644	Lena
621707	259354	Rebecka Gryt
621707	268378	Krister's Fiancée
621707	355702	TV-hallåan (episode 1)/Radior
621708	26998	Companion
621709	363708	Brenda
621710	154840	Martin twin
621711	154840	Martin twin
621712	235622	
621713	133054	
621714	47191	Theatre Nurse
621714	93064	Maureen
621714	115933	Headmistress
621714	193235	Rhoda Tait
621714	386581	
621715	400310	Mother
621716	214863	Millimani
621717	115403	Betty Hede
621717	125828	
621717	306371	Hotel Guest
621717	321510	Student in school kitchen
621717	322422	Siri
621717	353013	Clerk
621718	357107	Israeli Guide
621719	192268	WSKID radio assistant
621720	364281	Mitsy
621722	275871	Wannabee Cheerleader
621723	204609	
621724	341967	Host
621726	68369	Vicky's mother
621726	87499	La mère de Christiana
621726	112033	Woman Dignitary
621726	160701	La journaliste américaine
621726	195343	Ludmilla
621726	250902	Mme. Bellancourt
621726	379595	Potter
621726	387764	Mme Lefébvre
621726	411699	Irène Roberts
621727	162712	
621728	48831	Daniela
621728	57878	Diana
621728	105462	Zaz Jingle Duo #1
621728	204769	
621728	257892	
621728	354048	Soledad
621728	376826	Herself
621728	410453	(2000)
621729	342332	Mother of Little Boy
621730	342332	Mother of Little Boy
621731	387009	Paula
621732	160978	
621733	41393	Reporter D
621734	157765	Waitress Nancy
621735	62437	
621735	76149	Chombidon/Canadian woman
621735	96245	L'autre hôtesse
621735	166179	
621735	346438	
621736	118993	Herself
621736	379741	Regular Performer (2001-)
621737	165109	Interviewer
621738	412268	Mathilde (segment "Latude ou 
621739	211679	
621740	293021	Millie Maguire
621740	340025	Deni
621741	281639	
621742	46671	Seljanka iz sela Guci
621743	46671	Seljanka iz sela Guci
621744	268709	Lady Supervisor
621745	46671	Seljanka iz sela Guci
621746	372389	Aunt San
621747	1752	
621747	6323	
621747	8123	Aristea
621747	8131	
621747	9178	
621747	10962	
621747	100608	
621747	132028	
621747	136479	
621747	179461	
621747	179740	
621747	213661	Pardaloglou
621747	239167	
621747	246612	
621747	380321	
621747	380843	
621747	386638	Olga Markatou
621747	387404	
621748	86054	
621748	86404	
621749	402865	
621750	6333	Verpleegster
621750	162244	Mevrouw Van Dam
621751	26279	Pauline Jansen
621751	40635	Katja
621751	45203	Hélène
621751	86715	Nora Nagels
621751	186134	Jeanet
621751	189897	Clara
621751	194371	Anna Montijn
621751	245041	
621751	248411	
621751	269151	Marte
621751	285702	Daikha
621751	325198	Moeder Evert en Lucos
621751	328678	Serpentina
621751	384901	
621751	410441	José Donkers (1994-1995)
621751	412033	Maria Bloemink
621752	49664	Lalka
621752	50078	Bogatata godenitza
621752	250886	Dora
621752	253716	Rositza
621752	344348	Dashterya in kato golyama
621753	32775	Ruth Hubbard
621753	258057	Mrs. Malcolm
621753	392129	Penelope Maddox (1991)
621754	395637	Instructor
621755	353845	
621756	284830	
621757	13462	Alba
621757	19481	Beatriz
621757	99794	Susana
621757	122443	
621757	197550	Nata
621757	215031	Sofía
621758	243448	
621759	184369	Townsperson
621760	238798	(segment "L'uomo dei 5 pallon
621760	348172	
621761	206955	
621762	44328	Segretaria
621762	109766	Maria Grazia
621762	242114	
621763	231453	
621764	101299	Ida
621765	22618	Cherry
621765	252238	Sheila
621766	11485	Michelle Gideon
621767	69043	Sacrificial Snake Girl
621768	308089	Wanju, Wife of Kimani
621768	408278	Lenore Eustice
621769	194525	Student
621770	31327	Oil Wrestler
621771	277634	Maisy
621771	382838	Margi Shadwick (1998-1999, 20
621772	311293	
621773	174155	Poupoune blonde
621773	407345	Jacinthe
621774	165558	Elsbeth Conway
621774	165561	Elsbeth Conway
621775	342647	Hitchhiker
621776	35770	Herself
621777	242790	Little Girl
621778	194525	Student
621779	32585	Contestant Family Member
621780	92244	Baby Patience Morgan
621780	301611	Jill Decatur
621781	109608	Hildy
621781	137223	Black Boys
621781	177369	Street Scum
621781	206447	Theresa
621781	222632	Emma
621781	272026	Young Woman At Fundraiser
621781	335799	Jacqui
621781	378823	
621781	399423	Billie Young (1984-1985)
621782	12217	Alison The Fact Checker
621783	189248	Kid #1
621784	141662	Marathon Official
621785	16025	
621785	49651	
621785	50613	First Child
621785	55569	The Little Girl, Lillie Dryse
621785	61278	
621785	88000	
621785	96877	
621785	157858	
621785	162441	Second Child
621785	257851	The Baby
621785	311293	
621785	323766	
621785	332782	
621786	20625	Extra
621786	326814	Soda Fountain Girl
621787	280322	Herself
621789	383637	Kate
621790	327307	Amy
621791	113985	DSI Technician
621791	127235	Ellie West
621791	196084	Judge Dunbar
621791	210881	Nurse
621791	212025	Communications Center technic
621791	300180	Jail Matron
621792	116796	Teresa Shea
621793	244364	Miss Miller
621794	42768	Mary
621794	392019	Pansy Potter (young)
621794	392483	Helen
621794	407838	Debbie Bowen (1981-1982)
621795	129762	Gnome Maiden
621796	139567	Mavis
621796	388362	Audrey Pfeiffer (1977-1980)
621797	397617	Virginia
621797	399947	Teri Martin (2003-present)
621798	307913	Band member
621799	201311	Elaine Crowler
621799	382154	Tasha Haskell
621800	307881	Kevin's Assistant
621801	35770	Herself
621802	16921	Backup Singer
621802	158420	Lucille Gagnon
621802	305867	
621803	63205	Sara Elliot
621804	124542	Maureen
621804	374649	Linda, Claude's Assistant
621805	18345	(herself)
621806	138312	Phone Bitch
621807	221950	
621808	213407	
621808	215221	
621808	217562	
621808	223622	
621808	234410	
621808	319509	
621808	351782	
621809	3642	Herself
621810	384978	Herself (1996- )
621811	143382	Celeste Valdane
621811	364250	Mrs. Schuyler
621812	166144	Bilda
621812	316845	
621812	383649	Michelle de France
621813	94317	Student
621814	222016	
621815	167172	Lila
621815	280523	La femme de chambre de Lisa
621816	76217	Pregnant Passenger
621816	192248	Monica
621816	253345	Barbara Scott
621816	253361	Bartender
621816	289650	Hooker
621817	939	Unni
621818	261461	
621819	92095	Nurse #1 (Hospital)
621819	255629	Zieke Moeder
621820	44561	Female Guard
621820	66904	
621821	70759	Doro
621821	129677	Judith
621821	147141	Ruth Berg
621821	173699	Franziska Spör
621821	178636	Karin
621821	178724	Kommissarin
621821	187567	
621821	218989	Herself - Interviewee
621821	223493	Zahnärztin
621821	225157	
621821	225258	Rebecca
621821	236837	Charlotte
621821	259527	Irene Porst
621821	262256	Katharina Scholle
621821	292100	
621821	312875	Hilli Färber
621821	313792	Performer
621821	325330	Herself
621821	325383	Lena Odenthal
621821	325399	Lena Odenthal
621821	325502	Kriminalhauptkommissarin Lena
621821	325517	Lena Odenthal
621821	325522	Kriminalhauptkommissarin Lena
621821	325523	Lena Odenthal
621821	325547	Kriminalhauptkommissarin Lena
621821	325549	Lena Odenthal
621821	325557	Lena Odenthal
621821	325563	Kriminalhauptkommissarin Lena
621821	325595	Kriminalhauptkommissarin Lena
621821	325602	Kriminalhauptkommissarin Lena
621821	325605	Lena Odenthal
621821	325611	Lena Odenthal
621821	325633	Hauptkommissarin Lena Odentha
621821	325639	Lena Odenthal
621821	325642	Lena Odenthal
621821	325643	Lena Odenthal
621821	325647	Lena Odenthal
621821	325672	Lena Odenthal
621821	325674	Kriminalhaupkommissarin Lena 
621821	325679	Kriminalhauptkommissarin Lena
621821	325697	Lena Odenthal
621821	325707	Kriminalhauptkommissarin Lena
621821	325715	Lena Odenthal
621821	325746	Kriminalhauptkommissarin Lena
621821	325760	Kriminalhauptkommissarin Lena
621821	325766	Kriminalhauptkommissarin Lena
621821	325789	Kriminalhauptkommissarin Lena
621821	325794	Kommissarin Lena Odenthal
621821	325815	Kriminalhauptkommissarin Lena
621821	325821	Kriminalhauptkommissarin Lena
621821	325822	Lena Odenthal
621821	325830	Lena Odenthal
621821	325874	Kriminalhauptkommissarin Lena
621821	325876	Kriminalhauptkommissarin Lena
621821	347789	Christa
621821	352067	Isabelle Becker
621821	386976	Franka Sandhofe
621821	390165	
621822	219796	Checkpoint Officer
621823	108087	Dancer
621823	129439	Choreographer
621823	151126	Miss Pain
621823	202195	Hooker
621823	300180	Other Audition Dancer
621823	310726	Mrs. McMahon
621824	360149	Marquis de Sade girl #5
621825	1488	Herself: Winner, Best 30 minu
621826	198567	Woman in yellow
621827	11425	Claude
621827	32682	Martha Taverner
621827	45609	Kate
621827	113489	Jeopardy Contestant
621827	131665	M.I.T. Student
621827	214267	Tuey Stites
621827	255696	Eve
621827	297937	Doris
621827	314106	Carla
621827	330410	Lulu
621827	334154	Lydia Mertz
621827	374616	
621828	171351	Audrey
621829	79844	Woman at Club
621830	274805	Mrs. Matthews
621831	120984	Conductrice Autsin
621832	408102	Connie Charm
621833	138778	Lauren
621833	310515	Randi
621834	190854	Lillian
621834	330590	Lillian
621835	162082	
621836	89957	Alice
621837	59564	Anny Spettigue
621837	121038	Sigrid
621837	134848	
621837	198424	Nicky
621837	226199	
621837	325453	Gerdie
621837	334508	
621837	365572	
621837	367237	
621837	375529	Siggi
621837	388297	Bärbel
621837	389359	Hildegard (1992, 1993)
621837	409611	Miriam Hagenbeck
621838	269503	Doucheuse thalasso
621839	65093	Claire
621839	84611	
621839	133067	Diane de Poitiers
621839	149211	Solange
621839	167205	Solange Dandillot
621839	248895	Clotilde Dupuy
621839	268530	La mère
621839	325082	Elmire
621839	345245	Anita Dennis
621839	345422	Nathalie Besson
621839	346586	Missia
621839	351787	Hélène Morel
621839	377980	Madame De Polignac
621839	381520	Lauriane de Beuvre
621839	382219	Alice
621839	388633	Clarisse
621839	389234	Mireille (2003-)
621839	401982	Christine Gaillard
621839	403351	Marie de Gonzague
621839	408651	Charlotte
621839	408885	Me Lerminier
621839	409457	(1986)
621839	410309	
621840	5387	Distraught Woman
621841	128530	Bud's Secretary
621842	333915	Registry Attendant #1
621843	349242	Herself
621844	316111	Nurse
621845	14144	
621845	17695	Anne Shirley
621845	17696	Anne Shirley Blythe
621845	17697	Anne Shirley
621845	26803	Becky
621845	45590	Margaret
621845	58811	Louise
621845	59828	Gloria
621845	63002	Meg Davenport
621845	65179	
621845	74219	Peggy Ann Bradnick
621845	81898	Shelley McBride
621845	117546	Lena
621845	147206	Cathy Yarrow
621845	159708	Rachel Brown
621845	166663	Jennifer
621845	192589	Narrator
621845	201311	Joanie Wells
621845	207866	Laura
621845	236959	Clara
621845	239861	Sal
621845	242504	
621845	257204	Ella Guthrie
621845	275360	Lisa/Cheryl
621845	281143	Juliet
621845	292034	Dana Sherman
621845	297770	
621845	301933	Jane Coslaw
621845	302362	Jenny Colleran
621845	308026	Kate
621845	312711	Anna Mae Morgan
621845	315484	Kate Harrington
621845	328289	Micheline Dushane
621845	333287	Irene
621845	346139	Rosetta Basilio
621845	362307	Cousin Helen
621845	362980	Kathleen
621845	381432	Lucy Baxter (1980-1981)
621845	386662	Didi Crane
621845	390251	Co host (season 3 only)
621845	397123	Jenny
621845	404635	Kate Benedict
621846	69444	Karen
621846	154893	Sister Anthony
621846	221324	Becky Knotts
621846	347746	Mrs. Rudd
621846	383123	Trivia Team Member
621846	387318	Gayle
621847	389786	Cecília
621847	396722	Lurdes
621847	402582	
621847	403733	Noêmia
621847	408727	
621847	409024	
621848	154504	Circus cashier
621849	101163	Odette
621850	121663	
621850	282688	Lady in Waiting
621851	52907	Fleur
621852	328301	Doris
621853	56750	Indian girl
621854	122214	Sorority Girl
621855	290162	Goria
621856	311133	Teenage girl
621857	115752	
621857	222033	
621858	281254	Spinning Instructor
621859	216944	
621859	343362	
621860	232380	Law Office Secretary
621861	141417	Jerrine
621862	135967	Photographer
621862	190171	Reporter
621863	90317	Receptionist
621864	34402	Magdalena
621864	72553	Moren til Jan
621864	136630	The old Marie Hamsun
621864	168523	Gunhild
621864	178434	Kone
621864	196830	
621864	244068	Moren
621864	293841	Første kontordame
621864	304182	Britt Hagen
621864	357807	Kristine
621864	388554	Esther Gabrielsen
621864	390848	Marie Hamsun - den eldre
621864	395181	Betty
621864	395375	Fru Kristiansen
621865	37648	Herself
621865	257616	Herself
621865	257653	Herself (Miss August)
621865	257654	Herself
621865	257816	Miss April 1995
621865	274148	Herself
621865	276845	MoCap Actress
621865	306223	Rollerblader with Dog
621865	361853	Herself
621865	387277	Herself (Team Smirnoff Ice Pl
621866	349453	Woman in Bar
621867	178612	
621867	227494	Dortje
621868	170035	
621869	7217	Helena
621869	147573	Kucerová, Emca
621869	198374	
621869	312414	Helena Vachová
621869	344352	
621870	10870	Hamillicar's hostess
621871	90316	Body #1
621872	218704	Girl
621872	237618	Little Girl With Kitten
621873	242939	Hanna
621873	323586	Party Guest
621874	156524	Actress
621875	14620	
621876	311975	Missy Berryman
621877	11382	Mrs. Colquhoun
621877	33860	Mrs. Scott Winthrop
621877	52483	Mrs. Lescott
621877	125847	Undetermined Role
621877	128616	Lucille
621877	129537	Her Mother
621877	143437	
621877	146144	Miss Robinson
621877	190988	Miss Wilkins
621877	195074	
621877	203189	Mother Delorme
621877	247100	Mrs. Colquhuon
621877	350016	Marcelle
621878	1699	Herself
621878	5760	Vocals
621878	101269	Vocals
621878	101270	Herself
621878	101271	Vocals
621878	101273	Vocals
621878	116411	Herself
621878	373608	Rose
621879	260112	
621879	300062	Fat Girl
621879	326407	
621880	60895	La femme de Roger
621881	181071	Herself
621882	375653	
621883	401355	Katja
621884	306647	
621885	86595	
621885	291594	
621886	49133	Nana
621886	94845	Lauretta
621886	225948	
621886	263938	
621886	374840	
621887	261593	
621888	256088	Filipetta
621889	186866	
621890	95592	
621891	89785	Lucy
621892	169743	
621893	55996	Amiga Colegio
621894	379566	Mónica (1999)
621894	385353	Tertuliana (2003-)
621894	393036	Herself (2003)
621895	82777	
621896	60860	
621897	352871	
621898	2839	
621898	4656	(segment "Pacto, O")
621898	20397	
621898	32316	
621898	33150	
621898	57325	
621898	70053	Joana...segment "Arroz com fe
621898	70487	Rita
621898	76064	
621898	97647	
621898	98757	Joana (segment "O Artesanato 
621898	99664	(segment "O Filho da Televisã
621898	103748	Ana Almeida
621898	117321	
621898	123267	
621898	124517	
621898	148479	Heloisa
621898	199126	Sofara
621898	205814	
621898	234616	Dolores Duran
621898	234631	
621898	246971	
621898	269534	Iracema
621898	334575	Barbara
621898	341142	(segment "A Construção - Amor
621898	344703	
621898	344782	Lúcia
621898	344804	
621898	349723	
621898	353632	Livia
621898	379450	Dinorá
621898	381144	
621898	381198	Fausta
621898	381591	
621898	382776	Virgínia Sampaio
621898	382883	Sofia
621898	383247	Joana Duarte
621898	384480	
621898	384991	Melissa
621898	385023	Lúcia Gouveia
621898	385629	Yolanda Pratini
621898	386115	
621898	387424	Natália
621898	387838	Olga Norman
621898	387932	Helô
621898	388591	Salustiana Tibiriçá
621898	389587	Maria Cecília
621898	390054	Vânia
621898	393793	
621898	394872	Caridad
621898	397522	Margot
621898	399147	
621898	400597	Marina
621898	400673	Marli
621898	400765	Paula
621898	401944	Rita
621898	402456	Eugênia Carlota
621898	402928	Yara
621898	403618	Telma Rezende
621898	404803	Hilda
621898	404888	Semíramis Torgano
621898	407639	
621898	408212	Perpétua
621898	409410	
621898	409814	Carmen Maura de Araujo Goes R
621898	409914	Catarina
621898	410053	
621898	412270	Jeane
621898	412306	A Desconhecida
621899	203237	
621900	349257	Olga
621900	380140	Jinni
621901	23704	Joy
621901	110700	Francia lány
621901	152734	Queen Anne
621901	178902	Ms. Chamberpot
621901	260326	
621902	222796	Teacher
621902	282722	Cocktail Waitress
621902	299954	Nurse
621903	215686	Miss Puerto Rico
621904	40864	Nick Cave Fan
621904	107503	Tracey
621904	358654	Liz
621905	349374	
621906	72774	Empleada Domestica
621907	303455	Nurse
621908	59826	Young Anna in Photograph
621909	359520	Herself (wife of Peter Fonda)
621910	846	#93 Celebrity Rejections: All
621910	3767	Herself
621910	7583	Herself
621910	7592	Herself
621910	7809	Linda Sanclair
621910	13921	Herself
621910	20135	Lover (segment "Liebestod")
621910	20528	Linda
621910	28708	Jenna
621910	38365	Herself
621910	42677	Beth
621910	46287	Jimmy Dade
621910	52894	Freda Lopez
621910	64813	Marybeth Cogan
621910	82460	Elizabeth
621910	88766	Nancy Lee Nicholson
621910	93957	Annabella
621910	113491	Ashley
621910	118948	Mary Wollstonecraft Godwin/Sh
621910	123559	Historian
621910	130125	Grace Hamilton
621910	130130	Grace Hamilton
621910	132454	Kelly Porter
621910	158232	Anne
621910	162389	Chris Sugita
621910	163229	Yvonne Biasi
621910	164572	Melanie Ralston
621910	164573	Herself
621910	164631	Louise Bradshaw
621910	178114	Jessica
621910	184093	Kelly Scott
621910	186759	Claudi
621910	191701	Lisa Conrad
621910	218180	Dr. Julie McElroy
621910	220978	Irene
621910	245182	Jo
621910	249494	Bit Part
621910	258883	Maggie Hayward/Claudia Anne J
621910	279456	Eleanor Lightbody
621910	282335	Myra
621910	289396	Mandy Rice-Davies
621910	296990	Melaina Buller
621910	302221	Sarah Mitchell
621910	302777	Allison 'Allie' Jones
621910	302789	Janet Livermore
621910	306257	Snow Queen
621910	309829	Adalyne Dunfries
621910	316410	Amy Hempel
621910	331630	Herself
621910	336647	Lynn Marie Faulkner
621910	364428	Val Bazinni
621910	372134	Peggy
621910	384157	Stephanie Furst (2002)
621911	67152	Irma Brentwood
621911	84830	
621911	94065	Gladys Saunders
621911	133602	
621911	171253	
621911	207198	
621911	208700	
621912	140953	Hip-hop dancer
621913	958	Herself
621913	2262	Herself - Co-host
621913	2525	Herself - Presenter
621913	2560	Herself - Best Actress Winner
621913	2613	Herself - Co-host
621913	2759	Herself - Best Actress Winner
621913	2768	Herself - Presenter: Best Act
621913	2785	Herself - accepting Best Acto
621913	2815	Herself - Co-host
621913	2894	Herself
621913	3040	Herself - Presenter: Honorary
621913	3077	Herself
621913	3821	Herself
621913	5917	Herself
621913	7584	Herself
621913	8366	Dr. Martha Livingston
621913	13911	Host
621913	13920	Herself
621913	13921	Herself
621913	14100	Herself
621913	18569	Ellen Gordon
621913	29669	Barbarella
621913	29963	Corie Bratter
621913	38365	Herself
621913	41699	The Night
621913	52361	Visitors from New York - Hann
621913	56698	Catherine 'Cat' Ballou
621913	57644	Herself
621913	58022	Herself
621913	59366	Kathleen Barclay
621913	59826	Anna Reeves
621913	62053	Kimberly Wells
621913	64326	Herself
621913	68048	Ella Connors
621913	68162	Sally Hyde
621913	68762	Herself
621913	68779	Herself - Narrator
621913	75004	Herself
621913	75630	Renee Saccard
621913	81490	Herself
621913	87779	Herself
621913	89635	Nora Helmer
621913	89686	Gertie Nevels
621913	98922	Alice 'Hallie' Martin
621913	106765	Herself
621913	110182	Herself
621913	113055	Herself
621913	116592	Herself
621913	122364	Melinda
621913	146433	Contessa Frederica (segment "
621913	153151	Julie Ann Warren
621913	154396	
621913	158145	Christine Bonner
621913	161618	Herself
621913	165451	Herself
621913	170366	Lillian Hellman
621913	176379	Actress in Clip from Barefoot
621913	178813	Bree Daniel
621913	178814	Herself
621913	186667	Herself
621913	187908	Jane Fonda
621913	188569	Narrator
621913	190429	Herself
621913	190887	
621913	190912	Wanda
621913	196576	Herself
621913	196592	Herself
621913	201780	Herself
621913	206130	Herself
621913	218403	Viola Fields
621913	218547	Herself
621913	219371	Alex Sternbergen
621913	230859	Herself
621913	232017	Herself
621913	232861	Judy Bernly
621913	233820	Herself
621913	239636	Harriet Winslow
621913	240180	Herself - Hostess
621913	240506	Chelsea Thayer Wayne
621913	243950	Herself
621913	253153	Isabel Haverstick
621913	253485	Herself
621913	253486	Herself
621913	253487	Herself
621913	253888	Herself
621913	262712	Herself
621913	263803	Herself
621913	276491	
621913	280729	Lee Winters
621913	281315	Sophie
621913	291971	Herself
621913	303574	Herself
621913	307137	Herself
621913	311771	Herself
621913	313141	Iris King
621913	313752	
621913	313846	Herself
621913	314279	Iris Caine
621913	314405	Herself
621913	314406	Herself
621913	316850	Herself
621913	316990	
621913	319019	Eileen Tyler
621913	319721	
621913	324036	June Ryder
621913	327267	Herself
621913	330218	Gloria
621913	335484	Herself
621913	337005	Her, Suzanne
621913	358583	Kitty Twist
621913	360377	Herself - Host
621913	368348	Herself
621913	368349	Herself
621913	368540	Herself
621913	371805	Herself
621913	378778	Herself (February 9, 2001)
621913	383802	Narrator
621913	407822	Herself
621915	124550	
621916	199467	
621917	13921	Herself
621917	38365	Herself
621917	68762	Herself
621917	263803	Herself
621918	216348	
621919	324618	
621920	288889	Une infirmière
621921	280129	Belén
621922	222854	
621922	409957	Lili (1999)
621923	258118	Une femme du village
621924	90074	
621924	409093	
621925	21201	Guest in the party
621926	231779	Radio Announcer
621927	237291	
621928	237291	
621929	129019	Elena
621930	280803	Countess of Marstrand
621931	155852	Herself
621931	257867	Herself
621931	311407	Amanda Case
621932	154271	Frosh Girl
621933	48156	Danseres
621934	60342	Jeannie Davis
621935	254248	Mrs. Pett
621936	320797	
621937	2691	Clara Masuhr
621937	281665	Frau Bartsch
621937	391604	Regine Seifert (1997-1998)
621938	346516	Karine
621939	130830	Lotus
621940	255872	
621941	20625	Featured player
621941	130830	Su Lan
621941	142516	Madame Loo
621941	169884	Mrs. Pao
621941	206856	Secretary
621941	247565	
621941	283712	Socialite
621941	307368	Maxine Chen, Shop Owner
621941	342605	Mrs. King
621942	102674	Cindy
621943	317340	May Kim
621944	13953	Girl at Daisy
621945	216664	
621946	149031	
621946	321475	
621947	61042	
621948	212511	Baby
621949	371739	
621950	358235	Ling Ling
621951	395375	Yumis mor
621952	94436	
621953	207574	Peach
621954	140295	La gardienne
621955	204218	Sherman Child #2
621956	85706	
621957	351289	Lucia
621958	30892	
621958	356035	
621958	377617	
621959	2990	Camila
621959	225010	Verónica Soriano
621959	260552	
621959	338948	Laura Avellaneda
621959	380065	Melissa Escobar
621959	380842	Andrea Rosales (La Guapa)
621959	390404	Paulina
621959	396852	Caridad 'Chachi' Montenegro
621959	398469	Charito
621959	402059	Vanessa
621959	402404	Jovita
621959	403752	Lucía 'Lucy' de Fátima Pérez 
621959	409719	Verónica Soriano
621960	101181	La voisine
621961	5322	
621962	55154	Custódia
621962	97812	Coffee woman
621962	237217	
621962	344802	Dona Jacira
621962	382676	Vanusa
621963	35492	
621964	343227	Sharice Black
621966	52072	Marina
621966	222149	
621966	276572	
621966	302302	
621966	388998	Celeste
621966	397553	
621966	408414	Melica
621966	412255	Lola
621967	273724	
621968	165737	
621969	328196	
621970	265702	
621971	169556	
621972	411802	Colleen Cecile Carlton #5 (20
621973	186017	Esparanza's Mother
621974	339674	
621975	165013	
621976	159038	Herself
621977	250430	Otalia
621978	165737	
621979	284580	Leonilde
621980	100723	
621981	385824	Valerie Grant #2 (1977-1978)
621982	104082	
621982	116426	
621982	286573	
621982	339996	
621982	350140	
621983	286416	
621984	27405	
621984	28750	Helen
621984	76801	
621984	106480	Susila
621984	123523	
621984	231589	
621984	267171	
621984	361136	Sujata Rajasuriya, the widow
621984	370277	Sawimen Kabalana
621985	264941	Petite Indira
621986	239389	
621987	8431	
621987	8474	
621987	8476	Aleka
621987	18905	
621987	19020	
621987	20120	
621987	23154	
621987	24512	
621987	25273	
621987	82191	
621987	85647	
621987	86074	
621987	86603	
621987	87130	Katerina
621987	95769	
621987	100598	
621987	101558	
621987	102169	
621987	106469	
621987	108640	Elenitsa
621987	125696	
621987	174583	
621987	178752	
621987	179740	
621987	180294	Julia
621987	182378	
621987	198113	
621987	224859	
621987	237107	Anna
621987	240080	Kalliopi
621987	243441	
621987	246617	
621987	246843	Anna
621987	252700	
621987	255786	
621987	256407	
621987	258926	
621987	265649	
621987	316458	Dora Galati
621987	327119	
621987	356095	
621987	356970	
621987	372956	
621987	380818	
621988	99356	
621989	209007	
621990	25516	Julia Lobos
621990	57870	Dolores
621990	146544	Inés/Inés Carreño
621990	203475	Angela Ungari
621990	328922	Sofia
621990	378658	Sandra Balzi de Castro
621990	379879	Isabel Mansilla
621990	383291	Griselda (2000-2001)
621990	386127	Grace Tomassini
621990	401903	Laura
621990	403366	Mónica de Marco
621991	19250	
621991	338603	
621991	341371	
621991	376802	
621992	400791	
621993	13047	
621994	99356	
621995	386093	Marta
621996	88011	
621996	319519	
621997	55928	Doll
621998	401939	La paysanne
621999	10685	Lorina
622000	119821	Gertrude 'Trudy' Dix/Christin
622000	123325	Howie's girl
622000	123703	Jelly's Girl
622000	228447	Girl in brothel
622000	297288	Hatcheck Girl
622000	326833	Kim
622000	363969	Alice Leasen
622001	28340	Claudine
622001	101819	Carole Lambert
622001	246017	Marite
622001	249713	Nathalie
622001	300676	Isabelle
622001	327892	Justine
622001	345312	Herself
622001	383535	Pauline
622001	390470	Françoise
622001	398786	Sarah
622001	398787	Andrée de Maubreuil
622002	61856	Blanca
622003	266403	Juré 2
622004	5186	Brigitte Fontaine
622004	100658	
622004	337839	
622004	376999	Viviane
622004	400442	Herself (3rd part)
622005	127094	Amanda Hopper
622005	405431	Deanna Patterson
622006	195163	
622007	3856	Herself
622008	72367	Serveuse du Hulabaloo
622008	195137	Reporter
622008	378680	Claudia D'Annunzio
622008	380863	Émerise Villeneuve
622008	404018	Sophie Brissette
622008	409677	Ginette Dubuc (1996)
622008	410252	Virginie Boivin
622009	169815	Herself/interviewee
622009	246031	Backing vocals
622010	48640	Placida
622010	85624	
622010	98640	Efisia
622010	156911	(segment "Medico e fidanzata"
622010	165307	
622010	206955	
622010	269075	Lona Streiber
622010	289478	
622010	295146	
622010	316804	(segment "Sera come le altre,
622010	336613	
622010	344446	
622011	77359	Julie
622012	317245	Mama Ceece
622013	107529	
622014	63552	Une épargnante
622014	377896	Une invitée de Lacassagne
622015	80426	Fran
622015	386599	Faith Walker (2001-)
622016	199768	Nerissa/Ninon
622016	367838	Moira Lamson
622017	258330	Berthe
622018	318121	
622018	396175	Mariette
622019	120970	
622020	58734	La script
622020	96066	Un amie d'Odette
622021	179347	
622022	324080	Herself
622023	15105	Mme Coyier
622023	23782	Hélène
622023	37781	Head Mistress
622023	44468	Dame
622023	51392	
622023	64218	
622023	68401	
622023	71734	Singer-Actress
622023	73638	
622023	77178	Herself
622023	77421	Parente Labadens
622023	83257	La bonne de Léopoldine
622023	100021	Charlotte Jacquet
622023	103203	L'habituée enthousiaste
622023	132991	Une locataire
622023	146427	La ménagère
622023	156321	Mme Colin
622023	170468	
622023	183445	
622023	189957	Buxon date
622023	205735	Joséphine
622023	222797	Singer at Wake
622023	245384	Ellen Larabee
622023	272320	
622023	286515	Marthe
622023	304058	Caroline
622023	338572	L'hôtelière
622023	347747	Velda
622023	354935	
622023	377238	Badaud #3
622023	381683	
622023	384287	La fleuriste
622023	384744	Hortense
622023	399106	
622023	401972	Françoise
622023	403178	
622023	408922	Mathilde
622023	410143	Mme Varthon
622024	347117	Muriel
622025	302841	Gloria Henderson
622025	412269	Le commissaire
622026	83116	Fifi
622026	195952	
622026	363222	
622026	368933	Carol, the tempermental movie
622027	143485	Carla
622028	2161	Diana Curtiz
622028	44863	Jenny
622028	56943	Lisa
622028	95045	Elena
622028	160835	Juliet
622028	181275	Susie S.
622028	210520	Car Commercial P.A.
622028	258394	Jane
622028	281347	Amy
622028	318464	Dedra
622028	319404	Vicki
622029	227342	Lillian Weiss
622030	1398	Herself
622030	2750	Herself - Presenter: Best Vis
622030	7498	Susan Darell
622030	11182	Herself
622030	35632	Susan Spencer
622030	37511	Eve Graham
622030	40952	Juliette 'Julie' Evans
622030	44465	Christabel Caine
622030	50124	Herself
622030	53640	Herself
622030	56105	Francesca Bruni
622030	57766	Second Mrs. De Winter
622030	58171	Françoise Ferrand
622030	69850	Tessa Sanger
622030	77476	Lady Alyce Marshmorton
622030	78871	Margaret Drake
622030	79105	Mrs. Alice Grey
622030	81515	Fiametta/Bartolomea/Ginevra/I
622030	94967	Ann Porter
622030	100075	Johanna Augusta Franziska
622030	115538	Susan Lane, Brady's Fiance/Sa
622030	119848	Dona St. Columb
622030	120645	Susan
622030	131484	Queen Ludmilla
622030	135939	Emaline 'Emmy' Stebbins
622030	147785	Herself
622030	147876	Herself
622030	147922	Herself
622030	162838	Mavis Norman
622030	163920	Lady Rowena
622030	163961	Ivy Lexton
622030	165444	Jane Eyre
622030	178132	Jane Wharton
622030	188547	Lisa Berndl (misspelled Bernd
622030	190491	Hostess
622030	200900	Sheila Harrison
622030	203279	Eliza Allen
622030	203517	Doris King
622030	214124	Joan Stevens
622030	223018	Jean Clemens
622030	233791	Caroline 'Carrie' Rumsey
622030	238613	Herself
622030	268915	Charlotte Parratt
622030	273585	The Second Mrs. de Winter
622030	294577	Manina Stuart
622030	294692	Kendall Hale
622030	304278	Meg Lawrence
622030	308109	Jenny Carey
622030	320308	Lina McLaidlaw Aysgarth
622030	327831	Baby Warren
622030	330664	Prudence Cathaway
622030	331524	Hostess
622030	337483	Page
622030	347855	Anne Leslie
622030	348851	Grace St. George
622030	357083	Dr. Susan Hiller
622030	366767	Gwen Mayfield
622030	367919	Mrs. John Day (Peggy)
622030	372107	Trudy Olson
622030	372179	Diana (Dee Dee) Dillwood/Dott
622030	385296	Alexandra Markham
622030	404002	Paige Williams (1980)
622030	408365	Herself/panelist (1962-1965)
622031	25788	Nurse 2
622031	87672	
622031	307623	
622031	351551	
622031	387668	Jacinthe Labelle
622031	389304	Claire Brouillard
622031	404018	Sophie Marchand
622032	73727	
622032	282895	
622032	282896	
622033	84646	Livia
622034	268210	
622035	307949	Kira
622036	191625	Night Nurse #3
622036	387303	
622037	178080	
622038	37511	Miss Higgins
622038	157129	Mrs. Gunner
622038	163961	Lady Flora
622038	193295	Lady Wyndham
622038	194987	Mrs. Charles St. James
622038	318192	Mary's mother
622038	333319	Aunt Melinda
622039	128602	
622039	176847	Joseph's Mother
622040	153458	
622043	368036	Sally
622044	203927	Woman in Funeral 3
622045	53491	
622045	346139	Nurse
622046	58488	Model
622047	354002	
622048	82327	Joann Baker
622048	83558	Ava
622049	14471	Marie-Laure
622051	332962	Meisje
622052	252141	L'amoureuse
622052	380981	Julie St-Onge
622052	387668	Jessica Bergeron
622052	402761	Maria Lopez
622052	409677	Danseuse droguée (1997)
622053	396597	Nicole (segment "Monsieur seu
622055	93356	The girl
622056	7718	Spielplatz
622057	212157	Tiphanie Gallais
622057	258313	Fanny
622058	13103	
622058	14915	Grandmother (segment "Miracol
622058	15035	
622058	19322	Catou
622058	25122	
622058	43679	Madeleine Blaise
622058	44970	Mme Follenvie
622058	57397	La vieille bonne
622058	58222	
622058	58223	Rosalie
622058	58325	
622058	63693	
622058	67068	La concierge
622058	73185	Madame Horvais
622058	83229	Mme. Durban
622058	84084	La mère de Florence
622058	84188	La faiseuse de réussites
622058	84678	
622058	91453	La logeuse
622058	91972	Estelle
622058	94787	
622058	100170	
622058	100281	Mrs. Langlois
622058	100307	
622058	101684	Une dame de la Cour
622058	101950	Une mère
622058	103207	Madame Bizet
622058	110053	Madame Carbonnel
622058	113252	Madame Jambage
622058	119048	La Villonne
622058	124147	
622058	133081	Mélanie
622058	148769	
622058	152373	L'aubergiste
622058	158845	Fine
622058	166870	Mme Michaud
622058	167194	
622058	167631	
622058	169340	La vieille dame dans l'escali
622058	170419	La concierge
622058	170429	Concierge
622058	170471	La patronne de la confiserie
622058	197548	
622058	199333	La concierge de Le Noir
622058	199577	Angèle
622058	200935	Marie Tatin (l'épicière)
622058	201030	La chiromancienne
622058	202240	
622058	204648	La vendeuse à la toilette
622058	205736	Une commère
622058	211492	La logeuse
622058	211641	
622058	216233	La vieille dame sur le passag
622058	216235	La supérieure du couvent
622058	217638	
622058	217666	Estelle
622058	217671	
622058	217683	
622058	218331	Old lady
622058	219509	La concierge
622058	220473	Louise
622058	223174	
622058	243034	Pierre's Mother
622058	248032	La directrice de l'école
622058	249082	Mme Grillon, la concierge de 
622058	251301	
622058	254236	
622058	255299	La soeur de Le Cloaguen
622058	258278	
622058	260915	Mme Sabatier
622058	260939	La vieille
622058	261609	Mme Lidoux
622058	261806	
622058	261846	Mme Arduin
622058	262929	Marie
622058	262942	Mme Lurde
622058	268414	L'habilleuse
622058	271910	Pilar Doyamboru
622058	281580	La Fauchois
622058	294946	Maria
622058	307136	La grand-mère de Jean
622058	321800	Mariette
622058	327560	Antoinette
622058	336269	
622058	336547	La logeuse
622058	339539	La vieille dame
622058	345073	Madame Mouchu
622058	345100	Rose
622058	345465	Rosalie
622058	345512	
622058	346712	La grand' mère
622058	346765	La vieille
622058	349782	La mère Bienvenu
622058	351005	Madame Vachon
622058	352638	
622058	353821	La tante
622058	353890	Mme Lecocq
622058	357113	La vieille aubergiste
622058	357117	La mère Lampion
622058	376955	
622058	377948	Mme Dutain
622059	324502	Young Female Singer
622060	277737	Signora Ashmore
622061	268880	
622062	33663	
622062	54089	
622062	214851	
622062	268996	
622063	185711	Flamenco dancer
622063	324035	Spanish Girl
622065	47472	Celia
622066	29703	Blanche, la femme de Barbe-Bl
622066	338620	Annina
622067	96500	Istruttrice autodifesa
622069	21173	Barge Lady
622070	156584	Sabina
622071	67771	Marianne
622072	188453	Sammy
622073	284830	
622074	39937	
622074	57782	
622074	64023	
622074	75444	
622074	104057	Laura
622074	140564	
622074	189480	Elsa Daninsky
622074	226437	
622074	339180	
622074	351837	
622074	354344	
622074	376734	
622075	121908	
622076	252839	
622076	394016	Additional Voices
622076	394427	MSgt. Karen Joshua
622076	404879	
622076	408893	
622077	81652	Young Sarah
622079	206059	Musician
622080	158067	Herself (The Three Sisters)
622081	232246	Dee
622081	267213	Laurie Silver
622081	393586	Valerie Sweetzer
622081	401079	Shirley
622083	346801	Mme d'Artelles
622084	158067	Herself (The Three Sisters)
622085	17090	Carmencita
622085	23826	Rolande
622085	23835	Canina
622085	25119	Martha
622085	30549	Nicole
622085	30550	Nicole
622085	43673	Jacqueline Michaud
622085	57541	Mommina
622085	63681	Béatrice
622085	76128	Nicole
622085	80309	Catherine Muria
622085	87499	Pascaline Dorgeval
622085	88845	Andréa
622085	91911	Marceline Longuet
622085	111046	Ghislaine
622085	111111	Agnès
622085	113131	Madame Dupre
622085	132597	Huguette Pommier
622085	135326	Andromaque
622085	148702	Hélène
622085	155782	Mademoiselle Z.
622085	159017	Maggie
622085	198902	Lady Duncan
622085	201183	Mme Petiot
622085	201989	Mme Laville
622085	204124	La mère de Marcel
622085	205610	Pierrette
622085	205738	Martha Lévesque
622085	208832	Blanche
622085	212148	Fonsine
622085	216226	Mlle Waldor
622085	235714	Madeleine Pecqueur
622085	248900	Yvonne
622085	256872	Yvonne Lenfant
622085	268388	Céleste
622085	268882	
622085	274991	
622085	275110	Rita
622085	278502	Françoise de Saint-Géraud
622085	279065	Claire
622085	280413	Chipette
622085	285062	Daisy Bell
622085	291589	Lucienne
622085	294189	Odile
622085	338110	Lili
622085	340147	La femme d'Eric
622085	343579	Mme Crispin-Vautier
622085	345297	Andréa
622085	345381	L'amie de Socratès
622085	345470	Marie-Jo
622085	346730	Lola, la femme au chien
622085	353823	Sophie
622085	353863	Maryse
622085	375368	Madame Berger
622085	377618	Marinette
622085	383864	Charlotte
622085	384033	Marie Aldabran
622085	384746	Jane
622085	389145	Jenny Carruthers
622085	391479	Mme Florence
622085	409932	Yvonne Bouillette
622085	410139	Annette
622085	410141	Clara
622085	412268	Mme de la Pivardière (segment
622086	399813	Herself/co-host first part (1
622087	371374	Evelyn
622088	346611	
622089	305221	Waitress
622090	15128	
622090	71394	
622090	73164	
622090	82613	Maud de Rouvres
622090	229493	
622092	352930	Les grisettes
622093	83504	
622094	216737	Maid
622094	309812	Neighbor Lady
622095	353301	
622096	249760	Une Amie
622097	63865	
622098	135198	The Actress
622098	175523	Herself (Honoree)
622098	203516	Mrs. Macauley Jr
622098	253915	Narrator
622098	292263	Rose Raynor
622098	312774	Herself
622098	390922	Fanny Bowditch Holmes
622099	136073	Myrina
622100	249877	The Woman
622101	220461	
622101	399256	Allison Fonte
622102	263803	Herself
622103	284899	Funcionara Universidad
622104	400341	Herself (2003-)
622105	235670	Narrator
622106	96110	Michelet
622106	291580	
622106	377660	
622107	354368	Musiker (Italiener)
622108	60138	Herself
622109	146580	Gorda
622109	234310	Martita
622110	81694	Cocinera
622111	250993	
622112	193501	
622112	237912	La chanteuse au trapèze
622113	2252	(segment "Exclusion, L'")
622114	275304	
622115	23601	
622116	148466	
622117	202195	Hilda, 3 years old
622118	16315	La religieuse
622118	16613	La cousine Noémie
622118	16616	La directrice de la Croix-Rou
622118	23636	Madame Aurélie
622118	32280	La directrice
622118	33268	Mme. Moulin
622118	46961	Doña Mercedes
622118	55532	La vieille belle
622118	55533	
622118	59212	
622118	66747	
622118	73154	
622118	82640	
622118	85529	Madame Bucaille
622118	85534	La Princesse de Chalais
622118	88059	Mme Jarisse (de la Comédie Fr
622118	94535	La princesse de Blamont-Chauv
622118	101806	Madame de Saint-Leu
622118	111083	Madame Valin
622118	117941	La gouvernante
622118	124134	Grand-mère Léa
622118	132930	
622118	148654	Mme. Pescatore
622118	153839	L'infirmière
622118	156533	Mme Machefer
622118	158830	La princesse
622118	164199	
622118	170112	Une bourgeoise
622118	199583	
622118	200782	Madame de Roussière
622118	214185	
622118	252775	Herminie de Beaurenon
622118	258851	Madame Lepic
622118	259310	
622118	265216	Mère Geneviève
622118	265718	
622118	270312	Madame Bridau
622118	280768	
622118	282490	
622118	309748	La dame des invalides
622118	321826	Madame Berlioz
622118	327883	Mother
622118	346429	Alice
622119	2150	Big Ma
622119	359715	Face
622120	185151	Coworker
622120	327632	Bridesmaid
622120	371962	Serving Wench #2
622121	195341	Opheila
622122	104166	
622123	48778	
622124	309425	
622125	14649	
622126	166917	Herself
622127	44218	
622128	386212	Gina
622128	396651	
622129	12931	
622129	32316	
622129	99670	Aparecida
622129	133003	Zeca's Mother
622129	252594	
622129	269121	
622129	269167	
622129	380448	Berenice
622129	381263	Televina
622129	383130	Jessica
622129	383445	Sofia
622129	385001	
622129	387898	
622129	389789	
622129	390054	Matilde
622129	392956	
622129	397543	
622129	397550	Mercedes
622129	397804	
622129	400581	Dircília
622129	401460	
622129	402370	Júlia
622129	403025	
622129	403747	
622129	404014	Deolinda
622129	405989	
622129	409415	
622129	410287	Mariana
622130	115593	Transvestite #2
622131	26563	Maenad (chorus)
622132	57646	Herself
622132	105029	Herself
622132	153997	Marguerite (segment "Margueri
622132	175529	Herself
622132	183229	Odette, the Swan Queen
622132	191611	Herself
622132	205470	Herself
622132	236962	Sugar Plum Fairy
622132	281170	Juliet
622132	282592	Princess Odette/The Firebird/
622132	282985	Herself
622132	290568	Odile/Odette
622132	304780	Princess Aurora
622132	323880	Herself
622132	329560	Herself
622132	331593	Herself
622132	352696	Herself
622132	396444	Herself - hostess
622133	101219	La jeune fille de la gare
622133	377008	Estelle
622134	361538	Child
622135	220652	Maria's Mother
622135	391368	Mrs. Cerantonio
622136	369732	Moze
622137	96099	
622137	336563	
622138	48163	Neel Poot
622138	76726	Moeder van Flo, arts
622138	94095	Buurvrouw
622138	132799	Rosanne
622139	281511	Anna
622140	404834	
622140	409347	Lilith
622141	18207	Producer
622142	153688	
622143	29738	Rosina
622144	104096	
622144	247876	
622144	384002	Leda
622144	386730	Arlete
622144	396847	Donana
622144	401095	Tita
622144	404798	Irene
622144	410310	
622145	30513	
622145	71193	
622146	81421	
622147	198573	Une danseuse
622148	25960	Liza
622148	76447	
622148	156154	Moeder
622148	218858	Esther Larrabee
622148	242358	Annemarie
622148	247132	
622148	312014	
622148	393451	Wieske
622148	396460	Gravin van Nevele
622148	410401	Delphine
622149	96303	Pelusa
622149	145205	Sandra
622149	307195	
622149	378799	Karina
622149	382951	Maite
622149	384775	
622149	389780	Marina
622149	392818	Herself & others
622149	396830	
622149	401186	
622149	403651	
622149	405916	Carmen
622150	90525	Record client 1
622151	310042	
622151	380066	Chela
622151	382951	Dora
622151	383274	
622151	387083	Inés
622151	387904	Modesta
622151	397013	Tota
622151	401693	Maruca
622151	402350	Magdalena 'Magda'
622151	405816	Carolina
622151	409957	Amalia (1998)
622152	396533	Inger
622153	107672	
622154	24266	
622154	52079	Dorotea
622154	103759	Any
622154	116596	Ana
622154	126186	Carmela, prostituta de lujo
622154	221981	Camila
622154	257418	Vivi
622154	275273	
622154	353670	Ana Uranga
622154	383138	María
622154	386480	Gala
622154	403366	
622154	404270	Renata
622154	405789	Romina Muzzopappa
622154	409957	Clara Vázquez (1998-1999)
622155	17084	
622156	323501	Model #2
622157	33006	Geisha girl
622157	164446	Geisha Dancer
622158	38330	Nancy
622159	219796	Newscaster
622159	356472	The Media (Herself)
622160	280138	Herself - The Raveonettes
622161	268709	Court Lady
622162	84962	Aunt Ethel
622163	100087	Real Redhead
622164	264147	Charlotte
622165	362261	Maggie Fuller
622166	105211	Chicken shop girl
622167	288218	Noghre
622168	62015	Young Neng Yee
622169	61673	Evelyn Edwards
622170	218841	Debbie
622170	232305	Susanne Matthews
622170	243252	Monica
622171	377344	
622172	306042	Katrina Gibson
622173	195518	Woman in Yard
622173	365285	
622175	34911	
622175	183834	Party Guest
622176	34708	Denise Laroque
622176	240706	Katy
622176	241260	Girl at 'Way In'
622176	316057	Receptionist
622176	378629	Denise Laroque (Series 5-6) (
622176	381661	Various Roles (1975-1976)
622176	391061	Effie (1970)
622176	391618	Effie
622176	400023	Glenda
622179	1376	Elizabeth Robedaux
622179	12293	Agnes
622179	51482	Waitress
622179	72021	Elizabeth Vaughn
622179	136052	
622179	136972	Margaret Tolliver
622179	192001	Mary-Margaret Dutton
622179	240969	Elizabeth Robedaux
622179	243736	Nellie
622179	279532	Agnes Wood
622179	294508	
622179	358674	Lucy Bammer
622180	239034	Lady with Dog
622181	326083	Dave's Child
622182	192254	Salesgirl
622182	333237	
622183	75648	Claire's sister
622183	391251	Nurse
622184	44380	Seta
622184	70768	Volumina
622184	346598	
622185	53732	Large Girl
622185	61647	Sgt. Frazier
622185	72762	Delivery Girl
622185	87341	Hot Mary
622185	97161	
622185	105890	Nurse Merrin
622185	110180	Charlotte
622185	126755	Nurse
622185	127522	Myra
622185	134193	Bank teller
622185	185277	Mary
622185	223751	
622185	270628	Aunt
622185	297791	
622185	347746	
622185	379392	Nurse Coleman
622185	382300	Claire Ordway
622185	386650	Blanche
622185	392545	Paula
622185	402739	Jeannette
622186	136045	Carol
622187	19291	Housewife
622187	33624	Bonnie
622187	66042	Heavy Girl
622187	118564	Bartender
622187	153589	June Mayes
622187	304096	Fat girl in tearoom
622188	244034	The Science Fair Contestants 
622189	54101	
622189	82086	
622189	87081	
622189	100144	
622189	110423	
622189	269546	
622190	121947	
622190	135278	
622190	148583	
622190	170092	Pilar Archundia
622190	199010	
622190	200000	
622190	383273	Gaby
622190	385251	Isabel
622190	396898	Wilma
622190	404172	
622190	409782	
622191	2761	Herself
622191	3933	Witch Hazel
622191	7099	Rocket J. 'Rocky' Squirrel/ca
622191	8319	English dubbing voice
622191	8628	
622191	35607	Witch Hazel
622191	38521	Granny
622191	43617	
622191	44385	Autograph Woman
622191	47514	Miss Prissy, Hens
622191	47830	Witch Hazel
622191	48995	Granny
622191	49007	Granny
622191	49009	Witch Hazel
622191	49010	Clyde Rabbit/Mrs. Claus
622191	49013	Special Guest Voices
622191	49015	Granny/Goldimouse/Mrs. Sylves
622191	49019	Witch Hazel
622191	56768	
622191	64069	Lucifer
622191	73098	Mother
622191	76525	Various Characters
622191	76698	Granny
622191	76699	
622191	77968	Voice of Nit
622191	81189	Jenny
622191	81696	Shropshire Slasher's Mother
622191	89000	Various voices
622191	94572	Mrs. Featherby
622191	94776	Tom, Jerry
622191	107330	Hag
622191	109854	Cornbread
622191	109910	Mrs. Geef, Junior
622191	115572	Additional voices
622191	116045	Belle Chance
622191	116184	Roland's Mum
622191	116257	Tom's mistress, Witch
622191	118626	Milkmaid
622191	119780	
622191	120281	Clyde Rabbit/Martha Claus
622191	120808	Teacher, Karen, Additional Vo
622191	124162	Mona, Librarian
622191	126523	Knothead and Splinter
622191	139344	Mrs. Wolf
622191	140461	Granny
622191	140536	Roland's mom/Rattfink's mom
622191	142776	Deer
622191	146342	Granny
622191	148900	
622191	148907	Alice Crumden
622191	149863	Jane Kangaroo
622191	151485	Cindy Lou Who
622191	151486	
622191	154833	Additional Voices
622191	158885	
622191	167089	Granny
622191	185332	Granny
622191	186581	Edna, mother
622191	187497	Mama Brickolini/Polly Gone/Pa
622191	188445	Spike's wife, various kids
622191	191781	Aaron's Mother
622191	192098	Librarian
622191	194331	Granny
622191	194332	Granny
622191	194333	
622191	194334	Granny
622191	194335	Granny
622191	194336	Granny/Witch Hazel
622191	194338	Granny
622191	200346	Herself
622191	202948	Tanya Malichite
622191	212902	Witch Hazel (segment "Trick o
622191	215661	Bathsheba/Saturna
622191	216010	Ghost of Christmas Past
622191	216463	Alice
622191	220425	Woman
622191	220458	Matilda, Junior's Mistress
622191	222112	Grandmother Fa
622191	238501	Jerry, Fairy Godmouse
622191	253812	Woman
622191	253914	Mermaid/Squaw
622191	254568	Ralph//Reason
622191	256970	Granny, Spaghetti Bird
622191	258790	Pogo Possum/Mam'selle Hepziba
622191	265100	
622191	265101	Puppet
622191	268838	
622191	270260	Millicent
622191	273495	Narrator
622191	274271	Knothead and Splinter
622191	274272	Granny
622191	274543	Grandma
622191	278359	Nagaina the Cobra, wife of Na
622191	280172	Hospital P.A./Martha Wilbur/O
622191	284808	Marku Ponjoy, High Priestess 
622191	290951	Poor Old Witch
622191	291507	Duchess
622191	306102	Court Raven
622191	310130	Granny
622191	313318	Lolly
622191	315322	Cinderella
622191	316601	Granny
622191	317146	Jokey Smurf
622191	319380	Ma Beagle
622191	330718	Granny
622191	331986	Queen Tabitha
622191	335770	Various Characters
622191	339571	Hazel the Witch
622191	339821	Granny
622191	340559	Bathsheba/Saturna
622191	342343	
622191	342345	Granny
622191	347074	Old Lady
622191	347570	Woman at Pub
622191	350449	Joan
622191	358168	
622191	364002	Mackah
622191	364161	Wheezy/Toon Hag
622191	366732	Witch Hazel
622191	370870	
622191	379870	Mrs. Frumpington (1961)
622191	380235	Midnight, the cat/Old Grandie
622191	381069	Granny
622191	381548	
622191	382959	Various Characters
622191	382960	Granny, Witch Hazel
622191	382963	Various characters
622191	382964	Various Characters
622191	382966	Various Characters
622191	382988	Rocket 'Rocky' J. Squirrel/Na
622191	385427	
622191	386064	Bertha
622191	387066	Mrs. Featherby/Ma Beagle/Magi
622191	387069	Nell Fenwick
622191	388168	Broom Hilda/Oola/Hans/Fritz/S
622191	388366	
622191	388915	Additional Voices (1963-1966)
622191	389213	Voice
622191	389919	Ursula/Marigold
622191	390793	Grammi
622191	391261	Grandma (1980-1982)
622191	391984	Rocky
622191	392758	Rita
622191	393482	Additional Voices
622191	397490	Various Characters
622191	399997	Dorothy
622191	401486	Various characters
622191	402454	Additional Voices
622191	403489	Various Characters
622191	403603	Rocket J. Squirrel\\Natasha Fa
622191	405718	Jokey Smurf/Mother Nature
622191	406153	Aunt May Parker
622191	406990	
622191	407206	Granny
622191	407207	Various characters
622191	407963	Various characters
622191	407991	
622191	408443	Various Characters (1965-1972
622191	411392	Splinter/Knothead
622191	411728	
622192	189582	
622192	217799	Anna Ssemjonowa Islajewa
622193	235433	Viginia Caldwell
622194	271248	Rainbow Girl
622195	349	Waitress
622196	334336	Roger's Girlfriend
622197	55110	Witness for Peace
622198	40848	Mrs. Bradman
622198	166885	Rich Woman with Necklace at T
622198	186131	Doris
622198	203444	Cloris
622198	221255	Gladys Parker
622198	221297	Gladys, Housemaid
622198	252886	Penelope
622198	330664	Mae, singer
622198	354201	Nora
622198	363793	Gwennie (boarding house maid)
622199	256622	Pinafore company
622200	209242	Bikini Waitress
622200	218813	Beth Ann Eubanks
622200	304761	Rainer Krebs
622201	403805	Paula Stevens (2000)
622202	1599	Frau Holweg
622202	206090	Guard
622202	247490	Nurse
622202	304787	Ilse
622203	40675	Hilda Larson
622203	196910	Edith Bancroft
622203	331707	Jean
622204	95543	Cynthia/Wife #2
622204	124649	Donna
622205	239101	Samantha
622206	387247	Cassie Carpenter (1985-1986)
622207	8243	Jane
622208	214931	Staff Nurse
622209	40352	
622210	23927	Herself - Audience member
622210	160958	Schoolgirl
622210	270977	Bridesmaid
622210	282702	Presenter
622210	291494	Mrs. Scratchit
622210	305036	Bridesmaid
622210	314444	Alison Van Sant
622210	387889	Guest Presenter
622210	390253	Cookery Presenter (1990-1993)
622210	395764	Herself - Presenter (1993-199
622210	407507	Presenter
622210	408568	Herself
622211	154040	Lucy 18 Months
622212	409673	Host
622213	81260	Joan Tomlin, Newscaster
622213	311448	Julie Parker
622213	311537	Lois Scagliani
622214	137258	Female Agent
622215	79743	
622215	145775	
622215	221098	
622215	276200	
622216	26610	Margery the Receptionist
622216	92247	
622216	141807	Herself
622217	194405	Dice Girl
622219	240819	Frances
622220	265678	Young Jude
622221	317877	Rizzoli Book Buyer
622222	119436	Skipping Girl
622223	61713	Dorcas
622223	66131	Mrs. Geddes
622223	83980	Nurse
622223	136230	Sister Pam
622223	154280	Older Woman
622223	243213	Christophine the Cook
622223	297775	Isabel
622223	309542	G'ma T
622223	362341	Catherine Stewart
622223	395980	Sister Hope MacAulay
622224	86707	
622225	215691	Miss Kansas USA
622226	365926	Jessie Wilson
622227	154040	Lucy 18 Months
622228	337209	Jamie Godard
622229	5083	Woman
622229	7108	Lady Conyngham
622229	11582	Lady at the Theatre
622229	12239	Mrs. Marvin
622229	12764	Aunt Martha
622229	17543	Princess Sorokina
622229	17946	Mrs. Lydia Benton
622229	25479	Mrs. Vance
622229	26776	Mrs. Williams
622229	39216	
622229	40628	Mrs. Hartwell
622229	43376	Mrs. Middleton
622229	44464	Admirer at Club
622229	44490	The Duchess
622229	46076	Mrs. Forester
622229	47198	Lady Catherine Trehearne
622229	54451	Mrs. Steed
622229	55519	Aunt Catherine
622229	57260	Duchess of Churt
622229	58956	Mrs. Ingleside
622229	63941	Mrs. Halstead
622229	78017	Mrs. Fleming
622229	84936	Mrs. Hope
622229	88291	Mrs. Stokes
622229	92230	Dowager
622229	96670	Queen Mother Elena
622229	96801	Mrs. Benson
622229	103781	American Tourist
622229	105217	Miss Colvin
622229	105804	2nd Court Lady
622229	109057	Miss Van Campen
622229	109418	Mrs. Torrent
622229	115256	Sir Thomas' Wife
622229	115838	Grandmother
622229	128173	
622229	133663	Lady Leslie
622229	135412	Dinner Guest
622229	136284	Mrs. Breckenridge
622229	138686	Mrs. Travis
622229	143358	Ladu Wildering
622229	147511	Mrs. Pritchard Ames
622229	147665	Mrs. Gaynes in the Show
622229	151173	British society woman
622229	154623	Customer in flower shop
622229	154895	Mrs. Barrington
622229	159711	Lady Isabel
622229	163246	Mrs. Kimberly
622229	163961	Lady Crail
622229	165444	Mrs. Eshtor
622229	169906	
622229	171075	
622229	176321	Bit part
622229	178761	Mrs. Langton
622229	183330	Mrs. Anna Pryor
622229	183331	Mrs. Anna Pryor
622229	183358	Sister Rose
622229	183606	Lady Julia Medwin
622229	183792	Waring Cousin
622229	190206	Mrs. Saunders
622229	194892	Mrs. Hardy
622229	203468	Mrs. Gaynes
622229	208896	
622229	215334	Nun
622229	216234	Mlle. Baptiseme, Bishop's Sis
622229	219786	Mrs. Kelsey
622229	221001	Dowager
622229	227326	Felicia Damarche
622229	233044	Lady Lavenham, Indignant Woma
622229	235596	Mrs. Ralston
622229	236096	Mrs. Drake
622229	241433	Theater Patron
622229	241824	
622229	244357	Madame Gruen
622229	245504	Mrs. Stonewall
622229	245518	Gertrude Bishop
622229	246730	Mrs. Braithwaite
622229	248993	Lady Guest
622229	252886	Lady Clyffe-Pembrook
622229	255327	Lady Agatha
622229	264567	Mrs. Stanley
622229	270918	Woman in Opera Box
622229	275668	Lady Cavendish
622229	278854	Mrs. Jameson
622229	279687	Mrs. Teale
622229	285181	Mrs. Alderson
622229	292470	Mrs. Pierce
622229	298594	Mother Pettibone
622229	299452	Lady Heatherly
622229	300021	Mrs. Barnes
622229	301767	Lady Howard
622229	306488	Lady Worthing
622229	308592	Woman at Party
622229	309846	Mrs. Putnam
622229	312773	Cast of Play
622229	314486	Mrs. Tremaine
622229	315123	Art Patron
622229	315956	Grace Dean
622229	316907	Mrs. Anna Shenstone
622229	318922	Mrs. Randolph
622229	319147	Mrs. Cromwell
622229	327821	Mrs. Flanagan
622229	328529	Lady Margaret Carstairs
622229	329481	Mrs. Brock
622229	329616	Undetermined Role
622229	329903	Mrs. Wyatt
622229	330087	Mrs. Van Reichton
622229	330605	Lady Alice Crosby
622229	330664	Vicar's Wife
622229	331469	Mrs. Hansen
622229	331615	Mrs. Withers
622229	338045	Passenger Campbell Sits Next 
622229	342520	
622229	342910	Mrs. Devonshire
622229	343161	Dame Dunne Hartley
622229	350505	Mrs. Sedley
622229	360430	Mrs. Kortchagin
622229	360479	Mrs. Louise Sanders
622229	360805	Mrs. MacMonachie, Joyce's Vis
622229	362112	Senator's wife
622229	362894	Freddie's Mother, Fourth Auto
622229	363758	First Lady Disapproving of Fl
622229	364837	Lady Holloway
622229	367805	Gladys Bracken
622229	367857	Mrs. Stark
622229	367901	Ella Graham
622229	368315	Mrs. Johnstone
622229	372113	Kate Farley
622229	372116	Mrs. Bel-Goodie
622229	372145	Mrs. Anthony P. Kirby
622229	372179	Aunt Martha
622231	61562	
622231	61621	Governess
622231	75761	Phoebe Daws
622231	130060	Mrs. Darrington
622231	359400	Undetermined Role in Prologue
622231	376014	Madame Duval
622232	32643	Ursula Manning
622232	33643	Natalie de Mailliere
622232	33690	Susie
622232	44533	Eileen Dacres
622232	54640	Beryl Curtiss
622232	56148	Shirley Rainsford
622232	67854	Monica Bailey
622232	79922	
622232	109054	
622232	125817	Jr. Cmdr. Davis
622232	128834	Ann Arundel
622232	148215	Peggy Dobson
622232	193882	Marjorie Danns
622232	220885	Sally O'Connor
622232	238991	Lady Grey
622232	245659	
622232	354734	
622232	372635	Miss Crowther
622232	382200	Lady Constance
622233	240232	Patsy Gallagher
622233	257686	Maggie Rudden
622234	1923	Herself
622234	13954	Madge Grubb
622234	15929	Dr. Julianna Cox
622234	39412	Rinda Woolley
622234	49368	Mary
622234	77865	Mrs. Voss
622234	94197	Valeria
622234	103286	Brazen
622234	137521	Dr. Judith Mossman
622234	148594	Dr. Julianna Cox
622234	171190	Mary
622234	172703	Carrie Laughlin
622234	195479	Nerissa
622234	211838	Susan Metcalfe
622234	211840	Susan Metcalfe
622234	211843	Susan Metcalfe
622234	253059	Francene
622234	257686	Maggie Rudden
622234	265928	Dist. Atty. Rachel Simone
622234	279330	Helen
622234	313445	Ensign Ro Laren
622234	321468	Dawn Lockard
622234	368041	Dr. Lyla Garrity
622234	390771	Solita Carrera/Sonni Carrera 
622234	393665	Rory Hammett
622234	411384	Dr. Lyla Garrity
622235	407646	Journalist (1995-1996) (1998-
622236	88654	
622237	5885	Nurse
622237	11326	Hospital Nun/Sister
622237	26725	School Matron
622237	33227	Fat Lady
622237	64425	Rose Herbert
622237	165449	Lady Ingram
622237	185602	
622237	411300	Prison Officer Parsons (1975-
622238	230831	Jayne
622238	389500	Diana McCoy
622238	396181	40D (series 1)
622238	398981	Tilly Wilcox, maid (1982-1983
622238	400457	Astrid Lindstrom
622238	405024	Annie Dyer
622239	350506	Dancer: Slave Dance
622240	186713	Secretary
622241	220574	Polo player
622243	19557	Virgin
622243	367970	Goldwyn Girl
622244	227034	
622245	270977	Bridesmaid
622245	363675	Mrs. Ross (younger)
622245	363729	Child in final crowd scene
622246	6146	Eve #3
622246	266617	Janet (Lolita) Terhune
622247	100130	British Prisoner
622247	164505	Millie
622248	80398	Female officer
622249	153299	Mrs. Cruddas
622250	366981	Maryon Yorck
622251	117588	Boy
622252	147541	Katherine
622253	139551	Sadie Rawlins
622254	12319	Mother (Thelma Mikaele)
622255	80250	
622255	273702	Lola
622256	258502	
622259	21528	Cheryl
622259	122202	Trish
622260	95799	
622260	188113	
622260	200491	
622260	331715	Woman who pays rent with sex
622261	13311	
622261	13316	Herself
622261	25879	
622261	41076	Herself
622261	41486	Herself
622261	44473	
622261	52272	
622261	53130	
622261	56708	
622261	68172	
622261	81382	
622261	81391	
622261	87422	Private Detective
622261	91575	
622261	97505	
622261	121657	
622261	127821	Carol
622261	128729	
622261	128859	
622261	144899	
622261	158598	
622261	159939	
622261	175407	
622261	178086	
622261	183383	
622261	188066	
622261	194878	
622261	195641	
622261	196533	
622261	214109	
622261	253013	
622261	254796	
622261	260792	
622261	295668	
622261	304817	
622261	311430	Escort service receptionist
622261	321347	
622261	325262	
622261	331303	
622261	331726	
622261	336288	
622261	361597	
622261	362309	
622261	364060	April
622261	365870	
622261	367625	
622261	369475	
622262	406000	
622263	155187	
622263	168666	Secretaria Ministerio
622263	396925	Trinidad Santa Cruz
622263	398806	
622263	401634	
622263	403686	
622263	404074	
622264	340285	
622265	156739	Elise Christeiner
622267	184942	Oil Wrestler
622268	250922	
622269	100591	Alexa Stradik
622270	139655	Young Witch Maid
622270	160571	Shelly
622270	296657	Marcie
622270	368040	Nurse
622271	47355	Showgirl
622271	130055	Flora
622272	373551	
622273	147961	Ardoyne Resident
622273	365138	Ward nurse
622274	59317	Lisa
622274	75543	Eve
622274	190453	Witch Hazel
622275	390130	Dympna
622276	362578	
622277	72376	Dancing Girl in Bar
622278	93191	
622279	26134	Sondra
622279	199189	Angel
622280	36764	Terry
622280	80578	Laura
622280	161741	Dr. Susan Harris
622280	194122	Melissa Gaines
622280	195854	Model
622280	263446	Model
622280	312680	Tish Chambers
622280	363298	
622280	367980	Ahnjayla
622280	397077	Panelist
622280	402113	Model (1972-1977)
622281	274679	
622282	308382	Raider
622283	292597	Herself
622283	364147	Newscaster
622283	390336	Herself - Presenter (1983)
622283	393154	Newsreader (1973-1983)
622283	399317	Herself - Newsreader (1978-19
622283	400246	Herself (newsreader)(1991-199
622283	408481	Presenter (1984-1988)
622284	119803	Paris model
622285	65453	Debbie Laux
622285	110319	Mother of Baby
622286	380412	Anne, his mother
622287	241467	Bree Lindh
622288	17280	Old Woman (segment "Final Fli
622288	17281	Old Woman
622288	18030	Bar Girl
622288	107145	Mrs. Berman
622288	149109	Lulu
622288	163375	Maggie Shepard
622288	184543	Justine Welch
622288	189997	Betty
622288	197065	De-De
622288	206154	Kate Hatcher
622288	223858	Estelle Salsburg
622288	279137	Lady with Whip
622288	292018	Granny Upton
622288	318171	Leah
622289	81182	Herself (arrives in Indonesia
622289	214909	Herself
622289	230151	Herself (beside her husband)
622289	233307	Herself - when Gerald Becomes
622289	238613	Herself (with Gerald)
622289	310710	Herself (at helicopter with N
622290	118300	
622291	71687	Trixie
622291	191837	Candie
622291	390115	Herself
622291	403222	Regular Guest Star
622293	6888	Herself
622293	79861	Bettina
622293	88922	Susan Foreman
622293	88926	Susan
622293	88927	Susan Foreman (segment An Une
622293	88932	Herself
622293	88933	Herself ('Susan')
622293	92628	Susan Foreman
622293	133816	Albertine
622293	197775	Herself
622293	203381	Cindy
622293	216423	Jenny
622293	224927	Herself
622293	276253	Susan
622293	297106	Zorelle
622293	309555	Stella Grant
622293	315620	Herself
622293	385343	Jenny
622293	386587	Susan Foreman (1963-1964)
622294	33091	
622294	99224	
622294	215525	Second Maid
622295	196068	Clerk, Mount Sinai Hospital
622296	87388	
622296	232353	
622297	232281	Megan
622298	21173	Barge Lady
622299	14162	Herself (home movie footage)
622300	3659	Herself
622300	14131	Computer Girl
622300	47077	New Pope Cheerleader #2
622300	60763	Annette Duwald
622300	96559	Herself
622300	185297	Agnes Shelby
622301	257107	Melanie Russ
622301	347712	Additional Voices
622302	3274	Dolly
622302	11210	Mrs. Mandel
622302	27886	Frances Nolan
622302	51653	Christine
622302	54995	Nurse Bracken
622302	65364	Jessie Inglish
622302	67960	Connie
622302	148266	Opal Bixby
622302	151092	Sophie Brice
622302	162404	Claire
622302	185333	Peg
622302	281132	Daisy
622302	299659	Goldie Bartholomew
622302	318773	Helen Jorgenson
622302	380391	Ada Lucas Davis Downs McGowan
622302	387309	Eve Morris (1964-1965)
622302	404613	Rose Peterson #3 (1955-1956)
622302	405882	Ada Lucas Davis Downs (1970)
622302	410669	
622302	411358	Lynn Sherwood
622303	83934	Nurse
622304	39157	Model
622304	253104	Helena Davenport
622307	104986	Penny Craig
622307	108933	Koala Klub Dancer
622308	91589	Nurse
622308	274773	Mrs. Duffy
622309	42381	Présentatrice Australienne
622309	97696	Church Woman
622309	110421	Valet
622309	148384	Woman - Funeral Home
622309	169652	Pénitente de l'Oratoire
622309	187301	Mrs. Van Rinner
622309	191253	
622309	194885	Clara
622309	209221	Female Rat #4
622309	250372	
622309	313562	
622309	315484	Mrs. Flanigan
622309	350622	Woman in Office
622309	363423	Cheryl (Wife #2)
622309	370853	A Grosvernor residant
622309	380284	Additional Voices
622309	389046	Additional Voices
622309	395737	Iggie Inch
622310	293076	Tamara
622311	10502	Party Guest
622311	11121	Tourist
622311	37473	Bag Lady
622311	39157	Model
622311	49396	Farah Kent
622311	64743	Citizen
622311	103271	Dancer
622311	131217	Restaurant Patron
622311	147972	T.V. Station Personnel
622311	171094	Medical Examiner
622311	201940	Teacher
622311	245219	Mother
622311	272026	Restaurant Patron
622311	306223	Pedestrian
622311	322844	Bunuel figure
622311	330057	Doctor
622311	346830	Librarian Skreeb
622311	371378	Ms Deborah
622311	384662	Hostage
622312	177582	Peasant Woman
622313	186035	Herself
622313	400244	Herself
622314	366585	Danny the Model
622315	362106	Maisy Dae
622316	234218	Marie at 16
622317	116967	
622318	2104	Ruby Latham
622318	30922	Chorine coed
622318	35632	Blonde
622318	47364	Chorine
622318	111732	Tiny Smith
622318	114844	Naja
622318	135792	Molly MacLain
622318	143565	Bertha
622318	144759	Bit
622318	159023	Tall stripper
622318	164389	Polly
622318	175805	Miss Construction
622318	183706	Model
622318	188379	Kitten
622318	190947	Patrician lady in Dress Circl
622318	195794	Coffy Smith
622318	196404	Tall Brunette
622318	234141	Tall Showgirl in Sally's Act
622318	240610	Lola Maxim
622318	241752	Daisy
622318	246479	
622318	248817	Amanda Wentworth
622318	253106	Rose
622318	255327	Bit part
622318	287256	Tall girl
622318	295403	Indian Girl
622318	330384	Tall Girl with Dog
622318	331205	Chorine
622318	342873	Hotel guest
622318	360740	
622318	368928	Salvation Army Girl
622318	395574	
622319	33175	
622320	165222	Hannah
622321	57671	Herself
622321	161217	Herself
622321	161219	
622321	291215	Herself
622322	20037	Fan
622322	41827	Lady Punter
622322	241366	Girl of White Dress
622322	330197	Sally
622323	57929	ABA Student
622324	168512	Mrs. Searles
622326	214755	Employee
622327	30952	Observatory Reporter
622327	74988	Elrod Smith Follower
622327	110251	American Flag Girl
622327	126056	Campaign Supporter
622327	127295	Courtroom Observer
622327	188615	Bar patron
622327	257922	Townsperson
622327	309158	Hippie Partyer
622327	333347	Courtroom Observer/Townsperso
622328	118303	American Girl
622328	203270	Chorine
622329	1019	Junior executive #2
622329	238612	Jenell's Men
622329	325991	
622330	32661	Julie Dempsey
622330	117009	
622330	133951	Host
622330	143074	Jody Murdock
622330	155856	Kalin Brewster
622330	161391	Narrator
622330	217625	Pam Harris
622330	222866	
622330	232296	Kelly Wells
622330	235052	Donna Nelson
622330	246238	Julie
622330	258963	Joyce Catlin
622330	308148	Dr. Jennifer Wells
622330	313090	Herself
622330	360874	Susan Kaye
622330	372264	Dana Archer
622330	380391	Julia Shearer #3 (1983-1984)
622330	391976	Hope Shanowski
622330	396423	Maggie Winters
622330	398571	Corky Lynn Sherwood Forrest S
622330	399674	Shelley Kilmartin (1999-2001)
622330	400236	Muffy Critchlow (1983)
622330	401851	Lynn Holly Brickhouse
622331	185704	Voicein Crowd
622332	162051	
622332	398697	Ex-girlfriend
622333	15988	
622333	202244	
622333	234706	
622334	236657	Local 1 Dispensers
622335	35478	Nurse Howley
622335	36970	Mary Reilley
622335	85109	Lachna
622335	328822	Beth McVey
622336	10864	Becky
622337	104953	Rich Girl 1
622337	245112	Singer #4
622338	18820	Della
622338	55697	Nurse
622338	69405	Old lady with ear trumpet
622338	127112	An Old Lady
622338	200524	Miss Brewis
622338	216802	Emmy
622338	271072	Delphine Coates
622338	292590	
622338	309649	Mrs. Rafferty
622338	337338	Landlady
622338	385299	Minnie
622339	189827	Lela
622340	75763	Frau Fent
622341	227289	Rose Mignon
622341	261805	
622342	63000	Child
622343	308168	Irene
622344	300929	Knife thrower's aide
622344	314261	Helen Dayton
622345	112990	Herself - Singer with Art Moo
622345	379572	Herself (regular performer, 1
622346	405674	Presenter
622347	76054	
622348	350335	Jess
622349	342910	Cabaret Singer
622350	60024	Mary Lou
622350	219182	Honey
622351	55690	Vestal Virgin
622352	45961	
622353	47132	Hatcheck girl
622353	66637	Ann Sage
622353	92959	Chorus Girl
622353	131005	'Gorgeous' Goldwyn Girl
622353	143202	Second Girl
622354	137693	Harriet
622355	16003	Jackie Carter
622355	38719	Karen
622355	50658	Liz
622355	109664	Vivien Goldman
622355	141094	Dr. Martha Fairbrass
622355	219881	Angela
622355	296762	
622355	368060	Mrs. Bryce
622355	388596	Penny Kent
622355	392667	Sonia
622355	393037	Kathleen Jonas
622355	397299	Liz Seymour, pathologist (199
622355	403453	Carol
622356	101301	Secretary
622356	108087	Dancer
622356	133678	Florence's Daughter
622356	283541	Publisher 1
622356	347414	Executive Secretary
622356	365827	Movie Patron
622356	385299	Mandy Scott
622356	390523	Miss Ginny Booth (1985-1991)
622356	405525	Lady Lane
622357	1744	Herself/Audience Member
622357	66121	Jane
622357	70882	Herself
622357	92742	Bartender
622357	96871	Sophie
622357	385019	Herself
622357	385020	Tracy Preston/Barlow/Cropper 
622358	117722	Katie's mom
622359	404608	Judge (2000)
622360	109938	Woman in Lobby
622361	318866	Lilly
622361	365664	Alana
622362	229240	2nd Girl
622363	389061	Herself
622364	264168	Additional Voices
622364	387457	Elf
622366	55520	Kate
622367	22176	Elizabeth, George's Maid/Rose
622368	39157	Model
622369	100838	Organist
622370	24978	Mrs. Havens
622370	32118	Mrs. Mifflin
622370	71903	Marion's Grandmother
622370	95840	Mrs. Sid Allen
622370	115911	
622370	137458	Anna Warrington, Richard's au
622370	187723	Grandma Nichols
622370	277336	Mrs. Hutchinson
622370	298501	
622370	311910	
622370	331698	
622370	358372	Mrs. Hargrove
622370	360617	Emily Ann Hubbard
622371	333517	Gibraltar Operator 4
622372	97540	Herself
622372	145102	The Hitchhiker
622372	378685	Herself
622372	392206	Herself (1992)
622372	392422	Herself
622373	303611	Acting workshop student
622374	155028	Sarah
622376	384962	Background Character
622376	402197	Ronnie Corbett-Kennedy (1982-
622377	116967	
622378	52160	Dolly Bird
622378	208477	Model
622379	160810	Mrs. Falshaw
622379	331226	Peace Speaker
622379	387247	Joan Boyd, Duncan's mother
622380	209334	Receptionist
622381	66050	Martha
622381	100126	Herself
622381	118744	Weird Lady
622381	127550	Vera
622381	130358	Drummer Girl
622381	133636	Peggy Mickelberg
622381	195685	Deaf Woman
622381	263227	Landlady
622381	313020	Sheila Harris
622381	358874	Old Woman
622381	405217	Emily Lutyens
622381	405525	Maria de Salinas
622381	407189	Grandma Laurence
622382	363486	Japanese woman
622383	6247	Beautiful Lounger
622383	10903	McKay
622383	16703	Jo Alwood
622383	32661	Pretty Town Woman
622383	39847	Alba
622383	49828	Madeleine
622383	56377	Fanny (Playmate)
622383	77652	Teacher
622383	77673	
622383	78897	Helmsperson Salera, Alpha
622383	80735	Darlene
622383	81351	Dionara
622383	86751	Business Woman
622383	96053	Maria (US version)
622383	113359	Nicole
622383	122180	Anna Denniel
622383	122188	Dancer
622383	140185	Diane
622383	150427	Kim
622383	159012	Poster Model
622383	175804	Christy
622383	207266	Isabella
622383	214439	Ivory/Tess
622383	214469	Melanie Duncan
622383	226981	Lynne Hauser
622383	229243	Clara (part 1)
622383	231835	Brandi
622383	231940	Tournier
622383	252877	Perry
622383	271191	Satin
622383	278466	Julie
622383	278470	Julie
622383	280620	Margarette-Anne
622383	300176	Jessica Cross
622383	307934	Herself
622383	313727	Dancer in Flashback
622383	331529	Wench
622383	347440	Alyda Winthrop
622383	359767	Caitlin
622384	142672	
622384	215727	Moon Girl
622384	269340	Venus Girl
622385	186829	Mother
622385	194769	
622386	16617	
622386	193854	Coleen,(singer, Sunshine Girl
622387	155453	Saleswoman
622388	192286	Kevin's friend
622389	93762	Electrocutes Bass
622389	165958	Donna F. - The Donnas
622389	221483	Herself
622389	392422	Herself
622390	133121	Beth
622391	217745	Art History Student
622392	281457	Emily
622393	341931	Deborah
622394	282463	Dancer
622395	18967	Violet
622395	168687	Tammy Duane
622395	206584	Rose
622395	255851	The Friend
622396	160520	Hooker
622396	232393	Egypt
622396	360745	Sabina
622397	84648	
622398	76500	Myrtle
622400	163565	Dyke #2
622401	53282	Nurse
622402	316725	Jalissa Daniels
622403	22618	Bass player
622404	95823	2nd girl
622405	37581	Telephone Operator
622405	257522	Party Guest
622405	257662	Herself
622405	319460	Model
622406	403777	Georgina (1981)
622407	79508	Dancer
622407	96726	Impish Secretary
622408	177023	Singer
622409	190247	Odile Crick
622409	384497	Rachel Arbuthnot
622409	405217	Elsa Gye
622410	4687	Search Party
622410	22912	Annabelle Thornton
622411	99695	Model
622411	164516	Emily Miller
622412	72684	
622412	85804	
622413	216145	Karl, the Tailor
622413	226882	
622414	65895	American girl
622415	70393	Beauty contestant
622416	56996	Bombalurina
622416	144406	Bombalurina (segment "Cats")
622416	236952	Dancer
622416	324659	Dancer
622416	384660	Herself - Presenter (1992-199
622416	389863	Hostess (1990-1995)
622417	3037	Mother
622417	5840	Secretary
622417	5886	Beatrice Kaufman
622417	6804	Tess Torrence
622417	9022	Nurse
622417	64505	Mrs. Simms
622417	85095	Ella
622417	92883	Cornelia Van Borden
622417	103270	Myrt
622417	106638	
622417	132047	Janet Devon
622417	144586	Estelle Channing
622417	158515	Young Mother
622417	175835	Sister Clotilde
622417	183664	Lucy Fenton
622417	183721	Myrtle
622417	203568	Beth Beebe
622417	210819	Cadet Gladdens' Sweetheart
622417	222659	Mrs. Gordon
622417	222733	Lana Shane
622417	257520	Carlotta
622417	264171	Clare Stillwell
622417	279553	Reba Bailey
622417	292389	Miss Page
622417	292872	Helene de Leon
622417	309285	
622417	316105	Jane Karaski
622417	335669	Mrs. Billings
622417	335710	Irma
622417	338917	Mrs. Gagnon
622417	340694	Pearl
622417	365926	Margaret Wilson
622417	367640	Ruth Gibson
622418	381793	Megan
622419	113286	Child
622420	381091	Herself (eliminated round 2) 
622421	399130	Jackie Vidor (1988)
622422	292323	Margaret Merriman
622423	80657	Miss Converse
622424	2124	Doris
622425	126664	Candy
622425	380391	Mary Sue Morgan (1983)
622426	316170	Murron
622427	183542	Poor Woman
622428	205451	Lillian
622429	87452	
622429	93569	Herself
622429	158044	Vicky
622429	195179	Herself (Girl Slave)
622429	242538	
622429	295858	Sexy Traffic Warden
622429	334733	
622429	361897	Herself
622429	361917	
622430	121829	Ziegfeld Girl
622431	215668	Host
622431	392389	
622432	137808	Michelle
622433	192785	Girl
622433	225372	Stephanie
622434	18436	Eda
622435	154014	
622436	401828	Lick's granddaughter-in-law
622437	337155	Empathy
622437	405209	Dr. Grace Kwan (1994-1998)
622438	5821	
622438	5853	
622438	10657	Mrs. Wilton
622438	17778	Mrs. Emily Nottingham
622438	41559	Mrs. Jolyon
622438	52822	Madame Davezac
622438	54573	Mrs. Bellows
622438	59489	Zelma Verona
622438	69745	Madge's mother
622438	70267	Widow Wilson
622438	72005	Mayda St. Maurice
622438	75353	The Red Bird
622438	85815	Hagar Harding
622438	100157	Mrs. John Strand
622438	105098	
622438	107415	Mrs. Ellen Dickson
622438	118012	Madame Ortiz
622438	120750	
622438	120756	
622438	125809	Mrs. Baxter
622438	125866	
622438	128352	Mrs. Hansen
622438	128622	
622438	128625	Mrs. Martin, Dick's Mother
622438	133769	
622438	140526	
622438	143222	
622438	159981	Granny Page
622438	167649	
622438	183576	Mandy Green
622438	187176	Carrie Simpkins
622438	190501	Zonia
622438	192108	
622438	193851	Mrs. Wonder
622438	198045	Wanda Howard
622438	198658	Ma
622438	203589	
622438	210646	Mary's mother
622438	245386	Jessie
622438	246778	
622438	247222	Mrs. Manning
622438	248846	
622438	262051	
622438	267526	Judith Lure
622438	278047	Queenie Farrell
622438	279382	Aunt Mehitable
622438	289357	
622438	293102	Aunt Kate
622438	298482	
622438	300826	Mrs. Chatfield Curtis
622438	303145	Miss Peckover
622438	316887	Jane
622438	327413	
622438	329583	Mrs. John Raynor
622438	330098	
622438	334951	Undetermined Role
622438	340817	Countess Nicasio
622438	345749	Aunt Jennie
622438	346349	Mrs. King
622438	348479	Mrs. Todd
622438	355042	Sari's Mother
622438	363995	Lady Elfrieda/Frieda Carewe
622438	365690	Mrs. Claudia Tavernay
622438	367042	Mrs. Doubleday
622439	224206	Aunt Bertha
622439	282607	Bit Part
622439	289244	
622440	248124	Tina
622441	2252	(segment "Préservatif, une pr
622441	2361	(complete version)
622441	2413	Mirabelle
622441	9141	
622441	17137	Helene
622441	20916	Juliette
622441	49094	Julie
622441	62823	
622441	68922	Bibi
622441	91886	Delta Three
622441	140293	Patricia
622441	198639	Scarlet
622441	198955	
622441	202749	Isabelle
622441	217049	
622441	238849	
622441	262938	Iris
622441	263269	Fedora
622441	267510	La main de Manon
622441	336943	
622441	336970	Paola
622441	350050	
622441	355360	Virginia
622441	376889	Isabelle
622441	409531	Claudine
622442	254517	Teresa
622443	61845	Fairy/Leprechaun
622444	44095	Chambermaid
622445	7917	
622445	11075	
622445	11160	
622445	11423	
622445	12187	
622445	12344	Grace
622445	16822	Grace Williams
622445	22877	
622445	23173	Vicky
622445	23900	Vicky Herrick
622445	31105	
622445	31769	
622445	31926	
622445	33057	
622445	33991	Pedro's sweetheart
622445	34688	
622445	34691	Second Bridesmaid
622445	38901	Women's Christian Temperance 
622445	46129	Vicky Johnson
622445	53619	Vicky Miller
622445	54448	
622445	65802	Rose Brown
622445	66340	
622445	70810	
622445	71514	
622445	71775	Ruth Randall
622445	72348	Betty
622445	73698	Irene Norris
622445	75311	
622445	82276	
622445	83567	Vicky
622445	91894	
622445	92278	
622445	97416	
622445	97418	
622445	105038	Marion Mathews
622445	110495	
622445	114711	
622445	115912	
622445	117183	
622445	117191	
622445	117589	Vicky
622445	118465	
622445	120750	
622445	120756	
622445	120763	Vic
622445	120764	
622445	128111	Jessie Baird
622445	128131	
622445	128357	
622445	128625	Alice Booth
622445	130466	Vicky
622445	130878	Bess Jackson
622445	133841	Herself
622445	139927	Kate
622445	140774	
622445	140827	
622445	141468	
622445	143217	
622445	143222	
622445	143289	
622445	143374	
622445	145879	
622445	145892	
622445	146106	
622445	146153	
622445	146242	
622445	151318	
622445	151711	New School Teacher
622445	157452	
622445	157488	
622445	158077	
622445	166386	
622445	187165	
622445	191795	
622445	192851	
622445	192856	
622445	192861	
622445	193203	
622445	193205	Vicky Hoskins
622445	195016	
622445	195078	
622445	195693	One of Two Girls
622445	196144	
622445	196925	
622445	201560	Vicky
622445	203676	Vi Gatlin
622445	212204	
622445	212234	
622445	215947	Vicky
622445	215970	
622445	216436	
622445	230312	
622445	240633	
622445	240726	Vicky
622445	246778	
622445	251424	
622445	251734	
622445	257938	
622445	260089	Grace Miller
622445	270358	Nell Meade
622445	271109	Vicky Nelson
622445	271942	
622445	271981	
622445	272076	Vicky
622445	275728	
622445	278387	
622445	280776	The Girl
622445	281568	Vicky Miller
622445	295190	
622445	298029	
622445	298032	
622445	298482	
622445	298517	
622445	299766	Vicky Wilson
622445	303438	Violet Ray
622445	307017	The Ward
622445	307877	Grace
622445	309028	
622445	309029	
622445	309030	
622445	309031	
622445	312834	
622445	313751	Vivian
622445	315641	Gray's Stenographer
622445	318033	
622445	323557	Flo Saunders
622445	324214	Vicky
622445	329778	
622445	329825	
622445	330233	
622445	330235	
622445	331082	
622445	331107	
622445	331124	
622445	335060	Daisy Fields
622445	335157	Maude Warner
622445	335158	
622445	335561	
622445	335627	Ruth Whitmore
622445	339695	Vicky
622445	340623	
622445	342912	
622445	345749	
622445	359122	
622445	360199	
622445	361714	Roberta Stephens
622445	361769	
622445	362062	
622445	362732	
622445	362735	Lizzie
622445	362770	
622445	362771	
622445	362811	
622445	362825	
622445	362903	
622445	362904	
622445	363082	
622445	363102	
622445	363107	Lillian West, the Ranchman's 
622445	363131	
622445	363152	
622445	363174	
622445	363180	
622445	368958	
622445	370620	The Yaqui Chief's Daughter
622445	372780	Arietta
622445	372781	Arietta
622445	372782	Arietta
622445	372783	Arietta
622445	372784	Arietta
622445	372785	Arietta
622445	372786	Arietta
622446	309857	Darlene
622447	70468	Liz's Daughter
622448	200241	Linda
622449	296947	Betty
622450	191020	Mary Todd Lincoln
622451	190798	Herself
622452	168682	Snobby Woman
622453	385012	Rosie
622454	196887	Tiye
622455	196887	People at Party
622456	201206	
622457	304187	Jeho Matka
622458	349356	Hrabenka Alzbeta Marie Lubeck
622459	21545	Audrey, a Country Wench
622459	41720	Maggie
622459	79979	Maggie
622459	178926	The Maid
622459	236908	Janet Murch
622459	301928	Wheeler
622459	315122	Eileen (Sylvina's maid)
622460	8880	Fanny Essler
622460	12300	Best Friend
622460	66719	
622460	248971	
622461	85835	Mrs. Faraday
622461	277014	Undetermined role
622461	345966	Mrs. Dennis
622462	43548	
622462	50829	Barbara Corbett
622463	58280	
622463	76076	
622463	180096	Goeblová
622463	237449	Varéková
622463	380662	
622464	351562	
622465	82463	Marilyn
622465	106361	Tracy
622465	117674	Debbie
622465	122204	Paula
622465	138778	Lane
622465	192596	Molly
622465	222771	Heather
622465	240786	Julie
622465	242939	Waitress
622465	263057	Larissa
622465	267502	Natalie Reed
622465	279329	Shala
622465	280170	Jennifer
622465	305087	Samantha Moore
622465	315502	Ms. Garrett, Co-ed
622465	388566	Megan Rotundi Blumberg
622465	392424	Herself
622466	185516	Woman in Bar
622467	385299	Kate Warboys
622468	2382	Sherry Havilland
622468	19281	Muffy/Buffy St. John
622468	59584	Coed/Recruiter
622468	84230	Susan Malone
622468	106016	Jill
622468	120265	Annie
622468	154943	Cindy
622468	158150	Karen
622468	193176	Mary
622468	195719	Heather Jenkins
622468	197508	Nancy
622468	223787	Casey Meadows
622468	273307	Susan Decker
622468	319078	Sandy White
622468	349973	Julie Richman
622468	360149	Sarah Brightman
622468	392052	Jody Josephson
622469	315198	Bud
622470	126569	Senator's Wife
622471	96614	Show Girl
622472	204557	Gail
622472	348303	WMIA Producer
622473	397831	Viv
622474	302458	Sultan's Wife
622475	43873	Worried Mother
622476	143533	Villager #2
622477	7944	Older Nun
622477	63113	Mrs. Waters
622477	372804	Teacher
622477	385096	Herself
622478	337381	French Maid
622479	35193	Showgirl
622479	110242	Cale the Stripper
622480	405209	Julie Wardon (2000)
622481	297648	Mrs. Daughterty
622481	383850	Giganta
622482	323408	Chris's wife
622484	11426	Young Rayna
622485	3100	WJLB Receptionist
622486	24791	Ash
622486	77102	Dorota, Marcin's Fiancee
622486	97541	Manka
622486	157674	Waitress Ewa
622486	165077	Mela
622486	212652	Waitress
622486	244111	
622486	262511	Public prosecutor Kaniowska
622486	270037	Chrisotemis
622486	304666	Krystyna
622486	310895	
622486	313526	Duchess
622486	375467	Mala's Mother
622486	375670	
622486	381242	Ewa
622486	389831	
622486	397114	Teresa
622486	398874	Dr. Zofia 'Zosia' Stankiewicz
622486	402755	Dominika Wojciechowska
622488	84502	María Rosero, the eldest daug
622489	328603	Cleaning Woman (segment "Come
622491	4771	
622491	12578	
622491	15891	
622491	24383	Vera, sein Gefährtin
622491	35198	
622491	37508	Variety artist
622491	42529	
622491	67222	
622491	78535	
622491	86228	Dienerin
622491	96478	
622491	98240	
622491	99831	The Chieftainess
622491	101740	
622491	102282	
622491	102983	
622491	107972	
622491	119279	
622491	119289	
622491	119370	
622491	126128	
622491	132544	
622491	134846	
622491	136207	
622491	138454	
622491	138550	
622491	156664	Kindermädchen
622491	159254	Uncredited
622491	162482	
622491	174843	
622491	185794	
622491	189775	
622491	199355	Abortionist
622491	204454	
622491	205725	
622491	206053	Old Yelina
622491	211111	
622491	225246	
622491	233438	
622491	251810	Die Grüngekleidete
622491	254587	
622491	283063	
622491	289884	
622491	293522	
622491	301012	
622491	314221	
622491	320227	
622491	329000	Madame Lourdier
622491	334629	
622491	335028	Frau Lindemann aus Essig an d
622491	343476	
622491	352168	
622491	352286	
622491	352327	
622491	352488	
622491	360935	
622491	360946	
622491	361524	
622491	375084	
622491	376473	
622492	228498	Herself
622493	90726	
622494	49934	Maya
622494	130730	Employee D
622494	318540	Emi Mizuchi
622495	63162	Indian Girl
622495	78778	Wife
622495	126277	Alope
622495	184125	Morning Song
622495	224032	Tawnee Mueller
622495	326595	She is Favored
622496	315982	
622497	351	Aksinia
622497	43673	Natacha Michaud
622497	51361	Violetta
622497	88012	Mathilde Seurat/Julie Renard
622497	104649	Inna
622497	205316	Anna Depuy
622497	208217	Léa
622497	214488	Sharon
622497	234688	Habiba
622497	354476	Ariane
622497	402303	Lucia Mondella
622498	147384	Girl
622499	51424	Madame Michaud
622499	64950	La journaliste
622499	84085	La mère en rose
622499	101219	Sabrina Milford
622499	208217	La fille du bar
622499	218464	Elodie
622499	247980	
622499	265137	Éliane Bonnefous
622499	346448	
622499	346521	Mireille
622499	346656	Hélène
622499	375794	Brigadier Fouroux
622499	382471	Anne Cambrèze
622499	388438	Patricia/Fargas' wife (2003-?
622499	399811	
622500	114171	Aviation Med Secretary
622502	163731	(segment "Frenesia del succes
622503	218556	
622504	6392	
622504	107681	
622504	218280	
622504	398037	Dame Hersent
622505	228006	
622505	291002	
622506	80768	Alisa
622507	338005	
622508	40278	
622508	184348	
622508	207874	Julie
622509	223084	Guadalupe at 19
622510	5314	
622511	131232	Extra
622512	90317	Hospital Receptionist
622513	17978	Miss Prior
622513	69757	
622514	62971	
622514	240314	Female Student
622514	252959	Patricia Atkins
622514	302185	Female flight attendant
622514	321490	Featured Dancer
622514	331597	Kelly
622514	350238	Maggie
622515	144869	Fun Girl at Party #1
622516	218721	
622517	378789	Kim (Bern Académie)/Various C
622517	400149	Various Characters/Fake Guest
622518	314957	Extra #20
622519	107814	Poljana
622521	343541	
622522	1578	Mere de Laurie
622522	101188	Herself
622522	163985	Taya, Gisèle Duboeuf
622522	243300	Claudette Dusseault
622522	261551	La Mairesse
622522	332271	
622522	378705	Judy
622522	400768	Mme Bilodeau
622522	404018	Ginette Cloutier
622523	103877	Lydia
622523	108902	Fille 2
622523	125724	
622523	269520	Alice
622524	9523	Anny
622524	16357	Celine
622524	40526	Laura Keller
622524	49291	Sandra Billing
622524	54367	Maria Boldrini
622524	89282	Ramona
622524	115224	Agentin
622524	118724	Klassenmädchen
622524	126832	Jennifer
622524	142267	Gudrun
622524	175287	Rodica
622524	178624	Tanja
622524	194343	Ulrika
622524	195091	Sandra
622524	205960	Elena
622524	219738	A Young Woman
622524	223144	Maria
622524	296354	Lissy Betram
622524	313022	Valentina
622524	344737	
622524	345910	Monica
622524	352055	Maria Contro
622524	352058	Maria Contro
622524	352059	Maria Contro
622524	352061	Maria
622524	352063	Maria
622524	352064	Maria
622524	352065	Maria
622524	352066	Maria
622524	352069	Maria
622524	352070	Maria
622524	352071	Maria
622524	352187	Anna Lehmann
622524	388798	Jasmin
622525	33408	Parrain's Wife
622526	13851	Tammy
622527	306950	La Petite fille téléphone
622528	95518	Female Stripper
622529	219606	
622530	396622	Greta Schiller
622531	213291	Frau Gruber (segment "Sabotag
622531	301028	Annicki
622532	17086	Juliette
622532	43657	Edmée Troipoux
622532	111129	La cliente
622532	184557	Madame Vidal
622532	386801	(1970)
622532	391927	
622533	20371	Young Grace
622534	156294	L'inspectrice chef
622535	106520	Nurse
622535	289476	Additional vocals
622536	106474	
622537	400133	
622537	400134	Myriam
622537	403899	Audrey Béliveau
622538	24170	Augustine
622538	57089	Clémence
622538	208235	Delphine
622538	248679	Lucie
622538	341379	Camilla Holban
622538	353922	Laurence
622539	179108	Yuni Charm Password
622540	310963	Blonde à Carbone
622542	391259	Wanjika
622543	342590	Herself
622544	248220	
622544	387071	Martina
622545	8023	FEMA Tech #4
622545	10384	Julia
622545	176537	Nanai Mingueru
622545	176540	Miyu Takizawa
622545	223633	Waittress
622545	223639	Flight Attendant Blackbrush
622545	292472	Parking Meter Officer
622545	402863	Tsukasa (season 6)
622546	126080	
622547	109766	Cliente 1
622548	62437	
622548	216003	Patient
622548	349481	
622549	163496	Reporter
622550	99462	
622551	225077	
622552	238644	Offenbachs Garderobiere
622553	74454	
622554	171606	Lackó játszótársa
622555	180846	Elena Potkin
622556	216233	
622559	4544	Sarah
622559	38404	Kimberly Haviland/Harmon
622559	45847	
622559	68768	Vicky
622559	87576	Adele Lewyn
622559	110180	Mrs. Spencer
622559	118621	
622559	134654	Laura Franklin
622559	141544	Claudia
622559	146883	Sarah
622559	163310	Teresa
622559	169477	Dr. Margo Peterson
622559	174517	Sara
622559	236924	Fran Markoe
622559	387144	Carey
622559	398405	Nikki Harkin
622559	411229	Alex Lambert (1992-1994)
622561	107033	
622562	18310	Alice Poulson
622562	18311	Herself
622562	30662	Julia Sherwin
622562	30702	Gina Cardinale
622562	42531	Mary Malone Jones
622562	45591	Jennifer Burrows
622562	124022	Julia
622562	130335	Sorority Sister
622562	136523	Katarina
622562	161467	Nina
622562	185709	Joan
622562	190954	Monica
622562	200365	Lydia
622562	202490	Brandi Svenning
622562	209365	Nicole James
622562	209591	Susan Parrish
622562	210678	Vangela Clay
622562	221102	Cynthia
622562	224691	Monica the Waitress
622562	235201	Mrs. Hadfield
622562	252354	Patricia Marx
622562	259221	Katrina
622562	280115	Jade Angelou
622562	296737	Isabella Parish
622562	339669	Emma Cutler
622562	370542	
622562	393173	Ann Cannon
622563	55444	Kenna's roommate
622564	19476	
622564	71106	
622564	111924	Marcella Torriani
622564	281113	Emma, sorella di Massimo
622564	293451	
622564	301384	
622565	57851	Liz
622566	272146	Jane Murray
622567	145167	Lucy
622568	40033	Sombra
622568	40088	Laska
622568	46696	Queen Khana
622568	47972	Flora Trigby
622568	50919	Dangerous Dora (In the story 
622568	66646	Milly Saunders
622568	83920	Mrs. Henry Roberts
622568	88830	Nito Aguirre
622568	107701	Helen Ray
622568	110375	Sonia Cabot
622568	110412	Nila
622568	116514	
622568	120645	Counselor in unemployment off
622568	130800	Nila
622568	148918	Nurse
622568	220720	Catherine Cavallieri (new sce
622568	234471	Woman
622568	238983	Blonde
622568	287019	Ruthie
622568	307821	Mme. Sombra
622568	319599	'Spider Lady'
622568	346170	Juanita
622568	365064	
622569	318695	Caroline
622570	3924	VIP Girl
622571	277533	Herself - Member of Florentin
622572	341055	Cameron
622573	339707	Woman in Car
622573	379068	Woman In Car
622574	276422	Beautiful Exile
622575	213164	Corpse #1
622576	180282	
622577	410539	Model
622578	12776	Telephonist
622578	41401	Drug girl
622578	89311	Catherine Willis
622578	101573	Preschool Director
622578	167051	Christy
622578	187189	Audience Member
622578	210678	Stacey Schlosberg
622578	342491	New Orleans Paramedic
622579	383850	Giganta
622580	383638	Model
622580	407818	Assistant (1967-1968)
622580	411318	Assistant/The Prize Witch
622581	197758	Hitchhiker
622582	304412	Little girl asking for money
622583	44095	Snooky
622583	238602	Grace, Charm, and Ability
622584	367879	Diana, Princess of Wales
622585	54734	Monica
622585	236954	Cupid
622586	394756	Herself
622587	394424	Additional Voices
622588	25863	
622589	94720	Reginetta
622589	113531	
622589	156531	
622589	215516	
622589	264250	
622589	322832	
622590	313174	
622591	82481	Valentina
622592	115256	Midget
622592	209592	Lady midget
622592	328582	Diamond Dolly
622592	367073	Munchkin Maid
622593	167820	Australian Group #3
622593	391869	Imogen Miller (1992)
622593	393954	Herself - Host (1992-1994)
622593	399778	Herself- Host (1993)
622593	404324	Herself (1990-1992)
622593	409165	Herself- Host
622593	410733	Herself
622594	304407	
622595	69025	Francesca
622596	169864	
622597	14386	La Ginecologa
622597	14834	Dottoressa
622598	48700	Elisabeth
622598	173742	Miriam av Gral
622598	173743	Sunniva
622598	173744	Sunniva
622598	382250	
622598	407119	Kine
622599	377985	Paquline 8 ans
622600	90098	Monja
622600	146567	Lola
622600	386093	Mundeta
622600	399505	Pietat
622600	399506	Pietat Martinell
622601	260527	
622602	163707	
622603	259843	
622604	142483	
622604	380904	Luca Pauly (1998)
622604	401995	Lissi Lindner
622605	120811	
622605	162164	
622605	243458	
622606	45377	Young Woman
622606	52665	Jude
622607	119702	
622609	197058	
622609	328611	Jenny Hansen, rape victim
622610	196	Princess Doña Isabel
622610	91424	
622610	108136	
622610	108137	
622610	134508	
622610	182319	Sylvia
622610	189023	
622610	191549	Colonia
622610	193159	
622610	194145	May
622610	213678	Zora
622610	248866	
622610	378466	
622610	380085	Rebeca de Cordova
622610	386111	
622610	389109	
622610	404711	Elena Vega
622611	117321	
622611	124531	
622611	244086	
622612	6312	
622613	230127	Match Woman
622615	161989	Reporter
622616	313558	Carrie
622617	354935	
622618	398102	Arkana
622619	73472	Marianne
622619	380502	
622620	32032	
622620	400378	Muriel
622621	48935	Prostitute
622621	84808	
622621	84809	
622622	355154	Redhead
622623	287762	Bookshop customer
622624	302198	Nia Spencer
622625	190910	
622626	203549	
622627	12054	
622627	71004	
622627	73515	
622627	113300	
622627	132647	
622627	197449	
622627	256693	Madame Cleo
622627	277372	
622627	376861	
622628	25005	
622628	54775	
622628	55387	
622628	82225	
622628	83547	
622628	83549	
622628	205603	
622628	209028	
622628	222019	
622628	233767	
622628	234422	
622628	247150	
622628	248076	
622628	255500	
622628	258382	
622628	270016	
622628	281009	
622628	291602	
622628	291670	
622629	5265	
622629	21681	
622629	68610	
622629	162769	Maria
622629	205112	
622629	222955	Margarita Palacios
622629	274782	
622629	302554	
622629	336115	
622629	339164	
622629	380901	
622629	381839	Eloisa
622629	385374	
622629	385400	
622629	386116	
622629	386647	
622629	392256	
622629	396880	Tia Esperanza
622629	397019	Seño Caro
622629	399576	
622629	400797	Marquesa
622629	400860	Mamá de Jean Paul
622629	403048	
622629	405834	Martha
622629	405869	
622630	83752	
622630	285156	
622631	103565	
622632	19880	
622633	4525	Herself
622633	10225	Invitada fiesta
622633	14775	Juana Miranda
622633	25793	Irene
622633	27864	Bea
622633	27965	Chusa
622633	27966	Chusa
622633	54078	Bisbi
622633	57468	Eva
622633	65173	Clara
622633	90146	Señora de Marquina
622633	118155	Herself
622633	118156	Herself - Winner: Best Movie 
622633	135288	Vítora
622633	146541	
622633	154440	Carmen
622633	156096	Herself - Co-Host
622633	163881	Herself - Host
622633	163980	Herself - Presenter: Honorary
622633	176630	Kika
622633	199827	Lucía
622633	199845	
622633	200083	
622633	207602	Periodista
622633	219424	Monique
622633	221920	
622633	235334	
622633	239261	
622633	243238	
622633	243779	
622633	252537	La sastra
622633	286233	Ana
622633	293385	Laurencia
622633	301181	
622633	302403	Isabel
622633	307839	
622633	313103	
622633	322324	Silvia
622633	332573	Julia
622633	332598	Isabel
622633	332600	
622633	334465	Herself
622633	334702	
622633	338336	
622633	340689	
622633	353017	Herself - Presenter: Best Scr
622633	353545	Ana
622633	354265	Herself - Presenter: Best Lea
622633	369437	Herself - Co-Host
622633	369748	Herself - Presenter: Best Cin
622633	369754	Herself - Presenter: Best New
622633	369989	Herself - Presenter: Best Scr
622633	369994	Herself - Presenter: Best New
622633	376652	Carmela
622633	376786	Luci
622633	376810	Gloria
622633	376842	Herself
622633	376851	Cristal
622633	384773	Herself - Host
622633	387821	
622633	387967	Eva
622633	393346	
622633	401188	Pepa
622633	401612	
622633	402842	
622633	410091	Rita
622634	309490	
622635	263264	Herself
622636	157588	Lies Blok
622636	284859	Nicky
622636	356078	Louise
622637	270638	Nadine
622638	126680	Librarian
622638	297937	Ruby
622639	11172	
622639	33090	Marion Armour
622639	38682	Mary
622639	44566	
622639	78046	Anna Klein
622639	107562	Rhoda Williams
622639	114863	Lucy Andrews
622639	133422	Hetty Morfee
622639	133661	Rosamond Dominey
622639	134391	Mary Cameron
622639	143071	Inah Dunbar
622639	148857	Ruby Cushing
622639	153178	
622639	155901	Nona, Lady Tybar
622639	196202	Perpetua
622639	196257	Sadie, Nancy's sister
622639	203563	Marjory Blaine
622639	206151	Winona Harrington
622639	206367	Mary Gardner
622639	209425	Edith Strang
622639	213188	Irene Hardin
622639	213189	
622639	226925	
622639	263978	Phoebe Puckers
622639	271249	Fay Larkin
622639	278043	Maize
622639	299551	Mamie Conlon
622639	311467	Laura Killigrew
622639	324845	Betty Malroy
622639	340985	
622639	366611	Zoe Barbille
622640	41955	Nudy Lucy
622641	149198	Ambulance Crew #1
622642	204800	Joanna
622642	281052	
622642	291081	
622642	331312	Susan (segment "You Killed El
622642	368644	Bella Bounty
622643	41274	Blonde
622643	72916	Tabitha Raymond (segment "The
622643	78835	Trudy Wiggins
622643	79674	TV Producer
622643	89007	Herself
622643	94692	Nurse (segment "The Facts in 
622643	178931	Angie
622643	206630	Christina
622643	218159	Maryanne Hodges
622644	12319	Crystal
622646	157088	Maid
622647	66131	Friends & Rebels
622648	322837	Additional Voices
622649	302361	Snake charmer
622650	21204	Herself - a Singer
622650	21206	
622650	30922	Herself (singer, Harry James 
622650	34650	Herself
622650	99838	Mrs. Day
622650	127090	Laura Morton
622650	163357	
622650	195189	Old Callie
622650	264603	Herself
622650	302591	
622650	312042	Herself - Singer with Harry J
622650	321856	Herself (singer)
622650	342873	Herself
622650	372093	Herself
622651	206630	Mrs. Anderson
622652	51855	Dancer
622652	152878	Bit
622652	290344	WAAF Penelope Birkenshaw
622652	367520	Bit
622653	10887	Whacko Human
622653	26478	
622653	46757	Nurse Shelley
622653	68511	Sally
622653	78157	Maid
622653	141395	Party Maid Robot
622653	161415	
622653	190953	Delores
622653	200181	Tommy's Agent
622653	213233	Mae Porter
622653	228297	Crazy Wife ("Municipalians")
622653	277801	Cleaning Woman
622653	303371	Leona
622653	332163	IMM
622653	367254	Office worker #1
622653	385887	Ethel
622654	266758	Lisa
622654	389516	Jackie (Cheerleader)
622655	239756	
622656	304971	Valerie
622657	35664	Jade
622657	78817	
622657	273002	Additional Voices
622657	321743	
622657	369751	Kim, Conspiracy Members #4, N
622657	384565	Sissy, Dorothy, Mrs. Hertz
622658	29523	Barfly
622659	58511	Host
622659	114892	Host
622659	199477	Host
622659	337649	Host
622660	330633	Betty Klauser
622661	381514	Herself (2002)
622661	397310	Dr. Marina Zamoyski (1996-199
622662	32352	Actress
622662	33091	Society dowager
622662	36839	Executive's Wife
622662	55417	Woman
622662	84250	
622662	99209	
622662	106729	Elderly Woman
622662	146250	Mrs. Clyde
622662	147511	Mary Jessup
622662	147650	Mother
622662	157792	Marion Sears
622662	183792	Wife
622662	196147	Joyce Lyndon
622662	200869	Mrs. Clyde, Andy's Wife
622662	214553	Constance Rives
622662	221130	Senate reporter
622662	231097	Mrs. Andrews
622662	244367	Dorothy Kane
622662	261475	
622662	278205	
622662	286911	Mrs. Fresher
622662	288618	Lenore Vance
622662	291173	
622662	301868	Bit
622662	329481	
622662	329616	Guest
622662	332545	
622662	335649	Clinton's Mother
622662	339884	
622662	343113	
622662	366168	Banker's Secretary
622663	117979	Jane
622663	187960	Evoa
622663	191917	Bianca
622663	267595	Fifi
622663	275600	The Octoroon
622664	277653	Nurse
622665	319047	Herself
622666	79843	Policewoman
622666	148211	Shelley
622666	148212	Shelley Sutherland
622666	195685	Miss Cornish
622666	391869	Shelley Sutherland (2000-2002
622666	406144	Ms. Gibson
622667	29388	Richie Loomis
622667	66653	Mary Hartley
622667	77794	Secretary
622667	105689	Liz Bullitt
622667	139221	Florence Farley
622667	151751	Herself
622667	220830	Miss Cadwaller, Dr. Gibbs' Se
622667	224809	Grace Shanway
622667	230339	Carol Williams
622667	235515	Sally Kelton
622667	277896	Elsie Vanders
622667	308382	Ameer
622667	316077	Blanche de Maletroit
622667	323432	Dancer at Wharf Party
622667	333054	Dancer
622667	349874	
622667	351755	Lily Fasken
622667	363567	Nancy Liggett
622668	266758	Mona
622668	389516	Sammi (Cheerleader)
622669	91903	Hooker #4
622670	160421	Duke's Child 2
622671	48563	Sarah
622672	38021	3rd Grader
622673	7200	President's Secretary
622673	33784	Blonde
622673	40465	Mary Baxter
622673	41040	Mary Comstock
622673	46608	Vera Harvey
622673	53975	Mrs. Wilson, Sherbondy's Sist
622673	58657	Roberts' Receptionist
622673	76238	Sue
622673	77015	Entertainer
622673	90922	Nancy Wilson
622673	122242	Mrs. Scanlon (Other Player)
622673	147410	Sanitarium Nurse
622673	147609	Nurse
622673	263281	Evelyn Cossett
622673	269349	Suzi
622673	286925	Ranch hand
622673	305498	Young Woman
622673	308640	Dale Harding
622673	316105	Miss Roper
622673	320294	
622673	329388	
622673	334272	
622673	354824	Sally Donahue
622674	14213	Jill Trumbull
622674	44490	Evelyn Kent
622674	61312	Bit Part
622674	147511	Laura
622674	246866	
622674	332123	
622674	362065	Elizabeth Van Forrester
622675	274332	Dancer
622675	395412	Regular
622676	13836	Mom Brighton
622676	56046	Francine
622676	94194	Opal
622676	139702	Waitress
622676	157315	Teller
622676	196130	
622676	215113	Dolores Delmonico
622676	298284	Nikki's Mom
622676	331920	Mary
622677	63030	Billy's Mother
622678	131234	Nurse
622679	37701	Comic
622679	67400	Cleaning Lady
622680	111584	Herself
622680	162098	Queen of the Fairies/The Diva
622680	223165	
622680	293739	Contralto
622680	379351	Signora Bianca Castafiore
622681	1692	Herself - Presenter
622681	201539	Herself
622681	336448	Presenter
622681	381299	Herself - Presenter
622681	386466	Herself - Presenter
622681	386967	Herself
622681	390195	Herself - Occasional Reporter
622681	391263	Herself - Presenter
622681	399425	Herself - Womens Team Captain
622681	399910	Herself - Presenter
622681	403548	Herself - Pit Reporter (1998-
622681	408075	Herself - Presenter (Licence 
622681	408480	Herself - Presenter
622681	408481	Herself - Presenter (1995-)
622681	411490	Herself - Presenter (1996-199
622681	412058	Herself - Presenter
622682	306811	Martha Mansfield
622683	159045	Voix intemporelle
622684	363866	Jean Ramsey
622685	313872	Rachel the Telegram Girl
622686	6262	Cecile
622686	43606	Well Wisher
622686	87893	Ellen Juba
622686	98831	Ice Cream Girl
622686	126648	Waitress Patti
622686	141416	Magazine Colleagues
622686	160897	Lolly
622686	182977	Ariel
622686	221021	Herself
622686	240644	
622686	241795	Cal's Girlfriend
622686	261530	Friend at Airport
622686	263755	Bugger Bugger Woman
622686	274805	Brenda
622686	278082	Mrs. Forrester
622686	280421	
622686	292223	Stewardess
622686	342938	Delores
622687	110251	Lizard Performer
622687	277635	Tracy
622688	127122	Alice 8 yrs
622688	380568	Awful
622689	78206	
622690	139644	Grannfru
622690	153746	
622690	322313	Older woman
622690	343459	
622690	388646	Ulfssons sekreterare
622691	58830	Girl at Madames house
622692	32099	
622692	347534	Rachel
622693	305884	Hippie
622694	355631	Kathi, postbudet
622695	380203	Marie, Andersson's mistress
622696	305884	Hippie
622697	215242	Camilla
622698	305884	Hippie
622699	235062	Friendly Passenger
622701	10835	Bonnie
622701	33258	Sit Com Kid in Photo Shoot
622701	363941	
622702	176884	Aerobics dancer
622703	61766	Young Woman 3
622704	257244	Herself (performing 'Aldrig S
622705	99212	Customer at the Gate
622706	233075	Eva
622707	112302	Hospital Clerk
622707	142809	Reporter
622707	145804	Interpreter
622707	245111	Desiree Porter
622708	102161	Sköterska 3
622709	150667	Pia
622709	169061	Maria
622709	386641	Louise
622709	404048	Eva Gunnarsdotter
622710	142328	Various
622710	153657	Various
622711	4664	
622712	4673	Children
622713	200495	Prostitute
622714	182365	
622715	166069	Female Model
622716	29558	Guest at the masquerade
622716	120892	Assistant at Employment Agenc
622716	121014	
622716	134965	Assistant at the dog's barber
622716	190835	Office employee
622716	282087	Vivi, visiting girl from town
622716	306371	Hotel Guest
622716	343471	Karin Örn
622716	357799	Barbro's Friend
622717	265126	
622718	168866	Santeri's mother
622719	14964	
622720	26289	Receptionist
622720	36790	Julie Hunsacker
622720	65756	Flight Attendant
622720	133477	Patricia
622720	137197	Sara
622720	139449	Ginger Grant
622720	187343	Silent Star
622720	258018	Kim Parker
622720	279185	Madeleine
622720	299066	Mary Anne
622720	330955	Marilyn Monroe
622720	345851	Mrs. Charts
622720	354520	Callie Blum
622720	360270	Jenny
622720	400236	Jennie Johnson (#2) (1985)
622721	324473	
622722	229428	Reporter
622723	384804	Herself
622724	321781	Karin Löfberg
622725	397746	Herself
622726	259881	Neal Afrodite, kauneuden ja r
622726	351947	
622727	386700	B.G.
622728	320515	Konglig Indrif
622729	283219	Gullan
622730	386911	Moa
622731	239900	Mrs. Berg
622732	144339	Helena Paasio
622732	149634	Typist
622732	211433	
622732	236794	Leni
622732	255763	
622732	283591	Ida Aalberg
622732	319315	Leila
622732	322287	Ada, Arturin äiti
622732	343393	Aino Mäkinen
622732	349735	Sisar Kaarina
622732	371652	Margit Koski
622732	371657	
622733	136711	Margareta's mother
622733	198018	Lena Daa
622733	250730	Mrs. Schaber
622734	84299	Petra
622734	145455	Virgin Mary
622734	322421	Inga-Lill
622735	341026	Erik
622736	17508	Giovanna Seymour (Mezzo Sopra
622736	78094	Mme. de Volanges
622736	316746	Eunice Hubbell
622737	222759	Lottie
622738	510	
622738	515	Additional Voices
622738	516	
622738	517	
622738	20460	Yoko
622738	41359	Sharon
622738	82541	Karen
622738	84716	Amala
622738	123054	
622738	130514	(English version)
622738	133220	Arcia
622738	138135	Cyberdoll Rena (English versi
622738	176534	Kika
622738	176535	Kika
622738	176536	Kika
622738	195629	Mei Narusegawa
622738	200811	Momo/Gigi
622738	212067	Tima
622738	213446	
622738	279878	Lynn Minmei, Izzy Randal
622738	282434	Receptionist
622738	289314	Pai
622738	313338	Farleen
622738	327802	Mihoshi
622738	327803	Mihoshi
622738	385151	Muriel, Boy Witness
622738	389791	Ayane Isuzu (Season 2)
622738	393552	Girl with Cat
622738	394016	Additional Voices
622738	394051	Additional Voices
622738	396440	
622738	396484	Chizuko Oe (Season 2)
622738	396497	Leopard Lady
622738	398102	Rebecca (English version)
622738	400268	Kaede Misumi (Episode 11-13)
622738	400576	Iris (I)/Hanmyo
622738	402729	Little Girl
622738	403550	Lynn Minmei
622738	403959	Alice Henderson
622738	403965	Marima Ebisu
622738	404228	Miyuki Onizuka
622738	407828	Irma
622738	408893	
622738	410451	Romy
622738	410570	Juliette (Return Of Dogtanian
622739	218599	Girl in Castle Anthrax
622740	300998	
622741	134177	Madeline
622742	155442	
622743	169136	Child Chorus
622744	248117	The Widow Huff (Edna)
622745	8846	
622745	11865	Großmutter
622745	18535	
622745	49277	
622745	71433	
622745	93462	
622745	103037	
622745	118997	Zweite Schwester
622745	125031	Lina
622745	125165	Ursula Waldprand
622745	134796	Frau Nicklas
622745	138272	
622745	144029	
622745	178480	Mother of Klara
622745	180865	Ältere Hure
622745	211078	Frau Schuster
622745	225639	Louise Weiland
622745	259821	
622745	274863	Lilo Cohen
622745	290638	
622745	307167	
622745	324026	
622745	325389	
622745	325435	Tante Gerlinde
622745	325912	Dame im Bus
622745	345912	
622745	365591	Dr. Grön
622745	389614	
622745	404169	
622746	153312	
622746	284647	
622746	287383	
622746	342082	
622747	117672	Cathy
622747	401381	Jane
622748	12737	Mrs. Horwood
622748	73899	Mrs. Stollier
622748	84888	Jill Hansen
622748	133597	Miss Havisham
622748	157848	Shirley
622748	189355	Mother (segment "The Child")
622748	264488	Liza
622748	289217	Mrs. Easterbrook
622748	382590	Enid Parker
622748	386924	Queen Lotus
622748	398289	Gaye Gideon
622748	399816	Helen Sheridan Sellars (1973-
622748	402197	Kerryn Davies (1984)
622748	403244	Heather Russell
622748	406457	
622749	301677	Other Mother #2
622749	302750	Waitress
622750	376368	
622751	85834	Customer
622751	108389	Ms. Krynock
622751	147732	Danielle Petry
622751	163473	Valentina
622751	168287	Herself
622751	209112	Featured
622751	222194	Martha Johnson
622751	329311	Waitress
622752	179793	
622752	198938	
622753	357835	
622754	125635	Concubine
622754	210036	
622755	126455	
622756	308664	Nurse
622757	115062	Sandmoon Girl
622757	152535	Black Prostitute
622757	168136	Beryl
622757	187861	Salambo Mardi
622757	267253	Actress
622757	282037	Staff Smythe
622757	312175	Shirley
622757	314911	The naked girl
622757	321821	
622758	180879	Anluschka
622758	226254	
622759	107350	
622759	293535	
622759	314899	
622760	134832	Sylvie
622761	323254	Morsiamen äiti (Mother of the
622762	134088	Mrs. Noah
622763	49207	Ballpark announcer
622764	74323	Isabel
622764	92628	Ruth Maxtible
622764	190721	Thelma Ferris
622764	231881	District Nurse
622764	313169	Hilda Spencer
622764	358297	Beryl Oldham
622764	379219	
622764	382506	Helen Yeldham (1989)
622764	384097	Sylvia Dickinson (1997)
622764	385717	Miss Maitland
622764	390149	Veronica Haslett
622764	391772	Annabel Chesterton
622764	391785	Holly Elliot
622764	399379	Rosemary Dobson
622764	401652	Francine Pratt
622764	402031	Dr. Judith Vincent
622764	403951	Jenny
622764	405067	Elsie Beecroft
622764	406104	Mrs. Wells
622764	410935	Thelma Chambers/Ferris
622764	410936	
622765	279414	Professor
622765	291842	Secretary
622766	127086	Tired blonde
622766	331421	Delivery Girl
622766	372139	
622767	379716	Candy Brown (1981-1988)
622768	396738	Herself
622769	37306	Mama Clown
622770	279200	Dancer
622771	25523	Mandy
622771	26064	Sheep
622771	48240	Bernice Kaufman
622771	110376	Olla
622771	139794	
622771	309638	Mrs. Heaney
622771	313020	George
622771	316969	Women's Auxilary
622771	335144	Tania
622771	362268	Dr. Williams
622771	388483	Penny Lane
622771	397477	Tess McDonald
622772	77201	Det. Const. Carrie Harris
622772	77205	Det. Const. Carrie Harris
622772	77210	Det. Const. Carrie Harris
622772	77214	Det. Const. Carrie Harris
622772	108517	Wonderwoman
622772	308918	Annie
622772	385598	DC Carrie Harris (2002)
622772	391247	Sue Driscoll (1998)
622772	395924	Naomi (2001)
622773	26839	
622774	396738	Herself
622775	385712	Margaret
622776	294220	Mrs. Johnson
622776	364782	Mrs. Grimmond
622778	176487	Diane
622779	4544	Judge
622779	6259	Lady in dress shop
622779	39464	Miss Francis
622779	47923	Vivian Patterson
622779	52555	
622779	56145	Judge Helen McCoy
622779	64791	Lia Holmes
622779	67592	Joanna Ferris
622779	79986	Ms. London
622779	81214	Sybil Towers
622779	87576	Stephanie Kaplan
622779	105851	Mrs. Brady
622779	120268	
622779	127294	Inquisitor
622779	128085	Mom
622779	133372	Vickie
622779	151304	Marion Waltz
622779	208072	Jean Gilbert
622779	210275	
622779	223893	Judith Lindholm
622779	227926	
622779	241487	
622779	244445	Dr. Angela Crane
622779	261979	
622779	298388	Jennie Anderson
622779	307896	Pamela Anders
622779	329063	Phoebe Ann Naylor
622779	333356	Dorothy Walderson
622779	349896	Irene Flake
622779	359272	Bronwyn
622779	362585	Harriet Vaughn
622779	363339	Diana Mayhew
622779	385824	Laura Spencer Horton #4 (1976
622779	389858	Dr. James (1992)
622779	398376	Louise Gilbert (1990)
622779	404282	Sophia Capwell #1 (1984)
622780	11352	Carole
622780	410728	Milly Vincent
622781	11748	Mrs. Field
622781	46949	
622781	91777	Madge Clare
622781	96808	
622781	158250	Hilda Linley
622781	158463	Lydia
622781	161034	The nurse
622781	164491	Maid
622781	165464	Jane Winstead
622781	171099	Mary Turner
622781	191719	Doris Russell
622781	197655	Peggy
622781	214000	Miss Snagg
622781	236105	Mrs. Tompkins
622781	263469	Lady Neston
622781	280491	Ruth Davies
622781	297867	Ustane
622781	320318	
622781	328814	Madge Ward
622781	335280	Ruth Raymond
622781	338292	Hilda Manton
622782	108617	Nurse Lynne
622783	393628	Norma Jean
622784	372139	Tall Girl dancing with Pickle
622785	266004	Sandra
622786	269553	Snob
622787	84214	Mrs. Carter
622787	260866	Vera Fornton
622788	122214	Tall Girl
622789	194223	Reston Girl
622790	9575	Maria Renard
622790	20106	Echidna
622790	41463	Alice
622790	298347	Additional Voices
622790	298425	
622790	327046	
622791	294212	Julia Westcott
622791	331586	Tamara
622793	72519	Agnes
622794	393628	Marcia
622795	230385	Post Office girl
622796	277622	Literary Party Guest
622797	2588	Girl in sauna
622797	60967	Lajla, girl in aquarium
622797	69980	Close-Up girl (one in a milli
622797	164786	Girl in bathtub
622797	189784	Woman leaving building
622798	380694	Presenter
622799	346516	Chantal
622800	279315	Girl in Hallway
622801	49694	Maura Caretti
622802	42806	Plain Girl
622802	92694	Villager
622802	124794	Woman with painting
622802	342909	
622803	255299	
622805	304756	Survivor
622806	316411	Ben's Wife
622807	304237	Receptionist
622807	315218	
622808	377795	Adina
622809	76114	
622809	84163	
622809	183148	
622810	48552	
622810	189258	Sorella di Aurora/Amica di It
622810	255115	
622811	409541	Ti-Beu
622812	385522	Kika
622813	198	
622813	4614	Torrenzia
622813	38154	
622813	48552	Angela
622813	61956	Emma
622813	63890	
622813	133110	
622813	150619	Liliana
622813	183479	
622813	189258	Aurora/Italia/Libera
622813	197455	Luna di Capua/Shadow
622813	233279	
622813	240143	
622813	251313	Miss Corona
622813	255115	Housewife/Angel/Cabaret Singe
622813	272513	La Regina
622813	294526	
622813	315829	Comica barcone
622813	326536	Luisella Cielo
622813	338684	Bianca
622813	351582	
622813	352861	(segment "Stirpe di Iana, La"
622813	379901	Eva
622814	268937	
622816	15214	Hairdresser
622817	47774	
622817	50076	The Naked Woman
622817	75632	Mother
622817	79062	Marta Gutierrez
622817	187727	Lena
622817	195855	Becca Campbell
622817	216712	Chica
622817	244919	Pilar Brown
622817	250573	Monica Smith
622817	273423	Mrs. Glass
622817	276945	Margaret
622817	299768	Amber
622817	362381	Socorro
622818	43883	Teacher
622818	66349	Nurse
622818	145019	Counselor
622818	160042	
622818	200521	Mim
622818	209683	Constituent #1
622818	406463	Cookie
622819	38170	Karène Leblond
622819	86727	Secrétaire de la directrice
622819	164185	La jeune femme
622819	265137	Sylvie Marquet
622819	273942	Judith
622819	276546	Corinne
622819	319824	CGPette
622819	327888	
622819	387081	Véro
622819	387081	Véronique Sabin
622820	20803	Stefania
622820	40352	Connie
622820	53143	Pamela Hicks
622820	127435	
622820	159499	Ana
622820	244962	
622821	241604	Ellen
622822	20567	Young Selma
622823	7500	Karen
622823	37682	Donna
622824	334658	Peggy
622825	361334	
622826	330704	Callgirl
622827	68915	Fernanda
622828	223506	Candidate #18
622829	377455	Sandra
622831	363971	Mrs. Smithson
622832	28566	Spanierin
622833	63806	Caterina
622833	107036	Consuelo
622833	131128	Bárbara Berleti
622834	73841	Tracy
622834	253512	Jennifer
622835	27107	Screaming Passer-by
622835	182923	Jane
622835	338344	Jane
622835	367822	Jane
622836	104930	Eve
622837	124657	
622837	235999	
622838	277610	
622838	315437	
622839	57852	Clorinda, stepsister of Cener
622839	99246	Adina's girlfriend
622839	356149	Elena
622840	72494	Nikki
622841	44328	Giulia
622842	8653	
622842	41216	Woman of bell tower
622842	111154	
622842	288941	Prison Guard
622843	227709	
622844	73246	1st police broadcaster
622844	211687	
622844	245384	
622845	234600	Pedestrian
622845	305382	Domestic
622846	80924	Annie
622846	143051	Liz
622846	157576	Kelly
622846	280304	Lynn
622846	334175	Cindy Bayles
622846	402476	Cara Bradford
622846	403949	Holiday Friedman
622847	411623	Inès Gaston
622848	179345	
622849	112882	
622850	289539	Elizabeth Masterson
622850	347069	Demon
622851	32881	Barbara Franklin
622851	65449	Connie (Marsha's Assistant)
622851	131557	Paige
622852	68381	
622853	277074	Herself
622854	205525	Alma-Rose Chapdelaine
622855	391219	Anchor
622856	108905	
622857	330375	
622858	378858	Johanne Bérubé-Constantin
622858	398096	Françoise Langevin
622858	407812	Laure Pelletier
622858	409452	Francoise Langevin
622858	410212	
622859	293113	French Canadian Actress
622860	332947	
622861	160720	
622861	353888	
622862	257159	Joyce
622863	12975	Una spettatrice
622864	310243	
622865	33374	The Lawyer
622866	81099	
622867	174088	Dienstmädchen
622868	59271	
622869	19614	Dora
622869	165733	
622869	204614	
622869	205163	
622869	275304	
622869	322410	
622869	380326	Renata Monterrey
622869	381523	Glória
622869	384480	Simone
622869	385385	Virgínia
622869	387915	Maria Teresa
622869	388065	Eugênia
622869	388998	Estrada
622869	390658	Marisa
622869	394872	Concheta
622869	395044	Wanda Camargo
622869	397539	Marcela Miranda
622869	401243	Caroline
622869	401900	Meg Trajano
622869	402582	Clarisse
622869	402685	Miou Miou
622869	404078	
622869	404915	Elaine
622869	405936	Gilda
622869	408212	Helena
622869	409347	Larissa Guerra
622870	192286	Dance teacher
622870	366817	Homeless Woman
622871	55362	
622872	54378	Italian Soprano
622873	407680	Herself
622874	269164	Mulher De Verde
622875	83520	
622876	201145	Rita
622877	387227	Earth Wind & Fire Dancer 'Ear
622879	44674	
622879	139300	
622879	230934	Actress
622879	256629	Women Pirate
622880	149954	Extra
622881	150891	Nurse
622881	200864	Beresford Waitress
622881	290378	Teacher's Assistant
622881	317877	Art Student
622882	83282	
622882	252338	Mademoiselle Asherville
622883	55768	
622883	99668	Matilde
622883	104122	Griselda
622883	272629	María
622883	276303	
622883	307297	
622883	334678	Carmen
622883	384972	Pilar Balaguer
622883	399505	Antònia
622884	263089	Aunt
622885	132763	
622886	155450	
622887	108775	The Lady
622888	107272	
622889	11769	
622889	203922	Journalist Frk. Rudholdt
622889	331994	
622890	94330	Hélène
622891	64729	Opera Singer
622892	342871	Woman at cafe
622893	68385	
622893	227289	Comtesse Muffat
622893	258527	
622893	377264	
622894	527	
622894	7680	
622894	17815	Lucia De Gasperi
622894	29056	
622894	40230	Jacqueline Pascal
622894	51375	Greedy Princess
622894	56034	
622894	64241	
622894	91534	
622894	104478	
622894	135129	
622894	199934	
622894	251627	
622894	277569	
622894	340690	
622894	353335	
622895	226277	
622896	209237	Wicked
622897	134437	Carmencha
622897	323533	
622897	378738	Bárbara Torrent
622897	380126	Betzabé
622897	380535	Tina Torres
622897	383867	
622897	387916	Gaby
622897	389589	
622897	392992	Vaitea Ahoa
622897	393836	
622897	395867	Manuela Phillips
622897	401096	Filomena
622897	403644	
622897	407644	
622897	408180	Samantha Rouge
622898	51360	
622898	344590	Una ragazza nel locale nottur
622899	79566	
622899	129205	
622899	146494	
622899	206028	
622899	293321	
622899	315844	
622899	317527	
622900	260910	
622901	92058	Caterina
622901	301384	
622902	14891	
622902	56328	Iabella
622903	302532	
622903	334814	
622903	388737	
622903	388738	
622903	388739	
622903	388740	
622903	388741	
622904	234512	Politikvinne
622905	119621	Laura
622906	51036	Hilde Wangel
622906	94365	
622906	111836	Wera
622906	119198	
622906	153767	Else
622906	154020	Guest #2
622906	191565	Helga
622906	234512	Fru Bull
622906	306974	Hildes mor
622906	320516	Aasil
622906	341201	
622906	341202	Teacher
622906	387353	Various roles
622906	389138	Fredrikke Kruse
622906	394180	Vigdis Reverud
622906	396828	Irene
622906	405794	Hildes mor (episodes 6, 7, 8)
622907	177653	Mrs. Brownlee
622908	377739	
622909	144688	
622910	404694	Susan Ames Dunbar Carver #4 (
622911	109705	Mrs. Lyman
622911	274194	Jo
622912	109283	
622912	296466	
622913	108818	Herself
622914	409168	Herself - Reporter (2003)
622916	98237	Gledespike
622917	38872	Extra
622918	63559	Dr. Brendel
622919	410686	Herself (Winner)
622920	186636	
622921	29875	Bea
622922	44568	Genie Temple
622923	113286	Bar Patron
622924	16403	
622925	158308	
622926	400698	Une serveuse
622927	397684	Herself - Television Producer
622928	80382	BJ
622928	121799	Susan Peppers
622928	157324	Mildred Miller
622928	338638	Reporter
622929	6512	Mor til Atle
622929	7704	Mrs Vasser
622929	28555	Old Lady
622929	32861	Tante Ally
622929	48130	En bardame
622929	51298	Baronessen
622929	84288	Ingrid
622929	102153	Moren
622929	109137	
622929	116307	Enkefru Stengelføhn-Glad
622929	135713	
622929	144061	Cecilie, hans kone
622929	144068	Fru Helmer
622929	154020	Mistress Karen
622929	166593	Liv Bøhmer
622929	168523	Ella
622929	170375	Fru Åstrøm
622929	180099	
622929	180710	Elise Gjør
622929	188886	Victoria Lund
622929	192492	Fru Bergmann
622929	198051	Kommentator
622929	223207	Lisa
622929	240223	Chief Physician
622929	242694	Justisministeren
622929	261141	Sosse Laurantzon, fru skipsre
622929	268368	Rogers svigermor
622929	278348	Louise Lund
622929	282081	
622929	284018	
622929	289731	Modern
622929	307244	Enkefru Stengelføhn-Glad
622929	308598	Mrs. Hagerup
622929	312238	
622929	317650	
622929	335504	Tonnys mor
622929	340265	
622929	343716	Frøken Thorsen
622929	346964	Tore Haug, kriminalkonstabel
622929	354415	Gina Ekdal
622929	377403	Hybelvertinne
622929	394180	Karl's mother
622929	404786	Grandma
622929	410019	Marie Nedrebø
622930	199896	Norwegian woman in sauna
622931	210830	Vertinne på yacht
622931	240111	Kontordame
622931	240114	TV-sminkøse
622931	334277	
622932	219446	Petters forlovede
622932	308224	Fru Voight
622933	196202	Perpetua, as a child
622933	328696	
622933	330698	Rosalie, as a Child
622933	360792	Christina as a Child
622934	80374	Nurse
622935	11485	Dancer
622935	62778	Kristine Evelyn Erlich-DeLuca
622936	51224	Chloé
622937	27312	Pam Shlepke
622937	276328	Furball
622937	352961	Dance contest judge/frenchy
622938	305034	Police woman
622939	147466	Holly
622940	223954	Ring Master
622943	151	Jeanne/Murielle
622943	2349	Julie
622943	6397	Dominique 'Waterloo' Austerli
622943	7428	Henriette
622943	7474	
622943	23699	Dina Gray
622943	28753	
622943	43400	Dominique
622943	44998	Françoise Beretton
622943	45000	Françoise Beretton
622943	46946	Katia
622943	51107	La femme du contremaître
622943	52698	Suzanne Dufour
622943	56329	
622943	59056	Adrienne
622943	59236	Marguerite
622943	63156	La reine Isabelle
622943	70719	
622943	73186	Sonia
622943	73719	Catherine
622943	80937	Récitante/Narrator (French ve
622943	101226	Hélène
622943	101229	Juliette
622943	101457	Karen Reinhardt
622943	102484	Anne
622943	103834	Ernestine Bichois
622943	110059	Araminte
622943	112805	Béatrice
622943	115358	La femme
622943	116325	
622943	129669	Lisa Braun
622943	132832	Yvonne de Galais
622943	135359	Andrée Léo (segment "La semai
622943	138877	Janeane Duval
622943	148702	Geneviève Bigey
622943	157126	Yvonne
622943	162431	Ursula
622943	167195	Viviane
622943	167243	Paulette
622943	184627	Elisabeth Halbritter
622943	201135	Anne
622943	203499	Denise
622943	214849	
622943	215089	
622943	220494	Béatrice, la femme de Vincent
622943	236806	Elena (Adult) (director's cut
622943	251290	Louise
622943	261380	Vera
622943	269952	Vivia, Essex's Wife
622943	272320	Bernardine
622943	289565	Nicole Palazzi
622943	336830	La femme
622943	339885	La Française
622943	345043	Elvire
622943	345351	Catherine
622943	345526	Mme Belfond
622943	346563	Camille
622943	350099	Woman in the train
622943	355883	Herself/Geneviève
622943	369971	
622943	377980	Marie-Antoinette
622943	377987	Françoise
622943	380862	Dina
622943	384209	Estelle Laborie
622943	389880	Dominique Vernet Adulte
622943	390520	Julia (segment "Rendez-vous d
622943	391621	Herself
622943	398033	Olympe de Rieul (1975)
622943	409442	Laurence Poirier
622944	2231	Herself
622944	132041	Herself
622945	85979	
622945	355649	
622946	69364	Mamma Hörn
622946	218541	
622947	133068	Alexandrine
622947	219473	Catherine Servoz
622947	307312	Une jeune fille
622947	395620	Marie (segment "Ernest")
622947	400643	Melle Sue
622948	66745	Lorraine
622948	83305	Mathilde, la mère du bébé
622948	161425	
622948	255584	Sybille
622948	266201	Jessica
622948	279820	Rozen
622948	288900	Marylin
622948	345548	Julie Larchant
622948	346797	Alex
622948	401756	Sandrine
622949	94273	Jeanette
622950	102226	Kristin
622951	315415	Kona
622952	199477	Extra
622953	382882	Programleder (2000 - )
622954	14900	
622954	33994	
622954	51693	
622954	161881	
622954	234741	Claudia
622954	351279	Alberta
622954	356524	Annetta
622956	401642	Presenter
622957	360066	
622958	277959	Mrs. Mason
622959	404949	Herself
622961	188453	'Jazz' Girl #2
622962	12113	Herself
622963	7889	Amanda
622963	69257	Blondie
622963	73361	City type
622964	16511	Herself
622964	59135	Pam Hallam
622964	64556	Herself/performer
622964	64557	Herself
622964	64558	Performer
622964	176505	
622964	306183	Sally Brown
622964	340320	Claire Sprantz
622964	362952	Singer, Child
622964	372165	
622964	393125	Margeaux Kramer
622964	401980	Holly
622964	402449	Margeaux Kramer
622964	408044	Various Characters (1988-1989
622965	53284	Wet T-Shirt Contestant
622966	74006	NC Store Detective
622967	6708	Mother
622968	258363	Stephanie Cline
622969	210389	
622970	410671	
622971	80643	Momma
622972	253478	Elizabeth
622973	178692	Guest
622975	72781	
622975	75030	
622975	194274	
622976	246861	Pajama Girl
622976	258858	Dancer
622976	282463	
622976	366390	Winter-A-Go-Go Girl
622977	30741	
622977	139195	Mrs. Mussetter
622977	205851	
622977	244407	Beverly Boothe
622977	277114	Gloria
622977	330762	Lisa
622977	366088	Agnes Osborne
622978	231070	Newsie
622979	19463	
622979	52778	
622979	56536	
622979	96280	
622979	145137	
622979	145531	
622979	148053	
622979	339151	
622980	54387	Usherette
622980	350463	Girl #1
622980	361168	Gloria
622980	366390	Winter-A-Go-Go Girl
622981	159770	Sorority girl
622981	252096	Fantasy Olivia
622983	61183	Ann Gilland
622983	80792	Detective Carson
622983	331935	Maud
622983	384058	Annie Gilland
622985	47590	
622986	137650	Southern Belle
622987	75897	Courthouse Clerk
622988	190774	Inmate Four
622989	83460	Vicki
622989	162108	Donna Huffman
622989	260232	Host
622991	398940	Weatherwoman
622992	27215	Joan Lasher
622992	28786	Tanya Clayton
622992	47980	Alice Rico
622992	81896	Susan Cahill
622992	93751	Barbara Mathews
622992	127481	Joanna Delafield
622992	162984	Virginia van Stuyden
622992	175605	Hannah
622992	177496	Carolyn Green
622992	185335	Mave Caulfield
622992	194824	Dianne Wrigley
622992	218153	Cathy
622992	269884	Helen
622992	314248	Sylvia Newman
622992	331407	Chris Palmer
622992	331716	Elsa (segment "Take a Number'
622992	354852	Judith Wilkison
622992	364330	Mona Kaufman
622993	10867	Girl in Bar
622994	86064	
622995	26468	The Nurse
622995	31015	Daisy Williams
622995	33594	Gwladwys Williams
622995	47477	Katie Liddell
622995	70841	Sybilla Chetwynd
622995	110195	Doris
622995	114397	Mary Trelawney
622995	125877	Jocelyn Ferrers
622995	137899	Ophelia
622995	189929	Edith Carr
622995	189930	Margherita
622995	251704	Mfanwy Griffiths
622995	305840	Kate Price
622995	337485	Mary Trelawny
622996	6930	Billy
622996	26268	Bobby
622996	31263	At Dance
622996	38122	Billy
622996	41505	A Courtier
622996	42554	On Street
622996	71710	Billy
622996	87915	
622996	95764	The Binks Daughter
622996	103351	Crippled girl
622996	117053	At Soda Fountain
622996	194018	Ned's Son
622996	210708	Among the Orphans
622996	215271	The Striker's Son
622996	239558	One of the Children
622996	239561	Newsboy
622996	263981	
622996	316991	In Hallway
622996	318962	Child with Cap
622996	323759	
622996	328454	The District Attorney's Son
622996	338077	The Tenement Girl's Brother
622996	366858	The Prospector's Daughter
622997	51112	Victoria Paine
622998	57762	Surf girl
622999	33643	Eve Chester
622999	60256	Mary Nicholls
622999	73756	Margery Weston
622999	145038	Jean
622999	199180	Ruth Stanhope
623000	105396	Sybil
623001	145866	
623001	207405	Harold's Sister
623001	208946	Liana
623002	393154	Newsreader (2003-)
623003	79550	David as a Boy
623003	263981	
623004	79672	Alice Blake Miles
623005	64724	First Annie Lee Moss
623005	65748	Gloria
623005	70556	Bleeding Lady
623005	73703	Aunt Song
623005	79132	Elsa Jackson
623005	83921	Loretta
623005	87893	Grandma
623005	101075	Elva Briggs
623005	112748	Aunt Mabel
623005	114075	Gremmar
623005	114601	Waitress
623005	150901	Great-Grandmother Jeffers
623005	165254	Herself
623005	170980	Housewife
623005	185707	Nurse in Home
623005	202195	Woman Outside Audubon Ballroo
623005	229505	
623005	255433	Bea Quitman
623005	323375	Poppy
623005	331842	
623005	338299	Ovelia
623005	364271	
623005	379716	Aunt Bess #2 (1980-1981)
623005	390771	Vera (1985-1992, 1993-1994)
623005	394502	Mrs. Alberta King
623005	399685	Slave
623005	404002	Miriam George #2 (1978)
623005	404694	Anne Share (1971)
623005	407482	(segment "Neighbors")
623006	160421	Duke's Wife, Sniper Victim 1
623007	210041	
623008	94162	Agnes
623009	285032	Indian Woman
623010	16695	Sally
623010	64869	Jeanette
623010	67963	Mrs. Philipot
623010	70422	Mrs. Custis
623010	112748	Mrs. Hatch
623010	150901	Sheila Small
623010	187908	Medusa
623010	202878	Ivy Revers
623010	207989	The Oracle
623010	207992	Oracle
623010	235579	Lee
623010	252726	Sugar Brown
623010	294508	Buster Marshall
623010	334086	Serena
623010	335876	Judith
623010	380823	Camille Bell
623010	384164	Narrator
623011	213495	Anni
623011	224382	Kelly Sullivan
623011	263957	Lynch Mob
623012	291831	
623013	323018	Alice Buchanan
623013	348599	Lizzie Fisher
623014	1053	Mary Morgan
623014	20625	Extra
623014	29086	Esther Lacy
623014	37065	Nadine's Maid
623014	42991	Lora Kirk
623014	52343	Nadine Holtwood
623014	52455	Secretary
623014	64502	Jean Benton
623014	71908	
623014	113477	
623014	130625	Violet
623014	131594	
623014	138250	Myra Perkins
623014	139768	Margie Smith
623014	140124	
623014	142632	Mary Younger
623014	149278	Mary Martin
623014	191031	Linda
623014	196969	Virginia Bailey
623014	200865	
623014	207853	Jessie
623014	220508	
623014	228641	Lucy Dennison
623014	230435	Capt. Finch
623014	240762	Nell Hall
623014	245356	Helen Meadows
623014	246703	Nancy
623014	248318	Company 'C' Girl
623014	263940	
623014	273792	Doris Bayne
623014	279435	Sally Canfield
623014	279436	Ann Dixon
623014	285123	'Sunny' Hurn
623014	290328	Eleanor
623014	300002	Alice Dunn
623014	302831	Vivian Rogers
623014	304331	Stella Hearns
623014	306446	Sally Davis
623014	321304	Cynthia Perry
623014	361806	Janice
623014	362664	Agnes Flanagan
623014	367943	Grace James
623014	372495	Gail Winters
623015	266353	
623016	103048	
623016	340689	
623016	354775	
623016	409463	Secretaria (1982-1983)
623017	269176	
623018	291110	Scrub Woman
623018	306604	Jenny
623019	265503	Miss Grieves
623021	221324	Elsie
623021	346909	Jackie
623022	41518	Flight attendant
623022	156860	The Ballerina
623022	279410	Herself
623022	350424	Dancer
623022	409672	Herself (2004)
623023	388860	Lilly
623024	328663	Jeffrey's Mother
623025	119583	Ellen Allenby
623025	367444	Young Harriet Tubman
623025	381802	Pauline
623027	48169	Carol
623027	63038	Anita
623027	68470	Nancy 2000
623027	78058	
623027	79973	Mother
623027	80482	Garage Cop
623027	107261	Maggie Rhodes
623027	330559	Genetico Receptionist
623027	340669	DeeDee
623029	358478	Villager of Tullymore
623030	6681	Herself
623030	379388	Regular
623031	5168	Daisy's Stepmother
623031	16642	Hotel Manageress
623031	69834	Mrs. Lewis
623032	271315	Joan
623032	383631	Kate Miller: General Manager 
623032	385020	Susan Barlow (2001)
623032	388321	Ginny Davenport (2002-2003)
623032	388895	Clara Brewer
623033	846	#93 Celebrity Rejections: Sil
623033	2893	Herself/winner (best leading 
623033	2895	Herself - Presenter: Best Act
623033	2899	Herself - Co-presenter: Writi
623033	2904	Herself - Best Actress Winner
623033	2909	Herself - Presenter: Best Act
623033	2940	Herself - Presenter: Writing 
623033	3046	Herself
623033	3605	Herself
623033	4642	Herself
623033	5527	Sarah Tobias
623033	7581	Herself
623033	7585	Herself
623033	7586	Herself/Host
623033	7589	Herself (Host)
623033	10349	Sue
623033	10702	Audrey
623033	11102	Herself/Host
623033	11670	Herself
623033	13598	Host
623033	13930	Herself
623033	17504	Anna Leonowens
623033	49028	Tallulah
623033	53757	Casey Brown
623033	55477	Donna
623033	56367	Teresina Fedeli
623033	56895	Anne Benton
623033	65568	Herself
623033	69895	Eleanor Ann 'Ellie' Arroway
623033	78097	Sister Assumpta
623033	97220	Deirdre Striden
623033	105087	Herself/Narrator
623033	114601	Linda
623033	115540	
623033	118541	Jeanie
623033	119356	Annabel Andrews
623033	147899	Herself
623033	150606	Frannie Berry
623033	158144	Herself
623033	160449	Herself
623033	161301	Herself
623033	161400	
623033	163373	Herself/Narrator
623033	173518	Rita
623033	182218	
623033	191848	Rynn
623033	191987	Dede Tate
623033	201515	Herself
623033	201733	Herself
623033	208245	Mrs. Annabelle Bransford
623033	210906	Suellen McIver
623033	211733	Victoria
623033	217223	Isabelle Tristan, AKA Fleur b
623033	227542	Samantha
623033	229629	Nell Kellty
623033	237562	Barbara O'Hara
623033	241487	Martha McIver
623033	243950	Herself
623033	247579	Meg Altman
623033	270242	Storyteller
623033	281381	Sharon Lee
623033	287322	Hélène
623033	292468	T.K.
623033	296917	Prostitute
623033	299705	Herself
623033	301147	Nancy
623033	301540	Clarice Starling
623033	303165	Herself
623033	305584	Liberty Cole
623033	314158	Katie Chandler
623033	320598	Zoe Alexander
623033	326155	Iris Steensma
623033	331387	Herself/Narrator
623033	335120	Becky Thatcher
623033	342080	
623033	345332	Elodie Gordes
623033	349123	Herself
623033	359471	
623033	362313	Herself
623033	367812	Herself
623033	379229	Pugsly Addams
623033	379916	Anne Chan
623033	382331	Elizabeth Henderson (1973)
623033	383758	Herself
623033	383802	Family Member
623033	386414	Herself
623033	400776	Addie Pray
623034	80660	Bee
623034	109438	Candy
623034	176480	Audrey, Nurse
623034	241598	Elizabeth
623035	213107	London Host
623036	687	Herself
623036	10413	Gilda
623036	11189	Sue
623036	30085	Christine Turnbull
623036	73301	Veronica
623036	88176	Linda
623036	106740	Sheilah Graham
623036	133708	Mrs. McGonagall
623036	137462	Ann
623036	142923	Margaret, Daughter of Reignie
623036	142924	Queen Margaret
623036	142925	Queen Margaret
623036	166167	Mother
623036	193752	Gladys
623036	217410	Betty/Moll Flanders
623036	220812	
623036	241817	Sylvia
623036	252728	Marilyn
623036	302151	
623036	305413	Patsy
623036	321982	Lorna
623036	337484	Queen Margaret
623036	342954	Beth Crowley
623036	383136	Janet
623036	390321	Angie Botley
623036	395226	Liz Weldon
623036	411158	Amy Wilde
623037	383742	Various Celebrities (1999)
623038	257648	Miss March
623038	257682	Herself (Playmate)
623038	257843	Herself (Miss October 1989)
623038	296352	Herself
623038	296353	Herself
623038	361850	Herself
623039	160049	Win
623040	105172	Mr. Y
623042	329345	Nadine
623044	38864	Helen Thornton
623044	64933	Laura
623044	318358	Mrs. Berne
623044	386339	Rita Ferrars
623044	390099	Mrs. Holloway
623044	402145	Jocelyn Cole
623046	248878	Camp Counselor
623047	384097	Gillian
623048	31444	Ellen Brattle
623048	92736	Betsy Blees
623048	163362	Jonni tigersmith
623048	195479	Kendall Gordon
623048	201845	Susan
623048	241277	Cookie Campbell
623048	366039	Woman on Mike's arm
623048	372134	Girl Reading Book
623048	379716	Liz Sloan (1994-1995)
623048	385142	Kim
623048	385594	Michelle Stevens Beaumont Bar
623049	218739	
623050	348752	Elle, Lum's Mother, Young Ell
623050	348754	Obaba, Oshima, Lum's Mom
623051	379700	Herself/Finalist (First Runne
623052	27033	
623052	58002	Niki
623052	99425	Caroline
623052	178335	Sarah Jones
623052	210485	Girl in Cinema
623052	269892	Slattern
623052	276890	
623052	380468	Claudine
623052	382613	Heidi
623052	391869	Leanne Dunn (1989)
623052	395294	
623052	399130	Wendy Gibson (1985)
623052	402197	Angel Adams (1984)
623052	405578	
623052	405616	Belinda Phipps
623052	406457	Kathy
623053	64447	Door Girl
623054	209198	Anabelle Walker
623054	244460	
623055	213437	Sangerinde
623056	327756	Sex Fiend
623057	411529	Reporter (2001- )
623058	330570	Mama
623059	24792	
623059	72041	Linda Baby
623059	85849	
623059	189320	
623059	197863	
623059	219175	
623059	224290	
623059	316661	
623060	13596	Linda
623060	168531	Harem Girl
623060	282463	College student
623060	372554	Sally Miller
623060	390986	Doris
623061	67903	Charlie
623061	71743	Mrs. Vogel
623061	108626	Fanny Hill
623061	117164	Systems operator
623061	168021	Jennifer
623061	188551	TV Anchor Woman
623061	205718	Sherry Lomax
623061	294524	Donna Dupree
623061	311975	Lena
623061	318812	Estelle Nall
623061	411757	Regular (1991-1992)
623062	35079	
623063	46314	Nurse, Eliza
623063	200883	Mary, Jim's Daughter
623064	368654	Cristina
623065	110050	Danseuse Rika
623066	372901	Mary Beardsley
623067	312790	
623068	22996	Mrs. Mathews
623069	378810	Kam Francis, The Dispatcher (
623070	401082	Presenter
623071	345826	Mammy in St. Clare household
623072	99883	Polly
623073	211321	
623075	368654	Stepmom
623076	386658	Fanny Dombey
623077	2566	Mrs. Purdy
623077	73954	Landlady
623077	88832	Mrs. Crimp
623077	120776	Mandy
623077	124935	
623077	178916	Mother McKittrick
623077	213080	Mrs. Berg
623077	213871	Nancy Sibley
623077	278796	
623077	289585	Elizabeth's lady-in-waiting
623077	343018	Red Agnew's wife
623077	364434	Fat woman
623077	364453	Newfoundland Woman
623077	367576	Mrs. Fox
623077	371038	Toinette
623078	6151	Joyce
623078	26769	Sara Rudnick
623078	34669	Shari Mitchell
623078	34914	Sue
623078	35143	Julie
623078	40668	Lynn Devereaux
623078	55477	Gerta
623078	68243	Mom
623078	80563	Carol Dietz
623078	81214	Alice
623078	81770	Ellen
623078	83921	Dorymae
623078	83956	Joanna Walcott
623078	86476	Stella Cooke
623078	87114	Gerta Hermann
623078	99828	Jean Markham
623078	122188	Nancy
623078	136287	Jean Richie
623078	144577	Maureen Dietz
623078	157042	Quinn
623078	165277	Dizzy Sheridan
623078	167315	Amanda Faberson
623078	176911	Laura Seaton
623078	183715	Carrie
623078	187299	Katrina Van Tassel
623078	188923	Martin
623078	194981	Mary-ann Compton
623078	203179	Queen Anne d'Autriche
623078	207139	Queen Anne d'Autriche
623078	207530	Evil-Lyn
623078	214802	Irene
623078	237820	Stell Barr
623078	237823	Stell Barr
623078	244120	Ali Tanner
623078	265741	Marjorie Sherman
623078	278069	Sara
623078	296880	Sarah
623078	300351	Big Moe
623078	310135	Cmdr. Lasser
623078	311556	Woman #1
623078	314438	Carol Grayland
623078	319238	Nora
623078	319255	Nora
623078	330177	Holly Thompson
623078	330423	Judy Pines
623078	331980	Shay
623078	332418	Ingrid
623078	334596	
623078	339952	Julia
623078	361182	Robbin Stanley
623078	366004	Sian Anderson
623078	383183	Det. Chris Cagney #1 (1982)
623078	404405	Hester Prynne
623078	406958	Nora (1975)
623078	408347	City Attorney Linda Carlson
623078	410616	Jennie Jamison
623079	385020	Rebecca Joyce 'Becky' Mallet 
623080	194817	Girl
623081	211617	Anne Page
623081	341975	Laura
623082	221999	
623083	57239	Herself (Nadia Foster)
623083	178864	
623083	326729	
623083	364747	Kari Sims, photographer's ass
623084	141109	Gilda Hoffintz
623086	272661	Infant Liberty
623086	309205	Herself
623087	73707	
623087	117154	Pageant Girl
623087	133513	Mongol
623087	222567	Assistant Matron Shirley Bost
623087	278478	Ella
623087	312171	'Ark' Nurse
623087	317430	Liz Stride
623088	55418	Madge Wilson
623088	77856	
623088	239082	Dancer
623088	337482	Dancer
623089	255813	Gwen
623090	64735	
623091	126710	Cleo
623092	17543	Dolly
623092	86957	Miss Alden
623092	132016	Emily Donaldson
623092	149191	
623092	231778	Theresa Masar
623092	237575	Girl on Camel in Parade
623092	244775	Princess Flora dela Chicora
623092	325030	Germaine Prentiss
623092	363758	Mrs. Elizabeth Herbert
623093	360668	Bride
623094	280298	Debbie
623095	385024	Lu
623095	392792	Prostitute
623096	272661	Infant Liberty
623098	49893	Herself (Taylorette)
623099	75805	Woman in Crowd
623099	86808	Grumpy Man's Wife
623099	191898	Mrs. Foster
623099	191900	Mrs. Foster
623099	395735	Melinda Foster (1978-1983)
623099	406168	
623099	406169	
623101	3267	Backup Singer
623101	65453	Xavier's Girlfriend
623101	349399	Bank Teller
623102	36824	Nancy Hayes
623102	76222	Amy
623103	333102	Katie Drew
623104	235443	Sally Morningstar
623105	314680	
623106	363668	Video Gymnast
623107	87309	Belle's girl
623107	363419	Lilly
623108	72377	Blue Lady
623108	72697	
623108	297189	Female Detective
623108	343864	Grace's Mother
623109	273549	Woman at Crossroads
623109	318204	Mrs. Mattie McMillian
623110	234984	Velma Stockhouse
623111	92780	
623112	248602	Herself
623113	75775	Connie
623113	75799	Connie
623113	232105	Doll's Mom Zombie
623113	314238	Sarah
623114	63089	Betty
623114	125826	Child
623115	38005	Cindy
623115	44444	Linda Prang
623115	45501	Jenny
623115	67588	Lisa
623115	140197	Miss Upton
623115	396117	Connie Ferguson #1 (1977)
623115	405321	Ranger Julie Beck
623116	361475	Jennifer
623117	45232	Peggy Fleming
623117	65650	Angela
623117	84436	Evie
623117	116523	Herself
623117	120339	Sal Warren
623117	129231	Joan Wilslow
623117	133848	Peggy
623117	242616	Herself
623117	254515	Christine Dubois
623117	313377	Finale
623117	329481	Penny
623117	330010	Toodles LaVerne
623117	330809	Angela Rutherford
623117	335852	Connie Allen
623118	99829	Lori
623120	194405	Wendy the Waitress
623120	238252	Miss Renoir
623120	291452	Rhonda Rockett
623121	116443	Girl in hat dance
623123	36862	Young Victoria
623123	144674	Samantha Harrison
623124	73235	Anne
623125	330386	Girl at Party
623126	175719	
623128	158318	Walters' Child
623129	27310	
623129	70964	Mrs. Babcock
623130	396548	Young Cox
623131	385500	Luli
623132	19140	Carol Appleby
623135	230135	
623135	355731	
623136	354929	Ivana
623137	188526	
623138	403668	
623139	43738	Mary MacQueen
623139	208059	
623140	113515	Laura
623140	155074	Estate Agent
623140	192171	Waif
623140	281446	Minnie Beebe
623140	299731	Violet Nettleby
623140	313166	Rosie Bennett
623140	315444	Giuditta
623140	405297	Katie Bell
623141	7539	Albergatrice
623141	63865	
623141	113709	
623142	235570	Female Executive
623142	360150	Press Woman
623143	20122	
623144	88685	
623145	86579	Thalia
623145	87130	
623145	102166	Anna
623145	104894	
623145	105880	
623145	118483	Chryssa
623145	195236	
623145	212648	Irini Strataki
623145	265280	
623145	340005	
623145	375138	
623145	380420	
623145	387716	
623146	192347	Cecil's Girl
623147	402377	
623148	246857	
623148	314916	
623148	357383	
623149	116053	Suzanne's Friend
623150	232370	Model
623151	158986	Deborah Goodman
623151	330707	Na-Mah
623152	409144	Herself - Anchor
623153	29701	
623153	40364	Fatme, die Araberin
623153	322814	
623154	8158	Elham
623154	8545	Salwa
623154	20200	Simana
623154	27762	Herself
623154	97103	Dancer
623154	109745	
623154	140610	
623154	140614	
623154	147083	Elham
623154	153304	
623154	201234	
623154	202114	
623154	214130	Wife
623154	221806	
623154	222989	
623154	234898	Amina
623154	243547	
623154	271593	
623154	297617	
623154	304473	
623154	324985	
623154	336821	
623155	160979	
623156	199715	
623157	8152	Delphine
623157	44927	Martine
623157	94339	Olive
623157	96399	Claire
623157	98958	Cop
623157	148648	Karine
623157	156290	
623157	205967	Antonio's wife
623157	235249	Monica
623157	254076	Claudie
623157	261792	Marie-Fromand
623157	351822	Sylvie Lagude
623157	361710	Baptiste's Girlfriend
623158	387952	Herself
623159	66928	Karen
623160	108897	Herself
623161	104228	
623162	279804	Herself
623162	403536	Herself - Participant (1999)
623163	240429	
623164	196918	Allison, as a child
623165	66050	Eve
623165	80444	Party Guest
623165	240682	French Interviewer
623165	346133	Acrobat
623166	118423	
623166	130425	
623166	264788	Mrs. Mary Peat
623166	297868	Ustane
623166	307416	Josephine Winton
623167	113138	
623168	357053	La serveuse au bar
623169	24734	La Mère de Juliette
623169	83106	
623169	249059	Louise's mother
623170	31665	
623170	363622	Telephone Operator
623170	364434	Telephone pperator
623171	85987	Olivia
623173	379232	
623174	311785	Herself
623175	70775	
623175	139162	Ella Burke
623175	286300	Trish Meehan
623175	304744	Second Maid
623175	310171	Building Commander
623175	333183	Young Nun
623176	71952	
623177	332198	
623178	118187	Herself
623179	19103	La femme de ménage
623179	23632	Concierge Rappoport
623179	42879	
623179	99362	
623179	129528	
623179	135505	
623179	170468	
623179	285080	
623179	346441	Teacher
623179	382584	
623179	387848	Mme Grosso Modo
623179	398786	
623179	409537	
623179	409806	Mme Guemois
623180	25237	
623180	31702	Beach Community Member
623180	58409	Mannequin
623180	60890	Véronique
623180	64949	Sandy (dans "Red is Dead")
623180	70944	Lisa Weber
623180	88084	Karine
623180	107831	Marta Kiss
623180	108543	Mme de Pompadour
623180	125739	
623180	137097	Françoise
623180	159974	
623180	166350	Jeanne de Bar
623180	184785	La fille
623180	193877	Charlotte
623180	205487	
623180	219605	Olga Kubler/The prostitute
623180	229052	L'hôtesse de l'air
623180	265308	Manon
623180	268448	Christine
623180	269225	Jeanne
623180	271069	Léonore de Segonzac
623180	275124	Une courtisane
623180	345096	Julie
623180	345312	Herself
623180	349418	Dominique 'Do'
623180	377978	Natacha
623180	380977	Marie Moretti
623180	384621	Anne-Marie
623181	55890	Henrietta Baker
623182	283959	Olga Tavanne
623183	346822	Martine
623184	206889	
623185	402577	
623186	11934	
623187	350247	Miss Brazil
623187	397838	Ivana
623188	54395	Hermia
623189	97071	
623189	101896	La petite bonne
623190	214188	
623190	241384	Felicity Cater
623190	292590	Nora as a child
623191	81438	Susie
623191	128295	Coll
623191	196372	Changing room friend
623191	202964	Maria Gallagher
623191	222745	Kate
623191	224085	Frances
623191	273715	Joanne McKensie
623191	277618	
623191	409241	Heather McGowan (series 2, 3)
623192	390523	Esther Longworth (1996-1998)
623192	393890	WPC Sheila Saunders (1985)
623193	318218	Person in Crowd
623194	193761	Seven Deadly Sins
623195	167283	Yvette
623196	64105	Fairy Godmother
623197	263748	Paramedic
623198	324501	Sophie
623200	14347	Cussière Blois
623200	389343	Madame Courtois
623201	18317	Marion
623202	305410	Jenny Moss
623203	45134	Fille Vittorio 1
623203	390470	
623204	10655	
623204	64952	
623204	67068	Renée Ménard
623204	73165	Phuong
623204	77351	
623204	92963	Wife of Black Dragon Agent
623204	94235	
623204	111063	Tourist
623204	117936	
623204	124324	
623204	195220	
623204	214874	Une élève
623204	217412	
623204	218261	
623204	260887	
623204	286802	
623204	340105	
623204	372016	Geisha
623204	377809	L'annamite
623205	360618	Alexandra Sloan
623206	102234	Dinah/Dinette
623206	244864	Vanessa
623207	142572	Dancer #4
623208	80385	Mollie
623209	63856	La rollerwoman
623209	72004	Héléna
623209	102931	Sylvie
623209	253520	Un amour timide
623209	271069	Paméla
623209	274791	Aurore
623209	345155	Laurence
623209	376910	Edith
623209	406030	Elise de Talence Dulac
623210	336958	Marthe Nollier
623211	205586	Francine Lacroix
623212	6402	La bouquetière
623212	101950	
623212	170471	La compagne du légionnaire
623212	205736	La prostituée
623212	207771	Mme Coeuret
623213	58409	Madame Vilchenu
623214	245562	
623215	191679	Maid
623216	132887	Aurore
623217	383112	
623218	205967	Buddy on moped
623219	100249	
623220	91166	
623221	286046	Petite Fille patisserie
623222	164157	Redheaded Woman
623223	86430	Naïs
623224	362588	
623225	65168	Caron
623225	278024	Marquis de Cannes
623226	108358	Amber Dooley
623227	57280	
623228	41743	Ann
623229	124313	Mme Latouche
623230	393615	Ingrid
623230	395822	Rô
623230	407275	Ana
623231	17054	
623231	21409	Bärbel Harms
623231	98315	
623231	115814	Clothilde
623231	325688	
623231	394918	Köchin
623232	41320	Brenda
623233	18948	Mater Dolorosa
623233	30722	
623233	44370	
623233	48836	Voice in off
623233	124507	
623233	225397	
623233	287414	
623233	342057	
623233	353221	
623233	379889	Lidia
623233	383974	Julia
623233	388093	Sister Angélica
623233	391850	
623233	392769	Yolanda
623233	397590	Alicia Padilla
623233	399578	
623233	400640	
623233	407792	
623233	410404	Paula
623234	13451	Vishti
623234	70990	
623234	81348	Anella
623234	132471	
623234	293398	
623234	302376	
623234	343172	Airline Attendant 2
623235	287414	
623236	13100	
623237	337033	Mathilde
623238	43629	Invite party
623239	15019	Nicolette
623240	38520	
623240	55881	
623240	84105	Julie Bonaparte
623240	118185	Jeanne Plond
623240	125838	Thérèse
623240	217222	La grand-mère
623240	300723	La mère de Benj
623240	340211	
623240	352611	Mme Guerbois
623240	386084	Thérèse
623240	402538	Mme Nadal
623240	410213	Mme Delamoniaz
623241	191500	Gardienne de prison
623241	261551	Fille du bordel
623242	135330	Tavie
623243	28871	
623244	97054	
623245	97322	Herself
623245	97323	Francine
623245	97325	Francine
623245	97337	Francine
623245	97338	Francine
623245	387279	Francine
623245	388101	Francine
623245	399845	Francine (2002)
623246	218530	German Lady
623247	170243	Victim
623249	83204	Herself/Elle-même, restaurant
623250	24695	Monica Freeman
623251	345107	
623252	51727	La fille à la capuche
623252	83385	Géraldine
623252	107138	
623252	324517	Nathalie
623252	336968	Pauline
623252	340462	
623252	395621	Juliette
623253	124335	Woman With the Carriage
623254	203436	Chorus
623255	84142	Photographer
623255	129397	Sister Rose
623256	388628	Henriette
623257	284362	
623258	42370	
623259	33547	L'hôtelière
623260	258313	Un élève de la 4e techno
623261	25682	
623261	47753	
623261	52946	
623261	76096	Lilia
623261	85901	
623261	104078	
623261	148026	
623261	170244	
623261	208852	
623261	212388	
623261	222386	Leonore Colman
623261	287438	
623261	287864	Elena Ramos
623261	318242	Linda
623261	383563	
623261	387082	
623261	408860	
623262	89963	Angèle
623263	156544	
623264	60519	La nourrice
623265	165181	The Girlfriend
623265	251007	
623266	111036	Hermine
623267	124328	
623268	21368	
623268	79983	Zahra
623268	122362	Félicité, enfant
623268	189078	
623268	270955	
623270	339870	L'aide-couturière
623271	108363	Herself
623272	249739	
623273	304355	
623274	52205	
623274	148963	Tutti-Frutti Johnson
623275	345162	
623276	12213	Receptionist
623276	236693	Script Supervisor
623277	130666	Amazon Warrior
623278	165062	
623278	234252	
623279	77852	Beth Schultz
623280	37035	Traveler
623283	229666	Sandrine
623283	371409	Cécile
623284	278154	Miss Pepsy
623285	74227	
623285	208640	
623286	60308	Orphan
623286	61698	Child
623286	105739	
623286	130419	Remingtons' Child
623286	142914	Herself
623286	188228	Adams child
623286	264737	
623286	264743	
623286	377061	
623287	121529	
623288	48075	Attractive Woman at Restauran
623288	75366	Tracey
623289	126700	Laura Tweedle Rambotham
623289	245277	Cynthia Langton
623289	316726	Julie
623289	336723	Miss Dimitriou
623289	402197	Lori Young/Maynard (1981-1982
623290	66683	Stella
623290	118995	Kate Richards
623290	214035	
623290	315909	Jill
623290	381979	Lauren Allen (Series 1-1997)
623290	395282	Jacqui Rushcutter (1994)
623290	399130	Zoe Davis (1986)
623290	401963	Nicola
623290	405960	Angela Hamilton (1982-1984)
623291	7498	Mrs. Oakleaf
623291	11323	Nurse
623291	12711	
623291	18552	Parent
623291	25868	Sedley Guest
623291	37414	Wilson's Receptionist
623291	54949	Woman in Court
623291	55519	Geraldine Connelly
623291	65717	Gossipy Guest at Clive's Home
623291	77297	Mrs. Bradley
623291	92480	
623291	93101	Matron
623291	104912	Matron of Honor
623291	105649	Mrs. Mitchell
623291	105975	Clerk
623291	108021	Dowager
623291	112189	Nurse
623291	150577	
623291	152208	Woman in Elevator
623291	176321	Bystander
623291	183627	Mother on Boat
623291	188202	Nurse
623291	192056	
623291	223783	Ma Manners
623291	235676	Woman
623291	241134	Woman
623291	246480	Belle the Barmaid
623291	249575	Maude Lindsay
623291	276683	Mrs. Edna Stone
623291	313321	Malibu Party Guest
623291	315530	Woman
623291	326133	
623291	330180	Mrs. Daniels
623291	330231	Officer's wife
623291	331425	Relative
623291	331451	Mrs. Thatcher
623291	334162	Sara
623291	339844	Townswoman
623291	372145	Woman
623291	372676	Townswoman
623292	79530	
623293	5802	Tailor shop customer
623294	2816	Nominee for Best Performance 
623294	32184	
623294	120242	Ada Torcelli
623294	158317	Joan Kahl
623294	303225	Choir nun
623294	303226	Choir Nun
623295	191953	Town Lady
623296	11582	Nun
623296	18197	Midwife at Anthony's birth
623296	46748	A mother
623296	53299	Martin Curtis Peachtree
623296	55417	Baby Judge
623296	56139	Mrs. Shumway
623296	56614	Nurse
623296	59100	
623296	68133	Ma Blower
623296	127791	Probationn Officer
623296	128827	Head Matron
623296	169902	Mrs. Caroline Priest
623296	183767	Nurse
623296	204708	Mrs. Calkin, a Saleslady
623296	213453	Mrs. Rhinelander-Fish
623296	215637	Patsy
623296	218019	Mrs. Carter
623296	224817	Customer
623296	238507	Mrs. Ames
623296	283093	Mrs. Judy Ballard
623296	292260	Mrs. Anderson
623296	304990	Miss Ferredice
623296	312826	Mrs. Gatewood
623296	315695	Midwife
623296	330159	Prison matron
623296	330623	Mrs. Wright
623296	343252	Mrs. Prentice
623296	347731	Chief Nurse
623296	360166	Quilting Party Woman
623296	368424	Madame Agnes Girard (1825)
623296	372531	Head Nurse
623296	372887	
623297	82076	Ned's wife
623298	38596	
623298	149390	
623298	262042	
623298	346386	The Duchess
623299	7408	Lady Standish
623299	21550	Lord
623299	59505	Princess Anne
623299	134126	Nurse
623299	158582	Woman Artist
623299	159691	
623299	183558	Miss Kenton
623299	305415	Dr. Volkova
623299	307968	Benefits Agency Woman
623299	339354	Clerk 1
623299	372717	Social Services Woman
623299	381685	Miss Turner
623299	383683	Mrs. Rose
623299	389876	Aristocrat
623299	400530	Second Guest
623299	410582	Sarah (Jewish Refugee on the 
623300	387356	
623301	104965	Cowgirl Kym
623302	114293	Escort
623303	138419	Woman on Escalator
623303	192254	Cigarette Stand Girl
623303	317120	Reporter
623304	131454	Maid
623305	394271	Herself
623306	56162	Frances O'Donnell
623306	87397	Little Girls
623307	128480	Schoolgirl
623307	173349	Outback Bartender
623307	321394	Little Sweetie
623307	390276	Rose Powell
623307	397912	Sandy (episode 6-12) (1992,19
623307	398742	
623307	403279	Zac
623308	73403	
623309	387531	Stand-In
623310	34009	Examiner
623310	98656	Woman #2
623310	155908	Mr. Fletcher
623310	213662	Hancock
623310	273741	
623310	319131	
623310	326654	Mrs. Mulen
623310	331425	Relative
623310	346196	Mrs. Wilson
623310	372898	Woman
623311	27065	Keri's Nurse
623311	87397	Carol
623311	190482	Woman at Bar #1
623312	61845	Helena
623313	254743	
623313	362702	Mrs. Lorstrum
623314	320310	College Secretary
623315	82095	Jane
623315	121563	Woman in Car
623315	273480	Student
623315	280365	
623316	211764	Mother in Car
623317	381909	Herself (3rd Banished, 43 Day
623317	406211	Announcer
623318	145022	Rebecca Ritchie
623319	276440	Shandra
623319	364220	Female Patron #2
623320	185430	Extra
623321	124335	Voice Over Talent
623321	219864	Voice #2
623321	230499	Marie, Chef Andre's wife
623321	265775	Nurse
623322	32812	
623322	67190	
623322	91603	Martha Porter
623322	127170	
623322	143336	Mildred Kennedy
623322	301225	
623322	356253	
623323	323705	The Maid
623323	332905	
623324	274427	Flower Girl at Wedding
623325	360710	
623326	222687	Mavis
623327	57654	Robin's Friend Jan
623327	150973	Evie Von Osburgh
623327	214463	Doctor Dubai
623327	303999	Gladys Antrobus
623328	79944	Boat passenger
623329	314927	Party-girl Bit
623330	117929	Running Otter
623331	365142	Sarah
623332	65748	Bomb Girl
623332	380495	Regular Performer (1994-)
623332	409667	Various Characters
623333	111809	Worldwide Executive
623333	152509	Receptionist
623334	44844	Grace
623334	162820	Little Girl
623334	172666	Young Alexandra
623335	360712	Wedding Guest
623336	144688	
623336	220995	Clarissa's Mother
623337	265527	Orderly
623338	90237	Dancer
623338	210483	Stewardess (Melanie)
623338	218180	Beautiful Fan
623338	298076	Harmony
623338	309946	Annie
623339	408557	Herself - Dancer/Performer
623340	118199	Yum-Yum, a schoolgirl, betrot
623341	302468	Theater Person
623342	364425	Kirk's Visitor
623343	270607	Football Fan
623344	186534	Annie Dean
623344	223636	Jane
623344	411517	14 Year Old "IT" Girl
623345	355365	Trauma Doctor
623346	309574	Dream Girl
623347	39901	Janet
623347	148244	Janet
623347	162533	Katherine 'Kay' Sloane
623347	162534	Katherine 'Kay' Sloane
623348	285961	
623349	78030	
623350	272924	Chloe
623351	162840	
623351	243539	
623351	295937	
623351	342507	
623352	321228	
623353	19220	
623354	42531	Young Lady
623354	93671	Gretchen
623354	185297	Kay
623354	254291	Hostess
623354	289380	Carla Steitru
623354	354682	
623354	411290	Brittany
623356	72844	Carter
623356	382854	Pamela Graham (1973-1974)
623357	225476	Victoria Remington
623358	75031	
623358	194252	
623359	151177	Woman on Bike
623360	289899	
623361	198993	
623361	350261	
623362	12751	
623362	116502	
623362	229137	Harriet
623363	408042	Interviewer (1966)
623364	75034	
623365	89271	Arcade Hooker
623367	29889	
623367	47251	
623367	226965	Titus
623368	398003	Candy
623369	305223	Julie
623370	244916	Herself
623370	402951	Dancer
623371	177582	Katie McDear
623372	318337	Another Average Girl
623374	13637	Hooker
623374	95510	Party Woman
623375	40878	Woman in Doctor's Office
623376	155562	Hitchhiker
623377	166566	Sheheke
623378	147496	Reporter
623378	250721	Peasant Woman
623379	77721	Fiona
623379	390195	Herself - Weekend News Presen
623380	36704	Superfan
623380	115668	Car Hop
623380	194067	Passenger
623382	93837	Katie Bell (Boolie's cook)
623382	93974	Zora
623382	158272	Luann Corbin
623382	158273	Sgt. LuAnn Corbin
623382	158274	Sgt. LuAnn Corbin
623382	158275	Sgt. LuAnn Corbin
623382	239790	Lou Bessie (segment "Charmain
623382	241148	Miss Doll
623382	392709	Sgt. Luanne Corbin (1989-1994
623383	1268	
623383	26104	
623383	75030	
623383	91580	
623383	93705	
623384	150157	
623385	91760	
623385	315047	
623386	273275	D.J.
623387	41726	Party Girl
623388	46862	Lucy
623389	627	TV Reporter
623391	190115	
623392	365259	
623393	122075	Doctor
623394	7923	Carrie
623394	28876	J. Edgar Hoover
623394	67793	Streetwalker
623394	92864	Woman on Porch
623394	123703	Meter Maid
623394	138822	Rosita the Maid
623394	146926	Mabel
623394	214463	Grandma, Soul Food Restaurant
623394	316411	Grandmother
623394	331341	Nurse
623394	367054	Aunt Em's Party
623395	301589	Storyteller
623396	39415	Sophie
623397	184411	Mrs. McAlpin
623398	27144	Jackie Shipton
623398	40802	Nicki
623398	46990	Ann Devenish
623398	56282	Sharon
623398	79556	Clara Copperfield
623398	99294	
623398	104997	Herself
623398	142302	Cassandra, Princess of Troy
623398	142929	Jane Seymour
623398	144682	
623398	190010	Lynne Frederick
623398	254986	Dorota
623398	263015	Sabina Spielrein
623398	272604	Pippa
623398	273591	Mrs. de Winter
623398	276039	Faye
623398	282439	Vanessa Ratcliffe
623398	299765	Spig
623398	311350	
623398	327609	Karoline von Esterhazy
623398	330433	Kate
623398	331285	Claire Bligh
623398	390800	Lady Margaret
623398	400466	Dale
623398	402125	Georgiana Darcy
623398	402847	Jeannie
623398	404407	Minette
623398	405361	Dr. Nikki Alexander (2004-)
623399	411669	Herself
623400	314623	Stevie as a Child
623401	149248	
623402	385285	Herself (with Wilbur Mills)
623403	257605	
623404	236657	Bullhorn Angel
623405	765	
623405	6730	
623405	27258	
623405	41603	
623405	75028	
623405	91656	
623405	155922	
623405	178868	
623405	235417	
623405	339599	
623406	115659	Herself
623407	89364	Bambi
623408	46243	Estelle Payne
623408	264823	Betty Lawton
623409	124470	Samantha Angleston
623409	131428	Gisela
623409	202548	
623409	211508	Morgana
623409	223817	Justine
623409	261607	Doreen
623409	273566	Magistrate
623409	400820	
623410	154453	Party Girl #1
623410	277622	Max's Daughter
623411	249555	Performer 'Bohemian Rhapsody'
623412	32518	Michelle
623412	160498	Amanda
623414	102739	
623415	335665	
623416	268869	Isobel
623417	370643	Housewife
623418	385370	Diana Sánchez- Serrano
623418	387479	Victoria
623418	397839	Ana
623419	97540	Herself
623420	131203	Vittoria
623422	411529	Consumer Reporter, Anchorwoma
623423	5537	
623423	174219	Aunt Rose
623424	5886	Edna Ferber
623424	330173	Mildred
623425	91119	DIP Hostess
623426	311037	New Yorker on bridge
623427	183722	Wedding Dancer
623428	64326	
623428	141766	Herself
623429	50387	
623429	151215	Party Girl
623429	187167	Dancer
623429	241533	Savannah
623430	26728	Virginia 'Rusty' Dickinson
623430	147967	Esperanza Garcia
623430	208531	May (age thirteen)
623430	222479	Ghost of Christmas Past
623430	339353	Fiona Meadows (15)
623430	385301	Belle Wise (2003)
623430	389124	June aged 14
623430	401382	Anthea
623430	410792	Enid Nightshade
623430	411500	Enid Nightshade
623431	262980	Herself
623431	382947	Host
623432	238584	
623433	53930	Cop's Wife
623434	112601	Waitress
623435	113927	June Hopkins
623436	10153	Josie
623436	74423	Sara Sidle
623436	74424	Sara Sidle
623436	80434	Maggie Glendon
623436	80464	Fate 3
623436	92264	Bev Jones
623436	117654	Liz Guild
623436	138811	Kappa Sig Girl
623436	151631	Sarah Bryant
623436	152860	Delmar Youngblood
623436	166885	Lazarro's Young Lady
623436	176765	Myra Pavlov
623436	210511	Catherine Shelby
623436	351412	Alice Pallas
623436	385358	Sara Sidle
623436	387728	Dr. Maggie Doyle (1996-1999)
623436	392130	Felicity
623436	392421	Herself
623436	397902	Officer Connie Karadzic
623436	406907	Diane (segment "Temptations")
623436	410835	Gina Toscano (1999-2000)
623437	300905	
623439	264745	
623441	314501	Kid #2 in Cafeteria
623442	44343	Djevica Zla #4
623443	281413	
623444	339352	Lucy Hillard
623446	44511	The Nurse
623446	63079	Blood Bank Nurse
623446	86038	Jennifer
623446	91932	Christine Farmer
623446	117230	Student Nurse
623446	117278	Adele
623446	190273	Marilyn
623446	203444	Suzy
623446	217536	VA nurse
623446	218774	Nurse
623446	220034	Suzie
623446	275791	Nurse
623446	333393	Aide
623446	367585	Quinn's Assistant
623447	113267	Mrs. Armstead
623448	7419	Maggie Leyland
623448	16642	Janet Frame
623448	39194	Helen Devaney
623448	57665	
623448	71751	Sally Voysey
623448	79025	Sue
623448	108617	Katherine Fanny 'Kate' Dickso
623448	120237	Sophie
623448	124506	Marion Kirkman
623448	138353	Rosemary
623448	161163	Claire
623448	185197	Vicki
623448	185703	Kelly Towne
623448	231422	Chloe
623448	258878	Maddy Hope
623448	271255	Andrea Joyce
623448	285607	Kate Cooper
623448	297188	Juliet Miller
623448	306398	Maggie
623448	309638	Sonja Buloh
623448	330467	Police Woman
623448	334382	Lucy Jackson
623448	354488	Clodagh Unwin
623448	361237	Jane Carson
623448	366602	Maria Vaughan
623448	378865	Maggie
623448	398416	Hannah
623448	399434	Police Officer
623449	81640	
623450	279460	Target Clerk
623451	145174	Camera #2
623452	81640	
623453	119622	Grandma
623453	151025	
623453	239875	
623453	239879	
623453	239880	
623453	370248	
623454	176478	Susan
623456	82114	Mrs. Bradley
623457	57162	
623457	97940	Isabel Adams
623457	98138	Claudia
623457	154453	Alison
623457	157436	Classroom Student
623457	234849	Eris
623457	254943	Jenny Robeson
623457	313114	Camille
623457	335715	Susan
623457	342370	Zoe
623458	40864	Girl at the Bar
623459	6618	Ludivine
623460	130169	Ann's Secretary
623461	1617	Herself
623462	101247	
623462	162049	
623463	16891	Herself
623463	53327	Lil Snoopy
623463	77495	Deb
623463	94539	Addict
623463	118515	Police captain
623463	330386	Kelly Daneen
623463	364558	Pam
623463	403561	Announcer
623464	133432	Royal Aero Club Telephonist
623464	321394	Cheryl
623464	362800	Mrs. Vanderspool
623465	292818	Hooker #2
623466	20275	Sylvia Wayne
623466	38810	Mabel Bannister
623466	42024	Wife
623466	100120	Marguerite Versigny
623466	114910	Betty Quail
623466	153131	
623466	171132	Betty Blake
623466	193746	Annette Dupre
623466	212609	Veronica Forbes
623466	217980	Thérèse Garros
623466	224208	Calamity Jane
623466	308054	Rosa Vargas
623466	308850	Madge Craig
623466	310721	Lucy Durant
623466	326965	Paul Grayson
623466	334801	Hélène
623466	337651	Fanny Goodnight
623466	362210	Ola
623466	364589	
623466	364591	Adele Moore
623466	365964	Julia Brinton
623466	366637	Effie Green
623466	367836	Helen
623467	293814	Sally MacIntyre
623468	389124	Bilson
623468	403047	Woman with dog
623469	309500	
623470	315631	Garden party girl in dream se
623471	277635	Precious Metal
623472	23705	Eve
623472	66787	Connie
623472	72886	The Mute Girl
623472	88885	Jean
623472	350160	Air Hostess
623473	121492	Shopper
623474	363442	Anataki's Mother
623475	40207	Bladys Rhea
623476	115534	Nurse
623476	128760	Cookie
623476	154709	Hysterical Interviewee
623476	192638	Sarah
623476	245414	Girl #1
623477	297233	Good Townspeople
623478	214046	Herself (editor, Blue Harvest
623479	69416	Carla
623479	73314	
623479	147541	Brianna
623479	391976	Sydney Shanowski #2 (2004-)
623479	399947	Ione Starr (2002-present)
623483	36723	Hattie
623483	36864	Passenger
623483	41155	Moose
623483	52358	California Club Poker Player
623483	72724	Mrs. Morgan
623483	92486	Mrs. Fritz N. Pitzle
623483	97017	
623483	149759	Sick Woman
623483	211985	Poker Annie
623483	231386	Nut #18
623483	338361	
623484	51990	
623485	1792	Herself (Miss December 1990)
623485	102768	
623485	257629	Herself (Miss December 1990)
623485	257649	Herself (Miss December)
623485	257820	Herself (Miss December 1990)
623485	361851	Herself
623486	1225	Rita the Waitress
623486	208631	Lamaze instructor
623486	318195	Jane
623486	359422	Boy's Mother
623486	407794	Student Nurse Ellen Turner (1
623487	390336	Herself - Weather Presenter
623487	405606	Weather Forecaster (1999-2000
623487	405607	Weather Forecaster (1999-2000
623488	65895	American girl
623489	163613	Dot
623489	331137	Claire
623490	306916	
623491	142949	Hairstylist
623492	43738	Annie Kingsburgh
623492	288676	
623492	340220	Autograph hunter #1
623493	140190	Gladys Armstrong
623493	343005	
623494	297773	Alicia
623494	358376	Customer at hair salon
623496	411529	Reporter, Anchorwoman (1994- 
623498	410661	Bonnie Bearpaw
623499	60312	Melanie Jackson
623499	110380	Sue Sue
623499	406579	Mrs. Blanchard
623500	31838	Organist
623500	276642	Mrs. Friedheim
623500	320597	
623501	200957	Prostituée
623501	305082	Committee Member
623502	206828	Herself - Principal, Taroona 
623503	339914	
623504	16969	
623504	35724	
623504	41992	
623504	49908	
623504	54655	Sammy, the stewardess 'in con
623504	82468	Woman in tuxedo, admiring Joe
623504	86993	
623504	87388	
623504	98840	Herself
623504	98848	Herself
623504	98861	Herself
623504	119791	
623504	128849	Martha, Ginger's boutique cus
623504	155072	Woman entering orgy with two 
623504	164359	Jill
623504	187411	Herself
623504	187413	
623504	196097	
623504	196334	
623504	233693	
623504	242063	Herself
623504	265008	
623504	279771	
623504	303459	Herself
623504	316793	Topless dancer
623504	320997	
623504	321324	
623504	321385	
623504	331426	Charleen
623504	354793	Joan
623504	368316	Sammy, the actress/model
623505	691	Herself
623505	1744	Herself/Audience Member
623505	23927	Herself
623505	23933	Herself
623505	47164	Herself (Hostess)
623505	75524	Herself
623505	105016	Herself
623505	112473	Herself
623505	131790	Herself
623505	133498	Herself
623505	138721	Herself
623505	207692	Patsy
623505	244916	Herself
623505	280035	Guest
623505	286519	Herself
623505	286520	Herself
623505	286521	Herself
623505	286522	Herself
623505	378947	Herself
623505	384521	Herself - Celebrity Bar Manag
623505	392422	Herself
623506	240254	
623507	510	Mistral/A-20
623507	515	Mistral
623507	516	Mistral/A-20
623507	517	Mistral/A-20
623507	9433	Kiyoko
623507	31053	Additional Voices
623507	46135	Princess Fillet
623507	122113	
623507	126438	Suzu
623507	138135	Mayuki
623507	184379	Dinah
623507	195629	Kuro, Student, Moe
623507	201373	Flonne
623507	301601	
623507	307189	School Kid
623507	313338	Witch Girls, Additional Voice
623507	336577	Meeko
623507	378651	A-20/Mistral (Episode 28)
623507	378652	Mireille
623507	379485	Uzume, Student
623507	380605	Harriet 'Hattie' Bartholomew
623507	384133	Sumono
623507	385151	Orphan
623507	387049	Kazuki Yotsuga (in girl disgu
623507	387419	Additional Voices
623507	389870	Tiki Musicanova
623507	391257	Monica Gabriel, Kid D, Young 
623507	391752	Lynn
623507	393503	Talen The Pink Squirrel
623507	393552	Additional Voices
623507	394427	Child
623507	394711	Tachikoma
623507	396440	
623507	397187	Guni
623507	400143	Risky
623507	400268	Marie/Maho Kazami
623507	402729	Moe
623507	404879	
623507	408537	
623507	408734	T-ai
623507	408893	Sandie
623507	409831	Paiway
623508	196844	Madame
623509	238030	Herself
623510	630	The Girl
623510	53318	Shirley
623510	63041	Bela
623510	69549	Amy
623510	112962	
623510	147744	Herself
623510	169384	Bela
623510	201799	Bela
623510	233894	Tracy
623510	234692	Bela
623510	240508	
623510	280161	Reggie Rocket
623510	286374	Angela
623510	336556	Bela
623510	355166	Bela
623510	364290	Bela
623510	403587	Regina 'Reggie/Rocket Girl' R
623511	102447	Shahal/Sayaka
623511	308769	Additional Voices
623512	4776	
623512	7622	Peggy Martin
623512	27351	Marianne Madison
623512	66826	Herself
623512	90203	The Niece
623512	92247	Linda Colt-Stratton
623512	211590	
623512	213069	Stella Weldon
623512	220490	Celia Farraday
623512	222814	Mlle. Camille L'Espanaye
623512	231419	Beth Girard
623512	241060	Susan Walker
623512	290328	Annette Edlridge
623512	303440	Marilyn Sterling
623512	316889	Isabelle Perry
623513	80515	Hotel Receptionist
623513	230410	Receptionist
623513	384783	Susan Caley
623513	385299	Sheila Harvey/Mollison (1970-
623513	387518	Staff Nurse Amy Williams
623514	122109	Additional Voices
623514	122110	Additional Voices
623514	122111	
623514	122112	Additional Voices
623514	122113	Additional Voices
623514	397187	Additional Voices
623515	96415	Shadowland Queen, Juliet 2
623515	123053	Brainscan Unit
623515	152909	Miren
623515	222330	College Student
623515	298985	Diao Chan
623515	298986	Diao Chan
623515	310150	Bar Lady, Queen Of Ruins
623515	378718	Yo-Ou Jokaku
623515	385060	Chairman, Child A, Old Woman
623515	385151	V.T.
623515	395167	Fat Chicken
623515	396440	Debonair
623515	397187	Yukie Tsukimura, Mariel
623515	403965	Kamatari
623515	404122	Hera
623515	408893	
623515	409831	Presiding Judge (Season 2)
623516	66159	
623516	367334	Goth Woman
623516	403737	Vanessa Barrett
623517	187072	Young Mother on Road
623517	310118	Maddie
623518	228595	
623520	139760	Performer Sunny Fox
623521	305549	Grete
623524	151304	Mrs. Wellington
623524	335549	Mrs. Schuyler
623524	364330	
623525	113808	Citizen
623527	113603	Young Girl
623528	40252	Cindy
623529	166873	Nurse #2
623532	253302	Wiseguy
623533	122214	Street Mutant
623534	40163	Horsewoman
623534	70551	Mayor's Daughter
623534	92170	
623534	98923	
623534	129906	Chief's daughter
623534	139113	Virginia
623534	140120	Bank President's Daughter
623534	141453	Bathing Beauty
623534	163777	Virgie
623534	195907	The Girl
623534	196293	
623534	206430	
623534	229513	The Girl
623534	257735	The Twins
623534	317832	
623534	331083	
623534	362731	
623535	1701	Herself - Presenter
623535	1748	Herself - Presenter
623535	2040	Herself
623535	2394	Herself
623535	2626	Herself
623535	18983	Herself
623535	30952	Ms. B. Haven
623535	40342	Reed
623535	42296	Felicia
623535	44108	Lysterine
623535	44450	Hooker (VA hospital)
623535	91881	Shari
623535	99330	Lucinda
623535	103839	
623535	104994	Co-Host
623535	126715	
623535	137237	Jenny
623535	141051	Herself
623535	142809	Faye Pridgeon
623535	155696	Debi LeCure
623535	158999	Jasmine Dubrow
623535	159002	Herself/Jasmine Dubrow
623535	161309	Herself
623535	161388	Herself
623535	171485	Michelle Langford
623535	176711	Vernita Green
623535	176712	Vernita Green (Copperhead)
623535	177074	Future Monique
623535	177630	Lucille Slocumb
623535	192250	Pauline
623535	201701	Herself
623535	201702	Vernita Green
623535	201723	Herself
623535	220126	Constance Simms
623535	221483	Herself
623535	277892	Lisa
623535	279989	Guest
623535	285787	Sara Anderson
623535	295077	Francesca 'Frankie' Sutton
623535	307686	Queen of Sheba
623535	309477	Maxine
623535	326442	Miss Gold
623535	342079	Charlene
623535	342769	Shante Smith
623535	364558	Elizabeth 'Mickey' Waters
623535	378665	FBI Agent Nicole Scott (2004-
623535	380668	Vicki Atwood
623535	382036	
623535	384360	Dr. Lillian Price (2000)
623535	385824	Carmen Silva (1988)
623535	389867	Maia
623535	390008	Robyn Buckley
623535	400542	Charisse Chamberlain
623535	400625	Ellen Patella
623535	410546	
623535	411802	Stephanie Simmons (1995)
623536	7743	
623536	7749	
623536	41620	
623537	352465	Girl Junkie
623538	44301	Waitress in Cafe
623539	189843	Host
623539	319649	Sabrina
623540	387247	Clare Butcher (2002)
623542	27107	R.C.
623543	140566	
623543	261420	
623544	209236	
623545	328906	WPC Bernice
623546	45439	Neighbor
623547	7077	Herself
623547	388348	Judy Winslow (# 2) (1989-1993
623548	39627	Dancer
623549	31635	Preppy Girl
623550	39846	
623550	108651	
623550	258089	Jesse
623550	282390	
623550	294044	
623550	310374	
623550	346122	
623552	1262	
623554	91902	
623554	260092	Denise
623554	260094	Denise
623554	312374	
623557	290389	Judith Hightower
623557	299742	Tracy
623558	187413	
623559	128851	
623560	291447	Nude Swimmer
623561	34758	
623561	37949	Herself
623561	41034	
623561	43531	
623561	52350	
623561	98854	Annie
623561	98868	Hospital visitor
623561	98879	Ms. Parker
623561	113520	
623561	125655	
623561	126689	
623561	140924	
623561	141067	
623561	147887	
623561	148557	
623561	192227	
623561	245473	
623561	260713	
623561	291050	
623561	291286	
623561	296177	
623561	302579	
623561	313239	
623561	313251	
623561	313289	
623561	317938	
623561	321160	Herself
623561	326169	
623561	326507	
623561	326508	
623561	368749	
623561	369902	
623562	276440	OR Nurse
623563	262232	
623564	127106	Herself
623567	245235	Officer Caldwell
623567	321275	Woamn's Voice
623570	128724	
623570	170285	Love lotion saleslady
623571	2435	
623573	6722	Herself
623573	13337	
623573	41758	
623573	74039	Trophy Girl
623573	87322	
623573	101460	
623573	160769	
623576	168939	
623577	31526	
623577	81377	
623577	115059	
623577	140951	
623577	241138	
623577	241359	
623577	257781	
623577	295917	
623577	318501	
623577	363998	
623578	7724	
623578	13401	
623578	26923	Herself
623578	26940	
623578	26941	
623578	34726	
623578	34758	
623578	34759	
623578	34785	
623578	39556	
623578	39646	
623578	43489	Wife
623578	54700	
623578	54701	
623578	54702	Angela
623578	56708	
623578	57138	
623578	57156	
623578	60156	Barbara's coach (Part 4)
623578	73503	
623578	83159	
623578	84537	
623578	85679	
623578	87340	
623578	87564	
623578	91561	
623578	91575	
623578	91840	
623578	94532	
623578	97506	
623578	102809	Herself
623578	175407	
623578	185889	
623578	190852	
623578	192227	
623578	195617	
623578	197806	
623578	243113	
623578	244921	
623578	247894	
623578	252214	
623578	257992	
623578	260725	
623578	263759	
623578	267214	
623578	271322	
623578	271323	
623578	296329	
623578	298268	Herself
623578	304586	
623578	310381	
623578	312374	
623578	313244	
623578	313252	
623578	313288	
623578	324661	
623578	324662	
623578	332517	
623578	334327	
623578	358074	Herself
623578	365444	
623578	372506	
623579	243478	
623581	36879	
623581	50387	
623581	187167	Dancer
623581	261289	
623582	13278	
623582	39744	
623582	50344	
623582	50387	
623582	50558	
623582	55270	
623582	88252	
623582	92011	
623582	95879	
623582	119063	
623582	126340	Herself
623582	128326	
623582	128546	
623582	128676	
623582	138346	
623582	183381	
623582	183383	
623582	196036	
623582	243357	
623582	256186	
623582	257461	
623582	269033	
623582	280294	Dixie Dynamite
623582	289793	Woman in The Leather Chest co
623582	305391	Bullitt
623582	307015	
623582	310470	
623582	333823	
623582	333827	
623582	338081	
623583	53670	
623584	406566	
623585	99585	Miss Hawaii
623586	159731	
623586	175832	Cynthia Gates
623586	215507	Lori Emerson-Summers, Reignin
623586	279488	Additional Voices
623586	294980	Ray's secretary
623586	381312	Officer Phillips
623587	77805	Vivian Warner
623588	213325	Violet
623589	215789	Madge
623589	316410	Nurse
623589	385020	Gina Seddon (1988-1989)
623589	393730	Tracey Gaunt
623590	389631	Co-hostess/Thug
623591	43736	Ranger's Secretary
623591	107376	Alice Martin
623591	110183	Herself
623591	167084	WAAC sergeant
623592	44731	
623592	55597	
623592	107681	
623592	218290	
623592	260040	
623592	260856	
623592	262933	
623592	268395	
623592	350919	
623593	61652	
623593	102230	
623593	107914	
623593	118594	
623593	338849	
623594	191467	La patronne du bar
623595	17417	Mrs. McGuire
623595	17475	Matron
623595	32704	Housekeeper
623595	40897	
623595	47271	Ma Fanning
623595	64908	Mrs. Guppy, landlady
623595	72491	Melia Prout
623595	78114	'Auntie' Clark
623595	95117	Mrs. Strong
623595	120687	Landlady
623595	122052	Woman
623595	127123	Dennison's cook
623595	127791	Interfering Woman
623595	128386	Undetermined Role
623595	141027	Dame Martling
623595	149386	Old Mis' Means
623595	150824	Mary
623595	150976	Mrs. Potter
623595	152177	
623595	154623	Matron
623595	154885	Kitty
623595	155299	Sadie Fellowes
623595	158500	
623595	162282	Kate MacSwiney
623595	163638	
623595	163648	Sarah Pancoast
623595	183372	Mrs. Tibbs
623595	183405	Mrs. Lowry, Matron
623595	184882	Aunt Bella
623595	188294	Maggie
623595	190159	
623595	191627	Second Orphanage Matron
623595	195673	Mrs. Cassidy
623595	195757	
623595	196926	Mrs. Hunt
623595	199185	Police Matron
623595	201149	Sheriff's Wife
623595	203095	Inspector
623595	204278	Mrs. Root-Chiveley
623595	213219	Mary Ryan
623595	214471	Mrs. Pulver
623595	228639	Duenna
623595	233907	Mrs. Smithers
623595	241096	Miss Baxter
623595	241422	Jail Matron
623595	246255	Landlady
623595	252568	Woman at Telephone
623595	252885	The Aunt
623595	256110	Aunt Martha
623595	259763	Mrs. Beardsley
623595	286132	Mrs. McGill
623595	289417	Mrs. Wilson
623595	289641	
623595	290328	Miss Gage
623595	292167	Mrs. Bradley
623595	304638	Irishwoman
623595	304963	Landlady
623595	313564	Mrs. Becker
623595	316139	Mrs. Jones
623595	317402	Miss O'Brien
623595	328467	
623595	331166	Mrs. Jones
623595	332063	Woman
623595	338104	
623595	342910	Mrs. Jenner
623595	347546	
623595	363892	Mrs. Kelly
623595	363990	The Landlady
623595	364836	Gossiping Neighbor
623595	368194	
623595	374522	Townswoman
623596	110183	Herself
623597	135341	The Ulam Tribe
623598	244034	Docky's Clamshack
623599	118763	Autograph Girl
623600	196571	Party Goer
623601	58893	
623602	26064	Country woman
623602	26079	Mrs. Hoggett's Friend
623602	113494	
623602	119892	Nurse
623602	141596	Resident
623602	190774	Inmate Three
623602	243934	Diner
623602	259271	Val
623602	318358	Housekeeper
623602	385105	Mrs. Dulcie Royal (1981-1982)
623602	407531	Midwife
623603	20330	Dresseur
623604	79990	Veronica
623605	213298	Marthe
623606	183213	Ballroom Dancer
623607	133664	
623607	177044	Mary Strong
623607	183275	
623607	311216	Ruth
623608	303678	Inger, sykesøster
623608	346964	Åse
623609	26478	Gena
623609	96117	Dana Howard
623609	130410	Holly
623609	185683	Oona
623609	272017	Claire
623610	261199	Leonor F. Pimentel
623611	156189	Minella
623611	223936	
623611	380345	(1996-1997)
623611	404050	Evelyn
623611	404051	Lilia
623612	64368	
623612	92984	
623612	124249	
623613	137570	Young Woman
623614	34372	
623614	94674	Zegretti
623614	219572	Adele
623614	341517	madre di Giulio
623615	14261	la bersagliera
623615	42596	
623615	154200	Maria
623615	238015	
623616	15022	
623616	22681	Sucettalanis
623616	36669	Caroline
623616	56048	Sandy
623616	56387	
623616	65529	Une comédienne qui refuse de 
623616	99205	Various characters
623616	104241	Marianne
623616	112889	Natacha
623616	164201	Fanny Fontana
623616	168827	Marie (crèche)
623616	201143	La cliente de la pharmacie
623616	214003	
623616	271069	La jeune nurse
623616	276340	Dame de service 1
623616	278135	
623616	282781	Guy
623616	294796	Mina Schuster
623616	337431	L'invitée aux pétards
623616	339990	Noémie
623616	348489	La jeune fille
623616	376879	
623616	383373	La Reine
623616	390477	Herself
623616	390668	
623616	392907	Sophie Pétoncule/Melle Marcad
623616	399813	Herself (1999-2001)
623616	401531	
623617	97713	Fru Heiberg
623618	379349	
623619	158873	Undercover Communications Age
623620	124174	
623620	127587	
623620	156809	
623620	165734	
623620	220746	
623620	269537	
623620	344777	
623621	115768	Karina
623621	244976	(segment "A Peça")
623622	221737	Huésped del hotel
623623	68980	
623624	327487	Nurse Lucia
623625	307440	
623626	77337	Alphonsine Plessis
623626	128945	Giselle
623626	135441	Ballerini solisti
623626	153997	La Sylphide (segment "Bournon
623626	232608	Tamara Karsavina
623626	281185	Juliet
623626	352827	Balletto
623626	409970	Giuseppina Strepponi
623627	281172	
623628	325969	Miriam
623629	25055	
623630	191002	Hahns' Maid
623630	236160	Woman in the Bar
623630	244105	
623630	343979	
623630	349452	Dressmaker
623631	116499	Dancer
623631	244918	Claudia Wade
623631	247155	Plainclothes Cop
623631	398672	Jennifer Parker
623632	29746	Monisha
623633	278409	La bionda di Belluno
623634	384118	Beatriz 'Bia' Ferrati (1997-1
623634	396610	Adriana 'Drica' Spinelli (200
623635	33529	
623635	53143	Rose Olsen
623636	84784	
623637	274092	Col. Masako
623637	327922	Rachel
623638	11771	
623639	93159	Receptionist
623640	244410	
623641	23841	La peintre
623642	27750	
623643	73159	
623645	24496	Dora
623645	43118	Azul´s wife
623645	64144	
623645	73518	Cristina
623645	97812	Flávia Chip
623645	108880	
623645	110748	(segment "Sonho")
623645	260569	Helena
623645	379008	Sarinha
623645	380919	Dora
623645	381198	Amália
623645	381328	Ritinha
623645	382684	Caroba
623645	402159	Natália
623645	404272	Natália
623645	409130	1990
623645	409347	Mag
623645	410087	
623645	412258	Olga
623646	23601	
623646	382741	
623646	383686	Soninha
623646	386123	Bia
623646	386728	
623646	388065	
623646	396126	
623646	396610	Lola (1995)/Priscila (1998)
623646	396718	
623647	68609	Mãe de paciente
623648	79133	
623650	14728	
623650	63414	
623650	75485	
623650	157331	
623650	160966	
623650	168317	
623650	213736	
623650	246849	
623650	264537	
623650	266003	
623650	292964	
623651	383441	Leninha
623651	401900	Sílvia
623651	408944	Janaína
623652	332732	Aracy
623653	20391	
623653	54195	
623653	55343	
623653	272890	
623653	320415	
623654	381328	Mirtes
623655	168948	Townsperson
623656	234523	Libby Grossman
623656	237932	Murder Victim
623657	310648	Nurse
623659	32316	
623660	81590	Norma
623661	358338	Jesse Wax
623662	314808	Katarina
623663	389858	Geraldine Cerullo (1994)
623664	140964	Sophia
623664	242077	Mrs. Stefanou
623665	33306	Herself - Belarmino's daughte
623666	96382	Reportera #4
623667	360436	Waitress
623668	118814	Estudiante
623668	213717	Mirella
623669	33306	Herself - Belarmino's wife
623670	398877	
623671	379816	
623671	395706	
623672	394713	
623673	379618	Sylvia
623673	380170	Alexandra
623673	387711	
623673	401007	
623673	408831	
623674	158794	Butterfly Ku
623674	365050	Tai's Maid
623675	34021	
623676	21982	Child
623677	21982	Child
623678	191713	Karen
623679	191713	Little Girl
623680	387397	Kiki
623681	290169	
623682	55488	Sofia
623682	113446	
623682	319325	
623682	354454	
623682	403449	
623683	263919	
623684	384202	La niña
623685	170035	
623686	57878	Bianca
623686	234390	Vecina
623686	322342	Mujer del kiosko
623687	166723	Lisa
623688	242083	Teacher
623689	10071	Employée institut
623689	388421	Boulotte
623690	214356	Annie
623691	55788	
623691	70090	Mujer cantina #1
623691	337950	Prostituta #1
623692	233333	child
623693	163203	Fat girl
623694	205760	Marie enfant
623694	268396	Victorine Taillefer
623694	324979	Lisa Boulez
623694	332226	
623694	370105	Isabelle
623694	397137	Cathy
623694	409532	Anne
623694	412269	Juanita
623695	118970	Victoria, Dancer
623696	282085	
623697	68353	Mathilda
623698	310303	Final Kiss Girl
623699	58175	Barbie Doll #2
623699	113993	Melissa Carpenter
623699	222778	Woman
623699	231426	Rebecca
623699	295916	Nikki
623699	304561	Trisha
623699	387638	Eva Pacheco
623700	12380	
623700	17473	Walter's Mistress
623700	43153	
623700	58312	Zena iz Pitomace
623700	72162	
623700	74172	Susjeda
623700	74777	Voice of Ivanova majka
623700	82906	
623700	117866	
623700	163050	Majka
623700	181555	
623700	184083	
623700	189400	
623700	192905	Ljubica
623700	222078	Mare
623700	226835	Nevenova majka
623700	229190	Zena u koloni
623700	244227	Doktorova zena
623700	258162	
623700	266064	Sekretarica
623700	266738	
623700	266739	
623700	278913	Zdenka
623700	283751	
623700	305197	
623700	305897	
623700	338865	
623700	341335	Zena iz hodnika
623700	349209	Nada
623700	349684	Vera
623700	355551	Sonja Kacar
623700	374493	
623700	375307	
623700	396319	Janja
623701	99548	
623701	149921	
623701	155619	
623701	171547	Ifj.klobusinszkyné
623701	212310	
623701	276070	Netti
623701	322095	
623701	357937	Ilona, Katus nõvére
623701	399860	
623701	407236	Juli, Mrs. Mágenheim (1987-19
623702	392740	Cinzia Chiaravalle
623703	335770	Narrator
623704	54305	Priest
623704	122470	Committee member, Socialist P
623704	182256	Elsie
623704	197738	Jerrie's Mother
623704	268375	Gerd
623704	390236	Emma Lind
623705	22818	Anne Grete
623706	56967	Eileen
623706	158543	Hairdresser
623706	348379	Joyce, in the factory
623707	220099	Holly
623708	51967	Sarah
623708	67620	Audrey
623708	186036	Debbie Martin
623708	261608	Myrna
623708	325234	Young Susan
623709	12404	Betty Barnard
623709	30085	Girl in Office
623709	75699	Jonquil Pouvoir
623709	105125	Christina
623709	246724	Lucy
623709	314508	Dolly bird
623709	362073	Doris Hitchens
623710	170875	Frankie Talbot
623711	231566	
623712	67665	Nurse
623713	344524	Herself
623714	299955	Harriet Bartlett
623715	375431	
623716	53316	Pam
623716	387471	Lady Jane Grey
623717	293258	Stenographer
623718	154000	The Diva
623719	276415	
623719	348145	Mariuccia
623720	286571	
623721	237385	The younger maid
623722	256454	
623723	108617	Crying girl
623723	381799	Fiona
623724	259398	
623725	51901	
623726	72664	Hotel Clerk
623726	209224	Plump Lady
623727	193581	
623727	194581	Young Lorna Doone (1673)
623727	281962	Orphelia
623727	315083	Mrs. Emmett
623727	367520	Miss Mounce
623729	251007	
623730	66092	Édith
623730	83229	Jacqueline
623730	108207	Nina
623730	161567	
623730	211641	
623730	217643	Marie-Lou
623730	220271	Lulu
623730	220272	Lulu
623730	229002	Geneviève
623730	264436	
623730	354695	Florence
623731	4645	Mrs. Scott
623731	16431	
623731	24664	
623731	44729	
623731	55334	
623731	96062	
623731	108544	
623731	151891	
623731	183674	
623731	199723	
623731	215519	
623731	263979	
623731	268394	
623731	302162	
623731	309986	
623731	354912	
623731	378064	Xénia Smith
623732	346791	
623733	55877	
623733	70839	La vieille dame
623733	199335	
623733	248271	La bonne fée
623733	248988	La Vieile Dame
623733	261609	Mlle Menu
623733	282000	
623733	402357	
623734	100353	
623734	153840	La concierge
623734	195702	Client at Butcher's
623734	345188	
623734	353921	Anna
623735	292497	Kiki
623736	88621	Dorothy Carleton, aka Blanche
623737	51452	
623738	8528	Native American
623738	194035	Becca
623738	303316	Girlfriend
623739	398158	Lucie Duclos
623740	107057	
623740	124324	
623740	216233	
623741	132735	Mme Girard
623741	169878	Jeanne-Marie Bontemps
623741	257886	
623741	377853	La bonne
623742	392421	Herself
623743	281897	Rose
623744	161989	Gallery Instructor
623744	194247	Night Nurse
623744	318763	Woman in Car #2 (Second Victi
623745	360200	Housing Officer
623745	382846	Lindsay
623746	63722	Une Commere
623747	271217	Lisa
623748	82880	Yvonne
623748	292747	
623749	212069	
623750	51203	Additional Voices
623751	108529	
623752	226893	
623753	268414	Une admiratrice
623755	20637	
623756	297996	
623757	249209	Fan de Jeannot
623757	380717	Mado
623757	403898	Inonda Dugas
623757	409433	Rose
623758	6377	Henriette Tremplin
623758	14403	Lucia
623758	111056	Madeleine
623758	217663	Vera Valetti (French Version)
623758	262943	
623758	377011	Jeanne
623759	77576	Vivandier
623761	137462	Dancer
623762	15003	La patronne de l'hôtel
623762	111083	Madeleine
623762	111098	
623762	193434	Lucienne Desfargeaux
623762	250708	Le modèle
623762	346630	
623763	241788	Woman in park
623764	5509	Paulette
623764	15052	
623764	15078	
623764	19100	Mme. Alice Tissot
623764	30262	
623764	66716	Marie-Thérèse
623764	101501	
623764	132881	Panard's Girlfriend
623764	211682	Lisette
623764	215062	Madeleine
623764	254092	Benjamine Lapistolle
623764	281826	Rose the servant
623764	336995	
623765	230693	
623765	381091	Herself (eliminated herself r
623766	327632	Bride's Mother
623767	264282	Gasolet
623769	34723	Herself
623769	45299	Dr. S M Winter
623769	103927	
623769	122198	Mother
623769	185598	
623769	214727	Caroline Richards
623769	229255	Tina
623769	245276	Miriam
623769	251798	Girl in sports car leaving st
623769	256612	Captain Blackheart
623769	269396	Officer's girl friend
623769	276890	Mrs. Darcy
623769	283367	Member for Southdown
623769	383661	
623769	391869	Morag Stewart/Bellingham (198
623769	393217	Madame Zentha
623769	396013	Elizabeth Quinn
623769	396442	Tortoise (Voice)
623769	402442	Cathy Wells
623769	403938	Agatha McLeod
623769	405960	Barbara Armstrong Hamilton (1
623769	410720	Host
623769	411809	Sister Grace Scott (1976-1978
623770	177088	
623771	406851	
623772	200864	WPIX Reporter
623773	323039	Diane Murray
623774	185474	Miss Williamson
623775	68222	Jen
623776	78102	Swimmer
623776	232205	
623776	295461	Game Show Woman
623777	114814	Solonge
623778	342019	Theft
623778	364161	Blonde Starlet
623779	149439	Talitha DuPree
623779	167057	Daryl Rose
623779	305153	Ferry captain
623780	107883	June Johnson
623781	385096	Herself (1960)
623782	193381	Pirotess
623782	319790	Papillion
623782	383107	Sachiko Wakasa
623782	395888	Leylia (Ep 25-27), Karla (Ep 
623783	309718	Student
623784	90324	Jean
623784	128081	Harvey
623784	141956	Aunt Dete
623784	274310	Madge Rowley
623784	275479	
623784	390887	Stella Clisby (1976)
623784	405217	Norah Smyth
623785	121484	Samantha
623785	185255	Yasmin
623786	382838	Diana Spence Corkhill (1991-1
623787	210620	Nurse on Steps
623788	45913	
623788	87154	
623788	194566	Abbey at Age 20
623788	407645	Paulina
623789	27207	Reporter #3
623789	128596	Carl's Mom
623789	139228	Zacherly
623789	189263	Courtney
623789	250713	2nd Woman
623790	13758	Tera
623790	308609	Gas Station Girl
623790	327995	Sarah
623791	85836	Lori
623791	233002	
623792	54899	Die Tochter
623793	243303	Un' allieva
623794	94645	La cameriera
623795	44738	
623795	236550	La mère d'Olivier
623796	28768	Rosanna Clerici
623797	108087	Hilary van Doren
623797	130720	The Ballet: First Queen
623797	133401	Dancer
623797	240554	Herself
623798	229728	Miss Kurnowitz
623799	265194	
623800	366040	Screenwriter
623801	133306	
623801	278956	Zoe
623802	297126	Gwen Velvet
623803	168724	
623804	25058	
623805	202277	
623806	238899	
623806	238901	
623806	238906	
623807	43703	
623807	68369	Bartender
623808	28150	La merè de Martine
623808	44982	Maguy
623808	49139	Herself
623808	51953	Martine
623808	59264	
623808	59774	Soeur Édith
623808	67638	
623808	70709	Laura Vorzet
623808	77341	Muriel Pescara
623808	77927	Flora
623808	84188	Jacqueline Cartier
623808	101999	Suzanne
623808	118177	Solange
623808	119048	Guillemette
623808	122428	Script Girl
623808	123274	La tante
623808	125737	
623808	132998	Antoinette de Clairefont
623808	169280	Sonia
623808	203948	Mlle. Féraud
623808	206235	
623808	218290	Lucile Boisvin
623808	254030	Claire Mortal
623808	257000	
623808	266406	
623808	268872	Janine
623808	272525	Attendant
623808	281306	
623808	352633	
623808	352858	
623808	354506	
623808	387659	Madame Maigret (1967-1970)
623808	404129	Récitante (1965)
623809	395405	
623809	397543	
623809	402365	
623809	403829	
623809	408230	
623809	411739	
623810	84696	Bénédicte
623810	217569	Colline
623810	217682	Chloé
623810	253524	La jeune fille
623811	182948	Women's Army of Revolt/Citize
623812	361632	Shopkeeper
623813	305430	
623814	353064	
623815	6331	An old woman
623815	23843	
623815	29580	María de Cleofá
623815	30726	
623815	53170	Rosa
623815	67826	Merciaia ambulante
623815	75241	
623815	82425	
623815	89572	Mother of the Miracle Childre
623815	89853	
623815	90746	Sister Emilia
623815	94646	Anna Rosi
623815	120771	
623815	128030	
623815	198585	
623815	201024	La mere d'Yvette
623815	236686	
623815	240343	
623815	246379	
623815	256791	
623815	266155	
623815	269002	
623815	288888	
623815	292962	
623815	293336	
623815	315449	
623815	332250	Assunta
623815	333664	
623815	338691	
623815	342113	
623815	344587	
623816	12675	
623816	125465	Soeur Marie-Bénédicte
623816	158947	Liz
623816	159449	Sister Lucia
623816	173980	Paola
623816	183497	
623816	206300	La mère de Marquise
623816	209440	Teresa
623816	222510	Juliette Duchemin
623816	229611	Nives
623816	238011	Vedoca Gordon
623816	252669	
623816	281114	Madre di Vincenzo/Vincenzo's 
623816	294418	Pia Mancuso
623816	328890	
623816	340690	Prostitute
623816	342134	Suor Angela
623816	381321	
623816	389469	
623816	390753	
623816	410582	Anna Castelnuovo
623817	57280	
623817	67209	La cliente Wonderbra
623817	124824	Madame Lombard
623817	133052	Edmonde, la comédienne
623817	204118	
623817	217167	La dame au sanshu
623817	236550	Bernadette
623817	245483	
623817	255691	Une prostituée/Prostitute
623817	258114	
623817	290440	Mme Aubanel
623817	353855	Mme Romero
623818	409093	
623819	388	
623819	302619	
623819	328116	
623820	164637	Extra
623820	380430	
623821	399542	Various characters
623822	159449	
623823	132557	
623824	71992	La grand-mère
623824	378658	
623824	379583	
623824	379853	
623824	380066	
623824	384775	
623824	385874	
623824	386480	Mother of Gala
623824	387098	
623824	389780	
623824	391440	
623824	399805	
623824	403404	
623824	405916	
623824	405917	
623824	412120	
623825	236011	
623826	107037	Maddalena
623826	159901	
623826	384618	
623827	17288	Teresa, la governante
623827	33444	Zia Agata
623827	56920	Anna
623827	61077	Adele
623827	87793	
623827	112645	Marta
623827	113445	Zia Gisella
623827	194561	Maria Soderini
623827	278892	
623827	310454	Spartacus' Mother
623827	336123	Rosina
623827	336149	Mother Superior
623827	353066	Suor Teresa
623827	356898	Suora superiora
623828	57284	
623828	71528	Mariette
623828	99361	
623828	101208	La patronne du bar
623828	110192	Old Lady in Park
623828	111067	Mme Muller
623828	117952	
623828	132288	La Gazelle
623828	148726	Jeanne Durandeau
623828	152621	La serveuse de l'hôtel
623828	156890	La mère de Paul
623828	200950	La dame de la Coupole
623828	208715	
623828	218285	Popo
623828	218289	
623828	254085	
623828	275634	Une cliente chez Malnek
623828	280517	
623828	280546	Anaïs
623828	284257	Une femme (segment "Années Lu
623828	345140	
623828	349481	
623828	356969	Loïse
623828	387650	La Cadette
623828	397192	
623828	412203	
623829	225369	
623829	376936	
623830	243303	Carla
623832	28794	
623832	405984	(Pledge, USC)
623833	235776	
623833	277607	
623833	332241	
623834	385058	
623834	385367	Brígida
623834	386162	
623834	396644	Juanita
623834	398807	Clemencia
623834	402688	
623835	4507	Service
623835	170676	
623835	376408	Freundin von Christa
623836	68954	
623837	5374	
623837	16862	
623837	20801	
623837	24140	Miranda
623837	42977	
623837	63775	
623837	69115	
623837	94723	Other sister
623837	111149	
623837	112650	
623837	121907	Maruzza
623837	234712	Maria Grazia
623837	242300	Annetta
623837	248192	
623837	251624	Maria
623837	256411	
623837	278408	
623837	278858	Gabriella
623837	280756	Cornelia
623837	281318	
623837	287760	
623837	290000	
623837	290545	The Schut's Woman
623837	356961	
623838	121965	
623839	19307	
623840	107057	La soeur de Claude
623841	36916	
623841	41538	
623841	62437	
623842	73611	Fran
623842	129019	Psychoanalyst
623842	288980	Carlotta, a Hostess
623842	306286	The Queen
623842	313074	Mabel Hammond
623842	391071	Flora Simpson Reilly
623843	80669	Telephone operator
623844	279253	Liubaia
623845	193811	
623846	298760	
623847	214874	
623848	406330	Miss Angel
623849	103723	
623850	103893	
623851	285080	La paysanne
623852	14548	
623852	129195	
623852	274900	
623853	40250	Girl in Audience
623854	67093	Lyla
623854	365597	Vera Church
623855	51989	Aerobic Girl
623855	57747	Visitor
623856	52580	Studio Lot Employee
623857	7422	Unfaithful Wife
623857	234463	Wife
623858	7175	Eunice
623858	195815	Julia Crossland
623858	367287	Beatrice Joyce
623859	26515	Yvette's Sister
623859	167048	Ensemble
623860	385824	Alexandra 'Lexie' Brooks (#3)
623861	4906	Winnie
623861	8147	Jane
623862	117656	Julie
623863	27201	Liz Wirth
623863	29287	Flora Dobbs
623863	31059	Rae
623863	32791	Teresa Kraler
623863	40077	Anne Dadier
623863	44408	Patty Colson
623863	45866	Lorrie Benson
623863	67558	Nurse Sharon Martin
623863	67608	Miss Bishop
623863	73943	Kitty Foster
623863	74240	Julie
623863	84443	Sheila
623863	90319	Lt. Alice Tomlen
623863	91554	Mrs. Lomax
623863	93240	Carol Sayre
623863	99475	Jake Osborne
623863	106746	Colette
623863	113880	Helen Sawyer
623863	117412	Altaira Morbius
623863	117770	Marie Hardy Forrest
623863	121829	Georgia James
623863	128336	Selma Goss
623863	128382	Bobbie
623863	133451	Betty Hallerton
623863	140197	Annette Larrier
623863	140361	Catherine
623863	145702	Ellen Beldon
623863	149298	Nancy Ingersoll
623863	161645	Leora Garrison
623863	165097	
623863	183944	Helene Long
623863	185694	Helen Dixon
623863	191242	Flamingo McManamee
623863	192067	Sophie Fisher
623863	192347	Martha
623863	194806	Gina Talbot
623863	195508	Maggie
623863	195610	Lisa LaMonica
623863	196420	Marion Hunter
623863	198026	Lydia Bailey
623863	207510	Ruth Beekman
623863	208757	Ellie
623863	218047	Angel
623863	219045	Monica Alton
623863	222711	Louise McCallum
623863	223931	Terry
623863	247423	Flo
623863	260229	Marjorie Post
623863	261082	Teenager in art gallery
623863	270492	Aggie Hall
623863	276634	Eileen Sedgeley
623863	280158	June Brown
623863	280465	Nancy Corlane
623863	288426	Ann Williams
623863	289577	Sally Cameron
623863	306587	Loretta Wilson
623863	318715	Elsie Rand
623863	320068	Anne
623863	320206	Isabella Alexander
623863	330893	Bobby-Soxer
623863	360880	
623863	363726	Jean
623863	365510	Jean Marshek
623863	372730	Marian Lockhart
623863	385594	Arliss Cooper (1981)
623863	389555	Adeline Jones
623863	390607	Zipporah
623863	391946	Honey West
623863	403027	Mrs. Harris
623863	410000	Bonny Maid (1949-1950)
623864	130434	Azaline
623865	17319	Mrs. Lowbridge
623866	11342	Sue Bayliss
623866	110438	Newscaster
623866	139787	Betty Chumley
623866	186121	Mrs. Ann Treadwell
623866	222814	Woman of the Streets, Mirakle
623866	228969	Herself
623866	241875	Phyllis MacNamara
623866	312774	Herself
623866	331768	Mrs. Fraleigh
623866	335669	Mrs. Dathis
623866	362514	Co-Host
623866	366865	Jenny
623866	380398	Herself/panelist
623866	380620	Host (1957-1958)
623866	382225	Host (1949-1952)
623866	383070	Host (1950)
623866	384669	Host (1954)
623866	391895	Editor in Chief (1954-1957)
623866	402112	Herself/substitute hostess 19
623866	402223	Host (1950)
623866	407445	Host (1954)
623866	407937	Herself/Host
623866	410913	Herself/panelist (1950-1967)
623866	410914	Herself/panelist (1968-1975)
623866	411052	Herself/Host
623867	31834	Lois Radcliffe
623867	304355	Spectator's wife
623868	279737	The Millar's Wife, Much's Mot
623869	267101	Herself
623870	83984	
623870	219118	Sketch Artist
623870	296684	Molly
623870	313948	McDermott
623870	316716	Susan
623870	321699	New York Bank Clerk
623870	365443	Lady
623870	368023	
623870	411378	
623871	72653	Jessica Marlow
623871	113603	Christa
623871	354793	Katy Carson
623872	20481	
623872	82903	Jennifer
623872	168828	Holley Kujo
623872	364300	Herself
623873	68064	Female Volunteer
623874	301534	Alma Lee
623875	398727	Lucy
623875	400002	Sam Thomas
623876	90267	
623877	367791	Liz Grote
623878	158150	Inmate
623878	308978	Debbie
623879	194318	Careers Officer
623880	33445	Bookshop Assistant
623880	346156	Elena
623881	340775	Young Gina
623882	329198	
623883	2376	Herself
623883	3655	Herself
623883	13782	Herself
623883	13785	Herself
623883	14189	Herself
623883	42520	Herself
623883	57666	
623883	69641	Herself
623883	116524	Bonnie Pulaski
623883	165246	Freda Holloway
623883	194269	Libby Caruso
623883	352696	Herself
623883	363046	Ginger Gray
623883	363371	Angie
623884	388350	Angela
623885	135341	The Ulam Tribe
623886	128317	Sonda
623887	224404	Dixie
623888	304969	Accompanist
623889	171084	Herself
623890	263484	Ruth Taylor
623891	69309	Alice Gardner
623892	6416	La vieille dame
623892	18324	
623892	43631	
623892	43657	Dame B.
623892	46945	
623892	58532	La mère de Delage
623892	60491	
623892	64305	Herself
623892	66075	Mme. Largeton, Hotel Director
623892	68925	La voyante
623892	73155	Lady Clem
623892	98788	Sibilla
623892	111028	50-year-old Woman
623892	114752	Sarah Topinelli
623892	117685	Mrs. Curtis
623892	121608	
623892	122424	
623892	160105	
623892	216795	
623892	265804	
623892	280518	
623892	301548	Suzie
623892	370450	
623892	377259	
623892	391625	Herself
623893	289603	Algonquin Native
623894	47941	
623894	52529	A Flower Girl
623894	52899	
623894	55063	
623894	88161	
623894	117025	
623894	118269	Helen, Marjorie's Friend
623894	143927	
623894	148958	
623894	221224	
623894	232887	Second Daughter
623894	281802	
623894	331382	Dorothy
623895	29885	Tyger Hayes
623895	53050	Mrs. Spiegel
623895	161256	Herself
623895	253348	Kris Buckner
623895	326411	Marsha/Marcia
623895	328561	Sarah
623895	332070	Lisa Lowe
623895	379716	Ceara Connor Hunter (1990-199
623895	381281	Patricia 'Tyger' Hayes
623895	385824	Diana Colville (1987-1989)
623895	389858	Laura Vining Webber Baldwin S
623895	391262	Brett Hazard
623895	396123	Ceara Connor Hunter (1991)
623895	399684	Brett Main Hazard
623895	399685	Brett Main Hazard
623896	71286	Voice
623896	98912	Sales Girl/Aerobics Instructo
623896	196889	Ginna
623896	311490	Sharon
623897	5069	
623899	131232	Maypole dancer
623900	323224	Madame Bartlett, biologist
623901	408074	Judy
623902	107896	Nikki Bardini
623902	127679	Nurse Susan
623903	58875	Jo
623903	58952	Barbara Livesay
623903	71254	Eva Bailey
623903	92658	Mina Van Helsing
623903	112743	Gillie Randall
623903	131393	Susie Dean
623903	380361	Diana Barry
623903	390030	Grace
623903	391169	Mabel Dunham
623903	393951	Penny Warrender
623903	395938	Susan Fraser
623903	397626	Lady Charlotte
623903	402743	Kate Ellis
623903	403722	
623903	404659	Lisa 'Yvette' Colbert (1977-1
623903	406104	Colette
623903	406479	Sally Hardcastle (1990-1991)
623903	409497	Maggie Perowne
623905	238608	Barbara
623906	143651	Dancer
623906	175175	WAC
623906	280895	Dancer
623906	312042	Bit
623907	90342	Pearl
623908	107351	Telephonist
623908	385020	Dot Greenhalgh (1961-1969)
623909	235258	
623910	128200	Rita
623910	221325	Julie Hare
623911	128242	Ruth
623912	176275	
623913	144660	Bailey
623913	186936	Rachel
623914	60211	Misc. Student
623915	129762	Gnome Maiden
623915	321571	Girl
623916	1871	Fanny Towner
623916	11978	Sheila Seymour
623916	12766	Marjorie 'Mudge' Scott
623916	17946	Julia Ashton Wister
623916	32976	Kitty Parker
623916	35488	Christine Bishop
623916	47198	Elena Moura
623916	59553	Donna Lucia
623916	66550	Penelope
623916	68055	Eve Appleton, aka Eve Wilson
623916	69338	Vera Kowalska
623916	75884	Clemency Warlock
623916	78036	Zara Flynn
623916	88149	Diane Carter
623916	92558	Dr. Monica Braden
623916	108021	Tina
623916	110995	Nellie Woods
623916	114155	Lucy Chase Wayne
623916	117176	Irene Manners
623916	118321	Herself
623916	125905	Myra May
623916	128619	Wanda Howard
623916	129088	Belinda 'Bill', 'Linda' Warre
623916	131896	Georgiana Summers
623916	135582	Marjorie West
623916	151097	Peggy Martin Van Tyle, aka Pe
623916	154230	Stella Parish, an alias of El
623916	154458	Laura McDonald
623916	156494	Zelda Paxton
623916	157847	Maida Walker
623916	163431	Georgia Drake
623916	167275	Baroness Teri von Hohenfels
623916	175828	Ann Brooks aka Anne Vallee
623916	177511	Dr. Carole Nelson
623916	183442	Norma Page
623916	188378	Constance Cook
623916	192009	Jo March
623916	192747	Amy Prentiss Parker
623916	203457	Lois Ames
623916	203543	Adrienne Scott
623916	203931	Tanya Borisoff, aka Spot Whit
623916	206387	Lady Wrench
623916	206890	Dr. Mary Stevens
623916	223723	Mary 'Sweetheart' Colbrook
623916	235682	Countess Olga Balakireff
623916	248613	Carmen (Isadore the Toreador)
623916	257512	Grace Herbert
623916	270754	Lady Gwen Manders
623916	289417	Mrs. Flint
623916	292829	Fay Carter
623916	300070	Herself
623916	315104	Nicole 'Nicky' Picot
623916	315506	Irina Radovic
623916	315956	Lynn Palmer
623916	316310	Diana Merrow
623916	316663	Alma Marsden
623916	316681	Natalie Upton
623916	338097	Elsie Maury
623916	340507	Madame Mariette Colet
623916	353310	Alice Morrison
623916	355221	Marya Ivanova
623916	363079	Julie King
623916	363758	Florence 'Flo' Nightingale
623916	365071	Carole Raymond
623916	367781	Claire Landin, aka Miss Clair
623916	367827	Janet Steele
623916	367962	Liane Renaud
623917	342651	Police Officer
623918	344970	Baby
623919	184233	Linda
623919	387802	
623920	245850	Girl in T-Shirt
623920	319653	Townswoman
623921	128759	
623922	147557	Social Services Clerk
623923	226963	Rembrandt
623923	314635	
623924	148886	Restaurant Patron
623925	290307	School Student
623926	81971	
623926	176771	
623926	240928	
623928	248603	Herself (vocalist)
623929	124679	Guinevere
623930	302847	Wiske
623930	344237	
623930	375752	
623931	289637	Harriet Kinnard
623933	125788	
623933	382838	Chris Myers (1994)
623934	116130	Client 1
623935	27207	Young Cynthia
623935	58898	Sally
623935	127148	Kid
623935	203786	Paula Beckwith
623935	289691	Jennifer Motley
623935	308039	Beth Bennett
623935	308440	Thea Kaufman
623935	393609	Linda Wabash
623935	395735	Cassandra Cooper Ingalls (198
623935	398245	Sarah Bishop
623936	208720	
623936	387605	Ballet mistress
623937	41890	Bissy
623938	131232	Lady pushing bassinet
623939	131232	Extra
623940	34090	Mary Beth McLaulin
623941	36482	Catherine
623941	169660	Nicole, fille de Max
623941	258247	Anne-Marie Peluche
623941	258319	Colette Dumont
623941	260908	
623942	134741	Menstruating Girl
623943	11560	Miss Kenworthy
623943	80837	Petrol Station Attendant
623943	228685	Daughter
623943	310298	Isabel
623943	350181	Schoolgirl
623943	385299	Daphne Press
623944	26607	Janet
623944	40993	Helen Wilson
623944	41225	Red's girlfriend
623944	49746	Alice Crane
623944	106011	Daisy Diamond
623944	112189	Ruby Cotton
623944	114885	Patricia Burke
623944	120335	Rosie
623944	131401	Puff Warner
623944	135563	Julia Reed
623944	140321	Gladys Gable
623944	143192	
623944	143367	
623944	147401	Trudie
623944	153998	Linda
623944	156939	Mrs. Eden
623944	157206	Ellen Kelly
623944	183405	Thelma
623944	187089	Betty Golden
623944	191118	Mable
623944	195125	Dolly
623944	199686	Noel
623944	202851	Hazel
623944	203567	Chon-Chon
623944	204197	Marge Lyon
623944	220490	Miss DeVere
623944	223389	Mimi
623944	224238	Princess Elsa
623944	230736	Gloria de Witt
623944	231863	Miss Lillian 'Lil' Baker
623944	242110	Letitia
623944	274726	Lydia Johnson
623944	276422	Party Girl
623944	282366	Flossie
623944	305459	Marie (Sleepy Sam's girl)
623944	305471	Peggy Preston
623944	306397	Mabel, a 'Fancy Woman'
623944	308336	Queenie
623944	315227	Lola
623944	316891	Lady Waiting in Georgie's Lob
623944	318159	Lorna Kent
623944	324010	Herself
623944	341891	
623944	346203	Connie
623944	348383	Sophie
623944	362571	Mae Cosgrove
623944	363960	Nurse Clare
623945	93897	Nurse
623947	346620	La caissière
623947	395620	La cliente (segment "Erre Tor
623947	404281	Inkeeper (ep 4)
623948	42731	
623949	1711	
623950	96703	
623951	208159	La cabaretière
623952	243476	Marilyn (segment "The Sensual
623953	26631	Lois
623953	302367	Elvira Kowalski/Mona Kent
623953	312148	Eve Brandisi
623953	333265	Evelyn Webb
623953	338747	
623954	289053	Carol
623954	343318	Helen Crawford
623955	183782	Blanche of Devon
623956	148874	Letitia
623956	244365	Dancer #1
623956	318813	Erinn
623956	402011	Heather Jones
623957	196048	Shamika
623958	25876	Lieutenant
623959	40148	Glenys
623959	89387	TV Reporter
623959	386546	Donna Whetlan
623959	391869	Sharon Welles (1999)
623960	197729	Mrs. Van Dyke
623961	232272	Ann Lewis
623962	308128	Beauty
623963	43606	Gospel Singer
623964	97084	Tourist
623965	318006	
623966	131232	Maypole dancer
623967	62995	Young Girl Cratchit
623968	107856	
623969	58898	Laura
623970	106015	
623970	199958	
623970	246424	
623971	131232	Baby in bassinet
623972	26882	Jane
623972	84870	Sarabina
623972	99845	Nurse Vera Winston
623972	126507	Irene
623972	131641	Edie
623972	154882	Tem Lane, Secretary
623972	163635	Daisy
623972	177268	Vera
623972	177989	Harem Showgirl
623972	241309	Hat Check Girl
623972	263169	Slave girl
623972	360072	
623973	131232	Girl walking beside bassinet
623974	348366	Commandant's Wife
623975	41238	Mara
623975	115046	Herself
623975	247159	Madre joven
623975	286046	Vieile Dame patisserie
623976	410014	
623977	311840	Karen
623978	5817	Lorraine Tyler
623978	21798	Margot de Vancoire
623978	37400	Poppy Ordway
623978	45474	Mary Callahan
623978	47292	Mazie
623978	47307	Showgirl
623978	47331	Betty Jordan
623978	47332	Agnes Forrest
623978	59605	Sybil Conway
623978	73447	Kitty Biddle
623978	79097	Frances
623978	90144	Madame de Courcy
623978	91648	Stella Fern
623978	96828	Diana Morgan
623978	107404	Pearl Crumb
623978	107436	Rita Thane
623978	112197	Rosalie
623978	114950	Connie Fentriss
623978	122003	Patricia Brent
623978	123359	Sylvia Baldwin
623978	124761	Betty Burnett
623978	127837	Mazie Le Lewer
623978	131618	Laura
623978	133909	Helen Wellington
623978	135574	EEmily Thurstan
623978	143317	Myone Madrigal
623978	151569	Betty Breese
623978	162207	Cordelia Smith
623978	167675	Susan Jane Montague
623978	190911	Mrs. Arnaud Jr
623978	193998	His Finish
623978	195103	Claire Winton
623978	195991	Edith Cloney
623978	199272	Little Rolls Royce
623978	202922	Betty Gerber
623978	208718	Ermintrude
623978	213301	Mary Miller
623978	224794	'Apetite' Mae
623978	234587	Leila Wayne
623978	239614	Mary Manners
623978	240623	Dolores Coleman
623978	254508	Helen Taylor
623978	260234	Claribel
623978	264566	Irma Stacy
623978	269353	Flossie de Vere
623978	278119	Anita Calhoun
623978	280896	Julia
623978	295337	Myra Thornhill
623978	300826	Barbara Hamilton
623978	305607	Frankie West
623978	311346	Claire Ewing
623978	315790	Madge
623978	315868	Doris Charming
623978	316663	Mrs. Mastick
623978	330389	
623978	335634	Frisco Flora
623978	346837	Marie Valentia
623978	359794	
623978	364453	Lead woman in show
623978	364836	Helen
623978	365053	
623978	372108	Bessie
623979	113985	Joan Dugan
623980	407943	
623981	365998	Pantsuk's Mother
623982	273698	Girl at airport #2
623983	27857	
623984	30618	
623984	46996	
623984	130149	
623984	145938	
623984	147763	
623984	177452	
623984	199298	Laura Barnes
623984	207184	
623984	237629	
623984	255229	
623985	283466	Andy's Mother
623986	8583	
623986	13631	
623986	17388	
623986	67653	
623986	73167	
623986	82349	(segment "Os Divinos Sons da 
623986	83520	
623986	117327	
623986	195118	
623986	204263	
623986	210263	
623986	263417	
623986	265490	
623986	267251	
623986	282268	
623986	344811	
623986	344836	
623986	352094	
623986	380097	Candê
623986	381144	Ondina Moraes
623986	381328	Dona Iara
623986	385385	
623986	387804	Juliana
623986	388065	Carmem
623986	388562	
623986	393464	Suzana
623986	393615	
623986	395882	Carla
623986	396036	Gisela
623986	396810	Marinalva
623986	396938	Eleonora
623986	399645	
623986	401086	Rose
623986	401095	Helena
623986	401900	Zoraide
623986	402424	Regina
623986	408727	Liana
623987	241054	
623988	145125	
623989	68978	News Reporter #2
623990	75360	Adrienne
623990	110211	
623990	252211	Blank Gal
623991	154937	Fille casting
623992	71836	
623992	84632	
623992	94867	Valérie
623992	103877	La prof de français
623992	110133	Barbara
623992	111701	Isabelle
623992	248415	Myriam
623992	249704	
623992	265904	Shop Assistant #1
623992	281249	Réceptionniste club tennis
623992	290440	L'hôtesse de la société de pr
623992	294548	
623992	320789	Carole
623992	339474	L'amie de Clovis
623992	346732	Marie-Françoise
623992	350425	Maryse
623992	392911	Claire
623993	61030	(segment "Ma non ci sposano")
623993	292734	Lucille
623994	248409	
623995	24010	Anni
623995	129493	
623995	142134	
623995	336538	Georgia
623995	365005	
623995	376273	Kathi
623996	371419	L'infirmière
623997	376432	
623998	217701	
623999	195137	Intello branche
623999	280039	
623999	280040	Various
623999	280041	
623999	280042	
623999	280043	
623999	398833	Various
623999	403573	Various
624000	1212	
624000	70145	
624000	377937	Brigitte
624000	383664	Vendeuse de crème glacée
624000	384013	Jeanne D'Arc Charlebois
624000	387668	Annie Desormeaux
624000	398172	
624000	400856	Suzanne Labelle
624001	8098	Martha
624001	78058	
624001	78121	Inmate
624001	82051	Alice Rawls
624001	101638	Aunt Jerusalem
624001	109723	Judge
624001	114734	Mrs. Holmes
624001	135564	Nurse
624001	188646	Mitzl
624001	203774	Candy Seller
624001	208878	Mrs. Washington
624001	299839	Officer Mendez
624001	303092	Julia Morgan
624001	309658	Sara
624001	310877	McNeeley
624001	314484	Dancer
624001	330530	Woman in Churchyard
624001	356998	Naomi Mills
624002	138544	
624002	225279	Henriette
624002	282225	
624002	405844	Susanne Wegener
624003	271236	La présentatrice TV
624004	243467	
624005	383390	
624005	387275	Julia Solano Galindo de Pinzó
624005	389233	Doña Marta Perez
624005	396392	Ester
624005	411714	Julia Solano Galindo de Pinzó
624006	115833	
624007	206993	Patrona
624008	212666	Camila
624009	61360	
624010	236753	
624011	324934	
624012	109087	
624013	52960	
624013	69929	
624013	80197	
624013	84163	Valentina
624013	100439	Margerita Rossi
624013	110110	
624013	170236	
624013	193326	
624013	209469	
624013	234430	
624013	234796	Anyula
624013	270309	
624013	276133	
624013	399083	Lola
624014	85595	
624015	392960	
624015	402059	
624015	402404	
624015	404851	
624015	410477	
624016	3482	
624016	3536	Fulvia
624016	7318	Edmunda
624016	8284	Mara
624016	12529	Raffaella
624016	14855	La vedova (segment "L'avventu
624016	19881	
624016	20402	Luisa
624016	25322	Bettina
624016	29569	Lulu Belle
624016	33558	Edmunda
624016	33662	
624016	34473	
624016	48296	
624016	49693	Leandra
624016	55555	
624016	56918	
624016	57300	
624016	90029	Ducchessa madre
624016	94658	Margaret
624016	102397	
624016	102399	
624016	113441	Giuditta
624016	188644	(segment "00-Sexy, missione b
624016	200515	Estella
624016	211307	
624016	217123	Agatina Cuccurullo
624016	237769	Dolores
624016	242298	
624016	252581	
624016	263934	
624016	276457	
624016	281081	Mrs. Pochini
624016	281110	
624016	282097	
624016	289489	Carmela
624016	324861	
624016	327441	Palaska
624016	336587	Poppy
624016	336590	Miss Italia
624016	336591	Una moglie
624016	336624	Caterina
624016	339930	Nadia
624017	252594	Silvinha
624017	380327	Tininha
624017	389587	
624017	399498	
624017	412256	
624018	6480	
624018	8540	Flor de Lis
624018	12970	Amalia
624018	14761	
624018	30480	
624018	54102	
624018	74629	
624018	83756	
624018	84163	
624018	121223	
624018	140558	
624018	189017	Helena Aturralde
624018	193066	
624018	199381	
624018	216076	
624018	219734	
624018	221577	Marga
624018	243783	
624018	280883	
624018	307196	Primavera
624018	317694	
624018	327083	
624018	339038	
624018	371689	
624019	309205	Herself
624020	73518	
624020	379450	Nanda
624020	384645	Mary Louca
624020	396610	Gabriela (1999)
624020	400445	Consuelo
624021	54571	Sneezing Woman
624022	1300	Rosa Rita
624023	411716	Herself
624024	283966	Duchesse d'Albuquerqne
624025	6473	
624025	9730	
624025	15375	
624025	19485	
624025	43130	
624025	44531	
624025	55899	
624025	63860	
624025	69023	Madre de Lucia
624025	69652	
624025	74551	
624025	74849	
624025	75622	
624025	76013	Guardia
624025	80329	
624025	86903	
624025	87075	
624025	91360	
624025	95346	
624025	101627	
624025	111418	Invitada a fiesta
624025	121274	
624025	145139	
624025	145263	
624025	146486	Invitada a fiesta
624025	189013	
624025	190408	
624025	193021	
624025	193490	
624025	200541	
624025	204276	
624025	207000	
624025	214820	
624025	234014	
624025	234391	
624025	235312	Doña Merenciana, Janitor
624025	244608	
624025	244621	
624025	246059	
624025	250476	
624025	252344	
624025	268495	
624025	276473	
624025	281297	
624025	281965	
624025	282144	Doncella
624025	296469	
624025	307212	
624025	307720	
624025	309081	
624025	343734	
624025	357524	
624025	371728	
624025	373125	
624025	376653	
624025	376746	Micaela, camarera
624025	398075	Claire de Lucas
624026	94873	
624026	276480	
624027	116554	Subway Voice
624028	48780	Estrella (9 years old)
624029	153777	Ayudante de dirección
624030	54164	
624030	68920	
624030	73194	
624030	78362	La fille du bar
624030	112753	Júlia
624030	197155	
624030	202550	Capitolina
624030	212162	
624030	222162	Senhora do Comité
624030	307205	
624030	339674	
624030	381246	Teresa
624030	391437	Various Roles
624030	392261	Catarina
624030	393345	
624030	396591	
624030	399822	Vera de Almeida Barreto
624030	402243	
624030	407867	
624030	409422	Jacqueline Fonseca
624030	411585	Guiomar Pereira
624031	71192	
624032	27980	
624033	212666	Hermanita
624035	2132	Jessica Douglas
624035	2133	Jessica Shintaro-Douglas
624035	2136	Jessica
624035	14484	Officer #2
624035	37948	Rosa Gonzalez
624035	389858	Dolores Santiago (1994)
624037	255868	
624038	104488	
624038	327329	
624038	341133	
624039	53898	
624039	68815	
624039	82993	Helga
624039	197615	
624040	238076	
624041	161775	Marina's friend
624042	269121	
624043	34378	
624044	74511	
624044	379559	
624044	397243	
624044	402055	Vanessa Santillana
624044	404989	
624045	40004	Maria Rex
624045	78806	Diana
624046	388416	
624046	408220	
624047	12970	
624047	56072	
624048	47423	Sick Prisoner
624049	384117	Paula
624049	394872	Pepita
624049	396610	
624050	402154	Herself (2000-)
624050	403218	Host
624051	338602	
624052	381757	Herself
624054	73518	Eunice
624054	89403	
624054	214632	
624054	219852	
624054	269169	(segment "Anjo, O")
624054	269574	Roma
624054	274482	Tia de Célio
624054	381144	Rosa França
624054	384002	
624054	385184	Mimosa Gomes da Costa
624054	385385	Irene
624054	386728	Norma
624054	387730	Marlene
624054	387835	Cordélia Fontana
624054	387915	Irmã Consuelo
624054	389644	Malvina
624054	390658	Laís
624054	390751	Alessandra
624054	392031	Celeste
624054	393615	Cacilda Barros
624054	393792	
624054	395044	Abigail
624054	396610	Dona Laila (2003)
624054	396886	Donana
624054	397522	Lurdes
624054	398503	Celina
624054	399645	Julia
624054	401087	Djanira
624054	402808	
624054	403747	
624054	404077	Alba Reis
624054	404801	
624054	405401	Suzana
624054	407520	
624054	407801	Singer
624054	408381	Marcolina
624054	408509	Tiê
624054	408727	Gina
624055	275466	Anna
624056	12021	
624056	51671	
624056	160137	
624057	59218	
624057	251007	
624057	300044	Additional Voices
624057	401988	
624058	10191	
624059	44755	Linda
624060	341340	Nicole
624061	37867	Patricia McCarthy
624062	116549	Butch
624062	164983	Filipina
624063	245340	Dancer (Leisure Club Sequence
624064	68680	Marta
624064	335982	Miss Biddles, Chorus Member
624065	18468	Oncilla
624065	180533	Lizzie Crewes
624066	250922	
624067	74232	Perdita
624067	163414	Girl in classroom
624068	315436	Turista Americana
624069	62297	
624069	345454	Coeur d'Artichaut
624069	377865	
624070	63640	Une cliente
624070	70509	Cliente D'Ismora
624071	236957	
624072	122076	Betsy
624073	174405	
624074	24206	Presentina
624075	148255	Young Claudia
624076	25031	
624076	44525	
624076	50148	
624076	113615	Elisabetta
624076	169769	
624076	191207	
624076	218515	
624076	247054	
624076	260949	
624076	287912	
624076	357881	
624077	61140	
624077	372555	Socialite
624078	186183	
624079	33178	Girl on wagon
624080	10248	
624081	3544	Sra. Abad
624081	9705	
624081	17071	
624081	19449	
624081	22772	Vecina
624081	56634	
624081	68581	Madre
624081	70862	María
624081	108134	Adela
624081	119865	
624081	121247	
624081	125660	
624081	146572	
624081	148174	
624081	159187	
624081	170277	
624081	199855	
624081	205260	
624081	211171	
624081	221562	
624081	221913	
624081	233352	
624081	243466	
624081	249804	
624081	253371	
624081	257423	Macaria
624081	258381	
624081	271927	
624081	277360	
624081	294075	
624081	296440	Madre Superiora
624081	309087	Madre Teresa
624081	319855	
624081	333708	Mujer del pueblo
624081	353243	
624081	354041	
624081	354903	
624081	357504	
624081	373757	
624081	376806	
624081	377166	
624081	378492	
624082	353204	
624083	374130	Reina de la noche
624084	93762	Drena
624085	319937	Gogo pige
624086	218886	Lykkes veninde
624086	305308	En dame
624087	403535	Herself - Participant (2004)
624087	403536	Herself - Participant (2004)
624088	93245	Detainee #3
624089	168446	
624090	5052	Mrs. Leswy
624091	269366	Flapper
624091	302713	'Balloon' Girl
624091	315119	Nanette
624092	187712	Hannah
624093	226442	Receptionista en Clinica
624094	158312	Maggie
624094	297625	Bonnie
624094	379716	Tara Martin Tyler Brent Jeffe
624094	380391	Cecile dePouglignac Frame Cor
624095	127550	Helena
624096	130310	Nurse
624096	204134	Mrs. Smith
624097	94312	Martine
624098	48755	Nagorka
624098	87715	Sasa
624098	375744	Izmecarka
624099	155013	Girl/Jack's movie
624100	349209	
624101	44343	Anayoga
624102	351341	
624104	310436	Kid on bike #1
624105	306270	
624105	367073	Munchkin
624106	406441	Hetty Todd
624107	45545	Student #1
624107	75282	Teen 1
624107	238658	Marcy
624107	260705	Fanatical Girl
624107	296273	Maid of Honor
624107	309718	Phoebe Lewis
624107	312542	Jessica
624108	125589	Little Girl
624110	47507	Frau Romer
624110	114124	Princess Caroline
624110	144349	
624110	363573	Mrs. Finckel
624110	377341	
624112	17683	Herself
624113	23705	Anita Sector
624113	93581	Gudrun
624113	116428	
624113	119422	Eva de Berg
624113	120032	Inge
624113	147094	Christine Liddell
624113	149812	L'amie de Hans
624113	205511	
624113	230175	Irma Fricke
624113	248540	
624113	273970	Serving Girl
624113	290652	Astrid
624113	343486	Catherine de Letrade
624113	348687	Andrea
624113	375049	Marianne
624113	376895	Sylvie
624113	396370	
624113	407831	Kaethe Gregorovius
624114	69410	Girl
624115	44954	Maid
624115	79362	Winnie
624115	134887	Susan
624115	368565	Maid to Corinne
624116	140902	Harriet
624116	291923	Victum
624117	65683	
624118	293625	
624119	384118	Paula (1999)
624120	345146	Ludmilla
624120	399756	Ludmilla
624121	166125	Manon
624121	228202	Amie de Marlène
624122	326410	Sydney Hollings
624124	368036	Emily
624126	6630	
624126	12910	
624126	14435	
624126	14793	
624126	22740	
624126	25038	
624126	25522	
624126	42631	
624126	51547	
624126	52731	
624126	58915	
624126	65536	
624126	69222	
624126	70688	
624126	73495	
624126	73548	
624126	91396	
624126	103656	
624126	103719	
624126	103941	
624126	108121	Magdalena
624126	112105	
624126	121976	
624126	131116	
624126	140578	
624126	143689	Rosa
624126	143763	Enfermera
624126	145225	Madre de Ofelia
624126	148046	Mrs. Williams
624126	149515	
624126	159235	
624126	167815	
624126	186163	
624126	197972	
624126	198237	
624126	198239	
624126	198850	
624126	202098	
624126	202618	
624126	204606	
624126	209042	
624126	212461	
624126	216056	
624126	216077	
624126	218094	
624126	222124	
624126	223612	
624126	224996	Maria
624126	228762	Leader of the Space Women
624126	235309	
624126	235350	
624126	246388	
624126	266827	
624126	266882	
624126	273013	
624126	275077	Josefa
624126	276569	Doña Cecilia
624126	277405	Madre superior
624126	281608	
624126	287854	
624126	300709	
624126	307780	
624126	307811	
624126	318010	
624126	318284	
624126	319595	
624126	327363	
624126	332677	
624126	332709	
624126	334675	
624126	339159	
624126	339164	
624126	339179	
624126	352009	
624126	353977	
624126	356671	Dona Maria
624126	376697	
624126	376713	madre de Ana Luisa
624126	381029	Ruperta
624126	382378	Tia Prudencia
624126	383532	
624126	387576	
624126	388096	Elisa
624126	398167	Rosario
624126	410081	Doña Gabriela
624128	51800	Kathleen Noonan
624129	20683	Francine
624129	24626	Herself (actress)
624129	28566	Maja
624129	66037	Claudia Diehl
624129	66038	Claudia Diehl
624129	66148	Laura
624129	80553	Nina
624129	91867	
624129	106647	Fiona
624129	160258	Laura
624129	193176	Vicki the Camper
624129	218363	Candice Cain
624129	235491	Gina
624129	247032	Jenny
624129	366954	Sylvie Chounard
624129	391555	Fritz Boller #2 (1994-1995)
624130	199820	Regina
624131	122757	Frau Hogel, Übergrau's secret
624132	17683	Herself
624133	80807	Pilot - Lt. Dan
624133	128236	Dock
624134	13588	Waitress
624134	39108	Julie
624135	162033	
624136	12588	Gräfin Arnim
624136	24737	Elli
624136	40987	Actress Lilli Costa
624136	46603	Krämerin
624136	55148	
624136	69042	Mrs. Smallking
624136	101335	
624136	103081	
624136	108189	
624136	130649	Kitty
624136	142111	Siddie Fasan
624136	144025	Elder lady on street
624136	153735	Mutter [Mother - U.S.]
624136	178781	Oberin
624136	180963	
624136	180991	
624136	191013	Mangold
624136	193301	Vera Wronksi
624136	197838	Frl. Betty White
624136	198267	
624136	225134	Frau Fuergartner
624136	225181	Gertrud Gerhart
624136	226246	Hanum
624136	226255	
624136	251811	Ingrid
624136	284116	Betty
624136	306404	Marion Eisenhut
624136	325634	Frau von Bredow
624136	325804	Frau Halgesheim
624136	334528	
624136	338376	Lotte von Pechstein
624136	345571	
624136	347678	
624136	347788	Fräulein Altamont
624136	352580	Mutter
624136	369406	
624136	381382	2.Patientin
624136	390480	
624136	395644	Olga
624137	186021	Counter Girl
624138	236702	Bianca
624139	86712	
624139	288470	Nora
624139	343884	Evelyn
624140	39845	Sandy
624142	119723	
624142	122451	Niko
624143	23891	Ingrid
624143	213684	
624144	34256	
624145	259980	Valérie
624146	25827	Orna
624146	29399	
624146	60096	Liora
624146	97710	
624146	190180	Mary Clopas
624146	235488	Nurse
624146	275484	Young Leah
624147	18028	Engagement Party Guest
624148	201597	Estelle's Friend
624149	330684	
624150	352165	Freyja
624151	11450	Student
624151	86467	Girl at Santa's
624151	126752	Karen
624151	150802	Junior Bridesmaid
624151	222704	Queenbee Girl #1
624151	293098	Girl in Library
624151	347746	Student in lunchroom
624152	381912	Herself
624153	37270	Mrs Stone
624154	12743	Lucy
624154	13747	Vartuhi
624154	91720	Bartender's Ex-Wife
624154	265090	
624154	288957	Marcia
624154	289222	Mrs. Kerwin
624154	372463	Raquel
624154	395023	Sheila Brackman (1986-1988, 1
624155	72242	Ranch guest
624155	155703	Hazel
624155	165206	Girl
624155	254709	Norma Harkness
624155	321519	
624155	343160	Showgirl
624156	55277	Andrea Watkins
624157	98383	
624158	182540	
624159	253058	Shelby's Daughter
624160	274319	Carrie (Swimming Naked segmen
624160	380511	Herself (season 1)
624161	86797	Jackleen
624162	93953	
624163	242515	Nutmeg Endacott
624164	124564	Nightmare Victum
624165	11031	Herself
624165	278361	Gallery Reporter
624166	347703	Frau Wimberger
624166	364992	
624167	290534	Schultze's Mother
624168	48369	Ingrid
624169	158302	Princess
624170	17683	Herself
624171	51302	Herself - Jury member
624171	78266	Herself
624171	407264	Herself - Singer
624172	177705	Lesbian pedophile
624173	205076	Patient
624174	78882	Waitress
624175	361408	
624176	200783	Irina
624177	108087	Dancer
624179	183397	Glenda
624180	225118	Helene
624181	321394	Ruth
624181	402197	Cindy Moran (1985)
624182	51932	
624182	223281	
624182	227551	Polly
624182	237223	Gloria
624182	312883	
624182	322513	Silvia
624182	355729	Bonne
624182	361522	Dixi
624182	389959	
624183	195418	Student
624184	116554	Shannen Trayer
624184	178293	Shane
624184	223349	Lisa
624185	350209	Church woman #3
624186	399177	Peggy Brendel (# 2) (1993-199
624187	390707	Tina
624187	390812	Tina Zimmermann, geb. Ullrich
624187	396624	Julia Breuer
624188	157290	
624189	2947	Janet
624189	207695	Ellen
624190	231675	Mrs. Brown
624191	271612	
624191	333097	Amelia Mainwaring
624191	340220	Mrs. Hopkins' sister #2
624191	341987	Ruby
624192	183868	Lawyer
624192	382002	Alice's Mum
624192	387518	Helen Booth
624192	399598	Mrs. Bailey
624192	407879	Beattie
624193	26469	Babs
624193	40883	
624193	93415	Dr. Elvira Bremond
624193	94375	Julia
624193	209875	Helene
624193	228173	
624193	259484	Katrin Schubert
624193	279633	Henny
624193	361054	
624193	376003	Jana
624193	378546	Marina
624193	385009	Jacky
624193	392669	Bianca
624193	395511	Senta
624193	397977	Herself
624194	399175	Anke
624194	406321	
624195	42023	Cashier
624195	324973	Elderly Woman
624195	329421	Party Guest
624195	372364	2nd Female Bath Attendant
624196	101117	Herself
624197	80750	
624198	235168	
624199	134093	Charisma Kavanagh
624199	338920	Reporter #5
624200	376036	
624201	290104	Frau Brühl
624202	126331	Maxi Reinhard
624202	379596	Laura Ross
624203	44595	Anna
624204	282416	
624205	292101	
624206	290740	Renate
624207	93439	Singer
624207	134778	Gesang für Gardy Granass
624207	156056	Singer
624207	376272	Herself
624208	4766	
624208	174569	
624209	297290	Tracy
624210	21285	
624210	329898	
624211	123043	Narrator
624212	105462	Dancer
624213	920	Woman's Friend
624214	147740	Laura Drake
624214	366652	Bridgett
624215	302492	Village Maiden
624216	375808	
624217	83936	Brannon brother
624217	165103	Rachael Rosenblatt
624217	255143	
624217	294203	Tibbett Sister
624218	69343	Marco
624218	81522	
624218	115343	Pada Giustiniani
624219	219118	Flight Attendant #2
624220	380063	Perrita Marilín
624221	346413	Tania
624221	380692	Fern Walters
624221	383186	Julie (English language versi
624221	398082	Belinda (2003-)
624221	404112	Sagwa
624221	410930	Additional Voices (2003- )
624221	411202	Loulou
624221	411565	Check-out Girl/Marcie
624222	280365	
624223	185341	Judge Paula Lathrop
624224	307483	Katia
624225	83043	Agnes
624226	367083	Extra
624227	188453	Bathroom Girl #2
624227	352517	Stephanie
624228	105280	Ghost Dancer
624230	278325	
624231	101763	
624232	64675	
624232	141072	
624232	289876	Sarah
624232	356097	
624234	279071	
624235	139745	Al Franken's Daughter
624236	102581	Daughter
624237	46613	Gina
624237	231456	
624238	196684	Arlene
624239	323390	Mingo Junction Cheerleader
624240	238660	Mrs. Davis
624241	54496	Mrs. Jinks
624242	60016	Weather Girl
624243	20999	Herself
624243	246742	Herself (painter)
624244	83902	1. Schausteller
624244	112174	
624245	208973	Jacqueline
624245	230840	
624245	266714	Maggie
624245	271611	Jacqueline
624246	289671	Secretary (segment "The Death
624247	139052	Brunette showgirl
624247	154907	Marti
624248	397495	
624249	260301	Sarafina
624249	336138	Alice Raymond
624251	190722	
624252	38660	
624252	85096	
624253	377674	
624255	53217	
624256	1841	Herself
624256	2516	Herself (performer)
624256	2573	Herself
624256	2872	Herself
624256	3297	Honeree
624256	14098	Herself
624256	14190	Host
624256	20052	Herself
624256	20054	Herself
624256	20213	Herself
624256	23228	Herself
624256	42055	Mrs. Murphy
624256	42056	Mrs. Murphy
624256	42349	Herself
624256	50060	Herself
624256	57639	Herself
624256	62959	Herself
624256	69080	Herself
624256	87981	Herself/performer
624256	104994	Herself
624256	146639	Herself
624256	156959	Herself
624256	163523	Mrs. Murphy
624256	163600	Herself
624256	165269	Herself
624256	175535	Herself
624256	175536	Herself
624256	175537	Herself (Honoree)
624256	220208	Herself
624256	243950	Herself
624256	286338	Herself
624256	286439	
624256	299018	Herself
624256	299020	Herself
624256	302435	Herself
624256	302720	Herself
624256	315467	Herself
624256	324783	Herself
624256	335079	Herself
624256	352979	Herself
624256	367824	Herself
624256	368818	Herself
624256	404381	Herself
624257	294150	
624258	59104	Singer #1
624258	158951	Mrs. Pullman
624258	221049	Tish's Wife
624258	268211	Garden party woman
624258	398140	Ms. Gish
624259	238442	Isemene and Antigone
624260	144903	
624261	2289	Herself
624261	46431	Gail
624261	47385	Herself
624261	47386	
624261	57492	Herself
624261	135514	Shirley
624261	137392	Herself
624261	154396	
624261	161210	Herself
624261	175749	Betty
624261	186381	Bobbie Stone
624261	223135	
624261	261046	Margaret Sanger
624261	303235	Sister Margaret
624261	318773	Girl in dormitory at Briarwoo
624261	368952	Young girl
624261	372876	Alexandra
624261	383711	Co-host - part VI
624261	400223	Ann Romano Royer
624261	405258	Susan Cratchit
624263	42055	Ton Tons Macoute
624264	196063	Real Estate Agent
624264	410807	Presenter
624265	20054	Herself
624265	42056	Soul Food Chorus
624265	163523	Soul Food Chorus
624266	384495	Presenter
624266	390195	Herself - Fashion Expert (200
624267	368247	Herself
624268	87364	Greta Schmidt
624268	88869	Mrs. Parkus
624268	92694	Peasant on Coach
624268	106493	Parent of Murdered Children G
624268	108350	Phyllis
624268	116084	Customer
624268	142487	Captain Hull
624268	191152	Silent Woman
624268	314434	Ms. Clements
624268	326741	Ms. Luger
624269	170842	Prison Guard
624270	192286	Snack bar girl
624271	14489	Patricia Montelli
624271	35252	Monique Junot
624271	37787	Princess Joanna
624271	77152	Amanda
624271	80791	Stefanie Aggiston
624271	151365	Sharon Browne
624271	185065	Karen
624271	292249	Eve
624271	318706	Cinni
624271	328659	Suzy Putterman
624272	39720	Girl Sacrificed by Mother
624272	337178	Black Servant
624273	224917	Young Echo
624273	244034	Shane
624274	20054	Herself
624275	1674	Herself
624275	46665	Maya
624275	84210	Herself
624275	339937	Girl On Bed #2
624275	352974	Herself
624276	347063	Demon
624277	221755	
624278	94136	Fah-Lo-Suee
624278	94137	Fah Lo Suee
624278	124775	Sonya
624278	146752	Guest
624278	183789	Nina
624278	209682	Annabelle Lee
624278	279441	Ninky Poo
624278	302669	Eurasian Woman Asking David f
624278	329388	
624279	32701	Elsie
624279	68689	Tea Lady
624279	79876	
624279	86322	Miss Bailey
624279	92508	Cook
624279	114842	Mrs. Bingham
624279	142672	
624279	144574	
624279	144968	Mrs. Webb
624279	151384	2nd Old Lady
624279	222627	Landlady
624279	232295	Mrs. Hansen
624279	242718	
624279	269923	Witch
624279	271003	Elderly Woman
624279	276906	Woman on train
624279	292785	Mrs. Pitt
624279	317900	Bus Conductress
624279	331526	D'Artagnan's Mother
624279	342661	'Clarkie'
624279	382586	Mum
624279	383627	Sara Meek
624279	385299	Myrtle Cavendish (1974)
624279	385889	Alice
624279	387247	Ethel Skinner (1985-1997, 200
624279	392397	Auntie Lil
624279	395530	Else Ramsay
624279	399383	Miss Knag
624280	361282	Herself
624281	6003	Herself
624281	7405	Miss Perkins
624281	12337	Mrs. Grant
624281	13837	
624281	40454	Fleurette
624281	56691	Opera Singer Lotte Lengel
624281	59100	Greta Hailstrom
624281	81097	Mrs. Laura Madison
624281	92247	Mrs. Gilhooley
624281	109673	Russian Countess
624281	113634	Aunt Jessica
624281	114729	Jane
624281	115637	Hattie
624281	124085	American tourist's wife
624281	183359	Victoria (Vi)
624281	183380	Actress
624281	184386	Cattle Kate Turner
624281	186556	Suzanne
624281	206415	Mrs. Baglipp
624281	213180	Cafe Proprietor
624281	263164	Mrs. Orcott
624281	273687	Ma Delacy
624281	274924	Sadie Harris
624281	288205	Passenger on Train
624281	308540	Goldie McGuffy
624281	316891	Mrs. Figg
624281	321592	Kate, Head Waitress
624281	331120	
624281	333493	Flossie Cudd
624281	352722	Toodles Hathaway
624281	359103	Herself
624281	359140	Ruby
624281	363616	Madame Marie
624281	367814	Mrs. Steele
624282	86218	Child
624283	287501	Hilda
624284	238991	Chorus Girl
624285	280117	Young Clara
624285	405258	Martha Cratchit
624287	386921	Mai
624287	386923	Agent Mai (2001)
624287	411884	Additional Voices
624288	88639	Dancer/Angel
624289	321213	Catfish Festival singer
624289	360480	Mrs. Charlie Hastings
624290	150031	Kimberly
624290	188948	Kimberly
624290	315047	
624291	320283	Vanessa Double
624292	114283	Girl with Chauffeur
624293	88038	Dawn Alushin
624293	320266	Mother
624294	324777	Foxy Extra
624295	23210	
624295	34977	Ladies' Room Attendant
624295	52399	Maid
624295	64729	Maid
624295	105130	Elevator girl
624295	147515	Elevator operator
624295	154426	Maid
624295	170791	N'Gala
624295	194220	Bathing Beauty
624295	196946	Waitress with Bottle
624295	296965	Maid
624295	304273	Lena Franklin (maid)
624295	316114	Nellie
624295	332045	
624295	346880	Hatcheck Girl
624296	241243	Miss Shipman
624297	393018	Donna
624298	329484	Granny Tapper
624299	348402	Nurse
624300	171063	Social Worker
624301	240235	FEDS Agent
624302	381755	Herself/Panelist
624303	340226	Roberta
624304	33760	Maid
624304	65663	Clotilda
624304	90176	The Duenna
624304	94526	Maid
624304	140131	Sue
624304	175160	The Mother
624304	192062	Mama Aaronson
624304	195381	Martha
624304	244367	Mrs. Kane
624304	252712	Mrs. Stout
624304	258921	The Mother
624304	270470	Mrs. Bianchi, The Mother
624304	294690	Gretchen's Mother
624304	339690	Madame Vinard
624304	345826	Landlady
624304	362614	Ma Berkowitz
624304	367463	Ipanoff's Mother
624304	372812	Mrs. Lesser
624305	144798	Herself
624306	240970	Mrs. Cohen
624306	389365	Aunt Vi
624307	72104	Specialty Dancer
624307	91758	Keyes' Secretary
624307	94881	Dancer
624307	137206	Tap Dancer
624307	183706	Dancer
624307	207287	Guest
624307	228642	
624308	328554	Brill's Sister
624309	386603	Barbara Ferra (1972)
624309	400239	Claudia Barbour #1 (1949-1950
624309	410977	Ruth Monroe (1969-1970)
624310	154313	Herself- interviewed
624311	728	Herself
624311	729	Herself
624311	733	Herself
624311	5539	Shelby
624311	16092	Jane
624311	73825	Sheila Fielding
624311	79554	Dora Spenlow
624311	96635	Betsy Balcombe
624311	98803	Anna Hall
624311	115592	Penny
624311	116676	Lorna Scott
624311	149807	Marian
624311	160069	Flora
624311	187254	Florence Tanner
624311	188642	Karen Forrester (The Forreste
624311	191288	Tina
624311	227473	Bobbie Medman
624311	229241	Lori Brandon
624311	232080	The Girl
624311	244883	Diana Hook
624311	263786	Sandy
624311	288472	Elizabeth Sayers
624311	291259	Nicola Stevens
624311	293092	Tirza Green
624311	302568	Annie
624311	330547	Catherine Whitset
624311	332806	Julie Williams
624311	367952	Abby Stevens
624311	402669	Kate
624312	342883	Mrs. Yazzie
624313	40536	Mary
624313	46893	
624313	55683	Vera Bragg
624313	55686	Farmer's Daughter
624313	55699	Cpl. Cook
624313	55700	Rosemary
624313	55706	Mrs. Dreery
624313	168297	Sally
624313	297802	Spinster
624313	391768	Ann Naylor/Wheelwright
624314	114099	Nurse #4
624315	95510	Yuppie Waitress
624315	119484	Ticket Taker
624315	203328	Dr. Marsha Demarky
624315	264818	Dog Lady
624316	158818	Tube top girl
624317	194315	Bernice
624318	65378	Prostitute
624318	117908	Hooker #2
624318	194520	Bebe
624319	58014	
624320	399816	Miss Manson
624322	143627	Annette
624322	386601	Nurse Franklin
624323	142535	Joey's Voice
624324	159863	Diana Ryan
624325	236313	Herself
624325	310549	Herself
624326	215691	Miss Nevada USA
624327	235594	Mrs. Ralston
624328	183804	Matron
624329	334216	Susan
624330	389750	Herself
624331	194324	Mother Hetchel/Shepherd
624332	75460	Barbara
624332	220638	Joanna Burton
624332	368675	Miss Spellbinder
624332	381295	Herself (auction bidder)
624332	389500	Marsha Hatfield
624332	391254	Harriet
624332	394274	Jacqui Rush (1981-1983)
624332	396081	Second Twitterer
624332	402124	Jane Bennet
624333	383631	Valerie Sinclair: Out-Patient
624333	390574	Biddy
624333	405829	Juliet Grant (1991)
624334	58296	
624334	192901	Radmanca
624334	273090	
624334	373599	Majda
624335	223487	
624336	366531	
624337	198229	Doorkeeper
624338	138293	
624339	160242	The Butterflies and Moths
624340	11539	Jenny Lewin
624340	141956	Clara
624340	151139	Jane Reid (segment "Sweets to
624340	162843	Dinah Mannering
624340	163921	Attendant
624340	192102	Fredericka Armfeldt
624340	192431	Alice Sandman
624340	316476	Emma Hedden
624340	323837	Carol Clayton (segment "All T
624340	340099	Little Girl
624340	345707	Angela
624340	364417	Katy
624340	385930	Brenda Pridmore
624341	131506	Nurse Bullitt
624342	367581	Woman #5
624344	177624	Ophelia
624345	387533	Gabriella (Gabby)Thomas
624347	292158	Jane Morris
624348	209170	Bride
624349	294794	Victim 2 (reenactment)
624350	79478	White House Nurse
624350	92660	Lucy's maid
624350	97347	Mrs. Rhiner
624350	344197	Captain Pearl
624351	108318	Waitress
624352	116365	Secretary
624353	215294	
624354	93776	Omalee Ledbetter
624355	407369	Additional Voices
624356	134778	Singer
624357	56142	Female Cop
624357	129570	Black woman
624357	154876	Sarah
624357	186618	School Board Secretary
624357	273340	Waitress
624357	338553	Molly
624357	345861	Bernice
624358	360670	Baby
624359	388321	Karen Webb Ellis (2000-2003)
624360	222647	Barbara Chaney
624360	318776	Gardner's daughter
624361	354751	
624362	367805	Blonde
624363	377444	Anna as adult
624364	153190	Birthday party guest
624365	135991	Lil
624365	166370	Ursula
624365	250902	Lilli
624365	287398	Hong Mai
624365	347850	Second Turist
624365	397938	Fashion Editor
624366	153717	
624366	284553	
624367	2761	Herself - Memorial Tribute
624367	31202	Herself (CBS Team)
624367	57493	Host
624367	77575	Nancy Johnson
624367	87872	
624367	98156	Abby Bradford
624367	109617	Susan
624367	127491	Anne Bedford
624367	138700	Herself
624367	154944	Martha
624367	227929	Molly Morgan
624367	232441	
624367	240649	Joanna Loudon
624367	261062	Sandy
624367	302783	Pat Michaels
624367	367523	
624367	385824	Amanda Howard Peters (1974-19
624367	394504	Nan Hollister
624367	396145	Clementine Duke
624367	398695	
624367	399306	Joanna Loudon
624367	403281	D. B. Bentley (1973-1974)
624368	26517	Sabra Busch
624368	35794	Patty Duke
624368	50300	Sue
624368	56545	Herself
624368	119172	Baroness Heloise
624368	142037	
624368	156606	Rita
624368	168816	Liane
624368	170387	
624368	180704	Martha
624368	182809	Karin Körner
624368	189791	Berta
624368	206224	Voice of Marlene Dietrich
624368	225655	Dizzy Blonde
624368	230198	Karatecoach (segment Ohne mic
624368	236212	Die Frau
624368	236828	Mona
624368	239114	Karatecoach
624368	249633	Renée
624368	254986	Polish Woman
624368	289850	Petronella
624368	293470	
624368	314857	Fernsehansagerin
624368	325593	Christine Hinderksen
624368	325909	Hanna
624368	334013	Cora
624368	343682	Blinde Britta
624368	353997	Ilona
624368	375171	Conny Thiele
624368	377355	Nora
624368	389360	Laura
624368	393885	Ellen
624368	395005	Karin Körner
624368	404308	Dr. Sonja Kroneck
624368	412103	Kathinka
624369	202541	
624369	285469	
624370	26787	Dolici Dalgado
624370	74182	Luisita Espirtu, Nurse Aide
624370	107873	Gypsy Dancer
624370	187951	Rosita
624371	45196	Mme Marescot
624371	104541	Mlle Gribeaucourt
624372	388421	Ficelle
624373	381089	Herself
624374	397886	Herself
624375	17861	
624376	379978	Herself (eliminated 5th) (200
624377	240568	Natalie
624378	345042	La journaliste Paulette
624378	397857	Juge
624379	17317	Hotellkvinna
624379	52121	
624379	58345	Sanna Pöllänen
624379	139429	Elisa
624379	169542	
624379	242255	Mari
624379	268169	Susanna Mäkinen
624379	282466	Pia Holvisalo
624379	304166	
624379	323358	
624379	353845	Femme dancing
624379	354286	The next door's lady
624379	377312	Janitor's Wife
624379	392233	Hotelli virkailija
624379	410180	Tuula
624380	84316	Emma
624381	290985	Blaze
624382	164633	Mia
624384	390236	Hilma
624385	346180	
624386	377336	Janet Lindberg
624387	325619	
624387	376603	Vera
624387	394751	Dora's mother
624388	2010	Self
624388	167714	Sheila
624388	310801	Kelley
624388	382419	Ambrosia Moore (1997-) (#2590
624388	406952	Tiffany Thorne #1 (1/1997-5/1
624389	292041	Woman at the Social
624390	108326	Vicky
624390	361541	Nurse
624391	385705	Daria
624392	16834	Mme Romero
624392	16950	
624392	27778	La mère de Gilles
624392	40561	MMe Duteil
624392	45128	Concierge
624392	46937	Voisine Jessica
624392	59236	Mme Vaussart
624392	63929	Adèle
624392	64274	Mme Laurent
624392	66078	
624392	84667	
624392	85690	Une servante
624392	86437	Germaine
624392	105738	Madame la Présidente
624392	110134	
624392	137220	La Patronne du bistro
624392	144307	
624392	146372	Une voisine
624392	165775	La propriétaire de la loterie
624392	170452	Mme Carrel
624392	208715	
624392	225445	Nanette
624392	237471	
624392	243345	
624392	254101	L'hôtesse
624392	280527	Anne Goumic
624392	282099	Mme Lacour
624392	284222	Madame Blanc
624392	284271	Mme Lavergne
624392	322581	Yvette, la dame-pipi de la ga
624392	324944	Mlle Bedler
624392	332224	La patronne de l'Armoric
624392	341546	Maline
624392	345071	Madame Tranet
624392	345422	Aimée Faure
624392	346802	
624392	348730	Mme Massin
624392	349499	Madame Basset
624392	355250	Elevator passenger #5
624392	357848	Germaine
624392	376987	Maman
624392	377484	
624392	379801	La concierge
624392	380967	
624392	387659	La propriétaire du "Providenc
624392	391622	
624392	392580	La concierge de l'immeuble
624392	397192	
624392	397473	Various characters
624392	400681	Mme de la Mothe
624392	404663	Mrs. Taylor
624393	249548	
624394	116383	Alex
624395	164400	Matron
624395	323983	
624396	151608	Woman with Red Hair
624396	318337	Diane's Mom (DeeDee)
624398	12704	
624398	12838	
624398	126404	
624398	136199	Hilde
624398	138156	Frau von Schönwitz
624398	139709	
624398	162455	Voice of Julie's Grandma
624398	207210	Voice of Tante Neme Bonetti
624398	211126	
624398	222112	Additional Voices
624398	223490	
624398	290009	
624398	332201	
624398	361336	Mrs. Schramme
624398	380558	Witch Thabasa (voice: German 
624398	380700	Grandmother Sesemann
624398	395667	Hildegard Scholz
624398	397969	Snail Mother
624399	115455	Moni
624399	286780	Kundin 1
624400	215834	
624401	63144	
624401	81192	Linda Loman
624401	91522	Dottie McCann
624401	107100	
624401	114364	Bea Greenberg
624401	150973	Grace Stepney
624401	163610	
624401	164590	Pru Buckman
624401	194369	Doris Highsmith
624401	195401	
624401	235547	
624401	247119	Aunt Lucille
624401	255826	Doctor
624401	278776	Mrs. Rice
624401	284932	Joanna
624401	290394	Jane Dillon
624401	292526	Grace Foster
624401	297246	Maryanne's Mother
624401	317877	Miss Barzakian
624401	330477	Leda Rossington
624401	337126	Cecile Nelson
624401	342630	Social Worker
624401	346872	Dorothy
624401	358674	
624401	380391	Alma Rudder (1982-1983)
624401	390109	Josephine McCormack
624402	252159	Karen
624402	347244	Erin's stripper
624403	34595	Alexandra
624403	290512	Lilli (# 1)
624404	161523	Cinderella's stepmother
624405	79049	Dianne
624406	397886	Herself
624407	117667	Princess Helene
624407	182789	
624407	303173	Princess Helene in Bayern aka
624407	303175	Princess Helene called Nene
624408	53291	Computer Voice
624408	107930	Backpacker
624408	143240	Darcy
624408	160973	Alyse
624409	106013	Mrs. Döring
624410	1385	Sonja, waitress
624412	102208	Moss' Woman
624413	225205	
624414	72005	Betty Howard
624414	99750	Maysie Stafford
624414	112986	Charlotte Biggs
624414	190287	Rose McKee
624414	194469	Izzy
624414	267526	Maiden
624414	277014	Marie
624414	285433	Mrs. Harper
624414	316834	
624415	396941	
624415	396942	
624415	408562	
624416	100264	
624416	135285	
624416	212352	
624416	212412	
624416	293402	
624416	333743	
624416	384423	Hilda
624416	393187	Cecilia
624417	339254	Vicky
624417	362080	
624418	258005	Young Widow
624418	279277	Dorothy Comingore
624418	324659	Dancer
624419	400566	Natalie
624420	11810	
624420	248954	Cicci
624420	354447	
624421	8194	Claudia
624421	349754	Sra. Semenza
624421	380056	
624421	390498	Psirolaga
624422	402881	Ingrid
624422	405570	Avdelningssköterska (3 episod
624423	393273	Mamma med barn
624423	403084	Ingela (2000)
624424	210359	Herself
624425	108197	Maria
624426	238743	Marta
624427	159646	
624428	286573	
624429	17379	Zuzu
624429	20098	
624429	61345	
624430	28589	Gisélia
624431	401944	
624432	246852	
624433	195117	
624434	8261	
624434	15302	
624434	23621	
624434	26544	Suzete
624434	51614	
624434	55906	
624434	57448	Mecenas
624434	69703	
624434	74033	Arlete
624434	120703	
624434	128277	
624434	143551	
624434	159510	(segment "Transa, A")
624434	165406	Maria Teresa
624434	166381	
624434	184299	
624434	196662	
624434	219566	
624434	222149	
624434	222185	
624434	227859	Helena
624434	247390	
624434	250987	
624434	252594	
624434	269914	
624434	288439	
624434	319626	
624434	339757	
624434	341134	
624434	344856	
624434	366079	
624434	379822	Eugênia
624434	384382	Clara
624434	384871	
624434	403025	
624434	404014	Sandra
624434	411739	
624435	60048	
624435	379450	Raíssa
624435	384992	Carol Rosa
624436	381200	Gabi
624437	60376	
624437	70050	
624437	243390	Eurídice
624437	332732	Inmaculada/Tieta (Young)
624437	338208	Maria
624437	378392	
624437	384137	Dra. Sofia Mendonça (2004)
624437	387640	Nun
624437	388721	Lucilene
624437	400670	Blanca de Sevilha
624437	403171	Maria Santa
624437	404165	Madalena
624437	405936	Cláudia
624437	406833	Clarice Ribeiro
624437	407864	Tereza Batista
624438	4514	
624438	34284	Odete
624438	225820	Carolina
624438	334467	
624438	377604	
624438	387830	Nair
624438	391900	Adier
624439	14689	Irmã de Baltasar
624440	132944	Girl at Bar
624441	212137	
624442	340877	Hotesse Air France
624443	15121	Cécile
624443	284236	
624444	42560	Femme cinéphilie
624444	70316	
624444	121427	Jeune fille
624444	354911	
624445	220218	Juliette, France
624446	248894	La secrétaire
624446	268413	Muguette
624448	230869	Heather
624448	251173	Samantha
624448	294217	Margaret Dashwood
624449	101881	
624450	8986	
624450	53641	
624450	199584	Elle-même
624451	84654	Clarisse
624451	100431	Chloé
624451	319866	Caroline Leblanc
624451	345097	Sophie
624451	346772	
624452	152603	Neighbour
624452	371101	
624453	103209	
624454	29414	La Gonflette
624455	104777	French entry (5th place)
624456	163147	
624456	214204	Mina
624457	101181	Hôtesse d'accueil
624457	336713	Wendy
624458	71487	The thief
624458	284259	Julie
624459	61418	Mother
624459	382486	Carole Prézeau
624460	6932	Gertrude
624460	17696	Mrs. Dodd
624460	38818	Luna (2000)
624460	38819	Luna
624460	38822	Luna
624460	138872	
624460	157922	Lady Teacher
624460	164637	Mother
624460	316467	The Countess
624460	346139	Lady #2
624460	346694	Mme. Braner
624460	382104	Miss Finch
624460	382212	Mrs. Shambles
624460	383964	Mrs. Blaine
624460	391328	
624460	391330	Fifi
624460	394334	Keroppi
624460	401100	Aunty
624460	401518	Mrs. Prysselius
624460	404124	Luna (1995-2000)
624460	406120	Emma Cruze
624461	30646	Woman #2
624462	76384	Mission Woman #1
624463	364465	Cute little girl
624464	194246	Signora Carmela
624465	254522	Flamenco Dancer
624466	44372	
624466	73016	
624466	73031	
624466	73043	
624466	78523	
624466	82477	
624466	94696	
624466	99870	
624466	135298	
624466	199040	Giulietta
624466	237310	Niquette Liseron
624466	246369	
624466	332931	
624466	348197	The adventuress
624467	290402	Madeline
624468	82710	Jacob's Girl
624468	287407	Aki
624469	165733	
624470	188511	Nurse
624471	260140	Airport Girl 1
624472	209633	Stenographer
624472	367919	Debutante
624473	100838	Mrs. Atkinson
624473	231212	Sam Bennett
624473	294060	
624473	313699	Aunt
624473	385299	Yvonne Duclos
624474	116517	Harriet
624474	155453	Dancing Secretary
624474	164371	Marianne
624474	216486	
624474	379168	Additional Voices
624475	191820	Woman in Green
624476	170616	Mamie O'Gallagher
624477	80395	Patient
624477	232425	Additional Voices
624478	187193	Secretary
624479	85107	
624479	170789	
624480	264723	
624481	80493	Aboriginal Woman
624482	313073	
624483	87883	
624483	110996	Assistant Matron
624483	183754	Mrs. Small
624483	380508	Mrs Appleyard
624484	264480	Alice
624484	292042	
624484	374523	Lynx
624485	321466	Dawn Fraser's Coach
624485	397381	Herself
624486	27181	Truck Stop Band
624487	207268	Female dancer
624488	291760	Philippa
624488	323018	Annie Davidson
624488	409386	Nurse
624489	397958	Herself - Personal trainer
624490	11342	Lydia Lubey
624490	22016	Jennie Boyden
624490	28478	Widow Renfrew
624490	50244	Betty, blonde awaiting Danny
624490	52579	Marie
624490	68324	Anna Korstad
624490	81023	Kate Collins
624490	81186	Miss Forsythe
624490	132525	Second Lady
624490	144586	Mary Winfield
624490	145405	Sharon Forbes
624490	203470	June Stanley
624490	232861	
624490	241349	Eileen Spence at Age 17
624490	250516	Sadie
624490	281909	Bess McCoy
624490	286705	Lovey Sylvester
624490	289645	Atlanta Lady
624490	292285	Plump Blonde
624490	306396	Julie Hempel
624490	314231	
624490	335549	Irma
624490	341752	Alice Pepper
624490	342857	Sophie
624490	360271	Mrs. Fairman
624490	362840	Mother Reed (modern)
624490	364330	Dora Ashley
624490	372484	Amy Tuttle
624490	388634	Hazel Norris
624490	401369	Sgt. Joan Hogan (1955-1958)
624491	196048	Tamara
624492	166554	Herself
624493	49948	Nicole
624493	115557	Wilma
624493	138863	Sally Brown
624493	142893	
624493	146091	
624493	314949	
624493	398181	Bitsy
624494	8261	
624494	73518	
624494	85620	
624494	95432	Carmita
624494	97856	
624494	99664	(segment "Transplante de Mãe"
624494	148472	Olívia
624494	222375	
624494	251009	
624494	294113	
624494	319626	
624494	322265	
624494	341153	
624494	380525	Evelyn
624494	381773	Madame Waleska
624494	383677	Elisa
624494	387104	Elisa
624494	387694	
624494	396337	Mimosa
624494	397550	Frida
624494	399489	
624494	399498	Adelaide
624494	404185	Letícia
624494	405401	Pierina
624494	407639	
624494	408592	Sarita
624494	409419	Ita
624494	410287	Pina
624495	131509	Lady in Waiting
624495	306500	Julie
624495	390523	Laura Reagan (1986-1988)
624497	348379	Annie
624497	359485	Girl
624497	410632	Waitress
624498	27247	Herself/Sylvia Hollamby
624498	38019	Barbara
624498	38725	Lulu
624498	45286	Ellen
624498	79878	Mrs. Ackroyd
624498	120459	Guest
624498	132061	Mme. Van Vecten
624498	143619	Mousy Bird (Greta Spavin)
624498	160780	Joyce Midgley
624498	163352	Herself
624498	235174	Mrs. Morland
624498	250713	2nd Neighbor
624498	276052	Bridget
624498	308105	Miss Bunyan
624498	313844	Mimi Montage
624498	345846	Mary Ream
624498	347112	Charge Nurse
624498	381121	Sylvia Hollamby
624498	386583	Dr. Mary Parsons/Bingham
624498	386658	Susan Nipper
624498	393907	Mrs. Spencer
624499	108354	
624500	70366	A woman
624501	317248	Young cult girl
624502	365121	Fatima
624503	58770	Horsewoman
624504	87864	Sharon Harrison
624504	129118	Mrs. Forrester
624504	185964	Noreen
624505	41319	
624506	299202	Daycare Mom
624507	346224	GFC Jingle Singer
624508	67385	Channel 3 Anchorwoman
624509	53336	Germaine
624510	62995	Belle
624510	69305	Bridget
624510	72034	Mariette, the Servant
624510	82789	Ilona
624510	85012	Rachael
624510	88195	Margaret
624510	117728	Hannah
624510	131403	Red Riding Hood
624510	161839	Louise Marshall
624510	162364	Doris Stevens
624510	175784	Candice
624510	178929	Kate the Farrier
624510	187081	Chaya
624510	201818	Herself
624510	203178	Bedroom Beauty
624510	207692	Rosemary Bailey
624510	249076	Amanda
624510	303550	Helen
624510	305351	Joanne Macgowan
624510	313995	Harriet Collins
624510	329488	Jane Doe
624510	334008	Lavinia
624510	339464	Megan
624510	350424	The Future
624510	355184	Justine
624510	362586	Joanna Robinson
624510	384940	Lucy
624510	391194	Emily Trevelyan
624510	399192	Door
624511	26672	Ex- Girlfriend #1
624511	224942	Teacher#4
624512	18549	Pressroom Reporter #3
624512	165031	Birdwatcher
624512	310083	
624512	395166	Female Witness
624513	6907	Violet
624513	6911	Maisie
624513	14255	Sheila
624513	14982	Suzie Tidmarsh
624513	49236	NAAFI girl
624513	53301	Interviewee/Various Character
624513	55683	Sylvia Ramsden
624513	55684	Sally
624513	55694	Glad Trimble
624513	55709	Delia King
624513	61175	Mrs. Evans
624513	69381	Mrs. Antonia Whitemonk
624513	69393	Mrs. Chalmers
624513	76507	Mavis Pike
624513	79627	Tea Lady
624513	83618	Edie
624513	88883	Leonora
624513	91581	Sandra
624513	95255	Worker in Holden's Garage.
624513	105125	Miss Slightly
624513	108410	Molly Thompson
624513	122057	Betty
624513	133782	Woman in Cinema
624513	144658	
624513	154935	Cynthia Kite
624513	183542	Flossie
624513	192570	Joyce Corby
624513	229728	Mrs. Brent
624513	232318	Lulu
624513	232319	Fay
624513	246724	Jo Lake
624513	246769	Gloria Hoskins
624513	267449	Constable Susan Partridge
624513	271362	Miranda Kennaway
624513	273640	Waitress
624513	282037	Mrs. Dixon
624513	335826	Mabel
624513	336652	
624513	343194	Ethel
624513	346110	Sandra
624513	346943	Herself
624513	348380	Mrs. McCarthy
624513	359857	Daphne
624513	368012	
624513	384337	Liz (1961)
624513	386018	Edith
624513	387815	
624513	388216	Doris Entwhistle
624513	391050	Agnes
624513	403890	Mrs. Joy (1988)
624513	405271	Sister Mavis Gearing
624513	409068	Faye Bush
624514	99195	Bag Lady
624515	139123	Blood Flossy
624516	338547	2nd Child
624517	146807	Member of the Wedding
624518	372406	Stall Woman
624520	5196	Lettice Willis
624520	45421	Moyra Parkhill/Madame Dubonne
624520	77856	
624520	78607	Bored Woman
624520	138184	Mrs. Northcote
624520	143636	Mrs. McGregor
624520	187084	Annabel
624520	199554	Highland Dancer
624520	203548	Ethel
624520	266222	Woman
624520	323423	Molly
624520	349404	Air Hostess
624520	380714	Penny (Series 2-9) (1993-2002
624520	385643	Aunt Do-Do
624520	398392	Lady Barnington
624521	194528	Girlfriend
624522	60829	
624523	151183	Nancy Pike
624524	189473	David's Mum
624525	39844	A Bridesmaid
624525	97669	Girl in drugstore
624525	105178	Millicent
624525	105227	
624525	109844	Aggressive Girl Friend
624525	112634	Dodo
624525	116963	Julia
624525	139780	
624525	175162	Secretary
624525	192008	Mary Anne
624525	196927	Toots
624525	233838	
624525	313301	Flapper
624525	330602	Twelfth Woman
624525	336805	Gloria
624525	355837	Woman
624525	366090	Barbara Forsythe
624526	309280	Girl
624527	11277	
624527	78024	June
624527	96753	Mrs. Helen Kingman
624527	99449	Prostitute
624527	127401	Janet Cleveland
624527	163223	Joan Nelson
624527	163433	Dorothy Wyndham
624527	235062	U.N. receptionist
624527	245397	
624527	279493	Joanie Wilson
624527	359286	Joyce Manning
624527	405258	Belle and The Spirit of Chris
624528	68235	Head girl
624529	5196	Madge
624530	125520	
624531	16070	Mrs. Benet
624531	68492	Kay Garrett
624531	81134	Penelope MacRae
624531	90888	Mrs. Straker
624531	104047	Margaret
624531	146631	Minnie Larkins
624531	149444	WVS Woman
624531	154354	
624531	185390	Bracket's Wife
624531	185726	Mrs. Grayson
624531	207435	Alice France
624531	235592	Mrs. Alison
624531	253379	Mrs. Banks
624531	271338	Mary Kent
624531	286336	Myra Lorne
624531	292206	
624531	308375	Constance
624531	312908	Cub Mistress
624531	313459	Aunt Beru
624531	330366	Mrs. Thatcher
624531	333042	
624531	336697	Miss Gurnsey
624531	339784	
624531	342868	Helen, Jane's Mother
624531	361261	Millie
624531	366179	Diane Wilton
624531	366767	Mrs. Creek
624531	372891	Ellen Foster
624531	388324	Jean Ashton
624531	400087	Diana Price
624531	411330	Lady Bassinger
624532	368408	Herself - Judge (Germany)
624532	386219	Jury member
624533	66656	Mrs. Smith
624533	387471	Elizabeth Vernon
624534	77630	Social Worker
624535	155921	Holly
624535	177422	Leslie
624535	211382	Night Nurse
624536	140967	Holly
624537	139273	Elsa Friend
624538	325976	The Maid
624539	265901	Assistante
624540	16078	Girlfriend
624540	16910	Street Walker
624540	77767	
624540	109415	Counter Clerk
624540	115838	Horsewoman
624541	214917	Girl in Pool
624541	303860	Woman #3
624543	235544	Narrator
624544	224820	Student Charlotte
624545	113338	Chocobaba
624545	201290	Baron Ashler
624545	283679	Landlady (English version)
624545	308790	Miles 'Tails' Prower
624545	386236	Harpy, Chiyoko's Grandmother
624545	410739	Raindevila
624546	189987	Stripper #2
624547	186447	Street Prostitute
624548	63146	
624549	222378	
624550	3169	Bit part
624551	352317	
624551	352318	
624551	352319	
624552	318344	Jeanette
624553	373793	
624554	223172	Herself
624555	109087	
624556	33667	Conchita
624557	249548	Sorority Girl
624558	36419	
624558	46770	Ania
624558	64689	Jaga
624558	131754	Julia Kuczmanska
624558	132609	Janka
624558	157674	Ania, Nowak's Student
624558	176685	Lipski's Daughter
624558	186389	Kasia
624558	205972	Françoise
624558	255515	Secretary
624558	260598	Jola
624558	266540	
624558	315018	Danuta Milej
624558	375961	Shopkeeper
624558	382619	Elzutka Jurewicz
624558	398874	Dr. Monika Zybert
624558	412075	Katarzyna Wolska
624559	385747	Herself
624560	132247	Los Alamitos Dance Team
624561	66064	Herself
624561	78365	Herself
624561	104246	Jeannette
624561	132735	Florence
624561	142869	The Patronne
624561	225517	Léone
624561	249718	Duke's waitress
624561	272474	
624561	300107	
624561	336975	Rose
624561	374208	Mado
624562	43673	Sylvie
624562	377792	Social Service Tutor
624562	391933	Alix
624562	407550	
624563	132735	
624564	187436	Nadia
624564	204601	Angela
624564	284971	Rosa Sacco
624565	242027	
624566	310416	Check-out Assistant
624567	256624	Kate
624568	134672	Herself - 'Jeopardy!' contest
624569	20787	Connie
624569	37189	Student
624569	43877	Megan Gallagher (Puppet Maste
624569	72580	
624569	105228	
624569	189920	Marlene
624569	203716	Judy Sanders
624569	206477	Grace
624569	241604	Tina
624569	258374	Donna
624569	267345	Megan Gallagher
624569	282429	
624570	76670	Scholliers Child #4
624571	103565	
624571	410432	Hazayka na Tzolov
624572	62834	Katerina
624572	85260	
624572	190775	
624572	320529	
624572	326332	Zlata
624572	352781	
624573	229644	Second Amelia
624574	34372	
624575	127943	Elpidia
624576	37263	Cynthia Love
624577	178085	Woman on Bus
624578	296665	Hot Girl
624579	51989	Aerobic Girl
624579	230247	
624579	230247	Deutsches Ehepaar
624580	14817	Madre de Pili
624580	43078	Encarna
624580	115820	Soltera Bus
624580	197885	
624580	236026	Madre Fotógrafo
624580	284337	Manuela
624581	8306	Scilla
624581	17582	
624581	30372	
624581	164188	Lolita
624581	197467	Maria
624581	197637	
624581	205445	
624581	260888	
624581	263410	
624581	269637	
624581	314549	Chiquita
624581	318580	Bianca Spada
624581	318632	
624581	336126	
624581	336591	Cleopatra
624581	351580	
624581	355787	Luisa
624581	356985	Fernanda
624582	19748	
624583	204234	Herself
624585	193643	
624586	359598	Maria
624587	199495	Kollegin im Arsenalkino
624588	158276	Clara
624588	208661	Forbes
624590	348557	
624591	133856	Yodeler
624592	133856	Yodeler
624593	259561	Charlotte Wennisch
624594	259561	Charlotte Wennisch
624595	93754	Nacha
624595	213514	Maria
624595	241145	Cashier
624596	209095	Earnest girl
624596	320453	Sophie Gold
624597	39217	
624597	52807	
624597	91492	
624597	91493	Dot
624597	169475	
624597	389181	
624597	401624	Herself (?-1980's)
624598	38080	
624599	65200	St. Albans Maid
624599	358703	Janette Broughton
624599	382659	
624599	382663	Clare Carter
624599	395924	Venitia Medhurst (Kevins Sist
624599	411056	Pamela
624600	315801	
624601	396088	Young Bambi Brewster
624602	262591	Tanya's Priestess
624603	390523	Emma Bolton (2003)
624604	218713	Pat
624605	308216	
624606	84494	Catherine
624606	96846	Annie
624606	337282	Corinne
624607	208228	Herself
624608	340271	
624609	195300	Joanna, Daniel's dead wife
624609	241341	June
624610	80621	Linda
624611	206139	Patricia
624612	65767	
624612	274741	
624613	226901	Pool table nude #1
624614	165441	
624615	387905	Digna Villegas
624615	408410	
624615	410108	Graciela Quiroga
624616	74828	(segment "Intriga familiar")
624616	221744	Madre de Berenice
624616	333607	Roxana
624616	382578	
624616	386015	
624616	390096	Regina Santa María viuda de L
624616	395872	Carlota
624616	396214	Cristina Aldama
624616	397738	Lucrecia De La Torre de Muñoz
624616	399943	Nora Agois de Ventura-Miller
624616	408410	Florencia
624616	408793	Lucrecia de Vil
624617	43432	Barbara
624618	12239	Gloria Dobson
624618	16915	Jane Lord
624618	19782	Herself
624618	32070	Sally Richards
624618	36791	Chiquita McSweeney
624618	48569	Judy Gray
624618	52198	Patricia ONeil
624618	54452	
624618	72242	Connie Gray
624618	90308	Mary Reynolds
624618	124760	Betty Richards
624618	126069	Showgirl
624618	126513	Ann Winters
624618	132759	Carol Martin aka Carol Vander
624618	136266	Barbara Adams
624618	142637	Kitty Rand
624618	144446	Sunny
624618	158777	Marion
624618	173524	Eileen Hasbrook
624618	175119	Star in Moviehouse Film
624618	185513	Jane Cooper
624618	210388	Kay Barnett
624618	210421	Herself - Singer
624618	218780	Gloria Jackson
624618	218781	Toby
624618	218783	Vicki Forrester
624618	240817	Candy Martin
624618	262265	Musical comedy star
624618	277515	Carol Denton
624618	277521	Joan Holton
624618	282041	Rosalind 'Rosie' Warren
624618	286899	Hope Holloway
624618	298070	Maxine Lecour
624618	302596	Edna
624618	306518	Alice McDoakes
624618	306537	Alice McDoakes
624618	306556	Alice McDoakes
624618	306558	Alice McDoakes
624618	306564	Alice McDoakes
624618	306572	Alice McDoakes
624618	306586	Alice McDoakes
624618	312044	Taffy Baker
624618	319617	Farmwoman
624618	321505	
624618	321570	Lynn Ford
624618	327672	Jeanne Hollis
624618	345969	Caroline Bullfincher
624618	362491	Anne Payne
624618	362877	Joyce Benton
624618	381803	Alice Henderson (1952-1953)
624619	39404	Rita
624620	19782	Herself
624620	210421	Herself - Singer
624621	295484	
624622	283410	Reporter Cheryl
624623	31715	Marjorie
624623	80969	Postal Customer
624623	105851	Bettiann
624623	118980	Whispering Customer Marge
624623	264157	Genovian Citizen
624623	264158	Ball Guest Diane
624623	283410	Wedding Guest Diane
624624	58483	Gloria Insburg
624624	178028	Elderly Woman
624625	125858	
624625	331279	Peg Farnum
624625	405525	Princess Mary
624625	410580	Princess Lisa Bolkonskya
624626	34448	Stewardess
624626	222609	Anne
624627	45286	Caroline Louisa
624627	194513	Sylvia Marriott
624627	286687	Property Developer's Wife
624627	348805	
624627	396073	Unity Stirling
624628	214641	Mother
624629	41471	Gerry's girl
624630	137517	Betty
624630	331314	Betty
624631	289637	Child
624632	173353	Mrs. Turner
624633	58778	Wendy
624633	246028	Vicki Mallory
624633	400634	Jojo
624633	411247	Patti
624634	26266	
624635	194468	
624635	213619	
624635	343162	Piper
624636	231964	Flower Girl
624637	213313	Fairy
624637	381661	Various Roles (1970-1973)
624638	66938	
624639	278233	Trainor's Daughter
624640	75312	
624640	75687	
624640	202926	Maria Pierson
624641	54983	
624642	122058	Molly
624643	348545	Ballet Teacher
624644	345177	Julie
624645	371043	Raoul's Customer
624646	113728	Subhuman Priestess
624647	43904	Woman on Station Bench
624648	95525	Biker Chick
624649	161641	Twin
624650	119501	Juanita
624651	197715	Mindy
624652	119501	Vita
624652	161641	Twin
624653	158113	Prison Guard-Sonia
624653	271287	St. Peter's Receptionist
624653	328556	Detention Officer
624655	66322	Saleslady
624656	265892	FBI Agent
624657	398940	Anchorwoman
624658	35650	
624659	164223	Rachel
624660	133931	
624661	78800	
624661	334234	Patti James
624662	367866	Herself
624663	310639	Singer #1
624664	184794	Natalie
624665	328285	Customer
624666	47993	Sista at Wedding
624667	311816	Rhonda
624669	116682	Molly
624669	243245	Mary Carnal, Jr.
624670	83600	Change Girl
624671	51836	Emergency Medical Technician
624672	72733	Exercise Therapist
624673	71379	
624673	389097	Herself
624674	52361	Visitors from Chicago - Betti
624674	113926	Michelle Forsythe
624674	146926	Lola
624674	167615	Herself (Actor, Producer)
624674	186535	Gloria
624674	319371	Sara
624674	319385	Georgia
624674	319560	Georgia
624674	319982	Herself
624674	331655	Wendy Kane
624674	343045	Reporter
624674	394502	
624674	395297	Gloria St. Clair
624675	313612	Cupcake
624676	48896	Ginny
624677	347956	
624678	41902	
624678	68842	Mrs. Pilluski
624678	160617	Carlita
624678	178073	Burahami
624678	188266	Gentian Tyrell
624678	244440	Minerva Derwent
624678	276793	
624678	366331	Valerie
624679	57747	Inmate
624680	56447	
624680	96496	
624680	396649	
624681	82419	
624682	242615	
624683	158747	
624684	385013	Herself
624685	313026	(segment "Fandango!")
624686	355565	Sanyi felesége
624687	240568	Thelma Todd
624688	64659	Swimmer
624689	369732	Chaval
624690	155912	
624691	53284	Cheerleader #7
624692	2256	Policewoman
624692	60278	Lisa
624692	69875	Lena
624692	84328	Eva
624692	94252	Karin
624692	96018	Morsan
624692	101636	Märta Gärdsjö
624692	111161	Annika Broman
624692	116304	Eva
624692	122620	
624692	142792	Cisse, Harri's wife
624692	153942	Deer #1
624692	164362	Sonja
624692	181846	
624692	184890	Emma Vogler
624692	204535	Siglinde
624692	209309	Marie
624692	240218	Travel Agent
624692	268360	Gabrielle
624692	288075	
624692	304655	Mona Lindblom
624692	317231	Susanne
624692	320512	Göran's Second Woman
624692	346297	Nisse's mother
624692	372967	Begravningsdeltagare
624692	377397	Åke's mother
624692	385559	
624692	386156	Ann-Christine
624692	400308	Cornelia Levertin, surgeon (1
624692	402362	Ermelinda
624692	402515	Barbro Svensson
624692	404039	Stewardess
624692	404212	Lovisa
624693	377617	
624694	337509	
624695	97138	Anna
624695	99071	Nina
624695	286395	Carla
624695	315427	
624696	340104	Tatiana
624697	338866	
624698	288875	Lisa
624699	155744	
624700	244711	
624700	270840	Olga Angelini
624700	386749	Rita Lanceri Krauss
624700	399657	Herself (1991-1992)
624701	232295	Britt Torens
624701	383173	Herself - Host
624702	395115	Rigmor (baby) (1995-1996)
624703	307390	Mavis Duval, at 8
624704	481	
624704	111352	
624704	167145	Herself
624704	244116	Fremdgängerin
624704	259497	
624704	394338	Host
624705	8483	
624705	76116	
624706	310214	Brenda
624707	196405	Party Girl
624708	265030	Woman #1 at Mexican Wedding
624709	37681	Violetta
624710	118204	Mrs. Spud
624711	253458	Fern Wadkins
624712	190340	Victoria
624713	13376	Lucy Allen
624713	142930	Catherine Howard
624713	184871	
624713	231434	Tatiana
624713	254607	Kendra Eldridge
624713	264486	Princess Flavia
624713	269175	Emanuela 'Bunny' O'Neill
624713	290080	Samantha
624713	337490	Rosa Harlborough
624713	350181	Dora Mueller
624713	353349	
624713	357068	Anna Rosen
624713	400709	Isabel Boncassen
624714	226475	Nadia Comaneci
624715	52570	Credit Check Voice
624715	79842	Missy
624715	149706	Maddie
624715	323824	Angela Cisco (segment "Fighti
624716	112023	
624716	160581	Elizabeth
624717	21786	Laura Ward/Agnes Ward
624717	23971	Audrey
624717	33476	Bella Donna (Ruby Chepstow)
624717	43550	Una Sayre
624717	48539	
624717	79393	Dolores Jardine
624717	85025	Jeannette Picto
624717	91608	Eleanor Stratton
624717	104295	Donna Roma
624717	105349	Myra Stanhope
624717	110305	Helen Winthrop
624717	110435	Princess Fedora
624717	129586	Clementina Wing
624717	143008	Vivian Tyler
624717	143109	Marsa
624717	143195	Adele Fenway
624717	152871	Courtney Vaughan
624717	169229	Lillian Josselyn
624717	188266	Petrina Faneuil
624717	196112	Molly McGill
624717	196492	Letty Shell
624717	197661	Sara Vincent
624717	198027	Lydia Gilmore
624717	199349	Madame Jealousy
624717	199401	Jacqueline Floriot
624717	206421	Nellie Wayne
624717	216163	Lady Myra Ingleby
624717	217501	Madge
624717	221251	Felicia Hindemarsh
624717	222343	Mumsie
624717	224139	Mrs. DeWitt Tyler II
624717	227392	Nanette Gauntier
624717	230088	Mrs. Hamilton
624717	240959	Joan Trask
624717	241832	Mrs. Sherwood & Marion Roche
624717	245189	Ruth Minchin
624717	246602	Emma Brooks
624717	247100	Cassy Cara
624717	251386	Madge Nelson
624717	254500	Faith Andes (Priam's sister)
624717	271855	Señora Moreno
624717	276420	Katusha
624717	279500	
624717	285030	Mrs. Taylor
624717	286359	Bernice Ridgeway/Kate Martin
624717	287972	Sapho, aka Fanny Lagrand
624717	291329	
624717	293755	Katy Devoux
624717	304593	
624717	304597	Ramona
624717	304604	Iris Bellamy
624717	304798	Zelma Bryce
624717	305803	Jane Vale
624717	306765	Mrs. Breene
624717	307280	Helen
624717	311030	Valerie St. Cyr/Joan Marche
624717	314932	Dorothy Keith
624717	329327	Madame Chung
624717	330851	Diane 'Di' Winters
624717	331702	Mrs. Mabel Wilton
624717	336379	Floria Tosca
624717	342945	Judith Sanford
624717	360301	Mrs. Eleanor Frost
624717	367442	
624717	367513	Laura Bruce
624717	367515	Margaret Rolfe
624717	367583	Sylvia Martin
624717	368587	Myra
624717	374196	Zaza
624718	310594	Introduction
624718	310595	Narrator
624718	379735	Presenter
624718	390764	Host
624719	236972	Observer
624720	124378	Extra
624721	278823	Stephanie
624722	56753	Scheherazade
624722	122217	Anarchy
624722	195102	Cleo Kingswood
624722	224179	Jill
624722	346949	Little Sue
624723	344	Iris
624723	11485	Menage Partner #1
624723	42799	Claire
624723	59350	Party Guest
624723	62699	Jewel
624723	62778	Sheila Bryant
624723	66322	Woman Golfer
624723	290906	Nancy Leahy
624723	314631	Miss Grummet
624724	257087	
624725	108529	
624726	1699	Herself
624726	84616	Mamoudou, femme de Julien
624726	101271	Herself
624726	101272	Herself
624726	154434	Angèle
624726	224485	Herself/Singer
624726	256603	Surprise
624726	281928	La Grenouille
624726	335081	La chanteuse noire
624726	376593	Herself
624727	352595	Kirk's Mother
624728	131555	
624728	186700	Bit
624728	193264	Girl on Rum Boat
624730	231098	Undetermined Role
624731	6926	
624732	207828	Matilda at 9 Months
624733	207828	Matilda at 9 Months
624734	347440	The Unnamable
624735	31855	Maid
624735	39680	Joni
624735	39861	Orderly
624735	67553	Girl at Wake
624735	95510	Maid
624735	131373	Julia
624735	188634	School Child
624735	350328	April
624736	2657	Woman in Woods
624737	232124	Still Model
624737	384931	Announcer
624738	365341	Girl At Party
624739	340683	Mildred Dodds
624740	342863	Kate
624741	134097	Secretary
624742	223289	Stem van Musti
624742	223290	Stem van Musti
624742	398647	Stem van Musti
624743	34656	McCullen's Neighbor
624744	52070	Dancer
624745	5596	Kommandantin 666
624745	361455	Ilona
624746	227171	
624746	290685	
624746	370102	
624747	133010	Herself
624748	187943	
624749	378884	Herself - Teacher
624750	26329	Pædagog
624750	100504	Filip's Mother
624750	237411	Ingelise
624750	281991	Bruden
624750	282597	Nanna
624750	392322	Gertrud
624750	393418	
624751	174102	Herself
624752	179531	Tyk pige
624753	181658	Herself - Kulturordfører, Soc
624753	306778	Herself - Folketingsmedlem
624754	44519	Belinda
624755	192662	Enkegrevinde Holten-Schønau
624755	308229	Fru Berg
624756	182621	Peter's mor
624757	93526	Lis Hvidmann
624758	328682	Mathilde
624759	126455	
624760	311109	
624761	225152	Kind
624762	313335	Mrs. Sturm
624763	396941	Despina
624764	324371	50's Housewife
624765	24695	Anne Rathmore
624766	311888	
624767	320629	English lady in waiting
624768	209328	Dansepige i 1932
624769	36850	Herself
624769	36852	Herself - Participant
624769	99592	Lille Tut Hansen
624769	159638	Herself - Brother to Sonny
624769	381899	Herself
624769	381903	Herself - Participant
624770	159638	Herself - Mother to Sonny/Dan
624771	54309	
624771	133829	Dancer
624771	176967	Sherry
624771	257961	Call Girl
624772	112008	Boston yenta
624772	118298	Mrs. Zoldos
624772	242929	Bobbie
624772	304129	Survivor
624772	355669	Mrs. Underwood
624773	99219	Elina's maid
624773	341559	Anni
624774	344376	Ilma Suurmusta
624775	72551	
624776	162534	
624777	196871	Hat Check Girl
624777	254488	Brunette
624777	304065	Clubwoman
624777	372093	Model
624777	372275	Bit Part
624778	31877	
624779	107921	Yvonne
624780	365259	
624781	349	Judge Howe
624781	362133	Judge
624781	392461	
624781	397938	Mariette
624782	238437	Queen Jocasta
624783	222597	CD browser
624784	112459	Mama Watts
624784	305349	Louise Spivey
624785	117424	Dancer
624785	296234	Janie
624786	144468	Angie
624786	232427	Karene
624786	319185	Joyce
624786	389858	Crystal (1984)
624787	1198	Chicks
624787	183314	Skoleelev
624788	28318	Jomfru Bertelsen
624788	50896	Fruen fra Ullern
624788	51297	Hotellvertinnen
624788	109137	
624788	138571	En fornærmet dame
624788	154320	Krestians kone
624788	190668	Chief Warder
624788	199299	Kjerringa til Albert
624788	314843	(Norwegian version)
624788	315378	En kone
624788	321996	Henriette Kaspar
624788	334226	Pensjonatvertinnen
624788	343716	Tante Sofie
624788	353031	Frk. Beck
624789	161396	Herself
624789	253901	Herself (Scholar)
624789	395797	Herself
624790	126546	Dancer in 'What's Happening t
624790	409930	Thea
624791	183314	Skoleelev
624792	225310	Carina
624793	320617	
624794	129661	Kajsa, Knut and Aina's daught
624794	130071	Lisa, Greta's sister
624795	147014	Sally
624796	274551	
624796	282564	Herself
624796	377334	Herself
624796	400800	Musical Guest
624797	242515	Mary Forvisa
624798	344105	Lise K
624799	41360	Maggie Donovan
624799	264205	Curette
624799	333194	Gatalite Worrior
624800	407817	Herself - Norwegian Participa
624801	384480	Beta
624802	1487	Herself
624802	2040	Herself
624802	2394	Herself
624802	94115	BET Announcer #2
624802	147005	Neigbor girl with dog
624802	181638	Gunilla aka Kulla-Gulla
624802	211782	Themselves
624802	293314	Maja Dalén
624802	321929	Young Synnøve
624802	378707	Hostess
624803	343481	
624804	212477	
624805	208425	Frau Böck
624806	41400	Choir Mistress
624807	316153	Narrator's victim 1 (in flash
624808	215176	Nun #4
624809	393730	Lisa
624810	91712	Susannah
624810	141057	Bella
624810	183816	The Slavey
624811	295548	Demonstrator
624812	253059	Model
624813	291916	Bridey at Age Eight
624814	68270	Tanya Adams
624816	333685	Tiffany
624817	368475	
624818	261116	Catwalk Model
624819	42941	Ilona Rudlov
624820	49945	Sara
624821	2017	Tracy
624821	26563	Maenad (chorus)
624821	136275	Danny
624822	192267	Passerby on street
624823	58511	Dancer
624824	176970	Christy Collins
624825	409020	Allison
624826	35163	
624826	220004	Nurse
624827	139216	Moviegoer
624828	168529	Herself
624829	40653	Angela
624829	401077	Liz Pullen (2000-2001)
624829	404617	Milly
624830	395806	Herself
624832	32585	Comfort Counselor
624833	51483	Ticket Taker
624833	73883	Nurse #4
624833	76526	Pet Lover Nanny
624833	105492	Debbi
624833	107002	Bad singer
624833	142623	Front Desk Nurse
624833	143831	Gina
624833	185065	Millie
624833	190952	Pit Recorder
624833	224134	Amanda
624833	226939	Stephanie
624833	272647	Girlfriend
624833	277091	Operator
624833	300343	Mrs. Dopalla
624833	372134	Sample Videotape #2
624833	387481	Carrie
624833	393574	Annette
624833	403452	Patty Dupont (1984-1985)
624835	160579	Charlotte Bowen
624836	14620	
624837	346006	Woman in Park
624838	200470	Thief One
624839	120528	Girl
624840	383294	Danny
624840	383441	
624840	385184	Candoca (Maria Cândida) Lacer
624840	387833	Beatriz Moreira Alves
624840	401208	Toni
624840	409419	Patrícia 'Pagu' Galvão
624840	410054	Chris
624841	166740	Jenny Omroyd
624842	362453	Nightclub Singer
624843	128089	Girl #29, Punkster
624844	261119	Roxanne Belcher
624845	47588	Onlooker
624846	313583	Fan Outside Hotel
624847	162579	Lucy
624848	105256	Diane
624849	313627	
624850	139442	
624850	222638	The Catbird
624850	327584	
624850	346359	Dinah Jackson
624851	177233	Nurse
624851	277074	Herself
624852	189466	
624853	208072	Jane Allerton
624854	80585	Mrs. Barton
624854	80958	
624854	119888	Aunt Frances
624854	138348	Telemarketing operator
624854	143526	Melpomene the Muse of Tragedy
624854	143527	Melomene
624854	143543	Mepomene
624854	319191	Policewoman
624854	364378	Herself ('The Gypsy')
624855	165964	Water Skier (Terri)
624856	313960	Sally Dellini
624857	309597	Candice
624858	113491	Garland Impersonator
624859	192764	Therapist
624860	157208	Dora
624860	313872	Roy
624861	27207	Gilda
624861	99573	Associate producer
624861	112432	Natalie
624861	203641	Waitress
624861	264581	Pvt. Gloria Moe
624861	272647	Louise
624861	298094	Tina
624861	364125	Herself (choreographer)
624861	402204	Pvt. Jackie Sims (1981-1983)
624862	81722	Nettie
624863	276835	Herself
624864	163639	Darby
624865	41820	
624865	164587	Tired Woman
624865	184543	Jenny Hagen
624865	219866	Agent Annie Deets
624865	223691	Peaches
624865	274215	Prostitute
624865	316225	Group Therapy Women
624865	326760	Policewoman
624865	329323	Club Owner
624866	22035	Pam
624866	40138	Angela Carpenter
624866	50825	Gravitina
624866	80791	Lauren Peele
624866	185270	Beverly
624866	257964	Judy
624866	408523	April Rush (1981-1982)
624867	409488	Flo
624868	155241	Ice Cream Kid
624869	57747	Biker
624870	351201	(segment "The Story of Flibbe
624871	5083	Nancy Hanks Lincoln
624871	8629	Miss Hawley
624871	12770	
624871	17543	Barbara
624871	19986	Helen Perry
624871	49244	Irena Soldanis
624871	58931	Franklyn's Guest
624871	88863	Helen Upjohn, New Winton Post
624871	90133	Mrs. John Blake (Lucy's mothe
624871	91971	Mrs. Sheppard
624871	109402	Mme. Margot, Paris Model Supe
624871	113634	Dr. Hewitt
624871	116370	Madame Alva
624871	127075	Author Displaced by Lucy
624871	141665	Stella
624871	185830	Lydia
624871	196487	Shopkeeper
624871	199403	Nurse
624871	199592	The Countess de Breville
624871	218257	Queen of Spain
624871	218940	Dora
624871	221307	Mrs. Helen Stillham
624871	227290	Sabine Muffat
624871	244842	Mrs. Smithers
624871	255819	Aunt Phoebe
624871	272532	Hysterical woman about to be 
624871	278280	Mrs. Preble
624871	285181	Brennan's Maid
624871	285351	Mrs. Stewart
624871	288208	Mrs. Nicholas Dulaine
624871	306399	Widow Bridelle
624871	308611	Fräulein Von Schwertfeger
624871	312007	Mrs. Ingalls
624871	312989	Sister Ursula (nun)
624871	321854	Miss Spencer, Felix's Nurse
624871	347365	Phoebe Martin
624872	327836	Nursing Grads
624873	383619	Herself
624874	309526	Lillian the Secretary
624875	323594	Audition Singer
624876	11199	Mrs. Cattley
624876	37007	Ivy
624876	86025	Nurse
624876	127128	Mrs. Willets
624876	291503	Sister
624876	291522	Mrs. Scully
624876	301490	Mrs. Kimble
624876	345787	Ivy
624876	385299	Emily Burrell
624876	388824	Audrey
624876	390987	Lilla Spencer-Smith
624876	395178	Ivy
624876	395449	Florence Jones
624876	408628	Mrs. Meighan
624877	69678	Betty
624878	273876	The Flight Attendant
624879	161388	Herself
624879	168776	Jill
624879	355431	Young Felicia
624879	372175	Liyah
624879	378627	CETA Kid #2
624879	398746	Claire Kyle #2 (2001-)
624880	143284	Woman in Music Club
624881	62580	Woman in crowd
624881	296206	Fan
624881	390306	Herself/substitute assistant
624882	67897	Linda
624882	81162	Mrs. Jennings
624882	84981	
624882	109546	Sue
624882	120126	Mrs. Jarvis
624882	167925	Woman Agent
624882	218745	Betsy Feather
624882	247574	Marilyn Hayes
624882	256759	Felice as a child
624882	275361	Ellie Jackson
624882	275407	Mary Pennypacker
624882	282454	Meg Moore
624882	282463	Cathy Lean
624882	326814	Teenager in Malt Shop
624882	331633	Amelia Carter
624882	337075	Lady Margaret
624882	359406	Nomoi
624882	383026	Elma Gahrigner
624882	384569	Barbara Robinson
624882	404263	
624883	137623	Child
624884	158193	Kyana Monroe
624885	104925	Model #1
624885	355156	Misha
624886	44522	
624887	69399	
624888	2143	Custard-Pie Gag Victim
624888	7487	'Happy Stella' Kowalski
624888	17773	Annie Swenson
624888	19167	Nun
624888	21299	Mrs. Muldoon (landlady)
624888	23148	Miss Seely
624888	27112	Miss March
624888	28467	Mrs. Jensen
624888	31148	'Sis' Pringle
624888	32865	Pet Shop Owner's Wife
624888	32906	Nurse
624888	34937	Rosie
624888	42055	Mother Mary Stigmata
624888	42056	Sister Mary Stigmata (a.k.a. 
624888	47082	Marie
624888	48540	
624888	50443	Mrs. Borg
624888	52425	Woman
624888	55588	Franklin's Mom
624888	56113	American woman
624888	57217	Woman
624888	58959	Mrs. Handy
624888	67822	
624888	68695	Josie (parolee with child)
624888	69485	Mother of twins
624888	74191	Second Cigarette Clerk
624888	75523	Madame Xima
624888	79440	Essie
624888	81178	Mary Elizabeth
624888	87800	Nurse Higgins
624888	92736	Enid Borden
624888	93220	Chambermaid
624888	95510	Gritzi
624888	102932	Mrs. T. P.
624888	108925	Grits (co-owner, Dawson Hash 
624888	111409	Edler
624888	116117	Emma (Delambre maid)
624888	123109	Rumy
624888	129449	Mrs. Magyk
624888	131464	Mrs. Stone
624888	133949	Woman
624888	134195	Microwave Marge
624888	137452	Welcomer
624888	140961	Nadine
624888	141395	Helicopter Pilot
624888	142333	Mom
624888	143526	Heavyset Woman
624888	146806	Rainbow McCloud
624888	147214	Miss Olin
624888	147668	
624888	149298	Baby Sitter
624888	150812	Effie, young, heavyset woman 
624888	151173	Laundromat gossip
624888	154854	Tom Tom Girl Gloria
624888	158338	Mrs. Beulah Marver (rooming h
624888	159959	Dream lady
624888	160406	Mother
624888	168238	Joe Dirt's foster mother
624888	176359	Maria Baroni
624888	178141	Nurse Wilinski
624888	183445	Katie
624888	188403	Reporter
624888	190179	Switchboard Operator, Betsy R
624888	192098	Dance Teacher
624888	193763	Bertha
624888	195753	Mrs. Kahrney
624888	199684	Miss Haley
624888	200445	Nelly
624888	200991	Sister Sue
624888	202367	Loraine Bender
624888	206385	Miss Blight
624888	207911	Lucy Lewis
624888	213249	Rosa Cuneo
624888	215926	Serena Poole
624888	218124	Mrs. Brannigan, Neighbor
624888	220830	Gwendolyn
624888	224499	Bobby Dean Loner
624888	226899	Stout girl on elevated train
624888	226938	Muriel Dillon
624888	233684	Clara Larrimore
624888	235042	Old Indian woman
624888	235164	Lena Nordquist
624888	237006	Denise's Nosy Neighbor
624888	237007	Millie Lemmon
624888	237598	Mrs. Dorset (The Ransom of Re
624888	241036	Phoebe
624888	250811	Katie
624888	251165	Mrs. Carter
624888	253106	Leah
624888	257087	Assembly Line Worker
624888	258858	First Citizen
624888	264134	
624888	264485	Gertrud Holf
624888	273241	Jane King
624888	273800	Mrs. Delance
624888	274745	Lily Rayton Parker
624888	277746	Miss Peabody
624888	282454	Agatha Moore
624888	289213	Nurse
624888	295320	Mrs. Hargrove
624888	298078	Annie
624888	300229	Old Woman
624888	302696	Phoebe Dinsmore
624888	304096	Sarcastic seamstress
624888	306413	Hilda
624888	309674	Mrs. Stetson
624888	313074	Sarah
624888	315467	Herself
624888	315700	Seamstress Con
624888	316890	Silent Movie Organist
624888	317176	Policewoman
624888	319380	Mrs. Crackshell
624888	319757	Mrs. Perkins
624888	319759	Mrs. Danvers
624888	323941	Rosa, Grocery Clerk
624888	326744	Admissions lady
624888	329423	Woman at Phone Booth
624888	331549	Murphy
624888	335702	Miss Magruder
624888	342904	Rhondas Grandma
624888	347063	Karen's Mother
624888	362082	Herself
624888	363298	Mrs. Mazzini
624888	363531	Bland's mother
624888	364357	Mrs. Glucksman
624888	365199	Nurse Baxter
624888	365285	Goldie
624888	365866	Miss Titmarch
624888	368944	Grunskis' Mom
624888	372882	Mrs. Wilk
624888	380715	Mrs. Gordon
624888	381806	Flo Shafer (1969-1971)
624888	386201	Miss Eugenia P. Kisskillya
624888	386750	Mrs. Celia Wilgus (1958-1960)
624888	387066	Mrs. Crackshell
624888	389530	Kate Harwell
624888	389858	Sister Mary Dorothy (1991)
624888	393094	Mrs. Boss (1966-67)
624888	396025	Iris Belmont
624888	397189	Marilly (1954)
624888	408576	Katie (1953-1954)
624889	197499	Girl
624890	221114	Mrs. Gimbel
624890	318842	Lillian Windom
624891	342669	Bar patron
624892	73703	Ronald
624893	9778	
624894	107135	Catherine Webster
624894	224337	Reporter #1
624895	108263	Co-Host
624895	113286	Bar Patron
624896	107493	Jill
624896	122274	Dealer's Girl
624897	26844	Babs
624897	26846	Babs
624897	46352	Waitress
624897	120126	Nurse Morgan
624897	221024	Motorhead
624897	334278	Pat
624898	129534	
624900	130720	Lucy Moncreif
624900	151761	Blue-stockings
624901	67395	Odessa
624901	119585	Ms Sugar
624901	177330	Native Woman
624902	328258	Ice Cream Fight
624903	141695	Extra #3
624904	253852	Herself
624905	9023	Future Postmaster General
624905	115568	Miss Stone Look-A-Like
624905	350192	Eva, Julius' Girl
624906	136826	Booth Singer
624906	256625	Booth Singer
624907	16669	Mary Wilton
624907	31059	Kathy, later: Mrs. Danny Forr
624907	32701	April Haddon
624907	39270	Anne Wendon
624907	45946	Ruth Lavery
624907	70534	Caroline Desmond
624907	77963	Anne Fenchurch
624907	79105	Amy Grey
624907	80947	Miriam
624907	81009	Miriam Wilkins
624907	81023	Miriam Wilkins
624907	85658	Terry Moffat Carradine
624907	115259	Ann Hollis
624907	133949	Spectator
624907	142152	Marian Almond
624907	143577	Fainting girl
624907	147392	Anne Franklin McKenzie
624907	152383	Cindy Rogers
624907	154769	Faye Burton
624907	162979	Susie
624907	170576	Betsy Carter
624907	170856	Lois Graves
624907	183657	Bonnie Lee
624907	219996	Iris Burt
624907	228314	
624907	244841	Girl
624907	279381	Elizabeth Sutton
624907	282394	Barbara, ages 15-20
624907	316769	Rannie Carter
624907	329388	Ziggy Brennan
624907	332069	Lt. Ellen Henderson
624907	333062	Elise
624907	334754	Diana Crandall
624907	350645	Herself
624907	361166	Mrs. Bristol
624907	368549	Robin Carson
624908	359221	Bit Part
624909	81185	
624910	53057	
624911	12780	
624911	193216	
624912	402354	Stephanie Pruitt
624913	77205	Consultant
624913	77214	Consultant
624914	349571	Nurse 2
624915	158102	Rockland T-Ball
624915	292121	Elsie
624916	216717	Maria
624917	127408	
624917	299947	
624918	113472	Diane
624918	201845	Leonora
624918	292888	Marie
624918	386973	Louise Franconi
624919	124115	Villager
624920	12293	Little Agnes
624920	95790	Michelle New
624920	196372	Montage typist
624920	233614	Mary
624920	241857	Melissa Pearson
624920	269590	Young Kayley
624920	308014	Marilee Philips
624920	311556	Maggie
624920	333343	Sandra
624920	337166	Hannah Phillips
624920	395343	Lexy Logan
624921	323594	Audition Singer
624922	390788	Shaina (1994-1996)
624923	151046	Ann Upcott
624924	52549	Host
624925	302157	
624925	316715	Storeman's Wife
624926	308109	Child
624927	291468	Marilyn
624928	32809	Bob's girl
624929	346016	Inmate
624930	41778	
624931	3563	Tracy
624933	342673	Girl Ghost
624934	314766	Bunny
624935	7155	Leola
624935	17067	Science Teacher
624935	61766	Samantha
624935	80379	Nurse
624935	102247	Nurse Haleh Adams
624935	152814	Aida
624935	171207	Mrs. DeWitt
624935	234982	Hazel Washington
624935	321632	Mae the Maid
624935	387728	Nurse Haleh Adams
624935	411414	Evelyn Smalley
624936	186632	Caro
624936	383953	Press Woman
624937	287206	Jenny
624938	68404	Une infirmière
624940	220537	Bag Lady
624941	10899	Woman at Apartment
624942	10899	Woman at Apartment
624943	313477	Elle
624944	338958	Ella
624945	171695	Nurse
624945	235052	D.C. Reporter
624946	42345	Waitress
624946	195483	Attendant
624946	398087	
624947	51480	Petra Hayse
624947	209447	Dr. Gabrielle Kollmann
624947	381691	
624947	397298	Dr. Gabrielle Kollmann (1998-
624947	410497	KK Beatrice Koeppen (1995-199
624948	35174	
624948	135435	Mutter
624948	225284	
624948	390704	
624948	390707	Barbara Döring
624949	337151	
624950	396874	Astrid (1992)
624951	28791	Starlet
624951	297937	Karen's Girlfriend
624952	90365	Herself
624952	190318	Herself
624953	133309	Herself: 1:a violin (Orkester
624955	97054	
624956	119648	
624956	359637	
624957	20695	
624958	291825	Female Mariachi Band
624959	406379	Winner
624960	231140	Bit Part
624961	280084	Herself
624962	302175	
624963	305899	Roaming Patient
624964	257760	78 Pound Lady
624965	196701	
624966	68162	Connie
624966	81277	Girl
624966	92482	Robot
624966	346329	
624966	367876	
624967	399503	
624968	308018	
624969	474	Thekla
624969	18305	Josefa
624969	49310	
624969	101682	Karin
624969	107967	Kellnerin
624969	119191	Theresa
624969	137617	Marlies Leitner
624969	142135	Christl Angerer
624969	142181	Centa
624969	145467	Finl
624969	156991	Diana
624969	166410	
624969	170133	Mizzi
624969	178641	Julia
624969	181657	
624969	189626	Müllerin
624969	189652	Gretl
624969	198268	Bergi
624969	210068	
624969	210137	Bedienung Resi
624969	210141	
624969	214173	Agnes
624969	223203	Rosina
624969	225723	Rosa
624969	248387	Elisabeth
624969	253201	
624969	262121	
624969	265984	Lieselotte Bock
624969	274731	Betty
624969	275758	Leni
624969	290167	Maria Hellberg
624969	290258	Loni
624969	290767	Irmgard Eisgruber
624969	293443	Erna Rutzmoser
624969	296368	Amanda Freivogel
624969	302044	Molli Braun
624969	310440	
624969	316816	Dora
624969	329673	
624969	352339	Kreszenz
624969	352357	Sofie
624969	359462	
624969	361500	Res
624969	361531	Anderl's Frau
624969	364828	Hanni
624969	365576	Babette
624969	367036	Rosa
624969	369391	Emmi
624969	374327	Ida
624969	376376	Theres
624969	396268	Kathi Kreitmeier
624970	134222	Lene Reitlechner
624971	288890	Farm Girl
624972	263275	Ellie
624973	406433	Herself
624974	131002	
624975	314494	Journalist
624976	78309	Angelika
624976	204816	
624976	229884	Mother, Postal Worker, Boutiq
624976	325827	Reinhild Möhlmann
624976	374345	
624976	388203	Susanne
624976	391604	Ursula "Uschi" König
624976	391604	Ursula 'Uschi' König (1997-)
624976	394764	Gertrud Möller
624976	406321	
624977	140272	Maren
624978	409609	
624979	132686	Representante
624980	272009	
624981	381912	Herself (#Winner 2000)
624982	247093	
624983	51090	
624983	95605	
624983	135234	Lotte
624983	155649	Lady Gertrude Chiltern
624983	166662	Dása
624983	181299	Kubova
624983	194576	
624983	229394	Mother
624983	229917	
624983	237537	
624983	266975	Olina, Franc's daughter
624983	304119	Jarmila
624983	306100	Teacher Hanka
624983	306314	
624983	317631	Connie Hadleyova
624983	320565	
624983	354724	Teacher
624983	374284	
624983	376552	
624983	396134	
624983	398851	
624984	352930	Les grisettes
624985	252363	
624986	244137	
624987	104088	Eva
624987	299714	Police Woman
624988	302403	Lara
624988	410091	
624989	248303	
624989	380449	
624989	386727	
624989	388680	Leonor
624990	54167	
624991	396886	Alice
624992	245961	Onlooker
624993	9834	
624993	195118	
624993	219852	
624993	246849	
624993	269533	
624993	269537	
624993	378102	
624993	380387	Idalina
624993	381634	Tuca Medrado
624993	383141	Mariquinha
624993	385385	
624993	386730	Heloisa
624993	388562	
624993	388721	Marieta
624993	389786	Paula
624993	390076	Zelinda
624993	392510	Maria Clara
624993	397415	Dora
624993	399766	
624993	400098	Suzy
624993	402504	Iracema
624993	404837	Adelaide Amaral
624993	409025	Nininha
624994	211022	
624995	9834	
624995	14705	
624995	15361	
624995	48529	
624995	63573	
624995	67663	
624995	110116	
624995	112767	
624995	127721	
624995	160119	
624995	162119	
624995	204263	
624995	214563	Isabel
624995	234635	
624995	235244	Dona Flora
624995	251718	
624995	262236	
624995	265211	
624995	282812	
624995	328533	Woman on the beach
624995	341134	
624995	344758	
624995	349670	
624995	377224	
624995	381222	Miloca
624995	384002	Valda
624995	385629	Alzira
624995	388562	
624995	388563	Antonieta
624995	403740	Rafaela
624995	404803	Dirce
624995	404814	Joventina
624995	404837	Donana
624995	407275	
624995	409410	
624995	410476	
624996	6755	Flora
624996	225400	
624996	319626	
624996	379937	
624996	381263	Gláucia
624996	382692	
624996	383142	Bina
624996	384992	Lígia Gouveia
624996	386419	Manon
624996	387901	Graciosa
624996	390752	
624996	392628	Dora
624996	392629	
624996	392846	
624996	393463	
624996	396506	Amélia
624996	396810	Vilma
624996	397538	
624996	400445	Bianca
624996	404272	Salomé
624996	405101	
624996	409925	
624996	410107	
624996	412257	Olga
624996	412258	Clotilde
624997	73518	
624997	397540	
624998	6639	Rata
624998	268038	
624999	269532	
624999	350142	
625000	148520	
625000	403329	
625001	278614	
625002	380387	Zilá
625002	402504	Vanda
625003	264272	
625004	5189	Clarice
625004	56299	Josefina
625004	83732	
625004	90456	Boneca
625004	103869	
625004	108455	Isolina
625004	115794	
625004	159510	(segment "Transa, A")
625004	196662	
625004	199124	
625004	218985	
625004	244086	
625004	267524	Raimunda
625004	269115	
625004	302821	
625004	332460	Amália
625004	387903	
625004	389587	Emilinha
625004	399498	Luiza
625004	401818	
625004	408509	
625005	28214	Judite de Alcântara
625006	353236	TV Announcer
625007	138537	
625008	184233	
625009	6639	Felpa
625009	28914	Alicia
625009	222399	
625010	70763	
625011	202044	Vecina
625012	80594	Miss. Andrews
625013	73770	Harriet Monroe
625013	177456	Mrs. Thompson
625013	217815	Ida
625013	223658	A woman
625013	231391	Tracy
625013	304368	Caroline
625013	315171	Emma
625013	330262	Mrs. Clifford
625013	340899	Newswoman
625013	411176	Mrs. J. P. Morgan
625014	84487	Marie's Daughter
625015	360251	Mother
625016	43309	Partizanka/partisan women
625016	58316	
625016	81483	
625016	210509	
625016	243964	
625016	259975	
625017	137888	
625018	350216	Receptionist
625019	325646	
625020	292964	
625021	25045	
625022	392069	Madalena
625023	196660	Mercedes
625024	396718	Pé de Pato
625025	412178	Herself/Host (2001-200?)
625026	383441	
625026	392792	
625026	406833	Servant
625027	401900	Saudade
625028	107710	
625029	397522	
625030	112764	
625032	110666	
625033	388721	
625034	284966	(segment "Vitamina C na Cama"
625036	307265	
625037	57981	Yolanda
625037	67656	
625037	68607	
625037	79184	
625037	210692	
625037	280866	Fausta's friend
625037	308748	
625037	314340	
625037	348745	
625037	352855	Aunt Zilá
625037	378940	Dinorah
625037	380387	Dagmar
625037	383727	Odete
625037	387732	Quitéria
625037	387799	Juanita
625037	388065	Pátia
625037	389887	Laila
625037	404834	Cícera
625037	407281	Cuca (1978-1980)
625037	407520	
625037	410096	Marieta
625037	412069	Carolina
625038	344778	
625039	211022	
625039	402626	
625040	288829	Casey Moore
625041	295487	Skunk (segment "Liontown")
625042	20729	
625043	83533	
625043	224985	
625043	348813	
625044	56581	
625045	166724	Mammy
625046	268448	Bruno's sister
625047	100541	
625048	146871	Frieda
625048	223487	Martha
625048	276444	
625048	334637	
625049	335	Mrs. Sternetská
625049	6329	
625050	397779	Tjejen (episode "ett steg fra
625051	8455	Vyrubova
625051	17531	
625051	76159	Queen Anne of Austria
625051	131149	Puppy
625051	132086	
625051	163041	
625051	163043	
625051	174748	Irina Dmitrievna
625051	178701	Mother
625051	198129	Anna
625051	220696	
625051	222992	Queen Anna
625051	239367	
625051	242477	
625051	253643	
625051	259047	
625051	259807	
625051	261911	
625051	264323	
625051	265990	
625051	265991	
625051	293941	
625051	294764	
625051	305286	Kalugina
625051	312963	Stalker's Wife
625051	313721	Actress
625051	323305	
625051	323312	
625051	323322	Mother
625051	348906	
625051	350974	
625051	352283	Ballet Teacher
625051	357422	
625051	374786	Lela
625051	374795	Larisa's Mother
625051	405850	
625052	357255	
625053	303632	
625053	398287	Miriam Holubová
625053	399901	Barca
625054	19171	The Model
625054	56105	Maria
625054	96861	Model
625054	146011	Lodge guest
625054	158509	Autograph Hound
625054	167099	WAAF Private
625054	184955	Woman
625054	254283	March Petty Girl
625054	343160	Girl
625055	119437	Little Maggie
625056	46853	Amanda Wingfield (scenes from
625056	61820	Mrs. Bobbit
625056	169918	District Attorney
625056	195763	Janice Ryder
625056	232017	Herself
625056	248081	Peaches
625056	287740	Dr. Ginsberg
625056	404282	Sister Sarah (1988)
625057	108210	La grand-mère
625058	292233	Bus Extra
625059	116309	Konen
625060	211489	Dame im Einkaufszentrum
625061	168238	Reporter at Parents' House
625061	195719	Vicky
625061	301077	Journalist #2
625061	380797	Cpl. Lola Grey
625062	193339	
625064	196488	
625065	31715	Peasant
625065	310141	Bellerian #5
625066	23685	Baker's wife
625067	73651	
625067	196517	
625067	205965	
625067	392990	
625068	322713	Dancers
625069	230947	Citizen
625070	59885	Novice Nun
625070	360772	
625071	106219	Jefferson's Daughter
625071	367054	The Wiz Singers Children's Ch
625072	231831	Joyce Malone
625072	363395	Harding's Secretary
625074	344621	A movie student
625075	392686	Herself (Fly Girl)
625076	265101	Horse Rider
625077	276249	Nandewar
625078	24782	Helen Barrington Grey
625078	117740	Annie Dennison
625078	232391	Maid
625078	246601	Emma Brooks
625078	340647	
625079	48264	Cheerleader
625080	167684	Auntie
625081	7086	Baker's wife
625081	23935	Herself - audience member
625081	63208	Mrs. Beaver
625081	68093	Herself
625081	68097	Harry Potter/Herself
625081	68103	Herself
625081	68108	Herself
625081	68109	Silurian in French and Saunde
625081	68113	Host
625081	79556	Mrs. Crupp
625081	97023	Debbie Draws
625081	119737	Various roles
625081	119740	Various roles
625081	121835	Herself
625081	139655	Fat Lady in Painting
625081	153646	Herself
625081	153647	Herself
625081	174511	Assistant (clip: Experiment I
625081	190019	Herself
625081	192609	Herself
625081	208632	Charlene
625081	213947	Virginia
625081	229135	Herself
625081	232018	Various
625081	232021	Herself
625081	232025	Herself
625081	241418	Herself
625081	268223	Herself
625081	292598	Herself
625081	295557	Bev Bodger
625081	303335	Presenter
625081	313153	Various roles
625081	315642	Saffron
625081	326600	Alice Putkin
625081	327835	
625081	360426	Herself
625081	389339	Herself
625081	390119	Amanda Ripley
625081	391008	Cook
625081	395418	Lisette
625081	395955	Clerk
625081	398563	Various roles
625081	401815	Pongwiffy
625081	404513	Herself
625081	405558	Herself
625081	408814	
625081	410066	Geraldine Granger
625081	410654	Buttercup
625081	411148	Mary Trewednack
625082	44764	Patient
625083	75421	Tyler's Girlfriend #1
625084	404402	Show Girl
625085	214931	Berce, Johnny's
625086	6072	
625087	94844	The Duenna
625087	190782	An Aspidistra
625087	290339	Lady Sneerwell
625088	379716	Palmer John Cortlandt (1983)
625089	7744	
625089	39368	
625089	44103	
625089	62456	
625089	128694	
625089	149250	
625089	223686	Herself
625089	360309	Nurse
625089	372090	
625090	178032	
625091	8365	
625091	10575	
625091	39267	Flora Gordon
625091	80637	
625091	147386	
625091	206088	Baby Wilson
625091	276349	Blind man's daughter
625091	308371	
625091	324405	Child
625091	334089	
625091	342703	
625091	367258	Rose Nolan
625092	327280	
625093	234088	
625095	3067	Newly Crowned Miss America 20
625095	215460	Reigning Miss America 2000
625096	245264	Cleaning Woman
625097	216802	Miss Perry
625097	313583	Eulogy Audience
625098	389012	Rosie
625099	175175	WAC
625100	379926	Herself (5th Place)
625101	6187	Fatima
625101	16907	
625101	77986	
625101	113526	Stripper
625101	147099	Pixie
625101	177467	
625101	195761	Jane
625101	249548	Sorority Girl
625101	296752	Female Tripper
625101	342332	Angelique
625101	353298	Betty
625101	365094	Office Worker
625101	365657	Punk Girl
625101	367083	Dancer
625102	379926	Herself (5th Place)
625103	311923	Rochelle
625104	11652	Lovette
625104	12276	Donna Sue
625104	36824	Rell
625104	47004	Additional Voices
625104	54946	Additional Voices
625104	61707	Announcer
625104	82266	Mary
625104	94020	Red Head
625104	127295	Bridge Lady
625104	129369	Additional Voices
625104	137674	Gary's Mother
625104	146661	Prehistoric Man
625104	147767	Jacqueline Freedman
625104	148440	Waitress
625104	151461	Marie
625104	151545	Marilyn
625104	185459	Glinda
625104	186036	Porno Cashier
625104	190519	Mom
625104	193890	Frances Haley
625104	230508	Additional Voices
625104	235227	Vernell Bird
625104	243595	The Voice
625104	274729	Velmont Announcer
625104	281512	
625104	305791	Herself
625104	305795	Herself
625104	311284	Voice of the Future
625104	318776	Announcer
625104	318783	Student
625104	323970	Newscaster
625104	345752	Additional Voices
625104	359443	Nancy Carmel
625104	363905	Lucy
625104	369178	Girl
625104	375862	Pop Rocks Warning/Spell Check
625104	405709	Regular Performer (1967-1969)
625104	405712	Regular Performer
625104	406905	Herself
625105	198899	Lady Macbeth
625106	367595	Flora as an Infant
625107	268866	Aunt Nancy
625108	134289	Boy's Opponent
625109	17756	Cowgirl
625109	33599	One of Frenchie's Girls
625109	94291	Miss November, Vargas Calenda
625109	128152	Showgirl
625109	139790	Harvey Girl
625109	149261	Bridesmaid
625109	285654	
625109	300063	Chorus girl
625109	330231	Lost nurse
625109	333054	Showgirl
625110	157771	Hilda
625111	45853	Featured Party Zombie
625112	105266	Hostage taker
625113	302016	Martin's wife
625114	69620	
625115	104638	Member of the jury
625115	104775	United Kindom entry (16th pla
625115	308552	Herself (Winner)
625115	308553	Herself (special guest)
625116	22016	Girl
625116	364271	Mary Lee
625117	161412	Meg Wheeler
625117	209219	Jennifer Lipton
625117	389353	Lulu Abercrombie
625117	389912	Sydney
625118	185174	Frances
625118	266625	Antoinette
625118	354682	
625118	368537	Dakota waitress
625119	110977	Mrs. Cstigne
625119	116717	Lady Ordwynne
625119	185384	Furlong
625119	191927	Lady Jane Smythe
625119	202869	Aunt Matilda
625119	246704	Leita Stokes
625120	240934	Parole Board
625120	241295	Betty
625120	254645	The Bronte Sisters
625121	409225	Frances 'Fran' Smith
625122	131641	Sonia
625123	46853	
625124	245359	Susie
625125	66766	Renée
625126	178120	
625127	93302	Susan
625128	39344	Lillian
625128	43725	Bank customer
625129	21783	Anna
625129	382128	Zara
625129	387247	Alison (2002)
625129	391978	Keeley Porter
625130	75696	Maria
625131	264913	Holographic Lady
625132	232799	Maid
625133	9131	Passenger
625133	29885	Margaret
625133	54420	Mrs. Shaw
625133	105713	Bessie Gilmore
625133	105807	Old Lady
625133	108358	Meema
625133	114503	Old Woman
625133	115161	Terminal Woman
625133	150792	Aunt Elizabeth
625133	157234	Miss Hammer
625133	165964	Old Lady (Grace Witherspoon)
625133	221266	Dorothy Greer
625133	252449	Cora Mandell
625133	304295	Helena
625133	308177	Older Elise
625133	352420	Bearded Lady
625133	372806	Grace
625133	381281	Margaret Marshall
625134	256625	Edith (The Fabulous Singlette
625135	102765	
625135	242063	Herself
625136	127574	Hannah
625137	365150	Paulette
625138	3388	
625138	12706	Sister Angélica
625138	16935	Mother
625138	18253	
625138	36667	Woman Bathroom 1
625138	53666	
625138	55910	
625138	61989	
625138	83465	
625138	108535	
625138	136981	
625138	171614	
625138	184558	
625138	188999	Almita
625138	226365	
625138	318017	
625138	334851	
625140	1996	Eve Wingate
625140	69845	Bridget
625140	81603	Ruby James
625140	118380	Alison Drake
625140	124224	Lee Hackett
625140	139122	Fern Martin
625140	169807	Mae Horgan
625140	264489	
625140	292571	Audrey Lancaster
625140	297172	Elena Clarke
625140	315754	Liz the Waitress
625140	379716	Maureen Dalton Tiller #2 (197
625140	387309	Kitty DeSena (1965)/Angela Mo
625140	399837	Helen Cox (1966)
625141	139283	Cecil's Lady
625142	200993	Red Porsche Girl No. 1
625143	148863	Patsy
625143	350277	Satanists
625144	150609	TV Porno Scene Person
625144	347712	Additional Voices
625145	27036	Mary
625145	56589	
625145	69342	Hélène
625145	71953	La fille du buffet
625145	111026	Agathe
625145	115355	Tunde
625145	118754	Réceptionniste
625145	186192	M'dame Fourre-Tout/P'tite Pom
625145	195157	La servante aux grands pieds
625145	199572	The bride
625145	208830	Serveuse sexy
625145	235565	Estelle Tardieu
625145	261434	Sabine
625145	274320	Johnny's Girlfriend (segment 
625145	278146	Mélanie, la groupie
625145	346424	Émilie
625145	353957	Une étudiante
625145	359699	Banque de la Trinité secretar
625145	384074	Marie-France (1993)
625145	401756	Claire (1999-2000)
625146	237319	
625147	397516	Herself - barvrouw (2002-)
625148	184521	Police officer
625149	196588	
625150	305020	Pige i Parken
625151	114871	
625152	187419	Warrior #5
625153	257481	Majolena
625154	6676	Adriana Lecouvreur
625154	8839	Aida
625154	25656	Margaritta
625154	42959	Mimi
625154	42966	Mimì
625154	55191	Micaëla
625154	77375	Elvira
625154	90009	Isabel
625154	102558	Elvira
625154	104522	Tatjana
625154	108062	Mrs. Ford
625154	110071	Marguerite
625154	110074	Marguerite
625154	110439	Fedora Romazov
625154	143492	Herself
625154	199286	Cio-Cio-San, known as Butterf
625154	236180	Susanna
625154	244272	Desdemona
625154	244273	Desdemona
625155	14815	
625155	318954	
625156	402982	
625157	35144	Girl with Horse
625158	1618	
625158	14716	
625158	21678	
625158	48817	Nora
625158	57245	
625158	63898	Celina
625158	74146	Nancy
625158	94875	
625158	103461	Cecilia
625158	103759	Vos de Laura
625158	193502	
625158	261643	Ana María
625158	306693	
625158	308963	
625158	378400	Estela
625158	380108	Virginia
625158	383138	Ana María Nuñez Zamora
625158	385402	Vilma Zapata
625159	392855	Tina
625160	142514	
625161	399093	Herself
625162	163061	Reporter
625162	399333	Herself - Reporter
625163	208478	Model
625163	308128	Party Guest
625164	116713	Kate Schuyler (Fool's wife)
625164	306764	Mollie
625165	325447	
625166	217609	
625167	385522	
625168	245103	Loretta Randall
625169	80750	
625169	124949	Maite
625169	391604	Ruth Bechtle (2001-2002)
625170	352042	Juvenile
625171	376577	
625172	390812	Sandra Lemke #1 (2000-2002)
625173	389287	Suse (1994-1995)
625173	392669	Annika Wendler
625173	395011	Julia Sandhoff
625173	409625	Melanie Hoffmeister (1994-199
625174	50648	Crystal Townsend
625175	68691	Miss Cooper
625175	163386	Miss Simpson, caretaker
625175	305942	Martha Adderson
625175	350181	Grandma Schilt
625175	387605	Miss. Dickens
625175	389086	Miss Jessup
625175	389705	"Fred" Lincoln
625175	399598	Old Lady in Wheelchair
625175	403464	Mrs. Farmer
625176	216905	Groupie
625177	291468	Customer #1
625178	180912	Corinna
625179	131383	
625180	54465	Lady Dark
625181	56328	Rosanna
625182	343128	
625183	283639	Hat Girl's Mother
625184	121898	Teresa
625184	269712	Laura
625185	17792	Daniela
625185	82481	Hospital Sister
625185	162040	
625186	71267	Natalia
625186	85975	Diana
625186	103157	Telefonista colegiala
625186	170038	
625187	127205	Narrator's Mom
625188	95872	A Child
625188	230558	Rebecca Fahler
625190	117340	Roberta as a Baby
625191	385218	Herself
625192	394736	Cilla
625193	264279	Sister
625194	209066	
625195	16061	Geneviève
625195	173129	Tante
625195	208833	Geneviève
625195	249209	Fan de Jeannot
625195	381504	Rita Sansoucy
625196	274413	
625197	8529	The Young Woman
625197	10462	
625197	12545	Teresa
625197	28290	Elena
625197	37629	Conchita
625197	46920	
625197	52986	La Guindilla menor
625197	54321	
625197	56289	
625197	56811	
625197	69706	
625197	83978	
625197	88324	Mujer histérica
625197	91076	
625197	108134	Carmen
625197	108423	
625197	133107	Gideon's wife
625197	146506	
625197	183945	
625197	186144	
625197	189046	Mari-Luz
625197	197617	
625197	204988	
625197	212343	
625197	234408	
625197	235329	
625197	236010	
625197	249804	
625197	251599	Sor Aurora
625197	266471	
625197	274481	Virgin Mary
625197	274861	
625197	275090	Isabel of Aragón
625197	294712	
625197	307688	Bathsheba
625197	332705	
625197	348690	Mrs. Rommel
625197	352778	
625197	353672	Irene
625197	357504	
625197	378367	Enriqueta
625198	282781	Pierre
625199	356092	Schillingerová
625200	197393	Un garde du corps
625201	10080	Carlotta
625201	83174	
625201	84634	Une lavandière
625201	155082	Marianne Delila
625201	188683	
625201	197914	
625201	198570	Catherine Ranval
625201	202694	La prostituée de Lyon
625201	234574	Edith
625201	248912	Delphine
625201	346512	Ursula
625201	373927	Angela
625201	375368	La secrétaire Guillaume
625201	376999	Nurse
625202	118925	Mansion Staff #2
625203	218983	
625204	385663	Camila Lavalle Velascas
625205	216083	
625206	329839	Véronique Fleury
625207	308839	Julia
625208	351896	Couple in car
625209	144682	
625210	23935	Herself - audience member
625210	90860	TV Presenter 2
625210	203642	MC
625210	397284	Herself
625210	411494	Herself - Host (1986)
625211	195300	Pat the housekeeper
625212	330377	Cosima
625213	17183	Partygoer
625214	384464	Co-Host
625215	18525	
625215	34311	Claudia
625215	42181	Rehkitz
625215	126362	Hundefrau
625215	290133	
625215	325799	Uschi Koch
625215	325863	Nina Friedrich
625215	334512	
625215	396268	Sara Soleder, geb. Kampensi
625216	259645	
625217	73898	Sophie (woman in bar)
625218	276112	La jeune fille
625218	333692	L'employée des 'Bains-Douches
625219	80446	Victoria Sweet
625219	117880	Natasha
625220	78656	
625220	255501	Victoria
625220	268240	
625220	377169	Carolina viuda de Ferrer
625220	379896	
625220	380096	
625220	383867	Sara
625220	387273	Claudia Riva
625220	389480	Isadora
625220	396942	
625220	403674	Rosario
625220	408562	
625221	166383	
625222	249073	Herself (photographer)
625223	347675	
625224	230237	
625224	244976	(segment "A Peça")
625224	285245	Rosinha (segment "Rainha do F
625225	122288	
625225	248759	
625226	191202	
625226	322837	Anna Highfall
625226	401894	May Tuna (1999-2000)
625227	174179	Woman in baths, blond
625228	147138	
625228	254374	Resl
625229	225721	Frieda
625230	145332	Blanka Babic
625230	155932	Ifigenija
625231	307557	
625231	325529	
625231	325628	Sandra Jehlen
625231	325890	
625231	325891	Karin
625232	156711	Sekretärin Frau Lenzen
625232	231623	
625233	17789	La cousine
625234	149477	Susanne, Adams sekretær
625234	323399	Bitten
625234	358846	Mavedanser
625234	399936	Herself (interviewee)
625235	44330	Young Lila
625236	26285	Beth
625237	381821	Ensemble (1985)
625238	244200	Angelika
625239	180822	Girl 2
625240	240163	Lina
625241	471	
625241	15089	Ursula
625241	46131	Penelope
625241	57960	
625241	100987	Christa
625241	125001	Sekretärin
625241	126475	Jutta Brandt
625241	155392	Sabine Prohaska
625241	179779	Sybille Akron
625241	204439	Barabara Jöger
625241	216245	Karin
625241	223243	
625241	229755	Felizia
625241	237230	Mutter
625241	255901	Christine
625241	311928	
625241	316361	
625241	338436	Gabi Fuchs
625241	345915	Ingrid
625241	347660	Susi
625241	348050	
625241	352208	Frau Stieler
625241	352607	Katharina Lindner
625241	359672	Sabine
625241	389840	Jutta
625241	392836	
625241	396755	Barbara Smith
625242	24051	Zeitungsredakteurin
625242	33465	Frau Baum
625242	85983	
625242	97434	
625242	105854	
625242	119681	Frau Sedlacek
625242	120993	Frau Gutmann
625242	164905	
625242	223489	
625242	268921	
625242	300969	
625242	314357	
625242	338466	Hilde Grünsteidl
625242	338467	Hilde Grünsteidl
625242	338468	Hilde Grünsteidl
625242	338469	Hilde Grünsteidl
625242	338470	Hilde Grünsteidl
625242	338472	Hilde Grünsteidl
625242	346924	Frau des Bürgermeisters
625242	359088	
625242	373992	
625242	376313	Rezeptionistin
625242	376512	Steinbäuerin
625242	391479	Martha
625242	393878	Ilse Hutter
625243	255827	Bit Part in Church Scene
625244	154937	Femme enceinte
625244	376919	La standardiste
625245	41957	Sherry
625246	394480	
625247	212097	Working woman
625248	63908	Old woman
625248	307028	
625249	262138	Model
625250	189656	
625250	290717	
625251	310090	Isabelle
625252	147157	
625254	240500	Sandwich Girl
625255	197400	Marie Clément
625256	18521	
625256	23108	Moderatorin
625256	51868	
625256	71433	
625256	84570	Helga
625256	178848	Frau Möller
625256	213736	
625256	325687	Angela
625256	325955	
625256	365786	Helga
625256	380905	
625256	392086	
625256	398083	
625256	399734	Inge Herzog
625256	405817	Pia
625256	409613	
625257	213309	Pease-Blossom, a Fairy
625258	114167	Herself
625259	80289	Mina
625262	119233	
625262	401332	
625263	189656	
625263	360946	
625264	8908	
625264	169278	Une domestique
625265	232047	Sika
625266	11988	
625267	175730	Insurance Official Katri Pell
625267	180841	Birgitta's friend
625267	181857	Kuningatar
625267	182377	Annikki Rämekorpi
625267	255743	Maija Kukkola
625267	267122	
625267	282248	
625267	343509	
625267	380247	Agnes Anders
625267	397485	Various characters
625267	404782	Sairaanhoitaja
625267	409269	Tellervo Heino
625268	104769	Austrian entry (17th place)
625269	166193	Elise
625271	87498	Marion
625272	395490	Herself (Historian)
625273	281972	Three Orphans of Noble Family
625274	177660	Sarah Boorg
625275	9920	
625275	126848	Claudia Mainburg
625275	130939	
625275	189617	Kerstin Dahlberg
625275	261781	Isabel Prank
625275	294213	J.Vandegrift
625275	302045	
625275	359688	Sibylle
625275	376453	
625276	90765	Lilo
625276	107030	
625277	165719	
625278	48618	Amalie
625278	189785	Marfa
625278	327368	
625278	338957	
625279	259480	
625279	259482	
625279	259678	
625280	79400	Duchess of Crakentorp
625281	107621	Pretty Girl
625283	336	Musician
625283	338167	Bit Part
625284	14765	Julieta Santos
625284	23396	
625284	54083	Sofía
625284	68958	
625284	115754	
625284	132637	
625284	187944	
625284	193188	
625284	207726	
625284	212163	
625284	233942	
625284	235983	
625284	250993	Paula Peña
625284	263876	
625284	293579	
625284	376811	
625284	377176	
625284	383105	
625284	385366	Lucy
625284	386146	
625284	387686	Silvia
625284	398489	
625284	401001	
625284	405242	
625285	62818	
625286	169289	
625287	262591	Tanya's Priestess
625288	169577	Joy, as a teenager
625289	158770	Colette
625290	286295	Ponticelli Child
625291	33732	Lara
625292	386933	
625293	212246	
625294	385408	Journalist
625294	397094	Herself/Panelist (2002-)
625295	2487	The baby
625296	182279	Natalie
625297	41379	Showgirl
625298	14964	
625298	18081	
625298	340264	Girl in Audience
625299	378936	Host (1999)
625299	409930	Rikke Bjørnstad
625300	387262	Yrla Nor (segments 1, 2, 4, 5
625300	411580	Nina
625301	84316	Mumlan
625302	30160	Lisa
625302	99512	Caja
625302	147017	Trine
625302	147020	Sasha
625302	403379	Susanne Jeppesen -- Sanne
625302	403380	Sanne
625302	405567	Skovfeen
625303	15079	
625304	232933	Dream Girl
625305	122240	
625306	316483	Sarah Richmond
625307	34384	
625308	233948	Aunt Josefina
625310	95078	Cashier
625310	244034	Nurse #1
625311	141157	Customer
625312	364425	Paula
625313	249573	Stuffy Lady
625313	300361	Hair salon dancer
625314	459	
625315	2895	Herself - Best Supporting Act
625315	2899	Herself
625315	3021	Herself - Past Winner
625315	3053	Herself - Past winner
625315	14247	Mrs. Bread
625315	16901	Maggie Nelson
625315	28652	Bridie
625315	41444	Nurse
625315	52453	Madame Alex
625315	69808	Annie McLaughlin
625315	75282	Willie Hendley
625315	79763	Victoria
625315	80696	Iris Greenwood
625315	95363	Aunt Maeve
625315	106047	Aunt Draycott
625315	112018	Maggie McCabe
625315	144849	
625315	148203	Central Park Pigeon Woman
625315	160767	Mrs. Jones
625315	169377	Lottie
625315	188489	Vinnie
625315	201569	Herself
625315	203304	Lily Byrne
625315	207505	Principal Claire Maloney
625315	217411	Mrs. Mazzawatti
625315	223059	Mrs. Pearson
625315	224070	Mrs. Brown
625315	238506	Bit Part
625315	240232	Police Ombudsman Nuala O'Loan
625315	245068	
625315	246695	Annie Ryan
625315	253864	Lily
625315	276427	Clare's mother
625315	276430	Dorcas Kelly
625315	293217	Stella Hazard
625315	302568	
625315	306431	May Mackenzie
625315	309608	Eliza
625315	320815	Rose Hindmarch
625315	333347	Ethel Twitty
625315	338405	Petra
625315	349130	Marta
625315	352465	Bernie Guerin
625315	359202	Betty
625315	360076	Teresa Ryan
625315	367653	Mary
625315	372859	
625315	382743	Sister Agnes
625315	383631	Nurse Megan Roach (1986-1990)
625315	387363	
625315	389794	Kitty Henshaw
625315	392450	Joan Jones
625315	399567	Grainne McFadden
625315	403146	Maureen Lessing
625315	407779	Pat Burto
625315	411355	Mother Steed
625316	180065	Babette
625317	215488	Herself
625317	397888	Herself (2003)
625318	254098	La mère de Yann
625319	258521	Aninka Drazická, foster-child
625319	262210	
625319	266534	Barbora
625320	57718	Stephanie Burke
625320	122557	Chambermaid
625320	379356	Molly (1991)
625320	399130	Cody Willis (I) (1989-1991)
625321	74555	
625321	96272	
625322	343520	Herself
625323	136479	
625323	244237	
625324	40650	Herself
625324	50351	
625324	75059	
625324	75195	
625324	291021	
625324	306908	
625324	333994	
625324	389117	Herself - Clairvoyant
625324	400390	Herself - Clairvoyant
625325	34663	Flora
625326	398003	Sarah
625327	408479	Human Relations (1980-1981)
625328	91884	Eve
625329	12365	La 2ème fille Tour Eiffel
625330	337028	
625331	258808	
625332	2369	Miss McMasters
625332	6613	Countess
625332	8291	Aunt Katherine
625332	10980	Mrs. Van
625332	11385	Miss Haskell
625332	25478	Mrs. Leeson
625332	27338	Madame Durand
625332	29675	Mrs. Hume, Gerald's Mother
625332	32904	Mrs. Lanfield
625332	38041	Mrs. McSween
625332	56712	Mam' Pleasant
625332	71895	Aunt Caroline
625332	75884	
625332	78005	Letty Randolph
625332	109057	Head nurse
625332	115166	
625332	115216	Furja
625332	116174	Dona Helena de Rezende
625332	120244	Lady Allice, Armstrong's Sist
625332	125908	Miss Chapman
625332	139960	Madame Si-Si
625332	147446	Mrs. Wagner
625332	149154	Mme. Boris
625332	155837	Mrs. Garvey, Idylwood head nu
625332	162551	
625332	163288	Zeke's wife
625332	166049	Mrs. Langley
625332	177984	Narjis
625332	183846	Nora
625332	185466	Mrs. Duane
625332	195883	Third Aunt
625332	203316	Peg Forney
625332	207582	Sister Angelica
625332	215634	Mary
625332	222618	Julia Endicott
625332	231855	Mrs. Carewe
625332	232012	Mrs. Maxwell, the Housekeeper
625332	235682	Lady Keon
625332	236705	Mrs. Miller
625332	238698	Kate Halsey
625332	253503	Ma
625332	285182	Mrs. Alfred Davidson
625332	292782	Mrs. Martha Marlowe
625332	306397	Widow Paarlenburg
625332	307407	Martha
625332	313959	Night Court Judge
625332	315125	Aunt Evvie
625332	327671	Mrs. Blanchard
625332	330602	Miss Kirsten, Seminary Offici
625332	331553	Miss Blazer
625332	332113	Mrs. Jane Jett
625332	360253	Rosalie
625332	364707	Mrs. Johnson
625332	367441	Mrs. Weston
625332	367485	Mrs. Temple
625332	367974	Stephen Trombolt's housekeepe
625332	372496	Miss Margaret Gordon, the Lib
625333	18083	Ottilia Egerman
625333	88397	Renata
625333	97883	Margit Friberg
625333	117533	Tekla
625333	122456	Traviata
625333	135672	Inger Bart-Wreting
625333	147016	Charlotta Ulfhammar
625333	182548	Ilse Siedel
625333	198016	Gull Fernström
625333	268344	Naima Wifstrand
625333	277817	Peasant woman
625333	303162	Annabella Myrman
625333	303851	Sally
625333	305863	Karin, Isak's wife
625333	306045	Lena Söderberg
625333	307506	Liza
625333	317608	Inès
625333	338473	Rose-Marie
625333	342314	Inga Larsson
625333	350609	Corinne von Merkens
625333	354423	Lizzie
625333	355638	'Pax'
625333	390937	Marian Hastings
625334	24742	Maja, maid
625334	108975	Mrs. Andersson
625334	122462	Maj
625334	122499	Actress
625334	144235	Maj-Britt
625334	148817	Göran's class mate
625334	228386	Britt
625334	304183	Maid
625334	304214	Mrs. Gilbert
625334	324819	Blenda
625334	326127	Karl's Girl
625334	354691	Hillevi
625334	377430	Greta
625334	377431	Britta
625334	378294	Anna-Greta Persson
625334	388581	The secretary
625334	398195	Manager's wife
625335	381706	(episodes 4, 6)
625336	122776	French woman
625337	18795	Mujer 1
625337	236406	Isabel
625337	252757	Carmen
625337	379583	Albina
625337	385402	Herminia
625338	281834	Rachel Reichenbach
625339	391673	Ritinha Xavier
625339	411585	Ana Gonçalo
625340	85946	
625340	301109	
625342	151461	Agatzi Girl
625343	237380	Lína
625344	12889	Büroangestellte bei Hellwerth
625344	290194	
625345	41155	Sue Hardy
625346	13619	Miss Perkins
625346	144905	Mrs. Staples
625346	166697	Miss Tooker
625346	213865	Ruth
625346	382356	Mrs. Lillian Bakerman
625346	396785	Winifred 'Winnie' Gillis
625346	401350	Maggie Riggs
625347	58153	
625347	248040	Host
625347	290286	
625347	392561	Host (1998-)
625348	155912	
625349	682	Bathing Suit Woman
625351	233957	Herself
625351	394414	Jessica Fried
625352	185683	Apprentice
625353	376858	
625354	80411	Prue
625354	93211	Floor Nurse
625354	108354	Sue
625354	140960	Woman protestor
625354	153164	Robin Sommerfield
625354	270587	Harriet
625354	295006	Additional Muppet Performer
625354	358330	Diana
625354	389217	
625354	394246	Anesthesiologist
625355	185683	Theater Audience
625356	11800	
625356	102282	
625356	102364	
625356	126457	
625356	196797	
625356	208796	
625356	274899	
625358	188453	'Lena' Girl
625359	267588	Dancer
625360	114175	Herself
625360	185530	Herself (in WAC parade)
625360	337099	Herself (author)
625360	383802	Herself
625361	259504	
625362	70815	
625363	33130	
625364	78102	Maude
625364	311635	Carol
625365	341206	
625366	392750	Amélia
625367	124129	
625368	365003	
625370	984	Dawn
625370	146779	Devon
625371	31621	E
625372	121329	
625373	977	Delores
625373	66589	Kristy Adams
625373	150998	Motel Manager
625373	260789	Irene
625373	314434	Nurse Calista Davis
625374	35506	Backup Singer
625375	26478	
625376	12737	Miss Guernsey
625376	15218	Susan Hammett
625376	26620	Helen Carter
625376	74215	Ininti Store Manageress
625376	100889	Policewoman
625376	110445	Helen
625376	116289	Deidre Watts
625376	126700	Miss Snodgrass
625376	315480	Tough lady
625376	360004	Vee Vee
625376	362414	Miss Melrose
625376	366869	
625376	390917	Mother
625377	204260	Patient #1
625378	387150	Fan
625379	2979	Psychiatrist
625379	21667	Daliah
625379	60084	Rosa
625379	193036	Nurse
625379	249745	Deborah
625379	288274	
625379	371902	
625380	8658	Joan
625381	149287	Lost Boy in play
625382	258391	
625382	269141	(segment "31 ans-Erika")
625382	385245	Isabelle
625383	17685	Bep
625383	79938	Vicki Martin
625383	222807	Hot Butt
625383	231068	TV Reporter
625384	16205	
625385	74469	Bartosová
625385	95638	
625385	113102	Miss Elis, landlady
625385	169110	Magda Forchheimová, his wife
625385	312414	Julie Vachová
625386	138744	Chorus Woman
625387	405173	
625388	241249	Extra
625388	305832	Cindy
625389	301541	
625389	353955	
625392	318162	Doctor
625393	327715	Deena
625394	41311	Drusilla
625395	208145	Herself
625396	253382	Theresa
625397	103561	Israel
625398	18028	Waitress
625398	206447	Bikini-Clad FBI Agent
625398	276889	Aunt Gracie
625398	285310	Barbara
625398	304757	Marie
625398	305159	Secretary
625399	54712	Herself (Mother)
625400	342633	Maria Castillo
625400	359509	Mom
625400	366956	Juror #3
625401	385618	Teacher
625402	141609	Ellen
625402	192748	Lounge Singer
625403	240541	Chita
625404	218179	
625407	144641	Girl at record store
625408	41319	
625408	180705	Partygoer
625409	167078	Rutka/Janina Zofia Jamróz
625410	317309	Casting Agent #6
625411	70392	
625412	21630	Tracy Walker
625413	274292	Lorretta
625414	346413	Herself
625415	177475	Spandex girl
625415	232819	Tour Guide
625415	313583	Fan in Lobby
625416	60466	Lucy
625416	291974	Cursing Woman
625416	350622	Ballroom Woman #1
625417	39407	
625417	59798	Herself
625417	68755	Sarah
625417	144406	
625417	169139	Narrator
625417	297108	
625417	383631	Patricia 'Trish' Baynes: Soci
625418	209492	Gun clinic lady
625419	309678	Zak
625420	306275	Mask Magic Mirror #2
625421	287774	
625422	117483	Police Station Officer
625423	27235	
625424	161276	Herself
625425	110251	Lounge Lizard
625425	327487	Nurse Lucia
625426	224190	Woman at Wedding
625427	317353	
625428	265558	Herself
625429	380455	Kelly Sims Williams
625430	104478	
625431	305939	Mrs. Fine
625432	90237	Flo
625432	284526	Dori Smelling
625433	19193	Linda
625433	38006	
625433	80976	
625433	118721	American Art Buyer
625434	2532	Ronda
625435	20625	Extra
625436	144577	Mother
625437	295540	
625438	23417	Nora
625438	60371	Elsa de Lorche
625438	165613	Greta
625438	302152	Telephone Operator
625438	308193	Hildur
625438	315605	Peter II's Mother
625438	318315	Tubaisten's Mother
625438	322298	Kerstin
625438	333979	
625438	354423	Ester
625439	317632	Zofka, daughter
625440	235520	The Girl
625441	51868	
625441	399503	
625442	177223	
625443	269141	(segment "72 ans-Angèle")
625443	335023	Helena Tulburg
625444	155406	
625444	188776	Inka
625444	226517	Nadja
625444	250974	Paula
625444	350873	Julia
625444	354069	Karen
625444	365773	Susanne
625444	387034	Friederike
625445	254153	Madame Panchaud
625445	285984	
625446	37816	Woman at the hotel
625446	139821	Cyclist
625447	265092	
625448	40359	Mara
625449	281662	Sicherheitsbeamtin
625450	280513	Marquise Therese de Gorla
625451	165818	Lilly
625452	134996	Mannu
625453	17321	
625454	177651	Mary Lou
625455	29580	
625456	72931	Goodyear Chorus Girl
625457	176496	Cocktail Waitress
625458	318085	
625459	30166	Hooligan
625460	134178	Rowan girl
625461	70734	Diana
625461	105100	Bronagh
625461	112023	Lucia Merritt
625461	162268	Herself - Presenter
625461	184403	Prue (Prudence)
625461	185620	Bodney
625461	199150	Maddy
625461	209095	Marina
625461	213324	Hermia
625461	231327	Denise
625461	243148	Herself
625461	252985	Susie Wilding
625461	280478	Lisa Leeson
625461	312564	Flora
625461	316999	Helen
625461	333409	Lady Claire
625461	339464	Lizzie
625461	359202	Lily
625461	360076	Claire Ryan
625461	382838	Beth Jordache (1993-1995)
625461	387533	Poppy Bruce (1992)
625461	388542	Storyteller
625461	389625	Susan Nelson
625461	393940	Megan Delaney
625461	400530	Bella Wilfer
625462	299846	Sandy Shepard
625463	5201	Arielle
625463	7979	Kiki Harduval
625463	56656	Jesse Buttafuoco
625463	88648	
625463	101454	Little Jane
625463	154301	Cory Stayner (Age 4)
625463	178092	
625463	185828	Little Jessica Husband
625463	205819	Karen
625463	222704	Lynne Keaton
625463	285287	Baby shower child
625463	363509	Jenny
625464	213591	Peep-Bo
625464	256626	Isabel
625465	116590	
625466	59930	Sal Karney
625467	60148	Military Wife
625468	110430	Mrs. Langer
625469	37192	
625470	232671	
625470	352107	Frau Leipold
625471	163544	Singer
625471	195985	Lady-in-waiting
625472	56259	Laura
625473	118994	Lisa
625473	200177	Lily
625473	389858	Young Karen Wexler (Cates) (1
625474	362675	AA woman #4
625475	401215	Herself - Co-Host (1987-1989)
625475	401631	Herself - Co-host
625475	410947	Herself - Co-Host (1996)
625476	215885	Annette
625476	269624	Wendy
625476	381514	Herself (2000)
625476	390276	Kitty Balfour
625476	399130	Bronwyn Davies (1988-1990)
625476	402145	
625477	44076	Netha
625478	126246	Brunhilda
625478	261480	Nadja Thorwald
625478	361140	Nikola Ravenstedt
625478	387384	
625478	391604	Vivien 'Vivi' Andraschek (199
625478	405542	Jenny Brückner
625478	407180	Herself/Sketches
625478	408718	Various Characters
625478	411329	Host and sketches (2000-2002)
625479	11781	Stine
625479	30170	
625479	32544	Tante Emma
625479	38827	Laila Madsen
625479	39127	Skuespiller Lya Swanson
625479	58831	Frk. Züberlein
625479	115555	Grete
625479	116313	Cirkusdirektør Karla
625479	116362	Fru Dahl
625479	118593	Frk. Nisted, Indehaver af et 
625479	120307	
625479	120310	Frk. Olga Bistrup
625479	123504	Husholdersken Olivia
625479	123931	Lassens tante
625479	136619	Frk. Stade
625479	136635	Grethe
625479	138540	Gylling
625479	153229	Ingeborg Torpegaard
625479	153388	
625479	154136	
625479	166599	Husholderske hos frk. Smith
625479	168936	
625479	173148	Kokkepigen Marie
625479	178750	Bodil Barsk
625479	181304	Kokkepigen Marie
625479	187618	Pedersen
625479	214347	Togpassager
625479	214365	Husholdersken Josse
625479	219005	Rengøringskone Nielsen
625479	219700	Johanne Hald
625479	225684	Fru Andersen, møllerens svige
625479	226104	Mette Sofie Hop
625479	231669	Sladrekone
625479	237300	Kokkepigen Marie
625479	238258	Johanne
625479	241981	Marina
625479	255660	
625479	258746	Købmandens kone
625479	272509	Rasmine
625479	278197	Fru Sofie Frandsen
625479	303630	
625479	303874	Mathilde
625479	315403	Baronessen på Stensholt
625479	322468	Alma Mikkelsen
625479	326520	Fru Vildemose
625479	331994	
625479	338709	Fru Lund
625479	339237	Ebba Olsen
625479	340426	
625479	346989	
625479	349650	Martha
625479	365016	Frida Andersen
625480	52557	Freida Weiss
625480	107891	Mrs. Dart
625481	316283	
625482	246272	Mrs. King
625482	346276	Lena
625482	365910	Martha Hudson
625483	5802	Florence Jessup
625484	185505	Belly Dancer
625485	19995	Ice Cream Parlor
625485	137684	Witch Kid/in Party Scene
625486	115929	Flower Girl
625487	159765	Susan
625487	282046	Nurse
625487	342605	Pam
625488	136451	
625489	330204	Herself (rescuer, Czechoslova
625490	234297	
625490	273668	Frau Elvira
625491	145468	Tänzerin (Dancer)
625491	324689	Tänzerin (Dancer)
625492	214456	Deirdre
625493	381821	Ensemble (1982)
625494	48169	Lady Godiva
625494	196024	Perfect Woman
625494	245115	Nurse
625495	252905	Toby
625495	276875	Young Woman in Limo
625496	10355	
625496	376390	
625497	84578	
625497	138906	
625497	167153	Haushälterin bei Dietrich
625497	352222	
625497	365786	Tante
625498	17652	Kassenfrau
625498	260407	Partygast
625499	384627	Governor's Servant Julia Frie
625500	295316	Jen
625501	290464	
625501	316550	Else
625502	183426	Fanny
625503	141577	Social Worker
625504	104564	Mother
625505	4640	
625505	5593	Evelyn
625505	8942	Marlene (Die Freundinnen/The 
625505	11902	
625505	24352	Bea Rautenberg
625505	24402	Deutsche Prostituierte
625505	142052	
625505	142240	Marga Uhde
625505	147141	
625505	178559	Ulla
625505	223454	Jennifer
625505	289947	
625505	312162	
625505	312887	
625505	325865	Annegret Schwarz
625505	329686	
625505	343673	
625505	364965	
625505	380141	Bürgermeisterin Hemmer
625505	380903	Conny Leonberg
625505	391022	
625505	394116	Billie
625505	411329	Host and sketches (1996)
625506	129829	Ponti Assassination Bystander
625507	60063	Isabelle
625507	97853	Fille salle des fêtes 2
625507	171137	Amanda
625508	353932	
625509	24385	Maria Hartwig
625509	42118	
625509	48396	Eva Stadler
625509	49287	Frau Keller
625509	76228	
625509	105843	
625509	107777	Linda Leeuwen
625509	113647	
625509	134996	Freundin Doris
625509	137182	
625509	172691	Herder
625509	189571	Frau
625509	231472	Tessa Herzog
625509	259821	Grete Hahn
625509	272892	Karin Weichselbaumer
625509	325385	
625509	325392	Meier
625509	325745	Maria
625509	325880	Professor Katharina Reinhard
625509	327473	
625509	338470	Frau Doppler
625509	343678	Senta
625509	346924	Wirtin
625509	347829	
625509	393878	
625510	111266	Jacqueline
625511	191987	'LIVEWIRE' Girl Guest
625512	363415	College Student
625513	309890	Stilt Walker
625514	177529	Queen's Lady
625514	265355	Interpreter
625514	399485	Louise (Lady Wilbraham's maid
625515	12190	Mrs. Reilly
625515	44543	Mrs. Brown
625515	59756	Mama
625515	68182	Dowager Duchess of Parth
625515	119473	Ma
625515	125908	Mrs. Spoffard
625515	151691	Herself
625515	155838	
625515	214452	Tish
625515	218504	Flossie Payne
625515	223694	
625515	224508	Mrs. Minter
625515	266102	Mrs. McKee
625515	270477	Aunt Hattie
625515	279457	Harriet Tyrell
625515	301853	Aunt Agatha Braddock
625515	313320	Mabel, waitress #2
625515	317135	
625515	329337	Actress
625515	347066	Lady Customer
625515	350906	Herself
625515	358281	
625515	358954	Big Jo
625515	364433	Mrs. Simmons
625516	81640	
625517	83701	Pia
625517	373433	Nurse
625518	322293	Nina
625519	10051	Brena's Wife
625520	403651	Cecilia Bernardi
625520	405916	Nadine (2003)
625520	410295	Host
625521	102618	
625522	28760	La nonna (the Grandmother)
625522	57970	
625522	120911	Educatrice
625522	133181	
625522	196716	
625522	199920	
625522	214004	
625522	255035	
625522	255118	Zia Elisabetta
625522	255130	
625522	264251	La madre di Goffredo
625522	278023	La cameriera della pensione
625522	328361	
625522	339073	The terribly jealous wife
625522	339078	Lawyer
625522	377576	La madre di Giovanni
625523	334503	
625524	6208	La ballerina
625525	69160	Herself
625526	334503	The Prostitute
625527	51424	Morgane
625528	80483	Hostage Nurse
625529	64048	
625529	99906	
625529	165895	
625529	174019	Ana
625530	403252	Humildad
625531	43599	Mindy
625531	111283	P.A. Voice
625532	156329	Manon, la danseuse
625533	24778	Tami
625533	80483	Hostage Nurse
625533	321464	Abby
625533	363943	Carol Black (car crash woman)
625534	183106	Fru Kjær
625535	214339	Anne-Sofie
625536	100935	Fru Andersen
625536	116453	
625536	214346	Karoline Ellertsen
625536	255660	
625536	272509	Fru Suzanne Mikkelsen
625536	315836	
625536	322476	Generalmajorinde Storck
625536	340426	
625537	356360	Tech #3
625538	401951	Herself - Member of jury
625538	406569	Herself - Member of jury (sea
625539	192413	Daisy
625540	192413	Daisy
625541	314885	
625542	12468	Hoer
625542	58357	
625542	76745	
625542	99222	Mevrouw Verstraeten
625542	99427	Moeder Ellis
625542	115688	Ma Flodder
625542	115689	Ma Flodder
625542	115690	Ma Flodder
625542	138013	Moeder
625542	168781	
625542	171137	
625542	175241	Opoe
625542	175243	Harenwaster
625542	182314	
625542	202625	Dr. Ellis K.P.R.
625542	213551	Burgemeester
625542	213559	Piet
625542	244467	Tante Melia
625542	282904	
625542	314885	Annie
625542	381659	Stem Mevr. van Santen, alle d
625542	388930	Ma Flodder
625542	394609	
625542	395033	Directrice
625542	409365	Mevr. de Bruin, lerares Duits
625542	410850	Oda Ringholz
625543	1161	Lerares
625543	297635	Thabo
625543	341908	
625544	316789	Street Hooker
625544	334354	Gwen
625545	273276	Herself
625546	273276	Herself
625547	303288	Herself
625548	181115	Magda
625548	259819	Wanda Kwasinská
625548	343858	Helena Atkinsonová
625549	133345	Voice of Vampirette
625550	353500	Herself (Model)
625551	33507	Sussi
625552	97455	Louise
625553	56082	
625554	262349	Marjorie Lorraine
625555	190640	
625556	324689	The Doll
625557	195492	
625558	340992	Bus Stop Victim
625559	98067	
625559	119716	
625559	129489	
625559	170694	Mariele Moosleitner
625559	174391	Maria
625559	178544	
625559	189653	
625559	210070	
625559	236820	
625559	290781	Rose
625559	335996	
625559	361093	Zenzi Filser
625559	374007	Marie
625560	147534	Principal Model
625561	125470	Young girl
625561	198256	Prostitute
625562	96014	Marja
625563	105068	Norma
625563	147398	Fru Øland
625563	153343	
625563	184566	Sladrekælling
625563	219700	Norma
625563	231669	Krokonen Marie
625563	237023	Norma Sørensen
625563	322291	Norma
625563	346992	Anne Maries værtinde
625564	24148	Claudia
625565	254283	Brush and Easel Souvenir Girl
625566	88658	Interviewee
625568	22790	
625569	44835	Mme Naudin
625571	353047	Ruth
625572	275872	Tommy's Mom
625573	88258	Mother on Bus
625573	176306	Amelia
625574	48377	Britta Magnusson
625574	78533	His wife
625574	103039	Liisa
625574	109268	Anita
625574	120091	Frida Blomgren
625574	137748	Mona
625574	182585	Maud Olsson
625574	235039	Annie Berg
625574	322270	Lisa Lindahl
625575	320617	
625576	172440	Herself
625576	234435	Alisa Donnikova
625577	97101	Eliza Scrooge
625578	163344	Homeless Woman
625579	162254	Kina Stern
625579	380849	
625580	155949	Hockey Player
625580	156854	Emily
625580	247488	Tori
625581	124714	Joan Dennison
625581	185615	Joan Randall
625581	222592	Vivien
625581	222722	Louise Halloran
625581	332034	Sydney Blair
625581	365356	Jill McClay
625582	148147	
625583	10867	Dr. Ruth Sherman
625583	30442	Mrs. Townes
625583	112028	Katie
625583	123031	
625583	232352	Ruth Sherman
625583	312927	Bar patron 3
625584	169136	Child Chorus
625585	131717	Waitress
625586	125986	Angela
625586	144887	
625586	411056	Nutty McTavish
625587	244919	Keisha
625588	111642	
625588	152583	Desiree
625588	196033	Vicki-Ann Hurley
625588	203733	
625588	209061	Terri
625588	215812	Susan
625588	283781	Miriam
625588	292321	Angela
625588	316140	Amanda
625588	354891	Violet
625588	368788	Rita
625589	32371	Elin Wennqvist
625589	59717	Eva Ekenstedt
625589	167056	Catrin Ågren
625589	171638	Receptionist
625589	171697	Birgitta
625589	182279	Ilse Malik (episode 1)
625589	188873	Sonja
625589	311933	Mamman
625589	357752	Journalist
625589	387766	Lola
625589	390151	Ellas mamma
625589	390854	Cajsa (segments 1, 3, 5)
625590	15024	Femme de chasseur 3
625590	69345	Madame Burg
625590	101170	Louise
625590	200927	Léontine Page
625590	219485	Gisele
625591	12563	Julchen Poppendieck
625591	32736	Anna
625591	34074	Karla Kolumna
625591	46130	Penelope
625591	131852	Waitress (voice: German versi
625591	144329	
625591	155435	Brigitte Leonhardt
625591	156708	
625591	163080	Ute
625591	165361	Koyanerin
625591	166717	
625591	181459	
625591	182742	Prinzessin Christine
625591	216329	
625591	364900	
625591	381653	Karla Kolumna
625591	388286	
625591	392086	
625591	393517	Frau Mahlzahn
625591	403133	Linnie Wendler
625592	121062	
625592	125228	
625592	164819	
625592	218082	Monika
625592	361409	Frau Hicks
625593	17057	Claudia
625593	17593	Anna 2
625593	49289	Rosa Holzbauer
625593	93418	Camilla
625593	205043	Katharina Künstler
625593	262512	Flegel's sister
625593	265096	Lena
625593	290107	Hebamme/Midwife
625593	325385	Helen Pollak
625593	347829	
625594	322513	
625595	108064	Alice
625595	108065	Mrs. Alice Ford
625595	244280	Desdemona
625595	341823	Liù
625595	341825	Liù
625595	353137	Delia/Modestina
625595	353138	Delia/Modestina
625596	34307	Dahlia
625597	261461	
625598	290534	
625599	97388	Dancer
625601	318459	Jade
625602	289508	Lotte Zimmer (alt)
625603	348601	Jessica
625604	38186	Franca
625605	96958	Nurse in Hospital
625605	384740	Various
625606	166141	La mère bourgeoise
625607	285034	Elizabeth
625608	344737	
625609	307553	Blondine
625610	207051	Dead Woman
625610	294567	Gabrielle
625611	23447	Rosita
625611	23963	
625611	29916	Nikki
625611	29917	
625611	29918	Nikki
625611	31630	Sally's Models
625611	31648	
625611	37686	Susan
625611	39142	Dancer
625611	49828	Rat Woman
625611	51996	Sheriff Riley
625611	72584	Linda
625611	80735	Line Dancer
625611	85834	Fran
625611	87018	High Priestess
625611	105905	Marie Antoinette
625611	109485	Officer Casey
625611	113415	Flight Attendant
625611	121367	Nurse Wendy
625611	128696	Tamara/Stella
625611	129768	Noelle
625611	150427	Crystal
625611	150571	Zeke's Lover
625611	153483	Susan
625611	156473	New York Woman
625611	158965	Woman on Balcony
625611	186306	
625611	195601	Dungeon Slave Girl
625611	196572	Exotic dancer
625611	226984	Herself
625611	232206	Leopard Girl
625611	247494	
625611	270627	
625611	292594	Lily
625611	292596	Ginger
625611	296035	Maggie
625611	300176	Dancer #1
625611	302575	Zanthe Fabian
625611	305717	S & M Hooker
625611	311946	Girl in Corvette
625611	314169	
625611	328270	Cassandra
625611	334747	Barmaid
625611	350191	Vampire Waitress
625611	354955	Topless Dancer
625611	355154	Biker/Worker
625611	363303	Alex
625611	396076	Herself
625611	399448	Trina
625612	111894	Celine
625613	279376	Chief's wife
625614	319824	Julie Turbot
625615	333046	Lisa at the age of 3
625616	30110	Ane Hansen
625616	39128	Karen
625616	229264	Rosa, Marthas søster
625617	127708	
625617	138533	
625617	352122	
625618	315366	Teacher
625619	322840	Herself
625619	403084	Receptionist
625620	267333	Steffi
625621	215176	Violinist
625622	68817	Maya
625623	307091	Miriam
625623	308824	Moppel
625624	134464	Tänzerinnen und Tänzer im Var
625625	287550	Trine
625626	2019	Jessie
625627	10548	Old woman
625628	80793	Kate
625629	314771	Helen
625630	191244	Additional Voices
625631	66211	
625631	84183	
625631	193172	Andresa
625632	322392	Mamma
625632	377073	
625633	395438	Presenter
625634	240126	Mima
625635	167324	Earlene Roberts
625636	397684	Herself - Standup Comedian
625636	408348	Herself - Host (2000)
625636	409351	Herself - Team Captain (1995)
625637	1396	Frieda
625637	15288	Singer
625637	17051	Hedi Zoll
625637	18532	Marla Siloff
625637	28696	Saskia
625637	54344	Erika
625637	69650	Conny
625637	84554	Herself
625637	93459	
625637	104737	German entry (6th place)
625637	110079	Marthe Schwerdtlein
625637	111478	Mutter
625637	126344	
625637	134822	Singer
625637	145350	Elisabeth Schoener
625637	145721	
625637	147240	German entry
625637	152406	
625637	155599	Singer
625637	163078	Geraldine
625637	164274	Conny
625637	170667	Annie Becker
625637	172857	Silvie
625637	179005	Martins Mutter
625637	179293	Monika Koerber
625637	179295	Monika Koerber
625637	182591	Kunigunde
625637	183263	
625637	189631	Dagmar
625637	205665	Mariandl
625637	205666	Mariandl
625637	207803	
625637	209957	Anna
625637	210017	Julia Engelmann
625637	223282	Reny
625637	225282	Gerda Kirau
625637	234289	
625637	259659	Martha
625637	259759	
625637	274856	Lizzie Curry
625637	277464	Claire
625637	290121	
625637	293415	Henriette
625637	307088	Verena Lockmann
625637	308211	Christina Land
625637	317610	Margreth Gerber
625637	322531	Bertha
625637	322932	
625637	325734	Hilde Krause
625637	338394	Anni
625637	356203	Christel
625637	358213	
625637	361376	Conny Werner
625637	361395	Conny
625637	365590	
625637	365592	Oma Vanessa
625637	366477	
625637	367168	
625637	402046	Dr. Pia Michaelis
625638	893	Anki
625638	4592	
625638	29570	Mahapadu
625638	84268	Tina
625638	113032	
625638	120848	Marianne
625638	181824	Tina Mattsson
625638	182531	Camilla
625638	251843	Shay
625638	278346	Sissela
625638	320957	Julia Swedenhielm
625638	321906	Erna
625638	326044	Linda Berg
625638	333082	Signe
625638	333083	Annelie
625638	357777	
625638	390950	Sandra
625638	395713	Hanna
625638	398852	Cattis
625638	407489	
625639	75181	
625640	301094	
625641	115390	Lena Hagen
625641	180475	Ms. Nilsson, maid
625641	304425	
625642	109008	Aunt Brun
625642	115401	Mirre
625642	120138	Flowershop Clerk
625642	153714	Kerstin
625642	174079	Karin Stenmark
625642	200866	Inga and Gretas mother
625642	284028	Girlfriend in Volvo
625642	288307	Elsa
625642	304425	
625642	352999	Beatrice
625642	353022	Olivia Nilsson
625642	377419	Elsa
625642	377436	Berta
625643	365601	
625644	182948	Women's Army of Revolt/Citize
625645	124378	Extra
625646	238658	Drug Park kid #12
625647	27430	
625647	30162	
625647	72314	
625647	84392	
625647	88398	
625647	104868	
625647	117152	
625647	123499	
625647	125895	
625647	136258	
625647	142800	
625647	154359	
625647	166890	
625647	173140	
625647	192661	
625647	214198	
625647	224864	
625647	242965	
625647	276464	
625647	303725	
625647	307503	
625647	317621	
625647	317623	
625648	386982	
625648	404481	
625648	405803	Renate Burger
625649	290839	Koshiek
625650	145743	Mrs. Saeki
625650	368314	Clerk at Dry Cleaner's
625651	123435	New Moon Cafe Manager
625652	230676	Reporter
625652	279887	Police Officer
625653	134320	
625655	141859	Christie (Toddler)
625656	83518	
625656	91103	
625656	135317	(segment "Poderoso Cifrão, O"
625656	171532	(segment "Flor de Lys")
625656	181779	
625656	253662	
625656	256372	Ivone
625656	296314	
625656	319626	
625657	327096	Leonor
625657	383244	
625658	347300	Alley extra
625659	215831	Waitress
625660	27247	Rachel Hicks
625660	78250	Danielle Cable
625660	194584	Lizzie Ridd
625660	316863	Dawn Richards
625660	381121	Rachel Hicks (Series 1) (1999
625660	385020	Zoe Tattersall (1997-1999)
625660	393037	Angelique Mahy
625660	399069	Jenny Macalister
625660	400466	Becky
625660	400810	Julia Eustace
625661	291414	Gemini
625662	50273	
625662	114769	
625662	120022	
625663	392072	Charlotte Iversen/Anker-Hanse
625664	396920	Marga as a child
625665	5913	Herself
625666	249420	Nurse
625668	327564	
625669	45908	
625670	108893	Marieke
625670	388419	Mareike (segment "Le mort qui
625671	214035	
625671	378748	Anchor (1 January 1999 -)
625671	385732	Host (1991-1999)
625672	361068	Girl in Bathroom
625673	182748	Uta Storm
625673	259535	
625673	259546	
625673	259564	
625673	259565	
625673	259636	
625673	259650	
625673	347614	
625674	345302	La femme de Lucien
625675	91929	Control Screen Flower
625676	268413	La jongleuse
625677	21231	Anita
625677	290737	Frau Gretl
625678	152603	Visitor to fort
625679	355880	
625680	214339	Helene III
625681	204882	
625682	64153	
625683	44359	
625683	62356	
625683	246347	
625683	349304	
625684	35864	
625684	89486	
625684	188522	
625684	294990	Zhenka's Aunt
625684	357336	
625685	374765	
625686	162758	Lyubka Kozak
625687	30117	
625687	95690	
625687	265024	
625687	286216	
625687	349077	
625687	356444	
625688	95904	Fru Rasmussen
625689	252000	Pige på Stengården/Servant gi
625690	78485	Herself (performing 'Hva' er 
625691	178226	
625691	270618	Herself (Kemp vocalist)
625691	313805	Joan Garrett
625691	393315	Herself
625692	25707	
625692	305544	
625693	194820	
625694	71816	
625694	225459	
625694	384288	Loulou
625695	277726	
625696	197062	La Malatesta
625698	200532	
625698	287131	Anchorwoman
625699	20160	Olga
625699	28353	
625699	59216	
625699	116475	Petit-Jean
625699	124147	
625699	216229	Cosette
625699	225428	
625699	252775	Marcelle Monfort
625699	258957	Mlle. Aubanel
625699	345465	La religieuse
625699	378088	
625700	96011	Girl in Hell
625700	125066	
625700	282096	
625702	396920	Franziska Folkmann
625703	3642	Herself
625703	3887	Herself - as Lynette 'Squeaky
625703	147980	Herself (Manson follower, wit
625704	157325	Infirmiere Charoin
625705	293258	Ellen (Bank Teller)
625706	280830	Slave Girl
625707	251085	Vocalists
625708	82710	Susan, bodybuilder
625709	26540	Markétka
625710	81154	Jane
625711	38379	Nicki Carstairs
625712	261135	
625713	110278	Parsley
625714	67478	Maureen
625714	68680	Sarah
625714	101387	Mary II
625714	126042	Jura Interviewer
625714	158392	Beth Parsons
625714	215796	Sarah Seymour
625714	230366	Various Roles
625714	238701	Pru
625714	320453	Barbara Gold
625714	381996	Various roles (2002)
625714	385815	Valerie Sinatra/Barbara Winte
625714	391151	Claire Gray
625714	394681	Various roles
625714	398124	
625714	399463	Cathy
625714	403803	Sheila Trotter
625714	404356	Various roles
625714	406729	Liz
625714	408261	Vicky Jackson
625715	109252	Mrs. Coggins
625716	78980	Monique
625716	85073	Girl at rave
625717	404399	New Girl
625718	120717	Encarnación Rosas
625718	275135	Gabriela Ochún
625718	380076	Usnavy Copete
625719	2707	
625719	14703	
625719	25019	
625719	29774	Angelina
625719	46918	Mira
625719	55343	Lola
625719	68578	
625719	70487	Noêmia
625719	80271	Jenny
625719	80485	Housekeeper
625719	103851	Geraldina
625719	104019	Kiki (segment "Kiki Vai à Gue
625719	108728	
625719	124237	
625719	124241	Naná
625719	135268	
625719	147339	Lúcia
625719	148487	
625719	205701	Arminda
625719	248047	
625719	256780	Lili
625719	268411	
625719	286416	Angelina
625719	334565	
625719	339269	Ivone
625719	344806	
625719	349721	Reporter
625719	377605	Maria Xangai
625719	381849	Arlete
625719	384002	Agda
625719	385023	Zoraide da Silva Cordovil
625719	385030	Suzana
625719	387104	
625719	388379	Helena
625719	391674	Gióia
625719	392510	Gertrudes
625719	393615	Aurélia Creonte
625719	396610	Jasmin (1996-1997)
625719	397409	Aldenora
625719	397645	Amelinha
625719	397804	Anita
625719	401010	Carmem
625719	401095	Raquel
625719	402506	Loreta
625719	403119	Tânia
625719	404814	Paloma
625719	408727	
625720	8581	
625720	104018	
625720	260574	
625720	268853	
625720	268992	
625720	286416	
625720	349669	
625721	274525	Witness
625722	6251	Herself
625722	11236	Sylvia
625722	97395	Herself
625722	128210	Sally
625722	192170	Sylvia Froos
625722	271809	Herself
625722	290350	Herself
625722	306997	Sally Ray
625722	308670	Sylvia
625722	313076	Herself
625722	338044	Sylvia Markwell
625723	14828	
625724	399531	Joyce
625725	316282	Fat Woman
625726	67618	Woman Down Hall
625727	24141	Alunna
625728	97147	Simona
625728	162069	Simona
625729	208040	Mrs. Toronto
625730	293938	
625731	309405	
625732	36554	Alex's Mother
625734	99202	Moren
625735	385577	Correspondent (2002)
625735	395596	Player
625736	154907	Greta
625736	194269	Miss Jackson
625736	265005	Swedish woman
625736	315199	Aunt Ella
625736	362635	Art Gallery Patron
625736	366236	
625736	396641	Aunt Trina Gunnerson
625737	51051	Alexandra Tanner
625737	149357	Felicia
625737	311441	Kyoko Takahashi
625738	137462	Dancer
625739	222212	Erin
625740	72151	Agent Hamilton
625741	241975	
625741	249741	Speaker
625742	16240	Adrienne Bergmann
625742	98261	Lachscarpaccio
625742	102507	
625742	248508	Eva
625742	332846	Luise
625743	30658	Cleaning Woman
625743	147913	Secretary
625743	264884	Mrs. Dominick
625743	306431	Mrs. Levenstein
625743	360536	Connie
625743	367083	Soundstage Saleslady
625744	117648	
625745	3107	Couple #2
625746	130614	Gina Diggers
625747	140265	
625748	104901	Girl
625749	63139	Woman in Restaurant
625751	237615	Licia
625751	353155	Betty
625751	377582	Olga Voronowska
625752	193295	Girl
625754	232818	Old Granny
625755	131805	Ethel
625756	17760	Lacey Party Guest
625756	105256	Mme. Pissoir
625756	131777	Ethel
625757	1707	Performer
625757	3250	Herself - Performer
625757	3251	Performer/Herself
625757	23322	Herself - Atomic Kitten
625757	23323	Herself (Atomic Kitten)
625757	46192	Herself
625757	104616	Herself/Performer
625757	104774	United Kingdom entry (12th pl
625757	163647	Herself
625757	169815	Herself/interviewee
625757	170848	Herself (greetings for the sh
625757	249555	Herself/Performer
625757	249591	Performer
625757	249592	Performer
625757	260291	Herself
625757	273900	Herself
625757	273901	Performer/Herself
625757	305490	Herself ('Atomic Kitten')
625757	311953	Performer
625758	150243	Female prison guard
625759	108271	Mrs. Tully
625760	1252	
625760	81865	
625760	187182	
625760	312380	
625760	326732	
625761	139587	Herself (interviewee)
625762	254485	Trina
625763	93982	
625764	144226	Fanny
625764	224648	
625764	271063	Julie Darin
625764	339439	Sonya Levin
625764	364446	Moses' Mother
625765	104973	Ruby
625765	333408	Young Barbra
625765	387973	Ruby Mendel (2001-)
625765	410729	Casey Collins
625766	107782	
625766	141256	Mary Greer
625766	294368	Elspeth Sandys
625767	21526	Betty
625767	37246	Laurie
625767	52202	Laurencia 'Bambi' Bembenek
625767	67054	Anne Brewer
625767	80477	Randi James
625767	99296	Lois Smart
625767	158414	Stacy Mitchell
625767	183705	Susan Dawson
625767	186714	Lisa Ducharme
625767	214441	Karen Sorenson
625767	218206	Terri Flynn
625767	223896	Marilyn Sheppard
625767	242431	Pamela Bluestone
625767	247194	Samantha Taylor
625767	278498	Ruth Embry
625767	305679	Rene Mackey
625767	315285	Sarah McConnell Parrish
625767	338805	Sally
625767	363218	Paige Farrell
625767	380713	Betsy Stewart Montgomery Andr
625767	382096	Dr. Jessie Lane
625767	385887	Sara Gordon
625767	391535	Sgt. Helen Sullivan (1996-199
625767	396717	Kristen Carter
625767	399454	Fay Peronivic
625767	408529	Doris Duke (age 20s to 50s)
625768	81870	Phyllis Lake
625768	130043	Bess Norman
625768	159942	
625768	190465	Mollie Dean
625768	302875	Polly Gary
625768	340956	Irene Stonehay
625769	73235	Sarah
625769	232987	Night club hostess
625770	405209	Sharon Morris (1998)
625771	41578	
625772	315311	
625772	381387	Beryl
625773	49506	
625773	200132	Slave Girl
625773	253248	Groupie
625773	290346	Polly
625773	292856	Lindy Leigh
625774	305020	Vibeke
625774	398260	Signe
625775	5213	Julia Egan
625776	30646	Makeup Assistant
625776	72095	Sharon
625777	12594	Kess
625777	20519	Female Soldier
625777	73430	Maria
625777	101704	Additional Voices
625777	121568	Alvarez
625777	323889	Yutis/Undine
625777	358055	Fry Kid #3
625777	369460	Computer Voice #2
625777	383643	Lola Caricola (1999-2001)
625777	391485	Olga Pataki
625777	397724	Micheline 'Mike' Mavinsky
625777	411611	Anakonda
625778	259778	Nancy
625778	409578	Cathy McLeod
625779	12244	Party Goer
625780	36744	The Artiste
625781	687	Herself
625781	17796	Lucy (Joe's sister)
625781	34129	Max's friend
625781	51343	Eva
625781	54490	Tessa
625781	64672	Dominique
625781	73325	Val
625781	85850	Rebecca
625781	92660	Lucy Westenra
625781	100133	Tracy
625781	113291	Sadie
625781	116290	Natalie
625781	127122	Alice 20 yrs
625781	155595	Mrs. Laura Cheveley
625781	180787	Sharon Pellam
625781	184090	Francesca
625781	196300	Sadie
625781	243146	Herself
625781	248157	Employment Agency Interviewer
625781	263089	Governess
625781	268211	Hattie
625781	272006	Sarah Thompson
625781	299794	Jo
625781	309534	Luisa
625781	311534	Angela
625781	348505	Zivia Lubetkin
625781	381533	Introducer
625781	388542	Storyteller
625781	395408	Amanda
625781	410885	Herself - Presenter
625782	215686	Miss Australia
625783	4498	
625783	62345	
625783	119031	
625783	153713	
625783	240004	
625783	281654	
625783	314920	Stine
625783	347627	Franziska Linkerhand
625784	145065	Stewardess
625784	148386	
625784	334268	Vendeuse
625785	74011	Elderly Lady
625786	390142	Herself - Commentator
625787	211038	Girl in poster
625787	346209	Viviann
625788	41037	Gypsy Dancer
625788	184094	
625788	312913	
625789	126493	Presenter
625789	165264	Herself
625789	252492	Herself
625789	295915	Narrator
625789	380806	Host
625789	382003	Presenter
625789	382871	Host
625789	383434	Presenter
625789	387317	Presenter
625789	389455	Host
625789	389456	Host
625789	390249	Panalist
625789	395743	Presenter
625789	410124	Presenter
625790	40552	Patron #1
625790	259360	Church Attendant
625791	2968	Audrey
625791	14466	Patricia
625791	19334	Jeanne Rivet
625791	26043	Véronique
625791	36673	La blonde/Prostitute
625791	44940	Yseult
625791	57281	Jeanne Rivet
625791	58119	Donniacha
625791	58755	Babette
625791	59301	Hélène
625791	62817	Le docteur Nicole Milovavovic
625791	64333	Herself (1986)
625791	83241	Béatrice Bretty
625791	84078	Antoinette Bomme
625791	86727	Pierrette Dumortier
625791	91166	Marie-Louise, la mère
625791	94399	Charlotte
625791	96395	Marlène
625791	97926	Claire/Klare
625791	99497	Juliette
625791	101184	Carole
625791	101509	Bathilde
625791	103203	Béatrice
625791	104669	Catherine
625791	107068	Marion
625791	109735	Fabienne
625791	156312	
625791	158840	Juliette
625791	160722	Gisèle
625791	164157	La femme à la bibliothèque
625791	164680	
625791	166157	Agnès
625791	171320	Irène
625791	186173	Josy
625791	198608	Mimi
625791	211375	Sophie (participation)
625791	217235	Cécile
625791	217705	Arlette jeune fille
625791	218448	Charlotte Oriol
625791	220253	Anna
625791	225433	
625791	235878	Isabelle
625791	236574	
625791	243771	Eurydice
625791	248055	Evelyne Bordoni
625791	266539	Babette
625791	268940	Suzanne
625791	284641	Cécile
625791	300658	
625791	306949	
625791	320240	La banquière
625791	333460	Jacqueline
625791	335083	Catherine, la mère de Tom
625791	345022	Yolande
625791	345156	Jeanne Rivet
625791	345251	Gisèle
625791	345563	Marie
625791	346517	
625791	346723	Jacky
625791	351811	Martha Hubner
625791	353958	Marylin
625791	354582	Tonine
625791	354968	Madame Rézeau
625791	356404	
625791	377069	Fanny (segment "Europe Secour
625791	377479	Hélène
625791	383955	Béatrice
625791	384786	La gardienne
625791	391479	Louise
625791	393390	La Baronne
625792	23699	Marie
625792	41446	Prisonnière nue
625792	76058	Madame Lantier
625792	80206	Thérèse
625792	84595	The adoptive mother
625792	101247	
625792	101457	
625792	124145	Béatrice
625792	160533	Nathalie Plude
625792	164183	La responsable d'identificati
625792	205612	Nénesse
625792	205737	Joëlle
625792	217652	
625792	219606	Betty
625792	254076	The sister
625792	254316	Artémise
625792	269506	La mère
625792	269741	Mme la proviseur
625792	292361	
625792	329158	La cliente moralisatrice au s
625792	336993	La femme de la mairie
625792	350850	Hysterical Woman
625792	351717	Valerie
625792	355333	Marie Sigala
625792	376999	Agnès
625792	377044	Lili 3
625792	377045	
625792	377630	Rita
625792	380859	Josyanne Bettencourt
625792	380862	Marie
625792	387657	Flo
625793	328850	Camille
625794	18504	
625795	16508	Bia
625795	156582	
625796	387932	Beatriz
625797	221863	
625798	266583	Go Go Dancer #2
625799	209623	
625799	330117	Melody Duncan
625800	4699	Serving Woman
625800	214912	Ruth Abrams
625801	202561	
625802	217745	Art History Student
625803	25788	Young girl in the tram
625803	53069	La copine de Frédéric
625804	160713	Nurse
625805	366510	
625806	360165	Her sister
625807	121741	Georgia
625808	41390	Messenger
625808	338818	Ghoul #1
625809	80456	She-Devil
625810	13190	Herself
625811	27332	Janet
625812	197393	La concierge de l'hôtel
625813	57536	Agathe
625813	200517	Publishing House Hostess
625813	236510	Odile
625813	248423	Joëlle
625813	341120	Chloë
625813	377034	Françoise
625813	399758	Nan (segment "Banc de la déso
625814	185683	Theater Audience
625815	88761	Whore
625815	91171	
625816	143074	Sammy's Friend
625816	355539	Young Judith
625817	44547	Zoey Russell
625817	73560	Belinda
625817	204947	Little Alice
625817	284907	Melissa Castle
625817	308929	Mrs. Peterson's Daughter
625817	321209	Jessica
625818	35933	
625819	168843	Herself
625819	393773	
625820	259717	
625821	271341	Alien
625822	105167	Mrs. Shine
625823	122660	Selena
625824	30896	Dr. Phillips
625824	45503	Lucy
625824	404517	Velma Dinkley (1980)
625825	97145	Ecaterina Teodoroiu
625826	162103	
625827	347466	
625828	713	Italienische Krankenschwester
625829	42422	Mary Devotee #2
625830	215465	Carmen Banderas
625831	162134	Maria
625832	345607	Lauri
625833	384795	Cristina (2000-2002)
625833	386336	Elena
625833	396179	Raquel Castellanos
625833	398914	Rebeca
625833	400756	Alicia
625834	307200	
625835	4637	
625836	38999	Jed's Girl
625837	16657	Lorraine Ruger
625837	185776	Woman in Bookstore
625838	283377	Fio Felton
625839	387533	Virginia West (2000-2001)
625840	41743	Julien's Mother
625841	144406	
625842	137623	Child
625842	169812	Bingo lady
625842	222603	Elizabeth Stride
625843	267608	Herself
625844	389046	Additional Voices
625845	72918	Donna Duffy (Sucker)
625846	306600	Roxanne Duley
625846	351972	Dance Hall Girl
625846	390523	Robyn Stone (1991-1996)
625847	267608	Herself
625848	324235	A Clown
625849	74219	Carol Jean Bradnick
625849	81085	Jennie
625849	86274	Lucy McClane
625849	192172	Lavinia
625849	229213	Jenny Mills
625849	229257	Young Jilly Blue
625849	235052	Zoe
625849	264761	Sandra Harper
625849	335724	Sally
625849	389964	Amy Potter
625849	394540	Phoebe Hartman
625849	399450	Megan Sullivan
625850	374284	Diana
625851	97541	Maria
625851	361076	Elka - 12 years old
625852	104763	Greek entry (17th place)
625853	243763	Dancer (Life)
625854	410374	Correspondent
625855	135699	Karen
625856	211228	Herself
625857	51257	The Citizen's Wife
625857	57556	Ludmilla
625858	32375	Iro
625858	120027	Vera
625858	182599	Zipa Schütt
625858	208678	
625858	249105	Nurse
625858	304424	
625858	313173	Lisa, Frida's mother
625858	321214	
625858	395642	Syster Yster
625858	398251	Zigenerskan
625858	409853	Sonya
625859	284331	Sra. de la biblioteca
625860	217745	Dancer
625861	192100	Pregnant Woman
625862	367099	
625863	268074	Dancer
625864	33218	Frau Brenner
625864	36680	
625864	42198	
625864	98318	Marie
625864	103065	
625864	104263	
625864	107839	Florence
625864	111757	Juliane
625864	117896	
625864	125084	
625864	129692	
625864	134778	Erika Hallersperg
625864	147518	Marion
625864	153096	Erika Weininger
625864	155363	Greta
625864	155365	
625864	156048	
625864	156718	Mary
625864	180872	Frani Kilian
625864	184398	Lisa
625864	210058	Greta Föhn
625864	216248	
625864	229929	
625864	236822	
625864	250896	Vera Bork
625864	263371	
625864	292101	Stewardess
625864	322524	
625864	328549	Anne Fortner
625864	335025	Tilly
625864	335034	Mary
625864	347771	Nina
625864	350851	Gisela
625864	356202	Kurfürstin
625864	361394	Inge
625864	366562	Wera
625864	376024	Mila Hetzberger
625864	402374	Vera Neubert
625865	345964	Phil's Mother
625866	334762	Sister Sonji
625867	7846	Merry
625867	158151	Bride In Subway
625868	202490	Girl with Easter Bunny
625869	72765	Noel
625870	245263	Fine woman #1
625871	41180	Katie
625871	119466	Glittery Girl
625871	210960	Lyle's other girlfriend
625872	311500	Skate Board
625874	241531	Shell Person
625875	212182	Chalita Romero
625876	73818	Melissa Hendrix
625876	279546	Dancer
625876	331586	Chijik
625876	367825	Helen James
625877	141323	Schoolgirl
625877	163328	Eric's Mother
625877	297288	Bookstore Girl
625877	385719	Pansy Faye (1969)
625878	53033	Mrs. Malloran (Jenna's Mother
625878	241295	Nurse
625879	1699	Herself
625879	77715	India Rey
625879	112205	TV Stewardess
625879	112874	Lolita
625879	112875	Lolita
625879	232628	Femme pressée
625879	258635	Une candidate Bernadette
625879	388600	Herself
625879	401885	Herself/Member of the jury
625880	261564	Town cavalry
625880	277909	Wagon-driving Refugee
625880	282350	Bardshar's nurse
625881	139606	2nd Factory Girl
625882	56545	Herself
625883	131695	Angélique
625883	199315	Léa
625884	360699	Rae
625886	866	Herself
625886	10317	Alissa
625886	16511	Herself
625886	34789	Herself
625886	41426	Marcie
625886	62669	Tina
625886	102591	Elizabeth Kovacs #2
625886	128893	Casey
625886	155020	Kyra Thompson
625886	161338	Herself
625886	161977	Chrissy Winslow
625886	189248	Gigi
625886	214439	Becky Hanson
625886	215745	
625886	219859	Agent Kyle Rivers
625886	228969	Herself
625886	256528	Laura
625886	267112	Marcie
625886	292698	Emily DeCapprio
625886	308856	Herself
625886	312607	Julia
625886	318854	Peggy - Head Cheerleader
625886	342653	Sharon Stewart
625886	364313	Linda Fray
625886	365313	
625886	372244	Minerva
625886	383158	Tyler McKay
625886	390108	Herself
625886	390699	Robin (pilot only)
625886	392423	Herself
625886	393125	Punky Brewster
625886	402343	Zoey
625886	402449	Penelope 'Punky' Brewster
625886	404083	Roxie King (2000-2003)
625886	410987	Sonya
625887	304948	Doctor
625888	399130	Sky Bishop/Mangel (I) (1989-1
625889	380508	Margaret Appleyard #3
625889	408819	Eliza
625890	245089	Jaz Bailey
625891	346159	
625892	77019	Janice
625892	113414	Anna
625893	126402	
625894	119471	Amanda
625895	119471	Female Ranger
625896	211217	
625897	166383	
625898	93493	
625898	107371	
625898	174257	
625898	210100	
625898	261781	
625898	348677	
625898	356846	
625899	240322	
625900	346711	
625901	51807	Sandrine
625901	59056	Young Coco Chanel
625901	245953	Claudine
625901	376895	Laurence
625901	383832	Virginie Lentier
625901	390480	Annie
625902	164675	Pierrette
625903	171389	
625903	199582	Rose
625903	201089	Pianist
625903	216124	
625903	258115	
625903	320012	
625904	77366	Gisele
625904	96054	
625904	102235	
625904	283921	
625904	288948	Commune Woman #1
625905	14577	Cabaret-Singer
625905	34370	Bohemia
625905	46961	
625905	66719	
625905	101251	La femme Sulpice
625905	101806	La chanteuse
625905	127634	La chanteuse
625905	160048	
625905	201192	
625905	208559	
625905	267509	
625905	268436	Tania
625905	280781	Redhead (singer)
625905	283047	Henriette
625905	283049	
625905	345273	La femme de Buck
625905	346633	La patronne du bar
625905	349492	
625906	345461	Petite fille Chacha
625907	17114	L'infirmière
625908	7623	Married woman
625908	98959	
625908	240286	
625909	324321	Young girl at podium
625910	10296	La mère
625910	101177	
625910	198558	Noëlle
625910	268825	Alice
625911	169360	Interviewee
625912	157306	Denise Vigneul
625913	84024	
625914	100326	Bruma King
625914	120080	Maid
625914	120709	Mama Pepito
625914	398915	
625915	101789	
625916	396741	Dorotéa
625917	380326	Chica
625917	397541	Rosinete
625917	401900	Ivete
625917	405936	Rosa
625917	409975	
625917	410190	Jurema
625918	29345	General counsel's wife
625918	42954	Guest at Tonérus' party
625918	84317	Member of the national monume
625918	89470	Waitress
625918	99568	Woman at the ball
625918	109976	Hat check girl
625918	115385	Shop customer
625918	120892	Assistant
625918	134263	Woman at the party
625918	154249	Guest
625918	192644	Woman
625918	240312	Mayor's wife of Viköping
625918	305306	Member of the Cookie Academy
625918	307533	Woman at Per's birthday party
625918	322271	Oskar Blomkvist's secretary
625918	338708	Woman in the cab
625918	341611	Woman with cloth to declare
625918	343471	Arvida Karlsson
625918	353041	
625918	357805	Mrs. Arnell
625918	377298	Guest at Tora's party
625920	377397	Nurse
625921	405619	Jenna
625922	289783	Acting student
625923	259651	
625924	393360	
625925	184360	Farmer's Wife
625925	330375	
625926	86400	Isolde
625926	104828	
625926	115103	Assistentin Dr. Martin
625926	189776	
625926	239018	
625926	290857	Christa Tochter von Steinhage
625926	354371	
625927	11870	
625928	76779	Dagmar
625928	319736	Fitness-Frau
625928	361492	Elke
625928	404063	April Eagle (German Voice)
625929	290455	Polly
625930	347007	
625931	10213	
625932	271636	
625932	342302	Lena
625932	354286	Woman, "not-a-rat's-fell"
625933	104807	Class Mate
625933	387963	Mia
625934	387963	Sofia
625935	191172	Berit
625936	117320	
625937	34446	Siv Pagge
625937	60967	Maria
625937	65210	Jeanette
625937	82708	Katarina
625937	89499	Herself
625937	94254	Inger
625937	99422	Inger
625937	107882	Maud
625937	108633	Ekdahlska huset - Emilie Ekda
625937	108982	Laura
625937	122618	Robban's mother
625937	129268	Nana
625937	132182	Georgina Seth
625937	167605	Siv, Jim's Mother
625937	188623	Anna Kaleva
625937	207214	Sofia Magdalena
625937	207225	Helena
625937	215269	Célimène
625937	225344	Violet
625937	237245	Mother
625937	245846	Elfrida Roos
625937	248500	Berit Hamrin
625937	252005	Maja Gräddnos
625937	252006	Maja Gräddnos
625937	268355	
625937	284553	Madde
625937	286137	Sally
625937	303194	Liselott Waltner
625937	312072	Berit Hamrin
625937	338934	Löwin
625937	341093	Monica Iverson
625937	342302	Doctor
625937	392289	Blenda
625937	393273	Karin Söderström
625937	403769	Maria Dahl (episode Det sista
625938	1050	Agathe Klarin (in picture)
625939	393003	Ida
625940	169061	Eva
625940	312072	Lena Milander
625941	210348	Herself
625942	315605	Principal
625942	381054	Curator
625943	115423	Karin's colleague at work
625944	78269	Herself - Co-Host
625944	376101	Herself - Presenter
625944	376103	Herself
625944	403944	Herself - Host (2003)
625944	410244	Herself - Host
625945	130190	Herself - Host
625945	342244	Herself
625945	343520	Herself
625945	379385	Herself - Host
625945	390211	Herself - Host
625945	390213	Herself - Host (1996-)
625945	392305	Herself - Host
625945	400012	Herself - Host
625946	5218	Gerd
625946	201230	Fostermor
625947	12844	Edith
625947	106738	Benis Mother
625947	187644	Lucia
625947	275208	
625947	290721	Miriam Grau
625947	308219	
625947	325856	
625947	376004	
625947	396285	Frau Hurni (1999-2002)
625948	186897	Baustellen-Chor/Construction 
625949	352040	
625950	74469	Ema
625950	88432	
625950	149978	Vera
625950	217038	
625950	266023	
625950	351374	
625950	351383	
625951	273136	(as Olga Fritz)
625952	32723	Ayah
625953	125160	
625953	226010	Ah-Chai's Stepmother
625953	247334	Kitty's Cousin
625953	275550	Shu-Wen
625953	277561	
625953	298353	Nancy Ton Yue-Lan
625953	369583	Virgin
625953	370841	Joyce
625953	374671	Ling
625954	370927	
625955	103024	Herself (Mother)
625956	209885	
625956	286749	
625958	370926	Administrator's Sister
625959	371451	Rongshan's Wife
625960	167456	Lin Manli
625960	268694	Qiao Geer
625960	374701	Zhang's Wife
625961	268694	Qiao Geer's Mother
625962	110519	Amy
625962	301557	Ashley
625963	92260	Alien 2
625964	62187	Boney
625965	393496	Lulu
625966	183044	Sir Ng
625967	25931	
625967	124574	Chilli
625968	91541	Sun Chunxi
625968	149050	Xue Baochai
625968	218879	Tan Yuling
625968	370816	Lin Xiaoyi
625968	370835	Hu Ping
625969	334227	Miss Vasti
625970	21822	Mitsugu's mother
625970	28057	Natsuko Okada (Episode 1)
625970	70605	Naoko Hayase
625970	144440	Oro
625970	174061	Mitsuko Jinbo
625970	174994	Michi's mother
625970	175463	Takako Shimizu
625970	177122	Kyoko Kitano
625970	178244	Taeko Sawada
625970	179387	Nozomi Morihara (Kunihiko's d
625970	182715	Junko Sato
625970	201090	
625970	204837	Chieko Tatsumura
625970	216527	Yuuko Kusubayashi
625970	222455	Momoko Sukegawa
625970	222543	
625970	244548	Choko
625970	263361	
625970	310087	Dominique
625970	319964	
625970	326974	Sahoko Omori
625970	341309	Akane
625970	371915	Kyoko Nagai
625970	372000	
625970	373438	
625970	380729	Sakiko, the 4th daughter
625970	402467	Orihara, Takako
625971	212109	
625972	370853	A Grosvernor residant
625973	4016	Morisato Megumi
625973	9433	Kaori
625973	30737	Rushe Renren
625973	177632	Wendy
625973	201302	Ketto
625973	209805	
625973	212306	Ibuki Yagami
625973	257397	Tiita
625973	285921	Kohran Li
625973	285922	Ri Kohran
625973	285923	Kohran Li
625973	307186	June Ashel
625973	307188	June Ashel
625973	311344	Lily
625973	335856	Takami Akai
625973	387831	Non-chan
625973	396486	Takuto
625973	396487	Keshimaru
625973	396494	Kishin Shinokawa
625973	396500	Ayako
625973	397562	Yagami Ibuki
625973	398900	Dewey, Biko, & Anna's mother 
625973	401116	Michael
625973	403966	Young Sanosuke
625973	405278	Anthy Himemiya
625973	408487	Tonrariaano III
625973	410525	Rob
625975	40505	Girl in grillbar
625976	81079	Georgina
625977	121053	
625977	237738	Fanny Mehlmann
625978	338411	
625979	314315	
625980	395822	Suzana
625980	397416	
625981	229593	Prostitute
625982	386020	
625983	43655	Fräulein Tremmel
625983	101355	
625983	114972	Fräulein Anna Schlätel
625983	121062	
625983	129495	Thea
625983	134848	
625983	147539	Fräulein Gerber
625983	152740	Else Münzker
625983	153921	Bablochnerin
625983	170675	Herlitschka
625983	178551	Frau Bauriedel
625983	178781	Schwester Barbara
625983	200046	Taglöhnerin
625983	211073	Walburga
625983	248540	
625983	267116	Frau Riedinger
625983	281736	
625983	281949	Pauls Mutter
625983	284993	Martl
625983	290839	Lehrerin
625983	308062	Waitress
625983	309018	Sophie Mayerhofer
625983	324785	
625983	325812	Wirtin Meier
625983	325918	Frau Hoiss
625983	346957	Frau Ernsberger
625983	359679	
625983	361091	
625983	361092	Frau Stiller
625983	361500	
625983	364825	
625983	365602	Maria Leitner
625983	365603	Maria Leitner
625983	365604	Maria Leitner
625983	365605	Maria Leitner
625983	365606	Maria Leitner
625983	365607	Maria Leitner
625983	365608	Maria Leitner
625983	376364	Franziska "Fanny" Siebzehnrüb
625983	381679	Franzi Pirchner
625983	389943	
625983	392997	Kerschbaumerin
625983	397370	Sekretärin
625983	398083	Frau Gralhuber
625983	403925	Hauserin
625983	404224	Katharina Schirmer
625983	404482	Haushälterin Anni
625983	405971	Sophie Mayerhofer
625983	411109	
625983	412102	Renate Baumgartner
625983	412104	Franziska "Fanny" Siebzehnrüb
625984	302793	Miamaid
625985	189679	Verkäuferin im Blumenladen
625986	93417	Helene
625987	69785	La Dame Américaine
625988	18519	Gerichtsvorsitzende
625988	125218	
625988	144351	Jeni von Bergenstein
625988	189292	Herself
625988	225243	
625988	234370	Elvira
625988	290216	Cilly Schneider
625988	325896	Lisse van Eick
625989	222432	Cleaning Woman 2
625990	255438	Secretary
625990	343727	
625990	378452	
625991	248531	Jessica
625992	72877	Screaming Woman (segment "Pos
625993	20448	Mia
625994	33492	Friend
625994	49285	
625994	136086	Clarissa
625994	182136	Nutte/Hooker
625994	225280	
625994	281657	1. Essensträgerin
625994	312721	
625995	338460	
625996	210250	
625996	298764	
625997	341926	Becky
625997	342635	Girl at Saloon
625998	295261	
625999	184012	Lola
625999	405076	Suzie
625999	408225	Anat Arbeli
626000	225306	Die Alten: Getrude
626001	54465	Uschi
626002	6661	Henriete Chalais
626003	357072	Herself (passenger, S.S. St. 
626004	143514	
626005	38840	
626006	225732	
626007	341	Lucie
626007	62438	Eva
626007	170350	Líba Fucíková
626007	173393	Vendulka
626007	179227	Terezka
626007	196818	Lucie
626007	352794	Eva
626007	381196	Luisa/Samanta
626007	396134	Luzie Krause
626007	396264	Barbara Bartels
626007	410338	Verka
626008	196051	Red-Haired Girl
626009	392903	Tanja
626010	326364	
626011	401944	
626012	178232	Zosia Wilczyk
626012	180013	Anna, Marta's Mother
626012	322104	Arrested Criminal
626012	364983	Irena Lilien
626013	409797	Katie Butler
626014	139651	
626015	196687	Juanita
626015	339937	Student
626016	186755	Herself
626017	60587	Masako Kibe
626017	106995	
626017	108535	Showgirl
626017	110254	
626017	150506	Young Tomoko Yamaoka
626017	170542	Miharu Nagumo
626017	299000	'Geisha' Moeko
626017	393801	Ninon
626018	318265	Itzel
626019	204354	Party Guest
626020	169784	Child
626021	55923	
626022	194780	Girl
626023	193185	Alumna academia
626024	215831	Aaron's Girl #2
626025	19842	
626026	3554	Anita
626026	6439	
626026	10288	Rita
626026	10567	
626026	12028	
626026	14640	
626026	29802	Chabela's daughter
626026	35023	
626026	41770	
626026	51779	
626026	53649	
626026	55012	
626026	55387	
626026	74639	
626026	80329	
626026	88909	
626026	91272	
626026	103509	
626026	106241	
626026	107838	
626026	108118	Lupita Cataño
626026	121394	
626026	121960	
626026	135197	
626026	146486	Maria Elena
626026	159292	
626026	162776	Laura
626026	186175	Teresa
626026	193196	
626026	196848	Evangelina Garcia
626026	212389	Martha del Villar
626026	221988	
626026	222559	
626026	227560	
626026	240156	Meche
626026	248296	
626026	250476	
626026	251984	Maura
626026	268268	(segment: Angustia)
626026	284324	
626026	300637	
626026	302554	
626026	339179	
626026	357530	
626026	376855	Anita
626026	377180	
626026	384573	
626026	386125	
626026	389892	
626026	395841	
626026	398013	
626026	398069	
626027	8547	Isabel
626027	15232	
626027	17301	
626027	26297	
626027	30098	
626027	36843	
626027	37727	
626027	39007	
626027	42441	
626027	75571	Leonore Escodero
626027	80125	
626027	84143	
626027	103770	
626027	104026	
626027	122705	
626027	155184	
626027	158633	
626027	162131	
626027	162976	
626027	163828	
626027	168343	
626027	173093	
626027	173648	
626027	176655	Kikay
626027	181618	Charito/Katrina
626027	181771	
626027	198024	
626027	202353	
626027	224218	
626027	238971	Alicia
626027	242695	
626027	246901	
626027	256889	
626027	263316	
626027	276053	
626027	277419	
626027	280406	
626027	284660	
626027	294398	
626027	303584	
626027	308455	
626027	326092	
626027	341605	
626027	344358	
626028	356623	
626029	73568	Jane
626030	110516	Prostitute
626031	281609	
626031	380894	
626031	399521	
626031	400938	
626031	401090	
626031	401102	
626031	401438	
626031	408710	
626031	410297	Violeta Ruiz
626032	278422	
626033	302069	
626034	51659	
626034	380087	
626034	383444	Rebeca
626034	385252	Laura
626034	386162	Irma
626034	391272	Fedora de Antúnez
626034	392989	
626034	396161	Doña Liliana
626034	398519	Julia Bayun
626034	398807	Pepita Pacheco
626034	403015	
626034	405863	
626034	408389	
626034	408570	Hilda
626034	410385	
626035	3507	
626035	19876	
626035	20392	
626035	22781	
626035	52236	
626035	68964	
626035	71008	Cristina
626035	80115	
626035	98440	
626035	118838	
626035	152234	Rabacoches II
626035	238765	
626035	296432	
626035	298492	
626035	333750	
626035	351641	
626036	243509	Graffiti Artist 1
626037	1975	Herself
626037	75395	Clara
626037	76962	Herself
626037	103839	
626037	154722	Herself
626037	185949	
626037	185950	Herself
626037	215687	Herself - host
626037	215688	Herself - Host
626037	215690	Herself - Host
626037	221474	Herself
626037	300554	Kenzie Pearson
626037	330492	Herself - Reporter
626037	379968	Herself - Host (1997-2000)
626037	384633	Herself - Host
626037	385581	
626037	392137	Herself/Host (1997-1998)
626037	392423	Herself
626037	392439	
626037	396123	Tess (1992)
626037	398445	Herself - Host (1992-199?)
626037	407394	Herself
626038	62348	
626038	221575	
626038	376735	
626039	161562	Mary
626039	183504	Herminia
626039	192983	
626039	272399	
626039	273844	
626039	324922	Ana María
626039	339151	
626039	353599	
626040	62299	
626040	63636	
626040	74364	
626040	103641	
626040	220523	
626040	319623	
626041	57471	
626042	395846	
626043	31573	Pedestrian
626043	63144	Pedestrian
626043	144374	Clubgoer
626043	176275	Soccer Parent
626043	221267	Courtroom Spectator
626044	397525	Various
626045	186967	
626047	90189	Maritornes
626048	48796	Carla
626048	55388	Clementina
626048	60921	Rosa
626048	63862	Jasmina
626048	83486	Invitada fiesta
626048	91417	Reme
626048	96349	Artista Callejera
626048	134498	Mila
626048	136987	Rosa
626048	150548	Magda
626048	160535	Vampira 1
626048	204642	Madre de Susana
626048	237475	
626048	252771	Tere
626048	259991	Perla
626048	263860	Jasmina
626048	296141	Floren
626048	334465	Herself
626048	336267	Milagritos
626048	339696	Emma
626048	369755	Herself - Co-Host
626048	369994	Herself - Presenter: Best Cos
626048	369999	Herself - Presenter: Best Sho
626048	376786	
626048	378988	Charito (1998)
626048	390722	Marga Montesinos
626048	398838	Raquel (1997)
626048	400653	Electra
626049	75838	
626049	189029	
626050	46035	
626050	187882	
626050	324058	
626050	360445	
626051	74524	Supermarket Woman
626051	132664	Criada de López Vázquez
626052	11570	The Filmgoer
626052	220368	Photographer
626053	19327	
626054	179821	Laura
626055	191054	Nira II
626056	22781	
626057	204214	Rene Carrillo
626058	1337	Miguel's Wife
626059	230157	
626060	203344	Newscaster
626061	38502	Chona
626061	86349	
626061	152591	
626061	382906	Herself (1996-1998)
626062	287853	Elso
626062	287855	
626062	287859	
626062	287898	
626062	313049	Ganas kid
626062	339797	(segment "Trio")
626063	128718	Limo Driver
626064	20625	Extra
626065	47426	Women at accident
626065	114296	Chilean Reporter
626066	326178	Señora del Cuadro
626067	144789	Alien Stormtrooper
626068	72775	
626069	205076	Patient
626069	384783	Miss. Willoughby
626069	387495	Juliette de Marny
626070	176487	Jennie's Nurse
626071	192093	
626072	37013	Helena Fröhlich
626072	122616	
626072	188736	Nicole
626073	73621	Isegault
626073	148685	Sabine
626073	247020	Elise
626073	248915	Maïté
626073	329322	Nathalie Monnier
626073	343571	
626073	352011	Mirentchu
626073	399082	Carole Maudiard (2002-)
626074	256710	Une amie à la party
626074	261764	Patricia
626074	335224	Anne-Marie
626074	345326	
626074	382764	
626075	138382	Mrs. Black
626076	19224	
626076	68980	Young Ghisola
626076	127954	Giovanna
626076	132962	Valentina 'Pippi' Diotallevi
626076	158861	
626076	162002	Valentina
626076	188777	
626076	197618	
626076	229611	Laura
626076	238378	Rita
626076	263733	
626076	381622	Malvina (2002)
626076	390091	
626078	48948	Alien Council
626079	161199	Herself
626080	128735	Herself
626080	162410	Helicopter Pilot
626080	374592	
626081	231110	Gerald's Girl Friend
626082	51540	
626082	63728	
626082	96329	Elvira
626082	193223	
626082	212468	
626082	277376	
626082	319506	
626082	379598	
626082	380477	Julia
626082	387126	
626082	387187	Lola
626082	392262	
626082	394017	Elena Vargas
626082	396646	Elsa 'mamá de Martín'
626082	400339	
626082	403651	Rosa
626083	216344	Arbate
626084	45756	Candice Carmen
626085	137693	Friend #2
626086	6247	Wednesday Addams
626086	71286	Little girl
626086	399196	Wednesday Addams
626087	71952	
626087	240429	
626088	305870	
626089	129833	
626089	230441	Instrument Spinster
626090	7539	Agostina
626091	358214	Carrie Pringle
626092	7792	
626092	44726	Herself - Interviewer
626092	349906	Herself - Reporter - Bruxelle
626092	353037	Herself - Interviewer
626092	391355	Herself - Host
626092	409153	Herself - Host/Reporter/Corre
626092	409353	Herself - Host (1984-1987)
626093	169136	Shelagh: Napthali's Wife/Apac
626094	129815	Scan Doctor
626094	367695	Margaret
626095	79910	Waitress
626095	236140	Prosecutor
626096	206575	Martha
626097	305004	Nabokvinde
626098	116298	Eva
626098	291615	Pige/Girl
626099	39714	Younger inmate
626099	269041	
626100	325866	Angelika Frohn
626101	389138	Fru Broch
626101	398251	Norsk sångerska
626102	280081	Roxy dancer
626103	259571	
626104	93007	Mutter Fehse
626104	259571	
626104	259627	
626104	410774	
626105	211605	Grisette: Glo-Glo
626106	139137	Mayor's Wife
626107	69342	La jeune anglaise 1
626108	180783	
626108	409609	Frau Bach, geb. Schneeberg (1
626109	279633	
626110	359850	Fiona
626111	63113	Child
626112	163365	Jule
626113	368913	
626114	72311	Liu
626115	338577	Child
626116	33667	
626116	247107	
626116	270991	
626117	261495	
626117	289558	
626117	307684	2nd Prostitute
626117	357066	
626118	398087	
626119	181980	
626119	233113	
626119	296640	
626119	375575	
626119	375611	
626120	149579	
626120	221587	
626121	4584	
626121	138067	Katagiri,Miyo
626121	145128	Ofuyu
626121	236857	
626122	3567	
626122	8590	Kimiyi, Hiroshi's Mother
626122	12934	
626122	28106	
626122	28108	Hiroe
626122	28122	
626122	28132	
626122	28138	
626122	28140	
626122	122137	Haruko Kitao
626122	125459	
626122	136398	
626122	139951	
626122	144500	
626122	144501	Red Peony Ryu
626122	144504	Ryuko Yano (O-Ryu)
626122	144505	Takiko Yano
626122	144507	
626122	162219	
626122	167910	
626122	167959	
626122	167967	
626122	167998	
626122	170891	Tsuruji
626122	171440	Kayo
626122	182493	
626122	209932	Hatsue
626122	232531	Otaki
626122	232537	
626122	232538	
626122	232539	
626122	232540	
626122	232541	
626122	232705	
626122	233103	
626122	240377	Satoe
626122	242225	Tsumagoi Okoma
626122	285604	
626122	296987	
626122	300135	
626122	300138	
626122	300140	
626122	300141	
626122	323239	
626122	325294	Yasue Ishizawa
626122	378131	
626123	171624	
626124	27331	Madam
626124	29903	Oriental Girl
626125	340502	Rose
626126	136360	
626127	153209	Katsumi Hase, Naoya's Mother
626127	179375	Izumi
626127	238805	
626127	288355	Woman
626127	299143	
626127	320463	
626127	371878	Yukie Oriyama
626127	400058	Remi Nakata
626127	407350	
626128	173560	
626128	178258	
626128	182044	Yoko Mitsui
626128	227189	Akiko Shirai
626128	297733	Tomoko Inoue
626128	344206	
626128	348948	Chie Naito
626128	359612	Tatsuko Yokotake
626128	372017	Yoshizato
626128	379508	Mika Kazama
626128	392101	
626129	75030	
626129	96924	Geisha
626130	394030	Various characters
626131	370863	Shanghai Palace hostess
626132	176211	Oteru
626133	122957	Hisayo & Kanna's attacker (st
626133	134877	Kayako
626133	169734	Kayako Saeki/Takeo's wife/Tos
626133	169735	Kayako Saeki/Takeo's wife/Tos
626133	169736	Kayako
626133	169737	Kayako
626134	98115	Naoko, Sadako's daughter
626134	182020	Noriko
626134	182021	Yoko
626134	230139	Interior Decorator
626134	299113	
626134	328974	
626135	35015	
626136	252673	
626137	19636	Rosa Natsukawa
626138	374633	
626139	386033	Vice-Cmdr. Sheema
626140	98601	Chiharu Kimura
626141	279884	Grandchild (segment "Presence
626141	397828	Tomomi Matsunaga
626142	169736	Yoko Toyama
626143	373218	
626144	89624	Yumi Tanimoto
626144	97042	Jill
626144	331184	Maggy Johnson (Mom)
626145	169734	Yoshimi Kitada/Hiroshi's wife
626145	169735	Yoshimi Kitada/Hiroshi's wife
626145	216658	
626145	228370	Lover 2
626145	298781	Kitao, Teruko
626145	320762	Yuriko
626145	334965	Hizuru
626146	9433	Girl A
626146	96002	Secretary
626146	393942	Yagami Saeko
626146	394426	Emily Ounce
626146	394429	Rosamia Badam
626146	397371	Misaki Kana
626146	403684	Jessica
626147	89010	
626148	306226	Yukiko Imada
626149	229967	
626150	176711	The 5, 6, 7, 8's
626151	150688	
626151	285615	
626152	138085	Grandmother
626152	177767	Matsushita's wife
626152	200544	Grandmother
626152	299008	Mother of Kei Ran
626152	358131	Old Woman
626153	44775	Shimetaro
626153	130525	Kinue Domoto
626153	174345	Hanae Ozato
626153	174527	Yasuko Aizawa
626153	175364	
626153	180036	
626153	182384	Tomoe Takemura
626153	216785	Sumako Shiraki
626153	229786	Tsunayo
626153	323121	
626153	334937	
626154	275748	Okin
626155	41463	Uranus
626155	327046	
626156	137370	
626156	229554	
626157	105550	Setsuko
626157	221927	
626157	249281	Standardiste
626157	260034	Mme Ayako
626158	177832	Neri
626159	93242	Cherie/Waitress/Kitty Kat
626160	138369	Sue
626161	324196	
626162	373175	Naha, Sachiko
626163	368414	Mia
626164	334880	
626164	370303	
626165	181898	
626166	173596	Young woman
626167	291128	Kana
626167	335272	Kyoko
626168	98602	Yoko Hino
626168	125264	Satsuki's Friend
626168	242135	
626169	138070	Mother
626169	284068	
626170	28124	
626170	279831	
626170	341259	Tami
626170	344962	
626171	167978	
626172	8590	Mizuho's Mother
626172	9584	
626172	76922	Lady Sayuri
626172	76938	
626172	121613	
626172	137321	Oshiho
626172	138037	
626172	161685	Tomie Bonomia
626172	172270	Yukionna
626172	181575	
626172	226652	
626172	229771	
626172	229773	
626172	229775	
626172	229778	
626172	244533	Fujiko
626172	278377	Kato's Wife
626172	299109	Maki
626172	299112	
626172	299113	
626172	299114	
626172	299296	Mitsue Nakamoto (Eisuke's wif
626172	299300	Saeko, Azuma's daughter
626172	318565	
626172	320054	
626172	322418	Yukio's mother
626172	328122	Otane
626172	334896	
626172	335506	Masako
626172	358118	Tatsu Taki
626172	358383	
626172	358385	Chiyoryu
626172	358386	
626172	359357	
626172	374096	Oshizu
626172	374111	Omitsu
626172	375616	
626173	67896	Fumiko
626174	20625	Extra
626175	171844	
626176	127779	Toukon no Mami
626176	206800	Rockman (Megaman in the US)/R
626176	316624	Elena
626177	242133	Kogiku
626177	309366	Terumi Aoki
626178	233118	
626179	41256	Brooke
626179	382263	Brooke
626180	136156	Luchino Fujisaki
626180	139983	
626181	238167	Woman in TV
626182	219832	Wakaba
626183	353204	
626184	8888	Okei-san
626184	182126	
626184	245881	Waitress
626185	178417	Mari Kurata
626185	318543	
626186	172263	
626187	257718	Kuroda, Fumie (K2)
626188	26237	
626189	373224	Satô Mika
626190	61511	Voice
626190	138098	Waitress
626191	26369	
626192	135578	Dizzy
626192	135579	Dizzy
626193	185354	
626193	238381	Dancer Teruko
626194	82975	Ryoko
626195	49973	Chinese Woman
626196	137010	Maki Mihara
626196	173127	
626196	235034	Akiko Kashiwagi
626196	288235	
626197	167538	Akiko
626197	225614	Ranko Mizuki
626198	81677	Kaori
626199	185354	
626200	283680	Chizuru
626201	115603	
626201	130527	
626201	162683	
626201	220820	Hiroko's Assistant
626201	226643	Makiko Kitoh
626201	366086	Woman with a baby
626201	373438	
626202	74268	Kitche
626202	127781	Shadow
626202	147364	Mamiya
626202	147366	Mamiya
626202	173916	Tamamushi
626202	177161	Juno Cassidy
626202	208014	Shadow (from Galaxy Express 9
626202	245885	1019
626202	265364	Cindy/Dr. Zed
626202	285738	Eris
626202	293476	Shashi-Oh
626202	310087	Catherine
626202	328333	Mama
626202	379476	Enrico
626202	383632	Rui
626202	385980	Taichi Yagami
626202	385981	Taichi Yagami
626202	386343	Taichi Yagami
626202	391751	Mamiya
626202	391752	Mamiya
626202	394550	Taishi Takamura
626202	394571	Kiteretsu
626202	396573	Sara (Mother)
626202	404127	Eris
626202	405356	Rally Cheyenne
626202	406060	Jane
626202	407389	Nanao
626202	411667	Tamao Inokuma
626203	394100	Sumiko Ozawa
626204	163850	Taeko, Kimicho's sister
626205	61511	Voice
626206	9267	
626206	9278	
626206	9470	Ayame
626206	141741	
626206	177865	Yuko
626206	177884	
626206	179444	
626206	180621	
626206	288353	Oharu
626206	294096	
626206	370348	
626207	8905	Yoshiko Mita
626207	91184	Sadako Itakura, Nobuo's mothe
626207	101588	Chii
626207	122137	Old lady on hillside
626207	127199	
626207	157082	Eiko Wada
626207	167480	Tonkichi no Okami
626207	167481	Madam of Tonkichi
626207	201199	Ichinose-san
626207	216522	Sumie
626207	230131	Ine
626207	284871	Tatsuko Inoue(41)
626207	292075	Kuni
626207	294312	Masayo Hanafusa
626207	298871	Chiyo Kitazawa
626207	359847	Fusako (Aiko's mother)
626208	227421	
626209	123445	Asagi Kusanagi
626209	123446	
626209	123447	Asagi Kusanagi
626209	182074	Waitress
626209	250745	McClaren's assistant
626209	287620	June
626209	298817	
626210	21822	Sayuri's Teammate
626210	124037	Etsuko Hirota
626210	229554	
626210	236174	
626210	242235	Chie Minami
626210	283678	Kaoru Kamiya
626210	283680	Kaoru Kamiya
626210	316620	Chun-Li
626210	358118	Fumi
626210	403966	Kaoru Kamiya
626211	38761	Maid
626211	61442	Hideyo as 20 year-old girl
626211	180045	
626211	230131	Reiko
626211	231308	
626211	242134	
626211	270759	Moeko Honma
626211	309160	Michiyo Hiraoka
626211	344967	Yoko Tamagi
626211	373389	Tomoko Tsushima
626211	404007	Judge (1995-1996)
626211	411656	Kazama Yui/Mizushima Minako
626212	162141	Teru-chan
626213	70198	Fran Ho
626213	138784	Chinese Lady
626214	9190	Friend of Michiko
626214	375558	Friend of Michiko
626215	82822	
626215	122168	
626215	229931	Kay, lab technician
626215	243398	Yoko
626215	328963	Woman
626216	3113	Giulietta/Half Woman
626217	56767	Rui Kisugi
626217	146910	
626217	168031	
626217	187533	Norika
626217	394444	Yukiko Hayami
626217	396075	
626217	398493	Akari Hara
626217	405980	Tamie
626217	407104	Hikaruko Kirishima
626217	411297	Kaori Imai
626218	9578	
626218	9580	
626218	76863	
626218	76935	
626218	123529	
626218	138086	Miss Tanuki C
626218	162220	Otaki
626218	172269	
626218	216334	
626218	297069	Child's Mother
626218	298898	
626218	298915	
626218	299109	Hata
626218	322874	Ryuko
626218	328090	
626218	374111	Ohisa
626218	375615	
626219	384231	Laura Sullivan
626220	28046	
626221	82817	Michiko
626223	126283	
626223	173604	Masako
626223	176603	
626224	379478	Olga
626224	394032	Gen. Zenobia
626225	176711	The 5, 6, 7, 8's
626226	9276	Chigusa, Masae's sister
626226	25871	
626226	28936	
626226	63542	Miyuki the Asano maid
626226	76882	
626226	82215	
626226	122150	Daughter
626226	127861	
626226	138051	
626226	149539	
626226	172394	Makoto Jinguji, the Captain's
626226	180255	
626226	181991	
626226	181999	
626226	217070	
626226	232536	
626226	233112	
626226	233123	Yoko Oshima
626226	233124	
626226	288191	
626226	294152	
626226	296633	
626226	296637	
626226	296644	
626226	325183	
626226	344018	Masayo
626226	344954	
626226	358401	
626226	375597	
626226	375605	
626226	375608	
626226	375614	
626227	21870	Kamiuchi, Sakiko, the Fourth 
626227	89692	Haruna
626227	242117	Himiko
626227	278549	Kanae Sawaguchi
626227	298884	Momoko Ryugasaki
626227	299327	
626227	327937	Kimishima Hikaru
626227	388666	Sayoko
626227	389393	Tomoko
626227	392626	Yu Iijima
626227	394112	Masaki Kano
626227	394129	
626227	400271	Ayumi Kato
626227	405980	Kazune
626227	406698	Yui Mizawa
626227	408352	Miura Toko
626228	343646	
626229	408728	Miki
626230	288656	Big Woman
626231	9276	Prostitute
626232	206765	
626233	38818	Minako Aino (Sailor Venus)
626233	38819	Minako Aino (Sailor Venus)
626233	38820	Minako Aino (Sailor Venus)
626233	38821	Minako Aino (Sailor Venus)
626233	38822	Minako Aino - Sailor Venus
626233	113335	Fran
626233	168828	Enya
626233	182040	Angela
626233	199109	Myung Fang Lone
626233	275086	Nami Kojima
626233	298966	Daigo Hayami
626233	382108	Minako Aino (Sailor Venus)
626233	382109	Minako Aino (Sailor Venus)
626233	382110	Minako Aino - Sailor Venus
626233	382111	Minako Aino (Sailor Venus)
626233	382112	Minako Aino - Sailor Venus
626233	386344	Ophanimon
626233	394016	Hamil
626233	394428	Helen Jackson
626233	396494	Touta
626233	396500	Hiroko
626233	404772	Spoor
626233	408634	Kazuya Uesugi
626233	410739	Aquelda
626233	411667	Ôtawara
626234	169732	
626234	173596	Tsumura, Haruka
626235	231272	
626235	373221	Madame Cherryblossom
626236	122108	
626236	396347	Colette
626236	411891	Luna
626237	19222	
626238	138456	
626238	211727	The Afflicted
626239	401287	Neighbor
626240	376886	
626241	148836	
626242	313	Fujima, Mitsue (Hoshi)
626242	1471	Norio
626242	21870	Takezawa, Takiko, the Third D
626242	63543	Hori Horibe
626242	238382	Sumire Onda
626242	238383	Sumire Onda
626242	238384	Sumire Onda
626242	238385	Sumire Onda
626242	238386	Sumire Onda
626242	319790	Midori ("Irene Bear")
626242	327962	Kaneko
626242	394009	Chiharu Sakaeda
626242	394130	Fukami Hamura
626242	394537	Hikaru Amano
626242	394702	Toko Motomiya
626242	399976	Sumire Onda
626242	405979	Yuko Dojima
626242	408469	
626242	410528	Ryoko
626243	21575	
626243	44271	
626243	89218	
626243	153209	Mrs. Tadokoro
626243	161685	Momoyo Bonomia
626243	179387	Sumie Tachibana
626243	288643	
626243	298914	Kanzaki (segment "Mou ichido,
626243	325208	
626243	344009	Norimichi's mother
626243	379483	
626243	391522	Tomo (Hideyoshi's elder siste
626243	407153	Sanae Yoshinaga
626244	164104	Mari
626245	21829	Mizusawa, Natsune
626245	41909	Amamiku
626245	201375	Ohina
626245	334858	Yuri
626245	334863	Fujisaki, Shiori
626246	78139	Female Trainee
626247	140036	Mrs. Otagaki, Shun's stepmoth
626248	127769	
626248	144497	
626248	155501	
626248	233219	
626248	271627	
626248	298752	
626248	343635	
626249	100919	
626250	355276	Yukiko Sugihara
626250	371011	Grace's Mom
626251	244659	
626252	382610	Kurihara Aya
626253	121933	Kayoko Utagawa
626254	141738	Doll
626254	299300	
626255	177378	Athena Asamiya
626256	115182	Junko "Miya-Jun" Miyaji
626256	126519	Yayoi
626256	394175	Rika Sena
626257	98601	Kyoko Nanatsuki
626258	176666	Woman
626259	48490	Additional Voices
626259	87409	Additional Voices
626259	87410	Additional Voices
626259	243575	Additional Voices
626259	298966	Additional Voices
626259	304685	Additional Voices
626259	304688	Additional Voices
626259	316615	Additional Voices
626259	382908	Additional Voices
626259	387457	Elf
626259	389869	Dream Crowd/Student
626259	403909	Additional Voices
626259	405144	Additional Voices
626260	372038	
626261	238167	Rieko`s roommate
626262	397522	
626263	194687	Millstone Party Band
626264	149890	Chorus dancer
626265	298425	Young Ryo Hazuki
626266	129868	Hostess (Part-Timer)
626266	399499	Windenu
626267	117454	Featured dancer
626268	167042	Caspar
626269	300859	The Pregnant Woman
626270	16867	
626270	26694	
626271	74217	Beth
626271	80649	Michelle
626272	225289	
626272	290116	Sibylle's mother
626272	325692	Susanne Hoffmann
626273	189438	
626274	58191	
626274	183057	
626274	333871	Chiriachita
626275	76216	Woman at Window
626275	308431	Edwina Wylie
626276	323225	Funeral Client
626277	226929	Student
626278	16068	Waitress
626278	32361	Yvonne
626278	114734	Petra
626278	117073	Susannah
626278	127822	Ms. Sykes
626278	158528	Mrs. Connelly
626278	208646	Bruce girlfriend #1
626278	316215	Marla Dajani
626278	359552	Jody Richardson
626279	118623	Olivia Peet
626279	271174	Janey
626280	101221	
626281	396887	Young Luna
626282	330282	Hector's Eldest Daughter
626283	330282	Hector's Baby
626284	109620	Theresa Robinson
626284	114559	Bobbi
626284	130059	
626284	160020	Yvonne
626284	164355	
626284	183377	Sarah
626284	196420	Gwen Myers
626284	232026	Karen
626284	288739	Michelle
626284	339049	Margie Moodus
626284	374523	Aunt Judy Kling
626284	374524	Aunt Judy Kling
626284	374525	Aunt Judy
626284	380461	Robin 'Mrs. Schmenkman' Dulit
626284	387483	Holly (1994)
626284	393192	Carol
626284	404069	Mike Blackman
626285	302845	Ane
626286	232321	I'm Double Parked Lady
626287	140317	Mercedes
626288	274475	Abby
626289	187237	Karen
626290	187237	Baseball Person
626291	187237	Baseball Person
626292	274092	Admin/Nurse
626293	62926	Brigitte
626294	11069	
626294	17077	
626294	138008	Süti's girlfriend
626294	172898	Cica
626294	225438	Szilvia
626294	233377	Managernõ
626294	237168	Voice
626294	263237	Bori
626294	306702	Sarkadi Boriska
626294	319239	Agota Hofer
626294	322064	Andrea, Iván's manager
626294	349031	Judit
626294	349794	Éva
626295	58044	Cliente hotel
626296	383918	Janet
626297	229427	Kath
626298	69808	Martha
626299	7542	Angela, sorella di giorgia
626299	9688	
626299	97023	Queen
626299	151071	Emer Trueba
626299	210384	Ada di Belluogo
626299	218354	Buxom Beauty
626299	223343	Fat Lady
626299	236952	Vi
626299	256257	Fat Lady
626299	280279	The Transylvanians
626299	294633	Minnie Bennett
626300	263	Debbie, Age 13
626300	15934	Kristen Price
626300	55738	Racelle
626300	61737	Erica Passenger
626300	80863	Crystal Acton
626300	90154	Teen Girl #2
626300	107396	Sally
626300	118959	Gabrielle
626300	158893	Emily
626300	273396	Mallory
626300	285360	Amanda Fuller
626300	362597	April
626300	400115	Emma Crawshay
626300	407470	Lexy
626301	338577	Child
626302	66131	Friends & Rebels
626303	10602	Colette LaRue
626303	64844	
626303	114862	Lila Coletti
626303	138987	Mae Leggett aka MissHiggins
626303	151461	Agatzi Girl
626303	193763	Laurel Vernon
626303	274217	Mollie O'Flaherty
626303	280056	Annabelle Marsh
626303	281470	Sylvia
626303	288935	Louise Cole
626303	302715	
626303	325025	Nina
626303	339417	Corinne Hollister
626303	347418	Linda Jackson
626303	367459	Ruby
626304	846	Herself
626305	296118	
626306	162099	Fairy (Corps de Ballet)
626307	230526	Madge
626308	97352	Nancy Anunciato
626308	282545	Cat House Girl
626309	72901	
626310	128380	Gwyneth Lewellyn, a Girl of t
626311	183559	Black Girl
626312	26053	Tillie
626312	30910	
626312	32249	Olga
626312	33922	Amrah
626312	44320	Elly
626312	52834	
626312	53565	Gertie
626312	71347	Ulitka (Maryana's mother)
626312	73696	
626312	84978	Millie
626312	89086	
626312	89087	
626312	89252	
626312	99949	Maid at Hotel
626312	110212	Zouroya
626312	116769	Maruschka, a Maid
626312	129168	Miss Peabody
626312	133709	
626312	133966	Maria
626312	143381	Delia
626312	145781	
626312	145798	
626312	145999	Olga Gleboff
626312	150932	Gladys
626312	150976	Mrs. Carfax
626312	153188	Marie
626312	160044	
626312	177405	
626312	183786	Miss Carr
626312	202992	Miss Finders
626312	204743	Prisoner
626312	206344	Neurotic patient
626312	210646	
626312	211600	Sadoja's chambermaid
626312	211620	Marianka Huber
626312	213175	Heatley
626312	234159	
626312	238698	Secretary Andrews
626312	241862	Maid
626312	242090	Governess
626312	272532	
626312	275767	Aunt Alida Kane
626312	279730	Peasant
626312	285030	Nurse Wayland
626312	291108	
626312	296836	The Missus
626312	309581	Abigail Tweedy
626312	310792	Midge Rooney
626312	319897	
626312	323769	Old Hag
626312	326385	Kittie Wiggle, reformer
626312	329756	
626312	331676	Anna
626312	335351	Maid
626312	342394	Sadie (Lily's maid)
626312	345738	Hildegarde Sanbury
626312	356470	Cédrien
626312	360430	Botchkova
626312	360702	Katerina Schrammel
626312	367476	Secretary
626313	360670	Horny Bride
626314	24447	Rita (The Peanut)
626315	169382	Bess
626316	41800	Woman at bar
626316	42712	
626316	46762	Margie
626316	67111	
626316	70963	Patricia Grant
626316	71575	Reporter
626316	86815	
626316	97361	Herself
626316	128709	
626316	129366	Barbara
626316	140159	Herself
626316	162425	Theresa Powell
626316	163288	Bit part
626316	164964	Marilyn Gregor
626316	211687	Blonde 'Watcher in the Woods'
626316	218797	
626316	242941	
626316	245384	Saloon Customer
626316	257714	Bit Role
626316	271072	
626316	313799	Herself
626316	330775	
626316	347008	Herself
626317	16627	Jesus peddler
626317	341515	Nurse
626318	207958	Miriam Blake
626318	332775	
626318	335509	Jean Everard
626319	99447	Elsie Beebe
626319	128308	Mrs. White
626319	148413	Miss Emily
626319	241751	Amy Lind Grimes
626319	330194	Mrs. Bagg
626320	312321	Lady Mabel Wynnegate
626321	146273	
626322	26180	Sperm Bank Receptionist
626322	131731	Richard III Cast
626322	151658	
626322	319997	Ed the Waitress
626323	192282	Herself/Manager of Little Sis
626324	358321	Jean
626325	293770	
626326	293267	Liz
626327	61638	Sister Catherine
626328	75513	Margaret Sanford
626329	217389	Laura
626330	368373	Mrs. Quincy
626331	106537	Bingo Lady
626331	289222	Eva
626331	371325	Faye Kennedy
626332	190687	
626333	215905	Interviewee
626334	26289	Stacy
626334	47082	
626334	96741	Kikki
626334	98155	Rebekka
626334	113308	Angela
626334	151365	Game Show Hostess
626334	218393	Patrick's Sister
626334	231982	Joanie Snowland
626334	326741	Randa
626334	328496	Angela (segment "Final Destin
626334	389353	Cynthia
626334	389858	Dawn Winthrop #3 (1990)
626335	113759	
626335	193437	Herself
626335	198101	
626335	329560	
626336	374285	Jasmine
626337	375713	Inanna, Evil Go-Go Dancer
626338	191953	Ma
626339	351634	
626340	5970	Dolly
626340	7390	Mary
626340	7399	
626340	8831	
626340	10383	
626340	11394	
626340	12162	
626340	12306	Mary
626340	20493	
626340	21252	
626340	23001	
626340	25390	Nellie
626340	26664	
626340	32095	
626340	33074	
626340	35376	
626340	42018	
626340	46689	
626340	54877	
626340	54907	
626340	55258	
626340	60181	
626340	61590	
626340	61835	
626340	62127	
626340	64550	
626340	66185	Mary
626340	67970	
626340	69801	
626340	70289	
626340	72306	
626340	74669	Molly Masters
626340	76957	
626340	79392	
626340	79416	
626340	80925	
626340	89698	
626340	89708	
626340	95110	
626340	98775	
626340	99012	Elektra
626340	99241	
626340	100875	
626340	101370	
626340	103267	Mary
626340	105271	
626340	107076	
626340	108037	Mary
626340	109216	
626340	115900	
626340	116369	Liz
626340	117017	
626340	117034	
626340	117171	
626340	118006	Mary
626340	118195	
626340	118220	
626340	118915	Elizabeth
626340	119453	
626340	120651	
626340	122129	
626340	124100	
626340	127156	
626340	127244	
626340	128113	
626340	128115	
626340	128387	
626340	128490	
626340	128492	
626340	130866	
626340	132345	
626340	138552	Gretel
626340	138981	
626340	141217	
626340	141320	
626340	143031	
626340	145791	
626340	145977	
626340	146098	
626340	149162	
626340	150886	
626340	151066	Hepzibah Pyncheon
626340	151248	
626340	153005	The Huntress
626340	158158	
626340	160715	
626340	160929	
626340	163304	
626340	166355	
626340	167017	
626340	167293	
626340	169643	Joyce
626340	169929	
626340	174600	
626340	177334	
626340	183541	
626340	185999	
626340	186653	
626340	187937	
626340	188576	Mary
626340	189154	
626340	190476	
626340	190990	
626340	191683	
626340	191821	
626340	192386	
626340	192419	
626340	193242	
626340	193786	
626340	193790	
626340	194049	Louise Graham
626340	194702	
626340	196241	
626340	196861	
626340	197671	
626340	199317	
626340	199566	
626340	203283	
626340	206644	
626340	206851	Mary
626340	206891	
626340	206905	
626340	207397	
626340	207422	
626340	211392	
626340	212754	
626340	214684	
626340	216887	
626340	216888	Cinderella
626340	216895	
626340	219141	Jean Nelson
626340	220026	
626340	221078	
626340	224051	
626340	229642	
626340	240763	
626340	242290	
626340	249507	
626340	251414	
626340	252994	
626340	254451	
626340	255458	
626340	264136	
626340	264141	
626340	264186	
626340	265379	
626340	265862	
626340	266686	Marion Fernley
626340	269683	
626340	270387	Mary
626340	274723	
626340	276436	
626340	279601	
626340	280943	
626340	281870	
626340	283849	
626340	286122	
626340	287309	
626340	289605	
626340	291762	
626340	301744	
626340	303029	
626340	303260	
626340	303270	
626340	311434	
626340	312800	
626340	312823	
626340	313375	
626340	315106	
626340	315137	
626340	315735	
626340	316837	Pauline D'Arcy
626340	317445	
626340	319958	
626340	321672	
626340	323740	
626340	324219	
626340	328578	
626340	330630	
626340	331055	
626340	331483	A Young Orphan and Cousin
626340	331530	Constance, the Queen's Attend
626340	331531	Constance, the Queen's Attend
626340	331698	
626340	331949	Linnie Carter
626340	332886	
626340	334345	
626340	335556	
626340	337380	The Mother
626340	337593	
626340	338137	
626340	338775	
626340	341481	
626340	341981	
626340	343058	
626340	344173	
626340	345820	Eliza
626340	346063	Lelia Crofton
626340	347052	
626340	347754	
626340	348020	
626340	354332	
626340	355215	
626340	358139	
626340	360259	Mary
626340	362241	Mary
626340	362769	
626340	362803	
626340	363145	
626340	364315	Mary
626340	365711	
626340	366710	The Witch Girl
626340	366718	
626340	366859	
626340	367650	Cleo Martell
626340	368134	
626341	275881	Lab assistant
626342	144991	Josephina
626343	37286	
626343	80915	Avis Girl
626343	117473	Patty
626343	139131	Jenny Frame
626343	256354	
626343	304281	Nan Paige
626344	116013	Herself
626345	362151	Frankie
626345	385020	Sandra Butler (1969-1970)
626346	108956	Older Nurse
626347	11525	Sally Aiken
626347	13507	Fern Jensen
626347	19087	Barbara Stilton
626347	19116	Eve Harrington
626347	21499	Marci Holt
626347	22865	Marilyn
626347	26423	Ruth Benson
626347	35506	Mrs. Margaret Drysdale
626347	56748	Mae
626347	67387	Madeleine Porter
626347	67560	Mrs. Finch
626347	99082	Mrs. Kendal
626347	107990	Marilyn Redmond
626347	113732	Mrs. Hamilton
626347	127529	Leora
626347	161165	Joanna
626347	161210	Herself
626347	189409	Judith Peterson
626347	189912	Katherine
626347	215644	Kate Ryan
626347	254994	Mrs. Polanski
626347	278610	Beatrice Minister
626347	296733	Dr. Olson
626347	313185	Olivia Wyatt
626347	343024	Cordelia
626347	360245	
626347	367807	Helen Anderson
626347	372876	Paige
626347	381281	Laura Parker
626347	387309	Gerry McGrath Pollock #1 (196
626347	389142	Amanda Harding
626347	389923	Eliza Powel
626347	396350	Theresa Stemple #2 (1994-1995
626347	397401	Marilyn Carter (1994)
626348	102581	Parents
626349	326201	Becky
626350	314738	Rhonda
626351	169136	Soloist/Child Chorus
626352	70077	Belle Sterling
626352	103316	Teremtcherva
626352	157046	Ophelia/Juliet/Lady
626352	211786	Mrs. Hamilton
626352	252996	Cook
626352	275000	
626352	308638	Miss Freeland
626353	204268	Roxie
626354	79829	Ernie and Helen's Daughter
626354	316674	Young Fan
626354	356519	Angelique
626354	363808	Helen
626355	51787	Neighbor
626355	202285	Female Victim
626356	337189	
626357	120653	Priestess #2/Girlfriend
626358	90318	
626359	318337	Bank Loan Officer
626360	327279	Dorothy
626361	12319	Master-Slave Girl (Sylvia)/Fa
626362	262526	
626363	260229	Edna Hutton
626363	292295	Jane Finn
626363	321295	Paula
626363	329952	Judy Westerby
626363	343024	Esme Bland
626363	388786	Kate
626363	395647	Clara Frewen
626363	400087	Martha Carter
626363	407831	Violet McKisco
626363	410013	Julie Daniels (1988)
626364	109530	Herself
626364	257654	Herself (Miss January)
626364	257677	Herself
626364	257827	January 1996
626364	361853	Herself
626365	36756	Sarah Marden
626366	333679	Elsie
626367	176883	Nurse
626367	270928	Bank Teller
626369	10788	Alice
626369	34646	Herself
626369	48076	
626369	86542	Felicia
626369	119180	Catherine
626369	124603	Rachel
626369	127122	Lady Violet
626369	132823	Herself
626369	138721	Herself
626369	140678	Lady Isabel Gillingham
626369	147429	Sky Smith
626369	152535	Elizabeth
626369	160291	Herself
626369	165265	Herself
626369	231434	Anastasia
626369	262959	Herself
626369	283374	Diana
626369	292461	Lady Caroline
626369	297071	Elizabeth Farewell
626369	334112	Madelena
626369	354178	Pola Ivanova
626369	380259	Patricia Rutherford (1975-197
626369	383953	Clarice Mannors
626369	391359	
626369	405036	Elizabeth Farewell
626369	407587	Lady Barbara Berowne
626370	289470	Pregnant Girl
626371	59589	Lucy van Pelt
626371	190127	Lucy van Pelt
626372	43358	Nuala
626373	135789	Emma Underwood
626373	232097	Amanda Bennett
626373	408358	Mary Jane 'Pokey' Endicott
626374	18544	Party Girl
626375	79745	Herself
626376	114008	
626376	141610	Candy
626376	358657	Sally
626377	73247	Mrs. Brown
626378	387279	Herself (1995; 1999-2000)
626378	388101	Herself (1999-2000)
626379	191881	Amy
626380	348601	Melissa
626381	226971	Maria de la Luz
626382	365285	
626383	205118	
626383	379093	Abigail
626383	380578	Rebeca Núñez
626383	383439	René
626383	384052	
626383	387171	Bárbara Sánchez
626383	392609	Caridad Guaranito
626383	397566	Beatriz
626383	398453	Raiza/Adelina
626383	398519	Charito Flores (Rosario Palac
626383	400942	Bárbara Santana de Monteverde
626383	403021	Sonia Rey
626383	408204	
626384	110166	
626385	51621	Asistente del director
626386	64122	
626387	374487	
626387	374488	
626388	338981	Herself
626389	16068	Eleonor Blanchard
626389	28669	Michelle
626389	39175	Patty Bancroft
626389	57703	Hilly
626389	62583	
626389	73560	Teresa
626389	87418	Angela
626389	138373	Francoise Laurent
626389	147516	
626389	149937	Sam
626389	164482	Sharon Plessy
626389	168586	Sick Girl's Mom
626389	221375	
626389	330635	Waitress
626389	335579	Gloria Lopez
626389	346909	Script Assistant
626389	367638	Gracie
626389	380246	
626390	321306	Chantelle
626390	403462	Hazel Donachie
626391	230390	Hat Check Girl
626391	296965	Angie
626391	329437	College Student
626392	2275	Herself
626392	21526	Lisa
626392	94099	Mrs. Carreck
626392	128382	Lisa
626392	281895	Multiple Woman Customers
626392	301398	Betty
626392	333602	
626392	380713	Lisa Miller Hughes Eldridge S
626392	400533	Lisa Hughes
626393	26877	Young Biddy
626393	224729	Young natalie wood
626394	347515	Julia Landis
626394	350502	Amelia Sedley
626394	356296	Marjorie
626395	23474	
626395	47542	Mrs. Gustafson
626395	49330	Mrs. Floyd
626395	71466	Mrs. Kelly
626395	93776	Mom
626395	114604	Mrs. Peabody
626395	117805	Jane St. Claire
626395	175144	Miss Evie
626395	178077	Mrs. Coyle
626395	185537	Miss Mosey
626395	194039	Ada May
626395	248117	Miss Ollie
626395	270947	Miss Pud
626395	276424	Becky
626395	282920	
626395	304395	
626395	318388	Mrs. Nocker
626396	32352	Autograph Seeker
626396	305498	Voice of Angelica as baby
626397	58666	Dr. Judith A. Resnik
626397	143455	Christine
626397	223772	Adrian
626397	252825	Martha
626397	347059	
626397	385772	Regular
626397	395653	Celia Wesphal
626398	341519	Ilsa Lund
626399	122967	Dance Hall Girl
626399	371316	Mrs. Koslowski
626400	47050	Marlene
626400	90932	Nico
626400	92660	Vampire girl
626400	101033	Regina
626400	128530	Louise
626400	135910	Susan
626400	139062	Dana/Delilah
626400	196844	Lucinda Bale
626400	273395	
626400	274316	Tanya (segment "Luscious Lola
626400	274323	The Other Woman (segment "Ano
626400	305920	Roundgirl
626400	348536	Farrah
626401	43931	Kasey
626402	238238	Lions Den Dancer
626403	29900	Bessie
626403	66827	Miss Fern
626403	127837	Mrs. Trask
626403	233304	Stella Foster
626403	301834	Mary McGuire
626404	242750	Landlady
626404	408191	2nd village woman
626405	136269	Mrs. Ashanti
626406	388264	Herself (Series 1) (2002)
626407	29885	
626407	114283	Wendy
626407	381281	Muffin Marshall
626407	394676	Jean Hackney (1986-1987)
626407	399685	Isabel Truscott Hazard
626408	154202	Molly
626408	157562	Nancy's Friend
626409	339914	
626410	240428	
626411	355958	
626411	369732	Lluisa
626412	83400	Classe sport et études
626413	53829	
626413	86062	Margherita
626413	94728	Margherita Boccioni Stagno
626413	312246	Maria Sole
626413	312247	Maria Sole
626413	356582	
626414	55809	
626414	72699	
626414	163705	
626414	197292	Grandmother
626414	197543	
626414	261887	
626414	351068	
626415	98114	
626415	118677	Jewel Trenton
626415	206784	
626415	206785	
626415	344021	Kilara
626416	137365	
626416	149674	Yasuko Murano
626416	172278	
626417	18578	Kensaku's mother
626417	139406	Mrs. Takakura
626418	295048	
626418	375686	Nurse
626419	137360	Noriko
626420	183288	
626421	55968	
626421	58178	
626421	61097	Vecchina nera
626421	71447	Le vecchiette del banco lotto
626421	194150	
626421	234733	
626421	246177	
626421	252309	
626421	284829	Martirio
626421	308885	Fortune Teller
626421	310891	Mrs. Nardoni
626421	327908	Madre di Cordelli
626422	17745	
626422	24865	
626422	28545	
626422	55968	
626422	71447	Le vecchiette del banco lotto
626422	252009	
626422	291647	Suocera di Teresa
626422	316378	
626423	68916	
626424	97003	Ben Loy's Mother
626425	204257	Driver's Wife
626426	129868	Department Store Girl (Ms. Ov
626427	34912	Tommy's Mother
626427	121854	Tintinabula
626427	127484	Minnie
626427	127488	Minnie
626427	243231	Wendy Yoshimura
626427	244870	Sakito
626427	328523	Nancy
626427	385824	Kim Douglas (1971-1972, 1976-
626427	399595	Mrs. Kwang
626427	405882	Lai Ling (1975-1976)
626428	82424	
626428	104888	
626428	168235	
626428	213089	Silvia
626428	240269	
626428	269499	
626428	319322	Monica's stepmother
626428	393731	Elisa Bonaparte
626429	342134	Caterina Maggioni
626430	120717	Madre María
626431	120717	Madre María
626432	83071	Estrid
626432	90174	Belisas mor
626432	140042	Margaret Heiberg
626432	159909	
626432	216285	Fru Annie
626432	322476	Hilleborg Parsberg
626433	206159	Maid
626434	122377	Ariane
626435	172789	Kottedrottningen
626435	382136	Herself/Host
626436	111557	Girl
626437	116304	Tanden
626437	122456	Waitress
626437	259354	Camilla Gryt
626437	401772	Camilla Gryt
626437	401773	Camilla Gryt
626437	405822	Karin-Gretas dotter
626437	405840	Grandma
626437	407124	Kristina
626438	218004	Herself/Money dropper
626439	172416	Croupier
626440	320109	
626441	202063	Pareja en el sillón
626442	57245	
626442	233805	
626442	383206	Bárbara
626442	385852	
626442	389780	
626442	392609	Raquel De La Torre y Quirós
626442	398983	Maripaz Canelo
626442	400661	Nora Ponce
626443	190789	Marie
626444	43750	Mme Loubet/Queen Elizabeth II
626444	45134	Reine d'Angleterre
626444	247977	
626444	327564	Le sosie de la Reine d'Anglet
626444	376075	Queen of England
626444	390480	Queen
626445	3241	Piu-Hung
626445	25910	Wu Hsiu-Fang
626445	48448	Nurse Lam Sau Mei
626445	76828	Kow-Foo's Wife
626445	110624	May
626445	167364	Yeung Kong Po-Chiu
626445	204930	Empress Dowager Tzu Hsi
626445	236286	Jean
626445	358920	Tony's Friend
626445	367148	Concert Mistress of Ceremonie
626445	369604	Hung
626445	369764	Min's Mother
626445	371629	Mei-Feng/Tsui Tsui
626446	203918	"Betsy Ross"
626447	189066	Fan 2
626448	33721	Highschool Nurse
626448	401930	Jillian 'Jill' Garnett, R. N.
626449	332506	Tsoi Lai-lan
626450	60124	
626451	57064	Performance Dancer
626452	215862	Chinese Girl
626453	42913	Circus Character
626454	76358	
626454	295242	
626454	367148	Eagle
626455	162329	Old Sheep
626456	1173	Herself
626456	2301	Herself
626456	2304	Herself
626456	4651	Herself
626456	13780	Herself
626456	13781	Herself
626456	26139	Mary Contrary
626456	26838	Annette
626456	31643	Dee Dee
626456	31691	Dolores
626456	34783	Herself
626456	37674	Dee Dee
626456	42350	Herself
626456	57666	
626456	63106	Herself
626456	87780	Herself
626456	87781	Herself
626456	87784	Herself
626456	87789	Ozma
626456	92482	Girl in dungeon
626456	93123	Herself
626456	99177	
626456	103227	Annette Aliotto
626456	113879	Jane
626456	118972	Annette
626456	130811	
626456	131575	Herself
626456	131577	Herself
626456	140925	Minnie
626456	149821	Dinah Wilcox
626456	151672	Dee Dee (formerly Dolores)
626456	155751	Herself
626456	180651	Herself
626456	195043	Julie Maris
626456	210863	Herself
626456	212846	Herself
626456	215253	Jennifer
626456	218178	Jennifer
626456	222931	Dee Dee
626456	232837	Chiquita
626456	246861	Connie
626456	297007	Allison D'Allessio
626456	303900	Prof. Sonya Roberts
626456	327971	Herself
626456	332003	Francie Madsen
626456	340320	Herself
626456	358830	Herself
626456	387252	Herself (1976)
626456	389558	Annette
626456	396559	Gina (1959)
626456	397640	Annette
626456	399214	Annette
626457	93123	Herself
626458	65598	Señora del supermercado
626459	94621	Dancer
626460	80441	Sally
626461	35770	Herself
626462	304683	
626463	255643	
626464	259521	
626465	346989	
626466	3919	Dancer
626467	128089	Salesgirl #2
626468	124026	Rosa
626468	395596	Player
626469	288088	
626470	35770	Herself
626471	115737	Woman in restaurant
626471	251237	Stripper
626471	332209	Sister Anne
626471	385887	Bar top dancer
626472	35770	Herself
626473	29650	Joy
626474	189187	
626475	188965	Herself (writer)
626476	238687	Judith
626476	346086	Judith
626477	234929	Eileen
626477	253093	Nurse
626477	380714	Sandy
626477	398152	Mum
626478	111798	Woman At Reading
626479	20625	Extra
626480	218004	Herself
626481	236603	
626482	52954	
626483	150606	New Jersey Woman
626483	217004	Ada Fuoco
626485	58184	Woman Interviewer
626486	349509	Misti
626487	315845	Michelle
626488	24571	Chloe
626489	60695	
626490	211941	Ozie Mae
626491	228830	Geisha
626492	178252	
626493	310109	Lili
626493	409321	Lili
626494	348707	
626495	98309	
626495	289956	
626496	320037	Looker
626498	97146	Ecaterina Teodoroiu
626498	155115	
626498	155116	
626499	97503	
626499	328542	Miss Blake
626500	286085	Linda
626500	290438	Dopa dame
626502	72392	Rachel
626503	404002	Bonnie Ryan (1980)
626504	245586	A.J.
626505	129362	
626506	300236	Widow
626507	115421	Woman holding baby
626508	139308	Princess Anne-Droid
626509	109642	Gina
626509	397408	
626510	324966	Gorgeous
626511	2658	Anna
626512	60849	Ex-Wife
626512	82624	JIm's Wife
626513	54294	
626513	208799	
626514	14857	Grimilde
626514	209948	La gérante de la cantine
626514	228132	Carmela
626514	251609	Luigi's Wife
626515	234614	
626516	274904	Mari
626517	341390	
626518	175071	Stefina
626519	496	
626519	5357	
626519	12910	
626519	13085	
626519	14714	
626519	21072	
626519	25522	
626519	28748	
626519	53121	
626519	54824	
626519	63810	
626519	63880	
626519	66797	
626519	74802	
626519	76010	Rebeca
626519	83436	Alice
626519	83544	Clara
626519	92597	
626519	97367	
626519	103756	Rocio
626519	108994	
626519	112105	
626519	132674	
626519	140578	
626519	143777	
626519	146496	
626519	159527	Samia
626519	171467	
626519	193343	
626519	205138	Beth
626519	212420	
626519	222051	
626519	225392	
626519	229421	
626519	236433	
626519	242681	
626519	252344	
626519	257906	
626519	262216	
626519	274656	
626519	275508	Silvia Conde
626519	291648	
626519	293054	
626519	296498	
626519	302240	
626519	307805	
626519	309347	
626519	317695	
626519	319597	
626519	341488	
626519	349464	
626519	349667	
626519	355200	
626519	357503	
626519	380517	Gloria
626519	380954	
626519	384139	Soledad
626519	384831	Martina de Linares
626519	388253	
626519	392256	
626519	392744	
626519	393176	
626519	397584	
626519	397596	
626519	399707	
626519	401203	Currita Albornoz de Luján
626519	407431	
626519	409761	
626519	410098	Carlota
626519	410319	Alicia
626519	412193	Ana María
626519	412271	
626520	235988	
626521	179368	Babica
626521	182744	Actress/Cook
626521	253152	Zubatá
626521	263422	Kanasová
626521	305812	
626521	324827	Zuzana Gungovka
626521	357745	Jíra's wife
626522	68412	La patronne de la boutique
626522	124326	
626522	201173	
626522	284308	La serveuse
626523	110900	
626524	26490	Delenn
626524	26491	Delenn
626524	26494	Delenn
626524	39625	Narrator/Voiceover
626524	43157	Finka Pasalic
626524	45752	Vranka
626524	49600	
626524	52976	Bessi
626524	54173	Rosi
626524	87715	Lila
626524	89780	Laura
626524	129654	Janja
626524	149865	Eva
626524	176652	Enka
626524	187980	Jaglika
626524	192903	Blanka
626524	223658	Mrs. Shimerda
626524	236019	
626524	237771	
626524	238210	Mirjana
626524	244175	Mira
626524	244227	Ankica Vidmar
626524	256732	Finka
626524	259834	Milena Krtalic
626524	263650	
626524	310224	Zdravka
626524	311140	Vesna Logan
626524	314336	Lucija
626524	343835	Marijana
626524	353716	Jovanka
626524	373493	Actress
626524	373503	Zdenka Robic
626524	373602	
626524	381082	Delenn
626524	382430	Finka Pasalic
626524	399149	
626524	402116	
626524	402486	Eva
626524	404305	Milena Gazivoda
626524	405705	Mira
626524	406497	
626524	408357	
626524	409022	
626524	409909	Kate
626524	410452	Petrija
626525	283708	
626526	344608	
626527	46184	Giulia
626527	63730	
626527	75234	
626527	214002	Zia Lola
626527	216325	
626527	340421	
626527	352636	La cameriera in teatro
626528	228761	Dueña Pensión
626528	379879	Teresa Neuman
626529	115328	
626529	264448	
626530	211008	
626530	243443	
626530	262551	
626531	384618	
626532	265420	Mrs. Kilroy
626533	168462	Stella Peacock
626534	8468	
626534	14730	
626534	61208	
626534	61989	
626534	63888	Joven en iglesia
626534	103941	
626534	197928	
626534	212466	
626534	225011	
626534	247070	
626534	265114	Muchacha en tienda
626534	370164	
626534	379559	Marcela
626534	380114	Cristina
626534	380939	Cristina
626534	383329	Paloma
626534	384831	Doctora
626534	387314	
626534	390732	Sara
626534	391523	
626534	392256	
626534	395839	
626534	397593	
626534	398458	Verónica (1991-1992)
626534	400718	Isabel
626534	401898	
626534	402181	Elina
626534	409907	
626534	409913	Vicky
626535	154296	Herself
626536	264995	Canteen girl
626536	411895	WPC Stacey (1962-1965)
626537	120869	Mrs. Jenson
626538	160325	Herself - 2nd evictee
626538	388209	Orla Kirwan (2000-)
626539	110279	Gale
626540	174585	Tara
626541	138683	Consoling Teacher
626541	264785	Barb
626541	276085	Malin & Block Office Woman
626541	343031	Waitress
626542	194229	Desk Assistant
626543	321213	Catfish Festival dancer
626544	100993	Girl in Bar
626545	303282	Herself
626546	303282	Herself
626547	4967	Doña Mercedes
626547	10121	
626547	12706	
626547	14432	
626547	30806	Agueda
626547	55964	Amelia
626547	57711	Alisa
626547	80124	
626547	83465	
626547	89927	
626547	101864	
626547	193492	
626547	199915	
626547	205148	
626547	207662	
626547	209470	
626547	251728	Dorotea la Cuarraca
626547	257900	Candida
626547	263177	
626547	265458	Prostituta
626547	265515	Srita. Silberman
626547	266669	(segment "Juego de espejos")
626547	272281	Camito
626547	287854	
626547	287857	Ana
626547	292926	
626547	343026	
626547	351569	Señora Krinsky
626547	370942	
626547	371343	
626547	380083	
626547	380517	Leonor
626547	383665	
626547	384655	
626547	385254	
626547	387100	Doña Rosa
626547	388095	Madame Moret
626547	395060	
626547	395657	Ana
626547	395839	
626547	405316	
626547	409913	
626547	411710	
626549	388445	Participant (2001)
626550	13045	
626551	1875	Henriette
626551	3482	Rosalina
626551	14372	Momina De Stefani
626551	32789	Jenny Diver
626551	51688	Maria
626551	55648	
626551	55745	
626551	68895	Mercédès
626551	73362	
626551	73742	Jacqueline Moreau
626551	78774	Marie, tavern wench
626551	89572	Emma
626551	118952	Aunt Tillie
626551	125656	
626551	151047	Betty Harlowe
626551	157855	Lavinia Santenocito
626551	162062	Semiramide
626551	165913	The 2nd Wife
626551	184363	
626551	187929	Helen of Troy
626551	191462	Maria Maddalena Masanet
626551	197180	Helen
626551	207431	Jessie Brown
626551	209610	Elena
626551	212161	Clara Saccard
626551	222338	Isobel Banning/Princess Anank
626551	264237	
626551	276052	Hélène Ledoux
626551	289439	Christine
626551	334635	Gilda Larsen
626551	353077	Marta
626551	387120	
626552	255360	Charlotte
626553	5550	Card playing party guest
626553	8291	Evangeline
626553	11140	Kitty
626553	28934	Kitty
626553	32793	Joyce Dawson
626553	52696	Mary Elizabeth Allenby
626553	58931	Betty, Franklyn's Guest
626553	73761	Patricia 'Pat'/'Mike' Plummer
626553	78029	Mrs. Betty Whitehouse
626553	99841	Alice Averill
626553	107081	Herself
626553	107446	Kay Farnham
626553	116174	Belinha's Friend
626553	131583	Lucy
626553	133670	Sylvia Bradfield (adult)
626553	134308	Jane Thurston
626553	141037	Miss Saunders (secretary)
626553	143581	Phyllis Allen
626553	163220	Carol Wilson
626553	175179	Molly
626553	188342	Linda
626553	190210	Joan Shadwell at Age 19
626553	196927	Ginger
626553	200484	Joyce Hudson
626553	202645	Leila Cuppy
626553	208896	Molly McFadden
626553	213288	Ruth Rogers
626553	215990	Patricia 'Pat' Randolph
626553	233838	
626553	235090	Helen Warner
626553	263173	Charlotte Brown
626553	265362	Blonde Reporter
626553	275741	Mary Fawcett
626553	289620	Betty Buell, aka 'Babe" Jewel
626553	296784	Lisa Bellwood
626553	318942	Herself
626553	321534	Margaret Watson
626553	330225	Sheila Hunter
626553	330602	Thirteenth Woman
626553	331691	Clarabelle Brooks
626553	364773	Yancey Stroud, aka Yancey Tri
626553	379067	
626553	397319	Host (1953)
626553	399322	
626553	401160	Host (1950-51)
626553	406788	Herself (commercial spokeswom
626553	410841	Commercial spokesperson
626554	108627	Mrs. Jones
626555	5866	Kathy
626555	16644	Louise Goodman
626555	38864	Acting Teacher
626555	57718	Miss Greenway
626555	70397	Lee
626555	73871	
626555	74215	Magazine reporter
626555	148783	Ivy
626555	152688	Carmel DeVries
626555	166738	Carol Grey
626555	185470	Linda Daly
626555	208040	Valma
626555	231070	Esther Jacobs
626555	273333	Beth Girdis
626555	302662	Annie
626555	313626	Chrissie
626555	342759	Silver's Secretary
626555	358296	Diane
626555	385028	Louisa Correlli
626555	388764	Dolores Kennedy
626555	388977	Fran
626555	394515	
626555	399130	Linda Fielding (1985)
626556	19019	
626556	198901	Lady Macbeth
626557	46794	Circus Performer
626558	365551	Cheron
626559	223971	Bob's girlfriend
626560	81168	Joanna Flushing
626561	47989	
626561	367738	
626562	321688	Myra
626563	222807	Receptionist
626564	223326	Vivian
626565	384858	Host
626566	42805	Secretary
626567	115515	Sallie
626568	154253	Young Alina
626569	131770	Helen Colley
626569	131793	
626569	329936	Connie Fletcher
626570	6926	Claude
626570	14974	Miss Glowber
626570	39731	Sister Briony
626570	41890	Dame Maud Hackshaw
626570	48059	Mrs. Williamson
626570	54026	Dorothy Bird
626570	55684	Battle axe woman
626570	55709	Girl's School Teacher at Stat
626570	55714	Dr. Crow
626570	79918	Lady in charge of party from 
626570	80992	Laura Postern
626570	88856	Mrs. Digby
626570	101427	Elise Batter-Jones
626570	114254	Bill (Fata)
626570	122030	Chief Wren
626570	131770	Flora
626570	131793	
626570	141317	Dr. Sykes
626570	142715	Mrs. Martin
626570	154062	Athletics secretary
626570	154657	Warden
626570	162366	Traction Engine Driver
626570	163551	Nurse
626570	168688	June Matthews
626570	192570	Mrs. Ackroyd
626570	199134	Viola
626570	203212	Nurse Gamage at Birnely Mill
626570	203213	Nurse
626570	206465	
626570	219984	Freda
626570	235380	Miss Appleton
626570	241610	Second Writer
626570	261562	Station Mistress
626570	269883	Ella Spender
626570	281052	Miss Adams
626570	287259	Yasmin
626570	289794	Miss Leonard
626570	294810	Probation Officer
626570	302568	Mary
626570	304339	Mrs. Rigby
626570	342587	School Mistress
626570	360900	Mme. Bon-Bon
626570	363573	Female Receptionist
626570	400844	Miss. Buxton
626571	230354	Russian Gambler's Girl
626571	296935	Verla
626572	153246	Hostess
626572	244880	Prunella
626573	317517	Narrator
626574	148721	
626575	75876	Stacy
626576	52486	
626576	115075	Madeline
626576	295372	Perka
626577	307280	Lucy
626578	244047	(segment Obyezdchik)
626579	41253	
626580	278481	Betty Crawford
626581	79272	Puppet Critic
626581	88074	Cheryl Chase
626581	115634	Death
626581	324471	Obnoxious Cell Phone Woman
626582	156860	Vampire
626582	201718	
626582	211396	Sunny
626582	286119	
626583	79272	Sock Puppet Actor
626584	149287	Mermaid
626584	166917	Former Girlfriend
626585	209521	Tami Gerlik
626585	272456	
626585	372024	Goldie
626585	383005	Lilach (2001-)
626586	72844	Adolescent girl
626587	57870	Woman at party
626588	45899	Extra: bus
626589	151237	Jasmim
626590	90449	Wife/Couple 1
626590	383441	
626590	383686	Drica
626590	401087	Deinha
626590	402685	Princess Maria Thereza
626590	410190	Nina
626591	196	Isle of Love woman
626591	14628	Pretty Rich Girl
626591	17377	
626591	93690	
626591	109948	Margarida
626591	176998	
626591	184298	
626591	194105	Visitor
626591	205537	Maria
626591	234638	Laura
626591	300774	
626591	321260	Carolina
626591	383685	Herself/Host
626591	389740	Sofia
626592	385444	Herself/Host (2001-2002)
626593	129673	Grandmother
626594	338748	Biker
626595	151237	Guria do grito 1
626596	162170	
626597	410088	
626598	1726	Herself
626598	2048	Herself/Singer (song "I'm Lik
626598	2277	Herself - Performer
626598	2303	Herself - Performer
626598	2562	Herself
626598	3252	Herself - Performer
626598	67923	Herself
626598	221423	Herself - Presenter
626598	221481	Herself - Performer
626598	224392	Herself (performer)
626598	249591	Performer
626598	272049	
626598	352979	Herself
626599	401104	Daniela
626600	222407	Journalist
626601	32491	Gina Calabrese
626601	83822	Secretary
626601	267439	Assistant
626601	284933	Mrs. Guadagno
626602	153708	Speranza
626603	366515	Grandmother Tine
626604	40145	
626604	262512	Flegel's mother
626605	5664	Katja Schütte
626605	87139	Marlies Melcher
626605	90703	Signora Mitri
626605	93410	Alexandra Gregoritsch
626605	129690	Corinna Jakobs
626605	144162	Angelika
626605	144180	Mickey
626605	173627	Nicky de Villiers
626605	281714	Veronica Breen
626605	313791	Performer
626605	325652	
626605	325659	Charlotte Lindholm
626605	325711	Charlotte Lindholm
626605	325841	Charlotte Lindholm
626605	375985	Eva Thomé
626605	376116	
626605	377343	
626605	389840	Carla
626605	390190	Katja
626606	303207	Classmate
626607	133309	Herself: 2:a violin (Orkester
626608	122909	Shinobu Jovem
626609	326715	Dancer
626610	229870	Fukiko, club hostess (twins)
626611	179465	Asaka Murakami
626611	285919	Keiko Matsumoto
626611	379508	Lisa Yamakawa
626612	20625	Extra
626613	229870	Fumiko, club hostess (twins)
626614	129868	Hostess (Harupa)
626615	30997	
626615	343635	
626615	358391	
626616	255555	
626617	184104	Kim/The Laker Girls
626618	278548	Girl
626619	260296	Lisa's double from really lif
626619	390145	Gladiator 'Fury'
626620	164470	Babe
626621	203340	Mrs. Segretta
626621	385824	Amelia Craig (1978-1979)
626622	112369	Nurse
626623	256209	Herself (backing vocals)
626623	256213	Herself (backing vocals)
626625	153874	Une chanteuse
626626	13121	Cynthia
626626	56100	Isabella's sister
626626	64772	Skater
626627	56364	
626628	6674	
626628	94699	Marianne
626628	162061	
626628	183282	
626628	269191	
626628	319320	Maria
626628	336614	La maestra
626628	353245	
626629	252331	Doña Teresa
626630	69409	Body Parts
626630	312140	Helena Troy
626631	11503	Sister Estelle
626631	21030	Narrator
626631	26042	Celeste's Mom
626631	116356	2nd Woman on Subway
626631	135176	Woman
626631	219440	Flo
626631	330530	Charity woman
626631	346259	Carol
626631	349022	Italian momma
626631	369473	River's Mom
626631	402940	Theta
626631	402941	Thetta's Voice
626632	380256	Mennonite Choir Member
626633	9237	
626635	28067	Child extra
626636	355722	Alba
626637	116598	
626638	287246	Sandra
626638	362285	
626639	403330	
626640	63890	
626641	3093	Carolina Zucchetta Steiner
626642	309786	
626643	237941	
626644	392787	
626645	59876	Bree
626646	399290	Herself
626647	2654	
626647	103314	Margot O'Dell
626647	133846	Mara
626647	290077	Kolin
626647	338847	Mrs. Morell
626648	265594	Cowgirl Hottie #2
626649	19376	
626650	344591	
626651	10478	
626653	108778	Smuin Ballet/SF Dancer
626653	162159	Herself
626653	313479	Jedi Rocks dancer (special ed
626654	180030	Aiko
626655	63395	
626655	170903	
626655	237677	
626655	338580	Otoku
626655	375592	
626656	82214	Harue
626656	170332	
626656	237677	
626656	373892	Onaka
626657	34472	
626658	8451	La comtesse d'Ormesson
626659	237310	Agnès Thorel
626660	248988	
626661	8627	La concierge
626661	12044	Adèle, la soubrette
626661	15096	Berthe
626661	16613	Mademoiselle Boulommier
626661	21438	La directrice de latelier
626661	26253	La comtesse de Brettigny
626661	33583	Mme. Fleury
626661	36558	
626661	40284	
626661	49831	Gillonne
626661	51378	Herself
626661	51793	Berthe Bodin
626661	57264	La femme de Léon
626661	57506	
626661	58417	La baronne
626661	58933	Mme Pillaud (segment "Fiancés
626661	58954	La concierge
626661	60497	
626661	63697	Mayme
626661	64068	Mme. Mataplan
626661	64225	Princess Djali
626661	64314	Herself
626661	64715	La fille du majordome
626661	65383	
626661	65727	Marie
626661	69583	La baronne de Courtebise
626661	70591	
626661	70592	Tante Clémentine
626661	70596	
626661	70709	The small-wear dealer
626661	71820	Madame Popolka
626661	71821	Madame Lambercier
626661	72076	Léonie
626661	72524	Madame Bayard
626661	75627	Marquise de Saint-Ange
626661	81453	Mme. Raboin
626661	83391	Mlle. Adélaïde
626661	84105	Albertine, la servante
626661	84599	
626661	85534	Marie-Thérèse Champignon
626661	88059	Mme. Nicou, Concierge
626661	90759	Clotilde
626661	104227	Mme. Lespinois
626661	107541	Mme Créture
626661	107681	Paulette
626661	108205	Célestine
626661	111137	Léontine
626661	111687	
626661	120876	Mademoiselle
626661	124180	
626661	132608	
626661	148668	La Chanteuse
626661	149193	Une invitée
626661	153805	
626661	156563	
626661	160204	
626661	161567	
626661	165775	L'Altesse
626661	166176	
626661	195217	
626661	198627	
626661	199337	
626661	199611	
626661	202360	La concierge
626661	204768	
626661	205774	Mademoiselle Crémier
626661	205775	Victorine, la gouvernante
626661	205909	Madame Irma
626661	206318	
626661	206718	Maître Brigitte
626661	210900	
626661	212647	La gouvernante
626661	214182	Louise
626661	214376	Lövgren's housemaid
626661	214882	Mademoiselle Poche
626661	215133	
626661	217715	Mme. Pierrat
626661	218274	Perrette
626661	218325	Mme. Angela
626661	227671	La tante
626661	236600	
626661	238457	
626661	247314	La Montansier
626661	254131	
626661	257010	
626661	258278	
626661	258957	La fleuriste
626661	268414	Henriette Noblet
626661	268879	
626661	268976	Virginie
626661	269758	
626661	270764	Mme. Vernaux
626661	276344	Marie
626661	276496	
626661	278144	
626661	278147	Mlle. de Sampa-Larose
626661	280514	
626661	282490	
626661	294603	Tante Amélie
626661	300695	l'Aubergiste
626661	300735	Revolutionary
626661	309150	Martha Corey
626661	336876	
626661	337223	Maria La Huchette
626661	339081	
626661	340112	
626661	340448	Maria
626661	341125	
626661	341368	La comtesse de Morhange
626661	343564	
626661	345100	La marchande de journaux
626661	345128	
626661	345262	
626661	346626	
626661	349492	La standardiste
626661	349647	
626661	354243	Tante Aline Tremplin
626661	354695	Tante Béatrice
626661	356370	Mademoiselle Eugénie
626661	356408	
626661	356512	Madame Dumontier
626661	357019	
626661	376995	Madame Pichecolle, la concier
626661	377040	La concierge
626661	389939	
626661	404861	
626662	97147	
626663	182987	Hostage
626663	291014	
626663	313481	Princess Leia/Rebel grenade t
626663	313488	Vana
626663	313490	Leia Organa
626663	313499	Leia Organa/Guri
626663	313500	Vana Sage
626664	52312	
626664	131473	Jockette
626664	159012	Daughter
626664	257657	Herself
626664	257813	Herself
626664	257824	Miss February 1999
626664	297190	Sorority Girl
626664	406890	Shelby
626665	272440	Market Square Extra
626666	234954	
626667	136828	Relative
626667	162100	Fairy
626667	213588	Schoolgirl
626667	256626	Daughter
626667	264161	Courtier/Girl Graduate
626668	304341	Cybele Harris
626669	34116	Various characters
626669	38882	Denise (Sammy's Girl)
626669	113913	Sally
626669	135166	2nd Girl
626669	185827	(segment "Agricultural Caress
626669	317327	Denise
626670	192939	
626671	384771	Bárbara
626671	391570	Amelia Alcántara
626672	288803	
626673	383622	Miembro del Jurado
626673	392080	Herself
626673	398246	Herself
626674	146567	Ecologista
626675	75444	
626676	191779	Sherry
626677	244054	Shokichi's Wife
626678	219301	Toyono Ikeda
626678	271673	Landlady
626678	275061	Osaki
626678	293608	Nanny
626678	344817	Ei, Ine's grandmother
626679	241923	
626680	395031	Simone
626681	124541	Suzie McKlusky
626682	66655	Felicia Page
626683	159811	
626684	316746	Stella Kowalski
626685	310338	Woman in Gym
626686	301864	Mailiisa Sillankorva
626686	322705	
626687	252450	Newscaster
626688	32409	
626689	59721	Baby Rats
626689	126131	Magic Wood/Pinocchio
626689	393269	Sean/Seamus
626690	105318	
626691	16781	Vecina
626692	312906	Linear
626693	169735	Hashimoto
626693	335270	Takako Aoyama
626694	49935	
626694	101622	BJ (Mirye's lesbian partner, 
626695	168853	
626696	315132	Paul Lewis
626697	389619	Host (1998-2004)
626698	88602	
626698	253575	
626698	262814	
626699	88602	
626699	253575	
626699	262814	
626699	268992	
626700	141786	Magi Evans
626701	240425	Josey
626701	361611	
626702	359323	Interviewer
626702	395407	Various Characters
626703	230385	Woman driver
626704	330570	Entertainer
626705	397821	Marie
626706	213152	Bank Teller
626706	233509	Nurse #2
626706	289516	Girl/Colour #1
626706	337821	Gina
626707	82332	Young Couple - Girl
626707	290936	Mullet Nerdette #3
626707	314163	Wally's Cashier
626708	270138	Buffy
626709	2974	
626710	357208	
626711	120785	The Cricket
626712	376218	
626713	173377	
626713	222349	Ustinya
626713	324652	
626714	40871	Pavlina Yeropkina
626714	136231	
626714	349325	
626715	39013	
626715	94739	
626715	163058	
626715	217458	
626715	225846	
626715	225926	
626715	241008	Orlova
626715	357461	
626715	398757	
626716	89592	
626717	239371	
626717	394620	
626718	224436	
626718	376218	Ryleyeva
626719	88617	
626719	95689	
626719	129751	
626719	176057	
626719	237466	
626719	237527	
626719	241944	Inga
626719	263260	Dunya
626719	301898	
626719	324949	Lise
626719	353541	
626720	225853	Varvara
626721	12815	
626721	25290	
626721	43074	
626721	60443	Katya Shadrina
626721	76998	
626721	82487	
626721	85145	
626721	85206	Komarinskaya
626721	94181	
626721	104434	
626721	117854	
626721	120785	Natasha
626721	124228	
626721	160113	
626721	163906	
626721	173710	
626721	176127	
626721	201154	
626721	209517	
626721	212294	
626721	219723	Hostel's Security
626721	223602	Klava Belkina
626721	225853	Varvara
626721	234439	
626721	242820	(segment "Navazhdeniye")
626721	258428	
626721	258658	Zoya
626721	258715	
626721	265570	
626721	265840	
626721	283837	
626721	294669	
626721	297135	
626721	298305	
626721	298639	
626721	298640	
626721	303802	
626721	304252	Pseldonimov's mother
626721	313140	
626721	317241	
626721	320483	Bride
626721	320490	Gapusya
626721	344676	
626721	349077	
626721	349304	
626721	351346	Nadya
626721	356120	
626721	356940	
626721	357256	
626721	357259	
626721	357456	
626721	357707	Tatyana Ivanova
626721	370184	
626721	373488	
626721	374431	
626721	374765	
626721	374767	Dunyasha
626721	374848	
626721	394786	
626722	280610	
626724	29496	LEA
626724	174676	Lukas Mother
626725	32512	Fredrikstadrussepiken
626726	55700	Francis Cake
626727	250752	False Marie-Claude 1
626728	306100	Girl
626729	6464	
626730	7189	
626730	56525	
626730	69254	
626730	74658	
626730	197473	
626730	205697	
626730	212386	
626730	223627	
626730	234013	
626730	307197	
626730	325002	
626730	338869	
626731	42630	
626732	4953	
626732	55926	
626732	120904	Min
626732	284095	
626732	287452	Doña Rosa
626733	64756	
626734	118515	Dominatrix #1
626734	127351	Blonde Girl in Philadelphia
626735	379668	Cristina
626735	383174	Martha Benavides (Gaviota's s
626735	383443	Tamara
626735	397243	
626735	398478	Patricia Robayo
626735	410290	Iluminada Urbina (II)
626736	136739	Zulejka
626737	322013	
626738	67653	
626738	114815	
626738	134924	
626738	146715	Clara das Neves
626738	204281	
626738	228141	Dona Lota
626738	379451	
626738	397409	
626739	381200	
626740	35059	
626740	35938	
626740	97964	
626740	99320	Szobalány
626740	104795	
626740	136739	Csaplároslány
626740	166657	Agáthék szobalánya
626740	248214	Révészné,varrónõ
626740	322203	Ápolónõ
626740	322557	Juliska,Juhász lánya
626740	326302	Szolgáló
626740	377139	Szobalány
626740	378588	
626741	357819	
626742	97993	
626742	139997	
626743	110695	
626744	148483	Garota na papelaria
626745	24376	
626746	396256	elev (extra)
626747	4589	Herself
626747	4592	Herself
626747	4593	Herself
626747	4594	Herself
626747	4595	Herself
626747	104689	Herself
626747	104730	Herself - Extra in ABBA-clip
626747	104749	Swedish entry (1st place)
626747	147240	Swedish entry
626747	210337	Herself
626747	210338	Herself
626747	223025	Song Performer "Chiquitita"
626747	240038	
626747	272501	Lisa Mattsson
626747	355072	Herself
626747	388268	Herself - ABBA
626748	264279	Child
626749	252643	Anhalterin
626750	166757	
626751	148816	Jenny
626751	386335	Pladdermus
626752	13327	Programleder TV-show
626752	219841	
626753	308237	Herself
626754	166126	Make-Up Woman
626755	19321	
626755	25142	Marjorie Kling
626755	29515	
626755	44938	
626755	45147	
626755	55595	Anna de Vétheuil
626755	60517	Toinette
626755	67206	La directrice
626755	70723	La religieuse
626755	101158	
626755	108884	Lady Beltham
626755	144315	
626755	148772	
626755	158841	
626755	158845	Madame Dossin
626755	169367	Claudette Louvois
626755	171594	
626755	197063	La dame d'atours
626755	207271	
626755	214010	
626755	254006	Mademoiselle Berengère
626755	300666	Princess Renata d'Ettingen (t
626755	300735	Queen Marie Leczinska
626755	336849	
626755	354695	Marguerite
626755	377053	La mere
626755	378731	Renée Manceau
626755	381189	Isabelle
626755	385503	Yvonne
626756	388310	
626757	97982	
626757	140672	
626758	97980	Éva
626759	380332	Rita
626759	404059	Rita Higgins
626760	396506	Spanish Woman
626761	103047	
626762	12591	Gina Zunga
626762	24650	Geneviève Marey
626762	61986	
626762	77354	Diana de Meridor
626762	101444	
626762	101445	
626762	111369	
626762	132929	
626762	212795	
626762	238458	
626762	260945	
626763	263415	
626763	354214	
626763	379491	
626763	380329	Suzy
626763	386213	Candinha
626763	392607	Ilsa
626763	395366	Lua Branca
626763	397545	
626763	398361	Lenita
626763	401199	Madalena
626763	403083	Marta
626763	408220	
626764	3399	
626764	124042	
626765	86955	Student #3
626766	47400	Lucile
626766	191293	Olive
626767	14578	Sra. Travis/Sra. Belmont
626767	14807	Diana
626767	29045	María Mendoza 'La Bandida'
626767	33497	Carolina Otero
626767	51908	Mónica
626767	52811	Camelia
626767	53614	(segment "La Tigresa")
626767	59782	
626767	62043	Frances Erskine, Marquesa de 
626767	70862	Mara
626767	74744	La Cucaracha
626767	85177	Diana de Arellano
626767	87084	Raquel Serrano
626767	92332	Doña Bárbara
626767	92335	Angela
626767	100587	Beatriz Peñafiel
626767	103431	Gabriela
626767	104145	Olga Lang
626767	110103	Faustina
626767	114758	Inés Rojas
626767	115758	Magdalena
626767	119751	Lola de Castro 'La Belle Abbe
626767	125558	Mariana Sampedro, La Generala
626767	153843	Manuella
626767	158701	Oliva
626767	169793	Ángela Ramos 'Juana Gallo'
626767	199095	Maclovia
626767	205370	Freyra
626767	206994	María Eugenia
626767	211800	Mesalina
626767	216538	Victoria Rivas
626767	218092	Catalina Erauso 'La Monja Alf
626767	218099	Gálata Orsina
626767	221895	Nieves Blanco
626767	221914	María Romano
626767	221982	Teresa López
626767	225551	Ella misma
626767	234383	Imperia
626767	249864	Malva Rey
626767	254349	María Ángela Valdivia
626767	269212	Sofía/Lena Kovach
626767	272403	Aurora Campos
626767	275946	María
626767	284330	Rosaura Salazar
626767	300754	Herself
626767	308469	La Niña Chole
626767	334034	María
626767	349856	Valentina
626767	357868	Mercedes Mallea
626767	384899	María Guadalupe
626768	1212	
626768	20067	Grégory's mother
626768	46936	
626768	75914	The Matron
626768	87660	Monique
626768	89871	Employé de Mr.Max
626768	217235	Madeleine
626768	217406	Catherine de Brie
626768	291120	Edith
626768	355882	The scarfaced whore
626769	42280	Herself/Cantora
626770	402331	Teacher
626771	193325	Trixxie
626772	24179	La maîtresse
626772	35502	Dina
626772	43004	
626772	66726	Elsa
626772	89741	Dolores
626772	96111	Laure
626772	133242	Joanna, la fille
626772	158938	Cécilia
626772	244033	La fille de la fin
626772	261773	
626772	319029	Natacha
626772	351822	Léa
626772	403089	(segment "Septième ciel")
626773	23731	Bimtou
626773	55968	
626773	205243	Marie-Gabrielle
626773	268444	
626774	104795	
626774	141866	Jella
626774	198212	Jessy
626774	223594	
626774	270797	Mimi, Bajor lánya
626774	322189	Dea
626774	378265	Leontine
626775	226709	Mártha
626776	200056	
626777	212309	Gera anyja
626778	113117	Herself
626779	113117	Herself
626780	5793	Boldine
626780	284362	
626781	51224	
626782	101163	Paul des années 40
626783	101163	Bertrand des années 40
626784	68513	
626784	101180	Lucie/Ninone
626785	402241	Ana Plácido
626786	218269	Gabrielle de Savoisy
626787	249713	
626788	95854	Loulou
626788	148744	
626788	160064	
626788	275647	Bit part
626788	309748	La vendeuse de la loterie
626789	375965	
626790	381344	Rita Sági (1998-1999)
626791	352275	Kajtár Marika
626792	351884	Girl
626793	286229	La mère
626794	5186	
626794	57513	Edmonde
626794	85533	La mère
626794	100342	Ghislaine de Villard
626794	186193	La duchesse de Montespan
626794	199297	Delphine
626794	217705	Une comédienne
626794	248415	Mme Blaumet
626794	249208	Justine's mother
626794	249713	
626794	254094	Mother
626794	292366	Aglaé Tournatoire
626794	325343	Jeanne Billard
626794	327577	La mère de Marcel
626794	381850	Albertine Montpleynet
626794	389784	Sancia
626794	399082	Laure Ducreux
626795	839	
626795	1688	Józsi néni
626795	2379	Szállodai szobalány
626795	9243	Mother
626795	25752	Katerina,Géza bácsi lánya
626795	35060	Uginé
626795	43187	Róza Csóka
626795	48670	
626795	74397	Bori néni
626795	74418	Mama, aki nem tehet róla
626795	75938	
626795	89725	Polgármesterné
626795	97990	Aranka
626795	99536	Bakóné
626795	108913	Bartuczné
626795	110702	
626795	110706	
626795	117876	
626795	122599	
626795	122614	
626795	129672	Blendida
626795	135720	Farmer's wife
626795	136393	
626795	138393	Kunigunda
626795	139500	Kergéné
626795	139997	Rokon
626795	145617	
626795	155616	
626795	163123	Mariska, Tóth felesége
626795	165562	Bözsike
626795	172530	Csuriné
626795	177136	Mari néni
626795	177970	Gulyásné
626795	181090	Csukásné
626795	182515	Szomszéd
626795	182662	Mara nevelõanyja
626795	182873	Horváth néni
626795	198322	A kollégium szakácsnõje
626795	198412	
626795	200056	
626795	209810	
626795	212825	Galambosné
626795	212992	Huffnágelné Amál
626795	216250	innkeeper
626795	224968	
626795	226712	
626795	235375	Tóth Mihályné
626795	268425	
626795	272164	
626795	293742	Klári
626795	322051	
626795	322069	Mravacsánné
626795	322082	
626795	322188	Lakóbizottsági elnöknõ
626795	324700	Irénke
626795	328970	
626795	343710	
626795	354256	Illesne
626795	354328	Hadházyék cselédlánya
626795	355133	
626795	376559	
626795	377123	
626795	377748	Mrs. Poldi
626795	377778	Ilus néni
626795	378577	Házvezetõnõ
626795	410331	Kandics rák
626796	12889	Reisende im Zugabteil
626797	404457	Carol Lane
626798	24051	Marika
626798	99184	Eva Kovacs
626798	215472	
626798	380887	
626798	392091	Mester
626798	399161	Katalina Puskas (1992)
626798	399860	
626799	177935	
626800	29449	Makucs aunt
626800	43112	Margit
626800	43114	Kata
626800	147929	
626800	162745	Edit
626800	163130	
626800	212509	Dusi
626800	226001	Grandma
626800	322105	Varrónõ
626800	357737	Sári
626800	357943	Nyolcadikos
626800	398849	Kriszta
626800	410331	
626801	77165	
626801	96201	
626801	378516	
626802	43189	IBUSZ kisasszony
626802	50463	Színésznõ
626802	104199	
626802	137758	Gergõ édesanyja
626802	147310	Zizi, Fáraó felesége
626802	172529	A kovács felesége
626802	227531	
626802	227533	
626802	322002	Molnárné
626802	322079	
626802	322105	Gyuri anyja
626802	322185	
626802	357549	Iny
626802	407236	Mimike (1996-1999)
626802	409291	Tutajos' mom
626803	377129	
626804	325456	
626805	186122	
626806	24076	
626806	84592	Gudrun Jepsen
626806	134903	Helene Gruyten
626806	152769	Jitsuko
626806	188763	Frau Dennis
626806	222843	
626806	321604	Florelle
626806	360952	Friedrich's mother
626806	369406	
626807	124987	Pedicure Girl
626808	317102	
626809	174088	Auguste Grässler
626810	387958	Herself
626811	124995	Frau Förtsch
626812	250899	
626813	125298	Luise
626814	134464	Ada
626815	151239	
626816	28529	Pouls mor
626816	92531	Fru Remy
626816	117900	Fru Møller
626816	135237	
626816	153987	Fru Håkonsen
626816	154142	Mrs. Hansen
626816	154235	Servitricen Olga
626816	179680	Marietta
626816	180407	Teaterleder
626816	198059	Bitten
626816	214371	Gefion
626816	229263	Various roles
626816	238784	Fru Emma
626816	252058	Direktørens kone
626816	262957	Fru Flint
626816	281252	Julia
626816	283483	Fru Jacobsen
626816	293698	Madame Pace
626816	300976	May Davenport
626816	304363	Fru Fredericia
626816	307135	Fru Hansen
626816	307759	Sekretær
626816	324478	
626816	324626	Fru Bertha Rømer
626816	353010	Direktrice
626816	368732	Margret
626816	395824	Fru Lassen
626816	408340	Various roles
626816	410233	Mama Flora
626817	315382	
626818	84161	
626818	84783	Maria
626818	127631	
626818	196661	
626818	197090	Maria da Glória/Lucíola
626819	57782	
626819	73295	
626819	91346	
626819	213532	
626819	236456	Regina
626819	283137	
626819	354903	
626820	279069	Inge Thorwald
626821	142085	Maskenbildnerin
626822	290763	
626823	77409	Erika Rellert
626823	312102	Mother
626824	345559	
626825	251919	
626826	182692	
626827	152385	Gazdasszony
626829	94422	Eva Glaser
626829	119219	Therese
626829	259606	Dr. Ulla Müller-Bertram
626829	310902	Frau Caspari
626829	325513	Maximiliane Tausend
626829	334623	Irene Mathes
626829	342475	
626829	350403	
626829	374622	
626829	384444	Kriminalhauptkommissarin Eva 
626829	388203	Dr. Katharina Winkler (1997-)
626829	397997	Viviane
626829	404067	Dr. Ruth Hecker
626830	73188	Louise
626830	74406	Jutka
626830	137762	Gina
626830	171641	Wife (segment 'Táltosember')
626830	182645	Pöcök
626830	182796	
626830	182819	
626830	187514	Girl in the Parliament
626830	200613	Dancer
626830	322008	
626830	378343	Hermin/Eliz
626830	407307	Hedgehog
626831	261204	
626832	84557	Herself
626833	1208	Nelly
626834	359670	Anna
626835	134832	Chefin
626836	352679	
626837	17722	Ida, The Maid
626837	24326	Frau Mägerlein
626837	40373	Rath's maid
626837	53605	Frau Lüdike
626837	75936	
626837	76137	Bäuerin nach der Notlandung
626837	79165	Guest
626837	94344	
626837	111757	
626837	111773	
626837	119202	
626837	120276	
626837	120950	Frau Kulicke
626837	121061	Frau Messmann
626837	126404	
626837	130934	Mrs. Fösterling
626837	134787	Gisa's mother
626837	134802	Luftschutzwartin im Mietshaus
626837	140208	Marie Hoprecht
626837	140209	Pleureusenmieze
626837	143798	Mrs. Kuser
626837	155397	
626837	155470	Dienstmädchen Lona
626837	156689	
626837	157769	
626837	161444	Mathilde Dorndorffs
626837	166404	
626837	171828	
626837	173046	Anna Kluge
626837	174533	Frau Ermscher
626837	180636	Frau Schulze
626837	181459	
626837	182886	Frau Heller
626837	183844	Duchess of Barwick
626837	197827	
626837	198250	Schwester Braddock
626837	198435	
626837	225143	
626837	225191	
626837	225740	Rieke Kuchenreutter
626837	226356	
626837	227478	Die Magd
626837	264351	
626837	281123	
626837	286221	Lautenschlägers spätere Frau
626837	290672	
626837	290764	
626837	290802	
626837	303718	
626837	306148	
626837	320226	Reinemachefrau
626837	322531	
626837	328846	
626837	345571	
626837	347046	Frau in der Irrenanstalt
626837	347828	
626837	348677	Frau Schmiedeck
626837	350885	
626837	352242	
626837	361462	Frau Miller
626837	361502	
626837	364899	
626837	376025	
626837	376383	Frau Lohmann
626837	378567	Frau Wilk
626838	145482	Air-Raid Shelter
626839	270425	
626840	377143	
626841	322025	Vidéki színésznõ
626842	19669	Tereza mama
626842	35938	Apácafõnökasszony
626842	96201	
626842	99320	Irma néni
626842	199872	Alispánné
626842	200823	Zsuzsi nevelõanyja
626842	268521	
626843	97957	
626843	97958	
626844	44406	
626845	317236	Strumpet
626846	74687	Verkäuferin
626849	77092	Herself
626849	104771	United Kingdom Entry (8th pla
626849	133499	Herself (Winner)
626849	305488	Herself
626849	365732	Audience Member
626849	403030	Herself
626852	407138	Herself
626853	198897	Reporter
626854	26515	Recording Artist in Studio
626855	196880	
626859	18145	
626859	18150	
626859	29216	
626859	30411	
626859	36062	
626859	48684	
626859	77035	
626859	81713	
626859	90580	
626859	93866	Saroja
626859	131960	
626859	155576	
626859	173445	Santha
626859	174197	Queen Chandrika
626859	181607	
626859	188474	
626859	198684	
626859	203874	
626859	204096	
626859	208608	
626859	210478	
626859	210925	
626859	216789	
626859	226032	
626859	233170	Tara
626859	249288	
626859	252015	Ammadu
626859	271462	
626859	286795	
626859	300277	
626859	318647	
626859	320836	
626859	354669	
626860	122945	Ako
626861	8806	
626861	144292	Kang's mother
626861	167731	
626861	210995	
626861	322667	Sandy
626861	346231	
626861	371589	Prostitute
626862	210967	
626863	40420	Biene
626864	11464	Sipje
626864	39005	
626864	115606	Pien
626864	181255	Aardige mevrouw
626864	196384	Liza
626864	237140	Sjoukje Oosterbaan
626864	285702	Christine
626864	315522	Cordelia
626864	374303	Julie/Natasja
626864	381659	Stem Bennie
626864	403982	Masha ten Hag
626865	74426	
626865	126269	
626866	48539	Gretchen
626866	98025	Márta,az Egér
626866	120942	Fräulin Lilli
626866	121029	Lucie Carell, nicknamed Csibi
626866	121034	Marika
626866	128161	Katerina Linz
626866	134912	Veronika
626866	174568	Katharina
626866	178609	Marie
626866	248203	
626866	249021	Manya
626866	253871	17-year old Eva
626866	275712	
626866	303712	Eva
626867	113526	Young Paige
626868	234270	La serveuse
626869	300448	
626870	116703	Old Crab
626871	199995	Hotelgæst
626871	252629	Ekspedient
626871	268376	Sygekassesekretær
626871	331034	Sif
626871	388302	
626872	18544	Knights Fan
626873	260961	Carsten's Girl
626874	390212	Herself - Host (2004-)
626875	181170	Herself - Vice Chairman, Skol
626876	62704	Liz
626876	92482	Robot
626876	122653	Bargirl
626876	151672	Animal
626876	162862	
626876	215727	Moon Girl
626876	250811	Waitress
626876	257963	Young Girl
626876	273003	Second Girl
626877	118311	
626878	401460	Marisa
626879	25829	
626879	222317	Female beggar
626880	159016	Prologue: L'Amour
626880	257475	L'Amour/Clarine
626881	280311	Miss Carinthia Underwood
626882	201940	Sally Davis
626882	282471	Kimberly
626883	4972	
626883	9955	Señora
626883	29828	
626883	39937	Carlota (as Mary Francis)
626883	42642	
626883	44659	Sra. D'Abondo
626883	56244	Ana Mary
626883	68912	Hortensia
626883	71161	
626883	74557	
626883	74904	
626883	75444	
626883	87135	
626883	90188	Dora, cortesana del duque (Do
626883	91171	Rita Solanes León, la miss
626883	91397	
626883	103837	
626883	104853	
626883	108634	La socióloga
626883	115034	Herself
626883	143757	
626883	162249	Virtudes
626883	190644	Maribel
626883	199817	
626883	206791	
626883	208192	
626883	209034	Ana
626883	214225	
626883	233550	Elena
626883	233656	Luisi
626883	236027	Susana, azafata
626883	257908	
626883	274523	Yuyi
626883	276003	
626883	292709	
626883	320212	
626883	335516	
626883	341780	Profesora de criminología
626883	354344	
626883	354778	
626883	378466	
626883	378843	Host (1977-1978)
626883	378916	Host (1976-1978)
626883	390851	Luisa
626883	400653	Marina
626883	407305	Maika Bernal
626884	3132	Jacinta
626884	6486	Mother
626884	66403	Tía Mercedes
626884	68912	Karina
626884	201216	
626884	251599	Sor Rosarito
626884	322233	
626884	381837	
626884	393366	Garbi
626884	394452	Nekane
626884	401248	Concha (2000-2001)
626885	250425	
626886	123686	Maryse
626887	124446	
626887	207096	
626888	80270	
626888	97557	
626888	250894	
626889	189696	
626890	31440	Vera Baxter
626890	75914	Bad-tempered Nun
626891	156322	Martine
626892	301678	Hospital Staff
626893	282722	Dylan's Mother
626894	302245	Daughter
626895	5885	Christina Aged 15
626896	69154	Herself
626897	23367	
626897	84016	
626897	378958	Agatha Dalton
626897	383438	Carla
626897	388274	
626897	403366	Naná
626897	404712	Mariana
626897	410060	Dancer
626897	410276	
626897	412194	Noelia
626898	128577	Sister
626899	65892	Jan
626900	60714	Experienced Waitress
626901	20296	
626901	347688	Terri
626902	213969	
626902	247642	
626902	391835	Talking head/soundbites (segm
626903	113603	Pizza Customer #2
626903	357985	Pretty Girl
626904	142886	Secretary
626906	8319	Princess Maria Vorontsova
626906	30747	
626906	33267	Anita Bionda
626906	45897	
626906	51789	
626906	53575	Gina
626906	69026	
626906	86058	
626906	88390	Barbara Donovan
626906	94345	La femme du train
626906	94637	Iride
626906	94725	
626906	102620	Virginia
626906	111581	Nadja
626906	112684	Livia
626906	112871	Lola
626906	112890	Kissa
626906	121906	Wilma
626906	123273	Gianna
626906	125076	Tigra
626906	125667	Colette
626906	125781	Gina
626906	127985	
626906	133048	
626906	134792	Molly Pink
626906	199073	
626906	205027	
626906	217014	Melina
626906	222201	Elfi Wahl
626906	234552	Josette
626906	254962	
626906	266947	Rossana
626906	270847	Nuccia
626906	272771	Dusia
626906	285982	Béatrice
626906	290006	Claudia
626906	306873	Tamar
626906	315436	A German tourist
626906	325150	Toni
626906	328624	
626906	351519	Cinzia
626906	351579	Isabella
626906	354516	Angelina Vimereati
626906	376574	Zeezee
626906	378643	Laura Millington
626906	386846	Paola Silvestri
626906	399974	Helen
626906	402629	
626906	410230	
626907	38727	Tiffany
626907	45825	Rachel
626908	3418	Soldier's Fiancee
626909	81104	Drome Groupie
626910	331309	Child on Bus
626911	219556	Bingo Nun
626911	258049	Wife
626912	380391	Brittany Peterson (1984-1985)
626912	387309	Charlotte 'Raven' Alexander J
626912	400236	Melinda Cramer Janssen (#3) (
626913	225930	
626913	261315	
626913	263257	Nadya
626913	303789	Nanny
626913	375655	
626914	33640	Une prostituée
626914	50379	
626914	91062	Herself
626914	91622	
626914	224336	12th Navigational Command
626914	370028	
626915	175010	Herself
626916	66726	Viviane
626917	52210	Marta
626917	304478	Sofía
626917	394452	Maider
626917	400653	Daniela 'Dani'
626918	3396	
626918	110415	
626919	393366	Ane
626919	396976	Maria
626920	64950	Yassa
626920	197426	Helene Bijou
626920	202607	Eve
626920	218284	Fatou
626920	343885	
626920	350084	Akwélé
626920	387968	Maïmouna
626921	197953	
626922	272944	Ruby
626923	402132	Meis
626924	219540	Kitana, Mileena, Jade, Khamel
626924	344519	Kitana/Jade/Mileena
626925	646	Guard
626926	66322	Miss Halliburton
626927	46607	Luba
626927	187420	Rhoda Rooter
626927	286129	Madam Dupre
626927	298127	Realtor
626927	405008	Unknown (1978-1981)
626928	133815	Eddie's Wife
626929	364587	Pizza Kids
626930	407170	Herself
626931	289650	Movie Girl
626932	51855	Lady
626932	70076	Miss Karoly
626932	119841	Chi-Chi
626933	364587	Woman in 4-G
626934	324264	Mom
626935	297756	Jeb's secretary
626936	221324	Leota Yoeders
626937	126364	
626938	84073	
626939	36772	
626939	39753	
626940	224509	
626941	68440	
626942	23507	Tove Madsen
626942	99240	
626942	109134	Torbens forhenværende kone
626942	113841	Anjuta (segment 4 "Anjuta")
626942	116027	Birthe
626942	146997	
626942	162657	Renés fars nye kone
626942	177338	Cordelia
626942	181152	Fru Reimer
626942	182456	
626942	182619	Tenna, bartender
626942	202763	Ilse
626942	213334	Vera Bagger
626942	234474	The Woman
626942	236253	Psykologen
626942	255698	Lise's veninde
626942	264918	
626942	266370	Præstedatteren Marie
626942	305307	Jensens kone
626942	309292	Mona Uldahl
626942	315001	Katrine
626942	315355	Pige
626942	322301	Stines fars nye kone
626942	341116	
626942	345178	Sylvie
626942	346407	Judith
626942	373433	Mother in Baby Shop
626943	335854	
626944	188928	Elizabeth
626945	12226	Lydia
626945	20218	Duchess
626945	21299	Sonia
626945	46873	Maria Talbot
626945	54527	Jeanine Duvall, the Slave Gir
626945	90319	Deborah Aldrich
626945	117510	Johanna Van Deuren
626945	127621	Liane d'Exelmans
626945	161249	Herself
626945	163358	Marquesa de la Rey
626945	185711	Mrs. Lorraine Quarl
626945	195781	Sarna
626945	199199	Claire Ormond
626945	224137	Francesca
626945	230693	Felicienne Courbeau
626945	230953	
626945	232017	Herself
626945	236956	Queen of Time
626945	246215	Marie Duval
626945	249039	Gogo Montaine
626945	252486	Herself
626945	264129	Countess Von Pupsin
626945	276193	Miss Bianca (segment "Miss B.
626945	276195	Miss Bianca, RAS Mouse
626945	276855	Lisa Douglas, née Gronyitz
626945	282688	Countess Demidow
626945	308614	Countess Marina
626945	313377	Undetermined Role
626945	329564	Herself (interview)
626945	340969	Louise
626945	358443	Baroness Marlene
626945	365052	Mme. Lucille Maillard
626945	372805	Fannie Prince
626945	382746	Maria Talbot
626945	387309	Herself (1983)
626945	390622	Lisa Douglas
626945	391835	Herself
626945	397076	Guest panelist
626945	397077	Panelist
626945	401346	Lisa Douglas, née Gronyitz (1
626945	407473	
626945	409121	Herself
626946	117667	Margit
626947	252486	Herself
626948	322128	Lila kalapos hölgy
626949	200823	Lenke
626949	252486	Herself
626951	212121	
626952	298778	
626953	2143	Saadia
626953	28426	Vera van Loon
626953	35506	Herself
626953	42357	Herself
626953	45684	Boss' Girl Friend
626953	52311	Herself
626953	59584	'Star Hungry' Celebrity
626953	63106	Princess Zsa Zsa
626953	69985	Loreley
626953	71760	Zsa Zsa
626953	81194	Mrs. Ryan
626953	93956	Gigi
626953	96555	#96 Zsa Zsa Slaps Cop
626953	101529	Lola la Blonde
626953	103930	
626953	105131	Olivia
626953	117180	Gloria De Vadnuz
626953	118952	Clara
626953	128294	Lili Grisenko/Greta Grisenko
626953	131831	
626953	138672	Blossom
626953	147796	Herself
626953	164459	Cameo appearance
626953	168403	Aunt Amalie
626953	190759	Rosalie
626953	196390	Zsa Zsa
626953	198051	Herself
626953	203616	Eve Trent
626953	210863	Herself
626953	214103	Herself
626953	218647	Narrator
626953	220273	Jane Avril
626953	226937	Herself
626953	227024	The Stewardess
626953	232455	Herself
626953	233045	
626953	235708	Herself
626953	252486	Herself
626953	252528	Cameo appearance
626953	255323	Jessica Shelley
626953	269340	Talleah
626953	279400	Cameo appearance
626953	287464	Marilena
626953	305438	
626953	315745	Flirt at Bar (segment "Mademo
626953	329564	Herself (interview)
626953	336683	Strip-Club Owner
626953	348377	Mata Hari
626953	352701	Herself
626953	360527	Eve Melrose
626953	362476	The Queen of Hearts
626953	367948	Premiere female star
626953	375963	Herself
626953	380713	Lydia Marlowe (1981)
626953	391835	Herself
626953	399244	Herself/panelist (1987)
626954	97983	
626955	69522	Voix météo marine
626956	57894	La seconde quêteuse
626957	409728	Bagoly
626958	213178	Mrs. Thorpe
626959	169522	Chantal
626960	281414	Jen
626961	175393	
626961	282793	Agne
626961	357694	
626961	373638	
626962	228357	
626962	321180	Waitress
626962	366824	
626963	333430	Sleez Girl
626964	3524	
626964	19369	
626964	21694	
626964	68962	Mary
626964	104143	
626964	118171	
626964	124442	Mela
626964	164424	
626964	183501	Mujer virgen
626964	205147	
626964	234376	
626964	238118	
626964	247416	
626964	247472	
626964	275956	
626964	351620	
626964	379559	Marina
626964	383827	Celia
626964	384245	Inés
626964	384771	Gabriela
626964	388647	Tamara
626964	392352	Adela
626964	404827	
626964	407648	Claudia
626964	409282	Silvia
626965	81767	Reporter
626965	228495	Dahlia
626966	153564	Chatty Conchita
626967	134742	Herself
626968	14581	
626969	158018	
626970	61415	Christiane
626970	136645	Une femme à la fenêtre
626970	197325	
626970	239219	Guite
626970	247980	
626970	288898	Blandine Livak
626970	402720	Carole Fischer
626971	182706	Additional Voices
626972	183559	Nurse
626973	203414	
626973	318770	Emma
626973	343014	
626974	65686	
626975	102704	Monday
626976	46000	
626976	238482	Madame Berthoullet
626976	239222	Mme Martinon
626978	252412	Sophie
626979	123921	
626980	282696	Facialist
626981	78140	Kane's Secretary
626982	33451	Heide Maasen
626982	89469	
626982	90976	Maria
626982	95282	Hildegard Richter
626982	102453	
626982	129321	Erika Wallmann
626982	136991	Rosalie von Altenborn
626982	156686	Karin Kunze
626982	180097	Heike Wagner
626982	218977	Sybille Roth
626982	259460	Katja Kamp
626982	290721	Anna Sundermann
626982	314848	Jacqueline
626982	358219	Charlotte
626982	359051	Charlotte
626982	374126	Frl. Marusja
626982	375869	
626982	380057	Luisa
626982	387445	
626982	392669	Christina Hartwig
626982	394619	Frau Pichelott
626982	404451	Leonore von Hohenstein
626982	404748	Ida
626982	411163	Ingeborg Glaubrecht
626984	73473	
626984	126208	
626985	21600	
626985	56057	
626985	108861	
626985	250790	
626985	354228	
626987	35475	Twin Brothers
626987	358162	
626988	290359	
626989	282318	Lisa Bright
626990	245632	School Kid
626991	244918	Sandy
626993	141331	Sally Jordan
626993	312773	Actress
626994	283758	
626995	32281	Gaby âgée
626996	114873	Dancer: Escuela Flamenca Mati
626997	134742	Herself
626997	253891	Herself - Vocals
626998	154513	Zoe
626998	399970	Announcer
626999	178596	Marina
627000	122991	Lori
627000	128724	
627000	295643	
627000	301538	
627000	332313	
627001	3013	Margot Sommer
627001	4500	
627001	16560	Sigrid
627001	34334	Karin
627001	101348	
627001	136205	Jüngere Frau
627001	170696	
627001	182757	Anne de Larrey
627001	189118	
627001	194438	Johanna
627001	271616	
627001	301041	
627001	325829	Belinda
627001	336521	
627001	343502	
627001	361488	
627001	376422	
627001	378538	
627001	406321	
627002	265636	
627003	3283	Julia
627003	5485	Herself
627003	34572	Mara
627003	92333	
627003	96349	Charo
627003	110750	Adriana
627003	118157	Herself
627003	146458	
627003	163980	Herself - Winner: Best New Ac
627003	302419	Mercedes
627003	334479	Andrea
627003	381329	Ruth (1983-1987)
627003	384708	Ruth
627003	396837	Reme
627003	399715	Antonia Avellanos
627003	402639	Tere
627004	379716	Edna Thornton Ferguson (1977-
627004	404002	Christine Venest (1977)
627005	137924	Lady-in-Waiting
627006	231779	Mrs. Crenshaw
627006	266758	Receptionist
627007	70953	La fille
627007	100431	Valérie
627007	247170	Diane
627007	280513	Marquise De Maintenon
627007	313084	L'hôtesse au sol Air Argentin
627008	104667	
627008	217912	Herself ('Europe in the Raw' 
627009	349667	
627010	18975	
627010	29954	
627010	132008	Tara
627010	150051	
627010	161433	
627010	367271	Show Girls/Boys
627011	253570	
627012	15914	
627012	20702	Mónica
627012	378382	
627012	379147	Cynthia
627012	379614	Mercedes Domínguez #2
627012	379888	Cecilia
627012	380795	Violeta Carmona de Ávila
627012	381156	Magdalena
627012	383471	Victoria Montesinos
627012	383519	
627012	385502	Regina Ontiveros viuda de Del
627012	388937	
627012	392653	Esther Lombardo
627012	397593	
627012	399522	Consuelo Aguilar de Izaguirre
627012	401093	Yuriko
627012	402050	Julia
627012	409290	Agriculturist at the Island
627012	409789	Dulce Landero
627012	410081	Eloísa
627012	410323	Gregorio's secretary
627012	410327	Chelo
627012	412302	
627013	136288	India piel roja
627014	211004	Herself (singer)
627015	379653	
627016	97353	Silva
627016	108879	Herself
627016	134179	Abadessas
627016	380534	
627016	385856	
627016	389638	
627016	397025	
627016	401882	Herself
627016	404834	Josefa Magalhães Duarte Pinto
627016	409125	
627017	23092	
627017	91419	
627017	169780	
627017	221755	
627017	283204	
627017	339108	
627017	376673	
627018	205859	Gabriele, Herzlieb's niece
627018	210032	
627018	247182	
627018	253290	Extra
627019	208513	L'inspectrice de la DDASS
627020	104485	
627021	16658	Mrs. Edwards
627021	18559	Janine Danforth
627021	41371	Julie
627021	55641	Cathy Jarvis
627021	96736	Hooker
627021	203358	Rockette
627021	252856	Cory
627021	279755	Buxom Lass
627021	331463	Janet
627022	2252	(segment "Mort d'un couple")
627022	31433	Eva Braun
627022	46937	Mlle Lefranc
627022	52390	Véro
627022	56948	Jennette
627022	205768	Mme de Lamballe
627022	253994	Caissière
627022	320789	Léa
627022	353964	Girl in Blue
627022	379805	
627023	166217	
627024	33952	
627024	56933	Cowgirl #2 (Part 2)
627024	60156	Housewife's friend
627024	75031	
627024	128851	
627024	150077	
627024	154198	
627024	201108	
627024	218698	
627024	228071	
627024	228598	
627024	228614	
627024	236339	
627024	241479	
627024	264817	
627024	305731	
627024	319214	
627024	361975	
627024	385824	Elizabeth Cox (2001-2002)
627024	399180	Sexy Assistant
627025	88067	Une religieuse
627025	156294	L'agent immobilier 1
627025	285819	Une congressiste
627025	354585	
627026	216774	La libraire
627027	46938	
627027	96826	Portia
627027	127616	
627027	192503	Model #3
627027	230693	Model
627027	249592	Performer
627027	264904	(DVD only)
627027	289793	
627027	385591	Herself
627027	389645	Herself
627027	412170	Herself - Finalist #10
627028	219901	
627029	295484	
627030	367827	Aviatrix
627031	99593	Young Bobette
627031	111583	Blue
627031	130410	Yen
627032	239415	Laurey Williams
627033	3265	Lawlor
627033	9124	Schoolgirl
627033	13432	Taryn Steele (segment "Pethou
627033	26633	Tracey
627033	36760	Fantasy Girl in Elevator
627033	42722	Brunette in Flashback
627033	58507	Debbie
627033	81349	Reena the Seer/Princess Evie
627033	98856	Dr. Thomas
627033	98857	Pool player
627033	98858	Cat burgler
627033	100001	Emmanuelle
627033	105436	Megan
627033	110278	Girl in Music Video
627033	115106	Stripper
627033	139187	Chow Down Girl
627033	139195	Wife #1
627033	147699	
627033	161753	Herself
627033	188334	
627033	214917	Cindy Beatty
627033	222361	Miss Laurel
627033	232213	Tessie
627033	235471	Agnes
627033	245600	Angela Quail
627033	252374	Monique & AC/DC Lover
627033	252382	Model
627033	252403	Herself
627033	257669	Model
627033	265102	The Blonde
627033	276732	Miss Poinsettia
627033	281923	Liza
627033	291248	Herself
627033	291249	Herself
627033	291414	Roxanne
627033	295951	Herself
627033	296369	Herself
627033	301820	Jenny 'Silk' Sleighton
627033	338199	Patty (Patricia)
627033	345702	Beautiful Hooker
627033	360892	Showgirl in plane
627033	372525	
627034	274787	Johno's Wife
627035	10901	Red Riding Hood
627035	30977	Detective Sonia Alcana
627035	45781	Miss Lynley
627035	48460	
627035	196867	Hit-Man's Woman
627035	226938	Mourner
627035	269596	Nawar
627035	274729	Velmont Girl
627035	289315	Doll Demon
627035	295320	Joan
627035	300229	Additional Voices
627035	387303	Celine
627036	103206	Une copine de Léo
627036	124325	Danièle
627037	396504	Agente SCO
627038	6674	
627039	72973	Ilaria
627040	6444	Magali
627040	19344	Isa
627040	44998	
627040	45000	
627040	115433	Sylvie Cortazzi
627040	170294	Camille Juillet
627040	205461	
627040	217214	
627040	248895	
627040	258854	La Femme rousse
627040	261844	
627040	281435	Marinette
627040	384288	Roxanne
627040	388689	Sabine
627040	392364	Rosy
627040	393484	
627041	112233	
627042	47004	Runway Model
627043	148886	Dash Hope
627044	91875	Stage Manager
627045	83391	Janine
627045	240607	Marguerite Rufiac
627045	283048	
627045	321149	
627045	345240	Voisine
627045	354658	Rose Amy
627045	388507	Blandine
627045	393489	Herself (regular guest)
627045	407810	Mme Brissot
627046	239364	
627046	261380	
627047	74469	
627047	155648	Shopwoman
627047	343827	Heda
627048	262635	Marta
627049	356843	Nina, hans datter
627050	35126	The Girl
627050	287568	Karin
627051	211237	
627052	213891	
627052	229005	Vesna
627052	352814	Vesna
627053	308482	
627054	346016	Inmate
627055	301984	Najma Panuti
627057	163731	(segment "Ragazze madre, Le")
627058	58272	Kokesch's bride
627059	170222	Herself
627060	128244	Kinga
627060	284347	Emil's ex-wife
627060	412008	Ewa
627061	123504	
627062	253236	
627063	24312	
627063	48770	
627063	85273	
627063	93846	Joan
627063	98585	
627063	102997	Rusudani
627063	136594	
627063	193637	Wife of merchant
627063	224953	Wife of Platoni
627063	243719	
627063	289275	
627064	62257	
627064	123598	
627064	141967	Herself
627064	198123	
627065	294995	
627065	336316	
627066	1859	
627066	24204	
627066	61211	Misionera
627066	63908	Various carachters
627066	121774	
627066	193078	
627066	233391	
627066	284331	Greta
627066	302371	
627066	308963	Lab technician
627066	318259	Madama
627066	382951	Malena Pinillos
627066	384775	
627066	402350	Rosa 'Rosita' de Parisi
627066	403404	María Ema 'Memé' González Pin
627066	409957	(1998)
627067	126130	Resident of Idyllia
627068	55974	Julieta
627068	225021	
627068	275955	
627068	281790	
627069	709	
627069	45712	Blagajnica
627069	72161	Epilepticarka
627069	88386	Ciganka Jela
627069	159456	
627069	163038	Zora
627069	180699	Prodavaèica
627069	226835	Fatima
627069	228707	Marija Slajner
627069	229745	
627069	237707	
627069	246909	
627069	260356	2nd Journalist
627069	263426	
627069	270637	
627069	294643	
627069	338048	
627069	354981	
627069	355551	
627069	357366	Marija
627069	394138	Ina
627069	398998	
627069	399767	
627069	410202	
627070	332658	
627071	146927	
627072	51070	
627073	72018	Louise
627073	88894	
627073	203616	
627074	152676	Amie
627075	286277	Françoise Saltim
627076	212295	Maykata na Petar
627077	180656	Zhivka
627078	293959	Ortensia Castigliona
627079	49177	
627079	215120	Stana
627079	239451	
627079	254219	Kosana
627079	339325	Romanova majka
627079	349153	
627079	351322	
627080	412076	Emilia
627081	139646	Walter's girlfriend/junkie
627082	100280	La chanteuse
627083	936	Mabel
627084	254294	
627085	17855	
627085	46015	
627085	254083	Interprete
627086	99959	Herself
627087	138930	Narkoluder
627088	97042	Dora Rossmore
627088	124123	Admirer
627088	310726	Bus Passenger #1
627089	52745	
627089	91298	
627090	80442	Mrs. Bradley
627090	80487	Mrs. Jackson
627090	99590	Professeure d'anglais
627090	176409	Mrs. Barker
627090	230422	Female Resident #2
627090	271206	Mrs. Williams
627090	277042	School Secretary
627090	296698	Mrs. Simmon
627090	312962	Lady #1
627090	336701	
627090	342690	Old Crone
627090	362880	Dr. Harriet Oster
627091	87409	Additional Voices
627091	87410	Additional Voices
627091	127779	Additional Voices
627091	177083	Additional Voices
627091	243575	Additional Voices
627091	264168	Additional Voices
627091	298966	Additional Voices
627091	304685	Additional Voices
627091	304688	Additional Voices
627091	316615	Additional Voices
627091	382908	Additional Voices
627091	387457	Elf
627091	403909	Additional Voices
627092	289470	Woman in Mall
627093	46363	Lady with Car
627094	153385	Lærerinden
627094	395010	
627095	62460	Chitza
627095	399415	Donna Doyle
627096	338981	Herself
627097	20033	Kitty Lake
627097	27185	Josie
627097	41851	Woman Driver
627097	46891	Girl Friend
627097	65930	Schoolmistress
627097	73397	Millie Macroy
627097	80550	Mrs. Craig (linking narrative
627097	120151	Mrs. Freeman
627097	131641	Mrs. Parkins
627097	138697	Pauline
627097	146311	Tony
627097	169231	Polly
627097	188652	Jane
627097	195509	Valerie Loft
627097	200885	Vittoria
627097	203184	Miss Blake
627097	203553	Marianne
627097	209619	Mrs. Brown
627097	217953	Maid
627097	222655	
627097	253467	Janet
627097	304063	Maggie Cringle
627097	330139	Mrs. Stritton
627097	335342	Patricia Gordon
627097	345719	Myra
627097	345950	Judy St. John
627097	347529	Miss Hartley
627097	363498	Sally
627097	363820	Janice Harman
627098	40044	Little Red
627098	390523	Delia 'Dill' Lodge (1994-2000
627098	400561	
627098	406636	Adele
627099	23602	
627099	33667	
627099	33674	
627099	66364	Nurse
627100	314357	
627101	34700	
627101	220165	
627102	333120	Officer Silleria
627103	108033	Kelly Daley
627103	141089	Nikki
627103	367960	Sofia White
627104	347119	Baby, Lewis Family
627105	78992	Ceci (Daughter)
627105	102013	Lula Dingman
627106	78485	Herself (performing 'Ræk mig 
627106	78488	Herself (performing 'Bohemian
627107	213405	
627109	78493	Herself (performing 'Lykkefug
627109	170347	Herself - Singer
627109	170349	Herself - Singer
627109	170351	Herself - Singer
627109	399512	Pyt
627110	16928	Helmutowa
627111	170848	Herself - Participant/Perform
627111	212334	Herself - Participant/Perform
627111	212335	Herself
627112	125494	
627112	400341	Herself (2002-2003)
627113	161653	
627114	281442	Ali's young sister
627115	320621	Ulla Platen
627116	313637	Stinas daughter
627117	181481	
627118	365396	Redhead
627119	287399	
627120	31472	
627121	79646	
627121	97793	
627121	124791	
627121	138934	
627121	139387	
627121	168059	
627121	173500	
627121	181025	
627121	186196	
627121	199430	
627121	204327	Malati
627121	209869	
627121	228856	
627121	228938	
627121	250862	
627121	264828	
627121	285167	Parvati
627121	287471	Sakharam's Daughter
627121	288151	
627121	288412	
627121	288557	Mandodari
627121	298464	
627121	300212	
627121	351114	
627122	128663	Larissa Hart
627122	236697	New York doctor
627122	291265	J.D.
627123	51823	Amanda
627123	109455	Zoe
627123	217625	Jessica Harris
627123	244365	Heather
627123	300815	Margaret
627123	306814	Nikki Best
627123	362216	Samantha
627123	397130	Cynthia Vole/Tess Churchmouse
627123	406665	Lucy Montgomery
627124	220034	Young Victim
627125	389130	Mud Wrestling Woman
627126	71338	
627127	43629	Invitee party
627127	398078	Judith Nadeau
627127	398137	Catherine Robert
627128	150179	Daphne
627129	33513	
627129	35683	Lady Dorothy
627129	37005	Nellie McGee
627129	38854	Helen Worl
627129	59374	Eloise Everingham
627129	64881	Kathleen Otis
627129	70727	Gladys Northworth
627129	114920	Sally
627129	130961	Helen Crane
627129	145999	Tatiane Shebanoff
627129	163187	Adela Van Norman
627129	202897	Lady Hilda Bulteel
627129	203609	Jessie
627129	211600	Madonna
627129	224594	Countess Sonia Dakkar
627129	235499	Ursula Kent
627129	269989	Doris
627129	274111	Minnie Luther
627129	274982	Princess
627129	278056	May Lacy
627129	303925	Lorraine Hardmere
627129	330614	Mary Lyle
627129	361664	Anna
627129	365053	Hope Larrimore
627130	256741	May
627131	410671	
627132	406644	Outun Aniela
627133	16539	
627134	34322	
627134	72162	Elza
627134	73579	Seka
627134	81626	Ljubica, dobra pica
627134	180026	Begovica
627134	180699	
627134	229567	
627134	240087	
627134	243173	
627134	249151	
627134	258801	
627134	295051	
627134	314437	Gordana
627134	323341	Ivanka
627134	338865	Ms. Kurtek
627134	348701	Ruza
627134	349153	Lujka
627134	351007	Mihailova majka
627134	354391	Irena
627134	357350	Tatjana Marinic - Cvijic
627134	361237	Mrs. Savic
627134	374485	
627134	405506	Gazdina kci
627134	410452	Milica Stojadinovic Srpkinja
627135	7250	
627135	15319	
627135	25558	
627135	39937	Beatriz/Dorotea
627135	55768	
627135	64705	
627135	68580	
627135	69124	
627135	70595	
627135	74650	
627135	74902	
627135	90061	
627135	94593	Lucrecia
627135	100770	Sandra
627135	103720	
627135	111996	Elisa
627135	120707	
627135	143784	
627135	184850	Virginia
627135	193223	
627135	196728	
627135	197452	
627135	199383	Caroline
627135	204740	Elsa
627135	205458	
627135	207960	
627135	208710	
627135	210162	
627135	210229	Tania
627135	211165	
627135	212486	
627135	213715	
627135	218626	
627135	219416	
627135	221559	
627135	221567	Mercedes
627135	221913	Pepa
627135	226184	
627135	226437	
627135	233555	
627135	239256	Ruth
627135	242685	
627135	248267	Consuela Dermatt
627135	251590	
627135	277250	
627135	281600	
627135	282900	Lucía Robles
627135	285943	
627135	294858	
627135	308280	
627135	318227	
627135	322400	
627135	324077	
627135	341351	
627135	343733	Manolina
627135	353202	
627135	353548	Josefina
627135	353626	Josefina
627135	353659	
627135	354378	Alicia
627135	357523	
627135	376725	
627135	379853	
627135	383481	Adelina
627135	384811	
627135	389219	Agustina
627135	396149	Lucía Bonelli
627135	401317	
627135	404983	
627136	47323	Herself (member, Gae Foster G
627137	259580	Petra Lesser
627138	259593	
627138	259609	
627138	301085	Nachtschwester
627138	380971	Herself (4th eliminated, 13 d
627138	397949	
627139	224691	Dancer
627140	101842	Laura
627140	121399	
627140	157155	
627140	218095	
627140	326224	
627140	332971	
627141	208871	Wounded Girl
627142	291309	Arquita
627143	352126	
627144	321433	
627144	322725	
627145	368001	Glinda the Good
627146	351297	
627147	13631	
627147	155550	
627148	214316	
627148	286418	Female Victim
627149	234390	Chica publicidad
627149	382951	Lorena
627149	384119	Luz Linares (2000)
627149	397731	Pilar Arias
627149	404712	Eugenia
627149	406051	Isabel 'Isa' Salvatori-Heredi
627149	409957	Carla (1999)
627149	411636	Cassandra García alias Melina
627150	70865	Elisa adulta
627151	296481	
627152	258939	Traci's Friend
627153	311537	Vinnie's Girl
627154	348215	
627155	328404	
627156	5910	Voice of Jenny
627157	1783	
627158	328445	
627159	222226	Wendy
627160	169433	
627161	321980	Bloome, TheMany, Midwife, Pol
627161	330295	Old Woman
627162	307994	Little Girl (Mary Jo)
627163	20434	Little Girl
627163	101778	Kim
627163	127522	
627163	130066	Francie Newton
627163	398181	Ursa Minor
627163	411019	Cheryl Adler
627163	411166	Additional Voices
627164	281281	Video Exercise Girl
627164	330757	Passenger
627165	52681	Jennifer
627166	381436	Ryan Hart (1996)
627167	359733	Myra (Cary) Platt
627168	28675	Neighbourhood Watch
627168	362800	Mrs. Kankel
627168	405733	Rachel Oakley
627169	209591	Boardmember
627170	330204	Herself (rescuer, Belgium)
627171	124267	Biddy
627172	91793	Other Relative at Burke's Hou
627172	165964	Mrs. Silvera
627173	139483	Miss Larsen
627173	248826	
627174	39626	Carole Ann
627175	228967	
627176	219769	Lady with Towel
627177	6871	Gloria Hemple
627177	30583	
627177	42913	Travellers Aide - New Jersey
627177	93959	Terry Macy, State Pagent
627177	138912	Mrs. Bromley
627177	158825	Rachel
627177	164984	Lydia Stone
627177	174615	Mo
627177	174616	Mo Gaffney
627177	224430	Sybil Radzinsky
627177	244379	Harriet
627177	245265	Paranoid Woman
627177	299958	Sheila Ricks
627177	313933	Maureen
627177	378702	Herself - Interviewee
627177	379125	Bo
627177	389508	Taffy Turner
627177	396350	Dr. Sheila Kleinman (1997-199
627177	397992	
627177	399677	Elizabeth
627177	403930	Marilyn Norris
627177	407929	Joanne Stupac (2001-2003)
627178	69915	Cleo
627178	276004	Receptionist
627179	345789	
627180	159495	
627180	229990	Mike Walsh
627180	402302	
627181	279633	Mother
627182	65811	Mrs. Harris
627183	14384	
627183	180492	
627183	285244	
627183	323242	
627183	381193	Giovanna
627184	131943	
627185	251620	
627186	86222	Sarah
627186	107922	Trucker Chic
627186	169614	Waitress
627186	244421	Stewardess #2
627186	264157	Paolo's Assistant #2
627186	264158	Beach Reporter Ali
627187	42222	Young Girl
627188	17697	Elvira Evans
627188	184719	Evelyn Morrow
627189	148195	Mother
627190	150853	Call Girl
627190	291244	
627190	323891	Morella Locke (segment "Morel
627191	123141	Woman Greeting 'Natural'
627191	230953	Nurse
627191	372935	Samantha
627192	42992	
627193	43883	Hot Traxx dancer
627193	61156	Female Dancer/Ensemble
627193	64078	Dancer #5
627193	64098	Dancer
627193	132454	The Riptides' Dancing Girl
627193	203358	Rockette
627194	56750	Cat-like woman
627194	105226	Player's Wife #2
627195	14145	Mrs. Wolfe
627195	61587	Laurel
627195	78121	Maureen Woodcock
627195	86959	Aunt Bonnie
627195	113498	Eleanor McCallister
627195	114100	Margeaux Pyne
627195	130327	Lois
627195	142541	Bejewelled Woman
627195	149965	Mrs. Ellison
627195	154893	Trea O'Doyle
627195	175135	Celia
627195	191933	Mrs. MacKenzie
627195	194277	Grace Gibson
627195	214986	Aunt Ev
627195	215651	Betty Beetle
627195	219440	Aunt Clare
627195	252203	Matron Hruffwater
627195	253021	Mrs. Hathaway
627195	267455	Secretary
627195	270290	Dr. Roxanne Keloid
627195	276665	Sylvia Grombach
627195	301530	Olive
627195	358479	Fielding's mother
627195	363191	Gwen James
627195	363550	Ethel
627195	364643	Isobel Scannell
627195	380362	Marilla Cuthbert
627195	380713	Corrine Lawrence (1986-1988)
627195	391562	Lucy Becker
627196	53193	
627197	232029	
627198	316881	Extra: Kendall's Studio
627199	11986	
627200	205461	
627201	367323	ESS Operator
627202	134433	
627202	166378	
627203	7500	Miss May
627204	69175	Host
627205	328897	
627205	383609	
627205	383784	Giada
627206	183007	Doamna în doliu
627206	344440	
627207	373460	
627208	140310	Dream Extra
627209	2250	Viva Las Vegas Showgirl
627209	360857	Drunk girl
627210	187319	Meige
627211	399130	Bianca Zanotti (1995)
627212	71447	
627213	55545	
627213	64163	
627214	270855	Patrizia
627215	296314	
627216	189290	
627217	74746	
627219	36711	
627219	63033	
627219	89238	Dog Woman
627219	154818	
627219	353715	
627220	396230	Judith
627221	86209	
627221	200881	Bit Part
627221	281163	
627222	302142	
627223	78370	Infirmière 4
627223	260957	Michelle
627223	400841	Colette
627224	196341	Coffee Shop/Restaurant Custom
627225	409310	Herself (2001)
627226	130286	Weightlifter
627227	51416	
627227	353957	Une passante
627228	202090	Madame Benoît
627228	345304	The Woman
627229	322277	Mrs. Katz
627230	163916	Kato
627231	328607	'Crime': Bass Guitar
627232	273315	Herself
627233	11946	Sheri Anderson
627233	46445	Lynn Hadley
627233	62966	
627233	102247	Tracy Young
627233	109395	Showroom Salesperson
627233	119484	Laura Hafermann
627233	127730	Demons Dance Squad Member
627233	128727	Natalie Sands
627233	346332	Louise
627233	366137	1st Lt. Velina Sosa
627233	381442	Gina Pomeroy (1989-1990)
627233	385824	Ivy Selejko Jannings (1985-19
627233	400236	Cassie Callison (#3) (1986-19
627233	400645	Lt. Susan Jessup (1998-2000)
627234	235067	Party Guest
627234	394676	Sharon (1989)
627235	382486	Micheline Garon
627236	109395	Jon's Assistant
627237	156329	Belle Soeur
627237	307499	
627237	380860	Tite-Ange
627237	407068	Tite-Ange
627238	55784	
627238	57529	Narrator
627238	188692	La jeune femme
627239	238595	Little Girl
627239	289113	Little Fan
627240	30887	La mère d'un agressuer
627240	61415	Jackie
627240	205622	La jeune bergère
627240	231265	La mère de Gabrielle
627240	377951	
627241	68332	
627241	397137	L'amie de Carole
627242	252141	
627243	407345	Nancy-Sarah
627244	124760	Clerk Mary
627245	411354	Young Lee Bouvier
627246	72140	Model
627248	77828	Red Head
627249	144311	
627249	238163	Waitress
627249	371421	Sonia
627249	380869	Germaine Trudeau
627250	203562	Lizette
627251	64657	The White Singer
627252	139611	Handmaiden #2
627253	93194	Gloria
627254	16607	Mother
627255	389137	
627255	410252	Céline Lemay
627256	23667	Linda
627256	29537	Amélie
627256	97054	Francine
627256	300609	Vendeuse 1
627256	346618	Arlette
627257	101646	Young Nurse
627258	304242	Dianna Rollins
627259	1578	Mme Blackburn
627259	39714	Guard
627259	100165	Propriétaire
627259	388714	L'amie de Monique
627260	252403	
627261	135338	France
627262	119053	
627263	1578	Pians supplementaires vile La
627264	10241	Accordion
627265	106992	
627265	380863	Noémie Touchette
627267	107063	La préposée
627268	101188	Herself
627269	107891	Norma Field
627270	171596	
627270	383002	Marie Fontaine
627270	384147	
627270	392368	
627270	393284	Dominique Duval
627270	393285	Dominique Duval
627270	400856	Josette Labelle
627270	403254	Brigitte
627271	114873	Dancer: Grupo de Baile Marche
627272	104090	
627273	10885	Det. Beatrice Zapeda
627273	10886	Detective Beatrice Zapeda
627273	10887	Detective Beatrice Zapeda
627273	10889	Detective Beatrice Zapeda
627273	12343	Maria
627273	32347	Dr. Rita Hernandez
627273	34960	Woman in Laundry
627273	45044	Lupe
627273	70302	Angie
627273	73787	Mary Mother of Jesus
627273	81160	
627273	132739	Anna
627273	146741	
627273	159959	Lab technician
627273	162449	Tracy
627273	193761	Seven Deadly Sins
627273	203670	Nurse #1
627273	223871	Maria Sanchez, 1950-1980
627273	233692	Tory Bracey
627273	236148	Kate
627273	236873	Mercedes
627273	239636	La Garduna
627273	245228	Maria
627273	264131	Mrs. Torres
627273	265243	Rosa
627273	279311	Ana Carrasco
627273	297788	Mavis
627273	321108	Inez
627273	332530	Maggie Hass
627273	345998	Miss Panama
627273	347688	
627273	349877	
627273	367864	Gloria
627273	385652	Amanda Bardales
627273	385884	Teresa Robles
627273	389858	Connie Daniels (1987)
627274	277391	Criada embarazada
627275	153785	Fany
627275	236014	Helena
627275	384972	Rut
627275	397847	
627275	397863	Laura Sandoval
627276	310073	
627278	105395	Genevieve Clark
627279	135715	The Governess/Mrs. Hayes
627280	87087	
627281	233307	Herself (runs against Nixon)
627281	297870	She, Queen Hash-A-Mo-Tep of K
627281	314828	Herself (still photos)
627282	272708	
627283	290029	
627284	54910	Mrs. Rampell
627285	391129	
627286	268348	vocalist
627287	219262	Kalypso
627288	74190	Jemme
627289	56069	
627290	36627	An Ning
627290	123970	Han Yuxiu
627291	200802	
627292	390496	
627293	374678	Bai Lu
627294	275312	Senhorinha
627296	217454	S.S. Officer
627297	59913	
627297	141656	Bulgarian emigrant's wife
627297	317960	Upstairs Girl
627298	41412	Reporter
627299	13685	Lucy
627299	38675	Maya
627299	89334	Ellie
627299	97352	Annie
627299	97888	Greta
627299	118957	Friend
627299	196186	
627299	229311	Petite
627299	300569	Party Girl
627300	50008	Hotel Guest
627300	74469	Holá
627300	87935	
627300	153359	
627300	166632	Carmen
627300	171534	Aunt Dita
627300	179898	Sandra
627300	181357	Rosa Lebedová
627300	230495	Rybová
627300	244014	Barmanka
627300	249244	Sibyla, fortune teller
627300	262276	
627300	266122	Blind lady
627300	288128	Countess Langus
627300	288359	Courtier
627300	301786	Countess
627300	305140	Jakubcová
627300	343823	
627300	375381	Aunt Nelly
627300	396264	Ottilie
627300	401806	Singer
627301	42779	Shaan
627301	65459	Veronica Riordan
627301	80444	Gwen McCullough
627301	117072	Jean
627301	208085	Kate Trehearn
627301	219208	Katie's Mother
627301	238737	Dr. Melendez
627301	279604	Detective Insp. Joan Pearson
627301	309638	Mrs. Michnik
627301	399130	Andrea Townsend (1986)
627301	405960	Cheri Nolan (1984)
627302	170705	
627303	308096	Elieen Saxon
627304	308096	Elieen Saxon
627306	198298	Les enfants
627307	11008	Gail Storm
627307	28168	Ariel
627308	281021	Sara
627309	234669	Rosie
627310	522	0-18
627310	1370	Jeanne Lemont
627310	1642	A Child of Nature, aka Prince
627310	5991	
627310	21758	
627310	37325	
627310	38955	
627310	40696	
627310	41324	
627310	41357	
627310	46401	
627310	52612	Pauline March
627310	67867	
627310	71180	Emilie de Lesparre
627310	79558	
627310	91730	
627310	92499	
627310	92500	Alice
627310	101379	
627310	112232	Jennie Joyce
627310	113941	
627310	128488	Lucille Ryan
627310	130652	The Girl
627310	141351	The Blind Girl
627310	144578	Jane Gail, an Actress
627310	146001	
627310	146040	
627310	146048	
627310	146125	Jane Gallup
627310	148450	
627310	150777	
627310	157910	
627310	158019	
627310	165461	
627310	165477	
627310	165478	
627310	166249	
627310	171023	
627310	177552	Mrs. Cecil Disney
627310	189245	
627310	191946	
627310	194920	
627310	207851	
627310	213043	Mary Blenkarn
627310	215431	The China Clerk
627310	230686	Jane, the Saleswoman
627310	231774	
627310	240618	
627310	241259	
627310	257186	
627310	258190	
627310	258731	
627310	261447	
627310	261684	
627310	264482	Princess Flavia
627310	267357	
627310	267610	
627310	277827	Jane Clark
627310	278787	Officer 174's Sweetheart
627310	279124	
627310	283636	Queen Flavia
627310	297971	
627310	298010	Kate Hardcastle
627310	315616	
627310	315761	
627310	316075	Luthia, Hoenmaker's Daughter
627310	316203	
627310	316772	Katherine Drew
627310	317289	
627310	317396	
627310	327610	
627310	329810	
627310	331659	
627310	334282	The Wife
627310	335531	Giulia
627310	337414	Mary Barton
627310	350510	
627310	362784	
627310	362928	
627310	364225	
627310	364435	
627310	364621	
627310	368950	
627310	371826	
627311	5033	
627311	21172	Betty Lou
627311	223733	Bobby Soxer
627311	327851	Jeanie
627311	367640	Peggy Gibson
627312	186617	The Young Woman
627312	330551	Julia
627313	3317	Girl #3
627314	183760	
627315	86892	First Stripper
627316	129762	Snapdragon
627317	129596	
627318	88558	Rose Alderney
627318	109664	Beryl Verne-Smith
627318	278458	Pet stall girl
627318	298056	June Carter
627318	330776	Maureen
627318	408960	Jane Webb (1965-66, 1970-71)
627319	50510	
627320	233830	Margo, the singer
627321	174520	Connie
627321	203549	
627321	385594	Rose McKay (1989-1991)
627322	101429	Hotel corridor attendant
627322	137623	Child
627323	257234	Library Girl 1
627324	2819	Heart-attack daughter
627325	168119	Townswoman
627326	101896	La mère
627326	401731	La baronne Stenheim
627329	87902	France
627329	88837	
627329	133175	
627329	394166	Une Allemande (segment "Club 
627330	68513	
627330	206059	Chambermaid
627330	327891	
627331	99736	Copine Alexandra
627331	157662	
627332	113132	
627333	278155	Mme Chaussette en bois
627334	23628	La femme
627334	68386	Isa's Mother
627334	76151	La vendeuse
627334	148647	Woman who mistakes Maurice fo
627334	245259	
627334	249678	(segment Cyrano)
627334	274315	Woman on Train (segment "The 
627334	286319	Julie
627334	309456	Véronique
627334	355237	La femme du ministre de la Sa
627334	386012	Marie-Thérèse Anselmi
627334	395492	Evelyne Renard
627334	396262	Léa
627334	409447	Elisabeth
627334	410074	La secrétaire de l'hôpital d'
627335	327560	
627336	26082	
627338	71487	The fake Clarisse
627339	38084	
627339	100288	
627340	377951	
627341	175741	Dominatrix
627342	42313	
627342	180730	Josiane
627342	217648	Infirmière Chef
627342	247994	La prof de Franck
627342	254170	Le femme squelettique
627343	86379	Nicole
627343	313657	Ludmilla
627343	316545	Mona
627343	365920	Katharina Schering
627343	383109	Beate Esterhazy
627343	386560	Mona
627343	400042	
627343	410515	Madeline Vanderkamp
627344	399192	Kid
627345	15041	Cameo appearance
627345	70955	Danièle, la petite femme
627345	100358	Une snob à l'exposition
627345	166288	La sous-maîtresse
627345	198974	Suzy
627345	208219	La chauffeur de taxi
627345	254316	Serveuse café
627345	270620	
627345	294599	Natacha
627345	320240	Une passante
627346	44270	Linny
627346	56431	Katie Larson
627346	191925	Lisa
627346	299202	Bunny Quoyle
627347	399837	Donna Steel
627348	44270	Linny
627348	56431	Katie Larson
627348	299202	Bunny Quoyle
627349	44270	Linny
627349	56431	Katie Larson
627349	299202	Bunny Quoyle
627350	241615	Woman in Painting
627351	368110	Girl at Dance
627352	5029	Bailiff
627353	207710	Tournament Host #2
627354	18005	
627355	119542	Herself
627357	12285	Taula
627358	60465	
627358	241605	Charlie's Friend
627358	389329	
627359	2445	Herself (Addie Mae's Sister)
627360	209198	Missing Girl
627361	168173	
627361	269602	Isabella
627362	1390	Anderson Sister
627363	305575	Perky Airline Representative
627365	340245	
627365	390236	
627366	226899	Mrs. Hylton's maid
627367	74000	Crude Oasis Bar Patron
627368	5029	Andrea
627369	126619	The N.P.G.
627369	132562	Kid's Band
627369	272862	Herself
627369	284013	Herself
627370	98562	Refugee girl
627371	292892	Corinth
627372	119542	
627373	232393	Sarny (age 4)
627374	20625	Extra
627374	315749	Younger Mary Rogers
627375	168687	Mrs. Derouville
627376	335982	Maidservant
627376	355184	Receptionist
627376	359202	Moira
627376	382659	Kate
627376	382661	Kate
627376	382662	Kate
627376	382663	Kate, the Maid
627376	385659	Meyrick maid
627376	399531	Moira Barnes
627377	92224	Vicki Martel
627378	273480	Student
627379	72490	911 Operator
627379	243150	Mrs. Durkett
627380	43738	Madame d'Epoiles
627380	176727	
627380	296824	Susie
627380	338295	Countess Dupis
627381	160	Camille Pelleveau
627381	1699	Herself
627381	1787	Mary Rivers
627381	15103	Marie
627381	17580	Anna Oz
627381	24734	Juliette Mangin
627381	33578	
627381	51310	Milla Robin
627381	57805	Julie
627381	59713	Charlotte
627381	70145	Herself (segment "Pour Anstra
627381	97852	Charlotte Castang
627381	122367	Lola
627381	134605	Charlotte Gainsbourg
627381	156557	Gabrielle
627381	161641	Catherine Girard
627381	165423	La fille de J.
627381	165449	Jane Eyre
627381	181842	Lucy
627381	187679	
627381	196287	Marie
627381	198567	Charlotte
627381	211646	
627381	249281	Charlotte Marker
627381	254147	Janine Castang
627381	290884	
627381	307440	Matilda
627381	328047	L'enfant
627381	345312	Herself
627381	345448	
627381	346774	Charlotte Gainsbourg
627381	397947	Fantine
627381	399827	Marie Claude Vaillant-Couturi
627382	277088	Pi-Delta-Pi
627383	8255	
627383	15089	Christina
627383	20692	Maria Berta
627383	30999	
627383	70523	Arlette
627383	85978	Mother S.
627383	86336	
627383	98654	Edda
627383	112680	
627383	115279	Farmer, Nicholas' girlfriend
627383	121944	
627383	127985	
627383	128030	
627383	135624	Maryse
627383	158718	Julia
627383	162158	Xenia
627383	170109	L'orpheline
627383	175153	
627383	188657	Prassede, la cameriera
627383	197569	
627383	202280	Virgina
627383	206955	
627383	229644	Marietta
627383	235778	
627383	252638	
627383	266012	
627383	267031	Typist #2
627383	273145	
627383	307585	
627383	310969	
627383	314469	La fille du fleuve
627383	317985	Maria
627383	327441	Una ragazza
627383	338689	Kitty
627383	339143	
627383	344563	
627383	348731	Magali
627383	352132	
627383	353077	Marisa Maccesi
627383	353083	
627384	65836	Waitress
627384	333856	Trudy Bolt
627384	365353	Karen Murphy
627385	17084	
627386	190682	
627387	158079	
627388	112997	Nude Woman
627389	311785	Herself (Make-up artist)
627390	260229	Louise
627390	311133	Student
627390	333287	Army Nurse
627391	295833	Hostess
627392	122597	Sura, Lejbas Frau
627393	199765	Herself
627394	353713	Herself
627395	299078	Herself
627395	301678	Hospital Staff
627396	166671	Jane Estess
627396	305978	Sophie Bradley
627397	189520	Young Girl
627398	401884	Herself/Escarcha Member
627399	84716	Additional Voices
627400	339348	
627401	57104	
627401	392337	Various
627401	396359	Various (2003-)
627401	403222	Series Regular
627402	57929	Swan Lake Soloist
627403	200521	WDKK P.A.
627404	174792	Aida Ivanovna
627406	120851	
627407	393036	Herself (2003)
627407	409955	
627408	138683	Zhenia
627408	356540	
627409	116778	Deepthi
627409	138701	Sunil's Young Daughter
627410	152641	Jaillin (Aged 18)
627411	284472	
627412	133678	Young Zsa Zsa
627413	355035	Traci
627414	231362	Ildiko
627414	387414	Maria Kulska
627415	49738	
627415	179779	
627415	191579	Helga
627415	194027	
627415	270030	
627415	303121	Pevacica
627415	374646	
627415	398660	
627416	78254	Praskovya
627417	88471	
627417	93427	
627418	23036	Mother
627418	167022	Betka Minárová
627418	229914	Anci
627418	268305	Marta Simková
627419	70497	Vlasta
627419	88144	Daniela
627419	227773	Hanka
627419	376244	Jaruska
627419	383082	Hanka
627419	398851	Nesvadbová
627420	397622	Maria
627421	371367	
627422	266314	
627423	176819	Stacey
627424	59726	Anne-Lise
627424	101124	Sygeplejerske 1/Nurse 1
627424	109123	Prostitute
627424	181736	Fru Andersen
627424	194428	
627424	301215	Herself - Performer/Singer
627424	382884	Augusta Djørup
627424	382899	Tante Emma
627425	29745	Cop
627426	29622	
627427	13789	Spartanette #9
627427	64098	Halloween Dancer
627428	268134	
627429	76115	Vasquita (joven)
627430	258668	
627431	52880	Blue-Dressed Girl
627432	236697	Brothel prostitute
627433	30634	
627433	97438	Maria
627433	282741	
627433	283775	Museum Custodian
627433	284522	Klava
627433	303789	Gamayun-Bird
627433	357697	
627434	182692	
627435	100408	
627435	286087	Marce
627435	292729	Madonnita
627435	302335	Angelica
627435	302394	Sonia
627435	387574	Lucia
627435	390127	
627435	409833	Vanessa's daughter
627436	377768	
627437	17540	
627438	172443	
627439	102504	Erika and Ruth
627441	373989	Cheerleader
627442	158842	La femme en crise
627443	187696	
627444	202057	
627445	111619	
627445	141749	Herself
627445	141750	Herself
627445	174999	Herself
627445	299369	Dory Lazar
627445	375116	Ruchama
627445	379470	Naama
627446	216406	Nurse
627447	44390	Feodor
627447	230926	Reinaldo
627447	324901	Astasie, Frau des Tarare
627447	337539	Carmen - Film 2
627448	376819	
627449	143757	
627449	371731	
627450	389489	
627450	398227	
627450	403651	Sofía Estévez
627451	49181	Lila
627452	3114	
627452	244469	Lili ot muzeya
627452	373213	
627453	170848	Herself - Participant/Perform
627454	150400	Madame
627455	45120	Angélique
627455	107518	Thérèse
627455	205150	
627457	342642	Emma Thomas
627458	311224	Hotel Desk Clerk
627459	29703	Lsaure, la femme de Barbe-Ble
627460	95952	
627461	74418	Éva, szintén lakást kapott
627461	136441	Tamás Marianne,táncosnõ
627461	207584	German Singer
627461	214501	
627461	322083	Füge's Mother
627462	248902	L'institutrice
627463	301392	TV Reporter
627464	407138	Herself - Swan Coach
627465	274668	Lady Guest
627466	233337	Amiga Ana
627468	77852	Zoe Hendrix
627468	161791	Darcy (Maggie's Friend)
627470	392560	
627471	38103	Anna
627471	45244	Flora
627471	80950	Antoinette
627471	89338	Mrs. Jayasinghe
627471	190709	Beatrice
627471	195685	Mrs. Costanides
627471	206191	Mrs. Spiro
627471	210485	Mrs. Giannis
627471	276249	Mother
627471	316726	Dr. Walsea
627471	380241	Alexandra Lucini
627471	385651	Josephine Reyes
627471	390552	Mrs. Davis
627471	391869	Mrs. Lucini (1990)
627471	391890	Maria Pacelli
627471	399816	Maria Panucci (1976-1977)
627471	401451	
627471	401760	Sophia Angelopoulos
627472	240384	Singer
627473	265841	
627474	151640	Jane
627475	6645	
627475	77032	
627475	156416	
627475	173717	
627475	212062	
627475	217245	
627476	6319	
627477	344311	Circus performer
627478	14936	
627478	25058	
627478	43235	
627478	70490	
627478	101442	
627478	143553	
627478	148473	
627478	246794	
627478	248746	
627479	387154	Ava
627479	404242	
627479	407539	
627479	407902	Herself
627479	408171	Popi Kamenou
627480	185166	Suzanne Angelides
627480	234083	Gina
627481	285197	Goldfish
627482	100211	Maryla Sokalska
627482	107808	Anna
627483	61211	
627483	380066	María Sol
627483	386127	Coral
627483	389235	Paula Libonati
627484	283250	Main Street Girl
627485	15364	Ana
627485	65006	The Designer
627485	67668	Sarah
627485	69465	Casey
627485	224524	Catherine
627485	277341	Ashley Mills
627486	184767	Glitter Dome Dancer
627487	2472	Lisa
627487	12228	Bianca, the performance artis
627487	56733	Stephanie
627487	58102	Claire
627487	100937	Natalie
627487	105549	Renee
627487	306751	LeeAnn
627488	162099	Fairy
627489	2169	Eva
627489	123983	Pénélope
627489	341350	
627489	393885	La Fiançée de Motta
627489	395621	Vanessa
627489	399377	Herself/Fifth week co-guest s
627490	135366	
627491	135366	
627492	289349	
627493	136360	
627494	239280	Amiga de Clara
627495	606	Party Guest
627495	10351	
627495	222718	Alice Quincy
627495	242106	Sheila Osterman
627496	132892	
627497	1578	Marcia
627498	31533	Voice in off
627499	12661	
627499	20093	
627499	20094	
627499	48800	
627499	54071	
627499	71342	
627499	215097	
627499	353204	
627499	370181	Pastora
627500	288953	Michelle
627501	340070	
627502	8868	Herself
627502	92660	Special vocal performances
627502	291263	Herself
627502	294829	Voices of the Dead
627503	399657	Herself
627504	206037	Signora Zaccheo
627505	16413	Alexx
627505	43914	
627505	67940	Nitti
627505	105822	Micky
627505	286425	Student one
627505	306996	Stewardess
627506	54712	Herself (Ret. Director, Sex C
627507	229213	Amy
627508	194150	Rafilina
627509	28681	Cécilia Peduzzi
627510	318763	Girl at Block Party
627510	321034	
627511	3366	
627512	100099	Executrix Council
627513	116901	Laura Antelli
627513	313056	Aunt Tina
627513	402015	Jennifer
627514	358692	Woman
627515	61156	Female Dancer
627516	338970	
627517	404995	Carola Quiñones
627518	375664	Ksyusha
627519	16190	Head nurse
627519	59217	
627519	65987	Helena Capkova
627519	96495	Pavla Kodetová
627519	165138	
627519	170350	Fate
627519	172905	Bozenka
627519	174122	
627519	180675	
627519	182470	Mother (segment "The Daughter
627519	198227	Halina
627519	198356	Doctor
627519	226732	Jolana
627519	237201	
627519	304191	Pioneer
627519	317629	Sochorová
627519	344099	Lenora
627519	357435	Frantisek's wife
627519	398744	Libuse Martínková
627519	404278	Dispatcher
627519	410338	Postman Ms.Vlasta
627520	82463	Rosa
627521	218393	Girl in Ground Hog Day
627521	312130	Dolores
627521	328272	Chef
627522	174028	
627523	71146	
627524	316315	Zombie
627525	213389	Clienta vestida de azúl de Ga
627526	248523	
627527	159535	
627528	268156	Mrs. Higgins' maid
627528	373410	Mother
627528	401275	Miss Carteret
627529	183685	Mrs. Quill
627530	257344	Georgina Sowerby
627531	29755	Voice of Faeries
627533	341946	Victoria
627534	318763	Fire
627535	6490	
627535	6573	
627535	14655	
627535	17126	Maite
627535	19455	
627535	21079	
627535	54240	
627535	80280	
627535	105452	
627535	212484	Christina
627535	223619	Patricia
627535	233357	
627535	376756	
627536	6573	
627536	19455	Bernadette Soubirous
627536	61358	
627536	64025	Coral
627536	64993	
627536	70749	Vicky
627536	71264	Elizabeth Seccles
627536	82254	Margarita
627536	91422	
627536	92069	Giulietta Campos
627536	96302	
627536	96369	
627536	139910	Mariuca
627536	162077	
627536	194098	
627536	234746	Edna
627536	236468	
627536	240152	
627536	246940	
627536	263621	
627536	276234	Theresa
627536	287439	
627536	301180	
627536	306694	
627536	318331	
627536	320477	
627536	378448	
627536	378449	
627536	384033	Marie
627537	75496	
627538	257384	
627539	289206	Featured Dancer
627539	372372	Shopper
627540	2231	Herself
627540	243166	Herself
627541	216610	
627542	232767	Ana
627542	407680	Herself
627543	410415	Anne Abrams
627544	18802	
627544	401605	Herself - Host (1990)
627544	407433	Herself - Host (1994)
627545	17571	
627545	44179	
627545	44180	
627545	50567	
627545	139310	
627545	159266	
627545	191337	
627545	321039	
627545	354815	
627545	365848	
627546	18743	Jane
627546	38664	Frau Schmidt
627546	52901	Madame Prudence
627546	79098	Gypsy Queen
627546	141159	Mammy
627546	143175	Nurse
627546	200040	The Mother
627546	281158	Nurse
627546	302918	Gretchen Schumann
627546	334390	Emma Morton
627547	232503	Girlfriend of Guy in Pub
627547	281254	Reunion Guest
627548	41249	Miss Yan
627548	292721	
627549	30736	Additional Voices
627550	242605	
627551	85133	Corey
627551	86017	Veronica
627551	220537	Amy
627551	272323	Sophie
627551	362453	Counter Girl
627551	363602	Stacey
627552	176852	Dancer
627553	278008	Virginia
627554	128281	Mrs. Vernick
627555	123717	Jitterbug dancer
627555	150765	Emma
627555	192174	Jessie
627555	364454	Antoinette as a Child
627556	342603	
627557	3169	La Saraghina
627557	10303	Telephone Lady
627557	41843	
627557	83972	Delores the Bartender
627557	90735	
627557	109077	Singer
627557	123456	Party Guest
627557	127487	Fat Party Guest
627557	132525	Woman on Bus
627557	150616	Hotel Guest
627557	154447	Love Lady
627557	199144	Queenie
627557	202533	Helga
627557	202949	Louisa
627557	277071	Nurse Beam
627557	308177	Genevieve
627557	316501	Dean's Secretary
627557	331279	The Yodeler
627557	342140	
627558	10072	Miss Wordsworth
627558	32662	Marzelline
627558	90072	Zerlina
627558	158870	Drusilla
627558	160876	Anna, Christine's maid
627558	236179	Barbarina
627558	243382	Amore
627558	245820	Mrs. Julian
627558	352133	Nannetta
627558	371215	Elsie Maynard
627559	384089	Edith Beverley
627559	404931	Poppet Woolcott
627560	2565	
627560	14609	Mrs. Randall
627560	16654	Sarah Gibbons
627560	47311	Head Nurse
627560	55417	Baby Judge
627560	64590	
627560	71630	Tourist
627560	71721	
627560	77777	Mrs. Blane
627560	83809	Large Woman in Theater
627560	84901	Bit Part
627560	85822	
627560	88990	
627560	110363	Woman
627560	121360	Miss Smith
627560	154545	Receptionist
627560	167626	Society Woman
627560	168125	Mrs. Fadden
627560	178758	Dance Hall Girl
627560	183638	Mother
627560	210807	
627560	210814	Mrs. Everett
627560	223011	Mrs. von Schwarzenhoffen
627560	228819	
627560	243752	
627560	244841	Mrs. Appley
627560	248839	Mrs. Martin
627560	249623	
627560	263592	
627560	297891	Bit Part
627560	297970	Bit Part
627560	302624	Party hostess
627560	305471	Mrs. Preston
627560	306595	Elastic Woman
627560	309673	
627560	330277	Auction bidder
627560	348384	Bingo Player
627560	354850	Mrs. Katsby
627560	358451	Prima Donna
627561	330375	
627562	116502	
627563	210400	Suzanna
627563	260223	
627564	44899	Showgirl
627564	128173	
627564	313320	
627565	163485	Young Mary
627566	40628	Flora
627566	84850	Dorothy Lanning
627566	147735	
627566	178015	Salon worker
627566	185489	Red Wing
627566	210400	Suzan
627566	214980	Ruth
627566	236946	Agatha Sliscomb
627566	245409	Marge Ellsworth
627566	260223	
627567	222594	
627568	46988	
627568	185827	(segment "Agricultural Caress
627568	382997	Sally Morris
627568	390523	Carol Yates (1978-1981)
627568	393327	Mary
627569	44899	Chorine
627569	59604	Myra Rhadini
627569	64850	Molly
627569	96889	
627569	103354	Annie Qualen
627569	116441	Girl in secretary dance
627569	116443	Girl in secretary dance
627569	118334	Elizabeth
627569	119385	Herself
627569	143940	Joan Peters
627569	148975	Peggy
627569	150575	Joan Mitchell
627569	160432	Eunice
627569	163226	Agnes Barlow
627569	168981	Alice Morley
627569	169167	Cafe girl
627569	175162	Secretary
627569	194299	Counter Girl
627569	210400	Suzette
627569	220270	Show Girl
627569	224127	Secretary
627569	240672	Chorine in 'Love' Number
627569	241444	Girl in band
627569	248843	Judy Davis
627569	255737	
627569	260223	
627569	271257	Ann Ware
627569	278064	Jessie McCoy
627569	302593	Secretary
627569	321439	Helen McNeil
627569	330375	Member of Girls Band
627569	333315	The Apartment Switchboard Ope
627569	363552	Kitty
627569	372431	Wampas Baby Star
627569	400433	Co-Host
627570	410907	Dancer, Kevin Carlisle Three
627571	144804	Mourner
627571	292148	White House Reporter
627571	300534	Rose
627571	340225	Officer Lane
627571	359848	Gisele
627572	63711	Sill
627573	117951	Miriam
627573	327757	
627573	358761	Ma Fagin
627573	360186	
627574	326778	Angel
627575	8234	Soda Shop Waitress
627575	13861	Captain Talman
627575	30197	Joice Heth
627575	32986	Mrs. Flowers
627575	35145	Donna
627575	42391	Dr. Wilma
627575	47586	Carole Benisek
627575	50639	Mrs. Boswell
627575	62542	Clinic Staffer
627575	64498	Dakota Peal
627575	72065	Cosmetic Demostrator
627575	76220	YMCA Receptionist
627575	80692	Appeals Judge
627575	87522	Orkin
627575	90911	Hospital Administrator
627575	95792	Clerk #2
627575	97091	Rita/Ghost of Christmas Prese
627575	97192	Nurse
627575	99386	
627575	102572	History Teacher
627575	109295	
627575	112485	Nancy
627575	116100	Woman
627575	119425	Psychiatrist/Social Worker
627575	129944	
627575	137688	Nurse Wells
627575	147530	Mrs. Owens
627575	150606	Dark Inge
627575	154445	Young Nurse
627575	158983	
627575	164483	Anne Kelfer
627575	176526	Foster Mother
627575	189283	Emily's Mother
627575	206373	Judge Edwards
627575	206444	Jerry, David's Assistant
627575	207765	Anita
627575	213866	Gloria
627575	220034	Janet
627575	221136	Ms. Lange
627575	230434	Judy
627575	244838	Mrs. Brewer
627575	252963	Proctor
627575	276801	Officer No 2
627575	283453	Surgeon General
627575	291457	Angry momma
627575	294976	Sgt. Wilson
627575	296847	D.A. Clarkson
627575	302312	Nurse #3
627575	306220	Radio Mother
627575	320041	Brenda
627575	334177	Waitress
627575	342468	Ms. Lilly
627575	355519	Nurse 1
627575	356477	Eve
627575	365443	Scooter
627575	374523	Mrs. Ready
627575	378682	Geologist
627575	381422	Priest Elosha
627575	392294	
627575	395819	Midge's Grandmother
627575	396297	Lynette
627575	400635	Joice Heth
627575	402312	Super
627576	56113	Blonde Girl
627576	188547	Girlfriend
627576	241752	Girl on Steps
627576	351438	
627577	328556	Therapist
627578	32118	Mrs. William Bingham
627578	138124	Ruth Haynes
627578	151408	Molly Malone
627578	158424	
627578	168128	Mrs. Dicks
627578	203109	Lucy Conyer
627578	203942	Susan Pettigrew
627578	215773	
627578	258955	Mrs. Wells
627578	371057	Margaret Brown
627579	117647	Miss Garrow
627580	367097	Linnea
627581	79372	
627581	101704	Additional Voices
627581	195264	Claudia
627581	211950	Fortune
627581	211951	Fortune
627582	42844	Herself
627582	314168	
627582	316801	Viviana
627582	349535	Herself
627582	388613	Herself - Assistant (2000)
627583	31877	
627583	36949	Bitsy
627583	76227	Little Girl at Woman's Store
627584	65927	Mrs. Cathcart
627584	77785	Lady Bawtry
627584	116713	The Doctor's Fiancee
627584	260876	Archduchess
627584	264481	Antoinette de Mauban
627584	348079	Second Mrs. Lorimer
627585	233510	Sally
627586	21300	Girl
627586	36841	Girl
627586	133443	Bit
627586	195071	Dancer
627586	222592	Earl Carroll Girl
627586	302629	Bit
627586	316482	Bit Part
627587	20316	Townsgirl
627587	42023	Bit Part
627587	51885	Checkroom Girl
627587	63034	
627587	66549	Girl
627587	132821	
627587	150586	Nurse
627587	155846	Lady-in-Waiting
627587	157870	Bit
627587	177368	
627587	210871	Nurse
627587	241070	Princess
627587	249021	Girl
627587	280895	Maid
627587	289236	Girl
627587	312584	
627587	313301	Chorine
627587	331762	Chorus Girl
627587	347411	Bit
627587	361300	Girl
627588	119471	Mother
627589	10581	JoAnne Vallon
627589	19970	Maybelle "Giggles"
627589	26607	Third Girl in Ladies Room
627589	32910	
627589	60344	Betty O'Reilly
627589	112634	Betty's Roommate
627589	128392	Mabelle
627589	143406	Sally Lee
627589	144672	Hatcheck girl
627589	215924	Eleanor Farnham
627589	224795	Mary Henderson
627589	233745	Helen Green
627589	259229	Nora Daniels
627589	266691	
627589	328579	Bess Roberts
627590	86536	
627591	192171	Elizabeth
627592	16892	
627592	117905	Sandra
627593	81318	Nurse
627594	313456	
627595	60729	Dr. Gale's Daughter
627596	283542	Florence
627596	345836	Voinitskaya
627597	129593	Jo Ann
627598	370248	
627599	239875	
627601	308074	Girl with something in her ey
627602	99287	Mary's Dwarf
627603	118525	
627603	368244	Adagio dancer
627604	125599	Marcelle
627605	383371	Charlotte Mori (1999-2000)
627606	113362	Woman in Church
627607	269565	
627608	397257	Lucy de Blandon
627609	159084	Yard teacher
627609	175795	Interviewer
627610	83454	
627611	169796	
627612	9715	
627613	290927	Maria
627614	344620	Claudia
627615	75961	Ursula Anderson
627615	173985	
627615	317230	
627616	7236	Nurse #2
627616	71377	Senhora 1
627616	103857	Felizbela
627616	109349	Teresa
627616	166020	Mariana
627616	307638	Etelvina
627616	402638	Laura Caroço
627617	19740	Colleen Brenner
627618	43268	
627618	43785	
627618	45450	
627618	45481	
627618	53048	
627618	54475	
627618	74081	
627618	74084	
627618	109995	
627618	110327	
627618	111423	
627618	116099	
627618	116166	
627618	117920	
627618	118000	
627618	120569	
627618	120663	
627618	127317	
627618	130250	
627618	131841	
627618	131877	
627618	138583	Hans
627618	141153	
627618	141781	
627618	147106	
627618	149737	
627618	149738	
627618	149791	
627618	150828	
627618	161879	
627618	176380	
627618	183614	
627618	188413	
627618	194416	
627618	209498	
627618	215776	
627618	218386	
627618	218395	
627618	218412	
627618	218431	
627618	218432	
627618	218433	
627618	221798	
627618	222333	
627618	227547	
627618	232251	Big Bertha
627618	236495	
627618	246953	
627618	252270	
627618	261606	
627618	264675	
627618	270944	Susie Pincushion
627618	281927	Red-Haired Lady (The Waltz)
627618	291521	
627618	295833	Rose Bantry
627618	300717	
627618	300861	
627618	302121	Simon's mother
627618	305291	
627618	310960	
627618	312799	
627618	318480	
627618	329942	
627618	330461	
627618	331829	
627618	333727	
627618	339574	
627618	346189	
627618	349261	
627618	350693	
627618	364151	
627618	366709	
627618	372079	
627618	374403	
627619	313632	
627620	11420	SSN Woman
627621	407084	Herself (Yasur Tribe)
627622	109722	Kristen
627623	121263	Esther
627623	153785	Sofía
627623	162704	Sargento Sánchez
627623	221963	Lola Otero
627623	302359	
627623	322345	Clara
627623	369870	Herself - Presenter: Best Mak
627623	385035	
627623	401879	Herself - Presentadora de los
627624	132686	Herself
627624	390451	María José
627625	74657	
627626	195305	Sing and Jingle Children
627627	223506	Candidate #17
627628	145711	Aunt Mancha
627629	103187	
627629	145673	
627629	193223	
627629	212498	Susana
627629	272719	
627630	147152	
627631	44384	Woman with Child in Gypsy Cab
627632	218159	Nurse
627633	166186	Nathalie
627634	400441	
627635	318298	
627636	165591	
627637	2662	Rosie's Girls
627638	82707	
627639	355863	
627640	166097	Fille thérapie 1
627641	192527	Gallery Crowd
627642	274786	Salvo's daughter
627643	355156	Brigitte
627644	339687	Trilby
627645	55301	
627646	311946	'Hot Date' Band Member
627647	344874	
627648	350776	Herself
627649	38975	Herself (East Timor refugee)
627650	181473	Hasanova zena
627651	53215	Band singer
627651	83759	Herself
627652	255814	
627653	232413	Show World Dancer
627654	45376	
627654	234371	Tutú
627655	22744	
627655	33560	La Polonia
627655	33727	Asunción
627655	91392	
627655	95348	Dependienta
627655	121346	Ascensión
627655	163879	Herself
627655	189301	Superiora
627655	199791	
627655	202162	
627655	221916	
627655	225017	Ramona
627655	225043	Abuela
627655	234400	Madre de Juan
627655	247198	Abuela
627655	249881	Ginesa
627655	249898	
627655	258133	Mujer enlutada, testigo
627655	277391	Cocinera
627655	280743	Caretaker
627655	291611	Sole
627655	293000	
627655	293055	Encarna
627655	307277	Madre
627655	320326	Amalia
627655	333707	
627655	338201	La Pilar
627655	355832	Mercedez
627655	369870	Herself - Winner: Best Suppor
627655	369994	Herself - Presenter: Best New
627655	371290	Dolores
627655	380195	
627655	393911	Tita Sole
627655	396837	Genara
627656	212397	
627656	216080	Eloísa
627656	262212	
627657	59250	
627658	284888	Esposa
627659	230149	Danseuse
627660	307466	dancer
627661	66011	Cheryl 'Walnut' Webber
627661	77828	Ann Morrison (Anne Morrisset,
627661	109607	Jojo
627661	130437	Carly Malone
627661	184981	Cara
627661	288473	Fallbridge Student
627661	402750	Morgan Leigh
627662	217210	Lola
627663	254024	
627664	105609	Civilization/Prima ballerina
627665	296750	Bar Singer
627666	20625	Extra
627667	405529	Maria
627668	300056	Karina
627669	33650	
627669	249138	Juliette
627670	378659	Herself (2001-2002)
627671	351619	
627672	48804	
627672	51522	Maria
627672	51575	
627672	65552	
627672	94840	
627672	99337	
627672	184934	
627672	202556	Silvia
627672	221966	Gina
627672	250666	
627672	257899	
627672	284332	
627672	293320	Mary
627672	296463	
627672	351673	Maria
627673	387	
627673	14755	Virginia
627673	20079	Baronne Sandorf
627673	23237	Amira
627673	33178	Beatrice
627673	36521	Marisa
627673	54393	Louise de Saint-Agnan
627673	54810	
627673	58199	Marianna
627673	67909	Silvio's Mother
627673	70544	
627673	71830	
627673	74869	Marie
627673	104002	
627673	105606	Francesca Falcone
627673	111127	Rose
627673	122353	Julie
627673	132962	Cinthya Diotallevi
627673	135182	Donna Maddalena
627673	150543	Francesca Venieri
627673	163707	
627673	165334	Carmen, Silvia's Mother
627673	169540	Edith
627673	183915	
627673	186632	Elena Webb
627673	190868	Paola
627673	205485	Mathilde
627673	205960	Rachel Fuhrmann
627673	219668	
627673	219705	Ptira
627673	237770	
627673	238588	Rita
627673	240126	Agnese
627673	256769	Mother
627673	266380	Mila
627673	266403	Marylin
627673	267534	Marika
627673	281584	Barbara
627673	291553	Mrs. Majello
627673	294412	Gina
627673	309407	
627673	338597	Myriam
627673	338648	Baronessa Chiara del Serchio
627673	340205	Tania
627673	341622	Madame Plens
627673	341623	
627673	341624	Madame Plens
627673	351773	Maria/Sophia
627673	353958	Rose
627673	354718	Serafina Salvini
627673	355624	Marta
627673	355749	Luisa Estrada
627673	355846	Amanda
627673	365900	Alessandra
627673	377708	Fanny
627673	384343	Frances
627673	385276	Laura
627673	386740	Bruna
627673	386771	Caterina and Maria Manara
627673	390513	Jacqueline Schoudier
627673	399459	Ruth Klauber
627674	70607	Une amie de Betty
627675	30437	Indian Girl
627676	13365	Shirley Whitehead
627676	49531	Monica
627676	52361	Visitors from Philadelphia - 
627676	54946	Lorraine
627676	80771	Mary Adams
627676	90241	Lisa
627676	106537	Christie
627676	126508	Nurse Gwen
627676	138822	Cynthia
627676	152607	Linda Beale
627676	210481	Lucy
627676	231120	Ellen
627676	239032	Joan, Don's Big Boobed Girlfr
627676	249494	Clara
627676	253342	Alice Sherman
627676	381745	Kim Sedgewick
627676	388865	Christie Kovacs
627676	389858	Cindy #1 (1989)/Rhonda Wexler
627676	391069	Candy Berkowski
627676	394676	Linda Striker (1980-1981)
627676	401930	Rhonda 'Cookie' Wexler (1997,
627676	409744	Maggie Blodgett
627677	261813	
627678	379200	
627678	400075	Various
627679	190411	
627680	7598	
627681	302403	Clase de cuarto
627681	328154	
627682	374102	
627683	15339	
627683	36686	
627683	53158	Lili Oprescu
627683	80134	
627683	86823	
627683	94108	
627683	107716	
627683	155120	
627683	156588	
627683	161677	
627683	171718	Silvia
627683	211413	
627683	265463	One of the prophet's wives
627683	265902	
627683	286272	Fanny
627683	286273	
627683	292894	
627683	303812	Plague
627683	324304	
627683	376606	
627683	389221	
627684	102894	Lorraine
627685	268444	Adiza
627686	37189	Student
627686	61768	Allison
627686	105792	Jill
627686	179042	Herself
627686	213628	Amy Durant
627686	379845	Jessica Lerner
627686	385542	Amy
627686	391516	Pam Asher (2002-)
627686	394676	Mary Frances Sumner #2 (1990)
627686	394677	Kate Whittaker
627686	396014	
627687	373514	
627688	44433	Woman at Site
627689	254316	Miss Boy
627690	389233	Alejandra (2003-2004)
627691	399522	Susana
627692	41829	Dancer
627692	91800	Dolores Gonzalez
627692	240644	Isabelle Diaz
627692	274093	Female Voice 1
627692	319493	Linda Diaz
627692	362716	Woman in Airport
627692	399342	Host
627693	14326	Celestina
627693	14640	
627693	14746	
627693	14756	
627693	22789	
627693	42655	Doña Beatriz
627693	53673	
627693	55955	
627693	62043	
627693	66414	
627693	67011	
627693	67213	
627693	71194	Viuda
627693	74569	
627693	84064	
627693	88194	
627693	99321	
627693	108118	Doña Gracia Cataño
627693	115746	
627693	121331	Josefa
627693	122442	
627693	129486	
627693	131117	
627693	134494	Clemencia
627693	139914	
627693	140557	
627693	146490	Polonia
627693	167814	
627693	193188	
627693	206994	
627693	212492	
627693	221892	
627693	224996	Suegra de Pedro
627693	233489	
627693	235298	Mama de Maria Eugenia
627693	236418	
627693	239268	
627693	250476	
627693	257013	
627693	265165	
627693	266441	
627693	271991	
627693	276410	
627693	277386	
627693	286920	Teresa, Criada de Rosalia
627693	287695	Nicasia
627693	296502	Maria
627693	301142	
627693	324318	
627693	328040	
627693	371729	
627693	371755	
627693	376677	Chabela
627693	377108	
627693	378497	
627694	221739	Monja
627695	1328	Guadalupe Ortega
627695	16907	Catherine
627695	41241	
627695	41297	Greta
627695	51989	Prison Inmate
627695	202366	Chairperson, Malibu Vampires,
627695	276744	Annie
627695	346016	Model
627696	135119	
627696	257700	
627696	324510	
627696	387474	
627697	246405	
627698	183500	
627699	218092	Cristina
627700	53574	
627701	25022	
627701	62299	Madre superior
627701	76007	Don~a Socorrito
627701	91414	
627701	103995	Bertila Begonia
627701	170047	
627701	296499	Lucillita
627701	381145	
627701	383811	Miss Canuta (1998-2002)
627701	387805	Miss Canuta
627701	390404	Leocadia
627701	390405	
627701	391572	Celes
627701	391966	
627701	393837	
627701	396880	Josefina
627701	397594	Chata
627701	402059	Chata
627701	405281	
627701	410303	Gorgonia
627702	135282	
627702	190407	
627702	266854	
627703	190225	Miss June
627704	275355	Mother
627705	13064	
627706	247159	Guandesa
627707	159418	
627708	49441	Video Reporter #2
627709	179741	
627709	180288	Vgenio Dimitreli
627709	187877	
627709	378730	
627710	352855	
627711	238072	Atlantic City Blackjack Deale
627712	171015	Herself
627713	208747	Mme. Avram
627714	304191	Terezka, Andel's bride
627715	134280	Pony
627715	204946	Young Albertine
627715	405099	
627716	187446	
627717	51360	
627718	339753	
627719	83869	
627720	380446	
627720	411585	Clara Caldeira Brant
627721	6323	
627722	179723	
627723	316432	
627724	372504	Maria Choglokov
627725	162384	
627725	200789	Herself
627726	352703	Herself - interviewed
627727	253035	
627727	329213	Vera Preobrajenska/Thaïs
627728	197464	Dancer
627729	101492	Italian housemaid
627730	56075	
627730	76004	
627730	125758	
627730	169567	Esther
627730	212508	
627730	301185	
627731	73735	Angela
627732	134986	Maedchen
627732	356877	Jugendliche
627734	180478	The Girl
627734	314573	
627734	323322	
627735	12017	Tracey Ullman
627735	80792	Ann
627735	279624	Hippie Midwife
627735	327756	Einstein
627735	371075	Edith Carmichael
627736	163244	IT girl
627737	317303	Angela
627738	20145	Dryade
627738	57337	Lora
627738	204651	Rosette
627738	338614	Flora
627739	1675	Herself
627739	2042	Herself
627739	47035	Joan of Montréal
627739	81572	Maria
627739	206171	
627739	220632	Amy
627739	223975	
627739	299870	Phone Angel
627739	300341	Elizabeth Connor
627739	342669	Sue
627739	397268	Herself
627739	411485	Host
627740	90509	
627740	253807	
627740	339283	Ana 1
627740	343809	
627740	375416	
627741	101269	Herself
627741	104740	Luxembourg entry (1st place)
627741	147240	Luxembourg entry
627741	184784	
627742	184200	Zaslawska
627743	4790	Edith
627745	107550	
627745	393154	Newsreader (1961-1990)
627746	317437	Older Nicole
627747	125737	
627748	128807	Herself (Segment "Wet & Wild"
627748	224863	
627748	257670	Herself
627748	314111	Mandalay Model
627749	1744	Presenter
627749	47210	Herself
627749	116869	Herself - Interviewee
627749	394545	Presenter
627749	403325	Presenter (2002)
627749	405404	Herself - Presenter
627750	38590	Joanna
627750	171351	
627751	160572	Roberta Tey
627751	405048	Marie
627752	12393	Dr. Bullmore
627752	277789	Partner ('Playboy' sketch)
627752	386599	Dr. Georgina Woodson (1/7/200
627752	397328	
627752	400004	Jennifer Taylor-Clark
627753	279200	Dancer
627754	388369	George
627755	185385	Sage
627756	192833	Dancer
627756	321559	Derby Dancer
627756	347455	
627757	81193	Kay Gooch
627758	121824	Hooker
627758	355519	Desk Nurse
627759	71713	Ina
627760	42685	Herself
627760	68450	Bernie McGloughlin, Backup Si
627760	81012	Anne Conlon
627760	88195	Taxi Driver
627760	147961	Sarah Norton
627760	206884	Annie
627760	219769	Millicent
627760	240415	Zoe
627760	246695	Eileen
627760	262614	Sandra Williamson
627760	267038	Trudi
627760	283068	
627760	296773	Minnie Powell
627760	302878	Kitty
627760	303682	Sophie
627760	311196	
627760	313474	Radiant VII Captain
627760	330957	Carol
627760	332133	Mrs. Smash
627760	339966	Bragnae
627760	365138	Miss Boyle
627760	372380	Frances
627760	385341	Bambi
627760	388837	Teddy
627760	400602	Michelle
627761	41108	First Bathing Girl in Dream
627761	82951	Barbara
627761	92310	Photojournalist
627761	107688	Elsie, Co-ed
627761	107698	Vanessa Drake
627761	123913	Peanuts Harris
627761	128152	Blonde
627761	146752	Specialty Act
627761	253501	Sheila Brooks (screen test fo
627762	33059	
627762	171261	Aliana Gerst
627763	50936	Mrs. Villard
627764	188910	Herself
627765	240233	Herself
627766	227347	Bess Marvin
627767	360712	Mrs. Greely
627768	47930	Drake University Student
627769	123117	Woman in Muscle Coat
627770	109649	Athlete
627771	141674	Girl
627771	232424	Rachael
627772	204021	Pupil
627773	68771	Miriam
627773	263758	Reporter
627773	312184	Moscow Station Chief Max Fost
627773	359428	Assaulted Woman
627773	369487	Computer
627774	76152	Marti/Mrs. Kennedy
627775	170980	Ticket Agent
627775	292122	Tiffany
627775	339369	Camille, Juror
627776	10670	Joe's Daughter
627776	91523	Kim
627776	97727	Granddaughter
627776	379716	Bianca Montgomery #4 (1993-19
627776	389858	Gina Williams #2 (1996)
627777	26700	
627777	56181	Nicola
627778	14239	Mary Harris Jones
627778	229941	Sadie
627778	281927	Cleo (The Hustle)
627778	316325	Betty Anders
627778	396732	Host
627778	400236	Dr. Maud Boylan (1997)
627778	404002	Maeve Colleary Ryan (entire r
627779	330600	Sarah Granger
627780	70390	
627781	279168	Denise
627782	241311	
627783	142935	French Officer #5
627784	213495	
627785	213662	Beth
627785	388346	Sara Tobin
627786	257653	Herself (Miss January)
627786	257844	Miss September 1994
627786	274148	Herself
627787	256744	Executive Female
627788	143532	Amalthea
627788	403376	Ingrid
627789	105395	Female Student
627790	360712	Mrs. Lovett
627791	47077	Class Monitor
627791	252898	Jackie Peterson
627792	347403	Amos Poe
627793	115540	Mrs. Loud
627794	220059	Jeff & Kate's Friend #6
627795	211382	Flea Market Lady
627795	279420	Michael's Teacher
627795	345786	Ellen, Robert's secretary
627796	27168	Yvette
627797	62705	Girl In Restaurant
627798	122274	Dawn
627798	385594	Louella Caraway Lee (1978-198
627799	353	Laura McKillin
627799	1500	Jill Barnhart
627799	4694	Veronica
627799	13576	Sandra Malloy
627799	40716	Rebecca Rose
627799	46369	Annie Sobel
627799	58811	Pauline
627799	69916	Dr. Diane Landis
627799	73803	Anna Hennessey
627799	148446	
627799	159703	Meg Russell
627799	182966	Leslie Aaron
627799	188506	Lorraine Farris
627799	190692	Elyse Madison
627799	243244	Herself
627799	278721	
627799	302949	Ellen Easton
627799	333356	Valetta Proctor
627799	337360	Karen Hughes
627799	350343	Holyoke Hottie
627799	384104	Amn. Wayloo Marie Holmes (198
627799	389924	Peggy Shippen
627799	397754	Catherine Black (1996-1998)
627799	400648	Det. Sandy Calloway
627799	405624	Judy Ralston
627800	309944	
627801	119466	Alexis
627801	248093	Carly
627802	280135	Airline Ticket Agent
627803	141531	
627803	283664	Bernadette
627804	350349	Girl
627805	105954	Degradation
627806	191742	
627806	324395	Crazy Lady
627806	330221	Sara's Mom
627807	301810	Female Judge
627808	128517	Emma
627808	177296	Nora Pierce
627808	335879	Girl
627809	132008	Nicole
627810	194638	Herself
627811	309574	Waiting Room Woman
627812	87591	Young Runt
627813	335728	Ruby Lockwood
627814	5504	Fleur Bennett
627815	194300	
627815	282024	Woman #2
627815	404102	Claire
627816	292534	Selkie's daughter
627817	304834	Dr. Jenkins
627818	321450	Emma Tyler
627819	45095	Ines/Yayoi
627819	67759	
627819	169887	Chief Judge Hershey
627819	201379	Sayaka
627819	215252	Astronaught #2
627819	335982	Miss Coleford, Chorus Member
627819	369415	Arashi Kishu
627820	196876	Herself
627821	107928	Party Girl #1
627822	5928	Betty McLean
627822	114225	
627822	144948	
627822	146142	
627822	178065	
627822	215989	
627822	258254	
627822	270614	
627823	96994	13 Year Old She Wolf
627823	408774	Host
627824	128838	Sister Urban
627825	139492	Additional Voices
627826	136826	Sister
627826	213589	Sister (The Fabulous Singlett
627826	256625	Isabel
627827	355332	Herself
627828	355332	Herself
627829	355332	Herself
627830	166340	Marguerite (soprano)
627831	105738	
627832	76063	
627833	51310	Angélique
627833	211362	Fille de Jo
627836	25300	
627836	48200	Telefonista
627836	248192	
627836	334032	Cornelia
627836	349525	
627837	195458	Constance
627837	215651	Beatrice
627837	232497	Nurse Maria
627837	263365	Detective Green
627837	279984	Cindy
627837	313948	Olive
627837	316644	Nurse
627837	388984	Mrs. Snodgrass/Edna
627837	401752	
627837	406982	Genie
627838	138369	Detective Fresnel
627839	16770	
627839	46118	Emma Steimmetz
627840	319556	Angel
627840	324091	Tara
627840	326272	Zircon
627841	196820	
627842	164155	
627842	371101	Marlène Bédard
627843	360483	Marissa
627844	13707	Herself - San Francisco P.D.
627845	342742	Monica
627846	178189	Extra
627847	350488	Woman in Ladies Room
627848	2472	Lisa
627849	389237	Chloe Marchand
627850	42969	Mimì
627850	69971	Antonia
627850	341822	Liù
627851	100384	Sofía
627851	123181	
627851	221958	
627851	353610	
627851	379909	
627852	229441	
627853	28029	
627854	213654	Pancho's Waitress
627855	222674	
627856	31453	
627856	138331	
627856	174497	
627856	208183	
627856	227410	
627856	256098	
627856	265097	
627856	294642	
627856	296544	
627856	336567	
627856	348987	
627856	359034	
627857	162597	Isabel
627858	21692	
627858	65216	
627858	74558	
627858	74821	
627858	148108	
627858	221953	
627858	236475	
627858	249860	
627859	227309	Naruse Haido
627859	392430	Syoichi Iwaya
627860	208840	
627861	24368	
627862	384771	Rocío
627862	402192	Monalisa
627862	412123	
627863	5000	
627863	6574	
627863	11695	
627863	14677	
627863	14793	
627863	25522	
627863	28748	
627863	35004	
627863	48805	
627863	49890	
627863	50144	
627863	56333	
627863	69023	Luisa, Madre de Cristina
627863	70079	
627863	71121	Mama de Betty
627863	73274	
627863	73289	
627863	74523	
627863	74843	
627863	80109	
627863	83870	
627863	96270	
627863	99066	
627863	103497	
627863	112047	
627863	121229	Elizabeth
627863	143755	
627863	145275	
627863	151479	
627863	170068	
627863	171469	
627863	207736	
627863	208852	
627863	212388	
627863	222051	
627863	222384	
627863	239301	
627863	247462	Madre de Yolanda
627863	250986	
627863	263769	
627863	270068	María
627863	273653	
627863	287853	
627863	301572	
627863	302982	
627863	334684	
627863	349683	
627863	376642	
627863	377165	Lucía de Nobile
627863	377191	
627863	380114	Lucy Escala
627863	383556	
627863	383669	
627863	385880	
627863	385943	
627863	388094	
627863	393837	
627863	396245	
627863	397573	
627863	397587	
627863	397734	
627863	407276	
627863	407640	Ofelia
627863	408721	
627864	14772	Isabel
627864	53673	
627864	63859	
627864	74151	Marcela
627864	145193	
627864	202059	
627864	212247	
627864	287694	Prostitute 3
627864	292735	Juana Ines de Asbaje
627864	332920	Dolores
627865	170042	La acuchillada
627866	282938	
627867	387621	Lourdes Santaella aka. 'Luly'
627867	404075	
627868	204184	Dancer
627869	18653	Yoli
627869	125661	
627869	202734	
627869	213365	
627869	225046	Clara
627869	238755	
627869	308463	
627869	353180	
627869	402679	Sobrina (Niece)
627870	397016	Felicitas
627870	399525	Gloria
627870	410450	Damiana
627870	412192	Clara García
627871	9625	
627871	20736	
627871	30520	Victoria contreras
627871	51779	
627871	58696	
627871	71008	
627871	72870	Miss Vernon
627871	80154	
627871	91283	Luisa
627871	103951	
627871	124042	
627871	137433	
627871	149564	
627871	161950	Patricia
627871	171620	Amiga rubia de Alicia
627871	193143	
627871	205138	Victim in Cell
627871	208852	
627871	248296	
627871	258477	
627871	270890	
627871	292774	
627871	327363	
627871	339116	
627871	352254	
627871	353573	Rosa, actriz
627871	354904	
627871	371741	
627872	337998	Trancer Girl #2
627873	37246	Sonia
627873	52201	Detective Rose Hernandez
627873	61819	Lizette Sotavento (Luis' moth
627873	70486	Conchita Rivera
627873	70965	Mrs. Sanchez
627873	80716	
627873	81320	Rosario, Kersey's Maid
627873	118139	Raquel Rios
627873	245137	McDonald
627873	264442	Mercedes
627873	301539	Alice Roberti
627873	307264	T.C.
627873	329027	Eve Clements
627873	366100	Little Feather
627873	382538	Digger Woman
627873	383780	Serafina Marquez
627873	385824	Robin Carlisle (1982)/Rosa Ra
627873	392177	Shewelah
627873	392545	Lola
627873	394510	
627874	12203	Norma Santiago
627875	74522	
627876	396898	
627876	400400	Herself (2002- ???)
627877	229158	Florence
627877	352482	
627877	376354	
627877	387770	Madame Ferroud
627878	267296	
627879	8254	
627879	82237	
627879	270447	Adriana
627880	82586	
627881	345267	
627882	32257	
627882	62915	Mrs. Maccrae
627882	112203	Boarding housekeeper
627882	113540	Mrs. Collins
627882	192034	Mrs. Burke
627882	215292	
627882	220817	Lady Chartris
627883	98067	
627883	114328	
627883	119222	
627883	119254	Frälein Knobel
627883	124615	Fräulein Mauer
627883	124992	
627883	153735	Die Hexe [The Witch - U.S.]
627883	157843	Zenzi
627883	178780	
627883	182781	Sekretärin
627883	188767	Frau Berger
627883	290449	Miss Juckenack
627883	290754	Frl, Schimmel, Müllraths Sekr
627883	307320	
627883	325654	Frau Mahler
627883	335996	
627883	347042	Housekeeper
627883	356202	Elfriede
627883	361093	Zilli, Kellnerin
627883	398863	
627883	403506	Puppet player - Voice
627883	404462	Mrs. Schmalzl
627884	312563	Nurse
627885	135291	
627886	203005	Lottie
627886	334591	Baker
627886	364431	Anya
627887	397886	Herself
627888	235952	Delia, Lorina's Mom
627889	340546	Ms. Melvin
627890	2653	Isabel
627890	26008	Annette
627890	44423	Pam
627890	74879	
627890	90659	
627890	91534	
627890	132792	Dorotea
627890	157855	Silvana Lazzarini
627890	170990	Beata
627890	196733	Joan Hammond
627890	206082	Angela Frizzo
627890	229987	
627890	242822	
627890	266118	Angela
627890	292970	Francesca
627890	294415	Maria
627891	308889	
627892	69971	Danseur
627893	91763	
627894	139611	Marie
627894	244408	Nurse
627896	16943	Cocktail Waitress
627896	58799	Cuban Girl
627896	77760	TV Anchor
627896	80762	Maria
627896	102514	Ms. Sanchez
627896	105807	Conchita Ruiz
627896	126755	Terresa
627896	132247	Alyssa's Mother
627896	169947	Janet
627896	175182	Elena
627896	197776	Ninfa, Whore at Marguerita's
627896	210881	Felicia
627896	214456	Capt. Helen Meyers
627896	214755	Pre-Crime Public Service Anno
627896	220891	Consuela Lopez
627896	222769	Maria Santos Padilla
627896	223833	Sonia
627896	227502	Female Newscaster
627896	235600	Maria
627896	253509	Theresa Casona
627896	271219	Valerie Moreland
627896	277911	Dr. Stein
627896	321651	ICU Nurse
627896	346276	Juanita
627896	382419	Dr. Gina Santana (1994-1998)
627896	388865	Alicia Sanchez
627896	389867	Melina (1990)
627896	403452	Diandra Santiago Gallagher (1
627896	404282	Santana Andrade #3 (1985-1987
627897	160610	ballet
627898	381072	Martha Parejo
627898	397257	Carmen 'Carmencita' Bocanegra
627898	399625	Patricia
627898	405798	Fabiola
627898	412153	Tereza Cantor (Adult)
627899	209390	Glauce
627900	401248	Claudia Montero (2000-2002)
627901	14929	Doncella
627901	236420	
627902	65095	Claire
627903	351494	
627905	80065	Raquel's Mom
627906	242509	Pilar
627907	124507	
627907	206739	Lea
627907	308963	Gladys
627908	399640	
627909	80065	Waitress #4
627910	366100	Tashina, age 5
627911	376823	
627912	1191	Maria Romero
627912	72382	Graciela Gandia
627912	108256	Taylor
627912	251383	Esperanza
627913	380099	
627914	51540	
627914	58407	
627914	63949	
627914	69016	
627914	88986	
627914	135285	
627914	189295	
627914	223622	
627914	250501	Tamara
627914	255276	
627914	255903	
627914	350266	
627914	376749	
627914	376823	Patricia
627915	1311	Betty (Episodio de Alberto Le
627915	139902	Mujer Telegrafista
627916	150758	Girl in Tree House
627917	68557	Mujer IV
627918	69258	Estelle
627918	106375	Commanding Officer
627918	320370	Maria
627918	321777	Seamstress
627919	28193	
627919	67527	
627919	263837	
627920	206252	Mme Toumine
627921	91161	Nancy
627922	48704	Pregnant Wife
627923	358990	
627924	405705	
627925	171311	Girl with Hula-Hoop
627926	179180	
627927	15102	Joanna Lypiatt
627927	305650	Frau Grobeck
627928	267296	Aline
627929	330406	Virginia Combs
627930	7473	Serveuse 'Plat d'étain'
627930	52012	
627930	84625	
627930	197325	
627930	208834	L'employée de l'hôpital
627930	212157	L'infirmère
627930	339476	
627930	395269	
627931	111153	
627931	389786	
627932	162040	
627933	91061	Herself
627933	104768	Croatian entry (15th place)
627934	381981	Chemmy player
627935	36459	Gina
627936	6627	Director
627936	14953	
627936	16869	Giocatrice
627936	36473	
627936	37279	Woman in Sicilian village
627936	49689	Countess
627936	63650	Louise Morel
627936	70745	
627936	77228	Una amica di Ginevra
627936	89834	Madre di Luisa
627936	90679	
627936	104474	
627936	121907	
627936	158758	Justine Cuendet
627936	159618	Marta
627936	202724	
627936	205445	
627936	211291	Midwife
627936	211800	La straniera cristiana
627936	217759	Sister Angela Sacchi
627936	236733	
627936	280762	Ingrid
627936	301384	L'insegnate di ginnastica
627936	306873	Malik
627936	336593	
627936	344607	Flora
627936	344631	Prostitute
627936	377573	Signora Colombo
627938	119321	Chronistin
627938	377831	
627939	260961	Waitress
627940	189352	
627941	182531	Tjej utan bror i New York
627941	303195	Shop Assistant
627941	342316	Herself
627941	405570	Frida Lindberg (1997-2002)
627941	407118	
627942	409092	
627943	38630	La marchesa Della Bella
627943	51367	
627943	51832	
627943	110757	
627943	119855	
627943	233067	
627943	234823	
627943	286593	La contessa
627943	289329	La madre di Guglielmi
627943	307067	L'anziana cantante
627943	313901	La portinaia
627943	338702	La signora Amalia Lorenzini
627943	350512	
627943	375017	Zia Giulia
627944	55393	Katinka
627944	279573	Ann Hardy
627944	361543	The Prima Donna
627945	355708	A Ballerina
627946	2992	Gloria Ducci
627946	6471	Lucy Tillson
627946	19526	
627946	26397	Nurse #2
627946	27429	Sour Agata
627946	30998	Meg
627946	31000	Jane
627946	36456	Mariale
627946	52003	Serafina Cagliostro
627946	63752	Sheila
627946	66579	Lisa Baumer
627946	67531	Jenny Ascott
627946	68983	
627946	69105	Isabelle Carter
627946	73640	Licia
627946	88349	Lucy
627946	89561	Susanna Boileau
627946	89572	Debutante of the Year
627946	89666	Judy O'Hara
627946	94701	The Countess
627946	101868	
627946	102391	Persephone
627946	108748	Carla
627946	109079	Maria Marchi
627946	119077	
627946	120897	Katia
627946	124571	Carolina
627946	127437	
627946	129051	Signora Marsili
627946	132946	Sybil Scott
627946	133392	
627946	163731	(segment "Prezzo del amore, I
627946	182915	Kid's Mother
627946	187434	
627946	193041	
627946	199383	
627946	204740	Martha Clinton
627946	209343	
627946	209440	Anna Maria
627946	211804	
627946	215898	Constance
627946	227581	
627946	243671	Mary
627946	252722	Judy McDougall
627946	254965	Angelica
627946	261893	Madre di Giorgio
627946	265310	Anna Maria Tersilli
627946	269188	Sarah
627946	269457	
627946	274918	Bibiana
627946	278179	
627946	280749	Rhama
627946	295154	Coralie
627946	319298	Liza
627946	338657	
627946	346574	
627947	117483	Office worker
627948	243307	
627949	54086	
627949	113575	Rosa
627950	23539	Mme Belhomme
627950	92680	
627950	156559	Mademoiselle Largeais
627950	169650	Mme Cournot
627950	240449	Mona Duroc
627950	270353	
627950	340006	Barbara, Andrea's wife
627950	354574	La prostituée
627951	89777	Heloísa
627951	139489	
627951	205597	Maria Madalena
627952	102004	Dora Bambina
627953	380387	Jurema
627953	392510	
627954	159547	
627955	282239	Nora
627956	274862	Julia
627957	162071	Toto's Sister
627957	213324	Fury
627958	411885	Venusia
627959	7036	Italian Nurse
627959	39671	
627959	40897	Waitress
627959	50469	Mrs. Talucci
627959	69676	Bianca (a servant)
627959	103335	Brigida (Duenna)
627959	107873	Ma Lepetino
627959	114423	Angelina
627959	124587	Isabel Ojara
627959	128183	Undetermined Role
627959	131507	Katy Zaloris
627959	151191	Mrs. Veroni
627959	154652	Clinic Woman Who Lost Her bab
627959	154881	
627959	160943	Italian Woman
627959	199156	Tanaa, Chief's Wife
627959	203006	Mrs. Polaski
627959	203585	Mrs. Spirella
627959	215748	Italian
627959	216716	Woman
627959	218786	Louisa's maid
627959	223970	Maid
627959	228828	Mrs. Zumano, Johnny's Mother
627959	238507	Mrs. Ardsley
627959	239404	Manuelita
627959	254515	Christine's maid
627959	263601	Mrs. Fabrini
627959	264171	Greek's Wife
627959	271000	Maria
627959	271293	Nurse
627959	276286	Mrs. Arturi, Bereaved Italian
627959	313317	Rosa
627959	315815	Teresa
627959	330191	Carmencita 'Rosa'
627959	330889	Mrs. Diestro
627959	338369	
627959	346278	Maria Gonzales
627959	357563	A Worker
627959	363292	Old lady with lamp
627959	371047	Spanish woman
627959	371887	Housekeeper
627959	372126	Mama Brentoni
627959	372351	Mamma (Lisa) Posita
627960	28680	
627960	339930	Crocerossina
627961	93078	Herself
627961	199744	
627962	393489	Herself (regular guest)
627963	6410	
627963	16617	
627963	33629	
627963	148727	
627963	268966	
627963	280556	
627964	8439	Alix
627964	12278	
627964	76129	Yvonne Casin
627964	94349	
627964	103780	Sonia Yaloniv
627964	199614	Catherine Nanteuil
627964	205739	Marie Galante
627964	256756	
627964	297180	Lady Denise Tarrington
627964	309699	Cécile de Villesec
627964	346138	Yvonne LaMarr
627966	52718	
627967	113138	
627968	23782	Yvonne Gouin
627969	174172	Dancer
627969	182569	Millie, cleaning lady
627970	93325	Margaret Drummond
627970	207692	Little Old Lady
627970	222681	Sister McClelland
627970	277618	
627970	294215	Fanny Dashwood
627970	303682	Housekeeper
627970	365255	Maisie
627971	294796	Invitée d'Alice
627972	23826	Raymonde
627973	68513	
627974	113883	Bikini Contestant
627975	131539	Neighborhood Woman #2
627976	150853	Dorothy
627977	227728	
627977	400738	Chinee
627978	75822	Jenny Madison
627979	81321	Model #1
627979	207036	Saraswati
627979	286425	Dancer one
627980	14948	
627980	19260	Elisa
627980	42844	Donna sadomaso
627980	63730	
627980	68650	Jolanda Scarpellini
627980	71214	(segment "Shit!")
627980	90028	
627980	127615	
627980	127891	
627980	214002	parrucchiera
627980	236801	
627980	251850	Apartment buyer
627980	267534	
627980	383492	Claudia
627980	409092	
627981	44522	Valeria
627982	213324	Soprano Aida
627983	6280	Un membre del comitato di epu
627983	8483	
627983	13544	
627983	14258	
627983	14361	
627983	16860	
627983	17209	La proprietaria del cavallo p
627983	24835	La padrona di Rosella
627983	31962	La governante di Don Lorenzo
627983	38779	La custode del "castello"
627983	46184	Clotilde, la governante
627983	51448	
627983	54153	
627983	54301	La prima zia
627983	54829	
627983	55385	
627983	67893	
627983	69477	Le servante de Goberti
627983	69990	Marta Rossi
627983	90718	
627983	90973	Betty, la portinaia
627983	94725	
627983	97170	
627983	104526	Nanon
627983	111419	
627983	111427	Una bagnante
627983	113443	La portinaia
627983	116492	
627983	121295	La signora con il cagnilo bia
627983	125781	
627983	126203	Celina
627983	127774	
627983	127943	Filomena
627983	139440	
627983	157127	La suocera
627983	158626	La direttrice
627983	162067	
627983	170312	
627983	183285	
627983	183493	Annina
627983	204661	Una dei tre creditori
627983	206039	
627983	214851	
627983	222199	
627983	234560	Giulia
627983	234734	La madre di Luisella
627983	243307	
627983	246454	
627983	287487	
627983	294423	Stella
627983	294706	
627983	294713	Corinne
627983	295136	
627983	301367	
627983	301381	
627983	307718	
627983	336606	La suocera
627983	336615	Eugenia
627983	342136	
627983	346382	
627983	349927	La signora dell'ombrello sul 
627983	354910	La sarta
627983	360466	Member of the Epuration Commi
627984	289939	Carla
627985	49603	Maria
627985	393215	L'amie d'Ida
627986	107009	Herself
627987	381436	Channing Brooks
627988	97727	Neighborhood Extra
627989	93020	Heather
627990	75235	
627990	205368	Infermiera de matteis
627990	205488	Air Hostess
627990	211982	
627991	25003	
627992	283543	Dancer
627992	298108	Dancer
627992	314351	Preppy Girl #2
627992	326741	Kiki
627992	334260	Alice Cutter
627992	346096	Joan
627992	396934	Cindy Campbell
627992	407155	Anne Foley (1994-1995)
627993	405069	Elephant
627994	398042	
627995	183077	
627996	70615	
627996	389887	Dina
627996	396722	Marluce
627996	401932	
627997	270622	Dance Palace Musician
627998	162246	Madre
627999	1870	Pantyhose Victim
627999	133371	Stephanie
627999	201502	Herself
627999	296273	
627999	310376	Toni Peck
627999	383490	Libby Dreifuss
627999	409486	Lizzie Exley
628000	212467	
628001	350351	Valeria
628002	139264	
628002	311180	
628003	289817	
628004	6313	Fille d'indienne 2
628005	320076	Reporter #4
628007	134522	Indian Villager
628008	134522	Indian Villager
628009	47334	Angelina's Assistant
628010	104925	Model #2
628011	87797	Skinnydipper #1
628012	114271	LuLu at Slacker's Grill
628013	21059	
628013	125361	
628013	252579	
628013	328629	
628014	292171	
628015	5741	
628015	10047	
628015	29805	
628015	54111	
628015	55933	
628015	63923	
628015	68989	
628015	84057	
628015	86448	
628015	96303	
628015	124586	
628015	134489	
628015	202057	
628015	204594	Inés Lavigne
628015	206921	
628015	221715	
628015	222005	
628015	225027	
628015	233039	
628015	253384	
628015	281210	
628015	281600	
628015	328639	
628015	333715	
628015	341869	
628015	356663	
628015	377872	
628015	378799	Luisa
628015	379852	
628015	383138	Sofía Nuñez Zamora
628015	383571	
628015	388093	Sister Paulina
628015	394017	Pierina Fossati
628015	396781	Bernarda
628015	397041	
628015	397589	Ana
628015	397623	Lucía
628015	399497	Doña Julia
628015	401250	Rosalía Pacheco-Güergo
628015	406050	Sister Paulina
628015	412120	Mitra Stevanovich
628016	13800	Little Girl
628016	188223	Jordan's Wife
628017	2275	Herself
628017	306626	Herself
628017	400236	Adriana Colón (#2) (2004-pres
628018	32659	Sara Newton
628018	32660	Sara Newton
628018	103910	Young Julia Gates
628018	151483	School Girl
628018	190951	Young Jennifer
628019	70460	Police Dispatcher
628020	331496	
628021	134522	Indian Villager
628022	13800	Woman at Funeral
628023	68351	Nathalie
628024	330812	Nurse
628025	352931	Dodo
628026	15035	
628026	69547	
628026	112890	
628026	148677	
628026	164199	
628026	339539	
628028	11992	Shop assistant
628030	14502	
628030	24882	
628030	26689	
628030	51657	
628030	57276	
628030	57749	
628030	87970	Herself
628030	183022	
628030	202704	
628030	205156	
628030	229726	
628030	251625	
628030	281122	
628030	293347	
628030	294403	
628030	315442	
628030	353060	
628030	356618	
628031	341007	
628032	163926	Olga
628033	63952	The Wife
628033	130058	
628033	165439	Georginia Reed
628034	194380	Nightclub Dancer
628035	225031	Mariana ex
628036	597	
628037	25627	
628037	353266	
628037	383273	Elenita
628037	397018	
628037	397019	Vanessa de la Vega
628037	400797	Violeta
628038	410477	Estefanía
628039	291575	La jeune femme blonde enterré
628040	162158	
628040	238334	
628041	14911	
628041	22002	
628041	28193	
628041	33446	Domicilla
628041	35012	
628041	43146	
628041	43182	
628041	51372	
628041	52790	Silvana Crippa
628041	58185	Capo Turno Telefoni
628041	61135	
628041	67531	
628041	76842	
628041	94680	Moglie di Franco
628041	94681	
628041	96400	
628041	96401	
628041	103191	
628041	112691	
628041	115096	
628041	115123	
628041	118930	Butcher
628041	159470	
628041	160249	
628041	168761	
628041	168765	
628041	193491	Virginia
628041	197056	Bianca
628041	197563	Deborah Carter
628041	199039	
628041	199113	
628041	213802	
628041	214009	
628041	234713	Anna
628041	234737	
628041	235778	
628041	237769	
628041	252630	
628041	269024	
628041	270325	
628041	270800	
628041	287650	
628041	287964	Julie
628041	289478	
628041	290926	
628041	294773	
628041	296540	
628041	300689	Silvia
628041	313900	
628041	324906	
628041	328831	
628041	336604	Carmiana
628041	341917	
628041	348149	
628041	349718	
628041	351528	
628041	352234	
628041	356014	
628041	374495	
628041	375217	
628041	375880	Rosanna Gonzales
628041	375895	Linda
628041	403449	Walter's aunt
628042	196341	Spoiled Rich Girl
628043	50469	Girl
628043	127150	Cloestine Hussman
628043	163190	
628043	329481	Orphan Girl
628043	333062	Orphan
628045	342331	Julie
628046	47462	Dr. Erica Gregory
628046	77795	Dottie Franklin
628046	86381	Mabel
628046	318390	Mrs. McGuire
628046	337121	Sheila Bennet
628047	59104	Nurse
628048	308117	Palm Reader Customer
628049	105145	Keaton
628049	368283	Young girl
628050	35705	Jean
628050	74129	PR Woman
628050	76526	Sixties Nanny
628050	78744	Adele March
628050	146619	Chloe
628050	160580	Kate Gutterman
628050	171297	Dinah the Drunk
628050	217530	Diane
628050	224264	Big Red
628050	234989	Martha the Choir Mistress
628050	261530	Nurse
628050	315896	Dorothy, Straight's Next-Door
628050	382932	Journalist
628050	397534	Esther
628051	5009	Frances/SPAT
628051	65134	Mrs Trusty
628051	112049	Aquarium Keeper
628051	118925	Vendor's Wife
628051	152915	Mrs. Jenkins
628051	168682	Foreign Secretary
628051	188030	Madame Thenardier
628051	390523	Harriet Davenport (1999, 2000
628051	408170	Suzanne Michaud
628051	410792	The Beetle
628052	90883	Melissa
628053	51990	Shower Guard
628053	90423	Judge Moorehead
628053	117139	Costumer
628053	343230	Nurse
628054	137223	Electric Blues
628054	195758	
628054	216127	Mitch's Singing Students
628054	247610	
628054	302432	Billie Holliday
628054	314131	Agatha
628054	342531	Roll Call Girl
628055	252836	
628056	160042	
628056	177695	Martinson's Secretary
628056	277635	Businesswoman
628056	292888	Woman Guest
628056	394516	Linda
628057	2471	Woman at Theatre
628058	315900	
628059	93394	Olga
628060	35542	Jackie Taylor
628060	110242	Actress
628060	209617	Andrea Durant
628060	340320	Mrs. Honigman
628060	385087	Reporter
628061	144370	Wicked Stepmother
628061	160634	
628061	256623	Ruth
628061	313711	Trent
628061	399034	Agnes Macdonald
628062	31738	Ma Bean
628063	44238	Bordello Vampire
628064	149954	Extra
628065	74006	Maryann
628066	77793	Teenager #1
628067	58507	Miller
628068	342390	Meter Maid
628069	263015	Renate
628070	69037	Landlady
628070	107155	Marion
628070	261962	Nurse
628070	334234	Neighbor
628070	366997	Gov. Weber
628071	1390	Twin
628071	154194	Girlfriend #1
628071	310184	Charlene
628071	314631	Twin
628072	1390	Twin
628072	154194	Girlfriend #2
628072	310184	Marlene
628072	314631	Twin
628073	266588	Victoria Tusk
628073	290402	Principal Beatty
628073	346327	Valetta
628074	133345	Voice of Vampirette
628075	293317	Himself
628076	20101	
628076	136599	Kriszta
628076	200613	Harem singer #2
628076	272530	Lady #5
628076	322064	Vera (assistant)
628076	377129	
628077	128061	
628078	223009	Translator #2
628079	21609	
628079	104018	
628079	108728	
628079	197964	
628080	377951	
628081	9618	Secretaria
628082	7446	La femme de chambre de Dreyfu
628082	15046	
628082	356412	
628083	9618	Secretaria
628084	292931	
628085	238601	Judge Bailey
628086	395914	Suzy
628087	212052	Lola
628087	213520	Assistante psy
628087	334817	
628088	212052	Nicole
628089	166094	
628091	242457	Frau Krüger
628092	295417	Irm
628093	219512	Cécile
628093	224903	La baronne
628093	353844	Une prostituée/Una prostituta
628095	197922	Mary's Gothic Girlfriend
628096	35237	Lords of Acid
628097	36931	
628099	201183	
628101	14385	Norma
628103	387309	Roxanne Carey (1968-1969)
628104	80725	Herself (recording artist)
628104	83126	
628104	141750	Himself
628104	200026	
628105	391490	
628105	391883	Melissa Robbins
628105	399903	Abby
628106	183232	La tante
628107	401329	Jeune ouvrière
628108	162129	Iphigénie
628108	232786	Susanna
628109	154368	
628109	312170	Stromberg's assistant
628109	381107	Daphne Finch-Beauchamp
628109	385643	Priscilla
628110	332947	
628111	317927	Phyllis, Adolescente
628112	6285	Evelina
628112	14859	Lisa
628112	25322	Dolores
628112	54154	
628112	57959	
628112	70622	Irene
628112	94669	
628112	145468	
628112	183021	Capinera
628112	187480	
628112	189190	Dr. Jacqueline Goddard
628112	211196	
628112	265189	Nunziata
628112	268979	Denise Voise
628112	280756	Clara
628112	290000	
628112	307447	Celestina
628112	377481	Boubica
628113	208217	La fille de la boîte de nuit
628114	341604	Magda
628115	126268	
628115	190384	Rodstvennika Very Petrovy
628115	258129	
628115	409403	
628116	28555	Patient 2
628116	387353	Various roles
628116	390138	Deltager
628117	385070	Marita
628117	412127	
628118	352817	
628119	62277	Stéphanie
628120	269892	Aborigine
628121	280453	Veronica Rogers
628123	384288	Liliane Dossa
628124	34388	Flight Controller - 727
628124	138322	Technician
628125	70501	
628125	73643	
628125	158758	Signora Lussac
628125	264240	Principessa Elettrice
628125	383784	Wanda
628125	398032	
628126	378440	Espectadora
628127	246193	
628128	235422	Mayor's Aide
628129	100391	Prostituta #2
628129	117826	
628129	244251	
628129	257418	Mujer Parque de Diversiones
628130	56006	
628131	75383	
628132	355927	
628133	39627	Noblewoman
628134	62579	Street Hooker
628135	2382	Messenger
628135	194534	Ellen
628136	119856	Selena
628137	66869	Helena
628137	70898	
628137	73650	
628137	85582	Marìa
628137	108748	Mathematics teacher
628137	113710	Fiorina
628137	127387	Giustina
628137	163731	(segment "Separazione legale,
628137	173754	
628137	188594	
628137	215008	Juliane's Mother
628137	231497	Nanny
628137	235760	Signora Migliorati
628137	243385	Maria Grillo
628137	255597	La femme de Ferdinand
628137	278503	
628137	293065	
628137	294418	
628137	309964	Mime
628137	321535	Hélène Hatray
628137	328389	
628137	375234	
628138	49681	La marchesa Pancrazi
628138	57970	Elena Zilay
628138	113443	Zia Aurora
628139	28375	
628140	51978	
628141	261103	La jeune femme
628142	125845	Club singer
628143	78107	Taiwana
628143	212524	Dimples
628144	92742	Cindi Pak
628145	49105	Yohfa
628145	80570	Helena
628145	187220	Leyalla
628145	302283	Sim
628145	302290	Sim
628145	321955	Ex-Agency Intelligence Commun
628145	321956	Lian Xing/Additional Voices
628146	389873	Lady Diana Townes
628146	389874	Lady Diana Townes
628146	399213	Marion Fitzwalter (1997)
628146	404414	
628146	404853	Megan Connor (1998-1999)
628147	284319	Rita
628148	208300	Sis
628148	252878	Young Mother
628149	128399	
628150	114311	Street Singer
628151	219526	Emily
628152	249910	Diana niña
628154	96684	
628155	321444	Whaler
628156	397243	Valentina Rincón
628157	400667	Lili Delgado (1995-)
628158	283683	
628159	55768	
628159	82590	La esposa legitima
628160	185861	
628161	396396	Host
628162	185861	
628163	185861	
628163	209239	Ofelia
628164	195115	Madalena Matos/Beladona
628165	402685	Maria Lívia
628166	386757	Celeste
628166	392792	Elaine
628166	400584	Cida
628166	400902	
628166	401944	Belmira
628166	403733	Dondinha
628166	404834	Jandira
628166	408212	Filomena
628166	409780	Iris
628167	215039	
628167	402638	Maria José `Zeca dos Cheirinh
628168	204149	
628168	236040	Laura
628168	381523	Soninha
628168	383247	
628168	387932	Tetê
628168	396126	Rosilene
628168	397541	Alice
628168	401243	
628168	402582	Marta Rocha
628168	402728	
628168	402807	
628168	403618	Bel
628168	404960	Luiza
628168	409347	
628168	409814	Joana
628168	410245	Marilyn Efigênia
628169	383727	Verônica
628170	202026	
628170	396899	Teca
628171	25158	
628171	52928	
628171	108728	
628171	130558	
628171	217388	
628171	293388	
628171	294009	
628172	14729	
628172	115779	Mulher na Estacão
628172	239948	Mãe de Maria
628173	115768	Carla
628173	380563	
628173	396844	
628173	397553	
628173	404178	
628174	336320	
628175	166376	
628176	5744	
628176	35008	
628176	52957	
628176	54820	
628176	55766	Celia Gamboa
628176	62338	
628176	64704	
628176	74541	
628176	76094	Ana Ruiz
628176	84011	
628176	89821	
628176	91327	
628176	96363	Emma Sunz
628176	99797	
628176	109326	
628176	124583	
628176	132713	
628176	149959	
628176	153834	
628176	171458	
628176	215402	
628176	216094	
628176	222027	
628176	264398	
628176	285943	
628176	301177	
628176	307832	
628176	339144	
628176	349466	
628176	371725	
628177	145531	
628178	279314	Jill (age 5)
628179	108905	Jeune Madeleine
628180	123172	Mary
628181	61360	
628181	90099	
628182	197972	
628182	353977	
628184	194435	
628185	1616	
628185	100433	Madre
628185	255485	Prostituta
628185	307277	Limpiadora 2
628185	378991	
628185	387177	Colaboradora (1996-2001)
628185	395840	
628185	405227	Host (1993)
628185	408403	
628185	409870	Host
628186	71281	
628186	74651	
628187	287414	
628188	236453	
628189	106287	
628189	387083	Lucía
628190	101838	
628191	8564	Mapi
628191	8987	Carmen
628191	33519	
628191	54723	
628191	56541	
628191	56800	Antonia
628191	64951	Lune
628191	82438	Susanna
628191	84369	Laura
628191	89119	Maria
628191	99403	Raquel
628191	101208	Femme à l'aéroport
628191	111127	Maria
628191	124424	Veronique
628191	125008	Claret
628191	187767	Rita
628191	193017	
628191	202222	
628191	221927	
628191	225655	Christine
628191	234349	
628191	247107	
628191	248229	Angela
628191	249671	Michel des Assantes 's wife
628191	291051	
628191	296660	Toni Mad
628191	341128	Ada Della Cistereia
628191	349848	
628191	350398	
628191	379213	Gloria
628191	395473	Sonia Segura
628191	398838	Nuria (1999)
628192	357189	
628193	10484	
628193	21678	
628193	23377	
628193	27977	
628193	40427	Elena
628193	51623	La Perichona
628193	63786	
628193	87072	
628193	96360	
628193	103759	Voz de Elsa
628193	143758	Marta Levín
628193	157245	Clotilde
628193	165790	
628193	183467	La ex esposa
628193	187616	
628193	222403	
628193	226458	Lucía
628193	234012	Susana
628193	252625	Susana
628193	302582	
628193	326294	
628193	345028	
628193	376792	Chela
628193	378496	
628193	380442	Paula
628193	382951	Mónica Pinillos
628193	383770	Mónica alias Roberta
628193	384782	Silvia
628193	392805	
628193	393478	Julia de Sánchez Alé
628193	398267	Luisa Beilín (II)
628193	398842	Alejandra
628193	404993	Laura
628193	409465	Host
628193	410453	Marta (1999)
628193	412120	Bárbara Argüello
628193	412198	Antonia
628194	38972	Girl in boutique
628194	396188	
628195	142726	
628196	14642	
628196	53604	
628196	54112	
628196	84057	
628196	97370	
628197	54787	Venus
628197	351530	
628198	284708	
628199	208811	Une voisine
628200	24290	
628200	34511	
628200	56064	
628200	90449	Carolina's Mother
628200	116391	
628200	132944	Gisela Martins, the Masseuse
628200	203939	
628200	215074	Rolah
628200	239940	
628200	244194	(segment "Quem Seria o Feliz 
628200	245480	Maria Exita
628200	251330	
628200	259208	Olga
628200	263414	Baronesa do Serro Azul
628200	296313	Herself (hostess)
628200	322218	Castings
628200	333695	Marília
628200	382684	
628200	386728	Dona Flor
628200	388591	Linda Inês
628200	396722	Young Jocasta
628200	398501	Heloísa 'Helo' Moraes de Vasc
628200	400670	Antonieta
628200	402159	Luísa Mendonça de Brito Carva
628200	402243	
628200	402593	Aline
628200	407680	Herself
628200	409814	Lúcia T.
628201	4656	Friend's mother (segment "Noc
628201	48839	
628201	56290	
628201	124586	
628201	136947	
628201	160518	
628201	199793	
628201	221679	
628201	246872	
628201	281695	
628201	353983	
628201	384975	Mercedes
628201	392769	Analía
628201	395864	
628201	401437	Asunción
628202	3858	Herself
628202	17748	Sylvia
628202	71357	Rita Eldmont
628202	87896	Mildred Tyson
628202	132451	Herself (roommate)
628202	177404	Herodias
628202	178813	Trina
628202	186261	Woman in Cab
628202	195719	Mitzi
628202	200145	Cosina
628202	213072	Heidi
628202	217185	Onida
628202	217767	
628202	232168	Ricky Cates
628202	233583	Estelle
628202	282556	Iris Biglow
628202	284700	Saadia
628202	293156	Helena Boardman
628202	299658	Emma
628202	301131	Felicia Delmonte
628202	301264	Kubra
628202	318036	Doria Perkins
628202	330320	The Girl
628202	387120	
628202	387309	Dora Coburn (1983)
628202	390607	Xantha
628202	391515	Mimi Jaffe
628203	25050	Refugito
628203	213724	
628203	267406	
628204	391673	Copeira da Clínica
628204	403733	
628204	407801	
628204	410054	Dinah's Servant
628205	380089	Margareth
628205	383365	
628205	391674	Gorda
628205	403200	
628206	55913	
628207	14689	Freiras
628207	18447	
628207	58070	Boutique owner
628207	74376	
628207	118813	D. Josefa
628207	121736	
628207	176679	Pepsi-Rita
628207	201986	Emilia, Daniel's mother
628207	212162	
628207	222162	Primeira senhora do comité
628207	229694	
628207	229702	
628207	237385	Brothel girl #1
628207	245844	Lídia
628207	251554	
628207	276075	Isadora
628207	287700	
628207	293905	Adelina
628207	295093	Lina
628207	306968	Laura
628207	402242	
628207	402637	Salomé
628207	409422	Constança
628208	261197	
628209	16171	
628209	90093	
628209	351628	Lucy
628210	37659	Officer Erin
628211	396510	
628212	386497	Isabelle Côté
628213	208144	
628213	303154	Bauchtänzerin
628214	78612	Kamal's Wife
628215	7715	Kahramana/Semsema
628215	8157	
628215	8694	
628215	9408	Samira
628215	10523	
628215	10552	Morgiane
628215	13089	
628215	14451	
628215	29275	
628215	124682	
628215	175736	Samia
628215	181635	Suhayr
628215	198624	Wela'a
628215	207262	
628215	208276	
628215	226185	
628215	226670	
628215	236559	Herself
628215	271591	
628215	272426	
628215	285902	Leila
628215	301209	
628215	310468	
628215	322692	Sukkara
628215	324992	
628215	326170	
628215	350018	Dancer
628215	358017	
628215	358232	
628216	92299	
628217	112819	
628218	281464	Cleaning Lady
628219	3424	
628219	6480	
628219	14747	Doña Catalina
628219	28016	
628219	61351	
628219	63951	
628219	69765	
628219	74513	
628219	100383	
628219	121269	
628219	147295	
628219	160611	
628219	183513	
628219	193327	
628219	196737	
628219	212464	
628219	221933	
628219	247294	
628219	277563	
628219	278939	
628219	318227	
628219	375897	
628220	82481	Hospital Nurse
628220	94674	Giovane Suora
628220	246400	
628220	341517	madre giovane di Matteo
628221	231951	Tammy
628221	257848	Herself
628221	305717	Girl at Picnic
628222	293816	
628223	21116	Waitress
628223	96938	Iron Harp Dancer
628224	254387	Jeannie
628225	64735	
628226	14372	Clelia's employer
628226	91526	
628226	112095	Herself
628226	143651	Rosa
628226	149376	Herself - the Ballerina
628227	251326	Herself
628228	257715	
628229	243494	Tina
628230	184100	Fleur
628230	224221	
628230	385020	Sonia Marshall (2003-)
628231	260369	Nurse #2
628232	18704	Lt. Yeager
628232	64820	TV Newscaster, Additional Voi
628232	64822	Emily O'Hara
628232	201376	Soldiers and Citizens #2
628232	201377	Ninja/Festival Crowd #2
628232	204971	Daine
628232	285922	Ayame Fujieda
628232	327048	Operator 2
628233	63756	Isabella
628235	217218	Dorothy Lamour
628235	328891	
628236	14834	Ragazza albergo
628237	169352	Dancer
628237	319819	Danseuse no. 1
628239	409840	Maria Osborne
628240	62423	
628240	104443	
628240	104679	
628240	107513	
628240	132992	
628240	164166	
628240	166094	
628240	169298	
628240	198019	
628240	201098	
628240	253588	
628240	254160	
628240	256487	
628240	260728	
628240	260760	
628240	261754	
628240	265626	
628240	269716	
628240	278150	
628240	290516	Regine Schmerholz
628240	296235	
628240	345354	
628240	353345	
628241	25785	Journalist
628242	1864	
628242	22767	
628242	53648	
628242	118060	
628242	121330	Rosita
628242	140559	
628242	143666	
628242	221575	Inés Rosales
628242	222854	
628242	268254	
628242	319793	Adela
628242	319830	Doña Rosario Flores
628242	356667	
628242	383438	Milon
628242	387446	Carancha
628242	387904	María
628242	406050	Benedicta
628243	113362	Prostitute
628244	234752	
628245	13178	Aldina Cordini
628246	18827	Girl with Carlos in Building
628247	17287	Eva
628247	259713	Travestito
628248	193778	
628249	300700	
628250	186448	Susan
628250	362869	Kim
628251	193778	
628252	255438	
628252	334690	Marita
628252	340875	
628252	378452	
628252	399606	Rosita/Marina
628253	217420	Angela
628254	188511	Police Officer at Port
628255	337326	Saloon Girl
628256	82899	Hide and Seeker
628257	94115	Dancer
628257	167922	Girlfriend
628257	299683	Shauna
628257	336914	Dancer
628257	388232	Herself
628258	401079	Young Wife
628259	214814	Gospel Choir
628260	144406	
628261	372175	Dancer
628262	321288	
628263	380827	Sophie May
628264	244919	Steppers Booster
628265	108236	Tara
628266	354751	Martha K. Gamble
628266	368914	NiteClub Background
628267	646	Sheila
628268	127128	Susanna Caddick
628269	65428	
628270	187870	Cherice Nancy
628270	230332	Co-Worker
628270	276440	Monika
628271	81665	Sorority Sister #2
628271	209694	Young Agnus
628272	274582	Waitress #2
628273	140765	Cashmere Sweater orgasmic voc
628274	317731	
628275	40253	Alexis
628276	263916	Stripper
628277	65892	Maring
628278	27680	Flor Contemplacion
628278	29192	
628278	79114	X3X
628278	150404	
628278	172311	
628278	188375	
628278	202643	
628278	208541	
628278	231218	Nerissa
628278	237452	
628278	242805	
628278	243178	
628278	244615	
628278	246995	
628278	404049	Nelia Santos
628279	176496	Linda
628281	194938	Villager
628282	209237	Venom
628283	383471	Fedora
628284	340467	
628285	377099	
628286	107175	
628287	395419	Elizabeth
628287	403272	Philippa
628288	270903	Slinky girl
628290	93275	June
628290	116005	Dominique
628290	131226	Accident Victim
628290	140415	Customer
628292	197506	Sarah
628293	66550	Themselves
628293	301248	Landlady
628294	5793	Lili
628294	10020	Paula Cavalier
628294	51427	Lulu
628294	65382	Léonie
628294	73075	Mirabelle
628294	73080	Mme le juge
628294	77171	
628294	83256	Lucie
628294	95020	
628294	107241	Chantal Sagazan
628294	112805	Michèle
628294	133009	La propriétaire de la parfume
628294	189342	Pamela
628294	202341	Philo
628294	203943	Marthe
628294	217676	Georgette
628294	242353	Hélène
628294	244741	Frédérique
628294	249181	
628294	273673	Solange Tarricues
628294	282498	Patronne Café
628294	336311	Sylvie
628294	337003	Bibiche
628294	356974	Presenter
628294	356984	Nadine
628294	370105	Flora
628294	381520	Belinde
628294	382577	Madame Rivière
628294	383832	
628294	386021	Muriel
628294	389271	Valérie Brignoud (segment "Jo
628294	390057	Herminia
628294	391632	
628294	396188	
628294	396597	Myriam (segment "Aux innocent
628294	398966	Zoé
628294	406196	Aurore
628294	409448	Edith Lansac
628295	342428	Mimi
628296	221338	Wedding gown designer
628297	337165	Kid
628298	138309	Background
628299	89271	Pretty Girl
628300	12080	
628301	301181	Student 1
628302	205391	La petite fille
628303	68274	Additional Voices (Firestorm)
628304	405088	Sandy
628305	4512	
628305	5242	
628305	25440	
628305	226114	
628305	240356	
628305	327314	
628306	4901	
628306	15317	
628306	36599	
628306	77363	
628306	107338	
628306	266419	Herself
628306	374186	Wife
628307	110538	Mama
628308	109546	Carmen
628308	169481	Vina
628309	390244	Elene
628309	391109	Elene
628310	212993	
628311	74745	
628311	156097	Performer
628311	234004	Tina
628311	253277	Carme (segment "Comprehension
628311	289130	
628311	320219	Muntza
628311	400034	Fina
628311	400036	Fina
628311	407808	Marta Ribalta
628312	79637	Mrs. Palmer
628313	349132	
628314	7438	
628314	336272	María
628315	193087	
628316	364750	
628317	364750	Virginia's Friend
628318	10899	Bolmam's Secretary
628319	298474	Erika
628319	395047	Emma
628319	402479	En tjej
628319	405593	Vibe
628319	410280	Julia Wallgren
628320	36520	
628321	128583	Mrs. McWilley
628322	89973	
628322	346968	Marianne Gyllenborg
628323	95120	Elephant
628324	27181	Goofy Girl
628324	83967	Jenny
628324	235952	Biker Girl
628325	40165	Sharon's Mother
628326	115820	
628327	81062	Person in Office
628328	16444	
628328	23034	Hospodyne Barbora
628328	30836	
628328	153362	Agáta Kudejová
628328	166420	
628328	247526	Vrbová
628328	261381	Liduska Pivodová
628328	268298	Pepièka
628328	284484	Smídová
628328	294162	Vychovatelka Marta
628328	320536	Teta Emílie
628328	339250	Ema Sadílková
628328	344347	Hradilová
628328	349838	Helenina matka
628328	350983	Myslikovská
628329	249751	
628330	322833	Hannelore
628331	28845	Mother of Leo
628332	356455	
628333	266713	Woman in Park
628334	137705	1. telefondame
628334	344074	Lise
628335	325991	
628336	213063	Daredzhan
628336	271847	
628337	19327	
628337	28237	La vieille dame
628337	32014	MmeVinet
628337	55877	
628337	103876	La grand-mère de Marc
628337	118178	Madame Amiot
628337	153241	Grandmother
628337	169326	Mme Gautrat
628337	188700	La vieille (segment "Secret d
628337	204657	Delphine
628337	207723	Old Lady
628337	235816	Victoire
628337	255691	La vieille dame
628337	276549	La tante Mathilde
628337	307487	La buraliste
628337	377255	
628337	388439	Mme Espadon
628337	388723	Amélie
628338	49877	Kendra Fineman
628338	142537	Sara
628339	96368	Tribunal de la Tesis
628340	157771	Amazon #2
628340	372901	1st Young Lady
628341	8585	Ah Beng's Sister
628341	281439	Amy (in flashback)
628342	127730	Ducks Dance Squad Member
628343	226877	Marlene
628343	367806	Jeff
628344	26442	Ronnie Lee
628344	190461	Intel. Officer #2
628344	228434	Asian Reporter
628344	328272	Asian Immigrant
628345	198474	Red Guard Dancer
628346	379528	Eleftheria
628347	184062	Cendrine
628348	371896	Botj's Mother
628349	301701	Young Shelia
628350	251742	Mrs. Jelly Donut
628350	382061	Regular Performer
628351	109395	Teen Model Los Angeles
628352	63559	Reena
628353	63555	Madeleine Usher
628353	227594	Charlotte Corday
628353	227596	Charlotte Corday
628354	113253	Isabelle Bolin
628354	161567	
628354	227596	Marjolaine/Throigne de Mricou
628354	258278	
628354	345244	Dead child's mother
628355	369748	Herself - Winner: Best Music
628356	316926	Paula Collins
628357	121255	Gioconda
628358	84478	
628358	164090	
628358	228847	
628358	237581	Shushka
628358	300564	Zhenata ot strelbishteto
628358	357173	Milcheva
628358	375394	
628358	405462	
628359	339257	Lili Velichkova
628360	179603	Baba Tana
628360	235291	Portierkata
628360	242467	
628360	244217	
628360	264383	
628360	337039	
628360	357173	Baba Ginka
628361	1103	Lelyata
628362	159196	Byala peperuda
628362	350252	Zhivka
628363	291553	Alessia
628364	206747	
628365	231537	Herself
628366	304686	Additional Voices
628367	85866	Roxanne
628368	184942	Wendy, Wet & Wild Wendy
628369	269452	
628370	61156	Bare Woman #1
628370	142809	Sexy Girl
628371	360661	Mrs. Patel
628372	4477	
628372	165143	
628372	348887	
628373	95876	Herself
628373	123574	Herself
628373	134327	Herself
628373	148005	Herself - as Shrimathi Indira
628373	157600	Herself
628373	159248	Herself
628373	164660	Herself
628373	285120	Herself
628373	368430	Herself
628373	379061	Herself
628373	385285	Herself
628373	392784	
628373	393165	Herself
628373	394781	Herself (with Nehru and Chou 
628373	395981	Herself
628374	3696	Herself
628374	210791	Herself
628375	4425	
628376	391226	Herself (hostess)
628376	392784	Herself
628377	363414	Mya
628378	392784	Herself
628379	3696	Herself
628380	64658	Oceane, Goddess of Water
628381	95876	Herself
628381	392784	Herself
628381	402231	Herself
628382	324883	Hansa
628383	94715	
628383	264245	
628383	310453	
628384	189366	
628385	51251	La mère de Daniel
628385	91460	Fanny Pinel
628385	132810	
628385	132974	Claire
628385	148682	Aline
628385	191470	Raymonde
628385	193443	
628385	198571	Mireille
628385	353759	
628385	353847	Femme au cognac
628385	357055	Geneviève
628385	383371	Nadine Bollard (1998-2000)
628385	383819	Marie
628385	396863	Marguerite
628385	400681	Berthe
628386	353936	
628387	407816	Herself (2003)
628388	73644	
628388	116492	
628388	128026	
628388	162084	
628388	206027	Sandrina
628388	269635	
628388	355708	Another Ballerina
628389	411509	Herself - Correspondent (1975
628390	100256	
628391	206008	L'infirmière
628392	80101	
628392	178749	
628392	336059	
628393	318644	Newsreader
628394	339649	Cafe Waitress
628395	235570	Lance's Wife
628396	382946	Analía
628397	185639	Georgiana
628397	287723	Rachel Beck
628398	380344	Countess Nordston
628398	388320	Madeleine
628398	390523	Miss. Terri Mooney (1980-1983
628398	396073	Jennie Evans
628398	396797	Foljambe
628398	409840	Lady Rose Crawley
628399	195689	Additional Model #4
628400	178189	Extra
628401	256477	
628401	350758	
628402	398794	
628403	162678	Lushi - as Girl
628404	110436	
628404	249459	
628405	76536	
628405	172747	
628405	359164	
628406	97590	Herself - Head of the Custom-
628407	35859	
628407	47782	Hazaykata na Lidiya
628407	60696	Peycheva
628407	130567	Zhenata na Grozdan
628407	132104	
628407	174683	Maykata na Tinko
628407	180128	Vuynata na Lilyana
628407	184305	Bolyarkata
628407	244468	
628407	250655	
628407	261331	
628407	264557	
628407	281077	Maykata na Kondora
628407	303117	Chistachkata
628407	324875	Maykata na Nasko
628407	354321	Lelyata na Georgi
628407	399115	
628408	306976	
628409	47130	Nurse Odette
628409	55675	Hattie
628409	333602	
628409	379716	Zora Jones, R. N. (2001-2002)
628410	339645	Karen
628411	11934	
628412	69942	
628412	202244	
628412	238306	
628412	247642	
628413	123722	Damini
628413	246902	
628414	32415	Narrator
628415	311449	Amazon
628416	205426	Little S
628417	408395	Herself - National Correspond
628418	317443	Instructor
628419	65598	Predicadora
628420	204354	Party Guest
628422	221175	Pregnant Woman
628423	136360	
628423	248423	
628424	190261	Liza
628425	30106	Sudeshna Mitra
628425	82210	Shashibhusan's wife
628425	173110	
628425	246359	Kopila
628425	373119	Anasuya
628426	208531	Asian Girl
628426	311534	Gita
628427	286514	
628427	354356	
628428	21744	Sandhya
628429	21744	Sandhya
628430	4287	
628430	4421	Mary
628430	17464	
628430	18494	Manjit, Bhishan Singh's wife
628430	28385	
628430	29068	Dumpko
628430	77279	
628430	85440	
628430	169042	
628430	175983	Freni Sethna
628430	176007	
628430	180724	
628430	184022	Gulbadan
628430	248960	
628430	359160	Ruby
628431	250585	Roma
628432	185835	Nurse
628433	21744	Sandhya
628433	43542	
628433	102096	Binita
628433	249843	
628433	250595	Sumitra
628433	287534	
628434	27704	
628434	98479	Seema (Neeta's sister)
628434	160559	
628434	165396	
628434	233214	Vidya
628434	284707	
628434	288848	
628434	357371	Annapurna
628434	396476	Draupadi
628434	406879	Sukanya
628435	132534	
628436	161198	Herself
628437	50440	Gudrun
628438	66835	L'Impératrice
628438	340212	
628439	41699	The Water
628440	174165	
628441	93829	Aubretta Young
628442	343310	Student
628443	9679	Hospital patient
628444	103877	Magalie
628445	259045	Arzi-Bibi
628446	92645	Satkhanassi
628447	319462	Herself
628448	404282	Channing Creighton Capwell IV
628449	404282	Channing Creighton Capwell IV
628450	41234	Myra
628450	90329	Molly Haines, sister
628450	128332	Dancer
628450	154868	Lillian Roth, age 15
628450	178204	Hillbilly dancer
628450	206069	Wally's girl friend
628450	235470	Teenage Girl
628451	136274	Woman in Chinese Restaurant
628451	209660	Girl
628452	131232	Extra
628453	131232	Extra
628454	45498	Mrs. Betuel
628454	80729	May Coleman
628454	281463	ICU Nurse
628454	308016	Nurse
628454	321319	Elaine
628454	321405	Mrs. Del Zoppo
628455	14203	Kitty - GoGo Dancer
628456	42388	Preacher's Wife
628457	284936	Miss Hag
628458	4694	Social workr
628458	5413	Judge
628458	13805	Julie's Mother
628458	29186	Meyer's Assistant
628458	34666	Cabot Party Guest
628458	40836	Motel Woman
628458	61656	Dr. Cross
628458	70426	Stevenston Waitress
628458	81753	
628458	141329	Edna
628458	150188	Manny's Mom
628458	150189	Manny's Mom
628458	151609	Nurse #1
628458	156970	Kristin's Mom
628458	160778	Tight Shoes
628458	163188	Mrs. Winterbarger
628458	176478	Jean McAvoy
628458	183639	Gallery Woman
628458	186131	Female Talk Show Host
628458	206444	Phyllis
628458	209526	Patty's Mother
628458	221100	Veg's Mom
628458	222721	Patrice
628458	224179	Janet
628458	224667	Mrs. McHugh
628458	233509	Housewife in Audience
628458	244447	Mary Pat
628458	253507	Ellen
628458	265578	Additional Voices
628458	265579	Additional Voices
628458	265580	Additional Voices
628458	272776	Tod's Mother
628458	275365	
628458	282562	Mrs. Quinn
628458	321184	Stevie
628458	329816	Lillian
628458	364647	Sheila Barnes
628458	387989	Mayor Rose Abbot (2004-)
628459	92742	Police officer #2
628460	77479	Zealot Child
628461	299689	Dazzler girl
628462	202065	Fillette à l'école
628463	51379	
628463	56951	Caissière bistrot
628463	70725	La secrétaire de Simon
628463	100307	
628463	122216	
628463	171284	Spectator
628463	208239	
628463	270909	
628463	398834	Madeleine
628464	1390	Interceptor Assistant
628464	185802	Victoria Davis
628466	266564	Belly dancer
628467	116559	Woman Clerk
628468	88102	Pregnant Wife
628469	335325	Olivia
628470	82699	Jenny
628470	213240	Heather
628471	47914	Girl In Coffee Shop
628472	65449	Emma
628472	68772	
628472	114364	
628472	171051	Sarah
628473	257990	Lucy
628474	117713	Attractive Woman
628474	360855	1st Beach Girl
628475	305571	Young American Miss
628476	282463	Harry Carver's secretary
628477	112182	Melody
628477	299726	Erica
628477	323440	Young Margo
628478	101752	Theresa Oezguel
628478	395667	Beate Sarikakis
628479	261866	
628479	285810	Said
628480	164547	Woman with Champagne
628480	298216	Eijon
628481	61329	Sarina
628482	279974	La mère du handicapé
628482	355513	Witch
628483	65449	Emma
628483	327756	Jane Henderson
628484	51958	Tamar
628484	56426	Rona
628484	144300	
628484	190374	
628484	215387	Na'ava
628484	249745	
628484	299435	Rebbe Pinchas's Daughter
628484	302114	
628484	326354	
628485	336977	La femme blonde
628486	394038	Athina
628486	406476	Skarmoutsou
628486	406756	
628487	180785	
628488	268112	
628489	196361	Augusta
628490	68422	Agnès Dumas
628490	92044	Violette
628490	94360	
628490	122361	La mariée
628490	171320	Pauline
628490	234278	Marj
628490	236605	Marie
628490	277785	Marie-Louise, dite 'Gladys'
628490	336930	Nathalie
628490	401329	Juliette Keller
628491	312140	Bunny von Schnickle
628492	21301	Herself
628492	304572	Valencia Merble Pilgrim
628493	407847	Saiki, Additional Voices
628494	66661	Reporter
628495	20811	Mariette
628495	57377	Georgette
628495	72066	
628495	116409	
628495	124987	Micheline
628495	169333	Member of the Maquis
628495	169346	
628495	208481	
628495	212161	
628495	228200	
628495	248988	Wife of Col. Tanguy
628495	346599	Acheteuse
628496	262129	Young Jacqueline
628497	388299	Shana (2003-)
628498	148800	Herself (interviewer)
628499	112924	Marla
628499	328555	Pamela/Christine Sedgwick/Mrs
628502	298184	Janet Ames (Child Sheena)
628503	53933	
628503	161753	Herself
628503	259359	Yvonne
628503	264439	Warden Exene
628504	404936	Presenter (1998)
628505	78770	Childs
628505	82463	Director's Wife
628505	157180	Nurse
628505	302464	Young Woman
628505	323155	Airline Representative
628506	221404	Dauda
628507	327641	Model #2
628508	113254	La Petite
628509	347023	
628510	21466	Brother's Wife
628511	185069	Girl
628512	364692	Card Player
628513	284442	First Violinist
628514	81052	Sobbing nun
628515	136496	
628515	261116	Stationery Saleswoman
628515	270844	Anne
628515	281301	
628515	345565	Colombine
628515	346567	Mme de Camps
628515	383117	La rédactrice infos
628516	393485	Herself (1989-1991)
628517	94423	Verkäuferin bei Schütz
628518	344917	Rani (Savitri's daughter)
628519	269892	Aborigine
628520	243800	
628523	11835	La vendeuse
628523	91445	L'allumeuse
628523	96415	La Femme De Seductive (French
628523	157235	
628523	217705	Josyane
628523	258150	Geneviève
628523	276152	Germaine
628523	321255	
628523	345109	Doune
628523	393772	
628523	403450	
628523	407381	Zia
628523	409454	Une comédienne
628524	68688	JFK's 3:30
628524	185549	Hiker Suzie
628525	120233	Young Suzanne Boxer
628526	142330	Phys. Ed. Bldg. Woman
628528	86243	Suzy
628529	26959	Joanne
628529	31681	Patti
628529	37894	Woman #3
628529	48224	(Voice)
628529	65630	Liza
628529	67606	Dede Perkins
628529	131380	Woman Customer
628529	133214	Leanne
628529	144347	Reporter #3
628529	218415	Additional Voice
628529	223918	Dumpling
628529	228297	Diana ("Growing Yourself")
628529	318854	Victoria Sykes
628529	337180	Fancy Bates
628529	338197	Elizabeth Ellison
628529	385772	Regular
628529	387020	
628529	387063	Mrs. Sheree Winkler
628529	389356	Bobbi Jo Bobb
628529	403836	Marcie McKinley
628529	407655	Samantha 'Sam' Keating (1983)
628529	408495	Art Fern's Tea Time Movie Lad
628530	48953	
628531	117754	Baby
628532	55624	Showgirl
628532	146011	Countess
628532	195252	Tailor's Assistant
628532	221044	
628532	261970	Louise Manning
628532	319181	Connie (Betty's roommate)
628532	347136	Clerk
628532	363282	Stewardess
628533	87924	Young Sandy
628534	402838	Gehuwde huwelijkskandidate
628535	200166	Sarah
628536	231631	Xiao Hong
628536	298331	Hong Suqing
628537	110600	Zhu Er's Wife
628538	33145	Jin Tian
628538	214614	Mrs. Yuan
628538	268934	Grandma
628538	374919	Tong Zhen
628539	25885	Zhao Xiang
628540	332344	Mother
628542	369048	Coach Yang
628543	356600	
628544	369588	Sun Cuihuan
628545	63434	
628546	369916	
628547	63276	Yushun
628548	52021	Huang Yan
628549	369802	Wen Ying
628549	370601	
628549	371121	
628549	373032	Zhang Yunyun
628550	8995	
628550	172407	Tian Ai
628550	299225	Xiao
628551	204927	He Yimin
628552	47423	Guard Mangman
628554	278537	Herself
628555	48703	Love Pendant Girl
628555	59664	Girl on Playground
628556	57782	
628556	136149	
628556	165789	
628557	3375	
628557	3433	
628557	12053	
628557	15370	
628557	21079	Mother of Luis
628557	23369	
628557	34054	
628557	50127	Petra
628557	53696	
628557	54234	
628557	56323	Funcionaria de la prisión
628557	58096	Carmilla
628557	61349	
628557	80280	
628557	85582	
628557	86870	María
628557	87066	
628557	103165	
628557	122033	Martina
628557	132711	
628557	135373	
628557	144729	
628557	162770	
628557	185911	
628557	199295	
628557	205669	
628557	205699	
628557	212490	Tía Chus
628557	214207	
628557	217464	
628557	227302	
628557	234333	
628557	247423	
628557	251703	
628557	255545	
628557	258619	Madre de Javier
628557	262606	
628557	265552	Justina, criada de don Leandr
628557	266408	
628557	269160	
628557	280430	
628557	286291	
628557	295832	
628557	308796	Calliope, the housekeeper
628557	308966	
628557	320217	
628557	339122	
628557	339181	
628557	339979	Saturna
628557	341079	
628557	343612	
628557	343724	Sor Piedad
628557	352152	Mujer visitante de la obra nº
628557	355120	Beggar
628557	392086	
628557	395979	
628557	408849	Fuencisla
628558	82726	
628558	322239	
628559	19449	
628560	82726	
628561	353935	
628562	334743	
628563	296188	
628564	373271	
628565	285241	
628566	137139	
628567	256693	La cameriera
628568	325741	Elsa
628568	325917	Elsa
628569	3555	Herself
628569	9084	
628569	20701	Girl with the pie (8mm movie)
628569	156095	Herself
628569	204830	Prostituta
628569	252551	Bom
628569	322407	Lucrecia
628569	369996	Herself - Presenter: Best Sup
628569	369999	Herself
628569	380095	
628569	382418	Bruja
628569	382565	Dorita
628569	383903	Herself - Host
628569	389677	Herself
628569	391445	
628569	395850	Herself
628569	397466	Herself - Miembro del Jurado
628570	324502	Dancer
628571	25560	
628571	160879	
628572	153656	
628572	184209	
628572	268583	Voskehat
628573	153656	
628574	235618	Art Test Model
628575	97212	Clare O'Brien
628576	2987	
628577	43543	Traumpassagier
628577	405696	Litzi Meinertzhagen
628578	87282	Katey Miller
628578	154102	Cassandra Mortmain
628578	160354	Siobhan
628578	185451	Young Elizabeth
628578	231439	Kate Nickleby
628578	350506	Amelia Sedley
628578	380844	Zoe Atkins
628578	385659	Gwendolen Harleth
628578	401229	Charlotte
628579	18999	
628579	148480	
628579	385024	Soninha
628579	387838	Marisa Norman
628579	401087	Letícia
628579	402685	Luiza Saucer
628579	403616	Cidinha
628579	404165	Clarice
628580	147929	
628580	182651	
628580	201967	
628580	237167	
628580	256683	
628580	322080	
628580	357819	
628580	387360	Parasztasszony
628581	94391	
628582	58233	
628583	147152	
628584	366780	
628585	218272	Une danseuse
628586	243758	L'abbé Moral
628587	374407	
628588	72550	Nina Jean
628588	74077	Vendeuse
628588	83855	Dorimène adulte
628588	195137	Fonctionnaire fumeur
628588	208128	Evelyne Monbars
628588	224909	Madame Michaud
628588	319811	
628588	382220	Mélaurie Fraser-Bastarache
628588	383664	Nadia
628588	386080	Johanne Lavigne
628588	386497	Sophie Deslauriers
628588	395094	Maryse Couture
628588	395095	Maryse Couture
628588	395096	Maryse Couture
628588	395863	
628588	397944	
628588	398078	Enquêteuse
628588	398172	
628588	400384	Suzanne Lavallée
628588	402557	
628589	184044	
628590	257350	
628591	198567	Jogger
628592	399764	Micaela
628593	103929	
628593	198626	
628593	205491	
628593	254070	
628593	340680	
628593	357019	Emilienne
628594	144337	
628594	234310	Secretary
628594	324929	
628595	402688	Isabela Uzcátegui
628596	19222	
628597	156314	
628597	157125	
628597	207771	Une surveillante
628597	349656	Marianne
628597	377601	
628598	14828	
628598	19946	
628598	57828	La nonna di Elisabetta
628598	86334	(segment "Non nominare il nom
628598	90001	Maria
628598	94698	Suor Genoveffa
628598	97170	
628598	118070	La suora dell'ospedale
628598	124201	Nunziata, la domestica della 
628598	155669	
628598	158704	Rosa
628598	161841	Il signora del telegrafo
628598	183494	
628598	188602	
628598	198493	La madre di Lisca
628598	229153	La governante di Leonardo
628598	230080	La direttrice dell'istituto G
628598	236187	Gliceria, la comare
628598	238286	
628598	255118	La nonna di Rico
628598	255127	La signora Teresa Rigey
628598	260044	Angiola
628598	269640	
628598	273154	Costanza, la governante
628598	278892	
628598	281113	Giovanna, l'anziana damigella
628598	338702	Maddalena
628598	339066	La nonnina al ricovero
628598	353856	
628599	13066	
628599	43768	
628599	180850	Consuelo
628599	215014	
628600	69662	Extra
628601	8841	First dancers
628602	280882	
628603	139001	Cinnamon 'Lockjaw' Smith
628604	59326	
628604	104022	
628605	100306	
628606	101967	Azafata 2
628607	310302	Italian Couple
628608	59099	Expectant Mother
628608	220057	Pregnant Woman
628609	376964	Claire Belmont
628610	99055	Xenon's Roommate
628611	41766	
628612	42055	Indiana State Trooper
628612	66991	Sylvie Hargrave
628612	67380	Amanda
628612	85006	Female Reporter
628612	105354	Maria
628612	107831	Jo
628612	116774	Hamish receptionist
628612	120099	Susan
628612	144593	Phoebe
628612	262529	Rachel
628612	277787	Sarah Portelance
628612	299954	Amela
628612	331643	
628612	346327	Script Girl
628612	363668	Mimi
628612	369195	Patty
628612	402379	Dr. Claire Davison
628612	406621	Melinda Hatcher
628612	407589	Regan
628613	101967	Azafata 1
628614	247845	
628615	356417	Gaukhar
628616	152319	Merengue Dancer
628617	10903	Mother
628618	265679	Teacher
628619	97170	
628620	58312	Magdalena
628620	172488	
628620	214248	Refugee
628620	259133	
628620	373637	
628620	399767	
628621	385151	Additional Voices
628621	408893	Additional Voices
628622	158056	Gabrielle Maria DiCarlo
628623	359801	Nicole Mendes
628624	158056	Contessa Luciana Maria Novell
628625	371271	Cecilia Antúnez
628626	260615	
628627	111254	Police officer
628627	124424	Sarah
628627	203449	Conchita
628627	227300	La prof. du lycée technique
628627	269244	Solange
628627	324461	Nina
628627	340184	Delphine
628627	352926	Yasnina
628628	190261	Josie
628628	292696	Millie
628629	36482	
628629	198566	La jeune mère
628629	225408	
628629	225528	
628630	123063	Journaliste
628630	260900	Alessandra Albani
628631	80833	Maggie warren
628631	193181	Stripper
628631	305157	Maybelline
628632	384775	
628632	390085	Fernanda
628633	317805	Erica
628634	260229	Woman friend
628635	150723	Esther's girlfriend
628636	140162	Aunt Lily
628636	259407	Townsfolk
628636	297893	Mrs. Brody
628636	358114	Albanian Grandmother
628637	35685	Terri Nelson
628637	175795	Amy
628637	233690	Brianne Wilder
628637	304535	Witz's mom
628637	329323	Sultry Older Woman
628637	337163	Amy
628637	387152	Leslie Carrington Saunders (1
628637	389858	Victoria Parker (1993)
628637	391262	Ashton Main Fenway
628637	398409	Dr. Judy Tyson
628637	399684	Ashton Main Huntoon
628637	399685	Ashton Main Huntoon
628637	404282	Suzanne Collier (1991-1992)
628637	407916	Allison Linden (1982)
628638	6139	
628639	2234	Melissa
628640	77206	Young Betsy Allgood
628641	8837	Una sacerdotessa
628641	226146	Anna
628642	6291	
628642	8121	Marina's Mother
628642	9863	
628642	20116	
628642	20125	Mrs. Androniki
628642	23183	
628642	23407	Mrs. Kourouzou
628642	24512	
628642	82191	
628642	93893	
628642	97876	Antigoni Zoubouli
628642	100633	Faneromeni
628642	106468	
628642	108640	
628642	121083	
628642	127369	
628642	127442	
628642	137866	
628642	139718	
628642	151864	
628642	172822	Mrs. Ageloutsou
628642	174472	
628642	178690	
628642	178783	Eleni
628642	179407	
628642	180287	
628642	180348	
628642	180351	
628642	180561	
628642	181392	Tassia
628642	192838	Katerina (Maid)
628642	201974	
628642	205964	
628642	209761	
628642	211485	Mother
628642	212566	
628642	212569	
628642	212604	
628642	213048	
628642	225922	
628642	229957	
628642	239167	
628642	248695	Mrs. Delakovia
628642	304122	
628642	306963	Widow
628642	326217	
628642	327121	
628642	329264	
628642	330326	
628642	356918	Mme. Vlahopoulos
628642	370593	
628642	374635	
628642	387711	
628642	401007	
628643	104768	Greek entry (9th place)
628644	120373	Harriet Bosse
628644	399797	Kerstin
628645	118827	Ale
628646	378374	
628647	48169	Janine Creedlow
628647	216486	
628647	372097	Nancy Everett
628647	382505	Andrea Little (2002-2003)
628647	395313	Beth Greenway
628648	31637	Bikini Audition Girl 17
628648	46534	Rene
628648	55093	
628648	80723	Carrie Jacobs
628649	198018	Girl in Tavern
628649	342303	Magdalena Rudenschöld
628650	64982	
628650	69000	
628650	77880	
628650	86875	
628650	102950	
628650	112037	
628650	118171	
628650	121296	
628650	124528	Marcela
628650	142738	
628650	145181	
628650	189035	
628650	207659	
628650	212539	
628650	215216	
628650	216759	
628650	234344	
628650	253278	
628650	265534	
628650	275845	Gisela
628650	278940	
628650	285076	
628650	287454	
628650	317919	
628650	337570	
628650	338162	Elena
628650	349955	
628650	402540	
628651	3039	Herself
628651	3706	Herself
628651	17512	Anna Christie
628651	17513	Anna Christie
628651	17543	Anna Karenina
628651	21540	Zara
628651	37255	
628651	52904	Marguerite Gautier
628651	56579	
628651	69676	Countess Marie Walewska
628651	88098	Marianne
628651	103723	
628651	115263	Felicitas
628651	124004	Herself
628651	124056	Herself
628651	131677	Herself
628651	132182	Herself
628651	132806	Grusinskaya
628651	134241	Herself
628651	136711	Countess Elizabeth Dohna
628651	144027	
628651	144100	Herself
628651	147917	
628651	160618	Yvonne Valbret
628651	178161	Irene Guarry
628651	180082	
628651	195288	Anna Karenina
628651	195500	Gag photo
628651	195613	Herself
628651	197138	Greta
628651	198018	Maid
628651	203747	Herself
628651	205185	Herself
628651	206232	Herself - in scene from 'Gran
628651	207582	Mata Hari
628651	224597	Tania Fedorova
628651	233044	Ninotchka (Nina Ivanovna Yaku
628651	246730	Katrin Koerber Fane
628651	269285	Queen Christina/Count Dulan
628651	280846	Madame Rita Cavallini
628651	288613	Ninotchka
628651	291396	Herself
628651	302773	Arden Stuart Hewlett
628651	303574	
628651	316890	Actress in Silent Movie
628651	320203	Susan Lenox
628651	327645	Elena
628651	329563	Herself
628651	329565	
628651	336258	Leonora Moreno, aka La Brunna
628651	343249	Karin Borg Blake, aka Katheri
628651	365382	Lillie Sterling
628651	367547	Diana Merrick Furness
628652	91298	
628652	101630	
628652	132638	Marlene
628652	155196	
628652	204740	Ellen
628652	207980	
628652	212441	Ingrid
628652	233974	
628652	246420	
628652	247879	
628652	292704	
628652	296505	
628652	302310	
628652	328736	Melita
628652	333534	Helen
628652	336668	Shirley
628652	341882	
628652	376817	
628652	376836	
628653	313189	Playboy Mansion Guest
628654	10288	
628654	84682	Une des jeunes filles
628654	225432	
628655	101441	
628656	401665	Marcelina
628656	410485	Wladyslawa
628657	78976	News Reporter #4
628658	293021	Stephanie Blair
628659	49028	Dancer
628660	267486	Baby Sheara
628661	267486	Baby Sheara
628662	288943	Embassy Personnel
628663	84596	La fleuriste
628663	100165	Infirmière
628663	132796	
628663	218577	
628663	332271	Gilberte
628663	341850	Soeur Berthe
628663	378858	Murielle Simard
628663	401983	Germaine Dubé
628664	343875	Maggs
628665	139030	Judge II
628666	292964	
628667	164364	Nurse
628668	269969	
628669	15037	Geneviève
628670	307700	
628671	114266	Cris
628671	204598	
628671	207039	
628671	207124	
628671	295697	
628671	318535	
628671	355786	Herself
628672	143702	
628673	249671	Kioskera
628674	203344	Camila
628675	273423	Singing Woman
628676	391725	
628677	13112	La fille du Masque
628678	57070	
628679	275094	
628680	213705	
628680	353235	
628681	10663	
628681	35093	Ruby Derain (young)
628681	44379	Lola
628681	45638	Caitlan (segment "L.T.R")
628681	51823	Gloria Ramos
628681	74029	Gina
628681	131447	Nurse
628681	148437	
628681	183004	Caitlan
628681	195021	Nicole
628681	310262	Cristina at 17/Narrator
628681	379694	Lydia
628681	390631	Maria Tiant
628682	186283	
628682	186677	
628683	357192	
628684	56446	
628684	303747	Employer
628685	315777	Student
628686	79716	Headline Reporter
628687	212624	Caroline Horner
628687	380159	Anabel
628688	274895	
628689	50793	
628690	88058	
628691	246193	
628692	410303	
628694	103366	Wake flirt
628695	42799	Additional Finale Dancers
628696	372570	Deluvina Maxwell
628697	5269	
628697	24673	Narrator
628698	66286	Bella
628698	319542	Starr
628698	351775	Kappy
628699	115115	Herself
628700	126165	Sonia's mother
628701	222197	
628701	318535	
628701	387832	Cecille's Friend
628701	390069	Corrine Apostol
628701	404246	Charity
628702	133113	Mio
628703	106391	Biddle's girl
628703	215845	Anjelica
628703	309213	Gypsy
628703	319902	Waitress
628704	196608	Clueless Girl #2
628705	274200	Woman with pink hair outside 
628706	281467	Cheryl
628707	198001	Rosary
628708	197040	Desk Clerk #1/Clerk #2
628709	159863	Wendy
628710	82248	
628711	26507	Nikki
628712	304734	Medical Student #2
628714	330057	Petey's Girlfriend in the Par
628715	245219	Bartender
628716	398494	Annabelle
628716	404049	Niknik Bernardo
628717	286536	
628718	143486	
628719	237856	The woman
628720	304734	Medical Student #2
628721	243444	
628722	383519	Marcelina
628723	196397	
628724	177969	
628724	385703	Raquel
628724	404049	Thelma
628724	404050	Lani's Mother
628725	384573	
628726	195309	
628727	40678	Navaro
628728	275021	
628729	64447	Hysterical Maid
628730	375847	Chola
628731	357052	La pompiste
628732	234008	Marta
628732	384795	Marta (1998-2000)
628733	71140	
628734	68609	Mulher do Pic-Nic
628734	165733	
628734	380097	Flora
628734	380120	Maria
628734	380196	Oneide
628734	380386	Rosemary
628734	381523	Ana
628734	383727	Eliete Coimbra
628734	385023	Heloísa Fonseca
628734	385876	Maria de Fátima
628734	387902	Luciana Teixeira
628734	393006	Lídia Siqueira
628734	395044	Yoyô Galhardo Martins Fraga
628734	396126	Mercedes Miranda
628734	399481	Isadora
628734	400678	Angela
628734	403618	Ana Maria D'Ávila
628734	404960	Isabela
628734	405810	
628734	405936	Lúcia
628734	409898	
628734	412179	Maria Helena
628735	55343	
628735	57465	
628735	104082	
628735	124241	
628735	135268	
628735	225949	
628735	350142	
628735	356967	
628736	30892	
628736	356035	
628737	165009	Brooklyn Rapper
628738	81079	Brenda
628739	95045	Ghee Young Kali
628739	212027	Screaming Woman in Underware
628739	392693	Louisa Esperanza Morales
628740	44437	Child at funeral
628740	248108	Girl in bar
628741	157099	
628741	226861	
628741	234848	Kathy
628741	288113	Miss Minchin
628741	356605	Kelly/Celphora
628741	388282	
628741	394247	Lady Morganna Frost Arcangel 
628741	400738	Claudia Buenavista
628742	287761	Herself
628743	55120	Marisol
628744	244824	Maria
628744	267604	Indian girl
628745	3942	Naomi
628745	14132	Christy
628745	147967	Joyce Cass
628745	196209	Susie
628745	235403	Sandy Sue
628745	380589	Sam (1994-1996)
628745	389416	Julie Shepard
628745	403014	Cheyenne Hart-Montgomery
628746	286228	Waitress
628747	215697	Miss Puerto Rico
628748	213751	Milagro Townsperson
628749	118548	Rita's Younger Sister
628752	305941	Young Rita
628753	76580	
628753	115740	
628753	173634	
628753	339813	Celine's Mom
628753	380345	Agnes (1996-99)
628753	400738	Elizabeth
628754	86388	Pearl
628755	88794	(segment "O Filminho")
628756	138902	Coffee Girl
628757	80065	Michelle
628758	240674	
628759	62513	
628760	52734	(Episode 2)
628760	162113	
628761	276835	Hreself
628762	326333	
628763	29004	Herminia
628763	74152	Carolina
628763	84533	
628763	112764	
628763	117943	
628763	123750	Cipriana
628763	183528	
628763	234635	
628763	243390	Mãe de Maicol
628763	243391	Serafina
628763	269902	
628763	287889	
628763	355832	
628763	379101	
628763	379183	
628763	379451	Sebastiana
628763	380331	Aparecida 'Cida' Ribeiro
628763	380563	Mundica
628763	381223	
628763	383294	
628763	384480	Lola
628763	386122	Mariana
628763	386727	Flaviana
628763	387804	Rosa
628763	388998	Lana
628763	391313	
628763	391901	Luana
628763	396847	Rita
628763	396886	Leila
628763	397804	
628763	398220	Duda
628763	400444	
628763	400656	Rute
628763	404798	Elza
628763	406833	Selma
628763	408381	
628763	410054	
628763	411585	Bastiana
628764	353605	
628765	3134	Herself
628765	302901	Flowershop attendant
628765	377490	
628766	302535	
628767	235022	Roman Slave #3
628768	57469	
628768	362538	Dance School Student
628769	151290	Juan's Mother
628769	314465	Lupe
628770	132671	
628771	284456	Prisoner/dancer
628772	48782	Mother
628773	328729	
628774	119334	Peasant Woman #2
628775	197758	Female guard
628776	245982	BJ
628777	2079	Herself
628777	126619	Herself
628777	195558	Dancer
628777	285060	
628777	379189	Herself
628778	83230	Russian Girl
628779	363560	Girl at Club
628780	15041	Madame Villiers
628780	45736	Le juge Delaunay
628780	71528	Madame Frangin
628780	86727	Gestionnaire du collège
628780	94428	
628780	118841	Lulu
628780	198574	La vendeuse de prêt-à-porter
628780	209944	Buyer 3
628780	218255	Marguerite Batignole
628780	224894	
628780	235850	La sexothérapeute
628780	257043	Madame Santini
628780	261729	Laurence Fauvert
628780	268940	
628780	291584	(segment "Quand j'étais petit
628780	309034	Justine Mallet
628780	345444	Le procureur
628780	357093	
628780	377697	Sonia
628782	384507	Mini Animadora (1998)
628782	403904	Dancer
628782	406972	Dancer
628782	406994	Lead Singer & Dancer (Dancer)
628783	64833	Woman at left of table in res
628784	194136	Cheerleader
628785	28553	
628785	36672	
628785	38838	La sage-femme
628785	39711	
628785	43001	Linette
628785	46006	Lola
628785	67761	
628785	68775	Lourdes
628785	73472	Sophie
628785	89281	Dallas
628785	120431	Sheila
628785	201114	Isabelle
628785	208277	La femme de ménage
628785	214003	
628785	217689	
628785	228523	Sandra
628785	248246	Violaine
628785	261722	La vendeuse de journaux
628785	264222	
628785	335081	Catherine
628785	345133	
628785	346646	La nièce
628785	376987	La mariée
628786	407495	Nova - 'Planet of the Abes' (
628787	51989	Prison Inmate
628788	1134	
628788	2645	Catherine Carre
628788	19201	Violette
628788	23771	Françoise
628788	24314	Blanchette
628788	32027	Martine
628788	35351	Margot Fisher
628788	52698	
628788	54403	Diane
628788	57289	Marie-France
628788	70516	Lenore Carvo
628788	70939	Hélène Mauve
628788	83208	Marie
628788	83362	Coco
628788	94805	Jeanne/Elsa
628788	107245	Docteur Martine Bressian
628788	107455	
628788	111019	Cécile
628788	121416	Jeanne
628788	124322	Claire
628788	125470	La jeune fille verbalisée
628788	132863	Elizabeth
628788	146380	L'amie
628788	149113	Patricia Caron
628788	159210	Anna
628788	166336	Jeanne
628788	175549	Anna Polaris
628788	194687	Mall Quartet Player
628788	197393	Carlotta
628788	198342	Barny
628788	205610	France
628788	217705	Janine Garnier
628788	219442	Mme Le Guenn
628788	219471	Mme Grigny
628788	219518	Elaine Briand
628788	220219	Marie
628788	229013	Edith
628788	238854	Karmele
628788	245484	Zon
628788	248899	Yvonne
628788	249398	Marion Wormser
628788	254119	Mado Marceaux
628788	261468	
628788	265347	Herself
628788	268446	Julia Tombsthay
628788	268826	Anna
628788	269223	La Fillon
628788	269693	Agnès Charlegue
628788	284666	
628788	314350	Stella
628788	339967	Mme Driant
628788	345270	Elle-même jouant 'Deux sur la
628788	345285	Fanny
628788	345312	Herself
628788	345321	Moune
628788	345404	Sonia
628788	347566	Anne Meyer
628788	353057	Francesca
628788	377901	Florence Vannier-Buchet
628788	389784	Agnès de Navarre
628788	396370	Monique
628788	409602	Anne
628788	410376	Adrienne Lecouvreur
628789	132739	Maria
628789	326467	
628789	386284	
628790	294972	
628791	293646	
628792	339172	Mathilde
628792	378986	
628792	392986	Laura del Solar
628792	409283	Adriana Godán años 60
628793	7413	Marie, French Child
628793	53621	Motorcyclist
628793	59548	Miss Ambar
628793	141097	
628793	151290	Pisces Girl
628793	217308	
628793	241125	Alicia
628793	314465	Petro's girlfriend
628794	380654	Melinda Sherman
628795	252974	Lola
628796	89993	
628797	68609	Mônica
628797	341155	
628797	380120	Loreta
628797	381849	
628797	383678	
628797	386417	Marizé
628797	388998	Viviane
628797	401010	Juliana
628797	402149	
628797	404814	Carminha
628797	404960	Lucinha
628797	407281	Narizinho (1977-1980)
628798	28946	
628798	166375	
628798	166379	
628798	166380	
628798	166384	Anjo
628799	30291	
628799	30292	Zinah, his daughter
628799	31707	
628799	33922	Bit Part
628799	264730	Second Tired Businessman's Wi
628799	352829	Kati
628800	305734	Waitress
628802	194753	Runaway #1
628803	93323	Rachel
628804	980	Agent September
628805	245219	Sharlene
628806	12931	
628806	21138	
628806	43581	
628806	53846	
628806	104486	
628806	119678	
628806	237936	Monica
628806	262302	
628807	101247	
628808	59099	Maria
628808	106493	Maria
628808	121649	Senorita at Torito's
628808	168253	Helen Sanchez
628808	185420	Maria
628808	257765	S. African Businesswoman
628808	264756	Satan's Sinner
628808	297880	Christmas Party Guest
628809	28871	
628809	324616	
628810	324840	Maria
628811	134011	Mysterious Lady
628812	91254	Zigeunerin
628813	103774	Andrea Estrera
628813	112787	
628813	136907	
628813	156182	
628813	166363	
628813	181625	
628813	332983	
628813	387832	Andrea Estrera
628813	404246	Cecilia Fulgencio
628814	388224	Nasreddin's
628815	149138	Bar-Girl
628816	214585	Minerva
628816	269855	Prostitute
628817	85133	Quiet Room Raver
628818	9776	
628818	207039	
628818	247539	
628818	380345	(1999-2002)
628819	153241	
628820	62579	Street Hooker
628821	174485	
628823	332845	Aloha as Girl
628824	387886	
628825	349575	Sara
628826	83337	Myriam
628826	182949	Kathy Marguet
628826	249081	Agathe
628826	377477	Lola
628827	32391	Nell
628828	17846	
628828	23788	Mathilde
628828	57474	
628828	120986	La reine Sophie-Dorothée
628828	228198	Teacher
628828	239222	
628828	275661	Mme Nueil
628828	288042	Mme Debée Leeman
628828	320274	
628828	325076	Dorine
628828	345431	
628828	401972	Clothilde
628828	402103	Mady Mara
628829	14219	Psychic Lady
628829	41933	Beverly
628829	130275	Latina Passenger
628830	124579	Julieta
628830	385070	Laura Salda?a
628830	385402	Verónica Gleizer
628830	387573	Various characters
628830	398842	Various characters
628830	401358	Romina
628830	403006	Herself
628830	403021	Luz Leguizamón (2002)
628830	405916	Elizabeth
628830	409957	Various characters
628831	2814	
628831	13875	Nurse
628831	16442	
628831	35502	Madame Batin
628831	57510	Dominique
628831	59511	Lucie
628831	68381	Religious woman
628831	68401	L'infirmière-chef
628831	72055	Biju
628831	73308	Ida
628831	77175	Ma James
628831	80100	Herself
628831	84100	La chaisière
628831	84647	
628831	84695	Henriette
628831	88845	Ginette
628831	90056	Rose
628831	95344	Ginette Lajoie
628831	100738	
628831	101827	Marguerite
628831	105738	Madame Sartène
628831	115360	Mathilde
628831	116317	Dame Barde
628831	123684	Ginette
628831	125841	Méline #1 (la souris)
628831	132838	Simone
628831	134923	Marianne Huchemin
628831	135428	Fernande
628831	148647	Arlette
628831	148775	
628831	156279	La concierge
628831	157072	
628831	168800	Germaine
628831	170468	Mlle Quiblier
628831	183235	Madame Chardin
628831	200937	Denise
628831	208220	Louisette Vincent
628831	216118	Ernestine
628831	217221	Ginette
628831	217689	Woman In Shawl
628831	223216	
628831	229044	Madame Lafarge
628831	229078	Maryvonne
628831	235714	The florist
628831	235717	Maryvonne
628831	244741	Marie-Charlotte
628831	248257	Fernande
628831	249038	La clocharde
628831	249461	La domestique du curé
628831	251290	Zoé
628831	255598	Madame Pradonet
628831	255659	
628831	282299	Mère Potard
628831	292890	Marinette âgée
628831	327540	L'hôtelière
628831	336979	La script chanteuse
628831	338003	La mère de Béatrice
628831	341506	Lulu
628831	345238	Mme Longin
628831	347566	Ginette
628831	353824	Soeur Louise/Sister Louise
628831	376914	La belle-mère
628831	377726	Guite
628831	385683	Honorade Beauval
628831	388313	Jeanne Ferrière (2001-????)
628831	391479	La voisine
628831	393399	Adèle
628831	396037	Hélène
628831	396805	Mamma
628831	397192	
628831	399642	La Noiraude
628831	402357	
628831	402529	Madame Cotte
628831	402814	
628831	405460	La Concierge
628831	407273	Herself
628831	409602	
628832	68381	
628832	73719	La soubrette
628832	101203	Marguerite
628832	103203	Vendeuse pressing
628832	148647	Paulette, Maid
628832	156321	Carole, la vendeuse
628832	251290	Fille ainée du soiffeur
628832	338572	Olympe
628832	377238	Badaud #2
628832	377989	
628832	391479	Isabelle
628833	249038	
628834	13122	Catherine, fille de Jeanne
628835	295522	
628836	29703	Héloïse, la femme de Barbe-Bl
628837	283914	Carol
628838	171346	
628838	277926	
628838	345248	
628839	1613	
628839	9946	
628839	10255	
628839	55947	Nora
628839	69122	
628839	77235	
628839	77261	
628839	80266	
628839	88799	
628839	98641	Gloria Milalta
628839	125758	
628839	132637	
628839	148086	
628839	177053	
628839	198205	
628839	199922	
628839	199938	Felisa
628839	202119	
628839	210262	Invitada 5
628839	212440	
628839	221563	
628839	244639	
628839	273650	
628839	281605	
628839	353561	
628839	354046	
628839	354460	
628839	376735	
628840	2416	
628840	5264	
628840	5269	
628840	30851	
628840	42652	
628840	50147	Doña Úrsula
628840	51308	
628840	56001	
628840	56449	
628840	68566	
628840	71374	Herself
628840	73517	
628840	76104	
628840	101833	
628840	132709	
628840	136858	Herminia
628840	145179	Doña Helena
628840	186671	
628840	206018	
628840	211171	
628840	212463	
628840	212542	
628840	233548	La madre de Pedro
628840	236010	
628840	255545	
628840	259851	
628840	265552	Elena García
628840	276003	
628840	296500	
628840	307701	Isabel
628840	326144	La señora devota
628841	14807	Laura
628842	293915	
628843	65754	Francesca
628843	78107	Alvina
628843	138348	Harassed sister
628843	139540	Maria
628843	139751	Mina Fuentes
628843	190273	Janice
628843	203319	Therese
628843	205268	Yolanda Quinones
628843	258101	
628843	311183	Francesca Montoya
628843	313989	Cashier
628843	390771	Pilar Santos (1999-2001)
628844	39083	
628845	278424	
628846	267398	
628847	25004	
628847	74144	
628847	91319	
628847	131971	
628847	135301	
628847	206985	
628847	265113	
628847	354903	
628847	376795	
628847	378423	
628848	56932	Amalia, visitante de Enriquet
628848	70749	Mujer chalet
628848	145137	
628848	249775	
628848	301151	Doña Teresa
628849	340227	Woman
628850	213759	Sra. Peláez
628851	187716	
628852	202599	
628853	252519	Woman on TV
628853	275067	
628853	390456	Host
628853	397822	Host
628853	407735	Newsreader (1985-1987)
628854	390450	Herself
628854	393527	Host
628855	122226	
628856	122226	
628857	404076	Colaboradora (2002-2004)
628857	412147	Entrevistadora
628858	5268	
628859	91402	
628860	287439	
628861	1138	Lola
628861	9084	Roxana
628861	9945	Ami
628861	14419	
628861	16339	Andrea
628861	19945	Eli
628861	48777	Mujer Policía
628861	127896	Azafata de Congresos
628861	165022	Nerea
628861	302358	Chica Piscina
628861	334666	Enfermera 3
628861	353017	Herself - Presenter: Best Sho
628862	276563	
628863	99356	
628864	324924	
628865	284331	Moza del bar
628866	169792	
628867	309333	
628868	69253	
628869	48825	
628869	115819	Dolores
628869	396180	Roxana 'Roxi' Barbut
628869	398816	Nurse
628869	400661	Irma Zaldívar de Jáuregui 'La
628869	408856	
628869	410453	(2000)
628870	160510	
628871	194435	
628872	78550	
628872	227565	
628873	17073	Caroline (old movie)
628873	60275	Stella
628873	67596	Julie
628873	84002	Party Guest
628873	102247	Cheryl
628873	103375	Shelley
628873	114974	Claire, la préceptrice
628873	190593	Stephanie Ward
628873	195221	Jennifer
628873	231511	French Woman
628873	255169	Museum Information Lady
628873	262019	
628873	276396	Monja
628873	298091	Fantasy Girl
628874	82399	
628874	92813	
628874	194437	
628874	269308	Hélène
628875	380157	Host
628875	387859	Host
628875	402283	Host
628875	402712	Host
628876	103201	Herself (Finalist)
628877	112073	Jeune fille 1
628877	393024	
628878	35020	Rosa
628878	100390	Beatriz
628878	226483	Susana
628878	334656	Alicia
628879	19455	
628880	19463	
628880	148053	
628881	71002	
628882	70690	
628883	71364	
628883	253318	Mujer asaltada
628884	18359	
628884	55210	
628884	206277	
628884	269567	
628885	20713	Salomé
628886	5105	
628886	8574	
628886	12527	
628886	14712	
628886	55741	
628886	55911	
628886	61360	
628886	76094	Doña carmen
628886	80223	
628886	91423	
628886	103753	
628886	108740	
628886	111577	
628886	132374	
628886	132709	
628886	135288	Domi
628886	143670	
628886	146494	
628886	148053	
628886	159187	
628886	202556	Señora de los modelos
628886	252612	
628886	273844	
628886	274861	
628886	284584	
628886	309087	Actriz
628886	322400	
628886	332584	La dueña de la pensión
628887	143757	
628887	389139	
628887	392034	Filo
628888	351494	
628889	80189	Lucia
628890	249910	Niña guarderia
628891	378843	Host (1982)
628891	379003	Host
628891	384990	Host
628891	386063	Host
628891	387868	Presentadora
628891	407735	Newsreader (1981-1983)
628891	410481	Presentadora (1983-1984)
628892	294829	Pretty Whore
628893	213759	Profesora cursillos
628894	189298	
628894	220755	Emilia
628896	97372	
628896	288034	
628896	378958	
628896	380514	
628896	408856	
628896	412194	
628897	302403	Invitada a la fiesta de Mario
628897	332598	Cliente 5
628897	376786	
628898	395853	Herself - Host
628899	105462	Young Erminda
628899	383718	Vicky
628900	70065	
628901	255488	
628902	350138	Child
628903	391847	Martina
628904	383366	Host
628905	12148	Hija
628906	27313	Estrellia, Jesus' Wife
628907	205700	
628907	213756	Singer
628907	337564	
628908	80619	Fiesta Dancer #6
628909	378415	
628910	64634	
628911	114873	Dancer: Escuela Flamenca Mati
628912	322325	Rubia Prostituta
628913	277899	Girl
628914	57777	
628915	3462	Armancia
628915	65173	Clara Adolescente
628915	384795	Nadia (1999-2002)
628916	109284	Milagros
628917	3439	
628918	81790	
628918	190171	TV reporter
628918	246408	
628918	329094	Cassie
628918	346016	Inmate
628919	74846	
628919	92865	Elderly native woman
628919	322851	Bailarina
628919	376786	Asistenta
628920	390899	Marco
628920	409463	Azafata (1972-1973)
628920	410570	Milady
628921	74641	Entrevistadora
628921	83311	
628921	112040	
628921	249776	
628921	253665	
628921	380099	Lucrecia
628921	398473	Alicia
628921	409017	
628921	409719	Celia Alonso
628922	100268	
628923	387100	Silvia
628925	25069	child
628926	246950	Princess
628927	51538	child
628927	355958	
628928	318265	Sirvienta
628929	10230	Maria
628929	113022	Hilda
628930	100311	
628931	193344	Odalisca 3
628932	143757	
628933	84067	Anita niña
628933	191497	
628933	233345	
628934	287413	German Woman
628935	170451	Nurse
628936	132675	La melindres
628937	234393	
628937	336249	
628938	56523	Dancer
628939	34565	
628940	71140	
628940	261223	
628941	197550	Boarding House Owner
628942	61819	Social Worker
628942	236982	Dayroom Woman #5
628943	381330	Doña Chayo
628944	275092	
628945	380097	Lizete
628945	386212	Alice
628945	396610	Katia (2002)
628945	401087	Rafa
628945	401900	Simone
628945	402626	
628946	98976	Child
628946	379899	
628947	380122	Gudelia 'Gloria'
628947	408205	Sandra Garay
628948	214657	
628949	175076	Solitaria
628949	234004	
628950	381921	Herself
628951	96313	
628951	379559	Eloísa (1997)
628951	383174	Marcela Vallejo Cortez
628951	392352	Julia/Jimena
628951	400946	Norma Elizondo
628951	401258	Sofía Santana
628951	403290	Soledad Santander/Mariana Rui
628951	407649	Diana Rivera
628951	410082	Victoria
628952	249889	
628953	2408	
628953	383206	
628954	76384	Latin Dancer
628955	297101	Bailiff
628956	162712	
628956	352152	
628957	69909	
628958	101894	
628959	86817	Dulce
628959	100293	Alicia
628959	221739	Monja
628960	389788	
628961	3101	Daughter
628962	122985	Herself
628962	379004	Host
628963	122768	Tania
628963	389235	Gisela
628963	398473	Andrea Gómez
628963	410477	Dolores 'Lolita' Padilla Vale
628964	284456	Rachel's double
628965	378440	Mama de Toito
628966	5465	Esther García (herself); fema
628966	136987	Public Official
628966	224089	
628966	251580	La taxista
628966	334678	
628966	354265	Herself - Winner: Best Produc
628966	369870	Herself - Winner: Best Produc
628967	128151	Señorita
628967	353977	
628968	6478	Naboelk
628969	14657	
628969	20677	
628969	27866	
628969	29060	
628969	52954	
628969	53672	
628969	55348	
628969	64435	
628969	74579	
628969	76013	La Chicle
628969	82248	
628969	82250	
628969	101595	
628969	148158	
628969	212433	
628969	213395	
628969	221710	Maria
628969	221961	
628969	248233	
628969	253703	
628969	262702	
628969	281762	
628969	291681	
628969	343734	
628969	353608	
628969	376752	'Judge' in fair
628970	237383	
628970	322325	Mujer Megía
628971	409957	Brisa
628972	106328	Alcohólicos Anónimos
628972	106993	Moza 1
628973	379896	
628974	378423	
628975	5443	
628976	199032	The Girl
628977	334699	
628978	121392	
628978	275299	
628979	124510	Plañidera
628980	50139	Custodia
628981	49431	Knocked woman at meeting
628982	189032	
628983	202178	
628984	81203	Rosalba
628984	89364	Maid
628984	120615	Gloria Madrid
628984	194653	Whore in Window
628985	14091	Lourdes
628986	351838	
628987	393833	Daniela 'Dani' Duarte
628987	395885	Priscila Beltrán
628987	403016	Violeta Pérez
628988	333707	
628989	286228	Dancer
628990	216657	
628991	103500	
628991	369732	Mother
628992	103152	Child
628992	105883	Dr. Michas
628993	198998	
628994	80262	
628994	341760	Employee
628995	400944	
628995	407347	Cris
628995	412124	Maryluz Jaramillo
628997	57878	Laura
628997	212540	Luisa
628997	255501	
628997	342149	Ana
628997	356027	Tina
628997	378738	Oriana
628997	379001	Oriana
628997	379210	Estela
628997	379252	Renata Winter
628997	379648	
628997	380096	
628997	382691	Myriam
628997	382941	
628997	387475	Wanda
628997	389589	
628997	396942	
628997	398806	
628997	403782	
628997	404815	
628997	408562	
628998	20372	Herself
628998	139095	Herself/Ring Announcer
628998	234073	Herself
628998	282682	Herself
628998	318840	Herself
628998	318841	Herself
628998	320140	Herself
628998	340399	Herself
628998	368816	Herself
628998	369201	Herself
628998	369203	Herself
628998	369204	Herself - Ring Announcer
628998	369206	Herself
628998	369231	Herself
628998	369232	Herself
628998	369235	Herself
628998	369237	Herself
628998	369242	Herself
628998	369275	Herself
628998	369285	Herself
628998	402907	Herself (1999-)
628998	406933	Herself
628998	411545	Herself (1999-2002)
628999	96280	
628999	96355	
628999	131075	
628999	249301	
629000	136987	Hospital Receptionist
629000	334678	
629001	100254	Miss Mozar
629001	211045	Regidora
629001	299714	Hostess
629001	400795	
629002	55196	Carmen's Friend
629002	301181	Madre niño túnel
629003	114873	Dancer: Grupo de Baile Marche
629004	187627	Esposa de Esteban
629005	95020	
629006	90525	Tango dancer
629007	121615	Female Prison Guard
629008	5268	
629008	78553	
629008	309086	Trasto, amiga de Luisi
629009	75556	Latin Woman
629009	82075	Cashier
629009	140658	Brooke's Maid
629009	194653	Snow Cone Vendor
629009	302010	Mexican Mama-San
629010	213654	Blonde Punker #2
629011	103483	
629011	170270	
629011	221989	
629011	242681	
629011	262610	
629011	379890	Marcela
629011	384423	Berta Morán
629011	404259	Regina
629011	408471	Lady Margareth Duncan
629012	221660	
629012	379905	Irma
629012	380065	Elizabeth
629012	389483	
629012	391572	
629012	398801	Viviana
629012	399763	Margarita
629013	12203	Edna Santiago
629013	336301	April
629014	108844	(segment "La doncella del mar
629014	369492	Xanadu Dancer
629015	86904	
629016	390479	Bailarina (2004)
629016	409463	Secretaria (2004)
629017	296967	Witness in Hallway
629018	252747	
629018	380076	Rita Emilia Pulido
629018	390745	Caperusa Rojas
629018	396843	Laura
629019	65403	
629020	68716	Balbina
629021	257478	
629022	53697	
629023	204642	Madre 2
629024	301172	
629025	64993	
629026	354927	
629027	95421	
629027	152628	
629027	221897	Customer
629028	99488	
629029	36667	Make-up artist
629029	52765	
629029	114323	
629029	160652	Geminis
629029	170053	Patricia
629029	188999	Rossie
629029	273842	Thelma
629029	276403	
629029	351961	
629029	354774	
629029	379559	Beatriz
629029	380065	
629029	384400	Marlén Rivera 'mamá de Magdal
629029	403024	Alicia Salazar
629029	406861	
629030	145137	
629031	96335	Celeste
629031	98976	Child
629033	307831	Doris
629034	96338	Bailarina
629035	256944	
629036	14798	Monja
629037	47426	Angel's Wife
629037	362355	Nurse
629038	221737	Mujer de taberna
629039	350235	Hooker
629040	5268	
629041	282131	Martita
629041	296503	
629042	12816	
629042	70011	Prostituta
629042	197550	Monica
629042	248286	Ana
629042	322325	Celeste
629042	385401	Edecán
629042	396211	
629042	402045	Mónica (2000- )
629043	65173	Clara Niña
629043	169794	Catalin as a Child
629043	380155	Celia
629044	74691	Alicia
629045	285076	
629046	187627	Hermanita de Sylvanus
629047	187826	Herself
629047	395391	Host
629047	398217	Reina
629047	399624	Herself
629048	8529	
629048	89754	Madre de Dolores
629049	334673	
629050	296442	Prostitute
629051	48292	Doña Enriqueta
629051	61756	
629051	125589	Waitress
629051	389881	
629052	85532	
629053	128727	Dancer
629054	398805	Pilar
629055	232168	
629056	131128	Reporter
629056	187842	Alba
629056	369417	Dependenta
629057	42799	Additional Finale Dancers
629057	46353	Lucia
629058	74363	
629058	211674	
629058	238759	Norma
629059	5265	Doña Carmen
629059	6047	Dolores
629059	8722	Clotilde Regalado
629059	9727	Cornelia
629059	10254	Elena
629059	12031	Doña Panchita
629059	12073	
629059	14435	
629059	18652	
629059	22764	Viuda
629059	25680	Eloísa
629059	27906	Suan
629059	29842	Sara
629059	33686	
629059	48784	
629059	51550	
629059	52715	Don~a Eduviges
629059	52935	Antonia Goyena
629059	53985	Abuela
629059	54318	Catalina, corregidora
629059	55959	
629059	62395	Doña Pancha
629059	64975	Doña Juliana
629059	67673	Doña Chona
629059	68577	Doña Altagracia
629059	68588	
629059	68623	Remedios Mantilla
629059	68956	La abuela
629059	73511	
629059	73993	
629059	74554	Lupita Rosales
629059	85576	Doña Leonor
629059	86097	Doña Rosa
629059	86869	
629059	86870	Doña Pura
629059	91276	
629059	91285	Dolores
629059	91374	Gracia
629059	91395	Prudencia
629059	92334	Clara Urrutia 'Doña Clarines'
629059	94873	Toña
629059	95346	Chonita
629059	95349	Raquelito (la duquesa)
629059	96272	
629059	100298	
629059	100520	Manuela
629059	101595	Petra
629059	101875	Sor Lucero
629059	103478	Doña Herlinda
629059	103509	
629059	104283	Doña Cholita
629059	108057	
629059	108130	Natalia Vivanco de Pérez
629059	110231	Anciana rica
629059	111277	Doña Pancha
629059	111418	Dona Chita
629059	113225	Doña Beatriz
629059	115770	Paula la nana
629059	123170	Teresa de Treviño
629059	125663	Doña Luisa
629059	132702	Soledad Fuentes Lagos 'Cholit
629059	143763	Madre Ana
629059	145182	
629059	145225	Vicenta Aurelia Fernandez; Ch
629059	146490	Doña Josefa
629059	148070	
629059	149233	Doña Refugio
629059	153816	Prudencia
629059	160085	Mané's mother
629059	160087	La abuela
629059	164881	Doña Teresa Mamanina
629059	187932	Doña Refugio
629059	187933	Doña Refugio
629059	192719	Elena
629059	194621	
629059	194628	Esposa madura
629059	197480	Doña Luisa
629059	202228	Señora de Ambrosaliet
629059	202557	
629059	202836	Inés Valenzuela
629059	205793	Petra
629059	209298	Doña Lolita
629059	212433	Doña Lolita
629059	212435	La madre
629059	212482	Doña Sara
629059	212492	Pelancha
629059	213390	Doña Martirio
629059	213395	Constancia
629059	215224	María
629059	215344	Benigna
629059	222034	Marta
629059	225551	Ella misma
629059	226499	Abuela
629059	233490	Sebastiana del Puerto
629059	233758	Aurora
629059	233949	
629059	234006	Doña Petro
629059	234181	Altagracia
629059	235243	Doña Cucaracha
629059	235250	
629059	235307	Doña Sara García viuda de Gar
629059	235979	Doña Socorro
629059	236023	
629059	246378	Doña Gertrudis
629059	247173	
629059	248036	Remedios
629059	248075	Dominga
629059	248232	Petra
629059	248233	Petra
629059	253184	Doña Rosa
629059	253703	Juana
629059	258500	Doña Margarita del Valle
629059	260518	Justa
629059	260550	
629059	265165	
629059	267042	
629059	273907	Ella misma
629059	274782	Doña Esperanza
629059	275079	Tía
629059	276410	Genoveva
629059	281544	María
629059	283204	Doña Sarita
629059	287452	Vecina
629059	287910	La anciana
629059	292739	Marta
629059	293571	
629059	296148	Anciana saca-borrachos
629059	296469	Lastenia Cortazano
629059	296502	Hortensia Vivanco y de la Veg
629059	300681	Doña Martirio
629059	309092	
629059	310067	
629059	317668	Mariquita
629059	318009	Doña Engracia
629059	322401	Concordia
629059	328166	Matilde
629059	336214	Irene
629059	339088	Doña Carmelita
629059	339137	Grandma Luisa García
629059	339205	Petra
629059	341655	
629059	342158	María Antonia
629059	343604	Candelaria López y Polvorilla
629059	351625	
629059	352149	Doña Nieves
629059	353573	Sara Garcia
629059	353577	
629059	357508	
629059	357540	Grandma Luisa García
629059	371719	
629059	371728	Tía Milagros
629059	371730	Atilana
629059	371757	
629059	376648	Viejita alegre
629059	376690	Casilda
629059	376753	Doña Josefa Ortiz de Domíngue
629059	376813	Doña Rosario
629059	376837	Madre del seductor
629059	380322	
629059	387123	
629059	390173	
629059	397584	
629059	397601	Chayo
629059	398522	Nana Tomasita
629059	403785	
629059	410313	Angustias
629060	378415	
629061	153836	Seguridad
629062	407640	Celeste (niña)
629063	211435	
629064	55110	Carla's Family #3
629065	183519	
629066	332909	Sara
629067	57419	Carmen
629068	82342	
629068	348158	
629068	384781	
629068	384925	Valeria Borges
629068	395861	
629068	398218	
629069	105069	Princess Gabriella
629069	385367	Diana Mendoza
629069	405809	Estrella Maria
629070	30418	
629071	357189	
629072	3477	
629072	73646	
629072	84502	
629072	115886	Yolanda
629072	275134	
629072	275135	Madame
629072	309061	Boxer's mother
629072	343530	
629072	377112	Jefe de acudientes
629072	384985	
629072	407347	Emma
629073	351494	
629074	387886	
629075	23624	Chica puñales 1
629075	189301	Miliciana #3
629076	88058	
629077	246530	Party Guest
629078	199030	Isabel
629078	383867	
629079	379896	
629079	383812	
629079	384984	
629079	387273	Patricia Aliaga
629080	171278	Catholic Schoolgirl Lucy
629081	2889	Herself - Miss Golden Globe
629081	185297	Reagan
629081	194780	Mercedes
629081	314131	Maria Martinez
629082	170237	
629082	265329	
629083	270494	Mrs. Dammel
629084	1006	Selma
629084	127496	Biggy
629084	185929	Manuela
629084	307091	Mutter
629084	352674	Kelly
629084	379769	Sabrina
629084	381813	Monika (2003)
629084	388246	Sabine (1990)
629084	389823	Doro
629085	272987	Dr. Julia Lee
629086	268496	
629087	355787	
629088	195212	
629089	147885	Paramedic #1
629090	277088	Pi-Delta-Pi
629091	12635	Maja Nielsen
629091	16328	Alice
629091	59526	Lone Hornemann
629091	77413	Inger Hamlet-Andersen
629091	83082	Cæcilie
629091	105068	Marianne Berg
629091	108173	Familievejleder
629091	108972	Flokfører for ulveungerne
629091	146993	Charlotte Lindegård
629091	149477	Maria
629091	156029	
629091	166597	Clara
629091	169490	Ellen
629091	208797	Erna Bostedt
629091	209328	Stuepige i 1925
629091	214491	
629091	220199	Emma
629091	275265	Mrs. Bosted
629091	281085	Sikabild
629091	287375	Sif
629091	315975	Gudrun
629091	317258	Politikerens kone
629091	321992	Girl on Train
629091	322459	Frk. Nielsen
629091	324329	Tante Benedikte Swane-Hansen
629091	346965	Grethe Andersen
629091	382884	Jomfru Baumgarth
629092	11553	Aunt Sadie Follet
629092	51975	Kitty Stark
629092	52455	Wanda Skutnik - Siskovich Gro
629092	74232	Miss Pruett
629092	77298	Madge Sloan
629092	128245	Hattie Henry
629092	183738	Hilda Pearson
629092	241309	Mrs. O'Dell
629092	264094	Mirza
629092	269302	Florence Cole
629092	292822	Dorothy White
629092	368033	Miss Bettenhausen
629092	380713	Miss Tyler (1957-1959)
629092	387251	Herself
629092	387309	Mattie Lane Grimsley #1 (1956
629092	402971	Aggie Larkin (1959-1960)
629093	304418	Farah
629094	176770	Girl
629094	181086	The Sick Girl
629094	187621	Actress
629094	199082	Nurse
629094	242756	Katarina
629094	322433	Dessi
629094	347016	Gun's Friend
629095	345567	
629096	3447	Ibone
629097	393901	
629097	407277	Isabella 'Isa'
629097	412153	Tereza Cantor, (Young)
629098	339147	Consuelo
629098	396859	Daniela Ibáñes
629098	401106	Mayerli Pacheco
629098	407277	Maria Mercedes 'Mechas'
629098	408419	Brigitte
629099	216239	La fille des fermiers
629099	378063	
629099	410074	La femme de l'amphithéâtre
629101	257733	Theater Zombie
629102	160987	
629103	3704	Queenie in 'Show Boat' (prolo
629103	271807	Herself
629103	300061	Queenie (prologue)
629103	300065	Queenie (silent home movie fo
629103	313076	Aunt Jemima
629103	321518	The Gypsy Queen
629104	237994	A Model
629104	263978	
629104	338902	Lilith
629105	379775	Freja
629106	104763	German entry (14th place)
629106	189844	Herself
629106	189850	Herself
629107	290721	English language teacher
629108	34568	Gerdas Freundin Jutta
629108	360939	
629109	42170	Maria
629109	103095	
629109	140266	
629109	140269	Elisabeth
629109	142129	
629109	156996	Mascha Weber
629109	225188	Catherine Harris
629109	230175	Dunja
629109	269008	
629109	290173	Liesl Zauner
629109	290665	Silvia
629109	294302	
629109	358997	
629109	376368	
629110	218506	Lady Mary in Stage Opera
629111	17825	Doctor
629111	208632	Mother in Park
629111	398781	Layla
629112	120853	Anke
629112	156067	Turnlehrerin
629112	301027	
629112	312105	Vera Dornbrink
629112	366588	
629112	374033	Prinzessin Olga
629113	205185	Herself - From 'Thais'
629113	311474	Dolores Fargis
629113	329214	Thais
629114	84473	
629114	214294	
629115	104763	German entry (14th place)
629115	189844	Herself
629115	189850	Herself
629116	134857	
629117	158564	Nady Moray
629117	225158	Lola Lutz
629117	311930	
629117	361128	
629117	374854	Sasha (Liza's sister)
629118	258331	
629118	258334	
629119	28760	La signora Uberti (Mr. Uberti
629119	147065	
629119	344586	
629119	345606	Un'allieva del collegio
629121	309890	Smoke House
629122	309890	Rafaela
629123	129031	
629124	52548	His Daughter
629124	348862	
629125	392558	
629126	6436	
629126	56498	
629126	58191	Ana
629126	86830	Anca
629126	124590	
629126	183057	
629126	213538	
629126	267893	
629126	338952	
629126	344438	Mina
629127	294946	Odette
629128	137717	Julia
629129	166565	Dancers
629129	195157	Danseuse
629130	408720	Camelia
629131	82961	
629131	148028	
629131	193223	
629131	212457	
629131	317967	
629131	384975	
629131	385458	
629131	387446	Clara
629131	387818	Sofía
629131	396149	
629131	399578	
629131	409915	
629131	410423	Delmira
629131	412194	Eugenia Linares
629132	68931	Mathurine, from 'Dom Juan'
629132	118419	
629132	157286	Mlle Hervé
629132	215266	Éliante
629132	258314	Isabelle
629132	266376	Cathos
629132	398989	Marie-Louise
629133	36485	Bibiche
629133	96396	Juliette
629133	146427	L'infirmière
629133	254016	La cuisinière
629133	376956	
629133	391930	La cliente
629133	391931	Rose
629133	404784	
629134	400698	Troupe du Palace
629135	347468	Lucia
629136	89338	Varna O'Halloran
629136	194414	Laura Mantusi
629136	379396	Nurse Aid
629136	399586	Theresa
629136	402599	Carmel
629137	151556	Ginny Tabor
629137	407461	Childlike Empress
629138	196402	Mick's mother
629138	313020	Receptionist
629138	366827	Irene
629139	74215	Soup Lady
629140	177816	
629141	330886	Janet
629142	6745	Lola
629143	192702	Girl
629144	269286	Vicki
629145	175788	
629146	294220	Boyle´s mother
629147	403312	Various Characters (2004)
629148	2924	Herself - Best Costume Design
629149	321306	
629150	65973	Woman in Park
629151	191369	Kolea-Moku
629152	216099	Paola Angeli
629152	263625	
629152	383609	Marta
629152	386747	Laura Andrei
629152	386748	Laura Andrei
629152	386749	Laura Andrei
629152	396504	Isabella de Gherarducci
629153	197179	
629153	293318	
629153	338681	Marina Accado
629153	348177	
629154	381091	Herself (2003)
629154	408910	Herself
629155	310224	
629155	314655	
629155	375384	
629156	197809	Orgy Body
629157	202247	Eve
629158	197653	Lady Constance Bromey
629159	68768	Doreen Wylie
629159	114559	Jolene
629159	140843	Susan
629159	141253	Jean
629159	168743	Ellen
629159	196302	Fran
629159	224738	Jeannie Hanson
629159	394497	Nancy Hicks Gribble
629160	350191	Vampire Daughter two
629162	1398	Herself
629162	2789	Baroness Natalie Ivanoff
629162	16762	Soledad
629162	24747	Herself
629162	28938	Herself
629162	29956	Maria Vargas
629162	36287	Victoria Jones
629162	36473	Sarah
629162	41002	Bit Role
629162	41699	Luxury
629162	45710	
629162	46690	Elizabeth Hintten
629162	52659	Graduating Student at Miss Ho
629162	64904	Maggie Grayson
629162	71422	
629162	94291	Vargas Calendar Girl
629162	96771	Remy Royce-Graff
629162	96861	Isabel Lorrison
629162	108510	Girl at Recital
629162	127305	Betty Williams Gibson
629162	133807	Pauline Ostrovsky
629162	136816	Young Socialite
629162	139357	Kadin
629162	146859	Franciska Pritric a Student
629162	152208	Jean Ogilvie
629162	176343	Car Hop
629162	176379	Herself
629162	176482	Beth Richards
629162	176912	Kitty Collins
629162	178947	Queen Guinevere
629162	190034	Lily Langtry
629162	191903	Lady Susan Ashlow
629162	193700	Martha Ronda
629162	193932	Minnie Littlejohn
629162	194721	Hat Check Girl
629162	201151	Gloria Fullerton
629162	208656	Empress Elizabeth
629162	213469	Girl at the Bijou box office
629162	217089	Eloise Y. 'Honey Bear' Kelly
629162	223019	Musician
629162	223944	Barbara Beaurevel
629162	226971	Duchess of Alba
629162	232090	Maxine Faulk
629162	240681	Moira Davidson
629162	240912	Herself
629162	241788	Venus
629162	247490	Pandora Reynolds
629162	253247	Katina Petersen
629162	255887	Bit part
629162	263609	Mabel Dodge Luhan
629162	274909	Mama
629162	276948	Marie (salesgirl)
629162	277925	Cordelia Cameron
629162	294381	Miss Logan
629162	295294	Eleanor 'Ellie' Holbrook
629162	298034	Hilda Spotts
629162	300063	Julie LaVerne
629162	302656	Linda Grahame/Ann Van Leyden
629162	306343	Cynthia Green
629162	318903	Lady Brett Ashley
629162	319040	Ringsider
629162	321495	Receptionist
629162	324117	Michaela Cazaret
629162	329562	Clip from 1951 version of 'Sh
629162	329563	Herself
629162	330892	Girl in Car lighting Cigarett
629162	331494	Jean Brown
629162	342873	Rockette with Pvt. Adams
629162	354020	Herself
629162	360390	Girl to left of wine taster
629162	360479	Bit Part
629162	363731	Mary
629162	372588	Bit Part
629162	379015	Agrippina
629162	394676	Ruth Galveston (1985)
629162	402888	Herself
629163	346918	Griff Gilkyson
629163	362191	Bonnie
629164	74304	Allison
629166	297190	Cadence (Girl in Hospital)
629167	5029	Susan
629167	191243	Snow White
629167	212908	Snow White
629167	392134	Snow White
629168	46962	Serving Maid
629168	49874	Maggie
629168	81143	Mary
629168	105409	Burgomaster's Wife
629168	111911	Carol Henley
629168	118944	Passer-By
629168	125986	Bishop's 1st Lady
629168	352497	Blonde
629168	371087	Carol
629168	385299	June Mander
629169	92774	Crystal Blu
629172	410242	Ronnie Wilkes
629173	19282	Naomi Jackson
629173	28840	Sharon
629174	142417	Member of Squad
629174	372244	Female Dealer
629175	313076	Dancer
629176	127647	Nicole
629177	185174	Dress Shop Salesgirl
629178	83950	Marguerite Grayson
629178	339869	Donna Méndez
629179	348327	Goldwyn Girl
629180	158975	Real estate receptionist
629180	166007	Fan in Alley
629180	187333	Wheelzone Warrior
629180	327431	Ceres
629181	26563	Maenad (chorus)
629181	74304	Girl
629181	193975	Estelle
629181	350241	
629182	70705	
629183	236972	Observer
629184	152790	
629185	398213	Herself
629186	185743	Secretary
629186	236952	Markova
629186	385643	Micky
629187	393780	Mademoiselle Giselle
629187	400576	Additional Voices
629188	141323	Ellen, Schoolgirl
629189	141323	Helen, Schoolgirl
629190	105145	Bridesmaid
629191	151207	Mother with Stroller
629192	143627	Zara
629192	328581	Tong Room Girl
629193	67771	Newsreader
629194	7324	
629194	11038	
629194	19762	The Mountain Woman Who Become
629194	30376	
629194	32406	
629194	46511	Clothilde
629194	50951	The Wife
629194	65548	Cleopatra, Queen of Egypt
629194	68488	
629194	81210	Alice Ferrers
629194	104569	
629194	117019	The Sister
629194	117075	
629194	119988	The Widow
629194	128116	
629194	141255	A Writer
629194	143024	
629194	151444	
629194	156488	Sabina
629194	159721	The Nurse
629194	160036	Malcolm's Mother
629194	195929	The Wife
629194	197697	
629194	199624	Madge
629194	214989	Abbasah, the Caliph's Wife
629194	239797	
629194	249564	Lydia
629194	255447	Sister Berenice
629194	264172	Princess Ojira
629194	265105	A Woman Who Wants to Reduce
629194	268895	A Quaker Wife
629194	274743	
629194	274844	Elfie, The Husband's Sweethea
629194	287232	La Flamme's Wife
629194	294854	Linda
629194	297881	
629194	300083	Audrey, an Actress
629194	303255	Margo
629194	304743	Cymba Roget
629194	304749	
629194	306037	Joan Le Grande
629194	316151	Sylvia Gray/Silvery
629194	323766	
629194	338832	
629194	346302	
629194	348514	The Young Wife
629194	350501	Becky Sharp
629194	363424	The Jealous Wife
629194	368202	Winifred
629194	371017	Song Bird, a Young Indian
629195	162979	Corinthian Circle member
629196	348522	
629197	81640	Herself (Vixen vocalist)
629197	139227	Vixen - Lead Vocals
629198	80921	Herself
629198	402964	Herself
629200	89304	Faith
629201	30155	Jill Harris
629201	56952	Katushienka
629201	58656	Felicitas Favre
629201	78857	Lupita
629201	117709	Helen Carleton
629201	195457	Evelyn
629201	203380	Peggy Fordyce
629201	203484	Ada Price
629201	210822	Jane Anderson
629201	264730	Carmen, a Young Lady of Roman
629201	273630	Galka
629201	289614	Suzanne de Tournay
629201	360719	Lady Rose Mary
629201	366202	Carol Reade
629202	124759	
629202	143593	
629202	216010	Tiny Tim
629202	287722	Tanta Kringle
629202	315733	
629202	388366	Evil Queen
629202	389691	Additional Voices
629202	393482	Additional Voices
629202	394386	Various adults (voices)
629202	405739	Mrs. Wetworth
629202	408443	
629202	409797	Gara
629203	65748	Corrections Officer #2
629204	155013	Girl/Jack's movie
629205	302793	Sister Missionary
629205	328869	Laneah
629206	274283	Troupe member
629206	306836	Little Jimmy Collins
629206	315322	Little Jimmy Collins
629207	364300	Herself
629208	143627	Susan Hall
629208	230377	Young Woman
629209	10661	Nancy Swofford
629209	29531	Ramona
629209	54953	Sigleinde
629209	138784	Rachel
629209	142937	Jen
629209	151170	Lisa
629209	192527	Darlene
629209	301613	Nurse Mia Forbes
629209	302312	Caroline
629209	353749	
629209	367906	Marije
629209	369450	Peggy O'Dell
629210	288387	MiCI 4
629211	16776	
629211	167692	Norma
629211	318162	Detective Carter
629212	347572	Kid in Bank
629213	16446	
629213	374589	
629214	127198	The Milk Maid
629215	142623	Young Tongue Woman
629216	347572	Kid in Bank
629217	384839	Model (1961)
629217	401632	Herself/Assistant, 1958-1963
629218	276349	Eve
629219	119560	Stranger
629220	39910	Angelina Cadman
629221	291421	
629222	8216	Jill, Philip's Lawyer
629222	141772	
629222	331738	Vivian
629222	376906	
629223	73406	
629224	140875	Shirley
629224	358114	Santa Fe Reporter
629225	128707	Stripper
629226	85086	Ruby McKenzie, exercise leade
629226	270499	Ruby McKenzie
629226	368244	Song and dance principal
629227	88999	Julia Wyndram
629228	20626	Geisha girl
629229	31	Waitress
629229	313334	Customer
629230	185464	Mrs. Bland
629231	27210	Ted's Secretary
629231	137566	Nurse #1
629231	384686	Various roles (1989-1990)
629231	395417	Carla La Bum Diai (1992)
629231	403974	Various Characters
629231	403976	Various
629232	97461	Herself
629232	111783	Charlie's Woman
629232	194228	Cassandra
629232	221067	Katie Beatty
629232	231798	Hat Girl
629232	310648	Debutante's Sister
629232	379142	Raquel Swanson
629233	5149	Jezebel
629234	171698	Cyja
629235	48697	Grace
629235	205268	Woman at Auction
629235	241692	Peggy Cannon, 'Baby' segment
629235	341021	Herself
629236	155272	Customer
629237	83329	Amelia
629237	401875	Herself - Finalist (2004)
629238	24613	Clarissa
629239	363265	Girl in Park
629240	12319	Party Guest
629241	384514	Herself
629243	158151	Perfect Wife
629243	301392	Management Lecturer
629243	310515	Guidance counselor
629243	318692	Marjorie
629244	333354	Mary
629245	183006	Guitar/Vocals
629245	235407	Herself
629245	294798	Camel Lips
629246	6125	Karen
629246	50000	June Summers
629246	71743	Beverly Gillis
629246	321182	Old Singer
629246	399685	Alice Peet
629247	72502	Nurse #1
629248	367073	Munchkin
629249	91793	Clown
629250	72104	Cover girl contestant
629250	183760	
629251	348005	Herself (shell sculptor)
629252	84399	Diana
629252	154592	Lorna Love
629252	195341	Monique
629252	204386	Captive Girl
629252	360911	Emily
629253	128154	Redhead
629254	385824	Daisy Hawkins (1983)
629255	314058	Lady of easy virtue
629256	381024	Cecilia
629257	42652	
629257	74378	
629257	390734	Linda
629257	403054	Pauloca
629257	405353	Host
629258	7703	Mrs. Szalkay
629259	278962	Minerva
629260	43249	Karin Sjöborg
629261	88327	
629262	13786	Herself
629262	197866	Herself
629263	86545	Palmon/Aunt Bea/Boy #2/Female
629263	93645	Matty
629263	165031	Keira
629263	165039	Keira
629263	185624	Hostess
629263	231088	Coffee Shop Waitress
629263	297911	Sherrie Bergman
629263	314275	Alma (guest)
629263	386345	Palmon (1999-2000)/Additional
629263	403907	(2003)
629263	408487	Harley Hoover
629264	159418	
629264	383030	Co-Hostess
629264	404754	Co-Hostess
629265	100291	Niña
629266	275881	Guard #1 (female)
629266	303456	Charlotte Bronte
629267	260118	Une danseuse
629268	13100	
629269	8915	
629269	30533	
629269	58310	Jerome's mother
629269	73186	
629269	103660	
629269	119044	La grand-mère Coadou
629269	132735	
629269	132991	La bonne des Delaroque
629269	201170	La seconde bonne
629269	216350	La Vielle Habilleuse
629269	224904	La Chouette
629269	225410	
629269	238482	
629269	243039	La marchande de billets
629269	266947	Gertrude
629269	268396	Mme Vauquer
629269	269510	
629269	339497	La vieille
629269	346710	Juliette
629269	348318	Grocer's Wife
629269	386020	
629269	391927	
629269	396617	
629269	397946	
629269	402357	
629270	267608	Mandy
629270	313626	Girl in Cafe
629271	202033	Anita
629272	268389	
629273	300361	Kyle's mother
629274	324199	
629275	43330	Novelist
629276	2964	Virtual Girlfriend
629276	42296	Sheri
629276	67160	Christie
629276	92307	Woman
629276	101574	
629276	110365	Woman in Green
629276	123789	Sarah
629276	134563	Brooke
629276	190328	Elevator Woman
629276	197040	Sugar
629276	215157	
629276	215507	Tina
629276	264785	Lisa
629276	351928	Honey O'Hara
629276	411802	Grace Turner #2 (1997-1999, 2
629277	269822	
629278	300533	Music Video Woman
629279	70608	
629280	216184	Reporter #8
629280	323153	Judy
629280	399431	Jasmine (1998-1999)
629280	406285	Usher (2002)
629281	104743	Luxembourg entry (11th place)
629281	382456	Host
629281	400149	Herself (2001-)
629282	7506	
629282	71225	La direttrice della casa edit
629282	103398	
629282	133307	Helga Manners
629282	168250	Marta Sandelle-Lafitte
629282	229743	Isabella, la cameriera
629282	248649	
629282	269190	
629282	289386	Franca
629282	291547	Paola
629282	301361	Clara
629282	344590	La Zelinger, l'amica pettegol
629282	348156	Edvige
629283	162040	
629284	405415	
629285	115881	Sabina
629285	190821	Mona Canon
629285	209316	Mrs. Englund
629285	209327	Eva, bathing beauty
629285	303645	Madame Leroux
629287	198254	Ida, Adèle's sister
629288	3382	
629288	7334	
629288	11697	
629288	38154	
629288	55384	
629288	55980	
629288	71266	Laura
629288	94638	Ivana
629288	94674	Dr. Sa Picchi
629288	111016	Mimi
629288	117833	
629288	135149	Cristiana
629288	141612	Vendice's Secretary
629288	160839	
629288	177267	Fulcinia
629288	187983	
629288	219671	Joan
629288	225656	
629288	229455	
629288	229740	Amelia Bordini
629288	234705	
629288	234901	Signorina Canarutto
629288	260905	Cinzia
629288	269187	
629288	269495	Rosa
629288	302509	Magistrato
629288	309786	
629288	315439	Antonia
629288	338701	
629288	344583	
629288	351976	
629288	386297	
629288	386485	Carla Monti
629288	404451	Silvia
629288	406616	Margherita
629289	20787	Susan
629289	263496	Old Woman
629289	335230	Girl in Hall
629289	394676	Polly (1989-1990)
629290	104661	Sängerin
629290	290627	Wirtin 'Hai'
629291	397021	
629292	398457	Olga
629292	400201	Fara
629293	4080	Aarti
629293	4852	Miss Mahajan (New Lady Profes
629293	8717	
629293	16183	Mona
629293	19671	Duli
629293	39034	Nisha
629293	58683	
629293	88480	
629293	88490	Gauri
629293	98533	
629293	136891	
629293	160202	Lady Lawyer
629293	171852	
629293	174274	Kamini
629293	211268	Mary
629293	226041	
629293	227129	Manisha
629293	227881	Herself
629293	246324	Woman Who Shelters Activist
629293	265416	Rita
629293	283151	
629293	284774	Rajini
629293	293248	
629293	300890	Kamala
629293	308364	
629293	325128	Princess Kamara
629293	326665	
629293	328227	Meena Sastry/Seema
629293	403175	Presenter
629294	390726	Herself - Host (1999-2000)
629295	317	Elvire
629296	270255	
629297	395885	
629298	22740	
629298	212354	Cantante de Opera
629298	225553	Rosario Medina; Lina Penotti
629298	225561	
629298	283140	
629298	350098	
629299	9957	Pepita
629299	315531	Pepita
629300	101864	
629300	392352	Sandra (niña)
629301	215793	Nurse
629301	297990	
629302	68144	Julie
629302	108353	Girl on bus
629302	120699	Margo
629302	131764	
629302	131780	Mickey Conway
629302	149911	Nurse Perez
629302	162700	Dorothy
629302	168460	Fran
629302	168525	Narrator/Herself
629302	177451	
629302	191760	The Judge
629302	196068	
629302	210794	Irene
629302	219558	Maria Urbanski
629302	228354	Zipporah
629302	277274	Girl
629302	293126	Cafeteria Cashier
629302	313141	Belinda
629302	389103	
629303	374589	Virus
629304	141420	
629305	14077	Daley Adams
629306	53434	
629307	57228	Mrs. Geiger
629307	72140	Audrey James
629307	91750	Mrs. Crawley
629307	101040	Mrs. Lembeck
629307	106520	Head Waitress
629307	121824	Housewife in Audition Line
629307	150606	Doris Wales/Screaming Annie
629307	189265	Woman No 1
629307	213866	Dessert Lady
629307	238551	Janis Wycoff
629307	239034	Puzzled Lady
629307	296695	George
629307	341601	Nurse
629307	368023	
629307	375706	Mary Batten
629307	408904	T'nuk
629307	411378	
629308	50268	Girl in Restaurant
629309	353885	Speakerine #2
629310	136022	Saloon Girl
629311	305343	Gemma
629312	356811	
629313	194136	Herself
629314	93466	
629315	212097	Woman of eternal garden
629316	102336	
629316	306681	Amelia
629316	343611	Luisita Bruna
629316	378357	
629317	278814	
629318	61354	
629319	187926	
629320	46322	Mrs. Reynolds, Allison's Mom
629322	295157	
629324	376001	
629325	113574	Martina
629325	379901	Fiore Leonardi
629326	77146	Dallas Cowboy Cheerleader
629327	111299	Sister Maria Crocifissa
629327	219572	Signora a teatro
629327	252009	
629328	153563	Herself (The Fastbacks)
629329	59249	
629329	153995	Pierre
629329	156749	
629330	278335	
629331	278024	Thérèse
629332	398776	Segment Reporter
629333	13637	Sportscaster Applicant
629334	17073	Nurse in Street (new movie)
629336	147914	Faith
629336	362598	Stuck Up Girl
629337	25627	
629337	83462	Ana
629338	221739	Monja
629339	35144	Fur Shop Worker
629340	357231	
629341	84414	
629342	327370	
629343	214707	
629344	367782	Smiling Woman
629345	283758	Strinsla
629346	96240	Young Daughter
629346	348888	Balo
629346	377991	Nickie, enfant
629348	44828	
629349	60907	La nurse
629349	164152	Vendeuse
629350	18253	
629350	27852	
629350	47080	Grandmother Moreno
629350	51106	
629350	51745	
629350	52036	Prostituta vieja
629350	74598	
629350	74839	(segment El nido de amor)
629350	74843	
629350	83138	
629350	83465	
629350	83972	
629350	84018	
629350	88057	
629350	104123	
629350	108535	Pope
629350	112701	
629350	143772	
629350	165791	
629350	184558	
629350	190113	Doña Lucrecia
629350	202618	
629350	202950	Elk Woman (abandoned by the t
629350	206996	
629350	207736	
629350	209475	(segment "Las Cucarachas")
629350	213768	
629350	214694	Tamarita
629350	218498	La Duquesa
629350	219312	Casera anciana
629350	225042	Tia Susana
629350	241125	
629350	256787	Witch
629350	266669	(segment "Una cena de navidad
629350	273847	
629350	287697	
629350	287857	Old Luba
629350	300868	
629350	323300	
629350	349471	
629350	354047	
629350	376703	
629350	377099	Brigitte, paciente manicomio
629350	382866	
629350	410313	Vera
629351	254076	Friend from the Center
629352	32531	Estate Agent
629353	47005	
629353	279311	Lucy
629353	346298	Secretary
629353	380391	Kathy Wolikowski (1993)
629353	380713	Rita (1996)
629353	406952	Gabriella 'Gabi' Martinez-Tor
629354	95870	
629355	390497	Herself (4th Edition - Winner
629356	366024	Annonceuse
629357	277704	
629357	398159	Judith Olden
629357	408883	Eva
629358	11410	Rachel
629358	292643	Polar Bear
629358	355184	Scary Nurse
629359	408880	Brady (series 2)
629360	725	Herself
629360	728	Herself
629360	729	Herself
629360	733	Herself
629360	9131	Mrs. Scott Freeman
629360	11948	Joyce Webster, aka Jane Marvi
629360	27491	Susan Hammer
629360	31735	Margaret
629360	38950	Gail Bonner
629360	61163	Laura Barton
629360	63135	Aunt Jessica
629360	75619	Dr. Andrea Romar
629360	75703	Maggie
629360	76238	Miss Foster
629360	79896	Helen Backsler
629360	81094	Mae Baxter
629360	83909	Lauren Bannerman
629360	83955	Miss Swift (teacher)
629360	93781	Herself
629360	110324	Smudgefaced WAC
629360	113513	Arlene
629360	123289	
629360	129872	Peggy, Mayberry's secretary
629360	135896	
629360	136042	Marshal Rose Hood
629360	141097	Laura Kier
629360	142518	Carlotta
629360	155814	Katherine
629360	163222	Herself
629360	163223	Claire Anderson
629360	163588	Emma
629360	168858	Cassie Mack
629360	176840	Linda Winters
629360	190179	Girl at Party
629360	199228	Mrs. Racine
629360	212627	Holly Abbott
629360	226985	Max MacKenzie
629360	229100	Nola Mason, waitress
629360	230756	Marie Reilly
629360	232837	Suzanna O'Brien
629360	235470	Nurse Nadine Storey
629360	263347	Mrs. Stepanek
629360	265104	Nancy Eaton
629360	280158	Ludine
629360	280656	Lillian Barkley
629360	285393	Mona Langley
629360	289228	Myrna Anderson
629360	289515	Dotty West
629360	303553	Monica
629360	313627	Ellen Winslow
629360	314246	Frances Novak
629360	316890	Armorclad Mentoring Isabelle 
629360	318160	Phyllis Baxter
629360	320788	Vera
629360	330699	Evan Picard
629360	334356	Personnel Manager
629360	342474	Alice Pyncheon aka Nora Holbr
629360	342898	Gail Sterling
629360	348070	Estelle
629360	357073	Agatha Markwell
629360	360880	Bobby Sue Prewitt
629360	363432	Jenny Coleman
629360	368610	Brenda's Mother
629360	382076	Ellie Collins
629360	385958	Casey Jones
629360	396638	Mama's daughter
629360	398740	Barbara Harper Douglas (1969-
629360	400759	Herself (1962)
629360	401930	Estelle Reese (2000)
629360	404400	Dotty West
629361	94733	
629363	280656	
629363	404282	Kelly Capwell #3 (1989-1991)
629364	241322	Straggling Student
629367	196117	Female Port Authority Officer
629367	316716	Black prostitute
629367	330274	Hooker
629367	342531	Hattie
629367	380495	Regular Performer (1993-)
629368	183679	Strawberry
629369	281937	Nurse
629370	317307	Olivia Hooper
629371	687	Herself
629371	1382	Herself (with Mickey, thanks 
629371	2360	Herself - Performer: Cole Por
629371	16465	Betsy Booth
629371	16467	Betsy Booth
629371	26119	Patsy Barton
629371	26144	Penny Morris
629371	37283	Herself
629371	42357	Herself
629371	47356	Betty Clayton
629371	61570	Jean Hansen
629371	65746	Alice Mayberry
629371	96889	Hannah Brown
629371	105183	Judy
629371	105217	Judy Bellaire
629371	117110	Jo Hayden
629371	124759	Mewsette
629371	125484	Herself
629371	126018	
629371	128152	Ginger Gray
629371	133455	
629371	139790	Susan Bradley
629371	147716	Herself
629371	147811	Herself
629371	147839	Herself
629371	147899	Herself
629371	147917	
629371	154114	Jenny Bowman
629371	155833	Herself
629371	158237	Veronica Fisher/Larkin
629371	169942	Mrs. Irene Hoffman Wallner
629371	169989	Herself
629371	169990	Herself
629371	169994	Herself
629371	169995	Herself
629371	169996	Herself - Hostess
629371	169997	Herself
629371	169998	Herself
629371	169999	Herself
629371	170000	Herself
629371	170002	
629371	185205	Herself
629371	187407	Herself
629371	190062	Miss Betsy Booth
629371	190269	Singing Voice of Judy Garland
629371	191529	'Pinkie' Wingate
629371	192096	Nellie Kelly/Little Nellie Ke
629371	192840	Herself
629371	195579	Betsy Booth
629371	206678	Herself
629371	209605	Esther Smith
629371	210625	Herself/Dorothy Gale
629371	210861	Herself
629371	212325	Herself
629371	217572	
629371	223164	Herself
629371	252528	Cameo appearance
629371	255737	Sairy Dodd
629371	256592	Manuela
629371	263117	Lily Mars
629371	291398	Herself
629371	308182	Herself
629371	308736	Herself (sings Over the Rainb
629371	313319	Herself
629371	313321	Esther Blodgett/Vicki Lester
629371	316897	Herself
629371	316955	Mary Holden
629371	318792	Jane Falbury
629371	329560	
629371	329562	
629371	329563	Herself
629371	329565	
629371	331062	Cricket West
629371	331205	Cameo appearance
629371	333054	Marilyn Miller
629371	333408	Herself
629371	350012	Helen Lawson
629371	352697	Herself
629371	360439	Herself
629371	367073	Dorothy Gale
629371	368025	Herself
629371	368245	Herself
629371	372367	Herself
629371	375044	Specialty
629371	375045	Susan 'Sue' Gallagher
629371	381111	Herself
629371	388268	Herself
629371	389080	Herself
629371	391818	Herself - Guest Host (1964-19
629371	393830	Herself
629371	397564	Herself
629372	200860	Woman at Party
629373	80442	Emily
629373	192010	Daisy Brooke
629373	214078	Therese Dionne, 5 yrs.
629373	283537	Artist's subject
629374	405209	Willow
629375	109454	Redhead in Red Dress
629376	99695	Model
629377	404917	Presenter
629378	211377	Dr. Joan Dale
629378	240652	Herself
629378	408446	Dr. Joan Dale
629379	11781	Clara Friis
629379	30110	Malle Smith
629379	30282	Enkebaronesse Alvilda von Ros
629379	48346	Sygeplejerske/Sekretær Anina 
629379	87949	Husmor på Bakkegården
629379	91265	Kortspiller hos Hansen
629379	97090	Caroline Vipperup
629379	108177	Christine Olsen
629379	108180	
629379	108574	Fru Petræus
629379	108965	Tante Rikke Holm
629379	116028	Tante
629379	117583	Fru Ludvigsen
629379	120381	Peters tante/Oberstinde Carol
629379	123500	Martha Sværke
629379	138532	Generalinden
629379	142221	Tante Hortense
629379	147398	Helene (Paul Janus' mor)
629379	153229	Helgas mor Birthe
629379	153377	Hans' mor
629379	154131	Johanne Lundstrøm
629379	179817	Forstanderinde Frk. Joransen
629379	180406	
629379	182460	
629379	182850	Generalkonsulinde
629379	190825	Emma 'Mums' Skov
629379	198052	Priorinde Heralda Broholt
629379	198076	Augusta Prehn
629379	204226	Mary
629379	211055	
629379	214026	Fru Löwe
629379	214330	Fru Ingeborg Olsen
629379	214547	Herberts hustru
629379	218894	Konsulinde Holm
629379	227742	
629379	237403	Fru Ovesen
629379	249744	Tante Marie
629379	255663	Ovidia Christensen
629379	265409	
629379	278197	Gårdejer Annemarie Ellekjær
629379	284393	Konstance Munk
629379	304206	Etatsrådinde Gram
629379	307317	Jennys mor
629379	318532	Fru konsulinde Møller
629379	322466	Marie
629379	322475	Sofie Lundrup
629379	334317	Godsejerinde, Enkefru Selstru
629379	338710	Enkeærkehertuginde
629379	340426	Tante Emma Solberg
629379	348958	Alices mor
629379	353045	Brudens moder
629380	129861	Squirt
629381	190598	
629382	304787	Embassy Guest
629383	157785	Carol Hemingway
629384	303307	Laura Watkins
629385	1390	Anderson Sister
629385	141406	Female Marine officer
629387	34749	
629387	174621	Herself
629387	271248	Rainbow Girl
629387	384434	Monique Estourel
629388	192344	Landlady
629388	363263	
629388	366260	
629389	104777	United Kingdom entry (3rd pla
629389	260295	Herself
629389	308555	Herself (Winner)
629389	401836	Herself (Series 1) (2001)
629389	401837	Herself (Series 1) (2001)
629390	87923	Maureen Moyer
629391	92556	
629391	259446	
629391	290847	
629391	325882	
629392	14132	Natalie's Mom
629392	26531	Dolly Tucker
629392	28635	
629392	37391	Beiber's Wife
629392	45591	L.A. Flight Attendant
629392	53292	Pamela Pillsbury
629392	54855	Extra
629392	66356	Nancy Stalk
629392	70304	Anne Williams
629392	78530	Dr. Jane Fox
629392	88656	2nd Mother
629392	93788	Marian
629392	95790	Rita
629392	105492	Reporter
629392	112008	Beulah (angry PTA mother)
629392	114349	Dr. Towers
629392	117664	Linda
629392	119328	Nichole's Mom
629392	135193	Helen
629392	142361	Briefing Officer
629392	145011	Faye
629392	149183	
629392	149923	
629392	150075	Vice Principal Marjorie Berna
629392	155890	Georgette (segment "1972")
629392	158338	Schlitz' waitress
629392	164493	Mrs. Festinger
629392	168776	Betty Sue
629392	176949	Peggy Blankenship
629392	177475	Extra
629392	178092	Helaine
629392	185266	Jan
629392	186516	Public Defender Boone
629392	195867	Nan
629392	196370	Jordan's Mom
629392	209630	Nita Samson
629392	222739	
629392	222781	Laura Lee Kestes
629392	224073	Carol Sandman
629392	241421	Waitress
629392	249503	Dave's Mom
629392	260164	Countess
629392	261270	Josette
629392	266590	Myrna
629392	274689	Tina
629392	279152	Janice
629392	293098	Carole Garson
629392	293562	Claire
629392	295461	Dr. Margaret Inness
629392	297228	Tina Farrell
629392	306051	Dr. Elena Rhyzkov
629392	307902	Gym Instructor
629392	316225	Warden Arnold
629392	317341	Mrs. Whitcoms
629392	318642	Mary Pat Foley
629392	318756	Winnie
629392	323427	Nell
629392	331377	Woman Cop
629392	336033	Phyllis
629392	362966	Lee
629392	363247	Joanne
629392	363509	Gina
629392	364513	Annie
629392	366271	Gladys
629392	367902	
629392	370668	Wanda
629392	380657	Connie Ruskin
629392	382666	Linda
629392	391558	Faye
629392	395389	Shelly
629392	408665	Kathy Donovan
629393	259864	Lu-Lu Fishpaw
629394	336069	Little girl-dancer
629395	315095	The Working Girl
629396	205029	Responsess
629396	232679	Louise
629397	10899	Colam's Secretary
629398	219969	
629398	219970	
629399	11377	Vida
629399	54750	Wet Nurse
629399	63021	
629399	73913	Couple in Toilet
629399	98877	
629399	112131	Vida
629399	161476	Clare Mallender
629399	231357	
629399	272039	
629399	295820	
629399	296995	
629399	306606	
629399	335828	Vida
629399	355992	
629399	360722	
629399	361866	
629399	368416	Girl in Hotel
629400	396976	Maider
629401	55742	
629401	82722	
629402	51306	Claudia
629402	263208	
629402	384771	Esmeralda
629402	397598	
629402	399807	Candela
629402	401251	Josefina
629403	391109	Maite
629403	409872	Various characters
629404	30702	Christine
629404	32707	Reinaldo's Mother
629405	202244	
629406	80508	Mirabeau
629406	158317	Cashier
629406	232405	Mrs. Peabody
629406	273549	Marylou
629406	276345	Waitress
629406	278824	Marion
629406	308431	Sarah Hall
629406	314103	Esther
629406	334150	Mrs. Shelton
629407	81033	Evil Spirit (segment "World's
629408	326617	Young Jordan
629409	311952	Bettina
629411	12036	
629411	16871	Mme Gounod
629411	17864	Tante Adèle
629411	119053	
629411	156329	Bec de lièvre
629411	205525	Laura Chapdelaine
629411	218580	Madame Beauchamp's housekeepe
629411	236983	
629411	243300	Mrs. Thibault, The Neighbour
629411	249209	Grande Admiratrice de Jeannot
629411	258208	Ramona
629411	326038	Mme Beaudoin
629411	345539	Yvonne
629411	350918	Adèle McKenzie
629411	385348	Colombe Chaput
629411	387660	Jeannette Bilodeau
629411	388316	Jacqueline Sévigny
629411	390486	Armande
629411	392135	Lili Fortin
629411	392367	Albertine Galarneau
629411	393285	Madame Richard
629411	398078	Colette Girard
629411	400627	Yvonne Garneau
629411	403254	Lucille Germain
629412	316309	Constance
629413	11012	Réceptionniste clinique
629413	87672	
629414	196820	
629415	380332	Margarida Rodrigues
629416	195400	Alice
629416	196402	Rhonda
629416	218136	Gracie
629416	235357	Esther Anderson
629416	316140	Sally
629417	29256	Robin
629418	114844	Elaine
629418	198542	Secretary
629418	273998	Kitty Walsh
629418	372093	Gertrude
629419	108087	Musician
629420	240470	Boy
629421	300068	A show girl
629421	302467	Sugar
629422	337649	Player
629423	67996	1st Lady
629424	213590	Schoolgirl
629425	267476	Jo
629426	1038	Jenna Rink
629426	1470	Annabell
629426	1717	Herself - Presenter
629426	1725	Herself - Presenter
629426	1733	Herself
629426	1737	Herself
629426	2787	Herself
629426	2805	Herself
629426	2889	Herself (Winner of Best Actre
629426	3053	Herself - Presenter: Short Su
629426	3055	Herself - Host: Technical Awa
629426	4671	Herself/Sydney Bristow
629426	8023	Diane Agostini
629426	10560	Agent Sydney Bristow
629426	35668	Herself
629426	56871	Cheryl Ann
629426	78677	Elektra Natchios
629426	78690	Herself (Hostess)
629426	81649	Woman in Elevator/Harry's Cha
629426	94613	Wanda
629426	99022	Elektra Natchios
629426	139765	Sarah Troyer
629426	157710	Kelly
629426	221005	Stacey Sampanahoditra
629426	231536	Herself
629426	251477	Nurse Sandra
629426	257692	
629426	275762	Kiley Bradshaw
629426	281836	Mary Rose Clayborne/Victoria 
629426	359753	Marian Almond
629426	375936	Sasha
629426	379661	Sydney Anne Bristow
629426	385895	Clara Forsythe
629426	402862	Herself/#7
629426	404721	Herself
629426	405335	Nell Glennon
629426	408270	Romy Sullivan
629427	269848	Samantha Calloway
629427	302748	Randy's Wife
629427	313522	Kara Davenport
629428	75720	
629428	92227	Gina
629429	53933	
629429	78916	Sam's Wife
629429	137677	Amanda
629429	161753	Herself
629429	182961	Scene Person
629429	259359	Cleavage Woman
629429	280653	Mother Speed
629429	288939	Blonde
629429	335214	Old Nefratis
629429	358052	Woman in massage parlor
629430	290971	Virginia
629431	25192	Faith Domergue
629431	49396	Heather Swallers
629431	93294	Calista
629431	148561	Josie
629431	195844	Huffer Girl
629431	203319	Barb
629431	245497	The Girl
629431	255716	Archer
629431	275282	
629431	330759	Christmas
629431	331992	Rebecca
629431	333328	Kelly
629432	149198	Punk #1
629433	290077	Kathy Moreton
629434	304527	Barn Dance Band
629435	30135	Minnie Mouse
629435	30212	Minnie Mouse
629435	30216	Minnie Mouse
629435	30231	Minnie Mouse
629435	31692	Minnie Mouse
629435	38723	Minnie Mouse
629435	41911	Minnie Mouse
629435	42285	Minnie Mouse
629435	46146	Minnie Mouse
629435	49058	Minnie Mouse
629435	51763	Minnie Mouse
629435	53150	Minnie Mouse
629435	82467	Minnie Mouse
629435	113791	Minnie Mouse
629435	123195	Minnie Mouse
629435	127423	Minnie Mouse
629435	132049	Minnie Mouse
629435	134530	Minnie Mouse
629435	140473	Minnie Mouse
629435	174180	Minnie Mouse
629435	178763	Minnie Mouse
629435	200998	Minnie Mouse
629435	212838	Minnie Mouse
629435	212840	Minnie Mouse
629435	212853	Minnie Mouse
629435	212879	Minnie Mouse
629435	212882	Minnie Mouse
629435	212893	Minnie Mouse
629435	212894	Minnie Mouse
629435	212911	Minnie Mouse
629435	212913	Minnie Mouse
629435	212921	Minnie Mouse
629435	212925	Minnie Mouse
629435	212926	Minnie Mouse
629435	212935	Minnie Mouse
629435	212936	Minnie Mouse
629435	212942	Minnie Mouse
629435	212945	
629435	223138	Minnie Mouse
629435	239863	Minnie Mouse
629435	240533	Minnie Mouse
629435	242952	Minnie Mouse never appeared i
629435	253828	Minnie Mouse
629435	255284	Minnie Mouse
629435	256417	Minnie Mouse
629435	257252	Minnie Mouse
629435	258219	Minnie Mouse
629435	267380	Minnie Mouse
629435	297402	Minnie Mouse
629435	299022	Minnie Mouse
629435	314287	Minnie Mouse
629435	337421	Minnie Mouse
629435	343272	Minnie Mouse
629435	360303	Minnie Mouse
629435	364460	Minnie Mouse
629435	365469	Minnie Mouse
629435	392134	Minnie Mouse (classic cartoon
629436	110447	Tammy Warren
629436	119892	Kit
629436	143950	Federal Policewoman
629436	195931	Lena
629436	211960	Roslyn
629436	214925	Sarah
629436	222203	Phoebe Mulens
629436	296947	Lanty Fargo
629436	314817	Sarah
629436	314829	
629436	382613	Arlene Toomer
629436	383891	Lisa
629436	391368	Tamara 'Tam' Henderson
629436	391369	Tamara 'Tammy' Henderson
629436	392144	
629436	398675	Jean Quayle
629436	399130	Rachel Burns (1985)
629436	402905	Zelda Lee
629436	408145	
629436	408879	Marie Sinclair
629437	84486	Natalie
629438	140487	Sharon
629439	333618	Girl #2
629440	385299	Bernice Burrows
629441	156939	Mrs. Ramsey
629442	2750	Herself
629442	4730	Little Girl
629442	35131	Mrs. Carol Stockwood
629442	36954	Doris Cooper
629442	39487	Baron's mistress
629442	40024	Nanny Ordway
629442	41084	Melinda Mason
629442	43288	Pat Harland
629442	56792	Susan Kilby
629442	76964	Rosamund O'Mara
629442	96644	Child
629442	98169	Helen Hildebrand
629442	147899	Herself
629442	148406	Dinah Carstairs
629442	157847	Ellen
629442	165444	Jane Eyre (younger)
629442	170856	Judy Graves
629442	175835	Young Nora
629442	192064	Praying Child
629442	195252	Julie Mercadet
629442	234141	Katie Flanagan
629442	255465	Sheila Cavanaugh
629442	301266	Christine St. Aubyn
629442	328192	Susan
629442	330955	Fathers's Wife (Stepmother)
629442	332030	Maggie Moore
629442	338894	Francie Nolan
629442	360741	Candice Ruteledge
629442	387120	Lena Anderson
629442	395321	Herself/Panelist (1953)
629442	409225	Barbara 'Babs' Smith (January
629443	49373	Maggie Sullivan
629443	139073	Stella
629443	152647	Ida Parsons
629443	287703	Thumbellina
629443	310878	Norse
629443	331984	Thumbelina
629444	273003	First Girl
629445	55662	Rosie
629446	352716	Lois Ventris
629447	215789	Sheila
629447	402139	Nurse
629448	236612	Tina the babysitter
629449	96102	
629450	58233	
629451	235840	
629452	129865	Kate
629453	79838	Jody
629454	244365	Miss Pinkerson
629455	135176	Mrs. Jacobs
629455	185085	Mrs. Morton
629455	199970	Lucie Siena
629455	209133	German Teacher
629456	108623	Phoebe
629456	220569	Movie Queen
629457	190724	Anne Armstrong
629458	61855	Cathy Freemont
629458	138857	Yolanda
629458	165498	Ginette
629458	169374	Morgan, herbalist
629458	187889	May
629458	199220	Francesca
629458	210867	Eileen Janey
629458	220775	Mabel Ong
629458	223719	Aunt Lexy
629458	245758	Del
629458	249163	Rachel
629458	330635	Journalist
629458	339510	Hilary
629458	398937	
629458	401026	Mrs. Donaldson
629459	340775	Laura
629460	79714	Grace
629462	312704	
629463	223343	Monkey Woman
629464	239082	Dancer
629465	183670	
629466	313076	Dancer
629467	334757	Chorus
629468	206695	Jenny
629469	21681	
629469	129514	Margarita Vargas
629469	206979	Model
629469	262216	
629469	325147	Boru
629469	342865	
629470	335258	Barfing Girl
629470	351928	Jackie Zelinski
629470	366781	Jennifer
629470	406279	Julie Whitmore-Carlisle
629471	148370	Cora
629472	377034	Virginie
629473	94250	La secrétaire de Mairie
629474	51223	
629474	69343	Jenny
629474	94240	Annie
629474	325076	Marianne
629474	339497	Jeanne
629474	346550	Patricia
629474	385183	Solange
629474	386140	
629474	392602	
629474	396617	
629474	402538	Louise de Landrizon
629475	377792	
629476	146822	
629476	190318	Herself
629477	142597	Woman with groceries
629478	378108	
629479	132403	
629480	17718	
629480	44269	Responsable transfusions
629480	58744	Nurse with trolly
629480	66718	Michou
629480	161626	
629480	169358	Herself
629480	204913	
629480	206062	
629480	211367	Femme de la soupe populaire
629480	259914	Suzanne Campuac
629480	343580	Juliette
629480	346561	La fille du Marché aux Puces
629480	377674	
629480	388688	Thérèse
629480	389880	
629480	398073	Christine
629480	400869	
629481	245963	
629482	392935	Herself/Co-host (1962-19??)
629483	78968	Jess Shepherd
629484	206496	Judge
629485	49133	Emma Karlosyan
629486	276924	Older Leah
629487	196350	Renee
629488	137745	Singer
629489	293770	
629490	177204	Latiana
629491	108314	
629492	1452	Herself - Co-host
629492	1664	Ellie
629492	1947	Herself
629492	7099	Minnie Mogul
629492	7583	Herself
629492	21735	Liz
629492	33023	Herself (Host)
629492	37473	Officer Monica Romero Miami P
629492	49468	Dr. Harriman/Handyman
629492	50989	Lucille
629492	51661	Medieval Times waitress
629492	53327	Belinda Peck
629492	60772	
629492	65432	Agent Shelby
629492	66990	Honey
629492	68018	Herself
629492	70468	Deputy Cindy Betts
629492	78100	Narrator
629492	82845	Herself
629492	89199	Jeri
629492	89288	Liz
629492	94476	Linda
629492	127607	Herself
629492	137470	I'm Only Creative When I Smok
629492	154592	Gale
629492	159012	Paloma Fineman
629492	161324	Herself
629492	161351	Herself (Narrator)
629492	165496	Herself
629492	167671	Dee Dee
629492	170621	Chandre
629492	171123	Herself
629492	176499	Woman at party
629492	184822	Catherine Connolly
629492	184859	Mo
629492	185828	Counter Girl
629492	188244	Herself
629492	201302	Ursula
629492	204204	Jill
629492	206629	Hairdresser
629492	207706	Marcy Tizard
629492	214802	Ferrin
629492	221123	Various Characters
629492	221469	
629492	224691	The Bowler
629492	234196	
629492	236083	Wiladene
629492	245352	Narrator
629492	253227	Jana Farmer
629492	273473	Vickie Miner
629492	274573	Herself
629492	281254	Heather Mooney
629492	288711	Herself/Various Characters
629492	288715	Herself/Various Characters
629492	291925	Linda Barnes
629492	304914	
629492	309943	
629492	313958	Herself
629492	314092	
629492	314138	Anita Hoffman
629492	320312	Woman
629492	321386	Jasmine
629492	330271	Anne
629492	330386	Joyce Wintergarden-Dingle
629492	333840	Stith
629492	336242	Janeane Garofalo
629492	336647	Kathy Worthington
629492	340949	Abby
629492	342237	Herself
629492	361907	Beth
629492	362355	Nervous Woman
629492	368043	Joy Miller
629492	381644	Herself/Various Characters (1
629492	399295	
629492	401473	Announcer
629492	404337	Various (1994-1995)
629492	407470	Coppola Woman
629492	407547	Herself
629492	409126	Herself (Correspondent) (1995
629493	68780	
629493	217943	Broker
629493	278405	
629494	322353	Arthémise
629495	99284	Whipped Nun
629496	6193	Mathilda Ramsay
629496	25150	Sally Whipple
629496	32404	Fifine
629496	42023	Customer
629496	50858	Gwen Reid
629496	53788	
629496	61773	Helen Raymond (adult)
629496	62943	Christine
629496	67096	Maid
629496	67138	Vivian Saunders
629496	68818	Nathalie
629496	77998	Betty, Gail's Maid
629496	84974	Eloise
629496	93797	
629496	94893	Betty
629496	96620	Mary Lee
629496	96945	
629496	109201	Miss Abby Grant
629496	112633	Jean Manley
629496	114948	Doris Laidlaw
629496	116441	Lulu
629496	116443	Lulu
629496	117726	Virginia Clark
629496	123336	Isabel Emerson
629496	124067	
629496	128250	Ruth Montaigne
629496	129370	Margie Baird
629496	130336	Josephine, the French Maid
629496	133798	Peggy Howell
629496	141247	Roberta Clemmons
629496	143211	Louise, Carol's Maid
629496	151339	Bit Part
629496	158258	Blondie
629496	163250	French Maid
629496	164512	
629496	177397	Marie, the Maid
629496	183347	Polly
629496	188611	
629496	194868	Hilda Garon
629496	195597	Jennie Howard
629496	195939	Anna Hagan
629496	196461	
629496	203009	Mamie St. Clair
629496	204175	His Daughter
629496	206366	Theodora Bland
629496	223252	Betty Jefferson
629496	228570	
629496	241865	Vera Marks
629496	242376	
629496	246704	Arline Whitney
629496	246924	Babette
629496	249202	
629496	254441	Nancy
629496	259762	Bit
629496	262110	Pauline
629496	264173	Mary Ryan
629496	274529	Party Girl
629496	275973	Pauline Blake
629496	278388	Gertie Bowers
629496	281874	Edith Rogers
629496	288431	Colette Breton
629496	291313	Herself
629496	297180	
629496	300103	Girl
629496	308642	Woman
629496	308850	Florence Crosby
629496	310687	
629496	310722	Wiletta Whipple
629496	311412	Marcia Walsh
629496	311470	Angel Allie
629496	327621	Betty Harrington
629496	331060	Margie
629496	341921	Edith Sheridan
629496	352929	Loulou
629496	360493	
629496	362402	Joan Wyckham
629496	363479	Claire
629496	366121	Tish
629496	367962	Telephone Operator
629496	372125	Vera Redell
629496	377634	
629497	30071	Woman
629498	221737	Muerte
629499	372065	Brie
629499	405723	Host
629500	118781	Sister Fish
629501	54260	
629502	334683	
629503	67826	
629504	143565	Player
629505	220671	Dominatrix
629506	260663	Girl in Shower
629508	1677	Herself - Presenter
629508	5178	Susan Cates
629508	7583	Herself
629508	7592	Herself
629508	7842	Julie
629508	10929	Mrs. Bickerstaff
629508	30961	Mrs. Mary McGinnis
629508	30962	Mary McGinnis
629508	34783	Herself
629508	39404	Madame Cassandra
629508	39930	Alec's Mother
629508	39931	Alec's Mother
629508	56377	Fanny
629508	59133	
629508	59148	Connie
629508	65110	Dancer
629508	65811	Ronnie Neary
629508	66991	Tess Malone
629508	70248	Amy Fredericks
629508	70413	One of Hallie's friends
629508	82095	Dionne Waters
629508	82176	Herself
629508	82444	Susan Woolley
629508	88525	
629508	88878	Kelli Fisher
629508	91768	Cindy Dubroski
629508	95078	Helen Swanson
629508	103250	Arlene
629508	114314	Wendy (Mom)
629508	117128	
629508	121365	Brita Burrows
629508	121550	Louise Taylor
629508	121649	Extra
629508	127237	Maxine
629508	137449	Lee Dilley
629508	140925	Testy True
629508	144380	Testy True (from "Head")
629508	149107	Ericka
629508	161324	Narrator
629508	161356	Herself
629508	161386	Herself
629508	161417	Sally Bierston
629508	164581	Herself
629508	168531	Harem Girl
629508	176748	Mrs. Livingston
629508	178204	Extra
629508	186273	Rita Wasinski
629508	188227	Pam
629508	201650	Herself
629508	201651	Herself
629508	206942	Teri
629508	212687	Judge Esther Newberg
629508	214999	Jean
629508	217480	Marge Nelson
629508	218826	Young Wife
629508	219931	Jill (of Jack and Jill)
629508	220618	Dancer
629508	221021	Herself
629508	221024	Caroline Butler
629508	222686	JoAnn McGrath
629508	224741	Susie
629508	232204	Mrs. Julie Ordwell
629508	239030	Bobbie Landers
629508	241098	Princess
629508	241363	Frannie
629508	245007	Sunny Cannald
629508	246249	Helen Schaefer
629508	246861	Pajama Girl
629508	250955	
629508	252834	Laney Tolbert
629508	257689	Herself
629508	263789	Amy McCleary
629508	266419	Louise Hamilton
629508	269859	Marsha Pegler
629508	274195	Nightclub dancer
629508	281337	Elizabeth Monroe
629508	282463	Carny dancer
629508	289027	Lisa
629508	291971	Herself
629508	299897	Carolyn Simpson
629508	302236	Rena
629508	304293	Mona Hall
629508	314598	Herself
629508	314923	Veronica
629508	316211	Randi Thompson
629508	321565	
629508	322615	Herself (go-go dancer)
629508	334132	Hannah Winter
629508	335799	Sandy
629508	338230	
629508	355810	Showgirl
629508	358339	Kay Harris
629508	362107	Dancer in Shipboard Number
629508	364427	Edna Doe
629508	366426	Mary Hawley
629508	366765	Margaret Lightman
629508	367948	Fluffy Peters
629508	372551	Inga
629508	379284	Duchess
629508	381392	Mrs. Mary McGinnis
629508	383022	Regular
629508	384014	Herself
629508	384067	
629508	389356	Talon Kensington
629508	390110	Amber
629508	390312	Denise Sandler
629508	390313	Paige (1994)
629508	390567	Host (volume 3: Pacific Coast
629508	392480	Herself/panelist
629508	394300	Regular (1972)
629508	405948	Various Characters (1973-1974
629508	405949	Olivia (1976-1977)
629508	405950	Herself
629508	411365	Sissy Emerson
629509	29817	Cool Barcelonan
629510	90107	
629511	62485	Mayte
629511	203890	
629511	234008	Rocio
629511	246874	
629511	307291	Luisa
629511	384795	Rocío
629511	387885	
629511	388442	María de la Encarnación (Poli
629511	397467	Rosi
629511	409956	Julia
629512	19926	Carolina
629512	160514	
629513	106023	Geena
629514	199564	Beatrice
629515	43008	Mme Duruis
629515	68784	Employée
629515	115354	L'assistante sociale
629515	258149	Elilie
629515	345423	Une femme de prisonnier
629516	7394	Enid
629517	72031	
629517	110315	Albino Woman
629517	118021	Old Woman at Mint
629517	133678	Spinster
629517	140184	Daria
629517	231907	2nd Woman in Pub
629517	295806	Joan's Mum
629517	320453	Pearl Spencer
629517	388547	Mavis
629517	391085	Various
629517	400516	Ticket lady
629517	401744	Tina
629518	244365	Harmony
629518	380246	
629518	389264	Goose
629518	401518	Annika
629519	112277	Mme de Godeville
629519	120435	La femme âgée
629519	346524	La concierge des Thomas
629520	1038	Dancer
629520	120528	Dancer
629520	194332	Dancer
629520	313825	Cheerleader
629521	1744	Herself/Audience Member
629521	133412	Herself
629521	215171	
629521	228312	Herself
629521	379151	Herself - UK Host (2003 -)
629521	381451	Presenter (1997-1998)
629521	390195	Herself - Presenter (2000-)
629521	405605	Newsreader (1999-2000)
629521	405607	Newsreader (1998-2000)
629522	408252	Jessica Lynch
629523	38045	
629523	395529	Nurse Black
629524	46007	La fiancée de Potier
629524	57324	Émilie
629524	110148	
629524	199389	Emilie
629524	217651	Muriel
629524	225377	Bernadette
629524	251534	Euphrasie
629524	255691	La mère de Momo/Momo's Mother
629524	268417	
629524	289565	Anne
629524	343569	Sonia
629524	351548	Lucy
629524	388314	Odile Fontaine
629524	392911	L'institutrice
629524	410151	Angèle
629525	133592	Elaine Garreau
629525	342374	Claudia Ivanova
629526	276112	La mort
629527	81104	Drome Groupie
629528	211646	
629530	288887	La petite fille
629531	33539	Cardine
629531	169322	
629532	17546	Frejlina
629532	95645	
629532	174251	
629532	244158	
629533	366924	Herself
629534	154611	The Nurse
629534	160219	Autumn
629534	185329	The Mother
629534	274995	Herself
629534	299767	Herself
629534	346350	Judy
629535	196898	
629536	202283	Attractive Woman
629537	34448	Dancer
629539	35014	Claire
629540	169644	Sara
629541	288334	Helen
629542	224217	Kris
629543	318454	
629544	114160	Woman
629545	224106	Ginger
629546	28930	J.L.'s Sister
629547	154575	Libby
629548	403607	Jess
629549	128807	Herself (Segment "Room Servic
629550	11299	Herself
629550	11554	Catherine
629550	13919	Herself
629550	36971	Miss Grady
629550	47385	Herself
629550	71422	Herself
629550	101736	
629550	125484	Herself
629550	194067	Veronica
629550	217572	
629550	224305	Ruth Sherwood
629550	229938	Betty Barret
629550	240904	Brunhilde 'Hilde' Esterhazy
629550	296838	Linda Atlas
629550	323432	Shirley Delwyn
629550	329562	Herself
629550	329565	Herself
629550	342264	Herself
629550	368245	Peggy Lorgan McNeil
629550	379713	Irene Lorenzo (1973-1975)
629550	395271	Edna Babish-DeFazio (1976-82)
629550	397564	Herself
629551	50111	
629551	244421	Young Caroline
629551	346198	Movie Molly
629551	358865	
629551	388354	Lucy
629552	129842	Mrs. Peach
629552	176987	Lucille Farnsworth
629553	345066	Mrs. Roberts
629554	45548	Juanita Abernathy
629555	32243	Young woman #2
629555	360081	Hooker
629556	395232	Host (1998-2000)
629556	406952	Cynthia, VH-1 Host (1997)
629557	269082	TV Newswoman
629558	138859	Winston salesgirl
629559	188542	Showgirl
629559	246183	Opal
629559	271203	Lana Lamarr
629559	315301	
629559	315483	Cigarette Girl
629559	342008	Woman at Detroit joint
629560	71314	Wizda/Woman
629560	197489	Lemia
629561	94096	Mrs. Gassaway
629561	131258	Woman Being Beaten
629561	160293	Herself
629561	213178	Busty waitress
629561	219635	Mrs. Andrews
629561	267351	Miss Haines
629561	367980	Cass
629562	315483	Cashier
629563	315958	Madeleine
629564	131961	
629565	34700	
629565	220165	
629566	245625	Girl in Subway
629566	323588	Young mother
629567	319576	Elizabeth Trent
629569	135843	Dancer at Cheemo's House
629569	223711	Title Sequence Performer #2
629569	274319	Ballerina #1 (segment "Tears"
629570	44471	April Strickland
629570	52635	Jeannie
629570	150677	Judy
629570	195317	Hooker
629570	364411	Barbara
629570	385824	Jo Johnson #1 (1987-1993)
629570	411802	Boobsie Caswell Austin (1983-
629571	319270	Social worker
629573	43360	
629573	52202	Paula Fulton
629573	61626	School Director
629573	162460	Arla Stone
629573	221287	Darlene
629573	309563	Julianne
629573	374478	Jean Baxter
629573	399282	Dana Burns (1991-1992)
629574	50444	Extra
629575	2603	Herself - Performer: 'Richard
629575	391221	Regular
629575	402986	Regular
629576	249548	Sorority Girl
629577	262589	St. Matthew's Choir & Band Me
629578	84230	Sharon Fox
629579	364793	Sarah Rebozo
629580	143505	Groupie #2
629580	347924	Girl in Diner
629581	367023	Sophie Janovskaya
629582	20188	Dalinda
629582	68111	Herself
629582	99301	Herself
629582	186165	Presenter
629582	188119	Herself
629582	213586	Yum-Yum
629582	277701	Performer
629582	308559	Herself - Performer
629582	309713	Herself
629582	328800	Celebrity Participant
629582	369532	Atalanta
629582	406731	Herself (Series 1) (2004)
629583	196867	Stella
629583	228495	Mrs. Winneman
629584	89627	Nancy Malone
629584	109608	Party Guest
629584	165976	Additional Voices
629585	304734	Mall Shopper #2
629586	327728	
629587	29227	Young Groupie
629588	360726	Holly Lindsey-Reade
629588	390771	Holly Norris Bauer Thorpe Lin
629588	404002	Elizabeth Jane 'EJ' Ryan (198
629589	33721	Doctor
629589	46251	Cynthia
629589	52443	Mama
629589	60186	D. Sharon Grant
629589	178149	Female Cop
629589	360242	Ty & Danny's Mother
629590	34087	Mary
629590	34091	Herself
629590	67558	Cleaning Woman
629590	80970	Millicent
629590	82898	Mrs. Martha Wilson
629590	117212	Mary
629590	138670	Mrs. Hale
629590	215911	Shop-at-Home Anchor Person 2
629590	248568	Woman
629590	340547	Mrs. Gilchrist
629590	364777	Housekeeper
629590	381205	Jill Carter
629590	398979	Mrs. Florence Fowler
629590	403708	Miss Hogarth (1972-1973)
629591	184243	Woman walking as a child
629592	31691	Brunette yoga girl
629592	310800	Go-Go Dancer
629593	195446	N.Y. Thug
629594	1781	Herself - Performer
629594	1870	(song 'You Can Have It All')
629594	12813	Nadege
629594	186665	(song 'All the Way to Love')
629594	191527	Herself
629594	221474	Herself (Michael Jackson's ba
629594	379979	Host (1989-1990)
629595	364751	
629595	402449	Betty Johnson
629596	90334	Sueanne
629596	310303	Gordy Girl #1
629596	336475	Martinette
629596	337767	Ellen
629597	301536	Ginger (youngest), Harriet Ro
629598	163565	Grace Miller
629598	222258	Danielle
629598	411852	Co-Host
629599	45083	Freda
629599	79843	Youth Worker
629599	188362	Ruth D'Amato
629599	297646	Mrs. Halliday
629599	397815	Pamela-Anne
629599	399816	Rose Godolfus (1972, 1975)
629600	218530	Caroline, the Hotel Maid
629601	152932	Girl at Airport
629602	64331	
629603	15214	
629603	80031	Lauren Daland
629603	91523	Lorraine Gale
629603	98164	Helen Weaver
629603	99386	Aunt Betsy
629603	108941	Doreen
629603	114017	Kay Quinn
629603	155277	Weather Reporter
629603	193175	Lynn Miller
629603	206833	Gallery Curator
629603	212623	Terri
629603	259749	Betty Parsons
629603	261530	Carol
629603	304829	Victoria
629603	345177	Lizbeth Honeywell
629603	368314	Phyllis Trask
629603	380713	Rita Renfield (1998-1999)
629603	389561	Deirdre 'DeDe' Ligon Halcyon 
629603	390771	Charlotte Wheaton (1985)
629603	398208	Deirdre 'DeDe' Ligon Halcyon 
629603	400236	Allison Perkins (1986-1987, 2
629603	407470	Deirdre Denise 'DeDe' Ligon H
629604	89147	Margaret
629604	221298	Gladys
629604	267607	Josephine
629604	330709	Sylvia
629604	387120	Mrs. Sowerberry
629604	390771	Mrs. Viola Renfield (1981-198
629605	330836	Guest
629606	305934	Patient
629607	136838	Laura Jackman
629608	290082	Maxine
629609	16644	Wheel of Fortune Contestant
629609	399816	Patti Olsen Feather (1974)
629610	272738	Kate Carmody
629611	406864	Coralito
629612	76127	
629612	90457	Dona Xepa
629612	96530	
629613	36660	
629613	249868	
629613	354678	
629614	145148	María
629614	248285	
629614	292729	La maestra Conchita
629614	296456	
629614	383333	
629614	392960	Sra. Villalobos 'directora de
629614	395885	Chabela
629614	396898	Constanza
629614	397463	Antonia 'Toña'
629614	398458	
629614	399823	Mother Superior
629614	401698	Delia
629614	405281	
629614	405318	Soledad
629614	407862	
629614	408919	
629614	409908	Candida
629614	411710	
629615	324551	Liquid Silver Dancer
629615	367873	Engineer
629616	88802	
629617	387023	Herself
629618	317956	Michelle Brady
629619	43243	Julieta
629619	293388	
629619	344793	
629620	282928	Bar Dancer
629621	202098	
629622	273864	Claudia
629623	74674	Celia
629623	352768	Carmen
629624	111577	
629625	287414	
629626	132686	Herself
629626	390451	Mabel
629627	114873	Dancer: Grupo Cané
629628	237194	Teresa
629628	240083	
629628	247477	
629628	256545	Teresa
629628	337440	
629629	274702	
629630	66324	Cashier
629631	160535	Marina recien nacida
629632	233948	Chica 'Happy Birthday'
629633	279460	Party Guest
629634	187767	Cooker Nun
629635	202834	Lucía
629635	211072	Dependienta 2
629635	244636	
629636	51109	Le Schmürz
629636	66565	Estrugo
629636	107743	Mother
629636	110158	
629636	184053	Jeanne, la femme au tournesol
629636	211146	La mère de Lise
629637	148172	
629638	291298	Wanda
629639	55935	
629639	56523	
629639	65412	Viajera de la diligencia
629639	69254	
629639	69470	Madre de Carlos
629639	74561	Bràulio
629639	74957	
629639	90520	
629639	99789	Taranta
629639	108732	Doña Juanita
629639	110233	
629639	146506	
629639	148105	Patrona
629639	148109	
629639	152233	Madre de Octavio
629639	202560	Mariquita
629639	216095	
629639	221910	
629639	282131	Doña marta
629639	296470	
629639	296503	
629639	309087	Hermana portera
629639	335515	
629639	336023	
629639	353230	
629639	353598	Madre de ana
629640	316926	Tina Masterson
629641	119508	Girl in Slip
629642	79450	Indigo Plantation
629643	73573	Zanti
629643	149923	Judge Dairymple
629643	266591	Ellen Stevens
629643	269817	Ellen George
629643	304854	Laurie Travis
629643	405153	Lady in Room 217
629643	406363	Susan Stern
629644	162364	Prison Singer
629645	392732	Herself
629646	19290	Mrs. Dandyprim
629646	123404	Soccer Fan on Stairs
629646	135049	Awards Guest
629646	176807	Faculty Member
629646	187708	Wedding guest
629646	211382	Office Worker
629646	316500	Professor
629647	77479	Isla M., Damselvis
629647	94572	Additional Voices
629648	48948	Girlfriend
629649	71934	
629650	264157	Princeton College Girl Anna
629650	264158	Cheerleader Anna
629650	389276	Sarah
629651	81253	Model
629651	275104	Ellie
629652	20625	Extra
629653	42101	Mrs. Slade
629653	57151	Mrs. Hopkins
629653	116690	Mrs. Titus
629653	141359	Mrs. Studley
629653	195462	Mrs. Sebastian
629653	215547	Mrs. Grant
629653	216454	Mrs. Sayre
629653	235594	Mrs. Clarence
629653	244366	Shirley's Mother
629653	253004	Mrs. Stanhope
629653	267986	Mrs. Townsend
629653	340956	Mrs. Stonehay
629653	353304	Mrs. Rogers
629653	364389	Mrs. Robert Graham
629655	374418	Older Dr. Eudora Fletcher
629656	58357	
629657	65036	Mrs. Arkwright
629658	31696	Susie
629659	89957	Billie Holliday
629660	277850	Blacke
629661	3267	Nerd
629661	191837	LG
629662	108883	Swanhilda's Friend #4
629663	74039	Starting Girl
629663	209630	Drone with Aunt Bea
629664	411802	Hillary Lancaster Baldwin (19
629665	115920	Anna
629665	151556	Ashley Martin
629665	203473	June Stanley
629665	218785	Caroline
629665	249529	Holly Flynn
629666	46311	Barmaid
629666	87280	Vivian Pressman
629666	117362	Mickey
629666	134731	Nicole the Choreographer
629666	194268	Show Choreographer
629666	199079	Esmeralda
629666	221114	Apache dancer
629666	286228	Luna
629666	319175	Spanish Dancer
629666	369492	Xanadu Dancer
629667	244359	Mrs. Bruce Drummond
629669	139571	Christine McFee
629670	79272	Dater
629671	170845	Flashie
629672	363189	Hotel Guest
629673	155248	Woods Walker
629676	31327	
629677	151413	Female Voice
629678	305742	Old Teacher
629680	401744	Hotel maid
629681	204184	Rena Becker
629682	191054	Sara's Cousin
629683	74594	Herself
629683	152597	
629684	83239	La mère de Josiane
629685	351494	
629686	130713	Vanessa Gabriella
629687	205379	
629688	72104	Cover girl contestant
629689	91602	
629690	383437	Natércia
629690	388680	Laura
629690	392628	
629690	392629	Pierina
629690	397548	Jandira
629690	402530	Quitéria
629691	342669	Bar patron
629692	389788	Wendy Torres
629693	183516	
629694	18953	Technical Editor
629695	365527	Bat Girl
629696	19808	Worshipper
629697	194116	FACT Voice/Colonial Represent
629698	255108	
629699	343565	
629700	319988	Véronique
629701	159459	
629702	192805	Extra
629703	355138	
629704	161458	Jessica
629705	387336	Lucy - the Scullery Maid (Dow
629706	395399	
629707	33813	
629708	1962	Herself - Presenter: Best Sup
629708	2301	Herself - Presenter: Best Act
629708	2311	Herself - accepting Best Actr
629708	2940	Herself (Memorial Tribute)
629708	6791	Emily Sears
629708	41502	Edna Kahly Gladney
629708	63039	Herself
629708	83836	Marise Aubert
629708	87163	Herself
629708	131770	Katherine Chipping
629708	138661	Mrs. Cordelia Biddle
629708	143429	Jan Stewart
629708	151345	
629708	161873	Mary Anne Disraeli
629708	170378	Julia Packett
629708	170490	Calpurnia
629708	186277	Jane Hoskins
629708	191780	Our Story Teller
629708	191781	Our Story Teller
629708	192412	Aunt Kathryn March
629708	199318	Marie Curie
629708	214710	Kay Miniver
629708	214960	Herself - Posed Promo Shot fo
629708	221297	Kay Miniver
629708	221307	Susie 'Sparrow' Parkington
629708	252528	Cameo appearance
629708	263555	Elizabeth Bennet
629708	272025	Paula Ridgeway/Margaret Hanse
629708	275458	Linda Bronson Holland
629708	280184	Herself
629708	289400	Mrs. Victoria McChesney
629708	290340	
629708	291299	Herself
629708	302724	Mother Prioress
629708	313319	Herself
629708	316117	Dr. Julia Winslow Garth
629708	319166	Eleanor Roosevelt
629708	329421	Irene Forsyte
629708	329565	
629708	342353	
629708	349983	Mary Rafferty
629708	353530	Herself
629708	362894	Mrs. Claire Woodruff
629708	372819	Cameo appearance
629709	36970	
629709	78187	Flo Davis
629709	109436	Mildred, Girl with Sidney
629709	335599	Stewardess
629709	337178	Woman in Spanish Costume
629709	349554	Julie, the Maid
629710	196372	Montage typist
629711	183314	Skoleelev
629712	333856	Young female first-class pass
629713	333856	Older female second-class pas
629714	106522	Socialite
629715	270638	Aunt Bitsy
629716	1681	Herself
629716	2258	Herself - Presenter
629716	35513	Herself
629716	35514	Herself
629716	35515	Herself/Kelly Marlene 'Kel' T
629716	35542	Kelly Taylor
629716	64560	Herself (performer-trapeze ar
629716	107901	Meg Crane
629716	155751	Herself
629716	171252	
629716	185164	Jacqueline 'Jake' Cooper
629716	189920	Laurie Kellogg
629716	194682	Chelnicia Bowen
629716	223777	Mary
629716	261989	Sharon Penn
629716	292611	Rebecca Chandler
629716	313185	Crystal Wyatt
629716	326655	
629716	327307	Amber
629716	346907	Sheila Hart
629716	366919	Laura Mills
629716	368825	Herself
629716	381811	Kelly Taylor
629716	382666	Ericka McCray
629716	410877	Valerie 'Val' Tyler
629717	124056	Garbo Maid
629717	223009	Loop Group
629718	70119	Liselle
629719	125313	Sylvia
629720	99885	Mireille
629721	236147	Candace Bollinger
629722	85975	Femme cocktail
629723	26885	Exis
629723	396874	Dr. Carolin Berger
629723	405753	
629723	410522	Hildegard Fielder
629724	72391	Cute Model at Party
629725	188639	Louisa
629726	294004	Recruit Cargioli
629727	388655	
629727	392682	Host
629727	407415	Co-Host (1977)
629728	224820	Jury Foreman
629729	209707	Bartender
629730	13966	Desk Sergeant
629730	228672	
629730	235622	Helen
629730	263234	Martha Stratton
629731	87166	Marcia Johnson
629732	161422	Woman in Bed
629733	368940	Mandy
629734	368940	Sara The Stalker
629735	342587	Rich English School Chum
629736	41874	Professor Williams
629737	401570	Jo Kingi
629738	87586	Xavier Chatman Dancer
629739	65820	Paula
629739	77217	Susan Murray
629739	303239	Sister Veronica
629739	339464	Mary
629739	358653	Helen
629739	362830	Margery Allingham, novellist
629739	379727	Ally
629739	381113	DS Kath Reaper (1997)
629739	384346	Det. Sgt. Jane McCormack
629740	398691	Dr. Rachel Dowd
629741	306955	Nicole Shushan
629742	9922	Elke Ludowski
629742	42144	
629742	49292	
629742	56545	Herself
629742	123949	Johanna
629742	209957	Mascha
629742	343689	Katrin
629743	157162	Claudia
629743	178480	Angela
629743	384343	
629743	386128	Secondo giornalista
629744	86669	Neha
629745	75757	
629746	394620	Mushka
629747	28387	
629749	190252	Grandma
629750	104376	
629751	396425	Catriona Fraser
629752	17043	Barbarella
629752	148211	Jade Sutherland/Herself
629752	148212	Jade Sutherland
629752	282609	Herself
629752	391869	Jade Sutherland (2000-2004)
629753	234545	Tamara
629754	209693	Beverly Oliver
629755	18979	Bit Part
629755	27346	Rhoda's Schoolmate
629755	65891	Mrs. Gilliam
629755	82901	
629755	154868	
629755	161924	
629755	161925	
629755	168828	School Girl A
629755	178080	
629755	206819	Jenny Miller
629755	218153	Noreen
629755	232089	Child
629755	264158	Cable Tourist
629755	272234	Bit
629755	293640	
629755	321266	Nurse
629755	327685	Rachel, Young Slave
629755	339398	Aunt Katey
629755	388318	Catherine 'Cissy' Patterson-D
629755	406153	Firestar (Angelica Jones)
629755	408043	
629756	109365	Kembra
629757	154472	Dorothy Braid Contest Winner
629758	381451	Business Reporter
629759	391864	Decorating Expert
629760	379021	Host
629760	389718	Co-Host
629761	347534	Rebecca
629762	3973	Female Prison Guard
629763	252393	
629764	109576	Cindy
629764	359712	Tanya
629765	129784	Student #1 (jury member)
629767	160633	Protester
629768	137021	
629769	195271	Lilly
629769	348396	Rachel
629770	41392	Veronica Lucan
629770	56205	
629770	85922	Camilla Parker-Bowles
629770	131610	Nancy
629770	149933	Mary Rennie
629770	165450	Diana Rivers
629770	215154	Ella Zeilinsky
629770	392129	Lady Elizabeth Montford
629770	397676	Muriel Saxby
629770	402124	Elizabeth Bennet
629770	405888	Liz
629771	11465	
629771	12754	
629771	22104	Dance Hall Hostess
629771	26294	Amorous nursemaid
629771	31174	Slips on pie
629771	31567	Mrs. Laurel
629771	34459	Flo Mason
629771	34995	
629771	37150	
629771	41513	Mrs. Laurel
629771	46996	
629771	48212	
629771	52157	Señora Laurel
629771	55549	Mme. Laurel
629771	59497	Mrs. Paynter
629771	63422	Mrs. Vandevere
629771	70381	Weakfish customer
629771	72687	
629771	99451	
629771	108527	
629771	110459	
629771	120583	Mrs. Culpepper
629771	130330	
629771	140023	Customer at top of stairs
629771	140738	
629771	146225	Mrs. Finlayson
629771	147726	
629771	148226	
629771	186155	
629771	190512	
629771	204885	
629771	211610	
629771	214134	
629771	216919	The Brunette
629771	220557	
629771	230413	
629771	232307	Ann
629771	232341	Bit part
629771	236100	
629771	238628	
629771	239835	Mother
629771	240981	Chorine
629771	246789	
629771	257513	Millie
629771	270950	Janice
629771	274150	Mable
629771	285683	Madame Ritz
629771	286115	Party Guest
629771	300020	His wife
629771	300066	Anita Garvin
629771	302773	Packy's Jealous Girlfriend at
629771	304828	
629771	304904	The other woman
629771	314481	
629771	319111	
629771	321616	Tradesman's wife
629771	329813	Oliver's girlfriend
629771	339076	Ottilie Dunois
629771	340490	
629771	340971	Mrs. Errol
629771	343285	Anita
629771	349994	
629771	363562	
629771	363702	Miss Garvin
629771	364574	Captain's Wife
629771	366823	Superior officer's girlfriend
629773	306396	Girl
629774	188453	Ninja Girl
629774	345634	Narrator
629775	21913	Herself
629775	41751	Steamy' and 'Five Alarm Fire 
629775	128718	
629776	248669	Haunted House Patron
629777	166670	
629778	166439	Beach Jedi
629779	195300	Backing-singer teacher
629779	267484	Wendy Ward
629779	361632	Carol Richardson
629780	16892	Louise
629780	158608	Ad Lib #3
629781	196844	Ms. Worth
629781	259969	Mrs. Peacock
629782	230693	
629783	65975	Edith Southey
629783	194968	
629783	254268	Wren (Linen Store)
629783	279347	Kitty Struther
629783	303230	
629783	379153	
629783	393427	Eleanor Warrender
629783	399552	Beryl Crabtree
629783	411763	Myrtle
629784	57560	Charles Theater Girl
629784	121546	Ariel Mayflower
629785	323883	Shantytown Woman
629785	330153	Jane (kitchen maid)
629786	108474	Fan
629786	164641	Mourner
629786	203918	Skid Rown Resident #4
629786	316716	Waitress
629786	364459	Washington Square Peddler
629787	214925	Pip McKimmie
629788	81256	Betty
629789	2019	Morgan on the Organ
629790	195736	Herself
629791	118177	La soleillomane
629792	11926	La supportrice
629793	189254	
629793	366449	Officer/Passenger
629794	119533	Whale spotter
629795	63108	Sorceress
629795	74076	
629795	107330	Hag
629795	109834	Storyteller
629795	122756	Grandma Knight/Tetelo
629795	138672	Critterina AND Marina
629795	169677	Boutique Clerk
629795	184372	Grandma
629795	184373	Grandma/Mother Quetzalcoatlus
629795	184374	Grandma
629795	230101	
629795	256350	Beatrice
629795	267386	Emily
629795	292567	Teela/Queen Marlena/Sorceress
629795	311046	Aunt May Parker
629795	321632	God
629795	367323	ESS Voice
629795	378727	
629795	382187	Mara
629795	385727	Additional Voices
629795	390031	Mysteria
629795	391201	Teela, Evil-Lyn, Queen Marlen
629795	401528	Additional Voices (season 2)
629795	404517	Additional Voices
629795	405091	Glimmer/Shadow Weaver/Catra/C
629795	405552	Additional Voices
629795	405718	Dame Barbara (1982-1989)
629795	406156	
629795	406157	Aunt May Parker (I)
629795	407144	Dr. Abby Sinian
629795	407441	Additional Voices
629795	407575	Webwoman
629795	408730	Chromia/Nimue/Talaria/Alana/A
629795	410419	
629796	1390	Joan Douglas
629796	54749	Hysterical lady ('Miss Beverl
629796	64940	Victoria Ulysses
629796	72554	Emily Mulwray
629796	154516	Ester Blake
629796	165961	Ellen Brody
629796	165964	Ellen Brody
629796	165975	Herself
629796	165976	Ellen Brody
629796	171313	Shirl
629796	184696	Myra Galen
629796	201882	Herself
629796	203361	Nora Griffin
629796	205317	Ruthie
629796	249515	Margery Jordan
629796	262518	Lila Summerfield
629796	374596	Billy-Jon
629797	15254	Mrs. Rafsheedi
629797	299363	
629797	367443	
629798	13106	Monique
629798	15130	Charlotte
629798	63948	
629798	66835	Une invitée
629798	80143	Mme T.
629798	96110	Madeleine
629798	103199	Geneviève
629798	113112	Conchita d'Aranda
629798	120863	Lea
629798	199328	Une fille
629798	202794	
629798	214204	
629798	220497	L'hôtesse de l'instutut de be
629798	229495	
629798	237912	Irène
629798	266405	
629798	268861	
629798	287591	Une lavandière
629798	322362	Denise
629798	328850	Marguerite
629799	15012	Odette
629799	83233	Dame rue 2
629799	384434	
629800	48959	Divine's Mom
629801	79355	Alceste
629801	81075	Doris Maitland
629801	81444	Ann's Daughter
629801	287286	Dolly Morgan
629801	301971	Cissie Denver
629801	351920	'Dimples' Briggs
629801	364250	Amy Winton
629802	25958	Dame
629802	200376	Fabienne
629802	200940	L'aubergiste
629802	258331	Nicole
629802	282504	Céline
629803	117454	Featured dancer
629804	33742	Mrs. Neptune
629806	28791	Stacy
629806	221174	Background Singer #1
629807	323866	Employee #1
629808	59470	Sammon, Sue
629809	213705	
629810	61341	
629811	74498	
629811	103740	Mujer
629811	132664	Silvia
629811	135283	
629811	378975	
629811	379559	Trinidad
629811	379603	Norma Caetano
629811	383268	Gloria
629811	386795	
629811	390732	Teresa
629811	395856	Barbara
629811	396894	
629811	399568	Martha
629811	401659	Silvia
629811	405834	Meche
629811	409833	Elsa
629811	412193	
629812	148195	Jogger #2
629813	71272	Jessica Burns
629813	392352	Jimena (niña)
629815	74645	
629815	153331	
629816	256786	
629817	5353	
629817	14797	
629817	20677	
629817	43131	Lucha
629817	76013	Cantante
629817	222040	
629817	222044	Cantante
629817	246276	Cantante
629817	256774	
629817	300637	
629818	399823	Leticia (child)
629819	380000	Young Vangie Gonzalez (2003)
629820	70889	
629821	407138	Herself
629822	384870	
629823	166547	
629824	12706	Daniela Oszek
629824	103115	
629824	104079	Lili
629824	275809	
629824	357507	
629824	383145	Lilí (1981-1985)
629824	387550	Josefina
629824	396209	Brígida
629825	166871	Saloon girl
629826	392960	Marcela
629827	30481	
629828	14639	
629828	225045	Rosita
629828	333171	Herself
629828	378975	Mariana
629828	379603	Lorena Caetano
629828	386795	
629828	387468	
629828	388937	Marianela (1989)
629828	407851	Santa
629829	103756	Desmanchadora II
629829	199804	
629829	208842	
629829	218498	Luisa Calandria
629829	277425	
629830	384833	Host
629830	391649	
629830	409934	
629831	382848	Natalie (2002)
629832	293762	Casino Girl #2
629832	382848	Nikki (2002)
629833	380107	
629833	384832	Tere 'La Secretaria'
629833	400400	Tere 'La Secretaria'
629833	410477	Teresa 'Tere' de la Concepció
629834	304443	Smoking Writer
629835	236801	
629836	270837	
629837	138458	
629838	265157	
629839	390851	Nuria
629839	398914	Sara
629839	400660	Paqui
629840	265157	
629841	497	
629841	77261	
629841	77752	
629841	146515	
629841	213752	
629842	91389	
629842	248229	Vicky
629843	55747	
629843	103808	
629843	206996	
629843	307212	
629843	339141	
629844	135120	
629844	212348	
629845	224964	Miranda
629845	397592	Ursula
629845	409922	Mariangel Ariza Benavides
629845	410297	
629846	63789	Deborah Bigolon
629846	260322	
629846	338717	
629847	163881	Herself
629848	1145	Tamina Karlova
629848	147745	Cleo's Girl
629848	234055	
629848	297628	
629848	333507	19th Hole Waitress
629849	293222	Anna
629850	65216	
629850	103653	
629850	187939	
629850	219325	
629850	234340	
629850	235318	
629851	111995	
629852	183305	
629852	365163	Widow
629853	2691	
629854	93192	
629854	190688	Carol Elliot
629854	267486	Dinner lady
629855	30582	Hospital Nurse
629855	69405	Mrs. Barnwell
629855	177519	Mrs. Williams
629855	236383	Narrator
629855	250779	Mother Corrine
629855	274125	Waitress
629855	340931	Vivien Empson
629855	383655	Maggie Forbes
629855	389895	DI Maggie Forbes
629855	400265	Letty Gaunt/Onedin (1976-1979
629856	353886	
629857	97054	Travailleuse sociale
629858	15113	Sarah
629858	133045	Madame Martin
629858	198451	Manouche
629858	382475	Martine Poliquin
629858	392367	Miriam Galarneau
629858	400139	
629858	403899	Mireille Bissonnette
629858	409677	Dr. Claire Alarie
629858	410252	Andrée Constantin
629859	29741	
629859	44668	
629859	92344	
629859	206984	
629860	17073	Nurse at Clinic #2 (old movie
629861	83533	
629862	57321	Soprano
629862	197927	Sopran
629862	204941	Anna
629862	220729	Soprano
629862	276492	Extrait de répétions de 'Rina
629862	340009	Lauretta (Gianni Schicchi)
629862	341818	Liù
629862	353137	Corinna
629863	104614	Janet
629864	280082	
629865	218180	Model #3
629866	170224	Herself
629866	170226	Herself
629867	130576	Bozenka
629868	174880	
629868	315343	Girl
629869	258791	Kinga Koziol
629870	258811	
629871	381821	Ensemble (1968)
629872	59109	Spencer
629872	309718	Phipps
629873	93978	Benitta
629873	95222	Ormaline
629873	385455	Ruby Ferris
629873	389410	Herself
629874	107174	
629874	154904	Millie Wiggins
629874	186560	Marjory Ford
629874	196974	
629875	269355	West Indian Girl
629876	269355	West Indian Girl
629877	79049	Vampire
629879	139450	Leslie
629880	235404	Talk Show Jenny
629881	245600	Foxy Lady
629882	130184	Aunt Edna
629882	346223	Bag Lady
629883	105852	Mrs. Clark
629883	119502	Teresa
629883	134314	Officer #1
629883	170831	Shades
629883	175167	Isabel Powell
629883	195523	Ceanna
629883	223691	Venus
629883	330559	Jogger #1
629883	351506	Dolores Johnson
629884	218179	
629885	34702	Mia's Mother
629886	101081	Female Reporter
629886	105650	Judy
629886	121506	Newscaster
629887	376437	Doris
629888	110550	Lover 3
629889	178508	Jonas' mother
629890	198567	Student
629890	247638	La cliente
629891	85635	Markova
629891	246204	
629891	380662	
629892	212449	Woman on Bus
629893	266307	
629894	3942	Busty Assistant
629894	43885	Background Singer
629894	85002	Pretty Witch With book
629894	350191	Tall Vampire
629895	170706	Dominique
629895	223882	Christa
629896	43559	
629897	84152	
629898	184521	TV reporter
629899	2078	Hooker
629900	89993	
629900	383621	Caipora
629901	212386	
629902	88908	
629903	21529	Woman Holding Sign
629904	55868	
629904	180332	Tanja
629904	192900	Milena
629905	147152	
629905	331602	La belle employée de banque
629906	40571	Herself
629907	33667	
629908	94062	
629908	229277	Nina, devojka sa bazena (misl
629909	211815	Willis' Daughter
629910	43174	Lucy
629910	139159	Mrs. Hart
629911	229186	
629912	19182	L'infirmière
629913	37608	
629914	16195	
629914	174067	Miluska
629914	239893	Girl from Bozena's suite
629915	375965	Police girl
629916	346711	
629917	243487	
629918	23692	Hôtesse de l'air
629918	28375	
629918	68645	
629918	205674	Fiammetta
629918	377042	Myriam
629919	66064	
629919	390753	
629920	35852	
629920	176045	
629920	321877	
629920	373570	
629921	6651	Nurse
629921	237522	Princess/Old granny
629921	410338	Gravid woman in vault
629922	344207	Eva
629923	131115	
629924	334429	Ragazza lentiggini
629925	293419	
629926	1815	
629926	33154	
629926	55906	Mônica
629926	67642	
629926	70096	
629926	205714	Luciana
629926	222172	
629926	278620	Mônica
629926	328334	
629926	329018	
629926	344799	
629926	379182	
629926	380329	Camila
629926	380563	Marieta
629926	386419	Condesa
629926	386505	Maitê
629926	387730	Kátia
629926	388416	Simone
629926	388941	
629926	389662	Mônica
629926	392628	
629926	392629	Fraulein
629926	397198	
629926	397804	
629926	398793	
629926	398877	
629926	401460	Helena
629926	402265	
629926	402728	
629926	407639	
629926	408220	
629926	409003	Júlia
629926	410375	
629926	412305	
629927	170706	
629927	223882	Dora
629928	167336	Doris Dowker
629929	170094	
629929	297734	
629929	323365	
629930	100193	Waitress
629931	30145	Grandmother
629932	25336	
629932	127380	
629933	109979	
629934	192900	Milena
629935	44343	Yoga vjezbacica #2
629936	280131	Blood Bank Nurse
629937	61129	
629937	91406	
629937	211169	
629937	375873	
629938	234342	
629939	307755	
629940	16188	Wife
629940	36679	Wife
629940	137057	
629940	155331	
629940	170676	
629940	230172	Passantin
629940	294986	
629941	75701	Jackie Chido
629942	60745	Ruby McCann
629943	376972	Blondine enfant
629944	33742	One of 'The Thirty Women'
629945	321367	Spinner #1
629946	133045	Serveuse du restaurant
629947	238342	Tepare
629948	222310	Dress Shop Girl
629948	245859	The Baskin baby
629948	260145	
629949	74076	
629949	190796	Patient
629950	33166	Fräulein Steiner
629950	140229	Ulrike Sass
629950	302761	Bea
629950	325507	Herta Olbrich
629950	386977	
629950	387771	
629950	396165	
629950	406262	Karin Kukowski
629952	145633	Herself
629953	28992	Raphaële
629953	73251	Romance
629953	134617	Solange
629953	193436	
629953	195242	Anna
629953	345095	Laurence Delvaux
629954	173361	
629954	400738	Pacita
629955	199047	Woman of the Sun
629956	188852	
629956	249635	
629956	254372	
629956	314346	Lucie
629956	343490	Claudine Fougeray
629956	354067	Sophie
629956	374329	
629956	375049	Rita
629956	396753	
629957	204522	Annie MacNamara
629958	62992	Martha
629959	78218	
629960	210572	
629961	160206	Barbe
629962	61900	Olga
629963	81117	Nancy Ellen
629964	70005	
629964	85477	Herself
629964	127940	Claudio's mother
629964	316375	
629964	400415	
629965	85477	Herself
629966	290449	
629967	24003	
629967	115958	Saskia's grandparents
629967	126340	Herself
629967	137303	
629967	142316	Helga
629967	142318	Helga
629967	142319	Helga
629967	328978	Dr. Esters
629967	359593	
629968	99356	
629969	312345	Barbara
629969	317170	
629969	408091	Cecilia
629970	48180	
629971	190171	Sharon Gale
629972	373732	Floormanager
629972	400217	Lotte Jacobs (1995)
629973	388245	Gabriele "Gaby" Glockner (198
629974	377281	
629975	101233	Italian Nun
629976	393186	Meche Ferreyra
629977	2474	
629977	72959	
629977	74510	
629978	31433	Anne Ferrer
629978	68513	Lise Paulet-Dauchy à 20 ans/L
629978	111384	Nina
629978	155740	Madame Bordas
629978	204339	Christine
629978	208818	Gérande
629978	211630	
629978	214387	Gisele
629978	377726	Momone
629978	390491	Aimée de Chabrillant
629979	28861	
629979	83006	Anita
629979	189309	
629979	384303	Creuza
629979	396036	Nilda
629980	213803	
629981	355943	Valeria
629981	401881	Herself - Bandana
629981	404270	
629982	255879	
629983	23890	Anette
629983	49666	Staatsanwaeltin
629983	85727	
629983	93381	Gomulka
629983	137730	Elke
629983	144129	Marlies Bode
629983	156711	Christel Guillaume
629983	162018	Tilly Marlony
629983	172856	
629983	182784	Abels Mutter
629983	182903	Regisseurin
629983	325672	Claudia Schmitter
629983	325775	
629983	369142	Christa Lubanski
629983	399825	Elke
629984	90080	Donna Elvira
629985	80399	Cindy
629986	158138	Laser Model 4
629987	100391	Copera
629988	11485	Script Supervisor
629989	34284	
629990	114978	
629990	203703	
629990	214897	Moeder van Maurice
629990	242454	
629990	351162	
629990	382403	Rose
629990	394613	
629991	57671	Herself
629991	72012	Rosemary Colletti
629991	87981	Herself (in audience)
629991	126130	Sra. Giovanni
629991	209133	Cady's Mom
629991	209638	Mel
629991	228970	Herself
629991	274559	Mae
629991	274638	Herself
629991	288700	Margaret Joe McCullen/Martha 
629991	288703	Herself
629991	288706	Herself (Various Characters)
629991	288708	Herself (Various Characters)
629991	288710	Herself/Various Characters
629991	288718	Herself/Various Characters
629991	288719	Herself
629991	352979	Christina Aguliera
629991	362453	Sue Cranston
629991	362543	Ann Marie
629991	367589	Claudia Hunter
629991	404337	Various (1996-2002)
629992	12217	Groupie
629993	253230	Leila
629996	309347	
629997	309347	
629998	35776	Bike Messenger
629998	93261	Matt
629998	317881	Keyshawn
629999	81898	Filipina
629999	96750	Lani Miyori
630000	258235	Rider
630001	332835	Claudia
630001	360027	Tina
630002	109077	Prostitute
630003	28271	
630003	37826	
630003	37853	
630003	56265	
630003	69753	The girl
630003	72640	Beulah Grey
630003	89717	Helen
630003	92127	
630003	109820	Frances Berkeley
630003	113586	Mary
630003	146200	
630003	168512	Katherine Searles
630003	192140	Annie's Mother
630003	193715	Hilda
630003	195830	Diana Strongwell
630003	196109	Marta Holmes
630003	203277	Polly
630003	205158	Nancy Harris
630003	246715	Diana Welland
630003	301670	
630003	341978	
630003	348319	Alice
630003	353513	
630003	359798	June
630003	364310	Marion Washburn
630004	160855	Young Eve
630004	289749	Pharmacy Patrons
630005	259269	La Sondra Washington
630006	200522	
630006	247540	
630006	253298	
630006	256888	
630006	332932	
630007	58788	
630008	14367	
630008	14838	Renata
630008	25324	Mary Read
630008	26263	Maria
630008	41890	Myrna
630008	46397	Eva
630008	58484	Simone
630008	73380	
630008	77623	Amaryllis
630008	85624	Lt. Connie Gomez
630008	86113	Frances
630008	88884	
630008	94811	Miss Parker
630008	104814	The Russian
630008	107089	Jean Francis
630008	127487	Senora Cellini
630008	133395	Aunt Lea
630008	142568	Herself
630008	157030	
630008	160784	Carla Menda
630008	161759	Marina
630008	161861	
630008	169161	Girl
630008	183147	Elli Alessi
630008	199442	Maddalena
630008	203065	Michele
630008	203322	Chambermaid
630008	204262	
630008	216335	Luisa
630008	217769	Fiorenza, marchesa del Giglio
630008	235778	
630008	251649	Alma
630008	269183	Milady de Winter
630008	279294	Togni's wife (segment "Il pol
630008	280545	
630008	283412	The Airline Clerk
630008	283989	Kitty Mortlock
630008	289444	Eliane Michaud
630008	292170	Pauline
630008	293065	
630008	295150	Lucia Sarzi
630008	295172	Erika Montesanto
630008	316023	Marny Friend
630008	330237	George Two's Girlfriend
630008	331489	Primrose Porterhouse
630008	338653	
630008	340969	Mary Maguire
630008	344603	Messalina
630008	348154	Lucretia Borgia
630008	351537	Elena
630008	355258	Lola Sanchez
630008	368963	Maria
630008	372193	Bit Part
630008	389170	Guilia (Vittorio de Sica epis
630008	405615	
630009	225401	
630009	286040	Sardine
630010	309669	Annie Holst
630012	310656	Valentina Pasion
630012	363560	Grocery Store Dancer #3
630013	160832	Computer Student
630014	158825	Second officer
630015	331462	Terrorist
630016	273221	
630017	11705	Chica #1
630017	74096	Marisa
630017	191549	Clementina
630017	201347	Carme Anglada
630017	235296	Mireia
630017	378929	Esther Castro (2000)
630017	396544	Carme Anglada
630018	82075	Angel's Lady
630019	213104	Young German
630020	321306	
630021	239720	
630022	131359	Mother's Child
630023	145707	Jill
630023	372515	
630025	283851	Wanda Wilson
630025	292878	
630026	236387	Catholic School Girl
630027	138837	Meredith Casey
630027	276770	Woman In parking lot
630027	371470	Helen Snow
630029	125704	Herself
630030	149353	Herself (William's mother)
630031	397938	First Lady
630032	283534	Jenny
630032	340857	Nurse
630033	117522	Sunseeker
630034	105390	Tree Stenn
630035	125817	Gwen Hayden
630036	318793	Gypsy Girl
630037	270134	
630038	33870	
630038	92566	Tammy
630039	16748	Assistant D.A
630040	199318	Perot granddaughter
630041	147300	
630042	365866	Girl #1
630043	199318	Perot granddaughter
630044	11362	Jennifer Gibbons
630044	163588	Homer's Daughter
630045	10596	Josie
630045	26070	Female Wrestler
630045	30074	Obese Woman
630045	41731	Chubby Blonde
630045	57191	
630045	70534	Blonde dancer
630045	78849	Fat Lady
630045	92195	
630045	99845	Sylvia Tetlow
630045	111734	Fat Woman
630045	127394	Mrs. Sarge
630045	131472	Fat Woman
630045	131833	Rosebud, Bill's Wife
630045	140775	Fat Girl
630045	140854	
630045	143565	Woman
630045	149319	
630045	150723	Heavy blonde woman
630045	153191	Flora, Moe's Wife
630045	192721	Babe, Sailor's Wife
630045	222941	Tiny Ray
630045	223981	
630045	239391	Tillie
630045	274102	
630045	274540	
630045	347063	Angie Striker
630045	347068	Nightclub singer
630045	363282	Girl in Act
630045	367552	Goldie
630046	22886	Princess Henriette
630046	23316	Ellen Haskell
630046	33006	Sister
630046	44884	Mildred
630046	46729	Jane Mason
630046	60235	Cathy Jordan
630046	60951	Fay Wilkins
630046	67682	Nancy Lowe
630046	81194	Stephanie North
630046	108282	Daughter, Nancy
630046	127698	Margie Forrester
630046	133629	Marjorie Forrester
630046	133949	Spectator
630046	135909	Lily, Lady Gay Saloon Owner
630046	142448	Sally Lee
630046	146854	Brenda
630046	200462	Girl
630046	200489	Jane Rivers
630046	207478	Nina Varin
630046	207534	Amy Merrick
630046	210501	Janice
630046	230278	Harriet Ide
630046	232023	Connie Matthews
630046	233748	Louise Nelson
630046	272965	Marsha Collins
630046	280640	Carol Loomis
630046	291916	Hazel Bernstein
630046	307863	Edith Barclay (Frank Hirsh's 
630046	310326	Lupita
630046	316229	Caroline Webb
630046	318185	Ellen Benson
630046	324961	Ming Shan
630046	330825	Julie Grant
630046	335870	Lt. Mary Ross
630046	336032	Celia Stewart
630046	361977	Sally Parker
630046	368557	Garnet
630047	351181	
630048	396641	Aunt Jenny
630049	81179	Lillian
630049	121503	Olivia Rudge
630049	233673	Joan at 12
630049	359944	Elly
630049	382176	Receptionist
630050	105256	
630051	129762	Gnome Maiden
630052	130356	Female decoy
630052	382052	SRO Marilyn Chambers (2003-20
630052	382838	Leanne Powell (1991-1993, 199
630052	406267	Meryl Cartlege
630053	264	Mrs. Hester
630053	16467	Mrs. Desmond Fowler
630053	18197	
630053	20267	Fanny
630053	26776	Mrs. Adams, Aboard Ship in Fu
630053	33745	Hortense Cole
630053	36856	Mrs. Cole
630053	37504	Amt Goodrich
630053	40605	Mrs. Grace Thorne
630053	49746	Mrs. Paul
630053	51799	Mrs. Grace Taylor
630053	56103	Lucille Compton
630053	58499	Mrs. Louise Fields
630053	68248	Mrs. Stanhope
630053	92247	Mrs. Geoffrey Colt-Stratton
630053	94617	Aunt Elsie
630053	94967	Mrs. Drew
630053	100156	Mrs. Lee Hickox
630053	103330	Mrs. Winslow
630053	105077	Maud Hackett
630053	108021	Rose
630053	114059	Mrs. Wells
630053	114155	Sophy Prescott
630053	116370	
630053	124482	Mrs. McNutt
630053	125849	Fay Costigan
630053	125896	Mrs. Harper
630053	126274	Mrs. Steele
630053	130300	Mrs. Crane Brittony
630053	138686	Mrs. Bradford
630053	143588	Emily Vance
630053	144450	Mrs. Hardacre
630053	144454	Mrs. Frank J. Canfield
630053	145904	Margaret 'Maggie' Murfree, ak
630053	149129	Mrs. Van Derholt
630053	153183	Loretta
630053	154182	Mrs. Alice Spelvin
630053	154983	Mrs. Morgan
630053	157883	Mrs. Pittman
630053	160935	Mrs. Grenner
630053	170307	Mrs. Horton
630053	177610	Mrs. Helen Everon
630053	183728	Mrs. Marley
630053	188342	Agatha Holmes
630053	190866	Mrs. Bessie 'Ma' McGill
630053	201923	Muffin Wilder
630053	203133	Eloise Hartley
630053	209679	Mrs. Goodwin
630053	210392	Mrs. Wells
630053	213983	Mrs. E. Winthrop Lemoyne
630053	214106	Elita
630053	218781	Aunt Effie Floto
630053	224419	Mrs. Ellis
630053	234029	Sophie
630053	234037	Mrs. Pettensall
630053	237818	Mira Potter
630053	239346	Mrs. Herbert Wright
630053	241561	Aunt Edna Collier
630053	242812	Mrs. Shackleford
630053	249261	Mrs. Thorton Casserly
630053	260285	Mrs. Louise 'Princess' Brewst
630053	264775	Mrs. Maggie Winfield
630053	277521	Mrs. Holton
630053	278540	Mrs. Fenwick
630053	295293	Mrs. Elizabeth Arland
630053	300912	Mrs. Thatcher
630053	301954	Mrs. Adams
630053	304347	Canteen Hostess
630053	306798	Alice Converse
630053	311299	Mrs. Macy, June Mother
630053	311995	Miss Ritchie, the Housemother
630053	312673	Mrs. Shepherd
630053	316681	Lois Baldwin
630053	330514	Mrs. Russell
630053	330602	Hazel's Travel Companion
630053	331472	Clara
630053	335576	Mrs. Randolph Russell
630053	341957	Myrtle Tweep
630053	356230	Mrs. George Curtis-Lemke
630053	358775	Cassie Street
630053	360421	Mrs. Rutherford
630053	365068	Eve Merritt
630053	368315	Modiste
630053	368383	Mrs. Clinton
630053	372299	Aunt Louise
630053	372819	Mrs. Drew
630053	372887	Mabel Dixon
630053	400239	Fanny Barbour
630053	404694	Grace Harris Tyrell #1 (1954-
630054	261985	
630055	124026	Beauty Shop Lady
630056	260705	Feminist
630056	344652	Drunk Girl #1
630057	165853	Carjack Victim
630058	182322	
630059	269892	Aborigine
630060	186665	Tanya
630061	171139	Corinna
630063	37601	Wanne
630063	80217	Adela
630064	44418	
630064	59112	Mimi
630064	72827	Ashlee's Mother
630064	102674	Ms. Spelling
630064	104051	Bankárné
630064	107831	Justine
630064	110308	
630064	117664	Lisa
630064	117683	Lisa
630064	118823	
630064	118911	Corner Hooker #1
630064	127103	Madame Wanda
630064	130695	
630064	147845	Deb
630064	155949	Ida
630064	165123	Hooker
630064	203329	Ella
630064	209643	Venka
630064	294160	Ági
630064	309354	Nusi
630064	319239	Josefa Sonnenschein
630064	322202	
630064	327032	Gabriel's wife
630064	362716	
630064	375113	Doctor
630064	375774	CIA Technician
630064	401000	
630065	44418	Eleaine McCoy
630066	336453	Marie-Lou
630067	30406	Angelina
630068	13138	
630068	54567	Amanda
630068	56059	
630068	106307	
630068	132662	Margarita
630068	183540	Baroness Margaret
630068	194628	
630068	238116	
630068	266441	
630068	291601	
630068	322226	
630068	324973	French entertainer
630068	334680	
630068	352114	
630068	352115	
630068	380074	
630068	383867	
630068	387273	Eva Fernández
630068	390459	
630068	393175	
630068	393832	
630068	396941	Bea
630068	396942	
630068	396984	Doña Francisca
630068	402052	
630068	402686	Agueda Flores
630068	403214	
630068	404815	
630068	407644	
630068	408562	
630068	408591	Malva del Río
630068	408722	
630068	410383	
630068	412301	
630069	124507	Madre
630070	276426	Mother of Baby
630070	368092	Rosa
630071	33714	Born
630072	121222	
630073	269892	Aborigine
630074	190035	Glenda
630075	126495	
630075	236135	Scary Drag Queen #2
630076	101867	Lesbiana
630077	189167	Nunney
630077	224046	Brothel receptionist
630077	382838	Lesley Donnelly (1995)
630078	13576	Jerilyn
630078	161049	Reporter
630078	163492	Girl in Cab
630078	276882	Sherry
630078	350221	Victim Girl
630079	229329	
630079	277254	Young Model
630079	280438	Angela
630079	355014	Katie Reynolds
630079	390771	Tammy Layne-Winslow #2 (2002-
630080	386397	
630081	409419	Herself
630082	20712	
630083	125715	Dorothée
630083	240057	Nadine petite
630083	353869	Ariane
630084	7446	Madame Auburnon
630084	7473	La bourgeoise
630084	17819	Nathalie
630084	57793	Maria
630084	58288	
630084	118415	Belise/Dona Ana
630084	128618	
630084	133171	Petrina
630084	146425	
630084	219606	
630084	247107	
630084	271372	Une infirmière
630084	279648	
630084	338597	Le médecin
630084	384210	Claire
630084	396867	
630084	403170	Marcie, la soeur de Gilles
630084	407832	
630085	389253	Bertha
630086	385824	Susan Hunter #2 (1973-1976) (
630087	337029	
630088	94482	
630089	56100	Giselda
630090	269023	Fiamma
630090	385067	Viviana
630091	147548	Maria
630091	383488	Carmelita
630091	407085	Daniella Wilders (1976)
630092	132951	Claudia bambina
630093	41228	
630093	91721	Maria Putnam
630093	189919	
630093	214043	Dr. Shelly
630093	216737	Secretary
630093	229729	Rosaria
630093	316647	Rebecca
630093	327756	Heather
630093	330430	Azalea 'Z' Decastro
630093	360536	Sophia
630093	390771	Dinah Morgan #1 (1986-1987)
630093	404613	Angela Moreno (1983)
630093	411802	Keesha Monroe Winters #2 (199
630094	63730	
630094	113707	Emanuela
630094	118773	
630094	234741	
630094	300711	Carmela
630095	68622	
630095	74508	
630095	80339	
630095	103810	
630095	149234	
630095	212439	
630095	221933	
630095	248302	
630095	263832	
630095	278939	
630095	318002	
630095	343605	
630095	344117	
630096	235779	La zia nana
630097	323134	Kid
630098	5363	
630098	33667	
630098	75236	Miriam
630098	90687	Marina
630098	92072	(segment "Sarò tutta per te")
630098	112649	
630098	215895	
630099	18	Translatrix
630099	68086	2nd Liberty Lass
630100	163713	Mrs. Cosca
630101	18	Party Guest
630102	74881	Mrs. Costello
630102	161075	Luisa Lo Medico
630102	205305	
630102	255108	
630103	159599	La vendeuse
630104	2696	
630105	400209	Alexa Yagoda (2001-2002)
630106	140240	
630107	259829	Marcie Moyer
630108	22732	The Creature
630109	325283	Michell
630110	24395	Monu Andersen
630111	392509	
630112	345592	Tecnica de Radio Freakie
630113	10146	Dancers
630114	240058	
630115	200108	Scratch
630116	108187	Katrin
630117	388166	Susann Witt (2000-2002)
630118	410074	Une infirmière
630119	32768	Manuela
630119	67933	Paola
630119	115481	Leila
630119	132779	Emmanuelle
630119	134804	Französin
630119	195240	Françoise
630119	227598	
630119	249044	Angela
630119	251142	
630119	284182	Lidia
630119	306241	Monica Scotti
630119	328374	Dan
630119	346265	Yvonne
630119	355854	
630119	375087	Salfi
630120	306421	So Fine Girl
630121	15042	
630121	24732	
630121	26580	Olga Worskaïa
630121	59225	Liane d'Arbel
630121	59237	
630121	66716	
630121	70591	Madame Lavirette
630121	83265	
630121	96079	
630121	101159	
630121	101684	Jeanne Granier
630121	103176	Hélène
630121	175674	L'aubergiste
630121	202083	Angélique
630121	218321	Juliette Durand
630121	218331	A lady
630121	235253	
630121	236230	
630121	251530	
630121	276344	Adele
630121	279900	
630121	281826	
630121	328851	Anna
630121	337543	Princesse Dolgoroukine
630121	345167	
630122	284666	
630123	353871	Amélie
630124	211366	
630125	23632	Yvette
630127	281441	Tracey
630127	408549	
630127	411245	Tracey (episode 1: Room to Mo
630128	267031	Shirley Temple
630129	55204	Micaëla
630130	102580	Lacy
630130	189236	Janice
630131	43551	Karen Turney
630131	192634	Del's Narration
630131	261440	The Neurologist
630131	346139	Miss Evans
630132	372364	Beauty Shop Manager
630133	5899	Mme Amelin
630133	23806	Maggy
630133	44731	Aurore de Caylus & Claire de 
630133	45116	Madame Jourdain
630133	54818	Gisèle Panivaux
630133	70939	Marie-Adélaïde Liégeard
630133	100020	Mme Perrichon
630133	111135	Belise
630133	116438	La mère de Claire/Claire's mo
630133	205620	La comtesse Rosine Almaviva
630133	218331	Louise de Marillac
630133	238483	Mlle Duvant/Mlle Berthoullet
630133	252055	
630133	313991	Mme Champbaudet
630133	339802	Léontine
630133	343579	La grand-mère
630133	345119	Mme Vallabrègues
630133	398073	Mme de Montouliers
630133	401319	
630133	409454	La mère d'Amanda
630134	361710	Hitch-Hiker
630136	120328	
630137	78182	Clerk
630137	119827	Policewoman
630138	12372	
630138	57474	
630138	91445	Simone Derelle
630138	101896	Mme Tauzin
630138	170468	
630138	217705	Mme Arnal
630138	238465	Mme Tabourdet
630138	238482	
630138	240539	Mme Barrois
630138	249361	Madame de Wallier
630138	275310	Christiane
630138	388198	
630138	390480	
630138	390520	Mme Milner (segment "Monsieur
630138	391930	
630138	396370	
630138	397506	Cécile Calambre
630138	401731	L'infirmière de la clinique
630138	412246	Mme de Larsillois
630139	250922	
630140	103848	
630141	117944	Sarah Cabot
630141	243344	
630141	292346	
630141	314001	Évelyne
630141	383592	Sylvie Beauchamps
630141	396835	Marianne Léry
630141	398096	Samantha Lord
630141	400768	Audrey Delage
630141	410252	Pénélope Chabot-Charron
630142	118624	
630142	166370	Cyrielle
630143	239943	
630144	345308	Madeleine
630145	355365	E.R. Nurse #1
630146	41036	Herself
630147	160100	
630148	104045	The daughter, Wages of Sin
630149	29255	
630150	962	Marie Wiley
630150	93057	Dream Girl
630151	227594	Jean Lambert Tallien
630152	206008	Kiki
630153	34253	La jeune fille
630154	93205	Karen
630155	16746	Sarah Meyette
630155	249712	Mélanie
630155	333731	Waiter at dairy bar
630156	207484	Strip Club Waitress
630156	368980	Halley
630158	386803	
630159	380155	Sharon
630160	220685	
630161	226354	
630162	1248	
630162	2429	Brunette Lesbian Girl
630162	6730	NonSex
630162	12748	18yr Old
630162	30037	
630162	33188	
630162	36707	
630162	52209	
630162	60319	Cheerleader
630162	64839	Brunette City Girl
630162	70459	
630162	72799	
630162	74725	
630162	75059	
630162	75195	
630162	81863	
630162	93133	Herself
630162	106491	
630162	110476	
630162	128555	Short Brunette
630162	128851	
630162	131322	
630162	228433	
630162	228596	College Student
630162	228678	
630162	232879	19yr Old Girl
630162	243130	
630162	247991	Short Brunette Babe
630162	267516	
630162	295581	Girl In A Motor-Home (Gauge)
630162	310078	
630162	310662	
630162	314954	
630162	314955	
630162	326734	Teen
630162	327705	Angel
630162	334143	Petite Brunette (Gauge)
630162	378897	Vanja Andersson
630163	35690	Jenny
630164	65632	Waitress
630164	211337	Nurse #2
630165	217171	Big Rosie
630166	167003	Dorothy Delis
630167	309752	German woman
630168	107350	Suzanne
630168	272780	Julia
630169	96036	Little Girl on Train
630170	28531	Fru Konsmo
630170	45998	Kvinna
630170	46631	Bestemoren
630170	84288	Frun Westberg
630170	165132	
630170	173252	
630170	195776	Gros mor
630170	240223	
630170	242694	Fru Philipson
630170	275198	Johanne
630170	284389	
630170	293841	
630170	347004	Gurina Neger
630170	348962	
630170	377404	Mother
630171	247435	Edith Mae Southey
630172	2118	Mrs. Walker
630172	36871	Iona Ratliff
630172	36966	Annie
630172	70300	Norma Forbes
630172	80803	Madge
630172	113558	Gertie
630172	118763	Mental Patient
630172	161505	Stewardess
630172	164544	Jill of Diamonds
630172	203641	Mrs. Brown
630172	222739	Paulette
630172	279460	Cookie Edwards
630172	283426	
630172	289420	
630172	302031	Kate Hollis
630172	307902	Mrs. Gale
630172	310646	U.S. Bill's Mom
630172	326428	Lowe
630172	392545	Nancy
630173	308760	
630174	215057	
630175	230508	Pagan Woman
630176	224849	Kipanna
630177	137565	Detective #1
630177	362268	Duty Nurse
630177	381059	Recovery Nurse
630178	176321	Acrobatic dancer
630179	302121	Commune member
630180	19193	Tarty Woman
630180	26702	
630180	46363	Stenographer
630180	102590	Donna
630180	169374	Elena, cowherd
630180	189916	
630180	211611	Fancy
630180	241393	
630180	249493	Barbara
630180	341970	
630181	67400	Scrappy Gerstel
630182	2252	(segment "Teuf d'enfer, La")
630183	199765	Herself
630184	240940	Mabel
630185	388026	Host (1999-2000)
630185	399813	Co-host (2000-2001)
630186	385132	Leonie
630186	392019	Grace Lovell/Craddock
630186	398185	Helen Smith
630186	410580	Heléne Kuragina
630187	139655	Pansy Parkinson
630188	274332	Accompianist
630189	1488	Herself - Presenter
630190	173938	
630191	75515	Justine
630191	92653	Vampire Woman
630192	19563	
630192	20681	Arrah Meelish
630192	21541	
630192	33597	
630192	35161	Party Guest
630192	46176	
630192	54570	
630192	54696	Doris
630192	56464	
630192	61630	(unconfirmed)
630192	67097	Eily O'Connor, the 'Colleen B
630192	67331	
630192	69318	
630192	72180	
630192	72460	
630192	89721	Dolly
630192	92225	
630192	97954	
630192	104871	Evangeline
630192	108940	
630192	111926	
630192	112448	
630192	114399	
630192	117325	
630192	120631	The Virgin Mary
630192	122018	
630192	125487	
630192	128114	Nellie Carson
630192	128453	The Girl Spy
630192	128455	The Girl Spy
630192	141254	
630192	146094	
630192	146829	The Girl Spy
630192	152415	Hulda
630192	157873	The Spanish GIrl
630192	162202	
630192	162276	
630192	175687	
630192	183312	Aileene
630192	183802	Lady Peggy
630192	192303	
630192	199200	
630192	203168	Gang Member
630192	203545	
630192	208689	
630192	215888	
630192	237573	
630192	251273	
630192	253590	
630192	264473	
630192	280902	
630192	280914	
630192	280918	College Student
630192	281588	Kathleen
630192	289594	Hester Prynne
630192	297798	
630192	304610	
630192	310609	
630192	312802	
630192	314461	
630192	316274	
630192	324226	Wedding Party
630192	331023	Mrs. Smith
630192	334330	
630192	337486	
630192	349658	
630192	353385	
630192	359335	
630192	360163	
630192	360305	
630192	366304	
630192	366727	
630192	367047	Lady Geraldine
630192	372242	
630193	133636	Jo Anne Armstrong
630193	171930	Fizz Dryden
630193	316948	Julia Summers
630194	92618	Kristin
630194	233914	Ally Wheeler
630195	238554	Sahve
630196	236516	
630196	248251	La touriste allemande (segmen
630196	388688	
630196	391930	Hilda
630197	263056	Nurse #1
630198	6521	
630198	95243	
630198	181877	
630198	182308	
630198	204672	
630198	287679	Mhalsakaku
630198	287685	Jijai
630199	214844	Photographer
630200	1135	Alice (Max's daughter)
630200	66812	
630200	196388	Angela
630200	275128	Lucie, la petite fille
630201	20954	Sra. Bassols
630201	71364	Marta L. Puig
630202	272944	Bernards Girl
630203	189727	
630204	66222	
630205	253452	Phoebe
630205	390565	Annabella Clutterbuck
630205	395753	Beth March
630206	119035	
630206	308246	
630207	71334	Dancer
630208	4081	
630208	4124	
630208	16277	Guest Appearance
630208	19010	
630208	28807	
630208	62211	
630208	63402	Gayathri
630208	85277	
630208	85336	
630208	85435	
630208	86669	
630208	129936	
630208	136124	
630208	162499	Ramani
630208	171865	
630208	182122	
630208	227212	Vasanthi
630208	318572	Ravishekar's Wife
630208	326959	Herself (special appearance)
630208	330101	Shaktivelu's Girlfriend
630208	350724	Samyuktha Varma
630209	111035	
630210	283434	Voodoo Shopkeeper
630211	1087	Townswoman
630211	75629	Honorine
630211	117390	Mme. Duval
630211	282102	Une dame patronnesse
630211	345268	Une Femme
630211	363680	Brancourt's Landlady
630212	220213	Anna
630213	309759	Believer
630214	1225	Artist's Model
630215	306421	So Fine Girl
630216	253458	Women's Team Member
630217	19257	
630218	36672	
630218	249461	
630219	75717	French official
630219	147136	Journaliste
630219	222693	Emma Cartier
630219	383964	The Madam next door
630220	205932	Sylvia
630221	268937	
630222	23636	Pauline
630222	23641	
630222	25111	Coraline
630222	33274	Mara
630222	57517	
630222	58991	Jacqueline
630222	65727	Comtesse Olga Romano
630222	70592	Nicole de Gramont
630222	99368	Irène
630222	106297	
630222	111065	
630222	111087	Rose
630222	111692	Yvonne
630222	111695	Jacqueline
630222	120987	Claudine
630222	152373	Madame Paladine
630222	156556	Mlle. Bravard/Anita
630222	160817	
630222	169367	Perrette
630222	195167	Alphonsine
630222	206006	
630222	219512	Jeanne Dumont
630222	240629	Clémence Chouilloux
630222	258319	Jacqueline Tessier
630222	262948	Une pensionnaire de l'orpheli
630222	275403	Marie
630222	301404	Christiane
630222	322363	
630222	328439	Henriette Bonnel
630222	335251	
630222	346703	
630222	377065	Angèle
630222	377601	
630222	380717	Ginette Deslauriers
630222	389143	Félicité Rougon
630222	389660	Présidente de correctionnelle
630223	362037	Waitress
630224	83204	Herself/Elle-même, membre de 
630224	409440	
630225	102247	Waitress
630226	270440	Claire
630227	214874	
630227	218263	Germaine
630228	70169	Mommy
630229	48385	Armande Hamelin
630229	381504	Madeleine Pigeon
630229	384622	Geneviève Duval
630230	106596	Eyebalien
630231	59330	
630231	101133	Irène
630231	133045	Mireille Laurin
630231	352927	Washhouse Woman
630232	339924	Triplets
630233	24585	Helene Minton
630233	43629	Invitee party
630233	68382	Miz Mistique
630233	86911	Linda
630233	155859	Coach Stewardess
630233	191500	Femme journaliste
630233	269725	Lise
630233	309760	
630233	330635	Professor
630233	340190	Geneviève
630233	354936	Hotel Concierge (Montréal)
630234	55018	Enfant
630235	136360	
630236	214422	Merrily
630237	382583	Eugénie Beauchemin
630237	410628	Élaine Bernier-Fontaine
630238	214422	Lauren
630238	356792	Ingrid Strummer
630239	243151	Fille certificat 2
630240	124794	Office Worker
630241	348510	Emmie
630242	158102	Rockland T-Ball
630243	71886	
630243	94787	
630243	113252	Juliette
630243	153804	La première jeune fille du ci
630243	300609	Vendeuse 2
630243	345100	La jeune fille
630244	330912	Woman at Party
630245	65174	Jessica
630246	280803	Bit part
630247	254085	Un enfant Anglais
630248	410211	Ding-Ding
630248	412275	Julie
630249	229028	Rose
630250	263230	Waitress
630251	318497	
630252	137	Eva
630252	19201	L'amie de Lucrèce
630252	19344	
630252	30887	Marie
630252	45000	
630252	101533	Billie
630252	103093	Kyra
630252	111102	Marianne
630252	124135	Claire
630252	253522	Patricia
630252	264953	Juliette
630252	280011	Alba
630252	309569	Dona Musique
630252	349626	Louise
630252	354570	Anne
630252	383809	
630252	396037	
630253	12372	
630254	15090	
630255	15062	
630255	248423	
630255	254077	la femme du train
630255	261764	
630255	352635	La belle-mère
630255	384595	Meg
630256	244961	
630257	288992	Savannah
630258	5097	Secretary
630258	14817	Lorea
630258	111039	P. Ferel
630258	133083	Laura
630258	212369	Elena
630258	380432	Alma
630258	400952	Alicia Jáuregui
630259	224728	
630260	84569	Frau Breitenberg
630260	107814	Anna, Baders Frau
630260	138443	Wolfgangs Aunt
630260	155608	
630260	178605	
630260	184866	Susanna
630260	187682	Frau Aigner
630260	314011	Klara
630260	325403	Lona Heller
630260	345673	
630260	365019	
630260	376387	Sandra Weinstein
630261	23780	Betty Flower
630261	63699	Marylène Brainville
630261	220482	Nénette/Girl #3
630261	222897	Marion
630261	327891	Elisabeth Legent
630261	345109	
630261	377904	Femme de Gravenoire
630261	391632	
630261	404784	
630262	339032	
630263	315999	Angie
630264	357052	Hélène à 15 ans
630265	112819	Prison Warden
630265	162109	Nurse
630325	52160	Young Lady
630265	199572	Woman from the South-West
630265	208235	L'infirmière
630265	214253	Adele
630265	230123	
630265	244759	Amie Denise Laville
630265	248931	
630265	260943	Veuve Crémieux
630265	332200	L'infirmière de Léon
630265	348798	Mother
630265	389762	Florence
630265	403101	La Bouchère
630265	412266	Brigitte
630266	2069	Singh's Widow
630267	352370	Gitti
630268	161423	
630268	341781	
630269	176864	Harriet Wells
630271	83377	
630272	134598	Frida
630273	132266	
630273	169321	
630274	247359	Miss Uruguay
630275	346417	Mouche #1
630276	346534	Marion
630277	349055	Hélène Dupré
630278	12366	Maria
630278	61415	Maryline
630278	76960	Mona
630278	101219	Stéphanie
630278	217650	
630278	226791	Isis Colombe
630278	281334	Little Screaming Girl
630278	336941	
630278	342095	Nina
630279	14486	Abigail
630279	39845	Bridget
630279	62007	Backup Singer
630279	69043	The Witch
630279	69265	Sumiko
630279	80382	Amber
630279	80409	Liz
630279	123432	Dawn
630279	142470	Woman
630279	144892	Alessa
630279	185388	Barmaid
630279	232213	J.J.
630279	298083	
630279	313929	Paramedic #5
630279	324844	Liz
630279	389858	Cruz (1984)
630280	79233	
630280	379856	
630281	394078	Katerina Chrysolora
630282	139228	Kidnapper's Wife
630282	199496	
630282	224239	
630282	321167	Pauline
630282	398784	Dora Bonsalenti
630282	407738	Alkmini
630283	284175	Epicière
630284	211022	
630285	67361	Marking Room Cast
630286	29745	Fine Woman
630286	29746	Field Reporter
630286	78743	
630287	192885	
630288	74304	'Bar From Hell' Waitress
630289	163888	
630290	86434	
630290	100280	
630290	240288	BPM Inspector
630290	350050	
630291	3283	Luisa
630291	24206	Madre de Juan
630291	92347	
630291	101894	Monja 1ª
630291	103375	Enfermera #2
630291	143757	
630291	322397	
630292	226454	
630292	332460	
630292	351564	
630293	74207	Shebeen Queen's niece
630294	227992	Zhenata na Nastradin Hodzha
630295	242615	
630296	152642	
630296	246872	
630296	266508	
630297	192272	Kate
630298	226905	Elder
630299	226905	Tribe member
630300	27234	
630301	144598	Kara
630301	271490	
630302	41308	Landlady
630302	344432	Additional Voices
630302	406719	Maria's grandmother
630303	83496	Martha
630304	177792	Joan Kinsey
630305	387171	Maggie Benítez
630305	389780	Laura
630305	391847	Andrea
630305	401358	Laura
630305	408895	Mercedes de Scarpelli
630305	411312	
630306	321952	
630307	236013	
630307	401481	Rosaluna
630307	402411	Bernardita López
630308	218227	Simone
630309	175061	
630309	218802	Bunda
630310	39001	Judy
630311	218397	Paula
630312	37669	Vicki
630312	71665	Anne
630312	74730	Julie
630312	113319	Megan Davidson
630312	140168	
630312	176903	Violet
630312	219129	Carrie Sherman
630312	289513	Rhonda
630313	236733	Sister Ellen (medical student
630314	35809	Roxanne
630314	51990	Jacqueline Wilson
630314	130154	Girl at bar
630314	159754	Jan
630314	295636	Herself
630314	355982	Vixen Palmer
630315	87883	Mrs. Phillips
630315	115723	Mrs. McCrae
630315	186463	Mrs. McLeod
630315	190104	Sister McTavish
630315	315083	Hospital Presurgical Nurse
630315	363797	
630316	256971	Dominique
630317	327257	
630318	100125	Ginny, the car rental agent
630319	243755	
630320	52160	Young Lady
630321	27116	Josy
630323	29580	
630324	193483	Campanera de fabrica
630324	201993	Reclusa Pasillo
630325	297802	Florist
630325	395924	Jacqui Parker (1998-1999)
630325	408638	Jude
630326	371116	
630327	90666	
630327	270812	
630328	166930	Susan
630329	367980	Ting
630330	318650	
630331	55194	Artistas invitados
630332	339418	Titorelli's Girl
630333	199075	
630334	32281	Marinette
630334	321458	Waitress at Cafe
630334	343565	
630334	403089	(segment "Déviations")
630335	88362	Emilija
630335	192893	Silvia Carver
630335	258776	
630336	270341	Lara
630337	226475	Gabriella
630338	254083	Assistante realisateur
630339	64660	Aerial Hoops
630340	243564	Waitress
630341	224186	Crystal
630342	342510	Helena
630343	4586	
630343	8648	
630343	58445	
630343	103561	Mother
630343	137115	
630343	186601	
630343	294735	
630343	305556	
630343	320186	
630343	326354	
630343	373869	Elza
630343	397878	Sonia Shori
630344	121329	
630345	95869	
630345	98565	Junkie
630345	284490	Elena
630345	324287	
630345	329927	Elena
630345	379415	
630345	379856	
630345	386408	
630345	389672	
630345	394219	Zozo
630346	200171	Mrs. Mertz
630347	6205	
630347	12810	
630347	119019	
630347	163891	
630347	174163	
630347	179318	
630347	179747	
630347	188870	
630347	198940	
630347	225818	
630347	263676	
630347	303217	
630347	307311	
630347	310479	
630347	340234	
630347	352817	Mariya Gavrilovna
630347	370140	
630347	370997	
630348	400992	Larissa
630349	21292	
630349	178727	(segment Konsultant po epokhe
630349	211193	
630349	258999	
630349	286216	
630349	295498	
630349	303217	
630349	349849	
630350	34229	
630350	76998	
630350	108854	
630350	174541	Sonetka
630350	181399	
630350	219259	Natasha
630350	224450	
630350	229175	
630350	254234	
630350	264534	
630350	266289	
630350	310480	Andrei's Mother
630350	349360	
630350	350991	
630350	356017	
630350	357465	
630350	373573	
630350	398757	
630351	89804	
630352	101581	Fiorina
630353	325344	
630354	355548	
630355	63957	
630355	263431	Magda
630356	200880	Agnès Sorel
630357	180756	
630357	351357	
630357	364941	Dolmetscherin
630358	316473	Herself
630359	321978	Prostituierte
630360	300665	Nora Nori
630361	84306	Grandmother
630361	98772	Ann-Britt's Mother
630361	270494	Augusta
630362	264991	Ann Jones
630363	264785	Patricia Fonfara
630364	111673	Pam
630364	119210	Fips
630364	235382	Elsa
630364	259467	Kriminaltechnikerin
630364	259651	Birgit
630364	303359	Staatsanwältin Marion Brandt
630364	325575	Emma Steilmann
630364	394134	Reni
630364	405500	Marion Brandt
630364	405500	Staatsanwältin Marion Brandt
630365	160591	Jola
630365	244106	
630366	130614	
630367	363560	TV War Reporter
630367	396017	Isadore
630368	343018	Phenie
630369	34732	Herself
630369	36848	Housemate: Evictee #10
630369	36855	Herself
630369	101946	Herself
630369	202970	Sylvia
630369	381898	Herself (2002)
630369	381917	Herself - Evictee #10: 1 July
630369	390335	Herself - Presenter (2002)
630369	404608	Herself (2001)
630370	323837	Mrs. Phelps (segment "Poetic 
630371	4501	Lida
630371	75978	Maria
630371	95952	Helena
630371	131754	
630371	174880	Girl Dancing with Stefan at D
630371	181386	
630371	238180	Ruda pielegniarka
630371	238401	
630371	242686	Wiera Tichonowa
630371	322157	Beata
630371	322908	Jola
630371	364975	Iruska
630371	394585	Lidia Szulc (1998-1999)
630371	394849	Vanessa, Leszek's wife
630371	397114	Ewa
630371	398897	Ewa Nowak
630371	412075	Ewa
630372	201771	Herself
630373	224113	Matabia
630374	329936	Mrs. Frost
630375	115269	Mrs. Nathan
630376	269892	Aborigine
630377	53010	
630378	43565	Girl in Nightclub
630379	122424	
630380	47045	Cindy
630380	183497	
630380	240275	
630380	375683	Susan Barrett
630381	346793	Femme boîte
630382	80549	Dr. J.
630383	304787	Embassy Guest
630384	7153	Susie Harper
630384	22907	Undetermined role
630384	26615	Kid at Movie
630384	52805	
630384	224792	Betty Lou as a girl
630384	244831	
630384	362489	Saree
630385	160504	Realtor
630386	749	Fatima
630387	23677	
630387	23773	Ariane
630387	55548	
630387	199588	
630387	199611	
630387	243025	
630387	319804	
630387	322337	
630388	199035	
630389	106254	Prosecutor
630390	301173	
630391	186700	Dixie/Cigarette Girl
630391	274401	Stenographer
630391	343202	Maizie Loomis
630391	364539	Susie
630392	222003	
630392	276566	
630393	99224	
630393	144908	
630394	10582	
630395	2939	Git Gay
630395	3236	Girl in dream
630395	29559	Matilda Roos
630395	41109	Lou-Lou Andersson
630395	84305	Hot Mary
630395	108975	Tatjana
630395	115882	Vera Cavalcante
630395	122464	Brita
630395	142214	Maribella
630395	182298	Assistant in fashion store
630395	185966	Nea Linde
630395	187619	Astrid Johansson
630395	248191	Florence
630395	304183	Elegant lady
630395	312224	Saloon singer
630395	354417	Woman outside church
630396	10722	Telephone Operator
630396	50244	Billy's Mother
630396	109907	Mrs. Sweeney
630396	144586	Hattie
630396	209592	Bit part
630396	214080	Bit Part
630396	217946	Mrs. Adler
630396	241349	Undetermined Role
630396	297889	
630396	366369	Aunt Minnie
630397	214859	
630398	270654	
630399	248264	Nathalie
630399	346979	
630400	337649	Player
630401	116523	Magic Maid
630402	159765	Kathy Anderson
630402	313064	Girl
630403	241046	Aunt
630403	315956	Diane Nichols
630404	143240	Marcy
630405	355519	Script Assistant
630406	201569	Herself
630407	122682	Gambler
630407	240943	Olympic Flower Girl
630408	34511	
630408	70311	Eugênia
630408	256372	Gertrudes
630408	379646	Joana
630408	380166	Vicenza
630408	382692	
630408	386215	Leopoldina
630408	386419	Rufina
630408	397538	
630408	400901	
630408	401103	
630408	401482	
630408	402455	
630408	406002	
630408	412257	Julio's Mother
630408	412270	Margarida
630409	11116	Natasha
630410	239727	Mrs. Harris
630410	297259	The Woman
630410	303078	Myra Gordon
630410	334266	Mrs. Harris
630411	10682	Alice
630411	10684	Alice
630411	10691	Alice
630411	10692	Alice
630411	10701	Alice
630411	10706	Alice
630411	10711	Alice
630411	10729	Alice
630411	10733	Alice
630411	10752	Alice
630411	10753	Alice
630411	10759	Alice
630411	10762	Alice
630411	10763	Alice
630411	10764	Alice
630411	10766	Alice
630411	10768	Alice
630411	10769	Alice
630411	10770	Alice
630411	10771	Alice
630411	10772	Alice
630411	10785	Alice
630411	10789	Alice
630411	10790	Alice
630411	10791	Alice
630411	10798	Alice
630411	10801	Alice
630411	10802	Alice
630411	10803	Alice
630411	10807	Alice
630411	10810	Alice
630412	78066	Honey Gale
630412	112548	
630412	244449	Roxana's friend
630412	356470	Marie de Chauvalons
630413	272738	Sister Mary Ellis
630414	51423	
630415	107907	Grace
630416	258363	Pludette
630416	279010	Camille
630416	307747	Amber
630417	192267	Female Officer
630418	203085	Doris King
630418	245738	Lola Patterson
630418	263597	Joan Bradford
630419	311449	Amazon
630420	301406	
630421	204694	
630421	226442	Karina
630421	403302	
630422	12130	
630422	20029	
630423	408056	Herself/panelist (1971-1972)
630424	380005	Jazz (1993-1997)
630425	108777	
630426	15024	Maîtresse de Bruno 3
630427	237331	Photo de la mère
630428	115000	Izaskun
630429	135430	
630430	19073	Shoe salesperson
630431	126911	Guddi
630431	137825	
630431	165391	
630431	211275	
630431	217131	
630431	218808	Lady Victoria Devon
630431	285327	Rani (As Gayatri Sharma)
630431	318958	Sushma (Indrajeet's sister)
630431	324761	Chanda Sinha
630432	646	Vickie
630432	14972	Pepper-Picking Girl
630432	26633	Hooker
630432	35657	Harlot
630432	38963	
630432	39880	Mrs. Phillips
630432	49026	Mambo dancer
630432	81076	Michelle
630432	81853	
630432	87893	900 Phone Girl (Maria)
630432	107493	Snow White
630432	120120	Cashier
630432	147897	Debbie
630432	194796	Prison referee
630432	229241	Spirit (1983 reissue)
630432	276160	Commando
630432	289650	Movie Girl
630432	300180	Cheetah Dancer
630432	342552	Dancer on Stage in 'Pink Room
630432	360100	Deacon gang member
630432	362052	Billie Jo
630433	369208	Herself
630433	369210	Miss Jackie
630433	369216	Herself
630433	369237	Miss Jackie
630433	402907	Herself (2002; 2003-2004)
630433	406933	Miss Jackie (2003-2004); Hers
630433	408643	Herself (2002)
630433	411537	Herself (2002, 2004-)
630433	411545	Herself (2002;2004-)
630434	103565	
630434	134181	
630434	156000	
630434	180128	
630434	235292	
630434	343415	
630435	276219	
630436	346020	Waldo Wife One
630437	111032	Julie
630437	218283	
630438	206813	Herself
630439	284564	Phone switchboard supervisor 
630440	54393	Amélie (12 ans)
630441	34911	
630441	381661	Hill's Angel (1980, 1984)
630442	7493	One of Castle's Daughters
630443	193176	Chef Lola
630444	8961	
630444	54765	Norma
630444	56611	Carrol Harris
630444	79601	Dancer
630444	94128	Jennie Marlowe
630444	120757	Natula
630444	129379	Bobbysoxer
630444	140479	
630444	200485	Switchboard Girl
630444	232029	Dixie Ann Dikes
630444	280024	Lisa Johns
630444	297091	June Fitzdingle
630444	301274	Constancia
630444	327765	Ana Martelli
630444	349999	Margalo York
630444	354855	Dolores
630444	392184	Gwen Kirby (1958-1959)
630445	37681	Leanne
630445	313936	Ruth/Janis
630446	3930	Dante's Stage Assistant
630446	63422	Bit Role
630446	67139	
630446	84901	Sporty's Girlfriend
630446	128173	
630446	339407	Dancer
630446	370537	Chorine
630447	2307	Herself
630447	10502	Belinda Ali
630447	72559	Karen
630447	139456	Patron
630447	201608	Herself
630447	207988	Herself
630447	207989	Zee
630447	207991	Zee
630447	220209	Herself
630447	259147	Holly
630447	370037	Lola
630448	3079	Herself - Presenter
630448	46537	Vegas Girl
630448	94451	Sharon
630448	117395	Wanda
630448	214975	Thompson's Girl
630448	219182	Nicky
630448	264818	Kelly
630448	272687	H.O.T.B.O.D.S.
630448	276794	Sally
630448	330912	Candy Atwood
630449	68164	Young Loveday
630449	411500	Griselda Blackwood
630450	120409	Stella Bennett
630450	341042	
630451	316746	A Mexican Women
630452	6411	
630453	1149	
630453	2102	Camille
630453	2252	(segment "Teuf d'enfer, La")
630453	8934	
630453	19330	Rose Bonbon
630453	25985	
630453	26284	
630453	36639	Diane
630453	57522	Sarah
630453	57894	Camille Miralis
630453	65167	Clara
630453	69531	Babette
630453	82508	Delphine Saban
630453	84667	Sophie
630453	116810	Herself
630453	125744	Winnie
630453	166119	
630453	196388	Rita
630453	198550	Lucie
630453	205678	Mademoiselle de Fare
630453	211156	Lisa
630453	226610	Rosine, the waitress
630453	236042	Julie
630453	246336	Paddy
630453	254083	
630453	257488	
630453	261839	Eva
630453	268416	
630453	284294	La femme
630453	287319	Monica
630453	287617	
630453	294356	Clare
630453	322335	Nathalie
630453	340119	
630453	341850	Catherine Rolland
630453	345312	Herself
630453	345378	Mme. Andrée
630453	352635	Jeanne
630453	355870	Julie
630453	376957	Hannah
630453	377477	Marlène Kardelian
630453	410144	Mademoiselle de Fare
630454	24206	Amante de Juan
630455	32917	Herself
630455	35515	Herself/Toni Marchette
630455	90986	Brian's Girlfriend
630455	96730	Bess Martin
630455	120481	Mary Newlie
630455	137258	Jennifer Scott
630455	139745	Kelly Morgan
630455	161727	Cassy Winslow
630455	165958	Julie Freeman
630455	235647	Danielle
630455	256464	Marliss Funt
630455	267339	Lori Myers
630455	287789	Gwen
630455	291222	Sorority Sister Lois
630455	296752	Chloe Holloway
630455	307975	Lilli
630455	348607	Brenda Bates
630455	348608	Nurse Brenda Bates
630455	350474	Clair Armstrong
630455	350476	Clair Armstrong
630455	350477	Clair Armstrong
630455	362588	Rebecca
630455	385893	Betty Rhomer (2003)
630455	387230	Bess Martin
630455	396123	Hannah Mayberry (1992-1993)
630455	410620	Samantha 'Sam' Price
630456	114408	Captian's Wife
630457	290412	
630458	256355	Child
630459	177291	Salesgirl
630459	280130	Vougette#3
630460	130314	Gayle Berenstein
630461	399816	Millicent Scott
630462	170451	Clothing Store Cashier
630463	1768	Herself
630463	14099	Herself/Host
630463	71702	
630463	71755	Emily
630463	74305	Herself
630463	200212	Herself
630463	228975	Herself
630463	282569	Herself
630463	380391	Herself (1987)
630463	399244	Herself/panelist (1989)
630464	324020	Karate Woman
630465	13432	Pitnik Girl (segment "Critic'
630465	77575	Kerry
630465	401226	Marie Twinkacetti (1986-1987)
630465	408044	
630466	195162	Bit
630466	223913	Flower seller
630466	305019	
630466	331410	French Girl
630467	341931	Choir Singer
630469	176864	Christy Redford
630471	73560	Tayisha
630471	128461	
630471	162347	Dana Osborne
630472	383363	Noreen (The Knight's Tale)
630473	96867	Performer
630473	387247	Hattie Tavernier (1990-1993)
630473	390523	Fiona Wilson (1988-1989)
630473	403030	Herself
630474	102703	Gepetta
630474	139359	Schwartz
630474	195423	Kathy
630474	222595	Barbara Gresham
630474	227927	Jamie
630474	314635	Ursella
630474	316481	Erica
630474	321657	Patch
630474	323409	
630474	323410	
630474	365536	Diane
630474	368417	
630474	389858	Kate Marshall (1976)
630475	276740	1st Old Maid
630476	226963	Nurse
630477	35524	Kopy Kat
630479	31196	NBC Team Contestant
630480	285287	Baby shower mother
630480	308938	General 1
630481	163544	Singer
630481	195545	Acrobatic Dancers
630482	75717	Olympic pair #1
630483	13875	Woman at Bookstore
630483	15088	La mère de Thomas
630483	15911	Elsa
630483	16950	Mère du Père Hervé Tarain
630483	20378	
630483	23802	Juliette Maillard
630483	24181	Delphine
630483	27910	Mme d'Arthiailh
630483	44733	Une dame bourgeoise
630483	53239	Jacqueline d'Escoman
630483	57289	la Concierge
630483	60274	Store owner #1
630483	61426	Madame Colin
630483	66227	La mère de Marie
630483	66726	La mère de Manu
630483	66728	Marie M.
630483	66746	
630483	68336	Jeanine
630483	72055	
630483	74340	La mère de Marie-Jo
630483	80156	Hélène
630483	100513	Anna
630483	115343	Mme de Villemain
630483	118931	Corona
630483	123688	
630483	128977	La femme aux boucles
630483	133183	L'institutrice
630483	134957	La libraire
630483	158877	Mme de Pontalec
630483	165183	La dactylo
630483	166186	La voisine
630483	170433	Mademoiselle Poinsot
630483	170468	La femme chauffeur de taxi
630483	191292	Juliette Eroli
630483	200954	Antoine's Mother
630483	209944	Mme Favart
630483	214349	Colette
630483	217219	
630483	220256	Paulina Audreevna
630483	220482	
630483	225618	
630483	230206	Mathilde's Mother
630483	234894	Thea Boryslawski
630483	235705	Mme Hachette
630483	240430	La femme du touriste français
630483	244759	Femme en pleurs
630483	248423	Une agent d'assurance
630483	269737	Louise
630483	274803	Une dame
630483	286029	Mme Lanoue
630483	295385	Lise
630483	319826	Yvonne
630483	327889	La concierge
630483	336935	
630483	337542	Mme Betz
630483	337838	
630483	343574	Janine, la femme de l'agent A
630483	346463	Madame Pelletier
630483	353869	
630483	353941	Viviane
630483	354968	Concierge
630483	355513	Godfroid de Mont-Mirail's Mot
630483	377991	
630483	379240	Jeanne Dutoit
630483	385075	Paulette
630483	388310	
630483	392369	Denise
630483	400051	Florence Massonneau
630483	401053	Mme Mazart
630483	402735	Landlady
630483	404153	Madeleine
630484	411296	Herself
630485	41682	Woman in the Shadows
630485	114632	Greta
630485	269340	Base Commander
630486	402597	Contestant Escort
630487	59676	Penny
630487	293082	Student in Acting Class
630488	138744	Chorus Woman
630488	274116	
630489	75805	Andrew's Wife
630490	72104	Cover Girl: Liberty
630490	128192	Model
630490	154426	Betty
630490	176321	Goldwyn Girl
630490	191038	Cameo Girl
630490	231964	Palace Maiden
630490	292470	Goldwyn Girl
630490	308569	
630490	367970	Goldwyn Girl
630491	306421	Texas Buyer
630492	85908	Lady Emma
630493	92444	
630493	223628	
630493	391853	Andrés
630493	398665	
630494	381238	Astra's Friend
630495	165958	Wannabe #1
630495	321526	Peggy age 7
630495	356654	
630495	411119	Host (1991-1992)
630496	214641	Cafe sequence
630497	45	Herself
630497	1820	Herself
630497	14190	Herself
630497	87579	Herself
630497	212710	Herself
630497	313882	Herself
630497	354523	Herself
630497	386448	Performer
630498	115325	Mrs. Underhill
630498	115326	Mrs. Underhill
630498	135396	Judith
630499	1962	Herself - Presenter: Best Act
630499	2420	Marion
630499	2548	Herself - Co-presenter: Best 
630499	2750	Herself - Co-presenter: Best 
630499	6613	Princess Marie Christine, aka
630499	11598	
630499	32072	
630499	34403	Mrs. Ruth Wilson
630499	41782	Rose Kelly
630499	50016	
630499	55519	Joanna Tate
630499	58022	Herself
630499	59100	Catherine Furness
630499	62923	Christina
630499	64968	Herself
630499	73661	
630499	75355	
630499	76581	Judy Abbott
630499	78083	
630499	82350	Heather Gordon
630499	90387	
630499	107277	
630499	109209	Molly Larkins
630499	113742	
630499	114306	Grace Livingston
630499	118054	
630499	123198	
630499	138744	Herself
630499	140106	
630499	144937	Eleanor Divine
630499	147922	Herself
630499	149802	
630499	168783	Anna Burger
630499	183373	Martha Kerenye
630499	186552	
630499	197012	Mary Tucker
630499	203196	
630499	203468	Angie Randolph
630499	206662	
630499	211427	Mary Ann
630499	213166	Mildred Hastings
630499	238951	
630499	241557	Elizabeth Cheney
630499	246340	Paddy Adair
630499	252523	
630499	257392	Extra
630499	276716	Catherine
630499	278032	
630499	294919	Hedda Nilsson aka Helga Brand
630499	295447	Diane
630499	297268	Lady Sheila O'Hara
630499	304029	
630499	305398	Katherine 'Kay' Brannan
630499	313320	Esther Victoria Blodgett, aka
630499	313918	Margy Frake
630499	315150	
630499	316587	Angela
630499	319147	Molly Carr
630499	319170	The Wife (Indre)
630499	326509	
630499	328757	Tess Howland
630499	331469	Nancy Briggs
630499	342879	Marianna Wright
630499	358904	Herself
630499	372587	
630499	372589	George-Anne Carleton
630499	391836	
630500	381436	C.J. Dixon (1992-1993)
630501	2273	Herself - Performer: 'There's
630501	18617	Patsy Blair
630501	38583	Jean Harris
630501	41378	Emily Ann Stackerlee
630501	92100	Rozouila
630501	117098	Kate Brasher
630501	130775	Lotta Crabtree
630501	138704	Alice Walters
630501	154169	Eva Tanguay
630501	163667	Peggy Hendricks, Jim's girlfr
630501	164402	Herself
630501	168858	Martha Stewart
630501	188023	Joy Henderson
630501	198051	Herself
630501	216391	Herself
630501	216393	Herself
630501	216394	Herself
630501	216395	Herself
630501	223733	Gloria Adams
630501	309858	Ens. Nellie Forbush
630501	319992	Gabby Rogers
630501	323389	Adelaide
630501	330018	Katy Donahue
630501	331710	Rusty Blair
630501	360527	Patsy Fisher
630501	377462	Herself
630502	131780	Ruth Hill (11 Yrs)
630503	235491	Mrs. Harrington
630503	244379	Secretary
630504	131780	Ruth Hill (8 Yrs)
630505	339882	Thai Girl Fighter
630506	158811	Louise
630507	62294	Peggy
630508	166337	Sainte Catherine
630509	33032	Herself
630509	33033	Herself
630509	33572	Leoena
630509	34646	Herself
630509	55679	Jane Godfrey
630509	71569	
630509	77613	Mona
630509	77623	Adele
630509	92102	
630509	92573	Sylvia Trench
630509	120574	Sylvia Trench
630509	131891	Various
630509	142568	Herself
630509	160295	Herself
630509	185390	Elizabeth
630509	190444	Rose Levenham
630509	210401	Pat
630509	215642	Pam
630509	223764	Young Girl
630509	241460	
630509	245134	Penny Henson
630509	277061	Margaret Conrad
630509	316604	Janet
630509	334183	Peggy
630509	374021	Cathy Ingram
630509	381552	
630509	390758	Herself/panelist
630511	144465	Maggie
630511	230242	
630512	171079	
630513	156000	Dora
630513	212296	Greta
630513	373242	
630513	405462	
630514	13100	
630515	225045	Lisa
630515	379602	Marimar
630515	379614	Guadalupe
630515	381145	Pilar
630515	383261	Camila
630515	386791	Tania
630516	96373	
630517	301574	Nina uno
630518	96373	
630519	194115	Teresa
630520	55795	Ms. Sullivan
630520	67041	Dr. Fanning
630520	118700	Dr. Kaminski
630520	192777	Elaine
630520	223807	Ms. Williard
630520	245517	A lonely woman
630520	251383	Carson's Mother
630520	257912	Madeline Ranstoveskicz
630521	245517	An old lady
630522	311671	Hitchhiker
630523	266440	
630523	380089	Sônia Fontes
630523	391580	Alicinha
630524	17357	Pinky Chopra
630524	157340	Pinky
630524	172150	
630524	241230	
630524	270964	Sneha
630524	319794	
630524	373714	Child Artist
630525	357637	
630526	36667	Martha
630526	151798	
630526	188999	Liza
630526	193347	
630526	379603	Déborah du Valle
630526	379888	Gilda Moreno
630526	383519	
630526	383633	Silvia
630526	387905	Nicole
630526	391570	María Gómez Ruíz
630526	393363	Camelia
630526	396880	Atonieta Lopez
630526	398458	Margarita
630526	408919	
630527	170092	Señora Teléfono
630528	33251	
630528	43009	
630528	46589	
630528	134763	
630528	166450	Debela
630528	177245	
630528	180471	Vaska
630528	195251	
630528	211887	
630528	215443	
630528	222899	
630528	227952	
630528	253798	
630528	261663	
630528	263528	
630528	265912	
630528	266649	
630528	273093	
630528	288986	
630528	301502	
630528	305215	Gazdina zena
630528	312406	Milica Ninkovic
630528	317294	
630528	323631	
630528	355551	
630528	357328	Mare
630528	373563	
630528	382430	Leposava Kostic
630528	382431	Macolina zena
630528	383720	Kaja
630528	386407	
630528	392218	Kata Soldatovic ... cerka
630528	394720	
630528	398660	
630528	407129	
630528	411900	Tungijeva maceha
630529	399130	Jessica 'Jess' Fielding (2001
630530	25752	Toncsi néni
630530	44199	Szunyoghné
630530	74395	Pálffy felesége
630530	97985	Parasztasszony
630530	98770	Özvegy a bálon
630530	122454	Falusi nõ
630530	224968	
630530	239432	
630530	248214	Lujza,Rácz felesége
630530	293535	
630530	324708	
630530	378304	Szomszédasszony
630531	29498	Ann Dennis
630531	92505	Mrs. French
630531	150908	
630531	154120	Pamela
630531	249521	Lorna Drake, L-D Ranch Owner
630531	292570	Toni Morrell
630531	331991	Party and Aircraft Girl
630531	343256	Joan Hodgins
630531	346287	Irene Bently
630531	361634	Joan Brown
630531	367833	
630531	368756	Molly Collins
630532	240307	Cousine Marthe
630534	33964	Franny
630534	73677	Eileen
630534	80539	Sgt. Lorraine Towers
630534	91876	Phoebe
630534	150293	Lori Cronenberg
630534	157575	Gail
630534	230116	Ruth Marx
630534	269427	Kate
630534	275506	'Linda' in soap opera
630534	286687	Anna
630534	327235	Maureen Koster
630534	340029	Allegra
630534	346327	Camilla/Patti
630534	353394	
630534	389070	Erica Paris
630535	100249	
630536	121421	
630536	280227	
630536	280233	Mega Man X
630536	298425	
630537	317870	
630538	33291	
630538	92356	
630538	217290	
630538	258802	
630538	301502	
630538	382430	Magdalena Nikiforovic
630538	382431	
630538	396589	
630538	401991	Marijina sestra
630538	410260	
630539	172178	
630540	108895	
630541	235850	Femme costaud
630541	269735	La mère
630541	309454	Mère de famille
630541	345246	Ouvreuse
630541	345290	Serveuse
630542	214307	
630543	255501	Oriana
630543	334676	
630543	355782	
630543	379001	
630543	379210	
630543	380074	
630543	381607	Fernanda
630543	382691	
630543	384984	
630543	385350	
630543	393340	Maureen
630543	395867	Paula Green
630543	401019	
630543	404287	
630543	412183	Francisca García-Méndez
630544	380074	
630544	383812	
630544	387273	Paola Vega
630544	396925	Susana
630545	339915	
630545	354907	La catcheuse blonde
630546	90525	Clara
630546	184874	
630546	349467	Claudia
630546	376869	
630546	383291	Mirta
630546	384119	
630546	389780	
630546	390085	Carmen Hernández
630546	390504	
630546	395546	
630546	398995	
630546	401550	
630546	402630	
630546	402721	Claudia
630546	409959	
630546	411636	Elena Sirenio
630547	386286	Host
630547	397457	Host
630548	53169	Secretaria Ronzatti
630549	263275	Sophie (Adult)
630550	128049	
630550	380368	
630551	246527	
630552	720	Herself
630553	100210	Diner Patron
630554	19216	
630554	19222	Patrizia
630554	116633	
630554	375881	
630555	187771	Marie Regina
630555	334029	Jane
630556	138603	
630556	377723	Mrs. Horváth
630557	44773	Vasorrú bába
630557	99786	Teréz
630557	162974	
630557	171825	
630557	322251	Mrs. Halics
630557	342093	
630557	356025	
630558	126614	Tibi's new girlfriend
630559	318592	
630560	89725	Kató
630561	31957	Beatrice
630561	34072	Célestine
630561	41712	Carlotta
630561	46822	French Girl
630561	51223	Nadia Vandel
630561	51226	Bérénice
630561	58233	Nicole
630561	82420	Benedetta Varzi
630561	92680	Miss Gaylor
630561	96159	Lucile Baller
630561	142384	Anna
630561	150966	Catherine
630561	153874	Brenda
630561	188686	Béatrice
630561	199582	Anne de La Ferté
630561	219461	
630561	225375	La comtesse des Tournelles
630561	240586	
630561	251528	Kiki
630561	252314	Rita
630561	258250	Sylviane, la femme de chambre
630561	321082	Mrs. Hill
630561	345301	
630561	353074	Véronique
630561	374638	Clotho
630561	377181	
630561	394166	Diana
630562	4646	Bettina Perceval
630562	15008	
630562	15125	Fanny
630562	15260	Lucie
630562	28353	
630562	30152	Mado
630562	44730	
630562	58734	Geneviève d'Antibes
630562	66758	
630562	71821	Colette de Saint-Elme
630562	84613	
630562	101159	
630562	107057	L'amie de Claude
630562	111115	
630562	132930	Solange Lavigne
630562	148681	Marcelle
630562	167203	
630562	198607	
630562	199722	
630562	201030	Irène
630562	216233	Cosette
630562	216374	
630562	217836	
630562	218268	
630562	218270	
630562	218271	
630562	218312	
630562	218321	Monique Perrochin
630562	229494	Simone Norans
630562	258236	
630562	258310	
630562	261806	
630562	266949	
630562	275513	
630562	302162	
630562	307483	Armide
630562	308414	Brigitte
630562	314748	
630562	322575	
630562	324183	
630562	337012	
630562	345113	Anaïs Beauperthuis
630562	345189	Evelyne
630562	345263	
630562	345463	
630562	346504	
630562	346791	Émilie Calumet
630562	378065	Xénia
630563	8564	Actriz discoteca (Disco actre
630563	100390	Sonia
630563	140701	Rosita
630564	50977	Barba
630564	259739	Solaima/Shawarma
630565	346470	Bamba
630566	111035	
630568	64658	Gaya, Goddess of Earth
630569	29706	Prostituée dévergondée
630570	63374	
630570	63375	
630570	127741	
630570	136073	Tunnel Girl
630570	183101	
630570	197133	
630570	332338	Phoenix
630571	157701	
630572	379779	Tamara Juranowa
630573	379719	Joey
630574	103356	Stalker
630574	312967	Stalker, Rhen
630574	322138	
630575	381646	West Empress (Xi Wang Mu)
630576	76829	Mother of Abandoned Infant
630576	85493	Xi Juan
630576	297307	
630576	332287	Xiuxiu
630576	332358	Juzi
630577	282805	Huang Yishan
630578	87855	Margo enfant
630580	219417	
630581	94504	
630582	11934	Laurence
630582	133164	Une secrétaire/Personal secre
630582	161995	Domenica
630582	170294	Marthe
630582	198349	Sophie
630582	283031	Florence
630582	382404	Sylvie Kaan (1997)
630582	384388	
630582	385075	Blandine Vercelles
630582	394178	Karine Ray
630582	396805	Stéphanie (earlier episodes)
630582	406030	Marie (1997-1999)
630583	383323	Herself-Finalist
630584	6136	Julie Dewitt
630584	54952	Aunt Cora
630584	167558	Pet shop owner
630584	183707	Maggie Grant
630584	252913	Dolly Haggerty
630584	254631	Edith
630584	260212	
630584	393585	Mrs. Spooner
630585	117683	Reporter #1
630586	333428	Herself
630588	292121	Mrs. Hilliard
630589	57665	Herself - Contributor
630590	68543	Herself
630590	140019	Fake Shemp
630591	17702	Mary Boleyn
630591	106593	Bea
630591	109776	Peggy
630591	161725	Dr. Claire Harland
630591	232824	Rani Mehta
630591	356955	Anne Barton
630591	383582	Pauline
630591	401275	Elizabeth Elliot
630591	401719	Lucy Tantamount
630592	45615	Gertrud
630593	146273	
630594	195771	Person in Brighton Pub
630595	50595	Wade's Sister
630596	3107	Kellie Frost
630596	25415	Sara
630596	46287	Emergency Operator
630596	50223	Teresa
630596	78038	Pageant Girl
630596	118294	Herself
630596	149968	Lucy James
630596	176945	Janice Harper
630596	222212	Jiffy
630596	277635	Sorority girl #1
630596	291212	
630596	305694	Cathy the Gymnast
630596	334177	Rhonda Thompson
630596	348795	Crystal
630596	363188	June Kelly
630596	372525	Girl with Broken Nose
630596	399695	Shelly Marie Tambo Vincoeur
630596	411797	Lindsay Metcalf
630597	157720	Marcia
630598	162161	Sister
630599	112049	Student Zoo Keeper
630600	246479	
630601	120931	Landlady
630601	178286	14th Waitress
630601	218721	
630601	348349	Mrs. Hawkes Fenhoulet
630603	362598	Ashley's Friend #3
630604	204264	Old Woman #1
630604	302031	Mrs. Parker
630604	337326	Station Master's Wife
630605	250404	1st Catty Woman at Party
630606	316488	
630607	17291	Wolf
630608	80834	Restaurant Patron
630609	24503	Dancer - Miss Kitty
630610	365282	Helena
630611	245605	Bronwen
630611	387027	Rebecca
630612	28526	Nina
630613	4772	
630613	24383	Mizzi, seine Braut
630613	39100	Franzi Subenmädchen
630613	122820	Nina
630613	125108	Leila
630613	172386	Lori Stübinger
630613	204635	Die Dame im Wartesaal
630613	205976	
630613	258623	
630613	281345	Lisa
630613	285382	Lilo Lanner
630613	293535	
630613	308840	Anny
630613	356883	Volkssängerin
630614	96011	Hostage
630614	194509	Sira
630614	223342	Laura Sophie Goldmann
630614	278327	Nadja
630614	310179	Annabell
630614	326495	Kim
630615	40406	
630615	210086	Nina
630615	290627	Cilly
630615	375982	
630616	281639	
630617	98325	Herself
630617	169949	Stewardess Witness
630617	184395	
630617	213697	Tina
630617	225655	Maria
630617	290070	Victoria Klonowska
630617	294222	Inge
630617	338053	Solveig
630617	387728	Dr. Bogdanilivestsky 'Bob' Ro
630618	5594	Dame an der Reception
630618	32461	Miss Jennings
630618	64772	Enderbreith Small
630618	156651	
630618	170132	
630618	288498	Lilly's mother
630618	325825	
630618	347637	
630619	192805	Amy
630620	393173	Eunice Kennedy (age 3)
630621	41746	Barb
630621	80640	Henrietta Dodd
630621	91862	
630621	102572	Miss Cosgrove
630621	195270	Wilma Evans
630621	253509	Melody
630621	254994	Gloria Cimino
630621	259216	Woman at Cafe
630621	297228	Betty
630621	317892	Female Teacher
630621	358652	Jason's Mom
630622	153713	Kind
630623	223281	
630624	211101	
630625	326560	
630626	43586	Carole
630626	116854	Carol
630626	170496	Calpurnia's Maid
630626	226902	Art student
630626	257983	Maureen Bullock
630626	379593	Doreen Bissell (1971)
630626	388589	Maureen Bullock
630626	394670	Green Girl
630626	401661	Maureen Bullock
630626	408951	Annette
630627	338933	Klärchen Forster
630628	6982	
630628	348088	
630629	3267	Genie/Jean McDonald
630629	5833	Loretta
630629	79447	Receptionist
630629	127042	Lisa
630629	283722	Jonelle Watson
630629	318783	Surfer Girl
630630	165053	Dancer
630631	82551	Conference Room Executive
630632	48264	Molly Griffin
630633	100995	
630634	100995	Haile's Mother
630635	213359	Mosterdzaad
630636	142935	Edelpunk Soldier
630637	168433	
630637	279070	
630638	7580	Asta Nielsen
630638	35061	Hotelstuepige
630638	42212	Charlotte Kerner
630638	79616	Dame i Villa
630638	87736	Kirsten Bjerre
630638	92531	Fru Parpalaid
630638	94806	Lene
630638	99443	Rita
630638	99592	Fin dame
630638	104644	Depot Assistant
630638	108179	Helga Schmidt
630638	108968	Fru Sejrsen
630638	108984	Merethe
630638	109134	Patient
630638	116305	Kontordame hos Holm
630638	117001	
630638	117900	Fru Mörtel
630638	120381	Louises vendinde
630638	126305	The Kannings' Maid
630638	138540	Skuespillerinde Vera Jørgense
630638	146998	Amalie
630638	153399	
630638	159641	Olivia
630638	173139	Fanny
630638	178007	Ida
630638	181237	Fru Wilhelmine Jacobsen
630638	182100	Secretary
630638	188352	Fru Rothstein
630638	188868	Karen Andersen
630638	198069	Miss Sylvia
630638	199995	Danselærerinde
630638	209389	Aeldre Terne
630638	213436	Krøll Knudsen
630638	214336	Fru Agerlind
630638	214347	Stuepige hos Lund
630638	225684	Lise Vibe, 'Skyttelise'
630638	240099	Ministerfruen
630638	244002	Charlotte, stuepige
630638	249743	Husholdersken Trunte
630638	252195	Worms sekretær
630638	262961	Grete Kristensen
630638	291615	Gigi
630638	300976	Maggie
630638	304176	Fru Larsen
630638	304363	Fru Klinte
630638	307759	Fru Müller
630638	309292	Frue
630638	322684	Marianne Beyer
630638	334045	Gertrud Toresen
630638	353033	Fru Bewer
630638	367326	Werners mor
630638	397074	Miss Jørgensen
630638	403379	Gerda
630639	331040	
630640	229593	Cinema Crew
630640	334621	
630641	34547	Majka
630641	49888	
630641	166889	
630641	225824	Sankerka
630641	320547	
630641	392218	
630642	229186	
630643	113886	Priestess
630644	119416	Neta
630645	184899	Herself
630646	281665	Suse
630647	11860	Liane Farian
630647	11865	Barbara
630647	16363	Lebzelter-Mariandl
630647	30131	Klara
630647	33463	Frau Meng
630647	33492	Martha Klein
630647	34992	
630647	35500	Nelly
630647	35598	Jutta
630647	40408	Thea Eiselt
630647	56090	
630647	82164	Vera Kemp
630647	91009	
630647	100986	Vicky
630647	119133	Odette Ritter
630647	119188	Czerni
630647	119251	Hannah
630647	125057	
630647	134996	Doris
630647	138956	Rica Reichmann
630647	139055	Goldi
630647	140271	Helen
630647	151366	Susanne
630647	152834	Brigitte Reimann
630647	153921	Gretl (Bäuerin)
630647	155381	Doris Wengler
630647	160156	Clara Lorenz
630647	166761	Helen Dubbs
630647	181370	Bronka
630647	182765	
630647	186606	Lea Katz
630647	186607	Lea Katz
630647	186897	Lilo
630647	203767	
630647	223473	Susanne Stoller
630647	223477	Vera Zardiss
630647	229391	Isabella
630647	237486	Kati Treichl
630647	264723	Sarah
630647	276490	Laure
630647	281149	Lotte
630647	281665	Mona
630647	282104	Serafina
630647	290536	Britta
630647	290537	Britta
630647	290538	Britta
630647	290539	Britta
630647	290540	Britta
630647	290820	Waltraud
630647	302751	Kati Treichl
630647	311106	
630647	312746	Sabine Kirsch
630647	332826	Nicoletta (Löwe)
630647	347694	Paula
630647	352398	Maria
630647	353950	Fräulein Neuner
630647	361501	Sylvie Schmidtbauer
630647	381691	
630647	389287	Angelika (1994-1995)
630647	392681	Maria
630647	395049	Elvira
630647	395399	Sylvie
630647	395511	Ria
630647	399825	Ingeborg
630647	404489	Wanda
630647	409609	Ramona
630648	30791	
630649	186858	Narrator
630650	357936	
630651	39959	Bella
630651	120844	Charlene
630651	274295	Nurse
630652	290131	Roswitha Gross
630653	261301	Her sister
630654	392069	Madame
630655	161692	Herself
630656	232282	Face in the Fire
630657	394325	Additional Voices
630658	3958	
630658	97983	A kis dóra
630659	94844	A Maid
630659	160242	The Butterflies and Moths
630659	255825	Piety
630660	387789	Presenter
630660	408148	Herself - Presenter (2004-)
630661	266706	Nails' girl
630662	239415	Alice
630663	408627	Dung Dung
630664	397137	Carole
630665	385824	Susan Adamson #2 (2001, 2002)
630666	31434	Mom
630666	79269	Helga
630666	84716	Takashina
630666	170832	Manami
630666	209785	Ikhny Allecto
630666	218785	Bar Voice
630666	378718	Old Woman
630666	381960	Additional Voices
630666	389791	Ruriko's Mother
630666	389870	Ryoko Burning, Sybil
630666	401361	Daemona's Mom, Various Roles
630667	20625	Extra
630668	401836	Herself (Series 2) (2003)
630668	401837	Herself (Series 2) (2003)
630669	26659	
630669	39223	
630669	199279	
630669	369331	
630671	58831	
630671	241975	
630672	84986	
630674	330177	Female News Anchor
630675	185449	Annette
630675	211358	Catherine
630675	230394	Patricia
630675	236688	Interviewer
630675	315585	Mrs. Finney
630675	365122	Rina Van Niekirk
630675	366778	Mary
630675	384898	Miranda Thorpe
630675	385020	Doreen Heavey (1999, 2002-200
630675	388256	Rebecca Westgate
630675	394527	Miss Griffin
630675	398351	Liz Ford
630675	405011	Anna Fitzgerald
630676	224431	Bikini Coke Girl
630677	5836	Prison Guard #2
630677	187346	Kathy's Friend
630678	5503	Girl In Caterers
630679	359858	Art Gallery Party Goer
630680	345741	Tiki
630681	382052	WPC Suzanne Ford (1989-1991)
630681	411549	Geeamore
630682	183209	Schoonmaakster
630683	283530	Nyka
630684	214928	
630685	11464	Dansend meisje
630685	123923	The Girl Driver
630686	45586	Jannie
630687	388299	Mia Van Den Bossche-Dondeyne 
630688	85195	
630689	7882	
630689	26062	Lilly Didrikson
630689	37312	Bar Waitress
630689	41430	Madge
630689	65501	Rose
630689	72850	Mrs. Spencer
630689	73330	Grandma
630689	73906	Joe's Mom
630689	80791	Mrs. Grant
630689	86458	
630689	139208	Norah Sloan
630689	139543	Sunshine Doré
630689	141187	Mrs. Marianne Kalitta
630689	154739	Mrs. Cooley
630689	170604	Grandma P.
630689	180493	Vera Kotcher
630689	181817	Old Wife
630689	191065	Myra Condon
630689	193766	Martha
630689	210662	Betty
630689	222598	
630689	224044	Paula Stanley
630689	224371	Mother
630689	227335	Librarian
630689	231871	Mrs. Whitney
630689	238228	Frances Unger Melnick
630689	240811	Louise
630689	245632	Sandra Willat
630689	250737	Rose
630689	254290	Nun
630689	254625	Bonnie, Bar Regular
630689	261564	Pineview woman
630689	262261	Pharmacist
630689	264132	Nellie
630689	275206	Sally
630689	288468	Mary Kulik
630689	299066	Veta Mercer
630689	301508	Barbara
630689	308120	Mrs. Halloway
630689	314949	Sybil Rosenberg
630689	335563	Former Skater
630689	337100	
630689	339389	
630689	362675	Woman at Al-Anon
630689	362873	
630689	365388	Fern Willis
630689	393540	Wendy Howard (1971-1972)
630689	401528	Additional Voices (season 2)
630689	404282	Dorothy (1986)/Norma Flannery
630690	41940	Lady Bum
630690	105729	Stork Club Hat Check Girl
630690	109608	Nurse
630690	154593	Mrs. Warhola
630690	196549	Mrs. Harp
630690	337098	Mrs. Hadley
630690	358708	Natalie's assistant
630690	375798	Woman in Diner #2
630691	114503	Mother
630692	309649	Evelyn Ames
630693	176547	Moemoe
630693	215928	Moemoe Kiekeboe
630693	354319	
630693	388299	Anna Thielens-Van Den Bossche
630694	81731	Girl #2
630695	21404	
630695	40863	Karin Mertens
630695	79172	Christine Hansen
630695	119268	
630695	189881	
630695	308216	Marianne
630695	327451	
630695	368692	Monika Gruber
630697	346101	Girlfriend
630698	106298	
630699	114767	Marie Østmoe, lensmannens dat
630699	118606	
630700	3536	
630700	210917	Erika's Mother
630701	227735	Karen
630702	158638	Mother
630702	376070	Dorien
630703	134371	
630704	6409	Louise
630704	12462	Annie
630704	26526	
630704	44057	Directrice
630704	97925	Klaartje
630704	122284	Stettler, Monika
630704	124948	Betty
630704	129264	Hertogin van Marlborough
630704	156141	Vrouw
630704	179299	Pamela
630704	183107	Hoofdverpleegster
630704	184526	Moeder
630704	185864	
630704	189966	Stella Goodman
630704	202700	Dame in schoonheidssalon
630704	203408	Clairette
630704	275656	Paula
630704	286217	Jukey
630704	288117	Mevrouw van Dijck
630704	311631	Vrouw op boot
630704	314847	
630704	336422	Gerda
630704	357388	
630704	361395	Vera
630704	379634	
630704	386995	Gilberte
630704	393307	
630704	400801	Flavie
630705	169022	
630706	327030	Fokje Boon
630707	120169	Schubart Friend at Tavern
630708	225115	Schoolgirl
630709	234490	
630710	140186	Witch
630710	206215	Doctor #2
630711	639	Beryl Evans
630711	6911	Nikki
630711	10871	Alien
630711	34441	Angela Rivers
630711	45999	Det. Sgt. Jennifer Thatcher
630711	55699	Sgt. Tilly Willing
630711	85632	Helen
630711	89947	Marjorie Craven
630711	90888	Victoria Brown
630711	94978	Lady Fautblossom
630711	96634	Pamela
630711	105312	Angie's Mother
630711	105715	Polly Bendel
630711	110265	Peggy Heller
630711	131729	Jacki
630711	137964	Sue Trenton
630711	143636	Mary Gloucester
630711	150725	Lady Doyle
630711	153773	Susanne Strauss
630711	160278	Sandy
630711	168112	Herself
630711	183842	Lady Windermere
630711	231973	Helen Marlow
630711	252741	Dr. Fairweather
630711	257169	Pekinese
630711	263496	Anthea
630711	266222	Geraldine Hardcastle
630711	281445	Lucy Honeychurch
630711	286445	Jody Kenyon
630711	292463	Babs
630711	303993	
630711	310303	Miss England
630711	331419	Ella Patterson
630711	334307	Pamela Dare
630711	334308	Pamela Dare
630711	337063	
630711	342868	Jane
630711	351280	Laura Barkley
630711	366187	Jane
630711	372566	Bridget Bishop
630711	380031	Anthea
630711	382701	Becky Royce (Season 2)
630711	385643	Susan Mount
630711	396350	Margaret 'Maggie' Conway (199
630711	399304	Maria Cooper
630711	401743	Caroline Enys
630711	401744	Caroline Penvenen
630711	406392	Fulvia
630712	21872	
630712	40536	Sally Abbot
630712	55678	Lily
630712	55700	Debra
630712	74230	Sarah
630712	166367	Nachiappan's Wife
630712	168789	
630712	171502	
630712	179449	
630712	219944	
630712	220921	Jackie
630712	237828	Sally Baxter, Dr. Neuhart's M
630712	252848	
630712	362501	Nikki
630712	382217	Sally Abbott
630713	4417	
630714	4331	Lalitha
630714	4410	
630714	4472	Seeta
630714	23161	
630714	25700	
630714	26228	Young Pinky
630714	168789	
630714	171777	
630714	175378	
630714	179872	
630714	182122	
630714	184171	
630714	203876	
630714	211399	
630714	226803	
630714	243819	
630714	243860	
630714	247396	Indira
630714	250683	
630714	260133	
630714	266795	
630714	270562	
630714	285416	
630714	328227	Pammi
630714	329627	
630714	334715	
630715	378659	Herself (2001-2002)
630716	25226	Herself
630716	374322	Herself
630716	393729	Gefen, Norit
630717	323594	Committee Woman
630718	240390	Executed man
630719	148258	Customer
630720	25226	Herself
630720	182944	
630720	204991	Maya Baum
630720	207106	
630720	387852	Mikhaela (Mickey) Hoffman
630721	130919	Hofdame
630722	11485	Victoria Porter
630722	34448	Dancer
630722	59869	Nurse Finnegan
630722	106217	Caroline
630722	168237	
630722	187502	Terry
630722	192748	Woman with Makeup
630722	222737	Jackie
630722	313189	Billie
630723	16792	
630723	109454	Wanda
630723	261541	Izzie
630723	269421	Queenie
630723	318760	Angela
630724	79845	Olive Warfield
630725	142436	Big Sal
630726	109421	Edwin's Babe
630727	323804	Girl
630728	211622	Elisabeth
630728	346508	Rose
630728	346713	Esther
630729	315934	
630730	5363	Miranda
630730	43346	
630730	111428	
630730	158628	Annunziata, Moglie di Bostik
630730	183067	Matta
630730	223649	Rosie Hardman
630730	238021	
630730	353073	
630730	356582	Rosaria
630730	399653	Carmelina
630730	402258	Caramella
630731	20625	Extra
630731	60162	Assistant Principal
630732	82350	Momotschka
630733	217228	Aimée
630734	217228	Victoire
630735	91222	Anemone
630736	230149	Maryse
630737	42952	Frau Maurer
630738	56545	Herself
630738	93243	Ellen
630738	124985	Barbara
630738	125019	
630738	178661	Tamila Freund
630738	189712	Sarah Weinberg
630738	210054	Dr. Seidel
630738	259532	Dr. Julia Knabe
630738	270426	Tanja
630738	281744	Penny
630738	289948	Sandra
630738	290240	Tinka Speichert
630738	317276	Katja Altenberg
630738	334609	
630738	345675	Marie Hagedorn
630738	361049	Amanda
630738	364943	
630738	365600	Swantje
630738	376569	Beate
630738	393406	Rebecca
630738	401355	Celine (1. season)
630738	405562	Various Characters (1997)
630739	147316	
630739	180153	
630740	357801	Blond girl
630741	129275	Model
630741	142859	Marie
630742	19180	Lisa
630742	106767	Andy
630742	109856	Andrea
630742	114955	Nikki Willis
630742	149107	Hitchhiker
630742	178028	Patricia Farren
630742	187226	Ophelia
630742	220978	Josselyn
630742	262261	Patty
630742	291054	Jo
630742	331733	Renay
630742	337424	Carmella
630742	348027	Ellen Morrow
630742	370113	Forever
630742	385824	Michelle Bernard (1996)
630742	406928	Vicky Benedict
630743	113900	Estelle
630743	283506	Linda
630743	296752	Lingerie Woman
630743	351502	Screaming Sirens band member
630743	358902	Herself
630744	315701	Meghan
630745	203549	
630746	224691	Back-Up Singer
630747	322504	Mai-Wan
630748	92742	Lt. 'Hawk' Hawkins
630749	14131	Vicky's Mom
630749	21448	Publisher
630749	67609	Lorraine Buchinsky
630749	233060	Barbara
630749	346198	Connie
630749	387981	Fontana Beausoleil
630750	37682	Bistro Patron
630751	122113	
630752	189656	
630753	47258	Dobrish Berdichevski
630753	130062	Dobe, his wife
630754	290029	
630755	290194	
630756	5058	
630756	106877	
630757	79880	Sarah Brady
630757	105926	Julia
630757	352136	Dianne Klassen
630758	5881	Jean Green
630758	278233	Journalist
630759	223893	Susan
630759	362837	Jorinda/Jorinda
630759	365396	Rosa
630760	78677	Flight Attendant
630761	282104	Frau Senftenberg
630762	357116	Mme Brigaud
630763	189598	Old Lady
630763	290044	
630764	212613	Mrs. Mac
630765	201597	Chemtec Receptionist
630766	8243	Barbara Melby
630794	305250	
630766	380391	Jennifer Thatcher (1983)/Donn
630766	390771	Diane Ballard (1977-1981)
630767	211127	Schwester
630767	316066	Deborah
630768	170133	Lili
630768	292257	Kunzli maid
630768	325800	Anni Tillmann
630768	393717	
630769	299396	Phoenix
630769	354854	Tamara
630769	375692	Heather
630770	313207	Cyno Officer #1
630771	366554	
630772	80635	Crystal
630773	305362	Prostitute in Stairwell
630774	241469	
630775	10662	Second Hostess
630776	365644	Sophie Swanson
630777	398083	
630778	188551	Scarlet
630779	352659	
630780	376311	Dancer
630781	117308	Frau Dr. Gramstein
630781	162472	Cutterin
630782	318390	Bonnie Giancana
630783	93837	Nonie
630784	41425	
630784	80618	
630784	375690	
630784	375691	
630785	1050	Receptionist at Hotel Fortuna
630785	16264	
630785	16265	Mrs. Boberg
630785	29560	Emili
630785	38426	
630785	48362	Telefonisten på Koön
630785	78514	
630785	84270	Anna
630785	84299	Old Woman
630785	88393	Gossiping Lady
630785	94450	House-maid #3
630785	95829	Woman in milk store
630785	97088	Bank customer
630785	97089	Alma Nilsson
630785	109544	Cleaning-lady
630785	109976	Fat woman at the cinema
630785	115400	First wife
630785	115426	Woman posting a letter
630785	115427	Old woman at the market
630785	120091	Waitress
630785	120892	Woman
630785	120961	Mrs. Anderson
630785	121019	Sales woman
630785	127568	Annie's maid
630785	135672	A mother
630785	149488	Woman at the meeting
630785	154073	Gossip
630785	154504	Workhouse inmate
630785	162252	Hilma (cook)
630785	164651	Mrs. Nyström, customer
630785	165614	
630785	170838	Landlady
630785	174046	Customer
630785	182306	Morning paper delieverer
630785	182544	Malin
630785	182806	Waitress
630785	184577	
630785	190807	Dresser
630785	192655	Cleaning-lady
630785	192930	Tale-telling Woman
630785	197137	Maid
630785	197138	Mona-Lisa Olsson
630785	198391	Sofie Andersson
630785	209369	Hostess
630785	222444	Fish Customer
630785	223187	Woman at the garbage can
630785	236228	Landlady
630785	248189	Customer
630785	272642	Madame Blink
630785	284101	Annemarie's landlady
630785	288307	Kristin
630785	289783	Cleaning lady
630785	293314	Porter
630785	301218	Hedda
630785	302139	Woman at the auction
630785	303647	Radio listener
630785	303855	Guest at 'Ankaret'
630785	304404	Wedding Guest
630785	304425	Old Maid
630785	308194	Woman in window
630785	312697	Laughing woman
630785	314386	Elderly lady
630785	315360	Cleaning-woman
630785	316909	Berg's Maid
630785	320954	Charwoman
630785	322279	A mother
630785	322314	Woman in Apartment House
630785	322421	Lady at the bench
630785	338659	Lady in the stairs
630785	338729	Janitor
630785	342978	Mrs. Holm
630785	348501	Kokerska
630785	354569	Hjohanna Andeson
630785	355638	Woman
630785	357805	Mrs. Jonsson
630785	377418	Woman
630785	377419	Kristin
630785	377420	Kristin
630785	377422	Kristin
630785	377423	Kristin
630785	377424	Kristin
630785	377425	Kristin
630785	377427	Kristin
630785	377429	Kristin
630785	377430	Kristin
630785	377431	Kristin
630785	377433	Kristin
630785	377435	Kristin
630785	377436	Kristin
630785	377437	Kristin
630786	103157	Telefonista ninfomana
630786	257418	Elsa
630786	384782	Fani
630787	40213	
630788	12630	Rosemarie
630789	12630	Mali Schlieker
630790	83880	Madam
630790	93453	
630790	129879	
630790	144331	
630791	153083	
630792	28528	Pat Rubis
630793	349596	Volksvrouw
630793	357359	
630793	389783	
630794	88400	Dolly
630794	101390	Dagny
630794	208838	Anna
630794	225084	Birna
630794	274912	
630794	314759	Magga
630795	202636	
630795	379254	Dwerg
630796	346373	Lilly
630797	214430	Cafe Patron
630799	6768	Mamie
630799	44899	Chorine
630799	56103	Fannie
630799	143589	Blonde
630799	163544	Dancer, Dutch Girl
630799	183822	Linda Belle (bargirl)
630799	219189	Dancer
630799	277533	Herself - Speciality Act
630800	151486	Interview
630801	115017	Herself
630804	667	Anna Marti
630804	17677	Lisi
630804	134608	
630804	182789	
630804	251161	Ruth
630804	292093	
630804	344339	Ursi
630804	375982	Marianne Lorenz
630804	396285	Johanna Blanc (1999-????)
630804	397366	Nadja Bauer
630805	185447	American Couple
630806	114972	Frau Geisler
630807	56545	Herself
630807	107348	Frau des Postboten
630807	125057	
630807	129663	Fran von Hans
630807	144195	Johanna
630807	189443	Simone
630807	259684	Maria
630807	284433	Gerda
630807	345665	Carmen
630807	374375	Imke
630807	396639	Caroline Koch
630808	52967	
630808	55941	
630808	73486	
630808	88975	
630808	96351	
630808	96369	
630808	103710	Mademoiselle Rocard
630808	110744	
630808	115046	Herself
630808	170076	
630808	197216	
630808	351831	
630808	354870	
630809	364885	Isabell 'Sissy'
630810	119297	
630810	124893	Amalie
630810	211727	Hysterical Lady
630810	290234	
630810	397957	
630811	244444	Neighbor
630812	95997	Roxana
630812	147225	
630812	149577	Student
630812	166975	
630812	180690	Comtess Eleutherie
630812	180886	Dorli
630812	181318	Agnes
630812	219753	Ester
630812	234250	
630812	237449	Marina
630812	237747	
630812	277355	
630812	286733	
630812	306314	Marta
630812	357289	Sasa
630813	309463	Ida Nejtrova
630814	37719	
630814	46090	
630814	101384	Maria
630814	108657	Queen of Elfs
630814	108658	Queen of Elfs
630814	108659	Queen of Elfs
630814	112967	Herself
630814	127994	Eleonora
630814	144595	Danuta
630814	181978	Mother
630814	182470	Dornicka
630814	192245	Tatjana
630814	221867	Renata's friend
630814	237198	Anna
630814	239475	
630814	245908	Receptionist #2
630814	251920	
630814	262286	Woman in shopwindow (segment 
630814	263883	
630814	276110	Marika
630814	300528	Liba Zeman
630814	319726	Maria
630814	321459	Catherine
630814	349941	Viktorka
630814	355534	Izabela
630814	357629	Beata
630814	357948	Girl in stuck car
630814	374397	Eliska/Hana
630814	402133	Irena
630814	402368	Líba
630815	234250	
630816	172910	Vanková
630816	265337	
630816	301786	Helena
630816	305814	Studená
630816	356571	Alice
630816	384085	Reverend Mother Mohiam
630816	387113	Reverend Mother Gaius Helen M
630817	52017	Sarah
630817	79495	Lust Girl
630817	167296	Cathy
630817	217421	Girlfriend
630817	282693	Valerie
630817	366686	Katie York
630817	379741	Herself (2002)
630818	281735	Nicole Winter
630818	303359	Wilma Kästner
630818	410497	KHK Nina Kaiser (1999-2000)
630819	10653	Hannahs Schwester
630819	36480	Arkadia
630819	36481	Arkadia
630819	268540	Annaluise/Pünktchen
630819	281735	Emily
630820	218440	
630821	70160	
630822	289899	Alte Dame
630823	24088	Margot
630823	86242	Babsie
630823	93472	
630823	121055	Christel
630823	132536	
630823	142195	Frau Winkelmann
630823	173054	
630823	225265	Kathi Bethmann
630823	226397	Ginster Harris
630823	290798	Nadja
630823	376571	Mutter
630823	379858	
630823	396874	Hilde Möhlmann-Poppel, geb. M
630823	399957	Traudi
630823	404498	Christiane
630823	405803	
630824	102982	
630825	124987	Girl Reading
630826	393492	Christina
630827	158107	Sandra Fisher
630828	83004	Gabi
630828	110079	
630828	122451	Gabi
630828	123954	
630828	142017	
630828	188747	
630828	229412	
630828	240173	Gabi
630828	267155	
630828	278900	
630828	325618	
630828	358990	
630828	367235	Gabi
630829	376499	Dame in Uniform
630830	74454	
630831	326654	Old Hag
630832	383555	Zoraida Velez
630832	387922	Manuela Quijano
630832	389788	Maribella Tovar
630832	391862	María del Pilar Velázquez(Lil
630832	401975	Soledad Ahumada
630832	404703	Barbara Serrano Zulbarán
630833	240112	Valborg
630833	240113	Valborg
630833	400119	Valborg
630834	76480	Karoline
630834	87192	Frau Scholz
630834	110883	Frau Winter
630834	135005	Hanna Gorn
630834	140719	
630834	184573	
630834	188859	
630834	216300	Helene
630834	231607	Ulla Zeiske
630834	259442	Frau Bauer
630834	259455	Marion Siebenkorn
630834	259493	Margit Silawske
630834	259494	Gisela Loeffler
630834	259506	
630834	259511	Lucie Kramer
630834	259522	Elisabeth Müller
630834	259684	
630834	259685	Doris Winter
630834	317275	Elisabeth Rieken
630834	373659	Renate Eisner
630834	398827	
630834	403792	Marita Roland
630834	409609	Frau Blüm (1992)
630835	302184	
630835	396649	
630836	74423	LVMPD Receptionist
630836	74424	Intercom Voice
630836	78760	Alarm Voice B
630837	70759	
630838	142047	
630838	281666	Zorns Sekretärin
630838	386905	Sabine (1997-2001)
630839	14945	
630839	234378	Marta
630839	326307	Lola
630839	369999	Herself - Nominee: Best New A
630840	84499	
630840	108719	
630840	145247	Donna Irene
630840	199719	
630840	202034	Cristina
630840	204610	
630840	323935	
630841	40065	Nancy Stokes
630842	159175	2nd Boy in Cell
630843	60360	Announcer's Girlfriend
630844	346892	Aunt Maria
630845	18320	
630846	16548	
630847	330410	Magazine Intern/L.A. Club Ban
630848	194525	Wedding Guest
630849	120032	Dodo
630849	122775	Marion
630849	189534	Wanda
630849	312601	Inge
630849	315059	
630850	194525	Wedding Guest
630851	364378	Minister's Wife/Ensemble
630852	194525	Wedding Guest
630853	114193	Tapper
630853	237562	School teacher
630854	248188	
630854	304411	Tore's mother
630854	390950	Ester
630854	403771	Mary
630855	391357	Fru Berglund
630856	267165	Nicole
630857	403688	Miss Sally (1963-1981)
630858	57560	Family Woman C
630859	216473	Judy's Mother
630860	228449	Student
630861	274437	Teacher
630863	97224	Stasia
630863	275634	Mme Malnek
630864	293775	Lauren's Boss
630865	481	
630865	356766	
630866	343524	
630868	11191	Joyce
630869	348594	Bud's Sister
630870	45591	Dancer
630871	408066	Herself
630872	115688	Bewoonster Zonnedael
630873	203491	Molly Burrows
630874	347827	
630875	32772	Maria
630875	126861	Cordule
630875	199026	
630875	337973	
630875	410622	Lieve (1995-1997)
630875	411311	Verpleegster Gerda (2002-)
630876	181261	Bourgeoise (IV)
630877	8105	Klutaimnestra
630877	77139	Getuige
630877	97770	Martha Freud
630877	97925	Margareta van Parma
630877	122284	Mathilde von Zahnd
630877	124395	Oszko Terka
630877	125356	Irene Prantl
630877	126382	Koorlid 2
630877	130835	Schatteman
630877	134539	Clara
630877	141822	Jaël
630877	169013	Mevrouw Hudetz
630877	178447	Moeder van Jan
630877	188909	Karenina de moeder van Viktor
630877	191410	Mevrouw Latour
630877	202700	Rachel
630877	203253	Elisabeth Graham
630877	213344	Hamlet
630877	245608	Mevrouw Decnodder
630877	257542	Alice
630877	286217	Miss Cerebrawl
630877	289829	Marguerite
630877	310825	Hoverdie
630877	352266	Eva Holnay
630877	354065	Agnes
630877	361538	
630877	381592	Juffrouw Jeanne Delannois
630877	400294	Marlene Dietrich (1996)
630877	400904	Oude Els
630877	402044	Terry
630877	407884	Karlien
630877	412092	Gildar
630878	126831	Eva
630879	110542	Loes
630880	303807	
630881	7222	Julis
630881	104197	
630881	379094	
630882	183862	
630882	337124	
630883	363497	Taxi Lady
630884	20049	Hoer (vriendin Arends)
630885	214536	Ida
630886	301681	Mrs. Rosenberg
630887	234184	Mother
630888	81649	Baby Hilly/Harry's Character
630889	33179	Lester's Friend
630889	304293	Grandma
630889	339363	Jury foreperson
630890	232097	Wife in car
630891	284433	
630892	320059	Party Guest
630893	155539	Frau
630894	89928	Carmen
630895	122483	Rosa
630896	322340	A wedding guest
630896	377805	Prostitute
630897	309739	
630898	81640	
630899	296079	Copine de Lucky
630900	180832	
630901	398033	La harpiste (1973)
630902	355280	
630903	77322	
630904	14942	Daniel's Secretary
630905	291823	Scottish Lady
630905	333120	Person of the Night
630906	50985	Herself (The Liverbirds)
630907	89796	Aunt Kazia
630907	172825	Terencja/Troska
630907	179643	
630907	247320	Iwona's Grandmother
630907	282762	Countess
630907	341067	
630907	373653	Delegacy Member
630907	376253	
630908	690	Buffy Summers
630908	1681	Herself - Presenter
630908	1725	Herself
630908	1749	Ranger
630908	2761	Herself - Presenter
630908	3593	Herself
630908	3631	Herself
630908	11106	Kendall Hart
630908	32917	Herself
630908	35530	Jane Robinson
630908	43877	Helen Shivers (I Know What Yo
630908	53688	Herself
630908	57680	Herself
630908	63060	Herself
630908	74010	Kathryn Merteuil
630908	96556	Herself/Daphne Blake
630908	121823	Elizabeth's Student
630908	134877	Karen
630908	138677	Cinderella
630908	139745	Cindy Bandolini
630908	144956	Karen Rose
630908	154309	Helen Shivers
630908	160464	Herself
630908	161740	Jennifer Bianchi
630908	164412	Mary Jane Watson
630908	194491	Arwen
630908	221451	Herself
630908	221478	Herself - Presenter
630908	231535	Herself - Presenter/Winner
630908	245625	Phil's Daughter
630908	288703	Herself
630908	288710	Herself/Various Characters
630908	288718	Herself/Various Characters
630908	290936	Daphne
630908	290939	Daphne Blake
630908	291222	Casey 'Cici' Cooper
630908	291257	Herself
630908	295430	Herself
630908	298076	Girl in Cafeteria
630908	302256	Amanda Shelton
630908	305379	Gwendy Doll
630908	309943	
630908	326662	Herself
630908	326663	Herself
630908	326664	Herself
630908	342181	Herself
630908	352978	Herself
630908	379716	Kendall Hart Lang Henry (aka 
630908	381111	Herself/Buffy Summers
630908	382955	Buffy Summers
630908	390108	Herself
630908	402862	Herself/#6
630908	407139	Sydney Orion Rutledge
630908	411354	Teenage Jacqueline Bouvier
630910	40495	Esther Summerson
630911	234147	Marlene
630912	396236	Baroness Badonskaya
630912	401686	Oksana
630913	136199	Nelli
630913	268172	Chrissie
630914	75370	Baby Clove; bank baby
630915	147115	Henrietta
630916	142527	No. 2 Girl in Bedroom
630917	75370	Paige Bowser; Clove Pegg; Fre
630918	363247	Tracy
630919	107195	Herself
630920	131665	Toy Store Cashier
630921	380784	Herself
630922	19808	Home Woman
630923	410999	Herself (Designer) (2004-)
630924	23052	
630924	138002	Malka
630924	187714	
630924	215236	
630924	216406	Released Hostage, Bengazi
630924	338109	
630924	349376	
630924	397881	Katarina Szenes
630925	394559	
630927	311805	
630928	346016	Inmate
630929	240286	
630930	141804	Herself
630930	187901	Herself
630930	351255	Herself
630931	10044	La Maestrina del Canto
630931	38630	Nicoletta, la figlia minore
630931	127976	Marisa
630931	249400	Chiaretta Fumagalli
630931	290897	
630932	69695	Eyestalk, KerTak
630933	26306	Loretta Zambello
630934	96018	Myran
630935	153578	Alien
630936	269242	
630937	200610	
630938	158881	Teenager
630939	148370	
630940	38104	Donna
630940	79529	Molly
630940	214755	Mother on Metro
630940	219904	Saleswoman at Victoria's Secr
630940	271001	Rose Foley
630941	82333	Laertes, son of Polonius
630942	385408	Researcher
630943	100391	Teresa
630945	77009	
630945	106162	
630945	229539	
630945	268585	
630946	285089	Ninuka
630947	229248	Begrafenis bezoeker
630948	271598	
630949	124238	
630950	71504	
630951	213577	Presumed Chorister
630952	155550	
630953	240816	Sylvia
630954	120857	Tjenestepige
630954	398260	Lille Gianni
630955	304787	Embassy Guest
630957	116580	
630958	121224	
630959	64284	Herself
630960	8819	Nysia Carone
630961	184233	
630962	402808	
630963	389126	Monique van Galen
630964	16384	Mrs. Clay- Dice's Mom
630964	41337	Mama
630964	55132	Aunt Betty
630964	69195	Sylvie
630964	86292	Russian ticket taker
630964	109276	
630964	127084	Real Estate Woman
630964	203601	Costanza
630964	230124	Momma
630964	247565	
630964	280054	TV producer
630964	280286	Pasquelina Marchegiano
630964	331377	Radio Operator
630964	339439	Mary Grasso
630964	388322	Rudy DeMattis
630964	389858	Lois' Aunt Grace (1994)
630964	390562	Pearl Frischetti
630964	411051	Mrs. Rossini
630965	44450	Young Patty
630965	62495	
630965	80050	Freshman Girl 2
630966	156095	Herself
630966	378856	Host (1989-1990)
630966	379180	
630966	380579	Host
630966	385846	Host (2002)
630966	387866	Host
630966	391177	Host
630966	392211	Host
630966	393838	Herself - Host (1991)
630966	395858	Host (1993-1994)
630966	399619	Host
630966	404068	Host (1983-1984)
630966	405987	Host (1996-1998)
630967	373398	
630968	16297	
630968	195247	Sankerica
630968	206500	Kate
630968	217002	Troupe
630968	320190	
630968	356038	
630968	390721	Kata
630968	397373	
630968	405163	Model
630969	247370	Herself (director, Independen
630970	11934	La femme au landau
630970	55759	Third Victim
630970	55816	
630970	96513	
630970	161538	(segment "Negro cancellato, I
630970	183478	Paola
630970	289582	Veronica Lanza
630970	302517	Policewoman
630970	316853	
630970	402780	Debora
630971	39219	Alice
630972	366087	Kathy Marlow
630973	10152	Julia Bannerman
630973	77201	Rachel Waller
630973	111798	Sarah Hughes
630973	160582	Jeannie Waring
630973	198893	Lady Macduff
630973	252840	Jo
630973	364252	Abigail
630973	372210	Nurse
630973	381212	Gina Dickson
630973	382287	Jenny Page
630973	389167	Nicola Yallop
630974	54953	Townsperson
630975	45400	Woman Lawyer
630975	265599	Sanda Jensen
630975	330058	Meryl
630976	119069	
630976	158765	Una telefonista
630976	158768	La cassiera del bar
630976	312257	Tourist
630977	283758	
630978	232873	The Washerwoman
630979	388608	Kathrin Brugger
630980	156684	Mädchen
630981	1420	Lisa
630981	59349	
630981	187860	
630981	283040	La jeune Mimi
630981	325500	Marianne Klefisch
630981	388866	Helen
630981	396285	Lisbeth Rohner (1999-????)
630981	403666	
630982	14878	Janine
630982	33812	Emanuelle
630982	46935	Tazzi
630982	50185	Tomoe
630982	67078	(segment "L'île aux sirènes")
630982	94729	Susy Lee
630982	99705	Mae Jordan/Emanuelle
630982	105840	Air-hostess
630982	139107	Herself
630982	149727	Maria
630982	168235	Black Emanuelle/Various Chara
630982	186142	Laura
630982	195758	Keo Sirisomphone
630982	212002	Prostitute
630982	221903	The woman
630982	237781	Photographer
630982	244081	Beryl
630982	310972	Haydee
630982	313181	Cameo appearance
630982	319322	Emanuelle
630982	351402	Laura
630982	356207	
630982	357068	Estedes Friend
630984	310493	Kate
630985	30156	Mrs. Petillo
630985	39536	Signora Bernadoni
630985	199739	Mrs. Pasquale
630985	360068	Dancers' Italian mother
630986	228767	
630987	228184	Mrs. H. Chestnut
630988	41479	Nimrod's Mother
630988	57457	
630988	124531	
630988	222185	
630988	273654	
630988	386730	Julinha
630989	6078	
630990	1050	Model
630990	47176	Officer's wife
630990	303654	
630992	8266	
630992	25098	
630992	90606	Herself
630992	215399	
630992	268899	Susan West
630992	281885	Jeanine
630992	289478	
630992	292997	Mia
630993	90606	Herself
630993	289478	
630993	292997	Pia
630994	181736	Kaj ½ år
630995	215485	Herself
630996	313672	Yasemin
630996	325494	Hanife Özay
630996	334712	Tülay Ündal
630997	5899	Mme Argante
630997	19839	(segment "Enigme")
630997	23710	Mme Cloquet
630997	23806	Mme Pinchard
630997	48918	L'hôtesse/The hostess
630997	59384	Fina
630997	60964	Maman Titch
630997	62437	Anna-Magdalena
630997	85543	La chaisière/Chairmaker
630997	95276	Maria
630997	100053	Client
630997	110058	Mme Argante, mère d'Araminte
630997	123274	La directrice de l'institut S
630997	126083	Mme de Sottenville
630997	146405	Mère Paumelle
630997	184267	La duchesse de Miossens
630997	201180	Herself - from 'Les femmes sa
630997	205620	Marceline
630997	241213	Eugènie
630997	261609	Lisa
630997	263000	La mère de Jeanne
630997	283965	La duègne
630997	288298	Mme Boguildy
630997	309569	Le chemin de Saint-Jacques
630997	325077	Mme Pernelle
630997	332213	
630997	332220	Mme Delmis
630997	332222	Mme Papofsky
630997	332224	Mme Bonbeck
630997	345400	Miss Gilchrist
630997	346813	Maméno
630997	357847	Angèle
630997	377771	La femme Narsès
630997	377977	Marguerite
630997	383336	Millie
630997	384029	Julie Tison
630997	391620	Zoé Bergeret
630997	391632	Madame Francinet
630997	410150	La sorcière (segment "Faiseur
630998	104720	Herself
630999	242615	
631000	26028	
631000	51356	
631000	174988	Nihal
631000	380562	
631000	398862	Sevil
631001	141412	Waitress
631002	211217	Bella Hilfgrin
631003	376311	Dancer
631004	140765	Goth 3
631005	372118	Herself (President, New Jerse
631006	49664	Hristina
631006	50078	Nina
631006	62834	Rinka
631006	95754	Prostitutkata
631006	198162	Devoykata
631006	250886	Lena
631006	344348	Zjhenata na rabotnika
631006	356193	Momicheto
631006	374473	Negova zhena
631008	238741	
631009	83361	Julie
631009	409452	Raphaëlle Lord
631009	410628	Josiane Larivière
631011	51424	Charlotte
631012	365381	Del
631013	229663	Gertrude Nelligan
631013	245958	La mère
631014	252897	Penny Beaux
631014	289089	Taylor
631014	316188	Delia Winter
631014	358701	Wife #2
631014	367487	Marcie Brewer
631015	350933	
631016	186512	Stephanie
631018	129186	Prel. Fighter #3
631019	180654	
631020	40631	Yacht Guest
631021	89149	Lisa
631022	352782	
631023	49828	Rat Woman
631024	235615	Charlie Gargas' Secretary
631024	257264	Receptionist
631025	147844	Beautiful Girl #1
631025	404570	Beth
631026	97035	
631027	117874	Jenny's Grandmother
631028	285017	Santera
631029	74777	Voice of Jana
631029	132166	Majka
631029	182239	
631029	217287	
631029	257484	
631029	265726	
631029	307169	
631030	230332	Asian Girl
631031	241918	tweelingzus
631032	241918	tweelingzus
631033	338648	ragazza contadina
631034	42386	Miss Three Mile Island
631035	20625	Extra
631036	108933	Luz/Koala Klub Dancer
631036	281441	Dance Teacher
631036	411245	Dance Teacher (episode 1: Roo
631037	28871	Juliette
631037	107241	Magda
631037	150047	
631037	370102	
631039	125305	Gefängnisdirektorin
631039	142195	Elfriede
631039	156995	
631039	184294	Katja
631039	189292	Herself
631039	202634	
631039	209968	Betty Chumley
631039	211087	Mathilde Kühlborn
631039	226198	
631039	347616	Oberschwester Hildegart
631039	364927	
631039	364965	Hannelore Hollwinkel
631039	386406	Gundula Schmidt
631039	389361	
631039	395511	Paula
631039	408770	Elfriede
631039	409623	Siggis Mutter
631040	9525	Frau Wildmann
631040	16955	Dame
631040	35881	
631040	40377	Schwester Harris
631040	40406	Emma Doorn
631040	98042	
631040	115991	Lisbeth Bleicher
631040	149874	Gertrud Deuten
631040	172066	
631040	188817	
631040	226234	
631040	263371	
631040	281714	Tante Cleo
631040	290801	Frau Von Putzdorf
631040	293995	
631040	302761	Frau Burgsteger
631040	306149	
631040	322952	
631040	387445	
631040	387771	
631040	392636	
631040	393409	
631040	404909	Narrator (voice: German versi
631040	411078	Ilse Glaubrecht
631041	110529	Ruby 2 yrs
631042	110529	Ruby 2 yrs
631043	169522	Patricia
631044	304821	Carla
631044	321651	Meredith
631045	6159	Lydie
631045	13543	
631045	29415	
631045	30758	Denise Levasseur
631045	63679	Frédérique Henriot
631045	64333	Herself (1997)
631045	81427	Marthe
631045	93878	Myriam
631045	100166	Myriam
631045	104210	Marie Bluchet
631045	164174	Patricia Meyrand
631045	198319	Lucie
631045	236569	Marlène
631045	240589	Frédérique Letheil
631045	240617	La prostituée mélomane
631045	269095	Sophia
631045	292890	Micheline
631045	303141	Maud
631045	316925	
631045	318515	Une fille délurée
631045	324435	
631045	339899	
631045	345033	Lucille
631045	346554	Anne Joubert
631045	346559	Véronique
631045	346778	Corinne
631045	377474	Prudence
631045	377984	Ginette
631045	385789	
631045	393885	Julie Lescaut
631045	396307	Livia
631045	397949	Francine Renaud
631045	398966	Nana
631045	404662	Marthe
631046	29512	La bouchère
631048	156460	Tracie Gambit
631048	305682	Melody
631048	321468	
631048	399640	
631048	411802	Trisha Dennison (1997-1999, 1
631049	392580	L'apprentie lingère
631050	58531	Herself
631050	95216	Nicola
631051	283580	Kitty Navarro
631052	1258	
631052	41120	
631052	223163	Vocal
631052	306460	On Street
631052	312171	Nightclub Hostess
631052	342790	The Actress
631052	393211	Herself (1958-1962)
631052	404570	Lilianne de Vertdulac
631052	408497	Herself (regular performer, 1
631053	76177	
631053	159695	Catherine Legivre
631053	188682	
631053	370102	
631053	386154	Marie Demonge (1992)
631054	282781	Pierre
631055	55875	Lottie Brenner
631055	201193	Christiane bambina
631055	209118	
631055	211648	Jeanne d'Arc
631055	227594	Pauline Bonaparte
631055	284292	Angélique
631055	289437	
631055	302161	
631055	346442	
631056	170468	
631057	111703	Le speakerine TV
631058	350933	
631059	192465	Tian's Wife
631060	184755	Auntie Mei
631060	269230	Yumei
631061	204168	Man in Copy Shop
631062	36744	The Humorist
631063	37761	
631063	378556	Auf der Damentoilette
631064	91222	Dorothea's mother
631065	376428	Madame Savic
631065	400438	
631066	72500	Grandma
631067	158818	
631068	49823	Mrs. Von S.
631068	90513	Tante Fanny
631068	119255	
631069	147186	Secretary
631069	410774	
631070	195365	
631071	77334	
631071	208808	Baronessa de Prefont
631071	212160	Mariquita
631072	68402	Narrator
631073	230149	Maryse
631074	45711	Natakha
631075	58858	Sniper Victim
631075	235472	Mary Wilson, RN
631075	283712	Police Officer
631075	406010	Dancer (1994-1996)
631076	40201	Slave
631076	115091	Fernanda
631076	317309	Reporter
631077	37645	Hostess
631077	128268	Cocktail Waitress
631078	68427	
631078	351542	
631079	145280	Yazaki, Mari
631080	27469	
631080	306116	Roza
631081	249872	Chica #2
631081	350252	
631082	112276	Rosina di Bartolo
631082	113441	Concetta
631082	129037	
631082	183475	
631082	198555	
631082	206667	
631082	248226	
631082	260908	Marie Harmant
631082	279907	
631082	290000	
631082	315448	
631082	333703	
631082	352238	Gina
631082	355787	
631082	377590	Lucia
631083	28771	
631084	104526	Marquise D'Aubrion
631084	157558	
631084	227584	
631084	246431	
631084	293324	
631084	308888	Fiammetta
631084	339073	Lina
631084	344918	Landlady
631085	270041	Stefania
631086	49455	Bag Lady
631086	107732	Maddie
631086	118020	Brandy
631086	136834	The Chick
631086	355035	Jane
631087	132912	Maude Hanson
631087	208410	Aesir Corporation President N
631087	208411	Nicole Horne
631088	82710	Bodybuilder
631089	342769	Miller Girl #3
631090	366685	Reporter
631091	131539	Neighbor Kid #1
631092	301390	
631093	125484	Herself
631094	112174	
631095	128530	Johnny's Girl
631096	23586	
631096	39671	
631096	83248	
631096	135136	
631097	234285	La voisine
631098	215086	Rose White
631099	5372	
631100	58792	Florent's Mother
631101	340159	
631102	118166	
631103	198105	
631104	57817	
631104	122991	Vanna Green
631105	409471	Arts & Crafts
631106	14373	Italia
631106	70835	
631106	278956	Maria
631106	344589	
631107	68404	L'infirmier
631108	6697	(segment "Le cimetière des él
631109	60696	
631109	103565	
631109	340720	
631110	181483	
631111	353934	X
631112	32502	Katya
631112	266656	Rositza Mileva
631113	166288	Une prostituée
631113	198638	
631114	146684	Herself
631115	252772	
631116	81522	Caterina
631116	113702	
631116	270326	Prosperine
631116	315462	Bertolina
631117	107917	Bridgette
631118	388046	Herself (Finalist #12)
631119	242637	
631119	247056	
631120	75236	Esther
631120	113444	
631120	294412	
631121	53516	Polite Canadian Woman
631122	82114	Doctor
631123	100311	
631124	8517	Agrippina
631124	10144	Proserpine/Femme affligée/Nym
631124	23615	Trio
631124	56636	Phébé
631124	236194	Soprani
631124	329661	Singer, soprano
631125	5186	Mamie Mousson
631125	7239	Mme Elisabeth
631125	8908	Marguerite #1
631125	23797	Fernande
631125	24855	Frosine
631125	28157	Mademoiselle d'Orgel
631125	53249	Marie-Louise
631125	59130	Dora
631125	65958	Madame Hibbert
631125	68413	Mme Grandbourg
631125	77359	Mme Prascovic
631125	116473	Constance, la Folle de Passy
631125	121344	Mme Levroux
631125	122840	Lucienne
631125	125465	Josépha Cruchot
631125	125469	Josépha Cruchot
631125	125470	Josépha Cruchot
631125	126084	Mme de Sotenville
631125	133090	Isabelle Bosquier
631125	144498	Edmée de Tartas
631125	168078	Sylvie Brisebard
631125	169346	Mlle Viralleau
631125	195143	Herself
631125	217223	School headmaster
631125	243929	Germaine Barnier
631125	258250	Adrienne
631125	261722	Françoise, la belle-mère
631125	269971	Alice
631125	296082	Isabelle
631125	309687	Amelie Poulangeard
631125	312305	
631125	318637	Model
631125	336989	
631125	353839	Evelyne, la femme de chambre
631125	384031	Mireille
631125	385858	Herself
631125	386572	Madame Lherminier
631125	388633	Mme de Croissy
631125	389005	Céleste Baroche
631125	389784	La Reine
631125	396805	Grenelle
631125	408659	Henriette
631125	409462	Mamette
631126	387061	Camille
631127	272743	Sekretärin
631128	290262	
631128	406321	
631129	138509	Anna (jung)
631130	280229	Sera
631131	30371	
631131	74645	
631131	136847	
631131	148109	
631131	161562	Tina Reyes
631131	226244	Zofe
631131	366554	
631132	198970	La Suédoise
631133	175621	Nancy Reems
631134	67133	
631135	69378	Fanfan enfant
631136	337007	Petite Claire
631137	329152	Mrs. Maria Banta
631138	230920	Herself
631139	352639	Carlotta Valdez
631140	155992	Lanie
631141	197172	
631142	2988	Mariquita
631142	6047	
631142	9730	
631142	12022	
631142	12063	
631142	13127	Gerarda
631142	14661	
631142	14757	
631142	22740	
631142	22787	
631142	25018	
631142	25021	
631142	25050	Mujer con misionero
631142	30393	
631142	30398	
631142	43351	
631142	51525	
631142	51544	
631142	51781	
631142	52614	
631142	52715	Don~a Refugio
631142	54660	
631142	63324	
631142	64047	
631142	68251	
631142	69475	
631142	70649	
631142	74571	
631142	74579	
631142	74627	
631142	80258	
631142	82397	
631142	83142	
631142	85177	Jacinta
631142	86096	
631142	91285	
631142	91378	
631142	91395	
631142	98701	
631142	99338	
631142	100509	
631142	100520	
631142	101914	
631142	102190	
631142	103807	
631142	108118	
631142	108714	Romula Feucha
631142	110228	
631142	111418	Esperanza
631142	120721	
631142	132681	
631142	132685	
631142	134500	
631142	135197	
631142	140577	
631142	145148	Tona García
631142	146486	Miembra educativa
631142	148173	
631142	156585	Passenger
631142	159528	
631142	161667	
631142	164881	
631142	166549	
631142	170051	
631142	171619	
631142	192992	Sirvienta
631142	193071	
631142	193188	
631142	193346	
631142	193380	
631142	199623	
631142	206743	
631142	209035	
631142	209068	
631142	209404	
631142	211044	
631142	212346	
631142	212365	
631142	212366	
631142	212528	
631142	213395	
631142	213528	
631142	213704	Teacher
631142	213709	
631142	215036	
631142	215231	Conchita
631142	221569	
631142	221929	
631142	221937	Neighbor woman
631142	221980	Laura's Mother
631142	221988	
631142	222021	
631142	222955	Clementina Cardoso de Ramos
631142	225552	
631142	225553	Tia de Pablo
631142	225560	
631142	225715	
631142	227291	Zoe
631142	233362	
631142	233768	
631142	234003	
631142	235312	Money lender
631142	236742	
631142	239286	
631142	247412	
631142	247461	
631142	247465	
631142	251563	Paz Mendoza
631142	252602	
631142	254349	
631142	257013	
631142	258478	
631142	258481	
631142	260520	
631142	260559	
631142	260625	
631142	260933	
631142	262702	
631142	266863	
631142	268495	
631142	270061	
631142	273647	
631142	273780	
631142	277382	
631142	280867	Tia Remedios
631142	281208	
631142	281544	
631142	281791	Sen~ora Campos
631142	281965	Senorita Rocha
631142	283204	
631142	284095	
631142	292735	Bereguela
631142	292739	
631142	293372	
631142	294335	
631142	296453	Mama de Chelito
631142	301186	
631142	302306	
631142	302402	
631142	307845	
631142	309379	
631142	317696	
631142	318242	Portera
631142	319559	
631142	319581	
631142	328040	
631142	332373	Madre de Aurelio
631142	332613	
631142	332643	
631142	332663	
631142	334680	
631142	339088	
631142	342160	
631142	345600	
631142	349683	
631142	353608	
631142	353628	
631142	354716	
631142	357908	
631142	370179	
631142	371680	Sra. Gutierrez
631142	371713	
631142	371759	
631142	371776	
631142	373125	
631142	373880	Amiga de Lupe
631142	376706	
631142	377170	
631143	496	
631143	3453	
631143	6737	
631143	8705	Employee
631143	14746	
631143	14757	
631143	24890	
631143	25096	Petra
631143	30393	
631143	36652	
631143	43351	
631143	52992	
631143	53000	
631143	53125	Gracia, Madre de Roberto
631143	53986	
631143	54775	
631143	63323	Mama de Chucho el Roto
631143	68251	
631143	69023	
631143	72966	Madre de Lucia
631143	73278	
631143	73511	
631143	74559	Nicolasa
631143	74562	
631143	74571	
631143	74606	
631143	75622	
631143	76013	Guardia
631143	77257	
631143	88200	
631143	91413	
631143	92346	Librada
631143	94592	
631143	97374	
631143	100510	
631143	101044	
631143	104527	
631143	108118	
631143	111418	Gracia, madre de Raquel
631143	112054	
631143	123188	
631143	132674	
631143	132702	
631143	135197	
631143	140577	
631143	145161	
631143	152252	
631143	161667	
631143	190408	
631143	193077	
631143	199623	
631143	205435	
631143	211044	
631143	213753	
631143	218519	
631143	221982	Rosita's mother
631143	225390	
631143	235312	La Paralítica
631143	236742	
631143	244608	
631143	246276	Tia Consuelo
631143	246373	
631143	248285	
631143	249871	
631143	260559	
631143	260933	
631143	262702	
631143	273647	
631143	275083	
631143	278426	Employee
631143	280867	Tia Milagros
631143	281965	Senorita Rocha
631143	283204	
631143	294329	
631143	310026	Amiga de Tecla
631143	317680	
631143	320211	Felisa
631143	322855	
631143	339129	
631143	342160	
631143	344654	Dona Cleme
631143	353592	
631143	355926	
631143	371729	
631143	378476	
631143	400953	
631143	404710	
631143	404828	
631144	87084	María
631144	225715	
631144	376677	Madre de Gregorio
631146	391589	
631147	397553	
631148	33571	
631149	217210	Jennifer
631150	125660	
631151	103459	
631151	222146	Lígia
631152	148466	
631153	332472	Little Edna
631154	5057	Stacy Stockton
631155	68431	
631155	68434	
631155	68437	Beatrice Di Leo
631156	400942	Eloísa
631156	401896	
631158	108333	Kim
631158	230127	Delores
631158	243272	Faye Skillman
631158	263234	Karen
631158	327300	Stacey Eckhart
631158	404282	Vance/Vanessa DeFranco (1989)
631159	158855	Crocerossina
631159	396649	
631160	62302	Gitana
631161	189158	
631162	3468	Zia
631163	262682	Herself
631164	331694	Northridge 1994 USA Little Le
631165	334085	Melody
631166	127436	
631167	62117	Bellydancer
631167	235088	Louisa
631168	163024	
631168	354665	Ragazza punk
631169	229831	The wife
631170	328642	
631172	35658	Theatre date
631173	94711	Geisha
631174	67909	Francesca
631175	295163	Una collegiale
631176	124328	
631177	314106	Edda
631178	40538	Mrs. Guber
631179	9624	
631179	10058	Angelica Pupini
631179	12689	A lady at the "café-chantant"
631179	14871	L'imperatrice Anna di Russia
631179	17084	
631179	25336	
631179	30272	
631179	48868	
631179	54829	
631179	94645	Zia Gertrude
631179	106818	
631179	112687	
631179	116494	
631179	124201	La marchesa Dominiani
631179	135157	La madre di Adriana
631179	162143	Sabina
631179	197453	La signora Bosio
631179	199920	
631179	210318	L'imperatrice Maria Teresa
631179	227574	Aunt Bettina
631179	234710	
631179	265197	Santippe
631179	281081	Countess Lamberti
631179	281113	Donna Clara
631179	294848	
631179	301368	
631179	328057	La signora Passmann
631179	328210	Rosa Passalacqua
631179	336364	La regina di Napoli
631179	355654	Celeste Franchetti
631180	407815	Herself (Single) (2002)
631181	384315	Lucia
631182	116174	Singer, 'Carioca' number
631182	130745	Mooda, Dawn's Mother
631182	308627	Natasha
631183	185166	Delphine
631183	231872	
631183	245272	Mary
631183	342863	Mother
631184	72515	Chrissie
631185	55550	One of two young girls singin
631185	220959	Janie
631185	302641	Leora Easton
631185	326814	Gloria, teenager at the races
631185	365740	April Hunter
631185	372433	Rosemary Clinton
631186	267213	Reporter
631186	391869	Miss. Patterson (1988)
631186	399130	Anna Rossi (1985)
631186	402197	Brandy Carter/Laura Gardiner 
631187	331206	Park Girl
631188	196524	Doris Stevens
631188	215527	Mrs. Biggs
631188	219248	Socialite
631188	232004	Voice
631188	245532	Mrs. Flaherty
631191	382773	Sandra Talbot Dennis #1 (1956
631191	390771	Alice Holden #2 (1956-1958)
631192	80646	
631193	178208	Convent Girl
631193	308569	Girl with Samba Kings
631194	331706	Stella
631195	71770	Herself
631195	382362	Host
631195	382363	
631197	214917	Hawaiian Tropic Girl
631198	230506	Queen Maya [Chs. 1-2, 12]
631198	230507	Queen Maya (Queen Kia-kia, UK
631199	320143	Herself
631199	320149	Herself
631199	407081	Herself (38 Days, Chuay Gahn/
631200	231771	Jill
631201	27197	
631201	34310	
631201	53130	
631201	57946	Herself
631201	102812	
631201	139002	
631201	144420	
631201	251759	
631201	273298	
631201	291286	
631201	321027	
631201	325262	
631201	331303	
631202	13637	Mrs. Justice
631202	19188	Mam Isobel
631202	39328	Mama Gibbs
631202	47875	Mrs. Brown
631202	65378	Bus woman
631202	67793	Her Majesty
631202	82010	Grandma
631202	126114	Mrs. Alberta Anderson
631202	133409	Wendell's Mother
631202	147602	Emma
631202	171056	Aunt Velvet
631202	379716	Aunt Bess #1 (1975)
631202	404002	Miriam George #3 (1979)
631203	217994	Cashier
631204	73871	The Lawyer
631204	341885	Irate Man's Wife
631205	21529	The Girl In The White Dress
631206	68889	Parka
631207	126710	Renee
631207	253058	Bathhouse Girlfriend
631207	385624	
631208	81319	Butch in hallway
631209	394392	Caprice
631210	168960	Schoolchild
631211	23860	Mère Raffin
631211	35302	
631211	43719	Sophie Bergelin
631211	84635	L'infirmière
631211	100024	Panope
631211	253994	Directrice banque
631211	265340	
631211	276492	Commentaire dit par
631211	351822	Isabelle Béguède
631211	381505	Maddy Fonroque
631211	383117	Mme Pathelot
631212	51783	(segment "Despejo, O")
631212	63673	Sinhana
631212	85522	Quitéria
631212	128277	
631212	159014	
631212	211018	
631212	237933	
631212	269121	
631212	380536	Vera
631212	384998	Beatriz
631212	386422	
631212	387324	Helena
631212	387632	
631212	388416	Nazaré
631212	390054	Ivone
631212	390509	Irene
631212	392629	Rosita
631212	397440	Letícia
631212	397545	
631212	398361	Teresa
631212	399489	Paula
631212	400580	Anita
631212	401010	Aurélia
631212	402365	Mrs.Canty
631212	402506	Gema
631212	402530	Leila
631212	403083	Sílvia
631212	403758	
631212	404274	Ester
631212	405854	Carmem
631212	407800	
631212	408230	Lídia
631212	409004	
631212	409417	
631213	15231	Michelle
631213	51989	Kate
631213	176826	Monique
631213	237924	Monique
631213	303904	Ed's Chick
631213	306721	Reporter
631213	355173	Paris
631213	379716	Antoinette 'Skye/Toni' Patter
631213	385824	Ali McIntyre #1 (1997-1998)
631214	102234	Molly in the Diner
631215	156210	
631216	35619	Hasan's mother
631217	172005	
631218	555	Child
631218	312683	Marlies
631219	84185	
631220	87923	Susan
631221	57538	
631221	338591	
631222	64951	Stripper
631223	8214	
631223	15013	Isabelle Morel
631223	58311	
631223	84678	Mme. Pignot
631223	90120	
631223	101950	Madame Grenaison
631223	156328	
631223	201189	
631223	223174	Madame Moreau
631223	235824	La mère de Fernand
631223	257008	Valerie
631223	277928	
631223	292783	Agathe
631223	294607	Mme. Sylvestre
631223	300655	
631224	33627	La cover-girl
631224	54787	Young Communist girl
631224	333720	Chantal
631224	355976	Barmaid
631225	37884	WPC Polly Page
631225	38658	Sylvie
631225	232475	Hair Salon Worker
631225	381929	Debby Oliver
631225	382052	PC/Police Staff Polly Page (1
631225	386141	Louise
631225	409020	Sarah Gill (1983-)
631226	360481	Herself
631227	34395	Waitress
631227	151761	Blue-stockings
631227	390523	Miss. Jayne Carver (1995-2002
631227	391206	Catherine Ellis
631228	96994	Baby She Wolf
631229	346267	Kim Knowles
631230	197312	
631231	364942	Fan 3
631232	295098	
631233	156926	
631234	271176	Client
631235	390955	Fitness girl
631235	405793	
631236	394509	Nurse Carrie Von Trier
631237	68486	
631238	100469	Trainee lawyer
631238	406790	
631239	81115	Buffalo Woman
631240	89072	
631240	89075	
631240	214697	Miss Jane Wristworks
631241	136300	Gail
631242	336715	
631242	385299	Amy Turtle (1965-1975, 1987)
631243	69333	Journalist Three
631243	79507	Zina, Uncle Al's wife
631243	321961	Reza's sister
631244	241295	Kari
631244	404608	Finalist (2002)
631245	230693	Model
631245	232370	Model
631246	76605	Good Samaritan
631247	194727	Woman at Felicia and Barton's
631248	41934	Reporter
631248	293021	Reporter #5
631248	296107	Gloria
631248	297914	Principal Hind
631248	309471	Female Soul Collector
631248	317890	Mrs. Parker
631249	213019	
631250	50905	
631251	224431	Fiona
631251	225800	Hostel Resident
631252	224431	Fiona
631253	143918	
631253	197708	
631253	209114	Jailbait
631253	254269	Lily
631253	258860	Girl at party
631253	345650	Angel
631253	352967	Herself
631254	133995	Aggie
631255	90688	Donna/Margot
631256	62536	Mother with Child
631257	113928	Tamara
631257	137031	Denise
631258	81640	
631259	380911	Herself - Top 30 (2004)
631260	164698	Young Woman
631261	67159	Ginna Ashburn
631261	327256	Lorna Travers
631262	241559	Night Club Girl
631263	16921	Schoolkid
631264	10561	Madge Parkson
631264	33791	Alice
631264	34977	Hortense Derry
631264	46993	Rose
631264	61310	Julia Stoneman
631264	61567	Florette Laverne
631264	63024	Valerie de Merode
631264	74288	Madame Zenobia
631264	84362	Miss Hatch
631264	96977	Isabel Grace
631264	114958	Lute Mae Sanders
631264	139214	Lily Emery
631264	140837	Mrs. Robey
631264	143618	Clara Paulding
631264	146760	Molly Ryan
631264	148542	Beulah Rogers
631264	150797	Mary Bogel
631264	151144	Lila Drake
631264	154952	Julie Bliss
631264	163300	Mrs. Holmes
631264	183643	Elsie
631264	195741	Carlotta 'Charlie' Lee
631264	197297	Jessica Howard
631264	199403	Jacqueline Fleuriot, aka Miss
631264	202537	Iva Archer
631264	205724	Madame Du Barry
631264	214069	Millie Maitland
631264	214782	Mae White
631264	234223	Eve Hawthorne
631264	274135	Janet Muir
631264	279570	Panama Smith
631264	301943	Mrs. Barber
631264	314473	Penelope Webster
631264	315881	Shirley
631264	330165	Rose Duffy
631264	346229	Liz Crow
631264	349917	Carrie Snyder
631264	360191	Anna Kriza
631264	367525	Ethel
631265	168669	Vinnie McLeod
631265	323231	
631266	259407	Audience Member
631267	32789	Mrs. Vixen
631267	81142	Nurse
631267	116975	
631267	195866	
631267	220273	
631267	279117	Anna (gang moll)
631267	316604	Helen
631267	323384	Betty
631267	342469	Molly
631267	406677	Pamela Vernon (First series o
631268	309153	Crying Mental Patient
631269	71479	Ayah 3
631270	393653	Karen
631271	27255	
631271	29939	
631271	29968	Barefoot Model
631271	68760	
631271	150939	
631271	150943	
631271	150945	
631271	150948	
631271	150954	
631271	150956	
631271	150959	
631271	150961	
631271	157979	
631271	166129	Serveuse Ibis
631272	264242	
631273	106241	
631274	391786	Helen Richardson Cunningham (
631274	391788	Helen Richardson-Cunningham
631275	99055	Xenon's Roommate
631276	106101	
631276	111729	Bobby Beeler
631276	128786	Herself
631276	299685	Gina
631277	274473	Disco Girl 2
631278	47333	Back-up Singer
631278	57929	Jazz Class Receptionist
631279	215991	
631280	110414	
631280	152628	
631280	213410	
631280	355781	
631280	371741	
631281	219957	Elijha's wife
631282	4543	Nurse at Meeting
631282	137469	Receptionist
631282	228335	Hill's Wife
631283	337335	
631284	220514	Hotel maid
631285	7958	Molly O'Doon
631285	12555	Kitty Pryor
631285	29693	The innkeeper
631285	32401	Georgette Fallon
631285	35811	Nane
631285	41706	Babette DuFresne
631285	44807	
631285	50215	Madame Lechat
631285	63939	
631285	69407	
631285	94139	Olga Andrevich
631285	104960	Cleo
631285	116769	Her Highness Olga Petchnikoff
631285	118708	Florida Everett
631285	124090	Madame Bauer
631285	124739	Countess Olga Imani
631285	141348	Leonie
631285	152414	
631285	155705	
631285	162355	Slim's Wife
631285	162940	Kealani
631285	184221	Mrs. Kathryn Sylvester
631285	184624	Señorita Del Deros
631285	191686	Muriel Evans
631285	196142	Lady in Waiting
631285	199401	Marie
631285	200040	Theresa
631285	206390	Aho
631285	210423	
631285	211620	Madame Elvira
631285	213247	Nita
631285	218517	Baroness Danglars
631285	220636	
631285	246955	
631285	252482	His Sister
631285	256478	Jessica Hadley
631285	260142	Princess Karan
631285	262032	Joan Hammond
631285	279418	Princess Karen
631285	279500	
631285	280485	
631285	296942	
631285	301597	Nina Jaffray
631285	303441	Clara Leslie
631285	306733	Miss Goldberg
631285	307115	Bess Duane
631285	308395	Countess Makotin
631285	324976	Marian Moore
631285	327526	Olga Kazanoff, an adventuress
631285	336104	Mrs. Hammond
631285	351243	Countess De Bracchi
631285	360702	Princess Maria
631285	362688	
631285	367463	Olga Andreavitshka
631285	368623	Letitia Calhoun
631285	372925	Gwendolyn O'Donovan
631286	14488	Kathy Lutz
631286	78789	May
631286	83095	Deana Schine
631286	92263	Elkie
631286	106821	Rex Fable
631286	147630	Caril Ann
631286	190951	Jennifer 'Jenny' Wilson
631286	221483	Herself
631286	222194	Camilla Rhodes
631286	230769	Amanda
631286	318337	Cleo Miller
631286	379661	Lauren Reed (2003-2004)
631286	391869	Angel Brooks/Parish (1993-199
631286	396010	Alex Wilder
631286	403501	Molly
631286	408010	Rita
631287	8366	Sister Susanna
631287	119316	Manti
631288	292121	Herself
631289	1785	Cockney Wife On Boat Trip
631289	10632	Mme. Bretonnet
631289	33690	Ma Robbins
631289	46979	Mrs. Brokenshaw
631289	50236	Mrs. Green
631289	65494	Mrs. Hoggenheim
631289	71462	Mrs. Trimm
631289	72461	Mrs. Humbold
631289	77856	Hatti
631289	79138	Mrs. Drake
631289	80996	Cook
631289	83114	Mrs. Bones
631289	88915	Mrs. Waggetts, Pub Owner
631289	117305	Mrs. Johns
631289	119582	Hanna
631289	129824	Mother
631289	138790	Housekeeper
631289	146050	Mrs.Emma Gibbs
631289	154863	Mrs. Le Brunn
631289	175799	Mrs. Meynell
631289	178137	Mrs. Fowler
631289	184344	Mrs. Lovejoy
631289	185316	Lady Oswington
631289	190946	Mrs. Kaye
631289	195959	Landlady
631289	211565	Cook
631289	218174	
631289	224334	Mrs. Newberg
631289	229632	Meg
631289	235495	Mrs. Clark
631289	239592	Martha Brown
631289	246256	Mrs. Perkins
631289	252980	Minnie
631289	257095	Nurse
631289	269882	
631289	281801	
631289	302128	Grandma
631289	308045	Mrs.Badger
631289	308641	Mrs. Trelawney
631289	309801	
631289	324002	Mrs. Gumley
631289	330162	Housekeeper
631289	339442	Martha Popple (segment "Price
631289	347529	Landlady
631289	361474	Mrs Collins, the shopkeeper
631289	363042	1st Landlady
631289	363202	Maria Helliwell
631289	364400	Mrs. Somers
631289	364454	Frau Weber
631289	371330	Cook
631289	372280	
631289	372642	Bit Part
631290	368413	Florrie
631291	244392	Audience Member
631292	65184	Clarence's classmate
631292	107288	Liz
631292	343881	Dancer
631293	99075	Nicole
631294	283426	Andrea at 1 1/2
631295	309631	
631296	322604	Marla Stanosky, alias Marla S
631297	5387	Screaming Woman
631297	49948	Female Deputy
631297	303362	Winona
631298	141287	Anne Stone
631299	2261	Herself
631299	138728	Host
631299	209658	Linda Banks
631299	398243	Herself - Co-Anchor (1985)
631299	399359	Host/Sports Announcer
631300	71691	Ruthanne Chalmers
631300	147651	Bobbi Quackenbush
631300	163286	Helen Bailey
631301	253542	Mrs. Harville
631301	382932	Joanna
631302	262591	Slave Louise
631303	68857	
631303	245338	
631303	245339	
631304	77173	Marigold Dalton
631304	127483	Betty Louise 'B. L.'
631304	271297	Girl
631304	280109	Lori Parker
631304	308569	Cigarette Girl
631304	346303	Susie, beach blond
631304	388495	April Adams (1957-1958)
631305	11352	Jill
631305	23932	Herself
631305	37941	Russian girl on train
631305	56579	Herself - Presenter
631305	56607	Allie Mannering
631305	63165	Herself
631305	68870	Lisa Korter
631305	75269	Vicky
631305	75953	Vicky Duncan
631305	85893	Herself
631305	86298	Marianne
631305	87393	Mary Coombs
631305	88356	Ana
631305	92507	Anne
631305	92655	Lucy Weston
631305	99301	Herself
631305	101705	Mary Ann Landers
631305	106670	Pippa
631305	120280	Amanda
631305	151146	Mary Close
631305	151154	Laura
631305	164216	Sonny
631305	164505	Catherine 'Kate' Eddowes
631305	167565	Penelope Kimberley
631305	178089	
631305	190593	Madame Rene
631305	203980	Blanche
631305	215883	Michelle Devigne
631305	240557	Herself
631305	245098	Joanna
631305	246868	Mrs. Chavinet
631305	305405	Mary Lee
631305	309133	Audrey
631305	311940	Hilda Crompton
631305	315994	'Fred' March
631305	316476	Amy Sumner
631305	333618	Gabriella
631305	335335	Janie
631305	342587	Lola/'Twinky' (Sybil)
631305	348380	Joyce
631305	351802	Louise Andrews
631305	384528	Mrs. Peacock (Series 3) (1992
631305	387247	Margaret Walker (2001)
631305	406479	Samantha Mansfield (1993)
631305	407131	Kitty Walker (Swallows)
631306	106109	Rivas' Gang
631307	194975	Tammy
631307	272357	Renee Dallas
631307	281254	Receptionist at 'Singled Out'
631307	296543	Janet, Wally's Cooky
631307	313820	Djana'D
631307	326245	Pamela
631308	87583	
631308	106436	
631308	185568	Belly Dancer
631308	194085	
631308	215358	Judge Hatchett
631308	303872	
631308	305987	Secretary
631308	351239	Mrs.Saleh
631309	196434	Hooker
631309	296297	Girl in Bar
631310	309205	Herself
631310	330057	Dancer
631311	62989	Little Blonde
631311	144406	
631311	179065	Lady in Kitchen
631311	190933	Melissa Carson-Clark
631311	200919	Nanette
631311	215892	Ada
631311	293267	Bernice
631311	320309	Phyllis Swinghurst
631311	386724	Susan Cartwright
631311	396929	Marcellina
631311	397676	Jenny Bridges
631311	398781	Tatiana
631311	399381	Shirley (secretary)
631311	406949	
631311	407892	Betty
631311	408331	Virginia Beazley
631311	409475	Dorothy
631311	409477	Dorothy
631312	255009	Bluebeard's Wife
631313	98659	Jared's wife
631313	185563	Pearl
631313	220844	Lady Waiting for Car
631314	67156	
631314	206836	Nurse
631315	241145	Maria
631316	321616	
631317	356062	
631318	233840	Waitress
631318	238695	Peggy, Lumbergh's Secretary
631318	343020	Beth
631319	127290	Katie
631320	165851	Edna (Josh's girlfriend)
631320	203313	Shopper
631320	336647	Song Leader
631320	355276	Helena Rosen
631321	154796	
631322	220493	Suzanne
631323	270046	
631324	70509	
631324	254093	Simone
631324	301528	
631324	353821	
631325	34729	
631325	381661	Various Roles (1969-1973)
631326	78447	Peggy
631326	84633	Myra
631326	116442	Rita
631326	148744	Nelly
631326	260861	Lola
631326	278736	
631327	45668	Girl on street (segment "Crus
631327	74112	Girl on the street
631328	146425	
631329	322362	Dorothy
631330	157824	Reporter
631330	213466	Jason's Mother
631330	221114	Script girl
631330	343908	Angela
631330	357681	Skyla/Lyria
631330	379027	Sandy Candy
631330	380715	Courtney Gripling
631330	401359	Additional Voices
631330	407441	Additional Voices
631330	411319	Dorothy
631331	55872	
631331	127634	
631332	6397	Isabelle Manue
631332	56944	Catherine
631332	57284	Nadine
631332	61755	Leylah Saleh
631332	69622	Claudia
631332	79847	Denise
631332	111682	Christine
631332	122377	Marie-Hélène
631332	129432	Nora
631332	131695	Florence
631332	156783	Dolly
631332	166172	Catrine
631332	195343	Countess Alexandrovna
631332	203524	Julia Anderson
631332	244383	Elsa
631332	253379	Monique Kalfon
631332	273689	Suzanne Chauveau, la mère
631332	284263	Claire
631332	318620	La courtisane
631332	318858	
631332	342856	Joanna's Touring Friend
631332	345272	Nicole Lefèvre
631332	380867	Elise
631332	386084	Claudine
631332	387659	Sophie Joussel
631332	392354	
631332	395636	Madame
631332	400859	Chantal
631332	401798	Unknown (1972)
631332	402069	Michèle Florin
631332	403410	Michèle
631332	405460	
631332	408000	
631333	249071	(segment "Place de l'Etoile")
631334	13626	Old Woman
631335	355605	The Gas Station Girl
631336	251358	
631337	382329	Herself
631338	78341	
631338	396724	Miss. Thorne
631338	406441	Laura Millington
631338	408191	Aunt Mary
631339	85046	DJ
631340	334117	Nurse Sprockett
631341	32770	
631342	31391	
631343	251635	Lilli
631344	393023	Miranda
631345	7899	
631345	303282	Herself
631346	363876	
631347	8136	
631348	128212	Minister's Wife
631349	247305	
631349	330358	Anna-Maria
631349	379467	
631349	385984	Mitsi's daughter
631349	389459	
631349	394062	Roza Moschou
631349	394066	Mary
631349	395608	Lydia
631349	406538	Niki
631349	407921	Iro Marouda-Foka
631350	212019	
631351	317598	Nanette
631352	362224	
631353	95471	Villager
631355	373567	
631356	264977	Emilia
631356	266655	Maykata
631357	103565	
631357	132003	
631357	205432	
631358	244214	Tazhnata vazpitatelka
631359	77505	
631359	82488	
631360	3526	Manekenkata
631360	81351	Adria
631361	9353	
631362	180766	
631363	74180	Drita
631364	199266	
631365	229059	
631366	297637	Gina
631367	253715	Sashka
631368	293844	Yanichka
631369	97608	
631370	1400	
631371	276219	
631372	9473	
631372	250551	
631373	284473	Lilyana
631374	370460	Vranata, Dyavol kradetz 1
631375	33738	Sluginyata
631376	30270	
631377	30596	
631378	376298	Natascha Iaschwili
631379	46945	
631379	50155	
631379	57263	
631379	104766	Maltese entry (6th place)
631379	104771	Maltese backing vocal
631379	128777	
631379	163851	
631379	202521	Herself
631379	202522	Herself
631379	202523	Herself
631379	202524	Herself
631379	202529	Herself
631379	225180	
631379	242540	
631379	258284	
631379	324771	
631379	354398	Danseuse
631380	265556	Hattie's aunt
631380	333266	Madge Melbourne
631381	351504	
631382	264819	Tassos' Girlfriend
631384	174087	Penelope
631385	113825	Fire Maiden
631386	43274	
631387	684	
631387	3582	
631387	17837	Polina Sergeyevna
631387	35931	The sister-mistress
631387	108860	
631387	180430	Goat
631387	277210	Mme. Anna Andreyevna Skvoznik
631387	305206	
631387	349348	
631387	356921	
631387	382445	Teacher
631388	400047	
631389	311946	Girl in Hotel Lobby
631390	8476	Jenny
631390	19020	
631390	93893	
631390	97920	Mary Labrinou
631390	98220	
631390	104813	
631390	156414	
631390	182380	
631390	210380	
631390	233239	
631390	299261	Maria
631390	321930	
631390	331747	
631390	335921	
631391	202360	Maria Malibran (de l'Opéra: O
631391	332897	Sam
631392	381256	Herself ( 1st Runner-Up, 100 
631393	236972	Observer
631394	42296	Swedish Suntanning Team Membe
631395	379985	Herself
631396	9148	Robin Archer
631396	52042	Ciampin lo zoppo
631396	106519	Meta
631397	24790	Extra
631397	74259	Square
631397	333517	Social Security Girl 1
631398	26177	Viktorka
631398	77264	Katerina
631398	149572	Polana
631398	150762	Mother
631398	155401	
631398	172905	Marta
631398	179711	Beggar
631398	198227	Vlasta
631398	229232	Grandmother Bartonícková
631398	239893	Midwife
631398	250446	
631398	267951	Madwoman
631398	322657	Bela
631398	327202	
631398	327763	
631398	373587	Mrs. Antosová
631399	8653	Yolanda
631399	111040	
631399	118879	
631399	131776	Ilana
631399	178366	
631399	216406	Hannah, Yonatan's Girlfriend
631399	284836	Mother
631399	367443	
631400	175004	Host
631400	175005	Host
631400	388817	Pazit
631401	237932	Girl in Flashback
631402	6209	
631402	7761	La Veggente
631402	61077	
631402	90668	
631402	112677	
631402	125361	
631402	127868	
631402	199441	
631402	231685	
631402	247023	
631402	253414	Lucia
631402	263411	
631402	266930	Mother
631402	278749	Little Boy's Mother
631402	290000	
631402	314117	
631402	336149	Luisa
631402	355801	
631402	373230	Governess
631402	377935	Jasmina
631403	3101	AA Speaker #2
631403	214802	Lois Panich
631404	102581	Parents
631405	67732	Prostitute
631406	365137	Soula
631407	392538	Bea
631408	93624	Julken
631408	248412	Kindje
631409	72123	Prostitute
631410	26471	Vanessa Pike
631411	7926	Winifred Blake
631411	11639	
631411	27570	Lola Cooper
631411	30071	
631411	39781	Anna Goodrich
631411	45919	
631411	47307	Showgirl
631411	50750	
631411	53192	
631411	54129	Ellen Bardin
631411	65830	
631411	66200	
631411	75843	Rosita Gonzales
631411	84923	
631411	87607	Marcia Frazer
631411	90302	
631411	103220	Mildred
631411	112241	Marcelle Dubrey
631411	112618	Queenie
631411	114938	Molly, the barkeeper
631411	116230	Cleo Roberts
631411	117803	Helen Turner
631411	124885	
631411	131693	Mlle. Nannette
631411	132573	Secretary
631411	133621	Jordan Baker
631411	144941	Marjory Holbrook
631411	146273	
631411	152189	
631411	166222	Carmen Inez
631411	169229	Flo
631411	170796	Belle Waldron
631411	185717	Nita Carrol
631411	190105	Herself
631411	190911	Old Comte's Mistress
631411	202167	
631411	204167	
631411	210875	Juanita Del Ray
631411	214068	Miss Vall
631411	215908	Suzette Richards
631411	220165	
631411	223718	Elizabeth 'Liz' Johnson
631411	224055	Wayne Leigh
631411	224643	April Lesage
631411	231985	Rita Carlton
631411	237788	Mabel
631411	248987	Noel Farley
631411	254503	Lolita
631411	255143	
631411	258033	Jill Cheyne
631411	263247	Felice
631411	280471	Dolores
631411	304627	Natalie Rivers
631411	305330	Eulalia
631411	309836	Carmelita
631411	329112	Helen Clayton
631411	330888	Alvarez Guerra
631411	331887	Ethel Grayson
631411	340473	
631411	346148	Evelyn
631411	351927	Bride
631411	362197	Madame Le Fleur
631411	362333	Mabel
631412	276937	Club Woman
631413	400576	Additional Voices
631414	89947	Ballard's Secretary
631414	93789	Anne Braithwaite
631414	115805	Iris
631414	276082	Mother in Pool
631414	295881	Ducky
631414	323871	Beatrix Potter
631414	329541	Joan
631414	347447	TV Presenter
631414	380259	Maureen Morahan (1975-1976)
631414	384071	Fiona (1990-1993)
631414	384430	Florrie
631414	386605	Linda Leighton
631415	26885	Model
631415	86539	Librarian
631415	139123	Duddha's Assistant
631415	161839	Cpl Rose Fielding
631415	297802	Distraught Vox Pop
631416	40334	Woman Buyer
631416	358114	American Dream Singer
631417	275233	Girl 2
631418	47279	Date-Rape Woman
631418	90117	Woman in Restaurant
631418	119928	Maureen
631418	134672	Nancy Taylor
631418	143824	Joan
631418	144697	Janie Rooney
631418	156731	Carla Mitchelson
631418	196872	Kate O'Reilly Johnson/Kate Sm
631418	233774	Alice Collins
631418	250383	Dawn Tripplet
631418	304822	Julie
631418	330773	Mrs. Mia Jablon, Babysitter
631418	334289	Isabella
631418	411397	Suzanne Skillman
631419	382656	The Brakettes
631420	101504	Ethel Stevens
631420	116790	Mrs, Bullit
631420	363758	Ella Stephens
631421	335642	
631422	34799	
631422	63941	Manhattan Maid
631422	92007	Schoolgirl
631422	122674	Ruth Giles
631422	124704	Angela Geralda
631422	125884	Page Girl
631422	201433	
631422	209612	
631422	325112	Zambesi Maiden
631422	329388	
631422	335329	Girlfriend
631422	338225	Ruby
631422	401488	Voices
631423	55090	
631423	68845	
631423	80288	
631423	91368	
631423	223618	
631423	267048	
631423	267050	
631423	328046	
631424	118688	Marie Ley
631425	115177	Mrs. Mamby
631425	210437	Grandma
631425	223206	
631425	346075	Ellen
631426	183559	Maria
631427	100306	
631428	5291	
631428	10568	
631428	20676	
631428	52155	
631428	64033	
631428	91408	
631428	97253	
631428	103531	
631428	148017	
631428	225062	
631428	229210	
631428	236024	
631428	249869	
631428	255507	
631428	268439	
631428	307832	
631428	340288	
631428	344117	
631428	371709	
631428	371733	
631428	375897	
631429	110160	
631429	302278	Laura
631429	380386	
631429	383550	Manuela (old)
631429	385947	
631429	386212	
631429	389786	Biloca
631429	389887	Berta
631429	393615	Filomena Madureira
631429	396795	
631429	401900	Filomena Novelli
631429	402159	
631429	402371	Tia Úrsula
631429	402506	Nizi
631429	402623	Carmen
631429	402626	Carlota
631429	404165	
631429	404178	Noêmia
631429	405810	
631429	407643	
631429	407864	
631429	408727	
631429	409347	Norma
631429	409814	D.Esmengarda (beata)
631429	409975	Maria da Paz
631430	209023	
631431	234670	Tam
631432	46284	Edna Holmes
631433	113142	Dany's Mother
631434	84019	
631435	381436	Skyler (2000-)
631436	212049	
631437	314923	Macalinski's Girls
631438	345406	
631439	79691	Louise
631439	81332	Julia Hall
631439	317525	
631440	245128	Maggie
631440	301068	Capt. Kathy Flanagan, MD
631441	33523	
631442	151207	Party Guest
631443	197758	Waitress
631443	296967	Prostitute
631444	194564	Conference Parent
631445	398617	Singer (1948-49)
631446	375280	
631447	128350	Tina B.
631447	400811	Herself (episodes 8-30) (Winn
631448	38120	Dolores
631448	57365	Margot
631448	273404	American Witch
631448	295442	'Billie' Blair
631449	176959	Luise
631450	5191	Viking Maiden
631450	7500	Miss Valentine's Day
631450	37682	Luanne
631450	152894	Girl in fantasy
631450	230934	Bar Patron
631450	258969	
631450	279996	Backstage Groupie
631451	392971	Yoli
631452	29969	Barefoot Model
631453	149450	Brianna
631454	33482	
631455	133594	Clemma
631456	18943	
631456	174646	
631457	251822	
631458	173089	Birthday Party Guest
631459	15330	
631460	111352	
631461	180123	Marusya Boguslavka (segment "
631462	338947	Maria Fyodorovna
631463	212547	Urania
631463	243434	Koula
631463	247649	
631463	253982	
631463	279272	
631463	285318	Patient
631463	380211	
631463	380485	
631463	385984	Eleni
631463	387508	Parthena
631463	394227	
631463	400504	
631463	403750	
631464	89792	
631465	332269	
631465	357415	Partiynata sekretarka Nina Tz
631466	366	
631466	95869	
631466	260066	Venetia
631467	284467	Patricia
631468	49293	
631468	52058	Sabine Wolters
631468	56545	Herself
631468	107970	Alissa
631468	144139	Susanna Bach
631468	154448	Gwen
631468	203935	Mandantin
631468	225203	Lucy
631468	226343	Theodora Santini
631468	289996	Julia Poppe
631468	382689	Host (1996-1997)
631468	388798	Cecile
631468	395011	Mona (2003-)
631468	398431	Part-Time Co-Host
631469	295446	Sally
631470	136360	
631470	351884	Girl
631471	375330	Afrodita
631472	309752	Nurse
631473	25785	Greffière
631474	382692	
631474	402086	Dona Susana
631474	403200	
631475	54815	Célia
631475	385184	Lindinha de Oliveira
631475	385522	Tancinha
631475	386123	Gongon
631475	394872	Amapola
631475	398501	Fernanda Machado
631476	87828	Emily
631477	5941	Mara Valona
631478	233792	
631479	197499	Extra
631480	120585	Herself
631481	127443	Tino
631482	363326	Margaret (Anderson's office n
631483	128828	Georgia
631484	29580	
631484	82879	
631484	103134	Vera
631485	97064	The peasant's wife
631486	26062	Nurse
631487	27436	
631487	59719	Mrs. Zuckerman/Mrs. Fussy
631487	62966	Evil Fairy
631487	70790	Granny, Ghost Trick-or-Treate
631487	94572	Mrs. Beakley
631487	94575	Mrs. Beakley/Skiddles' Mother
631487	106062	Special Vocal Effects
631487	130984	
631487	141978	Rottenmeier
631487	154833	Additional Voices
631487	164213	
631487	178768	Shepherdess
631487	200336	Mother/Adeline/Diane
631487	220415	The Elephant
631487	227467	Aunt Henrietta
631487	227468	Aunt Henrietta
631487	232838	
631487	236956	Mice
631487	245883	Tic Toc/Ozma
631487	256513	Woman
631487	258905	
631487	266917	Freddy Flute
631487	267389	
631487	267391	
631487	269595	Magda
631487	290947	Dreadonia, Woman at Store
631487	290949	Lavonne/Second Woman/Waitress
631487	299012	
631487	313026	(segment "Hitchcock Spoof")
631487	316492	Apricot, Blueberry Muffin, Ap
631487	316498	
631487	316667	
631487	319380	Mrs. Beakley
631487	323910	
631487	340302	Bit
631487	378727	
631487	379065	
631487	381302	Agnes Barkley
631487	382959	Various Characters
631487	382960	Additional voices
631487	382966	Various Characters
631487	383122	Various
631487	383384	Additional Voices
631487	384525	
631487	387066	Betina Beakley/Glittering Gol
631487	387153	Additional Voices
631487	389300	
631487	390534	
631487	390866	Freddy the Flute
631487	391339	
631487	392385	
631487	394949	
631487	395099	
631487	397132	Additional Voices
631487	398087	
631487	399266	
631487	399968	Goldie
631487	400913	Connie Partridge
631487	401486	Various characters
631487	401488	Voices
631487	403354	Mrs. Regina Rich/Irona the Ma
631487	403633	Dee
631487	404521	
631487	405739	Mrs. Kelp
631487	407701	Additional Voices
631487	407963	Various characters
631487	407991	
631487	410518	Sara Whitaker/Irma Boyle
631488	105890	Dream woman #2
631489	32654	Donna Dittsworth
631490	361704	Darstellerin (Film im Film)
631491	10573	
631491	12200	
631491	17328	
631491	19154	
631491	25405	
631491	27939	Helen Alder
631491	32103	
631491	35379	
631491	37860	
631491	37861	
631491	37866	
631491	37868	
631491	37879	
631491	37936	
631491	45953	Marion Leonard
631491	52321	Sierra Sutter
631491	56609	
631491	57150	
631491	73335	Betty
631491	75297	
631491	78132	Ruth Hammond
631491	79407	Nanette
631491	80002	Sierra Sutter
631491	84374	
631491	99335	
631491	105272	
631491	106495	Elsie
631491	112307	Kate McDougal
631491	112594	Helen Gilmore
631491	115901	The Flower Girl
631491	117921	Helen Farrar
631491	120326	
631491	133797	
631491	133831	
631491	134007	
631491	142350	Bess Thurston
631491	142376	Esther Lawson
631491	144823	Edna Tillinghast
631491	146116	
631491	148985	
631491	149176	
631491	155705	
631491	157169	Rhoda Lyons
631491	157312	Julia Merrifield
631491	158482	Florence Jackson
631491	158807	
631491	169910	Mrs. Livingston
631491	188343	
631491	190717	Nina Potter
631491	193674	
631491	196322	
631491	201895	
631491	202800	
631491	204725	
631491	220005	
631491	221059	Guinevere Gusty
631491	224628	
631491	224663	Dolly Hampton
631491	224664	
631491	224807	Betty Lee
631491	228618	
631491	238703	Gloria Grey
631491	239557	Lola
631491	254537	
631491	256861	Marion Moore
631491	258191	
631491	262024	Aileen Sturgess
631491	263524	Adela Monmouth
631491	265259	
631491	272094	Betty Grannan
631491	274474	
631491	278003	
631491	281555	Aileen
631491	285129	Felice Landreau
631491	285433	Lucy Sanderson
631491	287750	
631491	291287	Mary Landers
631491	295460	Mary Tweedy
631491	296870	
631491	306816	
631491	311207	Gladsome
631491	323175	
631491	329406	
631491	329846	
631491	331509	Lola Masters
631491	332124	
631491	335488	Evelyn Archer
631491	336884	
631491	337630	Ruth Stanhope
631491	339600	
631491	340541	Cora Atwood
631491	342913	
631491	353279	Neva
631491	356246	Jean Lowell
631491	356300	
631491	359536	Elinor Folsom
631491	359991	Mabel
631491	361647	Alice Armstrong
631491	361737	
631491	362695	
631491	363645	
631491	367392	
631491	367936	
631491	370570	Lucia Robilant/Vera Robilant
631491	371084	
631492	189266	Herself
631493	190269	Suzy Gumm, age 9
631494	74455	
631495	345225	Militaire
631496	407815	Herself (Single) (2002)
631497	16195	
631498	269959	Cheryl
631499	10043	
631499	63836	
631500	208481	
631500	265565	
631501	89952	
631501	107681	
631501	166134	
631501	235822	
631501	301404	
631501	377065	
631502	105978	Nachrichtensprecher/Newscaste
631503	33455	
631503	98272	
631503	119297	
631504	304710	
631505	192903	
631506	13408	Myrtle
631506	33080	Esmeralda Parker
631506	33415	Angela Fish
631506	79221	
631506	95847	Toodles
631506	99329	Prissy Pill
631506	142128	Brockton family member
631506	347328	
631507	97666	
631507	141360	
631507	151294	Morley Child
631507	183856	Margaret
631507	239192	
631507	267377	Phyllis Winters
631507	278657	Aunt Betty
631508	386334	
631509	87280	Dirty Dancer
631509	151483	Whoville Choir
631509	194213	Hot Babe on Fire Escape
631511	98332	
631511	99528	
631511	199355	The girl
631511	235731	
631511	281643	
631511	317613	Zofe
631511	356697	
631512	180885	Das Blumenmädchen
631513	107483	Interviewee
631514	389464	Saki Hanajima
631515	234142	
631516	22053	Belgin
631516	182098	
631516	311531	Sol Jensen
631517	404976	Mrs. Redhouse
631518	24967	Sarah Hunter
631519	5800	
631519	28409	Marija
631519	145710	
631519	328341	
631519	387651	Stella
631519	392558	Miranda Danezi
631519	397610	
631519	402344	Olga
631519	405566	
631519	408440	Narrator
631520	222796	Second Witness
631521	178962	SuperDuperFly Pimp
631521	351898	Himself/Herself
631522	17805	
631522	23602	
631522	43416	La Snake Charmer
631522	50796	Sonia
631522	82709	Rosemary
631522	89957	Gabriele
631522	188372	Girl on Beach
631522	192254	Gallery Patron
631522	280729	Banquet Party Scene
631522	305638	Prostitute
631522	321397	Attereg-Attereg
631522	351534	Club Dancer
631522	359540	Amazon
631523	269952	Aeon
631523	368546	Nadia Kortner
631524	395644	
631526	50020	Teenage girl in car
631527	194990	Marcie
631528	115318	Newswoman
631529	322210	
631530	326260	
631531	103565	
631532	24308	N.A. 737 stewardess
631532	209683	Canadian Ambassador's Wife
631532	315261	Townswoman
631533	268909	Meg
631534	379779	Pamela Baer
631535	28793	
631535	33166	
631535	114829	
631535	189708	Debby
631536	359685	Schülerin
631537	93502	Sie
631538	18517	
631538	18518	
631538	18532	
631538	139709	Leonie's Mother
631538	284424	
631538	284993	
631539	35296	
631539	142024	
631539	293239	
631539	317661	
631540	399105	Host (1980)
631541	11784	
631541	20324	Christl Andermann
631541	35883	
631541	81604	Barmaid
631541	104826	Manuela
631541	111771	Paula
631541	125130	Charlotte
631541	156985	
631541	180152	
631541	189637	Renate von Eiche
631541	334607	Roberta
631541	345013	
631541	347559	Nora
631541	349662	Gaby Elder
631541	352400	
631541	365018	
631541	369170	
631542	91007	
631543	137639	Grit
631543	145499	Frau Schweigsam
631543	182590	Adelheid Schulze
631543	188852	
631543	204922	
631543	218231	Frau von Nr. 17
631543	248206	
631543	317658	
631543	352527	Dancer
631543	398095	Drusilla Clarck
631543	403133	Frau Butzenstern
631544	93309	
631545	356221	Prima figlia camper
631546	219996	Baby
631547	45509	Kelly Kane
631547	349896	Cliff's Wife
631548	107347	Young Girl
631549	125102	
631550	150966	Frances
631551	99254	Karen
631551	113995	Traci
631551	171122	Louise
631551	254465	Rebecca Weaver
631551	284929	Casey Ballenger
631551	397617	Sandra
631552	155927	Nurse
631553	243651	Herself
631554	9645	Lorenza
631554	13202	Giulia
631554	17814	Hitch-girl
631554	23237	Sophie
631554	63763	
631554	103440	Lauretta
631554	110164	
631554	118771	Nunziata
631554	121888	Lorenza
631554	127900	
631554	127903	Michela
631554	135182	Nannina
631554	151892	Hélène
631554	196834	Fatima
631554	199796	
631554	231850	
631554	234764	Elsa
631554	238588	Violeta
631554	246383	Chiara
631554	257565	Berta
631554	302457	Marina
631554	308885	Iris Blond
631554	309413	Giulia
631554	342118	Stella Leone
631554	346173	Signora Raguzzi
631554	352822	Ginevra
631554	353130	Jessica
631554	399656	
631554	399657	Herself (1992)
631555	155628	Landlady
631555	168114	
631556	101967	Turista
631557	252769	Nair
631558	385491	Cédric
631558	403907	Charles-Edouard (La Binocle)
631559	60448	Zhana
631560	390812	Jessica 'Jessi' Gruber (1994-
631561	390812	Jennifer 'Jenny' Gruber (1994
631562	87414	Anna Magnani
631563	68623	
631563	273012	
631564	30752	Claudine
631564	76465	Frauenärztin
631564	160050	Woman with Dog
631564	255129	Dr. Meyer
631564	272783	
631564	378168	
631565	41469	Olivia
631566	284424	
631567	20342	La mère de l'Arlésienne
631567	135432	Madame Boule
631567	153806	Amie du meunier
631567	199333	Une voyageuse
631567	280531	
631567	345166	
631568	56481	
631568	90713	
631568	264255	
631568	287646	
631569	312883	
631570	345286	
631571	294160	
631572	82794	
631572	404108	
631573	82643	Delphine Garnier
631573	251532	Peau d'âne
631574	235264	Une fonctionnaire du consulat
631575	97035	
631575	230868	Dr. Stadthagen's Friend
631576	257577	Cherrelle
631577	76956	?
631579	117945	Marie Roberts
631579	282102	Nicole Payette
631579	322351	Donalda
631579	345268	Donalda
631580	133684	Vieille personne slimooed
631581	251547	Religieuse
631582	88559	Falling Stripper
631583	206410	Old Woman #2
631584	51791	Professor
631585	45886	Rose
631585	191359	Sylvia Berry
631585	213204	Amber Boyce/Mandy Mason
631585	297706	Sally Clayton
631585	392138	Kate Hargreaves
631586	98899	
631587	26064	Sheep
631587	63129	Brádie
631587	71742	Kate
631587	97681	Sandra
631587	236092	Maggie
631587	367653	Young Woman in Kiosk
631587	389089	Septa
631587	404558	Paddy
631588	66935	The Grandmother
631589	65963	Peggy
631589	85071	Margaret Lane
631589	109884	Gerda
631589	114989	Kathleen Fraser
631589	115670	Rose Reid
631589	134015	Vivien Blake
631589	150877	Carol Blane
631589	178947	Brigid
631589	186056	Susan Heath
631589	363485	Kitty Verdun
631589	367877	A Boarder
631590	81245	Baby, the junkie
631592	6217	Amazon
631593	163311	Lucy
631594	180677	
631595	108390	Peggy
631595	165278	Elia Kazan's Assistant
631595	202954	Sadie
631595	250641	Mom
631595	330424	
631595	362330	Bunny Warner
631596	231298	
631597	80378	Darcy Peters
631597	92248	Lovestruck Woman
631597	193683	Emily Landry
631597	213325	Elena
631597	255716	
631597	283986	Melissa
631597	313122	Jennifer
631597	358604	Belinda
631597	405212	Beth (pilot)
631598	255242	Additional Screams
631600	300650	L'hôtesse
631601	8262	Jeanne Morrow
631601	29157	Geneviève
631601	35086	
631601	56479	Laura
631601	68750	Herself (segment "Guglielmo i
631601	86065	
631601	100468	
631601	102391	Medea
631601	149203	Andrea
631601	205270	
631601	216038	Timy
631601	238464	Diana
631601	244071	
631601	339808	
631601	377048	Géraldine
631601	386744	Jane Glasser
631602	143808	
631602	375986	
631603	351892	'Martian' Twin
631604	344074	Kvindelig mudderbryder
631605	351892	'Martian' Twin
631606	209961	
631606	226248	Uschi
631607	368654	Lilian/Bronson #2
631608	75242	Paola
631609	98432	
631609	157342	
631609	176663	
631609	180943	
631609	211860	
631609	230053	
631609	258999	
631609	261581	
631609	263134	Zhenshchina-avtograf
631609	282745	
631609	295061	
631609	349302	
631609	356677	
631609	356945	
631609	373274	
631609	377807	
631610	300356	Dafina
631611	17538	Anna Karenina
631611	272504	
631611	344190	
631611	370996	
631612	300356	Penka
631613	29670	Witch
631613	159915	Governess
631613	163853	Duszja
631613	176663	
631613	179770	
631613	180844	
631613	204385	(segment "Nam ne dano preduga
631613	223297	Vera
631613	236066	Cindy
631613	251636	
631613	261137	
631613	265571	
631613	282770	Dasha Rozanova
631613	294826	
631613	306709	
631613	320493	
631613	374875	
631613	398043	
631614	214387	Mina à 5 ans
631615	35453	Young Prostitute
631616	282814	
631617	36713	More Fairy Tale Folk
631618	145589	Speaker
631618	300987	Speaker
631619	308831	Lotte Lutz
631620	234710	
631621	337232	
631622	31895	Blue
631623	152759	Nina
631624	304726	
631625	5477	Marie Poupard
631625	7241	Emilie Cadoix
631625	23876	Elisa
631625	25128	Nicole
631625	29515	
631625	29769	Fanchette
631625	33564	Adelaide
631625	33627	L'amie 'riche'
631625	36548	Violetta
631625	36649	
631625	43657	Dame C.
631625	51922	Jeanne
631625	55071	La mère de Léa
631625	55784	
631625	59239	Junie
631625	64951	Miette, age 82
631625	70750	La paysanne
631625	71805	Pauline
631625	73166	
631625	83363	Mme Cussac
631625	87961	
631625	88059	Zaza
631625	111076	
631625	112881	
631625	134382	
631625	135339	
631625	143519	Miette
631625	164169	A follower of Rasputin
631625	167200	
631625	169326	La pensionnaire
631625	169800	
631625	171346	
631625	198339	La Vieille Tante
631625	198639	
631625	199328	Mlle du Barry
631625	202083	Toinette
631625	205203	
631625	208655	
631625	214874	Simone
631625	238455	La première dame aux 500 fran
631625	243039	
631625	252321	La Soubrette
631625	254113	Christine
631625	261836	
631625	275515	Renée Tanguy
631625	275616	
631625	276545	
631625	294566	(segment "Colère, La")
631625	341384	La dame au téléphone
631625	346429	Simone
631625	350919	Madame Camusot
631625	353941	Mother
631625	356515	Mrs. Voisin
631625	357019	Denise
631625	377065	Léa
631625	381612	La patronne du café (1965)
631625	391622	
631625	391927	
631625	400698	Une cliente (Bacon panique)
631625	403826	
631625	404153	
631626	409533	Julien
631627	40679	The Newlywed
631627	141265	Undetermined Role
631627	141519	Red Cross nurse
631628	178743	Ebba, Lennart's sister
631629	1020	Maggie
631630	100587	Adelita
631631	284330	The girl
631632	87960	
631632	242483	Marta
631632	387869	
631632	395041	Gemma Aymerich
631632	396575	
631632	403745	
631632	403746	
631633	41071	Bouncer
631634	34331	Öko 8
631635	44495	Mrs. Elizabeth Devers
631635	125569	Umirovljena glumica i Lukina 
631635	164018	
631635	180091	Gazdarica
631635	181470	Barunica
631635	187854	
631635	192894	Melitina majka
631635	270583	
631635	328216	
631635	339273	
631635	340666	Anamarija
631635	398998	
631636	202540	London Dancers
631637	389160	Speaker
631637	412227	Speaker
631638	254316	La concierge
631639	195215	
631639	249358	Mme Cassel
631640	165232	
631641	152729	
631642	102544	Ehepaar
631644	15061	Le professeur à l'école de da
631645	259655	Marie Eder
631645	365608	Rosi Mayerhofer
631645	409861	Marlene (1995)
631646	108903	Lady Camilla
631647	15238	Une vendeuse
631647	55008	
631647	66075	
631647	205909	
631647	258332	Une amie
631647	276545	
631647	340112	
631647	346609	Invitée
631647	353821	La femme mariée
631647	409541	Soeur Marie-Jeanne
631648	12054	
631648	64035	
631648	70133	
631648	89749	
631648	119862	
631648	214212	
631648	262212	
631648	291690	
631648	322368	
631648	326338	Señorita García
631648	327445	
631648	376700	
631649	118623	Nurse #2
631650	101581	Lucia Borgnoli
631651	89226	
631652	17752	
631652	54432	Sister of Enteng
631652	112787	
631652	185801	
631652	207124	Singer
631652	406389	Herself-Grand Winner
631653	325891	Gast in Disco
631654	230790	
631655	353911	Prostitute 2
631656	217591	Nadezhda
631658	365526	Ahtee
631659	22037	Misty Johnson
631659	38990	
631659	144632	Rita
631659	405300	Abby Winslow
631660	209170	Dancer
631661	385220	Lida
631661	411532	Cathy (child)
631662	121492	Mother
631663	45426	Sarah, Paul's Girlfriend
631663	96871	Moira
631663	305990	Lisa Curley
631664	201608	Herself
631664	201831	Herself
631664	233346	Georgina
631664	337059	
631665	32894	Holly Phillips
631665	39468	Katy
631665	132122	Maud (Scullery Maid)
631665	176959	Louisa
631665	292701	Jessica
631665	390523	Sian O'Brien (1998)
631665	402935	Lorna
631665	411130	Emily
631666	33523	Fighting woman
631667	85945	
631667	159619	
631667	223600	Wuruna
631667	264243	Melanie
631667	315454	Josette
631668	92302	Maid
631669	231915	Duncan Kid
631670	339861	Veronica
631671	95080	Woman
631672	18567	Slecht gezind meisje
631673	411507	
631674	90241	Dr. Lindsay Gale
631674	150080	Mrs. Baxter
631674	226891	Mother
631674	245678	Martha (the waitress)
631674	290082	Pat
631674	319535	Funky Jane (Party Girl)
631675	257633	
631676	242442	Clementine Bos
631677	95514	Romelia
631677	173831	
631677	243011	Joke
631677	266157	Jenny
631677	356078	Schellebelle
631677	382017	Nicolien
631678	9129	Libby Bakersfeld
631678	151779	Betsy Warren
631678	193358	Sissy Fletcher
631678	216451	Liz
631678	359192	Linda Kozlenko
631678	379916	Various Characters
631678	396999	Bess Lindstrom (1970-1975)
631678	398754	Lydia Monroe
631678	401397	Bess Lindstrom
631679	33296	Politieagente
631680	75435	The Baby
631680	331913	Baby Burton
631681	191769	Mother
631682	56746	Dixie Pollitt
631682	331292	Ruthie
631682	334189	Beatrice Murphy, age 6
631682	340542	Sheila Michaels
631682	408043	Alice Holliday
631683	263227	Angie
631684	360815	The Junkie
631685	39812	Carlotta Luisa Maria Viego
631685	44093	Penny West
631685	49329	Yvonne Temblay (Macklin's sec
631685	79866	Cloas
631685	197765	Johanna
631685	315697	Wife
631686	7563	
631686	35740	Sava
631686	74780	Amerikanka
631686	75504	Iris
631686	86062	Silvana
631686	162415	Princess Jenna
631686	213226	Lara
631686	238390	Ema
631686	252682	Analisa Summerking
631686	305812	
631686	307369	
631686	308855	Sandy
631686	343798	Marika
631687	349575	Louise's friend
631688	180215	Pige med fakkel
631689	304361	
631690	160421	Coroner
631691	144992	Phillipe's crew
631692	33112	Daria
631692	46625	Betty
631692	72577	Laura
631692	123413	
631692	150696	Elvira
631692	278128	Lydia Pascal
631692	284557	Melinda
631692	325632	Laura
631692	334613	Nicole
631692	359599	Sylvia Matthes
631692	361448	
631692	376291	Julia Heymann
631693	240092	Prostitueret
631693	304518	
631694	231126	Kate
631695	95529	Lily
631696	319023	Woman/Photographer
631697	267565	Beautiful Babe
631698	2188	Florence
631698	2382	Cobrettes
631698	31937	Dancer
631698	34913	Margo Preston
631698	39142	Nora 'Hugs' Hugosian
631698	44330	Dr. Lila Colleti
631698	45022	Corky
631698	46418	Herself (N.Y. Premiere)
631698	64869	Laurie
631698	67992	Herself
631698	82729	Elaine Si Gibril
631698	93294	Mary
631698	93791	Cathy Heguy
631698	107166	Sasha Hassler
631698	115549	Daphne James
631698	128727	Dancer At Auditions For Dance
631698	135623	Billie
631698	154969	Lidia
631698	158022	Herself
631698	160492	Helen Caperelli
631698	168331	Jennie Chaser
631698	170746	Angie's Neighbor
631698	187189	Angela Beale
631698	195867	Heat
631698	197324	Hannah
631698	201537	Herself
631698	201751	Herself
631698	215644	Angie
631698	241792	Joey O'Hara
631698	245016	Patti Madano
631698	245100	Eileen Phillips
631698	247155	Nina
631698	255316	Lily Warden
631698	257689	Whitney Gersh
631698	262281	Dr. Lauren Graham
631698	263334	Girlfriend/Gym class
631698	263392	Jacki
631698	274119	Cat Manzetti, Viktor's Wife
631698	300180	Cristal Connors
631698	302432	Nancy Barbato Sinatra
631698	304447	Girl at Trendy Club
631698	313635	Alison Cromwell
631698	318311	Sharnetta
631698	321283	K.C.
631698	330951	Carol Lakewood
631698	336647	Debra Lusanne
631698	356789	Tina
631698	361612	Glori Shettles
631698	381395	Catwoman (2004-)
631698	398154	Ann
631698	403586	Herself
631698	405738	Glenn Hall
631698	405937	Herself
631698	408904	Six
631699	112008	PTA heckler
631700	115195	Gondola Passenger
631701	86101	
631702	376423	Sophie
631703	17657	Mrs. Lord
631703	57004	Frances
631703	64069	Narrator
631703	116117	Nurse Andersone
631703	134109	Mrs. Ferguson
631703	206881	
631703	214964	Kate Peacock
631703	241121	
631703	241428	Cruella De Vil/Miss Birdwell
631703	274217	Greta Bloch, alias Yvonne Kra
631703	346229	Pat (nurse)
631704	218719	Momma
631705	23996	Dschana Ardschir Mirza
631705	334620	Dschana Ardschir Mirza
631706	316679	Tiny's mother
631707	46727	Marka, Cook
631707	69671	Bortai's slave woman
631707	253127	Pauline's foster mother
631707	297920	Queen Pua
631707	336705	Lucinda Strickland
631707	350012	Neely's maid
631708	134177	Brenda
631708	400137	Morag
631709	265764	Vicky Dalton
631710	63574	
631711	403988	Lena
631712	26293	Nurse #2
631713	17751	Sophie
631713	42799	Secretary
631713	45637	Lawyer (segment "Inside Out")
631713	46270	Scruples Casting Director
631713	66322	Nurse #1
631713	97689	Secretary
631713	99695	Lynn
631713	130305	Sister
631713	154944	Server
631713	160410	Lawyer
631713	163213	Nurse
631713	165278	Jane Deacy
631713	169608	Nurse #2
631713	222699	Landlady
631713	223833	Policewoman
631713	329975	Tina
631713	366711	Sidney's wife
631714	35107	Gaggle Lady
631714	82899	Gaggle Lady #1
631715	27153	Cousin Denise
631715	42983	Sheryl
631715	155862	Saleswoman
631715	206859	Jane
631715	224091	Sarah Hershfeld
631715	317945	Leslie Gonzale
631715	408530	Evelyn
631716	241774	Maria
631717	157497	
631718	119683	Bauersfrau
631718	353456	
631719	224362	Herself
631720	41083	Cookie Bumstead
631720	192098	Page
631720	224109	Magic Star
631720	327801	Mihoshi
631720	327804	Mihoshi
631720	383419	Additional Voices
631720	386929	Princess Daphne
631720	393424	Rapture/Phoebe Ashe
631720	396497	Mihoshi
631720	397695	Additional Voices
631720	398087	Tootoo
631720	402454	Additional Voices
631720	403889	Kibble/Gloria
631720	407441	Additional Voices
631720	407829	Mihoshi Kuramitsu
631720	410268	Additional voices
631721	110308	
631722	34111	Dora Goodman
631722	130062	Pese Dubrovner, his wife
631722	215107	Mirele Efros
631722	371642	
631723	222843	
631723	325810	Frau von Rasmussen
631723	352047	
631723	358900	Tante Rita
631723	379493	Mrs. Gnaediger
631723	394143	
631723	401353	Anna-Lotte
631723	407351	
631724	326192	
631725	119250	TV-Moderatorin
631725	290561	Nachrichtensprecherin
631725	313788	Performer
631725	391482	Host (1998-?)
631726	145482	On the Highway
631727	14624	Girl 3 on Beach
631728	40863	Bartsch, Elfriede
631728	142278	(segment "Romeo und Julia auf
631728	168434	Dienstmädchen Christel
631728	266007	
631728	275166	
631728	281983	Emma, Küchenmädchen
631728	336530	Shaba
631728	379768	Beppa
631728	388965	
631728	397386	Carol Stewart
631728	403133	Wirtin
631729	143808	
631730	2392	Mrs. Peachum
631730	12448	Ein Mädchen von der Gasse
631730	35494	Ein alter Vogel
631730	108599	Aunt Praskovia
631730	129019	Pijma
631730	211090	Herself
631730	227289	Zoe
631730	236836	
631730	254248	The Maid
631730	278563	Specialty
631730	308245	Puck
631730	322999	The director's wife
631730	323640	Waitress
631730	379174	
631731	63821	
631731	133003	Zeca's Sister
631731	379209	
631732	85923	
631732	111013	
631732	120680	Elsa la Rue
631732	157652	
631732	228593	Elsa
631732	236908	Ada Brent
631732	285686	Mimi
631733	276998	Person at AA Meeting
631734	51810	
631734	356960	
631734	386785	Leticia
631734	397591	Ana
631735	291682	Stella
631736	130434	Ethel
631737	235946	Lehrerin
631737	322983	Ursula Balmer
631738	223550	
631739	280807	
631740	196302	Nurse
631741	402830	Yasmin (1997-????)
631742	49335	Forest Child
631743	12402	Sophia
631743	73883	Frances
631743	90407	Emily Pear
631743	100954	Patty
631743	117112	Monica Mitchell
631743	127679	Gilda Radner
631743	166938	Toby Mastallone
631743	188135	Blair
631743	191326	Kat
631743	191513	Monica Tomanski
631743	194753	Star
631743	196891	Joanne Fiedler
631743	215288	Rosalie
631743	240838	Big Girl
631743	269815	Terri
631743	275283	Lily
631743	275735	Barbara
631743	295320	Lisa
631743	300814	Jeanine
631743	303545	Robin
631743	307273	Terra
631743	330676	Sarah
631743	342685	Dr. Melissa Reeves
631743	346226	Brandi O'Neill
631743	376311	Eva Martin
631743	386973	Martha Spino
631743	387728	Dr. Nina Pomerantz (1997)
631743	405293	Lily
631743	406302	Muffy Tepperman
631743	406555	Judy Miller
631744	409153	Herself - Reporter (2003)
631745	107364	Stasi
631745	147316	Frau von Ketterer
631745	204367	Frau Von Kaminski
631746	157208	Woman in Pravly
631747	157208	Village Girl Reyzele
631748	937	Mabel Arnett
631748	155968	Éva,Tirtsák lánya
631748	322068	Bényi Veronika
631749	311195	Young Bev
631750	78390	Naomia
631750	235871	Acoona
631750	383592	Daphné
631750	383959	Micheline Chartrand
631750	389137	Julie Lemire
631750	398096	Karine Ducharme
631750	409452	Karine Langevin
631751	217640	Infirmiere
631752	387668	Chantal Bernard
631753	51423	
631754	362934	
631755	58907	
631756	112882	
631757	389304	Roxanne
631757	407345	Audrey
631758	273020	in Paris
631759	37387	Judge #5
631759	130947	Myra Hess
631760	104376	
631761	378556	Autostopperin
631762	74339	Danny
631763	149261	Cohn Child
631764	162183	Shahlah
631765	376036	
631766	380750	
631767	83961	Beth
631768	94637	
631769	170127	
631769	180153	
631770	104828	
631770	119027	
631770	142055	
631770	167065	Frau Blockner
631770	186957	
631770	263613	Frau Übel
631770	361489	Rosl
631771	16195	Miss Ornuka Anjuka Eghu
631772	183188	Sarah and Ryan's daughter, ag
631772	379716	Madelyn Flora 'Maddie' Grey (
631773	394189	Nimet Sakrak
631774	110682	Narrator
631774	110690	Narrator
631775	28589	Ludovina
631776	19393	
631776	284183	
631777	204403	
631777	262820	
631778	249225	Mandybear
631779	361132	Singers
631780	322952	
631781	370460	
631782	9353	Dancer
631783	275216	Passenger
631784	215963	Hostess, Investigative Journa
631785	297776	Lady at Party
631786	66764	Polly
631787	132743	
631788	26277	Rosette, la caissière du self
631788	357116	Germaine
631789	62922	Sylvie
631789	72391	Actress at Party
631789	106205	Nurse at switchboard
631789	125738	La secrétaire de la clinique
631790	317309	Rising Star Squatters
631791	177660	Silver Legacy Maid
631792	57836	
631792	88588	
631792	164691	Hrisija
631792	201474	Paca
631792	210509	Majkata na Jana
631792	240086	
631792	248527	
631792	257338	Nevena
631792	258575	Krstevica
631792	262766	
631792	357316	Fronevica
631792	357329	
631792	373493	
631792	374293	
631792	392593	
631792	408862	
631793	57382	
631793	287889	
631793	294109	
631793	307215	
631794	185941	
631794	273826	Chinese Whore
631795	218440	
631796	4775	Gräfin Henriette Ratzeberg
631796	4797	Frau Fraser
631796	15271	Fürstin
631796	24065	
631796	33238	Fürstin Mutter
631796	46515	Amelia
631796	84591	Graefin Burgstetten
631796	101337	Fürstin Pauline Metternich
631796	102972	Omi
631796	108158	
631796	110714	
631796	111952	Frau Holefka
631796	121057	Directrice
631796	126367	Alfred's Grandmother
631796	130912	
631796	134801	Rosa
631796	138456	Elfie Möller
631796	144103	Fräulein Auguste
631796	144346	
631796	147153	Frau Gilz
631796	155363	
631796	155377	Tante Helene Meyer
631796	155385	Luise Stahlmann
631796	164275	
631796	171488	
631796	174568	Cook
631796	181164	
631796	189776	
631796	210094	
631796	223282	
631796	226165	Capt.Virginia Jenkins
631796	234028	Mama Svoboda
631796	278159	Adele von Hill
631796	282074	
631796	286410	Karoline
631796	315110	
631796	338262	
631796	349662	Mademoiselle Belet
631796	358539	Die Zieblingen
631796	361083	
631796	376329	
631797	3169	
631797	5794	Proprietaria casa
631797	24713	Costanza's Mother
631797	67497	Emilio's mother
631797	73649	
631797	112671	
631797	121898	
631797	160070	
631797	213798	
631797	251050	Nun
631797	252749	Magda
631797	276444	Zia Maria
631797	307440	Duchess Del Carpio
631797	322779	Sacchi's Sister
631797	355612	
631797	403449	
631798	17137	
631799	26119	Extra
631799	45653	Louise Mason
631799	47088	Girl
631799	109415	Miss San Antonio
631799	130886	Chita Rawls
631799	135794	Betty Garrett
631799	139082	Mona
631799	183418	Dorothy
631799	233778	Mrs. Fleishgelt
631799	235162	Specialty dancer
631799	235212	
631799	303471	Jane Simms
631799	348327	Goldwyn Girl
631799	372109	Patricia Bedford
631800	312227	Virginia
631801	154502	Tourist
631802	327591	Rosalba
631803	220009	Lisa
631805	113137	
631806	322066	
631807	15858	Titkárnõ II
631808	153683	
631808	233279	
631808	334028	
631809	226280	Annina
631810	140953	National anchor
631811	380460	Co-Host
631812	197073	
631812	307518	Elderly Lady
631813	188275	Marcye
631813	201904	New Customer
631813	318977	Sally
631814	321729	Mandi Schweitzer
631815	89161	14th Street Player
631816	142330	Shelly
631817	22701	Ferris Wheel Woman
631817	212833	Mrs. Jordan
631817	395343	Bridget !998/99)
631818	336412	Herself - Elev på Kunstskolen
631819	328603	Police Officer (segment "Nigh
631820	6073	
631820	24832	Gela
631820	50963	Persa
631820	89814	Vera Mladenova
631820	97605	
631820	104831	Marinova
631820	199266	Kolezhkata
631820	229086	Vasileva
631820	235290	
631820	250551	Uchitelkata
631820	265011	Hristina
631820	266211	Marta
631820	272903	Elena
631820	286716	Petrova
631820	296427	Old Lily
631820	305478	Viviana
631820	357434	
631820	372019	Lekarkata
631820	373454	Beba Charlston
631820	384017	
631820	387142	
631820	399704	Nataliya
631822	328897	
631823	72376	Bidding Customer
631824	392916	Brigadier Maria-Jozefa 'Mie-J
631825	130656	Andrea 'Andi' Rambeau Bruhn
631826	158311	Nazi Girl
631828	55785	Newscaster
631829	46287	Waitress
631829	69384	Self
631829	138669	The Princess
631829	191734	Maria
631830	87223	Poetry Girl
631831	70486	Bella Stern
631831	80762	Gussie
631831	87779	Herself
631831	121861	Herself
631831	161202	Herself/Interviewed
631831	161207	Herself
631831	161248	Herself
631831	161371	Herself
631831	204553	Mrs. Claire Prince Timkin
631831	207132	Evelyn
631831	207681	
631831	214094	Sister Rosanne
631831	228969	Herself
631831	233690	Eurol Muller
631831	303183	Schoolteacher
631831	315335	Tutti Bomowski
631831	317261	Grandma Estelle Little
631831	326456	Teacher
631831	330818	Herself
631831	335799	Middle-Aged Woman
631831	353418	
631831	387546	Sophia Spirelli Petrillo-Wein
631831	390279	Sophia Spirelli Petrillo Wein
631831	390282	Sophia Spirelli Petrillo-Wein
631832	162979	Corinthian Circle member
631833	290263	Herself
631834	313068	Secretary
631835	20913	Powell House
631835	58511	Field Hand
631835	307374	Sheraton slave
631836	196261	
631837	397301	Herself
631837	403845	Herself
631838	331299	
631839	80581	Sister Clair
631840	10021	
631840	34365	
631841	57654	Reunion Announcer
631841	59151	Ellen
631841	147481	Nurse Aphrodite
631841	196370	Saleswoman
631841	231090	Trish Kane
631841	265928	Female Assistant District Att
631841	306744	Salesperson
631841	313989	Mrs. Kahn
631841	347916	Marilyn Weiss
631841	378855	Judith Draper
631842	338546	Flirtatious girl
631843	87280	Dirty Dancer
631843	87281	Dirty dancer
631844	124026	Villager
631846	28481	Extra
631847	55856	Mom
631848	214680	Steffi
631848	217081	
631848	314349	Lucie
631848	387396	Anna
631848	396874	Frau Irrgang
631849	26219	
631849	41810	
631849	91435	
631849	126801	
631849	140587	
631849	165553	
631849	169011	
631849	214270	Kyeong-a
631849	222129	
631849	227439	
631849	385546	NaJudaek
631850	7283	
631850	28255	
631850	102779	
631850	142547	
631851	88276	Japanese gambling queen
631852	58507	Cellmate
631853	124728	Maria Ivar
631853	128245	Sonja Maloney
631853	204185	Madame 'Charlie' Charlizzini
631853	231846	
631853	232170	Countess Olga Karagin
631853	243206	Mrs. Beck
631853	308245	Oberon
631853	329743	Mme. Lottie Marvo
631854	193080	
631855	105462	Dancer
631856	208129	Béatrice Levallet
631857	132747	Angelica
631858	352677	
631859	42868	French comment
631860	49756	Moeder
631860	175243	
631860	214897	Manse
631860	260777	
631860	273735	Estel Kal
631860	382403	Moeder-overste
631860	385554	Huishoudster Cathrein
631860	397445	Fine
631860	401671	
631860	401807	
631860	409991	
631862	129501	Dame des huizes
631863	29670	King Kandor's People
631864	183172	Woman in black
631865	153656	
631865	252563	Efemia
631866	374029	Zurba's wife
631867	350588	Vano's wife
631868	171742	
631869	124851	
631869	153239	Satenik
631869	179325	
631869	180367	
631869	187360	Nazan
631869	205350	
631869	212283	(segment Illyuziya)
631869	218948	Arpen
631869	236065	
631869	329165	Mrs. Ghazaryan
631869	357217	
631870	19259	Viktoria
631870	26247	
631871	158842	Cindy
631872	82333	Rachel
631873	83561	Cheetah's Dancer
631874	345461	Orchestre
631875	275484	Rose
631876	242880	Krystyna
631877	207268	Female dancer
631878	202505	
631879	275182	
631880	237738	Emma
631880	314509	
631881	216864	Elvyra
631882	352567	
631883	62983	Slim Girl at Fred's Party
631884	207565	Mother
631885	249339	Flower Maiden
631886	42577	
631886	243560	Madre/Mother
631887	223940	Barmaid
631888	178189	Extra
631889	283546	Clinic Reporter #1
631890	18339	
631890	111406	
631890	119297	
631890	187595	
631890	220196	Ruth Westendorp
631890	310942	.
631890	325445	Edith Wagner
631890	325484	
631890	325537	Hanni
631890	325742	Erni Sassel
631890	350624	
631890	352341	
631890	398304	Ruth Westendorp
631890	403113	
631891	364863	
631892	168249	Elizabeth
631893	218435	Grandma
631893	360945	Kassiererin
631894	309967	
631895	156153	
631896	157495	Mme. Persu
631897	357380	Zuster
631898	387247	Leyla
631899	222713	Georgina Lawrence
631900	48214	
631900	89739	
631900	115952	
631900	126128	
631900	144003	
631900	288487	(1. Episode)
631900	352528	
631901	334010	Lavinia
631902	125109	Angelina (swiss-german versio
631902	126409	
631902	155443	
631902	178780	Zenza
631902	367303	
631903	154884	Waitress
631904	143808	
631905	42419	Kimberley's friend
631905	330026	Sara
631905	379220	Jane (I) (Series 1-2) (1997-1
631905	385020	Maria Sutherland (2000- )
631905	395547	Marianne
631906	12371	
631907	109306	
631908	376920	Gardienne
631909	7772	
631909	23080	
631909	26596	
631909	26600	
631909	89424	
631909	109018	
631909	109306	
631909	132010	
631909	176061	
631909	261533	
631909	285092	
631909	335742	
631909	371002	
631910	83999	Mother
631911	79859	Amanda Barnes
631912	176110	
631912	267416	
631913	36242	
631914	169034	
631915	316298	Old Davan Woman
631916	284302	Herself
631917	171668	
631918	5009	Additional SPAT Woman
631919	43084	
631920	105281	Dream Girl
631921	98659	Maria
631922	285493	Inas
631922	300770	
631922	410511	
631923	138381	Gauri
631924	138689	Victim
631925	178123	Chiara
631926	319083	Fairouza
631927	23057	Yeranyak
631928	21730	Cliente boutique pere
631929	112819	
631930	395632	Lilalu
631931	19646	
631931	205055	
631931	296599	
631932	161875	Village girl
631933	38951	
631933	175867	Delbar
631934	27198	Prostitute
631934	72376	Lyndsay Morgan
631934	109539	Jillian
631934	127279	Carla (Stripper 1)
631935	209820	Gita
631936	300055	
631937	347572	Teenager
631938	57061	Herself
631938	348106	Herself
631939	214387	
631940	249633	
631940	375276	
631941	212151	Jeune assistante
631942	19639	Méliné enfant
631943	19522	Zdenka
631943	211223	Sona
631944	184209	Shushik
631945	206731	Mona
631946	243505	
631947	83922	
631947	118515	Dominatrix #2
631947	195608	Kathleen/Kali
631948	101153	Vanda as a Child
631949	82577	
631949	123686	La gendarmette
631949	269738	La vendeuse de l'épicerie
631950	405995	Herself - Student
631951	161532	
631951	161677	
631951	294651	
631952	117561	Shopkeeper
631953	404165	Flávia
631954	70972	Zombie
631956	386188	(episode "System")
631957	72522	
631957	214420	
631957	279978	
631957	287504	
631958	24339	Sopran/Soprano
631958	55202	Micaëla, a peasant girl
631958	99249	Adina
631958	129042	Soprano
631958	130590	Soprano
631958	133467	Adina
631958	169815	Herself/interviewee
631958	196006	Adina
631958	234151	Herself
631958	265675	Soprano
631958	281273	Juliet Capulet
631958	336375	Floria Tosca
631958	338618	Vioretta Valéry
631959	136190	
631959	138591	
631959	161531	
631960	24785	
631960	80353	
631960	103002	
631960	341479	
631961	53158	
631961	66596	Maria
631961	94147	
631961	205403	Mama
631961	205510	
631961	219417	
631961	262586	
631961	264923	
631961	327566	Mrs. Homolka
631961	337562	Silvia
631961	337742	Rivka
631962	333871	Dacia
631963	214855	Dora
631963	309263	
631964	28375	
631965	259717	
631965	309166	
631965	319325	Janet
631966	1366	Eleonora
631966	101016	
631966	123090	
631966	132973	Saxon's Girl
631966	161812	
631966	204236	Olga
631966	207768	
631966	230075	Contessa Alessandra Biorci
631966	252780	Augusta
631966	314152	Chiarella Donati
631967	6280	La compagna Sonja
631967	9711	La Vecchia Bonfigli
631967	33433	Zia Giuseppina
631967	53895	Kallina
631967	71295	Inspector's wife
631967	183285	
631967	202094	
631967	205888	Se stessa
631967	234564	La compagna Sonja
631967	246454	Madonna Pasqua
631967	253414	Gionna
631967	265193	
631967	270829	
631967	313901	Un ospite dell'istituto
631967	344587	The landlady
631967	352235	Zoraide, Gianni's Mother
631967	354117	
631967	360466	Comrade Sonia
631967	402302	La vecchia del castello
631967	409875	Catarina Auriti
631968	53895	Natolia
631968	67531	
631968	90005	
631968	101016	
631968	158769	Olga
631968	217118	
631968	270818	
631969	64264	
631969	291622	
631969	291669	Dishonored Sister
631970	334773	Gigliola
631971	199576	Femme du bus
631972	54296	
631972	57309	
631972	187446	
631972	354450	
631973	219417	
631974	401871	Casting director
631975	149974	Bank Employee
631976	251296	Professeur
631977	401311	Afrosina
631978	88376	Femme au tchador
631979	134893	Amazzone
631980	19258	Marie
631981	62579	Cafeteria Patron
631982	240307	La comtesse
631983	254047	La petite fille
631984	529	
631984	7231	Angélica
631984	15342	Ana Terra
631984	32316	Bebel
631984	44218	
631984	44225	
631984	55312	
631984	70311	
631984	97738	
631984	101265	
631984	111153	
631984	112767	
631984	161435	
631984	170055	(segment "Divertimento")
631984	196662	Martinha
631984	197091	Lucíola
631984	210691	Guadalupe
631984	217564	
631984	234636	
631984	237933	
631984	244069	
631984	246971	
631984	247876	
631984	248746	
631984	252595	
631984	267495	Sister Lúcia
631984	268988	
631984	269528	Maria do Carmo
631984	292899	
631984	306365	
631984	327325	
631984	344778	Adriana
631984	350254	
631984	354944	
631984	354985	Malu
631985	43401	Lycéenne 3
631986	377736	Serveuse hôtel
631987	208235	
631988	34446	
631989	24141	Alunna
631990	255115	
631991	104750	Italian entry (3rd place)
631991	289333	
631992	118069	
631993	255115	
631994	233643	
631994	290862	Segretaria TV
631995	370	Wandering farmer's wife
631995	52253	Mrs. Preston
631995	68440	Suor Clementina/Sister Clemen
631995	74632	Mercedes
631995	82134	Jenny Slader
631995	83905	Lucy
631995	89830	
631995	109079	
631995	139904	Jane Harris
631995	209343	
631995	217105	Lucia
631995	219587	Lady Alice
631995	238791	Mirana Kiowa
631995	252638	
631995	269454	Francesca
631995	269709	
631995	309263	
631995	340690	Clara
631995	344609	La padrona del saloon
631995	349542	Pippo's wife
631996	251604	
631997	94725	
631998	290746	
631999	212577	
632000	2252	(segment "Flic, Le")
632000	211683	Patti Smith 2
632001	345016	Nurse
632001	408883	Juliette Stradikowskaya
632002	341390	Mariska (segment "Felice")
632003	266413	
632004	132993	
632005	198342	Mina
632006	408397	Herself (Newsreader) (2002-)
632008	57597	
632009	47045	
632010	128035	Laura
632011	65578	Veronica Loughran
632011	126495	Gina
632011	161732	Rape Victim
632011	164564	
632011	246272	Reporter
632011	306297	Herself
632012	255501	Sara
632012	379252	
632012	379896	
632012	380074	Mariola
632012	380242	Paula
632012	386555	
632012	387273	Hortencia de Ilich
632012	387475	
632012	389480	Dolly Domínguez
632012	392986	Ester
632012	397117	
632012	404074	
632012	404815	Estela
632012	409283	Trini
632013	118280	Dancehall Girl #2
632014	354070	
632015	58096	Inge
632015	113104	Mathildeke
632016	254236	
632019	133931	
632020	400142	Valentina
632021	370096	
632022	97139	
632022	158766	Matilde
632022	270318	
632022	385779	Clara Copperfield
632023	97147	
632024	26489	ISN Reporter
632024	248320	Mom
632025	305571	Singing Voice
632026	307479	Agnès
632027	380368	
632028	104703	Herself
632028	104747	Belgian entry (17th place)
632028	383902	Herself
632029	235352	Claude
632030	76083	
632031	5659	Hanna
632031	55099	Mrs. Wilson
632031	145488	Elli
632031	165116	
632031	174824	
632031	178361	
632031	204467	
632031	269195	
632031	290062	Vollina
632031	312015	
632031	360957	
632032	356582	La bambina di Rosaria
632033	38229	
632033	64351	
632033	74485	
632033	78765	Nun
632033	81647	
632033	86886	
632033	89345	
632033	112737	Mother
632033	155120	
632033	155122	
632033	238813	
632033	284229	
632033	317898	
632033	325301	
632033	346673	Mme Augier
632033	357330	
632033	377586	Cristina's Mother
632034	357371	Kali
632035	25552	
632036	65184	Student outside principal's o
632037	26180	Model
632037	31444	Andi Mulligan
632037	67495	
632037	106636	Doctor
632037	113994	Betty Mather
632037	168627	Brenda
632037	178127	
632037	221259	Employee
632038	363422	Mary Call
632039	248936	Malika
632040	390477	
632041	59258	
632041	92030	
632041	146419	
632041	205737	Marie
632041	249704	
632041	284684	Fathia
632041	309988	Mimouna
632041	326031	
632042	88489	
632043	32480	Josna
632044	217143	Roshni Kapoor (Gaurav's siste
632045	2334	Party Singer
632045	76799	
632046	29865	
632046	248701	Sardar
632047	316579	
632048	36250	
632048	36285	
632048	164853	
632048	195860	
632048	205065	
632048	288883	Bhabani
632048	317791	
632048	325333	Kalyani
632049	37591	
632049	49124	
632050	368966	
632051	177059	Village Girl
632052	62587	Rajlakshmi
632053	18138	Yashobati
632053	200751	Yashumati
632054	393145	Herself (Reporter)
632054	393154	Reporter and occasional newsr
632055	387247	Naima Jeffrey (1985-1987) Ori
632055	393491	Minnie
632056	62315	
632056	76460	
632056	139417	
632056	246350	
632056	300225	
632056	308450	
632056	312456	
632056	317791	
632057	249287	
632058	2538	Herself - accepting Best Actr
632058	5539	Sister Lite
632058	6247	Granny
632058	35610	Herself
632058	41953	O'Malley's Neighbor
632058	64070	Stepsister Joy
632058	64573	Performer
632058	83805	Herself
632058	115547	Mrs. Packard
632058	124541	Emmeline Cavanaugh
632058	132525	Mrs. Singleman
632058	133401	Mrs. Murdock
632058	147115	
632058	164132	
632058	174672	
632058	220083	Doctor
632058	224317	Selena Johnson
632058	230620	Herself
632058	230623	
632058	235422	Doris Denver
632058	238228	Esther, the Whiner
632058	247151	Eleanor Palmer
632058	253361	
632058	270265	Nurse Tunn
632058	273896	Worried Wife
632058	297412	Miss Brinklow
632058	334212	Aunt Stephanie Crawford
632058	343065	Mrs. Kramer
632058	355813	Hattie
632058	363723	Tuskless
632058	366849	Molly the Maid
632058	368944	
632058	381814	Esmeralda (1969-1972)
632058	383413	Carter's Mother
632058	386138	Bernice Clifton (1987-1993)
632058	389325	
632058	390272	Herself
632058	393222	Herself (regular performer) (
632058	393689	
632058	393883	
632058	397181	Alice (1970-1971)
632058	399385	Bertha
632058	405676	Ida Mae Brindle (1988-1989)
632058	407794	Edwina Moffitt (1974)
632059	2252	(segment "Sidapolis")
632060	205749	Lucie
632062	55722	Une journaliste
632063	112566	Moire's Sister
632063	344683	
632063	390983	Sarah Dolan
632063	400709	Mary Flood
632064	173682	Anushik
632065	95927	Colombina/Woman from East/Cor
632065	145518	
632066	13890	Stella
632066	86982	Piper
632066	191937	Courtney
632067	302961	
632068	332607	
632069	73514	
632070	17	
632070	41640	
632070	75028	
632070	117362	Dancer
632070	160427	
632070	297339	
632070	302837	
632070	302881	
632070	321162	Gia
632070	370096	
632071	50879	Isabelle
632073	83377	
632074	15092	Suzy
632074	281271	Sophie
632074	333845	Adèle Bouilloux
632075	280740	Interviewing Reporter
632076	399657	Herself (1992-1994)
632077	254954	
632078	10046	Olimpia
632078	12912	Fabrizio's mother
632078	27676	
632078	63865	Elsa
632078	69985	
632078	90163	Eda
632078	245801	Professoressa Maresca
632078	278956	Fosca
632078	301342	
632078	326383	Signora Badaloni
632078	353088	Boarder at brothel
632078	356578	Rosa
632078	392748	Cora
632078	408842	Adua
632079	242607	Maria
632080	35302	
632080	67504	Monique
632080	349481	Claire
632081	149650	Maria
632082	384808	Jenny
632083	284442	Oboist
632084	17611	
632084	157854	Maria Tognetti
632084	158760	La signora Roy
632084	160979	Abbess Flavia Orsini
632084	175638	The Witch
632084	289988	
632084	294633	
632084	312857	
632084	313180	Cleofe, moglie di Orimbelli
632084	378972	Dr. Madaleine Danway
632084	386744	Rosalind Kollermann
632084	402302	Donna Prassede
632085	17522	Mary-Lou
632085	24665	Marie-Lou
632086	155196	
632086	341882	
632087	250506	
632088	9676	
632089	338715	
632091	309258	
632092	139902	Celita
632093	404078	
632094	190994	Waitress
632094	215500	Miss canada
632094	295916	Young Pursey
632094	365960	Young actress
632094	399350	Herself (eliminated round 4)
632095	194765	Betty Jackson Monroe
632096	287014	
632097	355980	Fiona Petrova
632098	296433	Carmen Berenger
632100	270840	
632101	345270	
632101	383117	Mme Germain
632102	217476	Young Woman
632103	113709	Simona
632104	24960	Waitress Carla
632104	30967	Female Victim
632104	91083	
632104	154869	Airplane passenger
632104	231836	Abbey
632104	247974	
632104	302789	Receptionist
632105	233875	Dance student
632106	247510	The Blonde
632107	411802	Rianna Miner #1 (1999-2000)
632108	25098	
632108	247510	Mara
632108	331240	Gloria
632109	22735	Tessa
632109	64424	Carole
632109	140530	Lidia Sciama
632109	226868	Masseuse
632109	245513	Kim Andrews
632109	380625	
632110	29162	Medizinstudentin Petra
632110	156704	Antonia
632110	173701	Zazi
632110	189555	Maria
632110	196150	Isabel
632110	228158	Vera
632110	290215	Eva
632110	307555	Patricia Canzan
632110	325856	Petra Klein
632111	381694	
632112	386743	Una giornalista
632112	396966	
632113	28375	
632114	275699	
632115	121029	Emma
632115	189433	
632115	214888	Minna
632116	1142	Wife
632117	75422	Sara
632117	93694	Chelsea
632118	14219	Dream Vampire Girl #1
632118	139606	Bianca
632118	145173	Sarah
632118	161172	Jennifer
632118	316982	Jess
632118	323228	Pauline
632118	351178	Jess
632118	366652	Dream Girl
632118	381807	Madame Veronica Winston (1996
632118	411802	Alice Johnson #1 (1997)
632119	358267	Connie
632120	128004	Giovanna (the protagonist)
632121	13099	Pia Angela Santoro
632121	42601	Monna Lisa
632121	77269	Elisabeth Hoffmann
632121	122039	
632121	125955	
632121	148781	
632121	204608	Lilly Antonelli
632121	212124	
632121	214008	
632121	268997	
632121	268998	
632121	281117	
632121	291685	Lisa
632121	377595	
632122	202607	La punkette
632123	403289	
632124	291273	Hanna
632125	336463	Dancer
632126	80704	Secretary
632126	116515	Harem girl #2
632126	266622	Gina
632127	96968	
632128	80301	
632129	404018	Lucia Bragio
632130	34828	
632130	37503	
632130	50154	
632130	147873	
632130	327782	
632130	374487	
632131	148758	L'Aubergine
632133	82413	Ambra
632134	56085	Marton
632135	194247	Public Access Keyboard
632136	90652	
632137	131166	
632138	109992	Women on Bus
632138	169545	Gate Agent #2
632139	96958	Birthday Girl
632140	389224	
632141	330446	Miranda Heartache Maker
632142	115835	
632143	67104	Samantha
632143	243266	
632143	386812	Elisa Giusti
632144	144171	Sara
632144	380057	
632145	86727	Domestique chez Rambert 2
632145	108901	
632145	123983	Laurence
632145	166357	Simone
632145	357827	Monique
632145	400803	Angèle
632146	90068	
632146	243303	Un' allieva
632146	353066	
632148	359173	Zlatka
632149	96075	Orietta, la barmaid
632149	144165	
632149	202532	
632150	63890	
632152	53017	Evren
632153	77228	Ginevra
632153	94718	Shop assistant
632153	111419	Ballerina
632153	344436	Elsa, woman doctor
632154	140267	
632154	301094	
632155	384775	
632156	5264	
632156	121476	
632157	246397	
632158	178123	Greek Sister
632159	51849	
632159	211305	Portia
632160	377590	La portinaia
632161	140132	Mrs. Beane
632161	154988	Italian Woman
632161	366908	Pat Menetti
632162	115833	
632163	69993	
632164	51445	
632164	309350	
632165	176506	Specialist
632166	378738	Ariela
632166	380126	
632166	386170	Renata Méndez
632166	401096	Magdalena Epifanía Solís
632166	402463	
632167	133307	Rosina
632167	229743	Elena Webster
632167	269190	
632168	169991	Child in class
632168	246272	Child
632169	130201	Police Press Reporter
632170	301398	Kathy Coyne
632171	246272	Child
632171	359063	Child sitting on the wall
632172	14386	La Portiera
632172	14834	Commessa gioielleria
632173	46270	Casting Director at Precinct
632173	57489	Diner
632174	309941	
632175	71167	
632175	81419	
632175	85609	
632176	367208	Nightclub Girl
632177	207016	Tasoula
632177	247085	Eleni
632177	282723	Eva
632177	379233	
632177	383215	
632177	395090	
632178	381256	Herself ( Evicted 4th, 30 Day
632179	114584	Athena
632180	171596	
632180	207874	La mère du patron
632180	238082	
632180	345539	Angelica
632180	346332	Mrs. Bellini
632180	354652	Grain
632181	14948	
632181	21120	
632181	36460	Mrs. Brighenti
632181	71265	
632181	243362	Elettra (episode "Coefore")
632181	259708	Anna
632181	265310	
632181	348733	
632181	352252	
632181	380992	Elisa
632181	383814	Susan Bates
632181	389152	Amanda
632181	396157	Adele
632181	399160	Matilde
632182	171596	
632182	354652	Grain
632183	20793	Helene Marigny
632183	71294	
632183	91409	
632183	150733	Jacqueline
632183	163691	
632183	212478	
632184	351542	
632184	379627	Frau Lopez
632184	379754	(episode "L'ascensor")
632184	396532	Baron Ashura (female version)
632185	206967	Suor Maria
632186	177871	
632187	9496	
632188	115833	
632188	383907	
632188	408316	Claudinéia
632189	103440	
632190	87559	Gypsy
632190	231089	Angela Shaw
632190	286118	Angela
632190	297242	Prudish woman
632190	311153	Viva
632191	35116	
632192	231997	Walkyrie
632192	403328	Giroflée
632193	264242	
632194	16867	
632194	17205	
632194	26694	
632194	39022	Amelia
632194	48219	Shatzee
632194	90743	
632194	113444	
632194	113559	Segretaria di Bernardo
632194	252675	
632194	313174	
632194	344593	Arianna Frescobaldi
632194	380055	Ludovica
632194	406539	
632195	94652	Rita
632195	327911	Rosy
632196	327496	
632197	14729	Lora Berg
632197	60048	Consuelo
632197	146714	
632197	168378	
632197	239922	Eugénie Benário
632197	286415	
632197	344885	
632197	380196	Janete
632197	383293	Cris
632197	383550	Caetana
632197	384480	Nazira
632197	386122	Lucinda
632197	387640	Maria Aparecida
632197	388065	Lola
632197	388565	Isaura
632197	391313	Joana
632197	391580	Bertha
632197	392747	Eleutéria
632197	392792	Santa Maria de Souza Pedreira
632197	393006	Estela Barros
632197	396506	Countess of Gouvarinho
632197	397553	
632197	399490	Lídia
632197	403171	Yolanda (Dona Patroa)
632197	408592	Wandona
632197	409419	Tarsila do Amaral
632197	409424	Débora
632197	410099	Hilda
632198	61354	
632198	84065	
632199	318738	Woman at Hotel
632200	324448	Dancer: La cumparsita -2
632201	7188	Social Worker
632202	202576	1a Sorella Renato
632203	383448	Sonia Martini
632204	292970	Patrizia
632207	80776	Alya
632207	392988	Sarit (seasons 3-4)
632207	394337	
632207	405109	Eti
632208	262234	
632209	35875	
632209	229851	
632209	246344	Mother Ivanov
632209	256895	Mother Mikhailova
632209	292986	General's wife
632209	374981	Zhukovsky's Mother
632210	43925	Lemuel's Wife
632211	89572	Woman at Airport
632212	216639	Ms. November - Golf
632213	69380	La mère
632214	32003	Valérie enfant
632215	383078	Nat (1997-)
632216	80966	Waitress
632216	379706	Deirdre Buchanan née McEwan (
632217	126040	Courtney
632217	169172	Cameo
632217	381514	Herself (2002)
632218	271364	
632219	66991	Jill Dempsey
632219	81312	Amanda Beckett
632219	85629	Amanda Bentley
632219	93761	
632219	96775	Laura Rykker
632219	109723	Alexandra O'Hara
632219	121528	Pregnant Woman
632219	136510	Rose Louise (adult)/Gypsy Ros
632219	141040	Herself
632219	144957	Annie
632219	147516	Jodie Ennis
632219	151110	Amanda Bentley
632219	164516	Chris Moscari
632219	174012	Karen Carpenter
632219	190269	Narrator
632219	196339	Emily Vale
632219	202501	Jo Barlow
632219	206840	Mary Maloney
632219	216905	Cece
632219	286350	Cathy Moore (Catholic lay wor
632219	299839	Sandy Banatoni
632219	302312	Billie Simms
632219	313583	Young Girl Fan
632219	330759	Nicole Van Dyke
632219	342623	Amanda Bentley
632219	356477	Kelly Adams
632219	358985	Jill Dempsey
632219	363218	Ellen Reese
632219	367651	Emily
632219	372804	Jessie Chadwick
632219	385907	Lauren Ashborne
632219	386254	Dr. Amanda Bentley (Pilot)
632219	396386	Meg Buckner
632219	404613	Susan 'Suzi' Martin Wyatt Car
632220	381512	Herself
632221	56996	Rumpleteazer
632222	386581	Madge Gilmore
632222	409241	Mary Fraser-Raeburn
632223	381231	Herself
632224	84394	Julie
632224	92618	Dr. T's Patient
632224	142418	Co-worker
632224	231876	Woman at Party
632224	270928	Lana
632224	295473	Alice Rowlands
632225	333829	
632226	308928	Cathy McAllister
632227	129953	Turner
632228	11006	Helen McGill
632228	46297	Waitress
632228	99860	Cathy
632228	131233	Angela Flemming
632228	134595	Dr. Bilson
632228	154357	Della
632228	362414	Bev Wilson
632228	364502	Joanne Lee Morrison
632228	365311	Sara
632228	402197	Samantha 'Sam' Greenway (1984
632228	403244	Meredith Price
632228	405369	Golden #1
632228	411809	Angela Parry (1978)
632229	335207	Lara Croft
632229	335208	Lara Croft
632230	33853	Dr. Karin Kramer
632230	182920	
632230	325406	Katharina Delitz
632230	325532	
632230	406318	Edda Bernstein
632231	107504	A Fairy
632232	403570	Herself
632233	379716	Sybil Thorne, R. N. (1979-198
632233	389867	Jessica Gardner #2 (1989-1991
632233	404282	Gina Blake Demott Capwell Tim
632233	404613	Jenny Deacon (1982-1983)
632234	254414	Background Player
632235	337206	Child at the World Choir
632236	195071	Child
632236	294919	Gretchen
632237	56698	Hedda
632237	58724	Victoria the Barmaid
632237	113550	Clubwoman
632237	151049	The Fat Woman
632237	162437	Baby Peggy Marvel
632237	196352	Joyboy's mother
632237	223867	Fat Woman at Pub
632237	286466	Big Annie
632237	372524	Justice of Peace's Wife
632238	260959	Portishead
632238	334208	
632238	368287	Herself
632239	5028	Alex
632239	18543	Miss Frostbite
632240	94028	Customer #1
632241	335285	Little Girl at Carnival
632242	47945	Newscaster #1
632243	21509	Louisa
632244	257683	Herself
632245	40533	Herself
632245	53703	Host
632245	140843	Herself
632245	185053	Cameo Appearance
632245	203329	The Reporter
632245	208470	E.T. Reporter
632245	257689	Herself
632245	279841	Jesse Perkins
632245	279843	Jess Perkins
632245	306625	Herself
632245	328799	Herself
632245	388088	Herself - Anchor (2000-)
632245	393619	Host
632245	395337	Host
632245	398213	Herself
632245	404721	Herself
632245	406952	Herself (1/1997)
632245	407691	Host
632245	410887	Host/Herself
632246	38975	Herself (sister of Dili Massa
632247	48948	Passerby/Driving Double
632248	327298	Girl in classroom
632249	254414	Background Player
632250	366875	Girl on beach
632251	266671	Jazz ballet teacher
632251	399816	Grace 'Prim' Primrose (1975-1
632251	400388	
632252	43227	
632252	202935	
632252	203538	
632252	286799	Sister of Zorah
632252	291859	
632253	42388	Jolly Cone Waitress
632254	36640	Sor Agueda
632254	387965	Rosalía
632254	404310	Sara Colonia
632255	112227	Athlete
632256	248480	Women in Motel Office
632257	251726	
632257	391866	Sofi
632258	308147	Page Porter
632259	41844	Maria
632259	65559	Annie
632259	87348	Black Woman
632259	141097	
632259	226891	Vonna
632259	236696	Waitress in bar
632259	249595	Beth
632259	334761	Francine
632259	372663	Michelle
632259	404602	Debbie Love
632260	94115	Dorothy
632261	180797	Sioux
632262	80952	Young Luddy
632262	189911	Day Nurse
632262	264784	Judy
632263	171234	Nurse
632264	24417	Chrissie
632264	402197	Mo Maguire (1984)
632265	49329	
632266	360242	Tom Boy
632267	215686	Miss Turks & Caicos
632268	168292	Saleswoman at Hammacher Schle
632268	227024	Misty Blue/Joanne
632268	379716	District Attorney Galen Hende
632269	99287	Lady in Waiting
632270	179017	Tanya 'Terminator' Tessaro
632271	260104	
632272	227470	Christianna
632273	406861	
632274	48217	Student #1
632275	16760	Monica Alt as a child
632275	54640	Janet Mitchell
632275	233929	Irene
632275	277977	
632276	222784	Old Lady #2
632277	77216	Elderly lady
632277	267486	Magistrate
632278	80672	Herself
632278	170890	Christine
632279	144922	Cheerleader #1
632280	65660	Ethel Crosby
632280	211160	Perda Brentane
632280	375646	Lady Maulfrey Le Fay
632281	231331	Herself (Love Canal activist)
632282	290307	Carol Kennedy
632283	120328	
632284	1480	Herself - Presenter
632284	1781	Herself - Presenter
632284	2630	Herself/presenter
632284	14988	Herself
632284	39279	Bartender
632284	44301	Dela
632284	47993	Mary West
632284	64558	Performer
632284	67988	Herself
632284	116750	Odetta
632284	160476	Herself
632284	185102	
632284	190890	Maize Covington
632284	194687	Enid
632284	211180	Marty Hallard
632284	212027	Mrs. Reed, Jeff's Mother
632284	215738	Nurse #1
632284	228969	Herself
632284	313167	Eleanor Whitney
632284	321224	Beverly Solomon
632284	342234	Herself
632284	348237	Louise Bradley
632284	355431	Lois Waters
632284	372148	Rheba
632284	378703	Duchess (1996)
632284	378801	Mary Jenkins
632284	380687	Mrs. Euphrates
632284	383988	Florence Johnston
632284	390998	Old Mother Hubbard
632284	392423	Herself
632284	393417	Florence Johnston
632284	398213	Herself
632285	218415	Boo/Mary
632286	3405	Mrs. Constance Lane
632286	16076	Old Woman (London)
632286	73325	Mrs. Kravatz
632286	102500	Erik's Mum
632286	105069	Louise
632286	118722	Magistrate
632286	146862	Woman in rubble
632286	164381	Physiotherapist
632286	171297	Rosalind's Nurse
632286	172073	Concierge
632286	207093	Elizabeth Grant
632286	243934	Mrs. Williams
632286	250371	Margaret
632286	263606	Housekeeper
632286	281446	New Charlotte
632286	292788	Miss Lane
632286	319713	Grandmother Cenci
632286	334215	
632286	340583	Miss Staveley
632286	353465	Cassell's Receptionist
632286	360055	Martha Clay
632286	362980	Mrs. Cleary
632286	382279	Miss Percival 1
632286	385342	Eileen Richardson
632286	391243	Pauline
632286	392172	
632286	392899	Concierge
632286	393491	Sister Ludmila
632286	401224	Aunt Nell
632286	403235	Edy Cater
632287	317309	Dancer #9
632288	309535	Woman (Worldwire Air)
632288	334591	Mom
632289	248480	Girl in Bowling Alley
632290	361260	Auntie Di
632291	112984	Herself
632292	194525	Student
632293	238263	Betty Grayson
632294	383631	Nina Farr: Paramedic (2004-)
632295	73834	Carol
632295	160322	Dr. Jane
632295	192243	Mother
632295	220537	Mimi
632295	245717	Theresa
632295	326245	Miriam
632296	48289	Maria
632296	128459	Liz
632296	234098	Stormy Weather
632297	133617	Mavis Pink
632297	176877	Brenda
632297	183754	Betty
632297	200073	Barmaid
632297	220893	Matilda
632297	295409	Nun
632297	324231	Bianca
632297	395753	Meg March
632297	400080	Mrs. Quilp
632297	404931	Esther Woolcott
632298	31286	Smart Shopper
632299	40281	Lavinia Fury
632299	47192	Alice, as child
632299	92800	
632299	193519	Mona Farlow
632299	215642	Sue
632301	102941	
632302	245237	Comic
632303	203454	
632305	384306	Co Host (Complice)
632305	389788	Jacqueline Tovar
632305	390746	Herself/Host
632305	394006	Catalina Miranda
632305	401067	Pamela Fuentes Gómez
632305	401090	Esperanza Hernández
632305	401896	Laura
632305	410312	Herself/Host
632306	53995	
632307	29668	Sophie
632307	205741	Marie
632307	235863	Betty
632307	258114	Sarah
632307	392366	Victoria
632308	80250	
632309	62241	Pamela
632309	166153	
632309	252649	Fiamma
632310	18288	La première mamie
632312	232275	Cliff Weismeyer's Daughter
632313	166370	A student
632314	307755	
632315	11006	Isobel Thorne
632315	34722	Herself
632315	34723	Herself
632315	45299	Kay Webster
632315	73217	Jane Fletcher
632315	82655	
632315	100192	Marion SInger
632315	100889	Margaret Gifford
632315	253976	Moira
632315	278698	
632315	289264	
632315	382206	Herself - Panellist
632315	382590	Kay Webster (1974-1975)
632315	391869	Cynthia Ross (1991)
632315	405616	
632315	405960	Alison Carr (1984-1987)
632315	406891	Sister Sue Marriott
632315	411245	Marj (episode 7: On Loan)
632316	126709	Nancy Mattison
632317	64840	Gail
632318	8362	Winnie the Mackerel
632318	307928	Woman Searcher
632319	32072	
632320	230	Marjorie Glick
632320	1035	Julie
632320	14603	Sally
632320	67833	Guinea Malone
632320	79858	Margaret Warby
632320	113496	Hope Fox
632320	137560	Jane Halifax
632320	137562	Jane Halifax
632320	137563	Jane Halifax
632320	137565	Jane Halifax
632320	137566	Jane Halifax
632320	137567	Jane Halifax
632320	137568	Jane Halifax
632320	137569	Jane Halifax
632320	137570	Jane Halifax
632320	137571	Jane Halifax
632320	137572	Jane Halifax
632320	137574	Jane Halifax
632320	137575	Jane Halifax
632320	137577	Jane Halifax
632320	137578	Jane Halifax
632320	137579	Jane Halifax
632320	137580	Jane Halifax
632320	154357	Jill Harkness
632320	156030	Kirsty Finn
632320	167562	Virginia York
632320	168327	Penny McGregor
632320	173353	Heather Randall
632320	196902	Gloria Wrightman
632320	214035	Nicole
632320	220772	Secretary
632320	278476	Judith
632320	284938	Hilary Hexton, the Cat & Woma
632320	305343	Chrissy Hindmarsh
632320	379749	Tracy Lawson (1990-1992)
632320	388978	Emma Plimpton/Patterson (1986
632320	389630	
632320	390552	Bonnie
632320	405369	Boon Boon #1
632320	405744	Lilian Anderson
632320	412051	Julie Davis
632321	408347	Lisa Kozenczak
632322	16143	Alice
632322	34581	Vicky
632322	51635	Regan
632322	67607	Madge
632322	83094	Madeline Kristoff
632322	86955	Barbara
632322	105502	Beth Lider
632322	133871	Vivian
632322	292637	Judy
632322	346947	Beth French
632322	360032	Cheryl Lynn
632322	381537	Liz
632322	383374	Sylvia (1997)
632322	386254	Sgt. Tanis Archer
632322	388543	Cynthia Fearing
632322	391010	Maggie Harris (2003-2004)
632322	400236	Dr. Grace Atherton (1994)
632323	87591	Pretty Student
632324	384306	Co-Host
632325	20112	Aisha, the witch
632325	90468	Herself
632325	110467	Gabrielle
632325	196829	
632326	149796	Lukey (Hannah Hunter's maid)
632326	169431	Herself
632326	257689	Herself
632326	388656	Herself (at tennis tournament
632327	9125	Soldier's girl
632327	98156	
632327	120272	
632327	177475	Roger's girl
632327	278069	
632327	389858	Colette Francoise (1988)
632327	411802	Alana Anthony Jackson (1985)
632328	239082	Dancer
632329	360745	Young Corinne
632330	215905	Church Soloist
632331	238608	Print Shop Worker
632332	154087	Mrs. Davies
632332	231108	Rita/Mrs Ryan
632332	402197	Vivienne Williams (1980)
632333	299073	Old woman in bath
632334	399018	Contestant
632335	199976	Sonia
632335	314927	Party-girl Bit
632336	115717	Joyce Calloway
632337	229197	Emily's Mother
632338	379454	Dorm Boys (Matron) - Space Ca
632339	203358	Sorority Girl
632339	310499	News Anchor
632339	366817	Donation Student
632340	121374	Casino Patron
632341	52105	Mrs. Morton
632341	81563	Mother Pentland
632341	335616	Mrs. Boyd
632342	86925	Young Jane
632344	89665	Mrs. Malla Falkman
632344	284101	Studio manager
632344	345994	Mrs. Johansson
632344	349586	Mrs. Blomkvist
632345	312271	
632345	393824	
632346	397235	Denise
632347	2009	Herself
632347	48489	Herself
632347	57680	Herself
632347	57703	Monica
632347	81396	
632347	95773	Herself
632347	127084	Birthday Girl in Tavern on th
632347	132413	Herself
632347	155751	Herself
632347	204192	Extra
632347	212711	Herself (Liberian Girl video)
632347	223984	Melissa Stevens
632347	224430	Lisa Weinstein (bride)
632347	250990	Herself
632347	309572	Herself
632347	321237	Extra
632347	326700	
632347	326740	Herself
632347	356350	Herself - Choir Member
632347	380016	Herself (Judge)
632347	392416	Herself
632347	392422	Herself
632347	396421	Maggie Bloom
632348	141564	
632349	340109	Lesbian
632350	6851	Janet Drew
632350	32968	Mary Bradley
632350	78168	Ruth Denning
632350	116217	
632350	129778	Dining Car Woman
632350	146140	
632350	203517	Helen Richards
632350	234225	Blondie
632350	254547	Helen Moore
632350	261506	Bit Role
632350	312773	Actress
632350	330225	Helen Hunter
632350	342929	Secretary
632350	361794	
632350	363190	Waitress
632350	368973	
632350	371104	
632351	131002	
632352	66935	Beth Broadhurst
632352	203454	
632353	32226	Mona Booker
632353	46396	Leona's Party
632353	367721	Girl
632353	383044	
632354	25400	The Girl
632354	35821	Herself - Titanic survivor
632354	47832	The Girl
632354	96878	
632354	138228	Molly Pitcher
632354	163342	The Girl
632354	179245	The Wife
632354	192740	Her Memory
632354	195578	The Girl
632354	196950	The Daughter
632354	215590	Heiress
632354	223169	Prima Donna
632354	277105	
632354	289071	Miss Dorothy
632355	53099	Morag Cameron
632356	54342	Old Woman
632357	147948	
632358	51997	Sergeant
632358	64408	Gym Teacher
632358	97091	Homeless Woman
632358	149838	Narrator
632358	185724	Nun
632358	206444	Nurse
632358	207765	Sheila
632358	216445	Office Nurse
632358	264480	Board Member #1
632358	272209	Cologne
632358	305377	
632358	314688	Mrs. VanBeek
632358	363547	Dr. Ernestine 'Doc' Cunningha
632358	402863	Cologne
632359	140177	Tabitha Palmer
632359	385387	Polly
632360	26770	
632360	46984	
632360	53787	
632360	61373	The soubrette
632360	75352	A Model
632360	111939	The girl
632360	116088	A Chicken
632360	129904	
632360	140904	
632360	168844	Wifey
632360	191113	
632360	214157	
632360	253769	
632360	257854	
632360	279088	Ethlyn
632360	304622	
632360	354559	
632361	165319	
632361	183596	Girl in Blue
632361	241260	Susan Long
632361	259296	The Cook
632361	261038	Mildred
632362	50925	
632362	133966	Hag
632362	183764	Dame Passett
632362	256116	
632362	269304	Kelly's Aunt
632362	285434	Mother Dolan
632363	40161	
632363	183585	
632363	196273	
632363	231437	Kate Nickleby
632363	280949	Cora
632363	281862	Rose
632363	294178	Dolores
632363	307393	
632363	314596	
632363	329351	
632363	361722	
632364	100855	Miss Gibson
632365	29523	Barfly
632366	69162	Herself
632367	97410	Card Player #2
632368	212524	Young Mousie
632369	12246	
632369	342571	
632370	35540	Screen Test Starlet
632370	359431	Harem Girl
632371	33589	Beef Trust Girl
632371	147078	Mrs. Petrucci
632371	151545	
632371	364692	Mary Kalinsky
632371	368592	Pastry Customer
632372	210387	Girls' Group
632373	2351	Student actress
632373	31430	
632373	39574	
632373	44542	
632373	45956	
632373	46748	Villager
632373	54127	
632373	60940	
632373	60941	Townswoman
632373	62088	
632373	64924	Woman
632373	65650	
632373	72137	Wagon Train Woman
632373	73687	Mrs. Ellison
632373	75644	Calamity Jane Cannary [Chs.4,
632373	75645	
632373	75851	Mrs. Carter
632373	77913	
632373	77977	Nana Temple
632373	92121	
632373	94162	Betty
632373	95860	
632373	100867	
632373	109492	
632373	109500	Mrs. Ellison
632373	112420	Drusella Jenkins
632373	112541	Mary Lambert
632373	114923	Townswoman (chap 9)
632373	135818	Letty
632373	140686	Helen
632373	147865	Herself
632373	152576	Mrs. Dale
632373	177423	Circus Cowgirl
632373	183767	Nurse
632373	185510	Mrs. Burns
632373	186264	Mrs. Kelley
632373	190592	Townswoman
632373	194412	Maid
632373	198540	Ranch Wife
632373	203573	
632373	213138	
632373	232854	Cherie Du Bois
632373	233747	The Girl
632373	243339	Wagon train pioneer [Ch. 6]
632373	253107	
632373	257541	
632373	278116	
632373	280297	Townswoman
632373	283873	
632373	289120	
632373	292591	
632373	298509	Liza Starr
632373	301980	Dorothy Dent
632373	312826	Girl in saloon
632373	331049	Helen
632373	345993	
632373	350032	Helen, townswoman extra
632373	350485	
632373	360224	Townswoman
632373	362646	Settler's Wife
632373	367378	Billy Louise
632373	367397	
632373	368951	
632374	121870	Stella
632374	362486	Carmen
632375	341970	
632375	374401	Girl at River
632376	32046	
632377	207093	Melanie Gandell
632377	295320	Rochelle
632377	321356	
632378	290400	Helen
632379	282922	Mrs. Taylor
632380	105402	Tina
632381	408644	WPC (Front Office)
632382	362917	Magazine reporter
632383	339411	Frances Hunt
632383	348848	Miranda
632383	405209	Denise Pope (1998)
632384	166073	Peg
632385	16412	Terrapol: Minos
632385	59151	Receptionist at AD&S
632385	348451	
632386	16098	Cigarette girl
632386	20012	Ann
632386	27319	Dolly Lane
632386	31897	
632386	41018	Mimi
632386	45220	Katherine Briggs
632386	61232	Sherry Marvin
632386	69959	Rita Langdon
632386	94881	Nurse
632386	130352	Cab Driver
632386	137206	Singer
632386	144448	Girl
632386	176805	Joan (model)
632386	188341	Girl
632386	196916	
632386	262265	Employee
632386	306836	Mrs. Collins
632386	315265	Herself (in interview)
632386	315322	Mrs. Collins
632386	316666	Danielle Dubois
632386	331617	Nella
632386	380997	Lady Peddler
632386	400863	Host
632387	150303	Violet
632388	78845	Kara
632389	288912	Fran
632389	379716	Dixie Cooney Chandler Martin 
632390	100713	Model
632391	33702	Kathleen
632391	44460	Pamela Gearing
632391	73765	Sally Nichols
632391	131580	Polly
632391	142156	Doris
632391	144775	Belinda
632391	185606	Thomas' Sweetheart
632391	221140	Miss Piper
632391	278078	Grace Meadows
632392	78023	Flower Girl
632392	233832	Rona
632393	80924	Bettie French
632393	84257	Sara
632393	192778	Kata
632393	263481	Young Rita Ortega
632393	403757	Trina
632395	392867	Host (2002-)
632396	144967	Raine's Girlfriend/self
632396	188551	Raine's girlfriend Kristi Ric
632396	201861	Herself
632396	233515	Street Girl #1
632396	271269	Herself
632397	316926	Model
632399	373090	
632400	148874	Katrina
632400	202195	Skeleton Crew Dancer
632401	34116	Various characters
632401	34911	
632401	381661	Herself/Various Roles (1973-1
632402	29939	
632402	32061	
632403	135812	Lydia Williams
632404	381821	Ensemble (1980)
632405	8078	
632406	335472	
632406	337955	
632408	269694	Mrs. Ray
632409	245093	Amy
632410	26620	Receptionist
632410	56618	Evonne
632410	126103	Policewoman 2
632410	132014	Additional Characters
632410	167562	Monique
632410	196902	Library Clerk Carol
632410	350905	Natural Normans
632410	389442	Trish (1997)
632410	390598	Herself - Impro Team
632410	390648	Theresa Sullivan
632410	392121	Julie (1998)
632410	395417	Matron Dorothy Conniving-Bitc
632410	395478	Grace Jones
632410	400256	Herself/Various
632410	401461	Di Bailey
632410	405679	Herself in 'She'll Be Right' 
632410	405887	Herself
632410	406371	Herself
632410	409028	Various roles (1991)
632411	11077	
632411	193836	
632411	193840	
632412	43738	Mysie
632412	230303	Pocahontas 'Pokey' Webfoot
632413	80729	Laurie Shoat
632413	91522	Cydney
632413	193957	Katherine Bolton
632413	222739	
632413	252449	Violet Bastito
632413	255345	Jackie Davenport
632413	315257	Agnes
632413	335871	Ali
632414	103266	School Principal
632414	166986	Mrs. Carpenter
632414	176415	Florence
632414	264719	Florence
632414	326654	Mrs. Gilroy
632415	7806	Mrs. Lurie
632415	39372	Mrs. Quaife
632415	108330	
632415	108334	Sue
632415	147554	Donna
632415	202657	Aunt Margery
632415	206335	June Williamson
632415	210230	Waitress
632415	222612	Mrs. Andersen
632415	245477	Sister Carr
632415	287516	
632415	342993	
632415	365742	Script Girl
632415	404745	Marge Cicone
632416	328253	Kingsley's Daughter
632417	38006	
632417	107742	Jim's Secretary
632417	194045	Secretary
632417	297005	Daisyette
632418	254256	
632418	254257	
632418	254259	
632419	5037	Six-year-old Jeannie
632420	69357	Bleakie's Assistant
632420	95471	Bone
632420	105805	Detective Doyle
632420	174503	Executive's Wife
632420	185203	Zee
632420	302256	Hannah Wallberg
632420	332830	Cactus
632421	301940	Giant Chambermaid
632421	382830	Charlotte as a child
632421	390435	Mildred
632421	405217	Sylvia (aged 10)
632422	56119	
632423	108356	Lisa Stratton
632423	312917	Flashback Victim
632423	368719	Pam
632424	22826	Cynthia Clark
632424	44884	
632424	47980	Felici; Little Girl
632424	48540	Marjorie
632424	61843	Evelyn
632424	70777	Two-Year-Old Child
632424	71907	Lily Rowden
632424	92983	Ellen Bryant
632424	98012	Princess
632424	104334	Mary Sue Hoskins
632424	105300	Pamela (age 3)
632424	151173	Elizabeth Winters
632424	154882	Jodie Bradford
632424	154898	Irene, at age 3
632424	155829	Marion
632424	186480	Terry
632424	218394	Sandy MacKenzie
632424	224233	Judy
632424	233562	Sandra Kreitzer
632424	239416	Louise Brighton
632424	241428	Lucky
632424	273622	Lisbeth Anstadt
632424	275407	Elizabeth Pennypacker
632424	304953	Mary Ellen Clopp
632424	316110	Libby Carmichael
632424	321390	
632424	327685	Egyptian Girl
632424	330018	Katy Donahue, age 4
632424	331354	Eve (younger)
632424	336032	Susie
632424	366182	Lila Wead
632425	63098	Emily
632425	109395	Jessalyn
632425	185180	Anna
632425	363492	Art Woman's Friend
632427	195771	Person at the Paris Opening
632428	217745	Dancer
632429	242712	
632430	302121	Melody
632431	126710	Paula
632431	274517	
632432	32941	Silverman's assistant
632432	54953	Townsperson
632432	72322	Stephen's Assistant
632432	83825	Mrs. Joyce
632432	138109	Brooker
632432	142402	Tanya
632432	176833	Beverly O'Hara
632432	190098	Liberty Windsor
632432	204890	Female Lawyer
632432	232479	Wedding Guest
632432	289372	Female cop
632432	366348	Flora
632432	405133	Grace
632432	408308	Elizabeth
632433	296917	Baby
632434	71314	Annie
632434	92770	Teiris
632434	197488	Luna/Althena
632434	197489	Luna
632434	200184	Emerald
632435	366132	
632436	12612	Candy
632438	165448	Jane Eyre as a Child
632438	291488	
632439	115421	
632440	173467	Victim 2
632440	324657	
632441	47915	Student
632442	351578	Dolores
632443	301660	Flashback girl #2
632444	87578	Linda
632446	30157	Sheila
632447	310171	Bio-Mechanical Warrior
632448	157978	Turtle Choir Member
632449	267530	
632450	57747	Visitor
632451	236762	Stage Manager
632453	168627	T.C.'s Daughter
632454	51989	Prison Inmate
632455	208630	
632456	5018	Betty Long
632456	23148	Niobe Mulvain
632456	121819	Babs
632456	131774	Mary Nell Dodge
632456	154293	Anne James
632456	241111	Mary
632456	246749	June
632456	295282	Liza
632456	298078	Angela Korinna
632456	306649	Herself
632456	313695	Cameo appearance
632456	315341	Mary Marko
632456	326368	Mabel Wiley
632456	329560	
632456	386456	Herself (host) (1962-1970)
632456	393649	Regular
632456	405758	Kim Tracey (1955)
632456	411843	Herself (vocalist; 1957-1958)
632457	17045	
632457	58803	
632457	58832	
632457	82759	Alice Mortimer
632457	120947	
632457	128661	Miss Ilona
632457	134968	
632457	153917	
632457	164820	
632457	183254	
632457	216987	
632457	243663	
632457	254377	
632457	328009	Lucy Ashton/Maritana/Zerlina 
632457	335018	
632457	348113	
632457	365669	
632457	375084	
632458	364300	Herself
632459	6552	Gloria Gunn
632459	8291	Agnes 'Aggie' Appleby
632459	51872	Annie
632459	54482	Mrs. Jeddock
632459	61753	Emma 'Em' Gray
632459	64922	Agnes
632459	67807	Mae
632459	73215	Frieda Brandt
632459	73726	Lynn Ashton
632459	73909	Gail Dunbar
632459	84900	Silver
632459	91589	Fay Saunders
632459	99841	Mabel Weenie
632459	107699	Geraldine H. Lipton
632459	107758	Lottie Quinlan
632459	115637	Bertha
632459	117759	Frances Wingate
632459	123341	Maizie Fuller
632459	123680	Zella Cameron
632459	123850	Orchid
632459	143020	Margot Brienne
632459	154238	Judy Blair
632459	155837	Violet Smith
632459	170617	Lucille Sears
632459	176236	Myrtle Sylvester
632459	183405	Susie Thompson
632459	183537	Puff Rogers
632459	203326	Irene Hoffa
632459	203766	Blossom Donovan
632459	212746	Grace Mintum
632459	214977	
632459	224325	Claire Morelli
632459	224665	Eve Stanley
632459	231760	Iris Dawn
632459	235595	Sabel Jackson
632459	270507	Babe DeVoe
632459	279425	Mrs. It-Ritch
632459	301261	Extra at Orgy
632459	304766	Lena Karelson
632459	305042	Herself
632459	316043	Clara Deane
632459	321820	
632459	338289	Alice Segar, posing as Mrs. D
632459	342946	Phyllis Adrian
632460	355897	Vivian
632461	388553	
632462	395201	Herself (2003)
632463	189254	Lady Loddon (1939 version)
632463	270148	
632463	290330	Joan
632463	298453	Bessie Legros
632463	312285	
632463	331348	Josephine (3: Des Deux Choses
632464	333426	
632465	43432	Del Veccio Bride
632466	137930	Doctor
632466	381872	Edwina
632467	100209	Blonde Woman
632467	220821	Tammy Thompson
632468	121374	Office Worker
632469	366764	Clara
632470	105256	
632471	191630	Jet Ski Girl
632472	130666	Taimi
632472	236328	KAOS Guard
632472	242774	Lt. Claire Reid
632472	304932	
632472	314504	Diana
632472	315783	
632472	382208	Lovely Carson
632472	400352	Lt. Claire Reid (1977-1978)
632472	411802	Jill Foster Abbott #2 (1980)
632473	86463	Receptionist
632473	203972	Victoria
632473	310992	Nurse
632473	401920	Leone
632473	402970	Various Roles
632473	408342	Sister Hope
632474	9088	Mrs. Goosen
632474	96994	Molly Wolf
632474	164996	P.E. Coach
632474	246032	Ms. Grimes
632474	317916	Woman at Vending Machine
632474	338922	Mrs. Stevens
632474	404613	Liza Walton Kaslo Sentell Ken
632474	404697	Danielle Atron
632475	128868	
632475	213049	Herself
632475	261432	
632475	294296	
632475	362597	Other Special Extra
632476	100309	Lorena
632477	82585	Beatríz
632478	4822	Amy Harding/Alex Langdon
632478	16748	Det. Dorothy Paretsky
632478	41693	Deanie Fortenot Serulla
632478	41828	Dakota
632478	43378	Melinda Clark
632478	52094	Becky
632478	60746	Cherry 2000
632478	73061	Jennifer Pierce
632478	87924	Sandy Ramirez
632478	94616	Elyse
632478	119596	Katy Mazur
632478	129576	Diane
632478	131762	Hilly
632478	145102	Clara
632478	165422	Pepper Gianini
632478	178009	Beta Carotene
632478	184582	Linda Fincher
632478	185470	Haley
632478	189240	Linda
632478	189807	Jane Kessler
632478	191760	Kelly Hannon
632478	192346	Dottie Thompson
632478	195761	Eloise
632478	197809	Alyssa
632478	208743	Bertha
632478	248108	Samantha
632478	253228	Kim
632478	268035	Susan
632478	284526	Janet Streeter
632478	291215	Herself
632478	331214	Chrissy
632478	338854	Dolly
632478	340742	Beck
632478	342552	Teresa Banks
632478	380243	Detective Dorothy Paretsky
632478	402099	Brigitte (1997-2000)
632478	405571	Barbara Goldman
632478	406666	Audrey Westin
632479	197471	
632480	323671	Sören's Mother
632481	99958	Emma
632482	77017	Crying Girl
632483	2919	Herself
632484	247606	Mme Capoulade
632484	340116	Cashier
632485	401891	Herself - Scene 23
632486	83126	
632486	201962	
632486	213674	
632486	320340	
632486	349376	
632486	371908	Bank Teller
632486	375455	Liora
632487	125280	
632488	376399	
632489	4845	Abhay/Vijay's Step-mother
632489	77663	Pallavi
632489	82137	Jaya
632489	96728	Bunty Sethna
632489	156557	Mme Gibson
632489	174264	
632489	175891	
632489	228895	Ishita's mom
632489	366604	
632489	379497	
632489	407130	Svetlana Bannerjee
632491	692	Herself
632491	17759	Herself
632491	27261	Herself/Narrator
632491	154368	Herself
632491	185620	Ross & Flic
632491	190280	Girl at birthday party
632491	192554	Co-Host
632491	230366	Various Roles
632491	232018	Herself (Mockstars contestant
632491	383624	Host
632491	383733	Herself (Series 2) (2002)
632491	383745	Narrator
632491	388830	Various roles (1995-1996)
632491	395205	Presenter
632491	395611	Presenter
632491	395746	
632491	403320	Lisa
632491	403325	Presenter (2003)
632491	409643	Guest Host
632492	3119	Ellwein
632492	113663	Lara
632492	134848	
632492	144154	Emile
632492	155358	Scarlett
632492	225210	Laura Tiber
632492	231487	Bettina Samur
632492	253484	Ellen Traven
632492	256991	Diane
632492	259668	Mary Mitterer-Sanchez
632492	266122	Annelise/Clarisa
632492	275610	Fulvia Rinelli
632492	293706	Hellen Mars
632492	301036	
632492	314570	
632492	376289	Henriette Wilfert
632492	392855	Claudia
632492	395001	Olga
632492	412113	Carola von Thamm
632493	667	Ida Herz
632493	17544	Marietta
632493	39721	The old woman
632493	96479	Herself
632493	118898	Mrs. V.
632493	126429	
632493	136929	Frau Képes
632493	144136	Frau im Abteil
632493	177192	Elfriede Bergmann
632493	183277	Bella Horn
632493	188719	Frau Wittels
632493	189746	Frau Mayer
632493	206090	Sister Seraphine
632493	210142	
632493	211117	Boschka
632493	216534	Marie
632493	223476	
632493	225142	Headmistress
632493	226254	
632493	253944	
632493	253974	Antonida
632493	254934	Frl. Dr. Mathilde von Zahnd
632493	280797	
632493	283474	
632493	322520	Martha
632493	330065	Herself
632493	350851	Frau Nickel
632493	352307	Ausruferin amPhotostand
632493	376386	
632493	376577	Witwe Mutter Lindner
632493	398863	Oma Anna Häusler
632494	75207	Dancers
632495	134637	
632496	36105	Shakti
632497	412200	Ingrid Keller
632498	37245	Herself - Media escort
632499	161526	Yasuko Namba
632499	185690	Illiterate Librarian
632499	210837	Celia
632499	321962	Multiple
632499	400236	Aida York (1985)
632500	153614	
632501	199403	Mother
632501	273083	Housekeeper
632502	196484	Marie
632502	333350	Elvire's guardian
632503	352379	Hertha Scheumel
632504	403805	Judge (1999)
632505	175016	
632506	77479	Helen
632507	5086	
632508	24420	
632509	238833	
632510	72633	Mother of Craven Marsh
632511	302643	
632512	237256	Lotta
632513	398829	Herself/Host (1996-1998)
632514	17683	Herself
632515	315034	Sonja Hellström
632516	83701	Pige
632516	182602	Den lesbiske pige
632516	322680	TV-interviewer
632517	130930	
632518	97883	Telephone operator
632519	188762	Tochter
632520	289372	Featured Extra
632521	261229	
632522	30756	
632523	173226	Krankenschwester
632524	24082	
632525	269742	Mère supermarché
632525	343540	
632526	308754	
632527	16528	
632528	75966	Tereska
632529	183868	Lawyer
632530	115323	Edna Claire
632531	196350	Rita Burns
632531	350077	Leslie
632532	169614	Voice Actor
632533	59171	
632533	66009	
632533	115845	Mrs. Stella Lovejoy
632533	149449	
632533	244436	
632533	289188	
632533	350920	
632534	118865	Sunny
632535	292594	Model
632536	13886	Abby Taylor, Dan's Sister
632536	20549	Anne Parkson
632536	35725	Charlotte
632536	44307	Helen Forbes
632536	47132	Bit
632536	74182	Helen Domerau, Nurse Aide
632536	140408	Salesgirl
632536	142873	Hilary Dane
632536	147426	Mary Mulvaney
632536	170753	Nyoka Meredith
632536	192065	Jean Tukker
632536	192743	
632536	195190	Salesgirl
632536	197943	Laura Dene
632536	206355	Sissy Mortimer
632536	211395	Brenda Gordon
632536	221130	Hopper girl
632536	224003	Grace
632536	230622	Herself - a Showgirl
632536	232224	
632536	247884	Panther Girl (some scenes)
632536	275367	Doris (Studio Artist)
632536	275405	Miss Halsey
632536	278080	Margaret Higgins
632536	298034	Dr. Ann Wotters
632536	304268	Jo McWethy
632536	304278	Stewardess
632536	312773	Actress
632536	313377	Finale
632536	325145	Zandra
632536	331763	Maude Bancroft
632536	335248	Ruth Grant
632536	361681	Daphne
632536	367447	Secretary
632537	2597	Hooker
632537	5836	Prison Visitor
632537	37472	Wanda
632537	52361	Visitors from Chicago - Lola 
632537	76217	Miss Floyd
632537	81168	Jean
632537	84205	Nurse Betty
632537	89948	Herself
632537	90343	Darlene
632537	130311	Francine
632537	131539	Bobby's Wife
632537	137674	Head Nurse Mrs. Alves
632537	144553	Mona Taylor
632537	185474	Ms. Revson
632537	186635	Angelina
632537	244457	Miss Chambers
632537	298121	Ellen Madison
632537	311348	Mrs. Neita
632537	329975	Martha
632537	330794	Airport Security Officer
632537	331471	
632537	331541	Operator
632537	353314	Marcie
632538	345873	Van huys
632539	42982	Tim's Mom
632540	2010	Host
632540	2788	Herself
632540	70932	Herself
632540	94621	Kathie Lee
632540	114298	Herself
632540	143543	Echidna
632540	185847	Herself
632540	216804	Deirdre Adams
632540	219937	Jill
632540	223134	Herself
632540	274922	Herself
632540	274923	Herself
632540	311228	Amanda Berkeley
632540	391280	Kathie Honey (1978-1979)
632540	395788	Herself (1989-2000)
632540	398953	Herself
632540	398955	Herself
632540	406907	Cameo (segment "First Impress
632541	243262	Mauricette
632542	263609	
632543	292294	Woman in bar
632544	210432	Majorette
632545	402752	Jack's Girlfriend
632545	411564	Herself (host)
632546	183868	Social worker
632546	405088	Prisoner
632547	46807	Louise
632547	58875	Althea
632547	139679	Christine Roberts
632547	189235	Dr. Susan Calvin
632547	203185	Maggie Jones
632547	209525	Receptionist
632547	239449	Delegate
632547	273834	Woman at Party
632547	333249	Polly
632547	385930	Anne Kernon
632547	388320	Marjorie Barnes
632547	396073	Mrs. Sanderson
632547	397182	
632547	399534	Alice
632547	399599	Jane Sinclair
632547	404850	Madame Dambreuse
632547	407977	Prosecutor
632548	311664	Patrice
632549	16627	Patricia Allen
632549	42721	Charlotte Sanders
632549	46431	
632549	72476	Nurse Janice Eisen
632549	105321	Mrs. Ross
632549	123460	
632549	124358	Cilla
632549	206486	NASA Oversight Officer Gennif
632549	233564	
632549	240410	Muriel
632549	250546	Woman in Oak Room Bar
632549	292499	Chloe
632549	315256	Arlene
632549	317346	Sharon
632549	331907	Nefertiti
632549	351771	
632549	368835	Debbie
632549	392928	Bobbe Marsh
632550	6320	Louisa
632550	238866	
632550	266027	
632550	329671	
632550	337036	
632551	306051	Kiev String Quartet
632552	24312	
632553	34656	Wedding Chapel Owner
632554	54984	Foot Ghoul
632555	40252	Moira
632555	90452	Girl
632555	139451	
632555	209735	Weesmeisje
632555	236350	Gigi
632555	379376	Herself
632556	129019	Granddaughter
632557	294412	
632558	404960	
632559	67496	
632559	354910	Alda
632560	90318	
632561	4693	Felicia Dare
632561	53931	
632561	109623	
632561	266599	The newscaster
632561	277086	
632561	309230	
632561	309231	
632561	351185	Marcy
632561	375699	
632562	3027	Herself - Best Picture Winner
632563	40244	Signora Botega
632563	69251	
632563	234988	Sérgio's mother
632563	252754	
632563	375497	
632563	380097	Dona Tosca
632563	382690	Dalva
632563	383441	
632563	384303	Mariana
632563	387424	Vilma
632563	387799	Escolástica
632563	391609	Odete
632563	401010	
632563	409418	Olívia Krauss
632564	377902	Tupamaro militant
632565	129916	Maryse
632566	69370	Françoise Lamontagne
632566	193433	Magalie, gérante du bar
632566	231149	Sylvie (femme de Monsieur Paq
632566	237392	Patricia
632568	44998	Caroline
632568	45000	
632569	262925	
632570	350833	
632571	73973	
632572	15862	Irma
632573	66047	Assistant
632574	83212	Sans-Abris
632575	378731	Solange
632576	130232	Wil de Smet
632576	156139	
632576	190386	Mistress
632576	218281	Corien, een dienstmeisje
632576	223735	Mrs. Koopmans
632576	226068	
632576	249587	Inge
632576	359816	
632576	388949	Isabella
632576	390242	Wil de Smet
632577	400876	Wendy
632577	410622	Sandy (1996-1997)
632577	411311	Elke Moelants-Bran (1998-)
632578	386265	Fuzzi
632578	410622	Dhow (1996-1997)
632579	90839	
632580	125046	Margaretha
632581	104140	
632581	193060	
632581	197449	
632581	378423	
632583	183526	
632583	231696	
632584	143757	
632585	382946	Inés
632586	52619	
632586	61350	
632586	82224	
632586	90526	
632586	121223	
632586	134429	
632586	145267	
632586	197457	
632586	208846	
632586	221748	
632586	307837	
632586	310031	
632586	310071	
632586	314362	
632586	343741	
632586	349457	Laura
632586	351833	
632586	376865	
632587	169784	Child
632588	6388	Gigi
632589	390735	
632589	396392	Helena
632589	397257	Pureza
632589	404070	Beatriz
632589	410082	Nadime
632590	371290	Cantaora romería
632591	252050	Herself
632592	32707	Blanca's Teenage Daughter
632593	4525	Herself
632593	14570	Sara
632593	18442	María
632593	23304	India
632593	29825	
632593	31783	Carmen
632593	33560	Violeta
632593	52842	Maria
632593	54324	Marina
632593	67635	The Girl
632593	68792	Muriel Basora
632593	90111	Charlotte
632593	99794	Anita/Chen
632593	118155	Herself
632593	148024	
632593	163980	Herself - Presenter: Best Lea
632593	167103	Andréa Dionakis
632593	170054	
632593	183466	Alejandra
632593	189301	María
632593	193483	Ana (adolescent)
632593	197338	
632593	198204	Isabel
632593	201993	Ángela
632593	202296	Malena
632593	225370	Ana
632593	236406	Alicia
632593	237851	Amanda Castro
632593	238588	Carmen
632593	248899	Madeleine
632593	252519	María
632593	277295	Nuria Casteres
632593	293374	Elena
632593	307303	Lola
632593	317841	Icaria
632593	323961	Beatriz
632593	334656	La sucia (The dirty)
632593	336265	Chica grúa
632593	338201	La China
632593	353017	Herself - Presenter: Best Edi
632593	354265	Herself - Winner: Best Lead A
632593	354272	Herself - Presenter: Best Dir
632593	354995	Lola
632593	369754	Herself - Presenter: Best Dir
632593	369870	Herself - Nominee: Best Actre
632593	369994	Herself - Presenter: Best Scr
632593	369999	Herself - Nominee: Best Lead 
632593	380639	Elna
632593	387869	
632594	377017	
632595	86354	
632596	6045	
632596	9786	
632596	43664	
632596	51782	
632596	77257	
632596	80329	
632596	83137	
632596	103498	Alicia
632596	124512	
632596	131116	
632596	183500	
632596	196759	
632596	206280	Maria Cristina
632596	212244	
632596	212403	
632596	221723	
632596	236433	
632596	249874	
632596	269962	
632596	275946	Elena
632596	284889	
632596	286419	
632596	296499	Luisa
632596	301186	
632596	306705	
632596	307798	Rosario
632596	322855	
632596	332613	
632596	332642	
632596	332945	
632596	344654	Estela Soler
632596	351490	
632596	380265	
632596	381030	Ursula
632596	383787	
632596	386595	
632596	392799	
632596	392960	Sagrario Vargas (2)
632596	396811	
632596	397305	Paz
632596	397579	María
632596	398469	Mariana
632596	399532	
632596	400953	
632596	401134	Rosa
632596	401690	Mary
632596	401700	
632596	402052	
632596	402249	
632596	403741	Amalia
632596	404828	
632596	405398	Dulce
632596	411712	
632596	412302	
632597	97708	Niña
632598	285071	
632599	28079	
632599	37726	
632599	39008	
632599	49114	
632599	64785	
632599	79121	Valentine
632599	156160	Marge
632599	157080	
632599	172305	
632599	216657	
632599	231214	
632599	243712	Trining Ojeda
632599	247088	
632599	284646	
632599	284737	
632599	287069	
632599	318402	Miriam
632599	360107	
632599	382126	Carmela Gaston
632599	396887	Victoria Raymundo
632599	404050	Star/Nena
632600	302403	Clase de cuarto
632600	307630	Voice-over
632601	2570	Laura's Mother
632601	19471	Widow
632601	45982	Maid Servant
632601	74139	Dionísia
632601	88049	Isabel Ivanovna
632601	89930	Nurse
632601	107316	
632601	146716	
632601	273115	
632601	275312	Sra. Ana
632601	288273	
632601	344688	
632601	353074	
632601	402638	Hipólita Dolores
632601	409423	
632601	410105	Júlia
632602	157662	Femme soirée de la cave
632603	135385	Dancing Girl
632604	83889	Blanquita
632604	152229	Angie
632604	247456	Demetria 'The Bitch'
632604	258248	Fina
632604	379898	Rebeca
632604	390310	Jazmín
632604	390748	Xiolimar
632604	395030	
632604	403016	Arcoiris Ponce
632604	404203	Chicharra
632605	53853	Antonio's wife
632606	198652	
632607	307478	La vendeuse station-service
632607	337020	Pète sec
632608	121224	
632609	97708	Niña
632610	409463	Azafata (1977)
632611	100373	
632612	360635	
632613	360635	
632614	278169	Client
632615	53651	
632615	197976	Secretary
632616	61203	
632616	68636	
632616	377196	
632617	25627	
632617	103163	Muchacha 1
632618	159291	
632618	210171	Linda
632618	377183	Muchacha II
632619	34253	Alice
632620	14944	María
632620	21597	Paloma
632620	90209	Lady in White
632620	159533	
632620	252771	Clara
632620	299714	Cristina
632620	353197	Dolores
632620	401657	Clara Montesinos
632621	14422	Consuelo
632622	99794	Mujer colmado
632622	205399	Roser
632622	384972	Cecília
632623	376861	
632624	269217	
632624	275312	Nun
632624	349750	
632624	352161	
632625	19252	
632625	73295	
632625	85582	
632625	97294	
632625	236451	
632625	377626	
632626	257656	Herself (Miss May)
632626	257831	Miss June 1998
632627	159050	
632628	149128	Marianna
632628	160731	Claudia
632628	221963	Miss Barcelona
632628	261839	Clara
632628	393351	
632629	221969	
632630	94622	
632630	189298	
632630	225065	
632631	146572	
632632	74566	
632633	14676	
632633	42640	
632633	58068	
632633	103665	Woman
632633	317673	
632633	352085	
632634	379548	Narrator
632635	351494	Andrea
632636	385405	Herself (Co-Host)
632637	82992	
632638	70702	
632638	380626	
632638	396387	
632639	285071	
632640	360635	
632641	62464	
632643	53257	
632643	211048	Chavalita
632644	379450	Vanusa
632645	121965	
632646	2985	
632646	5002	
632646	20552	
632646	27627	
632646	30792	Principal Zalameda
632646	39686	Barbara
632646	49886	Virgie Nite
632646	80956	
632646	145682	
632646	181771	
632646	200009	
632646	207480	
632646	214777	Chona
632646	216657	Manda
632646	222117	
632646	227030	Jesse
632646	232062	Francisca, Lope's mother
632646	234966	Sr. Sarita
632646	247539	
632646	284634	
632646	302902	
632646	325366	
632646	332845	Madame Claude
632646	358506	
632646	359069	
632646	371386	
632646	380345	Doña Carmela Monteclaro (1996
632646	385651	Tingting Cojuangco
632646	404050	Emilia Villamines
632647	22766	
632648	15357	
632649	243486	Violet, the little
632650	178833	Novia del chico atractivo
632651	286573	
632652	7464	La Directrice d'école
632652	11971	
632652	43767	Florence Neuville
632652	51431	L'hôtesse du commissariat
632652	73073	Miss Romand
632652	78377	
632652	274798	Sandrine's friend
632652	288297	La notaire
632652	337007	Infirmière
632652	345162	
632652	412266	Fliquette suivi Mélanie
632653	234637	Dorvalino's daughter
632654	97708	Niña
632655	112755	
632655	243443	
632655	264537	Stores Coadjuvantes
632656	237796	Midori
632656	318763	Debbie Cadabra
632657	210156	Rockfell, Innocent Bystander 
632657	394325	Queen, Additional Voices
632657	394660	Manx
632657	396501	Mizuha Miyama
632658	104775	Israeli entry (22nd place)
632659	8147	Mrs. Braithwaite
632659	18022	Jess
632659	59470	Mrs. Liddell
632659	100130	Mrs. Lockwood
632659	203203	Helen
632659	385299	Eileen Blythe
632659	400184	
632660	91388	
632661	187709	Lemora
632662	282934	
632663	39886	Reporter
632663	311952	Flight Attendant
632664	26291	Co-Worker
632664	313825	Sexy Bartender
632665	257522	Fantasy Girl
632666	64409	Mrs. Edwards
632667	62559	
632668	65628	Teen at Party
632668	67571	Pin-up
632668	269850	Yassmin
632669	347141	Hopkins Company
632669	347142	Hopkins Cast
632670	249504	Mrs. Sammett
632671	183722	Lady Robert Dudley
632671	309280	Policewoman
632671	368190	Vera
632672	300930	Jesse
632673	2645	
632673	6408	La mère
632673	7473	Angèle
632673	10187	Albertine
632673	17871	
632673	23799	Félicité
632673	32034	Julie
632673	52012	
632673	53242	Mme Sauce
632673	64318	Simone
632673	148635	
632673	164174	La sage-femme
632673	164680	
632673	166266	La gouvernante
632673	198319	Mme Modot
632673	255490	
632673	269162	
632673	307309	La Bouret
632673	332213	
632673	339496	Dame Pernelle
632673	345035	
632673	345377	
632673	346538	La gouvernante
632673	346755	Marilou
632673	346801	La mère Charline
632673	353898	Valentine
632673	382584	
632673	385609	
632673	391928	
632673	391930	Mme Gaubert
632673	396472	Dupontel, Suzanne
632673	396617	
632673	397637	La paysanne
632673	401939	
632673	403557	Fanny (1964)
632674	288943	Female Rebel
632675	13707	Herself - So. Calif. Children
632676	266576	
632677	37525	Mrs. Cummings
632677	158881	Nurse
632677	320779	Nora Cox
632678	383506	
632678	389764	Herself (1949)
632679	65370	Girl in Record Shop
632680	144688	Clerk
632681	253458	Charlene Benveniste
632682	349125	Woman By Fire
632683	65529	Une femme du happy-end
632683	124321	Madame Bonname
632683	388600	Herself
632683	397662	Host
632684	196545	Dr. Mel's Girlfriend
632684	278716	Trance Victim
632685	143248	Girl at Disco
632686	37525	Child in Store
632686	75824	Little Girl
632687	20625	Extra
632688	250971	
632689	10138	Paramedic
632690	183213	Ballroom Dancer
632691	38849	Mrs. Bird
632692	324979	
632693	2419	
632693	7958	Joan Wells/Mary Brian
632693	18732	Dixie Stillwell
632693	26875	Ardis Andrews
632693	33747	
632693	35790	
632693	44244	Marion Kingsley
632693	44694	Fay Everman
632693	47329	Riding Mistress
632693	47615	Daisy Hollister
632693	50948	Peg Hewlett
632693	58169	Janet Barclay
632693	72009	Calamity Jane
632693	73406	
632693	77960	Mollie Dare
632693	90049	Doris Jessup
632693	110562	
632693	114889	Mrs. Courtney Ruhl
632693	115420	
632693	126490	The girl
632693	131918	
632693	133556	Diana
632693	137239	Rose Moss
632693	137473	Marianne
632693	146131	
632693	150065	
632693	150695	
632693	162985	
632693	177466	
632693	183329	Shelley Stanton
632693	193973	Rose Arnold
632693	203003	Sarissa
632693	203013	Elizabeth Warner
632693	203089	Iris Millard
632693	203314	Bessie Beasley
632693	204885	
632693	210468	
632693	220557	Mrs. Chase
632693	224567	Shirley Joyce
632693	237754	
632693	241280	
632693	241495	The Girl
632693	253137	Phyllis Marley
632693	254448	Sally Ann Drew
632693	255229	
632693	258267	
632693	259270	
632693	271324	
632693	289587	Stella Thorpe
632693	291798	
632693	295284	Girl in big hat who laughs at
632693	302886	Chérie
632693	305624	
632693	306493	Dorothy Pringle
632693	306630	
632693	309583	Helen De Lacy
632693	310362	
632693	321415	Molly O'Rourke
632693	328784	Lorraine
632693	338058	Mary Reynolds
632693	349981	Helen Coburn
632693	363847	Phyllis Marley
632693	364802	
632693	365276	
632693	365463	Marjorie Felton
632693	365549	Sylvia Grant
632694	377006	
632695	823	
632695	297996	
632696	26963	
632696	46378	Yvonne
632696	75355	Another Victim of Circumstanc
632696	83681	Julia
632696	85744	The Mission Waif
632696	92136	
632696	128297	Bernice
632696	133883	Gwendolyn
632696	135571	
632696	135841	Betty Benson
632696	145404	Hilma Allis
632696	168783	Gloria
632696	176228	Mrs. Smith
632696	184987	
632696	184991	Florence
632696	195859	Lulu
632696	199225	
632696	202983	Bertie Roberts
632696	249114	Sylvia
632696	276716	Annamarie
632696	280358	Edith Cummins
632696	298507	Jean Martin
632696	310501	Nola 'Luck' Sleed
632696	327994	
632696	361738	
632696	361801	Rose Silver
632697	405842	Ingrid
632699	1869	Herself
632699	230749	Himself
632699	230750	Herself
632700	41311	Heather
632700	71665	Diana
632700	72579	Hannah
632700	75547	Rebecca
632700	93222	
632700	176865	Virtual Hooker
632700	232286	1998
632700	291730	Cindy Mayberry
632700	338771	Glory
632700	350177	Heather
632701	356230	Ballet Dancer
632702	40838	Sara
632702	116290	Shelly
632702	360717	
632702	368122	Stella
632703	54946	Girl in Car
632704	16466	Miss Rose Meredith
632704	35725	Carol
632704	81298	Joan
632704	107700	Diana Kenyon
632704	115838	Diana
632704	128706	Melanee
632704	130022	Lynn O'Malley aka McTavish
632704	162946	Diana Bryce
632704	209605	Girl on trolley
632704	223019	Helen
632704	292511	Nancy Messenger
632704	330310	Princess Zafir
632704	331538	Belle Collins
632705	79382	Fairy of Goodness
632705	104335	Flametta
632706	32740	Nurse
632707	135596	Undetermined Role
632708	72918	Old Lady (Snatcher)
632708	85014	Grandma
632708	211506	Grandma
632709	309205	Herself
632710	264	Girl
632710	10318	
632711	382696	Paying Teller
632711	399907	Janice O'Neill
632712	358246	Mrs. Bradley
632713	343879	Jennie
632714	140953	Local anchor
632715	152579	Nurse
632716	37059	
632716	41987	Miss Dunlop
632716	119803	Reporter in hotel room
632716	128319	Nurse Bleeker
632716	153134	Okahla
632716	165004	Woman #2
632716	170490	Citizen of Rome
632716	192721	Woman Reporter
632716	200129	Maras
632716	230435	Civilian Doctor at Induction 
632716	240902	Secretary
632716	242941	Woman Attendant
632716	245589	Officer Candidate's Wife
632716	252489	Nurse
632716	265265	Mother
632716	283421	
632716	335725	Gloria
632717	379108	Presenter
632717	401422	Presenter (1946-????)
632718	131534	School Girl
632718	133705	Ginny, Harris's secretary
632718	144782	Syd Hayward
632718	150723	Girl
632718	274102	Sheila Winthrop
632718	277893	Pretty Willow
632719	5987	Mrs. Egelhofer (Woman of Sin 
632719	7493	Hadwig
632719	10119	Pearl Eager
632719	20012	Mrs. Henkle
632719	39961	Fat Woman with Tommy
632719	40977	Bertha Fannon
632719	40998	Sarah Dumbrowski
632719	41104	Cynthia Thompson (Class of '3
632719	47059	Fat Lady on Stage
632719	49554	Mrs. Barton
632719	53324	Bath House Attendant
632719	56113	Americn woman
632719	59867	The Veiled Girl ("Fatima")
632719	63029	Mrs. Gerseg
632719	69338	Actress
632719	73766	Miss Stewart
632719	80674	Tiny
632719	81658	Fat Woman
632719	88853	Mrs. Vlacsek
632719	92737	Woman at Dance
632719	105297	Hilda
632719	115937	Tillie
632719	121663	Customer in Swimsuit Shop
632719	125480	Squaw
632719	139214	Anderson
632719	142517	Full Moon
632719	142637	Louie's girlfriend
632719	144109	Babe
632719	144425	Agitated Wife
632719	144447	
632719	146750	
632719	147412	Matron
632719	150723	Fat girl
632719	150812	Miss Bantam
632719	152221	Germaine
632719	165824	Sawyer
632719	169387	Madame Bornholm
632719	170576	Woman
632719	178976	Gussie
632719	190332	Woman
632719	192122	Hilda, wife of Pearl Street T
632719	194831	Native Laundry Woman
632719	194979	Zulta, the Barmaid
632719	195252	Madame Violette
632719	201150	Fat Woman
632719	201152	Curly, the Bearded Lady
632719	206355	Girl Taxi Driver
632719	223019	Burly Woman Cab Driver
632719	223829	Hilda Sneebacher
632719	230344	The Tiny Waitress
632719	230632	
632719	233044	Streetcar Conductress, Moscow
632719	233872	Mrs. Hazelhurst
632719	241468	Amy Dearing
632719	247045	Woman in bath house
632719	261603	Helga Swenson
632719	264171	Woman Truck Driver
632719	275451	Mrs. Martha Avery
632719	276948	Brunhilde, Stout Customer
632719	277844	Moonbeam
632719	282394	Woman in store
632719	294755	Fat woman
632719	295414	Ethel Boke
632719	296827	Lana, Spider Webb's Girl
632719	297003	Tessie
632719	300124	Woman
632719	302725	Casey
632719	303901	Fanni Nerkuu
632719	304562	Fat Woman at Dance
632719	308109	Woman in Telephone Booth
632719	313295	Swedish Maid
632719	316062	Mr. Todd, drugstore customer
632719	319111	
632719	329106	Blacksmith Millicent
632719	329148	Lady
632719	329481	Masseuse
632719	334754	Fat Woman
632719	342128	Effie
632719	365261	Swede
632719	365762	Charlotte Stassen
632719	366208	Native Woman with Black Eye
632719	395581	Rosa (1952)
632720	645	Betty
632722	357089	Lise
632723	366027	Waitress
632724	22071	Agent Kinkaid
632726	52659	Bit Part
632726	134241	Herself
632726	136274	Woman in Chinese Restaurant
632726	146859	Katy Chotnick a Student
632726	177988	Bit Part
632726	238507	Annie Hawks as a Child
632726	272025	Bit part
632726	360479	Bit Part
632726	391836	Herself
632727	187208	Dancing Black Dress
632728	292309	Rose (gang moll) [Chs.2,6,7,1
632728	365480	Lucy Munro
632729	220511	
632729	333653	
632730	254584	Diana
632731	404914	
632732	28862	Prof. Cavanaugh
632732	82095	Lee McGregor
632732	95045	Dorothy
632732	274805	Julia
632733	10915	
632733	116735	His Wife
632733	127686	Margaret Ruthven
632733	286800	Marie D'Andolin
632734	46	Segment Presenter
632734	3165	Herself (SAG president)
632734	8080	Melissa Prentice
632734	26514	Mary Bennett
632734	31187	Herself - NBC Team Contestant
632734	31191	Herself (NBC Team)
632734	31193	Herself (NBC Team)
632734	31194	Herself - NBC Team Contestant
632734	41337	Marian
632734	57686	Herself
632734	58778	
632734	61615	Herself
632734	61672	Karen Carlson
632734	62542	Terry Granger
632734	62547	Jean Donovan
632734	63038	Emma Murphy
632734	63070	Kelly Sullivan
632734	86033	Anne Frank
632734	90786	Dr. Kristine Lipton
632734	95792	Lynn Matthews
632734	108334	Julie
632734	108367	Sara Calloway
632734	108425	Herself
632734	117404	Judith Shapiro
632734	121802	Herself
632734	143341	Meredith Sanders
632734	147893	Taylor Singer
632734	151006	Marion Ravinel
632734	155254	Kay
632734	161337	Herself
632734	161339	Herself
632734	161358	Herself
632734	161400	
632734	169211	Claudia
632734	176828	Dr. Lisa DaVito
632734	191893	Laura Elizabeth Ingalls
632734	191896	Laura Ingalls
632734	191898	Laura Ingalls Wilder
632734	191899	Laura Ingalls Wilder
632734	191900	Laura Elizabeth Ingalls Wilde
632734	194222	Gina/Jennifer
632734	212731	Herself
632734	212733	Host
632734	212734	Herself
632734	214985	Helen Keller
632734	222575	Gwen Todson
632734	228969	Herself
632734	228970	Herself
632734	228975	Herself
632734	232017	Herself
632734	236956	Clara
632734	252123	Leah Furman
632734	287133	Jo Ellen Hathaway
632734	293020	Sarah Jenks
632734	297790	Shari Karney
632734	309471	Rebecca
632734	321661	Sarah
632734	321777	Charlie
632734	329875	Devon Jones- Thomas
632734	355343	Donielle
632734	366820	Miranda Berkley
632734	366925	Emily Briggs
632734	375936	Zoya Ossipov
632734	388202	Gerda
632734	395735	Laura Elizabeth Ingalls Wilde
632734	398213	Herself
632734	406357	Rochelle Dunphy
632734	407155	Kate Delacroy (1994-1995)
632735	42700	Isabelle, the Girl
632735	52464	
632735	218713	Jackie's mother
632736	14999	Paulette
632737	217736	Bessie Lee, James' Wife
632738	309890	Collection House
632740	55008	
632741	382953	Calamity
632742	387840	Herself (#13 Best Blunder)
632743	67733	Virginia
632743	71734	Lady
632744	368092	Crayola
632745	16099	Sudanese Girl
632746	91779	Woman
632746	105170	Chief Operator
632746	232419	Worried mother in Spode Room
632746	294944	Mrs. Devereaux
632747	12062	
632747	169760	
632747	170049	Una máscara
632748	77856	Frau Kurt
632749	75839	Shower Girl
632749	82757	Carrie Austin
632749	105424	Elaine Talbot
632749	197758	Snuff Victim
632750	192567	Housekeeper
632751	62437	
632752	254568	Princess of Pure Reason/Princ
632752	311136	Celebrity Female Voices
632753	126061	Girl
632754	80668	Jenny
632754	257733	Theater Zombie
632755	51855	Slave Girl
632756	80386	Mackenzie
632757	66123	Mace
632757	73833	Mugger #2
632757	77980	Reporters
632757	111564	Herself
632757	117642	Narrator
632757	162617	Miss Chase
632757	162987	Herself (The Weavers)
632757	253954	Herself
632757	283548	Mrs. Taylor
632757	360608	Herself
632757	366021	Mother
632757	368170	
632757	399719	Elizabeth Cady Stanton
632758	10737	Alice
632758	49048	
632758	209114	Mrs. Landesman
632759	15	Emily/Michelle
632759	2722	Host
632759	37387	Gretle Dickens
632759	45637	Emily (segment $30)
632759	47548	
632759	52142	Jean (Age 7)
632759	57686	Herself
632759	61615	Herself
632759	80399	Martha
632759	83560	Sandy
632759	144804	Annaugh Moss
632759	161337	Herself
632759	190461	Lynn Sabatini
632759	258948	Sylvie Cooper
632759	278082	Christina Barr
632759	283443	Stephie
632759	318204	Sudie Harrigan
632759	403765	Darlene Conner-Healy
632759	410800	Amy Manning
632760	358633	NeuralNurse 256
632761	186446	Gary Gadget's Assistant
632761	240232	Patricia McLaughlin
632762	22596	Nursing Home Aide
632764	30887	Mathilde
632765	32740	Patient
632766	78034	Shemp Martins
632767	12319	Dr. Lang
632767	35506	Woman at Party
632767	46529	Sharon
632767	80584	Police Station Reporter #2
632767	117522	Dr. Keller
632767	159200	Reporter #1
632767	212049	Paulette
632767	280174	Stewardess
632767	302944	Lois Higgins
632767	311037	Madeline Watson
632767	311038	Mrs. Watson
632767	336106	Jennifer
632767	340732	Reynard's Receptionist
632767	341459	Ferguson's secretary #2
632767	342685	Bryce, NSSL Scientist
632768	356811	
632769	343158	Beverly Wells
632770	236786	
632771	126589	Herself
632771	138323	Herself
632772	78898	
632773	67709	
632774	1973	Mother
632775	381013	Chidori
632775	381785	Hinoki Sai
632775	394419	Natasha
632775	396491	Yumi Haneishi
632775	404772	Atosuryua
632775	412029	Moonbay
632776	289098	Singing Christian #1
632777	192527	Wendy
632777	306320	Reporter
632778	258688	
632779	140184	Marianna
632780	45899	Extra: neighbourhood
632781	18166	Fru Lindhardt
632781	34516	Fru Graversen
632781	55126	Ester
632781	95757	Ellen
632781	99512	Fru. Jørgensen
632781	181736	Tante Oktavia
632781	181750	Brehmers sekretær Nancy
632781	182620	Dame - Købmand
632781	183314	Lasses farmor
632781	191469	Lise Olsen
632781	219817	Else Nelsøe
632781	237023	Else Hansen
632781	249743	Gløk-Jensens sekretær
632781	300976	Maudie Melrose
632781	333221	Anna
632781	358847	
632781	397074	Miss Østergran
632781	403194	Jakob Mans Mor
632783	80395	Cecilia
632783	141350	Rachel Ryan
632783	265606	Deborah
632783	384097	Geena (1999)
632783	392696	Actor
632783	398085	Stella Moon (Series 3) (2001-
632784	175175	
632785	196833	Alice Marx
632786	333347	Noose's Housekeeper
632787	171349	Shona
632788	209170	Dancer
632789	5975	Lee James
632790	117560	
632790	168330	Rebecca Stacey
632790	200498	Woman Officer
632790	242377	Jane
632791	304787	Embassy Guest
632791	362108	Grace
632792	5882	Martha Finney
632792	16468	Mrs. Gordon (boarding house l
632792	18737	Senora Martinez
632792	24240	Norah Muldoon
632792	27135	Annie Freemont
632792	30156	Mamie
632792	36971	Martha, the Judge's Maid
632792	38042	Mildred (blonde barmaid)
632792	44501	Welfare Worker
632792	46739	Nurse Tooker
632792	48538	Vegetable Woman
632792	58477	Mrs. Mullins
632792	61265	Millie Moon
632792	74182	Sadie, Cook
632792	92147	Proprietress
632792	92527	Jennie, the Maid
632792	107581	Mrs. Murphy
632792	108925	Hominy (co-owner, Dawson Hash
632792	115259	Mrs. Richardson
632792	116011	Maid
632792	131546	Cora the cook
632792	132765	Pearl Delroy
632792	133560	Cafe Blonde
632792	136816	Tillie, Elevator Operator
632792	137514	Ma Higgins
632792	141665	Delia Murphy
632792	143605	Ma Jones
632792	150723	Mrs. Shultz
632792	150853	Hattie Miller
632792	152208	Betty
632792	152433	Arline Merriweather
632792	152522	Dolly
632792	157202	Miss Larkin (the secretary)
632792	160980	Nurse Connie Dean
632792	163347	Mrs. Riker
632792	168681	Peg Fowler
632792	170856	Hilda
632792	176343	Mrs. Harkness
632792	176872	Belle
632792	188577	Mrs. Ruby Finney
632792	192410	Mrs. Kirke
632792	193955	Purity Pinker
632792	195162	Gladys
632792	197943	Bertha
632792	198976	Ma
632792	203175	Mrs. Manter
632792	206414	Mother with Baby on Train
632792	215253	Mrs. Gossett, Holmby's Housek
632792	218178	Mrs. Gossett
632792	223019	Travelers Aid Woman
632792	235602	Mrs. Flannigan
632792	241254	Miss Marple
632792	250776	Phillip's Mother
632792	251855	Miss Zim, the Nurse
632792	263117	Frankie
632792	272691	Mrs. Porter
632792	273493	Mrs. Reilly
632792	289254	Mary
632792	293084	Wife of Farmer
632792	295439	Frau Binder
632792	307863	Jane Barclay (Edith's mother)
632792	307896	Mrs. Boland
632792	308656	Bertha, the Charles' Maid
632792	313793	Sarah Isbell
632792	315700	Dawn
632792	319040	Ma Galestrum
632792	321529	Maw Lustvogel
632792	321566	Aunt Sophie
632792	321783	Molly Baxter
632792	328066	Mrs. Murphy
632792	330384	Woman on Train with Baby
632792	330892	Miss Nichols
632792	331205	Taxicab Driver
632792	332042	Sister Josephine
632792	332425	Madame Adelaide
632792	332440	Hilda (masseuse)
632792	332806	Lewis' Wife
632792	336299	Mrs. Torrelli
632792	339928	Henriette
632792	343067	Ramona Ryerdon
632792	343249	Receptionist
632792	346229	Capt. Sadie Parker
632792	346914	Josie's Mother
632792	348322	Cleaning Lady
632792	349983	The Scott's Cook
632792	359171	Cook
632792	360479	Olive Ransome
632792	365350	Mrs. Evelyn Diamond
632792	367577	Mrs. Dunlap
632792	367686	Christina Dalvik
632792	372777	Aunt Cissie
632792	379315	Purity Pinker (1955)
632792	402971	Mrs. Jensen
632793	158102	Chorus
632794	359933	
632795	2341	Margaret Noah's Secretary
632795	7112	Dowager
632795	56230	Sister Mardaret
632795	77715	Subway Ticket Seller
632795	114367	Woman in Wax Museum
632795	130647	Wealthy Matron
632795	214078	Woman #2
632795	271206	Grocery Store Customer
632795	312962	Lady #2
632795	342618	Jury Foreman
632795	364165	Lucille Weis
632795	365597	Amelia
632795	366983	Restaurant Waitress
632795	368151	Ms. Cross
632795	369195	Old Woman
632795	396479	Blanche
632796	169517	Naked Sporting Girl
632796	216771	Voice of God
632796	233840	Cindy
632797	186061	Mandy
632798	314459	Rapunzel
632799	280489	Choir
632800	281913	Jackie
632801	92736	Mansion Musician
632802	259829	Melissa
632803	235386	Second girlfriend
632804	189850	Herself
632804	289442	
632804	307213	
632805	249747	
632806	38923	
632806	174205	
632806	240536	
632807	201194	
632808	147186	Young Bride
632809	207706	Airport Assistant
632809	294529	
632810	338930	Marie's Mother
632811	240232	Esther Gibson
632812	299669	Maid
632814	260950	Zoli Model
632814	308025	Pretty Young Thing
632815	31663	Sheila
632815	64075	Farm Girl (redhead)
632815	138821	Honeymoon Wife
632816	205700	
632817	150786	Nina
632817	342375	Sara Dillon
632818	13953	Woman at Political Dinner
632818	295608	
632819	262310	Girl on bus tour
632820	111143	Animatrice danse
632820	384972	Fina
632821	113933	Amy
632821	277947	Grania Pringle
632821	390253	Fashion Expert
632821	408148	Herself - Panellist
632822	358486	Nurse 3
632823	387533	Sally Skilbeck
632824	385728	Petunia Larkin
632825	211508	Mordred personal bodyguard
632826	118008	Lottie
632827	31643	Beach girl
632828	178189	Extra
632829	365108	Herself
632830	45548	Woman #1
632831	197741	Helen
632832	2227	Herself
632832	387533	Gabriella Bernice Thomas (Gab
632833	8518	Principal Puppeteer (York, Ag
632834	385728	Zinnia Larkin
632835	99287	Female Martyr
632836	131232	Extra
632837	41155	Girlfriend
632838	108709	Patricia's Mother
632839	220333	Aunt Effie
632840	131232	Extra
632841	16968	Bedside Nurse
632841	36694	Administrative Woman
632841	65698	Alice
632841	110278	Loreatha
632841	154988	Ella Mae Tilden
632841	155453	Martella
632841	230947	T.V. Interviewer
632841	252229	TV Interviewer
632841	260296	Marcia
632841	305847	Robot
632841	313471	Adi Gallia
632841	313969	Volker
632841	340765	Leesha Mitchell
632841	368314	Petty Marsh Secretary
632841	383701	Commentator (2002-)
632841	384104	Pvt. Frankie Bunsen
632841	386009	Connie Morris
632841	389185	Announcer
632841	391489	Z
632841	401072	Additional Voices
632842	278763	White girl
632843	171393	Susan Watts & Janice Kelly
632844	213186	Mary Farmer
632844	387533	Bernice Blackstock/Thomas (19
632844	410978	Sally Boothe (2003-)
632845	19995	Hostess
632845	39534	Prostitute
632845	39929	Sadie's girl
632845	44272	
632845	67593	Woman #6
632845	72747	Esther
632845	73481	Darlene
632845	76620	Jana Ryan
632845	115003	Nikki
632845	163256	Lily
632845	195006	Darlene
632845	197797	Belle
632845	207705	Older Beauty
632845	332418	Airport Bookseller
632846	33985	Gloria Fowler
632846	255084	Flirt in Embassy club
632846	276386	Fair Lady
632846	340980	Lilly
632847	109365	Tiffany
632848	286298	Bobby's Daughter
632849	289372	Featured Extra
632850	179200	Cloak-room Attendant
632850	255623	Zosia
632850	265652	
632850	369375	Hanna's Colleague
632851	18030	Doris
632851	31738	Aunt Hoover
632851	96707	Nurse Lincoln
632851	243736	Mrs. Gardner
632851	249517	Valerie Highsmith
632851	256184	Saleslady
632851	264132	Dr. Beatrice Adams
632851	289645	Kay Brown
632851	308440	Ms. Marcum
632851	323588	Woman in mink
632851	404694	Lureen Post (1973)
632852	35594	Lisa Clark
632852	107283	Officer Anne Oshenbull
632852	174520	Lorna
632852	207530	Mrs. Winston
632852	282920	Little Lynn
632852	288472	Lucy Dembrow
632852	399249	Abby Stone (1979)
632852	410660	Linda Harris
632853	192728	Script
632854	5186	Les mannequins
632855	267486	Cashier
632855	390523	Fran Williams (1991-1993)
632856	27758	
632856	285000	Theresa Albuzzi
632857	69410	Mrs. Burrows
632857	128652	Zoe
632857	300144	Herself
632857	317326	
632857	364172	Herself
632857	381661	Various Roles (1972-1975)
632857	410918	Various (1977-1978)
632858	86530	Duchess of Margate
632859	228388	Putte's Sister
632860	80481	Beth
632860	245336	Carly
632860	315160	Annie
632861	105016	Gayle Tuesday
632861	389463	Various (usually Harry's wife
632861	389808	Gayle Tuesday
632861	409103	Various Roles (2003-)
632862	333140	
632862	334697	
632863	20092	
632863	22769	
632863	136734	Carmen
632863	169256	
632863	265332	
632863	273651	
632863	379907	Alejandra
632863	383274	
632863	385373	
632863	385662	Cecilia
632863	387176	
632863	387906	Angelina
632863	391639	
632863	396212	
632863	396608	
632863	398517	Victoria
632863	398526	Victoria
632863	400945	Josefina
632863	409920	
632863	411711	
632864	189298	
632865	43413	Brigitte
632865	231306	La caissière du soir
632866	61790	
632867	51241	
632867	398097	
632868	377616	Siesta lány
632869	300361	Perlmutter attendee
632870	378673	Herself (2002)
632871	51377	Lady on Train
632872	1092	Serving Girl
632872	40836	Therapy Woman
632872	50006	Sanda
632873	89636	Emmy
632874	13800	Hooker 2
632875	214315	Dr. Anna
632875	384361	
632876	244964	
632877	275417	
632878	9128	Stewardess #3
632878	140197	Miss Bick
632878	247565	
632878	291228	Maggie
632878	310059	Furniture Girl
632878	311632	Willa
632878	367980	Dia
632879	72688	Nadine
632880	201928	Sammy
632880	364432	Jen Dewitt
632881	299689	Runners kid
632882	48461	Lunch Room Folks
632883	300173	Mourner
632885	211516	
632886	184898	Mona
632886	235473	Joanne
632886	297643	Bonnie
632886	297791	Sister Roberta
632886	310572	
632887	386963	Lindsey Ferguson (2003)
632888	61281	Hens
632888	70125	Condors
632888	91085	Singer on radio program
632888	105075	Annie, the Cleaning Lady
632888	105170	Chicken Lady Singer
632888	118520	Clara Cluck
632888	130755	The Hens
632888	143596	
632888	184831	Spinster
632888	212862	Clara Cluck
632888	212873	Clara Cluck
632888	212898	Clara Cluck
632888	219983	The Hen
632888	220333	Girl
632888	220905	Miss Carrie Bowers
632888	237818	Miss Hollyrod
632888	243738	Clara Cluck
632888	243753	Clara Cluck
632888	275367	Herself (Voice Artist)
632888	293752	Hen
632888	297931	Singer
632888	360166	Quilting Party Woman
632888	361154	Singer
632888	366624	Wise Little Hen
632889	298324	
632890	12372	
632890	15006	
632890	43772	La lingère
632890	45134	La soeur
632890	57474	
632890	96164	
632890	112879	La tenancière du saloon
632890	129513	
632890	148758	
632890	166168	
632890	201185	Madame Zozo
632890	202340	
632890	229032	
632890	240586	
632890	252317	La grosse cliente
632890	254966	
632890	280527	Madame Sirop
632890	300676	
632890	336725	
632890	357115	La cantinière
632891	33091	Miss Copperthwaite
632891	67858	Katherine
632891	108000	Judy Endale
632891	109824	
632891	114841	Alison
632891	143623	Young Guest
632891	162257	Mary Johnson
632891	177394	May Saunders
632891	210897	Alison Bastion
632891	222592	Gwen
632891	222758	Jean Andrews
632891	235701	
632891	291915	Scotland Beauty Winner
632891	299452	Lucy Neville
632891	363904	Muriel
632891	372080	Second Girl
632892	22923	Maisie
632892	267253	Doctor
632892	393207	Helen Carter
632893	372941	Lola Ainsley
632894	14964	
632894	47997	Tobacconist
632894	48368	Gittan Löfgren
632894	84297	Mrs. Borg
632894	84317	Waitress at Gyldene Tunnan
632894	88397	The maid
632894	89836	Waitress
632894	94022	Manager
632894	94257	Neighbour
632894	101639	Tekla Blomqvist
632894	109121	Mammie
632894	114961	Agneta
632894	120066	Stina
632894	120138	Maggan Palm
632894	120139	Maggan Palm
632894	121010	Viola
632894	135944	Sofi
632894	144002	Hedda Fox
632894	153754	Ella
632894	168390	Asta
632894	174726	Klara
632894	182298	Shop assistant at bakery
632894	187639	Elisabeth Mader
632894	190822	Maggan
632894	214357	Grandma
632894	218993	Mrs. Nygren
632894	237265	Mother
632894	268155	Mrs. Pearce
632894	272501	Anna-Greta Kjellgren
632894	303645	Mr. Rosander's secretary
632894	303647	Ms. Jonasson
632894	303648	Lisa, blacksmith's wife
632894	310254	Märta
632894	310385	Emma Klink
632894	322279	Barwaitress
632894	352999	Ms. Bettan Lundgren
632894	353039	Dancer
632894	355545	Story teller
632894	387888	Klara Nilsson
632894	387896	Hostess (1968)
632894	389466	Harriet
632894	390792	
632894	394588	Susanna
632894	395047	Viola, Louise's mother
632894	409050	Fredrika Fredriksson
632894	409853	Edith Persson, Fish and Chees
632895	336480	Patricia
632896	340819	Herself
632898	381878	Various Characters
632898	390947	Various
632899	120270	Palestinian woman
632900	218017	Crosswalk child
632901	140765	Walking Mother
632902	76054	
632902	391620	La concierge
632903	73131	Mrs. Merryman
632903	105616	Duchess of Dillwater
632903	109241	Thirza Tapper
632903	175176	Spinster
632903	190782	Mrs. Beverley
632903	194202	Miss Canvey
632903	195456	Emily Foster
632903	215286	Louise Piper
632903	235423	Miss Carter
632903	318074	Cast of 'Price of Divorce, Th
632903	346115	Old Maid
632904	236107	Mamie (segment The Rejected O
632905	43174	Bobby's mom
632906	63989	Herself
632907	82545	Joe's Wife
632907	186425	Mrs. Hattie Waters
632908	308632	
632908	374198	French girl
632909	253005	Lady Mary
632910	27411	Piya Verma
632910	44258	Nargis
632910	166483	
632910	169169	Rosanne
632910	193183	Charulatha (Acharya's girlfri
632910	209816	
632910	297210	Gita
632910	303097	Aarthi
632910	328181	Paro
632911	41409	Special Lady
632912	289894	Anni
632912	393409	
632913	211516	Herself
632914	61320	Woman with Baby
632915	202152	Mrs. Gershon
632915	253478	Mrs. Winter
632915	343881	Old Woman
632915	385299	Mrs. Ross
632915	400814	Mrs. Beasley
632916	213445	
632917	252211	Leaving Gal
632918	48506	Orgasmic Angel
632918	68470	Willa
632918	98174	Hannah
632918	188235	
632918	190269	Lucille Bremer
632918	248149	Eileen Gibbs
632918	301231	Pam
632918	336164	Dee Mazur
632918	359716	Bunny
632918	382240	Nina
632918	402612	Lindsay 'Linz' Peterson
632919	80549	Phone booth zombie
632920	211516	Herself
632921	43738	Lady Graham
632921	80996	
632921	99545	Lady Grenville
632921	184283	
632921	203143	Lady Marr
632922	258081	Woman #2
632923	66726	Margot
632923	68347	La nièce d'Edouard
632923	167654	Marie
632923	284666	
632924	5186	Safrane
632924	7539	Ottilia
632924	19238	Nathalie
632924	30186	Margot
632924	44733	Aurore
632924	57832	Allieva
632924	139373	Safiye
632924	184059	Lucie
632924	205719	Marie
632924	217726	Véronique
632924	231286	Caty
632924	276107	
632924	336985	Louise
632924	345023	Julie d'Espard
632924	345285	Camille
632925	364459	Guest
632925	408531	Timmy (1959)
632926	60186	Whitney Young Team Member #4
632927	305345	Anne Marie (segment "Holy Cow
632928	129186	Attractive Escort
632929	52403	Judy
632929	154427	Kim's Friend
632929	169422	Meg
632929	200864	Cora
632929	217745	Miss Albini
632929	235646	Linda
632929	271344	Zoo Reporter
632929	283410	Elaine From Manhattan
632929	308115	Kitty
632929	334187	Questioner
632930	56545	Herself
632931	112597	Miss Canfield
632932	86891	Clara
632932	111136	Henriette
632932	218273	
632932	249753	Une jeune fille
632932	327658	Claire
632932	377470	Jeune fille métro
632933	65184	Kid sneaking into movie/Girl 
632934	58414	Morgane
632935	272437	Waitress
632936	58130	Asa's comrade
632937	66753	
632938	89020	
632939	151055	Chava Polovoya
632939	158055	Psychiatrist
632940	380374	
632941	180077	Mary Björklund
632942	286778	Sara
632943	97088	Inhabitant of Ebberöd
632943	115402	Listening woman
632943	115426	Woman with a dog
632943	115431	Woman in court
632943	131180	Hotellstäderskan
632943	142835	Woman in the waiting room
632943	154504	Emma (Lars-Ola's housemaid)
632943	155621	Woman
632943	164651	Woman in church
632943	170838	Woman in the courtroom
632943	174697	Boat passenger
632943	209311	Woman outside Flinta's cabin
632943	210372	Mrs. Andersson
632943	252333	Ms. Ström
632943	272755	Customer
632943	305304	Woman in court
632943	306371	Cook
632943	377298	Woman in Broköping
632944	283348	
632945	23535	
632945	112681	
632945	197454	Christine
632945	227581	
632945	319729	
632945	338720	
632946	98217	
632947	114253	Mrs. Barker
632948	191343	Herself
632949	299689	Dazzler girl
632950	83099	Miss Johnson
632951	362453	Woman in Library
632952	318456	Nightclub dancer
632953	9873	Sharon
632953	36694	Woman in Red Dress
632953	39829	Peggy
632953	68870	Librarian
632953	70558	Supermarket checker
632953	71473	
632953	179419	Terry
632953	190332	Dell
632953	200155	Barbara
632953	206856	Joy
632953	219176	Hippie-in-Training
632953	232477	Mildred
632953	250546	Cathy
632953	348375	Student
632953	352733	Bernadine Toller
632953	364531	
632953	366072	Police Woman
632954	348303	Miami Reporter
632955	39836	Joyce
632956	118108	Performer
632957	315777	Student
632958	315777	Student
632959	69169	Host
632960	259194	Herself
632961	322393	
632962	58323	
632963	84248	The Helicopter Pilot
632965	7457	Ana Kergalen
632965	54254	Sophie
632965	192811	Esmeralda
632965	215104	Zani
632965	345093	Sandrine
632965	353790	
632965	383246	Milou
632966	178637	Gusti
632967	142614	Baroness
632967	214645	
632968	17967	Finley
632969	104763	Herself
632970	65407	Sophie Guilbert
632970	144101	
632970	188745	Patientin
632970	316551	Renate Petersen
632971	19829	
632971	50866	Looking Glass Captain
632971	123303	Eula Boatwright
632971	175582	Homesteader's Wife
632971	175583	Young Saloon Girl
632971	175597	Sharon
632971	192764	Becky
632971	196503	Actress
632971	277635	Cindy
632971	349896	Barbara
632971	381811	Jackie Taylor/Silver
632971	404002	Siobhan Ryan Novak #2 (1981-1
632971	406952	Shelly Thomas (1999)
632972	207195	Blanche Chadwick, Ruth's youn
632973	9113	Herself
632973	68768	Apartment tenant
632973	131987	Jinnie Sue's Fan
632973	281145	Lycosian Troop
632974	59765	Woman #2
632974	114161	Marie
632974	167567	Samantha
632975	222784	Candy
632976	38882	Disco Girl
632976	58952	Melissa
632976	236952	Mireille
632976	388320	Valerie Brown
632976	392055	Dancer
632977	171297	Dancer at Restaurant
632977	200364	The Manager
632977	203492	Nurse
632978	187518	Prostitute
632979	80411	Schatzi
632979	154372	Crimewave A.D
632979	176852	Diver
632980	27360	Amy
632980	43593	Monika
632980	150748	Mary Frankland
632980	194784	Sarah
632980	200779	Anna von Mildenburg
632980	252476	Ajor
632980	291503	Budd
632980	292826	Singer
632980	316410	Julie Kovago
632980	319041	Maureen
632981	87789	Dorothy
632981	212846	Herself
632981	385007	Corky Brady
632981	397640	Darlene
632981	399214	Darlene
632982	35263	Girl B
632982	78318	Kaz
632982	342812	Veronica Todd
632983	224186	Woman with Balloons
632984	61954	Nurse Tracy Pickford
632984	70347	Patricia
632984	184218	Avis Girl
632984	214271	Deirdre
632984	286687	Eva
632984	340583	Sarah Devlin
632984	405763	Louise Nathan
632984	409401	Marion Wainwright
632985	16465	Cricket Hardy
632985	107097	Alice Bailey
632985	163295	Betty Osgood
632985	305179	Girl
632985	362192	Blanche Hudson, in 1917
632985	394172	Mimi Scott
632985	395283	Terry 'Tess' Wilkins
632986	381514	Herself (2000)
632987	301835	Lingerie Girl
632988	233545	Sandy a Reporter
632988	401940	Dorrie Blake (1954)
632989	58773	Scenso Female
632990	25874	
632990	333376	Hooker
632990	401625	
632991	209399	Victim 29
632992	6745	Receptionist
632993	107930	Long Haired Woman
632994	47992	Mom
632995	374419	Vania
632996	325276	Bordello Girl
632997	18436	Woman in White
632998	407816	Herself
632999	58110	Adeline
632999	236550	L'infirmière
633000	196934	Girl in Laurel's dream
633001	254008	Little Red Riding Hood
633002	46545	Julie
633002	61954	Julie
633002	77199	Sonia Wingate
633002	99141	Jenny
633002	221166	Kath
633002	278169	Singer
633002	309500	Susan Sto Helit
633002	366768	Waitress
633002	372746	Jill
633002	389625	Sylvia
633002	408965	Grimma
633003	59574	Woman Juror
633004	127351	Beverly
633005	42386	Mrs. Davis
633005	45662	Elaine, Robin's Mother
633005	49453	Drunk Woman
633005	59639	Stepmother
633005	63068	Callie
633005	86954	Heddie
633005	96691	Betty
633005	126033	Ethel Levy Cohan
633005	133730	Lanie
633005	136128	Mrs. McGee
633005	163253	Peggy Kenter
633005	174005	Mother
633005	184859	Mom
633005	205080	Anita
633005	208077	Helen Baker
633005	218848	Mona
633005	268685	Irene Pasco
633005	297181	Miss Mitzi
633005	298117	Carol, Renee's Mother
633005	318755	Suellen
633005	346341	Marlene
633005	379740	Nancy Langston
633005	379827	Vi Long
633005	380391	Loretta Shea (1982)
633005	381432	Nancy Baxter (1979-1980)
633005	382331	Alice Henderson
633005	387309	Franki (1967-1968)
633005	391950	
633005	397250	Liz Reynolds
633005	399677	Joan Gamble
633005	402682	Dr. Emily Hanover (1982-1983)
633005	404613	Wilma Holliday (1986)
633006	36973	Mabel
633006	73714	Meyers' Secretary
633006	80670	Woman With Dog
633006	107702	Elevator operator
633006	114303	Nurse
633006	183742	Stewardess
633006	239048	
633006	289580	Girl
633006	340964	Secretary
633006	372167	
633007	216737	Little Sister
633008	396019	Additional Voices
633009	160065	Ramona
633010	113338	Mary Hayakawa
633010	298928	Sara
633011	62793	Rebecca
633011	194981	Jaretha Franzetti
633011	390630	Siobahn
633012	13338	
633012	99832	
633013	231032	Matron
633013	248568	Woman
633013	401350	Miss Nolan (1965-1969)
633014	387309	Sybil Gordon (1957-1958)
633015	49254	Jailhouse Gertie
633015	59838	Mrs. Olaf Olson
633015	69302	Bit
633015	70214	Helen Shalton, singer-call gi
633015	105204	Mrs. Craig
633015	116963	Fat Woman
633015	120748	Queenie LaVerne
633015	125849	Lillian Russell
633015	130305	Marianne
633015	133880	Lillian Russell
633015	142557	Singer
633015	154063	Woman in Cafe
633015	157456	Martha
633015	157870	Miss Lou
633015	169167	Belle
633015	190061	Mrs. Cotton
633015	191588	Woman
633015	199466	Tipsy Blonde at New Year's Ev
633015	218349	Wedding Witness
633015	228829	Mamie
633015	234141	
633015	238633	Rosabelle
633015	261560	
633015	273600	Melba
633015	276748	Flora (blonde with Gordito)
633015	286929	
633015	288205	Mrs. Pearl Hurley
633015	297005	Song Chairman
633015	301829	First Tart
633015	304504	Mme. Renault
633015	305395	Clerk
633015	310287	Laura Constable
633015	312795	Blonde
633015	316664	Blonde
633015	330768	Blonde
633015	331551	Mrs. Foster
633015	365271	Dixie Belle
633015	367518	Lil Logan
633016	163048	Bartender
633017	48468	Lorraine
633017	298076	Dancer
633018	231916	
633018	375792	Alice
633019	140261	Child
633020	214851	
633020	327451	
633021	6699	Dora
633021	29569	Miss Wilson
633021	69718	Virna
633021	89907	Indian Wife
633021	101868	
633021	108748	Girl in the park
633021	156911	Liliana, his fiancée (segment
633021	183489	Miriam
633021	187934	
633021	189003	Lupe
633021	204593	
633021	218459	Lilamani
633021	219591	Jane
633021	269181	La figlia dell'ortolano
633021	289697	Amina
633021	290630	Yvonne
633021	307460	
633021	348733	Princess Diana
633022	384908	Valentine
633023	127730	Vikings Dance Squad Member
633023	323848	Reporter #2
633024	67896	Younger Mini McGann
633024	73835	Little Asian Girl
633024	134594	Nina McCauley
633025	46215	Holly
633026	17490	Woman Author
633027	81170	Young Clown
633027	292275	Heart
633028	24432	Dancer #2
633028	45591	Dancer
633028	243150	Dancer
633028	396452	Magic Assistant
633029	213941	Stewardess #1
633030	297257	
633031	188227	Mrs. Slade
633031	274400	Psychiatrist
633033	273837	
633034	65926	Jill
633035	259219	Officer
633035	279693	Dr. Tamara Brown
633036	52145	Beth Lucas
633036	73641	Elizabeth Cromwell
633037	81658	Margot Shelby
633037	115484	Millicent
633037	125817	Dot Hopkins
633037	128313	Jacqueline
633037	163275	Musette
633037	192601	Sally Barton
633037	199097	Aimee
633037	213041	
633037	256216	Anne Benson
633037	285686	Nancy
633037	285727	Pat Holm
633037	290349	Joan Martin
633037	305636	Anne
633037	311032	Clare Marley
633037	321177	Jill Turner
633037	326100	Nancy Forester
633037	330960	Joan Longhurst
633037	333097	Tilly Welwyn
633037	362456	Lucy
633037	363554	Bubbles Thompson
633038	146069	Nina
633039	45546	Student
633039	206595	Caterer
633039	298120	Snapshot Couple
633039	308713	Girl on Street
633039	408968	Betsy
633040	15892	Sasha
633040	26289	Helga Von Haupt
633040	26725	Headmistress
633040	79775	Mrs. Emily Loatley
633040	115805	Nurse Davis
633040	120439	Wladek's Wife
633040	144698	'The Snake,' Camp Matron
633040	199390	Sousatzka's Mother
633040	231389	Marie
633040	262534	Convent Sister
633040	279979	
633040	291503	Miss Holly
633040	292788	Miss Quick
633040	382169	Dot Moxon
633040	392461	
633040	392483	Camilla
633040	393314	Grace Poole
633040	393491	Clarissa Peplow
633040	411090	Alice
633041	30311	Stills Photographer
633042	118924	Elizabeth
633042	150750	Beryl Stapleton
633042	367695	Jennifer
633042	383631	Dr. Philippa Kinross: Locum C
633042	393679	Becky Johnson/Taylor
633042	393939	Fiona Crawford
633042	398294	Angela
633042	401077	Clare Shearer (1998-1999)
633042	401214	Bunty Morrell
633043	62489	K.C.
633043	68070	Ashely Van Dyne
633043	72463	
633043	128470	
633043	138812	Isabel
633043	154593	Alison
633043	212103	Cynthia McLean
633043	226515	Waitress
633043	241000	Moira Ingalls
633043	241814	Betsy
633043	315902	
633043	350205	
633044	283371	Group Singer
633044	291771	Hostess
633044	335285	Brady's Receptionist
633045	212103	Mrs. Rouget
633046	230934	Art Gallery Guest
633047	361238	Recent Desert Arrival
633048	362588	
633049	388209	Laura Halpin (2001-)
633050	215589	
633051	214078	Yvonne Dionne, 6 yrs.
633052	214078	Marie Dionne, 5 yrs.
633053	157137	Nadine
633054	315557	Hungry, Liverpool Pickup
633055	214078	Emilie Dionne, 5 yrs.
633056	60849	Abby Gellar
633056	160631	Karen's Sister
633057	315198	Euridyce
633058	41853	Kate McQueen
633058	77928	Sharon Harris
633058	110376	Fran
633058	141647	Annie Dysart
633058	203021	Angelica
633058	226905	Mary Dillon
633058	236681	Diana Moore
633058	285771	
633058	292375	
633058	315198	Vanessa
633058	315220	Herself
633058	384149	Georgia Batie
633058	385651	Angie Fox
633058	386924	The Blue Dragon
633058	390164	Robbie Dean
633058	391774	
633058	400521	Presenter
633058	400775	Virginia Morgan
633058	403277	Stephanie Harper/Tara Welles
633058	403278	Stephanie Harper
633058	411809	Dr. Liz Kennedy/Forrest (1979
633059	400358	Jury Member
633060	54421	Bernice Stewart/Sharon
633060	63945	
633060	70916	Ginny Malmquist
633060	158298	Laurie Shallot
633060	191746	Beth
633060	349898	Madonna wannabe
633060	400219	Jan Hatton
633061	83115	
633061	209614	
633062	31255	Interviewee/Real World
633062	119795	Herself
633062	273441	Herself
633062	402993	Herself/Paris (2003)
633062	403000	Herself/Real Worlders
633063	335258	Hawaiian Singer
633064	273671	L'assistante sociale
633065	41919	
633066	186	Sylvia
633066	1711	Poole's mother
633066	7153	Becky Thatcher
633066	11582	Emily Schuyler
633066	28751	Faline (adult)
633066	32006	Isobel at age 10
633066	37460	Susan Peabody LaRue
633066	52373	Rosalia as a Child
633066	60189	Angela
633066	97580	Nancy Gray, Student Reporter
633066	124085	Convent girl #2
633066	124694	Helen Dowell
633066	129231	Brenda Lee
633066	133880	Mary Lou as a child
633066	141807	Herself
633066	158067	Gloria Winthrop
633066	165558	Paula Rainey
633066	165561	Paula Rainey
633066	177397	Peggy 'Princess' O'Rourke
633066	192009	Nan
633066	192131	Little Orphan Annie
633066	203039	Penny Winters
633066	203133	Little Girl
633066	209679	Jane Goodwin
633066	210764	Flower Girl
633066	220911	Joey aka Abigail
633066	224119	Valerie Malette
633066	231390	Nancy Dana
633066	238633	Winnie Mae
633066	251644	Fleurette
633066	261506	Little Alice
633066	302467	Becky Anderson, Class Preside
633066	302708	Lou Ann Stevens
633066	312774	Herself
633066	321375	Sue
633066	333300	Nora Leary
633066	336773	Frankie Taylor
633066	346201	Gwendolyn
633066	346204	Letty Lou
633066	360123	Judy
633066	372115	Peggy
633067	41329	Cody's mom
633067	73326	Nun
633067	80782	Joanne
633067	105792	Mrs. McCombs
633067	250873	Juror Wentz
633067	324422	Reporter
633068	145080	Bingo Attendant
633068	150794	
633068	223643	
633068	224345	
633068	241461	Teacher
633068	253245	Dianne
633068	365326	Smoking Mother at Mall
633069	59133	
633070	120091	Lilla Grisen
633070	258990	Ester's friend at the nightcl
633071	155072	Receptionist
633071	396123	Unknown (1992)
633071	404002	Elizabeth Maxwell (1985)
633073	205452	
633074	73768	Cashier
633074	79891	
633074	93959	Chloris Klinghagen
633074	109938	Slot Machine Lady
633074	110251	Shopper
633074	119466	Marge
633074	161537	Court Reporter
633074	213231	Bus Ticket Clerk
633074	308025	Mary, Claire's Maid
633074	314156	Duff's Mom
633074	364367	Gown Woman
633074	390312	Mary
633076	16127	ICU nurse
633076	94726	Maria
633076	154372	Janet
633076	195519	Jane
633076	222300	Additional Voices
633076	363414	Secretary
633076	379197	Additional Voices
633076	379633	Augie Shumway, Rhonda
633076	379644	Augie Shumway, Rhonda
633076	383125	Ms. Demeanor/Grace Elizabeth 
633076	383410	Kootie Pie Koopa
633076	383411	Kootie Pie Koopa
633076	386615	Kitty
633076	386922	Dendé (I) (1997-1998)
633076	388012	Additional Voices (1985- )
633076	392294	
633076	398513	Additional Voices
633076	406982	Spryte (1989-1991)
633076	407137	Abby
633077	56304	Country Club Woman
633077	351187	Saleswoman
633078	57818	Daisy
633078	141333	Mary Magdalene
633078	160463	Mary
633078	197016	Kelly
633079	18662	Women
633080	40603	Diner
633081	117424	Dancer
633081	147906	Dancer at Pool
633081	198831	Bikini Girl
633082	37374	Liz
633082	183723	Shop Assistant
633082	245513	Irene Lloyd
633083	108559	
633084	59746	Stéphanie Berger
633085	323225	Mrs. Kent
633086	130626	Eleanor Montgomery
633087	219864	Mrs. Owens
633088	241243	Social Worker
633089	303696	Linnie
633089	383078	Jeanette Wilson (2003)
633089	384142	Tracy Butler
633089	385646	DC Nicky Green (1995)
633090	74215	Amy Whittaker
633090	112401	Rosemary
633090	115713	Susan
633090	137577	Roseanne
633090	144785	Marge
633090	158971	Sally
633090	200416	Sandy
633090	208085	Gloria Doran
633090	218169	Barbara Brach
633090	221785	Nurse Armstrong
633090	251173	Susie
633090	379744	Mabel Blakeney
633090	382743	Sister Philomena
633090	385474	Little Caroline
633090	399130	Cheryl Stark (I) (1993-1996)
633090	402197	Helen Smart (1980-1984)
633090	404927	Greed
633091	49945	Librarian
633092	200108	Girl
633093	32865	Mother
633093	57217	Aunt Clara Edwards
633093	99475	Claire Osborne
633093	122788	Mrs. Helen Carrington
633093	138909	Mrs. Maude Stover
633093	144936	Mrs. Seth Lord
633093	148273	
633093	186277	Cora Caighn
633093	252981	Isobel Bradford
633093	253915	Mrs. Darling
633093	289400	Alice Hanover
633093	304096	Lt. Cmdr. Stauton
633093	327785	
633093	340542	Sister Barbara
633093	348532	Mrs. McGuffey
633093	360301	Louisa Daniels
633093	367746	Evelyn Andrews, Gifford's sis
633093	402245	Mrs. Darling
633093	402245	Mrs.Darling
633094	385028	Danielle Correlli
633094	390917	Michelle Froggat
633095	57408	Virgin
633096	33540	Les Fées/Pas de cinq des Pier
633096	65410	L'étrangère
633096	208836	Herself
633096	336997	
633096	376953	Herself
633097	269305	Native Girl
633098	209118	
633099	6860	
633100	37035	Traveler
633101	307985	Yolanda at age 12
633102	78925	Rose LeNoire
633103	56545	Herself
633104	214924	Carla
633104	287777	Boutique Owner
633105	160706	Singer
633106	29770	Marceline
633107	292046	
633108	280146	
633109	157489	Teddy's Mother
633110	363407	Herself
633111	386236	Additional Voices
633112	264158	Beach Student
633113	52840	Emily Gilman
633114	93821	Pagan
633115	123881	Julie Davis
633116	52840	Mary Gilman
633117	153812	Marie de Bourgogne
633118	356230	Model
633119	279730	Undetermined role
633119	309581	Motion Picture Crew
633120	62571	Additional Voices
633121	105182	
633121	131778	Woman officer
633121	386859	Herself/panelist (1951-1954)
633121	390325	Gertie (1969)
633121	408278	Daphne
633121	410908	Herself/panelist (1957)
633122	312783	Costume Lady
633123	253047	Jenny
633124	24505	Kristin
633125	161382	Herself/Interviewed
633125	320431	Herself
633126	360093	Herself
633127	41301	Jake's Patient
633127	345717	Mazel Knight
633128	153611	Nurse
633129	13637	Sportscaster Applicant
633130	41696	Mytyl
633131	313189	Playboy Mansion Guest
633132	347246	
633133	241810	
633133	293760	Claudine
633133	331622	Veronica
633133	367903	Loveland
633134	62498	Magda
633134	139790	Harvey Girl
633134	199318	Nurse
633134	278607	Woman
633135	37271	
633136	31632	Deborah
633136	128246	Nancy
633136	139739	Sapphire
633136	354521	Elsa
633137	242633	Performer
633137	261868	Soprano
633138	19954	Old lady in park
633138	26305	Joe's mother
633138	32641	
633138	37280	
633138	37466	Train passenger
633138	40483	Village Talking Machine
633138	45667	Mother Malone
633138	46720	
633138	47614	
633138	49490	Bearcat
633138	54529	
633138	59910	
633138	68376	Joe's mother
633138	72286	The cook
633138	72497	Jackie's mother
633138	72714	
633138	78132	Deborah Hammond
633138	90149	
633138	92136	
633138	96652	Hagar Morne
633138	96673	Aunt Jane Putnam
633138	106609	
633138	111904	Mrs. Cullison
633138	131514	Mrs. Fite
633138	140106	
633138	152202	Widow Douglas
633138	155694	
633138	157312	Mrs. Cameron
633138	163410	Farmer's wife
633138	176737	Aggressive non-customer
633138	186031	
633138	190239	Old Maid
633138	193913	
633138	199358	
633138	206926	Dollmaker's wife
633138	211607	
633138	212227	The Warrior's Mother-in-Law
633138	218772	
633138	220033	Dippy
633138	229110	Villager
633138	230312	
633138	230313	Mrs. Dale
633138	230425	
633138	230436	
633138	233818	Nurse
633138	235673	
633138	241761	Carlene Culpepper
633138	254267	Mrs. Hobbs
633138	261499	
633138	285353	Customer
633138	289240	
633138	293171	
633138	294203	Mrs. Todd
633138	299389	Woman in audience
633138	299878	Mrs. McHungry
633138	300020	
633138	300026	Train passenger
633138	312779	Mickey's mother
633138	313867	
633138	319008	Mrs. McTeeter
633138	335117	Widow Douglas
633138	335664	The Head Nurse
633138	343151	Motorist
633138	346959	
633138	362542	A neighbor
633138	364436	The wife
633138	365390	
633138	366619	
633138	372853	
633138	374272	
633139	128234	
633140	111409	Fairy
633140	118468	Mona
633140	217532	Secretary
633141	210532	Lotta Lov
633142	379831	Dancer (1989)
633143	47348	Lena Little
633144	265904	Guardian Angel #3
633145	118934	Inmate
633146	45084	
633146	48625	
633146	81323	
633146	217316	Thelma Vaddez
633146	254462	Mary Crandall
633146	272960	Nora Hastings
633146	299748	Bess Hale
633146	345862	Helen Clayburn
633146	367297	Mary Clark
633147	385299	Rosie Gouch
633148	38130	
633148	345684	Grace Worthy
633149	210406	Herself - Band Vocalist
633149	279278	Herself - Band Vocalist
633149	327499	Herself
633150	406286	Nurse
633151	11268	Rowena
633151	329692	Meths Drinker
633152	160034	News Programme Presenter
633152	258550	Miss Grosvenor
633152	363011	Herself
633152	366726	Annie
633152	380259	Elizabeth Fitt (1980-1981)
633152	392200	Avril Rolfe
633152	396402	Anna Marie Jordahl
633153	235491	
633154	20831	Charlotte
633154	26394	Joy
633154	40431	Tamara Knight
633154	111783	Jeanine
633154	130063	Jonelle
633154	134345	Receptionist 1
633154	206477	Bugsy's Blonde
633154	296306	
633154	338276	Paradise
633154	365183	Jessie Hazlitt
633155	313635	Dance Instructor
633156	367456	Princess Circassy
633157	379160	Reporter
633158	34313	Karen Hauen
633158	47923	
633158	60873	Natalia
633158	65861	Peggy Lake
633158	166690	Jennie
633158	183331	Pamela Pryor
633158	196489	Elmira Royster
633158	204174	Dottie Haley
633158	220901	Terry Parker
633158	243206	Elsie
633158	263601	Myra Tinsley
633158	308354	
633158	319066	Tony Black
633158	320785	Mabel MacKenzie
633158	324054	Judy
633158	329493	Emily
633158	358564	Millie
633158	361790	Sue Creighton
633158	366395	Margie Stafford
633158	367970	Sailor's Girl Friend
633159	328555	Angela
633160	290080	Samantha's Mother
633161	17696	Red Cross Woman #2
633161	37122	Aly, Keiko's Friend
633161	40533	Good Samaritan on Subway
633161	73811	Kari Tucker
633161	81884	Activities Coordinator Alexa 
633161	81973	Franny
633161	138737	Hanna Lester
633161	310877	Patty Gurwitz
633162	232213	Kim
633163	249265	Secretary
633163	386963	Kelly James (1998-2000)
633163	403436	Nicole
633164	388597	Various roles
633165	72325	
633168	3966	Vera Zechlin
633168	51807	Jennifer
633168	205635	Lucile
633168	211672	Carole
633168	246017	Julie
633168	272754	
633168	283242	Margot
633168	307570	Sandra
633168	325528	Veroniques
633168	341099	Annabel
633168	376318	
633168	385845	Chair 21 (segment "Lourde gue
633168	387735	Isabelle d'Astigny (1987)
633169	78796	Student #2
633169	96763	Bridget
633169	165964	Renee
633170	8186	Amanra
633170	23254	Irgrid
633170	29654	Mrs. Drenkard
633170	165261	
633170	167820	Australian Group #4
633170	289314	Mrs. Wong, Newscaster (Manga 
633170	317326	Nika
633170	329464	The therapist
633170	333861	Laura Francatelli
633170	334134	Ground Stewardess
633170	364510	Receptionist
633170	368416	Miss Field
633171	57684	Herself
633171	112302	Charlotte Parks
633171	113337	Officer Jane Proudfoot
633171	119056	Herself
633171	151609	Debra Salhany
633171	186063	Carol Wyman
633171	223919	Herself
633171	292637	Ellen Hayward
633171	311979	Georgia
633171	320088	Narrator
633171	388892	Irene
633171	389275	Rozalinda 'Roz' Doyle
633171	392421	Herself
633171	392424	Herself
633171	395691	Lana Lionheart
633172	137462	Dancer
633172	207268	Female dancer
633173	320100	Woman
633174	73872	Guide
633174	109052	Carol
633174	132024	Sascha Cass
633174	222331	Pharaoh's Wife
633174	237787	Terry
633174	263214	
633174	288720	Margaret
633174	307970	
633175	98027	
633176	31917	
633176	33404	Belinda
633176	37804	
633176	39972	
633176	47957	
633176	68486	
633176	78953	Sibil Ainsworth
633176	130051	Eunice
633176	143098	The reporter's sweetheart
633176	219254	Virginia Dawley
633176	245570	Sylvia Daunt
633177	312556	Agnes Powell
633178	161789	
633179	209061	Credit Girl
633180	176547	Charlotte
633180	234832	Zuster Marie-Paule
633180	408151	Gerda Van De Wiele (1997)
633180	412045	An Treunen
633181	16113	Sunny
633181	68179	Jane Mackenzie
633181	126697	Vera Ware
633181	129580	
633181	150268	
633181	177280	
633181	177281	
633181	177282	
633181	224224	Dr. Sarah Presnell
633181	238637	Insensitive Nurse
633181	327062	Elizabeth
633181	362310	Judge Patricia Corham
633181	403469	Joan
633182	61326	Paula Taymore
633182	70426	Callie Prue
633182	109931	Dianne
633182	149804	Lucy, Annie's Assistant
633182	164590	His Girlfriend
633182	207057	
633182	269590	Kayley
633182	293113	Annie Nicole
633182	382556	Lauren Davis (2000-2002)
633182	390789	Folia
633182	411828	Gertude of Griswald
633183	212026	Award Hostess
633184	261835	Marie-Antoinette
633185	170522	Girl
633186	296732	Randy
633186	304395	Julie Ward
633186	304397	Julie Ward
633187	209592	Bit part
633188	64449	Nurse
633189	128583	Miss Paisley
633190	77146	Dallas Cowboy Cheerleader
633191	73703	Cathy
633192	284562	
633192	325413	Boutiquebesitzerin
633192	325499	Conny
633192	390193	Letter turner (1987-1998)
633192	392669	Schwester Yvonne
633192	404431	Callgirl
633193	47237	Jesse
633194	107917	Little Lady at Market
633195	43767	Muriel, M. Nerval's secretary
633196	377014	
633197	41518	Inez
633197	59665	Nun
633197	70778	Trina, Waitress
633197	321367	Mariangela
633197	350424	Lola
633198	30646	Student #4
633199	158855	Gloria
633200	369980	Morgana
633201	143551	
633202	50049	
633202	58144	
633202	242679	
633202	272589	
633202	396417	
633203	161846	
633204	14924	Tamara
633204	83458	Lilian
633204	86503	
633204	104490	
633204	112757	Selma
633204	112760	
633204	119678	
633204	148466	Renata
633204	171532	(segment "O Noivo")
633204	195118	
633204	196662	
633204	205462	
633204	208143	Camila
633204	237933	
633204	307532	
633204	336321	Gilda
633204	343634	Arlete
633204	344741	
633204	380081	Zélia
633204	380330	Paula
633204	380386	Lilian
633204	384922	
633204	387052	Zuleika
633204	387777	Carla
633204	388416	
633204	390751	Natália
633204	395822	Lígia
633204	396886	Ingrid
633204	402371	Andréia Barcellos
633205	58144	
633206	385485	
633207	24998	
633207	48179	
633207	355758	
633208	56108	Mujer de la cooperadora
633209	3474	
633209	8456	
633209	19455	
633209	42642	
633209	53082	Teresa
633209	101467	
633209	106458	
633209	148106	
633209	233570	Lucia
633209	250408	
633210	353619	
633211	386126	
633211	393176	Marga
633211	397598	
633211	400490	Hilaria Rivero
633211	402050	La Chata
633212	181071	Herself
633213	315844	
633214	368654	Mother
633215	41238	Samchin Musician
633216	280398	
633217	13224	Irate Woman
633217	56142	Kathy
633217	111170	Jackie
633217	115603	Nurse
633217	119358	Harry's Teacher
633217	141375	Herself
633217	148586	Woman with Randolph
633217	157240	Newscaster
633217	158587	Yolie
633217	161168	Toni
633217	233989	Judy
633217	252271	Dale Martinez
633217	263498	Officer Hudson
633217	287701	Cassie Moore
633217	305660	Doreen Cole
633217	314684	Miss William
633217	336663	Kareen
633217	341493	
633217	346341	Nina
633217	367768	Wendy
633217	387728	Adele Newman (1997-)
633217	399684	Semiramis
633217	399685	Semiramis
633217	402270	Angel Brown (1996-1998)
633218	6219	Laroche's Mom
633218	11632	Norma
633218	17197	Obstacle Course Lady
633218	37047	Old Lady
633218	129762	Gnome Maiden
633218	160375	Woman in car
633218	175860	Prostitute
633218	295326	Ellen Reardon
633218	406363	Woman in store
633219	5269	
633220	6468	Alicia
633220	13079	Andrea
633220	14409	
633220	16129	
633220	18693	Ana
633220	21981	
633220	23230	
633220	30998	Sheila
633220	33519	
633220	39302	Floriane
633220	44529	
633220	46654	Gina
633220	52775	
633220	53064	Miss Adams
633220	55768	
633220	55930	
633220	61200	
633220	65015	
633220	65638	
633220	67218	
633220	71006	
633220	74034	La esposa del editor
633220	74282	Hannah
633220	74904	
633220	84050	
633220	96314	
633220	99723	
633220	103047	
633220	103776	
633220	103852	Teresa
633220	104152	
633220	106268	
633220	106317	
633220	109597	Gim
633220	115036	Herself
633220	117331	Jane, sua madre
633220	132671	
633220	135288	Mamá (Mercedes)
633220	142311	
633220	146447	Maria
633220	146505	
633220	170061	
633220	170076	
633220	184870	Lola de Casals
633220	193524	
633220	207980	
633220	210179	
633220	211043	
633220	221690	Carmen
633220	225038	Adela
633220	233656	Patricia
633220	235744	Elena
633220	236010	
633220	236027	Julia
633220	253592	
633220	255548	
633220	257558	
633220	268458	Caroline
633220	269571	Núria
633220	274766	Margie
633220	292709	
633220	292734	
633220	292919	Julia
633220	293383	Nana
633220	310969	Ursula
633220	335366	Madre de Gabi
633220	339180	
633220	341643	Hannah
633220	342064	Teresa
633220	353193	
633220	353349	
633220	353556	Marita
633220	353654	
633220	359079	Evelyn
633220	369437	Herself - Presenter: Best New
633220	370062	Abuela de Sara
633220	376667	Teresa
633220	376836	
633220	378429	Berta
633220	385864	Lola
633220	390420	Jeanine
633220	400795	
633220	400840	Carlota (2000)
633220	402780	
633220	404107	Jeannine
633221	73281	Madre Hada
633222	279707	
633223	25558	
633223	74529	
633223	74531	
633223	75386	
633223	80350	
633223	82269	
633223	97370	
633223	99439	
633223	113227	
633223	134429	
633223	135052	
633223	148089	
633223	160092	
633223	160611	
633223	192986	
633223	250447	
633223	252148	
633223	258485	
633223	268254	
633223	287734	
633223	292916	
633223	293053	
633223	324077	
633223	328157	
633223	356667	
633223	377158	
633224	103496	Enfermera
633225	67457	
633226	103982	
633226	103983	
633227	303385	
633229	371696	
633230	213389	Aeropuerto
633231	48838	
633231	52155	
633231	80162	
633231	104157	
633231	111636	
633231	192669	Rosita
633231	199786	
633231	216094	
633231	221706	
633231	233466	
633231	251578	
633231	255015	
633231	260521	
633231	273705	
633231	284963	
633231	291644	
633231	294858	
633231	324178	
633231	332674	
633231	332715	
633231	336324	
633231	349457	Ana María
633231	349845	
633231	378365	
633232	118157	Herself - Performer
633232	118158	Herself - Performer
633232	230013	Herself
633233	3456	
633233	22747	
633233	30722	
633233	50149	
633233	70044	
633233	90527	
633233	98680	
633233	100439	
633233	103157	Azucena
633233	121425	
633233	140824	
633233	148175	Susana
633233	206921	
633233	209076	
633233	212468	
633233	216761	
633233	222045	
633233	222397	
633233	230245	
633233	235928	
633233	255508	
633233	277376	
633233	328170	Susana
633233	333745	
633233	334700	
633233	335988	
633233	343727	
633233	351949	
633233	371763	
633233	379598	Susana
633233	391757	Host
633233	407091	Hostess
633234	253284	Crista
633234	253317	
633234	302431	
633234	371774	
633235	145441	Teruaki's Mother
633236	238665	
633236	238667	
633237	1257	
633237	1284	
633237	30750	Jewelry Store Owner
633237	31838	Dancing Bear
633237	72173	Gym girl
633237	115062	Exotic Girl in Ming's Bedcham
633237	120979	La femme de Pierre
633237	144786	
633237	157662	Femme soirée de la cave
633237	228256	Herself
633237	237214	
633237	304343	
633237	396071	Herself
633237	398410	Miss Gina (1959-1960)
633238	273910	Neighbor
633239	159537	Chef's daughter
633240	276924	Sales Woman
633241	391362	Therese
633242	363262	Miss Pennsylvania
633243	41195	Nurse
633244	305432	Tine
633245	35859	
633245	60724	Iskra
633245	60811	Momicheto
633245	79223	Kita
633245	97562	Momicheto
633245	156003	Maykata
633245	156262	Katerina Glaoushev
633245	179092	Mariya
633245	305905	Sevda
633245	311584	Mila
633245	320534	Irina
633245	373242	Mariya
633245	386025	Sofi
633245	402033	Galabina
633245	402131	Irina
633246	176728	Jocelyn
633246	204522	Young Dottie
633247	15127	
633247	25683	
633247	56083	
633247	72075	
633247	144315	
633247	159390	
633247	227526	Sylvia
633247	267405	Marta
633247	279900	
633248	176802	
633249	10246	
633249	23879	
633249	89748	
633249	219422	
633249	233261	
633250	332629	Ella
633251	104111	Estudiante
633251	352009	
633251	392950	
633252	252781	Una de las que se besan
633253	96338	Bailarina
633254	20990	Herself
633254	235952	Lorina
633254	334354	Jackie
633255	20458	Additional Voices
633255	30736	Additional Voices
633255	49715	Additional Voices
633255	63711	Additional Voices
633255	63712	Additional voices
633255	199109	Additional voices
633255	271676	Additional Voices
633255	283624	Additional Voices (Manga Vide
633255	373380	
633255	373382	Additional Voices (Media Blas
633255	373384	Suimei
633255	387419	Additional Voices
633255	406702	Additional Voices
633256	72266	Voice-Over
633256	209728	
633257	129568	Clarabel's Girlfriend
633258	51916	
633259	123688	
633260	32026	Une bourgeoise
633260	108707	Premier page
633260	270453	
633260	377280	Lina
633260	389000	Emilie
633261	186707	
633261	213829	
633261	307351	Sarah
633262	307596	
633263	279974	
633264	87223	Janelle
633264	320745	Agent Philly
633265	7510	Lauren
633265	213618	Himself
633266	11844	Luzie
633266	18350	Judy
633266	49287	Alexandra
633266	98259	Helen
633266	119250	
633266	236039	Lissy
633266	242710	
633266	278390	Tina
633266	281654	Rike Nicolai
633266	356550	Anne
633267	51066	Em
633268	26477	
633268	26633	Herself - Angel and The Rerun
633268	34724	
633268	44654	
633268	246470	
633268	318753	
633268	335949	
633268	389621	Herself
633269	340546	Cashier
633270	179345	
633272	289372	Featured Extra
633273	289372	Featured Extra
633274	195134	Cashier
633275	18	Party Guest
633276	165134	Herself (auditioning for the 
633276	297233	First Housewife
633277	15220	Pincus
633277	20625	Sporting Lady
633277	29441	Peggy Revere
633277	33412	Bianca de Passe
633277	50492	Aunt Sophie
633277	71300	Queenie
633277	77667	
633277	124056	Elizabeth Rennick
633277	124759	Mme. Rubens-Chatte
633277	127621	Madame Alvarez
633277	139791	Mrs. Koogleman
633277	151529	Miss Sandwich
633277	154849	Miss Grimshaw
633277	163774	The Woman
633277	192102	Mme. Armfeldt
633277	209619	Mrs. Wilson
633277	211565	Ida Witherspoon
633277	222459	Lady Effigie Munster
633277	223065	Eulalie Mackechnie Shinn
633277	226912	Lilly Harris
633277	244834	Spinster
633277	255261	Miss Tompkins
633277	265740	Mrs. Luce
633277	280167	Angelica
633277	302204	
633277	307998	Lizzie Appleby
633277	310607	The Lady Bus Conductor
633277	329565	Appearance
633277	341436	Miss Squeek
633277	366428	Witch
633277	368449	Undetermined Role
633277	381552	
633277	393211	Herself (1958-1962)
633277	400240	Herself/panelist
633277	408497	Herself (regular performer, 1
633278	218004	Herself
633279	41278	Sarah
633280	172574	Magda
633280	179347	
633280	180770	
633281	200208	Citizen of Pekin/Ensemble
633282	154110	1st French Girl
633283	75629	
633284	80558	Pregnant Couple
633285	287159	
633286	21084	
633287	8127	
633287	102126	
633287	107332	
633287	154443	Anna Karamanou
633287	164455	Antonella
633287	183203	
633287	204640	
633287	209761	
633287	243447	Eleni Zamano
633287	247602	Singer At Night Club
633287	296158	Ermioni
633287	332237	
633287	387358	Reveka
633287	387571	
633287	394078	
633287	406690	
633288	229505	Linda
633288	385824	Mitzi Runnley #2 (1982-1983)
633289	377805	Cecilia
633290	221737	Gente de carnaval
633291	11821	Anja
633292	370138	
633293	409734	Sashka
633294	119096	Sharon
633295	238161	Quentin's Mom
633296	191799	Waitress
633297	20625	Extra
633298	20625	Extra
633299	64740	Catherine Hearst
633300	343279	Waitress in roadhouse
633301	99427	
633301	390242	Charlotte 'Charlie' Fischer (
633302	392530	Herself - Finalist #6 (2002)
633303	396792	Saori Utsugi
633304	334568	Cigarrera
633305	348386	Becky
633306	124017	Crying Woman
633307	20625	Extra
633309	340560	Laurie Benson
633310	259128	Musician
633311	66920	
633313	208455	Bertha
633314	76664	
633315	385219	
633316	165023	Casa Clubs
633316	306221	Store Owner
633316	392337	Various
633317	2382	Student in courtyard
633318	93191	
633318	118763	Mental Patient
633318	358339	Miss Hicks
633318	394676	Sheila Fisher (1985)
633319	313583	Usherette
633320	33179	Lester's Friend
633320	41942	Repelled passerby
633321	68404	Une infirmière
633322	192278	Bambi
633323	155912	
633324	304195	Frau Mag. Perle
633325	78915	Girl in Photo #1
633326	350412	Mary of Bethania
633327	234977	Clotilde
633328	7336	
633328	18442	Abuela
633328	31805	Bárbara Titana
633328	103992	
633328	143754	
633328	183504	Criada del Rastro
633328	234403	
633328	236021	
633328	263089	Bel
633328	332913	
633328	361567	
633329	14668	
633330	285241	
633331	2634	Francesca
633331	75652	Wally's Lawyer
633331	110285	Debbie
633331	146936	
633331	255442	Young Mother
633332	3399	
633332	33466	Bianca
633332	42030	Madeleine
633332	51805	Marie
633332	57978	
633332	82359	Gatumba
633332	83462	Marcela
633332	101825	
633332	108902	Jeannie as a teenager
633332	114336	Enfermera
633332	124527	Lucha
633332	189304	Angélique Diderot
633332	190744	Lila
633332	205727	Marie
633332	231298	
633332	249713	Stéphanie
633332	279226	Stella
633332	345312	Herself
633332	355847	Claire
633332	356508	Sigga
633332	379655	Jeanne 20 ans
633333	68061	
633333	124042	
633333	135350	
633334	171700	Ward patient
633335	399657	Herself (1992-1994)
633336	459	
633336	10298	Lucy, attrice di varietà
633336	13067	Diana Ponzio
633336	23589	L'attrice
633336	27100	
633336	34031	Giuliana
633336	38395	
633336	51697	Daniela 'Lili Marlene'
633336	54148	Anna Berti
633336	56029	Anna Mendes/Marta
633336	57966	La moglie del segretario
633336	71225	Cristina Redy
633336	87043	Molly Warner
633336	90755	Hilda von Schwartzendorf, Naz
633336	90973	Grace Peterson
633336	119855	
633336	125760	Theresa, the schoolteacher
633336	129027	La dottoressa Virginia Larsen
633336	134317	Judith
633336	139440	Muriel
633336	184968	Lisa "Lissy" Rossi
633336	198601	
633336	206039	Carla
633336	214004	Figlia del scienziato
633336	255035	La spia inglese
633336	260908	Jeanne Fortier/Lise Perrin
633336	262223	Clara Tolnay
633336	263917	Jane Blue
633336	278749	Elena's Mother
633336	281887	Clara
633336	294399	Helga Grueber
633336	294946	Alice Jansen
633336	295133	Ella Jüttner
633336	301340	Dolly
633336	342100	La soubrette
633336	351850	Lucy Davies
633337	3169	Caesarino's 'Niece'
633337	13094	Elisabeth (segment "La grande
633337	112638	
633337	174482	
633337	197572	
633338	1074	Emily Hollywood
633338	26667	Herself
633338	381091	Herself (eliminated round 6)
633339	281758	
633340	316153	Abducted girl in street
633341	158852	
633341	193081	Rosetta
633341	301384	
633342	198904	Donna Amalia
633343	164984	Girl in Crowd
633344	45456	Girl #1
633345	135352	María
633345	147753	Rita
633345	222640	
633346	187198	Victoria McWilliams
633346	227497	Pauline
633346	375235	
633346	406539	Adriana
633347	255122	
633347	392787	
633348	88193	Blandine
633349	324287	Mimi
633349	380481	
633350	291447	Bishop's Girlfriend
633351	83367	Véro
633351	398096	Emmanuelle Benoit
633351	401983	Joëlle Lauzière-Gagnon
633352	242688	Carmela Graziadei
633352	276526	Carmela Graziadei
633353	394713	
633354	337508	Maria
633355	91377	
633357	204241	Lisa
633357	269001	
633358	33811	Carla Santini
633358	269480	
633358	387465	Artemisia Scalzi
633359	60130	
633360	353464	Prostitute
633361	138474	
633362	67104	Elisabetta
633362	82413	
633362	83768	
633362	234735	
633362	266931	
633363	14859	
633363	127943	Pupetta
633364	341393	Fidanzata di Francesco Grigio
633366	87042	
633367	6568	Grazia Serritella
633367	29780	
633367	42169	Dagmar Neuss
633367	43146	
633367	49676	Jasmine
633367	55930	Ruth
633367	55979	Margaret
633367	61367	Daniela
633367	86901	Claudia
633367	90752	Suor Esperanta
633367	103554	Maria
633367	119214	Coralie
633367	121299	Gius
633367	157176	
633367	160136	Catherine
633367	168314	Juanita
633367	173780	
633367	216099	
633367	240294	Gail Bland
633367	255111	
633367	257558	
633367	260952	
633367	269025	Tina Brandt
633367	269188	
633367	280760	Erika
633367	296520	Barbara
633367	334636	Italienische Frau im Alfa
633367	336187	
633367	341792	
633367	348198	
633367	351066	Luisa
633367	356014	
633367	387880	
633368	14378	
633368	28092	Helene Azar
633368	53977	Baroness Blau
633368	108112	
633368	113444	Irene
633368	161108	Madeleine
633368	198955	Elisabeth Stadler
633368	205960	Principessa
633368	235327	Eugenia
633368	235875	Elle: Elena Torlato-Favrini
633368	268847	Armida
633368	315939	Silvia
633368	375187	Zina Bronstein
633369	219859	Arresting Officer
633369	265598	Tatiana
633369	297777	Mia Reed
633369	359407	Jessica Evans
633370	52893	
633370	69787	Lella Cappa
633370	344618	
633370	400391	
633371	70702	
633372	3027	French Presentation
633372	164672	Herself
633372	378640	Host
633372	388167	Host
633372	399813	Host (2001-2001)
633373	2031	Madam
633373	91675	Michelle
633373	148203	Streetwalker #1
633373	366641	Angela Fontaine
633374	302371	
633375	4637	
633375	12693	
633375	13089	
633375	28958	
633375	49693	
633375	51464	
633375	54150	
633375	54763	
633375	60118	
633375	63730	
633375	67493	
633375	68428	Signora Parolini
633375	70044	
633375	71218	
633375	76355	
633375	81516	Ferondo's wife
633375	81518	Tessa
633375	86067	
633375	88390	
633375	90162	Donna
633375	90741	
633375	92075	
633375	102877	
633375	107685	
633375	121275	
633375	126839	
633375	127384	Marizia
633375	127959	
633375	157176	
633375	162042	Nadia
633375	168869	Rosita
633375	197564	
633375	211071	
633375	220188	
633375	234563	Teresa
633375	247387	Signora Bedoni
633375	250727	Stella Randolph
633375	250995	
633375	252749	
633375	268996	
633375	269024	
633375	269174	
633375	270325	
633375	272771	
633375	273145	
633375	274702	
633375	274900	
633375	290932	
633375	295131	Kathryn
633375	295132	
633375	305430	Carmelina
633375	313898	Medium
633375	314968	
633375	323048	Babe
633375	326320	Rita
633375	338657	
633375	342117	
633375	348731	Myriam
633375	348734	Annia
633375	352231	La marchesa spagnola
633375	356588	Eliana Voltore
633375	402781	
633376	9179	
633377	352405	Woman in Nightmare
633378	3347	
633378	8369	Lorenza
633378	14381	
633378	14881	
633378	33813	Juanita
633378	34435	Jasmine
633378	34437	Billie Cody
633378	35028	Zoe
633378	48296	Rosapina
633378	53064	
633378	57209	
633378	64206	Maria
633378	64232	Psychic Medium
633378	64265	Bit Part
633378	64772	Fishwoman of San Leo
633378	65114	Bruna la Svelta
633378	68325	Esperia
633378	68651	Adele
633378	81524	
633378	81526	
633378	82147	Italia
633378	82440	Bocconotti Cinzia
633378	85978	
633378	94652	Rosa
633378	98667	Maria
633378	118830	
633378	119085	
633378	119856	Foschina
633378	143525	Mother
633378	157983	Encarna
633378	158767	Una prostituta
633378	162041	Fausta
633378	163004	Teresa
633378	183673	Laurie Strong
633378	197342	Paola
633378	197582	Dulcie
633378	198499	Aunt Francesca
633378	200972	
633378	214864	Cora
633378	217122	Matilda
633378	242830	
633378	258320	(segment "La Feuille de Route
633378	259698	
633378	259707	
633378	261854	La tante
633378	269461	La Ragazza Nel Fienile
633378	270817	
633378	270887	
633378	272563	Esther
633378	276457	
633378	287015	
633378	291558	
633378	295160	Inez Tamborini
633378	297410	Pamela
633378	315420	Sergio's mother
633378	316361	
633378	338259	
633378	338720	
633378	355662	
633378	357175	L'italienne
633378	380367	Silvana
633379	10163	
633379	15031	Gisèle Polmi
633379	23539	Zelda
633379	23646	Brigitte
633379	29492	Mme Fargeon
633379	44983	
633379	49741	
633379	52698	
633379	57284	
633379	82920	Marylène
633379	100533	Colette Bertini
633379	100732	Sybèle
633379	103203	Charlotte
633379	104241	Catherine
633379	105589	La Femme de la librairie
633379	106273	La mère
633379	113256	Aline
633379	128964	
633379	132953	Anne
633379	148675	Elisabeth
633379	156290	
633379	162303	Une fille de joie
633379	166878	
633379	169326	Martine
633379	210225	L'amie
633379	217808	Lise
633379	218075	Monique
633379	230100	Madeleine Souldre
633379	234280	L'épicière
633379	248895	Pauline
633379	254076	The mother
633379	261840	Marie-Claude, la soeur de Jac
633379	269136	Eva
633379	287052	La directrice du théâtre
633379	288219	Arlette
633379	317952	Simone
633379	328432	Madame Chamblasse
633379	328433	Paulette
633379	345037	Danielle
633379	345205	Hélène
633379	346669	Cabaret woman
633379	346754	
633379	355808	La voyante
633379	376895	Une secrétaire
633379	379240	Colette Ruisseau
633379	390876	Marguerite
633379	392602	
633379	400698	Edmonde, la femme vendue à 49
633379	402221	
633379	410420	Nounou
633380	346754	
633381	96500	Figlia di Mauro
633382	96500	Figlia di Mauro
633383	45901	Gypsy Woman
633384	301165	
633385	2883	Lucile Davis
633385	6276	
633385	8369	Vandina
633385	11698	
633385	26696	Elena
633385	44522	Nadia
633385	68650	Valeria Donati
633385	70310	Piera
633385	75237	Zina
633385	86820	Claudia
633385	87831	
633385	128021	
633385	132807	Ilde Vivaldi
633385	159480	Sara
633385	189290	Leo
633385	202777	Maria
633385	204227	Franca Firini
633385	204230	Tilli
633385	212577	
633385	219576	La strega
633385	234757	
633385	235783	
633385	236392	Laura/Riri
633385	240137	Nina
633385	287993	Tea
633385	289332	The niece
633385	311258	Lidia
633385	315449	Carmela
633385	318405	
633385	342126	Lover in opening scene
633385	344466	Marzia
633385	348191	Lucia Peralta
633385	351060	
633385	356588	Francesca Corvino
633385	375235	Beatrice
633385	377467	Sylvia
633385	388610	
633385	404503	
633385	409591	
633385	411695	
633386	103869	
633387	225949	
633388	170933	La jeune fille à l'hôpital
633389	196714	
633390	32122	Dzemila
633391	176942	Baby Sitter
633392	247387	Giovannona
633393	247066	
633394	55905	
633394	132792	La Texane
633394	342111	
633395	185204	Bathroom Girl
633395	245600	Foxy Lady
633395	296266	Chris
633396	89776	
633396	194888	Frau des russischen Geschäfts
633396	285884	
633396	317487	
633396	374665	Herself
633397	41383	Checkout Girl
633398	8218	Leia
633399	176956	Dancer
633401	91377	
633402	13643	Morha
633402	64409	Dr. Kalmeir
633402	88656	Lupe
633402	109439	
633402	114223	Carmen
633402	139793	Gloria
633402	241056	
633402	340775	Frances
633403	258936	Evelyn McAlpert
633405	350875	
633406	16552	
633406	98568	
633406	98738	
633406	101569	
633406	116621	
633406	121079	
633406	129352	
633406	136486	
633406	137868	
633406	172061	Kaithi
633406	174577	
633406	180299	
633406	187092	
633406	209775	
633406	215436	
633406	237093	
633406	243410	
633406	268204	
633406	270548	
633406	306962	Lela
633406	315786	
633406	327108	
633406	328765	
633406	329908	Hristina
633406	332183	
633406	333766	
633406	379442	
633407	162624	
633407	212062	
633408	359910	Max
633409	14654	Rocío
633409	62239	Son ami
633409	199524	Dental Assistant
633410	360790	Marcella
633411	499	Irene
633413	353958	
633414	89572	Miracle girl
633414	198310	L'aigle
633414	268993	
633415	10833	Roxanne
633415	118205	Gina
633415	303268	Samantha
633416	405318	Blanquita
633417	46654	
633417	402302	
633418	334429	Stilista
633419	337231	Almerinda Ruglia
633420	1029	Erotic Ghost
633420	31648	
633420	57936	Herself
633420	90993	Herself
633420	102784	
633420	128770	Herself
633420	224863	
633420	320157	Monica Snatch
633420	355160	Lap Dancer
633421	383355	Catita
633421	400096	
633422	141089	Woman on Bogue Cover
633423	272920	Herself
633423	318841	Herself
633424	11808	The Cleaning Girl
633425	121997	Herself (Volume II: Warriors)
633425	311349	Herself
633425	327212	Herself
633426	81817	
633427	308177	Tourist in Hall of History
633428	55496	Idra Duarte
633428	63865	Signora Pinzauti
633428	68983	
633428	71526	Nicolas' Girlfriend
633428	90163	Elena
633428	90752	Marta
633428	112669	
633428	112670	
633428	149658	
633428	219825	
633428	255124	Olivia
633428	278186	
633428	290547	
633428	338412	
633428	356165	Lucy Mainardi
633428	383260	
633428	385419	Ginevra Donadoni
633428	399160	Xenia
633428	404422	Sandra Dimonti
633429	67505	
633430	30145	Toni's Widow
633431	166667	La vieille servante
633432	197180	
633432	234713	Liliana
633432	344446	Katia, the victim
633432	355885	
633433	261577	
633434	18640	
633434	198905	
633434	313900	
633434	383814	Barbara Smith
633434	399974	Cassandra
633435	20695	
633436	245562	
633437	112643	Carmela
633438	139288	
633438	338748	Biker
633439	97035	Sadie
633439	108367	Store Checker
633439	154168	Louise Garabaldi
633439	271191	Woman in Garage
633439	288468	Betty Calabrese
633439	359443	Woman #2
633440	294413	Sister Gertrude
633441	379831	Tracey Abdul (1991)
633442	84925	
633443	360723	Member of Jimmy Moore's Band
633444	307782	
633445	301267	Rosina Balletti
633445	335534	Giulia
633446	56248	His niece
633446	60177	Eve Asabarby
633446	61779	Clayton child
633446	79396	Lola
633446	107562	Little Annie
633446	107782	
633446	130149	
633446	145895	Girl (age 6)
633446	159439	Revell Child
633446	183765	Sugar Plum
633446	194580	Lorna as a Child
633446	202858	Tonah
633446	215581	Monona Deacon
633446	241546	Tessa Riccardo
633446	263978	Claudia (age 8)
633446	276055	Pauline Stevens, as a child
633446	292781	Audrey Carlton (1888)
633446	308386	Meriem as a girl
633446	316155	David
633446	333048	Rosa
633446	347601	
633446	347728	Carmelita
633446	368370	Young Marcia Warren
633447	336939	
633448	130685	Sheri Jenkins
633449	315242	
633450	188612	
633451	310969	
633452	225769	La chanteuse au King Club
633452	240541	L'hôtesse
633452	263018	Pénélope
633453	215332	Cosetta da bambina
633454	240318	Little Girl
633454	365396	Crippled Girl
633455	393	
633456	323497	Restaurant Patron
633457	390449	Herself
633458	389233	Tatiana Samper (2000-2001,200
633458	397257	Lolita Rengifo (Little)
633458	401699	Jenny Paola Guerrero
633459	276605	Mother
633460	351494	Claudia
633461	340401	Cantina Waitress
633461	385069	Myriam de López
633461	386516	Michelle
633461	389233	Rosario de Beltran (2002-2004
633461	401699	Susy
633461	405846	Mariaelena
633462	380076	Ofelia
633462	381072	Ofelia Chitiva
633462	399900	Eduardo's Mother
633462	400946	Raquel
633462	409922	Matilde
633463	398478	Gladys de Chicamocha
633464	223617	
633465	20701	Tía Carmen
633465	27966	Pharmacist
633465	101894	Monja A
633465	251580	Vecina C
633465	376851	Portera
633466	334699	
633467	63663	Second Family of Buyers
633468	367415	
633469	232845	Praying Mantis
633470	94244	Une jeune fille
633471	355255	
633472	292596	
633473	139187	Fifi Latour
633474	133045	Lucie Giroux
633475	286274	Performer
633476	242724	Roberta
633477	64220	Doublure Sabine Azema
633478	29002	English Teacher
633478	66078	
633478	66213	
633478	75909	Barthénoïde
633478	89871	Ginette
633478	191470	
633478	200947	Valentine
633478	249698	L'épouse du bourgmestre
633478	258868	
633478	278136	Marthe Valier
633478	278911	
633478	345045	
633478	345185	Léone
633478	345389	Hélène
633478	346441	Florence Golden
633478	380502	Solange Moule
633478	380967	
633478	384029	
633478	399164	
633478	399758	Mrs. Conyle (segment "Un jeun
633479	240591	La fille brune
633480	269713	Stewardess
633481	99591	Maîtresse de ceremonies
633482	111046	
633482	269222	
633483	217223	Schoolgirl
633484	112882	
633485	345342	Monique
633486	55852	Nymphomanic
633486	81321	Model #5
633487	240428	
633488	66731	
633488	226818	La Pharmacienne
633488	351818	La pharmacienne
633489	91768	Jessica Neuland
633490	345539	Dancer
633491	83995	Flo Brown
633492	124397	Elmire
633492	236542	Une jeune fille
633492	349493	
633492	403557	Baccarat (1964-1965)
633493	63663	Sonny's Girlfriend
633494	377647	
633496	45688	Sténographe
633497	1578	Cascades Laurie
633497	150751	Maiden
633497	154157	Tripping Bride
633497	190109	Jogger
633497	241337	Screaming woman
633498	397137	Pascale
633499	354794	
633500	142929	Anne of Cleves
633501	23747	Mere de Lucie
633501	51934	Mrs Sagaris
633501	68382	Dame de la librairie
633501	139073	Miss Twitchell
633501	156511	Iris Green
633501	196820	
633501	205525	Tante Bouchard
633501	214078	Madame Lebel
633501	218318	La logeuse
633501	249209	Fan de Jeannot
633501	296685	Athena
633501	307887	Lady Patient
633501	320421	Nun
633501	343572	Berthe St-Onge
633501	345707	Mrs. Maitland
633501	346720	Vieille religieuse
633501	350622	Older Woman #2
633501	377243	
633501	382486	Irène Prézeau
633501	393284	Rita Desmarais
633501	409433	Georgette Charron
633502	7959	Janine
633502	183426	Girl #2
633502	214078	Nurse Louise
633502	289472	Degenerate Scanners
633502	317812	Nightclub Woman
633502	365597	Sophie Gorka
633502	386295	Woman with a Baby
633502	398595	Josée
633503	398208	Woman at Blinds
633504	80608	Elizabeth Meyer
633505	17760	Janet
633505	36730	Susan
633505	379392	Lenore Dudziak (1984)
633506	351815	Madame Kabril
633507	55108	Carla
633507	94417	
633508	100391	Tita
633509	216324	
633510	134318	Rosina
633511	315972	
633512	301489	Young Eppie
633513	15032	
633513	123900	
633514	12812	Chloé
633514	13122	
633514	14548	Anna
633514	15911	Gabrielle
633514	18188	Soraya
633514	44966	Sylvie
633514	94240	Chloé
633514	139954	Brandy de la Court
633514	144300	
633514	200510	Cristiana
633514	219505	María Castin
633514	225060	Colette
633514	264244	
633514	265565	
633514	268195	Josefa
633514	281884	Antoinette La Fleche
633514	289906	Josefa
633514	294566	La maîtresse (segment "L'Orgu
633514	301314	Dominique Laurent
633514	327890	Stranger From the Ritz
633514	349498	Geneviève
633514	351545	Georgiana
633514	353829	Patricia
633514	355106	Betty
633514	355879	Graziella
633514	356983	Paulette
633514	380836	Gisèle
633514	384032	Nicole (1967)
633514	398846	
633515	156294	L'agent immobilier 2
633516	19323	Juliette
633517	160	Evangéline Pelleveau (Old Mot
633517	1009	Récitante/Narrator
633517	6388	Colette
633517	7476	
633517	10648	Countess
633517	11362	French Teacher
633517	12694	
633517	15031	Suzanne Corbier
633517	15035	Marie-Blanche Fayard
633517	15118	Mlle Duchesnois (segment "Les
633517	24670	Agnès
633517	28998	Maria la Belge
633517	30885	Fernande
633517	33567	Maria (segment "Il principe a
633517	36533	
633517	42560	Magda
633517	43001	Marie
633517	43710	Marie
633517	46006	La mère de Cécile
633517	51739	La mère
633517	57232	Christine Clément
633517	57289	Lucienne
633517	57557	Mamie
633517	64220	Marcelle
633517	65089	Maria
633517	66213	Marie Arnault
633517	66744	Laure
633517	67504	Madame Duclos
633517	68651	Niobe
633517	68920	Le Fléau
633517	70725	Cora
633517	73195	Gabrielle Fenayrou
633517	74217	Reine
633517	76149	Mona
633517	80937	Récitante/Narrator (French ve
633517	83178	Annie
633517	83238	Yvonne
633517	83276	Marie Stuart
633517	83358	Irma
633517	86753	Maid
633517	88837	Françoise Gailland
633517	90722	Maria
633517	96052	Sandra
633517	96207	Josy
633517	99360	Georgette
633517	99361	Rosemonde du Bois de la Faisa
633517	102200	Hannah
633517	102915	Annie
633517	107031	Marlene
633517	110216	Geneviève
633517	115354	Rosalie
633517	119038	Danielle (segment "Divorce, L
633517	120674	Germaine
633517	121906	Margherita
633517	124608	The Mother
633517	127498	Helene Doulean
633517	127985	L'infermiera
633517	128964	Ninie
633517	148630	Gisèle Delmar/Lewarden
633517	156293	Léone
633517	156299	Sylvie Peyrac
633517	156309	Maria Olivares
633517	156317	Une femme seule/The lone woma
633517	159674	Irène
633517	162039	
633517	165243	La patronne du Beauséjour
633517	166125	Mme Mendelbaum
633517	166336	Mme Marsilly, la mère de Jean
633517	170468	Juliette Vidal
633517	187393	
633517	191499	Jeanne Dufour
633517	195143	Herself
633517	200966	Yvonne Maurin
633517	203945	Séverine
633517	205088	
633517	211487	Sophie Ragueneau
633517	212123	Giovanna
633517	212768	Herself
633517	216239	Thénardière 1942
633517	220395	Daniele
633517	223246	Rachele Mussolini
633517	234271	Elisabeth/Marie
633517	236009	Mona Lisa
633517	236322	Costanza
633517	236553	Viola/Sébastien
633517	240430	Lise Tanquerelle
633517	246644	
633517	249461	Hélène Rivière
633517	251301	
633517	254104	Mére Fadet
633517	254989	The Mother
633517	258868	Danièle Gaur
633517	260900	Laura Albani
633517	264525	Marthe
633517	265350	Herself
633517	265565	
633517	265881	L'éléphante
633517	266380	Blanche
633517	270829	Clara
633517	273917	Lilla
633517	275664	Madeleine
633517	276013	Viviane
633517	276991	Jeanne Jouvert
633517	279912	Nadia
633517	282282	Helene
633517	283055	
633517	293938	The Foreigner Woman
633517	297360	
633517	302141	Broncka
633517	305649	
633517	309371	Teresa
633517	309985	Emma Boccara
633517	315446	Liliana
633517	316804	Valeria (segment "Strega Bruc
633517	322573	Emma
633517	327889	Lise Tanquerelle
633517	336828	Mme Chevillard
633517	336956	
633517	337838	Hélène
633517	338978	Véronique Chambon
633517	340118	Kay Larsi
633517	345277	Françoise
633517	345381	Clara
633517	345387	La Mère
633517	345443	Madame Belin
633517	346743	Florence Nath
633517	346772	Émilie Carles âgée
633517	350741	Annie
633517	353301	Juliette Morand, Le vice
633517	353833	Jeanne
633517	353946	Woman in Film
633517	353963	Muriel Bouchon
633517	355281	Herself
633517	355975	Catherine Colomb
633517	356206	
633517	374993	
633517	375368	Bernadette Daubray-Lacaze
633517	376895	Madeleine Girard
633517	377242	Caroline Bonhomme
633517	384756	
633517	385997	
633517	388691	Madame Carmino
633517	400092	Olga
633517	400389	Emma (1989)
633517	409932	Angelina Leclerc
633518	45545	Ashley Hart
633518	127237	Vanilla (Graduation Rapper)
633519	91886	Domestic
633519	117495	Shadow
633520	217745	Dancer
633521	345201	Clara Ancelin
633522	28992	Joyce
633522	43638	
633522	166349	Catherine Le Royer
633522	238741	
633522	292388	Marthe
633522	346515	Sylvie
633522	346563	La SDF
633522	354647	Marguerite Gachet
633523	70636	
633523	94613	Fabio's Girlfriend
633523	185920	Claudia Sanchez
633523	215500	Julie
633523	386495	Joyce Giraud
633523	410299	Co-host
633524	97060	
633525	332188	
633526	385003	Julie
633528	380704	
633529	93664	Manuel
633530	315631	
633531	54393	La petite demoiselle
633532	206601	
633534	170925	
633535	350054	Monique
633536	124399	Eve
633537	133090	Une vacancière
633537	170109	Dolly
633537	345186	
633538	268418	Loubarde 1
633539	94244	La mère du vilain petit garço
633540	55430	
633541	194836	
633542	350123	Amiga
633543	216794	Herself
633546	46626	Catulla
633546	61145	
633546	88204	Sisina
633546	162033	
633546	248952	
633546	356214	Francesca's Friend
633547	40212	
633547	48742	
633548	265881	Lili
633549	20068	Examinatrice n° 1
633549	29792	Mme Pauline
633549	33627	Le 'souvenir de vacances'
633549	44373	Laetitia
633549	57474	
633549	59118	Catherine Després
633549	60519	Clémence
633549	66740	
633549	73075	Irene
633549	92920	Raymonde Nogaret
633549	139287	
633549	234282	Cécile/Wife
633549	243151	La Marie
633549	244304	Bianca
633549	246840	Fabienne
633549	249128	Julietta (segment "Ella")
633549	288322	Récitante
633549	292277	Lisette
633549	294607	Catherine
633549	338327	
633549	384029	Arthémise
633549	389145	Anne
633549	395074	Jacinta
633549	396617	
633549	401321	Liliane
633549	403643	Jeanne de Beaumont
633549	408486	Jeanne
633550	108897	Herself
633551	377517	
633552	381136	The sorceress
633553	217493	
633554	127564	Suzie
633554	405183	Aurora
633554	408458	Amy
633555	166510	
633556	4453	
633556	12002	
633556	19211	Usha
633556	19603	Gopi's Fiancee
633556	36184	
633556	57408	Scarlett O'Tara
633556	85345	Vasanthi
633556	90580	
633556	100535	
633556	128986	Gitanjali
633556	156452	
633556	164799	Ekasa
633556	181607	
633556	186202	Chakali vaani bharya
633556	198516	
633556	226034	
633556	228755	
633556	228809	
633556	248585	Hema
633556	249643	
633556	250490	Pathalabhairavi
633556	252019	
633556	262972	
633556	271904	
633556	285524	
633556	286504	
633556	299603	
633556	303099	
633556	312491	
633556	320391	Rakumari
633556	341549	
633556	350382	
633556	351420	Varalakshmi
633557	8497	Gülbahar
633557	10954	
633557	11741	
633557	12647	
633557	15325	
633557	22030	
633557	22080	
633557	24846	
633557	24847	Aynur
633557	27420	
633557	27685	
633557	28834	
633557	30493	
633557	31519	
633557	33300	
633557	33859	Funda
633557	34506	
633557	38448	
633557	38457	
633557	38621	
633557	44598	Fatma
633557	44601	
633557	49439	
633557	51354	
633557	57861	Çavdar Tarlasi
633557	63801	
633557	65017	
633557	76751	Elif
633557	95551	
633557	97179	
633557	102538	
633557	106706	
633557	106978	
633557	107648	
633557	107650	
633557	109967	
633557	109968	Fatos
633557	118106	
633557	123004	Galatali Fatma
633557	125346	
633557	136696	
633557	136699	Zeynep
633557	136767	
633557	137596	
633557	139955	
633557	141808	
633557	145752	
633557	146976	
633557	149419	
633557	156207	
633557	161148	Hamlet
633557	163141	
633557	165704	Japan Robot
633557	172078	
633557	172661	
633557	172973	Azize
633557	173568	
633557	173787	
633557	173828	
633557	174663	
633557	175705	Zilha
633557	177113	Fatma
633557	177834	
633557	177896	
633557	178001	
633557	178394	Sultan
633557	179191	
633557	179655	
633557	180319	
633557	180630	
633557	181475	
633557	181666	Hanim
633557	181682	
633557	182811	
633557	182839	
633557	182906	
633557	187647	
633557	200672	
633557	200798	Fatma
633557	210521	
633557	210523	
633557	211654	Meryem
633557	221850	
633557	222520	
633557	222546	Nazli
633557	227230	Zeynep
633557	227239	
633557	229395	
633557	232730	
633557	241157	
633557	288610	
633557	293664	Belgin/Hülya
633557	293665	
633557	294118	
633557	294170	
633557	295265	
633557	295270	
633557	295494	
633557	295531	
633557	295532	
633557	307150	
633557	323921	
633557	325355	
633557	327294	
633557	335909	
633557	335961	
633557	350577	
633557	350844	
633557	350845	
633557	357604	
633557	370617	Leyla
633557	370631	
633557	370690	Emine
633557	370768	
633557	371555	
633557	371562	
633557	375072	
633557	377494	
633557	377506	
633557	377565	
633557	377568	
633557	378182	
633557	378203	
633557	378219	
633557	378224	
633557	378248	
633557	378257	
633557	378259	
633557	378579	
633557	378597	
633557	387200	
633558	318856	
633558	326565	
633559	178575	Nergiz
633561	387960	Herself
633562	40009	
633562	142500	Herself
633563	56901	Herself
633564	243580	Dancer at party
633566	144374	Video Game Avatar (Project En
633568	52499	Lightning Girl
633569	236950	Mystery girl
633570	118293	
633570	247992	
633570	372477	
633572	378336	Musiker
633573	38360	Sitcom Mom
633573	49938	Marnie Ludwig
633573	85186	Lynn Webster-Matthews
633573	87460	Emily
633573	131539	Brenda
633573	141194	Dr. Adler
633573	154494	Pauline Corte
633573	170418	Irene
633573	176482	Linda Steiner
633573	195290	Karena
633573	198906	Principle
633573	209218	Wendy
633573	232466	Mrs. Petersen
633573	234200	Dr. Francis Miller
633573	291865	Mrs. Brooke
633573	308004	DSS Councillor
633573	308016	Attacked Woman
633573	332418	Buffy
633573	333855	Widow
633573	371366	Karen Beindecker
633573	388867	Principal
633573	390981	Barbara Reynolds
633573	391533	Principal
633574	135622	Guinevere's mother
633574	155257	Kelly McLoughlin
633574	244318	PM's Wife
633574	317986	Anna
633574	388306	Amanda Thompson
633575	198892	Witch 3
633576	47323	Themselves
633576	178904	Dance troupe
633576	241355	Themselves
633576	264472	Palace Dancers
633577	324002	
633578	85627	
633579	147816	Themselves
633580	193854	Singing Trio
633580	308585	Singers
633580	308640	Singers
633581	327143	Themselves
633582	19786	
633582	175650	Sundari
633583	292275	Fenote
633584	114047	Female Student #2
633585	52907	Simone
633586	27171	Mike's Police Psychologist
633586	144374	Roxy
633587	61187	Tina
633588	64046	
633588	96400	
633588	355951	
633589	29669	
633590	199570	Josette
633591	1432	Ann
633591	127964	Secretary
633591	133025	Stefania, Gestore's Daughter
633591	236803	Radio Operator
633591	326303	
633591	344628	Gloria Benton
633591	353064	Student
633592	14486	Waitress
633592	87667	
633592	129944	
633592	148572	Hooker
633592	217004	Alice B. Toklas
633593	182980	Jogger
633594	157662	Femme soirée de la cave
633595	391931	Germaine
633595	404784	Sylvie
633596	1473	
633596	69531	Hairdresser's Client
633596	84650	La mère
633596	88376	Intendante
633596	111127	
633596	143489	
633596	168895	Invitée parents
633596	202421	
633596	310730	
633596	322335	Cast Member
633596	345378	Child
633597	70098	
633598	267030	Brenda
633599	296742	Lisa
633600	63883	
633600	70889	
633600	402404	
633601	235022	Dancer #2
633602	235296	Dependienta Nike
633603	115362	
633604	163571	Jackie
633605	102121	Mother
633605	195245	Estelle
633605	403101	Sylvie
633606	28168	Josée
633607	64299	Herself
633607	166326	Herself
633607	207243	Herself
633607	391625	Herself
633608	76132	
633608	378731	Mme Richard
633608	403898	Grand-mère Therrien
633609	350245	Jenna Fontaine
633610	343572	Pierrette St-Onge
633611	345158	Sara
633612	273969	Elisabeth
633612	398066	Monique Wingate
633613	249209	Epouse d'un boss de Jeannot
633614	15054	
633614	157014	
633614	380860	Acayenne
633614	381617	La Lionne
633614	403898	Sophrida Belhumeur
633614	407068	Acayenne
633615	73735	Rosa
633615	77477	Aileen Wournos
633615	80782	Janine
633615	87896	Street Hooker
633615	106354	Barbie
633615	168865	Various roles
633615	304563	Mrs. Duncan
633615	321320	Fara
633615	328588	Mickey
633615	330716	Scott's Girl
633615	334235	Claudia Leith
633616	253067	Pamela
633616	316905	
633618	204747	Barbra
633619	42705	Nurse
633620	402197	Officer Brown (1984-1986)
633621	298076	Dancer
633622	144457	Sparks' fat friend
633623	37731	Marta's Colleague
633623	244099	Jackowska
633623	259811	
633623	282756	Jarzabkowa
633623	385478	Magda's Friend
633624	28324	Suegra
633624	64709	Emilio's grandmother
633624	108634	
633624	111995	Ursula
633624	124591	Old Scrubwoman
633624	202222	
633624	215030	Esperanza
633624	293383	Florist
633624	294001	
633624	397408	
633625	212489	
633626	149232	
633626	300720	
633626	371680	
633627	55219	
633627	55941	
633627	63408	
633627	106326	
633627	111577	
633627	131075	
633627	143670	
633627	146572	
633627	148053	
633627	149205	
633627	207960	
633627	222418	
633627	233357	
633627	277360	
633627	348731	
633627	354445	
633627	376755	
633628	409958	Gina Fröhlich (1995-1997)
633629	1417	Herself
633630	1417	Herself
633631	1417	Herself
633631	104777	Spanish Backing Vocal
633631	110504	
633631	125494	
633631	244222	Herself
633631	376729	
633631	400341	Herself (2001-2002)
633631	408914	Herself
633632	234310	Mujeres Bailanta
633633	32089	Tracy Stover
633633	50815	Nicole
633633	57717	Julia
633633	71843	Tammy
633633	81133	Mary Follet
633633	83558	Rose Chismore
633633	86456	Hope Goodell
633633	90341	Michelle
633633	91769	Angela 'Angie' Green
633633	143849	Jessie
633633	144697	Ryan Campbell
633633	179041	Greta
633633	183536	Sylvia Raffray
633633	185690	Paulie
633633	185714	Lydia
633633	190218	Denise
633633	208647	Maria Philips
633633	219367	Lily
633633	224838	Kat Arujo
633633	233307	Julie Nixon
633633	267605	Marissa
633633	270389	Donni McGuinness
633633	291866	Robbie
633633	296990	Caroline 'Pudge' Carmichael
633633	301614	Hazel Hampton
633633	304691	Trish
633633	314225	Susan Sparks
633633	334234	Karen Holmes
633633	340864	Euphemia Ashby (adult)
633633	360244	Amie
633633	362813	Lyn McKenna
633633	369336	Urilla Sutherland
633633	369451	Special Agent Monica Reyes
633633	385128	Lenore Laderman
633633	386197	Cynthia Ernst
633633	404409	Anne Hampton/Butler
633633	411560	Monica Reyes (2001-2002)
633635	6600	The Daughter
633635	12201	Miss Smart/Sideshow Patron
633635	20490	
633635	23423	Lois Brandon
633635	24752	
633635	26852	
633635	31348	Jane
633635	32074	Mollie
633635	35273	
633635	35360	Betty Lockwood
633635	44086	Boots
633635	46550	Mercy, at Sixteen
633635	47008	La Clavel
633635	47594	In Telegraph Office
633635	48270	
633635	49792	Birthday Wellwisher
633635	50892	At League Meeting
633635	54910	Celia Fermoyle
633635	57919	Mrs. Rogers
633635	61779	Sairy Ann
633635	64788	
633635	65936	Betsy Tidd
633635	71722	Jolanda (the flapper)
633635	74196	
633635	75407	Suffragette
633635	92216	
633635	94760	
633635	107442	
633635	115725	Stella Ford
633635	116240	Patricia Van Nuys
633635	122051	Minnie
633635	127123	Delsie O'Dell
633635	130588	On Street
633635	133207	
633635	134247	Gretchen
633635	139749	Ellen Zalinka
633635	141519	The Little Disturber
633635	143104	
633635	143162	
633635	143293	
633635	143295	
633635	143296	The Daughter
633635	143324	Janice
633635	143327	
633635	146106	Woman at Dock
633635	148404	Sister of Payne's Sweetheart
633635	149446	Sheila Moore
633635	150902	
633635	151342	
633635	152709	Beth
633635	154878	Susy Faraday Jones
633635	159591	
633635	169047	Cora Findley
633635	169978	The crippled beggar
633635	171141	The Sweetheart's Friend
633635	183547	The Sick Sister
633635	183680	The Girl
633635	188148	
633635	189319	
633635	191711	
633635	192005	Meena
633635	192060	Grand Duchess Marie Louise
633635	192246	Nan
633635	192421	
633635	193573	Mavis Hogan
633635	194902	
633635	199364	Madame Pompadour
633635	206843	Mary Ellen
633635	214590	Minerva
633635	220313	
633635	220340	Nell, ''The Mountin Rat''
633635	223228	Frizzy-haired woman in street
633635	223668	Wedding Guest
633635	224009	The Young Woman
633635	224638	
633635	229635	Nell Gwyn
633635	230918	
633635	230988	
633635	231988	Meg
633635	234194	Frances Wadsworth
633635	236493	Nugget Nell
633635	239173	In First Audience
633635	239647	Kathie
633635	239726	
633635	239848	
633635	243751	Louise Girard
633635	244842	Mrs. Skinner
633635	245039	
633635	246051	
633635	246712	Belle at Ice Cream Festival
633635	248012	Young Mother
633635	252583	Polly
633635	253036	Rose
633635	273677	
633635	274121	Hicks' Sweetheart
633635	274747	Dancer
633635	275507	Janie Wakefield
633635	281233	Tessa
633635	287255	
633635	289101	
633635	301711	
633635	303306	Carol (May's younger sister)
633635	306460	A Friend
633635	312805	Ruth Colby
633635	318319	Among Suffragette Minstrels
633635	318321	
633635	320204	Susan Johnstone
633635	326082	
633635	329760	
633635	331101	A Messenger
633635	333684	Tiptoes Kaye
633635	342017	Doris Pennington
633635	347598	The Sister (younger)
633635	351733	
633635	353513	
633635	359490	
633635	359493	
633635	363726	Mrs. Doubleday
633635	364846	
633635	365089	
633635	367381	Leila McDonald
633636	95268	Carol Thatcher
633636	99043	Estate Agent
633636	112049	Sponsor
633636	160583	Emilia Bond
633636	386385	Rosalie Bannaman
633636	388030	Nicky
633637	83558	Spelling Bee Moderator
633638	1401	Herself
633638	2355	Herself
633638	2548	Herself - Honorary Award Reci
633638	2775	Herself - Presenter: Best Pic
633638	7007	Mrs Loftus
633638	13921	Herself
633638	13929	Herself
633638	16698	
633638	17764	Annie Laurie
633638	20887	Martha Brewster
633638	31050	The mother
633638	31207	Jane Andrews, the daughter
633638	33922	Crowd extra in chariot race
633638	38660	Elsie Stoneman
633638	42935	Mimi
633638	47444	Lucy Burrows
633638	48270	At Theatre
633638	49792	Birthday Wellwisher
633638	54543	Beatrice
633638	61824	Millicent
633638	64731	Herself
633638	66381	Victoria Inch
633638	67962	Herself
633638	67963	Mrs. Smith
633638	68324	Mrs. Bergesen
633638	74196	The Maid
633638	76252	Herself
633638	78604	Daphne La Tour
633638	85928	Diane
633638	94760	
633638	94766	Laura Belle McCanles
633638	95416	The Ranchero's Daughter
633638	101085	Pauli Arndt
633638	101554	Annie Lee
633638	112940	Archive Footage
633638	116513	Hetty Seibert
633638	130588	The Young Woman
633638	133515	
633638	133695	Susie Broadplains
633638	133946	Nellie Jarvis
633638	133956	Jeannette Peret
633638	137845	Hillie Radcliffe
633638	138700	Herself
633638	141519	The Girl, Marie Stephenson
633638	142856	Herself
633638	145885	Alice
633638	147127	Miss Molly Winkle
633638	148404	Payne's Sweetheart
633638	150810	Evelyn Dare
633638	150897	Nurse Playing Piano
633638	152733	A Young Orphan
633638	158084	The Younger Daughter
633638	159159	The Ranchero's Daughter
633638	159591	
633638	160019	Dorothy Raleigh
633638	161542	The Woman Who Rocks the Cradl
633638	169978	The young mother
633638	171141	The Sweetheart
633638	175525	Herself (Honoree)
633638	183547	The Young Woman
633638	187090	The Old Soldier's Daughter
633638	190855	Herself
633638	190881	Mary Randolph
633638	194452	Eleanor Butterworth
633638	194825	Dosia Dale
633638	195613	Herself
633638	199745	The Mother
633638	205185	From 'Birth of a Nation'
633638	215658	Miss Susie Slagle
633638	216218	The Daughter
633638	217010	The Wife
633638	220076	The Young Wife
633638	220526	Herself
633638	220657	Herself
633638	223228	The Little Lady
633638	223668	
633638	230918	Customer in Shop/Outside Chur
633638	232017	Herself
633638	232089	Rachel Cooper
633638	239173	In First Audience
633638	241706	Alexandra
633638	241715	
633638	243262	Mrs. Summers
633638	243751	Henriette Girard
633638	246712	Belle at Ice Cream Festival
633638	250620	
633638	261082	Mother Mary of Mercy
633638	269813	
633638	273677	
633638	280926	Jennie Timberlake
633638	281233	Romola
633638	289600	Hester Prynne
633638	303306	May
633638	306460	A Friend
633638	306469	The Young Woman
633638	307285	Marfa
633638	309593	Lillian Vale
633638	310444	
633638	321237	Cecelia Burgess
633638	326468	
633638	330376	Grandmother
633638	333411	The Farmer's Daughter
633638	335852	Beth Warren
633638	339833	Carrie Watts
633638	340784	True Heart Susie
633638	342533	Billy Jo Haskins
633638	342790	
633638	346950	Mattilda Zachary
633638	347598	The Sister (older)
633638	348075	At Auction
633638	359481	Alice Willows
633638	360165	Anna Moore
633638	360741	Nettie Sloan
633638	362046	Sarah Webber
633638	364013	Angela Chiaromonte
633638	366003	Letty
633638	367526	Verda
633638	391836	Herself
633639	34129	Max's friend
633639	391770	Claire
633639	397651	Jennifer
633639	411302	DC Linda Harris
633640	141519	A Refugee Mother
633640	169978	
633640	347598	
633641	58755	Mme Kyby
633641	68680	Joanne
633641	79778	Pam
633641	105135	Mother in TV commercial
633641	145044	Rachel Ellenstein
633641	145050	Rachel Ellenstein
633641	146870	Frau Christian
633641	204730	Mrs. Norris
633641	211486	Martina Schaffer
633641	269088	Anna
633641	273834	Mrs. Garner
633641	276264	Maria Roy
633641	380344	Princess Betsy
633641	382253	Mrs Fluck
633641	382774	Bridget
633641	393492	Victoria Thompson
633641	396081	Lady Montdore
633641	406373	Nowell
633641	407047	Pauline
633641	407938	Mrs. Gruffydd-Williams
633641	408091	Polly
633642	325991	
633643	353079	
633644	190994	Party Boy
633645	153771	Herself - Pianist
633645	191435	Victim
633645	255003	Classical Pianist
633645	327474	Kvinde i Taxi & Pianist
633646	17749	Molly
633646	61851	Student
633647	132695	
633647	135308	
633647	145216	
633647	212469	
633647	220740	
633647	267293	
633647	269940	
633647	353231	
633648	48836	Voice in off
633648	86082	Dibu
633648	86083	Dibu (voz)
633648	86084	Dibu's voice
633648	199956	Voice
633648	204832	Voice
633648	206742	Voice
633648	386294	Dibu
633648	397575	Dibu
633649	8274	
633649	187489	
633649	377164	
633650	407563	Host (1984-1985)
633651	292382	
633652	290647	
633652	294696	
633652	295145	
633653	5372	Ballerina
633653	29582	
633654	322374	Herself (wrighter)
633655	218534	2nd Policewoman
633656	2630	Herself/presenter
633657	271260	Ruth Sumner
633658	352137	
633659	411802	Scott Grainger, Jr. #1 (1991-
633660	411802	Scott Grainger, Jr. #1 (1991-
633661	191558	Ms. Larsson
633661	276209	Berta
633661	288307	Viktoria Segerclou
633661	377419	Viktoria Segerclou
633662	391294	
633663	13026	
633663	21138	
633663	56125	Mutter
633664	110247	Carmen
633665	95407	
633666	4055	
633666	26222	Rukmini
633666	42437	Golla Pilla
633666	84747	
633666	92433	
633666	116778	
633666	131701	
633666	188474	
633666	213892	Memory Holder
633666	222527	
633666	248720	Rajkumari
633666	260153	
633666	262376	
633666	312488	Goddess Seetha
633666	312490	
633666	334716	
633666	375256	
633667	50850	
633667	173756	
633668	273431	Herself/London
633668	273432	
633668	273434	
633668	273436	
633668	402993	Herself/London (1995)
633668	402995	Herself/RW: London
633669	229428	Crowd member
633670	190745	Viviane
633671	7367	
633672	193509	Angie
633673	33825	Mme. Obolyaninova
633673	95941	Peri
633673	181312	
633673	220696	
633673	242820	(segment "Navazhdeniye")
633673	249599	Herself
633673	304253	
633674	50077	
633674	54949	Girl With Horn-Rimmed Glasses
633674	57169	Fat girl
633674	66641	Fat Girl
633674	70301	Tubby
633674	77767	Fat Girl
633674	88300	Moe's wife
633674	91963	
633674	96716	Mrs. Fosbinder
633674	107988	Mini
633674	119901	
633674	131738	Fat Lady in Sand
633674	145963	
633674	149841	Chubby Dance Hall Girl
633674	150170	Party Guest
633674	150271	
633674	152537	
633674	163513	Miss Atworthy
633674	166043	Sylvia de Sprout
633674	170984	
633674	194868	Gretchen
633674	203051	Little Bird on the Wing
633674	206112	Annie, the Fat Maid
633674	209633	Fat Girl
633674	221130	Woman (at station)
633674	221779	Matilda (fat girl)
633674	230731	Madeline
633674	232492	Co-ed
633674	239045	
633674	244913	Fat girl in beach photo
633674	270642	
633674	270768	Secretary
633674	273687	
633674	302629	Fat Girl
633674	303363	Florabell
633674	305044	Fat Fashion Show Guest
633674	307391	Tim's Girl at Coney Island
633674	312795	Laughing Fat Woman
633674	315531	Big Woman
633674	317354	Fat Girl
633674	321539	Fat Waitress
633674	330059	Fat Woman
633674	331553	Fat Prisoner
633674	343118	Blind Date Fat Girl
633674	346201	Secretary
633674	360263	Sophie Cramer
633674	363960	Pudgy Lucy Stebbins
633674	367477	Mary's sister
633675	341931	Choir Singer
633676	44005	Kissable girl
633678	196887	People at Party
633679	224691	Dancer
633680	32711	Herself
633680	245179	Herself
633681	358936	His Wife
633682	29732	
633682	144966	Fat Girl
633682	166059	
633682	190866	Fat Lady in Doc McGill's audi
633682	197590	
633682	241547	
633682	249253	
633682	272874	Autograph hound
633682	363960	Lou 'Pudgy' Stebbins
633682	367919	Mrs. Goldstein
633683	6170	Anna
633683	78945	Tanja
633683	109442	
633683	111410	Elsa
633683	138156	Meier-Schnittke
633683	182143	Susanne
633683	252356	Christiane Raetsch
633683	289854	Gundl
633683	290638	Elsa
633683	322511	Isabell
633683	375166	Sophie
633683	376016	
633683	403791	Friedel Boetzkes
633684	252641	Child Mary
633685	310974	
633686	34031	
633686	158852	
633686	207752	
633687	397522	
633688	322919	Aurora
633689	209222	Sally Friedman
633690	105462	Dancer
633691	96741	Soap Opera Nurse
633692	68980	
633693	113456	Pietro's mother
633694	13069	
633694	23602	
633694	53011	
633694	56447	
633694	84360	Mrs. Lombardi
633694	86062	
633694	87042	
633694	108713	
633694	124552	
633694	163731	(segment "Frenesia del succes
633694	209440	
633694	212575	
633694	252630	
633694	252642	
633694	262707	
633694	263038	
633694	269460	
633694	279038	
633694	295042	
633694	295048	
633694	297410	Rosalia
633694	308228	
633694	347475	
633694	349616	Conchetta
633694	355762	
633695	317634	Surfer Girl
633696	71452	
633696	170848	Herself - Participant/Perform
633697	235368	
633698	328897	
633698	344443	
633699	136990	Marie
633700	234719	
633700	238376	Lù
633700	249249	Carlotta
633700	326536	Giovanna
633701	381	
633701	20055	Armida
633701	166153	
633701	197615	
633701	248150	
633701	291558	
633702	329656	Prima Ballerina
633703	26407	
633704	90525	Record client 2
633705	270840	
633707	22857	Sally
633708	89850	Domenica
633709	28375	
633710	77135	
633711	314106	Pearl
633712	3537	
633712	33548	
633713	51801	Martha
633713	363509	Vincent's Secretary
633714	220805	Girl #3
633715	90067	
633715	157018	
633715	180898	The American billionairess
633715	183022	
633715	184970	
633715	186605	Lea
633715	186609	Lea
633715	256341	
633715	270034	Lygia
633715	272627	
633715	309076	
633716	5741	
633716	25023	Guest 4
633716	60222	
633716	80236	
633716	91361	Yolanda
633716	105110	
633716	106310	
633716	169778	Minga
633716	214405	
633716	248761	
633716	252075	Madama
633716	269572	
633716	281211	
633716	284543	
633716	320215	
633716	336558	
633716	376863	Madre
633716	383291	(1999)
633716	383438	Amalia
633716	384119	
633716	387127	
633717	196586	Arturo's Bar Babe
633718	112400	Mrs. Burkofsky
633718	364794	Sister Beatrice
633719	248258	Isabelle
633720	20451	
633721	344443	Renzi
633722	64350	
633722	137184	
633722	160699	
633723	46652	
633723	65686	
633723	112668	
633724	229740	Nicoletta Angeli
633725	82720	
633726	108874	
633727	102634	
633728	197342	Diana
633729	51907	
633729	94719	
633729	162079	
633729	259949	
633729	317716	
633730	148699	Infirmière Martin 1
633731	234728	
633732	20676	
633732	54663	
633732	222027	
633732	226184	
633732	292916	
633733	353187	
633734	340246	Fairy
633735	287692	La sorella di Betsy
633736	165790	
633737	168549	
633738	229644	
633739	392748	Veterinario
633739	404045	Cencio, the barman
633740	229743	Augusta Korsen
633740	359174	Woman
633741	97258	Nonna Elisa
633741	396649	
633742	202576	2a Prostituta
633743	56355	
633744	73234	Angie
633746	136360	
633747	61423	Caroline
633748	87551	Traz's Mom
633749	348302	Isa Mackenzie
633750	308032	Kelly
633751	32243	Club DJ
633751	216670	Herself
633751	257696	Trixie
633751	269428	Adele Givens
633751	392231	Shari (2001-2002)
633751	408678	Hellura (1998-1999)
633752	126710	Bernice
633753	213074	
633753	358154	
633754	80782	Cemetery Extra
633755	80782	Cemetery Extra
633756	202195	Attalah
633757	80901	Christine
633758	53320	Bambi La Brock
633759	16748	Det. Anita King
633759	18246	Dr. Rachel Saverini
633759	35535	April Baxter
633759	40314	Kimberly Jonz
633759	43921	Iyanna
633759	44005	Jacqueline 'Jackie/Jack' Broy
633759	78084	Kaye Ferrar
633759	99254	Ashe
633759	105327	Publisher
633759	105945	Randy
633759	107145	Claudia
633759	117346	
633759	117575	April
633759	131557	Dana
633759	140953	Kim
633759	147893	Kyndra
633759	161367	Herself
633759	195521	
633759	212721	
633759	252386	Dinah St. Clair
633759	270910	Imabelle
633759	292797	
633759	311228	Erin
633759	367054	Extra
633759	367844	Kiswana
633759	380243	Detective Anita King
633759	385128	Suzanne Graham
633759	389106	Hostess (2000- )
633759	406106	Wilma Cuthbert
633760	161367	Herself
633761	75059	
633761	106485	
633761	235417	
633761	235418	
633761	243108	
633761	357156	
633764	86976	Joan
633765	14624	Girl 1 on Beach
633766	174586	Herself (commentary)
633767	58171	Mme. Griot
633767	69554	Amelia Abbott
633767	71578	Mrs. Decrais
633767	76582	Gertrude Pendleton
633767	91606	Lady Montrose
633767	116543	Mrs. Bascomb
633767	118311	Elena von Hartrott
633767	120639	Mrs. St. John
633767	136290	General Cartwright
633767	162979	Clarisse Thayer
633767	176328	Judge Slavin
633767	183668	Abbess
633767	188332	Mrs. Randolph
633767	190588	Myra Nolan
633767	191794	Cynthia Graydon
633767	196403	Mrs. March
633767	198544	Mrs. Masterson
633767	203190	Mrs. Carey, Brad's Mother
633767	223952	Mrs. Rhinelander
633767	241165	Aunt Margaret
633767	242771	Cmdr. Steele
633767	257087	Louise Eastman
633767	300909	Nurse Carter
633767	329527	Mrs. Evelyn Haskell
633767	331323	Mrs. Burgoyne
633767	335725	Miss Benson
633767	360302	Mrs. Elliott (Bernice) Pritch
633768	108901	La petite chanteuse
633769	14994	Gammel dame
633769	111056	
633770	301291	
633771	19040	
633771	82727	
633771	266526	
633771	387711	
633772	179183	Siejwa
633772	180079	Mitura's Wife Marysia
633772	238815	Candidate "with legs"
633773	344879	
633774	142809	Plaster Caster
633774	282616	
633775	35364	
633776	376598	
633777	383142	Zuca
633778	409884	Katta Sterner
633779	246274	
633780	388619	Herself
633781	249727	
633781	282775	
633781	356037	
633782	11781	Else Trolle
633782	209315	Gerd
633782	344048	Lotte Basse
633782	360833	
633783	299424	
633784	98237	Gledespike
633785	306778	Herself
633785	327337	Herself - Studio guest
633786	170338	
633787	76759	(segment "Vokse opp")
633788	337184	
633789	254250	
633790	140423	Kommentator
633791	3129	Herself
633791	305010	En dame
633792	406576	Emilie
633793	178007	Mannequin
633795	358663	Lap Dancer
633796	392524	Programleder (host) (2004)
633797	216345	Franace
633798	28683	
633798	29864	
633798	79197	
633798	334973	
633799	252704	
633799	300367	
633800	352902	
633801	129147	
633802	89685	
633803	98434	
633803	115329	
633804	88356	Bijela Ruza/The White Rose (p
633804	304136	
633804	341335	Medicinska sestra
633804	357366	
633805	332405	
633806	388619	Herself
633807	396721	Programleder (1996-1998) (hos
633808	410281	Brita Qvarnström
633809	137635	The Girl as child
633809	355545	Anna's daughter
633809	396345	French woman
633810	17861	
633810	265341	
633810	389264	Arnaud
633811	244033	
633812	245008	Solid Gold Dancer
633813	375757	Trainee
633814	61855	Suzie MacKenzie
633814	266180	Francis Rosemary Chatham
633815	201483	Rose
633816	225343	Stig
633816	322276	
633817	331231	Lacey the Lamb
633817	331232	Lacey the Lamb
633818	340704	Raquel
633819	127292	Natalie Campbell
633820	94960	Betty Matthews
633821	201004	Sharon Johnson
633822	353276	Stanoeva
633823	259059	Ira
633824	98585	
633825	184839	
633825	229067	
633825	374883	
633826	178790	Herself - Nurse
633827	25426	Stanislawa Olszanska
633827	58243	Gabrysia
633827	62694	Duchess Joanna
633827	82200	Girl
633827	95700	Krystyna
633827	96430	Cecília, Mária lánya
633827	110115	
633827	146530	Dziedziczka
633827	162745	Edit
633827	166670	Madame Montholon
633827	177267	Arthur's Mother
633827	200439	Daisy
633827	212652	Gocha
633827	304666	Princess Maria Bilinska
633827	323351	
633827	349617	Amadea Zsablyai
633827	369347	Dorota Koledowa
633827	380998	Stanislawa Olszanska
633827	397114	Maria Lipert
633827	401714	Renata von Nietzmer
633828	210468	
633829	170470	Herself (Interviewed)
633830	298076	Bit
633831	222653	Ruth
633832	9630	Mrs. Torrio
633832	44242	Roxie
633832	107755	Woman
633832	122653	Blonde
633832	140407	Bathing Beauty
633832	140676	
633832	150347	
633832	247045	B-Girl
633832	297890	
633832	340535	
633832	361841	Pioneer Woman
633833	236972	Waltz of the Flowers
633834	287406	Teenager
633835	237828	Trench's Woman
633835	238991	Sir John's Chauffeuse
633835	385299	Vera Downend (1971-1977)
633835	386518	WPC Liz Harris (1964-1965)
633836	62356	
633836	124846	
633836	173195	Girl
633836	182462	
633836	227838	
633836	234437	
633836	258185	
633836	261207	
633836	265943	
633836	283837	
633836	371344	
633837	26745	Babushka
633837	59980	
633837	88405	
633837	88451	
633837	124843	
633837	135746	
633837	197466	
633837	198151	
633837	226009	
633837	227838	
633837	227916	
633837	238786	
633837	258652	
633837	267804	
633837	292988	
633837	294641	
633837	339626	
633837	349082	Madam Sharpantier
633837	352800	
633837	357341	
633837	373642	
633837	406757	
633838	245718	Ingrid Munkevold
633838	277277	Claire Staalhammer
633839	12353	Dancer
633839	19557	Harem girl
633839	32886	Dancer
633839	33698	Dancer
633839	52315	Girl
633839	57049	Mary Dawson
633839	60189	
633839	61176	Dancer
633839	77015	Dancer
633839	120752	Pat Clark
633839	139760	Cigarette Girl
633839	183638	Can-Can Dancer
633839	186117	Woman
633839	196295	Talent Agency Girl
633839	203051	Dancer
633839	252970	Girl
633839	267524	
633839	279373	Dancer
633839	304876	Dancer
633839	312836	Linda Bowen
633839	319193	Dancer
633839	332111	Bab Halliday
633839	358186	Girl in lobby
633839	361642	Marie Monette
633839	366157	WAC
633839	367400	Ann Brady
633839	370537	Chorine
633839	375045	Ziegfeld Girl
633840	8445	
633840	16000	
633840	17382	
633840	18999	Golden Night Costumer
633840	29517	
633840	32336	
633840	43665	
633840	43756	Alzira (segment "Sábado Quent
633840	48336	
633840	54334	Gladys
633840	68621	
633840	70489	
633840	74908	
633840	90821	
633840	97647	
633840	108454	
633840	122241	
633840	127587	
633840	132944	Woman Under Billboards
633840	135992	
633840	198408	
633840	204148	
633840	207929	
633840	212141	
633840	218041	
633840	228141	
633840	256534	
633840	260574	
633840	278568	
633840	287485	
633840	293899	
633840	334575	
633840	344735	
633840	344749	
633840	377610	
633840	381223	
633840	381583	Gracinha
633840	382776	Dinalva
633840	383907	
633840	385024	Mazinha
633840	388591	Lucineide
633840	399645	Rita
633840	400662	
633840	404165	Nenen
633840	404834	Dona Mimim
633840	407864	
633840	408550	Loira
633840	409405	Zezé
633840	409780	Lucimar
633841	70315	Aline
633841	124399	Marie-Louise
633841	175677	Arrieu's niece #3
633842	214311	
633843	354730	
633844	190930	Denise
633845	105692	
633845	181348	
633845	212406	Sofia
633845	218589	
633845	401614	Emma (1999-2002)
633845	409455	Maria
633846	237717	Umgerissene
633847	32504	Sasha's mother
633847	35861	
633847	103768	
633847	104413	
633847	155771	
633847	162748	
633847	163040	
633847	225877	
633847	229067	
633847	231424	
633847	237526	
633847	242278	
633847	258652	
633847	262697	
633847	265995	
633847	305910	
633847	309360	
633847	336232	
633847	348942	
633847	349244	Varya
633847	356925	
633847	357262	
633847	357640	Lena Zhuravlyova
633847	370162	Nadya
633847	374772	Vera
633847	375793	
633847	376229	
633847	386539	
633847	404219	
633847	411911	
633847	411976	
633848	273069	1st class passenger
633849	17346	Service Agent
633849	42201	Anita, Bartender
633849	43979	
633849	76182	Kvinde på Hotelværelse
633849	76185	Kvinde på Hotelværelse
633849	76188	Kvinde på Hotelværelse
633849	111557	Michelle
633849	116298	Politibetjent
633849	217785	Dansekoreograf
633849	218405	Mette
633849	382557	
633849	398023	Herself - Team Captain
633849	399474	Søs
633849	404420	Herself - Member of jury
633850	400118	Klassekammerat (Classmate)
633851	356503	
633852	48739	Anthea
633852	141350	Paula Shears
633852	379703	Carol (1986)
633852	382838	Patricia Farnham (1990-1996)
633852	385020	Debs Brownlow (2000)
633852	388321	Trish Wallace (2004-)
633852	393314	Amy Eshton
633853	391869	Rachel Burton/McGregor (#1) (
633854	79716	Pinehurst Academy Teacher
633856	215691	Miss Virginia USA
633857	36929	
633857	333830	
633858	104771	Bosnian entry (22nd place)
633859	290107	Elsbeth - Säugling/Elsbeth, a
633860	215593	Vivian Mend
633860	297133	
633861	369008	Wolska
633862	99593	Caroline
633863	41353	Sgt. Alice Fuentes
633864	314078	Jana
633865	381255	Herself
633866	307468	Townsperson
633867	105110	Party Guest
633868	245794	Annah
633869	385549	Terapeut
633870	381912	Herself
633871	138683	Chloe Maplewood
633872	74048	Children of Castor Fan
633873	40497	Enthusiastic Teacher
633873	405217	Marie Brackenbury
633874	129539	Lady Rich
633875	310142	Nun
633876	342384	Terrified Traveler #2
633877	78913	
633878	2870	Johanna Hohenberg
633878	39271	Marie Hackenschmidt
633878	42163	Johanna Hohenberg
633878	93473	Annemarie Pichler
633878	102926	Susanne Kramer
633878	111773	Eva Knauer
633878	116310	
633878	120852	Laura
633878	132053	Susan McPherson
633878	134792	Lilo
633878	142080	Helen Erbach
633878	145349	Hanna/Renate
633878	147148	Barbara Jansen
633878	153110	Studentin Irene
633878	155361	
633878	156995	Christa
633878	175669	Tony
633878	189436	Herself
633878	197833	
633878	198428	Marion Nietnagel
633878	202634	Conny
633878	210027	Johanna Hohenberg
633878	211087	Ulla Wendt
633878	225629	Ann Portland
633878	226198	
633878	252540	Marion Nietnagel
633878	295160	Giulia
633878	313789	Performer
633878	332723	Christine
633878	336498	Danny Fergusson
633878	341506	Gerda
633878	341917	
633878	347048	Mary
633878	352352	Karin Rothe
633878	358540	Fürstin
633878	361007	Eve
633878	361090	
633878	361451	Felicitas
633878	361528	Sabine Frobenius
633878	364825	Viktoria Wiessner
633878	366266	Apanatschi
633878	366526	Marion Nietnagel
633878	376165	Barbara
633878	376268	Antonia Berger
633878	376364	Julia Theresa Heininger
633878	380349	Anna Maria Seeberger
633878	394346	Judy Black
633878	401784	Ilona Heinl
633878	409613	Elfi Ortlieb
633878	411109	
633878	412104	Julia Theresa/Julia Elisabeth
633879	100954	Nurse
633880	107843	Clare Woodward
633880	109751	
633880	130960	Isolde
633880	169856	Claudia Procles
633880	200463	Lucy's Friend #1
633880	240232	Cathy Gallagher
633880	253864	Mary
633880	276239	Ms. Gold
633880	330771	Nuala
633880	352465	Meehan's Girlfriend
633880	380456	
633880	381094	Rachel
633881	409032	Gosia
633882	76664	
633883	1034	France
633884	243479	Indian Dance
633885	340254	Little girl with ball
633886	5793	
633886	161652	Denise
633886	192228	Woman Critic
633886	256413	La présentatrice TV
633886	294559	
633886	378017	En personne/Herself
633887	76664	
633888	99966	La mère d'Emma
633888	249713	
633888	377980	Madame De Henin
633888	399082	Fliquette
633891	93426	Lidia
633892	312208	Frau Seilhuber
633893	152607	Becky
633894	151408	Herself
633894	196255	Lulu Dorchester
633895	41519	
633895	388595	Senga McPhail
633896	205689	Mimi
633897	211136	
633898	361568	
633898	386175	Dina
633899	17830	
633900	91445	Paméla
633900	110156	Magda
633900	111046	Katrina
633900	148702	Bernadette
633900	199715	La soeur du marié
633900	234282	Nathalie
633900	265623	Sonia
633900	296049	Katty
633900	339441	Sabine
633900	345523	Betty
633900	379240	Marizibill
633900	383820	Véronique
633900	396597	Minna (segment "Dans l'intérê
633901	3973	Maya Vogelaug
633901	105836	Erika
633901	129879	
633901	179730	Mutter Beck
633901	187860	
633901	188736	Frau Späni
633901	259722	
633901	311400	Patientin
633901	314563	
633901	334563	
633901	344339	Trinette
633901	344340	Trinette
633901	386426	
633902	57164	Debbie Wilson
633902	190010	'Millionairess' PA
633903	255424	Shirley
633904	76546	
633905	15224	Herself
633906	306620	Lois
633907	112214	
633907	189797	Hildegard
633908	137223	Dancer
633909	83659	Herself
633910	106721	Wanda
633911	282957	1st Twin
633912	1134	
633912	2757	
633912	14886	Diana
633912	27837	Nana
633912	33275	
633912	37891	Aline
633912	51415	
633912	60099	Cashier
633912	64333	Herself (1988)
633912	68929	
633912	69761	Sophie
633912	70138	
633912	73231	Hélène Vaillant
633912	80755	
633912	91810	Jeanne
633912	96234	Anne
633912	96240	Anne
633912	104234	
633912	108894	Marie
633912	111995	Blanche
633912	138432	Hanna
633912	160542	Blandine Corda
633912	167214	Michèle
633912	167229	
633912	171137	Lucy
633912	186985	Anne
633912	187595	Linda
633912	198310	Lily
633912	198621	Rachel Messier
633912	214466	Estelle Challon
633912	234271	Luce
633912	262963	Dominique
633912	276982	Sister Stella
633912	283036	Clara Lombart
633912	286313	Laurence
633912	287602	Blanche de Savoie
633912	301138	Alma
633912	328047	Isabelle
633912	338572	Barbara
633912	345233	Cristelle
633912	380436	Krabbe
633912	382199	Blandine Corda
633912	387617	Maryse de Chambrun
633912	396626	Nina
633912	399761	
633912	403427	Rebecca
633912	409456	
633912	409732	
633913	105773	Rona
633914	282957	2nd Twin
633915	187810	Kitty (age two)
633916	390892	Winry Rockbell
633916	397371	Reiana
633917	164415	Daisy Mathes
633918	84396	Young girl
633919	367638	Ariadne
633920	217745	Art History Student
633921	14239	Sybil Lexington
633921	386603	Mary Jane 'M. J.' Match #3 (1
633921	400236	Jenny Wolek Siegel Vernon Ren
633921	403281	Alison MacKenzie Tate #1 (197
633922	81533	Pool Girl
633923	41415	Katherine Kaden
633923	235523	Hit-By-A-Truck Girl
633923	350241	
633923	350242	
633924	11358	
633924	81826	
633924	142500	Herself
633924	233500	
633924	252384	Herself
633924	252399	Herself
633924	252406	Model
633924	252408	Pet
633924	350216	Omay
633924	363375	Herself
633925	146333	Extra
633927	297721	
633928	108485	Jannet Spannet
633928	209222	Daughter
633928	331100	Dreamboat
633928	368687	Channel 8 Newscaster
633928	380015	Anchor (1993-1997)
633928	380853	Host
633928	392858	Herself - Senior Corresponden
633929	185174	Debbie
633930	67798	
633931	37924	Dr. Lauren Smyth
633931	149258	Bamville Club Dancer/Rent Par
633932	56871	Miss Mason
633933	21160	Herself
633934	74214	Beth
633935	389710	Sylvie Glassberg
633936	161603	Janet Taylor
633937	385220	Polenka
633938	16990	
633938	59883	Photo Mother
633938	118442	Maria
633938	152838	Vicky Tayborn
633938	176530	Noa
633938	176531	Noa Izumi
633938	178028	Waitress
633938	194479	Director
633938	279277	Script Girl
633938	378710	Stallholder
633938	381685	Constance Lamson-Scribener
633938	407364	
633938	408478	Beth Halliday
633939	117653	Mrs. Weinberger
633940	6125	Aide to Sen. Thurmond
633941	389233	Maria Jose (2002-2004)
633941	400667	Estefanía Gallego Sánchez (20
633942	64498	Deena
633942	81260	Lauren Sadler
633942	101081	Sarah McCann
633942	106193	Dr. Theresa McCann
633942	117674	Helen
633942	177676	Mom
633942	206403	Nancy
633942	219904	Cheryl Henderson
633942	267439	Harley Tucker
633942	280195	Brianne Lambert
633942	292138	Kathleen Matthews
633942	396123	Marty Edison (1987-1989)
633943	388326	Herself
633944	159175	Dancer
633945	337494	Herself (Columnist, Baltimore
633946	233875	Dance student
633947	274293	Young Medbh
633948	70715	
633948	118183	Auréline
633949	301131	Baker
633951	34236	Sister Bear
633952	280729	Fewster's Younger Daughter
633952	313855	Kid
633953	310518	
633954	143640	Herself
633954	294726	River Tam
633954	304838	Ticket Girl
633954	388771	River Tam
633955	47756	Wounded Boy
633956	134697	
633957	2998	Josie-Micah's Assistant
633957	41518	Rada
633957	69777	Eva Cruz
633957	79495	Wife
633957	92248	Parolee
633957	134568	Leyla Heydel
633957	366905	Anna
633957	372844	Jerry's Student
633957	390973	Heather
633958	14	
633958	10863	Neysa von Igel/Frau Meyer
633958	21393	Trixie, 'the Firefly'
633958	25435	
633958	44015	
633958	56183	
633958	59923	
633958	70293	
633958	75276	Irene Bullard
633958	79011	Fanny
633958	112257	Nina Olmstead
633958	117347	Ameera
633958	128622	One of the Girls
633958	128625	Grace Cameron
633958	130095	Mary Thorne
633958	130853	Mercedes Murphy
633958	133909	Grace Merrill
633958	141470	Mabel Russell, an Heiress
633958	142457	Dolly (dance-hall girl)
633958	143147	Jane Carston
633958	148180	Daisy Flores
633958	149184	Viola Bretagne, 'The Moth'
633958	154023	Connie MacNair
633958	155735	Viola Strathmore
633958	162407	Kitty Molloy
633958	175589	Anita
633958	183576	Marcia Allen
633958	186373	Alouette DeLarme
633958	187955	
633958	193743	Princess Sonia/Sonia, her dau
633958	195287	Natalie Storm
633958	195322	
633958	195613	Herself
633958	195856	Mary Norwood
633958	195980	Nan Bishop
633958	201526	
633958	207982	Thelma Iverson
633958	268896	
633958	275730	Normah, a Slave Girl
633958	276676	Poppy
633958	277335	Trixie
633958	285495	Mignon
633958	286415	
633958	291843	
633958	295566	Adrienne Renault
633958	296648	Lola Dexter
633958	297720	Louise Canby
633958	308166	Marie Chaumontel
633958	312928	Bubbles
633958	316155	Lola Montrose
633958	317284	Bess
633958	321378	Honore Zonlay
633958	331103	Mabel Jones
633958	331517	Miladi Winter
633958	334401	Mlle. Poppea
633958	347202	
633958	347203	
633958	347204	
633958	347205	
633958	347206	
633958	347207	
633958	347208	
633958	347209	
633958	347210	
633958	347211	
633958	347212	
633958	347213	
633958	347214	
633958	347215	
633958	347216	
633958	347217	
633958	347218	
633958	347219	
633958	347220	
633958	347221	
633958	347222	
633958	347223	
633958	347224	
633958	347225	
633958	347226	
633958	347227	
633958	347228	
633958	347229	
633958	347230	
633958	347231	
633958	347232	
633958	360550	Annette Loti
633958	360759	Maargery Harding
633958	363107	Mary Gordon, the Ranchman's D
633958	367304	Leila Aradella
633959	358687	Rossweisse
633960	127994	Renzi's Wife
633961	156597	
633961	242467	
633961	284467	Zhena sas zaeka
633961	340720	
633962	73831	Little Girl
633963	35439	Hodna
633963	40660	Anna Huggins
633963	60186	Corrine Davin
633963	66913	Tina
633963	78058	
633963	79716	Maria
633963	82052	Officer Paulette Howell
633963	107261	The reviewer
633963	117089	
633963	119879	Lanni DeLeon
633963	169941	Stacy Gruber
633963	185424	Lily
633963	187073	Panelist #2
633963	188235	
633963	221375	
633963	276426	FBI Receptionist
633963	292586	Elizabeth
633963	298120	Lauren James
633963	303092	Tyus
633963	316116	Sondra Norris
633963	323725	Emilia
633963	342156	CSA Agent Randa
633963	362810	Jenny
633963	364203	Camille Bell
633963	366898	
633963	388545	Zazu
633964	108132	Paola
633966	32855	Kmetica
633966	63174	Mother
633966	192902	Mati
633966	241987	
633966	352814	Mrs. Trpin
633967	12509	
633968	81559	Doris
633968	89465	
633968	172426	
633968	180818	
633968	192903	Cita
633968	238210	Liza
633968	238390	Liza Repar
633968	261341	
633968	270681	Vesna's Mother
633968	273090	
633968	374667	
633969	180818	
633970	274266	Nanny Bess
633971	149974	Sheila
633972	270505	Trixie
633973	197236	
633973	197262	
633973	197269	
633974	304757	Susie
633975	259407	Townsfolk
633976	260950	Elite Model
633977	18635	Victoria
633977	362512	Kid #2
633978	128847	Dragon Girl
633979	222194	Blue-Haired Lady in balcony s
633980	199505	Hoffman Lior
633981	263429	
633982	276328	Beth
633983	92858	Pretty Student
633984	163358	
633985	120337	Dance-hall girl
633986	80364	Jaynie
633987	321401	Psycho B*tch
633988	171742	
633988	394752	
633989	226012	Dukana
633990	234239	
633991	44595	Ursula
633991	63579	
633991	82803	
633991	227913	
633991	229180	
633991	349362	
633991	357284	
633991	374432	
633991	374716	
633991	374720	
633993	5378	Boo
633994	4730	Maid
633994	34692	Head Nurse
633994	38986	Mrs. Bowman
633994	43462	
633994	67119	Ethel Forrester
633994	70280	
633994	108486	Mary Lathrop
633994	151269	Emmy Baxter
633994	154874	Nurse
633994	154885	Manager
633994	202922	Florence Hasbrouck
633994	224769	
633994	239799	Lucy
633994	241531	Rock Person
633994	241860	Ruth Gordon
633994	245178	Mrs. Miller
633994	245180	
633994	249621	Bit Part
633994	271853	Ramona
633994	274014	
633994	277491	Maid
633994	281773	Madge Callahan
633994	289067	Hanoum
633994	296655	Mary Shores
633994	297970	Bit Part
633994	305982	Phoebe Lind
633994	311016	Martha
633994	311283	Catherine Montour
633994	329416	Kathleen St.John
633994	332086	Bruce Corbin's Mother
633994	340736	Mary Brockhurst
633994	356250	Kitty Killigrew
633994	364453	Passenger
633995	325098	Additional Voices
633996	92260	Cop 1
633997	79315	Ann
633998	14124	Shirley
633998	43883	Dirk's mother
633998	44511	Annemarie
633998	45693	Marie
633998	47386	
633998	73303	Wendy Stern
633998	97553	Maude
633998	109931	Silvia
633998	117139	Irene
633998	117209	Shirley
633998	138444	Carol
633998	141416	Diana
633998	155888	Julia (segment "1974")
633998	161523	Baker's wife
633998	188275	Dr. Rona Harvey
633998	190258	
633998	220960	Gertrude Lang as an adult
633998	279313	Armacost
633998	360713	Mrs. Kitty Donolly
633998	364676	Geri Sanborn
633998	381775	Connie Randolph
633998	391335	Morgan Winslow (1979-1980)
633998	396048	Nadine Berkus
633998	400016	Charlotte
633998	407804	Joan Silver (1997)
633999	150853	Angry Wife
634000	78988	Rebecca
634001	33739	The Duchess
634001	33748	Miss Brewster
634001	65746	Mrs. Al Henry
634001	72133	Lil Higgins
634001	90253	
634001	90256	Mrs. Gilbert
634001	90292	Mrs. Prentiss
634001	96674	Lil Higgins
634001	105571	Mrs. Hutchins
634001	114155	Mrs. Mary Ives
634001	124720	Mrs. Vera Gardner
634001	128392	Matron
634001	128619	Mrs. Benjamin Thomas
634001	133148	Lil Higgins
634001	144740	Lillian Higgins
634001	154335	Mrs. Anderson
634001	178758	Big Tess
634001	196297	Flo Bowen
634001	196998	Ethel's Mother
634001	218012	Lil Higgins
634001	224419	Lil Higgins
634001	228815	Mrs. Wayne
634001	231419	Mrs. Girard
634001	236878	'Ma' Hutchins
634001	238580	
634001	246480	Nellie
634001	255338	Herself
634001	274191	Molly 'Ma' Wallace
634001	277528	Penelope Ryland
634001	297457	Emma Shannon
634001	298093	Sgt. Hannah Walters
634001	300021	Lil Higgins
634001	307567	Mrs. Felice Peabody
634001	312774	Herself
634001	317982	Mrs. Cushing
634001	323398	Sophie
634001	367629	Officer Winthrop
634002	220844	Make-Up Lady
634002	305717	Lady Getting Ticket
634002	337180	Mrs. Newcomb
634002	393223	Herself (June Taylor Dancer) 
634002	393225	Herself (June Taylor Dancer)
634003	329592	Woman in Governor's Office
634004	17756	Cowgirl
634004	20625	Extra
634004	119803	Showgirl
634004	188326	Showgirl
634004	223913	Girl in casino
634004	292470	Goldwyn Girl
634004	308382	Raider
634004	343160	Showgirl
634005	1038	Mrs. Flamhaff
634005	30647	Juvenile officer
634005	48075	Heavyish Woman
634005	61572	Mrs. Rory
634005	64098	Eleanor
634005	65594	Francesca DePesto
634005	73989	Martha Corey
634005	82055	Waitress
634005	96958	Party Mother
634005	105492	Customer at Tumbleweeds
634005	109584	Dora Welsh
634005	118721	Art Museum Woman
634005	132914	Nurse
634005	147974	Female Officer
634005	148561	Tee Naters
634005	155063	Policewoman
634005	159550	County Dr. #2
634005	161537	Nero's Waitress
634005	194228	Casting Director
634005	194564	The Librarian
634005	203436	Vira
634005	210678	Shelley Johansson
634005	233567	Nurse Barb
634005	250404	Woman at Bar
634005	253344	Amanda Cooper
634005	253896	Nurse
634005	262626	Waitress #1
634005	278279	Doris
634005	292015	Young Grandmother
634005	292463	Waitress
634005	306625	Housewife
634005	310715	Desk Clerk
634005	315619	Receptionist
634005	331112	Nurse Walker
634005	337404	Witness #2
634005	340320	Kindly Troop Leader
634005	355670	Rotunda Woman
634005	358567	Bus Driver
634005	361689	
634005	372203	Cook
634005	390771	Jane Hogan (1983-1985)
634005	404718	Lady Diner
634005	407916	Doris Hodges (1982)
634006	317309	LA Promenade with Cher
634007	263534	Undetermined Role
634008	120512	Rose (waitress in Enlisted Me
634009	85676	Mrs. Roper
634009	136002	Hope
634009	184953	
634009	245387	Eastern Girl
634009	266554	Rachel Long
634009	277071	Mrs. Watson
634009	310739	Linda
634009	324547	Lt. Norma 'Red' O'Brien
634009	358592	Helen Leyden
634009	381642	Janet Donnelli
634009	382770	Sylvia Bancroft #2 (1971)
634009	385824	Kitty Horton (1967-1969)
634010	93512	Miranda
634011	272440	Assistant curator Furniture
634013	52312	
634013	128604	Miss September 1998 ("Country
634013	257616	Herself
634013	257639	Herself
634013	257657	Herself
634013	257668	Herself (Model)
634013	257677	Herself
634013	257813	Herself
634013	257845	Herself (Miss September 1998)
634014	256188	Cast Member of Zombie Beach P
634016	368929	School Kid
634017	323390	Mingo Junction Cheerleader
634018	402110	Model (episodes 1-3)
634019	181367	
634019	361573	Magda
634020	179805	Borobera (singer)
634021	18336	Natalya Mikhailovna Voronva
634021	357259	
634022	162144	Grigoryeva
634022	174253	
634022	244722	
634022	265547	
634023	301916	Silva
634024	6284	
634024	26692	Marta
634024	54089	
634024	135072	
634024	215339	La cameriera
634024	229644	Mother Superior
634024	248649	
634024	263632	Zia Rosa
634024	293437	Liberata, la madre delle raga
634025	61175	Reporter #4
634025	233528	Mrs. Franklin
634025	248143	Nurse
634025	313937	Margot Mills
634025	401725	Gladys Neville
634026	10208	Fru Wang
634026	98631	Kontordame
634026	153200	Svigermor
634026	154496	
634026	180711	Gudrun Buck
634026	293841	Pensjonatvertinnen
634026	304107	Fru Ås, Marits mor
634026	315379	Jomfru Jahr
634026	335504	
634026	351797	Hushjelp hos Smidt
634026	353000	(Norwegian version)
634027	387528	Isabella Knightley
634028	23507	
634028	83078	
634028	114770	Fru Nielsen
634028	229263	Various roles
634028	255664	Servitrice
634028	268373	Lizzi
634028	303642	Ekspeditrice i stormagasin
634028	318588	Bessie Blatt
634028	344104	
634028	354739	Sygeplejerske
634028	357814	Anna
634029	212334	Herself - Participant/Perform
634030	220638	Contralto
634030	392871	Nurse
634031	150567	Priscilla
634031	385299	Marie Massinet
634032	295342	Nell
634033	5191	Andrea
634033	9091	Nadia
634033	9094	Whitney Barrett
634034	220638	Robert Symmington
634035	310550	Women at the Party
634036	295342	Baby
634037	290346	Jenny
634038	75568	Fiona
634038	137562	Suzanne Brennan
634038	309860	Nurse
634039	60296	Ward Sister
634040	232099	
634041	296297	Bag Lady
634042	259677	
634043	6262	School Teacher
634044	392424	Herself
634044	403333	Herself
634045	259491	Katrin Schröder
634046	259677	
634046	376182	Woman
634047	56290	
634047	70114	
634047	115828	
634047	380072	Ofelia
634047	380106	
634047	383032	Dominga de Santana
634047	383439	Concepción
634047	383769	Aída Ferrero
634047	383770	Aída Ferrero
634047	392769	Carmen Medina
634047	397575	Mercedes
634047	397733	Adela
634047	401693	
634047	402172	Amalia
634047	409957	(1999)
634047	409959	
634047	410453	(1999)
634047	412198	Herself/Aida Ferrero
634047	412311	
634048	202044	La madre
634049	85986	Laura
634050	193211	Herself
634051	40343	Laurie
634052	262754	
634053	352894	
634054	218269	
634054	357858	
634055	345123	Inès's Grandmother
634056	11971	
634056	12366	Suzie
634056	15014	
634056	62460	Madame Rivet
634056	91242	
634056	102484	Sylvaine, la femme de Pierre
634056	104649	Solomon's Mother
634056	118420	Paul's Mother
634056	120403	Lucienne
634056	180394	
634056	193444	Elizabeth
634056	195157	Mme de Noirols
634056	201135	Mère de Catherine
634056	207587	Soeur Léonide
634056	219485	Jeanine
634056	226818	La Comédienne de 'Cercle de c
634056	233691	La douanière suisse
634056	234286	Françoise Renaud
634056	235841	
634056	249751	
634056	283031	Mme Schwartz, la cartomancien
634056	300670	
634056	353898	La fermière
634056	357857	Madame Arcan
634056	383864	Mélanie
634056	386573	
634056	387697	Hortense Lebreton
634056	388716	Charlotte
634056	397947	Mme Magloire
634057	267652	Herself
634058	291575	Fille du tueur
634059	327551	
634060	31880	
634060	50520	
634060	81832	
634060	81849	
634060	91575	
634060	115089	
634060	121614	
634060	147632	
634060	147836	
634060	150469	
634060	178086	
634060	188183	
634060	196008	
634060	196896	
634060	199345	
634060	224266	
634060	232640	
634060	233693	Games Women Play
634060	249379	Beverly
634060	254796	
634060	274228	
634060	295910	
634060	302880	
634060	351177	
634060	353746	
634060	364762	
634061	273242	Little Girl On Horse #1
634062	200999	Woman on the Street
634062	291866	Mrs. Smeal
634063	52204	Kathy
634063	61791	Phoebe
634063	77199	Headmistress
634063	133678	Vicar Shelley
634063	192346	Babysitter Lorna
634063	196903	Audience Member
634063	220096	Sister Louise
634063	221233	Lady Churchill
634063	271155	Aunt Emma
634063	297115	Lady in Waiting
634063	333102	Mabel Price
634063	362380	Woman with Dog
634063	379699	Mrs. Mulvey
634063	381685	Lady Annabelle Wilton
634063	382668	June Bond in 'Rodney Bond', M
634063	385659	Lady Mallinger
634063	391254	Pamela
634063	399531	Agnes Harding
634063	408277	Andrew's Secretary
634063	411316	Miss Hornblower
634064	78343	
634065	273242	Little Girl On Horse #2
634066	229113	Annabelle
634067	881	
634067	170727	
634067	325146	
634068	85878	Elizabeth
634068	115250	Sarah
634068	149725	Penny
634068	231434	Marie
634068	273930	Rose
634068	288477	Catherine Yorke
634068	409259	
634069	115195	Gondola Passenger
634070	15925	Amelia Dishart
634070	100860	Jean MacGregor
634070	350112	Maggie Jameson
634070	360692	Margaret Graham
634070	366449	Anne Simpson
634070	368262	
634071	34516	Rengøringsdame
634073	300326	TV Anchorwoman
634074	210346	Herself
634074	210347	Herself
634075	131359	Sister
634076	1840	Florence
634076	101216	Juliette
634076	360843	Eugénie
634076	383117	Petite Chérie à 6 ans
634077	168529	Herself
634078	53959	Herself
634080	224573	Kate Girvetz
634081	366448	Young Iona
634082	151068	Phoebe
634083	37788	Coed
634083	50025	Sally
634083	128741	Kathy
634084	27263	Stylish Eurasian Woman
634085	131359	Mother's Child
634086	205909	Sylvia Grey
634087	44089	Beth Ward
634088	194062	Caseworker Attendant #2
634089	105080	Miriam
634089	143253	Veronica
634089	184282	
634089	190152	Daphne Darling
634089	240545	Claude Carewe
634089	332430	May Edwards
634090	10853	Leilani Griffin (SSS17 Sleepe
634090	187808	Cath
634090	245876	Pearl
634090	292449	Herself
634090	399130	Shannon Jones (1998, 1999)
634092	191321	Woman in Bar
634094	265624	Nude on Bearskin
634095	35351	
634095	97852	Lulu
634095	254119	
634095	328291	Princess
634095	384789	(1990-1991)
634096	389432	
634098	186673	Herself
634099	343227	The Social Worker
634100	251196	Girl at bombing
634100	273003	Camera Girl
634101	120224	Sue Long
634101	162617	Elizabeth Duncan
634101	277274	Mrs. Peret
634101	402186	Helen Prior
634102	11271	
634102	37103	Celie Drummond
634102	121819	Junior editor
634102	154478	Camera Girl
634102	163462	Billie Sue Culpeper
634102	365148	Dance hall girl
634102	386706	Selma Yossarian
634103	311671	Gabrielle
634104	271339	Payroll cashier
634105	124657	
634105	203839	
634105	248747	Guera
634105	301117	(segment "Isabel")
634105	337964	(segment "El dilema")
634106	126680	Tense Student
634106	370871	The Woman
634106	390775	Kim Carrow
634107	42531	Coed
634108	177584	Waitress
634109	330799	Carol-Ann Vashon
634110	114017	Young Woman at Patio Bar
634110	153190	Gail
634110	363931	Diane Koenig
634111	378687	Co-host
634111	406242	Herself
634112	184842	Crystal Shaw
634112	185398	Officer Hopkins
634112	226900	Janey
634113	81539	Katie Richmond
634113	366726	Perdita
634113	388321	Jessica Davenport (2002-2003)
634113	399192	Daughter
634113	404301	Sara
634114	263236	Mother
634115	189641	
634116	280022	
634116	310117	
634117	107490	Mom
634118	391786	Nikki Sullivan (1999-2000)
634118	405489	Wendy
634119	33639	
634119	71741	
634120	32861	
634121	103307	Jane
634121	149769	Katie
634121	213327	Annabella Tully
634121	394340	Ingrid
634122	20625	Extra
634123	170966	Court Clerk
634124	185433	Musician (Marimba)
634124	336719	Herself
634125	380798	Emily Braithwaite
634126	333287	Sister at Desk
634127	164384	Virginia's Mother
634128	2662	Gina
634129	141985	Rebecca
634130	102263	
634131	11026	Jackie
634131	150884	P.R. Girl
634131	204473	Bridget, Nurse
634131	318384	Debbie
634131	336655	Josie
634131	406179	Mazzie
634131	406643	Graea
634132	39890	The Spider, chief of female c
634132	150866	Theresa Evans
634133	177988	Cafe Girl
634134	66227	
634134	399562	Herself (Model/Hostess)
634135	296468	
634135	378971	Lilita
634135	387572	Patty
634135	388567	Lula
634135	408747	Zoe Guerrero
634135	412133	Dora Fabiana Estrada
634136	52005	Iris Lewiston
634136	161373	Herself (niece)
634136	408876	Barbara Navis
634137	9131	Sharon
634137	11334	Jennifer
634137	25578	Narrator
634137	25917	Nurse 1st Lt.
634137	34903	Herself
634137	47048	Herself
634137	47072	Mary Daley
634137	52005	Christine Cagney
634137	52007	Christine Cagney
634137	52008	Christine Cagney
634137	57492	Herself
634137	72554	Lesley Fuller
634137	120573	Herself
634137	128345	Dr. Gayle Bennett
634137	139283	Patricia Botsford
634137	147127	Maggie Hobson
634137	149183	Bonnie Von Stein
634137	157008	Jean Seldon Lavetta
634137	161342	Herself
634137	161373	Herself
634137	162902	Shauna Cooke
634137	176516	Karen Goldner
634137	188646	Kate
634137	194119	Switchboard Operator
634137	200910	Host
634137	214948	Barbara Miller
634137	223811	Jennifer
634137	232222	
634137	245520	Joyce Mattox
634137	252955	Herself
634137	277106	Kaye Foster
634137	277745	Darcy Davenport
634137	283770	Narrator
634137	289645	Carole Lombard
634137	294524	Betty Gay Wilson/Holly Faye W
634137	304341	Joanna Douglas
634137	305668	Narrator
634137	313206	Emily Hardin
634137	321630	Maggie
634137	323903	Caroline
634137	383183	Det. Sgt. Christine Cagney #2
634137	383780	Sidney Endermann
634137	388431	Holly Barrett
634137	392117	Jane Jeffries (1982)
634137	395162	Kay Haddon
634137	396824	Kathleen Faverty (1974-1976)
634137	402612	Deborah 'Debbie' Jane Grassi 
634137	407178	Maggie Philbin
634137	408876	Fiona 'Rosie' O'Neill
634137	409067	Penny Alston
634138	33308	
634138	256372	Neta
634138	263417	
634139	47974	Mother
634139	78171	English waitress
634139	169474	News vendor
634139	190947	Maid
634139	333370	Android
634140	109122	Vivi
634140	377435	Girl at party
634141	283500	Schoolgirl
634142	349343	
634143	261124	Mimi
634144	327405	Old Woman
634145	20282	
634145	104141	Lola
634145	220171	Celita Guevara
634145	228429	
634145	259138	La Pelu
634145	280743	Alicia
634145	349882	La maestra
634145	392609	
634145	404270	
634146	57654	Soho art buyer
634146	303833	Journalist
634147	103132	Eine dicke Dame
634147	248203	
634148	238637	Woman in house
634149	394311	Nurse Nelson
634150	103818	Claire
634150	310303	
634151	33895	
634151	40577	
634151	128062	Dafna Melamed-Avni
634151	177817	Dina
634151	187753	Tom
634151	378704	
634151	387852	Ayala
634151	408313	
634152	330057	Friend #3
634153	86892	Woman at Wedding
634154	370643	Woman Customer
634155	340302	Yori
634156	26281	Girl Behind Bus Counter
634156	41953	Hospital Receptionist
634156	231546	Elizabeth
634156	282920	
634156	396121	Sue
634157	34055	Orie Stamwick
634157	47025	Laurie
634157	79901	Young Debbie
634157	331533	Brei Mitchell
634157	404613	Andie McNeil (1982-1983)
634158	150147	
634159	134573	The Gorillas
634161	200261	
634162	16891	Herself
634163	25199	Mother
634164	110967	Caryatid in Fantasy
634164	215163	Magen
634165	282711	Dancer in Haiti number
634166	258188	Miss Pike
634167	361224	Baywatch Casting Director #2
634168	122493	
634169	270151	Emergency Room Technician
634170	52058	
634170	231451	Evelyn
634171	266007	Anabell
634171	290652	Mary
634171	325871	
634171	343491	
634172	73597	
634172	80114	
634173	81408	
634174	324268	
634175	73770	Linda Ann Ferguson
634176	327756	Katherine
634177	365344	Beautiful Party Woman
634178	150082	Little Girl
634179	247970	Ludmila Shutova
634180	409625	Alexandra 'Alexa' Falkenberg 
634181	60821	Vocalist
634182	176903	Patient
634183	209389	Glauce
634184	92921	Woman in restaurant
634185	313033	Les collégiennes
634186	313033	Les collégiennes
634187	274963	Boletera Estación
634188	353872	Herself
634189	270733	
634190	129434	Herself
634191	398897	Monika Zieba
634192	356931	
634193	85267	
634193	312693	Queen of Thieves
634194	71713	Auntie Belle
634194	223647	Father's Mother
634194	223790	Father's Mother
634194	243647	Heather
634194	263786	Miss Kerr
634194	278458	Mrs. Flora Elrich
634194	291488	Woman Debtor
634194	388899	Lady Esterhall
634194	410728	Samantha Dinwoodie
634194	411291	Annie MacLaren
634195	92361	Herself - Ceramic Artist
634195	327349	Herself - Ceramic Artist (seg
634196	373606	Granny
634197	53140	Anitas barn
634198	152222	Mrs. Mussburger
634199	394827	Sandra Remling
634200	244679	
634201	80112	
634202	169541	
634203	169541	Genka
634203	229840	Senka
634203	375335	Nurse
634204	145338	
634204	171418	Dame at Hall #1
634206	153713	Hölderlins Mutter
634206	207804	Mutter
634206	258772	Frau von Poggenpuhl
634206	352367	
634206	352385	
634207	49280	
634207	126361	Melanie Mayer
634207	126362	Melanie Mayer
634207	129709	Sylvia Baretti
634207	155608	
634207	214680	Anni
634207	314898	
634207	317105	
634207	325785	Susi Steuben
634207	352315	Zenz
634207	390192	Sylvia Baretti
634207	396613	Lisa
634207	408208	Marlies Goll
634208	225660	
634208	288812	Bettina Berg
634208	325802	Loredana Castelli
634208	334526	
634208	380451	Bettina Berg
634209	368666	Restaurant Patron
634210	119096	Georgianne
634211	323941	Camille Wardlaw
634212	184274	Tina Kollmann
634213	184274	Tina Kollamann
634214	273136	Tunika
634215	337035	Hôtesse banque
634216	195047	Mia
634216	195050	Mia
634216	396027	Mia
634217	63084	Holly Stingley
634218	69986	
634218	354910	La piccola ballerina
634219	14835	
634219	33433	
634219	68651	Signora Cravetto
634219	71144	
634220	34828	
634220	36932	
634220	50154	
634220	91632	
634220	128643	
634220	259949	
634220	327782	
634220	351854	
634220	364577	
634221	1859	
634221	12146	Samantha
634221	61359	Tucán
634221	204694	Gloria
634221	205130	La reina blanca
634221	252549	
634221	255907	
634221	320215	
634221	380487	Pettinato`s sister
634221	383206	Sirena
634221	384119	Dorita (1997)
634221	384775	
634221	385070	Roxana
634221	390381	
634221	402721	Susana
634222	94711	Geisha
634223	378916	Host (1979)
634223	398638	
634224	381312	Luci
634225	13174	
634225	13476	
634225	17288	Anna
634225	18375	Ester Meucci, sua moglie
634225	20138	
634225	20350	
634225	20401	
634225	28549	
634225	29808	
634225	44964	Mme Zanetti
634225	54353	Carmela, Luca's wife
634225	57304	Alidjé
634225	63775	
634225	66386	Melanie
634225	66397	Laura's mother
634225	68659	Maria Botazzi
634225	75240	Fortuna's Mother
634225	76775	
634225	90006	La femme de Peppone
634225	90007	Mme Bottazzo Peppone
634225	90681	Aunt Agata
634225	94872	
634225	102458	
634225	103081	
634225	104284	Miss Teresa
634225	112271	Nina
634225	135245	Oberdan's mother
634225	187437	Antonietta
634225	197463	
634225	197467	Maria's mother
634225	205249	
634225	213935	Martina
634225	218541	Sabina
634225	222199	La Sniza
634225	227576	Amalia, la moglie di Gennaro
634225	234774	Anna Colussi
634225	235754	La sorella del principale
634225	236190	
634225	238794	
634225	247095	Fiora
634225	247875	Sonya Harkaneck
634225	254041	La femme de Peppone
634225	270841	Elena's Mother
634225	273144	
634225	274483	
634225	274872	
634225	276507	La femme de peppone
634225	281693	
634225	294706	
634225	295151	
634225	301380	
634225	309749	Lucia
634225	311815	Susanna
634225	326088	Giorgina Fusaro
634225	328344	Emilia
634225	336148	
634225	338370	
634225	338662	Dora Corelli, la cantante
634225	344607	Bianca, amica di Lina
634225	354117	
634225	354447	
634225	356218	Rosa
634226	356405	
634227	112651	
634227	129029	
634227	141594	Old Woman
634228	259048	Agent Gloria
634230	13053	Francesca
634230	14953	
634230	25301	
634230	104003	Emma
634230	162158	
634230	214851	
634230	217769	
634230	235776	
634230	269469	Nanà
634230	301217	Siglinde
634230	307639	
634230	344563	
634231	49890	
634231	51599	
634231	54718	
634231	70634	
634231	100374	
634231	113248	Norma
634231	134374	
634231	134582	Anne-Marie, Goffinet
634231	198995	
634231	198997	
634231	204771	
634231	218247	Mme Cuq
634231	272452	
634231	291650	
634231	296135	
634231	296155	
634232	134630	Alice
634233	4682	
634234	2545	Chorus girl
634234	6549	Nurse
634234	20087	Bit
634234	20625	Extra
634234	90307	Bridesmaid
634234	130622	Gold Digger
634234	247045	B-Girl
634234	300062	Girl #3
634234	329948	Clerk
634234	353373	Woman
634234	361300	Bit
634234	366947	Girl
634234	368244	Ensemble member
634234	372596	June Glory, Miss Philadelphia
634235	6627	Catherine's Mother
634235	13120	Lucie
634235	15104	
634235	20075	Line Hamelin
634235	24654	Herself
634235	24914	Gisèle
634235	59499	
634235	60029	
634235	60032	
634235	60909	
634235	76492	Simone Dupré
634235	76493	
634235	84660	
634235	85195	
634235	101137	Aline
634235	104212	Mme. Tardieu
634235	111069	
634235	116469	
634235	116470	Elisabeth
634235	121411	Juliette Perle
634235	123057	Esther Lévy
634235	125737	Pepita
634235	148727	Sylvette
634235	177410	Maike Tamara
634235	199359	Elyane
634235	201203	
634235	215536	
634235	217114	
634235	217659	Geneviève
634235	218334	Madame Clary Baumann
634235	218528	
634235	219509	Myrra
634235	227573	
634235	248235	
634235	260924	
634235	262942	Une infirmière
634235	264520	
634235	270765	
634235	271911	Franchita
634235	280522	
634235	289488	Catherine
634235	308292	Monique
634235	328399	Hélène/Elena
634235	341394	Annette Poisson
634235	346823	Herself
634235	348146	
634235	356965	
634235	381521	
634235	384280	Herself (actress)
634236	279988	
634237	147035	Kveta
634237	258821	Petrova sekretárka
634238	318763	Princess
634239	97345	Nurse
634240	94099	Paulina
634241	94099	Paulina
634242	299457	Ginny
634243	297115	Scullery Maid
634244	213581	Chorus
634244	334757	Chorus
634245	344178	Factory Cat
634246	187592	Wirtin Schuberts
634247	146888	
634247	182619	Rikke Brun, politibetjent
634247	327350	Herself (segment "Pallesen i 
634248	206112	Innkeeper's Wife
634248	241595	Frappazini, Landlady
634248	358453	Singer
634249	313865	Herself
634250	253458	Karen
634251	255851	The Cat
634252	164155	
634254	241277	Aquilla's maid
634255	164458	Page
634256	75504	Mother at Motel
634256	80399	Aquatic Director
634256	192682	Salon Patron #2
634256	274284	Jane (emergency police radio 
634256	328247	Dr. Masterson
634257	38103	Lady Day
634258	113286	Bar Patron
634259	116112	Student
634260	46353	Little Girl
634261	273333	Ticket Clerk
634261	350437	Linda
634262	313441	Vulcan Master
634263	100906	Female Clerk
634264	14618	
634264	59341	Daughter
634264	87554	Ysabel Maxwell
634264	254443	Mercia Solano
634264	311023	
634265	300772	Stephanie Droon
634266	255834	Mary of Bethany
634267	320143	Herself
634267	320149	Herself
634267	407081	Herself (37 Days, Chuay Gahn/
634268	129660	Herself
634269	80508	Parent #2
634269	117522	Sunseeker
634269	131541	Brooklyn
634269	193521	Miss LaBone
634269	215524	Clinic Nurse
634269	229858	Flora
634270	7086	Unseen aristocracy
634271	31905	Kate Kane
634271	55051	Helen Williams
634271	155453	Juliette
634271	286350	Kelly assistant
634272	195300	Cabinet Minister
634273	392273	Harriette
634274	78870	Miss Hall (Lee's secretary)
634275	93051	
634275	341442	(segment Mouth)
634276	323799	Cathy Christmas
634277	23973	English Actress
634277	79555	Additional Voices
634277	80487	Rosa
634277	88069	
634277	92513	Nose
634277	117037	Dr. Peterson's receptionist
634277	141378	Phyllis Rider
634277	153645	Mrs. Schmidt
634277	154157	Sales Lady
634277	164352	Alice
634277	164838	
634277	166874	Valda
634277	171124	Herself
634277	228209	
634277	251410	Presidential aide #2
634277	254777	
634277	271206	Flower Box Woman
634277	272022	Judy Grant
634277	288473	Mrs. Hammersmith
634277	288948	Rod's Wife
634277	311491	
634277	313562	Claire Crosby
634277	317226	Mrs. Hull
634277	320316	Candy
634277	336701	
634277	343157	Wife
634277	351526	Dr. McMain
634277	358701	Amelie Martell
634277	368023	
634277	395737	Mrs. Tompkins
634277	399430	Countess May Hem
634277	399827	Emmy Goering
634277	402176	
634277	402750	Noelle Attoll
634277	404230	Lucille Omitsu, Princess Viol
634277	410930	Mom (2003- )
634277	411378	General Jinjur
634277	411565	Barb
634278	331986	Gnatty
634278	340249	Rosie
634279	181408	
634279	231652	
634280	84355	Ptah-Ana-Ha, dead daughter of
634281	208276	
634283	20423	Verkaeuferin/sales clerk
634284	255827	Bit Part in Church Scene
634285	184562	
634285	218152	Gloria
634285	361238	Ghost Woman
634286	50444	Extra
634287	231730	Lusia Skrudziak
634287	408826	Lucia Elzonowska
634288	364982	
634289	143538	Althea
634290	333311	Little Girl
634291	115990	
634292	7441	Mrs. Marrian
634293	112831	
634294	3010	Neisha
634294	135772	Helen
634294	176487	Joy
634295	70916	Miss Whitney
634296	268201	Judi
634297	244088	Grandmother Brownstein
634298	373979	Oksana
634299	356877	Jugendliche
634300	246260	Henke's Girlfriend
634301	139429	Model
634302	231266	
634303	324664	Tanya
634304	229084	
634304	229852	Aleksandra
634304	230046	Oblomov's mother
634304	347094	
634304	349336	(segment "Bolshaya lyubov Che
634304	356110	
634304	357248	Tonya Bolotnikova
634304	375188	Zina
634304	394785	Charles IX' nurse
634304	404034	
634304	411911	
634304	411976	
634304	411981	
634305	236072	A washerwoman
634306	291593	
634307	373594	
634308	362052	Belly Dancer
634309	333575	Marichka as a Child
634310	314608	Herself
634310	381358	Herself
634310	381514	Herself (2001-2003)
634312	379528	Beba
634312	379911	
634312	394713	
634312	400998	Irini Panidi
634312	405566	
634312	410239	
634313	103425	Zory
634314	13884	Juliet
634314	283914	US Embassy Assistant
634315	151119	Nadine
634316	1381	Herself - a Story Writer
634316	7482	Bridge Player
634316	54706	Herself
634316	65161	Herself (author of 'It')
634316	163187	Herself
634316	291313	Herself
634316	300106	Cameo appearance
634317	392274	Eve Halliday (1967-68) (eps 1
634318	145022	Georgie
634319	22619	Helen
634319	185202	Dorcas
634319	230115	
634319	345809	Mary Quince
634320	93572	The Kilgour Child
634321	54471	Emma Rickenbacker
634321	190193	Poochie
634322	218371	Newsstand Woman
634323	40545	Arlene
634323	41284	Miss Jeffreys
634323	70013	Sylvia
634323	70306	Asa
634323	79948	Margaret DeGeorgio
634323	103250	Treasurer's Secretary
634323	124128	Mrs. Feld
634323	161078	
634323	169991	Maddie
634323	194885	Waitress
634323	231918	Alma
634323	276424	Suzy Kroll
634323	303545	Brenda Baker
634323	328075	
634323	331341	Mae Barber
634323	339834	Jessie Mae
634323	361626	Mother
634323	398404	Meg Tresch (1987)
634323	411354	Lady Bird Johnson
634324	64824	Amy Makaze
634325	68820	
634325	196224	Elsie
634325	229147	
634325	241825	The Barber's Wife
634325	269676	
634325	307929	The Wife
634326	157499	Sarah Mateo
634327	185182	Sue
634327	233964	Loretta
634328	231132	Party Guest
634328	381387	Diana Valesco
634328	397536	Alda Gittar
634329	337745	The Train Despatcher
634331	137658	Samantha 'Sammy' Thomas
634332	115136	
634333	115136	
634334	64168	Hazel Wilmot
634334	196146	
634334	317424	Lucy Ferrier
634334	349643	
634335	2339	Wren
634335	29304	
634335	82626	
634335	118001	Margaret Quentin
634335	126293	Girl
634335	129086	Janie
634335	138659	Barbara Colhoun
634335	139166	Bunty Phillips
634335	150798	Maid
634335	185377	Susan Potter
634335	241384	Mary Lowery
634335	281877	Rose O'Brien
634335	331099	Maud Burns
634336	16934	Sister Angelica
634336	19086	Kitty Mitchell
634336	43729	Flora Campbell
634336	52542	Betty Overton
634336	53825	Veronica Anstruther
634336	74201	Jeannette
634336	78095	Joan Farrant
634336	99883	Mrs. Blake
634336	115148	Mrs. Rivington
634336	131391	Miss Elizabeth Trant
634336	132798	Lina Parsons
634336	142156	Lady Benton
634336	146021	Dorothea Oddington
634336	152785	Lady Maud Brian
634336	160115	Margaret Hamilton
634336	160116	Margaret Hamilton
634336	194772	Countess Madeleine
634336	224798	Lady Susan Farrington
634336	245291	Eve Baxter
634336	264177	Helen Stanton
634336	282607	Waitress
634336	291486	Belle, Young Scrooge's Fiance
634336	347410	Vivien Allington
634336	363858	Celeste de Crequy
634337	118788	Rose Glynn
634337	135618	Bessie
634337	209349	
634337	282620	
634337	341987	Betty Turner
634338	26176	Vilemína Zahanská, princess
634338	51040	Widow
634338	122765	Gabriela Tuzarová
634338	149243	Honza's mother
634338	151848	Hofmánková
634338	153359	
634338	165819	Gemma's Mother
634338	179096	Drahomíra
634338	186236	Irena
634338	189493	Marta
634338	198220	Anna
634338	206950	Rozára
634338	234457	Helena Vargová
634338	239435	Jitka Zykanová
634338	247949	Lilka Stránská
634338	251991	Jarmila
634338	261381	Zdenka, daughter
634338	282748	Rozina sebranec
634338	312413	
634338	320638	Zorka Náhlíková, foster-daugh
634338	324335	
634338	344347	Lory
634338	349327	Eva Skálová
634338	373423	Kristýnka
634339	325625	Rechtsanwältin Dr. Kiefer
634339	387751	Eva Klaussner
634340	210040	Janine
634341	210040	Monique
634342	49553	Kerstin
634342	210040	Nicole
634343	8699	
634343	24082	Frl. von Bryde
634343	24344	
634343	42121	
634343	98240	
634343	108193	
634343	111438	
634343	119243	Miss Kellington
634343	123962	
634343	124432	Miss Vandergould
634343	126261	Thalia Manzetti
634343	134912	
634343	142111	Helene Fasan
634343	147145	
634343	164828	
634343	177177	
634343	178652	
634343	197829	Rita Vineta
634343	199399	Frau Wengert
634343	211111	
634343	214195	
634343	225136	Frau Juhl, Widow
634343	225719	Rosa Hagemann
634343	254373	Frau Brummel
634343	268150	Betsy
634343	278160	
634343	280800	
634343	282181	
634343	337552	Musette
634343	352040	
634343	352354	
634343	359622	
634343	376346	
634344	104179	
634344	173141	
634344	284171	Herself (poet)
634345	23622	João's Mother
634345	62713	
634345	104500	Gilda
634345	131092	
634345	148518	Pity
634345	196662	
634345	205462	Leina
634345	207605	
634345	236380	
634345	248047	
634345	248236	Suzy
634345	248746	
634345	272408	
634345	322265	Ana
634345	328334	
634345	334569	Geni
634345	344758	
634345	344799	
634345	353344	(segment "Fuga, A")
634345	356033	
634345	380563	Daisy Sheldon
634345	382405	Darlene
634345	383479	Verônica
634345	390737	
634345	401087	Aurora
634345	410476	Leda
634346	308823	Claudia
634347	16236	
634348	597	
634348	4797	
634348	17737	
634348	24082	Frau Grieger
634348	40585	
634348	46641	Novak's waitress
634348	119221	Babatte
634348	122550	Walburga Klopps, Großmutter
634348	122769	
634348	125299	
634348	136905	
634348	142132	Paula
634348	155456	
634348	172387	Anna Riegler - Ihre Tante
634348	181499	
634348	210105	
634348	216790	Rezi Korefová
634348	234028	Flower Woman
634348	262432	
634348	266208	
634348	293240	
634348	293272	
634348	301079	Kathi
634348	361333	
634348	365009	
634348	366514	Mrs. Simmerl
634348	376341	Lisas Großmutter
634348	376426	Anna
634349	11847	Zockerin (Gambler)
634349	12603	Frieda
634349	123952	Annerose
634349	125080	die alte Parnell
634349	182883	
634349	197419	
634349	272423	Brautmutter
634349	312654	Frau auf dem Friedhof
634349	324511	
634349	341769	
634349	352567	Konrad's grandmother
634349	369168	Dorothee
634349	392632	Maria Mildner
634349	398822	Mutter Dehnert
634350	403537	Participant, 'among the 4 bes
634351	135234	Gudrun
634352	103085	Ilse
634352	120032	Mutter Oberin
634352	122552	
634352	125163	
634352	184513	Berta Rogalla
634352	194573	Roswitha Pröhl
634352	211108	Heiners Mutter
634352	225276	
634352	259175	
634352	259680	
634352	270043	
634352	272009	
634352	290063	
634352	310430	Johanna Kompatzki
634352	312748	
634352	312874	
634352	312883	
634352	312885	
634352	312893	
634352	325447	Frau Waldmann
634352	325487	Frau Schobel
634352	325492	Herta Mellin
634352	325520	Dr. Mohr
634352	325600	Frau Sasse
634352	325704	Filialleiterin
634352	325820	
634352	325911	Frau Schlüter
634352	343499	
634352	348048	Aunt Hertha
634352	376354	
634352	381710	Miss Neiter
634352	382203	Hedwig
634352	385009	
634352	387034	Frau Bütow
634352	387397	Oma Lotte
634352	387736	Isolde Zenker
634352	388756	Wirtin
634352	389286	
634352	391314	Mutter Christl
634352	392509	Radfahrerin
634352	392636	Frau Schorndorf
634352	393360	
634352	395987	Frau Pröhl
634352	401356	
634352	402374	Frau Brensberger
634352	406321	
634352	409609	
634352	409627	
634353	377889	
634354	376626	Maria Berner
634355	17677	
634355	17678	
634355	99893	Paula Meyer
634355	109103	Marie Coudray
634355	110644	
634355	125206	
634355	141952	Bäckersfrau/Brigitte, Baker's
634355	144024	
634355	205772	
634355	246951	Frau Muffler, Putzfrau
634355	284153	Adèle Lude
634356	33178	Neighbour
634356	248132	Pediatric Nurse
634357	16438	Ursula
634358	160885	Handbag Wearer
634358	329703	WYAT Reporter
634359	338825	Vocalist
634361	61303	Passenger On Bus
634362	96603	Actress #1
634362	244099	
634362	262198	Bride
634362	334394	Hooker
634362	343979	
634363	78034	Hampton Eagle intern #1
634364	12167	Mädchen
634364	255246	Nike
634365	17531	
634365	131143	
634365	238320	
634365	259910	
634365	312434	
634365	333575	Gutenyuk
634366	2418	Rebecca McGillicudy
634367	213372	Jadwiga Chrzastkowska
634367	231681	
634368	13464	
634368	13465	
634368	17432	
634368	76998	
634368	77067	
634368	95618	
634368	198082	
634368	205596	
634368	258430	
634369	128000	Susanna
634370	98356	Francis
634370	190273	Tap Dancer
634371	318081	Lydia
634372	288113	Ermengarde
634373	394137	Vicky Veloso
634374	60675	Anémone
634374	200534	Sonia
634374	282207	Isolde
634374	341142	(segment "Madrugada - Amor na
634375	28909	
634375	62852	Mi-na Kang
634375	138009	
634375	371196	Seon-joo
634376	37474	Chinese girl in White Tiger
634376	185241	Ar Mo
634376	216803	Golden Girl
634377	407138	Herself
634378	311975	
634379	304787	Embassy Guest
634379	368012	Courtesy Appearance
634380	359060	Blind Woman
634381	118827	Collega
634381	292282	Amica
634381	410279	Nora Jettison/Anulla
634382	103643	Laura
634383	7242	
634383	83270	
634383	153804	Lucette
634383	266404	Antoinette
634383	292352	La midinette
634383	345113	La femme de chambre
634385	287809	
634386	86069	Professoressa Bellona
634387	14290	Scavenger's wife
634387	19670	Brazovicsné
634387	32424	Mami
634387	33566	Nagymama
634387	35060	Özvegy Fábiánné
634387	43187	Aunt Janka
634387	50463	Színésznõ
634387	51319	
634387	65021	Rácz néni
634387	74434	
634387	74440	
634387	74441	Özvegy
634387	74447	Mirigy
634387	91252	Dorottya
634387	92533	
634387	97957	Baloghné
634387	97958	Baloghné
634387	97972	
634387	98748	Emma néni
634387	114763	
634387	122598	
634387	136433	Teri néni
634387	136845	Mensicsné
634387	137146	Beke néni
634387	138468	Vogelmayerné
634387	139997	Vendég
634387	140049	Kofa
634387	142727	Amazontermészetü Márta
634387	153913	Bolond
634387	155956	
634387	162455	Julie's Grandma
634387	165562	Malvin
634387	172529	Cseléd
634387	175746	
634387	177136	
634387	179418	Agatha Christie
634387	182523	Tóthné
634387	182729	Gruber Sándor titkárnõje
634387	182873	Virágárus
634387	182879	Sári mama
634387	187670	
634387	198413	Biri néni
634387	200606	
634387	214500	
634387	216250	Szelistyei asszony
634387	224968	Nagymama
634387	225435	
634387	226711	
634387	229692	Háziasszony
634387	237159	Lotte
634387	237162	Sári néni
634387	237322	Kovács Mária
634387	244207	
634387	246283	Iza néni
634387	260326	
634387	268278	
634387	268284	Színésznõ
634387	268425	
634387	268428	Doktornõ
634387	268430	Hagymássyné
634387	322016	Cafrinka
634387	322199	The bath attendant
634387	322557	Szûcs Mari
634387	324700	Stanci néni
634387	326980	
634387	333113	Klári mamája
634387	333799	Cigányasszony
634387	334026	A mother
634387	343704	
634387	350735	Grandma
634387	352776	Tolmácsnõ
634387	352777	Csukáné
634387	354609	
634387	357721	
634387	357830	Bartender's wife
634387	357943	Tóth Irma, matematikatanár
634387	376366	
634387	376480	
634387	377121	
634387	377130	
634387	377203	
634387	377719	Etel
634387	377782	A Képmutogató felesége
634387	378116	
634387	378283	
634387	378588	Zsuzsi anyja
634387	382544	Piri néni
634387	387360	Késmárky Félixné
634387	399860	Klári néni
634387	402164	Bernáth mama
634388	351787	Yvonne Merrest
634389	307455	
634390	301338	Bruschino, figlio
634390	340009	Voce interna (Il Tabarro)
634391	346711	
634392	263415	
634393	179111	
634394	410431	Herself (interviewed)
634395	67834	Black Guy #2
634396	241461	After-Care Kid
634397	388202	Green Woman #3
634398	7420	Party Goer
634399	72223	Mandy
634400	44685	Young Nina
634400	44949	Debbie
634400	47799	Sara
634400	81360	Debater
634400	130167	Lucy Beale
634401	69342	La femme en rouge
634402	235234	Femelle humaine
634403	70184	
634403	111375	
634403	236321	Blonde coven member
634403	243618	
634403	288941	Prisoner
634404	115688	Bewoonster Zonnedael
634405	16780	
634406	409001	
634407	143536	Diana
634407	334193	Nancy
634408	100744	Kate
634409	136287	Becky
634410	338833	The Rabbit
634411	193990	Herself
634412	340992	Station Wagon
634412	366102	Cat Lady
634413	196508	Sarah
634414	323646	Girl with Black Eye
634415	261448	Child
634416	123509	
634416	129971	
634416	132149	
634416	173687	
634416	179335	Ileana
634416	181312	Journalist
634416	216609	
634416	222293	Mumi-mama
634416	224518	Marie Curie
634416	229056	
634416	237016	
634416	237139	
634416	238361	
634416	242819	
634416	259047	
634416	261139	
634416	261370	Dressmaker
634416	313885	
634416	320709	
634416	349249	
634416	349269	
634416	371001	
634416	404751	
634417	31668	Lingerie Lady
634418	72827	Schoolchildren
634418	200281	Singing child
634420	104777	Macedonian entry (19th place)
634421	41409	Special Lady
634421	124416	Helicopter Piloot
634422	56945	
634422	87942	model in Courrèges sequences
634422	145633	Herself
634423	299994	Seru
634425	156293	
634425	170468	
634427	23781	Gaby
634427	225616	Sonia
634427	340670	Une femme de Jim
634428	8915	La tante de Gérard
634428	171346	
634428	205736	La deuxième tante
634428	205774	Madame Lachaume
634428	214882	
634429	165423	La sous-maîtresse
634431	83380	Secrétaire Cassanoli
634431	392910	Fabienne
634432	64302	Herself
634433	104747	Monegasque entry (16th place)
634433	178303	
634434	108635	La surveillante Saintons
634434	174166	Isabelle
634434	352926	Caroline
634435	353912	La femme tranquille
634436	134818	Mary
634436	307247	
634437	233346	Enfermera inválido
634438	73328	Marie
634439	348219	Little Girl
634440	10305	Maggie Benton
634440	382254	Assistant #2
634440	383882	Nikki Taylor
634440	391869	Meg Bowman (1992)
634440	399130	Sondra Pike (1997)
634440	399311	Jules Carter
634440	404092	Deborah Hale
634441	245950	
634441	342328	Little Laura
634442	115362	
634443	382220	Li Fraser-Bastarache
634444	133291	Herself
634445	24429	Henchwoman
634445	207440	Big Bottom Girl
634445	224863	
634445	228482	Herself
634445	257618	Herself
634445	257624	Herself
634445	257652	Miss May
634445	257825	Miss January 1994
634445	257866	Herself
634445	278829	Herself
634445	344524	Herself
634445	361853	Herself
634446	32131	Brewery Official
634446	50203	Student
634446	185635	Murphy
634446	280447	Melanie
634446	331045	Mirabel Davenport
634446	333102	Ellen Ross
634446	381872	Kath Shand
634446	385819	
634446	385820	Harriet Howell (2000)
634446	385978	Anna Peirce
634446	387487	Kelly Logan
634446	387961	Melissa Garvey
634446	390074	Suze Littlewood
634446	394163	Woman on Phone
634446	401077	Leanda (1993-1995)
634446	404407	Suzanne De Tourney
634446	406950	Wendy
634446	407406	Kay Chambers
634447	244347	Morgan
634449	390571	Second woman
634450	39334	Elsie
634450	128585	Miss Barrington
634450	220797	Lady Eloise Logan
634450	263792	1st woman at meeting
634450	330681	Elderly Resident
634450	385825	Mrs. Stabler
634450	396009	Violet
634451	77204	Doctor
634452	209170	Dancer
634453	125973	Helga
634453	149930	Mrs. Hoffman
634453	162398	Maria
634453	279610	
634453	333127	Maud
634453	399816	Margo Campbell
634454	270368	Herself - Interviewee
634455	149440	TV Reporter
634456	150462	Miss Hershey
634457	141786	Litherland Medical Officer
634458	149362	Joanie
634459	309890	Anarchist
634460	23935	Herself - audience member
634460	154745	Carole
634460	161644	Clarissa 'Clancy' Merrick
634460	166737	
634460	183842	Lady Agatha
634460	197289	
634460	242377	Liza Missenden Green
634460	257341	Crossing lady
634460	293093	Penelope Toop
634460	323482	Victoria
634460	328905	The English Humanist
634460	368190	Mrs. Jessop
634460	381698	Narrator
634460	382727	Monica Hurling
634460	382854	April Winter/Merroney (1976)
634460	390132	Panellist/Girls' Captain #2
634460	396058	(Love 1: Romeo and Juliet)
634460	401452	Nellie Bligh
634460	403660	Belinda Purcell
634460	404599	Sylvia Beresford
634460	405576	Clarissa 'Clancy' Merrick
634460	407416	Victoria
634460	407952	Laurel Manasotti
634460	410513	Jessie Laussot
634460	410634	Claire
634460	411148	Gilly
634460	411393	Mrs Jessop
634460	411394	Mrs. Jessop
634460	411688	Lily
634461	215986	
634462	87671	
634463	183670	Susan
634463	346838	Patricia Alardyse
634464	17566	Anna Lucasta
634464	26120	Kyra
634464	34451	Train passenger
634464	42940	
634464	46769	Lucretia Borgia
634464	56579	
634464	56687	Joyce Norman
634464	59350	A Gamine
634464	59452	Tanya
634464	64922	Extra
634464	74288	Toni Gerard
634464	85995	Célestine
634464	92959	Nana
634464	94881	Herself
634464	117613	Celia Huston
634464	127082	Mary Carter
634464	128243	Student
634464	128245	Lingerie salesgirl
634464	133561	Hannah
634464	140676	Ellen Crane
634464	147391	Anita Dixon
634464	147799	Herself
634464	154376	Evelyn Connors
634464	155593	Mrs. Laura Cheveley
634464	159213	Mariagrazia
634464	176335	'Goldwyn Girl'
634464	176358	Extra
634464	178332	Kitty
634464	183675	Sidney Royce
634464	193264	Extra
634464	201844	Herself
634464	216964	A gamin
634464	220490	Blonde at Party
634464	235168	Louvette Corbeau
634464	235596	Gwen Saunders
634464	240610	Martha Pease
634464	246254	Bridesmaid
634464	249039	Betty Barnes
634464	254584	Mrs. Harris
634464	261603	Molly McCorkle
634464	273513	Loxi Claiborne
634464	280830	Extra
634464	291398	Herself
634464	292145	Ellen Miller
634464	300066	Train Passenger
634464	302915	Jezebel
634464	306176	Norma Treet
634464	306466	Lt. Joan O'Doul
634464	313118	Jane Rogers/Suzanne
634464	313377	Herself - Sweater, Sarong & P
634464	316193	Angie
634464	318192	Mary Morely
634464	329563	Herself
634464	336036	María Dolores
634464	345860	Abigail 'Abby' Martha Hale
634464	350645	Herself
634464	353306	Mona Ross (Escort Service)
634464	367919	Miriam Aarons
634464	370531	Herself
634464	372589	Leslie Saunders
634464	372596	Miss Hollywood
634465	411859	Dancer
634466	385299	Joyce Wood
634467	220577	Modern Projector
634467	222574	
634467	306944	Tabby, la gouverante
634467	393491	Dr. Anna Klaus
634468	77578	Gail
634469	115150	Mom
634470	53133	Mom (segment "People Can Lick
634470	113803	Physical Therapist
634470	314131	Shakara
634470	365866	Mrs. Belcher
634471	297802	Herself
634471	342206	Herself
634471	395978	Presenter (2002-2003)
634471	401624	Herself (1987-1999)
634471	408908	Herself
634471	408909	Herself/Presenter
634472	411245	Mary (Episode 8: Tarflowers)
634473	15049	Françoise-Cléone
634473	275344	La domestique
634473	327556	
634473	397158	(segment "Point d'honneur, Le
634473	400051	Juliette Massonneau
634474	11870	
634474	12568	Fräulein Bressel
634474	77410	Grete
634474	134822	
634474	177913	Anna Kieselbach
634474	210101	Lotte
634474	264920	Fräulein Petzold
634474	280801	
634474	281983	Ottilie, Haushälterin
634474	352503	
634474	361132	Mrs.Köstler
634474	367139	
634475	387517	Nurse Jill Adamson
634476	166292	
634476	389815	Host, 'Anime-zing' (2001-)
634477	81079	Ursula
634478	150952	
634478	291274	
634479	135534	Irène
634479	136657	
634480	254520	Singer
634481	51434	Monique
634481	73621	Auviette
634481	84593	Juliette
634481	124313	Josette
634481	201175	Marie
634481	217727	Emilie
634481	264525	Nadine
634481	345058	Rose
634481	345437	Babet
634481	345538	Marie-Ange
634481	356521	Le juge Davray
634481	377464	Beaten child's mother
634481	377656	Quentin's Mother
634481	384595	Polaire
634483	291470	Zoe Trahanache
634484	8991	La femme à la fenêtre
634485	285150	
634485	345290	Little Girl At Kiosk
634486	99683	Herself
634487	399948	Neri
634488	191427	
634489	263980	La comtesse
634490	248258	La nonne
634491	112856	Iphis
634492	111873	
634493	352930	Les grisettes
634494	403805	Susan Adamson #1 (2000-2001)
634495	169963	Mrs. Lucarell
634496	234663	
634496	340681	Laura
634497	32381	Förhörsledare
634497	111161	Elisabeth Hamren
634497	138025	Anna
634497	142765	Supervisor
634497	169976	Katrin Larsson
634497	176770	Lasse's Ex
634497	182294	Karen
634497	182564	Li
634497	190995	Nettan
634497	225234	Eva Randers
634497	230030	Ulla
634497	268375	Annmarie
634497	304216	Karin
634497	305895	public-relations manager
634497	315034	Mrs. Petrus
634497	320512	Shop Assistant
634497	349075	Jenny Calmers
634497	377287	Girl
634497	381602	Veronika
634497	385549	Siv
634497	392883	Suzanne Wranghult
634497	393273	Solveig Fors
634497	400451	Blenda
634497	400745	
634497	405570	Ingrid Ström (6 episodes 1996
634497	409080	Widow (2003)
634497	412211	
634498	186961	
634498	322449	
634499	11245	
634499	34923	
634499	36339	
634499	52023	Yoshiko Kawashima/Kim Pak-Fai
634499	61070	Dr. Ko
634499	95193	Guerrilla Girl #1
634499	135481	Sgt. Pai
634499	136066	Pao's Ex-wife
634499	152009	
634499	152114	Mina Kao
634499	188492	Police officer (wife)
634499	193911	Kuang
634499	368068	
634499	370734	Cook Show Audience
634499	373055	
634500	155381	Tanja
634502	290075	Vrouw 2, Carlintje
634504	113424	Herself
634505	15091	Georgette
634505	21419	Marina
634505	24623	
634505	25065	Rosina
634505	33676	Elisa
634505	44999	Hélène
634505	51436	Lyane Grandhomme
634505	57542	Colette
634505	58237	Gina Carigan
634505	63696	Cécily du Touchais
634505	74634	Olivia
634505	99545	Suzanne de Tournai
634505	101467	
634505	148729	
634505	149119	Mademoiselle Lherminier
634505	149532	Monique
634505	155644	Madeleine
634505	155680	
634505	155739	
634505	169577	Joy's mother
634505	179780	Pat
634505	218324	Gina
634505	235821	Jacqueline
634505	236616	Annie Pervenche
634505	248999	Francine
634505	269986	Marie Chassagne
634505	272388	Vera Lerins
634505	286046	La dame de la villa
634505	301528	Une spectatrice
634505	309450	Christiane Méry
634505	326150	Laura Morani
634505	340171	Constance Bonacieux
634505	345154	Christine
634505	346545	
634505	356963	Michèle Marley
634505	370107	Anna
634505	384009	Hélène
634505	385845	Prune, la prostituée (segment
634505	387044	Hélène de Villebois
634505	388419	La baronne de Vibray
634505	388419	La baronne de Vibray (segment
634505	397814	Elise
634505	403826	
634506	43700	
634506	91978	
634507	291897	Model
634510	224176	
634511	148460	Dawn
634512	216007	Elegant Lady
634512	395647	Lady
634513	353294	Academy Girl
634515	279319	Rachael
634516	151761	Luncheon guest
634517	163075	Seattle friend
634518	26079	Suspicious Neighbor
634518	76542	
634518	114144	Hotel Manageress
634518	188033	A Possum for Peace
634518	235357	Meryl's Mum
634518	245272	Sales Girl
634518	253015	Depressed Babysitter
634518	296947	Bella Parsons
634518	395153	Elvie
634518	397835	Aunt Jocelyn
634518	397836	Aunt Jocelyn
634519	254248	Polly Pett
634520	283195	Deputy I
634521	77207	Young Mavis Marsh
634522	400204	Co-host (ABC version)
634523	78775	Unfamiliar Waitress
634524	87460	Nurse
634525	104505	
634525	349399	Sal, Golden Glow Bartender
634525	378935	Rose Cumberbatch (1994)
634525	399257	Helen
634526	3225	Herself
634527	151113	Miss Rayner
634528	47022	Killerchick
634529	358004	Herself
634530	16089	Ellen
634530	115937	Homely Girl
634530	129088	Grace, the Maid
634530	133622	One of Gatsby's Servants
634530	163513	Annie
634530	183824	Hilda
634530	223981	
634530	329329	Bus Passenger
634530	339844	Townswoman
634530	367046	Mrs. Ormsby
634531	7296	Sweetheart
634531	13558	
634531	13564	
634531	13570	
634531	24208	Mrs. Runt
634531	35220	Mrs. Runt
634531	44991	
634531	79726	Daughter
634531	87890	Diving girl
634531	93380	Maiden in distress
634531	143951	Plump's and Runt's sweetheart
634531	148342	
634531	152549	Mrs. Debility
634531	152872	A Model
634531	162265	Kitty Brice
634531	190239	Miss Aqua
634531	195351	The sweetheart of the regimen
634531	206151	Janet Breslin
634531	207153	Babe Taylor
634531	230313	Their daughter
634531	274746	Her daughter
634531	282596	Her daughter
634531	291717	
634531	310229	Cashier
634531	315953	Slocum's daughter
634531	329779	Mrs. Plump
634531	329800	
634531	335534	Mamie Dean
634532	32537	Stella Livingston
634532	53336	Dowager
634532	81605	Sheila, Actress in Play
634532	92163	Gloria Baxter
634532	119799	Mimi
634532	145114	Ellen Cromwell
634532	153156	Josephine Whitley
634532	159706	Mrs. Stebbins
634532	178342	
634532	188405	Helen, Chorus Girl
634532	327831	Nurse
634532	328529	Vivian Vedder
634532	331081	Sarah Mellott
634532	346880	Carol West
634532	348327	Goldwyn Girl
634532	360662	
634532	366456	Phyllis Simpson
634533	61156	Female Dancer
634534	131692	Players and Voices in Opera S
634535	137560	Trudy Semple
634535	202467	Constable Tamara
634536	7500	Female Limo Driver
634536	115318	Dispatcher
634536	201346	Vicky McAllister
634536	202378	Lorna
634537	107784	Katie Thimm
634538	14002	Jessica
634538	137650	Faith
634538	313522	Natalie
634539	358592	Frank's French Girlfriend
634540	226818	Judith, Paul's child
634541	271558	Deepa's sister-in-law
634543	171327	Marine
634544	198974	L'institutrice
634545	66714	Mme Blistène
634545	70954	
634545	166186	Colombine
634545	225374	Gaby
634545	240586	
634545	277726	
634545	278631	
634545	324517	Nora, the rich client
634545	349481	Laura Gauthier, la call-girl
634545	376939	Mlle Aziz/La soeur de Milos
634545	377006	
634545	377977	Lily
634545	381350	Suzanne
634545	388141	L'amie de Nicolas
634545	400698	La femme de Georges
634545	409933	Charlotte
634546	277726	
634547	23973	Ballet Teacher #2
634547	72140	Dancer
634547	171596	
634547	231997	Moonbeam
634547	395096	
634547	402834	Élisa Laporte
634547	403475	Marianne Gauthier
634548	408883	Sarah
634549	63687	
634549	70589	L'infirmière
634549	71828	
634549	156294	La garagiste
634549	215021	La bénévole
634549	217705	La secrétaire de l'usine
634549	246306	
634549	353886	
634549	376998	La femme de l'accident
634549	377478	Le Bébé
634550	147937	Herself (survivor)
634551	17869	
634551	292351	Visiteur
634552	19334	Louise
634552	217039	The Young Girl
634552	337029	La flûtiste
634552	345156	Louise
634553	56753	Kore
634554	23330	
634554	23734	Carole
634554	166115	Daisy
634554	235871	Marie-Loup Carignan
634554	383002	Valérie Dumais
634554	386497	Ariane Léger
634555	264880	Barmaid
634556	273136	
634556	311459	Glas stare gospe
634556	350990	
634557	164164	
634557	202088	
634557	349488	La mère supérieure
634558	240682	Girl with Dog
634559	246221	Lama
634559	276874	Povana
634560	166345	Mrs. Corliss
634561	156460	Night Club Dancer
634562	118911	Snow
634562	232812	Dancer at porno house
634563	18694	
634564	213703	
634565	211605	Grisette: Dodo
634566	105418	Girl on T.V.
634567	240307	
634569	183459	
634570	270752	Interviewed
634571	265869	Sarah Fields
634572	178773	Nurse Dziunia
634572	181145	Alina's Mother
634572	236159	Nurse Dziunia
634573	36418	Bozena
634574	231730	
634575	48289	Community house woman
634575	84927	Satanist
634575	110287	Lady Diana
634575	277800	Wardress
634576	21783	Carol
634576	210835	Louise
634576	281442	Nurse
634577	74215	The Jury
634577	401339	Mrs. Clarke
634578	99688	Herself
634579	373816	
634580	265223	Soeur Benoît de Saint-Joseph
634581	116051	Lady's room attendant
634581	381549	Little Ghoul
634582	186406	Dancer
634583	12552	Parete
634583	43549	Elva Petrovitch
634583	52911	Sonia Ivanoria
634583	57695	
634583	68476	Mazie
634583	117695	Clara Ramerez
634583	133910	Nella Gardrow
634583	146826	Octoroon
634583	149140	Koree
634583	157538	Clarice
634583	176293	Dance Hall Girl
634583	194770	Pauline Zara
634583	206386	Zoldene
634583	209382	Madeline
634583	250572	Marie
634583	251681	Patricia Melton
634583	257881	Renée Grant
634583	263455	Evelyn Dolores
634583	274190	Roxy
634583	282411	Rita
634583	285781	Doña Florencia
634583	309581	Celebrity
634583	315765	Claire
634583	316329	Senorita
634583	317168	
634583	338224	Thalie
634583	355218	Juanita
634584	260631	Herself
634584	382817	Herself
634585	156386	
634586	205200	Vicetiple 5
634586	233359	Eufemia
634587	13074	
634587	285245	(segment "Belinha, a Virgem")
634588	83530	
634589	380097	
634590	273765	Singer
634591	133148	Herself - Arturo's wife
634592	86083	Receta de Cocina
634593	404888	Icléia
634594	228749	
634594	258737	Herself (singer - 'Cantiga de
634594	294115	
634595	70096	
634595	82989	Diva
634596	252532	Jessica
634596	370015	Lidia
634596	380535	Scarlet Jara
634596	382543	
634596	386170	Colomba Recabarrem
634596	395867	Javiera
634596	404292	Flavia
634596	406852	
634596	408180	Isidora
634597	101614	
634598	165334	Singer in Puticlub
634599	338642	
634600	392490	
634600	393616	
634601	393199	Amarilla (2002)
634602	8980	
634602	21645	
634602	101265	
634602	199033	
634602	225913	
634602	248236	
634602	248535	
634602	265212	
634602	344799	
634602	349722	
634603	45681	Ernestine
634603	114046	Beryl
634603	222614	Daphne Farrow
634603	276650	Esme
634604	321444	Whaler
634605	2324	Marie
634605	23863	
634605	23873	Anne-Sophie
634605	32035	Marie-Antoinette
634605	38170	Cécile Bussy
634605	96206	Bêth
634605	99966	Emma Zunz
634605	101942	Stella
634605	111305	Zoo
634605	112809	Juliette
634605	118754	Estelle
634605	133019	Bénédicte
634605	203178	Christine Bellefort
634605	210940	Catherine
634605	225502	Stéphane
634605	249059	Louise
634605	249208	Justine
634605	261814	Mila
634605	269806	Lela Forin
634605	278024	Mathilde de Bellegarde
634605	282286	Mathilde de la Môle
634605	285819	Ophélie
634605	308913	Florence Jr.
634605	309820	Susanna
634605	324437	Madeleine
634605	341402	Elise Vérone
634605	345557	Laurence
634605	346683	Lise
634605	377991	Nickie
634606	3128	Mrs. Davis
634606	38959	Mrs. Pitt
634606	45838	Mabel Smith
634606	53725	Betty Conlon
634606	65225	Mrs. Grey-Simmons
634606	79303	Mrs. Jenkins
634606	96740	Violet Courtland
634606	114989	
634606	120290	Sophie Peters
634606	142383	Lucky Luske
634606	149739	Miss Ashton
634606	150769	Eileen Chadwick
634606	158470	Hetty McCabe
634606	160033	Lovejoy's Mother
634606	165913	The 1st Wife
634606	179958	Bob's mother
634606	183770	Prudence
634606	184858	Amy Jordan
634606	203599	Mrs. Ferber
634606	232337	Tart
634606	233937	
634606	251288	Doll
634606	255013	
634606	256257	Mrs. Leverlilly
634606	261599	Mrs. Redband
634606	296810	Louise Venable
634606	299937	Madame LaFarge
634606	321706	The Prioress
634606	328239	Mrs. Thompson
634606	330884	Mrs. Weaver
634606	333439	Stenographer
634606	346374	
634606	353516	Nurse
634606	358872	Mrs. Emma Bulstrode, Dress Sh
634606	364233	Eleanor Trellington
634606	368924	Annette
634606	368928	Mrs. Goodge
634606	392397	Mrs. Partington
634606	399304	Katie Heenan
634606	407626	Madeline (1963)
634607	216590	Cleo
634608	411296	Herself
634609	183323	Jenny
634610	104379	Dr. Diane Taylor
634610	152536	
634610	310572	
634611	129815	Nurse
634611	135727	Yahoo
634612	196318	Luanne
634613	32601	Delia Mizer
634613	56857	Sweeney's Wife
634614	11425	Band Member (Coochie Pop)
634615	124794	Attractive woman
634615	236387	Home Shopping Hostess
634615	408237	French woman
634616	193716	Raylene
634616	363415	Jolene
634617	113417	
634618	75612	Actress
634619	79479	Herself
634619	269842	Sister Lucy
634619	385758	
634619	386231	Audrey Pilbeam
634619	387528	Emma Woodhouse
634619	393001	Philippa Yeates
634620	360470	Snotty store Clerk
634621	147651	Herself
634621	170108	
634622	51377	Rape Victim (Martine)
634623	25744	
634623	78570	Tere
634623	193484	
634623	252764	Vicky
634624	28955	Mama Erik
634625	283570	Fake Shemp/Janie's Neighbor
634626	168325	Alice
634627	106524	Herself
634628	106524	Herself
634629	106524	Herself
634630	106524	Herself
634631	106524	Herself
634632	79888	Herself
634632	106524	Herself
634632	391696	Herself
634633	325488	Iris Lorenz
634634	18976	
634634	107840	Fräulein Berton
634634	125333	
634634	138543	Jule
634634	142117	
634634	172526	
634634	174790	Aniko, seine Frau
634634	177904	Wirtin Balthausen
634634	178703	Mrs. Kuehnemann
634634	184271	
634634	214682	Sekretärin
634634	226309	Maid
634634	244676	Krabbenpulerin
634634	275177	
634634	312871	
634634	322515	Anna
634634	325832	
634634	329898	
634634	345286	
634634	386334	
634634	395644	
634634	405696	Woman at Water Camp
634635	104824	Pia
634636	361704	Darstellerin (Film)
634637	232239	Barbara
634638	378307	Herself
634639	390242	Valerie Grafdijk (1992)
634639	399409	Susan Prins
634640	376258	
634641	171418	Wardrobe Mistres
634641	334610	Bernarda
634641	389359	Baronin (1996)
634641	396285	Filomena Galfatti (2000)
634642	346387	Mutter
634643	12459	Girl
634644	191647	The Fairy
634645	144166	Moon
634645	281710	Louise
634645	325822	
634646	305919	Vanessa Cole
634647	205171	Det. Wallace
634647	321450	Shellie
634647	363492	Maid
634649	372882	Massage Receptionist
634650	181461	
634651	56360	
634651	269471	
634652	8657	Young Girl on the Beach
634653	297120	Katherina
634654	241277	Squid Calamari
634655	152603	Child
634656	190663	Salesgirl Dietrich
634656	411311	Celine De Wolf-Derdeyn (1999-
634657	281148	Verpleegster
634657	408421	Zus Stokvis-Mollema (1992-200
634658	32354	Carmen
634659	199239	
634660	6486	Mother-in-Law
634660	16204	
634660	55617	Maite
634660	74869	Periodista
634660	125766	
634660	161850	Daphne
634660	251599	Sor Remedios
634660	259726	
634660	287733	
634660	322371	Maritxu
634660	372950	Chica Kaska
634660	407711	Miren
634661	6486	Kid
634661	185974	Ollana
634661	212383	Laura
634661	274784	Silvia
634661	319513	Golosina
634661	348738	
634661	369755	Herself
634661	378989	Alex
634661	384852	
634661	390244	Ainhoa
634661	390722	Arantxa Ortega
634662	42632	Hermana Mayor
634663	166116	
634664	155490	
634664	259446	
634664	259588	
634665	20954	Alison Walker
634666	40136	Platic Surgeon
634667	80587	Woman
634667	241444	
634667	330375	
634668	32409	
634669	145496	
634670	45908	
634670	120928	
634670	126326	
634670	178658	Frau Kleinholz
634670	179297	Zimmervermieterin Beck
634670	189868	
634670	210006	
634670	253944	
634670	324472	
634670	360870	
634671	86031	Dutch girl
634672	71286	Aurora
634673	71286	Aurora
634674	80381	TV Newscaster
634675	34070	Aninha
634675	380097	Beatriz
634675	385522	Young Germana
634675	387640	
634675	391674	Maria Lua
634675	392510	
634675	393286	Silvia
634675	410104	Raquel
634676	315551	
634677	39625	
634678	239453	
634679	94222	
634679	402755	Maria Chocholak
634680	30669	Huguette
634680	111043	Linda
634681	59151	Sarah Windsor
634681	141400	Pam Wolfe
634681	148200	Linnie
634681	166917	Kathy Sanders
634681	260705	Polly
634681	280152	Dawn Black
634681	314155	Noelle Gibson
634681	315781	Elli ('Fiction')
634681	337844	Louise Van Lew
634681	339872	Bree Levy
634681	349399	Kat Grafalk, Bernard's Daught
634681	382842	Katie Shaw
634681	386547	Cheryl Larsen
634681	401362	Angela Doolan
634682	24856	
634683	280152	Flora Rockwell
634684	300739	Herself
634685	7204	Kathy
634686	288670	Mabel
634687	306853	Pick Up Girl
634688	390812	Claudia Wedemaier-Löpelmann, 
634689	53975	Barbara
634690	55850	German POW camp officer
634690	128519	Joanna
634690	238298	German POW camp officer
634691	14166	Anderson
634691	116292	Jen
634692	387714	Frau Vogel
634693	235403	Window Girl
634694	41880	Sonia
634695	305861	Mor
634696	201903	Backyard Protester
634697	325631	
634698	51989	Bertha
634698	183683	Waitress
634698	346016	Model
634699	84521	Teen Mary
634700	161732	
634701	282189	Herself
634701	312732	Herself
634702	92575	Rhonda Sue
634702	109449	Margie
634702	352420	Capone's Nurse
634703	321174	Cop
634703	323866	Brandy
634704	139806	
634704	216406	Francesca, Air Hostess
634704	325022	
634705	66324	Imogen
634705	79057	Nina
634705	96775	Monica
634705	100771	Elaine
634705	146807	Cheryl
634705	151170	Sonya
634705	152553	Woman
634705	158142	Iris Zurwin
634705	164984	School Secretary
634705	176804	Homeless Woman
634705	194638	Kristen
634705	223896	Pretty Nurse
634705	226901	Donovan's girl
634705	272661	Sandra
634705	277922	
634705	314138	Hippie Girl
634705	331246	Jenny
634706	128429	Parents Friend
634707	16677	Voodoo Dancer
634708	140186	Witch
634709	283586	Sandra
634709	346069	Lucky
634709	352473	Lisa
634711	2600	
634711	219866	Corinthian Merchant
634712	43935	Clinic Doctor
634713	93217	Extra
634714	234582	Joyce Chandler
634714	353499	Herself (Model)
634715	336931	Janata Maratjama
634716	92254	
634717	271191	Maggie
634718	6569	
634718	52698	
634718	126043	
634718	135359	Une Versaillaise (segment "La
634718	164178	Jeanne
634718	345286	
634718	349421	
634718	353861	Irina Lenehan
634718	357269	Fortune teller
634718	376506	
634718	378866	Mme de Saint-Palais (ep.2)
634719	15240	
634719	23622	Lulu
634719	42576	College Friend
634719	73655	Maria Alice
634719	97250	
634719	110888	Soninha
634719	181446	Actress as Francisca
634719	338244	
634719	355829	Déia
634719	381583	Amélie
634719	384711	Libda/Anita Estrela
634719	385043	Branca
634719	385947	Suzana
634719	386123	Nair Garcia
634719	386417	Tonica
634719	386757	Gilda
634719	387640	Maria da Penha
634719	402593	Princess Ingrid Méril
634719	404799	Monique
634719	408330	Eduarda
634719	409024	
634719	409419	Anita Malfatti
634719	410190	Lilica
634720	380386	Lenida
634720	382741	Socorro
634720	384137	Roseli
634720	385023	Jalusa Cardoso Hernandez
634720	388591	Vaina Marina
634720	391673	Matilde
634720	396036	Estelinha
634720	400584	Monalisa
634720	401104	Zuleica
634720	401900	Tadinha
634720	408212	Cinira
634720	409405	Expedita
634720	409780	Consuelo
634721	239756	Pusher 1
634722	31870	Sweater Girl
634722	63187	El the reaper
634723	243889	Betsy
634723	333430	Sleez Girl
634724	324446	Majka
634724	354981	Dostana
634724	359553	Hanka
634725	312042	Bit
634726	21550	Phoebe
634726	32612	Narrator
634726	78093	Julie
634726	124679	The Lady
634726	141312	Ceci
634726	184243	Voice over
634726	241551	Charlotte
634726	323016	Linda Meddows
634726	390948	Alex
634726	392970	Angela Llewellyn
634727	233038	Tamari
634727	354636	Asida
634728	356562	Gikki
634729	378643	Sally Sunley
634729	385779	Emily
634729	402302	Gertrude
634730	158769	Francine
634730	158856	
634730	212518	
634730	229622	Alunna Cantini
634730	375217	Marisa Donati
634730	378643	Grace Barras
634730	387071	Elena
634730	389293	Sedley, Joan
634731	208512	Trish
634732	248108	Girl in Bar
634733	279315	Professional Woman in Bathroo
634734	254996	House Perfect
634735	160982	Amazon Queen/University Dean 
634736	90832	Maartje Brak
634737	23699	La chanteuse
634738	68455	Jenny
634738	124160	Little Girl
634738	194032	Colleen O'Brian
634739	105711	
634740	268584	Tasya
634741	221407	Tinatin Margiani
634742	344260	Iagundisa
634743	85273	
634743	326266	
634744	207941	Woman in Red
634745	268815	Sona
634746	95650	Nashchokina
634746	129924	Countess Anastasia de Restaud
634746	255780	
634746	350731	Monakhova
634747	325703	
634748	156495	
634749	8117	
634749	11977	
634749	84026	
634749	123521	
634749	136492	
634749	154135	Pagona
634749	172728	
634749	181389	Student Lazarou
634749	212594	Sissy, Mika's little sister
634749	226750	
634749	234701	Kleo
634749	243080	
634749	244139	
634749	247084	
634749	248646	
634749	266502	Dolly
634749	338999	
634749	350614	
634751	228895	
634752	195267	
634753	236527	Martine
634753	248409	
634754	92858	Ari
634755	130504	Motel owner's wife
634756	24875	Auntie Mei
634757	10879	Talon
634757	127309	
634757	209539	Bunny
634757	245010	Tommie Ling
634757	392244	Li Dan-Yi
634758	5631	Lakshmi
634758	5632	Lakshmi
634758	25949	
634758	29418	
634758	30412	Lily/Indu
634758	36136	
634758	58384	
634758	83735	Vinakumari
634758	84796	Devayani
634758	130562	
634758	136058	
634758	136059	Gunsundari
634758	169664	
634758	172562	
634758	172572	
634758	175107	Pushpa
634758	176193	
634758	184706	The Princess
634758	211259	
634758	215446	Kusum
634758	262249	Kusum
634758	268086	
634758	270566	Radha
634758	288573	Savitri
634758	298263	
634758	303008	Princess Hansa
634758	303009	Princess Hansa
634758	307097	
634758	327155	
634758	355311	
634759	374005	Yasmin
634760	296624	
634761	395189	Anita Nixon
634762	126067	Sister Act
634763	336730	
634764	409609	(1991)
634765	126067	Sister Act
634766	403805	Billie Reed #4 (1999-2000)
634767	27336	
634767	149459	Joy
634767	235403	Albino Folk Singer
634767	240486	Tattle Tail Skater
634767	270632	Crystal
634767	297249	Waitress
634767	326755	Yora
634767	330565	Drunk Office Girl
634767	390322	Jane
634767	403419	Joy
634768	33525	Mother
634768	219606	
634768	336643	Nicole
634769	57514	
634769	72522	
634769	169176	Professor Quotient
634769	197714	Leigh
634769	204336	
634769	213018	Miss Henderson
634769	323928	Elizabeth Storm
634769	340053	Ecaterina Teodoroiu
634769	350194	Cassandra
634769	403515	Roberta/Oana
634770	379937	
634770	381328	
634771	69152	Herself
634771	104646	Singer
634772	104936	Supermarket Lady
634773	6465	
634773	48191	
634773	55942	
634773	76004	
634773	192986	
634773	202119	
634773	225041	
634773	252065	
634773	266820	
634773	292938	
634773	320348	
634774	21452	Ninette Monday
634774	89842	Florence Dombey
634774	133961	Peggy
634774	183275	
634774	251397	Marie Odette
634774	311216	Sue Fawthorpe
634774	335821	Margaret Drum
634774	358161	Mary Crookenden
634774	360195	Olga
634774	364530	Aurora
634775	66274	Jody
634775	158481	Katie
634775	166639	Christy
634775	168221	Marva
634775	272005	Angela Morris
634775	280190	
634775	321367	Tammy
634775	411802	Callie Rogers #2 (1998-2000)
634776	38649	Mrs. Perry
634777	935	Cathy Wilton
634777	41741	Pretty Woman
634777	61774	Rachel
634777	67599	Melissa Alexandra Hayes
634777	68308	Karen Warner
634777	75282	Cynthia
634777	78936	Victoria Winters Collins
634777	97440	Helen Kunen
634777	141610	Jennifer Marling
634777	148206	Natalie
634777	151625	Young Em Reed
634777	161790	Alice Abbott
634777	175842	Cherry
634777	191734	Kate
634777	193486	Sandra
634777	230124	Toni Fiorelli
634777	233307	Young Student
634777	254589	Jennifer Pailey, M.D.
634777	282511	
634777	283434	Celeste Wood
634777	314777	Rosalyn Willoughby
634777	367768	Nina
634777	369336	Josie Marcus
634777	380391	Lisa Grady (1987-1989)
634777	385720	Victoria Winters/Josette (199
634777	389929	
634777	390262	Kathleen McDermott
634777	404613	Evie Stone #2 (1986)
634778	149252	Shayla
634779	334720	Wahini/Nasty Girl/Elf/Cheerle
634780	158141	Bank patron
634781	47796	Young Kysten Ellison
634782	158141	Bank patron
634783	213852	College Friend
634784	338870	
634785	65006	Anna, the Seamstress
634786	166346	The Bookseller
634787	255518	Katia
634788	69174	Herself
634789	348738	
634789	390244	Amaia
634790	199936	
634791	33728	Kurva II
634791	43009	Kosovka Devojka
634791	174972	Ivana
634791	258801	
634791	403668	
634792	42885	
634793	109049	The Mother
634794	306309	Arzu
634795	173112	Herself
634796	19931	
634797	140665	
634797	217360	
634798	232610	Yatsu, Hisako's daughter
634799	213479	Zombie parent dancer
634801	252853	Mona
634801	380889	Black cat outside Thornley Ma
634802	80019	Massouda
634803	244870	Gila
634803	289678	Emma
634803	299174	Elsa Lutz
634803	331549	Anna Jacque
634803	349991	T.J. Breckenridge
634804	294734	Herself
634805	85725	Chesty
634806	144208	
634806	193959	
634806	232660	
634807	216406	Dinah Raviv
634808	384201	
634809	35878	
634809	48319	
634809	94222	Actress
634809	249885	Dembowski's Wife
634809	255411	Halina
634809	261402	
634809	293684	
634809	344036	Kasia
634809	394725	Alla
634810	187627	Chico en Club Naútico
634811	55474	Janie Paloma
634811	73906	Receptionist
634811	112192	Conchita
634811	241604	Don Antonio's Waitress
634812	304722	S.N.Popova
634813	160218	
634814	322141	
634814	406644	Linka Kloskówna
634815	160219	Lady Jessica
634816	99682	Herself
634817	243910	Osama
634818	374419	Gypsy dancer
634819	16099	Dr. Françoise Brun-Vezinet
634820	385528	
634821	127007	
634821	220703	
634822	14550	
634822	16836	Dona Calixta
634822	45919	
634822	77227	Juliana Fleming
634822	121491	
634822	132692	
634822	143377	Margarita Darlow
634822	378489	
634823	88090	Little Teensy
634823	131732	Cynthia Fein
634824	292266	Iota
634825	7500	Miss Thanksgiving
634827	31637	Bikini Audition Girl 16
634828	14492	Jessica Evans
634828	40824	Baby Twinkle
634828	109722	Kimberly (age 5)
634828	161390	Herself
634828	239033	Bobby's Daughter
634828	365559	Marian Needham
634828	381070	Annie Riddle
634828	388793	Lindsay Dutton
634828	409744	Elizabeth Maxwell (5 years ol
634830	276168	Fiona
634831	401393	Lashara
634832	93837	Neighbor lady
634834	119322	Cherry
634835	80861	Receptionist
634836	11135	
634836	35518	
634836	130619	
634836	252220	
634836	252832	
634836	290981	
634836	362534	
634837	379831	Debra Du Bois #1 (1989)
634838	86478	Model
634839	117496	Lisa
634841	15407	Picumã
634841	27867	Jacobina
634841	162204	Salma
634841	213708	Alice
634841	218719	Carnival Girl
634841	301335	
634841	317719	
634841	388941	
634841	391674	Marisa
634841	392747	Rita da Paz
634841	396610	Vera (1995)
634841	398503	Alzira
634841	401900	Kátia
634841	402623	
634841	404220	
634842	29156	Do-Me Girl
634842	99766	Nymph #1
634842	102726	Listener (episode "The Busine
634842	236340	Herself
634842	254614	Corey
634842	392058	Lacey
634843	33527	Boca Blue
634844	143832	Secretary
634844	329309	Kathy
634845	161918	Rose
634847	1300	Hot housewife
634848	278855	Evonne Williams
634849	109846	Julie
634849	289205	Julie
634850	150107	
634852	846	Herself
634852	28482	Buck McPhee
634852	75546	Voltan's Participant
634852	121804	Herself
634852	136494	Mrs. Le Blanc
634852	143573	Elsa Munster Hyde
634852	170001	
634852	379756	Gloria
634852	384366	Judy Silver (1995-1996)
634852	384616	Herself
634852	392423	Herself
634852	408642	Regular Panelist
634853	177309	Bucky
634854	150476	Mina's Victim#3
634855	1221	
634855	1308	
634855	6725	Herself
634855	41620	
634855	60333	
634855	60795	
634855	81370	
634855	87379	
634855	119931	
634855	119970	
634855	119993	
634855	119995	
634855	120005	
634855	127405	
634855	167586	
634855	187183	
634855	194723	
634855	219109	
634855	226983	
634855	228020	
634855	228021	Herself
634855	228024	Herself
634855	235576	
634855	260297	
634855	260805	
634855	296101	
634855	319934	
634855	330411	
634855	332877	
634855	353740	
634855	354811	
634855	354818	
634855	360893	
634856	118363	Bad Girl #3
634857	189987	Morgan Hall Coed
634858	241050	High School Band
634859	14538	
634859	15142	Alkmene
634859	15908	
634859	16229	
634859	24124	Schwester Agnes
634859	31379	
634859	120953	Minna von Barnhelm
634859	168406	Anna
634859	174087	Klara May
634859	246951	Emilie, Zimmermädchen
634859	281805	Henriette Flamm
634859	286408	
634859	334519	Linda
634859	347051	
634859	358756	Ilse Babka
634860	311448	Cynthia
634861	91929	Entrance Flower
634861	163404	Medical examiner
634863	381091	Herself (eliminated round 1)
634863	395244	Various roles
634864	55719	Khasi's wife
634864	315311	
634864	348377	Mademoiselle from Armentieres
634865	17168	Mabel
634865	38045	Miss Sullivan
634865	68093	Herself
634865	74113	Eleanor
634865	78795	Gourmand (movement only)
634865	133728	Annie Sue Pig, Lou
634865	154403	Herself
634865	167627	
634865	183213	Ballroom Dancer
634865	222479	Mrs. Dilbert/Additional Muppe
634865	222486	Rat/Tomato (uncredited)/Addit
634865	222494	Popcorn Girl
634865	222496	Tourist Rat
634865	238529	Herself
634865	256622	Edith
634865	323743	Mother
634865	335982	Rosina Brandram (Katisha)
634865	368455	Herself/Muppet Performer
634865	379571	The Lady
634865	380303	Tizzy Bee (1995-1997)/Bunnie 
634865	390020	Fughetta Faffner
634865	398543	Mildred (1977)/Mary Louise (1
634865	403649	Glenis/Iris
634865	404677	Hortense and Raisin
634865	404897	Ethel Mermaid (199?)/Ranata D
634865	406193	Voice & Puppetry (1984-1986)
634867	51990	Crazy Alice
634868	81501	
634870	90341	Esmeralda, Mouse's Girlfriend
634870	156524	Elizabeth
634871	13742	Gwen's Greeter
634872	152950	Officer Monetti
634872	152951	
634872	215174	Elizabeth Weatherworth
634873	40740	
634873	40824	Blink
634873	64569	Herself (performer)
634873	64570	Herself (performer)
634873	162678	Little Girl
634873	176331	Bobbi
634873	192067	Brenda Brinker
634873	342605	Traci Jordan
634873	381668	Katherine 'Katie' Olivia Gatl
634873	383429	Mary Armagh as a Child
634875	200802	
634876	72801	
634877	68502	
634879	120394	
634879	142331	Mom
634879	310002	Additional Voices
634880	244787	Orphanage Directress
634880	346707	Mère
634881	68404	
634882	380192	Herself (Series 2) (1986)
634883	90771	Daughter
634885	195418	Brad's date #1
634885	231494	Kate
634886	122019	Bank Customer
634887	321042	
634888	28610	
634888	36941	
634888	50256	
634888	105633	
634888	109429	
634888	249569	
634888	289793	
634888	333820	
634888	361363	
634889	321632	F & B Model
634890	34647	Maggie
634891	65386	Chloe
634892	18030	Lisa
634892	32261	Beth
634892	34937	Jaki's friend
634892	35825	Tia
634892	40824	Shady
634892	61617	Pam Rodman
634892	64570	Herself (performer)
634892	77575	Angela Strull
634892	87375	Sarah
634892	94573	Hostess
634892	107103	Darcy Palmer/Barbara Richards
634892	111808	Buddy
634892	117231	Nancy Walsh
634892	128345	Anne 'Annie' Nolan
634892	134722	Carol Seaver
634892	134723	Carol Anne Seaver
634892	134724	Herself
634892	138136	Ari Jacobs
634892	154662	Carrie
634892	158902	Laurie Mae Moon
634892	161390	Herself
634892	166713	Emma Prince
634892	176478	Sarah Landers Taylor
634892	183186	Christa Uchytil
634892	183730	Sharon
634892	192067	Cindy Brinker
634892	195043	Cindy Maris
634892	205851	Young Norma Jean
634892	231871	Donna Blankenstrip
634892	252866	Alexandra Michaelson
634892	269642	Shauna Kelly
634892	271318	Stephanie as a child
634892	273559	Ellen Maynes
634892	298105	Liddy Carlyle
634892	299663	Marianne Dunlap
634892	304753	Sylvie Pierson
634892	315085	Leslie Wagner
634892	315113	Stacy
634892	323785	Jane
634892	332151	Alix
634892	334169	Lori Molina
634892	359087	Sue Bentley
634892	362543	Woman at auction
634892	364313	Pauline Fray
634892	365644	Nell Swanson
634892	365866	Herself/Carol Seaver
634892	383429	Rosemary Armagh
634892	383755	Herself (5th Executed)
634892	385718	Missy Penrose
634892	390371	Susan Barnes
634892	390691	Carol Seaver (1985-1992)
634892	392422	Herself
634892	392764	Host (1989)
634892	405170	Michelle Miller
634893	215174	Mary Weatherworth
634894	315047	
634895	3452	
634895	150050	Contestant #14
634895	293005	
634897	178286	19th Waitress
634898	288473	Kim
634898	406773	Francesca 'Flash' Albright
634899	7598	
634899	14642	
634899	18872	
634899	35005	
634899	53164	
634899	69223	
634899	74549	
634899	80162	
634899	84057	
634899	84459	
634899	143784	
634899	143804	
634899	160092	
634899	221904	
634899	222822	
634899	236001	
634899	243685	
634899	248302	
634899	265148	
634899	334650	
634900	213697	Buchhändlerin
634901	340026	Herself (former Xerox PARC re
634902	65598	
634902	101921	Silvia
634902	231303	
634902	356056	
634903	184424	Raider's girl
634905	82528	Tina
634906	57013	Comic
634907	196376	Pool beauty
634908	393173	Pat Kennedy (age 4)
634909	12319	Party Guest
634910	324742	Dancer
634911	163373	Herself
634912	341519	Student #2
634913	33940	Player of Oposing Team
634913	340948	Pupil/School Girl
634914	74259	Pepper's Baby
634915	2034	Tina Landrum
634915	64077	Arabella
634915	64394	Caroline
634915	87234	Marcy
634915	93245	EMT #1
634915	154620	Woman Runner #1
634915	215393	
634915	230442	Sales Woman
634915	275365	
634915	293083	Young Connie
634915	304285	Comic
634915	314503	Operating Room Nurse
634915	358659	Waitress
634915	383412	Additional Voices
634915	386926	
634915	392294	
634915	398000	Additional Voices
634915	405356	Nana Yamaigumo, Rally Cheyenn
634916	5891	Nurse Missy Villewich
634919	192638	Holly's Mother
634920	310141	Twana
634921	169991	Child in class
634922	42070	Naomi
634923	384119	
634924	26971	Party Animal
634924	40223	Paula
634925	35107	Gaggle Lady
634925	82899	Gaggle Lady #4
634926	322837	Baroness Onrald, Additional V
634927	263121	
634927	320415	
634928	303024	Sophie
634929	251295	Valentine
634930	214662	Diner Patron/1920's Flapper
634931	78182	Gunmen
634932	48554	Hickory
634932	57022	
634932	82386	Nurse
634933	158462	Patria Mirabal (age 10)
634933	169991	Stephanie
634934	108678	
634935	33333	
634935	85865	Policewoman
634935	156036	
634935	298778	
634937	73833	Celebrity Party Guest
634938	1480	Herself - Presenter
634938	1634	Herself
634938	2762	Presenter - Best Musical
634938	2780	Herself
634938	2899	Herself - Best Supporting Act
634938	2904	Herself
634938	2921	Herself - Host
634938	2930	Herself - Host
634938	3021	Herself - Past Winner
634938	3027	Herself - Host/Presenter: Bes
634938	3046	Herself - Host
634938	7099	Judge Cameo
634938	7583	Herself
634938	7586	Herself
634938	7592	Herself
634938	9897	Herself
634938	10241	Baby Clown
634938	10750	Cheshire Cat
634938	11670	Herself
634938	13751	Herself
634938	13912	Herself
634938	13934	Herself
634938	20052	Herself
634938	35719	Host
634938	35799	Herself
634938	38964	Herself
634938	40070	
634938	40872	Blizzard
634938	42367	Narrator
634938	42913	Harriet Franklin
634938	43739	Host
634938	44238	Hospital Patient
634938	45662	Jane Deluca
634938	49763	Bernice 'Bernie' Rhodenbarr
634938	50460	Herself
634938	52443	Lucy Cullins
634938	55505	Herself
634938	55512	Herself
634938	57663	
634938	57671	Herself
634938	57679	Herself
634938	57766	Herself
634938	62994	Spirit of Christmas Present
634938	63106	Herself
634938	63339	Herself
634938	64078	Queen Constantina
634938	64561	Ringmaster
634938	64720	
634938	65174	Clara Mayfield
634938	67040	Herself
634938	67395	Celie
634938	68092	Herself
634938	68099	Herself
634938	68100	Herself
634938	68104	Herself
634938	68105	Host
634938	68106	Herself/Host
634938	68107	Host
634938	68124	
634938	71110	Corrina Washington
634938	81629	Herself
634938	81767	Candy Bliss
634938	82047	Ms. Megawatt
634938	84113	Cabbie
634938	87182	Herself
634938	87579	Herself
634938	88872	Herself
634938	97388	Edwina 'Eddie' Franklin
634938	99305	Herself
634938	109610	Rita Rizzoli
634938	121864	Constitutional Caterer
634938	126502	Herself
634938	127073	Oda Mae Brown
634938	127295	Myrlie Evers
634938	128583	Valerie Owens, RN
634938	130752	Calafia, the Queen of Califor
634938	131431	Mabel Spader
634938	131677	Herself
634938	138700	Herself
634938	138727	Herself
634938	139623	Herself
634938	143654	Host
634938	147853	Herself
634938	148523	Eddie Cervi
634938	151458	Delilah Abraham
634938	153139	Host
634938	154399	Cohost
634938	157197	Guest
634938	157436	Herself
634938	158232	Nurse Myrna
634938	161361	Herself
634938	163478	Daniel's 'Boss'
634938	164576	Herself
634938	164587	Nurse Ethyl Washington Rue Ow
634938	170562	Terry Dolittle
634938	177630	Raynelle Slocumb
634938	178127	Sarah Collins
634938	178902	Dr. Vivien Morgan
634938	185847	Herself
634938	189277	Narrator
634938	191243	Shenzi
634938	191246	Shenzi
634938	192187	Buckwheat's Mom
634938	192423	Mayor Whoopi
634938	192840	Herself
634938	193108	Sgt. Billy York
634938	194055	Odessa Cotter
634938	199475	Sarah Mathews
634938	199568	Miss Clavel
634938	200327	The Grand Banshee
634938	200346	Herself
634938	201511	Herself
634938	201602	Host
634938	201638	Herself (Host)
634938	201675	Herself
634938	206879	Host/Narrator
634938	212711	Herself (Liberian Girl video)
634938	216670	Herself
634938	218180	Death
634938	218774	Sylvie Morrow
634938	219118	Cleo
634938	219937	Mother Gooseberg
634938	220207	Herself
634938	224246	Mariah Johnston
634938	225774	Herself
634938	226954	Tragedy Mask on Theater Wall
634938	229681	Herself
634938	241675	Herself
634938	243950	Herself
634938	244824	Mrs. Peck
634938	244946	Narrator/Host
634938	246521	Fantasy
634938	251040	Herself
634938	256349	Cyberina
634938	256838	Herself
634938	257689	Detective Susan Avery
634938	258910	Herself
634938	272602	Vera Baker
634938	276190	Herself
634938	277700	Herself
634938	280716	Host
634938	283104	Ranger Margaret
634938	288081	Mary Masembuko
634938	291971	Herself
634938	292135	Narrator
634938	300146	Herself
634938	303225	Deloris Van Cartier/Sister Ma
634938	303226	Deloris Van Cartier/Sister Ma
634938	306625	Rose Schwartz
634938	311790	Herself
634938	313393	Herself
634938	313420	Guinan
634938	313428	Guinan
634938	313445	Guinan
634938	319254	Nurse
634938	319516	Whoops
634938	327161	Vashti Blue
634938	329906	Katie Coltrane
634938	340564	Herself
634938	345728	Narrator
634938	352748	Host
634938	356350	Herself - Choir Member
634938	358825	Herself
634938	362323	Terry Harrison
634938	364462	Herself
634938	365841	Herself
634938	366640	Herself
634938	373210	
634938	378842	Herself
634938	381135	Brenda
634938	383414	Gaia
634938	383743	Herself
634938	388080	Herself
634938	389204	
634938	390998	Mother Goose
634938	391826	Center Square (1998-2002)
634938	395491	Deborah Samson
634938	411062	Hostess
634938	411063	Mavis Rae
634939	5622	Andreas' Mutter
634940	409915	
634941	396874	'Kati' Fuchs (2004-)
634942	115282	Lea
634942	346413	Woman walking
634943	46412	Red
634943	94229	Julia
634944	110192	Lady in Subway
634944	308018	
634944	341937	Carol
634945	41284	Segestra daughter #3
634945	173089	Linda Wingate
634946	43015	
634947	43015	Shirley Temple
634948	81750	Hull's Lawyer
634948	220059	Angela Mills
634948	233945	Grace
634948	303226	Archdiocese Person #3
634949	113886	Princess #9
634950	363560	Birthday Party Guest
634951	35506	Girl in Bathroom
634951	363927	Big Guy's Girlfriend
634952	350277	Satanists
634953	13773	Cloris
634953	20727	Sally
634953	26289	Nanny
634953	30374	Phil
634953	82274	Sarah
634953	84002	Band Singer
634953	117683	Diana
634953	137223	Jeannie
634953	150989	Caroline
634953	163344	Deb
634953	175795	Val
634953	194140	Herion Addict
634953	195458	Abigail
634953	211826	Alice Farmer
634953	220408	Mediator
634953	223844	The middle sister
634953	241814	Eve
634953	251551	Marina
634953	262798	Tin Market musician
634953	316793	Phoebe
634953	316886	Sheila
634953	327595	Nora
634953	330773	Marianne
634953	340510	Dolores
634953	340738	Connie Tollin
634953	342384	Woman Cabbie
634954	346350	Shop Person #2
634955	59350	Bride's Mother
634956	142935	Music Channel Interviewer
634957	21593	
634957	21686	
634957	27958	Katrina
634957	28969	
634957	55602	
634957	62398	Isabel Montano
634957	68642	Leonor
634957	73477	Cristina
634957	74142	
634957	74647	
634957	74868	María
634957	76006	Siempreviva, La Muerte
634957	91167	
634957	124247	
634957	124528	Teresa
634957	137427	Sonia
634957	142739	
634957	145207	
634957	145228	
634957	199010	
634957	200456	
634957	206695	Rita
634957	207731	La Chocha
634957	211169	Reportera
634957	212055	
634957	212456	
634957	213762	
634957	217307	
634957	221739	Hermana Caridad
634957	221898	
634957	234432	
634957	251720	
634957	251722	Adriana Fernandez
634957	279076	
634957	287881	Otilia y Quebrada del Risco
634957	287902	Alma Monreal
634957	296441	Isadora
634957	309377	
634957	318240	Minerva
634957	341081	
634957	351658	
634957	376692	Maricia
634957	378428	
634957	383261	Silvia
634957	383518	
634957	385251	Alicia
634957	392960	Zayra Jiménez
634957	396394	
634957	397021	
634957	397883	Doris Ramírez
634957	398490	Mónica Romero
634957	400797	Silvia
634957	401698	Beatriz
634957	402540	Elvira
634957	405398	
634957	405416	
634957	409782	Daniela
634957	410477	Constanza Aguirre
634958	74185	
634958	118754	Actrice porno 2
634958	123827	
634958	150044	
634958	159984	
634958	237110	
634958	264683	
634958	264727	
634958	300519	
634958	333705	
634958	352692	Herself
634959	195830	Arlene Allaire
634960	208945	Maria Macapa
634960	273343	Maria Macapa
634961	79739	
634962	239992	
634963	5891	Big Patty
634964	275652	Annette
634965	265090	Miss Keach
634965	404615	Miss Keach (1972)
634966	267221	Mrs. Jergens
634967	242625	Lady Harriet
634968	289749	Female Sikh
634969	17349	
634970	11384	Baby Shower Friend
634970	65953	Sandra
634970	128429	Laura-drunk girl in BAr
634970	293082	Woman in Waiting Room
634971	316775	
634972	238601	Jail Warden
634973	142600	Herself
634974	321652	Nikki
634975	367964	Wordfest Party Guest
634976	6854	Mrs. Brown (girl's mother)
634976	11466	
634976	165576	
634976	277033	Leana
634976	367749	Her Mother
634976	368266	The Wife
634977	367096	Belly Dancer
634980	54131	Aurelia
634980	141525	Lorelei Drew
634980	176251	Conchita Pinellos
634980	319072	Anita
634980	358758	Stella Vorhis
634980	361609	Katie Wigfall
634981	134120	Barton
634981	219912	Maurine Winfield
634981	273833	
634981	301980	Ella Preston
634982	142754	Indian Mid-Wife
634982	310679	Dancer
634983	234226	Miss Francis
634984	272874	Dancer
634985	90508	
634985	128596	Mother Superior
634986	8657	Young Girl in Montana
634987	41943	Diana Hughes
634987	75301	
634987	152573	Jasmes's Sister
634987	245641	Undetermined Role
634987	251848	Norma Moran
634988	120116	Sandy the Diner Waitress
634988	358964	Crying Woman
634989	298266	Performer
634990	26324	Prostitute
634990	217416	Sherry
634990	313948	Blond in Shower
634991	280656	Mrs. Potter
634991	368640	
634992	106772	
634993	181900	
634994	16652	
634995	4587	
634995	29399	
634995	88284	
634995	88403	
634995	123532	Mother
634995	140050	Ilana
634995	183951	Orly
634995	246198	
634995	343407	Dina
634995	382327	Miri Kraus
634995	387890	Ruti Caspi
634996	216406	Dalia
634997	18548	Child at Airport
634998	157208	Bessie's
634999	221969	
635000	8043	Lana
635001	245600	Big Bear Model
635002	18548	Child at Airport
635003	157208	Bessie's Granddaughter
635004	18548	Woman at Airport
635005	33393	Linda
635005	133624	Myrtle Wilson
635005	154988	Strike Woman
635005	231439	Fanny Squeers
635005	290378	Sheila
635005	311195	Rachel
635005	345857	Grace's Daughter
635006	356916	
635007	16878	Nurse
635008	4597	
635009	45825	Karen
635010	408704	
635011	391313	Taia
635012	248132	Alicia's E.R. Nurse
635012	261528	Suburban Mom
635013	29112	Debbie Day Cosmetics Conventi
635014	405942	Christopher 'Chris' Thorndyke
635014	411261	
635015	14261	Lina
635016	307457	Police Officer
635017	100034	Diner waitress
635018	242515	Buttercup Venison
635019	53033	Wife
635019	269967	Woman in Waiting Room
635020	204553	Mrs. Thomas
635021	66155	Lisa
635021	398140	Tracy Patterson
635022	234204	Monitor Smash
635023	84807	Woman on video
635023	314653	Daughter
635023	364747	Tanya, Kim's lesbian lover
635023	391078	Susanne 'Sunny' Maria Radebur
635024	31727	Stewardess Nicely
635024	200052	Dormitory girl
635024	337303	Kath
635024	399313	Emma
635025	69482	Waitress
635025	93316	Tomato
635025	339510	Nurse
635026	386963	Donna Boyle (2003-2004)
635027	34729	
635027	186040	
635027	196134	White Bride
635027	381661	Herself/Various Roles (1970-1
635027	393542	(1974)
635028	345267	
635029	89277	Waitress
635030	150948	
635031	96855	
635032	50466	Dona Dykeman
635033	264825	Arcade Voice
635034	397235	Natasha
635035	225677	1. kvinde
635036	350643	Nan
635037	114940	Ph'sha Knay
635038	70465	Mama Lucy
635038	183405	Mexican Woman
635038	241767	Mrs. Cohen
635038	272532	
635039	218984	
635039	218986	
635039	226236	Regine Vandenberg
635039	325958	Ilse Schulz
635039	354002	
635040	405162	Herself
635041	73193	Mrs. Strauss
635042	201433	Ruby Golding
635043	385885	Trixie Belles
635044	130986	Herself
635045	130986	Herself
635046	366869	Lin Van Hek
635047	340517	Miss Clinch
635048	159933	Our gang member
635048	188626	Leena
635049	195665	Madame
635050	190332	Norma
635051	45756	Kim Davis
635051	70249	
635051	79272	Tarot Lady
635051	178138	Beautiful Girl
635051	195135	
635051	213091	Niki
635051	240486	Julie Johnson
635051	269847	Julie
635051	396123	Brianna Hawkins (1995)
635052	200492	Secretary (segment "Gluttony"
635052	231389	1st Schoolgirl
635053	19176	Schoolgirl
635053	144558	Girl in Flat
635053	171076	Sales Girl
635054	387340	Additional Voices
635055	221137	Marsha Zonk/Tiffany Tear
635056	208301	Mrs. Weiss
635057	199148	Lou's Assistant
635058	162534	
635059	6209	Eve
635060	284319	Woman in red
635061	348431	Computer Voice
635062	380713	Nancy Ward (1983-1984)
635063	354220	
635063	380097	Heloísa
635063	402456	
635064	277672	Gaunt's Nurse
635065	67996	Hostess
635065	319709	Elondra
635065	400772	Carol (1978-1979)
635066	176517	Kathy
635066	195526	Young Marty
635066	315302	Heather
635066	385824	Co-Star 2003
635067	97364	Cloister's Lady #2
635068	225690	Nurse
635069	400092	
635070	1856	Herself
635070	393316	Presenter
635071	84672	
635071	211824	Duchess of Bedford's Lady's C
635072	195761	Secretary
635073	344524	Herself
635074	400052	Herself
635075	36871	Triplet #1
635076	305517	Jennie
635077	67361	Studio Cast
635078	114263	Mrs. Grigoryev
635078	232521	Spoiled Rich Girl
635078	312131	Susan LeClair
635079	26879	Lisa
635080	9125	Mrs. Geline
635080	143108	Reporter #3
635080	171311	Psychologist at Luncheon
635080	175621	Housewife
635080	218162	Park Attendant
635080	226938	Train Lady #3
635080	232114	Nurse Connie
635080	313420	El Aurian Survivor
635080	317916	Lady
635081	36871	Triplet #2
635082	57929	Jazz Class Dancer
635082	69897	Restaurant Patron/Clubgoer
635082	77624	Claudine
635083	169151	Bar Patron
635084	78217	Daniel's Child
635085	380713	Maria Ward (1983-1984)
635086	184424	Raider's Girl
635087	106671	Israeli Woman
635087	245586	Jan Stennis
635087	298266	Melissa
635088	199816	
635089	116053	
635090	36871	Triplet #3
635091	61896	Secretary
635091	104681	Stewardess
635091	107002	Bad singer
635091	358838	Jury Fore Woman
635091	386005	Muffy
635091	392039	Samantha
635092	388041	Herself (Host)
635093	236657	April
635094	232387	Filmteam
635095	196813	Raymond's mother
635096	63700	Katia
635097	325599	
635098	167233	La fille pubère
635099	276249	Itinerant
635100	258729	Caitlan Thomas
635100	353278	Cashier
635101	12871	Zweifelerin
635101	401434	Olga Rotter
635102	313583	UFO follower
635103	363981	Isabella Modowski
635104	284621	Dispatcher #1
635105	2087	
635105	10702	Bea
635105	15944	Mrs. Farelli
635105	18611	
635105	26281	Mrs. Townsley
635105	41364	Maria De Coco
635105	62541	Jean Carluccio
635105	68867	Hale Club woman
635105	69842	Herself
635105	79850	Mary Dove
635105	87506	Emma Shaffer
635105	131348	Sister Monica
635105	151041	Italian Girl
635105	153642	Denise James
635105	161744	Katherine Hendley
635105	216161	Peg
635105	223805	
635105	236146	Linda Faber
635105	296912	Lelia
635105	307983	Venice Waitress
635105	310837	Jo Standish
635105	329693	Dani Gireaux
635105	353418	Mrs. Saldana
635105	360482	Consuelo
635105	404570	Joanne Hillman
635106	335220	Guest
635107	24703	St. Vincent's Nurse
635107	142985	Cocktail Lady
635107	208739	Birth Nurse
635107	333517	Arguing Wife
635108	227154	Secretary
635108	241538	
635109	56870	Mrs. Crandell
635109	123027	Tochiro's Mother
635109	139674	Mrs. Tuttle
635109	221255	Karen
635109	264234	Health Teacher
635109	394754	Dr. Lorna Jenkins
635109	396526	Hanae Ichinose
635109	397054	Lady Langley
635109	402863	Matsu Daimonji (season 5-7), 
635110	29511	
635111	11124	Nicole
635111	247022	Jessica
635111	313407	Matrina Sedik
635111	400236	Evangeline Williamson (2003-p
635113	210300	Woman
635114	211383	Peters Girlfriend
635114	245856	Judy (the cop)
635115	111557	Extra
635116	396477	Kunti
635117	55007	
635118	263230	Tracy
635119	256356	Beths Friend
635120	387	Silvia Betocchi
635120	51807	Joyane, aka Barbara
635120	51846	Cecilia
635120	63784	Cicala
635120	77337	Clemence
635120	90697	
635120	132857	Viviane Atlan
635120	213393	Anny
635120	258120	Caroline
635120	377925	Dale
635121	51707	
635121	52211	
635121	53008	
635121	54348	
635121	82252	
635121	87078	
635121	110415	
635121	124528	Angela
635121	124657	
635121	143790	
635121	145211	
635121	159417	
635121	159419	
635121	164424	
635121	183512	
635121	186214	
635121	193015	
635121	197968	Georgina
635121	198996	
635121	221740	Maru
635121	221940	
635121	225015	
635121	227682	
635121	233655	
635121	247459	
635121	252057	
635121	258620	
635121	259330	
635121	271840	
635121	273842	Olga (segment 'Sangre entre m
635121	300683	
635121	317674	
635121	324841	
635121	328610	Neighbor
635121	338604	
635121	350261	
635121	351628	Sofia
635121	355238	
635121	370326	
635121	379602	Cristina
635121	379603	Cristina
635121	379909	Cathy Quiroga
635121	380795	Narda Mareca
635121	383261	Ana María
635121	386078	Adriana Drigani de Rivera
635121	387577	Iris
635121	387623	
635121	397021	Magnolia
635121	397593	Ana Silvia
635121	397883	Vivian Johnson
635121	401916	Sonia Narváez
635121	402049	Cecilia
635121	402190	Isaura
635121	402540	Gladys de Rochild
635121	402681	
635121	405318	Ariana
635121	405398	Lorena del Villar
635121	405416	Prudencia
635122	190091	Person at Table
635123	18253	
635124	247119	Wedding Guest
635126	251983	
635126	275280	
635126	324839	
635126	332579	Mariana
635127	320146	Herself
635127	320147	Herself/8th Banished
635127	320149	Herself
635127	407077	Herself (24 Days, Boran/Sambu
635128	92215	Faye
635129	138907	Frau Bunge
635130	280016	Additional Party Guests
635131	84356	
635131	340403	
635132	114298	Cameo Appearance
635133	105028	Member of The Dixie Chicks St
635134	200052	Mrs. Barton
635135	71474	Barbecue Bess sung by
635135	231817	Woman
635135	406579	Coral
635135	406580	Earline Cunningham
635136	194605	Drug Dealer's girlfriend
635137	82447	
635137	189986	Anita
635137	301395	Susan
635137	379738	Herself - Panellist
635137	381514	Herself (2000)
635137	388764	Firefighter Marilyn 'Tex' Per
635137	389044	Regular Performer in 'The Hou
635137	391369	Glynis Wheeler
635137	402145	Jamie
635137	402197	Gloria Payne (1984)
635137	404357	
635137	404956	Herself (1994-1996)
635137	406457	
635137	411809	Toni Sheffield (1982)
635139	184424	Village fighter
635140	107009	Herself
635140	113641	Sorvino's Model
635141	187810	Kitty (age one)
635142	193000	Extra
635143	97940	Casting Director
635144	139711	Bäckerin
635145	104309	Daughter
635145	262045	Leah Rabinowitz
635145	331335	
635147	257133	
635148	315801	
635149	118298	Quiz Bowl Girl
635150	360635	
635151	252787	
635152	176487	Linda
635153	10865	Herself/'Pvt. J. Vasquez'
635153	10920	Pvt. Vasquez
635153	65754	Doctor
635153	90508	Det. Judy McCartney
635153	95328	Moderator
635153	107428	Rosa
635153	110251	Alice the Maid
635153	148339	Main Nurse
635153	163310	Rivka Stern
635153	188509	Officer Meagan Shapiro
635153	192723	Herself
635153	192748	Fanny
635153	214943	Beverly Hills Chick #1
635153	229106	Diamondback
635153	263206	Patti Jean Lynch
635153	294236	Nurse Alvarez
635153	305869	
635153	313420	Enterprise-B Science Officer
635153	313424	Typhon Engineer
635153	319589	Herself
635153	328277	Janelle Voight
635153	333856	Irish mother
635153	336663	Gabrielle
635153	362958	Herself/Lt.Vasquez
635153	369466	
635154	343130	Betty Glickstein
635155	46651	
635155	70657	Notera
635155	117826	
635155	257418	Puta 1 Parque de Diversiones
635155	356056	
635156	333214	Maggie
635157	115269	Women Coalation Diner Patron
635158	87348	
635158	87351	
635160	42831	Galic
635160	102448	
635160	159657	
635160	203863	
635160	343407	Eyal's Mother
635160	393030	
635160	405466	Sarah Yarkon
635160	408313	
635161	84625	Grandma
635161	132887	Amie grand-mère Simon
635162	296928	Terwilliger's Girlfriend
635163	208138	
635164	217808	Sandra
635164	272023	Child with Toy Gun
635165	135359	(segment "La semaine sanglant
635166	376437	Maria Staudacher
635167	18635	4 Year Old Ann
635168	121527	Carol Meyer
635169	52008	Shopper
635169	66027	Healthstore Woman
635169	68470	Bea Rosen
635169	93211	Waitress
635169	101040	Mrs. Regal
635169	189242	
635169	221049	Lunch Thief
635169	249163	N.Y. Times Lady
635169	251347	Gutter's Mother
635169	265748	Mrs. Archer
635169	367588	Visiting Room Guard
635170	134594	Student
635171	112823	
635171	184893	
635172	14576	
635173	139686	
635174	252441	
635175	357107	Mme. Goldstejn
635176	33258	Chelsea
635177	191291	Young Squirrel
635178	299691	Bartender
635179	358267	Zo
635180	255357	Skipping Girl
635181	76497	
635182	360544	Barwoman
635183	46156	Alpha Student
635184	64090	Waitress
635184	85184	French Student
635184	145007	Debutante
635185	41243	The Angel
635186	37034	Jane
635186	297781	Nurse
635186	300054	Babe
635187	185764	Han's Mother
635188	75632	Eliza
635189	34979	Gladys
635189	54636	Sally Carey
635189	89304	Addie Boss
635189	285922	Sakura's Grandmother
635189	327632	Mona
635190	23449	
635191	79478	Secretary of Education
635192	102748	
635193	136290	Performers
635193	348327	Group cast appearance
635194	204576	Club Girl
635195	99311	Star Basketball Player
635196	113303	Melanie Tomlinson
635196	292213	Sister
635197	131004	Herself
635198	317411	Herself
635199	225450	
635200	65555	Mujer 2 Baño
635201	100470	
635202	36069	
635203	36586	Narodowejowna
635204	81425	Julka Baraniewicz
635205	300056	
635206	157196	Herself
635206	381910	Herself (Series 4) (2003)
635206	381917	Herself - Guest Intruder: 3-1
635206	381920	Herself (Series 3) (2003)
635207	249815	Female Prisoner
635208	17089	La prisonnière
635208	76322	Dijana
635208	121959	
635208	156010	
635208	226401	Madeleine
635208	227826	Hairdresser
635208	234450	Tatjana
635208	242642	
635208	287644	
635209	241005	
635210	165215	
635211	155923	Maya
635212	42838	Nele Waller
635212	49293	Regula
635212	49295	Iris
635212	115840	Maria Bachmann
635212	119708	Sarah Ludwig
635212	208504	Laura Marks
635212	216266	Maike Müller
635212	242775	Ute Heddergott
635212	286236	Christel
635212	290104	Conny
635212	347781	Barbara
635212	376360	Nicole Klein
635212	376454	Monika
635212	379669	Sara Vilsungen
635212	400353	Ute Heddergott
635212	400873	Lara Stern
635212	404067	Sabine
635212	410839	Tina Schuster
635213	248729	
635214	161948	Kidnapped Girl
635214	212155	Sarah
635214	235352	Chambermaid
635214	238813	
635215	206029	
635215	273142	
635215	354450	
635217	154040	Starbucks Barrister
635218	129019	Susy's maid
635219	404785	Ulla Mørk
635220	252034	Yniold
635221	100176	La secrétaire
635222	285371	Actius
635223	313135	
635224	43034	Maria
635225	162183	Sherry Azizi
635226	55507	Young Carol
635226	194032	Taylor Garrett
635226	310530	Eva
635226	352833	Karen
635226	378898	Jesse Neumeyer
635227	219725	
635228	187259	
635229	227779	Helga
635230	1440	Herself - Presenter
635230	2333	Camille
635230	5794	Maria
635230	10056	Silvia
635230	10374	Justine
635230	11024	Elisa
635230	37452	Gina Piccolapupula
635230	40631	Girl in Bikini
635230	65464	Sarah Novak/Beth Holly
635230	67819	Marta
635230	70186	Nina
635230	78560	
635230	83240	Claudia Marchetti
635230	84360	Caterina
635230	103286	Taslima
635230	103440	Ida
635230	112692	Francesca
635230	118367	Athena (segment "The Missing 
635230	119088	
635230	120080	Lupe Marín
635230	139373	Anita
635230	150350	Ramada Thompson
635230	150351	Ramada Rodham Hayman
635230	150524	Italian Actree
635230	157040	Giulietta Guicciardi
635230	159119	Maria
635230	161820	Anna
635230	163932	Constanza Vero
635230	186841	Terri
635230	237992	Elizabeth Laughton
635230	238010	Nora Treves
635230	251050	Sandra Parini
635230	255111	Mara
635230	263014	Luciana
635230	266897	Anita
635230	267879	Jeanne de Luynes
635230	271192	Susanna
635230	276295	Grazia
635230	286896	L'Italienne/The Italian woman
635230	289992	Adalgisa De Andreiis
635230	296511	
635230	296663	Giulia
635230	300913	Sylvie Otti
635230	310320	Jamie
635230	315420	Bruna Assecondati
635230	317847	
635230	324139	
635230	330443	Lilly (segment "Goodnight Lil
635230	333670	Actress
635230	336270	Gemma Rosselli
635230	337259	
635230	370865	Lia
635230	393897	Calpurnia
635230	410278	Nunzia
635231	364978	
635232	227555	Empress Josephine
635233	87826	Irena
635234	87826	Teresa
635235	163887	Mother of Killed Worker
635236	87055	
635237	179757	
635238	35059	Háremhölgy
635238	74405	Évi-Lili
635238	110697	Veronika,táncosnõ,Vándor fele
635238	120920	Panni,Bálint lánya
635238	137760	Marietta, Lovasdy lánya
635238	216541	Fiatal lány
635239	194315	Ann Reeny
635239	293637	Receptionist
635240	383108	
635241	240838	Salon Girl
635242	75532	Alice
635243	137449	Baby Adrian
635244	137449	Baby Adrian
635245	134672	Piano student
635246	401624	Herself (1991-)
635247	194857	Oncologist
635247	336458	Martian wife
635248	325392	
635249	14200	
635249	147592	Moni, Dienstmagd
635249	411258	Christine von Sonsfeld
635249	411956	
635249	412250	Lucie Fritsch
635250	362597	Other Special Extra
635251	399657	Herself (1992-1993)
635252	322544	Canans Freundin
635253	211529	Girl in Bathroom #1
635253	336488	Gretchen
635254	35888	Svobodná matka
635254	41514	Mademoiselle
635254	42193	Zofka Stárková
635254	64666	Katrina (alias Sirael)
635254	92906	Aunt
635254	96394	Ruzenka Smutná
635254	104839	Eva
635254	108866	Lady White
635254	150603	Zuzana, dedicka zchátralého h
635254	173557	Student
635254	174460	Irena
635254	179721	
635254	179896	Marta Dvoráková
635254	179898	Anicka
635254	181073	Marenka Nováková
635254	198375	Mater Filomena
635254	227874	Továrníkova dcera
635254	239435	Lenka Bártová
635254	239477	Inka, young journalist
635254	258829	Helenka
635254	266435	Jirina
635254	268294	Vrátná
635254	282764	Polda Krusinová
635254	283147	
635254	284012	Nurse
635254	310248	
635254	313910	Prodavacka Fanynka
635254	317416	Teacher
635254	341631	Lilian, American
635254	349327	Kolár´s daughter
635254	351374	Ucitelka Marína
635254	374226	Nurse
635254	405729	Nedobylová, mother
635255	120954	Blume von Hawaii
635256	81644	
635257	324673	
635258	293378	Beatrice, Ricardo's Girlfrien
635258	318233	Susy
635258	355945	Regina
635258	380059	
635258	388639	Haydeé Santamaría
635258	397604	
635259	5055	Frau Schultz
635259	17566	Theresa
635259	26978	German Daughter
635259	27112	
635259	27215	Mrs. Marzano
635259	41987	Elsa
635259	52658	Marion's Mother
635259	60873	Frau Spitz
635259	67795	Mrs. Coffman
635259	69403	Mrs. Anna Westphal
635259	74251	Mrs. Laidell
635259	88853	Hetty
635259	92455	
635259	96861	Josephine, Jessie's Maid
635259	103237	Anna, Emmy's cellmate
635259	117545	German
635259	133622	Pamela's Nurse
635259	133807	Elderly lady
635259	138909	Connie's Maid
635259	144989	Staff psychiatrist
635259	146840	Frau Von Schleicher
635259	148423	Anna
635259	149263	Mrs. Lubeck
635259	149952	Maid
635259	161961	Agnes, the Maid
635259	169387	Frau Weber
635259	188547	Musician
635259	192410	Mrs. Hummel
635259	199318	Lucille
635259	211602	Queen
635259	215862	Late arriving train passenger
635259	218153	Barney's Mother
635259	224233	Anna
635259	231768	Foreign lady
635259	251279	Molly
635259	257087	Eastmans' Maid
635259	261423	Elsie, the Maid
635259	277440	Secretary
635259	277896	Mrs. Danielchik
635259	295439	Frau Hinkel
635259	296776	Emma, Eric's Sister
635259	306411	The pale woman
635259	308604	Telephone Operator
635259	324572	Heinie's Grandmother
635259	330141	Saleslady
635259	346262	Ella, Franken's Housekeeper
635259	366947	Alma (Kit's maid)
635259	367577	Yugoslav Consul's Wife
635260	158859	
635260	307455	Matilda's Cousin
635261	49132	
635262	82114	Receptionist
635263	42620	
635263	172065	
635264	333476	
635264	335312	
635264	373503	
635265	226841	
635266	357479	
635267	389827	Madina Masajevo
635268	33849	
635268	34417	
635268	153931	
635268	160050	Charlotte
635268	225274	
635268	259613	Rita Schütze
635268	338413	Marion Hartmann
635268	379669	Ellen Tobias
635268	383292	Stefanie 'Puffelchen' Fuchs (
635268	395071	Various
635269	244679	
635270	391407	Miss Kaplan
635270	405116	Miss Ding-Dong
635271	9128	Mrs. Jane Stern
635271	14914	
635271	27935	Liz Fowler
635271	50417	Bobbi Brody
635271	70563	
635271	84360	
635271	85992	Lois
635271	92400	Mom
635271	99134	Wendy Thompson
635271	100820	Claire
635271	108244	Leah Rosen
635271	135783	Gracie Sherman
635271	138302	Jennifer (prostitute)
635271	139791	Harriet
635271	140336	
635271	147115	
635271	158608	Jean Ricardo
635271	166858	
635271	185397	Sally Cooper
635271	186758	Mom
635271	194135	
635271	196181	Marge
635271	224376	Mrs. Chrystal
635271	232412	Linda
635271	252163	Honeysuckle Rose
635271	292499	Charlotte
635271	294521	Annie Donahue
635271	303836	Melanie Jove
635271	320076	Barbara Hawkins
635271	337805	Martha Cooper
635271	361222	Mae one of Zar's Girls
635271	381745	Peggy Falcone
635271	393586	Stella Sweetzer (1979)
635271	397181	Millie Swanson
635271	399266	(1973-1974)
635271	406136	Debbie
635271	410554	Ruthie Burdett
635272	118098	
635273	319090	Fairy Girl
635274	320541	
635275	196338	
635276	208025	
635277	186122	
635278	340725	
635279	280610	
635280	321952	
635280	394140	
635281	79471	
635281	91485	
635281	176057	
635282	154937	Mère casting
635283	3916	Cécile
635283	15094	Perrine
635283	51242	L'habilleuse
635283	76960	Daisy
635283	80290	Marie-France adulte
635283	96197	Gabrielle
635283	96242	Marie
635283	102941	
635283	112819	Caro
635283	138589	Marine
635283	163043	Lydia
635283	180394	
635283	183488	Nathalie
635283	200957	Sylvie
635283	200961	Lili
635283	205219	Marie
635283	210940	
635283	225362	Florence
635283	225405	
635283	240057	Nadine
635283	243018	La fille au nez rouge
635283	259192	La petite soeur
635283	273905	Marlène
635283	275124	Lady in Waiting
635283	284246	Henriette
635283	300670	
635283	336930	Véronique, dite Véro
635283	337006	Anita
635283	340195	Flora
635283	346503	Catherine Moulin
635283	346552	Catherine
635283	346741	
635283	353883	
635283	383864	Finette jeune
635283	387697	Léa
635283	388716	Finette
635283	408923	Lisa
635284	44391	Mamka Kseni
635284	198143	
635284	209275	
635284	226000	
635284	238112	
635284	262674	
635284	272524	
635284	352456	
635284	356420	Countess Rostova
635284	356421	Countess Rostova
635284	356422	Countess Rostova
635284	356423	Countess Rostova
635284	356424	Countess Rostova
635284	357637	
635285	198123	
635285	220692	
635285	376218	
635286	4937	
635287	132088	Rita
635288	308269	
635289	287575	
635290	136460	Vicky
635291	93747	Show Contestant #1
635291	245988	Becky
635292	172444	(segment Zhenya)
635292	357439	
635293	328847	
635294	325763	
635295	46671	Seljanka iz sela Guci
635296	49977	Aunt Hava
635296	214894	
635296	237430	
635296	282745	
635296	349257	Dezhurnaya v arkhive
635296	356182	Zinaida
635296	394620	Galina
635297	239843	Marya Vasilevna
635298	147464	
635299	198082	
635299	231173	
635300	280566	
635301	357468	
635302	111819	
635302	133385	
635302	161651	
635302	164157	Daiga
635302	180291	
635302	211861	
635302	228552	
635302	259128	Isabelle
635302	263424	(segment "Excercise No.5")
635302	287613	
635302	303798	
635302	303810	
635302	307551	Solina
635302	319821	
635302	341047	
635302	342441	Katia
635302	377270	
635303	76998	
635303	82803	
635303	136152	Shura Azarova
635303	172446	
635303	227609	
635303	266016	
635303	303805	
635303	340660	Ann
635303	400449	Zoya
635304	8050	
635304	119784	Ania
635304	176119	
635304	189426	
635304	219686	Mascha
635304	273707	Nastya
635304	320486	Sveta
635304	356114	
635304	374173	
635304	399114	Julia
635305	131297	
635306	160593	
635306	206490	
635306	295057	
635306	401991	Inzenjerova zena
635306	402118	Krokina zena
635307	82495	
635307	286216	
635308	356907	
635309	163167	
635309	179813	Cossack Woman
635310	63581	
635310	174272	
635311	410606	Team member
635312	60493	
635312	246657	Thérèse Valmont
635312	404153	
635313	149567	
635314	11625	
635314	25764	Lucia De Metrio
635314	41821	Jessie
635314	82164	
635314	147160	Kerstin
635314	206249	Jennifer Stolz
635314	321628	Francesca
635314	356566	Vera
635314	367347	Françoise
635314	367353	Lisa
635314	376396	Elena
635315	364794	Mrs. Pitman
635316	297955	Little girl
635317	61200	Paula
635318	48849	
635319	259912	Mirjana
635320	74468	Bogdán felesége
635320	96201	Déryné mamája
635320	97984	A gróf gazdasszonya
635320	100035	Melitta
635320	114748	Poldi,a házvezetõnõ
635320	140712	
635320	155545	Julis
635320	165562	Gizi mamája
635320	182694	Mrs.Burns
635320	195258	Gizike
635320	198321	
635320	211706	Kerekes Anna
635320	214504	Ladányiné
635320	268521	Lujza Marischel Dr.
635320	322068	Blanche,a nevelõnõ
635320	377815	Gizi,Hubay Péter felesége
635320	378346	Emma néni
635321	42660	Wedding Guest
635322	292492	Estelle Fayolle
635322	347757	
635323	7967	Else Taylor
635323	26054	Zilla Reisling
635323	26638	Sheila Peck
635323	27219	Edna Driggs
635323	29288	Ruby
635323	34977	Mrs. Parrish
635323	36830	Margy
635323	40893	Mrs. Hardy
635323	43992	Spanish Eva 'Evie'
635323	51831	Della
635323	54973	Yvette Logan
635323	58809	Lillian Wayne
635323	60204	Nell Brockton
635323	62269	Milly
635323	68055	Tim Adams
635323	73746	Nita
635323	77670	Cora Stuart
635323	84195	Marie
635323	88999	Julia Wyndram
635323	90865	Jane Travers
635323	114306	Mrs. Barstow
635323	130360	Cora Withering
635323	131618	Virginia
635323	133759	Joan Wray
635323	133856	Mrs. Hofbauer
635323	142360	Pauline McCoy
635323	142609	Mona
635323	143605	Mrs. Godfrey
635323	144931	Mabel Baughmam
635323	149364	Carrie
635323	152721	Queen of Beggars
635323	154898	Mrs. LeBoy
635323	168678	Mrs. Collins
635323	175115	Julie
635323	185080	Winnie McPhail
635323	187690	Maizie
635323	201458	Nellie Chase
635323	202867	Aunt Sophie
635323	206480	The Press Agent
635323	211601	Marcelle
635323	212214	Edith
635323	215625	Sadie Freytag
635323	221094	Ma Hawkins
635323	231854	Rita
635323	233800	Annie Fay
635323	246482	Kate Bennett
635323	252381	Taffy, Ferdy's Companion
635323	253105	Mrs. Latham
635323	258020	Judy Mills
635323	271251	Ruth
635323	274924	Nurse Beulah Schloss
635323	276739	Emily
635323	286334	Myrt
635323	292169	Jenny
635323	304375	Undetermined Role
635323	304606	Mabel
635323	305934	Miss Hart
635323	306642	Vonnie
635323	314486	Rosie La Marr
635323	315338	Emma Haller
635323	316891	Miss LeSeur
635323	318965	Mrs. Fitzgerald
635323	321570	Minnie Regan
635323	330336	Ella Barnes
635323	330385	Mimi Jorgenson, the former Mr
635323	337122	Marian Harrison
635323	343128	Mrs. Pym
635323	360253	Suzanne
635323	362367	Amy Harper
635323	365086	Constance
635323	365205	Aunt Carrie
635323	365264	Millie, the Prostitute
635323	367842	Linda
635323	369359	Queenie
635323	395261	Various
635324	197403	
635325	39052	A néni
635325	211217	
635325	343776	Kis Vilma
635326	229174	Katka
635327	182828	Táncos
635328	10401	
635328	163179	
635328	175466	
635328	251976	Biróné
635328	377760	
635328	378318	Frau Márton
635328	401347	
635329	153695	A császárné
635330	73926	My Life with the Thrill Kill 
635331	33448	Priester
635332	399793	Host/Dalina (1990-1995)
635332	406864	Alicia Beltrán
635333	162104	Pixie
635334	397513	
635335	255399	Dancer
635336	249635	
635337	352161	
635338	336069	Dancer
635339	156807	
635340	17152	Blonde Waitress
635340	123914	Alda
635340	407906	
635341	13614	Augusta
635341	201986	Senhora Mutembe
635341	219634	
635341	225771	
635341	231241	Vita's Mother
635341	258405	Antonia
635341	344098	Belante
635342	218240	Bibi
635343	383727	Eliane
635344	344823	Lula
635345	275024	
635346	160728	(segment "Prisão de J.Carmo G
635347	59093	Lupe
635348	104501	Female mourner
635349	353095	
635350	57453	
635350	379244	
635351	110666	Dancer
635352	328866	Graça's Friend (12 years)
635353	405401	
635354	10234	
635354	30302	
635354	55313	
635354	69251	
635354	84063	
635354	101719	
635354	112757	
635354	135269	Grandmother
635354	210691	
635354	215703	
635354	219852	
635354	227834	
635354	229701	
635354	268987	
635354	291678	
635354	334569	
635354	383584	
635354	384002	Lili
635354	384303	Bela
635354	385385	Madame Zaide
635354	387052	Rosa
635354	387654	Eduarda
635354	387777	
635354	388728	Sinhá
635354	393464	
635354	397804	
635354	399481	Naná
635354	400444	Ismália
635354	400678	Tiana
635354	401086	Bá
635354	402149	Júlia
635354	403258	
635354	404306	Eponina Camargo (Pupu)
635354	405418	Henriqueta
635355	269532	
635355	388416	
635356	369758	
635357	369982	(group 'Paquitas')
635357	411605	Paquita (1995-2000)
635358	317539	Amélie enfant
635359	383294	Garota
635360	13060	
635360	43665	
635360	56065	Maria Lúcia's Mother
635360	70487	Fanny
635360	222375	Nurse
635360	252420	
635360	263813	
635360	293972	
635360	380777	Magda
635360	381633	Dorotéa Cajazeira
635360	381634	Dorotéa Cajazeira
635360	383369	
635360	383441	Irmã Domitila
635360	383584	Vânia's Mother
635360	384993	
635360	385023	Hermengarda
635360	385522	Heloísa
635360	385853	Bela Lopes Jordão
635360	385876	Urânia
635360	386123	Madame Safira
635360	386730	Isabel Becker
635360	387732	Freira
635360	387915	Irmã Encarnación
635360	388998	Frida
635360	389787	
635360	389887	Maria Eudóxia
635360	390658	Branca
635360	391312	Ursula
635360	391609	Ma Mére
635360	391901	Júlia
635360	397416	
635360	400670	Zuleika
635360	401095	Anita
635360	401460	Freira
635360	401820	Lídia
635360	402370	Zilda
635360	402809	
635360	403219	
635360	404798	Heloise
635360	404837	Emília
635360	410014	Jandira
635360	410476	
635360	412306	Matilde
635361	403617	
635361	404912	
635361	411579	Judite
635361	412257	Maria Laura
635362	176117	
635362	188523	Zhenya
635363	129439	Young Billie
635364	14434	
635364	97738	
635364	155177	(segment "Ibrahim do Subúrbio
635364	160119	
635364	218426	
635364	234635	
635364	237933	
635364	344854	
635364	344879	
635364	392747	Purezinha
635365	278620	
635366	40140	Erik's Neighbor
635366	43174	Bride to be
635366	73674	Anna-Marie
635366	126544	Stripper #4
635366	254512	Madison-Ashley Metts
635366	276240	Reporter #3
635366	282300	Flight Attendant Margo Hillin
635366	282616	
635366	374282	Marnie
635366	382240	Beatriz
635366	388545	Dolly Rose Dancer
635367	121538	Marine
635368	224965	
635369	401944	Iaô
635369	409419	Maria José
635370	104513	
635371	381253	Herself
635372	9340	Lua
635373	99107	
635374	264284	Bestemoren
635375	379646	Verinha
635375	405401	
635376	243443	
635376	264537	
635376	266003	
635376	285245	(segment "Belinha, a Virgem")
635376	354191	
635378	16680	Carmina
635379	61335	Herself
635380	201089	Dejanira
635381	14728	
635382	11663	
635382	368315	Alice
635383	54166	
635383	71368	
635383	122308	
635383	191437	
635383	246593	Teresa
635383	356010	Isabel
635384	328866	Carregadora/Aeroporto
635385	68808	
635386	309988	Claire
635387	33651	
635388	248287	
635389	55366	
635390	56332	
635390	58144	
635390	215076	
635390	215465	
635390	396417	
635391	17329	Sister Elena
635392	20625	Extra
635392	196487	Bit Part
635392	375719	Knife thrower
635393	195262	Audrey
635394	57894	Une visiteuse
635395	27737	
635395	30790	
635395	30862	
635395	50098	
635395	103654	
635395	137582	
635395	138332	
635395	165244	
635395	172964	
635395	188328	
635395	202595	
635395	205061	
635395	248006	
635395	303584	
635396	390180	Habana
635397	187073	Angelic Woman
635398	1111	
635399	262160	Lucinda Sanchez
635400	142719	Girl
635401	383328	Denise Belay
635402	254341	Muerte
635403	266153	
635404	308463	
635405	100106	Bartender
635406	60174	Rose Jacobs
635406	79690	Maria
635406	130677	Woman in dance hall
635406	142468	Luna
635406	162948	Sindy
635406	170803	Native
635406	271853	
635406	327645	Sebastiana
635406	345957	Mother
635406	361657	Rosita
635406	365474	
635407	356029	
635408	80411	Dorrie
635408	398721	Co-host
635409	57230	La mère de l'enfant
635409	65613	
635409	80156	Employée de la Comptabilité
635409	120973	La juge d'application des pei
635409	252424	
635409	261735	Gardienne de l'Ecomusée
635410	210929	
635410	284675	
635411	213226	Baby's mother
635412	198571	Caroline
635413	108132	Nadia
635414	52036	La Elota
635414	53666	
635415	16657	Computer voice
635416	30297	Nola, Travis' Woman
635416	78725	Maria
635416	265366	Chiquita
635417	64734	Immigrant Woman
635417	397862	
635418	81073	Cindy
635418	85002	4th Dancing Witch
635418	350191	Office Vampire
635419	38716	
635419	144251	
635419	322972	
635420	132247	Marshall Dance Team
635421	5717	Catriona (A Soft Touch)
635421	114051	Nurse
635421	214873	Leather girl
635421	230861	Raines (owner of the nightclu
635421	238649	Baggy's Ex 1
635421	273717	Caro Rattray
635421	317904	
635421	323018	Harriet Bailes
635421	382489	Janice McCann
635421	383509	Michelle
635421	390627	Sue White
635422	215794	Girl
635423	217745	Dancer
635424	127625	
635424	173361	
635424	181673	
635424	297243	
635424	333000	
635425	63779	Reporter France 3
635426	15423	
635426	18842	
635426	28075	
635426	28397	
635426	30860	
635426	52005	Carmen
635426	52361	At the Hotel - Maid
635426	82401	Marge
635426	88282	
635426	91591	
635426	123491	
635426	133973	Yolanda the Maid
635426	135177	Rosaria
635426	144983	Nancy
635426	158618	
635426	158897	Maid
635426	163831	
635426	181774	
635426	200894	Juanita
635426	246503	Paloma Miranda
635426	249797	
635426	277417	
635426	277419	
635426	288959	Matron Ortega
635426	291075	
635426	323923	
635426	324533	
635426	325360	
635426	325364	
635426	337404	Mrs. Castro
635427	47130	Pregnant Maria
635428	236413	Dancer
635429	10984	
635429	226612	
635429	226613	Rosa
635430	312152	Waterpark Girl
635430	381312	Gianna
635431	41319	
635432	386118	
635433	263740	WBBM Location Reporter
635434	275881	Col. Sanders (female)
635435	9905	
635435	10995	
635435	67177	
635435	68288	Cho Lin
635435	102882	
635435	139397	
635435	141380	
635435	152421	
635435	190654	
635435	199769	Micky
635435	284678	Minda
635435	345621	
635436	2250	Viva Las Vegas Showgirl
635437	37728	
635438	9003	Lisa Reyes
635438	94613	Dancer #3
635438	100801	Maria Reynoso
635438	278757	Stephanie Sanchez
635439	19484	Mujer en tienda
635440	396	Madre negocio de ropa
635441	55228	Micaëla
635442	55243	Caela
635442	68767	Lena
635442	119357	Heather
635442	137237	Fiona
635442	166917	Tidwell's Cousin
635442	195558	Olivia
635442	230332	Juanita
635442	379893	Regular
635442	400849	Zaria Peterson
635443	60395	
635443	297466	
635443	323312	
635443	402865	
635444	60395	
635445	63674	Xaíca
635445	70771	Líidia
635445	218985	
635445	225400	
635445	269167	
635445	296156	
635445	319391	
635445	338243	
635445	379646	Roberta
635445	380387	Zuleika
635445	380612	Lígia
635445	383243	Angélica
635445	386142	Cartomante
635445	386420	Luiza
635445	386505	Heloisa
635445	387903	Telma
635445	389587	Angela
635445	389662	Débora
635445	389789	
635445	390817	
635445	391609	Donana
635445	393004	
635445	394600	
635445	396035	Joana Soares
635445	397645	Herotildes
635445	398310	Denise
635445	399140	
635445	400098	Ana Paula Falcão
635445	400581	Lúcia
635445	400597	Sofia
635445	401897	Teresa
635445	402109	
635445	402455	Clara
635445	402624	Carla
635445	402685	Aurora
635445	403083	Helena
635445	403200	Susana
635445	403308	
635445	405337	
635445	405989	
635445	407800	Ana Terra
635445	407861	Teresa
635445	408316	Conceição
635445	408381	Ludmila
635445	409347	Gerda
635445	409424	
635445	409975	Bina
635445	412257	Clotilde
635445	412305	Mirtes
635446	12708	
635446	12709	
635446	160193	
635446	275017	
635446	324856	
635446	409418	
635447	104730	Slovene entry (21st place)
635448	256657	Sandra
635448	334687	Azafata
635449	284885	Une prostituée
635449	355126	L'aficaine du fantasme
635450	184059	
635451	174151	Marie-Madeleine
635452	411205	Herself
635453	211824	Joan's Mother
635453	236301	
635453	265059	
635453	384536	Clementine's mother
635453	387429	Isabelle Leduc
635454	151680	Girlfriend of DC
635455	234478	
635456	276821	Debbie
635457	241225	Girl with balloon
635458	219736	Camper Mary
635459	77067	
635460	367203	Medewerker
635461	236155	Heather Gibson
635462	320467	Girl outside hotel
635463	208904	Indian Teenagers
635464	123063	Journaliste
635465	125312	Teacher
635465	307554	
635465	312746	
635465	325637	Inge Riedner
635466	61707	Lydia
635467	406321	
635468	218077	Jeune allemande
635469	18112	
635469	293940	
635470	141936	
635471	397886	Herself
635472	358339	Screaming Girl #3
635473	59892	Lana Burken
635474	220219	Marie, enfant
635475	1323	
635475	45543	Orsha's daughter
635475	59773	
635475	92951	
635475	237844	
635475	253736	
635475	255777	Liza
635475	283686	Natalya, His Daughter
635475	283823	Bride
635475	349328	
635475	350515	Girl
635475	356529	
635475	371426	
635475	374871	
635476	92950	
635476	159540	
635476	283831	
635476	343959	
635476	352865	
635476	356600	
635476	394620	Anya
635476	399482	Zaveduyushchaya
635477	316176	
635478	95820	
635478	242816	
635479	281976	Annina
635479	358690	Schwertleite
635479	368745	Marguerete
635480	18375	Consuelo Ispahan
635480	29625	Sonia
635480	55411	Margherita
635480	69006	Jeannette
635480	86069	Nora Nori
635480	90168	Arianna
635480	102365	Maria
635480	139440	Milena Zvetcovic
635480	157329	Singer without voice
635480	193081	Emily
635480	211800	Julia
635480	219565	Giovanna, L'ostessa
635480	235371	
635480	256650	La baronessa Van Zeeland
635480	274901	Conchita Babieca
635480	282103	Teresa Coralli
635480	342136	La cliente elegante
635480	346383	
635481	322099	Nagymama
635482	322265	
635483	80492	Laura
635483	142572	Jess Browning
635483	194405	Candy Barr
635484	187898	
635484	308634	Soprano
635484	374131	First Lady
635485	150461	Gloria
635485	366765	Marcia Groton
635486	175708	
635487	302763	Midwife
635488	155019	Herself
635489	124608	Welfare Agent
635490	386809	Presenter
635490	394525	Presenter
635491	326834	NumberOneSideKickGirlfriend
635492	100845	Polly Gone
635493	295998	Interviewee
635494	392	
635494	14836	
635494	20055	
635494	43182	Caterina Moreno
635494	56037	
635494	74879	
635494	85608	
635494	136306	Paola
635494	143485	Folavril
635494	212118	Carmela
635494	215895	Roberta
635494	238380	
635494	243192	
635494	279113	Esther
635494	352239	Mascia (Segment 1)
635494	354872	
635495	7213	Alex Abercorn
635495	7214	Alex Abercorn
635495	21180	Celia
635495	68483	Marigold
635495	87645	Trees
635495	92256	
635495	117133	Debbie
635495	141018	Beryl James
635495	231439	Mrs. Nickleby
635495	292701	Nadia Collins
635495	312939	Zina
635495	339854	Kate Armstrong
635495	385307	Fiona Urvill
635495	392129	Beatrice Eliott
635495	404699	Nadia Collins/Michelle Duncan
635495	407047	Jane Leyland
635496	268002	Lelka, aka 'Merizhka'
635497	307479	Dame curieuse
635498	60135	Bus Driver
635498	94447	Li Jing
635498	110634	
635498	138396	
635499	369841	Aunty Liu
635500	1759	Su Li Zhen
635500	25901	Juxian
635500	62106	Vivian
635500	76293	Songlian
635500	76891	
635500	94437	Miss Yu-San/Yu-Mong
635500	102653	Sig.na Hua (segment "Mano, La
635500	111243	Pang Ruyi
635500	133528	
635500	138626	Herself/Waitress at banquet
635500	147330	
635500	149018	My Grandma
635500	151960	Pan Yuliang
635500	153057	Xu Jiazhen
635500	167834	Lady Zhao
635500	169724	Ju Dou
635500	210537	Hatsumomo
635500	222429	Ma Li
635500	255021	Sun Liying
635500	268709	Winter/Lili Chu
635500	268802	Qiu Ju
635500	324338	Chen Heung
635500	369540	Lu Zhi
635500	369563	Guilian
635500	369812	Mo Han-Wen
635500	370601	Xiao Jingbao
635500	374938	Zhou Yu
635501	275548	Qiu Yun (teenager)
635502	268794	Lin Ruijuan
635503	76353	Qin Nan
635503	95286	He Yanling
635503	138709	
635503	298689	Shi Liu Hua
635504	300750	Chen Mei
635504	369046	Jinzhi
635504	374896	Ling Lan
635505	170243	Pamela
635505	275597	Det. Betty Duffy
635506	377736	Marie-Ange
635507	202235	Interviwee
635508	44998	Samantha Fontanet
635508	45000	Samantha Fontanet
635508	83185	Mère Grand (Jeune)
635508	248426	
635508	248895	Marie
635508	345537	Manuela
635508	356412	
635508	400389	Marina (1990)
635509	19327	Hélène
635509	34390	Une novice
635509	70524	
635509	75914	Sister Marthe
635509	111118	Virginie
635509	336974	Juliette Valance
635509	341504	Sylvie
635509	346788	Justine
635509	408659	
635510	218272	Une danseuse
635511	197537	Une gitane
635512	218248	La jeune fille
635513	197537	Une gitane
635514	211481	Nelleke - Blozekriekske
635514	344226	Anneke Laenen
635514	367021	Marieke
635515	23441	Voice
635515	200182	Hooker
635515	244034	Additional Character Voice
635516	387907	Caterina
635517	82428	Santina
635518	15921	Wife
635518	41216	Woman Tourist
635518	255246	
635518	325930	
635518	376383	
635518	392086	
635518	392503	Frau Marschall
635518	396639	Hilde
635519	179290	Charlotte
635521	166940	Club Patron
635522	392019	Hazel Potter
635523	318029	Laurie Coutino
635523	381081	Sonia's Solicitor (ep. 4)
635524	8304	
635525	148702	
635526	34708	Maria Recamier
635526	37581	Marie
635526	127122	Senorita Rodriguez
635526	150749	Young Girl in Mire
635526	296668	Julie/Sue
635526	378629	Maria Recamier (Pilot, Series
635526	384441	Arsinoe
635526	385299	Lisa Walters (1982-1985)
635526	392200	Amanda Parker
635527	165425	Pflegerin
635528	14200	Greta
635528	94865	
635528	125279	Luise Zibell
635528	137414	Eva Hauff
635528	140062	Caroline
635528	144167	'Herzblatt' Tillmann
635528	178875	Agnes
635528	179793	
635528	210049	Brigitte 'Biggi' Hansen
635528	223199	Inge
635528	248690	
635528	339796	Catherine Schmidt
635528	345905	Bianca
635528	347656	
635528	376251	
635528	380587	Angéline
635529	367775	Karen's Party Guest
635530	252552	Pepita
635531	278904	
635532	164014	Anya Slepnyova
635533	43982	Eva
635533	126250	Mrs. Johnstone
635533	257149	Lourdes
635533	384202	María
635533	384852	Mari
635533	392388	Xènia
635533	402570	
635534	248148	
635535	43591	
635535	53889	
635536	357516	
635537	355823	Herself
635538	103884	
635539	25057	
635539	31535	
635539	31536	Victoria
635539	52754	
635539	55558	
635539	66231	
635539	87621	
635539	132720	Adela
635539	215209	
635539	257566	
635539	278938	
635539	315573	Tani
635539	322234	
635539	326225	(segment "El mago francés")
635539	353670	Mujer Madura
635539	380796	
635539	384775	
635539	398166	Adriana
635539	401358	Cris
635539	403651	
635539	412198	Monica Cardone
635540	100723	
635541	246912	
635541	390873	Emilie
635542	61338	
635542	116393	
635542	202547	
635542	277798	
635542	302535	
635542	328879	
635542	384117	Herself
635543	338671	
635543	381026	Zenobia Mosquera
635543	410290	Blasina
635543	412189	Nieves
635544	210929	
635545	302791	
635546	73259	
635546	80125	
635546	263364	
635546	272717	
635546	281416	
635546	284654	
635546	324058	
635546	360445	
635547	217652	
635548	403904	
635549	406972	Beba - 2000
635549	406994	Bella Beba - As Belem Gonzale
635550	285608	Madam
635551	33864	
635551	37724	
635551	46814	
635551	102140	
635551	156187	
635551	172035	
635551	248555	
635551	276142	
635551	379023	Host
635552	209653	Rose Lopez
635552	336663	Angry Woman at Support Group
635552	401753	Alicia Conchita Montoya Cerva
635553	163364	Cita
635554	280420	Herself
635555	133660	
635556	27609	
635556	30877	
635556	134224	
635556	172308	
635557	214275	
635559	193000	Extra
635560	80849	
635560	139392	
635560	169457	
635561	305941	Rita Pardo
635562	73403	
635563	156731	Mexican Woman with Baby
635565	30864	Espie
635567	17872	
635570	193000	Extra
635571	292717	Mrs. Hazard
635572	10160	Party Guest
635573	384507	Mini Animadora (1999)
635573	402676	Salsa girl
635573	403904	Herself
635573	406972	
635573	406994	Lead Singer & Dancer (1997)
635574	295404	A Hawaiian Maid
635575	388611	Herself
635576	286949	
635577	214387	
635578	183832	Lady Untouchable
635579	194726	Woman in Stills
635580	78107	Angela
635581	190461	Girl Two (Bathroom)
635581	390035	Gaby Fernandez (1994-1995)
635582	288953	Toro
635583	291298	Stella
635584	103179	Herself
635585	45548	Angry Neighbor
635586	129626	Kim
635586	195549	Grace Turner
635586	292029	Charlene
635586	342156	De L'Air Saleswoman
635586	388545	Christina
635587	406972	Dancer
635588	239559	Dancer
635589	204354	Brothel Worker
635590	197425	
635591	384364	Shani Tal
635591	389678	Letter girl (1994)
635592	20625	Extra
635592	113920	Bit Part
635592	194052	Bumboat Girl
635592	271855	Servant
635593	80956	
635594	68089	Mrs. Crabtree
635596	315605	
635597	377580	Ella
635598	322716	
635599	217890	
635600	92340	
635601	109408	
635602	158462	Lourdes
635603	246947	Narrator
635604	112027	
635604	228722	
635604	353654	
635605	140964	Woman Sweeping
635606	384507	Dancer
635606	406994	Dancer (1990 1994)
635607	195088	Joy
635607	223084	Janet's Secretary
635608	232213	Lupe
635608	372525	Perez
635610	244759	La Marátre
635611	223768	Mercedes
635611	338371	Clara
635612	403099	Herself/Host/Conductora
635613	381231	Herself
635614	401097	Teresa
635614	405846	Matilde
635615	139227	Rocco's Girl
635616	37682	Bistro Patron
635617	353907	Hotesse d'accueil
635618	293744	Irate Club Goer
635619	132212	Puerto Rican Sister
635620	188453	'Lena' Girl
635622	82587	
635623	283504	Linda
635624	682	Hispanic Mother
635625	193307	Amelia Rojas
635626	197922	Prostitute
635627	17965	Hannah's Mother
635628	146576	
635629	327776	Stephanie Gonzalez
635630	273739	Rosa
635631	139902	Muschacha Guatemala
635632	51621	Prostituta
635633	75622	
635635	276328	Cherise
635636	215049	Sixteen-year-old hostage
635637	301151	Gorda
635638	9668	Leti
635638	65555	Chica combi
635638	106721	Rita
635639	103111	
635639	258499	Lilian
635639	287427	
635640	405798	Pilar
635641	75201	
635641	104156	
635641	272379	
635642	350351	Reportera
635643	274479	
635644	148012	
635645	126603	Carhop
635646	339229	
635647	16866	Old Woman
635648	199358	
635649	14777	
635650	193701	Anselma
635651	76257	Sakura Grey
635652	307949	
635653	77676	Salsa Club Dancer
635654	163894	Irina
635655	17701	
635655	18560	
635655	37880	
635655	46763	
635655	47147	
635655	48903	
635655	54418	Mercedes, Bonita's companion
635655	58612	Enid Maitland
635655	61593	
635655	62532	
635655	71916	
635655	100852	Ruth Bennett
635655	116722	
635655	123324	
635655	128360	Jude Clark
635655	130030	Virginia Phillips
635655	133889	Barbara Henderson
635655	134649	
635655	141245	
635655	143081	
635655	143171	
635655	143177	
635655	146292	
635655	163270	Mabel Wyland
635655	193857	
635655	215491	
635655	215933	
635655	223383	Esther Whitaker
635655	280922	Miss Lady
635655	292399	
635655	292566	Emily Burke
635655	300073	Lydia Benson
635655	309919	Carolyn Dillon
635655	328484	
635655	330313	
635655	331930	
635655	346879	
635655	366101	
635655	366625	
635655	370623	
635657	55162	Party Girl
635657	316684	Self
635658	54720	
635658	401203	
635659	246378	
635660	62075	Sofia
635660	262980	Herself
635661	117529	Waitress 2
635662	227683	
635663	203638	Claire
635663	206679	Martine
635663	378380	Prostituta 3
635664	199239	
635665	324889	Child at Corporate Site
635665	379248	
635666	384390	Jazmin
635666	397883	Mónica
635666	399823	Esperanza Gamboa Martel (chil
635666	405318	Jazmin Elizondo
635667	138184	Indian Singer
635668	37702	Beautiful Girl
635669	222876	Lianne
635669	281442	Woman in registry office
635669	296900	Lecture Committee
635669	392450	Clothes Dealer
635669	405461	Barbara
635670	14002	Aunt Joyce
635671	287817	Adelaida
635672	384780	
635673	63144	Blair Krank
635673	64098	Shelby
635673	89057	Amber
635673	119358	Stacey Hinkhouse
635673	155011	Eve
635673	252274	Cherry Moss
635673	310562	Vicki
635673	388038	Brooke
635674	308744	Fernanda
635674	344756	Francisca
635675	96323	Lottery's Voice #1
635676	317600	Slavinden
635677	110124	Madeleine
635678	61706	Chambers' kid
635679	290862	Cheyenne
635680	379019	Anna Maria Del Gato
635681	222007	
635682	381072	Veronica Davíla
635682	392963	Miranda Lucia Zapata
635682	397257	Lolita Rengifo (Young)
635682	398478	
635682	405858	Valeria Daza
635682	409957	Margarita (1999)
635682	412185	Carolina Falla
635683	287414	
635684	1578	Doublure course
635684	98976	Prostitute
635685	74686	Herself
635686	70641	Inés
635687	105905	Mimi
635687	176673	
635687	195601	Sauna Girl
635688	231511	Young Hispanic Girl's Mother
635688	297880	Christmas Party Guest
635689	100309	Amiga de Laura 2ª
635689	274645	Isabel
635690	384427	Andrea
635690	396781	Elisa
635691	302224	
635692	258769	Vicky
635693	103461	Clara
635693	233805	Sandra
635693	281784	Gladys
635693	307195	
635693	351480	Bárbara
635693	384782	Paloma
635693	385070	Patricia 'Pato' Pagliero
635693	385395	
635693	393478	Malena
635693	402350	Lisa
635693	408381	
635694	217890	
635695	51100	
635696	96354	Chara 1
635697	215148	Makeup woman
635698	396781	
635700	369748	Herself - Winner: Best Origin
635700	369999	Herself - Winner: Best New Di
635701	279200	Flamenco Dancer
635702	25079	
635702	65412	Criada ordinaria
635702	123275	
635703	221756	Fans de Nino
635704	6738	
635704	73528	
635704	103623	
635704	190424	
635704	204588	
635704	204827	
635704	307197	
635705	101894	Sor X
635706	51615	Teresa
635706	89938	Amiga
635706	103181	Lídia
635706	105883	Parlanchín Reidor Rojo
635706	183985	Noia 2
635706	283095	
635706	341084	
635706	353263	Comentarista
635706	399505	Inés
635706	410298	Maria
635707	14942	Woman at Meeting
635707	379118	
635708	100391	Cliente obrero
635709	115820	
635710	14745	
635711	52941	
635711	91364	
635711	103324	
635711	198998	
635711	248761	
635711	255907	
635711	327317	
635712	77243	
635712	91296	
635712	101846	
635712	245948	
635712	275315	
635712	383867	
635712	396941	
635712	396942	
635712	399612	Enriqueta Villarobles
635712	404707	Berta
635712	408722	
635712	409283	Tuca Grande
635712	410204	Regina
635713	377199	Prostitute
635714	193344	Chica
635715	25096	Cantante
635715	55348	
635715	84498	
635715	87894	Singer at cabaret
635715	135196	Cantante
635715	210443	
635715	234391	
635715	251565	
635715	251583	
635715	258476	
635715	302402	
635716	14942	Nurse
635717	30418	
635718	355492	
635718	384507	Mini Paulina Rubio (2000)
635718	403904	Herself
635718	409282	Albertina
635719	100776	
635720	12096	Alma
635720	96303	Tati/Brenda
635720	257529	Molina's Date
635720	381217	
635720	383499	Carola Casini
635720	389132	Host
635720	397731	Carolina Marín
635720	398983	Camila Del Molino López de Es
635720	401909	Herself/Hostess
635720	402158	Mina Carbonell
635720	402350	Ana Laura 'Anita' Villalobos 
635720	405102	Virginia/Ana
635720	412311	Agustina Ferrari
635721	19486	
635721	34539	
635721	287706	
635721	328736	
635721	333534	
635722	137005	Alicia
635723	42911	Herself
635724	10123	
635724	13081	Don~a Loto (segment "Los Aman
635724	14780	
635724	16809	
635724	19382	
635724	19504	
635724	20625	Extra
635724	24998	
635724	25062	
635724	28950	
635724	29842	
635724	30393	
635724	35013	
635724	42656	
635724	45762	
635724	51600	
635724	51722	
635724	52962	
635724	53649	
635724	55768	
635724	56113	Girl in Inez's Shop
635724	59785	Anita
635724	64022	
635724	64043	
635724	67011	
635724	68251	
635724	70686	
635724	71298	
635724	74576	
635724	74607	
635724	85585	
635724	88054	
635724	91416	Rosario
635724	92334	
635724	96533	
635724	103788	Mother
635724	106306	
635724	123188	
635724	124042	
635724	124340	Mexican Woman
635724	145176	
635724	145196	
635724	145215	
635724	145251	Gloria Magaña
635724	145252	
635724	148053	
635724	148102	
635724	148103	Elena
635724	153066	
635724	160091	
635724	169965	
635724	170091	
635724	183496	
635724	188011	'Patroa' Maria
635724	193352	
635724	195028	Mariana
635724	207976	
635724	219853	Carolina Lopez viuda de Perez
635724	221569	
635724	233335	
635724	233364	
635724	233489	
635724	234354	
635724	246194	Doña Eugenia, the debutante's
635724	247459	
635724	248351	
635724	251722	Carmelita Gonzalez
635724	251732	
635724	266863	
635724	267406	
635724	269212	Alicia
635724	275946	
635724	281544	Maid
635724	284584	
635724	291639	Gloria
635724	291683	
635724	296445	Hysterical woman
635724	302981	
635724	302983	
635724	309081	
635724	309091	
635724	310051	
635724	317798	Albina
635724	318015	
635724	328613	
635724	336101	
635724	336102	
635724	338604	
635724	339753	
635724	342503	Girl on Balcony
635724	351640	
635724	352254	
635724	353604	dancer
635724	371700	
635724	371762	
635724	379820	Simona
635724	380795	Tía Luvia
635724	381156	Lucia
635724	381224	Pascuala
635724	384395	Sofía
635724	384982	Rocío
635724	385368	Carmen
635724	385404	
635724	390404	Honoria
635724	391444	
635724	395401	
635724	397305	Chayo
635724	397572	Asunción Rivadeneira
635724	398801	Queta
635724	399084	Natividad
635724	400054	
635724	401203	
635724	401918	Elodia
635724	403749	
635724	404702	Carolina
635724	404705	
635724	404851	Inés
635724	405868	
635724	410384	Encarnación
635724	412193	Dolores
635724	412195	
635725	69121	
635725	310952	Volpino
635726	247159	Niña
635727	298309	
635728	223619	
635729	7594	
635729	192936	Photo model
635730	7594	
635731	396333	Cristina
635732	370112	
635733	272354	Flower Seller
635734	44450	Maria Elena (hooker, Villa Du
635734	96382	Doris Díaz
635734	132677	
635734	148416	Cuban Boxer's Wife
635734	179423	Costanza
635734	202728	Anna Maria
635734	369187	Dean Vera
635735	3543	
635735	5356	
635735	6626	
635735	25076	
635735	51708	
635735	52939	
635735	55973	
635735	62395	
635735	82257	
635735	83532	
635735	86877	
635735	91173	
635735	91276	
635735	94821	
635735	96271	
635735	96370	
635735	100403	
635735	103111	
635735	104146	
635735	111277	
635735	120714	
635735	121976	
635735	123157	
635735	132645	
635735	139911	Tencha
635735	143781	
635735	143789	
635735	145262	
635735	148048	
635735	169084	
635735	170270	
635735	171620	Amiga de Alicia
635735	189011	
635735	193189	
635735	225045	Lalo's Mother
635735	231598	Carmen Menchaca/Sargento
635735	233372	
635735	233762	
635735	235307	
635735	244636	Dancer 2
635735	247466	
635735	247472	
635735	248244	
635735	249800	
635735	252517	
635735	252784	Dacia
635735	256806	
635735	260586	
635735	267074	
635735	270890	Maria
635735	273848	
635735	274506	
635735	284796	
635735	287445	
635735	287901	Alicia
635735	292757	
635735	306672	
635735	307574	Raquel
635735	332373	Manela
635735	332670	
635735	333535	
635735	333663	Rosa
635735	334683	Madre de Joaquin
635735	336111	
635735	337577	
635735	339192	
635735	351170	
635735	351632	
635735	352082	
635735	354992	Lucia
635735	355795	
635735	355955	Marta
635735	376690	
635735	376768	
635735	379118	Candelaria Campusano
635735	379602	Lucha
635735	379603	
635735	380524	Nana Clara
635735	381145	
635735	387576	
635735	387817	Rita Valverde
635735	390174	
635735	392653	Renata Ocampo
635735	393851	
635735	397598	Lupe
635735	399525	Catalina Ortiz
635735	405868	
635736	132454	Singer in Tree
635737	162821	TV Reporter
635737	355946	
635738	377169	Prostituta
635739	300693	
635740	408753	Reporter
635741	105452	
635742	28955	Mati
635743	6474	Mariela
635743	12706	Village girl
635743	23382	Flor
635743	57978	
635743	71269	Amiga de Elena
635743	75838	Tiersa
635743	76116	Sandra
635743	83496	Dr. Veronica Arizmendi
635743	106953	Jessica
635743	136288	
635743	170092	Romy
635743	219863	
635743	221751	
635743	234418	Elena Tejeda/Herself
635743	253257	Laura
635743	277378	Betty
635743	286422	La jaibita
635743	294331	
635743	296496	
635743	337947	Alejandra
635743	379941	
635743	380054	
635743	380114	
635743	381839	Bianca Vidal
635743	384988	Mónica de Altamira
635743	387552	Estefanía Muriel/Natalia de J
635743	388647	Julie
635743	388937	Florentina
635743	391742	Paulina
635743	392651	Gloria
635743	393363	Oriana
635743	396131	Erika niña
635743	397596	Lucía
635743	397869	Cosette as a child
635743	398167	Ana Rosa
635743	398473	Marisa Santibáñez Villalpando
635743	399823	Esperanza Gamboa Martel/Isabe
635743	403365	Marisabel
635743	403741	Leonela (1987)
635743	404161	Salomé/Fernanda
635743	405834	Luisita
635743	405868	Lorna Madrigal
635743	407276	Susana
635744	389489	
635744	390444	Herself
635744	390447	Herself
635744	390452	Herself
635744	390453	Eleonora
635744	390454	Herself
635744	404855	
635744	409809	Herself
635745	301577	Multitud
635745	383718	Agustina 'Limonera'
635745	384119	Zoe (2000)
635745	389294	Toya
635746	54345	
635747	347498	
635748	222008	Chica que Baila
635748	247159	Niña
635749	409363	
635750	318233	Friend
635751	26582	Franchuta
635752	373959	
635753	18175	
635753	380125	
635753	383250	
635753	385365	Pepita Hamilton
635753	391173	Elpidia
635753	392212	Eva Pereira
635753	393802	Amparo de Vivas
635753	397862	Delia
635753	401905	Maigualida Cazado
635753	405776	Dulce de Mesías
635754	293030	Columbian #1
635755	64709	Up & Down Dancer
635756	268245	
635757	63320	
635757	111418	
635757	148583	
635757	159525	
635757	160824	
635757	203344	Rayburn's Wife
635757	205603	
635757	339098	
635757	339109	
635758	304478	Chica Erasmus
635759	117975	
635760	101835	
635760	221739	Monja
635761	412138	Panelist
635762	146472	
635763	14942	Cashier
635764	301172	
635765	66945	Woman Shopper
635765	92618	Mexican Villager
635765	274427	Driscoll Townsperson
635766	268496	
635767	381153	Norma
635767	386791	
635767	387817	Tania
635767	397598	
635767	400490	Paulina de Mendizábal
635767	402050	Mireya
635767	402219	Maclovia
635767	408855	(1999, 2000)
635767	409017	
635768	216851	Soledad
635769	143499	Garage owner
635770	30418	
635770	266822	
635770	353666	
635771	40668	Latin girl
635772	56017	Hija
635773	222049	(segment Amor y yoga)
635774	303119	Toni
635776	73646	
635776	203838	
635776	378406	
635777	68251	
635778	401884	Herself/- Finalist
635779	53697	
635780	70679	Anciana autobús
635781	390444	Herself
635781	390452	Herself
635781	390453	Lorena
635781	390454	Herself
635783	86796	
635784	51809	
635784	61535	
635784	148103	
635784	149531	
635784	209404	
635784	249888	Lucy
635784	259332	
635784	296498	
635785	51733	Amiga Bernardo
635786	135113	
635786	196487	Chestnut Seller
635787	54761	
635787	88705	
635787	379563	Host
635787	379614	Irina Calleja
635787	381901	9th evicted
635787	381904	Herself (9th Evicted 2004/1)
635787	383811	Rosa Mesa (1998-2000)
635787	387685	Fuensanta
635787	387805	Lucecita
635787	390440	Jenny Corcuera
635787	392263	Host
635787	399525	Jacinta
635787	401918	Rita Jiménez de Ornelas
635787	402059	Milagros Ortiz
635787	405318	Mara
635788	76786	Imbocan 3
635788	255485	Chica tuerta
635789	239279	
635790	168088	
635791	83552	
635792	377169	Extra fiesta
635793	51944	
635793	143757	
635794	12816	
635794	71364	
635794	120714	
635794	256787	
635794	301584	
635794	387602	
635794	387874	
635795	54843	Ivana
635796	383470	Marni Zurli
635796	387897	María Gracia
635796	397578	Pandora Villanueva Mercouri
635796	399520	Mariana Aguirre
635797	9718	
635797	105805	Maritza Benavides
635797	311037	Lady dogwalker
635797	390733	Cachita
635797	396873	Reina
635798	353651	Julia's friend
635799	332658	
635800	379248	
635800	390735	María
635800	393023	Rosa
635800	397262	Fefa
635800	402192	La Tuerta
635801	22653	Locutora de TV
635801	317769	
635802	10255	Uncredited
635802	13049	
635802	14761	Uncredited
635802	51307	
635802	56978	Uncredited
635802	61354	Pablo's Mother
635802	66084	
635802	75202	Uncredited
635802	84258	Lidia
635802	97370	Uncredited
635802	131963	
635802	135292	Nélida
635802	140823	Uncredited
635802	155666	
635802	169256	
635802	205668	Uncredited
635802	211295	Uncredited
635802	212360	Uncredited
635802	216862	Uncredited
635802	222011	
635802	225397	
635802	255038	Julieta Dunne
635802	268494	Uncredited
635802	287834	
635802	307678	
635802	307725	
635802	318002	Uncredited
635802	355928	
635802	376721	
635802	379879	Elena Gallardo
635802	379900	
635802	380790	
635802	380950	
635802	383239	
635802	383499	Sofía
635802	384053	
635802	384930	
635802	384981	Virginia Maure
635802	387474	
635802	387906	Estrellita
635802	388936	
635802	389345	
635802	393151	Marta
635802	397864	
635802	398800	María Olazábal
635802	399627	
635802	400488	Lisa
635802	403650	
635802	411715	
635803	303226	Classroom Kid
635804	71287	Cuban Friend #1
635804	175076	Sisi
635805	44197	Nené
635805	70857	
635805	82963	
635805	91402	
635805	215401	
635805	227560	
635805	231595	
635805	281760	
635805	285933	Parada
635805	376813	Tia Tacha
635805	379019	Susana Del Gato
635805	405319	
635806	2584	
635806	55444	Martin's mother
635806	61148	
635806	84024	
635806	103535	
635806	127602	
635806	193511	
635806	222008	Madre Lucía
635806	244635	
635806	306707	
635806	307800	
635807	25103	Aventure
635807	64431	Rita Muñoz "La Tuerta Rita"
635807	168666	
635807	234000	
635807	247296	Elena Moncada
635807	251961	
635807	380210	Emilia
635807	387273	Fanny O'Neal
635807	389480	Leora
635807	391418	
635807	392959	
635807	396389	Luisa
635807	399612	
635807	401481	Carmen Valdivia
635807	402193	Blanca Hamilton
635807	402411	
635807	403674	Victoria North
635807	404707	Rosario de Barca
635807	408722	
635807	408724	
635807	410316	
635808	193483	Carmen
635808	332600	
635809	267405	Secretaria
635810	55789	Policía #11
635811	233332	
635812	86880	
635812	353619	
635813	243689	Anciana #2
635813	376812	
635814	339117	Little Girl
635815	148124	
635815	192981	child
635815	212342	
635816	55768	
635817	120717	Carmen
635817	215433	Pepa
635817	234363	
635817	411636	Rosalía de Ríos
635818	197866	Herself
635818	257608	Herself
635818	257619	Herself
635818	257659	Miss April
635819	95018	
635820	323668	María Noel
635821	54842	
635821	67523	
635821	90099	
635821	211876	La mujer del Juez
635821	381623	Consuelo
635821	393028	Victoria De Alvear
635821	398218	Eugenia
635821	398482	
635821	403753	Gisela (II)
635821	405809	Salomé de Rionegro
635821	408389	Hortensia Tariffi
635822	91350	
635823	23059	
635823	92934	
635823	97708	
635823	104168	
635823	193526	
635824	76092	
635825	73281	Coro "Siquem"/"Siquem" Choir
635826	14770	Azafata
635826	52210	Antonia
635826	213759	Madrastra
635826	253312	Novia
635826	296485	Peluquera
635826	301191	Envidia
635826	336257	Señora de Romerales
635826	382565	Tatú
635826	385035	
635826	387861	Ramón
635826	387881	
635826	396770	Adela
635826	400660	Puta alcohólica
635826	403456	Host (2002-2003)
635826	404887	Candela
635826	404975	Margarita
635826	408412	Various characters
635827	210590	
635828	204826	
635829	193380	
635829	317680	
635830	174567	
635831	42578	
635832	28955	Paty
635832	53010	
635833	103430	
635834	408724	
635835	103858	
635835	115751	
635835	235984	
635835	251557	
635835	260550	
635835	270074	
635835	335943	Woman #3
635835	376662	Mujer perdida
635836	69516	
635836	192935	
635837	54720	
635837	74573	Marcelita
635837	159292	
635837	287879	Paquita
635837	403048	
635838	40269	
635838	110109	Margarita
635838	181759	La Niña
635839	398456	Milagros
635839	398662	Ernestina
635839	401213	Miriam Mendoza/Gisela Miraval
635840	193143	Wrestler
635841	342056	Amiga
635842	96368	Laura
635842	114873	Dancer: Escuela Flamenca Mati
635843	67006	
635843	73538	child
635843	78570	Old woman dancing at Zamora P
635844	51730	Joven
635845	196764	
635846	80235	
635847	28955	Novia del Maya
635848	393024	
635848	397151	Xeila
635849	226498	Directora
635850	14553	
635851	72864	Mango Perez
635851	404987	
635852	23624	Chica podium
635852	301578	
635852	376711	
635852	380059	Angela
635852	380099	Zokka
635852	385392	
635852	387685	Ana Cristina Robles
635852	397016	Elisa
635852	398490	Ivette
635852	402059	Felina
635852	402917	
635852	403752	
635852	404851	Norma
635852	409908	Andrea Paz
635853	302358	Tatuadora
635854	229441	
635854	384864	
635855	23059	
635855	97708	
635856	80633	Silvia
635856	349847	Cocinera
635857	1950	Vecina
635859	6446	
635859	96382	Alicia
635859	119304	
635859	146489	
635859	221965	
635859	265550	
635859	280882	
635860	48831	
635861	14668	
635862	28955	Vicky
635862	216776	Mari
635862	397017	
635862	397862	
635863	14923	María Adelfa
635863	25021	
635863	53684	
635863	54660	
635863	63324	
635863	70833	
635863	80291	
635863	101914	
635863	136313	
635863	193082	
635863	210445	Bailarina de Charleston
635863	221723	
635863	235262	
635863	247474	
635863	249888	Bailarina
635863	275744	
635863	292774	
635863	332596	
635863	377099	Adelita, paciente Manicomio
635863	387292	
635864	228429	
635865	335989	Esposa do Dono do Bar
635866	170092	Niña Teléfono #2
635866	212196	Girl
635867	355958	
635868	252823	Guajiro drummer #2
635869	90099	
635869	224963	
635870	34021	
635870	161431	
635870	222677	Housekeeper
635870	274524	
635870	279585	
635870	324502	Dancer
635870	339141	
635871	384117	Chiquinha's page
635871	391580	Prostitute
635871	406833	Nurse
635873	169291	
635874	356968	Paty
635875	243443	
635876	352855	Ritinha
635877	381253	Herself
635878	246849	
635879	7236	Madalena
635879	21727	Aunt Ceci
635880	4514	
635880	5189	Bela
635880	30275	Gonçalina
635880	48529	
635880	52107	Etelvina
635880	57465	Rita Naftalina
635880	67657	
635880	76127	
635880	82991	
635880	90456	Violante Miranda
635880	101922	Anastácia da Emancipação
635880	110667	
635880	116426	
635880	133049	Janete
635880	211018	
635880	214591	Minervina
635880	238077	
635880	280998	Dercy
635880	286573	
635880	308741	
635880	322386	
635880	344828	
635880	356032	Valentina
635880	383677	Dulcinéa
635880	386212	Celestina
635880	387104	Dulcinéa
635880	396651	Mamma
635880	402593	Baroness Eknésia
635881	412273	Finalist #6
635882	529	
635883	388721	
635884	14701	Florbela
635884	28589	Rosa de Melo
635884	338207	
635884	387850	
635884	388683	Margarida
635884	396201	
635884	402242	
635884	402791	Maria
635884	409420	
635885	281627	Baroness of Fontarcada
635886	66596	Percussion Teacher
635887	64428	
635887	380109	
635887	380327	Esmeralda
635887	380448	Rita
635887	381633	Maria da Penha
635887	383445	Cândida
635887	384973	Adelaide
635887	389587	Vitória
635887	399643	
635887	400106	
635887	400687	Angélica
635887	407861	Emília
635887	411739	
635888	216360	
635889	103459	
635890	109948	Irmã Lúcia
635891	407906	
635892	149552	
635892	168317	
635893	396847	Norzinha
635894	392069	Floriette
635895	120919	Vera
635896	70700	
635897	324191	
635897	328365	
635898	398501	Cândida
635899	21609	
635899	30153	
635899	57800	
635899	104179	
635899	108728	
635899	125783	
635899	237208	
635899	254240	
635899	334565	
635899	353675	
635900	279703	
635901	6756	(episode A Receita)
635902	396741	
635903	403429	Rita
635903	408405	
635904	51783	(segment "Uma Grande Vocação"
635904	104491	Carmen
635904	120701	
635904	126166	Suzana
635904	158826	Dona Maria #1
635904	262664	Coló
635904	280622	
635904	380097	Emília
635904	383678	Bisteca
635904	391580	Yara
635904	397804	Lúcia
635904	401087	Juíza
635904	402149	Babi
635904	402365	Princess Elizabeth
635904	404814	Norminha
635904	405101	
635904	407024	Regina
635904	408230	Clô
635904	412270	Flávia
635905	43243	Evanir
635905	57456	
635906	100391	Dueña de la pensión
635907	8806	GiGi
635907	51979	Fan/Framed girl
635907	127654	
635908	8806	Mrs. Cha
635908	370197	
635908	371509	
635909	78759	Young Eva
635910	173512	Lady with child
635911	316693	
635912	50647	No Name
635912	106666	Mysterious woman/Masked party
635912	272010	Tabatha
635914	388264	Herself (Series 2) (2003)
635915	154315	Maya
635916	365691	Grandma
635917	50268	Fat Rosie
635917	97007	
635917	291447	George
635918	78744	Shopper
635918	97023	Jaqueline
635918	117745	Rose the landlady
635918	176893	Mary
635918	385299	Carole Sands (1982-1984)
635919	236141	Bar Patron
635919	277254	Bar Singer
635920	368110	Monica
635921	177638	
635922	16658	Sandy Black
635923	2150	Buela
635923	37650	Tina
635923	46695	Kara
635923	70382	Brittany
635923	76222	Max
635923	82445	Jacqui Dandrige
635923	104924	Cisely Batiste
635923	120093	Kid #2
635923	151126	Extra
635923	151127	Tina
635923	201410	Jenny
635923	277892	Fake Venus
635923	280631	Naomi
635923	292457	Kay
635923	372175	Beautifull
635923	385133	Nina
635923	388672	Herself/panelist
635923	393460	Tamika
635923	393959	Starkeesha
635923	402812	Katie
635924	53206	Veronica
635924	62037	Stripper
635924	83822	Kathleen Rodgers
635924	86307	Sheila Walsh
635924	122757	Detta
635924	241386	Newton
635924	257669	Model
635924	264785	Brittany Fairchild
635924	266583	Cindy
635924	312265	Ann
635925	362235	
635927	374650	
635928	252931	
635930	147980	Herself (Manson follower, wit
635931	155272	Desiree
635932	183868	Lawyer
635932	238238	Co-Ed
635932	347112	Rose
635933	86046	
635934	34748	
635936	47342	Elinor Calhoun
635937	56655	Annie Summers
635937	59504	Ann Bolton
635937	59883	Michelle Foster
635937	63432	Mrs. Parker
635937	65627	Kristel, Jetstar Pilot
635937	85856	Liv Gustavson
635937	87576	Susan Hendler
635937	96920	Sandy
635937	105185	Sally
635937	133432	Amy Johnson
635937	139597	Johanna Pollack
635937	140372	
635937	149287	Moira Banning
635937	195397	Sally Love
635937	208954	Laura Bowden
635937	217375	Sarah Watkins
635937	242844	Heather Frazer
635937	264157	Mia's Mom Helen
635937	264158	Helen Thermopolis
635937	277446	Debra Loomis
635937	278476	Helen Simmons
635937	282608	Mandy
635937	290070	Emilie Schindler
635937	291529	Rosalind 'Roz' Leigh
635937	292446	Jenny Field
635937	295565	Bella
635937	301930	Elyne Mitchell
635937	340924	Anne Travers
635937	360647	Karen James
635937	364025	Dr. Alice Sheldon
635937	379398	Sally Raglan
635937	386339	Dr Anne Harriman
635937	397941	Igraine
635937	398183	Estelle
635937	398557	Joanna Liddy
635938	187048	Peggy
635939	11	Nurse
635939	17416	
635939	34692	Supervisor of Nurses
635939	39844	Member of the Court
635939	39884	Bridge player
635939	42023	Nurse
635939	44690	Aunt Martha Wiggins
635939	48539	Guest at Dolly Madison's Dinn
635939	52360	Mrs. Porter
635939	64923	Mrs. Graham
635939	69676	Aristocrat at Ball
635939	73203	Society Matron
635939	84901	Mrs. Petrie
635939	96977	Katherine Dare
635939	99224	
635939	108712	Fantasma
635939	114059	
635939	118413	
635939	125811	Aunt
635939	128386	Matron
635939	138282	Mattie Norcross
635939	141520	Countess Hurstmonceaus
635939	143651	Mother
635939	146303	Bess
635939	147329	Mrs. Rich
635939	154885	Sarah
635939	154925	
635939	169902	Mrs. Maydew
635939	175162	Mother
635939	183405	Juror
635939	187690	Griggsby's Secretary
635939	201457	Mrs. Hopkins
635939	210871	Matron
635939	211570	Mrs. Hepplewaite
635939	213453	Wife at Table
635939	216000	Bit Part
635939	218770	Hallie Baldwin
635939	239345	
635939	241557	Undetermined Role
635939	241892	Dean of Women
635939	242590	Gertrude Ames
635939	247141	Teacher
635939	247326	
635939	248450	Bridge Player
635939	248839	Mrs. Walton
635939	248843	
635939	260419	Gossip
635939	274502	
635939	275974	Wife
635939	289236	Miss Briggs
635939	297891	Bit Part
635939	297970	Department head
635939	299064	Mrs. Smart
635939	300113	
635939	302739	Aunt Hortense
635939	314189	Sheriff's wife
635939	318078	Woman in Department Store
635939	330277	Nurse Goodall
635939	331615	Guest
635939	334252	Customer
635939	335576	
635939	335825	
635939	349633	Miss Jones
635939	362365	Department Head
635939	363190	Woman
635939	363960	Supervisor
635939	366889	Matron
635939	367046	Mrs. Banker
635939	367919	Head Saleswoman
635939	372116	Screaming Spinster
635940	72140	Model
635941	2231	Herself
635941	14615	Herself
635941	91742	Herself
635941	165453	Herself
635941	165455	Herself
635941	165456	Herself
635941	165457	Herself
635941	185512	Self
635941	228287	Herself
635941	252463	Herself
635941	360269	Herself
635942	312170	Arab beauty
635943	68268	
635944	323842	Old Crone
635945	4815	Sara
635945	49493	Lorraine
635945	55110	Maureen
635945	93064	Condom girl
635945	95471	Young Angela
635945	168926	Wife
635945	224176	Sarah Downie
635945	258454	
635945	323037	Beth Lawson
635945	403590	Policewoman Betty Farinelli
635945	405025	Kate
635947	90819	Niaz's friend
635948	192181	Maddy
635949	123110	
635949	263737	Aino, Empusa
635950	70347	Dancer
635952	148434	Miss Tilford
635953	245536	Choir Member
635954	23952	Maggie
635955	45587	Beer Girl
635955	80513	Bartender
635956	345946	Model #1
635957	84808	
635957	84809	
635959	394392	Padushka
635960	137650	College Kid
635961	154745	
635961	154984	Party Guests
635961	391689	Jogger
635962	292788	Jane
635963	116953	Natalie
635964	65612	Night Nurse
635964	294524	Darlene Pickett
635964	363977	Teacher
635965	7420	Winter
635966	12738	Women's Umpire
635966	208953	Mrs. Fletcher
635966	315480	Farmer's wife
635967	43593	Eva
635968	43593	Sophie
635969	252936	Alexandra
635970	167866	Little Girl at Toy Store
635971	74080	Herself (R. Crumb's ex-girlfr
635972	9045	Lady Alice
635972	144997	Niela
635972	148330	Herself
635972	195671	Niela
635972	210396	Niela
635972	311994	Niela
635972	329344	Singer
635972	364380	Herself
635973	223920	Truck-stop girl
635975	299028	Margaret
635975	399201	Bella
635976	344356	
635977	196481	
635979	5009	Bitter Ex-Girlfriend
635979	43947	Bookcruncheress
635979	56170	Anna
635979	194940	Fine-looking woman
635979	274240	Maureen
635979	362852	Receptionist
635979	386869	Moira Gatewood
635980	33586	Deux touristes
635981	13293	Marcy
635981	50276	Billie Truluck
635981	81269	Mrs. Daniel
635981	115079	Mitchie
635981	135789	Dixie
635981	193548	Sister E. Gutshall
635981	220585	Herself
635981	239394	Michael Ann
635981	276923	Peggy Stephenson
635981	318966	Joanna
635981	340499	Lisa
635981	389412	Lt. Rosemary Clark
635982	381097	Cindy Cockburn
635983	206410	
635984	31715	Mrs. Myandowski
635984	105851	Linda
635984	138752	Herself
635984	235615	Louise Pelham
635984	263360	Tourist (Hollywood Blvd.)
635984	382208	Ethel 'Sunshine' Akalino
635984	391006	Lori Beth Allen Cunningham (1
635984	411053	Angie Vitola
635985	5527	Courthouse Reporter
635985	7944	Welfare Worker
635985	72065	Claudia
635985	81545	Barbara
635985	146884	Corrine
635985	183639	Andrew's Girlfriend
635985	192413	Hortense
635985	217528	Mrs. Todd
635985	217529	Evelyn
635985	217530	Mrs. Chambers
635985	244372	Rosemary
635985	269045	Berlin Ford
635985	299669	Woman with Stroller
635985	308004	Angry Housewife
635985	315998	Lee strange
635985	329844	Jessica
635985	364344	Mrs. MacIntyre
635985	382166	Belle Ramsey (1990-1991)
635986	17696	Middle Aged Lady
635986	37344	Superintendent
635986	57380	Cook
635986	82051	Jury Foreman
635986	103304	Rich Wife
635986	140371	Enid Billingsley
635986	141155	
635986	141226	Ruth LaSalle
635986	152910	Head D.A.
635986	183197	Narrator
635986	183705	Lily
635986	185724	Clara Bradshaw
635986	185766	Freida
635986	344474	Dana Quinn
635986	346408	Kathy Merlow
635986	369458	Mrs. D'Ancanto
635986	390775	Diane Langston
635987	287215	Ozzy's Friend
635988	365526	Woman of Wongo
635989	158151	Baby Doll Dancer
635989	276085	Big Tim Party Girl
635989	375798	Ophelia
635990	72021	Miss Ruth
635990	240969	Miss Ruth
635990	326083	Real Estate Agent
635990	328477	Mrs. Forrester
635991	40069	Narrator
635992	1827	Mrs. Ott
635992	140984	
635992	333648	Mrs. Blake
635993	2627	Best Play
635994	390416	TV woman #1
635995	390628	Iris
635996	321794	Bit Part
635997	62393	
635998	16006	Wealthy Family Child
635999	20625	Extra
635999	184948	Extra
636000	47745	Irene Richardson
636001	43606	Gospel Singer
636002	245051	Dean's Sister
636004	214214	
636004	235690	Singer
636005	278711	Librarian
636006	107891	Young Sandy
636007	270272	Singing Woman at Jigalong
636008	160982	Amazon
636009	194318	Julie
636010	174704	Lizzy
636011	183692	Anna
636012	170442	Tracy
636013	245359	Old Lady
636014	278909	Hilda
636015	124309	Leelince
636015	383107	Additional Voices
636016	261236	1st Victim
636017	348814	Herself
636017	370011	
636017	386019	Host
636018	81316	Little Bo-Peep
636018	131984	Girl in audience
636018	331341	Girl
636018	360270	Young Lady Pedestrian
636019	396623	Jenny Pearson
636020	80619	Barback
636021	254522	Female Masquerade Dancer
636022	308026	Bakery
636023	324729	Julie
636024	29745	Cashier
636024	56545	Herself
636025	236952	Evelyn
636025	383071	Rachel
636026	127263	Dancer - The Furies
636027	321678	Courtroom Extra
636028	67938	Gladys
636028	75556	Dreyfus' Girlfriend
636028	222682	Rose Humbleby
636028	382733	Diane Metcalfe
636028	402421	Barmaid
636029	12735	Miss Rebecca Miller
636029	12736	Miss Miller (telephone only)
636029	32562	Fanny Eubank
636029	47082	Ruth
636029	62274	Miss Rebecca Miller
636029	70391	Mae McCallister
636029	70563	
636029	108358	Grandma Dotty Dooley
636029	133401	Blanche
636029	133402	Blanche Hodel
636029	154194	Scheherazade
636029	208326	Mrs. Litke
636029	264818	Mrs. Rawlings
636029	286516	Mrs. Higgins
636029	311428	Mrs. Stimler
636029	311439	Mrs. Stimler
636029	338796	Miss Eells
636029	349864	Ida Kramer
636029	379868	Miss Rebecca Miller
636029	386337	Aunt Sophia (1981-1982)
636029	389098	Martha Schumway
636029	393211	Herself (1957-1958)
636029	395483	Herself/panelist
636029	396994	Martha Shumway
636029	396998	Ruby Bell
636029	400236	Molly McDermott (1985)
636029	402449	Mrs. Morton (1984-1985)
636029	407916	Mavis Cobb (1982)
636029	408497	Herself (regular performer, 1
636030	383896	Herself - Political Editor (1
636031	9124	I Love Sanity Nurse
636031	117664	
636032	68304	Gina Moore
636032	92913	Various Voices
636032	339353	Mrs. Joan Plover
636033	228169	Saloon Girl 1
636034	196370	ER Doctor
636034	324729	Syd
636035	157752	Astrologer
636036	73830	Mother
636036	81649	Cookie
636036	138463	Evelda Drumgo
636036	140694	Herself
636036	141544	Hooker's Mother
636036	161078	
636036	171230	Discussion Leader in Ladies B
636036	303212	Herself, Sistas Round Table
636036	309664	
636036	340791	Miles' Neighbor #1
636036	362271	Herself
636038	183763	Undetermined Role
636038	260866	Fuller's wife
636039	407646	Journalist (1990-)
636040	99691	Kate
636041	151116	Melinda
636042	59883	National Security Advisor
636042	147467	
636044	68697	The Company
636044	289024	Les Presages Dancer
636045	184341	Bag Lady
636046	35705	Norma Squire
636046	72353	
636046	279371	Sonia Brownell
636046	314507	Lady Courier
636046	331089	Julia
636046	342435	Linda
636046	382854	Barbara Kingsley/Trent (1972-
636046	383843	Amanda Scott
636046	388396	Lady Alicia Seymore
636046	390523	Mrs. Pearson (1988)
636046	395930	Ros
636046	396031	Kirsten McLuhan
636047	344547	Pretzel
636048	211533	Mermaids of Tiburon
636049	178353	Madame
636050	17934	Diner Waitress
636050	133346	Warwick's Secretary
636050	300361	CAC lady
636051	83847	Baby
636052	97277	Singer
636053	109513	Suze
636054	337151	
636055	316054	Linda
636056	213114	Coast Guard Woman
636057	203692	
636058	203364	Rosa, Tony's Cafe Waitress
636059	306286	Dancer
636060	406459	Herself
636061	326604	Suzanne Moore (Last Victim)
636062	310726	Elevator Passenger
636063	27117	
636063	97459	Eve
636063	151556	Carla
636063	155209	Camille
636063	185222	Roz
636063	290401	
636063	341931	Jane
636063	397172	Samantha
636063	401610	Gayle
636064	30311	Well dressed woman
636064	245272	The Blonde
636065	381435	Joanne Zandona
636066	315781	Herself ('Non-fiction')
636067	385322	Herself
636068	342623	Surgical Nurse
636069	338546	Woman on cell phone
636070	120192	Tom's girlfriend
636071	189233	Conference Room Attorney
636072	217434	Mrs. McAndrew
636073	159108	Lataso's widow
636074	364376	Kid No. 2
636075	176276	Friedrich's Date
636076	154610	Moreno's mastermind
636077	164493	Grad student
636078	40847	
636078	89886	Gwen Clayton
636078	113845	Helen Vaughan
636078	116262	Ann Perryman
636078	120409	Lola Bassano
636078	170486	Calpurnia
636078	186813	Mary Linkley
636078	214289	Musette
636078	223043	Mrs. Norbray
636078	249115	Simone
636078	274087	June MacKinnon
636078	278513	Cora Ann Milton
636078	282607	Tourist
636078	282620	Mme. Tallien
636078	316081	Marie/Barbara Relf
636078	317360	Veronika
636078	329951	Cora
636078	331134	Anne
636078	362507	
636079	83558	R.C. Volunteer
636080	123932	Additional Voices
636080	394431	Narration, Additional Voices
636080	399784	Additional Voices
636080	402790	Additional Voices
636081	133345	Vampirette/Voice of Vampirett
636082	28481	Minor Talent Contest audience
636083	28481	Minor Talent Contest audience
636084	140010	Alison Ashley
636084	399130	Nina Tucker (2002-2003, 2004)
636085	406459	Herself - Starting Over roomm
636086	192275	
636086	300330	
636087	348651	Skafish
636088	186618	Band Booster
636089	363250	Cashier
636090	161305	Herself
636091	19281	Nikki Brashares
636091	82327	Martha Chambers
636091	171228	Deborah
636091	189263	Joanne
636091	239618	Susan King
636091	245229	Jenny
636091	254332	Kelly Carson
636091	275522	Belinda Watson
636091	320076	C.J. Forrest
636091	331100	Dancer
636091	379716	Connie Wilkes (aka Silver Kan
636092	142484	Mrs. Knuckles
636093	328668	Ma
636094	14087	Virginia Lee
636094	20499	May Fielding
636094	79364	Beth Treadway
636094	143208	Nancy Page
636094	143382	Helen Kirby
636094	150963	Edna Coleman
636094	201870	Maddalena
636094	269389	Janice Waltham, Queen X
636094	276054	Constance Bennett
636094	338753	The Wife
636094	364250	Doria Dane
636095	261554	Pige i telefon
636096	253145	Edna Sherwood
636097	319902	Maggie
636098	85847	Lady Holstead
636099	232630	High School Extra
636100	178962	Poet
636101	28480	Lucy
636102	74199	Trauma Team Nurse #2
636103	87348	Grandmother Heidi
636103	138699	Landlady
636103	340320	Old Woman
636103	361068	Lingerie Saleswoman
636104	323871	Squirrel/Country Mouse
636105	90735	
636106	60186	Girl Fighting in Class
636107	38256	Molly
636108	295372	Innkeeper's Wife
636110	138744	Chorus Woman
636111	276821	Nancy
636112	56545	Herself
636113	13789	Spartanette #2
636114	4017	Ere
636114	5572	Additional Voices
636114	6818	Buttons
636114	9433	
636114	19768	Boy B, Waitress, Old Woman, N
636114	20460	Yoko's Kindergarten Teacher
636114	38381	Mary
636114	46135	Kojiro
636114	63127	Buttons (Voice)
636114	63344	Buttons
636114	72237	Old Woman
636114	84337	Madame Wanda
636114	96415	Princess Veronica
636114	105199	Mother
636114	113336	Queen Lenna/Macho Girl #2
636114	115182	Naota Nandaba
636114	122109	
636114	122113	Subaru
636114	123054	Pat
636114	124335	Voice Over Talent
636114	130962	Barbara Glaser
636114	131687	Rita Repulsa
636114	134390	Lola
636114	137049	Kimie Nakaoka
636114	147362	Alei
636114	147906	Homeless Woman
636114	156103	Bana, Additional Voices
636114	170832	Rongo, Takuma
636114	174325	Photon
636114	182506	Doris Rumm (English version)
636114	183550	Darling
636114	194524	Rita Repulsa
636114	195629	Mitsune 'Kitsune' Konno
636114	201373	Laharl
636114	212067	Enmy
636114	213445	
636114	213446	
636114	213448	
636114	213479	Rita Repulsa
636114	219864	Voice #1
636114	279884	Old Lady (segment "Presence")
636114	294394	Lynn Jackson
636114	307189	Jani
636114	310087	Jane
636114	310106	Jane
636114	313338	Ryoko Leingod
636114	314699	Nancy
636114	327006	Keiko
636114	327803	Yuzuha
636114	336577	
636114	341889	Buttons
636114	342496	Takamiya
636114	344655	Lt. Ann Johnson/Timmy/Additio
636114	362557	
636114	363533	Buttons/Christie
636114	378652	Katsuyuki
636114	378718	Takki, Bishin
636114	379485	Aoi's Mother
636114	379517	Apple
636114	381549	Ladyborg
636114	385151	Pet Shop Owner
636114	385569	Akira Akebono
636114	387049	Akane Yamano
636114	387419	Additional Voices
636114	389218	Red Fraggle
636114	389623	Agatha June/Pee-Wee
636114	389628	Additional voices
636114	389791	Shun's Mother
636114	389870	Hyun, Judy
636114	393503	Petra Fina Dagmar/Mrs. Iknow,
636114	393545	
636114	393552	Masaru Komyoji
636114	394016	Mother
636114	394427	Maria
636114	396440	Alcyone/Sang Yung
636114	397693	Rita Repulsa (1993-1994, 1995
636114	400576	Yase/Iraga/Additional Voices/
636114	402009	Orbus/Prince Sprocket/Rita Re
636114	402729	Mitsune 'Kitsune' Konno
636114	402899	Fortune Teller
636114	403550	Sera/Marie Crystal
636114	403965	Hana
636114	404228	Akira Kinomiya
636114	407828	Ryoko Balta
636114	409323	Star Summers
636114	411166	Additional Voices
636114	411343	
636114	411563	Old Sumeragi Clanswoman, Saya
636115	264053	Shoorpanakha
636116	320088	Gorgeous Woman (at popular to
636117	116443	Girl in hat dance
636117	168119	Armor Double
636117	176358	1934 Goldwyn Girl
636117	256113	Information girl
636117	316946	Goldwyn Girl
636118	36856	Manicurist
636118	78528	Little Bo Peep
636119	257760	Background Singer (Silk's Ban
636120	365523	Herself
636121	299738	Adult Peggy
636122	36713	More Fairy Tale Folk
636122	202540	London Dancers
636123	13826	Lily
636123	264102	Angie
636123	316067	Retinal Fetish Bouncer
636123	353302	Edith Block
636124	37702	Bink Phillips
636124	318442	Bubbles
636126	364854	
636127	97727	Neighborhood Extra
636127	133212	Extra
636128	115060	Zona
636129	184104	Jilly
636130	276677	Bookstore Manager
636131	54398	Clara Good, Lady's Companion
636132	149156	Julia, Lyton's Daughter
636132	276700	Viola
636132	282034	Mary
636133	164684	Sheila Francis, Daughter
636133	249121	Mimi
636134	89657	Berthe White
636135	60262	Chess Club President
636136	191653	Herself
636137	191350	TV Reporter #2
636137	211379	
636138	363502	Pamela Olmsted
636139	83592	Alarcon's Wife
636139	113889	Joan Howe
636139	114303	Nurse
636139	140676	
636139	142533	The Daughter
636139	186790	
636139	266844	Miss Weston
636139	271231	
636139	278072	Betty Malone
636139	301720	Maizie
636139	359536	Mrs. Hal Folsom
636140	40838	Woman on Cell-phone
636140	278187	Saun
636141	31635	Toni
636141	368318	Dawn
636142	10050	
636142	10095	The mother
636142	14377	Perozzi's wife
636142	14378	Mrs. Necchi
636142	65190	
636142	69759	Isabella
636142	71265	
636142	78247	
636142	85477	Herself
636142	90679	
636142	97451	Michael's mother
636142	97836	Governess
636142	127844	Mother Superior
636142	129015	Paolo's Mother
636142	131726	The Ambassador's Wife
636142	198906	Daniella
636142	200819	
636142	217049	
636142	262480	Giovannis mother
636142	268897	Nurse
636142	283053	
636142	289343	Vice Consul
636142	302619	
636142	337259	
636142	344620	Maria Micheli, Diego's mother
636142	348193	Franca
636142	351612	Fortunata
636142	352239	Concetta (Segment 2)
636142	355655	
636142	392743	Angela
636143	142799	Irene Forster Dodd
636144	100212	Mary Manning
636144	241720	
636144	313009	
636144	361615	
636145	107802	Louise
636146	213088	
636147	61156	June
636148	379113	Herself (interviewee)
636148	381356	Herself
636148	407822	Herself (biographer of LBJ)
636149	213088	
636150	368549	Jane Barrett
636151	17490	Daniel's Mother
636151	352473	Great-Grandmother Nana
636152	327300	Nurse
636153	195529	Dori Dumchovic
636153	217745	Connie Baker
636153	260705	Maya
636153	358593	Vivian Cash
636153	365947	Cathy Feely
636153	381951	
636153	387287	Diane Snyder (2001-2003)
636154	143164	Ida Bell Gray
636154	367409	Cyrene
636155	239587	Letty, Larne's Maid
636156	16796	Herself/Angela's Schoolmate
636158	274214	Herself
636159	277436	Evelyn Lincoln
636159	337121	Waitress
636159	408347	Mrs. Gant
636160	363840	Receptionist
636161	169479	
636162	84230	Death House Doll
636163	67379	Marlen
636163	134741	Menstruating Girl
636163	234849	
636163	237783	Juliet
636163	242924	Young Nurse
636163	316411	Latisha Jordan
636163	321446	Rene
636163	378801	Tiffany Halloway (1985-1987)
636163	401610	Lady Bryce
636164	297937	Norma
636165	62886	Hilde
636165	74323	Maria
636165	298291	Melanie
636165	318910	Emily
636165	393510	
636166	297937	Norma
636167	128884	Laurel Dodge
636167	129583	Beth Poole
636167	187907	Yeoman J.M. Colt
636167	248017	Augusta Griffith
636167	312820	Julie Parker
636167	313438	Yeoman J.M. Colt
636168	40739	Leslie Seeward
636168	87975	Kelly Cratchett
636168	150967	Francine
636169	47423	Mary
636169	380455	Young Rene Jackson (2001-2002
636170	276249	Kid
636172	87896	Amy's Mother
636173	168627	Voodoo Dancer
636174	109438	New Miss Fastco
636175	199354	
636176	196370	Annie Marks
636176	313989	Cleo
636177	263957	Denise
636178	11948	Louann, the maid
636178	316110	Annie, Alice's maid
636178	354160	Esther
636178	365316	Sarah (Irene's maid)
636179	312801	Littly Emily
636180	36602	Mathilde
636181	276249	Itinerant
636184	156851	Edgemont Girl #1
636185	48165	Shelly
636186	37795	Sgt. June Ackland
636186	37857	Sgt. June Ackland
636186	37884	WPC June Ackland
636186	140343	Cherie
636186	163352	Herself
636186	194513	Cherie
636186	368131	W.P.C. June Ackland
636186	382052	WPC/Sgt. June Ackland (1984 -
636186	396080	
636187	28461	Nun #1
636188	298079	Hotel Pianist
636189	195576	Bus Passenger
636190	1744	Herself/Audience Member
636190	305490	Herself
636190	381099	Herself
636190	381910	Herself (Series 3) (2002)
636190	383745	Herself
636190	411113	Herself
636191	158684	Girl at kitchen door
636192	211958	Child
636192	378942	Kim
636192	389330	Co-presenter
636192	399585	Kim (1983-1988)
636193	1208	Victoria
636193	28555	Denise Larsen
636193	169029	Tuva
636193	201230	Birgitte
636193	206212	Diana
636193	282081	Rebekka West
636193	307764	Sara Rask
636193	392085	Sara
636193	395375	Noras mor
636194	396724	
636195	134596	Monica Jarobe
636195	213358	Charlotte's Sister
636195	242529	Reporter #1
636196	34903	Herself
636196	70883	Bet Gilroy
636196	70884	Bet Gilroy
636196	151452	Herself
636196	189993	Herself
636196	213621	Herself
636196	313795	Marlene Dietrich
636196	341522	Sister Mary
636196	367854	Bet Lynch/Gilroy
636196	385019	Herself
636196	385020	Bet Lynch/Gilroy (1966, 1970-
636196	392469	Herself - Winner (Series 1)
636196	403312	Various Characters (Series 2)
636196	408567	Presenter: Camp Icons (2002)
636197	306500	Kissing Couple
636198	315664	Herself/Bass Guitar Player (P
636199	10697	Cold Ethyl
636199	38150	
636199	38867	
636199	78617	
636199	111306	
636199	228888	
636199	247616	
636199	249403	
636200	79715	
636200	306127	Ah Ling
636201	223598	
636202	48896	Skeedle
636202	265749	
636202	289690	
636202	310151	Ursula
636202	312909	
636202	320266	Kathleen
636202	365184	Esmeralda
636203	72707	Head Nurse
636203	277803	Reno Howl
636203	279114	Catherine
636203	338055	Doris Dayglo/Fred's Mom/Paren
636204	34903	Herself
636204	133463	Presenter
636205	367792	
636206	115161	Joe's Woman
636207	310613	Kelly
636208	107609	
636208	150974	2nd Millinery Girl
636208	222745	Sobbing Woman
636208	323037	Tony's Girlfriend
636209	350363	
636210	310524	Megan/Eve
636211	401352	Herself
636212	12295	Alice
636212	23932	Herself
636212	120105	
636212	127572	Maxine Norris
636212	383631	Staff Nurse Tina Seabrook (19
636212	410530	DC/DS Mel Silver (Pilot, Seri
636213	51868	
636213	225275	
636213	325921	Silke
636213	379772	Frau Seippel (episode 3, 6 - 
636213	404462	Hochzeitsgast
636214	84692	Madame De Haan
636214	336234	La rédactrice #1
636215	12473	Ria Ducker
636215	211686	
636216	380482	Herself-Presenter (second sea
636217	41490	Beryl
636217	75913	Roxane's Duenna
636217	112049	Sponsor
636217	160583	Receptionist
636217	292415	Nurse
636217	309820	Sarah
636217	357076	Witmers
636217	386606	Steph (1986)
636217	389625	Dr. Jacobs' receptionist
636217	392808	Mrs. Clements
636217	400814	Miss Thorne
636217	404409	Anne's Mother
636217	411201	2nd Hack
636217	411895	BD girl (1967-1971)
636218	120933	Else
636219	384154	
636219	394697	
636219	403085	Herself (2001)
636220	104692	Jurylid
636221	378673	Herself (2002-)
636221	390013	Herself
636222	231110	Daughter #3
636223	12402	Suicide Squeeze Customer
636224	91888	Madison
636225	67052	Young Girl
636226	350506	Desert Beauty
636227	5613	
636227	179217	Asha Lakshmi
636227	227646	
636227	350130	Gopalan Nair's Daughter
636228	110890	Dora
636228	266822	
636229	56545	Herself
636230	2463	
636230	24555	
636230	340999	
636231	208774	Shwetha
636232	341055	Wendy
636233	186246	
636234	81286	Dancing girl with Rainbow Ran
636235	98044	
636236	270908	
636237	142433	
636237	243504	Anna
636237	368315	Elsie
636238	72931	Goodyear Chorus Girl
636239	18396	Zhenata
636240	238169	Police Psychologist
636241	45609	Candace
636241	81033	Joyce (segment "The Psychic")
636241	151625	Young Hy
636241	403765	Becky Conner-Healy (1988-92, 
636242	13828	Mrs. Doris Thatcher
636242	69482	
636242	79611	Saleswoman
636242	87418	Mary
636242	103254	Car Crash Mother
636242	105354	Mrs. Hunter
636242	105707	
636242	115712	Donna Powers
636242	124463	Terry's Mom
636242	129580	
636242	129596	
636242	131433	Nurse
636242	134596	Irene Spencer
636242	139591	Hazel Bergeron
636242	160405	
636242	183182	
636242	189913	Carolyn Bay
636242	195005	Wilma
636242	214037	Hostage
636242	220778	Mother Loving
636242	243273	Mayor's Wife
636242	245838	Belinda's Mother
636242	246701	
636242	261440	Helene
636242	272413	Shane
636242	282553	Ruth Lowe
636242	294513	Mrs. Carmichael
636242	335704	
636242	337121	Sherry Danza
636242	338227	Trader's Daughter
636242	346408	Elevator Passenger
636242	367588	Connie Bell
636242	393228	Ladybird Johnson
636242	399305	(segment '1847')
636242	411016	Victoria
636243	527	Maid
636243	3169	Producer's Girlfriend
636243	4524	Cigar seller
636243	13094	La ragazza francese (segment 
636243	28544	
636243	55544	
636243	85610	Rose
636243	94686	
636243	116492	
636243	124584	Lorella
636243	200505	
636243	203946	Angelo biondo
636243	206955	
636243	211804	
636243	216335	
636243	217765	Bertana's Secretary
636243	235767	
636243	244576	Miss Berti (episode "L'armadi
636243	255868	
636243	269709	
636243	275351	
636243	280578	Flo
636243	285371	Dyla
636243	295172	Mitù
636243	317985	Marisa
636243	333662	
636243	349526	Girl
636243	351585	Silvana (segment "Come conqui
636243	352570	Abramson's Daughter
636243	357564	Venus
636244	294374	Ensemble Vocal Sequenza 9.3
636245	263328	The Pretty Girl
636246	31075	Herself
636246	131383	Herself
636246	247370	Herself
636246	384590	Herself (with Gorby)
636247	74285	
636248	231162	
636249	82812	Cashier
636249	351336	
636250	148875	
636252	125557	Sylvie
636253	116907	Wendy Jo
636253	133182	Bonnie Clark
636253	155303	Diane
636253	176415	June Cessna
636253	326743	Tina
636254	70484	Cigarette Girl
636255	112062	Renata
636255	118075	Donna Leonora
636255	130590	Soprano
636255	133468	Donna Leonora di Vargas
636255	133469	Gorislava
636255	269348	Lisa
636256	372159	Helen
636256	372160	Helen
636257	66265	Stefa Tarska
636257	94057	Irena Mohort
636257	216592	Chopin's Mother
636257	217217	Ada Naleczowa
636257	244110	Lena
636257	255623	Peppita
636257	266303	Laura Koscieniecka
636258	81060	Ms Camden
636259	312564	Young Flower Girl
636260	403763	April Rimbauer
636261	291421	
636262	49504	
636262	71875	Dana
636263	1445	Herself
636263	11682	Herself
636263	21015	Herself/Host
636263	21295	Herself
636263	21296	Herself
636263	32182	Belle
636263	58893	
636263	63014	Herself
636263	87983	Herself
636263	87984	Herself
636263	87986	Herself
636263	112710	Herself
636263	133930	Cinderella
636263	151230	Herself
636263	224293	Herself
636263	294763	Herself
636263	303762	Herself
636263	303763	Herself
636263	303764	Herself
636263	306322	Kate
636263	306323	Ballerina
636264	209283	Cosmonaut Tanya Krilova
636264	349304	
636265	51122	Carmencita
636265	303666	Girl at the piano in the bar 
636265	315361	Waitress at Wiland's dinner
636266	328948	Natia
636267	84637	Soeur Véronique
636267	124834	La femme du juge
636267	288761	La concierge
636268	408694	Designer
636268	408696	Designer
636269	320266	Reporter
636270	273598	Clara Belle Simpson
636271	89803	Misyus
636272	212629	Cop's wife
636273	9724	
636274	55331	
636274	355825	Dancer
636275	371285	
636276	171380	Mujer asesinada
636277	68618	
636278	396738	Herself
636279	35667	Herself
636280	293126	Beth's Mother
636281	97194	Daughter in Field
636282	258660	
636282	394620	
636283	88810	
636284	240217	
636285	64231	
636285	102364	
636285	214016	Lilli
636285	313901	Matilde
636286	82296	Lurdes
636286	395865	
636287	585	
636287	408592	Clementino's Wife
636288	54945	
636288	330335	
636289	357758	Anela
636289	387766	Sofija
636289	392883	
636289	399850	Therese Aristos-Gripenhielm (
636289	404048	Ylva Sörensson (1999)
636290	164620	
636291	48028	Mrs. Ames
636291	68489	
636291	206478	Cyril's mother
636291	266158	
636291	358693	Mrs. Barclay
636292	210156	Yuratei
636292	394660	Ouka Sakaki
636293	81527	Candace
636294	103465	
636294	355189	Mrs. Bartlett
636294	396009	Phyllis Robinson
636295	3265	Cashier
636295	171050	Thelma
636295	190245	Capacity Nurse
636295	218206	Jorjivik
636298	58775	Darlene Street
636298	121616	Singing Harp
636298	261506	Child
636299	399719	Herself (historian)
636300	350649	
636301	25095	L'hôtesse de l'air
636301	127498	
636301	156317	Questionnaire lady
636301	217718	Sarah
636301	249461	
636301	275635	La journaliste branchée
636301	279648	Mme Zorca
636301	305555	Une prostituée
636301	337013	Femme d'Antoine
636302	99233	Herself (clerk of Chicago Uni
636303	22931	Dr. Jackman
636304	30959	
636304	32083	Agatha Haines
636304	32941	Audra Lindley
636304	44547	Bridget
636304	62925	Mrs. Brice
636304	69806	Dr. Celia Hanson
636304	80592	Danuta
636304	99296	Jenny Francom
636304	103284	Kathryn Koob
636304	114734	Dede Scharber
636304	117639	Mrs. Kruger
636304	131433	Dinah
636304	153570	Mrs. Paley
636304	155909	Molly
636304	158142	Senator Rone
636304	169916	Jamie
636304	176480	Mrs. Tingley
636304	188646	Mrs. Rudnick
636304	192634	Aunt Elspeth
636304	210866	Mrs. Foley
636304	231915	Mrs. Duncan
636304	232158	Station Manager
636304	245758	Alison
636304	255342	Grandma Matilda
636304	257168	Joan Fuller, Bill's Wife
636304	265683	Connie Jukes
636304	269856	Calvin's Wife
636304	274476	Mrs. Morgan
636304	275480	Dorothea Kerr
636304	276426	Judge Seers
636304	295563	Valerie
636304	297790	Talk Show Host
636304	331256	Mika, Cruella, Landlord's Wif
636304	331664	Jenny Novak
636304	331738	Wanda
636304	338272	Miriam Chatwill
636304	339361	Josephine Kant
636304	346408	Custody Judge
636304	347242	Danielle Devereaux
636304	362310	Paula Fowler
636304	363982	Mrs. Gentle
636304	365299	Marlene Conners
636304	367879	Downing
636304	403490	Mrs. Ray
636305	265759	Principal
636306	313975	Officer Walker
636308	68020	
636309	56623	Rachael
636309	194579	Lorna Doone
636310	131982	Boxer In Black
636311	920	Woman's Friend
636311	120929	
636312	36856	Manicurist
636312	44899	Chorine
636312	64090	Bit part
636312	138744	Chorus Woman
636312	313301	Chorine
636313	68232	Large woman
636313	249548	The New Dean
636314	350186	Tracy
636315	363793	John (6 months)
636316	211010	
636317	194765	Norrie's Mother
636317	300506	Mother
636318	356997	Sue
636319	56598	The Gelato People
636320	7985	
636320	46105	Meygan
636320	85573	Natalya
636320	85574	Assassin
636320	304364	Femme
636320	323144	Stare Pris/Flare Pris/Princes
636320	359367	
636320	359368	
636320	378652	Hotaru/Female Heavy Blade
636320	389870	Julia Seido
636321	266627	Girl in Toilet
636322	376073	Marge
636323	343671	
636324	158818	
636325	350277	Acolytes
636326	404880	Jodie/Jessica
636326	405209	Marina Campbell (2001)
636327	319682	Special Ed Kid
636327	404940	Gossamer/Greta Brecht
636328	5934	
636328	69823	Young woman
636328	154695	Jessica Holland
636328	215862	Parachutist
636328	316070	Bit part
636329	16142	Sadie MacDougall
636329	31879	Honey
636329	49236	Peggy (girl in bar)
636329	70407	
636329	133513	Elizabeth Vokonska
636329	179958	Sandra Banks
636329	189417	Hospital Doctor
636329	230356	2nd Typist
636329	295710	Receptionist
636329	332421	Sybil
636330	191566	Rödhårig kvinna
636330	357612	Mikaela, Artist
636331	98990	Annabelle
636332	61418	Jackie
636333	239034	Pamela Natwick
636334	381821	Ensemble (1980)
636335	41418	Mavis the Wet Hooker
636335	79841	Featured Zombie (1st pulled o
636335	97829	Rita
636335	115106	Dancer #3 at repertory
636335	311500	Cafe Customer
636336	110916	Dancer
636337	110467	Eve
636337	119820	Student in the Play
636338	117957	Karen's Cellmate
636338	122075	Miss Tish
636338	207992	Priestess
636338	234126	Ruth's Mother
636338	251173	Dog hairdresser
636338	391248	Ms. Rhonda 'Ronnie' Brooks (1
636339	21119	The Midwife
636339	37467	Mrs. Rogers
636339	38360	Mrs. Phelps
636339	126697	Momma Bresnyachuk
636339	131539	Nanny
636339	318457	
636339	342018	Molly
636339	361229	Elderly Woman on Street
636339	383964	Mrs. Wheeler
636340	126697	
636341	176967	Margo Donnar
636342	22959	Mrs. Brentano
636342	62769	Miss Wilson
636342	65181	Della
636342	79362	Genevieve Fowler
636342	114163	Elsie Edwards
636342	145400	Ellen Ridgeway
636343	11232	W.R.A.C. Orderly
636343	35632	Secretary
636343	46237	Mrs. Sanduski
636343	95140	
636343	99584	Saleslady
636343	128441	
636343	134454	Hannah
636343	147126	Ada Figgins
636343	151086	Bates
636343	189957	WAF
636343	190103	Mrs. Phillips
636343	193268	Miss Catalain
636343	194690	Ice Cream Girl's friend
636343	195691	Marlene
636343	203142	
636343	208088	Elderly Woman
636343	209610	Elsie
636343	230356	Typist
636343	240459	Night Sister
636343	273586	Mrs. de Winter
636343	277222	
636343	292581	Miss Kerrigan, Dentist's Rece
636343	300815	Dorothy
636343	301959	Janni Peters
636343	308917	Fanny
636343	316961	Mrs. O'Boyle
636343	335579	Mrs. Jane Sweeney
636343	363423	Mrs. Norton
636343	367877	Sally, the Mad Boarder
636343	384783	Mrs. Patterson
636343	385977	Georgina Keller
636343	391680	Mrs. Farmer
636344	399293	Moderator
636345	398189	Rosanna Spearman
636346	331341	CIA Receptionist
636346	334762	Party Hostess
636347	231389	Valentine at Age 12 Months
636348	385299	Mrs. Jones
636349	142541	International News Reporter
636350	26608	Pearl Thorpe
636350	58521	Undetermined Role
636350	60220	Mrs. Margaret Stanlaw
636350	105073	Lorita
636350	109445	Rita
636350	190290	Miss Dellaroc
636350	194891	Bohemian Mary
636350	253147	Frau Mitilla Robinson
636350	297960	
636350	339842	Mary
636350	346072	Mrs. Alice Woolworth
636350	363933	Gypsy Nan
636351	12223	
636351	24790	Dottie Kirk
636351	45693	Amanda
636351	67863	Shirley Jones/Shirley Partrid
636351	76526	Maggie
636351	141965	Lisa
636351	148906	Diane Szalinski
636351	154854	Carolyn
636351	186846	Emily
636351	215508	
636351	230398	Robin
636351	248431	Rosemary
636351	321660	Darlena
636351	329343	Mariella
636351	331188	Genevieve 'Gen' Keenan
636351	363509	Theresa
636351	368363	Marge Tallworth
636351	379827	Suzie Long Foley
636351	386509	
636351	389923	Betsy Hamilton
636351	390331	Maureen Bowman
636351	402018	Jordan Miller
636351	411354	Marilyn Monroe
636352	20625	Extra
636353	235545	
636354	382596	Ma Ellis
636354	385299	Miss. Greer
636354	411366	Mrs. Felton (episode 3: Nerid
636355	385299	Mrs. Audley
636356	158865	Nurse
636357	81253	Sister Trilby
636357	91959	Amanda
636357	218599	Girl in Castle Anthrax
636358	282058	Rosita
636358	358655	
636359	289638	Paula Gordon
636360	248441	Paradise Alley Hooker
636361	194468	
636361	281415	Trot
636361	311230	Bit Girl
636362	114661	Edna
636363	18831	
636363	45615	Berthe
636363	126847	Weberin
636363	226324	Vera
636363	243548	
636363	290752	
636364	38006	
636364	43874	Mother
636364	43875	Lacey and Willy's Mother
636364	303264	Lena
636365	210817	
636366	77774	Maid
636366	105653	Mae Morton
636366	118272	President
636366	223952	Mrs. O'Reilly, the Landlady
636366	273821	
636366	398694	Mrs. O'Reilly
636367	33974	Penny Petrakis
636367	109210	Bit Part
636367	134107	
636367	202952	Barbara the Whiting's Grand D
636367	231311	Dancer
636367	237598	Ellie Mae (The Ransom of Red 
636367	329421	Girl with Gerald
636367	333851	College girl
636368	2071	Millie's pal
636368	7535	Ida Jackson
636368	50623	
636368	67148	Bit Role
636368	67163	Flora
636368	130149	
636368	183669	Lola
636368	193659	Madge Walker
636368	214075	Maid to the Gordons
636368	214452	Marie
636368	221228	Miss Austin
636368	303439	Mary
636368	310259	Bearded Lady
636368	347442	
636369	7972	Herself
636369	10415	Dora
636369	43464	
636369	79714	Edith Harnham
636369	99081	Mrs. Anne Treves
636369	124738	
636369	193595	Lucy
636369	215608	Miss Frances Lamont
636369	233862	Zeyla
636369	243647	Celia
636369	290912	Judy
636369	294511	Nurse Maggie Coates
636369	311940	Florence Crompton
636369	323026	Dr. Janet Napier
636369	327985	Maggie Dowd
636369	333759	Doris
636369	342348	
636369	353490	
636369	359080	
636369	359782	
636369	360094	Hyzenthlay
636369	363043	Margaret Ashdown
636369	382732	Francoise
636369	385780	Agnes Wickfield
636369	390364	Victoria Jones
636369	390887	Sarah Alwyn (1971)
636369	393667	Belinda Braithwaite
636369	398682	Mrs. Durrell
636369	398747	Suzy Bassett
636369	407779	Sylvia Telford
636369	407894	
636369	409666	Lady Virginia Hamilton Belamy
636369	410648	Presenter
636370	46237	Tali Fein
636370	108330	Tali Fein
636370	108331	Tali Fein
636371	133743	Cara Craig
636371	219739	April Fox
636372	106877	
636373	80517	Sue
636373	306001	Becky
636373	330579	Leah
636373	384664	Aunt Jess
636373	388977	Rhonda Lovejoy
636373	399130	Kerry O'Donnell
636373	402197	Susie Driscoll (1982)
636373	406891	Margery Fulton
636374	100221	Estella
636374	132454	Girl in Coffee Shop
636374	234204	Jade
636374	318370	Gwen
636374	330410	Sam
636374	364040	Killer Babe
636375	130124	Roadside Diner Waitress
636376	389700	Woman at Wedding
636377	137970	Brigalow Bush Band
636378	218150	
636379	401220	Host
636380	45875	ICU Nurse
636381	277471	Rhinestone Heckler
636382	56598	The Gelato People
636382	279860	Phillip & Kate's Child
636383	269342	Nomis, Sheba's sister
636384	6169	
636385	254943	Mrs. Ovadia
636385	276085	Mrs. Ovadia
636385	389412	Aimee
636386	386606	Bonzo (1986)
636387	264160	Lady Psyche, Professor of Hum
636388	236700	Mrs. Pirani
636389	144406	
636390	10210	Sandy Grimes
636390	38021	Lunch Lady
636390	73234	Waitress
636390	80702	Marlene Morris
636390	130327	Bella
636390	131539	Muth's Secretary
636390	153185	Mrs. Skinner
636390	157290	
636390	169950	Aunt
636390	171284	Answeing Service Lady
636390	176918	Poppy
636390	195270	Mrs. Kelly
636390	245710	Data Supervisor
636390	259214	Mrs. Thompson
636390	275735	Receptionist
636390	285177	Flo
636390	314104	Mrs. Sarah Seidenbaum
636390	314138	Florence Hoffman
636390	318811	Alice
636390	320815	Rose's Friend
636390	324397	Kara
636390	347446	Myra
636390	359205	Mrs. Hall
636390	362323	Tanned Woman
636390	385996	Mavis
636390	406982	
636391	144370	Fairy Godmother
636392	1053	Mrs. Allistair
636392	5649	
636392	7392	
636392	20884	Victoire
636392	21250	
636392	22879	
636392	26791	
636392	30376	
636392	31060	Magdalen
636392	31084	
636392	31221	
636392	31997	The Duchess
636392	32908	Madame Ena Delore
636392	35286	
636392	38040	Billy's Mother
636392	45883	Madame Joan Marche
636392	46766	Faith's Mother
636392	47520	
636392	49529	An Actress Who Has Lost Her S
636392	49919	Mrs. Whitney Barnes
636392	50031	
636392	50613	A Widow
636392	51634	The Mother
636392	54428	Mrs. Kate Pengard
636392	54493	
636392	54602	Aun Euphemia
636392	54905	
636392	55590	
636392	61557	Paula Harrison
636392	61727	Princess De Sfax
636392	62496	The Little Girl's Mother
636392	65121	
636392	65992	Mrs. Childe
636392	69742	Donnelly's Wife
636392	70894	
636392	71914	
636392	75875	Nell's Mother
636392	76591	The Mother
636392	78730	Fanchette
636392	78929	Mrs. Rutherford
636392	79102	Dippy Helen
636392	80027	Duchess Of Berac
636392	80522	Hugh's Mother
636392	83845	Mrs. Moore
636392	85746	A Star of the Theatre
636392	87105	Marquise de Zares
636392	88076	Duchess of Argyle
636392	94138	Aristocrat at Banquet
636392	94610	Dude Guest
636392	95117	Mrs. Corey
636392	96719	Mrs. Hayden
636392	100977	
636392	101084	Mrs. Stuart
636392	104350	Mrs. Forbes
636392	108021	Mrs. Swanson
636392	108931	Helen Clayton
636392	109893	
636392	113964	
636392	115608	
636392	116770	
636392	117203	Mrs. Walker
636392	117810	The Father's Sister
636392	118388	
636392	119374	
636392	120211	
636392	120222	
636392	120886	
636392	123332	
636392	128432	Mrs. Reeves
636392	128593	Laura Hobbs
636392	130625	Cissy Gray
636392	130899	Mrs. Summers
636392	133907	Mrs. Waring
636392	138175	Mrs. Walton
636392	140516	Mme. De Tierrache
636392	140825	
636392	141433	
636392	141505	Mrs. Robert Weston
636392	141629	Aunt Emilie
636392	142340	Josephine Hasdock
636392	142599	Mrs. Smith
636392	143024	
636392	143039	Their Aunt
636392	143243	The Farmer's Wife
636392	143369	Mrs. Hoadley
636392	144599	
636392	145021	Mrs. Brinton
636392	145996	The Mayor's Wife
636392	151272	
636392	151716	Mrs. Nevins
636392	152877	The Wife
636392	155547	Mrs. Jones
636392	155707	
636392	157858	
636392	158099	Lady Hilda Mullock
636392	162527	Mrs. Molnár
636392	162871	Mrs. Lovell
636392	163187	Mrs. Van Norman
636392	166276	
636392	168202	Mrs. De Voe
636392	170150	Mrs. Ruskin
636392	177334	Cordelia
636392	177405	
636392	178110	
636392	178764	
636392	183666	Lady Godiva
636392	183781	Lady Margaret, Roderick's Mot
636392	190403	Countess Vera Lobanoff
636392	190404	
636392	190487	
636392	190606	Mrs. de Rhonde
636392	194448	The Widow Gibson
636392	195929	
636392	196173	Marquise de Javigny
636392	196289	Mrs. Ramsey
636392	197697	
636392	199894	Gwennie Lyne
636392	209712	The Honest Attorney's Wife
636392	211340	Portia
636392	211750	
636392	211773	Marcia Elmore
636392	213307	Helena
636392	214074	Mrs. Belgradin
636392	215277	Princess Delatorre
636392	215518	Aunt John
636392	215805	
636392	218824	Mrs. Ashford
636392	221240	
636392	224063	Marie Antoinette
636392	224208	Mrs. Goodloe
636392	235499	Mrs. Ballard
636392	239778	
636392	244295	Desdemona
636392	245677	Mrs. Wagner
636392	246732	Elois Murree
636392	246733	Elois Murree
636392	251388	The Wife
636392	256250	Cecilia's Mother
636392	257851	
636392	263940	
636392	268895	
636392	273986	Lida de Jeanne
636392	277675	
636392	279320	Mrs. Henry Grayson
636392	279375	Helen Girard
636392	280070	Madeleine
636392	285064	The Mother of the Convict
636392	289122	The Engineer's Wife
636392	289395	Mrs. Grant
636392	289503	The Countess Thérèse de Ploug
636392	289583	The Aunt
636392	292867	Mme. Danton
636392	293738	
636392	296952	Helene
636392	296953	Helene, His accomplice
636392	297276	Mrs. Crest
636392	301978	Gentle Annie
636392	302946	Mrs. Raymond
636392	305466	Mrs. Van Buren
636392	306207	
636392	306617	Mrs. Van Ruhl
636392	306787	The Wife
636392	307416	Dolores
636392	308394	Ann Walden
636392	309494	Laura Wilson
636392	314401	
636392	314976	Mrs. Trevor
636392	318304	
636392	320268	Lady Armitage
636392	323766	
636392	331155	
636392	331170	The Scarlet Woman
636392	331674	Mrs. Witherspoon
636392	332529	Leila Brant
636392	332782	
636392	333060	Mrs. Whitney Carter
636392	334582	Mrs. Farrington
636392	335136	The Mother
636392	338832	
636392	340621	Cina Burton, The Stepmother
636392	342352	Olivia
636392	343218	Emily Leighton
636392	343219	Emily Leighton
636392	343225	Mrs. Thornwell
636392	345750	
636392	348311	
636392	351728	Marion
636392	353473	Florence Nightingale
636392	354337	Thorhild, Leif's Mother
636392	357587	
636392	359117	The Mother
636392	361172	The Soon-to-be Second Mrs. Ki
636392	362562	Mrs. Bascom
636392	362628	Mrs. Morton
636392	362939	Mary's Aunt
636392	363083	The White Angel
636392	364571	Mrs. Wallace
636392	365668	Mrs. Martha Kane
636392	366161	David's mother
636392	366171	
636392	367478	Mrs. Henson
636392	367839	Aunt Gertrude
636392	372125	Lillian Redell
636392	372812	Mrs. Striker
636393	41281	Karen
636393	80779	Receptionist #1
636393	155824	Young Corly
636393	259720	Evelyn
636394	143973	Esperanza
636394	152950	Sgt. Elaine Krantz
636394	163484	Ellie
636394	169519	Esperanza
636394	187193	Kroft's Aide
636394	209643	Anita Focker
636394	252898	Reporter #3
636394	318729	Tennis Player #2
636395	214755	Child
636396	195134	Bella
636397	59575	Valerie
636397	141746	Bambi
636397	186737	Mary Douglas
636397	300895	Crystal
636398	69899	Miriam
636398	81196	Girl kissing GI in doorway
636398	395091	Amelia Earhart
636399	20287	Dancer
636399	36856	Manicurist
636399	68055	First Chorus Girl
636399	77805	Chorus girl
636399	138744	Chorus Woman
636399	150797	Chorus Girl
636399	168125	Dancer
636399	171146	Chorus member
636399	222768	Guest
636399	313301	Chorine
636400	335807	Dancer
636401	142351	Secretary
636402	1434	Herself (Sonic Youth bassist/
636402	119520	Herself (Sonic Youth)
636402	178091	Herself
636402	185192	
636402	267843	
636402	308791	
636402	360601	Bernadine Dohrn
636403	6317	Adele Bleneau
636403	33744	Juliette La Monde
636403	73982	Thanya
636403	85869	Violetta D'Arcy
636403	88089	Madeline Spencer
636403	117714	Stefanie Paoli
636403	143198	Rita Castle
636403	143282	Nina Seabury
636403	160858	Jane Cameron
636403	203942	Betty Cardon
636403	211430	Nadine Trent
636403	267557	Marie Burguet
636403	289495	Cora
636403	315139	Felicia Gaveston
636403	333600	Princess Sylvia Carzoni
636403	348030	Margaret Ellis
636403	351982	Vera
636403	356634	Herself
636403	359770	Grace Culver
636404	378627	Susan
636405	289726	Casey Van Haddon
636406	177253	Tuptim
636407	187890	Herself
636408	98800	Tennis Match
636409	16922	Sue
636410	41971	
636411	82976	Waitress
636411	149705	Allison
636411	291223	Waitress
636412	313189	Eileen
636413	177808	Shiny She-Devil
636414	234803	Girl
636415	42055	Nun #2
636415	73234	Receptionist
636415	131431	Waitress
636415	325058	Miss Myles
636415	337121	Laurel Stover
636416	124303	
636417	184101	Janice, Age 18
636418	131716	Young Girl's Mother
636418	387530	Danielle Baril
636419	230853	Eve
636419	314678	Lulu
636419	359973	Laura
636420	118291	Isabelle
636420	253059	Sarah
636420	261763	Celia
636420	294717	Caroline Mitchell
636421	361159	Bar Patron
636422	139664	Herself
636423	150299	Miasmo
636423	195874	Marge
636423	404745	Anna Ciccone
636424	46981	Sommers Girl #1
636425	257875	
636426	185322	Sarah
636427	15926	
636427	116251	
636427	120690	Molly Malloy
636427	316352	Mrs. Dorothy Flood
636428	244825	Mrs. Hayseed
636429	16642	Neighbor
636430	56598	The Gelato People
636431	37062	Reporter #3
636431	127148	Didi
636431	282920	
636432	159164	Arab
636433	33197	Laurie
636433	113732	Wanda
636433	123303	Miss LaRosa
636433	127410	Alicia Wilson
636433	151672	Chickie
636433	175581	Dallas
636433	175583	Dallas
636433	187229	
636433	191755	Mrs. Whitney
636433	281937	Rosemary's girlfriend
636433	318605	2nd Girl
636433	343884	Sylvia Barr
636433	391281	Herself (1972-1992)
636433	403565	Herself/Correspondent
636434	11558	Matron
636434	77973	Ruth Hopkins
636434	130848	Passenger
636434	371211	Kate
636435	409695	Aisha Pinnock
636436	1871	Nurse
636436	3018	Scrubwoman
636436	7108	Mrs. Hudson
636436	7961	Rose, the Charles' Cook
636436	12238	Cook
636436	12763	Mrs. MacPherson, Moviegoer
636436	16916	Mrs. Patrick McGee
636436	16920	Mrs. Mamie Mahoney
636436	17764	First Midwife
636436	18593	
636436	19159	Martha
636436	32232	Landlady
636436	33739	Mrs. O'Leary
636436	37414	Job Seeker
636436	37465	Cleaning Woman
636436	39329	Mrs. MacMaster
636436	39798	Mrs. Murphy
636436	40017	Sandy's Wife
636436	40952	Maggie, the Charwoman
636436	41047	Landlady
636436	42013	Landlady
636436	42811	Mrs. Mary McBride
636436	43320	Abigail MacPherson
636436	43742	Mrs. Bickerdike
636436	44548	Mrs. Riley
636436	44683	Mrs. Lane
636436	46748	Hans' wife
636436	46902	Cook
636436	47370	Annie, Old Woman in Store
636436	47372	Cleaning woman
636436	47892	Mrs. Sweeney, Flo's Landlady
636436	52427	Tenement lady
636436	53194	Mrs. Twill
636436	54471	Mrs. Westrom
636436	54479	Mrs. Bailey
636436	59100	
636436	64923	Mrs. Devlin
636436	65129	Molly Clancy
636436	65415	Bit
636436	66643	Mrs. Flaherty
636436	72255	Chambermaid
636436	77476	Cook
636436	77674	
636436	77717	Cleaning lady
636436	78849	Mrs. Mahoney
636436	79949	Scrubwoman
636436	82064	Scrub woman
636436	82350	Dancer
636436	83046	Mrs. Lance
636436	83783	Theatre Chambermaid
636436	85034	Inquest Onlooker
636436	88149	Ellen
636436	88254	Mrs. Clancy
636436	88916	Scrubwoman
636436	91589	Mrs. Murray
636436	91917	Mrs. Keough
636436	92425	Broadway Carrie
636436	93572	Mrs. Hudson
636436	95832	Neighbor
636436	96614	Old Lady
636436	105077	Mrs. Murphy
636436	106011	Neighbor
636436	106107	Miss Keets
636436	112745	Charwoman
636436	115483	Martha, Todhunter's Housekeep
636436	115622	
636436	116120	Ma Prescott
636436	116533	Mrs. McGinnis
636436	117647	Woman in Shelter
636436	117754	Mrs. O'Leary
636436	117906	Ma (barmaid)
636436	118320	Landlady
636436	118916	Mourner
636436	124482	Scottish Mother
636436	125857	Irish woman
636436	127691	Hugo's Wife
636436	127791	Mrs. Monohan
636436	133644	Mrs. Ogilvie
636436	133737	Mrs. O'Malley
636436	137505	Mrs. McIntyre
636436	138375	The Woman at Hogan's Hideout
636436	139937	Jennie
636436	140156	Aunt Libby
636436	142452	Member of Choir
636436	143202	Mrs. Jenks
636436	143406	Mrs. Clancey
636436	143589	Mrs. Kelly
636436	145075	Myrt Lacy
636436	145995	
636436	147663	Herself - Dishwasher
636436	148298	Mrs. Hennessy
636436	149261	Trina
636436	150745	Mrs. Hudson
636436	150765	Annie
636436	150824	Townswoman
636436	151339	Gossiper
636436	154650	Mrs. Hannigan
636436	154925	
636436	157118	Irish Neighbor
636436	157669	Mrs. Cassidy
636436	161914	Cookie, the Cook
636436	161943	Mrs. Bledsoe
636436	161945	Mrs. Bates
636436	162267	Irish Woman
636436	162278	Ma O'Hara
636436	162527	Neighbor
636436	163264	Mrs. Collins
636436	163359	Cleaning Lady (II)
636436	163469	
636436	168220	Mrs. O'Leary
636436	168981	Landlady
636436	169906	Annie, the Scrub Woman
636436	175119	Mrs. Banning
636436	175210	Mary, Irene's friend
636436	176447	Mrs. MacDonald
636436	178030	
636436	178332	Nancy
636436	178342	First Charwoman
636436	183358	Old Lady
636436	183405	Prison Extra
636436	183435	Prisoner in Visiting Room
636436	183584	Cook
636436	183609	Apple Lady
636436	185060	Ma Hadley
636436	185585	Mrs. Kelly
636436	186029	Mrs. O'Keefe
636436	188292	Mrs. McIntyre
636436	190606	Bit
636436	191833	Ma Miller
636436	191962	Lady on way to Church
636436	192026	Nanny Webster
636436	192056	
636436	193991	Old Lady
636436	199402	Nursemaid
636436	203018	Timmy's mother
636436	203140	
636436	203585	Mrs. Dunn
636436	204552	Mrs. O'Rourke
636436	204744	Cook
636436	206415	Mrs. Nevins
636436	206531	Mrs. Dudley (landlady)
636436	206877	Nurse to Prince James
636436	207844	
636436	209631	Washer Woman
636436	209633	Mrs. Grimes
636436	209679	Mrs. Stewart
636436	210770	Pacifist Audience Member
636436	212102	Mrs. Tolentino
636436	213465	Old Woman
636436	214093	Mrs. McGinnis
636436	219786	Washerwoman
636436	221130	Woman
636436	222334	Jane Banning
636436	222592	
636436	223019	Hotel Proprietress
636436	223399	Peddler
636436	224325	Mrs. Montabelli
636436	224332	Mrs. Mulvaney
636436	224425	
636436	227351	Mrs. Sullivan
636436	228272	Mrs. Owen
636436	228488	Mrs. Clancy
636436	228641	Mrs. Rooney
636436	232040	Pencil Woman
636436	234090	Gertrude
636436	234220	Mary
636436	238616	Mrs. Finnegan
636436	239028	
636436	239557	Mary MacGregr
636436	239630	First taxi passenger
636436	241506	Bridget
636436	241553	Cook
636436	241637	
636436	244778	Mrs. Mannix, Tenement Woman
636436	244797	Woman in cottage
636436	244798	Scrubwoman
636436	246181	
636436	246254	Mrs. MacTavish
636436	248896	Martha
636436	251492	Mrs. Hudson
636436	252484	Mrs. Tifft
636436	255146	Undertaker's Wife
636436	255828	Mrs. MacGregor
636436	258198	Woman with Bag
636436	258209	Woman at Barricades
636436	261603	Ma McCorkle
636436	261973	Mrs. Douglas
636436	261997	Nurse
636436	263593	Lady at bus stop
636436	263601	Maid
636436	266689	Landlady
636436	269364	Landlady of Webster Apartment
636436	270500	Ma Duffy
636436	270508	Mary, Benson's Housekeeper
636436	270651	Landlady
636436	278641	Mrs. McGonigle
636436	279563	Bit
636436	283179	Mrs. Ogilvie
636436	288023	Mrs. O'Riley
636436	288306	Mattie
636436	288698	Reducing customer
636436	289403	
636436	291858	Mrs. Ann Morton, Fred's Mothe
636436	292470	Mother Machree
636436	292855	Libby the Housekeeper
636436	293103	Mrs. Fillmore
636436	294357	Agnes
636436	295300	Bit
636436	296965	Mrs. Conover
636436	297269	Grandma Rogan
636436	297606	
636436	297909	Cleaning lady
636436	297967	Ma Duffy
636436	298580	Mrs. Hudson
636436	298582	Mrs. Hudson
636436	298584	Mrs. Hudson
636436	298587	Mrs. Hudson
636436	298594	Mrs. Hudson
636436	302623	Mom Henderson
636436	302695	Mrs. O'Rourke
636436	303232	Mrs. Gordon
636436	304279	Mary, the Maid
636436	305456	Maggie
636436	312810	Mrs. Cassidy
636436	312981	Mrs. Ford, Purcell's Housekee
636436	316046	Mrs. Scott
636436	316062	Mrs. O'Connor
636436	316132	Nora, the housekeeper
636436	317957	Mrs. Delaney
636436	319147	Bit part (back to camera)
636436	321099	Mrs. Patrick O'Leary
636436	321290	Charwoman
636436	323154	Mrs. Lee
636436	326466	Mrs. Sullivan
636436	327256	Mrs. Bryant
636436	327693	
636436	328766	Aunt Maggie
636436	329083	Katie
636436	334403	Miss Callahan, Charwoman
636436	339407	Matron
636436	343161	Mrs. Tinkle
636436	346880	Mrs. Mason, Kerrigan's Housek
636436	346891	Bit
636436	346908	Miss Brady
636436	349554	Maggie, the Cook
636436	349633	Myrtle, Cleaning Lady
636436	350408	Mrs. Leathwaite
636436	356252	Woman on Phone in Montage
636436	360045	Mrs. O'Flaherty
636436	360235	Cook
636436	361663	Nora Jones
636436	363079	Ma Dalton
636436	363169	Chubby's Mother
636436	363635	Mrs. Curtis
636436	363683	Ma Murphy
636436	363758	Nursing Applicant
636436	364434	Landlady
636436	364453	Newfoundland woman
636436	365264	Washerwoman
636436	366196	Irene's housekeeper
636436	367502	Mrs. Hudson
636436	367905	Juror
636436	368383	Lady at Party
636436	368424	English Soldier's Mother
636436	371104	
636436	372133	
636436	372309	Woman
636436	372353	Mary's mother
636436	372676	Old Woman
636437	385192	Herself
636438	155832	Mother
636438	171311	Bus Tourist
636438	215178	Aunt Mabel
636439	7961	Cousin Helen
636439	10569	Dowager
636439	10587	Aunt Helena
636439	25448	Aunt Prudence Thorne
636439	26729	Mrs. Redding
636439	26775	Mrs. Saxel Sr
636439	35693	Mrs. Florence Weathersby
636439	39884	Mrs. Curtis
636439	44454	Aunt Fairfax
636439	47133	Mrs. Potter
636439	47366	Mrs. Peter Thompson
636439	54973	Mrs. Cartwright
636439	60203	Mrs. Palmer
636439	61753	Dowager
636439	65036	Mrs. Lanham
636439	77948	Kathleen Severn
636439	79958	Willie's Friend in Restaurant
636439	83809	Mrs. Reynolds
636439	88190	Lady Mereston
636439	96692	Jean's Aunt
636439	100085	Concierge
636439	100695	Mrs. Leigh
636439	114588	
636439	115625	Dowager at show
636439	115864	Mrs. Caraway
636439	125896	Society Woman
636439	129168	Aunt Fairchild
636439	130336	Mrs. Vandergrift
636439	143008	Mrs. Tyler
636439	144954	Mrs. Hennessey
636439	148292	Mrs. Fenton
636439	148397	Mrs. William Thompson
636439	148565	Mrs. Brannigan
636439	148976	Mrs. Lane
636439	150248	Mrs. Van Vleck
636439	150698	May Gilford
636439	155708	Inez
636439	156494	Queen of Dalmatia
636439	162551	
636439	171132	Mrs. Blackburn
636439	171195	Mrs. Witter
636439	176345	Aunt
636439	180867	Rebecca Friedlander
636439	183442	Therese Blanton
636439	185443	Mrs. Webley
636439	186393	Mrs. Davis
636439	189528	Lady Beachworth
636439	191822	
636439	192747	Mrs. Parker
636439	203671	Mrs. Jones
636439	205724	Dowager
636439	206387	Aunt Julia Langley
636439	207582	Madame Durand
636439	215432	Mrs. Winslow
636439	215532	Mrs. Altwold
636439	221251	Lady Eastney
636439	228610	Comtesse
636439	231797	Banker's Wife Next to Duke
636439	231990	Dowager
636439	237635	Mrs. Prim
636439	243232	Mrs. Hapgood
636439	244778	Mrs. Daniel Jardine, Tony's M
636439	247138	Aunt Beatrice
636439	253472	Mrs. Abercrombie
636439	263504	Lady Dawnay
636439	286115	Mrs. Ten Brock
636439	294952	Mrs. Marshall
636439	296784	Dowager in Taxi
636439	297962	Mrs. Arbuthnot
636439	299801	Mrs. Thorne
636439	302887	Elderly Dowager
636439	311751	Mrs. Stanfield
636439	315162	
636439	321384	Dowager
636439	341956	Rosalie's Aunt
636439	366205	Mrs. MacEwen
636439	367092	Mrs. Van Lear
636439	367839	Lady Mowbray
636440	183805	
636440	206803	Old Josephine and Envy
636441	238645	Janie Edmonds, the raped girl
636441	314739	Verity
636441	380185	Jane Redway
636441	385299	Becky Foster
636441	395647	Jeanne Marie (teenager)
636441	397668	Anne Marie
636441	402138	
636441	408628	Emily
636442	202367	Party Guest
636443	83680	
636443	115195	Officer
636443	127094	Woman in Taxi
636444	142690	
636445	131982	Boxer In white
636446	362916	Coleridge Twin
636447	154040	Callie
636448	107054	Rich Woman
636449	271853	
636449	363217	Mrs. Ericson
636450	100156	Girl
636450	130622	Gold Digger
636450	193638	Ruth Winters
636451	179072	
636452	97352	Miss Delongis
636452	297246	Margaret Chapman
636452	334260	Mrs. Lewiston
636453	2016	Mrs. Wilson
636453	73896	
636453	191463	Panache
636453	385299	Meg Richardson/Mortimer (1964
636453	398280	Eve Edwards
636453	406902	
636454	55714	Elderly Woman
636454	64390	
636454	69845	Housekeeper
636454	78316	Mrs. Maloney
636454	79822	
636454	81121	Miss Arris
636454	107229	
636454	107869	Waitress
636454	118398	Mrs. Bennett
636454	120680	
636454	134037	Mrs. Green
636454	144845	Mrs. Barlow
636454	149739	Woman in Hall
636454	169381	Mrs. Deacon
636454	176316	Customer
636454	206090	Guard
636454	222574	Nanna
636454	223764	Mrs. Stevens
636454	227473	Mrs. Griggs, School Matron
636454	232306	Kate
636454	239746	
636454	259239	Mrs. Lewis
636454	294327	
636454	302591	
636454	335826	
636454	342462	
636454	342469	Emma
636454	367494	Mrs. Williams
636454	367510	
636454	367675	
636455	90360	Sybyl Geary
636456	113732	Amy Hughes
636457	44561	Connie
636458	10885	Dr. Adrian Tivoli
636458	17953	Waitress
636458	41398	Mummy
636458	41414	Mummy
636458	41933	
636458	63342	Buck's Mom
636458	72691	Winifred
636458	80875	Baker
636458	84205	Mrs.
636458	89334	Betsy
636458	89391	Pamela
636458	105312	Nurse A
636458	118763	Mental Patient
636458	120026	Grandmother
636458	185073	Mrs. O'Brien
636458	213450	Barbara
636458	223909	Scientist
636458	231817	Burly Woman
636458	259828	Kane's People
636458	273800	Hollywood Policewoman
636458	279330	Clerk
636458	313334	Customer
636458	313756	Margot
636458	314156	Loretta
636458	326555	Camille
636458	334356	Fushsia Woman
636458	361068	Wyatt's Mother
636458	368987	Colleen's Mom
636459	56937	Jasmine
636460	265764	Pearl
636461	121864	Woman on Bench
636462	126691	Mrs. Shackler
636463	113355	Heather
636464	371087	Paula
636465	223913	Dancer
636465	363292	Bit part
636466	18019	Mrs. Isabella Bellam, MacFay'
636466	22883	Virginia Carlton
636466	26276	Olga
636466	26615	Jail Matron
636466	39538	
636466	52126	
636466	53079	Phyllils (Gen. Custer's niece
636466	72273	
636466	79342	
636466	99156	
636466	105416	
636466	115077	
636466	128097	
636466	128120	
636466	129980	
636466	132842	
636466	137472	
636466	140942	Margaret Marshall
636466	158136	
636466	158404	Edith
636466	158490	Phyllis, Clifford's Wife
636466	162412	Starlight
636466	184092	Eloise
636466	211818	Isabel
636466	262339	
636466	263464	The Artist
636466	271058	Phyllis (the Burton daughter)
636466	279086	
636466	289043	Junie Green
636466	349641	
636466	354732	
636466	359285	
636466	360006	
636466	361548	Watuma, daughter of Kee-On-Ee
636466	362819	Helen
636466	363009	
636466	364027	
636467	154475	
636467	236381	Severed Head
636467	350243	Jamie
636468	230412	Angela
636468	332138	Molly
636468	382291	Det. Sr. Const. Amy Fox (2004
636469	214755	Child
636470	133743	Mara Craig
636470	219739	Clover Fox
636471	2525	Herself - Best Supporting Act
636471	4730	Mary Todd Lincoln
636471	5934	Mrs. Jarvis
636471	18570	Senovia 'Ma' Boggs
636471	36864	Old Woman
636471	40850	Madame Arcati
636471	42278	Becky Rosen
636471	67617	Abigail Mitchell
636471	82541	Mugsy
636471	90320	Bernice
636471	92455	Hedwig Ehrlich
636471	97493	Anna Stensgard
636471	105188	Ma Boggs
636471	133655	Cecilia Weiss
636471	139283	
636471	139543	Maude
636471	159578	Herself
636471	159581	Herself/panelist
636471	160336	The Dealer (Daisy's Mother)
636471	162980	Marge Savage
636471	167708	Bernice
636471	176379	Actress in Clip from Harold a
636471	194204	Minnie Castevet
636471	194468	Stella Bernard
636471	208470	Mrs. Lavin
636471	223740	Gramma Peache
636471	232017	Herself
636471	252887	Sophie Rosenman
636471	264037	Mrs. Miller
636471	281937	Minnie Castevet
636471	289691	Arvilla Droll
636471	295636	
636471	327785	
636471	340563	Mrs. Arkwright
636471	343249	Miss Ruth Ellis, Larry's Secr
636471	357071	Sheriff
636471	362585	Alice Dimmock
636471	363497	Mrs. Hocheiser
636471	363619	Extra
636472	20625	Extra
636473	375692	Tiffany
636474	208720	
636475	40831	
636475	49673	Maggie
636475	90306	Arabella New
636475	115618	
636475	128568	Miss Grygges
636475	153283	
636475	176406	Extra in heaven scene
636475	211634	Mrs. Gaswiler
636475	239671	Nancy
636475	350504	Miss Firkins
636476	120645	Girl on Bridge
636477	182412	Jessica
636478	5885	Gwen
636478	77837	Sophie
636478	85893	Lady Sarah Myers-Booth
636478	117116	Molly
636478	150974	Gwen Stepney
636478	201621	Herself
636478	207402	Lady Eva Blackwell
636478	269419	Prunella Rumsey
636478	277947	Janey Henderson
636478	298291	Amabel
636478	335155	Melody Long
636478	341670	Phyllida
636478	379398	Annie Rose
636478	380610	Caroline
636478	384100	Louise Knight (episode "Toby"
636478	392138	Caroline Finch
636478	394526	Tricia Mabbott
636478	400466	Elizabeth
636478	407440	Lucie Manette
636478	408234	
636479	308183	Portrait Girl
636480	321420	Shop Assistant
636481	285922	Kanna Kirishima
636481	330323	Additional Voices
636481	343020	Process Server
636482	20528	Pit Deadite #1
636483	311038	Train Passenger
636484	310584	Emma
636485	23467	Agnes
636485	45394	Katrina Van Keif/Kathy
636485	114678	Dorothy Nichols, ages 6 to 8
636485	203190	Angel Jones
636485	214969	Susan
636485	255323	Susan Shelley
636485	336117	Sandy Hubbard
636486	230934	Bar Patron
636487	56598	The Gelato People
636487	279860	Phillip & Kate's Child
636488	16878	Dancer
636489	267393	Rio
636490	213577	Presumed Chorister
636491	204730	Young Susan
636492	142524	Girl who walks through wall
636492	314097	
636493	130666	Amazon Warrior
636494	354968	FineHannah
636495	270878	
636497	235639	Valerie
636498	4912	Mrs. Cohen
636498	7407	
636498	37364	Mrs. Levkowitz
636498	66825	Mrs. Cohen
636498	66828	Mrs. Cohen
636498	66829	Mrs. Cohen
636498	66830	Mrs. Cohen
636498	66831	Mrs. Cohen
636498	112241	Tourist's Wife
636498	118390	Benny's Mother
636498	131587	Becky Binswanger
636498	133933	Mrs. Lantini
636498	140408	Tenement Neighbor
636498	152655	Mama Kantor
636498	157747	Rosie Potash
636498	180423	Mrs. Feinbaum
636498	192717	Sister Lapidus
636498	199272	
636498	212746	Mrs. Levinsky
636498	214164	Esther Rubens
636498	235171	Rachel Guth
636498	261615	Rosie Potash
636498	264713	Sara Goldberg
636498	312774	Herself
636498	321171	Rose Finklebam
636498	363031	Mrs. Rosinsky
636498	372050	Mrs. Levine
636498	372825	Mrs. Esther Meyers
636499	223361	Lois
636499	241113	Lady Lauri
636499	335472	
636500	400527	Mrs. Martha Conklin (1952-195
636501	373881	Street girl
636502	5306	Anchorwoman
636502	79478	Announcer
636502	154301	TV Newscaster
636502	157316	TV Reporter
636502	162449	Reporter
636502	189912	Reporter
636502	214815	Diner
636502	217476	Anchorwoman
636502	276184	Newscaster
636502	336449	TV News Anchorwoman
636503	342084	
636504	48666	Daisy
636504	378012	
636504	378342	Hermine, Anckerschmidt másik 
636505	302952	
636506	48670	Jutka
636506	114763	Lakó
636506	122538	Olga
636506	138393	Szeréna
636506	165125	Mrs. Frankfurter
636506	182659	
636506	198243	
636506	212992	
636506	216540	
636506	224968	
636506	265132	Sue
636506	343776	Sári
636506	377123	
636506	377753	Alice
636506	377760	
636506	402164	
636507	138444	Hostess
636507	243737	Voice Actor - multiple roles
636508	24542	Batorska
636508	31908	Rybczynska
636508	170383	Rutowiczowa
636508	231361	
636508	231723	Elzbieta's Mother
636508	262197	Gilowa
636508	284052	Izabella
636508	375649	Worker
636508	376523	
636509	38872	Extra
636510	133952	Maggie
636510	316410	Staff Nurse
636510	384483	Woman Neighbor
636510	387247	Etta Tavernier (1990-1993)
636511	64953	
636511	65639	
636511	156835	
636512	40819	Nelle
636512	40820	Nelle
636513	38957	Herself
636513	68232	Blond hooker/bag lady in fast
636513	110308	Kim
636513	150268	
636513	164641	Hospital patient
636513	176713	Miss Zelda
636513	194635	Big-Haired Girl
636513	206447	Chicken Lickin' Feminist
636513	216672	Prostitute
636514	39478	
636514	76217	Denise
636514	126714	Video Lady #2
636514	191945	Foxy Lady
636514	224134	Willette
636514	291092	The Girl
636514	337164	Angry Parent
636515	250961	Monica
636515	254153	Fille de la Voisine
636516	13966	Gun Factory Clerk
636517	381065	Baby Bob (2001)
636518	317736	Weston's Daughter
636519	185529	Herself
636520	6299	Clara
636520	8284	Anna
636520	9753	Woman at Table
636520	18952	
636520	54144	
636520	57959	
636520	89834	Linda
636520	90657	
636520	106818	
636520	112653	Palaska
636520	120321	
636520	129037	
636520	157127	Lucia
636520	158626	Carletta
636520	189261	
636520	197334	The venitian maid
636520	215345	Brigida
636520	227564	Rosetta
636520	227576	Assunta
636520	248192	
636520	249400	Lucy D'Orsay
636520	259949	
636520	263193	Sofia, la cameriera
636520	263947	Amica del Capo Banda
636520	265810	La cameriera della contessa
636520	270839	
636520	272770	Mariannina
636520	290000	
636520	294714	
636520	313902	
636520	336612	Lulù
636520	338677	
636520	345593	Silvia
636520	351074	La dottoressa
636520	351854	
636520	353857	
636520	355787	
636521	82176	Herself
636521	128828	Herself
636521	131575	
636521	147829	Herself
636521	152436	Herself
636521	187391	Herself
636521	280026	Herself
636521	299018	Herself
636521	303900	Herself
636521	322615	Herself
636522	6615	Mrs. Schrapp
636522	18586	French Mother
636522	41929	Nellie Crouch (episode 2)
636522	50434	
636522	56789	Boarder
636522	57172	
636522	67402	Salla Morgan
636522	70348	
636522	78069	Aunt Constance
636522	113284	The Marvelous Sylvesters
636522	130411	
636522	137506	
636522	139087	Wife In Shack
636522	140948	Twin
636522	146010	Her maiden aunt
636522	147442	Customer
636522	153283	
636522	163817	
636522	175143	Dippy Mary
636522	177465	Owner of the house
636522	183047	Mrs. Brady
636522	186162	Old woman
636522	191307	
636522	196523	Miss Eichorn
636522	199746	Mrs. Elyard
636522	200069	
636522	203013	Sarah Lackey
636522	214088	Marilda Porter
636522	216163	Amelia Murgatroyd
636522	236502	A widow
636522	241095	Mrs. Chichester Jones
636522	256296	Mrs. Shamfeller
636522	257535	
636522	262318	Aunt Hattie
636522	282589	Mother Meg
636522	289200	
636522	292222	
636522	295289	Aunt Selina
636522	300330	Mrs. Crutch
636522	315955	Landlady
636522	329589	
636522	331678	Mrs. Brown
636522	337113	Effie Strong
636522	339565	
636522	349633	
636522	350504	Jemima Pinkerton
636523	105167	Phony Psychic
636523	110295	Alice Walker
636523	142618	Date
636523	205833	Rosemary
636523	230512	Natalia
636523	297695	Kate Pullman
636523	302933	Alice Walker
636523	327906	Alice Walker
636524	4664	
636524	5390	
636524	65459	Marcia Irving
636524	74215	Joy Kuhl
636524	78865	Vera
636524	80438	Frieda
636524	95482	
636524	134333	Barbara Helmsley
636524	154087	Miss. Claws
636524	154094	Jenny
636524	194564	Murphy Family
636524	197185	Cee
636524	214727	Maude Richards
636524	220652	Miss Stanislaus
636524	222290	Phyllis
636524	232045	
636524	235012	Maureen
636524	251173	Anja
636524	253976	Suburban Housewife
636524	275442	Adele
636524	316639	Bonnie Rogers
636524	329448	Marisa Russo
636524	346216	Nina
636524	381608	
636524	382743	Mother Ambrose
636524	383882	Connie Taylor
636524	390917	Aunt Hecla
636524	399311	Irene Carter
636524	402197	Kay White (1980)
636524	409197	
636525	2780	Herself
636525	98819	Herself
636525	107353	Herself
636525	122981	Herself
636525	142654	
636525	147937	Herself (at dedication of Hol
636525	161387	
636525	185529	Herself
636525	185530	Herself
636525	257053	Herself
636525	311181	Herself
636525	359319	Herself
636525	369480	Herself
636525	378691	Herself
636526	111746	British
636526	305371	Mrs. O'Donoghue
636527	6311	
636527	64139	
636527	76179	
636527	389221	
636528	378095	
636529	304255	Belya, the tailor's wife
636530	244100	Anna, nurse-prisoner
636530	266327	Manager
636531	244100	Eugenia, doctor-prisoner
636532	182948	Women's Army of Revolt/Citize
636533	288660	
636534	46251	Olga
636534	348229	Neighborhood Watch Member
636535	363491	
636536	149955	Helen
636537	47077	New Pope Cheerleader
636537	65711	Melissa Shepperd
636537	161179	Faygen Taylor
636538	28250	
636538	225813	
636539	236062	
636540	215690	Miss Wyoming USA
636541	117967	Fortuna
636542	101299	Peshie
636543	168235	
636544	62791	V.E. Day Woman
636544	314923	Macalinski's Girls
636545	24531	Mother
636545	173716	Avinoam's Mother
636545	243984	
636546	101299	Nechuma
636547	31472	
636547	152570	Kurdish Grandma
636547	184012	Diagnostician
636547	227920	
636547	381388	
636548	412063	
636549	79611	Teacher
636550	134595	Dialect coach
636550	395091	Janice
636550	399948	Mrs. Clayborn (1996)
636551	58763	Melitta
636551	314520	Marjetka
636551	384580	July - Julka
636552	115833	
636553	129737	Bride
636553	344886	Bar's Doorwoman
636554	7236	Secretary
636555	270960	Neeta (Reshma)
636555	358256	Herself
636556	238363	Old woman
636557	283424	Tracy Donaldson
636557	294141	Tracy
636558	101036	French Beauty
636558	145922	Mamie O'Brien
636558	235459	Mrs. O'Toole
636558	246771	Marie
636558	260200	Mrs. Jones
636559	26694	
636559	219457	
636559	279244	Lucia Zanin
636559	316801	Moglie di Dario
636559	381622	
636559	386748	
636559	386749	
636559	397297	
636560	397522	Janete
636561	48287	Margaret Pendletoon
636562	316094	Tanya
636562	319349	Bitch from the Lube Shop
636563	81620	Herself
636563	324057	Group cast appearance
636564	178515	
636565	97043	
636565	108255	Waitress
636565	396696	Juggy Dancer
636566	78902	Maria (Knox Maid)
636567	303521	Arnie's Sister
636568	71160	Bailarinas (Dancers)
636569	82421	
636569	211701	
636569	291622	Nadia
636569	344615	
636570	48180	
636570	89748	
636570	101594	Doña Leona
636570	132102	
636570	219422	
636570	295011	
636571	89748	
636571	109358	Themselves
636571	144850	Themselves
636572	272018	
636573	25417	Nurse Sara
636573	41829	Violetta, Auggie's Girlfriend
636573	55122	Pachanga's Date
636573	57928	Roxanne
636573	70468	Monica Lopez
636573	75395	Elena
636573	252823	Vilma/Raquel
636573	305660	Violetta
636573	366673	Lourdes
636574	83967	Sharon Olson
636574	123562	
636574	356997	Valerie
636575	307070	Hermia
636576	9698	Nonna Caterina
636576	52054	
636576	58955	Maria
636576	82821	
636576	86453	
636576	90163	Grandma
636576	108873	
636576	111336	signora Gina
636576	158772	Una cliente della 'Citanguett
636576	196834	Contessa
636576	214002	madre Guido
636576	229995	La signora Mondor
636576	235760	Old Peasant Woman
636576	268847	Clelia
636576	300636	Vecchietta (Rosa)
636576	301181	
636576	301342	
636576	327486	
636576	334429	Contessa
636576	346173	Nona Cardinale
636576	386398	
636576	386690	Nonna Elide
636576	386691	Nonna Elide
636576	386693	Nonna Elide
636577	129200	Herself
636578	16788	Nurse
636578	38630	La cameriera della casa Giova
636578	54353	
636578	54354	Chiarina
636578	68653	La signora Borghi
636578	132027	Berta
636578	233082	
636578	234824	
636578	235754	
636578	252765	Amalia, l'infermiera
636578	280803	Shoe seller
636578	286977	A Witness [Script Name: Rina]
636578	289649	Concetta, la cuoca
636578	305368	Weaver's Wife
636578	336605	
636578	353066	La comare grassottella
636579	127489	Frances 'Gidget' Lawrence
636579	379065	
636579	381148	Sarge
636579	391955	Rosemary
636579	392745	Laurie
636579	399275	Additional Voices
636579	400913	Laurie Partridge (1974-1975)
636579	409797	Katie Butler
636580	344608	
636581	81518	Agnesa
636582	68441	Giorgia
636582	89579	
636582	94701	Louisa
636582	99493	Liselotte Richter
636582	102430	Tina
636582	135290	
636582	159739	
636582	313135	
636582	356002	
636582	375226	Sylvia
636583	124201	Renata
636583	243303	Un' allieva
636583	354910	Una compagna di danza di Oliv
636584	100267	
636584	171613	
636585	5073	Maria
636586	383491	
636587	136752	
636588	34148	
636588	129339	
636589	94175	
636589	180792	Katerina, a peasant
636589	351347	
636589	373731	Mother Sadovsky
636590	56929	Giada
636590	338681	Daniela
636591	133949	Themselves
636592	126492	Gilda the Housekeeper
636592	226901	Hot dog vendor
636592	299870	Friend 1
636592	303236	Elderly Woman
636593	28780	Mara
636594	321952	Dina
636595	309540	
636596	344652	Wireless Operatrix
636597	146862	Mrs. Langner
636597	152722	Madame Gondelaurier
636597	285879	Wedding Registrar
636597	371131	Esther Rachel
636598	157278	
636598	279240	
636599	55268	Rosie
636599	83037	Eka
636599	132887	Grand-mère Simon
636599	156890	Mme Douce
636599	240286	
636599	312721	Ljuba Blumenthal
636599	357107	Vera
636600	16781	Diva
636600	17744	
636600	23377	
636600	27885	
636600	92333	
636600	96328	
636600	101046	
636600	101873	
636600	104835	Eva Duarte Perón
636600	118166	
636600	132469	
636600	249880	
636600	328888	
636600	384423	Diana Leguer
636600	386127	Mabel Lebrero
636600	387818	Cathy
636600	402158	Lucrecia
636600	403023	Beatriz
636600	403784	
636600	405102	Zelmira
636600	405412	Irene
636600	409915	
636600	412039	
636601	399658	Martha
636602	321515	Featured Dancer
636603	336217	Driver's Wife
636603	396286	Beata (2004)
636603	408826	Rita Szelizanka
636604	333794	Graparica
636605	165719	Gospa z deznikom
636605	320640	Rajhovca
636606	14502	
636606	26689	
636607	257030	Sanya
636608	344011	
636609	35867	
636609	373744	
636610	204890	Daniella
636611	13532	
636611	81545	Teri Lindstrom
636611	282452	Sherry
636611	320104	
636611	342904	Cindy Five
636611	358463	Andrea
636612	357464	
636612	373268	
636613	373694	
636614	68239	Maureen
636614	208034	Maureen
636614	335616	Maureen
636615	398048	Herself (2nd Executed)
636616	114626	Pamela Harrington
636616	218649	BB Preston
636616	218650	BB Preston
636616	407912	Addie
636617	154927	Maid #2
636618	340320	Pomona Troop Leader
636619	37788	Children's Teacher
636619	60360	Jean Johnson
636619	78176	Heidi
636619	88978	Joey's Mother
636619	127204	Nettie Dedham
636619	313423	Lt. Curtis
636619	329113	Mrs. Dunnison
636619	380713	Lenore Barclay Anderson (1988
636619	396117	Tess Saxton #2 (1977-1978)
636620	217603	Lethal Injection Guard
636620	273414	Mrs. Johnson
636621	394297	Jo Patterson
636621	399130	Vicki Gibbons (1986)/Rebecca 
636622	360436	6 Year old Tracy Dakota
636623	136299	Ms. Jenson
636624	26068	Julia
636624	154168	Linda Fishbine
636624	315285	Kimberly Howard
636625	19953	Little Rosalind
636625	141506	Child of Terry and Crystal
636625	192052	Little Miss Nobody
636625	192137	
636625	292655	
636625	309501	Goldenlocks
636626	70556	Mary
636627	7188	Rain
636627	105292	Jenny
636628	93220	Secretary
636628	233899	
636628	316890	
636629	105309	Woman in Car
636630	41570	Sally Phillips
636630	72515	Margo
636630	74215	Rosalie Whittaker
636630	154087	Leila
636630	389965	Dr. Natasha
636630	399130	Sue Parker (1987-1988)
636630	403976	Various
636630	412051	Susie Mitchell
636631	387429	Stablehand
636632	222212	Party-goer
636633	80416	Manicurist
636634	60296	Nancy Sankey
636635	17697	Mrs. John Pringle
636635	34638	Mrs. Clausing
636635	38360	Dolores Ryan
636635	141529	Mrs. Bailey
636635	194277	Wealthy Matron
636635	206597	Rosalie
636635	222617	
636635	234209	Julie's Mother
636635	236959	Trudy
636635	328823	
636635	353752	Masha
636635	381314	Florence Kozy
636635	398066	Wilma Leeds
636635	409665	Florence Kozy (early episodes
636636	606	
636636	62547	Ita
636636	131764	Laura Simpson Sockaloe
636636	176496	Macy
636636	208326	Pat
636636	213516	Miss Travers
636636	227928	Rita Madison
636636	239032	Mrs. Hudson, Tracy's Teacher
636636	246267	Brooklyn Mary, Woodcrest Stor
636636	269662	Miriam Hamlish
636636	323591	Hooker
636636	391071	Vivian Washburn (1981)
636636	391199	Paula Hendricks
636637	53630	Fara Wade
636637	140334	Darlene
636637	327518	Jennifer
636638	82517	
636639	80617	Alice Corman
636640	50974	Girl
636641	222212	Party-goer
636642	367782	Smiling Woman
636643	298173	Party Girl #1
636644	105805	Abused wife
636644	286442	
636645	336747	Dafna
636646	66652	Herself (daughter of Navajo c
636647	150880	New girl
636648	27837	Fame
636648	45736	Angèle
636648	387919	
636649	86536	
636650	324729	Gossipy woman
636651	315198	
636652	86536	
636653	243774	L'Amour
636654	151608	Gwen
636654	276238	Mom
636654	342403	Relative at Wake
636654	356351	Airport
636655	17191	Jones' Secretary
636655	31905	Helen Henbroth
636655	41829	Waitress
636655	113491	Fran
636655	126747	Leila's Neighbor
636655	156851	Mrs. Cole
636655	185704	Martha, Sister of Lazarus
636655	197324	Dr. Fisher
636655	210767	Scott's Mom
636655	235052	Operator
636655	288751	Louise
636655	304870	Betty
636655	305660	Sue
636655	330594	Bea's Mother
636655	342824	Miss Dimunjik
636655	366585	Wirey's Mom, Mature
636656	7580	Jesta
636656	100504	Hodder's Classmate
636657	10746	Tweedledee
636657	11115	Narrator
636657	33431	Herself
636657	42336	
636657	192550	
636657	206814	Herself
636657	238072	Herself
636657	271701	Herself
636657	314587	Herself
636657	314591	Herself
636657	342232	Herself
636657	406531	Herself
636657	408497	Herself (regular performer, 1
636658	284526	Photographer
636659	42957	Mimi
636660	72504	Dancer
636660	79528	Josette
636660	113385	Mrs. Parnell
636660	139216	Woman in Subway
636660	147828	Herself
636660	200155	Alicia
636660	210739	Announcer
636660	278692	Janet Wyman
636660	288695	Stephanie
636660	291968	Mrs. Argano
636660	379716	Tara Martin Tyler Brent Jeffe
636661	325995	'Johnny' Girl
636662	195201	
636663	208810	Dancer
636664	88522	Marina
636665	130903	Hippie Girl No.1
636666	130903	Hippie Girl No.2
636667	399719	Herself (writer)
636668	51493	Mitzi
636668	74787	Dendys' Wife
636668	75946	Hot Dog Seller/Massage Therap
636668	77102	Ewa, Marcin's Secretary
636668	82198	
636668	88412	Contender Nr 2
636668	91912	Weronika (Polish voice)
636668	95960	Woman with Newspaper
636668	167025	Jolka
636668	260733	Marta
636668	334199	Blonde Girl
636668	343338	Bartender Zosia
636668	379134	Tamara "Lady"
636668	388834	Blond Lady from Anin
636668	411110	
636669	366554	
636670	289862	
636671	307614	
636672	235964	
636673	156922	
636674	57560	Candy Counter Girl
636674	143562	(2001)
636675	110139	
636675	133166	Mme le maire
636675	389458	Herself
636675	393484	
636676	17315	
636676	244679	
636677	217461	
636678	244657	
636680	148867	Honey
636681	112136	
636682	1870	Abuela
636682	110538	Mrs. Rodriguez
636682	322343	Aníta
636683	377464	Mrs. Daumise
636684	211527	
636685	257164	Femme du restaurateur
636686	50639	Kayleigh Miller at 13
636686	163344	Abby Staley
636686	282696	Young Margot Tenenbaum
636687	374216	Lila
636688	100096	Additional Voices
636690	42878	Madame Tilly
636690	156139	Dorien de Groot
636690	263294	Various characters
636690	392073	Suzanne
636691	220787	Cpl. Brigitte
636691	316639	Alexia
636691	381514	Herself (2000)
636691	395765	Elle McFeast
636692	389000	Mme Barbaud
636693	259543	Ellen Pohl
636693	325472	Solange
636694	261868	Mezzo-Soprano
636696	154853	Jilly
636696	200999	Heather Boyd
636696	332020	Jessica Whitaker
636696	332021	Jessica Whitaker
636696	404645	Hannah
636696	408155	Jessica Whitaker Spencer #2
636697	197452	
636698	17708	Narrator
636699	289098	Joe's Mother
636700	80594	Shop Assistant
636700	334382	Bridget
636701	64041	
636701	128969	
636701	206997	
636701	213755	
636701	251583	
636701	292759	
636702	2569	Renata, la fille d'Antoine Ve
636702	14352	Lisbeth
636702	147067	
636702	354588	Zette
636702	387061	Orlandine
636703	398843	Sophia
636704	125973	Jean Donaldson
636704	331106	
636704	387518	Nurse Ann Guthridge
636704	411215	Celia
636705	90221	Vikontess
636705	301916	Countess
636705	325085	Madam Pernel
636705	356451	Klementina
636706	381530	Polina
636707	225818	
636707	349298	
636708	296422	Zinka
636709	265049	
636709	320681	
636710	312430	Mother
636711	42932	The Lieutenant's Daughter
636711	166616	Jas Kruczek
636711	272373	Jedrus Zatorski
636712	401156	Maja Gawrych
636712	412076	Agnieszka
636713	52698	
636713	282001	Karine
636713	399396	
636714	280826	Princess Bibulova
636715	56951	Osmane
636716	155929	Waitress
636717	310894	Therapeutin
636718	199715	
636718	357115	Angèle
636719	362453	Yoga Instructor
636720	17923	Circe
636720	47521	Daria
636720	140371	Manya
636720	151616	Supermodel
636720	158609	Yadira
636720	194993	Jenny Nielson
636720	203664	Tatoya
636720	221221	Natasha
636720	222573	Ex-Girlfriend in Bar
636720	252978	Sarah
636720	276896	Jenny Nielson
636720	316981	Casey Roper
636720	334154	Chick #2 at Bar
636720	360629	Krystyna Wituska
636720	393173	Emma
636720	401427	Anna Martin
636720	401796	Megan Torrance (1999)
636720	406654	Corey
636720	407589	Nerissa
636721	301678	Hospital Staff
636722	69405	Penelope
636722	218733	Bar Dancer
636723	19476	Maria
636723	97138	Sarah
636723	301383	Monica
636724	105921	Woman In Pool
636725	36561	Maluli
636726	1161	Presentatrice Stads-tv
636726	286039	Woman in shopping mall
636727	368195	
636728	202375	Miss Primm
636729	359175	Adjutant to Marshal Murat
636730	259221	Russian Daughter
636731	119163	
636732	213314	Hippolyta
636732	336141	Fräulein
636733	18267	Antigone
636733	18881	Lilly Schmith (Lilith)
636733	61982	
636733	90064	Donna Juana
636733	140233	Maria
636733	189716	
636733	337555	
636734	305910	
636735	14585	Ewa
636735	109004	Szachara
636735	244111	Kostynowitz's daughter
636735	324115	Nurse
636735	373733	Niuñka
636735	380716	Jolka
636735	398897	Gabriela Goralczyk
636735	412008	Agnieszka
636736	131852	Principle Miss Maples (voice:
636736	262756	Hostess
636737	88519	
636737	146534	Wacia, Halina's Sister
636737	173985	
636738	85582	
636738	222418	
636738	339979	
636739	30417	
636740	75651	Bambi
636740	93365	Dawn
636741	49274	Irene Knauff
636741	307254	
636742	358939	Herself
636743	320544	Maria
636744	24746	Mimi Resado
636745	84765	
636746	17546	Varya Vronskaya
636746	35867	
636746	60440	
636746	83040	
636746	244158	
636746	263260	Mother
636746	350975	
636746	357660	Chirika
636746	357706	
636746	374779	
636747	35941	Mladata urednichka
636747	99875	
636747	265619	The girlfriend
636747	350553	
636748	378720	
636749	89720	Herself
636750	89872	Parasha, her daughter
636750	181099	
636750	237877	Marfinka
636750	283753	
636750	356966	Mikhail Romanov
636751	101366	Ellie
636751	374538	Jura
636752	333120	Person of the Night
636753	64098	Halloween Dancer
636754	167651	
636754	399351	Georgia
636755	234879	Lisa/Shop Girl
636755	352131	Lotta
636755	387759	Tess Dallinga (2002-2003)
636756	232471	Phyllis (segment "Bishop of B
636757	44830	Child
636758	290939	Airport Family
636759	290939	Airport Family
636760	290939	Airport Family
636761	232845	Child #4 at Toy Store
636761	290939	Autograph Seeker
636762	346145	Mme. de Cocheforet
636763	95221	
636764	32740	Young Teresa
636765	13769	Landlady
636765	349689	Graham's Mother
636766	32740	Young Catherine
636767	67709	
636768	170227	Herself
636769	267667	
636770	72391	Vampire Actress
636771	68505	Lurleen
636772	364750	Sunderlin Twin
636773	280169	Student
636774	66655	Velma Goetz
636775	364750	Sunderlin Daughter
636776	5941	Farmer's Wife
636776	19173	Provost's wife
636776	55712	Mary's mum
636776	58942	Phyllis, his third unmarried 
636776	60303	
636776	80996	
636776	108619	
636776	124737	
636776	127481	Woman employer
636776	131527	Marie
636776	137198	
636776	137462	Dowager
636776	150746	Mrs. Barrymore
636776	165448	Lady Lynn
636776	206090	Lizzie Burt
636776	217514	Lady Middleburgh
636776	224303	Mrs. Pomfret
636776	255261	
636776	256292	Maudie, the barmaid
636776	257095	Barmaid
636776	257373	Eleanor Bushell
636776	277144	Helen
636776	308082	
636776	312782	Miss Tibbet
636776	316271	
636776	318485	Mrs. Henderson
636776	321687	Princess Claude
636776	330236	Webster
636776	331326	
636776	342822	Nanny
636776	360551	
636776	364730	Mistress Betsy
636776	367510	
636777	364750	Sunderlin Twin
636778	26140	Mrs. Goosefoot
636779	303447	Flight Attendant
636780	13966	Student
636781	224853	Bosco's Moll
636782	117535	Post Mistress
636783	97851	Mathilde, la petite fille
636784	6821	Revolutionary Cabinet Member
636785	324501	Minouche
636786	225205	
636787	108116	Gabrielle
636787	224525	Yeesha
636787	235871	Young France Carignan
636788	402622	Jeanne
636789	68390	Enseignante exaltée
636789	261551	Fille du bordel
636789	303617	
636789	378680	Secrétaire et otage
636790	411759	Naida (1986)
636791	334307	
636792	407807	Alexandrine
636793	84596	Une invitée
636794	228309	Mrs. Elizabeth Bentham
636795	61716	Narrator
636796	169878	Landlady
636797	71828	
636797	99912	
636797	101896	Une joueuse de cartes
636797	104222	
636798	381091	Herself (eliminated round 1)
636799	75903	Marie
636799	175549	Alice Polaris
636799	200969	Francine Tremblet
636799	249678	(segment Cyrano)
636799	328273	Caroline
636799	345519	Alice
636799	377272	La jeune femme de la piscine
636800	12037	
636801	1989	
636801	19186	La mère d'Antoine
636801	24914	Suzy Dorfeuil
636801	26153	La Duchesse de Crécy
636801	30810	
636801	52905	
636801	110134	
636801	118177	Noémie
636801	119423	Baronne De Berg
636801	133081	La colonelle
636801	184055	Madame Henriette
636801	224897	Suzy
636801	269510	
636801	377019	Madame Lambert
636801	391620	Mme de Brèce
636801	396806	Madeleine
636801	401939	Clarisse
636801	402177	La femme du ministre
636801	408662	
636801	409454	
636801	412201	
636802	271855	Guest
636803	8000	Andrea
636803	86543	Mary Palmer
636803	127094	E.R. Doctor
636803	328608	Elaba
636803	385824	Sally Johnson (1981-1982)/Ale
636804	58488	Angela Travis
636804	185588	Bank manager
636804	289719	
636805	239829	Flirting Granny 1
636806	141412	Bit part at wedding
636807	12244	Bar Fly
636808	42443	
636808	98259	Greta Lissmann
636808	140238	Laura (younger)
636808	219275	Marie
636808	325383	
636808	354066	Lilly
636809	37787	Aerobic Instructor
636810	115325	Secretary
636811	388600	Herself
636812	186249	Rino's mother
636813	306976	
636814	209823	Lyusi
636815	51778	
636815	53613	
636815	54722	
636815	96301	
636815	203883	
636816	347455	
636817	333794	Suha opravljivka
636818	94542	
636819	411185	Violet Elizabeth Bott
636820	25203	
636820	29068	Shanti
636820	62727	Rohan's wife (Guest Appearanc
636820	67129	
636820	76530	
636820	130561	Urmila
636820	137827	
636820	150519	
636820	164315	Shanti (Thakur's daughter)
636820	166497	
636820	175983	Zarine
636820	176162	Manju
636820	222097	Pinky
636820	222500	Vicky's girlfriend/wife
636820	262868	
636820	271727	
636820	296601	Renu
636820	323624	Meena
636821	8426	Menoka
636822	29081	Kailash's Wife
636822	320855	
636822	359550	Rabia
636823	392521	
636824	114012	
636825	2617	Herself (Presenter)
636825	246096	Kaya
636826	149553	
636827	97651	
636828	222212	Party-goer
636829	347591	Vivian
636829	366956	Juror #2
636830	39213	Hannah
636831	104930	Table #1
636832	112205	Check in Attendant
636834	355877	Auto-stoppeuse
636835	83305	Ado fête de Christian
636836	65474	Library patron
636837	389780	Violeta
636838	207496	Jeanne (segment "Flames of Pa
636839	333430	Sleez Girl
636840	60564	Shizuko Imamura
636840	124037	Yasuko Okinaka
636840	145449	Yasuko Toguchi
636840	244515	Izumi Oikawa (Mitsuo's girlfr
636840	244543	Izumi Oikawa (Mitsuo's lover)
636840	244546	Izumi Oikawa (Mitsuo's girlfr
636840	244547	Izumi Oikawa (Mitsuo's girlfr
636840	244548	Izumi Oikawa (Mitsuo's girlfr
636840	270314	Yumi
636842	124038	Yumi Iida
636842	137324	Junko Kaibara
636843	149239	
636843	242415	Eri
636843	285919	Reiko Toda
636844	107833	Gabrielle
636844	194687	Party guest
636844	231798	Waitress
636844	289237	Daria
636844	380923	Host
636844	388186	Host
636845	10317	Alex
636845	384117	
636845	404834	Crescilda
636846	157279	Amber
636847	179529	
636847	265964	Maid
636848	304656	
636850	23007	Mme. D'Auvray
636850	32514	Proprietress
636850	33766	Concierge
636850	35188	
636850	44445	Cook
636850	61781	Mrs. Jenner
636850	65494	Lady Rudd
636850	68824	Martha
636850	73131	Fat Lady
636850	73669	
636850	92282	Madame Michet
636850	116198	Mme. Charron
636850	120885	
636850	131391	Big Annie
636850	133823	Claudette Mongomery
636850	151046	Mrs. Harlow
636850	190893	
636850	191185	Deborah
636850	192151	Sala
636850	194517	Cook
636850	209502	Maria
636850	221131	Mrs. Smith
636850	232174	
636850	235483	Mrs. Borridge
636850	248428	Lady Liverage
636850	250411	Frau Kemp
636850	280932	Mrs. Kelly
636850	285316	Emily Woodford
636850	286135	Mrs. Pool
636850	308543	Anna
636850	311698	Cook
636850	319273	Bit Part
636850	359974	Mrs. Green
636851	273943	Young Mother
636851	288933	Jennifer Substitute
636851	336655	Hotel Receptionist
636852	328273	Mère Caroline
636853	28759	
636855	340502	Une Fille De La Nuit
636856	5160	Claire
636857	304578	Alison
636858	325866	Linde/Anne Treu
636859	395508	
636860	19843	Nina
636860	191197	Maria
636861	365972	Jennifer Pedecaris
636862	368626	Woman
636863	18813	Ederly women
636864	281901	Redhaired Girl in Leonard's
636865	24476	Receptionist - Me and Jerry
636866	157758	Ruth/4. Geschichte
636866	366535	
636867	99235	Hofdame
636868	23502	Sygepleje elev
636869	408557	Herself - Dancer/Performer
636870	123627	
636870	368574	Fluffer
636871	114209	Matilde
636873	137031	Italian Hacker
636874	53318	Mourner
636875	390695	Herself
636876	109427	Grandma
636877	230857	Tania (girl)
636878	86388	Juicy Lucy
636880	329413	Punk Girl in Hall
636881	20727	
636881	44439	Rosie
636881	61673	Rebecca Meyer
636881	97490	Cherie
636881	196549	Nina Clarise
636881	200330	Jody
636881	234068	Candy
636881	238269	Bobby Lee
636881	248574	Kristen Mott
636881	305011	Lisa
636881	358638	Amelia's Co-Worker
636881	410665	
636882	154427	Friend at News Stand #1
636883	182566	Guest at the party
636884	176254	Margarida
636884	248225	Esther
636885	405173	
636886	338638	Old Woman
636887	134256	Agnete
636888	395852	
636889	200864	Congressman Grey's Wife
636890	130111	
636890	135699	Lasse's Mother
636890	146997	
636890	219236	Pigen
636890	228396	Ung pige
636890	236241	Margot
636890	283483	Karin
636890	315355	Anni
636890	324430	Ala
636890	333012	Irene Hansen
636890	354739	Yvonne
636891	375116	Paula
636893	644	Heather
636894	57610	
636894	84756	
636894	262817	Actress in theater
636895	259409	Herself
636896	27247	Herself
636897	27571	Tante Florentine
636897	34371	
636897	37904	Frøken Marie Jantzen
636897	58831	Opvartersken Lene
636897	83700	Madam Bjerre
636897	99554	
636897	102497	Adelaide Piper
636897	108179	Maria Schmidt
636897	108965	Husbestyrerinde Karen Frederi
636897	109298	Moderen
636897	118593	Madsine, tjenestepige
636897	146603	Kontesse Rose
636897	153382	Ingeborg
636897	155124	Herself
636897	166607	Henriette Frisch
636897	169973	
636897	198062	Lydia Wiljengren
636897	198397	Fru Hansen
636897	233277	
636897	255663	Anna Hansen
636897	307767	
636897	308229	Fru Brasen
636897	309299	
636897	320224	Andrea Drewes
636897	322683	Marie
636897	322684	Maja Bergholtz
636897	324635	Dagmar Anastasia/Tante Tut
636897	333556	Madam Bølling
636897	349808	
636897	351462	Værelsesudlejer
636897	352989	Baronessen
636897	356852	
636898	305566	
636899	359660	Nutellaschnitte
636900	34401	Maria
636900	191486	Toni Franke
636900	376622	Mrs. Gessler
636901	365452	Christy
636902	164832	Theres von Loebenberg
636902	322509	Tina Weiss
636902	328881	Henrike
636903	286824	Jule (segment "Heimrecht")
636903	377358	Julia Stadler
636903	384368	Conny
636903	389359	(2000)
636903	409958	Sophie Levinsky (1995-1998)
636904	98349	
636904	319649	Prinzessin Fatima
636904	376366	Gangsterchefin
636905	17751	Mrs. Greer
636905	105280	Hospital Dancer
636906	288690	
636907	288690	
636908	403291	(2003)
636909	5328	The Hot Women of Norlin
636911	162439	Old Woman
636912	18521	Nicole
636912	156739	Sonja
636912	186941	
636912	204581	
636912	209957	Süsse
636912	281728	Rebecca
636912	319736	Kassenschlampe
636912	352065	
636912	364898	
636912	388798	Gudrun
636912	405449	Viv
636913	390407	Herself - Host (1993-1994)
636914	261529	Vicky
636915	157899	Graffina
636915	255465	Proprietress
636915	356800	Marie (housekeeper)
636916	367022	Tist
636917	152426	Waitress
636917	157279	Club Girl
636917	170409	Julie Romanov
636917	289700	Ashley
636918	390242	Nina Sanders (#1) (1997-1998)
636919	225621	Herself - a member of Mooning
636919	396846	Hiyo Sakamoto
636919	411656	Kazama Kaoruko
636920	334858	Sachiko
636921	220775	Principal Can-Can Dancer
636922	345022	Une amie de la mère
636924	352852	Rosita
636925	124313	Véro
636926	390515	Policier
636927	78214	
636927	132991	
636927	382403	Onderwijzeres
636927	394612	Mevrouw Griffioen-Bouwman
636928	7623	Papis' mother
636929	236567	Myriem Slimani
636930	47008	La Pilar
636930	50204	Madame Momora
636930	54889	Simone
636930	68182	Princess Nadia Ramiroff
636930	112538	Donna Vittoria
636930	117449	Zita Gautier
636930	133515	
636930	134048	Ayah
636930	143275	Cherie Schultz
636930	183787	Countess Diane des Granges
636930	242489	Lea
636930	248983	Delphine
636930	279457	Malena Paulton
636930	286191	Sonya Mendel (segment "Salome
636930	310265	Dolores Annesley
636930	310687	
636930	331351	Miss Hawtree/Fräulein Marks
636930	363844	Dolores Carson
636931	23105	Gisèle
636931	197547	Colette
636931	247977	Directrice école
636931	251007	
636931	377464	Gloria
636931	385382	
636931	387612	Babeth
636932	148518	
636933	36751	Secretary
636933	176868	Ann Craigis
636933	230409	Model
636933	241112	Beulah (bride)
636933	325970	Girl by Pool
636933	365290	Hilda Jansen (blacksmith's da
636933	406527	Ingrid (1959-1960)
636934	88916	Mrs. Nielson
636934	96853	Landlady
636934	243206	Hostess
636934	329605	Mrs. Myrtle O'Connell
636934	330514	Emma
636935	309574	Happy Wife
636936	173957	Young girl
636936	254220	Katherina
636936	380167	Rea
636936	387707	Magda
636936	398880	Niki
636937	344432	Additional Voices
636937	404137	TV Porn Star, Additional Voic
636938	158528	Mrs. D'Ambrosio
636939	306313	Ethel
636940	268946	Danseuse
636941	18953	Suzette
636942	300176	Housewife
636943	9139	Carrie
636943	45688	Thérèse
636943	118933	Suzie
636943	176510	Waitress Cindy
636943	395097	
636944	135346	Witness
636945	89963	Jacinthe
636946	214283	La Tante
636947	31704	Shopper
636948	196372	Montage typist
636949	177000	Salissa
636950	117008	
636951	36492	Shiraki/Kunimoto
636952	283664	Fidelma
636953	11516	Princess Mary
636953	196233	Isabelle
636954	280639	Rita
636954	305086	Bingo Player
636955	159175	Dancer
636956	146879	Rachel
636956	171034	Glamorous Woman
636957	254522	Female Masquerade Dancer
636957	358846	Miss Måneskin-pige
636958	26064	Country woman
636959	304863	Student
636960	208398	Princess Etain's Forest Guard
636961	157809	Female Vicar
636962	201866	Host of the World Premiere
636963	93579	Actress on Station
636963	191647	Rita
636963	250913	Mum
636963	251017	Mum
636963	349582	Spaniard
636963	367854	Irma Ogden/Barlow
636963	385020	Irma Ogden/Barlow (1964-1968,
636963	385765	Herself
636963	387533	Nellie Dingle (1994-1996)
636963	389205	Rene Watson/Hinchcliffe (1984
636963	393114	
636963	399378	Herself (1969)
636964	190994	Yuppie Girl
636965	280458	Tayla
636966	346738	
636967	59880	Warrior Woman
636968	46656	Juliette
636970	77808	
636971	14943	Maria
636971	55154	Princess Maria Teresa
636971	89397	Ana Paula (adult)
636971	104353	
636971	149522	Gina
636971	168317	Lucimar
636971	216214	Zizi
636971	381144	Débora Gama
636971	383294	Maria Isabel Caldeira
636971	384480	Lidiane
636971	384778	Sílvia
636971	386419	Isabel Cristina
636971	392510	Otília
636971	396036	Carla
636971	396610	Lígia (1997)
636971	396795	Tânia Moraes
636971	396886	Fernanda
636971	396926	Benedita
636971	400098	Paula
636971	400584	Marília
636971	400765	Carolina
636971	401243	Diana
636971	402159	Leopoldina
636971	403326	Helena
636971	403617	
636971	404799	Cíntia Vilhena
636971	407275	Helenice
636971	412257	Lili
636972	229438	índia
636974	133036	
636974	344799	
636975	410375	
636976	385853	Júlia
636976	387732	Nilda
636976	388565	Eliana
636976	396651	
636976	408330	
636976	410054	Júlia
636976	410245	Maria Clara
636977	159546	Herself
636978	388565	Bia
636978	394872	Mercedita Montenegro
636978	396610	Fátima (1996)
636978	396795	Carolina Torres de Almeida
636978	402582	Angela Franco
636978	404834	Suposta Lindalva
636979	89397	Ana Paula (young)
636979	124240	Marcinha
636980	204042	
636981	183696	
636982	206373	
636983	345238	Herself/En personne
636984	178141	WAC corporal
636984	282189	Frau in der Kommune
636984	331292	Susie
636985	196315	
636985	250523	Jesseva, his daughter, betrot
636986	127767	Barbara
636987	195680	
636987	220578	Herself
636988	299794	String Quartet #2
636989	340827	Factory Girl #1
636990	289227	Herself
636991	304757	Aunt Martha
636991	346069	Norma
636991	372130	
636992	59497	Ann Talbot
636992	183372	Patsy Green
636993	244314	Emilia
636994	26796	Lt. Orantes
636994	363263	
636994	399066	
636995	31149	
636995	160010	
636995	195349	
636995	195438	
636995	363019	
636996	153187	Normandy
636997	16476	Herself
636997	87489	Mrs. McCabe
636998	4711	Saleswoman
636999	358612	The Little Angel
637000	185766	Roberta
637000	198883	Witch
637001	342470	Rusher of Din - Sleeper
637002	198339	Suzanne
637002	400698	Une cliente (Détournement)
637003	142477	Waterfront Cafe Girl
637004	143191	Diplomat's Wife
637004	165443	Miss Temple
637004	200484	Ex-patient
637004	214327	Mrs. Southard
637004	290328	Mrs. Smoot
637004	292142	Maid
637004	368315	Miss Gray
637005	32494	Shopkeeper
637005	79850	Lee Sisters
637005	119551	Mama J
637005	138821	Lady in Diner
637005	155912	Old lady
637005	185473	Old Lady
637005	240811	Estelle
637005	256593	Old Woman
637005	273307	Old Lady
637005	275448	Shopper
637005	292247	Mrs. DeVargas
637005	301716	Landlady
637006	353294	Academy Girl
637007	275297	
637008	18598	Hall Secretary
637008	277480	Movie Actress/Melissa
637009	389199	Sportscaster (2002-)
637009	394260	Reporter/Correspondent
637010	346360	Dancer
637011	12256	Assistant
637011	141395	Party Maid Robot
637012	255850	Beth
637013	82886	Mrs. Knickerbocker
637013	211035	Dr. Helion
637013	212996	Sgt. Turner
637013	258235	Technician
637014	248480	Mrs. Kehoe
637014	301705	Margaret
637014	313855	Piano instructor
637014	333915	Rose
637015	53957	Mrs. McMillan
637015	230330	D.A.' s Secretary
637016	327606	Jenny Taylor
637017	14132	Woman in Bed
637018	346273	Reporter
637019	326741	Dancer
637020	54559	Myra
637021	70741	Saleslady
637022	129762	Married Gnome
637022	245122	Girl in Car
637023	181120	Toeriste
637023	188282	Eigenaresse nachtclub
637023	299498	Mother
637024	241375	Mother at Carnival
637025	151207	Dobb's Mill Pedestrian
637026	230873	Phone Girl
637027	12764	Dowager
637027	14163	Merchant's Wife
637027	17619	Undetermined Role
637027	36996	Nurse
637027	39890	Lida, a burlesque queen
637027	46779	Saleslady
637027	55460	
637027	107873	Dot
637027	121360	Mrs. Clifford
637027	128889	Professor Emma Kern
637027	140755	Julia Becker, the Sculptor
637027	143260	Fannie
637027	145007	Rita, Woman Assistant
637027	154913	Prissy Woman
637027	178015	Mme. Dupont
637027	207861	Miss Smythe
637027	228660	Girl in water gag
637027	274005	Sonia
637027	279687	Bit Part
637027	306595	Mrs. Buffington
637027	309827	Woman
637027	313118	Guest at Richie home
637027	353362	Ethel Mihaly
637027	367919	Dietician
637028	229054	Jennifer
637029	9129	Passenger
637029	29959	Mrs. Wilbanks
637029	35610	Herself
637029	41772	Girl with orchid
637029	45684	Drayton's secretary
637029	51975	Skip
637029	64784	Shirley
637029	66042	Bunny
637029	67610	Matron
637029	80970	Mrs. Sloan
637029	81750	Mrs. O.
637029	96987	Ben's wife
637029	105689	Bit part
637029	118434	Hotel Switchboard Operator
637029	127074	Loretta Pine
637029	133451	Gabby Neighbor
637029	144249	
637029	148947	Mabel
637029	156940	Annette
637029	163443	Train Passenger in Upper
637029	168270	Laurine
637029	170608	Towne's Secretary
637029	176391	
637029	223854	Mildred
637029	233635	Mildred
637029	236995	Ma Belle
637029	280992	Telephone Operator
637029	315700	Vera, a Con
637029	322607	Girl at phone
637029	323457	Newspaper Girl
637029	326408	Tess
637029	363540	Cashier
637029	381814	Gladys Kravitz #2 (1966-1971)
637029	390534	Miss Webner
637029	392428	Mildred Webster
637030	35735	Mary 6
637031	130311	Dancer
637031	231533	Dutch Damsel
637032	126505	Girlfriend
637032	248707	Dr. Christine Hansen
637032	320156	Cindy Griffin
637032	323428	
637032	340058	Lady #2
637033	250376	Social Worker
637034	19109	Chinese Woman
637035	316488	
637036	249265	First Security Guard
637036	387247	Polly Becker (1997-1998)
637037	60303	
637037	61695	Mrs. Bunnion
637037	151005	
637037	342489	
637037	367307	Kiosk Proprietress
637038	297754	Kitchen Dead
637039	79097	Governess
637040	171178	Lillie
637041	85004	
637041	137623	Child
637042	404714	Isobel Stojanovic
637043	44786	
637043	151634	Maid
637043	271294	Louise
637043	289400	Mrs. O'Russell
637043	307368	English Woman
637043	333851	Emma (1st Class Stewardess)
637044	390242	Gemma (1996-1997)
637045	392397	Pat (1977-1979)
637045	401275	Maid
637045	403777	Renata (1981)
637046	392697	Young Anne Brontë
637047	356499	
637048	356792	Student
637049	177419	Dancer
637050	224677	
637051	358607	
637051	380713	Casey Reynolds (1985)
637051	390771	Meredith Reade Bauer (1987-19
637051	404002	Mary Maeve Ryan Fenelli #4 (1
637051	404613	Kathy Parker Phillips Taper #
637052	249712	Femme au chat
637053	20625	Extra
637053	231925	Deb's Mother
637054	83334	
637054	302142	Michelle
637054	349570	Claude
637054	351712	Josée Marleau
637055	168881	Veronika, the waitress
637056	231869	Nurse
637057	313211	
637058	253982	
637058	282724	
637058	285318	Vivi
637058	394062	Poli Arhontaki
637058	394227	
637059	377989	
637060	127359	
637062	123103	Widow
637063	6349	
637063	8123	Kaiti
637063	15958	
637063	18215	
637063	88917	Maria
637063	139555	
637063	172196	Stamata
637063	202649	
637063	209762	
637063	212553	
637063	249152	
637063	262425	Efterpi
637063	275591	
637063	329735	
637063	338984	
637063	379533	
637064	304243	Coed in Caleb's Car
637065	233524	
637066	367341	
637067	19238	Nathalie's mother
637067	28681	Jeanne Peduzzi
637067	34567	Agnès
637067	52905	
637067	59635	Guislaine
637067	60054	Germaine Chaudemanche
637067	103828	Catherine
637067	123064	Marie
637067	135340	Juliette
637067	135424	Chris
637067	198349	Léa
637067	200957	Gina Martini
637067	201132	Anne
637067	205776	Marie-Poupée
637067	240582	Sylvie
637067	248423	Sophie
637067	261815	Moune
637067	282488	Vittoria
637067	286212	Térésa
637067	287052	Miss Tenebra
637067	287975	Tante Divoine
637067	314305	Steffie
637067	345370	Michèle
637067	380669	Geneviève
637067	381430	Sophie
637068	337019	La jeune femme marche
637069	26583	Child
637070	220403	Herself
637071	269201	Herself
637071	269202	Herself
637071	269203	Herself
637071	269204	Herself
637071	269205	Herself
637071	269206	Herself
637071	269207	Herself
637071	269208	Herself
637071	269209	Herself
637071	269210	Herself
637071	371404	Herself
637072	20828	Annie
637072	48353	
637072	51921	Martine
637072	59218	Béa
637072	60031	SDF...
637072	71814	
637072	111039	La Mujer de Pierre
637072	122361	Françoise
637072	149744	La directrice de casting
637072	154736	L'étudiante dans le bureau de
637072	165179	Clara
637072	200964	Femme de ménage
637072	204913	
637072	218308	Nurse
637072	243603	Archivist
637072	250780	Hélène
637072	284257	Mme Drouet (segment "Années L
637072	314967	Myriam
637072	349861	Nadège
637072	356362	Diane
637072	379805	Bonne d'Heudicourt
637072	387553	Hermine
637073	99370	Marianne
637074	357092	
637075	105185	Dinah
637075	140724	
637076	161865	Marta Farra
637077	6401	
637077	13121	Alice
637077	14345	Svetlana
637077	17862	Bébert's aunt
637077	20916	Lulu
637077	24683	La cliente du LEP
637077	31018	Elsa's Mother
637077	44269	Irène
637077	58788	
637077	64333	Herself (1990)
637077	67748	La mère de Claire
637077	68927	La râleuse
637077	77818	Edith
637077	96198	
637077	102006	
637077	109735	
637077	125741	
637077	131215	La Zieurond
637077	136647	
637077	160819	
637077	161964	La patronne caféteria
637077	164157	Mona's Mother
637077	169328	Mme Azaro, la voisine
637077	184052	Huguette Moreau
637077	208513	Denise
637077	228317	Prostitute 2
637077	236539	Marcelle
637077	245985	La mère
637077	246292	Chantal
637077	249713	
637077	252412	La concierge de la rue du Del
637077	254138	Une amie de Georges
637077	254168	Solange
637077	261785	Odile
637077	264525	Danseuse
637077	265881	Madame Lamotte
637077	269822	
637077	272257	L'assistante sociale
637077	296095	La mère de Gabrielle
637077	306939	
637077	326122	Camille Coutant-Kerbalec
637077	338110	
637077	345132	
637077	345298	Mrs. Worms
637077	345541	Madame Fumal
637077	353317	
637077	392580	
637077	393279	
637078	307964	Lady Parishioner
637078	330530	Reporter
637079	7457	La légiste
637079	66745	Marianne
637079	102006	
637079	202090	La femme qui a une fille méti
637079	208513	L'infirmière #1
637079	279820	Josiane
637079	345093	Sylvie
637079	345378	Child
637079	345548	Caroline
637079	370420	
637080	310572	
637081	100280	
637081	166126	Guilhermine, the Housekeeper
637081	339967	La mère de la victime
637081	379801	Concierge Victoria
637081	396978	Thérèse Duval
637082	241853	Nancy
637083	101124	Mgala
637084	104535	Tatiana
637084	135345	Natacha
637085	192254	Schoolgirl
637086	243603	
637086	376596	Manon
637087	346709	3rd Lady
637088	319078	Juliet Harrison
637088	360150	Ghost Girl
637089	256354	
637090	239082	Dancer
637090	362108	Lover
637091	191883	
637092	267503	Teacher
637092	350191	Belly Dancer
637093	344683	Mrs. Mervyn Talboys
637094	326044	Sofia Wallin
637094	403084	Nadja (2000)
637095	412047	Natalja Tupoleva
637096	412047	Rebecka Tupoleva
637097	68333	Nina, le bébé
637098	68333	Julie
637100	85026	Collette Lucien
637100	190174	Jeanne Dreyfus
637101	28554	
637101	353845	Infirmiére
637102	64659	Banquine
637102	64660	Banquine Flyer
637102	64661	Acrobatic Pas de Deux
637103	340923	Grace Blech
637104	222998	Mrs. Dimitrio
637104	391248	Helen Bordino (1994-1996)
637105	189106	Leïla, jeune
637106	19201	Claudine
637106	124326	
637106	130756	La vendeuse
637106	169808	
637106	412254	Fine
637107	8616	La directrice du loto
637107	15098	L'astrologue radio
637107	42371	
637107	43999	Cindy
637107	184053	L'assistante du metteur en sc
637107	324517	La fille du psy
637107	346420	
637107	357124	La directrice
637107	387968	Solange
637108	156274	Laura
637109	358146	Patricia (Editor)
637110	111884	Rebeca
637110	286229	Nathalie
637110	346250	Illiana Vasquez
637110	398915	Camila de los Reyes (1997)
637111	392848	María Teresa Montero
637112	391620	Pauline jeune
637113	367022	Gossiping woman
637114	286278	
637115	118624	Helene
637116	383566	(season 1)
637116	401944	Quenga
637119	190269	Judy's friend
637119	261992	Movie star at club
637120	183508	Herself
637121	254999	Mother
637122	305148	Murphy's Girlfriend
637123	253	Horthense
637123	281357	Lizzy
637124	12319	Joni
637125	37189	Reporter #3
637125	141272	Woman at Counter
637125	177705	Japanese hostess (L.A.)
637125	202864	Lyn Chiang
637125	313398	Caithlin Dar
637126	134563	Ann
637127	217222	Claire enfant
637128	7434	Woman in restaurant
637128	57530	
637128	197387	
637129	344604	
637129	348170	
637130	142433	
637131	233875	Marlena St. James
637132	329389	Mourner
637133	85070	Miss Doyle
637133	210485	Elderly Woman
637134	213996	Aunt Gritty
637134	318726	Hen 2
637134	349571	Nurse 1
637134	398557	Mrs. Wilson
637135	108897	Herself
637136	179110	Ana
637137	253305	Secretaria
637138	51737	
637138	54326	
637138	61136	
637138	74142	
637138	77880	
637138	82963	
637138	91351	
637138	121964	
637138	142738	
637138	143755	
637138	145157	
637138	171462	
637138	192959	
637138	199963	
637138	212057	
637138	229442	
637138	234425	Lorena de la Sierra
637138	247976	
637138	248351	
637138	253324	
637138	287861	
637138	287898	Marta
637138	296126	Carmen Lozano
637138	307787	
637138	309377	
637138	328536	
637138	355919	
637138	370112	
637138	371693	
637138	384254	
637139	388199	Fashion show reporter
637140	10427	Rosie
637140	206875	Mary
637141	169579	Mommy
637142	7036	Black Woman
637142	36839	Black Cook
637142	46777	Mattie
637142	47894	Col. Ramm's Maid
637142	67251	Esther
637142	78791	Ellie (Mary's maid)
637142	79949	Melbourne
637142	96989	Maid
637142	118718	Mary Lou's Maid
637142	121389	Woman in Commisary in Maid's 
637142	133443	Jennie
637142	139525	Delia
637142	144908	Sarah, the maid
637142	154906	Maid
637142	177391	Maid
637142	183392	Lettie, Pat's Maid
637142	183759	Maid
637142	192047	Sarah, Bangles' Maid
637142	206943	Polly
637142	213180	
637142	221335	Priscilla, Olcott's Maid
637142	222592	Pearl
637142	224211	The Maid
637142	249623	
637142	252300	Mrs. Hattie Diggs, Verman's M
637142	266718	Maid
637142	278442	Emma
637142	278779	Mrs. Robertson
637142	287749	'Mammy' (black woman in burni
637142	302603	Nancy
637142	303307	Maid at Brothel
637142	324054	
637142	364214	The Maid
637142	366205	Cook
637142	372935	Lily
637143	399657	
637144	236342	
637145	86034	Sanne
637146	220063	Au Pair
637147	401390	Herself (hostess)
637148	91298	
637149	101155	Aruna
637150	1178	Sonal Joshi
637150	25972	Winner of the beauty contest
637150	85446	Simran
637150	306724	Madhulika
637151	356094	
637152	9657	Margherita
637152	278308	Gilda (actress)
637153	293317	Himself
637154	222441	
637154	374446	Head of Clinic
637155	3534	
637156	253562	Rogova (Yuri's mother)
637156	357206	Mrs. Kulikova
637157	33829	
637157	83160	
637157	162747	Herself
637157	189427	
637157	226012	Mat Dukana
637157	242816	
637157	261318	
637157	370162	Tyotya
637157	374990	
637158	12807	
637158	343306	
637159	50198	
637159	86932	Peggy Garvin aged 7
637159	117260	Sylvia Vickers as child
637160	77148	City Clinic Woman
637161	276874	Mrs. Talbot
637163	108951	May Coggan
637164	193264	Girl on Rum Boat
637165	26074	Miss Woodrow
637165	51989	Ranch Inmate
637166	321237	TV interviewer
637167	2152	Susan
637168	198442	Dancer
637169	27643	Priya Malhotra
637170	391258	Herself
637171	212973	Chinabark
637172	160555	Leigh: Fish & Chips Shop Girl
637172	161637	
637173	58430	Cindy Hawthorne
637173	82517	
637173	337091	Angela Allbright
637173	346281	Sue, age 6
637174	390099	Kroll
637175	203471	Maggie Cutler
637176	42141	Jillian the Train Girl
637176	136126	
637176	292469	Sam
637176	310437	Amy
637176	385177	Miranda Watts
637177	63835	Squire's Mother
637177	385299	Nancy Rigby
637178	108410	Mrs. Pike
637178	238991	Von Moltke's Lady
637179	219996	Mikie, age 3
637180	298309	
637181	206739	Beba Liliana
637182	154927	Gang member
637183	320862	
637184	356325	Sheila
637185	166697	Nancy
637186	144025	Désirée
637187	1675	Herself
637187	2042	Herself (Canadian Comedy Hall
637187	2627	Themselves (Hosts)
637187	54921	Lots-A-Heart Elephant
637187	54923	Lotsa Heart Elephant/Gentle H
637187	67999	Herself
637187	94578	Easterbrook's Patron #3
637187	105128	
637187	105129	Honey
637187	157290	
637187	168843	Various Air Farce Characters
637187	171124	Herself (Royal Canadian Air F
637187	187207	
637187	195549	Herself
637187	222612	Beth Freemantle
637187	292700	Gossip 2
637187	339399	Sleepy Slocum
637187	347446	Rena
637187	348838	Nursing Home Staff Member
637187	382122	Herself
637187	382130	Jewish Daughter/Various Chara
637187	383462	Lotsa Heart Elephant/Gentle H
637187	393372	Oon
637187	393945	Ami
637187	397101	Cast
637187	403844	Queen Elizabeth/Kim Campbell/
637187	410489	Ami the Robot
637188	224578	Girl on Bike
637189	42577	
637189	187842	Paqui
637189	212406	Amiga
637189	379100	Lucía
637190	5186	Chantal Goya
637190	15007	Arlette
637190	124400	Marie-Hélène Rondin
637190	207092	Madeleine
637190	236209	
637190	327564	Herself/En personne
637190	336990	
637190	340344	Minette II
637190	361444	Melanie
637190	377639	Monique
637190	401981	
637191	142501	Betty
637191	205036	Dancer
637191	226875	Stripper
637191	248441	Bar Room Hooker #1
637191	355056	Vicuni Tribe Dancer
637191	368592	Singer in Jail
637192	341372	
637193	19449	dancer
637194	13102	La veuve Girard
637194	13103	
637194	17731	Myriam
637194	26153	Mme Fernande
637194	28999	
637194	29404	
637194	40258	Suzy
637194	50295	
637194	57288	Rosika
637194	63697	Olivia Dangerfield
637194	65930	Cecilie
637194	66834	Aline
637194	90759	Gilda
637194	96074	Lucette de Saint-Églefin
637194	102577	Suzanne
637194	106296	Théodora Bareski
637194	111777	
637194	114850	Yvette
637194	119045	Elsa et Madeleine Ferron
637194	127458	
637194	137178	
637194	139285	
637194	148722	Colette
637194	157125	
637194	160817	
637194	164210	
637194	165231	Rita Malaquais
637194	169031	
637194	169166	Viviane
637194	170145	Lady Yvonne Clifford
637194	183660	Claire le Grange
637194	198627	
637194	202360	Madame Garcia
637194	204016	
637194	211645	
637194	211790	
637194	217643	Odette
637194	235502	Fifi
637194	249748	Gaby
637194	260946	Mary
637194	261020	Mother
637194	263519	Natasha Boleska
637194	264219	
637194	268971	Peg
637194	275616	Mme. Payette
637194	284245	Anna
637194	330838	Torch Bernal
637194	336876	Marie-Claude
637194	340117	
637194	345510	
637194	346693	
637194	354150	Catherine
637194	354700	Huguette Landier
637194	356988	
637194	377279	
637194	377852	
637194	388310	
637195	52975	
637195	53653	
637195	55932	
637195	59251	
637195	61346	
637195	61349	
637195	88058	
637195	108726	
637195	146570	Madre
637195	236468	
637195	265555	
637195	275274	
637195	286369	Angela
637195	292747	
637195	306707	
637195	353619	
637195	355123	
637195	378109	
637195	381329	Adela (1979-1980)
637195	393369	Carmen Fernández (2003)
637196	231140	Zhylia
637196	244619	
637197	19454	
637197	43307	
637197	56634	
637197	102624	
637197	221657	Vicky
637197	247879	
637197	255928	Manolita
637197	325036	
637197	332567	
637197	353548	
637198	14940	
637198	19720	
637198	61358	
637198	133083	Actriz
637198	209801	
637198	236027	Hermana de Gela
637198	246376	
637198	246940	
637198	273011	
637198	376844	
637198	411722	
637199	52916	
637200	218380	Big-breasted Dream Girl
637201	257569	
637202	332821	Girl with Dog
637203	384655	Chagua
637203	384845	
637203	408586	
637203	410015	Domitila
637204	268389	
637205	290435	
637206	238796	
637207	353847	Elise
637208	59917	Herself
637209	18469	Angie
637209	124164	Owooda
637209	124165	Girl Cats
637209	124166	Girl Cat 1
637209	124167	Tanya
637209	124169	Woman at Door
637209	124172	Chloe
637209	138863	Singer
637209	163536	Vocals by
637209	236997	Sparkle
637209	309470	Taki
637209	372165	Herself
637209	389756	Nermal
637209	393424	Additional voices
637210	140953	The woman
637211	283895	Gladys the Waitress
637212	24560	
637212	39714	Auxiliar
637212	346694	Bizou
637212	390486	Estelle
637212	399369	Nic
637213	276557	
637214	61882	Sor Vero
637214	99227	Miguel's Mother
637214	124656	Soledad
637214	200542	Chica Maravilla
637214	378473	
637215	352085	
637216	198112	
637217	236368	Miss Hungary
637217	244704	Model
637218	124686	
637219	3395	Sofía
637219	388442	Reyes Gonzalez 'Queen' (1992-
637219	392034	Lali (1996)
637219	398805	Vicky
637220	76151	Josiane
637221	266335	3. Olga
637222	130222	Linda
637222	130228	
637222	410441	Leila de Wit (1993)
637223	270724	Stella
637224	69219	
637224	163699	Maria
637224	230074	Sandra
637225	126319	Nana
637225	198341	
637225	251301	
637225	309150	Francy Proctor
637225	339932	
637226	74339	Suzon
637226	132598	
637226	269240	Paméla
637227	57231	
637227	198341	France (older)
637228	86794	Françoise/Cybèle
637228	132434	Dina
637228	198341	France
637228	268882	
637228	272410	Agnes
637228	345400	Teresa
637229	379879	Mecha
637230	97986	Sári
637230	104197	Vilma
637230	137889	
637230	140671	Rozika
637230	147311	Paula Tinkel
637230	180824	
637230	182642	Annamária
637230	211702	Utcalány
637230	251976	
637230	258808	Zsuzsa
637230	266394	Juli
637230	284183	Kerényi úr barátnõje
637230	312520	Dobos Kati
637230	322105	Bakosék lánya
637230	352776	Éva,titkárnõ
637230	375966	1st Lt. Mária
637230	402220	Panni
637230	409099	Hédi Soproni
637231	386608	Christine
637232	237520	Herself
637233	237520	Herself
637234	15264	Lucia
637234	18347	Deedee
637234	67934	Verpleegster
637234	81475	Carolien
637234	115988	Candy
637234	134369	Helen
637234	147298	Marga
637234	189964	Patrick
637234	208278	Willie
637234	224533	Sara
637234	245792	Secretaresse Wendy
637234	263302	
637234	333742	Marina serveerster
637234	365583	
637234	376258	
637234	410441	Julia Molenaar-Claus (1993-19
637234	410623	Joyce
637235	156150	Claire
637235	386608	Fem
637236	363793	Duchess of Waverly
637237	225689	Herself
637238	376764	
637239	325916	
637239	403795	
637240	231362	Blond Girl
637240	260733	Anka
637241	257384	
637242	266332	
637243	402	
637243	156689	
637243	348677	Adelheid
637243	359688	Primanerin
637244	216672	Receptionist
637245	4798	
637246	231377	Flyer Girl
637247	18530	
637248	328983	
637249	116041	Wilma Bonkenstoter (buurvrouw
637250	273683	Klara
637251	143279	Janey
637252	48211	Stasiakowa
637252	178773	Commission Member
637252	197129	
637252	215214	Charwoman
637252	341067	
637254	166412	
637254	325803	Olga
637254	347000	
637254	381578	Kim
637254	388798	Clara
637255	1774	Herself
637255	8171	Student walking on campus
637255	9074	
637255	11672	Herself
637255	32066	Winifred 'Freddie' Jones AKA 
637255	42357	Herself
637255	50213	
637255	50954	Frances Gretchell
637255	52449	Kay Hudson
637255	53194	Joyce Gilmore
637255	56579	
637255	57260	Girl on Couch
637255	61583	Lucy
637255	67159	Betty
637255	67172	Dorothy
637255	69302	Kate Farley
637255	71422	
637255	72610	
637255	79890	Ina Firpo
637255	85822	Bonnie Collins
637255	88653	Cameo appearance
637255	89711	Jenny Dolly
637255	90428	Mildred Webster
637255	92117	Glenda Crawford, aka Glenda C
637255	93032	
637255	99451	
637255	105574	
637255	109210	Molly Larkin
637255	115647	
637255	116527	Trio Singer
637255	116897	Pat Lambert
637255	118321	Herself
637255	124718	Guest
637255	129079	Nancy Larkin
637255	133998	Hat Check Girl
637255	138744	Chorine
637255	145671	Bit
637255	147382	Barbara Jones
637255	147657	
637255	147773	
637255	147775	
637255	147814	
637255	151535	Stormy Tornado
637255	151634	Loco Dempsey
637255	154692	Jill Lynn
637255	176335	'Goldwyn Girl'
637255	176640	Chorus Girl
637255	183865	
637255	188380	Chorine
637255	195547	
637255	195613	Herself
637255	202852	Susan Hayes
637255	209599	Delilah Lee
637255	210392	First Stewardess
637255	214096	Carol Parker
637255	218717	Kathryn 'Kay' Latimer, also c
637255	219996	Myrtle McKinley Burt
637255	223733	Kitty Moran
637255	230736	Chorine
637255	231785	
637255	233288	Mary Roberts
637255	239719	Sylvia
637255	245628	Member of the Audience
637255	247160	Chorine
637255	255737	Laura Watson
637255	256085	Lorry Jones
637255	265087	Ruth Jarrett
637255	269851	
637255	290335	Student
637255	291341	Herself
637255	299503	Cynthia Pilgrim
637255	308632	Eileen O'Brien
637255	311286	
637255	312042	Vicky Lane
637255	317354	Cayenne
637255	318942	Herself
637255	320253	Susie Lee
637255	321290	Madeleine Marlowe/Rosie O'Gra
637255	321374	Band Singer with Ted Fio Rito
637255	329450	Francesca/Angelina
637255	330908	Jane Morrow
637255	331374	Julie Lowndes
637255	331762	Gwen
637255	333520	Lily Blane
637255	352034	Herself - in pin-up photo
637255	358031	Ruby Summers
637255	362367	Beverly Bennett
637255	362959	Bonny
637255	364461	Goldwyn Girl
637255	366130	Herself - in movie
637255	370537	Carol Brown
637256	191343	Herself
637257	90984	Waitress
637257	262514	Tour Guide
637258	50794	
637259	166871	Additional cast
637260	175189	The Ladies
637261	259489	
637262	17732	
637262	20424	Gräfin Kolontay
637262	40370	
637262	49668	Gloria Gelblich
637262	93502	Lydia Hempel
637262	94280	
637262	98322	Jenny
637262	106099	Emmi Kruschke
637262	119258	
637262	121056	
637262	125279	
637262	126477	Reporter
637262	134599	
637262	142211	
637262	145483	Frau Kronberg
637262	153109	Nina
637262	155101	
637262	155341	
637262	160260	
637262	163081	
637262	164278	
637262	173163	
637262	174565	
637262	180153	
637262	181167	Rose Bonnet
637262	186886	Beate Winkler
637262	198267	
637262	198269	
637262	198428	
637262	198928	
637262	203259	Irene, Modesalon-Inhaberin
637262	225223	
637262	226298	
637262	231612	Frau Betty
637262	239106	
637262	253899	
637262	278996	Katerina
637262	290446	
637262	290618	
637262	290854	
637262	303712	Tini
637262	307560	
637262	312867	
637262	315371	
637262	324564	
637262	325540	Mutter Neugebauer
637262	345893	
637262	347428	
637262	347766	Vera, a waitress
637262	350884	
637262	375990	
637262	376127	
637262	376440	
637262	376458	
637263	218492	
637264	348475	Francisca
637265	189831	
637266	336475	Blonde #1
637267	32182	Silly Girl
637268	131954	Kama
637269	244105	
637270	266304	Karolina
637271	166616	
637271	373522	Toni, Holski's maid
637272	403942	Ulla Krottke
637273	141305	Christine
637274	65374	Herself
637274	91233	Herself
637274	91234	Herself
637274	161317	Herself
637274	364294	Herself (Playboy Photo Editor
637274	367866	Herself (Playboy photo editor
637275	53169	Abogada
637276	259664	
637276	312654	
637277	173652	Reporter
637277	322138	
637278	91886	Mermaid
637279	11542	Miss Flint
637279	35742	Old Lucy
637279	49051	Mrs. Medway
637279	50035	Housekeeper
637279	94530	Grace Milton
637279	125532	Lady Wareing
637279	183275	
637279	192355	Mrs. Lloyd
637279	217941	Nanny
637279	241133	Mrs. Gwynne
637281	365241	Herself/panelist
637282	45608	Teena Brandon/Brandon Teena
637282	113685	Patty
637282	128739	
637282	128848	Emma
637282	154593	Passerby Girl 2
637283	16968	ICU Nurse #2
637283	21213	Female colleague
637283	31727	Nurse Pans
637283	34002	Dr. Gower
637283	61161	Shalita
637283	89054	Anne Kincaid
637283	113489	Ms. Joyce
637283	141024	Letitia Jackson
637283	152945	Mrs. Rabe
637283	199115	Casino Cashier
637283	200521	Gwenovier
637283	210573	Mother
637283	257744	Valery
637283	279022	Nadine
637283	285287	Susan
637283	307463	Linda Hunt
637283	308070	Tia
637283	313413	Maggie Hubbell
637283	321957	Imani Gray
637283	342481	Police Stenographer
637283	356244	Jennie
637283	360087	Tyree Battle
637283	381479	Sonya Topple
637283	397309	Balinda Alexander
637284	153613	Beatrice
637284	326617	Bartender
637285	257633	
637286	382107	Host (1948)
637288	317902	Girl on Plane
637289	191098	Dancer 'Eat the Music'
637290	123877	Carol
637290	213663	Nellie
637291	46524	Rose
637292	127527	Sarah the housekeeper
637293	360027	Extra
637294	308053	Winged Woman
637295	147316	Eine Tänzerin
637295	290755	Eine Soloränzerin(Dancer)
637295	310511	Settchen Strobel -Singer
637296	310680	Wendy Molanko
637297	196605	Claudia Torpichan
637298	362133	Alice
637299	219539	Jataaka (FMV)
637302	27247	Caroline Lewis
637302	176960	Alice's work colleague
637302	194456	Jane Wilkinson
637302	299040	Spedding's PA
637302	360076	Judith
637302	382838	Georgia Simpson (1996-1997)
637302	403635	Chrissie
637303	8086	
637304	405606	Music & Entertainment Correse
637305	257731	Erin
637306	984	Dulcie Landis
637306	72872	Amanda
637306	222636	Martha Moxley
637306	270444	Rachel Reed
637306	299783	
637306	396022	Shannon
637306	400103	Elke Nelsonbooster (2004)
637306	404864	Hope Wilde
637307	393094	Mlor (1966-1967)
637308	194529	Hippie Girl
637308	205984	Neighbor
637309	273327	Nurse
637310	272600	Judy Campbell
637310	283281	Lillian Neubauer
637310	381354	Sydney Coopman
637312	384494	Herself
637312	395138	Substitute Host (2003-)
637313	363947	Alyssa
637314	185596	Nurse Sheila
637315	15222	
637315	27268	Mary Ellen Jefferd
637315	109617	Pretty Girl
637315	213276	The Girl
637316	334767	Aljona
637317	135253	
637317	399190	Joy
637318	42395	
637318	44755	Barbara
637318	120477	Clare Clark
637318	129913	Voice over artist
637318	188623	Principal
637318	364556	Nurse Villard
637318	380311	Owl, Weasle
637318	391377	
637318	401815	
637318	406073	Control
637319	127203	Girl
637320	200470	Female Two in Park
637321	159518	Becca
637322	131974	
637323	220715	Selene
637323	299498	Woman
637323	341986	
637324	379831	Crystal (1989)
637325	3090	Nonprofit Woman
637325	362573	Mrs. LaRussa
637325	363894	Neighbor
637326	331239	Darina
637327	163348	Herself
637328	2250	Viva Las Vegas Showgirl
637329	80911	Dealer
637330	3145	Maria Ranfield
637330	81230	Jasmin
637330	113370	Caitlin Cole
637330	160808	Adriana Sikes
637330	180554	Bridgette
637330	191409	Mary
637330	196600	Hillary
637330	206154	Melissa
637330	300962	
637330	316047	
637330	319078	Alice
637330	331373	Nadine
637330	388117	Callie Manners (1995)
637330	391560	Amanda Darieux (1994-1998)
637330	391562	Amanda Darieux aka Amanda Mon
637331	272631	
637332	366730	Roxy
637333	192625	
637334	409403	
637335	344704	
637335	381263	Lenita
637335	383328	Hilda Belay
637335	390380	
637335	397547	Lili
637335	398502	Glorinha
637335	399713	
637335	403308	
637335	405337	
637336	98440	
637337	25517	
637338	376760	Enfermera
637339	3545	Julia
637339	19945	Psychiatrist
637339	35020	Lidia
637339	67048	
637339	74846	
637339	82405	
637339	83421	Client
637339	84458	
637339	161847	Pilar
637339	163880	Herself - Presenter: Best Sup
637339	164237	Luci
637339	181348	Sonia
637339	186591	Luci
637339	211045	Carmen
637339	223619	Esther
637339	233337	Lola
637339	242682	
637339	244590	Luisa
637339	251580	La Monja
637339	268239	Chica Agencia
637339	275080	
637339	284212	Ángel
637339	293002	Laura
637339	301577	Secretaria
637339	322830	
637339	334699	
637339	347496	
637339	350558	Hermana Tonto
637339	389796	
637339	393346	
637340	310639	Young Girl at Funeral
637340	331328	Dancer
637341	339113	
637342	90520	
637343	91318	Mercedes
637343	121270	
637343	292731	
637343	301188	
637344	392080	Herself
637344	397205	Winner
637344	400840	Marga (2000)
637344	408345	Colaboradora
637345	302323	
637346	275067	
637347	54232	Caperucita Roja (Red Riding H
637347	54233	Caperucita Roja (Little Red R
637347	54235	Caperucita (Little Red Riding
637347	145237	Marita
637347	268828	
637347	308905	Marita
637348	8987	
637348	278425	
637349	220128	
637350	16531	
637350	249045	
637351	52943	Encarnación
637351	78556	Mari Morales
637351	270014	
637352	139898	Herself
637353	79888	Herself
637353	381451	Newsreader (2000-)
637354	390840	Gemma
637355	207726	
637355	341473	
637356	121359	Dolly Hamma
637356	242929	Aunt Connie
637356	250830	Ann Evans
637356	271195	Beth
637356	312813	Elizabeth
637356	386603	Martha Allen (1968-1977)
637356	399837	Pat Steel
637356	400236	Mrs. Ina Hopkins (1978-1983)
637357	18655	
637358	73293	
637359	103014	Herself
637360	48294	
637360	205051	Tete
637360	334704	
637360	344734	
637361	329661	Dancer
637362	351744	Mother
637363	214253	Young girl
637364	18282	Celeste
637365	26174	
637365	42079	Sara
637365	144187	
637365	149425	
637365	253745	
637365	270301	Eva
637365	339942	Agata
637366	175071	Uncle´s future
637367	188793	Paraska
637367	205784	
637368	231652	
637369	20908	Catherine
637369	68369	Olivier's sister
637369	69719	Hebe
637369	96159	Lise
637369	100110	Girl
637369	102395	Pasifae
637369	102622	Tamira
637369	115072	
637369	125463	Nicole Cruchot
637369	125470	Nicole Cruchot
637369	125471	Nicole Cruchot
637369	127462	Cathy Maxwell
637369	189351	Jeanne
637369	199944	Corinne
637369	235026	Svetania
637369	244069	Pauline
637369	246971	
637369	254600	La comtesse de Mirbel
637369	287226	Mary Ann
637369	317693	
637369	345486	Sylvie
637369	356974	Marie-Dominique
637369	377484	L'avocate/The lawyer
637369	379421	Mireille
637369	383862	Anne Dulac
637369	389470	Virginie
637369	410376	
637370	407917	Michiko Hirota
637371	126346	
637372	28681	Amélie
637373	6395	Victoria
637374	87498	Grand-mother
637375	247642	
637375	249903	Maria Teresa Lollobrigida
637375	274267	Old Lady
637376	138760	Lukas' Girlfriend
637376	405539	Tina Brode (1999-2000)
637377	363262	Miss Texas
637378	282798	I.R.I.S.
637378	319241	Emily "Sunshine" Miranda
637379	179583	
637380	20020	
637380	68812	Daniela
637380	335473	Roby
637381	336850	Princesse Jeanne
637382	16864	
637382	68896	
637382	256707	
637382	277003	Susana
637382	309114	
637382	328363	
637382	348128	
637382	352917	
637382	398032	
637383	55555	
637385	280377	
637386	242820	(segment "Operatsiya Y")
637387	371285	Ksenia
637388	202306	Woman (segment 3)
637388	397513	Woman with petya 'ruchechnik'
637388	404819	Kathe Kien (Katya Kozlova)
637389	313707	Tizzy
637389	379264	Gnoard
637389	392200	Jenny Richards (1990)
637390	282689	Sarah Bidgood
637390	294217	Maid to Mrs. Jennings
637390	411382	Bernice, Henry's one-night-st
637391	408234	
637392	195190	Louisiana belle
637392	340854	Hostess
637392	372461	Performer
637393	131359	Baby
637394	245534	
637395	45237	E! Channel Interviewer
637395	47117	Hotel Hostess
637395	152555	Aversion Therapy Model
637395	240798	Tina
637395	299789	Cosmetic girl
637396	271131	Wife
637397	123018	Herself
637398	14212	Tracie Savage
637398	60729	TV Anchor
637398	333390	Newscaster
637399	82835	Leslie
637399	194963	Secretary
637400	316752	Troglodyte Baby
637401	30683	Mrs. Haines
637402	188194	Girl #3
637403	296746	Sasha
637404	64090	Red Cross nurse
637404	334180	Rosalie
637405	102703	Carlotta
637405	105898	Harem Girl
637405	108529	Joy
637405	259398	Laurie Saunders
637406	89572	
637407	20625	Extra
637407	238229	Scrubwoman
637408	20625	Extra
637409	97890	Kettle Child
637410	20625	Extra
637411	294089	Athenerin/Frau Ellinger
637412	116907	Girl
637413	159038	Young woman in church
637414	342822	Sphinx Girl
637415	59125	Madwoman
637415	77857	Choreographer
637415	137462	Pub Character
637415	329692	Meths Drinker
637416	108551	
637417	199733	
637418	367140	
637419	292469	Naked Girl
637420	200038	Maria
637420	259804	Hella Merkel
637420	347821	Silke Rasmussen
637421	23886	Woman acting with the Prater 
637421	125040	Vittorio's Italian lover
637421	140268	Sieglinde Häberle
637421	189576	
637421	290521	Susi
637421	303937	Frau Generaldirektor
637422	282416	
637423	314881	
637424	361007	Babette
637425	290194	Frau Czerwonska
637425	361011	Theres
637426	187623	
637426	225339	Fedra
637427	290237	Gudrun
637428	303836	Mrs. O'Donahue
637429	188715	
637429	365919	
637431	299098	Koyama Megumi
637431	334886	Secretary
637432	162451	Gina
637433	225315	
637434	300761	
637435	336531	Magd Rosa
637437	394602	Carolien Kuypers
637438	201127	Maya Graf
637439	195035	Jenny
637440	71433	
637440	75450	Julie
637440	259556	Eva Gerlach
637440	259579	
637440	259613	
637440	259629	
637440	312884	
637440	317491	
637440	325417	Frederike
637440	338413	
637440	378172	
637441	244676	Herself
637441	347644	Herself
637441	404858	Herself
637442	34520	Dr. Marianne Güldener
637442	120668	Colette
637442	145328	Hilde Petersen
637442	189734	
637442	216299	Irmgard
637442	241972	
637442	290300	Viktor's Mother
637442	308249	
637442	317665	Dina Dorf
637442	361414	
637443	210022	Herself
637444	204184	Ms. Ramirez
637445	368405	Bet Taker #1
637446	328	Reporter #2
637446	30679	News Woman
637446	78835	Head Nurse
637446	118911	Newscaster
637446	379323	Joyce Wrigley
637448	118824	
637450	8848	Young Woman
637450	187707	Danielle Patrie
637451	397616	MDPD ASU Animal Control Offic
637452	4544	
637452	170983	Marilyn Worth
637452	183872	Bess
637452	242942	Frannie
637452	309860	Chief Dinah Culbert/Singing v
637452	381802	Annabel Davis
637452	395467	Alicia Lewis
637452	397081	Herself/panelist
637452	398376	Marsha Cameron Owens
637452	407043	Social Director Penny Whitake
637453	365425	Nancy
637454	302793	Travel Queen
637455	327812	
637456	47472	Abby
637456	144804	Party Guest
637457	195035	
637458	175842	Louise Brinkman
637458	218711	Herself
637459	76664	
637460	315777	Student
637461	12437	Maria
637461	112205	Princess Achen
637461	165848	Hypsipyle 1st General
637461	406921	Elena Kyprianou (Series 1) (1
637462	239104	Girl in Drugstore
637463	20625	Extra
637464	96990	Girl at Pool
637464	203175	Gina Gardella
637464	240772	
637464	252426	Mary
637464	265265	Miriam
637464	315745	Italian Girl (segment "Mademo
637464	331333	Cuban Singer
637465	199796	
637466	14728	
637466	47154	
637466	75485	
637466	106462	Ruth
637466	285245	(segment "Uma Aula de Sanfona
637466	328034	
637466	341474	
637466	349607	
637467	170837	Karin
637468	45129	Neski Neighbor
637469	86500	
637470	113102	Therese Roubinkova
637471	174079	Chinese maid
637472	74182	Steve Polden, Nurse Aide
637472	168119	Camp follower
637472	194721	Operator
637472	206355	Waitress
637472	239062	Herself - Singer
637472	264570	Singer
637472	348322	Miss Wolfe
637473	162282	Aunt
637474	238687	Miss Peabody
637474	346086	Miss Mavis Peabody
637475	53863	
637475	112650	
637475	251051	
637476	24140	Giulietta
637476	48200	Marietta
637476	251051	
637477	28284	
637478	337414	Madame F. Forster
637479	682	Ms. Stern, the Feminist Teach
637479	10874	Shelly Klein
637479	14987	Stacy
637479	30108	Rebecca
637479	47423	Beth Ann Gardener
637479	90280	Great Girl 1
637479	93992	Alicia
637479	120478	Blonde Hostage
637479	164572	Amy, Billingsley Sales Girl
637479	232496	Mercedes Woman
637479	252764	Estelle
637479	272857	Mary Griffith
637479	274729	Donna Patterson
637479	279624	Elizabeth Monroe
637479	281339	Kelly
637479	300304	Screw Frombehind
637479	301704	Abigail
637479	333391	Sikh Nurse
637479	347852	Cynthia
637480	14131	Vocal Jazz Teacher
637481	207828	Newborn Matilda
637482	161757	Cindy
637482	207828	Newborn Matilda
637482	338638	Reporter
637483	392015	Gordon the Gorilla
637484	74809	Teresa
637484	140578	
637484	183501	Monica
637484	212287	
637484	270013	
637484	387479	Georgina
637484	395857	Sofía Lazcano
637484	397838	Marina
637485	148038	
637486	275871	Wannabee Cheerleader
637487	1179	Madre de victima
637488	183660	Mrs. Roberts
637489	69421	Ingrid
637489	90324	Wendy
637489	364190	Blonde
637489	385299	Margie Gibbons
637489	394274	Wilma (1982-1983)
637490	5386	Daughter
637491	276893	Baby
637492	230861	Gloria Gigabyte
637493	329506	Computer Nurse
637494	131005	'Gorgeous' Goldwyn Girl
637495	381821	Ensemble (1984)
637496	84808	
637496	84809	
637497	136523	Embassy secretary
637497	141187	Girl at Track
637497	146738	Bartender
637497	185109	Tank Gunner
637497	186030	
637497	296863	Natalie
637497	359539	Dr. Judith Kramer
637498	68448	Amie
637499	307622	Airline Stewardess
637500	316779	
637501	8629	Mildred's Friend
637501	10605	Girl with Broken Arm
637501	11582	Clara Parker
637501	16471	High school student
637501	28934	Kitty as a child
637501	41092	Child
637501	47364	Autograph Seeker
637501	52427	Baby Sitter
637501	57973	Little Girl in Wreck
637501	62498	Autograph Seeker
637501	72104	Cover Girl: McCall
637501	98659	Bit part
637501	105247	Bunny's Friend
637501	114651	May
637501	124085	Convent girl
637501	141323	Schoolgirl
637501	141498	Hilda
637501	142872	Student
637501	152204	Little Girl
637501	152601	
637501	195188	Girl
637501	195968	Italian Girl
637501	223048	Marguerita
637501	227336	Brinwood Student
637501	230990	Little Girl
637501	232012	Desney Ritchey
637501	233612	Mildred
637501	240624	Jane at Age 12
637501	252299	Baby Amy Rensdale
637501	274924	Child
637501	282357	Gail Trent
637501	289403	Mildred Strong
637501	306397	Agnes
637501	330180	Marta Graffen
637501	348311	
637501	364773	Yancey as a Girl
637501	366361	Noreen Tomasello
637501	372412	Cassie Taylor
637502	144536	Saloon Gal
637502	335588	Bank teller
637503	192807	Queen Victoria
637505	188615	Kid #2
637505	200977	
637506	194055	Singer at Car Lot
637507	365651	Commune Dinner
637508	65102	Tara
637508	211986	Additional Voices
637509	141730	
637510	185237	Herself
637512	119820	Student in the Play
637513	409241	Charlotte (Charley) Wallace
637514	141187	Girl at Track
637515	383078	Anna Turnbull (1993-1997)
637516	59683	
637516	140684	
637516	149662	
637516	230820	Model
637516	321207	
637516	365240	
637517	117067	Gretchen
637518	133636	Ray's Daughter
637519	246923	Stripper
637520	152440	
637520	168215	Mary Wilson
637521	147912	Elizabeth
637522	313400	Crewman Elizabeth Laird/Kling
637523	1715	Nurse Danielle
637523	303442	
637524	89311	Model
637525	281005	Her/Barb
637526	73171	Apache Dancer
637526	254528	Apache Dancer
637526	273083	Adagio Dancer
637526	329592	Herself - Specialty
637527	200261	
637528	98142	
637528	127157	Rosetta
637528	264208	The Girl
637529	88965	April
637529	219558	Woman Police Sergeant
637529	292526	
637529	341931	Rose
637529	380390	Carla Redlon (1982, 1983-1984
637529	380391	Etta Mae Burrell (1995-1999)
637529	404002	Lab technician (1980)
637530	285287	Singer
637531	129435	
637531	216737	Cute Girl
637532	86038	Crystal
637532	158372	Tough Chick
637532	242096	Student
637533	117615	
637534	7196	Diner Young Woman
637534	143742	Dorrie
637535	104747	United Kingdom entry (2nd pla
637536	47583	The White Girl
637536	79630	The Girl
637536	280904	
637536	291817	
637536	340783	
637537	383078	Amanda Bewick (1992-1995)
637538	39161	Stella
637538	71569	
637538	73874	Sally
637538	78022	Diana
637538	138378	Alison Maxwell
637538	142349	Air Line Stewardess
637538	155721	Barucci
637538	222594	Usherette
637538	230373	Mrs. Bennett
637538	254446	
637538	333353	Mrs. Johnson
637538	350913	
637539	221096	Valiant Girl 2
637540	128583	Arleen
637540	348303	Homeless Woman
637541	218599	Girl in Castle Anthrax
637542	221713	
637542	326008	
637543	152838	Young Frannie
637544	10880	Elizabeth
637544	16943	Kendra
637544	24432	Felicity Shagwell
637544	28480	Mary Addie
637544	33027	Herself
637544	40538	
637544	43883	Rollergirl/Brandy
637544	45237	Daisy
637544	52093	
637544	68454	Joline
637544	83676	Jackie
637544	86543	Emily Forrester
637544	90280	Suzanna
637544	94088	Nadine
637544	101726	Maggie Bowen
637544	104965	Cowgirl Heather
637544	113006	Herself
637544	120506	Mary Kelly
637544	133376	Gray
637544	135561	Kimberly
637544	136128	Sharonna
637544	149455	Mandy
637544	154446	Bridget
637544	176960	Alice
637544	178009	Suzan
637544	188223	Perfumery Saleswoman
637544	189408	Mercedes
637544	194849	Judy Robinson
637544	201704	Herself
637544	221306	Mary Kennedy Taylor
637544	221324	Factory Girl
637544	236135	Lilith, Shad's girlfriend
637544	237493	Young Alexandra Bergson
637544	274591	Herself
637544	283339	
637544	289238	Josephine Wingfield
637544	291222	'Stab' Casey
637544	300044	Sara Benedict
637544	300943	Annie
637544	303455	Elizabeth
637544	304230	Herself
637544	317341	Dorrie
637544	321559	Lorraine
637544	328495	Olive
637544	342552	Annie Blackburn
637544	342593	Young Mary Ann Benedict
637544	342872	Carla Bennett
637544	354159	Herself (Host)
637544	403801	Self (guest episode #2)
637544	409210	Annie Blackburn (1991)
637545	407176	Marie Robinson
637546	277098	Kissing Couple Girl
637547	78991	Emma Staller
637548	276052	Manicurist
637549	351439	
637550	78851	Melody
637550	130423	Shy Girl
637550	378682	Zoe Cameron
637550	379672	Isabelle Blundell
637551	302143	Railway Man's Daughter
637551	411500	Clarice Crow
637552	334117	Congregation Member #2
637553	408347	Lorna Gant
637554	297802	Zombie
637555	32438	Doctor
637555	35169	Secretary
637555	35714	Silvia
637555	304821	Dina Strang
637555	328561	Customer #3
637556	361167	Sneeze Victim
637557	367083	Running Girl
637558	69424	Nurse
637559	72504	Protestor
637560	296742	ASM #2
637560	346250	Dancer
637560	363668	Waitress
637561	196404	Show Girl
637562	38983	Sarah
637562	129068	Lucy LaDucer
637562	153458	Sarah
637562	359543	Water Witch
637563	214013	Mrs. Wilson
637564	305036	Dancer
637565	79106	Mercia
637565	133432	Queen Mary
637565	281800	Stately Lady
637565	311873	Jean
637565	328788	Mrs. Hathaway
637565	388860	Lady Mercedes Wilde
637566	195673	Waitress
637567	32531	Angie
637567	37191	Melanie
637567	41004	Sylvie
637567	77190	Adi Pritchard
637567	87464	Karen
637567	120865	Hazel
637567	229113	Elise Gray
637567	236779	Casino Waitress
637567	262591	Eugenie
637567	281919	Kay
637567	301717	Alice/Betty
637567	307968	Mandy
637567	366843	Cathy
637567	380798	Megan Hartnoll
637567	381799	Alona Cunningham
637567	383056	Det. Sgt. Mary Slater
637567	383631	Student Nurse Alison McGrelli
637567	386862	
637567	391092	Alice
637567	392156	Nurse Joan Masson
637567	395569	Alison McIntyre
637567	398989	Caroline
637567	411183	Mary Gilcrest
637568	43953	
637569	40901	Joseph Bartlesby)
637570	41319	
637570	123921	
637570	130666	
637570	232118	
637570	294859	Woman
637570	328442	
637570	335650	
637571	390771	Maggie Scott (1965-1968)
637571	404694	Myra Lake Ames #2 (1959-1963)
637572	381650	Jéssica
637573	168776	Dancer #3/"Jill"
637573	248878	Jackie, Girl at Camp
637574	85897	Herself
637575	41170	Hotel Receptionist
637575	57644	Herself
637576	299393	Annabelle
637577	28675	Mal Rublik
637577	203584	Insurance executive
637578	73114	The Colonel
637578	398940	Anchorwoman (2002)
637579	156851	Young Greta
637581	276867	Girl in Car
637582	10883	Kid at burger stand
637583	193235	Isabel Mary McFetridge, Laura
637584	37270	Pam
637584	294027	Hippolyta
637584	387221	Guinhumara
637584	396073	Flora McKechnie
637585	232207	Beth
637586	716	Herself/host
637586	27344	Sue
637586	27345	Herself
637586	59869	Jessy James
637586	69411	Tracy
637586	86739	Kristie Sue
637586	196890	Abbey
637586	217134	Peggy
637586	232503	Marie
637586	241799	Jules
637586	246238	Principal Claire
637586	293192	Claire
637586	321266	Angelica
637586	330565	Woman at Party
637586	384888	Molly Davenport
637586	390068	Lorelai Victoria Gilmore
637586	390315	Liz Gibson
637586	396301	Opal Marie Brown
637586	408665	Denise Garibaldi Callahan
637587	38761	Heidi
637588	70842	Sheila #1.5
637588	264452	Callista
637588	375694	Zombie
637589	81665	Melody
637590	143556	Donna
637590	346933	Nurse
637591	240930	Host
637592	8366	Sister Madeline Marie
637592	195452	Lady neighbor
637592	256823	Mrs. Oliphant
637593	33	Reporter
637593	79716	Grocery Store Reporter
637593	185900	Newscaster #1
637593	232507	Day Newscaster
637593	275630	Female Reporter
637594	235491	
637595	356335	
637596	375131	Amber
637597	59185	Performer
637598	92269	Mrs. Lois Schmitz
637598	110998	Mother
637598	154301	Lady
637598	178063	Miss Wells
637598	185065	Mrs. Roswell
637598	202395	Mrs. Clayton
637598	276689	Abilene
637598	353307	Mrs. Cruikshank
637599	135812	Perms
637599	263010	Andrea's Landlady
637600	64090	Red Cross nurse
637600	72104	Cover girl contestant
637600	215748	Showgirl
637600	234090	Show Girl
637601	176292	Mother
637601	369458	Newscaster #2
637602	15409	Herself
637602	77710	Herself
637602	102935	Interviewee
637602	175522	Herself (Honoree)
637602	202246	
637602	231976	Herself
637602	345864	Herself (at her dance studio)
637602	385634	Herself (segment "The Individ
637603	34822	Singing telegram girl
637604	232071	Crazy Wanda
637605	109365	Valentina
637606	365901	Marsha
637607	16899	Celine Dion Wannable
637607	295420	Foxy Girl
637607	330368	Cutie
637608	224622	
637609	70619	Jessie at 5
637609	215691	Miss Illinois USA
637610	50171	
637611	200413	Charlotte Poskett
637612	194213	Julie (newborn)
637613	124504	Connie
637614	199210	Gatherer
637615	682	Sign Language Girl
637615	58175	Barbie Doll #4
637615	70208	Kaitlin
637615	300304	Amber
637615	406952	Claudette (1997)
637616	359323	Herself
637617	195623	
637618	266588	Mrs. Foster
637619	218733	Bar Dancer
637619	236950	Smoking hooker
637620	61767	Mary Anne
637620	79529	Felicia
637620	235647	Lisa
637620	240785	Lorette
637620	274729	Priscilla Wells
637620	275602	Shana Leroy
637620	316411	Mother In Grocery
637620	382277	Shelley Russo (1993-1995)
637620	402345	Isabel 'Izzy' Nunez
637620	405038	Marsha Stokes
637620	406907	Maria (segment "Second Chance
637621	145412	Sarah Hicks
637621	367023	
637621	387533	Charlotte Cairns (1997)
637622	6264	Angie
637622	6266	Angie
637622	7188	Jake
637622	10839	
637622	10840	Becky (segment "Worm")
637622	41262	Charlene
637622	41386	Patti
637622	72871	
637622	72878	Amy (segment "Eyes Of The Rip
637622	73416	
637622	124181	Gwendolyn
637622	135601	RoseMarie Curtis/Monica Larra
637622	136197	Deputy
637622	188140	Lady Anne
637622	212047	
637622	241758	Dawn
637622	259871	Tarper
637622	266600	Nurse
637622	270922	Gina
637622	353368	Tyler Phenix
637623	311449	Amazon
637625	3687	Herself
637625	67118	Herself
637625	128847	Sister Grace
637625	133673	Commentator
637625	157091	Herself
637625	167529	Herself
637625	329605	Herself
637626	58646	Herself - Mrs. George Graham
637627	411245	Susan Foster (Episode 2: Just
637628	75269	Mrs. Davis
637628	330669	Elizabeth Gregory
637628	356955	Mrs. Phillips
637628	380348	Beryl Doyle
637628	381087	Mrs. Rathbone
637628	384783	Maggie Clifford/Brent
637628	385224	
637628	385299	Alma Furness
637628	387785	Mrs. Austen
637628	389086	Irinka
637628	392191	Mrs. Simkins (1980)
637628	395924	Evgenia Estafis
637628	400221	Ethel Ledbetter
637628	408818	Aunt Dinah, Miss Codling
637628	411300	Martha Parrish
637629	171297	Elevator Girl #2
637629	293198	Young Sylvia
637630	139791	Librarian
637630	258292	Narrator
637630	330689	Monica
637631	354203	Extra
637632	138737	Shop Girl
637634	20148	Der Komponist
637634	77455	Marguerite
637634	108062	Mrs. Page
637634	130590	Mezzo-soprano
637635	363812	XaXa, Younger Twin
637636	71683	Marlene Ivy
637636	304341	Erin Harris
637637	354953	Alexis Macalla
637638	262589	Angel - Nativity Choir
637639	129113	Claire Densen
637639	318510	Billie Weston
637640	25683	
637641	41455	Housemaid
637642	313334	Hotel Passerby
637643	24193	Beatrice Potter
637643	36588	Phyllis Wetherall
637643	59496	Isobel Arlington
637643	83156	Yvonne Latour
637643	168174	Girl
637643	183275	
637643	190895	Margaret Marshall
637643	203757	Vivian Beresford
637643	224786	Miss Dunbar
637643	337806	Madge Jordan
637643	366578	
637644	2761	Herself - Memorial Tribute
637644	11182	Herself
637644	55583	Reporter
637644	107081	Herself
637644	253121	
637644	292647	
637644	304538	Gossip Specialist
637644	380391	Herself (1989)
637644	384366	Marge/Lila Quartermaine (1997
637644	389029	Host (1956-1961)
637644	390106	Hostess (1963-1969)
637644	406700	Emcee (June-September 1954)
637644	407916	Stella Stanton (1982)
637644	410250	Host (1970-1972)
637644	410982	Herself/panelist (1952)
637645	3887	Herself - Atkin's fmr. jail-m
637645	169641	Herself
637646	124477	Herself
637647	297190	Sorority Girl
637648	220249	
637649	66652	Herself
637649	267112	Townswoman #2
637650	358610	Mrs. Hope
637651	1962	Herself - Best Supporting Act
637651	27112	Rosemary Bartlow
637651	37113	Debby Marsh
637651	39738	Bethia
637651	41002	Sally Murfin
637651	41139	Mrs. Deere
637651	59007	Selma
637651	66381	Karen McIver
637651	73824	Ginny Tremaine
637651	77836	Witch
637651	103240	Evelyn Harrison
637651	128417	Carolyn Porter
637651	131410	Denise
637651	133949	Angel
637651	140966	Clara
637651	152526	Vicki Buckley
637651	157456	Laurel Gray
637651	163262	Nurse
637651	163485	Violet Bick
637651	193805	Annabelle
637651	198844	Margie
637651	202656	Mama Love
637651	203341	Zama Cernik
637651	203561	Lucy Sherwood
637651	204736	Katherine
637651	210481	Mrs. Sisk
637651	211615	Mistress Page
637651	211635	Beulah Baxter
637651	226873	Marianna
637651	232390	Ma Fox
637651	235405	Harriet Lang (horse breeder)
637651	238260	Helen
637651	239414	Ado Annie Carnes
637651	264513	Princess Nadja
637651	267033	Herself
637651	277867	Bonnie Shelley
637651	277893	Amy Porter
637651	282402	Mary Wells
637651	308656	Fran Ledue Page
637651	313319	Herself
637651	318165	Irene Neves
637651	325036	Angella
637651	334596	Mrs. Roy
637651	366934	Flower Girl
637651	367721	Susan Caldwell aka Estrellita
637651	403336	Sue Prescott
637651	404939	Moll
637652	20295	Kitty Rivers
637652	32789	The Actress
637652	39671	Mme. du Barry
637652	47507	Joanna Dane
637652	47533	Simone St. Clair
637652	48539	Annette de Remy
637652	68824	Muriel
637652	71630	Aimee Maxwell
637652	73222	Pearl
637652	73348	Madge Carter
637652	73424	Bianca
637652	96954	
637652	107013	Emily Terkel
637652	112319	Marcia Trent
637652	117724	Crystal Grey
637652	129226	Lady Betty Enfield
637652	137393	Emily Terkle, in 'Fabulous Jo
637652	150905	
637652	153988	Margot Grahame
637652	154880	Mrs. Langley
637652	156455	Dorothy Turner
637652	159594	Katie Madden
637652	160066	Lil
637652	188563	Cynthia Latham
637652	190998	Gloria Paget
637652	195616	Julie Bubois
637652	201457	Valerie Broughton
637652	232299	Helen Roberts
637652	243260	Wanda Sinclair
637652	261507	
637652	264030	Mirana
637652	281052	Helen Dickson
637652	281374	Clara Popkiss
637652	281775	Mary Edwards
637652	285719	Duchesse de la Tremouille
637652	307355	Zangara, the gypsy
637652	309253	Mrs. Dora Sorrell
637652	312988	Countess Elsa Talven
637652	319033	Herself
637652	331520	Milady de Winter
637652	333172	Elizabeth
637652	340464	June Desmond
637652	342933	Marie Smith
637652	346840	Stella Tolhurst
637652	351590	Rosa Melitus
637652	366966	Margot Gilbey
637652	371330	Clary Baumann
637653	241355	Herself
637653	355691	Herself
637654	40207	Noel
637654	47182	
637654	71348	
637654	224786	Mrs. Gibson
637654	337467	Alice Hall
637655	29909	Mavis
637655	187048	Striker
637655	249265	Jeff's Mam
637655	273246	Mrs. Pennington
637655	382384	Dawn
637655	385823	Woman at NCF meeting
637655	392172	
637656	219762	The Most Boring Woman In The 
637657	272518	Deceased Ancestor
637657	410768	
637658	46352	Caroline Divine
637659	174173	
637659	197418	
637659	264338	
637660	62197	Judith Hutter
637660	125068	Joanna
637660	147186	Secretary
637660	153173	Frau Splitgerber
637660	259588	
637660	259682	
637661	153766	Solveig
637661	223206	
637662	322313	Nurse
637663	1348	Herself
637663	61766	Amanda Porter
637663	128478	Jann
637663	161392	Herself
637663	176496	Puppet Lady
637663	237908	Bianca
637663	316767	Young Woman Lawyer
637663	389858	Alexis Davis/Natasha Cassadin
637663	397401	Denise Fielding (1997)
637663	398567	Connie Dahlgren (1995-1996)
637663	400236	Beverly Wilkes (#2) (1980-198
637663	401930	Alexis Davis (1997-2003)
637663	404282	Julia Wainwright Capwell (198
637664	373370	Liisa
637665	1385	Alcohol waitress
637665	17467	Stella Karlberg
637665	23415	Greta Persen
637665	101126	Mrs. Höglund
637665	131138	Astrid (episodes 1, 2, 3)
637665	134966	Inger
637665	138181	Woman
637665	142234	Old Woman
637665	199082	Colleague's Wife
637665	204543	Obducent (episode 1)
637665	209331	Train conductor
637665	214360	Rut Davidsson
637665	219437	Friend
637665	241217	Mrs. Ahlström
637665	252005	Gammel-Maja
637665	256500	Mrs. Prysselius
637665	278374	Narkossköterska
637665	281908	Göta Isaksson
637665	303207	Katarina, nurse
637665	304469	Marie
637665	378897	Forensic scientist
637665	381054	Avdelningssköterskan
637665	386641	Maggan
637665	387963	Giraffen/Gunni
637665	398852	Fru Ström
637665	402277	
637665	403084	Gerd Sjögren (1992-1994)
637665	408589	Neighbor's Wife
637666	404446	Herself
637667	63066	April Mae
637667	115549	Model
637667	301557	Williams the Reporter
637667	373577	Cory Greyfeld
637668	383269	
637668	383561	Hortência
637668	386505	Suzy
637668	388458	Melânia da Silva Prates
637668	392591	
637668	393286	Madre Superiora
637668	396035	Teresa Albuquerque
637668	396886	Marlene
637668	396899	Amparo Lima do Vale
637668	397550	
637668	400214	
637668	400765	
637668	402266	Ruth
637668	409003	Aurinívea
637668	409407	Maria Leonor
637668	412270	Luísa
637669	51395	
637669	211663	Térébinthe
637670	223882	Lisa
637671	210329	Herself
637671	397394	Herself
637672	210328	Herself
637673	33647	Isabelle
637673	337025	
637673	352216	Louiske
637674	37630	
637676	55678	Moira Plunkett
637676	164871	Consuela
637676	383581	Secretary
637676	395194	Helena
637677	85079	Veronica Larmour
637678	77219	Nichola Crowley
637678	156530	Star
637678	215796	Harriet
637678	310416	Lisa (Older)
637678	379727	Kirsty
637678	385541	Young Maggie Richardson
637678	403630	Princess Kate
637678	410978	Megan Boothe (2003-)
637679	138369	Ryack
637679	273738	Laura
637680	273850	
637681	196870	Lady O'Donnel
637682	131232	Extra
637683	366418	Evy
637684	156530	Star's school friend
637685	23723	Saleswoman
637686	82640	
637686	240607	La notairesse
637687	53574	
637688	53637	
637690	111679	Chmielewska
637691	172431	
637691	244252	
637691	350788	Vera
637692	89792	
637693	84908	Additional Voices
637694	106527	David's Mother
637695	53284	Wet T-Shirt Contestant
637696	243445	
637696	380080	
637696	380839	
637696	381169	Virginia
637696	381720	Diana
637696	383273	Emma
637696	383548	
637696	385370	Ángela Serrano de Sánchez
637696	385875	Andrea
637696	391417	Gabriela
637696	391421	
637696	397838	Paulina
637696	400797	Adela
637696	400947	Odette
637696	401068	Natalia
637696	408406	Laura
637697	101225	Baby-sitter Marianne
637698	199398	Lulu
637699	101322	
637699	396874	Trixi van der Looh (2001-)
637700	12567	
637700	15288	
637700	24513	
637700	28604	
637700	28605	
637700	94420	
637700	119169	
637700	119204	die Tochter
637700	122605	
637700	128471	
637700	135007	
637700	175305	Elsa Goebel
637700	177179	
637700	178638	
637700	187553	
637700	189731	
637700	189746	Annie
637700	290674	
637700	290824	
637700	320575	Anicka, foster-child
637700	335022	
637700	361524	Sybil Werner
637701	355544	
637702	385904	Herself - Host (2000, 2002-20
637703	250891	Picture story character
637704	55933	
637704	257566	
637704	336558	
637704	351782	
637705	374192	Herself
637706	16856	
637706	16861	
637706	47519	Letzia
637706	51367	
637706	77437	
637706	84182	Damigella di Bard
637706	90007	Desolina, the niece
637706	117971	
637706	127956	
637706	158701	
637706	166344	
637706	202762	Matilde Sarni, madre di Mario
637706	205157	
637706	212526	Emma Alberti
637706	214850	
637706	215011	Old Lolotta
637706	217758	Badessa Anziana
637706	227574	Maddalena
637706	252579	
637706	255125	
637706	258495	
637706	268999	
637706	292365	Soeur Thérèse
637706	303178	Lucia Robbiano
637706	351010	Maria
637706	351071	
637706	352636	Letizia, sua sorella
637706	356220	
637707	158701	Grandmother
637707	206029	La duchessa Matilde d'Herrera
637707	243635	Scilla
637707	263735	
637707	290930	
637707	303178	Anna Robbiano
637707	355891	
637708	136719	Wellgunde
637708	277459	Wellgunde
637708	358687	Grimgerde
637708	403405	Wellgunde
637709	243681	Roos
637709	390410	Eline Kervezee (1998)
637709	410437	Karin
637709	412043	Klant Esther
637710	366598	Mourning Woman
637711	143514	Child
637712	381821	Ensemble (1973)
637713	108197	Marie-Louise
637714	290895	
637715	114938	French Girl
637716	175832	Betty
637717	195751	Screaming Lady
637718	84032	
637719	84667	
637719	396039	Anna
637720	226908	Annie O'Shea
637720	264785	Camille, the Card Girl
637720	384511	Dancer 1988-1992
637722	33565	Dancer
637723	277430	Kurdinja z otrokom
637724	24484	Waitress
637724	101040	Yadwiga's Neighbor
637724	198828	Cook
637725	215690	Miss Iowa USA
637726	40402	
637727	269820	
637728	12912	Valeria Nisticò
637728	57832	
637728	85464	
637728	85945	
637728	85966	
637728	111299	Maria Amalia
637728	207800	
637728	260075	Bronzino's Wife
637729	108956	Adolescent Kate
637730	156726	Putzi
637731	92347	
637731	104057	Doña Pepa
637732	411404	Feature Singer (1970-1971)
637733	35891	Bessie
637734	15221	Mrs. Russo
637734	51883	Elanor
637734	115549	Tow Truck Dr.
637735	180101	Office staff
637736	53338	
637736	57249	
637736	59793	Argentinian artist
637736	259420	Señora Laurel
637737	4127	
637737	16962	
637737	30857	
637737	45402	
637737	61247	
637737	103611	
637737	134224	
637737	137586	Mina
637737	152171	Agnes
637737	173681	
637737	183201	
637737	190417	
637737	297093	
637737	371339	
637737	404050	Adelaine Enriquez
637738	8255	Fatma
637738	74622	
637738	103492	
637738	135922	Pacesita, Maria's Maid
637738	276101	Betty Lou
637738	276127	Rosita Sanchez (hooker)
637738	283542	Dianne
637738	300587	
637738	308332	Pilar Fortuna, Don Pedro's Da
637738	332644	Juana
637738	343574	La bonne Maria
637739	3426	
637739	225014	Mercedes
637740	41142	Cafe Singer
637740	48539	Passenger
637740	74519	
637740	80147	
637740	100274	Lulu
637740	205707	Jennie Driggs
637740	233543	Janet
637740	249772	Matilde Barnes
637740	255550	Secretaria
637740	371781	
637741	63740	
637741	89572	Lucy
637741	109943	Amazon
637741	124426	
637741	132721	
637741	237518	
637741	251612	
637741	301382	
637741	349655	Lucilla
637742	28970	
637743	222047	
637744	66229	
637744	104017	
637744	334700	
637745	161847	Sara
637746	14721	
637747	16632	
637748	14709	
637748	57565	
637748	71284	María
637748	74600	Nereida
637748	81616	
637748	82589	Concha
637748	83420	
637748	98976	Da. Mercedes, La gitana
637748	136920	
637748	148051	Rita
637748	170385	
637748	198197	Vicenta Barnet
637748	206978	
637748	210590	Elena
637748	212033	
637748	226436	Cunda
637748	243509	Herself
637748	246943	Vicenta Barnet
637748	248750	Mabel
637748	265320	
637748	268235	
637748	276566	Teresa
637748	279271	Madame Floria
637748	281636	Rita
637748	296458	Elisenda
637748	307243	
637748	308327	
637748	318278	
637748	333707	
637748	341595	
637748	353669	
637748	361417	Caroline
637749	156444	Teresa
637750	27781	
637750	73528	
637750	74615	
637750	90099	María Vela
637750	103535	
637750	135301	
637750	170033	
637750	197452	
637750	211165	
637750	212542	
637750	234416	Soledad
637750	251581	
637750	258381	Erika
637750	269030	
637750	275324	
637750	288950	Carmen
637750	343574	La barmaid
637751	88802	
637752	6673	
637752	6737	
637752	8539	
637752	14939	
637752	31537	
637752	51616	
637752	52962	Luisa
637752	53576	Araceli Villorini
637752	53613	
637752	55924	
637752	71121	Don~a Elvira
637752	74603	
637752	74626	Ana
637752	76017	
637752	87075	
637752	87084	Elena
637752	89736	
637752	101627	Elena
637752	101897	
637752	103508	
637752	103639	
637752	103807	
637752	113245	Ana
637752	120705	
637752	121274	
637752	121285	
637752	121771	
637752	132650	Virginia
637752	134492	Lidia
637752	143677	
637752	145255	
637752	146486	Isaura
637752	148057	Mujer separada de esposo por 
637752	152235	
637752	159870	Consuelo
637752	161657	
637752	189020	Ana de Montesinos
637752	193070	
637752	193077	
637752	209366	
637752	211331	Madre de Mai Ko
637752	221894	
637752	221983	Rosario
637752	247976	
637752	248291	
637752	276480	
637752	281611	
637752	292731	
637752	292739	
637752	292758	
637752	296194	
637752	301188	
637752	332596	
637752	333576	
637752	337435	
637752	337436	
637752	341081	
637752	343721	
637752	344654	Sara Soler
637752	353615	Cruz
637752	357912	
637752	370170	
637752	386401	
637752	386504	Sra. Guerard
637752	387825	
637752	390869	Daniela
637752	393882	
637752	396404	
637752	396815	Margarita
637752	397204	Virginia
637752	399709	
637752	404985	Margarita
637752	405398	Doña Luz Torres
637752	407542	Ana
637753	73528	
637754	163514	Marie
637755	6269	Lisa
637755	162606	Isabella
637756	2529	
637756	62887	Christel Werner
637756	93432	Lilla
637756	93439	
637756	120995	Sophie Kordes
637756	121042	Heide Wolters
637756	123947	
637756	134778	Ruth Degener
637756	141939	Fannerl Brückner
637756	144134	Maria
637756	147130	Maria
637756	147161	
637756	175278	
637756	180967	
637756	202002	Sabine
637756	223280	
637756	225721	Jenny Hagemann
637756	255495	
637756	262433	Marie Fröhlich
637756	282205	Nora Krüger
637756	290667	Susanne
637756	300723	Herta
637756	301000	Martha Heinz
637756	326056	Barbara Hoff
637756	340276	Gardy Kronbeck
637756	348108	Gräfin Destournelles
637756	361399	Sonja
637756	390938	Jill Yates
637756	395112	
637757	104222	
637757	375077	
637758	104222	
637758	375077	
637759	105028	Member of The Dixie Chicks St
637760	353187	
637761	241056	
637761	280833	Mama Pepisco
637762	2742	Trisha
637763	28375	
637764	8936	Barge man's wife
637764	9652	Sally Davis
637764	19222	Laura
637764	34436	
637764	64235	
637764	68263	Herself
637764	68659	Nadia
637764	82439	Annie
637764	90008	Cat (segment "Flora")
637764	119086	
637764	158823	
637764	162083	Girl on the Train
637764	162651	
637764	191208	
637764	199075	
637764	217102	Hostess
637764	254963	
637764	270810	Anita
637764	288800	Antonia
637764	290895	Bianca
637764	293321	
637764	310467	
637764	315844	Louise
637764	338259	Moglie del Sindaco
637764	356163	Teresa
637765	308117	
637766	123404	Janet Capiello
637766	276328	Pam
637767	83879	Farmaceutica
637767	199958	
637767	301178	
637768	27429	
637769	26345	Showgirl
637769	60332	Herself
637769	128668	Self
637769	157063	Strip Club Waitress
637769	356652	Herself
637769	365676	Herself
637769	399419	Co-Host (1998- )
637770	14983	Kenneths flickvän
637771	59917	Herself
637771	194521	Herself (1998 Olympic gold me
637772	307840	La quatrième femme
637773	380713	Jennifer Munson #2 (1992-1993
637774	249105	Police Officer
637775	303195	Sara Nyman, Roger's child
637775	396250	Boarding-School Girl
637776	320563	
637777	343399	
637778	6585	Guest at the ball
637778	108053	Woman on the ship
637778	108199	Mrs. Lönnqvist
637778	109544	Woman at Grand Hotel
637778	153716	Kvinna på dansbanan
637778	198007	Dinner guest
637778	286877	Woman at party
637778	344377	Kolmätar-Lotta
637778	345994	Guest at Hammar's party
637778	377298	Guest at Tora's party
637779	214361	Fanny
637779	307222	Britta's Mother
637780	176794	
637781	9353	Dancer
637782	3597	Herself
637782	136016	Herself
637782	158877	Voix
637782	179974	Herself
637782	282110	Herself (leaves hospital with
637783	81427	Pauline
637784	81427	Fille du traille
637785	18175	
637785	380102	Ligia Sifuentes
637785	383467	
637785	387103	
637785	387624	
637785	392610	Patrizia Ferrini
637785	400941	
637785	410387	
637786	129092	Hooker #1
637787	384187	Host
637788	105713	Customer
637788	192250	Greenbacks Saleswoman
637788	323390	Mrs. Kilvitus
637788	397832	Lillian Morgan
637789	4500	Gundi
637789	301001	Claudia
637789	325409	Helga Mainusch
637789	325857	
637789	343500	
637789	409627	
637790	259096	
637790	401740	Additional Voices
637791	228022	As Jenny
637792	60807	Millie
637793	41616	
637794	116599	
637794	146514	
637794	169743	
637795	212498	
637796	13094	Carmelina (segment "Il telefo
637796	29669	
637796	324454	
637797	310801	Raver Girl #2
637798	23905	
637798	46638	Suzanne
637798	63264	Miss Suzie
637798	66730	Suzanne Mauguiot
637798	82919	Yolande Vouvermann
637798	84102	Suzanne
637798	102946	Suzanne de Romiguières
637798	103929	
637798	112836	
637798	113219	
637798	132171	
637798	148656	La danseuse
637798	187922	
637798	197395	Suzanne
637798	201029	
637798	209118	
637798	224887	
637798	226792	L'actrice Lina Béryl
637798	236199	Francesca
637798	237921	
637798	264443	Mme Bertin
637798	320419	
637798	320425	
637798	345393	
637798	351716	
637798	352652	
637798	354969	
637798	377842	Renée
637799	106992	
637800	275822	Sarah
637801	275822	Claudine
637802	198312	Hélène/Une dame
637803	383784	Mariesol Torre
637804	99246	Adina's girlfriend
637804	106818	
637804	127983	Suor Luisa
637805	344621	The bookstall keeper
637806	383784	Mariesol Torre
637807	205713	
637808	117957	Woman Prisoner
637809	136987	Alfredo's Mother
637810	202043	
637810	407343	Hostess
637811	84838	French Woman
637811	276759	Mme. Bonnard
637811	306343	Annette
637811	319166	Marie the Housekeeper
637811	323395	Mme. Bonnet
637812	257132	Mrs. Cheeves
637813	28700	Ene Kallas
637814	285424	Lucienne
637815	282499	
637816	161989	Daughter
637817	3357	
637818	89194	Stephen's Wife
637818	169296	Anne Grandhenry
637819	111043	Laurence
637819	268820	La femme toilettes
637819	346554	Florence
637819	410470	Natacha
637820	119243	Gwendolin
637821	113702	
637822	77157	
637823	51697	Sultana
637824	3340	
637824	29774	Angelo custode
637824	251088	Soprano for "Guarda che luna,
637825	6393	
637825	73066	La concierge
637825	205622	Marceline
637826	218541	
637827	323881	Giulietta
637828	5363	
637828	25318	Euryale
637828	68646	
637828	83762	Giulia
637828	90757	
637828	106048	Ursule
637828	118128	Gioia
637828	132557	Marcella Fabbri
637828	157856	Rosetta
637828	158628	Fioranna
637828	183482	
637828	202125	
637828	252664	Aida
637828	255537	
637828	255540	Cassiera
637828	270691	Madre di Ivan
637828	278404	Lola
637828	279584	Dora
637828	285743	Ada
637828	301355	Simona
637828	315942	Olga
637828	317573	
637828	328196	Teresa
637828	328872	
637828	338017	
637828	351534	Nancy's Mother
637828	380366	Donna Maria
637828	401402	Anabella
637828	402780	Simona (1997)
637828	403263	Herself (Innkeeper)
637828	405800	
637829	375307	
637830	58992	Madelon
637831	6603	
637831	6903	
637831	7533	
637831	26622	
637831	29542	
637831	33071	
637831	33980	
637831	38915	
637831	39389	
637831	40480	
637831	41342	
637831	44546	
637831	45276	The Wife
637831	47620	
637831	50916	
637831	67325	
637831	67327	
637831	72194	
637831	72345	
637831	73432	Florence Montrose
637831	73490	
637831	79673	
637831	79680	
637831	83051	
637831	83685	
637831	83692	
637831	88946	
637831	91239	
637831	109721	
637831	117720	
637831	123298	
637831	124226	Catherine Willis
637831	124262	
637831	130663	
637831	133841	Herself
637831	145882	
637831	146086	
637831	152712	Barbara Thorndyke
637831	161719	Col. Bryson's daughter
637831	165440	
637831	165441	
637831	176295	The Heroine
637831	177553	
637831	189959	Ethel Garvin
637831	192189	
637831	195373	
637831	196165	Ethel
637831	196274	
637831	204280	
637831	215327	Ethel
637831	234800	Mary, the Widow
637831	242464	
637831	248015	
637831	271944	
637831	273832	
637831	294756	
637831	307387	Frank's Wife
637831	323183	Tanya Huber
637831	327386	
637831	327865	
637831	329095	
637831	333815	
637831	335015	
637831	336409	
637831	337414	Her Sister
637831	345845	
637831	351731	
637831	359303	Ethel, the Wagon Captain's Da
637831	363461	
637831	369354	
637832	142422	Sister Angel Cakes
637832	174520	Dot
637832	366259	Peggy Nolan
637832	391317	Sister Angel Cakes
637833	398852	Flyktingförest. Skurup
637834	380203	Ewa
637834	394942	Diana
637834	397781	Graci
637835	388804	Herself
637836	26079	Additional Voices
637836	28675	Sheena
637836	59105	Sammi
637836	79314	Colette
637836	150554	Allison Leigh
637836	220787	Nightclub Natasha
637836	222831	Nicole
637836	245649	Margaret
637836	309860	Nurse
637836	320916	Phoebe
637836	331639	Blonde
637836	342812	
637836	342871	Simone
637836	382743	Bernadette
637836	387203	Melanie (1993)
637836	390276	Elsa Balfour
637837	42099	Edit
637837	152757	Inese
637837	261571	Matti af Geijerstam
637837	343459	Shulamit Hanegbi
637839	13553	Thérèse Lavaud
637839	23809	Mariette
637839	57541	La chanteuse
637839	65616	Juliette
637839	84042	Herself
637839	133086	Soeur Agnès
637839	166347	Zette
637839	167168	Agathe
637839	190970	
637839	200944	Madeleine Le Goff
637839	275634	Manous
637839	322760	Irène Parent
637839	346716	Germaine
637839	381051	Céleste/Flore
637839	390773	
637839	391589	
637839	393489	Herself (regular guest)
637839	394178	Aimée Marceau
637839	396366	La greffière (segment "Innoce
637840	80871	Kate
637841	28285	Madeleine
637842	132712	
637842	401481	Prostituta
637842	402411	Alejandra Albornoz
637842	402463	
637843	198462	Une fille
637844	154502	Tourist
637845	7558	Fru Hammer
637845	7780	Jenny 'Bælam' Sørensen
637845	120310	Kildals sekretær Irmelin Lars
637845	151823	Fru de Brisville
637845	219005	
637845	322455	Dame på mødrehjælpens kontor
637846	11770	Mutter von Corinna
637846	139709	Professor Candy
637846	167153	Dienstmagd bei Haupt
637846	259464	Eva
637846	259637	Ilona Brück
637846	259678	
637846	273755	
637846	312633	Susa
637846	313330	Uhura
637846	322497	
637846	325821	Frau Bruehl
637846	379322	Tante Lucy (German version)
637846	388609	Frau Voss
637846	389361	
637847	161294	
637848	209210	Screaming refugee
637849	353464	
637850	225129	Erna
637851	90793	Nurse
637851	191762	George's Girl
637851	230411	Young Girl
637851	261992	Amy
637851	328263	Monica
637851	359716	Louisa
637851	368092	Barry (Bouncer)
637852	91201	
637853	167210	Linda
637854	7438	Madame de Soissons
637854	20220	
637854	20545	
637854	21625	
637854	54100	La Tornada
637854	54804	Madame Charolais
637854	66733	
637854	70521	
637854	148729	
637854	148758	Madame de La Motte
637854	148764	Mme Daumont
637854	175677	Madame Arrieu
637854	248685	Madame Germaine
637854	252317	Mademoiselle de la Motte
637854	285082	Armande
637854	287976	Mme Monestier
637854	292380	La nièce du comte d'Eon
637854	301401	Mme du Bois-Lambert
637854	338327	
637854	345347	
637854	355280	
637854	382466	La mère de Dominique
637854	399106	Mme Clermont
637855	32306	Daria Morgendorffer/Mrs. Stev
637855	32308	Daria Morgendorffer, Heather,
637855	33023	Herself
637855	78703	Daria Morgendorffer
637855	162533	Daria Morgendorffer
637855	162534	Daria Morgendorffer
637855	381522	Daria Morgendorffer/Mrs. Stev
637855	385705	Daria Morgendorffer
637856	43758	Greta
637856	44828	
637856	87500	Karen
637856	88067	L'hôtesse de l'hôtel
637856	156294	Georgia
637856	205487	Nadia, la femme de Boris
637856	216774	La femme de Mocky
637856	346567	Une invitée de Lady Dudley
637856	354585	Hermine Malorne
637857	343719	
637858	376999	
637859	80273	Lilly
637859	80304	Annie
637859	108361	
637859	163900	Le jeune femme
637859	355867	Martine
637860	278097	Duenna
637861	11936	
637861	170468	
637862	48075	Office Staffer
637862	110284	Lulu
637862	307903	Genie
637863	18798	
637863	30392	
637863	148162	
637863	192949	
637865	6642	Chica teléfono
637865	86708	Patricia
637866	31963	Beatrice Cenci, Francesco's d
637866	73721	Catherine Desjardins
637866	110422	Rita Bardacci
637866	122216	
637866	132750	Françoise de Beaulieu
637866	214295	Patricia
637866	215854	
637866	234560	
637866	300669	Vivette
637866	340670	Clarisse à 18 ans
637866	348733	
637866	348736	Amiko
637867	47922	Witch
637867	109587	Reginald's mother
637867	154516	Old Patient
637867	186398	Aunt Em
637867	190179	Woman Photographer
637867	324035	Emigrant
637867	366996	Policewoman
637868	50846	Jessy
637868	246871	Sofía
637869	390517	Grandiosita (2003)
637870	129530	
637871	52248	
637872	206821	Herself
637873	101139	Patronne du café
637874	371419	Mme Simpson
637874	383820	Mme Thiébaud
637874	384123	Fine
637875	377055	Anna
637876	75531	Herself
637876	240029	Dr. Montpelier
637876	248124	Nurse Millie
637877	380390	Helen Carpenter (1981, 1982)
637877	400236	Regina Braun (1984)
637878	170392	Rikke
637878	178731	Rikke
637878	304361	Rosa
637878	306973	Fanny Philipson
637878	334249	Kvinde
637878	398260	Bodil Stillebæk
637879	229491	Rose
637879	407811	Michèle
637880	310	La mère
637880	56950	Marie Touchent
637880	345386	La comtesse
637881	211350	Portia
637882	376687	Nieta Tío Matías
637883	376687	Hija de la Gitana Flores
637884	308609	Caroline's Friend #1
637885	367073	Munchkin
637887	3935	
637887	6791	Cashier
637887	7405	Girl in Candy Shop
637887	7622	Kippie
637887	8182	Passenger
637887	10638	Dolly
637887	11660	
637887	26612	Dorothy Errol
637887	26776	Bit Part
637887	26987	O'Neil's Secretary
637887	27045	Mrs. Errol
637887	32910	Bit
637887	35078	Mrs. Errol
637887	35579	Mrs. Dorothy Errol
637887	37543	
637887	38711	Mrs. Errol
637887	39205	Woman
637887	41060	Mrs. Errol
637887	41870	Knife thrower
637887	44536	Mrs. Errol
637887	51756	Mrs. Errol
637887	52904	Woman in Theater Box
637887	53338	
637887	62085	Mrs. Errol
637887	62269	Cab Driver
637887	71573	
637887	72016	
637887	72263	Tommy
637887	72400	
637887	76499	Mrs. Errol
637887	76579	
637887	78190	Skagway Kate
637887	80670	Ticket Girl
637887	81026	Woman from Atlantic City
637887	82928	Patient (Miss Peppitone)
637887	83917	Woman
637887	84933	
637887	85828	Chorine
637887	88153	
637887	88952	
637887	89652	Woman Who Drops Her Pearls
637887	90295	Mrs. Errol
637887	90537	Bit
637887	91747	Mrs. Errol
637887	91963	
637887	92161	Dental patient
637887	92959	Fat Girl
637887	96961	
637887	105571	Fill-in Receptionist
637887	108016	
637887	108328	Heavy Girl
637887	109784	
637887	112475	Nina
637887	113907	Divorcee
637887	115647	
637887	116898	Vivian Errol (segment "He For
637887	120335	
637887	124067	
637887	125377	Mrs. Arlene Errol
637887	127470	
637887	128790	
637887	128883	Mrs. Errol
637887	130967	Nanette, Girl in Cafe
637887	131362	
637887	137478	
637887	140040	Hatta Marri
637887	140757	Grace Clarice
637887	140768	
637887	140777	Mrs. Errol
637887	140803	
637887	143355	
637887	143565	Woman
637887	144606	Mrs. Jones
637887	144753	Dorothy Errol
637887	145671	Miss Cole, Stenographer
637887	145708	Mrs. Errol
637887	146080	
637887	146209	
637887	147276	Tillie, the Hardy's Maid
637887	147450	
637887	148399	
637887	149104	Pearl (saloon girl)
637887	150168	
637887	152837	
637887	154099	Mrs. Errol
637887	154905	Dorothy Errol
637887	154912	Dancing Girl
637887	155018	Girl
637887	157866	Girl in first saloon
637887	158067	Hysterical Woman
637887	158178	
637887	163349	Mrs. Errol
637887	163638	
637887	164708	Stella Graham
637887	168019	Mrs. McPhinn
637887	168678	Irene
637887	175627	Bit
637887	176805	Millie Gardner
637887	177308	Dora
637887	177616	
637887	178881	Barmaid
637887	183378	
637887	183643	Myrtle
637887	183706	Autograph Hunter
637887	183822	Hot Dog Girl
637887	183865	
637887	186162	Young woman
637887	188336	
637887	188382	Dorothy Errol
637887	188562	Woman at Party
637887	190531	
637887	191536	
637887	193763	Belle
637887	194411	
637887	194459	Mrs. Errol
637887	195574	
637887	196297	Mrs. Brown
637887	199686	Vita-Life Rejuvenator demonst
637887	200896	Mrs. Errol
637887	201313	
637887	201432	Archive footage from Beware o
637887	203796	Maizie, mistaken for Betty
637887	204167	Nina Malone
637887	206384	Hortense Bailey
637887	206530	Suzanne
637887	211339	
637887	211601	Maxim Girl
637887	212747	Ward Nurse
637887	215599	Mrs. O'Mulvaney
637887	216467	
637887	224003	Yvonne
637887	227290	
637887	228639	
637887	230731	Fat Bridesmaid
637887	230902	Bit part
637887	231133	
637887	233288	Phyllis
637887	233783	
637887	234321	Young Woman
637887	235165	Mayme Cassidy
637887	238935	Alice, Andy's true love
637887	239048	Mrs. Errol
637887	239188	Mrs. Errol
637887	239655	Moll
637887	240650	Marlow
637887	241257	Mona Rutherford
637887	241382	A Community Player
637887	241542	First Nurse
637887	241735	
637887	241846	Mrs. Errol
637887	242110	Sally
637887	247045	Attendant at bath house
637887	248832	
637887	253020	
637887	254278	
637887	255236	
637887	256455	Dot
637887	259402	Newlywed
637887	261705	
637887	262265	Undetermined Role
637887	263083	Cashier
637887	263940	
637887	267157	Girl
637887	267177	Mrs. Errol
637887	270114	Skagway Kate
637887	270698	
637887	271297	Madame Gaubert
637887	273793	Hortense
637887	279303	French Girl
637887	281163	Bit part
637887	282343	
637887	283394	Hotel Desk Clerk/Switchboard 
637887	291214	
637887	291864	Edna Brown (Red Cross date)
637887	292189	Bit
637887	292470	Wrong Mrs. Follinsbee
637887	292720	Mrs. Errol
637887	296965	Joan Mercer
637887	297211	
637887	298256	Bit
637887	299035	Mitzie Menegue
637887	299493	Mrs. Errol
637887	299803	Dancer
637887	300018	
637887	300062	Chorus Girl
637887	301261	Bit Part
637887	304534	
637887	306396	Lady
637887	309054	
637887	309939	Party Girl
637887	311626	Dorothy Errol
637887	311659	Mrs. Errol
637887	312085	
637887	313377	Officer
637887	316132	Jeanette Woods
637887	319193	Maisie
637887	321158	Mrs. Dorothy Errol
637887	321166	
637887	321290	Singer
637887	323380	Switchboard operator
637887	327668	
637887	328296	Mrs. Sturgeon
637887	329140	Mrs. Errol
637887	329388	
637887	331957	Tarkana
637887	332123	
637887	333657	Hatcheck Girl
637887	335657	Mrs. Errol
637887	339905	Mrs. Errol
637887	340853	Girl
637887	342545	Dorothy Errol
637887	342910	Bit
637887	342940	
637887	345989	
637887	346195	Maybelle
637887	346908	Woman
637887	347102	Mrs. Errol
637887	350408	Herries Servant
637887	350650	Dorothy Errol (archive footag
637887	358777	Gossip
637887	360761	Ruby, Dick's Wife
637887	361841	Rejected Woman
637887	362007	Commissioner's Wife
637887	363079	Nancy
637887	363190	Waitress
637887	364326	
637887	365064	Mrs. Errol
637887	365096	Dorothy
637887	367448	Party girl
637887	367573	Belle
637887	368244	Bit part
637888	165829	
637889	296552	Our Guests at Heartland
637890	410907	Singer (1969)
637891	54369	Doris
637891	117307	The Girl
637892	276202	Wanda
637893	275825	
637894	40250	Melanie
637894	130311	Dancer
637894	167047	Woman
637894	183220	
637894	334104	Lady
637895	369184	
637896	225099	Berthe
637897	119585	Curch Song Leader
637898	283454	Hester
637898	363961	Setsu's wife
637898	374196	Aunt Rosa
637899	332216	Emmeline
637900	70498	Secretary
637902	169136	Tamar: Judah's Wife
637903	275825	
637904	130129	Cuban nurse
637905	16561	Sekretärin
637905	17435	Igna Vargas
637905	126177	Dora Dulkebow
637905	166427	Trudel Baumann
637905	226225	Bärbel
637905	347613	Peggy
637905	356840	Ottilie, seine Frau
637905	379882	Svanhild Magnussen
637905	390889	Schwester Inge
637906	149753	Madame Rochard
637906	346557	L'employée de cure
637907	30167	Lady in Olga's studio
637907	77404	Sonja Svensson
637907	84297	Adelaide
637907	88829	Modern
637907	111631	Ms. Blom
637907	122334	Stella Sandell
637907	129268	Flaxa Mildväder
637907	134707	Mrs. Ringmar
637907	136179	Agda
637907	138527	Blenda
637907	145471	Susanna 'Suss' Wikander
637907	150665	Harriet
637907	174721	Annabelle West
637907	174726	Ragni
637907	182290	
637907	191558	Gittan
637907	199518	Kristina
637907	200401	Elna
637907	203256	Karin
637907	204532	Sonja Svensson
637907	215242	Mormor
637907	223194	Gittan
637907	241980	Sonja
637907	267672	Kickan
637907	268342	Maj Vendel
637907	284057	Sonja Svensson
637907	305130	Ulla Täckberg
637907	308191	Mrs. Zitter
637907	314911	Sofi Lundblad
637907	354593	Villervalle's Mother
637907	355627	Sonja Svensson
637907	365485	Dolly
637907	377302	Martha
637907	390236	Mother Sackéus
637907	394864	Anna Ekelund
637907	410218	Mother
637908	264279	Sister
637910	82428	Signora Adele
637910	229644	Contessa
637910	267932	Interviewer
637911	223963	Co-Worker
637912	176989	Anchorwoman
637913	13040	La dame en noir
637913	113112	
637913	166268	Etiennette
637913	238041	
637913	300735	Mme. de Senlis
637914	110216	L'hôtesse
637914	200931	Bambi
637914	200944	Odile Rivière
637914	217842	Catherine
637915	47462	Younger White Woman
637916	195365	
637917	321361	Dagmar
637918	227563	
637919	191566	TV Reporter
637920	224065	Women
637921	156904	Manuela
637922	53696	
637922	324176	
637922	351831	
637923	306667	Bibiana Terra Cambará
637924	294028	Chihiro/Sen
637925	147010	Josefin
637925	210362	Drömhus
637926	2350	
637926	96681	Summer
637926	151458	Girl in Jamaica Commercial
637926	182955	Mickey Cohen's Mambo Partner
637926	367964	Emily (photo)
637927	389331	Eva (1972)
637928	56617	The woman
637928	137294	Dixie Hopper
637928	187563	Doris Volt/Florence Hasselbac
637928	199083	Maj/Lisbet/Eivor
637928	218221	Clairy Blomstedt
637928	314957	Mona Hansson/Rosa Flodquist/R
637928	377392	Hulda
637928	390146	Bibi Vogeljazz
637928	391599	Various
637928	396340	Customer/Singer/Lisbet/Datsun
637928	408587	Lady
637929	25282	Elin
637929	30167	Lady in Olga's studio
637929	59717	Annstu-Lisa
637929	108633	Ekdahlska huset - Miss Vega
637929	108982	Amman/The nurse
637929	172428	Grandma
637929	181086	The Sick Girl's Mother
637929	304410	Hanna Andersson
637929	322437	Lalla
637929	341091	Aunt
637929	342310	Cleaning woman
637929	378336	Anitta
637929	388894	Svea (episodes 1, 2, 3, 7)
637930	108633	Ekdahlska huset - Petra
637931	120896	Rita
637932	48324	Cecilie Holm
637932	94273	Ane
637932	184121	
637933	393957	Story reader
637934	82152	
637934	146985	Kontordame, i husmorfilm
637934	152210	Moren
637934	204542	
637934	225340	Vertinne
637934	234942	Raggan
637934	242691	
637934	242693	Rita Rønneman, popsangerinne
637934	322471	
637935	234112	
637936	3239	
637937	3239	
637938	79310	Ellen
637938	118279	Wedding Party Guest
637938	148430	Melissa
637938	179071	Lorreta roundtree
637938	209473	Eva
637938	231118	Pub Waitress
637938	257296	Major Maria Cooper
637938	263916	Vero
637939	33003	Groupie #2
637940	251748	
637941	81543	Ellen
637941	161962	Anais
637941	194566	Alice
637941	214455	Ice
637941	240935	Willie Walker
637941	273704	E.R. Technician
637941	290397	Lucy Fernandez
637941	331664	Amy's Girlfriend #3
637941	360465	Naomi Budden
637941	363972	Jill
637941	388476	Vanessa Carter
637941	406007	Christine Hughes (2001-2002)
637942	80290	La mère
637942	84097	
637942	84475	La préfète
637942	85638	Dombert
637942	94243	Emma
637942	98954	
637942	101530	La femme en gris
637942	110124	Nadia
637942	111026	Loraine
637942	111076	La femme ivoire
637942	158834	
637942	200937	Madame Dupin-Duclos
637942	203219	Kathy Heller
637942	209944	Claudia
637942	235851	Mrs./Mme. Carrion
637942	248915	Eliane
637942	252235	Mme Grivault
637942	288992	Genevieve
637942	300660	Éliane
637942	314470	Comtesse Dranitski
637942	324321	Bookseller
637942	338094	
637942	345232	Evelyne
637942	346524	Sabine
637942	354024	La belle automobiliste
637942	376902	
637942	380864	Mirette
637942	380978	Isabelle
637942	392369	Anne
637942	393279	Marie
637942	393976	Françoise Le Guen
637942	396870	Nathalie
637942	400762	Joelle
637942	401329	Françoise Keller
637942	403089	(segment "Coup de vice")
637942	408652	Marjorie
637942	408662	Lorraine
637942	409462	Nicole
637942	410048	Luise
637943	341356	
637944	85145	
637944	91481	
637944	133196	
637944	357260	
637945	348985	Sara
637946	271631	Adéle von Wildheim
637947	94337	
637948	382281	Self
637949	7035	Kaidu Maid
637949	7967	Betty
637949	38583	Guest
637949	41108	Mona, the Moll
637949	48568	Undetermined Role
637949	53192	
637949	53218	
637949	57193	Fanny Lee
637949	57217	Mom
637949	65818	Eva Larue
637949	67150	Undetermined Role
637949	73700	Hazec
637949	78090	Leila Bostwick
637949	78787	Margie
637949	81550	Celia Adams
637949	81575	
637949	84872	Linda Weston
637949	97392	Rachel Tobias
637949	101277	Mrs. Lazich
637949	105615	Betty Ford
637949	114082	Girl assistant
637949	119783	
637949	123884	Woman
637949	133949	Woman
637949	139936	A party guest
637949	140676	
637949	143577	Operator at control tower
637949	146835	Anna Wahl
637949	154213	Hilda
637949	168119	Townswoman
637949	168702	Mrs. Holiday
637949	170157	Carah
637949	183589	Gertie
637949	185254	Gladys Hewitt
637949	185536	Undetermined Role
637949	190563	Kate
637949	199686	Blonde
637949	202934	Information Booth Clerk
637949	204191	Charlotte Evans
637949	205724	Woman in Gaming House
637949	208914	Shirley Kennedy
637949	212181	
637949	220165	
637949	231855	Eunice
637949	232344	Blonde
637949	234471	Clara
637949	240610	Mr. Sadd's Secretary
637949	266936	
637949	273083	Hospital Telephone Operator
637949	274738	Millie
637949	276675	Cora Mayberry
637949	279441	Babe
637949	282394	Anna's maid
637949	283381	
637949	286808	Woman
637949	292678	Moll
637949	300013	
637949	302596	Soubrette
637949	316232	Housekeeper
637949	316692	Mae Jones
637949	319150	College Widow
637949	327156	Sylvia
637949	329948	Thelda (the Swedish maid)
637949	330196	Mary Nolan
637949	330514	Selma
637949	342453	Mary's Maid
637949	345860	Woman
637949	362091	Hanna, the Maid
637949	363190	Waitress
637949	367089	
637949	372050	Girl
637950	126649	JonBenet Ramsey
637951	2852	Anna
637953	249339	Esquire/Flower Maiden
637954	360711	
637955	380391	Sharon Miller (1975)
637955	387309	Liz Hillyer Prentiss Fields (
637955	401021	Maggie (1963-1965)
637956	265876	Stewardess
637957	162098	Celia
637957	256623	Isabel
637958	294308	
637959	2327	Herself
637959	15223	Herself
637959	15224	Herself
637959	54308	Herself
637959	63167	Herself
637959	141007	Herself
637959	217508	Herself
637959	231496	Herself
637959	250847	Herself
637959	286476	Herself
637959	306322	
637959	308565	Maryann Lowery
637959	315769	
637959	324783	Herself
637959	358825	Herself
637960	156501	Carol
637960	371962	Sister of Freya #4
637961	130180	May
637962	16120	Jill
637962	310682	Butler
637962	410539	Office girl
637963	114561	Grace
637963	185310	Tracey
637963	318103	Kelly
637963	388969	Neighbor
637964	55700	Miss Bangor
637964	55719	Hospitality girl
637964	116515	Harem girl #9
637964	323837	Susan Blake (segment "Reflect
637964	374638	Angvisa Girl
637965	260308	Fah
637966	114561	Grace
637966	318103	Kelly
637967	90882	Lt. Katie Carlson
637967	97042	Doris
637968	197754	
637968	329566	
637969	362052	Jane
637970	237991	Jaz
637971	385299	Claudia Price
637971	392546	Josie Spry
637972	79448	Chris Robertson
637972	163189	Ann
637972	166737	
637972	188447	Morgan Ames
637972	197289	
637972	220057	Miss Crocker
637972	280639	Sidni Kane
637972	294745	Susan Hewman
637972	305159	Mildred
637972	338285	Grace Wallants
637972	407416	Lulie (1970-71)
637973	235471	Girl in Car
637974	3973	Ruth Betters
637974	16847	Mrs. Turcott
637974	41962	Ruby
637974	43877	Miss Kettlewell (Child's Play
637974	61646	Miss Kettlewell
637974	64918	Lois
637974	77676	Lovejoy
637974	78835	Shayla Beaumont
637974	80716	Madge
637974	83644	Lou
637974	83680	
637974	88869	Woman
637974	90407	Babette
637974	90772	Kitty Farmer
637974	97035	
637974	105366	Sheila
637974	107742	Paulene
637974	114644	Arlene
637974	115161	Housewife
637974	130066	Waitress
637974	139156	Alice
637974	154301	Mrs. Beta
637974	156785	Martha Packard
637974	169895	Brenda Lundy
637974	186427	Trent's Mother
637974	189726	Linda Baker
637974	195313	Stephanie
637974	195576	Hazel
637974	207709	Laundry Lady
637974	222781	
637974	234982	Grace Goddard
637974	241776	Mom
637974	244933	Virginia Kendal
637974	245728	Pat McGinty
637974	251477	Motherly secretary
637974	271192	Mother at farmhouse
637974	278822	Melvina Pou
637974	280081	Mrs. Cole
637974	281388	Olline
637974	285287	Becky (auditorium speaker)
637974	309153	Sissy Hickey
637974	310726	Helen
637974	321348	Mama Iris Bailey
637974	321660	Sophie
637974	330314	Ranger Mildred Luna
637974	331178	Roberta
637974	333347	Cora Mae Cobb
637974	334150	
637974	334385	Loretta
637974	361167	Lillian Logerfield
637974	363997	Roz Kincaid
637974	367093	Diner Manager
637974	386009	Thelma Wainwright
637975	63418	
637975	291411	Herself
637975	291412	Herself
637976	46445	Maggie
637977	116837	
637977	122865	
637977	247932	
637978	60695	Nurse Nanci
637979	206232	Belly dancer
637980	157247	Mrs. Smith
637981	20188	Dancers
637982	302793	Sister Stellar
637983	213313	Dancer
637984	687	Herself
637984	1744	Herself/Audience Member
637984	47210	Herself
637984	96867	Performer/Herself
637984	104616	Herself (UK member of the jur
637984	201943	Jury Member
637984	384715	Vocal Coach
637984	388264	Vocal Coach
637984	401836	Vocal Coach (Series 1) (2001-
637985	346310	Elizabeth Sutton
637986	186623	
637987	87325	British prostitute
637987	162853	Fox Lady
637987	401224	Partygoer
637988	2964	Reporter
637988	209526	Weather Woman
637988	408637	Reporter
637989	6904	Carmio
637989	35496	
637989	183773	The Lady
637989	186370	Mrs. Douglas
637989	229418	
637989	274030	
637989	362601	Belle
637990	391222	Herself
637990	403830	Herself (2000-)
637990	403831	Herself
637990	405579	Various Characters (2003)
637990	405679	Herself in 'A Calf is Born' (
637991	176498	
637991	186431	Jade
637991	326757	Elizabeth
637991	368110	Girl with Slim
637991	379288	Tasha Courday (1999)
637991	379696	Sierra Jennings
637993	213164	Carol
637994	67709	
637995	317934	Cindy Fisher
637996	16950	
637996	23935	Herself - audience member
637996	154168	Linda Fishbine
637996	154745	
637996	218788	Marie Holdsworth
637996	245501	Ginnie
637996	250448	Stella
637996	289396	Valerie (Hobson) Profumo
637996	369826	Deborah
637996	380388	Sarah Roberts
637996	381582	Chief Superintendant Blake
637996	382347	Paula
637996	382581	Sarah Francis
637996	382693	Leonora Campbell
637996	385313	Sheila Cody
637996	387334	Alexandra of Denmark
637996	401077	Carol Johnson, receptionist (
637996	403711	Celia Pagett-Smythe
637996	408018	Anthea Turton
637996	410837	Sarah Preston
637998	203774	Agency Assistant
637999	61157	Linda Morse
638000	404643	
638001	240029	Trish
638002	162529	Heather
638003	92112	Herself
638004	151530	Peaches
638005	293267	Joelle's Mother
638008	310112	Female Engineer
638008	403373	Dale Daley
638009	245699	Grant's Girlfriend
638010	121257	
638011	1556	
638011	87236	
638012	73833	Candyce
638012	93762	Mrs. Maris
638012	118549	Joanna Morgan
638012	135812	Charleen Barnes
638012	148530	Tina
638012	160897	Penny Stretch
638012	165635	Alison Hawkins
638012	204522	Rita
638012	240325	Karen York
638012	240326	Herself
638012	240644	Stephanie Hodges Aiken
638012	264657	Lana Williams
638012	294139	Denise
638012	337281	Beth Frayn
638012	349231	Dr. Juliet Parrish
638012	353273	Zina
638012	357104	
638012	390603	Rhonda Blake
638012	406463	Tattie McKee
638012	409738	Dr. Julie Parrish
638012	409744	Juliet Parish
638012	409745	Dr. Juliet Parrish
638013	44482	Nan Howard
638013	46729	Dancing Instructress
638013	57343	Betty Lee Harvey (Holbrook)
638013	77777	Dance Hall Girl
638013	91971	Peggy Burns
638013	175627	Kentucky Belle
638013	233288	Hoofer
638013	239053	Mary Ann Lee
638013	243338	Settler girl
638013	274280	Mary Baxter
638013	277651	Nancy Tilton
638013	332034	Nugget
638013	335868	Dancer
638013	337852	Mary Allen
638014	144467	Singer at Rodeo Dance
638015	168670	Dr. Zoe Hunt
638016	273224	Penny
638016	358991	
638017	58632	Charlotte
638017	158338	Karen
638018	37381	Sally
638018	53273	Maidenhead Fern
638018	55686	Sally G-String
638018	55707	Nurse in Bath
638018	65531	Suzy the Slag
638018	139608	
638018	290346	Striptease Artist
638018	374638	Angvisa Girl
638019	84971	
638019	365166	
638020	58394	
638021	381221	Sonia
638022	161395	Herself
638023	92192	Mrs. Caldwell
638023	150304	Tammy
638023	316513	Gloria Pendleton
638023	320108	Henny Backus
638023	357001	Society Matron
638025	88891	Camille
638026	36751	Cindy Adams
638026	200201	Herself
638026	327975	Herself
638026	361817	Herself
638027	20625	Extra
638027	62498	Autograph Seeker
638028	385718	Mrs. Pettinger
638029	26423	Lindsey Bauer
638029	26865	Psychiatrist
638029	41998	Mrs. Knicks
638031	297785	Fannie Wainright
638031	365400	Singer
638032	66393	Pia
638033	209298	Blonde in convertible
638034	17506	Mrs. Cortwright
638034	23207	Stewardess
638034	39844	Anna, the housekeeper
638034	59610	Miss Judson (Kemp's secretary
638034	129088	Nurse
638034	149384	
638034	170754	Mrs. Fitzhugh
638034	194462	Woman Magistrate
638034	195816	Attendant
638034	214695	Mrs. Merrick
638034	234803	Old Woman in Shop
638034	241553	Mrs. Kendle
638034	268915	Fanny Willoughby
638034	297180	Passenger
638034	299072	Jenny, a Patient
638034	320269	Miss Pomfrett
638034	347109	Servant
638034	354201	Nurse Gregg
638034	355837	Mrs. Wickett, Maid at Apartme
638034	361543	Mother
638034	363758	Sick Woman
638034	365400	Singer
638034	369182	Miss Hudkins
638035	3456	
638035	75649	
638035	222045	
638035	354448	
638035	367097	Rongar's Sister
638036	326105	Susan(female lead)
638036	389867	Louise #2
638037	329915	Hospital Receptionist
638038	187703	Mrs. Arbogast
638039	11186	Martha Apple
638040	102338	Stephanie
638040	104999	Ellen
638040	223858	Noa Roth
638040	288905	Nicky Carter
638040	354163	Jocelyn Whitaker
638040	381811	Celeste Lundy (1993-1994)
638040	398336	Jacey Wyatt
638041	208527	Jill in 'Jack and Jill'
638042	32440	Queen
638042	74189	Megan
638042	100087	Kathryn Scott
638042	222300	Additional Voices
638042	304870	Frances, Aged 10 and 14
638042	362188	Marie Nielsen
638042	398513	Additional Voices
638043	31625	Rosie
638043	230869	Ellie
638044	65883	Matriarch
638044	77857	Cacille Kurt
638044	268156	Mrs. Eynsford Hill
638044	302264	
638044	321090	McQueen's secretary
638044	394273	Norah
638044	400843	Mrs. Hockridge
638046	221330	Herself
638047	405209	Debbie Pono (1999)
638048	216639	Ms. February - Boxing
638049	411759	Karen (1984)
638050	263443	Herself
638051	237783	Kennedy
638051	380713	Betty Louise (1997)
638051	390771	Colleen (1998)
638052	11610	
638052	19950	
638052	54989	
638052	66351	Mary's nursemaid
638052	67051	Laundry worker
638052	108279	
638052	120825	Sonia, the peasant girl
638052	124337	Garage owner's daughter
638052	139016	
638052	142543	
638052	146326	The bride
638052	160014	
638052	162546	
638052	162982	The Wife
638052	176737	Maid with bird cage
638052	186031	Laughing patient
638052	194291	Sally
638052	202855	The girl
638052	233591	
638052	234854	Secretary
638052	243159	Little Valencia
638052	255147	His daughter
638052	278059	Jean Croft
638052	282391	Mrs. Laurello
638052	282661	
638052	288679	Maid
638052	290993	Tourist
638052	300014	Mrs. Jump
638052	307116	
638052	346186	The Princess
638052	346839	
638052	362364	The wife
638052	362542	Billie, the bride
638052	364078	Nurse
638052	365390	The model
638053	245137	Hooker #1
638054	831	Princess Yasminda
638054	2649	
638054	3086	Princess Parisa
638054	15936	Mary Pilant
638054	20846	
638054	36969	Jeannie Whirling
638054	38237	Herself
638054	38238	Herself/Narrator
638054	38239	Herself
638054	47980	Norah
638054	56105	Girl on bridge
638054	57730	Jo-Anne
638054	75912	Lise
638054	117655	Young Hopeful
638054	130976	Herself/Mama Bear
638054	135964	Clee Chouard
638054	136020	Anne Martin
638054	138726	Herself
638054	142887	Herself
638054	159765	Mrs. Goodwin
638054	192735	Manicurist
638054	215993	Jen Vollard
638054	232249	Laura 'Hutch' Hutchinson
638054	242757	Lt. Betty Bixby
638054	254619	Ellie Rhodes
638054	273543	Girl at songwriter's party
638054	276005	Taini
638054	315513	Hazel
638054	332880	Bit Girl Honeymooner
638054	345724	Sally Haskins
638054	365395	Honey
638055	186740	Shannon
638055	282928	Tampa Lady in Red
638056	167051	
638056	293770	
638057	398940	Anchorwoman
638058	157575	Dorothy
638058	168237	
638058	222737	
638059	14104	Trisha McClain
638059	29519	Linda
638059	317928	Kris, The Pet
638059	389464	Momiji Sohma
638059	411884	Rinku
638060	283595	Herself - conductor Glasgow I
638061	139092	Debbie
638061	314817	Simone
638061	316969	Mrs. King
638061	405520	
638062	383780	Mrs. Takemoto
638063	51843	Claire
638064	272031	Teen by Pool
638065	2603	Herself - Best Supporting Act
638065	3021	Herself - Past Winner
638065	7409	Katherine McCleod
638065	9128	Karen Wallace
638065	13320	Aunt Spendora
638065	13933	Herself
638065	28313	Carmen
638065	29885	Ava Marshall
638065	36823	Joanne
638065	37467	Ferguson Edwards
638065	41682	
638065	49689	Fritzie Braddock
638065	59597	Sylvia Lupowitz
638065	64724	Dora
638065	67604	Leslie Williams
638065	69834	Mrs. Barr
638065	77435	Ann Thorn
638065	82055	Lena Foster
638065	84362	Shoplifter
638065	88154	Dede Murphy
638065	92111	Narrator
638065	92618	Dr. Harper
638065	117065	Anne Holt
638065	130410	Winnie
638065	131413	Various roles
638065	144630	Herself
638065	145175	Marilyn Klinghoffer
638065	147910	Herself
638065	157824	Maureen Leeds
638065	158270	Mrs. Leslie Colbert
638065	160970	Jean Robertson
638065	161308	Herself
638065	161331	Herself
638065	163586	Amalia Stark
638065	168525	Herself (interviewee)
638065	184548	Joyce Enders
638065	185288	
638065	189955	Ellie Schuster
638065	192048	The Judge
638065	200005	Ellen
638065	206267	Celia Pruett
638065	213037	Marilyn
638065	214087	Evalyna
638065	214972	Herself
638065	222194	Louise Bonner
638065	229859	Carrie Miller
638065	232222	Marjorie Howard
638065	240326	Herself
638065	249515	Judge Meredith Leland
638065	253114	Virginia Monroe
638065	257903	Norma Hubley
638065	260231	
638065	260966	Sophie Portnoy
638065	280322	Narrator
638065	286338	Herself
638065	287311	Herself
638065	291837	Irina Arkadina
638065	297261	Felicia
638065	297990	D.A. Doris Cantore
638065	308110	Carol Gertz
638065	310837	Marilyn Matchett
638065	315518	Edna
638065	317877	Cora Cahn
638065	320878	Anne MacGregor
638065	326428	Dr. Donna Burke
638065	328554	Suzy
638065	329974	Mrs. Bullard
638065	331159	Maxine Lochman
638065	346004	Jane
638065	350012	Miriam Polar
638065	355519	Deborah Ballin
638065	357068	Lillian Rosen
638065	362140	Adele Ross
638065	363243	Clarisse Ethridge
638065	363337	Hannah
638065	365742	Lillian Farmer
638065	368475	Avenging Angel
638065	372130	Esther Jack
638065	381110	Grace Coolidge
638065	388521	Fay Stuart
638065	398642	Rachele Mussolini
638065	401350	Stella Chernak (1965-1966)
638065	404613	Rose Peterson #1 (1953-1954)
638065	411009	Blair Dillon
638066	20806	Hotel Manageress
638066	37953	Sascha Harris
638066	339411	Mrs. Jones
638066	375131	Cara
638067	125606	Astrid
638067	209242	Bathtub Girl
638068	207473	Norma Sands
638068	343108	
638068	365118	Monica Brigstick
638070	153248	Lino's Mom
638071	35239	Steve's Decathlon Team Member
638072	347308	Robbery Victim
638073	81776	Reporter
638074	81620	Herself
638075	388264	Herself (Series 2) (2003)
638076	61769	Hattie Soames
638076	168258	
638076	346398	Grandmother
638077	161742	Mrs. Greenman
638078	215178	Girl in bar #1
638079	109475	Bank Teller
638080	104761	Irish entry (4th place)
638081	68364	Olivia
638081	84644	Stéphanie
638081	100013	Véronique
638081	116439	Elodie
638081	225769	Philomène la prof
638082	245158	Fisher Folk
638083	270765	
638084	406491	D.S. Flett
638085	381876	Mrs. Simpson
638086	328664	Moll
638087	285031	Nun
638089	140405	Actress playing Sadie on Broa
638089	380391	Peggy Harris Nolan (1965-1972
638089	387309	Arlene Goodman/Susan Earle (1
638089	390771	Helen Tynan (1982-1984)
638089	405882	Peggy Harris Nolan (1970)
638090	254889	Ana Templeton
638091	183213	Ballroom Dancer
638093	9831	Mrs. Edmonton Smithfield
638093	47600	
638093	49053	Mrs. Morton
638093	61732	Flossy Wilson
638093	62861	Mrs. Wagstaff
638093	92939	
638093	159982	Housekeeper
638093	165512	
638093	171040	Mrs. Grant
638093	183578	Lakshima's Maid
638093	185639	Mrs. Dixon
638093	200278	Pauline's mother
638093	245184	
638093	282656	Mrs. Chandler, the Fairy Godm
638093	296922	Babette
638093	300171	
638093	327291	Rosetta
638093	331228	Marcella
638094	14782	
638094	277022	Martha
638095	51724	Manny
638096	283789	Robert's mother
638097	358197	
638098	1422	Parsons Girl
638099	75574	
638100	18249	
638101	133223	
638102	78744	Young Anne
638102	223962	
638103	86263	Peaceful Fountains of Desire
638103	91929	Party Flower
638103	100026	Tanya
638103	267508	Li
638103	382296	DC Chen
638103	406391	Wu Oof
638104	126572	
638104	206440	Karen
638104	235456	Janet Jones
638104	275321	Hairdresser/Victim #1
638104	317816	Angie
638105	314681	Escort
638105	403549	Herself (2001-2002)
638105	408150	Hostess
638105	409499	Co-Host (2000-2003)
638106	73304	Jessica, the Maid
638106	107229	
638106	124260	
638106	223036	Mrs. Whipsnade
638106	309801	
638107	8169	Ivy
638107	162294	Mrs. Bailey Clark
638107	197185	Shop assistant
638107	382590	Louise Saunders
638108	150853	Call Girl
638108	178085	Lamaze Instructor
638109	35688	Christine
638109	40700	Female Pedestrian
638109	92270	Babe
638109	106193	ICU Nurse #3
638109	154620	Volunteer Wife
638109	161051	Receptionist
638109	178085	Lamaze Instructor
638109	190927	Cabbie
638109	191502	Margaret
638109	194212	Accountant
638109	220034	Bartholdy
638109	244447	
638109	298008	
638109	302312	Doctor
638109	302789	Waitress
638109	323153	Georgia
638109	366904	Clara Davies
638109	400236	Rachel Gannon (#3) (1996-1998
638110	80755	Cheerleader
638111	27207	Nurse #2
638111	38268	Pearline, Leon's Prostitute
638111	53821	Kitty Culver
638111	54749	Newscaster
638111	56895	Hooker in police station
638111	67665	Woman in Elevator
638111	70796	Mrs. Parsons
638111	90984	Detective Pouget
638111	93098	Marge Fuller
638111	102338	
638111	119756	Hooker on the Street
638111	135514	Second Nurse
638111	149911	Nurse X
638111	151788	Hooker
638111	167708	Pearl
638111	190209	Mary Lou Brown
638111	208054	Sarah Oakes
638111	217990	Nina
638111	224164	Policewoman
638111	232838	The Roach
638111	236982	Cell Woman #1
638111	245668	
638111	272371	Ms. Parmington
638111	386238	Additional Voices
638111	405480	Eloise Watkins
638112	17695	Diana Barry
638112	17696	Diana Barry Wright
638112	17697	Diana Barry
638112	186131	Annette Gomphers
638112	368863	Delores
638112	379716	Camille Hawkins (1998)/Joy Ha
638113	98838	
638113	98892	
638113	110539	
638113	129081	Herself
638113	130784	
638113	147699	
638113	187412	Herself
638113	236366	Model
638113	253480	
638113	253481	
638113	297805	
638113	319398	Herself
638113	319705	Herself
638113	320999	
638113	321050	Herself
638113	358074	Herself
638114	66911	Rennett Starkadder
638114	117535	Aunt May
638114	205076	Patient
638114	268156	Hostess
638114	348379	Sheila, in the factory
638114	393491	Clara
638114	393938	Mrs. Flemming
638114	401719	Marjorie Carling
638114	405217	Teresa Billington
638115	108769	Nurse
638115	168531	Harem girl
638115	244870	Leslie
638115	258067	Marian, American Girl
638115	366780	Maggie
638116	197615	
638117	21369	Farangis (2)
638117	193381	Karla
638117	319790	Announcer
638117	383107	Minako Yurihawa
638117	395888	Leylia (Ep 1-9)
638118	20689	Rachel Henderson
638118	36704	Mrs. Donovan
638118	44498	Race Girl #2
638118	46393	Andi Lawrence
638118	105617	Holly, Car Showroom Reception
638118	110314	Peg
638118	161051	Hostess
638118	241731	Jaclyn
638118	258939	Mary Collins
638118	275322	Student
638118	283088	Jane
638118	291699	Amy
638118	297382	Hooker in Distress
638118	298038	Tracy Price
638118	312011	Grace Pendergast
638118	393267	
638118	396384	Tia Winslow (1994-1995; 1997)
638118	407421	Sue
638118	409511	
638119	126060	Buddy's momma
638121	120237	Neighbour
638121	310019	Amelia
638121	370580	Brigitte
638121	406846	Kobie Dwyer
638122	105402	Sadie
638123	310313	Maid
638124	245219	Screaming Woman
638125	330017	Shopper
638125	351431	Mrs. Stuart
638126	11439	Kyouko
638126	20336	Graduate Student
638126	25749	Kaorin
638126	29395	Kyouko
638126	31043	Female Victim
638126	48490	Manager 352
638126	49934	Maki
638126	49935	Maki
638126	68738	Bar Girl A
638126	78990	Rosa
638126	84523	Klara Sparks
638126	87409	Kindergarten Teacher, Additio
638126	92777	Dug Fin
638126	113780	Lena
638126	123029	Mai of Roppongi
638126	123447	Dr. Mayumi Nagamine
638126	123932	Chocolate
638126	125753	Eira
638126	127779	Mai, Additional Voices
638126	130726	Madam President
638126	130727	Kogure's Girlfriend
638126	130728	Additional Voices
638126	130729	Madam President
638126	130730	Madame President, Kogure's Gi
638126	136044	Becky Farrah
638126	136285	Raina
638126	161760	
638126	177083	Manami Kasuga/Receptionist/Ad
638126	177093	Jay's Wife/Additional Voices
638126	186017	Alicia Dimsdale
638126	202806	Chi
638126	202807	Chigako
638126	202808	Chigako
638126	202809	Chigako
638126	202810	Chigako
638126	202811	Chigako
638126	206618	Ryoko Subaru
638126	209804	Cindy (ADV 2004 Dub)
638126	239209	Operator A
638126	248708	Buzz's Wife
638126	257397	Elise
638126	262013	Millicent Evans
638126	264168	Orlin
638126	267200	Kumi Kumi, Mage Queen
638126	286864	Charlotte
638126	298952	Avatar
638126	298966	Daiko Hayami
638126	298993	Asuka Langley Soryou
638126	298994	Asuka Langley Soryou
638126	304672	Additional Voices
638126	304685	Additional Voices
638126	304688	Loofa/Additional Voices
638126	307187	Jun
638126	309117	Chocolate Misu
638126	309118	Chocolate Misu
638126	309119	Chocolate Misu
638126	309121	Chocolate Misu
638126	309122	Chocolate Misu
638126	309123	Chocolate Misu
638126	309124	Chocolate Misu
638126	310836	Chocolate Misu
638126	311935	Additional Voices
638126	316615	Dorothy/Floozy
638126	318473	Barmaid/Little Boy
638126	318540	Junko Yuina
638126	319342	Avatar
638126	347385	Armic/Michelle
638126	379014	PA Voice, Additional Voices
638126	379521	Suzume Sakurajosui
638126	380473	Kome Sawaguchi, Additional Vo
638126	380900	Pat Hood
638126	381025	Kaorin
638126	381163	Chocolate Misu
638126	382908	Manager 352
638126	387456	Mihke/Pichi (English)
638126	388022	Matsuya, Sandora, Mean Little
638126	389778	Reporter
638126	390536	Teacher
638126	394421	Ryoko Subaru
638126	394431	Sai, Child B
638126	394976	Daiko Hayami
638126	394997	Steel Angel Tsunami
638126	397371	Additional Voices
638126	398924	Maid, Ai Irie, Triple B, Toni
638126	399784	Altena
638126	402175	Yoko Tokashiki/Additional Voi
638126	402790	Kim Hotaru
638126	403909	Additional Voices
638126	404127	Akira
638126	405144	Asuka Langley Soryu
638127	109475	Nelsons Date
638128	44270	Earl
638128	80675	Dionda Brown
638128	223009	Servant
638128	304770	Record Executive
638129	304758	Girl Sent Home
638130	53946	Henna
638131	48417	Judy
638131	397749	Host
638132	11235	
638132	33338	Jeanne Desfree
638132	79363	Jean MacGregor
638132	160015	Nora O'Brien
638132	210472	Vera Ravendal
638132	227262	
638133	54558	Another girl
638134	276240	Undead Stripper #1
638135	112021	
638136	99613	Anna-Rosa Pettersson
638137	120546	Pearl Landry
638138	260629	Annie
638139	220978	Paulina
638141	96958	Off-camera singer
638142	71813	La préposée Air France
638142	110148	
638142	270844	La parfumeuse
638143	163617	Herself
638143	185330	Phyllis Stone
638144	254649	Mrs. Waite
638145	100034	Young officer In Records
638146	158061	Lori
638147	60691	Gisèle
638147	68360	Marie-Angélique, jeune fille
638147	96165	Sophie
638147	126257	Catherine
638147	193430	
638147	194141	La fille du pharmacien
638147	202699	
638147	218246	Nathalie Bernadac
638147	235820	Sophie
638147	249128	Suzanne segment "Sophie"
638147	294566	(segment "L'Orgueuil")
638148	220697	Herveline
638148	345513	La mère des enfants
638149	191468	Mme Scouarnec
638149	199341	Mme G
638149	339497	
638150	253213	Soprano
638151	8629	Mildred Miller
638151	16468	Kay Wilson
638151	16913	Peggy Finnegan
638151	17693	School Girl
638151	32073	Alice
638151	33748	Roberta Morgan
638151	46329	Dorothy Larson
638151	52431	Ann Hilton
638151	57260	Young Fanny
638151	72499	Bit Part
638151	79304	Herself
638151	92147	Betty Haines
638151	103237	Ursula, a Student
638151	118040	Doris
638151	123141	Kate Pendleton
638151	124085	Convent girl
638151	135588	Stephanie Varna
638151	135607	Estelle Mitchell/Linda Mitche
638151	136816	Mary Pulham
638151	139190	Connie Richards
638151	146854	Anna Muller
638151	163577	Gracie Kane
638151	190210	Joan Winters as a Child
638151	192408	Amy's classmate
638151	193682	Welcome Kilgore
638151	195794	Kay Wilson
638151	200881	Ann Goode
638151	211546	Marian Kilbourne
638151	219557	Elsa
638151	223723	Gwendolyn 'Gwen' Colbrook
638151	227336	Nancy Drew
638151	227337	Nancy Drew
638151	227338	Nancy Drew
638151	227339	Nancy Drew
638151	236129	June Vale
638151	252480	Frances Marlowe
638151	258209	Mollser Gogan
638151	268915	Isabella, Student Playing Pia
638151	291381	Herself
638151	294176	Jeanne Blake
638151	295347	Anne Porter
638151	301954	Liddy
638151	308636	Bonnie
638151	308642	Jen as a Child
638151	316941	Julie Brady
638151	320294	Roni
638151	321898	Kit Latimer
638151	330096	Mary Tilford
638151	330514	Vicky Sherwood
638151	331123	Martha Scroggs
638151	340964	Christine Allen
638151	363761	Sally Ward
638151	364773	Girl on Train
638151	365350	Francine 'Frankie' Diamond
638151	372931	Toddy
638151	384458	
638152	152979	Carol
638153	1871	Sairna Jerrold
638153	18256	Mrs. Bredwell
638153	33091	Mrs. Sykes
638153	77475	Mrs. Caroline Byng
638153	115726	Mrs. Mason
638153	128108	Mrs. Stanton
638153	157247	Mrs. Walford
638153	171025	Lady Jane Hartley
638153	236079	Mrs. J.H.P. Crane
638153	274407	Her Mother
638153	281867	Dona Petrona
638153	312276	Mrs. Trailes
638153	361543	Lady Alice Forsythe
638154	70458	Daphinia
638155	40840	
638156	316179	French Rebbetzen
638157	19990	The Air Hostess
638157	194355	Frances
638157	402124	Mrs. Hurst
638158	124224	Girl Operator
638158	372502	Mrs. Howell
638159	190625	
638159	251203	
638159	291168	Helen Dawson
638159	337599	
638161	102155	Manageress
638161	218788	Patient
638161	331681	Welsh Woman
638163	18084	Anna Theyn
638163	172319	
638163	325560	
638164	262963	Julienne
638165	100131	Say No More Woman
638166	161462	Woman in Dressing Room
638167	377586	Carmen
638168	199920	
638168	344596	
638169	218336	Bride
638170	120435	Rachel
638170	164167	
638170	166171	Delphine
638170	235264	Sylvie
638170	235851	Marie-José Vire
638170	389469	
638171	317876	Serena
638171	350194	Serena
638172	67804	Germana
638172	259718	
638172	280751	
638172	312982	Daniela
638172	336099	
638172	354454	Elisa
638173	247977	
638174	198550	Constance
638175	376830	Narration
638176	307840	La cinquième femme
638177	256979	Maria
638178	306020	Kirsten
638180	4767	
638181	312079	
638181	312081	Maja
638181	312083	Maja
638182	118702	Hooker
638183	75802	Vorg
638184	266748	La soeur
638184	335220	Dinosaur girl
638184	377052	
638185	13047	La Abuela
638185	56811	
638185	58277	
638185	61142	
638185	162712	
638185	323661	
638185	388442	Doña Paquita (1990-1995)
638186	218946	Milena
638187	80463	
638188	77690	Tasha
638189	298239	Ellie McComb
638190	284125	Katja
638191	285940	
638192	26981	Militant
638193	290389	Hogs & Hogettes
638194	236207	Valérie, la fille de Raoul
638195	5831	Judy
638195	125634	Frau Koch
638195	248116	Caitlin
638195	391882	Eleanor Hayward (Series 4) (1
638196	174088	Christiane May
638196	259475	Doris
638196	259667	
638197	127677	
638198	117476	Little girl
638199	52585	Anwältin
638199	79174	Ulla
638199	193304	Röschen
638199	409625	
638200	155416	Anna Schiller
638200	399472	Stephanie Vollendorf
638201	355660	Teacher
638202	63763	
638202	127324	Dancer
638203	16544	
638203	310949	
638205	69220	
638205	78579	
638205	135243	
638205	251310	
638206	307028	
638207	111299	Countess S. Marco
638207	118771	Gelsomina
638207	277808	Clara
638208	68980	
638208	387217	Armanda
638209	62348	
638209	267293	
638209	328157	
638209	349966	
638210	33529	
638210	41855	
638210	121888	
638210	209342	Elsa
638210	375301	
638211	12382	
638212	324448	Dancer: La cumparsita -2
638213	300180	Goddess Dancer
638214	52011	L'infirmière
638215	409588	
638216	393	
638216	269478	
638217	190411	Madre Elba
638217	227497	Mme Hugon
638217	294412	Saverio's Mother
638217	351011	Letizia
638217	389726	M.me Oreille
638218	178096	Rosaria
638219	31021	Susannah Hawks
638219	31183	Herself (NBC Team)
638219	31185	Herself (NBC Team)
638219	31192	Herself (NBC Team contestant)
638219	35451	Ellen Foster Holland
638219	66394	Barbara Gant
638219	73481	Betsy Culver
638219	139680	Kathy
638219	161339	Herself
638219	191893	Caroline Quiner Holbrook Inga
638219	191896	Caroline Ingalls
638219	191900	Caroline Ingalls
638219	212734	Herself
638219	263172	Donna Morton
638219	369336	Mrs. Sutherland
638219	395735	Caroline Quiner Holbrook Inga
638220	77409	
638221	267407	Türsteherin "El Divino"
638222	37700	Debbie
638222	113352	Oil Wrestler
638222	214917	Miss Great Britian
638223	378841	Starla
638224	252009	
638225	334117	Melinda
638226	395348	Host
638227	220608	Pamela
638228	387209	Herself/Correspondent
638229	176970	Mourner/Student
638230	87166	Skater
638231	351480	Periodista
638232	101038	Secretary
638232	349918	Mother
638233	87166	Skater
638234	408262	Anne Deveril
638235	377656	
638236	382899	Birthe
638237	253744	
638237	314651	
638237	386526	Vuka
638237	395833	Canka
638237	399366	
638237	405646	
638238	70651	
638238	202317	
638239	20729	
638240	19493	
638241	279	Kaitlin Wrigley
638241	141859	Christie (Child)
638241	145346	Emma (English Dubbing)
638241	238283	Spinelli, Lisa
638241	333270	Ashley
638241	341937	Young AnnMarie
638242	182977	Gail, News Anchor
638242	292015	Holly McBride
638242	384072	Annie Peters
638242	396324	Naomi
638243	195494	Driver
638244	86739	Susie Sue
638244	216772	Jill
638244	388801	Beth Novelli
638245	264191	Mary Duff
638246	178007	Stuepige
638246	190825	
638246	293699	En mor
638246	317645	Hotelreceptionist
638246	353033	Grethe
638247	51225	Bérénice
638248	390515	Avocat
638250	142085	Kerstin
638250	249666	Mother
638250	356562	Andrea
638251	43629	Mme Letourneau
638251	133684	Grand-mère
638251	330771	Old Fiona
638251	383372	Sylvette
638251	383959	Hélène Chartrand
638251	388316	Hélène Giguère
638251	410153	Cécile
638252	115269	Felicia Dodd
638253	312086	Tammi
638254	58868	Julie Ellis
638254	77151	Wanda
638254	231078	Young Hotel Clerk
638254	289674	
638255	73959	Jeannie
638256	142085	Karin
638257	340502	Wealthy Woman
638258	63712	Saori
638259	273834	Singer
638260	20625	Extra
638260	64090	B-girl
638260	302603	Hostess
638261	179975	
638261	275257	Pige på kasernen
638262	71466	Barry's Date
638263	144132	
638264	14275	Princess Birdwater
638265	42655	Marta
638265	244608	
638265	244617	
638266	161437	
638267	358230	
638268	183467	
638269	26064	Additional Voices
638269	66990	Rose
638269	87893	Hattie Rifkin
638269	385261	Doris Grossman
638269	405405	Lunchlady Doris (1989-1996)
638270	290696	Feli
638271	61200	
638272	132663	
638273	340681	L'Espagnole
638274	55768	
638274	65216	
638274	301151	Aguedita
638274	332664	
638275	12545	Marquesa
638275	18806	
638275	19449	
638275	42630	
638275	56501	
638275	102336	
638275	116633	
638275	117333	
638275	170461	
638275	193073	
638275	219733	
638275	249773	
638275	282267	Old Lady
638275	287442	
638275	317679	
638276	290696	Alexa
638277	139781	Dancer #2
638278	91372	
638278	223619	
638279	101980	
638280	24484	Miss Knoph
638280	169991	Ceil
638280	302121	Lisa
638280	325170	
638280	384703	Regular
638280	387438	Winnie; Jennifer of the Jungl
638281	259489	
638282	282772	Karen
638283	125983	1st Girl Tourist
638284	3980	A.N.I.
638284	124048	Blythe
638284	132436	
638284	152876	JoBeth Kaplan
638284	220083	Art Gallery Owner
638284	265761	
638285	397955	Gif
638285	403183	Various roles (sketches) (200
638286	44083	Bootmen chorus
638286	220276	Pearly Queen
638287	1500	Becky Degraff
638287	57064	Sandy
638287	81769	Dr. Cole
638287	114260	Nina Stahl
638287	151052	Alicia
638287	183398	
638287	192857	Model #1
638287	223642	Poolside Cocktail Waitress
638287	252961	Peter's girlfriend
638287	281056	Deanna
638287	360497	Anna Marie Scalli
638287	382163	Beth
638288	278793	Strike Team
638289	159904	Eva's daughter
638290	123040	Pianistinde
638290	182602	Veninde til Irenes kollega
638291	23502	Ulla
638291	78494	Herself (performing: 'Et øje 
638291	304357	Sangerinde
638292	337025	
638293	337025	
638294	14632	
638294	325829	Frau Merzler
638295	47847	Woman in Black Market
638295	179298	
638295	259642	
638295	312098	
638296	88841	Child
638297	345940	Herself
638298	351526	Marcella
638298	356165	Nurse
638299	321867	The Nurse, The Arm
638300	226246	Ms. Ulla Thormaelen
638301	17502	Sabine
638301	33492	Unsatisfied customer's friend
638301	49596	Iris Krämer
638301	56125	Christin
638301	78301	Anne
638301	90781	
638301	98277	Nadja
638301	132694	Lisa
638301	145469	Miriam
638301	170387	
638301	182136	Alice
638301	189749	Tina
638301	202785	Marie
638301	290081	Carola
638301	290501	Bettina
638301	303670	Alex
638301	319672	Florentine
638301	325603	Anka
638301	325939	Eva
638301	345676	Sara
638301	352483	Monika Danner
638301	356733	Anne Gehrke
638301	389942	Silvia
638301	409990	
638302	106205	Girl Who Undresses
638302	198310	Amira
638304	180539	Mother
638305	110054	
638306	364203	Mildred Glover
638306	391971	Celia Thorpe
638307	1793	Miss October 1982
638307	257848	Herself
638307	257863	Herself (Playmate of the Year
638308	26043	Odette
638309	14687	Teresa
638310	157436	School Reporter
638311	78023	Immigration Couple
638312	1712	Vegan Night Club Singer
638313	157656	Sandy
638314	17685	Lucie
638315	352682	Chapel woman
638316	347148	Anna 12
638317	378321	Herself - Flyveleder
638318	148578	Fleet Command
638319	224559	Ninja
638320	161276	Herself
638321	90622	
638321	106610	Doris, the Nurse
638321	119474	Kamisha, the Gypsy
638321	238691	
638321	242803	Nurse Virginia Morris
638322	78766	Bogart's Girlfriend
638323	141544	Linda Cheritto
638324	124459	Rachel Akkad
638326	200289	Princess Laura
638326	283429	Singer
638327	86472	Nicki
638329	281811	Member of the Queen's Court
638330	116936	
638331	56941	Herself
638331	69971	Giulietta
638331	277712	Herself
638331	381798	Herself
638332	183804	Medium
638332	264576	Lucia
638333	313369	Oliver
638334	40165	Miranda as a child
638334	141544	Anita Cheritto
638335	151092	Jackie
638335	280028	
638336	40276	
638337	303226	Iris Choir
638338	80443	Rosa Claire Fernandez
638338	343294	Jennifer on Boat
638339	118321	Bit part
638339	183638	Can-Can Dancer
638339	312042	Bit
638339	323380	Dancer
638340	323390	Mingo Junction Cheerleader
638341	232291	Jennifer
638342	73989	Mary Warren
638342	112267	Miranda
638342	386648	Katie Larson
638344	34448	Jogger
638344	279477	Mary Lou
638344	340791	Female Ticket Agent
638345	115639	Girl Band
638346	274805	Jennifer
638347	5875	
638348	10670	Alice at 18 yrs.
638348	178028	Rose
638349	81320	Nirvanas Girl 2
638349	256530	Allison Dumont
638349	383385	Brenda Clegg #1 (1982-1984) (
638349	391408	Cindy Standish
638350	355014	Leslie
638351	45467	Rick's Mom
638351	372873	
638352	99055	Inmate #1
638354	171676	
638355	15047	Jackie
638356	141606	Ugly Girl on TV
638357	353366	Maxine Mortogo
638358	5910	Driving Test Employee
638358	46524	Julie
638359	381574	
638360	169355	Diane's Wardrobe Master
638361	112499	
638361	235701	
638362	383056	Mandy
638363	71474	Dancer
638363	276731	Jasmine Jackson
638364	89860	Conroy's Waitress
638365	2947	Wanda
638365	320877	Abigail Parker
638366	155054	
638367	60323	Jane
638368	39464	Cynthia
638368	97357	Herself
638368	126506	Christie Love
638368	329458	Samantha Nightingale
638368	350160	Countess Vampira
638368	389536	Minority Wife
638368	389969	Christie Love
638368	400531	Herself (1967)
638368	403834	Regular Performer (1969-1970)
638368	409066	Regular (1969)
638369	156026	Lila
638370	54519	Mrs. Fielding
638370	255274	Pupil
638371	367951	Herself
638372	77405	
638373	245625	Fashion Center Beauty
638374	387247	Disa O'Brien (1990-1991)
638374	411011	Kathleen Tanner
638375	128956	Gisèle
638376	234716	
638377	2654	Mira
638377	10439	Carolina
638377	14371	
638377	14857	Maria Furlani
638377	15992	
638377	18254	Ippolita Oderisi
638377	56358	
638377	67885	Anita
638377	68355	Muriel
638377	75241	Lorenza Garroni
638377	90700	Delfina
638377	127890	
638377	127945	Tullia Bandelli
638377	127962	Mariuccia
638377	135245	Friend
638377	153807	Liza Rocquencourt
638377	197587	Dr. Carla Aldrovandi
638377	207768	
638377	217639	
638377	217759	Caterina da Meda
638377	229998	Helen Frost
638377	259209	Celeste
638377	263918	Betty
638377	280524	Louise d'Aninot
638377	286317	Elisabeth
638377	287599	Jocelyne Rocca
638377	289474	Clara
638377	295150	Verina
638377	301140	
638377	307584	Nicoletta
638377	327334	
638377	327913	Manuela Saroyan
638377	328389	Carla
638377	335538	Sandra
638377	337028	Sarah's Italian Girlfriend
638377	342109	Jewish girl
638377	384758	
638377	389277	Caterina
638377	400407	Hélène (segment "Hélène")
638377	404750	Lucia
638378	68417	
638379	75241	
638379	90004	Bride
638379	287891	Belladinotte
638379	392974	
638380	4638	Daniela
638380	52893	
638380	67505	
638380	67885	Anita
638380	86420	
638380	125738	Carla
638380	127885	Sveva
638380	163733	Angelica
638380	205058	
638380	214236	Rossella
638380	278146	Julie
638380	383784	Claudia Corelli
638380	386701	
638380	392740	Paola Duprè
638380	392741	Paola Duprè
638380	395253	Giuliana
638380	396781	Anna
638380	401510	Lorella de Pisis
638380	401511	Lorella de Pisis
638380	403363	Marcella
638380	410352	
638381	47363	Herself
638381	162986	Eydie Gorme
638381	280365	
638382	270876	
638383	241403	The Mother
638384	205357	
638385	251510	
638386	3383	
638386	5902	
638386	5981	
638386	7250	
638386	9615	
638386	13045	
638386	13059	
638386	20355	
638386	27305	
638386	29821	
638386	39804	
638386	42652	
638386	42948	
638386	51049	
638386	58034	
638386	61346	
638386	62241	Dr. Kung's assistant
638386	66677	
638386	70671	Dona Luz
638386	73092	
638386	74631	
638386	74827	(segment "El amor es algo mar
638386	80274	
638386	90111	Mère de Don Juan
638386	98998	
638386	100422	Mariana
638386	100768	Yvonne
638386	103837	
638386	104852	
638386	125661	
638386	155196	
638386	162770	
638386	163880	Herself - Presenter: Best Spa
638386	168549	
638386	177028	Tiyu
638386	186542	
638386	189026	Doña Leonor
638386	189301	Madama del burdel
638386	192940	
638386	194624	
638386	197438	
638386	199845	
638386	201397	
638386	213365	
638386	217764	Carmela
638386	221883	
638386	225017	Doctora Dubois
638386	232884	
638386	234358	Sra. Garriga
638386	236475	
638386	257564	
638386	258179	
638386	262375	
638386	263936	
638386	269915	Madre
638386	273648	
638386	292760	
638386	296450	
638386	300634	
638386	301183	
638386	307799	
638386	318257	Madre de Nacho
638386	318298	
638386	323073	
638386	332952	Marianna Guillonk
638386	341424	
638386	353556	Visi
638386	354265	Herself - Presenter: Best Edi
638386	354778	
638386	356947	
638386	376691	
638386	378434	
638386	393549	
638386	393911	Elsa Wunderly
638386	400795	
638386	403938	Theresa
638386	412140	Karim
638387	276821	Molly Merriweather
638388	48201	
638388	54024	Pellegrina di Canterbury
638388	88348	
638388	102284	
638388	127884	(segment "4 Wives")
638388	268997	
638388	278967	
638389	408051	Hostess
638390	5186	Copine Safrane 2
638391	254722	Angela
638392	189466	
638392	358287	
638393	206889	
638394	26981	Working Girl #2
638395	254414	Background Player
638396	73989	Lydia Sheldon
638397	3177	Lisa Thorne
638397	80540	Isadora
638397	279841	
638397	306145	Ruth Lyle
638397	350782	
638398	27864	
638398	162462	Erica
638398	189005	Chica
638398	207602	Chica Ana
638398	353611	Mimi
638399	131061	Mildred
638400	6301	Arlene
638400	141636	Child in Schoolroom
638400	142948	Girl in School Room
638400	154228	Little Girl (Uncredited)
638400	282394	
638400	316024	Hilda Wilson
638400	360834	
638400	363274	Girl in Classroom
638400	388405	
638400	404263	
638400	406305	
638401	391387	
638402	4791	Singer
638402	4796	Soubrette
638402	12899	Labetta, gennant Baby
638402	33140	Käte
638402	42113	Bessy
638402	144322	Anni, die 'Puppe'
638403	233635	Gertie Smith
638403	320269	Model
638404	4543	Nurse in Dottie's Room
638404	4626	Woman
638404	91779	Audience Member
638404	115259	Mother
638404	143577	Undetermined role
638404	150904	Mother
638404	154864	
638404	155033	Spectator
638404	168119	Peasant
638404	173511	Saloon Girl
638404	183663	Nurse
638404	185931	Receptionist
638404	186117	Woman
638404	191833	Miss King
638404	192030	Woman Cousin
638404	210641	
638404	275694	Nurse
638404	283394	Ticket Girl
638404	305498	Nurse
638404	316197	Marcia Earley
638404	329388	Saleswoman
638404	337663	Alice Gordon
638404	339655	
638404	345860	Woman
638404	348975	Marjorie Carter
638405	133966	
638406	3	
638406	31666	
638406	41201	
638406	60167	
638406	71696	
638406	73101	
638406	91082	Beatrice
638406	124937	
638406	146023	Eleanor Downs
638406	191906	The Wife
638406	249162	
638406	262068	Mary Hosford
638406	290986	
638406	319123	
638406	353419	
638406	364218	Vivienne Stevens
638406	364534	Ann Thompson Pershing
638407	121514	Nurse
638407	213259	Temp
638408	49786	Mrs. Lowell
638408	193798	Mrs. Dixon
638408	239678	Mrs. Alcot
638408	295073	Aunt Henrietta
638408	297203	Clementine Vickers
638409	116226	Bonnie Starr
638410	112632	Herself
638411	61156	Female Dancer
638412	393938	Clerk of the Court
638413	57718	Meryl Tanner
638414	76217	Emerald Driver
638415	46807	Michel Merlin
638415	75542	Patricia Stanley
638415	85122	Karin Steele
638415	94802	Nancy Greenwood
638415	162872	Toni Merrill
638415	238991	Chorus Girl
638415	272758	District Nurse
638415	307521	Herself
638415	372671	Toni
638416	17168	Mrs. Jones
638416	151413	One-Legged Woman
638416	359168	
638417	104758	United Kingdom entry (6th pla
638418	253920	Tiger Lily
638419	117292	Alex
638419	128759	
638419	257673	Herself
638419	336647	Stripper
638420	79049	Vampire
638421	152535	Stripper
638422	86025	Girl beatnik
638423	67709	
638423	328630	Sil
638424	229113	Jade
638425	98998	
638426	18724	Sally
638426	20839	Christella Burke
638426	34953	Dottie Parker
638426	40022	Jeannie
638426	70539	Nora Haynes
638426	74209	Marian Rissman
638426	81194	Mrs. Edith Van Renasslear
638426	84111	Mary Ellen
638426	99400	Mrs. Cazalis
638426	107624	Mary Mason
638426	109842	Prudence Millett
638426	120740	Sylvia Melbourne (the princes
638426	122054	Molly Baxter
638426	142446	Nancy Brand
638426	154880	Kay Wonderly
638426	168732	Lois Mayfield
638426	173519	Helen Foster
638426	177019	Fay
638426	178096	Nettie
638426	184953	Julie Rae
638426	185836	Sue Webb
638426	187043	June Talbot
638426	216871	
638426	232419	Molly Carlisle
638426	232837	Peggy Minters
638426	245998	Betty Orbison
638426	254540	Liara
638426	256085	Canteen worker
638426	274274	Fen
638426	278080	Alice Higgins
638426	284926	Jane Carter
638426	287139	Joan Hartley
638426	304791	Ann Sebastian
638426	313316	Nellie Mason
638426	313919	Girl with Pappy
638426	327980	Goldie Slater
638426	331439	Girl
638426	337114	Carol Rosser
638426	342575	Laura
638426	350229	Carol Butler
638426	350521	Jane Colfax
638426	365237	Sue 'Lucky' Duneen
638426	382770	Ann Boyd Jones #1 (1969-1970)
638426	385824	Diane Hunter #2 (1967-1968)
638426	411217	Miss Wycliffe (1961-1962)
638427	113825	Fire Maiden
638428	117516	Fisherman
638429	191648	Alice
638430	77989	Linda
638431	201598	Auditioner #6
638432	335847	
638433	34822	Grace
638433	246214	Sally
638433	399816	Miss Hemingway (1977)
638434	108300	Girl
638434	333443	Angella Markell
638435	408252	Clare Percy (1989)
638436	244919	Natasha Up in the Window
638437	152603	British traveller
638438	88078	The Harlettes
638438	105280	Nanny
638438	358604	Choir Singer
638438	367054	The Wiz Singers Adult Choir
638438	393424	Additional voices/Backup sing
638439	83802	Lori Shannon
638439	163516	Madeline Bradville
638439	177989	Lalume
638439	183638	Dolores, a Singer
638439	221124	Singer
638439	242941	Sylvia Fowler
638439	329564	Herself (interview)
638439	382968	Herself
638439	408375	Herself (1951-64)
638440	287413	Maid
638440	379132	Miss Cunningham (Chapter 2)
638441	16546	
638441	23503	Lauretta
638441	46658	Helene
638441	55648	
638441	73262	Eleonora
638441	89856	Luciana
638441	108584	
638441	113471	
638441	134318	Virginia
638441	135072	
638441	162061	
638441	200540	
638441	204232	Pupina Micacci
638441	205272	Nora
638441	208029	Elena
638441	217100	Ornella
638441	235779	Jessy - Lazzari's Girlfriend
638441	251601	
638441	270321	Dorina
638441	274900	Antiope
638441	274902	Abner, an envoy from Gad
638441	309250	Didi
638441	336619	Ellen
638441	336620	Valeria
638441	336623	Marisa Florian (the 'malafemm
638441	349529	Carol Field
638441	351532	
638442	21509	Bunny
638442	39498	Mary, Tessie's Young Friend
638442	105247	Girl in Mountains
638442	128812	
638442	133670	Sylvia Bradfield (child)
638442	191627	
638442	192408	Girl at boarding house
638442	210764	Dorothy Smith
638442	264170	Maggie O'Hara
638442	266706	Little girl
638442	281905	Edith
638442	289600	Child
638442	321384	Girl
638442	331586	Manya
638443	1599	Nellie Skinner
638443	16909	Nadine Clinton
638443	28864	
638443	118788	Marion Sharpe
638443	199742	Nesta Logan
638443	202850	Ellen Isit
638443	202960	Mrs. Mathieson
638443	214551	Patricia Milne
638443	223764	Rachel Hammond
638443	257095	Sarah
638443	329978	Elizabeth Foster
638443	330236	Charlotte Lee
638443	357178	
638443	359104	Anne Fielding
638443	370896	Jill
638443	392200	Kate Harvey
638444	382838	Cassie Charlton (1997-1998)
638445	177689	Mrs. Tower
638445	196455	Pamela Gordon
638445	203543	Venetia Scott
638446	5659	
638447	17183	Additional Cast
638448	129019	Giulietta's maid
638449	93957	Namby Pamby
638449	102233	Large Woman on Bus
638450	242082	Narrator
638450	368422	Narrator
638451	318607	Churchgoer
638453	40671	Daphne Dearing
638453	80593	Mrs. Grigson
638453	85071	June Mallard
638453	116081	Phyllis Hapgood
638453	118393	Laura's Mother (Wedding one)
638453	128261	Mrs. Dresland
638453	131771	Lady Sutterwick
638453	141532	Mrs. Crossland
638453	168722	Joan Ingram
638453	195731	Brenda Lawrence
638453	232319	Woman with dog
638453	275370	Lt. Virginia
638453	340439	
638453	366159	Grace Farrier
638453	382142	The Queen
638453	383663	Lady Collingford (1970)
638453	385205	Jackie Bronte
638453	386262	Various Characters
638453	396787	Nancy Grenville
638453	405847	Mrs. Palmer
638453	407838	Phyllis Bristow (1984)
638454	323410	
638455	98752	Blind-Leffes girlfriend/Demon
638456	2351	Old lady
638456	96989	Timid Woman
638457	6259	Jenny Barrett
638457	31188	Herself (NBC Team)
638457	31191	Herself (NBC Team)
638457	31193	Herself (Host)
638457	31202	Herself (NBC Team)
638457	44416	Betsy Forrest
638457	46372	Carol
638457	48575	Col. Wilma Deering
638457	57174	Mrs. Jones
638457	65990	Betty Clayton
638457	66288	Paula DeFalco
638457	66649	Nadine Flowers
638457	73944	Nora
638457	78134	Audrey
638457	78444	Kathryn Saint
638457	82336	Jessica Livingston
638457	104986	Gail McKinnon
638457	149181	Bozanich
638457	165851	Diana Kimble
638457	184104	Julie Lawrence
638457	185550	Dee Freeman
638457	204049	Gloria Day
638457	238737	Annie Corliss
638457	253341	Captain Terry O'Malley
638457	264134	
638457	294788	Virginia Madden
638457	303501	Lilah
638457	306758	Sharon Cox (Mitsy's Mom)
638457	310633	The Mayor
638457	313799	
638457	322606	Mayor Pendleton
638457	336751	Liza Collins
638457	344510	Beatrice Tate
638457	352964	Herself
638457	366419	Beautiful Woman #3
638457	367723	Laurel Warner
638457	382920	Col. Wilma Deering
638457	384568	Nadine Flowers
638457	392620	Herself
638457	401930	Nicole Devlin (1999-2000)
638457	402270	Congresswoman Karen Archer (1
638457	405371	Kate Summers Stratton
638458	207828	Child at Assembly
638459	203724	Undetermined Role
638460	277628	Mrs. Drake
638462	1091	Laura Emmersley
638462	77216	Sue Richmond
638462	278453	Knife Thrower
638462	405965	Portia du Pont
638463	4803	Tuppence
638463	16934	Maisie Blake
638463	25411	
638463	34380	Toots
638463	36869	Sylvia Brent
638463	73393	
638463	79391	
638463	81240	Laura Cane
638463	82970	Dolly Flint
638463	112262	Miriam Steele
638463	115177	Irene Nelson
638463	135406	Cissie Poffley
638463	138790	Nia Harrison
638463	146053	
638463	146054	Enid
638463	170987	Ruby
638463	185347	Daisy
638463	193289	
638463	193373	Showgirl Victim
638463	196497	Mary Campbell
638463	213068	Dorothy Harding
638463	220269	Margaret
638463	222581	Gilian
638463	241384	Mrs. Lowery
638463	241635	Mary Penrose
638463	251515	Pamela Vane
638463	260411	Beryl Kingwood
638463	291486	Fred's wife
638463	301926	Mary Straker
638463	301979	
638463	305512	Kitty Masters
638463	305645	
638463	315990	Mrs. Maidie Smith
638463	318040	Vicky
638463	330151	Cutie
638463	331700	Margaret Truscott
638463	342455	Sylvia Hamilton
638463	353282	Meg Clancy
638463	362507	
638463	363089	Ann
638463	364646	Slave Girl
638463	364785	Joan Hamilton
638463	367760	Leila Mason
638464	300342	Mrs. Woolf
638465	101432	Susan
638465	395918	Doris Josser
638465	401143	Helena
638466	272282	
638466	377995	
638467	33742	One of 'The Thirty Women'
638467	120095	Sister Faye
638467	231386	Lady in Elevator at Donna's p
638468	100838	Miss Effie
638469	175575	Nurse
638470	16920	Josie O'Neill
638470	135853	June
638470	168262	Hat Check Girl
638470	219950	Bit Part
638470	220830	Tri Gam Coed
638470	279150	
638471	47355	Showgirl
638472	154759	
638472	162946	Sally (ship passenger)
638473	395667	Pat Wolfson (1996-)
638474	12285	Aloma
638474	51573	Gloria Trask
638474	84848	Takla (The Devil Dancer)
638474	128531	
638474	133880	Herself
638474	186392	Dancer
638474	255079	Mabel Greenfield
638474	281905	Bella
638474	355225	Undetermined Role
638475	111104	Une amie de Luciano
638476	206221	Mae West
638477	80009	
638477	240648	
638477	327859	
638478	99981	Gina
638478	99986	Gina
638479	240677	
638480	183670	
638481	15106	
638482	360892	Balljoy's girlfriend
638483	92081	Mrs. Chambers
638484	388861	Cousin Jessica
638485	477	
638485	236318	
638485	325666	Gloria
638486	92230	Dancer
638487	387239	Penelope
638488	291915	Canada Beauty Winner
638489	293411	
638490	109334	Sally Lee
638490	144825	The Star
638490	196216	Sara Foote
638490	260490	Lulu
638491	167632	
638493	235750	
638494	43925	Nephi's Wife
638494	46981	Carolyn Merrill (Miss Brigham
638494	84399	Kathy
638494	93762	Kathy
638494	130016	Sister Fronk
638494	163514	Janey
638494	242044	Tiffany
638494	366653	Kazumi
638494	403248	Nichole Johnson
638495	202869	Ellen Hill
638495	347604	Nola
638496	141416	Annie as a baby
638496	151071	Clara (child)
638496	276212	Hostess
638497	196066	Narrator
638497	313699	Pickup driver
638497	397491	Presenter
638498	14255	1st 'Nameless Broad'
638498	214265	Herself
638498	247554	Janine Heining
638498	267106	Beth
638498	269766	Diana Grenville-Wells
638498	330502	Totti
638499	177330	Reporter
638500	9879	Rita Venable
638501	116527	Singer, Trio Member
638501	176335	Goldwyn Girl
638502	20264	Young woman
638502	37461	Telephone Operator
638502	67858	Girl #2
638502	68248	
638502	94136	Stewardess [Ch.6]
638502	98151	
638502	106106	Hat Check Girl
638502	114851	Party Guest
638502	120755	Girl at the dance
638502	124375	
638502	163431	Cable Office Girl
638502	183579	Girl in Sailboat
638502	233044	Cigarette Girl
638502	270918	Telephone Operator
638502	274502	
638502	294744	Nurse
638502	306803	Hatcheck Girl
638502	321384	Mr. Silver's Secretary
638502	331469	Girl at Party
638502	358711	Young woman
638502	363190	Waitress
638502	372116	3rd Debutante
638503	105309	Barbara J. Frost
638504	116443	Usherette
638504	311031	Audience
638505	238612	Waitress
638505	277697	
638505	312062	Dancing Older Lady
638506	280921	
638507	241444	
638507	244830	
638508	307521	Herself
638509	145009	Robi
638510	396123	Patricia 'Patty' Burnell (199
638511	62579	Will's Mother
638512	389088	Bar Lady
638513	10632	Josette
638514	40148	Uniformed Cop
638514	92400	Karla
638514	127730	Falcon Marsha
638514	154122	
638514	160416	Actress (segment "The Brandin
638514	227024	Miss Hungary
638514	245930	Bark at the Moon girl
638514	290389	Kendall
638514	317244	Laurenz
638515	405915	
638516	261530	Cindy
638516	368314	Petty Marsh Secretary
638517	305391	Nurse
638518	319175	Reporter
638519	682	Wendy's Mom
638519	142479	
638519	223502	Woman in restaurant
638519	242296	
638519	307351	Nurse #1
638519	311037	Tram group mother
638520	254414	Background Player
638521	233676	Girl in Bar #1
638521	300943	Dental Hygienist
638522	7412	Singer
638523	147320	
638523	186877	
638523	290445	
638525	304563	Waitress
638526	2376	Herself - Co-host
638526	3767	Herself
638526	5430	Jennifer Parris
638526	7816	Herself/Sue Ellen Ewing
638526	13414	
638526	37286	
638526	42756	
638526	42757	
638526	43438	Laredo Stimmons
638526	57492	Herself
638526	64567	
638526	77151	Sue Ellen Shepard Ewing Lockw
638526	77153	Sue Ellen Shepard Ewing Lockw
638526	89301	Miss Engle
638526	89368	Herself/Sue Ellen Ewing
638526	101724	Laura
638526	140658	Nan
638526	145086	Catherine
638526	161314	Herself
638526	161315	Herself
638526	175582	Mary Collins
638526	217530	Eileen Stevens
638526	217537	Gayle Moffitt
638526	222653	Carla Cord
638526	232017	Herself
638526	235440	Nancy Carruthers
638526	243930	Roxanne
638526	247143	Girl at Pool with Yellow Swim
638526	256350	
638526	313345	Linda Trask
638526	314778	Narrator
638526	329456	Party guest
638526	334260	Eleanor Monroe
638526	343230	Elizabeth Harrington
638526	363011	Sue Ellen Ewing
638526	363078	
638526	365147	Linda
638526	379740	Linda Murkland
638526	385594	Sue Ellen Shepard Ewing (1978
638526	397401	Hillary Michaels (1994)
638526	398015	Hillary Michaels
638526	409121	Herself
638527	78896	Woman on hill
638527	130748	Aunt Sarah
638527	195731	Miss Bell
638527	232306	
638527	255261	
638527	266618	Grandmother
638527	296966	Irene Roma
638527	301563	
638527	312773	Actress
638527	314354	
638527	348377	Lady Twithampton
638527	368195	
638528	276187	Gypsy woman
638529	210134	
638529	212097	Working woman
638529	214112	Sumuru Guard
638530	369426	Motel Clerk
638531	70411	Yum-Yum's Singing Voice
638532	6251	Herself
638532	6807	Carla Preston
638532	7025	Gloria
638532	12354	Sally Dunn
638532	13378	Nurse
638532	16455	
638532	35591	
638532	36841	Divorcee
638532	47059	Molly Bannister
638532	49362	Ann Houston
638532	51872	Cafe Hostess
638532	52305	Joyce Mason
638532	54419	Gail Richards
638532	66314	Girl
638532	70301	Frankie Mason
638532	77015	Entertainer
638532	79351	Dolores Quantero
638532	94144	Helene Laroche
638532	106107	Judith
638532	106744	Rita Parker
638532	109363	Yvonne
638532	109860	Helen Matthews
638532	110420	Rita Parker
638532	116203	Babs McKay
638532	123138	Connie Faulkner
638532	128485	Ann Carroll
638532	131454	Bridesmaid
638532	144685	Betty, alias Hannah Kelly
638532	147384	Girl
638532	147714	Herself
638532	148332	Bonnie Garth
638532	185080	Kate Foley/Kate Sampson
638532	185273	Mary Lou Gardner
638532	190546	Dell Parker
638532	193739	Girl in club
638532	196195	
638532	203058	Kay North
638532	203415	Janet Savaard
638532	215748	Nan
638532	221130	Woman (at station)
638532	237143	Vultura
638532	237584	Clementine
638532	238983	Lia Wilson
638532	239198	May Jenkins
638532	245005	Gloria McCoy
638532	245518	Secretary
638532	253119	Vultura
638532	253757	Senorita
638532	258296	Julie McCabe
638532	274276	Jane Mason
638532	278026	Barbara Joyce
638532	280056	Aleeta (Indian princess)
638532	280201	Flossie
638532	288935	Livvy Weston
638532	289422	
638532	291743	Ginger
638532	304040	
638532	305508	Miss Loring
638532	306466	Lt. Tony Dacolli
638532	311558	Jane Koster
638532	316199	Jean Browning
638532	327218	Mona St. Clair
638532	331097	Nurse
638532	331589	Sherry Rumford
638532	342154	Joan
638532	345972	Julia Collins
638532	348341	Singer Rita Wilson
638532	350029	Nurse Susan Drake
638532	371037	Nurse Jean Elliott
638532	372219	Mattie Herring
638533	238660	Gretchen's Mom
638534	128173	
638534	313301	
638535	287340	
638536	75404	Tough girl
638537	309626	Vi Clendenning
638538	43717	
638538	51400	
638538	164169	A follower of Rasputin
638538	208355	Madame Saidini
638538	251013	Mme Lanciani/Mrs. Lanciani
638538	264215	Madame de Mercoeur
638538	335501	
638538	350083	Duchesse De Morny
638539	1681	Herself
638539	2549	Herself (performer)
638539	11129	Herself
638539	20620	Sleeping French Woman
638539	69079	Herself
638539	109752	Herself
638539	123696	Black Haired Woman
638539	190571	Herself
638539	199128	Performer
638539	201512	Herself
638539	220209	Herself
638539	221434	Herself
638539	221480	Herself
638539	221481	Herself - Presenter
638539	224391	Herself
638539	289668	Herself
638539	296879	Neisha
638539	311037	Herself
638539	312540	Seeiah Owens
638539	337814	Sandman's Wife
638539	352749	Musical Perfomance
638539	364734	El Nino Guard
638539	392424	Herself
638540	398289	Janie
638541	285008	Harlot
638542	8072	
638542	79851	Alice
638542	256641	Rhea
638542	292396	Gay Shelton
638543	20247	Kathleen Cosgrave
638543	49337	
638544	141978	Heidi
638544	270944	The Twin Penny
638545	231391	Little April
638546	56098	Woman at baby window
638547	298444	May
638548	231925	Secretary
638548	350645	Usherette
638549	27152	Matron
638549	88853	Society Matron
638549	133622	One of Gatsby's Servants
638549	188326	Guest
638549	231768	Wife
638549	257087	
638549	257939	Guest in Dining Room
638549	291916	
638549	372345	Bit
638550	69232	Juror
638551	84214	Carter's Child
638551	185745	Mother Ardelheim
638552	143948	
638552	163346	
638552	303029	
638553	47311	
638553	364434	
638554	381816	Herself
638555	46588	Herself - Maxine Gray, Vocali
638556	129113	Wondercamp Assistant
638556	133340	Disc Jockey
638556	255232	
638556	361143	
638557	53033	Shaun and Petie's Mom
638558	41918	Waitress
638559	57139	Janelle
638560	124481	Vanity
638561	334600	Herself
638561	334601	Herself
638561	334603	Herself (segments)
638562	134088	Mrs. Ham
638563	271868	Juror #1
638564	157312	Felicia
638564	335641	
638565	224376	Ramona
638565	295351	Donna Novick
638566	329700	
638566	397284	Presenter (1987-1989)
638566	409018	Presenter
638567	8306	Circe
638567	25322	Teresa
638567	25339	Rosita
638567	32768	Felicitas Wilke
638567	53744	Dame
638567	54612	Mrs. Porteous
638567	54912	Isabella di Pietramelara
638567	55545	Pretty tramp
638567	56024	Giulia Grisi
638567	56444	Giuditta Pasta
638567	57959	
638567	64233	
638567	64762	Nadia Sandor
638567	73691	Cosima
638567	73912	Thérèse
638567	86067	
638567	89572	Nadia
638567	94699	Contessa di Linieres
638567	104003	
638567	107685	Ines della Torre
638567	111134	Henietta Aymes
638567	113441	Carla
638567	115201	
638567	116442	Suzy Morgan
638567	128030	
638567	132721	
638567	158830	Edith
638567	159618	Anna Comin
638567	163889	
638567	167165	Solange
638567	188657	Amalia
638567	199383	
638567	199932	Fulvia
638567	204245	Eve Beynat
638567	207012	
638567	210094	
638567	212979	
638567	217118	Geraldine
638567	217123	Cristina Ferretti
638567	218243	Countess
638567	221152	Suzy
638567	221661	
638567	223189	Gina Martelli
638567	226999	Karen
638567	232339	Alix Delaisse
638567	249251	
638567	251142	
638567	255637	Anna Savelli
638567	258338	Nadia (segment "Aujourd'hui")
638567	264489	
638567	266743	Cristina Vernini
638567	279903	Bellini, the singer
638567	283040	Valérie
638567	301374	
638567	311004	Madeleine Saincaize
638567	322337	Princess
638567	335875	Tania Ivanova
638567	342856	Françoise Dulbret
638567	344570	Valeria, moglie di Filippo
638567	346710	Quenn Greta/La Reine Greta
638567	349524	Carla Occhipinti
638567	349985	Kara Niemann
638567	354093	Maria Meister
638567	361372	Hilde Goetz
638567	366267	Michèle Mercier
638567	376393	Mrs. Button
638567	392602	La marquise d'Espard
638568	281948	
638568	392580	
638569	3973	Birdwatcher
638569	6264	Aunt Connie
638569	219189	Miss Chasen
638570	1712	Flashback Mother
638570	195331	Andre's Mistress
638571	16642	Lesley
638571	387533	Elsa Chappell (1999) (16 epis
638571	398707	Anita
638571	402030	Molly Gibbons
638572	321667	Nancy
638573	89321	Stephanie
638574	152	Lisa
638574	68308	Melissa Murphy
638574	70781	Rachel
638574	84956	Diana Barzoon
638574	89321	Stephanie
638574	114364	Tracy Laughlin
638574	154910	Jen
638574	285726	Dot
638574	316287	Party Guest
638574	318174	Bagel Business Woman
638575	340502	Dot
638576	59375	Disgusted Woman 1
638576	220042	Cookie
638576	241621	Betsy
638576	309022	Nurse
638576	315190	Doris
638577	364300	Herself
638578	20152	
638578	137719	
638579	320122	Herself
638579	320151	Herself
638579	320152	Herself
638579	407075	Herself (12 Days, Pagong Trib
638580	26666	Punk Bride
638580	70893	Aida
638580	75777	Radio DJ
638580	333604	Artist's Model
638581	80711	Alex
638581	299963	Sheri
638581	342662	Laura
638582	9884	Ursula Veramendi
638583	51867	Jill Manning
638583	52682	Margaret Gordon
638583	55418	Jenny Pearl
638583	60256	Jean Nicholls
638583	60304	Sally Gray
638583	73756	Sally Croker
638583	78116	Carol Peters Radetzky
638583	86209	
638583	103323	Joan Miller
638583	134043	Nurse Frederica 'Freddie' Lin
638583	147405	Helen
638583	148960	Miss America
638583	184244	Sally
638583	190561	Mary
638583	196923	Alice
638583	206090	Sarah Bonheur
638583	221095	Claire Kent
638583	237911	Storm Riordan
638583	245616	Kitty
638583	270654	
638583	285711	Penelope 'Penny' Parker
638583	285749	Mary Langdon
638583	288724	Mary Dorland
638583	290336	
638583	301621	Angela Rawley
638583	321703	Lady Moira Talmadge
638583	330185	Sally
638583	366053	Vivienne
638584	386390	
638584	398348	Presenter
638584	402975	Presenter
638585	175189	Mae B. Jones
638586	133401	Dancer
638586	133402	Girl Greaser
638586	296552	Dancer
638586	334104	Lady
638588	369492	Xanadu Dancer
638589	59759	Pregnant Neighbor
638590	271255	Secretary
638591	210868	Tourist by Pool
638592	102232	
638593	53516	Hacker Hellstorm
638593	148416	Luna Park Assistant
638594	406236	Co-Host
638595	344597	
638596	124017	Lucy's Woman
638598	4637	
638598	405209	Aleesha Cook (1998-2000)
638599	201169	
638599	201193	Marjorie
638599	281959	
638600	13995	Herself
638600	380012	Herself - Finalist #4 (2002)
638601	309631	
638602	259409	Herself
638603	60174	Mrs. Leshinsky
638603	255827	Bit Part in Church Scene
638604	281710	
638605	405209	Victoria Waring (1999)
638606	185530	Herself
638607	126551	Ivy
638607	197067	Carole Lombard
638608	154409	The Stewardess
638608	380713	Lyla Montgomery, R. N. #1 (19
638608	392185	Susan Pritchett
638608	396084	Laura Donnelly Elliott #2 (19
638608	396088	Mia Marriott (1977-1980)
638608	405882	Victoria 'Vicki' Paisley (197
638608	411802	Dr. Sharon Reaves (1983)/Ruby
638609	226931	Dancer
638609	263901	Herself
638610	404681	Dr. Theresa Gatton
638611	64932	First Neighbour
638611	133706	Mrs Thompson
638611	185756	Dr. Whitburn
638611	189355	Elderly nun (segment "The Pri
638611	255274	Miss McCraw
638611	379744	Alicia Raeburn
638611	380468	Matron
638611	399130	Nell Mangel (1986-1988)
638611	402012	Jane
638611	402197	Edna Pearson (1984)
638611	406891	Ida Jessup Pike
638612	67779	Saturday
638613	323572	Mildred Arlington
638613	333674	Rita Garson, Rita's Sister
638614	132140	Slave Venus
638615	199499	Pe We (drums)
638616	45893	
638617	29524	Mira
638618	355116	Reader
638619	306424	
638620	58359	Herself
638620	384512	Singer (1958)
638620	406167	
638620	406168	Singer
638620	406169	
638620	406170	
638620	407172	
638621	38380	Laura Forman
638621	76496	Young Annie
638621	168504	Karen Kawalski
638621	393627	Karen Kawalski
638621	405531	Julie
638622	166089	Herself (member of Kindred)
638622	344534	Herself
638623	76233	Herself
638624	177422	Brenda's Niece
638625	333257	Betty the maid
638626	34223	Louise
638626	43922	Naomi
638626	123366	Laurel Rogan
638626	133730	Lisa Krindel
638626	156854	Sara
638626	224842	Eve Pigeon
638627	70255	Danaya
638627	363294	Herself
638628	42540	Herself (Lead Female Singer)
638629	70781	Nurse Sally
638629	124378	Dawn
638629	267339	Special Agent Taylor
638630	40738	Sandy Rexton
638630	263786	Jenny
638630	385299	Penny Richardson (1968)
638631	241523	Donna
638632	158115	The Mother
638632	346113	The Nurse
638632	351735	
638633	150054	
638634	264189	Handmaiden
638635	274332	Dancer
638636	247492	Sarah Nazareth
638637	210269	Soap actress
638638	7036	Housekeeper
638638	65367	Maid
638638	148423	Sarah, Johnson's Maid
638638	191819	Addie
638638	241284	Mom
638638	244932	Violet
638638	313793	Bessie (Dr. Harris' maid)
638638	321898	Ella
638638	346914	Black Maid
638638	365926	
638638	372819	Lilybud
638639	16909	WAAFS
638640	13414	
638640	13919	Herself
638640	16007	Susan Abbott
638640	16466	Bit Part
638640	16471	Kathryn Land
638640	58022	Herself
638640	83654	Margot Birabeau
638640	125484	Herself
638640	134675	Ina Massine
638640	163262	Anne Fielding
638640	178066	Lilli Vanessi 'Katherine'
638640	178208	Teresa
638640	196390	Stephanie
638640	278607	Rita Winslow
638640	295380	Billie Van Maaster
638640	300063	Magnolia Hawks
638640	306490	Grace Moore
638640	329467	Prudence Budell
638640	329562	Clips from 1951 version of 'S
638640	329563	Herself
638640	329565	
638640	331205	Kathryn Jones
638640	333054	Magnolia in 'Show Boat'/Speci
638640	334402	Suzette Micheline
638640	335583	Herself
638640	343133	Abigail Chandler
638640	349632	Catherine de Vaucelles
638640	350484	Rebecca 'Beck'/'Becky' Yancey
638640	375044	Specialty
638641	195395	Adela
638642	250546	Doctor's Receptionist
638643	315238	PL Mother
638644	128812	Annie
638644	129233	Irene
638644	292631	
638645	158329	Karen Ann Quinlan
638646	201919	Maid
638647	303971	Factory Girl
638648	83826	
638649	83826	Principal
638649	367674	
638650	18011	
638650	258034	Miss Greaves
638651	292913	
638652	239082	Lady
638653	284527	Extra
638654	100326	
638655	382854	Marion (1972-1973)
638656	22035	Rider #1
638656	45831	Nurse
638656	190690	Corky (woman in labor)
638656	265100	Sister Mary
638656	273307	Air Force Sergeant
638656	296732	Liz
638656	311428	Wife
638656	405022	Liz
638657	211195	
638657	261907	Katya
638658	201157	
638659	268414	Un serveuse
638660	205981	Woman
638661	35094	
638661	116431	Bettina
638662	68140	assistente al doppiaggio
638663	69001	
638663	212394	Madre ragazza ospedale
638664	269496	
638665	32498	Carla
638665	175816	The Soulmate
638666	111442	Shermerite
638667	321444	Whaler
638668	163735	
638669	215012	Lina
638670	103998	
638670	127917	Manila
638670	140964	Bar Band Singer
638670	205159	La madrina
638670	209489	Pastorella
638670	266177	(segment Sirena)
638670	338648	Chiara
638670	339071	Tina
638670	351867	
638670	352560	Teresa
638670	354936	Anna Bussotti (Cremona)
638670	396157	Lucrezia
638671	17745	
638672	31962	
638672	90168	
638672	243635	La portoghese
638673	204564	
638674	14726	
638676	13203	
638676	56007	
638676	349422	
638676	383549	
638677	118778	Pacifica
638677	249257	Augusta
638678	29138	
638679	52476	Jitterbug
638679	53212	Dancer
638679	127086	Jitterbug
638680	325863	Anna
638681	148416	Roscoe's Trainer
638682	353565	
638683	119352	
638684	333143	Vain teen
638685	337444	
638686	178613	
638687	83416	
638688	85515	
638688	240865	Vicky
638688	380856	Rosa
638689	385052	Silvia Sender
638689	386015	Roxana
638689	387905	Vanessa
638689	387965	
638689	396132	Antoinette
638689	399620	Susana
638689	399943	Ximena Arroyo/Machi
638690	153777	María
638691	99436	
638692	125661	
638692	273664	
638693	33320	
638693	104816	
638693	188257	
638693	261903	Marta
638693	273136	Hana
638693	334316	Uèiteljica (Teacher)
638693	382834	
638693	394876	Lenka
638694	2632	Cheryl
638694	21213	Secretary
638694	38819	Trista Meio - Sailor Pluto
638694	38822	Trista Meio - Sailor Pluto
638694	39175	Grace Ann Flynn
638694	43922	Lilian
638694	52093	
638694	66927	Jane
638694	68242	Lacey
638694	89293	Miss Vicky Polite
638694	108331	Fran Smollen
638694	109455	Cheryl
638694	129626	Trish
638694	152552	Bride
638694	153162	Boy's Mom
638694	168307	Florrie
638694	168308	Julie
638694	191747	Ruth
638694	193486	Lola
638694	201311	Madelaine Reid
638694	210867	Lucy
638694	213833	Allison
638694	213875	Nichol Johns
638694	224224	Sexy Sadie
638694	292715	Allison
638694	303092	Sheryl
638694	329342	Sandra
638694	344484	Dana Ballard
638694	359716	Stacy3
638694	405652	
638694	408692	Cathy Blake (1997-1999)
638695	338197	Laura Ellison
638696	333375	Newswoman
638696	408730	Jessica Morgan/Bonnie Carlson
638697	364117	Maid
638698	51375	
638699	53039	Colorado
638701	23352	
638702	162883	Secretary
638703	13395	Host (segment "Mirror, Mirror
638703	128727	Sister Immaculata
638704	309309	Club punter
638705	190006	Matron
638705	221075	
638706	120122	Jane
638706	130983	Sam McKoon
638706	131751	Aaron's Mother
638706	221182	Woman in Phone Booth
638706	241748	Isabella Beatrice Toscano Bla
638706	328568	Kathy
638706	385824	Isabella Beatrice Toscano Bla
638707	49391	Lady at Henley
638707	395647	Lillian Russell
638708	58165	Ramona Baker
638709	87523	Secretary
638709	92048	(voice, English language vers
638709	135602	Hypatia Hancock
638709	222643	Jill Pembury
638709	385299	Lorna Crowther
638709	392545	Baroness Kiki Lihgon
638709	398020	
638710	43586	Betty
638710	261737	Herself
638711	209007	
638712	1145	Talk Show Wife
638713	288960	Herself (segment "The Winter'
638714	158784	Additional Appearance
638715	74048	Children of Castor Fan
638716	81321	Model #3
638717	66574	Anna
638718	66087	Heike
638718	155427	
638718	189608	Sonja Haker
638718	189802	Marion
638718	196439	Carla
638718	325915	Myriam Ritgen
638718	336508	Charlotte Sternberg
638718	388624	Susanne
638718	395011	Britta Larsen
638719	326938	Girl in livingroom...
638720	160549	Eve
638721	189430	
638721	240503	
638721	356941	
638721	374751	
638722	261594	Lyudochka
638722	409520	
638723	95566	Several characters
638724	995	Bruns' wife/Tsaritza Tamara
638724	47054	Nadezhda Gorbunkova
638724	59977	Anna Petrovna
638724	60848	
638724	85148	
638724	92328	
638724	119019	
638724	124229	
638724	163056	
638724	174857	doctor
638724	186238	Mesyatsev's Mother-in-Law
638724	222349	Tatyana
638724	229036	Gorbushkin's wife
638724	235024	
638724	242474	
638724	243880	
638724	259059	Fake Babushka
638724	263684	
638724	265130	Alka's Mother
638724	303802	
638724	305294	Galkina
638724	311766	Housekeeper
638724	340066	
638724	373502	Hyvärinen's wife
638724	374848	
638724	386540	
638724	397302	Inessa Andreyevna
638724	410457	
638725	280566	
638726	198179	Marianna
638726	257385	
638727	34507	
638728	83520	
638729	205201	
638729	405401	
638730	106116	Roller Blader
638731	31511	
638732	8049	Lucia
638732	11649	Pepita
638732	33923	Mary
638732	53895	Grixenda
638732	56921	
638732	57961	Amica di Elena
638732	63924	
638732	69547	
638732	82423	
638732	86335	Lidia
638732	131091	
638732	163731	(segment "Matrimonio assurdo,
638732	199046	Bianca de Tuleda
638732	199062	Arminia
638732	199073	
638732	199074	Regia/Chelima
638732	200972	
638732	205129	Lea
638732	242829	
638732	260947	Amanda
638732	281234	Estia
638732	287481	
638732	295141	Assuer
638732	310216	
638732	342138	
638732	348735	Arminia
638732	351510	Sabina
638732	375888	
638732	379559	
638732	383827	Aída
638733	174088	Mrs. Bayer
638733	177223	
638733	359049	Frau Tortenbrink
638734	396653	Rosi
638735	6027	
638735	38399	
638735	60709	
638735	92539	
638735	95825	
638735	129241	
638735	140548	
638735	149981	
638735	291454	
638735	295613	
638735	302328	
638735	348026	
638735	367529	
638736	241531	Rock Person
638736	279308	Maria Gambini
638736	310775	Gambini Child
638736	312142	Young Italian Woman at Ristor
638736	335329	Girlfriend
638736	366235	Maria Gambini
638737	79965	Margaret
638738	164434	
638738	383784	Elda Ponti
638738	384275	
638739	61706	Alex's mom
638740	290926	
638741	21059	
638741	46968	Zitamaria
638741	53895	Noemi
638741	54153	
638741	54159	
638741	54185	Minnie Liakim
638741	59805	
638741	64782	Lina Girosi, Luigi's Wife
638741	64997	María
638741	69115	Femme du prisonnier
638741	73650	
638741	102634	Laura
638741	116388	
638741	157500	Luisa Galli
638741	159900	Ines
638741	166149	Alice Gérard
638741	215332	
638741	223237	Anita
638741	227561	
638741	227595	Elisa Baccioli
638741	229736	Marta
638741	248192	Giulietta
638741	257167	
638741	270841	Elena
638741	289388	
638741	289815	
638741	353245	Luisa
638742	42808	Vandervagen Maid
638742	53959	Sheik's Girl
638743	20625	Extra
638744	117496	Ronnie
638745	106433	
638746	329394	Girl
638747	70491	
638747	92042	
638747	199124	
638747	248535	
638747	381251	
638747	387730	Diana
638747	389882	
638747	392591	
638747	395366	Isabel
638747	398249	Catarina
638747	402503	
638747	403199	Ângela
638747	409428	Neusa
638747	410103	Nina
638748	232676	Lesbian #3
638749	232676	Lesbian #3
638750	78217	Young Susan
638750	219182	Child Passenger
638751	74280	Pearl
638751	104944	Charmaine
638751	132181	Charlene
638751	151170	Julie
638751	273926	Brunette at Blue Ridge
638751	312971	Samantha Gardner
638751	338921	Kelly
638751	382240	Romy
638751	403469	Katie
638752	126755	Frances
638754	136850	
638755	380100	Marcela 'Marce'
638756	402302	
638757	13545	
638757	39191	
638758	112668	
638758	243618	
638758	271368	La secrétaire de Meslan
638758	288941	Prisoner
638758	344442	Alma
638759	125561	Vera (the madam)
638760	303455	Workman
638762	86987	Stella Miesner (Jerry)
638763	353707	Beverly Turchow
638764	56077	
638765	138980	Juno
638766	61706	Chambers' kid
638767	73651	
638767	102620	
638767	291063	Bonura's Wife
638768	371726	
638769	117529	Mona
638770	20625	Extra
638771	300484	
638772	33276	Le professeur de danse
638773	109564	Becky
638773	304838	Linda
638774	397779	Lekisbarn (episodes 2-6)
638775	76259	Sara
638776	103132	Mutter Jarrow
638777	360927	Frau am Spieltisch
638778	214385	Emelie
638779	118934	Inmate
638780	121507	Laura
638780	201260	Popcorn Girl
638781	32118	Margaret Moncrieffe
638781	33746	Corinne Norris
638781	45930	Natalia
638781	47133	Betty Morton
638781	49239	Phyllis Benton
638781	49802	Alice Hamilton
638781	50880	Gloria Nevins
638781	71903	Marion Westervelt
638781	85927	Diane Orsini
638781	130894	Marian Lathrop
638781	131440	Marion Alston
638781	145976	Mrs. Oliver
638781	146205	Princess Diana of Terresta
638781	146747	Mary Bruce MacDowell
638781	146940	Flo Haines
638781	171040	Lucy Winter/Lucy Lee (her mot
638781	186684	Dorothy
638781	195656	Lady Joan Templar
638781	208961	Peggy Stanton
638781	237635	Gail Prim
638781	250392	Sybil Lawton
638781	254644	Damophilia Illington
638781	263506	Kathleen May
638781	279388	Helen Bemis
638781	292196	Lady Harburgh's maid
638781	306752	Lorraine Barkley
638781	327409	
638781	331390	Suzanne Russell
638781	356634	Herself
638782	10727	Sisterman
638782	330705	Ivana Garvey
638784	217171	Michael's Mother
638785	316153	I/V girl
638786	139029	Julia Dodd
638787	213350	
638787	384894	Shannon Houghton
638788	244927	Mrs. Newsome
638788	274751	Secretary
638789	14204	Tanya Mousekewitz
638789	142422	Amy Turner
638790	57747	Inmate
638791	176989	Det. Hill
638792	196844	Chickory
638793	363210	
638794	39524	Honey
638795	403805	Melissa Paull (2002-)
638796	51724	The teller
638796	342403	Grocery Store Cashier
638797	236982	Dayroom Woman #3
638797	366761	Woman at market
638798	54953	Townsperson
638799	381514	Herself (1996-2002)
638800	72438	Woman in Audience
638801	61341	
638801	101887	
638801	121320	
638801	157185	
638802	252528	Dancer
638803	182285	Ballet girl
638804	224729	Little Girl (9)
638805	127204	Eva's Ghost
638806	41279	
638806	183669	Judi
638807	403708	Kim
638808	82468	Conrad's girl in seedy hotel 
638809	43174	Twinky's friend
638810	83842	Newscaster
638811	231771	Tow Co. Girl
638812	311831	Daisy Mae
638813	79742	Herself (Radio 4 newsreader)
638814	380911	Herself - Top 30 (2004)
638815	367083	White Wizardess
638817	218713	Minnie
638817	321543	Amanda 'Mandy' Jenkins
638818	41829	Dancer
638819	108382	Maotis
638819	111170	Lorraine Reston
638819	262092	Colleague
638819	329938	Rochelle
638820	327922	Christine
638821	52686	Little Girl
638821	145645	Jessica
638822	202402	Benny
638823	69462	Lt's Wife
638823	265762	Kate
638824	37921	
638824	46798	Miss Dinkelmeyer, voice stude
638824	148927	Girl with umbrella
638824	153191	Fanny Dinkelmeyer
638824	154929	Baggie
638824	221181	
638824	222302	Fatima
638824	270663	
638824	302589	
638824	315204	
638825	387075	Saiyuki
638826	62704	Gypsy
638826	66986	Mary
638827	187497	Maggie Post
638828	338833	The Ghost Party
638829	110338	Girl In Bar
638829	190313	Gypsy
638829	207981	Andre Genous - Hostess
638829	339399	Figure Skater
638829	392770	Pez Candy Dispenser Segment
638830	140960	Senate Investigation reporter
638831	97727	Neighborhood Extra
638832	118939	
638833	283396	Sandra
638833	361532	
638834	4665	Diana Nelson
638834	7818	Mrs. Dalton/Fanny Dalton
638834	14229	Betty Winthrop
638834	71697	Amy Leroy
638834	78962	Princess Naia
638834	84839	Meg
638834	117616	Julie Lamont
638834	131690	Fanchon La Fare
638834	134648	Fleurette
638834	143297	Lorna
638834	188160	Ada Thompson
638834	216831	Marcelle Rigadout
638834	249118	Rosa
638834	250697	Fanny Adair
638834	262349	Nell Eubanks
638834	311333	Celeste
638834	367988	Mazora
638835	27215	Ada Nicoletti
638835	37113	Lucy Chapman
638835	73551	Mrs. Margaret Champlain
638835	107097	Ellen Bailey
638835	142298	Mrs. Wade
638835	163256	Miss Ettinger
638835	203801	
638835	218650	Charlotte
638835	234034	Doris Dexter
638835	247143	Cora Dixon
638835	258732	
638835	276381	Laura
638835	303488	Mrs. McKay
638835	319760	Mrs. Kruft
638835	324263	Lavinia Tate
638835	329853	Matron
638835	339355	Mrs. Mary Ackerman
638835	371319	
638835	374280	Anne Carlyle
638835	407135	Mrs. Townes
638835	407527	Lavinia Tate
638835	411802	Jennifer Elizabeth Brooks (19
638836	159593	
638836	263554	Lady Catherine de Bourgh
638837	289093	Model
638838	381356	Herself
638840	339351	Foreman
638841	23527	Sandra
638841	260734	
638841	375016	
638842	119338	Bird Girl
638842	119344	Herself
638843	80724	Danielle
638844	20906	Clarisse de Dreux-Soubise
638844	34477	Herself
638844	93265	Isabelle
638844	177636	Sybilla
638845	329703	WYAT Field Reporter
638846	163003	
638847	43606	Prostitute
638847	64724	Juror #9
638847	94167	Jasmine
638847	154988	
638847	168295	Counsel
638847	194247	Day Nurse
638847	237783	Nurse
638847	250573	Paramedic
638847	265928	Gospel singer
638847	402338	Mrs. Carver
638848	410020	Herself
638848	410024	Herself
638849	134568	Dance Floor DJ #3
638850	230410	Lucille
638851	342470	Rusher of Din - Sleeper
638852	105170	Telephone Operator
638852	331446	Lulu Banks
638852	339940	Emily the Maid
638852	358451	Telegraph operator
638853	85088	Lulu
638853	92140	Elsie
638853	133644	Nurse
638853	183767	Annabel
638853	372209	Undetermined Role
638854	270138	Ma Fenster
638855	181077	Young Dancer
638857	252296	
638858	92248	Haley Heller, Scientist
638858	164433	
638859	108087	Dancer
638860	198829	Mars Sister
638861	93074	Parent in Van
638862	110983	Dirne
638863	212688	Daughter in cafe
638864	256968	Young girl eating & listening
638865	199099	Whore
638866	27135	Hannah McCabe
638866	51799	Poolside Extra
638866	125884	Second Woman
638866	131546	Mrs. Drexel
638866	144573	Eleanor (cook)
638866	163262	
638866	176846	Miss DeHaven
638866	192721	Committee Woman
638866	195794	Dean's Housekeeper
638866	206355	Martha
638866	213475	
638866	214967	Mrs. Harper
638866	223019	Nurse
638866	308592	Queen
638866	330384	Mrs. Hobby, Clayworth's House
638866	346248	Woman
638866	370892	Mrs. Saunders
638866	371887	Mother Superior
638867	65530	Janet
638867	157547	Sidney Mann
638868	17696	Maud Montrose
638868	26041	Queen Celeste
638868	33395	Lisa Jamison
638868	49373	Jenny Morris
638868	54922	Wish Bear
638868	54923	Wish Bear
638868	60075	Sally
638868	64386	Anna
638868	72325	
638868	80491	Kathryn Keillor
638868	85813	Ms. Green
638868	100822	Lucie
638868	101638	Elizabeth Sedgwick
638868	103357	Pat
638868	108339	Toni Baker
638868	112302	Nancy's Mother
638868	128346	Joyce Winters
638868	139676	
638868	140371	Eleanor Sayles
638868	176480	Judy
638868	195290	Julia (segment "Julia")
638868	206864	Mrs. Schmitz
638868	209433	Ellen Lesly
638868	218775	
638868	222751	
638868	223896	Ariane
638868	231327	Helen
638868	241697	Janet Fox
638868	263922	Ann Williams
638868	269856	Aunt Louise
638868	300173	Louise
638868	316981	April Indigo
638868	323040	Nora
638868	330368	
638868	338088	Blackarachnia/Predacon Comput
638868	346328	
638868	363080	Sue Winston
638868	381466	Dana Battle
638868	383462	Wish Bear
638868	393240	Florence
638868	393518	Void
638868	395723	
638868	404745	Heather Redfern
638868	409543	Xayide
638869	64807	Sugar
638870	186936	Heather
638871	39193	Janine
638871	240818	Kia
638872	51203	Additional Voices
638872	52007	Rebina Lewis
638872	97342	Little Girl
638873	202195	Roseland Dancer
638874	34666	Leslie's Nurse
638875	342156	Elderly Woman
638876	138372	
638877	102581	Parents
638878	80634	Party Guest
638879	305778	Gold Digger
638880	313474	Amee
638881	42924	Heather
638881	42924	Heather (segment "Bel Air Wit
638881	54558	Girl
638881	114242	Jess Hayes
638881	120202	Meridith
638881	120233	Risa
638881	242515	Betty
638881	274971	
638881	284939	Libby
638881	287212	Wanda
638881	385140	Tara Mathers
638881	388672	Herself/panelist
638881	404083	Libby Chessler (1996-1999)
638882	303997	Sherry
638883	318161	
638884	72917	Laverne (segment "The Raft")
638884	150691	Anna Fortino
638885	308938	Female nurse
638886	46545	Girl in Warehouse
638886	50275	Mandy
638887	37393	Fantasy Girl
638888	393730	Noleen
638889	8932	Waitress
638889	97232	Wife With Credit Card Problem
638890	39404	Train Passenger #4
638890	223857	
638891	51203	LaShawn
638892	977	Emma
638892	67786	Annie Lamm
638892	290378	Michelle
638893	65174	Duty Nurse
638894	46330	
638894	80517	Girl 2
638894	126569	Nikki
638894	321696	
638894	346119	Call Girl
638894	370734	Tina
638895	151625	Evie
638895	272031	Dis Girl
638895	303861	College Girl
638896	192849	Elizabeth (age 9)
638896	334189	Beatrice Murphy (older)
638896	374280	Wilma Carlyle
638896	387970	Mary
638897	340864	Little Sweet
638897	342849	Susannah Dickinson
638897	363415	Rhonda
638898	6247	Smart Kid
638898	30581	TV Girl
638898	152945	Rabe Child #2
638898	195305	Sing and Jingle Children
638898	407513	DeeDee Harris (age 6)
638899	13267	Reporter #2
638900	191688	Reporter #2
638901	13966	Salesclerk
638902	249627	Molly Clutterbuck
638903	382384	Salesgirl
638904	99999	Sammy
638904	206871	Herself
638904	364096	Kathy
638906	309706	Jessica
638907	328603	Neighbor (segment "Make Me An
638908	41797	Rain
638908	49734	Kate Granum
638908	131885	Andrea 'Andy' Carmichael
638908	196706	Maggie
638908	201789	Herself
638908	264568	Madeline Green
638908	318776	Jennifer Chester
638908	323227	Tori Pattersen
638908	331373	Robin Kitteredge
638908	372573	Calpernia
638909	150075	Jessica Cheer Girl
638909	212688	Mother in cafe
638910	158481	Maureen
638910	375532	Zog's Mother
638911	117874	Bubba's Great-Grandmother
638912	110516	Co-ed
638913	97277	Secretary To Dean Justice
638914	35823	Herself
638914	361240	Herself
638915	305418	
638916	46148	
638916	97026	Caller
638916	190325	
638916	230857	Dr. Richards
638916	300304	Teacher #1
638916	309489	Zendel
638916	359149	Pretzel Baker
638917	389186	Herself - News Anchor
638918	388722	Costume character
638919	139680	Duchess
638920	355378	Lisa Downs
638921	41351	
638922	276809	Spiller Girl
638922	295853	Herself
638922	369359	Karen, at age 3
638923	13769	Tops Club Member
638923	312783	Janice
638924	194405	Tracey Gratehead
638924	236952	Jakki
638925	131235	Jean MacAllister
638926	403805	Girl (2002)
638928	393922	
638929	139170	Rosie
638930	10478	
638931	313479	Ewok
638932	145066	Model #1
638932	155909	Sharon
638932	157290	
638932	161634	Robyn
638932	162590	Karen
638932	235078	
638932	276654	
638932	292586	Jo Ann Foley (adult)
638932	301541	
638932	328253	Hooker
638932	354673	Gail Vernon
638932	399429	Det. Fleece Toland (1985)
638932	402837	Dory Quimby
638932	410588	Dr. Suzanne McCullough
638933	297549	Lunar technician
638934	317942	Square Dancer
638935	294919	Trio Member, Three Silver Spo
638937	346280	Female Police Officer
638938	186713	Federal Agent #2
638938	364847	Allyson Sager
638939	115062	Special Movement
638939	277839	Acrobat
638940	7432	La fille
638940	28156	
638940	28283	Estella
638940	31392	Gerda
638940	48227	Denise
638940	63662	Barnabé
638940	64214	Monika
638940	73634	
638940	96069	
638940	99978	Bee
638940	101507	L'épouse du commandant de bor
638940	112807	The Girl Opposite
638940	115687	Doris
638940	131020	Myriam
638940	138436	
638940	156550	
638940	170106	Anna Klaper
638940	179290	Aurore
638940	224879	Mathilde Stangerson
638940	255250	Jeanne
638940	284168	
638940	347850	Banker
638940	354577	Caroline Chapot
638940	376943	
638940	377239	Daphnée
638940	379841	
638940	390470	Lady Gladys
638940	393400	
638940	400762	Liza
638941	56200	Girl
638941	266705	Operator
638941	298047	Passenger
638942	20336	Daphne Lang
638942	215507	Young Gracie Hart
638942	363415	Girl in Bathroom
638943	335085	Herself
638944	23536	Sandwich Woman
638944	52570	Costumer
638944	53760	Head Nurse
638944	80397	Waitress
638944	107990	Female Officer
638944	139702	Pamela Tewksbury
638944	157720	Waitress
638944	157931	Receptionist
638944	169173	Lady in Waiting
638944	171311	Teenager's Mother
638944	190570	Flo
638944	222780	Bridie Murphy
638944	223711	Angry Woman
638944	224064	Nurse
638944	329975	Parent
638944	342537	Nurse
638944	364558	Guard
638944	365827	Film Crew
638944	370017	Waitress
638944	380455	Odessa (1998-2000)
638945	97463	Adina
638945	131664	Sal Day
638945	154094	Megan
638945	206825	Sister Theresa
638945	234083	Kim Drew
638945	358657	Robyn
638945	391869	Belinda Jackson (19??)
638945	395104	Young Maureen Quinn
638945	401973	Ann Gower
638946	112400	Italian Singer
638947	368060	The Jiving Lindy Hoppers
638948	98831	Zemko's Girlfriend
638949	69047	Rosenwald's Secretary
638949	311888	
638950	70969	Beverly Johanis
638951	186737	Nancy
638953	330173	Waitress
638954	79281	Reporter #2
638955	214660	Herself
638956	383775	Herself
638957	41378	'52nd Tessie' Sammis
638957	47344	Herself
638957	94607	Alice Merridew
638957	113653	Mildred
638957	128151	Tessie
638957	148868	Doris
638957	152204	Becky Thatcher
638957	192130	Annie
638957	194834	Rosette
638957	195314	Penelope 'Penny' Whipple
638957	206387	Zinnie Wheater
638957	230990	Daisy Tate
638957	248613	Herself (In a Park in Paris)
638957	287749	Bit part
638957	287751	Emily
638957	291314	Herself
638957	304078	Eloise
638957	305042	Herself
638957	335118	Becky Thatcher
638957	338045	Mitzi
638957	405758	Queenie Dugan (1955)
638958	57208	Jenny, Stacy's Friend
638960	370129	
638961	295853	Herself
638962	326845	Dotty
638963	372371	
638964	40038	Pvt. Green
638965	200867	The Mistress
638966	74029	Reporter
638966	132109	Mary Ann
638966	186817	Liz
638967	87018	Cave Girl
638967	109395	Trophy Model #2
638967	215507	Katwyna Towers, Miss Washingt
638968	79894	Bit Part
638968	89380	Herself
638968	187338	Anne-Marie
638968	244704	Model
638968	251798	Milly (model)
638968	352703	Herself - interviewed
638969	71256	Himself
638969	161293	Herself
638970	385299	Margaret Robbins
638971	13606	
638971	40918	
638971	111825	Sara's mother
638971	154323	Pilstam
638971	171636	Woman at the travelling agenc
638971	173190	Mrs. Starck
638971	191062	
638971	204547	Woman
638971	218054	Inga
638971	219840	Jackie
638971	240218	Eva
638971	242756	Veronica
638971	246024	Matte's Mother
638971	248425	Waitress
638971	259365	Cecilia Sundström
638971	304218	Thérèse, the dead son Mart's 
638971	320510	Journalist
638971	322840	Herself
638971	342302	Anna Wallin
638971	353442	
638971	388448	Grandmother as young woman
638971	394946	
638971	403084	Sara Torstensson (1993-1994)
638971	405540	Irene, flygvärdinna
638971	410280	Ingrid Fridell (1997-)
638972	273337	Herself (waitress)
638973	292303	Blonde Temptress
638974	329857	
638975	166345	Girl
638975	316205	Bessie Logan
638976	316752	Paramedic
638977	79352	Young Woman
638977	159023	Carney's 'bait'
638977	177291	Hat Check Girl
638978	295481	Tracy
638979	140310	Dream Extra
638980	278081	Mol
638981	299451	Groupie #2
638982	371962	Hilda (age 14)
638983	333361	Pediatrics Nurse
638984	106737	Bank manager
638985	269880	Sharon
638986	20643	
638987	77852	Tanya
638988	308038	Suzanne Todd
638989	204583	Other Golfer
638990	392206	Howie's Mother (1992)
638991	361218	Herself (former staff photogr
638992	99466	Neighbour
638993	19024	Texas Choir Member
638994	18612	Second Shower Girl
638995	411850	
638998	277497	
639000	366743	Townsperson
639001	293115	The Girl
639002	342706	Wife
639004	141610	Nightclub Dancer
639005	103493	
639006	79450	Baptismal Procession
639007	80356	Musical Performer - "Love For
639008	141164	Diane Washington (age 9)
639008	333530	Angie
639009	36764	Gertie
639009	39685	Ronda
639010	61784	Young Girl
639010	130179	Bonnie
639011	21598	Empleada
639013	87025	Fan
639014	264158	Linda Green
639015	183879	Church Voice
639016	104357	Col. Koofer
639017	913	Martha
639017	126716	Cafe Waitress
639017	215964	Margaret
639018	358874	Grandmother Jennings
639019	380228	
639019	382806	Linda Perkin
639020	385299	Ruth Bailey
639021	237887	
639021	304736	Sally
639022	130167	Civilian
639023	136791	Child
639024	140184	Gypsy
639025	231997	Pinky
639026	199354	
639026	242718	
639026	350114	
639027	291771	Raymond Brown's kid
639028	274663	First Woman
639029	369486	President's Secretary
639030	308457	Lillian
639031	158481	Mrs. Peterson
639032	33527	Belle
639033	191016	Mrs. Ord
639034	5244	
639034	85865	Ruth Rabinowitz
639035	214662	1920's Flapper
639036	341515	Dancer
639038	26077	Dorothy Ruth
639038	38645	Teacher
639038	194820	
639039	99195	Little Girl Pointing
639040	33897	
639040	197635	
639040	286107	Sallah's wife
639041	127126	Customer
639041	192172	Flower lady
639042	192072	Painted Face Girl
639043	289024	Gymnastics Teacher
639044	107155	Extra
639044	142935	IDF Officer
639044	263236	Reporter #1
639044	360244	Foto Fest Co-Worker
639044	383490	Migrant Farmer
639045	133939	Herself
639046	4544	Young Woman on Line
639046	97727	Suzanne
639047	390827	Naomi
639047	390828	Naomi
639048	252660	
639049	194229	
639050	140415	Little Girl
639051	67361	Studio Cast
639051	109708	
639051	257859	Herself
639051	355362	Blond Table Dancer
639052	96857	Ticket Booth Girl
639053	167315	Sales Girl
639054	336506	Juliette
639055	93357	Nurse
639056	289221	
639057	10870	Young Wanda
639057	26846	Basketball Kid #3
639058	275871	Wanabee Cheerleader
639059	41875	Belinda Medieros
639059	118581	Leah
639059	214455	Grace Dunn
639059	221375	
639059	330847	Megan Marris
639059	379300	Julia
639060	87905	Child Emma
639061	122198	Gospel Singer
639062	191893	Carrie Ingalls
639062	191896	Carrie Ingalls
639062	212733	Carrie Ingalls
639062	319238	Jill Hayden
639062	395735	Carrie Ingalls (1974-1982)
639063	98831	2nd little girl in the Commun
639063	114618	Baby
639063	137845	Amy McVickers
639063	191893	Carrie Ingalls
639063	191896	Carrie Ingalls
639063	212733	Carrie Ingalls
639063	319238	Jill Hayden at 2 1/2 Years
639063	395735	Carrie Ingalls (1974-1982)
639064	196341	Coffee Shop/Restaurant Custom
639065	236972	Waltz of the Flowers
639066	7395	Gloria Del Monte
639066	23025	Mrs. Deborah Caldwell
639066	64090	Waitress
639066	71315	Kathy Grant
639066	79850	Guest
639066	103317	Girl
639066	122218	Mrs. Reed
639066	147663	Herself - Junior Hostess
639066	170771	Dr. Linda Roberts
639066	177424	Alice Mason
639066	183836	Marge
639066	186317	
639066	194389	Lady Marcia
639066	195382	Phyllis McGillicuddy
639066	213820	Party Guest
639066	223154	Tourist
639066	232057	Dr. Julie Benson
639066	253106	Mavis
639066	282588	Karen Van Stede
639066	299962	Aletha
639066	311557	Camille
639066	312981	Lana Rock
639066	329533	Blonde
639066	332440	Donna
639066	333386	Elaine Winters
639066	335726	Party Guest
639066	352752	Nurse
639066	358749	Miss Walsh
639067	18627	Rosemary Edghill
639067	40698	Vivki Sheridan
639067	204889	Rosemary Edghill
639067	217951	Dodo Reinhardt
639067	218793	Ingrid Hansen the Baroness' G
639067	360692	Janet Graham
639068	393284	Judy Ann Cosgrove
639069	115331	La fille dans la discothèque
639069	195645	Susan Haven
639070	194483	The Lord of the Dance Troupe 
639071	151460	Partygoer
639072	380391	Sally Spencer Frame Hobson Ew
639072	392185	Lori Kirby #2
639073	297382	Train Passenger
639073	314731	Lana
639074	71665	Hooker
639075	273000	
639076	132912	Pedestrian
639077	140938	Goddess
639078	305777	Paula Diamond
639079	238660	Kacy
639080	10317	Clarice
639080	70428	Doris
639080	86958	Kitty Packard
639080	109929	Judy
639080	129596	Ruth
639080	144406	Audrey (segment "Somewhere Th
639080	154943	Karen Mulligan
639080	155453	Annette Uttanzi
639080	164716	Louise Smith
639080	176897	Elizabeth Wyatt
639080	192268	Audrey
639080	195920	Typing Supervisor
639080	198338	Mathilda's Mother
639080	226938	Louise
639080	231120	Sarah
639080	237992	Della
639080	241342	Mrs. Elaine Lieberman
639080	267088	Jan Emerson
639080	280125	Goldie
639080	310608	Creeping Ivy
639080	313969	Carol
639080	314484	Maxine
639080	319607	
639080	323970	Ellen, Barry's Ex-Wife
639080	358190	Belle
639080	403579	
639080	404939	Paula
639081	242924	Dylan's Wife
639081	329522	Major Motion Picture Assistan
639082	43437	Jennifer Sills
639083	5540	
639083	13454	Noel
639083	25989	Leila Archibald
639083	25990	Leila Archibald
639083	25991	Leila Archibald
639083	33593	
639083	35633	
639083	38606	
639083	39446	
639083	71651	
639083	95143	Mrs. Meredith
639083	96984	Pauline Reid
639083	141381	Marion Nelson
639083	142670	
639083	154901	Edith Torey
639083	157489	Pacifica Jennings
639083	161887	Imogene
639083	164709	
639083	176441	
639083	184983	Sally Nering
639083	188340	Nora Gail
639083	193965	
639083	204855	
639083	206101	
639083	215412	
639083	240832	Ethel Colt
639083	245546	
639083	253120	
639083	289975	
639083	305615	
639083	309272	Katherine
639083	323571	
639083	340998	Eve Lindon
639083	359129	Maude Raynes
639083	364043	
639083	367432	Therese
639084	1542	
639085	73413	Roma
639085	128709	Vera Schroeder
639085	154119	Gilda
639085	313051	Ann Kenyon
639085	316229	Paula Morrison
639085	366215	Mrs. Atterbury
639086	27841	Go-go dancer
639087	153164	Alma the Clown
639088	367791	Mrs. Grute
639089	233894	Girl in Shower
639090	200474	
639090	271104	Shopkeeper
639090	276769	
639091	190273	Ballerina
639092	244223	Teacher and Director of the P
639093	116002	Wind Player
639094	60746	Amy Meemur, Bill's Date
639095	87508	Onyx
639095	248099	
639096	210300	
639097	31500	Girl with Injured Foot
639097	84112	
639097	92513	Paparazzi lady/party lady
639097	109439	
639097	124123	Betsy
639097	134522	Betty
639097	157042	Karen Keeler
639097	192774	Gail Parks
639097	229402	Alison Tripp
639097	246032	Woman in Bar
639097	270389	Thornhill Assistant
639097	291037	Marina Weston
639097	307003	Kimberly Lewis
639097	317816	Meg
639097	380391	Nicole Love #1 (1983-1984)
639097	384582	Channing Carter Colby (1986-1
639097	385824	Sheila Salsbury (1990)
639097	405367	Melissa Cassidy (1991-1992)
639098	177660	Extra
639099	168904	Kim
639099	228152	Herself
639100	165797	Mary
639101	117086	
639101	267932	Mrs. Swope
639101	384703	Regular
639102	215736	Herself
639103	48264	Misty
639103	411284	Various Characters
639104	77835	Fiona
639105	39518	Ruth Ann
639105	186614	Lethe
639105	379071	
639106	7835	
639107	245625	Cynthia Sherman
639107	389984	Herself/panelist
639107	400161	Maria Teresa Bonino
639108	12769	May Stillwell
639108	79444	Bella
639109	152926	Peggy Blackton
639109	241694	
639109	308865	
639110	16670	Betty
639110	17735	Mrs. Frayne
639110	120650	Madame Elsa
639110	206337	Jane Wilton
639110	229295	Grace Vernon
639110	241477	Renee
639110	305856	Mrs. Brompton
639110	311741	Pamela Brent
639111	139283	2nd Gambler
639111	199467	
639111	396832	Marge Green
639112	55550	Louise Bigelow
639112	198660	Marie, Merry Minstrels Act
639112	205740	Herself - Band Leader and Sin
639112	309858	Ngana
639112	362055	
639113	49893	Herself (Taylorette)
639114	27313	Dr. Helene Marx
639115	83571	Marie
639115	273473	Player #2
639116	224106	Prison Matron
639116	330218	Agnes
639116	345807	Ginger
639116	389923	
639116	409066	
639117	10138	Lisa
639117	16359	Andrea Cranston
639117	27437	Annie Walter
639117	54632	Lily Hunter
639117	76603	Barbara Mitchell
639117	78820	Marlene
639117	83960	Julie Jordan
639117	84404	Katie Williams
639117	91862	Virginia
639117	92324	Michelle
639117	108244	Reggie Abravanel
639117	121364	Robyn
639117	129094	
639117	130441	Margo
639117	141194	Karen Schouten
639117	143280	Brenda Slagel
639117	151501	Laura
639117	158106	Nora
639117	176814	Natalie Powell
639117	182966	Abby Perkins
639117	182967	Abigail 'Abby' Perkins
639117	190595	Barbara Dobbs
639117	192286	Kevin's friend
639117	194976	Willa
639117	207901	Laura Gordon
639117	214948	Sherrie
639117	217528	Patty Nowakowski
639117	228970	Herself
639117	232463	Elaine Kalisher
639117	250909	
639117	253000	Felicia Laural
639117	253355	Sister Margaret
639117	261270	Janet Janeway
639117	274447	Sharon Davidson
639117	293007	Thunder Thighs
639117	298038	Connie Loftis
639117	301753	Bonnie Jackson
639117	316215	Joanna Winters
639117	334259	Julie Carlston
639117	342237	Herself
639117	345683	Catherine Moore
639117	365278	Rachel Harding
639117	367487	Gloria Parker
639117	381433	Judy Nuckles
639117	386781	Margo
639117	395023	Abby Perkins (1986-1991)
639118	348599	WPC Tomkins
639119	178286	Anne
639119	385299	Irene Grey
639120	185420	
639121	176972	Ruthie
639121	307692	Jenny
639122	217574	Herself - Mistress of Ceromon
639123	185420	Baby
639124	127311	Herself
639124	291494	Sarah Scrooge
639124	382297	Herself - Presenter (1980-198
639124	384608	Presenter
639124	390253	Presenter
639124	391009	Herself
639124	401082	Presenter
639124	404355	Presenter
639124	407174	Sandra Fayne
639124	410860	Herself
639125	160453	Tara
639126	8080	Elizabeth Lake
639126	232442	Pageant Singer
639127	104970	Vicki Duvay
639127	138135	
639127	389791	Additional Voices
639128	196627	Herself
639129	126686	College Girl in Dorm
639130	274521	Zombie
639131	367982	The Swimmer
639133	204880	Herself
639133	286691	Herself
639134	330194	Telephone Operator
639134	391773	(1951)
639135	165836	
639136	68565	
639137	241342	Jessica
639137	307887	Simone D'Arc
639138	366585	Brooke Swarthen
639139	315113	Truck Stop Waitress
639140	3100	Lily Smith
639141	265678	Young Kim
639142	365881	Elora Danan
639143	8932	Louise Weick
639143	222611	Student
639144	266513	Dr. Kimiko Jones
639145	232973	
639145	313334	Other Tourist
639146	208470	Exercise Class Lady
639147	99189	Mollie
639147	133431	
639147	143383	
639147	154726	Bas Shiva
639147	167300	
639147	195409	Rae Steinfeld
639148	365881	Elora Danan
639149	366585	Rebecca Levine
639150	366585	Wirey's Stepsister
639151	232949	
639152	11157	Anne Webster
639152	16127	Julia Sands
639152	17695	Mrs. Cadbury
639152	24960	Peggy Towers
639152	27877	Irene
639152	64386	Evelyn
639152	77796	Martha
639152	80708	Rosemary Podgis
639152	80774	Leah Franklin
639152	89377	
639152	103254	Lillian Jessop
639152	114377	
639152	138737	Matron
639152	154302	Elaine
639152	205731	Mrs. Yolles
639152	206349	Lydia
639152	282553	Woman on Train
639152	288084	Agar
639152	309857	Donna
639152	323974	Brenda Reilly
639152	327233	Catherine
639152	335121	Mrs. Thatcher
639152	335579	Judge Abernathy
639152	346259	Ellen Adler
639152	355065	Mrs. Scheer
639152	355104	Molly's Mother
639152	361229	Coffee Shop Waitress
639152	362323	Dr. Gage
639152	368993	Helen Slide
639152	381051	Queen Celeste
639152	383161	Scharnhorst
639152	384894	Joyce Colgan
639152	401026	Alice Talbot
639152	406667	Dr. Alison Carr
639153	148952	Cigarette Girl
639154	40005	Younger Biddy Millican
639155	359604	Mother
639156	80619	Juan's Senorita Aviana
639157	138444	Thanksgiving Guest
639158	300891	
639159	80359	Joia
639160	381117	Bernetta Vincent
639161	79762	Victoria
639161	163719	Rose
639161	234849	
639161	251646	Miraculous Virgin Mary
639161	384397	Dangerous Debbie
639163	54788	Detective Deena Mason
639163	78851	Samantha Goodman
639163	106224	Diana Marsden
639163	116785	Rhonda
639163	200357	Phoebe Taylor
639163	214986	Kate Keller
639163	282152	Katie Harras
639163	311173	Reporter #1
639163	328265	Katherine
639163	360650	Elena
639163	406712	Karen Liberti
639163	408692	Trisha Kennedy (1998)
639164	28876	Dr. Feigen
639164	64070	Ensemble
639164	78217	Shelter Attendant
639164	134694	Mrs. Bergler
639164	169433	
639164	244925	Mrs. Soames
639164	314444	Mrs. Kirgassa
639164	335338	Florence
639164	348375	Albert Kagan
639164	363497	Owner of 'Happytime Farms'
639164	387309	Role Unknown (Year Unknown)
639164	404002	Mrs. Huber (1975)
639165	209100	Hoffman's Wife
639166	192733	Lila
639166	269891	Sara
639166	313971	Jenny
639166	345974	Jamie Reynolds
639166	362453	Woman at Lunch Counter
639167	72509	Laura's Friend
639167	213452	Lenny's Secretary
639167	231121	
639167	297894	Holly Essex
639167	355212	Screaming Woman
639167	362453	Woman at Lunch Counter
639167	363977	Burger Girl
639167	366811	Theresa's Assistant
639168	317634	Shannon
639169	101726	Eleanor
639169	194727	Mary
639170	120238	Beth
639171	337853	
639172	109839	Christine
639172	140192	Dora Fredericks
639172	207268	Esmeralda
639172	352715	Selina
639172	386234	Rose Treet
639172	399722	Trudi Corner (1969-70)
639172	405525	Princess Mary
639173	72208	Stylist
639174	403291	(2003)
639175	356325	Manager
639176	72931	Goodyear Chorus Girl
639177	261977	Woman in Toilet 2
639178	132823	Herself
639179	342669	Bar patron
639180	355028	The Academy's Blessed 'Virgin
639181	289227	Herself
639182	381091	Herself (eliminated round 1) 
639183	85834	Krystal
639183	91994	Briar Langolier
639183	101033	Erica
639183	186447	Hostess
639183	190128	
639183	208074	Sara
639183	275877	Brandi
639183	365458	Sarah Wellington
639184	79611	Justine
639185	128429	Herself
639185	245245	Herself
639186	164516	Martha
639187	15852	News Reporter
639187	99584	Screaming Fan
639188	31427	Daisy
639188	41843	
639188	281997	Reporter #2
639189	338981	Herself
639190	249451	Lady (record store)
639191	295480	Daughter in Park
639192	66154	Geoff's mother
639192	79106	Society Woman
639192	126700	Maisie Shepherd
639192	193765	Sally Gordon
639192	208455	Mrs. Wilson
639192	333047	Mrs. Pickford
639192	380468	Mrs. Collins
639192	399130	Barbara Young (1987, 1989)/Ro
639192	402012	Mrs. Corrigan
639192	407189	Socialite
639193	297671	Office Assistant
639194	297788	Alice
639195	37098	Herself
639196	32735	Herself/Molly Holly/Miss Madn
639196	87980	Molly Holly
639196	177493	Molly Holly
639196	177494	Molly Holly
639196	191559	Molly Holly
639196	318841	Molly
639196	320139	Molly Holly
639196	320140	Mighty Molly
639196	320142	Molly Holly
639196	340399	Molly
639196	368826	Mighty Molly
639196	369201	Molly Holly
639196	369203	Molly Holly
639196	369204	Molly Holly
639196	369207	Molly
639196	369208	Molly Holly
639196	369212	Molly Holly
639196	369226	Molly Holly
639196	369230	Molly Holly
639196	369231	Molly Holly
639196	369235	Molly
639196	369236	Mighty Molly
639196	369237	Molly Holly
639196	369239	Molly Holly
639196	369250	Molly
639196	369273	Molly Holly
639196	369283	Mighty Molly
639196	369284	Molly Holly
639196	369291	Molly Holly
639196	369292	Mighty Molly
639196	369309	Molly Holly
639196	402907	Mighty Molly (2001); Molly Ho
639196	406933	Molly Holly (2000-)
639196	410688	Mona (2000); Ms. Madness (199
639196	410689	Mona/Miss Madness (1999-2000)
639196	410690	Mona/Miss Madness (1999-2000)
639196	411537	Molly Holly (2002)
639196	411539	Mighty Molly (2001-2002); Mol
639196	411542	Mighty Molly (2001-2002); Mol
639196	411545	Molly Holly (2000-2002)
639197	297788	Caroline
639198	152889	Marion Hamilton
639199	137484	Ann Turner
639199	232163	Party Guest
639200	309539	Luca Callista
639201	226870	Sauna Woman #1
639202	341939	Girl in Headshots and Auditio
639203	254645	Juror
639204	380571	Voice
639205	132326	Townswoman
639206	143651	Dancer
639207	59366	
639208	58494	Embassy Secretary
639208	79448	Mrs. Postlewaite
639208	102213	Denah
639208	109479	Reporter
639208	279836	Old Woman
639208	301818	Prosecutor
639208	316343	Myers' Secretary
639208	348320	Tourist #2
639209	65948	Blonde Woman
639210	257506	Monique
639211	26386	Emma
639211	60187	Mrs. Crozier
639211	63088	Herself
639211	78171	Ma Higgins
639211	88250	Mrs. Dugan
639211	92117	Binnie Crawford
639211	93669	Mathilda
639211	116208	Pansy Potts
639211	123717	Mrs. Peyton Potter
639211	128865	
639211	129568	Miz Agnes Tilbee
639211	133536	Aunt Netty
639211	147815	Jane in 'Schnazzan' sequence
639211	148278	Penny Bolt
639211	164579	Herself
639211	165413	Jane
639211	203155	Clara
639211	218717	Aunt Susan 'Sue' Latimer
639211	239076	Anna Breitenbach
639211	239414	Aunt Eller Murphy
639211	242941	Lucy
639211	243261	Wanda
639211	247160	Helen Martin
639211	249222	Polly Hathaway
639211	251855	Mrs. Emily Fielding
639211	252970	Martha Mason
639211	306446	Letty Robbins
639211	309629	Lady plumber
639211	312042	Phoebe Gray
639211	313295	Lola Langdon
639211	314482	Sally
639211	314487	
639211	324054	Winnie
639211	348332	Martha
639211	358452	Sara March
639211	372676	Kit Ballantine
639212	60174	Mrs. Breine
639212	263353	Nellie
639213	131509	Duchess
639214	382710	Herself - Presenter
639214	400325	Herself - Guest Presenter
639215	117806	Military Nurse
639216	325459	Mona
639217	125157	Annegret
639217	220486	Dog
639218	143651	Dancer
639219	381910	Herself (Series 5) (2004)
639219	381920	Herself (Series 4) (2004)
639220	127394	Governor's wife
639220	351438	
639221	183006	Bass guitar
639222	391532	Dallas
639222	392000	Annabel Delaney
639222	395342	Alex
639222	399586	Saskia
639223	69399	
639224	14982	Lady Dodo Fitzadam
639224	22808	Selina Hazy
639224	27282	Lady Caroline Lamb
639224	29669	The Great Tyrant
639224	71682	Dollie Van der Biek
639224	109823	Lady Warren
639224	114843	Duchess of Grantham
639224	115233	Wilhelmina Cameron
639224	125817	Betty Miller
639224	128259	Gay Sultzman
639224	128459	Lettice Mason
639224	140779	Babe Cavour
639224	144223	
639224	150748	Beryl Stapleton
639224	157189	Gwendolyn Fairfax
639224	168594	Herself
639224	177138	Sibella Holland
639224	185937	Christine Minetti
639224	191774	Mrs. Clennam
639224	191950	Pupil at Tadworthy House Scho
639224	203212	Daphne Birnley, Alan Birnley'
639224	203677	Elizabeth
639224	218317	Norah
639224	218736	Aunt Frances Ferris
639224	218757	Lady Ashwood
639224	224413	Irma Bagshott
639224	224590	Lady Mary Fairchild
639224	238158	Jenny Carden
639224	250371	Stella
639224	288076	Sophie Dorothea
639224	312813	Rita Vernon
639224	316303	Lady Boscastle
639224	330172	Ruth Blake
639224	335098	Lady Bellaston
639224	345707	Miss Malkin
639224	359944	Lady Harriet
639224	363660	Peggy Macroon
639224	364063	Lottie Smith
639224	366240	
639224	372788	Sabina Pennant
639224	387490	Madame Levitska
639224	390119	Lady Chloe Carlton
639224	396052	Lady Geraldine Porter
639224	397380	Madame Mathilde Marchesi
639224	408877	Judith Harper (1982)
639224	410513	Frau Dangl
639225	211824	Catherine
639226	319695	
639226	330773	Young Matron
639227	1675	Herself (Pretty Funny Female 
639227	115576	Katie
639227	149939	SWAT One
639227	176499	Ginny Hurdicure
639227	230743	Nurse in Hospital Room with H
639227	321669	Denise
639227	367588	Sylvia Bonner
639227	382807	
639227	389906	Frieda
639227	392450	Lucasta Utensil
639227	406304	
639227	408078	Herself
639227	411069	Herself
639227	411211	Grace Bailey
639227	411599	Laura Macdonald
639228	384097	Geri Stevens (1997-98)
639228	391786	Zara Morgan (1999-)
639229	223893	Noble
639230	143248	Girl at Personnel Office
639231	218598	Virgin
639232	131717	Girl at Deli
639232	257204	Charlene
639232	288748	Shelly
639233	340535	
639234	405969	Youngest Sophia
639235	74211	Michelle
639236	151183	Myrna
639237	389749	Presenter
639238	69884	
639238	176338	The Stenographer
639238	195366	
639238	263444	Patrice
639239	50975	Traingirl #4
639239	70305	Deb
639239	80784	Nora
639239	314440	Cindy Anderson
639239	359971	Jaycie
639239	396526	Kozue Nanao
639239	398125	
639240	12093	Miss Tompkins
639240	72844	Miss. Warren
639240	73566	Miss. Armitage
639240	129103	
639240	141625	
639240	155698	Spinster
639240	157191	Miss Prism
639240	196553	Woman
639240	210715	Pianist
639240	215892	Lady Fermleigh
639240	222627	Mrs. Potter
639240	232070	Mrs. Meek
639240	232261	Mrs. Bull (woman on train)
639240	241341	Miss Morpeth
639240	253977	
639240	263973	Maud
639240	281422	
639240	290349	
639240	292593	Hannah
639240	295489	Miss Seelhaft
639240	301490	Mrs. Crackenthorpe
639240	313082	Miss Plant
639240	328239	Constance
639240	354519	Miss Ogle
639240	366768	Janice
639240	390921	Sister Dorothy Smith
639240	394670	Witch
639240	401224	Mrs. Ardmore
639241	35362	
639242	408215	Presenter
639243	26134	Melanie
639244	395924	Maggie, station cook (1988-20
639245	40626	Dancer
639245	368928	Salvation Army Girl
639246	6604	
639246	6803	Countess Fieramondi
639246	9925	
639246	10756	
639246	10852	
639246	15983	
639246	19821	
639246	19949	Mrs. Hayden
639246	20437	
639246	22928	
639246	32776	
639246	33391	Violette
639246	33544	
639246	34197	
639246	41845	
639246	43548	
639246	47438	
639246	47596	
639246	48027	Evelyn Kenyon
639246	50230	
639246	50663	
639246	50947	
639246	52124	
639246	54857	
639246	56615	
639246	64061	
639246	64727	
639246	67773	Anne Stevens
639246	74308	Belle
639246	77978	Grace Paulton
639246	81594	Beulah Page
639246	88265	Belle
639246	89659	Kate Connelly
639246	90268	Harriet Doubleday
639246	95466	Marion Moore
639246	107420	
639246	107562	A Mother
639246	114860	Dolly
639246	119666	
639246	126694	
639246	129905	Molly O'Connors
639246	145788	
639246	145944	
639246	151516	
639246	159950	Myra Hamilton
639246	160623	Madame Batonyi
639246	163376	
639246	177405	
639246	185177	Mignon
639246	186687	Mrs. Travis
639246	190202	Mrs. Carraway
639246	194547	Sea Lorelei
639246	194877	Molly
639246	195074	Hewig Jensen
639246	195912	Jane Holder
639246	198045	Emily Arden
639246	198453	Clara Parker
639246	200068	Ada Darkin
639246	203558	
639246	208150	
639246	210892	Noel Parkton
639246	215865	
639246	223032	
639246	235923	
639246	258264	
639246	267974	Miss June Peeler
639246	273840	Louise MacLeod
639246	285020	Mary Ispenlove
639246	285790	
639246	300846	Constance Weems
639246	320404	
639246	323715	
639246	327973	
639246	334349	Mrs. Guy
639246	335647	Waitress
639246	340985	
639246	343073	Louise
639246	346070	The Foster Mother
639246	346321	The Understudy
639246	355522	
639246	356276	Marie Clark, aka Madame Thebe
639246	367679	Claire Black
639246	368021	Aunt Em
639246	372645	Mrs. Dick Chetwyn
639247	28493	Townspeople
639248	63835	Landlady
639249	272930	News Crews
639250	75721	Additional Player
639250	214162	Cory
639251	365285	Julie
639252	54551	Mrs. Fredericks
639253	686	Herself
639253	403299	Panelist
639254	324371	Future Inhabitant
639255	411802	Kate Valentine #1 (1990-1991)
639256	160835	Olivia
639256	209596	Donna
639257	130597	
639258	213178	Teenage girl #1
639259	149364	
639259	279459	Fat Lady
639260	7868	Girl
639261	17830	Herself
639261	21119	
639261	36854	Herself
639261	147280	
639261	167661	Herself
639261	220096	Herself
639261	223869	Herself (interviewed)
639261	228685	Herself
639261	261096	Narrator
639261	292158	Herself
639261	337099	Herself
639261	340504	
639261	345695	Herself
639261	347240	Clara Bowden
639261	365810	Reader
639261	399378	Herself
639261	403299	Panelist
639262	215905	Hattie
639263	210773	Girl
639264	42705	Hooker #2
639264	72747	Black Woman
639264	142373	
639265	296100	Mary's sister
639266	8075	Mrs. Wyler
639266	28782	Eileen Sawyer
639266	37356	Joan 'Chiquita' Graham
639266	37918	Agnes Carol
639266	66042	Paula Henderson
639266	68695	Diane Stewart
639266	83985	Julie Heldon
639266	92100	Diana Forrester
639266	107702	Lola Carpenter
639266	126069	Billie Randall
639266	147876	Herself
639266	156970	Michael's Mother
639266	171084	Ruth Chapwick
639266	203270	Hazel Bennett Chaney
639266	245178	Kathie Moffat
639266	245330	Alma
639266	247359	Miss Downing
639266	252919	Mom
639266	264485	Antoinette de Mauban
639266	283347	Katherine 'Katie' Connors, Ma
639266	296849	Ma Traven
639266	302454	Pirouze
639266	314004	Charlie
639266	330240	Janice Bell
639266	343034	Helen Carter
639266	363346	Marian Spicer
639266	372170	Katie McDermad
639266	372330	Ellie Harkness
639267	3924	Girl at Bar
639268	375714	Mandy
639269	32529	Police Receptionist
639270	1038	Lucy Wyman
639270	6219	Alice the Waitress
639270	23940	Julie Leer
639270	37347	Tracy
639270	45334	Julie Leer (segment "The Audi
639270	75585	Joanie
639270	83929	Molly
639270	99311	Heather Baylor
639270	133730	Allison
639270	141746	Esther Bloomenbergansteinthal
639270	154456	Samantha
639270	157817	Judy
639270	165958	Fern Mayo/Vylette
639270	178207	Andrea
639270	193534	Judy
639270	217134	Ellie
639270	274636	Secretary
639270	283189	Maisie
639270	310646	Deadly Girl
639270	316875	Cynthia
639270	331427	Cathy Daitch
639270	354548	Kitty Walker
639270	360713	Penny Nicholson
639270	362355	Rebecca
639270	362453	Erin
639270	366914	Vicky
639270	396047	Puff Conklin
639271	965	Julienne
639272	85866	Kim
639273	109630	Jill
639274	275363	Candy Sugar
639275	297911	Jannelle Andrews
639276	199161	Buckskin Bonnie
639277	289400	Child
639277	292534	Brigid
639278	331100	Dancer
639279	16921	Trish
639280	305514	
639280	330138	Female Gas Station Attendant
639281	247107	
639282	344151	Salesgirl in Western Store
639282	354884	Waitress
639283	296750	Waitress
639284	116932	Trixie
639284	304889	Zipper girl
639284	381209	
639285	23480	Zombie
639285	328557	Guy/Cop
639285	342443	Watson
639285	391558	Student
639286	116053	
639287	16921	Elaine Brenner
639287	107990	Shelly
639287	160911	Susan
639287	184104	Marsha
639287	203436	Actress
639287	253896	Hooker
639287	288454	Baker Girl
639287	388237	Dina Wells (1986-1987)
639287	404002	Sydney Price (1983-1985)
639288	360162	
639289	411802	Kate Valentine #1 (1990-1991)
639290	89645	Iris
639291	166069	Female Model
639292	160832	Street People
639293	14546	Ammulu
639293	92284	Ulrike
639294	23005	
639294	49578	
639294	75514	
639294	97417	
639294	119922	
639294	142148	
639294	158157	Louise Frederici
639294	183732	
639294	184534	
639294	215739	
639294	243234	
639294	285066	
639294	306038	
639294	307851	
639294	360314	
639295	405302	Guest Host (1995)
639296	10631	
639296	59180	Anxious Passenger
639296	99883	Grandma
639296	109201	Frau Appelboom
639296	165221	Mrs. Marney (Sir Humphrey's t
639296	191825	Mrs. Parry
639296	194444	Mrs. Parker
639296	194451	Peach
639296	195460	Martha
639296	203534	Mrs. Sprocket
639296	204854	Mother
639296	204891	
639296	205556	Mrs. Marten
639296	221250	Mrs. Bulsom-Porter
639296	222774	Jury Member
639296	236663	
639296	258916	Landlady
639296	278493	Fortune Teller
639296	282258	Mrs. Clugson
639296	282621	
639296	284904	Mrs. Jones, the Cook
639296	300938	Old Maud
639296	301253	Mrs. Hudson
639296	330555	Mrs. Scratton
639296	331457	Mrs. Gubbins
639296	363820	Mrs. Albert
639297	375187	Stalin's Agent
639298	269872	Kate, the Babysitter
639299	218788	Patient
639300	197318	Maid
639301	82325	Prof. Byrdy
639302	347630	Yatu
639303	260679	Big Edna
639304	276139	Woman in musical number
639305	387551	
639305	393176	Malvina
639305	399576	
639305	401898	Carmen
639306	139918	
639307	264676	Veronica Allardyce
639308	27946	Wife
639308	66335	Lady in Red
639308	80445	Dr Helen Marcott
639308	88978	Dr. Abbott's Receptionist
639308	140193	Psych Patient #2
639308	242431	C-5 Tech #2
639308	281913	Female Customer
639308	283466	Dana
639308	331188	Shirley Keenan
639309	406097	Marta Spaghetti
639310	175795	Gym Honey
639311	336508	Nachtclubdame
639312	198004	Vasanà
639313	374541	
639314	182626	Julie
639314	210291	
639314	274831	Sofie
639314	314992	Herself
639314	315401	Sofie
639314	387597	Herself - Host (2003)
639314	388392	Herself - Co-host
639314	391724	Herself - Host (2003-2004)
639314	392343	Herself
639314	396720	Herself - Host (1998)
639314	397955	Lene Fisker
639314	409097	Herself - Host (1994-1996)
639314	411987	Herself - Host (1993-1994)
639315	405745	Herself - Snuporter (2003-)
639316	292287	Beatrice
639317	46291	Sue Thomas
639317	72107	Joy Adams
639317	90401	Jean Painter
639317	109776	Karon
639317	190103	Nurse April Andrews
639317	270776	Carol
639317	325253	Ruth White
639317	343213	Janet
639317	372719	Daphne
639318	151540	Amber
639319	371374	Extra
639320	22619	Miss Harper
639320	26631	Lady Don
639320	41066	Hetty Hopper
639320	46892	Dolly Messiter
639320	47970	Mrs Barber
639320	55679	
639320	80817	Mrs. Mac
639320	82609	Mrs. Flannel
639320	109823	Governess
639320	118788	Mrs. Jarrett
639320	119582	Maria
639320	122903	
639320	124737	
639320	125817	Miss Simpson
639320	127113	Mrs. Martin
639320	133590	Sarah Pocket
639320	138227	
639320	140353	
639320	152292	Miss Phipps
639320	154581	First Woman on Train
639320	158566	Freda's Nurse
639320	194690	Viscountess
639320	200112	Bridegroom's Mother-wedding g
639320	203561	Club matron
639320	206465	
639320	220273	
639320	232116	Mrs. Jeans
639320	264733	Katherine Parr
639320	268152	Mrs. Eynsford-Hill
639320	281413	Mayoress
639320	291110	Mildred Langwiter
639320	311134	Mrs. Madison
639320	312782	Miss Hatcher, RADA Instructor
639320	315083	Lady Millicent Harringay
639320	332024	Millie, Dan's Secretary in Ne
639320	342825	
639320	345708	
639320	367510	Lipstick Customer
639320	367520	Lady Cloy
639320	368644	Mrs. Bounty
639321	128416	Cook
639321	206836	Matron
639321	261506	Head Nurse
639321	267596	Candy Store Woman
639321	363616	Nurse
639322	366865	Girl in fire
639323	235367	Tracy Harper
639324	188453	'Dislike' Girl
639325	236368	Mrs. Haines
639325	367758	Mrs. Margaret Santor
639326	80557	Jillian Marks
639326	130128	Sandra Corleone
639326	142396	Marjorie Bellflower
639326	203295	Antonia Quijana
639326	216728	Maggie Spencer
639326	304013	
639326	381247	Abby Graham (1972-1973)
639326	397998	Maggie Spencer
639326	404747	Edna Clapper
639327	190796	Patient
639328	46327	Aerobic Pool Girl #1
639328	230934	Barmaid
639329	16760	Flower shop assistant
639329	32970	Mrs. Bunting
639329	222661	
639329	266622	Mary
639329	359944	
639330	177660	Extra
639331	230421	Nurse
639332	70302	
639332	275889	Mom Maddox
639333	278842	Hospital Wife
639333	386546	Kerrie
639334	267536	A-Ko
639334	385299	Lyn Baxter
639335	408626	Daffy
639336	245040	Punker Store Clerk
639337	9131	Passenger
639337	11334	Witness
639337	11502	Ada Davis
639337	12331	Dr. Sylvia Newman
639337	13379	Emily
639337	23474	Commissioner Miller
639337	37103	Mrs. Drummond
639337	42703	Irma
639337	48482	
639337	56113	Madeline
639337	59812	Judge Mary Foreman
639337	73191	Mrs. Dane
639337	73945	Mercy Lewis
639337	76212	Judge Virginia Adamson
639337	76227	Mrs. Owens
639337	92734	Mrs. Ethel Starkie
639337	92737	Mrs. Eve Kruger
639337	99857	Wilma Jacobs, RN
639337	105465	Radio actress
639337	109548	Rose Tibbs
639337	115259	Claire
639337	115556	
639337	117395	Henny Brandywine
639337	124728	Dr. Susan Nash
639337	125884	Third Woman
639337	127489	Barbara Hightower
639337	138364	Edna Flaunce
639337	141651	Mrs. Patterson
639337	141978	Aunt Dete
639337	150754	Amy Waller
639337	151092	Mrs. Hunter
639337	154868	Ellen
639337	169593	Mrs. Lorgan
639337	178121	Rosa Stangher (US TV version)
639337	192412	Hannah
639337	195743	Anne Richards
639337	199679	Esther Newman
639337	202988	Whale Scientist
639337	203801	Ruth
639337	234065	Mildred Pickens
639337	235676	File Clerk
639337	242773	Maj. Edna Heywood, RN
639337	244364	Mrs. Baird
639337	260963	Clara Madison
639337	263085	Miss Petrie
639337	266574	Norma Bates
639337	266590	Norma Bates
639337	269048	Nurse Nelson
639337	284538	Funeral Home Owner's Wife
639337	299659	Sarah Hawker
639337	310863	Miss Parker
639337	316281	Secretary
639337	328525	Helen
639337	342487	Myra Pringle
639337	343067	Dolly Bast
639337	358571	Ann Cade
639337	372197	The Maid
639337	379065	
639337	383241	Maggie Belle Klaxon
639337	384525	
639337	391396	Tarra
639337	395756	Hannah (1979)
639337	406086	Tara
639337	407991	
639338	217652	The director
639339	272643	Kiosk owner
639340	260035	Racic's Mother
639341	346779	
639342	3113	Sister Nun
639342	276561	
639344	397938	Epinette 16
639345	322066	Viola
639345	378931	
639345	409099	Margó
639346	275620	Laurence Krasner
639347	114237	Mitzi
639348	23646	Child
639349	332	Mrs. Rosine Brown
639349	4769	Evelyn Norman
639349	120905	La mère
639349	125173	
639349	134442	Herzogin Josiane
639349	147825	Herself
639349	162473	
639349	178629	
639349	203155	
639349	213597	Princess Lucia Zamikoff
639349	216992	
639349	219017	Mary Dugan
639349	240163	Olympia
639349	284146	Christine de la Cheyniest
639349	289930	
639349	339062	
639349	345893	
639349	351940	
639349	359641	Rina Korff
639349	366543	
639350	155610	Minka
639351	83713	Mother of Deseti brat
639351	89815	
639351	209339	
639351	246022	
639351	259912	Oka
639351	315848	Diana
639351	344046	Mother of Polz
639351	350990	Anica
639352	358604	Choir Singer
639353	1826	Karls Stiefmutter/Karl's Step
639353	6300	Frau Weidig
639353	35095	Anna Sell
639353	38771	
639353	45985	Karin Kunze
639353	49268	
639353	82162	Fräulein Fritsche
639353	92556	Schwester Gerda
639353	98265	Oberschwester Walburga
639353	103122	Gräfin
639353	104275	Frau Kowalski vom Wohnungsamt
639353	115983	
639353	126435	
639353	130954	Wardress
639353	134996	Teacher
639353	152834	Hella Zwillich
639353	156169	Mother
639353	156974	Elisabeth's mother
639353	165376	Natter
639353	166430	
639353	168420	Margarete
639353	170124	Heinrichs Mutter
639353	174759	Mrs. Goldman
639353	186903	Ruth Polzin
639353	191035	
639353	218969	Frau Zumberg
639353	225649	Richterin
639353	231457	
639353	251998	Frau Kongstrup
639353	258475	
639353	259450	Waltraud Gruber
639353	259550	
639353	259666	Katja Hagen
639353	259682	Christine Eggert
639353	262750	Theresa
639353	272820	
639353	287638	Mutter
639353	313661	
639353	316815	Krobyle
639353	325948	Ilse Tobien
639353	344770	Frau Pertramer
639353	347429	Mutter
639353	352042	Georg's Mother
639353	365670	Rosa
639353	389286	
639353	393255	Louise Papenbrock
639353	394619	
639353	408208	Helga Bogner
639353	409411	Felicitas Meier
639353	409609	Frau Punkt (1992)
639353	411923	Frau Verheugen
639354	157028	Mita
639355	60934	
639355	74512	
639355	158553	Tiziana
639355	198904	Young actress in theater
639355	234741	
639355	302619	
639355	374584	
639356	106799	
639357	270857	
639358	229644	
639360	411258	
639361	45712	Dr. Marina Parun
639361	91069	Host
639361	91070	Host
639361	202953	Danica
639361	355549	
639361	374150	Saša
639361	395028	Pottery Girl
639362	50994	Herself
639363	293099	Fan #2
639364	295673	Public Defender
639365	83541	
639366	64869	Pina
639366	81222	Betty Firmani
639366	81767	Rosie
639366	83934	Ruth
639366	88656	Betty Marcus
639366	95133	Jean Markin
639366	106632	Elaine Cassel
639366	114601	Mrs. Sabantino
639366	185341	Monica Powers
639366	208739	Helen
639366	213865	Selma
639366	221099	Angela
639366	241630	Rose Sanantonio
639366	248470	
639366	297693	Anne Dowling
639366	315776	Mrs. Eberhardt
639366	321448	Sylvia Finney
639366	324889	Pina
639366	327250	Agnes
639366	340757	Brenda Samuels
639366	364184	Gloria Soloway
639367	392343	Herself
639367	403382	Herself - Host (1999)
639367	407114	Herself - Host (2001-2003)
639367	407264	Herself - Journalist
639368	51042	Ofelie
639368	243195	
639368	257481	Uhliarka
639368	262276	Jana
639368	343439	Manda
639368	379877	
639368	399901	Tunterová
639368	407278	Náhlová
639369	965	Woman in Bar
639369	146726	Bev Corey
639369	368864	Margaret Campbell
639370	333530	Classroom Teacher
639370	347059	Sweeny's Secretary
639371	345992	Vera
639372	197081	Psychologist
639373	332550	
639374	8147	Nancy Neele
639374	26392	Mother Superior
639374	61784	Sarah
639374	77857	Maria Ziegler
639374	183235	Queen Serah
639374	183239	Queen Serah
639374	233786	Gemma Lawrence
639374	304469	Theresa
639374	307016	Frances
639374	391185	Vinnie Rae
639374	407085	Ruth Anderson (1976)
639375	68275	Moroccan Bar Girl
639375	97388	Dancer
639376	96219	Hélène
639377	104121	Journalist
639377	156547	Doria
639378	13778	
639378	13779	
639378	387309	Herself (1981)
639379	334177	Anchor Woman
639379	391253	Vickie Bumpers (1993-1994)
639380	303212	Herself, Sistas Round Table
639381	45912	Anne
639382	54881	Mrs. Machin
639382	97609	Mrs. Gussett
639382	126045	
639382	151080	Mary
639382	157187	Miss Prism
639382	158566	Mrs. Lemmon
639382	303992	Mrs. Jackman
639382	313349	
639383	83583	Fay Knight
639383	119896	
639383	191276	
639383	207184	
639383	362365	Undetermined Role
639383	364133	
639384	133471	Narrator
639384	190000	Miss Bravassa
639384	405042	(segment "Macbeth")
639385	5414	
639385	12267	Elaine Marvin
639385	31601	
639385	32714	
639385	35247	Nancy Burton
639385	40459	Milly Morgan
639385	47982	
639385	49224	
639385	50193	Lucy
639385	52228	Trixie
639385	66948	
639385	82117	
639385	84998	Mary Jane Haley
639385	85094	Mona Benton
639385	91964	Madeline Haver
639385	92218	Marion Hoyt
639385	116575	The Siren (fantasy sequence)
639385	120825	
639385	124935	
639385	131037	Sally, a Country Maiden
639385	134441	Maary Felden
639385	142605	
639385	158381	The Queen
639385	166071	Bit part
639385	166579	Pearl
639385	186369	Glory Sillman
639385	192611	Bessie, Bob's Blonde Model
639385	210783	Nancy Owen
639385	220033	Maid
639385	229110	The girl
639385	241514	
639385	246531	
639385	251198	Betty Benson
639385	261499	Model
639385	262059	Gloria Wright
639385	263045	Vivienne Van de Vere
639385	274140	Ellen Rand
639385	281069	Barbara Warrington
639385	281853	Elsie Avery
639385	282303	Beth Stone
639385	283635	The princess
639385	298437	Maggie
639385	299878	McGregor's daughter
639385	299891	Stella
639385	302992	Barbara Ingram
639385	305644	Secretary
639385	307116	The girl
639385	311755	Chorus Girl
639385	327721	
639385	329339	
639385	331685	
639385	345712	
639385	348333	The Vamp
639385	348466	Sally Graham
639385	358177	Sally Beldan
639385	360673	The Bride
639385	361781	Millie Donlin
639385	364806	
639385	374272	
639386	108391	Mistress
639387	275996	Student
639388	194289	
639389	107483	School Child
639390	143368	
639390	313352	The Bearded Lady
639391	270272	Jigalong Mother
639392	334757	Chorus
639393	133595	Young Estella
639393	230503	Blue Fairy
639393	390840	Freya
639393	397707	Mickey (1999)
639394	121811	
639394	345921	
639395	403993	Choreographer [204]
639396	203374	Olga
639397	389376	Host
639398	144347	900# girl
639399	6338	Aunt Catrin
639399	68246	Mona
639399	77068	
639399	393694	
639399	401689	Mrs. Mac
639400	297190	Burn Unit Victim
639401	405209	Natasha Tolly (1998)
639402	183229	Cygnet
639403	87025	Paleontologist
639403	230658	Clara
639404	383851	Judy Conner
639404	395091	Mrs. Bentley
639405	40800	Valerie Wheaton
639405	302468	Mollie Rusk
639406	266106	Jenny
639407	192349	Stripper
639408	41138	Bargirl #2
639409	75580	Frances Hayes
639410	400242	Weather Presenter
639411	319902	Smeg's Girl In White
639412	310436	Confusing couple #1
639414	97035	Lydia
639415	5387	Councilwoman
639415	16686	Secretary
639415	41393	Trial Judge
639415	68162	Martha Vickery
639415	81334	Leslie (boom girl)
639415	90423	Carol
639415	120216	
639415	132850	Herself
639415	158175	Grace Warren
639415	191513	Justice Brooderworth
639415	232164	Ms. Larson
639415	276163	Mrs. Devonshire
639415	304761	Dr. Melik
639415	330218	Nurse
639415	330284	Party hostess
639415	330955	Jean Hagen
639415	340320	Judge
639415	340327	
639415	353394	
639415	368032	
639415	372901	Sister Mary Alice
639415	383385	Annie (1982)
639415	403389	Mrs. Kent
639415	410503	Regular
639416	82327	
639416	91767	Sarah Fleischer
639416	105713	Ida Damico
639416	116907	Mrs. Allyson
639416	274100	Mrs. Taylor
639416	406363	Alice Underwood
639417	390046	Rose Gideon
639418	85171	Protest Leader
639418	382621	Tunia (1994-1998)
639419	5483	Isabel Bland
639419	31157	Ethel Whitcliff
639419	43555	Snowdrop
639419	65661	Miss Seller
639419	68486	
639419	194531	Adelaide Churchill
639419	349997	Dora Royce
639420	335982	Alice
639421	46990	Linda Stone
639421	59350	Lambeth Kid
639421	196353	Karen
639421	217337	Guildford Girl
639421	333679	Mary
639421	393042	Cathy
639422	131232	Extra
639423	189932	Fiancee
639423	217961	Typist
639423	364005	
639424	99089	
639425	10746	Alice
639425	31735	Belinda
639425	72544	Annie
639425	76506	
639425	176496	Girl with Puppet Lady
639425	240001	Jenny
639425	311826	Kathy
639425	316230	Gillian
639425	358277	Rose
639425	389356	China Kensington
639425	403509	Courtney Kennedy (Part 1 & 2)
639426	65683	
639427	297091	
639428	47355	Chorus Girl
639429	397329	Presenter (2000)
639429	400228	Presenter
639430	99185	Mrs. Elgar
639430	161637	
639430	183670	Waitress
639430	301697	Jane Wilson
639430	399581	Secretary
639431	77146	Diane Tyler
639431	363008	Jack's Wife
639431	366908	Reporter
639431	396088	Caroline Aleata (1976-1978)
639432	360200	Julie Osman
639433	140336	Nightclub Singer
639433	212859	Additional Voices
639433	244034	Additional Character Voice
639434	1218	Bookstore patron
639435	10746	Sister
639435	131210	Melissa Daye
639435	169608	Pretty Girl #1
639435	318701	Carrie
639436	131232	Extra
639437	379376	Herself
639438	192058	
639438	403846	Kim Winston
639439	114603	Andrea Nevill
639439	130824	Joan Blake
639439	265471	Susan Holland
639439	288508	Barbara Noble
639439	307738	Ann Selby
639439	360542	Nancy
639440	314624	Herself
639441	96787	Eldora
639442	69342	La jeune gauloise
639442	154937	Femme enceinte
639443	253351	
639444	227031	Mrs. Dixon
639445	253117	Geraldine, Age 17
639445	346112	Blossom
639446	26168	
639446	26169	
639447	138416	Hanka
639447	306977	Sofka
639448	17953	Rosie
639448	48923	Cassandra
639448	78845	Martha
639448	80399	Kirsten
639448	89327	Sara Ruth
639448	109929	Lisa
639448	114168	Sissel
639448	129218	Vanessa Mason
639448	133371	Julie
639448	139704	Tibby
639448	141859	Bobbie Arnstein
639448	144804	Caroline Fortis
639448	144913	Julie Rubels
639448	148252	Beth
639448	151297	Maggie
639448	160446	Waitress
639448	194818	Sheila
639448	209436	Lynn Piegi
639448	212051	Kelly
639448	216970	Nico
639448	217416	Gina
639448	245454	Wendy
639448	257522	Herself (ringside fan)
639448	263308	Herself
639448	269847	Kathy
639448	284526	Kristen
639448	297008	Allison
639448	307206	Brenda
639448	316238	Violet Madison
639448	317892	Jenny
639448	323227	Lissa Drew
639448	342872	Louise 'Lou' Johnson
639448	348607	Michelle Mancini
639448	350247	Zoey
639448	366679	Maggie
639448	368043	Barbara Richardson
639448	374574	
639448	400933	Beth Greeley
639449	131391	Mrs. Oakroyd
639449	194202	Mr. Pearson's Housekeeper
639449	233665	Mrs. Shuttleworth
639449	302597	Aunt Alice
639449	309872	Mrs. Molton
639450	49851	Librarian
639451	138656	Mrs. Bane
639451	239746	
639451	252283	
639451	324002	Mrs. Barker
639452	11915	Ms. Jenson
639452	63137	Miss Kearney
639452	97079	Flo
639452	129626	Dr. Friedlander
639452	139434	Florence Reese
639452	190261	Winnie Stafford
639452	222693	Dr. Anna Keene
639452	229931	Dobson
639452	241798	Nurse Charlotte
639452	276197	Villager #2
639452	289603	Elizabeth Cheever
639452	291777	Mrs. Bridget McRae
639452	303236	Deaf Woman
639452	338297	Eloise Marshall
639452	346139	Lady #1
639452	374282	Margaret
639452	382154	Frances Hubbard
639452	406621	Della Bissonette
639453	108314	
639454	99859	Night Nurse
639455	129784	Girlfriend #1 (jury member)
639456	200443	Nurse
639457	199148	Kid
639458	115739	Herself
639459	54421	Resistance fighter
639460	16646	Hooker
639461	412258	Young Maria Laura
639462	399489	
639462	400289	Denise
639463	130037	Sara Wilson
639463	199133	Mrs. Mitchell
639463	333868	Deirdre
639463	402120	Kate
639464	47922	Child
639465	181255	Trekschuitjongetje
639466	387581	Interviewer
639467	34261	Färberin von Millsdorf
639468	209683	Miss Bussone
639469	396874	Anna Förtig (1995-2002)
639470	4779	Marie Krüger
639470	177752	
639470	290463	
639470	400040	Gisela
639471	48372	Sigrid, Knuts daughter
639471	122321	Lotta Svärd
639471	357776	Britta, daughter of Ola
639472	292275	Sally
639473	330635	Herself
639474	97523	Ruth's baby
639474	115085	Elspeth
639474	382524	Grizel Ker
639475	60353	Charlotte
639475	107892	Jackie
639475	267426	Liaison Officer
639475	297802	Maggie
639475	306500	Carmen
639475	330812	
639475	362852	Denny
639475	382150	Fran Katzenjammer
639475	382234	Valerie Marsden
639475	389344	Narrator
639475	390568	Cleopatra
639475	390627	Dr. Caroline Todd (2004-)
639475	399192	Lamia
639476	319568	Jodie
639477	29545	
639478	82333	Hamlet, Prince of Denmark
639479	383089	Teresa Cardozo
639480	284154	Herself
639481	86387	
639482	55675	Young Carrie
639483	70316	
639483	194307	
639483	249388	
639483	254160	
639483	345354	
639483	348725	
639483	354099	
639483	372779	
639484	51435	
639485	99537	Királylány
639486	178557	Marite
639487	226244	
639488	8261	
639488	32316	
639488	53853	fiancee
639488	380112	
639488	382428	
639488	383857	
639488	389232	
639489	133003	
639489	404283	
639490	46215	Jill Layton
639490	51482	Lauren Daniels
639490	95331	Marion Boxletter
639490	136801	Marie Antoinette
639490	148569	Laura Seaver
639490	148570	Laura Burnford-Seaver
639490	151183	Emily Young
639490	185253	Eve
639490	204218	Molly Graham
639490	251285	Justine Bates
639490	267174	Madeline Urie
639490	280205	Samantha
639490	281888	
639490	282147	Vy Marcel
639490	300304	Mrs. Peacock, Bulimia Falls H
639490	305418	Holly
639490	331934	Beth Ryan
639490	362282	Herself
639490	364612	June Daley
639490	375515	Mrs. Callahan
639491	25083	
639492	140229	Lena Golborn
639493	186607	Ellen Wachholz
639494	205858	
639494	270985	
639495	237466	
639496	212294	
639497	292489	Ian's Twin Daughter
639498	292489	Ian's Twin Daughter
639499	295282	Heavy girl
639499	306396	Girl
639500	17646	Anne
639500	30549	Nathalie
639500	98972	Princess Maia/Prince Mandi
639500	357849	La groupie
639500	406853	Lee-Aurore
639501	315242	
639502	23463	Miss Potato Famine of 1922
639503	315242	
639504	382820	Herself - pinsevenn
639505	22198	
639506	337033	Féministe blonde
639507	118183	Mademoiselle de Fontange
639508	8495	Hélène
639508	45114	Lucille
639508	48229	Françoise
639508	60899	Violetta
639508	86495	
639508	96173	Victoire
639508	118183	La mégère apprivoisée
639508	153874	Marie-Laure Delambre
639508	156292	Madeleine Bauman
639508	156313	
639508	191292	Caroline Stenet
639508	205620	Cherubin
639508	240586	Colette
639508	261609	Fanny
639508	275403	Muriel
639508	303615	Adrienne Lecouvreur
639508	385245	Martine Dumarrois
639508	389784	
639508	393486	Julia
639508	395074	Aurore de Nevers
639508	396867	Comtesse du Barry
639508	398054	Catherine de Brie
639508	401029	Sophie de la Tour
639508	402356	Prune
639508	402846	Odile Mousset
639508	403642	
639508	410376	
639509	40631	Rachel's Friend
639509	353251	
639509	390180	
639510	255901	Supermarket Buyer
639511	222258	Young Carol
639512	189898	Giselas Kommilitonin
639513	293411	
639514	339996	
639515	175731	Dark-haired girl
639516	35750	Herself
639517	361652	Spanish Girl
639518	273364	Policewoman #1
639519	401053	Laetitia (1981)
639520	68381	
639521	212395	
639521	379252	
639521	403782	Sabina
639522	261466	Viola
639523	214795	Micheline Gilbert
639524	10740	Ugly Duchess/Doormouse
639524	14255	Mrs. Barham
639524	33644	Policewoman Ruby Gates
639524	41890	Sgt. Gates
639524	82609	Sybil Paulson
639524	117351	Lady Flavia Queensway
639524	123216	Maggie the Waitress
639524	125620	Hotel proprietress
639524	131392	Lady Parlitt
639524	138659	Miss Gossage
639524	138844	Aunt Florence
639524	169641	Herself/Various Characters
639524	184283	Dr. Barrett
639524	186056	Elizabeth Robson
639524	188554	American Mother
639524	200112	Mrs. Claire
639524	214121	Duchess of Cromarty
639524	239573	Agatha Femm
639524	255261	Mrs. Leo Hunter
639524	258732	Miss Horsefell-Hughes
639524	267449	Sgt. Ruby Gates
639524	283349	Mrs Pargiter
639524	312782	Lovely Ducks
639524	334298	Herself
639524	363573	Daphne
639524	371070	Hortense Astor
639525	318745	Lisa
639526	116051	Cleaning lady
639526	304570	Cassandra Locust
639526	306721	Mrs. Getzlitz
639526	312592	Kate
639527	51483	Sally
639527	101454	Little Enid
639528	59743	La Fille
639529	17754	Various
639530	119777	
639531	7240	
639532	147152	
639533	206877	Woman
639534	278141	Catherine
639535	161568	
639536	258311	
639537	22688	Villagoise
639537	256745	La cliente
639538	160633	Protester
639538	224224	Lloyd's daughter
639538	235651	Minister's Wife
639538	288948	Paula's Teammate
639538	386080	Police Audio Technician
639539	313562	
639540	118325	
639541	403537	Participant (2000)
639542	51291	Fru Alice Nielsen
639542	90174	Marcolfa
639542	91265	
639542	109298	Fru Ludvigsen
639542	135237	
639542	136634	Polly Thomsen
639542	136635	Anna
639542	140042	Inge Heiberg
639542	153101	Adam's mor
639542	153229	Jensine Mortensen
639542	178750	Clara Andersen
639542	179817	Agnes Rytting
639542	198069	Sekretær Frk. Møller
639542	219700	Grete Sander
639543	51934	Karen Kaye
639543	66721	
639543	69120	Claire Ricard
639543	72373	Seira
639543	78222	
639543	80394	W.D.
639543	102945	Maria
639543	108116	Janine
639543	136838	
639543	155859	Clerk #2
639543	161765	Arielle
639543	187419	Laura Flemming
639543	189265	Joanne
639543	195137	Mannequin a la discotheque
639543	208646	Caroline Thomas
639543	224937	Paula
639543	254985	Colette
639543	262022	
639543	269215	Odile
639543	304747	Nathalie Belding
639543	313562	Model Agency Owner
639543	372102	Linda
639543	383818	Paméla
639543	393894	Adèle
639543	395094	Dominique Cartier
639543	396525	Madeleine Rey
639543	397138	Lucille Richard
639543	398078	Geneviève Langlois
639543	404523	Stephanie Rousseau
639543	404524	Stéphanie Rousseau
639544	223867	Grans Lady
639545	866	Herself
639545	25437	Herself
639545	385577	Correspondent (1998-2003)
639546	295998	Capricorn
639547	133783	Mrs. Hanway
639547	278269	Signora Dolores
639547	368949	Campaigner
639548	292788	Miss Johnson
639548	384333	Blodwen Page
639548	390051	Nain Price
639548	393162	Elgitha
639548	394340	
639548	401744	Constance Bodrugan
639549	2781	VIP Patron
639550	304787	Embassy Guest
639551	162563	
639551	223991	Winona Ticker
639551	391919	Val Johnstone
639551	401173	Elizabeth Dent
639551	403244	Louise Archer
639551	405209	Colleen Garrett (1997)/Connie
639552	190723	Artist
639553	177219	
639554	263352	Michelle
639555	6742	
639555	18653	Charo
639555	24612	
639555	44659	Hermelinda
639555	48184	Mujer de la heladería
639555	74140	Paloma
639555	91372	
639555	119442	
639555	140562	
639555	140573	Baroness
639555	156096	Herself - Presenter: Best Fil
639555	189026	Marcela
639555	205396	Charo
639555	221921	
639555	229383	
639555	238755	
639555	257594	
639555	277398	Doña Bárbara
639555	286365	
639555	301191	Avaricia
639555	322830	
639555	349334	Herself - Presenter: Best Cos
639555	369755	Herself - Presenter
639555	376810	Celia
639555	387881	Nati
639555	389109	Concha
639555	391643	La capitana médico
639555	393036	Herself (2003)
639555	402151	
639555	402679	Luscinda
639555	409463	Herself - Secretaria (1982-19
639556	397793	Michelle Dumas (Series 4) (19
639557	151780	Villager #3
639557	325991	
639558	135585	Herself (on trial)
639558	180935	
639559	46618	
639561	2369	Sadie Clarence
639561	9045	
639561	38649	Mrs. Case
639562	151341	Herself
639563	151404	Mrs. McDougall
639563	275516	
639563	367612	Mrs. Stockdale
639564	8021	
639565	314107	Waitress
639566	228515	
639567	231990	Sales Girl
639567	235691	Secretary
639567	257559	Bridesmaid
639567	315869	Nurse
639567	315881	Moll
639567	364088	Maid
639568	333119	Loretta Davenport
639569	79850	Guest
639570	362860	Molly (age 1)
639571	362860	Molly (age 1)
639572	40841	Post Office lady
639572	82626	
639572	115670	
639572	138658	
639572	206090	Lady Rochford
639572	221645	Meg Bowles
639572	232872	Prole in canteen
639572	335545	Mrs. Carey Brown
639572	411185	Mrs. Bott
639573	45347	
639574	182139	Andrea
639574	356891	Natalie
639575	6397	
639575	51223	
639576	70916	Savvy Co-ed
639576	404282	Samantha Capwell #3 (1989)
639577	254659	Infirmière
639578	352350	
639579	29346	
639579	59559	
639579	86239	Touristin
639579	189708	Paddy
639579	195784	Hilary
639579	241974	
639579	281194	Frau Bethge
639579	338431	Biggy Lohmann
639579	361444	Princess
639579	366267	Nscho-tschi
639579	383171	
639579	386977	Edeltraut Krüger
639579	388599	
639579	405306	
639579	407204	Berta
639580	136828	Relative
639580	264161	Courtier/Girl Graduate
639581	155859	French Club
639582	34868	Lucy Gresty
639582	41120	
639582	45570	
639582	63021	
639582	65712	
639582	71612	Wrestling Girl Lucy
639582	93569	Lucy
639582	98886	
639582	98899	
639582	105262	English Lady Lucy
639582	108518	
639582	113381	
639582	148574	
639582	158044	Lucy
639582	169983	Wrestling Girl Lucy
639582	183350	Divorcee
639582	188070	
639582	188091	Patient
639582	188456	
639582	197771	
639582	206606	
639582	221776	
639582	230806	Lucy
639582	238898	
639582	238906	
639582	238908	
639582	268221	Baby
639582	295822	
639582	317772	
639582	318960	
639582	319047	Lucy
639582	330287	
639582	335833	Lucy
639583	160064	
639584	7459	
639584	12708	
639584	36899	
639584	350141	
639584	393599	Herself (eliminated round 1)
639585	339446	
639586	486	Frau Berger
639586	29363	Mrs. Burkhart
639586	112971	Bäuerin Fleming
639586	120169	Elizabeth Schiller, mother
639586	147157	
639586	225137	Frau Hardtcke
639586	275412	
639586	279660	
639586	292102	Frau Holt
639586	294144	
639586	317365	
639586	353075	
639587	334277	Mette, fan
639587	344164	Maren
639588	156547	Morali
639589	186650	Additional player
639590	166376	
639591	315386	Herself
639592	242296	
639593	126067	Swedish Girl
639594	316635	Raleigh's Friend #2
639595	17719	Marie de \\ Coubertin
639595	64950	L'assistante-sociale
639596	157696	Pink girl
639597	360286	Herself
639598	307556	
639599	81973	Silly (Age 12)
639601	66013	
639601	108491	Walewska
639601	273855	Marian Somerset
639601	302161	
639602	54815	Catarina
639602	232767	Sofia
639602	239922	Elza Colônio
639602	293646	
639602	344885	Biela
639602	383550	Teresa
639603	47397	Vibeke Sagen
639603	142230	Gro
639603	214353	Marion
639603	285877	Aud Helmer
639604	183804	Nurse
639605	81177	Fabulous Girl
639606	218739	
639607	33105	
639607	142189	Frau Pettenkofer
639607	197117	
639607	284410	Steffen's wife
639607	325298	
639607	343664	Clara von Steindorff
639608	290972	Hayley
639609	99494	Elsa Letterseed
639610	113061	Lesbische vrouw bij fruitauto
639610	115688	Reclasseringsambtenaar
639611	178016	
639612	154648	Herself
639613	65935	Phoebe Snow
639613	260200	Servant girl
639613	350502	Miss Jemima Pinkerton
639614	101547	Cécilia's Mother
639615	81104	Nicole
639617	20491	Raina Petkoff
639617	40321	Lady Anne Cranton
639617	43742	Lady Violet Ormsby
639617	44539	Lady Mary Torrent
639617	46276	Lady Phyllis Cameron
639617	52207	Wenda Panniford
639617	62091	Sonia Graham
639617	67242	Lady Castlemaine
639617	69847	
639617	73780	Mary Wyndham
639617	107580	Diana
639617	113845	Arden Brent
639617	130734	Venetia Doxford
639617	135549	Anne Barrett
639617	138771	Mildred Craddock
639617	151080	Rosemary
639617	171210	
639617	183685	Lydia
639617	186688	Paula Zahren
639617	186813	Lady Moynton
639617	190884	Muriel Harvey
639617	194772	Pauline
639617	197701	Julia Waring
639617	202917	Sybil Vane
639617	207394	
639617	222576	Helen Osmond
639617	233092	Clarissa Wentworth
639617	233931	Lucile Loomis
639617	236699	Nora, the Girl
639617	239727	Lady Arranways
639617	241699	Dierdre Carton
639617	244382	Anne Vernon
639617	252441	The Young English Noblewoman
639617	258964	Mary Davidson
639617	279321	Lady Chettwinde
639617	283441	
639617	290336	Lady Sneerwell
639617	290965	Mrs. banyon
639617	298028	Priscilla Protheroe
639617	312333	Beryl Stedman
639617	326161	Charlotte
639617	335649	Miss Allison
639617	358977	Joanne de Beaudricourt
639617	359495	
639617	362337	
639618	256206	Party Guest
639619	97376	
639619	99722	
639619	104060	
639619	248866	
639619	293374	Nurse
639619	370156	
639619	376693	
639620	93670	Woman
639621	94119	Herself - Band Singer
639621	129236	Vocalist
639621	308862	Herself - Band Vocalist
639622	285034	Gossip #2
639623	374393	Vet at microscope
639624	203281	Alice
639626	54609	Susan Dailey
639627	206108	
639627	242718	
639628	239932	Lela
639629	252382	
639629	252395	Herself
639629	252406	Model
639629	255159	
639631	73857	Jean
639631	94530	Melia
639631	137970	Mrs. Hessert
639631	192355	Dylis Moran
639631	258269	Caretaker's wife
639631	299028	Society Hostess
639631	299833	Judge
639631	317194	PM's wife
639631	397380	Isabella Mitchell
639631	409488	Sal
639632	217912	Buxotic
639633	6402	Bernardine
639633	12047	Mme. Dupuis
639633	21059	
639633	23794	La comtesse
639633	23871	La grand-mère
639633	25088	Madame Laurat-Dossin
639633	40573	
639633	43236	Anne-Marie
639633	43341	Contesse Tamm
639633	43633	Gilde
639633	43710	Mme Boudard
639633	44998	Poupette
639633	45000	Poupette
639633	51400	Jeanne Sandret
639633	55724	Mme de la Bastide
639633	55850	Mrs. Bushell
639633	57397	Madame Van-Beil
639633	64011	Madame Legris
639633	69477	La Comtesse
639633	71156	Mme. Grossac
639633	71853	Antoinette
639633	72386	
639633	77361	
639633	82579	Mme. Tourelle
639633	83370	La mère d'Andrée
639633	85532	Madame Grangier
639633	91266	La directrice
639633	100280	Madame Toussaint mère
639633	103206	Mme. Thévnot
639633	103827	Mamy
639633	104213	
639633	106296	Mme Brockseller
639633	108662	Mme. de Cédillon
639633	119038	Danielle's mother (segment "D
639633	122840	La mère de Gabriel
639633	142614	Concierge
639633	149193	Madame d'Ambroisie
639633	160204	
639633	167203	
639633	170462	Mme. Valender
639633	199337	
639633	201170	La baronne de Bocquigny
639633	214295	La grand-mère
639633	216350	Estelle
639633	217636	
639633	218282	Maroussia de Dragomir
639633	218561	Moussette
639633	220497	Mme Durand-Perrin, la mère
639633	220697	Mme Le Cormier, dite Mam
639633	225769	La dame à la moto
639633	240477	
639633	249682	Mrs. Dumont-Freville
639633	249722	
639633	251539	Mme. Legrand, la belle-mère
639633	254152	Mme. Cardinal
639633	258981	Clémentine Prévost
639633	259254	Mme. Jambert
639633	264311	La cliente
639633	268391	Isabelle Marinier
639633	272525	
639633	276508	Madame de Nogrelles
639633	281014	Loys Erland
639633	281135	
639633	281306	
639633	283027	
639633	285819	Emmanuelle de La Grandière Va
639633	293062	Jacqueline's mother
639633	294740	
639633	303476	Mme. de Witt
639633	321798	Anita de Santos
639633	335223	Mme. Natacha Olivaro
639633	336078	
639633	336924	
639633	340112	
639633	340114	
639633	343564	
639633	346545	
639633	346689	Marguerite Vargas
639633	354472	
639633	354695	Élisabeth Castille
639633	356370	Madame Volnar-Bussel
639633	356505	Isabelle Debecker
639633	377018	Marguerite Martin
639633	377019	Marguerite Martin
639633	377948	Mme d'Evremond
639633	384031	La Duchesse
639633	385609	Adélaïde
639633	387848	La grand-mère
639633	403643	Madame de Hongrie
639633	409440	
639633	409454	Viviane
639633	409523	La grand-mère
639634	291014	
639635	215174	Student
639636	116350	
639636	127589	
639636	328103	
639637	20625	Extra
639637	350013	Mara
639638	143002	Sylvia Leigh
639638	261687	
639638	316766	
639638	362187	Doris
639639	251324	Milli
639640	344580	
639641	95212	Countess de Sade
639641	343104	Mother of Indian stolen child
639642	4997	
639642	50147	
639642	106998	
639642	190409	
639642	232923	
639643	58096	Nadja
639643	113446	
639643	115172	
639643	235934	
639643	269001	
639644	73325	Jane
639644	165556	Violet
639644	175817	Jessie
639644	211838	Kate Beauchamp
639644	211840	DS Kate Beauchamp
639644	211843	DS Kate Beauchamp
639644	402935	Jackie Brett
639644	404698	Elaine
639644	409841	Amelia Sedley
639645	345628	Maizie
639646	295098	
639647	27570	Hope Anthony
639647	40234	Lady Diane Blanton
639647	42282	
639647	47749	Barbara Furth
639647	65949	Sylvia LeMoyne
639647	78527	Mildred Craig
639647	127049	
639647	128376	Elnora Comstock
639647	141429	Mary Kayne
639647	144634	Mary
639647	150742	Molly White
639647	151095	Amy Marsden
639647	192224	Gretta Schmidt
639647	197012	Milly
639647	206428	Charlotte
639647	214136	Pauline Truce
639647	232313	Nellie Powell
639647	234094	Carmen Harroway
639647	238718	
639647	267825	Helen Turner
639647	272072	Betty Martin
639647	306146	Molly McGuire
639647	311338	Gretchen Schultz
639647	319778	
639647	331774	Mystery Girl
639647	331797	Mary Bryson
639647	347328	Corliss McHenry
639648	123708	Marsha
639648	147552	Dancer
639648	361774	
639649	12029	
639649	115191	
639649	118635	
639649	235319	
639649	328159	
639650	271631	Mary, kreivi Örnin palvelijat
639651	211617	Fairy
639652	17085	
639652	170091	
639652	337578	
639653	272615	Rose
639654	6903	
639654	38664	Jane O'Brien
639654	114941	Meera Calhoun
639654	115907	Ruth Judson
639654	132342	Mrs. Slade
639654	135606	Shirley Ford
639654	143107	Marie
639654	159942	
639654	188228	Katie Standish
639654	191869	Anna Gray
639654	196166	
639654	202884	Sonia Dimitri
639654	243758	La comtesse Nadia
639654	249108	Mme Stephan
639654	278241	Rosalie
639654	328818	Emma Tretman
639654	358251	Rags
639654	362961	Silver sands
639655	158868	
639655	201117	
639655	212133	
639655	377607	
639656	390771	Eve 'Evie' Stapleton McFarren
639657	846	Herself - #88: Jennifer Grey 
639657	2888	Herself - Co-presenter: Best 
639657	13941	Leslie
639657	41379	Lovey Lou
639657	45001	Janice Guerrero
639657	56145	Kate Weldon
639657	64121	Laura Eller
639657	71474	Patsy Dwyer
639657	73345	Liz Carter
639657	87280	Frances 'Baby' Houseman
639657	87283	Herself
639657	106619	Christine Baxter
639657	111442	Jeanie Bueller
639657	123559	Airelle
639657	155884	Kelly Carter/Prudence
639657	196420	Megan Forrester
639657	222647	Rita Schwerner
639657	245460	Sally Casey
639657	257692	
639657	261119	Elaine Taylor
639657	273782	Cathy Bennario
639657	274052	Toni
639657	274215	Candice
639657	279009	Dr. Alice Dodgson
639657	292850	Abby Friese
639657	302468	Patty Reed
639657	361689	Robin Ouiseau
639657	365968	Kate Bass
639657	393112	Jennifer Grey
639658	255085	Dolly
639659	81185	
639660	6419	
639661	283572	Girlfriend
639662	368559	Laurie
639663	17934	Birdcage Waitress
639663	343294	Beatrice Norton
639664	210391	
639665	280281	Agent
639665	313377	Undetermined Role
639666	222021	
639667	128376	The Bird-Woman
639668	59360	Herself
639668	85086	Judge Rosalind Ballentine
639668	130677	Extra in Chilkoot Pass Climb
639668	176406	Flirtatious Angel
639668	220864	Herself
639668	347324	Herself
639669	296216	Mlle. Roxanne
639670	47088	Girl
639670	74288	Garter Girl
639670	115214	Hostess
639670	117295	Cafe girl
639670	138804	Showgirl
639670	147543	Girl
639670	183706	Office Girl
639670	195190	Louisiana belle
639670	231962	Undetermined Role
639670	286334	Hostess
639670	323380	Model
639670	330703	Gates' Secretary
639670	340854	Hostess
639670	347109	Mary Meredith (ghost)
639670	372461	Performer
639671	6243	Herself
639672	16654	Matron
639672	56103	
639672	146751	Woman in Cab
639672	162528	Colonel's Wife
639672	235595	Mrs. E.M. Burke
639672	308022	Mrs. Stanton
639672	329585	Hettie Moody
639672	331421	A Mother
639672	331991	English Matron
639672	363683	Daphnae Hammond
639673	21297	Marjorie
639673	41084	Governess
639674	249584	
639675	54798	
639675	263267	
639675	334690	Adela
639676	126614	Property Manager
639677	133915	Undetermined Role
639677	140692	
639678	145060	
639679	384839	Model (1961)
639680	55376	
639681	146069	Queen
639682	248881	Mrs. Smith
639683	137391	Singer
639684	388860	Parade Model
639685	300099	Lila Torres
639686	346222	Femme Fatale
639687	7981	Grace Andover
639687	11444	Nan Phillips
639687	12544	Mrs. Anson
639687	47436	Mrs. Dowling
639687	78095	Olive Farrant
639687	79361	Mrs. Diamond
639687	97491	Dulcie Maitland
639687	98779	The elder Miss Blossom
639687	138903	Maggie Oxford
639687	153180	Joanna Marsh
639687	155828	Elizabeth Rysling
639687	155895	
639687	171028	The Duchess
639687	185604	Amy Palliser
639687	190725	Mildred
639687	192406	Marmie March
639687	209744	
639687	210601	
639687	213043	Maud Chandler
639687	213870	Gertrude Rhead
639687	221329	Mrs. Thompson
639687	242339	The Sister
639687	292205	Mrs. Tanqueray
639687	300473	
639687	307354	Rose Melbury
639687	307987	Miss Jordan
639687	308936	
639687	309274	Bit
639687	333585	Mrs. Tinker
639687	360792	Mary Purvis
639687	363212	Mrs. Ericson
639687	367534	Countess Fosco
639687	367901	Mrs. Graham
639687	371964	Lady Skelmerdon
639688	310874	Fashion Model
639689	19990	Nurse
639689	313082	Mrs. Billings
639689	316023	Iris Chance
639689	346230	Evelyn King
639689	389859	Sister Edwards
639689	408091	Lady Andover
639690	8276	
639690	52214	
639690	57463	
639690	83862	
639690	111841	
639690	121216	
639690	187891	
639690	222036	
639690	228177	
639690	243685	
639690	258485	
639690	265148	
639690	287834	
639690	306826	
639690	353616	
639691	7405	Miss Skelly
639691	26054	Eunice Littlefield
639691	39444	Marian Rood
639691	72572	Doris Tennyson
639691	77951	Christina 'Steenie' MacCorkle
639691	92687	Lili
639691	105557	Joan Grey
639691	113885	Alice von Attem
639691	128894	Linda Simpson
639691	133662	Middleton's Daughter
639691	146140	
639691	151067	Phoebe Pyncheon
639691	161914	Helen Manson
639691	170988	Mary Norris
639691	188285	Judith Marshall
639691	191646	Janet Loring
639691	195468	Girl
639691	195647	Mary Callahan
639691	203140	June hanson
639691	205448	Margie
639691	206861	Lucille Preston
639691	231125	Ingenue
639691	234225	Young Girl
639691	273803	Laurie Andrews
639691	287296	Mary Phillips
639691	291383	Herself
639691	291796	Connie Dawson
639691	307853	Judy Williams
639691	312586	First Girl
639691	315557	Peggy Phillips
639691	320376	Ann Sutter
639691	331614	Joan Craig
639691	331615	Joan Craig
639691	337074	Lady Alice Barton
639691	345958	Jane Baird
639691	346204	Priscilla Adams
639691	367511	
639691	372351	Millie
639692	67569	Porno Actress
639692	131780	
639692	163630	
639692	213259	Dusty
639692	301835	Jo
639693	406790	Sarah
639693	409529	
639694	5179	Ruth Farwell/Justice
639694	35244	
639694	38660	Laura Keene
639694	43097	
639694	46519	
639694	79887	
639694	91895	Madame Leclaire
639694	107394	Rose
639694	108486	Lola Monroe
639694	109848	Frances, Archibald's Wife
639694	127118	Alice Atwell
639694	128123	Diana Parish
639694	161542	Mary Magdalene (Judean Story)
639694	167612	Gabrielle
639694	191955	Fanny
639694	196237	Jealousy
639694	198867	Lady Agnes
639694	208695	Miss Greta Schwartz
639694	216910	Cleo
639694	250620	
639694	255861	Madame Dorf
639694	330512	
639694	340060	Gertie Brown
639694	362676	Beatriz de Taos
639694	365265	Moll
639694	367469	Aztec woman
639695	298292	Maria
639696	38946	Wyncote's Secretary
639697	2174	Newspaper girl
639697	90937	Cheryl Blaine
639698	399949	Segment Host
639699	20765	
639699	46373	
639699	142993	Phyllis
639699	259364	
639699	316151	Lucy Reynolds
639699	324391	Mrs. Bernham
639700	16660	
639700	361159	Carmen
639701	301533	Marion Maitland
639702	8581	
639702	71223	
639702	116393	
639703	81536	Censor
639704	99287	Lady in Waiting
639704	219893	Carrie Bradley
639705	143576	Bette Burke
639705	232129	Susan Proud
639706	115703	Polly
639708	121965	
639708	357729	Echadora de cartas
639709	164400	Schoolgirl
639710	9018	Eve
639710	26775	Francine
639710	35762	Helen Glenn
639710	43325	Beatrice Jones
639710	64503	Adrienne Grey
639710	70824	Jane Herrick
639710	73205	Betty Lane
639710	82064	Mabel Wilson
639710	90256	Goldie
639710	93656	
639710	120508	Winnie Lloyd
639710	126559	Ruth Dale
639710	128257	Nurse Irene Blaine
639710	128265	Gloria Gale
639710	128477	Gilda Gillespie aka Mary Brow
639710	131054	Girl
639710	134034	Jean Kester
639710	145975	Bernice Solon
639710	147433	Edith White
639710	153125	Gloria Stratton, aka Gloria M
639710	154335	Peggy
639710	190181	Goldie
639710	191835	Edith Merriam
639710	222723	Lillian Vayne
639710	224760	Sarah Briggs
639710	241456	Sally
639710	241507	Grace Duncan
639710	244993	Kate
639710	252495	Ann
639710	264715	Helen
639710	266691	Barbara Gerry
639710	266715	Mimi
639710	266718	Joan Nash
639710	278113	Patsy Olcott
639710	292618	Miss Edith Varney
639710	303303	Gilda Gordon
639710	315956	Marvel Young
639710	328519	Lili Kingston
639710	329083	Helena Rawlins
639710	335666	Lilyan
639710	338045	Anya Rosson
639710	338754	Joan Randall
639710	342544	Chloe Werrenden
639710	348546	Patricia Smith
639710	355203	Gert
639710	360770	Louise
639712	35007	
639712	52760	
639714	51067	La dame du 'Times'
639714	51400	
639714	51954	
639714	56388	
639714	63724	Mémé
639714	91911	Mme Sampic
639714	100281	La fleuriste
639714	168101	
639714	198610	
639714	199328	Mlle du Barry
639714	225769	
639714	240420	
639714	243759	
639714	258981	
639714	309023	La locataire
639714	336924	
639714	375762	
639714	380569	Anaïs
639714	401939	
639714	408662	
639714	409440	
639714	410151	Nina
639715	68385	
639715	201193	Marjorie
639715	292362	
639716	15861	Prisoner
639717	77718	Captain Bassil
639719	144374	Fysche
639719	201691	Herself
639720	5524	Sandra Lamoreaux
639720	9129	Mrs. Schultz
639720	11483	Alida Anderson
639720	18019	Lois MacFay
639720	26626	Camille Quinlaw
639720	26777	Janey nee Smith
639720	27249	Kitty Ryan
639720	33694	Jennifer Benton
639720	37362	Joan Sutton
639720	38033	Mason
639720	40046	Jenny
639720	41024	Margie Blake, Phil's Secretar
639720	41037	Vicki
639720	47370	Pearl
639720	49369	Lisbeth Flood
639720	53607	
639720	54487	Mary Peabody
639720	54574	Ilse Yeager
639720	77414	
639720	83634	Mary, posing as Ford's Wife
639720	92959	Simone
639720	104334	Dorothy Buracker
639720	112533	Raquel Jackson
639720	113885	Autograph Seeker
639720	114845	Rita Dane
639720	115895	Rosalind, TV Heroine
639720	118056	Mrs. Stella Walker
639720	129236	Lorraine Royle
639720	130623	Singer
639720	130763	Lila Hanley
639720	132765	Sue 'Butch' Custer
639720	133880	Bit Part
639720	134474	Katherine Palmor Bentley
639720	139316	Consuela MacNish
639720	141354	Hazel Boyd
639720	145076	Mary Simms
639720	150934	Joan Medford
639720	152433	Laura Merriweather
639720	153123	Janet Smedley Adams
639720	155558	Terry Grey
639720	155678	Shirley Laughlin (Les Blondes
639720	166057	
639720	166345	Elsie Desmond
639720	168112	Herself
639720	170769	Dr. Hilary Parker
639720	175209	Anastasia 'Stasia' Atherton
639720	183364	Sally
639720	185158	Mrs. Dickinson
639720	186756	Jane Gilbert
639720	192636	Landlady
639720	195621	Irene Talbot
639720	199404	Mimsy
639720	210751	Diana Lee
639720	212196	Montana the Bullfighter, aka 
639720	212812	Rose, as a child
639720	215019	Patricia
639720	215277	Hazel Boyd
639720	220801	Jane Wilson
639720	226963	Candy
639720	233811	Roseanne Fraden
639720	239657	Ethel, Girl with Dave in Drug
639720	244913	Extra in Pirate's Club
639720	247160	Goldwyn Girl
639720	253106	Abby
639720	261025	Miss Lee
639720	276381	Miss Robeson
639720	277644	Miss Selma Willis
639720	281696	Mary Callahan, Delroy's Girl
639720	281889	Estelle Hohengarten
639720	282042	Mrs. Peters
639720	292658	Jean Carlo
639720	292782	Audrey Carlton as a Child
639720	292882	Terry Parker
639720	297918	Club Woman
639720	299803	First Chorus Girl
639720	304562	Lorabelle Larkin
639720	305771	Paula
639720	306233	
639720	306494	Ella Finch
639720	312586	Second Girl
639720	312774	Herself
639720	316314	Dr. Leslie Ross
639720	320780	Janet Hilton
639720	321290	Edna Van Dyke
639720	324266	Miss Jenks
639720	324955	Vicki Harris
639720	325154	Connie Beach
639720	328794	Sarah
639720	329562	
639720	331236	Carol
639720	331319	Patricia 'Pat' Casey
639720	331344	Laura Brock
639720	332002	Susan 'Suzy' Thorson
639720	333779	Katherine 'Kit' Bowser Sands
639720	345826	Eva
639720	345860	Diana
639720	347331	Carole Lane
639720	354906	Mary Jones
639720	359748	Teddy Carlyle
639720	363745	'Fran' Post
639720	364212	Ann Loring
639720	367919	Pat (perfume counter clerk)
639720	369359	Lila Regan
639720	372932	Madge
639720	380687	Miss Callahan
639722	7431	Colette
639722	51455	
639722	63647	Bianca
639722	70194	
639722	276119	Eve Ugron
639723	42114	Singer
639723	322153	
639724	380612	
639724	383907	
639724	392629	Rosa
639724	397553	
639724	408414	
639724	409424	
639724	410099	
639725	185964	Restaurant Patron
639726	10326	Herself/Megan
639726	43565	Granddaughter
639726	208390	Megan
639726	306220	Natalie Brandston
639726	318692	Katie Parrish
639727	4914	
639727	74737	
639727	74900	
639727	76114	
639727	87743	
639727	148030	
639727	222011	
639727	226495	
639727	234379	
639727	255276	
639727	292955	
639727	308277	
639727	351993	
639727	383287	
639727	384775	
639727	410155	
639728	57381	Attila
639729	115911	
639730	382210	Oshkigan
639730	383072	Forest Beautiful
639731	134831	Iris
639731	227784	
639731	293523	Gerda Lind, Tänzerin
639731	317358	Lydia
639731	361327	
639732	89323	Herself
639733	166268	
639734	229425	
639735	24199	
639736	131764	Aunt Molly
639737	24951	Della, the Maid
639738	31255	Interviewee/Road Rules
639738	402999	Herself/Road Rulers
639738	403487	Herself/Campus Crawl (2002)
639739	41518	Stewardess #3
639740	261769	
639741	211508	Kate
639742	224375	Terry Casey
639743	276212	Julia
639744	30139	Tiffany
639745	96973	Girl #5
639746	68362	La mère de Désiré
639747	20067	Sylvie
639748	60550	
639749	139810	
639750	352814	Neighbour
639751	208138	
639752	266627	Bar Waitress
639754	20625	Extra
639756	272279	Long Ear Girl
639756	405209	Crystal Russell (2001)
639757	75360	Jennifer
639758	11483	Miss Taylor
639758	89711	Rosie as a child
639758	196558	Teenager
639758	274728	Cathy
639758	307985	Yolanda Barbella
639758	372346	School girl
639759	292177	H/E Teacher
639760	164467	Various voices
639761	56871	Stewardess
639762	405972	Mme Dupuis
639763	308277	
639764	35697	Nurse Vanessa
639765	384119	Olivia Casani (2000)
639766	265648	
639767	223380	Storekeeper's Wife
639768	5050	Nurse
639768	22849	Denise
639768	32355	Opal's Mom
639768	47796	
639768	110185	Sitcom girlfriend
639768	159518	Patty
639768	236007	Victoria
639768	239702	Red Cross Worker
639768	283434	Blonde Decoy
639768	311262	Virginia (the ghost)
639768	317307	Soccer Mom (Olivia's Mom)
639768	336138	Cindy
639768	336796	Bartender
639768	400418	Gloria
639769	293645	Karen
639770	37683	Leslie
639771	1666	Chorus Leader
639771	101429	Tessa
639771	218552	Mrs. Clough
639771	218798	Supermarket Supervisor
639771	343054	Phil's mother
639771	348377	Can Can dancer
639771	385020	Elaine Prior Webster (1984-19
639771	403890	Caroline Toft (1987)
639772	131390	Waitress
639773	134423	April
639774	24503	Jill
639774	162886	Lana
639775	274884	
639776	51439	Passenger
639777	374480	Sophia
639778	12024	
639778	42109	
639778	81472	
639778	98973	
639778	143693	
639778	169568	
639778	212412	
639778	295108	
639779	28604	
639779	59558	
639779	87208	
639779	107364	Frau Kolowicz
639779	129728	
639779	138458	
639779	210479	
639779	239025	
639779	284973	Witwe Desarey
639779	289885	
639779	312738	seine Frau
639779	317663	
639779	347703	Die Garderobierin
639779	360921	
639779	361087	Fini-Tant
639780	168425	Miss Italien
639781	385947	
639782	296129	
639783	302458	Black Gypsy
639784	205674	
639786	85133	Kissing Girl #1
639787	70481	
639788	108933	Koala Klub Dancer
639789	276826	Fortune (Prologue)
639790	323804	Fan
639791	115850	Carmen's Daughter
639791	121210	Jane
639792	14223	Anchorwoman
639792	67054	Jenni Luz
639792	101070	TV Anchor #2
639792	356472	The Media (Herself)
639792	370118	Herself
639792	383037	Anchor
639792	395166	Police Reporter #2
639793	382538	Red Stone
639793	384124	Keewedinok
639794	125602	
639795	215696	Miss Uruguay
639796	61955	Ginger
639796	276197	Circus Performer
639797	245889	Child
639798	32711	Herself - publisher
639798	85186	Featured Comedy Club Patron
639799	47904	Nancy
639800	308069	Herself (nurse)
639801	234226	Shakespearean Troupe
639802	238649	Auditioner
639802	384482	Ibi Gadgioni
639802	392970	Detective Sgt. Rebecca Hollan
639803	1500	Claire Washburn
639803	2069	George
639803	5064	Delores "Jacks" Jackson
639803	7088	Flura Nash
639803	11963	Sgt. McLeesh
639803	26395	Mrs. Williams
639803	35809	Partygoer
639803	36764	Blossom
639803	37022	Grear
639803	37786	Ms. Wardroe
639803	39685	Lee Daniels
639803	43596	Pearl
639803	48630	Aretha
639803	66795	Coffy
639803	70393	Mona
639803	81490	Herself
639803	86533	Herself
639803	94096	Regine
639803	103286	Hershe Las Palmas
639803	107632	Annabelle Lee
639803	108257	Mrs. Quincy
639803	117908	Charlotte
639803	117958	Susan Mendenhall
639803	118564	Foxy Brown
639803	120098	Friday Foster
639803	127294	Commander Helena Braddock
639803	133409	Mary Jones
639803	140636	Sam
639803	146739	Gozelda
639803	147980	Carol
639803	158528	Det. Angela Wilson
639803	161353	Herself
639803	163222	Herself
639803	164572	Jackie Brown
639803	164573	Herself
639803	165958	Detective Vera Cruz
639803	196117	Linda Fox
639803	201756	Herself
639803	206488	Louise Williams
639803	212633	Herself
639803	220042	Linda Holman
639803	234040	Diane
639803	235749	Sandra
639803	240727	Cora
639803	243580	Laurie Thompson
639803	246260	Ruth Butler
639803	261417	Phoebe
639803	291228	Lisa
639803	294789	Capt. Maggie Davis
639803	295636	Herself
639803	298173	Sheba Shayne
639803	306220	Tina
639803	308120	Dust Witch
639803	313046	Catherine Bolan
639803	336782	Myra
639803	342506	Ayesa, the Panther Woman
639803	354673	Hunter
639803	365597	Detective Della Wilder
639803	367806	Alabama
639803	388545	Suzette Lermontant
639803	390998	The Empress' Nightingale
639803	395016	Kit Porter
639803	395659	Eleanor Braithwaite Winthrop
639803	403730	Francey
639804	43953	
639804	107001	DS Carol Burns
639804	238236	Club hostess
639804	273717	Teresa Cunningham
639804	291067	Various
639804	339898	Various
639804	382838	Sandra Maghie (1984-1987)
639804	387533	Harriet Buchan (1990)
639804	392970	Jenny Marchant
639805	82321	Tammy
639805	289206	
639806	161353	Herself
639807	134327	Herself (spouse)
639808	97595	Annemarie
639809	133962	Sponsor's Wife
639810	365592	Vanessa
639810	365593	Vanessa
639811	290681	
639812	23890	Franzi
639812	223462	Saskia
639812	387307	Frieda
639813	311408	Rebecca Goddard
639814	120042	Huberin
639815	50161	Helen
639815	245750	Helen Parsons
639816	13507	
639816	226926	
639817	50979	Drunk Woman
639817	169427	Matron
639818	330592	Serious Actress
639819	215153	Kate Ridgely (Murder at Midni
639819	390987	Ethel Corder
639820	346361	Showgirl #2
639821	116002	Diana
639823	101318	
639823	317813	
639824	496	
639824	4540	
639824	5353	
639824	6047	
639824	6737	
639824	14695	
639824	19457	
639824	24999	
639824	25022	
639824	25096	Consuelo Tejero, mama de Elen
639824	30398	
639824	42655	Doña Maria
639824	48956	
639824	51233	
639824	53613	
639824	53988	Nana
639824	55924	
639824	56632	
639824	62043	
639824	63809	
639824	66080	
639824	68251	
639824	68995	
639824	69475	
639824	71194	
639824	73993	
639824	74898	
639824	82225	
639824	87894	Ruiz wife
639824	91323	
639824	91416	Matilde
639824	100278	
639824	100510	
639824	101318	
639824	101604	
639824	103503	
639824	103807	
639824	103808	
639824	108118	Madre de Roberto
639824	111418	Mujer rica
639824	112054	
639824	115743	
639824	123186	
639824	123188	
639824	132650	
639824	134492	La. Balzatti
639824	146486	Madre de alumna
639824	159870	Madame
639824	160085	Alberto's mother
639824	167807	
639824	169560	
639824	193076	
639824	198201	
639824	199623	
639824	204683	
639824	205020	
639824	206280	Presa
639824	209066	
639824	209084	
639824	211065	
639824	212482	
639824	218092	Superior Mother
639824	221914	
639824	221929	
639824	221976	
639824	221988	
639824	225715	
639824	229208	
639824	233362	
639824	234014	
639824	244621	
639824	247412	
639824	247418	
639824	251559	
639824	252753	
639824	265114	
639824	275946	
639824	280429	
639824	286421	School teacher
639824	286920	Madre de Felipe
639824	287459	
639824	291681	
639824	300734	
639824	301186	
639824	301422	
639824	318001	
639824	324318	
639824	334680	
639824	343721	
639824	348934	
639824	353573	Madre de Maria Luisa
639824	353592	
639824	355478	
639824	376634	
639824	376803	
639824	376819	
639824	379097	
639824	379206	
639824	380111	
639824	380837	
639824	383156	
639824	384869	
639824	385941	
639824	398812	
639824	405867	
639824	405928	
639824	407860	
639824	408708	
639824	409011	
639825	6737	
639825	9656	
639825	14645	
639825	19462	
639825	21709	
639825	29061	
639825	30398	
639825	54232	Red Riding Hood's Grandmother
639825	54235	Red Riding Hood's Grandmother
639825	54764	
639825	55924	
639825	55955	
639825	56330	
639825	63809	
639825	70064	
639825	70638	
639825	74562	
639825	74970	
639825	77250	María
639825	84047	
639825	86905	
639825	91294	
639825	101897	
639825	103510	
639825	103807	
639825	121274	
639825	125647	
639825	129486	
639825	143749	
639825	146486	Directora del colegio
639825	148098	Dona Rosa
639825	149547	
639825	153336	
639825	159525	
639825	159870	Dona Rosa
639825	160893	
639825	183496	
639825	183506	
639825	193380	
639825	206983	
639825	212346	
639825	212380	
639825	213366	
639825	214820	
639825	218437	
639825	221948	Nena
639825	222040	
639825	225565	
639825	229209	
639825	231698	
639825	235313	
639825	236418	
639825	243415	
639825	244578	
639825	252344	
639825	252560	
639825	252797	
639825	255619	
639825	257165	
639825	264390	
639825	265165	
639825	266409	
639825	268516	
639825	270756	
639825	273780	
639825	283138	Eugenia Castillejos
639825	294071	
639825	296194	
639825	296445	
639825	296502	Teresa Vivanco
639825	301142	
639825	301186	
639825	306683	Calixta Gutiérrez de Alfaro
639825	307464	
639825	307798	Dueña del burdel
639825	307814	
639825	308905	Marita's Grandmother
639825	309081	
639825	317813	
639825	328166	Angelina
639825	339157	
639825	350098	
639825	353984	
639825	355793	
639825	376690	Paz
639825	376813	Doña Rosa
639825	379131	
639825	382541	
639825	384551	
639825	385017	
639825	386146	Doña Remedios
639825	387873	
639825	387874	
639825	395402	
639825	396388	
639825	399406	
639825	401149	
639825	401668	
639825	405928	
639825	408846	
639826	29817	Hospital nurse
639827	20792	Olimpia
639827	157854	Teresa
639827	159674	Germana
639827	219563	
639827	230154	
639827	255011	Alessandra
639827	269487	Paola (segment "Cavalluccio S
639827	344601	Ragazza del ricordo
639828	125000	Lilo
639829	66574	Hospital Nurse
639830	211941	Woman at Car Wash
639831	368600	Betty Hilliard
639832	205411	Helen
639832	232422	Waitress
639833	84002	Prostitute
639834	33	Judy
639834	44975	Lorraine
639834	79973	Award Presenter
639835	314884	
639836	255169	Jack's Class #3
639837	87018	Warrior Girl
639838	81247	Annie Smith
639838	82550	
639838	112399	Marcy
639838	150422	Christine Webber
639838	204010	Stacy
639838	242106	Tina
639838	250744	Sean
639838	303544	Naomi Erdly
639838	313826	Secretary
639838	320782	Janeen
639838	328033	Bunny
639838	379895	Arlene Cartwright
639838	382149	Anne
639838	382731	Jasmine DuBois
639838	395056	Gretchen
639839	10738	Miss Simpson the Governess
639839	17543	Mme. Kartasoff
639839	17704	Hester Pringle
639839	19999	Mrs. Peters
639839	35488	Gallagher
639839	38019	Florence, Billy's grandmother
639839	38042	Mrs. Hanky (Keating's houseke
639839	38614	Mrs. Bundy
639839	43376	Miss Talley, Orphanage Repres
639839	46013	
639839	49247	Mrs. Field
639839	50096	Mrs. Spencer
639839	52432	Lady Poindexter
639839	56605	Lily, Mme. Saturnia
639839	58956	Flower vendor
639839	71348	
639839	72461	Annie
639839	80543	Miss Patience Nodbury
639839	85034	Nurse
639839	85184	Aunt Branwell
639839	88863	Miss Ace
639839	100662	Mrs. Hawkins
639839	114082	Nurse
639839	117647	Wife of Man in Air Raid Shelt
639839	118299	Mrs. Ainger's mother
639839	133643	Aunt Agatha
639839	135584	Lady Rochester
639839	139029	Mrs. Hardie
639839	147386	
639839	147973	Lady Vale
639839	148552	Aunt Martha
639839	149635	Lady Stover
639839	149827	Emily
639839	150996	Guest at Hall of Reception
639839	151339	Mrs. Nicholas
639839	154952	Miss Wildhack
639839	157118	Nurse Lovett
639839	162208	Princess Minetti
639839	163297	Mrs. O'Connor, Boardinghouse 
639839	165443	Grace Poole
639839	165444	Grace Poole
639839	174603	Hannah O'Dwyer
639839	175835	Mrs. Glennie
639839	183859	Lady McDougal
639839	194302	Miss Judd
639839	195883	Second Aunt
639839	202916	Mrs. Zagra
639839	204191	Mrs. Beacon
639839	213106	The Duchess
639839	214069	Aunt Katherine
639839	214160	Mrs. Andrews
639839	217426	Mrs. Lamb
639839	221336	Mrs. Graham
639839	223019	Mrs. McGuff
639839	224711	Miss Twinkleton
639839	235495	Miss Miller
639839	239587	Miss Adela Heythorp
639839	241029	Miss Bleeker
639839	246730	Lady Coldchester
639839	248837	Mrs. Dean
639839	251276	Customer in Madame Collins' D
639839	261560	Catherine Vandewater
639839	275451	Undetermined Role
639839	276717	Mrs. Batholomew
639839	278282	Minerva Bromley
639839	279442	Mrs. Everard
639839	285181	Woman in Subway
639839	288208	Clarissa Van Steed
639839	302623	Mrs. Abigail Smith
639839	308354	Matron
639839	313331	Voice Teacher
639839	315162	
639839	315993	Mrs. Nelson
639839	316232	Mrs. Kane, Michael's Landlady
639839	321232	Gossip
639839	331763	Mrs. Fenway
639839	333344	Mrs. Murdock
639839	335474	Zana
639839	336031	Agatha Alden
639839	342455	Mrs. Hamilton
639839	347120	Woman at Magazine Stand
639839	350408	Winifred Trent
639839	354201	Matron East
639839	360067	Mrs. Hobley, Landlady
639839	360068	Mrs. Clerk (concierge)
639839	360369	Mrs. Raymond
639839	360430	Aunt Marie
639839	361543	Mrs. Whack
639839	363793	Woman on train (draft)
639839	364085	Mrs. Chisholm
639839	370537	Lady FitzHugh
639840	395194	Alison
639841	201061	Andrea
639842	23932	Herself/Audience Member
639842	70885	Fiona Middleton
639842	99967	Presenter
639842	328800	Celebrity Participant
639842	367854	Fiona Middleton
639842	381080	Chantelle
639842	381081	Chantelle
639842	385020	Fiona Middleton (1992-1998)
639842	385455	Darcey Henshall
639842	386858	Frankie Brewer (Series 3-4) (
639842	391759	Nurse Jasmine Hopkins (1999-2
639842	399045	Presenter (1999)
639843	188654	Sarah
639844	68226	Julia Roth
639844	354547	Voice
639845	195262	Dorsey High School Player
639846	51855	Lady
639847	185395	Lisa
639847	200463	Young Woman
639847	381094	Jane (2001-2002)
639847	385716	Sheila Dodd
639847	389090	Miss Murphy (2004-)
639847	390163	Bernadette
639847	399213	Marion Fitzwalter (1997-1999)
639848	200463	Young Woman
639849	207637	
639849	379470	Amit Isser (2004)
639850	334761	Rev. Brown
639851	390316	Correspondent
639851	397417	Host (2001)
639852	121404	Woman at College
639853	10888	Newcomer Mother
639853	10889	Parent
639854	406779	Herself
639855	296234	Alarm Clock/Car
639856	75528	Herself (Randolph, MA)
639857	192278	
639858	155074	Sarah's Friend
639859	343045	Restaurant Patron
639860	317946	Mother In Car
639861	348724	
639862	157248	Ann Penn
639863	82108	Claire
639864	269771	Hostage
639865	213577	Yum-Yum
639866	167013	Baby
639867	280156	Reporter
639869	54919	Pauline's Mum
639869	141094	Sister Day
639869	151166	Marilyn
639869	279485	Eileen
639869	307687	Aunt Myfanwy
639869	318109	Hooker
639869	339854	WPC Ryan
639869	342566	Lynette
639869	387027	Margaret
639869	395547	Gwyneth
639870	79450	Rice Husker
639871	283462	Crowd Extra
639872	51814	Tattoo woman
639872	85191	Older Anne Kilton
639872	119625	Detective Dollar
639872	131732	Club manager
639872	155981	Freya
639872	224179	Teddi
639872	275322	Principal
639872	320319	Pony
639872	381422	Woman #1 (transport ship)
639872	382160	Bartender
639873	44439	Chris' Mother
639873	80620	Gloria Exner
639873	90154	Notary Public
639873	150594	Colt
639873	155879	Marian Pettit
639873	201480	Woman
639873	205411	Helen Caldwell
639873	222668	Velda Bartlett
639873	253010	Gladys Perry
639873	313778	Brothel madame
639873	350424	Happy
639873	368707	Miss Fish
639873	391262	Prairie Farm Wife
639874	7944	Sitter
639874	35257	Woman in Washroom
639874	41266	Charlotte Callahan
639874	51814	Tattoo Woman
639874	80784	Ticket Agent
639874	91768	Sharon Kane
639874	362690	Club girl #1
639874	403540	Nancy Murphy
639874	406621	Carla Bright
639875	139151	Old Woman
639876	148886	Waitress 2
639877	16810	Secretary
639877	35730	Sister Felicity
639877	41170	Samantha
639877	95188	Mother
639877	109479	Mrs. Rattner (+)
639877	271104	Woman Villager
639877	303267	Attendant
639878	73938	Yvonne
639878	106232	Toni Howard
639878	151047	Ann Upcott
639878	203561	Pam
639878	240658	Virginia
639878	261057	Jill Stewart
639878	267564	Mrs. Bill Forrester
639878	281424	Julia
639878	310313	Carol Burton
639878	360542	Miriam
639879	7173	Mary Ellen
639880	144452	'Be Black Baby' Troupe
639881	283462	Girl
639882	140105	Nora
639882	314601	
639882	367512	Miss Griffin
639883	46259	
639883	117509	Fanny
639883	186412	Aunt Marie Mason
639884	160058	Maggie Thornton
639885	1465	Herself - Host
639885	1673	Herself - Co-host
639885	2258	Herself
639885	29960	Mary
639885	32661	Evie Kling
639885	37231	
639885	51661	Cable boy's mother
639885	53327	Modeling Agent
639885	67988	Herself
639885	68107	Herself
639885	72012	Ona Miller
639885	86739	Tina
639885	87031	Rhoga
639885	87391	Madame Belly
639885	87975	Ghost of Christmas Past
639885	101033	Cindy
639885	118367	Betty
639885	141040	Herself
639885	143284	Maggie
639885	160888	Cornelia Crisp
639885	163625	Kathy Griffin
639885	164587	Herself
639885	174619	Herself
639885	191253	Caroline
639885	196522	Belinda
639885	209527	Taffy
639885	222492	Armed Female
639885	240486	Karen Katz
639885	267038	Herself
639885	283368	Herself
639885	297113	Lucy
639885	319454	Herself (Comedian)
639885	340225	Cashier
639885	345686	Connie
639885	364372	Katty
639885	380973	Host
639885	383754	Herself (Winner)
639885	386350	Alice
639885	392423	Herself
639885	392906	Herself
639885	394221	Herself
639885	398213	Herself
639885	402078	Host (1997)
639885	404342	Skit Characters
639885	406854	Vicki Groener Rubenstein
639885	411697	Herself
639886	10688	Katie
639886	13736	Shrine Girl #1
639886	38818	Raye - Sailor Mars
639886	38819	Raye - Sailor Mars
639886	38822	Raye - Sailor Mars
639886	39175	Jennifer, Brunette Wife
639886	44975	Lorraine
639886	75722	
639886	98828	Mary Anne Parker
639886	109723	Anna
639886	126648	Student #6
639886	126672	April
639886	131433	Shelly
639886	196920	
639886	221045	Profound Reporter
639886	261992	Jacqueline
639886	263998	Gina
639886	266047	Gina
639886	273271	Empty V Interviewer
639886	276167	Penny Pooler
639886	277795	June Blair
639886	279841	Young Girl
639886	285357	Female Contestant #1/Sue
639886	286053	Abigail Williams
639886	334154	Girl at Bar
639886	348394	
639886	368610	Interviewee #2
639886	382487	Nikki
639886	382632	Nina Harper
639886	386534	
639886	404124	Sailor Mars/Raye (I) (1995, 2
639886	408622	Alex (2004-)
639886	409511	Charity
639887	75612	Thief
639887	80660	Older Nun
639887	108354	
639887	221049	Old Woman in Restaurant
639887	406120	Dorothy Martin
639888	131240	Bonnie Blue Butler (newborn)
639889	2327	Herself
639890	69773	Rehab Counselor
639891	48075	Attractive Woman at Restauran
639891	108029	Judy
639891	194663	Celeste
639891	201327	Stewardess
639891	215574	Miss Fleming
639891	293843	Sallie Parker
639891	317894	Dixie
639891	378627	Dorm Girl #3
639892	323966	Guest Starring
639894	69258	Debbi
639895	148333	Additional Voice
639895	242111	Woman Shopper
639896	12275	Amanda Granville
639896	60316	Bonnie Reed
639896	287210	Young Doris
639896	293048	Kenneth's Receptionist
639896	326743	Pamela Wells
639897	138382	Greene's Girlfriend
639898	26276	Baby Betty
639898	64061	Fairy Godmother
639898	190222	Dora, Their Child
639898	363109	
639899	379839	Host (1973)
639900	400	Clinic Receptionist
639900	6932	Pam Elsinore
639900	13309	Sarah
639900	39372	Clare Harrison
639900	48983	Medical Examiner
639900	75612	Patti O'Connor
639900	80938	Aunt Nora
639900	88575	Blanche, Henry's Girl
639900	105174	
639900	139434	Mrs. Yarborough
639900	141674	Waitress
639900	146934	Karen Hughes
639900	167256	Nancy Tindle
639900	221065	Monica
639900	336692	Nurse Beatrice
639900	340791	Emilia
639900	387024	Reporter
639900	392461	Candice Alexander
639900	403469	Alice
639900	405073	Millicent Collins
639900	406621	Mrs. Kingsbury
639900	411211	Callie Cramp (Season 2 - 5)
639901	403848	Eleanor
639902	71616	
639902	335728	Bit Part
639903	72733	Art Therapist
639904	85050	Eileen
639904	289206	
639904	380713	Mary Mennihan (aka Mary Dolan
639905	234091	Anna Noho
639906	34913	Choir member
639907	2781	Disco Star
639907	195640	Sarah Weaver
639908	187172	Young Chelsea
639909	330057	Wine Waitress
639910	118783	Lady in the Lounge
639910	262281	Tourist at Terzen Concentrati
639911	32243	Mona
639911	37047	Shandra Duncan
639911	44005	Kissable girl
639911	241730	
639912	363109	
639913	334011	Mourner
639914	79072	Liz
639915	4711	Woman at Gas Station
639915	33395	Cigar couple
639915	54922	Harmony Bear
639915	131431	Mrs. Winsloe
639915	153185	Mrs. Feld
639915	155909	Mrs.Steffen
639915	388012	Additional Voices (1985- )
639916	267148	Jody Travers
639917	72932	Nicole Baker
639918	99311	Laurie
639918	190798	Herself
639919	334250	Edward aged 10 months
639920	40878	Gospel Singer
639920	241597	Herself - Choir
639921	47544	Betty Moser
639921	72691	Georgianna
639921	82460	Nurse Boone
639921	213104	Janice
639922	73332	Robin
639922	75804	Dreena
639922	81157	Danielle Richardson
639922	90883	Jill
639922	100711	Fresh Nug
639922	133871	Angel
639922	147655	Camilla
639922	183876	Jennifer
639922	236693	Blair Madsen
639922	300163	Angel
639922	317634	Lanie
639922	382164	Suzie Payne/Aerobicide
639922	401930	Danielle Ashley (1997-1998)
639923	72915	Anna Quarrels
639923	144684	Elvina
639924	174012	Dr. Brooks
639924	185749	Valinda Normand
639924	390577	Marjorie Forrester
639925	224192	Moonbeam
639926	2723	Camilla
639926	4016	Announcer
639926	21051	Hottie
639926	37643	Gail Moore
639926	166471	Girl
639926	176992	Director #1
639926	210503	Winnie
639926	281145	Juliet
639926	321597	Sarah
639926	323134	Fumie
639926	409817	Yukari (English Dub)
639927	168460	Ruth
639928	235383	
639929	88344	
639930	46327	Extra
639931	52160	Saucy Housewife
639931	171853	
639932	60970	
639932	123792	
639932	319673	
639933	71474	Dancer
639934	287285	Mrs. Dortlund
639934	363897	Nurse at Cove Beach Hospital
639935	326602	Women's Group #3
639936	264761	Tracy Finkbine
639937	30658	Reporter 1
639937	60148	Lady of the Night
639938	22866	Maggie Chase
639938	40545	Randi
639939	264761	Tracy Finkbine
639940	37024	Diane Marsh
639940	60852	Chippy Trick
639940	61888	Pregnant Woman
639940	65837	Lucille
639940	66349	Ty's Mother
639940	70304	Dina
639940	90883	Mrs. Prentiss
639940	108386	
639940	131359	Mother in Shack
639940	193296	Aunt May
639940	194762	Deena
639940	195576	Jacqueline Kennedy
639940	202619	Mrs. Hopkins (Younger Woman)
639940	213159	Card Club Woman #2
639940	220042	Sharon
639940	230531	Attending Nurse
639940	234080	Fiona Haskell
639940	240626	Ellen Appletree
639940	241621	Lynn Wickstrom
639940	244933	Fanny
639940	252856	Gia
639940	263450	Katie
639940	265527	Reporter #3
639940	270933	Saleswoman
639940	279460	Tour Group Mom
639940	283434	Rikki Coleman
639940	283847	Lyla Griggs
639940	289683	Mrs. Virgil
639940	303265	Kelly Richards
639940	308115	Edna
639940	308684	Clementine McFarland
639940	327437	Sophie Dupree
639940	327659	Laurie Wood, Head Curator
639940	334244	Mother at House
639940	347611	Loretta
639940	358593	Dime Store Manager
639940	389416	Martha Chaffee
639941	389858	Lesley Lu 'Lulu' Spencer #3 (
639942	277909	Clark Girl
639943	10414	Chyna
639943	87333	Stevie
639943	113726	Sharon
639943	298087	
639944	112625	Hawaiian girl
639944	116931	
639945	274647	Honey Carter/Lovey Linn
639946	65717	Slave Girl
639947	4980	
639947	105453	Mom
639948	60209	
639949	124554	Anatomy teacher
639950	48264	Waitress
639951	228639	Prunella the Maid
639952	145972	Mrs. Maddern
639953	232423	Terrified Child
639954	296818	Secretary
639955	6849	Phyllis Blake
639955	21775	
639955	26225	Barbara Marvin
639955	26762	Hester Bevins
639955	38980	
639955	39781	Madame Zatianny/Mary Ogden
639955	45883	Kaly Dial
639955	47327	Adrienne Landreth/Drina Lynn
639955	65662	Blanche Sterling
639955	66206	Ruth Lawson
639955	68476	Valerie West
639955	71352	
639955	80671	Helen Stevens
639955	88076	Emma Hart (Lady Hamilton)
639955	88157	Linda Catherton
639955	124090	Toni LeBrun
639955	124281	Rosalie Ray
639955	128122	Mary Allen
639955	128402	Leslie Selden
639955	128432	Erminie Foster
639955	152520	Patricia Langdon
639955	154810	Virginia Rodney
639955	159452	Violet Bancroft
639955	161461	Grand Duchess Tatiana (at 12 
639955	162891	Elsa Melton
639955	163312	Marcia Ventnor
639955	183687	Mariana Beltrami
639955	185391	Lorna
639955	190780	Mildred Harker
639955	190781	Mildred Harker
639955	190884	Lily Christine Summerset
639955	195552	Blanche Hildreth
639955	196173	Jacqueline Cartaret
639955	196278	Linda Lou Heath
639955	199604	Fifi
639955	206399	Marian Hale
639955	210912	Virginia Denton
639955	215454	Marta
639955	218926	Marion Wolcott
639955	245282	Miriam
639955	248440	Mrs. Wilson
639955	264497	Riza Riga
639955	273729	Celia Hughes
639955	288740	Bobby Halevy
639955	302776	Janette Gildersleeve
639955	302782	Betty Jordan
639955	303441	Laline Kingston
639955	315166	Irene Mitchell
639955	321896	Susan Adams
639955	330374	Alice Winton
639955	331406	Madeline Durkin
639955	331918	Pussy Wimott
639955	337072	Emily Cottrell
639955	338096	Marion Hayward
639955	347342	Mary Boyne
639955	355077	Althea Sherrill
639955	362572	Cara Deene
639955	363667	Erminie North
639955	364169	Karen Girard
639955	371039	Corinne
639956	72104	Cover girl contestant
639957	93356	
639958	7488	Mrs. Eddington
639959	10630	Joan Manning Williams
639959	54897	Dulcina
639960	399719	Herself (biographer)
639961	86034	Lies
639961	88164	Judith Reynolds
639961	127996	Princess Isabel
639961	277862	Josie Ellison
639961	341943	Flora
639961	384726	Ruth
639961	411829	Charity
639962	108805	Herself
639963	155978	
639964	368244	Adagio dancer
639965	53564	Middle Aged Woman Zombie
639966	150714	The Blond
639967	281547	Mary Perkins
639967	362640	Hanna
639968	98113	Cashier
639969	105379	Fake Shemp
639970	92486	Policeman's daughter
639971	192007	
639972	358434	Bartender
639973	9972	
639973	10017	
639973	25149	
639973	29728	Passerby
639973	63429	
639973	65949	Mrs. LeMoyne/Aunt Myrtle
639973	90258	
639973	90371	
639973	91963	
639973	96961	
639973	109592	
639973	128152	Committee Woman
639973	142612	
639973	149102	Household servant
639973	154630	Mother
639973	183865	
639973	220574	
639973	239856	
639973	241503	Mrs. Delacey
639973	241547	
639973	252112	
639973	253472	Mrs. Havermeyer
639973	264046	Queen Marie
639973	270498	
639973	279399	Bing's Future Mother-in-law
639973	293131	
639973	302703	
639973	302730	
639973	318367	
639973	332053	Cythia Straight
639973	349557	
639973	349633	
639973	359717	Maid of Olympia
639973	362752	
639974	350805	Vasilisa
639975	126656	
639976	20233	
639976	46211	Aunt Ellen
639976	87604	
639976	109433	Mrs. Van Huyler
639976	133901	
639976	141345	
639976	152203	Widow Douglas
639976	157763	Mrs. Brainard
639976	192173	Miss Minchin
639976	201870	Mrs. Wright
639976	212997	Ethel Pierpont
639976	220090	Maida
639976	222605	
639976	259776	Aunt Polly Harrington
639976	278207	
639976	305585	Housekeeper
639976	306272	
639976	311402	Countess di Raspoli
639976	324393	Mrs. Edwards
639976	328752	Mrs. D'Urberville
639976	329414	
639976	330215	Mrs. Yates
639976	360219	Mrs. Hawkins
639976	363328	
639976	367544	Rhoda Schuyler
639976	367618	Aunt Bridget
639976	370574	Lady Windbourne
639977	306431	Alcatraz Tourist
639978	282667	Anne
639979	10348	Autograph Seeker
639979	12764	Nurse
639979	67139	Student
639979	72134	Maria
639979	96989	Mary
639979	150575	Model
639979	224127	Ethel
639979	313295	Della, Public Stenographer
639979	365087	Nancy Sprague
639980	389858	Lesley Lu 'Lulu' Spencer #3 (
639981	52656	Mrs.Marshall
639981	104683	Lizzie Acton
639981	115234	Michelle
639981	134175	
639981	158317	
639981	160855	Flyn
639981	177456	Mrs. McShane
639981	194067	Bonnie Gerrin
639981	277254	Gale
639981	281836	Annie
639981	333768	Aunt Katie
639982	340765	TV Anchor
639983	236669	
639984	336715	
639985	275735	Hooker in Motel
639986	282960	
639987	846	Herself
639987	2893	Herself - Co-Presenter
639987	2894	Herself
639987	3021	Herself
639987	17953	Sid
639987	42732	Holly
639987	43606	Maria Ruskin
639987	43941	Herself
639987	44516	Emma 'Billy' Dawn
639987	48896	Dora DuFran
639987	57560	Honey Whitlock
639987	57654	Nicole Oliver
639987	60746	Edith 'E.' Johnson, Tracker
639987	72706	Lucille
639987	76617	Girl in Hotel Room
639987	94020	Schuyler Devereaux
639987	117664	Lulu McAfee
639987	123539	Young Girl
639987	130767	Karen
639987	132849	Herself
639987	139577	Extra
639987	141427	Catherine
639987	158445	Lureen
639987	169674	Susie
639987	190260	
639987	192927	Herself
639987	193521	Charlotte Haze
639987	213751	Flossie Devine
639987	213963	V
639987	222195	Katherine Hoover
639987	231535	Herself
639987	232004	Delly Grastner
639987	232317	Barbara Marx
639987	234227	Toby Roebuck
639987	236083	Tina 'Teeny' Tercell
639987	240873	Herself
639987	241667	The Hitchhiker
639987	246222	Patty Palmer
639987	248431	Lily Reed
639987	279277	Marion Davies
639987	279533	Melanie
639987	291971	Herself
639987	296665	Eve
639987	296785	Kitt Devereux
639987	298094	Pvt. Sylvie Knoll
639987	299070	Linda Voss
639987	305571	Karen Love
639987	305622	Extra
639987	308122	Audrey Hankel
639987	313333	Dawn Bennett
639987	314235	Johnnie
639987	314778	Herself
639987	315585	Kate
639987	316179	Emily Eden
639987	317262	Margalo the Bird
639987	325058	Diane Milford
639987	327477	Sarah
639987	343025	Betty
639987	346276	Lucy
639987	367778	Hadley
639987	368314	Tess McGill
639987	383536	Tracy Quinn (1978-1979)
639987	397239	
639987	400208	Jinny Massengale
639988	230241	Neurotic Woman
639988	280181	Herself
639989	107156	Mrs. Kelly
639989	280485	
639989	323967	
639990	35160	
639991	185964	Restaurant Patron
639991	233065	Carrie Mae
639992	17630	Additional Voices
639992	162264	Herself (vocals, guitar)
639992	235414	Herself
639993	252913	Cookie Williams
639993	347609	Ellen Fielding
639994	347300	Bar extra
639995	1132	Mercia
639995	256839	Jack/Jackie
639995	391869	Aimee Cooper (2002)
639996	232423	Insane Mother
639997	230819	Cynthia
639998	392933	Herself
639999	33935	Mary
640000	242790	Marian
640001	67400	Girl at Salon
640001	273944	Magna
640002	7884	First Tribe
640003	11586	Sharon Stevens
640003	47061	
640003	64394	Donna Avedon
640003	72706	Samantha's Stand-in
640003	109449	Samantha
640003	113569	Barbara
640003	114223	Tess Seaton
640003	117076	Rebecca Morgan
640003	131539	Babe
640003	147300	Hogg Sister #1
640003	168213	
640003	211758	Gabrielle 'Gabby' Wilson
640003	222670	Dona
640003	301066	Gwen Coulter
640003	303818	Sarah Crosby
640003	304759	Marcia Holland
640003	329816	Laurie
640003	398135	Ruby Monroe
640004	281457	
640005	17183	Additional Cast
640006	276386	Court Dancer
640007	378934	Herself
640008	14278	Erkki's girl
640008	244676	Disco Dancer
640009	17152	Justine
640009	123874	Julie
640009	145397	The Girl
640009	147496	Daisy
640009	193521	Anabelle Leigh
640009	206884	Young Whore
640009	217002	Troupe
640009	258930	Jacqueline De Bellefort
640009	370615	Mary Denton
640009	383683	Louise Cazalet
640009	389125	Fleur Forsyte
640010	244933	Check-Out Girl
640011	23704	Girl on Plane
640011	23706	Ring Bearer
640012	130356	News reporter
640013	270669	Nympho Kate
640014	39443	Nora
640014	138695	Hannah
640014	276947	
640014	346020	Waldo Wife Two
640015	33644	Gladys
640016	408611	Presenter
640017	79862	Girl
640017	356312	Jessica, the little girl
640017	398020	
640018	401689	Michelle Hill
640019	195727	Marion Davenport
640020	210541	Victorian Emily
640021	41868	Production Manager
640021	105959	Doreen
640021	299287	Sally
640021	382838	Carol Thompson (1985-1986)
640022	307687	First Woman
640023	380610	Young Lady Emily
640024	53039	Tweedles
640024	316186	Laverne
640025	352682	Chapel woman
640026	80515	Linda Howard
640026	83155	Mary
640026	91585	1st Girl
640026	91935	Jane Winston
640026	95368	Mary Grant
640026	123299	Lady Jane Greer
640026	134096	Danielle
640026	157170	Ann Loring
640026	214121	Portia Lansdowne
640026	296774	Carol Seaton
640026	330491	Peggy Hill
640026	331651	Judy
640026	337853	Vicki Toller
640026	338747	Sylvia
640027	330697	Circus girl
640028	54919	Elaine
640028	83054	Angela Platt MP
640028	346211	Janet
640028	379872	Ruth Cole (2002 - )
640028	381795	Molly Cope (1993)
640028	382052	DI Sally Johnson (1994-1995)
640028	382967	Roslyn 'Ros' Henderson
640028	385614	Zoe
640028	394456	
640028	396079	Laverne (Series 3) (1994)
640028	409548	Tanya
640028	410792	Professor Jenny Wendle
640029	40491	
640029	94202	Nurse Smith
640029	267547	Screening Girl
640030	185202	Eira
640031	18589	Gail
640031	39443	Paula
640031	79742	Nicola Evans (Approach Contro
640031	219432	Caroline O'Farrell
640031	231388	Joanna
640031	351972	Peggy
640031	394453	Randy
640031	407452	Kelly
640032	65134	Dancer
640033	11519	Lepidopterist
640035	55632	Isabel
640036	79089	She
640036	105707	Laura Hyler
640036	145110	
640036	189221	Lianna
640036	200064	Pierre Trudeau/Margaret Trude
640036	202657	Kate Talbot
640036	206335	Anne Graham
640036	245710	Computech Apollonia James
640036	275770	Savannah Gates
640036	286842	Elizabeth Lount
640036	321699	Carls Widow
640036	336649	Mother
640036	337121	Hallie
640036	367588	Maggie Friel
640036	387542	
640037	388264	Herself (Series 2) (2003)
640038	55681	Old Lady in Headphones
640038	55683	Lady with hat
640038	55697	Patient
640038	55706	Lady
640038	55708	Trolley Lady
640038	55709	Auntie
640038	55718	Miss Horton
640038	61695	Miss Prescott
640038	78045	Dulcie
640038	116512	Bertha
640038	118934	Old hag
640038	127481	Cashier
640038	134074	Annabel
640038	150748	Iris
640038	164502	Salvation Army Woman
640038	183878	Bit Part
640038	220443	Lady-in-Waiting
640038	222567	Millie
640038	222753	Lucy
640038	233960	Spinster Lady
640038	241628	Amelia
640038	257987	
640038	316214	Library cleaner
640038	330491	Miss Potter
640038	342822	Tavern Woman
640038	344176	Cellist
640038	346020	
640038	362472	Trolley Lady
640038	365716	Blonde Outside Bank
640039	141786	Organist
640040	55632	Mrs. Jenkins
640040	151166	Enid
640040	341623	Mrs. Warren
640040	352682	Dinnerlady
640040	360200	Mary
640041	143636	1st Woman at Chip Shop
640041	331607	Housemaid
640042	405209	Ashley Clark (2000-2001)
640043	350277	Acolytes
640044	131232	Extra
640045	27121	
640046	17869	
640047	137623	Old Lady
640047	217410	Mrs. Owen
640048	65883	Carmencita
640048	122029	Hernia
640048	208189	Mrs. Scudder
640048	291503	Mrs. Paddy
640048	348380	Fat Lil
640048	384333	Mrs. Bramwell
640048	385220	Landlady
640048	386904	
640048	393163	
640048	393164	
640048	401145	First Pub Whore
640048	408582	Torchy
640049	19218	
640050	1734	Herself - Presenter
640050	3027	
640050	7155	Albertine
640050	14596	Gerry
640050	15218	Tanya Rammus
640050	41518	Ermine Jung
640050	41530	Sandra
640050	61802	Constable Anna
640050	71302	Lucy
640050	88195	Lee Cooper
640050	110443	Angela Nraglia
640050	139219	Carol
640050	145312	Hilary du Pré
640050	169868	Arabella
640050	209061	Pamela Drury
640050	222831	Rhonda Epinstalk
640050	223711	Samantha Newhouse
640050	224330	Bettina
640050	229260	Mrs. Scott
640050	257204	Maggie Jonas
640050	281388	Lorri Morris
640050	300146	Herself
640050	302468	Sally Zalinsky
640050	305408	Jane
640050	334185	Kate
640050	352682	Annie Mary Pugh
640050	361260	Sylvia
640050	379396	Annie
640050	393528	Additional Characters
640050	405512	Brenda Chenowith
640051	136822	Chorus - soprano
640051	334757	Celia/Chorus
640052	186443	Herself
640052	395290	Regular Performer (1968-1980)
640053	292175	Woman in commercial
640054	190724	Fiona
640054	324014	Penelope, librarian
640054	383630	Anita Castle
640054	384071	Emma Stafford
640054	384100	(episode "Number Six")
640054	391216	Regan Medina
640054	395196	Polly Jackson
640054	403337	Tracey Rudge
640054	408988	Gabriella Emmanuelle
640055	339364	Social Worker
640055	392970	Civilian Doctor
640055	404407	Sans Culotte Leader
640055	405708	Janet
640056	107504	A Fairy
640056	339854	Molly Armstrong
640057	187406	Herself (Marilyn Monroe imper
640057	205824	Marilyn Monroe
640057	267038	Marilyn Monroe
640058	390777	Natasha Vey
640058	393880	Nicola Blister
640058	393966	Violet Elizabeth
640059	171297	Hag
640059	211824	The Hag
640059	289396	Landlady
640060	403808	Herself - marine biologist
640061	163483	
640062	44998	
640062	148622	Simone Castel-Bérac
640062	384745	Clara
640063	329108	Sally
640064	48399	
640065	288943	Embassy Personnel
640066	293317	Himself
640067	23658	
640067	84612	Agathe
640067	111046	
640067	409256	Typhelle
640068	133717	Blenkensop
640069	124017	Tanya's Mother
640069	161864	Serena's Mother
640069	383882	Sarah Taylor
640069	411245	Di Guthrie (episode 5: The Ot
640070	325113	Stonehouse
640071	50161	Mother
640071	183611	Julia
640071	329396	Miss Hemingway
640071	337759	The Harpist
640072	233519	Kellee White, Miss Canada
640073	29523	J.R.
640073	117520	Joy Paschal
640073	117689	
640074	7811	Cathy
640075	166643	Delaware Student
640076	381514	Herself (1999-2000)
640076	400124	Herself
640077	115079	Nat Sinnat
640078	65417	Capt. Nemo and His All Girl B
640079	5149	Assasin #1
640079	80422	Delores
640079	82731	Brandy Waggoner
640079	214529	Android girl
640079	295481	Suzie
640079	375714	Zombie
640079	380391	Maggie Cory #3 (1993-1995)
640079	400236	Stephanie Hobart (1991-1992)
640080	308851	Girl
640081	308851	Girl
640082	86534	Little Girl
640083	26877	LaTeesha
640084	338909	Savannah Mayfield
640086	286327	Minou
640086	356974	Martine
640087	256441	
640088	91213	
640089	350111	
640089	404242	
640090	61832	Herself
640091	313587	
640091	317875	Rosa
640091	357575	
640092	22723	Herself
640093	18226	
640093	77032	
640093	97878	
640093	97938	
640093	98074	
640093	98222	
640093	98422	
640093	116620	
640093	173974	
640093	174495	
640093	183176	Giovanna
640093	185907	
640093	243057	
640093	243361	
640093	244244	
640093	261624	
640093	330328	
640093	350350	
640093	375517	
640093	379378	
640093	379412	Erifili
640093	380481	
640093	387711	
640093	388019	
640093	397613	
640094	287014	
640095	237008	Girl at Table
640096	374133	Zweite Dame der Königin
640097	93528	
640097	95124	
640097	108914	
640098	6076	Anna
640099	208775	
640100	134288	Girl
640101	293844	Mara
640102	398896	
640103	90010	Lady-in-waiting
640103	236970	Housekeeper
640104	131990	Maykata ha Lin
640105	129751	
640105	154523	
640105	351064	
640106	321853	
640107	21842	Maya
640107	101499	
640107	169512	Sweet Lady
640108	210195	Prime Minister's wife
640109	210928	Mariam
640110	173682	
640110	212283	(segment Dejstviye)
640111	34507	
640112	94518	Marye "Masha" Kirilovna Troye
640112	95571	
640112	174354	
640112	201155	The Witch-Stepmother
640112	213676	Margaret Robertson
640112	313885	
640113	29670	Princess
640113	39865	Isla
640113	176117	
640113	231167	
640113	274313	(segment "Farmer's Daughter")
640113	404978	
640114	211192	
640115	8455	
640115	43075	
640115	48771	
640115	88442	
640115	94995	
640115	174532	
640115	187019	
640115	211193	
640115	224436	
640115	225912	
640115	305613	
640115	357245	
640115	357481	
640116	374869	City woman
640117	92328	
640118	90152	The Niece
640119	306656	
640120	12806	
640120	60428	
640120	293903	
640121	348555	Masha
640122	88447	
640122	254234	
640122	264534	
640122	265231	Frau Bebber's daughter/africa
640122	267804	
640122	283152	
640123	213114	Person on Dock
640124	290378	Mrs. Sheinkopf
640125	127017	Annette
640126	390645	Presenter
640126	391390	Herself
640126	405974	Host
640126	408789	
640126	410766	Presenter
640127	18798	
640127	56506	Bailarina Cabaret
640127	128969	
640127	260509	
640127	378404	
640128	32372	Bankhoofd
640128	44207	
640128	70105	
640128	79249	
640128	147236	
640128	171798	Anna van der Tak
640128	319998	Gerda
640128	334480	Pfilotis
640128	410593	
640129	353298	Miss Thelma Louise Devonshire
640129	355490	Exeter
640130	364125	Herself (Click Model Agency)
640131	200498	Woman Officer
640131	385299	Pauline Lloyd
640132	108748	Girl in the park
640133	217701	
640134	339649	Girl at Ice Cream Truck
640135	16006	Elderly Woman
640135	154271	Angela Franco
640135	310376	Nurse
640136	138537	
640138	18180	
640139	154271	Boy's Mother
640140	318763	Chiara
640140	359144	Lucia
640140	366316	Woman on bench
640141	163820	La chanteuse des rues
640142	26238	Nene
640142	299098	Takayanagi Yooko
640143	343978	Mère Ubu
640144	82545	Jacquie Clifton
640146	66837	Couple in Drug Store
640147	310045	Vanesa
640148	43366	
640148	84783	
640148	127631	
640148	134487	
640149	380332	Carolina Domingues
640149	384995	
640149	402242	
640149	410105	Carolina
640150	266153	
640151	105318	
640152	74821	
640152	104057	Nina
640152	118839	
640152	233344	
640153	202524	Herself
640153	202528	Herself
640153	202529	Herself
640154	114512	Young Mars
640155	235367	
640156	202523	Herself
640156	202524	Herself
640156	202528	Herself
640156	202529	Herself
640157	357094	
640158	14386	La Bolognese
640158	110388	Lauretta
640158	223600	Soraya Visentini
640158	344593	Vittorio's wife
640158	348161	Patrizia
640159	199444	Un' allieva
640159	264251	Una ragazza al ballo
640159	355891	
640160	103892	
640161	162246	Maria
640163	145183	Bianca
640163	348731	Angella
640164	4637	Elide
640164	4638	Stella
640164	10186	
640164	16857	Teresa
640164	16950	Regina Podium
640164	26694	
640164	55033	Topona
640164	57022	
640164	66364	Elys Trumbo
640164	76153	Viola
640164	77421	Jeanne de Tignonville
640164	82413	Yoko
640164	111428	
640164	161126	
640164	161447	Tea
640164	169540	Yvonne
640164	177794	Marie Anna Elise Bonaparte
640164	183481	Vanessa
640164	183482	
640164	186041	Simba
640164	207065	
640164	212576	
640164	223322	Stefania
640164	248056	Herself
640164	250607	Pearl
640164	252673	Berenice Rondi
640164	269483	Marlis
640164	275610	Arlètte Forlano
640164	278405	Flaminia
640164	301354	
640164	302184	Michela
640164	334990	Ines
640164	351526	Brenda Lamanna
640164	351534	Brenda
640164	354665	La consolatrice
640164	381622	Elfride
640164	408804	Anna Folena
640165	19257	The whore
640165	97054	Fille de Victor
640165	265717	
640166	104538	
640167	90651	Afdera, Paola's daughter
640167	269479	Emily/Ofelia
640167	270832	
640167	338020	Wanda
640168	15308	
640169	90316	Barbara
640170	18999	Teacher
640170	211025	
640170	308756	
640170	391674	Clarice
640170	396610	Iris Miranda (2002)
640170	397546	Donana
640170	400670	Joaquina Cabral
640170	402456	Elvira
640170	404915	Dirce
640170	407868	Leonora Migliavacca
640170	409419	Frida Schmidt da Silva
640170	411585	Fausta
640171	105125	Television Vision Mixer
640171	118278	American
640172	23843	
640172	33569	Marie-Rose
640172	51138	La jolie rousse
640172	51793	La soubrette
640172	57751	Lucie
640172	58196	La blonde du train
640172	58533	Starlet
640172	62936	Mizzie
640172	72066	Fille aux Champs-Elysées
640172	85692	Soeur Anne de Jésus
640172	97074	Mme Morvan
640172	104246	Francine du Boccage
640172	117927	Lady of Saint-Ilette
640172	127646	Colette
640172	129216	Brigitte
640172	129513	Florence
640172	130117	La fiancée
640172	201079	
640172	291120	Madeleine
640172	336975	
640172	343567	Mme Verjou, mère
640172	357834	La cliente de Marie (Madame L
640172	384009	Babette
640172	387837	La mère d'Agnès (1986-1988)
640172	401816	
640172	407211	Régine
640172	408317	
640172	409001	La mère de Jacinthe
640173	339714	
640174	166125	Sylvie
640175	91846	
640175	107510	Fabrette
640175	107513	
640175	164166	
640175	195997	
640175	201098	
640175	253581	
640175	301553	Margot
640176	14890	Gina
640176	111299	Princess of Medina
640176	127967	Nikita
640176	159619	
640176	168904	Aspirante cantante
640176	189289	Genny
640176	252780	
640176	261577	Giorgia
640176	263625	
640176	309171	Sorellina
640176	344583	Carmela
640176	381622	Tina (2001)
640176	386749	
640176	393897	Julia
640176	399657	Herself (1994)
640176	402654	Costanza Donati
640177	96067	Monique
640177	254147	Kebadian
640177	261766	Annick
640177	261808	Vivette
640177	284257	Louison Chabry (segment "Anné
640178	365123	Mackenzie Fisher
640179	134563	Soccer Girl #2
640180	10212	Waitress
640180	347025	Ellen Lönnquist
640180	355629	
640181	58805	
640181	233978	Villar
640181	384922	
640182	181850	Patient
640182	305303	Student
640183	384427	Liliana
640185	83174	
640186	248717	L'infirmière
640187	394862	Participant (2002)
640188	44355	Mrs. Spitter
640188	134672	Flat-tire lady
640188	152222	Mrs. Cardoza
640188	232213	Mrs. Koogle
640188	234989	Thrift Store Owner
640188	236982	Dayroom Woman #4
640188	302468	Mrs. Schalclepper
640188	337482	Dancer
640189	297628	Rachel
640189	321718	Holly Jobson
640189	411802	Cassie Johnson-Newman (1997-p
640190	384097	Rowena Easson (1990)
640191	381091	Herself (eliminated round 2)
640192	136311	
640192	296696	Model #2
640193	77615	
640194	120429	Aiden
640195	10119	Myrtle Walton
640195	38813	Debby Brougham
640195	41930	Mary Elizabeth
640195	138492	Copenhagen match girl
640195	148912	Effie
640195	163485	Zuzu Bailey
640195	197760	Young Martha Bannister
640195	219996	Iris, age 6
640195	248835	Stephani
640195	254709	Pam Roberts
640195	264570	Laurine de Marelle
640195	278589	Margaret Mary
640195	303232	Carolyn
640195	311851	Herself
640195	321124	Tammie
640195	329481	Orphan
640195	345860	Little girl
640196	157284	Herself
640197	100843	Lucy, Clinton's Secretary
640198	362923	
640199	399794	Houst (1997)
640200	269053	Charwoman
640201	70767	
640202	96787	Crabby Wife
640203	202956	
640203	233875	Laurie Fisher
640203	366419	Beautiful Woman #5
640204	18019	Woman Sitting with Nick in Ca
640204	162860	Samoan Girl
640204	205739	Cabaret Entertainer
640205	402011	Alexa Watson
640206	282	Albert
640206	13637	Joy Hackley
640206	21176	
640206	27065	Mrs. Finnegan
640206	35821	Herself
640206	39413	Amanda
640206	44562	Homily Clock
640206	47385	Herself
640206	53329	Sydney Channing
640206	144763	Vera
640206	149708	Mrs. Pinder
640206	158885	
640206	161740	Paula
640206	163758	Herself (filming Three Bites 
640206	171098	Narrator
640206	185737	Molly Grue
640206	208041	Sylvia Markham
640206	216879	Dr. Gresham
640206	221055	Sarah Baily-Lewis
640206	233492	Alcoholic mom
640206	244364	Denise Gray
640206	257520	Helene
640206	283492	Erna Webber
640206	304644	Georgette
640206	307976	Audrey Van Santen
640206	317451	Cameo appearance (in 'Stuff' 
640206	325078	Elmire
640206	331279	Angela Sparrow
640206	340531	Mrs. K
640206	372130	Amy Carlton
640206	396123	Mrs. Haversham (1995)
640206	407526	Tammy Ward (1966)
640207	279532	Eleanor
640207	365909	Cynthia
640208	29227	Prom Girl
640208	230324	Little Red Riding Hood
640208	402306	Bobbie Fitzgerald (1998-1999)
640208	407930	Katie Howard
640209	240307	
640210	251094	Herself (flute)
640211	224157	Betty
640212	252450	Amber Easton
640213	293314	Maid
640214	60472	Kelly
640215	122376	
640215	246230	Marion
640215	249898	Makren
640215	266417	Léone
640216	185406	Eva
640216	283553	Claudia
640217	275764	Betty Gützkow
640217	399177	Manuela 'Molle' Brendel (# 2)
640218	394477	Hanna
640219	184663	
640220	14360	
640220	19836	
640220	23648	La patronne du bistrot
640220	28511	
640220	28516	La coiffeuse pour hommes
640220	33559	
640220	43772	
640220	45140	La secrétaire du notaire
640220	46942	Mme Pandolini
640220	51807	
640220	84106	La cliente du restaurant
640220	92048	
640220	113256	La secrétaire
640220	123064	Mme Serin/La partenaire
640220	132449	Countess De Segonzac
640220	132983	La mère de Vincent
640220	157235	
640220	166878	
640220	167205	Mademoiselle du Peyron
640220	198341	Lucienne
640220	205635	Mortimer
640220	225410	
640220	244070	
640220	271372	Madame Eliston
640220	287321	Mère Vial
640220	333460	La boulangère
640220	339875	
640220	340372	Germaine
640220	354034	Josiane
640220	379806	
640220	385002	La mère supérieure
640220	385845	Catherine (segment "Amie étra
640220	386020	
640220	393484	
640220	393731	Mme de Saint-Huberty
640220	396187	Clairette
640220	396366	Nadine (segment "Monsieur Bia
640220	397807	
640220	398054	Une précieuse
640220	401816	
640220	408651	Mme de Beaupin
640220	409440	
640220	411699	Yvonne Gagneur
640221	82510	Krankenschwester
640222	112187	Lady at the church
640223	166554	Herself
640223	166555	Herself
640224	99892	Girl at the church
640224	137628	Simone
640224	401142	Emelie Schulz
640224	404448	Andrea (2003/04)
640225	67557	Nina Montoya
640225	110997	Maria de la Luz Schultz
640225	120226	Lily Truscott
640225	194924	Maria
640225	266100	Maria Vargas
640225	273896	Rita
640225	298590	Nicole Romaine, Ballet Dancer
640225	391069	Angela
640226	477	
640226	219012	Sally
640226	225187	
640226	248062	
640226	315971	
640226	344784	Ruth Warren
640227	91176	
640227	125167	
640227	301012	
640227	352585	
640228	282403	Roula (young)
640229	175281	
640229	325411	Mrs. Dr. Bossel
640229	361388	Ada von Dewitz
640229	408386	
640230	176852	Hot tub girl
640231	331533	Karen's Friend #2
640232	88522	Rachel
640233	297937	Ticha
640234	155108	Herself
640235	43332	Jessica
640235	325941	Eva
640235	389616	Paula Busch (2000-2004)
640236	72055	
640236	101896	Mme Camberac
640236	345109	
640236	376895	
640237	159210	La grand-mère
640238	108858	Kona til en fant
640239	10208	Vesla
640239	32512	Karins søster
640239	102226	Nina
640240	48130	En dame
640240	165132	
640240	219879	
640240	237072	En kone
640241	30662	Knitting Nurse
640242	400035	Gloria Skinner
640243	297650	Katie Current (Australian Ver
640243	380286	Herself - Host (1996)
640243	397656	Herself - Co-host (1995)
640243	400511	Co-host
640243	408397	Herself (host) (1993-)
640244	33179	Ballet Dancer
640245	319936	Girl Guide leader
640246	9504	Herself
640247	318487	Frode's Ladyfriend
640248	177309	Lady Godiva
640249	189504	Carmeletta
640249	222759	Grace
640249	310376	Secretary
640250	150788	
640251	4533	
640251	15333	
640251	49881	Ofelia
640251	52943	Laura
640251	55935	
640251	74545	
640251	74566	
640251	74592	
640251	90189	Duchess
640251	103534	Beatriz de Haro
640251	103807	
640251	205997	
640251	222021	
640251	234013	
640251	234371	Toinette
640251	234381	
640251	251565	
640251	258476	
640251	287807	
640251	301119	
640251	324175	Elisa Miranda
640251	353664	
640252	160	Joëlle
640252	18707	Caroline
640252	68344	
640252	70145	Herself (segment "Pour Alirio
640252	73078	Nadia
640252	82921	Antonio's Mother
640252	87814	Mila
640252	101140	Stephane's sister
640252	101820	Marie
640252	112837	Lili
640252	117952	Paulette
640252	134605	Herself
640252	164195	Adrienne
640252	170360	Claire
640252	185651	Blue
640252	206947	Marylin
640252	207873	Lena
640252	217660	La petite fille conférencière
640252	217689	Marie Abarth
640252	236593	Sandra
640252	254153	Christelle
640252	265881	La tortue
640252	286043	Nina
640252	327568	Marie Steuber
640252	345290	Servane
640252	345567	Victorine
640252	346732	Cathie
640252	346799	Camille
640252	350052	
640253	197634	
640254	33087	
640255	364735	Maya
640256	377897	Valérie
640257	375116	Girll in the bar
640258	323318	
640259	291593	
640260	164892	Jana
640261	34390	
640261	90132	
640261	111682	Mme Vinel-Lecomte
640261	383649	Mme de la Trémoille
640261	397195	
640262	407786	Hotel Receptionist
640263	57022	
640264	56144	Mrs. Coty
640264	171724	Lisa
640264	257232	Candace
640264	353394	Head Nurse
640265	127204	Student
640266	35597	Witness
640267	333213	Mrs. Bishop
640268	391842	Victoria Holm
640269	375109	Extra
640270	280128	
640271	324336	
640272	24854	Marianne
640272	43754	Poupette
640272	243141	Annie
640272	392580	
640273	110156	Dahlia
640273	265224	Marie
640274	199348	La chanteuse
640275	7383	Julie
640275	18990	Thérèse
640275	84275	Else Iversen
640275	94269	Malene
640275	95000	Pusser
640275	95906	Birgitte
640275	108173	Byrådsmedlem
640275	114034	Borgunde
640275	123040	Christine
640275	127499	Sonja, the Maid
640275	135686	Anna
640275	145473	Snehvide
640275	146602	Christines kollega
640275	153377	Susie
640275	156029	
640275	170345	Borgunde
640275	182619	Alice, kvinde ved politiet
640275	187789	Madame Holliday
640275	209808	Pernille
640275	214372	Camilla Olsen
640275	218894	Tjenestepige
640275	236241	Teaterpublikum
640275	237404	Thedora
640275	241971	Frk. Jytte
640275	244002	Tina, stuepige hos Bang
640275	244681	Topper's Aunt
640275	253969	Kirsten
640275	258746	Lise
640275	258747	Bagerjomfru Lise
640275	258748	Bagerjomfru Lise
640275	264282	Hysterisk dame
640275	281085	Forsvarer
640275	293699	Tove
640275	293895	Sekretær for professoren
640275	301456	Maggie
640275	305311	Maren
640275	317652	Model
640275	321762	
640275	322300	Solvei
640275	322457	Mette
640275	322458	Yvonne
640275	333011	Lotte
640275	336411	Ursula
640275	349650	
640275	351910	
640275	352120	Omstillingsdame
640275	353004	Madame Decoltas
640275	398496	Various roles
640276	378065	
640277	224293	Herself
640277	294763	Herself
640277	306322	Lizzie
640278	140124	
640279	150139	Cunliffe's secretary
640279	276804	Alexandra
640279	292593	Miss Winterton
640279	396363	Madame Homais
640279	406680	Penelope Gough
640280	337281	Louise Dobson
640282	216406	Air Hostess
640283	128618	
640284	360635	
640285	46665	Alicia
640286	287703	Witch
640286	331984	Witch
640287	82268	
640288	322351	Angelique
640289	4597	
640290	397395	Herself
640291	40315	Anita
640291	46645	Camilla
640291	149242	Mignon
640291	287568	Sabina's mother
640291	388646	Eva-Britt
640291	394946	Eva-Britt
640291	403084	Kvinnlig läkare (1997)
640292	105740	Eva
640293	33696	Featured Citizen
640293	38576	Paramedic
640294	204227	
640295	65516	Senora Conares
640296	35626	
640296	163103	
640297	55236	
640298	121364	Receptionist
640299	43237	Alejandra Barberini/Manuela S
640299	51234	
640299	55949	
640299	80241	
640299	131126	Alicia
640299	164031	
640299	249876	
640299	275024	Marília
640299	332593	
640299	355004	
640299	386790	Barbara Siniestra
640299	387556	Isabel Arroyo
640299	390449	Herself
640299	395657	Julia
640299	401098	Inés de Hinojosa
640299	402333	Herself/Host
640299	405866	
640299	410272	Antonia
640301	13166	
640301	381072	Roselia Chitiva de Rivera
640301	383335	Luza
640301	391458	
640301	392963	Ursula Salcedo
640301	397499	
640301	398475	
640302	367633	Maria Longhetti
640303	263798	Secretary
640305	242487	Pumpkin
640306	22824	Christie Evans
640307	58380	
640307	187478	
640307	212438	
640307	258505	
640307	265458	
640307	292930	
640307	353559	
640307	390869	
640308	348229	Club Patron
640309	60881	
640310	219718	
640311	167820	Natasha
640311	211884	
640311	390430	Gertruda
640312	349076	
640313	40869	
640313	59772	
640313	320714	
640314	375681	Sekretarsha
640315	217368	
640316	323322	
640316	327129	
640317	83333	
640317	202671	
640317	234295	
640318	1445	Herself
640318	303763	Herself
640318	303764	Herself
640319	238379	
640320	115874	Bar Babe/Admin. V.O.
640321	156085	Herself
640321	380407	Newsreader (1998-)
640322	387928	
640322	396775	
640322	408596	
640323	163363	Carmen
640324	369	Old corsican woman
640325	78670	Barbara
640325	241621	Mrs. Mullins
640326	317315	Pankova
640327	175071	Amerikánka
640328	140651	
640329	33706	Catherine
640330	28615	Oscar
640330	101744	Blonde
640330	325389	Karen Priest
640331	31704	Sunday School Kid
640332	1038	Rude Girl
640332	141985	Party flirt
640332	200864	Amber the Autograph Girl
640332	290378	Girl at Bar
640332	314092	Accident Witness
640332	387287	Stuckyville Student (2002-200
640333	105971	Peggy
640334	17507	Miss Fisk
640334	87844	Duchess of Glastonbury
640334	241329	Auntie Fairfax
640334	270938	Prudence Jedson
640334	305598	Ellen
640335	61855	Deputy Harry Timmons
640336	173512	Farm girl
640337	6660	
640337	16376	Anna
640337	59974	
640337	63579	
640337	89589	
640337	108850	
640337	109073	
640337	132071	
640337	163895	Olga Frankova
640337	189430	
640337	207560	Sophia Ivanovna
640337	229906	
640337	244158	
640337	248324	
640337	259737	
640337	270310	
640337	278416	Zabala-Vrubel
640337	299555	
640337	333782	
640337	344008	
640337	352452	Natalya Sergeyevna
640337	370177	
640337	375488	
640338	341333	
640339	93020	Crystal
640340	151196	Miss Royce
640341	247237	Ann Dawson
640342	188904	Valerie
640343	16867	
640344	236185	Barbarina
640345	128682	Bottom menu girl on the left/
640345	128686	Woman on left of cover/Grinni
640346	380817	
640347	222212	Chick at party
640348	250664	Production Secretary
640349	195169	Louise's mother
640349	289326	
640350	174165	
640351	281006	La chanteuse/The singer
640353	135135	
640354	310948	Barbara
640355	397968	
640356	197469	Fyodorova
640357	105536	Shodu Warrick
640357	105537	Shodu Warrick
640357	313479	Ewok
640358	92695	Gargoyle/Nun
640359	81317	Rape Victim
640360	89938	Celia
640361	89938	Celia
640362	164157	Mina
640362	236602	Beauté flétrie
640362	276541	Le professeur de danse
640362	346416	
640363	28040	Herself
640363	306974	Jorunn
640363	392072	Frøya Brun (2001-2002)
640363	405794	Jorunn (episodes 2, 3, 4, 6, 
640364	137850	
640365	32855	Sestra
640365	192902	
640366	379928	Herself
640367	41701	Barbara Thornton (Young)
640368	302175	
640369	80736	
640370	375761	
640371	302175	
640372	188817	
640372	391152	
640373	348086	
640373	402437	
640374	51991	Blitzo
640375	189856	Host
640376	342322	
640377	335872	Cindy
640378	239025	
640379	234329	
640379	266669	(segment "Una cena de navidad
640379	340655	
640379	380114	Diana
640379	385250	
640379	385254	
640379	397501	
640379	398522	
640380	43642	Viviane
640380	112854	Mme Charles
640380	157227	La mère de la bibliothèque
640380	161992	
640380	170933	Claude
640380	230100	La réceptionniste
640380	265904	Suzanne T.K
640380	353824	Ginette
640380	375769	
640380	383832	Bea Colombo
640381	97717	Marguerite
640382	329628	Herself
640383	97541	Jewish Mother of Little Girl
640383	154601	Wala's Sister
640383	290070	Mrs. Nussbaum
640383	357957	Korab's Wife
640384	387993	Nurse
640385	181360	
640386	399093	Herself
640387	9916	Sylwia
640387	262709	Tania
640387	347832	Kazia
640387	359585	Klara
640387	411904	Ula Tokarska
640388	85945	
640388	344584	
640388	383784	Hanna
640388	386748	
640389	9916	Friend
640390	76670	Woman
640390	181124	
640390	311896	Nurse Dorota
640390	322000	
640391	300772	Surgery Receptionist
640392	72012	Group Therapy Member
640392	309946	Bag Lady
640393	331467	Kate
640395	322886	Thanksgiving party guest
640396	17604	Gymnist
640396	81769	Kim Cole
640396	198044	Little Girl
640396	206840	Little Girl
640397	214463	Hurry Date Hostess
640398	468	Amy
640399	307886	The Murmurs
640400	18028	Cynthia
640400	37062	Wendy Linker
640400	105706	Margaret
640400	118018	Police Secretary
640400	139611	Barbara
640400	187697	Nola Frank
640400	190273	Mrs. Corman
640400	190930	Frankie
640400	210868	Harriet
640400	223740	Ms. Jump
640400	248890	Miss Baxter
640400	255399	Amy's Mom
640400	269771	Mrs. Edison
640400	274525	Crystal Eastman
640400	277638	Gym teacher
640400	281901	Reporter
640400	319187	Sandy (segment "The Home")
640400	364516	Mrs. Boyle
640402	290271	Fina
640403	131166	
640404	341068	
640406	366617	Roulette Dealer
640407	404324	Presenter (2002-)
640408	372329	Team Member
640409	352126	
640410	11821	TV-verslaggeefster
640410	124438	Tehuisleidster
640411	104739	Dutch entry (10th place)
640411	228233	Herself
640411	228238	Herself
640412	113061	
640412	152284	
640413	126467	Birgit Quant
640413	191157	
640413	281741	Selina Bruce
640413	380056	Dr. Stefania Morriconi
640413	387697	Victoire
640413	398089	Christina Lorenz
640413	409990	
640414	272944	Policeman
640417	240706	Bridget
640418	50069	Doctor
640418	68063	Charlotte
640418	134177	Susan
640418	167601	Maggie
640418	252116	Sandra
640418	382279	Hotel receptionist
640418	387247	Ros Thorne (1997-1998)
640420	192425	
640420	196303	Patti - Age 11
640421	376257	Ella
640422	16646	News Reporter #1
640422	383037	Anchor
640423	395778	
640424	363953	Mrs. Goodman
640425	405163	Vickster
640426	244202	
640427	26077	Dorothy, 2 Years Old
640428	23463	Biker's screaming girlfriend
640428	56924	
640428	104936	Eve
640429	84584	
640430	210739	Mrs. Irma Edelson, Edwards' A
640431	31665	
640432	225256	
640432	290216	Mrs. Metzmaier
640433	347038	Mrs. Karmichel
640434	235287	Mina
640436	244200	Martina
640437	264466	Herself
640438	142264	Mitzi
640439	142264	Betty
640440	46249	A dreg of society
640441	231569	Receptionist
640442	411623	Ginette
640443	71338	
640443	351712	Policier moustachu
640444	190541	Mira
640445	307673	Maestra
640446	189466	
640447	218298	Marguerite
640448	157499	Nun on School Steps
640448	267568	Diner Patron
640448	347947	The Grandma
640449	375077	
640450	386618	Contestant
640451	66264	
640452	77624	Katerina
640453	354658	Cléo Deslilas
640454	283826	Palashka
640455	131183	
640455	301897	
640455	373971	
640456	84414	
640457	323315	Alice
640457	356592	
640458	265640	
640459	373856	
640460	108855	
640461	132432	
640462	88584	
640462	351024	
640462	409520	
640463	356126	Anushka
640464	114283	Rap/Bomb Girl
640466	60466	Wendy Sullivan
640467	128	
640468	132536	
640469	392911	Nathalie
640470	43883	Uncle Floyd's girl #2
640470	402790	Additional Voices
640471	184822	Zackie Salmon
640471	360818	Bagdad's Girlfriend
640472	98967	Nili
640473	369005	Blind Woman
640474	26360	
640475	49366	Three Deuces Chorus Line
640476	188453	Masturbator Girl
640477	227035	Sally
640478	285197	Goldfish
640479	39960	Janet
640480	106047	Susan
640481	396017	Sam
640482	17173	Sissy
640483	185516	
640484	137258	Teacher
640485	39852	Mrs. Sullivan
640486	110408	Kvindeband - Keyboard
640486	399936	Herself (interviewee)
640487	115690	Mirjam
640487	392690	Hannah van Heemstra
640487	406166	Marieke Jansen
640487	409572	Rebecca de Leeuw
640488	263284	
640489	7782	Oma van Tonnie
640489	23559	
640489	123326	Ustinya
640489	149111	Soeur Theresia
640490	383968	Herself (2001)
640491	20145	Najade
640492	212051	Bar Extra
640493	95525	Angela
640493	255629	Mother Bell
640493	255630	Mother Bell
640493	306008	Rose
640493	386642	Herself
640493	409367	Herself - Host
640494	363756	Hunting Montage
640495	366606	
640496	291969	Birthday Friend
640497	389294	Guadalupe 'Lupe'
640498	320378	Sportswoman
640499	254621	Schoolgirl
640500	269959	Girl
640500	387536	
640500	395861	Grilla
640500	404203	Yusmeri
640501	292122	Karolina
640502	191101	
640502	323501	Model #3
640503	268822	la Danseuse à claquette
640503	346819	
640504	301402	Marie-Cécile
640506	287340	La femme de chambre
640507	379470	Eliane Barzilai (2004)
640508	55016	La serveuse de l'hôtel
640508	100349	
640508	213840	
640509	403805	Lindsey Spencer #3 (2002-2004
640510	38170	Réceptionniste gym
640511	170215	Herself
640512	2252	(segment "Teuf d'enfer, La")
640513	333376	Hooker
640514	28281	
640515	214387	Ethel à 5 ans
640516	199572	Old lady who takes a picture
640517	260679	Little Girl
640519	399295	Herself
640520	90317	Tourist's Mother
640521	24898	
640521	44269	
640521	241830	Receptionist
640521	295756	200 pound mistress
640522	397886	Herself
640523	173831	
640523	181255	Verpleegster 1
640524	156147	
640525	57389	Penny
640525	330869	Mousy
640526	345074	La soeur
640527	101208	Le témoin procès
640527	258149	Muriel Bedard
640528	13308	
640528	101219	La jeune fille du campus
640529	111063	Special Guest Cannes Film Fes
640530	321206	Student
640532	306100	Jitka
640533	345607	Extra
640534	49893	Herself (Taylorette)
640535	155949	Girl
640535	196117	Hooker #3
640535	337104	Dotti
640535	367405	Party Girl #1
640535	384915	Herself
640536	369153	Herself
640537	80430	Bingo Burger Patron
640538	57929	ABA Student
640539	17744	Giulietta
640540	5596	Mädchen in Sternwarte
640540	12378	Roswitha
640540	97238	Louise
640540	125228	
640540	187526	Mariannes Kollegin
640540	361409	Margit
640540	361455	Elsie
640540	389948	
640540	389959	
640541	317905	
640542	141706	Whore
640543	248483	
640544	308168	Barbara
640545	342822	Jane's Nurse
640546	37867	Hillary
640546	93959	Pregnant Fry Girl
640546	318337	Food Valley Cashier
640547	267605	Sally
640548	98145	Additional Singer
640548	358114	American Dream Singer
640549	152337	
640550	122214	Sorority Girl
640551	189623	
640553	88870	Magician´s Assistant
640554	347995	Herself (crocheter)
640556	176765	Luane
640557	192415	Jenny
640558	140268	
640559	26838	Airline Hostess
640559	121824	Tracy
640560	2476	Bev
640560	25156	
640560	26289	Charlotte Elkman
640560	36871	Judy
640560	37836	Herself
640560	56654	Ilene
640560	66131	Jackie
640560	68092	Dr, Ruth Westheimer
640560	71495	Vera Maitlin
640560	104999	Sitcom Parent
640560	110441	Janis Zuckerman
640560	164984	Patti Fisher
640560	213502	Ma Klapper
640560	216469	Hotline Caller
640560	262261	Debbie
640560	266698	Marcey
640560	283104	Woman Guest
640560	287728	Miss Daniels
640560	288702	Chi Chi Consuela
640560	288703	Herself - Audience Member
640560	288705	Herself/Various Characters
640560	288714	Herself/Various Characters
640560	288719	Herself
640560	292146	Herself
640560	329954	Mrs. Bratesman
640560	339019	Tourist Mom
640560	340320	Annie Herman
640560	380313	Katie's Mom
640560	382072	Phoebe
640560	386201	Patsy Wickett
640560	401174	Abigail MacIntyre
640560	404083	Mrs. Quick (1997-2000)
640560	404337	Various (1981-1985)
640561	164467	Various voices
640563	81770	JoAnne Chadway
640563	291222	Theater Girl #1
640563	304650	Shelly
640564	245033	Lady Delamere
640565	144246	Andrea-Hagar
640565	192704	
640565	313622	Shannon
640567	80305	
640567	102880	
640568	11420	Aunt Katie
640569	159571	Herself
640570	366735	Dancer
640571	267010	Bishop's sister
640572	7195	Accident Bystander
640573	13836	Marcy Malone
640573	363560	Daisy
640574	243803	
640575	37682	Bistro Patron
640576	185589	Girl in club
640577	58893	
640578	17064	
640579	33449	Frau des Polizisten
640579	240004	
640579	290037	Anita
640579	317271	Heike Fuchs
640579	317272	Heike Fuchs
640579	334538	Maria Helmer
640579	352567	
640579	356742	
640579	389361	Heike Schäfer
640579	400873	Edda Wendel
640579	404478	Eva Hausmann
640580	14620	
640580	30071	
640580	31665	
640580	34700	
640580	36571	
640580	220165	
640581	390523	Miss Dyson (2002-2003)
640581	395929	Herself - Traveler
640582	31392	
640582	325847	Ursula Sivetzki
640583	337612	Jessica Dale
640584	295606	Marita
640585	12576	Luise Erdmann
640585	17321	
640585	98252	
640585	122775	Nurse Hertrud
640585	143514	Mother-in-Law
640585	156616	Mrs. Potter
640585	172608	
640585	180970	
640585	189631	Irene
640585	204464	Mrs. Poynter
640585	218965	Norberts Mutter
640585	225201	Housekeeper
640585	236039	Mutter Felicitas
640585	246963	
640585	271751	Frau Klawuttke
640585	294840	Prostitute
640585	325489	Frau Möhlmann
640585	325640	Susanne Knabe
640585	325825	Herta Simon
640585	325826	Ilona Gruber
640585	325905	Harrys Mutter
640585	332826	
640585	358520	
640585	361404	
640585	374549	
640585	376579	Frau, die Kleider hergiebt
640585	390701	Mathilde
640585	404496	Frieda
640586	204497	Frl. Behr, Sekretärin
640587	387397	Iris
640587	409609	Susanne "Suse" Golz (1991)
640588	10160	The French Maid
640589	92044	Agathe
640589	108901	Mélanie
640590	141226	Young Amanda
640590	206595	Child Martha Stewart
640591	407055	Herself
640592	231997	Dancer
640593	107347	Girl in a group of friends
640594	211042	
640595	292773	
640596	372967	Nurse
640596	403084	Lisa (1992-1993)
640597	307459	
640598	398842	Romina
640598	401358	Felicitas
640599	82728	Nina Moor
640600	83277	
640600	96172	Zuira
640601	59314	Frau Klemme
640601	126844	
640601	144174	
640601	204516	Lo Hermann
640601	225663	Frau Rosen
640601	389119	Waltarut Steininger (1994-)
640601	405753	Kaethe Huber
640601	407324	Mama Kaiser (1996)
640602	344815	(segment "Vida Nova Por Acaso
640603	196387	Colleague
640604	24021	Tanja
640604	107761	Young baroness
640604	119247	
640604	209992	
640604	214178	Frau Grote
640604	265402	Schülerin
640604	290489	Alice
640604	312872	Elsa Johannson
640604	352072	
640604	381428	Bäuerin Banz
640604	389959	
640605	325852	Tanja
640605	368910	Mrs. Keefer
640606	63663	Second Family of Buyers
640607	194898	Herself
640608	63663	Second Family of Buyers
640609	7219	JUDr. Vera Donátová
640609	17327	Anita Karenová, majitelka kon
640609	88138	Rossa Valetti
640609	131019	Mme. Benoit
640609	162196	Zpevacka Lola
640609	166420	
640609	178507	Lily Hanusová
640609	179584	
640609	182310	Vera
640609	261208	Tonicka
640609	261375	Bela, governess
640609	265338	Lucette Aubin
640609	266347	Vera Machová
640609	266533	Manka
640609	277209	Mlle Marie Antonovna Skvoznik
640609	280512	Queen
640609	283976	Slávka
640609	284484	Slávka Smídová
640609	339310	Aluska Králová
640609	373492	Marie alias Mimi
640611	18962	Herself
640612	11525	Reporter
640613	374039	Stephanie Martin
640614	168675	Woman
640615	231396	Rachel
640616	313583	Eulogy Audience
640617	329021	Mrs. Galagen, Mikita's Wife
640618	304623	Diamond Manners
640619	138316	
640619	241955	Hecuba
640619	283355	Marine Leader, Miner #5
640619	369466	
640620	278855	Hall Marshall
640621	170966	Cheerleader "S"
640622	53323	Ready to Have Sex Girl's Frie
640622	128135	Mindy
640622	215508	Pam
640622	242938	Girl Student
640622	401894	Mary Cherry
640622	410877	Lauren (2003-)
640623	88687	
640623	162296	Irith Katz
640623	193080	Maya
640623	201961	
640623	306275	
640624	177119	Louise
640625	372372	Yvette Fox
640626	133431	
640626	371539	Taybele
640627	206015	Wendy
640628	131692	Players and Voices in Opera S
640629	86032	
640629	156304	Mary
640630	93416	Sister Gertrud
640630	272754	
640631	143724	
640632	301032	
640633	216864	Lisa
640634	5664	
640634	11387	Elisabeth
640634	18350	Martha
640634	23890	Barfrau
640634	124998	Jackie
640634	178455	
640634	225192	
640634	233174	Elsa Konrad
640634	281655	Mrs. Gotschlich
640634	308259	Dr. Schwind
640634	325493	Wilhelmine
640634	325568	Wilhelmine Klemm
640634	325601	Wilhelmine Klemm
640634	325755	Staatsanwältin Wilhelmine Kle
640634	325805	Wilhelmine Klemm
640634	352198	Wanda
640634	377356	Dr. Winkelmann
640634	381689	Paula
640635	30674	Dunkle Frau
640635	121064	
640635	150517	
640635	235002	
640636	53825	Aurora Twinkles
640636	67242	Jane
640636	79341	Snooks
640636	109061	Emily
640636	245849	
640636	333096	Amelia Welwyn
640636	355094	Elizabeth
640636	355095	Elizabeth
640636	365058	
640638	411435	Gina (1999)
640639	81652	
640639	108340	Kathleen
640639	113547	Chloe
640639	159993	Kathy
640639	195810	The Driver
640639	235511	Missy
640639	274258	
640639	348229	Laurie Pierce
640640	173089	Birthday Party Guest
640641	238601	News Reporter
640642	324567	
640643	237700	Eliasova, Danko's mother
640644	51256	
640644	84756	
640644	166420	
640644	216790	Tonicka
640644	225889	
640644	225968	Mája Malínská
640644	226158	Madame Tachecí
640644	252226	Albína
640644	266533	Hancí
640644	333807	Eva
640644	334264	Asta Vieland, aka Mana Novako
640644	339250	Vdova Olga Kvácková
640644	341631	Marie, his wife
640644	373414	Ella Horská
640645	107717	
640646	107717	
640647	89045	Zuzia
640647	95699	
640647	95897	Wanda
640647	115837	Lusia
640647	179200	Lulu Bilska
640647	179643	
640647	181361	Manya Dervanski
640647	225603	
640647	231658	
640647	237443	Mother
640647	248349	
640647	251148	Violetta Bellami
640647	255635	Lodzia Paczkowna
640647	279656	Irena
640647	316436	Jadwiga
640647	322038	Hanka Doboszanka
640647	323285	Krysia Wilczynska
640647	367105	Wandzia Karsnicka
640647	373975	Helenka Roliczówna
640647	374231	Room Owner
640648	346726	Woman in Train Station
640649	129960	Jane Box
640649	212738	Colleen's Mother
640650	33742	Grace
640650	79450	Hair Braider
640650	253474	
640650	397270	Herself
640651	382414	Herself (Host) (1999-)
640651	387725	Programleder
640651	390671	Host
640651	403076	Programleder (1996-1999)
640651	405912	Programleder (2002 -) (host)
640652	80441	Elizabeth
640653	159164	Arab
640654	24898	Jeanine Léone
640654	60274	Pretty servant #2
640654	217639	
640655	358835	Shushing Lady
640656	161473	Lore Segal's mother
640657	111747	Besoffenes Babe 1
640658	390812	Svenja Götz (2002)
640659	34288	Anne Burrow
640659	129743	Richterin
640660	11816	
640661	23230	
640661	91025	Kirsten
640661	129506	Frau Häberle
640661	160600	
640661	179607	Eva Duden
640661	202785	Anne
640661	225652	Kathrin
640661	238883	Sabine
640661	325611	Ute Schesslitz
640661	325644	Sonja Ropers
640661	352665	Corinna Schramm
640661	361032	Gundula Meier
640661	367181	Maren
640661	378172	Ulrike Reich
640662	195331	Herself
640663	258389	
640664	126863	
640665	17102	Alegra
640666	31473	
640666	174920	Maryuma
640667	47836	Hettie Karlsson
640667	109293	Gerd
640667	115883	Kristina
640667	136404	Theatre actress
640667	137975	Reform school pupil
640667	242946	Majsan
640667	303647	Blenda from Kujala
640667	315361	Waitress at Wiland's dinner
640667	340434	Dancing young woman
640667	377435	Doris
640668	134267	
640669	109137	
640669	237072	Victoria, Mørchs datter
640670	359049	Mutter von Kevin
640671	307766	
640672	39037	Liza
640673	245315	Herself
640674	325604	
640674	387736	Erika Boysen
640674	406321	
640675	225254	
640675	390812	Sybille Vogler (1993)
640675	396874	Svenja Gerster (# 1)
640675	402046	
640675	410497	POM Carmen Dewitz (2001-2003)
640676	1587	
640676	22634	Ginette
640676	33116	Hella Berger
640676	42198	
640676	98263	Liane
640676	102969	Trixi
640676	121070	Conchita
640676	123945	Grace Harman
640676	124413	Leila Smith
640676	125314	Armande
640676	129711	Helga Thorwald
640676	134249	
640676	156059	
640676	175055	Anna Damby
640676	178538	Maria Borchert
640676	187678	Lore
640676	188821	Irene Darrandt
640676	189839	Sally
640676	200977	Anna Weigelt
640676	209978	
640676	225151	Marion von Hoff
640676	254372	
640676	281253	Princess Rea
640676	282199	Katrin
640676	293863	Margaret Reedle
640676	306509	Katrin
640676	308223	Giacinta
640676	322512	
640676	325574	Dagmar Freidank
640676	326020	
640676	326047	Dagmar Lackner
640676	338392	
640676	364926	
640676	369136	Gussy
640676	379858	
640676	386977	Marion Faerber
640676	393576	
640676	396755	Jane Conway
640676	401434	Else Sattmann
640677	23399	
640677	251554	
640677	281372	Abby Trent
640677	331849	
640678	93870	Slave girl #1
640679	113152	Pussey
640679	406255	Guest Appearance
640680	285992	
640681	98966	
640681	288274	
640682	13203	
640682	21675	
640682	204670	Rosina
640682	247563	
640682	292969	
640682	310391	Elvira Cimmaruta
640682	347073	
640683	399657	
640684	94711	Geisha
640685	94711	Geisha
640686	101904	
640687	218333	Docteur Gauthier
640688	282102	
640689	158419	Interviewer
640690	217228	La grand-mère maternelle
640691	243756	
640692	362080	
640693	12037	
640693	380587	La 'mère' d'Angers
640694	158102	Chorus
640695	38021	Joyce (Eric's Sercetary)
640695	300917	Attractive Woman
640696	223940	John's Sister
640697	383584	Young Francisca
640697	387804	Eneida
640698	101897	
640699	7580	
640699	344105	Pettite 2
640700	381963	Herself (featured singer)
640700	403058	Regular performer (1953-1954)
640700	406897	Herself/Co-Host
640701	23769	Eva Christian
640701	46008	
640701	91911	Mme Troude
640701	136974	La camérière
640701	146427	La religieuse
640701	409440	
640701	410473	Mme Bourdier
640702	191394	Katherine
640702	396088	Wendy Hayes (1977-1978)
640703	39404	Hooker
640704	13353	Margaret, the maid [Chs.1,5-7
640704	13354	Margaret, the maid
640705	57858	Tisbe
640706	45842	Waitress at Bar None
640707	92742	Mai'im
640709	68238	Mom
640710	12341	Maid
640710	38854	Maid
640710	39803	Miss Sheen
640710	51495	Mrs.Briggs
640710	53207	The Matron
640710	62088	
640710	112596	Mrs. Peacock
640710	124688	Miss Darnton
640710	146190	Maid
640710	150641	Mrs.Harkness
640710	154938	Miss Harriman
640710	177394	
640710	188292	Perkins, a Maid
640710	196874	Mrs. Jackson
640710	200859	Miss Warburton
640710	202992	Maid
640710	203091	Vicar's Wife
640710	210715	Painter
640710	211428	Charlotte Hawkins
640710	211565	Zoe
640710	215991	
640710	263460	Mrs.Bancroft
640710	264040	Miss Wren
640710	270476	Mrs. Hanway
640710	274394	Mrs. Crank
640710	284030	Secretary
640710	288425	One of The Three Graces
640710	294194	Mrs. Spurge
640710	297946	Mme. Piccard
640710	300086	
640710	319273	Secretary
640710	330702	Mrs. Foyle
640710	335648	Mrs. Runcorn
640710	340406	Lady Thumpeter
640710	358879	Mme. Fouchett
640710	362093	
640710	364638	Mrs. Tippett
640711	232389	Florence
640712	50199	Woman
640713	42779	Old Woman
640714	240386	
640715	86292	Amy
640715	317536	Jody
640715	328078	Molly Jamison
640715	349859	Lindy
640715	362650	Spike
640715	404720	Holly Wheeler (first episode)
640716	407055	Herself
640717	255009	School Hall Piano Player
640717	266623	Judy Cirlin
640717	303882	Rose
640718	62536	Joan
640718	165964	Lucy
640718	230151	Caroline Schumacher
640718	301551	Elaine
640718	396088	Stacy Corby (1971-1972)
640718	396937	Joanna Huffman Baker
640719	8366	Sister Anne
640719	57380	Nadine Reitower
640719	63139	Micki
640719	109832	Judge Harriot Richardson
640719	118725	Mrs. Ashton
640719	124463	Mom
640719	137449	Fiona Sullivan
640719	143074	Kathy (Shelter)
640719	192634	Grade 9 Teacher
640719	204243	
640719	206087	Molly
640719	272661	Georgia Mae
640719	299202	Edna Buggit
640719	323570	Mrs. Crowley
640719	345847	Nancy Rossi
640719	346139	Nurse Thompson
640719	358652	Barbara Pearson
640719	361229	Airport Passenger
640719	362860	Barbara Stone
640719	363550	
640719	399429	Prosecutor Elaine Jeffers
640719	409830	Christine Thompson
640720	72576	Party Guest
640721	394967	Aarti Patel Virani
640722	272604	Marjorie
640723	24252	
640723	181013	
640723	181014	
640724	55551	Julie Jordan
640724	104943	Girl at Ontario
640724	192503	Miss Selfridge
640724	310684	Lenore
640725	264541	Ward Doctor
640725	347687	Expert Child Psychiatrist
640726	78318	Bus Stop Woman
640727	242113	Alitalia Flight Attendant
640727	374285	Mrs. Jones
640728	175253	Shweta Patel
640729	389844	Claire
640730	261740	Pedigreed Bitch
640730	303455	Cocktail Party Guest
640730	385719	Victoria Winters Clark (Bradf
640730	387309	Betsy Brown (1963)
640731	130556	
640732	67790	Dandy
640733	221095	Daisy, club desk-clerk
640733	359100	Maud
640734	115206	Ida
640735	223380	Nurse At Door
640737	330280	Jo (aged 8)
640738	105884	Nancy
640738	304006	Gang Girl
640738	378825	Series Regular
640739	367054	The Wiz Singers Children's Ch
640739	393424	Additional voices/Backup sing
640740	11934	
640740	14341	Madame Blanc
640740	52012	Braduelle
640740	57079	Olga
640740	73140	Juge d'instruction Annie Fava
640740	84634	Une lavandière
640740	107245	La femme de Mathias
640740	108220	Mathilde
640740	110108	Myriam
640740	111012	Yolande
640740	111016	Mathilde
640740	111084	Florence
640740	116358	
640740	125741	
640740	156317	
640740	199564	Admitting Nurse
640740	199717	Mado
640740	200954	Butcher
640740	202090	La voisine d'en face
640740	205617	Léa
640740	205647	La cousine de Ben
640740	208209	Coco
640740	257043	Suzanne
640740	268463	Jeanie Caroff
640740	287954	Mathilde
640740	326148	La prostituée
640740	327293	Cathy
640740	336302	Leïla, Benjamin's girlfriend
640740	346554	Capitaine Nadia Samir
640740	353917	
640741	9088	Molly Ryan
640741	90154	
640741	177023	Kahara
640741	285035	
640741	380713	Bonnie McKechnie (2001-)
640743	247143	Girl Friend
640743	400525	Joanie MacRoberts
640744	175795	Party Girl
640744	189248	Mrs. Reynolds
640744	301933	Nan Coslaw
640744	305087	Mrs. Ballinger
640744	339363	Bobby Joyce Evans
640744	380713	Ginny Hopkins (1978)
640745	20625	Extra
640746	389088	Waitress
640747	365344	Make-Up Woman
640748	330280	Debbie (aged 8)
640749	87863	Jeune femme de l'hotel
640750	245889	Dorothy
640751	384546	Trainer
640751	388088	Herself - Correspondent
640751	403549	Herself
640751	404614	Red team captain
640752	80585	Skivvie Girl #2
640753	17152	Anaethstist
640753	87333	Gemma
640753	298087	Pole Dancer
640754	53650	
640754	233352	
640755	3372	
640755	22187	Herself
640755	82046	
640755	248523	
640755	366020	Lounge Singer
640756	187800	
640757	152173	Philosopher
640758	244482	Maykata na Radka
640759	393717	
640760	40749	
640761	126197	
640761	223473	
640761	259629	Stephanie
640761	300189	Monika
640761	346038	
640761	347585	Christophs Freundin
640761	359502	
640761	379779	Caroline Baer
640761	389942	
640761	392633	Mareike
640761	399177	Manuela 'Molle' Brendel (# 1)
640761	408216	Host (Januar 1998 - ????)
640762	399175	Sabine
640763	104275	
640764	399175	
640765	33134	
640765	239131	
640765	376577	
640766	118823	
640766	302305	Herself
640767	174974	
640768	333120	Person of the Night
640769	5488	Young Melora
640769	86716	Delfina
640769	401967	
640769	402345	Young Syd
640770	292955	
640771	46852	Julie's Mother
640771	131753	Sue
640771	244352	
640771	247124	Miriam Breen
640771	365311	Barmaid
640773	75914	Sister Claire
640773	130756	La fille
640773	157071	Colette
640773	169312	
640773	224872	Josephine
640773	276505	Jeanette
640773	340143	Marie-Ange Rougemont
640773	345290	Lutétia, Young Woman
640773	409799	Maria
640774	111074	
640775	88137	
640775	354325	
640775	357329	
640775	408862	
640776	135407	Maid/Sarah
640776	245345	Celeste
640776	272728	Rose
640776	316957	Reporter
640776	340823	Role: Debbie the Crackhead Mo
640776	403998	Amy Jo Schrader a.k.a. Spicy 
640777	376036	
640778	324686	
640779	377409	Journalist
640780	403791	
640781	18746	Theresa
640781	24332	Mamsell Westfalen
640781	29343	Marga
640781	47390	Ada Fenske
640781	62937	
640781	65097	Claires Mutter
640781	94000	Anna Göhler
640781	108182	Gerda Raban
640781	134785	Elisabeth
640781	170696	
640781	173961	
640781	189563	Generalin
640781	189741	Urgroßmutter
640781	211697	Magdalena
640781	226403	LPG-Vorsitzende
640781	230167	Lotte Landgraf
640781	231479	Perl Goldstein
640781	259620	
640781	259695	
640781	352262	Frau Patzig
640781	386220	Oma Lina
640781	389817	Maria Pleisner
640781	393408	Anna Quangel
640781	410774	Miss Wirsing
640782	191479	
640783	136720	3. Norn
640784	222467	Hilde
640785	261076	
640785	348185	
640786	225019	Cristina
640786	380102	Amada Briceño/Verónica
640786	387536	Elena aka. Helen
640786	395861	Ambar Castillo
640786	401438	Octavia/Diana
640786	401693	
640786	404703	Vilma Altamirano
640786	405473	Sirena
640787	335639	
640787	390523	Miss Gillie Washington (1985)
640787	391291	Rosa Goldenstein
640788	353273	Dee Dee
640789	157682	
640789	180002	
640790	8926	Campbell
640790	391247	Jo Weston/Rowan (1995-1998)
640791	136444	Bárvendég
640792	406433	Herself
640793	330562	Sköterska London
640794	439	
640794	1510	
640794	11847	Kinoangestellte (Cinema emplo
640794	42623	Plättbrett
640794	98120	Gabriele Schwarz
640794	98357	
640794	98420	
640794	129833	Rita Struutz
640794	129834	Rita Struutz
640794	134986	Angetrunkene
640794	145596	Bäuerin
640794	166170	Martina
640794	181450	Renate
640794	225284	
640794	240004	
640794	259442	
640794	259452	Rosamunde Weigand
640794	259457	
640794	259463	
640794	259503	Rosamunde
640794	259532	Rosamunde Weigand
640794	259540	
640794	259574	Kriminaltechnikerin Rosamunde
640794	259590	Rosamunde
640794	259602	Rosamunde Weigand
640794	259604	Rosamunde
640794	259611	Rosamunde Weigand
640794	259618	Frau Boldt
640794	259631	Rosamunde
640794	259658	Rosamunde
640794	259674	Brigitte Liebenau/Frau Poller
640794	259689	Rosamunde Weigand
640794	290037	Moni
640794	290724	Viola
640794	325780	
640794	338385	Anette
640794	356733	Caroline
640794	356735	Caroline Stubbe
640794	356736	Caroline Stubbe
640794	356737	Caroline Stubbe
640794	356739	Caroline Stubbe
640794	356740	Caroline Stubbe
640794	356742	Caroline Stubbe
640794	356743	Caroline
640794	356744	Caroline Stubbe
640794	381694	Rosalies Mutter
640794	392669	Frau Grosser
640795	83744	Principal
640795	215520	Nurit
640795	405009	Various
640795	405010	Shira
640796	299226	
640797	23110	Landlady
640797	31915	Eve Mankow
640797	43234	Kellnerin
640797	82419	
640797	276607	Krankenschwester Claudia
640797	332834	Female Barkeeper
640797	366392	Amélie
640798	274069	Susie Leeds
640799	55785	Mary Jane
640800	194066	Herself (foreign corresponden
640801	177194	
640801	353070	
640801	361007	Xenia
640801	361428	Pinky
640802	121038	
640802	325675	Ina Lenz
640802	376446	
640802	406321	
640803	322122	
640804	17864	Jane
640805	19522	Fiakermilli
640805	20145	Zerbinetta
640805	31967	Beatrice di Tenda
640805	71438	Fiordiligi
640805	90077	Donna Anna
640805	101744	Konstanze
640805	153737	Gretel
640805	191041	Linda
640805	204651	Manon Lescaut
640805	278312	Gilda
640805	338617	Violetta Valéry
640805	374129	Königin der Nacht
640806	28225	
640806	58206	Bolebruchová
640806	93600	Hanka Tapajová
640806	173695	Rybanská
640806	180521	
640806	305819	
640808	396625	
640809	180026	
640810	115269	Women Coalation Diner Patron
640811	108087	Dancer
640812	149724	Girl in Car
640813	391739	
640814	390959	Herself
640815	191416	Turista Nordica
640815	212313	
640815	235934	
640816	5622	Junge Verkäuferin
640817	98800	Cricket Spectator
640818	8909	
640818	8910	Ayse
640818	21984	
640818	24806	
640818	63796	
640818	79477	
640818	89464	
640818	89467	
640818	136707	
640818	136744	
640818	136777	
640818	136911	Ayse Hanim/Müfettis
640818	136913	
640818	138611	
640818	155169	
640818	227238	
640818	275757	
640818	284810	
640818	296419	Gülbahar
640818	322558	
640818	336419	
640818	377570	
640818	404976	
640818	406893	Dursun
640819	233454	
640820	177377	
640821	404967	Danne
640822	6946	Pacquita
640823	403651	Tamara
640824	165032	
640825	190823	Jurymedlem
640825	389509	Programleder
640826	92260	Secretary
640826	303563	Mom
640827	119446	
640828	337260	La femme de Saint-Rhémy
640829	12635	Fru Carlsen
640829	140042	Violet
640829	168578	Carlsen's veninde
640829	275257	Ekspeditrice
640830	10331	Roxane dancer
640831	179797	Lea
640832	112880	
640832	324526	Virgine
640832	398042	
640833	60052	Brigitte
640833	106983	La mère
640833	345403	Nelly Fitzpatrick
640834	38769	
640834	48675	
640834	48676	
640834	124413	Anna Smith
640834	134982	Mrs. Bellamy
640834	152769	Die alte Frau
640834	194522	
640834	218983	
640834	225647	Bunny
640834	226264	Frau Pinkoweit
640834	308062	Cook
640834	312107	Frau Lehmann
640834	312872	Frau Iversen
640834	312883	
640834	343487	
640834	343489	
640834	380652	Schari
640834	389959	
640834	406488	
640835	312882	
640835	312890	
640835	312894	
640836	164641	Mourner
640836	294141	Miss Bagley
640837	74247	Renee
640838	36871	Attractive woman with Yorkies
640838	150351	Backyard Family
640839	335880	Der Pizzahaus Girl
640840	42788	Jerry's Bartender
640841	72931	Goodyear Chorus Girl
640842	46363	Break Dancer
640843	212615	
640844	14416	
640844	181484	Tzveta
640844	258812	Lili
640844	325056	Milena
640845	248185	Rita
640846	12265	
640847	72164	
640848	309289	Stranger woman
640849	134763	
640850	7243	
640851	30186	Marketing agency client
640852	121892	
640852	269483	
640852	338717	
640853	4232	
640853	28711	
640854	32542	Natalie
640855	203939	
640856	8047	Schoonmoeder Grietje/Mother-i
640856	40573	
640856	55875	Mere Brenner
640856	57519	
640856	61226	
640856	111093	
640856	328415	La Cognette
640858	117561	Matron
640858	289109	Old French Woman
640858	292856	Photographer
640859	17871	Victor adulte
640860	56071	
640860	74391	
640860	220746	
640860	222187	
640860	234635	
640860	250987	
640860	292964	
640860	295094	
640861	96021	Nathalie Langmann
640861	170452	Josiane
640861	196813	Judith
640861	199572	Louise
640861	229052	La secrétaire de Raveu
640861	254083	Assistante Docteur
640861	284271	L'infirmière
640863	330097	
640864	196441	Theres Thurnau
640865	80667	Herself
640866	304393	Jordemor
640866	354739	Jordmorder
640867	44519	Adoptionsdame
640867	153351	
640867	156249	Merete
640867	165917	Annelise
640867	179531	Charlotte
640867	182623	
640867	203969	Mrs. Olsen
640867	220199	Frk. Baldrian
640867	228396	Ung pige
640867	237156	Varietésangerinde
640867	237407	
640867	249743	Margit, O.C.'s sekretær
640867	252629	Prostitueret
640867	275265	Stuepige
640867	277276	
640867	282597	Alice
640867	395641	
640867	406658	Gerda
640868	34568	Uschi
640869	84085	La fille de la mère en rose
640870	94423	Friedel Schütz
640870	134817	Hilde Hellmer
640870	180872	Dienstmädchen
640871	226244	
640872	66753	
640873	348044	
640873	393360	
640873	406321	
640874	103075	Maria Franziska Aicher
640874	325445	Rita Kirchler
640875	95657	
640875	357264	
640876	378937	Participant (2001)
640877	173383	Vigdis
640878	129570	Ellen Shaw
640879	189727	
640880	282104	Stammgast und Personal Rossin
640881	48592	Art Dealer
640881	163404	Female police officer
640882	344486	Young Girl
640883	123532	Irena
640885	186897	Rock 'n Roll Tänzer/Rock 'n R
640886	288088	
640887	108778	Smuin Ballet/SF Dancer
640888	99208	Esther
640888	252138	Mrs. Gisbourne
640888	328905	Stalin's Mother
640888	385299	Florence Bunkin
640888	408234	
640889	50607	Ruth (Age 9)
640890	365973	Jill Mannering
640891	10175	Herself
640892	190328	Blood Bank Doctor
640892	231090	Bernice Chesick
640893	176561	
640894	176561	
640895	74257	Mary Jarvis, Wife of Arthur
640896	361551	
640897	56386	Little Girl
640898	31828	Teresa, student rebel
640899	30515	
640900	166593	Operasjonssøster
640900	304476	Sykepleiersken
640900	315378	
640900	334256	
640901	390812	Antonia Hinze (2001-)
640902	390812	Antonia Hinze (2001-)
640903	306953	
640904	390812	
640905	249336	
640906	170451	Skater
640907	65764	Rape victim in film
640909	359319	Herself
640910	115649	Mrs. Riffen Raffen
640911	299773	
640912	134511	
640912	174534	
640913	168446	
640914	229574	
640914	349045	
640915	229574	
640915	349045	
640916	128980	
640916	375068	
640917	73479	Marlene
640918	305432	Susanne
640919	136514	Beth
640920	190077	Eva
640920	222784	German Mother
640921	176487	Kid in Park
640922	84962	Girl
640923	34331	Öko 7
640924	33830	
640924	63270	(segment "I budem zhit")
640924	179321	
640924	179903	
640924	234441	
640924	244221	
640924	349083	
640924	349305	
640925	135385	Elizabeth
640926	46383	Crystal
640927	217745	Art History Student
640928	101183	La prostituée
640928	286046	Wanda
640928	290976	
640929	89482	
640929	91509	Krystyna Piterakowa
640929	172825	Madame Rose
640929	178773	Woman who want to see a Mirac
640929	181384	
640929	187641	Tradeswoman
640929	247553	
640929	284352	
640930	181359	Nurse
640931	46281	
640931	77101	Adult Helusia
640931	247626	
640931	266304	Wanda
640931	283826	Masha Mironova
640931	296529	Nika
640931	311599	Ola
640931	313526	Dziwa
640931	349236	Yuliya
640932	110115	
640932	179580	
640932	181583	Wanda
640932	215410	
640932	290064	Elke Volkerts
640932	307081	Vali
640932	311599	Ciamciara's Mother
640932	348705	
640933	191576	Policewoman
640933	198380	
640934	43931	Serena
640935	78887	Waitress
640936	32070	Trumpet Player
640936	245209	Violin player
640937	110548	Herself
640937	387953	Vote presenter
640938	254056	Françoise enfant
640939	65356	Herself
640940	373534	
640941	357107	Vera's Cousin
640942	404870	
640943	389045	Lady Luck (#2) (2002-2003)
640944	391357	Elsie Eriksson
640945	259354	Monica Jörgensson
640945	401774	Monika Jörgensson
640946	350729	
640947	17556	Myagkaya
640947	60550	Lyalya
640947	83162	
640947	216610	
640947	225971	
640947	256725	
640947	334064	
640947	349287	
640948	225827	
640949	162154	Maria
640950	340268	Johanna
640950	395640	Herself - Host
640951	20528	Winged Deadite
640952	142025	Magdalena
640953	6649	Jackie
640954	27181	Truck Stop Band
640955	235404	Teddy
640956	398287	Judita Holubová
640957	36638	
640957	75757	
640957	91912	La Tante
640957	178804	Count's sister
640957	231358	
640957	246948	
640957	341067	
640957	358199	
640957	369009	
640957	375067	Malinowska
640957	375432	
640958	237530	Princess Lina
640959	365450	Laura
640959	394478	Rosa
640960	51214	
640960	74393	Judit
640960	77141	
640960	104791	Diáklány
640960	129506	Fräulein Mendel
640960	148999	Hajnal
640960	163175	
640960	172898	Bori
640960	179607	Alisha Baran
640960	198324	
640960	216422	Bea
640960	233377	Hooker
640960	237168	Voice
640960	281027	Rostás Juli
640960	377819	
640960	377889	Csokonai Lili
640960	405251	Various
640961	52971	Empleada
640961	78550	
640961	169769	
640961	251557	
640961	281289	
640961	287912	
640961	307792	Amiga de Selva
640961	319857	
640961	354839	
640962	66920	
640964	2252	(segment "Teuf d'enfer, La")
640964	11934	
640964	107245	Eva
640965	77101	
640966	182285	Ballet girl
640967	94273	Mona
640967	119463	Journalist
640967	242692	
640967	257413	Eva
640967	274165	Teo's Mother
640967	310387	Paula Klinke
640967	325196	Hannah
640967	388554	Gry
640967	393857	Skinntryta
640968	180928	
640969	164755	
640969	204048	The Blonde Maid
640969	375469	
640970	95946	
640971	14160	Interviewer
640971	289509	Killed Partygoer
640972	242880	Znajda
640973	257147	Magda
640973	375067	Sochowa
640974	158637	Zecke
640975	204300	Girl
640976	97547	Nurse
640976	174880	
640976	266540	Nawrocka
640976	360758	
640977	30497	Girl in Kitchen
640977	212322	
640978	284347	Chairwoman
640979	76126	
640980	112028	Kristy's Friend
640981	290070	Czurda's secretary
640981	408826	Edmund Pratnicki
640982	322025	Felvételizõ
640983	322025	Felvételizõ
640984	15916	Kellnerin Heidelberg
640984	396268	Lilly Grandauer
640984	396874	Marina Kruse #1 (2001)/Hebamm
640985	115382	Woman
640985	122485	Prostitute
640985	224562	Clary
640986	122480	Lady in the doctor's waiting-
640986	137734	Kristina
640986	138520	Friherrinna
640986	155621	Woman
640986	182466	Passenger at 'Saga'
640986	182557	Mia
640986	190668	Warder
640986	197138	Ms. Brune
640986	205498	Actress
640986	209311	Anette, guest at Berns
640986	222474	Mrs. Maria
640986	240312	Miss Kvarnström
640986	248189	Helena Setterqvist
640986	264277	Ulla
640986	322271	Woman at the hairdresser's
640986	341611	American tourist's wife
640986	350397	Woman with a dog
640986	377391	Josefina
640987	14831	
640988	290651	Angie
640988	392503	Verkäuferin
640989	12760	Marianne
640990	281667	
640991	347644	Herself
640991	391693	Herself
640992	379005	Gunilla
640993	395586	Host (spin-off-season)
640994	210031	
640995	290798	Gilda
640995	308246	
640996	48361	Horn Player
640996	94254	Lisa
640996	99613	Sivan
640996	192821	Skådespelerskan som sprutar k
640996	198385	Marotte
640996	322274	Linnéa Kaspersson
640996	341810	Maria Bengtsson
640996	378250	Helen Andersson
640996	391278	Agda
640997	175734	
640998	17413	
640998	26329	Opvasker
640998	42685	Herself - Winner
640998	42686	Herself
640998	64613	Milles mor
640998	64625	Høne, Due m.m.
640998	64643	Herself/Various roles
640998	64647	Herself/Various roles
640998	95757	Andrea
640998	95812	Birthe
640998	136804	Johanne
640998	170829	
640998	198064	Sus
640998	225692	Moren
640998	315388	Maria
640998	344076	
640998	351840	Oskar's mor
640998	381669	Bente
640998	382884	Mathilde Melchior
640998	389594	
640998	390217	Various roles (1990-1992)
640998	391722	Helle
640998	407264	Herself - Actress
640999	17413	
640999	30160	Ester
640999	40817	Hanne
640999	42686	Herself
640999	55172	Carmen
640999	78508	Herself
640999	91510	Annette Berg
640999	101124	Mulle
640999	110408	Anne
640999	134256	Leonora Amalie
640999	153946	Bankass.
640999	169055	
640999	183311	Britt
640999	192822	Judith
640999	213431	Claire
640999	225690	Julie
640999	228404	Kalinka
640999	245794	Judith Molard
640999	247319	Edvarda Mack
640999	252000	Jomfru Sine/Miss Sine
640999	271839	Julie
640999	293705	Mona
640999	302427	Cherie
640999	303656	Astrid
640999	304186	Anita Schulz
640999	309292	Clara Uldahl-Ege
640999	315397	Maibrit
640999	353037	Pedestrian
640999	377408	Herself
640999	394982	Younger Dagmar
640999	399474	Julie Krogh Andersen
640999	407621	Anna Sander (1999)
641000	388419	La jeune fille (segment "L'éc
641001	2297	
641001	11830	
641001	15084	L'actrice du film
641001	23750	Rachel
641001	24825	Herself
641001	33804	Woman in the cemetary
641001	37071	Marie
641001	43680	Juliette Greco
641001	44999	
641001	51378	Herself
641001	54156	
641001	63669	Maroussia
641001	72419	Eponine/Florence
641001	96233	Herself
641001	96237	
641001	99653	Miarka, la gitane
641001	108977	
641001	134045	Singer
641001	148677	Nicky Nistakos
641001	166435	Yvonne Becker
641001	188689	Herself
641001	190910	Flo
641001	202581	Myriam Heller
641001	226910	Maria
641001	232083	Juliette
641001	241979	Dinah
641001	243770	Aglaonice
641001	249035	Vocals
641001	249074	Herself
641001	268979	Thérèse Voise
641001	281532	Minna
641001	285768	
641001	286346	
641001	287595	La fiancée du prestidigitateu
641001	318903	Georgette
641001	344682	
641001	345473	Herself
641001	363624	Lora
641001	381628	Laurence/Stéphanie Hiquet
641001	408189	Herself
641002	314958	Mrs. Nilsson's son
641003	104440	La bonne
641004	51500	Madame Chose
641004	135341	The Ulam Tribe
641004	341850	La dame aux arbres
641004	377478	La première serveuse
641004	381613	Evelyne Mathieu
641004	410628	Ginette Laurin
641004	411623	Marcelle
641005	353840	Estelle
641006	198104	
641007	76038	La serveuse
641007	198341	
641008	379595	Madame Caux
641009	44382	
641009	80148	
641009	101894	Sofía
641009	103853	
641009	103972	
641009	116599	
641009	183161	Angustias
641009	204822	
641009	222391	
641009	244610	
641009	252551	Charito, la vecina de Luci
641009	332941	
641009	351835	
641009	353178	
641009	371679	
641009	376843	
641009	377084	
641009	383816	
641010	230149	Travestie aux bananes
641011	11952	
641011	13553	Annie
641011	15088	Marianne
641011	18258	
641011	23757	Mlle Deleu, l'infirmière
641011	25169	La commissaire divisionnaire
641011	36669	Angélique
641011	51406	Simone
641011	66742	Feng shui 1
641011	71952	Zanon
641011	96229	Adèle
641011	107835	Constance's Friend
641011	108895	La bonne
641011	200934	Mlle Clément
641011	200965	La nourrice
641011	204913	
641011	243151	La Jeanne
641011	268444	Marguerite
641011	290440	Tante Clarisse
641011	306953	
641011	336976	Madame Da Silva
641011	338003	La journaliste
641011	343557	
641011	345420	
641011	345441	Graziella
641011	345444	L'infirmière
641011	353428	Monique
641011	354646	Marthe
641011	356362	Mathilde
641011	376580	Marie-Louise
641011	377069	La pompiste (segment "Station
641011	379805	La reine
641011	380380	Maia
641011	401328	Various characters
641011	402885	Zoé
641011	408719	Mme Thuir
641011	409446	Mitzi Goldberg
641012	220752	La marquise
641013	43390	Anne-Marie
641013	119383	L'attachée bancaire
641014	264231	Terinka
641016	17079	
641017	28178	Miss Betty
641017	62819	
641017	97083	Millie
641017	110118	
641017	113253	
641017	124324	
641017	125874	Paulette Gerrard
641017	210915	L'américaine
641017	214127	Vanda
641017	217836	
641017	243034	Miss Bruce
641017	337732	
641017	337744	
641018	125418	Laufey
641019	256878	Disko blondi
641020	38635	Maria Berger
641020	42184	Katharina Dorn
641020	49284	
641020	50146	Frau Siebert
641020	82162	Renate
641020	102389	Franziska
641020	103068	Minna
641020	104843	Betty Lienau
641020	113027	Eva/Kristina
641020	115983	
641020	124606	
641020	126375	Jutta Huth (segment "Die Prüf
641020	142202	Else Botmer
641020	153713	Susette Gontard
641020	155460	Deutsches Mädchen
641020	162597	Margot Kunze
641020	164817	Nadja Adler
641020	218972	Katharina Dorn
641020	218980	Katharina
641020	236828	Frau Berger
641020	258772	Sophie
641020	259469	Annemarie
641020	259484	
641020	259524	
641020	259529	Monika Franz
641020	259534	Marianne Bohnke
641020	259557	Marlies
641020	259669	Frau Henrich
641020	288377	Katharina Dorn
641020	290741	Katharina Dorn
641020	312884	Monika Bauer
641020	316534	Claudia Everts
641020	325418	Frau Wiedemann
641020	325579	Lea Richter
641020	334522	Katharina Dorn
641020	347581	Katharina Dorn
641020	352772	
641020	352876	Liesel Klamm
641020	361530	Brigitte
641020	375979	
641020	376192	Gerlinde
641020	380396	Constanze von Weyers
641020	391605	
641020	392616	Katharina Krüger-Warschowski
641020	392669	Marion Wagner
641020	395511	Anwältin Isenthal
641020	396639	Frau Unkelbach
641020	409609	Frl. Conradi (1994-)
641021	168387	
641021	354260	Pentti's mistress
641022	380069	Konttoripäällikkö
641023	209064	Ragni
641023	228405	Johannes's mother
641023	268326	
641023	278686	Hooker
641024	48368	Wedding Guest
641024	130070	Martha Åkerblom, Gustav's wif
641024	153911	Bettan's Friend
641024	175352	Stoll-Inga
641024	252190	Lina, Rulle's home help
641024	261616	Maerta
641024	289212	Vera
641024	341091	Lisa
641024	390231	Martha Åkerblom
641024	403084	Syster hanna (1998)
641025	325525	Anne Kern
641026	187563	Ms. Gustavsson
641028	380892	Miner
641029	205499	Wife of Probation Officer
641029	412047	Valles' wife
641030	188934	Jonna
641030	237239	Herself
641030	403393	Sihteeri Hilke
641031	24171	Beatrice
641031	102501	Karin Månsdotter
641031	178478	The Naked Girl with the Soup
641031	200402	Anders' Girlfriend
641032	251987	Ballet teacher
641033	144054	Third Ms. Salminen
641034	233243	Marjatta Salminen
641035	349945	Hilkka
641036	129179	Daughter of Sören and Boel
641037	129179	Daughter of Sören and Boel
641038	104771	Swedish entry (3rd place)
641038	210359	Herself
641038	210361	Herself
641038	397396	Herself
641039	167228	La mère de Julien
641040	115882	Girl at Los Caracoles
641040	204532	Model
641040	245803	
641040	304425	
641040	377419	Greta Fridman
641041	359217	Sheila
641041	388646	Flygofficers hustru
641042	192659	Guest at celebrity party
641043	98313	Kim Jacobsen
641043	105968	Lena
641043	122588	Julia Winter
641043	125116	Janina
641043	141962	Heidi
641043	142036	Marie
641043	145347	Sandra Massmann
641043	190867	Lilly
641043	392669	
641044	225735	Vera
641045	51295	Gerda
641046	44584	Helens datter
641046	174069	Vigdis
641046	174719	Ilona
641046	401773	Ingegerd Augustson
641047	181314	Lise
641048	21379	Hanne
641048	153343	
641048	178007	Første dame
641048	237077	
641048	322683	Erna
641049	99193	Margit, Elis kusine
641050	149877	Cecil
641050	233284	Bitten Hjort
641050	333617	Tintomara
641050	342938	Dr. Elsa Branchauer
641050	365465	
641051	404786	
641052	240112	Gudrun
641052	240113	
641052	245619	Jorunn
641052	248173	Sekretær
641052	304182	Ingrid Hagen
641052	307244	Barbro
641052	395375	Erna Finbråten
641053	20419	
641053	98068	Hanni
641053	98320	kranke Frau
641053	107748	
641053	144167	Fräulein Osterloh
641053	156635	Sabine Behrmann
641053	168964	Eleonore
641053	177915	Anja
641053	181352	
641053	193462	Susanne
641053	205716	
641053	246122	Judith
641053	253937	Sabine
641053	259175	Lisei
641053	281727	Betty Summers
641053	290577	Carola Nowack
641053	290594	Frau Störz
641053	308805	Evi
641053	313786	Herself
641053	324949	Carla
641053	325388	Angelica Wagner
641053	325511	Ariane Plessing
641053	325552	Sylvia
641053	325617	Barbara Ratzmann
641053	325706	Christina
641053	325799	Ruth Steinemann
641053	355237	Thörunn
641053	385680	Victoria Vollmer
641053	388169	Silvia
641053	389957	Sybil
641053	392086	
641053	404483	Carola Nowack
641053	404488	Dr. Katarina Gessner
641053	405817	Isolde Bergheimer
641053	407213	Sophie
641053	409441	Helga
641053	412199	Victoria Vollmer
641054	189547	Sophie
641055	95277	
641055	119247	
641055	119659	
641055	218977	Frau Reschke
641055	325502	Irmgard
641056	12206	Seamstress
641056	163078	
641056	237757	Street Dog
641056	360960	
641057	290628	Fritzi
641058	315437	Piera bambina
641058	326049	Minka
641058	376297	
641058	388623	
641059	16240	Jacqueline Pohl
641059	119139	Gesine Schmidt
641059	170129	Fabienne
641059	188772	
641059	208204	Fiona Jones
641059	230179	Inge
641059	277458	Junge Frau
641059	289943	
641059	290628	Renée
641059	325779	Hella Küpper
641060	90070	Donna Anna (Soprano)
641061	138956	Kellnerin
641062	376315	Mädi
641063	147507	Ilse
641063	207151	Lucia
641064	14293	Rosa
641064	303945	Gentleman
641065	33218	
641066	95272	Mrs. Fristedt, mayor's wife
641066	159672	
641066	270494	Silvercloo-Dammel
641067	335040	
641068	119197	
641068	147186	Model
641069	141940	
641070	29556	Principal
641071	117862	Vaskehjelpen
641071	147208	Inger
641071	174069	Partifunksjonæren
641072	186897	Rock 'n Roll Tänzer/Rock 'n R
641073	14163	Mrs. Vronsky
641073	24459	Mother Steyer
641073	35025	
641073	37507	
641073	54461	Mrs. Haasvelt
641073	56044	Mrs. Leuchtag (Carl's immigra
641073	57099	Grandmother Rudetzki
641073	62911	
641073	70299	Martha Lorry
641073	78185	Mrs. Steiner
641073	83920	Aunt Klara
641073	83957	Frau Brahms
641073	92411	Frau Regierer
641073	103102	
641073	108193	
641073	112279	
641073	113452	Augustine,die Köchin
641073	117545	German Wife
641073	120214	Mrs. Pfeiffer
641073	125120	The mother
641073	126402	
641073	133807	Pauline's Duenna
641073	134830	
641073	137649	
641073	139836	
641073	155306	Aunt Sophie
641073	166767	
641073	170118	
641073	177689	Anna
641073	183672	Eine Wirtin
641073	188547	Ticket Taker
641073	197210	
641073	199017	
641073	199318	Seamstress
641073	207749	
641073	210315	
641073	221133	Old woman
641073	222672	Mom
641073	251279	Mrs. Polanski
641073	251810	Aase
641073	254430	Baronin/Baroness
641073	266009	
641073	272915	Fran
641073	275677	Frau Schmidt
641073	275855	Mattie
641073	280790	Die alte comtesse
641073	281804	Frau Flamm
641073	282187	
641073	289910	Anna
641073	316070	Middle-class woman
641073	327585	Frau Mueller
641073	330030	Anna
641073	330797	Mrs. Twardofsky
641073	332554	
641073	346262	Frau Franken
641073	351936	
641073	352551	
641073	361318	
641073	368245	Mrs. Rogers
641073	376390	
641073	376487	
641074	188736	Eliane
641075	132255	
641076	307211	Margrethe Jacobsen
641077	263013	Sandra
641078	187720	
641079	111676	
641080	9526	
641080	42118	Frau Raab
641080	86972	
641080	94317	Aunt Ilse
641080	107768	
641080	111414	Oma
641080	156739	Leni Wallner
641080	165122	
641080	186945	Mutter
641080	187683	
641080	217205	
641080	222372	Frau Vejvoda
641080	225738	Kathi
641080	282051	
641080	301048	Alte Nane
641080	303730	
641080	304195	Alte dame
641080	325903	Frau Kofler
641080	336572	
641081	23893	Azucar
641082	147134	The Girl
641082	304947	
641084	164467	Various voices
641085	379810	
641086	290122	
641086	322500	Dancer
641087	320	The girl on the bike
641088	93484	Zilly Bauer
641089	125168	
641089	210113	Burger-Lies
641089	344390	
641090	235851	Mrs. Wadd
641091	268781	
641092	209893	
641093	260359	Herself
641094	77498	Lu Yuanfeng
641095	111210	Luo Ling
641095	251108	Kang's Wife
641096	77550	Qiao Meng
641096	167834	Queen Mother
641096	372987	Fang Ming
641096	374760	Gong Lan
641097	251108	Kang Nanny
641098	149011	Aunt
641099	90563	
641099	151895	Mrs. Gao (Mom)
641099	151947	Xia Qing-Lan (Yu-Lian's mothe
641099	167383	Wan as Old Woman
641099	167765	Mrs. Chan
641099	236233	
641099	268699	Madam Kao
641099	279632	Xiaojie Zhenkongnu (Miss Vacu
641099	359005	Mrs. Shu (Xiao-Zhi's mother)
641099	370484	
641099	370812	Wei's Mother
641099	371577	Madame Liang
641100	12913	
641100	51369	Angelica
641100	147705	
641100	191209	
641100	200833	Evekina
641100	247984	
641100	296737	Maura Parish
641100	316803	Selvaggia
641100	328321	Maria
641100	338341	
641100	397408	Caterina/Isabel
641100	409093	Daniela
641101	391847	Stella Maris
641102	175246	Mara
641103	357189	
641104	33810	Narrator (English language)
641104	40660	Margaret O'Neill
641104	49855	Librarian
641104	72557	Tattooist
641104	74731	Helen Holloway, the Doctor
641104	87418	Kardon
641104	117707	Patient No. 2
641104	120248	Maine Nurse
641104	130867	Angela Wright
641104	144593	Hospital Administrator
641104	150793	
641104	168634	Nurse
641104	192157	Helen Olander
641104	201311	Denice
641104	223896	Conservative Debater
641104	276198	Lydia Stolowitsky
641104	277795	Donna Fontana
641104	304797	Sister Rosaria
641104	312264	
641104	342018	Allison Campbell
641104	346408	Postal Supervisor
641104	360465	Beryl Granger
641104	363982	Narrator
641104	399153	Elaine Usher
641104	399153	Jeanne Miltan
641104	399153	Mrs. Ivana Althaus
641104	399153	Mrs. Perry Porter Jerome
641104	399153	Viola Duday
641104	406621	Jenna Freeman
641105	233012	
641106	227579	
641106	254982	
641106	394791	Mayumi
641108	8276	
641108	77268	
641108	115754	
641108	131970	
641108	135285	
641108	193309	
641108	265147	
641108	322249	
641108	369443	Claudia, la víctima
641108	376726	
641108	387773	
641108	397198	
641109	84053	
641110	294346	
641111	100787	
641112	56244	
641113	43757	Une pensionnaire (segment "Fe
641114	253592	
641115	214808	La danseuse
641116	93282	Lisa
641117	276303	
641118	57384	Noota's mate
641118	337163	Mrs. Green
641118	351669	
641118	356636	Tammy
641119	331597	Field Reporter
641119	380015	Reporter (199?-1997)
641119	392858	Herself - Reporter (1997-)
641120	235779	Matilda the Prostitute
641121	35530	Cha Cha
641122	239948	Maria
641122	384711	Linda Flor de Linhares
641122	388681	
641122	398501	Paula 'Paulinha' Arruda
641124	129036	
641125	4564	
641125	189861	Herself
641125	290126	
641125	290473	
641126	74907	
641127	20912	Elaine Harper
641127	70679	Pilar, Ramón's Mother
641127	111995	
641127	132470	Elisa
641127	201993	Rosita
641127	246950	Executive
641127	327084	
641127	334666	Madre Aina
641127	384972	Montse Borràs
641127	392032	
641127	399506	Empar Castells
641127	404715	Dolors
641128	409092	
641129	40657	Marleen
641129	194074	Mary
641130	137163	Li Yan
641131	191497	
641131	304478	Desiree
641132	218141	Xiao-Hua
641133	7303	
641133	221142	
641133	396410	
641133	396411	
641134	18288	Grand-mère Melissa
641135	132955	Mère Supérieure
641136	377014	
641137	256682	
641138	103884	
641138	204993	girl-friend
641139	168133	
641140	87185	
641141	111798	Paul's Sister
641141	267426	Young Waitress
641142	46410	Minister at Funeral
641143	401812	Heidi
641144	51991	Patch
641145	11412	Marion
641145	11648	Diana
641145	17964	Ava
641145	64424	Elizabeth Ferrer
641145	68011	'Porpentine' Girl
641145	76945	Miss Glaistow
641145	77201	Elizabeth Fitzgerald
641145	115597	Ava
641145	129913	Claire Worsfold, Colin's wife
641145	205555	Maria Marten
641145	213318	Hermia
641145	280447	Reen
641145	327431	Miranda
641145	334352	Prue Ramsay
641145	347716	Cordelia Gray
641145	384485	Vicky (1990)
641145	385095	Edith Holden
641145	385191	Lauren Marshall
641145	391254	Liz Booth
641145	391978	Jan Woolley (1999)
641145	395529	Lady Bissop
641145	396623	Barbara Farrington
641145	397752	Maggie Tulliver
641145	403377	Phoenix
641145	403635	Reen
641145	404409	India Wilkes
641146	167874	Passager du traineau
641147	334014	
641148	205540	Female Pharmacist
641148	318298	
641148	386882	Julia
641149	100385	
641150	225263	
641151	145246	Claudia
641152	317817	
641153	3396	
641153	9786	
641153	19499	
641153	21671	
641153	21695	
641153	47754	
641153	68588	
641153	70141	
641153	74614	
641153	76116	
641153	81485	Host
641153	85567	
641153	113204	
641153	121963	
641153	124536	
641153	148128	Lucia Castillano
641153	160083	
641153	160652	Lisa
641153	167801	
641153	169749	
641153	186597	
641153	199001	
641153	207649	
641153	221672	Cristina
641153	221742	
641153	221898	
641153	251724	Rosa
641153	253380	
641153	256802	
641153	267049	Querida
641153	267409	Pura
641153	275280	Monica
641153	277380	
641153	294629	
641153	318236	
641153	328610	Isabel Martinez
641153	337579	
641153	357542	
641153	380059	Herself
641153	380963	Flor del Huerto
641153	390461	
641153	397883	Ximena Aranda
641153	402190	Cristina
641153	404736	
641153	404869	Carmen
641153	409017	Estela
641154	20828	Germaine
641155	140901	Woman on Phone
641155	199164	Rosie
641155	400236	Gloria Mundy (1990)
641156	288939	Mother
641157	4913	Esposa
641157	9721	
641157	21075	Enfermera/Nurse
641157	57253	Farmaceútica
641157	59811	Profesora
641157	63868	Realizadora
641157	70853	Puta
641157	141760	Enfermera
641157	160837	Puta
641157	170278	God
641157	221908	
641157	227566	Ejecutiva
641157	249910	Periodista Barajas #2
641157	307125	
641157	307635	Amiga
641157	318298	Deborah
641157	322407	Actriz de culebrón
641157	332594	Andrea
641157	379566	Maths Teacher
641157	383235	
641157	384734	
641157	384852	
641157	396770	
641157	401248	
641157	409960	Mónica 'Moneypenny' Castro Ga
641158	307784	
641158	357909	
641159	27305	
641159	90055	
641159	258340	
641160	64226	
641160	263985	La bonne
641161	113655	Ticket Seller
641162	16857	
641162	30508	
641162	119077	
641163	92041	
641164	7543	
641166	243466	
641166	275089	
641166	292705	
641166	307213	
641167	54016	
641167	90973	
641167	157329	Giorgetta
641167	287121	
641168	229869	Lisa
641169	67839	
641169	128001	Ornella
641169	352231	Margherita Farnese
641169	378643	Jenny Sunley
641169	384342	Cristina
641169	385779	Agnes
641170	163008	Teresa
641171	343611	Tia Romona
641172	347464	
641173	496	
641173	3466	
641173	5000	
641173	14637	
641173	14797	
641173	28748	
641173	30341	Mujer rubia en fiesta
641173	51810	
641173	53615	
641173	53649	
641173	55089	
641173	55926	
641173	61148	
641173	67011	
641173	67366	Sra. Zetina
641173	70688	
641173	74606	
641173	80109	
641173	96272	
641173	101808	
641173	103431	
641173	121977	
641173	128930	
641173	131058	
641173	134492	Beatriz
641173	146515	Rosa
641173	162797	Carmen, madre de Mariana
641173	169636	
641173	171461	Soledad
641173	193492	
641173	202217	
641173	204276	Eduviges, paciente
641173	211167	
641173	213705	Mike's mother
641173	214820	
641173	221754	
641173	221959	
641173	221967	
641173	221976	
641173	224996	Adultera
641173	225552	
641173	227296	
641173	236419	
641173	249851	
641173	268501	
641173	272566	
641173	274656	
641173	277401	
641173	277408	
641173	301186	
641173	307816	
641173	307817	
641173	319733	Mama de Silvia
641173	332943	
641173	336177	
641173	339113	
641173	339125	
641173	339129	
641173	357909	
641173	376813	Sara
641173	385369	
641173	395856	
641173	406859	
641173	409289	Carolina
641173	411710	
641174	383328	Mirella (child)
641174	384118	Bruna (1999-2000)
641174	389889	(2000-2002)
641174	404888	Young Lígia
641175	95432	Kiki
641176	19487	
641176	103504	
641176	171370	
641176	209028	
641176	225039	
641176	233767	
641176	340408	
641177	105451	
641178	305411	Herself
641179	59151	Orchestra Member
641179	223084	Rosario
641180	323792	Herself - Musician (trumpet/p
641181	66945	Eddie
641182	351565	
641183	34937	Taft Woman #1
641184	80273	Mylène
641185	2204	Maggie Moreno
641185	59316	
641185	132247	Daisy
641185	380000	Alicia (2003)
641185	391344	Maria, the Maid
641185	402812	Olivia
641186	99614	
641187	270083	Ghisèle
641187	298768	
641187	389304	Carmelle Maltais
641188	94738	
641189	112699	Make-up girl
641190	178050	Frida
641191	326318	María Ester
641191	379652	
641191	380126	Morgana
641191	380535	Elena Vergara
641191	382543	
641191	386170	Flavia Medrano
641191	388278	Paula
641191	391418	
641191	396389	Hortencia
641191	401096	Amelia Soto
641191	402463	
641191	403686	Elena Montaner de Sulivan
641191	404292	Lucrecia
641191	406852	Luisa Lineros
641191	408180	Ivana Gabor
641191	412183	Eugenia
641192	63730	
641192	230077	Rosa
641192	270840	
641193	53017	Pastora
641194	3025	
641194	59974	
641194	60428	
641194	60699	
641194	82785	
641194	124846	
641194	186246	
641194	228883	(segment Teoretik)
641194	229179	Caroline
641194	253644	
641194	255779	Polina
641194	258665	
641194	303349	
641194	306068	Kupava
641194	306103	
641194	309439	
641194	322102	Olga Janina
641194	356420	Soniya
641194	356421	Soniya
641194	356422	Soniya
641194	356423	Sonya
641194	356424	Sonya
641194	356927	Chernova
641194	357663	
641194	374427	
641194	374779	
641194	374785	
641194	377807	
641195	255498	
641196	300047	Bit Part
641196	381514	Herself (1999)
641196	387210	Herself (1998-1999)
641197	230024	Frances
641197	314779	Waitress 2
641197	327240	Helen
641197	405639	Alison
641197	407667	Tilda
641198	366099	Hula dancer
641199	405439	Herself
641200	100148	Amber
641201	188126	Lukash's Mother
641202	374132	Second Lady
641203	14223	Operator
641203	26666	Questioning Bride
641203	30952	Debutante
641203	38340	Vigilante
641203	53822	Det. Jamie Gold
641203	72509	Laura's Friend
641203	126572	
641203	129772	the Larson Baby
641203	132181	Grace
641203	192488	Liv
641203	209526	Gina Distefano
641203	279022	Maid of honor
641204	202029	
641204	294156	
641205	353236	Boutique Owner
641206	82102	Aptekarka
641206	343973	
641206	350252	
641206	374062	Zamestnik direktorkata na uch
641207	336554	
641208	279755	Party Guest
641209	385485	
641209	401634	
641210	33575	Hélène
641210	69974	La voix
641210	135545	Hedwige
641211	333314	
641212	113286	Rogue
641213	59729	Sketch Model
641214	355190	
641215	24084	Iris Mehltreter
641215	108551	
641215	142053	
641216	168958	La vendeuse du grand magasin
641217	258437	
641217	263669	
641218	23704	French Girl
641218	43188	
641218	136599	Solange
641218	172898	Márta
641218	253781	
641218	256983	
641218	284356	Magda
641218	307146	Emmi
641218	322211	Mária Drechsel
641219	19792	
641219	98184	Stewardess
641220	270691	Adolfo's daughter
641221	192726	Rachel
641222	405476	Natalie
641223	308910	
641224	81697	
641225	19501	
641225	193637	Ametvisto
641225	208948	
641225	309059	
641225	344266	Dali
641225	352283	Mrs. Geurqovi
641226	163845	
641226	172431	
641226	352283	
641226	357424	
641227	194876	Celeste
641227	213963	Housewife
641228	32879	
641228	217163	Talat
641229	118527	Herself
641229	335606	Herself
641230	79127	
641230	228868	
641230	297317	Rani
641231	4158	Kanhaiya
641231	4187	Nisha's daughter
641231	15166	Young Sunita
641231	126948	Seeta's daughter
641231	160559	
641231	181110	
641231	183318	
641231	226680	
641231	268122	Usha
641231	286844	Guddu (Roma)
641231	309783	
641232	145502	Conchita
641233	177178	
641233	361405	
641234	28458	Elisabeth
641234	74682	
641235	384656	Anchor/reporter
641236	198834	Marge
641237	16878	Martha
641237	292573	Valerie
641238	5717	New Girl (A Soft Touch)
641238	46421	Sybilla
641238	385307	Dianna Urvill
641238	407414	Kitty McIvor
641239	195400	Janie
641239	411245	Francine (episode 2: Just Fri
641240	104309	Mother
641241	194332	Dancer
641241	218180	#1 Party Babe Hybrid
641241	366070	Dancer
641242	162134	Susan
641243	60449	
641244	113207	
641244	124229	
641244	357706	
641245	8360	Solveig
641246	355237	Vieille femme 2
641247	140283	Musician
641248	315597	Tinna
641249	50977	Barba's stepsister
641250	132431	Mrs. Lundmark
641250	182570	Prästen
641251	328839	Nancy
641252	133309	Herself: 2:a violin (Orkester
641253	387963	Carro
641254	120305	Lægens Assistent
641255	110247	Jewel
641255	125367	
641255	183209	Bediende
641256	255009	Tahu
641257	361518	
641258	387601	Cast - Semi Finalist
641259	74259	Dancer
641260	2645	
641260	57751	Tu m'tues
641260	214028	
641260	275634	Lucy
641261	13062	
641261	83501	
641261	164349	
641261	277376	
641262	2814	
641262	60519	Pauline
641262	91458	Janine Pasquier
641262	153886	Lisette de Brinon
641262	206057	Juliette
641262	216226	
641262	248251	Monique (segment "Succession 
641262	248423	
641262	252424	Marie-Chantal de Bellencourt
641262	275310	
641262	284257	Mme Desmoulins (segment "Anné
641262	353941	Nicole
641262	382195	Lisette
641262	384029	Héloïse Tison
641262	392602	Florine
641262	393397	
641262	397192	
641262	400051	
641262	401816	La visiteuse de l'appartement
641262	402177	Clarisse
641262	406196	Mme Camusot
641262	409457	
641262	409537	
641262	412165	Mme Le Trez (segment "Intrus,
641263	290083	Lorna
641264	351269	(segment "Você é Linda")
641265	273765	Bride/Young Girl
641266	393713	Herself/Apresentadora
641267	82296	Virgínia
641267	100729	Matilde
641267	122597	Anka
641267	134209	Ondervraagster
641267	176679	Ana
641267	205438	Woman - Shadow
641267	222162	A Directora da Vanity
641267	237385	Brothel girl #3
641267	251917	Maria Inácia
641267	269054	Maria Ester
641267	275021	
641267	276059	
641267	278614	
641267	379823	
641267	403232	Pureza
641267	410189	
641268	265213	
641268	385522	
641268	386123	Kênia
641268	386142	Bianca
641268	393006	Paula
641268	396610	Luana (1997)/Flávia (2001-200
641268	400097	Pinky
641268	402626	Irina
641268	409347	Stella
641269	149504	Mrs. Joana
641269	381328	Dona Ambrosina dos Santos
641269	384992	Madalena
641269	388398	Zeni
641269	396628	Elza
641269	398501	Matilde Martins viúva de Andr
641269	402456	
641269	402927	
641269	410104	Loretta
641270	20070	Child
641271	23731	Leila
641271	64223	Madame Pabst
641271	88697	La mère de Sonia
641271	100431	Aïcha
641271	102001	Sarah
641271	111094	La Concierge
641271	132763	Odette Castelli
641271	132856	Sarah Zecri
641271	208219	Voisine Camille
641271	268972	Suzanne
641271	307473	Madame Schwarzkopff
641271	346788	
641271	354588	
641271	379801	Esther Zober
641271	395269	
641272	17110	
641272	110216	Dame Jing
641273	2252	(segment "Affreux, bêtes et t
641273	46006	
641273	63779	Valérie
641273	87494	Anna
641273	111780	Claire
641273	132770	Martine
641273	186192	Marie Charlet
641273	197325	Sylvie Hastier
641273	200973	Nouchi
641273	206008	Éléonore
641273	286896	La soubrette
641273	345033	La jeune ouvrière
641273	346557	
641273	355333	Dany
641273	356990	Alice
641273	383864	Louise jeune
641273	386282	Bimbo
641273	387328	
641273	406027	Souris Noire
641274	269742	Marie as a child
641274	294567	La riche
641275	403474	Jeune Fille
641276	50021	Herself
641277	10704	Musician 4
641278	77869	Comédienne
641278	186192	Femme de ménage
641278	199524	Girl in Bandages
641278	336453	Béatrice
641278	353846	Waitress in Bar
641279	376971	Madame Le Garrec
641280	258313	Un élève de la 4e techno
641281	213155	David's mother
641282	398501	Cecília
641283	188509	Computer Operator #2
641284	323073	
641285	20135	(segment "Les Boréades")
641286	294796	Invitée d'Alice
641287	379450	Dadá
641288	198970	La femme du marchand de voitu
641289	201178	Farida, la soeur
641290	98423	Child
641291	158189	Onlooker
641292	46932	
641293	53860	Woman behind the window (1996
641294	149753	Adrienne
641295	104222	
641296	240243	Selma
641297	128685	Herself
641297	177494	Nidia
641297	282686	Nidia
641297	318841	Nidia
641297	320141	Nidia
641297	369203	Nidia
641297	369207	Herself
641297	369208	Nidia
641297	369209	Nidia
641297	369217	Nidia
641297	369218	Herself
641297	369221	Nidia
641297	369233	Nidia
641297	369234	Herself
641297	402907	Nidia (2001-2002, 2004-)
641297	408643	Herself (2001)
641297	411537	Nidia (2002-2004)
641297	411545	Nidia (2001-2004)
641298	52760	
641298	67025	
641298	166370	A student
641299	265939	
641299	351352	
641300	131197	Madame Sacchardi
641301	332947	
641302	249749	Mireille
641303	240954	Herself/Dancer
641303	240956	Dancer
641303	333548	Dancer
641303	333551	Dancer/Singer
641304	2645	
641304	52012	
641304	108895	
641304	159198	
641304	280530	
641304	326148	La fliquette
641304	345441	Catherine
641304	346755	Marion
641304	392910	Yvette Creton
641305	96834	
641307	96225	Jane
641308	347640	Webers' Twin Daughter
641309	88841	
641310	347640	Webers' Twin Daughter
641311	98423	
641312	41814	Allison
641313	220790	Extra
641314	88841	
641315	308263	
641316	98292	Andrea
641318	131780	Judy Hill (10 Yrs)
641319	2928	Candy
641319	121858	Other Waitress
641319	168254	Sandy Beaches
641319	317438	Rosie
641319	372261	Girl In Restaurant
641320	43941	Cleaner
641321	98831	Ice Cream Girl
641322	94386	Rachida
641323	346432	Malika
641323	401680	Aicha (2004)
641324	60052	
641324	70158	Solange
641324	139545	Sylvie Gazelle
641324	159198	La passagère
641324	408885	Avocat 9
641325	228155	
641327	9002	Florentine
641327	67248	Client
641327	68326	Judith
641327	71812	Liliane
641327	101511	Soeur Agnès
641327	228155	
641327	330984	Alice
641327	354911	
641328	140658	Brooke's Daughter
641329	134639	Herself - Archeologist
641330	120507	Dori
641330	309858	Polyneisan Woman
641331	392780	
641332	381455	Reporter
641333	279611	Miss Falkland
641334	279611	Miss Falkland
641334	288050	
641334	384962	
641334	402197	Barbara Fields (1982)
641335	344524	Herself
641336	234414	Denisse
641337	246510	
641338	150157	
641338	411609	Herself
641339	383116	La Petite Voix
641340	83335	La jeune fille
641342	10283	
641343	212157	La Femme du président
641343	399756	L'infirmière
641344	83157	Françoise
641344	178252	
641346	6469	
641346	57714	
641346	57715	
641346	66081	
641346	74378	
641346	91399	
641346	133062	La madre
641346	212367	
641346	262602	
641347	45899	Extra: bus
641348	245481	Himself
641349	45899	Extra: city centre
641350	269488	
641351	96500	Commessa centro commerciale
641351	269496	
641352	386479	
641353	216879	Impatient Woman
641354	17621	Young Lorraine
641354	386726	Chola
641354	392747	Prostitute
641354	396610	Afrodite (1997)
641355	6440	
641355	19443	
641355	37911	
641355	49726	
641355	51521	
641355	51546	
641355	51720	
641355	51902	
641355	61866	(segment "Compadres, Los")
641355	64969	
641355	65501	Escobedo's Wife
641355	68588	
641355	68793	
641355	69296	
641355	72378	
641355	73464	Mercedes
641355	78570	Colorada
641355	91317	
641355	96377	Luisa Castelar
641355	99798	Felipa
641355	100404	Isabel Salas
641355	100436	
641355	100521	Maruca
641355	103042	Ulysses' mother
641355	103995	Gloria Revirado
641355	107704	B.G. Alvarez
641355	121306	
641355	157157	Bernarda Cutino/La Caponera
641355	169749	
641355	177765	
641355	180750	
641355	193189	Uncredited bit
641355	202731	Host
641355	202842	Susana Gomez, mama de Paquito
641355	213408	
641355	217308	
641355	219315	Leonora
641355	219853	Marta Camargo
641355	225591	Sra. Gayosso
641355	234263	Lilia Montero
641355	243617	Fifi
641355	243687	Amalia
641355	247462	Yolanda
641355	251729	Dolores Preciado
641355	253292	
641355	253293	
641355	253370	Olga
641355	264264	Julia
641355	267408	
641355	275070	La Jaira
641355	276976	
641355	284899	Norma
641355	286422	Almendrita
641355	287202	Rossana
641355	287773	Concha
641355	288732	Ana Luisa Guzman
641355	293362	Peronila Quesada
641355	294519	Alicia
641355	294972	
641355	301166	
641355	302981	
641355	302983	
641355	308462	
641355	317670	
641355	326345	Lorena Salamanca
641355	351615	
641355	355814	
641355	358625	Yrena
641355	373951	
641355	376782	
641355	379552	Alina
641355	383568	Marina Villareal
641355	384982	Magda
641355	393801	Magali
641355	395856	
641355	397463	Miranda de Montesinos
641355	398486	Mabel
641355	399806	
641355	405281	Virginia
641355	409908	Ricarda del Alamo
641355	411660	
641356	63866	Malena
641356	134437	Madre de Iván
641356	379210	
641356	379252	Francisca Undurraga
641356	380074	Fernanda Valdés
641356	380126	
641356	380535	Silvana
641356	386170	Maribel Menchaca
641356	386555	Guacolda
641356	387475	Myriam
641356	389589	
641356	401096	Sofía
641356	401634	
641356	402463	
641356	404292	Paula
641356	408562	
641357	14369	
641358	216449	Teatro Actor (Actress)
641359	16508	Bete
641360	275312	D. Leonor
641360	307758	Maria
641361	1415	Julia
641361	104077	Minha Irmã Criança
641361	135275	Teresa
641361	337865	Bianca
641361	380531	Maria
641361	396610	Marcela
641362	71287	Cuban Friend #3
641363	8602	
641363	63983	Mujer Club
641363	74380	
641363	74498	
641363	376871	
641364	123150	
641365	396810	Júlia
641366	260222	The Stoker
641367	249774	
641368	318265	Reportera
641369	57682	Herself
641369	97026	Julie
641369	177481	Jackie
641369	255234	Meche
641369	293744	Suzette Quintanilla
641369	380000	Gordie
641369	388808	Jackie
641369	411789	Host
641370	150054	
641370	328630	Biker Bitch
641371	333695	Marília's Sister
641371	402504	Rita da Silva
641372	287908	Elia
641372	408859	Lupe
641373	291436	Zadie
641374	219326	
641374	247107	
641374	250607	
641375	335192	
641376	83518	
641377	17377	
641377	74376	
641377	104135	Pedro's Mother
641377	121327	
641377	135286	
641377	146436	La Reine
641377	188011	Maria
641377	202014	Office manager
641377	261191	Mother of Jacinto
641377	284580	Maria do Carmo
641377	403232	Seição
641377	403250	
641377	409423	
641378	17003	Narrator
641379	127976	
641379	243701	Marta da bambina
641379	353637	
641380	114873	Dancer: Escuela Flamenca Mati
641381	182412	Jose's Aunt
641382	73114	Maxi
641383	385401	Recepcionista
641384	355120	Beggar
641385	288912	His wife
641386	104778	Portuguese Entry (22nd place)
641387	310073	Dancer
641388	79185	
641388	100729	Customs Woman
641388	155551	Woman in Roundabout
641389	404002	Ramona Gonzalez, R. N. (1975-
641390	14778	
641390	136304	
641390	260517	
641391	64957	
641392	18999	Dancer
641393	403747	
641394	20625	Extra
641395	21630	Coach
641396	368897	Muse
641397	55188	
641398	404652	
641399	160	Daughter in clinic
641399	235875	La secrétaire
641399	336936	
641400	207929	
641401	28589	Maria
641401	202549	Neighbour
641401	219586	
641401	390489	
641401	395906	
641401	407906	
641401	409422	Ofélia
641402	68915	1st Worker
641403	204841	
641403	385023	
641404	387838	Nina
641405	44216	Balada
641406	254999	Zélia
641407	101831	
641408	127619	
641409	222162	Gémea I
641409	269538	
641410	205460	(segment "Papo Amarelo")
641411	336124	
641412	380612	
641412	383561	
641412	388940	
641412	408414	
641413	238881	
641414	337950	
641415	10222	
641415	14938	
641415	20737	Felicidad
641415	25050	Jovita
641415	33967	
641415	53614	(segment "La Tigresa")
641415	54235	
641415	55924	
641415	55945	
641415	55973	
641415	56288	
641415	59776	
641415	64044	
641415	67213	
641415	71194	La Faraona
641415	74582	
641415	74970	
641415	76017	
641415	90223	Cristina Mendez
641415	91173	
641415	99338	
641415	100386	Sra. Arnold
641415	101318	
641415	101604	
641415	103162	
641415	103838	
641415	106306	
641415	125464	
641415	129486	
641415	145163	
641415	150559	
641415	183526	Sen~ora Gomez Sosa
641415	190408	
641415	193027	Valentina
641415	193343	
641415	205711	
641415	205857	
641415	206280	Sra. Pinkerton
641415	207975	
641415	212387	
641415	212494	
641415	216538	
641415	218092	Lucinda
641415	218099	Countess Próspera Huberta
641415	235988	
641415	252554	
641415	274656	
641415	276410	
641415	307242	
641415	307464	
641415	317709	
641415	343619	
641415	352149	
641415	371676	
641415	376655	Caritina Mendez
641415	379904	
641415	398550	
641416	193329	
641417	74645	
641418	52149	Petrita, neighbor
641418	264393	
641419	253308	
641420	12070	Carmen
641420	14648	
641420	18798	
641420	52149	Carmen Ortiz
641420	53338	
641420	55374	Nancy
641420	56130	
641420	68638	Dolores 'Lolita' Garcia Mendo
641420	87082	
641420	94223	Lucia
641420	94592	
641420	103533	
641420	103808	
641420	128447	
641420	132683	Isabel Prados
641420	193348	
641420	197972	
641420	204586	Anita
641420	206991	María Elena
641420	225392	
641420	243709	
641420	277239	
641420	306682	
641420	307814	
641420	376686	
641421	166548	
641421	353646	
641421	396898	Lola
641421	412302	Polita Rios
641422	100423	
641423	52595	
641424	132662	
641425	194129	
641426	74513	
641426	206571	
641426	212469	
641427	352	Lupita
641427	11946	Elena
641427	45044	Luisa
641427	60273	Donna
641427	72372	Bertie Early
641427	95877	Maid
641427	107493	S & M Dancer
641427	231386	Donna the Panties Gal
641427	276682	Inez
641427	297880	Connie
641427	313444	Female ensign
641427	330409	Donna, Cheech's Friend smuggl
641427	335758	Maria
641427	337313	Social worker
641427	365491	Sissy
641427	385594	Nancy (1989-1990)
641427	392427	Marisol Calderon
641428	72877	Gallery Spectator (segment "P
641429	369492	Xanadu Dancer
641430	403868	Herself
641431	30967	Volunteer Bimbo
641431	113773	Beauty
641431	196005	Blonde at Bar
641431	257811	Brynn Tucker
641431	381723	Herself - Reporter/Newsreader
641431	388088	Herself - Co-anchor
641431	399358	Herself - Sideline Reporter (
641431	406230	Herself - Co-host
641431	406952	Francesca Vargas (7/1998-6/19
641431	411146	K.C. Clark
641432	227706	Joyce Proust
641433	90099	
641433	133062	
641433	353604	
641433	378423	
641434	384507	
641435	103965	Striptisera
641436	337950	
641437	51527	
641437	109170	
641437	115862	
641437	307634	
641438	28878	Old Lady
641439	287406	Toni
641440	18361	Margerita
641441	337950	
641442	30418	
641442	317260	Office Worker
641443	181836	Chosen One's Sister
641444	58137	
641444	61141	Nena
641444	74566	
641444	193016	
641445	13434	
641445	13438	Cordelia
641445	13639	Teresa
641445	16808	
641445	64969	
641445	295952	Serena
641445	366236	
641445	396983	Arcadia
641446	411714	Hugo Lombardi's Model #2
641447	148786	
641448	401634	
641449	215691	Miss Texas USA (Semifinalist)
641450	360010	Beautiful woman
641451	59885	Club Dancer #8
641451	397570	Benjamin's voice
641452	339131	(segment "Una de pandereta")
641453	257848	Herself
641453	257859	(segments Thrill Seekers, Bar
641453	314948	Naked girl with boyfriend who
641454	234324	Herself
641454	402154	Herself (2003-)
641454	412126	Herself (2003-)
641455	327551	
641456	2252	(segment "Vertige de l'amour"
641457	43921	
641457	147972	Party Guest
641457	149691	Tasha
641457	182984	Terry
641457	188453	Opening Sequence Girl
641457	405212	Coffee Bean (pilot)
641457	410577	Herself
641458	364281	Extra
641459	203343	Nurse
641460	34050	
641460	52893	
641460	67521	Roberta
641460	110992	Gida
641460	118932	Alice
641460	188594	
641460	193221	Ortensia
641460	229621	
641460	236362	Jill
641460	237532	Muriel
641460	253372	Jill
641460	259294	
641460	279259	Rita
641460	282085	
641460	292969	
641460	348194	
641460	353963	Punaisa
641460	355648	Faustina
641460	397636	Nadia Fedor
641461	14900	
641462	321559	Derby Dancer
641463	254954	Lauretta
641464	96500	Turista
641464	328891	
641465	159740	
641465	312251	
641466	318848	Nadja
641467	80398	Louisa
641467	81319	Glen's mother
641467	81587	Lil
641467	300573	Margo
641468	14567	Guilia
641468	14890	Franca
641468	44604	
641468	46654	Maria
641468	100952	Silvia
641468	104800	La ragazza
641468	111145	Silvia
641468	118147	
641468	148697	Marie
641468	162034	
641468	197618	
641468	223322	Amalia
641468	240275	Monica
641468	251618	Rosy
641468	257019	Amelia
641468	263732	
641468	264240	Natalia
641468	269705	Marta
641468	276499	Carla
641468	289450	
641468	289702	Marianne
641468	294240	Victoria
641468	301371	
641468	314021	
641468	315939	Anna
641468	348128	Berta
641468	351279	Anna
641468	351602	Valeria
641468	379901	Ambra Castelli Leonardi
641468	385067	Costanza
641468	396768	Manon Lescaut
641468	409591	
641469	390773	
641470	300718	
641471	348725	Nurse
641471	354099	Rita/Florence Levasseur
641472	1212	
641472	7528	La mère de Celestino
641472	19201	Mme Suzanne
641472	34390	
641472	59056	Woman III
641472	59213	Une pèlerine
641472	66078	
641472	67037	La vieille dame
641472	69468	Mme Roussel, la grand-mère
641472	70939	
641472	71528	La maman d'Odette
641472	73732	Diane
641472	108895	
641472	110192	Old Lady in Park
641472	111032	Marcel's mother
641472	121413	Mme Dumont
641472	134605	Madame Baudet
641472	153840	La mamie
641472	156292	La mère de Bauman
641472	157070	Gvendoline
641472	157071	Gwendoline
641472	157073	Gwendoline
641472	157074	Gwendoline
641472	157075	Gwendoline
641472	167195	Viviane's mother
641472	175761	La concierge
641472	193227	Wife at accident
641472	198357	Rebecca
641472	205243	
641472	217406	Marie Hervé, veuve Béjard
641472	240293	
641472	240617	Vendeuse de parfums
641472	248055	Mrs. Dumez
641472	248991	Madame Zinyafski
641472	278708	Madame Brisson
641472	282417	Jeanne
641472	291667	
641472	292890	Anne Métayer âgée
641472	306953	Linette
641472	314350	Madame de la
641472	326165	Marguerite
641472	342611	Nina
641472	345292	Mrs. Godette
641472	349481	Angèle
641472	351710	La dame (micro-trottoir)
641472	353898	La Femme aux yeux bleus
641472	356991	Gvendoline
641472	376904	Mère Thérèse
641472	405696	Woman on metro
641472	410215	Louise
641472	411699	Fortune
641473	158873	Girl in pickup truck
641474	47915	Student
641475	53945	Model
641476	83259	La femme de Luc
641476	96054	
641476	171596	
641476	247607	
641476	301657	Joyce Phelps
641476	309980	Dame de la maison de retraite
641476	384386	Nathalie Mercier
641476	387058	Nurse
641477	149923	Waitress
641478	170423	Simone
641478	274802	Concierge
641479	81135	Louise Emilie Charlotte Harma
641480	96329	Lucy
641480	376733	
641480	383291	Chicho (2000-2001)
641480	400661	Teresa María 'Teté' Andrade
641480	406051	Vanina Judith Trunsky
641481	255052	
641481	376145	
641481	397733	Emilia Taylor Monti de Bertie
641481	401250	Eva Pacheco-Güergo
641481	409957	(1999)
641481	412311	
641482	257328	
641483	1506	Ella
641483	64431	Natalia Ullanova
641483	247296	Miss Emily Thomas Scott
641483	388648	
641483	403674	Vinka
641484	17073	Nurse in Street (new movie)
641485	149935	Mabel
641486	171335	Day-Old Bagel Lady
641487	37232	Lenore
641487	80585	Mrs. Benson
641487	175190	Officer Jones
641487	218017	Woman on platform
641488	160580	Woman at Bishops
641489	139068	Technician #2
641489	155859	French Club
641489	272022	Jane Rawlings
641489	274346	Female Reporter
641489	277042	Receptionist
641489	305916	Nicky
641489	316116	Angela Wright
641489	317812	TV Reporter
641489	358479	Danny's receptionist
641489	366983	Jury Foreperson
641490	27153	Model
641491	276546	La danseurse de Salsa
641492	23339	Ashley
641492	303955	Moira Vercoe
641492	405209	Nurse Mallory Price (1999)
641493	147796	Herself
641493	292223	Blonde in Diner
641494	2626	Kanye West Street Walker
641494	5428	Alexis
641494	157737	Tara
641494	202387	Party girl at house screaming
641494	309550	Girlfriend
641494	321268	Charmaine
641494	321275	Masonia
641495	34737	Blond Model ('Country House' 
641495	34748	
641495	112124	Herself
641495	116869	Herself - Interviewee
641495	208477	Model
641495	246506	Herself
641495	257587	Herself
641495	257609	
641495	296997	Herself
641495	341522	Sexy Neighbour
641495	343882	Herself
641495	392469	Herself (Series 3)
641495	393562	Presenter
641495	393563	Presenter
641495	402210	Herself
641496	132912	Michelle Montanius
641497	510	Subaru
641497	511	Narumi/Additional Voices
641497	516	Subaru
641497	517	Subaru
641497	68268	
641497	68269	
641497	78785	Lin
641497	92059	
641497	102034	Zera
641497	104298	Ellia the Dancer, Xel'lotath
641497	123154	Mihoko
641497	127119	Redneck Girl, Ghost Girl
641497	129209	Eiji, Additional Voices
641497	133114	Tio/Selene/Client's Daughter
641497	201373	Etna
641497	208486	Sophia/Queen/Aurora Lee
641497	211948	Mei Ling
641497	211950	Mei Ling
641497	211951	Mei Ling
641497	211953	Mei Ling
641497	211954	Mei Ling
641497	211955	Mei Ling
641497	215178	Annika
641497	230700	Mai Chan, Jen Chi
641497	272651	Trailer PA
641497	275033	Mayu Amakura
641497	298302	Hookers #3, Vietnamese Soldie
641497	321957	Lian Xing
641497	323889	Tabatha/Martel
641497	378651	Subaru
641497	389791	Teacher, Student
641497	389870	Fumi
641497	394016	Additional Voices
641498	387312	
641499	392597	
641500	22665	Lorene Hess
641500	245605	Rosa
641501	9124	Woman with Baby
641501	14152	Mrs. Dorset
641501	80782	Nadine Weston
641501	92112	Policewoman
641501	154516	Student Nurse
641501	185735	Stahr's secretary
641501	236982	Lawyer #1
641501	245436	
641501	259221	Anchor person
641501	363946	Caryanne
641501	365979	Nicole Annaud
641502	79059	Spilled Beer Girl
641502	400566	Adventure Girl
641503	169991	P.A. announcer
641504	65568	Herself
641505	133728	Charkie's Water Ballet Perfor
641506	385299	Julia Fleming
641507	2169	Fred
641507	167103	Mercedes
641507	254316	La DJ en vinyl
641507	269127	La prostituée
641507	284666	Ebène
641507	357852	Isabelle
641508	101233	Preening Woman
641509	48971	
641509	88012	Nanny
641509	236322	Alicia
641509	277788	
641509	386398	
641509	386399	Suor Letizia
641509	386690	Natalina
641509	386691	Natalina
641509	386692	Natalina
641509	386693	Natalina
641511	85901	
641512	65011	Carmen
641512	82585	Laura 'hermana de Beatriz'
641512	354847	Tere
641512	387068	
641512	392352	Lilia
641514	74574	Lita
641514	205396	
641514	353263	Golondrina
641515	89655	Redhead
641515	132470	Noia poma
641515	253277	Grmpf (segment "Spite")
641516	197158	Monja
641517	277242	
641518	385500	Yeya García Pérez
641519	279094	Martha
641520	96335	Sinforosa
641521	55110	Carla's Family #5
641522	396548	Student (ep8)
641523	74624	
641523	76109	La dama del gatito
641523	121774	Amanda
641523	153836	Dra. Pena
641523	169764	
641523	183466	La Muerte
641523	183467	La Muerte (Death)
641523	215589	Mecha
641523	234012	
641523	344124	
641523	379583	Gala Esquivel
641523	386480	
641523	389677	Herself
641523	397254	Host
641523	400661	Asumpta
641524	103119	
641525	52117	
641525	157281	
641526	150602	Denise
641526	363716	Woman on Train
641527	297243	
641528	128952	
641529	247539	
641530	390873	
641531	281547	Alexis Friedman
641532	110154	
641532	184346	
641533	184712	Meng Kerou
641534	217693	
641535	100491	Directress
641536	94238	Little Girl
641537	278024	La Cantatrice
641538	384775	Cristina
641538	405789	Dina
641539	24685	Béatrice Alain
641539	63554	Carole
641540	155738	France Gall
641541	310974	
641542	187615	
641542	353605	
641543	58162	Party Guest
641544	234826	Pige/Girl
641545	273872	Restaurant Patron
641546	351549	Une passagère
641547	316811	Fru Olsen
641548	275253	Krankenschwester
641549	41181	Connie Stanton
641549	139150	Sally
641550	392654	
641551	84625	Aline
641551	132181	Derrick's Mother
641552	104814	
641553	383803	Herself (segment "The Race")
641554	215076	Profesora
641555	25128	Mirabelle
641556	104773	Swiss entry (25th place)
641557	57928	Jerri
641557	148569	Delilah
641557	164716	Megan 'Meg' Harris
641557	167096	T.K. Law/Massie Walsh
641557	167704	Annie
641557	169859	Coco Chavez
641557	196363	Amy
641557	211518	Lily
641557	212623	Leslie Marcus
641557	212687	Bride
641557	220175	Leann
641557	222771	Allison Connors
641557	241871	T.K. Law/Massie Walsh
641557	264761	Mary Beth
641557	274125	Valentina
641557	292015	Emilie Thompson
641557	302329	Lucille
641557	302710	Betty Dark/Hooker
641557	305920	Julia Costello
641557	308316	Rebecca
641557	312150	Ingrid Cortez
641557	312151	Ingrid Cortez
641557	312152	Ingrid Cortez
641557	330670	Norma
641557	340320	Chica Barnfell
641557	359186	Melissa
641557	360670	Violet
641557	361167	Young Roxy
641557	382912	Nan St. George
641557	388237	Sydney St.James (1989-1990)
641557	406177	Ashley Schaeffer (1996)
641558	110274	Marie
641559	270841	Leda
641560	28543	Matilde
641560	344443	Nina Colangeli
641560	349422	
641560	386484	Livia Scalise
641560	386487	Livia Scalise
641561	234988	
641562	162306	Producer
641562	261116	Producer
641563	273872	Pam Stevens
641564	57854	Clorinda, step-sister to Cene
641565	90661	
641566	11804	
641566	16860	Mirella
641567	87039	
641567	213324	Fairy
641567	401011	Paola
641567	408171	Kelly Damianou
641568	14834	Ragazza albergo
641569	409407	Bibi
641570	375880	
641571	285369	Radio Newscaster
641571	332320	Pat
641572	222856	Young Silvia
641573	28771	
641574	74257	Gertrude's Child
641575	2334	Nandita's Mother
641575	4854	Neeli
641575	18386	Jogweswari
641575	20568	Pradyot's mother
641575	27663	
641575	76544	
641575	123550	Maya Gupta
641575	123722	Himi
641575	164722	Ranu Basu
641575	233175	
641575	247004	Moyna
641575	247402	
641576	17063	
641576	58402	
641576	62315	
641576	62648	
641576	82209	
641576	98506	
641576	112258	
641576	124483	
641576	131888	Ramkali
641576	164942	Santoshi
641576	173204	
641576	174841	Pushpavali
641576	226675	
641576	267533	
641576	268121	
641576	286757	Seeta
641576	287371	
641576	287525	
641576	297576	
641576	323340	
641576	324380	
641576	341686	
641576	348919	
641576	351113	
641577	80514	Daisy Donelle
641577	299736	Aska
641578	138972	Lata
641579	88470	Guest Appearance
641580	4268	
641581	394967	Gayatri Jamnadas Virani
641582	412276	
641583	254659	Mendiante
641584	2107	
641585	346912	Cynthia
641586	33569	Audrey
641586	59491	Judge
641586	107743	Andrea
641586	157283	Princess
641586	164167	
641586	166169	La jeune femme du train
641586	200902	Nicole's Secretary
641586	217167	
641586	224894	Odile Pivert
641586	230123	
641586	325976	Female Reporter
641586	346537	Mathilde
641586	383117	La secrétaire radio
641586	383649	
641586	384818	Marie-Antoinette
641586	388944	Hieronyma Pazzi
641587	96043	Esther
641588	14736	
641588	73654	
641589	9838	Sultan
641591	220062	
641592	392364	Bénédicte
641592	397827	Bénédicte
641592	409750	Bénédicte
641593	325343	Old lady
641594	166554	Herself (Jeff's mother)
641594	166555	Herself
641594	166556	Herself
641595	55532	Une prisonnière
641595	73628	La serveuse
641596	81177	Bar Woman 3
641596	155861	Blonde on Boat
641596	169173	Mistress
641596	169174	Lady Jennifer
641596	296785	Jana Calloway
641596	405437	Herself
641596	409399	Theresa Beck
641597	356505	La petite amie de Jackie
641598	350425	Dame Cocktail
641599	208219	Policier femme
641599	278155	Vanessa
641599	302145	Reporter #2
641600	240428	
641601	266946	
641602	80335	Concierge de Pascal
641605	68363	Herself/En personne
641606	346173	Gianni's Daughter
641607	73140	Matonne
641607	309456	Téléphoniste #4
641607	327542	L'infirmière d'Avignon
641607	346656	
641607	357174	
641607	398042	
641607	401329	Repectioniste
641607	404804	Camille
641608	228562	Lisette Benoît
641609	164688	Copian
641610	398053	
641611	206048	
641613	7542	Giorgio Mainardi
641613	25152	Lia
641613	41837	Daniela Anselmi
641613	43159	Marta
641613	56034	Candida
641613	111906	Lia Millozzi
641613	124563	Marietta
641613	158956	Alice
641613	159467	Angela Della Torre
641613	189394	Angela Mancinelli
641613	189395	Luna
641613	189396	Loredana
641613	207081	
641613	209442	Claudia Raselli
641613	214754	
641613	236038	Maria, Sister Immacolata
641613	243192	
641613	251604	Angela Batrucchi
641613	269475	
641613	270800	
641613	270868	
641613	289445	
641613	295042	
641613	307279	
641613	338634	
641613	339446	Michelle
641613	388610	
641614	106822	Voice
641615	386569	Guida
641616	256620	Daughter
641616	398075	Delphine de Custine
641617	3323	Sheena Coleman
641617	51448	
641617	54146	
641617	54300	
641617	55543	
641617	57279	
641617	57310	
641617	67494	
641617	69941	Gisella Bressi, sorella di Pa
641617	86872	
641617	92929	
641617	102396	
641617	102630	Libera Malaguti
641617	127375	
641617	127605	Livilla
641617	129195	Nista
641617	199066	Samara
641617	199996	
641617	212566	
641617	242665	Kary
641617	246429	Athenaïs de Moulinet
641617	263055	Marcella Pinelli
641617	279253	Agnese
641617	294713	
641617	311064	Elena
641617	336607	La mestra
641617	338706	Mary Stark
641617	350251	Lauretta Robert
641617	351513	Christina
641617	351515	Illo
641617	351522	
641618	59685	Aunt Mollie
641619	81644	
641620	317953	A punk
641621	377944	Josette
641622	252337	
641622	267523	
641623	346599	Cliente
641624	127868	Paola
641624	235760	Renata
641625	235760	Cecilia
641626	235760	Belindia
641627	235760	Alfredina
641628	40504	Jessica
641629	109957	Samira
641630	381821	Ensemble (1973)
641631	58041	
641631	270822	
641632	5377	Ascenza
641633	294790	Woods Victim
641634	104121	Misia Triana, the housekeeper
641634	326221	
641634	383335	Antonia Daza
641634	386680	
641634	401098	Juana Torralba (maid)
641634	405866	
641635	48819	
641635	48833	Lina, la sacrificada
641635	61128	Juana, la dactilógrafa
641635	70651	Rosa
641635	124578	Justiniana, la malquerida
641635	202317	
641635	212541	
641635	221551	
641636	392665	Franzella
641637	280129	Señora ecologista 1
641638	77269	
641639	52776	
641639	67012	
641639	168748	
641639	277409	
641639	378799	Zulma
641639	382756	Doctora Guinda
641639	382951	Pamela
641639	398470	Julia
641640	124578	Juanita, la ardilla
641641	131585	
641642	290862	Bambina
641643	127439	
641644	55980	
641644	269468	Angela
641644	310948	
641644	386297	Flora
641645	72973	Signora con cane
641646	230743	Kim at New Line
641647	72706	Judy
641648	167043	Jean Sandtshirt
641649	257670	Herself
641650	255108	
641651	337033	La mère d'Henri
641652	106988	Amélie (6 Years Old)
641653	59264	Fifi
641653	166092	
641654	244034	The Bikini Gang
641655	408658	Laetitia
641656	391621	Herself
641657	12040	
641658	19621	Marguerite
641658	43625	Contractuelle
641658	288893	
641658	345253	La Veillee Actress
641659	88067	
641660	365200	Herself
641661	57031	Tarzana
641661	59149	Baptist Choir Pianist
641661	224430	Tanya Goldikenner
641661	321486	Pam
641662	95553	
641662	116642	
641662	202343	
641662	284244	Betty
641662	408305	Shirley/Sweety
641663	211375	Nicole
641664	38838	Fille sitcom
641665	99798	Lupita (young)
641666	14649	
641666	25069	
641666	27869	
641666	48848	
641666	95025	
641666	96314	
641666	131075	
641666	153827	
641666	162712	
641666	202561	
641666	222418	
641666	236451	
641666	258479	
641666	300736	
641666	320327	
641667	14770	
641667	211048	Especialista 2
641667	249790	Mujer
641668	170035	
641669	135416	
641670	10090	Albertine (40 ans)
641670	51451	Femme en escarpins
641670	54189	Anna O'Neil
641670	71338	Propriétaire
641670	111089	Paulette
641670	220502	Femme aveugle
641670	236609	
641670	292346	
641670	307131	EmCee
641670	307132	Host
641670	353900	Ghislaine
641670	378761	Josiane Hébert-Leblanc
641670	379876	
641670	382196	Femme médecin
641670	383090	
641670	387530	Emma Dauphin
641670	390502	Blanche Von Trieck
641670	398172	Thérèse Bissonnette
641670	400899	Patricia Paradis
641670	403196	
641670	404018	Évelyne Marotte
641670	409444	Élise
641671	135341	The Ulam Tribe
641672	16790	Marie Lebrecque
641672	30064	
641672	32277	Muriel
641672	83274	
641672	83394	
641672	119053	
641672	132888	Questa
641672	163985	Palma
641672	164220	Mrs. Beaupre
641672	208156	Berthe
641672	220405	Une cliente
641672	223263	Marie
641672	237610	
641672	248268	
641672	248580	Narrator
641672	252745	
641672	269041	Hélène
641672	269725	Lady
641672	284196	Rejeanne Padovani
641672	307137	Herself
641672	309739	
641672	327552	Helene
641672	327896	Luce
641672	386092	Claire Trudel
641672	396977	Bernadette Beaulieu
641672	400381	
641672	407807	Georgette Garon-Laflamme (198
641672	411623	Justine Demers
641673	13619	Esther Biddles
641673	59812	Mae Monroe
641673	76212	Martha Grimes
641673	99857	Woman in trouble
641673	134886	Mama Ragetti
641673	135513	Technical Adviser (Charlie's 
641673	151461	Bibi
641673	203077	Ella Trask
641673	241525	Receptionist
641673	272143	
641673	292130	Charlene
641673	355813	Edna Miller
641673	388388	Theresa Fanelli
641673	391498	Mrs. Henderson (1966-1967)
641673	398982	Yetta Rosenberg
641673	399221	Nora
641674	96207	Malou
641674	133053	Fernande
641674	323434	Annette
641674	351827	Crew Person
641675	57289	Madame Pons
641676	57274	Mrs. Martha Knox
641676	200462	Guest
641676	219892	Aunt Jane
641676	241865	Mrs. Wells
641676	245424	Mrs. Jane Grant
641676	285432	Minerva Sawyer
641676	339656	Minnie Archer
641676	361681	Nurses' Supervisor
641676	362358	Mother Worthington
641677	20075	La Méchain
641677	24654	Herself
641677	84641	Biddy Mullins
641677	84666	
641677	107523	
641677	110067	Marthe Schwerdtlein: Gretchen
641677	149191	
641677	268461	La Grand-Mère Moan
641677	268467	
641678	151752	Howard
641679	99860	Physiotherapist
641680	2599	
641680	123708	Diane Barker
641680	126571	
641681	219118	Caller #1
641682	4624	Helen Gray
641682	39671	Marie Antoinette/Lorenza
641682	46013	Merle Davis
641682	118802	Alberta Ames
641682	129093	Helen
641682	191794	Sylvia Graydon
641682	308175	Christy Smith
641682	318036	Molly Hastings
641682	410982	Herself/panelist
641683	198100	
641684	16706	
641684	223394	Mrs. Heywood
641685	318337	Lamaze Instructor
641686	67897	Claire
641687	19139	Lady Standish
641687	363632	Nurse
641688	106306	
641689	76217	Ambassador's Wife
641690	192286	Tim's secretary #2
641691	14063	Herself
641691	138669	Public Defender
641691	380202	Co-Host/Legal Analyst
641691	382563	Herself/Co-Host (2003-)
641691	390334	Legal Commentator (2003-)
641693	17709	Anne
641693	207873	Mireille
641693	350052	
641694	8583	
641694	380120	Tininha
641695	345162	
641696	6392	
641696	59267	
641696	92962	
641696	103207	
641697	31580	Jane
641698	101894	
641699	101894	
641700	24178	L'employée de l'ANPE
641701	68381	
641701	85616	Sylvie
641701	327556	
641702	302220	L'infirmière
641703	2252	(segment "Déshabille-toi que 
641703	19639	Prostituée hôtel
641703	65781	Marie
641703	68367	Rosa
641703	71528	Philippine de Montmirail
641703	82508	Bernadette
641703	83344	Marie
641703	91451	Isabelle
641703	99403	Carmen
641703	101225	Tania Duquesnoy
641703	110215	Brigitte
641703	112205	Burger Assistant
641703	164679	Agathe
641703	198187	Alexandre
641703	211146	Lise
641703	211156	Anna
641703	217640	Catherine (adolescente)
641703	230206	
641703	234148	
641703	258635	Vanessa
641703	261838	Maryel
641703	265699	Magali
641703	345444	Nadine
641703	346730	La jeune prostituée
641703	351252	
641703	376962	Betty
641703	388120	Léa
641704	46935	
641704	63774	Josiane
641704	96198	
641704	240586	Duverget
641705	134593	La Mère
641705	202406	
641705	251007	
641705	336302	Martine, the first assistant 
641705	351863	Infirmière
641705	379801	Elodie
641706	34390	
641706	251007	
641706	324949	Secretary American Consulate
641707	286327	
641708	12366	Mireille
641709	294829	Mozart's Whore
641710	235532	
641711	28871	
641712	346591	Nicole
641713	365113	
641714	45190	La cliente
641715	285201	Lady
641716	269225	
641717	61984	
641717	112812	Courtesan #2
641718	42664	
641720	1662	
641720	16373	
641720	52872	
641720	65195	
641720	90067	
641720	259333	
641720	264245	
641720	270034	
641720	351845	
641721	8619	Dactylo
641722	218541	Lucia
641723	301386	
641724	395892	Co-Host
641725	240429	
641728	34277	Tina
641729	122986	Prima Ballerina
641729	135547	Herself
641729	282985	Herself
641730	166370	A philosophy student
641731	13100	
641733	63553	Inès
641733	94329	Carole
641733	101547	Cécilia
641733	122361	La vendeuse
641733	139682	Prune (Plum)
641733	161663	Florence
641733	201683	Herself
641733	240497	Séverine
641733	376964	Héloïse
641733	377470	Annie
641734	148702	
641735	80065	Sara
641736	5002	
641736	28079	
641736	39686	Nurse
641736	158617	
641736	158672	
641736	181828	
641736	197551	
641736	218914	
641736	234848	
641736	303246	
641736	333582	Milagros
641736	385651	Cory Aquino
641737	149604	Herself
641738	28237	
641738	205640	Claire, l'archéologue
641739	282781	Pierre
641740	284271	Illana à 6 ans
641741	284271	Sarah à 6 ans
641742	268448	
641742	345298	Woman with the baby
641743	124057	Secrétaire de Brunet
641745	392911	Nathalie
641746	351902	Zoé
641747	30186	Telephone operator
641748	293959	Caterina Rosa
641749	6641	Mylène
641750	211917	Elvire Vandensant
641752	20330	Femme notre
641752	150609	Martha
641752	151351	Mamma's Friend
641752	202322	Nurse
641752	236982	Dayroom Woman #6
641752	263755	Ruby
641752	348303	Guard Shay
641752	380031	
641753	124135	Le couple sortant de la boîte
641754	153241	Camille (little girl)
641755	52792	
641756	332238	
641757	177372	
641757	319245	Big Amy
641758	355882	
641759	249905	
641759	334708	
641761	74501	
641762	395895	Hostess (2002)
641762	409310	Herself (2002)
641763	234280	Lisette
641764	234280	Suzette
641765	345319	
641766	214931	Dolores
641767	26700	
641768	254614	Kiki
641769	2110	Roxana
641769	32156	Cathy Wardle
641769	122189	Blue
641769	142302	Helen
641769	178049	Kat
641769	185844	Susie
641769	195300	Jamie's Girlfriend
641769	237825	Jessica
641769	260157	Jezebel
641769	264269	Juliette
641769	276240	Jill Valentine
641769	277947	Fenella Maxwell
641769	283187	Denise
641769	309309	Sunny
641769	313515	Lu
641769	319713	Julie
641769	323377	Jenny Bunn
641769	333278	Emma
641769	342798	Kate
641769	353417	
641769	382912	Lady Felicia
641770	161061	Cocktail Slip
641770	306596	Jenna
641771	367430	Mercedes
641772	5511	
641772	66216	Mère Clément
641773	69450	
641774	166169	
641775	82336	Moira Weber
641776	273352	Une élève du théâtre
641777	14649	
641777	32366	
641777	153827	
641778	64694	
641778	104146	
641778	143991	The Singer
641778	207655	
641778	225697	
641778	233767	
641778	351900	
641778	370439	
641778	384630	
641779	351637	
641780	385296	Apache Dancer
641781	251527	
641782	345471	Herself
641783	248409	
641784	167197	History Teacher
641785	59266	Monique
641786	125738	Astrid
641787	136645	Jessica
641788	5272	Doña Lucrecia Richmond
641788	14426	Friend
641788	14570	Lola
641788	14699	Esmeralda
641788	14741	Sandra
641788	14791	
641788	23624	Victoria
641788	71160	Vicky
641788	90119	Muchacha Rio
641788	121600	Ana Caligaro
641788	140701	Isabel
641788	143702	Sor María
641788	148172	Cristina
641788	152253	Laura
641788	197462	
641788	206322	Putilla
641788	215031	Violeta
641788	225046	Mónica
641788	248541	Dependienta 1 tienda de gafas
641788	322371	Candela
641788	334678	Mamen
641788	349334	Herself - Presenter: Best Sho
641788	353017	Herself - Presenter: Best Sup
641788	369748	Herself - Presenter: Best Sup
641788	369754	Herself - Nominee: Best Lead 
641788	369870	Herself - Presenter: Best Sup
641788	369999	Herself - Co-Host
641788	384594	
641788	391643	La hija del Coronel
641788	402876	Quela
641788	404755	
641788	410004	Hostess
641788	411722	Paula
641789	48180	
641790	165787	Juanito's mother
641790	263861	Mamá de Mariana
641790	293373	Estela
641790	402152	
641791	20677	
641791	55747	
641791	55955	
641791	63809	
641791	86095	
641791	101897	
641791	193188	
641791	357908	
641792	9623	Aura
641792	22770	
641792	274645	Teresa
641792	287908	Matilda
641792	293373	Lulú
641792	379461	Débora/Fernanda
641792	380524	Matilde
641792	380842	Lucina
641792	383261	Cecilia
641792	384400	Samsara Najera/Paloma (2003)
641792	384864	Belén
641792	395885	Lucinda Balboa
641792	397604	Luisita
641792	405416	Sandra
641793	221607	Pepa
641794	291449	Miss Walsh
641795	153784	
641796	148036	
641797	87905	
641798	109524	Perry's Pizza waitress
641799	379909	
641799	400490	
641800	9669	
641800	51106	
641800	71413	
641800	77430	
641800	83888	Masajista
641800	101616	
641800	103719	
641800	159292	
641800	184729	
641800	194129	
641800	263069	
641800	284333	
641800	323300	
641800	380065	Victoria
641800	381224	Juliana
641800	386126	
641800	387090	Consuelo
641800	387190	Ana
641800	387682	
641800	390174	
641800	393837	Gabriela
641800	396815	Lucila
641800	396898	Romualda Martínez
641800	401898	
641800	405842	Amelia
641801	19457	
641801	19460	
641801	30520	Senora Luis Meneses
641801	54233	
641801	54320	
641801	56333	
641801	57711	Celestina
641801	69325	
641801	103371	Maria Perez viuda de Fernande
641801	103655	
641801	103756	Aminta
641801	115751	
641801	115770	Eugenia Almada
641801	148132	Mother
641801	165792	
641801	167807	
641801	202731	Host
641801	212380	
641801	212520	Mamà de Juan
641801	215401	
641801	223611	
641801	228902	Chanfa
641801	229421	
641801	248289	
641801	250795	
641801	263829	
641801	265458	Eulalia, madre de Mimi
641801	268268	(segment "Pánico")
641801	269918	
641801	287445	
641801	301117	(segment "Gloria")
641801	309092	
641801	340655	
641801	357912	
641801	376813	Carmela
641801	377165	Juana Avila
641801	379131	
641801	379461	Bárbara
641801	379819	Alina
641801	379909	Doña Covadonga
641801	380445	Doña Macaria de Soto
641801	381224	Calavera Catrina
641801	383156	
641801	383551	
641801	383563	
641801	383665	
641801	385399	
641801	386126	
641801	386504	Sarah
641801	386517	
641801	386867	
641801	387190	Carlota Parlange
641801	387274	
641801	387575	
641801	387824	
641801	387826	
641801	389790	Lorenza
641801	393850	
641801	395841	
641801	396243	Carola Baida
641801	396711	
641801	396815	
641801	396898	Zamira
641801	397201	
641801	397596	
641801	397736	
641801	398069	
641801	399942	
641801	400490	Sabina viuda de Ocampo
641801	400694	Host
641801	401253	Herself
641801	403103	
641801	405318	Ursula Castellanos
641801	406844	
641801	409782	Doña Federica
641801	411693	Trifenia
641801	411694	
641802	247634	Woman with white purse
641803	48294	
641803	205051	Cecilia
641803	344734	
641804	124235	
641804	207720	
641804	325336	
641805	217835	Une invitée
641806	407754	Talent
641807	35094	
641808	57325	Maria
641809	308749	Herself
641809	383441	
641809	396610	Nani (1996-1997)
641809	401087	Elba
641809	411597	Catu
641810	184292	
641811	198193	Perpétua
641811	222146	Carmem's Mother
641811	241188	
641812	29273	
641813	43244	
641813	79185	Mrs. Alice
641813	84267	Psychiatry patient
641813	93860	
641813	100729	Aunt Maria
641813	112761	
641813	134209	Pensionhoudster
641813	149549	Soror Ângela
641813	156411	
641813	197155	
641813	219627	Maria
641813	235720	Basili
641813	263925	Juliana
641813	264270	Rute
641813	277585	Inês
641813	355763	Milu
641814	18670	
641814	29517	
641814	211022	Aninha
641814	214632	
641814	380147	
641814	384480	Clarice
641814	384991	Carla
641814	385992	Luli Saraiva (#2)
641814	386417	Paula Barbosa
641814	388728	Lucinha
641814	389887	Mariah
641814	393615	Eliana
641814	396610	Teresa (1998)/Beatriz Costa S
641814	401243	Zu
641814	408550	Rose
641814	409418	Amélia Bicudo
641814	410190	Dalva
641814	411932	Cecília
641815	308751	
641816	6345	Cesaltina
641817	302821	
641818	211025	Nina
641819	162309	Macária
641819	395302	Ana
641820	217388	
641820	237875	
641820	258688	
641820	350140	
641821	53258	Inês
641821	286276	Gabriela
641822	12828	Valentina
641822	266440	
641822	344802	Jaqueline
641822	401900	Tereza
641822	405773	Pit
641823	387933	
641824	380531	Jacira
641824	392792	
641825	307472	
641826	388591	Linda Inês (child)
641827	385947	
641828	383678	
641828	387732	
641828	403733	
641828	409426	
641828	410245	
641828	411932	
641829	275312	Felicidade
641830	160728	(segment "Dois Dedos")
641831	104497	
641831	333908	
641832	284271	Lotus
641833	64058	
641834	272285	
641834	353912	Une infirmière
641835	137470	Dancer
641835	164984	Dancer #4
641835	230685	Cheerleader
641835	272413	Head Cheerleader
641835	285787	Cheerleader
641836	84596	Une invitée
641837	54690	Marker
641837	331595	Phuong (Amerasian Daughter)
641838	51384	
641839	382475	Marie-Josée Demers
641839	390486	Anémone Lamontagne
641840	235675	Lola
641841	92689	Rose
641841	157436	Billy's Mom
641842	79262	
641843	47372	Tex Kaley
641843	121238	Violet Hilton
641843	128390	
641843	129543	Herself
641843	135858	The Tigress
641843	154049	
641843	188632	
641843	195491	Olga Grey
641843	265558	Herself - speakeasy opperator
641843	269366	Texas Malone
641843	298040	The She Wolf
641843	313013	Tex Henderson
641843	364028	Texas Caswell
641843	366234	Herself
641844	251529	Christelle
641845	9666	
641845	13186	
641845	261680	
641846	14434	
641847	346537	Martine
641848	294374	Ensemble Vocal Sequenza 9.3
641849	15209	La vendeuse de roses
641850	68874	
641850	225769	
641851	170041	
641851	211764	Christine
641851	380103	Martha Rico
641851	385663	Regina Velascas de Lavalle
641851	408406	Amalia
641852	410153	Louise
641852	410628	Diane Wilson
641853	345216	Herself
641853	356979	
641854	377055	La gitane
641856	43941	Aisling Arrigan
641857	257098	Herself
641858	56501	
641859	87920	
641860	213708	
641860	383550	Irmã Dominiana
641860	384117	Aimée
641860	392510	Isildinha
641860	400445	Vilma
641860	409419	Gigi
641861	380446	Mônica
641861	382741	Priscila/Eileen
641861	386420	Maria Helena
641861	398501	Rosa 'Rosinha' de Garcia
641861	408316	Adriana
641862	204993	ballerina
641862	334575	
641863	395284	Michael
641864	66390	
641865	24703	50's Girl at Halloween Party
641866	114503	Jill McCarthy
641866	135888	Ruby the Prostitute
641866	191372	Waitress in Coffee Shop
641866	218474	Receptionist
641866	241386	Kim
641867	10216	Herself
641868	236108	
641868	356605	
641869	104759	Portuguese entry (11th place)
641870	104541	Madame d'Orsonval
641870	206008	Jacqueline
641871	398269	Host
641872	156386	
641873	70951	
641874	70951	
641875	377726	
641876	45667	Household Helper
641876	56791	Pedestrian
641876	59879	
641876	66351	Shoe repair customer
641876	72497	Baby show official
641876	89313	Actress, mother of 'Little Cl
641876	111694	
641876	127426	Mrs. Reddy
641876	190512	
641876	233818	Nurse
641876	234321	
641876	241761	Alvira
641876	252867	Friendly neighbor
641876	269876	Jack's mother
641876	299391	'Sucker' at séance
641876	312085	
641876	312779	
641876	319008	Mrs. Tucker
641876	343151	Motorist
641877	215527	Old Woman
641878	376961	
641879	171030	Vacationer
641879	370004	Woman Who Reads at Bar
641880	84085	La jeune femme
641880	111871	La vendeuse de cartes postale
641880	197547	La gendarmette
641881	238649	Poster Model
641881	381099	Herself
641881	383634	Presenter
641881	392463	Herself (Series 2) (2003)
641882	53069	Claire
641882	69631	Prostitute
641882	71877	Marie
641882	156891	
641882	182949	Cecile
641882	200927	Louise
641882	223214	Josephine
641882	225399	
641882	249358	Clarisse Oberlé
641882	269741	La gynécologue
641882	345423	Marguerite
641882	353429	
641882	353964	Librarian
641883	78141	Sara
641884	370400	
641885	106808	
641886	51807	
641886	80034	Belly Dancer
641886	120574	Gypsy Belly Dancer
641886	175968	The dancer
641886	408388	
641887	240429	
641889	288315	
641890	139902	Tia
641891	337956	
641892	24890	
641892	266441	
641892	273663	Dona Ines
641893	261305	Ana
641894	52003	
641895	157045	Mrs. Forbes
641896	36649	
641896	51919	Mlle Aurillac
641896	58843	
641896	63697	Cora Falkner
641896	119045	Maria
641896	207090	
641896	236621	
641896	249096	Lucy Dormoy
641896	278144	
641896	283047	La détective
641896	354697	Bérénice
641896	357059	Laurence de Tourville
641897	318181	Katie Stebbins
641897	386616	Nikki's dog
641898	121833	Herself
641898	131461	Herself
641898	372165	Herself
641899	7240	The admiral's sister
641899	8214	
641899	43657	Mme. de Fombert
641899	251532	La duchesse Antoinette
641899	287595	Une infirmière
641899	353890	Une dame au Casino
641899	389271	Mme Lormont (segment "Michel"
641899	396370	
641900	388051	Herself (2002)
641901	246292	Fille Chaumelle
641902	402845	Regular
641903	270537	
641903	371271	Mujer del subte
641904	221908	
641905	376861	
641906	332640	
641907	90525	Party friend 1
641908	44269	
641908	68327	
641908	70607	Marianne
641908	198570	Infirmière
641908	262993	Mlle Appelbaum
641908	309454	
641908	346503	
641908	385382	
641909	384972	Kristina Fabra (2002 - )
641910	368348	Herself
641911	2555	Teresa
641912	238601	Carmen
641913	291825	Female Mariachi Band
641914	285322	Shauna
641915	84105	Désirée Clary, jeune fille
641915	90759	Catherine
641915	156564	
641915	202360	La voisine
641915	258278	
641915	275513	
641915	300761	
641915	357855	Francoise
641916	108903	Herself
641918	188453	'Dislike' Girl
641919	68513	
641919	166346	The BDE Lady
641920	68513	Julie Ternolain at 25
641920	84634	Un aristocrate
641920	111384	Odette
641920	166346	The Nurse
641920	283046	
641920	377464	Daniel's mother
641921	104748	Host
641921	387959	Herself - Presenter (1973)
641922	112854	Jean's lover
641923	2885	
641923	7244	Madame Morlot
641923	14351	Catherine
641923	14577	Cabaret-Waitress
641923	21438	La cuisinière
641923	23490	La Bonne
641923	23869	La belle Regina
641923	28999	
641923	46656	La mère Camus
641923	46693	Rebecca Tomeff
641923	56243	
641923	58311	
641923	58954	La cuisinière
641923	66719	Mme. Charignoul
641923	70738	Célestine
641923	73722	
641923	83254	
641923	84638	
641923	84681	The maid
641923	98028	
641923	104445	
641923	108547	
641923	110022	
641923	111125	
641923	111295	Rose
641923	112830	
641923	124835	Lucrece
641923	132177	Madame Bonnefoy, 'Mère Titine
641923	140280	
641923	156277	
641923	156533	La mairesse
641923	157217	La patronne du bal
641923	158808	
641923	159699	
641923	168198	
641923	169321	
641923	169879	La bonne de Cocantin
641923	191550	Maid
641923	199379	La Rousette
641923	200386	
641923	202181	
641923	206049	
641923	207943	
641923	209945	Zenobie
641923	214185	La Chaloupié
641923	217594	La Pétoulin
641923	221584	
641923	235253	
641923	235832	
641923	248597	
641923	249001	
641923	249752	Madame Foin
641923	254029	
641923	255054	
641923	260946	Rose
641923	268975	
641923	279109	
641923	280529	
641923	282065	
641923	287590	
641923	300652	
641923	308264	La caissière
641923	309723	
641923	340116	Aurélie Mignon
641923	340117	
641923	345120	
641923	345480	
641923	346823	Herself
641923	349417	
641923	349628	Concierge
641923	354094	
641923	355857	
641923	356411	
641923	370108	
641923	375928	Josette
641923	377852	
641924	10135	
641926	111402	
641927	11531	Foreign Worker #2
641928	218403	Bridesmaid
641929	381029	Lucia
641929	407862	La Morena
641930	137427	Cajera
641930	398473	Jésicca
641930	410477	Lucrecia Irribaren
641931	401280	Herself (season 1 winner)
641932	62296	
641932	62945	L'infirmière
641932	81453	Une dame
641932	107523	
641932	282409	
641932	292343	La secrétaire
641932	294740	
641932	333720	La colonelle
641932	357837	
641932	377241	Juliette Dubélair
641933	120098	Cop #2
641933	292451	Visitor
641934	4553	
641934	13084	Yolanda
641934	13138	
641934	16844	Ana Luisa de la Fuente
641934	33263	
641934	48798	
641934	51710	Nelly
641934	55747	
641934	66150	
641934	69476	
641934	71121	Mama de Johnny
641934	80296	
641934	91272	
641934	101604	
641934	106308	
641934	115773	
641934	144075	
641934	152252	
641934	183500	
641934	207772	
641934	207975	
641934	216861	
641934	218519	
641934	221894	
641934	221935	
641934	222019	
641934	222021	
641934	222029	
641934	225391	
641934	227291	
641934	233362	
641934	234391	
641934	235300	
641934	236432	
641934	246276	Beatriz Camargo
641934	247425	Viuda de Jones
641934	251309	
641934	251583	
641934	253624	
641934	262702	
641934	266895	
641934	268501	
641934	269962	
641934	270653	
641934	273647	
641934	277401	
641934	281766	
641934	296498	
641934	301106	
641934	301190	
641934	302506	
641934	307242	
641934	310051	
641934	353608	
641934	355756	Margot Linares
641934	355852	
641934	376639	
641934	376752	'Jailer woman' in fair
641934	378476	
641934	379118	Flora (2000)
641936	298810	Chanchal -as child
641936	394582	Kali Kapoor
641937	51026	
641937	51027	
641937	138299	
641937	160159	
641937	285572	
641937	287573	
641937	319400	
641937	320359	
641937	371834	
641937	371843	
641938	89543	
641938	218045	
641938	285575	
641938	307544	
641939	21842	Aghun
641939	33312	
641939	326281	
641939	352301	Ashkhen
641939	410403	
641940	173682	Anushik
641941	126933	
641942	371959	Roa
641943	24280	
641944	89377	Rachel, age 8
641945	4403	
641945	13473	
641945	17358	Ranima
641945	17463	
641945	20357	
641945	25949	
641945	27465	
641945	27470	
641945	27777	
641945	28746	
641945	29434	
641945	36173	
641945	37616	
641945	60972	
641945	63349	
641945	88500	
641945	138925	
641945	140005	
641945	140006	
641945	145987	
641945	153237	
641945	165586	Princess Rama
641945	167369	
641945	176149	
641945	180055	Mani
641945	202159	
641945	202345	Camille
641945	209576	
641945	211415	
641945	213183	
641945	226040	
641945	226743	
641945	233213	
641945	261463	
641945	267230	
641945	271711	
641945	272741	
641945	312766	
641945	313997	
641945	324877	
641945	335780	
641945	344409	
641945	351155	
641945	355323	
641946	38876	Mom
641946	86954	Arlene
641946	115940	Joy Floy
641946	193950	Liz McCarty
641946	272026	Maureen
641946	273323	
641947	293972	
641948	215813	Captive Girl
641949	228312	Herself
641949	296968	Satinda
641949	353490	
641949	362000	Cafe assistant
641949	362177	Herself
641949	385019	Herself
641949	385020	Sunita Parekh (2001- )
641949	386386	Anita
641949	387247	Ameena Badawi (2000)
641950	43193	
641950	89591	
641950	179318	Natasha
641950	300478	
641950	341452	
641950	357349	
641951	19625	Vartush
641951	348784	Hasmik
641951	374029	Lyatif khanum
641952	240996	
641953	79060	Maria
641953	161865	Nurse
641954	225689	Herself
641955	271153	B Girl
641955	370572	Harem girl
641956	78485	Herself (performing 'Det var 
641957	23415	Girl in solarium
641958	197489	Jessica, Fresca
641958	200184	Hikaru Shidou
641958	260386	Popful Mail
641959	301845	Herself - Sygeplejerske
641961	321657	Gay
641962	23570	Odabella
641962	28620	Amelia
641962	204666	Manon Lescault
641962	226149	Abigaille
641963	15156	Gert's mother
641964	82551	Secretary
641965	2078	Elevator Girl
641967	351767	Toni
641968	18436	Mona
641968	361216	Nun #2
641969	260429	
641970	267453	Marie Gallo
641971	341454	
641972	285885	
641973	68437	
641974	320396	
641975	168881	Veronika, the waitress
641976	349310	(segment V odin prekrasnyj de
641977	79811	Professor Maynard
641977	266601	News Show Host
641977	339429	Starr's Mom
641978	114827	Cameo appearance
641978	303133	Cameo appearance
641979	309064	
641980	115850	Danny's Girlfriend
641982	96441	Turisthotellpiken
641982	105827	Postal service woman
641982	205559	Maria, hans kone
641982	244068	Sekretær departem.
641982	320511	Moren
641983	293145	
641984	71321	
641985	7408	Nicole Leguay d'Oliva
641985	55632	Nick's Teacher
641985	165450	Sophie
641985	239449	Kim
641985	312767	Mrs. Barry
641985	398085	Hermione Trumpington-Bonnet (
641986	1208	Elly
641987	40668	Freeway lady #1
641987	43437	
641987	337606	Pauline Harrison
641988	403509	Kathleen Kennedy (Part 3)
641989	185500	Girl on Corner
641990	99427	Herself
641990	352877	Stewardess
641991	16048	
641991	20589	
641991	27072	
641991	34127	
641991	37107	Fannie Blue
641991	39517	Betty Haliday
641991	43966	
641991	44548	
641991	46398	
641991	52220	
641991	52221	
641991	52222	
641991	60201	Lita
641991	64055	
641991	65518	Ellen
641991	67150	Dorothy Mae
641991	67170	June Maxwell
641991	73400	
641991	73749	June Maxwell
641991	75644	Red Fawn
641991	75645	Red Fawn
641991	80060	June Maxwell
641991	80997	
641991	89195	Marie von Waldorf
641991	94602	
641991	107175	Florence
641991	109046	
641991	112420	Pat
641991	112470	
641991	112488	
641991	112550	Alice Wheeler
641991	112593	
641991	112620	June Maxwell
641991	115114	
641991	116207	June Maxwell
641991	123205	Barbara Courtland (Buddy's si
641991	131531	Ruth Grey
641991	132531	June Maxwell
641991	148936	Lila Garland
641991	149163	June Bonner, the Girlfriend
641991	157645	Alice Weldon
641991	157868	Helen Sutter
641991	170854	June Maxwell
641991	170864	
641991	176280	
641991	177325	Girl
641991	177432	June Maxwell
641991	185275	Betty Halliday
641991	185355	
641991	193708	Virginia Crittenden
641991	201562	
641991	214471	Helen Pulver
641991	232163	Doris O'Connell
641991	235090	Sue
641991	240510	June Maxwell
641991	240882	June Maxwell
641991	241373	Joan Curtis
641991	241851	
641991	245364	June Taggart
641991	246333	
641991	246703	Babe Barnes
641991	251651	
641991	254460	
641991	254530	Mona Cortez, alias Mary Smith
641991	271815	Ruth Buxley
641991	275311	Jane Maxwell
641991	277046	
641991	279105	June Maxwell
641991	283578	
641991	286811	
641991	296816	Jean Gregory
641991	298758	Gwen O'Day
641991	299643	
641991	304950	
641991	310793	
641991	311431	June Maxwell
641991	311443	
641991	311745	June Maxwell
641991	313076	Stenographer
641991	317006	
641991	337468	Miss Tindall, sales clerk
641991	340332	Dorothy Clark
641991	346023	Mary
641991	348829	June Maxwell
641991	350701	June Maxwell
641991	356271	Herself
641991	365483	Ruth Henson
641991	366217	
641991	366314	
641991	366318	
641991	366341	
641991	366346	
641991	367948	Old woman on bus
641992	213577	Presumed Chorister
641993	3236	Mrs. Gyllenskalp
641993	16265	Mrs. Andersson
641993	101640	Aunt Viol
641993	185966	Hulda
641993	312224	White lady
641993	377419	Hulda
641994	185161	Diane
641995	51996	Cageside Observers
641996	350607	Horat's People
641997	320682	Anna
641998	320682	Anna
641999	72173	Pool Babe
641999	158692	School Guard
642000	126911	Pooja
642000	183426	Bar Woman
642000	271581	Lady in bane
642001	276606	Veterinarian
642002	148579	
642003	41746	Player (Slammer)
642004	160321	Mrwaki's Wife
642005	197464	Dancer
642006	77106	
642006	245901	
642006	273069	Lyudmila
642006	280398	
642006	374789	
642007	113063	
642008	397302	Sanitarka
642009	12815	Assol
642009	172432	Belyanka
642009	180737	
642009	263666	Malvina (Voice)
642009	283692	
642009	309102	
642009	334997	
642009	342272	Soyka
642009	349345	
642010	294990	
642011	58358	
642011	350833	
642012	308128	French Girl in Market
642013	38543	
642014	78789	Mr. Sleep
642014	130094	Marie aged 9
642015	206191	Katey
642015	229260	Mary Hegarty
642015	286136	Rhonnie Bronston
642017	193785	
642018	356764	Madison Avenue
642019	74207	Shebeen Queen
642020	405036	Nkalakata
642021	74076	
642021	306625	Fan
642022	213533	
642023	9461	
642023	61710	Kim Lan
642023	184895	
642023	219405	
642023	307719	
642023	371339	
642024	304119	Olina
642025	300330	
642026	37283	Herself
642027	37283	Herself
642028	259658	
642031	84297	Anna
642031	304929	Cindy
642032	34425	Martchen
642032	189607	
642032	376412	
642033	42047	Siri (8 years old)
642033	182809	Luise Körner
642033	195823	Lilly Seeberg
642033	350873	Taffy
642033	395005	Luise Körner
642034	68232	Kinky girl
642034	188453	'Lena' Girl
642035	229938	Model
642035	265265	Fox
642035	294692	Party Guest
642035	327685	
642036	225205	
642036	325421	
642036	409625	Isabelle 'Belle' Rose (2001-2
642037	211362	Bébé
642038	161417	Rose
642039	193246	Girl
642039	236387	Voodoo Disco Queen
642039	256925	Cindy
642039	273321	Tanya, Tammy & Tina
642039	284815	Alena Bangkok
642039	392882	Monique Chen
642040	76229	Wenezuelka
642041	188587	Ayah
642042	79140	
642042	82136	
642042	256158	
642042	271923	
642042	285203	
642042	303342	
642042	309344	
642043	287360	
642044	27405	
642044	370294	
642045	123523	Anula
642045	162151	Imran´s wife
642045	172754	Anula
642045	264941	Mère de Veena
642046	340725	
642047	98639	
642047	103565	
642047	230043	
642047	261359	Maykata na Meri
642047	288358	
642047	303735	Minka
642047	339314	Rada
642047	370460	
642048	813	
642048	7270	Aelita
642048	10417	
642048	33828	
642048	62590	Countess
642048	84467	
642048	95002	Dulsineya
642048	95644	
642048	124034	
642048	124071	
642048	154837	Antonina
642048	162675	
642048	162754	
642048	176055	Mariya Lyamkina
642048	182015	
642048	189424	
642048	189430	
642048	216616	
642048	219718	
642048	229175	Luska
642048	231181	
642048	237430	Joujou
642048	238323	
642048	238361	
642048	241942	Glasha
642048	242278	
642048	243967	
642048	243969	Nina Buzygina, Andrei's wife
642048	244581	
642048	249914	
642048	258655	
642048	258675	
642048	265231	Frau Bebber
642048	265942	
642048	294668	
642048	304452	Nadya
642048	306646	
642048	312508	
642048	340871	Smeraldina
642048	344278	
642048	345090	Zinaida
642048	348874	
642048	349297	
642048	350738	Katya Nikanorova
642048	355850	Czarine Elizaveta II
642048	373785	
642048	374087	Faina
642048	374252	
642048	375174	
642048	386202	
642048	401314	Princess Tatyana Shadurskaya
642048	401710	
642048	411981	
642049	55392	
642049	94643	
642049	103055	
642049	157612	Frau Ebert
642049	168964	
642049	320528	
642049	364931	
642049	377346	
642049	391604	Sofia Monetti (2000-2001)
642052	347761	
642053	17838	Annys veninne
642054	1402	
642055	76301	Fattig Kone
642056	377416	Servitrice
642056	399510	Liss Bangstad
642057	116583	Britt Bull
642057	391056	Programleder (host)
642057	400008	Mette Haug
642057	408886	Herself
642058	212336	Herself - Participant/Perform
642059	392072	Karianne Marcussen (2001)
642060	331533	Flag Girl
642061	2135	Kid
642062	372755	Judi Sherwood
642063	59596	Kineserens pige
642064	399105	Host (1984-2002)
642064	403799	Herself/Host (2002)
642065	226257	Anschi
642066	280218	Tina
642067	29556	Girl in Eliel's class
642069	332212	Herself
642070	5691	Arlette
642070	24038	
642071	205268	Party Guest
642071	224296	Bar Customer
642072	29670	Harem
642073	5706	
642073	7514	
642073	8347	
642073	9490	
642073	9503	Nazan
642073	22070	
642073	30697	
642073	33918	Zeynep
642073	34058	
642073	34506	
642073	35625	
642073	38923	
642073	44600	
642073	53269	
642073	58336	
642073	95050	
642073	129124	
642073	136761	
642073	143178	
642073	160213	
642073	162814	
642073	163111	
642073	171980	
642073	172006	
642073	173419	
642073	173422	
642073	173423	
642073	174392	Ufaklik
642073	174393	Ufaklik
642073	175851	
642073	180318	
642073	180321	
642073	202453	
642073	207202	
642073	207203	
642073	222275	
642073	227234	Filiz
642073	232619	
642073	240535	
642073	240536	
642073	279366	
642073	285553	
642073	293666	
642073	294030	
642073	295251	
642073	295534	
642073	307032	
642073	308322	Ayse
642073	317685	
642073	326989	
642073	342163	
642073	370688	
642073	370694	
642073	370795	
642073	377544	
642073	412121	Bedia Karahan
642074	110189	Harem Girl
642075	1695	
642075	5734	
642075	23526	Flower girl
642075	38454	
642075	38486	
642075	175444	The princess
642075	210525	
642075	211654	
642075	285569	Fatma
642075	295506	
642075	325349	
642075	334989	
642075	374155	
642075	377553	
642076	37781	Girl
642076	292413	Ayah
642077	114951	Såpa-kvinna
642077	122504	Ingrid
642077	131560	Gunnel
642077	134938	Police officer
642077	137635	Leading Part
642077	142773	
642077	184121	Moren
642077	197785	Stig's Mother
642077	204534	Eva Zetterberg
642077	237036	Rebecka Bovallius
642077	245943	Mrs. Sandberg
642077	259814	Sofie
642077	305834	Sickan
642077	312072	Karin Lindström
642077	315377	Svea
642077	335363	Eva
642077	342316	Herself
642077	346296	
642077	391278	Märtha
642077	397294	Anna Holst
642077	398852	Anette Brolin
642077	399503	
642077	405570	Rebecka Bovallius (1997-1999,
642077	407489	
642077	409853	Mona Törnqvist
642078	47390	Mrs. Solters
642078	126462	
642079	80399	Tammy
642080	984	Leah
642080	41264	Ariel, Azimuth the Planer, De
642080	101070	Emily Reynolds
642080	155879	Officer Linda Reed
642080	158960	Celeste
642080	170843	Casitas Madres Receptionist
642080	187137	Ariel
642080	187138	Ariel
642080	187139	Ariel
642080	194963	Sally Prescott
642080	217531	Agt. Alex King
642080	234212	Stormy
642080	237154	Natalie Franco
642080	287740	Jane
642080	366921	Liz Godlove
642080	386855	Arden
642080	402032	Asst. Dist. Atty. Jean Ward (
642081	75465	Girl
642082	278255	Ice Cream Boy's Mom
642083	209210	Refugee
642084	86114	
642084	239082	Lady
642084	309964	Hostess
642085	75612	Inmate
642086	116575	Scandinavian (modern sequence
642086	117382	
642086	118438	Maid
642086	146273	
642086	195308	His Favorite
642086	199497	Ethel Hadden
642087	375508	Marilyn (reservoir)
642088	158311	Georgeann
642089	18004	Hunkette
642089	52017	Rita
642089	55476	Dr. Hodges
642089	126745	Pam Hunter - Mom
642089	134666	Kimberly Stevenson
642089	159490	Darcy Hamilton
642089	176778	Gloria Scoggins
642089	194985	Dana Elway
642089	206291	Justine
642089	232114	Chris Altman
642089	236905	Karen Martin
642089	269626	Carrie Newton
642089	321096	Melissa
642089	321405	
642089	405367	Det. Sgt. Cassandra "Cassy" S
642090	163557	Little Girl with Autograph Bo
642090	273781	Little Girl Singer
642091	138797	Signed Chest Woman
642092	32162	Ethel Smedley
642092	114681	Margaret Fenton
642092	158439	Kitty
642092	185347	Diana Gregory
642092	190782	Kitty Beverley
642092	196105	Mary Lee
642092	264829	Edith Marsland
642092	279217	Claire Harris
642092	281358	Carol Foster
642092	301926	Diana Baskerville
642092	354734	Blanche Popinot
642092	363904	Mollie
642093	224935	Young Leigh
642094	176832	
642095	78933	
642096	167876	Jeanne Quinn-Fitzgerald
642096	358140	Secretary 1
642097	382714	Host (2001-2002)
642097	382872	Host
642097	390338	Host (1996-1998)
642098	385299	Mrs. Stoker
642099	128286	Joyce
642099	186798	
642100	41289	Gillian
642100	222749	Mrs. Troy
642100	238774	Fiona McDougall
642100	379339	Elizabeth Robinson
642100	381129	Jane Miles
642100	385020	Linda Lindsay (1997-1998)
642100	386581	Brenda Maitland (1993)
642100	403292	Anne Fraser
642101	49801	
642102	41077	
642102	41632	
642102	49348	
642102	130619	
642102	140940	
642102	142500	Herself
642102	188044	
642102	295815	
642102	314694	
642102	357150	
642102	361951	
642103	200150	Third Lady
642103	210148	Magdalena
642103	210149	Magdalena
642104	333102	Fanny Drew
642105	333994	
642106	191253	Singer
642107	311517	Baseball Coach
642108	192100	Angry Woman
642109	263450	Newscaster
642110	330533	Laura
642111	240951	The Woman
642111	318760	(segment "On Top Down Under")
642112	870	
642113	870	
642114	870	
642115	98228	
642116	385824	Stephanie Kay Johnson (1990-1
642117	385824	Stephanie Kay Johnson (1990-1
642118	396256	elev (extra)
642119	23933	Herself/Audience Member
642119	240189	Herself
642119	260291	Herself
642120	240924	
642121	185503	Bank Staff 1
642122	328545	
642123	329550	
642124	237293	
642124	290438	Politikvinne
642124	389192	Randi Lund (2001)
642124	408192	Tim's Mother
642125	16340	Liz
642125	79520	Liz
642126	261067	
642126	281413	
642126	311004	
642127	50076	The Defeated Woman
642128	314759	
642129	23625	Ugla
642129	51277	
642129	174103	Eiginkona
642129	212320	Stinni's dreamgirl
642129	320706	
642129	347013	Rannveig
642129	378033	Isold
642129	378527	
642130	50380	
642130	50383	
642130	291003	
642131	81087	Binnie
642132	192527	Gallery Crowd
642133	322374	Herself
642134	47800	Party Girl
642135	49674	Récitante
642136	149655	
642136	373793	
642137	44433	Woman Breaking Into CBS
642138	218570	
642140	115920	Sestina
642140	258903	Amy
642140	367405	Brittany
642141	407	Peachy Purdie
642141	272440	Market Square Extra
642142	359758	Ball Dancers & Musicians
642143	93217	Sorority Sister
642144	260954	Greta
642145	267013	Herself
642146	80660	Anaesthetist
642147	248587	Kietje
642148	336754	Teacher
642149	117065	
642149	132098	Mrs. Walrus
642150	250961	Mirabelle
642151	375714	Ashley
642152	374665	Herself
642153	252884	Scorecard Girl
642154	84308	Woman
642155	350833	
642156	187249	
642158	393878	
642159	164778	Ketty Rindskopf
642159	377335	Anna
642160	8587	
642161	149072	ChuChu
642162	251108	Flower Boat Girl
642163	152008	He Sufang
642163	372180	Badai
642164	198645	Zhang Yingzhu
642165	198645	Zhang Jinzhu
642166	61041	Drug addict (narrator)
642167	332335	Guo Xiaoyun
642168	152008	Wei Xiulan
642169	167490	Liu Lu
642170	212003	
642171	152136	Owen's Granddaughter
642172	189473	Party Goer
642173	379829	Various
642174	123572	Villager's Wife
642175	4856	
642175	12364	
642175	15843	
642175	18481	
642175	28817	Sandhya
642175	35954	Shiuli
642175	52166	
642175	58802	Kadambini
642175	60973	Labanya
642175	60982	
642175	79323	Nalini
642175	85421	
642175	127337	
642175	164739	
642175	165987	Mejobou
642175	166003	
642175	172887	
642175	173286	Anima
642175	173394	
642175	174838	Thakurjhee
642175	198666	
642175	203933	
642175	204795	
642175	228884	Ramaboudi
642175	247004	Golap
642175	248966	Charu's mother
642175	272700	
642175	285527	Jaba
642175	295014	
642175	297435	
642175	298635	
642175	300225	
642175	300580	
642175	320775	
642175	324602	Prem Kumari
642175	339679	Abala
642175	348438	
642176	165407	
642176	267415	
642177	181698	
642177	181699	
642178	186196	
642178	268563	Reeta
642179	24873	
642179	36614	Tulsi
642179	59847	
642179	159241	Indira
642179	167339	
642179	204399	Chapala
642179	207879	Chhanda
642179	248701	Sita
642179	297164	Shakuntala
642180	9209	Young woman
642180	9229	
642180	28844	
642180	30540	
642180	169273	
642180	206065	Sakina
642180	228423	
642180	287396	
642181	253065	Sales Girl - Saree Shop
642182	123572	Little Girl
642183	4057	
642183	4065	
642183	4293	Chief minister's wife
642183	13329	Savitri
642183	16570	Majid's Wife
642183	18182	
642183	28718	
642183	31373	Devan's wife
642183	35972	Drupadi
642183	71479	Blossom
642183	76555	
642183	81557	The Widow
642183	93721	Revati
642183	95453	
642183	97773	Beggar
642183	123572	Abha
642183	157578	Sarla
642183	164311	
642183	165016	
642183	175911	Champa Didi
642183	203976	Vasanti
642183	211456	
642183	254737	Street singer
642183	278337	Sukhi
642183	319843	
642183	320257	Mandira
642183	320859	Vicky's wife
642183	339683	Mila Grenia
642183	344128	Billo
642183	349091	Madhanika
642183	350825	Daughter of Widow
642183	370388	Kaushalya Kumar
642183	381835	
642183	394367	
642183	404052	Priya
642183	404057	Shanta
642184	87578	Elevator lover
642185	175253	Soni
642186	174353	Daljit Brar (Dolly)
642187	138309	Programmer
642188	249140	
642188	278337	Special appearance
642189	18777	
642189	18785	Ginnima
642189	38794	Suryamukhi
642189	128077	
642189	172544	Kali Jhee
642189	173639	Goddess Kali
642189	175655	
642189	181042	Apsara
642189	181053	
642189	181054	Bhramar
642189	204794	Bani
642189	228692	Maa Kali
642189	262238	Sachi
642189	284874	Sabitri
642189	285486	Lalita
642190	28852	Mink
642191	177059	Indra
642191	260229	Moharoni
642191	276729	
642191	385299	Rashida Malik
642191	388428	Shushila
642191	392545	Maharani
642192	262437	
642194	242395	Kashibai
642194	287658	
642194	287659	
642194	331039	Kamala
642195	95053	Dancer (Babuji Song: 'Bijli G
642195	271622	Dancer
642196	135226	
642197	184777	
642198	193902	Dancing Girl
642199	8237	Mid-Eastern contact
642199	32217	Miss Peru
642199	120574	Vida
642199	138146	Marisa
642199	176708	Tisa
642199	232278	Catherine Carrel
642199	325111	Myrna
642200	126355	Relative Aimak II
642201	42239	
642201	181853	Dvoirele Shimshon
642201	181854	Dvoirele Shimshon
642201	215372	
642202	371917	
642203	136948	
642203	140051	
642203	227920	
642204	48617	Gina
642204	122601	
642204	135007	
642204	189827	Rosanna
642204	254587	
642204	311096	
642204	336532	The Beautiful Dancer
642204	364934	
642204	376390	
642205	228449	Mrs. Porter
642206	263636	
642207	3335	
642207	18908	
642207	28702	
642207	28703	
642207	33831	
642207	60435	
642207	76481	
642207	84426	
642207	85209	Lyusya
642207	88442	
642207	91199	
642207	91202	
642207	95617	
642207	95654	
642207	124071	
642207	135746	
642207	155613	
642207	156942	
642207	174170	Lena Krylova
642207	180367	
642207	180738	
642207	198122	Rita
642207	198138	Raisa Zakharova
642207	198661	Rada
642207	200407	
642207	209282	Grafinyata
642207	220693	
642207	227907	
642207	229179	Corinne
642207	238312	
642207	244044	
642207	244582	
642207	245901	
642207	259880	Larisa Yurevna
642207	262209	Stranger
642207	263257	Lyuba
642207	265640	
642207	265641	
642207	268134	Tamara Vasilyevna
642207	270306	Wife
642207	276619	
642207	280805	
642207	294371	
642207	295925	
642207	296993	Valentina Stepanovna
642207	300502	
642207	300806	Taya Solomina
642207	313881	
642207	313884	
642207	313890	Liza
642207	317106	
642207	322708	the hotel keeper
642207	327660	Yulia Juli
642207	341238	Lolita
642207	344278	
642207	355850	Fike's mother
642207	356444	Vera
642207	356598	Various roles
642207	357478	
642207	374769	Ustinka
642207	381631	Tumanova
642207	405850	
642207	406757	
642208	94793	Girlfriend #2
642208	222364	Mercedes
642208	336475	Brunette #1
642209	117131	Old Woman
642209	166705	Old Woman
642210	261852	Prostitute
642211	117131	Girl
642212	377002	Nathalie
642213	374427	
642214	46083	Conductor
642214	63352	Zoya, Fyodor's wife
642214	85206	
642214	85209	
642214	94175	Meri
642214	95572	Masha
642214	95629	Marina
642214	132111	
642214	179666	Zinaida Vasilyevna
642214	182241	Tanja
642214	224449	Naya Furmanova
642214	225915	Marusya
642214	234439	
642214	243247	Vera
642214	244253	
642214	253635	
642214	261937	Dasha
642214	262502	Ksana
642214	265400	Anni Wendt
642214	317296	
642214	339338	
642214	341834	Marya
642214	352813	Tatyana Ivanovna
642214	356188	
642214	357284	
642214	357456	Katya
642214	374765	
642214	376516	
642215	299423	
642216	371802	
642217	108672	
642218	129180	Herself - Dancer
642219	76942	
642220	301469	
642221	295253	Widow
642222	165136	
642222	192818	
642223	234511	Teacher
642224	7035	Princess Kukachin
642224	10461	Ines
642224	78967	Ellen Stephens
642224	94388	
642224	101071	Magda Quandt
642224	117801	Anne Kennedy
642224	173149	
642224	235226	Herself
642224	255338	Herself
642224	278563	Irene Reynard
642224	306965	Linda Carlsen
642224	321708	Maria Louisa
642224	331356	Leni 'Lenchen' Braun
642224	356256	Marya
642225	364223	Angela
642226	349886	
642227	370957	
642227	411714	Herself
642228	210754	Lily
642229	39830	Cindy Harley
642230	47459	Herself
642231	32822	Herself
642231	270151	Herself
642232	47459	Herself
642233	101778	Receptionist
642234	49656	Playboy Bunny
642235	390244	Hortentsi
642236	321391	
642237	94012	Nancy
642237	189167	Mrs. Samuels
642237	194583	Annie Ridd
642237	210222	Sarah Yelin
642237	244332	Elizabeth Boleyn
642237	271262	Anna
642237	273422	Chris
642237	273424	Chris
642237	339364	Christine Manning
642237	350500	Nesta Drage
642237	364866	Sharon
642237	383631	Staff Nurse Rachel Longworth 
642237	385301	Kate Russell
642237	385646	DI Gillian Cramer (1998-1999)
642237	398989	Eliza
642238	65825	Emily
642238	371094	Girl On Bicycle
642239	194948	Nurse
642239	309533	Baby's Mother
642240	11503	Dora
642241	119440	
642242	248486	Caroline
642243	11444	Landlady
642243	23006	Helene
642243	68892	Housekeeper
642243	72830	
642243	107435	
642243	130041	Mrs. Spice
642243	141535	Mrs. Wilson
642243	146014	Martha
642243	175595	Mrs. Yale
642243	217961	Mrs. Hastings
642243	280467	Landlady
642243	285655	The Mother
642243	286471	Mrs. Brown
642243	321698	Mrs. Moltram
642244	132909	Misty
642244	132912	Commercial Voice
642245	15892	Grand Duchess Victoria
642245	97445	
642245	121742	Mrs. Ross
642245	123373	Adele
642245	151167	
642245	154745	Mrs. Parkhurst
642245	192276	Lady Tremaine
642245	211346	Portia
642245	220797	Lady Cynthia Marchmont
642245	242497	
642245	260850	Diane Blackton
642245	261038	Madame Merle
642245	281424	Mary
642245	335073	Mrs. Arthur
642245	336694	Clara Holland
642245	384783	Celia Randall
642245	388249	Empress Elisabeth [of Austria
642245	394232	Cousin Helen
642245	396009	Mrs. Agnes Foster Jones
642245	398189	Lady Verinder
642245	409666	Lady Majorie Southwold Bellam
642246	235357	Mrs. Elkin
642246	399816	Janie Somers (1972)
642246	402012	Kate
642247	58753	Hélène
642247	66911	Elfine Starkadder
642247	70968	Jane
642247	81151	Patricia Wilson
642247	89709	Marian
642247	261038	Pansy
642247	367816	Laura Crich
642248	367471	Bridesmaid
642249	319239	Woman in Hospital
642250	51314	
642250	99534	Tanárnõ
642250	107672	
642250	116395	
642250	149611	
642250	175089	Saci
642250	225411	Maid
642250	227530	
642250	246974	Katica mamája
642250	322108	Tanárnõ
642250	322122	
642250	378578	Feri felesége
642251	89591	
642251	90803	
642251	179329	
642251	181403	Widow
642251	207564	
642251	349353	
642251	357227	Vulfovna
642251	375172	
642252	181155	Blind Girl
642253	90267	
642254	113980	Ana Sanchez
642255	67054	Teenage Girl
642255	95012	Amiga
642255	104877	Tomasa
642255	190425	
642255	209041	Marce
642255	287839	Paloma
642255	376868	Julia
642255	379133	Yoya
642255	383519	Carmen
642255	410093	Diana Román Franco
642257	142293	
642258	121232	
642258	132129	
642258	276396	Monja
642258	302345	
642259	33307	
642261	312934	Russian woman prisoner
642262	36713	Sleeping Beauty
642262	315801	Anna
642263	118294	Make-up Artist
642263	283183	Waitress
642264	197745	
642265	381451	Reporter/Newsreader
642265	381455	Weekend Newsreader
642266	118689	Doyle's Mother
642266	241662	Loki's Secretary
642267	145434	Karma's father
642268	124620	
642269	29006	
642270	78800	
642271	263	Woman in Bathroom
642271	2634	Gina
642271	24570	Gloria Takamatsu
642271	31087	Garmento
642271	38104	Gallery Owner
642271	47004	Barbara
642271	51661	Steven's sister-in-law
642271	51833	Rose
642271	58939	Sherry
642271	59148	Boutique Customer
642271	76571	Becca's Mom
642271	82468	Woman with Big Hat
642271	100713	Chris
642271	131915	Dr. Ruth
642271	161167	Claire
642271	178033	Sue
642271	183428	
642271	190273	Debbie
642271	196339	Rachel
642271	204049	Jessica
642271	207505	Helen Randall Paxton
642271	209436	Melissa
642271	210483	Sarah
642271	220427	Roxanne Atkins
642271	235456	Vicki
642271	241605	Marie
642271	256963	The Dame
642271	259749	May Rosenberg
642271	274323	Annie (segment "Talk To Me Ba
642271	300533	City Clerk
642271	326387	Nurse
642271	326620	Jennifer Gersh
642271	330146	Emily
642271	331694	Leland's Mother
642271	337088	Sally
642271	342241	Judy
642271	363419	Jesse
642271	372865	
642271	386381	Herself (1996-2002)
642271	386806	Host
642271	386962	Annabelle
642271	387298	Billie
642271	390771	Gina Daniels (1984-1985)
642271	392421	Herself
642271	399725	Herself (1985)
642272	237506	Kasia
642273	104432	
642273	124040	Natasha
642273	163912	
642273	181395	
642273	244093	
642273	265571	
642273	268185	
642273	350975	
642273	382445	
642274	198129	
642275	85149	
642276	179018	Pianist
642277	353078	
642277	373282	Amanda
642277	402782	Sharon Zampetti
642278	24465	
642279	5602	Fräulein Lauer
642280	7695	
642281	407543	
642282	84089	
642283	263675	
642283	326978	Young Woman
642284	91862	
642285	180122	
642286	107054	Artisan
642287	368060	The Jiving Lindy Hoppers
642288	189856	
642289	262494	
642290	343310	Student
642291	77624	Maria
642292	131298	
642292	190873	Alisa Seleznyova
642292	356677	
642292	390401	Alisa Seleznyova
642293	374768	
642294	302	Dina
642294	37893	Tania
642294	284462	Lola
642294	382758	Olya
642294	399114	Marina Shvedova
642294	404577	
642295	176055	Svetka Lyamkina
642296	94505	
642297	95670	
642297	237961	
642297	300369	
642297	350738	
642298	88323	
642299	259663	
642300	14252	Elvie Silver
642300	190431	Gitel
642301	361486	
642302	348875	Ipah
642303	402242	
642304	269530	
642305	115603	
642305	126449	Landlady
642305	155411	Caroline
642305	176479	Sonja
642305	308240	Rieke
642305	313665	Inga Reise
642305	325939	Frau Maschke
642306	279071	Monica
642307	245016	Hooker
642308	154738	Receptionist
642309	215037	
642310	186650	Additional player
642310	210732	Julia
642310	331871	1st Woman
642311	240317	Droid
642312	223021	The Woman
642313	403002	Sam Bonner
642314	279352	Racing Driver #6
642315	238742	Mrs. Nilzén
642316	89333	Alma
642316	114099	Matron
642316	130341	Ella
642316	223751	Millie
642316	264037	Ardis
642316	331341	Landlady
642316	339707	Miss Lake
642316	404002	Judge (1976)
642317	336393	Amneris
642318	221055	Courtroom Spectator
642319	97411	Pestens datter
642320	200283	Woman in Sweatsuit
642321	178479	Gun Backman
642322	115269	Elisa Dixon
642323	112756	
642324	20625	Extra
642325	194098	
642325	276234	Ingrid
642325	287439	
642325	409463	Azafata (1972-1973)
642326	115206	Rosalinde
642326	182526	Káta
642327	237260	Lena, Johannes' friend at sch
642328	382321	Jane Lundberg
642329	218221	'Arvstwistarna' choir
642330	21385	Mrs. Elisabeth Almond
642330	182566	Friend of Margit
642330	214385	Malin
642330	354691	Märta
642330	377304	Henrika
642330	381054	Telephone operator
642331	182531	Rejected Woman
642332	205498	Woman
642333	84270	Actress
642333	178743	Marianne, Lennart's sister
642334	322437	Mrs. Berglund
642335	163496	Managers assistant
642336	199518	Irma, businesswoman in Bangko
642337	12011	Dagmar Randel
642337	404039	Teo's Mom
642338	210343	Herself
642340	386641	Water skier
642341	18085	
642342	107504	A Fairy
642342	215563	Servant
642344	114951	Therese
642345	333068	Marie
642345	343390	The nurse
642345	388309	Kristin
642346	322313	Kalle's mistress
642347	55323	
642348	322392	Maja
642349	315186	
642350	86071	Girl on Street
642351	207225	Laila
642351	306974	Rødhette/Little Red Riding Ho
642352	248425	
642353	139174	Tattoo Girl at Pool Party
642354	307768	Extra
642355	316985	Skolflicka
642356	84316	Polis
642357	346974	Else Britt
642358	108627	Hannah
642359	232282	Paramedic
642360	309064	Kringlan
642361	137570	Nurse
642362	22580	
642362	24785	
642362	53606	
642362	80134	
642362	89344	
642362	89350	
642362	104503	
642362	155122	
642362	155754	
642362	211997	
642362	248729	
642362	254214	
642362	267893	
642363	276336	Waitress
642364	153190	Gabe's novel montage
642365	102115	Waiter #2
642366	77873	
642366	367823	Herself
642367	157228	Mme Smith
642367	353839	Une mercière
642368	252335	Mirna
642368	272452	
642368	293972	
642369	40548	Alcestis
642369	41213	Yo-yo
642370	347794	
642371	130038	Maybelle
642371	177401	Dance Specialty
642371	178057	Specialty Dancer
642371	273726	Dance Specialty
642371	356269	Herself
642372	130038	Marie
642372	177401	Dance Specialty
642372	178057	Specialty Dancer
642372	273726	Dance Specialty
642372	356269	Herself
642373	80386	Kirsten
642374	101129	Simone
642374	198974	Linda Delgao
642374	205643	
642375	359622	
642376	359283	Sophie Klein
642377	50444	Extra
642378	24838	Grofica
642378	28401	
642378	34322	
642378	49703	
642378	58033	Sluzbenica
642378	81483	
642378	94062	Profesorka istorije
642378	137713	
642378	169100	
642378	172463	
642378	172464	
642378	183882	
642378	187365	
642378	195251	
642378	197097	
642378	217407	
642378	232599	
642378	244580	Elza
642378	246858	
642378	262220	
642378	273093	
642378	282737	
642378	301902	Zarkova majka
642378	310654	Socijalni radnik
642378	311362	
642378	356437	Stankova majka
642378	374646	
642378	375178	Sekretarica
642378	386526	Doktorka
642378	390660	
642378	394110	
642378	394111	Nastavnica srpskog jezika
642378	395457	
642378	396547	Mara ... Krletova cerka
642378	398883	
642378	400481	Elza
642378	401834	Gecanica
642378	402022	Snajderka
642378	403623	Andja
642378	404144	
642378	410442	Grofina Helena
642379	230451	Neli
642380	130720	Vivacious Guest
642380	307380	Poker Player, Paris
642381	257232	Waiting Woman on Plane
642382	105835	Fille 2
642383	155374	
642384	330204	Herself (rescuer, France)
642385	352040	
642386	284477	Dásenka
642387	302185	Kelly
642388	134796	
642388	155350	
642388	281729	Vivian Palmer
642388	347581	Ute Keller
642388	403792	Danielle
642389	119484	Bistro Waitress
642390	12849	Buchhändlerin
642390	91025	Ines Blum
642390	225284	
642390	391604	Elke Meier (#1) (1999-2001)
642391	20157	Olga
642391	21403	
642391	317494	
642391	317663	
642391	335018	
642391	360957	
642392	78015	Courtesan
642393	408234	
642394	59350	Courting Couple
642394	68063	Gloria
642394	94015	Denise
642394	128303	Annie
642394	134177	Carol
642394	158582	Defence Counsel
642394	193207	Pauline
642394	230024	Elaine
642394	349130	Young Marta
642394	390152	Kirsty McNeil
642395	191516	Christie Hines
642396	367054	The Wiz Singers Children's Ch
642397	264931	
642398	175791	Mrs. Turvey
642398	261570	Kilt Shop Manager
642398	407414	Mrs Mary Mack
642399	358535	
642400	109532	Herself
642400	315033	Herself (driver, #68 Chevrole
642401	6866	Chris Parker
642401	67349	Molly Lanford
642401	171351	Beth Tyler
642401	256234	Sharon
642401	389858	Dawn Winthrop #4 (1990-1991)
642401	400878	Annie Sloan (1992-1993)
642402	266547	Mr. Jones, Homosexual Neighbo
642403	60866	Lt. Ambrose
642403	231829	Cynthia
642403	326493	Lisa
642403	368321	Jill
642404	61576	Ginny
642404	87220	Brook Veneziano
642404	109632	Girl 2
642404	210786	Therapist
642404	251237	Corrine
642404	252123	Miss Levine
642405	184717	Young Girl
642406	203197	Herself
642407	118623	Disgusted Nurse
642408	302720	Herself
642409	80066	Burned woman
642410	16686	Mrs. Palish
642410	19282	Bess Bluestone
642410	45050	Donna Jo (Woody's California-
642410	51757	Record Store Customer
642410	51758	Mrs. Harris
642410	79448	Kitty Duarte
642410	134151	Anne
642410	155071	Mary Bellamy
642410	169677	Edna
642410	261559	Twin Oaks Customer
642410	330589	Ranu
642410	339463	Sarish
642411	260663	Miss Walker
642412	362663	Ronnie Sitmer
642413	301095	Narrator
642414	264157	Princess Alexandra
642415	384507	Dancer
642416	183517	
642417	73109	La Llorona
642418	128735	Herself
642419	396	Mariana
642419	65778	
642419	74691	Victoria
642419	92333	Casilda
642419	98976	Prostitute
642419	135110	Waitress
642419	212507	Maria
642419	226442	Tamara Cisneros
642419	353670	Gladys
642420	396	Vecina balcon
642421	402410	Maria Tereza
642422	55118	Blanca
642422	305734	Johnny's Girl
642422	395236	Miss Playboy TV Latin America
642422	396077	Herself (interviewed)
642423	162099	Fairy (Corps de Ballet)
642424	65640	
642424	92839	
642424	122738	
642424	139556	
642424	204706	
642424	251733	
642424	291045	
642424	323363	
642424	346897	
642425	64431	Lidia del Carmen Canales
642425	229423	Amanda
642425	247296	Domitila Faúndez
642425	386785	Doris
642425	388648	
642425	392992	Dolores Paoa
642425	397591	Nieves
642425	397735	
642425	398228	
642425	401481	Margarita
642425	402411	
642425	402686	Carmen
642425	403674	
642425	406852	Olga Marina Fábrega
642425	410204	Patricia
642425	410207	
642426	245717	Cashier
642426	329938	Flora Torres
642427	381902	2nd evicted
642427	386531	Conductora
642427	387805	Cecy
642428	12914	
642428	19305	May
642428	23661	
642428	28084	Cynthia
642428	31453	
642428	162112	
642428	169106	Josephine Bracken
642428	187125	Grace Cameron
642428	198720	
642428	204312	Maribel
642428	222108	
642428	223999	
642428	251737	
642428	281520	
642428	284634	
642428	284678	Mrs. Santiago
642428	325323	Paeng's Mother
642428	390873	Venus
642429	242083	Brazilian Capoeira Performer
642430	379459	
642430	389233	Marlen de Ordoñez (2001-)
642431	294526	
642432	399532	
642433	52074	Empleada Bancosol
642434	384507	
642435	199759	Bartender
642436	20625	Extra
642437	211518	Miranda
642437	391248	Chaka Cardenes (1994)
642438	278459	Female assistant
642439	134418	
642440	127094	Additional Voices
642441	339544	Woman on the Subway
642442	27627	
642442	288276	
642443	307193	Paola
642444	232206	Jill
642444	305734	Johnny's Girl
642445	296089	
642446	49150	
642446	112119	
642447	135074	Girl in airport
642448	57384	Cavewoman
642449	163765	
642449	284678	Tale
642449	285608	Toi's Wife
642449	387832	
642450	295285	Dira
642451	104170	
642452	317668	
642453	351281	Isabel Torres de Martinez
642454	9428	
642454	137583	
642454	172968	
642454	185734	
642454	205694	Maricris Sioson
642454	256098	
642454	283067	Bride
642454	297084	
642454	336004	
642454	390873	Helga
642455	55755	La Maravilla
642456	285322	Shauna
642457	35652	Danielle Ashley
642457	75395	PFCS Spokesmaid
642458	170478	
642459	323721	Extra
642460	249790	Dependienta
642461	551	
642461	8456	
642461	30388	
642461	32366	
642461	51629	
642461	52916	
642461	55911	Bernarda Alba
642461	75471	
642461	145254	Amparo
642461	146465	La conferenciante
642461	154543	Herself - Presenter: Best Sup
642461	184845	
642461	212441	
642461	269576	
642461	339130	
642461	343612	
642461	352130	
642461	355792	Doña Matilde
642461	371696	
642461	374046	
642461	376665	Señora Ernestina
642461	376767	
642461	409073	Doña Mariana
642462	551	
642462	3448	María
642462	5443	
642462	14409	
642462	52986	
642462	57439	
642462	65216	
642462	67364	Lola
642462	75499	Madre María
642462	83420	
642462	86451	Beatriz
642462	92347	
642462	100373	
642462	103692	
642462	105964	
642462	108135	
642462	117975	
642462	120706	
642462	121476	
642462	132675	
642462	135160	
642462	143702	Sor Benedicta
642462	148016	
642462	214224	
642462	236468	
642462	236759	
642462	242678	
642462	265157	
642462	332567	
642462	348931	
642462	355758	(segment "Aniversario, El")
642462	369748	Herself - Nominee: Best Actre
642462	369989	Herself - Best Supporting Act
642462	372365	Tía Gala
642462	378399	
642462	381152	
642462	404887	Carmen
642463	350138	Child
642464	350138	Child
642465	266010	Concepçión
642465	270066	
642465	270890	
642465	385031	
642465	385250	
642465	391422	
642465	393797	
642466	279271	Mimí Cordero
642466	296468	
642466	378971	Carmen Elena de Ramírez
642466	380249	Naty Del Avila
642466	387089	Adriana Rigores/Jimena
642466	392989	
642466	396896	
642466	397012	
642466	400839	Eva Julieta
642466	401067	Natalia
642466	401090	Consuelo Sánchez
642466	408389	Gabriela Castillo de Bustaman
642466	408747	Federica de Andueza
642466	411618	
642466	412133	Casta Benavídez
642467	25050	Chucha
642467	25680	
642467	51525	
642467	55053	
642467	72370	
642467	83511	Nicte
642467	85576	
642467	87622	
642467	103502	Laura
642467	153066	
642467	190408	
642467	192947	
642467	221560	
642467	222040	
642467	225704	
642467	234014	
642467	247174	
642467	272778	
642467	276143	
642467	282144	Julieta
642467	283138	Hija de Neron
642467	301186	
642467	317696	
642467	339129	
642467	355478	
642467	379653	Bernardita
642467	381153	
642467	384019	Chimoltrufia's mother
642467	385486	
642467	395885	Corina
642467	398848	
642468	334503	
642469	14570	Girl with hat
642469	193483	Ana
642470	244605	
642471	391359	Housekeeper
642472	381904	Herself
642473	12083	
642473	14426	Friend
642473	27951	
642473	153667	
642473	326307	Raquel
642473	369748	Herself- Presenter: Best New 
642474	78559	
642474	121732	Tía
642476	378916	Host (1979)
642476	380488	Herself - Host (1980-1981)
642477	171367	
642477	301577	Multitud
642478	351569	Fabiola
642479	42632	Mama del mudo
642480	156589	
642481	355259	
642482	134499	
642482	155597	
642483	97659	
642484	70090	Madre del bebe
642485	74809	Asunción
642485	146575	
642485	214256	Young Angela
642485	235721	L'Indienne
642486	202559	
642487	12503	
642488	83486	
642488	101890	Paqui
642488	134498	Soraya
642488	249671	Conchi
642488	259744	
642488	334678	Malena
642489	68748	
642489	132695	
642489	234388	
642489	270309	
642489	376712	
642490	207646	Chica de establo II
642491	101967	Joven Rockera
642491	105110	
642492	96376	
642493	103182	
642494	86817	Cris
642495	54069	
642495	336265	Putilla
642496	5268	
642497	57565	
642498	136994	
642499	13084	
642500	100384	Doña Guillermina
642501	226498	Miriam
642502	401884	Herself/- Finalist
642502	409922	Noemí
642503	64993	
642504	216303	Niña
642505	234324	Herself
642505	412126	Reporter
642506	213749	
642507	21583	Estudiante 3
642508	318260	Maureen
642509	55053	
642509	82225	
642509	83511	Rosario
642509	222040	
642510	205739	Cabaret Entertainer
642510	271855	Guest
642510	281608	
642511	300827	Gloria
642512	379210	Rosa
642513	383335	Juana Montes
642513	390745	Pachita
642513	392963	Doña Lucy
642513	395330	
642513	396392	Lola
642513	396601	
642513	396843	Doña Herta
642513	401097	Doris
642513	401106	Pastor's mother
642514	239276	
642514	269829	
642514	354449	
642515	75444	
642516	221739	Monja
642517	193082	
642517	263846	
642517	339134	Norma (episode El Ladron)
642517	340655	
642517	353972	Remedios
642517	379097	
642517	380539	
642517	380954	
642517	381156	
642517	384254	
642517	385475	
642517	386167	
642517	386296	
642517	388283	
642517	390869	Virginia
642517	392290	Mother Brígita
642517	392744	
642517	392851	
642517	395859	
642517	397021	Blanca
642517	399942	
642517	400490	
642517	402181	
642517	402219	Sister Bernardina
642517	403402	Marcela's mother
642517	404985	Aurorita
642517	405834	Carolina
642517	405869	
642517	409833	Aurora
642517	410474	
642518	279156	The maid
642519	13162	Mamá de Ulises
642519	64702	Alejandra
642519	64969	
642519	65011	Zezé
642519	74588	
642519	81610	
642519	98689	Rosa Xuncax
642519	100328	Luisa
642519	101882	
642519	104877	
642519	113996	Indian Girl
642519	122790	Hospital Nurse
642519	150543	Linda
642519	157157	
642519	158462	Mother Superior
642519	183519	
642519	198918	
642519	200542	Madre
642519	213408	
642519	214999	K'in's Wife
642519	235299	
642519	244592	Beata Conversa
642519	250796	Griselda Marcos
642519	252604	
642519	260560	
642519	296826	
642519	306695	Eva María Herrera
642519	341349	
642519	365198	Luz
642519	370099	
642519	376172	
642519	380054	Angélica Hinojosa
642519	385401	Nemoria
642519	386078	La Loba
642519	396211	
642519	397883	Lupe Espinos
642519	402404	
642519	409782	Rafaela
642519	410303	Estela Castillo
642520	247845	Joven Embarazada
642521	316551	Viola
642522	200353	Rivka
642522	295873	
642522	344997	
642523	217448	Classroom student
642524	136231	
642525	395658	Herself
642526	209303	Herself
642526	213292	Lisa
642527	337742	Myriam
642528	194343	
642529	144163	
642530	144163	
642530	194343	
642531	381690	Tüte (2002-2004)
642532	168133	
642533	168133	
642534	172856	Manuela Berger
642535	80393	Daughter of Coli
642535	352136	Leah
642536	215214	
642537	287215	Maris
642538	259718	
642539	369408	Ulrike
642540	138907	Gast in Uschis Club
642541	260597	
642542	410584	
642543	342962	Woman
642544	108455	
642544	245456	
642544	269115	
642545	409144	Herself - Anchor (2000-2002)
642546	246025	Lady at Party
642547	54108	Malke Reichman
642548	21173	Niniane
642548	62992	Belle
642548	133995	Mia
642548	134321	Paula
642548	146862	Mitzi Templer (nightclub sing
642548	191862	Gloria Morgan Vanderbilt
642548	292417	Mrs. Lennox
642548	295312	Lorraine Wade
642548	335880	Hillary Flammond
642548	340563	Mona
642548	342081	Micah Hill
642548	367482	Thelma
642548	390951	Lolly
642548	395525	Milliner/Sprouter/Young Fianc
642548	396080	Linda
642548	408234	Eve de Lancel
642549	13452	Briana
642549	19561	Fair Face
642549	77197	Susie
642549	122686	Lucy
642549	144384	Jo
642549	184853	Sophie
642549	194044	Annie
642549	359553	Lawyer
642549	396716	Sonja, Terry's girlfriend
642549	403590	Caroline Morrison
642550	53318	Student
642551	362453	Jogger by Lake
642552	106023	The Ringbearer
642553	156631	
642554	170389	
642555	381821	Ensemble (1985-1986)
642556	71821	
642556	224897	Rose
642557	237899	Mucama
642558	33669	Dora Lobo
642558	239922	Enfermeira Chefe
642558	367589	Isabella's Mother
642558	369497	
642558	387833	Tzipora
642558	389153	Laura
642558	396718	Nevinha
642558	397546	Estefânia
642558	411585	Dona Céu
642559	105532	Georg Thomas als Kind
642560	361114	
642561	122468	
642562	195901	Casey
642563	65759	
642563	105380	Fake Shemp
642564	118149	Víctima #3
642565	12568	Helga Imhoff
642565	98323	
642565	120025	
642565	122486	Liesl
642565	122493	Liesel
642565	142095	
642565	147147	Regerl
642565	147317	Uschi Reichert
642565	189690	
642565	225742	
642565	278159	
642565	292063	
642565	294167	Liesl
642565	365615	Ulli
642565	376355	
642566	284411	Buschgrossmutter
642566	371817	
642567	167684	Angela
642567	245625	Angela
642568	133163	Carole
642569	51932	
642570	268923	Sister
642571	116587	Récitante
642572	165759	Herself
642573	200437	
642573	252687	
642573	356143	
642574	134088	Mrs. Shem
642575	18288	Infirmière chef
642575	43758	Virginie
642575	83480	
642575	87497	Rose-Marie
642575	182949	African Woman
642575	291682	Isabelle
642575	307109	
642575	376939	L'infirmière de garde
642575	384578	Babylou
642576	37903	
642576	169280	Wanda
642576	178789	
642576	180866	
642576	217711	
642576	236606	
642576	264219	
642577	226877	
642578	14352	
642578	132832	
642579	293739	Soprano
642580	39205	Neighbor lady
642580	40441	Nurse
642580	45521	Mrs. Fisher
642580	46737	Miss Clarendon
642580	46777	Second Club Woman
642580	52492	Mrs. Joe
642580	67920	Mrs. O'Connor
642580	79290	Miss Clarke, Melvin's Secreta
642580	84977	Mrs. Murphy, landlady
642580	101277	Landlady (replaed by Helen Br
642580	105074	Maid
642580	105947	Trommy, Laurine's Maid
642580	139786	Mrs. Johnson, Maid Who Quits
642580	144989	Miss Mercer (secretary)
642580	151211	Miss Finch, Bill's Secretary
642580	167707	Emergency Room Nurse
642580	168119	Woman at the inn
642580	175175	
642580	199330	Young Girl with the Dressmake
642580	206355	Flora, Maid
642580	206469	Miss Simpson
642580	214961	Woman
642580	218714	Mrs. Bates
642580	223733	Tavern Proprietor's Wife
642580	224809	Mrs. Fischer
642580	231131	
642580	241134	Telephone operator
642580	245648	Minnie, Isaac's Wife
642580	250985	Cora
642580	257939	Maid
642580	263281	First Nurse
642580	285782	Emmy Lou
642580	289213	Harassed secretary
642580	300909	Policewoman Florence
642580	306798	Miss Halloway
642580	311016	Molly Cowin
642580	313793	
642580	315530	Hysterical Wife
642580	317980	Jane, the Cook's Helper
642580	329538	Mrs. Homer Beggs
642580	330141	Anne the Nurse
642580	330179	Mrs. Haviland
642580	331596	Matron
642580	343249	
642580	346248	Housekeeper
642580	367573	Mrs. Brown
642580	370566	Mrs. Tetley
642580	371076	Woman Bank Customer
642581	226877	
642583	51378	Herself
642583	236555	Chambermaid
642585	1805	Herself - Presenter
642585	2398	Herself/presenter
642585	2805	Herself
642585	13712	Elna Du Vaul
642585	22865	Bank Teller
642585	45453	Lena
642585	52443	Iesha
642585	55626	Ruby Moore
642585	57004	Sawyer (speaking)
642585	57673	Herself
642585	85834	Tina
642585	91228	Herself
642585	95779	Nikki
642585	135623	Linda
642585	139456	Dominique La Rue
642585	161267	Herself
642585	161277	Herself
642585	161364	Herself
642585	161388	Herself
642585	163523	Herself
642585	176778	Theresa Hopkins
642585	178446	Blossom
642585	186306	
642585	190859	Sylvia
642585	199564	
642585	212711	Herself (Liberian Girl video)
642585	252856	Darnell Russell
642585	283399	
642585	290319	Dina
642585	315190	Alice
642585	333322	Herself
642585	345728	Reader
642585	383802	Family Member
642585	385893	Roxy
642585	386338	Whitley Marion Gilbert Wayne
642585	388545	Juliet Mercier
642585	398213	Herself
642585	402605	Easter
642586	10415	Party Guest
642586	37581	Hotel Girl
642586	245199	
642586	253379	Waitress
642586	273077	Cindy Arnold
642586	300891	Violet
642586	365881	The Wench
642586	366903	Christabel
642586	383681	Mum
642586	391079	
642586	392019	Pansy Potter
642586	409783	Wendy
642587	272877	Lenore
642588	16255	Mrs. Anderson
642588	73333	Estelle
642588	102951	Alice
642588	121506	Nurse
642588	141389	Betsy
642588	155861	Customs Officer
642588	187147	Uniformed Policewoman
642588	217533	District Attorney
642588	220985	Nurse
642588	269800	Social Worker
642588	287728	Principal Compton
642588	299485	Cop #2
642588	336033	Producer
642588	363492	Wilt's Mom
642588	398175	Rita Simon
642588	406952	Mrs. Moreau (1998, 1999)
642589	185297	Featured player
642589	253047	Girl in Pigtails
642590	306496	Jeannine
642591	199944	L'hôtesse
642592	97844	Régine Douaire
642593	161277	Herself (sister)
642594	198517	Jennifer
642594	218776	Kim
642594	231078	Townsperson
642594	263236	Receptionist
642594	267501	Liz
642595	369195	Young Patient
642596	168324	Mary Morgan/Lillian Zahn/Good
642597	162306	Valerie, in Mireille's apartm
642598	68390	Soeur 15 ans
642598	229733	Marie
642599	96113	Lead Dancer
642600	338927	Hippie Girl
642601	2252	(segment "Teuf d'enfer, La")
642601	69380	Jeune catholique 1
642602	333845	Oncle Titane
642603	174763	
642603	189717	Babs
642604	366743	Townsperson
642605	70392	Girl in Gallery
642605	146729	Model Hostage
642605	164516	Neighbor
642605	215157	Taxi stealer
642605	252929	Mandy
642605	359454	Nurse 1
642606	81346	Spaz Girl
642607	252983	Henrietta
642607	321788	Ted's Cambridge Girlfriend
642608	364516	Anesthesiologist
642609	166195	Sofia
642610	96043	La nourrice Baïde
642611	60917	
642611	126256	
642611	129634	
642611	134298	
642611	208221	
642611	375105	
642612	14404	Adeline
642612	15062	
642612	207834	
642612	346463	Violette Pelletier
642612	353886	Play back Elisabeth
642613	332924	
642613	345085	Juliette
642613	409457	Isabelle (1984-1986)
642614	65383	
642614	243017	Nanette
642614	264436	
642614	266386	
642614	345463	
642615	158107	Susan Cain
642616	345209	Nicole
642617	408622	Sam
642618	199307	
642619	12242	Phyllis Carter
642619	41814	Marriage Counselor
642619	45548	Virginia Durr
642619	147967	Margaret Camden
642619	158274	
642619	196339	Mrs. Vale
642619	208661	Judge
642619	224337	Mrs. Stuart
642619	233636	Louise
642619	241762	
642619	275453	Mrs. Jean Bertier
642619	313382	Ghost Mom
642619	383654	Recurring (1982)
642620	152603	Worker
642621	6411	
642622	222995	
642623	164139	Angele
642624	45526	Francine Cummings
642624	139447	
642624	214928	Julie Weston
642624	294537	Barbara
642625	51784	
642626	140953	Foot lady
642627	131061	Kristy - Pennytree Girl #3
642628	41181	Joanne
642628	215507	Assistant Director
642629	7375	Laili Guli
642629	7376	Mayisha
642629	349453	Justysia Rychlinska
642630	104700	Host
642630	387958	Host
642630	394796	Host
642630	395684	Herself
642630	407377	Herself
642631	155912	
642632	2974	
642632	17583	
642632	33800	
642632	63588	
642632	163043	
642632	246965	
642632	250760	
642632	263636	
642632	273133	
642632	297861	
642632	298611	Lady Hilda Trelawney-Hope
642632	309008	
642632	320478	
642632	323221	Larissa Rossety
642632	349354	
642632	352450	
642632	357459	
642632	374795	Larisa Dmitrievna
642632	374796	
642632	386655	
642632	404577	Irina
642632	411981	
642633	209902	Mariyam
642633	396238	Masha
642633	396239	Masha
642634	63753	Nun
642635	412112	Lara Winter
642636	214662	School Child #2
642637	183079	
642638	155861	Cover girl
642638	195495	Bride Model
642639	154271	Mrs. Echevarria
642639	271363	Grandma
642640	240202	Gonzalez's wife
642641	268271	
642642	212960	Three-year-old girl
642643	31508	Little Girl
642644	234417	
642645	249268	Kidnapped Girl
642646	327254	Kim Sanchez
642647	14624	Girl on Couch
642648	380430	
642649	3419	
642650	368953	Old Woman
642651	108319	Girl at Market
642651	154271	Frosh Girl
642651	273423	Girl #1
642652	67953	Narrator
642652	251587	Narrator
642653	117230	Marissa 10 months
642654	223099	Herself
642655	314446	Massage Patient
642656	359554	
642657	117230	Marissa 10 months
642658	98800	English Woman
642659	383519	Alicia
642660	362952	Child; Singer, Child
642661	124535	Gypsy Woman
642661	342499	Flosshilde/Brunnhilde
642662	254242	Pat
642662	367891	
642663	385824	Maya Leano (2003)
642663	398196	Court Reporter
642664	195362	Stacey the Prostitute
642665	51624	Woman in Giants Village
642666	352004	Claudia Rosadon
642666	392208	
642666	408198	
642667	21598	Dra. Peralta
642667	124042	
642667	207977	
642668	30418	
642669	52756	
642669	131128	Doll
642669	335169	María
642669	383682	Margarita
642669	384985	
642669	397029	
642669	399625	Soledad
642669	400667	Maria Fernanda de Franco (199
642669	401106	Yadira Pacheco
642670	56357	
642670	235296	Lidia
642671	393836	
642671	395867	
642671	403686	
642672	8143	
642672	9786	
642672	14638	Vicky
642672	21713	
642672	48269	
642672	49726	
642672	57430	
642672	68061	
642672	68642	Marisol
642672	85920	
642672	91414	
642672	96370	
642672	99441	
642672	100525	
642672	102953	
642672	106207	Manuela
642672	124042	
642672	132704	
642672	135357	
642672	160192	
642672	161779	
642672	162784	
642672	165788	
642672	169771	
642672	171615	
642672	198998	
642672	207647	Diana Ballesteros
642672	209045	
642672	212070	
642672	212244	
642672	221664	
642672	222677	Rosa Sanchez, Strange's Maid
642672	233648	
642672	234001	
642672	234318	Princesa
642672	241524	Charo
642672	248297	
642672	249796	
642672	253665	
642672	286366	
642672	294336	
642672	294857	
642672	307574	Susana
642672	307809	
642672	328171	
642672	328536	Angela
642672	328610	Coquis
642672	332692	
642672	351170	
642672	351642	
642672	354774	
642672	357897	
642672	378485	
642672	380095	Gaby
642672	384395	
642672	392799	Dorita
642672	399707	Elisa
642672	407648	Ofelia
642673	100257	
642674	64431	Olga Primera
642674	70865	María
642674	106180	Dona Delfina
642674	234697	Clara
642674	247296	Mercedes Jorquera
642674	339196	
642674	387916	Madre Undurraga
642674	388648	
642674	392992	Virginia Saenz
642674	400419	Helga Schmiet
642674	401481	Josefina
642674	402411	Martita Silva
642674	403674	
642674	403686	Doña Julita
642674	406852	Mariana Montero
642675	371744	
642676	51528	Totoche
642676	69703	
642676	74629	
642676	87836	
642676	196737	Rosita
642676	206999	
642676	268250	Betty Baralli
642676	270612	
642676	339038	
642676	371733	
642676	387682	
642677	355943	Ivonne
642677	401881	Herself - Bandana
642678	51306	Patricia
642679	13451	Female noble #2
642679	210261	
642679	275277	
642680	6045	
642680	55910	
642680	66101	Doña Esperanza
642680	69023	Beatriz
642680	69476	
642680	86879	
642680	94592	
642680	100257	
642680	119861	
642680	125411	
642680	170271	
642680	183505	
642680	192947	
642680	204276	Elvira, paciente
642680	215232	
642680	221560	
642680	225010	Fidelina
642680	234355	
642680	257900	Hermelinda
642680	281691	
642680	287446	
642680	288060	
642680	353615	Silvia
642680	376813	Aunt Ernestina
642680	379131	
642680	379179	Esperanza
642680	379206	
642680	379256	
642680	379554	Elvira
642680	379904	
642680	380101	
642680	380322	Carlota
642680	381156	Rosario
642680	381169	Beatriz
642680	382378	Carmen
642680	383157	
642680	383665	Josefa Ortiz de Domínguez
642680	383669	Aurelia
642680	385031	
642680	385251	Virginia
642680	386786	
642680	388096	Aurelia
642680	388280	
642680	389790	Leticia (La Jarocha)
642680	389842	
642680	391848	
642680	392806	Nanda
642680	395707	
642680	396418	
642680	396855	
642680	396883	
642680	397304	Paz
642680	397572	Nana Nina
642680	397869	Mrs. Thernardier
642680	397883	Justina Aranda
642680	398452	Rosa
642680	398491	
642680	398798	
642680	399556	
642680	402405	
642680	403402	Doña Chana
642680	403741	Tomasa
642680	404238	Ana
642680	404284	
642680	404710	
642680	404985	Maura Montiel
642680	405319	
642680	405415	Eva Santana
642680	407648	Ofelia
642680	409290	Victoria
642680	409718	
642680	409719	Fidelina
642680	409789	Eugenia Landero (Mamá U)
642680	410327	
642680	411693	
642680	412186	
642681	54346	
642682	7920	
642682	83761	
642683	13005	
642684	101867	Chica desnuda
642685	195035	Modelo #2
642686	380088	Esmeralda Peralta
642687	285478	
642688	84095	Guzmán, Nora
642689	370093	
642689	376716	
642690	205430	
642691	4656	(segment "Mundo mágico")
642691	52237	La cholita
642691	148028	
642691	156309	L'étudiante
642691	168666	Madre Johnny
642691	197549	
642691	211993	
642691	212395	
642691	222404	
642691	234000	Magui
642691	339885	Carolina
642691	356960	
642691	377902	Tupamaro militant
642691	379210	Amanda
642691	379896	
642691	380096	
642691	380162	Marcela Barra
642691	380210	Directora
642691	383774	Chita Balmaceda
642691	383812	
642691	384984	
642691	386555	
642691	387273	
642691	391418	Ana María Zelada
642691	392959	Valería
642691	392986	Gabriela
642691	395867	
642691	400715	
642691	404707	Inés
642691	410316	
642692	96335	Madre de Seferino
642693	215499	Charito
642694	131128	Queen
642694	396216	Homaira
642694	397499	
642694	403262	Ximena
642695	379457	Teresa
642696	393028	Leandra
642696	396214	Modesta viuda de Cosío
642696	401694	Caridad López
642696	405835	Eva Rodríguez
642697	326178	Reportera #2
642698	1179	Denisse
642698	379905	Verónica
642698	380065	Barbie
642698	380963	Faby Wolf
642698	383471	Gilda Esparza
642698	387685	Juliana Valencia Montes
642698	405318	Sabina Reyes Castellanos
642698	408855	Carolina (1999, 2000)
642699	69881	
642699	120990	
642699	217124	
642699	322543	
642700	369005	Marysia
642701	235541	Sarah Lawrence Girl
642702	381893	Caroline (1992-1994)
642703	38154	
642703	258560	Koka
642704	7526	Anna
642704	8481	
642704	38154	
642704	53016	Paulina
642704	57018	
642704	74691	Monica
642704	90725	
642704	163656	
642704	231850	
642704	270864	Ginestra, fidanzata di Edoard
642704	340424	
642705	117016	Latex Girl
642706	108093	Maria
642706	108722	Madame Giry
642706	248513	Carmela
642706	281910	Gianna
642706	311676	
642706	327912	Bertha Poffy
642706	386771	
642706	402621	
642707	359063	Mario's friend's girlfriend
642708	53026	
642709	138863	Lucy van Pelt
642710	36611	
642711	17810	Hedwig
642711	28781	Daria
642711	52893	
642711	89578	Contessa
642711	161535	Margaret DeMarco
642711	316798	Lorna
642712	157310	
642713	387621	Diana
642713	404075	
642714	206048	Child
642715	94324	Kareen
642716	376971	Mme Le Garrec
642718	8627	
642718	59267	Une dame
642718	67180	La femme du baron
642718	99368	La première bonne
642718	199596	Mme. Dupré
642718	207771	La mère de Riri
642718	219498	L'Inspectrice
642718	235821	
642718	377019	
642718	380971	Herself (Finalist, 43 days, K
642719	356391	Une voisine
642720	51675	Jeune Pute
642721	277726	
642722	262995	
642722	407356	Véro
642723	340486	Woman in High Heels
642724	101163	
642725	208218	
642725	224903	Une boutiquière
642726	409447	Marie
642727	166126	Agent's Secretary
642728	344885	
642729	2252	(segment "Anniversaire, L")
642730	100115	La grand-mère d'Eugène
642731	67233	Micheline
642731	123518	Ginette
642731	249209	
642731	404018	Lise-Anne
642732	282483	
642733	10186	
642733	23602	Nadine
642733	38396	
642733	43715	Anna
642733	45134	Starlette
642733	55113	
642733	57022	
642733	76153	Clo Albrini
642733	96053	Claudia Christiani
642733	124566	Ann
642733	169565	Marthe
642733	218531	Sylvia
642733	240340	Starlet
642733	291551	Susanna
642733	309408	
642733	319995	Michele Sire
642733	351884	Florence
642733	353145	Driana
642733	381622	Lilletta (2001-2002)
642733	402577	
642734	110146	La logeuse
642735	331206	Bar Bitch Girlfriend
642736	22681	Amazone César
642737	235728	Esméralda
642737	354909	Herself
642738	340191	
642739	120970	
642739	148753	Mere d'Armand
642740	10986	La Serveuse
642740	16598	Pauline Toulouse
642740	32266	Ariane
642740	67075	Maude Graham
642740	164193	Mimi
642740	181951	Geneviève
642740	207995	Linda
642740	389304	Nicole
642740	398172	
642740	400899	Lucie Jobin
642740	405284	Johanne Gagnon
642740	410067	Christine Pouliot
642741	201102	Mme Bouchard
642741	385348	Marie-Ange Couture
642741	402536	
642742	23646	Patricia
642742	71817	Monique
642742	99375	La jeune paysanne
642742	99912	Nouky
642742	130756	La fille à la jupe fendue
642742	169156	Maya
642742	170468	
642742	184055	Blandine
642742	227317	L'esthéticienne
642742	248260	Caroline Barthélemy
642742	267878	Aline, la serveuse
642742	269073	Minou
642742	324616	
642742	337734	Mme Guilabert
642742	386476	Sandra (segment "A brève déch
642742	388439	Martine Fargeot
642742	389143	Ursule Macquart
642742	402577	
642742	411699	Michèle
642743	48933	Minolta
642743	380196	Valéria
642743	388065	Ivanka
642743	409419	Vida Alves
642744	214797	Catherine
642744	249707	
642745	80253	Natalia Bertoni
642746	33967	
642746	54824	
642746	85960	Elena
642746	89737	
642746	145256	
642746	193355	
642746	249888	Lilia
642746	309156	
642746	318903	Jake's secretary
642746	332970	
642747	4553	
642747	10254	
642747	52715	Carmen
642747	55926	
642747	70649	
642747	74559	Panchita
642747	82249	
642747	91360	
642747	145144	
642747	167075	Jesusita
642747	170919	
642747	189033	Isabel
642747	193076	
642747	193341	
642747	197972	
642747	199784	
642747	225013	
642747	231288	
642747	234360	
642747	235048	
642747	275081	
642747	278942	
642747	296482	
642747	306821	
642747	357908	
642748	379133	Monja
642749	233989	Ticket clerk
642749	277415	Kristin
642750	137097	Bank director's wife
642751	253218	
642752	44378	
642753	406611	Herself - Finalist
642753	406612	Herself - Participant
642754	286242	Hildur
642755	870	
642756	182308	
642757	247983	Natia
642758	338621	Violetta Valéry
642759	134301	
642760	224956	
642761	350109	
642762	75558	Dancer
642763	2974	
642763	265640	
642764	30506	
642764	34228	
642764	95070	
642764	95071	
642764	95072	
642764	198143	
642764	239364	
642764	242479	
642764	261323	
642764	261667	Vera
642764	263257	Svetlana
642764	293897	
642764	323332	
642764	332996	
642764	357213	
642764	382445	Polina
642764	403857	
642765	268791	
642766	281196	Shopper
642767	65757	Petrol Station Cashier
642767	80501	Martin Urban's secretary
642767	285033	Lizzie
642767	292593	Rose
642768	97680	Herself (Peter's Mother)
642768	132527	Herself (Peter's Mom)
642768	326871	
642769	168326	Ms. Horigan
642770	390771	Margaret Sedwick (1979-presen
642771	69168	Host
642772	131232	Extra
642773	35392	
642774	151760	Helen Schlegel
642774	329369	
642774	391130	
642774	404317	Charlotte
642775	9884	Mrs. Ayers
642775	33376	Dorothy Thompson
642775	132530	Mrs. King
642775	165924	
642775	265171	Donatelle
642775	330707	Jessica
642776	142716	'Family' girl
642777	150468	Old Woman in Mortuary
642778	183009	Mrs. Ludwig
642778	245040	Mrs. Cage
642778	354884	Receptionist
642778	363911	Waitress
642779	35841	Beautiful girl
642780	322667	Shun
642781	340608	
642782	201858	Herself - Emeric's daughter
642783	138864	Sandy
642784	60189	
642784	329388	Crying Girl
642784	367825	Suicide Girl
642785	65973	Woman in Bar
642785	171227	Flight Attendant
642786	352517	Eleanor
642787	97458	Bess's Mother
642788	392693	Host
642789	6151	Mrs. Gaines
642789	20901	Jane Jennings
642789	26146	Frances Carlyle
642789	27294	Tibby Mason
642789	37100	Joan's friend
642789	39342	Elaine Winslow
642789	39494	Jean Sovac
642789	40477	Kitty Kelly
642789	46302	Candy Allen
642789	47294	Pearl
642789	52498	Nancy Craig
642789	59648	Miss Larkin, Charlie's Nurse
642789	90308	Susan Blair
642789	90858	Rita, the girl
642789	100686	Midge
642789	110237	Eileen Stevens
642789	115064	Sonja [Chs. 6-12]
642789	118718	Girl
642789	120726	Chris Prentice
642789	127114	Phyllis Beecher
642789	129107	Julie Mason
642789	134059	Josephine Weaver [Ch. 3]
642789	148933	Cecile Blades
642789	150916	Rita Hussman
642789	154561	Brooke
642789	164977	Doris Daniels
642789	175210	Herself
642789	176805	Judy Parker
642789	177431	Jane Kerrigan
642789	183358	Gerry Vail
642789	191588	Blonde Girl
642789	203036	Doris Blair
642789	210403	Patricia Reynolds
642789	210801	Jane Baxter Scott
642789	216716	Marion Barker
642789	218715	Marion Corbett
642789	222660	Nan Kirkland
642789	231390	Sylvia Dana
642789	239399	Janet Rankin
642789	247547	June O'Carroll
642789	253095	Sonja
642789	254510	Dr. Nancy Arlington
642789	267542	Female spy in Arboria
642789	277844	Anne Shaw
642789	279299	Patricia Leavitt
642789	287296	Millie
642789	302396	Laura Kirby
642789	309827	Dixie Holister
642789	312001	Jenny
642789	316046	Kit Logan Church
642789	326795	Ruth Cannon
642789	332874	Ritth
642789	335852	Pat Warren
642789	346863	Kitty (showgirl)
642789	359748	Mary Morgan
642789	360537	Nina Lambert
642789	361070	Paula Clayton Reed
642789	372360	Kit Bellamy
642789	402401	Prosecutor's assistant (1947-
642790	163321	Carlotta, Ruth's mother
642790	320320	
642790	371083	Virginia Dale
642791	149910	Victoria Barking
642791	211352	Portia
642791	258057	Judith
642791	275445	Jamie's Wife
642791	292701	Emma Faraday
642791	383219	Bridget Bartholomew
642791	387022	Alex Pates (1990-1991)
642791	392008	Narrator (2001)
642791	397493	Supt. Susan Blake (2001-2002)
642791	398020	
642791	399381	Dr Robyn Penrose
642791	401077	Dr. Joanna Graham (1999-2000)
642791	401725	Coco Courtnay
642791	404699	Emma Faraday
642791	408273	B. B. Miller
642792	69481	
642792	316946	Goldwyn Girl
642793	187685	
642794	209616	Principal Boy
642795	12207	F. You Woman
642796	151461	Tour Girl
642796	176723	Woman Secretary
642796	400208	
642797	52681	Young Maggie
642797	192171	Nora
642797	397707	Philippa Frazer (1989-1991)
642798	240754	Guest
642798	385299	Miss. Bristow
642799	222687	Mary
642800	17079	Lucifer
642800	178150	Egér
642800	294160	
642801	6501	
642802	181766	Dalai Lama's Mother
642802	376976	Herself
642803	218341	Tuppa Girl
642804	42927	
642805	113092	Herself
642806	48670	
642806	237322	Titkárnõ
642806	322014	
642807	4017	Additional Voices
642808	76350	
642809	170541	Audience/Streetgang
642810	29905	En af forældrenes venner
642811	171127	Jeanne
642812	155614	Vali
642813	209327	Violonist
642814	155955	
642814	346902	Hungarian Singer
642815	385546	Court Lady Choi
642815	388007	
642816	216409	
642817	23704	Secretary
642817	387493	Judit
642817	412259	
642818	81339	Nurse II
642819	2588	Jacqueline, Painriches syster
642819	28099	
642819	182540	
642819	193298	Johanna, maid
642819	305874	Hooker #3
642820	185621	Girl at Shelter
642821	111313	Barátnõ
642822	1117	
642822	9454	
642822	10401	
642822	16965	
642822	97974	
642822	110702	
642822	122380	
642822	122538	
642822	136433	
642822	138393	Apáca
642822	153679	Ica
642822	237176	
642822	322199	
642822	328970	
642822	334026	Forester's wife
642822	377748	Secretary
642823	64756	Newsman
642823	343750	
642824	406289	Herself - Host
642825	154509	Guest at the hotel
642825	172787	Karin
642825	182302	Girl
642825	307760	Guest
642826	209085	Villager
642826	272246	Harem Girl
642826	373371	
642827	340272	Isabelle
642828	233584	Receptionist
642829	146617	Maija
642829	156040	
642829	182218	Ilona
642829	241216	Marja
642829	388912	
642829	392164	Hanna Sundelius (2000)
642829	394538	Inka Wuolijoki
642829	400356	Christina Forsius
642829	407198	Tyttö
642830	164784	Fanny
642830	182302	Lisa
642831	2476	Sam
642831	2894	Herself
642831	6219	Caroline Cunningham
642831	35647	Herself
642831	55937	Jennifer
642831	57560	Raven
642831	69391	Debbie
642831	73330	Valerie
642831	78176	Patsy
642831	90772	Elizabeth Darko
642831	133730	Emme
642831	138778	
642831	148440	Christina
642831	158144	Herself
642831	217745	Giselle Levy
642831	218364	Zee
642831	250779	Lorraine Thomas
642831	254876	Mira
642831	260790	Sidney
642831	276427	Mary
642831	278082	Amelia Forrester
642831	292715	Lee Holloway
642831	297179	Sherry Swanson
642831	297781	Clothes clerk
642831	360055	Maggie Ruth
642831	405038	
642832	107306	Girlfriend
642833	28628	Scheherazade
642833	84270	Young woman
642833	95066	Comic Lady in Circus
642833	129179	Anne-Marie
642833	134965	Sonja
642833	154509	Guest at the hotel
642833	164770	Nurse
642833	180076	Ms. Tillman
642833	181850	Stolt's Date
642833	193390	Ingrid alias Valencia
642833	214362	Liselotte Renning
642833	223187	Blanche
642833	237258	Hillevi Munthe
642833	307760	Secretary
642833	312697	Anna-Lisa Wennerberg
642833	315352	Lisbeth
642833	322311	Anne-Marie Beronius
642833	322664	Clerk at Bewe & Zoll
642833	337888	Restaurant Guest
642833	347025	Maud von Rehnsköld
642833	357799	Barbro
642834	108975	Vera Boman
642834	134472	Margareta Siljeberg
642834	135672	Sonja
642834	142780	Gunnel
642834	153769	Margit Söderberg
642834	154565	Woman in haystack
642834	159635	Imber Ersson
642834	182546	Ann-Marie
642834	184000	Inger Lind
642834	187619	Greta Berg4
642834	192926	Anna
642834	225671	Barbro
642834	237265	Counsellor Gran
642834	239900	Anne-Marie
642834	266362	Hanna
642834	302152	Rut Persson
642834	307770	Elisabeth Kallander
642834	313015	Viveka Svensson
642834	322310	Annika
642834	333050	
642834	353022	Ylva Markner
642834	380892	Poor relief worker
642834	382452	Elisa
642834	408998	Fru Enhammar
642834	408999	
642835	42208	Student
642836	20684	Trina
642837	379259	Herself - Gadepræst
642838	385979	Programleder
642838	399877	Prest (1996-1997)
642839	79148	Darwin's child
642839	381661	Hill's Angel (1981-1982)
642840	369859	Martha
642841	156557	Zoé
642841	381912	Herself (#Winner 2004)
642842	288007	
642843	161966	
642844	20882	Gwen Lee
642844	41903	Mary Griffin
642844	42025	Jeanette
642844	44427	
642844	45681	Roberta
642844	49258	Jane Sinclair
642844	52208	Wenda
642844	68491	Sylvia Meadows
642844	73666	La Palermo
642844	73967	Rosie
642844	78827	Diana Stuart
642844	80994	Vivien Warren
642844	84129	
642844	85071	Peggy Mason
642844	96957	Pat Parsons
642844	117351	Mme. Simonetta
642844	117999	Vere Litchen
642844	154880	Claudette Ambling
642844	154931	Herself
642844	163275	
642844	163635	Stella Ferris
642844	185081	Maria
642844	185169	Julie Rendle
642844	185414	
642844	193622	Mrs. Barry
642844	213041	Mary Carlton
642844	219375	Annette Manning
642844	220916	Elsie Silver
642844	221075	Isobel Lester
642844	224414	Gloria Marsh
642844	235226	Herself
642844	278515	Cora Ann Milton
642844	279303	Maria
642844	281422	Hilda Westby
642844	283461	Anita Peshkin
642844	292123	Yvonne
642844	293091	Penelope Toop
642844	296215	Madamoiselle Julie
642844	296815	Countess Loradona Camponiello
642844	297888	Frankie Barnes
642844	307431	Crenshaw
642844	322312	Kaj Klint
642844	323446	Phillipa Shelley
642844	331625	Sophy Burgoyne
642844	335344	Marie DuSchen
642844	335582	Marjorie
642844	342846	Diana
642844	363697	Louise
642844	367004	May
642844	387442	Carol Quorum
642845	104326	Kate
642845	185639	Skating Party G
642847	248246	Mme Dussaux
642848	204257	Betty
642849	68829	
642850	357936	
642851	326565	
642852	323594	Ellen Lubar
642853	267163	Dancer #1
642853	273223	
642853	322186	
642854	144992	Phillipe's crew
642855	366947	WAC
642856	4799	Franziska
642856	16195	Vera
642856	17005	
642856	35879	Voníková
642856	40427	Mother
642856	147224	
642856	147226	Pácaltová
642856	149684	Zifie Rottová
642856	151875	Lenka
642856	167310	Valentová
642856	224959	Drahuna
642856	227773	
642856	230466	Vlasta
642856	237203	
642856	281026	Fryna
642856	286736	Head nurse
642856	305825	Kalábová
642856	320730	Nurse Daniela
642856	322675	Bobina
642856	333306	Emily
642856	352910	Marie
642856	356070	
642856	364904	Eva
642856	375428	
642856	405729	Laura
642857	13456	
642857	14363	
642857	14720	
642857	14842	
642857	14845	
642857	54145	
642857	68556	
642857	73521	
642857	82344	
642857	90975	
642857	108504	
642857	112644	
642857	115760	
642857	131174	
642857	146368	Louisette
642857	199771	
642857	205269	
642857	227588	Rosella
642857	227617	Nennella
642857	247904	
642857	251628	
642857	253258	
642857	255121	
642857	261888	
642857	281824	
642857	294006	
642857	296533	
642857	307461	
642857	317717	
642857	351058	Pupatella
642857	353647	
642858	155453	Dancing Secretary
642859	184640	
642860	376650	Margit
642861	401701	
642862	272384	Chlen na komisiyata
642863	227533	
642863	375645	
642864	377126	Juli
642865	28537	Tanuló
642866	96201	Déryné
642866	96386	
642866	102539	
642866	136595	Leila
642866	182873	
642867	182668	Piri
642867	378582	Juliska
642868	254294	
642869	149918	
642870	350833	
642871	349595	
642872	350833	
642873	243800	
642874	152385	Postás
642875	171603	
642875	357822	
642876	322241	Ficzek felesége
642877	171606	
642877	371289	
642878	322068	Wibra Anna
642878	353280	Pénztárosnõ
642878	357831	Balassa grófnõ
642879	43186	
642879	74422	András elvált felesége
642879	82031	
642879	110699	
642879	171603	
642879	179852	
642879	229750	
642879	237164	Mari
642879	322192	Celia
642879	377144	Kalmár Mária
642879	377883	Krisztina
642879	378041	
642879	394749	(episodes 2-9)
642879	402220	Rozsika
642880	111313	Ede felesége
642881	51220	
642882	28341	Piroska
642882	43112	Ditta
642882	97983	Alice
642882	104051	Kornél szerelme
642882	225438	Irma
642882	281131	
642882	322013	Dódi
642882	327210	Mathilde Verlaine
642882	354620	
642882	373617	
642882	375968	Maj. Piroska Szabó
642882	377739	
642883	35558	(segment Ákos és Zsolt)
642883	97060	Marie
642883	107672	
642883	322025	Jegyszedõnõ
642883	381345	Bence anyja
642883	394880	Klotild
642883	398849	Paula
642884	16965	
642884	17080	Aranka
642884	28347	
642884	225504	
642884	229710	
642885	200600	Herself
642885	322099	Bernadette nõvér
642886	289372	Featured Extra
642887	168882	
642887	229037	
642887	309192	
642887	371435	
642887	374777	
642888	233279	
642889	3064	
642890	378577	
642891	41391	Adélka
642891	162021	Martin's mother
642891	165836	
642891	229469	
642891	229759	Bauerová
642891	357634	
642892	97969	
642893	98016	Péter lánya
642894	188936	
642895	378529	
642896	178232	Julia Santiago
642897	357819	
642898	174279	
642899	377761	
642900	375162	Csárli felesége
642901	182794	
642902	395885	
642903	53838	
642903	103630	Lisa
642903	334469	Gabriela
642904	132675	
642905	156095	Herself
642905	319655	
642905	384862	Host
642905	396648	Host (1999-2000)
642905	399619	
642905	403923	Host
642905	407735	Newsreader (1990-1991)
642905	410382	Hostess
642906	148059	Elena
642906	181759	Alicia
642906	301163	
642907	5443	
642907	69474	
642907	96284	
642907	194624	
642907	212490	Cliente de la cafetería
642907	339122	
642907	355479	
642907	357533	
642908	267050	
642909	284621	Latino Woman
642910	3477	
642910	69329	
642910	379899	
642910	397499	
642910	397592	Merlina
642911	18836	Dependienta
642911	23873	Flamenco Teacher
642911	31513	Ana
642911	31548	Dehiva
642911	61146	
642911	63535	Ana
642911	71160	Marta
642911	75186	Natalia
642911	84369	Ofelia
642911	103763	Cosita/Paulina
642911	105883	Lt. Ira Bowman
642911	107118	Anna Palacios
642911	114876	Isabel Rodriguez
642911	149128	Marilda
642911	151810	Lucía
642911	180421	Mira
642911	197156	Julia
642911	226435	Rubia
642911	246871	Tía Marisa
642911	249910	Abogada Leardi
642911	254987	Teresa
642911	276565	Cristina de León
642911	277393	Gabriela
642911	278425	Lorena
642911	281618	Mireia
642911	282259	
642911	317745	Virginia
642911	325324	Bicho
642911	342149	Ruth
642911	369748	Herself - Nominee: Best New A
642911	392027	Dra. Ana Ortiz (2002)
642911	392032	
642911	401688	Charo
642911	402602	Marta
642911	404708	
642911	405498	
642911	407540	Marcela
642912	71003	
642912	73524	
642912	74562	
642912	74639	
642912	85901	
642912	101920	
642912	115741	
642912	124662	
642912	169560	
642912	202217	
642912	202618	
642912	205197	
642912	212461	
642912	225059	
642912	248239	
642912	248291	
642912	273842	Juez (segment "Eutanasia o as
642912	284942	
642912	286420	
642912	294335	
642912	339195	
642912	376639	
642912	376803	
642912	379096	
642912	380839	
642912	381156	
642912	382378	Paula
642912	383105	
642912	383329	Amparo
642912	384245	Pastora
642912	385943	
642912	386660	
642912	388094	
642912	397594	Sofia
642912	401203	Isabel
642912	402190	Eugenia
642912	403786	
642912	408586	
642912	409812	Catalina
642912	409913	Laura
642912	410081	
642912	411694	Amparo
642913	221662	
642913	247844	Pechuga
642913	399024	
642914	47611	
642914	53640	Herself
642914	85561	
642914	115022	Herself
642914	186671	
642914	212414	
642914	222840	
642914	284096	
642915	12055	
642915	170277	
642916	102950	
642917	207656	
642918	264264	Licenciada
642919	28277	
642919	52601	
642919	88984	
642919	159187	
642919	197442	Pepe Nieto
642919	212526	Angeles
642919	217400	Sabina
642919	221559	
642919	234311	
642919	268493	Capitana
642919	285241	
642919	296493	
642919	354903	
642920	70599	
642921	17540	
642922	141754	
642923	349036	
642924	14159	Suzanne Sandor in family pict
642925	89506	
642926	14159	Stewardess
642926	111313	Titkárnõ
642926	177935	Fizika tanárnõ
642926	180112	Metróellenõr
642926	238644	Gesellschafterin der Gräfin d
642926	248246	Cristina
642926	272276	Rózsi
642926	407241	Mónika
642927	19392	Szarka
642927	182645	Anett
642928	140712	
642929	11822	
642929	259542	Offiziersschülerin
642929	259583	
642929	289931	
642930	166763	Schulorchester
642931	11818	
642931	24602	Piel
642931	45985	
642931	65097	Alice
642931	101332	
642931	210054	
642931	219339	Tante Pia
642931	231465	Barbara
642931	259513	Gina
642931	259552	Helga
642931	259590	
642931	259692	
642931	290043	
642931	389955	Dr. Müller
642931	392669	Ursula
642932	361498	Nicole
642933	228405	Sofia
642934	380392	Evelyn Krings
642934	403146	Eva's mother
642935	324795	A Child
642936	114951	Angelina
642936	394736	Lena
642936	406271	Petra Stenberg
642937	178753	Gun Andersson
642938	144151	Nicole
642938	147517	Elke
642938	155474	Birgit Freuliz
642938	189816	Gudrun Elsässer
642938	325451	Anette Bille
642938	325527	
642938	325585	Bettina Stellmacher
642938	381694	
642939	357779	Mädchen (1951)
642940	249336	1st Squire
642941	56545	Herself
642941	111760	Ella
642941	227778	
642941	359660	Ines
642942	399177	Beatrice 'Bimbo' Brendel (# 1
642942	402440	Herself/Host
642943	123948	Marie
642943	134799	
642943	164824	Susanne Tarrach
642943	225732	
642943	290278	
642944	341810	
642945	4594	Vocal backing group
642945	275884	Bea
642945	405594	Eva Hjort
642946	122484	Malin
642947	174974	
642948	58358	Bözsike, tánctanárnö
642948	74426	
642948	96201	
642948	96466	
642948	99523	
642948	136393	
642948	177931	Kati
642948	377133	Nõ a stégen
642948	407232	Jolánka
642948	410331	
642949	232766	
642949	346713	Elsie
642950	13098	Lea
642950	86428	Marylou
642950	103203	Vanessa
642950	118931	Elizabeth
642950	132763	Sylvette Landry
642950	148650	Claudia
642950	235863	Anne
642950	248900	Madeleine
642950	249256	Sabine Clement
642950	267652	Fiona Gelin
642950	294599	Vicky
642950	324616	Élodie
642950	336969	Lucienne
642950	345256	
642950	346675	
642950	387848	Nicole
642951	108633	Ekdahlska huset
642951	214035	
642951	218534	Tirke
642951	346537	Louis' Friend
642952	353929	Soeur Diane
642953	51675	Punkette
642953	106597	Cafeteria Girl
642953	383863	Moon Shadow
642953	410792	Cas Crowfeather
642954	311	
642954	17110	Lolly
642954	56950	Marguerite de Valois
642954	57236	Elizabeth Werner
642954	59315	Béatrice
642954	62815	Viviane
642954	66739	Lola
642954	71947	Sandrine Hertaud
642954	86244	Maria
642954	94245	Inspecteur Camille Barski
642954	119491	Isabel Moreau
642954	125738	Laurette
642954	164145	Chantal
642954	195157	Duchesse de Chatillon
642954	199717	Germaine
642954	205768	Mme de Polignac
642954	217224	Catherine
642954	220334	Centaine
642954	229052	Lucie Mandel
642954	248055	Sandra
642954	248894	Sophie
642954	249763	Valérie Simon
642954	268820	Noémie
642954	274803	Eve
642954	318512	Elisabeth Martini
642954	336954	Marine
642954	339899	
642954	349378	Marie
642954	376939	Elle/She
642954	399811	Agnès/Julie
642955	72367	Louise Coyote
642955	122871	
642955	161765	Ghislaine
642955	238426	Chaperon Rouge/Institutrice
642955	257434	Herself at the Cocktail
642955	264026	
642955	382240	Nancy
642955	407873	Annouk Jacquemin
642956	133684	
642957	387668	Josette Fort
642958	51425	
642958	192820	
642958	269166	
642958	355280	
642959	75207	Dancers
642960	5159	Jeanne Larivière
642960	22634	Mother
642960	23791	Pierrette, la soeur du mari
642960	28515	
642960	32279	Geneviève
642960	51067	Lady Melbourne
642960	54298	Gisèle d'Angoulême
642960	55598	Simone
642960	68896	La Carconte
642960	92680	Marguerite
642960	101138	Nelly
642960	111368	Herminie
642960	112803	L'Airelle
642960	149193	Gisèle Morland
642960	164169	Mrs. Golovine
642960	195241	Henriette
642960	202242	La visiteuse
642960	204654	Wife
642960	218274	Sylvie
642960	268395	Delphine de Nucingen
642960	281960	Miss Bentley
642960	353853	Hélène
642960	357855	Jeanne Donge
642960	400407	Mme Dujardin (segment "Jane")
642960	409440	Mme Perdriel
642961	251532	Une fille de cuisine
642962	7449	La fille Sauton
642962	8214	
642962	8986	Jeannette
642962	13875	Embassy Guest #2
642962	33530	Mme Zoutin
642962	33577	Annette, la bonne
642962	33615	La femme de chambre
642962	47158	Estelle
642962	54804	Madame Brossard
642962	57517	Geneviève
642962	64715	Catherine
642962	79847	
642962	82920	
642962	83279	
642962	87902	La speakerine
642962	96078	
642962	96097	
642962	111076	
642962	111867	Rose
642962	129216	Une dame du jury
642962	153885	Caretaker
642962	169345	Rose
642962	192820	Germaine
642962	199602	Louise, la bonne
642962	205243	
642962	205767	Une émeutière
642962	254308	
642962	262924	La princesse
642962	264524	La patronne de l'auberge
642962	266392	L'ouvreuse du théâtre
642962	268879	
642962	269145	Rose Malaterre
642962	278870	Madame Monnier
642962	287595	La cliente de la voyante
642962	305327	La concierge
642962	309983	Solange, l'épicière (segment 
642962	345020	Mrs. Ethel Henderson
642962	346441	Isobel Bliss
642962	377006	Zézette
642962	396370	
642962	409536	
642962	410139	Germaine
642962	412201	
642963	8915	Tante Louise
642963	33615	Varbara Ostovska
642963	33629	La grand' mère
642963	37903	
642963	47158	Mamouret
642963	55595	Mme. Pelletier
642963	60497	
642963	73183	Mme Raskolnikov
642963	83215	
642963	84188	Mme Moretti
642963	86424	
642963	89965	Mme de Fallec
642963	96093	Mme. Morand
642963	112799	Mme. Pons
642963	120670	Madame Delobelle
642963	122133	Marie Girbal
642963	124324	tante Sylvestre
642963	125109	
642963	129636	
642963	132607	
642963	140282	Tante Anna
642963	148642	Mme. Milleris
642963	148668	Mother Boulard
642963	157306	Hélène Ravenel
642963	166365	Marceline
642963	169290	
642963	195212	Marianna
642963	204656	Baptistine, la Piémontaise
642963	206663	
642963	211492	Noémie
642963	224902	
642963	248417	
642963	265216	Soeur Saint-Pierre
642963	269103	
642963	269501	
642963	275745	
642963	276118	
642963	281300	
642963	284247	The grandmother
642963	294818	
642963	309023	Mme Gretchikine
642963	343564	
642963	350078	Nany
642963	356370	Madame Breuilly
642963	377956	
642964	68381	
642965	321483	Max's mother
642966	87618	Monelle
642967	29701	
642967	40364	Lady Anny Fling, die Schottin
642967	94785	
642967	186151	
642968	337027	
642969	69154	Herself
642969	104742	Swiss entry (17th place)
642969	104750	Luxembourg entry (5th place)
642969	156331	
642969	380971	Herself (9th Banished, 30 day
642970	397886	Herself
642971	247606	Mme Arnaud
642973	6158	La concierge
642973	19322	L'Invitee
642973	25126	
642973	29404	
642973	30813	
642973	33629	
642973	51246	Traveler
642973	58323	
642973	64715	La nounou
642973	64952	
642973	69518	La veuve Rabas
642973	73157	Prostitute
642973	73183	Nastassia
642973	77341	
642973	99653	Une promeneuse
642973	101806	Madame Courtois
642973	103206	Victorine, la balayeuse du Lo
642973	108528	
642973	132176	Mme Lieusaint
642973	138877	Patronne d'hotel in Valval
642973	166335	
642973	204698	
642973	205628	Isabelle
642973	214797	La buraliste
642973	214874	Le lingère
642973	219498	Madame Bijou
642973	236623	La nourrice
642973	268956	
642973	276493	
642973	284146	Mme de la Bruyère
642973	287590	Mère Barberin
642973	294565	La Belge (segment "Paresse, L
642973	300652	
642973	301290	
642973	309143	
642973	309767	La logeuse
642973	322360	La propriétaire
642973	327560	La dame maniérée
642973	340126	
642973	340193	
642973	340203	
642973	346528	Barge Captain's Servant
642973	353890	Une bourgeoise dans la rue
642973	354982	
642973	357079	Mme Marguerite
642973	375928	Mme. Vallée
642973	377261	
642974	215136	Participante #2
642974	346716	L'infirmière de nuit
642974	397947	La religieuse surveillante
642974	401329	La jeune journaliste
642975	111105	
642975	395074	La Nivelle
642976	34072	
642977	38084	
642978	246510	
642979	350276	Marguerite Chopin, the Woman 
642980	218310	
642981	349487	Strolling Woman
642982	164145	Laetitia
642983	211492	Lucienne Leroy
642984	3149	Rose
642984	23750	Une pensionnaire de la Maison
642984	25263	Sophie's Mother
642984	160064	Raymonde
642984	229002	La baronne
642984	272637	La Bouquetiere
642984	354759	
642985	246510	
642986	34253	Solange
642988	59218	
642988	283031	Femme trio radio-crochet
642989	51262	Eva Dusková
642989	139511	Soldánová
642989	165809	Vera Psenicková
642989	174002	Aninka
642989	174027	Marenka
642989	204906	Ema
642989	244257	Josefína Kondelíková
642989	268263	Hana Karlíková
642989	320536	Helena Cejková
642990	17079	
642990	171604	Éva, Péter húga
642991	186122	
642992	17079	
642992	125641	Karcsi nõje
642992	205436	
642992	375162	Csöpi
642993	94244	La mère de la petite fille bl
642994	94244	La petite fille blonde
642995	88400	Poljunnur
642995	111475	Sigrun
642995	137097	Ragnheiður
642995	170866	Mother
642995	174103	Artist
642995	210510	
642995	231422	
642995	238743	Maria
642995	304433	Mother
642995	378049	Mother
642996	174103	Magga
642996	212320	Herself
642996	347013	
642997	57212	
642997	104096	
642997	104353	Tarsila do Amaral
642997	104867	Herself
642997	133007	Nedda
642997	149522	Gabi
642997	211013	Lorena's mother
642997	260569	Alexandra
642997	266480	
642997	314340	Stelinha
642997	344855	
642997	378940	Stela
642997	385043	Glória
642997	386417	Leonor Medeiros
642997	386420	Laura
642997	387424	Adriana
642997	387640	Hermínia
642997	388065	Luzia
642997	388565	Alma Meireles
642997	388641	Teresa
642997	397541	Lídia
642997	398817	
642997	399766	Verônica
642997	400656	Violante
642997	401208	Angela
642997	402503	
642997	402530	Maira
642997	403245	
642997	404947	
642997	407643	Nelita
642997	409412	Nenê
642997	410375	
642998	380097	Cuca Chicotada
642998	384866	Bárbara
642998	402371	Iara Mestieri
642998	410245	Celina
642999	25000	
643000	12087	
643001	383147	Colaboradora
643001	387177	Colaboradora (1996-2004)
643001	400932	
643001	407735	Corresponsal en Roma (1978-19
643002	5272	Doña Consuelito
643002	9103	
643002	30389	Ana, Rai's mother
643002	57414	
643002	61360	
643002	63408	
643002	74580	Teresa
643002	74842	Señora de la limpieza
643002	87511	Concierge's wife
643002	96318	
643002	100932	
643002	136865	
643002	143702	Florista
643002	170080	
643002	184871	
643002	223619	
643002	234372	
643002	236456	Andrea
643002	247469	
643002	266445	Flor de María
643002	272640	Señora Clo
643002	277340	Madre
643002	303086	
643002	307039	
643002	309082	
643002	378109	
643003	152319	Merengue Dancer
643004	5105	
643005	5263	
643005	5743	
643005	10130	
643005	12104	
643005	12527	
643005	14712	
643005	14857	
643005	25678	
643005	32366	
643005	33686	
643005	36459	Hermana Teresa
643005	48848	
643005	51308	
643005	52601	
643005	52745	
643005	55219	
643005	57554	
643005	58141	
643005	59251	
643005	61127	
643005	61138	Clienta de Engracia
643005	61145	
643005	65193	
643005	65194	
643005	71073	
643005	73295	
643005	74521	
643005	74821	
643005	75444	
643005	76104	
643005	80093	
643005	82254	
643005	84050	
643005	88936	
643005	95026	
643005	96351	
643005	104089	
643005	104139	Doña Tecla
643005	106326	
643005	123224	
643005	124453	
643005	124786	
643005	132524	
643005	135380	
643005	136858	
643005	136919	
643005	146510	Ángeles
643005	149205	
643005	166666	
643005	183504	Monchi, la esposa del Dr. Lar
643005	190424	
643005	192980	
643005	202561	
643005	205111	
643005	205690	
643005	207012	
643005	208709	
643005	212414	
643005	212450	
643005	218096	
643005	221953	
643005	233333	
643005	233339	Carmen
643005	233357	
643005	236435	
643005	236759	Dona Eulalia
643005	239256	
643005	244584	
643005	246420	
643005	251556	
643005	251581	
643005	255478	
643005	255545	
643005	258247	Eloïse
643005	258619	Mujer 2ª mercado
643005	268248	
643005	268526	
643005	272397	
643005	276003	
643005	283052	
643005	296450	
643005	296475	
643005	296500	
643005	307466	
643005	307701	Lupe
643005	307721	
643005	320222	
643005	322400	
643005	336617	Gloria Harrison
643005	343629	Pollera
643005	351637	
643005	351831	
643005	351837	
643005	352021	
643005	355123	
643005	376490	
643005	376644	
643005	376796	
643005	376817	
643005	377174	
643005	386696	
643006	83135	Presentadora
643006	90530	Martirio
643006	378916	Herself - Host (1978-1979)
643006	386374	Herself - Host
643006	396178	Herself - Host
643006	397457	Herself
643006	403912	Herself - Host (1990)
643006	404058	Herself - Host (1981-1982)
643006	405399	Herself - Host
643006	408467	Herself - Host
643006	409463	Herself - Staff Humorist (197
643007	387177	Doña Adelaida (1996-2004)
643007	400932	Doña Adelaida
643007	409869	Host (1992)
643009	378423	
643010	64633	
643011	294611	
643012	91346	
643013	52986	
643013	57716	Ana
643013	67364	
643013	94843	
643013	143757	
643013	216303	Cliente
643013	258381	Criada de Helguera
643013	353604	
643013	377079	
643014	48848	
643015	52764	R. Hotel
643015	89928	Anciana
643016	80189	Chavo Banda La Raza
643017	365380	Slave Quarters Singer
643018	48774	
643019	69206	
643019	77676	Salsa Club Dancer
643020	229794	Cleaning woman
643021	174301	
643022	152234	Comensal IV
643023	385872	Liza
643023	389233	Daisy Carolina 'Andrea Gomez'
643024	14938	
643025	295285	Kukura
643026	89256	Featured Extra
643026	101838	
643026	286207	Salome
643027	334699	
643028	412138	Panelist
643029	204684	Pintora
643029	292754	Victoria
643030	383665	
643030	386126	
643030	393363	
643030	399763	Tomasa
643031	77190	Rosetta Stanhope
643031	380484	Maria
643031	385627	Rosie Mansach
643031	404404	Dark Lady
643032	275135	Doña Lucy, Mrs. Ochún
643032	378974	Manuela Rivas
643032	381026	Sixta Lucumi
643032	383335	Estebana Mena
643032	383555	Etelvina López
643032	385069	Mercedes Viuda de Granados
643032	387781	
643032	395330	
643032	399625	Eulalia
643032	401258	Cristina de Brando
643032	401699	Tulia de Guerrero
643032	408205	Mariela Calderón
643033	380917	Carmen Morena
643033	387806	Reporter (2004-)
643034	402332	Herself
643035	54048	
643035	54059	
643035	150552	
643035	301118	
643036	215174	Student
643037	246174	
643038	83901	Domino
643038	205606	Domino
643039	223084	Lucy at 20
643039	251599	Fany
643040	68912	Vanessa
643041	307788	
643042	71261	Secretaria
643043	351494	
643044	2441	
643045	357727	Tiburcio's wife (last sequenc
643046	72222	Indian woman
643046	175796	Old Indian woman
643047	196764	
643048	379130	Liberata
643048	380077	Julia de Afanador
643048	382867	Francisca Pachon
643048	383555	Carlota Herreros
643048	385601	Larsen's Mother
643048	386680	
643048	391862	
643048	396601	
643048	396859	Isabel de Duque
643048	397737	Ofelia
643048	400946	Eva Rodríguez
643049	41352	Julie Carbuyer
643050	396781	Adelaida
643051	263234	CIA Agent in Chile
643051	267295	
643051	379252	
643052	8696	Mujer 1
643053	351494	
643054	206993	Maria Escobar
643055	381246	
643056	198900	
643056	334966	
643056	390127	
643056	391236	Host
643057	266164	
643058	12027	Extra
643058	25050	Vendedora de Tortillas
643058	27987	
643058	41767	
643058	51525	
643058	51782	Lavapisos
643058	52614	
643058	53125	Cocinera
643058	57412	Comadre I
643058	59785	
643058	59788	
643058	68251	
643058	69652	
643058	74571	
643058	74583	Chona
643058	74589	
643058	74744	Soldadera
643058	74909	
643058	74956	Cómplice de Lorenzo
643058	76013	Prisionera
643058	87075	
643058	91088	
643058	91416	Anastasia, La Sirvienta
643058	96364	Vecina Fisgona
643058	98695	
643058	103371	Leonor, servant
643058	103664	Prostituta
643058	103870	
643058	103940	
643058	108058	Masajista
643058	110228	
643058	111418	Petra
643058	115192	
643058	118954	
643058	123186	Cocinera
643058	124519	
643058	129482	Vendedora de tomate
643058	137847	
643058	143763	Anciana en accidente
643058	148048	
643058	151803	Anciana en Iglesia
643058	153066	Referí
643058	153816	
643058	156585	Pasajera
643058	159432	Extra
643058	189013	
643058	197624	
643058	198235	Doña Chona (vendedora de café
643058	205385	
643058	209298	Secretary's friend
643058	212366	
643058	212492	Estefana
643058	215229	Mujer en terremoto
643058	215344	Limosnera
643058	216077	
643058	221943	Mujer ebria en juzgado
643058	235312	
643058	238759	Vecina
643058	242647	Woman in audience
643058	243650	Observadora
643058	245581	Señora Chismosa
643058	249888	Vecina
643058	252562	
643058	258481	
643058	265114	
643058	265315	Spectator
643058	265458	Mujer en reunion
643058	269234	
643058	277237	Mujer de puerco
643058	277382	
643058	278426	Bailarina callejera
643058	281544	Doña Lupe
643058	281762	
643058	283204	
643058	286419	
643058	287910	
643058	307212	
643058	307805	
643058	310026	
643058	317798	Doña Linda
643058	322852	
643058	333576	
643058	333663	
643058	334710	
643058	336193	
643058	339154	
643058	340041	
643058	341405	
643058	348938	
643058	353615	
643058	354047	
643058	355200	Sirvienta
643058	371708	Extra
643058	376646	Doña Rupertota
643058	376677	Mujer en fiesta
643058	376759	Cliente en bar
643059	76094	
643059	250719	
643060	23624	Chica cadenas
643061	99714	
643061	393023	Christina
643062	86083	Grumi (voz)
643063	44659	Marica da Fame
643063	170039	Sara
643063	189026	Bruja de Larouco
643063	221762	Aniña
643063	310073	Puck
643063	348792	Urxa
643064	52210	Leo
643064	76786	Uxía
643064	249881	Magdalena
643064	257432	María
643064	284456	Young waitress
643064	400660	Susana Aguilar 'la Susi'
643064	410091	Leonor
643065	391015	Amelia
643066	80223	
643066	103165	
643066	226491	
643067	30965	Journalist
643067	68105	Herself
643067	83761	Herself
643067	185950	Herself
643067	245240	Herself
643067	310957	Jane Edmunds
643067	338546	Woman Telling Story
643067	392715	Herself
643068	338717	
643069	156584	Sabina
643070	156584	Sabina
643071	239266	
643072	672	Estrella Luna
643073	339543	Indira Gandhi
643074	213717	Martha
643075	10498	
643075	197644	Maravilla
643075	234013	
643075	263923	
643075	291627	
643075	307197	
643075	376697	
643076	55196	Carmen's Friend
643076	170082	Doña Rosaura
643076	227870	Salomè
643077	307788	
643078	385367	
643078	398519	
643079	404988	
643080	70065	
643081	270612	
643082	14715	
643083	43565	Ortiz's Mother
643084	146569	
643085	318290	Mujer 2
643086	401097	Milena
643087	42911	Herself
643088	89938	Celia 6 años
643089	267298	
643090	84095	Gómez, Ofelia
643091	91372	
643091	325304	Almudena
643091	349847	Valentina
643091	404755	Belén
643092	256693	
643093	397151	Pat
643094	122790	Gaby - 3 Years Old
643095	10481	Eva
643095	14817	Gema
643095	160731	Ana
643095	264262	Elena
643095	273074	Sol
643095	277340	Mónica
643095	302359	Cajera Joven
643095	320377	Ana
643095	379566	Eva (1998-1999)
643095	384463	Host (1994-1995)
643096	55772	Prostitute 1
643096	123150	
643097	86342	
643098	12089	
643098	30301	
643098	51670	
643098	55952	
643098	62348	
643098	74162	
643098	75386	
643098	83548	
643098	89821	
643098	121223	
643098	153829	
643098	159019	
643098	169766	
643098	186147	
643098	203979	
643098	205794	
643098	249801	
643098	351491	
643098	353659	
643098	376721	
643099	322714	
643100	114873	Dancer: Grupo de Baile Marche
643101	58744	Child in metro
643101	215174	Student
643101	401134	Pelusita
643102	351619	
643103	209298	Young girl in the group
643104	213717	Mary
643105	14715	
643105	235316	
643106	100309	Amiga de Laura 3ª
643107	115269	Women Coalation Diner Patron
643107	412122	Sandra
643108	287851	Florecita
643109	401068	Maggie
643110	399625	Zaray
643110	402332	Herself
643111	209298	Young girl in the group
643112	403280	Sophia
643113	14658	
643113	215174	Student
643114	380076	Candelaria 'Candela' Guerrero
643114	387275	Aura María Fuentes
643114	411714	Aura María Fuentes
643115	382543	Telma
643115	408180	
643115	408724	
643116	353545	Dependienta II
643117	42910	La Venus (segment "La Venus v
643118	244630	
643119	247158	
643120	239280	Amiga de Clara
643121	15319	
643121	19252	
643121	19463	
643121	221559	
643121	235981	
643121	249301	
643122	223084	Lucy at 10
643123	129487	Ana
643124	71287	Cuban Friend #2
643125	222031	
643125	243612	
643125	379457	Mariana
643125	381024	La Chamos
643125	383688	Julia (niña)
643125	385401	Ceci
643125	387574	Darketa
643125	403024	Jose Lujan
643126	99356	
643127	356662	
643128	22700	
643129	84502	Alina, the sacristan and prie
643129	328248	Mara
643129	377112	Linda Lady
643129	378974	Aurora Restrepo
643129	379459	Libia Reyes/Ruth
643129	391862	
643129	397024	María
643129	403262	Clara
643129	411709	Rhina Marcela
643130	375883	
643131	268042	
643132	411335	Anula Góralczyk
643133	33673	Maria 'Marysia' Bielak
643133	97937	
643133	165077	Majka
643133	375467	Guest from Warsaw
643134	361575	Isia
643135	226841	
643136	348441	
643137	104769	Herself - Polish Entry (2th p
643138	51152	Jeannine Henriet
643138	276078	Jadwiga
643139	95949	Sandra - Stefania
643140	18157	The Governor's Daughter
643140	51881	
643140	70774	Girl at Restaurant
643140	160591	Filomena Cielecinska
643140	248000	Dancer
643140	248349	
643140	373548	Mela, a showgirl
643141	304250	
643142	18893	Juliette
643142	56080	Felsenburg hercegnõ,Marie
643142	182898	Viktória hercegnõ
643142	187936	Juliette
643142	377115	
643142	377779	Princess Marborough
643143	76072	
643144	370783	Yûjirô Ishida
643145	33479	
643145	411957	Christiane
643146	189831	Anna
643147	264939	
643148	402935	Marie Carla
643149	1688	
643149	35059	
643149	182646	
643149	284184	
643150	12703	
643150	97949	
643150	167153	Frau Haupt
643150	225321	
643150	259449	Leutnant Arndt
643150	259458	Leutnant Arndt
643150	259464	Vera Arndt
643150	259466	
643150	259468	
643150	259476	
643150	259478	Leutnant Vera Arndt
643150	259480	
643150	259486	Leutnant Vera Arndt
643150	259492	
643150	259497	
643150	259507	Vera Arndt
643150	259508	
643150	259514	Leutnant Vera Arndt
643150	259516	Leutnant Arndt
643150	259520	Leutnant Arndt
643150	259524	
643150	259526	
643150	259528	
643150	259529	Leutnant Arndt
643150	259530	
643150	259538	Leutnant Vera Arndt
643150	259541	
643150	259544	
643150	259545	Leutnant Vera Arndt
643150	259548	Leutnant Arndt
643150	259550	
643150	259552	Leutnant Arndt
643150	259558	
643150	259562	
643150	259585	Leutnant Vera Arndt
643150	259594	Leutnant Vera Arndt
643150	259600	Leutnant Vera Arndt
643150	259601	Leutnant Vera Arndt
643150	259604	Frau Raven
643150	259610	Leutnant Vera Arndt
643150	259614	Leutnant Vera Arndt
643150	259621	
643150	259622	Leutnant Vera Arndt
643150	259623	Leutnant Arndt
643150	259627	Vera Arndt
643150	259638	Leutnant Arndt
643150	259645	
643150	259665	Vera Arndt
643150	259673	Arndt
643150	259675	Leutnant Vera Arndt
643150	259678	Leutnant Vera Arndt
643150	259690	
643150	308815	Nadja
643150	397451	
643151	111334	
643151	399503	
643152	349701	
643152	377547	
643153	48441	
643154	97098	
643154	103604	
643154	114004	
643154	136754	
643154	171978	
643154	180132	
643154	308302	
643154	326069	
643154	378225	
643154	378226	
643155	155566	
643156	104729	Herself
643156	104777	Turkish entry (16th place)
643157	89498	
643157	136775	
643158	17720	
643158	326265	
643158	381136	Bagdat Hatun
643158	393158	Kösem Sultan
643158	411677	Hürmüz
643158	411705	Belgin
643159	381050	Nurten
643160	136777	
643161	99498	Young Else
643162	116396	Nebelgestalt #3
643163	389619	Local Edition (Hamburg)
643164	244679	
643165	349627	
643166	322025	Mûkedvelõ színjátszó
643167	326302	Linka,Ladányi felesége
643168	174279	
643169	174279	
643170	182235	Fatma
643171	153683	
643171	322065	
643171	399860	
643172	140770	
643172	167153	Sekretärin des Polizeipräside
643173	239042	
643174	77403	Ensamma Eva
643174	153911	Bettan
643175	29570	Woman
643177	109128	Gullan Svan
643177	120966	Woman
643177	129178	Miss Blom
643177	209327	Bathing beauty
643177	274833	Britt
643177	303666	Girl at Elvira's party
643177	346967	Karin
643178	182279	Ewa Moreno
643178	197738	Tommy's Sister
643178	204537	Lisbeth Karlström, prostitute
643178	346209	Rosa Ängel
643178	377442	Ewa Moreno
643178	382307	Isabelle Rydbeck
643178	390230	Annelie Runåker
643178	400308	Agneta, ambulance driver
643179	11716	Sonya
643179	32371	Margareta Oberg
643179	32373	Margareta Oberg
643179	32374	Margareta Oberg
643179	32375	Margareta Oberg
643179	32377	Margareta Oberg
643179	32380	Margareta Oberg
643179	32382	Margareta Oberg
643179	32383	Margareta Oberg
643179	34446	Victoria's Mother
643179	48340	Berit
643179	60278	Angela
643179	76731	
643179	96423	Alice
643179	108051	Anna
643179	130070	Elin Nordenson
643179	134707	D.A.
643179	164788	Marie
643179	164789	Marie, Börje's mistress
643179	180221	
643179	180405	Vicar's Daughter
643179	181086	Mona
643179	206246	Maj
643179	237270	Hairstylist's daughter
643179	277178	
643179	284122	
643179	303843	Nun 1
643179	309341	Jane
643179	312233	Miss
643179	320512	Birgitta
643179	381054	Staff doctor
643179	389397	Birgitta Gustafsson
643179	390231	Elin Nordenson
643179	403769	Kristina Hedström (episode Bl
643179	405861	Sonja
643180	41721	Herself
643181	96430	Kindergarten Teacher
643181	97966	
643181	171606	
643181	182794	Éva
643181	212310	
643181	237097	
643181	377206	
643181	388511	
643181	395664	Linda
643181	395665	Linda
643182	399860	
643183	382095	Suzan Kozan
643184	139375	
643184	370914	
643185	13643	Lynka
643185	77580	Jana
643185	92249	Blake
643185	113994	Denise Kukuczka
643185	169951	Clarissa
643185	192776	
643185	202367	Cindy
643185	215191	
643185	232392	Lorna
643185	258860	Margarita
643185	279843	Angie
643185	315784	Spice
643185	316311	Hooker
643185	327588	Toonie Wells
643185	363218	
643185	367083	C.C.'s Groupie
643185	368944	Carla
643185	396297	Lt. Leora Maxwell
643186	224691	Disco Girl
643186	366070	Dancer
643187	18880	
643188	18880	
643189	28389	
643189	53891	
643189	87713	
643189	136750	
643189	144361	
643189	177788	
643189	177843	
643189	207204	Marilyn
643189	212018	
643189	249229	
643189	350996	
643189	357603	
643189	378239	
643190	63223	Herself - Daughter of Göring
643190	210547	Herself (at her baptism)
643191	1382	Herself (leaves church after 
643191	63223	Herself - Wife of Göring
643191	111412	Herself (at Karinhall with Mu
643191	135544	
643191	210547	Herself (at daughter's baptis
643191	365699	
643192	4779	Mutter Gomulka
643192	11818	
643192	24362	Frau Nohl (segment "Das Duell
643192	34291	Angelas Mutter
643192	40421	Frau Mellin
643192	40422	Elisabeth Döppke
643192	45985	
643192	47847	Dr. Helene Seydlitz
643192	51123	
643192	78282	Neighbour
643192	82856	
643192	86289	Faru Weidtlich
643192	93448	
643192	93449	
643192	93450	
643192	93451	
643192	97468	
643192	102491	Martha Kubak
643192	104840	Luise Bertram
643192	104842	Luise Bertram
643192	104843	Luise Bertram
643192	111353	
643192	118645	Kathrin´s Mother
643192	119716	
643192	132089	
643192	133318	
643192	134174	Frieda
643192	134785	
643192	134814	Agathe Schweigert
643192	136615	
643192	144133	
643192	152759	Frau Korn
643192	162470	
643192	171667	La tante d'Emma
643192	173847	Else Wiese
643192	174534	
643192	179752	
643192	182748	Charlotte Krusemark
643192	188850	Manfred Richter
643192	189712	Lotte Kröger
643192	191035	
643192	206559	Berufsberaterin
643192	210078	Psychiatrist
643192	214717	Dame in Schwarz
643192	214890	Großmutter
643192	218211	
643192	223468	Else Ackerknecht
643192	225115	Chemistry Teacher
643192	229628	
643192	231469	Lissy
643192	253936	
643192	254370	Isolde Hübsch
643192	259506	
643192	259530	Frau Schwarzbach
643192	259546	Charlotte Hinze
643192	259577	
643192	259578	Liesbeth Rietz
643192	259637	Christa Born
643192	259686	Greta Gerber
643192	270421	
643192	274864	Mutter Stine
643192	275905	
643192	290043	
643192	290200	Christel Sikora
643192	297862	frau Kraus
643192	298515	Frau Müller
643192	312098	Elli
643192	317612	Gerda Loening
643192	325664	Margot Schenk
643192	325814	
643192	345665	Hanna's Mother
643192	352660	Käthe Vollmer
643192	366587	Eusebia
643192	368741	
643192	376365	Hedwig Schindler
643192	376415	Frau Runge
643192	389359	Cynthia von Bogen (1994)
643192	389955	Elfriede
643192	393408	Eva Kluge
643192	395508	Aunt Hulda
643192	398827	
643192	403195	
643192	406263	Anna
643192	408827	
643192	411995	Frau König
643193	111352	
643193	259442	
643193	259510	
643193	259521	Elke Wiechert
643193	259578	Frau Behnke
643193	259692	
643193	270421	
643194	95601	Nemka
643195	11738	
643195	21218	
643195	30698	
643195	136763	
643195	189057	
643195	286533	
643195	323920	
643195	378606	
643196	376082	
643197	168511	Jenny Lind
643197	174075	Opera singer
643197	357773	Anna
643198	303645	Elisa
643199	405853	
643200	51327	Ursel Ucker
643200	55516	Ines Lamberti
643200	106099	Iris Gorla
643200	137093	Inge Jansen
643200	188756	
643200	210071	
643200	219332	Stascha Sokol
643200	289888	
643201	90514	
643201	100990	Verena Linkmann
643201	134929	Gräfin Mariza
643201	156983	
643201	204001	
643201	210020	
643201	210033	Dr. Karin Beer
643201	293547	
643201	359639	Madeleine Sommer
643201	361454	Konstanze Fröhlich
643202	317240	
643203	367303	
643204	352777	
643205	378346	2.nagynéni
643206	82789	Nico
643206	253781	
643206	346364	Amelia
643207	405822	Kristin
643208	325746	
643209	86968	Herself - Fmr. Production Ass
643210	34035	Amanda Rosenlund
643211	325401	Aische
643212	261617	
643213	394215	Pepik
643213	396267	Totokatapi
643214	8867	Himself
643214	17315	
643214	93405	Stasi-Agent #2
643214	98351	Dorchen
643214	155346	
643214	164817	
643214	230239	Kidnapper/Activist
643214	258389	
643214	315177	
643214	341787	Himself
643214	355239	
643214	376192	Bodo
643214	381690	Clou Huber (1999-2004)
643215	35558	(segment Budai böjt)
643215	74394	
643215	170394	Cseperke
643215	170396	Cseperke
643215	225499	Girl
643215	227534	
643215	322022	
643215	354568	
643215	399860	Borbás Brigitta
643216	187903	Cunegonde
643217	49505	
643217	98082	
643217	102881	
643217	230175	Silvia Klose
643217	248540	
643217	254364	Novizin
643217	290519	Elfie
643217	348687	
643218	325409	
643218	325857	
643219	390992	Rosi Beimler
643220	276607	Lernschwester Janine
643221	107982	
643222	119457	Herself - Commentator
643222	409153	Herself - Reporter
643223	407308	Sule (1993-1997)
643224	706	
643225	402269	Herself - Host (2004-)
643226	220709	Pamina (in "Die Zauberflote")
643226	347705	
643226	352346	Singer
643227	336425	Señorita mayor
643227	402667	Bofarull
643228	4997	
643228	47043	Carmen
643228	64707	
643228	73277	Madre María
643228	73515	Cristina
643228	76011	Veronica Larios
643228	80274	
643228	87920	
643228	119865	Cristina
643228	124597	
643228	221721	
643228	357522	
643229	153335	
643230	121392	
643230	143664	
643230	351994	
643231	5112	
643231	69909	
643231	165895	
643232	114951	Maria
643232	346180	Teenage girl
643233	123097	Maria
643234	40403	Bademeisterin
643234	275039	Amanda Haak
643234	281657	Zugangsbeamtin
643234	364903	DDR Grenzbeamtin
643234	406519	Line
643235	138907	Gast in Uschis Club
643236	38494	
643236	136691	
643236	173427	
643237	378203	
643238	1101	
643238	63796	
643238	173668	
643239	182914	
643240	4602	
643240	9503	Sükran
643240	15325	
643240	15390	
643240	22091	
643240	24846	
643240	38300	
643240	38429	
643240	38436	
643240	38637	
643240	48420	
643240	51340	
643240	51890	
643240	63801	
643240	63973	
643240	63974	
643240	63976	
643240	63981	
643240	86697	
643240	87722	
643240	87978	
643240	89520	
643240	98596	
643240	109967	
643240	124916	
643240	125315	
643240	130560	
643240	136693	
643240	136740	
643240	163096	
643240	171983	
643240	172180	
643240	173571	
643240	173765	
643240	173804	
643240	173867	
643240	174658	
643240	177113	
643240	180326	
643240	181725	
643240	208782	
643240	211445	
643240	227236	
643240	251253	
643240	257219	
643240	294253	
643240	295494	
643240	296384	
643240	301238	
643240	301425	
643240	302084	
643240	307029	
643240	307035	
643240	307037	
643240	307152	
643240	332751	
643240	336550	
643240	350837	
643240	377497	
643240	377515	
643240	377529	
643241	129125	
643242	225281	
643243	82360	
643243	322540	
643244	136777	
643244	238930	
643245	63978	
643245	82852	
643245	86616	
643245	130509	
643245	135905	
643245	140608	
643245	173857	
643245	178404	
643245	247900	
643245	294092	
643245	295263	
643245	301476	
643245	349704	
643245	378570	
643245	378571	
643246	6423	
643246	22019	
643246	22031	
643246	31010	
643246	35616	
643246	94596	
643246	110710	
643246	129127	Güllü
643246	136769	
643246	171976	
643246	173853	
643246	174639	
643246	307034	
643246	308312	
643246	308325	
643246	370616	
643247	79473	
643247	303420	
643247	394336	
643248	94305	Hilde
643248	214041	Vera
643248	281106	
643249	131383	
643250	23129	
643250	125932	
643251	184190	
643252	23192	
643252	25619	Misafir Sanatkâr (Guest Artis
643252	32315	
643252	173563	
643252	182730	
643253	33905	
643253	83318	
643253	177880	Ayten
643253	200671	
643253	284868	
643253	296412	
643253	323920	
643253	370225	
643253	370633	
643254	55126	
643255	38469	
643256	174198	
643257	138952	
643258	378598	
643259	412237	Gönül
643260	387405	Sonay Somuncu
643261	25768	
643261	370910	
643261	371882	Cindé
643262	240540	Herself
643262	371562	Herself
643263	95551	
643264	368692	Schwester Brigitte
643265	15288	
643266	125159	
643267	134967	Lenchen Körber
643267	409609	Lenchen Körber (1994-)
643268	290725	
643269	225115	Anne
643270	380558	Sheila (voice: German version
643270	399478	Daunenfein (voice: German ver
643271	204755	
643272	91007	Luise
643272	94300	
643272	102972	Helga
643272	114328	Anny Schweizer
643272	141952	Klara Sesemann/Clara, Ludwig'
643272	141974	Klara Sesemann
643272	155456	Gloria Naglmüller
643272	189693	
643272	322518	
643272	354073	Christl
643272	366589	Isa
643272	376447	Christel
643273	15288	
643273	91007	Lotte
643273	94300	
643273	102972	Gretel
643273	114328	Fanny Schweizer
643273	155456	Victoria Naglmüller
643273	189693	
643273	322518	
643273	354073	Gretl
643273	366589	Jutta
643273	376447	Reserl
643274	308953	
643275	306002	Catherine
643275	382278	Secretaresse
643275	384041	Dudu
643275	388909	Mihriban Ates (1999, 2002-)
643275	407173	Herself (2003-)
643275	408151	Meester Baert (2000, 2002, 20
643275	410491	Birgit Baukens (1998-)
643276	8334	
643276	181941	Nilgün's mother
643276	212279	
643276	288290	
643276	327028	
643276	373287	
643277	249883	
643277	259430	
643277	370700	Uncle Ibrahim
643278	39046	
643278	172182	
643279	172179	
643280	380985	Fatos
643281	119133	Uemmühan Sinirlioglu
643281	375093	
643282	370792	
643283	32313	
643283	33856	
643283	159408	
643284	303420	
643285	112782	
643286	391614	Yaprak
643287	23507	Kirstine Jørgensen
643287	303690	Susanne
643289	15331	Zehra
643289	374660	
643290	382095	Behiye Arhan
643290	408427	Ayse Sultan
643290	411706	
643291	15325	
643291	200590	
643291	238852	
643291	302526	Rabia as a child
643292	205813	Englischlehrerin
643292	290650	Die Hoesch
643293	325689	Evi
643294	225634	
643295	94305	Anna
643295	110315	Little Girl
643295	189821	
643296	374530	
643297	26684	
643297	156203	
643297	162307	Zeynep
643297	173427	
643297	180322	
643298	38461	
643299	226170	Partygast: Silke
643300	107660	
643300	189056	
643301	229063	
643302	5709	
643302	27624	
643302	34500	
643302	38206	
643302	45714	
643302	51348	
643302	136684	
643302	144533	
643302	163114	
643302	173768	
643302	174662	
643302	178403	Sezer
643302	202457	
643302	377531	
643302	382928	
643302	405465	Edibe
643303	22054	
643303	33248	
643303	97098	
643303	140609	
643303	172985	
643303	173803	
643303	370513	
643304	7369	
643304	9455	
643304	15327	
643304	15881	
643304	25602	
643304	25616	
643304	25647	
643304	25993	
643304	29798	
643304	33859	
643304	34501	
643304	38452	
643304	45721	
643304	107641	
643304	110709	
643304	136728	
643304	136754	
643304	140608	
643304	146983	Nalan
643304	163104	
643304	163114	
643304	172006	
643304	172189	
643304	173414	
643304	173428	
643304	173791	
643304	173803	
643304	174907	
643304	177117	
643304	182833	
643304	184190	
643304	202458	
643304	210256	
643304	212284	
643304	227234	Nedret
643304	238816	
643304	284805	
643304	293433	
643304	294129	
643304	295535	
643304	303578	
643304	322546	
643304	323921	
643304	352941	
643304	370774	
643304	370776	
643304	371548	
643304	373398	
643304	376112	
643304	377497	
643304	378194	
643304	389159	Stella
643304	411706	
643305	377451	Herself
643305	377452	Herself
643306	180258	
643306	377536	
643307	104718	Herself
643308	9350	
643308	11738	Betty
643308	11933	
643308	19648	
643308	21218	Necla
643308	38445	
643308	38452	
643308	38490	
643308	38491	
643308	51338	
643308	83321	
643308	89292	
643308	97099	
643308	124218	
643308	124911	
643308	138104	
643308	139947	
643308	153966	
643308	153970	
643308	159659	Leman
643308	162508	
643308	172006	
643308	172014	
643308	173569	Ayten
643308	174654	Nevin
643308	174662	
643308	175383	
643308	175492	
643308	182810	
643308	247308	The nurse
643308	251253	
643308	285251	
643308	289289	
643308	307154	
643308	308951	
643308	322441	
643308	324598	
643308	348022	
643308	370513	
643308	370776	
643308	370793	
643308	374316	
643308	377495	
643308	377496	
643308	378246	
643308	405465	
643309	25715	Itto's Mother
643311	389061	Herself
643312	391546	The Shy Girl
643315	114505	
643316	179470	
643317	174999	Herself
643318	658	
643318	2964	Teacher
643318	10661	Girl At Marti's Ski Party
643318	18310	Party Reporter
643318	51835	Dixie
643318	57064	Forensics Technician
643318	63066	Perfume Shopper
643318	105813	Ai Ling
643318	110519	Amy's Mother Rose
643318	113306	Dental Receptionist
643318	139048	Pipefitter's Girlfriend
643318	151609	Female Anchor
643318	175787	Airline Clerk
643318	190908	Lily
643318	195345	Weather Reporter
643318	236222	D.C. Flight Attendant
643318	247571	Ticket Agent
643318	251247	Wife
643318	255231	Rosalind
643318	348431	Mr. Parker
643318	349860	Kim Wheeler
643318	363161	Nurse Donna
643318	369452	Tour Guide
643318	382160	Charts' Assistant
643318	391559	Annie Yao
643318	397533	Vancouver host
643318	406701	Benita (Host)
643319	95193	
643319	137311	Female Yakuza
643319	167428	The Ghost
643319	189225	Mrs. Wang
643319	236286	Guard
643319	266662	Female Robber
643319	367177	Sister Cheuk
643319	368068	Female Crime Boss
643319	369787	Flutty Ping
643319	369826	Female Communist Agent #1
643320	318571	
643321	105422	Death Angel
643321	231121	
643322	80640	Older Mother Tran
643322	190908	Mother
643322	193966	The Matrons
643323	221510	
643323	369731	Sad Woman
643324	27540	
643324	53219	
643324	147597	Eun-ji
643324	163823	
643324	202331	
643324	218043	So-ra
643324	229845	
643325	90596	Seo, Hyeon-Ji
643325	124683	Eun-ju
643325	167912	
643325	226590	Kang Ha-yeong
643325	254781	Ji-won
643325	285223	Eun-hyo Lee
643325	299014	Yang Bong-hie
643325	371196	Han Ji-yeong
643326	97003	Cowgirl
643328	32241	Pamela Peaks
643328	75226	Mabel
643328	335406	Stacey's Friend
643329	218042	
643330	144269	
643331	106782	
643331	106786	Bing
643331	135461	Mrs. Ling
643331	167435	Ka-Hsi
643331	189508	Kathy
643331	218038	Miss Pai
643331	236286	Kelly Ho
643331	256134	Porky
643331	295241	Ling's Mother
643331	299982	Sheng Wen-Yueh
643331	335399	Yu Hsuan-Chi
643331	369041	Tar's Daughter
643331	369958	Amy Wong
643331	371500	Wellcome
643331	371517	Wellcome
643331	374703	
643331	393547	Guest
643332	3288	Yau's Mother
643332	60540	Mei-Chi's Boss
643332	63742	Yu-Lan's Mother
643332	77891	Miss Ho
643332	85887	
643332	110655	Hsu's mother
643332	124576	
643332	135028	Mrs. Lee
643332	135466	Mary
643332	152342	
643332	167851	Fong-Fong's Mother
643332	170996	Chun's Grandmother
643332	172226	Woman on Television
643332	189168	Bartender
643332	189510	Jimmy's Grandmother
643332	197875	Aunt
643332	209925	Nanny
643332	212640	Older Woman
643332	236264	Mrs. Han
643332	239145	Su-Kan's Mother
643332	275562	Brothel Madam
643332	300684	
643332	324340	Chi-Chi's Great Aunt
643332	324341	Woman Who Hires Tan
643332	341732	
643332	358910	Auntie Lan
643332	358915	Woman with Baby
643332	367177	Joe-Fai's Mother
643332	370753	Mei-Mei's Mother
643332	370842	Yau's Grandmother
643332	371593	Nurse Yin
643332	373155	
643332	374752	Hospital Orderly
643332	374974	Mrs. Wu
643333	234928	Jae
643334	89412	
643334	122829	
643334	175765	
643335	231202	
643336	74480	Artist
643337	88333	Cuc, la femme de Thadé
643338	284267	
643339	147071	Mother
643340	199883	
643341	43245	The Girl
643342	60651	
643343	28364	
643343	29165	
643343	66780	
643343	81498	
643343	126776	
643343	126798	
643343	136382	
643343	162014	
643343	201280	
643343	248494	Piano Teacher
643343	266990	
643344	153423	
643345	77671	Emma
643345	392634	
643346	376364	
643346	412104	
643347	5215	The Midwest Powder Princess
643347	39067	Mary
643347	62057	Holly
643347	154611	Sandy
643347	288932	Ashley Lomack
643347	291166	Clara
643347	346350	Mia
643348	37883	Little girl
643349	477	
643349	486	Frau Schmidt
643349	5160	Frau Lehmann
643349	10472	Magda Herne
643349	11876	
643349	11993	
643349	12449	Frau Raspe, the housekeeper
643349	12567	
643349	17722	Frau Dörensen
643349	17918	Toni Gerling
643349	24059	Frau Engelmann
643349	28167	
643349	29408	Moeder van Elsa
643349	34289	Schwester Paula
643349	35881	
643349	36475	Regina von Wehrhahn
643349	38831	Johanna von Bismarck
643349	78306	Mrs. Augustin, the mother
643349	82156	
643349	84389	
643349	90763	Walli, Huberding's Frau
643349	92580	
643349	95830	Mrs. Cotton
643349	99890	Emils Mutter
643349	101962	Elisabeth Brauer
643349	107738	Marta Schwertfeger
643349	107977	
643349	108157	Frau Schimek
643349	108189	
643349	111768	Karoline Oberholzer
643349	119140	
643349	120132	Maria Theresia
643349	122255	Frau von Rautenfeld
643349	122606	Baronin von Meersburg-Greiffe
643349	122766	Frau Matthes
643349	125000	Tante Agathe
643349	125103	
643349	134249	
643349	134778	Anna Gerber
643349	136208	
643349	138455	
643349	138505	
643349	140208	Mathilde Obermueller
643349	141790	
643349	141947	
643349	142027	
643349	142093	
643349	142094	Frau Peters
643349	143798	Mrs. Bürgi
643349	144069	Ein Ehepaar
643349	144107	Ottilie Klamroth
643349	144136	Baronin von Suttner
643349	145468	
643349	145488	Olga Petersen
643349	147164	
643349	155386	Luise
643349	155392	Mutter
643349	155468	Direktorin
643349	162482	
643349	163080	
643349	166408	Wirtin
643349	168435	Frau Coade
643349	174771	Helene, die Pfarrerstochter
643349	174772	
643349	180154	Marie
643349	180643	
643349	182769	Margarete
643349	188112	
643349	188733	Frau von Hartwig
643349	188778	Mrs. Lundgreen
643349	189448	
643349	189636	Lisa
643349	189685	Mutter Rössle
643349	189734	
643349	193285	Hildegarde Wernicke
643349	194522	
643349	209971	Angela
643349	210109	
643349	210140	
643349	225123	Frau Wellenkamp
643349	225740	Baronin Münchhausen
643349	226354	Oberin von Heiliggeist
643349	268150	Mrs.Pearce
643349	269757	Frau Koch
643349	281959	Sorgemutter
643349	283056	
643349	284114	
643349	290180	Maly, Baronin von Siebeneich
643349	290464	
643349	290627	Frau Bechtel
643349	290687	
643349	290764	Jeantine
643349	290857	Therese Brandner
643349	292102	Frau Walter
643349	293561	Frau Peters
643349	301027	
643349	303722	Käte Brandt
643349	309045	
643349	312066	Dr. Borris's secretary
643349	312996	Elfi Pistorius
643349	314509	Minna
643349	314894	
643349	317365	Frau Dr. Gropius
643349	322954	
643349	322994	
643349	324583	Grete von Arndt
643349	325614	Frau Homberg
643349	335025	Agathe Dornwald
643349	338387	Grete
643349	340229	
643349	343698	
643349	345903	Wolfgang's Mother
643349	347616	Alma Carisius
643349	347647	Frau Watson
643349	347673	
643349	348677	Schwester Maria
643349	352527	
643349	352584	
643349	352599	Ida Dobermann
643349	354071	
643349	356751	
643349	360946	
643349	361392	Frau Brenda
643349	361471	Gutweib
643349	365674	Tante Argate
643349	365698	
643349	365699	
643349	369134	
643349	376266	
643349	376343	
643349	379371	
643350	206221	US Krankenschwester
643351	40404	
643351	236837	Barbaras Geist
643351	290638	Hella Ravinski
643351	310181	Computer (Voice)
643351	352184	
643351	409958	Kerstin Richter (1996)
643352	44330	Young Woman
643353	291293	Starlet
643354	19833	Pam
643354	69258	Dr. Shauna Fratangelo
643354	192437	
643354	194857	Charly Simpson
643354	204786	
643354	206405	Dorothy Norman
643354	208042	Isabella Allen
643354	297140	Michelle
643354	302311	
643355	257733	Theater Zombie
643356	136275	Director's Assistant
643356	147885	Laura
643357	138669	Cookie
643358	11439	Noriko/Additional Voices
643358	48490	Nene
643358	68738	Download
643358	68739	Additional Voices
643358	92777	Pia
643358	123445	Chopper News Reporter, Studen
643358	206618	Yukina Shiratori
643358	209803	Tomomi Murashita (ADV dub 200
643358	209804	Tomomi Murashita (ADV dub 200
643358	209805	Tomomi Murashita (ADV dub 200
643358	262013	Nami Takashi
643358	267200	Magic Fish
643358	285831	Lirin
643358	302414	Skycity Announcer, Mutant Ely
643358	304684	Laia
643358	311935	Additional Voices
643358	347385	Judy
643358	379014	Additional Voices
643358	380900	Elmilie Luft
643358	381025	Chihiro
643358	382908	Nene Romanova
643358	384233	Anya
643358	386536	Riku Harada
643358	387457	Suki, Rose
643358	388022	Menchi (English Vocal Cast)
643358	389503	Capt. Teletha (Tessa) Testaro
643358	389778	Misuzu Gowa
643358	390536	Anya
643358	394421	Aqua
643358	394431	Maria, Additional Voices
643358	394997	Karinka
643358	396548	Dortin
643358	398924	Receptionist, Mizuho Katsura,
643358	399784	Chloe
643358	402175	Ryo Hayakawa
643358	402790	Megumi Shitow
643359	402878	Martins Mom
643360	6117	One of Tova's girl friends
643360	84268	Mother
643360	137743	
643360	182531	Lonely Mother
643360	227042	Lotta
643360	293839	Selma's Mother
643360	401207	Editor for Expressen Fredag
643361	33316	Nutte
643361	137860	Carola
643361	207051	Lana
643361	218988	
643361	244076	
643361	284432	The Vamp
643361	306939	
643361	373430	Maria Loria
643362	165126	
643363	359816	
643363	411349	Stien Lemming
643364	9937	Putzfrau
643364	14383	
643364	16213	
643364	18881	
643364	38768	Frau Wagner
643364	79187	
643364	93424	Frau Häberlein
643364	93442	Frau Kunkel/Mrs. Kunkel
643364	93496	
643364	99891	Die Grossmutter
643364	101323	L'ange-chef
643364	104828	
643364	105528	
643364	107962	Die Hauserin
643364	108550	Schwester Rosmarie
643364	111339	Oma Jantzen
643364	111768	Kathi
643364	112971	Haushälterin Emma
643364	120370	Oberin
643364	120723	Köchin Sarrasin
643364	120997	Klara
643364	125017	
643364	125333	
643364	126460	Tante Amalie
643364	126844	
643364	129691	
643364	129708	Mrs. van Mühlen
643364	134336	The Baroness
643364	134979	Frau Lüdersen
643364	134991	
643364	141939	Tante Amalie Brückner
643364	141954	
643364	144152	Mimi Busse
643364	144327	
643364	144713	
643364	145348	
643364	145468	
643364	145603	Prokuratorin
643364	147159	Oma Jantzen
643364	155397	
643364	155418	
643364	156044	Cäcilie Burger, die Urgroßmut
643364	156740	
643364	157758	Baronin von Thorn/7. Geschich
643364	173707	Constanza
643364	175275	Haushälterin Lina
643364	175780	
643364	177214	Frau Stadelmeier
643364	178656	Frau Nachtigal
643364	178780	Cäcilia
643364	179354	Kohlhiesels Wirtschafterin So
643364	179757	
643364	180080	
643364	181002	Aunt Agathe
643364	181944	Frl. Truelsen
643364	182774	
643364	184294	Herself
643364	184598	Seestallerin
643364	188756	
643364	189553	Ältere Dame
643364	189673	Frau Krüger
643364	189684	
643364	189833	Herzogin von Lichteneck
643364	193501	Anna
643364	210320	Erna Hummel
643364	216295	
643364	219016	
643364	225126	
643364	225227	Oma Jantzen
643364	225744	
643364	231482	
643364	241974	
643364	246549	
643364	248206	
643364	254374	Apollonia Flohreiter
643364	265402	Frau von Weinsberg
643364	279676	Alte Dame im Auto
643364	282205	Westhoffs Mutter
643364	287756	Clementine
643364	290606	
643364	290788	Josefine Krügler
643364	307320	
643364	308980	
643364	317343	Minna
643364	317658	
643364	322527	
643364	322997	Oma Sanitätsrat
643364	324627	Kathi
643364	325298	
643364	326057	Anna
643364	343504	
643364	347766	Landlady
643364	352246	Suse
643364	358543	Kraeutermarie
643364	361012	Tante Angermeyer
643364	361367	
643364	365679	
643364	367152	
643364	369162	Anastasia
643364	376280	
643364	376358	
643364	376447	Baronin von Auerstein
643364	377333	
643365	325133	Rikke
643366	5218	Siri
643366	6512	Aud
643366	21724	
643366	42203	Mutter
643366	84303	
643366	96445	Mor
643366	119463	Kari
643366	127581	
643366	134974	Dagny
643366	153767	Kari
643366	173741	Tante Bassa
643366	301423	Edda
643366	320499	Laura
643366	389317	Kari
643366	390972	Svanhild
643367	236796	Anjukka
643367	322273	
643368	98094	
643368	371442	
643369	303846	Vieras jatkoilla
643370	351886	Venus
643371	4353	
643371	93615	Juffrouw Blinddoek
643371	140383	Serafien
643371	165624	Tante Net
643371	165625	Tante Net
643371	211909	Pelagie
643371	211912	Rosette
643371	351083	Tante Helena
643371	366699	Meid bij Springer
643372	210127	Zijn vrouw
643372	365770	Louise de Coligny
643373	4334	Magnuksen sisko
643374	301036	
643375	390410	Desirée van Cloppenburg (1996
643376	86712	Cecil
643377	194151	Herself
643378	24704	
643378	286257	
643379	19188	Mrs. Krieglander
643379	173087	Sofie
643379	173088	Sofie
643379	382250	Ruth Søsdal
643379	388761	Gro Åsland
643379	408192	Rektor Hoem/Hilde's stepmom
643379	410019	Turid
643380	233577	Police Woman
643381	237071	Signors, deres datter
643381	314843	(Norwegian version)
643382	185281	Katherine
643383	10208	Hulda Bråten
643383	50273	Kona til Bernt
643383	64636	Carmen
643383	108178	Gurine Plassen
643383	120847	Tjenestejente
643383	124466	
643383	129181	
643383	136451	
643383	174063	Karius
643383	178436	Hulda, i tjeneste hos Schacks
643383	180710	Fru Fosnes
643383	237406	Telefonarb.kona
643383	250412	Serveringsdame
643383	268364	
643383	304476	Fru riesing, Arnes mor
643383	334256	
643383	354196	Søster av Nordby
643384	283497	August
643385	382864	Arbeidersvrouw
643386	411936	Host (1980-1981)
643387	221859	Sirkuslainen
643388	129154	
643389	388912	Producenten
643390	406959	Kikka
643391	377295	Sairaanhoitaja
643391	380069	Lea Holsti
643392	278597	Päivi
643392	392164	Maija (2002)
643393	153756	Elli
643393	258846	Elsa
643394	324809	
643395	174779	
643396	102204	
643396	142642	Supertenava-loppukilpailun ku
643396	171583	Virpi Hiekkala
643396	182218	Iiris Vaara
643396	184798	Venla
643396	242266	Reetta
643396	271630	Kirsi-Mari
643396	319302	Laulava trio
643396	392164	Ester Annantytär (2000-2002)
643396	394023	
643396	403397	Ylikomisario Maria Kallio
643397	201831	Herself
643398	21557	
643398	116391	
643398	171650	
643398	239926	Nina
643398	317719	Reporter
643398	379101	
643398	398516	Carolina
643398	398793	
643399	382508	Herself
643400	303708	Helmi Hallman
643401	153659	
643401	181630	Lempi Helismaa
643401	248735	Tiina
643401	349945	Juhannusmorsian
643401	387500	Helena Kunkainen
643401	394938	Pappi
643401	400639	Lissu
643401	402823	Wilma Borg
643401	407885	
643402	255009	Roimata/Angel
643403	341114	
643405	145418	
643405	156039	Telirannan Martta
643405	169226	
643405	172143	
643405	173267	
643405	174478	
643405	175327	Lady of Jarvala
643405	181592	Hanna Kustaala
643405	182013	Elli Varavaara
643405	184796	Aliina
643405	187055	
643405	198262	
643405	200978	
643405	229544	Anna's mother
643405	233242	
643405	239154	People in schoolyard
643405	239911	
643405	250433	Nimismiehen rouva (wife of sh
643405	255763	
643405	255935	Hostess
643405	258847	Hulda
643405	267126	Cupper Kaisa
643405	287535	Hilda Maria Kassinen
643405	291666	Sairaanhoitajatar
643405	320384	Esteri
643405	321945	Mrs. Ilola
643405	324606	
643405	343395	Eva Boman
643405	352895	
643405	354274	Lady #1
643406	112919	Lisa Lynne
643407	18030	Pat Hughes
643407	106537	Melody/Mini-Cam Reporter
643407	330955	Nurse
643408	175223	Mother in Synagogue Reception
643408	296666	La Mere
643408	340459	Babs
643408	342824	Mrs. Genova
643409	102569	Molly Stewart
643409	333364	Christina - age 9
643410	376939	Mme Dupré
643410	384520	Herself
643411	17056	Bibi
643412	189259	Helper's girlfriend
643413	82737	Demon
643413	85176	Monica
643414	28450	Antoinette Kampf
643414	46162	Hedwig Pichlers-Tochter
643414	47445	Lucy Burrows
643414	89706	Dolly Klaren
643414	89720	Herself
643414	103128	
643414	103149	Edith
643414	128866	Pat Caverley
643414	134854	Madeleine
643414	153761	
643414	154110	Alma Keller
643414	178622	
643414	178672	
643414	189770	
643414	191083	Herself
643414	289389	
643414	306407	Lisa Brandes
643414	312155	Eloise
643414	314330	Dolly
643414	317500	
643414	359623	
643414	360369	Leni, Replaced by Jane Bryan
643415	211602	Second Little Girl
643416	94291	Undetermined Role
643416	154481	Infanta
643416	211602	First Little Girl
643416	313301	Chorine
643417	361606	L'infirmière
643418	366974	Amish woman
643419	365820	Teacher
643420	302029	Little Anna (play)
643420	364138	Orphan
643421	65114	Cameriera
643421	94680	
643421	102503	
643421	103638	Margherita
643421	159740	
643422	45564	Additional Victim in Newspape
643423	197499	Extra
643425	112763	
643426	399015	Co Host
643427	367446	Girl by Pool
643428	77158	Computer
643429	41566	
643429	125818	Mrs. Kolababa
643430	159571	Lizvlx
643431	196332	
643431	362080	
643433	185552	Mrs. Clark
643434	233865	Woman
643435	16878	Alice Alabaster
643436	281084	
643437	78781	Teenage Girl
643437	304821	Delivery Person
643438	94330	Linde
643439	72459	Miss Peggy
643440	125578	Rita Gordon
643441	53764	
643441	95281	Greta Marks
643441	132217	Kiosk Woman
643441	179778	Voice of Leyla Kessler
643441	194343	Zeugin Jehovas
643442	45899	Extra: viaduct
643443	4544	
643443	23446	Deputy Charlotte 'Charlie' Sp
643443	185086	Winifred DeMeeker
643443	258949	Bridgette
643443	262798	Bridesmaid #3
643443	346188	
643444	168018	Nurse
643444	330195	Trauma Nurse #1
643445	16878	Robert Edgar age 1
643445	277764	Party Girl
643446	479	Christine Bauer
643446	597	Mitzi
643446	2529	
643446	6517	Andrea Strobl
643446	24738	Rössl-Wirtin
643446	35204	Komtesse Laura
643446	35883	
643446	94301	Kathe Schmitt
643446	101012	
643446	103106	
643446	107959	Renate Meinecke
643446	112871	Frau Robbé
643446	120998	
643446	122553	Mother
643446	124404	Carlotta
643446	125229	Edith Ebner
643446	134910	Anni
643446	137636	Hansi Scheidl
643446	138765	Hilde Moll
643446	138915	Stefanie
643446	147184	Regine
643446	147272	Marianne (daughter)
643446	155599	Luise
643446	156730	
643446	156750	Josepha Vogelhuber
643446	156984	Tilla Büttner
643446	166408	Dr. Maria Kraemer
643446	170667	Barbara Hagen
643446	172379	Richette
643446	175774	Hilde Wolf
643446	178664	Trixi Gundacker
643446	178845	Bettina Brandtner
643446	182736	Cilgia Tass
643446	189433	Franziska 'Franzi' Zeller
643446	189879	Barbara Fuller
643446	197411	Pepi
643446	205665	Marianne Muehlhuber
643446	205666	Marianne Muehlhuber
643446	210093	Dolly Fleuriot
643446	210320	Cameo appearance
643446	223189	Angelika Jäger
643446	225183	Annerl
643446	237734	Nelly Lampl
643446	241969	Elisabeth
643446	248206	
643446	275166	Renate
643446	282212	Ottilie von Seewald
643446	290606	Uschi Bauer
643446	290788	Inge Kunze
643446	314894	Carola Berger
643446	322500	
643446	324679	Rosmarie Reisdorfer
643446	338427	Lieschen Müller
643446	361389	Gerti
643446	365815	
643446	375086	Kaiserin Maria Theresia
643446	376330	
643447	158518	
643448	480	Frau Burghardt
643448	125225	
643448	189645	
643448	219332	Mutter Simon
643448	227171	
643449	5644	Michaels Mutter
643449	12856	Frau Kirch
643449	22579	Astrid
643449	24106	Else Schnabel
643449	42117	Professor Vitamin
643449	70765	
643449	98316	Elvira
643449	98370	
643449	103120	Rolands Mutter
643449	129685	
643449	180156	
643449	187542	
643449	188826	Sekretärin Gertrud
643449	195057	
643449	232671	Marianne Bacher
643449	251024	
643449	259442	
643449	259461	Frau Schmidt
643449	259548	Frau Kern
643449	259644	Inge Schreiner
643449	290261	Mutter
643449	308483	Hannelore
643449	361441	
643449	381694	
643449	408827	Dr. Fronius
643449	409609	Frau Kolberg (1994-)
643450	17934	Girl Bartender
643450	22618	Sushi woman
643450	28480	Mrs. Addie
643450	43933	First Nurse
643450	60712	Fraulein Ravola
643450	73792	Rita
643450	99748	Die Wahrsagerin
643450	110308	Resturant manager
643450	176765	Danny Lee
643450	192106	Eve
643450	204406	Woman on the U-Bahn
643450	231333	Space Ship Commander
643450	286386	Sexpot
643450	290189	Chantal
643450	306273	Evil Queen
643450	312741	
643450	345670	Marie Therese
643450	364030	Studio Secretary
643451	98370	Manon
643452	406225	Schwimmerin
643453	184714	Chanteuse
643453	243197	
643454	73	Ricky's Girlfriend
643454	93304	Sarah Parks
643454	130968	
643454	134195	Yogurt Jerk
643454	162345	Tally
643454	186759	Student Girl #1 (Julie)
643454	264581	Young Judy Goodman
643454	292793	Dove Hooper
643454	321281	Katherine (age 13)
643454	396145	Cindy
643455	14104	Melanie Ryan
643455	29519	Teri Martin
643456	215282	Herself
643457	259512	Nachbarin
643458	81644	
643459	1826	Nachrichtensprecherin/Newsrea
643460	298599	Anne
643460	347573	Anke
643460	389958	Violetta Veilchenblau (#3)
643460	401142	Shi
643461	120770	Anna
643461	394751	Magda Cerniaková
643462	258083	Groupie #2
643463	312056	Betty
643464	78479	Herself (performing 'Vi hører
643464	78480	Herself (performing 'Ved du h
643464	78481	Herself (performing winning s
643464	104761	Herself (Danish entry) (6th p
643465	9317	
643465	9355	Liisa Haapalainen
643466	102204	
643466	153747	
643466	172142	Irmeli's mother
643466	336548	
643466	394701	
643467	399665	Herself
643468	156851	Finnish Housekeeper
643469	8847	Kirsti
643469	17747	
643469	20164	Irmeli Katariina Pihlaja
643469	181859	
643469	182377	Saara Lampinen
643469	198264	Small Redhaired Girl
643469	211863	Pääministeri
643469	221494	
643469	249384	
643469	265668	
643469	278686	Woman in bar
643469	328684	Various characters
643469	357788	Kauneuskilpailuvoittaja 2
643469	393757	Viki
643469	394701	
643469	400283	
643469	401477	Carola Axelsson
643469	402897	
643469	405802	Various characters
643469	409038	Marita Kallio
643469	410180	Solveig Stenberg
643470	254294	
643471	20956	Additional Cast
643471	271961	Cat
643472	355808	Docteur Braik
643473	332198	Pauline
643474	35498	Brigitte
643474	89463	Paula
643474	102047	Prof. Maria Scholl
643474	103089	Britta
643474	141167	
643474	155802	Cox
643474	177149	
643474	179814	Simone Marijnissen
643474	186903	Alla Polzin
643474	259558	Dr. Brigitte Riedel
643474	274864	Regentrude
643474	283072	Lilian
643474	311067	
643474	314885	Janine van den Bos
643474	333044	Rosine
643474	334176	
643474	348040	Barbara
643474	364905	
643474	383786	Paultje
643474	386979	
643474	400294	Ernstig zieke vrouw (1992)
643475	257296	Girl Pet
643476	148848	Bodypainted Girl
643477	54734	Gina
643477	320797	
643478	301748	Peasant Girl
643479	245207	Edward's Mom
643480	139050	Cowgirl #3
643481	333356	Salesperson
643482	62898	Hollywood Party Guests
643482	69693	Zelda
643483	70392	Sascha
643483	223918	Vivian
643483	224336	Kristy
643483	276855	Hooker
643483	289260	Usher
643483	303975	Leah
643483	365341	Shoplifter
643483	368944	Eileen
643483	387340	Annabelle (II) (1996-1997)
643484	240744	Herself
643484	286453	Herself
643484	286454	Herself
643485	41843	
643486	395073	Irit Sofer
643487	288862	Herself
643488	135000	Herself (Vienna)
643489	347572	Dancer
643490	196341	Motorcycle Gang
643491	153922	
643491	182137	
643492	267407	Groupie 2
643493	131383	
643494	104749	Yugoslav entry (13th place)
643494	104750	Yugoslav entry (13th place)
643494	170218	Herself
643494	170220	Herself
643494	170221	Herself
643494	170222	Herself
643495	169125	
643495	290527	
643496	3405	Sgt. Lambourne
643496	221215	Girl PC
643496	292229	Hannah Conrad
643496	307105	Barmaid
643497	145482	In Her Apartment
643498	46113	Ernestine
643498	102389	Lilly Walter
643498	172839	Charlotte Hoffmann (jung)
643498	178476	Klara
643498	189898	Gisela
643498	226330	Britta
643499	132983	La mère
643500	294916	
643501	181833	Jessica
643502	108474	Dancer
643502	256504	Player
643502	260950	Dancer
643503	12560	Laura
643503	16662	Svenja
643503	56545	Herself
643503	66038	Leah Diehl
643503	98302	Maureen
643503	101329	
643503	111747	Heidi
643503	120343	Anna Gunther
643503	125218	
643503	136722	
643503	159607	Lena Lagerberg
643503	166766	Tina Berger
643503	182897	
643503	216959	Herself
643503	254385	Alexandra
643503	269400	
643503	281669	Carmen
643503	281756	Laurie
643503	282238	Katja Böhme
643503	313207	Ens. Johanna Pressler
643503	325922	Sonja Wasberg
643503	338437	Jana Naumann
643503	365571	Lena Heitmann
643503	365605	
643503	382631	Herself/Host
643503	388798	Ricky
643503	389823	Paula
643503	392633	Melanie
643503	395470	Zev Bellringer (1997-1998)
643503	395471	Zev Bellringer
643503	400304	Schwester
643503	401356	
643503	406657	Viola Kimmling
643503	410075	
643503	411159	Lena Heitmann
643504	132540	
643505	43112	Fanni
643505	153859	
643505	377739	
643506	17941	Newwstand Girl
643506	253464	
643507	4507	Service
643508	117424	Juror
643508	202378	Office Staff
643508	240943	
643509	38838	Femme télé-achat
643509	68833	Catherine
643509	80156	Corinne
643509	84042	Herself
643509	110027	L'infirmière
643509	134602	Laetitia Guérin
643509	154736	La jeune femme qui chante
643509	167177	Caroline
643509	170466	Sophie Dastier
643509	240429	
643509	265218	
643509	275381	
643509	288897	Cyrielle
643509	288898	Cyrielle
643509	288899	Cyrielle
643509	288900	Cyrielle
643509	345252	
643509	377982	Catherine
643509	380622	Ariane
643509	401329	Nathalie Arène
643510	155687	Laure
643511	21731	
643511	24167	Shula
643511	125715	La mère de Philippe
643511	197325	
643511	216217	Girl on Donkey
643511	225135	
643511	227129	
643511	272257	La soeur de Ducasse
643511	345058	Katia
643511	345443	L'infirmière
643512	208812	Amina
643513	370001	
643514	26599	
643515	33893	Party Girl
643516	381288	Herself (säsong 3)
643517	3966	Hat Saleswoman
643517	98057	Mrs. Hirnbeiss
643517	98248	Frau Willrich
643517	223462	Nonne
643517	226175	Frau Fricke
643517	383171	
643517	399661	Various
643517	404457	Peggy Grahame
643518	307557	Patricia Rossi
643519	83713	Manica
643520	275190	Badende Braut
643522	345243	L'infirmière Jomet
643523	349242	Herself
643524	99315	
643524	162244	Martha
643524	284850	Marianna
643524	383786	
643525	76783	
643526	113574	Microbo
643526	409093	
643527	131804	Annie
643528	340368	
643529	282275	Ema Amara
643530	381422	Extra
643531	119358	Gym Teacher
643532	334388	Waitress
643533	10704	Musician 2
643534	60753	Nurse
643535	131132	Enfermera
643535	399605	Colaboradora (2003-)
643536	24683	Sarah
643537	44238	Bordello Vampire
643538	214422	Nikki
643539	325859	Elvira Kniebel
643540	335270	Yumiko Sano
643541	377792	Marie, age 3
643542	226476	Literature Teacher
643543	402876	Maribel
643543	410091	
643544	292351	Fille d'Elisabeth
643545	160882	Mary
643546	392226	
643547	72266	Cripple Woman
643549	45781	Cindy Brady
643549	46106	Chloe
643549	113333	Hana
643549	144363	Rhonda Wellington Lloyd
643549	227539	
643549	313420	Olivia Picard
643549	352701	Cindy Brady
643549	380455	Young Mary Elizabeth 'M.E.' O
643549	391485	Rhonda Wellington Lloyd
643549	394403	Gabrielle
643549	395579	
643549	404215	Lola
643550	17760	Street Stranger
643550	40662	Erika Breen
643550	46813	Kimberly
643550	56660	Monica Browne
643550	57663	
643550	59666	Herself
643550	65835	Anna
643550	75702	
643550	81065	Janette Clausen
643550	107906	Lynn Brown
643550	113641	Hannah
643550	118211	Leslie
643550	119882	JoBeth Rawlings
643550	150802	
643550	155824	Jennifer Corly
643550	164355	
643550	176283	Maggie Pierson
643550	177369	Cathy Long
643550	209114	Jennifer
643550	235441	Becky Worth
643550	253338	Abby Walters Morrison
643550	291891	Capt. Marilyn Stark
643550	302750	Frankie
643550	314440	Susan
643550	323564	Nan Horvat
643550	333182	Docent
643550	337314	Logan Gay
643550	340246	Anne Potter
643550	350491	Mary
643550	383943	Tiffany Welles (1979-1980)
643550	385451	Dr. Beth Gilbert
643550	393192	Jackie Shea
643551	398906	Anchor
643552	252000	Skoleelev/Classmate
643553	160263	Munteres Maedchen
643554	126445	
643554	153105	
643554	216272	Frau Brandstätter
643554	219263	Olga
643554	325665	Mathilde Prange
643554	325688	
643554	333778	
643554	343500	
643554	348046	
643554	364923	
643554	393254	
643554	406321	
643554	407351	
643555	107250	
643556	143651	Dancer
643557	365344	Beautiful Party Woman
643558	19290	Shopper
643559	259430	
643560	124411	
643560	129495	Moni
643560	290499	
643560	345906	Frau Kästl
643560	346389	
643560	352064	
643561	161335	Herself
643562	120641	Crabbe's wife
643562	158380	Dolores de Mendoza
643563	134	Arlene Trent
643563	77751	Linda
643563	134725	Annie
643563	189167	Mum
643563	199308	Madame Homais (episodes 2, 3)
643563	258082	Julie Mosscroft
643563	367435	Lily
643563	383683	Mrs. Tonbridge
643563	390694	Annie
643563	392942	Donna
643563	411183	Doris
643564	194055	Betsy
643565	147645	Roping act
643566	33743	
643566	47491	
643566	49728	
643566	54711	
643566	61628	
643566	65661	Thomson, the maid
643566	71131	Mrs. Lynn
643566	87916	Rose, the Laborer's WIfe
643566	104879	
643566	105347	Mrs. Ebengham
643566	120554	
643566	143214	
643566	145790	Grace
643566	166219	
643566	208033	
643566	251164	
643566	262064	
643566	262587	
643566	279339	
643566	290384	
643566	299999	Burton's ex-sweetheart
643566	303070	
643566	311550	The Teacher
643566	362876	
643567	17679	Rose Hope
643567	245305	Tríona
643568	33743	
643568	133787	Louise Jupp, clerk at hotel
643569	130410	
643569	165472	Gretchen
643569	223772	Reporter
643570	14239	Belva Lockwood
643570	80551	
643570	103250	Aunt Sibyl
643570	114613	Dorian
643570	115432	Capt. Grace
643570	134694	Dottie Renfrew
643570	139536	Herself
643570	151266	Olive
643570	185447	Lee
643570	193890	Millie Cooper
643570	194039	Norma
643570	199092	Maggie
643570	221021	Herself
643570	235059	
643570	241795	Lonnie Fox
643570	242105	Toby
643570	244364	Kathy Maitland
643570	248097	Julia Blake
643570	258018	Martha Harrison
643570	261427	Louise Gelson
643570	273588	The Second Mrs. de Winter
643570	274682	Claire Elliott
643570	279091	Christine
643570	315256	Jessica Hilliard
643570	319759	Prudy
643570	328264	Dr. Janet Ross
643570	338801	Lauriette Paxton
643570	365733	Catherine Allen
643570	372515	Clementine Hale
643570	380389	Ginny Gardner
643570	385970	Joan Miller (1961-1962)
643570	398313	Christine Mannon
643570	411811	Gail Prentiss (1959-1960)
643571	41951	
643571	55238	
643571	77908	Nan Higgins
643571	90421	
643571	145698	
643571	157747	Miss O'Ryan
643571	183347	Mae Dotty
643571	241031	Mary Foster
643572	40539	Anselm
643572	55474	Miss Kroghe
643572	115497	Nurse
643572	158825	Jill, WOMB member
643572	185385	Mother May the Madame
643572	187985	Detective
643572	188275	Cop #2
643572	193683	Margaret
643572	223026	Paula
643572	230324	Mrs. Knox
643572	241604	Nora Walsh
643572	313406	Additional Voices
643572	313410	Cmdr. Saffi Larsen
643572	313418	Dr. Stevenson
643572	313426	Pok's Mother
643572	313443	Alien Captain (scenes cut)
643573	300005	Mary Carroll
643574	131217	Nicky
643575	195801	Grace
643576	137514	Showgirl
643576	313514	Dancer
643578	7863	Gillian
643578	12737	Dr. Liz Sort
643578	12738	Woman Cricketer
643578	39194	Mrs. Aston
643578	72039	
643578	85893	Pollock
643578	92222	
643578	143950	Annette Diver
643578	156775	
643578	162460	Lieutenant Governor
643578	169372	Gillie Griffiths
643578	179513	Carol
643578	185098	
643578	219204	Elizabeth Barnes
643578	222831	Bridal Manageress #2
643578	248491	Mrs. Pike
643578	283547	Dave
643578	364681	Mother
643578	381608	Ginny Hill (1972-1974)
643578	382393	Angela Lang
643578	383057	
643578	383598	Jessica Johnson
643578	387521	
643578	390276	Mrs. Craig
643578	399816	Noelene Chester Sutcliffe (19
643578	400224	
643578	402442	Heather Rogers
643578	407531	Mama Jack
643578	407532	Jessica Johnson
643578	408118	
643578	411809	Lois Norton (1979)
643579	147165	
643580	134995	Romy
643581	282416	
643582	30646	Student
643583	945	
643584	214042	Herself - Gnag Supression Uni
643585	265615	Ms. Goodman
643586	93296	Herself (trick rope twirler)
643587	185174	Grace
643587	273164	
643587	294781	Edmond's mother
643588	107902	Terri Jo Parks
643589	213071	Harriet Johnson
643590	217745	Dancer
643591	70407	Mrs. Thatcher
643591	78045	Landlady
643591	118278	Mrs. Gruber
643591	186040	
643591	186064	Pub Landlady
643591	192000	Mrs. Prothero
643591	230981	
643591	258210	Mrs. Penfield
643591	290080	Lady at Seance
643591	313082	Miss Burns
643591	332738	Demonstrating Woman
643591	370585	Aunt Maud
643591	381753	Mrs. Pollard (Series 2) (1970
643591	382603	
643591	400020	Mrs. Carr
643591	405890	Phyl Chiddock
643591	410499	Maggie Clarkson
643592	134720	Nurse Bates
643593	382855	Meril Dorn
643594	223261	Esmeralda
643595	375256	
643596	10316	
643596	33126	
643596	72123	Passport officer
643596	103561	Miriam Seidman
643596	171685	
643596	256910	
643596	285206	
643596	300503	
643596	375116	Tirza
643596	395329	Varda
643597	219474	
643598	25112	
643598	84100	L'amazone
643599	2987	
643599	10401	
643599	18714	
643599	19392	Woman at the airport
643599	28347	
643599	90126	
643599	99523	
643599	140671	Átalné
643599	145617	Jutka
643599	153861	Prevencia
643599	171603	
643599	177975	Nõ a Hõsök terén
643599	214494	Lidi mama
643599	214709	Mother of Sándor Galamb
643599	225073	Csöpi
643599	237165	Mrs. Szinyák
643599	284581	
643599	322051	Györgyike
643599	322094	Auntie Lenke
643599	333113	Lenke
643599	349781	Zoli anyja
643599	352777	Virág Rózsika
643599	354618	Jerzsabek néni
643599	377748	Doctor
643599	377807	Nurse
643599	378318	
643599	378582	Bori
643599	382544	Telefonos kisasszony
643599	394880	Kotkoda (episodes 14-26)
643599	400834	Old woman #2/Narrator/Various
643599	407309	
643599	410331	
643600	57064	Performance Dancer
643601	76976	
643601	137161	Crimson
643601	146891	Kyoko
643601	167942	Ichinose, Yoshino (Sister of 
643601	173537	
643601	239232	Yuko Kurita
643601	271886	Shizuko
643601	282556	Taki
643601	295126	Komachi
643601	300507	
643601	380471	
643601	405980	Yuriko Hirabayashi
643602	9190	Friend of Michiko
643602	375558	Friend of Michiko
643603	139898	As herself
643603	266843	Lydia
643603	322395	Teresa de Teresa
643603	407862	Neighbor (singer)
643604	284794	
643605	104777	Israeli entry (12th place)
643606	300868	
643607	23027	
643607	101072	Renana
643607	175713	
643607	205052	
643607	206496	Aya Masterichi
643607	211695	
643607	285555	Eva
643607	299363	
643607	343433	Dalia Ankri
643607	395329	Smadar Kedmy
643607	397482	
643607	397878	Zafrira
643608	20152	
643609	175193	Omar's Mother
643610	267253	Rachel
643610	312965	Sharon Hayes
643610	394146	Mufor
643610	400197	Stephanie Carpenter
643610	400530	Lammle's Maid
643611	31018	Moroccan Family Member
643612	56049	Arab girl
643613	314135	Stewardess
643614	40204	Mrs. Simpkins
643615	10311	Ava Bramble
643615	25829	Florence Corman
643615	55430	Frannie
643615	106710	Rachel
643615	113569	Nurse Isabel
643615	194023	Rachel
643615	390771	Anita (1998)
643615	394666	Casey Mitchell
643615	400236	Cassie Callison (#2) (1983-19
643616	89042	
643617	220625	Whore in the Door
643617	260136	Smug Artiste in Black
643617	312678	
643617	366905	Alyssa
643618	275169	Frau an der Reeling
643619	132309	
643620	33160	Matilda
643621	160728	(segment "Dois Dedos")
643621	406847	Ondina
643622	39038	Zbayda
643622	126411	
643622	140039	
643622	226476	Nag'la
643622	285263	Oum Youssef
643623	96153	
643624	310298	Annette
643625	179005	Tänzerin
643626	131232	Extra
643627	256530	Loretta
643628	139587	Herself (interviewee)
643629	200191	Glider, Queen, Lady in the Fo
643630	131232	Extra
643631	131232	Lady at racecourse
643632	131232	Extra
643633	131431	Mabel (15 years old)
643634	224401	Salvation Army woman
643635	32080	Maureen
643635	46545	DCI Matthews
643635	92509	Florrie Bradley
643635	176952	
643635	186404	Judy
643635	194232	Mary McCann
643635	196548	WPC
643635	308918	Mrs. Leivers
643635	369384	Mrs. Tarnley
643635	379872	Carla
643635	385020	Josie Clarke (1994-1996)
643635	395569	Fiona Drummond
643636	243700	Marta Cristal
643636	385253	Ambar Alsina
643637	266412	
643638	133792	Karen Meechum
643638	190711	Amy
643638	222216	Melinda
643638	289691	Michelle Motley
643638	382507	Banjo
643638	388195	Cindy Webster Baker (1979-198
643638	398507	Melinda Mulligan
643639	252483	Georgia Reporter
643640	2480	Marina (segment "La guardia d
643640	32519	Alice
643640	49366	Backstage Well-Wisher
643640	57654	Waiting Room Patient
643640	64776	Maria Luisa
643640	73254	Suzy Thomson, alias D'Annunzi
643640	74878	
643640	75802	Pearl Prophet
643640	83174	Elisabeth
643640	112073	Cecilia Harrington-Forbes
643640	199315	Elizabeth
643640	207081	
643640	235067	Charlotte Caulder
643640	248135	Joanna
643640	249281	Corinne
643640	282002	Diane Collins
643640	319752	Sonia
643640	333121	Mother
643640	340384	Helen
643640	345650	Susan
643640	368588	Jane Douglas
643640	376311	Darlene Meyers
643641	16654	Dancer
643641	20287	Dancer
643641	20316	Girl
643641	32886	Dancer
643641	33698	Dancer
643641	36841	Girl
643641	42023	Bit Part
643641	51885	Checkroom Girl
643641	56103	Dancer
643641	60189	
643641	66549	Undetermined Role
643641	67156	
643641	77015	Dancer
643641	90292	Dancer
643641	146813	Show Girl
643641	156464	Girl
643641	157870	Bit
643641	163544	Dancer, Cuban Girl
643641	175627	Kentucky Belle
643641	177368	
643641	195071	Dancer
643641	196295	Talent Agency Girl
643641	203051	Dancer
643641	220333	Show Girl
643641	230344	Redhead
643641	249021	Peasant
643641	282352	Dancer
643641	289236	Girl
643641	289422	Usherette
643641	312584	
643641	313076	Dancer
643641	313301	Chorine
643641	319193	Dancer
643641	329329	A Lucky Star (The Lucky Star 
643641	331762	Chorus Girl
643641	339407	Dancer
643641	346227	Bridesmaid
643641	361300	Girl
643641	370537	Barmaid at Stetton's
643641	372050	Cigarette Girl
643641	374198	Dancer
643642	20257	Sue Lambert
643642	48586	Radio station secretary
643642	72257	Bee Davis
643642	96853	Gertie the Telephone Operator
643642	117801	Bit part
643642	176361	Second Girl With Mrs. Reynold
643642	203279	Young lady
643642	205448	Miss Walter
643642	224419	
643642	277531	Westlake's Receptionist
643642	277955	Betty Harper
643642	309579	Blonde
643642	347731	Nurse
643643	25715	Itto
643644	382485	Herself - Host (2004-)
643645	34822	TV receptionist
643646	7417	
643646	12625	Helen
643646	91492	
643646	112401	Magistrate
643646	118412	
643646	118472	Dr. Kirk
643646	154261	
643646	158576	
643646	231069	A.G's Wife
643646	233931	Julie Deakin
643646	264881	Mrs. Spencer Grant
643646	292016	
643646	330246	Barmaid
643646	378753	Mrs. Gillen
643646	381570	Caroline Chisholm (1972)
643646	381641	
643646	383813	Barbara
643646	387151	
643646	399130	Helen Daniels/White (1985-199
643646	400604	
643646	401624	Herself (1966-19??)
643646	402442	Alice Wells
643646	404932	
643646	405960	Rosie Andrews Palmer (1981-19
643646	408118	
643646	408664	Aggie Topp
643647	82169	
643647	216127	Party Goer
643649	161964	
643650	119096	Phyllis
643651	29895	Jennifer
643652	5055	Fran's Aunt Hattie
643652	7481	Gresham's Secretary
643652	7493	Mrs. Justin I. Peacock
643652	16465	Aunt Milly Forrest
643652	16466	Aunt Milly Forrest
643652	16467	Aunt Milly Forrest
643652	16468	Aunt Milly Forrest
643652	16470	Aunt Milly Forrest
643652	16471	Aunt Milly Forrest
643652	16707	Clara Barton
643652	17693	Mrs. Rachel Barry
643652	27135	Tillie Lovejoy
643652	30156	Aunt Letty
643652	30369	Alluna
643652	30922	
643652	34650	Miss Talbert
643652	35167	Head Guard Darcy
643652	36954	Mrs. Mary Cooper
643652	38813	Mildred Cassaway
643652	39498	Sophie Shemanski
643652	43992	Miss Barnes (McMasters' secre
643652	47364	Miss Wynn
643652	53299	Miss Beauregard Peachtree
643652	54492	Mrs. Agatha Mogan (truant off
643652	67798	Miss Pipps, the teacher
643652	72022	Aunt Milly Forrest
643652	73203	Dr. Anna Burkhart
643652	105248	Susan Franklin
643652	108240	Aunt Milly Forrest
643652	113634	Miss Fisher
643652	114155	Mrs. Mason
643652	114799	Clara Barton
643652	118232	Susie
643652	118304	Miss Bennett
643652	133789	Mrs. Dingle
643652	136816	Miss Rollo, Harry's Secretary
643652	137468	Henrietta Hargraves
643652	139316	Mildred 'Aunt Milly' Forrest
643652	139942	Mitchell's Secretary
643652	152433	Susan 'Sue' Merriweather
643652	169889	Aunt Mildred 'Millie' Forrest
643652	175209	Mrs. Foster
643652	185444	Anna
643652	186013	Jennie Nevins
643652	190062	Aunt Milly Forrest
643652	190179	Smitty
643652	190210	Winnie Belle Winters
643652	191242	Lula May McManamee
643652	192056	Teresa Lewis
643652	194721	Rhoda Kitterick
643652	195539	Miss Cecilia Landis
643652	195794	Aunt Milly Forrest
643652	199192	Marie, Yvonne's Maid
643652	200484	Nancy Ashford
643652	220788	Alma Rhodes
643652	223048	Martha
643652	237575	Aunt Martha Shields
643652	244841	Miss Dill
643652	245253	Aunt Milly Forrest
643652	245387	Mrs. Merril
643652	255887	Landlady
643652	260224	Collins
643652	270432	Mrs. Jackson
643652	275458	Niss Wilson, Jeff's Secretary
643652	276939	Ellie
643652	280347	Agatha Cartwright
643652	282402	Ma Wyatt
643652	292511	Nora
643652	298047	Laura Pitts
643652	298165	Martha Winthrop
643652	299780	Flora Kaczek
643652	308155	Miss Coulter, Stafford's Secr
643652	311405	Etta Dawson
643652	327256	Miss Brendon
643652	330454	
643652	331205	Cameo appearance
643652	339394	Miss Matthews
643652	342889	Ma Slocum
643652	345981	Janet Griswald
643652	358193	Mrs. Cook
643652	359748	Mrs. Harriet Harrington
643652	360166	Cordelia Peabody
643652	363960	Miss Harrington
643652	367577	Matron at orphanage
643652	372353	Aunt Milly Forrest
643652	372819	Sister Lassie
643653	68760	
643654	178962	Subject
643654	242867	Ophelia
643655	203358	Rockette
643656	164474	Glenda
643656	213581	Chorus
643656	250638	Aesthetic maiden
643656	334757	Guest Soloist
643657	65134	Dancer
643658	52656	The Desk Clerk
643659	356661	
643660	137579	Detective #2
643660	242077	Woman Poet
643661	52656	Freshman
643662	97277	Asylum Inmate #4
643663	334757	Special Guest (D'Oyly Carte W
643664	330474	Woman on Street
643665	144487	Hiawatha
643666	321394	Mrs. Schneller
643667	90819	Teacher
643668	198053	Fars Kæreste
643669	14821	
643670	373654	Herself
643671	2244	
643672	257962	
643673	206442	Allison
643674	195235	Meriem
643676	28455	Lisa Marriot
643676	390523	Fiona Ridge (1992)
643677	53313	Musician, percussion
643678	314224	Lady
643678	317533	Doctor
643679	30662	Windmere House Chambermaid
643679	76606	DC Parkes
643679	78744	Elsie
643679	170411	Girl on stage
643679	382333	Various roles
643680	159175	Dancer
643681	359348	Herself
643682	330375	
643683	385277	Herself - Mammal Keeper
643684	353707	The Bride
643685	359971	Grad
643686	403314	Wendy
643687	342706	Hardware customer
643688	305778	Big Lady
643689	154884	Terri
643690	341623	Macey
643691	75631	Marie
643691	80378	Dr. Brenda Boone
643691	159506	Ellen
643691	166917	Former Girlfriend
643691	194533	Taliah
643691	389858	Dr. Julie Morris Devlin Ramse
643691	401930	Dr. Julianne 'Julie' Morris D
643692	120765	Consuela
643692	133456	Trudy Stewart
643692	185836	Edie Morris
643692	382853	Marilee Dorf (1956-1957)
643692	393611	Barbara Simpson (1961-1962)
643693	823	
643694	152579	Juanita's friend #1
643695	260173	
643696	186192	Dame aux caniches
643697	230663	Carmen
643698	214901	
643699	255641	Girl playing stylist
643700	364294	Herself
643701	105859	Petra
643702	43432	Girl with Cat
643703	138978	
643704	309639	Patient
643705	42951	
643705	58282	Lanková
643705	84223	Bozena
643705	88670	Stuchlíková
643705	112967	Herself
643705	147226	Bendová
643705	149414	Turecková
643705	151870	Plasilová
643705	165061	Teacher
643705	165074	Kendy's mother
643705	171531	Mrs. Stejskalová
643705	179897	
643705	180224	Katka's Mother
643705	224959	Nováková
643705	227773	Slávinka
643705	229232	Grandmother Jeníková
643705	229792	Herself
643705	237198	Mother of Emil and Robert
643705	237516	Katèina matka
643705	239419	Mother
643705	247551	
643705	260392	Málková
643705	263652	Mother
643705	268294	Blazková
643705	283261	Coach
643705	304192	
643705	304659	
643705	325165	German Widow
643705	327202	
643705	349195	Mother
643705	350519	
643705	357904	Vanková
643705	357947	
643705	374535	Kristýna
643705	375408	
643705	384131	Ctibor's mother
643705	396264	Helene Trenkel
643705	398755	
643705	400727	Helene Málek (1978)
643705	402368	Bozi
643705	404278	Miluska
643706	147929	
643707	4694	Babysitter
643707	150189	Nurse
643708	385299	Jennifer Maynard
643709	375537	Malka
643710	244214	Paola
643710	253836	
643711	47783	Katerina Mehandzhieva
643711	95935	
643711	132154	Mery Lamur
643711	160606	Dora
643711	284458	Savarinova
643711	335937	
643711	343429	Kozmetichkata
643711	349086	Gospozha Hadzhieva
643711	398895	
643711	398896	
643712	43418	
643712	214249	
643713	94506	
643714	182084	
643714	235290	Malkata Nadezhda
643714	273058	Lyubimata Fifi
643714	305478	Maria
643715	370460	Ia
643716	375342	Stana
643717	92742	Pauline
643717	332799	School Board Chair
643718	191488	Ado's Mother
643719	55370	Nurse
643719	64333	Herself (1995)
643719	64341	Lucile
643720	46458	Susanna
643720	190776	Liliana
643720	364795	Worker
643721	117314	Girl at Pool
643722	361237	
643723	263014	
643724	275676	Ex-girlfriend
643725	259722	
643726	20424	Annerl
643726	24084	Zenzi Pointner
643726	98305	
643726	131966	
643726	155396	
643726	189794	
643726	225143	
643726	242858	Die Braut
643726	273751	
643726	280796	Zofe bei Petersen
643726	281959	Vera Fürst
643726	283474	
643726	293866	Bettina Heinemann
643726	312996	
643726	314560	
643726	344724	
643726	352307	
643726	376025	
643726	376339	Luise Brandstötter
643727	66047	Little Girl in Crowd
643728	66047	Daughter at Balloon Booth
643729	289637	Wife
643730	70390	
643731	53747	Woman in restaurant
643732	125224	
643732	187066	
643732	395326	Cécile de la Fontaine
643732	397706	Kolonel Waterloo
643732	411311	Ida Opzomer (1999-2001)
643733	320003	
643734	53747	Woman in restaurant
643735	204204	Jacuzzi Girl
643736	338537	
643737	85552	Chloé
643738	81984	Stan's girl
643739	272655	Herself
643739	330881	News Reporter
643740	177033	Dominique
643741	290665	
643741	386979	
643742	284261	
643743	198402	
643744	121029	Eva, his wife
643744	126457	Roselle
643744	134849	
643744	174824	
643744	180234	
643744	182768	Königin Elena
643744	187586	
643744	204505	Lady Edith
643744	250468	
643744	281954	Therese
643744	290686	Edith von Prankha
643744	293548	
643744	314895	
643744	317607	
643744	317611	
643744	324696	Sängerin
643744	345901	Gloria Liners
643744	365009	Mrs. Strauss
643745	214035	
643747	203403	Gloria Watson
643748	93399	Sebastians Filmteam
643749	412266	Sosie Hélène
643750	68333	Julie enfant
643751	356755	
643751	378049	Sól
643752	211765	Blonde in Porsche
643753	266208	
643754	9756	
643754	76804	
643754	98723	
643754	186507	
643754	187574	Leila
643754	373667	
643754	374349	Zeinab
643754	375540	
643756	354749	Herself
643757	281666	Schreiendes mädchen/disco
643758	941	The Mermaid
643759	26442	Baby Girl
643760	198399	Olufs mor Marie
643761	218792	Swing Dancer
643761	278437	Young Sister Elizabeth
643762	62887	
643762	86242	Mrs. Stuckenschmidt
643762	93491	Une prostitute
643762	121811	
643762	169119	Elsa
643762	225187	
643762	232168	
643762	233049	
643762	237681	
643762	272609	Martins Verlobte
643762	290300	
643762	361370	Lydia
643762	361391	Frau Kühn
643762	376327	
643763	168087	Olivia
643764	119508	Monique
643765	409572	Anna (1996)
643766	14974	Elder Sister
643766	42025	Giselle
643766	86711	Jean Barnes
643766	114702	Pat Dunn
643766	254663	Aileen Philby
643766	379398	Philippa Jordan
643766	380943	Carol Wilson (1961-62)
643766	384457	Sheila Clare
643766	396514	Laura Grafton
643766	401765	Amanda Gibbs
643766	407414	Jane Steedman (1980)
643767	145482	In Her Apartment
643768	236956	Princess Mary
643769	95681	
643770	59112	Carmen
643771	261152	Singer
643771	388912	Gunilla
643771	392164	Vava Wecksdorff (2002)
643772	189106	Mounia
643773	40907	Ossian's mother
643774	81622	
643775	140057	Huda
643776	89451	Kimura, tamayo
643776	122900	Rumi
643776	394099	Sonoda Mari
643777	213872	Suey
643778	368244	Ensemble member
643779	51277	Stella
643779	239584	Granny
643779	320706	
643780	23338	Mayor of Denver
643780	34638	Mrs. Clark
643780	47954	The Mother
643780	59126	Secretary
643780	79428	Judge Karmin
643780	80640	Vera Smith
643780	86455	
643780	91769	Libby's Mother
643780	195971	Ashton
643780	203774	Nun
643780	206876	
643780	209526	Ambassador Terry
643780	233509	Kay
643780	245531	Carol Dorfman
643780	254994	Social Service Director
643780	275107	Mother
643780	296818	Desk Nurse
643780	296847	Ann
643780	308004	Lab Doctor
643780	314440	Mrs. Leitner
643780	316191	Flinore Whelan
643780	321184	Mitzi
643780	346871	Minister
643780	364324	
643780	398066	Linda Harris
643781	49973	Aurelia
643781	75616	Clover
643782	14620	
643782	79097	Mrs. Ross
643782	114848	Baroness
643782	117695	Dick's Mother
643782	142444	Bele Burns
643782	145884	
643782	145895	Jane Allen
643782	148229	
643782	177438	
643782	227348	Mrs. Doane
643782	239644	Mag Jones
643782	241414	Mrs. Copeland
643782	246716	Jeanette Wayne
643782	305468	Mrs. Vaughn
643782	361808	Bismarck Annie
643782	364146	Irene
643782	365335	Mae Garcon
643782	366676	Phyllis Harrington
643783	178034	Gretchen
643783	317223	Mary
643784	62911	
643784	188746	
643784	226237	Rajah
643784	322425	
643784	352225	
643784	361318	
643785	273286	Brenda 'Bunny' Benoit
643785	283497	Dancer
643785	291052	Harlot
643785	313869	
643785	395145	Contestant #2
643786	345	Miss Hound
643786	117072	Manette
643786	123114	Maggie
643786	133597	Molly
643786	141635	Matron
643786	164364	Jane (at 16)
643786	191649	The Prosecution
643786	232317	Doris
643786	393685	
643786	403244	Maggie Edwards
643787	32596	Newscaster
643787	330902	Eve
643788	81776	Jane Beiderman
643788	107551	Faith at 7
643788	188615	Young Lita
643788	305418	
643788	314777	Little Girl in Dream
643789	86954	Katie Semelhack
643789	122913	
643789	137689	Kara Strode
643789	154660	Sarah
643789	253059	Sales Manager
643789	277764	Laura
643790	70304	Gwen
643790	116033	Woman #1
643790	119597	Girl Gangmember
643790	172703	Waitress
643790	239891	Pregnant Woman
643790	302235	Girl at Polo Game
643790	363886	Hospital Nun
643790	365088	Saleswoman
643790	366834	Susan Claridge
643791	238246	Older Couple (F)
643792	9006	Coach Crenshaw
643792	66621	Diana Luna
643792	67565	Victoria Chase
643792	67597	Ruth 'Ruthie' Jernigan
643792	77152	Elanor 'Miss Ellie' Southwort
643792	82092	Maggie
643792	82930	Jessica
643792	98818	Diane McAllister
643792	114251	Pam
643792	119775	Alice
643792	119928	Ellen
643792	171395	Jennifer Spalding
643792	185266	Pam
643792	214929	Sheila Yoder
643792	253337	Laurel Crown
643792	257772	Jenine Goldstein
643792	278526	Connie Zorzak
643792	280190	Trudy Wise
643792	299679	Elizabeth Moore
643792	307902	Shayne
643792	308147	Officer Violet Searcey
643792	323846	Katherine Hodge
643792	330217	Diane
643792	337125	Sgt. Kelly Harris
643792	391439	Angel (Sensitivity)
643792	395591	Dee Dee Lucas
643792	399841	Sally Lonnaneck
643793	107551	Faith at 13
643793	243150	Sarah
643793	389289	Millie Kentner
643794	155248	Additional Soul
643795	128089	Topless Dancer
643796	316225	Shadow
643797	191240	Strolling player
643797	363309	Girl
643798	375965	Police girl
643799	294173	Maysie
643800	247977	
643801	152912	
643802	131410	
643802	329936	
643803	40690	Narrator
643804	394055	Kajsa
643805	181638	Housemaid
643805	187634	Barbro Axelsson
643805	238802	Rut Jonsson
643805	303648	Flagellant
643805	304405	Gullan
643805	322310	Woman in village
643805	348728	Jenny, Ursula's friend
643805	357796	Girl
643806	349775	Lillemor
643807	84988	
643807	205890	Helen
643808	227103	Nanna
643809	265174	Herself
643810	326854	Child Making Dummies
643811	245603	
643812	77139	Getuige
643812	103225	Grootmoeder
643812	141734	
643812	205689	Mathilde
643812	335532	Dame
643812	356554	Weduwe Suzanne
643813	110548	Herself
643813	396667	Herself (2001-)
643813	399052	Herself (2001)
643814	380685	Herself (as The Chordettes (1
643815	127642	Ruth
643815	361369	
643815	409609	
643816	86282	Nurse
643816	245183	Veronica
643816	384153	Starlene
643817	278332	
643818	325192	Patient
643819	187072	Vanished Man on Plane With Fl
643819	393631	Herself
643820	407351	
643821	348495	
643822	297128	Hekate/Lady Macduff
643823	211038	Kirurgi
643824	192647	Bathing girl
643825	266191	Marjorie
643826	193488	Little girl
643827	394903	Nicole Stöver
643827	403792	Gitti
643827	404448	Sascha Hansen
643828	80827	Sarah
643829	321522	Rosemary
643830	11769	
643830	21379	Fru Bruun
643830	23507	
643830	26156	Anna
643830	48345	
643830	51265	Grandmother
643830	93516	Købmandskonen
643830	94265	Eriks mor Kirstine
643830	128047	Marie
643830	178961	Jespers mor
643830	179531	Sur teatergæst
643830	198282	Dame på plejehjem
643830	214514	
643830	237156	
643830	256122	
643830	264050	Tove
643830	274934	
643830	309292	Jomfru Lurvadt
643830	322680	Ellens kollega på kontoret
643830	350562	Dame I finanshovedkassen
643831	322468	Mads
643832	16113	Mrs. Wheeler
643832	134678	Dr. Plover
643832	198025	Lydia
643832	278069	Mrs. Riley
643832	304285	Mary
643832	320041	Doris
643833	24075	Hanna Wittkowski
643833	28793	Erzieherin
643833	38186	Isole v. Reichenberg
643833	50158	
643833	84592	Hilde Isenbüttel
643833	98315	Trude Semmeling
643833	108164	
643833	120958	
643833	129690	Frau Harms
643833	136086	Elsbeth
643833	142045	Renate
643833	156758	Eva Wichmann
643833	204472	Alice Westby
643833	281721	Harriet Miners
643833	281732	Marjorie Barnes
643833	281750	Jess
643833	289900	Hilde
643833	325411	Nurse Hilde
643833	325727	Luise Bernd
643833	325823	Gaby Denzel
643833	332621	Erika Sperling
643833	338435	Gerda Helmbrecht
643833	338436	Frieda Gross
643833	338446	Margret Bauer
643833	352047	Johanna von Kappel
643833	376000	Frau Bex, Unternehmerin
643833	377352	Karin
643833	377353	Schwester Karin
643833	377354	Schwester Karin
643833	377356	Schwester Karin
643833	377357	Schwester Karin
643833	379372	Trude Semmeling
643833	379768	Trude Semmeling
643833	382203	Ilona Neddelbeck
643833	393978	
643833	394287	
643833	398089	Helga Roggenkaemp
643833	404748	Gretel Burmönken
643833	410817	
643834	178593	
643835	345439	
643836	175860	Florist
643837	345286	
643838	144126	Herself
643838	310184	Woman in Diner
643838	346902	Trixie
643839	458	Gesine
643839	471	
643839	34013	
643839	38769	Martha
643839	51321	Inge
643839	62887	Ruth Bornemann
643839	82164	Lisbeth Minke
643839	90649	Anneliese
643839	92530	Frau Remy
643839	93432	Fräulein Schnack
643839	98288	
643839	102436	Lizzie
643839	119254	Schütze Heidi Käfer
643839	120995	Stine, Magd
643839	129494	
643839	144159	Tine Jensen
643839	147130	Zenzi
643839	153880	
643839	156728	
643839	164270	Liesel
643839	170691	
643839	177214	Inge
643839	178984	Bettina
643839	187678	Carla Mühlberger
643839	189688	
643839	226264	Monika
643839	237539	
643839	265402	Schülerin
643839	289985	
643839	290606	Dame von Zimmer Nr. 7
643839	290667	Kuni
643839	308844	Mariechen
643839	325782	Herta Laschke
643839	334631	
643839	358225	Pegeen
643839	361132	Maria
643839	361470	Marie
643839	366563	Wolfs Mutter
643839	374554	Marthe
643839	376327	Erna Bölke
643840	28099	Lena
643841	33462	Lis Ellermann
643841	33463	
643841	34288	Tina Dudtke
643841	87435	Jenny
643841	98278	Martina Reimann
643841	106808	Effi
643841	118454	Anita
643841	188793	Marysia
643841	206221	Resi
643841	211489	Sandra
643841	222112	Fa Mulan (GER)
643841	226342	Rosa Perez
643841	232770	Herself
643841	254354	Valeska
643841	254356	Diakonin Valeska
643841	281655	Martha Hanson
643841	294028	Lin
643841	299882	Catherine
643841	301039	Schneewittchen
643841	321245	Sophie Reiner
643841	325722	Nadja
643841	325885	Vanessa Singer
643841	329683	Momo
643841	334610	Laura Stein
643841	395049	Ilonka
643842	66783	Lisa Benton
643842	185062	Trina Kingman
643842	188333	Girl in Hotel
643842	220057	Massage Girl - Marsha
643842	301669	Beautiful Blonde #2
643842	310059	Furniture Girl
643842	332080	Waitress
643842	338271	Air Hostess
643843	34425	Barbara Reichenbach (68)
643843	40408	Hethe
643843	47847	Jutta Lendau neé Krell
643843	107347	Elfriede
643843	110772	Empfangsdame im Hotel
643843	116993	
643843	122576	Frau Jansen
643843	125005	Gerlinde Milcher
643843	127446	Gibbis Mutter
643843	142067	Elena Ernst
643843	143967	
643843	144184	
643843	144195	Elsa
643843	149878	
643843	163753	
643843	163820	
643843	170134	Anna
643843	178544	
643843	187402	
643843	189747	
643843	204417	Anneliese Wissbach
643843	206250	
643843	210078	Helena
643843	232770	Herself
643843	235906	
643843	236820	
643843	239117	
643843	254355	Frau Groenewold
643843	259614	
643843	259645	
643843	275164	Mary Lou
643843	290692	Female Reporter
643843	301039	Grossmutter
643843	312107	Sabine
643843	334529	Frau Trettner
643843	334539	Brigitte
643843	338400	Christina's mother
643843	352222	Traudel
643843	352340	
643843	356741	Gabriella Sousa
643843	359387	Marion Stöckel
643843	359596	Frau M.
643843	361512	Stenka
643843	367146	
643843	376120	Erna
643843	387396	
643843	388623	Annemarie Gruber
643844	140402	Another Guest
643844	167925	Tahoe Woman Player
643844	208054	
643844	318842	Edna Mae Riddick
643845	181499	
643846	32861	
643847	98237	Gledespike
643848	90760	Marina
643848	121742	Monica
643848	225647	Sally Chester
643848	257715	
643849	6194	Beryl Caighn
643849	10351	Landlady
643849	13581	Martha Conovan
643849	20034	Meg Hutchins
643849	22185	Doll Conovan
643849	37165	Connie Bliss
643849	54853	Maggie Williams
643849	80590	Dede Marshall
643849	125484	Herself
643849	137452	Martha Dobson
643849	185931	Anne Kellwood
643849	190179	Maggie Collins
643849	231970	Girl Next Door
643849	233899	Joan Brenson
643849	247574	Ann Baldwin
643849	296754	Stella Murphy
643849	297007	Freeda Daniels
643849	300909	Harriette Sinton (singer at L
643849	302696	Lina Lamont
643849	312003	Barna Forrest
643849	319166	Missy Le Hand
643849	362082	
643849	396559	Margaret Williams (1953-56)
643850	292041	Lucy Richards
643851	12737	Agnes Jackson
643852	273316	Waitress
643853	206884	Farraday Girl
643854	9124	Tad Woman
643854	36864	Passenger
643854	60148	Elegant Lady
643854	69137	Stewardess #2
643854	252887	Southern Woman
643854	308057	Beth
643855	399415	Francois Jardin (2002)
643856	290839	Anni
643857	37756	Sängerin in Taxifahrerkneipe
643857	50156	Herself
643857	58357	
643857	77873	
643857	144328	
643857	149961	Singer
643857	150136	Emmo
643857	168959	Herself
643857	171298	
643857	189747	
643857	190778	Suzanne
643857	232770	Herself
643857	247620	
643857	255561	Herself
643857	280002	
643857	294028	Yubaba/Zeniba
643857	301039	Königin
643857	325874	Herself
643857	338384	Herself
643857	347639	Regina
643857	347644	Herself
643857	350805	Vasilisa
643857	367823	Herself
643857	374324	Herself
643858	72580	
643859	134917	Nilsine
643860	10112	Aimée Véry
643860	25939	Sophie
643860	84589	Condoleezza Rice
643860	189741	Sandra
643860	302774	
643860	325719	Regina
643860	347769	Tanya
643860	352107	Jasmin
643860	384387	Asha
643860	386981	Julie
643860	395372	Tina
643861	221043	Reporter
643862	202470	
643863	45615	Frieda Maloney
643863	47385	Herself
643863	79740	Annamae
643863	88965	Mrs. Hilda Reiner
643863	161331	Herself
643863	191003	Narrator
643863	218550	Natalia Petrovna
643863	244453	Ada
643863	250958	Herself/Desdemona in 'Othello
643863	277140	Maria, Sunny's Personal Maid
643863	292034	Omi
643863	319187	(segment "The Home")
643863	353521	
643864	390704	
643865	142001	
643865	207166	
643866	15095	Marie
643867	339708	
643868	39111	
643869	241389	
643870	282403	
643871	198109	
643872	56545	Herself
643873	241505	Chip Girl
643874	235159	Kako
643875	119256	Hannibal Bronsky: Eule
643876	319872	Bobbi
643877	33418	
643878	22844	Operationssygeplejerske 1
643879	131739	Young Girl #2
643879	199148	Kid
643879	372577	Mindy
643880	119607	Jennifer
643881	112301	Wedding Vocalist
643881	303226	Iris Choir
643882	82522	Mrs. Ramsey
643883	341788	Various
643884	181569	Fanny
643885	153053	
643886	153053	
643887	376504	Kiss
643888	74281	Louise
643889	314531	Cute Coed #2
643890	7583	Herself
643890	9124	Elaine Dickinson
643890	9125	Elaine Dickinson
643890	20135	(segment "Les Boréades")
643890	26273	Sindi
643890	27313	Liz Parker
643890	27447	Sister Felicia
643890	35814	Prudence
643890	41379	Harriet MacKyle
643890	45678	Emily Clauswell
643890	46875	Julie
643890	79907	Lisa Harris
643890	119425	Julie Brody
643890	131776	Nancy Callaghan
643890	136194	
643890	136277	Dorothy
643890	142258	Gloria
643890	150879	Corrinna Stroller
643890	153265	Mrs. Connermore
643890	164587	Pammy Dunbar (Host)
643890	193621	Anne Ferris
643890	194835	Linda Howard
643890	210204	Bonnie
643890	213326	Dulcy
643890	229213	Connie Mills
643890	234594	Poppy Taylor
643890	256951	Darlene
643890	260328	Kristina Venable
643890	277140	Alexandra Isles, Claus' Mistr
643890	282957	Petra
643890	315747	Liza
643890	315781	Fern Livingston ('Non-fiction
643890	319453	Herself ("Elaine" - Airplane!
643890	336893	Bess
643890	343864	Flo
643890	362115	Fay Marvin
643890	365090	Rita
643890	367902	
643890	396142	
643890	402178	Tracy Dillon
643890	403287	Nicki Beck
643890	411365	Jennifer Malone (Episodes 5 &
643891	287378	Lovise, balldame
643891	293812	Ragni, hans kusine
643892	299842	Rita
643893	153402	Ida
643894	190811	Pinuppan
643895	49553	Dunja
643895	271615	Maria
643896	8075	Coconut
643896	177309	Nancy
643897	200872	
643898	405887	Herself - Miss Itchy
643898	406371	Herself - Miss Itchy
643899	66121	Jan
643899	141532	Spinny Crossland
643899	208285	Heidi
643899	231439	Juliet
643900	29722	Bertha, Dr. Bartolo's houseke
643900	138564	Witch
643901	121832	Jackie
643902	66595	Kung Fu/Karate Chop
643903	144406	
643904	265730	Old Woman
643905	40083	Beth
643906	83902	Mona
643907	364747	Cocktail waitress
643908	68166	Young Daughter
643909	131647	Mordicus' Girl
643910	254522	Female Masquerade Dancer
643911	2662	Fake Xaviera #2
643911	135601	Amanda (segment "Method to th
643912	368538	Hannah
643913	134522	Megan (Megan Marks)
643914	59759	Minnie
643915	240866	Brazillian girl
643916	141579	Isabella Linton
643917	157128	
643918	228308	
643919	70424	Days Inn Desk Clerk
643919	73560	Guard
643919	78121	Bus Driver
643919	78851	Waitress
643919	84457	Mrs. Stewart Bumsteen
643919	87418	Clerk
643919	144593	Welfare Worker #1
643919	223719	Cousin Marianthi
643919	272085	Agnes
643919	273271	Biker Chick
643919	342669	Shelley
643919	358835	Nurse
643920	231671	Sara
643921	170903	Omichi
643922	74268	Girl
643922	74269	Stewardess
643922	133113	Saki
643922	197489	Nall
643922	259304	Marc Brown/Stewardess
643922	382111	VesVes
643922	382289	Ruu Sue
643922	394550	Cookie
643922	396500	Kanta
643923	140580	Journalist
643924	199311	Geisha
643925	47117	Charlene's Neighbor
643925	68232	Grandma Jenks
643925	73572	Organist
643925	73573	Farm Woman
643925	78223	Hellen Littlefield
643925	134025	
643925	145171	
643925	167133	Miz Coretta
643925	196063	Nana
643925	240500	Mrs. Sealy
643925	276904	Ruth
643925	282923	Fergus Groupie
643925	289222	Bess
643925	298852	Mrs. McCallister
643925	367844	Mourner
643925	388372	Miz Coretta Jackson
643925	391898	Grandmother Davis
643926	130491	Kaori Yamada
643926	168102	Kotoe Daidoji
643926	178421	
643926	222543	Yuugao
643926	380729	(1980)
643926	411878	Yumiko Hirooka
643927	38817	Akiko Yamakura
643927	168872	
643927	172991	
643927	228836	Yoko
643927	256323	Naoko
643927	285675	Shizue
643927	296345	
643927	299575	Kazuyo
643928	53605	
643928	155376	
643929	396503	Ena
643930	167984	Mitsuko
643931	394032	Rei Tachibana/Dyna-Pink
643931	409690	Ryoko Hoshi/Princess Yurian
643932	344	Geisha #1
643933	314624	Herself
643934	314624	Herself
643935	236184	Susanna (soprano)
643935	236185	Susanna
643935	252035	Mélisande
643936	158102	Rockland T-Ball
643937	315366	Grandmother
643938	135714	Aunt Ester
643938	284553	Alice
643938	390783	Lisa
643939	153911	100 Meter Winner
643940	81062	Dutch Villager
643941	160873	Ann-Marie Brandt
643941	165627	Maj Linder
643941	172420	Anna, aka Ankan
643941	321510	Olga Pettersson
643942	394744	Helene 30 år
643942	410280	Linda Åkesson (1997-1998)
643943	29559	Selma
643943	29561	Augusta
643943	34222	Gullan
643943	41109	Bojan
643943	48357	Viola, maid
643943	48365	Anna Söderberg
643943	48371	Anna
643943	51929	Mia
643943	88392	Vera Valli
643943	104825	Ebba
643943	115396	Assistant
643943	120138	Selma's Friend
643943	132428	Vivan
643943	136701	Anna Fagerlund
643943	137734	Eva Hagberg
643943	142760	Eva Blomgren
643943	147006	Ulrika, maid
643943	148818	Karin
643943	170709	Hedda
643943	173540	Lisa
643943	181126	
643943	190821	Annika
643943	201223	Svea Thorell
643943	206195	Lovisa
643943	237247	Mrs. Britta Bengtsson
643943	240160	Stina
643943	254253	Emy
643943	256501	Mrs. Settergren
643943	302139	Jenny
643943	312696	Happy Woman
643943	314765	Hanna
643943	320583	Irma
643943	353013	Ada
643943	353014	Mrs. Söderberg
643943	377418	Sister Elsa
643943	377432	Wife of the Singing Farmer
643944	40946	Eva Andersson, teacher
643944	47997	Vivi Karlen
643944	84270	Eva Brenner
643944	84287	Christina
643944	137635	Journalist
643944	142729	Britta von Wendt
643944	153934	Cissie Kahn
643944	164779	Cissie Kahn
643944	182297	
643944	187669	
643944	202774	Karin Forsberg
643944	203102	Nora
643944	255249	Mrs. Tépan
643944	266144	
643944	277817	Annika
643944	316909	Nurse Maria Granberg
643944	322818	Cecilia Lohman
643944	332836	Mary Jackson
643944	349075	Marianne
643944	355642	Rich Lady 2
643944	377306	The mistress
643944	387162	Mother
643944	392429	Mother
643944	401729	
643945	232344	
643945	330602	May Raskob
643946	3767	Herself
643946	201845	Connie
643946	270914	Jogging Woman
643946	380570	Linda (1980-1981)
643947	10112	Franziska
643947	42296	Pia
643947	75669	
643947	401995	Emma Karvangs
643947	405807	Leena Virtanen
643948	3767	Herself
643949	198383	Augusta
643950	3767	Herself
643951	27408	Baarin emäntä
643952	231453	
643953	212337	Herself - Participant/Perform
643954	282104	Stammgast und Personal Rossin
643955	86491	
643955	156765	
643956	191783	Rose
643956	201961	
643957	165031	Maia
643958	326467	
643959	76783	
643960	329986	Cat
643961	225485	Woman at manor #5
643962	108051	Party Guest
643963	405539	polis
643964	276441	Victorian couple
643965	73611	Dorothy Wainwright
643966	22733	
643967	235670	Narrator
643968	372901	Housekeeper #2
643969	16045	Billie
643970	124017	The 'B's
643971	32026	Pingre #7
643971	59988	Germaine
643971	69343	La servante
643971	83349	Anne-Marie Clairon
643971	357847	Nathalie
643971	380587	Zabelle
643972	198042	Blonde in bar
643973	291307	1st Victim
643974	379341	Aruzia
643974	389046	Addtional Voices
643974	411759	Valerie Prevert/Librarian/oth
643975	32622	Fifi
643975	62451	
643975	237245	Inga
643975	388259	Siri Kruse
643975	394736	Marianne
643975	399850	Emma Rydberg
643975	402763	Camilla
643976	344066	
643977	191701	Temptation Girl
643978	233914	Amelia Wheeler
643979	80535	Laurel
643980	356749	Kind
643981	377635	
643982	159073	Oversexed Secretary
643983	78221	Agent
643984	217602	Mrs. March
643985	161754	Nova
643986	1675	Themselves
643986	41488	
643987	282104	Stammgast und Personal Rossin
643988	476	
643988	13192	'La barunissa' Caterina
643988	25332	
643988	28859	
643988	31006	
643988	44604	
643988	61035	
643988	68427	Una turista
643988	68908	
643988	69927	Perla de la Cruz
643988	76063	Carla
643988	99889	Teacher
643988	102583	Mother of Ilio and Rachele
643988	103095	
643988	132513	
643988	171566	
643988	179779	Stella
643988	179781	Jacky Clay
643988	182897	
643988	189797	Myriam
643988	190411	
643988	193042	Sarah
643988	230201	Susan
643988	246436	Clara
643988	247060	Brigittes Mutter
643988	268997	
643988	277034	
643988	293973	Au-Pair Girl
643988	294912	Karin
643988	304459	
643988	319752	
643988	363752	Stella Young
643988	373820	
643988	373913	
643988	376747	Lupito
643988	380700	Countrywoman
643988	409799	Mme Berard
643988	411993	
643989	21037	Herself
643990	386509	Mrs. Basner
643991	325392	
643991	349233	Feyrouz Franghi
643992	12986	TV Host
643992	37701	Marilyn
643992	57650	Herself
643992	96555	Herself
643992	106635	Herself
643992	147920	Esther
643992	151757	Herself
643992	167009	Herself
643992	325258	Herself
643992	332006	Herself
643993	273241	Nun #3
643994	385288	Regular
643995	94060	
643995	192902	
643995	227826	Wife of owner of car
643995	259912	Zdravnica
643996	411258	
643997	16006	Helen
643997	20591	Sarah
643997	116053	
643997	151616	Michelle Rubin
643997	195021	
643997	365947	Angelica
643997	385294	Lily Lebowski
643998	244928	Rebecca Gibbs
643999	237486	
643999	302751	Sissi
644000	6408	Une starlette du roman-photo
644001	117115	
644002	335728	Elizabeth Collins
644003	70965	Cynthia (student)
644004	11789	Antje
644004	43671	
644004	182789	
644004	188750	
644004	285813	
644005	276889	Marie
644006	271344	Church Choir
644007	236395	
644007	314824	Hotel Maid
644008	367924	Herself
644009	34401	Bernarda
644010	167043	Donna R. Blitzen
644010	232186	Dr. Mayeda
644011	399734	Schwester Kim
644012	366590	Singer
644013	25752	
644013	200056	
644014	481	Herself/Various
644014	17594	
644014	24049	
644014	34308	
644014	37117	Herself
644014	122971	
644014	134791	Herself/Various Characters
644014	142115	Molly Sister #1
644014	142182	Herself
644014	147264	Emma W.
644014	167145	Herself/Various
644014	180638	Hilde
644014	205585	
644014	208459	Erna Mischke
644014	208460	Erna Mischke
644014	208461	Erna Mischke
644014	208462	Erna Mischke
644014	208464	Erna Mischke
644014	208466	Erna Mischke
644014	223198	
644014	244116	Various
644014	259476	
644014	259538	Frau Uhlig
644014	316809	
644014	317488	
644014	339212	
644014	356766	Herself/Various
644014	381728	Herself/Host/Various
644014	394338	Host/Herself/Various
644014	408209	
644015	211929	Herself
644016	57211	Jana
644016	238130	
644017	350607	Flickan i kätten
644018	173873	Natalia
644018	405292	Maaret/Meryt/Salixin Mare
644019	236867	
644020	137815	
644020	232373	Darkling Woman
644020	317485	
644021	367149	Madame Yu
644022	61697	Girl 1
644023	70455	Fan
644023	162416	Young Woman
644024	422	
644024	16362	
644024	90042	
644024	93422	
644024	93434	
644024	119658	
644024	122603	
644024	122604	Lenerl seine Tochter
644024	156664	Maria Bendley
644024	172350	
644024	187550	
644024	204476	Vera
644024	227171	
644024	289215	
644024	307307	
644024	322555	Hermine
644024	366552	Gretl
644024	375091	
644025	8698	
644025	12467	Josef Voglhuber
644025	24005	
644025	33104	Wirtin zur Goldenen Gans
644025	35038	
644025	35178	
644025	46768	Lucrezia Borgia
644025	48402	
644025	75935	Sylva Verescu
644025	77372	
644025	85712	Nadja Nadjakowksa
644025	89484	
644025	89669	Die Dollarprinzessin (The Dal
644025	91000	Angerl
644025	95386	
644025	104848	
644025	106070	
644025	107364	Cilly, Star der Vienna Girls
644025	111476	
644025	113024	
644025	119159	
644025	119208	
644025	120061	
644025	122550	Rosa Klopps
644025	130908	Jola und Claire
644025	134534	
644025	134818	Liane Haid
644025	144006	
644025	155408	
644025	155486	Alice Lamberg
644025	156066	
644025	156747	Josefa Voglhuber, Wirtin
644025	160266	
644025	172381	
644025	175302	
644025	182734	Rigolettos Tochter
644025	183672	Emma Lyon, spätere Lady Hamil
644025	184589	Frau Fliederbusch
644025	186955	Bergers Tochter
644025	187562	
644025	188795	
644025	189748	
644025	189868	Tilla Morland
644025	197050	Lucrezia Borgia
644025	199343	Madame Vernier
644025	199399	Madelaine Wengert
644025	206289	Marquis d'Eon
644025	210060	Sonja, die Cousine aus Warsch
644025	214888	Wipfl's Tochter
644025	216273	
644025	216277	
644025	225257	Lucie
644025	242847	Helga Bodo
644025	247896	
644025	253899	
644025	254045	Tilla Morland
644025	259432	Helene Laroche
644025	264338	
644025	266162	
644025	280796	Helga Petersen
644025	280800	
644025	285382	Gilda Garden
644025	289852	
644025	289882	Elvira Starke-Zirkusdirektric
644025	290035	
644025	290119	
644025	290174	Maria Foreni
644025	290668	Schwarzwaldmädel
644025	293530	
644025	306415	
644025	307090	
644025	308234	
644025	309921	Countess de Silva
644025	311099	
644025	314551	Marion
644025	314896	
644025	324692	
644025	324697	Glos Harding
644025	337551	Lieserl
644025	347001	Edda Vivian
644025	347701	Anna
644025	348065	Ada Rasmus
644025	352529	
644025	352535	Rosl
644025	361009	
644025	361078	Die Weisse Sklavin
644025	364454	Aloysia
644025	364994	
644025	376405	
644026	204653	Rosette
644027	381238	Kat Aged 5
644028	122319	
644029	172920	Dilki
644030	380345	Camille (1996)
644031	69773	Rehab Counselor
644032	50850	
644033	41175	Young Katy
644035	201580	Britta
644035	226758	Young Violet
644036	46767	Flora
644036	91017	Eva
644036	91021	Eva Lorenz
644036	91022	Eva Lorenz
644036	91033	Eva
644036	91034	Eva Lorenz
644036	101756	Lene
644036	111675	Neureiche Frau 1
644036	124606	
644036	124908	Mother Gebirtig
644036	155344	Marion Krollmann
644036	170659	Martha Freud-Bernays
644036	178633	
644036	187835	Walküre
644036	225192	
644036	225264	Anja Vogel
644036	232768	Maria
644036	308243	
644036	322620	Staatsanwältin Sylvia Renk
644036	325694	Inspektor Susi Kern
644036	325699	
644036	325769	Kriminalinspektorin Kern
644036	325847	Inspektor Susi Kern
644036	331752	Ellen
644036	336572	
644036	352058	Senta
644036	366515	Veronika Freitag
644036	374549	
644036	386770	Kriminalkommissarin/Kriminalo
644037	82699	Rose Parker
644037	213240	Annie
644038	133915	Ida Angley
644039	213452	Park Avenue Couple
644040	11769	
644041	34002	Lena Girard
644041	79149	Dr. Jennifer Carter
644041	83663	Ally 'Al' Malone
644041	122768	Ilona
644041	191734	Julia
644041	197895	Beth
644041	200283	Laundromat Lady
644041	236873	Soap Opera Nurse
644041	252978	Raphaella Phillips
644041	291891	Lt. Cmdr. Katherine Hitchcock
644041	303860	Claire
644041	314227	Alison
644041	371383	Jessica
644041	382779	Rosalyn Stone
644041	394483	Lillie Langtry
644041	403814	Rhea McPherson
644041	404605	Lt. Cmdr. Katherine Hitchcock
644041	407006	Lana Lang
644042	347501	
644043	137462	Dancer
644044	113825	Fire Maiden
644044	293091	
644045	231212	Nanna Huia
644046	99081	Tree
644047	137568	Wedding Guest
644047	332467	Woman at Beach
644047	399130	Kristy (1993-1995)
644048	136649	La fille de Verret
644048	248913	
644049	341544	Anchorwoman
644050	128531	Mamie
644051	157222	Bus Driver
644052	223711	Customer
644053	57929	ABA Student
644054	21304	Herself
644055	51880	
644055	125710	
644056	8353	
644057	350718	
644058	350718	
644059	98831	Bike Girl
644060	23877	Theresa
644060	59568	Sunny
644060	93462	Irene
644060	125005	Christa Möllemann
644060	134995	Maisie
644060	267407	Angel
644060	290820	Erika
644060	314898	
644060	317505	Beate Hoffmann
644060	325601	Agatha Dreiden
644060	339585	Dr. Ulrike Simon
644060	351946	Lis
644060	364872	Henriette
644060	374048	Karola Zart
644060	380521	Various roles
644060	381578	
644060	411095	Actress (1992-97)
644061	99860	Patient
644062	62489	Jessica
644062	411355	Betsy
644063	11425	Lucy
644063	303589	Clea Shapiro
644063	304770	Sno Blo Band
644063	306331	Marigold
644063	307886	The Murmurs
644063	395016	Alice Pieszecki
644064	139787	Myrtle Mae Simmons
644064	157117	Nellie Santchi
644064	166720	Kay
644064	196447	Brenda
644064	207866	Erika
644064	293032	Sheila Lerner
644064	320162	Jack's Wife
644065	76620	
644066	194130	BBC PA
644066	274797	Sasha
644066	346744	Rose
644066	411382	Gilian
644067	349423	Baby
644068	104768	Israeli entry (24th place)
644068	175007	Herself
644069	399137	Nelly Nut (1999, 2001-2002)
644070	390523	Janet (School Secretary) (197
644071	145424	Rehtorska
644071	197362	
644071	209064	Raina
644071	213417	Nurse
644071	301889	Siiri
644071	349136	Baarin myyjä
644071	349728	Annikki's mother
644071	354083	Aune
644071	354285	Deaconess
644071	390996	
644073	80824	Nancy
644074	26258	
644075	21372	Herself
644075	383829	Anchor (2003-)
644075	383830	Anchor (1993-2002)
644076	59141	Wendy-Ann
644077	231118	Restaurant Waitress
644078	5126	Kathe Reichel
644078	36480	Annalena
644078	39117	Anja
644078	57753	Paula Falk
644078	66066	Charlie
644078	86972	Sandra
644078	110919	Female Voice Over
644078	119122	Julia Sundstrom
644078	119188	Sophie
644078	172853	Gabi
644078	178654	Lu
644078	178665	Bobbie
644078	211085	Christa
644078	214561	
644078	225735	Narrator
644078	231505	Virginia Peng
644078	272858	
644078	275169	Annemarie Schwarzenbacher
644078	276096	Bettina Brentano/von Arnim
644078	325667	Anne Mars
644078	339799	Lizzi
644078	361708	Sophie Dukakis
644078	365923	Johanna Eckelt
644078	406814	Felicia (young)
644079	161721	Lucinda
644080	358273	Adeline at Age 2
644081	29670	Harem
644082	231265	Gabrielle
644082	248936	Annabelle
644083	222863	
644084	226342	
644085	294702	Jila
644086	167797	Production Assistant
644087	167009	Herself
644088	299738	Temptation
644089	38650	Herself - Band Singer
644089	94527	Peggy Elliot
644089	155557	Herself
644089	218715	Specialty Act
644089	227148	Herself - Singer
644089	299163	Herself (Singer in Tommy Dors
644089	342502	Ginger
644089	360123	Singer, Freddie Rich Orchestr
644090	194211	Lady
644091	145800	His Mother
644091	146321	
644092	65448	Herself
644093	92303	Beth Reinking
644094	385158	Herself
644095	367888	
644096	130719	
644096	132572	
644096	256557	
644097	109482	Victoria Leach
644097	149256	Ruth
644097	185642	Anne Nordeck
644097	231831	Ann Barlow
644097	275362	Diana
644097	336710	Countess Pelligrini
644097	355075	Sybil Waite
644097	358553	Nancy Coleman
644097	384783	Vivien
644097	387533	Laura Verney
644097	388951	Erika
644097	411459	Barbara Day
644099	380430	
644100	12759	Denver Kate
644100	31705	Palikii
644100	48622	Mrs. Hayden
644100	49961	Nell
644100	58613	Pietro's wife
644100	71757	Madame Pauline
644100	128655	Ethel Rathbone
644100	138256	Rosanna
644100	149176	
644100	192315	Mrs. Jones
644100	203054	Wah-na Madden
644100	206645	Lizzie Connolly
644100	206843	Fossie Fleurette
644100	207485	Blanche Trevor
644100	232788	Lotta
644100	238416	Unga
644100	267613	Alden's sweetheart
644100	289581	Spasm Sal
644100	305601	Minerva Finch
644100	342017	Ruth Strong
644100	345735	Ruby Lawton
644100	350021	Mary, Bart's wife
644101	67156	
644101	163544	Dancer, Dutch Girl
644102	61703	Registrar
644105	300000	
644106	378862	Herself
644107	11582	Elizabeth Ward
644107	38049	Miller's daughter
644107	52659	Girl
644107	72022	Dolly, Girl at the Dance
644107	86842	Topsy
644107	86933	Mary
644107	105247	Girl in Mountains
644107	144896	Girl
644107	154355	Louisa, Child at Christmas Pa
644107	192056	Mary Dorsey
644107	206861	Mary Jane Preston
644107	234223	Dolly
644107	261560	Marjorie
644108	308018	
644109	15096	Mme. Broussard
644109	18319	Une invitée au mariage
644109	44941	Emma Lestingois, his wife
644109	51826	Dame en diligence
644109	82640	
644109	94391	Fredo's wife
644109	107681	
644109	122216	
644109	132287	Goupi-Cancan
644109	134428	
644109	199596	
644109	268406	
644109	285963	
644109	294946	Madame Sandoz
644109	336269	
644110	22036	Holly
644110	156193	
644110	299469	Benham's Secretary
644110	335871	Megan
644110	379716	Liza Colby Chandler Chandler 
644110	380713	Angel Lange Snyder Snyder (19
644110	396123	Cecilia Thompson Sowolsky #2 
644110	400236	Susan Johnson (1987)
644110	404613	Jodie Fields (1982)
644111	6415	Girl at bar
644112	32624	Sylvia
644113	169065	Sandra
644114	325685	Stefanie Wolf
644115	125578	Girl On TV
644116	81318	Angie
644116	326753	Waitress
644117	86677	Lilly
644118	67784	
644119	151778	Nurse
644119	179513	Protestor
644119	336720	Jessie
644120	2152	Jessica
644120	151960	Pan's 1st wife
644122	232084	Girl
644123	215157	Female student
644124	260628	Lily
644125	314108	Dancer
644126	132530	Party Girl
644127	126060	News woman
644129	194918	Herself
644130	18982	Herself
644131	365119	Nurse
644132	66764	Jane
644133	333881	Herself (Titanic survivor)
644133	333885	Herself (titanic survivor)
644134	5303	Gwendolyn
644134	233070	Beatrice Sillocks
644134	304505	Marie Desplanes
644134	333385	Mrs. Parks
644135	46242	Dead Young Woman
644136	176970	Kelly Reynolds
644137	100193	Card Table Woman
644138	379978	Herself (eliminated 4th) (200
644139	100592	Herself
644141	184341	Alex
644142	26359	Miss Twinkle
644142	40509	Melanie
644142	43015	Dancer
644143	43106	
644144	254294	
644145	168286	Club 13 Receptionist
644145	235625	Maegan
644146	166657	
644147	99432	Anna,Simon lánya
644147	99740	Rádióénekesnõ
644148	198917	
644149	28537	Gabi Kiss
644150	171542	Anka
644150	181341	
644151	2656	
644151	23441	Nancy Cardigan
644151	30896	A Friend
644151	64559	
644151	73207	
644151	75806	Casella 'Cash' Reese
644151	82666	Diane Woods
644151	127574	Mary Joe
644151	140365	Brianne
644151	171483	Michelle
644151	177582	Roxanne
644151	203329	Vanessa
644151	206523	
644151	219218	Inspector Farrow
644151	230690	Herself
644151	253336	Patricia MacDonald
644151	263998	Nora Flynn
644151	274459	Nancy
644151	289468	Carrie Goodart
644151	300304	Sexy Doctor (Dr. Victoria Joh
644151	314501	Kathy Larson
644151	391255	Allison Barnes
644153	37189	Laura Stevens
644153	338638	Playmate
644154	144876	Beauty Salon Customer
644155	110990	
644155	247626	Madwoman
644155	305559	Nurse
644155	322042	Marta
644155	369004	The Crow's Mother
644156	14972	Cybel
644156	35809	Cat Woman
644156	37525	Haji
644156	57665	Herself - Contributor
644156	82730	Angela, the moll
644156	91943	Hydra Heffer
644156	131538	The Catalyst
644156	152300	Laura
644156	156565	Alina Cordova
644156	165140	
644156	176808	Moonji
644156	176967	Haji
644156	201784	
644156	220159	Ruby Bonner
644156	311391	Moody Woman
644156	319734	SuperHaji
644156	348401	Maria Manina
644156	362052	Slave Girl
644156	374629	
644157	352940	Sabina
644159	64257	
644160	6291	
644160	8135	
644160	8408	
644160	11977	
644160	13212	
644160	13215	
644160	89732	
644160	92942	
644160	97923	Juliette
644160	99418	
644160	102167	
644160	103612	
644160	162487	
644160	174450	
644160	174452	
644160	174494	
644160	199275	
644160	209775	
644160	217243	
644160	224859	
644160	242907	
644160	332183	
644160	333766	
644160	333769	Liza
644160	401242	Mirsini
644160	401723	Eva Iraklidi
644161	402291	Hostess (1994-1995)
644162	400705	
644163	65884	
644164	104281	Ladan
644164	109305	
644164	219878	Mahtab
644164	220703	
644164	285461	Secretary
644165	193438	La gardienne du cimetière
644166	229174	Cleaner
644166	406096	Grandmother
644167	250402	Ingrid
644167	262372	Janka
644168	122388	Szobalány
644168	136530	Gypsy Girl
644168	200431	
644168	335267	Cigány menyasszony
644169	61876	Serveuse cabaret
644170	277214	
644170	349132	
644170	378265	
644170	410482	
644171	7219	Marie, the maid
644171	29785	Client
644171	51259	Blazková
644171	88746	Sonia
644171	95995	Vojtová
644171	171534	Neighbour
644171	173557	Girl with braid
644171	216598	
644171	229558	Halaburdová
644171	252226	Cousin
644171	261381	Baruska, cooky
644171	262566	Cilka, dressmaker
644171	262568	Maid Anna
644171	262817	Actress in theater
644171	266218	
644171	266533	
644171	295053	
644171	310227	Beranová
644171	320673	
644171	322672	
644171	328935	Víchová
644171	349195	Turecková
644171	351374	Hospodyne
644171	356427	
644171	357687	Hulková
644171	373402	Baruska, sluzebná ve mlýne
644171	373487	Rézinka, strarostova dcera
644171	374534	Pretender
644171	376604	Housekeeper
644171	383856	
644172	237160	
644173	371440	Erik's mother
644174	48968	Customer in Bar/Houston's Ass
644174	118961	Police Special Forces
644174	198742	Tyttöystävä (Girlfriend)
644175	342145	Terapeutti
644175	409771	Daughter
644176	283145	Evacuee girl
644177	394236	Poliittinen toimittaja
644178	48968	Tatjana Cabone
644179	253458	Waitress
644180	156038	
644181	42533	Mrs. Derek
644182	296618	
644183	254988	Vrouw op Brug
644184	223	Berangere
644185	351767	Blythe
644186	5696	
644186	38464	
644186	174106	
644186	336206	
644187	183209	Advocate
644188	27382	
644188	64256	Ade
644188	79468	Asih
644188	86077	Nurlela
644188	131964	Suti
644188	138922	
644188	162255	
644188	175665	
644188	229788	Tia
644188	249856	Berlian
644188	267895	Bayan
644188	294616	
644188	300628	
644188	334040	Tjoet Nja' Dhien
644188	408385	
644189	185321	Beach Girl
644190	8652	Noga
644190	25912	Mitzi
644190	33217	Hava
644190	147137	Dikla
644190	206496	Shirley
644190	259021	
644190	379470	Orit
644190	390891	Liat
644191	370260	Nurse 3
644192	285259	Hayat
644193	285801	
644194	183967	
644194	285801	
644194	307163	Inkeri
644195	242261	Tuija
644196	240473	Villager
644197	142641	Dictating woman
644197	172406	Povari-Kaisa
644197	271637	Manageress
644197	321999	Member of a parents' council
644197	354087	Alma
644198	107662	Nainen leirintäalueella
644198	162739	Sini
644198	168790	Pankkineiti
644198	190658	Irma, tv-kuuluttaja
644198	341808	Tarjoilija terassilla
644198	348727	Hoitolaitoksen toimistosihtee
644198	349139	Ministeri Hujasen tytär Sesse
644198	349141	Mainoksen houkuttelema asiaka
644198	349142	Pankkineiti
644198	349143	Nainen peliautomaatilla
644198	349146	Pääministerin sihteeri
644198	392555	Suvi Kettunen
644198	400857	Suvi Kettunen
644198	406134	Herself - the host (2001-2002
644199	404782	Sairaanhoitaja
644200	169512	Chubby Lady
644200	371280	
644201	156038	
644202	390242	Lies van Putten (1992)
644203	118054	Themselves
644204	238280	Bedouin Woman
644204	349423	Columbine
644205	175004	Herself
644206	162205	
644206	232664	
644206	359590	
644207	108938	Nurse
644208	175105	
644208	198448	
644208	209690	
644208	223373	
644209	89045	Zofia Majewska
644210	95897	Dancer
644210	119446	Loda
644210	123347	Mrs. Sobieski
644210	178463	Dancer
644210	179197	His Girl
644210	204048	The General's Daughter
644210	248349	
644210	265652	Dancer
644211	58509	
644211	58510	Female Guard
644212	35802	Elie's Sister
644213	58509	
644213	58510	Collector
644213	113414	Escort
644214	98027	
644215	19019	
644215	155011	Saleslady
644215	230242	Ariel
644215	368537	Sally
644216	28032	Dénes anyja
644216	122396	Kató anyja
644216	136403	Simics neni
644216	139500	
644216	155616	Judit anyja
644216	182648	Ifj.Bajthay felesége
644216	201968	
644216	256752	Irma néni,Pista anyja
644216	284092	Túróczy lánya
644216	333112	Judit nagynénje
644216	377762	Pallay Irénke
644217	236160	
644218	277709	
644219	199553	
644219	264332	
644220	365545	
644221	74311	
644221	169518	
644223	351898	Himself/herself
644224	261380	Ester
644225	350231	Red Headed Vampire
644226	51410	Belle Haleine/Renée
644228	342588	Evi
644229	183147	Laura
644229	251620	
644230	217223	Schoolgirl
644231	236972	Servant Child
644232	305560	Bartender
644233	95945	Bajkow's Fiancee
644234	24027	Kruziliková
644234	165836	
644234	217035	Alica
644234	349621	Vanda
644234	374227	
644235	30138	The kids Mother
644236	2675	'Tullemor' Jespersen, Daughte
644237	315415	Tjenestepiken
644238	264279	Child
644239	403379	Cross Girl
644240	84271	Laura, hans kone
644240	129166	Mor til Øyvind
644240	130196	Kona til Andreas
644240	134917	Halldis, leder
644240	135717	Olea, budeie
644240	172657	
644240	315415	Anders kone
644240	347003	Hønse-Lovisa
644240	353047	
644241	400027	Herself - Host
644242	35937	
644242	102541	
644242	155614	Börtöntitkárnõ
644242	199118	
644242	227530	
644242	227533	
644242	322080	Tanár;
644242	324705	
644242	342039	
644242	343751	
644242	377126	Munkaügyis
644243	330699	
644244	406188	Lenore Green
644245	252854	Alley Prostitute
644245	405209	Renee (1997)
644246	59398	Gouri
644246	76799	Jhinuk
644246	82210	Reema
644246	84770	Chandramukhi
644246	107636	Fakir's wife
644246	184159	
644246	284745	Daughter
644246	298645	Bandara's Son's Girlfriend
644247	4561	Bijoli
644247	4881	
644247	4940	
644247	124227	Malati
644247	132588	Sucharita
644247	167466	Arati
644247	174162	Urvashi
644247	227633	Satyabhama
644248	249287	
644249	7860	Little Ethel
644249	26268	The Workman's Daughter
644249	38122	The Little Girl
644249	50903	
644249	61650	Among Children
644249	65776	Their Child
644249	70811	In Store
644249	74022	One of the Children
644249	77300	
644249	81083	The Catholic's Child
644249	105593	Student
644249	107419	Child
644249	113396	The Child
644249	146260	The Fraziers' child
644249	155528	The Worker's Daughter
644249	157770	Clara's Child
644249	177551	The GIrl's SIster
644249	185221	Their Child
644249	186775	A Child
644249	188263	Their Daughter
644249	191599	Little Ruth
644249	192320	Student
644249	193750	
644249	197681	
644249	210652	
644249	215324	The Little Child
644249	217186	Indian Child
644249	238724	
644249	242503	Hetty's Niece, Mary, as a Chi
644249	274210	Indian
644249	280303	The Daughter, as a Child
644249	342971	One of the Waifs
644249	343081	One of the Children
644249	359113	Child
644249	368217	Rosie, Luigi's Daughter
644249	368551	The Little Child
644250	27125	Angela
644250	81464	Carla
644250	108358	Connie Dooley
644250	383284	Melissa Wilder
644250	391101	L'Amour Hart
644250	391871	Neal Solomon
644251	114303	Nurse
644252	138036	Carmen
644252	198062	Rakel
644252	308212	
644252	333830	
644253	201035	Newswoman
644254	195638	Grace Noir
644255	223649	Lizzie
644256	393599	Herself (eliminated round 2)
644256	405984	UCDavis
644257	177861	
644258	29755	Kelly/Peppermint Girl(Motion 
644258	32698	Lisa Ryan's Daughter
644258	63185	Clara Spencer
644258	119540	Ocean
644258	303266	Young Bridget
644258	321581	Annie
644258	378898	Annabelle
644258	384180	Clara Spencer
644258	387434	Young Judy
644260	3080	Martha Kellogg
644260	9129	Sarah Bakersfeld Demerest
644260	16042	Jacqueline Walsh
644260	20613	Barbara
644260	37480	Mrs. Barlow
644260	45521	Miss Brand
644260	48623	Sarah Cody
644260	60856	Mrs. Belle Kincaid
644260	65431	Martha Gregory
644260	82065	Herself/Host
644260	83602	Colie Edwards
644260	99856	Dr. Helen Hunt
644260	107695	Peggy Callahan
644260	107698	Marion Colby
644260	108954	Julia Hancock
644260	114280	Betsey Bennet
644260	114303	Abby Drake
644260	115513	Mrs. Hanson
644260	127414	Dr. Jenny Langer
644260	127697	Stocking Salesgirl
644260	127698	Girl at party and dance
644260	130301	Patty
644260	132323	Girl in Hotel Lobby
644260	141667	Angie
644260	145007	Katherine Keating
644260	151229	Zoe Crane
644260	162377	Sarah Cavanaugh
644260	164605	Amy Lawrence
644260	168929	Ellen Clark
644260	183742	Mary Audrey
644260	185458	Julia Lanning
644260	190723	Vickie North
644260	191242	Verity Wade
644260	193655	Sarah Jane Skaggs
644260	194582	Lorna Doone
644260	212216	Girl at airport
644260	239416	Ann Barnes
644260	253335	Della Street
644260	253336	Della Street
644260	253337	Della Street
644260	253338	Della Street
644260	253339	Della Street
644260	253341	Della Street
644260	253342	Della Street
644260	253343	Della Street
644260	253344	Della Street
644260	253345	Della Street
644260	253347	Della Street
644260	253348	Della Street
644260	253349	Della Street
644260	253350	Della Street
644260	253351	Della Street
644260	253352	Della Street
644260	253353	Della Street
644260	253354	Della Street
644260	253355	Della Street
644260	253356	Della Street
644260	253357	Della Street
644260	253358	Della Street
644260	253359	Della Street
644260	253360	Della Street
644260	253361	Della Street
644260	253362	Della Street
644260	253363	Della Street
644260	253364	Della Street
644260	266238	
644260	274422	Mrs. Grierson
644260	293977	Revere Muldoon
644260	295470	Subway Passenger
644260	304993	Allie Hanneman
644260	345724	Mary Davitt
644260	361652	Rill Lambeth
644260	366066	Mrs. Mary Woodry
644260	372730	Mrs. Ogle
644260	401260	Della Street
644261	90879	Virginia
644261	115526	Joan Agnew, stewardess
644262	153490	Sophie
644262	195589	Kate Meadows
644262	200604	Roszi Belvary
644262	254491	Alice Bright
644262	323374	Wilhelmina Ryde
644262	330807	Sarah Tuttle
644263	40660	Mrs. Barry
644263	68232	Elderly passenger
644263	81317	Mugging Victim
644263	86287	Harlem woman
644263	97410	Aunt Rose (sketch)
644263	113857	Arlene
644263	200283	Mrs. Jazz
644263	242105	Superintendent's Wife
644263	255442	Woman outside Bodega
644263	270910	Domestic #1
644264	167312	Gypsy
644265	290378	Marta
644266	5806	Townsperson
644267	244810	
644268	194483	The Lord of the Dance Troupe 
644269	135513	Miss Crenshaw
644269	135973	Scarlotti's Mistress
644269	157848	Barbara
644269	232250	Valerie
644269	248496	Blonde job applicant
644269	321883	Arline
644269	364726	Hilda
644269	365733	Girl
644269	403074	Regular Performer (1970-1971)
644270	28266	Money Girl
644271	273826	Saloon Whore
644272	267174	Waitress of the Gas Station
644273	142361	Medtech Personnel
644274	163493	Secretary
644274	404282	Judge Winthrop
644275	223949	Hildy
644275	332103	Hildy
644276	112386	
644277	56952	Countess Olga
644277	75884	
644278	27236	Cristy
644279	130180	Monica
644279	216817	Woman
644280	138844	Petula
644280	143924	Mrs. Sandersen
644280	202966	Kay Simpson
644280	228822	Leadig WREN Heather
644280	235174	Mrs. Thorpe
644280	278254	Mrs. Newbold
644280	340730	Ann
644280	385343	Carol Miller
644280	395122	Mrs. Wentwork
644280	405525	Anne of Cleves
644281	70778	Florence
644281	113720	Old Lady
644281	161041	Eileen Lawrence
644281	214755	Old Woman
644281	292611	Beatrice
644281	299962	Midge
644282	25400	The Mother
644282	240017	Mrs. Bedwin
644283	26507	Cassandra Williams
644284	26053	Mrs. Littlefield
644284	39882	Mrs. Carson
644284	82113	Mrs. Alden
644284	112523	Jack's mother
644284	151765	
644284	245196	Aunt
644284	304029	Mrs. McLaughlin
644284	324241	Aunt Lodenna
644285	59360	Herself
644285	115669	Frances Bixby
644285	130677	Georgia
644285	133621	Myrtle Wilson
644285	136543	Alice Culhane
644285	145408	Ellen
644285	185413	Second Wife
644285	190592	Dianne
644285	203315	Nancy Raynor
644285	271284	Nell Wendell
644285	272959	Jessica Silverberg
644285	286377	The Girl
644285	339565	The Girl
644285	347324	Herself
644285	362617	
644285	367414	Carol Hill
644286	3965	Jean Empson
644286	9254	Elizabeth of Lithuania
644286	26753	Enid Clarke
644286	35640	Sister Romulus
644286	45421	Fay
644286	50499	Miss Heasman
644286	56455	Sister Saint Margaret
644286	71567	Countess Solar
644286	85123	Philippe
644286	89298	Professor
644286	96636	Betty Balcombe
644286	98826	
644286	164618	Josephine
644286	191547	
644286	195464	Joyce
644286	200779	Alma Mahler
644286	206095	Stella
644286	208947	Kate
644286	210788	
644286	221305	Mrs. Burton
644286	222606	Allison Quinney
644286	242039	Sandra George
644286	257205	Joanna
644286	262591	Miss Wilderspin
644286	272675	Sabrina's Maid
644286	291838	Masha
644286	321082	Switchboard girl
644286	322600	Tabatha Bag
644286	322601	Tabatha Bag
644286	343148	Hilary
644286	349876	
644286	357068	Lottie Schulman
644286	359899	Young Mrs. Aylwood
644286	368416	Lori Grossman
644286	382938	Jean
644286	387242	Afy Halljohn
644286	396451	Andrea Watson
644286	399748	Solange Dudevant
644286	399758	Beatrice Ambient (segment "Au
644286	406696	Lili
644286	407312	Tabatha Bag
644286	407314	Tabatha Bag
644286	407315	Tabatha Bag
644286	407410	Tabatha Bag
644286	408867	Tammy Delaney
644286	411688	Georgina
644288	342008	Mrs. Conroy
644289	313583	Fan in Lobby
644290	377420	Ice princess
644291	4619	Cigarette girl
644291	33610	Undetermined role
644291	335343	The dancer
644292	157771	Lisa
644292	189912	Veronica
644292	208910	Madge
644292	243954	Cheryl Barker
644292	247216	Muffy
644292	266617	Carol Bishop
644292	323013	Miriam Stark
644292	329346	Melanie Crandall
644293	12722	Ruby
644293	19769	Delma
644293	23257	
644293	41465	Alice/Shina/Uriko
644293	48224	Leecy Davidson
644293	57671	Narrator
644293	64089	Cinderella
644293	72237	Elektra
644293	78785	Holly
644293	78825	
644293	83478	
644293	102034	Eliel Evergrand
644293	104298	Ms. Alexandra Roivas/The Guar
644293	109891	
644293	113274	Mazzy Fentan
644293	113505	
644293	117779	Dynaheir/Liia J/Serving Wench
644293	117780	
644293	117783	Mazzy Fentan
644293	119601	Commander Jun'ko Zane ('Juni'
644293	122755	Madeline Buthane
644293	123154	Faith
644293	130629	Adult Beth
644293	133114	Elena/Paella
644293	134655	Sarah Parker, Squad & Dropshi
644293	134656	Sarah Parker
644293	147089	Additional Voices
644293	158317	Mary Ann Kahl
644293	183061	Prier
644293	191302	
644293	194498	Galadriel/Lobelia
644293	196005	Catty Woman
644293	208485	Elizabet/White Lady
644293	211948	Dr. Naomi Hunter
644293	211950	Emma 'E.E.' Emmerich-Danziger
644293	211951	Emma Emmerich (E.E.)
644293	211953	Naomi Hunter
644293	211954	Dr. Naomi Hunter
644293	211955	Naomi Hunter
644293	212091	
644293	212908	Cinderella
644293	213459	Mallory McMallard
644293	219548	Sonya Blade
644293	241954	Michelle Aubert (English)
644293	241955	Kaede
644293	243760	Cleo, Quaris
644293	257265	Fall-from-Grace/Deionarra
644293	262132	Ms. Keane
644293	262133	Princess Morbucks/Sedusa
644293	262136	Ms. Keane/Princess Morebucks
644293	265290	Vanessa Z. Schneider/The Clie
644293	269595	Katrina
644293	276862	
644293	277025	Andria, Harowen
644293	282798	Colony Shrink
644293	285050	
644293	286857	Kid, Lizard, Villager, Slave
644293	290940	Dottie
644293	290944	Thorn and Queen
644293	290948	Thorn
644293	290950	Aliyah-din
644293	290953	Poltergeist/Computer Voice/Sh
644293	298302	Nurses #1
644293	300345	Raven Wells
644293	302455	Princess Serena
644293	311036	Felicia Hardy/The Black Cat, 
644293	311041	Rogue/Dr. Watts/Computer 2
644293	311046	Black Cat (Felicia Hardy)
644293	313434	Federation Officer #1/Additio
644293	313480	Building Lifter Pilot/Scanner
644293	313485	Jaden Kor (female)
644293	313489	Bastila Shan
644293	313508	
644293	314974	
644293	321957	Maggie/Mara Aramov
644293	323343	Flora
644293	323889	Sheena Fujibayashi
644293	327811	Keiken
644293	338553	Joey
644293	345690	Ima Goodelady aka Sedussa
644293	368768	
644293	369453	
644293	369466	Rogue
644293	369487	Carol Hines, Rogue
644293	382671	Margo
644293	382873	Leecy Davidson
644293	383282	Mrs. McCannon/Misty/Susie/
644293	384103	Marina
644293	384572	Numbuh 86 (2003-)/Computer/Ra
644293	390403	Acting Commissioner/Stonegate
644293	390647	Billy's Mom (Gladys)
644293	392134	Cinderella/Princess Aurora
644293	393013	Spider-Woman/Julia Carpenter 
644293	397686	Mallory McMallard
644293	401489	Additional Voices
644293	402016	Princess Morbucks/Ms. Keane/B
644293	402954	Jessica Margret Leya 'Jessie'
644293	403587	Paula Dullard
644293	404229	Additional Voices
644293	405552	Jennifer Steele a.k.a. Talyn
644293	406154	Lady Vermin of the Next-Men/A
644293	406771	Eleanor Little/Martha
644293	407695	Additional Voices
644293	408622	Sam/Mandy/Various
644293	409212	Additional Voices
644293	410975	Ivy
644294	229506	Carmen
644295	215507	Patricia De Le Marco Los Conc
644295	230663	Cheerleader
644296	61347	
644297	21738	Maggie Shea
644297	39411	
644297	41478	Zoe
644297	42431	Ginny
644297	94502	Sanga's Mother
644297	115379	Isabelle's friend
644297	214475	
644297	224070	Rachel
644297	338919	
644297	340583	Bridie
644297	362722	Female Chorister
644297	388209	Terry (2001)
644298	128549	
644299	189805	
644300	64090	Female riveter
644300	154756	Secretary
644300	241542	Second Nurse
644300	281415	Woman
644300	330915	Nurse Millican
644300	361841	Pioneer Woman
644300	387354	Paula French
644301	319568	Argonian Citizen
644302	304972	Emily
644303	68786	Librarian
644303	128303	Karen
644303	248008	Little Girl
644303	383461	SN Susan Betts
644304	194269	
644306	13995	Herself
644306	380016	Final Group Member #4 (2003)
644307	1018	Anchorwoman
644307	29676	Cipollone Newscaster
644307	52658	Marion
644307	280054	Reporter
644308	178132	Woman
644310	115526	Barbara Nielsen, stewardess
644310	171134	Guest
644310	194488	Mona Hammond
644310	224327	Nurse
644310	327685	
644310	359298	Young Wife
644310	364029	Kerry Arnold
644310	369337	Miss Sally (flashback sequenc
644310	411003	Helen Carter (1957-1959)
644311	185777	Maid of honor
644312	274427	Wanda's Girl
644313	12766	Booley, Angie's Granddaughter
644313	131430	Sprat
644313	154789	Penny Marshall (Scott)
644313	263106	Daughter
644314	382214	Mrs. Pardiggle
644315	176335	Goldwyn Girl
644316	5079	Sarai
644316	32693	Ginny Smith
644316	90349	Old Zoe
644316	158522	Margret
644316	270135	Church Organist
644316	288109	
644316	302793	Old Woman
644316	364513	Mrs. Tennyson
644317	162979	Corinthian Circle member
644318	151303	Penny Webb
644318	302793	Camera Clerk
644318	308931	Shirley Jensen
644319	274427	Wanda's Girl
644320	266735	Priscilla Carter
644321	222784	Basement Girl #6
644322	260	Connie Madsen
644323	196833	Pregnant girl
644324	16422	Dancer
644324	101765	Jennifer
644324	128166	Micki
644324	216137	Marie
644324	234136	Content Girl
644324	257438	Maria
644324	355116	Eve
644324	372444	Samantha
644325	32531	Couple in Park
644326	129816	Herself/Various
644326	249539	Herself
644326	249632	Herself
644326	397991	Herself (Seasons 1-4,7)
644327	6895	Herself (interviewed)
644327	319090	California Girl #2
644328	81070	Sally
644328	81649	Woman in Shoestore/Harry's Ch
644328	99400	
644328	241320	Mrs. Rossi
644328	324979	Michele
644328	329518	Jane
644329	28862	Edna Evans
644329	340228	Hecuba
644330	147655	Wardrobe Assistant
644331	377991	
644332	76783	
644333	48675	
644333	48676	
644333	187682	Frau Leuwen
644333	189735	Sonja
644333	275158	Millie
644333	388165	Frau Barkow
644333	402747	
644334	391369	Sue
644335	122745	Bridie
644336	365998	Prissy (Wilson)
644337	4016	Heavenly Operator
644337	18662	Villager
644337	52819	
644337	75060	
644337	187319	Koine Suzumura
644337	188034	
644337	295648	
644337	297339	
644337	323134	Additional Voices
644337	407369	High School Girl, Game Hostre
644338	94291	Miss July, Vargas Calendar Gi
644338	128152	Showgirl
644338	132765	Doll
644338	136274	Hostess
644338	138804	Showgirl
644338	149261	Bridesmaid
644338	154481	Infanta
644338	194831	Slave Girl
644338	195190	Lady in Waiting
644338	375044	Showgirl
644339	245120	Judy Blair
644340	68728	Secretary
644341	259266	Pregnant Lady
644342	257764	Katrina
644342	337126	Hannah
644343	117483	Lady Victim
644344	133853	Secretary
644345	5430	The Nurse
644345	102906	Older Phone Worker (segment "
644345	158175	Elderly Woman
644345	160344	Baglady
644345	323227	Nurse Janet
644345	368892	Ethel
644346	189987	Dee Dee, or is it Gee Gee
644346	274427	Wedding Party in Philadelphia
644347	51996	Katey
644348	234212	Evaline
644349	35506	Musician
644349	126572	Young Barbara's fiddler
644349	203358	Musician
644349	274069	Musician
644349	330391	Cajun fiddler
644349	383713	Lisa Haley
644349	403323	Lisa Haley
644350	307974	TV Reporter
644352	274653	Referee
644353	228536	Sarah
644353	236879	
644353	266724	
644353	266725	
644353	361897	Herself
644353	361917	
644354	233929	
644355	194830	Duboni
644356	148234	
644357	355028	The Academy's Blessed 'Virgin
644358	292275	Party Teen
644359	116596	Voz en el teléfono
644359	193087	
644360	248429	Belly Dancer
644361	292275	Basil
644362	87223	Office Babe
644362	392058	
644363	348379	Veronica, at the dance
644364	68277	Chopper pilot
644364	77204	Tara Connolly
644364	96867	Performer
644364	201569	Herself
644364	282439	Rosie Cotton
644364	383078	Nicola Dobson (1989-1992)
644364	385020	Rebecca Hopkins (1999-2000)
644364	387247	Kate Morton/Mitchell (2002-)
644364	401077	Kelly, barmaid/receptionist (
644364	406731	Herself (Series 2) (2004)
644364	408636	Annie Jordan
644364	408638	Annie Jordan
644365	366761	Lenox School Band
644366	162434	Herself (competitor)
644367	43742	Dancing girl
644368	25785	Madeleine Ferchaux
644369	131224	Herself
644370	137439	Kelly
644370	271197	
644370	276328	Amy
644370	346099	Jody
644371	342871	Woman at cafe
644372	64153	
644373	372150	Madam
644374	313334	Other Tourist
644375	406452	Herself - Finalist (2004)
644376	170219	Herself
644376	399008	
644377	88489	
644377	239465	
644378	71828	
644378	216236	Favourite
644378	377726	
644378	380410	Soeur, Angèle
644379	6754	Sarah
644380	346466	Gisèle Halimi
644381	14107	Jackson's Girlfriend
644382	70178	Fan #1
644383	4334	Parhaan kaverin vaimo
644384	1020	Sonya
644384	167049	Lesbian Vampire
644385	76249	Eva Kirov
644385	386964	Eva
644386	237984	
644387	293078	Girl Friend #1
644388	97030	Miss Hattie's Girl
644389	123445	Mommy Honami
644390	380653	Lenio
644391	132028	
644391	172081	
644391	237088	
644391	253983	
644391	341245	
644391	350730	Varvara
644391	380559	Loukia
644391	387348	Maria
644392	400825	
644393	95738	
644394	87492	Synne
644395	394052	Kajs datter
644396	98213	Pirkko Karvinen
644396	142636	Woman On The Ocean Beach
644396	153095	Leena Mäkivaula
644396	182538	Riitta, student of Economic S
644396	184804	A Girl of Finland
644396	186148	
644396	197917	
644396	223257	Maria Constanza
644396	240228	
644396	267122	Anja
644396	272832	Herself
644396	272836	Postineiti
644396	303108	
644396	336353	Various
644396	341538	
644396	341782	(episode "Kristiina")
644396	357787	Lotta
644396	392235	
644396	397925	
644396	402897	Pohjolan emäntä
644397	1752	
644397	85643	
644397	93886	
644397	98211	
644397	121079	
644397	207917	
644397	270549	
644397	303724	
644398	236972	Servant Child
644399	47311	
644399	121360	Mrs. Goddard
644400	11666	Herself
644400	77717	Singer with Duke Ellington Ba
644400	210407	Herself
644400	231775	Singer
644400	309049	Herself
644400	330305	Singer with Princess
644401	264157	Princess Aimee
644402	59892	Mrs. Stevens
644402	60735	Ma Holsopple
644402	63012	Olivia
644402	64117	Venus
644402	74010	Nurse
644402	81052	Psychologist
644402	104505	
644402	208988	Sarah
644402	291138	Gert
644402	295006	Olivia
644402	378801	Rose Lee Holloway
644402	384435	Lena
644402	404897	Olivia (1976-1988)
644402	410975	Additional Voices
644403	248157	Receptionist
644403	368445	Disco club woman
644403	387533	Miss Jean Strickland (1997-20
644404	113286	Bar Patron
644405	90352	Mary Jo
644405	383121	Herself
644406	6558	
644406	155311	Mabel
644406	401385	Miss Woods
644406	411016	Meg
644407	161227	Herself
644407	230398	
644407	385824	Samantha Evans (1977-1980, 19
644408	131612	Reporter
644408	389422	Herself (1993-1994)
644409	42386	Choir Soloist
644409	45587	Officer Julie Leroux
644409	199194	Dr. Laura Genel
644409	216669	Cora
644409	221174	Betty
644409	257689	Jan
644410	125425	Herself
644411	64750	Shelley
644412	150598	Herself - Hannah's sister
644414	252483	Georgia Reporter
644414	367723	Shelly
644415	333832	
644416	16891	Herself
644417	386616	
644418	358730	Jennie
644419	233967	Band Leader at Jake's
644419	338638	Mocha Band Leader
644420	116443	Girl in shell dance
644421	84439	Hooker
644421	131760	Linda
644422	84648	
644422	241079	Secretary
644423	127086	Jitterbug
644425	48338	
644425	51122	Tovas' Mother
644425	59717	Mrs. Ryen
644425	96421	Alice
644425	120847	Grevinne Sture
644425	136450	Old woman
644425	137975	Berit's mother
644425	145455	Jon Persson's wife
644425	148817	Anna
644425	216677	Moa's Mother
644425	222445	Elgive, Mrs. Tolderlund
644425	259354	Torborg
644425	262663	Professorskan Kraft
644425	278997	Maurya, an old woman
644425	320629	King Wilfred's mother
644425	321971	Mrs. Küller
644425	357775	Lisa Ersson
644425	377331	Gustava
644425	394884	Fru Werner (episodes 2-7)
644425	395004	
644425	398195	Miss andersson
644425	402881	Rapp-Hanna
644426	6177	Herself
644427	20625	Extra
644427	114300	Marie
644427	116763	Irene Carfour
644427	149259	Pearl
644427	178976	Jury member
644427	183706	Office Girl
644427	314932	Crissy (6 years)
644428	116763	Irene Carfour
644429	114300	Marie
644429	314932	Crissy (6 years)
644430	305008	Sister
644431	55519	Singer
644431	273486	
644431	340329	
644432	391057	Herself - Participant
644433	23956	
644433	168543	Herself
644434	314625	Herself (percussion)
644435	22810	Buxom Woman
644436	160780	Day matron
644437	291215	Herself
644437	311781	Model
644437	353499	Herself (Model)
644437	353500	Herself (Model)
644438	363224	Columbia Woman #2
644439	62571	Prato (Female), Suzu Asahina
644440	41171	Esmarelda
644440	62704	Tina
644440	76276	Marina Oswald-1963
644440	87848	Amelia-Louise
644440	90659	
644440	151909	Sister Katherine
644440	181423	
644440	233779	El
644440	277078	
644440	350207	
644440	350217	Esmeralda
644441	61161	Mega Shopper
644441	139009	Pearla Evans
644441	196015	Rona
644443	32790	Polly Peachum
644443	280437	Herself
644444	266587	Bank Teller
644445	313100	Kyra
644445	372072	Sallie
644447	98935	
644448	73326	Cheap Dish
644448	79044	Screaming Woman
644448	83822	Receptionist
644449	15216	Debutante
644449	62992	Meg
644449	285879	Tanya Sakharov
644449	364382	Samantha
644450	155912	
644451	155912	
644451	187709	
644451	353309	
644452	109666	Reporter #3
644452	297756	Receptionist
644453	392697	Young Elizabeth Brontë
644454	45886	Vonnie (the maid)
644454	80471	Female Witness
644454	81764	Hot Dog Girl
644454	97611	Vangi
644454	185245	Barmaid
644454	195464	Pregnant Girl #1
644454	200492	Vanessa (segment "Avarice")
644454	233960	Daphne
644454	274994	Adam's mum
644454	281425	Girl
644454	285286	Jean
644454	306620	Carol
644454	354550	Judy
644454	365342	Reena
644454	379593	Doreen Albert (1972)
644454	382661	Vonnie, the Maid
644454	382662	Vonnie, the Maid
644454	384340	Shirley Johnson
644454	396140	Kathleen Peake
644454	397433	Mavis McDonald
644454	405703	Fanny
644455	292451	Susan Layton
644456	107917	Maria
644457	242024	Ghost
644458	303429	Maggie
644459	313442	Chan
644459	313482	
644462	348594	Sexy Sister
644463	210530	Felicia
644464	17992	Hotel Clerk
644464	130607	
644464	154944	Gloria
644464	338789	Penny
644464	339872	Amanda Levy
644465	33970	Lena
644466	352735	
644467	323568	Jeep Driver
644468	401875	Herself - Semi-finalist (2000
644469	240838	Bride
644470	84986	
644471	5503	Newsreader
644472	75806	Cyborg #2
644473	2275	Herself
644473	7067	Ivy Duncan
644473	16113	Muff Graham
644473	31198	Herself (NBC Team)
644473	64556	Herself/performer
644473	64560	Herself (performer)
644473	64563	Herself - Ringmaster
644473	67571	Diane Hunter
644473	67591	Receptionist
644473	80022	Dr. Marlena Evans Black
644473	80023	Herself/Dr. Marlena Evans Bla
644473	117266	Mrs. O'Neil
644473	139613	Herself
644473	161227	Herself
644473	161317	Herself
644473	161321	Herself
644473	214087	Barbara Sanderson
644473	228969	Herself
644473	228970	Herself
644473	230398	Herself
644473	232220	Dr. Marlena Evans
644473	242431	Kate Michaels
644473	262519	Sarah of Nazareth
644473	265778	Pollyanna
644473	273559	Delores Stewart
644473	310577	Gloria
644473	323443	Nell
644473	358805	Herself (1988)
644473	367585	Quinn
644473	385824	Dr. Marlena Evans Brady Black
644473	387433	Lori/Electra Woman
644473	387516	Nurse Sally Lewis (1972)
644473	394848	Laurie/Electra Woman (1976-19
644473	400520	Jessica 'Jessie' Witherspoon
644473	411802	Barbara Anderson (1973-1975)
644474	231984	Amy
644475	186681	Ornella
644475	188510	Delores
644475	291495	Hazel
644475	386254	Delores (1994-1996)
644476	81053	Diane
644477	210786	Mrs. Biddle
644477	327376	Marla Higgins
644478	327685	Jethro's Daughter
644480	79105	Daughter
644480	133949	
644480	257087	
644481	60938	Entertainer
644481	140509	Girl
644481	308382	Raider
644482	361841	Pioneer Woman
644483	32488	Waitress #2
644484	358648	Herself
644485	26806	Floria Briand
644485	47336	Eileen Byrne
644485	158371	
644485	186032	Flo
644485	235595	Gwenn Burke
644485	263504	Minister's daughter
644485	366331	Gloria Brooks
644485	368315	May Thorpe
644486	235579	Soloist
644487	109667	Mrs. Landau
644488	72608	
644489	84834	Fat Shopper
644489	91557	Mother Rose Daniels
644489	141429	Minnie Blake
644489	147122	
644489	158364	Fat woman
644489	374522	Townswoman
644490	39472	
644490	76381	Bill's mother
644491	42276	Terri
644491	82756	Beth
644491	260950	Dancer
644492	22940	
644492	25483	
644492	32213	Rosarita
644492	35378	
644492	38986	Mrs. Amelia Hansen
644492	41163	
644492	44807	
644492	45247	
644492	48978	Gabrielle
644492	54945	
644492	59755	Ambrosia Lee
644492	63067	
644492	72190	
644492	73459	The Little Girl
644492	81607	
644492	102158	
644492	110963	
644492	116178	Zoe
644492	116689	
644492	117253	
644492	133778	
644492	133841	Herself
644492	140086	
644492	141222	
644492	141273	
644492	141291	Billy
644492	141810	
644492	143403	Mary Weston
644492	143706	Kate
644492	146270	
644492	150394	Party Guest (unconfirmed)
644492	155752	
644492	158261	
644492	158359	Mary (age 18)
644492	165296	
644492	167254	
644492	167255	Jewel
644492	167260	Nora Martin
644492	191659	
644492	191801	Eve Edgarton
644492	192138	Rene Lescere
644492	192285	
644492	194757	
644492	195607	Ambrosia
644492	199272	
644492	203576	
644492	207152	
644492	207414	Ruth Gallon
644492	208256	
644492	210598	Youthful Woman
644492	216157	
644492	216899	
644492	220045	Angela
644492	224096	Clara
644492	230711	Daphne Sawyer
644492	239502	
644492	245138	
644492	259766	Polly Redhead
644492	267609	
644492	290390	Schoolgirl
644492	292481	Arnice
644492	297780	
644492	301610	The daughter
644492	301661	
644492	301664	
644492	311875	Yvonne
644492	312177	Frances Wharton
644492	315222	
644492	321855	
644492	330489	June Rutherford
644492	331509	Undetermined Role
644492	340021	
644492	346171	Pansy O'Neill
644492	346913	
644492	360552	
644492	361700	
644492	362780	
644492	363535	Doris Standish
644492	363994	
644492	366335	
644492	367677	
644492	373312	
644493	265558	Herself
644494	11440	Young Girl
644494	45932	Molly Dawson
644494	52513	Marjorie Malloy
644494	62498	Autograph Seeker
644494	64090	Junior Leaguer
644494	140407	Bathing Beauty
644494	143577	Johnny Cabot fan
644494	186399	Rita Caldwell
644494	197351	Julie Peters
644494	271090	Bonita Bayne
644494	272082	Lucille Gray
644494	332062	Betty Morgan
644494	348327	Goldwyn Girl
644494	356800	Mrs. Evelyn Marlowe
644494	367970	Goldwyn Girl
644495	238278	Girl in Bar
644496	164628	Joseph
644497	65577	Alysa
644498	43347	Capt. Charlie Weekly
644498	161526	Jan Arnold
644498	184403	Mavis
644498	210835	Katie
644498	259213	Julie Ostrovsky
644498	308918	Clara
644498	379872	Senior House Officer Louise M
644498	382287	Clare Weston
644498	388486	Emma Wright
644498	402610	Romey Sullivan
644498	402611	Romey Sullivan
644498	404882	Rachel Finn
644498	406212	Ellie Simm (2002-2003)
644499	399719	Herself (voter, 1920)
644500	10337	Mrs. Bingham
644500	12341	Lady Prunella
644500	41929	Mrs. Semple Jones (episode 1)
644500	54562	Marie Antoinette
644500	61804	Mrs. Pennington
644500	88076	Duchess of Devonshire
644500	114695	Mrs. Isobel Weeks
644500	142433	Lady Randolph
644500	196453	Lady Blayne
644500	206428	Queen Louise
644500	223718	Esther Merrill
644500	244798	Freddie's mother
644500	276674	Lady Agatha Bartley
644500	297921	Joan's Aunt
644501	80996	Gertrude
644501	88894	
644501	331312	Lady Connemara (segment "Lord
644502	165425	
644503	89842	Mrs. Skenton
644503	221250	Lady Eastney
644503	246182	Mrs. Van Loren
644503	303441	Hon. Emily Tarrant-Chetwyn
644504	72767	
644505	64885	Miss Hall
644505	91763	
644505	233748	Virginia (the boatyard manage
644505	367616	Second Woman
644507	220775	The Barrons' Maid
644508	100855	Tea Lady
644509	69093	Secretary
644509	244913	Extra in Denker's Beer Garden
644510	21180	Pat
644510	187886	Medical Centre Receptionist
644510	249265	Club Manageress
644510	385782	Dora
644510	393492	Cecily Hawthorne
644511	57934	Gail
644511	65604	
644511	65606	Linda
644511	66146	Bridget
644511	80695	Ginger
644511	83849	Amanda
644511	84807	Evelyn Hathaway
644511	84809	Brittany Jones
644511	86478	Alicia
644511	103449	
644511	105904	Professor Rachel Conrad
644511	105905	Daria
644511	128696	Didi
644511	135154	Tracy
644511	156474	Dee Dee
644511	156524	Stacy
644511	159262	Younger Woman/Chastity Ann Mi
644511	165472	Danielle
644511	185167	Girlfriend
644511	193523	Sherry
644511	195884	Andrea
644511	197807	Lap Dancer
644511	232206	Stacey
644511	241351	
644511	257672	Gabrielle Skye
644511	258074	Emma Meyer (segment "Partners
644511	289426	Corianne Fleitta
644511	293058	Kay Sanders
644511	295719	Nurse Swanson
644511	295720	Rivero's Girl #1
644511	295726	Rhonda
644511	296736	Narina
644511	321373	Gina
644511	355116	Roberta
644511	381807	Madame Veronica Winston (1998
644511	383060	Kelly Parkinson
644511	384446	Linda/Areola/Julia
644511	410422	
644512	154488	Little Michael
644512	287748	Julie Jane Carson
644513	67156	
644513	107696	Dance Specialty
644513	208719	Gypsy Dancer at Festival
644513	274502	
644513	278563	Dance Specialty
644513	291915	Kansas Beauty Winner
644514	253761	
644515	33190	Mrs. Aubrey
644515	207866	Lucille
644515	245182	Tilly
644515	281769	
644516	5545	Mrs. Federber
644516	47132	Maid
644516	50448	Bit
644516	54636	Mrs. Nelson
644516	73197	Maid
644516	219166	Enid
644516	245689	Martha
644516	254631	Nina's Secretary
644516	266099	Helen
644516	275451	Beaulah
644516	292552	Mrs. Richmond
644516	295282	Mother
644517	2042	Herself
644517	207484	FBI Wife at Party
644517	382242	Ms. Tyler
644518	185139	Vivian Morrow
644519	385823	Child
644520	25784	
644520	84648	Judith Nelson
644520	101534	
644520	130979	Nudist
644520	287230	Administrator's Wife
644521	135839	Eva
644521	367283	Kristina
644522	6151	Inez Treadly
644522	78938	Julia
644522	100855	Peggy Rankin
644522	124183	Mrs. Parks
644522	133658	Helen Calso
644522	150895	Dr. Julia Hoffman
644522	232027	Carlotta Drake
644522	232090	Judith Fellowes
644522	269753	Miss Maxwell
644522	283328	
644522	288430	Pepe
644522	329412	Miss Magaret Miller
644522	342977	
644522	379716	Marge Grey (1973)
644522	385719	Dr Julia Hoffman (1967-1971)/
644522	400236	Euphemia Ralston (1982)
644523	134917	Svart-Anna
644523	144061	Fru Snarum
644523	166593	Fru Johansen
644523	179772	Gerda Kramer
644523	348962	
644524	15214	Amy Goodrow
644524	117874	Young Jenny Curran
644524	130983	Goldi
644524	143074	Samantha, Jody's Daughter
644524	148426	Maybeth Tillerman
644524	355065	Cecilia Lisbon
644525	44416	Booking Agent
644525	79907	Marder Receptionist
644525	118547	Holly
644525	283717	Harriet
644525	366777	Mrs. Kathy 'Mom' Wagner
644525	379716	Brooke English Cudhay Chandle
644525	405882	Andrea Moore (1972-1974)
644525	410926	Judy Maxwell
644527	236657	
644528	73986	Stella Wilkes
644529	53946	Molly Beatrice
644530	116532	Fritzie Devere
644531	148548	Agnes Stewart
644531	321810	Eve Mason
644532	264907	
644532	329990	19 Chaucer Street
644532	348358	Plumpa
644532	367670	
644533	26077	Fanny Baily
644533	26955	Nurse
644533	27196	Mrs. Banks
644533	33742	Ella
644533	43928	Georgia Brown
644533	47542	Williston
644533	48699	Emma, Lintz's Maid
644533	67052	Ida
644533	73479	Lulu Richards
644533	77145	Dora
644533	77146	
644533	90334	Hazel
644533	108382	Aunt T.
644533	126035	
644533	127508	Carrie Mae
644533	140912	Nurse Anne Hall
644533	158140	Apartment Manager
644533	158414	Foreman
644533	176388	Mrs. Smith
644533	183879	Marva Munson
644533	188143	Miss Emma
644533	193932	Cecilia Howlett
644533	195812	Mae Mullen
644533	213159	Minerva
644533	215574	Rose Griffin
644533	216672	Lady on phone
644533	235647	Bertha
644533	240969	Aunt Charity
644533	244770	June Jones
644533	250514	Joletta
644533	283103	Great Aunt T
644533	305074	Clotelia
644533	308114	Memaw
644533	309477	Big Mama
644533	311514	Maid
644533	312270	Preacher Dixon
644533	314225	Grandma Odessa
644533	315897	Ethel
644533	330221	Mrs. Brown
644533	334308	Old Woman
644533	345828	Mammy
644533	346872	Mary
644533	379731	Nurse Glory St. Claire
644533	390008	Mrs. Buckley
644533	390109	Alice (Housekeeper)
644533	406007	'Mama Joe' Joseph
644534	303223	
644535	105462	Dancer
644535	307362	
644536	144406	
644537	304395	Miss Sinclair
644538	199309	Adelaide
644539	66582	F.A. Allison Wilson
644539	72515	Alice
644539	80493	Heather
644539	113496	Gina
644539	137572	Linda Ellis
644539	173353	Sue
644539	189986	Rachel Cardamone
644539	236494	Lucy
644539	278647	Arlene
644539	366712	Reporter No 1
644539	379749	Anna Sumner (1990-1993)
644539	389965	Sophie Falovia
644539	391369	Regina Powell
644539	391532	Caz
644539	391869	Rebecca Fisher (#1) (1989)
644539	392689	Herself (1997)
644539	402145	Sandy Lockhart
644539	410743	Host
644540	139790	Dance-hall girl
644541	242093	Waitress
644542	194820	
644543	389198	Herself/panelist
644544	207268	Female dancer
644545	8516	Poppea
644545	52783	Fanny
644545	278963	Fortuna
644545	301338	Marianna
644545	338619	Violetta Valéry
644546	150297	Rita
644547	156	Master's Wife
644548	361681	Jennifer
644549	240985	'Queenie' Shannon
644550	69391	Georgia
644550	187192	Elle Woods
644550	379716	Mindy (2000-2001)
644550	409605	Herself
644551	17556	Betsy
644552	70816	Maeve
644552	79838	Angie
644553	32432	Margaret
644554	236779	Airport Ticket Girl
644555	47570	
644556	30955	Alicia Hunt
644556	33184	Herself
644556	33227	Imelda
644556	68111	Herself (EastEnders segment)
644556	70028	Herself
644556	85893	Herself
644556	119597	Newswoman
644556	153646	Herself
644556	211361	Sybil
644556	264147	Lady Motley
644556	280067	Herself/Host
644556	282772	Bored girlfriend
644556	283554	Herself
644556	288933	Lady Miriam Foxley
644556	335782	Bon Bon
644556	335940	Dottoressa 18
644556	348594	Sexy Sister
644556	350192	Woman in Park
644556	358731	The Groupie
644556	365827	Karen
644556	384528	Miss Scarlett (Series 4) (199
644556	401853	Sister Penelope
644557	229260	Girl on Aaron's Knee
644558	383020	Seducer
644559	12297	Elizabeth
644560	126571	
644561	89339	TV Presenter
644561	137577	Newsreader
644562	133678	Hetty
644562	208378	Body bank receptionist
644562	250448	Vera - In Old Age Home
644562	382661	Lily
644562	382662	Lily
644563	280700	
644564	199707	Royal Child
644564	394146	Sharon
644565	408075	Diet & Fitness Expert
644566	21551	
644566	195985	Lady-in-Waiting
644566	241444	
644567	115895	Madame 'Auntie' Liang
644567	139447	
644567	214928	Herself - Specialty 'Chocolat
644567	248461	Singer in audience
644567	309858	Bloody Mary
644567	360492	Choir Director
644567	383397	Regular (1948)
644568	41196	Stoney
644569	130666	Amazon Warrior
644570	153142	Francie
644572	40025	Young Girl
644572	69040	
644572	98831	Child
644572	138889	Jo
644572	195685	Elaine
644573	155908	Miss Harrison
644573	275678	Style Thief
644574	147254	
644574	302492	Matron
644575	90154	Woman in Bed
644575	281254	Reunion Guest
644576	127572	Leanne
644577	109698	Hostess
644578	217421	Nurse
644579	204747	Kitty
644580	79514	Woman Reporter
644580	108333	Receptionist
644580	110301	Gloria
644580	119621	Thelma Clay
644580	128759	
644580	359454	Secretary 3
644581	7006	Louise
644582	367751	Sales Woman
644583	204747	Brenda
644584	308684	Isabel
644585	73560	Prostitute
644585	108331	Vondra
644585	137470	Henchwoman
644585	233519	Nikki Westhill, Miss England
644586	1849	Daz's Girlfriend (Pob)
644586	110739	Lost Girl
644586	241146	Bingo Woman
644586	400696	
644587	39977	Eileen
644587	42788	Girl at Club
644587	50262	Lisa
644587	86478	Jill
644587	102731	Bridgette
644587	102733	Bridgette (episode "Model Sit
644587	103449	Sandra
644587	105726	Linda Tippett
644587	150571	Carly
644587	156524	Megan
644587	161410	Jenn
644587	183876	Vicky Gallagher
644587	192403	Masked Girl
644587	208502	Tracy Quinn
644587	245684	Susan
644587	265208	Alison Wells
644587	267349	Brothel Girl
644587	321373	Lynn
644587	353365	
644587	366751	Sheila
644588	14098	Herself
644588	313026	(segment "Fandango!")
644589	189505	Theatre Sister
644589	213186	News Announcer
644589	215554	Jessica
644589	232510	Judge Slark
644590	79789	
644590	381754	Dionne MacAllister
644591	157295	Herself
644591	362658	Koko's Mom
644591	362659	Coco's Mom
644591	411069	Herself (piano and keyboards)
644592	90957	Mrs. Binkley
644592	317288	
644593	26941	
644593	133593	
644593	185255	Rebecca
644593	197848	
644593	235497	
644593	326392	
644594	191152	Tracy
644594	274312	Ingrid
644594	366749	Roxy
644595	273171	Bertie Gordon (human resource
644595	395781	Lissa
644596	68474	Brenda
644596	227034	The Witch
644597	19552	Elinor Wayne
644597	66343	Kathleen
644597	99313	
644597	111904	Little Rosy Redhead
644597	117604	Leslie Houston
644597	130413	Helen Blake
644597	141520	Beatrice Merlin
644597	185488	Alice Munro
644597	186790	
644597	192407	Beth March
644597	224110	Bettina
644597	240026	Ruth Norris
644597	285337	Ballet Girl
644597	292548	Marion
644597	298618	Morna O'Brien
644597	299504	Maude Harcourt
644597	304033	
644597	326118	Imogene Pamela Thornton
644597	359103	Annette Frenaud
644599	35597	Townspeople
644599	151537	
644600	92302	Maid
644600	297672	Victor's Girl
644601	74192	
644602	7110	Lady of the Lake
644602	27153	Mrs. Wickman
644602	40457	Carol Roberts
644602	55624	Lola
644602	60740	Mary Lou Harrison
644602	65847	Young Mother
644602	67404	Janet Williams
644602	74688	Loretta
644602	79384	Ticoora
644602	80379	Sister Constance
644602	94960	Helene Cunningham
644602	105130	Girl
644602	108300	Girl
644602	120753	Alice Tanner
644602	131226	Old Woman
644602	148344	
644602	149824	Patty McGregor
644602	168267	Anne Howe Palooka
644602	176755	Secretary
644602	188572	Librarian
644602	191899	Secretary
644602	194701	Old Woman
644602	195620	Young woman
644602	223733	Adoptive Mother
644602	232180	Laura Davis
644602	254283	Coca Cola Petty Girl
644602	256634	Carol Walsh
644602	263788	Dr. Holt
644602	270929	Mary Ann's Mother
644602	279574	Susan Braden
644602	280493	Pretty girl
644602	290404	
644602	292848	Susan Reeves
644602	295282	Girl
644602	304562	Susan Wilson
644602	329079	Lois Upton
644602	329086	Julia Beck
644602	367552	Stewardess
644602	400239	Beth Holly
644603	73768	Woman Outside Restaurant
644603	301753	Reunion Singer
644603	306051	NSA Phone Operator
644604	341939	Receptionist
644605	163373	Herself
644606	18	Party Guest
644606	35703	
644606	402413	Margaret 'Supes' Wall
644606	406868	
644608	73411	Sister
644608	370283	Girl on Playground/Classroom
644609	167260	Mrs. Martin
644610	33426	Jane McLode
644610	64516	Leonora Simpson
644610	81343	Sister Margaret
644610	86359	Frances Paine
644610	136128	Mrs. Taylor
644610	185439	
644610	249579	Consignment shop owner
644610	261986	Commentator
644610	269421	Mother
644610	306421	Saleslady at Bergdorf's
644610	318761	Sister Parker
644610	360855	Lomax's Secretary
644610	400236	Liz MacNamara (1991-1996)
644610	403157	Gertude 'Gertie' Reece
644610	404002	Mrs. Norris (1975)
644611	109077	Woman
644612	68841	Cop
644612	137195	Danielle
644612	323427	Angela
644613	132047	Patricia Devon
644613	139214	Anna
644613	142876	Louise Elliott
644613	144586	Nurse Eleanor Stevens
644613	183706	Miss Stevens
644613	292389	Becker's Secretary
644613	339380	Alicia
644614	146001	
644614	366248	
644615	300361	Tango dancer
644616	280700	
644617	89169	Marcie
644617	248715	Audrey
644617	277085	Art Director
644617	293009	Babysitter
644618	176406	Extra in wedding scene
644619	17692	Bit Part
644619	52899	
644619	141607	Herself (Diane Keaton's grand
644619	186304	Mrs. Wayne
644619	258973	Madame Jessica
644619	274454	His Wife
644619	297654	Doris Selby
644619	297996	
644620	31348	Mrs. Sheldon
644621	213105	Pedestrian #4
644622	31092	Oma Tuthill
644622	49452	
644622	186826	Nell Rogers
644622	305468	Edith
644622	363200	
644623	118291	Millie
644623	297632	Leanna
644623	305919	Melissa Locke
644625	46322	Mrs. Johnson, Brian's Mom
644625	121858	Chanteuse (Sean's Mom)
644626	86248	Witch
644627	70629	Herself
644628	289425	Sandra Jackson
644628	289426	Nora Iverson
644628	289427	Deidre
644628	289430	Terry
644628	295719	Angel
644628	295721	Prof. Angela Duggan
644628	295725	Ms. Winters
644628	295728	Diane Shields/Cybergirl
644628	295729	Jamie Cyrus
644628	295730	Valerie Morgan
644629	292611	Head Nurse
644630	130677	Woman in dance hall
644631	347980	Herself (tatooist)
644632	56142	Driver #2
644633	79746	Herself
644634	46572	Mutant
644635	13450	Deirdre
644635	13882	Lynda
644636	137259	Girl in Classroom
644637	323832	Beth (segment "Meat's Meat")
644638	190740	Molly Brown
644638	239756	Lemonaid Stand Girl
644639	46981	Toddler
644641	79680	
644642	241605	Middle Eastern Musician
644644	340406	Louise van der Houten
644645	12332	Watergate Employee
644646	220329	Herself
644648	359910	Lisa
644649	39340	Miss Polson
644650	30678	Drep Drake
644651	113286	Bar Patron
644652	90113	
644652	157667	
644652	244926	Choir member
644652	382224	
644653	139897	Andrea, the ghost
644654	105130	Girl
644654	147515	Clerk
644654	190179	
644654	232088	Pentecostal Witness
644654	262327	
644654	343160	Chorus Girl
644654	361628	
644655	324225	
644656	4626	Manicurist
644656	122967	Dance Hall Girl
644656	190193	Bit
644656	371316	Cashier in Laundromat
644658	132335	Mrs. Morton
644659	405209	Terry Munroe (2001)
644659	405580	Various Characters
644659	407789	Various Characters
644660	228473	Young Iris
644661	261977	Woman in Toilet 1
644662	385824	Benjamin Abraham Carver Reard
644663	45237	Farrah, Hollywood Lesbian
644663	66589	Annie Shukats
644663	189982	Mrs. Dillard
644663	278526	Stage Manager
644663	290982	Job Interviewer
644663	368058	Monique
644664	90332	Lizzie Neil
644664	383277	Young Sophy
644666	46981	Investigator/Mom at Fruit Sta
644667	34702	Candy
644667	87526	Portia
644667	148988	Trixie Norton
644667	177605	
644667	195262	Lena Wright
644667	202387	Shondra
644667	244334	Vicki
644667	246604	Keisha
644667	289666	Brenda Meeks
644667	289667	Brenda Meeks
644667	289668	Brenda Meeks
644667	379802	Corretta Lipp (2001-2002)
644669	276441	1st Saloon Girl
644670	375307	
644671	93290	
644671	196779	Mrs Hickox
644672	6725	Herself
644672	6753	
644672	16966	
644672	26903	
644672	34628	
644672	36787	
644672	41758	
644672	50558	
644672	50764	
644672	66109	
644672	70785	
644672	87226	
644672	93542	
644672	105220	
644672	108837	
644672	114015	
644672	119911	
644672	134690	Roxanne
644672	139307	
644672	139309	
644672	144568	
644672	146821	
644672	147771	
644672	150112	
644672	152716	
644672	153582	
644672	157982	
644672	159771	
644672	161017	
644672	161121	
644672	177714	
644672	188175	
644672	196398	
644672	197798	
644672	213826	
644672	221768	
644672	228010	
644672	228017	
644672	228069	
644672	230105	
644672	231770	
644672	231773	
644672	233702	
644672	234846	
644672	242943	
644672	254079	
644672	254333	
644672	258024	
644672	260789	Adult video actress
644672	266674	
644672	267482	
644672	271300	
644672	273298	
644672	273299	
644672	274066	
644672	277905	
644672	279929	
644672	281552	
644672	294209	
644672	295585	
644672	296101	
644672	306022	
644672	306028	
644672	306908	
644672	306923	Herself
644672	311160	
644672	311161	
644672	313363	
644672	314695	
644672	316861	
644672	320027	
644672	332739	
644672	332740	
644672	335441	
644672	336708	
644672	339911	
644672	343951	
644672	345867	
644672	345874	
644672	353735	
644672	360609	
644672	361243	
644672	361951	
644672	364669	
644672	367792	
644672	369332	
644672	369908	
644673	27441	Helen Brewster
644673	33739	Patricia Sedley
644673	35396	Judy Winters
644673	40540	Miss Bauman
644673	58956	Girl at party
644673	73714	Secretary
644673	83570	Elaine Corday
644673	90941	Girl
644673	94138	Girl
644673	95857	Doris Collins
644673	96889	Showgirl
644673	109210	Abbie
644673	114928	Mary Ramsey
644673	116716	Norma Baker
644673	123353	Sheila Tracy
644673	126069	Showgirl
644673	141286	Lillian Marantz
644673	143267	Miss Hoffman, Factory Secreta
644673	147804	Herself
644673	148929	Party Girl
644673	151634	Fashion Model
644673	154169	Jessie Reed
644673	170378	Mannequin
644673	176335	Anita Gomez
644673	186012	Alice Lawton
644673	193201	Marjorie Blake
644673	203035	Dolores Castanares
644673	204191	Sewing Girl
644673	215634	Paula Brent
644673	218123	Mary Helton
644673	222723	Ann Michaels
644673	239634	Gwendolyn 'Gwennie' Mc Gill
644673	276662	Nona Winters
644673	277879	Ruth Gaunt
644673	316487	Alice Edwards
644673	331519	Elaine Corday
644673	347120	Welfare Worker's Charge
644674	134680	
644675	340934	Female Vice Cop
644676	272414	
644676	365643	
644677	183842	Rosalie
644677	365560	Big Frieda
644678	368654	Reverend Coldwater/Talent Age
644679	34960	Teacher
644679	82502	Tana
644679	177451	
644679	194683	
644679	244358	Jenny
644679	273559	Aunt Marion
644679	307976	Girl Typist
644680	378913	Reporter
644681	43874	Bonnie Lombard
644681	311537	Phi Beta Girl
644682	80063	
644682	119466	Intimidating Girl #2
644682	120212	
644682	120238	Martin
644682	153008	
644682	188639	Julie
644682	313935	Sarah
644683	380005	Dallas (1995)
644684	1784	Restaurant Hostess
644685	330794	Heavy Metal Fan
644686	350461	Nancy Walker
644687	163932	Slim
644688	327625	Grocery Lady
644689	337384	Monica
644690	40744	Office Worker
644690	161515	
644691	755	
644691	766	
644691	767	
644691	796	
644691	34843	
644691	264126	
644692	307019	Nancy
644693	161831	Zoe's landlady
644694	86274	Stewardess
644694	119437	Stewardess
644694	151365	Woman with Lasso
644694	291495	Lew Hayward's secretary
644694	340421	Nancy
644695	248079	
644696	227926	Jacksons band member
644697	117520	Dancer
644697	176920	Blanche
644697	252993	Indiana Mother
644698	190698	Train Girl
644698	252905	Dancer
644698	382266	Obs and Gyn Nurse
644698	385020	Kimberly Taylor (1989-1993)
644698	393730	Opal
644699	63343	Tina
644699	207864	
644700	125478	
644701	370643	House Admirer
644702	248495	Featured Vocalist
644703	91723	
644703	97315	
644703	119541	Nurse
644703	123921	
644703	148893	
644703	187411	Herself
644703	320459	
644703	326808	
644704	265247	Connie Wright
644705	278498	Girl Teen #2
644706	368092	Denise
644707	82669	Dancer
644707	109705	Hooker
644708	333055	Fran
644709	58795	
644709	161946	Miss Tomkins
644709	171267	
644709	183638	Can-Can Dancer
644709	239045	
644709	247359	Miss El Salvador
644709	252576	
644710	211741	
644711	151586	
644711	226887	
644711	233793	
644712	231900	Pier Cop
644713	80723	Professor
644714	407656	Lindsay (2003-)
644715	6249	Swedish Blonde
644717	67795	Blonde
644717	98151	Mary
644717	239762	Mary Peterson
644717	305399	Girl Friend
644717	307980	Jean
644717	359298	Girl
644718	2897	WAF Officer in bar
644718	386765	Pat Hunisett (1970)
644719	166713	Nurse
644720	131473	Nun #3
644721	12183	Lavinia Pepper
644721	360464	Barmaid
644722	297937	Doris's Girlfriend
644723	190483	
644724	6524	Agatha
644724	7981	Ethel
644724	21535	The Wife
644724	35208	Lil
644724	40593	Mrs. Villiers
644724	42259	Emmelyn
644724	48036	Stella Deering
644724	56625	
644724	93425	
644724	99149	Marian Barchester
644724	102578	Alice Darvil
644724	107579	
644724	109201	Alice
644724	109241	Araminta Dench, his Housekeep
644724	123395	Rose Wallingford
644724	143366	Carruthers
644724	148994	Alexandra Hersey
644724	150604	Mauricette
644724	155828	Martha Tregoning
644724	155926	Dora/Doreen
644724	171117	Norma Wentworth
644724	179032	Polly Peach
644724	195857	Alexandra Hersey
644724	204891	Mabel Barcaldine
644724	206432	Maisie Burrows
644724	233265	
644724	245960	
644724	246547	
644724	265563	The chateleine
644724	270035	Licia
644724	278281	Mrs. Ormerod
644724	278493	Mabel
644724	282010	Madame Vanderlynden
644724	282619	Stephanie
644724	300000	Alisa
644724	312667	
644724	335281	
644724	348068	Maraine Dearsley
644724	364008	Rosemary Tregarthen
644724	367354	
644724	368008	Kate Richards
644725	380192	
644725	398177	Miranda
644726	213379	Leena Venho
644727	35054	
644728	234032	Rosabelle McKinney
644729	50993	Véronique
644730	70607	Isabelle
644730	245483	
644731	20544	La soubrette
644732	2149	Maureen
644732	78744	Woman at trial
644732	214226	Cafe owner
644733	22085	Margarita
644733	196609	Mary Armstrong
644733	210427	
644733	233929	
644733	264448	
644733	362403	Lady Mary
644734	405797	PW Det. Con. Forest (1971-197
644735	67922	Girl in Nightclub
644735	99146	As Herself
644736	58460	
644736	149486	
644736	156750	
644736	162994	Eva
644736	182864	Lili Jonas
644736	199559	Miss. Price
644736	204563	Lena
644736	243548	
644736	270014	
644736	281604	Clara
644736	366588	
644737	40863	Monika Fink
644737	101970	
644737	178600	Susanne
644737	188778	Katja
644737	225643	
644737	225645	
644737	343943	Alwine
644737	361448	Gregor's Mother
644737	367038	Dorie Wilson
644738	206476	Ellen
644738	399666	Diane Norby
644738	411811	Lisha Steele #3 (1960-1961)
644739	42743	Stella
644739	143832	Gloria Preston
644739	189221	Ruth
644739	194727	Grace Willig
644739	216954	Ellen
644739	223978	Nurse Randall
644739	231966	Faye Reardon
644739	278894	Virginia Van Upp
644739	313625	Judge Margaret
644739	346902	Janet
644740	407264	Herself - Designer
644741	105302	
644742	38959	Aunt Sarah
644742	39731	Angu Ayah
644742	54882	Ladies Committee Member
644742	78008	Miss Burge
644742	78827	Policewoman Grady
644742	116518	Nannie
644742	130636	Agatha Merton
644742	132839	Hoskyns
644742	149809	Charwoman
644742	184244	Lady Battersby
644742	201433	Old Mrs. Spanager
644742	246696	Ma Smith
644742	255261	
644742	279582	Pamphlet hawker
644742	281052	
644742	281413	
644742	294514	Miss Meacham
644742	311004	Monique
644742	313963	Mrs. Fenton
644742	324002	
644742	355095	
644743	125306	Annelisi
644743	180959	
644744	122321	Ann-Sofi, daughter of the Vic
644744	357776	Stina, maid of Sven Ersson
644745	312227	Jane
644746	86847	Tankpasser
644746	111557	Kitchen Assistant
644746	301247	Hannah
644746	353751	
644746	358464	
644747	150123	Z-TV Reporter
644748	142766	Angel #1
644749	412210	Herself/Host (2001-)
644750	59717	Baroness Löwensköld
644751	159671	Karin Ingmarsdotter
644751	173145	Nora von Reimers
644751	199321	Countess Julie
644751	304215	Irma Rossback
644751	346982	Agnes Andersson
644752	181084	Fína Jónsen
644753	1262	
644753	172655	Woman on dock
644754	252524	Connie
644755	407801	
644756	48275	
644756	50009	
644757	220756	
644758	128	
644759	286575	Super
644760	103077	Ursula Fehlmann
644760	155471	Nesi
644761	112819	
644762	45050	Field school teacher
644763	189853	Herself
644764	38991	Magda/Zosia
644764	123789	Isa
644764	142195	Sibylle
644764	203402	Mrs. Häberle
644764	379372	
644764	390701	
644764	395001	
644764	404431	
644765	408428	
644766	338756	Tour Guide
644767	94244	La réceptionniste du dentiste
644768	3453	
644768	4926	
644768	19492	
644768	34562	
644768	73278	
644768	91378	Ana
644768	159509	
644768	225006	Marina Alonso
644768	234423	
644768	238326	
644768	253033	Dolores, the Chorus Girl
644768	380114	Amelia Landa
644768	389790	Eugenia
644768	403365	Rosario
644768	409717	
644768	409921	Doña Clementina
644768	412271	
644769	81544	Joan Langley
644770	119756	Schoolgirl
644770	195854	Young hooker
644770	410797	Angie Globogowski
644771	326900	
644773	278082	Waitress
644773	319027	Chloe
644774	12135	
644774	24907	
644774	36652	
644774	70649	
644774	88194	
644774	91378	
644774	135282	
644774	160587	
644774	162304	
644774	225040	
644774	336250	
644774	349855	Lucia
644775	321669	Teacher
644776	19762	
644776	22879	Alice, Bunny's Adopted Daught
644776	24546	
644776	66029	
644776	116770	
644776	117810	
644776	118022	The Musician's Daughter
644776	143059	
644776	166279	
644776	196507	
644776	215805	
644776	232887	First Daughter
644776	235648	The Maid
644776	257851	The Trained Nurse
644776	274168	
644776	293738	
644776	301288	Dolly's Sister
644776	332782	
644776	340621	A Step-Daughter
644776	360566	
644776	367748	The Maid
644777	268026	Joan
644778	150667	Lena
644778	385549	Cecilia
644778	396250	Sophie Spjuut
644778	405570	Eva Fredriksson (1997-1998)
644779	399177	Beatrice 'Bimbo' Brendel (# 2
644781	99826	Dorothy
644781	206806	Dorothy
644781	245905	Dorothy
644781	368023	Dorothy
644781	393262	Laura
644781	411378	Dorothy
644782	354178	The Girls
644783	66385	Marching Girl
644784	64659	Taiko Drummer
644785	40226	Interviewee with Child
644787	29701	Anne
644787	40364	Anna
644787	122555	Ingrid Sörensen
644787	122606	Valerie
644787	144158	Blanche
644787	170711	Gretl
644787	181497	Inge Kuckerts
644787	188737	Fräulein Ellingsen
644787	197836	Anna Reich
644787	204449	
644787	339252	Anita Kersten
644787	347640	Kaethe Webers
644787	351977	Frau Gaub
644787	352914	Hannchen
644788	190994	Casey
644788	384157	Brie
644789	279200	Dancer
644790	10330	Ellen
644791	120518	Herself
644792	135967	Shelly
644794	2256	Sirka
644794	122484	Anna
644794	134707	Åsa
644794	182599	Margit
644794	192659	TV control room assistant
644794	240213	Hanna
644794	320512	School Girl
644794	322294	Lena
644794	322431	Sara, Jocke's sister
644794	354710	
644794	405825	Lotta
644794	406331	Lena
644794	408800	Helena Linder (1994)
644795	344377	Waitress at Blå Porten
644796	388444	Herself - Participant
644797	304343	
644797	373985	
644798	114271	Kyle's Maid
644799	199707	Royal Child
644800	197234	
644800	197239	
644800	197254	
644800	220578	Herself
644801	312966	Tina
644802	218150	Jennifer Athens
644802	342513	Stonesifer's Secretary
644803	130416	Mother
644804	402245	Gladys Antrobus
644804	402245	Liza
644805	221312	
644806	66683	Julie
644806	141404	Maria
644806	141653	Mahood's Sister
644806	391248	Rossette 'Rose' Malouf (1994-
644806	399130	Doula Tsoubanopulous (2000, 2
644807	6188	Mrs. Appleby
644807	128834	Miss Prout
644807	160115	Mrs. Wyatt
644808	318341	Mother
644809	128657	Herself
644810	20135	Companion (segment "Un ballo 
644811	303194	The Chantals
644812	101644	
644812	202696	
644812	264419	
644812	324282	Yvonne
644812	345120	
644813	39653	Dr. Anna Godard
644813	40795	Julie
644813	49855	Cynthia
644813	75653	
644813	119487	Ft Attenant Kelly Mason
644813	135927	Sally Wells
644813	145010	Nicole Hubert
644813	158791	Madeleine Harold
644813	187889	Sarah
644813	206864	Jan Griffin
644813	218526	Mrs. Mary Wilder
644813	218821	Rose
644813	220954	
644813	221227	Brenda
644813	224184	Leslie Garfield
644813	232121	Laura Hatch
644813	233823	Carol
644813	244365	Mom
644813	255342	Amanda Holt
644813	273772	Sophie Westin
644813	279414	Jo
644813	283582	Rachel Robinson
644813	330994	Lily's Mother
644813	359482	TV Reporter
644813	367606	Joan
644813	385824	Yvette Dupres (1989-1990)
644813	392666	Joanna Lanier
644813	396122	
644813	404282	Shannon Pressman (1990)
644814	248116	Old Patient
644815	317309	Bonnie & Clyde Musical Audien
644816	154943	Denise
644816	169692	Sandy
644816	358052	Gorgeous young girl
644817	66027	Darlene
644818	78642	Gossiping woman
644818	80515	Mrs. Mac
644818	297906	Miss Kelly
644818	321706	Portress
644819	18635	Choir Member
644820	409188	News Correspondent (1999-)
644821	405742	Villager
644822	207223	Picture buyer
644823	396063	Bailey Donnelly/Lelu Leppänen
644824	32380	Mamman
644824	153758	Skolfröken
644824	354741	Victoria
644824	402840	Elisabeth Olsson
644824	405825	Li
644825	99958	
644825	182576	Studio assist.
644826	89713	Hat Store Clerk
644827	115424	
644828	17109	Den blinda poetissan
644828	42957	Mussete
644828	62927	Old Christina
644828	120964	The old one
644828	181133	Jordegumman
644828	198254	Adèle
644828	338010	Tsu
644829	105851	Airport cleaning lady
644829	118980	Biker Customer
644829	161361	Herself
644829	271344	Mourner
644830	264158	911 Nun
644831	161407	Pauline
644831	386024	Sarah
644831	397707	Zoe
644832	90889	Jessica Tannahill
644832	217381	
644832	311916	Poppi
644832	390118	Ellie
644832	393880	Julia Jekyll
644832	393966	Susie Chambers
644833	101691	Doreen
644833	114127	Emma Barnes
644834	138433	Charlotte
644834	182464	Elsa, actress
644834	322297	
644834	377389	Miss Johansson
644835	255656	Anna
644836	382319	Baby
644837	210710	Herself
644838	366382	Mrs. Platt
644839	241418	Herself
644840	694	Herself/Host
644840	3252	Presenter
644840	23922	Herself
644840	23933	Herself
644840	47170	Performer
644840	47171	Presenter
644840	68096	Herself
644840	109590	Paige
644840	126192	Herself
644840	126193	Herself
644840	180826	Herself
644840	221417	Herself
644840	221478	Herself/Presenter
644840	230786	Herself
644840	241418	Herself (Ginger Spice)
644840	249591	Performer
644840	264079	Herself
644840	282595	Herself
644840	295295	Herself/Ginger Spice
644840	305488	Herself/Ginger Spice
644840	307670	Herself
644840	310980	Herself
644840	310983	Ginger Spice
644840	310986	Herself
644840	310987	Herself
644840	310988	Herself
644840	310990	Herself
644840	310991	Herself
644840	310992	Geri
644840	310993	Ginger Spice
644840	379700	Herself/Coach
644840	401889	Judge
644841	183501	Vicky
644842	391281	Herself (1980-1990)
644843	159108	Amatula
644844	228382	Mrs. Stenswärd
644845	14620	
644845	133798	Mrs. Howell
644845	361609	Mrs. Armstrong
644846	44335	Diner #3
644847	41899	Laura Webb
644847	61725	Isabelle Hamlin/Rose Hamlin
644847	73355	Mary Jepson
644847	92585	Roselle, a maid
644847	108377	
644847	116963	
644847	132340	Mary's mother, Helen Smith
644847	152546	Barbara Kaye
644847	160400	Alison Parr
644847	171217	Mrs. Bartlett
644847	171236	Madge Pickton
644847	200881	Bit Part
644847	202907	Agnes Van Suyden
644847	331150	Jane Cooper
644847	331847	Jane Perkins
644847	335576	
644847	338894	Christmas Tree Customer
644847	359301	Yvonne Grandpre
644847	365926	Bit Part
644847	368759	Evelyn Burnham
644848	74670	Crook
644848	81870	Flossie
644848	215643	Undetermined Role
644848	315105	Betty
644848	367409	Eve
644849	157720	Young Rose
644849	320102	Fanny
644850	340812	Country Singer
644851	65973	Newscaster
644851	265575	Karen
644852	267641	Ambulance Technician
644853	18570	Honey Bun
644853	42743	Angela
644853	130311	Misty
644853	291039	Bra Strap Lady
644853	374425	Waitress
644854	69258	Estelle's Mother
644855	138146	Nurse
644856	5874	Young Girl
644856	32352	Maid
644856	73766	Juror
644856	78849	Woman
644856	91779	Woman
644856	96985	Mary
644856	101689	
644856	107020	
644856	117759	Young Girl
644856	140676	
644856	143941	Miss Dobbs
644856	148949	Gail's Maid
644856	154864	
644856	162858	Tourist
644856	174641	Abigail
644856	183792	Haughty Woman in Theater
644856	195816	Mary, bishop's wife
644856	203279	Young girl
644856	212747	Woman
644856	213983	Woman
644856	224047	Mrs. Mason
644856	232200	Elderly woman
644856	244863	Member
644856	245416	Townswoman
644856	264420	Matron
644856	273786	
644856	291239	Landlady, the Brooklyn Apartm
644856	298050	Mrs. Forbes
644856	302469	
644856	304966	
644856	313118	Guest at Richie home
644856	323457	Woman at Window
644856	331157	Mrs. Olsen
644856	331451	Mrs. Dobson
644856	360191	Mother
644858	372884	Dancer at Private Club
644859	199366	
644859	364999	Gräfin Zedlau
644859	375272	Fürstin Fedora
644860	175175	
644861	193108	Spin the Wheel Girl
644861	263446	Model
644861	335333	Toothpaste Spokesperson
644861	397077	Panelist
644861	402113	Model (1977-1995)
644862	244206	Marie
644863	4838	
644863	324443	Ruth
644864	30144	Kajsa
644864	322276	
644865	28168	Florence
644866	397821	Mira
644867	136849	Servitris
644867	165134	Herself (director of the cast
644867	182564	Eva
644867	326519	Nina Edgar
644867	340268	
644867	401942	
644867	405550	Britta Bråte
644867	405570	Ulla Grönberg (1996)
644868	212320	Herself
644869	5874	Nurse
644869	41987	Miss Golub
644869	44465	Mrs. Porter
644869	157456	Person
644869	178976	Jury member
644869	200485	Maid
644869	297890	
644869	366996	Cheryl's Co-Worker
644870	111741	Neanderthaler
644871	111741	Neanderthaler
644872	379118	Macrina
644872	392960	
644872	405415	
644872	406056	
644873	130622	Gold Digger
644874	137294	The lady with the fireworks h
644874	187563	Widow Dalenius
644874	199083	Mrs. Lundin
644875	6584	Nurse
644875	84299	Alice
644875	94341	Stewardess on Kungsholm
644875	109132	Kvinna i tullen
644875	120892	Student
644875	137734	Anna-Klara
644875	142837	Guest at Delmonico
644875	198265	Danish Journalist
644875	227740	Nurse
644875	306371	Restaurant Guest
644875	317619	
644875	320621	Waitress
644875	338708	Lizzie, actress
644876	230857	Dr. Andersson
644877	108722	Friend
644878	76479	
644879	124578	Una mujer, otra víctima
644880	70367	Gate lady
644881	264581	Gabrielle
644882	24385	
644882	378550	Mutter in der Bank
644882	393878	
644883	374133	Papagena
644884	177901	
644885	334757	Voice
644886	104738	Finnish entry (13th place)
644886	343468	
644887	341798	Kielo Veräjä, agentti
644888	175728	
644888	354084	Torpparin tytär
644889	309534	Luisa's Assistant
644890	159119	Dorothy's Mother
644891	181630	Helppoheikki
644892	172777	Dancer
644892	271635	
644892	336832	
644893	219836	Kamarás
644894	171438	
644894	213384	Neighbour
644894	303738	Wife
644895	74422	
644896	34642	FBI Seamstress
644896	106755	Mrs. Kovak
644896	152536	
644896	158608	Mrs. Adelman, 2nd Dental Pati
644896	281054	Maid
644897	117825	Female Workout Partner
644897	257673	Herself
644898	391739	
644898	395852	(season 1)
644899	178376	Statist
644900	178448	Raakel
644900	343399	
644900	402897	
644901	10270	Agnes Stenvall
644902	258843	Malkamäen muori
644902	320584	Äiti Tuuva (Tuuva's mother)
644902	343399	
644903	178376	Statist
644904	141863	Patron
644905	31936	Elma
644905	152340	Raija
644905	211038	Äiti
644905	220756	Mother
644905	223514	Merja
644905	237241	Mervi Suvinen, patient
644905	271636	Raija Torniainen
644905	324605	Hellin Saario
644906	141937	
644906	152341	
644906	174810	
644906	179365	Hilkka
644906	181711	
644906	181858	
644906	185004	
644906	198255	
644906	209085	Satu
644906	221842	
644906	240543	Savotan Sanni
644906	250502	Mrs. Aalto
644906	251938	Irmeli Laavu
644906	251947	Ritva Ranta
644906	291606	
644906	321946	
644906	322700	
644906	323141	
644906	343399	
644907	393981	Juulian äiti
644908	50443	Mrs. Green
644908	170850	Mary
644908	227338	Phyllis Gimble, Journalism St
644908	269372	Sylvia
644908	391773	(1951)
644908	397324	Mrs. Bronson (1952-1956)
644908	399266	
644908	399423	Florence Kleiner (1985-1986)
644908	406319	Mrs. Hufnagel (1984-1985)
644909	310104	Helen, a child
644910	119633	Shannon O'Neal
644911	130685	Lizzie
644912	279154	Polly Witherbee
644913	302702	Seamstress
644914	129762	Gnome Maiden
644915	46532	Jersey Girl
644916	95758	Aunt Frade
644916	334048	Rachel Kornblit
644917	111173	Rose
644917	380715	Ms. Zorski
644918	319617	Betty
644919	92044	Le chauffeur de taxi
644920	237008	Sad Fat Girl
644921	323594	SPFC Member
644922	321154	Frug dancer
644923	286300	Girl in chipper
644924	203485	Maid
644925	362914	Grace (child)
644926	337096	Waitress
644927	21304	Herself
644928	166946	Nurit
644928	277257	Herself
644928	373569	Daria
644929	48217	Angela
644930	385521	Programleder (1991-1999)
644931	81240	Constance Lyon
644932	116666	Counter Girl
644933	20431	Erik's mother
644933	47397	Komiteformann
644933	108655	Halvors kone
644933	159635	Åse
644933	180710	Fru Settem
644933	192492	Fru Johansen
644933	285877	En postsøster
644933	308224	Fru Zimmler
644933	316811	Fru Gran
644933	340265	frk. Arneberg
644933	344292	
644933	348962	Doktor Krag
644934	173089	Birthday Party Guest
644935	138744	Chorus Woman
644936	232233	Susie
644937	11941	Policewoman
644937	60341	Susan
644937	64075	Farm Girl (brunette)
644938	16758	Mrs. Burrows
644939	277845	
644940	27357	
644940	140789	Mabel Hower
644940	214135	Mrs. Sherry
644940	276822	The Nurse
644940	280910	
644941	2545	Chorus girl
644941	20613	Mary Jane
644941	35137	Carter's Showgirl
644941	37364	Bit Part
644941	46729	
644941	47355	Showgirl
644941	56749	Blondie
644941	77805	Chorus girl
644941	81026	Taxi Cab Driver
644941	107688	Switchboard Operator
644941	107698	Cissy
644941	107703	Nurse Ross
644941	107873	Bit
644941	125377	Stone & Co. Secretary
644941	127699	Blond at Rally
644941	132323	Girl in Hotel Lobby
644941	183440	Wife
644941	201000	
644941	211601	Maxim Girl
644941	212216	Bit part
644941	223046	Hotel Switchboard Operator
644941	230278	
644941	232023	
644941	247359	Switchboard Operator
644941	270657	
644941	295470	Bit
644941	342850	
644941	347396	
644942	133880	Ziegfield girl
644943	203309	
644944	79817	Violet
644945	190172	Debbie
644945	296336	Winona
644946	404385	Model (1961-1965)
644947	216593	
644947	217217	
644947	338886	Rudecka
644947	375439	
644948	133185	
644949	129054	Arbejderens kone
644950	32786	Countess Novalska
644950	39889	Matron
644950	41274	Lady Marchant
644950	48036	Honoria Nesbitt
644950	49530	Lady Marchant
644950	70799	
644950	92916	Lady Sydenham
644950	110996	
644950	147616	Aunt Lydia
644950	213040	Lady Agatha-Hewitt
644950	239743	
644950	265493	
644950	269882	Lady Yeldham
644950	273793	Doris' Stepmother
644950	327270	Lady Sybil Edwards
644950	330162	Woman
644950	336652	Mrs Pritchett
644950	368622	Rosa Fleming
644951	380713	Roberta Alcott (1993)
644952	41353	Maria
644952	41565	Ann-Marie
644952	243930	Woman on Street
644952	318181	Juanita Sanchez
644953	56545	Herself
644954	308918	Pretty Girl
644955	390362	Daisy
644956	108530	Co-Ed
644956	259280	Mary Beth Hinson
644956	262520	Louise
644956	276794	Marci
644957	167257	Mr. C. Ringe, Additional Voic
644957	392619	Abelia
644957	411449	Kazuto's Sister, Additional V
644958	291016	
644959	6248	Mrs. Glicker
644959	57654	Patient with Jowls
644959	79604	Julie
644959	91523	Dottie Frank
644959	94167	Carol
644959	168246	Sadie Gordon
644959	170980	Inez
644959	203473	Mrs. McCutcheon
644959	213452	Guest
644959	305390	Concert Party Guest
644960	2599	
644960	84391	Christa
644960	119182	Mareike Sprengel
644960	142319	Charlys Freundin
644960	165438	Jane
644960	167094	Mädchen
644960	226340	Elena Berg
644960	226402	Tilla
644960	231450	
644960	277458	Elisabeth Drossbach
644960	352646	Astrid Paulisch
644960	374345	
644960	375978	
644960	381689	Kellnerin
644961	219184	Sonya
644962	219184	Trish
644963	264314	Dora Kirk
644965	140875	Bear
644966	160375	Hospital personnel
644967	242260	
644967	255766	Hanna
644967	258844	Helena
644967	357789	
644967	394023	Hanna Raste
644967	394576	Marja Kallas (2003)
644967	394641	Niina Routavuori-Karilo
644967	400505	Suvi Kurkela
644967	401477	Annu Nurminen
644967	404221	Nina Simonen
644968	92082	Castrén's maid
644968	213416	Elina Koskinen
644968	398899	
644968	403392	
644969	38767	
644969	355743	Joonan sihteeri
644969	392555	Rauha Suoppo
644969	400857	Rauha Suoppo
644969	407252	
644970	172073	Friend of Kafka
644971	17319	Sherrie
644972	128144	Rena/Resisting Girl
644972	364016	Katie
644973	394052	Ingeborg
644974	191163	Clara
644975	102674	Coffee Shop Patron
644975	280489	Sarah Moore
644976	190171	College girl
644977	26971	Party Animal
644978	100504	Hodder's Classmate
644978	168921	Lula
644978	168923	Herself/Lula
644978	182457	
644979	334	
644979	18648	
644979	94708	Elga
644979	197574	Ursula
644979	219007	
644979	248657	Solange
644979	273709	
644979	319299	Turista
644979	342137	
644979	351611	
644979	376137	
644980	403537	Participant (2000)
644981	377442	dagisfröken (episode 1)
644981	405617	Linda Berg (1997-1998)
644982	358114	American Dream Singer
644984	136870	
644984	168764	Julie
644984	306412	Alice
644984	308375	Sarah
644985	289366	T.V. Newscaster
644986	90145	(Carin Abicht/Zerlina)
644987	10425	Mother Hess
644988	182874	
644989	2987	
644989	18712	
644989	39052	János férje
644989	51314	Tanítónéni
644989	98016	Sári, a szõke feleség
644989	104199	
644989	122538	Ancsa,Pattantyús lánya
644989	136428	Tanítónõ
644989	153861	Hófehér
644989	162974	Színészné
644989	163179	
644989	182522	Kõcserepy Vilma
644989	182847	
644989	187367	Countess
644989	190748	Tóth Manci
644989	212428	Eszter
644989	213670	Vacskamati
644989	225784	Judit, fiatal orvosnõ
644989	237176	Eszti
644989	252152	Cynthia Pendragon
644989	268520	Lengyelné,Éva,magyartanár
644989	322086	(segment "A mama udvarlója")
644989	322099	Kata
644989	327104	Anya
644989	349042	
644989	377133	Habgab
644989	378578	
644989	388511	
644990	126269	
644991	50139	Interne
644992	282280	
644993	371133	Yang Ok-bi
644994	115269	Women Coalation Diner Patron
644995	352758	Sarah
644996	138692	
644997	137227	
644997	285223	Hyun-hee Kim
644998	265876	Sunstreak Nurse #2
644999	155013	Woman as man
644999	194410	Rachel
644999	301077	Hub's secretary
645000	201465	Herself
645000	382113	Ami Mizuno/Sailor Mercury
645001	17428	Hiromi, the stripper
645002	5394	
645002	17423	
645002	17426	
645002	17876	
645002	19699	Akiko Shima
645002	20178	
645002	25423	
645002	25871	
645002	62251	
645002	63542	Woman Refugee
645002	76977	Princess Yaya
645002	91512	Yoko Togawa
645002	121925	Screaming Lady
645002	122150	
645002	122531	
645002	123553	
645002	125422	
645002	127857	
645002	130507	Igorot native
645002	149097	
645002	149100	
645002	149539	
645002	153480	
645002	164254	
645002	171528	
645002	176567	Innkeeper's daughter
645002	176610	
645002	177106	
645002	177698	Madame Piranha (Madame X)
645002	177699	Fumiko Sakurai
645002	178269	
645002	179542	Mystery Moll #2
645002	181982	
645002	181987	
645002	181988	
645002	181990	Tsukiko
645002	181991	
645002	194068	
645002	213007	Teruko
645002	213008	
645002	222950	
645002	227060	
645002	227849	
645002	233109	
645002	233110	
645002	233111	
645002	233112	
645002	233115	
645002	233116	
645002	233118	
645002	233220	
645002	243322	
645002	258320	Geisha (segment "Les Cinq Bie
645002	296631	Yukiko
645002	296633	
645002	298958	
645002	298988	
645002	300129	
645002	318944	The Woman
645002	320361	
645002	323130	
645002	323495	
645002	323496	
645002	327796	
645002	334573	
645002	334823	
645002	358399	
645002	358401	
645002	358403	
645002	362558	Teri Yaki
645002	372233	Kissy Suzuki
645002	375589	
645002	375603	Yukiko
645002	375608	
645003	396166	Frau Hamacher
645004	260035	Girl
645004	338865	
645005	299887	The Crew
645006	20070	Child
645007	5037	Saundra
645007	5064	Watanabe
645007	58490	Hamada
645007	194666	ER Nurse
645008	194025	Reporter
645009	303902	Japanese Lady
645010	23166	Nahed
645010	99745	
645010	137056	Nadia young girl
645010	162734	Nadia
645011	278550	Mai Takano
645012	30987	Chizuru
645012	349220	Macky
645012	391367	Izumi Sugita
645013	229583	Natoru
645014	32149	
645015	135988	Akie
645015	299998	
645016	279702	
645017	125195	Stripteaser
645018	196684	Princess Yakamoshi
645019	233128	
645020	9577	
645020	9582	
645020	123448	Kuniko
645020	141738	Yuko Nanjo
645020	175516	
645020	180627	Torizo
645020	229773	
645020	229774	
645020	242179	Model A
645020	278379	
645020	299349	Tomoko, Tokizo's daughter
645020	359838	Michie Oka
645020	374115	Shino
645020	394798	Bitsu
645021	8897	
645021	18688	
645021	19629	
645021	22692	Tokiko, Second Dancing Girl
645021	61465	
645021	156163	
645021	165128	
645021	167975	
645021	170268	
645021	173401	
645021	177126	
645021	221814	
645021	285613	Otsubone Yoshioka
645021	298961	
645021	372038	Mariko (episode 4)
645021	373173	Ayako
645021	375599	
645022	50971	La propriétaire de l'Etoile
645023	254316	
645024	121440	Natsue Omura
645024	338580	Okane
645025	349103	High school girl
645026	43057	
645027	9562	Toshie Kazama
645027	24149	Tänzerin
645027	299004	Osen
645028	98113	Student
645029	4901	
645029	5258	
645029	9412	
645029	15213	
645029	15310	
645029	19914	Nargis
645029	19916	
645029	21832	
645029	22205	
645029	25644	
645029	25921	
645029	25997	
645029	27890	
645029	31495	
645029	38306	
645029	52063	Amina
645029	71172	
645029	88683	Amna
645029	99745	Mother (Mona)
645029	137399	
645029	138963	Aziza
645029	152153	
645029	155157	
645029	155160	
645029	162629	
645029	172638	
645029	173594	
645029	175485	
645029	176170	
645029	181602	
645029	181643	
645029	182085	
645029	183008	
645029	183969	Wafa
645029	184007	
645029	184081	
645029	184306	
645029	184307	
645029	202110	
645029	202113	
645029	202411	
645029	204904	
645029	208268	
645029	208269	
645029	214129	
645029	216704	
645029	221839	
645029	226736	
645029	235808	
645029	278395	
645029	289281	
645029	303050	
645029	303051	Amal
645029	324993	
645029	324996	
645029	364788	
645029	370741	
645029	371906	
645029	375553	
645029	410511	Ibtessam El Bostany
645030	316298	Laleh
645031	101499	Paytzar
645031	127658	
645031	181409	
645031	221400	Shushik
645031	328306	
645032	166025	Michiko Shimamura
645032	399492	Agent M-3
645033	310425	Cabaret Singer
645034	355051	Prime Minister's daughter
645035	345555	Schéhérazade
645036	146838	Herself
645036	337900	Herself
645037	391482	Host (22 July 2002 - ?)
645038	258081	Woman #3
645039	4757	Herself
645039	98056	Gerda Förster
645039	104951	
645039	136205	
645039	136930	Ernestine
645039	142114	Herself
645039	184513	Thea Abdoll
645039	194572	Mutter Hoppenstedt
645039	194573	Frau Dr. Böckler and Hildegar
645039	248185	Renate Lohse
645039	254372	
645039	256601	Frl. Wachtel
645039	293311	
645039	293722	
645039	325875	Wilma Happel
645039	354076	
645039	361517	Krankenschwester
645039	369179	Charlotte Mayer
645039	378168	Margarethe Tietze
645039	379234	Adelheid Möbius, geb. Müller/
645039	388574	Blanche
645039	391314	Margot Doost
645039	392509	Kundin
645039	395987	Frau Hoppenstedt, Various Rol
645039	397766	Irene
645039	399163	Frau Clarsen
645039	403692	
645039	404488	Carsta Michaelis
645039	406321	
645039	409858	
645039	410611	Fräulein Dr. Aufenbaucher
645040	301043	Susanne v. Vornbach
645040	359688	Primanerin
645041	409609	Lotte Jänicke (1995)
645042	52197	Guest
645042	133345	Party Guest
645042	133347	French Maid
645042	148250	Marla Whitney
645042	183696	
645042	233479	Laura
645042	246695	
645042	363668	Blue Belle
645043	117858	Pan-Am Lady
645044	64098	Cheerleader/Dancer #6
645045	74422	
645046	56999	Jane Doggie
645047	186225	Eva
645047	302825	Liisi
645048	64949	Loulou
645049	55191	Frasquita
645049	136802	Alt
645050	122950	
645050	226683	Kasane Aihara
645050	318887	Kuriko
645050	397867	
645051	334860	
645052	165704	
645053	125452	
645054	165116	
645054	179833	Victorine
645055	10820	Wedding guest
645056	391357	Linda, Connys fru (2002)
645057	303666	Waitress at Den Gyldene Frede
645058	103215	Porcelain Bus Dancer
645059	282624	Herself
645060	395663	Leanne Fenton
645061	388765	
645062	160958	Claire
645063	30581	Mindy McCloskey Sanchez
645063	167043	Prof. Dottie Godaxis
645063	184767	Garsons Secretary
645064	389124	Clara
645064	400546	WPC
645065	57208	Dr. Fredricka
645065	176892	Maria
645065	206096	Laura
645066	245363	Grandpa Samuel
645067	363282	Hawaiian
645068	195769	Janet
645069	255894	Girl in rain
645070	297638	
645071	215500	Miss Rhode Island
645072	110353	Harvest Girl
645073	343661	Gerda Friedländer
645073	361489	Renate Münster
645074	363734	Skating Girl
645075	162745	
645076	374198	French girl
645077	197740	Claudia
645077	390648	Anna
645078	99614	
645079	294566	(segment "Envie, L'")
645080	17079	
645081	11991	
645081	102347	Lisbet
645081	107303	Bertha
645081	117862	Frk. Thorgren
645081	118693	
645081	121027	2. Dros
645081	142713	Susan Bradey
645081	197274	
645081	293841	Frøken Kittelsen
645081	405575	Henriette
645082	101756	
645085	5246	
645085	38312	
645085	124676	
645086	19639	Cousine Nassima
645086	294796	Invitée d'Alice
645087	18116	
645087	28896	
645087	303355	
645087	358012	
645088	9751	
645088	25548	
645088	109750	
645088	152157	
645088	165647	
645088	175974	
645088	181643	
645088	186489	Om Sayed
645088	230069	Servant
645088	373760	
645090	300565	Aysha
645091	254485	
645092	254485	
645093	102945	Marie-Josée
645093	199078	Servante
645094	169859	Bored Motel Woman
645096	340033	Nea
645097	190109	Margaret
645098	221525	Lena
645099	5186	Chanteuse lyrique
645100	283021	Une enfant
645101	19132	
645101	26423	Bianca Hudson
645101	35781	Suzanne Constantine
645101	47925	
645101	53957	Linda Maxwell
645101	61627	Dr. Paula Spencer
645101	70304	Kitty Dodds
645101	80802	Kathleen Holland
645101	84404	Virginia 'Ginny' Halloran
645101	87520	Nora Freemont
645101	124503	Helen
645101	124504	Helen Thornton
645101	143573	Lily Munster
645101	148285	Georgia Patchett
645101	153266	Sheila Dodge
645101	158113	Micki Dickoff
645101	164663	Jennifer North
645101	178813	Model
645101	185368	Laura Duvaan
645101	228970	Herself
645101	230703	Kay Hutton
645101	267598	Deborah
645101	292794	Etta Berter
645101	295032	Lee/Randy Churchill
645101	296799	Rebecca Kendall
645101	297990	Elizabeth 'Beth' Early
645101	303897	Andrea Mason
645101	315285	Nettie Forbes
645101	316208	Jennifer Richmond
645101	323568	Elizabeth Barnes
645101	323974	Sadie
645101	363189	Nikki Spangler
645101	391069	Laura Koshko
645101	394123	Kate Kane
645101	398213	Herself
645102	225949	
645102	226454	
645102	344871	
645103	24626	
645103	71802	
645103	342560	Bank Teller
645104	386803	
645105	5478	Lolo
645105	83230	Young Girl
645105	84610	
645105	270542	La cuisinière
645105	343946	
645106	61401	La voisine
645106	82920	
645106	401816	L'infirmière
645107	29512	La maman d'Edmond
645108	409814	
645109	384209	Magali
645110	14567	Blonde girl
645111	160572	Olivia Odell
645111	271262	Louisa Phillips
645111	362852	Nurse
645112	397857	Marie
645113	392697	Young Charlotte
645114	392697	Young Charlotte Brontë
645115	11437	Herself
645116	49223	
645116	51513	The Woman
645116	69371	Ada Best
645116	70132	The Woman
645116	91649	Clara
645116	96954	Maggie
645116	105163	Minnie
645116	130609	Bella Box
645116	133823	Cook
645116	145967	Flickers
645116	178212	Maid
645116	194517	Gladys
645116	200359	Susie Boud
645116	206927	Higgs
645116	217967	Adele Rockwell
645116	218607	The Maid
645116	224114	Mrs. Thunder
645116	235423	Florrie
645116	238233	Emmie
645116	276316	The Maid
645116	280149	Lizzie Fletcher
645116	285685	Rose Bishop
645116	305512	Ethyl
645116	319273	Maid
645116	328821	The Woman
645116	329597	
645116	330013	
645116	330698	Gertrude
645116	331700	Mrs. Bellman
645116	334266	
645117	101070	Field Reporter #2
645118	140518	Jackie Marsh
645119	288430	Stripper
645120	32241	Go-Go Dancer
645121	237885	Show-Master #1
645122	14282	
645123	51680	Shop assistant
645123	214799	
645124	315025	Wife
645125	116380	Gloria
645126	295185	Pre-op Nurse
645127	385096	Herself (One of 'The Hames Si
645128	346417	La cantatrice
645129	385096	Herself (One of 'The Hames Si
645130	385096	Herself (One of 'The Hames Si
645131	394003	Presenter
645132	350772	Various
645133	191340	Anitha
645133	306127	Anita
645133	378829	Anitha (1985)
645134	252085	
645135	309988	Salima, la petite soeur
645136	68351	Diana
645137	131453	Prison Warden
645137	206157	Mulanney
645137	299686	Major Lush
645137	353294	Miss Thelma Louise Devonshire
645137	353295	Miss Thelma Louise Devonshire
645137	353296	Devonshire
645137	353297	Miss Thelma Louise Devonshire
645137	353299	Miss Thelma Louise Devonshire
645137	388168	Nancy/Emmy Lou
645138	389061	Herself
645139	115269	Women Coalation Diner Patron
645140	39193	Cara
645140	363224	Columbia Woman #1
645141	106109	Baby
645142	138744	Chorus Woman
645143	1451	Herself/Host
645143	4671	Herself
645143	48656	Herself
645143	62957	Mom
645143	64105	Cinderella
645143	64557	Herself
645143	91230	Herself
645143	91231	Herself
645143	119846	
645143	126291	Herself
645143	212806	Herself
645143	236971	Clara
645143	281179	Juliet
645143	335566	Herself
645143	339521	Herself
645143	406243	Herself
645144	132931	Betty
645144	196446	Stella Raff
645144	245527	
645144	331053	Linda
645145	210833	Gracie Tuttle
645146	194996	Child Ape
645147	11446	Girl In Bar
645147	39193	Katie
645147	185358	Sexy Blonde
645147	241308	80's Girl
645147	291968	Auditioning Girl
645147	321126	Mary
645148	34055	Edith Stamwick
645149	289115	Church Follower
645150	148333	Additional Voice
645151	41471	Peggy Deery
645151	87423	Pharmacy nurse
645151	217411	Moll's Mother
645151	240232	Geraldine Breslin
645152	328277	T-1000 Sarah
645153	207132	Puppy Lady
645154	58002	Becah Girl
645156	346944	Herself
645157	55170	Karen
645158	17030	Joan's Friend
645158	152530	
645158	355810	Showgirl
645159	35526	Karen Moore
645159	81276	Priscilla Wayne
645159	91559	Gerlinde Krueger
645159	92862	Sandra
645159	161946	Sandy Martinson
645159	253354	Kate Ferrar
645159	331373	Virginia
645159	378759	
645159	390903	Darlene
645159	401955	Rachel Clarke
645159	404282	Helena (1989)
645160	211500	Young Morgan Le Fey
645161	113928	Betty
645162	366598	Fire Girl
645163	19436	Ciara
645164	98149	Yard Sale Customer
645165	6125	Saleswoman #1
645165	77982	Lee Smith
645165	139135	Minister's Wife
645165	154402	
645165	191842	Judge Julia Quinn
645165	381952	Candy Hassett
645165	385824	Rachel Blake (1995-1996) (see
645165	390771	Melinda Sue 'Mindy' Lewis Spa
645166	143742	Sharon
645167	349998	Wahneta
645168	1675	Herself (Canadian Comedy Hall
645168	25861	Fat Broad
645168	42913	Mrs. Partridge
645168	54726	Mrs. Muldoon
645168	59104	Aunt Bea
645168	65183	Mrs. Duckworth, the loan offi
645168	67810	Stage Girl
645168	78009	
645168	129596	Selma
645168	150268	
645168	162530	
645168	183611	Chorus Girl
645168	194708	Mrs. Bryce
645168	241692	(segment "Baby")
645168	306242	Busdriver
645168	308569	Woman at Dorsey Club
645168	370878	Barbara
645168	380189	Valeda Drain Farquharson/Char
645168	380360	Marilla Cuthbert
645168	380361	Marilla Cuthbert
645168	383987	Mrs. Cobb
645168	385996	Aunt Peggy
645168	389096	Mrs. Aggie Apple (1964)
645168	392201	Willow (later episodes)
645168	393957	
645168	397105	
645168	398937	
645168	402925	Mother Mayonnaise
645168	403490	Eulalie Bugle
645168	405152	Ginny (1992-1993)
645168	406601	
645168	406957	Poet's Wife
645169	2327	Herself
645171	88171	Maid
645171	264730	First Tired Businessman's Wif
645171	353421	Ruth Margolies
645172	194332	Dancer
645172	302710	Dancer
645173	341931	Choir Singer
645174	160324	Girlfriend
645175	332104	School Teacher
645176	406306	Herself (1998-2000)
645177	60240	Alex Cross
645177	70421	Comic Bookstore Cashier
645177	149932	Bonnie Lee Hopkin
645177	195843	Kathy
645177	220034	Debbie
645177	245978	Alarm
645177	296990	Nadine
645177	302783	April Clay
645177	334945	Wendy Reed
645178	103265	Fairy #1
645179	42031	Baby Decker
645180	265606	Activist Trade Secretary
645180	318267	Legrand's Secretary
645181	322431	
645182	23919	Herself
645182	154921	Herself
645182	197923	Herself
645182	362912	Herself
645182	379720	Herself
645182	381886	Herself - Agony Aunt (2001-)
645182	384167	Herself
645182	392463	Herself (Series 1) (2002)
645182	408075	Guest Presenter (2003)
645183	89188	Lana
645184	113338	Fabula
645184	180498	Kagari
645184	204971	Lipumira
645184	327048	Anna Williams
645184	404840	Dakki
645185	150625	Mary Skelton
645186	103265	Fairy #2
645187	39714	Guard
645188	386339	Black Eye Prostitute
645189	135970	Mary Clark
645189	140953	Regional anchor
645189	151041	Chorus Dancer
645189	158322	Reporter at Dulles Intl. Airp
645189	176321	Goldwyn Girl
645189	254645	Angela Medina
645189	363249	Margie
645190	220165	
645191	163664	Lady Maureen
645191	222614	Mrs. Mulcaire
645191	313797	
645192	112034	
645193	87364	Catherine McCarty
645193	344685	Mrs. Riordan
645194	160242	The Butterflies and Moths
645195	79557	Agnes Wickfield
645195	128585	Margaret Thornton
645195	138494	Jette
645195	140076	Mary
645195	140765	Sam
645195	199801	Anna
645195	227327	Jess
645195	241271	Melody-Age 14
645195	254766	Rachel
645195	282933	Lucy
645195	294573	Alexa
645195	302110	Sophie Riding
645195	353417	Vera
645195	382912	Lady Georgina
645195	384346	Lucy Barnard
645195	390485	Christina
645195	391216	Imogen Krelborn
645195	391769	Tina
645195	396587	Lt. Cdr. Jenny Howard
645196	134265	Herself
645196	134266	Herself
645197	95271	Frau Biedermeyer
645198	59879	
645199	5474	Miriam Collins
645199	63942	Mrs. Wilson
645199	178159	Society Girl
645199	218917	Gracia Brown
645200	146273	
645200	228575	Bonnie's Pal
645201	32726	Woman in Cab
645201	56967	Welfare Officer
645201	133678	Mrs. Bader
645201	177145	Gran
645201	231907	Woman in Pub
645201	405271	B&B Manageress
645201	408478	Lady Mulvaney
645201	411315	Phoebe Browning
645202	30431	Nora Brady (Barry's cousin/Mr
645202	58630	Lady Marian Fitzwarren
645202	79883	
645202	94808	Maid
645202	141281	Effie Deans
645202	169491	Sylvia Ann (episode 'Matakita
645202	220407	Jean Balfour
645202	312562	Flora Gilchrist
645202	341757	April Dorn
645202	379590	Emma Hackett #2 (1971)
645203	264054	Lady Milbanke
645203	308757	Lady Erckmann
645203	330698	Aunt Belle
645204	64070	Ensemble
645205	5305	
645205	114536	
645206	258991	
645207	407369	Lady, Additional Voices
645208	215686	Miss South Africa
645208	215696	Miss South Africa
645209	161318	Herself (Sister)
645210	222881	Jessica
645211	120921	
645212	347059	Marriage Clerk
645213	386604	Louise Hayman
645213	392483	Plancina
645214	168682	Queen
645216	91903	Beach Bunny #3
645217	396916	Singer in Pub
645218	44899	Chorine
645218	105204	Secretary
645218	109206	
645218	116527	Paradise Ballroom Waitress
645218	131005	'Gorgeous' Goldwyn Girl
645218	176358	1934 Goldwyn Girl
645218	201034	Gangster's Moll
645218	213453	Mermaid
645218	239719	College Girl
645218	246606	Evelyn
645218	279687	Fashion Model
645218	280830	Woman
645218	329437	Sharon's Mother
645218	331506	Mirabel Mirabel
645218	359140	Davies' Secretary
645218	362792	Girl
645218	364214	Club Hat Check Girl
645219	117230	TV Reporter #2
645219	166701	Woman Reporter
645220	55702	Girl at Dirty Dick's
645220	168683	
645221	105797	Maggie Blake
645222	313825	Cheerleader
645223	24429	Dancer
645223	24432	Felicity Dancer #2
645223	342685	Drive-In Girl
645224	83676	Young Jackie
645225	11081	The Three X Sisters
645225	23947	Herself (Three X Sisters)
645226	214112	Sumuru Guard
645227	382711	Road Warrior
645227	389185	Road Warrior
645227	410881	Host (2003)
645228	340770	Shelia Caffell
645229	220775	Florist's Assistant
645230	8284	L'americana
645231	191320	
645232	49873	Mrs. Kyte
645233	20036	Myra Gold
645233	118472	Jenny
645233	119892	Joan
645233	147980	Mum
645233	154087	Alan's Mother
645233	168382	Thelma
645233	257048	Enid Burroughs
645233	276249	Politician
645233	384664	Bugsy Hoolian
645233	395153	Mary Alice Evatt
645233	397380	Blow
645233	400388	
645233	405165	Bella
645233	405447	
645233	405960	Beth Newman
645234	76259	Mourner
645234	268840	
645234	272953	Hooded Villager
645234	396744	Mrs. Dougherty
645234	404409	Katie Scarlett
645235	66837	Trisha Kellogg
645236	112522	Kristen
645236	117522	Kirsten
645236	305742	Samantha
645236	306596	Steve's Date
645237	200470	Female One In Park
645237	310800	Willa
645238	273414	Herself
645239	241271	Mommy
645240	132931	Madge
645241	271248	Miss Fenwick
645242	361854	Herself
645244	11524	Mrs. Stowe
645244	42705	Mrs. Johnson
645244	88998	Kitty
645244	108399	Paula
645244	109565	
645244	141730	
645244	180493	Emma Daly
645244	183775	Mary
645244	187043	Young Malla
645244	218647	Nurse
645244	238260	Ruth Ingram
645244	259275	Harriet Parsons
645244	308089	Kipi's Wife
645244	315199	Carla Brown
645244	334212	Helen Robinson
645244	365166	Nurse
645244	367060	Teegra (Yasmin's servant)
645244	389858	Dr. Tracy Adams (1969-1970)
645244	390771	Victoria Spaulding (1984)
645244	407575	Microwoman
645244	408691	Madame DeGaulle
645245	37555	Pat Wade
645245	121924	Singer
645245	131534	Jincey Baker
645245	139482	Marie Tanner
645245	230407	Margaret Fitch
645245	346950	Georgia Rawlins
645246	97056	Catherine
645246	289097	Grace Kelly Cuthbertson
645247	192403	Gina
645248	18751	Apache dancer
645248	364602	Maude
645249	41407	Lorraine
645249	46528	Annie Stern
645250	370562	
645251	12402	Linda
645252	214814	Gospel Choir
645253	66649	Louise
645253	114312	Party Guest
645253	117520	Sally Tennant
645253	124340	Kim
645253	147214	Cop's Girlfriend
645253	203774	Marie
645253	215791	Helen Richmond
645253	246000	Louise
645253	248591	Dispatcher
645253	309047	Moon's Gail
645254	240793	Miss Druten
645254	245457	Mrs. Walton
645254	321390	
645255	48612	
645255	57171	
645255	88987	
645255	94563	
645255	183576	Jane Peabody
645255	186677	
645255	194707	
645255	207188	
645255	255349	
645255	261739	
645255	285347	
645255	304995	
645255	362713	
645256	13934	Herself
645256	27877	Liz Donovan
645256	30962	Dr. Stephanie Lake
645256	39722	Nina
645256	40533	
645256	61763	Vicky
645256	66126	Kate
645256	67377	Anna Sipes
645256	71743	Josie Greenwood
645256	78530	Mayor Rachel Wando
645256	129832	Claire Madison
645256	168945	June
645256	176287	Susan Mandeville
645256	177330	Amy Franklin
645256	201773	Herself
645256	201774	Herself
645256	220039	Rosemary Holmstrom
645256	220894	Ellen Jane Burrows/Robertson
645256	232350	
645256	240785	Jean Martin
645256	244434	Herself
645256	258876	Rachel Harrison
645256	276196	Marie Taquet (segment "Marie 
645256	276941	Anne Samoorian
645256	279893	Narrator
645256	288713	Herself
645256	292457	Ruby Sanford
645256	292668	Elena Koslov/Joanna
645256	292820	Susan Decker
645256	294509	Lauren Porter
645256	295560	Joanna Scott
645256	296733	Amanda Givens
645256	301626	Karen Rainer
645256	301674	Elisabeth Vincken
645256	303837	Tina Conway
645256	305572	Bridget
645256	315211	Eva Crescent Moon Lady on Bus
645256	322652	Sarah Connor
645256	322653	Herself
645256	328277	Sarah Connor
645256	328278	Sarah Connor
645256	328285	Sarah Connor
645256	360251	Beth MacAlpine
645256	364444	Valerie
645256	366682	Mattie MacGregor
645256	368118	Kate
645256	390109	Rachel Logan
645256	391392	Nemesis
645256	394504	Lauren Hollister (1982)
645256	404720	Lisa Rogers (1980-1981)
645257	41400	Girl
645258	33742	Younger Sethe
645258	65201	Porter Russell
645258	82049	Jeanne Baptiste
645258	94167	Brenda
645258	137663	Shirley 'Shirl' Jones
645258	137933	Ophelia
645258	150826	Julia
645258	161318	Herself
645258	164572	Sheronda
645258	181276	Aisha
645258	190328	Dr. Quinlan
645258	225774	Herself
645258	226954	Marty
645258	231492	Vickie
645258	232831	Holly
645258	247204	Betty (Jerry's wife)
645258	277140	Mary
645258	318642	Capt. Lorna Shiro
645258	321536	Virginia Mapes
645258	327767	
645258	340765	Bonnie Beachum
645258	340950	Lola Jansco
645258	342384	Teddy
645258	368540	Herself
645258	400236	Dr. Laura Reed (1996)
645258	402032	Rebecca Washington (1997-2003
645258	410665	
645259	19995	Policewoman
645259	20439	Sara Roth
645259	53960	Seymour's Girl
645259	98922	Joanna Camden
645259	149107	
645259	161977	Miss Winter
645259	185500	
645259	262520	Bobbi Ellis
645259	313596	Millie
645259	318776	Vicki
645259	319253	
645259	383456	Herself/Model (1978-1981)
645260	107430	
645260	143352	
645260	157247	Jennie
645260	309593	Hattie Lee
645260	347514	
645260	363063	
645261	26440	Dr. Oberholser
645261	31724	Herself
645261	47880	Sarah
645261	48556	Sarah
645261	93098	Sarah Douglas
645261	99584	Hattie
645261	138392	Mrs. Ramsey
645261	143874	Mrs. Ellis
645261	167001	Mamma Solomon
645261	183815	
645261	186614	Sally Ledbetter
645261	187172	Doreen
645261	205317	Arless Humes
645261	266561	Beatrice, a Therapy Group Mem
645261	295351	Avis
645261	296912	Girl at Party
645261	350488	Miss Carmichael
645261	358865	Verdi Grant
645261	358866	Verdie Grant
645261	378801	Emma Johnson (1988-1989)(recu
645261	385653	Cissie Johnson
645261	389867	Vivian Potter
645261	401930	Alice Morgan #2 (1999)
645261	403452	Maddie Washington (1985)
645261	403730	Cousin Georgia
645261	404265	Donna Harris (1972-1977)
645261	406952	Selita Jones (1998)
645261	410568	Verdie Foster
645261	411802	Mae Dawson (1997)
645262	277722	Portia Fielding
645263	1036	Elaine Zacharides
645263	7153	Mrs. Harper
645263	7493	Guinevere
645263	16251	Miss Kaler
645263	16686	Rhoda
645263	16913	Miss Hannaberry
645263	17977	Helen Hallam
645263	26119	Martha Steele
645263	32066	Mrs. Elvira O'Toole
645263	46404	Mrs. Small
645263	46663	Daphne Heap
645263	47311	Edna
645263	49554	Mrs. Appleby
645263	50954	Whiffen, the Smith's Maid
645263	60036	Emily 'Tippie' Tipton
645263	64930	Dora
645263	68135	Aunt Huddy
645263	79977	Mrs. Klopplebobbler
645263	87707	Mrs. Geiger
645263	93669	Essie Keenan
645263	107581	Miss Applegate
645263	109209	Lucy Gurget
645263	118405	Amy, Dillingwell's Housekeepe
645263	124775	Agatha Badger
645263	126069	Clarabell
645263	131583	Minnie
645263	133756	Mrs. Judd
645263	135404	Hilda, the Maid
645263	139942	Madame DuBarry
645263	154906	Margot
645263	154983	Mrs. Thriffie
645263	161945	Mrs. Jackson
645263	165561	Mrs. Angles
645263	168669	Myrtle Ferguson
645263	169383	Aunt Em
645263	169387	
645263	186013	Lizzie Beadle
645263	188618	Grandma Miller
645263	201065	Lucy
645263	201810	Herself
645263	209679	Willametta
645263	218734	Mitty Simpson
645263	219916	Mrs. Fuller
645263	220318	Phoebe Lamb
645263	223164	Herself
645263	224100	Mrs. Gideon
645263	232017	Herself
645263	232231	Professor Hester Crabwell
645263	235633	Drugstore lady
645263	245843	Mrs. Larch
645263	248440	Mrs. Nicholson
645263	250937	
645263	252489	Miss Sarah Piggett
645263	253813	
645263	257512	Josie
645263	273184	Sophia Manley aka Sophie
645263	274244	Teacher
645263	278080	Edna
645263	282042	Mae
645263	288205	Maizie
645263	292683	Mrs. Grundy
645263	302361	Flora
645263	304954	Mrs. Cagie
645263	312673	Beulah Flanders
645263	313943	Norah
645263	318913	Mrs. Golightly
645263	329148	Ruby Cheever
645263	330003	Ella
645263	330096	Agatha (Mrs. Tilford's maid)
645263	342520	Norah
645263	354556	Mrs. Wilson
645263	358031	Tillie Hutch
645263	360166	Martha Perkins
645263	363255	Mossy
645263	366982	Miss Grace Franklin, the Book
645263	367073	Miss Gulch/The Wicked Witch o
645263	368025	Herself
645263	368427	(in clips from The Wistful Wi
645263	372232	Hester
645263	375802	Orphanage assistant
645263	380713	Miss Peterson #2 (1970)
645263	401045	Herself (1953-1954)
645263	404694	Katie (1964-1967)
645263	405330	Mrs. Eddels (1973-1974)
645263	407940	Herself
645263	409795	
645263	410669	
645264	327254	Grandmother
645265	57139	Carmel Niland
645266	293812	Inger, deres datter
645267	207132	Mr. Kaplan's Aide
645268	190784	Mrs. Hamilton
645268	367899	
645269	182706	Additional Voices
645270	265764	Marisa
645271	3202	Girl with Corsage
645272	148313	Newspaper Lady
645272	327254	Grandmother
645273	204134	Mrs. Ellenshaw
645273	317602	Margie
645274	101567	
645275	283721	Herself (employee at Ruby's c
645276	1707	Performer
645276	3250	Herself - Performer
645276	3251	Performer/Herself
645276	23322	Herself - Atomic Kitten
645276	23323	Herself (Atomic Kitten)
645276	46192	Herself
645276	104616	Herself/Performer
645276	163647	Herself
645276	169815	Herself/interviewee
645276	249555	Herself/Performer
645276	249591	Performer
645276	249592	Performer
645276	260291	Herself
645276	273900	Herself
645276	273901	Performer/Herself
645276	305490	Herself ('Atomic Kitten')
645276	311953	Performer
645277	183772	Lunch Guest
645277	396363	Guest at ball
645278	45540	
645278	263557	Kitty
645279	14828	Zia Anna
645280	352839	
645281	8180	Mrs. Van Oorst
645281	46853	Betty
645281	97217	Dorothy Hunsberger
645281	185224	Madame
645281	206671	Malvern Wife
645282	399772	Miss Blyton (1971)
645283	17695	Rachel Lynde
645283	17696	Rachel Lynde
645283	17697	Rachel Lynde
645283	40206	
645283	63139	Dora
645283	69624	
645283	97217	Mrs. Hunsburger
645283	112304	
645283	130950	Mrs. Gunderson
645283	138737	Rachel Lynde
645283	141529	Flo
645283	147516	Susan Ennis
645283	157595	Eileen Lloyd
645283	185104	Rebecca
645283	213027	Barbara Pickett
645283	265270	Mrs. Conover
645283	273496	Assessor ('Cursed with Charis
645283	291449	Chastity
645283	363001	Eliza Emery
645283	364176	Miss MacDonald
645283	364643	Hilda
645283	379500	Kate
645283	383964	Miss Kidd
645283	403490	Rachel Lynde
645284	127808	Herself
645285	100130	British Prisoner
645285	118270	Lorraine
645285	196574	Cashpoint Woman
645285	199173	Charlie
645285	218109	Jenny Stanten
645285	278496	Kassandra
645285	333868	Mrs. Brennan
645286	11081	The Three X Sisters
645286	23947	Herself (Three X Sisters)
645287	40006	Louanne
645288	10722	Script Girl
645288	109843	Nurse
645288	115471	Phyllis
645288	183392	Hat Check Girl
645288	203585	Myrtle, Forbes' Receptionist
645288	217946	Switchboard Operator
645288	330159	Stenographer
645289	14146	Neighbour
645289	42913	Meter Maid
645289	43015	Hattie McDaniels
645289	80372	Woman
645289	92150	Gina
645289	104944	Nurse Trish
645289	105852	Housewife
645289	140347	Sandy
645289	148217	Dancing Party Guest
645289	223691	Woman shopper #1
645289	240529	Mrs. Smiley
645289	296019	Woman #2
645289	308929	Sales Clerk
645289	340966	Sweet Marie
645289	364203	Willie Mae Mathis
645289	388545	Elsa, Lola's Servant
645290	171124	Herself
645291	240819	Raven
645292	169136	Jezebel: Benjamin's Wife/Apac
645293	407170	Regular (1949)
645294	244932	Gwendolyn
645295	280006	Seductress
645296	231944	
645297	141484	Hot Dog Vendor at Carnival
645298	93266	April Ryan
645298	194116	April Ryan
645298	339596	Dancer #1
645299	27488	
645299	27489	
645299	48565	
645299	49500	
645299	50367	
645299	60194	
645299	60488	
645299	91825	
645299	187169	
645299	188069	
645299	188078	
645299	194723	
645299	232651	
645299	292605	
645300	283664	
645301	73568	Cynthia Runnells
645302	131410	
645302	193622	Dancer
645302	340517	April Newdigate
645303	92482	Robot
645303	113879	Farmer's Daughter
645303	127125	Sue
645303	294742	Ivy
645303	365473	
645304	367054	The Wiz Singers Adult Choir
645305	47058	Patricia Bates
645305	94767	Harriet Wantage
645305	147429	Emily Barkstone
645305	150876	Amelia
645305	162882	Stasya's Mother
645305	168654	Iris
645305	207093	Veronica Puddephat
645305	222625	Regine Kleinschmidt
645305	230329	Anna Raven
645305	230698	Elizabeth Crilling
645305	232873	Julia
645305	241341	Linda
645305	245033	Felicity
645305	250827	Rebecca
645305	275287	Jenny Bell
645305	305415	Irina Ratushinskaya
645305	314905	Julia
645305	320758	Susan Walker, Swallow
645305	323721	Anne/Virginia
645305	328751	Izz
645305	328994	Julie
645305	355187	Jenny Bell
645305	361978	Karen Creasy
645305	365560	Matilda
645305	383631	Dr. Karen Goodliffe: SHO (199
645305	397212	Joanna Sparks
645305	406723	
645305	411280	Matty Firman (1987)
645306	291230	Mother
645307	138555	Singer
645308	39725	Narrator
645309	215623	
645310	185321	Michelle Wagner, Jana Bates' 
645311	253628	
645312	359444	Martha
645313	68697	Trinity
645313	289024	Ballet Dancer
645314	134266	Herself - Widow of Ulph Hamil
645315	46259	
645315	48046	
645315	128126	
645315	167608	
645315	215865	
645315	279654	Robert's Mother
645315	281856	Duenna
645315	327732	
645315	342973	
645315	343073	Madame Girard
645315	355522	
645316	2761	Herself
645316	2810	Nominee 'Life and Death of Jo
645316	32740	Catherine
645316	131772	Kathie Chipping, née Bridges
645316	177346	Cordelia
645316	204730	Maria Bertram
645316	211352	Nerissa
645316	253542	Henrietta Musgrove
645316	353467	Princess/Queen Victoria
645316	381080	Lucy
645316	381081	Lucy
645316	384856	Zandra Ward
645316	392697	Charlotte Brontë
645316	402125	Mrs. Forster
645316	404370	Jessica
645317	11081	The Three X Sisters
645317	23947	Herself (Three X Sisters)
645318	114584	Kelly
645319	203522	Mary Gray
645319	271202	Nurse
645319	289657	Julie
645320	1793	Miss December 1991
645320	52312	Herself
645320	77144	Scorpion
645320	257545	Brad's Secretary
645320	257650	Herself (Miss October)
645320	257821	Miss December 1991
645320	281021	Joanne Summers
645320	303905	Lola Schnitzelbank
645320	359425	Model
645320	361851	
645320	361855	Herself
645321	355009	Virgil's Boss
645322	382307	Member of the Choir
645323	238687	Mrs. Barnes
645324	270151	School Kid
645325	270151	School Teacher
645326	375250	Janet
645327	262589	Angel - Nativity Choir
645328	297802	Zombie
645329	229885	Shade
645330	90928	Club Dancer
645330	129829	Ponti Assassination Bystander
645331	7473	Serveuse 'Plat d'étain'
645331	339476	
645332	21359	Mother
645332	76801	
645332	193604	
645332	209543	
645332	243273	Vani
645332	264941	Indienne prison
645332	350363	
645333	238354	Wenda
645334	171434	
645334	245094	Katya
645335	218460	Le grand Meziane
645336	101805	
645337	6259	
645337	67563	Bartender
645337	183944	Young Helene
645338	28879	Miss Parchment
645338	29723	Mother
645338	45901	Agnes
645338	85632	Julia Hayward
645338	124594	Miss Devine
645338	141792	Mrs. Elvsted
645338	147608	School Nurse
645338	194513	Miss Devine
645338	216423	Doris
645338	220638	Maud Calthrop
645338	233786	Mrs. Scott
645338	271262	Dr. Frankstone
645338	342356	Viola
645338	367406	Aunt Jane
645338	411316	The Duchess
645339	255827	Bit Part in Church Scene
645340	79340	Herself
645341	16407	Megaera
645341	66380	Mrs. Brian
645341	69849	
645341	70076	Baroness Hekla
645341	78928	
645341	80683	Martha
645341	96972	
645341	169612	
645341	200443	Mrs. Dean
645341	209616	Mrs Ensor
645341	211429	Woman
645341	213870	Mrs. Rhead
645341	215001	Mrs. Greenlaw
645341	222758	Miss Fitch
645341	246600	Mrs. Jenkins
645341	251188	Mrs. Bartlett
645341	311216	Martha Hundred
645341	316677	'Starry' Darrell
645341	327583	Maresa
645341	329979	Mrs. Blake
645341	332413	Old Rose
645341	346053	Madame Samuloi, Proprietor of
645341	362098	Landlady
645342	158141	Bank patron
645343	137696	
645344	18001	Kelly Deco
645344	183323	Katie Morrison
645344	390302	Kathy Tannenbaum
645345	295147	Kilarney
645346	158102	Davis' Assistant
645347	147541	Herself (Performer at Party)
645347	215668	Performer
645348	129627	California Doll
645348	390180	California Doll (1986-1987)
645348	402020	Malibu
645349	245498	Nurse
645350	134018	Deborah
645351	222495	Woman in Price's Office
645352	216803	Lily White
645352	244927	Mrs. Ferguson
645352	288968	Marie Sales Pettis
645352	296983	Mascola's Girl
645353	270752	Russian Woman
645354	40716	Rachel
645354	141179	T.V. Announcer
645354	217816	Vicki Wallace
645355	382266	Lauren Nightingale
645355	405048	Tina
645357	211117	
645358	99330	Perfume Sprayer
645358	338173	Secretary
645358	386570	Carole
645358	406030	Claudia
645359	330999	Schoolgirl
645360	347918	Allie (Girl greeting prisoner
645361	281739	Anne Miller
645362	113286	Bar Patron
645363	259460	
645363	390812	Ursel Sommer (1992)
645364	33940	Herself
645364	367869	Herself
645365	388166	Nadja Hässler
645366	360949	Herself
645367	34325	Panterra
645368	160141	Shopper
645369	102234	Store Checker
645370	4835	Frau in Rosa (Woman in Pink)
645372	16219	Olga
645372	90455	
645372	153931	
645372	186570	Lotte
645372	244117	
645372	281720	Mrs. Mitchell
645372	325497	Frau Wever
645372	325732	
645372	364705	
645372	397199	Lotte
645374	286655	Fille de la cité #2
645375	69749	June Dew
645375	317907	Vesta
645376	343700	Queen Silvia
645377	62927	
645378	377334	Musician
645379	29556	
645380	365485	
645381	303648	Flagellant
645381	322310	
645382	349575	Inga
645383	388055	Herself (2002/2003)
645384	271688	Girl at dance
645385	197785	Guest at outside dinner
645385	378804	Woman dressed as dragqueen
645385	398852	Receptionist
645386	26884	Eta
645387	282086	Mrs. Johansson
645389	79585	Corinna
645390	7390	
645390	12306	
645390	17755	
645390	45392	
645390	62955	Cora Cordelia Bilton
645390	107481	
645390	133103	
645390	191683	
645390	230589	
645390	230760	Maggie Murphy
645390	241785	
645390	271956	
645390	331793	
645390	362306	
645391	142530	Hooker
645391	235646	Jessica
645392	220587	Winona
645392	235635	
645393	361970	
645394	153350	Dame
645396	98145	Phone Sex Lady
645397	24792	
645398	212800	
645398	325694	
645399	176229	Sarah
645400	40877	Mrs. Porter
645401	273668	Elena
645404	73819	Susan Watson
645404	150911	Miss Hohenlo
645404	177335	Goneril
645405	281739	Sandy Wills
645406	205268	Boy Band Stylist
645406	359742	Berna
645407	409939	Triana Orpheus
645408	23944	Nervous Nikki
645409	30646	Talk Show Audience
645410	282189	Haushälterin
645411	149721	Maid
645411	229124	Scarlet O'Hara
645412	117522	Sunseeker
645412	154629	Church Lady
645413	149954	Extra
645414	74215	Mrs. Herron
645414	154087	Mrs. Hale
645414	384962	Inspector Joyce Stratton
645414	402197	May Collins (1985)
645416	126619	Extra Talent (segment "Gett O
645417	244085	
645418	397074	Regitze Varnæs (adult)
645419	64634	
645420	230620	Herself
645421	400678	Lia
645422	126109	Herself
645423	79299	Inga
645424	89713	Hat Store Clerk
645425	11892	Die Bösen: Straßendirne
645426	78468	Herself - Member of jury
645426	78469	Herself - Member of jury
645427	247107	
645428	354022	Socialite next to Elsa in the
645428	362562	A Friend
645429	5426	Kitty Grey
645429	7814	June King
645429	20113	Mary Mazuret
645429	31968	
645429	47342	Sunny Duane
645429	60242	Rita Corbin
645429	66282	Ann Gray
645429	71707	Nancy Price
645429	78729	Bob
645429	79422	Virginia Mynors
645429	94139	Dorothy Burrows
645429	105159	Mrs. Randolph
645429	105348	Florette
645429	107088	
645429	116768	Mary Adams
645429	128206	Mavis Cole
645429	133907	Margaret Brooke
645429	138175	Lois Walton
645429	143272	Juanita Holland
645429	183402	Mamie Taylor
645429	199197	Clarice
645429	213126	Mary Travers
645429	214953	Mary Malone/Evelyn Whitney
645429	218843	Rachel Verinder
645429	241371	Mary Stevens
645429	241833	Beth Wynn
645429	246681	Mary Dolan
645429	249117	Adele
645429	258066	Mary Murdock
645429	258894	Marjory Thorncroft
645429	260256	Margaret Kirby
645429	273824	Alice Schuyler
645429	275517	Ruth Baird
645429	283637	Queen Flavia
645429	284576	Madame La Coeur/RoseLa Coeur
645429	296801	Leontine Maddern/Leona Madder
645429	301663	
645429	309581	Celebrity
645429	346034	Shirley Marvin
645429	348100	
645429	359103	Corinne Frenaud
645429	360182	
645429	363709	Daphne Morton
645429	364536	Arline Mayfair
645429	367466	Amy Terrell
645430	71665	Hooker #2
645431	5557	
645431	17539	
645431	306750	Lady Vanessa Norton
645432	13882	Fat Sue
645433	275419	
645433	305173	
645434	256598	Emmie
645435	62099	Angel of Death
645436	211976	Herself
645437	390523	Sarah-Jane Webster (1995-2000
645438	7088	Holographic Nurse
645438	43565	Girlfriend in Nightclub
645438	55122	Waitress
645438	241792	Frankie's Girlfriend #1
645438	322759	Holly
645439	261041	Young Vita
645440	231096	Torres Partner
645441	229938	Model
645442	144787	Pilot
645443	168326	Bobbie
645444	222213	Esther
645445	31060	Dorothy Vandergriff
645445	65915	
645445	169926	Lou
645446	86558	Pilot #1
645447	291166	Young Leonard's Sister
645448	271339	Arizona quint
645449	2419	
645449	295284	Undetermined role
645450	12018	Allyson Roper
645450	176965	Bree Gunderson
645450	198925	
645450	389858	Karen Wexler #2 (1997-1999)
645450	401930	Dr. Carolyn Annette 'Karen/Ka
645451	45696	Girl on Bike
645452	233926	Selma Carver
645453	381910	Herself (Series 3) (2002)
645453	381920	Herself (Series 2) (2002)
645453	383747	Herself (Series 2) (2004)
645453	400696	Eskimo (1988-1990)
645453	408075	Consumer Reporter (2002-)
645453	409061	Herself - Regular Special Gue
645454	41337	
645454	350172	Kelly
645455	274195	Waitress
645456	126130	Resident of Villagio
645458	108101	Herself
645459	43638	Arlette
645459	64949	Journaliste pipelette 2
645459	84222	Mrs. Ducros
645459	87814	Sylvia
645459	169540	
645459	202090	La femme qui ne peut pas pren
645459	208304	
645459	226610	La femme médecin légiste
645459	278155	Consultante communication
645459	340205	
645459	353917	
645459	410144	Mademoiselle Cathos
645460	258873	Constance
645461	198540	Eve Kettle
645461	289400	Cecilia
645462	196582	Lois
645463	160784	
645464	5816	Agnes Constance
645464	149264	
645464	169818	Lady Musgrove
645464	221165	
645464	235624	Lady Wharncliffe
645465	226997	Apartment Manager
645466	73258	Prosecutor
645466	100838	Mum
645466	106821	Erica
645466	270384	
645467	22636	His wife
645467	38934	
645467	46986	
645467	63429	
645467	69454	Miriam Wiggins
645467	75338	
645467	76467	
645467	90433	
645467	92170	
645467	93653	The Girl
645467	124934	
645467	130774	Edith Llewelyn
645467	133794	
645467	138887	
645467	141453	
645467	148381	
645467	183860	His wife
645467	186687	Loris Keene
645467	192515	Mary Ryan
645467	202897	Alathea Bulteel
645467	203059	Betsey
645467	206430	
645467	213289	Patricia Lawrence
645467	269353	Mrs. Gordon Trent
645467	295433	Dr. Shirley Chalmette
645467	307012	Mrs. Bradley
645467	313204	
645467	354502	
645467	370562	
645468	149757	T.V. Reporter
645469	244456	Mother
645469	392735	Herself (Trumpet)
645470	100124	Herself (niece of Edwin H. Ar
645471	306286	Dancer
645472	256141	Sarah Lee
645473	52471	
645473	366930	Miss Alstyne
645474	12174	Maisie
645474	38981	
645474	40846	Elvira Condomine
645474	47193	Pearl Bolton
645474	52471	Dr. Anne Lester
645474	55416	Helen
645474	61718	Joyce
645474	109336	Kay
645474	114635	Martha
645474	142917	Princess Katherine
645474	166359	Margaret
645474	217983	Angel
645474	231959	Margot
645474	231995	Cocktail Shaker
645474	232859	Beatrice
645474	245120	Angela Tucker
645474	286125	Janet Hallard
645474	304786	Simone
645474	330552	Hebe Tucker
645474	343066	Jill day
645474	344931	Mabel
645474	371327	Pansy Beresford
645475	5083	Mary Todd Lincoln
645475	91738	Eleanor Weston
645475	98151	Katza
645475	128308	Nellie
645475	133953	
645475	143356	Julia Sturm
645475	154063	Poetess
645475	270407	Myra Curtis
645475	327685	
645475	360166	Mrs. Stackpole
645476	92729	Lee
645477	105186	Nicky
645477	269901	Prostitute
645477	390523	Denny (1994-1996)
645478	238449	Theban Child
645479	192407	Prof. Baer
645479	302029	John Webb (prologue)
645480	332418	Singer at Mansion
645481	9389	Young Dulcie Rouse
645482	117535	Winston's Mother
645482	203972	Old Wilma
645482	250371	Doris
645482	256580	Mamalewa
645482	267426	Woman Customer
645482	315516	Agnes
645482	381080	Millie Pottinger
645482	381081	Millie Pottinger
645482	382846	Melanie Leonard
645482	385306	Grandma Sylvie Crouch
645482	387247	Blossom Jackson (1994-1997)
645482	401450	Nan Preston
645482	401920	Susu
645482	408866	Bibi Harrow
645482	409695	Grandma Pinnock
645482	411014	Hortense
645483	314108	Dancer
645483	329309	Marv's dancing partner
645483	396062	Jane, Loveboat Mermaid (1985-
645484	256188	Pink Chiquita
645485	150851	Mrs. Bletchley
645486	137111	Ali
645487	185592	Marie
645488	236952	Sue
645489	119966	Natalie
645490	246422	Molly Lancaster
645490	382848	Becky Hammermont (2001-????)
645491	30959	
645492	137259	Pam
645492	359858	Art Gallery Party Goer
645493	87699	Miss Nolan
645493	102469	Various Characters
645493	149226	Dolly Norman
645493	169172	
645493	222831	Cheryl
645493	382516	Tricia Moore
645493	387746	Various Characters
645493	397624	Various Characters (1998-2001
645493	405579	Various Characters (2003-)
645493	405671	Various Characters
645493	405744	Jill
645494	231210	Helena Hamilton
645494	344176	Receptionist
645494	395350	Francesca
645494	398357	
645495	132914	Check-In Girl
645496	344474	
645497	142527	
645498	261248	Janice
645498	389046	Tracy
645498	394359	Shawna
645498	395152	Toffi
645498	396758	Veronica Mann
645499	388977	Beth Drever
645499	406891	Maggie Hayward Baker
645500	130356	Ozzi's girl
645501	41890	Jane
645502	18593	Katherine Malcolm
645502	25389	Lila
645502	31283	Angelica Hart
645502	33091	Mrs. Lawson
645502	51641	Mrs. Miriam Norwood
645502	58931	Mrs. S.T. Franklyn
645502	59055	Dorothy Regent
645502	59620	Mrs. Jordan
645502	67858	Susie Raybourne
645502	72600	Nadine
645502	73662	Mrs. Waldroon
645502	83809	Mrs. Emily Gray
645502	87554	Alys Wynne
645502	92558	Mrs. Chandor
645502	96627	Lady Erskine
645502	109844	Girlfriend's Mother
645502	121362	
645502	130300	Miss Plunkett
645502	133589	Molly
645502	133662	Lady Hume
645502	138124	Alice Graham
645502	169362	Dinner Guest
645502	178159	Mrs. Jack Van Vechten
645502	183821	Woman
645502	183831	Lady Abernathy
645502	188393	Mrs. Mott
645502	194892	
645502	204175	Belle Charmion
645502	215509	Dorothy Evans
645502	230990	Queen Sedonia
645502	233825	Mrs. Newbold
645502	277628	Flo
645502	280134	Mrs. Van Riker Pell
645502	281163	Lady Montague (wife to Montag
645502	283236	Mrs. Harrison
645502	291915	Mrs. Archibald Henderson-Jame
645502	293134	American showing home movies 
645502	315869	Mrs. Austin
645502	317980	Mrs. Langstreet
645502	336031	Mrs. Julia Judson
645502	355092	Martha Davis
645502	357588	Mrs. Upperwon
645502	368315	Mrs. Adams
645502	368533	Carrie Billings
645503	25937	Emilie
645503	382262	Irene Kohl
645503	385723	Miss Hawk
645503	394340	Natalie Chantrens
645503	404659	Natalie Chantrens
645504	315190	Dancer
645505	193521	Nurse
645506	57929	Jazz Class Dancer
645506	69897	Cigarette Girl/Clubgoer
645507	247491	Lucia Pernell
645507	292163	Bambi
645508	363838	Lesley
645509	280489	Choir
645510	749	Aissa
645510	345555	Femme Imam
645511	136360	
645512	88376	Joséphine
645513	286949	
645514	25935	
645514	76420	
645514	136379	Icy
645514	183103	Erotic Film Director
645515	66574	Det Sgt Turner
645515	96768	Bettina Daley
645515	97096	Committal Judge
645515	168293	Mrs Wilkinson
645515	168597	Captain Meg Fulton
645515	185756	Annie Burton
645515	245074	(Story 4 "Where Did All The M
645515	258300	Pat Keating
645515	278698	
645515	278718	Lady Margaret
645515	330835	Nadine Roarke
645515	372778	Patricia Barwing
645515	381608	
645515	382367	Della McDermott
645515	389897	
645515	399130	Hilary Grant (1998)
645515	400646	Mara de Villenois/Devlin #2
645515	400775	Irene Hampden
645515	402197	Kate Peterson (1981-1982)
645515	403277	Joanna Randall
645515	403278	Joanna Randall
645515	403968	Sarah Lucas (1974)
645515	405925	Angela
645515	406891	Meg Fulton
645516	118393	Deirdre (Wedding four)
645517	51402	Adolescente
645518	234665	La voisine de Sacha
645519	109757	
645520	2252	(segment "Exclusion, L'")
645520	14470	
645520	122873	Alice
645520	158938	L'ex d'Alexandre
645520	199384	Caroline Bonaparte, Princess 
645520	205150	
645520	234273	Stéphanie
645520	240601	Delphine
645520	257414	
645520	278139	Gladys
645520	284220	Alice Loïc
645520	345519	Nicole Bouleau
645520	346424	Delphine Balland
645520	354467	Véronique Marchand
645520	387968	Adeline
645520	396804	Emilie Smet
645521	276606	Mrs. Hemmings
645522	345558	La mariée
645523	13122	
645523	15015	Mme Guérin
645523	15079	Le juge
645523	25788	Aïe's mother
645523	32409	Sido
645523	33627	Le 'copain'
645523	44955	L'acheteuse
645523	44983	
645523	57530	Maud
645523	71520	La mère de Louise
645523	71952	Madame Seigner
645523	78403	Mère de Philippe
645523	83188	Récitante/Narrator
645523	101457	
645523	117476	Philippe's mother
645523	132787	Mme Nature
645523	133093	Juliette
645523	153814	Yvonne
645523	154736	Mme Roget/Mrs. Roget
645523	156292	Claire, la femme d'Athanase
645523	202090	Mme Sachs, la mère du docteur
645523	207622	Bernadette
645523	218258	Hermine
645523	224872	Hotel manager
645523	244961	
645523	249713	
645523	254317	Hélène
645523	262950	Tante Jeanne
645523	264943	Colette
645523	269143	Monique
645523	272257	Maya
645523	294814	L'agent de l'ANPE
645523	322340	La maman de Marie
645523	324966	Mrs. Dormoy
645523	339899	
645523	345389	Marthe
645523	353886	Juliette Watelet
645523	356502	La Cliente Du Magasin
645523	377999	
645523	396290	
645523	404662	
645523	412254	Inès
645523	412263	
645524	316886	Flower Lady
645525	76151	Maman Rosy
645525	206008	La cartomancienne
645525	211136	Madame Galtier
645525	345443	La directrice d'école
645526	346599	Maquilleuse
645527	262495	Jitka
645528	333194	Armana Woman
645529	314845	
645531	278153	Colleague in canteen
645532	268510	
645533	301681	Moviegoer
645534	54749	Bandaged man's wife
645535	111773	
645535	178455	
645535	325491	Karin
645536	10308	Amerikanerin
645537	309039	German Child
645538	49290	
645539	40788	Renee Delacroix
645539	134115	Claire
645539	311001	
645539	324410	Laura/Ann
645539	346145	Duchesse de Chevreuse
645539	346896	Juliet Romani
645539	365082	Gorgone
645540	110308	Junk
645541	49304	
645541	126183	Sarah
645541	282403	Tanja
645541	352220	
645542	55699	Pvt. Carter
645543	117115	
645544	311051	
645545	41128	Noel
645545	45457	Angelina Milleflores
645545	59862	Holly
645545	76498	Dora
645545	80487	Nicole
645545	105113	Missy
645545	138784	Tracy Billings
645545	158058	Lydia
645545	190056	Margaret
645545	195822	Gretchen Lascelles
645545	261248	Ruth
645545	265109	Dot
645545	277922	
645545	291036	Amanda
645545	342610	Waitress
645545	380362	Diana Barry
645545	380855	Anderson, Christine (Man from
645545	395166	Young Rose Marie
645545	396375	Siobhan Roy
645545	404622	Adult Charlotte
645546	41657	Model
645547	687	Herself
645547	27559	Michele Brent
645547	29182	Cilla Brown
645547	68164	Miss Catto
645547	79554	Agnes Wickfield
645547	92507	Isabel
645547	95414	Jean
645547	106176	Cynthia
645547	112566	Kathleen McSweeney
645547	113141	L'Américaine
645547	155594	Mabel Chiltern
645547	155698	Bit
645547	176756	Sally
645547	192716	Joy Adamson
645547	194022	Gunilla
645547	202509	Nancy/Euryale/Alice/Nurse
645547	218512	Betty
645547	227327	Miss Catto
645547	229542	Anna Robinson
645547	232010	Olivia
645547	248984	Patricia Seagrave
645547	251615	Elaine
645547	310426	Lucilla Drake
645547	315668	Michal
645547	331465	Lori MacGregor
645547	333236	Patricia
645547	341028	Trudy Emberday
645547	348532	
645547	354848	Hannah Costello
645547	367520	Young Jay
645547	368002	Jenny
645547	380216	Andromeda
645547	381278	Signora Madeline Neroni
645547	386721	Natasha Bancroft
645547	388788	Sarah Churchill, Duchess of M
645547	389123	Fleur Mont née Forsyte
645547	390485	Esme Harkness
645547	394232	Katy Carr
645547	395325	Martha Ford
645547	398085	Molly MacDonald
645547	400709	Lady Glencora Palliser
645547	409839	Becky Sharp
645548	45540	Tough Chick Fan
645549	299870	Sandra M.
645550	220108	Business Woman
645551	381212	Michelle Dixon
645552	244422	Peg
645553	400516	Olive
645554	381799	Cafe Waitress
645555	131232	Extra
645556	405069	Sharon
645557	163347	Teenager
645559	387454	
645560	13833	Mrs. Taylor
645560	121208	'When in Rome' Woman
645560	158997	Girl on Hill
645560	191244	Additional Voices
645560	194374	Security guard
645560	213019	
645560	260679	Betty
645560	277471	Rhinestone Heckler
645560	341885	Mayor's Secretary
645560	363265	Matron
645561	248878	Girl at Poker Game
645563	81334	Gladys' Daughter
645564	150924	A.E.I.O.U. Lady
645565	57489	Tee Tee
645565	141164	Shirley Washington (age 7)
645565	245055	Ashley
645566	177660	Extra
645567	84396	Alicia Roberts
645567	127822	Trina Sinclair
645567	155903	Mary
645567	400808	(2004-?)
645568	202195	Roseland Dancer
645569	147767	Fan in Red
645570	73883	Jookhouse Woman #4
645570	343045	Loose Lady
645571	61285	Sigourney
645571	122750	
645571	180850	Kreola
645571	185568	Alex
645571	274315	Linda (segment "The Psychiatr
645571	285743	Lisa
645571	338655	Kim
645571	348504	
645571	349848	Valentina
645572	359978	Mrs. Lawson
645573	96832	Olya
645574	324417	Blanche Hall
645575	12238	Aunt Mathilda
645575	17566	Queenie
645575	30782	Cornelia van Gorder
645575	46737	
645575	47286	Aunt Polly
645575	51975	Woman
645575	69483	Woman on Road
645575	92230	Bit Part
645575	105555	Mrs. Simmons
645575	105804	1st Court Lady
645575	117655	Olga O'Brien
645575	121663	
645575	127633	Mrs. Emerson
645575	128192	Party Guest
645575	139786	Mrs. Strickleberger
645575	141620	Albert's Mother
645575	143191	Mrs. Chuddesser
645575	147412	Mrs. Case
645575	168671	Mrs. Bixier
645575	178042	Mrs. Upshaw
645575	183742	Woman in Bookshop
645575	194302	Woman Buying Dog Basket
645575	195382	
645575	196108	Dowager
645575	207865	Mrs. Fahnstock
645575	214695	Big Woman at Fair
645575	235602	
645575	255083	Mrs. Brede
645575	267595	Countess Simone
645575	278563	
645575	297369	Lady Blessington, the Social 
645575	301991	Woman
645575	303379	Mrs. Appleton
645575	305934	Countess
645575	313118	Guest at Richie home
645575	314486	Mrs. Donaldston
645575	320269	Margaret (waitress)
645575	331957	
645575	340535	
645575	346864	Mrs. Smythe
645575	366947	Lois
645575	367919	Dowager in Powder Room
645576	27934	Joan Granger
645576	52519	
645576	89114	Doris Clark
645576	112257	Ginette
645576	130626	Jerry La Mar
645576	144405	Herself
645576	147633	Cameo appearance
645576	186392	Marion Dorsey
645576	190450	Bessie MacGregor
645576	196254	Janis Clayton
645576	196419	Clemmy Dawson
645576	216956	Virginia Hastings
645576	263455	Grace Barrows
645576	279426	Linda Halliday
645576	313564	Lily Becker
645576	340968	Hilda Carr
645576	346889	Shirley Chamberlain
645577	193725	Marcy
645578	241780	Nurse
645579	113547	Chloe's Friend
645580	266084	T.V. Commentator
645581	171332	Bobby's Mother
645581	390052	Helen
645582	411134	Erica Moore
645583	105042	Carol
645584	297937	Stacey
645586	26976	Miss Russell
645586	32469	Hannah
645586	48036	Miss Gibson
645586	50238	Mrs. Doris Ruddle
645586	56608	Mme. Harlow
645586	93826	Ruby
645586	99149	Lady Barchester
645586	112747	Agatha Steele
645586	131770	Mrs. Wickett
645586	146053	Mrs. Hodges
645586	213041	Charlotte Hopkinson
645586	232859	Madam
645586	232860	Mrs. Pembroke
645586	243071	Miss Turner
645586	285727	Aunt Agatha Gurten
645586	291487	Laundress
645586	298453	Mrs. Miller
645586	301928	Mrs. Jones
645586	315716	Tyb
645586	334431	Anna (1939 version)
645587	213941	Stewardess #2
645588	32711	Herself - dancer, former dome
645589	20291	Helen Dykeman
645589	207184	
645590	344547	Woman at Deli
645591	81179	Phyllis
645591	96871	Mrs. Burrows
645591	114051	Mother in Cottage
645591	178971	Marilyn
645591	369384	Mrs. Archdale
645591	385299	Margaret Grice (1986-1988)
645591	399531	Elsie Miller
645592	385299	Norma Lee
645592	410632	Julie
645593	89288	Seaman Smoocher
645594	227032	Gailstrom
645594	296234	Mom
645595	241032	Mrs. Nolan
645595	339393	May Harris
645596	5928	Ma Kruger
645596	75844	Ma Tuttle
645596	123208	Fanny
645596	176228	Mrs. Kazam
645596	207285	Kate Mahoney
645596	235178	Mama Le Blanc
645596	237817	Fifi
645596	240762	Matilda Graves
645596	247226	Mrs. Bassett
645596	269797	Squaw
645596	271240	Tilly
645596	278048	
645596	361747	Minnie Smith
645597	192814	Marie
645597	193441	Cléa
645597	261116	Sophie
645597	264950	Maryse Spontini
645597	370420	
645597	383523	
645597	401680	Celine (2004)
645598	4618	Handmaiden (Miss New Jersey)
645598	129379	Young singer
645598	168676	Miss Border to Border
645598	186271	Maria Durling
645598	277804	Angela Mansfield
645598	323435	Dancehall Girl
645599	48663	
645600	214123	Party Guest
645600	395278	Lindsay Potter (1987)
645601	74761	
645601	150139	
645601	220443	April
645601	331395	Greta
645602	303292	Karen
645603	219819	Charlotte
645603	235675	Sarah
645604	329816	Talk Show Woman
645604	384180	
645605	109482	Angelique Dumas
645606	6010	Herself
645608	109439	Melanie
645608	113957	Boone
645608	151126	Female Cop #1
645609	66131	Pansy Brown
645609	73561	Maternity Nurse
645609	205426	Medicaid Interviewer
645609	225797	
645610	354287	
645611	312072	Elle
645612	101611	Amanda
645613	153758	Påskkärring 1
645614	161327	Herself
645615	220960	Miss Reeves
645616	158141	Bank patron
645616	198679	
645617	43636	Yasmina
645617	91977	Souad
645617	149115	Nora
645617	208830	Soeur de Karim
645618	228434	Female Demon
645619	367775	Karen's Party Guest
645620	157620	
645621	234959	Prolog
645621	347051	
645622	247319	Edvarda's Friend
645623	236515	La mère du patron
645624	28158	
645625	229105	Naomi
645626	123109	Ail
645626	401116	John
645627	21529	Susan Kane
645628	136444	Bon-Bon
645629	42927	
645629	51104	
645629	163123	
645630	32571	Kalt
645631	167660	Engku Noraini
645631	226596	Suria
645632	20070	Child
645633	20070	
645634	43044	Yu-sun
645635	151738	Taeko Nogawa
645635	174348	Keiko Tayama
645635	195806	Female itsuki's mother
645635	205563	Maria
645635	232921	Naomi
645635	234915	
645635	239199	Chikako Ueda
645635	373438	
645635	394292	Fumiko, Yamaoka (Nao's mother
645636	137074	Bong-ja
645636	365222	Kang, Na-na
645636	376542	Eun-mi
645637	199860	Doris
645638	25620	
645638	38456	
645638	86697	
645638	172024	
645638	173565	
645639	342899	Ji-seon
645639	398756	Na-Hee Yun
645640	6341	
645640	15392	
645640	15400	
645640	27546	
645640	27550	
645640	28360	
645640	42875	
645640	48955	
645640	51004	
645640	60583	
645640	60651	
645640	63401	
645640	63462	
645640	76633	
645640	76992	
645640	89458	
645640	89548	
645640	90615	
645640	94442	
645640	126883	
645640	126894	
645640	130244	
645640	130278	
645640	130282	
645640	136372	
645640	138297	
645640	153409	
645640	153416	
645640	153429	
645640	153438	
645640	153445	
645640	153554	
645640	154586	
645640	156409	
645640	165030	
645640	165111	
645640	165536	
645640	165542	
645640	166818	
645640	166820	
645640	166821	
645640	166968	
645640	167518	
645640	167879	
645640	170325	
645640	173330	
645640	221876	
645640	223521	
645640	223522	
645640	224459	
645640	226560	
645640	227052	
645640	227115	
645640	227209	
645640	227398	
645640	239348	
645640	239443	
645640	245840	
645640	247031	
645640	248643	
645640	259073	
645640	280885	
645640	286007	
645640	286600	
645640	287104	
645640	287364	
645640	287381	
645640	287937	
645640	288146	
645640	288159	
645640	288176	
645640	295220	
645640	295228	
645640	297375	
645640	298753	
645640	300793	
645640	307044	
645640	370704	
645640	371205	
645640	371253	
645640	371927	
645640	372983	
645641	14388	
645641	23192	
645641	38498	
645641	172975	
645641	173796	
645641	176928	
645641	208782	
645641	293429	
645641	357603	
645641	378213	
645642	92847	Cha Cha Dancer
645643	202430	Yu-jin
645644	220132	
645645	62203	
645646	322913	Mimi
645647	369653	Dai Yingtian
645648	151948	Yu Qian
645648	370507	
645649	286636	
645649	307546	
645650	77163	Mi-seon
645650	389393	
645651	298731	
645652	128037	
645653	228688	
645654	43026	
645654	62553	
645654	94441	
645654	168832	
645654	287468	
645654	295224	
645655	252286	O-Hanna-San
645656	122731	
645657	59060	
645658	61884	
645658	226542	
645659	51033	
645660	216415	
645661	6097	
645661	94522	
645661	127718	
645662	385546	Shinbi
645663	38818	Luna
645663	38819	Luna
645663	38820	Luna
645663	38821	Luna
645663	38822	Luna
645663	91092	
645663	127777	Annerose Von Grunewald
645663	139492	Junko Sawakawa
645663	173067	Sayori Kido (Athena)
645663	176536	Lalah
645663	176537	Lala Sun
645663	199950	La Andromeda Promethium (Yayo
645663	201465	Narrator
645663	281536	Moira
645663	285738	Sayori Kido (Athena)
645663	285808	Saori Kido (Athena)
645663	294033	Yukino Yayoi
645663	299096	Sayori Kido (Athena)
645663	327007	Tatsumiya Yukari
645663	370437	Sâsha (Mio Sanada)
645663	379479	Margaret 'Meg' March
645663	379482	Nancy
645663	380699	Annette
645663	382108	Luna
645663	382109	Luna
645663	382110	Luna
645663	382111	Luna
645663	382112	Luna/Queen Beryl
645663	382113	Luna
645663	390077	Annerose Von Grunewald
645663	393796	Ange
645663	394422	Lala Sun, Icelina Eschonbach
645663	396796	Ann
645663	397371	Megumi
645663	401736	Professor Uchikido
645663	404127	Saori Kido, Athena
645663	404390	Ukie Isasaka (#1)/Mitsuko Ham
645663	405141	Ann
645663	405145	Yukino Yayoi
645663	405175	Kawada Atsuko
645663	408485	Becky
645663	409326	Princess Ruda Shalibart
645663	410526	Elizabeth 'Beth' March
645664	50118	
645665	30311	Prostitute in street
645666	196650	Yadan
645667	161867	
645668	72733	Connie Vega-Margolis
645668	78773	Rae Wong
645668	170843	Lab Assistant
645668	185241	Eastern Jewel
645668	222652	Diane Mahona
645668	242529	Cary Sain
645668	382167	Cookie
645668	398572	Kimiko Fannuchi
645668	406083	Cindy Rhee
645668	407689	Cassie Lee
645669	48450	
645669	92845	
645670	19055	
645670	261227	
645670	287384	
645671	165545	
645671	167889	
645671	169010	
645672	229876	
645673	90604	
645673	226590	Hyeon-ju
645674	3020	
645674	89538	
645674	144275	
645674	239386	
645674	285878	
645674	299138	
645675	359038	
645676	2984	
645676	138477	
645676	199882	
645676	199883	
645676	199884	
645676	243882	
645676	286636	
645676	288171	
645677	371251	
645677	389655	Yu-mi
645678	56667	
645678	378579	
645679	11727	
645679	22050	
645679	22069	
645679	22091	
645679	23271	
645679	38462	
645679	39048	
645679	53891	
645679	63982	Ayten
645679	149558	
645679	149559	
645679	156204	
645679	159658	
645679	163096	
645679	171823	
645679	173573	
645679	208251	
645679	227236	
645679	245860	
645679	254347	
645679	295036	Nadya Serpova/Yildiz
645679	296417	
645679	327029	
645680	27539	
645681	292092	Gong Seung-ho's mother
645682	88841	Child
645683	362462	School Girl/Ghoul
645684	89543	
645685	76483	
645685	221656	
645687	374901	
645688	277104	
645689	328636	
645690	204114	Aeng-du
645691	89525	
645692	294248	Kung-Fu Bride
645692	358365	Sudden Rain
645693	141419	Police Officer
645693	193801	
645693	249501	Nancy
645693	281339	Betty
645693	294248	Kung Fu Bride
645694	297294	Guier
645695	62797	
645695	107045	
645696	247024	
645697	256760	Girl Sayoko
645698	236262	Liu Lanxiang
645699	49427	
645699	60606	
645699	63410	
645699	156382	
645699	229398	
645699	248642	
645699	255913	
645699	288146	
645699	348659	
645699	373146	
645699	376538	Young-ae
645700	141888	Fang Mengzhen
645700	145285	
645700	268637	Song Xiao
645701	77520	
645702	67313	Paula
645702	257373	Ah Mov
645703	18705	
645703	138060	
645703	140037	
645703	140434	
645703	172255	
645703	176574	
645703	200546	
645703	227325	
645703	243310	
645703	243325	
645703	281047	
645703	289309	
645703	299234	
645703	299813	
645703	334778	
645703	334917	Fujiki
645704	150873	Japanese Screaming Woman
645705	147232	
645706	299581	Chiyo, maid
645707	97635	
645707	234917	
645707	242313	Tamae
645708	8896	Kiyoko
645708	9150	Yumie Ishikawa
645708	9182	Yuki's mother
645708	23068	Oiku, the Maid
645708	97141	
645708	98205	
645708	122151	
645708	125382	Oine
645708	125684	Kiritsubo's mother
645708	138085	Hanako's mother
645708	139725	
645708	145124	
645708	165128	
645708	168061	Ginko, Haneda's wife
645708	168357	
645708	179350	
645708	179436	
645708	180551	
645708	182403	Ofude
645708	226459	Goro's Mother
645708	242172	Mitsue, Fujiko's mother
645708	280574	Peer's daughter
645708	293599	
645708	294049	Yatoyo
645708	299338	Shizuko, Kyoko's mother
645708	300471	Kuramochi's mother
645708	341287	Oyuki
645708	344262	Ujo's mother
645708	372038	Kayo (episode 2)
645709	71143	
645710	376364	
645710	412104	
645711	160404	Siggi
645712	30987	Ryoko Hata
645713	279701	
645714	279884	Grandma (segment "Presence")
645714	394255	Haizecupp
645714	405279	Mayor's wife
645715	103151	Miki
645716	5056	Female Cop
645716	105851	Fan girl
645716	169963	Stacy
645716	336772	CIA Assistant
645717	137381	Old woman
645718	359844	
645719	284068	
645720	101564	Kannon
645720	101784	Katsuko Ishibashi
645720	179399	Restaurant owner
645720	211720	Koyoshi Dohya
645720	227422	
645720	242172	Harue
645720	242178	Kayano Sugie
645720	288352	Tsuruko Makioka
645720	298900	Go
645720	298901	Zen
645720	318397	Osumi Kodana
645720	324361	Ogino
645720	341257	
645720	341279	
645721	101560	
645722	224106	Mrs. Banks
645723	135953	Kishimura
645724	352820	
645725	9023	Reporter
645725	52005	Margie
645725	241857	Newscaster
645725	308110	Younger Nurse
645727	122793	April Gacy
645728	122793	Tammy Gacy
645729	30988	Yuka Nakagawa - Girls #16
645729	137056	Nadia child
645730	78184	Member of 'Lost Pilots' Band
645731	113216	Copine de Véra
645732	299585	
645733	9187	
645733	172258	Tatsu
645733	177801	
645733	179377	Geisha
645733	275061	Momoko
645733	323133	
645733	373892	Eiryu
645734	279593	Cop
645735	348752	Planet Elle Commander
645735	406060	Miranda
645736	118925	Maggie
645736	151071	Alba
645736	206884	Young Mary
645736	347054	Martine
645737	179062	Annie
645738	352352	Monique
645739	26355	Janet
645739	44516	Mrs. Lily Dorn
645739	65453	Admissions Counsellor
645739	68511	Sarah
645739	74199	Cheryl
645739	136970	Myra Johnson
645739	140416	Lt. Kovaleski
645739	159486	Vanessa Maxwell
645739	171084	Woman in Shower
645739	212996	Sally Ford
645739	264033	Ellen Schein
645739	272418	Paula
645739	291509	Young French Woman
645739	299679	Rita Steinhardt
645739	335563	Reporter
645739	341499	Eva/Stepmom
645739	366271	Maude
645740	122311	
645740	145129	Madame at Chidori
645740	167997	Geisha
645740	174358	
645740	198950	
645740	206752	Yone Marunishi
645740	206759	Juntoku
645740	242237	
645741	142958	Kyushu Young Wife
645741	292175	Lili
645742	9470	Sakura
645742	204121	
645742	227436	
645742	238844	
645742	299127	Suzumushi
645743	348635	
645744	54203	Hinata Wakaba
645744	187319	Kaoru Takami
645744	209785	Phil Phleira Deed
645744	253445	Yukino Mayuzumi
645744	298928	Main
645744	299262	Hinata Wakaba
645744	373392	Mikoto Utsugi
645744	384218	Mami Mizusawa
645744	390799	Mori Seika
645744	395167	Lucciola
645744	406394	Precis F. Newman
645744	411893	Mikoto Utsugi
645745	166436	
645745	286124	Mrs. Durlacher
645745	302955	Muriel Allendale
645747	137570	Production Girl
645748	98894	
645748	245601	Princess Diana
645749	72901	
645750	75717	Woman in bar
645751	228966	
645751	369693	Siu Seen's Singing Voice
645752	111143	Copine Nina
645753	8498	
645753	172182	
645753	173784	
645753	173786	
645753	182730	
645753	211442	
645753	267818	
645753	303420	
645754	53142	Eve Bucquoy
645755	12601	
645755	21404	
645755	24352	Gertrud
645755	34347	
645755	36475	Adelheid Wolff
645755	51327	Grete Drews
645755	59559	
645755	79167	
645755	98042	
645755	121042	Uschi Paulsen
645755	121067	Mrs. Müller
645755	125325	
645755	134792	Mrs. Kleinschmitt
645755	140209	Sick girl
645755	142114	Herself
645755	145475	Frau am Kontrollpunkt
645755	147539	Friedericke Kussmaul
645755	152770	
645755	156056	Zofe
645755	178600	
645755	180919	
645755	189448	
645755	197836	
645755	199558	Edith, the maid
645755	204468	
645755	208181	Billa
645755	210058	Ruth
645755	216382	Miss Nilsson
645755	216841	Jungarbeiterin Inge Lang
645755	218964	
645755	228546	Autofahrerin
645755	239112	Mimi
645755	239115	Hausmädchen Elisabeth
645755	244684	
645755	248396	
645755	253926	
645755	272781	Fräulein Müller-Muthesius
645755	290141	
645755	290237	Gerti
645755	290647	Alice
645755	290672	
645755	293863	Lizzy
645755	325784	Roswitha Mattusch
645755	326056	
645755	326059	Ernestine
645755	347641	Elsetraut Knöpfke
645755	347657	
645755	352607	
645755	356751	
645755	361470	Junge frau in der bar
645755	376354	Frau Kaschunke
645755	376362	Frau Brandt
645755	376381	
645755	376413	
645755	380920	Mrs. Kewenig
645755	383171	
645755	392086	
645755	396759	Secretary & waitress
645755	397366	
645755	404909	Felix (voice: German version)
645756	110385	
645757	191359	Arkadina
645758	339596	Showgirl #2
645759	113610	Susan the Silent
645759	231923	
645760	119585	Alice
645761	48264	Judy
645762	44456	Salsa club dancer
645763	372759	Herself
645763	411830	Herself (1976-1979)
645764	30197	Caroline
645764	74117	Samantha
645764	176852	Pam
645764	273496	Kim ('All's Well that Ends St
645765	29674	Mrs. Heatherton
645765	57365	Mrs. Georgia Case
645765	60202	Mrs. Palmer
645765	67859	Mrs. Van Dusen
645765	70727	Mrs. Marlowe
645765	75274	Mrs. Prothero
645765	83678	Mrs. Bereton
645765	107411	Lady Barold
645765	112539	Mrs. Lydia Graham
645765	117884	Mrs. Wharton
645765	130765	Mrs. Galliner
645765	167595	Her Mother
645765	178036	Mrs. Burnham
645765	191740	Mrs. Hale
645765	195868	Mrs. Appleby
645765	207443	Mrs. Drake
645765	213229	Roger's Mother
645765	215086	Mrs. White
645765	235433	Mrs. Ellison
645765	245079	Aunt Edith Bristol
645765	245195	Mrs. Cutting
645765	254267	Undetermined Role
645765	257799	Mrs. Taylor
645765	270917	Mrs. Coolidge
645765	281385	Mrs. Radcliffe
645765	311314	Mrs. Rollins
645765	311473	The Dowager Lady St. Aubrey
645765	325981	Mrs. Reginald Dexter
645765	332803	Mrs. Lodge
645765	334951	Mrs. Chandler
645766	241058	Fairy #2
645768	105073	Mrs. Kerry
645769	363026	Herself
645769	395246	Herself
645770	326617	Sarah
645770	340934	Lexie
645771	107617	Make Out Girl
645772	359195	Mary Jean (6 yrs old)
645773	184717	Lover's Wife
645774	14492	Peggy
645774	97407	Woman
645774	105379	Henrietta Knowby
645774	114392	Nurse
645774	134345	Nurse
645774	189238	Clara Channing
645774	192104	Nursery Customer
645774	201667	
645774	214943	Lucy Peters
645774	257132	Dispossessed Lady Living in C
645774	313778	Old tent lady
645774	358629	Mabel Shoop
645774	366821	Ginny
645774	399685	The Woman
645775	55036	Maria
645775	313361	Stage manager
645775	385139	Rosie
645776	101567	
645776	105456	Miss Friedemeyer
645776	131692	Martha, JoyCrotch Jeans Woman
645776	365461	Jessica
645776	399017	Regular (1981-82)
645777	407369	Saori Saga
645778	99195	Lady at the Door
645779	220919	Aunt Laura Burroughs
645780	70970	Dead-Head Double/Olive R. Boo
645780	152556	
645781	381685	Elspeth Hutchinson
645781	392779	Jane Munro
645783	124594	Miss Millband
645783	194513	Miss Millbank
645784	2118	Vera Bennington
645784	10750	Cook
645784	17800	Karen Taggart
645784	27565	Herself
645784	27929	Pam Raeburn
645784	49236	Doris
645784	50203	Judith
645784	50275	Mrs. Rothery
645784	55690	Senna Pod
645784	68025	
645784	78091	Sarah Ryan
645784	88883	Librarian
645784	128413	Jane
645784	140535	Regina
645784	147393	Vera
645784	151384	Mrs. Clapper's Friend
645784	168599	Herself/Interviewee
645784	170581	Matilda Poliport
645784	175565	Herself
645784	190495	Theater Act
645784	195345	Mrs. Barker
645784	195520	
645784	195982	Teresa
645784	200496	
645784	218736	Cynthia Gamble
645784	232010	Dora
645784	279108	Mrs. Malapropp
645784	283779	Dora Blossom
645784	302264	
645784	323376	Martha Thompson
645784	342462	Dora
645784	365560	Olga Vandemeer
645784	381529	Sheila Ross
645784	381538	Alice Oldfield
645784	381712	
645784	382774	Frances
645784	382912	Duchess of Trevenick
645784	384483	Dorothy Hammond
645784	388547	Edith Sorrel
645784	389147	Gwendolen Hartley
645784	389261	Special Guest Star (episode t
645784	390303	Mag
645784	398382	Thelma Teesdale
645784	398709	Steve's Mother
645784	399782	Claire Love
645784	401651	Herself
645784	402777	Carol (1961-62)
645784	404527	Mrs. Stitch
645784	408018	Pat
645785	151176	Susy
645786	354867	Georgia
645787	381298	Herself
645787	381514	Herself (1996-1997)
645788	16068	Kay Capano
645788	54920	Woman in Nursery
645788	63010	Nora
645788	69806	Teacher
645788	223896	Patient's Mother
645788	304237	Fran
645788	398937	
645789	243304	
645790	191994	Chris' Sister
645791	56750	Indian girl
645791	142361	Crosse
645791	164550	Angelina
645792	179007	Harriet Baker
645793	219344	Custom officier
645794	186650	Additional player
645794	306197	
645795	370054	Amanda
645796	152932	Jogger (Waterfront Park scene
645797	133931	
645798	122900	Yukiko
645799	18817	Mother
645800	126508	Nada Band
645801	11730	
645801	15883	
645801	22018	
645801	23617	
645801	38637	
645801	39050	
645801	124918	
645801	136728	
645801	136753	
645801	171982	
645801	173791	
645801	177880	
645801	201401	
645801	207202	
645801	207203	
645801	285248	
645801	295511	
645801	308477	
645801	357605	Gülsüm
645801	370636	
645801	378190	
645802	49153	Retno
645803	123420	Secretary
645804	396874	
645805	118823	
645805	153968	
645805	219836	Párizsi rokon
645805	224990	Julia Szendrey
645805	377814	
645806	69236	Village Old Crone
645807	108956	Young Rita
645808	396874	
645809	78951	Card Player
645809	171279	Card Player
645809	209492	Gun clinic lady
645810	58172	Jenny Rand
645811	90241	Nurse's Mother
645812	359049	Jannis
645813	221633	Tonya
645814	31675	Bikini Girl
645815	107891	Mrs. Cartwright
645815	307589	Geraldine
645816	346413	Lilly's Sister
645816	364783	Actress Olivia
645816	386295	Crazy Janey's Blond
645817	127407	Joelyn Cozac
645817	334293	Linda Chapman
645818	361027	
645818	393518	Zealot
645819	46804	Bessie's Companion
645820	214452	Lizzie
645821	23310	Miss Miggs
645821	45419	
645821	65878	Bridget
645821	74027	Maid
645821	105071	
645821	107411	Miss Chickie
645821	130419	Maid
645821	161542	Brown Eyes' Mother (Medieval 
645821	191955	Maggie's Mother
645821	193969	Mrs. Braithwaite (the governe
645821	303079	Aunt Caroline
645821	304604	Miss Pinsent
645821	360067	Augusta, the Maid
645821	365436	Mrs. Burton
645823	387034	Patricia
645824	209	Bit Part
645824	5192	Mrs. Larkin
645824	6144	Manageress
645824	6907	Miss Friggin
645824	33644	Miss Gale
645824	38337	
645824	46892	Cellist and Organist
645824	47970	Mrs. Potter
645824	50033	Mrs. Raymond
645824	54886	Lady Agnes
645824	55157	Mrs. Carter
645824	55708	Madge Hickson
645824	55718	Distraught mother
645824	69393	Miss Slenderparts
645824	73967	Bebe
645824	78928	'Woody' Woodman
645824	80996	Flora
645824	83618	Miss Patch
645824	88883	Professor MacRitchie
645824	88885	Mrs. Dailey
645824	91581	Mrs. Harper
645824	92574	Sarah
645824	94764	
645824	101427	
645824	102481	Various
645824	109916	The Nurse
645824	115229	Frau
645824	116694	Mrs. Wicker
645824	117210	Ada Bingley
645824	117305	Miss Trotter
645824	119811	SSgt. Hodges
645824	124360	Wife
645824	125985	Beer
645824	126507	Maggie Turner
645824	128299	Miss Baker
645824	129103	Miss Haddock
645824	133539	Lady serving Tea in Tea Stall
645824	133782	Cinema Usherette
645824	138844	Mme. Edna
645824	141683	Rene Smith
645824	145398	Mrs. Mactavish
645824	146631	Lady on left
645824	150567	Madame de Bonneuil
645824	150748	Mrs. Barrymore
645824	154915	Mrs. Gammon
645824	154918	Ma Perkins
645824	154935	Mrs. Kite
645824	159881	Lily
645824	160570	Boarder
645824	163200	Freya
645824	163560	Mrs. Beam
645824	163589	New Neighbor
645824	163669	
645824	163670	Grand old lady
645824	163713	Miss Peach
645824	171119	Housewife
645824	175813	Clerk
645824	176316	Mrs. Abramowitz
645824	178137	Mrs. Victory
645824	185565	Miss Wormwood
645824	186260	Woman in Train
645824	187084	Mrs. Maggs
645824	191298	Lil
645824	199134	Mme. Blanche
645824	201433	Madame Spolinski
645824	203240	
645824	209349	Mrs. Famsworth
645824	209616	Lady with Dog
645824	214188	Landlady
645824	214643	Cook in Chinese Restaurant
645824	215811	Chambermaid
645824	219255	Mrs. Delt
645824	220916	Trude
645824	221312	Miss Bell
645824	231127	Mrs. Crowley, Greengrocer
645824	232276	Station Master
645824	232318	Mrs. Billingsgate
645824	232319	Ma
645824	233649	Mrs. Spicer
645824	235578	Elsie
645824	240410	Winnie Wainwhisle
645824	240812	
645824	241849	Emily Pepys (Audrey Cuttle #2
645824	242584	
645824	252848	
645824	253005	Mrs. Butters
645824	264747	Mrs. Hudson
645824	267449	Miss Harker-Parker
645824	273640	Mrs. Crevatte
645824	277540	Mrs. Crumbling
645824	278081	Gran
645824	290077	Frau Gesser
645824	290343	Mrs. Stringer
645824	299782	Ruby Towser
645824	301621	Cook
645824	301846	Receptionist
645824	305357	Mrs. Gammon
645824	305514	Mrs. Gimbel
645824	310842	Mrs. Nugent
645824	312782	Miss Mason, Gill's Maid
645824	313082	Mrs. Phillimore
645824	316033	Mrs. Dewar
645824	327600	Mrs. Gowshall
645824	328618	Kitchen Maid
645824	335875	Mrs. Tidmarsh
645824	338770	
645824	343194	Mrs. Price
645824	345708	Frau von Koerner
645824	346937	
645824	348532	Large Woman
645824	359857	Edie Hornett
645824	360542	Waitress
645824	360708	Daisy
645824	360900	Florence Proudfoot
645824	361261	
645824	364158	Customer
645824	367471	Mrs. Fletcher
645824	368057	Mrs. Peurofoy
645824	368928	Mrs. Ebenezer Hackett
645824	372212	Elderly Woman
645824	372788	Nanny
645824	381315	Ramona Pank
645824	384006	Comedy Regular
645824	387329	Mrs. Twissle (1958-59)
645824	388466	
645824	389066	Ada Creswell
645824	395340	Cousin Looby
645824	396419	Mrs P.
645824	397521	Granny
645824	398509	Crystal Pallise
645824	399188	
645824	402777	Reg's Mum (1963)
645824	411431	Madame Astoria
645825	288992	Audrey
645826	154379	Herself
645827	390115	Herself
645827	390116	
645828	83975	Olivia
645829	40812	Maggie
645830	24703	Charlotte's Birthday Friend
645831	72395	Kim Thomas
645831	194796	Girl recruit
645831	258083	Jeff's girlfriend
645832	29756	Herself
645832	154379	Herself
645833	60186	Flickas' Mother
645834	37924	Sara
645834	109365	Dusty
645835	77197	Landlady
645835	194809	Do-gooder
645835	232297	
645835	305371	Alice
645835	364818	Hospital Receptionist
645835	384766	Teacher
645836	258554	Stinger
645837	79682	Clara Bathurst
645838	99468	Receptionist
645839	340459	Frannie
645840	215629	Cindy
645841	161462	Bren
645841	262160	Jail Guard
645842	160064	
645843	32786	Broni
645843	91649	Betty
645844	161765	Gaëlle
645844	254939	Aricie
645844	287606	
645844	319805	Juliette
645844	345434	Héloïse Ancelin
645845	131399	Nellie
645846	405209	Annette Preston (2000)
645847	23108	
645848	31843	
645848	46145	
645848	64860	John's Wife
645848	68635	
645848	71584	
645848	116899	Etta
645848	117046	
645848	128172	
645848	133787	Countess Mirtza Charkoff
645848	146214	
645848	151434	
645848	158412	
645848	159474	
645848	194919	
645848	197672	
645848	218831	
645848	220151	
645848	228224	Anna
645848	250557	Violet Dare Brill/Lucy Brill/
645848	267367	
645848	270382	
645848	273731	
645848	302217	
645848	310022	
645848	321362	
645848	331921	
645848	335009	Mrs. Wright
645848	362782	Marian Williams
645849	297190	Information Attendant #2
645849	317309	Bonnie & Clyde Musical Audien
645850	33985	Louisa
645850	66121	Ra
645850	162247	Policewoman
645850	351431	Mod Girlfriend
645850	411270	DC Paula McIntyre (2003-)
645851	237604	Det. Vannatter
645852	251649	
645853	67495	
645854	93671	Young Gretchen
645854	126060	Sonya
645855	389417	Lyddy Benson (1958-1961)
645856	195267	
645856	334091	Woman/Narrator/Singer
645857	304734	Mall Shopper #3
645858	399175	Hella
645860	217410	Maid
645860	286810	Ancella
645861	9679	Bina
645862	59574	Air Hostess
645863	305929	Ronnie
645863	392244	Tamara
645864	132251	
645864	177194	
645864	222372	Martha Werner
645864	282943	
645864	289915	Kathi, Kellnerin
645864	347826	
645864	361087	Hansi
645865	171196	Elisabeth Weiss
645865	248508	Katherina
645865	332846	Laura Luna
645866	412	Karjakko
645866	162308	
645866	181569	Masa's mother
645866	343399	
645867	199243	Doctor
645867	297121	Nerissa
645867	360171	Roz
645868	290511	
645869	9124	Third Stewardess
645869	193703	
645870	26440	Receptionist
645871	27213	Light Murado
645872	24587	Belinda
645873	273340	Convenience Store Customer
645874	12507	Marie
645874	29111	Weiblicher Häftling
645874	109779	Beate König
645874	144174	
645874	182143	Doris
645874	314513	
645874	322511	Petra von Stetten
645874	325832	
645874	352220	
645874	361427	Eine Angestellte
645874	376016	
645874	376248	Elke
645874	377359	
645874	377361	Hellen
645874	377362	
645874	377364	
645874	402532	Hélène
645874	409861	Musikerin (2001-2002)
645875	7089	Miss Louella Best
645875	14141	Mrs. Chapil
645875	27347	Alice Fern
645875	34937	Marcy
645875	36756	Minerva Purdy
645875	40683	Jim's mother
645875	45782	Herself
645875	57638	Judge Gelson
645875	59148	Sister Humiliata
645875	61703	Mrs. Lightheart
645875	63019	Clara Huckle
645875	66963	Anna Modine
645875	67560	Louise
645875	69258	
645875	99584	Grandma Minnie Mae Presley
645875	117522	Emma
645875	118763	Hairdresser
645875	149495	Mrs. Myerson
645875	157315	Mrs. Piersall
645875	157824	
645875	158997	Rose Parker
645875	161946	Mrs. Van Dam
645875	164992	Haydee
645875	171694	Mrs. Wiffington
645875	186578	Lyndon's Mother
645875	188138	Mother
645875	189233	Greta
645875	191840	Ethel Brock
645875	201579	Lila
645875	202395	Dema's Secretary
645875	205658	Sister Agatha
645875	207866	Elizabeth
645875	207911	Aunt Elsie
645875	213159	Margaret Williams
645875	219904	Helen
645875	221259	Mrs. Sellner, The Social Work
645875	232248	Waitress
645875	232252	Hedda
645875	244120	Honeymoon Bride
645875	245265	Woman in Bathroom
645875	258374	Emily
645875	266575	Mrs. Eliza Chambers
645875	281997	Aunt Molly
645875	307898	Monica Lewis, Jesse's Friend 
645875	313382	
645875	318761	Mrs. Benn
645875	323427	
645875	327300	Grace Jefferson
645875	329349	Mrs. Sudsup
645875	363072	Blossom
645875	383768	Millie
645875	389927	Juanita
645875	395324	Martha Hayes
645875	395653	Evelyn Camp
645875	396643	Alberta Meechum (1986-1989)
645875	398336	Francine Hardin (1999)
645876	4619	Manicurist
645876	188542	Showgirl
645876	320294	
645876	321522	Beverly
645877	161982	Scheherazade
645877	178066	Dancer
645877	240904	Dancer in green
645877	246859	Gladys Hotchkiss, Hasler's Se
645877	318792	Stock company member
645877	319046	Marion
645877	326368	Chorus Girl
645877	329560	
645877	329565	Appearance
645877	335583	Herself
645877	367970	Dancer
645877	375044	Featured Dancer
645878	55122	Estate Party Woman
645879	328575	Marlene
645880	215690	Miss Georgia USA
645881	35540	California Girl #1
645882	379943	Style Agent
645883	185850	Street people
645884	199148	Kid
645885	17749	Dancer
645885	88867	Players Ball Dancer
645885	358561	Swedish Athlete
645886	78992	
645886	176712	B.B.
645887	231484	Ela
645888	327592	Gentle Woman
645889	187482	Paulette
645890	52203	Elvira Merriwell
645891	394322	Jacqueline
645892	18993	Cashier
645892	21154	Perry's Wife
645892	35183	Fitter
645892	50484	Molly
645892	65698	Lady Manager
645892	68232	Subway lady
645892	95135	Mrs. Gurkel
645892	110308	Roz
645892	111789	Louisa
645892	149107	Bag Lady
645892	155094	Rose
645892	155635	Hag
645892	179419	Woman
645892	189408	Miss Hellberg
645892	197247	Shopping Bag Lady
645892	204163	Party Guest
645892	218848	Lotte
645892	220978	Millie
645892	230947	Citizen
645892	231120	Herb's Wife
645892	232812	Flea market shawl seller
645892	235052	Operator
645892	267568	Movie Audience
645892	313583	Vivian Orkin
645892	318797	Waitress
645892	339544	Greasy Spoon Waitress
645892	348838	Aunt Ruthie
645892	365827	Used Cars Salesperson
645893	213978	
645894	151893	
645895	258345	Bóczné
645896	365443	Girl
645897	209999	
645898	369492	Xanadu Dancer
645899	399742	
645900	366842	Nurse/Midwife #2
645901	372923	Silvana
645902	119599	Landlady
645902	208742	Mrs. Wright
645902	411064	Martha Hopper
645903	128252	Landlady
645903	270977	Margaret
645904	190659	
645905	149244	
645905	180575	
645905	258594	
645905	349365	Studentka Mirka Jelínková
645906	210566	Other woman in the car
645907	232241	Arab Girl
645908	171716	Linda
645908	184011	Mira
645909	207037	
645910	345152	L'Avvocatessa
645911	14160	Interviewer
645912	289509	Audience Member #1
645913	30091	Depot Shift Manager
645913	40830	Touristin
645913	48319	
645913	90062	Helena
645913	94222	Krystyna's mother
645913	95726	Nurse
645913	99632	Grandmother
645913	167078	Kulgawcowa
645913	179183	Andzia`s Mother
645913	228843	
645913	231658	Housekeeper Hanna
645913	231690	Aniela Wlodek
645913	231731	Doctor
645913	234268	Zarnecka, cook
645913	236159	Kozlowska
645913	258176	
645913	259925	
645913	266341	
645913	284043	
645913	293700	Dr. Jadwiga Yanda
645913	311137	Januszkowa
645913	312919	
645913	360758	Suicidal Woman
645913	374232	Ewa Salm's Mother
645913	375410	
645913	375530	Zofia
645913	398927	Melania Kicala (episode "Gra"
645913	404009	Cyriakowa
645914	268165	
645915	334492	Martha Schreiter
645915	364884	Tantra-Frau
645916	31638	Angela
645916	386906	Frau Schmid
645917	31638	
645918	44433	Voice of Woman in Desert
645918	251812	Aase
645919	20458	Jessup's Associate, Additiona
645919	171653	
645920	102960	
645921	261470	Petra Lenz
645921	367191	
645921	376282	Ingrid
645922	313975	Woman at Counter
645923	156039	
645924	5596	Begania
645924	23111	
645924	34297	Mildred
645924	132053	Mädchen im Heim
645924	204452	Leila
645924	219595	
645924	244200	Woman in car
645924	267807	
645925	73504	Mrs. Smethurst
645926	286168	
645927	385913	Herself (1972)
645929	325822	
645930	379362	Karina Mattheuser
645931	351932	Sally Webber
645932	44980	Maria
645933	35052	Woman in train, fortune-telle
645933	240067	Frau Wolle
645933	259456	
645933	259489	
645933	259506	
645933	259547	
645933	259565	
645933	298599	
645934	80443	Louise Grant
645935	285259	
645936	44899	Chorine
645936	368244	Ensemble member
645937	402003	High Councilor Renier
645938	6248	Dementia
645938	284526	Nervous Woman on Talkshow
645939	24878	Herself
645940	294524	Melanie Stokely
645941	41743	
645942	318644	Ruth
645943	112399	Jan
645944	113092	Herself
645945	118961	Maikki
645945	391746	Host
645946	262190	Lojzicka
645947	394424	Additiomal Voices
645948	10867	Barmaid
645949	215690	Miss South Carolina USA (Semi
645950	306421	So Fine Dancer
645951	117874	School Bus Girl
645951	329522	Bored Girl in Dress Shop
645952	95785	Mrs. Blake
645952	141643	Older Woman's Daughter
645952	190139	Customer
645952	203669	Elena
645952	345612	
645954	164840	Assistant D.A.
645955	184104	The Laker Girls
645956	367951	Herself
645957	338733	Masseuse
645958	58826	Herself
645959	46431	Laura McCann
645959	60024	Estelle
645959	67572	Mrs. Rusk
645959	202361	Laura Bonnell
645959	277325	Marie Morella
645959	391071	Wanda Reilly Taylor
645959	391401	Candy Pruitt
645959	392176	Sheila
645959	404642	Lt. Anderson
645959	408872	Defense Attorney
645960	109660	Kathleen
645961	382743	Mary Statue
645962	10415	Receptionist
645962	78321	Sue
645962	115250	Julia Dawson
645962	168136	Married Woman
645962	240521	The Irish Girl
645962	252741	Miss Teenage Lust
645962	264747	Prostitute
645962	289657	Sarah Framsen
645962	306989	Michelle
645962	324117	Caroline
645962	396470	Presenter (1974-1980)
645962	403514	Angie (1973)
645962	404332	Presenter
645964	130187	Katie
645964	369492	Sandra
645964	384124	Sarah Comyns
645965	644	Letters To Cleo Singer
645965	389866	Molly O!
645966	117119	Nurse
645966	221502	Chase Somete
645967	45530	Ginger
645967	75611	Mary
645967	85878	Mrs. Maggie Stewart
645967	385299	Lisa Blake
645969	18979	Woman
645970	290971	Mom at Contest
645970	335592	Wife on Pier
645971	51960	Mother
645971	70419	Airline Stewardess
645971	82538	Opium Den Proprietor
645971	119622	Teacher
645971	154822	Housewife
645971	216970	Saleslady
645971	231524	The Waitress
645971	242431	Academic #3
645971	274258	Savemore Pharmacist
645971	288933	Lady Owner
645971	304557	Woman in Robe
645971	330951	Younger Mom Lakewood
645971	335016	Twyla
645971	338930	Roberta
645971	355065	Mrs. Weiner
645972	282657	
645973	21157	Debutante
645973	42577	Debra Reynolds
645973	99208	Alice (Hettie's maid)
645973	106666	Coffee shop manager
645973	134387	Penny
645973	277681	Rivers' Mistress/Air Hostess
645974	107298	Anne
645974	113284	Ruth Darrell
645974	114732	Dorothy Dare
645974	129982	Mary Keene
645974	130592	Hester
645974	130795	Mary
645974	133496	Mary
645974	175143	Queen
645974	186302	His wife/Nell, his daughter
645974	186371	Alice Campbell
645974	189307	Elsie Corwin
645974	224827	Margaret
645974	259396	Lotta Bond
645974	263559	Doris Kenyon
645974	265496	
645974	266690	Mary Reed
645974	302928	Belle Guthrie
645974	360561	Babbie Norris
645974	363239	Dorothy Miller
645974	363597	Diana Beverley
645974	365361	Jessie Wilson
645975	42151	
645975	123849	Jenny's Girl
645975	325651	Theresa
645975	361034	Babette
645976	284527	Tammy Walker
645977	35253	Child at Playground
645978	125554	Boy who follows Johnny
645978	144671	Jerry
645978	177423	Young Boy
645978	248374	Billy Rand
645979	188453	'Likes' Girl
645980	44433	Woman from Ragazzo
645981	13267	Donna Rose
645982	56545	Herself
645983	358648	Herself
645984	289366	Erika Wilson
645984	375823	Jean (Social Worker)
645985	205194	Girl in dramatisation
645986	161054	Additional Voices
645987	168166	Young C.J.
645988	260318	Sarah Gates
645989	274196	Dead Girl
645990	109139	Stripper
645990	283778	
645990	408481	Presenter (1974-1994)
645991	47650	The Child
645991	47693	The Harts' Child
645991	47697	Jordan's Daughter
645991	61598	The Child
645991	192263	The Little Boy
645991	240808	The Youngest Murray Child
645991	265972	Dunn's Granddaughter
645991	298522	The Child
645991	298532	
645991	299970	The Widow Morgan's Child
645992	57042	
645992	151290	Receptionist
645992	203727	Woman in Elevator
645992	311186	Freddie's Mother
645994	209646	Herself
645994	405984	UCDavis
645995	26041	Madame
645995	26042	Queen Celeste
645995	33395	Doctor at hospital
645995	54921	The Queen of Hearts
645995	91862	
645995	176852	Stephanie
645995	245917	The Wicked Witch/The Good Wit
645995	280626	Kindly Lady
645995	367588	Diane Hanson
645995	381051	The Old Lady
645995	383125	Suzy 'Mirage' Young/Audrey Fe
645995	383987	T.C. Collingwood
645995	386615	Rosie
645995	391330	Grandma Kitty/Mama Kitty
645995	395723	
645995	405373	Kili the Troll
645995	406982	The Triforce of Wisdom (1989-
645996	79689	
645997	1168	Margareth Knight
645997	11531	Nettie
645997	141279	Betty
645997	141350	Margot
645997	206541	Maria Pia
645997	216240	Mme. Thenardier
645997	249073	
645997	285286	Eileen
645997	367406	Mrs. Shubunkin
645997	382838	Brenna Jordache (1993-1995)
645998	185691	Woman On Bicycle
645999	71799	Herself
645999	170005	Judy
645999	308791	
645999	379831	Debra Du Bois #3/Detective Su
646000	194789	Sleeping Woman
646001	371374	Extra
646002	291449	Pageant Girl
646003	151458	Abby
646004	215257	Servbots
646004	236959	Marie/Mrs. Schaeffer/Doll/Gue
646004	280228	Servbots
646004	280229	Servbots
646004	401752	
646004	402732	Nicole Raccoon (II) (1990-199
646005	5037	Dairy Queen Employee
646006	186739	Kristen
646007	30646	Student #3/Talk Show Audience
646008	77644	
646008	348371	
646009	253436	Woman
646011	79991	Woman
646012	172079	
646013	351823	
646014	399130	Zoe Tan (1995-1998)
646015	113975	
646016	406891	Kitty Sullivan
646017	144867	
646017	202367	Confused Shopper
646017	276249	Conscript
646018	277142	Female Student
646019	228298	Pyramid Team
646020	1435	Herself - Presenter
646020	1703	Herself - Presenter
646020	2009	Herself - Presenter
646020	2904	Herself
646020	6247	Morticia Addams
646020	22873	Andy Huben
646020	23446	Nancy Archer
646020	29296	American girlfriend
646020	34783	Herself
646020	35647	Herself
646020	37035	Stella
646020	40199	Pris
646020	47172	Herself (award presenter)
646020	55937	Skipper
646020	57894	Une actrice muette à Hollywoo
646020	65118	Ayla
646020	70717	Anne
646020	72290	Celia
646020	72733	Kathy
646020	73303	Lisa
646020	77759	Angel
646020	87118	Erica Long
646020	113405	Windy
646020	114260	Alex McGregor
646020	119525	Herself
646020	122076	Pam
646020	127834	Lois Harlan
646020	131677	Herself
646020	134886	Melanie Gustafson
646020	134889	Melanie
646020	135788	
646020	139050	Loretta
646020	144465	Maggie
646020	144950	Mary Plunkett
646020	164398	Thespee, Member Great Council
646020	164600	Bobbi
646020	168166	CJ March
646020	176711	Elle Driver
646020	176712	Elle Driver (California Mount
646020	185204	Margaret
646020	187172	Chelsea Deardon
646020	192187	Miss Crabtree
646020	196891	Sandy
646020	201701	Herself
646020	201702	Herself
646020	201767	Herself
646020	210544	Alice Monroe
646020	223909	Lizzie, KGSC-TV Technician
646020	229681	Herself
646020	235201	Flower Hercules
646020	240744	Herself
646020	248097	Taryn Blake
646020	260357	Diane
646020	273271	Kelly
646020	273544	Claudia Henderson
646020	273782	Tracey Prescott
646020	276197	Maria Althoff (segment "We Ar
646020	282562	Roxanne Kowalski
646020	283343	Virginia
646020	291417	Herself - Interviewee
646020	291971	Herself
646020	301946	Maddy Pilager
646020	310801	Veronica
646020	311428	Madison
646020	314252	Annelle Dupuy Desoto
646020	318738	Cathy Featherstone
646020	319542	
646020	319627	Herself
646020	332530	Leann Netherwood
646020	343025	Liz Kerner
646020	358604	Cynthia Carter
646020	358708	Darien Taylor
646020	365651	Sabine
646020	371721	Adriana
646020	373957	Narrator
646020	395165	Michelle Rene Thomas
646020	395166	Athena Aquitane
646021	396065	Co-Host
646022	60829	Florence
646022	223072	
646023	299457	Officer Reid
646024	107022	
646024	379244	
646024	380946	Eny
646024	403618	
646025	248050	Jewish Woman
646025	401473	
646026	75612	Killer
646026	222612	Sandra Thorner
646026	297549	Nikki's Soldier
646027	329986	Nurse Swanson
646028	93974	Bimbo
646028	215574	Nadine
646029	344432	Additional Voices
646030	7884	Annie
646030	72917	Rachel (segment "The Raft")
646030	134195	Tour Guide #1
646030	157575	Lydia
646030	224106	Angela
646030	224134	Sabrina McKay
646030	240838	Sally
646030	270484	High School Girl
646030	296990	Luanne Clatterback
646030	363749	
646030	404613	Adair McCleary #1 (1984-1985)
646031	289671	Annabelle (segment "The Death
646032	195134	Victoria
646033	264205	Prostitute
646035	283689	Rusalka
646036	136300	Cop #2
646037	115628	Theresa Bradley
646038	199090	Herself
646039	321335	Salesperson
646040	193562	Muriel
646041	121823	Caroler
646042	256332	Girl at counter
646043	108247	Leonie
646043	259626	
646043	410002	Clara Schwarz
646044	47530	
646045	138744	Chorus Woman
646046	101871	Ana
646047	101036	Dance Specialty
646047	235218	Jill Hanneford
646047	274244	Circus performer
646048	158476	
646049	145346	Emma
646050	186798	
646050	190205	Dora Reeves
646050	338988	
646051	217676	
646052	247272	Young Pamela
646053	53050	Debbie
646055	40820	Mevrouw Strepers
646055	155803	Vriendin van Marva's moeder
646055	388909	Lidy Jacobs (2000-2001)
646055	395661	Veerle Mertens
646055	395666	Veerle Mertens
646055	408151	Angèle Backx (1999, 2004-)
646055	411311	Jenny (2002-2004)
646056	88400	Well-To-Do Woman
646057	323841	Nurse
646058	323841	Nurse
646059	120968	Desiré
646060	16701	Reporter
646060	23463	Receptionist
646060	148416	Cameo Bar Woman
646060	404002	Chris Hannold (1986-1988)
646061	201505	Herself
646062	19186	La concierge
646062	83028	Martita
646062	83201	
646062	269756	
646062	284367	Barbe Ménétrier
646062	327549	La cliente de l'épicerie
646062	382584	
646063	62697	
646063	402599	
646064	202283	Woman with Dog
646065	1474	Herself
646065	1681	Herself - Presenter
646065	1706	Herself
646065	1737	Herself
646065	3631	Herself
646065	14131	Michelle Flaherty
646065	14132	Michelle Flaherty
646065	14230	Michelle Flaherty
646065	35735	Lexi
646065	45591	Betty
646065	48924	Willow Rosenberg
646065	56144	Iris
646065	67988	Herself
646065	80504	Lucy
646065	117118	Kelly
646065	140636	Jenna Jakes
646065	157324	St. Jude Student
646065	221451	Herself
646065	224336	Jessie Mills
646065	295636	Herself
646065	311852	Herself
646065	316190	Dana
646065	321660	Gina Twigg, Age 13-16
646065	326663	Herself - Presenter
646065	381111	Herself/Willow Rosenberg
646065	381997	Herself (2002-2003)
646065	382955	Willow Rosenberg
646065	389320	Jessie Harper
646066	116796	Young Geraldine
646067	335794	Wife
646068	192000	Second Tart
646069	359858	Art Gallery Party Goer
646070	3100	Mrs. Helgeland
646071	208390	Student extra
646071	312150	Robot kid
646073	35658	Melissa in personnel
646074	143950	Tammy Butler
646075	175729	
646076	214838	
646076	321945	Ballet dancer/Waltz singer
646076	356233	Unelma Sulolampi
646078	79989	Janet
646078	229687	Girl
646079	108178	Marie Berg
646079	317650	
646080	7441	Ann Drummond
646080	58305	Professeur de yoga
646080	58755	Chanteuse Salon
646080	104206	
646080	148643	Glenda
646080	198975	Marie-Thérèse
646080	217420	
646080	225372	Anna, la mère
646080	225522	Mrs. Morison
646080	312437	Effie
646080	350850	Duchesse at the Banquet
646080	353317	
646081	186795	Tess Robie
646081	231925	Secretary
646081	247045	B-Girl
646081	282711	Dancer in Haiti number
646081	286582	Betty
646081	318792	Stock company member
646081	363282	Girl
646082	329413	Dollpart Girl
646083	184830	Helen Stallings
646083	260850	
646084	30686	Head Nurse
646084	67430	Gallery Attendant
646084	84774	Head Nurse
646084	91523	Dream Crowd
646084	95135	Diner Waitress
646084	152814	X-girlfriend Olga
646084	155094	Princeton Professor
646084	277140	RI Supreme Court Judge Floren
646084	296980	Philip Bosco's housekeeper
646084	303455	University Professor
646085	332418	Nanny at Mansion
646087	284259	Amina
646088	380583	Host (Ratgeber Recht (WDR))
646089	35582	Jennula
646090	236792	
646091	24649	
646091	176549	
646091	181569	Witness (wife)
646091	211433	
646091	250502	Pia Tiensuu
646091	253078	
646091	267142	
646091	271606	Sini
646091	282248	Johanna's mother
646091	371652	Kaisu
646092	18855	Hiker/Girl in Car
646093	23963	
646093	25386	Rachel
646093	49966	Dancer #2
646093	66152	
646093	117424	Partner
646093	190147	Blindfold Girl
646093	226984	Herself
646093	236140	
646093	257449	Sara
646093	258074	Sarah (segment "Of a Feather"
646093	258079	Deena
646093	272600	Party-goer
646093	276398	Dancer
646093	292596	Lisa
646093	320028	
646093	354961	Rosa
646093	365960	
646093	396077	Herself (interviewed)
646094	372923	Bruno's wife
646095	219832	Belvera
646095	219833	Belvera
646095	219834	Belvera
646095	307595	
646095	327052	Luna
646096	24352	Rosi
646096	26517	
646096	40951	
646096	125824	
646096	199511	
646096	216753	Kerstin
646096	236641	
646096	332832	
646096	352102	
646096	356702	Sigrid
646097	45846	Peggy Howard
646097	118942	Princess Marcuzan
646097	124224	Model
646097	154478	Luxembourg Girl
646097	157771	Amazon #8
646097	285095	Sexy Female
646097	307518	Miss L'Arriere
646097	310159	Amazon
646097	317834	
646098	338981	Herself
646099	82538	Society Woman
646100	18032	Psychologist
646100	57654	Manhattan Moods Anchor Woman
646100	93211	Field Reporter
646100	160888	Lady #3
646100	166671	
646100	171030	Newscaster
646100	171278	Realtor
646100	175223	Confessional Woman #1
646100	190461	Fox News Anchor
646100	231900	TV Newsperson #1
646100	248132	Herself
646100	252483	Ruth Carter Stapleton
646100	261986	Commentator
646100	272234	News Reporter
646100	283548	Reporter
646100	294804	Sheila
646100	301077	District Attorney
646100	308011	Mary Lou Corkle
646100	319682	Mrs. Corrigan
646100	341885	Herself
646100	380391	Judge Ellen Landregan (1997)
646100	380713	Claire Wentworth (1999)
646100	388371	Host
646100	400236	Dr. Elyse Hanson (2000)
646101	45912	Margaret Kalman
646102	17676	Waitress
646104	144645	Harriet
646105	336649	Hospital Staff
646106	43941	Production Assistant
646106	78041	Kelly
646107	87599	Elaine
646108	168693	Elisabeth Age 6
646109	383078	Nikki Watson (1998-2002)
646110	10739	Alice
646111	195180	
646112	195463	Scarab Hack
646113	298161	
646114	178955	
646114	213185	Luisa
646114	316054	Carlotta Sanchez
646115	115778	
646116	88489	
646116	177119	Nicole
646117	88975	
646117	100932	Gypsy Witch
646117	207960	
646117	234339	Tunika
646118	176632	Mrs. Lea
646119	7347	Herself
646120	156	
646121	39974	Herself
646121	194592	Herself
646121	392460	Herself
646122	363756	Alan Smith's daughter
646123	95262	
646123	121050	
646123	197114	
646123	226354	
646123	264352	
646123	281959	Anna Schmidt
646123	308216	Miss Schleifer
646123	376895	La mère de Madeleine
646124	237380	Íris Óskarsdóttir
646125	336554	Musician
646126	49345	Phyllis
646127	290869	
646128	115103	Lissy Schroeder
646128	209773	Tina
646128	281722	Monica
646128	290512	Stella
646128	376306	Laura
646128	376423	Edda
646128	390812	Anna Meisner/Judith Unger/Sus
646128	404480	Stella
646128	412099	Laura Koslowski
646129	117903	Moster
646129	153401	Moderen
646129	291638	Woman
646129	303133	Elsa
646129	311175	
646129	322680	Dame på AF-kontor
646129	340079	Erik's mother
646130	56084	Catarina Capretta
646131	33079	Alex
646131	88025	Mary Gibbs
646132	307698	Karen
646133	128154	Massage Lady
646134	407817	Herself - Norwegian Participa
646136	56100	Hunchbacked Lady
646136	266120	Violin player
646137	381894	Herself (season 1-2001)
646137	381897	Herself (season 1-2001)
646137	381914	Herself - Participant (season
646138	46631	Læstadianerkone
646139	409172	Herself - Reporter (1996)
646140	242752	Herself - Nurse
646141	34989	Participant (2001)
646141	381889	
646141	381913	Participant (8th out) (2001)
646142	268345	Jacob's Girlfriend
646143	140229	Kerstin Clausen
646143	328643	Verkäuferin
646143	376082	
646144	275198	Jenta
646145	115555	Rikke
646147	226534	
646148	147018	Herself - Performer
646148	181075	
646149	51981	Aoka
646150	11769	
646150	12512	Asta Dahl
646150	43137	Tjenestepigen Sofie
646150	83091	Asta Haller
646150	102497	Henny
646150	203922	Sofie
646150	253878	Benna
646150	303630	Karen Blomberg
646151	142716	'Family' girl
646152	26317	Evas veninde
646152	84328	Anne
646152	108984	Lisbeth
646152	117458	Lizzie
646152	119732	Johannes' kone
646152	211033	Gudmor
646152	317646	Ada Blom
646152	343719	Middagsgæst
646152	344108	Øversten
646152	357812	Lena
646152	358846	Inge
646152	382884	Agnes Berthelsen
646152	390857	Ane Marie
646152	403138	Trine
646152	403194	Janice van der Huit
646152	408364	Ingeborg Stuckenberg
646153	136635	Tove
646153	209328	Dansepige i 1932
646153	322680	
646154	278356	
646155	711	Andy Panda
646155	3939	
646155	12421	Little Kitty
646155	16489	Andy Panda
646155	31786	
646155	48701	Cookie
646155	48710	Cookie
646155	48713	Cookie
646155	48714	Cookie
646155	48717	Cookie
646155	48721	Cookie
646155	48722	Cookie
646155	48724	Cookie
646155	48725	Cookie
646155	48726	Cookie
646155	48727	Cookie
646155	48728	Cookie
646155	48730	Cookie
646155	48731	Cookie
646155	48732	Cookie
646155	48735	Cookie
646155	48736	Cookie
646155	48737	Cookie
646155	48738	Cookie
646155	48740	Cookie
646155	48741	Cookie
646155	56703	Kitten
646155	64094	
646155	70339	Dionne Quintuplets
646155	71693	
646155	99448	Tillie Tiger
646155	110901	Various Mice (voices)
646155	130621	Little Kitty
646155	147664	Little Kitty
646155	154265	Little Kitty, Ham
646155	154423	Fat Chicken Singer
646155	154710	
646155	168738	Poker Huntas
646155	168918	Elf
646155	178329	Kittens
646155	188222	Emily
646155	190063	Andy Panda
646155	191698	Little Cheeser
646155	191715	Little Cheeser
646155	198041	Mouse
646155	211596	
646155	212677	Johnny Mouse, Susie Mouse, Va
646155	220799	Cookie
646155	228646	Petunia Pig
646155	232315	Tommy Cat
646155	246513	Little Girl
646155	254553	Little Kitty
646155	257257	Little Kitty
646155	260655	Betty Beaver
646155	260669	Little Rabbit
646155	260684	Pinky Pig
646155	260689	Petunia Pig, Pinky Pig
646155	260699	Petunia Pig
646155	279777	
646155	291145	Peterkin
646155	306064	
646155	313324	Baby Chick
646155	316569	
646155	318964	
646155	331434	All three mice
646155	337175	
646155	345816	Little Eva
646155	355774	Cookie
646155	358070	Bluebird Chick
646156	224192	Funeral Dancer
646157	240039	The Mother
646157	364040	Eve
646158	254523	Dancer
646159	314394	
646159	403114	
646160	268074	Dancer
646161	205487	Nadège, la belle-soeur de Léo
646161	216774	Une fille
646162	297140	Brigette
646163	215691	Miss Iowa USA
646164	182849	
646165	162657	
646166	167564	Student
646167	228392	Dame
646167	293650	Olga
646168	178731	Syngepige, Barcelona
646169	50610	ButterCreamette
646169	50611	Buttercreamette #4
646170	200154	Princess Kathryn
646171	76559	Sylvia Carlsen
646172	27598	Herself - Participant
646172	403530	Herself - Participant
646172	403531	Herself - Participant
646172	403535	Herself - Participant (2003)
646172	403536	Herself - Participant (2003)
646173	158314	Prosecutor
646173	251237	Jennings
646173	385887	Trial jury foreman
646174	51328	Frieda
646175	356890	Birthe
646176	312265	Scott's Niece
646177	213109	Kenna
646178	380713	Katie Peretti #1 (1988-1995)
646179	131739	Girls' Chorus Member
646179	400606	Host
646180	33190	Mrs. Slipshod
646180	52635	Ludie England
646180	69263	Martha Cook
646180	80897	Bob
646180	105169	Dorothy McHugh
646180	124160	Older Woman
646180	138821	Mrs. Hershfield
646180	213018	Granny
646180	221313	Fisher
646180	269372	Martha
646180	271994	Mrs. McKee
646180	286350	Sister Stan
646180	303534	Aunt Tess
646180	314963	Mrs. Sampson
646180	314982	Female Instructor
646180	316142	Mrs. Logan
646180	341847	Mrs. Kramer
646180	403509	Lady Bird Johnson
646180	410616	Marta Anderson
646180	410953	
646181	186021	Bus Passenger #3
646183	392531	Herself - Finalist (2003)
646184	209312	
646185	5645	
646186	41087	Coed
646186	73204	Anna
646186	114923	Mary Grant
646186	114924	Mary Grant
646186	188562	Stagestruck Girl
646186	199217	Jane
646186	273803	Girl Singer
646186	315338	
646186	315748	Irene's Girlfriend
646186	342376	Hatcheck girl
646187	182609	Herself
646187	394986	Herself
646188	99278	Eliza R. Snow
646188	118474	Sarah
646188	163375	
646188	233653	Janet Winslow
646188	235443	Businesswoman
646188	252926	Priscilla White
646189	387309	Debbie Martin (1969-1970)
646190	150545	Herself - Leder, Boligfonden
646191	146598	
646192	389117	Herself - Clairvoyant
646193	323848	Anchorwoman
646194	222130	
646195	162377	Bob's girlfriend
646196	377405	
646197	367982	Gail
646198	228395	Død pige
646199	47133	Edna
646200	41937	Elene
646200	167253	
646201	7821	Alva Lea
646201	47193	Gwen
646201	163422	
646201	281134	
646201	358875	
646202	7781	Postdame #4
646202	55126	Louise
646202	108171	Tøjekspedient
646202	110408	Købmandskone
646202	116306	Karen
646202	154142	Syngepige
646202	166602	Lily
646202	179531	Bibliotekar
646202	180407	Servitrice
646202	180929	Bondekone
646202	203964	Dame på kirkegård
646202	240098	Rengøringskone
646202	267642	Mother
646202	283484	Skuespillerinde
646202	304393	Fotograf
646202	308212	Lena
646202	317649	Kassedame
646202	322481	Luderen
646202	343519	Kvinde i hvid kittel
646203	253942	Slavinden Flora
646204	34965	Prostitute
646204	110247	Dr. Simone Berger
646204	151680	Emmy
646205	27605	Herself - Politidirektør
646206	232845	Baby in Ultrasound
646207	88025	Lucy Gibbs
646207	107103	Little Girl
646208	24738	Eva Lenz
646208	94712	Luisa
646208	108623	Fenella
646208	147148	Doris (guest appereance)
646208	156996	Beate Bessen
646208	177194	Eva Holm
646208	182529	Tamara
646208	183480	
646208	272643	Member of drama company 'Quel
646208	290665	Ilse Berndt
646209	174431	Herself - Medical Doctor
646210	65224	Guest
646210	154376	Bit
646211	410302	Herself - Reporter (2003)
646212	83082	Lili
646212	322459	
646214	8097	Marie Berlot
646215	115555	
646216	179018	Karen
646217	108967	Marianne
646217	115555	Vera
646217	116313	Marianne
646217	322683	Adda
646217	349650	
646218	158226	Harpsichordist
646219	58643	
646220	9129	Sister Katherine Grace
646220	16729	Cissy
646220	53954	Girl
646220	81277	Dispatcher
646220	158076	Cathy
646220	238874	The Other Woman
646220	342001	Terry
646220	351169	Freedom East
646220	398347	Myrna (1974)
646220	399961	Gloria Unger (1971-1975)
646220	403821	Sally
646221	64613	Fredrik
646221	64625	Fredrik
646222	94337	
646223	106737	Library Patron
646224	304557	Waitress
646225	363135	Julia Berryman
646226	212333	Herself - Participant/Perform
646227	5179	Genevieve Rhodes/Vanity
646227	35356	June Hastings
646227	39469	
646227	46587	Patricia Wentworth
646227	47351	Cherry Blow
646227	47353	Gloria Thomas
646227	51768	
646227	65586	
646227	78189	
646227	84911	Mary Archer
646227	104308	
646227	107394	Ruth Shipman
646227	109433	Alicia Vanderveldt
646227	113637	
646227	128227	
646227	129567	Glory
646227	145827	
646227	146188	
646227	170802	Zoolah aka Princess Elyata of
646227	193562	Phyllis Manning
646227	194776	Princess Elyata
646227	196023	Lilly Belle
646227	200134	Queen Zixi of Ix
646227	206737	Old Soldier's Daughter
646227	207859	Lois Underwood
646227	209405	Maggie
646227	213229	Blondie Mazie
646227	234159	
646227	250523	Bell Ringer
646227	254463	
646227	260420	Polly Dutton, the PoppyGirl
646227	274349	
646227	278857	Lottie Bangor
646227	282333	Helen
646227	282389	The Princess
646227	282666	Daughter
646227	291726	Lurline
646227	292565	Cleo Burke
646227	294198	Trixie Snell
646227	323617	
646227	362816	
646227	364508	
646227	371013	
646228	48652	
646228	72850	Karen
646228	355347	Elsie
646229	184374	Ali
646229	252874	Olivia 'Libby'
646230	240171	
646231	327153	Mrs. Standish
646232	121373	
646233	26180	Molly
646234	212334	Herself - Participant/Perform
646235	10271	
646235	83521	
646235	84535	Ana
646235	102669	
646235	105635	
646235	159014	Empress Leopoldina
646235	199033	Ana
646235	205709	
646235	222149	Luiza
646235	292899	
646235	333696	
646235	380525	Kathleen
646235	381263	Paula
646235	382883	Verinha
646235	383561	Lúcia
646235	384266	Cassandra
646235	385043	Cíntia
646235	392031	Helga
646235	396844	Maria
646235	400597	Suzana
646235	400685	
646235	401932	
646235	402927	Olívia
646235	403245	Marina
646235	403617	Adélia
646235	405401	Paula
646235	406987	
646235	408414	Paula
646235	408727	Fernanda
646235	409937	Camila
646236	395394	Herself (Private Investigator
646237	2657	Student
646237	2658	Lynne
646238	82742	Vampire Woman 4
646239	383948	Synsk Dame
646240	206638	Herself
646241	240119	Kantinedame i 'Høye Nord'
646242	314951	Sassy
646243	78453	
646244	156726	Susi
646245	148995	Laura
646246	29523	Barfly
646246	326242	Bar Patron
646247	295472	Nellie
646248	13325	Bella
646249	80563	Cop #5
646249	110241	Belinda
646249	224192	Teenage Ryan's Girlfriend, Ch
646249	328211	Hooker with Bird
646250	125751	Herself
646251	30160	Esters moster
646251	117903	Fru Svendsen
646251	198064	Oldfrue
646251	322680	Deltager I strejkemøde
646251	398967	Christians Mor
646251	409349	Ella From
646252	168430	Pigen
646253	240612	Nurse Buckman
646254	233695	Michelle
646255	17435	Madame Boulard
646255	120169	Christophine Schiller, kid si
646256	258889	Helayne
646257	160363	Louise
646257	344075	
646258	21375	Mira
646259	318509	Airport Customer
646260	158873	Extra
646261	80785	Cathy
646262	233868	
646263	388430	Herself - Family Adviser
646264	403114	
646265	305861	Camilla
646266	1577	Mathilde
646266	315398	Herself/Marie
646267	257634	Additional Cast
646268	32861	
646271	43885	Charisse
646271	53037	Adrienne Palmer
646272	631	
646272	98351	Gräfin
646272	155412	Village Girl
646272	156751	
646272	158563	Hanna/Gertrud Becker
646272	179875	Mrs. Higgins
646272	224350	Anke's Mother - Ankes Mutter
646272	225254	
646272	259483	Maria
646272	259660	Maria
646272	281669	Frau Nissen
646272	352567	Sophie's Mother
646273	11137	Girl at Party
646273	22016	Girl
646273	34799	Judy Masson
646273	39328	Virginia Coleman
646273	74980	Marian Sheehan
646273	118810	Helen
646273	131721	Starlet
646273	200485	Bar Patron
646273	203691	Tess Cassidy
646273	242778	Herself
646273	249576	Joy Hampton, Party Girl
646273	257714	Linda
646273	267559	Constance de Voulois
646273	271153	B Girl
646273	271297	Lydia Grey
646273	306496	Ingrid
646273	330004	Ruth
646273	370572	Harem girl
646274	59759	New Victim #2
646275	387228	Herself - Host (1999-2004)
646276	403535	Herself - Participant (2004)
646276	403536	Herself - Participant (2004)
646277	352840	Birgit
646278	13852	Mary
646278	21735	Judy
646278	72114	Amy Thomas
646278	105831	Nikki
646278	234582	Sheila
646278	263057	Chambermaid #2
646278	304788	Clarice
646278	307359	Gabriella
646278	307360	Gabriella
646278	316294	Elizabeth
646278	333604	Eugenia
646279	105890	Little old lady
646279	158797	Mrs. Carmatti
646279	219248	Emily's Grandmother
646279	235212	Princess Tatiana's Maid
646279	288695	Grandmother
646279	308595	Sophie's Mother
646279	312813	Regina
646279	353362	Mrs. Schwartz
646280	178975	Jane
646281	264282	Olivia, hans kone
646282	139195	Nicky Nides
646282	277638	Beverly
646282	330108	Sam (Deborah Wilson)
646283	121401	
646283	166598	Janne
646283	284399	Gymnastiklærer
646283	304361	Lise
646283	331069	Frida
646284	383948	Sygeplejerske 2
646285	309292	Stuepige hos Isidor
646286	153367	Herself - Wife of Patient
646287	253008	
646288	145589	Herself - Former employee of 
646289	325854	
646291	108966	Mie
646291	108967	Mie
646291	108969	Mie
646291	108970	Mie
646291	108971	Mie
646291	108972	Mie
646291	108973	Mie
646291	108974	Mie
646291	116313	Cirkuspige
646291	155124	Herself
646292	48461	Lunch Room Folks
646293	399847	Herself - Frisørelev, Stuhr M
646294	303695	Elev i klassen
646295	381821	Ensemble (1979-1980)
646296	42142	
646298	280016	Additional Party Guests
646299	134750	
646299	158315	Patty Levasseur
646300	225256	
646300	389959	
646301	69504	Patty Flannery
646302	621	
646302	93203	
646303	72840	
646304	212814	Lili Covington
646305	309294	Kvinde
646306	55126	
646307	304820	Woman in Audience
646308	351798	
646309	284399	Kristine
646310	326851	Hilda
646311	405304	Herself - Resident, Plejehjem
646312	52048	Zelda
646312	116249	Herself
646312	232084	Sheila, the White Ghost
646312	304563	Burtoli's Blonde
646312	362052	Rich Wife
646313	133735	Nude girl
646314	379244	
646315	81604	Newspaper woman
646316	84222	Aline
646316	113216	Véra
646317	28518	Rikke
646317	84307	Sygeplejerske
646317	121028	1. gammeljomfru
646317	154624	Klinikdamen
646317	203968	Sonja
646317	207056	Leonora
646317	213336	Sygeplejerske
646317	213440	Servitricen Hanne
646317	237304	Johns kone
646317	240094	Hustru til bilist i bil med k
646317	240096	Kantinedame
646317	240098	
646317	240100	
646317	240101	Hustruen til politibetjenten 
646317	275219	
646317	317510	Anne
646317	320574	Kati
646317	392299	Rikke (1970-1973,1977)
646317	397074	Marie Hansen
646318	244678	Old Speis Görl
646319	290446	
646319	361422	Bertha
646319	376392	
646320	330258	Pub Singer
646321	203341	Kalka
646321	337414	Swedish Girl's Sister
646322	140427	Sanjana's daughter
646322	152474	Sara Williams
646323	12372	
646323	15079	
646323	33543	Suzanne Sérignan
646323	58548	Agnès
646323	68312	
646323	106742	
646323	123064	La serveuse
646323	170469	
646323	287052	
646323	353814	La servante
646323	357092	
646324	181332	Mother
646325	162739	
646326	409003	Lucila
646327	41274	Jane, model with shoulder-len
646327	106811	
646327	107142	Maxine Halbard
646327	178947	Nan
646327	183670	
646327	315682	Bride
646327	331312	The Girl (segment "In the Pic
646327	363460	June Hodge
646327	383985	
646327	401559	Caroline Harper
646328	241898	Child violinist
646329	105966	Jindrichova milenka
646329	246910	Anezka
646330	42953	Leni
646330	101971	Frau Zott
646330	180641	Anni
646330	352313	Ev
646330	396267	Kim
646331	33492	Babysitter
646332	54465	Dietlind Abate-Fetel/Power Bi
646333	223963	Tango Dancer
646334	126749	Reb
646334	263360	Bermuda (Hollywood Blvd.)
646335	275873	Girl
646336	277954	Belle's Babe
646337	61707	Martha Franklin
646337	137487	Mrs. Van Arkady
646338	14983	Popoffer
646338	84554	Herself
646338	210329	Herself
646338	210331	Herself
646338	210332	Herself
646338	210334	Herself
646338	210338	Herself
646338	210345	Herself
646338	210346	Herself
646338	249239	
646338	397397	Herself
646339	161305	Herself
646340	134517	Shaman
646341	250449	Herself (sports star)
646342	159981	Mrs. Bunn
646343	21198	Clerk at Front Desk
646344	398301	Herself - Presenter (1988-198
646345	126548	Glen's Wife
646347	225641	Dienstmädchen
646348	349513	Miss Simms
646349	348594	Marshalene
646350	74080	Herself (editor, Leg Magazine
646350	358562	
646351	11384	Clunb Receptionist
646352	78947	Dr. Olga Whittle
646353	99544	Mlle. Cardeille
646354	21365	Lucienne
646354	123448	Elza, Tom's mother
646354	263361	Jean
646354	373505	
646354	406069	Liz
646355	43885	Zombie Queen
646355	85002	First MacGrislee Sister
646355	350191	Montage Seductive Vampire
646356	93217	Extra
646357	65661	Blanche Sterling
646357	104879	Christabel Nuneham
646357	140418	Kate Craig
646357	228308	Liberty
646357	263942	Joan Templeton
646357	315890	Mary 'Moll' O'Hara
646357	358779	
646358	348221	Gaby George
646359	134247	A dutch girl
646359	280722	
646360	7888	Hairdresser
646360	44238	Babe
646360	105613	Woman in Strip Club
646360	190927	Reporter #2
646360	207136	Danielle
646360	265473	Julie Hollis
646360	279766	Secretary
646360	282152	Eve Flowers
646360	304795	Pandora Grimes
646360	329844	Alexandria
646361	78796	Margaret (at 10 years old)
646361	230603	Carmen
646362	104632	Herself
646362	104633	Herself
646362	104636	Herself
646362	104637	Herself
646363	66917	Rubber Fetishist
646364	220276	Montmartre Dancer
646365	248132	Herself
646366	79805	
646367	33596	Little girl
646367	131232	Extra
646368	382838	Marianne Dwyer (1992-1994)
646369	52531	Alice
646369	110751	Jenny
646369	169372	Sarah
646370	101881	
646370	199328	
646371	48652	
646371	138821	Ruthie
646371	269630	Fran
646371	318360	Opal, the masseuse
646372	319902	Wheel's Lady
646373	310186	Girl
646374	162460	Jennifer Stone
646375	10305	Julia
646376	87030	Betty Piper
646376	245632	Lisa
646377	105922	Sharon Blake
646378	108592	Sandra Dubois
646378	221112	Anna
646379	606	
646379	41953	Campaign Girl
646379	46431	
646379	279481	Groupie
646379	285008	Laura Pritts
646379	403661	Honey Bee Novak
646379	404282	Ingrid (1985)
646381	20625	Featured player
646381	51965	Waddy
646382	93897	Middle Aged Woman
646383	165134	Herself (auditioning for the 
646383	364281	Extra
646384	302748	Drink Pouring Girl
646385	330757	Passenger
646386	742	Herself
646387	257502	Sarah
646388	33730	Helen
646388	194810	Wife
646389	151777	Mother
646390	348944	Keyser's Wife
646391	56884	Laraine
646391	245089	Anthony's Mum
646391	348379	Susan, girl
646391	385299	Diane Lawton/Parker/Hunter (1
646392	18	Party Guest
646393	18037	Hatcheck girl
646393	45707	Rosa
646393	158138	Model 2
646393	360668	
646394	168645	Tupperware Lady #1
646395	80755	Ticket Lady
646395	401026	
646396	39836	Karen
646398	10420	
646398	327381	Susan Taylor, Fotomodell
646399	174315	Tara
646399	392521	Amba
646400	379031	Herself (2002)
646400	407173	Herself (2002-)
646401	142732	Sjuksköterska
646402	410462	Pernilla Sundin
646403	60278	Dancer
646403	322431	GoGo-tjej
646404	111567	Lina's mother
646404	136632	
646404	168850	Vanja
646404	172779	Eva-Lottas mamma
646404	172780	Eva-Lottas mamma
646404	244206	Jeanette Tullgren
646404	259353	Karin
646404	320512	Göran's First Woman
646404	320514	Anna-Lotta
646404	349075	Police in bomb squad
646404	353436	Eva
646404	375223	Margareta
646404	380343	Carina Olsson (1999)
646404	381602	Yvonne
646404	387040	Sara Morea
646404	402479	Marianne Hallberg
646404	405553	Maggan Dahlberg (2002-2003)
646404	405900	Karin
646404	408800	Lena Sjökvist (1994-1997)
646404	412047	Ulla Bering
646405	192827	Nikolaus Wife
646406	180101	Office staff
646407	340268	Mari
646408	351797	Kontordame
646409	16321	Journalist
646411	29556	
646412	210334	Herself
646413	48373	Siri
646413	174726	Sally
646413	192660	The Sallow Girl
646413	321971	Blonde Woman
646414	14964	Ava de Geer
646414	29556	Berit Sordin
646414	32385	Karin Lefjärd
646414	33098	Linnéa Dagmanner
646414	48361	Ia/Donna Anna
646414	101492	Margareta
646414	114776	Agnes
646414	122504	Anna
646414	129859	Mother
646414	130070	Magda Sall
646414	149480	Albin's Mother
646414	153062	Journalist
646414	167605	Inez
646414	171633	Secretary
646414	176770	Wallflower
646414	190809	Lilian Wall-Enberg
646414	192821	Ingrid Stromboli
646414	245804	Louise
646414	248500	Mia Eriksson
646414	252190	Post-office clerk
646414	259353	Gunvald's sister)
646414	289212	
646414	307773	Cecilia
646414	308199	Sylvia
646414	333051	
646414	343459	Eva
646414	355702	Holts mamma (episode 2)
646414	387262	Katarinas mamma
646414	388894	Mamma (episodes 1, 2, 3, 7)
646414	390231	Magda Sall
646414	394940	Baglady
646414	400112	Koftan
646414	408801	Brita Nilsson
646414	409675	Urcellen Ellen
646414	411580	Margareta at tourists' agency
646416	147008	Josefine
646416	405550	Briana Bråte
646418	304211	Third bridesmaid
646418	406775	Fru Ander
646418	408933	Modern
646419	320398	Hilkka's friend
646420	12964	Angela
646420	30171	
646420	38426	
646420	99887	Lina
646420	99889	Lina
646420	153733	
646420	174172	Lena
646420	182297	
646420	182816	Varja, fosterchild
646420	225670	Valya
646420	237033	Lina
646420	272511	
646420	303648	Witch
646420	305863	Angelica Borg
646420	325046	Ingrid, age 14
646420	349573	Cornelia
646420	351599	Nena, servant-girl
646420	387522	Lina
646420	390230	Strange Woman
646420	401126	Sonja, Pelles mamma
646420	405619	
646420	408339	
646421	42216	Mia
646422	30163	Maglena
646423	11693	Jonna
646423	32378	Knarkhandlarens hustru som un
646423	40315	Vera
646423	153753	Märta
646423	175352	Servitris (episode 3)
646423	180101	Lotta
646423	198380	Florist
646423	284141	Maria
646423	308199	Eva
646423	343459	Petra Hernberg
646423	354743	Lena
646423	361568	Lotta/Lotte
646424	48363	Countess Lejonflyckt
646424	182549	Mrs. Falkner
646425	10425	Ms. Bach
646425	11715	Margareta Sturesson/Dr. Kysza
646425	138181	Jenny
646425	322274	Aina Eriksson
646425	377442	Kuratorn (episode 2)
646426	136632	Lovisa
646427	118082	Beate Coldevin
646428	45652	Miss Ginger Rivers
646428	66766	Katy
646428	75625	Herself (Ford Model)
646428	168246	Margaret
646429	285738	Kodomo B
646430	106540	Twin
646431	106540	Twin
646432	253943	
646433	261049	Showgirl Dancer #7
646434	77587	Gigi
646435	14886	Sofia
646436	290717	
646437	77019	Kate
646438	26981	Clovis
646439	259534	
646440	189242	
646440	399689	Hannah Kenidi (1992-95)
646441	149866	Jarka
646442	285087	
646442	412004	Hrusková
646443	67934	Sociale Suus
646443	87414	Dream Mother
646443	158137	Desk Police Lady
646444	99071	
646445	6190	
646446	108221	Coralie Soulier
646446	306051	Bank Secretary
646448	226732	Jarmila
646449	237205	
646450	324678	
646451	228154	Woman in train station
646452	408175	A-zi
646453	411777	Zhou Qian
646454	217745	Art History Student
646455	76829	Sister
646455	121132	Shu Yin
646455	369931	Ma Feihong
646456	101216	
646457	93672	Verslaggeefster
646457	238480	Marokkaans meisje 1
646457	299990	Leila
646457	299991	Leila
646457	391102	Naïda (2002)
646458	353944	Aurélie
646459	168895	Jeune femme métro
646460	47437	Kiri
646461	27598	Herself - Participant
646461	403530	Herself
646461	403531	Herself
646461	403535	Herself - Participant (2003)
646461	403536	Herself - Participant (2003)
646462	340960	Chambermaid
646462	359202	Sal
646463	318781	Billie
646464	303861	Sheila
646465	191467	La femme du restaurant vietna
646466	46113	Tante Juliane
646466	155414	Janina Wisniewska (A Cleaning
646466	204418	Walpurgis
646466	204581	
646466	277674	Herzogin
646467	378943	Herself
646468	261863	
646469	299838	Barmaid
646470	113724	Oily Man in Video Shop
646471	397356	Alishba
646472	170338	
646472	382528	Fatima Silmandar
646473	35756	
646474	304288	Penny
646475	304288	Penny
646476	173132	
646477	255763	
646478	136879	
646478	176082	Special Appearance (Song)
646478	287189	
646478	306117	
646478	382439	Judge
646479	175011	Host
646480	382327	Galit Alkalai
646481	127779	Roppongi no Mai
646481	197489	Lemia Ausa, Xenobia
646482	8904	Tamiko Ashihara
646482	299350	Ms. Miyata
646482	381507	Mayumi Ozawa
646482	411297	Megumi Takeuchi
646483	115603	Yuki
646484	9562	Shino
646484	21345	
646484	21574	
646484	43064	Otoki
646484	91187	Nurse
646484	122150	
646484	138091	Okatsu
646484	145448	Oshiro, matron
646484	170337	
646484	173124	Mutsuko Aoki
646484	174876	Yakuza's lover
646484	182046	
646484	243367	
646484	288640	Harue Sakai
646484	334938	
646484	334960	Okoto
646484	341308	
646484	359353	Chiya
646484	373301	Atsuko Namiki
646484	379519	
646485	65557	Tina
646485	123107	Melody
646485	123110	Melody
646485	177084	Hiyama Hikaru
646485	177085	Hiyama Hikaru
646485	277456	Melody
646485	298957	Hikaru Hiyama
646485	319374	Patty (Gallforce)
646485	359057	Miki Morita
646485	369525	Pellegri
646485	382109	Unazuki Furuhata
646485	382110	Sailor Iron Mouse - Chuuko Ne
646485	387831	Mieko
646485	393982	Miyama Asfie
646485	394426	Elle Vianno
646485	394462	Hiyama Hikaru
646485	405175	Sarina
646485	409317	Karen
646485	411667	Kazumi
646486	65647	Hikaru
646486	146905	Chihiro
646486	217615	
646486	242190	Keiko Ehara
646486	336348	Choma
646487	2932	
646487	28058	Mieko Yoshimura (Episode 1)
646487	122950	
646487	179547	Ohatsu
646487	227189	Rika
646487	297182	Masako Sugiyama
646487	299615	Arare
646487	322488	
646487	336100	Shigeko
646487	406906	Sakurai Miyako
646488	168006	Cameo
646488	325206	
646488	341280	Mishima's Wife Number 2/Maid
646489	8593	
646489	8757	
646489	9569	Gomoko Yura
646489	78285	
646489	108653	O-baasan
646489	125265	
646489	137120	
646489	173719	Old Woman
646489	182042	Kin
646489	242119	Kuniko
646489	287556	
646489	299092	
646489	299405	
646489	358947	Kiyo Nishimura, old lady who 
646490	9417	
646490	123473	
646490	144213	
646490	288194	
646490	298951	
646490	298988	
646490	298991	
646490	308877	
646490	358131	Itokawa's Mother
646491	335270	Mourner
646491	391367	Kiriko Yamada
646492	9590	Haru Asai
646492	36321	Hana Nakama
646492	61051	Kaneyo, Nobuo's grandmother
646492	61221	Tama Katayama
646492	82818	
646492	101588	Grand mother of Mitsuo
646492	121214	Old woman
646492	122115	Kayo
646492	138486	Old woman
646492	145283	Yasuko Tajima
646492	161687	Osono, Matsuko's mother
646492	169694	Chiyo, Akio's mother
646492	173068	Unari Ryu
646492	177870	Kiku Watanabe
646492	206785	Old lady
646492	225901	Akiko's mother
646492	232543	Osen
646492	236166	Old Woman with Urn
646492	238439	Edamura's grand mother
646492	272225	Yone, Jihei's mother
646492	284076	Sama
646492	293487	Grand Mother
646492	294263	
646492	299128	Ayae
646492	324285	Old woman, pressing Camembert
646492	344967	Grandma in Yonakuni Island
646492	348868	Han Inumaru
646492	375584	Tama Katayama
646493	273151	
646493	273152	
646494	19636	
646494	136588	
646494	296635	
646494	296640	
646494	299153	
646494	375607	
646494	375611	
646495	9190	Nurse
646495	375558	Nurse
646496	9194	
646496	175752	Osai
646496	175820	
646496	205564	Okin
646497	88497	
646498	3256	
646499	154854	Edelbruck Clerk
646499	189242	
646499	359195	Yoshiko
646500	16724	Principal Blake
646500	106174	Mrs. Watson
646500	319090	Mrs. Borrows
646501	229554	
646502	167575	Shizuko Komai
646503	341794	Landlady
646504	238384	
646504	379483	Shindo
646504	384267	Haruko
646504	400541	Yayoi
646504	404788	Ryoko Enomoto
646504	405129	
646504	407369	Kobayakawa miyuki
646504	408352	
646504	411297	Midori Nakajima
646505	8667	Airan
646505	8897	
646505	9420	Akiko Miwa
646505	17105	
646505	17385	Atsuko, 2nd daughter
646505	18687	Yukiko Shimazaki
646505	23068	Misuko Yamato
646505	28129	Noriko
646505	29424	Noriko
646505	51273	
646505	61396	
646505	63542	Riku Oishi
646505	63544	[Go] (1939)  Oteru
646505	63546	'Ichiriki' nakai - O-Teru
646505	82817	Yukiko
646505	121710	Iku, Wife of Keisai
646505	122151	
646505	122237	
646505	137128	
646505	137360	Taeko Nasu
646505	140435	
646505	162685	
646505	171627	Sugiyama, manager
646505	176218	
646505	177121	
646505	178253	
646505	179216	Onami
646505	179348	Akiko
646505	181968	
646505	182403	Chiyo
646505	211720	Michiyo Okamoto
646505	223304	Chizuko Iwatani
646505	223305	
646505	233136	Amaterasu, the Sun Goddess
646505	234780	Nobuko's mother
646505	239297	Yasuko Ikeda
646505	242124	
646505	242131	
646505	242180	Ine, Shinjiro's wife
646505	279832	Oren Aikawa
646505	287110	
646505	293599	
646505	299242	Sachiko
646505	299300	
646505	300395	
646505	323122	
646505	324200	Osetsu
646505	334898	Takako Numata
646505	334930	Noriko
646505	334937	
646505	337218	
646505	348783	Tomiko Hojo
646505	349098	
646505	358131	Yukie Yagihara
646505	358412	
646505	370407	Daughter-in-law
646505	373332	
646505	375634	
646505	375639	
646505	378134	
646506	335506	Sayo
646507	110247	Amanda
646508	70854	
646508	73973	Ilonka
646508	89347	Stana
646508	136190	
646508	161948	Kidnapped Girl
646508	183279	Roxana
646508	198661	
646508	206706	Roxana
646508	212155	Daniela
646508	215093	
646508	246444	Simina
646508	279978	
646508	292894	Frumoasa
646508	292897	Lia
646508	352460	
646508	352466	
646508	399956	Ica
646509	352419	WAC sergeant
646510	2816	Cast of musical 'Avenue Q'
646510	138683	Kay
646510	152220	Robin
646510	395601	Nurse
646511	374633	
646512	344019	Michiko
646513	1413	Satomi (Bancho's sister)
646513	173069	
646513	293591	Yuriko Uchimura
646514	127947	Samantha
646514	130495	Chiaki Moriyuma
646514	153661	Kazuko
646514	173990	Miyoko Shiraishi
646514	179416	
646514	182341	Pianist
646514	359839	
646514	373333	Harumi Yoshii
646515	32149	
646516	8612	Yuki Shinoda
646516	8767	Terue Yamaoka
646516	9477	Hatsu Hashimoto
646516	13601	Okin
646516	28120	Otaki
646516	61220	Young wife
646516	62825	Akiko
646516	76870	Rin
646516	78333	Yoriko Ozaki
646516	96525	Mizue Tashima (mother)
646516	122956	
646516	140031	Shizue Aida
646516	149245	
646516	161704	Jinji
646516	167537	Aki Mizunuma/Miho Ikegata (pl
646516	174461	Keiko
646516	178251	Kitani Ryoko-sensei
646516	179391	Yukiko Matsushima
646516	179408	Morishita, Wakako
646516	179547	Yae
646516	180593	
646516	216223	Mie Shimazaki
646516	217366	Shizuko
646516	223294	Reiko
646516	232602	Shoko Mori
646516	238638	Chiaki's Mother
646516	242146	
646516	243497	Tomoe
646516	244983	Masako Katori
646516	253224	Shop assistant
646516	253392	
646516	271915	Lady Kaede
646516	293607	Keiko
646516	298818	Terue Otomo
646516	299010	Yoko (Iwao's wife)
646516	308879	Akiko Negishi
646516	320370	
646516	327006	Keiko Tatsumiya
646516	327962	
646516	334442	
646516	335383	
646516	341302	
646516	373218	The Snow Fairy
646516	394562	Ryoko Kitani (teacher)
646516	399496	Afusa
646517	179493	Kadokura, Megumi
646518	285615	
646518	300593	
646519	127199	
646520	21822	Watashi
646520	139492	Tao
646520	178415	Eiko Tachibana
646520	182044	Reiko Asabuki
646520	182341	Chieko
646520	216527	Yuki Murata
646520	226652	
646520	271628	Rika
646520	300042	Kate
646520	309779	Hitomi Okino
646520	327938	Mari Katsuragi
646520	334862	Tomoko Yoshikawa
646520	359839	Yu
646520	406651	
646521	137361	Ochiai
646522	373218	
646523	255872	10th Century Woman
646524	122146	
646525	307881	Linda
646526	381853	
646527	20203	Grace
646528	24664	
646528	189129	
646528	324712	
646528	332956	Tih Minh
646528	351554	Sara la bohémienne
646529	214346	Stuepigen Anna
646529	308229	Skolelærerinde
646529	322461	
646531	2250	Viva Las Vegas Showgirl
646532	320705	
646533	169400	Mrs. Haller
646534	28852	Leena
646535	110696	Dizõz
646536	23235	Queen Antinea
646536	33923	Esther
646536	90668	Anna
646536	129055	Miriam Miszrahi
646536	160980	Mado
646536	187450	Fiamma
646536	292581	Nicole Brent
646537	375537	Zohar's Mother
646538	216406	Victoria Zadok
646539	82524	Young woman
646540	162160	
646540	199801	
646540	219990	Christina
646541	180341	
646542	350772	Various
646543	19678	
646543	96201	
646543	97985	
646543	98023	
646543	98770	Anna anyja
646543	114761	
646543	144244	Ágnes néni
646543	153638	Schneider's wife
646543	214504	
646543	324708	
646543	377085	Feleség
646543	377815	Piri anyja
646544	110124	Françoise
646545	292449	Herself - editor
646546	96726	Kathryn Parker
646547	411802	Lisa Mansfield Carlton (1988-
646548	178680	
646549	356230	Model
646550	100730	Miss Nora Price
646550	175799	
646550	203212	Miss Johnson, Birnley's Secre
646551	102674	Coffee shop patron/office co-
646552	185503	Lyn Hughan
646553	403805	Hope Williams Thomas Brady Bl
646553	407453	Pro-Woman (2001-2003)
646554	316961	Girl at Dance
646555	43276	Princess Baru
646555	84132	Harriett, Nightclub Maid
646555	118543	Belle
646555	194220	Betty Scott
646555	198026	Floreal
646555	304096	Black drill team member
646555	304273	Maid #2
646555	334180	Waitress
646556	165848	Mopsus Lemnite Girl
646557	152793	Emma
646558	67597	Lisa
646558	114314	Joanne
646559	83558	Adult Party Goer
646561	11531	Woman in hower Room
646561	32846	
646561	35052	Megaphone voice
646561	41053	
646561	76912	Geli Wagner
646561	78699	Melkerin
646561	86517	Frau von Rübenstein
646561	95177	Marianne Dunckel
646561	101491	Midwife
646561	115006	
646561	125080	
646561	126462	
646561	147507	Ladenbesitzerin
646561	153713	
646561	170124	Schauspielerin
646561	174396	
646561	184405	
646561	184573	Knuts Mutter
646561	186607	Bestatterin
646561	211217	Lotte Lindenthal
646561	220512	Lipinski, Daughter
646561	259455	
646561	259494	
646561	259542	Offiziersschülerin
646561	259627	
646561	259674	
646561	285001	Grafin Biesluska
646561	290472	Hilde Müller-Bensheim
646561	308824	Gemüsefrau Raschke
646561	312639	
646561	312644	Evi
646561	324511	
646561	325532	
646561	341769	
646561	345665	Irene
646561	352171	
646561	352567	
646561	364920	Oma Ines
646561	366531	Cafedame (Lady at the cafe)
646561	406328	
646561	408948	
646561	409609	Frau Leberecht (1994)
646562	86034	Margot Frank
646562	341670	Sophie Martin-Wells
646562	398989	Hortense
646562	406695	Lili
646562	408716	Emma Carter
646563	42389	Wendy/Dizzy
646563	42390	Wendy
646563	95205	Enemy Keeper #3
646563	127751	
646563	144406	
646563	382358	Wendy/Dizzy/Mrs Potts
646563	388722	
646563	395268	Walking Stick/Lyca
646563	399921	Various Characters
646564	61899	'Ixpe' (primitive creature)
646565	264818	Resort Guest
646566	125478	
646566	170706	Visitor
646566	177369	Street Scum
646567	155237	Mom
646568	37133	Gina
646568	161392	Herself
646568	283546	TV Host
646568	389858	Dara Jensen (1996-2000, 2003)
646568	400236	Rika Price (1990-1991)
646568	401930	Assistant District Attorney D
646569	249585	Herself
646570	128807	Herself (Segment "Room Servic
646570	344524	Herself
646571	392430	Miho Umeda
646572	28035	Mujer detergente
646572	286238	Helena
646573	355808	Tiziri
646575	284885	Passager RATP
646576	353294	Academy Girl
646577	7241	Emilie enfant
646578	353700	
646579	112182	Cheerleader
646580	405209	Katie Jefferson (1998)
646581	407	Extra
646581	73885	Widow Woman
646581	158226	Extra
646581	272440	Equine Specialist
646581	307374	Cart Driver
646581	337649	Player
646582	255827	Bit Part in Church Scene
646583	6622	Diedre Rose
646583	117260	Sarah Purfoy
646583	283762	Ruby Russell
646584	216145	Housemaid
646585	35707	
646585	55674	Mrs. Brewster
646585	116016	Additional Voice Work
646585	220772	Mrs. Alexander
646585	228183	Mrs. Williamson
646585	245214	
646585	294060	
646585	366906	Old Woman
646585	399434	Rose Piper
646587	150974	Mattie Gormer
646587	185844	Girl in Bed
646587	196477	
646587	311524	Lesley Robertson
646587	323020	Gemma Kerr
646587	407365	Gemma
646588	27140	Ivy Smith
646588	86519	Daughter
646588	117008	Mother
646588	118623	Irene Rosser
646588	138716	Herself
646588	294060	Kerry-Anne
646588	343352	Hilary Gladstone
646588	384356	Rebekah Tennant
646588	390178	Gemma
646588	390906	Narrator
646588	405209	Madeline Trent (2000)
646589	70015	A Friend of Flossie's
646590	17697	Christine Stuart
646591	294529	
646592	368860	Herself
646593	176525	British general
646594	202195	Roseland Dancer
646595	237395	Ili barátnõje
646596	78514	En flika i sk.
646597	337649	Player
646598	337649	Mrs. Whitehall
646599	277851	Athlete
646600	119925	Boss's daughter
646601	226505	
646602	314740	Klara
646603	56967	Welfare Woman
646603	66991	School principal
646603	158543	Doctor
646603	399534	Barrister
646604	237431	Waitress
646604	257745	Abbie
646605	96817	Wilson
646605	131668	Lady Plymdale
646605	151168	
646605	155872	
646605	196047	Philippa Jameson Hatchard
646605	276264	Claire Millinder
646605	321400	Anthea
646605	323027	Marian Strange
646605	388786	Louise Fraser
646605	389146	Edwina Little
646605	397676	Barbara Lessiter
646605	402441	Vikki Brown
646605	407952	Patsy, Donald's wife
646605	408191	Rona
646606	79284	Angie, Miltie's daughter
646607	216446	
646608	391325	Susi Simmons
646609	132823	Herself
646610	306221	Mary
646611	253478	Rose
646612	273309	
646613	170843	Casitas Madres Exercise Atten
646614	69732	LaCrisia
646615	155331	
646616	71528	
646616	100533	Barbina Bertini 9-11 ans
646617	33742	Annette (Clearing Singer #4)
646618	205268	Woman in Audience
646619	41243	Sister Ellerby
646620	274427	Raysha's Maid
646621	273931	
646622	259749	Arloie's Baby
646623	1703	Herself - Presenter
646623	3044	Herself - Best Supporting Act
646623	3046	Herself - Presenter: Best Sup
646623	3053	Herself - Presenter: Best Ada
646623	3055	Herself
646623	13967	Janet
646623	35647	Herself
646623	55937	Nan
646623	70279	Maggie
646623	74110	Lane
646623	75602	Michelle Tippet
646623	80046	Libby
646623	83969	Dr. Samantha Hawkins
646623	108953	Arabella
646623	111783	Lacy
646623	114298	Dr. Leslie Rosen
646623	115943	Dr. Sara Jean Reynolds
646623	120660	Sharon
646623	124591	Frankie Stevens
646623	156787	Stage Manager
646623	157541	Adina Rowan
646623	171184	
646623	177419	Mrs. Susannah Lear Tumlinson
646623	179423	Angelina
646623	183183	Annie Pines
646623	185828	Joy Husband
646623	209591	Allison
646623	214050	Celia
646623	214054	Verna
646623	217745	Nancy Abbey
646623	224842	Celeste Boyle
646623	224843	Herself
646623	224844	Herself
646623	246021	Missy
646623	250573	Nancy Floyd
646623	259749	Lee Krasner
646623	293123	
646623	298120	Trish Vogul
646623	302432	Ava Gardner
646623	310112	Sara Holland
646623	310879	Susan Silverman
646623	311408	Shelby Goddard
646623	312141	Miss Cheevus
646623	324022	
646623	330368	Susan Silverman
646623	348838	Norma
646623	358659	Susan Silverman
646623	361229	Grace Sutherland
646623	387331	Andrea Haskell
646623	390045	
646623	390775	Jenny Moran
646624	65991	Jamey's Mom
646625	317309	MV Villager
646626	106255	Journalist Second
646627	252687	
646628	132212	Angel LaCuasha
646629	399936	Herself (interviewee)
646630	109139	Valeri
646631	137462	Dancer
646631	260118	Une danseuse
646631	307312	La musicienne nue
646631	315311	
646631	318716	Dancer
646632	92652	Flower Girl
646633	367039	Sister
646634	187418	Isabel Ludlow Three
646635	145482	Child
646636	264638	
646637	130201	Mayor's Pilot #1
646638	34831	Florentine Spira
646638	34832	Florentine "Flo Spira" Spiran
646638	115103	Heidi
646638	381694	Sarah (2003)
646638	390812	Floretine Spirandelli di Mont
646639	122781	Young Doctor
646640	16240	Bessie
646640	38258	Erika
646640	40957	
646640	48398	
646640	91022	Lisa Vossler
646640	91028	Eva
646640	95177	Michelle
646640	100350	Anwältin
646640	110430	Cora
646640	125069	Johanna Odinius
646640	134808	Jeanette (Tessas Mutter)
646640	138763	
646640	139055	Olga
646640	145482	Angel at the Library
646640	166731	Doris Ulandt
646640	170836	Rita
646640	171418	Giselle
646640	171726	Jutta Diekmann
646640	177377	Erika
646640	210931	Bela Trotzig
646640	231461	Ulla Jacob
646640	236039	St.Gabriela
646640	236831	Brunhilde Jakob
646640	254355	Maria Halmer
646640	259463	
646640	259620	Marks Mutter
646640	290198	Marlies
646640	290472	Eva Silberstein
646640	312097	Mutter Steffi
646640	312108	Aisha
646640	325422	Carla Hain
646640	350873	Dorothee
646640	352105	Camilla
646640	352220	Frederike
646640	361424	Sarah
646640	366563	Theresa
646640	376082	
646640	383292	Dr. Walter
646640	394619	Agnes Demper
646641	352222	
646642	10912	Edith
646642	51794	Vikki
646642	59244	Mrs. Healey
646642	96768	Molly Ann Hogan
646642	115628	Miss Sylvia Anderson
646642	169372	Wendy Morris
646642	280737	Jane Lewis
646642	299286	Shirley Thompson
646642	382396	Mrs. Jardine
646642	393685	
646642	403968	Jessie Farrar (1976)
646643	290652	Birgit
646644	74006	Convenience Store Clerk
646645	9188	Dumbfounded Patron #3
646645	154869	Essa
646646	104925	Mom
646647	190179	Model
646647	323389	Ellie
646648	10069	La logeuse
646648	12372	Une infirmière
646648	33543	
646648	43657	Une femme
646648	68336	La mère Pouplard
646648	135505	
646648	170925	
646648	188922	
646648	199305	Mme Lefrançois
646648	218331	
646648	261845	Amélie, l'épicière
646648	266242	Marguerite
646648	306154	La mère de Sarah
646648	339493	La paysanne
646648	345164	
646648	346566	Henriette
646648	353961	Rose
646648	378017	Mme Chinon, la femme de ménag
646648	380587	Mme Barbaroux
646648	381683	
646648	384186	Antoinette
646648	385183	
646648	388586	Mme Hartright
646648	389271	Marie Gaillard
646648	393397	Marie
646648	397506	Léli Tison
646648	399396	La hongroise
646648	402103	Mme Duparc
646648	403643	Une paysanne
646648	410473	Mme Arnaudon
646648	412250	Une commère
646648	412251	Berthe
646649	293021	Lab Technician
646650	89858	Her
646651	165445	Blanche Ingram
646651	395753	Jo March
646651	401274	Elizabeth Elliot
646652	17825	Helen
646652	35705	Pvt. Susan Christie
646652	69799	Call-Girl
646652	73913	Bella
646652	74207	Jane Woods
646652	141158	Tess Ellis
646652	154020	Stine
646652	164381	Pamela
646652	180787	Frances
646652	196074	
646652	210222	Rachel Lanham Franck
646652	217741	Cathy
646652	236688	Sue
646652	242502	Sue Stephens
646652	274994	Suzie
646652	277258	Carrie
646652	283500	Rachel Lindsay
646652	285286	Kaz
646652	305344	Donna Matkin
646652	338901	Carol
646652	346164	Ellie
646652	366180	
646652	379792	Decima Pomeroy
646652	383631	Student Nurse Karen O'Malley 
646652	397433	Tessa Pascoe
646652	405706	Vicky Sherringham
646652	408015	Rachel Hamilton
646653	64798	Gertrude Hudson
646654	363422	Rose Graybeal
646655	21422	
646655	158625	Wendy Watson
646655	261429	Cecily Rafting
646655	319006	
646655	406696	Annele
646656	20188	Dancers
646657	87561	Julia
646657	333102	Olive Tolman
646657	336710	Isabella
646657	385299	Eileen Webber
646657	405993	Murial
646658	14371	
646658	52413	
646658	82395	Corinne
646658	128003	Caterina
646658	154434	Mistress
646658	205826	
646658	261527	
646658	328058	Ann
646658	346854	Herself
646658	371538	
646659	328258	Ice Cream Fight
646660	31668	Fat Girl
646661	32241	Ashley
646662	37525	Sally, Sheriff's Secretary
646662	161293	Herself
646663	231126	Limo Driver
646664	60016	Women on Street
646665	361843	Mrs. Benson
646666	215691	Miss New Mexico USA (Top 15)
646667	59096	Tanya
646667	162533	Lindy
646667	205268	Linda
646667	314770	
646668	88111	Girl Dancing with Ryes
646669	308338	
646670	134522	Indian Villager
646671	5197	Christy Sullivan
646671	37189	Cathy
646671	44833	Monica
646671	58162	Mary Beth
646671	58769	Jill Hallman
646671	95874	Linda Evans
646671	102338	Calamity
646671	130769	
646671	140658	Brooke Hayward, age 11
646671	147781	Summer Rosner
646671	150075	Carol Spencer
646671	162345	Katie
646671	184232	Sandy Thomas
646671	191899	Michele Pierson
646671	213861	Teresa
646671	235059	Carmel Hill (Rev. Hill's Daug
646671	246422	Jane
646671	248008	Janette
646671	260786	Sasha Leon Hoffner
646671	273800	Robin Banks
646671	280174	South Seas Club Singer
646671	295320	Laura
646671	309489	Whitney Dunbar
646671	330430	Chloe Garrett
646671	337084	Claire Poulet
646671	346234	Agent Clydesdale 'Clyde'
646671	362141	Amy Warner
646671	381754	Joy Villafranco (1985)
646671	384456	Melora
646671	385141	Barbara Arno
646671	386437	Frances 'Baby' Kellerman (198
646671	388360	Tess Benjamin (1983)
646671	404720	Micki Carroll (1980-1981)
646671	408157	
646672	64940	Mrs. Cintra
646673	47778	Undetermined Role
646674	247272	Sarah Bucklin
646675	646	Joanie
646675	147737	Candy
646676	27065	Woman on Boat
646677	90813	Cast
646678	196571	Party Goer
646679	113385	Prostitute
646679	144663	
646679	234849	
646679	341499	Ticket Clerk
646680	406765	Mary Fitzpatrick
646681	297626	
646682	17183	Daisy Sage
646682	38361	Marion Forsythe
646682	63009	Aunt Matilda Reed
646682	69230	Madame Vidal
646682	69673	Caroline Ogden Standish
646682	85183	Shirley Mortimer
646682	91738	Joan Colby
646682	96816	Lady Isabella
646682	100662	Mrs. Lotty Wilkins
646682	106614	Norma Lawry
646682	114867	Doctor Mary White
646682	118232	Julie von Marwitz
646682	123136	Sally Wyndham
646682	128371	Minnie
646682	143356	Vera Kessler
646682	147511	Linda Seton
646682	147707	Herself
646682	155033	Jane Stone
646682	163283	Mary O'Connor
646682	165558	Lucille Conway
646682	165561	Lucille Conway
646682	183609	Anne Talbot
646682	190210	Vergie Winters, aka Virginia 
646682	195589	Carol Howard
646682	200500	Fanny Bowditch Holmes
646682	203175	Helen Hopkins
646682	215862	Marjorie Davies
646682	232822	Gracie Thornton
646682	235162	Sophia
646682	248987	Mary Hutton
646682	253898	Mary, Duchess of Towers
646682	263247	Therese Du Flos Verlaine
646682	278280	Dr. Margart J. 'Peggy' Simmon
646682	316110	Mary Carmichael
646682	331087	Mrs. Brandt (Captain)
646682	343206	Katherine Robinson
646682	347335	Stella Masen
646682	362893	Claire Woodruff
646682	366982	Miss Paula Young
646683	50611	Mrs. Miller (Margaret's Mom)
646683	62037	Reporter #1
646683	72319	Candice's Mothe
646683	82444	
646683	242044	Mrs. Packer
646684	382932	New York Interpreter
646684	385978	Susan
646684	388821	Juliette Vishnevski
646685	218798	Lady Shoplifter
646685	240835	Gertrud
646685	314780	Chambermaid
646685	393653	Mrs. Jarvis
646686	18955	
646686	313872	Jill
646687	62076	Curly's wife
646687	137956	Rhoda
646687	372882	Josie
646688	68166	Older Mother
646689	97699	Funeral Singer
646689	154621	Olga
646689	188227	Patron in Chinese Restaurant
646690	386963	Tara Keane (2002-2003)
646691	289673	Theater Employee (Segment "De
646692	77299	
646692	111677	Lady Clavering
646692	235432	Matron
646692	251397	Mother
646692	311466	Adrienne de Gervais
646692	335821	Mademoiselle Cibot
646692	362867	Princess Lontaine
646692	364530	Signora Consalvi
646693	131240	Cancan girl
646694	265558	Herself
646695	134563	Stripper
646696	44759	Audri
646696	117086	
646697	183834	Baroness's Maid
646697	242377	Police Trainee
646697	397793	Anna Schmidt
646697	401421	Frieda Lawrence
646698	395280	
646698	399963	Percy
646699	13224	Waitress
646699	120094	Danielle
646699	142889	Vicky
646699	318174	Crazy Diner Lady
646699	348605	The Homeless Woman
646700	312348	Cindy
646701	148383	Josie Blazer
646702	56647	Woman at ball
646702	166345	Girl
646702	195688	
646703	235491	
646704	85666	Ann
646704	340542	Rachel Devery
646704	358724	
646704	397126	Ann
646704	403343	Regular
646705	333311	Little Girl
646706	116523	Woman
646706	144450	Information Girl
646706	222326	Betty Walsh
646706	289575	Marie Journet
646706	361070	Student
646706	367502	Victim
646707	385299	Eleanor Cunningham
646708	51603	Kristen
646709	411392	Herself (special feature segm
646710	339048	Nun
646711	333311	Little Girl
646712	353360	Lisa Clarke
646713	17618	Annabel Lee
646713	28989	Marie
646714	217955	
646715	126067	Chorine
646715	163544	Dancer, Page
646715	313076	Dancer
646716	324193	
646717	148383	LaVon Mori
646718	86968	Herself - Freddie Frinton's W
646719	344184	Dr. Krystal Lite
646720	3251	Performer/Herself
646720	87597	Performer
646720	133412	Performer
646720	228303	Performer
646720	311953	Herself/Performer
646720	401889	Herself - Girls Aloud
646721	115312	Helen
646722	1437	Herself
646722	1445	Herself
646722	46299	Gina
646722	57657	Herself
646722	96555	Herself
646722	228976	Herself
646722	264991	Sally Nelson
646722	335564	Herself
646722	335566	Herself
646723	388765	Herself - London Historian, B
646723	411497	Herself
646724	400530	Pupil
646725	289468	Teenage Girl
646726	161277	Herself
646726	161348	Herself
646727	79449	
646728	134097	Nurse
646729	396477	Abhimanyu's wife
646731	368654	Talent Agent #5/Nun
646732	34581	The Sorceress
646732	150924	Young Nurse #1
646732	232203	Kathy
646732	313046	Polly
646733	286119	
646734	73217	Nikki
646735	169139	Wife
646736	104999	Lola Bruckner
646737	189059	Bosmat
646738	203492	Opera Chorus
646739	265475	Narrator
646740	130239	Alt
646742	18552	Flashy Woman
646742	19557	Virgin
646742	22185	Vivian
646742	56098	Doris Ferris
646742	62536	Andrea
646742	67601	Maid
646742	78793	Miss Dennis, Saleswoman
646742	103278	Girl
646742	123456	Celia
646742	124713	Mrs. Devlin
646742	133807	Young girl
646742	148423	Nurse Eloise
646742	158948	Amael
646742	162449	Elaine Kessler
646742	175621	Sheila Hamilton
646742	185836	Laura Valon
646742	192410	Sally Gardiner
646742	194062	Receptionist
646742	194223	Mrs. Emerson
646742	196882	Martha Vurn
646742	232090	Teacher
646742	257857	Estelle Chase
646742	265775	Woman in Restaurant
646742	289030	Jackie
646742	304065	Stewardess
646742	308127	Nick's Secretary
646742	308592	Queen Maria
646742	346914	Assistant Ballet Instructor
646742	366419	Secretary #2
646742	372081	Blondie
646742	386049	Karen Hadley
646742	404570	La Comtesse
646742	411221	Mrs. Lacouture
646743	94301	
646743	136905	Anny
646744	15073	Viola Kern
646744	93432	Bardame
646744	93479	
646744	164270	Bibi
646744	189609	Viola Kern
646744	332762	
646744	334607	Helli
646745	119264	Brigitte
646745	313670	Sabine
646745	313671	Sabine
646745	389839	Nadine
646745	407324	Various Characters (1996-1997
646746	4747	
646746	4804	Mabel
646746	5659	Christa
646746	21403	Elisabeth, seine Tochter
646746	29811	
646746	40989	
646746	60675	Gabrielle
646746	78284	
646746	78608	Daphne
646746	82156	
646746	91131	Christine
646746	91177	The Queen
646746	98267	Frau Werner
646746	100987	Frau Lehnhoff
646746	108181	
646746	109321	Lisa
646746	126841	Viola Dolleen
646746	142132	Ursula Werndorff
646746	143798	Hermine
646746	147178	
646746	153726	Cilly Kastor
646746	166404	Annemie Kolpe
646746	173050	
646746	189448	
646746	189585	Delia Vigo
646746	189654	
646746	189684	
646746	189744	
646746	199733	Gerda Wienholt
646746	204497	Monika Hesse
646746	211113	
646746	225307	
646746	260851	Youki, Boris's wife
646746	272783	
646746	289984	
646746	290015	
646746	290755	Else
646746	290801	Frau Uexkull
646746	293538	
646746	308217	Erika
646746	317611	
646746	325839	Frau Wex
646746	325921	Frau Boeble
646746	336527	
646746	337124	Frau Steinhof
646746	343489	Hilde Brocksieben
646746	343698	
646746	345009	Grete
646746	353075	
646746	354079	Marianne Müller
646746	361407	Thekla
646746	376462	
646746	381580	Frau Lindinger
646746	389093	Charlotte Liebscher
646746	393254	Oma
646746	395511	Liebling's Mutter
646746	404488	Käti (1985-1986)
646746	409627	
646747	43918	Lawyer's Assistant
646747	142889	Airline Ticket Clerk
646748	270423	Rachel
646748	352218	Lisa
646748	399162	
646749	41463	Shina
646749	108848	Additional Voices
646749	124036	Youko Yoshinodou, Marie Yoshi
646749	128991	U-1
646749	275031	Kirie
646749	280236	Axl
646749	298347	Tao Lin Xia
646749	298425	Guixiang Lee
646749	301644	Confessor
646749	355145	Menu Announcer
646750	169027	Rosita
646751	99570	
646751	136447	
646752	110319	Ballet Student
646753	117308	Frl. Iris
646755	231872	
646756	37995	Sheila Briggs
646756	97457	Townie
646756	241243	Doctor
646756	267486	Mrs. McCarten
646756	289496	
646756	383078	Sian
646756	384634	Sarah Wilson
646756	400111	Policewoman
646756	400516	Paula Bennett
646756	408191	Alice Broughton
646757	203358	'Saturday Night Live' Band
646757	288703	Herself
646758	61427	Joanna
646758	80719	
646758	282113	
646758	289939	
646758	323813	Gucci Assistant
646759	259271	Nerida
646760	337099	Herself (critic)
646760	392482	
646761	10730	Alice
646761	10732	Alice
646761	10767	Alice
646761	10776	Alice
646761	10792	Alice
646761	10793	Alice
646761	10797	Alice
646761	10799	Alice
646761	10804	Alice
646761	10809	Alice
646761	30071	
646761	137535	
646761	140348	
646761	179021	
646761	244999	
646761	315286	
646761	326402	
646761	332757	
646762	276789	Lady-in-Waiting
646763	385020	Naomi Russell (1998)
646763	403849	Lizzie Kennoway
646764	58931	Miss Bruce, Franklyn's Guest
646764	278280	Sister Elizabeth
646765	85922	Sarah Ferguson, Duchess of Yo
646766	18311	Herself
646767	279860	Reporter #3
646768	292016	
646769	47502	
646769	242734	
646770	228164	The Western Swingers
646771	216804	
646772	88030	
646773	184828	Femme Fatal
646774	72931	Goodyear Chorus Girl
646775	257987	
646776	48964	Granny Bradley
646776	60703	Rose
646776	213995	Mrs. Tulliver
646776	394232	Aunt Izzie
646776	394579	Gran
646776	401145	Railway Passenger #1
646776	408299	Headmaster's mother
646776	410714	Jane Presset
646777	84918	Mrs. Parfitt
646777	162543	Lizzie Twohig
646777	249236	Phyllis
646777	379352	Aunt Polly
646778	136828	Relative
646778	264161	Courtier/Girl Graduate
646779	20049	Ans van Leeuwen
646779	33625	Germaine de Stael
646779	67667	Angela
646779	91259	Nanny
646779	110550	Bank lady
646779	115606	Lex's Mother
646779	124903	Irma
646779	126858	
646779	211186	Mariëtte
646779	229410	Miriam
646779	355772	
646779	373535	Eva Jansonius
646779	410709	
646780	195771	Person at the Paris Opening
646781	343160	Woman
646782	360228	Angela Barton
646782	368952	Waving woman
646783	310091	Cantina Mamacita
646784	176956	Dancer
646786	23536	Old Woman
646786	51661	Karaoke party guest
646786	89327	Other Cast
646786	199979	Grandma
646786	236873	Woman Patient
646786	272859	Complaining Patron
646786	283543	Mrs. McArdle
646786	288739	Mrs. Sweeney
646786	294795	Rose
646786	297756	Pet shop woman
646786	309153	Mrs. King (Organist)
646786	340901	Senior Citizen
646786	347241	Old Woman
646786	360536	Old Lady
646786	362808	Documentary couple #5
646787	16948	Une religieuse
646787	97924	
646787	103198	La mère
646787	155680	
646787	198606	Berthe
646787	207771	L'assistante sociale
646787	218278	Marie Fabre
646787	276545	
646787	320516	Simone's Mother
646787	339498	Mme Fromek Mère
646788	171346	
646789	65786	Jane Jarvis
646790	252141	
646791	408868	Susie Harwood
646792	12651	
646792	63655	Ophélie
646792	67233	
646792	104646	Singer
646792	104738	Monegasque entry (5th place)
646792	132866	Lisa
646792	132877	Herself
646792	161765	Herself
646792	164671	Herself
646792	184784	
646792	207092	La compagne de l'officier amé
646792	218513	Herself
646792	269709	
646792	270852	
646792	286324	Herself
646792	300613	Herself
646792	346439	Anna
646792	377811	La sorcière-princesse
646793	217223	Schoolgirl
646794	168531	Harem girl
646794	310800	Dumb Blonde
646796	163203	Pretty girl #2
646797	70362	Mom
646798	49344	Derek's mother
646798	355161	Marie Lang
646799	20188	Dancers
646800	30128	Coke Licker
646801	94457	Stick Salesgirl
646801	163203	Alyssa
646802	381870	Presenter (2000-
646802	381887	Herself
646802	390099	VW Family Member
646802	397912	Victoria "Vicki" Wiggins (epi
646803	36855	Herself
646803	381898	Herself (2002)
646803	381917	Herself - Evictee #11: 23 Jun
646803	398050	Extra Contestant (2001)
646804	43168	Herself (author 'Bollywood Bo
646805	353818	Secretary Mairie
646806	269071	Mary Beth Vernezze
646807	65184	Kid sneaking into movie
646808	69381	Announcer
646809	348229	Neighborhood Watch Member
646810	40716	Amy Brannigan
646810	208661	Hilary
646810	222317	Sandra/Kia
646810	232051	Katherine Reggiani
646810	306051	Gregor's Date
646810	383374	Dr. Suzanna Cassell
646811	157064	Jill Bioskop
646811	273942	Anne
646811	309454	
646811	390861	Charlotte Strauss (2000-)
646811	408660	Herself (1999)
646812	194339	June Coukos
646813	313812	Joelle Rowland
646814	5691	Ninette, Zofe
646814	280800	
646815	241778	Woman on street
646816	75299	Althea Gardner
646817	101881	
646817	201189	Roberte
646817	353301	
646817	388419	Soeur Vincent (segment "L'étr
646818	340812	Out of it Woman
646818	391368	Sally Marshall
646818	399130	Rhonda Brumby (1995)
646818	402718	Zoe Solomon
646819	248448	Aunt Josie
646820	390341	Phyllis McTaggart (episodes 1
646821	206795	Cindy Collins
646822	137462	Dancer
646822	308598	Dancer
646823	67640	La grand-mère Scolino
646823	76670	Madame Woeste
646823	83336	La secrétaire
646823	144389	Mother of Sarka
646823	207806	Woman at the Snack Bar
646823	226791	Bar patron
646823	261843	
646823	331005	Nathalie (the Mother)
646824	110363	Woman
646825	195523	Leslie
646825	254512	April Popko
646825	257293	Lesley
646825	392451	Georgia (season 2)
646825	392666	Nicole
646825	404559	Sarah Cuthbertson
646825	406007	Keisha Thomas
646826	119585	Bus Station Waitress
646826	127834	Policewoman
646826	383654	Mrs. Gordon (1983-1984)
646827	90329	Francine MacLaine
646827	128709	Hannah Haynes
646828	318119	Melle de la Brunerie
646829	220766	Neighbour
646830	219125	Blue Woman 2
646831	389417	Lyddy Benson (Year Unknown)
646831	411811	Jill Malone #3 (1962-1963)
646832	56048	La femme de Coll Murray
646832	83359	
646832	139287	
646832	144359	Elise
646832	170355	
646832	193430	
646832	267624	La grand-mère
646832	279439	Linda
646832	291584	(segment "Purée, La")
646832	325235	Michela
646832	331395	Lisa Milan
646832	341028	Sophie
646832	345128	Virginie
646832	366265	Ann
646832	377946	
646832	384287	
646833	334312	Stripper #2
646834	193108	Cindy #3
646834	216737	Dancer
646834	283543	Dancer
646835	120233	Young Heather
646835	191832	Sofia
646835	222704	Little Laurie
646835	227502	Child Margaret
646835	258951	Joy, Age 9
646835	346234	Buzzy
646835	354520	Julie
646835	367634	Eileen
646836	408868	Sara Harwood
646837	228164	The Western Swingers
646838	408880	Wild Child
646839	238094	
646840	61977	Laid-off Circus Performer
646840	62649	Dorothy's mother
646840	71794	Nurse
646840	117748	
646840	119482	
646840	119531	Dickie's Nurse
646840	231526	Greta
646840	260112	
646841	69381	Mourner
646841	117210	Pensioner
646841	338746	
646842	141329	Nurse Shields
646843	229673	Twin
646844	381072	Inge Ines
646845	18021	Mrs. Bunker
646845	69381	Mrs. Lea
646845	69393	Mrs. Lea
646845	69405	Mrs. Lea
646845	77613	
646845	87631	Bella Brown
646845	91717	Woman Police Sergeant
646845	143569	Mrs. Fisher
646845	146631	May Pant
646845	147548	Mrs. Mabel Butler
646845	169818	
646845	186639	Molly Weaver
646845	223402	Mum
646845	231521	Mrs. Martin
646845	231998	
646845	233970	Customer
646845	235157	Mrs. Maybridge
646845	236779	Sister Mary of the Sacred Hea
646845	240706	Stan's Mum
646845	242583	
646845	257110	Lil Flint
646845	292121	Mrs. Hawkins
646845	297888	Amelia Reeves
646845	299751	Milena
646845	316272	Nellie
646845	331174	
646845	332768	Nurse Brady, hospital propert
646845	364556	Rose Pratt
646845	384815	Gran
646845	385020	Alice Pickens (1968-1969)
646845	386274	Dora Coleman
646845	400177	Mum
646845	404664	Queenie Baxter
646846	220844	Nancy the Newscaster
646847	355157	Valery
646848	62710	Friend
646849	360027	Drunk Cheerleader
646850	90932	Partygoer
646850	167324	Reporter
646851	278272	Mrs. Rivers
646852	16915	Marilyn Lord
646852	144453	Mary Lou
646852	155293	Audition Girl
646852	155294	Bubbles
646852	183638	Mary Lou
646852	227150	Herself - Band Vovalist
646852	298441	Susanna Weaver
646852	302467	
646852	337468	
646852	361642	Ellen Yeager
646852	371857	
646853	155731	
646853	294909	Girl in Bedroom
646854	190197	Anne Hathaway
646855	14868	
646855	214862	
646855	266150	
646855	269075	Marzia Baroni
646856	315198	
646857	123380	
646858	371100	Flower Girl
646859	4784	Großmutter
646859	25501	Gloria, Filmstar
646859	32768	Fräulein Niederalt, Secretary
646859	42622	
646859	48411	Therese Krones
646859	93495	Vera Petrowna
646859	94301	Rose Karnigg
646859	95263	Georgia Pauly, geb.Engelbrech
646859	103023	Anna Plochl
646859	115200	Rosalinde Eisenstein
646859	119255	Helga
646859	125283	
646859	129323	Irene von Weyden
646859	134795	
646859	142075	Martina Lehnhof
646859	142256	
646859	156701	Frau Sacher
646859	180005	Countess Ballansky
646859	189774	Dr. Käthe Nimrod
646859	196332	
646859	226165	Barbara von Tretini
646859	242841	Elisabeth
646859	244684	
646859	278952	Carla Holm
646859	281091	
646859	281954	Marie Dagobert
646859	290442	Die Fiakermilli
646859	292096	
646859	311237	Gräfin Lichtenfels
646859	325739	Frau Ehmann
646859	335026	Gloria
646859	335029	
646859	338421	Carla Holme
646859	345012	
646859	350304	
646859	359645	
646859	365001	Christine Lechner
646859	365011	Millie Trampusch
646859	390924	Marion Devoree
646860	80921	Herself
646861	135161	Shauna
646863	220219	La femme du bar
646864	224075	Loretta
646864	257903	Young Woman Jesse Kiplinger c
646864	342653	Mrs. Riley
646865	227544	
646866	218300	Corinne
646867	306950	La Mère
646868	81649	Student #2
646868	194410	Baby Prostitute
646869	3202	Nurse
646869	48652	
646869	62053	Woman at Demonstration
646869	95877	Hilda Nielsen Gunnerson, the 
646869	160336	Gloria Goslett
646869	365148	Mrs. Forbes
646869	387152	Hilda Nielsen Gunnerson
646869	400772	Mrs. Nottingham
646870	69843	Miriam
646871	90881	Iraqi Guide
646872	268980	
646873	2691	Viviane Sperling
646873	24364	Lena Berg
646873	34412	
646873	36480	Rabia
646873	36481	Rabia
646873	38771	Beata Nelken
646873	40957	Eva Blond
646873	40958	Eva Blond
646873	40959	Eva Blond
646873	40960	Eva Blond
646873	50021	Herself (actress)
646873	51458	Maria
646873	59568	Sabine Kroeger
646873	91042	Madeline
646873	102528	Frau Schmächtig
646873	107834	Else-Marie Bukonje
646873	108531	Duke
646873	119704	Helen Berg
646873	124908	Else Sachs
646873	124998	Bibi
646873	125218	Lisa Mosdi
646873	130994	Kerstin
646873	134601	Cora Dulz
646873	134996	Nurse 2
646873	137949	Gertrude
646873	140224	Emmi Voß
646873	155401	Bozena Nemcová
646873	159622	
646873	162451	Bettina
646873	167149	Flora
646873	178627	Detective Meffert
646873	179005	Schwester Labor B
646873	202732	Maria
646873	218435	Helene
646873	259675	
646873	289931	Maria
646873	296365	Lucy/Sadie
646873	307651	Anna Weller
646873	312099	Lisa Mohrbrink
646873	315034	Monica Lundin
646873	317499	Gisela Grosche
646873	324511	
646873	325639	Anna Cordes
646873	325920	Dr. Lore Ewers
646873	328992	Fliegergeneral Harras
646873	329672	Thea
646873	335992	Stromberg
646873	338933	Therese Forster
646873	347807	Magda Goebbels
646873	351969	Vera Brühne
646873	352501	
646873	352567	Sophie
646873	352768	Michaela
646873	358934	
646873	361478	Heike
646873	370700	Teacher Rathjens
646873	376476	
646873	377372	Vera Haeusler
646873	409609	Dr. Lilo von Barnim (1991-199
646873	412212	Vera Haeusler
646874	314364	
646875	48792	
646876	311427	Teenage Safe House Girl
646877	170543	Herself
646877	231496	Herself
646878	39441	FBI Tech
646879	381489	Herself/Assistant
646880	43904	Woman on Porch
646881	258079	Virtual Reality Girl #2
646882	26998	Actress
646883	7212	Rendi
646883	29311	Marisa Benoit
646883	40721	Melanie
646883	113617	Lisa Karsh
646883	123304	Etta Place
646883	127322	Donna
646883	139173	Anita
646883	161288	Herself
646883	168195	Nicole
646883	184093	Myra Okubo
646883	186841	Hooker At Bar
646883	221155	
646883	252998	Jennifer
646883	253059	Darcy
646883	257196	Ellie Harrison
646883	320370	Jill Banner
646883	361178	Joey
646883	383315	Didi Edelstein (1995-1996)
646883	386863	Jesse Smith (1986-1987)
646883	388237	Carly Fixx (1988)
646883	392423	Herself
646883	395275	Det. Olivia Benson
646883	398213	Herself
646883	399439	Paige Price
646883	402170	Det. Nina Echeverria (1997)
646883	407853	Officer Angela Garcia (1992)
646884	334148	White Sailor Dancer
646885	154087	Mrs. Carruthers
646886	6200	Legislator
646886	9879	Mrs. Ranney
646886	33376	Miss Rogers
646886	37883	Roberta Strangis
646886	109497	Sara
646886	147767	'Mom'
646886	168645	Woman at Piermont
646886	185429	Janice
646886	230354	Prostitute
646886	234856	Mrs. Manning
646886	246761	Ma Rayburn
646886	304341	Reporter
646886	363393	Hotel waitress
646886	364429	Paulette
646887	158528	Mrs. Johnson
646888	89030	Herself (English Pet of the Y
646889	97553	Rosalee
646889	277254	Laurie Kelly
646889	336647	Waitress
646890	405209	Suzie (1999)
646891	153633	Mrs. Linnell
646892	45865	Kimberly
646892	115100	Patty McIntyre
646892	134713	Linda
646892	200330	Christine
646892	277875	
646892	285726	Daphne
646892	308173	
646892	333121	
646892	397127	Chloe Drescher
646893	19202	La cantatrice
646894	1378	
646894	14231	Ticket Lady
646894	16885	Cynthia Nicholls
646894	67801	Monica Wilkes
646894	107800	
646894	145715	Doreen
646894	158543	Mary Winter
646894	163354	Mrs. Butterworth
646894	232873	Soup Lady
646894	256211	Pink's Mother
646894	273834	Kath
646894	311608	Pauline
646894	382695	Mrs. Grieve
646894	385020	Christine Hardman/Appleby (19
646894	389794	Lizzie Scanlon
646894	392019	Gloria Pitts
646894	405011	Olga Kepple
646894	406286	Mrs. Williams
646895	364205	Bar Lady
646895	399816	Marilyn MacDonald (1974-1975,
646896	401779	Reporter
646897	26285	Mrs. Fisher
646897	80699	Ticket clerk
646897	118934	Chatter
646897	194456	Lady Corner
646897	384783	Clare Farrell/Vickers
646897	385299	Rosemary Hunter (1975)
646897	386604	Dr. Cheryl Barnes
646898	72034	Célestine
646899	129573	Wendy
646899	140678	Young Maid
646899	192171	Henrietta
646899	393653	Stella
646899	399531	Phyllis Slater
646900	299198	Bikini Girl #2
646901	55711	Ruth MacKay
646902	133382	Herself
646903	145414	Marie Rudolph
646903	344970	Rammy
646904	215453	Blind School Student
646905	269503	Chanteuse guinguette 1
646906	169517	Headbanging Sporting Girl
646907	222599	Liza Smith
646907	411859	Mata and Hari
646908	26293	Admitting Nurse
646908	264137	Meriam's Mother
646908	332146	Cashier
646908	389275	Cafe Nervosa Waitress (1994-1
646909	263500	Bhana sister
646910	3795	Herself
646910	390584	Herself (Episode: Mata Hari)
646911	14577	Balinese Dancer
646912	186579	Featured
646912	403241	Herself
646913	72288	Girl
646914	101400	
646915	301391	Car Radio Voice
646916	5244	Bianca Alfandari
646916	129644	
646916	137871	
646916	169974	Dr. Rachel
646916	206565	
646916	284856	
646916	286107	Frieda
646916	299961	Betty Azulai
646916	300390	Geoola Dolniker/Malka Hermano
646916	326354	
646916	343432	
646917	6452	
646917	92017	
646917	97854	
646917	315786	
646918	255009	Parearau
646919	134350	
646920	5387	Announcer
646920	10889	Reporter
646920	29676	Helicopter Reporter
646920	80802	
646920	130201	WKXI Anchor
646920	161412	News Reporter
646920	187189	Reporter
646920	206154	Dale Harimoto, TV News Report
646920	223772	Dorie Glynn
646920	226785	Lorraine Han
646920	267351	Anchorwoman
646920	315619	Assistant Principal
646920	321536	Field Reporter #1
646920	409308	Life Reporter (1989-1990)
646921	24688	Kathrin
646921	54366	Manuela
646921	246398	
646922	99222	stand-in Eline
646923	242028	
646924	194836	
646925	194836	
646926	139777	Model #2
646926	226099	Murthy's Second Wife
646928	57751	Annie
646928	139425	
646929	107265	Extra
646929	363415	Extra
646930	66596	Irina
646930	153009	Waitress in Pub
646930	197708	
646930	300350	Environmentalist
646931	337465	
646932	404586	Herself (2003)
646933	281298	Child
646934	225234	Wester's guest
646934	282111	Maria
646935	186934	
646935	360965	Sekretärin
646936	43164	Justice Of The Peace
646937	185201	Model #1
646938	20362	Binnie
646938	118021	Maria
646938	134725	Laura
646938	138494	Crown Princess/Chinese Empres
646938	199707	Mrs. Fitzherbert
646938	277947	Tory Lovell
646938	385627	Priscilla Tolland (segment fi
646938	390694	Laura
646938	391769	Vicky
646938	391941	Lucy Courtney
646938	392437	Lucy
646938	397659	Celia Brooke
646939	4620	Arab Girl
646939	16669	Miss Preston (secretary)
646939	62157	Stenographer
646939	78140	Cigarette Girl
646939	105130	Miss King
646939	118546	Rowena
646939	119803	Model
646939	133949	Charmienne
646939	188326	Mary
646939	191038	Cameo Girl
646939	213976	Lana
646939	221044	
646939	247045	B-Girl
646939	270381	Cigarette Girl at Turf Club
646939	292405	Ethel
646939	308373	Bessie
646939	345860	Squaw
646939	347136	Clerk
646939	351438	
646939	362670	
646939	363238	Student
646940	81576	Student
646940	143233	Bubbles
646940	152656	Girl at party
646940	195382	Receptionist
646940	230390	
646940	231768	Specialty Trio member
646940	261423	First College Girl
646940	306530	Alice McDoakes
646940	306545	Mrs. McDoakes
646940	306550	Alice, Throwing Pie
646940	306557	Alice McDoakes
646940	306566	Alice McDoakes
646940	306571	Alice McDoakes
646940	306578	Alice McDoakes
646940	306580	Alice McDoakes
646940	329533	Davis
646940	333386	Bar Patron
646940	346900	Joan
646941	334149	Mother
646942	366434	Anne
646943	87234	Cheryl
646943	185758	Student #1
646943	191677	Allison
646943	220646	Jolea
646944	6155	Dinah Morris
646944	49873	Bessie Wills
646944	73990	Irene St. Claire
646944	94206	Suzette du Toit
646944	107550	Polly Moreton
646944	150884	Mattie Storin
646944	161163	Susan
646944	183858	Alizon Eliot
646944	238649	Paris
646944	334271	Mattie Storin
646944	337989	Sarah Lamb
646944	340583	Angela Spencer
646944	363932	Young Girl
646944	383881	Joanna Franklyn
646944	388541	Linda
646944	388726	Mattie Storin
646944	391259	Emma Fitzgerald
646944	402125	Jane Bennet
646944	408234	Laure de Lancel
646944	409401	Dr. Angela 'Angie' March
646945	116694	
646946	355028	The Academy's Blessed 'Virgin
646947	227927	Lois
646948	151789	Eveanne
646949	122757	
646950	27408	Pariskunnan nainen
646951	122500	Nina
646952	84738	
646953	70465	Ortiz's Wife
646954	92490	Miss Fulton
646955	34964	Amy
646955	224296	Cleo
646956	286153	
646957	223326	Helen
646958	108290	
646959	62560	Secretary
646959	68232	Mrs. Jenks
646959	90154	Mrs. Jackson
646959	109807	Grandma
646959	116750	Miss Ida
646960	26803	Young Woman
646961	326854	Jean
646962	102104	
646962	150973	Miss Corby
646963	329522	Chantrellines Member
646964	127728	Child
646965	68155	Stella
646965	191797	Waif
646965	383461	Student Nurse Kristy (1996)
646966	200910	Self
646967	289430	Ms. Bauer
646967	295724	
646967	327592	Lynda Rebar
646967	367792	
646967	403805	Sarah Bennet (1999-2000)
646968	342981	Nancy Holden
646969	158483	
646969	187344	Janet McKay
646970	346204	Penguin Girl
646971	2419	
646971	112300	Mary Hill
646971	125802	
646971	146722	Joan McCarthy
646971	159969	Chorus Girl
646971	178026	Connie
646971	202983	Polly
646971	282325	Patricia Burke
646971	295284	Girl proposed to while drivin
646971	329314	Milly Jones
646971	335550	Ethel Johnson
646971	366198	Betty Manners
646972	22912	
646973	16650	Glory's Mother
646973	360217	Norah
646974	147888	Hooker
646974	201696	Herself
646974	249548	Natasha
646975	20293	Margarita
646975	211780	Girl
646975	346185	Ivan's Girl
646976	175621	Daughter
646977	136828	Relative
646977	264161	Ada
646977	289513	Cornfield Kid
646978	53955	Isabella
646978	244216	
646978	285206	
646978	376027	
646979	251543	Mme. Leloix
646980	107891	Nan
646981	57061	Herself
646983	81789	Mrs. Sullivan
646984	335807	Dancer
646985	194136	Country Club Patron
646986	95489	Mrs. McIntosh
646986	118293	
646986	247992	
646987	65110	Ellie (Duster Hayward's secre
646987	286466	Mrs. Perkins
646988	69417	Brenda
646989	87979	Auditioner #3
646989	334313	Nurse
646989	379831	D.C. Dancer (1990)
646991	314720	
646992	17567	Secretary
646992	32789	
646992	218394	Sally
646993	193765	Bank Customer
646993	199167	Mrs. Macpherson
646993	231108	Paula
646993	318819	Miss Tucker
646994	293362	La Bailarina
646995	235052	Reporter
646996	205590	Sylvia
646997	151411	Colleen
646998	370643	Young Girl
646999	205696	
647000	44998	Zoé
647000	103932	Eva
647000	161998	Fabienne
647000	205635	Babou
647000	276532	Odile
647000	281301	Kim
647000	301321	Birgitt
647001	79556	Little Emily
647001	128585	Young Betsy
647001	132122	Ethel
647001	165450	Young Jane
647001	230869	Lily
647001	232511	Meaghan Robinson
647001	391666	Young Sophia
647001	392970	Emily Tucker
647001	401797	Ella Grace Mendelssohn
647002	105437	
647002	134345	Nurse Flynn
647002	307902	Party Guest
647002	395298	Jamie Jaren
647003	197718	Thelma
647004	132739	Chair
647005	29936	
647005	29958	Snuggling Girl Friend
647005	122179	
647005	128845	
647005	132498	
647005	155880	
647005	161477	
647005	226994	
647005	243132	
647005	327755	
647005	331316	
647005	332550	
647006	231762	Stripper
647007	103905	
647009	280665	Hertz Girl
647010	118053	Saloon girl
647013	239716	Vinyl Shop Girl
647014	27103	Mrs. Kennedy
647014	31831	Daisy Stevens, aka Mildred Be
647014	32008	Jeanie-Weenie (in photo)
647014	37255	
647014	43376	Lola Burns
647014	53702	Herself
647014	56579	
647014	59879	
647014	62047	Dolly 'China Doll' Portland
647014	64833	Extra in restaurant scene
647014	65161	Herself (un scene from The Sa
647014	65818	(uncredited)
647014	86957	Kitty Packard
647014	91921	Swanky blonde
647014	121388	Bit Part
647014	128199	Edith 'Eadie' Chapman
647014	130703	
647014	130967	Goldie
647014	131677	Herself
647014	139485	Herself
647014	142433	Helen
647014	147446	Ruby Adams
647014	147799	Herself
647014	147917	
647014	149141	Extra
647014	161278	Herself
647014	162378	Rose Mason
647014	169998	
647014	189255	Gladys Benton
647014	189312	Woman in cab
647014	195613	Herself
647014	195985	Woman applauding in theater b
647014	218944	Bit part
647014	230932	Party Girl
647014	253475	Crystal Wetherby
647014	257436	Anne Schuyler
647014	266706	Gwen Allen
647014	273781	Mona Leslie
647014	274073	Vantine 'Miss Van'/'Lily' Jef
647014	274428	Lillian 'Lil'/'Red' Andrews L
647014	278174	Hattie Tuttle
647014	288205	Carol Clayton
647014	288698	Hazel
647014	291329	
647014	292642	Anne Courtland
647014	311790	Herself
647014	320465	Suzanne 'Suzy' Trent
647014	324010	Herself
647014	329562	
647014	329563	Herself
647014	329565	
647014	330888	Bit Part
647014	331689	Cassie Barnes
647014	332126	
647014	347317	
647014	360545	
647014	364539	Bit Part
647014	364593	
647014	365068	Helen 'Whitey' Wilson
647014	400280	Herself
647016	132530	Kim
647017	351439	
647018	199316	Célia
647019	153187	Leola
647020	99126	
647022	98855	Miss Sports Section
647022	98857	Pippi
647022	98860	Priscilla Ashby
647022	98861	Loretta
647022	98863	Pepper's roommate
647022	98866	Bobbie
647022	157022	
647022	197752	
647022	237119	
647023	60744	Leila Sweet
647023	123366	Paisly Porter
647023	138812	Muriel
647023	140967	Jade
647023	151616	Judy Green
647023	154456	Charlotte
647023	157436	Sonya
647023	174503	Woman in Movie
647023	210269	Joan
647023	286298	Nancy
647023	348106	Herself
647023	350424	Colleen
647023	392137	Herself/Host (1996-1997)
647023	393940	Melissa Greenfield
647024	163375	
647024	203669	Jennifer
647024	245036	Annie re-enactment
647024	345612	
647024	406363	Cynthia
647025	68417	Manageress
647025	199978	
647025	277807	
647025	309166	
647026	96415	Celina
647026	190883	Carolyn
647026	279879	Becky Franklin
647027	163424	Samson's Brother
647028	160861	Lawrence's Pupil
647029	274332	Dancer
647030	5009	Skechers Shopgirl
647030	47829	Tanya
647030	185516	Young Sally
647030	185844	Wendy, Pizza Girl
647030	222748	Elspeth
647030	309309	Thames Barrier girl
647030	393018	Davina
647031	18469	LEV Navigator
647031	20481	
647031	82903	Sylvie
647031	313482	
647031	321956	Mara Aramov/Additional Voices
647032	10305	Ballet Piano Player
647033	24634	Mary
647033	33971	Local Woman #2
647033	151540	Kathleen
647033	161727	Leah
647033	224326	Neighbour #2
647033	328247	Apartment manager
647033	339861	Desk Clerk
647034	169140	Zebulun's Wife
647035	221015	Extra
647036	215455	Newly Crowned Miss America 20
647036	215461	Reigning Miss America 2002
647037	20037	Fan
647038	330409	Belly Dancer
647039	38512	Lady at Fire
647040	28920	Amber
647041	38590	Nurse
647041	97388	Helen
647041	222651	Mrs. Davis
647041	319416	Old lady
647041	342706	Bank teller
647042	255386	
647043	377821	
647044	81104	Ryanne
647045	194836	Sister
647046	2669	Liza
647047	337341	Tracy Beaker
647047	339354	Amy Walker
647047	378710	Merrypip Girl
647047	406636	Tracy Beaker
647047	408867	Amy Walker
647048	39539	Mrs. Robinson
647049	293076	Little Bob
647050	55707	Mrs. Bentley
647050	101301	Vivian
647050	148222	Susan Wilshire
647050	171177	Lewis's Girl Friend
647050	248991	Delia
647050	269601	Geraldine Lambert
647050	379215	Georgina Jones
647050	395311	
647051	10605	Anna's Landlady
647051	10738	The Cook
647051	17475	Matron
647051	32209	Customer in Curling Machine
647051	36839	
647051	38361	Woman in Irish's Store
647051	45236	Carrie A. Nation
647051	46836	Palace Crow
647051	48539	Woman Who Will Lock Up Her Ch
647051	54607	Mrs. Pengast
647051	59100	Landlady
647051	67156	
647051	77777	Aggie
647051	83809	Aunt Agnes
647051	90307	Former's Wife
647051	114155	Woman at Party
647051	117885	
647051	121358	Martha Staeger
647051	124482	Matron
647051	133737	Miss Taylor, the School Princ
647051	135563	Mrs. Alvin
647051	139560	Sourface
647051	147446	Miss Allen (reformatory matro
647051	151211	Second Voter Registrar
647051	152204	Miss Watson
647051	154417	Mission Director
647051	160971	Mrs. Mooney
647051	166691	Midwife
647051	173526	Outdoor Girls of America Lead
647051	183591	Miss Kingsley
647051	183760	Policewoman
647051	192056	Jessica Taggert
647051	192130	Dinner Guest
647051	201408	Clara
647051	203931	Louisa Mae Harrington
647051	230734	Alice the Maid
647051	233683	Mattie
647051	249621	Deborah
647051	253472	Miss Getson
647051	264484	Traveler
647051	266710	Mrs. Higgins
647051	271230	Superintendent
647051	278174	Mrs. McCall
647051	280892	Mrs. Schultz, Landlady
647051	298166	Maria Peppy
647051	300305	Augusta
647051	305471	Mrs. Windleweaver
647051	311405	Woman Stirring Bowl at Granny
647051	312795	Fred's Mother
647051	313320	Wardrobe woman
647051	315956	Desk Attendant
647051	316124	Landlady
647051	321730	Mrs. Hirsch, Hank's Landlady
647051	331425	Elmira Wiggins
647051	360477	Undetermined Role
647051	363616	Prison Matron
647051	364773	Mrs. Finch
647051	366915	Frieda
647051	367781	Claire's Landlady
647051	372113	Scrubwoman
647052	397536	Peggy
647053	2277	Herself - Performer
647054	138379	Kitty Bishop
647054	389913	Regular Performer (1957-1958)
647054	395412	Co-host (1954--1956)
647054	406900	Host
647055	304764	Young Kitty
647056	216028	
647057	291918	Herself
647057	366640	Cast of 'Faking It'
647057	390064	Various Roles
647057	392683	Herself
647057	409028	Herself
647057	410116	Herself
647057	411467	Herself
647058	201810	
647059	9002	Aimée Peyremal
647060	265901	Evelyne Hunt
647061	297190	Sorority Girl
647062	206831	Rhonda
647063	14192	Cheery Waitress
647064	185589	Girl in club
647065	8234	Ronica Miles
647065	30961	Commissioner Barbara Gordon
647065	80904	Anna
647065	131347	Page Hensen
647065	186427	Pam
647065	352979	Herself
647065	352985	Herself
647065	352986	Herself
647065	353749	Susan Wilson
647065	381441	Ryan McBride
647065	383119	Amanda Reardon
647065	395273	ADA Abbie Carmichael (1998-20
647065	398213	Herself
647066	403805	Miss Glaze (2000)
647067	341454	
647068	291436	June
647069	113496	Bonnie
647069	208391	Lindsay
647069	229260	Maggie
647069	314501	Jill
647069	327628	Jamie
647069	333047	Silvy Lewis
647069	391869	Hope (1999)
647069	397870	Tracy
647069	401523	Kate Redding
647069	404678	Bree Sanzaro (2004-2005)
647069	410682	Rosie
647070	222687	Mary Johnson
647071	87926	Mrs. Atkinson
647072	26355	Terri
647072	26633	Ilene
647072	26844	TV Newscaster
647072	127148	Mary Smith
647072	168274	
647072	221067	Medical Center Woman
647072	224405	Prudence
647072	264033	Carol Kampion
647072	322647	Various Characters
647072	340772	
647072	348835	Barbara Jane Fuchs
647072	363044	Lisa
647072	385921	Wendy Lacey (1990-1991)
647072	393964	Elizabeth Lubbock
647072	395395	Diane Fedderson
647072	407684	Joy
647072	410928	Herself (Host)
647073	2382	Student in courtyard
647073	158312	Carol Quinn
647073	158318	Newswoman #3
647074	363422	Ima Dean
647075	152	Jan
647075	22618	Sonia's Mother
647075	298573	Mrs. Smeedley
647075	326083	Ronnie's Mother
647075	390771	Jean Weatherill (1991)
647075	392185	Chris Kirby (entire run)
647075	400236	Cathy Craig Lord (#5) (1976-1
647076	8234	Natalie's Friend
647077	139515	
647078	16686	Miss Holland
647078	70404	The Girl
647078	135513	Party Girl in Bar
647078	188426	Pickup Girl
647078	199163	Caroline
647078	203175	Extra
647078	241827	Kit Williams
647078	282463	College Girl
647078	346178	Ardice
647078	354521	Merrie
647078	372524	Nelson's Girl
647078	407782	Regular
647079	52361	At the Airport - Stewardesses
647079	168968	Kimmy
647079	322631	
647079	381433	Sunny Hayward
647080	189238	Prostitute #1
647080	195375	Rosemary Cotts
647080	245693	Hannah Rose
647080	245921	Herself
647080	276433	The Girl
647080	362135	Beth Hubbard
647080	379223	Mrs. Jean Reed (1974-1975)
647080	379321	Kris (Mrs. Rick Nelson) (1964
647081	246517	Scribe
647081	363415	Praline Coop
647082	327756	Deborah
647083	106647	Touion
647083	128429	Herself
647083	299881	Lacie
647084	193644	
647085	197615	
647086	46147	Singer
647086	98145	Additional Singer
647086	203436	Chorus
647086	312141	Singing nun
647086	325098	Additional Voices
647087	306599	Emily's Mother
647088	65990	Maude
647088	164587	Angela Scotorcio (Body Double
647088	205830	Dancer #2
647088	224475	Evelyn
647089	11838	Miss Higgenbothan
647089	32983	Bit Part
647089	39696	Receptionist
647089	60239	
647089	98691	Sally Stoner
647089	128424	Girl
647089	136045	Conchita
647089	139937	Hatcheck Girl
647089	143260	Susie
647089	144109	Ella Mae
647089	144447	
647089	144450	Waitress
647089	154478	Bridesmaid
647089	167527	
647089	176846	Gwen Brady
647089	183358	Genevieve
647089	232256	Toni Borden
647089	235515	Irene
647089	273786	Salesgirl O'Toole
647089	285654	
647089	292318	Sub-Deb
647089	292823	Judy O'Neill
647089	293103	Singer
647089	298050	Blonde
647089	309827	Annabella Hatcher
647089	312037	Kitty Stevens
647090	253458	Pam Burnside
647091	167527	
647092	96926	Neighbor
647092	231768	Young customer
647092	326649	Teen girl with shell necklace
647093	313929	Elaine Fitzgerald
647094	64081	Stepmother
647094	350337	Mildred
647095	105714	Celia Amherst
647095	120837	
647095	142625	Dutch
647095	183819	
647095	232049	
647096	71474	Dancer
647096	82010	Lady #4
647097	304443	Has Faith in Groups
647098	224352	Party Kid
647099	162416	Blacksmith's Wife
647099	286129	Margaret Bbayard Smith
647100	111143	Standardiste
647100	412276	Une jeune bretonne
647101	50383	
647101	284184	
647101	291016	
647101	370113	Lap Dancer
647102	486	Singer
647103	12515	Herself - Mother to Oliver
647104	122530	
647104	290074	Oma de Jong
647105	312691	Ottilie Bissig
647106	89936	Joey
647107	89936	Joey
647109	330126	Wardrobe Woman
647110	142779	
647111	209036	
647112	275165	Eva
647113	73833	Mugger #1
647114	306042	Mika Slayton
647115	178918	Doris
647116	67732	Nurse
647117	13533	Morgan Devereux McKnight
647117	97522	Lorraine
647117	103367	Otis' Mom
647117	131442	
647117	178691	Banker
647117	192638	Holly
647117	299033	Mother
647118	188453	'Lena' Girl
647118	190147	Video Girl
647118	227032	Party Stripper
647119	316028	Dean's Assistant
647120	288932	Tyge's Mother
647121	42720	Angie
647122	31677	Corinna
647122	41063	Herself
647122	52312	Herself
647122	257650	Herself (Miss June)
647122	257675	Herself
647122	257682	Herself (Playmate)
647122	257818	Miss August 1991 and Playmate
647122	257864	Herself (Playmate of the Year
647122	272602	Cocktail Waitress
647122	279319	Melissa Curtis
647122	303282	Herself
647122	350231	Sallah
647122	351187	Girl at Blackjack Table
647122	361850	Herself
647122	361851	
647122	361855	Herself
647122	391835	Talking head/soundbites (segm
647123	303282	Herself
647124	284526	Reporter
647124	297773	Nurse
647124	380391	Dr. Alice Matthews Frame Fram
647125	109666	
647126	2813	Frau Krüger
647127	96858	Party Girl
647128	290441	Believer
647129	373429	
647130	69290	10 Year Old Connie
647130	147745	Sexy Yoga Student
647131	260728	
647132	11934	
647132	71952	
647132	345283	Corinne, la greffière
647132	395636	Anne
647133	107024	Kate
647133	223815	Hallie Richmond
647133	241494	Abbie Grainger
647133	263345	Brittany
647133	316327	Monica
647133	321464	Julie Sutton
647133	344177	Emily
647133	359428	Maggi Sorenson
647133	363268	Missy Eldridge
647133	379284	Alice
647133	379716	Sarah Livingston (2000-2001)
647133	388404	Zoe Richards
647133	401976	Rosie
647133	408234	
647134	86431	
647134	170115	
647135	41376	Nikki Cruise
647135	66917	Sarah Hughes
647135	70389	Lorraine
647135	80050	Kaye Faulkner
647135	82835	Sid
647135	94016	Polly
647135	102247	Jennifer Greene
647135	117428	Steph
647135	128236	Dotty
647135	142619	Rimmer
647135	147673	Shelly Katz
647135	169951	Linda Wyatt
647135	256176	Rhonda
647135	275471	Josie Ray
647135	276184	Adrian Phillips
647135	295468	
647135	331751	Ann Simon
647136	238769	Herself
647136	321839	Cellist
647137	106335	Tipsy Woman
647137	289238	Angry Trailer Park Woman
647138	14746	
647138	70598	
647138	91395	
647139	161828	
647139	308446	
647140	14713	
647140	74839	(segment El bombón)
647140	90528	
647140	96270	
647140	207968	Elena
647140	216086	
647140	371719	
647140	377165	Ana Maynar
647140	380084	Marie
647140	381030	
647140	383105	
647140	388647	Elisa
647140	389639	
647140	391421	Janet
647140	393176	Paulette
647140	407862	José Antonio's mother
647141	52630	Toña
647141	73294	
647141	76116	
647141	114322	
647141	184242	
647141	186977	
647141	221665	
647141	273120	
647141	300683	
647141	341080	
647142	56304	Trudy
647142	131217	Julie
647142	167691	Newscaster
647142	230743	New Line Receptionist
647142	366817	Marty
647143	20625	Extra
647144	307808	
647145	354678	
647147	27913	
647148	357867	
647149	119243	Louise
647150	215461	Herself (Miss Illinois/Miss A
647151	194483	The Lord of the Dance Troupe 
647152	411366	Takar (episode 2: Maydina the
647153	208936	Mrs. Spencer
647153	219901	
647154	34257	
647155	229687	Dr. William Nelson's wife
647156	340603	Herself
647157	93192	
647157	157665	Irene
647158	39330	Annie Whitmore
647160	199272	
647161	62498	Autograph Seeker
647162	5007	Achta (Mother)
647163	42034	Marokkaans meisje
647164	3177	Gladys Vogue
647164	19995	Malevich
647164	42773	Alice the Waitress
647164	147655	Selma
647164	224073	Aunt Sonia
647164	256593	Aida
647164	303589	Clara
647164	308634	Gertrude Lehmann
647164	331633	Hand Maiden
647164	338199	Peasant Woman
647164	358438	Aunt Alma
647164	389858	Therese (1999)
647165	6259	Serious Looking Woman
647166	90813	Woman
647167	394392	Tweedledee
647167	397371	Famke Hotta, Michelle Hamlin,
647167	411884	Kokou, Ryuuhi
647168	300671	
647169	207637	
647169	395073	Yamit
647170	88284	
647170	327066	
647171	173304	Arabella
647171	186178	Thekla
647171	244679	
647172	35524	Liddle Bear
647173	346087	Woman in pub
647174	60829	
647175	37010	
647175	72915	Stella, Video Store Clerk
647175	132768	Reporter
647175	204204	Jacuzzi Girl
647176	73212	Secretary
647177	65174	Rita
647177	137259	Governor's Mansion Pickets
647177	178138	Reporter
647177	241107	Bosworth's Mother
647177	283104	Reporter
647177	300044	Additional Voices
647177	383414	Additional Voices
647178	133450	Hot Worker
647178	265101	Parent
647178	278526	Additional Voices
647179	275677	Radio Voice
647180	11635	
647180	82682	Victim and Box Cover
647180	105407	Model
647180	120478	Bar dancer
647180	129218	Stripper
647181	190726	
647182	70461	Kathleen's Attorney
647182	156785	Jean Hartzfield
647182	158273	
647182	207905	Agent Brenda Farrell
647183	143637	Fanny Pearce
647184	95331	Clarissa
647184	140186	Witch
647185	30422	Bonnie Parker
647186	167558	Caroline Riggs
647186	301855	May Bissell
647187	64836	Young Clipper
647188	295407	Sparkler
647189	65901	
647190	334892	Kazami
647191	379321	Connie Edwards (1960-1966)
647192	198517	Dallas Bank Teller
647193	394943	Herself
647194	338981	Herself
647195	73137	
647195	313449	Radio voice
647196	254019	
647197	152584	Jip's Ex #1
647198	49028	
647199	33899	Herself
647200	71934	Bigelow's secretary
647201	25417	Dottie
647202	160560	Young girl
647203	2429	
647203	4945	
647203	306916	
647203	349386	
647203	349387	
647203	349389	
647204	101301	Secretary
647204	108950	Temperence
647204	276642	Girl in Nightclub
647204	313081	Third Child
647204	355015	Lucille
647204	385132	Hortense
647205	118442	Reporter #2
647206	338609	Marguerite
647206	341944	Miss Jessel (singer)
647207	92232	Woman in Balcony
647207	278692	Dell
647208	130434	Lillie-Mae Scott
647209	22701	Doctor
647209	158274	
647209	309546	Savannah
647209	360616	Dr. Dubrow
647209	392709	Doctor (recurring) (1990-94)
647210	37189	Dr. Fisk
647210	41828	Cora
647210	45587	Mrs. John Baker
647210	77203	Nicki Walker
647210	78736	Herself (interviewee)
647210	97003	American prostitute
647210	105346	Ruth Watkins
647210	156787	Cynthia
647210	160283	Cathy Cake
647210	195343	Natasha
647210	214755	Anne Lively
647210	217874	Herself/Suzy Banyon
647210	221174	Funny Face
647210	223918	K. C. Downing
647210	240746	Alice Walker
647210	241042	
647210	252242	Joan Parker
647210	254523	Phoenix
647210	285287	Joyce
647210	299471	Janet Majors
647210	313583	Daisy
647210	320322	Suzy Bannion
647210	320324	Herself
647210	323594	Herself
647210	334386	Herself
647210	362761	Annie
647210	380750	Kit Kendrick
647210	393107	Phoebe Bass (series 4)
647210	395756	Jo March
647210	406793	Loretta Lonigan
647211	46353	Kid
647211	120268	Lise Mueller
647211	192347	Phyllis
647211	231966	Rosie Reardon
647211	289406	Jessica Martin
647211	405961	Paulette Lincoln
647212	264157	Church Choir Member
647213	405640	Mrs. Poole
647214	8029	
647214	30955	Anchorwoman
647214	46988	Rachel Howard
647214	68683	Secretary
647214	87341	
647214	89945	Mayor
647214	112049	TV Journalist
647214	147429	Elaine Vickers
647214	152514	Harriet
647214	161984	
647214	183235	Lili's Secretary
647214	191964	Minna
647214	193775	Actress in Film
647214	222754	Miss Swann
647214	232311	Psychologist
647214	242038	Dr. Hiller's Receptionist
647214	255258	Jesse's Wife
647214	256141	American tourist
647214	301956	1st Party Guest
647214	311132	Female TV Announcer
647214	314729	American Wife
647214	343024	Felicity
647214	360055	Guest at Dinner Party
647214	397055	Saleswoman
647214	400366	Jean Tatlock
647214	401725	Mrs. Mallaby
647214	407831	Baby Warren
647214	410659	Kathy Kane
647215	89025	
647215	138716	Herself
647215	169136	Narrator
647215	223868	
647215	401874	Herself : True Bliss
647216	136838	
647217	400	Indigent Woman
647217	17696	Dishevelled Woman
647217	26256	Marvella Baldelli
647217	60186	Darius' Mother
647217	78121	Inmate
647217	80930	Native Woman
647217	82050	Ms. Reynolds
647217	117707	Paula
647217	126697	Annie
647217	132475	Cat-woman
647217	168633	
647217	169946	Lynn
647217	206864	Barbara Henries
647217	248579	Claire
647217	275735	Nema
647217	275882	Female assassin
647217	316102	Major Charlie Vault
647217	320815	Jean
647217	334154	Mary Emmett
647218	25461	Ebony Princess
647218	117016	Smart Angel
647218	123415	Violet
647218	208084	Mary Magdalene
647218	336914	Kiwi
647219	256622	Daughter
647219	397248	Maddie (1984-1985)
647220	338981	Herself
647221	11475	
647221	13390	
647221	27008	Herself
647221	39179	
647221	41632	
647221	70213	
647221	72145	
647221	77432	
647221	87226	
647221	108789	
647221	117216	
647221	128547	
647221	142914	Herself
647221	161119	
647221	177707	
647221	231770	
647221	234846	
647221	264843	
647221	264875	
647221	300517	
647221	300524	
647221	306910	
647221	306916	
647221	319940	
647221	369908	
647222	62942	Dolly
647223	16796	Jenny Harrison
647223	61887	
647223	150422	Diana Jensen
647223	273242	Dr. Lucy Huckaby
647223	405209	Jenny Harrison (1992-1998, 20
647223	409236	Dancer
647224	41890	Tilly
647224	118398	Mary Lockwood
647224	253094	Pat
647224	286362	Pat
647224	407131	Nancy Blackett (Amazons)
647225	34792	
647225	53278	Sylvie Denby
647225	98894	
647225	98901	
647225	99999	Showgirl
647225	108626	Phoebe
647225	206871	Mary in coffin
647226	257111	Peg
647227	190030	Adult Peg
647228	279166	Old Woman
647229	180158	Model
647230	341021	Herself
647231	77414	Chorus Girl
647231	176335	Goldwyn Girl
647232	72570	Teenage Student
647232	289422	Little Girl
647232	372413	
647233	45050	Amy Martin (conducting Cocona
647233	47945	Joan Kline
647233	154516	Occupational Therapist
647233	154530	Larane
647233	194229	Lillian
647233	238959	
647233	265747	Dorothy
647233	353525	Nan Peyser
647233	395986	
647233	396994	Roberta Wolashek (1976-1977)
647234	331421	Camera Girl
647235	56455	Swimming Teacher
647235	292461	Mlle. Carole
647235	393492	
647236	105852	Static Waitress
647236	230926	House of Bling Customer
647237	65554	Wet Nurse
647238	1038	Dancer
647238	24429	Dancer
647238	60332	Herself
647238	64078	Dancer #6
647238	127627	Beach Dancer
647238	190702	Cheerleader #7
647238	216804	Singer at Fall Ball
647238	313825	Cheerleader
647239	254412	Girlfriend
647240	96861	Maid
647241	358052	Lola
647242	187231	Child
647243	195610	Delilah
647244	14485	Nancy Baxter
647244	35782	Laura
647244	35783	Narrator/Older Laura Ingalls 
647244	61656	Joanna Chandler
647244	63176	Fairlight Spencer
647244	73319	Chick Boyle
647244	76554	Ann Burnette
647244	76600	Sara Lee
647244	80694	Dorothy Homolka
647244	81127	Asst. D.A. Jerri Sims
647244	87351	
647244	108956	Rita
647244	115127	Ellen
647244	142985	Sally Blackwood
647244	157576	Dr. Amanda Giles
647244	158318	Vickie Singer
647244	158781	Betty McFall
647244	162700	Willa
647244	164547	The First Lady
647244	167070	Liz O'Callahan
647244	175632	Lorna Whateley
647244	191842	Clara Brady
647244	193411	Elizabeth
647244	193782	
647244	203188	Abigail Trant
647244	214997	Herself
647244	219367	Margaret
647244	224012	Cheryl
647244	224190	Kimmy Hayes
647244	233894	Cindy's Mom
647244	263331	
647244	265777	Gwen Palmer
647244	273794	Meredith Craig
647244	278822	Rebecca Hodge
647244	279390	Julia Archer
647244	292698	Tina DeCapprio
647244	301855	Linda Dawson
647244	313596	Janet Briggs
647244	316262	Linda Grant
647244	317397	Linda Little
647244	318800	Jeannie Wyler
647244	327840	Rosa Lee
647244	342020	Martha Harnish
647244	345861	Mrs. Mary Flowers
647244	365868	Verna Heath
647244	383768	Susan French
647244	384072	Carrie Lee
647244	384178	Fairlight Spencer
647245	151672	Barbarette
647245	201415	Herself
647245	204165	Toni
647246	294079	Young girl
647247	40244	Karen Hollins
647247	57492	Herself
647247	59377	Faye Medwick
647247	67614	Eve Babcock
647247	77760	Claire
647247	79901	Norma Danner
647247	89240	Chicken
647247	90320	Laura
647247	93982	Nora Cromwell
647247	98144	Herself
647247	105711	Hannah Epstein
647247	109276	Liz Farrell
647247	119541	Consuelo
647247	120202	Mrs. Delvecchio
647247	121619	Carol Hefferman
647247	133716	Grace
647247	154396	
647247	154716	
647247	160484	Herself
647247	161248	Narrator
647247	161335	Narrator
647247	161740	Kate Bianchi
647247	175529	Herself
647247	185397	Barbara
647247	189153	Girl in the orange dress
647247	198075	Herself
647247	206833	Rhoda Morgenstern Gerard Rous
647247	206896	Herself
647247	206897	Herself
647247	228969	Herself
647247	232017	Herself
647247	232238	Carol Turner
647247	252425	Rachel Yoman
647247	253344	Dyan Draper
647247	258757	
647247	280111	
647247	296726	Maggie
647247	298015	Herself
647247	315172	Katherine Slade
647247	316159	Lynn Glover
647247	330818	Herself
647247	332153	Ann Menzente
647247	342234	Herself
647247	366790	
647247	383711	
647247	384365	Liz Gianni
647247	389869	Dream Crowd/Girl Emcee/Studen
647247	396548	Townspeople (ep1)
647247	396999	Rhoda Morgenstern (1970-1974)
647247	400003	Rita Stone
647247	403318	Rhoda Morgenstern Gerard
647247	406638	
647247	409791	Valerie Hogan (1986-1987)
647248	80608	Landlady
647248	359381	Clare
647248	369195	Nurse #1
647249	178980	Florrie Hartman
647250	179622	
647250	223511	Marja
647251	300153	Party Girl
647252	101036	Harp Ensemble
647253	300671	
647254	176874	The Marie Who Would Be Queen
647255	288244	
647255	348044	
647256	393408	
647257	303966	Student
647258	401973	Street Seller
647259	19295	Gina Tyrell
647259	28669	L.A. Girlfriend
647259	42913	Ellen
647259	131431	Lorraine
647259	253021	Gloria
647260	71742	Cynthia
647260	255723	Mary
647261	3966	Mrs. Becker
647262	41490	Harriet Erskine-Young
647262	366768	Doctor
647262	389625	Miss Hutchinson
647263	16076	Healer
647263	23076	Menna's mother
647264	29512	La vieille
647265	101894	
647266	63099	Dr. Vanderbosch
647266	79658	Mary Kimmel
647266	140361	Julie
647266	161051	Van Driver's Wife
647266	187506	Di
647266	191196	Zombie
647266	215860	NASA Wife
647266	232466	Well-Dressed Woman
647266	341728	
647266	393267	Julia Osborne
647266	396947	Sally McBride
647267	171991	Girl at the ball
647268	411325	Herself (2001)
647269	71474	Dancer
647270	398162	Host (1979-?)
647271	195305	Sing and Jingle Children
647272	273826	Bar Whore
647273	97926	
647274	58666	
647274	78796	Kitty
647274	151116	Cornelia Todville
647275	89304	Bernice
647276	13367	Herself
647277	26784	Joe Snappers Girl #1
647278	96625	Harriet
647278	113405	Melanie
647278	216803	Serina
647278	235615	Shelley the Stewardess
647278	248097	Gail Morrison
647279	276424	Woman in Dance Hall
647280	41212	Victim #1
647281	57680	Herself
647282	127585	The blonde
647282	158818	Maxine 'The Machine'
647283	240071	Mrs. Kissel
647284	55474	Rowena Fowler
647284	105228	
647284	106219	Maria Jefferson
647284	113803	Elaine
647284	129832	Receptionist
647284	244445	Secretary
647284	252358	Sheila
647284	323568	High Quality Receptionist
647285	45467	Charlotte
647286	203329	Donna
647286	255424	Happy Buchanan
647286	262386	Jessica Riggs
647286	285739	Nakir
647286	320283	Hilary Kempton
647286	403716	Carolyn Gidot
647287	126508	Nada Band
647288	148214	Miss Hill
647288	318797	Betty Lou
647289	315960	Katherine Marsh
647290	73928	Secretary
647291	129674	Rosa
647291	225129	Brigitte
647291	311117	Ilse
647292	55477	Cheryl
647293	118108	Performer
647293	330610	Tired Dancer
647295	240325	Delia (3 Years)
647296	157209	Professora de Ernesto
647297	17830	Herself
647298	269433	Carmen
647298	402609	Carmen Hui
647299	283532	Young Jennifer
647300	158392	Madame Speaker
647301	197314	Gräfin Geschwitz
647302	258207	Pianist
647303	77207	Young Cissy Kohler
647303	113303	Corinne
647303	160573	Nancy
647303	208529	Sarah Sorensson
647303	246007	
647303	383086	Anna Rood/Fletcher
647304	37374	Jack's String of Women
647305	382384	Sister Rosalie
647306	38033	Dancers
647306	199257	Black Bikini Woman
647306	271810	Themselves
647307	325837	Evelyn Boehler
647308	44188	YMCA Rehearsal Singer
647308	289254	June January
647309	140686	
647310	218776	Corporation woman #2
647311	120035	
647311	365328	
647312	56193	Louise DeVoe
647312	56614	Mrs. Long
647312	59601	Mme. Anita Borelli
647312	85026	Madame Helene Lucien
647312	121358	Mrs. Tristo
647312	129082	Doxie Henry
647312	148975	Mrs. Burton
647312	154874	Miss Burns
647312	186032	Cynthia Bell
647312	210718	Mrs. Gertrude Nelson
647312	240960	Joan Trask
647312	289418	Seena Haynes
647312	329327	Madame Tchernov
647312	339844	Countess Varloff
647313	297602	Receptionist
647314	10925	Joyce Cummings
647314	11334	Charlotte Raleigh
647314	88998	Phyllis
647314	115534	Scotty March
647314	219176	Beverly
647314	262519	Singer
647314	322638	Alice
647314	346276	Mitzi
647314	405882	Ginger Kurtz Cooper #3 (1973-
647314	407684	Honey
647314	411802	Mary Margaret Lake (1983)
647315	384206	Herself
647315	384800	Herself
647316	47421	Delores
647317	168383	Johan's Mother
647318	9886	Santa Anna's bride
647318	39862	Babette the Mayor's Girl
647318	69130	Presenter
647318	80633	Marcia
647318	83094	Galina Konstantin
647318	83910	
647318	105851	M.C. Kindra
647318	108306	Marisleysis Gonzalez
647318	110365	Woman in Red
647318	113376	Gina Carrillo
647318	117362	Nisa
647318	149407	
647318	168586	Gina Palumbo
647318	177620	Twyla
647318	192100	Mrs. Dunleavy
647318	212371	Catalina
647318	222194	Rita/Camilla Rhodes
647318	258735	Paula
647318	267216	Livia Saint
647318	270273	Jane
647318	276838	Alla Nazimova
647318	278579	Maria Benjamin
647318	301678	Jerri
647318	359271	Herself
647318	365763	Cathryn
647318	370872	Herself
647318	382164	Ariana
647318	383212	
647318	387540	Gabriella Cochrane
647318	389858	Carla Greco (1990-1991)
647318	406952	Paula Stevens (1/1997-12/1997
647319	171079	
647320	59717	Maria, rural dean's maid
647320	388581	Karin Ekström
647321	220276	Parisian Dancer
647322	389858	Lesley Lu 'Lulu' Spencer #1 (
647323	169163	Cruel Woman
647324	399459	Anne
647325	16759	Angel Aurora
647325	330391	Auditioner
647326	168539	Polly - Singing
647327	12244	Party Goer
647328	192574	Young Rachel
647328	222195	Lolita
647329	14212	2nd Black Woman
647329	82562	
647329	113868	Carlotta
647329	140914	Gladys Walker
647329	143918	
647329	174219	Sheila
647329	187171	
647329	196889	Electric Girl
647329	253058	Shelby
647329	283341	Paramedic
647329	296543	Corporal
647329	311952	Fantasy Sequence Prosecutor
647329	314434	Mousy Inmate
647329	332467	Nurse
647329	390111	
647329	401552	Ms. Mambo Garcelle (Haiti Lad
647329	405131	
647329	406760	
647330	66942	Nurse #1
647330	355670	Pregnant Woman
647331	92688	Pat Parks
647332	401812	Alana, Gloria
647333	46530	Sugar
647333	70359	Rosa Tarantino
647333	131619	Diana
647333	192254	Mrs. Bradley
647333	205268	Woman at Auction
647333	232093	Mrs. Marguerite Clayton
647333	407139	Countess Valaria Rosnovsky
647333	410977	Christine Cameron #2 (1969-19
647334	175811	Mary Williams
647335	62886	Edeltrout
647335	390051	Penny Price
647335	405387	Angelica
647336	274200	Felladium Queen with Whip
647337	69409	Hooker
647338	168645	Cheerleader #2
647339	80759	Mary Adams
647339	292817	Martina
647339	353638	
647339	385299	Stephanie Colby
647340	47029	London Waitress
647340	52163	Hotel Guest
647340	53316	Mrs. Grimwood
647340	60189	
647340	117647	Bus Conductor
647340	124374	Miss Pritchard
647340	195592	
647340	199712	Sister Agnes
647340	224177	Bertha
647340	244842	English Girl
647340	304787	Mother
647340	335469	Mrs. Good
647340	349983	Stella the New Maid
647340	363793	Margaret (nurse)
647340	372093	Hastings' Secretary
647340	398183	Mrs. Brooks
647340	403806	Ellen Ross
647340	407202	Miss Rumbelow (Series 5-7) (1
647341	61640	Mrs. Carter
647341	67853	Maggie (Jed's wife)
647341	149911	Nurse Dunne
647341	199679	Woman
647341	270446	Mrs. Cameron
647341	273786	
647341	277447	Music teacher
647341	278110	Martha MacLeod
647341	278402	Martha Truit
647341	289685	Gertrude Brown
647341	293103	Side Show Performer
647341	294381	Anna Clark
647341	366492	Bridge player
647341	379716	Kate 'Gran' Martin #1 (1970) 
647341	390771	Marion Conway #2 (1971-1972)
647342	389858	Lesley Lu 'Lulu' Spencer #1 (
647343	1019	Dolores
647343	6936	Mrs. Eunice Johnson
647343	64807	Anne
647343	78820	Donna
647343	80384	Susan
647343	84956	Melissa Black
647343	169608	Pretty Girl #2
647343	182979	Eady
647343	191036	Stella Jeffries
647343	208494	Brett
647343	213097	Tanya Richards
647343	235460	Melody
647343	251011	Lila Alweather
647343	253002	Jeanie Paxton
647343	292696	Meredith Dunmore
647343	352420	Judge's Daughter
647343	388202	Coretta
647344	213164	Debbie
647344	277635	Miranda Rap Dancer
647345	366750	Lily Wild
647346	278855	Glenn's Girlfriend
647347	3930	Dante's Young Admirer
647347	45428	Nadya
647347	136816	Gladys Pulham, Age 11
647347	163221	Constance Peabody
647347	223917	Chinch
647347	353362	
647348	107501	Ozma
647349	361167	Laura Coiller
647350	388595	Angela Dayton
647351	104042	Mara
647352	240973	Make Up artist
647352	406952	Ellen Blake (1998)
647353	222588	Agatha Quelch at 19 (in flash
647353	292590	
647353	391398	
647354	274332	Dancer
647355	55474	Driver
647356	25095	La femme de l'ambassadeur
647356	32019	
647356	60519	Jenny
647356	64318	Sarah
647356	124400	Miss Pamela Pendleton-Pumkin
647356	148674	
647356	208747	
647356	258870	F.
647356	268874	Monika
647356	327540	Gisèle
647356	336990	Stella
647357	53937	Marie at WFX Radio
647358	96564	Zelta
647359	100841	Wife
647360	231126	Girl Friday
647361	107897	Mary
647362	151733	Reporter
647363	79896	Angela
647363	338271	Carrie
647364	384783	Sylvia Grant
647365	35690	Maile
647366	123216	Guest Artiste
647367	318022	
647368	20355	
647369	392802	Waitress
647370	66162	Marcela Janowitz
647370	166904	Roebuck's Friend
647371	68972	Lola
647371	107103	Secretary
647371	195787	Caterer
647371	209638	
647371	407369	Additional Voices
647372	175815	Young Woman
647374	112021	
647374	241494	Girl in bank
647374	356282	
647375	183723	Deborah
647375	400109	Nancy
647376	37691	Auditioning Girl
647377	274198	
647379	42383	Herself/Audience Member
647379	43986	Herself
647379	53301	Interviewee/Various Character
647379	55697	Nurse Clarke
647379	81143	Herself
647379	116515	Corktip
647379	154379	
647379	346937	
647379	362472	Interviewee/Various Character
647379	404323	
647380	148954	Doris
647380	366920	Girl
647381	171297	Bystander #8
647382	7799	
647383	260318	Student in Theatre
647384	51642	
647384	196946	Third Waitress with Turkey
647384	302721	Undetermined Role
647385	27215	Mrs. Norton
647385	143583	
647385	144448	Wacky Woman
647385	146749	Arlene Harris (segment "chatt
647385	146813	Dolly Ward
647385	147394	Proprietress
647385	201064	Edie Jones
647385	235164	Queen Lil
647385	241332	Lottie Pickett
647386	97048	Swinger
647386	231982	Crying Woman
647387	108382	Woman Birthday Friend
647388	151365	Kiddie Koral Girl #1
647389	184536	Young Millie
647390	87428	Fanny Eubanks
647390	90891	
647390	108343	Blanche Tyler
647390	119356	Ellen Andrews
647390	127140	Gladys
647390	134611	Mary Blank
647390	189283	Bill's Mother
647390	203913	Miss Helen Fredericks
647390	216451	Kathy
647390	220552	Trixie Lane
647390	227925	Albuquerque
647390	231391	Mom
647390	235059	Mrs. Vickie Sims/Kitty Car, I
647390	238874	Rosalie
647390	251867	Evelyn Kelcher
647390	257903	Muriel Tate
647390	292266	Dinette Dusty
647390	293032	Ellie
647390	331183	Sandra Markowitz
647390	359192	Theresa Alice Kozlenko
647390	364184	Allison Densmore
647390	387215	Barbara Cole (1990-1991)
647390	410974	Angel
647391	26064	Additional Voices
647391	26079	Additional Voices
647391	51203	Additional Voices
647391	56654	Additional Voices
647391	73926	Additional Voice
647391	79719	Cleo Mackey
647391	87009	Additional Voices
647391	109608	Party Guest
647391	127094	Additional Voices
647391	151109	Mrs. Dorothy Slater
647391	161415	Charlotte Ames
647391	165976	Additional Voices
647391	174584	Lillian Colman
647391	190869	Additional Voice
647391	243231	Mrs. DeFreeze
647391	247565	
647391	283398	Police Voice #1
647391	307902	Party Guest
647391	363953	
647391	380823	Mary Welcome
647392	105226	Cheerleader #1
647393	232497	Comet
647395	2341	Barbara Woods
647395	5203	Ellen Williams
647395	8098	Captain Williamson
647395	41266	Dist. Atty. Jackson
647395	54641	Biddy Shad
647395	73559	Lucille (an E.R. Nurse)
647395	80539	SSgt. Beverly Rhodes
647395	135564	Mrs. Kathleen Bigelow, Defens
647395	155981	Rayne
647395	157734	Janice
647395	164482	Mrs. Silvera
647395	171334	
647395	231997	Doubt
647395	232450	Beth Pyne
647395	255316	Patricia
647395	276654	
647395	327061	Thalia McKenzie
647395	367588	Zena Jackson
647395	405298	Wanda Gibbs
647396	17785	Woman Shopper
647397	330117	Susan
647398	119875	
647399	99512	Svømmehalsdame
647400	86847	Toves Mor
647400	343332	Fru Pedersen
647400	344076	
647400	396282	Various roles
647400	397074	Margrethe Andersen
647401	206925	Mary Seton, Mary's Lady in Wa
647401	411300	Miss Clarke
647402	203358	Rockette
647403	169950	Teacher
647404	2445	Herself (Funeral Home Directo
647405	59114	Young Girl #1
647406	90317	Roller Skater on Trail
647407	78107	Callie Roberts
647407	128848	Angela
647407	182967	Raylene Hutchinson
647407	204947	Lynelle
647407	362131	Alex
647407	374285	Nadine
647407	409313	Monica Davis
647408	234116	
647409	333194	Armana Woman
647410	30662	Young Clara Fairfax
647410	152514	Girl 2
647410	307566	Clare
647411	53821	2nd Orderly
647411	289749	Waitress Nuvo Navajo
647412	45431	Martha Channing
647412	104333	Mother Grubbins
647412	130592	Undetermined Role
647412	135708	Mrs. Farrell
647412	149151	Mrs. Hardy
647412	199309	Cho-Cho-San's mother
647412	229229	Owner of Necklace (unconfirme
647412	241622	Mrs. Bryson
647412	270941	Housekeeper
647412	334292	Agnes' Mother (unconfirmed)
647412	368653	Margot
647413	387471	Mary Sidney
647413	393313	Diana Rivers
647413	400265	Caroline Maudslay (1973-1974)
647414	296330	Herself
647415	117314	Countess Lisl von Schlaf
647415	133995	Cassandra
647415	282313	Mrs. Lloyd Palmer
647416	210473	
647417	379037	Various characters (1995-1996
647417	396017	Sarah
647418	186443	Herself/Cellist
647418	395290	Cellist/Featured Peformer (19
647419	304538	Maria
647420	163568	Steve's friend
647421	155272	Jodi
647422	35685	Jade
647422	79106	Georgia
647422	380565	Tina Marshall
647422	383525	Amy Carson (1983-1984)
647422	399130	Sylvie Latham (1988)
647422	402197	Pippa Reynolds (1985, 1986)
647422	411809	Nurse Dolly Davis (1981-1982)
647423	167281	Mrs. Day
647423	362234	Mrs. Millett
647424	139457	Carolina Clayburn
647425	130056	Muscle Dancer
647426	273718	Rhona
647426	323036	Janine McLeish
647427	131380	Corey
647428	178100	Peggy Botticelli
647428	197708	
647428	232073	Bibi
647428	232115	Stephanie
647428	276169	Cathy
647428	313362	Amy Randal
647428	363722	Kate Stockton
647428	406952	Emily Davis (5/1998-12/1999)
647429	47474	Essie's family
647430	13855	Charlotte 'Chubby' Hughes
647430	22036	Elinor Leopold
647430	46425	Edie
647430	66783	Dee Dee
647430	87893	Vera Johnson
647430	88878	Anita Franken
647430	139599	Helen Lovett
647430	154115	Laura
647430	162617	Mary
647430	164128	Dallas Carter
647430	182966	Iris Hubbard
647430	190208	Kathleen
647430	204557	Mom/Queen
647430	247415	Mrs. Lowe
647430	264132	Barbara Cunningham
647430	274557	Adelaide
647430	276937	Bobby Springer
647430	277083	Amelia
647430	292501	Voice
647430	310597	Mrs. Van Lew
647430	327405	Cynthia
647430	331475	Mrs. Hathaway
647430	348386	Stella
647430	380339	Sheila Hufnagel
647430	387332	Wallis Warfield Simpson
647430	392297	Paula Zuckerman
647430	395023	Iris Hubbard (1986-1987)
647430	396350	Sylvia Buchman (1993-1999)
647430	405480	Maureen O'Connor
647431	117	Herself
647431	1209	Abby Proctor
647431	26784	Chelsea
647431	64563	Herself
647431	64917	Classroom student
647431	79986	Ashley Crighton
647431	81360	Liz Bronner
647431	88314	Lulu
647431	90409	Melissa Crandell
647431	90423	Dana Hemmings
647431	99657	
647431	119532	Gwenie
647431	131915	Young Charlene
647431	137657	Jamie Lloyd
647431	137658	Jamie Lloyd
647431	139174	Justine Sinclair
647431	160300	Herself
647431	176796	Barbie
647431	176962	Young Isobel
647431	185096	Darian Hallenbeck
647431	206154	Tracey, John's Niece
647431	249529	Leila
647431	260255	Suzi
647431	281913	Jessica
647431	283099	Debbie Thornberry
647431	283100	Debbie Thornberry
647431	297774	Susan
647431	348607	Tosh Guaneri
647431	365458	Debbie Thornberry
647431	365459	Debbie Thornberry
647431	366653	Hayley Wheaton
647431	367651	Priscilla 'Cilla'
647431	388499	Sierra
647431	400236	Samantha Garretson (1985-1987
647431	411142	Debbie Thornberry/Additional 
647432	400236	Shannon McBain (2004-present)
647433	132488	Mrs. Elliott
647433	316782	Josie
647434	283543	Dancer
647435	259307	Jane
647436	266091	Anne
647437	141179	Rap Singer
647438	151055	Gen. Sudov's wife
647439	149724	Girl killed by monster
647440	272840	Lydia
647441	363243	Grandma Childress
647443	308632	
647443	360837	
647443	364081	Chief's wife
647443	372620	Cecilia Johnstone
647444	49364	Rose (Lee's maid)
647444	107755	Woman
647444	114049	Desdemona Krumb
647444	122052	Woman
647444	124085	Oasis girl
647444	134088	Zeba
647444	198047	Elsie Bellwood
647444	213225	Commentator (actress)
647444	222719	Singer
647444	231768	Nurse
647444	231909	Telephone operator
647444	235690	Elinor Lee
647444	248461	Doll Davis
647444	264775	Lulu
647444	305455	Miss Frey
647444	306595	Second woman
647444	311345	Mary Bowdin
647444	319045	Corrine Aiken
647444	323432	Fan
647444	369433	Billie
647445	400615	Angel Elaine
647446	154795	Elizabeth
647447	277705	
647447	277706	
647448	17941	Girl in Sun Machine
647448	43972	Voice of Worms
647449	185067	The Girl Upstairs
647450	363177	
647451	144869	Fun Girl at Party #2
647452	2048	Herself/Singer
647452	2581	Performer
647452	27952	Herself
647452	31582	Himself
647452	46681	Herself
647452	61584	Herself
647452	66239	Herself
647452	79785	Herself
647452	92134	Herself
647452	104990	Herself
647452	107855	Herself
647452	109142	Herself
647452	119571	Herself
647452	132846	Herself
647452	148996	Herself
647452	160367	Herself
647452	175534	Herself
647452	175539	Herself
647452	185751	Herself
647452	211493	Herself
647452	242956	Herself
647452	281530	Herself
647452	282569	Herself
647452	345697	
647452	359522	Herself
647452	365838	Herself
647452	365843	Herself
647452	368302	Herself
647452	384537	Performer
647452	404900	Herself
647453	17067	Ellen, Election Girl
647453	220985	Peyton, Howard's Daughter
647454	349877	
647455	6247	Grandma Addams
647455	47865	Old Lady Bear
647455	58542	Ms. Krubavitch
647455	77793	Sally
647455	131347	Iris
647455	148333	Audrey, the Chicken
647455	194315	Irma
647455	194687	Mrs. Stubblefield
647455	223977	Aunt Pearl
647455	233894	Cindy's Grandmother
647455	238228	Flirting Woman
647455	241141	Peggy's mother
647455	245249	Bridget
647455	252834	Aunt Dorothy
647455	257772	Aunt Velva
647455	303894	Mama Saxer
647455	313049	Estelle (Principal Molina's s
647455	318818	Mrs. Baleeka
647455	326411	Mrs. Boogin
647455	328799	Herself
647455	330773	Aunt Harriet
647455	337168	Mrs. Potato Head
647455	361689	
647455	362493	Aunt Bea
647455	379568	Additional Voices
647455	385771	Lula
647455	390313	Ronnie Cohen (1993)
647455	391517	Howie's Mother (2004-?)
647455	392134	Mrs. Turtle
647455	397641	Mrs. Turtle
647455	399392	Mrs. Fox (1997-1998)
647455	402613	Mrs. Duckstein
647455	404775	Estelle Costanza (1992-1998)
647457	283434	Sylvia Deshazo
647458	26536	Mother
647458	137568	Girl in Street
647458	388924	Various Characters
647458	405579	Various Characters (2003-)
647460	10864	Cindy
647460	57747	May
647460	64448	Nicole Kent
647460	64458	Nicole Kent
647460	75547	Dr. Dawn Porter
647460	98861	Limo Driver
647460	98867	Jeanie
647460	98868	Herself
647460	98869	Louise
647460	98872	Herself
647460	98876	Little Jo
647460	98878	John Squib's Girl
647460	98879	Girl on Video Monitor
647460	98881	Swimwear Model
647460	98885	Herself
647460	98889	Herself
647460	98890	Herself
647460	128762	Herself
647460	139187	Dawn Grant
647460	140185	Ilsa
647460	141534	Scream Queen
647460	245535	Wubba Wubba Girl
647460	271219	Club Girl
647460	288929	Harry's Girl Friend
647460	291248	
647460	291449	
647460	302910	Monica Waldman
647460	313681	Susan Miller
647460	313691	Herself
647460	318106	Kirsten
647460	338771	Gail
647460	355152	Wendy
647460	396076	Herself
647461	362628	Sammy
647462	372345	Frieda (maid)
647463	283188	
647464	169425	Kate
647465	11655	Mother
647465	72065	Terris Mother
647466	104857	First Housewife
647466	187048	Older worker
647466	319176	Woman in Post Office
647467	216885	Mrs. Blackwell
647468	91523	Steven's Mother
647468	226981	Elderly Lady
647468	338199	Granny
647469	6248	Ellen Buckman
647469	54920	Susan
647469	99044	
647469	120233	Mrs. Boxer
647469	130903	Francie Wil
647469	203473	Maggie Cutler
647469	210511	Mrs. Jankis
647469	222779	Millie Ogden
647469	236873	Ellen
647469	241871	Nurse Besson
647469	270008	Enright's Secretary
647469	281150	Susan Santandiago
647469	300054	Frances
647469	381479	Mrs. Sweeney
647469	388843	Vivian Buchanan
647469	393098	Audrey O'Neil
647469	406424	Audrey
647469	409567	Suzanne Barkley
647470	257232	Jill
647471	18598	Bridge Crosser
647472	79136	The Host
647472	166439	Terri Fett
647472	238739	The Host (segment "Darth Vade
647473	234224	Mary Hardy
647473	300826	Pansy Mountjoy
647474	163424	Vocalist
647475	239713	Kim Theodorou
647476	18955	Heidi
647476	89301	Mrs. Koppelman
647476	153589	Mrs. Stevens
647476	364625	Mrs. Bradley
647476	406429	Herself
647477	67863	Girl in Street
647477	165134	Herself (auditioning for the 
647477	406890	Kaitlin
647478	155250	Avian
647479	109334	Jeanne King
647479	125873	Henriette
647479	171195	Mrs. Jack Stanley
647479	261698	Mamie
647479	331605	Countess Lilli
647480	1700	Herself
647480	30781	Vicki Nail/Half-Faced Woman/B
647480	42924	Woman Host (segment "In the W
647480	54726	Woman in Slip
647480	73560	Angry Pro-Choicer
647480	176499	Natalie (Roritor's secretary)
647480	224391	
647480	235403	Preston's Mother
647480	242529	Amanda
647480	323201	Angie
647480	380715	Macie Lightfoot
647480	381926	Eileen Foley
647480	402852	Various Roles
647481	279192	Muffie
647482	308334	
647483	368314	Petty Marsh Secretary
647484	14064	Herself
647485	96564	Jenef
647486	133678	Woman at Hospital
647487	49233	Skippy's Girlfriend
647487	228494	Tanya Tuddle
647487	322837	Additional Voices
647488	3163	Strip Club Dancer
647488	61954	Sarah Gaskell
647489	151055	Liza Kharacter as a child
647489	338056	
647489	406779	Entertainment Reporter (speci
647490	279192	Mouse
647491	54953	Townsperson
647492	383799	Little Girl
647493	163514	Iris
647494	21783	Lauren
647494	310416	Tessa Gillespie
647494	388486	Joanne Simpson
647494	395663	Katy Green
647496	19362	Reporter
647496	363948	Woman (with Barry)
647497	292449	Herself - harmonics liaison
647498	13990	Timmy and the Tangerines
647498	32849	Carol
647498	35650	
647498	51984	Big As A House #1
647498	56699	Cat Ballou
647498	74045	Judy Haines
647498	80771	Clarissa Jane Louise 'Keegan'
647498	124713	Leslie Devlin
647498	198444	Karen Holt
647498	206942	Jo Ann
647498	212748	'Mike' O'Hara IV
647498	231070	Patrick's Mother
647498	248568	Chrissy (Frady's girl)
647498	302271	Ralph Wiggum
647498	311744	Lu
647498	326828	
647498	365499	Carmelita Loveless
647498	369492	40's Singer #1
647498	380344	Susan Cord
647498	386193	Teresa Cleary (summer)
647498	389300	
647498	390311	Tina
647498	398282	Officer Kate Manners
647498	403336	Gloria Bartley
647498	405405	Additional Voices (1989-1992)
647498	410866	Felicia
647499	176937	TV Interviewer
647499	204192	Barbara Collins (Science Fair
647499	219190	Matron
647499	274332	Solo Dancer
647499	396058	(Love 1: Romeo and Juliet)
647500	47077	Cheer Coach
647500	48939	Kevin's Teacher
647500	176766	Lynn
647500	187191	Another Sister
647500	193803	Christine
647500	311816	Rosa
647500	328603	Carol Gatley (segment "Bobo")
647501	17163	Prison Guard
647501	342384	Harassed Mother
647501	411272	Officer Caroline Massey (2004
647502	89586	
647503	131203	Guilia
647505	365420	Barbara Baldwin
647506	131987	
647507	2289	Herself
647507	2330	Herself - Presenter
647507	2762	Nominee Leading Actress in a 
647507	13651	
647507	17783	Girl
647507	27311	Professor Harper
647507	33426	Mrs. Greenwood
647507	33591	Emily Dickinson
647507	47385	Herself
647507	47765	Charlotte Bronte
647507	47804	Emily Roebling
647507	55635	Joseph's Mother
647507	63130	Sister Anthony
647507	63139	Iris
647507	67562	Karen Fielding
647507	73326	
647507	78835	Reggie DeLesseps
647507	89633	Nora Helmer
647507	96829	Abra
647507	99386	Leonora Nelson
647507	114196	Carlotta
647507	118870	
647507	127549	Anne Devlin
647507	132061	Roz Carr
647507	133929	Elizabeth Holvak
647507	137912	Ophelia
647507	139565	Betty Fraley, Singer
647507	140192	Eleanor Lance
647507	142153	Catherine Sloper
647507	144698	Betsie ten Boom
647507	147986	Florence Nightingale
647507	148253	Elizabeth Hall Morgan
647507	151104	Leona Miller
647507	151207	Edna Davis
647507	151266	Katherine
647507	153995	Sally Bowles
647507	165283	Herself
647507	169409	Leona Gillings (episode "The 
647507	179042	Herself
647507	185445	Mary Todd Lincoln
647507	192316	Ethel
647507	195769	Sylvia
647507	196831	Isak Dinesen
647507	210501	Frankie Addams
647507	228969	Herself
647507	232017	Herself
647507	236972	Claire
647507	241270	Sook
647507	252454	Gerrie Mason
647507	258455	Sally Hamil
647507	262000	Maria (Priest's Mistress)
647507	268154	Eliza Doolittle
647507	274676	Alison Langdon
647507	276090	Grace Miller
647507	292794	Caroline Phelan
647507	302783	Lucille Frankyl
647507	311530	Gladys
647507	317292	Georgia Henderson
647507	325106	Charity Jones
647507	325117	Charity Jones
647507	330262	Odessa Ray
647507	335591	Margaret Berent
647507	340969	Helen Cooper
647507	353484	Queen Victoria
647507	357068	Alice Fienchild
647507	365984	
647507	367482	Alice
647507	372305	Miss Nora Thing
647507	381110	Helen 'Nellie' Taft
647507	381356	Herself
647507	384378	Mary Chesnut
647507	387120	Mattie Silver
647507	388344	Elizabeth Holvak
647507	390922	Nora Helmer
647507	394676	Lilimae Clements (1981-1987)
647507	399719	Susan B. Anthony
647507	404409	Eleanor Butler
647507	408006	Nellie Paine
647507	410959	Alice Hearn
647508	372118	Herself (wardrobe designer)
647509	7498	Chorus Girl
647509	168119	Court lady/Camp follower
647509	245209	Trumpet player
647509	345860	Frontierswoman
647509	348327	Goldwyn Girl
647509	350645	Herself
647509	372093	400 Club Chorine
647510	232066	Karen
647511	16677	Harlem Mourner
647512	127290	Cheerleader
647513	107353	Herself
647513	185529	Herself
647513	347523	Herself
647514	150972	Lily Bart
647514	194755	Dorothy Hardin
647514	229131	The Princess
647515	79619	Girl Attacked in Mini Mart
647515	123435	Rattle Gatherer
647516	232102	Barbra
647517	112419	Carol Comstock
647517	196973	Calamity Jane
647517	248318	Dottie Morrison
647517	279747	Julie Marlowe
647517	284910	Edith Cassell
647517	291328	Herself
647517	305621	Olive Smith
647517	311317	Edna
647517	333074	Tillie Tompkins
647518	64728	
647519	263974	Tourist
647521	140405	Sadie, age 7
647522	131453	Club Dancer
647522	140310	Bobby Montgomery
647522	371374	Extra
647523	823	
647524	10936	Various
647524	169662	Luann Utterback
647524	242810	Agent Cate Archer/Inge Wagner
647524	313824	Additional Voices
647524	319424	
647524	342459	Dolores
647524	365803	Permia
647525	41301	Beauty Contestant
647526	68450	Coconuts Trio
647527	71687	Herself
647528	11586	Kim Roach
647528	19303	Kelly
647528	38957	Lara
647528	41284	Angelica
647528	69357	Meg Renoble
647528	82662	Taco Bell Patron
647528	114392	Sondra
647528	118469	Elena
647528	154910	Rose
647528	159732	Katrina Carver
647528	204553	Mannequin in Photo Window
647528	211327	Joanna Ambler
647528	223004	Veronica
647528	233692	Ann Varrick
647528	240644	Nary Ann
647528	302789	Poetess
647528	335692	Sister Ursula
647528	375774	Mikaela/Mike
647529	1923	Herself
647529	4703	Laura Rhoads
647529	34976	May
647529	52686	Kristie St.Clair
647529	67921	Charlotte Hart
647529	97091	Martha Cratchet
647529	107265	Marybeth Louise Hutchinson
647529	117278	Lucy Bines
647529	130335	Paige Forrester
647529	136970	Deborah Marlowe
647529	137536	Jill Volsner
647529	145110	Ziggy Watson
647529	161472	Jan
647529	163188	Loni
647529	163522	Ann Clemons
647529	171278	Alice/'Cyclops'
647529	176478	Josie Cooper
647529	178279	Tammy Driscoll
647529	204674	Gillian Ravenscroft
647529	213502	Girl Klapper
647529	222582	Valerie Sanders
647529	234200	Kimberly Corley
647529	284935	Freddie
647529	314104	Girlfriend #1
647529	318456	Elise Chasten
647529	320247	Jannete
647529	385893	Daisy Adair (2003-)
647529	388653	Ashley Frasier (credited as L
647529	398718	Bright Eyes
647530	193000	Extra
647531	117118	Bobbi
647532	98164	Singer
647532	155072	1st Twin
647532	309134	Mira
647533	230663	Rocky Creek student
647534	312905	Mammy
647535	72932	Fay La Foe
647535	187732	Bella
647535	257764	Charlotte
647535	295187	Waitress
647536	234828	Sarah
647537	35360	
647537	81661	Mres. Lawrence
647537	107598	Aunt Kitty
647537	120113	Simone
647537	152529	Myra
647537	162357	Anne Parbell
647537	334390	Marion Garland
647538	157759	
647539	250746	Gullah musician
647540	59930	Ma Flaherty
647541	69405	Jason Noggett
647542	37682	Cocktail Party Guest
647542	152570	British Commentator
647542	304568	Barbara
647543	271282	
647545	331426	Coco
647546	59303	Grace
647546	316266	
647547	49069	Diane
647547	97364	Woman Nice Guy Hits On
647548	300047	Valda Marshall
647548	378867	
647548	379266	Liza
647548	379869	Miriam
647548	402197	Sally Dempster (1982)
647548	403144	
647549	229311	Candy
647550	84956	Reporter #1
647550	94167	Melanie
647550	185319	Judy Neal
647551	102208	Allison's Friend
647552	160832	Street People
647552	197758	Engagement party
647552	353718	
647553	340477	Mrs. Camden
647554	149382	Member: Three Shades of Rhyth
647555	405209	Layla Cornwall/Parks (2004)
647556	54559	Mammy
647556	72772	Elsie
647556	83996	Aunt Chlordiny
647556	111726	Nancy, the Negro Mammy
647556	117765	Mammy Cely
647556	152546	Carolina
647556	161665	Mammy Johnson
647556	175611	Aunt Chlorindy
647556	185562	Mammy Lulu
647556	234224	Melinda
647557	86467	Teenage Elizabeth
647557	149467	Trish
647558	361218	Herself (wife, Michael Harris
647559	155072	2nd Twin
647559	309134	Mara
647560	218138	Sweet Potato
647561	70309	
647561	242025	
647561	348401	Party guest
647561	365294	
647561	368983	
647562	41464	Uriko
647562	124036	Mizuho Takase, Tae Nakatani
647562	298347	Yuriko Kikuchi
647562	298982	Diao Chan/Sun Shang Xiang
647562	333209	Christy Ryan
647562	365959	Lisa Roberts/Lila
647563	114271	Caller
647564	85805	
647564	194128	The Mother
647565	254522	Female Masquerade Dancer
647566	313920	Bit Part
647567	12267	Governess
647567	17692	Marilla Cuthbert
647567	27031	Landlady
647567	37469	Mrs. Riggs
647567	38810	Caroline Cardew
647567	46733	
647567	47933	Mrs. Coggswell
647567	79749	Housekeeper
647567	105132	Frau Van Lorn
647567	112407	Joan Laycock
647567	114997	Mrs. Paddles
647567	118223	Julia Ember
647567	118224	Julia Ember
647567	128213	Schoolteacher
647567	133588	Mrs. Gargery
647567	134120	Hemming
647567	141359	Zaida Kent
647567	162983	The aunt
647567	174601	Lady Clancarthy
647567	177522	Aunt Tabitha Humphreys
647567	187724	Granny Nichols
647567	191681	Elizabeth Howland
647567	195281	Miss Streeter
647567	199349	Rumor
647567	206326	Miss Somerville
647567	223069	Miss Husted
647567	238914	Myra Meacham
647567	240679	Tilda Spiffen
647567	243751	Henriette's landlady
647567	260228	Miss Royale
647567	266236	Prude
647567	267986	Mrs. Eleanor Davies
647567	273801	Sophie
647567	276434	
647567	278275	Governess
647567	280978	Sarah
647567	288740	Mrs. Gorlick
647567	302883	Barbara's Aunt
647567	306594	Mrs. Bisbee
647567	309275	The Landlady
647567	312262	Aunt Anna
647567	320248	Martha
647567	323424	Landlady
647567	331689	Landlady
647567	340967	Maid
647567	364332	Mrs. Freeman
647567	372482	Mrs. Denton
647568	14556	Jane
647569	10901	Waitress
647571	79478	Clara
647572	37469	Pioneer Girl
647572	46748	Girl
647572	118916	Little Maria
647572	142873	Gwendolyn
647572	142877	
647572	245648	Susan Shelby in Prologue
647572	300062	Little Girl
647572	313118	Secretary
647572	341528	Pat Severn, as a Child
647572	364773	Rosanne as a Girl
647572	365264	Anna May
647572	372588	
647573	318811	Iris
647574	85110	Louise
647574	125417	Herself
647574	340464	Herself
647575	7979	Mitzi
647575	211758	Allison Lee/Andrews
647575	233515	Officer Andrea Johnson
647575	260789	Teresa
647576	255827	Bit Part in Church Scene
647577	113286	Bar Patron
647578	111079	
647578	230271	
647579	81193	Ranger Mary Green
647580	55456	Mary's Girlfriend
647581	35362	
647582	222495	College Student
647583	59350	Dinner Guest
647583	183590	Preacher
647583	304851	Anne Lane
647583	311021	Ms. Wick
647583	334289	Boy's mother
647584	362088	
647585	250713	Nurse #2
647586	289115	Featured Church Follower
647587	367444	Tilly
647588	70009	
647588	76109	Sirvienta
647588	255936	
647588	397580	Claudia
647588	400790	Lucía
647589	256615	Corrine Bromback
647591	379683	Host
647592	188278	Herself
647593	5179	Innocence
647593	7181	Miriam Martin
647593	14264	Stenographer
647593	27166	Mary
647593	35727	Molly Smith
647593	44538	Mary Kirk
647593	44546	
647593	49971	
647593	50870	The Girl
647593	66916	Alice Leigh
647593	74050	Agatha Fairhaven
647593	75298	Jane Stewart
647593	78159	Helen Leonard
647593	78731	Susie LaMotte
647593	83597	Marie Nicholls
647593	88855	Sidney Page
647593	93593	Joan McGregor
647593	94120	
647593	96952	Blanche Amory
647593	101554	A Child
647593	107786	Favorite of the harem
647593	112444	
647593	114300	The Girl
647593	114934	Chita
647593	116376	Madelaine Theddon
647593	116731	Rosa Duchene
647593	117057	Toni Wilde
647593	117339	'Maddie' Irwin
647593	120727	A Frontier Child
647593	130853	Live Sumner
647593	132933	Mildred
647593	133644	Young woman
647593	136949	Irene Fletcher
647593	137206	Wife of Marine Colonel
647593	141205	Florine
647593	141505	Alice Weston
647593	146079	Button-Bright, who is lost an
647593	146123	
647593	148181	Millicent Rankin
647593	149266	Goldie
647593	153181	Cynthia Kane
647593	157668	Barbara Belden
647593	159143	
647593	159463	Allisa Randall
647593	161542	Favorite of the Harem (Babylo
647593	162948	Lenore Hardenworth
647593	183831	Society Woman
647593	185356	
647593	191131	Mary
647593	191974	
647593	192003	
647593	192297	
647593	196091	Eurydice
647593	200134	Princess Margaret 'Fluff' of 
647593	203294	Claire Bowdoin
647593	207946	
647593	210405	Martha
647593	210424	Madelon
647593	220548	Leading Lady
647593	224188	Inventor's Wife
647593	224666	Mrs. Kate Vandeerveer
647593	230420	Marie Lloyd Hartley
647593	234089	Betty
647593	239571	Daphne Bretton
647593	239602	
647593	239612	Marjorie
647593	240347	
647593	241419	Gwen
647593	241478	Polly Barnes
647593	245176	Dora Prentiss
647593	259764	Polly
647593	261488	
647593	262069	Marie
647593	263452	Linnie
647593	264086	Katherine Woods
647593	264566	Amy Lufkin
647593	271952	
647593	273513	Dancing Lady
647593	280947	
647593	281861	
647593	291360	Herself
647593	291728	
647593	291843	
647593	293769	
647593	294218	
647593	296817	Gillian Locke
647593	296825	
647593	296952	
647593	298095	Claire Daltour
647593	300084	Maizie Udell
647593	300908	Bunny
647593	306743	
647593	307115	Pet Darling
647593	314479	Evelyn Pendroy, the girl
647593	318898	Helen Graham
647593	319469	Claire Knight
647593	321415	Kitty
647593	333267	Lolita Mendoza
647593	337412	Alice Hamilton
647593	340022	Their Little Daughter
647593	347334	Gale Norman
647593	347413	Princess Sonya
647593	358971	Maxine
647593	359525	Betty Warren
647593	360187	
647593	362645	
647593	362668	Bess
647593	367273	
647593	367388	Marceline Manning
647593	367505	Hilda
647594	147543	Woman
647594	348001	Herself (crestmaker)
647595	140399	O.R. Nurse
647596	35410	Katherine Templeton
647596	46304	Arleen Barr, Red's Wife
647596	61161	Religious Mother
647596	108709	Patricia Teeling
647596	213860	Frank's Girl
647596	234828	Nonnie's Mother
647596	238525	Girl in Red Dress
647596	241555	Peggy
647596	324040	Sarah Hackett
647596	328281	Betsy
647596	331694	Katherine Holman
647596	361163	Ann Marie
647597	157036	Diner Patron
647598	258732	
647599	46524	Waitress
647599	368947	Myrisa
647600	129588	Herself
647601	220045	Mammy
647601	332086	Mammy Cleo
647602	87222	Big Beth
647602	242093	Proprietress
647603	363602	Diner Lady
647604	149388	Hickory cheerleader
647605	2000	Selena
647605	7960	Sophie
647605	15834	Carla
647605	74129	Receptionist
647605	192725	Ginny
647605	265606	Maggie Dunn
647605	267475	Herself
647605	338405	Elisa
647605	403937	Shuku
647605	405387	Joyce
647605	408478	Ami Jackson (1994-1995)
647605	408867	Tara Gray
647605	411014	Clara
647606	401930	Hope Hartman (2001)
647607	195262	Young Lena
647608	237610	
647608	370104	
647609	62778	Dancer
647609	141544	Marcia Drucker
647609	199735	Vocals
647609	199755	Background Vocals/Dancer
647609	199756	Background Vocals/Dancer
647609	199757	Background Vocals
647609	199762	Background Vocals/Dancer
647609	199763	Voguer (video 'Vogue')
647609	199765	Herself
647609	199766	Background Vocals
647609	212908	Chorus
647609	219931	Special Guest Appearance
647609	221472	Herelf (Madonna dancer)
647609	223003	Madonna's Friend
647609	367873	Claire
647610	268880	
647611	13320	Flight Attendant
647612	310998	Child
647613	118689	Townswoman
647615	117061	Beverly
647615	252844	Bridal Shop Attendant
647616	338858	Mistress
647617	97206	Telegram Stripper
647617	317946	Other T.R. Kid
647618	66783	Salesgirl
647618	345264	Salesgirl
647618	403284	Dr. Zira
647619	133475	Honky-Tonk Angel
647619	232483	Lisa
647619	274319	Choreographer Assistant (segm
647620	140783	Mary Shuttlesworth (Age 6)
647621	7960	June
647621	20460	Additional Voices
647621	34666	Winky's Party Guest
647621	76571	Co-Worker Elaine
647621	87517	Il Fornaio Waitress
647621	134479	
647621	140133	Mrs. Coleman
647621	176275	
647621	213502	Steinbloom's Assistant
647621	300195	Teacher
647621	305738	Host/Correspondent
647621	313825	Mrs. Feldman's Other Friend
647621	317262	Additional Voices
647621	338924	Mama
647621	360830	Honey
647621	381755	Herself/Panelist
647621	385577	Correspondent (2002-2003)
647621	392421	Herself
647621	392422	Herself
647621	392424	Herself
647621	404879	Female Knight
647621	410767	Theresa
647622	399584	
647623	57747	Young May
647623	230538	Kelly
647625	300772	Cellist
647625	380286	Herself - Presenter (1996-199
647625	383014	Reporter (2003-)
647625	390005	Presenter (1992-1995)
647626	151616	Dora
647626	279297	Lynn
647626	395596	Player
647627	148572	Cookie
647628	142422	Masaya
647629	329462	
647631	211843	Young Kate
647632	71474	Fanny Brice
647632	111928	Tzeitel
647632	221318	Mrs. Lowenstein
647632	241512	Friend
647633	32000	Mrs. Fitzherbert
647633	33050	Herself
647633	33180	
647633	33732	May Copplestone
647633	40850	Elvira Condomine
647633	41530	Daisy
647633	45615	Mrs. Doring
647633	46862	Aunt Jude
647633	47385	Herself
647633	73833	Pauline Swift
647633	78947	Miner Woman
647633	81191	Linda
647633	82385	Isobel
647633	98030	Woman's voice
647633	115188	Gabrielle Chandebisse
647633	127562	Annie's Granny
647633	137930	Player Queen
647633	141402	Hesione Hushabye
647633	175529	Herself
647633	175539	Herself
647633	192222	Juiliana Roden
647633	194289	Herself
647633	224085	Gamma MacIntosh
647633	244302	Desdemona
647633	258210	Ann Barrington
647633	282628	Julie Cavendish
647633	299233	Lily Parker
647633	311037	Aunt May
647633	311038	May Parker
647633	316109	Mrs. Amos Evans
647633	319239	Valerie Sors
647633	323847	Adela Shannon
647633	334352	Mrs. Ramsay
647633	335051	Rose Haigh-Wood
647633	342357	Viola
647633	345837	Ilyena
647633	383277	Calypso
647633	384124	Minerva Chisholm
647633	384125	Minerva Chisholm
647633	387120	Cathy
647633	387120	Lady Edith
647633	387120	Lucie Manette
647633	391843	Berta Palitz Weiss
647633	399748	George Sand (Aurore Dupin)
647634	190374	
647635	116300	Katie Harris
647635	262589	St. Matthew's Choir & Band Me
647636	79817	Marian Blessington
647637	73325	Sharon
647638	32052	Miss Minnesota
647638	76254	Cindy
647638	93959	Miss Burnsville
647638	126039	Ursula's Friend
647638	320108	Dawn Wells
647638	388088	Herself - Host (2003-)
647638	399350	Hostess
647638	401643	Host (2002)
647639	2694	Julie
647639	12216	Herself
647639	49334	Sheri
647639	154513	Simone
647639	163344	Waitress
647639	170427	Park Girl 2
647639	241311	Emily
647640	243476	Abigail (segment "The Housewi
647641	154634	Angelica
647642	98922	Lucinda
647643	277508	
647644	276202	Pool Girl #1
647645	156860	Jester
647646	272947	
647648	236346	
647649	133743	Lodge Customer
647650	314097	
647651	11582	Mlle. Maillard
647651	16913	Mrs. Smith
647651	49597	Countess Cassandra
647651	52904	Georges Sand
647651	61567	Flower Woman
647651	70301	Mrs. Newley
647651	73233	Mrs. Hawkins, Spike's Mother
647651	82379	Katherine Caldwell
647651	110419	Mrs. Banning
647651	134070	Mrs. Crowder
647651	151067	Mrs. Foster
647651	191023	Mrs. Scott
647651	220318	Mrs. Turnbull
647651	224332	1st Landlady
647651	238616	Woman
647651	261506	Mother on Plane
647651	330241	Mrs. Clay
647651	337074	Woman
647651	347731	Mrs. Dillon
647651	367538	Landlady
647651	367919	Fashion Show Commentator
647652	66683	Natalie
647653	219705	Ai
647654	166880	Carmen Johnson
647655	299485	Waitress
647656	114022	
647656	114026	
647657	347059	Madame
647658	82445	Choir Member
647659	99952	Miss Otway
647660	327625	Mary Wilson
647661	170746	Iris
647662	365559	Central Cheerleader
647663	231492	Foot girl
647665	9683	Terese
647665	10596	Opal
647665	16042	
647665	16669	Nurse Theresa
647665	26337	Chico
647665	26717	Mamie
647665	29288	Blues Singer
647665	36985	Daisy, Strouds' Maid
647665	37462	Maid
647665	39720	Sacrificed Girl
647665	41225	Jessica (the maid)
647665	41502	Cleo, Edna's Maid
647665	47355	Theresa, a Maid
647665	47372	Joan's maid
647665	48558	Josephine
647665	56749	Minnie (waitress at Sally Lun
647665	59600	Black US Team Member On Sidel
647665	83809	Maid at Party
647665	89711	Ellabelle
647665	94132	
647665	112183	Black Maid
647665	112745	Esther
647665	113634	Evelyn, Mrs. Radcliff's Maid
647665	114851	Clementine, Claire's Maid
647665	119803	Clara, Mame's Maid
647665	123904	
647665	127527	Dora: Sam's wife
647665	129810	Luana's Maid
647665	130622	Woman in couple
647665	132893	Ladies Room Attendant
647665	134675	Stella, Ina's Maid
647665	137488	Emily, Teresita's Maid
647665	146752	Maid
647665	147446	Lily Mae Crippen
647665	149763	Laura, Connie's Maid
647665	154695	Alma, Maid
647665	167311	Zette
647665	196129	Josephine
647665	206890	Alice, Andrews' Maid
647665	211545	Powder room attendant
647665	214967	Cleo, Doris' Maid
647665	216907	Leah's Maid
647665	219383	Maid
647665	219413	Camp Follower
647665	229938	Matilda (the maid)
647665	241422	High Yaller girl
647665	244938	Hattie
647665	245178	Eunice Leonard
647665	252368	Lili, Mimi's Maid
647665	254488	
647665	264645	Maid
647665	265362	Vera, Glory's Maid
647665	279425	
647665	280830	Slave Girl/Beauty Number
647665	287749	Maid
647665	302633	Hat Check Girl
647665	305771	Louise
647665	311557	Nancy the Maid
647665	317972	Marie, Agnes' Maid
647665	327256	Ruby Alley
647665	331439	Maid
647665	336773	Bessie Mae, Eddie's wife
647665	337178	Frou Frou's Servant 'Pick'
647665	351438	Nancy (Val's maid)
647665	362489	Blossom
647665	367919	Olive
647666	27171	Haitian Girl
647667	49934	Additional Voices
647667	298952	Additional Voices
647667	380473	Additional Voices
647667	405144	Additional Voices
647668	301392	A&E Nurse
647669	293228	Workout Woman #1
647670	118934	Inmate
647670	131786	
647671	192191	Reporter
647672	39928	
647673	109431	Black Man
647673	193919	Detective
647674	42799	Additional Finale Dancers
647675	22176	Alex's Date/Rose's Friend #3/
647676	239784	
647677	139099	Mrs. Stone
647679	70972	Zombie
647680	294391	Paige
647681	13356	Ida
647681	81649	Elsie/Harry's Character
647681	88998	Harriet Wise
647681	90330	Helen, the Fashion Editor
647681	102957	Mrs. Tobleroni
647681	113852	Helen
647681	131466	Airline ticket agent
647681	144910	Linda Martin
647681	194913	
647681	250438	Mrs. Weintraub
647681	304889	Telephone supervisor
647681	329548	Carlotta Dupres
647681	400236	Selma Hanen (#1) (1993)
647682	60174	Sophia Kettel
647682	264479	
647682	310871	Mrs. Ashelstane
647682	362704	
647683	49893	Herself
647683	87586	Disco Dance Skater
647684	135206	Delabia
647685	258188	Julie
647686	18962	Herself
647687	330377	Doorwoman at Club
647688	13351	Mrs. Ganswoort, Patient
647688	33731	Lady Diana
647688	47217	Mrs. Bennett
647688	48539	Mother of Son Lost at Sea
647688	54617	Red Cross collector
647688	57919	Governor's Wife
647688	61567	Mrs. Holt
647688	65367	Mrs. Feiffer
647688	66282	Friend of mrs. van kreel
647688	69676	Countess Augustus Walewska
647688	73982	Princess
647688	73984	Mrs. Dorset
647688	79419	Mrs. Harrison
647688	80062	Mrs. Jennings
647688	92147	Lady
647688	92230	Bit Part
647688	92505	Mrs. Weymouth
647688	103781	Lady Ashford
647688	108473	Maid
647688	109417	Carrie Lenox
647688	116929	Miss Perry (Warren's secretar
647688	118321	Lady Carlton-Smith
647688	132780	Lady Witherspoon aka English 
647688	149136	Party Guest
647688	154439	Mrs. Watkins
647688	154952	Clara
647688	157129	Dowager
647688	162355	Mrs. Winslow
647688	170378	Lady Pennystone
647688	176326	Mrs. Bronson
647688	176361	Mrs. Reynolds
647688	178200	Dowager at Funeral
647688	178979	English Woman
647688	190206	Mrs. Van Tuyl
647688	190268	Mrs. Woodring
647688	192611	Mrs. Colfax-Baxter
647688	193007	Woman
647688	193732	Agatha Van Weir
647688	195553	Mrs. Woodbridge
647688	195816	Mrs. Quinton
647688	218012	Mrs. Davis
647688	221068	Voice
647688	224421	Mother, on stage
647688	230731	Lady
647688	232008	Mrs. Laurie
647688	233044	English Lady Getting Visa
647688	239700	Mrs. Halsey
647688	244739	Aunt Sarah
647688	247880	Gerard's Mother
647688	256899	Bit
647688	267552	Mrs. Quail
647688	270506	Mrs. Simpson
647688	272025	Ballet
647688	281878	Mrs. Russell
647688	308592	Woman at Party
647688	313118	Wife of Admiral
647688	314354	Miss Phillibrown's companion 
647688	329437	Selma Delaney
647688	341529	Woman in steambath
647688	354201	First Matron
647688	356230	Woman in Gold Room
647688	360068	Dowager at estate dance
647688	367555	Lady Emberdale
647688	367577	Chairlady
647688	367841	Dowager
647688	367919	Mrs. North/Society Woman
647688	374522	Party Guest
647689	241555	Jason Neal
647690	132912	Auntie Poulet
647691	406293	Sandra Henley
647692	73862	
647692	359816	
647693	26471	Jessi Ramsey
647693	65989	Clover
647693	73703	Troy
647693	140783	Mary Shuttlesworth
647693	254995	Maretha
647693	404645	Bethany
647694	187193	Mailroom Guy
647694	372466	
647695	232830	Doctor
647696	118897	Herself (editor, Ottawa City 
647697	235510	Suzanne
647698	167051	
647698	196209	Cadet Gail
647698	232346	Annie
647698	331463	Young Lois
647699	192349	Mr. Boo's Band
647700	87503	Herself
647701	138445	Girl
647702	82710	Sally's Mother
647703	109221	Rosalie
647704	67481	Olivia Aldwin
647704	208632	Commercial Girl
647705	2034	Moderator
647705	35643	Judge
647705	49714	
647705	63066	Liz
647705	64394	Nurse
647705	72562	Scientist
647705	78084	Woman Customer #B
647705	155020	Librarian
647705	160778	Carmen Trevaine
647705	164369	ER Nurse
647705	195669	
647705	208415	Emily
647705	232466	Nurse
647705	346862	Court Clerk
647705	381422	Woman #2 (transport ship)
647705	390109	Driver #1
647706	65099	Salon owner
647706	245265	Well Dressed Woman
647706	294804	Dawn Lookalike
647706	356896	Female Kiyaapoe
647707	65501	TV Reporter
647707	265594	Cowgirl Hottie #3
647707	398648	
647708	40343	Angel
647709	82609	Beatrice Harrison
647710	154358	
647711	73740	Woman
647712	379978	Herself (eliminated 2nd) (200
647713	80851	Betty
647714	188621	Mattie Oblinger
647715	190273	Cookie Dancer
647716	96873	Louise
647716	99081	Tart
647716	152584	Moff's mum
647716	194378	Kay
647716	324552	Sonia
647716	382875	Gloria
647716	384441	Iras
647716	387247	Louise Simmonds/Raymond (1998
647716	389968	Loretta Sweet
647716	394239	Susan Hutton
647716	399770	Renee Mandeville
647717	160980	Olga
647718	39721	Lily, The Girl
647718	41795	Jenny
647718	62992	Kate
647718	65200	Mrs. Sinclair
647718	93579	Irene
647718	94858	Penny Smallwood
647718	96117	Fern's Masseuse
647718	97023	Joanna
647718	100133	Marion
647718	138184	Milly
647718	138899	Helen Tapsell
647718	156813	Susannah
647718	220102	
647718	222644	Eileen
647718	255466	Lisa
647718	261041	Violet Keppel Trefusis
647718	330377	Sandy
647718	366762	
647718	384142	Sally Ashworth
647718	391259	Charlotte Elliott
647718	395525	Tilda Price/Milliner/Miss Pet
647718	396090	Chloe
647718	397182	Joanna
647718	400412	Claudia Etienne
647718	405829	Laura Cadman (1991)
647718	411532	Catherine Linton
647719	255424	Hofmeister Daughter
647720	12295	Stacie
647720	56773	Margaret Livingston
647720	222876	Annie
647720	222878	Annie Guthrie
647720	222879	Annie Guthrie
647720	222880	Annie Guthrie
647720	222881	Annie Guthrie
647720	245876	Nikki
647720	277142	Judith Hobart
647720	320310	Rebecca Lomax
647720	380844	Lucy 'Luce' Jennings
647720	398573	Annie Guthrie (2003-2004)
647721	67348	Realtor at Grimes Reality
647721	72114	Polly Forbes
647721	99584	Dee Stanley
647721	245275	Co-Anchor
647721	264427	Mother #2
647721	290389	Red Head Nurse
647721	351502	Debra
647722	125825	Alice Owens
647723	88270	Madame Rosa
647724	102581	Child #2
647725	155544	Catherine 'Cookie' Peters
647726	115689	Jacky
647726	213324	Hard-Eye Fairy
647726	224022	Phyllis, Aimee's Mother
647726	266608	Athena
647726	299070	SSO Singer
647727	321757	
647728	30224	Queen of Dairyland
647729	5960	Bar cashier
647730	364246	
647731	75557	Jane Magrew
647731	78084	Bonnie Ferrar
647731	116667	Jenny Webster
647731	238096	Karen
647731	382419	Bridget Forrester (#8) (2004-
647732	57659	Herself
647732	68697	Neo Waitress
647732	161537	Santa Fe Tart
647732	399130	Joanna Hartman/Evans (1995-19
647733	269368	Child
647734	146010	The nursemaid
647734	178916	Dora McKittrick
647734	193831	
647734	193833	
647734	193836	
647734	193838	
647734	193839	
647734	197248	
647734	197256	
647734	197266	
647734	233868	
647734	360442	
647735	95489	Mountain Laurel
647736	77857	Lady Guest
647737	389858	Carla (1994)
647738	67938	Rhonda
647738	133780	Town Hall Girl
647738	385781	Agnes
647738	387533	Marion Wilks (1972-1975)
647738	391509	Val (Series 2) (1981-1982)
647738	399485	Hilary Thorpe
647738	403272	Brelca #1 (1986) (Seasons 1-2
647738	403704	Gaye
647739	288094	Dancer
647740	41560	Helen Fenn
647740	106669	Molly
647740	114673	
647740	190755	Very Young Carole
647740	319679	
647741	102117	Candace
647743	399069	Shelley
647744	37526	Laura
647744	177007	Mary Ellen Knoeller
647744	269880	
647744	366908	Reporter
647744	386603	Greta Van Alen Powers #5 (198
647744	397379	Susan Slater
647745	58164	Lucy Rawlstone
647745	317350	Bella
647745	370585	Helen's daughter
647746	55267	Sammi
647746	221175	Police Officer
647747	10630	Toots
647747	34692	Undetermined Role
647747	76513	
647747	79349	
647747	112528	June Reeves
647747	117301	The Lamb
647747	141821	The Prey
647747	145858	Darktown's Cleopatra
647747	187724	Anne Nichols
647747	190784	Margy Hopkins
647747	196254	Sally Clayton
647747	241329	The Maid
647747	266715	Bit
647747	274391	Yolanda Kosloff
647747	351694	Nidia
647747	371098	Elsie Loisel
647748	117911	Alison Garrett
647749	75594	
647750	81776	Kid
647751	123884	Dancer
647751	282711	Dancer in Haiti number
647752	337685	Trinity
647752	408711	Trinity
647753	31193	Herself (ABC Team)
647753	31202	Herself (CBS Team)
647753	75505	Elizabeth Armstrong
647753	114526	Julie
647753	156471	Charlene Lernoux
647753	202361	
647753	263798	Kathy Bloodstone
647753	274475	Sarah Snyder
647753	324546	Sarah (hooker)
647753	331717	Herself
647753	352965	Herself
647753	385594	Jamie Ewing Barnes (1984-1986
647753	408135	Cindy Snow (1980-1982)
647754	318	Milly
647754	976	
647754	69429	Clara Van Den Meer
647754	223769	Jessica
647754	315961	Emily Montrose
647754	317843	
647754	383251	Miriam Block
647754	408864	Cindy Brock
647755	108197	Miriam
647756	78821	Ruth
647757	203534	Secretary
647758	367903	Caroller
647759	330195	Nurse #2
647760	92181	Disco groupie
647761	141350	Anaesthetist
647761	351876	Deborah
647761	400110	Beggar Woman
647762	47138	Nora
647762	64735	Dorine
647762	128372	Child
647762	167527	Nora
647762	167528	Nora
647762	167529	Nora Jiggs
647762	167530	Nora
647762	184475	Donna Blake
647762	318933	Betty Jean (child)
647763	403593	Herself
647764	111808	La Verne
647764	127730	Sissy Williams
647764	193761	Couple in Bar
647765	280207	Samantha Miller
647766	11025	Rosie
647766	11232	Nannie Cartwright
647766	12178	Mrs. Barker
647766	20032	Annie
647766	29304	May
647766	37216	Mrs. Frith
647766	43461	Ethel Brawn
647766	47445	Mrs. Lossy
647766	56424	Emmie
647766	70276	Mabel
647766	74210	Mae Farrer
647766	80996	Mrs. Glossop
647766	87631	Maid
647766	89130	Mrs. Fossett
647766	91585	Kate
647766	105201	Lucy
647766	109483	Mrs. Staggers
647766	116263	Mrs. Schifan
647766	127226	Miss Bourne
647766	127320	Kaney
647766	128299	Cook
647766	128333	Penelope
647766	130711	Isobel
647766	133539	Pub Customer
647766	133550	Maid
647766	138791	Lillian Lord
647766	143569	Kathleen Huggett
647766	147125	Ada Figgins
647766	147521	Mrs. Huggett
647766	148210	Elsie Harrison
647766	148262	Mabel
647766	152292	Ethel Huggett
647766	154291	Polly
647766	154581	Waitress
647766	154658	Cook
647766	155022	Mabel
647766	158566	Mrs. Blake
647766	163289	Mrs. Purkiss
647766	163491	Miss Gilly
647766	177816	
647766	184519	Mona's Mother
647766	190755	Kate
647766	191080	Maid
647766	193251	Lady Clumsey
647766	193594	Elderly Lady
647766	200112	Mother in Family Group
647766	201306	Mrs. Price
647766	203091	Martha
647766	209628	Mrs. Bardell
647766	221264	Mrs. Gibbons
647766	221547	Amelia Peabody
647766	232008	Emily Terence, the Cook
647766	236085	Mrs. Brown
647766	240019	Mrs. Sowerberry
647766	240755	Mrs. Cooksley
647766	241023	Auntie
647766	244781	Belinda
647766	245527	Mrs. Coates
647766	255261	Rachel Wardle
647766	291487	Mrs. Dilber
647766	295385	Mme. Abou
647766	299782	Mrs. Catt
647766	327600	Mabel
647766	328076	
647766	328618	Parlor Maid
647766	330136	Mrs. Lightbody
647766	333097	Mrs. Welwyn
647766	339784	Emma Foreman (in segment The 
647766	341963	Granny Quilliam
647766	356948	Mother
647766	359077	Belinda
647766	359104	Florrie
647766	360042	Mrs. McCabe
647766	361587	Mrs. Beckett
647766	362225	
647766	363460	Annie Yeo
647766	366373	Violet
647766	398421	Mrs. Thursday
647766	400529	Henerietty Boffin
647767	107042	Counting Room Hostage
647768	37352	
647768	117619	
647768	128110	
647768	308399	
647768	333167	
647768	346033	Na Fa Kowa
647768	363088	
647769	93051	Emma
647769	382531	Nancy Brisley (Series 4-) (20
647769	383631	Nikki Marshall: Paramedic (20
647770	217603	Papergirl
647772	63105	
647773	182956	Fionna
647774	109449	Little Girl with Handouts
647775	87586	3 Little Girls
647776	95108	Katya
647776	253876	Bird
647777	307126	Angela
647778	9131	Winnie
647778	33002	Herself
647778	33983	Nova
647778	66556	Susan
647778	66557	Susan
647778	109591	Treasure Hunter
647778	135513	Miss Stardust, Rance's New Gi
647778	147839	Herself
647778	257295	Nova
647778	257296	Woman in Cart
647778	360277	Peggy
647778	367981	Wonder Woman mirror reflectio
647778	382636	Paulette Douglas
647779	365183	Madam
647780	18635	Janice's Mother
647781	246705	Mrs. Rhodes
647781	358374	Anxious Actress
647781	358865	Toni Walton
647781	358866	Toni Walton
647781	358867	Toni Walton
647781	410568	Toni Hazleton Walton (1981)
647782	144804	Cafe Patron
647782	171297	Bar Dancer
647782	276869	Professional bowler
647783	168735	Bank Guard
647784	55674	Graveside Mourner
647785	46608	Abretha
647785	64090	Buxom girl
647785	93651	Senora (Jenny's housekeeper)
647785	194831	Teema
647785	196404	Mother
647785	221035	Elizabeth, the Dowager
647785	223019	Kate
647785	280982	Miss Twitchell
647785	311866	Suzy
647786	37884	PC Donna Harris
647786	382052	WPC Donna Harris (1991-1996)
647786	385020	Dawn Prescott (1989)
647787	60524	Roselyne
647787	89119	Air France Clerk
647787	96037	Hostess
647787	198567	Make-up artist
647788	365285	
647789	645	Ticket Girl
647789	327976	Lorelei
647790	406148	Laura
647791	85658	Policewoman Mary Larkins
647791	305407	Jackie Collins
647792	147650	Guest
647792	222768	Guest
647793	236342	
647796	305221	Baseball Wife
647797	303501	Fan
647798	6989	Additional Muppet Performer
647799	276731	Marla Cabot
647800	81003	Diana
647801	390788	Mia
647802	2476	Maureen
647802	66763	Beautiful Woman
647802	89099	Kristin
647802	114242	Courtney Robinson
647802	135608	Crane's Assistant
647802	187234	Mary Margaret Place
647802	196892	Maya
647802	220924	Mary
647802	251247	Jane
647802	263230	Sara Laughlin
647802	281056	Sabrina
647802	306278	Lady in Waiting #1
647802	341849	Jennifer Shore
647802	400548	Crista
647803	115300	Old Lady
647804	75465	Mrs. Lushcomb
647805	362104	
647806	83156	Annie Bevan
647806	104046	
647806	190426	
647807	6732	
647808	108600	Goth Girl
647809	112907	Passerby
647809	241008	
647809	265288	Lady
647810	14203	Lisa
647811	38021	3rd Grader
647812	2581	Herself
647812	69077	Herself
647813	77690	
647814	29524	Jasmine
647814	202915	Dancer
647814	396696	Juggy Dancer (1999-2003)
647815	106443	Newscaster
647815	236972	Chinese Girl
647816	118744	Carol Brooks
647816	133636	Sheryl Mickelberg
647817	7992	Lauren
647817	16073	Sarah
647817	53316	Car Wash Customer
647817	69405	Patsie
647817	75773	Implant Doctor
647817	154984	Woman on Video Tape
647817	175140	Maud
647817	231130	Joyce
647817	232390	Jill
647818	255357	Skipping Girl
647819	41234	Nancy Perkins
647820	368928	Governess
647821	170848	Herself - Participant/Perform
647821	242969	Herself
647822	43087	Eva
647822	200177	Mrs. Carlisle
647822	342459	
647822	382419	Darla Einstein Forrester (198
647822	389858	Nurse (1987)
647823	112128	Herself
647823	324771	
647824	366418	Janelle
647825	119822	Teacher
647825	222590	Maid
647826	358561	American Athlete
647827	180472	Lucy
647828	170496	Handmaiden
647829	175810	Ruby
647829	190491	Maisie
647829	321310	Susan Hunsecker
647830	166879	Lisa Johnson
647831	227415	Narrator
647831	294067	
647832	382612	Clare Todd
647833	25819	Jeanne
647833	34277	Secrétaire atelier
647833	123063	Journaliste
647834	170852	Typing Teacher
647835	12938	Guest
647835	12940	Herself
647835	90512	Herself
647835	189436	Performer
647836	102581	Trolls
647837	221182	Script Supervisor
647838	257608	Herself
647839	400696	Maggie Thatcher (1990-1991)
647839	402421	Dawn
647839	411850	
647840	60499	
647840	334486	
647840	358893	Elisabeth Velloni
647841	154470	Bridesmaid #1
647842	182948	Women's Army of Revolt/Citize
647842	267684	Citizens of New Orleans/Field
647842	274333	Shoeshoppe Customers/Church C
647843	258305	Maria
647843	391919	Sophie Johnstone
647844	37089	First Waitress
647844	64019	Employee
647845	253354	Nurse
647846	232380	TV Newscaster
647847	248117	The Widow Bates (Marie)
647848	229538	Kirstie
647849	43711	
647849	68396	
647849	96235	
647850	38728	Vanessa
647851	78491	Herself (performing 'Mon du t
647852	314993	Stewardess
647853	128838	Sister Mary
647854	11529	Mary Catherine
647855	218713	Maud
647857	119966	Café Server
647858	46543	Ellen
647859	179866	
647860	325995	'Lost Ark' Girl
647861	34671	Leslie Applegate
647861	42904	Lauren Bacall
647861	54270	Mary Ward
647861	68669	Gillian Tanner
647861	80612	Beverly T. Lee
647861	80734	Angela
647861	141411	Cyd
647861	152947	Dotty
647861	161505	Christie
647861	198920	Det. Jenny Loud
647861	202863	Marilyn Butler
647861	216954	Mary Harvard
647861	232508	Anne Dillon
647861	245460	Deena
647861	267604	Hannah
647861	271219	Christine
647861	272917	Monique
647861	280196	Megan Dougherty Adams
647861	294079	Dr. Gail Farmer
647861	308018	
647861	308440	Suzie Kaufman
647861	327235	
647861	345850	Cynthia Malcolm
647861	350170	Leslie Rawlins
647861	367674	Brandy
647861	367916	Bliss
647861	371325	Pamela Taylor
647861	378627	Connie Wells
647861	382832	Sara Newhouse
647861	386603	Nola Dancy Aldrich (1976-1978
647861	392459	Christina LeKatzis
647861	396324	Detective Jenny Loud MacGrude
647861	411363	Dr. Jill Bates
647862	68271	Bikini babe #1
647863	14145	Bargirl
647863	170872	Maria
647863	256464	Fran
647864	147738	Herself
647864	158144	Herself
647864	201616	Herself
647864	405937	Herself
647865	141519	A Wounded Girl
647866	141519	A Woman with Daughter
647867	392278	Lily
647868	160421	Sniper Victim 4
647869	383056	Sally Lister
647870	147278	Jenny
647871	166125	Justie
647872	142628	Lori
647873	5866	Eileen McGurk
647873	11191	Helen Alderson
647873	67833	Claire Jeffries
647873	71684	Miriam
647873	92508	Ann
647873	113281	Kate Reynolds
647873	120439	Wanda
647873	163354	Helen
647873	185197	Beth
647873	202901	
647873	240326	Herself
647873	244352	Liz
647873	294222	Helen Irving
647873	297107	Dr. Christine Ruben
647873	309261	Emily
647873	319001	Madeleine Vesey
647873	329418	Alice Flack
647873	360035	Jane Gray
647873	366744	Mrs. Oakfield
647873	378756	Lynn Blake (1978)
647873	379871	Nancy Kennon
647873	393471	Hester Bergman
647873	395830	Lizzie Dickinson
647873	398972	Nancy Astor
647873	399659	Sigrid
647873	401651	Herself
647873	403992	Petra Summers
647873	406392	Liz Becker
647873	406695	Anna
647873	409488	Lady Henrietta Flusky
647874	190376	Grandmother
647875	42029	Girl
647876	7067	Sister Effie
647876	9630	Proprietress
647876	45912	Dr. Margaret Kalman
647876	90330	Ruth Emerson
647876	118311	
647876	154451	Mrs. Freeman
647876	206069	Miss Kimble
647876	255834	Woman of Samaria
647876	299658	Housekeeper
647876	314526	Landlady
647876	326408	Clara Dibney
647876	340779	Mrs. Ross
647876	342889	Rocking Chair Lady
647876	365490	Martha Bernard
647876	411802	Charlotte Ramsey (2003)
647877	272867	Eva
647877	313484	Jan Ors
647877	334275	
647878	694	
647878	1820	Herself
647878	1952	Herself
647878	3601	Herself
647878	34736	Herself
647878	40303	
647878	41110	Herself
647878	41111	Herself
647878	41112	Herself
647878	41113	Herself
647878	41114	Herself
647878	42711	The Nurse (segment "Hair")
647878	47208	Herself
647878	68759	Herself
647878	70468	Delores
647878	77761	Herself
647878	80399	Mrs. Kurtz
647878	84494	Wendy
647878	91876	Elizabeth
647878	93962	Thor
647878	97025	
647878	100829	Herself
647878	117579	Dee Trik
647878	117683	Lulu
647878	127263	Herself
647878	131557	Madison
647878	132912	Delores
647878	137259	Velma Von Tussle
647878	141374	Herself
647878	141689	Delores
647878	147828	Herself (1995 interview)
647878	154403	Herself
647878	157521	Herself
647878	161412	Cory Wheeler
647878	168299	
647878	182963	Madam 'Jacq' Jacqueline
647878	219931	Old Woman Who Lived in a Shoe
647878	221021	Herself
647878	224089	Ann's Mother
647878	230619	Herself
647878	230892	Fairy Godmother
647878	230947	Girl at Blind Alley
647878	235887	Herself
647878	252231	
647878	271861	Herself
647878	273400	Anneka
647878	274127	Herself
647878	274200	Ezmeralda The Psychic
647878	279481	Herself (Blondie)
647878	279984	Angel
647878	280702	Herself--Blondie
647878	287211	
647878	288628	Tina
647878	288702	Herself - Audience Member
647878	303521	Kate Odum
647878	312092	Neighbor
647878	313958	Herself
647878	315598	
647878	323838	Betty (wraparound story)
647878	328553	(segment "Videodrome")
647878	341018	Ma Mabley
647878	341623	Fastidieux
647878	344528	Herself
647878	345633	Herself
647878	347119	Lillian
647878	347403	Blondie
647878	352975	Herself
647878	353752	Nicki Brand
647878	360534	Herself
647878	363351	Self
647878	364185	Herself
647878	365108	Herself
647878	375798	Dorothy the Waitress
647878	381571	Herself
647878	401359	Vain Gloria
647878	403562	Herself
647879	1480	Herself - Presenter
647879	72569	Edna Savage
647879	91927	
647879	158900	Ida Early
647879	163575	Herself
647879	183872	Julie Benson
647879	192688	Charmayne
647879	231496	Jackée, The Baker
647879	342234	Herself
647879	360503	Yvonne
647879	367844	Etta Mae
647879	372175	Mama
647879	378801	Sandra Clark (1985-1989)
647879	380391	Lily Mason (1983-1986)
647879	390998	Bo Peep
647879	403846	Ruth 'CoCo' Royal (1992)
647879	405493	Lisa Landry
647879	408369	Herself/Guest Panelist
647880	25088	Marinette
647881	409277	Herself/Panelist ("Faune")
647882	127730	Falcons Dance Squad Member
647883	78015	Fanatic Woman
647883	351526	Sister Teresa
647884	396250	Boarding-School Girl
647885	397397	Herself
647886	56967	Nurse
647886	385606	Sister Bedgegood
647886	400807	Cleaning lady in Paradise Clu
647887	108382	Young Carrie Pilcher
647888	112075	
647889	182948	Women's Army of Revolt/Citize
647890	80943	Jealous Dancer
647891	232166	Nun
647892	124115	Waitress
647893	144386	Nafisa
647893	297594	Gajanan's daughter-in-law
647893	394012	Mandira Joshi
647894	82528	TV announcer
647895	99175	Jolie
647895	104973	Tawny Dean
647895	273769	Rebecca Korda
647895	383781	Sara Pressman
647895	387973	Tawny Dean
647895	403930	Brooke Franklin
647896	80430	Maid of Honor
647897	22596	Red Cross Nurse
647897	61627	Bonnie
647897	115098	Woman on Train
647897	152860	Sofia
647897	253341	Jury Foreman
647897	253344	Maid
647897	253348	Ticket Clerk
647897	253353	Helen Robinson
647897	321654	Sally
647897	405153	Car Rental Clerk (episode 3)
647898	306600	Justine Hoey
647898	390523	Paula Webster (1994-1996)
647899	20802	Landlady
647900	222710	Mary
647900	409386	Ruth
647901	146882	Herself
647902	281561	Claudia Trotter
647903	262589	Beverly's Child
647904	215607	Gloria
647904	224085	Lillian 'Billie'
647905	111893	
647905	139694	
647906	17978	Nun
647906	37681	Maria
647906	350277	Twins
647907	101763	Bille
647908	37700	Sissy
647908	39861	Scary Mary
647908	59311	Jack's Mother
647908	335607	Herself
647908	350235	Female Master #2
647909	208436	Stooge
647909	316214	Barmaid
647910	360382	Herself (wife of MIA, Thomas 
647911	401450	Baby Alexander Kelsey
647912	267525	Margaret Winthrop
647913	179558	Sarah Dorfman
647913	219874	Rebecca Rosenwald
647913	262045	Grandma Rabinowitz
647914	370878	Mrs. Beacher
647915	236328	Model #2
647915	313398	High Priestess
647916	364135	Lydia
647916	365759	
647918	188453	Contortionist
647919	161331	Herself
647920	316626	(English version)
647921	301659	Norma Shearer
647921	313854	Felicia Kent
647921	367444	Susan Broadas
647921	389326	
647921	398411	Janice Hall
647921	400867	Stacey Erickson
647922	31281	Michelle
647923	102103	Jill Wells
647924	6272	Kathleen Tate
647924	53270	Mary
647924	59548	Jana
647924	60227	Janet
647924	79440	Charity
647924	141141	Sheila Green
647924	142716	Patricia Krenwinkel (Manson g
647924	168685	June
647924	175149	
647924	199143	Fromley's Victim
647924	209132	Gloria
647924	232247	Woman in Elevator
647924	274343	Velva Mae Cloyd
647924	281470	Paula
647924	283406	Reba Washburn
647924	295881	Bunny O'Hara
647924	309047	Gerda
647924	314635	Samantha
647924	367775	Karen Worthington
647926	380285	Presenter
647928	35250	
647928	217861	
647928	336479	
647929	105472	
647931	13637	Manicurist
647932	40502	
647932	155388	
647932	180153	
647932	248774	
647932	249095	
647933	146882	
647933	177488	Diana Smith
647933	318829	Herself
647933	369255	Herself - Mrs. Calgary
647934	47192	The Blazer
647934	73967	Tess
647934	101691	Jackie
647934	109884	Doreen
647934	123467	Mrs. Hill
647934	138800	Mae
647934	150847	Dolly
647934	175132	Kitty
647934	224414	Stella Gay
647934	241459	Maxine
647934	255261	Emily Wardle
647934	308082	Joan
647934	372354	Ada Shore
647934	405890	Maisie Miller
647935	97207	Peggy Glendon
647936	49483	Dolly
647936	53957	Wendy
647936	127414	Terry
647936	259898	Judy
647936	277071	Lincoln Girl #2
647937	67823	Donna Stuart
647937	177291	Nellie
647937	191407	Lisa Held
647937	193799	Justy Sargent
647937	196558	Susan Jessup
647937	258297	Ellie Walters
647937	285618	Elinor Harrison
647937	330750	Home movie footage
647937	363371	Merritt Andrews
647937	365329	Angie
647939	115406	From 'The Last Deal, 1910'
647939	211687	
647939	332127	Stage Passenger
647940	133240	Herself - Tennis Player
647941	71669	Peg Manning
647941	92230	Muse
647941	105804	Bit Role
647941	135920	Jane Banner
647941	154756	Eve Merrick
647941	160470	Mrs. Janie Pardue
647941	184826	Madeline
647941	193131	Ann Nelson
647941	226899	Ruth Morrison
647941	245516	Ann Taylor
647941	315700	Anne
647941	323457	Helen Gentling
647941	325157	Jane
647941	346339	Sally Lee
647941	407397	Herself/panelist
647942	280365	Herself
647943	366640	Herself
647944	93762	Vixen #2
647944	278209	Jamie Tompkins
647945	224675	Connie Lee
647945	340738	
647946	342497	Sara
647947	146882	Herself
647948	72104	Cover girl contestant
647948	262138	Model
647948	348327	Goldwyn Girl
647949	61614	Teen Shirley Temple
647949	155862	Eddy
647949	161338	Herself
647949	192014	Mergirl #1
647949	271344	Audrey's Friend
647949	278209	Marnie Tompkins
647949	287769	Rosie
647949	301564	Bobby
647949	404080	Sabrina Spellman
647951	301835	Lingerie Girl
647952	104778	Dutch entry (13th place)
647952	104779	Dutch vote presenter
647952	228267	Herself
647952	228268	Intervalact
647953	333881	Herself (Titanic survivor)
647953	333885	Herself (titanic survivor)
647954	107185	
647954	169378	
647955	163214	Mrs. Standish
647955	263978	Claudia's Mother
647955	334951	Amelia Niblock
647956	153566	Air Force Couple
647956	202378	Motel Maid
647957	146882	Herself
647958	154984	Mrs. Watchtower
647958	245687	Fran
647958	292817	Mrs. Barling
647958	350913	
647958	363777	Housewife
647959	111809	Sarah Jane
647960	29744	
647961	333914	Stewardess
647962	39691	
647962	93988	
647962	115905	Neeva Sacon
647962	130677	Woman in dance hall
647962	133368	
647962	170614	
647962	241843	
647962	267060	Lisetta Maseto
647962	269790	
647963	259319	Weird girl
647964	218477	
647964	361751	Grace Adams
647965	13279	
647965	36403	
647965	36406	
647965	41486	Herself
647965	49500	
647965	69375	
647965	69376	
647965	81787	Herself
647965	85787	
647965	123658	
647965	123659	
647965	139206	
647965	139277	
647965	150389	
647965	163710	
647965	183381	
647965	197784	
647965	206450	
647965	232293	
647965	243541	
647965	261289	
647965	267102	
647965	296113	
647965	306023	
647965	309899	
647965	310470	
647965	321161	
647965	340523	
647965	361360	Wendy
647965	369472	
647966	129534	
647966	291161	The Maid
647967	146882	Herself
647967	282675	Herself
647967	369255	Herself
647968	299644	Helen Newhouse
647969	386981	Kim Gutmann (2001-????)
647970	257656	Herself (Miss March)
647970	257673	Herself
647970	257816	Miss April 1998
647971	151616	Mullen's Hostess
647971	169916	Hooker #2
647971	176499	Runner-up
647971	405212	Coffee Bean
647971	408713	Shannon Lamarche
647972	265714	
647973	73956	
647974	244358	Maggie Fielding
647975	277222	
647976	295730	Daisy
647977	209683	Agnes Farber
647977	338638	Therapist
647978	261461	
647979	281889	Violetta
647980	367083	Swordslady
647981	105074	Telephone Operator
647981	116443	Bar Girl
647981	129233	Ethel
647981	133880	
647981	154063	Prisoner
647981	210394	Hard-Boiled Girl
647981	211601	Maxim Girl
647981	213453	Tough Broad
647981	216017	
647981	242110	
647981	281163	Bit part
647982	411549	Jennifer Hart, Interviewer
647983	42055	Phone Operator
647983	74011	Delores Freeman
647983	108330	Jailer
647983	139434	Mrs. Hershel Gaw
647984	401136	Anna Merrell
647985	174918	Mrs. Duke
647986	50356	
647986	306025	
647987	2500	
647988	64734	Sarah Schneider
647988	72580	
647988	80546	Mrs. Riley
647988	131227	Brenda (waitress)
647989	5037	Woman Mourning Helen
647990	126569	Restaurant Customer
647991	341455	Sally Hannaway
647992	146882	Herself
647993	77586	Dancer at Club
647993	183670	
647993	210420	Dancer
647994	168745	Sarah
647995	306190	Annie
647997	6768	Member of the Law & Order Lea
647997	194019	Mrs. Creech
647997	369411	Mrs. Mart
647998	303521	Waitress
647999	268223	
648000	266616	Herself (author, Auschwitz su
648001	44493	Jenny
648001	70653	Jasper
648001	214100	Hope
648001	236696	Blonde
648001	330057	Pizza House Wife
648001	384072	Charlene
648002	3420	
648002	108036	
648002	137466	Old Maid
648002	137467	
648002	210892	Miss Dunston
648003	218798	His Woman
648006	250618	Cielo
648007	230676	Prom queen
648008	32052	Nedra Hibbard
648008	34937	Blender #1
648008	72706	Madelyn
648008	114039	Mrs. 'B'
648008	126555	Fay Devoe
648008	136510	Miss Mazeppa
648008	160492	Mrs. Wigand
648008	191857	Betty Parker
648008	238567	Gina Pompelli
648008	253010	Eileen, Waitress
648008	300195	Waitress
648008	314351	Debbie Whitman
648008	329094	Darlene
648008	333507	Doreen
648008	364709	Mrs. Potter
648008	402605	Mrs. Henderson
648009	405209	Sharron Dove (1998)
648010	318729	Kathy's Friend #1
648012	190376	Drama Woman
648013	208118	
648013	226938	Melon Lady
648013	226939	Fat Woman on Stadium Ledge
648013	243479	Cat Girl
648014	103326	Kovarick's Soldiers
648015	224281	Deborah Martin
648015	253364	Hooker #3
648016	253499	Mylert's mother
648017	162979	Corinthian Circle member
648017	245681	Mrs. Davis
648018	261461	
648019	197676	Tana O'Shaughnessy
648020	44275	Jill Kimball
648020	57041	Queenie Hart
648020	112595	Dude
648020	197869	Rosemary Maddox
648020	245384	Dora, the bouncer
648021	369255	Owen Hart's Wife
648022	15224	Herself
648022	64556	Herself
648022	64557	Herself
648022	64559	
648022	138700	Herself
648022	147629	Mary Hartstone
648022	161322	Narrator
648022	167698	Newscaster
648022	195305	Herself
648022	201696	Herself
648022	205268	Mary Hart
648022	218799	Herself
648022	368818	Herself
648022	387979	Hostess (1980-1982)
648022	390557	Hostess
648022	391834	Herself
648023	195768	Mrs. George Copelin
648024	32178	Additional Voices
648025	279166	Peggy
648026	1975	Herself - Host
648026	2009	Herself - Presenter
648026	6957	Con Sawyer's Little Sister
648026	13743	Host
648026	26973	C.J.
648026	30961	Delia & Deidre Dennis/Dee Dee
648026	53323	Vicki, Yearbook Girl
648026	63104	Amy
648026	65201	Clarissa Darling
648026	93762	Nicole Maris
648026	108358	Samantha
648026	147407	
648026	161199	Herself
648026	161338	Herself
648026	161400	
648026	167070	Jackie
648026	200345	Host
648026	231535	Presenter
648026	235403	Girl at Party
648026	273745	Rebecca 'Becky' Detweiller
648026	275785	Holly Washburn
648026	278209	Melanie Cambridge
648026	284933	Sabrina/Sophie
648026	284935	Sabrina Sawyer
648026	284938	Sabrina Spellman
648026	284939	Sabrina Spellman
648026	287769	Molly
648026	291417	Herself - Interviewee
648026	299288	Herself
648026	301564	Mary Stuartson
648026	310646	Sunlight Grrrll
648026	333321	Girl Standing ('Crazy' video)
648026	336477	Herself
648026	342642	Jennifer Stanton
648026	342766	Susan Clarkson
648026	343329	Herself
648026	357080	Host
648026	384397	Clarissa Darling
648026	388080	Herself
648026	392424	Herself
648026	394123	Florentyna Rosnovski (Age 7)
648026	398213	Herself
648026	404080	Aunt Hilda Spellman/Aunt Zeld
648026	404083	Sabrina J Spellman
648027	70305	Pat
648027	158141	Bank patron
648027	355343	
648027	368997	Reporter #2
648027	374523	Lt. Schiff
648027	393627	Nance
648028	220084	Kate
648029	43935	News Anchor
648029	44474	Anchorwoman
648030	203600	Amanda
648030	224405	Marie Smith
648030	329976	Helen
648032	131507	Welder
648032	302467	
648033	108477	Fan
648034	206631	Sara Trioli
648034	323594	Audition Singer
648034	380713	Meredith Halliday (1970-1971)
648035	298318	Nurse
648036	195785	Model (Lievsey Studio)
648036	350424	Lynette
648037	342646	Nurse
648037	356896	UN guard
648038	292662	Mistress Venus
648039	82643	Judith
648039	315311	
648039	318716	Angie
648039	372671	Dancer
648040	59151	Newscaster
648040	231118	Berit
648040	254943	Marcy Dawson
648040	265898	Skip Taylor
648041	16781	Santa
648042	161338	Herself
648043	37925	
648043	99144	
648044	175189	The Ladies
648045	243651	Herself
648046	13268	
648046	13271	
648046	13274	
648047	88102	Piquette (20 years old)
648047	311347	Bus girl
648048	126130	Featured
648049	252211	Forgetful Gal
648050	67400	Supervisor
648050	273944	
648051	12293	Grace Ann
648051	33426	
648051	35735	Danelle 'Dan' Perry
648051	67863	Betty Bonaduce
648051	79428	Anne Scripps Douglas
648051	116537	Tess
648051	131447	Mrs. Jean Worther
648051	145044	Brenda J. Wyatt
648051	148339	Mrs. Cartwright
648051	171349	Deborah
648051	175597	Jean
648051	185341	Jenny Stafford
648051	192286	Sara
648051	192682	Grace
648051	212032	Cath Johnson
648051	218785	June Mulcahey
648051	239033	Wendy Shelton
648051	239588	Carla
648051	241046	Gail Bella
648051	263171	Lydia Mayfield
648051	267057	Ellen
648051	283464	Alice Davis
648051	286549	Carol Fennelly
648051	310572	Megan 'Meg' Barclay
648051	323043	Annie Hartman
648051	351756	Jan Cimo
648051	352145	Sally Doneghy
648051	363001	Karen Newhall
648051	403481	Dr. Buerring
648052	333869	Herself
648053	402610	Karaoke Hostess
648055	20910	Telephone Operator
648055	52564	At Show
648055	61592	In Second Shop
648055	65776	At the Palace
648055	70811	In Store
648055	81083	Lady at Court
648055	94976	One of Fiametta's Attendants
648055	101430	A Friend
648055	115080	At Second Party
648055	126067	Chorine
648055	149148	At Farewell
648055	157451	The Maid
648055	157775	At the Ball
648055	185221	The Wife
648055	190484	Grace
648055	195930	Party Guest
648055	213075	Eleanor's Maid
648055	220358	Townswoman
648055	231025	On Train
648055	236931	Victimized Woman
648055	240836	At Deathbed
648055	241581	At the Party
648055	242503	One of Hetty's Relatives
648055	274210	Indian
648055	276388	Servant
648055	324207	Noblewoman
648055	328812	Salvation Army Member
648055	330375	Member of Girls Band
648055	331880	Caller/At Whist Party/At the 
648055	334292	At Party
648055	339581	At Gallery
648055	343223	Servant/At Party/At Reception
648055	353390	Maid
648055	367461	Maid
648055	372353	Mary
648056	61614	Shirley Temple, age 3
648057	360480	Army wife
648059	31702	Beach Community Member
648059	126548	Jessica
648059	139486	Lizzie Crowne
648059	345746	Traudl Junge
648059	390432	Becky
648060	9049	Peg's Mother
648060	22103	
648060	30071	
648060	30618	
648060	34700	
648060	46788	
648060	49804	Mabel's Mother, Jimmy's Mothe
648060	66973	
648060	72748	Mrs. St. John
648060	78042	
648060	96844	
648060	108312	Mrs. Duff
648060	114589	Guest
648060	120563	
648060	123197	
648060	130613	
648060	131918	
648060	146273	
648060	147122	
648060	147763	
648060	148941	
648060	162396	
648060	162985	
648060	168916	
648060	191283	
648060	195374	
648060	196234	
648060	196236	
648060	196523	Mrs. Chultz
648060	203147	Ma Harris
648060	206345	
648060	220165	
648060	223718	Ma Johnson
648060	280362	Mabel's Mother, Jimmy's Mothe
648060	305624	Mabel's Mother, Jimmy's Mothe
648060	305631	Mabel's Mother, Smith's Mothe
648060	321896	Landlady
648060	362682	
648061	45684	Bit Part
648061	64928	Jill Tregillis
648061	92482	Robot #11 (Diane)
648061	117281	Sorority Girl
648061	127125	The Ghost (Cecily)
648061	129456	Bit Part
648061	163206	Clips from 'The Slime People'
648061	163222	Herself
648061	246861	Jilda
648061	277902	Lily Kilua
648061	305006	Lisa Galbraith
648061	365473	Diane
648062	34778	
648062	37949	Herself
648062	61995	Suzi
648062	68159	
648062	72818	
648062	75191	
648062	81747	
648062	85761	
648062	85762	
648062	98839	Jenny
648062	98847	Salon customer
648062	98850	Orgy member
648062	127806	Herself
648062	131448	
648062	139193	
648062	141539	
648062	150344	
648062	187409	
648062	197848	
648062	243522	
648062	270640	
648062	296189	Doctor's assistant
648062	302577	Herself
648062	313232	
648062	313246	
648062	313257	
648062	321160	Herself
648062	333904	
648062	338766	Jenny the Receptionist
648062	345715	Herself
648062	366825	Herself
648063	119604	Edwena
648063	343907	Greg's girlfriend
648063	379162	Reporter
648065	54204	Cammy
648065	369462	Cammy
648066	277110	Candy
648067	41616	
648067	59189	
648067	74283	
648067	87303	
648067	91833	
648067	93991	
648067	105725	
648067	106031	
648067	108837	
648067	128851	
648067	148375	
648067	150043	
648067	171225	
648067	264737	
648067	273298	
648067	306908	
648067	306911	
648067	306916	
648067	306923	Herself
648067	339604	
648067	342638	
648067	348387	
648067	349969	
648067	361243	
648067	364752	Laura Lydekker
648068	52350	
648069	50982	Fanny 4 years'old
648070	177204	Dorothy
648070	314513	
648071	213628	Wedding Counselor
648072	310103	
648073	5503	Marsha Ellerman
648073	38045	
648074	121374	Casino Patron
648075	382337	Ellie Wilcox
648076	161338	Herself
648077	347741	Nun
648078	6723	Herself
648078	10875	Turk's Mama
648078	13389	
648078	26898	
648078	27222	Herself
648078	32241	Countess
648078	41418	Grace
648078	41575	
648078	41913	
648078	43883	Family Court judge
648078	69441	
648078	81343	Victoria Howe
648078	82468	Art snob discussing realism
648078	84001	Herself
648078	84808	Helen
648078	84809	Helen
648078	91651	Sweetie
648078	98188	
648078	98837	Dr. Ruth
648078	98839	Dr. Ruth
648078	98841	Dr. Ruth
648078	98889	Mimi Dupre
648078	106153	Jane
648078	110357	Girl By Pool #2
648078	116013	Herself
648078	127119	Lady de Montford, Librarian
648078	127808	Herself
648078	128347	Herself
648078	128858	
648078	129090	Herself
648078	131660	
648078	139209	Herself
648078	146628	Herself
648078	171225	
648078	187411	Herself
648078	192267	Madam Rula
648078	200521	Dentist Nurse #1
648078	213092	
648078	226924	Herself
648078	242087	
648078	244353	Herself
648078	246863	
648078	260723	
648078	260726	Herself
648078	263338	
648078	278866	
648078	282919	Telephone Trixie
648078	295576	
648078	296068	Lola Faraday
648078	301836	
648078	314200	
648078	315053	
648078	319456	
648078	333409	Doniger's Secretary
648079	334354	Wedding Guest
648080	128443	Beatrice
648081	36916	
648081	249548	Laundry Woman
648082	22176	Young Jenny Dilligham
648082	77193	Anita Sewell
648082	382239	Louise Bliss
648082	384136	Polly Gore
648082	385162	Catherine Wilson
648082	400814	Agnes as child
648082	406994	Herself
648083	30750	Counselor
648084	278209	Kaila Tompkins
648085	9540	
648085	87413	
648085	87444	Herself
648085	89068	
648085	98871	
648085	98904	
648085	121589	
648085	144565	
648085	160277	
648085	228536	Gill
648085	231357	
648085	264877	
648085	296995	
648085	334733	
648085	361866	
648086	226318	Anna
648087	319734	SuperLorna
648088	5565	
648088	5841	
648088	21264	Model No. 1
648088	27933	Margot
648088	37877	
648088	40061	
648088	40160	
648088	44079	
648088	44088	
648088	45090	
648088	45863	
648088	50829	Mrs. Sears
648088	54454	
648088	61608	
648088	62899	
648088	68466	
648088	70603	
648088	72025	
648088	75273	
648088	77466	
648088	79628	
648088	105416	
648088	120741	May
648088	126059	Fanny Mountain
648088	128097	
648088	141269	
648088	143554	
648088	143713	Myra
648088	149264	Jess/Nance
648088	151256	
648088	158093	
648088	158161	Juanita Lopez
648088	158239	
648088	158453	
648088	159105	Hope (Col. West's daughter)
648088	163281	
648088	171415	
648088	178899	
648088	187953	
648088	192388	
648088	200847	
648088	201528	
648088	202991	Undetermined Role
648088	207392	
648088	216953	
648088	224766	Dorothy
648088	230626	
648088	231102	Zuleika
648088	239535	
648088	240690	
648088	240791	
648088	245261	
648088	256125	
648088	256588	The Pirate's Daughter
648088	259793	
648088	263571	The gypsy maid, Michel
648088	263598	
648088	265501	
648088	272086	Danny
648088	274851	
648088	278663	
648088	280837	
648088	280973	
648088	285061	
648088	299214	
648088	304936	
648088	311282	
648088	312176	
648088	313010	
648088	314773	
648088	327870	
648088	329808	
648088	331855	
648088	334981	
648088	348363	
648088	354732	
648088	355337	
648088	356996	Ysobel
648088	363463	
648088	363923	Mlle. Julie
648088	367731	Effie Deans
648089	51960	Sexy Girl #2
648089	95045	Carol Foster
648089	97232	Mary Gesar
648089	115593	Melanie
648089	126626	
648089	201928	Tiffany
648089	366652	Rachael
648090	262746	Naomi
648092	198881	1st Witch
648092	385299	Joan Hillary
648093	139001	Forensics
648093	379831	Kimberly Corman #3 (1992)
648094	23441	Tonya's Coach
648094	26086	Additional Voices
648094	87408	Spaceport Announcment Voice
648094	126438	Carmine
648094	199109	Sharon Apple
648094	209785	Teela Zain Elmes
648094	213446	
648094	279878	Helena Chase
648094	310087	Additional Voices
648094	310106	Additional Voices
648094	311952	Leon's Mom
648094	313425	Maria/Pupil/Console/Moll
648094	358374	Waitress
648094	387419	Additional Voices
648094	389870	Anne, Kei, Lisa
648094	394051	Meimi's Mother
648094	397187	Miharu
648094	403550	Musica
648094	404122	Cyborg 0012
648095	340264	Maid
648096	119959	
648097	41740	
648098	38644	Munga, Additional Voices (ADV
648098	113338	Chobi the Chocobo and Crux
648098	135795	Hooker in Red Dress
648098	167003	Lesbian mourner
648098	201290	Additional Character
648098	233840	Guest appearance
648098	283680	Additional characters
648098	298928	Village girl and additional c
648098	347909	Jury idiot
648098	375765	Additional character
648098	386236	Flame Monster, Nurse
648098	389570	Additional Character
648098	394492	Additional Character
648098	396019	Additional character
648098	396502	Pipin
648098	404138	Kohran Ri
648098	404840	Shinyoh
648098	410739	Fortune Faye
648099	92864	Pidgie
648100	12889	Passagier auf dem Rückkehrsch
648100	32748	
648100	111761	
648100	119209	
648100	134217	
648100	178810	
648100	301043	
648100	307315	
648100	369169	Frau Friedrich
648101	101747	Blonde
648101	101748	Blonde
648101	101751	Konstanze
648101	115196	Adele
648101	159016	3ème - Les Fleurs, Fête persa
648101	278965	Melanto
648103	238125	
648104	290114	
648104	325649	
648104	325913	
648104	361416	Helga Roggenbrück
648105	102374	Ältere Frau
648105	226413	Renate/Pädagstudentin
648106	41563	Sandra Carlow
648106	78884	
648106	84409	Sylvia Charles
648106	100758	Diane
648106	101245	Finnie
648106	134668	Disalvo
648106	154470	Bridesmaid #2
648106	164983	Roman's Girlfriend
648106	190147	Rhonda
648106	285049	Officer Mercedes Calderon
648106	311055	Emma
648107	11934	
648107	19624	Hortense Dugland
648107	43758	Madame Dentard
648107	129247	La ministre des Sports
648107	279723	Josèphe
648107	353660	La greffière
648108	61706	Andrew's mom
648109	245600	Big Bear Model
648110	130358	Miss Germany
648111	187402	
648112	273834	Woman at Party
648112	389123	Francie Forsyte
648112	409839	Lady Jane Crawley
648113	215902	L.A. Woman 3
648114	213417	Member of Salvation Army choi
648115	329522	Folk Girls Member
648116	81560	Mrs. Langley
648117	154695	Dancer
648118	218344	Andrea
648120	128267	Millicent Temple
648120	274195	Dinah
648120	320068	Dee
648121	303455	Julia
648122	115526	Miss Ford, ATC headquarters s
648122	123305	Saloon girl
648122	161906	WAAF sergeant
648122	315697	Laughing Water
648122	363073	Waitress
648124	110556	
648124	269274	Margaret
648124	272536	Tania
648125	257182	Girl at Fair #3
648126	310684	Night nurse
648127	79279	Birdwatcher
648128	381091	Herself (eliminated round 3) 
648129	20956	Jessica Andrew
648130	200864	Roosevelt Maid
648131	12872	
648131	16438	Monika
648131	86238	Gila
648131	137647	
648131	156683	Frau Riehle
648131	173076	Polizistin
648131	188817	
648131	191035	Linda
648131	226175	Schwangere Frau
648131	325872	
648131	395511	Frau Arnold
648132	169374	Søre, weaver
648132	383628	Heinelore Gotthardt
648133	276688	Blonde
648134	93462	
648135	54744	Shopper
648135	141689	Donna
648135	144465	Spit or Swallow Wine Tester
648135	154031	Jill
648136	1470	Stephanie Dishy
648136	141689	Jean
648137	200390	Girl
648137	340932	Sonia
648137	405209	Lisa Hale (1998)/Imogen Smith
648138	309388	
648139	322433	Bank teller
648140	188934	Talkshow guest
648141	197647	Rozaidah
648142	18598	Bridge Crosser
648143	4507	Schoolgirl
648143	11770	Corinna Klein
648143	16363	Lisa Schumacher
648143	93492	
648143	168407	
648143	239024	Klaudia
648143	261146	Lisa Schrenk
648143	301046	
648143	377343	
648143	377344	
648143	377345	
648143	377346	
648143	377347	
648143	377348	
648143	377349	
648143	377350	
648144	235287	
648145	149247	Natalie Sulwer
648146	225130	
648147	304393	Overjordemor
648148	409153	Herself - Host (2001-)
648149	391916	Herself (1993-)
648151	19524	A Fortune-teller
648151	177524	Nurse
648151	309130	Mrs Zorah Partlet
648151	338615	Annina
648152	304354	Hanna
648153	196866	Zaza
648153	334268	Mme. Alvarez
648154	381231	Herself
648155	26606	Waitress
648155	157886	Saloon girl
648155	337710	Paradise Flo, stage passenger
648156	133443	Bit
648156	218717	
648156	329480	Model
648157	410755	Kirsty
648158	59506	Mrs. Bracebridge
648159	142935	Jenny Lane
648161	65681	Gillian
648161	71777	Maggie Emerson
648161	79691	Kate
648161	381608	Maggie Emerson
648163	158044	Helen
648163	361917	
648164	196994	Mrs. MacDonald
648165	194893	Bernadine Walker
648166	330158	
648167	154428	Dance
648168	80529	Marie
648169	242529	Linda Carlisle
648170	78805	Linda
648170	129582	April
648170	191361	
648170	192344	Maisie
648170	211508	Guinevere
648171	183868	Maggie, aged 5
648172	293198	Kelly
648172	353510	Queen Victoria
648173	6906	3rd Tennis Girl
648173	65888	Angie
648173	113811	Sophie Andropoulos
648173	382704	
648173	383034	
648173	385016	
648173	388977	Diana Daniels
648173	391896	
648173	399130	Kerry Bishop/Mangel (1989-199
648173	402197	Roach Waters (1986)
648173	408499	Herself - Singer/Dancer
648173	411000	Various Characters
648174	139227	Rocco's Girl
648175	147897	Nurse
648176	1411	Jessie
648176	7679	Rose Sayer
648176	27631	Emily Wade
648176	30297	Anna Hall
648176	37800	Herself
648176	61587	Dr. Rosemary Myers
648176	64566	Ringmaster
648176	67603	Ms. McRae
648176	67617	Veronica
648176	85629	Kate Hamilton
648176	93981	Katherine McCall
648176	94133	Ruth Knight
648176	96743	Lisa Karger
648176	100711	Mrs. Morgan
648176	107906	Beth Pearson
648176	109066	Marty
648176	125606	Lyra-a
648176	137681	Witch
648176	151110	Kate Hamilton
648176	157290	Diana Martley
648176	158898	Dr. Caroline Fields
648176	176880	Heather McDougall
648176	185336	Clare Gardiner
648176	196100	Barbara Welles
648176	198489	Candy Lightner
648176	200493	Arilla Adams
648176	206255	Susan Clabon
648176	206267	Betty Lloyd
648176	222619	Sally Kramer
648176	224379	Gail Springer
648176	224673	Marsha Booth
648176	232421	Sharon Reischauer (special gu
648176	233876	Adele Manning
648176	237562	Harry' OHara
648176	241762	Mrs. Burton
648176	253364	Dr. Sheila Carlin
648176	271318	Stephanie Carter
648176	276667	Cynthia Nelson
648176	277895	Elsa Knudsen
648176	287171	Sarah
648176	292664	Jackie
648176	301539	Barbara Lewis
648176	304365	Harriet Stevens
648176	306131	Kinnison
648176	315199	Dianne Stone
648176	317146	Herself
648176	390371	Jennifer Barnes (1983-1984)
648176	391237	Show Host
648176	391262	Prudence
648176	391456	Ruth Garret (1966-67)
648176	398239	Herself - Host
648176	400236	Sister Mary Daniel (2001)
648176	401350	Dr. Claire Morton (1965-1966)
648176	408349	Ellen Cornell
648176	411120	Host
648176	411262	Liz McVay
648177	287508	Martha O'Leary, Gritza, Eheca
648178	21447	Child
648178	265869	Kate Fields
648179	224730	Harriet
648180	6027	
648180	6717	Herself
648180	6722	Herself
648180	6723	Herself
648180	6724	Herself
648180	6725	Herself
648180	6728	Herself
648180	6730	NonSex
648180	7130	
648180	7721	
648180	7722	
648180	7725	
648180	7726	
648180	7728	
648180	7729	
648180	7730	
648180	10734	
648180	11107	
648180	11364	
648180	13883	Sherry Weitz
648180	26906	
648180	26924	Herself
648180	27222	Herself
648180	31212	
648180	31714	
648180	35823	Herself
648180	37949	Herself
648180	39672	
648180	39783	
648180	41076	Herself
648180	41168	Herself
648180	42790	
648180	43263	
648180	43883	Little Bill's wife
648180	44466	
648180	46354	
648180	46713	
648180	48500	
648180	48506	Bubbles Galore
648180	52364	Carrie
648180	57124	
648180	62008	Insatia
648180	68172	
648180	68282	Herself
648180	69774	
648180	74283	
648180	77754	
648180	83159	
648180	84001	Herself
648180	85823	
648180	95744	
648180	95799	
648180	95825	
648180	96598	
648180	102825	Herself
648180	102834	Herself (at Lifestyles Organi
648180	102920	Herself
648180	108797	
648180	109628	
648180	113992	
648180	116013	Herself
648180	117080	
648180	122191	
648180	127821	
648180	128347	Herself
648180	128472	
648180	128729	
648180	128826	Muriela
648180	128853	
648180	128869	
648180	129090	Herself
648180	129734	
648180	130318	
648180	135521	
648180	135522	
648180	139209	
648180	140548	
648180	140952	
648180	144420	
648180	144431	
648180	146628	Herself
648180	149106	
648180	149671	
648180	149981	
648180	150253	
648180	150258	
648180	150344	
648180	151512	Herself
648180	152672	
648180	153256	
648180	154125	
648180	164435	Jack Hammer's client
648180	187268	
648180	187412	Herself
648180	190207	
648180	190353	Herself
648180	191141	
648180	194275	
648180	194722	
648180	198511	
648180	207756	
648180	215294	
648180	215792	
648180	219146	
648180	222315	
648180	226924	Herself
648180	228658	
648180	232651	
648180	232783	
648180	232787	
648180	238665	
648180	238667	
648180	239871	
648180	241066	Herself/Hostess
648180	242063	Herself
648180	243116	
648180	243121	
648180	243124	
648180	244400	
648180	244779	Herself
648180	245475	
648180	253459	
648180	254797	
648180	257519	
648180	260815	Herself
648180	261043	
648180	263533	
648180	264150	
648180	272893	Susan the Sex Therapist
648180	273522	
648180	274137	
648180	277047	
648180	280204	
648180	290979	Herself
648180	291286	
648180	292478	Herself
648180	294283	
648180	295613	
648180	295748	Herself
648180	295887	
648180	301306	
648180	302328	
648180	302579	
648180	309217	
648180	311454	Herself
648180	311455	Herself
648180	311456	Herself
648180	311457	Herself
648180	313452	
648180	316731	
648180	316885	
648180	317921	
648180	319458	
648180	319673	
648180	321024	
648180	321050	Herself
648180	321160	Herself
648180	321321	
648180	325220	
648180	325230	
648180	325262	
648180	325292	
648180	331365	Mrs. Tony Underwood
648180	335803	Herself
648180	337292	Herself
648180	339774	
648180	342460	
648180	354956	
648180	360309	Nurse
648180	362602	
648180	365438	
648180	365643	
648180	372091	
648181	5192	Ms. Cool Snr
648181	63764	Joy
648181	167661	Herself
648181	271212	
648181	291411	Himself
648181	291412	Herself
648182	79794	Mom
648182	93245	Detainee #5
648183	279166	Young Joyce
648184	53329	Dancer
648185	401558	Presenter
648186	196494	Mary Seaton
648186	308757	Lady Loring
648186	367563	Lady Rofford
648188	192112	Silent Woman
648188	289375	Ann
648189	37697	
648190	396993	Hostess
648190	406971	Assistant (1952-1955)
648191	284621	Motorcycle Cop
648192	364294	Herself
648193	119147	
648193	126445	
648193	163080	Gisela Meinrad
648193	170677	Isa Sensbach
648193	188806	Assessorin Ebeling
648193	314300	
648193	314544	Marianne
648193	376383	Helga
648194	2115	Sara Jane
648195	176525	Colonist.British soldier/Indi
648196	176525	Benjamin Franklin/German sold
648197	18516	
648197	137223	Dancer
648198	287508	Angelic Statue, Maria Santiag
648199	63254	
648200	222784	Basement Girl #1
648201	99940	Caretaker
648202	4970	Karen
648203	23207	Undetermined Role
648203	126067	Bit Role
648203	154376	Bit
648203	207865	Receptionist
648203	275452	Jury Member
648203	280895	Maid
648203	309579	
648203	347128	Belle
648203	361300	
648204	235052	Waitress
648205	66901	Girl
648207	32849	Edwina Dabney
648207	114733	Zinaida
648207	121549	Miss Montgomery
648207	134694	Priss Hartshorn
648207	250516	Selina D'Arcy
648207	292531	Mrs. Brisby
648207	358662	Pauline Pusser
648207	365883	Helen
648207	372305	Barbara Darling
648208	97084	Tourist
648209	9129	Ruth
648209	91764	Katy Grant
648209	108097	Marcia Davenport
648209	123456	Party Guest
648209	244870	WAC
648209	263085	Nurse
648209	328262	Carmen
648209	385619	Katy Grant
648210	145007	Hilda
648210	319131	Juliet Runnymede
648210	391099	Herself
648211	6153	Dinah Morris
648211	10577	
648211	14004	
648211	23350	Marcia
648211	28989	Alison Landis
648211	31844	
648211	35395	
648211	46716	Zara
648211	67119	Mrs. Marlowe
648211	67221	
648211	69351	
648211	71767	
648211	73101	
648211	88469	Zita
648211	96810	Barbara Hare
648211	114536	
648211	117182	
648211	128112	
648211	135555	
648211	141372	Vera Sabouroff
648211	145817	Amalita Cordova
648211	151165	Margaret, his Wife
648211	162418	
648211	191585	Sirotta
648211	194811	
648211	196121	Juanita
648211	203464	
648211	206429	Madeline Francis
648211	216231	Fantine
648211	246718	Stella Dean
648211	267555	Adelaide Severn
648211	280703	Mrs. Braden
648211	281415	Chairwoman
648211	297921	Knitting Lady
648211	333385	Mrs. Winters
648211	363548	Mollie Adams
648212	31654	Marnie
648212	241107	Russell's Sister
648212	403070	
648213	6987	Barbara Duck
648213	42981	Barbara
648213	330580	Mrs. Carter
648214	67863	Reporter
648214	107002	Bad singer
648214	300304	Teacher #2
648214	392897	Additional Voices (1985-1986)
648214	405008	Unknown (1980-1981)
648214	405627	
648214	412062	Talkatoo Cockatoo
648215	218169	Policewoman
648216	34708	Private/Lance Corporal Helga 
648216	378628	Helga Geerhart
648216	378629	Pvt./LCpl. Helga Geerhart
648217	162449	Woman on the Street
648218	13659	Herself/Host
648218	29888	Sydney Wayne
648218	35526	Amanda Ryder
648218	80056	Juanita 'Jazz' Kilkullen
648218	80709	Faith Stohler
648218	99620	Host
648218	113868	Susan Lowell
648218	121522	Sarah Dutton
648218	134313	Nikki
648218	140361	Lael Pritcher
648218	148198	Syd
648218	161316	Herself
648218	164663	Neely O'Hara
648218	171275	Julie
648218	172574	Liza
648218	179042	Herself
648218	200221	Herself
648218	222595	Stewardess
648218	235473	Linda Fletcher
648218	242804	Laura Parks
648218	245084	Lauren Carlton
648218	274400	Kris Morrow
648218	276678	Madeline Whitfield
648218	281997	Autumn
648218	291922	Ivy
648218	308004	Cory Maddox
648218	314785	Ponder Favor
648218	317341	
648218	323492	Delaney
648218	349864	Crystal Kramer
648218	363370	Jennie Cooper
648218	363421	Crystal
648218	366904	Laurie Samuels
648218	378781	Jade O'Keefe (1992)
648218	391541	Kate Flannery
648218	394676	Ciji Dunne (1982-1983)/Cathy 
648218	407338	Tabitha Stephens
648219	289934	Sara
648220	65452	Mrs. Walker
648220	75550	Vivian Sinclair
648220	83460	Margaret Usher
648220	88663	Mrs. Adams
648220	266617	Lynn Freeman
648220	357086	
648221	368171	Herself
648222	185143	
648222	203482	Dolly
648223	80691	Reporter
648224	328496	Johanna Rutlege (segment "Cre
648225	256356	Beth
648225	367634	Miranda
648226	138603	
648226	154377	
648226	343697	Daughter
648227	301660	Pam
648228	161189	Karen
648228	304758	Ally Burgess
648229	17749	Dancer
648229	219864	Female Terrible
648230	88766	Loonie #1
648230	232158	Night Owl
648231	277341	Lily
648232	1826	Prostituierte/Prostitute
648232	325826	
648233	385660	
648234	119254	
648234	290146	
648234	343761	
648235	46641	
648235	51328	Lena
648235	352400	
648235	354076	
648236	59235	
648236	347700	Trautel, seine Tochter
648237	99688	Herself
648238	389359	Nadja Keller
648239	75485	
648239	85620	
648239	118089	
648239	122393	Isa
648239	124242	
648239	156397	
648239	157077	
648239	160966	
648239	166376	
648239	166379	
648239	166384	Freira
648239	222149	
648239	233841	
648239	252589	Edna
648239	261197	
648239	267524	Filomena
648239	284966	(segment "Gatas no Cio")
648239	294113	
648239	344869	
648239	381263	Teresa
648239	382692	
648239	384266	Catarina
648239	384709	
648239	386505	
648239	386728	Albertina
648239	388940	
648239	389154	
648239	389587	Adalgisa
648239	391674	Helena
648239	393791	Hilda
648239	397550	Gertrudes
648239	399498	Cláudia
648239	400094	Frida
648239	400581	
648239	400765	
648239	402928	Gretel
648239	405337	Taís
648239	407856	
648239	408414	
648239	409003	Lurdes
648239	410096	
648239	410287	
648239	410375	
648240	9164	Madeline
648241	265092	Klara
648242	334492	
648243	365707	Renate Ahlers
648244	241342	Daily News Reporter
648245	296783	Margarate, Daughter Of Woman 
648246	34417	
648246	138272	
648247	21403	
648247	107950	
648247	121811	
648247	157949	
648247	166427	
648247	170132	
648247	293800	
648247	308844	Frau Kladders
648247	327506	
648247	388286	
648248	272518	Angel from Heaven
648249	309967	Li-Tchi
648250	62950	
648250	125001	Sekretärin
648250	129665	Irene
648250	186607	Jutta Wacholz
648250	216533	Sylvia Boltz
648250	257472	Lenchen
648250	308215	
648250	325433	Waltraud Pfeiffer
648250	325589	Petra Carstens
648250	409609	Frau Anselm
648251	26568	
648251	172349	
648251	290691	Pensionsinhaberin
648251	352585	
648252	281655	
648253	98242	Ratte
648254	378824	Assistent
648255	338465	Frau Lehmann
648256	200038	
648257	284125	
648258	273083	Daughter of Isabel
648259	333428	Herself
648260	35500	
648261	166667	Esther Hertig
648262	277531	Party guest
648263	188553	Morgan
648264	170132	
648264	365907	
648265	289400	Child
648266	71953	Nina
648266	88177	Magda Tellman
648266	89281	Rosa
648266	94504	
648266	122818	Sabina
648266	133166	Natalie
648266	166141	Louna
648266	215303	Joli Coeur
648266	288891	Agatha
648266	296350	
648266	327566	Arina
648266	337996	Tessa
648266	337997	Tessa
648266	355864	
648267	391319	Team Leader; Herself
648268	96593	Medic
648269	167563	Towel Girl
648270	121819	Specialty Dancer (Pink Number
648271	222797	Slaygirl
648273	381647	Judith (2000)
648273	390242	Nicole Verhaar (1991)
648273	392912	Patty Vermeulen
648274	400265	Charlotte Onedin (1977-1980)
648275	63268	
648276	249451	Chris's mother
648277	249451	Chris (little girl)
648278	138220	Cora
648278	365911	
648279	23841	Francine
648280	85042	
648281	83477	Teen Girl
648281	171336	Erica
648282	147252	Dancer with Cigarette
648282	167691	Beautician
648282	277092	
648282	365381	Cathy
648283	86739	Larry's Singing Blonde
648284	161633	Girl
648285	126291	Herself
648286	380713	Sarah (2003)
648287	389827	Inge Meijer
648287	390242	Judith Nieland (1995, 1998)
648288	264830	Jennifer -- Age 9
648289	229250	Candy
648290	46532	Club Girl
648291	72862	Eve (waitress)
648291	115432	Janette
648291	122218	Secretary
648291	242509	Melody
648291	256238	Charlene
648291	293047	Teleprompter Girl
648291	294150	
648292	173696	Elke Harmsen
648292	173697	Elke Harmsen
648292	173698	Elke Harmsen
648292	173699	Elke Harmsen
648292	173700	Elke Harmsen
648292	173701	Elke Harmsen
648292	173702	Elke Harmsen
648292	204816	
648292	325425	Frau Dr. Leichhardt
648292	375979	Ria
648292	388573	Moni
648292	389962	Christa Forster
648292	391604	(2002)
648292	409609	Haupt-/Kommissarin Steger (19
648293	31625	Zoe
648293	98413	Kristina
648293	104219	Lucille
648293	361053	
648293	410497	KK Anna Wrede (2002-2003)
648294	47390	Lisa
648294	259642	
648295	56084	Marquise dUrfe
648296	375513	Zoe
648297	56545	Herself
648297	102389	Pflegerin
648297	211830	
648297	312650	Gloria
648298	165136	
648299	114810	Den lyskledte [Hvitsmyre..]
648299	165136	
648299	388307	Silje Frydenlund
648300	115556	
648300	393185	
648300	401083	Cindy/Wiggy/Betty Rubble
648301	351909	B.B.
648302	120297	Nursery Baby
648302	194497	Child Hobbit
648303	4787	Hella Martens
648304	37683	Operator #2
648305	186944	Liesi
648306	239152	Blancas Mutter
648306	325431	Anna
648307	10070	Stepdaughter Margot
648307	51124	Katarina
648307	70759	Corinna Pabst
648307	87192	Rosi Faber
648307	101956	Dr. Simone Arl
648307	126828	Barbara
648307	170138	Anke Tilgner
648307	259520	
648307	259615	Frau Ruschin
648307	259656	Petra
648307	259667	Nina
648307	259669	
648307	259683	
648307	325389	Gerti
648307	325578	
648307	348055	
648307	361041	Regina
648307	380349	Frau Schumann
648307	380904	Julia Janowski
648307	381578	Sarah
648307	381679	Lisa
648307	406328	
648307	409861	Tamara Brinkmann (1995-1998))
648307	411173	Marianne
648308	29875	Mia
648309	264091	
648310	367782	Smiling Woman
648311	95236	Sue
648312	107225	Sandra Galloway
648312	139791	Lois
648312	143504	
648312	316264	Carol Sutton
648312	362140	Roberta
648312	372576	Wendy Fettis
648312	382260	Blondie
648312	391389	Susan MacLane
648312	399944	Greta
648312	404613	Patti Barron Tate Whiting McC
648313	184966	Clara Vane
648314	191548	
648316	159828	Additional Voices
648317	284527	Sophia
648318	15187	Potter
648318	255629	Danseres
648318	326310	Corry
648318	388296	Merel Oudenrijn
648318	400217	Kate Leeflang (1996-1997)
648318	406166	Connie Jansen
648318	410838	Esther Pauwels (2000)
648319	109472	TV Reporter
648319	180683	Japanese diver
648319	207099	Japanese Nurse
648320	373190	Ume
648321	32575	House wife
648321	130525	Yukari
648321	296630	Hatsue Shimomura
648321	373134	
648321	406535	Kaneko Ikeda
648322	198827	Yae Nikawa
648322	211214	
648322	229586	Hamako
648323	329665	Mistress
648324	9297	Sadako Takahashi
648324	43066	
648324	45339	
648324	82818	
648324	136090	Masa Uchida
648324	137008	
648324	137325	Sumi, Rokuhei's mum
648324	145514	
648324	156089	
648324	172267	
648324	174982	
648324	176592	Mrs. Banno
648324	176608	Kuriko
648324	176613	Haruko
648324	179428	Woman at the station
648324	181886	Kara
648324	182056	Etsuko
648324	205837	Katsue Nakazato
648324	229775	
648324	229870	
648324	232689	
648324	233108	Koyama's wife
648324	233121	Midori
648324	238387	Hiroko
648324	242141	Tomiko
648324	242314	
648324	244498	Naomi
648324	244518	Komako Nakamura
648324	244542	
648324	256326	Shizue Tanaka
648324	287578	Suji
648324	293600	
648324	299003	Ohama
648324	305174	Sachino's mother
648324	358138	
648324	359040	Nanako's mather
648324	374096	Oryu
648324	379044	Osai (1978-1987)
648325	42241	Yoko
648325	156230	Fukuda
648325	182471	Tomoko Hanaoka
648325	374603	Takako Fukuoka
648326	180513	Me
648327	240171	Herself
648328	26176	Vorsa
648329	295253	Zhenya
648330	311398	Lilit
648331	348568	
648332	169512	Lily
648333	174053	Karine
648334	19688	Tigran's Mother
648334	188007	Granny Nargiz
648335	30257	
648336	410444	Coo/Sue
648337	96736	Cindy
648337	111783	Michelle
648337	215174	Megan Gordon
648337	239588	Karen
648337	256234	Poo
648337	316762	Brenda
648337	388991	Daryl Tarses (1990)
648338	344176	Jane
648339	81038	Young Nancy
648339	346226	Ashley Cunningham
648340	316396	
648340	316400	
648341	168087	Waitress
648342	360819	Allie
648343	10836	Jeane Sutton
648343	177089	Melanie
648344	393037	Mary Jonas
648345	261431	Dead girl #4
648345	361224	Girlfriend at Audition #4
648346	229259	Mrs. Devine
648347	311195	Young Alex
648348	283500	Guard
648349	73995	
648349	269865	
648349	330158	
648350	40144	Christine Sterling
648350	96746	
648350	126572	
648350	151624	Kid #3
648350	208527	Diedre
648350	221043	Emily Stillwater
648351	296349	Herself
648351	313122	Stripper
648351	367861	Carla H
648351	410756	Entertainment Reporter
648352	113388	Annie
648352	139486	Suzanne Smith
648352	276264	Mrs. Lurie
648352	295806	Chip Shop Girl 2
648352	384097	Dr. Charlotte Woods (1989-199
648353	243934	Melody
648354	329661	Second Fairy
648354	399192	Mother
648355	169016	
648355	274699	Barber #2
648355	343294	Interviewer
648355	363528	Congregation Girl
648355	363911	Probabtion Woman
648356	44238	Bordello Vampire
648357	231673	
648358	13778	
648358	90208	Kitri
648359	5009	Additional SPAT Woman
648360	133532	
648361	88559	Assistant Receptionist
648362	44886	Little Girl
648363	139210	City Hall reporter
648363	315310	Ensemble
648363	387303	Tawny
648364	289634	Maid 3
648365	336984	Lili
648366	26711	Mrs. Hamilton
648366	62424	Old Mandy
648366	213045	Maid
648366	306765	Lulu
648367	11215	Miss Broderick
648368	48036	Mrs. Cunningham
648368	206432	Mrs. Sterling
648368	229676	
648369	37237	Consuelo
648369	127481	Mrs. Kirby
648369	159594	English Girl
648369	178132	Mrs. Paton
648369	193610	Friend
648369	224361	Miss Bennett
648369	239082	Lady
648369	282626	Kitty Dean
648369	340519	Sheilah
648369	348395	Miss Fish
648369	371025	
648370	233509	Grandmotherly Woman
648370	314812	Woman in Car
648371	58936	Worker
648371	144981	
648371	363797	Nurse Miller
648372	350114	
648373	89643	Mammy, Mary Johnstone's maid
648373	168511	Black girl
648374	354520	Mara, 1 Year
648375	289396	Murray's Dancers
648376	88874	Dancer
648377	235016	Barbara Vacant
648377	282439	Jane Ratcliffe
648377	363011	Herself
648377	366253	Val Stafford
648377	381594	Mrs. Abercrombie
648377	382967	Barbara Jan
648377	388320	Susan West
648377	388321	Barbara 'Babs' Woods (2003-)
648377	388576	Susan Harvey
648377	391769	Julie
648377	392200	Jan Howard (née Harvey)
648377	400087	Harriet Leacock
648377	403590	Dr. Jane Chamberlain
648377	404196	Pat Barraclough
648378	328929	La Caballé
648379	183788	Mrs. Van Dam
648380	410697	Presenter
648381	28927	
648381	61162	Christine
648381	64396	F.A.N.Y.
648381	64861	
648381	136002	Ma Barker
648381	163503	Delia
648381	177434	Screaming Woman [Ch.1]
648381	307518	Farm Woman
648381	361549	Ma Everett, the old woman
648381	384783	Joanne Minster
648381	390102	Grace Heager
648381	396691	Max's Mistress
648382	34949	Emma
648382	393313	Mrs. Reed
648382	393314	Mrs. Fairfax
648382	397182	
648382	406660	Mrs. Bunnion
648383	374425	Child on School Bus
648384	63000	Child
648384	269680	Sara Roberts
648385	138235	Dina Paris
648385	263319	Lil Courtney
648385	387309	Judith "Judy" Marceau Gibson 
648386	168624	Nessa Fitzgerald
648387	34028	Fat Woman
648387	208719	Fat Woman
648387	363622	Fat Girl at Circus
648388	383037	Anchor
648389	320037	Bride
648390	279200	Singer
648391	63000	Child
648392	383683	Stella Rose
648393	65134	Lucy
648394	307513	Leena
648395	411802	Noah Newman #3 (1997)
648396	6403	Mascotte
648396	39851	Tania Fedorovna
648396	41054	Jou-Jou
648396	52120	
648396	54375	Madelone
648396	56478	
648396	60510	Liliane Bourcart
648396	69586	
648396	79165	Lillian Harvey
648396	93478	Lilian Cossmann
648396	94420	
648396	98054	
648396	98239	Reneé
648396	108620	Fanny Elssler
648396	112846	
648396	115957	Ruth
648396	119113	
648396	122921	Ann Garden
648396	129720	Ann Garden & Jackson's Niece
648396	138782	Jou-Jou
648396	144100	Herself
648396	147359	Kitty Kellermann
648396	154043	Suzanne
648396	155451	Juliette
648396	156045	
648396	161983	Jenny Peachey
648396	175779	
648396	178638	
648396	178660	
648396	180004	Christel Weinzinger, Gloves-s
648396	187553	
648396	188393	Kay Routledge aka Carlotta
648396	189660	
648396	189811	Princess Eva
648396	196170	Princess Eva
648396	214880	Miquette
648396	217212	
648396	220167	Lee Perry's Double in Switzer
648396	224092	Lili Wieler
648396	224404	Looloo Blake
648396	231627	Gladys O'Halloran
648396	231955	Aline Morland
648396	242021	Juliette
648396	264225	La princesse Marie-Christine
648396	269757	Eva
648396	269758	
648396	282008	
648396	290633	Tania Fedorovna
648396	301030	Daisy
648396	322360	Margaret Brenton
648396	327531	Kitty Kellermann
648396	335024	
648396	345454	Joujou
648396	350872	
648396	361415	
648396	376328	
648397	10152	Nurse
648398	178073	Colonel's Wife
648398	194862	
648398	239810	
648398	263589	
648398	362098	
648398	364646	Maya
648399	346944	Herself
648400	397105	Laurie Greene
648401	76517	
648401	276349	Mary
648402	26074	Dawn Weatherbee
648402	353295	Prisoner
648403	353296	Cookie
648404	57228	Receptionist
648404	174155	Poupoune brune
648404	365597	Hospital Receptionist
648405	51855	Lady
648405	194414	Tanya
648406	22631	Margaret Chaffee
648406	281937	Dr. Sapirstein's receptionist
648406	411217	Mrs. Miller
648407	353296	Treat
648408	278224	Snobby Brunette
648409	17197	Evidence Room Kid
648409	59594	Sally Brown
648409	168238	Joe's Little Sister
648409	210643	Jenna at 5
648410	271192	Lady at blackjack table
648411	362605	Courtney
648412	291915	England Beauty Winner
648412	304322	June Welwyn
648412	321588	Peggy
648412	350496	
648412	364396	Bina Medway
648413	150924	Ina Goober
648414	43918	Magdalena
648414	49634	Singing Bunny girl
648414	223078	
648414	231501	Herself (segment "Henry Lee")
648415	35164	Reporter
648415	126708	Herself
648415	144913	Anchorwoman
648415	150351	News Reporter
648415	165422	Newscaster
648415	182975	Herself
648415	402137	Herself - Anchorwoman
648416	338210	Secretary
648417	9129	Sally
648417	321154	Young woman on bridge
648418	396095	Reporter
648419	55531	Lili
648419	147833	Picnic Woman
648419	184497	Mrs. Ruth Willis
648419	241260	Victoria
648420	369384	Young Alice
648421	65681	Nurse
648421	122202	Lois
648421	132014	Additional Characters
648421	302763	Molly
648421	323517	Zelda
648421	342362	Maria
648421	379738	Herself - Panellist
648421	384686	Various roles (1990)
648421	390064	Various Roles
648421	390065	Various roles
648421	390185	Various
648421	405679	Herself in 'What is this Thin
648422	60003	Shelby Hooker
648422	232365	Flora
648422	300700	Eva
648422	329541	Wendy
648422	381714	Rose Humphries
648423	201729	Herself
648423	232829	Lucy
648424	102945	Serveuse
648424	218182	Layla
648425	19808	Russian Soldier
648426	163075	Marie
648427	1675	Herself
648427	2964	Rosie
648427	5413	English Teacher
648427	63079	Nurse
648427	73712	Ellie
648427	89240	Miss Melrose
648427	105613	Secretary
648427	138797	Registrar
648427	192593	
648427	214909	Margie
648427	221005	
648427	232204	Jenny Marks
648427	264234	Miss Fassle
648427	289098	Eva
648427	311791	Melinda (segment The Heidi Bo
648427	348431	Pu Anihilator
648427	368997	Ruth Kimble
648427	399196	Morticia Addams
648427	400633	Jill Hayes
648427	405241	Herself (1999)
648428	92575	Lance's Mom
648428	102581	Mother
648428	185203	Actress
648430	84395	Poochie
648431	218534	1st Policewoman
648432	399055	Narrator
648433	165399	Reema
648434	67385	Nurse
648434	342833	Christina
648435	363433	Delores' Friend #1
648436	272944	Bernards Girl
648437	336754	Teacher
648438	405209	Sarah McKinley (1998)
648439	338611	Violetta
648440	381512	Herself
648441	27880	Miss Templeman
648441	300086	
648443	134561	Bride
648444	380430	
648445	222875	Waitress
648446	231848	Joan McDonald
648447	24951	
648448	270803	Mrs. Osbourne
648449	67709	
648450	314484	Ballerina
648451	224729	Hairdresser
648451	300871	Hermione
648451	391337	Integra
648451	392430	Guidance Counselor
648451	398127	Chantal
648451	407917	Doc
648452	263895	
648453	172655	Svava
648454	22053	
648455	4845	Abhay/Vijay's Mother
648455	159245	Indira
648455	227081	Badri's Wife
648455	283322	Siva's Sister
648456	394572	
648457	394914	
648458	388619	Herself
648459	81674	Vestica 1
648460	12303	
648460	37400	Sally O'Hara
648460	44297	Joan Belden
648460	52457	June Hazelton
648460	65508	Miss Bronson
648460	66831	Nannie Cohen
648460	72245	
648460	83936	Ann Halliday
648460	112615	Jeanne D'Arcy
648460	116137	Connie Lamont
648460	119512	
648460	128249	
648460	128433	
648460	143656	
648460	144602	Anna Jones
648460	160840	Ann Douglas
648460	192241	
648460	195899	
648460	236449	Mariana
648460	237817	Tess Cole
648460	247226	Mary Bassett
648460	274987	Olive Monroe
648460	277848	Betty Allen
648460	278022	Aline Hanley
648460	278044	Phyllis Sanderson
648460	278048	Patricia Farris
648460	282664	Ruth Elliott
648460	283869	Lois Shawn
648460	295074	Holly Farrell
648460	297266	Rosie Cohen
648460	303510	Donaldeen Travis
648460	326474	Ruth Martin
648460	343271	Grace Stickley
648460	362926	
648460	363962	Bess Allison
648460	367644	Diana Payne
648461	336684	Miss Hannah
648462	262565	Mariama
648463	361710	Post Office Clerk
648464	588	Frau Schmittchen
648464	33156	
648464	35552	
648464	182590	Frau Schulze
648464	188826	Hundebesitzerin
648464	189645	
648464	191486	Frau Kaluweit
648464	224531	Moras' Geliebte
648464	259174	
648465	61483	
648466	181892	
648467	174340	Maki Kunieda
648468	30987	Asuka Motomura
648469	232518	Osumi
648470	149890	Chorus dancer
648471	61471	Nancy
648472	145449	Teruko Okura
648473	393148	Hiroko Fujiwara
648473	407104	Koizumi Tsubami
648474	122115	Jordan's madame
648474	142178	
648474	172270	
648474	177938	
648474	179524	
648474	229771	
648474	229780	
648474	229783	Otsuya
648474	299300	Kyoko, Goro's wife
648474	323133	
648474	374116	
648475	41123	David's Mother
648476	392640	Kiyomi
648477	320134	
648478	349168	Kisaragi Dayu
648479	9470	Chiyo
648479	20024	
648479	76865	Ohama/Otoyo
648479	121434	
648479	125684	Oborozukiyo no kimi
648479	174959	Ochika
648479	236861	
648479	298877	
648479	371879	Masaki's wife
648479	373236	
648480	7412	Aunt Caroline
648480	17609	Anna
648480	115155	Mrs. Veenstra
648480	202700	Maman
648480	325198	Blinde Vrouw
648481	34009	Young Karen
648481	362655	Girl on Bus
648482	215488	Herself
648482	397888	Herself (2003)
648483	390180	Tulsa
648484	38103	Ricki Patterson
648484	40148	Marian Ackland
648484	382704	Eve Simmons
648484	391869	Lillian Harrison (1996)
648484	397380	Annie Box
648486	168718	Andrea
648487	365123	Lotto Woman
648488	120803	Sara
648489	40406	
648489	42562	Elster
648489	93455	Olga Gruber
648489	103059	Gloria
648489	110150	
648489	110645	
648489	129007	Lolita
648489	132053	Cora Watson
648489	142213	Betty
648489	156651	Vanessa Video
648489	166428	Karla Borkhausen
648489	169811	Reporterin
648489	175778	
648489	176561	
648489	179765	Frau Hoppmann
648489	185858	
648489	225265	
648489	226353	
648489	242846	Féodora
648489	306591	Carola, Schauspielerin
648489	325398	Mathilde
648489	343502	
648489	344784	Voice of Maureen
648489	356909	
648489	359613	
648489	391293	Hanna Dudek
648490	159622	
648490	347432	Corinna
648491	108044	Grandma
648492	17315	
648492	355239	Prof. Dr. Blut
648493	295006	20 Minute Workout Gymnest
648493	378966	(1984)
648494	5184	Agent Davis
648494	27195	Additional Voices
648494	44238	Gospel Singer
648494	72558	Lisa
648494	75783	Meghan
648494	78082	Cinda
648494	101638	Juba
648494	177525	
648494	256188	Pink Chiquita
648494	310879	Lila
648494	330676	Officer
648494	359958	
648495	314798	Stephanie
648496	185537	Mrs. Jackson
648496	342637	Miss Grinstaf
648497	187333	Wheelzone Warrior
648498	296622	
648499	314111	Deborah
648500	273509	Tracy
648501	325208	Ito Iguchi
648502	49196	
648502	155734	Elise
648502	162732	
648502	294785	Dewi
648503	205551	
648503	293932	
648504	8762	Ichiko Asano
648505	409691	Atsuko 'Akko' Sasaki
648506	198811	Kiyo, Yumiko's Grandmother
648506	278550	
648506	341275	Sono Akiyama (patient)
648507	188057	
648507	229966	Saki
648507	272581	Miyako Morimoto
648508	26238	Vision
648508	392526	Rei Asagiri
648509	278548	Kiyomi
648510	334910	Girl at disco
648511	173931	Kumiko's Street Friend
648512	137361	Ginga
648512	225614	Yurie Yamano
648513	208089	Gourmet Reporter
648514	202954	Stewardess
648515	390265	
648516	134568	Body Painter
648517	277705	
648517	277706	
648518	9044	Mrs. Bojilov
648519	371533	Qimuge
648520	169017	TV Reporter
648521	333698	Klara's sister
648522	56971	Angelina
648523	47428	Robyn McFadden
648523	128470	Savannah
648523	255713	Fannie
648523	297937	Rachel
648523	320106	Sister Agnes McNeil
648523	347918	Lisa
648523	392219	Special Agent Remy Stanhope
648523	408036	Tatiana Deschenko Sullivan (2
648524	27580	Mrs. Mackay
648525	33394	Karen
648526	17197	Rianna
648526	274597	Herself
648526	320122	Herself
648526	320149	Herself
648526	320152	Herself
648526	407075	Herself (33 Days, Pagong/Ratt
648527	246784	Angela
648528	309581	Celebrity
648528	340731	Undetermined Role
648529	37337	Olympic Champ
648529	41288	Sheila
648530	190208	
648531	249500	Bob's Daughter
648532	37098	Herself (film critic)
648532	68779	Herself (interviewee)
648532	134241	Herself
648532	144630	Herself
648532	206225	Herself (Film critic)
648532	275470	
648532	368712	Commentator
648533	39815	Natalie
648533	80411	Karen
648533	109458	
648533	135193	Dr. Fields
648533	221338	Patricia Winterbourne
648533	234054	Mrs. Knight
648533	256188	Pink Chiquita
648533	305458	Natalie
648533	316886	Donna
648533	375936	Elizabeth
648533	400236	Marty Saybrooke Thornhart (19
648533	401930	Granya Thornhart (2001)
648534	188453	Opening Sequence Girl
648535	261151	
648536	42063	Red
648536	215161	Herself
648537	58795	
648537	77805	Chorus girl
648537	126067	Chorine
648537	150797	Chorus Girl
648537	163544	Dancer, American Girl
648537	195071	Dancer
648537	223054	Dancer
648537	241444	
648537	308632	
648537	330375	Ice Skater
648538	386954	Contestant
648539	35455	Sarah
648540	215831	Rally Speaker
648541	373559	
648542	8569	Monika
648543	399206	Becky Thatcher
648544	97713	Laura Munch
648545	174622	Workout Model
648546	117083	
648546	118763	Doctors, Nurses and Orderlies
648547	295447	Aunt Valentine
648548	143925	Angelina Dickinson
648549	173089	Cafe Customer
648550	86955	Woman in Dog Park
648551	314394	
648552	28531	Ragnhild Berg
648552	29890	Eva Nansen
648552	117282	Tors mor
648552	117862	Frk. Stenberg
648552	120914	Lisa
648552	138006	Woman
648552	180405	Young girl
648552	180449	Furubotten
648552	181077	
648552	182294	Fødselshjelpen
648552	205809	Margaret
648552	242694	Politifullmektig
648552	315379	Toralfa
648552	316811	Brit Fjeld
648552	317647	Esther
648552	318612	
648552	345990	Astrid
648552	357807	Jordmor
648552	388307	Erna Hjeltevik (1999-2000)
648553	391110	Host
648553	393272	Herself
648554	333340	Patron at Jazz Club
648555	262925	Justine
648556	385158	Herself
648557	1497	Greta
648557	45346	No Job Crunch Girl
648557	65957	Ruby
648557	70816	
648557	105884	Jessica Andrew
648557	118873	Enga Denkmark
648557	126598	Sweetheart
648557	128348	
648557	171092	Hallway Girl
648557	186714	Eurotrash Girl
648557	202325	Sandy
648557	266631	1st Victim
648557	273769	Babette
648557	356051	Ilona
648557	357167	Nancy
648557	389858	Petra (2002)
648558	104773	Slovak entry (21st place)
648559	346908	Woman
648560	300902	Drunk Woman
648562	4789	
648562	347827	
648562	360269	Herself
648562	379273	Herself
648563	212732	Shawna Landon at 13
648564	94638	Saida
648565	32545	
648565	55706	Jenny Grubb
648565	69268	Dolores
648565	96696	Sir Roger's Secretary
648565	156814	
648565	158723	Chriseis
648565	193902	Tara
648565	222345	Girlfriend
648565	233465	Miss Martin
648565	261274	
648565	323376	Samantha
648565	335762	Amy
648565	355015	The Gypsy's Wife
648565	362748	Ayak
648565	363777	Stella
648566	195615	Twin Waitress
648567	52063	Second Dancer
648568	162033	
648568	274900	
648568	356214	
648569	6518	
648569	309427	
648570	140500	
648571	175957	
648572	297285	
648573	195615	Twin Waitress
648574	2469	
648575	290378	Tomika
648576	130597	Simrun Singh
648577	198751	Bibi Maangamizi
648578	322567	Makeup Artist
648579	184469	Mohammed's Wife
648580	134653	Laila
648581	266228	
648581	273582	
648581	322403	
648581	324294	Lenin
648582	154434	
648583	226723	
648584	288676	Maggie
648585	188796	
648586	171418	Mrs. von Franz
648587	45781	Student
648588	142869	Jean
648589	361611	
648590	18598	Bridge Crosser
648591	349461	
648592	252854	Hospital Girl
648593	259407	Audience Member
648594	90364	Alexandra
648594	159530	
648594	284797	Corina
648594	349461	
648594	379461	Vanessa
648594	379603	Tanya
648594	381024	Yeni
648594	389483	Fabiola
648594	401251	Rosenda
648594	405398	Iris
648594	407304	Emilia
648594	408888	
648595	134265	Herself - Photographer
648596	320123	Herself
648596	320149	Herself
648596	320150	Herself
648596	395957	Host
648596	406821	Host
648596	407083	Herself (39 Days, Kucha/Barra
648596	410171	Herself (2003-)
648597	95674	tight-rope dancer
648598	403534	Herself - Participant
648598	403536	Herself - Participant - Winne
648598	405450	Herself - Host
648599	190813	
648600	397956	Herself
648601	219184	Little Girl With Dog
648602	282474	
648603	219184	Amanda
648604	228182	
648605	159175	Dancer
648606	210387	Girls' Group
648607	109008	Lotta
648608	222212	Party-goer
648609	7558	En vaskekone
648609	99443	Hjalmars mor
648610	28352	Anjuta
648610	46615	
648610	46616	
648610	98772	Ann-Britt Steen
648610	109130	Ellen Brenton
648610	120067	Astrid Löwen
648610	136711	Marianne Sinclaire
648610	149568	
648610	159671	Barbro
648610	168383	Marit
648610	184574	Sonja Ivanova
648610	214338	She
648610	253657	Princess
648610	290497	
648610	315565	Signhild
648610	318900	Zuleika
648610	322270	Mrs. Lindahl
648610	333064	Barbro
648610	351454	Ursula
648610	360955	Herself
648611	70752	Baby Corey
648612	70752	3 year old Corey
648613	48361	Walter's Daughter
648614	200954	Receptionist
648615	92150	Tracy Sinclair
648616	176776	
648616	306690	
648617	18709	Herself
648618	146871	Angela Raubal
648619	33426	Esther Greenwood
648619	42727	Joanne Knight
648619	105807	Beverly
648619	136513	Jan
648619	160416	Cindy (segment "The Housegues
648619	211815	Josephine Fabrizio
648619	244407	Jill Kinmont
648619	244408	Jill Kinmont
648619	269048	Beverly Marshall
648619	296818	Maureen
648619	330218	Dancer #75
648619	342405	Lou Ann
648619	343010	Lucy
648619	408058	
648620	156466	Reporter #1
648621	32361	Anita
648621	101040	Hooker
648621	195137	Camerawoman
648621	263235	Bank Teller
648621	292579	Mrs. Grenier
648621	316215	Antonia
648621	366983	Babysitter
648622	7781	Inger
648622	27596	Herself/Ida
648622	51132	Pige ved busstoppested
648622	72271	Lady Latex
648622	155684	Susanne
648622	178731	Madam Birk
648622	182626	Kirsten
648622	370801	Herself/Susanne
648622	394865	Ida Nørregaard
648622	401737	Various roles (sketches)
648623	156249	Elektriker
648624	260697	Grandmother
648625	81157	Newspaper Receptionist
648625	176940	Barbara
648625	187167	Eve
648625	232181	Queen Morgana
648626	285777	
648627	379879	María
648628	252935	Heather
648629	283758	
648630	42081	Schwarze
648631	283758	
648632	144742	Gyöngyi
648633	30732	Aitanga, nomadepike
648633	39283	Dr. Crippen
648633	66604	Lydia Constantine
648633	73475	Senora Isabel Farrago
648633	78126	Carola Ballister
648633	91779	Brita
648633	99819	Emelie Högqvist
648633	105465	Fedora
648633	125298	Hannelore
648633	134241	Herself
648633	141620	Mademoiselle
648633	151098	Elsa Gebhardt
648633	153760	Majken Celsing
648633	154516	Helene
648633	168636	Paulette Girard
648633	169387	Anya
648633	174201	Monika Hall
648633	192928	Birgit Norén
648633	200362	Madam Parga
648633	215191	Madame Eugenia
648633	240466	Herself
648633	241404	Aunt Vivian
648633	245516	Celia Bentner
648633	252189	Hanne
648633	255323	Sister René
648633	274669	Julia
648633	289409	Therese De Pierremont
648633	295439	Toni
648633	298288	Countess
648633	298590	Fraulein Reichenbach, Adler's
648633	308819	
648633	315360	Eva Richert
648633	316156	Francine Huber aka Mathews
648633	317619	Margit
648633	322314	Vera
648633	326127	Agneta
648633	334340	Ann Grant
648633	343389	Susanna Braun
648633	346210	Joséphine de Merret
648633	353038	Kristina Ahrengren
648633	353042	Kristina Ahrengren
648633	363464	Gen. Katrina Grimovitch
648633	366237	
648633	377315	Birgit Steen
648633	402552	Lena Kronska
648634	118270	Midwife
648634	169642	Vera Esposito/Irene Trimble
648634	213322	First Fairy
648634	281173	Juliet
648634	399383	The Infant Phenomenon
648635	8979	
648636	374573	Little Kid
648637	334260	Teresa
648638	387117	Dunya
648639	124129	
648640	211838	Camilla Fairweather
648640	282384	Kate McBryde
648640	335050	Miss Hogan
648640	341670	Nurse Wendy
648640	391553	Susan Drinkwater
648641	207051	Creature - Mr. Butterfly
648642	147886	A Girl (Whirl, Twirl & A Girl
648643	407080	Herself (33 Days, Drake/Balbo
648644	129534	
648645	328819	The Girl
648646	47439	Khavah
648646	158308	
648647	116796	Deirdre
648648	356802	Beach Football Babe
648649	96905	
648649	143122	Trixie
648649	153131	
648649	289200	The owner's daughter
648650	71687	Elderly Woman
648651	11522	Actress in Stag Film
648652	4536	Trip Hop Inferno: Performer
648653	4	
648653	13255	
648653	13298	
648653	18097	
648653	26445	
648653	30362	
648653	38549	
648653	44025	
648653	53782	Simon Skinner's Wife
648653	71732	Alithea, his Sister
648653	85839	The Englishman's Wife
648653	113978	
648653	136161	Charlotte Keen
648653	141256	Denbeigh's Housekeeper
648653	143002	Undetermined Role
648653	143316	Brown's Wife
648653	160615	Undetermined Role
648653	163293	Adele's Mother
648653	175205	
648653	187286	Sister Monica
648653	203681	Mrs. Blair
648653	205991	Julie
648653	214101	
648653	221331	
648653	226765	
648653	273203	
648653	306622	Sophie, the star
648653	310755	
648653	312553	
648653	316676	Dr. Anna Gates
648653	324400	
648653	341998	
648653	345992	Undetermined Role
648653	349508	
648653	350703	Mrs. Randall
648653	353288	Mrs. Primrose
648653	368372	Anna Graham
648654	399816	Ingrid Sumner-Spring
648655	53054	Karen
648656	3421	Customer #3
648657	399905	Olivia
648658	20625	Extra
648659	309204	
648660	130063	Morgan Tracer
648661	60340	Sissy
648661	60764	Michelle DuBennett
648662	164517	
648662	271163	Mrs. Sweeney
648662	295466	Margaret
648662	344683	Mary Driscoll
648663	7484	
648664	291025	Nicki
648665	114145	Local News Anchor
648666	209802	D.A.L. Girl
648667	56647	Lady Trafford
648668	56207	Hooker #2
648669	326389	Alexis
648670	263957	Lynch Mob
648671	127128	Miss Jones
648672	66942	Nurse #2
648672	80539	Soldier in DC-3 Mock-Up
648673	50234	Nut Girl
648674	333875	Ribeena Gorse-Jones
648676	3017	Anne's mother
648677	123040	
648678	64618	
648678	64624	
648679	64618	
648679	64624	
648680	26156	Young Martina
648680	34479	Mother
648680	145473	Lillian
648680	183314	Tinas mor
648680	319087	Mor
648680	351046	Ida Abel
648680	351047	
648680	382899	Mor
648680	389734	Marianne Dahl
648680	395115	Dorte (1995)
648681	133636	Brian's Daughter
648682	193915	Bonnie
648683	89311	Kim Nichols
648684	336782	Fort Worth Ring Girl #2
648685	325536	Maria Kaindl
648686	47311	
648686	73746	The Old Maid
648686	74102	
648686	87688	Miss Peck
648686	152571	
648686	154651	Nora
648686	291915	Older Lady
648686	292189	Miss Curtis
648686	364453	Nurse
648687	393145	Anchor
648687	403010	Herself - Presenter
648688	76619	Miss Pritchard
648688	112542	
648688	279153	Madame Rumford
648689	130075	
648689	252081	
648689	292077	Lola
648689	300697	
648689	300698	
648689	402487	Pingkan
648690	405209	Kathy Kawaka (2001)
648691	372038	
648692	373218	
648694	381249	Lady One Question
648694	381250	Lady One Question (2003-)
648695	182488	
648695	238638	Chiaki
648697	98097	
648697	185004	Country girl
648697	251939	
648697	251941	Sirpa Lahtinen
648697	251944	Maija Kulo
648697	341784	Nina
648697	371650	
648699	102995	Narges
648699	163136	
648699	187570	Leila, the Wife
648699	216428	
648700	8755	Yoko
648700	180058	Ryoko Ikehata
648700	296364	Kanako
648700	348871	
648701	391120	Misa Aida
648701	396715	Ayumi Ikeda
648702	238638	Mizue
648703	16413	Nurse Gridley
648703	85143	Reporter #3
648703	117715	Agent Kay
648703	346408	Clerk
648704	380815	Herself
648705	78034	Dr. Benson
648706	194810	Herself
648707	44012	Catherine Manion (casher, Pla
648707	46396	Mrs. Cooley
648707	93240	Mrs. Faust
648707	137697	Aunt Emma
648707	177291	Mrs. Pearson
648707	196558	Bit part
648707	215975	Maggie
648708	288933	Shop Assistant
648709	400197	Dawn
648710	12764	
648710	53218	
648710	107405	
648710	115060	Aura's handmaiden
648710	118304	Nurse
648710	142637	Water Ballet Specialty
648710	220574	
648710	247160	
648710	349917	Girl
648710	374522	Townswoman
648711	78034	Waitress at Brown's
648712	248132	City Editor
648713	123029	Polylina (singing voice)
648714	249557	CC
648715	366015	Runner
648716	187518	Suze
648717	150483	
648718	37487	Louise Riley
648718	147535	Lolita Valdez
648718	162979	Rose
648718	244841	Dibs Downing
648718	323887	Maid Marian
648718	333054	Chorus Girl
648718	340570	Girl
648718	350645	Catherine Brown
648719	86287	Cop #2
648719	293126	Policewoman
648720	1524	Becky Foxx
648720	11586	Linda Alissio
648720	34646	Herself
648720	37261	Gretchen
648720	45842	Samantha Crain
648720	47929	Teresa Gennaro
648720	60852	Megan Margulius
648720	70419	Dani Payson
648720	80467	Passer-by
648720	80484	Laura Stewart
648720	87981	Herself/presenter
648720	111789	Charlotte Parker
648720	141659	Claudette Rocque
648720	165436	Jane Doe
648720	217583	Jordan Ripps
648720	283546	Shawna Morgan
648720	288703	Herself - Audience Member
648720	289257	
648720	292813	Herself
648720	302468	Maria Goldstein
648720	306625	Ariel Maloney/Dr. Monica Demo
648720	312150	Ms. Gradenko
648720	315897	Janice
648720	324422	Katherine 'Kiki' Tango
648720	335336	Paris Carver
648720	383385	Angelica Stimac Clegg
648720	386144	Susan Mayer
648720	394174	Laura Matthews
648720	395903	Lois Lane (1993-1997)
648720	396062	Amy, Loveboat Mermaid (1985-1
648720	406928	TT Fagori
648721	118848	Woman on Train
648722	213252	Katie
648723	10502	Pointer Sister
648723	35193	Harlette
648724	331234	Lili
648725	131240	Housemaid at Twelve Oaks
648725	318607	Churchgoer
648726	393816	Herself
648727	252483	Georgia Reporter
648728	254485	
648729	131232	Extra
648730	131232	Extra
648731	169140	Narrator
648731	170411	Polly Winter
648731	312768	Eponine
648732	212274	Nurse
648733	14240	Agent #1
648733	32052	Theresa
648733	39861	Connie the Crusher
648733	70208	Nun
648733	211035	Sims, Medina Goon
648733	318164	Concessionaire
648735	106721	Sandra
648736	346258	Bar Patron
648737	323134	Chie Sagami-Ono
648737	377282	Blair
648737	407369	Chie Sagami-Ono, Officer, Hig
648738	79012	Guest at Dinner Party
648738	109661	Girl in bar
648739	186422	Helpful Woman
648740	106041	
648740	288682	Herself
648741	95023	Dress Shop Assistant
648741	244880	Hilary
648741	263786	Schoolgirl
648741	403638	Katy (1974)
648742	164514	Dream Girl
648743	253458	Women's Team Member
648744	245103	Parking Lot Woman
648744	272026	Claire Suchet
648744	331935	Cindy
648745	403805	Susan Adamson #2 (2001)
648746	191394	Hair Stylist #1
648747	1099	Young Peggy
648747	3973	Heidi Logan
648747	65612	Karen
648747	71923	Annie
648747	75399	Betty
648747	129900	Alison
648747	157698	Girl on Train
648747	169676	Tanya Bayer
648747	177705	Rita Crowe
648747	182984	Lynn
648747	185131	Ava
648747	185253	Kali
648747	220805	Beauty
648747	304836	
648747	305359	
648747	380657	Rhonda Ruskin
648747	398741	Shelby Haskell (1989-1990)
648748	273514	
648749	47422	Lureen
648749	99330	Ella
648749	140416	Allison
648749	230771	Herself
648749	231439	Madeline Bray
648749	231536	Herself
648749	240877	Herself
648749	244392	Jean Sabin
648749	264157	Mia Thermopolis
648749	264158	Mia Thermopolis
648749	389982	Meghan Green
648750	176406	The Kid as a baby
648751	68086	Herself
648752	49894	
648753	277845	
648754	131232	Maypole dancer
648755	7079	
648755	8365	
648755	42429	Mrs. Stimson
648755	45403	Mrs. Cameron
648755	45492	
648755	48974	
648755	67913	Mrs. Sylvester Van Deek
648755	72640	Mrs. Wayles
648755	77714	
648755	80637	
648755	88189	Mrs. Pelham-Wilson
648755	100664	Mrs. Walter Graham
648755	109780	
648755	109820	
648755	113586	Mrs. Bradley
648755	117163	
648755	128481	Mrs. Brockman
648755	131530	
648755	141810	
648755	164548	
648755	165480	
648755	191267	
648755	196163	
648755	196621	Mrs. Gordon
648755	196839	
648755	200845	
648755	207198	
648755	207414	Jean Darnell
648755	221308	Mrs. Van Zant
648755	257181	
648755	267558	
648755	291168	
648755	299891	Mrs. Shirley Smith
648755	330245	
648755	336166	Jack's mother
648755	363127	
648755	366676	Mrs. Hewitt
648756	204674	Miss Spencer
648756	269590	Lynnit
648757	108587	Sally Ann
648758	135996	Dancer
648760	294846	Martsa Lazar
648761	176406	Extra in alley scene
648762	203917	Woman in Lobby
648763	334180	Waitress
648764	60323	Church Lady #3
648765	245189	Mrs. Venables
648766	62921	Jean
648766	151394	
648766	206431	
648766	261694	Hypatia Dalroy
648766	275860	Queenie Creedon
648766	281100	Flora
648767	234669	Waitress
648768	227154	Mary
648769	381821	Ensemble (1974)
648770	21741	Herself
648771	467	Frau Hudetz
648771	4758	
648771	16312	Senora
648771	32770	Lotte
648771	34241	Felicitas
648771	42219	Isobel
648771	86398	
648771	92488	Helga Roemer
648771	94333	
648771	98041	Christa Hambach
648771	108144	
648771	119190	
648771	123963	
648771	125168	Wally
648771	129727	Renate Bergmann
648771	134816	
648771	142162	Ann Bradley
648771	155397	Hanna Heyt
648771	188767	Anna Falkner
648771	189640	Christa
648771	203392	
648771	204518	Maria Monnard
648771	206587	Martha Jellneck
648771	207802	Mathilde Möhring
648771	209985	Anna Lohmann
648771	210114	Paula Roth
648771	226277	
648771	268539	Frau Gast, Antons Mutter
648771	272748	Anna John
648771	274884	Gabriele von Wahl
648771	283060	Amelia Gare
648771	288840	
648771	303721	Truus Dautzenberg
648771	307250	Frau Römer
648771	325737	Lisa Kandrisch
648771	356711	Maria Hendrix
648771	367227	
648771	369139	
648771	376480	
648771	386334	Frau Hohenscheid
648772	14753	
648773	80508	Parent #3
648774	292226	Vicky Ingham
648776	295138	Agente cubana
648777	286655	Sabine
648778	406654	Sondra
648779	209099	
648780	23455	Extraterrestrial 2
648781	284012	
648782	291221	Mrs. Becker
648783	157036	Kissing Girl
648784	361611	
648785	93217	Extra
648786	118795	Francine St. Claire
648787	409493	Herself
648788	163085	Turkish travel agent
648789	108902	Mathilde
648790	119520	Herself (Cibo Matto)
648790	155019	Herself
648790	190799	Herself (Cibo Matto)
648791	81855	
648792	9649	
648793	99835	
648794	20226	
648794	102462	Valentina
648794	136794	
648794	147999	
648794	173957	
648794	212589	
648794	215198	
648794	338206	
648794	350804	
648794	375516	
648794	378730	
648794	380320	
648794	394227	
648794	397610	
648794	400825	Christina
648795	16980	
648796	131383	Baby Paula (1 Jahr)
648797	131383	Baby Paula (1 Jahr)
648798	12865	
648799	22629	Lisa
648800	255872	Model
648801	39285	Junko Iwagami
648801	61442	Yoshida's mother
648801	61525	Farmer
648801	121933	Yura Nagumo
648801	137040	
648801	145127	Narrator
648801	156245	Naoko Ishii
648801	157082	Toyo Iwakami
648801	167480	Imai-san no Oku-san
648801	174340	Miyako Ujiie
648801	175259	
648801	182002	Apolodria
648801	182717	
648801	193230	Sata
648801	271672	Seller
648801	287531	Shige, Yasuzaemon's wife
648801	293602	
648801	299155	Tomi Kubo
648801	300487	Tsuyuko
648801	319743	Fusae
648801	327967	Dola
648801	358128	Kobayakawa's mother
648801	374633	Koyuki's Mum
648802	381036	Rei Haneyama/Reddle-Episodes 
648803	226626	Kana Sakurai
648803	243994	
648803	349220	Kirie Goshima
648804	91184	Tabacco shop woman
648804	373190	Kiyoko Tobata
648805	138039	Morio
648806	39986	
648807	204747	Simi Sherri
648808	357852	Shaïliona
648809	8310	Mrs. Ali, Social Worker
648809	8358	Suashni Chavan
648809	9326	Didi
648809	9387	
648809	10076	Vivek's wife
648809	16280	
648809	17395	Dr. Suchitra Sharma
648809	21150	Pooja's Cleaning Lady
648809	21378	
648809	25172	Ramya's mother
648809	27459	Rosy D'Souza
648809	33928	Kaameshwari
648809	36206	
648809	58367	Amba (Tribhuvan's wife)
648809	77438	Shekhar's Mother
648809	85312	
648809	85316	Durga Devi
648809	98491	
648809	122918	
648809	123572	Kasturba Gandhi
648809	127020	
648809	137101	
648809	137264	
648809	143847	
648809	152456	
648809	152467	
648809	165196	
648809	171855	Tina's aunt
648809	181014	
648809	181110	Mrs. Shukla (the mother)
648809	181973	
648809	183318	
648809	184075	
648809	192299	Rajeshwari Devi
648809	194570	Sharda Malhotra
648809	204027	Geeta's Aunt
648809	217175	
648809	222451	Munna's mother
648809	249540	
648809	262456	Durga
648809	266966	Mrs. Mallapa (Pooja's mother)
648809	268563	Krishna's mom
648809	270201	Shalini Sharma
648809	283151	
648809	284750	Parvati
648809	293299	
648809	297034	Vijay's mother
648809	297210	Kaushalya
648809	324141	
648809	330354	Ravi & Shashi's mother
648809	341777	
648809	370216	
648810	4446	Selma
648810	9355	
648810	18453	Mari
648810	104860	Teacher
648810	156038	
648810	162649	Mrs. Nokipii
648810	168387	
648810	171801	Ms. Hallamaa
648810	175700	
648810	180583	
648810	181631	Old Countess
648810	213416	Hillevi, waitress
648810	239911	Antti's Mother
648810	239976	
648810	242853	Matilda Peltonen
648810	255762	Vetterantin Torotea
648810	278338	
648810	278560	Oili
648810	310810	Clyden äiti
648810	322705	
648810	324756	
648810	343463	Kaino Pelkonen
648810	356234	
648810	392240	Eveliina Hulukkonen
648811	58462	Herself
648812	30605	
648812	197243	
648812	197260	
648813	147545	Herself
648814	269421	Yashiko
648815	367093	Diner Waitress
648816	124940	
648816	142514	
648816	201304	
648817	279804	Herself
648817	403532	Herself - Participant
648817	403536	Herself - Participant (1999, 
648818	41809	Waihila, Flower Seller
648818	64790	Mama Mary
648818	116521	Herself
648818	177989	Ayah
648818	198542	Mama Lotus
648818	215662	Kamamamaluas
648818	308632	Palola
648818	318441	Mama Lily
648818	323071	Temata
648819	92230	Muse
648820	6269	Jenny
648821	89054	Denise
648821	113306	Nurse in Delivery Room
648821	191051	Joanie
648821	194029	Lavern
648821	197016	Dog Store Cashier
648821	332627	The Paleontologist
648821	407421	Young woman
648822	273805	Woman
648824	1381	Herself - a Writer
648824	326185	Bit Role
648825	22990	Mrs. Holmes
648825	69407	Queen's Maid
648825	79820	
648825	132590	Mrs. Trammel
648825	165909	Nurse
648825	196521	Margaret (Marie's mother)
648825	219939	Mrs. Howard
648825	281428	
648825	282552	Mrs. Curry
648825	315873	Mrs. Bill Higgins
648826	141782	Her Majesty
648827	18410	Pat
648827	90267	
648827	220878	Susie Chedworth
648828	126040	Granny
648829	322837	Additional Voices
648830	160242	The Butterflies and Moths
648831	3995	The Girl
648831	31996	Lady Patience
648831	35208	
648831	47436	Flossie
648831	56176	Lady Camber
648831	62921	Lady Barbara Sinclair
648831	101372	Girl
648831	128507	Lucy Coventry
648831	138993	
648831	143402	Crystal Wride
648831	158820	
648831	186018	Gilda Beresteyn
648831	207436	Matilda Tapping
648831	280909	Cynthia Justice
648831	281098	Gertie Heckett
648831	287261	Esther Conway
648831	311799	Kitty Vickers
648831	325973	Ellen Tarrant
648831	363231	
648831	368619	Lady Hall
648832	288387	Psychic
648833	258960	Girl in Video/Self
648834	182471	Suzu Murakawa
648835	151154	The Ghost of Okami
648836	127855	Hiyoko
648837	26237	
648837	309395	A maid
648838	101564	Chinese Girl
648838	139985	
648838	299008	Miura Toshiko
648839	19060	
648839	155505	Toshiko Hattori
648840	298425	
648841	4618	Guard (Miss Michigan)
648842	17079	
648843	382838	Anthea Brindley Dixon (1998-2
648844	198033	
648845	130921	Apollonia
648845	142276	Hedwig
648845	156991	Margit
648845	173180	
648845	179839	Veronika Pfister
648845	189652	Marianne
648845	210137	Wirtin
648845	379772	
648846	386976	Silke Steinmüller
648846	409958	Bastiane von Dannenberg (1997
648847	375941	Zoé
648848	400680	
648849	398880	Mariana
648850	370047	
648851	407738	
648852	314741	
648854	92908	Julie
648855	394062	Fani Kontoglou
648856	8501	
648856	242898	
648856	314741	
648857	318509	Airline Ticket Agent
648858	321167	Angry Woman
648859	359629	
648860	383523	
648861	185441	Miss Edna Block
648862	287171	Sherry
648863	119626	Arthur's Mother
648864	211375	L'assistante sociale
648865	263985	Belle-maman
648866	186946	Marlene
648867	159974	
648868	379564	Co-Host
648869	373618	Kirsten
648870	34123	Bennys mor
648870	123885	
648870	216993	4. kvinde
648870	305566	
648871	22634	Nini
648871	86495	
648871	96173	
648871	355976	Concierge
648872	321597	Sarah's Mom
648873	165178	Frau von Gegenüber
648874	37867	Marla Voight
648874	230863	Rita
648874	340811	Dr. Rose
648874	355980	Severa Nazareth
648875	84230	Townsperson
648876	178098	Shoe-shop customer
648877	34321	
648878	6442	Fille casting Sabrina
648878	102931	Infirmière 1
648879	81459	Wing Span
648880	281231	Leila
648881	325936	Isabelle Osten
648882	90996	Martha Koch
648884	39711	
648885	19201	Prisca
648885	51251	Karen
648885	53065	Françoise
648885	64318	La petite bonne
648885	68927	Françoise Duru
648885	70940	Paule Krantz
648885	83216	Nadine Marsac
648885	83279	Corinne
648885	83379	Françoise Rousseau
648885	84627	Marie
648885	117476	Jeanne
648885	119046	Herself
648885	134617	Genevieve
648885	135325	La petite Polyxène
648885	139817	Alice
648885	146402	
648885	148710	Isabelle Strosser
648885	153875	Elise Tisserand
648885	156554	
648885	167174	Une infirmière
648885	170359	Sabine, la petite
648885	195152	Marguerite d'Ecosse
648885	201183	Colette
648885	204668	Manon Rolland
648885	205586	Maria Vaureil
648885	205730	
648885	206008	Poupée Barbie
648885	209944	Hélène, Laetitia's Mother
648885	228563	Géraldine, l'astrophysicienne
648885	234524	Janine
648885	235714	Carmen
648885	240599	Rosette
648885	244964	Julie
648885	246470	Patricia
648885	248415	Françoise
648885	249721	Chris
648885	251543	Sabine Lachenay
648885	303618	Angela
648885	321255	
648885	322340	Marie
648885	345220	Herself
648885	346778	Nora
648885	354968	Tante Thérèse
648885	379240	Solange Nérac
648885	381615	Henriette
648885	387167	Désirée Nordmann
648885	399106	
648885	400698	La femme romantique
648885	402531	Julia
648885	404861	
648885	410074	Anne
648886	62460	Gati
648887	33449	Ritter
648887	33450	Ingeborg
648887	33452	Anke Ritter
648887	33453	Ingeborg
648887	33454	Anke Ritter
648887	33458	Anke Ritter
648887	33459	Anke Ritter
648887	33462	Ingeborg Ritter
648887	33464	Anke Ritter
648887	98970	Frau Drescher
648887	138901	
648887	155331	Rossa
648887	211489	Juwelierin
648887	317505	
648887	345918	Sylvie Troger
648887	347000	Doris
648888	16226	
648889	22825	Aysha Almouth
648889	176243	Alia
648889	361174	Anna
648889	366752	Anastasia
648890	203560	Florist
648891	24355	Nina
648891	122566	Steffi
648891	280507	
648891	325379	Annika Beck
648891	325450	Annika Beck
648891	325513	Annika Beck
648891	325526	Annika Beck
648891	325562	Annika Beck
648891	325816	Annika Beck
648891	325851	Annika Beck
648892	325674	Dorle Reinecke
648893	108210	
648893	402528	Gretl
648894	78284	
648895	27423	
648895	34259	
648895	58710	
648895	97948	Mutter Schiele
648895	109736	
648895	112280	Susanna
648895	119688	Irene
648895	120930	Raffaela
648895	120955	
648895	122492	Ilona
648895	123947	
648895	125087	Gloria
648895	172387	Tänzerin Anni Wührer
648895	179830	Helene Odilon
648895	182767	
648895	188774	Hanni Manhard
648895	193284	
648895	206667	
648895	210479	
648895	220709	Suzi Gerl
648895	225123	Lale Pieper
648895	254455	
648895	290605	Roszi
648895	290687	Baronin Edith von Prankha
648895	293995	
648895	316167	Elisa
648895	340276	Ola Orlando
648895	366512	Katharina
648895	375264	Bettina
648896	62925	Edith Wensal
648897	394945	Vertinne (1985-1987)
648898	214641	Boutique sequence
648899	224478	
648901	122124	La logeuse
648901	125159	
648901	325400	Rosa Hirschi
648901	366491	
648902	222718	Ticket Taker
648903	80046	Molly
648903	89147	Neighbor
648903	214463	Sady
648903	219555	Elevator Passenger
648903	230945	Guru
648903	233864	Hilda
648903	331467	Jude's Mother
648903	331610	
648904	382898	Herself
648905	359202	Mrs. Clarke
648906	128013	
648907	304357	Kvinde i guld
648908	381896	Herself - Participant
648908	381914	Herself - Participant (season
648909	122272	Karen
648910	106647	Gypsy Dancer
648911	302087	Anne, en tjenestejente
648912	134917	Maja
648913	117483	Witness
648914	46630	
648915	173313	Herself
648916	96020	Cleo, danser
648916	345999	Francisca
648917	22818	Siri
648917	164279	Jente på hybel
648918	117483	Customer
648919	368348	Herself
648920	237072	Tjenestejenta
648920	354196	Kari, tjenestejenta på Bjørkl
648921	2636	
648921	38917	
648922	190464	Crystad
648923	201230	Mother
648923	393857	Selma
648924	256599	Fru Hermansen
648924	389138	konfirmant
648925	117862	Nonnen
648925	153288	Klasseveninne
648925	178434	Inga
648925	196810	Husjomfru
648925	347005	Olina
648926	73841	Monica
648926	87927	
648926	182948	Jellia Jamb
648926	188968	Cards, Jurors, and Courtiers
648926	274333	Karen Sorenson
648927	333011	Woman in airport
648927	358464	
648928	233987	Little Tina
648929	84146	Peace Corps volunteer
648930	148417	
648930	185475	Dawn Griffin
648931	213564	
648932	283500	Schoolgirl
648933	105196	Marta
648933	143264	Hira Mata
648933	157826	Ms Seagar
648933	164400	Matron
648933	169814	Mary Taki
648933	195898	Noeline
648933	201831	Herself
648933	271077	Jean Taylor
648933	362042	Nanny Flowers
648934	381913	Participant, 8th out (2002)
648935	94274	Familie medl.
648935	102438	Ane
648935	321912	
648936	407213	Véronique
648937	392524	Sixth place (2004)
648938	104778	Icelandic entry (8th place)
648938	322443	Herself
648939	76263	Arto's Mother
648939	92082	Woman in Castrén's party
648939	181651	Anna, an Old Friend
648939	181753	Eila Tuomi
648939	184108	Hilkka Hopeavuori
648939	197362	Rva Jortikka
648939	213414	Mrs. Kahila
648939	242255	Patient in VD clinic
648939	246674	Hoitajat
648939	247008	Ida
648939	253796	Ilta
648939	266977	Olga Rättyä
648939	275804	Irwin's mom, Kirsti Hammarber
648939	303933	
648939	324605	Balettipianisti
648939	341591	Kummitäti
648939	350552	
648939	354085	
648939	354285	Head of the old people's home
648939	355135	
648939	388258	Arvo's mother
648939	394792	Kaisa Virtanen (1998-1999)
648940	354085	
648941	232585	Opettaja
648941	247008	Laine Kallas
648941	380703	Ludmila
648942	396533	Lillan
648943	92994	Steina
648943	122441	Júlía
648943	386953	
648944	267200	Mutsumi Aasu
648945	99094	Rayna
648945	279376	Beautiful girl in basket
648946	284308	Une Anglaise
648947	337649	Player
648948	199311	Kate Pinkerton
648949	226700	Marika
648949	256983	Lili
648949	322066	
648949	407241	Bea
648950	183265	
648951	410813	
648952	77421	La Troupe des Gelosi
648953	23730	
648954	300646	Juliette
648955	320266	Joan Speck
648956	80440	
648956	92694	Brunette Vampire
648956	206439	Fran
648956	245105	
648956	262085	Mother
648956	274348	Kelly
648956	276892	
648956	333399	
648956	336475	Dr. Love
648956	406952	Connie (1/11997)
648957	6247	Jenny Adams
648957	29488	Sharon
648957	46153	Holly Lovell
648957	67380	Mahree Bok
648957	81877	Gracie Rickman
648957	83984	Lauren Mahone
648957	126572	Barbara (as a teenager)
648957	164480	Laura
648957	354520	Mara Chaffee
648957	386254	Little girl
648957	398337	Herself (2001-)
648958	197488	Mauri
648959	349295	
648960	195203	
648960	284860	
648962	354200	
648963	86434	
648964	99233	Narrator
648965	281149	
648966	175223	Roz Lentz
648966	285310	Joyce Kaufman
648967	27281	Aphrodite
648967	67940	Jill
648967	277009	
648968	398083	Frau Schoenferber
648969	293470	
648970	175265	
648971	220498	
648972	115362	
648973	64940	
648974	2413	Kleptomaniac
648975	122548	
648976	364885	
648977	23884	
648977	397367	Klara
648978	321444	
648980	272752	
648980	317566	Local Dame
648981	43924	Mary Brunner
648981	360601	Marav
648982	317248	Sally
648983	398501	Mirtes
648984	101061	1st Medic
648984	398083	
648985	141979	
648987	223666	
648987	409283	
648988	41857	Joy
648988	47443	Collins
648988	304046	Kix
648989	194104	
648990	214875	Prima
648991	14689	Teresa de Albuquerque
648991	211061	
648991	344688	
648993	53823	Pam Carver
648993	63065	Janet Owens
648993	107764	
648993	136144	Miss Ann
648993	150075	Julie
648993	159874	Grace
648993	167708	Nina
648993	168087	Grace
648993	206811	Brenda Davis
648993	293258	Anne (Fred's Wife)
648993	360032	Rachel Hill
648993	403730	Carrie Barden
648993	410242	Mara Wilkes
648993	411802	Det. Salena Wiley (1997)
648994	190182	
648994	396734	
648995	20102	Isabeelle Allen
648995	191933	Mrs. Thompson
648995	256820	Nurse
648996	79861	Teresa de la Vega
648996	88027	Sonja's daughter
648997	317146	Title Narrator
648998	62865	Herself
648999	42607	
649000	375713	Natalie Asparagus
649001	192072	Innocent Girl
649002	11182	Herself
649004	71508	Sarah Bright
649004	166484	
649004	223884	Amy
649004	230392	Emma Donovan
649004	257760	Marie
649004	382300	Zoe Pfeiffer
649005	236968	Parent
649006	341207	Rita
649007	72808	Teacher
649008	63651	
649008	74726	
649008	87594	
649008	104672	
649009	41202	Kiersten
649010	115802	
649010	153903	Marios Freundin
649010	302193	
649010	302196	
649010	302268	
649010	376313	Alex (Barfrau)
649010	394817	Gloria
649011	363496	
649012	310647	Lab Worker
649013	76133	Gisèle
649013	148625	La femme
649014	307409	Additional Voices
649015	44516	Valerie
649016	169211	
649016	333303	Newsboy
649017	93356	
649018	57102	Yacht Sales Associate
649018	108382	Waitress
649018	148586	Juvenile Officer
649018	150920	Girl with book
649018	186158	Cambridge Party Guest #1
649018	214763	Mother
649018	330412	Miss Bates
649019	290191	Jutta
649020	188815	
649022	17435	
649023	7551	
649023	11831	Gertrud Eberts
649023	18519	Mother
649023	48392	Mrs. Mutz
649023	105782	
649023	115991	Linda Spangenberg
649023	122255	Inge Marie Giese
649023	125148	
649023	134982	
649023	155605	Mrs. Cheveley
649023	159257	Hedwig Spiehweg
649023	168435	Alice Dearth
649023	187774	Ludowiga
649023	194111	Frau Rommel
649023	204516	Sekretärin von Sending
649023	225137	Ilse Heidenreich, 'Heidin'
649023	230031	
649023	281745	Granny
649023	290830	
649023	292095	
649023	306435	
649023	312879	
649023	312883	
649023	334555	
649023	347621	
649023	365780	
649023	376249	
649023	376284	Marie Luise
649023	376285	Marie-Luise
649023	376287	Marie-Luise
649023	376288	Marie-Luise
649023	376289	Marie Luise Thaler
649023	376290	Marie-Luise Thaler
649023	376291	Marie-Luise Thaler
649023	376292	Marie-Luise
649023	376294	Marie Luise Thaler
649023	376295	Marie-Louise
649023	376296	Marie-Luise
649023	376297	Marie Luise Thaler
649023	376298	Marie-Luise
649023	376299	Marie-Luise Thaler
649023	376300	Marie-Luise
649023	380349	Frau Bertram
649023	392788	Hedwig Spiehweg
649023	411163	Mrs. Krueger
649024	175071	Milka
649024	251134	Pavlínka Bernerová
649024	303743	
649024	339323	
649025	124141	Femme qui visite
649026	148686	L'assistante du décorateur
649027	82036	Elizabeth Peace
649027	114473	
649028	410048	Verkaeuferin
649029	30640	Pilot
649030	169845	Kristina Söderbaum
649030	204581	
649030	210084	
649030	278812	
649030	338940	Froschele, ihre Vertraute
649030	360972	Lotte Loebinger
649030	409609	Frau Riedel
649031	98573	Frieda, Köchin
649031	206579	
649031	290775	Trine, Magd
649031	361414	
649032	42799	Smoothtalker Dancers
649033	3182	Anna
649034	104743	Finnish entry (16th place)
649034	223257	Vocalist
649035	283478	Taiston Vaimo
649036	245484	Girl
649037	156501	Travel Agent
649038	29414	Mme Leraton
649038	32029	
649038	101818	Mme Perceval
649038	153241	
649038	161782	Irène Devrières
649038	199331	Odile
649038	236550	Mme Lebel
649038	255568	Béatrice
649038	312663	Anne
649038	336996	Sandrine
649038	345026	La conductrice de la décapota
649038	357042	
649038	357122	
649038	392910	Hélène Vouron
649038	398843	Sarah
649039	113126	La soeur de Marijane
649040	188453	'Lena' Girl
649041	357943	
649043	142417	Showgirl
649044	333120	Person of the Night
649045	209839	
649046	214494	Lidi mama
649046	396818	Marci
649047	350833	
649048	44410	Girl at Party
649048	139429	Sanna Lehikoinen
649048	153712	Sisko
649048	156540	
649048	169302	
649048	172037	Miss Helsinki-contest ticket 
649048	181589	Kaisa Piippo
649048	181754	
649048	223747	
649048	237238	Herself
649048	314365	
649048	343327	
649048	349728	Woman
649048	372625	Mother
649048	391583	Eeva Suuronen
649048	394236	Virpi
649048	394538	Mira Talvi
649048	398646	Armi-Ellen Karhu
649048	401278	Veera Keto
649048	402414	Katariina Raikas-Kurppa
649048	407094	Armi Karhu
649048	407375	
649048	409265	Sihteeri Jaana Lindfors
649048	409843	
649049	177935	
649050	349627	
649051	177935	
649052	22844	Karen Iversens Barn 2
649054	398622	Host
649055	144016	
649056	331045	Rosamund Fyfield
649057	62	
649057	58126	Koudelková
649057	142338	Hata
649057	147035	Houdková
649057	165078	Mother
649057	181969	Kalábová
649057	229394	Grandmother
649057	232622	
649057	234252	Klara Jedlickova
649057	244138	Max's wife
649057	271618	Magician's wife
649057	310227	Hudcová
649057	313551	
649057	326292	Vavrinec's wife
649057	375479	Nurse Bozena
649057	383080	
649057	407383	Grandmother
649058	384457	The Lady
649059	108576	Kristine
649060	15807	Sarah Olivieri
649061	33048	Herself
649062	755	
649062	763	
649062	770	
649062	796	
649062	29953	
649062	34776	
649062	34833	
649062	34841	
649062	34843	
649062	34856	
649062	34879	
649062	34906	
649062	50021	Herself - Wife of Robert Have
649062	302251	
649063	606	Redhead
649063	786	
649063	11092	Herself
649063	18857	
649063	26278	
649063	34842	
649063	34907	Herself
649063	37560	
649063	41913	
649063	41969	
649063	41974	
649063	42732	
649063	58183	
649063	68185	Carrie
649063	77645	
649063	81907	
649063	87370	
649063	95214	Jean Wagner
649063	96922	
649063	102765	
649063	102772	
649063	102781	
649063	108765	
649063	111650	Herself
649063	128859	
649063	131653	
649063	149106	
649063	150160	
649063	184945	
649063	187411	Herself
649063	187412	Herself
649063	190961	
649063	197799	
649063	242087	
649063	264665	Herself
649063	274671	
649063	295748	
649063	295810	Detective
649063	296189	
649063	298220	Mora DeSalvo
649063	318753	
649063	319458	
649063	320974	(segment 'Annette's Interview
649063	320999	
649063	321000	
649063	321053	
649063	326789	
649063	326822	
649063	329566	
649063	329603	
649063	329866	Herself
649063	332089	
649063	344525	
649063	355377	Clair
649063	366117	
649063	366829	Annette
649063	366830	
649064	364357	Personnel Secretary
649066	51932	
649067	31525	
649068	140407	Bathing Beauty
649070	310679	Dancer
649071	100860	Sheila MacGregor
649071	155848	Nancy
649071	169381	Anne Franklin
649072	31877	
649072	123708	Nicki
649072	193723	Nancy
649072	234031	
649072	300158	Bar Girl
649073	23956	
649073	141730	Ida
649073	367537	
649074	144376	Alice
649075	311609	Military Dancer/Hostess
649076	213352	Lady Eleanor
649076	330219	Herself
649077	328272	Flight Attendant
649078	90840	
649079	365559	Jeannie
649080	71915	The Girl
649080	120881	
649080	141212	Amy Brandon
649080	196207	Polly
649080	302924	Mary
649080	346114	Peggy Ingledew
649081	11672	Herself (Pinup Girl)
649081	79368	Patricia O'Grady
649081	87780	Herself
649081	89711	Rosie Dolly
649081	123717	Hat-check girk
649081	128342	Jeannie Laird
649081	148278	Cri-Cri Bruce
649081	154827	Katie
649081	154877	Liza Martin
649081	162267	Mary 'Irish' O'Brien
649081	194176	Marilyn Miller
649081	195903	Connie Scott
649081	239076	Doris Fisher
649081	291513	Rad McGill
649081	304376	Herself - Ted Fio Rito Band S
649081	329560	
649081	331439	Pam
649081	341717	Herself - singer
649081	358452	Jenny
649081	363292	Lucilla Powell/Gretchen/India
649082	41	Young Bee Adams
649082	2071	Lily (prairie beauty)
649082	7814	Sylvia Vane
649082	11161	
649082	14619	
649082	19975	
649082	28642	
649082	31208	Marie Skinner
649082	32516	
649082	43228	Natalie Judson
649082	46518	Clara Simmons
649082	46986	
649082	57390	Dolly Van Dream
649082	61153	Roxie Hart
649082	62916	Polly Love
649082	68476	Rita Terris
649082	82927	
649082	89143	
649082	90103	Imperia
649082	92161	Herself
649082	92170	
649082	112265	Alice Atkins
649082	112339	Mary Corbett
649082	112438	Elvira
649082	112458	Countess de Launay
649082	116751	
649082	116768	Jane Sanderson
649082	130843	Kate Kent
649082	138887	
649082	139017	Justine Morton
649082	141453	A Magnate's Daughter
649082	143210	Pansy La Rue
649082	146024	
649082	146300	Undetermined role
649082	147763	Herself
649082	148295	
649082	148306	
649082	148381	The Landlord's Daughter
649082	154721	Drusilla
649082	163426	Herself
649082	183362	
649082	183860	
649082	190780	Gertrude
649082	191590	Victoria Stoddard
649082	196293	Mrs. Milton Robin
649082	206430	College Girl
649082	213126	Jessie Sybil
649082	230028	Sally Morgan
649082	230424	
649082	230548	Florence Levering
649082	233523	Nancy Flood
649082	234242	Betty Jackson
649082	238692	Jerry Cullen
649082	240422	
649082	241371	Sarah Graham
649082	244449	Roxana
649082	252880	Gertrude Trayle
649082	267023	
649082	275230	Martha Rankin
649082	283089	Myra Fuller
649082	285935	Sal
649082	286193	
649082	296976	Lola Mantell
649082	297887	
649082	297999	
649082	302688	Mary Holden
649082	302782	Marion Eldridge
649082	305404	Mary Brown
649082	306151	Dorothy Rensheimer
649082	306394	Dallas O'Meara
649082	310531	
649082	314413	
649082	318625	
649082	327463	Constance Lane
649082	327695	
649082	328065	Lyla Mason
649082	329475	
649082	331998	Zella
649082	341034	
649082	347036	
649082	348326	
649082	348331	Sylvia Wells
649082	354502	
649082	360190	The Temptress
649082	362362	Shanghai Mabel
649082	362920	
649082	364517	
649082	364518	
649082	364541	
649082	366638	Helen Blaisdell
649082	370562	Undetermined Role
649082	372890	Phyllis Warren
649083	53183	
649084	4447	Woman at the pier
649084	142641	Farmerwoman
649084	170245	Shemeikan äiti (Shemeikka's m
649084	181560	Tiina
649084	184780	Woman in a picnic
649084	253075	Cashier
649084	283593	Karolina
649084	284025	Aaltoska
649084	293630	Leatherman's wife
649084	294685	Miina
649084	321999	Matron
649084	354087	Woman in a courtroom
649085	180507	Pianisti
649086	162611	Jeanne
649086	201692	Herself
649086	396291	Jeltje
649087	232067	Jessica
649088	17576	Dancer
649089	171124	Herself
649090	168781	vrouw surinaams restaurant
649090	259740	
649090	357380	Surinaamse zuster
649090	404898	Gerda (1985-)/Peetje (1997-)
649091	185714	
649091	209114	Kim
649091	221114	Susan, age 6
649092	2662	Gloria Streeb
649092	135601	Louise (segment "Method to th
649092	220644	
649093	210881	Phoebe
649094	130311	Princess Anderson
649095	164157	Victim
649096	170537	Clotilde
649096	216235	Cosette à 8 ans
649097	143019	Betty Coates
649097	151294	Susan Cooper
649098	1075	Minerva
649099	79204	
649100	55126	
649102	101570	Linda
649103	2275	Herself
649103	168254	
649103	306626	Babe Chandler
649103	379716	Arabella 'Babe' Carey Chandle
649104	350700	Cute naked girl
649106	79865	Supermarket Girl
649107	34129	Random Dance company
649108	27255	
649108	68760	
649108	110981	Stripper 1
649108	150960	
649108	150961	
649109	62571	Additional Voices
649110	38956	
649110	170398	Julia
649110	208424	
649110	356891	Betrunkene Frau
649111	219910	Second Daughter
649112	356440	Herself
649113	258645	
649114	88749	
649115	165047	Koperová
649115	367327	Nannerl
649116	259053	Renáta
649117	195047	Lotta
649117	195050	Lotta
649117	293839	Selma
649117	396027	Lotta
649118	3788	Herself
649118	45512	Molly Jeffrys
649118	46669	Trixie Summers
649118	47385	Herself
649118	53329	Helen Morell
649118	56103	Lillian Colman
649118	61164	Leona
649118	116538	Norma
649118	118320	Opal
649118	125884	Elaine Wales
649118	141807	Herself
649118	142557	Beulah Clancy
649118	144390	Child
649118	144425	Leslie Quayle
649118	161575	Mme. Tamara Baranoff
649118	162342	Nina Karanova
649118	183804	Jean Wilson
649118	219917	Katie
649118	220865	Trixie Friganza
649118	224304	Effie Shelton
649118	234029	Darlene
649118	241036	Margie Foster
649118	261973	Dolly Smythe
649118	264669	Hoover's mother
649118	274412	Sandra
649118	276882	Aunt Clara
649118	280365	Herself
649118	302633	Roxey Rochelle
649118	315700	Molly X
649118	331369	Lorrie Delacourt
649118	333155	Lil Boggs
649118	350906	Herself
649118	362959	Gussie
649118	389858	Madeline Markham (1990)
649118	393913	Herself/Host
649118	411195	Willa Dodger
649119	108655	Johanne
649119	129166	Marit, Olas datter
649119	174719	Paula
649119	304182	Emma Larsen
649119	321909	Randi
649119	337183	Tante Inger
649119	337184	tante Inger
649120	206335	
649121	93837	Miss McClatchey
649121	137259	Prudence Pingleton
649121	142985	Woman at Lecture
649121	288051	Maxine
649122	110075	Dancer
649123	135236	
649124	302427	Rengøringskone
649125	107662	Hannele 'Hansu' Kaakko
649125	139429	Onerva
649125	152361	Hansu
649125	165117	Daami
649125	170922	Hierottava nainen 2
649125	175400	Marita Kunnas
649125	181859	
649125	211863	Sisäministeri
649125	255934	
649125	271636	
649125	283591	Irina, dancegirl
649125	285158	
649125	293821	Kaarina Vainio, Juhan äiti
649125	323062	Maila Rekola
649125	354286	Lecturer of semiotics
649125	388234	Hannele 'Hansu' Kaakko
649125	392353	
649125	392553	Brita
649125	396248	Sirkka Jalava
649125	399856	
649125	405456	Sointu
649125	409794	
649126	341591	Helena 8 Years
649127	228405	Nurse
649128	254098	La mère de Frédérique
649128	383864	La femme de l'éléveur
649129	215691	Miss Colorado USA
649130	169594	Shoshana, Waverly's Daughter
649131	292097	
649132	129362	
649133	66837	Woman Selling Morgan Shirt
649134	182772	Herself
649135	320606	
649136	314867	
649137	226974	Cop
649138	247886	Herself
649139	3405	Gillian Rogers
649139	24955	Tamara
649139	32775	Angela Harper
649139	56923	Charlotte Ellison
649139	59309	Samantha Taggert
649139	68786	Yvonne
649139	150654	Tricia
649139	185640	Lois Farquar
649139	196960	Christine Callaghan
649139	208954	Jane
649139	218845	Rachel Verinder
649139	244318	Dessie Brabant
649139	295559	Kate
649139	324014	Sarah Mabledene
649139	333679	Kitty Butler
649139	382253	Younger Diana Dors
649139	383363	Emily (The Knight's Tale)
649139	384587	Linda Langer
649139	394163	Linda Langer
649139	398570	Dr. Julia Ogden
649139	400530	Lizzie Hexam
649139	406212	Zoe Reynolds (2002-2004)
649139	411316	Cynthia Kirkpatrick
649140	368934	Val
649141	242090	Thyra's Maid
649141	289600	Patience
649141	309497	Velma's Maid
649142	56766	Mrs. McCann (segment "Quitter
649143	259271	Buried kid
649144	408191	Maria
649145	127290	Party Parent
649146	133182	Mrs. Pearson
649146	190464	Older woman
649147	234204	Carmen
649147	240973	Model
649148	288468	Pedestrian
649149	126604	Waitress
649150	48468	Perris Waitress
649150	320122	Herself
649150	320149	Herself
649150	320151	Herself
649150	320152	Herself
649150	407075	Herself (37 Days, Tagi/Rattan
649150	407078	Herself (17 Days, Chapera Tri
649150	409700	Herself (The Castaways)
649151	269338	
649152	366956	Karen (Paralegal)
649153	26064	Country woman
649153	26079	Mrs. Hoggett's Friend
649153	224154	Marcia
649154	93957	Nurse
649154	134886	Lena
649155	65200	Dorcas
649156	202467	Sue
649157	380430	
649158	61856	Beechy
649159	262095	Mother
649159	310234	
649159	360081	Waitress
649160	162883	Pauline Karl
649161	398210	Cast
649162	291037	Truman's Secretary
649163	38818	Serena - Sailor Moon
649163	38819	Serena - Sailor Moon
649163	38822	Serena - Sailor Moon
649163	43567	Anchorwoman
649163	54923	Baby Hugs/Shrieky
649163	72726	Pamela
649163	89199	Announcer
649163	117571	Leila
649163	142572	Kelly Hennenlotter
649163	176852	Melanie
649163	176956	Dr. Ann Kendall
649163	222630	Esther
649163	222752	Little Marilyn
649163	232114	Nicole, Amtrak Ticket Agent #
649163	248149	Rachel Quinn
649163	264463	Lana
649163	284907	Jess
649163	297267	Maria
649163	304557	Ellen Jenkins
649163	354189	Magic Lounge Waitress
649163	359855	Denise
649163	363869	Christine
649163	368538	Hannah
649163	381809	Bianca Dupree/Blaze Summers
649163	382212	Additional Voices
649163	383462	Shreeky
649163	388984	Billy O'Toole
649163	389858	Wendy Masters (1990)
649163	391467	Additional Voices
649163	402176	Princess Sissi
649163	402558	Franny
649163	404124	Sailor Moon/Serena (II) (1995
649163	408692	Monika Barnes
649164	400242	Newsreader
649165	69915	Helen
649165	407531	Vicky Bambridge
649166	45825	Lacey Wilcox
649166	139222	Jogger's friend
649167	344524	Herself
649168	46901	Herself - Stephen Hawking's M
649169	46901	Herself - Stephen Hawking's S
649170	321702	Hooker
649171	107842	Girlfriend
649171	337768	
649172	61320	Lesbian
649173	217433	Molly
649174	190680	Tammy
649175	33742	Young Girl Sethe
649176	34927	Various characters
649176	40536	Kate Baines
649176	55678	Marge
649176	55680	Island Girl
649176	55683	Sandra
649176	69405	Jill Brown
649176	218074	Girl
649176	235467	Barbara Wilcox
649176	252741	Maggie
649176	252848	
649176	257983	Sharon Eversleigh
649176	293093	Ida
649176	330366	Paula
649176	348358	Nero's Girl
649176	362748	Yani
649176	374638	Zara
649176	379703	Cindy (1987)
649176	382272	Trish Gibbs
649176	388589	Sharon Eversleigh
649176	398377	Norma
649176	398707	Tracy Cosgrove
649176	401661	Sharon Eversleigh (1971-1972
649176	403373	Charmian
649176	408866	Monica Fuller
649177	232113	Singer
649178	276873	Polychrome
649179	147972	'G' Makeup Artist
649180	249542	The Prostitute
649181	273275	Cocktail Waitress
649183	7010	Riverboat singer
649183	125485	Herself
649183	331805	Herself (Vocals)
649183	390823	Herself (regular performer)
649184	59840	Female Sailor #2
649185	329462	
649186	90865	Diana Westcott
649186	190473	Helen, Majesty's Boston Pal
649186	252286	Girl
649187	262010	Jen
649187	272021	Detective #4
649187	286637	Tara
649188	307516	Helen
649189	399393	Robin
649190	366645	Zombie
649191	212048	Amy
649192	215681	Herself (Winner)
649193	187231	Jinger (trailer incident)
649195	202642	
649196	320037	Bride
649197	131692	Chris Fine
649198	214697	
649198	295983	
649198	393261	Herself
649199	119542	Herself
649200	323930	The Woman
649201	216669	Jeanne
649201	244421	Student Marilyn
649201	277803	Elaine Jukor
649202	202642	
649203	267640	Terri
649204	37452	Child - Pearl
649205	149912	Nurse in Elevator
649205	191516	White
649205	195458	Priscilla Upton
649206	130758	Bathing Girl
649206	185711	Girl fighting
649207	347367	Townsperson #2
649208	119097	Rape Victim
649209	291263	Herself
649210	203340	Diana Spenser
649210	238959	
649211	339937	Laquelisalikka
649212	209436	Super Bitch Nurse
649213	65679	
649214	18543	Grandma
649215	11410	Samantha
649215	49590	Helen
649215	113607	Sue
649215	186496	
649215	265793	Lisa
649215	333679	Zena Blake
649215	351972	Susan
649215	372773	Rosalind
649215	383086	Mary Shelley
649217	82095	Jerry's Daughter
649218	35735	Lucy Spatt
649218	42330	Herself
649218	72810	Herself
649218	361612	Gail Grinnell
649219	195869	Waitress at the restaurant
649220	272325	Martha
649221	244421	Broken Toe Student
649222	340962	Sarah
649223	1491	Herself - Presenter
649223	1841	Herself - Performer
649223	2831	Herself/presenter
649223	220207	Herself
649224	138822	Chris
649224	220288	Jean
649224	380391	Mimi Haines Frame (1978-79)
649225	82521	
649225	314927	Karen Richardson
649225	321796	
649226	50607	Vivian
649227	383078	Claire Rivers (-2002)
649227	406492	Sandra Harris
649228	10319	Secretary
649228	38988	Mrs. Martens
649228	75824	Woman
649228	92269	June
649228	95877	Jeanette Robbins
649228	127484	Misses Johnson
649228	133419	Janette
649228	140533	Courtroom reporter
649228	141435	Clarisse
649228	144858	Sister Mathias
649228	145086	Woman Homeowner
649228	158175	Helen Resnick
649228	196704	Woman
649228	207440	Interview Woman
649228	265869	Obstetrics Doctor
649228	289228	First Day Nurse
649228	387152	Jeanette Robbins
649228	397288	Nurse Evvie Canford (1969-197
649229	52004	Female
649229	186665	Mrs. Arthur
649229	213452	School Principal
649229	215911	Aunt Rose
649229	218026	Delores
649229	232385	Mrs. Ntembwe
649229	374285	Margaret
649230	5186	Les mannequins
649231	73850	Sheryl Baines
649231	79973	Girl Fan
649231	312971	Paula
649231	355065	Grace
649232	37332	
649233	342981	
649233	365509	Awoona
649234	136128	Wedding Dancer
649235	298122	Co-ed
649236	80969	Greek Daughter
649236	264158	Climbing Instructor Vivian
649236	271344	Kyra
649237	365526	Omoo
649238	80415	Cafe 23 Customer
649239	80415	Cafe 23 Customer
649240	303776	
649241	169139	Wife
649242	81463	Susie
649242	320019	Queen Amidala/Padme
649243	112899	
649244	224573	Vanessa
649245	224689	Rebecca Drake
649246	368654	Kina/Corpse
649247	408642	Panelist
649248	107863	Sally Spence (aged 11)
649249	310656	Suzanne Ferris
649250	283500	Schoolgirl
649251	261049	Showgirl Dancer #9
649252	38649	Mrs. Burgess
649252	82384	Florence White
649252	186032	Rose
649252	343264	Florence Kennedy
649253	67580	Mrs. Johnson
649253	108373	
649253	176880	Nancy Rigg
649254	137933	Player Queen
649255	115689	
649256	85747	Mrs. Boyd
649257	242028	
649258	18256	Olive Wharton
649258	22979	
649258	35267	
649258	35311	Betty
649258	50619	
649258	52495	
649258	62557	
649258	73685	Nell
649258	75403	
649258	75409	Ruth
649258	81553	
649258	84213	
649258	89745	
649258	100850	
649258	113735	
649258	114226	
649258	115848	
649258	120524	
649258	131439	
649258	133748	
649258	133903	
649258	142989	The Princess
649258	143164	Kitty
649258	143209	
649258	143332	
649258	146040	
649258	146090	
649258	149139	
649258	150850	
649258	151142	
649258	158256	
649258	161497	
649258	176476	The Wife
649258	191567	
649258	194920	
649258	195417	The Bride
649258	199565	Madeleine's mother
649258	203207	
649258	212755	Nadia Fedorova
649258	216766	
649258	218832	
649258	220047	Lois
649258	220375	Rose, the Mountebank's Daught
649258	221251	Janet, Her Niece
649258	228226	Ruth Lyons
649258	230528	
649258	231063	
649258	240523	The Wife
649258	243232	Ruth Hapgood
649258	250575	
649258	254930	The GIrl
649258	257702	
649258	263459	
649258	264988	
649258	267357	
649258	270382	
649258	270937	Kathleen Fitzmorris
649258	274736	
649258	274843	
649258	274852	
649258	279306	Betty Swiftmore
649258	280961	
649258	283456	Anitra St. Clair
649258	288612	
649258	289414	Norinne
649258	298447	The Forest Fairy
649258	306746	Countess Rossi
649258	306767	
649258	309507	
649258	311471	American Music Student
649258	324148	
649258	331858	Helen Pearce
649258	334748	
649258	339589	Jane
649258	342494	
649258	342697	Marie
649258	348097	Margaret
649258	360562	Mary Alden
649258	362444	The Old Woman's Daughter
649258	362784	
649258	362929	
649258	363348	Marion Barstow
649258	367868	
649259	292041	Pauline Tanner
649260	114501	Real Estate Agent
649260	208491	Julie
649260	213187	Asia
649260	264884	Hooker
649260	278470	Doctor
649260	333340	Unfortunate Visitor
649261	7482	Emilie Dixon
649261	14136	Princess Alicia
649261	30377	Molly Winthrop
649261	42426	Polly Heath
649261	44311	Elsa Miller
649261	46244	Alice Sturgis
649261	47371	Sadie Sweet
649261	50005	Muriel Blair
649261	60209	Grace Martin
649261	67738	Ruth Childers
649261	73689	
649261	75353	Helen Baldwin
649261	83154	Helen
649261	83648	Corinne Adams
649261	83974	Virginia Dean
649261	91860	Sallie McPherson
649261	105332	Beauty
649261	106650	Mariam Hardy
649261	113969	Dorinne Adams
649261	116196	
649261	116664	Sylvia Figueroa
649261	116974	Betty Hoyt
649261	133322	Dagmar
649261	133407	Alice Flint
649261	136552	Frances Raymond
649261	141213	Iola Hamilton
649261	141472	Peg Palmer
649261	142242	Emmy McCreery
649261	143003	Suzanne Bergamot
649261	143092	Peggy Malone
649261	143122	Christina Elliott
649261	143414	Violet White
649261	151144	Cora Rodham
649261	178045	Sheila Ashlone
649261	185059	
649261	188298	Beth Wylie
649261	190602	Bess Marks
649261	195074	Helen Heyer
649261	195513	Ruth Sheldon
649261	202993	Lady Agnes Deppingham
649261	203566	Bertie
649261	206878	Herself
649261	207524	Bessie Fleming
649261	210813	Trixie Moran
649261	213173	Mary Foster
649261	213201	Mary Macy
649261	215538	Miss Hobbs
649261	220919	Mary McCullough
649261	221327	Mrs. Clara Temple
649261	234234	Grace Kendall
649261	239841	Sophy in Prologue
649261	245519	Dorothy Ralston
649261	246784	Pamela Bristowe
649261	251826	Peg
649261	256639	Doris Reed
649261	266844	Mary Foster
649261	273814	Beatrice Skinner
649261	292617	Edith Varney
649261	303427	Mrs. Carpenter
649261	305675	Jacqueline
649261	305803	Lucy
649261	306150	Kathryn Haynes
649261	315291	Vivian Marsden
649261	330629	Lucille Ledyard
649261	334980	Ann Belleau
649261	335699	Myra Morgan
649261	337722	
649261	338902	Monica
649261	341001	Tess Haggard
649261	347442	Doris Gray
649261	355223	Dawn Emerson
649261	360184	Elsa Owenson
649261	360384	Kedzie Thropp
649261	364144	Irene
649261	364451	
649261	367066	Bit Part
649261	367659	Muriel Champneys
649261	372132	
649261	372320	Helen Rogers
649261	372720	Molly Cabot
649262	26512	
649263	2	Dawn Divine
649263	67	Herself
649263	846	Herself - #76: Collagen Girls
649263	2548	Herself - Presenter: Best Act
649263	2589	Herself - Co-presenter: Best 
649263	2603	Herself - Co-host
649263	2768	Herself - Co-presenter: Best 
649263	2817	Herself - Co-host
649263	2893	Herself - Co-presenter: Best 
649263	2921	Presenter - Best Original Sco
649263	3027	Herself - Co-presenter: Writi
649263	3044	Herself
649263	13751	Herself
649263	13915	Herself
649263	13934	Herself
649263	29227	Suzette
649263	34656	Paula McCullen
649263	38553	Marianne Graves
649263	50620	Jill Tanner
649263	51757	Toni Simmons
649263	73504	Tracy Cross
649263	81052	Helen Sharp
649263	81490	Herself
649263	81543	Adrienne Saunders
649263	87182	Herself
649263	94525	Amanda Quaid/Duchess Swansbur
649263	105280	Steffi Dandridge
649263	114298	Elise Elliot
649263	114699	
649263	118199	Gloria Mundy
649263	121864	Herself
649263	128212	Oktyabrina
649263	130968	Herself
649263	130969	Herself
649263	130974	Herself
649263	143643	Herself (Host/Narrator)
649263	151207	Gwen
649263	157831	Herself
649263	161220	Herself
649263	161259	Narrator
649263	175539	Herself
649263	175543	Herself
649263	186006	Herself
649263	194521	Herself
649263	228970	Herself
649263	232017	Herself
649263	241240	Giggly Girl
649263	243147	Herself
649263	243950	Herself
649263	245265	Nancy Clark
649263	245699	Joanna Stayton/Annie Proffitt
649263	264581	Pvt. Judy Benjamin/Goodman
649263	266084	Sunny Davis
649263	282537	Herself
649263	286692	Herself
649263	293258	Glenda Gardenia Parks
649263	297261	Jill
649263	318388	Lou Jean Poplin
649263	321526	Kay Walsh
649263	329988	Marion
649263	337098	Mona Miller
649263	353144	Anita
649263	358825	Herself
649263	359471	Herself/Host (segment "75 Yea
649263	365559	Molly McGrath
649263	368455	Herself
649263	390327	Herself (in audience, Day Two
649263	390343	Sandy Kramer
649263	403834	Regular Performer (1968-1970)
649263	403878	Herself
649264	81543	Evelyn's Mother
649264	321526	Ethel, Spike's Wife
649265	379831	Kimberly Corman #1 (1990)
649266	360588	Corpse
649267	211986	Extra 3
649268	26628	Bit Part
649268	114729	
649268	315748	Irene's Girlfriend
649269	130106	Emily's Daughter
649270	174139	Lillian
649270	275792	Wendy
649271	1821	Herself - Performer
649271	28462	Karen
649271	54910	Lalage Menton
649271	105871	Karen
649271	123559	Announcer
649271	140115	Sheila
649271	148253	Joanna Morgan
649271	149725	Rose
649271	157708	Ens. Annalee Dorne, RN
649271	163386	Ellen Grove
649271	211440	Mrs. Richards
649271	223343	Lauren
649271	224904	Fleur de Marie
649271	335370	Sylvie 'Devi' Bergerat
649271	376891	Cécilia
649272	293094	Christine
649272	385020	Claire Casey/Peacock (2003-)
649272	390485	Lark Rothery (1998)
649272	395547	Karen Webber
649272	397493	Jenny Oulton
649272	401077	Julie Pullen (Series 9-11) (2
649272	408126	Miranda Pudsey
649273	60212	Julie (2nd Grade)
649274	121856	
649274	292016	Isabelle
649274	379347	Susan Wells, daughter
649274	383057	Laura
649274	402197	Gail Summers (1980)
649274	407616	Jane Lindsay
649274	411025	Marcia
649275	99923	Polly
649275	131593	Babs Two
649275	145022	Miss Fry
649275	408091	Nanny
649276	118108	Performer
649276	255231	Maddie
649276	302225	Ann Mitchell
649276	346226	Stefanie Cunningham
649277	192604	First Pretty Girl
649277	320294	
649277	321522	Beverly Anne
649278	33395	Tribal dancer
649279	6688	Party Guest 1
649279	10305	Mrs. Benton
649279	31701	
649279	63208	Mrs. Macready
649279	106149	Detective Shoorwell
649279	120297	Magda Rhys-Jones
649279	143533	Queen Omphale
649279	150422	Suzanne Maxwell
649279	164400	Bernice
649279	169814	Charlotte Morrison
649279	185703	Henrietta Simpson
649279	186395	Susan Ellis
649279	271364	
649279	288934	Maisy Savage
649279	335310	Patricia McCardle
649279	384440	Voice
649279	390630	Caroline
649279	405209	Dr. Julia Thornton (1995-1996
649279	406178	Liz Brasch
649280	243746	Theresa
649280	393236	Hannah Priest (2000- )
649280	405209	Nurse Anne Greenlaw/Kahu (200
649281	138851	First Solo Danceuse
649282	2250	Panel Operator
649282	12332	Agent Hickley
649282	78759	Jacinda Katsuno
649282	80691	Ms. Tennyson
649282	93974	Harriet
649282	121390	
649282	196892	Trisha Rogers
649282	293108	Cassavettes
649282	355343	Officer Lynda Byron
649282	360688	Laura Rodericks
649282	367966	Surgeon
649282	379716	Belinda Keefer #1 (1995)
649282	380391	Dana Kramer #5 (1997)
649282	392219	Special Agent Clara Tompkins
649282	397005	Bernice Shaw/Dr. Sandy
649282	406154	Karen
649282	410416	Sphinx
649283	220236	
649284	121832	Laurie (engineer)
649285	338833	The Ghost Party
649286	338981	Herself
649287	338981	Herself
649288	118623	Jasmine
649288	288934	Leesa Savage
649288	298109	
649288	362917	Sally
649288	392885	Julie
649289	215789	Young Edith
649289	408277	Cashier
649291	79344	
649291	79380	
649291	197762	
649292	11553	Sally Follet
649292	14146	Daniels' Mom
649292	17697	Mabel Sloane
649292	22960	Mrs. Pram
649292	26397	Matron #1
649292	40140	Erik's Landlord
649292	66991	Marge the Flower Lady
649292	69482	Doris
649292	73559	Dr. Butz's Secretary
649292	73566	Dr. Helen Schroder
649292	80411	Hospital Cafeteria Lady
649292	87480	Gladys
649292	91862	
649292	93211	Nurse
649292	107165	Mother
649292	114359	Mary Bryan
649292	116356	Mrs. Newman
649292	121741	Maude Chalmers
649292	131835	Miss Meyers
649292	138737	Mabel Sloane
649292	140087	Saleslady
649292	144996	Ma
649292	157785	Grace Hemingway
649292	161639	Crossing Guard
649292	176499	Wally's Neighbor
649292	192157	Della
649292	195458	Mrs. Johnson
649292	217490	Nurse
649292	221324	Peter's Secretary
649292	224224	Lady in Church
649292	244665	Dodie
649292	252937	English Teacher
649292	259217	Poetess
649292	276678	
649292	291252	Librarian
649292	292450	Mrs. Binney
649292	301541	
649292	313713	Garth's Mother
649292	318811	Mrs. Baines
649292	323570	Mrs. Kolodny
649292	330530	Wheelchair mother
649292	335121	
649292	336140	Anna Conti
649292	338298	Rose Weyerhauser
649292	339369	Clara, Juror
649292	342018	
649292	342925	Lady with Dog
649292	348607	Library Attendant
649292	353752	Matron
649292	362307	Mrs. Worrell
649292	385996	Frances
649292	401026	Mrs. Collins
649292	403490	Mabel Sloane
649293	390571	Miss. Havisham
649294	84472	Agnès
649294	110132	
649294	235811	Gabrielle
649294	254094	Sybille's friend
649294	284218	Jessica
649294	307380	Mademoiselle Devereux
649294	318493	Gina Lafosse
649294	346516	Béa
649294	376971	Josiane
649294	377649	Sarah
649294	403089	
649295	97544	
649295	233461	
649295	373816	
649296	74740	
649297	136979	
649298	118414	Susan
649299	227735	Karens mor
649300	809	Angela Thorne
649300	13596	Quintana's secretary
649300	106746	Vicky Clinton
649300	135396	Carhop
649300	151290	Brigitte
649300	151461	Gloria
649300	151659	Nell Brinkman
649300	195854	Tina St. Claire
649300	216820	Gloria
649300	241505	Tessie
649300	257109	Tessa Nelson
649300	291291	Evie Carson
649300	303928	Darlene Banks
649301	59505	Hostess
649302	402197	Mary Adler (1981-1983)
649303	199405	Margaret
649304	58672	Saleslady
649305	305007	Herself
649306	339386	Ballerina
649306	363025	Mary Jane
649307	346139	Sylvia
649308	282510	Secretary #2
649309	10902	News Reporter
649310	81104	Cat Fight Woman #1
649311	9005	Tammy
649311	160864	Blonde Girl
649312	71478	Hatty Drayson
649313	113886	Princess #11
649314	138716	Herself
649315	355375	Self
649316	281442	Girl on bus
649317	96912	Kitty Mason
649317	141519	A Dancer
649317	230829	Mary Lane
649317	360165	Kate (the Squire's niece)
649318	296552	Dancer
649319	250639	Lady Ella
649320	33739	
649320	69690	
649320	280830	
649320	308717	
649320	359495	
649321	264161	Princess Ida
649322	31286	Post mistress
649323	406912	Samantha
649324	41921	Tiffany
649325	889	
649326	9190	Nurse
649326	375558	Nurse
649327	19702	
649328	242138	
649328	411898	Reiko Kazemura/Bellestar
649329	273151	
649329	273152	
649330	177705	Fumiko Hada
649331	206758	
649332	150873	Mariko's Girl Friend
649333	120478	Bar Dancer
649333	213628	Maid
649334	232908	
649335	12924	Miura Chizuko
649336	167542	
649337	173069	
649337	173405	
649337	181890	
649337	285187	Ryoko
649338	172267	
649339	246200	
649340	381162	Kasumi Jinno
649341	90787	
649341	181897	
649341	229965	
649341	275143	
649342	138071	
649343	26237	
649343	130526	Rumi
649343	130530	Mitsue
649343	182027	Asami
649343	182028	
649343	195634	Nami Tsuchiya
649343	212448	Yoshihiko's wife
649343	217073	Mayumi
649343	236397	Kashiwabara
649343	238638	Masayoshi's Wife
649343	241947	Toshimi
649343	328018	Chihiro
649343	344206	
649343	371827	Botan
649343	372001	Bar's owner
649343	372017	Ayame
649343	373218	
649344	244568	Fujin (Iwasaki's wife)
649345	43063	Miyuki
649345	167855	
649345	176486	Saki Satonaka
649345	287926	
649345	334860	
649345	371921	Naomi
649345	374618	Shizuko Yoshikawa
649346	219831	Island Dancer
649347	360121	
649347	405275	Daichi Hayami
649348	77535	Girl Who Attempts Suicide
649349	358391	
649351	136392	Ayako
649351	156089	
649351	242314	
649352	145449	Nobu Nishime
649352	174948	
649352	216506	Mine Takahashi (nurse)
649353	1181	Saki
649354	178151	
649354	309779	Masako Sawada
649354	342260	
649355	359544	
649356	347491	Misa 'Ocho' Matsunami
649357	168357	
649357	173559	
649357	244566	Mother
649358	374091	Enoshimeya
649359	244535	Megumi
649360	298425	
649361	195305	Sing and Jingle Children
649362	284871	Masuko Kishima
649362	327965	Akemi Yoshino
649363	13985	Herself
649364	49867	
649364	121714	Kazuo's wife, age 60
649364	163836	Kiyoko Nakahara
649364	170839	Jury No10
649364	178244	Midori Kasamatsu
649364	178245	Midori Kasamatsu
649364	178250	Midori Kasamatsu
649364	300468	Kinuyo Saotome
649364	373310	Tae Wataumi
649364	394562	Midori Kasamatsu (Shokichi's 
649365	384132	Akemi Tachibana
649366	102018	
649366	142952	Hamura's Wife
649366	145445	
649366	168184	Akemi
649366	206759	Osen
649366	242226	Shun
649366	272481	
649366	293449	Akiko
649366	293475	
649366	299307	
649366	299585	
649366	371984	Bar Manager
649367	207644	Dancer
649368	255872	Model
649369	358430	Model
649370	14244	Yoshiko
649370	238096	Love Hotel Clerk
649371	137006	
649372	8901	Additional Voices
649372	257982	Kyaa
649372	311344	Titi
649372	396640	Daihei Yamaguchi and Sari Yum
649372	411667	Kim
649373	124038	Keiko Mizoguchi
649373	299327	Haruko Ono
649373	312712	Nozomi
649373	323115	Motoko (Tetsuo's daughter)
649374	199288	Madama Butterfly, Cio-Cio-San
649375	255872	Young Female Secretary
649376	294056	Yukari
649377	61474	
649377	61481	
649377	63705	
649377	209838	
649377	231433	
649377	242417	
649378	129868	Kogyaru B
649379	373218	
649380	49935	
649381	11439	Nukunuk
649381	26238	Nam
649381	29395	Natsume 'Nuku Nuku' Atsuko
649381	38819	Himeko Nayotake
649381	45095	Shoko Uzuki
649381	49714	Fujinami Rie
649381	54890	Madoushi
649381	63704	Yumega Arusaemon
649381	68738	Megumi
649381	72237	Faye Valentine
649381	82828	Amano Ai
649381	92718	Antoshu
649381	102466	Kishida Kazumi
649381	123932	Tira Misu
649381	124014	Kina
649381	125239	Musashi
649381	125240	Musashi, Latias
649381	125241	Musashi
649381	125242	Musashi
649381	137336	Mouya Inusaka
649381	164107	Nabi
649381	169833	Female Researcher/Voice of Te
649381	170832	Ongo
649381	174325	Mî
649381	176530	Weather forecaster
649381	176532	Hisagon
649381	195272	Voice
649381	195628	Haruka Urashima
649381	195629	Haruka Urashima
649381	195630	Haruka Urashima
649381	195631	Haruka Urashima
649381	197488	Lemina (Japanese ver.)
649381	199109	Lucy MacMillan
649381	209805	Dominick
649381	258553	Fushigidane
649381	259032	Pidgeotto
649381	259033	Fushigidane
649381	259034	Fushigidane
649381	259038	Musashi (Jessie)
649381	259090	Latias
649381	265578	Ume
649381	265579	Ume
649381	265580	Ume
649381	267536	Ume
649381	269293	Hiroshi Umino
649381	272210	Ranma Saotome
649381	272211	Ranma Saotome
649381	272212	Ranma Saotome
649381	272213	Ranma Saotome (female)
649381	272214	Ranma Saotome(girl-type)
649381	278065	Carrie
649381	283622	Maria
649381	289314	Pai
649381	289315	Pai
649381	296855	Ella Lagu
649381	298817	Woman
649381	298993	Rei Ayanami/Yui Ikari
649381	298994	Rei Ayanami/Yui Ikari/Pen Pen
649381	299132	Rei Ayanami, Mana Kirishima
649381	304684	Lina Inverse
649381	304686	Lina Inverse
649381	304687	Lina Inverse
649381	304688	Lina Inverse
649381	309172	
649381	327801	Achika
649381	327967	
649381	350189	Leila
649381	370783	Takeyuki Suzuki
649381	379521	Tsubame Ootorii
649381	379639	Alfred
649381	380473	Momiji Fujimiya
649381	381163	Tira Misu
649381	382610	Chiharu
649381	384355	Moriwaki Misuzu
649381	385151	Faye Valentine
649381	386537	Saeki Tomoko
649381	386776	Young Blind Boy (Healed by Ma
649381	387831	Sanae Shimazu
649381	391300	Bakabon
649381	392535	Saki
649381	394423	Christina 'Chris' MacKenzie
649381	396019	Canal Vorfeed (Japanese versi
649381	396490	Minky Momo
649381	397371	Ai Haibara/Shiho Miyano/Sherr
649381	397562	Nanao Yosuke
649381	398971	Nanami
649381	401736	Musashi/Fushigidane/Pigeon
649381	401740	Pidgey, Pidgeotto, Pidgeot
649381	402729	Haruka Urashima
649381	402863	Ranma Saotome (female)
649381	403221	Bakabon
649381	404061	Lime
649381	404062	Lime
649381	405028	Elle Lagu
649381	405047	Anna
649381	405144	Rei Ayanami/Yui Ikari/Pen Pen
649381	405175	Misuzu Moriwaki
649381	405218	Mary
649381	405633	Lina Inverse
649381	405635	Lina Inverse
649381	405636	Lina Inverse
649381	407845	Bakabon
649381	407846	Megumi Amatsuka
649381	408305	Little Sneezer (Japanese vers
649381	411883	Young Genkai
649382	349219	
649383	404772	Faramunsh
649384	237688	Ghost
649385	8567	
649386	167206	L'infirmière
649388	68381	
649388	108906	Esther
649388	115433	Caroline
649388	245953	Janine
649388	401053	Michèle Reboul (1982)
649390	103624	ESmeraldero
649391	30779	Jojo
649392	360684	Salsa-Dancer Italian Wedding
649393	124399	Patronne
649393	328391	Odette
649393	383978	
649394	89027	
649395	191803	Anti Smoking Woman
649396	396873	Esperanza
649397	115636	Phyllis, Her Chum
649397	133797	
649397	304445	Undetermined Role
649398	136151	Teresa
649399	41415	Sandy Miner
649399	81533	Alexis
649399	211357	Victim
649399	350241	
649400	254593	Mourner
649401	49941	Victim
649401	204134	Annette Gillian
649401	263566	Penny Stodd-Wicks
649401	328284	Myra Bolo
649402	73413	Mother
649402	196487	Woman on Stagecoach
649402	253106	Cathy
649403	236786	Crystal Sabatino
649404	107842	Society woman
649404	337164	Angry Parent
649405	244327	Emilia
649405	327001	Sheena
649406	274449	Petra
649407	1895	Susan
649407	41797	Spikey Hair
649407	70419	Airline Attendant
649407	118981	Casting Assistant
649407	185253	Techie #1
649408	137936	Commentator
649409	282928	Safe Sex Woman
649410	6911	Linda
649410	69405	Girl at crossing
649410	99917	Rachel
649410	176893	Julie
649410	211479	Miss Furniss
649411	209709	Librarian
649412	137936	Commentator
649413	186739	Miranda
649414	51661	Steven's sister
649414	133151	Joanna Metsler
649414	163625	Stacy Jacobs
649414	337206	Researcher
649414	360874	Maria
649414	383935	Doris
649414	402850	Various roles
649415	363560	Evil Stepsister
649416	283248	Lake Girl #2
649418	26373	Luci
649418	39334	Ellen
649418	45615	Nancy
649418	69381	Brigitte
649418	69421	Elizabeth Radlett
649418	106156	Linda Hindstatt
649418	188350	Gloria
649418	191043	Herself
649418	199638	Elizabeth Peters
649418	214508	Annie
649418	220949	Sunbather
649418	232308	Girl in Car
649418	269305	Singing nun
649418	274431	Linda
649418	276725	Nancy Cratchett
649418	288476	Angel Blake
649418	308105	Lorelei
649418	325276	Alice Hargood
649418	332209	Pauline Martin
649418	350160	Helga
649418	385397	Mandy
649418	399772	Sally (1971)
649418	405136	Mandy
649418	408115	Herself - Hostess (1970s)
649419	2316	Mother
649419	8362	Receptionist at The Shelbourn
649419	41478	May Dedalus
649419	80642	Miss O'Callaghan
649419	165250	
649419	217411	Disciplinary Nun
649419	298479	Mrs. Falcon
649419	312595	Niala
649419	360076	Woman Downstairs
649419	375745	Mrs.Cassidy
649420	127312	Nikki Brandt
649420	140953	Party guest
649421	34316	Maja the Mind Reader
649421	308079	Model
649422	203376	
649423	12950	Peasant
649423	190947	Dancer
649423	236964	Sugar Plum Fairy
649424	17749	
649424	235460	Michelle
649424	252242	
649424	301539	Rachel
649424	389858	Mouse (1989)
649424	390771	Bridget Reardon (1991-1997)
649425	351808	Katy
649426	158089	Theresa
649427	124026	Harriet Pluczinski
649428	17030	Dr. Iris 'Irish' Ryan
649428	98981	Sally Fitzpatrik
649428	119803	Model
649428	133671	Redhead
649428	250527	
649428	253121	
649428	258292	Hazel
649428	308382	Harem Girl
649428	341152	
649428	343160	Chorus Girl
649428	353373	Connie
649429	18624	
649429	61252	Bit Part
649429	75483	Hilda
649429	130896	Miss Philbury
649429	178357	Jeanette Lucy
649429	190599	Tress Purvis
649429	241205	Dolly Banks
649429	289636	
649429	302530	Martha Jenkins
649429	359888	Maid
649430	289749	ADR Voice
649431	33179	Featured Character Voice
649431	219176	Sky
649431	227469	Chester the Dog
649431	249620	Sublimity Jill
649431	302271	Milhouse Van Houten
649431	302272	Milhouse Van Houten
649431	302276	Milhouse Van Houten/Others
649431	302277	Milhouse van Housten/Janey Po
649431	312195	Bianca, Additional Voices
649431	312196	Bianca the Apprentice Bunny, 
649431	395848	Douglas McNoggin
649431	405405	Milhouse Van Houten/Rod Fland
649431	406793	
649431	409048	Pattie
649432	234742	
649433	68013	Adriana
649433	154200	Gabriella
649433	390771	Regina/Lucia (2003)
649435	294272	
649435	361159	Judge's Wife
649436	390180	Babe The Farmer's Daughter
649437	308128	Beauty
649438	26824	Michelle
649438	68143	Laura Wolff
649439	177291	'B' Girl
649440	96958	Belinda Capuletti
649440	148538	Diana
649440	164432	Lili (Violin)
649440	169171	Herself
649440	174512	Jenny Columbo
649440	201579	Little Sister
649440	235486	Jenny Beckerman, Highschool M
649440	398424	Jenny Columbo/Callahan
649440	399241	Gail Mitchell (1986-1988)
649441	263606	Guest at Wake
649441	298079	Supermarket Cashier
649441	382838	Teresa Nolan (1983-1986)
649442	209633	Stenographer
649443	7968	Hysterical Nurse
649443	8182	May Welland
649443	31831	Blonde in police lineup
649443	37839	Party Guest
649443	64735	Sister Delphina
649443	67852	Joan Stanton
649443	69673	Frances Standish Lennox
649443	108240	Joan Hardy Martin
649443	130802	Ellen
649443	133709	
649443	147353	
649443	194118	Eve Sutton
649443	196927	Doris Jones
649443	279478	Maid
649443	289620	Herself
649443	291110	Cora Moore
649443	308299	Jo
649443	308387	Doris
649443	308625	Gretchen
649443	321854	Miss Grey, Felix's Nurse-Rece
649443	329743	Mrs. Fay Harley
649443	330602	Mary
649443	363031	Mrs. Mason
649444	187186	Bar Customer
649444	338756	Betty
649445	323454	June
649446	107865	Rose
649447	215691	Celebrity Judge
649448	140678	La Flamme
649448	177525	Chorus Girl
649449	92869	King's Attendant
649450	131082	
649450	172984	
649450	258689	
649450	342009	Ballet Star
649451	40193	
649452	2371	Mrs. Louisa Jordan
649452	5941	Countess Valona
649452	17544	Countess Vronsky
649452	23206	Clara Tate-Hughes
649452	35733	Amy Hayes
649452	40495	Miss Barbay
649452	46273	
649452	48037	Lady Knightsbrige
649452	56204	Dowager Lady Lebanon
649452	69820	Lady Witheringham
649452	71481	Margaret Owen
649452	72732	Aunt Caroline
649452	78860	Lady (Queen Elizabeth)
649452	80996	Dora Randolph
649452	86209	Queen Mother Juliana
649452	92916	Lady Lennox
649452	105201	Lady Morton
649452	108619	Mrs. Somerford
649452	118523	Frances Brunell
649452	120685	Susan's Mother
649452	128313	Delphine
649452	128333	Aunt Primrose
649452	136512	Lady Caroline Ayrton
649452	143112	Lady Bragden
649452	146021	Hesper Oddington
649452	147126	Mrs. Hepworth
649452	161036	Aunt Harriet
649452	163422	Mrs. Bogle
649452	177816	Mrs. Walshingham
649452	179063	Marquise de Jarmais
649452	180004	
649452	190755	Lady Drayton
649452	199742	Mother Superior
649452	203143	Lady Rohan
649452	207229	Dame Best
649452	214551	Lady Maresfield
649452	217975	Lady Leyland
649452	218510	Isabel
649452	221262	Lady Sefton
649452	224361	Aunt Louisa
649452	233092	Lady Sevenoaks
649452	235462	
649452	238728	Mrs. Harbottle
649452	257095	Mrs. Manning-Tutthorn
649452	277678	Duchess of York
649452	278078	Miss Broadbent
649452	300938	Selina
649452	303991	Mrs. Hillcrist
649452	303992	Mrs. Amy Hillcrist
649452	312145	Mrs. Sedley
649452	330556	Old Lady
649452	330911	Lady Warmington
649452	333095	Lady Adela Mainwaring
649452	341771	Oil Magnate
649452	366195	Aunt Jenepher
649452	367307	Mildred Girling
649452	402123	Lady Catherine de Bourgh
649453	380076	Paloma
649454	29340	Terry
649454	68309	Western flight attendant
649454	222690	Second French courier
649454	276708	Ticket cashier
649454	289406	Savannah
649454	293048	
649455	846	Herself - #64: Salma Hayek: R
649455	2781	Anita Randazzo
649455	2940	Herself
649455	3053	Herself - Presenter: Best For
649455	7960	Lola Cirillo
649455	13751	Herself
649455	18239	Herself
649455	22044	Camilla
649455	29046	Sara
649455	46428	Monica
649455	52618	Alma
649455	58487	Kolko
649455	69079	Herself
649455	70889	Julia
649455	83901	Carolina
649455	87177	Herself
649455	89288	Serendipity
649455	98681	Herself
649455	107265	Nurse Rosa Harper
649455	107428	Rita
649455	113004	Herself
649455	115195	Cora
649455	116509	
649455	116799	Isabel Fuentes
649455	117659	Herself
649455	118367	TV Dancing Girl
649455	120080	Frida Kahlo
649455	120478	Santanico Pandemonium
649455	132723	Lola
649455	147715	Herself
649455	150524	Charlee Boux
649455	152734	Esmeralda
649455	158462	Minerva Mirabal
649455	160464	Herself
649455	212524	Gata
649455	221483	Herself
649455	222877	Murphy
649455	224391	Herself
649455	241143	Carolina
649455	246679	
649455	279494	Donna
649455	291971	Herself
649455	300788	Maria
649455	303309	Carmelita
649455	312152	Cesca Giggles
649455	317549	Herself
649455	333391	Rose
649455	337404	Rosario, Madrigal's Mistress
649455	351410	Mary Carmen
649455	361224	Herself
649455	365498	Rita Escobar
649455	368540	Herself
649455	376825	Herself
649455	399806	
649455	405422	Gloria Contreras (1993)
649455	407747	Herself
649455	407862	Teresa
649455	410450	Juana Cata
649456	122745	Nicky
649457	395189	Becky
649457	409401	Nurse (segment "Terra Incogni
649458	334803	Annie Brett
649459	38006	
649459	98831	Bike Girl
649459	250869	Jean
649459	389858	Brooke Bentley #1 (1965-1968)
649460	38248	Banquet Guest/Zombie
649461	323779	
649462	23445	Nancy Fowler Archer
649462	61185	Joyce Kern, alias Sue Morton
649462	71578	Georgina Decrais
649462	71654	Connie Lane
649462	72651	Donna
649462	87680	Tonda Metz
649462	91763	Barbara Devery
649462	118811	Lt. Dickson
649462	136042	Erica Page
649462	144879	Sharon Hill
649462	149029	Elena Martine
649462	153589	Justine
649462	197797	Sherry
649462	217185	Greta Jones
649462	255522	Monica Gray
649462	265265	
649462	267559	Irene de Bournotte
649462	282918	The Fifty-Foot Woman
649462	301264	Iloico
649462	306496	Carmen
649462	314246	Mrs. Archer
649462	332440	Mabel
649462	345944	Livia, witch
649462	346832	Grace Thomas
649462	364330	Mrs. Grayson
649462	367268	Ellen Hughes
649462	375717	Mona Harrison
649462	379146	Chloe
649462	389858	Priscilla Longsworth (1963-19
649462	403418	
649463	257683	Herself
649464	150476	Bobbi Harker (WBLD Late-Night
649465	80670	Society Woman
649465	126069	Showgirl
649465	343104	Belle Aragon
649466	29391	Domenica
649466	65820	Receptionist
649466	233510	Pam
649466	237779	Housekeeper
649466	292779	Mother in Family Group
649466	307899	Rosie
649466	339854	Esther
649466	385012	Grace
649466	387363	
649466	390777	Mrs. Lennon
649467	52320	Bikini Girl
649468	387309	Ruth Prentiss Tuttle #1 (1967
649469	219735	
649470	2882	Flo
649470	5198	Judy
649470	5531	Muriel Goodwin
649470	10587	Party guest
649470	12337	Sarah Jewett
649470	47355	Waitress
649470	49536	Liane
649470	56815	The Mother
649470	57099	Mrs. Rudecki
649470	67770	
649470	73412	Mrs. Swann
649470	79890	Margie, Taxi Rider
649470	80770	Mona Brandt
649470	90299	Fay Benton
649470	100085	Mitzi Reisenbach
649470	116443	Bar Girl
649470	124775	Spring Rutherford
649470	128327	Sally lace
649470	133644	Hazel Scott
649470	143917	Daisy
649470	152571	
649470	154356	Jonesy
649470	155678	Edna Creesh (Les Blondes girl
649470	169923	Madge Williams
649470	177368	Dolly Warren
649470	192721	Dolly
649470	195673	Young woman in music store
649470	196990	Blondie, Clerk at Carpenters
649470	204174	
649470	221170	Gladys
649470	224211	Gail
649470	228911	Rosie
649470	235095	Faro Annie
649470	247374	Pearl
649470	249253	Joyce Daniels
649470	259016	
649470	264426	Pepper Clancy
649470	275668	Bobbie Burns
649470	283859	Party Guest
649470	285664	Babe
649470	287742	Paula Tate
649470	297918	Gun Moll
649470	302603	Kay Martin
649470	307912	Miss Marble
649470	321380	Mazie
649470	329562	
649470	329596	Bonnie Rand
649470	330615	Mabel Sands
649470	330703	Baker's Secretary
649470	336328	False accident victim
649470	339658	Dorothy Jergensen
649470	340468	Marion
649470	364434	Waitress
649470	364771	Mrs. Walters
649470	367825	Frau Thaler
649470	372050	Nellie
649471	205913	Coffee counter waitress
649472	150631	American woman
649473	387309	Ruth Prentiss Tuttle #1 (1967
649473	388862	Linda Driscoll #2 (1965-1966)
649473	404694	Karen Clemons (1968-1969)
649474	39349	Orgoch
649474	136833	Herself (interview)
649474	189153	Mammy Yokum
649474	222711	Peter pan
649474	223947	Grandma
649474	250937	
649474	266917	Witchiepoo
649474	301087	Additional Voices
649474	306300	Emma
649474	385727	Additional Voices
649474	390866	Witchiepoo
649474	395502	Weenie the Geenie/Witchiepoo
649474	402234	Additional Voices
649474	407441	Additional Voices
649475	49763	Dental receptionist
649475	100198	Patient
649475	257182	Camille
649476	80644	Debra Avery
649476	316177	Walking Girl
649477	319270	Rosellen
649479	43895	Grandma
649480	96870	Lucy
649480	208632	Commercial Girl
649480	378710	Shepherdess
649480	388791	Johanna
649480	404407	Maid (Series 2)
649480	404891	Esther Spicer
649480	405461	Charity Green
649480	410659	Siobhan O'Riordan
649482	11570	Hemp Activist
649482	126747	Large Woman
649482	200864	Telephone Operator
649482	224430	Sadie
649482	294798	T.V. Serial Hag
649483	93957	Ms. Fuzzock
649483	105182	Prostitute
649483	217600	Nurse
649483	293762	Brightway Nurse
649483	304972	Mother
649483	384068	Barbara Donovan
649484	411552	Ruth Wycliffe
649485	148211	Kirsty Sutherland/Herself
649485	148212	Kirsty Sutherland
649485	380884	Maria (Storm Child)
649485	391869	Kirsty Sutherland/Phillips (2
649487	37374	Fi
649487	106666	Hospital receptionist
649488	384158	Various
649489	241391	Lab Partner
649490	259317	Cathy
649490	298291	Sophie
649491	400466	Club Singer
649493	47279	Mother in Hall
649494	198511	
649494	239628	
649496	307457	Salvation Army Lady
649496	337080	
649497	17941	John's Dream Girls
649498	46327	Extra
649498	296814	
649499	120116	Claudette
649500	92486	Liza Rowse
649500	348320	Iris Lee
649501	222495	Customer at Sardi's
649502	62679	Fighting Woman
649504	367782	Smiling Woman
649505	53822	Annie Tarrant
649505	92689	Reporter #1
649505	177330	Reporter
649505	184949	Psychologist
649505	199390	Piano Student
649505	207905	Mrs. Sanborn
649505	264724	Fern Bloom
649505	365288	Miss Simpson
649506	87900	Ally
649506	260789	Streetwalker
649507	215292	
649507	259364	
649508	51990	Essie
649509	18410	Kitty Katkin
649509	54836	
649510	367291	Mrs. Stanhope
649511	41809	Mrs. Maneka, Maile's Grandmot
649511	153146	Mama Rua
649512	104778	Herself - 26th place
649512	195551	Scottish Singer
649513	129456	Jean
649514	192125	
649514	241239	Jane
649514	369184	
649515	344	Jerome's Girlfriend
649515	13293	Serita Flores
649515	120337	Indian maiden
649515	138889	Luisa Dellacova
649515	169924	
649515	307003	Officer Miranda
649515	366738	Wanda
649515	386966	Indian Maiden
649516	12773	Mrs. Washburn
649516	26119	Florrie Moran
649516	51975	Mugging Matron
649516	177401	
649516	200849	Grace Hayden
649516	224508	Grace
649516	271231	Trixie Valleron
649516	375275	Grace Hayes
649517	96668	Puppy
649518	169362	Mme. Monette Razier, Odette's
649518	178015	Salon worker
649518	372431	Wampas Baby Star
649519	2289	Herself
649519	2313	Herself - Honorary Award Reci
649519	2330	Herself - Presenter
649519	2527	Herself
649519	2560	Herself - Co-host
649519	9129	Ada Quonsett
649519	15886	Dowager Empress
649519	17977	Stella 'Stell' Hallam
649519	20851	Leora Tozer Arrowsmith
649519	20887	Abby Brewster
649519	26225	
649519	39413	Ernesta Snoop
649519	47363	Herself
649519	53757	Lady St. Edmund
649519	55045	Miss Jane Marple
649519	58640	Narrator
649519	60766	Madame Ranevskaya
649519	77846	
649519	88564	Sophie Tate Curtis
649519	108399	Emma Long
649519	109057	Catherine Barkley
649519	120691	Narrator
649519	139787	Veta Louise Simmons
649519	142295	Herself
649519	143498	Herself
649519	143503	Mrs. Steinmetz
649519	147716	Herself
649519	175524	Herself - Honoree
649519	175531	Herself
649519	190500	Herself
649519	201068	Herself
649519	222682	Lavinia Fullerton
649519	222766	Miss Jane Marple
649519	224327	Lucille Jefferson
649519	231905	Madame Fabian
649519	232017	Herself
649519	241628	Hettie
649519	302365	Madelon Claudet
649519	306176	Ernesta Snoop
649519	308436	Lian Wha 'Star Blossom'
649519	312774	Herself
649519	327785	
649519	330526	Tourist
649519	350408	Vanessa Paris
649519	353525	Etta Grossman-Wise
649519	360605	Peggy
649519	362201	Maggie Wylie
649519	364014	Angela Chiaromonte
649519	380687	Dr. McCartney
649519	381733	
649519	397564	Herself (interviewed)
649519	402245	Mrs. Antrobus
649519	405736	Ernesta Snoop
649520	277990	Inez
649520	280358	Her Maid
649521	313419	Ruby
649522	367807	Girl
649523	26831	Girl in the Crowd
649524	147661	Herself
649525	80959	Saleswoman
649526	92566	Becky
649528	220484	Girl in training center
649529	192716	Mrs. Herbert Baker
649530	10901	Plant secretary
649530	222651	Cecelia's Friend
649531	394349	Herself
649532	382100	Buster
649533	99957	Emma Mae
649534	333851	Bit Part
649535	767	
649535	4945	
649535	34721	
649535	91563	
649535	316380	
649536	12207	Kelly DeSantes
649536	13966	Vegas Show Girl
649536	114017	Girl in Bar
649536	228670	
649537	397938	Ivy
649539	106723	Dancer
649540	74317	Mother
649540	318370	Groupie #2
649540	398671	Kristina Williams
649541	59093	Miss Laura
649541	269428	Herself
649541	302447	Herself
649541	381766	Miss Laura
649541	382174	Miss Laura
649542	162529	Jackie
649543	393653	Group member
649544	46915	'The Bitch' aka LeeAnna Hayes
649545	41795	Old Lady
649545	154087	Miss. Bryce
649545	402012	Florrie Robinson
649545	402197	Jeannie Baxter (1981)
649545	405960	Beryl Palmer (1981-1987)/Ruby
649545	409197	
649546	64711	Ellie Jackson
649546	69798	Nedra Carlson
649546	99397	Marian Jardin
649546	128198	Elizabeth Price
649546	155003	Laura Marley
649546	210820	Kay Hadley
649546	212211	Elizabeth Price
649546	212213	Elizabeth Price
649546	214149	Lois Marlowe
649546	214166	Helen Hewitt
649546	271091	Alice Evans
649546	278026	Alice Blake
649546	280994	Joan Stuart
649546	285713	Margaret Forbes
649546	309842	Carol Stevens
649546	310840	Miss Simpson
649546	318226	Margaret 'Maggie' Shane
649547	208954	Miranda Kelly
649548	253500	Jackie Prentiss
649549	378912	Reporter (1996-)
649549	408397	Host (1985-1993)
649551	139283	Maid
649551	267339	Grace
649552	215527	Sally Chin
649553	81649	Jennifer/Harry's Character
649554	127574	Mrs. Williams
649554	297776	Susan
649554	310796	Head Police Dispatcher
649554	340957	Dorothy
649554	372713	Second Woman
649555	191495	Maureen
649556	272847	The Ravager's Victim
649557	219769	Amore Dating Co-ordinator
649558	1054	Mrs. Landry
649558	31877	Joyce Freenfield
649558	40077	Lois Judby Hammond
649558	44884	Lil Breckinridge
649558	56137	Lil Polombo
649558	64803	Sally, Irene's Friend
649558	77444	Dorothy Grevemberg
649558	109361	
649558	120611	
649558	120927	Lt. Berdie Dubbin
649558	128317	Bell Cory
649558	128847	Mother Veronica
649558	131402	Ruth Granger
649558	151092	Zoe Stoughton
649558	157872	Myra Woods
649558	183392	Chorus Girl
649558	183675	Rita Lenox
649558	192409	Jo
649558	195190	Louisiana belle
649558	203585	Governor's Secretary
649558	217946	Depositor
649558	230953	Lola Martin
649558	232033	Nancy Wakefield
649558	240245	Zarada
649558	241283	Patricia
649558	284916	Wife in movie
649558	289689	Gail Barclay
649558	304367	Receptionist
649558	313057	Lela Cramer
649558	318607	Secretary
649558	323380	Sally French
649558	330167	Lucille
649558	341529	Rosie (Severn's secretary)
649558	354859	Mrs. Emily Fairchild
649558	388862	Roxanne Reynolds (1964-1966)
649558	402245	(segment Shadow Play)
649559	16878	Housekeeper
649560	291168	
649561	40454	Sales Clerk
649561	279568	Beth Ringold
649562	75659	Extra
649562	96861	
649562	99449	Salvation Army worker
649562	112508	Extra
649562	121586	Woman with baby buggy
649562	136020	Extra
649562	154426	Extra
649562	154827	Human Pyramid
649562	162267	Acrobat
649562	163246	Extra
649562	202998	Extra
649562	280493	Extra
649562	391184	Sunshine girl (1961)
649563	294355	
649563	380464	
649563	386463	Conner's secretary
649563	390099	Maeve
649563	391869	Ailsa Hogan/Stewart (#2) (200
649563	395153	Elsie Curtin
649564	292171	Mrs. Bristol
649565	16120	Gran Waters
649565	19268	Various Characters
649565	23935	Herself - audience member
649565	30085	Onlooker
649565	31209	Jeannie MacDougall
649565	34729	
649565	41827	Old Woman
649565	53273	Grandma
649565	55681	Mrs. Beasley
649565	70788	Mrs. Watty
649565	73126	Alyona Ivanova
649565	75881	Soothsayer
649565	77950	Mrs. Green
649565	95140	
649565	97611	Edna
649565	101277	Teenager
649565	112914	Flower-Woman
649565	114350	Mrs. Coady
649565	116738	The Dowager
649565	118653	Mrs. Baird
649565	127137	
649565	131771	Miss Honeybun
649565	133539	Member of the W.I.
649565	147561	Air Hostess
649565	150625	Woman
649565	150876	Maria Josefa
649565	163620	Blanche
649565	176739	Lily the Waitress
649565	179083	Jeannie Rockne, Age 10
649565	185344	Mrs. Godame
649565	186040	
649565	191774	Affery
649565	194479	Ethyl
649565	195866	
649565	196134	Annie Booth
649565	201569	Herself
649565	207466	Granny Naulls
649565	221238	Hilda Capper
649565	231438	Phoebe
649565	238708	Mrs. Telfer
649565	288720	Edie's Mother
649565	300700	Mamma the Turk
649565	300842	Passenger
649565	303434	Madame Pace
649565	303954	
649565	314140	Mrs. Fawkes
649565	328649	Mrs. Jones
649565	334359	Postmistress
649565	346848	Urgl
649565	359316	Mother
649565	361474	Daisy, the shop clerk
649565	363203	Ruby Birtle
649565	365881	Fin Raziel
649565	372263	
649565	379158	Various
649565	380683	Mrs. Rossiter
649565	381660	Various Roles (1957, 1961-196
649565	381661	Herself/Various Roles (1970-1
649565	392230	Mrs. Wormold (Series 1-5) (19
649565	395066	Old Pat
649565	395176	Alfreda Basket
649565	395918	Connie Coke
649565	396904	Alice Tripp
649565	398365	Kaka
649565	401655	
649565	406215	Mrs. Cantaford, the Traffic W
649565	408231	Min Reed
649565	408232	Min
649565	408954	Lilian
649565	410011	Katie (1969)
649565	411293	Miss. Bendybones
649565	411437	Various (1968-1969)
649566	321356	
649567	53753	Gewndolyn the Maid
649567	363202	Ruby Birtle
649568	155301	Reporter Jane
649569	646	Robbins
649570	335720	Lt. Cindy
649571	102932	Singer
649571	395321	Herself/panelist (1962-1963)
649572	55038	Sally, MacAllister House Maid
649572	198026	Aspodelle
649572	215641	
649572	271297	Bessie
649572	294833	Ann Christoff
649573	84399	Jennifer
649574	337649	Player
649574	339354	Legal Aid
649575	80430	Amity
649575	131557	Amy
649576	316795	Alex
649577	41868	Una
649577	115235	Child of the Castle
649577	162247	Check-Out Girl
649577	342880	Shop Assistant
649577	385341	Cherry
649577	398683	Abi Harper (Series 3-) (2002-
649577	406458	Samantha
649578	70402	Raven
649578	127297	
649578	279352	Racing Driver #5, Trophy Awar
649578	395679	Co-Host
649579	128760	Betty
649579	305375	Professor's Party Goer
649580	133133	Susie
649581	98935	
649583	242035	Frieda
649584	277088	Michelle
649585	139547	Herself
649586	104943	Grandma
649586	128830	Lady at Hamburger Stand
649586	169046	Sis
649586	256468	Sally
649586	372882	Elsie
649587	390364	Lucy Jones
649588	119466	Ashely
649590	6722	Herself
649590	17991	
649590	29889	
649590	41544	Herself
649590	41645	
649590	50179	
649590	54566	
649590	95803	
649590	106189	
649590	121555	
649590	127405	
649590	136530	Herself
649590	139209	
649590	155922	
649590	162517	Herself
649590	163479	Herself
649590	166641	Molly Jekyll/Flora
649590	188415	Herself
649590	235576	
649590	257620	Herself
649590	298163	Vivienne Deuble Woo
649590	363376	
649592	13576	2nd Witness
649592	112399	Receptionist
649592	113472	Lisa
649592	349973	Cindy
649593	97322	Beulah McGillicutty
649593	97327	Beulah McGillicutty
649593	97330	Beulah McGillicutty
649593	97337	Beulah McGillicutty
649593	97339	Beulah McGillicutty
649593	97340	Beulah McGillicutty
649593	387279	Beulah McGillicutty (1995-199
649593	388101	Beulah McGillicutty (1997-199
649594	85573	Charsi
649594	313553	
649594	313554	
649594	359367	
649594	359368	
649595	5737	Franny
649596	42311	Horse Face
649597	64825	Felicia Davenport
649597	191755	Diane
649598	196516	
649599	194146	Ria
649599	302353	
649600	407162	Cheryl Thomas (1995-1998)
649601	223994	My Grandma
649601	367782	Smiling Woman
649602	265603	Hatcheck Girl
649603	185369	Young Ms. Toney
649604	264459	Audience member
649605	367782	Smiling Woman
649606	273172	Mrs. Freeman
649607	38748	Nell, the waitress
649608	23536	Lysa
649608	48939	The Travel Agency Employee
649608	235922	Linda
649608	252844	Stephanie's Mother
649608	328548	Margaret
649609	264	Fussy woman passenger
649609	2845	Nervous Man's Big Girl Friend
649609	11181	Mrs. Stone
649609	26337	Mrs. Hemingway
649609	26775	Lady in Street
649609	32070	Birdie Benson
649609	38685	Fat woman in cafe
649609	43376	Mrs. Titcomb
649609	45494	Fat Mother
649609	47000	Fat Lady on Airplane
649609	49746	Lady Who Wants Her Cook Back
649609	50801	Woman
649609	51799	Matron at Party
649609	52696	Mrs. Vallance
649609	54952	
649609	56310	Fat Lady
649609	56691	Lettuce
649609	57192	Overweight Customer
649609	58499	Spinster
649609	66314	Stout Woman
649609	72104	Columnist sampling food
649609	77777	Mrs. Worthington
649609	78108	Mrs. Alvord
649609	81149	
649609	81169	Stout Woman
649609	83783	Woman on Staircase
649609	87106	Dowager on Boat
649609	90255	Matron looking at racing shee
649609	90262	Mrs. McMurdock
649609	103781	Mrs. O'Grady
649609	105032	
649609	109221	Torsavitch
649609	112183	Giddy Woman
649609	115259	Laughing woman
649609	116893	Mrs. Cora Dithers
649609	116963	
649609	117801	Fat woman in beauty shop
649609	118546	Woman Tourist
649609	120687	Nell Bonnett
649609	127082	Screaming Woman
649609	128256	Mrs. Hudson
649609	129227	Miss Lang
649609	130622	Society reporter
649609	131738	Lura 'Ducky' Groggs
649609	133561	Madame Napaloni
649609	133880	Wife at World's Fair
649609	139191	Fat lady with vanishing cream
649609	139780	
649609	142879	Customer
649609	144447	
649609	144896	Miss Cummings
649609	146760	Mrs. Hickridge
649609	148940	Fat Book Club Member
649609	150723	Woman who screams
649609	154481	Mrs. Gabby the Fat Lady
649609	154652	Mrs. Farthington
649609	171217	Plump Woman
649609	175162	Fat Woman at Auction
649609	179013	Mrs. Smithers
649609	188341	Mrs. Wigglesworth
649609	192747	Talkative Woman at Party
649609	196558	Mrs. Gunderson
649609	198660	Mrs. Smythe
649609	199394	Red Cross Woman
649609	203799	Gossipy Fat Woman
649609	206469	Bit
649609	206836	Nurse Jennie
649609	206890	Wealthy Fat Lady
649609	206943	Mrs. Carrington
649609	208719	Mrs. Perkin, Lady Watching Ma
649609	210718	Fat Woman in Elevator
649609	214458	
649609	216000	Dowager
649609	217958	Mrs. Cheshire
649609	218734	Miss Hambridge
649609	221027	Mrs. Brown (fat woman at danc
649609	221307	Heavy Set Woman
649609	222660	Dowager
649609	223018	Fat Wedding Guest
649609	223048	Innkeeper's Wife
649609	223054	Dowager
649609	223903	Woman in Theatre Box
649609	228829	
649609	230391	Gray-haired customer in taver
649609	230953	Mrs. Bixby
649609	231124	Fat Reporter
649609	231780	Mrs. Alonzo Smith
649609	232033	Heavy Woman
649609	236079	Lady in Store
649609	243217	Giggly Woman
649609	244899	Bit Part
649609	246227	Fat Passenger
649609	249621	Eleanor
649609	249623	
649609	252568	Sissie's Mother
649609	263941	Drunk's Wife (leaving Bluebel
649609	265362	Fat Reporter
649609	276939	Mrs. Williams
649609	278854	Fan
649609	279441	Chaperone on yacht
649609	279687	Newspaper Reporter
649609	280896	Mrs. Crandall
649609	292829	Fat Visitor in Dressing Room
649609	297970	Agnes Mayo
649609	298086	Dowager
649609	299064	Mrs. Briggs
649609	299163	Merton's Pianist
649609	299780	Plump Woman
649609	299803	Mistress of Ceremonies
649609	302595	Little Theatre Stage Director
649609	302723	Fat Lady with Mob of Women
649609	304959	Lady Customer
649609	305398	Miss Collins, Floor Nurse
649609	313320	Woman in funeral mob scene
649609	313331	Rural Mother
649609	315881	Mrs. Kaplan
649609	315914	Stout Woman
649609	321384	Telephone Operator
649609	329903	Mrs. Grant
649609	330514	Mrs. Kelland
649609	331469	First Woman Getting Autograph
649609	332420	Minnie Dawson
649609	335725	Chubby Woman Attending Auditi
649609	337041	Mrs. Van Hemert
649609	340853	Woman
649609	342008	Mrs. Martin
649609	342410	Mrs. Martha Brokman
649609	343249	Rhumba Dancer
649609	346227	Mrs. Croyne
649609	346908	Woman
649609	358191	Mrs. Grebnick
649609	361681	Dowager
649609	364434	Reporter
649609	366484	Woman
649609	366612	Fat lady with baby
649609	366942	Fat Lady at Airport
649609	367051	Lady in Courtroom
649609	367919	Cyclist
649609	367962	Fat Dowager
649609	371331	Dibble's Customer
649609	372364	2nd Woman in Ladies Steam Roo
649609	372531	Stout Lady
649610	334594	Txl Series #4
649610	408401	TXL Series 4 Computer
649611	32809	George's sister
649611	155595	Mabel Chiltern
649612	285785	Bess Murphy
649613	44441	Mrs. Reddy
649613	69410	Piano Girl
649613	183722	Brothel Keeper
649613	191963	Minna
649613	204473	Vesta Kotowsky
649613	382038	Angie Shaw
649613	392200	Sonya Fielding
649613	403102	Brenda Bollard
649613	403373	Stella
649613	411089	Marion Gordon
649614	7849	
649614	130179	Kate Marlowe
649614	152535	Cynthia
649614	207145	
649614	220407	Tessa Bannerman
649614	252728	Moira Warrington
649614	280469	Rebecca
649614	311738	Lyn
649614	350303	Lucienne Englebert
649614	384475	Adele Torbayon
649614	394453	Mrs. Miller
649614	395087	Mrs. Kelly
649614	396737	Nina
649615	17926	Miss Flint
649615	26753	Mrs. Douglas
649615	49637	Daphne Musgrave
649615	69393	Tweedy Golfing Lady
649615	81179	Miss Paullie
649615	121503	Miss Pinner
649615	125858	
649615	143627	Secretary
649615	196134	Woman on Bus
649615	200496	Teacher
649615	202849	Old Lady
649615	203137	
649615	210514	Miss Lottinville
649615	215892	Lady Quimby
649615	216013	
649615	223402	Mrs. Jenkins
649615	246494	Miss Lanyard
649615	256257	Fiona
649615	305712	Mrs. Roper's nurse
649615	361587	Guide with school party
649615	385299	Alice Jenkins
649615	400538	Lottie Bottomley (1970)
649616	107792	Second Priestess of Quetzal
649617	161473	Herself
649618	275365	
649619	80807	Gen. Miller
649620	355065	Therese Lisbon
649621	94096	Lucretia Borgia
649621	203980	Lucrezia Borgia
649621	232250	Singer
649621	395414	
649621	400236	Sadie Gray (#1) (1968-1986) (
649622	105280	Skylar
649622	147694	Balthazar Hostess
649622	305390	Cookie Store Customer
649623	140765	Flower Girl
649624	128954	Biddy Reilly
649624	394744	Helenes mamma 30 år
649624	412209	Jessica
649625	194922	Herself
649627	132404	Emma
649627	284684	Fatine
649628	303913	
649629	260629	Bess
649630	292474	Sandra
649631	84906	Amy
649632	281938	Rosemary
649633	944	Chris' daughter
649634	98120	Frau Zwei
649634	259919	
649635	355030	
649636	171079	Diane Harris
649636	276998	Person at AA Meeting
649637	55477	Waitress
649637	232248	Woman at bar
649638	243270	Detective Geri Van Noord
649639	194963	Day Care Worker
649639	313087	Alex
649639	331925	Myla
649639	363260	Sandy
649639	380713	Evelyn Hart (2001-2003)
649639	381105	Field Host (1997)
649639	382711	Road Warrior (1995-1996)
649639	395727	Miss Murray (1999-2000)
649639	400236	Shelby McCarthy (2000-2001)
649639	401265	Road Warrior (1996-1997)
649639	410665	Cast Member (1992)
649640	5802	Mrs. Jessup
649641	329462	
649642	102569	Mrs. Stewart
649643	157324	Sister Scholastica
649643	163405	Carol
649644	342822	Sphinx Girl
649645	111791	Driver's Wife #2
649646	238566	
649647	5802	Black woman
649647	45439	Nurse Rachel
649647	86001	Lottie
649647	106740	The Maid
649647	131211	Missy Judson
649647	133958	
649647	148266	Melba
649647	188333	Telephone Operator
649647	214985	Viney
649647	247565	
649647	279141	Wilhelmina Geneva Brown
649647	288107	Margaret
649647	304295	Woman
649647	312813	Easton's Maid
649647	326119	Mabel
649647	333182	2nd Nurse
649647	379716	Lois Sloane, R. N. (1970) (or
649648	25417	Frances
649649	1870	Dr. Huffington
649649	44450	Mrs. Wilson (Georgia)
649649	73833	Book Thief
649649	153651	Annie
649649	165635	Alma
649649	168292	Nurse
649649	198828	Bum
649649	246687	Mrs. Thack
649649	342744	Mrs. Rizzo
649650	286603	All Robots
649651	95785	Blue
649651	252448	Beth Donahue
649652	141329	Nurse Cross
649653	133526	Prostitute
649654	147885	Teen #2
649655	234913	
649656	28791	Da Bomb Girl
649656	75705	Gil's Girl
649656	336914	Shirley
649657	274458	Todd's Mom
649658	48070	Carol
649658	66795	Meg
649658	94020	Gretchen (Pat Reavis' girlfri
649658	136287	Karen Bundy
649658	152533	Rachel
649658	155711	Dr. Anne Barton
649658	169932	
649658	231528	Sarah
649658	280717	Linda Forchet
649659	131664	Greta
649660	26022	
649661	61816	The Duchess
649661	255871	Deborah
649661	260418	Mrs. Kennedy
649661	286381	Hash House Sal
649662	335660	Cosette the Maid
649663	404747	Young Whore
649664	6200	1st Volunteer
649664	58666	Michelle Brekke
649664	69037	Clinic Nurse
649664	107155	Prison Guard #1
649664	265749	Aunt Letty
649664	366959	Reporter
649665	26273	Zeke's Mom
649665	31346	Pregnant Woman
649665	34092	Miriam
649665	59729	Art Professor
649665	65658	Donna
649665	72319	Bride #1
649665	139498	ICU Nurse
649665	150758	Mrs. Martin
649665	176303	Professor Hunter
649665	245036	Michael's Secretary
649665	286609	Pam's Friend
649665	299732	Woman in Airport
649665	317882	ER Nurse
649665	339952	Turbo's Girl
649666	37690	Party Girl #5
649667	108956	Party Family
649668	34911	
649668	320309	Sarah Phillips
649668	381661	Hill's Angel (1979-1980)
649669	201887	Herself
649670	242718	
649671	366908	Straight Talk host
649672	21206	
649673	236141	Cheryl
649673	249557	Arlene
649673	279871	Secretary
649673	344184	Nurse Olvidalo
649674	55430	
649674	200261	Hopscotch Girl
649674	200481	Renee
649675	117773	Waitress
649676	6859	Dax's mother
649676	70538	Mary the Mother
649676	112368	Nevis
649676	135805	Estella Morales
649676	142412	Princess Mareva
649676	178976	Woman
649676	229201	Mrs. Paris Elliott
649676	258858	Mrs. Carter
649676	259219	Bus Passenger
649676	276874	Maeva
649676	292463	Woman #2
649676	341417	
649676	349811	Polly
649676	360482	Lolita
649677	291265	Denise
649677	359543	Fire Witch
649678	351767	Zoe
649678	364747	Bartender
649679	333194	Armana Woman
649680	12776	Defoe
649681	130947	Dancer in gambling club
649681	274079	Tongue-Tied Dancer
649681	324028	'Elephant' Chorus
649682	309158	Hippie Partyer
649683	288960	Herself (segment "Fire and Ra
649684	380345	(2001-2002)
649685	203918	Political Aide
649686	209705	
649686	285287	Waitress
649687	404551	Host
649688	140953	Hip-hop dancer
649689	26992	Marisa
649690	101638	Julia
649690	117666	Librarian
649691	15238	Monique Castapoul
649691	77927	
649692	70428	Woman
649692	80694	Tammy Homolka
649692	100148	Business Woman
649692	203601	Swing Dancer
649692	365119	Jodi Baker
649693	253331	Herself
649693	274079	Holly/Hilly/Herself
649693	274080	Holly/Herself
649693	395383	Herself
649693	403061	Holly (1989-1992)
649694	258373	Karine
649695	326854	
649696	342549	Heidi, Diner Waitress
649696	342552	Heidi
649696	392352	Rossana (niña)
649697	380430	
649698	14131	Party Girl
649699	51991	Solon
649700	381436	Herself/Miss Hawaii USA 1992 
649701	346204	Penguin Girl
649702	8518	Voice of the Spaceship
649703	3176	Susan Bening
649703	87351	Gloria
649703	395214	Various (1996-1999)
649704	3176	Susan Benning
649705	21526	Kimberly
649705	22036	Harriet Rodker
649705	46438	Ann Baker
649705	71655	Annabelle Rice
649705	183871	Mrs. Forbes
649705	277867	Jessie Trapp
649705	330873	Elizabeth
649705	373217	Julie Williams
649705	380713	Kim Sullivan Reynolds Stewart
649705	390771	Leslie Jackson Bauer Norris B
649705	403497	Elizabeth Reynolds
649706	326854	
649707	10875	Roni
649707	26168	
649707	26169	
649707	26671	
649707	52345	
649707	66151	Mia Richardson
649707	78087	Rita
649707	125425	Herself
649707	128606	Herself
649707	128786	Herself
649707	133491	Lori Baker
649707	190147	Danielle
649707	209219	Lauren
649707	226984	Herself
649707	253019	Taylor Price
649707	272867	Brunette
649707	272909	
649707	273606	Gwen
649707	278470	Bad Girl Gang
649707	295722	Janet
649707	318863	Dalton, Susan
649707	319910	Hostess
649707	326513	Mystery
649707	327620	Beverly Halloway
649707	337990	Susan
649707	360625	Simone
649707	367765	Cara Loft
649707	396076	Herself
649707	404957	
649708	7454	Gloria Hollister
649708	215062	
649709	19177	Art Gallery
649710	332530	Princess
649711	315513	Mrs. Field
649712	18623	Lisa
649712	195277	New Girlfriend
649712	217486	Waittress #1
649712	222292	Sharon Kinney
649712	304046	Nurse
649713	99573	Game show girl
649714	217745	Art History Student
649715	212213	Lindsay's Maid
649716	383261	
649717	141605	Jewelry Broker
649718	232356	Sally's Friend
649719	282928	New Store Employee
649720	190171	Doctor
649720	371962	Danish Noble #5
649721	220574	Polo player
649722	6526	Catherine
649722	32789	Dolly Trull
649722	60464	
649722	73880	The Girl
649722	81293	Carol Halston
649722	82924	Miss Figg
649722	128645	Claudine
649722	264711	Iris
649722	302591	Gloria
649722	305440	Judith
649722	362403	Lapis
649724	31269	Mrs. Page
649724	71664	Second Cook
649724	81285	Mother Superior
649724	81639	Miss Hart
649724	94201	Mrs. Wagstaff
649724	110996	Home Sister
649724	120290	Miss Rush
649724	145065	Judy
649724	241460	
649724	290344	Mrs. Laxton-Jones
649724	297105	Miss Ogilvie
649724	306414	Matron
649724	320597	Mrs. Bagot
649724	331489	Mrs. Porterhouse
649724	352725	Miss Rogers
649724	360542	Prison Governor (Blackdown)
649724	363042	Miss Brent
649724	385823	Mrs. Snowden
649724	398936	Mrs. Housman
649725	89026	
649726	154481	Night No. 4
649726	360479	Debutante
649727	79844	Woman at Club
649727	199163	Elizabeth
649727	303455	Connie
649728	60341	Betty
649728	109856	Grace
649728	253058	Camille
649729	195771	Person at the Paris Opening
649730	120842	Charlotte
649731	267148	Aurora
649732	175175	
649732	282711	Dancer in Haiti number
649733	96694	Susan Duff
649734	59837	Her Mother
649734	130677	Woman in dance hall
649734	275477	Mrs. Frish
649734	300062	Mrs. Brecenbridge
649734	331711	
649734	368936	Housekeeper
649735	20371	Newscaster #3
649735	411529	Anchorwoman (1971- )
649736	1711	
649736	69363	
649736	151086	Estelle
649738	263	One Big Happy Family Member
649739	53732	Herself
649740	58855	Mabel
649741	56545	Herself
649742	9959	
649742	12316	
649742	22872	Dagmar
649742	23050	
649742	32064	
649742	37471	Mrs. Tremaine
649742	39538	
649742	39759	
649742	45270	
649742	47909	
649742	49623	
649742	61601	
649742	85107	
649742	104415	Ritta
649742	115906	Mrs. Payne
649742	133568	
649742	144557	Mrs. Rannock
649742	147112	
649742	150843	
649742	151813	
649742	157598	A Squaw
649742	158426	
649742	184092	
649742	192140	Aunt Elizabeth
649742	197694	
649742	210599	Mrs. Scott, Marjorie's Mother
649742	213099	Mrs. Lawler
649742	218516	Carconte
649742	224769	
649742	245170	
649742	245550	
649742	254588	Mrs. Elliott
649742	255382	Uncle Billy's wife
649742	259793	
649742	265752	Mrs. Appleton
649742	271221	Christina Divine
649742	286700	
649742	303283	
649742	347957	Mme. Duprez
649742	348456	Mrs. Cameron
649742	356996	
649742	362923	
649742	363578	Mrs. Smith
649742	365506	Aunt Minerva
649742	365620	Marie, Joan's Half-Sister
649742	366828	A Nurse
649742	368239	
649743	241896	
649744	20439	Mother
649745	255862	Lena Hessel
649746	18612	Sonia Glatt
649746	18823	Lola
649746	20956	Verity Phillips
649746	41377	Bookstore Fan
649746	46363	Angie
649746	51643	Reece Robbins
649746	57754	Carrie
649746	70224	T.K. Wallace
649746	80461	Alexa Stant
649746	80691	Rachel Castlemore
649746	110314	Trish
649746	113293	Barmaid Gabby
649746	139688	Florence
649746	142621	Dr. Allison
649746	178906	Last Victim
649746	190994	Dr. Fishbourne
649746	242809	Sonya Orlova
649746	291814	Ann Treadwell
649746	298038	Jill Weitz
649746	300961	Harriett
649746	301231	Jamie
649746	306257	Amy
649746	313603	Guard #3
649746	320313	Roxanne
649746	333326	Caroline Raynor
649746	357065	Gina Reid
649746	363712	Woman in morgue
649746	366576	Cowgirl 3
649746	369912	Dr. Myers
649746	370117	Panama
649746	383224	Adoley Thornton
649746	391095	Florence
649747	401224	Second Lovely
649748	32632	Irate Video Customer
649748	97091	Nurse #2
649748	142621	Stitch Cenobite
649748	143650	
649748	176478	Woman Neighbor
649748	207765	Hotel Chamber Maid
649748	214422	Speech Teacher
649748	214909	Try-Outs Organizer
649748	264234	Nurse
649749	6615	Bellona
649749	236129	Katie
649750	255258	
649751	11	Betty McGlen
649751	2273	Herself - Best Actress Winner
649751	2285	Herself - Presenter: Best Act
649751	2580	Herself (Co-Presenter)
649751	6086	Ada Gillis
649751	6162	Hester Stoddard
649751	13351	Patient
649751	14607	Millie Pickens
649751	16074	Janice Blair
649751	26777	Rae Smith
649751	32006	Isobel Rivers
649751	53193	College Girl
649751	65568	Herself
649751	68055	Amateur Actress
649751	69671	Bortai
649751	79522	Bathsheba
649751	80670	June Goth
649751	82602	Messalina
649751	112582	Constance Chesley
649751	117613	Tana 'Butch' Mason
649751	124092	Leah Fuller
649751	128827	Gloria Adams
649751	137262	Mildred Douglas
649751	141557	Jessie Fitzgerald
649751	146751	Jill Wright
649751	147754	Starlet at table
649751	148897	Mrs. Sheridan
649751	151041	Irene Bennett
649751	154083	Harriet Boyd
649751	154476	Estelle Masterson
649751	154657	Christine Allison
649751	154740	Barbara Graham
649751	154840	Mary Elizabeth Eden Thompson
649751	154868	Lillian Roth
649751	162986	Herself
649751	164446	Charmian Kittredge
649751	194915	Tina Bordereau
649751	197869	Louise Merritt
649751	201844	Herself
649751	206404	Content Delville
649751	223943	Eloise Winters
649751	244863	Judith Schofield
649751	248632	Mrs. Mary Lewis
649751	263169	Rachel Donaldson/Robards/Jack
649751	272956	Vinnie Holt
649751	273513	Cousin Drusilla Alston
649751	277124	Elizabeth Reilly
649751	289213	Janet Busch
649751	289228	Dr. Maggie Cole
649751	291379	Herself
649751	303146	Carol Hopkins
649751	303307	Telephone Operator
649751	303574	Herself
649751	304088	Molly Miller
649751	305498	Angelica 'Angie'/'Angel' Evan
649751	306343	Helen
649751	307368	Mrs. Jane Hoyt
649751	313377	Herself - Genevieve in Priori
649751	315109	Laura Pember
649751	324745	Morna Dabney
649751	330240	Verna Carlson
649751	330463	Herself
649751	332029	Gabrielle Dauphin
649751	335879	Dorothy 'Dottie' Peale
649751	341617	Cherokee 'Cherry' Lansing
649751	347732	Katie O'Neill(Kildare)(Van Ri
649751	350012	Helen Lawson
649751	363346	Valerie Hayden Miller
649751	364081	Ellen Burton
649751	366793	Jane Froman
649751	367545	Mary Sharron
649751	372461	Kate Benson
649751	381111	Herself
649752	213350	
649753	119096	Lorna
649754	224729	Girl at party
649755	281890	Brandy
649756	16654	Theresa
649757	236725	Julie Shanley
649758	118744	DCW Receptionist
649758	185197	Janet
649759	128577	Stella
649760	327256	Teacher
649761	243580	Lady #2 in gym
649762	81070	Herb's secretary
649763	387533	Victoria Sugden
649764	5072	
649765	228492	Dominique
649766	135206	Turkeylegs
649767	36848	Herself
649768	401392	Tivia, Princess of Nivia
649769	405209	Helena Lawson (1999)
649770	89586	Dolemite Girl
649771	61954	Diane Rohmer
649771	75699	Cynthia Hyde-Lennon
649771	77191	Asst. Chief Const. Rebecca Fe
649771	77192	ACC Rebecca Fenning
649771	77197	ACC Rebecca Fenning
649771	77202	ACC Rebecca Fenning
649771	140999	Antonia Watkins
649771	160580	Juliet Spence
649771	195982	Bridget
649771	241366	Jenny Thorne
649771	324384	Diana Andrews
649771	382806	Helen Brittas
649771	389970	Helen Brittas
649771	390627	Joanna
649771	390698	Claire
649771	392129	Clara Rhoades (1993)
649771	400002	Maxine Wells
649772	214828	Susan
649773	375823	Margaret
649774	34911	
649774	381661	Hill's Angel (1980)
649775	44681	Clara Mae
649776	135835	
649777	85626	
649777	106272	
649778	372636	Mrs. Adams
649779	1398	Herself
649779	2353	Herself - Presenter
649779	7396	Chris Emery
649779	7512	Irene Malcolm, aka Mrs. Murdo
649779	16910	Nina Barone
649779	17510	A Dancing Cansino
649779	25340	Aunt Caterina
649779	30743	Martha
649779	41096	Joan Forrester
649779	41142	Dona Sol des Muire
649779	53640	Herself
649779	58825	
649779	59608	Nayda
649779	64600	Lili Alfredo
649779	70298	Jerry Wheeler
649779	72104	Rusty Parker/Maribelle Hicks 
649779	73377	Rita
649779	74151	Extra
649779	77834	Los Polomas dancer
649779	78528	Dancer
649779	92230	Terpsichore/Kitty Pendleton
649779	113771	Irena
649779	123421	Betty Holland
649779	125484	Herself
649779	127674	Gilda
649779	128651	Sue Collins
649779	131677	Herself
649779	138882	Eve Lewis
649779	140925	Herself
649779	146762	Rita
649779	147839	Herself
649779	148587	J.G. Bliss
649779	152517	Carmen Zoro
649779	157546	
649779	171444	Marcia Adams
649779	183654	Elsa 'Rosalie' Bannister
649779	183695	Natalie Roguin aka Jean Renie
649779	190065	Girl Friend
649779	193739	Karen
649779	195613	Herself
649779	196487	Carmen Garcia
649779	198051	Herself
649779	209625	Maria Maringola
649779	214387	Gilda
649779	215647	Sadie Thompson
649779	218018	Rosalie Kelly
649779	223047	Patricia O'Malley
649779	223970	Sally Elliott
649779	227041	Mrs. Golden
649779	235708	Herself
649779	239677	Angela Gonzales
649779	242009	Judith 'Judy' MacPherson
649779	243793	Herself
649779	246337	Tamara Petrovitch
649779	246606	Betty Morgan
649779	246923	Vera Simpson
649779	255550	Ballerina
649779	260410	Monique Markos
649779	265361	Gypsy Dancer
649779	273674	Paula Castillo
649779	275723	Judith Alvarez
649779	278891	Herself
649779	278893	
649779	279439	Mara
649779	286179	Princess Salome
649779	291327	Herself
649779	291355	Herself
649779	294514	Ann Shankland
649779	296873	Mary Gillespie
649779	300070	Herself
649779	310600	Patricia Lane
649779	315754	Josephine 'Jo' Brown Morris
649779	316482	Virginia Brush Barnstead
649779	320197	Leonora 'Lee' Hutchins
649779	323883	Ethel Halloway
649779	329546	Herself
649779	330001	Mary
649779	330142	Adelaide Geary
649779	335469	Rosalind 'Roz' Bruce
649779	340516	Carmen Serano
649779	346138	Carmen
649779	364214	Gail Preston
649779	368762	Sra. de la Plata
649779	372277	Maria Acuna
649779	372299	Sheila Winthrop
649779	388656	Sadie Thompson
649781	104758	Israeli entry (2nd place)
649781	132321	Featured Vocalist
649781	141750	Herself
649781	174999	Herself
649781	226027	
649781	264041	Yocheved
649781	299427	
649781	299952	Herself (segment: "Temple of 
649781	343420	
649782	240317	Rom
649783	149579	
649783	209787	
649784	18320	
649784	268828	
649784	391589	
649784	392369	Une infirmière
649784	394014	Marjolaine's mother
649785	228906	Girl
649786	40561	Une mère
649787	391674	
649788	314745	Attending Nurse
649789	294796	Invitée d'Alice
649790	198567	Yvan's mother
649790	211658	La piétonne
649792	317517	Britaney
649793	308382	Lota
649794	51417	
649794	254168	Mme Sorbier
649794	278153	Nicole
649794	353926	La mère de Marie
649795	7488	Miss Kyle
649795	32561	Mabel
649795	39696	Doris Condon
649795	51821	Ona
649795	72712	
649795	78692	Mollie
649795	116284	Jane
649795	143565	
649795	147412	Apartment Tenant
649795	154083	Model
649795	188341	Girl
649795	188387	Norma
649795	194987	M.M.
649795	218349	Party Girl
649795	248838	Girl on bus with Tommy
649795	262138	Model
649795	262310	Girl on bus tour
649795	270502	Girl
649795	282387	Myrtle
649795	297936	Chorus Girl
649795	316104	Dorothy Cartwright
649795	337468	
649795	340570	Tall Blonde
649795	346278	Secretary
649795	361836	Photographer
649795	364343	Rita Royale
649795	372093	Blonde Chorine
649796	278855	Call Girl
649797	190659	Kaisu
649797	252046	Kristiina Kukkonen
649797	260501	Herself
649797	354285	Nurse
649798	245956	Un membre du girls' gang
649799	229052	Kate
649800	328311	
649801	34711	
649801	317334	
649802	93707	
649803	57241	Herself (Autumn Haze)
649803	75028	
649803	123799	
649803	131832	
649803	256196	
649803	304703	
649803	336284	
649803	349387	
649804	110220	Olivia
649804	254481	
649805	11621	
649806	90353	Myrna
649807	30004	
649808	760	
649808	763	
649808	765	
649808	768	
649808	770	
649808	781	
649808	1258	
649808	2431	
649808	6730	NonSex
649808	23961	
649808	27026	
649808	30037	
649808	34721	
649808	34751	
649808	34833	
649808	34840	
649808	34842	
649808	34843	
649808	72145	
649808	75028	
649808	87370	
649808	110476	
649808	118292	
649808	168072	
649808	196528	
649808	219245	
649808	243094	
649808	273299	
649808	306909	
649808	306916	
649808	306917	
649808	348528	
649811	177591	Tyler King Davis
649812	279483	Party Animal
649813	81319	Gretta Connors
649815	72677	Ms. Aslee
649815	79891	
649817	755	
649817	770	
649817	34776	
649817	34833	
649817	178866	
649818	376257	
649819	75028	
649819	135509	Velan's Sister
649819	376257	
649820	334210	Cromwell's Eldest Daughter
649821	118907	Elizabeth Von Chicken
649822	68483	Erika
649822	239607	Secretary
649823	126548	Crying Baby
649824	388321	Gemma Craig (1999-2003)
649825	92409	Nurse Clench
649826	54629	Katie Plunk
649827	176378	Kitty Kelly
649828	54629	Katie Plunk
649829	21740	
649829	43900	
649829	47667	
649829	63096	
649829	66338	
649829	70294	The warden's wife
649830	252889	Pajama Party Guest
649831	12620	Katherine White
649831	389859	Nurse Travers
649831	396724	Kate
649832	95140	Maya
649832	224068	Gloria
649833	15886	Blonde lady
649833	42800	Sue
649833	57722	Celia
649833	77613	
649833	105135	Mrs. Kaplan
649833	114635	Lady Guest
649833	117523	Judy James
649833	118788	Mrs. Chadwick
649833	171310	Gloria Gail
649833	175797	Gaby/Eva
649833	183611	Pat
649833	190444	Cynthia Lacey
649833	201001	
649833	209600	1st Girl in Restaurant
649833	232340	
649833	248118	Stella Mason
649833	340545	Louise Kingston
649833	348348	Yvonne
649833	362205	Jean Goodwin
649833	364437	American Woman
649833	371016	Mary, Lady who befriends Fran
649833	381529	Liz (Series 2) (1966)
649834	232818	Old Granny
649835	341201	Sara
649835	341202	Sara
649835	403084	Lisa (1999)
649836	55477	Lesbian Girl
649837	120881	
649838	200484	Ex-patient
649838	315869	Bit Part
649838	334252	Cashier
649839	62280	Kasey
649840	165440	
649840	258218	Ruth MacTavish
649840	289579	Peggy Lovel
649841	41181	Babs
649841	74311	
649841	346206	Street Hooker
649842	139646	Policewoman
649842	301588	Grandma
649844	63098	Joanie
649844	211382	Jenny Lynch
649844	232389	Burke
649844	240786	Woman at Wrigley
649844	362453	Woman in Park
649845	78998	Tara
649846	42913	Wirewalker
649847	16433	Herself
649848	16433	Herself
649849	292594	Model
649850	3070	Diane de Rays
649850	69785	Cathy
649850	111278	Body guard
649850	135859	Body guard
649850	165639	Smiling ladie
649851	63681	La vendeuse
649851	100280	Florence
649851	228915	Chantal
649851	292338	Rachel
649851	346675	La mère de 18 à 40 ans
649851	384209	le professeur Boyer
649851	401814	Sarah
649852	379470	Yonat (2003)
649852	392988	Sharon
649853	102931	Simone
649854	60296	Fanny
649854	141959	Dete
649854	299744	Alison
649854	331226	Alison Kemp
649854	363612	Mrs. Chestney
649854	364363	Janice
649854	372105	Rosamund
649854	379600	Debbie Taylor
649854	383012	Deidre 'DD' Burridge
649854	385020	Sue Clayton (1985)
649854	388306	Lise Shepherd
649854	391454	Miss Horsborough
649854	395924	Yvonne Bradley (1998)
649854	396580	Rosie
649854	410649	WPC Madeline Forrest
649854	411302	WPC Margaret Walkinshaw
649855	377484	La culturiste
649856	24447	Dorothy Stubbs
649856	38863	
649856	66049	Sarah Gunner
649856	109993	Mrs. Finn
649856	118744	Fran
649856	126700	
649856	218136	Nora
649856	227028	Monica
649856	227352	Nancy
649856	277889	Beryl
649856	314007	
649856	358296	Clare
649856	358305	Eloise
649856	380183	Lil
649856	381781	Herself
649856	382590	Sharon Lewis
649856	387755	Herself (1975)
649856	388644	Dawn
649856	393678	Various Characters
649856	395829	
649856	401624	Herself (1978-2001)
649856	405165	Lily
649856	406891	Lil Duggan
649856	410651	Maggie
649857	24299	2nd Woman
649858	220041	
649858	287215	Female Paramedic
649859	327093	Tourist Family
649860	271868	Technologist #1
649861	46242	Penny
649862	78822	Scientist
649863	89160	Mina
649863	162529	Girl with Brad
649863	292226	Talia Ahmed
649863	385301	Beena Shah
649864	274422	
649865	17404	
649866	377169	Extra fiesta
649867	228420	
649868	9287	
649868	173259	Katô, Ryuko
649868	324323	
649868	328022	Reiko
649869	15335	
649870	121466	
649870	182027	Ikko Amaoka
649870	213659	Harumi Katayama
649870	227188	
649870	248696	Kiyomi Nagashima
649870	293559	
649870	297586	Hanasato
649870	312162	Hanako Miyake
649870	386594	
649870	400057	
649871	293575	
649872	195348	Herself
649873	10847	Funeral Singer
649873	157978	Turtle Choir Member
649874	195348	Herself
649875	184959	Beautician #1
649875	245237	Anne and Sidney
649876	381690	Lisa Kleinert (1999-2000 and 
649876	398161	Lisa Kleinert
649876	398163	Herself
649876	408769	Rita Vogt
649876	410391	Lisa Kleinert
649877	11770	
649877	41117	Marie
649877	44830	Melle
649877	71837	Luisa
649877	84355	Bébé
649877	98277	Lydia
649877	100968	Lena
649877	102979	Nina
649877	107348	Frau Lennard
649877	127496	
649877	129696	Mona
649877	149127	Franziska
649877	172841	Eva
649877	204494	Rita
649877	225254	
649877	244678	Sonja
649877	259918	
649877	259919	Jasmin
649877	310900	Magdalena Scheurich
649877	325603	Anett
649877	325628	Frances
649877	334639	Claire
649877	336896	Birgit Arndt
649877	339606	Lennie
649877	343678	Julia
649877	361031	Esther
649877	361501	
649877	376268	Alisa Schütze
649877	406140	Eva Braun
649878	182648	Ifj,Bajthay lánya
649879	38506	
649879	137559	
649879	173645	
649879	295353	
649880	294374	Ensemble Vocal Sequenza 9.3
649881	186897	Chor/Choir
649882	202953	Rage's girlfriend
649883	76293	The Third Concubine
649883	85469	Xiao Hongyun
649883	111243	Yu Xiuyi (Zhongliang's Sister
649883	149011	Xiao E
649884	305375	Belinda
649885	309426	
649886	411592	Henry's grandmother
649887	280663	Journalist
649888	141914	Languang
649888	369963	Cao Weilong
649889	214604	Mother
649890	36361	Wan Xia
649890	124879	
649890	131268	Xiao Qing
649891	393496	Meiluan
649892	184312	Zhuang Jingxian
649893	61808	Red Guard 3 (Part 2)
649894	33100	Linghua
649894	167725	
649895	405110	Huang Rong
649896	25911	Nurse
649896	268934	Guan Hanliang
649897	131539	Ticket Agent
649898	323594	Jeannie Tyne
649899	222599	Debbie Jones
649900	97072	La directrice
649901	223720	Anomalie
649902	81658	2nd Visitor
649902	361643	Mary Jones
649903	119821	Lady Lil/Stripper in Red
649904	25578	Herself (pins costume)
649904	67605	Herself
649904	71422	Herself
649904	97589	Herself
649904	97590	Herself
649904	147700	Herself
649904	147703	Herself
649904	197073	Herself
649904	243954	Herself
649904	252167	Herself/Narrator
649904	258048	Dress Designer
649905	304528	Pam
649906	291449	Lisa Morgan
649907	270697	Waitress
649908	264747	Girl
649908	292856	
649909	348753	Sakura
649910	246517	Alexia
649911	27451	
649911	88894	
649911	191963	Mrs. Dibble
649911	193917	Harold's Mother
649911	230370	Mrs. Hopkins
649911	269429	
649911	271611	Cathy, a maid
649911	348380	Edith
649911	368812	
649911	396073	Lily the Maid
649911	399600	Mrs. Whicker
649911	408091	Madame Gladwin
649911	409079	Aunt Ethel Wagstaff
649912	314440	Receptionist
649913	144577	Exercise Class
649914	4815	Kairo 'Kaisa' Heller
649914	6005	Dolores
649914	15957	Matilda
649914	47964	Angelika
649914	57359	Katherine
649914	58017	Miriam
649914	65600	
649914	65934	Margaret
649914	84955	Clare Rigby
649914	107042	Connie
649914	107427	Ellie
649914	124501	Ava Wigram
649914	132181	Cathy Jones
649914	134634	Cleo Coal
649914	160486	
649914	170724	Katherine 'Kitty' Brydon
649914	196353	Sarah
649914	198924	Elise Moran
649914	203642	Sylvia Weld
649914	211500	Queen Guinevere
649914	221245	Young Sally
649914	234058	Dr. Megan Pillay
649914	241898	Olga Larina
649914	249265	Emma
649914	261434	Blanche Glover
649914	275390	Lizzie
649914	278702	Sarah Trevanny
649914	281562	Allison
649914	282425	Girlfriend
649914	360055	Young Mary
649914	381212	Colette
649914	390270	Colette
649915	64786	Northam Leslie
649916	374589	Swimmer
649917	46355	Herself
649917	87282	Rosa Negra Singer
649917	223905	Herself
649917	358807	Herself
649918	9880	Herself
649918	9881	Herself
649919	83616	Katy
649919	130853	Vegas Kate
649919	191692	Janet Girard
649919	214152	Squidge
649919	259757	Mrs. Porter
649919	289192	Mrs. Magie
649920	77210	Bryony Blackstone
649920	384477	Grace Sleight (2003)
649920	387533	Carly Burgess (Foster child) 
649921	68232	Lisa McDowell
649921	168776	Jacqueline
649921	179419	Trish Van Hogan
649921	179423	Trish
649921	249027	Herself
649921	262589	Arlene Chattan
649921	367541	
649921	378868	Juanita Barnes
649921	379716	Officer Mimi Reed Frye (1991-
649921	390045	
649921	390045	Zina
649921	390771	Felicia Boudreaux #1 (2001-20
649922	1524	Susan Parish
649922	16099	Dr. Mary Guinan
649922	20591	Katrina
649922	26079	Zootie
649922	30474	Vivian
649922	30734	Aunt Ruth
649922	46334	Francine Pefko
649922	69416	Karen
649922	79023	Caitlin
649922	87428	Janet Colgate
649922	88867	Miss Debbylike
649922	99067	Joan
649922	104549	Samantha
649922	108530	Trelis, Truman's Wife
649922	118298	Lola
649922	126663	Detective Theresa Walsh
649922	132813	Adele Ratignolle
649922	201597	Trish
649922	217134	Helen Tatelbaum
649922	219558	Joyce Urbanski
649922	220960	Iris Holland
649922	224224	Vickie Talley
649922	226504	Renée Lomax
649922	240507	Chelsea Thayer Wayne
649922	243273	Charlotte
649922	248143	Kate Madden
649922	265808	Joyce Patton
649922	267568	Hooker
649922	271342	Anne Marie Purdy
649922	287285	Ingrid Green
649922	289229	
649922	289725	Herself
649922	293637	Olive
649922	296543	Rita Robbins
649922	313762	Cora
649922	333391	Therapist (Dava Adair)
649922	362543	Gloria
649922	365960	Dallas Wayne
649922	367892	Brita
649922	369427	Barmaid
649922	387583	Francesca Pinoni
649922	387728	Dr. Abby Keaton (1996-1997)
649922	390109	Helen McCormack
649922	395933	Elmira
649923	330269	Woman
649924	384242	Carmie Batista
649924	389046	Additional Voices
649925	129829	Drunk Satano
649926	80500	Barmaid
649926	115233	
649926	116518	Harriet
649926	131410	Woman
649926	138800	Phyllis Gardiner
649926	141683	Disgruntled Housewife
649926	147429	Ann Donovan
649926	158182	Mrs. Peddle
649926	166635	Mrs. Clark
649926	188220	Lady in Butcher Shop
649926	192570	Mrs. Pocock
649926	201433	Mrs. Spanager
649926	255261	Isabella Wardle
649926	263514	Ethel
649926	320597	
649926	321261	Minnie
649926	332768	Annabella, farm girl
649926	360708	Linda
649927	17073	Granny (new movie)
649928	69405	Linda
649928	202920	Eileen
649928	282037	Nurse
649928	323385	Mary Ford
649928	334307	
649929	11911	Nurse
649930	193882	Sheila Groome
649931	134942	Ellen Mueller
649931	265901	Mmme Levesque
649931	403319	Queen Victoria
649932	358277	Sister Superior
649933	383018	Katie
649935	183722	Wedding Dancer
649935	298079	Young Margaret
649936	361298	Herself
649937	66897	Specs
649937	316753	Commuter
649937	327724	Janet
649937	356474	Extra
649938	117550	Fiona Simpkins
649938	224714	Crisparkle's Maid
649938	411133	Ililda
649939	116548	Specialty Dancer
649939	118764	Herself
649939	240437	Dancer
649939	302721	Undetermined Role
649940	80715	Girl #3
649940	399130	Crystal Marker (1987)
649940	402197	Barbie Cox (1985-1986)
649941	2774	Casey
649941	80943	Lady in Bar
649942	327829	Lukie
649943	5092	Second Waitress
649943	26397	Nurse #1
649943	116675	Lab Assistant
649943	279483	Clothing Store Cashier
649943	303904	Santa's Helper
649944	227341	Sally McDonald
649944	227343	Simone Mueller, Madeline
649944	227344	Paula Santos
649944	227347	Professor Hotchkiss
649945	358560	Laura
649946	10750	Nanny
649946	35604	Loretta Bosworth
649946	59350	Mrs. Karno
649946	118021	Mrs. Battot
649946	131797	Gladys Rigby
649946	150587	
649946	210514	Ward Sister
649946	254889	Mrs. Dawson
649946	259778	Mrs Payson
649946	260329	A nun
649946	305381	Edie
649946	348354	Angela's Mother
649946	365616	Nurse
649946	382279	Mrs Wynn
649946	382838	Ruth Sweeney (1992-1994)
649946	385132	Nursemaid
649946	387060	Mrs. Cochrane
649946	391768	Dora Wheelwright
649946	396623	Mary Peel
649946	398495	Alice Finch (1993)
649946	400546	Bride's Mum
649946	401725	Beryl Chapman
649946	402799	Ruth
649946	403992	Iris Harvey
649946	408637	Mari
649946	410219	Rosine
649946	411832	Linda
649947	69382	Miss Uncliff
649948	14274	
649948	77458	
649948	168295	Counsel
649949	46242	Peggy
649949	169814	Pauline Williams
649949	178283	Woman
649949	185703	Cora Bell
649949	197067	Madelyn Pugh
649949	201697	Herself/Pauline Williams
649949	288934	
649949	321788	3rd Woman in Ted Hughes' Lect
649949	378767	Co-Host
649949	393247	
649949	405209	Nurse Carmen Roberts (1993-19
649950	149287	Lost Boy in play
649951	138555	The Mother
649952	49656	Playboy Bunny
649952	113641	Serina Fox
649953	28790	Gladys
649953	342728	Nancy Sayers
649954	183868	
649954	243653	Euphrosyne
649954	388596	Fiona
649955	13825	American Chai Groupie
649956	78168	Blonde
649956	244913	Mrs. Betty 'Bubbles' Laurel
649956	309027	Passenger
649957	327838	Dr. Betty
649957	327839	Dr. Betty
649958	106016	Lover #2
649959	12203	Mrs. Parsons
649959	20435	
649959	90423	Susan
649959	102247	Administrator
649959	120233	Mrs. Romley
649959	178920	Commissioner Ruth Daniels
649959	190690	Hospital administrator
649959	192278	Miss Roffman
649959	192833	Sara Taylor
649959	217532	Ellen Rydell
649959	222611	Justin's Mother
649959	263057	
649959	356351	Sharon Barnes
649959	360891	Elaine Garfield
649959	366959	Ruth
649959	372203	Margaret
649960	81770	Hadley Brood
649961	288435	
649962	114313	Employment Agent #1
649962	211529	New Year's Partyer
649962	244918	Betty Adams
649962	245219	Woman in Lobby
649963	200052	Sister Jude
649964	217513	Samantha
649965	390145	Cheerleader
649966	50372	
649967	214124	Joan Stevens, as a young girl
649968	404608	Herself (2002)
649969	332771	P.A. #1
649970	303522	Nicole Dreyfus
649971	303868	Laura's Mom
649972	199405	1st Guest
649972	333514	Taco Bell Girl #2
649973	184521	TV reporter
649974	381821	Ensemble (1978-1980)
649975	7177	
649976	303363	Dorabell
649977	245331	Suzy
649978	1648	Joan Marshall
649978	2698	Mrs. Eloise Collins
649978	88301	Herself
649978	139082	Julie Cavanaugh
649978	140818	Doris
649978	150575	
649978	169167	Girl at Ringside
649978	194229	Tourist
649978	214969	
649978	277913	Entertainer
649978	292169	Jean Varick
649978	313295	Mary Andrews
649978	316900	Sally Monroe
649978	370587	Rita Edwards
649978	375275	Mary Healy
649978	392879	Herself
649978	397044	Herself/panelist (1955-1956)
649978	401299	Hostess
649978	401301	Mary Lindsey
649978	406395	Hostess (1951-1952)
649979	44755	Shona's Mother
649980	372244	Mrs. Riley
649981	25371	
649982	42842	Kay Colvin, Best Sound Winner
649982	47191	Intensive Care Sister
649982	62035	Adele
649982	141544	Bosko's Date
649982	207906	Randi McGowan
649982	237465	Hotel receptionist
649982	266708	Vera
649982	321273	Charlene
649982	329906	Reporter #2
649982	344661	Kristin Halsey
649982	363772	Girl
649982	382218	Vicki Staretski
649982	389858	Tammy Carson #1 (1998-2000)
649982	396056	April Nardini
649982	411532	Mrs. Earnshaw
649983	270645	Herself
649984	80951	Sara
649984	200371	Molly DeVane
649984	251437	Jass
649984	318358	Stephanie
649984	379730	Jazmina 'Jaz' Hillerman (1998
649984	381482	The Demon Iara (2000-2001)
649985	91522	Young Agnes
649986	16636	Jackie Morgan
649987	238658	Mrs. Blackmore
649988	234019	Lillian Gaines
649989	130316	Newlywed Deidre
649990	185860	Margaret
649990	267511	Richard's wife
649991	232858	Jenny Taylor
649992	285286	Nikki
649992	381685	Violet
649992	387533	Susan Wilde (1996)
649992	408638	Mrs. Franklin
649993	144540	Newsreader
649994	24793	Alyssa Meade
649995	1707	Themselves - Performers
649995	342308	Dancer
649996	120106	Maria
649997	176525	Colonist
649998	37788	Arlene
649998	51482	Officer Sanderson
649998	51800	Wally
649998	56435	Parent
649998	87893	Voting Wife
649998	110319	Flight Attendant
649998	141689	Nurse
649998	143824	Nurse Roberts
649998	154943	Fran
649998	194116	Innkeeper/Reporter
649998	280000	Ms. Limberger
649998	281769	Sister Magdala
649998	282667	Gwendolyn Carrington
649998	283424	Karen Simmons
649998	408234	
649999	131729	Mrs. McLaren
649999	163620	Auntie Vee
649999	198878	
649999	257983	Old Gypsy Lady
649999	331607	Anfissa the nana
649999	339877	Shopkeeper
649999	386711	Mrs. Field
649999	393439	Granny Power
649999	393811	Drusilla Fawley
649999	408370	Mrs. Polouvicka
649999	410846	Miss. Marlbury
649999	411152	
650000	108001	Woman at Party
650000	222634	Mrs. Eula Baker
650001	87936	Rita
650002	47007	Sister Young
650003	85012	Betty
650003	133136	Mother
650003	169363	Janis
650003	175047	Grace
650003	203570	Mother
650003	255647	Jill Leapardskin
650003	289634	Lizzie, Landlady
650003	293196	Clarice
650003	348943	Mystic Mum
650003	353496	Helen
650003	358286	Mrs Boring
650004	45831	Laura
650004	229865	Sue
650004	245236	Susan
650005	360055	Julie
650006	149353	Herself (High school guidance
650007	77835	Susan
650008	190689	Joan Meyers
650008	372736	Joan Meyers
650009	127273	Shawnette
650009	165506	Dancer ("Runaway")
650009	165507	Party friend/dancer
650009	165515	Herself/dancer
650009	192748	Confessional Dancer #6
650009	237006	Dancer
650010	121529	
650012	5527	Sally Fraser
650012	44516	Mrs. Banks
650012	80716	
650012	81127	
650012	89686	Max
650012	95510	Riva Malloy
650012	113296	
650012	118981	Constance
650012	169170	Teacher
650012	194564	Loretta Muscatine, ALD Founda
650012	215174	Mrs. Perlili
650012	223885	Stella
650012	234226	Linda
650012	240325	Jo Thueson, York's Nanny
650012	314684	Mouth's Mom
650012	342924	Morris Franklin/Girl in Ed. R
650012	359186	Prof. Tracey
650012	387981	Margaret Fouch (1990-1993)
650013	411355	Lydia
650014	224602	Clara Pennyquick
650015	71466	Karen
650016	279092	Kate Cummins
650016	399249	Jill Stone (Sep.-Oct. 1979)
650017	272935	Mrs. Needlemyer
650018	67163	
650018	119493	Mazie
650018	239518	
650019	343907	Reporter #4
650020	26563	Maenad (chorus)
650020	48876	Suzanne
650021	2657	Student
650022	241774	Alien Theory Woman
650023	239756	Car 54 Racer
650024	262518	Loris
650025	69661	Nanon
650026	81086	
650026	134515	Margaret Rogers, The First Vi
650026	265611	Computer woman
650026	276867	Pat
650027	358031	Tumbler
650028	402092	Laura
650029	405489	Clare
650030	71664	Gypsy Dancer with Circus
650031	115326	Lyda Perl Shindley
650031	140540	
650032	317928	Victim
650033	70397	Jennifer Regan
650033	328788	Mrs. Hathaway's Sister
650034	34087	Mrs. Harvey
650035	333290	Duest
650035	335512	
650036	130960	Rosie
650036	388209	Ava Spillane (1997-1999)
650036	397614	Mia O'Sullivan
650037	385013	Drug addict at meeting
650038	108580	Tina
650038	137650	Kira Clemens
650038	269848	Nubile
650039	241772	Ruth
650040	365937	WPC Longman
650041	687	Herself
650041	1703	Herself - Presenter
650041	38340	Doyle's Mother
650041	57560	Fidget's Mom
650041	74259	Wanda's Mother
650041	87432	Paige
650041	157521	Herself
650041	250874	Herself
650041	251646	Lynn Wentworth
650041	255401	Herself
650041	292122	Alana
650041	294798	Juror #8
650041	385285	Herself (in bank survellance 
650041	388268	Herself
650043	346329	
650045	347200	Alice
650048	35237	Herself
650049	363949	
650050	81245	
650052	41632	
650052	81925	Herself (Kelsey Heart)
650052	102826	
650052	116013	Herself
650052	123831	
650052	128694	
650052	182951	
650052	228011	
650052	228065	
650052	237135	
650052	240980	
650052	241765	
650052	242055	
650052	242554	
650052	247989	
650052	273298	
650052	324440	
650053	66109	
650053	236877	
650053	302940	
650054	306917	
650054	372471	
650057	20625	Extra
650057	213142	
650058	44853	
650058	330744	
650058	333241	1st Tool Time Girl
650059	154817	Teacher's Pet
650059	375694	Pam
650061	6721	Herself - Host
650061	26927	
650061	46341	
650061	72778	
650061	95799	
650061	114015	
650061	149328	
650061	149400	
650061	160240	Himself
650061	245782	
650061	266674	
650061	293017	
650061	295979	
650061	321032	
650061	344648	Herself
650061	360053	
650061	365495	
650062	299317	Herself
650063	39404	Shipping Office Customer #1
650064	14914	Marge Apple
650064	44493	Andrea Lombardo
650064	206477	Sheila
650064	379010	Tawnia Baker (1984)
650065	358364	Susie
650066	330444	Intensive Care Nurse
650067	279979	
650068	71942	Drusilla/Virtù
650068	211836	Soprano
650069	60194	
650070	90307	Maid
650071	13882	Margie
650072	40343	Harriet
650073	39562	Gale Southern
650073	54933	Sue
650073	146854	Young matron
650073	183440	Wife
650073	183822	Flossie
650073	187951	Eloise
650073	198962	The Blonde
650073	221001	Girl
650074	113348	Sasha
650075	218442	Skinny girl
650075	264158	Private School Student
650076	170157	Daughter
650077	26256	Baby Sophie
650078	262622	Honorable Muriel Wood
650079	215508	
650080	368190	Karen Horsefield
650081	22016	Terri Richards
650081	46959	Meg Brockie
650081	86031	Miep(Hermine 'Miep' Santrousc
650081	89159	Sandra
650081	117987	Nun
650081	292285	Sue Bushman
650081	361182	Felice
650082	57169	Nurse
650082	141132	Gold-digging widow
650082	273781	
650082	313076	Dancer
650083	34729	
650083	123709	Maria Alexis
650083	202979	Matthew's wife
650083	213313	Hippolyta
650083	350115	Nightclub Singer
650083	381308	Emma Haredale
650083	381661	Herself/Various Roles (1969-1
650084	18617	Young American Girl
650085	41157	Herself
650085	74230	Maureen Whitman
650085	112744	Ann Marlowe
650085	208087	Sarah Lowes
650085	237828	Elizabeth Markham
650085	330366	Julie Slade
650085	342868	Ethne Burrows
650085	369184	Isabella Linton
650085	390887	Jenifer Caldwell/Hadleigh (19
650085	408960	Rolli Johnson (1969-70)
650085	410216	Franca
650086	252852	Party Girl
650087	200052	Dormitory girl
650088	209210	Zombie
650089	245973	Mrs. Hart
650089	314507	Zita's mother
650089	385020	May Hardman (1960)
650089	410219	Mrs. Bretton
650090	106666	Masked party principal
650091	26256	Baby Sophie
650092	381540	Rachel Rogers
650093	127112	An Old Lady
650093	141454	
650093	193900	Audience
650093	211479	Medium
650093	382694	Mrs. Broadley
650094	223764	Barmaid
650094	346838	Maid at 'Two Friars'
650095	192171	Lavinia
650095	368675	Sophie Hattrick
650096	153001	Peter's Secretary
650096	272675	Felicity
650096	368675	Misty Meadow
650096	385627	Fiona Cutts
650096	394453	Jill
650096	408638	Reporter 1
650097	45050	Girl at stream
650098	325242	Mrs. Spaghetti
650100	407815	Herself (Single) (2001)
650101	211842	Student
650101	328263	Alice
650102	2476	Diana
650102	99164	Perfume Clerk
650103	52007	Martha Cruickshank
650103	216772	Social Worker
650103	267932	Secretary
650103	281911	Social Worker
650104	23578	Jane
650104	229311	Jane
650105	97727	Neighborhood Extra
650106	133212	TV Reporter
650107	104752	German entry (8th place)
650108	17067	Jody Cole
650108	41393	Girl
650108	81113	Faith Hagen
650108	316284	Cordet
650109	129551	Catherine of Braganza
650110	82332	Nurse Madeleine
650110	85186	Sheila's Friend
650110	334903	Movie Barmaid
650111	1762	Diana
650111	194683	
650112	47084	Reporter
650113	200492	Chloe (segment "Avarice")
650114	191067	
650114	200919	Maggie
650114	380776	
650114	382297	Herself - Presenter (1979-198
650114	384496	Jenny Barber
650114	395827	Lizzie Dripping
650115	140371	Sophie
650115	190269	Suzy Gumm, adult
650115	368226	Young Sister Teresa
650116	393281	Various Roles
650117	162099	Fairy (Corps de Ballet)
650118	5128	Sandy O'Brian
650118	273800	Kathy
650118	331321	Rachel
650118	382526	Peggy
650118	385105	Stephanie 'Steve' Brennan (19
650118	402905	Sam Kezerko
650118	406918	Lottie Gunther
650118	410643	Constable Fiona Cassidy (1996
650119	12171	Denise
650119	81861	
650119	283888	
650119	372712	
650119	381091	Herself (eliminated round 1) 
650119	381091	Herself (eliminated round 2)
650120	112961	Herself
650121	87795	Girl
650121	164538	Violet Danvers
650121	176514	The Girl
650122	334304	Edna
650123	91758	Lola Dietrichson
650123	94881	Herself
650123	130352	Carol James
650123	185616	Carol
650123	222775	Elany Fleagle
650123	228272	Betty
650123	244842	Frances Smithers
650123	274355	Cindy Smith
650123	361294	Wickley
650124	54214	Anna
650125	17697	Mrs. Walter Pringle
650125	230083	Miss Bartlett
650125	253339	Mrs. Jeffries
650126	189265	
650126	253021	La Traviata Singer
650126	297267	Audrey
650126	323611	Head Nurse
650126	334293	Terri Lyle
650126	374589	Mary
650127	195275	Cindy
650128	13514	
650128	14727	
650128	18959	Helen
650128	21700	
650128	54234	
650128	57437	Alicia Rennick
650128	70653	Diana Newley
650128	77248	Mrs. Burnes
650128	80135	Mary Jennings
650128	81693	Jane
650128	99336	
650128	106750	
650128	195404	Melanie
650128	203890	María
650128	211043	
650128	221760	
650128	245365	Mrs. Preble
650128	248250	
650128	248666	
650128	255438	
650128	324114	
650128	336255	
650128	353611	Victoria
650128	353654	
650128	376737	
650129	28462	Lisa
650129	42020	Anne
650129	42357	Herself
650129	64572	Herself (performer)
650129	74259	Milton's Mother
650129	138821	Xaviera Hollander
650129	164409	Herself
650129	223730	Julie Merriday
650129	238523	Curley's Wife
650129	253121	
650129	274679	Herself
650129	342495	Laura Mae Brown
650129	360382	Herself (at POW homecoming)
650129	363346	Danielle Valerie Miller
650129	385913	Herself (1968)
650129	393610	
650130	25523	Lorna
650130	46267	Phyl
650130	99860	Mrs. Simmonds
650130	130731	Cleaning woman
650130	208040	Elizabeth Taylor
650130	367724	Nurse 2
650130	379746	Mrs. Hart
650130	381059	Sue's Mum
650130	383525	Esme Brookes (1983-1984)
650130	390917	Miss Bloom
650130	391369	Miss Harper
650130	403817	Nell
650130	403818	Nell
650130	412051	Mrs. Spencer
650131	283351	Victim
650132	14620	
650132	17475	Matron
650133	80639	Amy
650134	264157	Paolo's Assistant #1
650134	264158	Gretchen
650135	388722	
650135	407995	Shauna
650135	409194	Bella (1999-) (costume charac
650136	39241	Party girl #2
650137	93074	Katherine
650138	89307	Destiny
650138	315701	Sissy
650139	3251	Performer/Herself
650139	47173	Herself
650139	87597	Performer
650139	96867	Performer
650139	99967	Herself - Liberty X
650139	228302	Herself/Performer
650139	249592	Performer
650139	260291	Performer
650139	273901	Performer
650139	282703	Herself
650139	302625	Herself
650139	311953	Performer
650139	401877	Herself - Liberty
650140	900	Herself
650140	2761	Herself
650140	3165	Herself (presenter)
650140	32654	Brie
650140	57492	Herself
650140	63063	Host
650140	131732	Paula McFadden
650140	161356	Herself
650140	210544	Ellen
650140	214934	Wanda Briggs
650140	230508	Anna
650140	272655	Herself
650140	297763	2nd Dotti
650140	310130	Woman Fan
650140	337123	M.J. Jensen
650140	383743	Herself
650140	387994	Debra Barone
650140	403717	Jill Kurland
650140	405878	Jean Stepjak
650140	411365	Natalie Hollingsworth
650141	161918	Girl
650142	386236	Additional Voices
650143	102931	Martine
650143	295768	Herself
650144	189462	Chloe
650145	276968	Amanda
650146	142375	Mrs. Headmistress
650146	275290	Becca Thomason
650147	85953	Prostitute
650148	75059	
650148	91761	
650148	154187	
650148	171086	
650148	243133	
650148	302173	
650148	312387	
650148	364724	
650149	240325	Customer at Fair
650149	298596	Young Mrs. Hudson
650150	388528	Presenter
650150	389510	Presenter
650151	11196	
650151	282597	Nina
650152	89311	Teenager
650153	213321	Helena
650153	256578	Sister
650154	225585	
650154	300204	
650155	217420	Granny
650156	293756	Stunt Baby
650157	388213	Wordy and Mouse puppets
650158	263576	Mrs. Parker
650159	43381	Kind
650159	248412	Kind
650160	217829	Myriam
650160	291070	Nina
650160	291511	Jany Marton
650160	387697	Marie
650161	224429	Family in Park
650162	360055	Shirley
650163	274292	Veronica
650165	266590	Ruthie
650165	366868	Masseuse
650166	141323	Schoolgirl
650167	67834	White Girl #3
650168	67834	White Girl #4
650169	96973	Girl #2
650170	334260	Naomi
650171	217640	Receptionniste
650171	282556	Coffee Shop Waitress
650172	284527	Young Denise Walker
650173	407082	Herself (15 Days, Jaburu/Tamb
650174	1020	Accident Girl
650174	354563	Mary Mime
650175	96973	Girl #4
650176	66227	
650177	219539	Jataaka (Game)
650178	265669	
650180	265402	Schülerin
650181	53743	Regina Duff
650181	216486	
650182	24286	Aurelia
650185	846	#85 Psycho: The Remake
650185	2816	Nominee for Best Performance 
650185	7006	Mary Jane Wilks
650185	8096	Sharon
650185	13589	Denise
650185	24137	Lucy
650185	33030	Herself
650185	38645	Clara
650185	80631	Emily Parker
650185	90771	Maggie Pistone
650185	96555	Herself
650185	128707	Jennifer
650185	132475	Rowena Lawson
650185	154309	Melissa 'Missy' Egan
650185	154869	Claire
650185	155888	Christine Cullen (segment "19
650185	161838	
650185	168586	Rebecca Payne
650185	170980	Juliet
650185	174006	Herself
650185	177651	Aileen Dumont
650185	213963	Betty
650185	232810	Miss G-String (The Guitar Wom
650185	237493	Marie
650185	241461	Capt. Mary Jane O'Malley
650185	255399	Amy
650185	266200	Dr. Sterling
650185	266575	Marion Crane
650185	276875	Beth Eastern
650185	296273	Gwen
650185	302235	Tanny's Playmate
650185	303447	Robin Monroe
650185	330530	Roxane
650185	356472	Dr. Amy Barnes
650185	358114	Winifred Ames
650185	358638	Laura
650185	365430	Alex Lee/Johanna
650185	379802	Melanie West (2001)
650185	380391	Marley Love Hudson McKinnon (
650185	386414	Herself
650186	187627	Hermanita de Sylvanus
650187	380430	
650188	118645	Carla
650189	314811	Gepierctes Mädchen
650190	361248	Steve's Girlfriend
650191	107740	Inge Wagner
650192	110237	Woman
650193	27153	Krissy Tate
650193	208527	Young May
650193	220537	
650194	115269	Linda Douglas
650195	121615	Kid
650196	340754	Mrs. Freedman
650197	31500	Gina Pomeroy
650197	53282	Nancy
650197	65754	Meter Maid
650197	97644	Party Girl
650197	108350	Arlene
650197	153565	Newscaster
650197	161352	Herself
650197	232213	Charlotte Koogle
650197	238287	God
650197	241604	Cy Watson
650197	312557	Judith
650197	323564	Deanne
650197	346912	Vickie
650197	366954	Barbara Shiller
650197	388005	Emily Cabot
650197	391246	Patty (1988)
650197	391708	Melanie
650197	397077	Panelist (1980)
650197	398232	Jean DaVinci (1979-1981)
650198	5987	Millicent Egelhofer aka Daisy
650198	167061	Gang Member
650199	15861	Natalie
650199	22849	Laura
650199	63130	Sister Mary
650199	78825	
650199	117809	Eliot
650199	134288	Man's Wife
650199	139788	Miss Ruth Kelly
650199	141965	Chloe
650199	161167	Katie
650199	168306	Annie
650199	170540	Carol
650199	176276	Ticket Woman
650199	289092	Randi
650199	295320	Architect's Receptionist
650199	405435	Janeane Percy-Parker (1995-19
650199	410868	Besty Morgan Ludlow (season 1
650200	37696	Queen Numnum
650200	155272	Ms. Zemrak
650201	401771	
650202	204583	Suburban Family
650203	42854	Bored knitter
650204	108937	Verena
650204	241605	Armani Woman
650205	12569	
650205	30841	
650205	120946	
650205	136178	
650205	147257	Olympia, Automat
650205	171862	
650205	173117	
650205	173172	
650205	227478	
650205	265119	
650205	281626	
650205	282198	
650205	293800	
650205	306475	Annemarie
650205	317266	
650205	350657	
650205	364992	
650205	375944	Vera Krylova, bride elect
650205	376005	
650205	376019	
650206	19808	Russian Soldier
650206	73247	Young Mom
650206	80460	The Daughter
650206	149903	Snjofridur
650206	323841	Snjófridur
650207	325688	
650208	103642	Woman with newspaper
650208	150786	Lisa
650209	345929	Herself - Producer
650210	2075	Rosemary
650210	2572	Herself - Best Supporting Act
650210	3046	Herself (Memorial Tribute)
650210	11553	Aunt Hannah Lynch
650210	27346	Hortense Daigle
650210	36773	Sister Clara
650210	46530	Mabel
650210	50037	Roz Allardyce
650210	50097	Vera
650210	50620	Mrs. Baker
650210	89633	Kristine Lind
650210	106746	Ma Barker
650210	106748	Eleanor Roosevelt
650210	114298	Catherine MacDuggan
650210	123460	Martha Brewster
650210	141406	Little Mary
650210	142508	Mrs. Lorna Hathaway
650210	144698	Katie
650210	150379	Alma's Friend
650210	150874	
650210	214932	Grace Ullman
650210	224317	Ethel
650210	234075	Mrs. Brummel
650210	273920	Mrs. Griffin, Steve's Grandmo
650210	293637	Funeral Woman #1
650210	307985	Mrs. Ida Barbella
650210	317312	
650210	318195	Mrs. Malloy
650210	319255	Bertha Hayden
650210	322761	
650210	338917	Sally Dunning
650210	339833	Jessie Mae Watts
650210	340034	Shelley
650210	344474	Sarah McNeil
650210	348375	Henrietta Pastorfield
650210	353402	Mrs. Hawkes
650210	363911	Three Bag Lady
650210	373881	Ma Allan
650210	380371	Emma Heckart
650210	381110	Eleanor Roosevelt
650210	388843	Mother Emma Buchanan
650210	390922	Kristine Linde
650210	398567	Frances Wyler (1996)
650210	400236	Ruth Perkins (1986)/Wilma Ber
650210	400551	The Boss Angel
650210	400908	Jeanine
650210	408765	Nurse Decker
650211	283957	
650212	375980	The Daughter
650213	88120	News Reporter
650213	167876	Meghan Edwards
650214	78182	Starlett
650215	3817	Herself/Interviewed
650215	66196	Herself
650215	118857	Herself
650215	161505	Ships Waitress
650216	241538	
650217	325192	Schwester Renate
650217	378542	Moni
650218	402720	Bénédicte
650219	374198	Tiller girl
650220	45503	Melinda
650221	48556	Esther's girl
650222	354371	
650223	122393	
650224	220249	
650225	285032	Indian Woman
650226	167013	Grandma
650227	306950	
650228	55008	
650228	55595	L'entraîneuse
650228	69518	Annie-France
650229	57408	Hot Lips Hector
650230	242028	
650231	313939	Angel
650231	356325	Girl
650232	166662	Helena
650233	244379	TV Reporter
650233	267568	Popcorn Seller
650233	316411	Secretary
650234	405209	Leila Ali (2001)
650235	322313	Woman in bar
650236	164783	Sister
650237	171578	Sylvia, Inger's sister
650238	47176	Mrs. Burenberg
650238	115430	Marie Brummell
650238	214220	Mrs. Brehmer
650238	237258	Mrs. Munthe
650238	301218	Mrs. Malling
650238	303950	
650238	346962	Mrs. Märta Bergfelt
650239	136404	Mrs. Ekberg's son
650240	259354	
650241	100477	Security guard
650241	128954	Meg
650241	182101	Secretary
650241	191171	Stella
650241	213295	Hippolyta/Titania
650241	303652	Mamman
650241	353442	
650241	354595	Emily
650241	379599	
650241	381054	Martina Bosson
650241	388309	Lisbeth Holde, Valdemars hust
650241	390854	Anna Stjärnhök (segments 1-5)
650241	401773	Greta Faxén
650241	408748	Anna
650242	271760	
650243	374259	Sonia
650244	120123	New York waitress
650245	97388	Dancer
650245	220653	Julie Christie
650245	291222	Girl in Dorm Hallway
650246	47007	Sister Young
650247	104825	
650247	320726	Sally, maid
650248	181765	
650249	93514	Mette
650250	218084	Teacher's Daughter
650250	248425	
650250	342299	Mona
650250	410281	Ina Wendela Sofia (Fia) Pette
650251	182298	Marianne
650252	385904	Herself - Host (1998-2004)
650253	390857	Skøgen
650254	78475	Herself (performing "Swingtim
650254	78476	Herself (performing 'King Kon
650254	138522	Herself - Performer/Various r
650255	134263	Young woman at the party
650255	236228	Woman at the dressmaker's sho
650255	324807	Script supervisor
650256	164770	Nurse
650257	65207	Clarks mor/mamma
650258	65207	Clarks søster
650259	117461	Camilla's Mother
650259	382884	Jacobine Friis
650260	76377	Nina
650260	142712	Dame i tog
650260	143022	Anita
650260	198058	Mor til deltager i skønhedsko
650260	253942	Gæst hos Peter von Scholten
650260	320428	Dinna
650260	321762	
650261	51297	Ole Elveplassens kone
650261	108858	Marja, spåkone
650261	184205	Batzeba, syngpike
650261	237071	Hans kone
650261	264300	rødrenes mor
650261	315378	En kone
650261	334226	Pensjonær
650261	347003	En arbeiderkone
650262	138950	Eva
650262	187010	Judith
650263	320150	Herself
650264	362817	Arabella
650265	304199	X-ray Nurse
650266	238742	Mrs. Eriksson
650267	62449	
650268	97105	Kallskänkan
650268	108633	Ekdahlska huset - Aunt Emma
650268	135673	
650268	320606	
650268	320629	Fair Inga-Lill
650268	321971	Mrs. Storck
650268	382321	Majken Olsson
650268	391363	
650268	398195	Neighbour in holmstad
650268	403914	Ingeborg
650269	681	Girl at Andersson-Grips party
650269	9543	Young actress
650269	48367	Maid
650269	134965	Young woman with glasses and 
650269	322664	Clerk
650270	30205	
650270	47999	
650270	111338	Britt
650270	152757	Mrs. Putnis
650270	154691	
650270	170708	Claire
650270	217415	Sällskapsdam
650270	218254	Girl
650270	254215	The Widow
650270	267579	Augusta Swifton
650270	342316	Herself
650270	353442	
650270	355641	Karin Bull Hedlund
650270	380343	mamma Holt (1996)
650270	396218	Lill Björklind
650270	399873	Receptionist
650270	405570	Lillemor Blom (1996-1999)
650271	11315	Ester
650271	30163	Mrs. Niva
650271	48364	Ella Olsson
650271	51929	Ali Baba's Wife
650271	108202	Kisse
650271	173188	Greta, house-maid
650271	182566	Barbro's mother
650271	183998	Inger, hans datter
650271	203100	
650271	210372	Elsa
650271	219842	Elin Dahlberg
650271	225328	Mrs. Lisander
650271	225331	Kalle's mother
650271	268343	
650271	270952	Stina
650271	284135	Stina
650271	304403	Inga
650271	321510	Lena Larsson
650271	321927	Young Synnöve
650271	321928	Ingrid Solbakken
650271	322297	Lillemor Bergling
650271	337888	Switchboard operator
650271	338674	Marianne Ek
650272	397783	Marianne
650273	410041	Herself/Referee (2004)
650274	174119	
650275	91136	
650276	189529	
650277	333443	Flapper
650278	16642	Young Poppy
650279	224323	Kelly
650280	215563	Servant
650281	395895	Hostess
650281	406245	Herself
650281	409309	Host
650281	409310	Herself (2001)
650283	80583	Actor/Fairy
650283	314158	Robin's Daughter
650283	389923	Nelly - Age 16
650284	125557	Baby
650285	44465	Lawyer's Secretary
650286	410539	Eva Stuart
650287	298091	Model
650288	272588	Gwen
650289	317307	Ashley Simon
650290	51791	Medical Student
650291	34130	
650291	127059	Fatma
650291	213388	Amina
650291	285696	Khedija
650291	345564	Wassila
650292	211117	
650292	376626	Heidi Lauffer
650293	98752	Lesbian
650293	107257	
650294	109139	Marie's Mother
650294	153170	Baboo's Mother
650295	404768	Additional Voices
650296	1087	Rochelle
650296	33646	Jane (at 22)
650296	78317	
650296	151762	Young Mary Howard
650296	154553	Dagmar
650296	163414	Kati Szabo
650296	171134	Hillary Girl
650296	192410	Girl
650296	210501	Helen
650296	216802	Miss Perry
650296	273183	Amos' Child
650296	360191	Julie as a Child
650297	93220	Secretary
650298	29681	Tanya Yazzie
650298	140519	Spirit
650298	285032	Little Dos
650298	366100	Tashina
650300	168964	
650301	40144	Catherine Parmel
650301	139210	TII receptionist
650301	208386	Rebecca
650301	242431	C-5 Tech #1
650301	277643	Party Guest
650301	304752	Brunette Actress
650301	313114	
650301	395021	Firefighter Kay Rizzo
650302	210363	Herself
650303	377428	Singer of 'Hep Stars'
650304	114145	Teacher
650304	121546	Mrs. Mayflower
650304	301626	Mitch Rivers' Wife
650305	14860	
650305	16798	
650305	19220	Cashier at sex cinema box off
650305	20221	
650305	35012	
650305	64772	
650305	68646	
650305	69002	Gloria Lamborghini
650305	82417	Elisabetta
650305	82419	
650305	82440	
650305	108877	La 'Contessa'
650305	110385	
650305	125037	
650305	156964	
650305	168235	
650305	191149	
650305	204229	Eugenia Fabiani
650305	205471	
650305	205864	
650305	205866	
650305	205867	
650305	205869	
650305	205876	
650305	205880	
650305	211802	
650305	217124	Signora Bigotti
650305	217904	Rossella
650305	252767	
650305	257528	
650305	263297	
650305	265505	
650305	269499	
650305	318225	
650305	321682	
650306	74672	Alice Renlow
650307	255866	
650308	169542	
650309	210337	Herself
650310	95272	
650310	102897	The Baron's Friend
650310	350042	The Lady
650311	311923	Convenience Store Clerk
650312	311923	Prison Extra
650313	3864	Herself
650313	7584	Herself
650313	11084	Herself
650313	12021	
650313	38590	Helen
650313	38614	Melanie Daniels
650313	46287	Mom
650313	64734	Jessica Weiss
650313	71666	Martha
650313	79042	Martha Jackson
650313	79081	Mary
650313	80834	Chastity
650313	106157	
650313	118549	Elizabeth Morgan
650313	138114	Herself
650313	139577	Margaret Tenhausen
650313	147768	Herself
650313	154271	Mary Jane Hutchinson
650313	154822	Maylinda Austed
650313	155243	Lady
650313	155310	Mrs. Kelly
650313	158138	Clara
650313	159421	Dr. Marcia Stevens
650313	160975	Herself
650313	161207	Herself
650313	170409	Julie McNeal
650313	190260	
650313	202902	
650313	206255	Marnie Edgar/Margaret Edgar/P
650313	214456	Dr. Wilma Randolph
650313	220994	Maggie Kingstreet
650313	222218	Dottie
650313	246222	Florence Peters
650313	253363	Beverly Courtney
650313	254283	Ice Box Petty Girl
650313	271343	Granma Babe
650313	275872	Dixie
650313	275879	Archive Footage
650313	276838	
650313	276855	Arleen
650313	279533	Madeleine
650313	281898	Rose
650313	288460	Marla Oaks
650313	291417	Herself - Interviewee
650313	291880	Herself
650313	291974	Dr. Michelle Labner
650313	296768	Mrs. Mathewson
650313	315779	Lillian Glosner
650313	316953	Grandmother Adams
650313	326382	Grandma Rae
650313	328211	Evelyn Hill
650313	328553	Melanie Daniels (The Birds)
650313	331891	Mrs. Bellano
650313	332769	Rita Armstrong
650313	338732	Lettie Hollister
650313	340555	Herself
650313	382419	Helen MacClaine (#1) (1990-19
650313	386571	
650313	392967	Mrs. McAllister
650314	390236	
650315	400112	Olivia Twist
650315	412286	Steffi
650316	122393	Helga
650317	316125	Yvonne Martin (segment "Segue
650318	128782	Herself
650319	281397	Meditation Leader
650319	386236	Additional Voices
650319	404138	Ayame Fujieda
650320	37057	Pretty Girl
650321	4597	
650322	445	Lola
650322	49506	Inger Andersson
650322	214648	Ben
650322	310800	2nd Waitress
650323	9543	Theatre visitor
650323	12010	Randel's guest
650323	34222	Guest at cabaret
650323	48367	Guest at the wedding
650323	89470	Guest at the restaurant
650323	115382	Woman
650323	115400	Mrs. Swahne
650323	142837	Guest at Restaurang Bristol
650323	154509	Guest at the hotel
650323	164651	Mrs. Olsson
650323	166753	Dorothy Smith
650323	182257	Older man's wife
650323	182464	Guest on Restaurang Intime
650323	198265	Teacher
650323	293314	Höjer's hostess
650323	306371	Restaurant guest
650323	307760	Guest
650323	308802	Mrs. Holmgren
650323	312697	Guest at the masquerade
650323	322310	Vicar's wife
650323	337888	Woman in the audience
650323	338708	Guest at the restaurant
650324	131730	
650324	319302	Iiris
650325	4648	Lena
650325	22110	Emanuelle
650325	40919	A girl
650325	107326	Bertha
650325	126114	Waitress
650325	129273	Amanda Wingfield
650325	144002	Lisa Gret
650325	170837	Marianne
650325	178827	Edit Fürst
650325	180392	Olsson's Daughter
650325	200866	Helen
650325	250696	Mary
650325	275867	Lucille
650325	321971	Ebba Livin
650325	325074	Mariane
650325	333081	Inga
650325	335896	Tamara Kusenov
650325	354677	Rosa
650325	355657	Mona's Mother
650326	12309	Nell Potter
650326	13576	Nurse Feinstein
650326	35236	Elizabeth
650326	115100	Patty's mother
650326	194683	
650326	295032	Analyst
650326	296972	Mrs. Whitehurst
650326	346004	Maureen
650326	380713	Deena Silva (1998, 1999)
650326	392459	Gwen Bedford
650327	67968	Herself
650327	88078	The Harlettes
650327	286338	Herself (The Harlettes)
650328	349787	
650329	33960	Kampeerster
650329	76764	Medusa
650329	106810	Mrs. Sommer
650329	157663	
650329	175243	
650329	179814	Hoertje
650329	226299	
650329	354088	Verkoopster AKO
650329	376246	
650330	12570	Mvr.Blooker
650331	212084	Kid in classroom
650331	257573	Keisha
650332	219541	Mileena
650332	219546	Siann
650332	310647	Creature Performer
650332	321718	Hostage
650333	94711	Geisha
650334	876	
650334	49434	
650336	822	Gina
650336	100490	Wiske
650336	139719	Loe
650336	180644	Maria
650336	242429	Alie
650336	365113	
650336	373936	
650336	382018	
650336	397554	Dirkje Holman
650337	46529	Leni
650337	141141	Vicki
650338	337183	Marguerit
650339	134672	Flat-tire lady
650339	281464	Cecilia
650340	1705	Kat
650340	191608	Female Partygoer #1
650341	29355	
650341	178638	
650341	225195	
650342	248200	Hoofdverpleegster
650342	284850	Paula
650342	394613	
650342	394912	Prinses Madelein
650342	401863	
650343	5092	School Secretary
650344	366712	Real Estate Agent
650344	382254	Mrs. Mount
650345	144392	Brat #2
650346	4307	Elisabeth
650346	8053	Sietske
650346	126954	Heeralaxmi
650346	126955	Heeralaxmi
650346	139999	
650346	319086	
650346	320388	
650346	357380	Else
650346	367978	
650346	391342	
650346	410850	Elly
650347	262450	
650347	262451	
650348	407815	Herself (Single) (2002)
650349	51129	B II (Sekretärin)
650349	94367	Alte Dame
650349	107774	
650349	132253	Fred's mother
650349	144034	Henriette Weinrebe
650349	166428	
650349	210512	
650349	218231	
650349	231459	Tante Milla
650349	243241	die Gräfin
650349	243810	
650349	287637	
650349	289943	.
650349	290016	Hermine Bruns
650349	294840	Mrs. Holle
650349	314346	Cäcilie
650349	315059	Luise Gottschalk
650349	354478	Frieda Dingelstätt
650349	360655	Moxie
650349	361517	Käthe
650349	376417	
650349	387381	
650349	405351	Die Taube
650350	290165	
650351	56606	Therese
650351	301676	Ingrid
650351	330998	Gwen
650352	85742	Chante
650353	57303	La governante
650354	227549	Teacher
650355	23877	Molly
650355	79623	Anna Melzer
650355	90997	
650355	105523	Maria Mitterer
650355	125157	Conny
650355	138430	Monika Strom
650355	142002	Gudrun
650355	189664	Celine Klein
650355	199992	
650355	226240	Mel
650355	227297	Nana
650355	230190	Lotti
650355	289854	Leni
650355	290549	Tina
650355	290814	Freddy Seeberg
650355	325643	Hannah
650355	325841	Sandra Jellinek
650355	343343	
650355	366515	Kristine 'Tine' Bergmann
650355	376294	Anja Thaler
650355	376575	Julia
650355	378172	Melanie Mölders
650355	380870	Molly
650355	404478	Rosa
650355	411268	
650356	114658	Mrs. White
650356	158514	Cynthia
650356	385823	Woman in NCF office
650356	405696	Mrs Tremedda
650357	53139	
650357	81475	
650357	255924	Scriptgirl
650357	263302	
650357	400217	Elisabeth Ansing (1993-1994)
650358	342669	Bar patron
650359	399180	Presenter
650360	75531	Herself
650361	173831	
650361	183097	Vriendin
650362	225740	Countess Stroganoff
650363	307319	Catrientje
650364	5593	Claudia Carrera
650364	12871	Dr. Freisleben
650364	24390	Zoe's Mother
650364	28371	
650364	32397	Frau Oldenburg
650364	33454	Mascha Krasiwaja
650364	40957	Diva
650364	84589	Margaret Thatcher
650364	85727	Ruth
650364	86400	
650364	90704	Conetessa Lorenzoni
650364	93442	Hildegard Schlüter
650364	108183	
650364	119250	Henriette
650364	122576	Helene
650364	125010	Marios Mutter
650364	129494	Monika
650364	132550	
650364	142105	
650364	155456	Ursula Naglmüller
650364	156048	Christa
650364	173076	Barbara
650364	174752	Dorothee Auer
650364	175406	Charlotte Bastian
650364	184276	Iris
650364	189679	Petra
650364	189776	
650364	199012	Anna Sommer
650364	208198	Olga Hansen
650364	210104	Mutter
650364	211698	Lena's Mother
650364	226175	Tante Adelheid
650364	231461	Gisela List
650364	252327	
650364	281723	Dorothy
650364	306149	
650364	307651	Frau Jentsch
650364	325500	Kriminaloberkommissarin Buchm
650364	325507	Kriminaloberkommissarin Buchm
650364	325512	Dagmar Schuba
650364	325731	Kriminaloberkommissarin Buchm
650364	325784	Kommissar Buchmüller
650364	325919	Vera Maxheimer
650364	334632	Privatsekretärin
650364	335030	.
650364	335486	Countess Marie Kentrovic
650364	338959	Gräfin Rombach
650364	343657	Martha Eysinck
650364	347000	Tilly
650364	350147	Marta Bosch
650364	366549	Sabina
650364	379627	Sarah Baxter
650364	389360	Lilly Rauch
650364	394619	Annemarie
650364	397757	Dr. Matzeit
650364	400364	
650364	411258	Ruth Conners, Englischlehreri
650365	399105	Herself
650366	351293	Stella Maria
650367	68275	White House Aide
650367	391255	Desk Clerk
650368	409825	Amelie Pauws
650369	104197	
650370	56183	
650371	54609	Daphne Bligh
650371	55644	
650371	99918	Marcelle
650371	186230	Kiosk Girl
650371	199712	
650371	229687	Mrs. Matcham
650371	329973	Hospital Sister
650371	382305	Madame Reynard
650372	106023	Sam's Mom
650372	276127	Woman in Bar
650373	16626	Deirdre
650373	397614	
650374	266768	Cafeteria Marjorie
650374	319486	Chicken F**ker
650375	97440	Janet
650376	232483	Party Guest
650376	313357	
650377	294781	Street denizen
650378	113994	Judy
650378	137195	Lillian Hellman
650378	141540	Office Manager Joanne
650378	203263	Sally Cooley
650378	242814	Helen Johnson
650378	307266	Flight Computer
650378	355391	Nurse
650379	55536	Luellen
650379	70304	Ellen Dodds
650380	248258	La dame de l'ascenseur
650381	6735	Cashier
650382	175121	Kirsten
650383	45564	Number Seven
650384	144577	Hostess
650385	80581	Night Nurse
650387	328251	Daphne Miller
650388	186601	
650389	66837	Caylie Jane
650390	194925	
650391	194468	
650392	109365	Lene
650393	3593	Herself/Mona Kane Tyler
650393	11106	Mona Kane-Tyler
650393	186879	Virginia Galilei
650393	217434	Mrs. Frazier
650393	220844	Mrs. Apple Pie
650393	317353	Mrs. Updegrove
650393	379716	Mona Kane Tyler (1970-1994) (
650394	186817	New Age Woman
650394	366425	Female Diner Patron
650395	176810	Amy
650395	220844	Lucy
650396	93752	Sarah
650397	294381	Alice Marshak (student)
650398	67791	Edna Louise
650398	125830	Marie
650398	177369	Young Girl
650398	252853	Sheila Shea
650398	257764	Esther
650398	313323	Quentin
650398	360741	Shelby Munker
650399	44437	Moco
650399	69662	Mrs. Hamilton
650399	98803	
650399	115127	Lambasino's Date
650399	140966	Betty
650399	141187	Nurse North
650399	156970	Dr. Samuels
650399	159765	Barbara
650399	163588	Maisie
650399	195576	Phone Operator
650399	221015	Dora
650399	244923	Emmy
650399	257379	(English-language version)
650399	317353	Sally Updegrove
650399	327227	Young Eva
650399	330762	Pat Gans
650399	347369	Woman Lawyer
650399	406793	Sally, a prostitute
650400	98800	Cricket Spectator
650401	88639	Singer
650403	77459	Herself - Chairman, Playboy E
650403	160464	Herself
650403	257684	Herself
650404	6720	Herself
650404	34930	Herself
650404	177468	
650404	257669	Model
650405	108778	Smuin Ballet/SF Dancer
650406	281941	
650407	17522	Françoise
650407	54243	La tante
650407	87497	Mme Castillo
650407	183232	Anne
650407	232778	Herself
650407	268443	Berginella
650407	278154	Mona
650407	332198	Marie
650407	339079	Herself
650407	370100	
650408	396801	Herself
650409	55207	Frasquita
650409	107489	Tanterabogus
650409	131203	Casilda
650409	340515	Female and Trio
650410	359284	Mrs. Conner
650410	406765	Lily Maxwell
650411	144804	Voice of Laura's Mom
650411	190869	Rescue Lady
650411	259219	Saleswoman
650411	303999	Showgirl
650411	363415	Rosita
650412	29706	Maman mécontente devant le mo
650413	32449	The Gypsy
650413	37192	Rosa Wczinski
650413	264480	Mrs. Cochran
650413	291457	Russian lady
650414	264764	
650415	159204	Herself
650415	293116	Herself
650416	152517	German Wife
650417	40208	Zeljka
650417	73576	
650417	180026	
650417	229008	
650417	357375	
650417	374150	Operator voice
650418	179851	Julka
650419	24715	
650419	110691	Klári anyja
650419	149611	
650419	175635	Sohárné
650419	177136	
650419	251976	
650419	322191	Landlady of Savanyú
650419	355244	
650419	377748	
650419	377768	Sári néni
650419	387360	Szavcsenkoné
650420	171603	
650421	99739	(segment "Az utolsó vonat")
650421	348999	
650422	147505	
650423	182540	
650423	182575	
650423	182577	
650423	211283	
650423	386347	Herself (episode 1.5 "1960-19
650424	186032	Mrs. Collop
650424	195789	Miss Primm
650424	209382	Claudia Browne
650425	109048	
650425	240029	Kristen
650425	360027	Cheerleader
650426	120058	Katja
650426	155416	Lena Schiller
650426	237631	Clarissa
650426	259518	Jessica Diekmann
650426	259613	
650426	259643	Jessica Diekmann
650426	290811	Kattrin
650426	383292	Nicole Wüpper (1997)
650426	397362	Alexandra Degenhardt
650426	408718	Various Characters
650427	340811	Woman
650428	92926	
650430	116023	
650431	36604	Camille
650432	192847	
650433	196724	
650434	12601	
650434	82152	Pia
650434	341973	Buff
650434	361451	Herself
650435	9366	Mária
650435	42193	Marta
650435	88409	Frantisek's wife
650435	88431	Dandová
650435	108909	
650435	181347	
650435	220117	
650435	229834	
650435	237496	Nurse-maid
650435	244261	
650435	258524	
650435	260424	Anicka
650435	265017	Anca
650435	304706	Madame Gloche
650435	305809	Králová
650435	351378	Ruzena
650435	388152	Anezka Veková, mother
650436	88714	Auntie from Liverpool
650436	120671	Frona
650436	175025	Edita
650436	180040	
650436	196349	Samková
650436	226463	Magdalena
650436	229270	Lída Hálková
650436	259292	Vanda
650436	261380	Singer in the Ghetto
650436	263404	Gypsy
650436	322672	
650436	324119	Zuzana
650436	388165	Sängerin
650437	120932	
650437	177170	
650437	204500	
650437	226287	
650437	358215	Marion Cavello
650438	384201	
650439	379779	
650439	392669	
650440	383333	
650440	409282	Susana
650441	205772	Marie-Louise Fleury
650442	67074	Un automate
650444	114298	Dancer
650444	353466	Ensemble
650445	331541	Bride's Mother
650446	71302	Waitress
650446	117627	Ashley
650446	194414	Cynthia Allen
650446	248491	Bett
650446	403279	Samantha
650447	118199	Peep-Bo, a Schoolgirl
650448	20687	Thomna
650448	196181	Beetie
650448	240922	Mrs. Collins
650448	366920	Mother
650448	411358	Pegs
650449	211228	Herself
650450	366842	Lucia
650451	28603	
650451	30282	Kammerherreinde Heidenfeldt-O
650451	48133	Frk. Hansen
650451	48382	Katrine
650451	58818	
650451	90167	Fru Madsen
650451	94269	Frk. Haller
650451	120273	Arina
650451	121021	
650451	121026	Priorindens højre hånd
650451	123502	Spillelærerinden
650451	136733	
650451	142804	Kunde
650451	147395	Campist
650451	153101	Gæst hos pastorinden
650451	179817	Frk. Ravn
650451	181075	Amalie
650451	181237	Ammen
650451	219005	Bagerekspedient Lise Rasmusse
650451	236274	Jordemoder
650451	237301	Fru Boeuf
650451	293650	Pensionistens kone
650451	322683	
650451	350562	Fru Holm (Fru Hartsens mor)
650451	395824	Lotterikollektrice
650452	34254	Martha Mittag-Leffler
650452	48361	Hat Check Girl
650452	49152	Signe Frid
650452	77403	Agneta
650452	100477	Unemployed
650452	131560	Irene
650452	153062	Rolf's Mother
650452	170508	Sauce queen
650452	172779	Fru Karlsson
650452	172780	Fru Karlsson
650452	179095	Majvor Segander
650452	182101	Miss Larsson
650452	182531	Psycologist
650452	192821	Skådespelerskan
650452	278346	Lilian
650452	320406	Lena
650452	320690	Mona
650452	341026	Lena
650452	378256	Mrs. Hansson
650452	386335	Grandmother
650452	387262	Fröken (segments 1, 2, 3)
650452	390151	Josefins kollega på varuhuset
650452	390854	Fru Scharling
650452	391362	Miss Larsson
650452	394085	Mother
650452	403084	Astrid Karlsson (2002)
650452	405822	Harriet
650452	407124	Berit
650452	412209	Lise-Marie
650453	372119	
650454	305010	Dorthe
650454	397074	Ny pige hos Varnæs (sur)
650455	10813	Joe's Wife
650455	400564	Ellen Archer
650456	377463	
650457	240630	Toto
650459	170672	Mrs. Klähr
650460	343446	
650461	3542	Ida
650461	99562	Mira
650461	110700	Parasztlány
650461	137758	Payer Zsuzsa
650461	143544	
650461	147369	Pamina
650461	153673	Panni
650461	178232	Vilma Kovacs
650461	182796	
650461	194023	Actor Queen
650461	200613	
650461	200619	Judit
650461	227532	
650461	227534	
650461	322210	Jacqueline
650461	349617	Gréti
650461	354252	
650461	394559	
650461	402220	Ildiko
650461	402544	Herself
650461	407231	Európa
650461	412249	Éva Kosári
650463	108165	
650463	281738	Sarah Atherton
650463	287586	Bimbi
650463	389400	Co-Presenter (2002-2003)
650463	404454	Gaby (2000-2001)
650464	157766	Fotograaf
650465	64862	Zsu Zsu
650465	123040	
650465	287650	
650466	1813	Vaktmester
650466	99514	Jordmoren
650466	109137	
650466	136627	Mrs. Stokes
650466	180711	Fru Krane
650466	182566	Karen Berg
650466	219001	Irene Holger
650466	237066	Fru Ruud
650466	281232	Rose
650466	282076	Madam Helset
650466	315187	Fru Bråten
650466	315379	Dobbelt-Petra
650466	317647	Fru Tomstad
650466	318612	Landlady
650466	343701	Norwegian lady
650466	347004	Hønse-Lovisa
650466	353048	Dagny Fjell, datter
650466	354415	Fru Sørby
650467	109128	Maud
650467	137975	
650467	182278	Nurse student
650467	182566	Karen Berg
650467	248186	Lena Brodin
650467	287550	Constance Blomgren
650467	320523	Frida Nordbø
650468	5687	Lilly
650468	9920	
650468	14383	
650468	25501	
650468	33107	Cabarre Singer
650468	47397	Fallen kvinne
650468	56008	Maria Franchetti
650468	94351	Vivi Linder
650468	107980	
650468	119243	Violet
650468	121993	
650468	130939	
650468	137093	Marietta
650468	138032	Margarita Perkins
650468	189786	
650468	227552	Fifi
650468	237580	Lola Kasaell
650468	254667	
650468	284048	Nadja Ivanovna
650468	284107	
650468	287377	Greta
650468	290632	
650468	302682	Sylvia Franchetti
650468	321909	Evelyn
650468	323009	
650468	333850	Gloria
650469	114986	
650470	289148	
650470	348962	
650472	290519	
650473	104754	German entry (4th place)
650473	189843	Herself
650474	115204	Adele
650474	125978	
650475	34417	
650475	259554	Nina
650475	356746	Karin
650475	376287	
650475	388624	Elena Boikowa
650475	388640	Svenja
650476	78486	Herself (performing 'Du er mu
650476	119326	Ushi Heiko/Backstage reporter
650476	147018	Herself - Receiving donations
650476	214355	Herself
650476	279619	Herself - Interviewee (audien
650476	379848	Herself (2003-2004)
650476	387983	Herself
650476	397960	Herself - Host - Season 2 (20
650476	403724	Herself - Host (2003-)
650476	407264	Herself - Actress
650476	409707	Herself/Ushi Heiku (2002-2003
650477	78267	Herself - Presenter
650477	78481	Herself (performing 'Mirakler
650477	78482	Herself (performing 'Ha' det 
650477	78484	Herself (performing 'Sommerre
650477	78487	Herself (performing 'Det vil 
650477	132874	Herself
650477	283482	Herself
650477	398299	(segment "Tannhäuser")
650477	405951	(1986-1987) (segment "Tannhäu
650477	407264	Herself - Singer
650478	132887	Koko
650479	346721	La petite fée
650480	117902	En hushjelp
650481	151907	Dagmar
650482	51889	Fru Hansen
650482	96441	Martha, Sonja pike
650482	172517	Ingerid, Aasmunds kone
650482	234960	
650482	333014	Gunhild
650483	283601	Belgian Red Head
650484	123504	Camilla Trolle
650485	322292	Hybelvertinnen
650486	320398	Hilkka Kanto
650487	28175	Herself
650487	408573	Herself - Participant
650487	408574	Herself - Participant
650487	408575	Herself - Participant (Winner
650488	290435	
650489	225689	Herself
650490	256240	Terry's Girlfriend
650491	360795	Snoodle
650492	76384	Bar Maid #2
650493	276845	Nazi Woman #2
650494	141942	Ulrike Breithaupt
650495	110150	
650495	185858	
650495	236104	
650495	267324	
650496	126462	
650496	231484	Frau Grieger
650497	3274	Clara
650497	81117	Brunette
650497	86991	Olga
650497	88771	Adriana
650497	317338	Chicago
650497	365351	Ali McCulloch
650497	389858	Lisa Holbrook (1978)
650497	403452	Marissa Mallory #2 (1984-1985
650497	404282	Secretary Sara (1985)
650498	165173	
650499	324322	Oma Windisch
650499	381294	Klara
650500	109139	Wedding guest
650501	282104	Stammgast und Personal Rossin
650502	272796	Helma Krap (new scenes)
650502	402383	Quiz Team
650503	259538	
650503	259550	
650504	156568	Helli
650505	41253	
650505	159770	Nurse Higgins
650505	163232	
650505	198983	Phyllis
650505	280639	Cashier
650505	331022	Martha
650506	210078	Frau Hoffmann
650507	182788	
650508	88119	Sandrine
650508	151892	L'infirmière
650508	285754	Sylvine de la Maisonfort
650509	121834	
650509	145492	
650509	393599	Herself (eliminated round 2)
650510	86381	
650511	314513	
650512	325826	Kirstin Gruber
650513	122393	
650514	7888	Amazing Girl
650514	50639	Kristen
650514	60212	Hot Girl #1
650514	314163	Linda
650515	154771	Loretta
650516	256220	Berniece/1920s Housemother
650517	186723	Beth
650517	201215	Karen
650517	313339	Chisato Madison
650518	220573	Woman
650519	286862	Jody
650520	176844	Kirsten
650521	135149	Pornoactress
650522	404786	Annie Holland
650523	120082	
650523	241976	
650524	28531	Taterpiken
650524	46631	Herdis
650524	178433	
650524	179677	Frk. Pylle Gregersen
650524	180928	Mrs. Simmonaes
650524	240093	Ulla, Bennys forlovede
650524	304107	Lone
650524	320187	Olga
650524	345990	Martha
650524	349002	Jorunn Verde, sekretær i FRP
650524	392072	Dr.Grethe Lem (2001)
650525	53921	Ronnie Mills
650526	241467	Aria Singer
650527	40852	Theres
650527	46163	
650527	93404	Mariann
650527	98282	Heidi
650527	129676	Mali
650527	129694	Kuni
650527	137648	Leni
650527	142136	Christl Angerer
650527	147180	
650527	166410	
650527	180642	
650527	266356	Magd
650527	285818	Gundi
650527	289955	Sonja
650527	293443	Gerda
650527	302044	Tina Kerndl
650527	352339	Vroni
650527	352357	Anna
650527	361531	Dirn
650527	365576	Konstanze
650527	365608	
650527	374327	Lisa
650527	375165	Fanni
650527	376376	Petra
650527	381679	Christl Wild
650528	11483	Ann
650528	90272	Lynn
650528	96889	Hat Shop Owner
650528	110965	Cleaning Woman
650528	143397	Etta
650528	218330	Yvonne La Salle, Marie's frie
650528	222684	Eleanor Renslow Ramsey
650528	232861	Charlotte
650528	258292	Society Woman
650528	326832	Aunt Martha Simpson
650528	346245	Laura Vixon
650528	362538	Widow
650528	372632	Tweedy woman
650529	3952	Herself
650529	161328	Herself
650530	129044	
650530	361277	Cutey Gray
650531	682	Arlene, the Competitive Tombo
650531	46743	Jade
650531	48943	Shannon Griffin
650531	83460	Ann Hedgerow/Emily Hedgerow
650531	105405	Eve
650531	177456	Christina Sebastian
650531	195526	Marty Claridge
650531	196211	Marty
650531	223885	Nicole
650531	264091	Princess Ilene
650531	278516	
650531	281255	Romy White
650531	313088	Taffy-Rita Hayworth's Stand-i
650531	327437	Miranda Prosper
650531	329477	Kathryn
650531	346060	Sarah Ryback
650531	349860	Shelley Fisher
650531	366653	Alexia Wheaton
650531	369187	Isabel
650531	376546	Marissa
650531	390642	Isobel "Izzie" Stevens
650531	403789	Isabel Amanda Evans Ramirez
650532	382017	Dina
650532	408221	Greet Kok
650533	40637	Christine
650533	42032	Jeanine
650533	45586	Tanja
650533	48320	Jeanine
650533	129257	
650533	141776	Dienstmaagd
650533	142639	Monique
650533	178144	
650533	184632	Jodie Foster
650533	218859	Martine
650533	240034	Susanne
650533	243011	Mandy
650533	249434	Anne-Lise
650533	311631	Doris
650533	382975	
650533	397122	Laura Keyser
650533	397318	
650533	403417	Jeanine Pepermans
650533	403962	Veerle De Tender
650533	411115	Catharina den Decker
650533	411214	Samantha Leysen-Liekens (1997
650533	411972	
650534	404106	Herself
650535	24746	Leonora Zarius
650536	12468	Eva Adama
650536	90688	Patiënte
650536	101327	Moeder
650536	106298	
650536	110247	Mrs. Thatcher
650536	125367	
650536	156144	Adrie
650536	183209	Vriendin Jaqueline
650536	350315	Nathalie
650536	390242	Joke Nieuwkoop (1991)
650537	156139	May
650537	326310	Barjuffrouw
650537	352029	Lies Wurdeman
650537	390242	Jeanne Dekker (1991)
650537	390410	Fie Hardebol (1996-1997)
650537	410764	Emmy
650538	256620	Daughter
650539	195354	
650540	9608	
650540	132431	Violet
650540	203231	
650540	216676	
650540	225233	Customer
650540	305884	Grandma
650540	355702	Syrén (episode 4)
650541	153747	
650542	404782	Karaokelaulaja
650543	402792	
650544	177890	Secretary
650545	8903	
650545	171584	
650545	268169	Customer in butcher's shop
650545	405479	Rauha
650546	235846	Aija
650546	323254	Morsian (Bride)
650547	172330	Johanna Suutari
650548	181709	Rally winner's babe
650549	350718	
650550	350718	
650551	102327	Paulan ystävätär
650552	99198	Iila
650553	255933	
650554	62450	
650554	129268	Klara
650554	256500	Annika
650554	259814	Marie Jeanette
650554	333082	Girl at Eva's school
650554	380752	Amelia
650554	388582	Vera Storm
650554	398251	Henningsons dotter
650556	232971	Lucy
650557	8115	Vanda
650558	253892	Frau Göcke
650559	214917	Girl on Street
650560	214917	Mother of Boy and Girl
650561	203927	Woman in Funeral 2
650562	60703	Esmee
650562	65200	Mrs. Howe
650562	72911	Penelope Hildern
650562	90303	Alice Kay
650562	115805	Selina
650562	128261	Flick
650562	161958	Lorna
650562	386940	Polandi
650562	392677	Karen Squires QC
650562	396018	Leah
650562	398990	Julie
650562	403722	Anthea
650562	406121	Francis McPherson (1980)
650562	409593	Lindsay Rimmer
650563	214917	Aunt of Boy and Girl
650564	65951	Chris Guthrie/Colquohoun
650564	134277	Chris Colquohoun
650564	176452	Catriona
650564	222710	Mrs. Ackroyd
650564	224533	Frederikke
650564	291708	Gloria
650564	350300	Lady Clara
650564	382830	Mary Taylor
650564	398190	Rachel Verinder
650564	406954	Chris Guthrie
650564	407414	Kay Grant (1980)
650564	407568	Det. Sgt. Louise Colbert
650564	409596	Sheila Fentiman
650565	151628	Herself
650566	104760	German entry (2nd place)
650566	104762	German entry (2nd place)
650566	189844	Herself
650567	36676	Pathologin
650567	309018	
650568	102926	
650569	386642	Herself
650571	113617	Enthusiastic Fan
650571	366933	Party guest/Fan/Pretty redhea
650572	259475	
650573	392356	Johanna
650574	253008	
650575	7718	Verfolgerin
650576	28569	Lis
650576	214293	Young Girl
650576	228404	Dead Woman
650576	351798	
650577	321394	Girl
650578	17597	
650578	102614	
650578	122568	Mutter
650578	325687	Agnes
650578	389956	
650578	393360	
650579	36780	Herself
650580	2087	
650580	7065	Angela Harris
650580	38609	Teresa Jane
650580	62151	
650580	74197	Ingrid Brunner
650580	109472	Amy
650580	251249	Rosamond McClintock
650580	292462	Meredith Chapman
650580	297791	Sister Miriam Rose
650580	366417	Cynthia Howe
650580	388362	Nancy Lawrence Maitland (1976
650581	205836	Herself (child actress)
650581	308127	Lita Arden
650582	24098	Frau Wildegger
650582	47844	
650582	210137	Frau Bernbacher
650582	225745	Sekretärin
650582	398863	
650582	409613	Nachbarin
650582	411109	Köchin Babette
650583	248875	Nikki Ferris
650583	256499	Pippi Longstocking
650583	287713	Cornelia
650583	295032	Millie
650584	134222	Sennerin
650585	260414	Kundin
650586	179556	
650587	50823	Si Himan
650587	63226	
650587	175008	Himself
650587	300052	
650588	5037	Wedding Singer #1
650589	87177	Herself
650590	23507	
650590	78288	Else
650590	84275	Fru Mortensen
650590	108955	Fru Rothschild
650590	122341	Michelsen
650590	125644	
650590	145457	
650590	153954	Fru Sivertsen
650590	154319	Frk. Hansen
650590	178007	Tove
650590	179975	
650590	213437	Rosa
650590	237156	Allans værtinde
650590	255679	Veninde af Mai
650590	268349	Sygehjælper
650590	275625	
650590	322291	Kontordame
650590	322960	Louise Hansen
650590	349081	
650590	349648	Willadsens niece
650590	394007	Ole Munks kone
650591	361050	Susanne Fischer
650592	351246	Topless girl on beach
650593	72504	Eva Blitzstein
650593	185087	Darla
650594	9017	Suzanne
650594	197924	
650594	290644	Anna Tanner
650594	376082	
650595	104623	Claire
650596	80969	Undercover Cop
650596	295826	Evie Pembroke
650597	140247	
650598	78984	Cancer girl
650599	204312	Kerstin
650600	18900	Tanja
650600	44410	Irina
650600	211863	Solariumin asiakas
650601	174779	
650602	113422	
650603	142273	
650604	103142	Lisa, Waldemars Frau
650604	133807	Gambling woman with cigar
650604	150533	Telegraph Messenger
650604	183672	Marie Caroline, Königin von N
650604	210073	Mrs. Klaffke
650605	259588	
650606	145001	Anette L.
650606	287242	Disco Sandra
650606	409625	Meike Wagner (2000-2002)
650607	38659	Herself
650608	409625	Sabine Conrad (2003-)
650609	378454	
650610	103120	Anjas Freundin
650611	394872	Lúcia
650611	396610	Bebel (2002-2003)
650611	402685	Fátima
650611	409405	Carol
650612	389119	Katharina Arnhoff (#1/#2) (19
650613	322507	Teele
650614	155248	Pam
650614	240942	Herself (interviewed)
650615	104655	Natascha van der Delft/Elisab
650617	183268	Nina
650618	167069	Herself
650619	290029	Petronilla
650620	184608	Reserve Pawn
650621	351727	
650623	164819	
650625	23199	Clytie
650625	259548	Monika
650626	314675	Mrs. Kalkini
650626	396343	Mrs. Kalikini
650627	134986	Grundstuecksverwalterin
650628	35881	
650628	119272	Elschen Lehner
650628	393409	
650628	402030	Jenny Bedford
650629	41644	Connie
650630	306381	Gänget på stan
650631	384387	Frau Gawron
650631	392086	
650631	392503	Doris Niemeyer
650632	351208	Pea Monk
650633	333875	Claris Limehouse
650634	12226	Annie
650634	117540	Trixie
650634	154735	Sharon Sanders
650634	183698	Rose Shimkus
650634	199144	Delia
650634	289030	Myra
650634	328587	Ginger Macklin
650634	380391	Sharlene 'Sharley' Frame Watt
650634	380713	Mary Jackson (1961-1966)
650634	395974	Jenny Reston
650634	406793	Eileen Haggerty
650635	178096	Mrs Keller
650635	186057	
650635	401940	
650636	225256	Wirtin
650637	49283	Andrea Huberer
650637	93460	Astrid Sommers
650637	334609	
650637	366546	Lucie Steinheim
650637	389823	Britta
650637	390190	Alex
650637	391012	Sylvia
650637	403269	Stabsarzt (w) Dr. Illona Müll
650637	405449	
650638	343665	Maria (10 years)
650639	102931	La serveuse
650640	301094	
650641	76342	
650642	107125	Mrs. Hillary Branch
650643	379768	
650645	46981	Clara
650645	88025	Ruth Riordan
650645	107103	Mrs. Perry
650645	118474	Mary Whitmer
650645	187346	Principal
650645	276899	Iris
650645	291039	Secretary
650645	311517	Ruth
650645	328556	Dist. Atty. Pearlman
650645	328869	Diseased Woman
650645	354434	(English version)
650646	53076	
650646	81588	
650646	93249	Announcer/Chairman
650646	119792	Mom
650646	185211	Nurse Lt. Bertha Hobie
650646	276947	
650646	280993	Powder Room Lady
650646	285610	Joan Mackintosh
650646	317153	Mildred
650646	323208	Mrs. Tyson
650646	342513	Nurse Edith
650646	380724	
650646	396402	Fru Tovan
650646	404795	Mrs. Price
650647	50977	Udslidt mor
650648	371374	Police officer
650649	389570	Additional Voices
650650	40384	
650651	256878	Narutyttö 2
650652	473	Rosy
650652	8323	
650652	14298	Mona
650652	83902	Rita
650652	98204	
650652	144331	
650652	144352	Pomponne
650652	294840	Girl in uniform
650652	301094	
650653	156684	Anwältin
650653	235946	Marianne Brunner
650653	361532	
650654	10816	
650654	41883	Eerste meisje bij de gevangen
650654	57101	Mrs. de Bie
650654	130232	Helen Helmink
650654	134564	Herself - contestant
650654	156139	Secretaresse van muziekuitgev
650654	248200	Janine Thijssen
650654	307288	
650654	310947	Mother In Car
650654	359389	Liesbeth
650654	385554	Miete van der Schoor
650654	388949	
650654	390242	Helen Helmink (#2) (1992-1997
650654	391424	Sylvia
650655	407090	Miss Susan
650656	262372	Gudrun
650657	2259	Herself
650657	2275	Herself
650657	3593	Herself/Mia Saunders
650657	17995	Woman
650657	22878	Laurie
650657	39340	Sara Jane Bronnel
650657	96755	Stephanie Lewis
650657	189240	Rebecca
650657	190951	Adhara
650657	267498	Rose/Betty McCullough
650657	269817	Darlene
650657	286129	Harriet Hemings
650657	379716	Mia Saunders (2001-2004)
650657	384366	Steffi Brewster (1995-1996)
650657	396123	Steffi Brewster (1993-1995)
650659	107347	Girl in a group of friends
650660	8247	
650661	255386	
650662	21729	
650663	153756	Girl
650664	153547	
650665	194410	Brian DePalma Lady
650666	233246	
650667	184786	Iso-Anni
650668	283478	Taiston Nuoruudenrakastettu
650669	17351	Hairdresser's apprentice
650669	174477	Maid
650669	213419	Ms. Sairamo
650669	236794	Untuvainen
650669	319314	Ritva
650669	319315	Ritva
650669	341793	Patient
650669	343393	Central WAC
650669	349150	
650669	349948	Auli's classmate
650670	212684	Evi Wagner
650671	398635	Gogo Girl (1979-)
650672	259454	Ines Schramm
650672	259584	Jutta Wendler
650672	259628	Elvira Grandel
650672	259667	
650672	274864	Maren
650673	281968	
650673	325906	Agnes
650673	352079	
650673	391004	Tessy
650674	14831	
650675	147972	Hair Chat Girl #2
650676	19498	
650677	352326	
650678	30646	Student
650679	290178	
650680	313920	Betty Jean
650681	56883	Raffaela
650682	2487	Turkey: woman
650683	42212	Elvi Hansen
650683	117585	Marlene Steiner
650683	122341	Susanne Ermandsen
650683	156029	
650683	159641	Gårmandsdatter
650683	165345	
650683	169490	Ursula
650683	174016	Mette Kruse
650683	175101	Marianne
650683	179817	Komtesse Maria Hardenborg
650683	276035	Karen Martens
650683	293699	Yrsa
650683	303920	Viola
650683	304176	Ulla
650683	305128	Regitse
650683	315058	
650683	315392	Guldsmedens veninde
650683	353035	Danserinde
650684	64207	Churchgoer
650684	207941	McTrinity Moss
650684	394161	Maggie
650685	29937	Herself
650685	64020	Herself
650685	75767	Herself
650685	80481	Bulldog's Girlfriend
650685	160464	Herself
650685	257608	Herself
650685	257618	Herself
650685	257660	Herself
650685	257678	Miss October 2002
650685	403176	Co-Host
650686	23507	Gladys Sørensen
650686	88692	Gurli
650686	95757	
650686	114808	
650686	135770	Ivan's mother
650686	181736	Mogens mor
650686	183314	Julemand
650686	213334	Eva Bagger
650686	213436	Marcellina
650686	262957	Lizzie
650686	303747	Sjuk-kollega
650686	310054	Indehaver af hattebutik
650686	321992	Hansigne
650686	322462	Lilly
650686	382899	Sorte Sussie
650686	396399	Kisser
650686	398272	Various roles
650688	351252	
650689	313342	Walla Group
650690	329894	Fiona de Frima
650691	68225	Volunteer
650692	13836	Wendy Brighton
650693	157711	
650693	341781	
650693	359684	
650694	85928	Follies Girl
650695	379926	Herself (4th Place)
650696	197256	
650696	197267	
650697	120242	Tanya/Singer at Banquet
650697	168326	Janie
650697	367579	Prima Ballerina
650698	325897	Kind Isolde
650699	150984	Patty
650700	381857	
650701	222846	Ghostly Woman
650702	312962	Strip Dancer
650703	321285	Pamela
650704	156737	My
650704	259496	Lilo
650704	259636	
650704	259641	Käthe Buschhorn
650704	259648	Uta Mahlow
650704	395120	Gerda (Adult)
650705	241615	Woman in Crash
650706	170552	Airport official
650707	389135	Valerie Lansing
650708	75837	Anja
650708	171591	Äiti
650708	211863	Maskeeraaja Siekkinen
650708	214584	Doctor
650708	246933	Birgitta
650708	255766	
650708	392348	Tarja Korhonen
650708	395257	Lauran äiti
650709	342242	
650710	49908	
650710	113887	
650710	249394	
650710	256189	
650710	278411	
650710	298226	
650711	384627	Lay Preacher's Wife Carolyn H
650712	119161	Corinna
650712	220512	Mrs. Maschke
650712	307652	Elli Spieker
650712	352273	Gabriele
650713	119255	
650713	144153	Frau
650714	293082	Marina
650715	318783	Mrs. Altobello
650716	248381	
650716	300969	
650716	352658	Anna Hofrichter
650716	400138	Elisa
650717	164905	
650718	297101	Teenage Girl #2
650719	42117	Evchen
650719	244712	Juliane Bock
650720	259461	Strafvollzugsbeamtin
650720	361441	
650720	381694	
650721	277098	Patient in Hallway
650722	40883	
650722	145506	Jasmin
650722	155429	Tina Winter
650722	159958	Anhalterin
650722	232798	Nina Hoffmann
650722	259536	Susanne Paslak
650722	276624	Rosi Bockhorn
650722	285977	Sandra
650722	290055	Lisa
650722	310894	Andrea Kohnart
650722	335023	Anita Skiernitzki
650722	356562	Evi
650722	360953	Gina
650722	376362	Doris
650722	405500	Edith Jahn
650723	6262	Bald Girl
650723	105312	Jean
650723	119358	Crying Patient
650723	210483	Rita
650724	125324	Lisa Hannschmidt
650725	361426	Ines
650726	244679	
650727	70109	Newscaster
650728	59568	
650729	52121	
650729	162363	Step-mother
650729	272836	Matliena
650729	280306	
650730	192805	Public Address Announcer
650731	35550	Moeder Wolff
650731	42032	Alice de Hert
650731	48320	Alice de Hert
650731	76447	
650731	78396	Elena Missiaen-Stewart
650731	93624	Vrouw Cloet
650731	126860	Barones
650731	157495	Buurvrouw
650731	169013	Leni
650731	178603	Ma
650731	187066	
650731	187825	Cordula
650731	203777	Grazia
650731	213566	L. Duchotel
650731	245609	Miss Forbes
650731	248412	Flavie
650731	249077	Yvette
650731	273756	Stoute Threse
650731	280854	
650731	285011	
650731	351244	Marja
650731	352377	Marie-Louise
650731	352402	Coroner
650731	356103	Olympe Ferraillon
650731	356817	Mevrouw Gabor
650731	357359	Buurvrouw
650731	360831	Elisabeth
650731	367022	Moeder Witte
650731	371288	
650731	394604	
650731	394758	Moeder Vermarcke
650731	399052	Herself (2001)
650731	400287	Mevrouw Verstraeten
650731	402838	Mevrouw Van Der Slagmolen
650731	403042	Louise Haagdoorn (1998-)
650731	410401	File de Lackere
650732	52856	
650733	4802	Narrator
650734	166437	
650734	346219	
650734	410608	
650735	225644	
650735	325566	
650735	405500	
650735	405500	Lisa Klein
650735	409609	(1991)
650736	147018	Herself - Receiving donations
650736	168446	Bitten Lund
650736	381055	Herself - Author
650736	391301	Herself - Host
650736	393239	Herself - Host
650736	397684	Herself - Author
650737	325667	
650737	350869	Petra Wetke
650737	405806	Dr. Sandra Schönfeld
650738	46810	
650739	347983	Herself (dollmaker)
650740	231671	Sophie
650741	174134	Police Officer
650742	138260	
650743	5659	
650743	303719	Luise
650744	407351	
650745	174779	
650746	394933	Kata Mäntylä
650746	407198	Emilia Saarinen
650747	2792	
650748	181883	Rosita valokuvassa
650749	349822	
650750	893	Kia
650750	45943	Carla
650750	54305	Minna
650750	216676	
650750	322299	Merja
650750	409269	Merja
650751	190659	
650751	409851	Anne
650752	181580	
650754	368888	
650755	23973	Audrey's Friend
650756	184942	Tiffany, Tuff Tiff
650757	379450	Maria Clara
650758	57642	Herself
650758	306284	Snow White
650760	223048	Sieglinde
650761	181736	Tante Toria
650762	156568	Ilse Janda
650763	12786	Gabi
650764	308200	
650765	223009	Doctor
650766	2075	
650766	117683	Martha
650766	248132	Grace
650766	270914	Nurse #1
650766	292526	Woman in KRS Building
650766	306421	Shopper at Bergdorf's
650766	325983	Margaret
650766	332807	Aunt Barbara
650767	95262	
650768	278822	Mary Beth Dearing
650769	102226	Anna
650770	192643	Herself - Prof. i ernæring
650771	406735	Herself
650772	260961	Eva's Friend
650773	13763	Barbara
650773	33372	Meredith Stiles
650773	72367	Pam
650773	80442	Katie Compton
650773	80794	
650773	129348	Call Girl
650773	140515	Lizzie
650773	164470	Sinead
650773	194994	Amanda White
650773	208086	Ava
650773	232402	Tasha Kinsley
650773	233521	Bobbi Bell
650773	245050	Marlene
650773	276092	Sylvia Tracy
650773	290861	Dr. Kirbie Younger
650773	305920	Serena
650773	313562	Penelope Vargas
650773	320316	Isabelle Whitmore
650773	342616	Beth Smith
650773	342690	Tanya
650773	343157	Dr. Maeder
650773	351526	Blonde
650773	369421	Proponia
650773	387237	Renee Palmer (1999-2002)
650773	399431	Lt. Briony Branca (1998-1999)
650773	400635	Jenny Lind
650773	405475	Jessie Jaworski (1994-1995)
650774	137958	Herself
650775	366027	Couple in counselor's office
650776	22863	
650776	41654	
650776	52138	
650776	54857	
650777	336641	Vieille dame aeroport
650778	8152	
650779	47078	Cheerleader
650779	150075	Jessica Cheer Girl
650780	31668	Beach Girl Beauty
650781	239102	
650784	94256	Waitress in the train
650784	154056	
650784	181846	
650784	283694	Marianne
650784	294545	The Teacher
650784	317231	School principal
650784	322613	Miss Jansson's Sister
650784	325079	Clemente
650784	404967	Principal
650784	406576	Gloria
650785	400009	
650786	356890	Christina
650787	95061	Kortanová
650787	165591	
650787	206188	Katerina
650787	229183	Madame de Rosemonde
650787	230468	
650787	239893	Exorcist
650787	259171	Karabkol
650787	283977	
650787	294427	
650787	349276	Chladonová
650787	357486	
650788	272279	Long Ear Girl
650788	402759	Hine
650789	405479	Ilona
650790	131240	Hosptial nurse
650791	318695	Donna
650792	10020	La clocharde à la gare
650792	63552	La myope
650793	8741	
650794	310547	Woman at the Bar #3
650795	41115	
650796	17348	Blomsterförsäljaren
650797	344294	Katariina
650798	40815	Stellas mamma
650799	102161	Moa
650799	307768	Väninna (female friend)
650800	255762	Liisi
650801	96198	
650801	377651	
650802	175732	Liisa as a child
650804	221904	
650804	387906	
650805	238622	Lennie
650806	153874	La première 'Roploplo'
650807	59765	Nurse
650807	290397	Joey's mom
650808	182754	
650808	213423	Claudia
650809	35292	Sandra
650810	16617	Irène Mortange
650810	20808	Marquisette
650810	25135	
650810	25181	
650810	36484	
650810	37902	Madame veuve Martin
650810	45195	
650810	46941	
650810	50295	
650810	60073	
650810	70151	
650810	70631	
650810	70738	Irma
650810	72075	
650810	73179	
650810	83215	
650810	95359	
650810	111687	Monica
650810	123901	
650810	125091	
650810	129157	Lucie
650810	133179	
650810	134270	
650810	142239	
650810	165182	
650810	167231	
650810	170291	
650810	194425	
650810	204015	
650810	207085	Elvira, Dancer
650810	217637	
650810	236514	Elsie Maury
650810	249037	
650810	256754	Denise Vernon
650810	268390	
650810	269484	
650810	288204	Une amie de Berneville
650810	308308	
650810	333719	Solange Blandin
650810	340151	
650810	340203	Eugénie
650810	346504	
650811	21756	Irène
650812	7884	Young Mother
650813	180253	
650813	399899	
650814	51286	Bini
650815	98036	
650816	360010	Waitress
650817	17529	
650817	17530	Herself
650817	68057	
650817	99116	Herself
650817	199352	Mademoiselle Gobette
650818	257724	
650819	212800	
650819	346924	Carls Mutter
650820	19323	Anne
650820	70940	Ariane
650820	101533	Mona
650820	261380	Michele
650820	292461	Countess De Turbinville
650820	304259	Mitsou
650820	324068	Adélaïde de Flahaut
650820	384301	Lulu
650820	396059	Samantha 'Lady Hit'
650820	402664	Justine
650821	398160	Kristin Blaschke
650822	119640	
650823	104667	Narrator
650824	156321	Mopsa
650824	283039	Isabelle
650824	291682	Michèle
650824	353869	Fanny
650825	112185	Mystery Dream Girl
650826	325835	Frau mit Einkaufstüten
650826	379784	Jaqueline "Jackie" (1999-)
650826	381813	Rebecca
650826	388798	Bianca
650827	46532	Waitress
650828	108883	
650829	212353	
650830	59235	Maria
650830	148743	Mme Deléone
650831	404006	Programleder
650832	18146	Teacher
650832	198057	
650832	206631	Randi Olsen
650832	223207	Shop assistant
650832	272230	Stewardess
650832	333009	Ane's Mother
650832	340270	Husfrua
650833	11203	
650833	31727	Nurse Gripes
650833	73214	Mrs. Bading
650833	105945	Rosa
650833	119622	Lady Cop
650833	155879	Carrie Loudermilk
650833	200521	Coroner Woman
650833	233307	Happy Rockefeller
650833	313419	Security Crewwoman #1
650833	313426	
650834	264719	Miss Kristel's Double
650835	19474	
650836	109472	Jenny Roman
650836	195395	
650836	278069	
650836	339389	
650836	364692	Amy
650837	987	Dancer
650837	4179	
650837	4310	
650837	4311	
650837	4320	
650837	4324	
650837	4479	
650837	4728	
650837	6362	
650837	8250	Dancer - Lovelina
650837	9361	Aunty
650837	13130	Fake Daughter At Airport
650837	15803	Ruby
650837	15866	Miss 1959 (Dancer/Music of Fa
650837	17063	
650837	17359	
650837	18919	Dancer
650837	18930	
650837	19239	
650837	24186	
650837	24960	Country Club Lady
650837	25354	Chorus dancer
650837	25955	Dancer
650837	25974	
650837	27660	
650837	27724	
650837	27766	
650837	27899	
650837	30115	
650837	32458	
650837	32854	
650837	33926	Poonam
650837	34530	
650837	36004	
650837	36263	Apsarasa
650837	36297	
650837	37665	
650837	43314	
650837	43327	Heroine in Gold
650837	44547	
650837	49437	
650837	52631	
650837	54833	Monica
650837	58344	
650837	58423	Dancer
650837	58686	
650837	58967	
650837	59394	
650837	60972	
650837	60979	
650837	61006	
650837	61008	
650837	62054	Suzie
650837	63811	
650837	65887	Interviewer #3
650837	68286	
650837	79087	
650837	82452	Police Dispatcher
650837	83999	Herself
650837	85290	
650837	85327	
650837	85424	Madame
650837	86630	
650837	86672	Dhani's grandmother
650837	86675	
650837	88509	
650837	89994	Kamini/Sonia
650837	91471	Sylvia
650837	92625	
650837	95036	A dancer
650837	95436	
650837	98521	
650837	98528	
650837	98539	
650837	98742	
650837	104747	Maltese entry (18th place)
650837	108987	
650837	123075	
650837	127339	
650837	130759	
650837	131181	
650837	132259	Young Woman
650837	133612	
650837	135773	Miss Kitty
650837	135941	
650837	137400	Dancer
650837	137502	
650837	139326	
650837	139421	
650837	139426	Dancer Dolly
650837	139830	
650837	140429	Champakali
650837	141846	
650837	142308	Herself
650837	143524	
650837	151790	
650837	152410	Kitty D'Costa
650837	152453	Sameer's mother (special appe
650837	152470	
650837	152498	
650837	152630	
650837	156955	
650837	159849	
650837	160164	
650837	160738	Rebecca
650837	164289	
650837	164310	
650837	164326	
650837	164854	
650837	164885	
650837	167276	
650837	169042	
650837	170830	Sooku, the dancer
650837	170970	
650837	171762	
650837	171820	Dancer
650837	171849	
650837	171869	Haseena
650837	171897	
650837	172553	Club Singer/Dancer
650837	172568	
650837	172696	Dancer
650837	174613	
650837	175922	Maria Briganza
650837	175930	
650837	176008	
650837	177976	
650837	177990	
650837	183867	Sorjanski
650837	183977	
650837	184165	
650837	195860	
650837	199636	
650837	200588	Ruksana
650837	200698	
650837	201025	
650837	201048	Dancer
650837	203248	
650837	206933	
650837	207379	
650837	208560	
650837	209864	Kitty
650837	211406	Kamini
650837	215505	
650837	217144	
650837	217158	Miss Monica (special appearan
650837	217482	
650837	220997	
650837	221188	
650837	226447	
650837	227136	
650837	228850	
650837	231954	
650837	233205	
650837	238942	
650837	246535	
650837	248720	Dancer
650837	249230	
650837	249662	
650837	254409	
650837	254835	
650837	262690	
650837	262823	
650837	263956	
650837	267419	Rita
650837	268061	Cham Cham
650837	268112	
650837	268118	Jenny
650837	268121	
650837	268569	
650837	271446	
650837	271620	
650837	271712	Tara Bai
650837	275480	Receptionist
650837	276229	
650837	283882	
650837	284977	
650837	284978	Meena
650837	285400	Dancer
650837	285620	
650837	286757	Dancing maiden
650837	287984	
650837	289308	
650837	296601	Guest Appearance
650837	297594	Anuradha Mathur
650837	297613	
650837	297745	
650837	298805	
650837	298808	
650837	299603	Gypsy dancer (Guest Appearanc
650837	301439	
650837	302657	
650837	303012	
650837	318630	
650837	320862	Cabaret dancer
650837	323275	
650837	323686	
650837	324830	
650837	325124	
650837	325296	
650837	326963	Ruby
650837	329223	
650837	335738	Dancer
650837	337789	Lily
650837	341635	
650837	348437	
650837	359078	
650837	367219	Seema
650837	370219	
650837	370291	
650837	370293	
650837	370318	Dancer
650837	370456	
650837	370974	
650837	373711	
650837	373805	
650837	374011	
650838	24042	Herself
650838	34834	
650838	75954	
650838	188687	La concerge
650838	214629	
650838	255157	
650838	284932	Model
650838	307983	Taxi Dancer
650838	356655	
650838	384711	Margarida
650839	76025	Girl
650840	17381	Helena
650840	58710	
650840	70744	Preacher
650840	79184	
650840	109736	
650840	115794	Turquinha
650840	169291	
650840	262664	
650840	354988	Inês
650840	382776	Regina
650840	383293	Ester
650840	383370	
650840	386417	Violante
650840	387166	
650840	387324	
650840	393616	
650840	396722	Ceres Silveira
650840	400902	Izildinha
650840	401482	Marta
650840	402365	
650840	402568	
650840	404078	
650840	408230	Lavínia
650840	410188	
650841	25158	
650841	76066	
650841	248236	
650841	295098	
650842	281355	
650843	384118	Chris (1997-1998)
650843	384645	Estudante
650843	412258	Silvinha
650844	12826	
650844	17061	
650844	42581	
650844	61345	
650844	67653	
650844	76066	Mimi
650844	82991	
650844	83458	
650844	122161	
650844	122288	
650844	148473	Dondoca
650844	159014	Carlota Joaquina
650844	169570	
650844	187944	
650844	197964	
650844	206770	
650844	207726	
650844	225110	
650844	247876	
650844	251839	
650844	254240	
650844	278163	
650844	286571	Helena
650844	286574	Eugênia
650844	328191	
650844	328365	Lucy
650844	344847	
650844	377604	Frou Frou
650844	377606	
650844	378102	
650844	380563	Zora
650844	380777	Beatriz
650844	382690	Eugênia
650844	383584	Mirtes
650844	384002	Carmem
650844	384991	Luzia
650844	385030	Florinda
650844	387052	Virgínia
650844	387932	Bernarda Cantomaia
650844	388563	Maggie Andrade
650844	397804	Carmem
650844	401086	Hortência
650844	403733	Madre
650844	404798	Fany
650844	404814	
650844	406847	Madame Sanchez
650844	407275	Augusta
650844	409410	
650844	409426	
650844	410014	
650845	400678	
650846	19469	Tia/Aunt
650846	42589	Marcia
650846	53157	
650846	82565	The Maid
650846	85595	
650846	89930	
650846	104021	
650846	125682	
650846	158941	
650846	229703	
650846	252420	
650846	267316	Margarida
650846	268320	
650846	282814	
650846	319626	
650846	337252	
650846	410310	
650847	96533	
650847	207726	
650847	302535	
650848	14703	
650848	286275	
650849	30646	Talk Show Audience
650850	85598	
650851	402365	
650852	296129	
650853	9874	
650854	160966	
650854	343634	
650854	400678	
650854	402263	
650855	124242	
650855	339757	
650856	386419	Dulce
650857	189305	(segment "Ana")
650858	82630	Herself
650861	112632	Mousy Woman
650861	122757	Gerde
650861	186650	Model
650861	340811	Helen
650862	396792	Ura
650863	211163	
650864	54284	Olga
650864	382375	
650864	397546	Santinha
650865	183528	
650865	234635	
650865	250430	
650865	294270	
650865	327325	
650865	384002	
650865	388563	Zuzu
650865	395882	Zulmira
650865	396926	Jana
650865	404283	
650866	278338	
650867	97850	
650867	375704	
650868	387533	Gillian Winters (1999)
650869	204536	Debra
650870	375295	Granny
650871	141128	Herself
650872	114047	Jenny Simon
650873	11911	Hooker
650873	188334	Melody
650873	264129	Lulu Belle
650873	272927	Girl In Cabin
650873	319899	Hot Potato #2
650873	372774	Heather
650873	396123	Lilly Slater #2 (1986-1987)
650874	87235	Girl
650874	156440	Fang
650875	288930	Kristie
650876	32940	Farrah Fawcett-Majors
650876	57061	Herself
650876	105042	Inga
650876	215664	Judge
650876	215691	Celebrity Judge
650876	348106	Herself
650876	363996	Eva
650876	381422	Number 6
650876	381423	Number Six
650877	347670	
650878	11911	Female prisoner
650879	54268	Poet/performer
650880	211375	Sarah
650881	79519	Herself
650882	117336	Pilarica
650882	204903	
650882	383273	Valeria
650882	383483	Mariela
650883	33908	Aya
650884	230175	Gertraud Klose
650884	249691	
650885	274069	Child in Video
650886	109992	Whore
650886	230395	As Herself
650887	870	
650887	125418	Guðmunda
650888	208838	Júlli's mother
650889	335310	Pearl
650890	716	Herself
650890	1674	Herself
650890	2399	Herself
650890	2581	Presenter
650890	2787	Herself
650890	2797	Herself
650890	3165	Herself (Presenter)
650890	7868	Alex
650890	12744	Rachel
650890	27168	Capt. Alison Sinclair
650890	40742	Virginia Whitelaw
650890	40743	
650890	62007	Karen Charlene 'K.C.' Koloski
650890	70198	Det. Rose Ekberg
650890	72292	Margarette
650890	73677	Jennetta
650890	74423	Catherine Willows
650890	74424	Catherine Willows
650890	81085	Crista Westfield
650890	87869	Connie
650890	102514	Donna Jensen
650890	113773	Sarah Kellogg
650890	129119	Anna
650890	130604	Karen DiCilia
650890	138784	Jen Powell
650890	158061	Mickey
650890	159558	Lt. (j.g.) Kay Dolan
650890	171190	Darlene Carpenter
650890	175833	Maureen 'Kick' Kickasola
650890	185709	Lizzy
650890	188506	Ellen Farris
650890	189505	Kate Nessen
650890	222686	Pia Postman
650890	223920	Joanna
650890	249496	Georgeanne Bidwell
650890	252926	Patsy Ramsey
650890	310647	Dr. Laura Baker
650890	310648	Dr. Laura Baker
650890	321917	Ann Foreman
650890	329342	Jerrilynn Folz
650890	331891	Laurie Fisher
650890	335310	Bobbi Anderson
650890	363265	Vanessa
650890	384104	Karen Charlene 'K.C.' Koloski
650890	385358	Catherine Willows
650890	400911	Eve Darrin
650890	404002	Siobhan Ryan Novak #3 (1982-1
650890	405105	Natalie Thayer
650890	410959	Debbie Banister
650891	4818	
650891	64637	Mirabella
650891	92878	She-dragon
650891	108621	
650891	109291	Diana
650891	120305	Karen
650891	121401	
650891	142324	Herself - Performer
650891	145473	Ekpeditrice
650891	168706	Bagerjomfru
650891	170828	
650891	175087	
650891	178961	Kunde på posthus
650891	179531	Laura
650891	216993	3. kvinde
650891	237156	Varietésangerinde
650891	269057	Princess
650891	300976	Linda White
650891	305311	Frøken Jansen
650891	317094	
650891	317258	Marianne
650891	341116	
650891	354365	Viktorias mor
650891	381055	Herself
650891	385180	Mom
650891	385525	Gudrun Henriksen
650891	389734	Anita Rasmussen
650891	390407	Herself - Host (1993-1994)
650891	395641	Host
650891	398967	Skolesekretær
650891	406475	Herself - Host
650891	408597	Juletræskøber
650892	165808	Natalie
650893	4782	
650895	153804	Gaby
650896	148634	
650897	94866	Marine
650897	94867	Marine
650897	94869	Marine
650897	112852	Marine
650897	346542	Elodie
650898	187796	Bingo Hostess
650899	195235	Zineb
650899	372383	
650900	6584	Older nurse
650900	9543	Inga's Mother
650900	29558	Assistant in flowershop
650900	47998	Wife of Customer in Furniture
650900	48365	Mrs. Storckenbrandt
650900	48373	Mrs. Bjuhr
650900	84270	Frida
650900	95829	Lady
650900	109293	Kina's Mother
650900	115400	Second wife
650900	121006	Teacher
650900	122480	Owner of gloves-shop
650900	136404	Theatre actress
650900	142784	Grethe
650900	148826	Major's wife
650900	154249	Mrs. Brenner
650900	154504	
650900	165615	Hilma
650900	180392	
650900	181843	Nordström's Wife
650900	182302	Shop Assistant
650900	192644	Wife
650900	197137	Mrs. Borg
650900	198005	Russian dinner parner
650900	198271	Dr. Lundvall's housemaid
650900	198276	Fredrika Limnell
650900	210310	Hostess, Gladan
650900	210372	Mrs. Rydman
650900	237081	Axel Bergstrands hushållerska
650900	238405	Mrs. Wallensjö
650900	240312	Angry man's wife
650900	241980	Marina
650900	268328	Ingrid
650900	268348	Hilda
650900	286641	Guest
650900	303647	Radio listener
650900	303650	Mrs. Strand, Karin's Mother
650900	303654	Vera Violetta
650900	303706	Merchant's wife
650900	315361	Bister's friend
650900	321510	Sonja's mother
650900	322420	Maggie
650900	333046	Nurse
650900	346970	
650900	350283	Maid
650900	350609	Von merken's maid
650900	353038	Mrs. Andersson
650900	357762	Maid
650900	377422	Woman in elevator
650900	377429	Manager, old people's home
650900	378273	Landlady
650901	170921	
650902	58345	Kiosk seller
650903	313975	Reporter B
650904	213379	Katariina as a child
650905	32383	Sofija
650905	40918	
650905	122273	Jenny
650905	284138	Klara
650905	380752	Anna-Karin
650905	403084	Minna Lager (1997)
650905	409080	Anna, Hamid's friend (2002)
650906	99219	Elina Fincke
650906	144052	doña Carita
650906	149634	Helena Kehkonen
650906	153747	
650906	156032	
650906	163026	Karoliina Petrelius
650906	172793	
650906	174209	Barbi
650906	179621	Mirja Somer
650906	180442	Anna Liuhala
650906	181936	
650906	181937	Berita Eliza Lopez
650906	182504	Irma Relander
650906	196525	Heta
650906	198758	Annele Raitamo
650906	213375	Elvi Auer
650906	214835	Albina Palmqvist
650906	233242	
650906	233243	Esteri of Huovila
650906	233245	Martta Niskavuori
650906	236796	
650906	283959	Katri Foudila
650906	284063	
650906	303708	Olga Kauppala
650906	321925	Martta
650906	321946	
650906	323248	Narrator
650906	336584	
650906	349947	Raija Arpia
650906	354259	Dinner guest
650906	371655	Narrator
650906	398899	Mother Sarpamaa
650907	294391	Yodt Lead
650907	406537	
650908	325921	Bärbel
650909	396256	elev (extra)
650910	412	
650910	104860	Mrs. Puraksela
650910	141887	Vuokraemäntä
650910	153721	Lilli
650910	173267	Bride
650910	173407	Synnöve Pullo
650910	179807	Colonel's daughter
650910	181936	
650910	185004	Secretary
650910	187832	Pretty-Molly
650910	197383	Constance
650910	198262	Reporter
650910	214712	Mrs. Kamero
650910	223510	Waitress
650910	242268	Dolly
650910	255512	Teacher
650910	272694	
650910	282248	Rauno's mother
650910	282514	Kemijärven Hulda
650910	321946	
650910	341798	Naapuri
650910	349147	Tarmon anoppi
650910	354086	Shopgirl
650910	354260	Gertrud Kaira, owner of haird
650910	355743	Tossavaiska
650911	175700	
650912	387928	
650912	390512	
650913	12587	
650913	102638	Fürstin Lichnovsky
650913	189581	
650913	293623	
650913	301079	Frau Drusewitsch
650914	83203	Jeune Fille
650914	339967	La secrétaire du commissariat
650916	366102	Barziti Sister #1
650917	202658	Self
650918	191779	Playground kid
650919	363262	Miss Illinois
650920	164376	Jill
650920	176813	
650920	206863	Prosecuting Attorney
650920	220083	Pricilla Hausman
650920	230658	Currey's Princess
650920	245183	Cathy
650920	300344	Cocktail Waitress
650920	330091	Laurie Miller
650921	145359	
650922	392086	
650923	148819	Journalist
650924	84297	Stina
650924	168390	Kerstin
650924	303650	Brita Sander
650925	247598	
650926	317600	Indfødt pige
650927	211217	Fiatal énekesnõ
650928	11897	
650928	38831	Princess Victoria
650928	47519	Corinna Delly
650928	93474	Gerda Cyrus
650928	107371	
650928	142018	Marie
650928	142062	Martha
650928	144123	
650928	156667	Emmi Grund
650928	157689	
650928	212730	Frau Kramer
650928	261569	Elisawetha
650928	306509	
650928	317103	Mother Elisabeth
650928	352636	Claudia, figlia di Luciano
650928	354478	Emmi Zubermann
650928	359695	Gertrud
650928	369406	
650928	373343	Yvette Obardi
650928	376440	
650929	206246	Ellen
650930	11712	Kerstin
650930	29571	Kerstin
650930	125584	
650931	37781	Girl
650931	122769	
650932	334148	Sax Quartet in Park
650933	325433	Sarah
650933	388166	Anica Maric
650934	48199	Astrid Holte
650934	84283	
650934	234512	lærerinnen
650934	322454	Mother
650934	387046	
650934	391365	
650934	394633	
650934	401127	Randi (Bandit - sjef)
650934	404890	Randi (Bandit)
650935	215487	Herself
650935	397888	Herself (2002)
650936	165165	Jenny
650936	396164	Camilla
650936	408589	Kerstin
650937	55203	Carmen
650937	71942	Ottone
650937	211836	Contralto
650937	245820	Kate Julian
650937	312722	
650937	390558	Mezzo-soprano (segment "Mahle
650938	181658	Herself - Direktør, Statens M
650939	215586	
650940	30937	Lisa's mother
650941	328128	Cook
650942	382773	Althea Dennis (1956)
650943	148963	Lilli Duvre
650944	345434	(episodes 3 and 4)
650945	512	Miho
650946	216451	Mary
650946	342756	
650946	348386	Elizabeth Reynolds
650947	68119	Ginger
650947	144369	Grace Dawson
650947	193723	Amy Todd
650947	385913	Herself (1968)
650947	393222	Herself (regular perfomrer) (
650948	302719	Biff's Mistress
650949	363707	Dolly
650950	292911	
650950	325701	
650950	325937	
650950	399478	Narrator (voice: German versi
650951	332754	
650952	22181	Mutter
650952	75763	Frau Witt
650952	120932	
650952	188740	His wife
650952	189536	
650952	193428	
650952	340360	
650952	361810	Karl's mother
650953	215748	
650954	138744	Chorus Man
650955	177525	Punk Girl
650955	236779	Chemist Shop Assistant
650955	316410	Madeleine
650956	23525	Lisa
650957	130341	Friend #4 on the beach
650958	299427	
650959	217568	Taxi Passenger
650960	267576	Journalist # 2
650961	215037	
650962	319149	Bea
650963	81352	Stage Actress
650963	281927	Bella (The Hustle)
650963	293637	Mrs. Adler
650963	380390	Phyllis Carpenter (1984)
650964	396623	Mrs. Ferrier
650965	111800	
650966	352567	
650967	58106	
650967	187411	
650968	360436	Elderly Woman at Counter
650969	63730	
650969	167041	Martha of Bethany
650969	205595	
650969	287013	Hagar
650969	289647	
650969	332259	
650969	383448	
650969	383586	
650969	390092	
650969	392654	
650969	392741	
650969	392990	
650969	393046	
650969	399660	
650969	399927	
650969	400788	
650969	401970	
650969	407887	
650969	409788	
650970	203232	Auguste Bolte
650971	30937	Alice
650972	5664	
650972	98259	Regina
650972	155324	
650972	284125	
650972	317157	Helen
650972	317273	Frau Tamm
650972	325383	
650973	14196	Becky's Mother
650973	154301	Mrs. Alpha
650974	367951	Herself
650975	245497	Mom
650976	16144	Connie
650976	26324	Mrs. Maglia
650976	49441	Mrs. Tannenbaum
650976	53312	Carol
650976	59135	Carol Kellerman
650976	68455	Principal
650976	109424	Jan
650976	118705	Ruth
650976	173932	Lucille
650976	173933	Lucille Larusso
650976	183357	Harriet
650976	185270	Mimi
650976	208074	Stoddard
650976	237908	Rita
650976	333408	Mother
650976	381777	Harriet Winners
650976	392297	Rita DeLatorre
650976	396636	Connie Malone Karamakopoulos
650976	399817	Marion Quintzel
650976	404632	Helen Russell
650976	405769	Alice (1979)
650977	368952	Stork Club customer
650978	388640	Kialla Tangaru
650979	174908	
650980	192415	Mother
650981	226505	
650982	333240	
650983	383768	Jennie
650984	408091	Ronnie
650985	231170	Teta Matylda
650986	144235	Consuless
650986	308200	
650987	248878	Ship Photographer
650988	268537	
650989	75721	Additional Player
650990	287550	Fine
650991	116674	Student #2
650992	9543	Ulla's hair dresser
650992	91521	Eva, office clerk
650992	95829	Woman at the school office
650992	181843	Woman at the duel
650992	181850	Olga
650992	227740	Nurse
650992	337888	Young lady in the audience
650993	213590	Yum-Yum
650994	29570	
650995	407	Historian
650995	62678	Historian
650995	79792	Host
650995	266735	Historian
650996	28272	Helen
650996	46267	
650996	137562	Police Prosecutor
650996	195825	Josie Johnson
650996	273408	News Reporter
650996	387639	
650996	389442	Kate Preston (1994-1997)
650996	390778	Karen Jones
650996	403817	Fay
650997	59717	Lady
650997	388581	The secretary
650997	398195	Woman next-door
650998	199733	
650999	167051	
651000	107973	Mutter
651001	82166	Lijs
651001	215767	Susanne
651001	381213	Hella
651001	382211	Susan
651001	392563	Maaike
651002	348379	Musician, in the pub
651003	104779	Norwegian vote presenter
651004	182531	Dream Girl
651005	18544	Cap Rooney's Child
651006	110247	Adrea
651007	16943	Wife at Table
651007	47144	Teacher
651007	61572	Marie Vinton
651007	80781	Pee Wee
651007	97026	Nurse
651007	107930	Passenger
651007	117061	Mrs. Sitwell
651007	120126	Hitchhiker
651007	125928	Operator
651007	163208	Mrs. Hughy
651007	191836	Mrs. Zolteck
651007	236870	Penny
651007	277731	Mrs. Simms
651007	306300	Bonnie
651007	313583	Fan Outside Hotel
651007	342909	Shelly Wilson
651007	372806	File Jane
651007	399832	Penny
651007	406952	Stacey Drakowski, R. N. (1997
651008	48368	Chris Nilsson
651008	114033	Stridhs wife
651009	367506	
651010	4231	Mrs. Aaltonen
651010	21722	
651010	172295	Kaisu
651010	172777	Sutiska
651010	174810	
651010	179807	
651010	184065	Matilda Kivinen
651010	186068	Anna
651010	213378	Manta
651010	234604	Sauna-Maija
651010	242264	Anna Kutanen
651010	242948	Miina
651010	246634	Ruuhiniemi
651010	255764	Eedla Ratamäki
651010	256366	Eeva Moisio
651010	256880	
651010	272247	Lemppa-Anna
651010	301911	Miina
651010	341793	Tilta
651010	371442	
651011	31822	Jill Jackson (scene added lat
651011	62898	Mary
651011	72864	Agent XK-120 (Scenes added la
651011	343279	Driver's girl
651012	115532	Gloria Walsh
651013	2613	Herself - Presenter: Document
651013	87163	Herself
651013	131004	Herself
651013	275006	
651013	402268	Herself
651014	122472	
651015	84250	
651015	367511	First Debutante
651016	128441	
651016	166072	Mrs. Robbins
651016	281415	Woman
651017	14170	Samantha
651017	26563	Maenad (chorus)
651017	75885	Byron
651017	301678	Dr. Newbury's Assistant
651017	343279	Little girl with old woman pi
651018	138744	Chorus Woman
651019	146273	
651019	207184	
651020	361907	Nancy
651021	12332	Amy Masterson
651021	18628	Wendy
651021	34638	Alice Wendlekin
651021	216445	Sam Goode
651021	360355	Michael's Mother
651021	379827	Anya Foley
651021	384896	
651021	385637	Nicole Roberts
651021	410416	Titania
651022	196183	Ilona Skakovski
651023	125256	Kiriko
651024	218981	
651025	78218	
651026	244825	Pansy Duggan
651026	331053	Mrs. Dinwiddle
651027	390812	Ute Lorenz (1993)
651029	340754	Girl
651030	42202	Svägerskan
651030	99422	Cilla
651030	332378	Receptionist
651031	232986	Sect girl
651032	20320	
651033	347868	Sexy Girlfriend
651034	123495	Governess
651034	172787	Hortensia Kraft
651034	178753	Karolina Johansson
651034	303663	Trackwalker's Wife
651034	304408	Olga, waitress
651034	314958	Woman outside the store
651034	320621	Mrs. Harpe
651034	349585	Singer
651034	377379	Martha
651035	405209	Jackie Palmer
651036	406646	Pernilla Löf
651037	349408	Mother
651038	6103	
651039	388912	Martins föräldrars vän
651040	199396	Karin
651041	139228	Girl at Airport
651042	41508	Adèle
651042	99867	Girl at the inn
651042	171579	Anna, Axelssons daughter
651042	274911	
651042	315038	Miss Sommarlund
651042	315039	
651042	321987	Ruth
651043	104807	
651044	78519	Ginger
651045	77403	Barbro
651045	97864	Carina
651045	100477	Märta, Roffe's wife
651045	139647	Police officer
651045	180222	Kindergarten teacher
651045	182101	
651045	197738	Marie
651045	268375	Lena
651045	401772	Ulla-Britt Struve
651047	304407	
651048	101746	Blonde
651049	138449	Girl in shopping mall
651050	5593	
651050	27421	
651050	40410	Heidi Pohlschroeder
651050	93384	
651050	98063	
651050	107969	
651050	111752	Evelyn
651050	186875	Hanna
651050	225124	
651050	259603	Iris Scheufele
651050	314653	Kati Kleine
651050	325671	
651050	326047	Sonja
651050	335992	Hannah Kowa
651050	344153	
651050	386906	Barbar
651050	387079	
651050	389361	Renée Broschek
651050	391604	Sabine 'Bine' Sanders (1999-2
651050	409609	Nelly Bach (1992)
651051	5140	Hennings Mutter
651051	152834	
651051	307652	Martina Becker
651052	15861	Wealthy Woman
651053	189433	
651053	281972	The Duenna
651054	113057	
651055	113057	
651055	171563	
651055	376274	
651056	264436	
651057	23827	Mme Lacroix
651057	183800	Mme Marval
651057	198610	
651057	332225	Mme Robert Houdin
651057	336303	
651058	142732	Personal Kvinnojouren
651058	198252	Lena Bergström
651058	320499	Svampe's mother
651058	349075	Maria Lidman
651058	357612	Therapist No. 2
651058	402515	Various roles (4 episodes)
651058	407124	Susanne
651058	408800	Jaqueline 'Jackie' Koriander 
651059	395257	Blond at party
651060	323661	
651061	71496	Jean
651061	83834	Cass Wilson
651061	116516	Holly Jones
651061	144667	Reid's Secretary
651061	148947	Cynthia
651061	160980	Mildred
651061	162366	Kathy Fisher
651061	200289	Princess Helene
651061	273230	Connie Zelenko
651061	325972	Louise Campbell
651061	347316	Margie
651061	389858	Mary Briggs, R. N. (1971-1973
651062	5298	Irene
651062	6399	Olga
651062	12448	Alraune ten Brinken
651062	12449	Alraune ten Brinken/Alma, a b
651062	12883	Magda
651062	20075	Baronin Sandorf
651062	23234	Antinea
651062	24654	Herself
651062	41762	Countess Gabrielle
651062	79165	B.Helm
651062	98256	
651062	122607	Diane
651062	129510	
651062	129511	Véra Latour
651062	130579	Florence Wills
651062	134934	Jeanette
651062	144096	Antinea
651062	144100	Herself
651062	147189	
651062	155604	Lady Gertrud Chiltern
651062	156641	Vera, hans hustro
651062	159621	
651062	160272	
651062	164346	
651062	189567	Gabrielle
651062	195613	Herself
651062	198269	
651062	204634	
651062	212097	Maria/Der Maschinen-Mensch (T
651062	216155	Antinea
651062	243042	Fronce Wills
651062	289156	
651062	290796	Olga
651062	292369	Diane
651062	302681	Claire Landshoff
651062	303711	
651062	311239	
651062	352509	
651062	357037	Anita Paglione
651062	369151	Nina Petrowna
651062	377933	
651063	115489	
651065	152791	Car driver
651066	4730	Mrs. Seth Gale
651066	41080	Mrs. Fuddle
651066	41084	Mrs. Fuddle
651066	41088	Mrs. Fuddle
651066	41096	Mrs. Fuddle
651066	41502	Leta Eldredge (adopting Tony)
651066	52658	Mrs. Duval
651066	54650	Nurse Strand
651066	61567	The Mentally Disturbed Woman
651066	74288	
651066	77820	Miss Greenfield
651066	78086	Millicent
651066	78986	Miss Dodd
651066	92525	Mrs. Henry Adams
651066	107697	Doreen Temple
651066	114798	Clara Barton
651066	122052	
651066	128522	Genevieve
651066	129095	Susan Waverly
651066	137505	Miss Mills
651066	144109	Hannah Gordon
651066	147665	Nurse
651066	148957	Mrs. Mary Thomas
651066	154046	Mrs. Butler
651066	178342	Prim Girl
651066	183358	WAVE Woman
651066	183706	Miss Bowers
651066	190060	Ruthie
651066	190268	Office Secretary
651066	190490	Red-Haired Girl
651066	192141	Mrs. Balliser
651066	193295	Martha Bonner
651066	199592	The Manufacturer's Wife
651066	211570	Dainty Doris
651066	213160	Marion Loring
651066	214080	Mrs. Grayson, Alvie's Mom
651066	218782	Lucy Meadows
651066	232002	Margaret Ingston
651066	241257	Estelle
651066	244863	Tonia
651066	249261	Rita Mattison
651066	251644	Mrs. De Cava
651066	254488	Ann Terry
651066	270497	Mrs. Charlie Smith
651066	277913	Nurse
651066	286929	
651066	294744	Nurse
651066	303232	Mrs. McIntyre
651066	308622	Marge
651066	308674	Madame Chopin
651066	315670	Mrs. Jenner
651066	329388	Helen, Ziggy's Neighbor
651066	330010	Miss Wilson
651066	330105	Mamie
651066	342930	Ethel
651066	345981	Maggie (Janet's maid)
651066	347731	Miss Olcott
651066	358191	Wife
651066	366167	Miss Baxter, Mr. Gross' Secre
651066	367288	Jenny Williams
651066	367905	Millie
651066	372121	Kirsty Lundstrom
651066	372461	Miss Harris
651067	98931	Emma Lane
651067	192254	Ellie Donovan
651067	195331	Maureen O'Sullivan
651067	230435	Lt. Green
651067	277219	Melissa Bradner
651067	297101	Guest
651067	344167	
651067	385719	Nurse (1967)
651067	387309	Nancy Pollock Karr (1960s) (t
651067	404694	Susan Ames Dunbar Carver #5 (
651067	409795	Linda Kendall (1955)
651068	238991	Berchtold's Lady
651068	244480	Dietician
651069	293158	
651070	2691	
651070	139709	Lisa
651070	182784	Merle
651070	186606	Uma
651070	228175	Natascha
651070	259470	
651070	259484	Leonie
651070	259591	Sabine
651070	290471	
651070	314849	Nicole Pelzer
651070	325587	Bettina Faber
651070	336507	Silke
651070	364903	Bax
651070	386345	Rika Nonaka
651070	400583	Julia
651072	296681	Amy Wilson
651073	216717	Janice
651074	267547	Penny
651075	155908	Maid
651076	307380	Poker Player, Wilmington
651077	139195	Fan #2
651077	190722	Cissy
651077	237600	Charlotte Whitley
651077	271750	Francesca Sabatini
651077	321734	
651077	375801	Kate Haskell
651078	391057	Herself - Participant
651079	281912	Child
651080	103538	Ida
651080	181367	Beatka
651081	114915	Spy
651082	343402	
651083	12832	
651083	290180	
651084	388396	Madame Leontine
651084	390987	Mrs. Gibson
651084	396363	Madame Bovary, Charles' mothe
651084	409578	Mrs. Martin
651085	318488	Frightened Woman
651086	187172	Lady in Gallery
651086	372264	Casting Director #5
651087	12379	Walpurga
651088	31635	Wendy
651088	230089	Jenny
651088	260697	Connie
651088	267547	Angela
651088	328256	Chris
651088	362453	Marshall Field's Shopper
651088	385824	Lindsay Callahan (1986)
651088	406456	Kate Shepherd
651089	12209	Waitress
651089	85077	Otis's Victim
651089	317309	Barney's Beanery Patron
651090	14994	Blikkenslagerens kone
651090	26317	Nabo
651090	99592	Herdis Hansen
651090	115384	Mona
651090	122339	Sælger
651090	182608	Edith
651090	194428	Ellen
651090	209328	Brud i 1910
651090	210292	Lise
651090	218975	Ulrichs mor Annie
651090	282597	Edith
651090	312018	Vivi
651090	324478	
651090	328516	Cafeteriadame
651090	389406	Various roles (1971)
651090	403194	Posedame
651091	201095	Machine Head Girl
651092	41186	Pippi the Cop
651093	20418	
651093	199020	
651094	68387	
651095	138956	Sylvie
651095	155638	Psychiaterin
651095	307168	Maja Cramer
651095	353438	Laura Petri
651095	359702	Klara
651095	380920	Cordula
651095	381691	
651095	384526	Gloria Thorbach
651095	386905	Dr. Britta Söhnel
651095	391555	Fritz (episode 1 to 4)
651095	400304	Susan Bruckner
651095	405803	Maja Cramer
651095	405803	Maja Cramer (1997-2000)
651096	306100	Girl
651097	365604	Sandra Wieland
651097	386560	Karin
651097	389359	Ja (c) queline Otto
651098	366511	Kassiererin
651099	9602	Saaras moder
651100	175727	
651100	267016	Tainan äiti
651100	394793	Airi Similä
651100	398514	Äiti
651100	400780	Simon ja Titan äiti
651101	258033	Mrs. Sidey
651102	1792	Miss December 1982
651102	118911	Honey
651102	257849	Playmate
651102	257866	
651102	261236	Laura Shea
651102	275996	Incredible Girl
651102	352693	Herself
651102	361862	
651103	11875	Hidegard Schuster-Köhler
651103	32748	
651103	65199	
651103	124380	
651103	155478	
651103	155486	Eine Zofe
651103	178810	
651103	209562	
651103	341112	Madame Hülsebusch
651103	361125	
651103	361458	
651104	9522	
651104	15102	Lady Saltburn
651104	17597	
651104	33156	Dr. Käthe Neumeier
651104	49266	
651104	134903	Frau Schweigert
651104	156719	Oberschwester
651104	175273	
651104	180906	Frau Blaha
651104	205663	Dona Angustias
651104	230188	Hedda
651104	351606	Mrs. Stonor
651104	356840	Frau Peters
651104	361578	Irene Glindow
651105	79053	Secretary
651106	122557	Erika
651107	353298	Hair Spray Victim
651108	98256	Gisela Kron, Gilgi
651109	14914	Mildred Schwartz
651109	24540	Lady at House
651109	26281	Mrs. Hudkins
651109	32661	Crazy Cora Wilkens
651109	33375	Saleslady
651109	39413	Cissy Prine
651109	46215	Mrs. Ida Lowry
651109	51967	Mrs. Little
651109	63104	Widow Mutterance
651109	81587	Geena Milner
651109	86021	Elaine Thurston
651109	92551	Libby Oppel
651109	108329	Mrs. Bittner
651109	108343	Mrs. Maloney
651109	110251	Desk Clerk at Mint Hotel
651109	114044	Nurse Katherine Gunther
651109	115508	Dr. Pamela Schilling
651109	117105	Bea Winchell
651109	126696	Vera Lesser
651109	145539	Mrs. Mildred Breslau
651109	149911	Mrs. Marilyn Mead
651109	151633	Shatzie
651109	160373	Honor Zetterland
651109	165277	Claire Folger
651109	183717	Amanda
651109	184898	Maureen Whitten
651109	187271	Emma Borden
651109	191945	Miss Colby
651109	192724	Mrs. Ford
651109	192833	Hedda Hopper
651109	193358	Claire Fletcher
651109	221136	Queen Carlotta
651109	221375	Maude Marley
651109	245699	Edith Mintz
651109	252929	Mrs. McBride
651109	252993	Farm Woman
651109	282046	Frances Clooney
651109	289021	
651109	291122	Pearl Bartlett
651109	296711	Lady Constance Landau
651109	314618	Ma Cavello
651109	315950	Isabelle
651109	333193	Mrs. Ogre
651109	359146	Mattie Riley
651109	362282	Herself
651109	363225	Barbara Patterson
651109	368546	Dorothy Longworth
651109	384548	Doris Elizabeth Sherman (1995
651109	387496	Aunt Minerva
651109	388202	Jack's mother
651109	401079	Mrs. Sally Colton, Madam
651109	405769	Jessica Tate
651109	411051	Mona Robinson
651110	298318	Sniper Girl
651111	36712	Katerina
651112	256220	Alexandria
651113	31544	Sumire
651114	54933	Polly
651115	112428	Grace Farrell
651116	310168	Herself (Expedition Two Fligh
651117	310168	Herself
651118	109686	Katrina Belinda Thomas (Kitty
651118	241812	Katrina Belinda Thomas (Kitty
651118	392693	Katrina Belinda Thomas (Kitty
651120	98242	Ground Hostess
651121	275626	Lindy, Hugo og Crissys barn
651122	214366	Pusle Berg
651122	214370	Pusle Berg
651122	214371	Pulse Berg
651122	214372	Pusle Berg
651122	322681	Anne
651123	8596	
651123	126929	
651123	180542	Mother
651123	186390	
651123	186489	Mother
651123	219846	
651123	294638	
651123	324985	
651124	6431	
651124	8121	Eva Tsami
651124	10373	Mrs. Christina
651124	16875	
651124	29696	
651124	82780	
651124	93731	Police secretary
651124	98088	
651124	156416	
651124	179456	Marina
651124	228170	
651124	234701	Prostitute
651124	379910	Star
651124	389459	Zanis's aunt
651125	386983	Pia
651126	28896	
651126	173844	Dancer
651126	208275	
651126	285545	
651126	303355	
651126	370741	
651127	338981	Herself
651128	238427	Aida
651129	144058	Woman from the Young Ladies' 
651130	98757	(segment "A Radionovela")
651130	103869	
651130	225142	Frau von Ehrenhardt
651131	324448	Dancer: Esto es tango
651132	28994	La postière
651133	21772	
651134	126700	Mrs. Gurley
651134	156775	
651134	399816	Mabel Butterfield (1976)
651135	147739	
651136	49012	Additional Voices
651136	200346	Herself
651136	382114	Sweets
651136	411533	Butterbear
651137	27666	Anja
651138	273930	Poacher's wife
651138	283802	Supervisor
651138	331490	Woman with baby
651138	382839	Hilaret
651138	395965	Lucy Caldwell
651138	399304	Patience Penrose
651138	400087	
651138	406936	Mrs. Lavenham
651138	407085	Charmian Wentworth (1975)
651139	154621	Nurse
651139	223909	Dressing Room Woman
651139	353297	Bertha
651139	353298	Bertha
651140	142506	
651140	244185	Huisbazin
651140	247590	Dame in verkeerd geparkeeerde
651140	401444	Stien Struis (2001-)
651140	406203	Vanessa Meurant (2000-2004)
651140	409192	
651141	87736	Johanne Bastrup
651141	99443	Agnes
651141	116362	Tjenestepigen Maria
651141	121482	
651141	123502	
651141	125644	
651141	146600	
651141	146603	Kokkepigen Stine
651141	151823	Henriette Palsler
651141	154138	Ketty
651141	154236	Tykke
651141	155124	Herself
651141	159641	Bondekone
651141	166599	Køkkenpigen Viola
651141	173139	Petra Mortensen
651141	174016	
651141	179975	
651141	182850	Tilskuer
651141	187618	
651141	216781	Billedhuggersken Sylvia Storm
651141	237288	
651141	284407	Sidsel Ølgod
651141	314995	
651141	322291	Åse
651141	322461	
651141	351042	Fru Olga Olsen
651141	353045	En husbetyrerinde
651141	360833	
651142	99554	Karen
651143	340269	Marit
651144	254250	Mette
651145	288050	
651145	316295	Florist
651147	354627	Britt
651148	180079	
651148	211921	
651148	266322	
651148	369010	Felicja
651149	46311	C.B. Voice
651149	140925	Girl Friend
651150	354683	Prisoner
651151	106541	Little Girl
651152	317652	Klinikassistent
651152	320591	Herself - Author
651153	351277	
651154	332825	
651155	115708	Mrs. Wilson
651156	273230	Karen Brock
651156	304889	Registration nurse
651156	371026	Rene Pyle
651156	372755	Roberta Crawford
651156	386891	Nurse Conant
651157	357086	
651158	67361	Marking Room Cast
651159	62053	Waitress at Harmon's
651160	61856	Princess Buondelmonte
651160	85893	Herself
651161	385848	Herself
651162	5594	Anni Rose
651162	32770	
651162	84550	
651162	84592	Katrine
651162	92554	
651162	101346	
651162	107879	Alte
651162	119297	
651162	120953	
651162	126359	
651162	129692	
651162	136922	Old servant
651162	142081	Kellnerin Käthe
651162	145603	
651162	160860	Housekeeper
651162	164648	Alte Dame
651162	180532	
651162	180980	
651162	186890	Trudchen Fehling
651162	188763	Teresa Browne
651162	198929	
651162	243241	Putzfrau
651162	290765	
651162	293106	
651162	310430	Mutter Spark
651162	323054	Emmi Karsten
651162	324785	
651162	325704	Hausangestellte
651162	325850	Frau Wolf
651162	333351	Frau Kleinert
651162	337555	
651162	346849	
651162	358541	
651162	366562	
651162	371287	Alte
651162	375062	
651162	376398	Francisca
651162	381382	1.Patientin
651162	386982	
651162	389956	
651162	391287	Heidi's grandmother
651162	394832	
651162	396753	
651162	399175	
651162	400897	
651163	340116	Milk-shop owner
651163	391693	Herself
651164	4055	
651164	4455	
651164	23134	
651164	28288	
651164	29215	
651164	35986	
651164	36056	
651164	36184	
651164	36263	Kaikasi
651164	58429	
651164	59420	
651164	84747	
651164	85354	
651164	85355	
651164	97551	
651164	98800	Infant
651164	114810	Taterjenta [Felen i ville sko
651164	134363	
651164	135880	
651164	135892	Garataiah's wife
651164	139006	May-Britt
651164	156452	
651164	173593	Venkamma
651164	181037	Satyabhama
651164	184170	Mainee (Tribal Girl)
651164	184592	
651164	217195	
651164	228755	
651164	251677	
651164	262912	
651164	272705	
651164	275806	
651164	280579	
651164	286759	Kousalya
651164	287805	
651164	288785	
651164	297474	
651164	298813	
651164	303321	Kousalya
651164	323078	
651164	324075	Kamala
651164	332173	
651164	333757	
651164	334714	Paramesam's wife
651164	351420	
651164	357622	
651164	405837	Birte
651165	17696	Nurse Tilda
651165	129401	Carole Truitt
651165	393228	Joan's Nanny
651166	223074	Erica Zann, Violin
651167	40520	
651168	342904	Barfly
651169	387466	
651170	286687	Pizzicata Sisters
651172	261119	Susan Henschel
651173	253059	Model #3
651173	353499	Herself (Model)
651174	12238	Anita Mellikovna
651174	68462	Britannia (prologue)
651174	71356	Pauline Gardner
651174	77970	Meleese Thoreau
651174	105332	Everywoman
651174	169926	Jasmine Grenfel
651174	187721	
651174	203564	Mildred Miller
651174	211523	Ethel, the Mermaid
651174	250904	Virginia
651174	283527	Leslie Wilkinson
651174	301773	
651174	327407	
651174	341956	Bertha Grey
651174	363083	Louise Caldwell
651174	366326	
651174	367473	Lou Bennett, the Girl who Tam
651175	14104	Halloween party guest
651175	294980	Monster truck fan
651176	256618	Edith
651177	282463	Fat lady
651178	67612	Herself
651178	87542	Reporter
651178	114312	Interviewer
651178	204358	Neighboring Prostitute
651178	212025	Gladys (Sherwood's secretary)
651178	276636	Moderator
651178	281054	Actress
651178	307264	Rhonda
651179	213577	Presumed Chorister
651180	125816	Gebo
651180	232430	
651181	246214	Julia Blandings
651181	382590	Felicity
651182	2603	Herself (Presenter)
651182	3355	
651182	27004	
651182	78023	Julie
651182	80823	Agent Linda Howerton
651182	91793	Heather Dwyer
651182	118705	Jean Searage
651182	159945	Anna Rawlins
651182	159946	Anna Rawlins
651182	176812	Gabrielle
651182	191344	Chris McCormick
651182	195761	Jackie
651182	211809	Sophie
651182	224981	Contact in Avignon
651182	245625	Elizabeth
651182	260904	
651182	330130	Karmen
651182	353365	Lisa
651182	391835	Herself
651183	207451	Lady Malingcourt
651183	292205	Ellean Tanqueray
651184	14155	Disney Rifkin
651184	27324	Janet
651184	69961	Cynthia Charlton Lee
651184	72850	Meli
651184	74262	Madeline Jeffreys
651184	81649	Beth Kramer
651184	82401	Janet Dubois/Louise
651184	83984	Cathy Mahone
651184	107902	Alice Parks
651184	114094	Alex McGregor
651184	114242	Alex McGregor
651184	154738	Sue Ann Cunningham
651184	161329	
651184	161474	Alma Heusser
651184	178093	Nova Clarke
651184	191344	Kathy McCormick
651184	192010	Jo Bhaer
651184	193572	Carly Matthews Portland
651184	201798	
651184	204163	Tracy
651184	209156	Christine Connelly
651184	226938	Herself
651184	253059	Leese Hotton
651184	253458	Chris Cahill
651184	276190	Herself
651184	279313	Kat
651184	293075	Maria Shriver
651184	294573	Virginia
651184	295826	Laura Barnes
651184	313189	Dorothy Stratten
651184	314135	Helen Mason
651184	318448	Sasha Michaels
651184	319175	Cheryl King, Owner of Candy S
651184	319618	Lacy Warfield
651184	333286	
651184	356350	Herself - Choir Member
651184	359499	Tipper Gore
651184	380049	Kimberly Ballard
651184	383789	Stephanie Wells (1995)
651184	384379	Sydney Guilford
651184	388367	Hostess
651185	239708	Tourist
651186	147767	Car Hop
651187	360745	Sorority Girl
651188	193499	Jane
651189	29909	Cynthia
651189	48964	Susan
651189	77218	May Farr
651189	107427	Carl's mother
651189	139099	Ann
651189	191636	Jean Holland
651189	238236	Nancy
651189	263291	Hugo's Mum
651189	369186	Nelly Dean
651189	379489	Mrs. Whales
651189	379503	Jennie Shaw
651189	383200	Calebs Mother
651189	387533	Kathy Gimbel
651189	395879	Lesley Bygrave
651189	396623	Aggie Moorhead
651189	397833	
651189	408867	Mrs. Flo Cartwright (care wor
651192	307768	Teacher
651193	334149	Jennifer
651194	37919	
651195	272920	Herself
651195	318841	Herself
651195	396696	Juggy Dancer (2003-)
651196	174585	Amanda
651197	100209	Blonde Woman
651197	109857	Nina's Nurse
651198	245137	Woman in Garage
651199	21800	Mrs. Ashley Carter
651200	100453	Solo dancer
651200	136899	Maiju
651200	169099	Ballet dancer
651200	174477	Ball guest
651200	179625	
651200	214835	
651200	242257	Ballet dancer
651200	255753	Salvationist
651200	260623	Ballet dancer
651200	321999	Woman in a dance restaurant
651200	324605	Rouva von Klemm
651200	324606	
651201	357793	Family at the railway station
651202	98385	2. Mädchen auf der Strasse
651203	160294	Herself
651204	203699	Woman Upstairs
651205	7420	Party Goer
651206	35690	Bonnie Thompson
651207	128278	Sarah Walker
651207	129781	
651207	205254	Mrs. Ellen Tucker
651208	102118	
651209	13905	Emily
651210	102118	
651211	408799	Herself - Member of the Music
651212	197758	Prison inmate
651213	4664	
651214	291449	Pageant Girl
651215	16606	Patronne bistrot
651216	40164	Lady Susan Walker
651216	55682	New Canteen Girl
651216	71317	Annette Fraser
651216	89641	Phyllis Du Salle
651216	91719	Simone
651216	129790	Suzi Eckmann
651216	183797	Jeanne de la Motte
651216	200492	Blonde (segment "Lust")
651216	240521	The Australian Girl
651216	289657	Tania
651216	332738	Tiffany Jones
651216	411058	Herself/panelist (1974-1975)
651216	412016	Esther Jones
651217	142209	
651218	58723	
651219	180154	Fräulein Garden
651220	173703	Evelyn Moll
651220	406335	Marion Kemmer
651220	409625	Sophie Himmel #2 (2001-)
651221	290811	
651221	325801	Coach
651221	391295	Petra, Gunnars Frau
651222	115155	Nel van Lier
651223	46625	Monika
651223	308824	Weibliche Petze
651224	81735	
651224	192692	Herself
651225	55110	
651226	60075	Mrs. Such
651227	232084	Mrs. Wingate Yates Foster
651228	57489	976-Sexy
651228	277697	
651228	299664	Lula
651228	400234	Shirley Simmons
651228	410902	Shirley Wilson
651228	410904	Shirley Wilson
651229	105309	Bus Passenger
651231	178176	Kyle (Female)
651232	349121	Leda Swan
651233	258973	Countess De Mel
651234	165440	
651235	279412	Herself
651235	358007	Ticket Lady
651235	391281	Herself (1973-1990)
651236	893	My
651236	32369	Ingrid
651236	32371	Inger
651236	32373	Inger
651236	32374	Inger
651236	32375	Inger
651236	32376	Inger
651236	32377	Inger
651236	32378	Inger
651236	32379	Inger
651236	32380	Inger
651236	32381	Inger
651236	32382	Inger
651236	32383	Inger
651236	32384	Inger
651236	32385	Inger
651236	32386	Inger
651236	60931	Isabelle
651236	62447	Julia
651236	84328	Emma
651236	129970	Sara
651236	138760	Lisa
651236	153942	Deer #2
651236	169976	Judith Wide
651236	223207	Kaja
651236	236290	The daughter
651236	237245	Lisbeth
651236	284027	Astronaut
651236	315981	Sara
651236	320692	Lisa
651236	321906	Nanny
651236	322431	Petra, Sara's friend
651236	387596	Tuva Wellin
651236	402763	Beata
651236	404048	Cecilia Ciderius (1998)
651237	28681	Madame Vanhoutte
651237	120674	Une dame
651237	198549	Marie's Mother
651237	278153	Mireille
651237	354570	
651238	249585	Herself
651239	13747	Grandmother Topouzoglou
651239	26430	Catherine, Miss Kate Dawson's
651239	97520	Lucy's Mother
651239	134076	Cla-Cla
651239	187043	Old Malla
651239	276703	Mandy
651239	323375	Grandma
651240	1650	Landlady
651240	92696	Mother (Frau Kurnig)
651240	132024	Martha, the mad woman
651240	162872	Mrs. Bellows
651240	186751	Publican's Wife
651240	314508	Claude's wife
651241	342488	Maryanne
651242	94252	Malou
651242	139644	Ingrid Fant
651242	153745	Substitute teacher
651242	198380	
651242	204543	Annika
651242	252332	Mona
651242	253029	Greta
651242	293839	Teacher
651242	303205	Susanne
651242	320514	Ritva Torell
651242	385549	Agneta
651242	399850	Torunn Björk (6 episodes 2000
651242	401515	Mamma
651242	403769	Catarina Borge (episode Det s
651242	409190	Lena
651242	412208	Sophie Bromander
651243	176378	Betty Briggs
651243	262919	
651243	268083	Nisha
651244	309714	
651245	380917	Gloria
651245	385069	Mariana Andrade
651245	385872	Cristina
651246	354996	Beggar
651247	27982	Campesina
651248	406452	Judge
651250	142850	Amelie Boivin
651251	309525	Tiffany
651252	401248	Emma Torres
651253	55996	Patricia
651253	402639	Julia
651254	20565	Susie
651255	162262	Kitty Shanahan
651257	11867	
651258	17346	Danser
651259	383037	Anchor
651260	15191	
651261	370800	Herself
651262	32861	Barnepiken
651262	105827	
651263	15057	Mme. M.
651263	70116	La gardienne-chef
651263	84525	Ann
651263	105853	Olivia
651263	121427	Lucette
651263	258334	
651264	3520	Carmina
651264	143686	Jovén violada
651265	292700	Biddy Wheatley
651266	315899	Girl at Bank
651267	315248	Victim
651268	133332	Carol Moskowitz
651268	347063	Girl in Supermarket
651269	380713	Zoe Crane (1996)
651270	91767	Cleaning Lady
651271	56871	Nurse Carlin
651271	151730	Lynn
651271	381960	Florist (Season 2)
651271	389791	Additional Voices (voice: Eng
651272	400540	
651272	406306	Herself (2001- )
651273	109686	Student #2
651274	118744	Social Security Officer
651274	261431	Dead girl #2
651275	156851	Roxie
651276	223349	Opera Singer
651277	127572	Baby Hannah #1
651278	131961	Peggie Anderson
651278	148386	
651278	200073	Campbell's Secretary
651278	330638	Mrs. McDougal
651278	348532	Bridget
651278	367877	The Nurse
651278	399581	Landlady
651279	136816	Kay, as a Child
651279	160946	Child
651279	170844	Angela Hewlett
651279	224332	Maeve as a Child
651279	330148	English Girl
651279	345775	Ann
651279	367919	Mrs. Jones' Daughter
651280	121602	Backing vocals
651280	190798	Performer
651280	223649	Shirley Darling
651280	288102	Herself (backing vocals)
651280	288104	Herself/Singer
651280	410037	Herself
651281	161761	Janet
651282	78479	Herself (performing 'Donna Do
651282	132874	Herself (performing 'Fly on t
651282	153219	Herself
651282	257244	Herself (performing 'Hot Stuf
651283	28441	College girl
651283	352758	Jean
651284	316209	Woman in Dress Shop
651285	331309	
651286	379229	Wednesday Friday Addams
651286	403728	Bess
651287	51066	Claire
651288	109759	Leigh Ann Corbin
651289	158873	Blond female agent
651290	134178	Greg's pupil
651291	192191	Wyner's Girl
651292	127572	Baby Hannah #2
651293	109631	Erica
651293	217427	
651294	25711	Servant Girl in Blue
651296	399331	Presenter
651297	45	Herself
651297	293	Herself
651297	294	Amish Wife (Amish Paradise)
651297	295	Amish Wife (Amish Paradise)
651297	1126	Herself
651297	3692	Herself
651297	4671	Herself
651297	27260	Amish Wife (Amish Paradise)
651297	34730	Herself
651297	45778	Herself
651297	45779	Herself
651297	45781	Grandma
651297	45782	Herself
651297	45783	Carol Brady
651297	45785	Herself/Host
651297	80921	Herself
651297	88525	Herself
651297	108272	Herself
651297	121208	Muriel Hatcher
651297	125512	Laurey in 'Oklahoma!' sequenc
651297	126502	Herself
651297	138700	Herself
651297	147972	Herself
651297	154403	Herself
651297	161254	Herself
651297	161377	Herself
651297	171039	Ellen
651297	187311	Thelma
651297	192411	
651297	195483	Monica Richardson
651297	195485	Herself
651297	217625	Betty
651297	219783	Herself
651297	226938	Herself
651297	232017	Herself
651297	250937	
651297	297113	Shakes One Night Stand
651297	308598	Nina Grieg
651297	342195	Herself
651297	351880	
651297	352700	Carol Brady
651297	358808	Herself
651297	382640	Carol Brady
651297	382641	Carol Brady
651297	382642	Carol Tyler-Martin-Brady
651297	382644	Carol Brady
651297	385100	Herself - Host
651297	391827	Herself (semi-regular, 1969-1
651297	393211	Herself (1958-1962)
651297	395230	Co-Host (1999-2000)
651297	400091	Herself
651297	401850	Carol Tyler-Martin-Brady
651297	405427	
651297	406118	Co-Host
651297	408395	Herself - Today Girl (1959-19
651297	408497	Herself (regular performer, 1
651298	323705	Ruby Gray
651299	51975	Woman
651300	364516	Nurse
651301	327766	
651302	11357	Inez
651303	6930	Woman on Porch
651303	7397	
651303	10489	Mrs. Johnson
651303	21503	Mrs. Allen
651303	26268	The Maid
651303	30267	
651303	39185	
651303	40719	
651303	42554	Rich Wife
651303	47463	The Landlady
651303	52551	A Lady of the Court
651303	61387	Susan's Companion
651303	61650	At Tea
651303	65800	Mother
651303	68882	Mrs. Charles A. Franklin
651303	70205	Mrs. Gay
651303	70811	The Wheat King's Wife
651303	71753	
651303	73688	The Landlady
651303	79205	
651303	79496	
651303	79749	Grandmother Burn
651303	81667	At the Taking of the Veil
651303	86219	
651303	87536	In Front of Hotel
651303	88109	A Bather
651303	101555	
651303	101556	Innkeeper
651303	107046	Governess
651303	107393	The Fiancée's Mother
651303	108273	
651303	109791	John Lawson's Fiancée's Mothe
651303	115080	Visitor
651303	117053	The Landlady
651303	130877	The Queen
651303	138846	Mrs. Stamford
651303	141616	Mother of the Owner of the Gr
651303	142306	Mother
651303	143103	Allen's Mother
651303	143349	
651303	143375	The Widow
651303	146039	The Cleaning Woman
651303	146260	
651303	146261	The landlady
651303	146319	Mrs. Jenkins
651303	150394	Party Guest
651303	151158	His mother
651303	151361	Mrs. Knowit
651303	155528	Employer's Friend
651303	157451	The Mother
651303	158110	Mrs. Ramsey
651303	167890	
651303	171173	The Young Woman's Mother
651303	186631	A Boarder
651303	187718	A Noblewoman
651303	191599	Mrs. Rose
651303	194018	Edith's Mother
651303	195693	Edith's Mother
651303	196957	
651303	201846	In Second Audience
651303	204279	Lunchroom Hostess
651303	206165	Mrs. Powers
651303	207111	Mrs. Hiram
651303	211777	The Woman's Mother
651303	213115	At Party
651303	215440	The Man's Wife
651303	216441	Mrs. Jenkins
651303	220860	
651303	221070	
651303	221790	Mabel's Mother
651303	221791	Mabel's Mother
651303	227801	
651303	230600	
651303	235492	Mrs. Jones
651303	239517	An Old Woman
651303	239558	Lady Bountiful
651303	260252	The Mother
651303	261687	Mrs. Caldwell
651303	263738	The Woman's Mother
651303	264372	The Mother
651303	267496	The Girl's Mother
651303	273924	The Mother
651303	282668	Duchess Marcia
651303	287252	Mary's Mother
651303	290390	A Mother
651303	302201	Charity Worker
651303	312326	
651303	316991	The Millionaire's Wife
651303	318801	Cafe Hostess
651303	319274	The Maid's Employer
651303	330623	Mrs. Murray
651303	331096	Mother
651303	331606	Investigating Committee
651303	331848	Grace's Mother
651303	331851	The Crime Victim
651303	331880	Caller/At Whist Party/At the 
651303	335624	Mrs. Brown (unconfirmed)
651303	336910	Tourist
651303	337487	At Party
651303	338077	At Dance
651303	341033	Dick's Employer's Wife
651303	342971	Mrs. Weston
651303	343081	Temptor's Companion
651303	347598	The Slattern Maid
651303	348038	The Mother
651303	348952	The Usurer's Sister
651303	353390	At Reception
651303	358282	The Chief of Police's Son's F
651303	359182	Barker's Mother
651303	359650	At Ranch
651303	362672	Preacher's Companion
651303	362934	
651303	363096	An Actress
651303	365778	Woman at the party
651303	367928	At Dinner
651303	367947	
651303	367997	
651303	368770	The Husband's Mother
651303	374579	Mrs. Taunton
651304	389135	Audrey Nelson
651305	35496	
651305	47527	
651306	204557	Lipstick Girl
651307	107846	
651308	315950	Wendy
651309	386911	Adelyn
651310	16760	Gretel Paskiewicz
651310	33644	Miss Holland
651310	134096	Mme. Vauthier
651310	138658	Miss Whitchurch
651310	141317	Miss Malcot
651310	165445	Grace Poole
651311	116289	Hollingworth's Secretary
651313	109666	Miss Bannerman
651313	177290	Judge Taylor
651313	189221	Sandy
651313	207782	Mrs. Elkins
651313	222634	Josephine Wallace
651313	270437	Estona
651313	280135	Doctor
651313	295032	
651313	318790	Mrs. Burnside
651313	328637	Judge Bonner
651313	379716	Wilma Marlowe (#1) (1985-1986
651313	404613	Kate McCleary #1 (1984-1985)
651314	239713	Sarah Noonan
651315	407879	Miss Fennel (Series 3-5, 8-9)
651316	5009	Moira/SPAT
651316	314358	Auntie Aileen
651317	38378	
651318	299954	Nadja
651318	380276	Mandy Hope
651319	361159	Bar Maid
651320	191611	Pamela
651321	257083	Kerri
651322	256578	Sister
651323	360149	Marquis de Sade girl #1
651323	360150	Party Babe
651324	200052	Amy
651324	399567	Young Paula Fogarty
651325	344	Creature #2
651325	51972	
651326	65378	Bus Woman #3
651326	194963	Cranky Woman
651327	304355	
651328	115933	Cindi Ogilvie
651328	314358	Young Stella
651330	33644	Princess Fatima
651330	379352	Mary
651331	383078	Laura (1998-)
651332	59869	Nurse on Duty
651332	128429	Attractive Girl in Bar
651332	275330	Perri Masai
651332	299881	Pam
651332	331541	Student
651332	387728	EMT Pamela Olbes
651333	159261	Margaret
651333	245199	
651333	403993	Extra [206]
651334	147515	Clerk
651335	91523	Contest Winner
651336	11277	Joyce Murdoch
651336	26802	Dolores Keith
651336	54134	Janet Hale
651336	80744	Sabena/Dara
651336	89241	Millie Thurman
651336	153589	Marcia Blaine
651336	226873	Helen Willis
651336	226942	Julie
651336	228182	Ruth Henning
651336	278633	Grace Hartwell
651336	332007	Francesca Rigaud
651336	333173	Jeanne Marat
651336	360307	Judy Wingate
651336	379612	Kathleen
651336	385923	Mickey Riley
651336	409225	Babs Smith (September-October
651336	411442	Miss Brown
651337	382145	Singer/dancer
651338	244399	Elder
651339	313334	Hotel Passerby
651340	153211	Cleaning Woman
651340	214961	Woman
651341	197236	
651341	197259	
651342	313393	Herself
651343	47880	Neighbor
651343	137696	Mrs. Taylor
651343	192691	Mom
651343	203917	Chairlady
651344	95101	TV Reporter
651344	202239	Hanna Travis
651345	246285	Emily
651346	86292	Betty
651346	87576	Garvin's Secretary
651346	276635	First Girl
651346	333430	Renaissance Aide
651346	387438	Kathy, member of the Short Ci
651347	358434	Billy Budd's Bar Patron
651348	31704	Woman's Voice
651348	174911	Jaynie
651348	308673	Aurora
651348	316188	Tara Norris
651348	365974	Anna Schiller
651348	379332	Shirley Holmes
651348	381980	Phoebe Sutton
651348	398792	Cleo Bellows
651349	315631	Garden party girl in dream se
651350	120817	Annie
651351	57747	Inmate
651352	102247	Pregnant Lady
651352	112432	Janet
651352	192381	Nicole
651352	224336	Cashier
651353	304355	
651354	411404	Feature Singer (1970-1971)
651355	22071	Agent #2
651356	397410	Casino Hostess
651357	118933	Karen
651357	339480	Young Eileen Canboro
651358	382254	Jane Russell
651358	404088	Jennifer
651359	192324	Lella
651360	399449	
651361	6412	Tetsuro Hoshino
651361	72065	Terri Costello
651361	91099	Goku
651361	92759	Gohan
651361	92760	Gohan
651361	92761	Gohan
651361	116100	Veronica 'Ronnie' Quaife
651361	119598	
651361	120123	J.J. Jarrett
651361	123027	Tetsuro Hoshino
651361	175819	Utsuse Miho
651361	176540	Yuki Nakasato
651361	216726	Lucrezia Noin
651361	229316	
651361	241950	Yuki, Various
651361	271253	Red Princess
651361	272209	Tsubasa Kurenai
651361	287769	Blunder
651361	382648	Kanan Gimms, Captain Anoa McC
651361	384080	Woman At Shelter, Seed Offici
651361	386777	Goku
651361	386922	Gohan (I) (1996-1998)
651361	386923	Goku (1994)
651361	387775	Serena Schezar
651361	389866	
651361	390961	Oxnard
651361	392964	Sota Higurashi
651361	394440	Naomi
651361	394754	Lua
651361	396491	Lala's Singing Voice
651361	396526	Kentaro Ichinose
651361	397054	Natalya
651361	398000	Lucrezia Noin
651361	398142	Genki (2001- )
651361	399495	Vam-Mi
651361	402863	Tsubasa Kurenai (season 3, 7)
651361	403541	Additional Voices
651361	404062	Bloodberry
651361	406012	Megumi Akiba
651361	406714	Sakura
651361	409380	
651361	410869	
651362	120635	Secretary
651363	122183	COPS officer
651364	160759	Sara
651364	214982	Daughter
651364	381978	Little Girl
651365	176487	Girl #1
651366	292275	Heidi's Mom
651367	1868	Lindsay Wilson
651367	7213	Andrea
651367	7987	Ruby
651367	13847	Alice
651367	46877	Jude, Bridget's Pal
651367	46878	Jude
651367	49493	Lynette
651367	65085	Annie
651367	65200	Sally
651367	87333	Charlotte
651367	88912	Janet Losey
651367	114475	Glenda Sands
651367	120817	Kath
651367	128307	Gaynor
651367	134073	
651367	139650	Moaning Myrtle
651367	139652	Moaning Myrtle
651367	160884	Sally
651367	201645	
651367	241146	Shirley
651367	279581	Morag
651367	286255	Mary
651367	315402	Herself/Alice
651367	335982	Leonora Braham, Lead Soprano 
651367	337830	Gail
651367	354458	Ella
651367	365121	Alice
651367	368040	Debbie
651367	371303	Cleaner
651367	390948	Isobel Sutherland
651367	392667	Anne Marie
651367	405025	Elizabeth Findlay
651367	410672	Marie Melmotte
651368	312341	
651369	255323	3rd Woman
651370	280655	Sister Slo
651371	322771	Girl
651372	2450	Tara
651373	66661	Bartender
651373	78182	Dancers In Club
651374	306223	Vet #1
651375	253420	Suspicious Woman
651376	98317	Stewardess Mary
651376	98323	
651376	115881	Dancer
651376	119441	
651376	162066	Danzatrice
651376	242824	
651377	134178	Cheerleader
651378	222875	Woman in bathroom
651379	146333	Extra
651380	66154	Geoff's sister
651380	154087	Mary
651380	395180	Jane
651380	405960	Susan Palmer (1982-1983)
651382	356056	
651383	37121	Little Lulu
651383	61617	Andrea Rodman
651383	64556	Herself/performer
651383	88184	Diane Sherman
651383	108335	Carrie Mills
651383	111409	Additional Voices
651383	114956	Nikki Willis
651383	127729	Herself
651383	144922	Nadine
651383	163314	Teague Harrington
651383	191973	Little Lulu
651383	261062	Mandy
651383	265747	Laurie
651383	364676	Zoey Sanborn
651383	390070	Julie Kanisky Maxwell
651383	399249	Hillary Flanagan
651383	411225	Payback/Maya
651384	80646	
651385	107842	Reporter
651386	157574	Irene's Baby
651387	411089	Shirley Miller
651387	411090	Shirley Miller
651388	48262	The wife
651389	272919	Herself
651390	44516	Manicurist
651391	161051	Little Girl
651392	86751	Phone Caller
651393	33963	Teacher
651394	366746	Admitting Nurse
651395	176537	Kayra Su
651395	226929	Waitress
651396	374	Antonia
651396	42965	Mimì
651396	108061	Nanetta
651396	234149	Herself
651396	281188	Juliette
651396	282942	Anne Truelove
651396	341825	Liù
651397	241767	Min
651398	234104	
651399	274841	Kathryn
651399	364281	Theresa
651400	37413	Audrey Drummond
651400	152838	Frannie Hunter
651400	265616	Penny
651400	309197	Fawn
651400	381562	Kelly Kramer
651400	385127	Betsy Tyler
651400	394357	Nicolette Raye
651401	31877	
651401	227699	
651401	317415	New Year's Eve Party Girl
651401	369444	Nurse
651402	124026	Make Out Girl's Mom
651403	23336	
651403	145071	Amy Barnes
651404	232024	Agatha Stuart
651404	367775	Party Hostess
651405	306599	Barbara Dixon
651405	324551	Liquid Silver Dancer
651406	109524	Nurse
651406	112369	
651408	132008	Sarge
651409	158483	
651410	133214	Amy
651411	156939	Peola Johnson, Age 4
651412	45591	Dancer
651412	115562	Rockette
651413	215862	Minister's Wife
651414	41829	Auggie & Violetta's baby
651415	77751	Carol
651415	203083	Lily Lloyd
651415	388321	Pamela Hargreaves Trip (1997-
651415	396206	Hannah Craven
651416	197729	Potts Twin #1
651417	1348	Herself
651417	2010	Herself
651417	2022	Herself
651417	2259	Herself
651417	2275	Herself
651417	2807	Herself
651417	3593	Herself/Mary Frances "Frankie
651417	291968	Denise
651417	306626	Maggie Stone
651417	379716	Mary Frances 'Frankie' Stone 
651418	284890	Herself
651419	31487	Doucette
651419	203980	Beatrix
651420	367864	Officer
651421	14230	Florist
651421	31156	A.D.
651421	34670	Bar Waitress
651421	59665	Nun
651421	315160	Nancy
651422	293212	Warren
651423	155320	Cindy
651424	304557	Girl in Robe
651426	355052	Extra
651427	65099	Siobhan, Mary's daughter
651428	5416	Dr. Clairol
651428	31654	Carol Kaye
651428	80726	Club Metro Dancer, Janice
651428	80814	Lila
651428	100127	
651428	136040	Jenny
651428	231490	
651428	300044	
651429	56303	Micki Miller
651429	140315	Dancer #1
651430	240394	Peggy
651430	408151	Ingrid Michiels (1996-1998)
651430	410003	Conny (1999-)
651431	388299	Veronique Parducci-Van Den Bo
651432	409192	
651433	10300	Amsterdamse meretrix
651433	11464	Receptioniste
651433	13443	Sam
651433	76996	Moeder
651433	80344	Woman
651433	86110	
651433	87683	
651433	126864	Rosalie
651433	175241	Moeder Bakels
651433	180404	
651433	187050	
651433	203252	
651433	207727	
651433	237140	Nynke van Hichtum
651433	260161	Anna Krzyzanowska
651433	328677	Herself
651433	352032	
651433	356106	
651433	367977	Dokter Anhals
651433	376070	Martje
651433	376185	Sonja
651433	389827	Marjan
651434	16036	The Maid
651434	22888	Mother
651434	22922	
651434	26453	The Adoptive Mother
651434	45804	Tourist
651434	65867	
651434	69451	In Hospital
651434	70718	In Tenement
651434	73100	Mrs. Fielding
651434	73341	Party Guest
651434	81585	At Laundry
651434	89121	
651434	93757	Mignon's Mother
651434	94161	In the Play/In the Audience
651434	97469	Second Publisher's Wife
651434	99482	Aunty
651434	109331	Young Man's Mother
651434	116734	Fool's Accomplice
651434	119773	Nurse
651434	128623	In Post Office
651434	130826	The Mother
651434	142688	Jessie Marshall
651434	143117	Biscuit Victim
651434	146308	Mrs. Jones' Mother
651434	149170	At Dance
651434	154144	The Mother
651434	167594	Wedding Guest
651434	168976	Neighbor
651434	168994	Theatre Woman
651434	183676	The Friend
651434	193795	The Maid
651434	195577	The Duchess
651434	196957	The Mother
651434	197675	Veronica's Partner
651434	204250	Margie, the Cook
651434	209419	At Party
651434	220987	Guest
651434	235539	The Mother
651434	241261	Customer
651434	245652	
651434	251434	The Maid
651434	252245	Undetermined Role
651434	259393	Woman, Fourth Couple
651434	276417	Servant/Noblewoman
651434	279446	Vinuella
651434	282271	Noblewoman
651434	282964	Visitor
651434	289595	
651434	290276	Lena
651434	292557	Mother of Don Alvarez
651434	308432	The Mother
651434	309650	First Woman
651434	331078	Theatre Audience
651434	331080	The Mother
651434	333761	Wife
651434	337503	The Landlady/The Thieves' Acc
651434	340619	In Crowd
651434	341035	The Assaulted Woman
651434	342522	Museum Visitor
651434	342989	Party Guest
651434	348087	
651434	356295	Maid
651434	361147	In Office
651434	362189	Extra
651434	366312	Servant
651434	368769	Actress on Stage/At Stage Doo
651435	323038	Sadie McPhail
651435	398085	Jess MacKenzie (Series 5-)
651436	263284	
651437	279409	Patience
651438	229248	Hoer #3
651439	99844	Claudia
651439	229237	Christine
651439	235938	
651439	314858	Josien
651439	381211	Dutch girl in farm
651440	7204	Baby Cynthia
651441	42046	
651442	92095	Hooker #2
651443	87414	Traditrice
651444	43023	Soleil
651445	34913	Choir soloist
651446	272944	Fight Fan
651447	272944	Fight Fan
651448	27153	Angel
651448	33029	Herself
651448	37413	Fleur Soap announcer
651448	126588	Cat Hardy
651448	141746	Blonde Bombshell
651448	143628	Jennifer Cavanaugh
651448	160562	G2
651448	185173	Kelly
651448	196420	Robin
651448	217421	Jennifer Thomas
651448	221136	Heidi Gardelle
651448	222461	Marilyn Munster
651448	244931	Woman
651448	248878	Meredith Blake
651448	281254	Lisa Luder
651448	319682	Evian Carrie Graham
651448	345637	Mrs. Done
651448	362397	Jennifer
651448	366655	Melody 'Jupiter Music' Malloy
651448	384183	Kristen Martin
651448	385824	Brandee Fields #2 (1993)
651448	389989	Agent 66
651450	68728	Reporter
651451	193533	Bow the Panda
651451	333347	Kim (Reporter #2 with Buckley
651452	368894	Iris
651453	105805	Dr. Elizabeth Rodgers
651453	321213	Reporter
651453	361475	The Bearded Lady
651453	395273	Dr. Elizabeth Rodgers (1992-)
651453	395275	Dr. Elizabeth Rodgers (1999-2
651454	132786	Chorus
651454	162099	Fairy
651455	26169	
651455	33260	
651455	34961	
651455	37700	Smart Girl on Beach
651455	66598	Girl on TV
651455	102768	
651455	102837	(segment "Escape: The Desert"
651455	131347	
651455	161409	
651455	163630	
651455	236326	Herself
651455	264423	Bonnie
651455	292333	Model
651455	294306	Dream Girl/Beach
651455	307565	Stacey
651455	370017	Woman in Restaurant
651456	117522	Airport Reporter
651456	117874	Local Anchor #3
651456	127834	Television Anchorperson
651456	201327	Reporter #1
651456	248669	Kate Winsail (TV News Lady in
651456	270881	Kim
651457	206488	Tom Jones backup singer
651458	247992	
651459	6549	Jean Madison (the Admiral)
651459	39408	Ruth Lawrence
651459	45497	Laura Fellows
651459	54458	Giulia de Graffi
651459	69483	Else
651459	145085	Susan Willis
651459	145108	Bess
651459	147894	Tour Guide
651459	168673	Miss Connolly
651459	185544	Deborah
651459	215662	Nan Tatlock
651459	218488	Clair Enoch
651459	224223	Senorita Carmel Alvarado
651459	224228	Sheila Heath
651459	228182	
651459	234910	Bonita 'Bunny' Talbot
651459	241538	Genevieve Howard
651459	264043	Camilla Verano
651459	277899	Pilar
651459	285139	Della
651459	291770	Pat Kirby
651459	301130	Riley Martin
651459	308614	Abigail Hunt
651459	309823	Anne Burnet
651459	312820	Mrs. Swope
651459	350645	Herself
651459	361176	Emily
651460	219864	Twin #2
651461	219864	Twin #1
651462	135927	Kate Burrows
651462	142572	Monica Waters
651462	151110	Lindsay
651462	186131	Soap Opera Woman #2
651462	270522	Tiger
651462	275322	
651462	299897	Soap Opera Policewoman
651463	163231	Dancer
651464	406660	Catherine Harris
651465	5802	Laurelene
651465	29903	Barbara Darrow
651465	39279	Sydney
651465	39328	Helen
651465	89365	Mary Richmond
651465	117086	
651465	142424	Helen
651465	143455	Katie
651465	160304	Herself
651465	184548	Gloria
651465	192514	Rosie Carver
651465	194228	Leon's Mother
651465	267112	Delilah Pettibone
651465	288959	Lynn Jackson
651465	293164	Mother
651465	304563	Marcia
651465	309809	Mrs. Cummings
651465	319982	Herself
651466	110561	
651467	163231	Dancer
651468	101065	
651468	203622	Party Chorus Dancer
651469	54026	Peasant
651470	87520	Newscaster
651471	69410	Girl
651471	69421	Naked college girl
651471	334337	Girl #1
651471	391689	Co-pilot
651473	191548	
651474	223179	Herself
651474	296552	Our Guests at Heartland
651475	339792	Marie
651476	89572	Woman in Via Veneto
651477	60120	
651477	199075	
651477	269075	Pilla
651477	326036	
651477	338689	Zazà
651478	388299	Gilberte (2004-)
651478	389781	
651478	389782	
651479	29406	Natacha
651479	83379	Arlette
651479	338116	Infirmière 2
651480	52204	Check-In Stewardess
651480	231439	Mrs. Bray
651480	375515	Female Relative
651481	197318	Maid
651482	338564	Traveller Camp Dancer
651483	390606	Peg (1954-1955)
651483	410669	
651484	73894	Joan Ross
651484	205555	Mrs. Corder
651484	305360	Lady Alexandrina
651484	363729	Salvation Army Girl
651484	393491	Mrs. Peabody
651484	396009	Varvara Wall
651484	397182	
651484	405525	Lady Kingston
651484	410730	Connie Rohan
651485	6117	Herself
651485	165825	Chairman at EU Top Meeting
651485	192659	LaCamilla
651485	296032	Camilla
651485	326516	
651485	394322	Nurse
651486	20477	
651486	20480	
651487	319673	
651487	403805	Jessica Pierce (2001)
651488	289634	Maid 1
651489	382838	Louise Daniels (1992)
651490	84377	Sharon
651490	117086	
651490	187256	Lily
651490	257396	Norma Jean
651491	19294	Granny Cooper
651491	30197	Mrs. Stratton
651491	35409	Kathryn Gambino
651491	39714	Julie's mother
651491	69624	
651491	84457	Study Hall Teacher
651491	107919	Older teacher
651491	119879	Laura Shepard
651491	126672	Beatrice
651491	150606	Connecticut Woman
651491	150793	
651491	154853	Edith Drysdale
651491	156511	Marcia
651491	165635	Claire
651491	189265	Serious Lady
651491	195267	
651491	203581	
651491	241496	
651491	261425	Librarian Nun
651491	273271	Wife in Restaurant
651491	285729	Drop-in Woman
651491	291252	Transforming Ghost #2
651491	292671	Mrs. Garvey
651491	296693	Thelma Adashek
651491	296695	Mrs. Cahill
651491	300815	Agnes
651491	310998	Cook
651491	327060	Android Dr. Danenberg
651491	335686	Mom
651492	10747	Queen of Hearts
651492	23569	Palcharia
651492	29654	Mary
651492	34395	Miss Purse
651492	41530	Aerobics Teacher
651492	70347	Alice
651492	71567	Mlle Debierre
651492	90889	Julie
651492	92509	Mrs. Robey
651492	92881	Miss Twittingham
651492	105069	Celeste
651492	108626	Lady in Intellegence Office
651492	117556	Landlady
651492	155596	Miss Prism in stage productio
651492	163503	April
651492	167601	Miss Doughty
651492	183722	Housekeeper
651492	216240	Mme. Gilot
651492	218845	Mrs. Yolland
651492	221245	Miss Pym
651492	224381	Aunt Tibby
651492	232839	Janice Waily
651492	298055	Lucy
651492	313081	Miss Tillings
651492	321421	Mrs. Rigby
651492	324163	Embassy Section Head
651492	333679	Mrs. Jex
651492	338827	Governess
651492	365450	Sophie Buchanon
651492	372505	Sister Mills
651492	380714	Mrs. Bale (Series 2-9) (1993-
651492	392450	Mrs. Cribbins
651492	393491	Edwina Crane
651492	398743	Aunt Tibby
651492	399531	Miss Cardew
651492	400109	Martha
651492	405387	Tombola
651492	407438	Mrs. Cruncher
651492	408183	
651494	131249	Granddaughter
651495	131249	Granddaughter
651495	309185	
651496	347794	
651497	96496	
651498	129325	Strassen-Tannerl
651498	290562	Magd
651499	42884	Susan Beth
651500	303286	Herself
651501	303286	Herself
651502	7718	Verfolgerin
651503	37519	Du Cheval
651504	28876	Norma
651505	92095	Girl with Doll (Mary Jane)
651506	299798	Sammi
651507	131453	Rosie
651507	163625	Stripper #1
651507	170843	Banquet Dancer
651507	197228	
651507	242723	
651507	316589	Tamara
651507	353297	Felatia
651507	353298	Lulu
651508	194314	Lilly
651509	1774	Herself
651509	10520	Herself
651509	71669	Karen
651509	105297	Louise
651509	138850	Trudy Ericksen
651509	142568	Herself
651509	155306	Katina Jonsdottir
651509	160336	Herself
651509	163469	Chris Linden
651509	224127	Krista Nielsen
651509	241444	Greta 'Gretchen' Muller
651509	291660	Herself
651509	292169	Trudi Hovland
651509	308803	Herself
651509	318933	Karen Benson
651509	321996	En ung skøyteløperske (skater
651509	330375	Lili Heiser
651509	333016	Herself
651509	366492	Nora
651510	338923	Mama Queen
651511	132744	
651512	204418	Obergeyerin
651513	164320	
651513	175243	
651514	20625	Extra
651514	42125	
651514	118811	
651514	330836	Youngster
651515	19334	Mme Guiot
651515	57281	Madame Guiot
651515	151892	Femme de Louis
651515	345243	L'imitatrice
651516	392	
651516	67826	
651516	110166	
651516	140266	
651516	140269	Uschi Tremp
651516	286418	Female Victim
651516	337426	
651517	342980	The Script Girl
651518	235382	
651519	16955	Elke
651519	136201	
651519	169845	Lu Schlage
651519	281275	Tanja
651519	325525	Notärztin
651519	396874	Lisa Busch (#1) (1992-1993)
651520	1366	Anita
651520	59328	
651520	91222	Dorothea
651520	162068	
651520	347568	
651520	364917	
651521	141606	Maid
651522	18650	
651524	158141	Traveler
651525	363514	Herself
651526	313819	Elevator/Pellerator
651527	35282	Paula Klaw
651527	315919	Mirabel's Friend
651528	145415	Witness #2
651529	13829	Lady Bunn
651530	314957	Extra #23
651532	18411	Bit Role
651532	113461	Venus Doyle
651532	155908	Bridesmaid
651532	176335	Goldwyn Girl
651532	220548	Sound Stage Girl
651532	239028	
651532	254441	Model
651532	348383	Cynthia
651533	51967	Rosie
651533	232438	White inmate #1
651534	161264	Herself
651534	321526	Bible Pusher
651535	285499	Mistress
651536	38734	
651536	51762	
651536	140917	
651536	148230	
651536	195357	
651536	241281	
651536	279561	
651536	367932	
651537	79804	
651538	105707	
651539	63208	Lucy Pevensie
651540	402197	Tina Murray (1979-1986)
651541	59552	Donna Lucia D'Alvadorez
651541	116512	Dinner Guest
651541	267584	Ida Bentley
651541	273834	Mrs. Reynolds
651541	275370	
651541	281446	Miss Teresa Alan
651541	296691	Maggie
651541	330639	Lady Nettleship
651541	385823	Lady Wimborne
651542	136823	Josephine
651543	109714	Barbara
651544	340827	Moonstone
651545	6950	Mrs. Montgomery
651545	49802	Fanny Hamilton
651545	71903	Olive Herrick
651545	124474	Mary Leeds
651545	190562	Aunt Mary
651545	301260	Mercia, a Christian maid
651545	317159	Martha
651545	359131	Marie
651546	73772	Rosa
651547	68014	Courtesan
651547	78121	Station Cop #1
651547	193960	Church Mother
651547	206445	Secretary
651547	287285	Mrs. Miriam Sykes
651547	305978	Myra
651547	330530	Sister Margaret
651548	59765	Ticket Taker
651548	68470	Petty Officer
651548	189066	Sandra
651548	245838	Teller
651549	391104	Rinko Iikura
651550	180058	Reiko
651550	227430	Singer
651550	233116	
651551	10865	Herself/'Newt'
651551	10898	Herself/interviewee
651551	10920	Rebecca 'Newt' Jorden
651551	201611	Herself
651551	319589	Herself
651552	104655	
651553	160178	Reena, Journalist
651553	202153	
651554	323478	Patricia Ann
651555	351884	Moltoni
651556	57079	
651557	148624	Nicole à 5 ans
651558	64734	Nurse
651558	148214	Woman At Depot #2
651558	223658	Another woman
651559	24602	Ina Sengebusch
651560	369185	Young Cathy
651561	395220	Herself - Hi-Ho Girl (1999-20
651562	170129	Madelaine
651563	352206	Frauke Novak
651563	402374	Monika Bach
651563	406321	
651564	43620	Rachel's Mother
651565	33462	
651565	187733	
651565	361296	Nini von Buttlär
651566	230123	
651567	337032	Jeune femme brune
651568	292	Lil (This Is The Life)
651568	294	Lil (This Is The Life)
651568	295	Lil (This Is The Life)
651568	2762	
651568	30951	Veronica Vreeland
651568	30976	Veronica Vreeland
651568	35455	Danielle
651568	41364	Annette
651568	53959	Betty
651568	57684	Herself
651568	58522	Jackie
651568	59840	Katie, Waitress
651568	68019	Host
651568	93118	Laura Griffith
651568	101033	Dani
651568	112302	Nancy Conn
651568	117188	Mrs. Debbie Challender
651568	132825	'Freddy' Grand
651568	134752	Louise
651568	137972	Kit Conger/Sue Alabama
651568	154951	Herself
651568	168675	Lil
651568	182977	Trudi
651568	183877	Samantha Flannery
651568	190184	Herself
651568	194865	Mother
651568	196024	Carol
651568	196180	Victoria Ducane
651568	203358	Herself/Elaine Nardo ('Taxi')
651568	203549	Agnes Chapman
651568	216023	Nurse Girard
651568	224326	Margaret Sutter
651568	234594	Belinda Blair/Flavia Brent
651568	252825	Sally
651568	280169	Meg Baker
651568	283871	Miss Tracy
651568	313625	Ashley Walters
651568	323153	Miranda
651568	333855	Margaret 'Molly' Brown
651568	333859	Mrs Stuart While
651568	356350	Herself - Choir Member
651568	387981	Ava Evans Newton
651568	390302	Nancy Gordon
651568	396876	Host
651568	397076	Panelist (1978)
651568	398213	Herself
651568	407627	Elaine O'Connor-Nardo
651569	305650	Andrea Rykalla
651570	409609	Resl
651571	251017	Other Pauline
651571	332385	Cousin Alicia
651571	397626	Rebecca Rideout
651572	347852	Interviewee
651573	346121	Dying Woman
651576	333514	Cynthia
651577	71110	High Heels
651577	128727	Carol
651577	251743	Reporter
651577	331152	
651577	360895	
651578	78796	Stacy
651579	75282	Woman Shopper
651580	257672	Herself
651581	106812	
651582	20802	Mrs. Stone
651582	89572	Woman in Via Veneto
651582	155585	(segment "Ultima carta, L'")
651582	202280	
651583	116796	Young Marianne
651584	5310	Vivian
651584	22931	Louise
651584	26041	Babar's Mother/Misfortune
651584	54726	Arlene
651584	66204	Lily
651584	66991	TV station receptionist
651584	69804	Waitress
651584	88102	Fan
651584	129626	Isabelle
651584	131433	Fingernails
651584	137766	Anastasia
651584	155903	Del's Mother
651584	163363	Fanny Butkis
651584	190269	Wardrobe woman #2
651584	211385	Murial Farr
651584	223643	
651584	224345	
651584	253021	Clairvoyant
651584	254512	Tory Hicks
651584	275791	Tracy, Haber's Office Secreta
651584	280626	Bonita Bevel
651584	280627	Bonita
651584	299539	Leslie
651584	326460	Waitress
651584	379633	Stella
651584	379644	Stella
651584	388869	Callie James (Tucker's Mom)
651584	396974	Rowanoak
651584	397130	Stryke
651584	401131	Gram Gram
651584	403090	Dunwing
651584	409543	The Southern Oracle
651585	34789	Herself (Audience Member)
651585	80592	Coral
651586	49862	Jill Hellings
651586	78250	DS Libby Marks
651586	80444	Dr. Browning's Nurse
651586	157603	Jackie Dunn
651586	196559	Mrs. Smithson
651586	292158	Female Reporter
651586	409505	Saffron
651586	411452	Various characters
651587	2787	Herself
651587	4642	Herself
651587	24703	Lynn McCale
651587	34789	Herself
651587	63559	Lisa
651587	80407	Kate
651587	80592	Mimsy
651587	105852	Com. Annette Mulcahy
651587	115811	Brenda
651587	154593	Laura
651587	178009	Detective Angela Pierce
651587	179791	Victoria the Shrink
651587	195725	Ellen Walker
651587	217421	Susan Brookes
651587	219796	Dr. Victoria Constantini
651587	248132	Deanne White
651587	256464	Marina Peck
651587	279845	Dr. Marie Lazarus
651587	282534	Patty
651587	305575	Lindsay Hamilton
651587	339823	Kathryn Darby
651587	343031	Mike the Bartender
651587	360868	Lily
651587	383123	Hooker
651587	385294	Dr. Jordan Cavanaugh
651587	393228	Jackie Kennedy
651587	395273	ADA Claire Kincaid (1993-1996
651587	399827	Elsie Douglas
651588	152894	Calendar Girl
651589	141643	Girl
651590	40690	Crew on Photo Shop
651591	359286	
651592	84648	
651592	92024	Therese
651592	198341	Arlette
651593	42832	Neighbour
651594	140843	Mrs. Hanson
651595	8951	
651595	41344	
651595	54685	
651595	64102	Millie
651595	75453	
651595	79743	
651595	80366	
651595	94123	
651595	128588	
651595	131039	
651595	195411	
651595	220898	
651595	238241	
651595	241891	
651595	250617	Flower Girl/Adopted Daughter
651595	286606	
651595	291217	
651595	313516	Pauline
651595	323702	
651595	330802	
651596	267547	Lori
651597	399091	Rena Asakawa
651598	510	Gardenia
651598	515	Gardenia
651598	516	Gardenia
651598	517	Gardenia
651598	80786	USDA Rep.
651598	99254	Elaine
651598	101303	Vivian
651598	129460	Meredith Tripp
651598	141550	Lila
651598	154168	Bowling Alley Waitress
651598	187193	Congresswoman with Haircut
651598	190570	Marsha Timmons
651598	273769	Mrs. Devries
651598	292163	Crissy
651598	313407	Aloram Vas
651598	313410	Capt. Eina Zeiss/Capt. Elizab
651598	328281	Rich Woman
651598	360116	Maureen
651598	381960	Vera Ronstadt (Season 2)
651598	393437	Chaunce Gardener
651599	231997	Walkyrie
651600	113126	La femme de ménage
651601	233048	Ninotschka
651602	232387	Assistentin von John Huston
651604	163078	
651605	259174	Lisei as child
651606	26514	Nurse
651606	65085	Vauneen
651606	68014	Luce
651606	165871	White Mother
651606	192634	Fern Doherty
651606	194656	Katherine
651606	221338	Sophie
651606	222630	Mary, the Maid
651606	323974	Stacy
651606	324238	Widow
651606	330635	Chambermaid
651606	363001	Mary Martin
651607	139647	Tove
651608	117844	Featured
651608	330314	Mrs. Houk
651609	312676	
651610	139967	Daycare Teacher
651610	149448	Dot
651610	185821	Carly Lumpkin
651610	231918	Beverly
651610	279390	Linda Archer
651610	411284	Various Characters
651611	261119	Shelly Nichols
651612	163069	Delilah Birch (age 10)
651612	259969	Norma Cheeter
651613	258554	Suzanne Simmons
651614	107250	
651615	32649	Casino Meisje
651615	79764	Prep cook
651616	360221	Yvonne
651617	243750	Joy
651619	196471	Dominatrix
651620	7119	Lana Lang
651620	129762	Gnome Maiden
651621	225130	
651622	351767	Girl In Dream
651623	29345	Victoria 'Vica' Stenbrott
651623	29558	Anna-Lisa
651623	84318	Inga Bergius
651623	96019	Monika
651623	98785	Alice Lund
651623	99568	Elvira Madigan
651623	115388	Dagmar Brink
651623	115395	The girl
651623	116018	Inga Brantemo
651623	122320	Sofi
651623	122776	Gabrielle Lindström
651623	125543	Marianne Skjöldebrand
651623	125828	Greta
651623	129267	Marta von Born
651623	154150	Lora Willding
651623	181848	Monica Anker
651623	182569	Lena Lind
651623	192928	Gun Ullman
651623	237262	Liv
651623	240223	Maria
651623	281956	Gabriella Haraldsson
651623	296112	Woman in the movie studio
651623	305991	Kerstin
651623	312022	Annie Nordin
651623	315352	Sonja Strömbeck
651623	320519	Mari
651623	322422	Harriet
651623	341861	Ms. Jansson
651623	343701	Rut
651623	350397	Pia Serner, actress
651623	355638	Auri Rautila, waitress
651624	80863	Foster Home Woman
651624	164432	Bank Customer
651624	245204	Edith
651624	366600	Katie, Bill's Wife
651625	290449	The chemist
651625	388965	
651626	174325	Mello
651626	187170	Camilla Elizabeth Wentworth
651627	35507	Herself
651627	50974	Dancer
651627	70100	Carol Anastas
651627	89151	Mrs. Cane
651627	127534	Marian
651627	199138	Mrs. Osbourne
651627	236880	Beth
651627	276740	Linda (Secretary)
651627	304945	Mrs. Mallory
651627	381806	Jethrene (1962-1971)
651627	391544	Assistant (1975)
651627	401346	Elizabeth Josephine 'Betty Jo
651627	409121	Herself
651629	303200	Suzanna Hodenhielm
651630	24075	Gabi Wittkowski
651631	84325	Girl
651631	365623	Deborah
651631	382842	Monica Shaw
651632	10425	Laundry woman
651633	35507	Herself
651634	191495	Clerk
651635	265266	Janis Ritchie
651635	342549	Alice Brady
651636	82101	Herself
651636	99609	Herself
651636	129762	Gnome Maiden
651636	192503	Sally the Mermaid
651637	62894	Narrator
651637	78508	Herself
651637	117457	House Keeper
651637	147229	The poor childrens protector
651637	174665	
651637	276465	
651638	93401	Hilgermoserin
651638	98309	
651638	294691	Eine Kellnerin
651638	333777	
651639	161908	Gung Ho Cheerleader
651639	212078	Jewelry Salesgirl #1
651639	233925	Kelly
651639	235635	
651639	313488	Siri Tachi
651640	203687	Neighbor
651641	262961	
651642	189576	
651643	98423	Child
651644	356555	Wethouder
651645	78605	
651645	236822	
651645	404457	Freda Stansdale
651646	386347	Herself (episode 1.1 "1900-19
651647	368997	Party Guest Out of Focus
651648	23507	
651648	94265	Festdeltager
651649	28518	Veninde til frk. Hansen
651649	83078	
651649	83087	
651649	95906	Fru Andersen
651649	108955	
651649	114034	Servitrice
651649	122596	
651649	166602	Luderen
651649	167126	Sygeplejerske
651649	175101	
651649	182618	Peter & Bent's Mother
651649	199995	Mafia pige
651649	213435	Majbritts mor
651649	240092	Prostitueret
651649	240100	
651649	255700	
651649	275625	Bartender
651649	283484	Borger
651649	405717	
651650	1198	Fru Jensen
651650	49261	Lene
651650	55172	Karen
651650	64644	Herself/Various roles
651650	78489	Herself (performing 'Du kysse
651650	138930	Inger
651650	145624	Anna Ancher
651650	166598	Terapeuten
651650	229414	Connys mor
651650	275626	Kamma, Davids søster
651650	304361	Ruth
651650	334021	Herself/Various roles
651650	346407	Else
651650	354739	Jordmorder
651650	379767	Jytte
651650	391722	Claire
651650	392577	Various roles (1978)
651650	394071	Olivia Olsen/Liva Weel
651650	397074	Iben Skjold Hansen
651650	398194	Vera 'Vandret' André
651650	407294	Bodil, Karl og Gudruns sviger
651651	304104	
651652	58788	
651653	153840	La stoppeuse vénale
651654	152603	Visitor to fort
651655	22191	
651656	64281	Herself/Interviewee
651656	235836	Une amoureuse
651657	377044	
651658	132530	Ashley 'Rub a dub' Dubber
651659	395822	Xida
651659	396838	
651659	398547	
651659	399140	
651659	400445	Clélia
651660	27188	Min
651660	128829	Lili (cigarette girl)
651661	28460	Antonia
651661	41843	
651661	52328	Gerry
651661	80590	Janet
651661	90250	Party Guest
651661	240318	Family Member
651662	79965	Michele
651662	292457	Elizabeth Aiken
651663	43003	
651664	15026	Juge divorce
651664	43657	La dame à la fillette
651664	60901	Tante Touffedelis
651664	113222	Geneviève
651664	169156	Lady Macbeth
651664	197385	Flora
651664	207020	Marthe Alibert
651664	225362	Suzanne
651664	254051	La bûcheronne
651664	288892	Pharmacienne 1
651664	307380	Social Worker
651664	383819	Honorine
651664	386226	Laura
651664	401972	Mme Hédouin
651664	404804	Maria
651665	35542	Overweight Girl
651666	335665	Mary-Beth
651667	87341	
651667	316501	Guerilla Theatre Troupe
651668	281641	Herself
651669	385613	Lydia
651670	103326	Other Princesses
651671	41961	
651671	153991	Kierstin
651672	48361	Ottilia
651672	59717	Beggar-woman
651672	192821	Dam i koppel
651672	305834	
651672	313173	Woman in the stairs
651672	408800	Vivianne von Trier/Ulla-Britt
651673	279578	Helen MacGregor
651674	314616	Interviewer
651675	103240	Model
651676	57564	Søster Ruth
651677	64613	Mille
651678	44519	Kassedame
651679	93526	Musiklæreinde
651679	214339	Landlady
651680	46631	Lilly
651681	214339	Helene II
651681	400310	Girl
651682	336412	Herself - Elev på Kunstskolen
651683	235532	
651684	354377	Mona
651685	192643	Herself
651685	395800	Herself (2001-2003)
651686	58495	Passenger
651687	1206	Herself
651688	219307	Monica Vade
651689	255935	Woman in window #2
651689	354274	Lady #3
651690	240074	Hillevi, orpotyttö
651691	333692	
651692	181108	Nettan
651692	204548	Dagisbarn
651693	191566	Lucia i Kiruna
651694	182575	
651695	301889	Young Eija
651696	255386	
651697	191566	Postsorterare
651698	181630	Tarjoilija kappelissa
651700	320745	Miss Brown
651701	100009	
651702	384995	
651702	386567	Various Roles
651703	203692	Sooreleh
651704	333211	
651705	18801	Maria Rosa Santos
651706	265901	Caissière
651707	286571	
651708	70341	Go-go dancer at Pigeon-Toed O
651709	11260	
651709	141366	Ella
651709	203086	Mrs. Zacharius
651710	88885	Model
651710	240521	The Jamaican Girl
651711	100009	
651712	10251	
651712	98732	
651712	211023	boardinghouse lady
651713	25215	Kokkepigen Anna
651713	27571	
651713	34135	
651713	87949	Nabokonen
651713	118593	Frk. Toft, kassererske
651713	122341	Christiansen
651713	123502	
651713	135686	Jensine
651713	145457	
651713	146600	
651713	154227	
651713	182603	Marie, hans kone
651713	182617	
651713	218894	Frk. Hauberg
651713	219005	Marskandiser Sonja Neie
651713	219700	Marianne Wævers
651713	226108	Fru West
651713	228188	Carls mor - Fru Hansen
651713	244670	Fru Petersen
651713	253878	Rengøringskone
651713	314986	
651713	322291	Fru Petersen
651713	322684	Husholdersken Bertha
651713	323346	Nicks mor
651713	331994	
651713	338696	Husholderske Larsen
651713	345985	
651713	349650	
651713	353033	Fruen
651713	356855	Anne
651714	14434	
651714	128948	
651715	201986	Guard's wife
651716	393802	Petrica
651716	399521	
651716	403125	
651717	70972	Zombie
651718	47025	Mrs. Murphy
651718	104521	
651718	108941	Mrs. Leacock
651718	138688	Anna Kraus
651718	139765	Mary Lapp
651718	149911	Mrs. Kimball (Operating Room 
651718	169991	Dolores Engler
651718	200330	Mrs. Gorniki
651718	221532	Ursula
651718	237783	Mrs. Skinner
651718	244379	Emma
651718	270891	Sarah Parker
651718	368363	Woman Candidate
651719	10670	Kimberly
651720	380511	Herself (season 1)
651721	267345	
651721	272935	Kathy
651721	401883	Herself - Sugar Jones
651722	158207	Cop
651723	114465	Murdoch
651723	151114	Narrator
651724	215589	
651724	227015	Maid
651724	343743	Post Office Attendant
651725	19057	
651726	105453	Cindy
651726	218367	Girl #3
651727	313626	Mrs. Culboon
651728	122968	At party
651729	388477	SAlly Parsons
651729	389873	Darlene
651730	10862	Elaine Stafford
651730	75721	Additional Player
651731	362493	Kristin Williams
651732	301757	Heloise Delorme
651733	73850	Muna
651733	154927	Bette
651733	194667	Muna
651733	277122	Castiza
651733	310522	Dorothy
651733	382332	Janet Blane
651733	402611	Donna Clark
651734	367874	Herself
651735	127084	Reporter
651736	262589	St. Matthew's Choir & Band Me
651737	48516	
651737	96198	
651737	105562	Forbes' Wife
651737	194902	
651737	248456	Miss Gore
651737	282333	Countess Wintershin
651737	313992	Mrs. Manning
651737	350340	
651738	166566	Sacagawea
651739	10738	Alice
651739	20851	Pioneer girl
651739	26137	Little Bo-Peep
651739	45216	Mary Breslin
651739	59601	Kitty Rochelle
651739	71895	Gwendolyn Colbrook
651739	116151	Corenson's secretary
651739	117340	Roberta: aged 18
651739	117386	The Girl
651739	125849	Linda Costigan
651739	130026	Betty Briggs
651739	139519	Dora Haller
651739	141485	Julie
651739	149387	Hannah
651739	152204	Mary Jane
651739	152571	Lucille Sheldon
651739	154356	Nurse
651739	170793	Dorothy Elliott
651739	170818	Dorothy Elliott
651739	183330	Shelly Stanton
651739	185289	Marjorie
651739	187725	Lena Rivers
651739	203119	Josie
651739	203941	Josephine Temple
651739	222814	Girl
651739	240983	Belle
651739	272532	Girl
651739	276694	Midge Davis
651739	298093	Helen Burke (WAC enlistee)
651739	331425	Julia Orsatti
651739	372541	Jane Shields
651740	121549	Plane Passenger
651740	155072	Brunette
651740	350221	Judy
651741	363126	
651742	52053	
651744	154876	14 Yr. Old Girl
651744	249067	Rosie Sayers
651745	81898	Dr. Cole
651745	148288	Selma Dodge
651745	224089	
651745	250379	Sid's Mother
651745	289668	Tammy Fae Baker
651745	339596	Melanie
651745	367282	Desk Manager
651746	339380	Liz
651747	118020	Karen Yount
651748	312265	Boat Girl #2
651749	128681	Herself (in Girls Gone Wild: 
651749	381909	Herself (2004) (12th Evicted,
651750	70778	Reporter
651750	79716	Fox Newscaster #2
651750	296808	Herself
651750	328272	Anchor
651751	11410	Dinah
651751	177145	Solicitor
651752	249265	WPC at Service Station
651753	30071	Woman
651754	30071	
651754	255452	Malone sister
651755	304059	La Nell
651756	115917	
651757	88154	Fern Blandsforth
651757	133456	
651757	139578	Margaret Tonhausen
651757	196987	Party Guest
651757	232421	Esther Leyden
651757	281937	Elise Dunstan
651757	335807	Singer
651757	381110	Lady
651757	392401	Amanda Bellows (1966-1970)
651757	397643	Nora Grady (1964-1965)
651758	46386	Molly Henderson
651759	278130	Marguerite Riel
651760	301574	Abuela Mercedes
651761	5818	
651761	11154	
651761	11432	
651761	11584	
651761	12339	Min (hired girl)
651761	20917	
651761	22895	
651761	22896	
651761	26833	
651761	26853	
651761	30329	
651761	30570	
651761	30615	
651761	31182	
651761	31737	
651761	37348	Leader of Girls
651761	37540	
651761	40304	
651761	44535	
651761	44697	
651761	46178	
651761	49790	
651761	50342	
651761	50600	
651761	54522	
651761	54971	
651761	57368	
651761	61931	
651761	64588	
651761	70383	
651761	73684	
651761	73759	
651761	73823	
651761	74032	
651761	75760	
651761	78972	
651761	79009	Madame Silvara
651761	79737	
651761	80355	
651761	80363	
651761	84386	Lizzie
651761	85837	
651761	87097	
651761	93164	
651761	94752	
651761	94946	
651761	107787	
651761	109670	
651761	109677	
651761	109837	
651761	113839	Alice Masters
651761	116125	
651761	116744	
651761	116782	
651761	118229	
651761	119337	
651761	123044	
651761	132362	
651761	139368	
651761	140480	
651761	140754	
651761	140756	
651761	140772	
651761	142257	The Maid
651761	143124	Lizzie Hap
651761	143301	
651761	143308	
651761	145684	
651761	145843	
651761	145990	
651761	146298	
651761	146326	
651761	147633	Cameo appearance
651761	151274	
651761	151731	
651761	152178	
651761	152179	
651761	152712	Minnie Stubbs
651761	154547	
651761	155027	
651761	157788	
651761	157891	
651761	158135	
651761	160588	
651761	163333	
651761	163430	
651761	164856	
651761	165200	
651761	165575	
651761	167992	
651761	174519	
651761	178289	
651761	183562	
651761	183563	
651761	183564	
651761	183565	
651761	183566	
651761	183567	
651761	183568	
651761	183569	
651761	183570	
651761	183571	
651761	183572	
651761	183573	
651761	183618	
651761	185631	
651761	186676	
651761	187080	
651761	187705	
651761	195282	Gossip
651761	195355	
651761	195380	
651761	195550	
651761	195553	Lucy
651761	195700	
651761	195798	
651761	195885	
651761	196011	
651761	196326	
651761	196425	
651761	197532	Mrs. Greta Van Geldt
651761	203629	
651761	205120	
651761	206351	
651761	207186	
651761	211634	Tessie Kearns
651761	213079	
651761	213471	Wallflower at Party
651761	214142	
651761	214592	
651761	216814	
651761	220862	
651761	221265	
651761	221291	
651761	221311	
651761	221590	
651761	222135	
651761	223141	
651761	229134	
651761	230706	Berthe
651761	231984	Carrie
651761	233485	
651761	235588	
651761	236113	Mortified Vocalist
651761	238993	
651761	241282	
651761	241495	Miss Glutz
651761	242489	Isabelle Fèvre
651761	245018	
651761	245624	
651761	252916	
651761	253860	
651761	258259	
651761	259787	
651761	269921	Samanthey
651761	270751	
651761	275231	
651761	278246	
651761	282044	
651761	283668	
651761	289038	
651761	289061	
651761	290308	
651761	290530	
651761	290532	
651761	291171	
651761	292615	
651761	296890	
651761	297236	
651761	298030	
651761	298049	
651761	299892	
651761	302227	
651761	304056	
651761	304964	
651761	307935	
651761	309436	
651761	309675	
651761	309683	
651761	312804	
651761	312822	
651761	314945	
651761	315955	Lucille Lareaux
651761	323388	
651761	326385	Hesperis McGowan
651761	327827	
651761	329568	
651761	329742	
651761	329752	
651761	329762	
651761	331088	
651761	332904	
651761	337906	
651761	342399	
651761	342695	
651761	343285	Maid
651761	347207	
651761	347227	
651761	350148	
651761	354534	
651761	359076	
651761	359094	
651761	359591	
651761	359956	
651761	359982	
651761	360174	
651761	360676	
651761	361286	
651761	362247	
651761	362398	
651761	362448	
651761	362468	
651761	362738	
651761	362826	
651761	362997	
651761	363177	
651761	364155	
651761	364404	
651761	364507	
651761	365039	
651761	365092	
651761	365483	Zella
651761	365507	
651761	367950	
651761	368950	
651761	372274	
651761	372938	Winifred Elaine Thomas
651762	6886	Jeannie Manning
651762	9035	Ruth Jackson
651762	9683	Alice Calhoun
651762	20315	Margie MacGregor
651762	49248	Ellen Curtiss
651762	52142	Lady
651762	111734	Valerie Kay
651762	123708	Edie Avery
651762	143284	Mrs. Porter
651762	150250	Kerry Barker
651762	168635	Addie
651762	175180	Alice
651762	176755	Lucy
651762	186319	Julie Adams
651762	190568	Susan Atkins
651762	215534	Helen White
651762	260881	Gila Lingallo/Helena Guistano
651762	270473	Phyllis Warren
651762	271998	Beth Forbes
651762	277953	Anne Lawson
651762	278894	2nd Secretary
651762	281380	Peggy Walters
651762	283893	Lyddy Hazard
651762	311695	Doc Richardson
651762	316489	Connie Bailey
651762	336809	Rattle Rafferty
651762	339901	Ruth Nolan
651762	371037	Nina Torres
651762	386053	Alice Mitchell
651762	388677	Michele 'Mike' Malone
651763	29885	
651763	84956	Tiffany
651763	149804	Member of Magazine Staff
651763	254415	Rocky
651764	115358	La petite fille
651765	87586	Tucker's Aunt
651766	43390	Isabelle
651767	115668	Young Maurey
651768	168300	Fellow Trouble Maker Burt
651769	326617	Jezebel
651770	115668	Young Maurey
651771	191779	Kelly Peterson
651771	222115	Sha-Ron
651772	35409	Kathryn Gambino
651772	105263	Jackie Summers
651772	145110	
651773	12171	Sarah
651774	272440	Head Coach Driver
651775	503	Lila
651775	6345	Mito
651775	15094	Sophie
651775	19199	Sylvie
651775	19327	Annie
651775	19343	Ariane
651775	33279	Paulette Mercadier
651775	87660	Catherine
651775	101225	Sylvie Baron
651775	126258	Catherine Maheu
651775	191543	Nowak
651775	234686	
651775	235717	Marie-Jeanne
651775	254938	Ismène
651775	276385	Elvira
651775	285152	
651775	338112	Yvonne
651775	345386	Héloïse
651776	10458	
651777	310188	Dody
651778	24777	Katya
651778	118442	Train Attendant
651778	335050	Police Officer 2
651779	372846	Kate Price
651780	304059	LaDell
651781	141155	Reine Davies
651781	141662	Debbie
651781	294519	Nancy
651781	398671	Laura Williams
651782	255009	Te Ao
651783	27247	Yvonne Atkins
651783	32131	Sandra Gangel
651783	90332	Janet Weir
651783	117133	Kim
651783	263793	Forensic Scientist
651783	381121	Yvonne Atkins (Series 1-5) (1
651783	382537	Judith
651783	387247	Lorraine Salter (1992)/Dawn C
651783	392779	Julie Read
651783	408638	Justine Barber
651783	408866	Marilyn Spark
651784	381909	Herself (2004)
651785	2565	Elizabeth Carter
651785	56310	Virginia Llewellyn
651785	59613	Jeanne Bentley
651785	59618	Billie Bronson
651785	100871	Belle Pearson
651785	105654	Tess Graham
651785	117885	Party Guest
651785	124619	Cora Ann Milton
651785	144672	Lilly, singer
651785	146749	Monica Barrett
651785	157878	Arlene Shattuck
651785	177540	Nikki Bradbury
651785	222688	Lillian Hopper
651785	233791	Party Guest Playing Charades
651785	241571	Ermine
651785	249026	Mary Louise Porter
651785	273781	Louise
651785	275438	Penny Whitridge
651785	306791	Gail (telephone operator)
651785	329953	Janet Russell
651786	101581	Blonde consul de Belgique
651786	118754	Fille en collant
651787	285753	Marie
651789	83216	
651790	11934	Wanda
651790	91643	La Jeune Femme
651790	215141	Sophie
651791	33504	
651791	47257	Otanowah
651791	61393	
651791	201896	Margaret
651791	203485	Nellie Rose
651791	299784	Eileen
651791	342817	Evelyn Langdon
651792	171251	
651793	16127	Dr. Moore
651793	17696	Kit Garrison
651793	26789	
651793	50015	Narrator
651793	65448	Rosemary Hauser
651793	69482	
651793	77795	Edna
651793	129580	
651793	130103	Narrator
651793	136838	Prime Minister's Widow/Mother
651793	174013	Performance Actor
651793	183005	Narrator
651793	193889	Mary Tyrone
651793	223271	Grace
651793	230573	
651793	276039	Audrey
651793	331525	Milady de Winter
651793	342358	Viola
651793	359573	Mrs. Ross
651793	360775	Maureen
651793	363897	Dr. Ella Wingwright
651793	385658	Gwendolyn Harleth
651793	387524	Megan Moore
651793	387542	Catherine
651793	399305	(segment '1978')
651793	407509	Terry
651794	32754	Mrs. Brown
651794	129362	
651794	371131	Mrs. Jacobs
651795	10458	
651796	59373	Quincy
651796	97019	May May
651797	220267	
651798	306721	Cute Girl
651799	61306	
651800	346744	
651801	90913	
651801	212615	
651801	238601	Talk Show Heckler 3
651802	196582	Lois' Neighbor
651803	342077	Elise at Age 5
651804	138822	Aurora
651805	141662	Patty
651805	265678	Car Hop
651805	273771	Female Guest #2
651806	72504	Alma Dixon
651807	192410	Child
651807	211602	Third Little Girl
651808	320294	
651808	321522	Phyliss
651809	320059	Dava Fremont
651809	334148	Ellen
651809	356896	Pete Isensee
651809	361223	Staff
651810	73607	Injured Passenger
651811	148727	La concierge
651812	211440	Building Manager
651813	364106	Helene Angel
651813	388272	Herself/contestant (season 1 
651814	163363	Patty
651815	245051	Danny's Mum
651816	410914	Herself/guest panelist (1972-
651817	112205	President's Aide
651817	245143	Jamie
651818	48083	Receptionist
651819	207036	Aerobics Instructor
651820	299738	Suzie's Girlfriend #1
651821	77217	Emma Harvey
651821	293198	Julia
651821	384940	Beth
651821	387533	Rhona Goskirk (2001, 2002)
651821	390432	Emma
651822	394663	Gwendoline (1991)/Aesandre (1
651823	41326	
651823	112052	Mrs. Adrian
651824	88604	Ophelia
651825	105619	Prety Young Thing
651825	275321	Deaf woman/Victim #2
651826	70011	Ada
651827	84620	
651828	248473	María Dolores
651829	383174	Graciela
651830	285957	
651831	51785	Teresa
651831	379130	Teresa
651831	387781	Vieja Sara
651831	387922	
651831	393805	Doña Doña
651831	398072	Rosa Lenoit 'Momposina' (Adul
651831	404984	
651831	407850	Mercedes Villegas de Segovia
651831	410093	Cayetana Román
651832	384781	
651832	387101	
651832	388567	María del Valle
651832	404203	Vestalia Luzardo
651832	405809	
651832	408389	Amparo Cordido
651833	922	
651834	139892	
651835	215488	Herself
651835	397888	Herself (2003)
651836	257363	Maria van Leent
651837	104661	Varieté-Besitzerin
651837	132871	Herself
651837	142094	Singer
651837	145468	Singer
651837	175774	Singer
651837	225152	Singer
651837	225187	
651837	290122	
651837	302679	Singer
651837	321828	
651838	125297	Singers
651839	193285	Aenne Nordhaus
651840	73918	Nurse Baxter
651841	271614	Baba the Turk
651842	80341	Elsa
651843	50985	Herself
651844	93755	Waitress
651845	51984	Scary Mary
651845	193280	Cookie
651845	222686	
651845	266590	Sister Catherine
651845	367668	Female Driver
651845	411802	Doris Collins #2 (1994-)
651846	266066	Herself
651847	225205	
651847	288994	Indira
651847	308232	
651847	393255	Rebecca Ferwalter
651848	93621	Dienstbode Nelly
651849	32354	Mevr. Van Sonneveld
651849	59702	Frau Deutscher
651849	356815	Lenie
651849	394912	Nachtwind Holle
651850	75798	Kid Cutter
651850	299669	Woman with Purse
651851	47385	Herself
651851	47386	
651851	62997	Young Scrooge's Mother
651851	144406	Fantine and others
651851	188030	Fantine
651851	267979	The Young Woman
651851	277701	Performer: 'My Funny Valentin
651852	158490	Alice, Clifford's Sister
651853	122214	Uncurious Bad Girl
651854	405048	Angie
651855	143577	Isabel
651855	149635	Telephone Operator
651856	138992	Advertising Executive
651856	381207	Lulu (1992-1993)
651857	46663	Feathered Nest Sanatrium Mana
651858	341515	Dancer
651859	149394	Herself
651860	100908	Sydney
651860	286873	Hellga
651861	52005	Svelte Young Thing
651862	138772	Betty
651863	39905	Detective Baines
651864	292721	
651865	1073	Heather Thompson, aged 20
651865	1132	Dorothy
651865	79314	Laetitia
651865	97096	Beth
651865	131664	Sylvia
651865	134137	Sue
651865	206591	Sarah
651865	221096	Penny Wilberforce
651865	248491	Edna
651865	296811	Lizzy
651865	296947	Jillian Hughes
651865	322843	Herself
651865	379746	Christine Scott
651865	382743	Veronica/Sister Paul
651865	395282	Kate Chalmers
651865	405960	Michelle White (1987)
651866	31189	Herself (NBC Team)
651866	31192	Herself (NBC Team contestant)
651866	48575	Princess Ardala
651866	69263	Drusilla Byrne
651866	81035	Connie Benson
651866	88771	Mona
651866	91720	Sgt. Fontain
651866	177695	Beth Kelly
651866	186381	Cindy Best
651866	201567	Bargirl
651866	236328	Agent 35
651866	280662	Mackie
651866	281505	Bunny Richter
651866	293789	
651866	297662	Cynthia Grayland
651866	310643	
651866	329974	Edwina
651866	378810	Deputy Sandy Harper (1981)
651866	382920	Princess Ardala (1979-80)
651866	394516	Beth Kelly
651866	396824	Janet Blake (1975-1976)
651866	397125	C.J. Parsons
651866	399277	Model (1973-1974)
651866	403027	Charlotte Waverly
651867	71474	Dancer
651867	92491	Giggling Girls
651867	118911	Corner Hooker #2
651867	129439	Homeless Woman
651867	162937	Emphysema Jones
651867	231836	Sheila
651867	249161	Ifreana Davis
651867	276731	Martha Nixon
651867	362512	Audience Female #2
651868	301855	Karen's Child
651869	194277	Gretta
651870	78777	Red
651871	107689	Debra
651871	177204	Keisha's Mother
651872	246923	Stripper
651873	168495	
651873	183213	Firey 4
651874	10740	Lorena
651874	128483	Ruth
651874	384437	Clementina
651875	31427	Mrs. Wilkins
651875	41851	Mrs Dixon
651875	51965	Nanny
651875	54640	Flo Horsfall
651875	66184	Landlady
651875	71628	Mrs. Plum, Forester's Houseke
651875	75404	Mrs. Jenkins
651875	77613	Mrs Wilson
651875	78008	Miss Cassell
651875	79627	Beatrice, Tea Lady
651875	81293	Housekeeper
651875	82609	Mrs. Frost
651875	83115	Gladys
651875	88856	Mrs. Wilkins
651875	91581	Madame de Sola
651875	114176	Nursing Home Matron
651875	116512	
651875	120151	Edith
651875	129861	Housewife
651875	138659	Mrs. Hampstead (school cook)
651875	138800	Mrs. Urquhart
651875	145065	Attendant
651875	146631	Aunt Larkins
651875	154062	Mrs Stevens
651875	163199	Mrs Neesley
651875	183670	Mrs. Clark
651875	186751	Gran
651875	193581	Mrs. Boon
651875	200443	Nanny
651875	209616	Lady in bus
651875	232261	
651875	233677	Constituent
651875	263973	Dresser
651875	291867	Arnold's Mother
651875	313796	
651875	315493	Matron
651875	327600	Mrs. Titmuss
651875	331106	Emma Higgins
651875	337759	Mrs Hardcastle (segment The E
651875	339430	Mrs. Burgess, Landlady
651875	360551	Woman
651875	397032	Mrs. Megett
651875	399304	Gran Hamilton
651876	192268	Girl patient
651876	222495	Girl Serving Drinks at Bavari
651876	311133	Teenage girl
651877	232103	Lorraine
651878	42607	Vanessa Bocce
651879	142953	Self
651879	368455	Herself/Muppet Performer
651879	398543	Additional Muppets (1976)
651879	404897	Additional Muppets (1969-197?
651880	8509	Narrator
651880	257079	Narrator
651881	47232	Herself (back up vocals)
651881	340109	Club Singer
651882	313064	Younger Jackie
651882	343044	Little Girl
651883	304540	Susie
651884	41279	Roberta
651884	92445	TV Watcher
651884	232427	Lin
651884	361848	Ticket Girl
651885	121808	Tropicana Dancer
651886	163932	Margaret Mead
651887	62491	
651887	149175	Charlie
651888	272985	The French Fried Far Out Legi
651889	74215	Kahlia, 18 months
651890	80594	Woman
651891	118848	Old Woman on Train
651892	7099	Left-Wing Student
651892	11409	Kiko
651892	26291	Yvette
651892	137237	Tiffany
651892	153249	Shug
651892	222781	
651892	288473	Paige
651892	316795	
651892	386509	Inspector Raina Washington
651892	391781	Guest
651893	313064	Older Jackie
651894	27091	Additional Voice Talent
651895	231893	Lauretta
651896	404092	Megan
651897	6651	Delon
651897	33283	Donna
651897	35269	Kelly
651897	45001	Mimi Prager
651897	54788	Rachel Sutherland
651897	89199	Lorna
651897	127294	Melanie Ballard
651897	128591	5 O'Clock Girl
651897	163248	Anna Penn
651897	165848	Hypsipyle
651897	175787	Bonnie Livengood
651897	176758	
651897	208503	Alex Minetti
651897	261992	Judy Exner
651897	274059	Herself
651897	277766	Amanda Reid
651897	277949	Karen
651897	292234	Crystal Ball
651897	310647	Sil
651897	310648	Eve
651897	310649	Eve
651897	313129	Mary
651897	364424	Cynthia Tudeski
651897	364431	Cynthia
651897	392423	Herself
651897	398284	Host
651898	64360	
651898	201004	Voice of Myra
651899	44183	Cath Bolton
651899	271282	Young Mother
651899	308918	Librarian
651899	387247	Julie Haye (1997-1998)
651900	181569	Sirkka Helena Nykänen
651901	84570	1.Mädchen
651902	78619	
651903	386976	Petra Steinmüller
651903	389616	Fanny "Stefanny" Stephan (199
651903	399387	Julia
651904	11869	
651904	139711	Vorarbeiterin
651906	150545	Herself - Boligsøgende
651907	50977	Barba's stepsister
651908	37757	
651909	162867	The Girl
651909	178052	
651910	136360	
651912	72428	Mother
651913	285230	
651914	29259	
651914	63385	
651914	76658	
651914	135884	
651914	222209	
651914	226585	
651914	285449	
651914	299099	
651915	518	
651915	29165	
651915	51577	
651915	126781	
651915	136932	
651915	156041	
651915	165548	
651915	170634	
651915	199900	
651915	201276	
651915	204136	
651915	268142	
651915	288172	
651915	367375	
651915	371267	
651915	371268	
651916	285229	
651917	371864	
651918	102651	
651919	123752	Ji-eun
651919	167912	
651919	227218	Seo Hye-yeong
651920	38249	
651920	77137	
651921	41311	Dancer
651921	52687	Anna, the possessed girl
651922	148385	Rosie
651923	80966	Mrs. Wallace
651923	260638	Ruby
651923	323020	Ann Crawford
651924	687	Herself
651924	1821	Herself - Presenter
651924	1974	Herself - Best Actress Winner
651924	1994	Herself - Presenter: Writing 
651924	2008	Herself - Presenter: Best Pic
651924	2301	Herself - Presenter: Best Pic
651924	2360	Herself - Presenter: Best Act
651924	2375	Herself - Presenter: Best Pic
651924	2515	Herself - Presenter: Best Act
651924	2603	Herself - Presenter: Best Pic
651924	2888	Herself - Co-presenter: Writi
651924	2904	Herself
651924	2909	Herself
651924	12744	Hap
651924	13908	Herself
651924	13912	Herself
651924	13918	
651924	13920	Herself
651924	23972	Herself
651924	23973	Herself in UNICEF footage
651924	23974	Herself
651924	41388	Elizabeth Roffe
651924	46321	Holly Golightly
651924	59411	Regina 'Reggie' Lampert
651924	61843	Karen Wright
651924	64190	Herself
651924	87163	Herself
651924	97590	Herself (screen tests)
651924	119385	Herself/Host
651924	121819	Jo Stockton
651924	131677	Herself
651924	134076	Rima
651924	143643	Herself
651924	151668	Nicole
651924	161198	Herself
651924	175524	Herself
651924	175534	Herself
651924	186056	Cigarette girl
651924	186230	Chiquita
651924	195317	Baroness Caroline DuLac
651924	195613	Herself
651924	195702	Ariane Chavasse/Thin Girl
651924	201725	Herself
651924	218509	Linda Farrel
651924	223867	Eliza Doolittle
651924	223869	Herself
651924	229285	KLM-stewardess
651924	230693	Runway Model
651924	235821	Melissa Walter
651924	236733	Sister Luke (Gabrielle van de
651924	241849	Hotel receptionist
651924	248978	Gabrielle Simpson
651924	275470	Herself
651924	276392	
651924	279720	Lady Marian
651924	280803	Princess Ann ('Anya Smith')
651924	284931	Sabrina Fairchild
651924	292590	Nora
651924	330108	Angela Niotes
651924	342856	Joanna Wallace
651924	346950	Rachel Zachary
651924	358275	Susy Hendrix
651924	359174	Natasha Rostov
651924	359471	Herself
651924	367812	Posthumusly
651924	368458	Herself
651924	372788	Eve Lester
651924	389755	Herself - Host
651924	402245	Marie Vetsera
651925	241605	Armani Model
651926	1705	Girlfriend
651926	113459	Klandis Secretary
651926	208084	Martha
651926	333262	Soozy Li
651927	134177	Dorothy
651927	385299	Anne-Marie Wade (1985-1988)
651927	396425	Isobel
651928	76259	Mother
651928	100880	Aunt Marjorie
651928	196037	Lillian Kite, Agatha's Neighb
651928	257686	Nualla Ryan
651928	333868	Nora
651929	740	Herself
651929	900	Herself (Memorial Tribute)
651929	2515	Herself - reviewing Academy's
651929	2580	Herself - Presenter: Thalberg
651929	2872	Herself
651929	2899	Herself
651929	3055	Herself (Memorial Tribute)
651929	6194	Amanda Bonner
651929	7584	Herself
651929	7678	Rose Sayer
651929	10678	Alice Adams
651929	26545	Herself
651929	37255	
651929	37839	Sidney (Credits)/Sydney Fairf
651929	46276	Constance Dane Roberti
651929	47132	Susan Vance
651929	63170	Lady Cynthia Darrington
651929	70788	Lilly C. Moffat
651929	71422	
651929	82334	Agnes
651929	83856	Bunny Watson
651929	92814	Jade
651929	126050	Herself
651929	131677	Herself
651929	132456	Grace Quigley
651929	135396	Christina Drayton
651929	147512	Linda Seton
651929	147876	Herself
651929	147917	
651929	162398	Vinka Kovelenko
651929	165302	Herself
651929	174572	Herself
651929	175184	Mrs. Christine Forrest
651929	186131	Laura Lansing
651929	187407	Herself
651929	191083	Herself (Audio Only)
651929	191240	Eleanor of Aquitaine
651929	192026	Barbara 'Babbie'
651929	192408	Josephine 'Jo' March
651929	193886	Mary Tyrone
651929	195305	Ginny
651929	195316	Jessica Medlicott
651929	199871	Countess Aurelia
651929	203444	Victoria Brown
651929	206877	Mary, Queen of Scots
651929	212716	Herself
651929	219383	Eva Lovelace
651929	221255	Margaret Delafield
651929	240075	Miss Pudd
651929	240506	Ethel Thayer
651929	241270	Cornelia Beaumont
651929	243950	Herself
651929	250449	Patricia 'Pat' Pemberton
651929	254654	Tracy Samantha Lord
651929	268915	Phoebe Throssel, aka Olivia '
651929	271285	Lizzie Curry
651929	281508	Eula Goodnight
651929	303574	
651929	308592	Clara Wieck Schumann
651929	310861	Host
651929	311405	Trigger Hicks
651929	312773	Terry Randall
651929	312774	Herself
651929	313752	
651929	313943	Mary Matthews
651929	318193	Mrs. Venable
651929	318845	Jane Hudson
651929	321794	Sylvia Scarlett, aka Sylveste
651929	323880	Herself
651929	329563	Herself
651929	329565	
651929	330676	Marion Bennett
651929	340227	Hecuba
651929	340810	Tracy Lord
651929	346248	Ann Hamilton
651929	366934	Jamie Rowan
651929	367577	Tess Harding
651929	367595	Pamela 'Pam' Thistlewaite
651929	367810	Narrator
651929	397564	
651929	402888	Herself
651930	243744	Louise (Carole's Sister)
651931	105279	Trish
651932	138295	Melek
651933	119436	Skipping Girl
651933	182967	Maddie Melman
651933	214909	Kelly Brooks
651934	55795	Beauty Queen
651934	90352	Karen
651934	310303	Terrence Lover #2
651935	13450	Tracy
651936	358007	Dixiebelle #2
651937	364516	Lissa
651938	384782	
651939	283678	Worried Woman (English versio
651940	294980	Monster truck enthusiast
651940	304527	Restaurant customer
651941	90998	
651942	77409	Erna Rellert
651942	98315	
651942	125279	
651942	134980	Frau Hermes
651942	140214	
651942	279000	
651943	156329	Belle Soeur
651943	189916	
651943	273969	Catherine
651943	307499	La femme du patron de l'agenc
651944	367413	Gilda
651945	78116	
651946	293640	Young Girl
651947	26355	Admissions Clerk
651947	35353	Reporter #2
651947	108248	Mrs. Clay
651947	112432	Martha
651947	113558	Mrs. Pippin
651948	157603	Doreen Hale
651948	178286	Hattie
651948	221532	Margaret
651948	387533	Peg Dingle (2002)
651950	328601	Cartoon Girl #2
651951	194136	Tourist
651952	276187	The baby
651953	334994	Reader
651954	10735	White Rabbit/Queen
651954	276187	
651955	126258	Amélie
651957	103155	ATK-päällikkö
651957	153095	Raili Rellonen
651957	153739	Leikkaussalin hoitaja
651957	180174	Kaija
651957	181630	Liisa Rautavaara
651957	285158	
651957	285799	Various
651957	354281	Saimi Tanhua
651957	394023	Tea Tuli
651957	402792	Järjestönainen
651957	407198	Thea Appelqvist
651958	324482	Tupakkatyttö #1
651959	82643	Josette
651960	282024	Woman #1
651961	12382	
651962	12512	Mona
651962	99555	Elizabeth
651962	179174	Mette Johansen
651962	334434	Alice Sand
651962	338709	Inger Steen
651963	179680	Mischka
651963	225677	Bestyrerinden
651964	40660	Rose
651965	380083	Ana Elisa
651965	407850	Lucía
651966	197441	
651967	51775	
651967	98974	Bailaora
651967	163894	Sasha
651967	252343	Charito
651967	296735	Bachelorette #2
651968	355946	Teacher
651969	233357	
651970	189301	Miliciana #9
651971	396396	Reportera (1996-2000)
651971	401591	Host (2002)
651972	280181	Himself
651973	217652	
651974	59715	Housewife
651975	205334	
651976	188940	
651977	31637	Bikini Audition Girl 11
651978	306834	
651979	248288	Rosita
651980	120979	Belle-fille de Jean
651981	341923	
651982	23452	Ethel, Cletus's Wife
651984	55054	
651985	17049	Girl in bar
651985	24519	
651985	98082	
651985	140267	Marika
651985	168204	
651985	279000	
651985	290635	
651985	352607	
651985	358044	
651986	28530	Dianna as adult
651987	175241	Rosa, aged 24
651987	255629	Martha Bell
651987	255630	Martha Bell
651987	375228	
651988	218169	Stripper
651989	384627	Single Woman Amy-Kristina Her
651990	187552	
651991	379504	Herself (Customer Service Sup
651992	194579	Betty Muxworthy
651993	57557	L'assistante costumes
651993	167103	L'assistante de Nicole Schutz
651993	252424	
651994	36713	More Fairy Tale Folk
651995	276428	Woman in Upper Room
651996	78041	
651997	96771	Woman #2
651997	118249	Marie
651997	135390	Dolores
651997	202363	Marie
651997	205449	Senior
651998	158364	Mother in Audience
651998	252286	Minister's Wife
651999	92596	Alice Brent
651999	143602	Blind-folded Horse Jumper
651999	224581	Alice Brent
652000	340633	
652001	118775	Jo Lynn
652002	258188	Mae
652003	83596	
652004	363756	Alan Smith's Wife
652005	264250	
652006	1370	Grandmother
652006	10394	Lady Fitzpeter
652006	17591	Aunt
652006	17762	Hannah Black
652006	21517	Mrs. Blair
652006	21795	Lady Graydon
652006	25574	Mrs. Aylwin
652006	45085	Miss Gay
652006	47575	Housekeeper
652006	47890	Lady Pleydell
652006	64846	Mrs. Grey
652006	68137	Mrs. Adair
652006	89677	
652006	105229	Cook
652006	114014	Mrs. Scully
652006	117607	Mrs. Snow
652006	117983	
652006	133898	
652006	133961	Mrs. Gooseberry
652006	138355	Lady Veasey
652006	142299	Mrs. Tripp
652006	145864	Lady Kingsley
652006	145872	The cottager
652006	148492	Lady Sturdy
652006	168521	Mrs. Forrest
652006	177795	Mrs. Blois
652006	197502	Countess Coyley
652006	203160	Mrs. Holmes
652006	208969	Mrs. Kingsland
652006	213043	Mrs. Chandler
652006	215943	Mrs. Grick
652006	220990	Lady Laura Belsize
652006	221260	Lady Erricker
652006	226973	Mrs. Garland
652006	227805	Ursula Jones
652006	228496	Mrs. de Berghem
652006	241041	Mrs. Major
652006	261428	Tante
652006	264175	
652006	300473	
652006	316354	Mrs. Brian
652006	327530	Emma
652006	333609	Mrs. Collum
652006	333816	
652006	334804	Mother
652006	338987	Trafalgar Gower
652006	362540	The Woman
652006	364527	
652006	365289	Mrs. Boyd
652006	368492	Mrs. Grey
652007	185812	News Reporter Voiceovers
652007	285299	TV News Anchor/Herself
652007	383753	Celebrity Justice Host
652008	383893	Herself
652009	405159	Julie
652010	276386	Court Dancer
652011	60279	Mrs. Robson
652011	185503	Cecilia Ryan
652011	235012	Daily
652011	318645	Mary
652011	386622	Grace McDonald
652012	176969	Mrs. O'Neill
652012	257264	Earring customer
652013	148308	Biker
652014	318814	Denise
652015	338577	Child
652016	28924	
652016	101039	
652016	117714	Alice Verney
652016	133618	
652016	162866	Phyllis Carney
652016	224734	June Baxter
652016	324391	Emily Bradley
652017	342076	Lisa
652017	398023	
652018	139711	Hilfreiche Kollegin
652019	321729	Amanda
652020	390523	Trisha Yates (1978-1982)
652020	409020	Trisha Yates
652021	293301	
652022	84403	Whitechapel Mary
652022	230919	Mrs. Fiddler
652022	286380	Nell's mother
652022	348099	Sadie
652023	17312	
652024	355028	The Academy's Blessed 'Virgin
652025	88852	Mrs. Stevens
652025	264489	
652025	279603	School teacher
652025	314792	Theona
652025	342719	
652025	384497	Lady Mary Wimsey
652025	398564	Lady Mary
652025	406182	Renata
652025	411288	Charlotte Hayes
652026	334853	Day dream girl
652027	336916	Old Lady Lu Lu
652028	224838	Whiny Customer
652029	270954	
652030	190622	Techie 3
652031	1939	
652031	7463	
652031	23646	
652031	24315	Mme Duvigne
652031	31018	The Nurse
652031	34390	
652031	72402	La femme de ménage
652031	78403	Infirmière école
652031	83241	
652031	96138	Mme Eloi
652031	101156	Léonie
652031	101233	Concierge
652031	111002	La gardienne
652031	112826	La camarade de la forcenée
652031	113134	
652031	116992	Maman
652031	120971	La mère Cantien
652031	132288	Marie
652031	133172	Mme Morf
652031	146405	La servante de l'oncle
652031	157283	Sophie
652031	169961	Appariteur de la foi
652031	183235	Angelina
652031	186575	La bigote
652031	200964	Concierge
652031	205741	La mère Ribaud
652031	212148	Micheline Fouly
652031	218255	Concierge Montmartre
652031	218284	The Testgiver
652031	224894	Madame Pouvat
652031	225416	Une gardienne de prison
652031	250643	Concierge
652031	255572	La concierge
652031	262951	Marie
652031	269737	L'employée du Crédit municipa
652031	275700	
652031	278024	Mère du Ponceludon
652031	280546	Camille
652031	292350	Madame Gilbert
652031	324321	Proprietress of Hotel de la G
652031	327543	Hélène
652031	332200	Une femme lors de la grève
652031	336642	Une infirmière
652031	345109	
652031	345386	Barbe
652031	345461	Religieuse
652031	346524	La vendeuse de jouets
652031	346569	Madame boutaire
652031	346656	La mère de Julie
652031	356139	Soeur Vincnet
652031	384576	
652031	401252	Christiane
652031	401329	Marie Vallet
652031	410215	Antonine Pillot
652032	58002	Waterfall Girl
652033	34354	
652033	314894	
652034	181345	Petra
652035	72808	Grandmother
652035	209694	Agnus
652036	170676	
652037	326292	
652038	357894	
652039	229941	Justine
652040	337206	Child at the World Choir
652041	213550	
652042	103055	Hilkes Mutter
652042	156708	
652042	281639	Prison Guard, Berlin
652042	312685	Weiblicher Fahrgast
652042	312688	Verkäuferin
652042	325548	
652042	343489	
652042	360665	
652042	379177	
652043	264818	Resort Guest
652044	37700	Smart Girl on Beach - Mary
652045	124987	Peasant Woman
652045	167153	Frau im Zuschauerraum
652045	259511	
652045	259616	
652045	266358	
652046	101709	Ticket seller
652046	229172	Die Schauspielerin
652047	11525	Reporter
652048	62178	
652048	157618	
652048	168964	
652048	225131	Marion B.
652048	325381	Helga Strasser
652048	325843	Rita
652048	386982	
652048	398083	
652049	362588	
652050	1348	Herself
652050	90792	Danielle Stillman
652050	141859	Barbi Benton
652050	172666	Emily
652050	300351	Sally
652050	364612	Little Girl
652050	389858	Elizabeth Webber Lansing (199
652050	406063	Suzee (1996-1997) (2nd season
652051	99089	
652052	160363	Henrik's kone
652053	144175	Politesse
652053	226344	
652054	40567	Patronne
652054	113222	Mme le maire
652054	282286	Madame Valenod
652054	349501	
652054	353912	La femme de la vidéo
652054	371416	Vincent's colleague
652055	2554	Vecina
652056	410774	
652057	4737	
652057	133350	
652057	164028	Prodavacica djecijih kapica
652057	179851	Estera
652057	261350	
652057	261406	
652057	386538	
652058	323303	
652059	5678	Esmée
652060	66886	
652061	118230	
652062	264242	L'ex-petite amie
652063	132909	Pedestrian
652064	352517	Elaine Lancaster
652065	153859	
652066	127574	Little Girl
652067	9454	
652067	29583	Barackvirág
652067	74422	
652067	136433	Biró Andrea
652067	175089	Bea
652067	197906	Eszter
652068	368737	
652069	322126	
652070	304119	Vlasta
652071	81350	Carissa/Elizena
652071	365534	Nicole Laroche
652071	382419	Helen MacClaine (#2) (1991-19
652072	58490	TV Reporter
652073	7848	Roz
652073	38515	Nun
652073	93558	Secretary
652073	146091	Anne's Mother
652073	213159	Juror #1
652073	316745	The Matron
652073	318776	Photographer at Pier
652074	282096	
652075	174028	
652076	178016	Malia
652076	379840	Barbara Thomsen
652077	289879	Dienstmaedchen
652078	224794	Homesteader's Wife
652079	7578	Maria
652079	78482	Herself (performing winning s
652079	78487	Herself - Host
652079	78492	Herself - Member of jury
652079	78494	Herself - Presenter ('Som om 
652079	104762	Danish entry (5th place)
652079	132874	Herself
652079	173141	Irma
652079	357812	Sara
652079	379767	Debbie's veninde
652080	100009	
652081	16878	Dancer
652082	12441	Forense
652082	161847	Senator's Wife
652083	251012	
652084	55378	Moza de 'Los Rosales'
652085	30317	
652085	269940	
652086	101883	
652087	63867	
652087	65011	Lola
652087	80092	
652087	80189	Vírgen
652087	81609	
652087	83776	Carmen, madre de Juan
652087	91311	Lucero
652087	100309	Laura
652087	145162	Catarina
652087	145358	Prostituta
652087	146517	
652087	221608	
652087	235299	
652087	244607	
652087	250796	Radio Dispatcher
652087	251673	
652087	266822	
652087	266845	
652087	287839	Esperanza
652087	307795	
652087	349661	Flor
652087	368953	Rosita
652087	390127	Yiovanka
652087	410246	Virgen de Guadalupe
652088	333591	
652089	142462	
652089	148032	
652090	381029	Leonor
652091	18544	Party Girl
652092	354902	
652093	140565	Luci
652094	96335	
652095	52750	
652096	20584	
652096	103845	
652097	12083	
652098	12148	Segundo Cuadro Flamenco 'Tang
652099	94837	dancer
652100	158141	Woman on copy line
652101	55378	Soledad
652102	12148	Tercer Cuadro Flamenco 'Solea
652103	55120	Tata
652104	38446	
652105	37787	Mother at Waterslides
652106	147972	Nurse #1
652107	178166	Old African Woman
652107	377053	Joanne
652108	118863	
652109	95606	
652110	1663	
652110	372066	
652111	189623	
652112	349794	
652113	174398	
652114	234932	Grand-mère
652116	153804	La deuxième jeune fille du ci
652117	312252	
652118	40412	Jenny
652118	82510	Nina
652118	190867	
652118	199012	Katja Sommer
652118	394477	Britta
652118	399177	Louisa
652119	204129	
652120	110408	Brugspige
652121	174405	
652121	339249	Lucie's mother
652121	383823	Siktancová
652122	72670	Anna
652122	134808	Steffi
652122	182888	Mary
652122	210021	Prinzessin Amalie
652122	225202	Lena
652122	225203	Lena
652122	264345	Sophia
652123	285754	
652124	130196	Slektning av Endresen
652125	205426	Roommate
652126	92324	Jessie
652127	234595	She
652128	230411	Anchorwoman
652129	403737	Sarah Uí Fhlatharta
652130	165058	A girl
652131	259491	
652132	172416	Kromutter
652133	125159	Sylvi
652134	263883	
652135	349009	
652136	378897	Gunilla Runfeldt
652137	335492	Sprinter Charlety
652138	1787	Dolores
652139	322313	Nurse
652140	153713	Kind
652141	262429	Fa. de Br.
652142	403863	Regular co-hostess (2003-????
652143	199587	
652144	199956	Voice
652144	292938	
652144	318239	
652145	314853	Nun
652146	395302	Marta
652146	398501	Yvone
652147	104944	Candy Striper
652148	11873	Ursula
652148	155443	
652148	180641	
652148	290260	Rose Red
652148	290544	Gräfin Walefski
652148	334489	
652149	195126	Miss Truslove
652150	271282	
652150	362996	Tracy
652151	93666	Mother Warren
652152	194693	Mime
652153	323594	Audition Singer
652154	5663	Entführerin
652154	98251	Göre
652154	125003	Taxifahrerin
652154	136906	Bardame
652154	325710	Reporterin
652155	100711	Fresh Nug
652156	261204	
652157	5160	Frau Bock
652157	7554	
652157	9494	Second secretary
652157	11897	
652157	12568	Ursel Zander
652157	24056	Nettie
652157	28426	Stasi
652157	29354	
652157	35197	
652157	40388	Fräulein Spätlieb
652157	67627	
652157	78284	
652157	79165	Guest
652157	79624	Frau Busenius
652157	82882	
652157	93502	Klara Hagemeister
652157	98331	
652157	106099	Fräulein Lührs
652157	107371	
652157	119135	
652157	119147	
652157	119166	Cäcilie Artistin
652157	119179	Hausmädchen Anna
652157	119242	Eine Sybille
652157	119253	
652157	120926	Petra Dietrich
652157	121003	
652157	124402	Sora
652157	125004	
652157	125335	Frau Reimann
652157	136211	Mrs. Amelia Sunshine
652157	136902	
652157	142022	
652157	142054	
652157	144135	Schauspielerin
652157	144717	Minna, das Hausmädchen
652157	147585	Dienstmädchen
652157	155452	
652157	155457	
652157	156644	
652157	156992	
652157	164274	Frl. von Bellwinkel
652157	172378	
652157	174391	Juanita
652157	175301	Dame in Straßenbahn
652157	175303	
652157	175776	Anna
652157	177192	Frau Dr. Behrens
652157	177913	Berta
652157	178602	
652157	179611	
652157	180234	Miss Haase
652157	180637	M.Krüger
652157	181167	Babett
652157	183263	Olga Vogelsang
652157	189771	
652157	204466	Frl.Baudensieck
652157	210074	
652157	225138	Josefa
652157	225149	Gast im Haus Henseling
652157	225152	Ulla
652157	225236	
652157	225742	
652157	226270	Johanna
652157	226277	
652157	231483	
652157	231612	Frau Dr. Krantz
652157	234897	Alwine, seine Frau
652157	236822	Madame Gerbaud
652157	241972	
652157	252324	Josefine Krüger
652157	253945	
652157	282194	
652157	289883	Julia
652157	289896	
652157	290758	
652157	293862	
652157	298572	
652157	303721	Frau van der Kalk
652157	307250	Fraülein Hirschfeld
652157	308980	
652157	310272	Frau Hartmann
652157	312206	
652157	317613	Tochter des Portiers
652157	320226	Kunstschülerin Hampelmann
652157	324691	Jeannette
652157	325495	Madame Silvia
652157	334770	Barmädchen Fiffi
652157	338427	Anna Reiser
652157	346851	
652157	347761	
652157	347824	Ulla
652157	352502	Kriemhild Wehrkamp
652157	354059	Franziska
652157	355729	Dorianne
652157	356202	Freifrau Adele
652157	356692	Mme. Debrov
652157	359694	
652157	361132	Melanie
652157	361423	Fräulein Klette
652157	361489	Hertha Sattler, Kriminalassis
652157	361520	
652157	366097	Teresina Bonfanti
652157	367168	
652157	376510	
652157	394190	Tante Viktoria
652157	408242	Ruth Edwards
652158	266353	
652159	93979	
652160	170458	
652161	342430	
652162	307690	Mrs. Levy
652162	329341	Landlady
652163	386772	Dora
652164	165016	
652164	237232	
652164	289920	Hespera
652164	400897	Dorothee
652165	301063	Mrs. Mikowski
652166	3593	Herself/Myrtle Fargate
652166	16760	Henrietta Stein
652166	116975	Anne's Mother
652166	120025	Frau Ida Koertner
652166	137904	Gertrude, The Queen
652166	137910	Gertrude
652166	152878	Katherine
652166	162984	Mother
652166	177988	Handmaiden
652166	187702	
652166	291736	Polina
652166	297906	Bridget Monahan
652166	315682	Helen D'Oyly Carte
652166	379716	Myrtle Lum Fargate (1976-pres
652166	396123	Myrtle Lum Fargate (1993)
652167	76664	
652168	354200	
652169	104949	Mary
652170	353954	
652171	350246	Mrs Simpson
652172	282096	
652172	290518	
652172	334611	
652173	156716	Dancer
652174	276461	Suchánková
652175	87393	Cindy Stanton
652177	14983	Popoffer
652178	39905	
652178	66902	Grandma Betty
652179	345853	Susie Friend
652180	10296	
652181	56545	Herself
652181	362543	Auction bidder
652182	10867	Mary Jane Carter
652182	232352	Mary Jane
652183	140692	
652184	37731	Zofia
652184	91510	Mrs. Olsen
652184	173652	Major's Secretary
652184	231362	Old Lady
652184	232664	Dyzma's Secretary
652184	289808	
652184	304439	Lab Worker
652184	305560	Anna
652184	363512	
652184	373497	Professor's Secretary
652184	393473	Justyna's mother
652184	410485	Janina
652185	78303	Nachbarin
652185	385732	Host (1993-)
652185	399105	Host (1997, 1998)
652185	407361	Host (1988-)
652187	316587	Andrea
652188	266309	Wanda, Marta's Sister
652188	348712	Iwona
652188	396286	Iwona Majer (2004-)
652188	411110	
652189	231389	
652190	398002	
652191	298307	
652192	409700	Host
652193	44495	Charlene
652194	54656	
652195	13963	Girl in Dodge
652195	108087	Musician
652196	306973	Malle
652197	284893	
652198	274427	Wedding Party in Philadelphia
652199	235407	Herself
652199	284526	Herself
652200	366811	Wedding Friend
652201	178028	Receptionist
652202	15106	
652203	117588	Girl
652204	16065	
652205	313865	Herself
652206	168291	May
652206	397144	
652207	313865	Herself
652208	29156	Piwi On Rooftop
652209	7213	Secretary
652210	91121	
652210	126364	
652211	306511	Lieschen
652211	391604	Lilli Talberg (1999-2002)
652212	104233	L'infirmière
652212	375368	Une ouvrière
652214	257111	Ribbon Girl
652215	1006	
652215	14300	Hure
652215	17049	Krista
652215	17056	Lore
652215	26241	
652215	38995	Marlene
652215	48343	Desiree
652215	65853	
652215	91139	
652215	94265	Eriks kone Margit
652215	97595	Sabina Angerwolf
652215	97843	Johanna
652215	100918	Herself
652215	110114	Mlle. Cherie de Paris
652215	119247	
652215	119352	
652215	122551	Else Gebel
652215	122552	
652215	125001	Jasmin Sager
652215	126246	
652215	129741	Frau Kallus
652215	129743	Gefängnispastorin
652215	135005	Rosl Kattner
652215	136717	
652215	137057	
652215	144185	
652215	144333	
652215	153730	Irmgard Epp
652215	168409	Secondary-school teacher Muel
652215	174535	Gletzenbichlerin
652215	174762	Elisabeth
652215	189611	Sonnenbrillenverkäuferin
652215	190765	Krankenschwester (Nurse)
652215	191333	Mrs. Jeschke
652215	194573	Hedwig
652215	205761	
652215	205783	
652215	207792	Gefängniswärterin
652215	209953	Oma Gerda
652215	223460	Helene
652215	225258	Frau Kiebig
652215	234902	Helene
652215	236039	
652215	240229	Lothar's mother
652215	246245	Lehrerin
652215	248185	Hedwig
652215	248508	Berenice
652215	256442	Alma
652215	259609	
652215	259695	Klara Hansen
652215	289832	Margaret
652215	289880	Emma
652215	289920	Frau Erlendicht
652215	290263	Herself
652215	295397	(segment "Pride")
652215	308805	
652215	312751	Frau Pigue
652215	313660	Daniela
652215	313661	Daniela
652215	313668	
652215	314568	Sali
652215	325714	Frau Klein
652215	325820	
652215	327726	Mother (segment The Enlighten
652215	332846	Birgit Kirchstein
652215	336510	Edelgard Weber
652215	336529	
652215	352056	Hermine
652215	352057	Hermine Feichtlbauer
652215	352062	Hermine
652215	352067	Hermine Feichtlbauer
652215	352068	
652215	353523	Mrs. Schomberg
652215	358746	Ordensschwester
652215	358755	Vermieter
652215	359620	Nachbarin
652215	365677	Police Official
652215	365784	Queen Elizabeth
652215	368735	Margret
652215	373430	Mrs. Spalt
652215	374126	Frl. Engelhart
652215	375993	Isolde Krautinger
652215	376134	
652215	376579	Frau, die Kleider hergiebt
652215	379174	Irmgard Erlkönig
652215	379372	Finanzbeamtin
652215	381689	Trude
652215	386220	Frl. Kitzing
652215	390165	
652215	395866	Tessa Brühl (episode "Stirb")
652215	396757	Dr. Renate Gaborius
652215	397950	Lisbeth Albermann
652215	398863	
652215	406814	Frau Labergne
652215	409609	(1992)
652216	9629	
652216	31511	
652216	57966	
652216	205477	
652217	88692	Lily
652217	93514	Tanten
652217	154075	Marie
652217	166602	Rosa
652217	179680	Pepita
652217	222842	
652217	276620	Pige
652217	306973	Aunt Pulle
652217	317258	Vera Jørgensen
652217	342243	Vivi Leidersmull
652218	406627	Co-Star
652220	46856	Mako Terasaki
652222	248424	Jøde
652223	224501	
652223	360960	
652224	337135	Ilse
652225	197835	
652226	237516	Lenka
652227	8569	Druhá deva
652228	139711	Bäckerin
652229	373618	Anna
652231	75993	
652232	30835	Tonka
652232	84763	Marta
652232	198375	Sister Angelika
652232	225889	
652232	266426	
652232	357687	Hladíková
652232	375411	Mrs. Krystofová
652233	25661	
652233	30324	Singer
652233	35888	
652233	75993	Lidla Kutilová
652233	169720	Anna Marie Veselá
652233	187018	
652233	231170	Tanecnice Káta
652233	244257	Singer
652233	252226	Tonda's girl
652233	268264	Rita
652233	284484	Helena Králová
652233	322672	Majolenka
652233	343858	Marina
652233	357288	Miriam
652234	104693	Herself
652234	104694	Herself
652234	110548	Herself
652234	124416	Jeanneke
652234	385114	Host
652234	386998	Herself
652234	387952	Herself
652234	396834	Host
652234	402490	Herself
652234	405642	Herself
652234	411951	Team member
652235	99603	Madonna
652236	166847	
652236	397074	Ellen (næsten voksen)
652237	83090	
652237	84279	
652237	87949	
652237	101502	
652237	108955	
652237	118593	
652237	142804	
652237	146596	
652237	166602	Bondekonen
652237	173139	
652237	179975	
652237	213334	
652237	219700	
652237	240100	
652237	251143	
652237	259049	
652237	268371	
652237	275257	
652237	284393	
652237	304518	
652237	310054	
652237	317651	Hustru til mand, der vil have
652237	317652	
652237	320224	
652237	322684	
652237	340080	
652237	343519	
652237	346992	Frk. Holm
652237	351910	
652238	58818	
652238	308212	
652238	397074	Koncertsangerinden (1978)
652239	153367	Herself - Eye Patient
652240	333037	Dog walker girl
652241	276139	Bellboy in musical number
652242	77403	Promenadvän
652242	405822	Kerstin-Gretas dotter
652243	116106	Ballet dancer
652244	208285	Mrs. Levi
652245	197508	Hank's Mom
652246	267165	Kathleen
652247	267165	Anna
652248	120139	Office Girl
652249	58230	Florence
652249	86786	
652249	96170	La fliquette
652249	146361	Carole
652249	336930	Viviane
652249	395480	La secrétaire de la fondation
652251	54598	
652252	104637	Member of the jury
652252	104758	Herself - Participant/Perform
652252	104776	French vote presenter
652253	156299	
652254	128469	Smoker
652255	69468	Guimauve
652255	345119	Pilar
652255	401053	Nelly (1981)
652256	269088	Les Oiseaux
652257	32366	
652257	36561	Antonia
652257	44659	Gloria Roade
652257	48790	Flora
652257	52987	Irene 'La Guindilla'
652257	55619	Benita
652257	74827	(segment "La tilita")
652257	90111	Mère supérieure
652257	95020	
652257	124303	María
652257	148036	Constantina
652257	170037	
652257	170095	
652257	171417	Doña Pura
652257	202296	Paulina
652257	205690	
652257	209007	
652257	344987	(segment 2)
652257	357533	
652257	369755	Herself
652258	355810	Waitress #1
652259	187060	Marie Smits
652261	10205	Carole
652262	267932	First Lady
652265	14831	
652266	192268	'Life' Magazine lady
652267	165334	Girl in Puticlub
652267	184870	Mujer del Circo
652268	160548	Une animatrice TV
652269	94284	
652270	328403	
652271	390526	
652272	393028	Lucía
652272	396214	Mercedes
652273	127724	
652273	213726	
652273	223936	
652273	390069	Melanie's Sister
652273	394247	Erica Gutierrez (2003)
652273	404050	Babette
652274	11337	Louie
652274	94902	
652274	101679	
652274	117684	Marian
652274	127724	
652274	149935	Gina
652274	200664	Chrissie
652274	214777	Pia
652274	231216	Garie
652274	339813	Celine
652274	390069	Tintin Fernandez
652274	400738	Ynamorata 'Yna' Macaspac
652275	40720	Sally
652276	332373	
652277	52992	
652277	57776	
652277	89923	
652277	145652	
652277	160191	
652277	197972	
652277	199814	
652277	205711	
652277	222013	
652277	234180	
652277	274764	
652277	338339	
652277	353984	
652277	376662	La joven
652278	114873	Dancer: Grupo Cané
652279	33218	Bernadette
652280	324482	Toimittaja (Herself)
652280	349143	Herself
652281	365592	Cousine #2
652282	177088	
652283	122377	
652284	390733	Pucha
652284	396873	la Chueca
652286	147541	Bikini model
652288	144402	Sheryl Flores
652289	16845	
652290	273239	Karen
652291	241531	Rock Person
652292	77676	Salsa Club Dancer
652292	269185	Ana Flores
652293	31534	Old woman
652293	231598	
652293	343603	
652294	147534	Principal Model
652295	392911	
652296	272275	
652297	390653	Dancer (1993-1996)
652298	381072	Angela Maria Perez 'Angie'
652298	396216	Silvia
652298	405798	Marilin Monroy
652299	185776	Realtor Lady
652299	223871	Eddie's Mother
652299	293744	Delores Quintanilla
652300	194653	Bar Girl
652301	80116	Herself
652302	170478	Nikki
652303	55122	Girlfriend
652304	269185	Noza Flores
652305	142561	
652307	126544	Attendant/Fairie
652307	294717	Waitress at Serendipity
652307	295420	Posse Girl
652308	9884	Tejano prostitute
652308	368659	Therapist
652309	241145	Trina
652310	153788	La serveuse
652310	377199	Prostitute
652311	361475	Alegra, Richie's sister
652312	109626	Sue
652312	135074	Isabel
652312	136151	Lucia
652313	391417	
652314	134423	Claudette Halloway
652315	377621	
652316	184127	Woman at Calico
652317	226438	
652317	388278	Estela
652318	39410	Maria
652319	131394	
652320	150075	Bianca Salsa Girl
652322	301574	Ani
652323	46458	Elena
652324	80585	Juanita's child (Sarah)
652325	293259	Herself
652326	257633	
652327	347346	Cassandra
652328	68992	
652329	6895	Herself
652330	163373	Herself: Parking Enforcement,
652331	132454	Singer in Tree
652332	221334	Asia Wiggs
652333	101455	
652334	184812	Air Stewardess
652334	386963	Pilar (2003-2004)
652334	395470	Skankita (2002)
652335	144394	
652336	170095	
652337	106216	Announcer
652337	133113	Nana
652338	346711	
652339	55897	Ilsamar
652340	160005	
652341	254592	Lecturer #2
652342	193701	Mexican-American Mother
652343	229506	Bubble Gum Party Girl
652344	360436	Dream Girl's Friend
652345	114266	Jane
652345	355786	Herself
652346	134522	Indian Villager
652347	355014	Girl in Diner
652348	309206	Bar Patron
652349	16642	Columba
652350	344524	Herself
652351	9702	
652353	167009	Herself
652354	269198	
652355	305157	
652356	245016	Hooker
652357	335851	Juanita
652358	1756	
652359	360635	
652360	366817	Marilyn Monroe
652361	17329	Rosibel
652362	64695	Mujer de negro 1 (El ultimo m
652363	6997	
652364	75571	
652365	281145	Lycosian Troop
652366	252216	Dolo
652367	47588	Bridesmaid
652367	140469	Chicana Rosa
652367	185648	Delores
652368	251547	Religieuse
652369	41148	Cuban Little Girl
652370	136313	
652371	202541	Stripper
652371	217476	Waitress
652371	369492	Xanadu Dancer
652372	383069	Host
652373	209198	Housewife
652374	7987	Lilith Foster
652375	6642	Voz
652375	67364	Encargada
652375	209005	Ines
652375	249910	Periodista Barajas #1
652375	256461	Inés
652375	276565	Empleada
652375	307630	Teacher
652375	307810	
652376	225066	
652377	30750	Home Invasion Woman
652378	78870	Flo 'Babe' Gray
652379	196471	Country Dancer #6
652380	269850	Hector
652381	245749	Juanita
652381	324242	Mary Jenkins
652382	338981	Herself
652383	201327	Bar Girl #2
652384	146333	Christie
652385	163344	Young Jogger
652386	322025	Vidéki színésznõ
652387	18207	Club Patron
652388	164783	Indian Girl
652389	305591	Miss Waterman
652390	281637	L'infirmière
652391	93064	Nurse
652392	60519	La paysanne
652392	327539	Mme Tréal
652393	203377	Sexy Woman
652394	187344	White Calf
652395	6501	
652396	9454	
652396	43109	Péter's wife
652396	97593	
652396	97969	Panni
652396	103052	Klotild
652396	113108	Sára
652396	137396	
652396	138606	
652396	147929	
652396	176205	
652396	208285	Frau Schmidt
652396	211217	Rachel Mohrenwitz, drámai sze
652396	214709	Bella Jakab
652396	258808	Mrs. Vályi
652396	304168	Olga
652396	322016	Arzéna
652396	322025	Jutka
652396	322028	Franciska
652396	322109	Singer
652396	349039	
652396	353092	Ilona
652396	377143	Stefi, Tímea's mom
652396	377615	Mom
652396	378160	Zsolika
652396	381157	Various
652396	395006	Bella (mom)
652396	400940	Jucus
652396	407231	Patrícia
652396	407232	Barbara
652396	407307	Cuckoo
652397	103033	
652397	155956	
652397	214708	
652397	307145	
652397	349047	
652397	377121	Bálozó lány
652398	23879	
652398	27942	
652399	276404	Estudiante (Student)
652400	36645	Criada
652400	55998	
652400	61133	Silvia
652400	61141	Guadalupe
652400	99341	Diana
652400	148045	Nina
652400	160121	Mary
652400	189379	
652400	210439	Estudiante de música
652400	212386	
652400	223627	
652400	233341	
652400	255932	
652400	335515	
652400	338868	
652400	353203	
652400	377182	
652401	14655	
652401	55925	
652401	68253	
652401	96280	
652401	135301	
652401	155196	
652401	191581	Pepita
652402	55998	
652402	212386	
652403	104852	
652403	104853	
652403	332600	
652403	350933	
652404	187627	
652405	74809	
652406	279720	2nd Sister
652407	16093	Peon woman
652408	71457	
652409	396644	
652410	379559	Delia
652410	384771	Erika
652411	273117	The Mother (segment "El Tuert
652412	6496	
652412	6742	
652412	48185	
652412	55323	
652412	63813	
652412	69767	
652412	71284	
652412	74385	
652412	74506	
652412	90032	
652412	103047	
652412	103048	
652412	103992	
652412	115820	
652412	247322	
652412	257594	
652412	273861	
652412	276487	Karen
652412	334690	Dorita
652412	353656	
652412	376707	
652412	376720	
652412	386374	Azafata
652412	390266	
652412	397018	
652413	410303	Cruz Piña
652414	6639	Batera
652415	27982	Señorita
652416	28023	
652416	71284	Ludmila
652416	233345	
652416	267887	Puta
652416	284899	Mecha
652416	332591	
652417	80116	
652418	249910	Diana niña
652419	51521	
652419	85585	
652420	300099	Crazy Lady
652421	76092	
652422	30401	Katrina
652422	87086	
652422	215697	Miss Peru
652422	286350	Maria's daughter
652423	378415	
652424	333383	Rosita
652425	303119	Laura
652426	117908	Pregnant girl
652426	311523	Girl at Bar
652427	20855	Fina
652427	101890	Toxi Hippy 2
652428	40447	Invitada fiesta
652428	161565	Singer
652428	402330	Himself
652429	14675	
652429	25050	Chplita
652429	29044	
652429	43130	
652429	48798	
652429	51544	
652429	51908	
652429	55951	
652429	63860	
652429	63905	
652429	75622	
652429	76013	Guardia
652429	80325	
652429	90521	
652429	92335	Madre superiora
652429	94592	
652429	98701	
652429	101615	dress shop owner
652429	103721	
652429	111418	Cliente de Mario
652429	124659	
652429	134492	Caracteristica
652429	140819	
652429	169560	
652429	183500	
652429	193077	
652429	199623	
652429	212438	
652429	216086	
652429	224996	
652429	244621	
652429	246373	
652429	246381	
652429	246415	Mujer de Pueblo
652429	247424	
652429	248291	
652429	257013	
652429	260933	
652429	263875	
652429	270061	
652429	283138	Institutriz
652429	307798	
652429	317731	Madre de Carlos
652429	343734	
652429	349683	
652429	355789	
652429	357005	
652429	357524	
652429	357532	
652429	357728	
652429	376757	
652429	377165	
652429	385250	
652429	388280	
652430	353592	
652431	9736	
652431	145649	
652432	108657	Fantaghiro as a child
652433	25627	
652434	188999	Bebé
652435	56316	Alcohólica
652436	282928	Persefina
652436	360150	Party Babe
652437	379001	Natividad
652437	396942	
652437	403782	Michelle
652438	168666	Conserje
652438	183525	
652438	189063	
652438	223615	
652438	379896	
652438	380074	Madame Katmandú
652438	380075	
652438	380096	
652438	380126	
652438	383867	
652438	385485	
652438	386170	
652438	387273	Carmen de Vega
652438	389480	Amelia
652438	396941	
652438	396942	
652438	400715	
652438	401096	Lila Corona de Flores
652438	402463	
652438	404074	
652438	410204	
652439	405978	
652439	407644	Doña Pola
652439	408562	
652440	68583	
652440	88802	
652440	210590	
652441	379900	
652442	25003	
652442	379887	Katherine
652442	400733	
652443	116799	Aunt Rosa
652445	405324	Endora
652446	337956	
652447	280410	
652448	68789	Melissa Nieves
652448	157098	Cinthia Maldonado
652449	494	
652449	226154	
652450	494	
652451	73281	Coro "Siquem"/"Siquem" Choir
652452	3520	Gente Bar #3
652453	52941	Amiga Jorge
652454	378971	
652454	380125	
652454	380249	Rosa Elena de Vallejo
652454	384925	
652454	385365	Luisa Russo
652454	391173	Eva Santacruz
652454	398483	Clemencia Hidalgo Ollarvide
652454	399520	María Delfina Miralles
652454	399521	
652455	204988	
652455	352151	
652456	120718	
652457	3450	
652457	252681	
652458	52998	
652458	73538	
652459	412126	Reporter
652460	197885	
652461	223615	
652462	268496	
652463	672	Rosa Eugenia
652464	243389	Ninfa
652465	196748	
652466	120718	Fotografa
652467	28694	Herself
652468	277039	
652469	286228	Dancer
652470	76092	
652471	373962	
652472	12925	
652472	70689	
652472	225072	
652472	383140	
652473	266669	(segment "Tetraedro")
652474	111395	Herself - forensic doctor
652474	412302	Gloria
652475	87198	Interviwee
652476	187627	Chica de la finca de Diego
652477	112043	
652477	135196	
652477	202230	
652477	265460	
652477	309377	
652478	110319	Abuela
652479	9890	
652480	203344	Maria
652481	207019	
652482	286228	Dancer
652483	400667	Andrea Cortez (II) (2002-)
652483	408419	Gladys "Ingrid"
652484	19945	Doctor
652484	115820	Olvido
652484	233337	Marisol
652484	370790	María
652484	386239	Herself
652484	397963	Herself
652485	212506	Matilde
652486	96382	Manuela
652487	219174	Herself
652488	55382	
652488	69329	Laura
652488	73532	
652488	73646	Clotilde Armenta
652488	76119	Agripina
652488	84502	
652488	104121	Doña Eulalia, the pious murde
652488	125739	
652488	204738	La Machiche
652488	229668	
652488	265824	Maria
652488	268525	
652488	287328	
652488	335169	María Elena Chassoul, Ambassa
652488	343530	Encarnación
652488	355259	Patricia's mother
652488	377112	Encarnación
652488	381026	Raquel Vallecilla
652488	383555	Florentina Herreros
652488	391590	
652488	396392	Marta 'Martica'
652488	398072	
652488	399625	Lourdes
652488	400733	
652488	400944	Madre Hilaria
652488	405324	Marucha
652488	405777	
652489	315275	The Whore
652490	124253	Teresa
652490	212414	
652490	351997	
652491	25079	
652492	285076	
652493	384781	
652494	395846	
652494	412133	Sabina
652495	142951	Susanne
652496	147536	Mouse (Iturbi Grandchild)
652497	147536	Mouse (Iturbi Grandchild)
652498	265171	Mrs. Caruthers
652501	132371	Maria Rosario
652502	5511	
652502	71953	La mère de Jonas
652502	188679	Florence
652502	249138	Marcelline
652502	282498	Perceptrice
652502	346518	Nicole Germain
652503	322	Turnier-Nummerngirl
652503	49408	The Blonde
652503	49409	The Blonde
652503	216865	Model
652503	290481	Blonde Squaw
652503	379810	Herself
652503	382989	The Blonde
652503	392821	The blonde
652504	46113	Charlotte Lengefeld-Schiller
652505	682	Barbara, the Ever Tan Girl
652505	69916	Althea Taylor
652505	72872	Ally
652505	95779	
652505	170857	Midge
652505	272135	Donna
652505	300304	Tiffany
652505	342769	Miller Girl #1
652505	366020	Leslie Vance
652506	180297	Patricia
652506	302661	
652507	80558	Browsing Couple
652508	77122	Milada
652509	131754	
652510	81891	Prostitute
652511	8339	Helen Montrose
652511	23705	Mrs. Stevenson
652511	35819	Lady Catherine Sprott
652511	74213	
652511	90026	Kitty Mannering
652511	119005	Dora Phillips
652511	194968	
652511	262955	Dancer
652511	283312	Hilda Rumpole
652511	297993	Rosemary Proctor
652511	299782	?
652511	331326	
652511	342489	Diana
652511	360542	Prison Matron Arnold
652511	367785	Karen
652511	398990	Mlle. Raucourt
652511	400226	Mum
652512	244090	
652513	214846	
652514	396506	Young Maria Eduarda
652515	82862	
652515	185406	Annika
652515	230348	Herself
652517	14799	Mariana
652518	377367	Mrs. Schulz
652518	406225	Frau Schulz
652519	333517	Social Security Girl 4
652520	318781	Lisa
652521	326743	The Beaver
652522	461	Trude
652522	6413	
652522	11786	Fanny Knöbel
652522	20916	Etienne's friend
652522	51880	Valentine
652522	69650	
652522	82880	Rehlein
652522	93429	Isolde
652522	93453	
652522	93679	Lady Zocker
652522	94311	Madeleine
652522	119431	Joana
652522	134793	
652522	144256	Trude Dorn
652522	153104	Frau Knoll
652522	156726	Maxie Sperling
652522	156730	
652522	156992	
652522	156994	Erna Meyer
652522	188733	Frau im Zug
652522	205859	Trude Pippes
652522	207210	Maddalena
652522	216248	
652522	228546	Frau Rumberg, Fahrlehrerin
652522	237519	
652522	239112	Gina
652522	279676	Klara Ziegel
652522	282191	Mrs. Kickebusch
652522	290121	
652522	347659	Edeltraut
652522	347660	Edeltraut
652523	362002	
652524	247159	Niña
652525	328642	
652526	328642	
652527	351831	
652528	23273	
652528	29831	
652528	71358	
652528	115857	
652528	205002	
652528	209922	
652528	257383	
652528	311684	
652529	145446	María
652529	197432	Luna
652529	328697	Sena Márquez
652530	106328	Alcohólicos Anónimos
652530	378407	
652531	384590	Herself
652532	307860	Cheerleader
652533	32549	
652533	84806	Lisa
652533	93038	Girl with Ethan
652533	99983	Alyssa
652533	124019	
652533	161970	
652533	175804	Liza
652533	226890	
652533	296374	Herself
652533	297242	Topless Bartender
652533	300180	Cheetah Dancer
652534	42032	Housewife
652534	102289	
652534	225476	Miss Barnstable
652534	351025	
652534	393489	Herself (regular guest)
652534	411107	Team Member
652535	83252	
652536	28681	Madame Vandamme
652536	396845	
652537	377928	
652538	309289	Annamária
652539	412249	Ildi Kosári
652540	14793	
652540	24908	
652540	170042	Marta
652540	170068	
652540	212445	
652540	215401	
652540	248289	
652540	252627	
652540	252798	
652540	263829	
652540	263846	
652540	274932	La Coronela
652540	335517	
652540	343448	
652540	351643	Doña Eugenia Esparza
652540	351998	Sra. Merced Garcia Duenas
652540	353551	
652540	353786	
652540	370164	
652540	383532	
652540	384987	
652540	391523	Helena Montero
652540	397569	
652541	247370	Herself (Panamanian National 
652542	334687	Cubana
652543	279427	Tamara
652544	379252	Alexis Opazo
652544	380074	Angélica Díaz
652544	380075	
652544	383812	Carmencita viuda de Mansilla
652544	384984	Siboney
652544	396925	Camila
652544	401634	
652545	85133	Quiet Room Raver
652546	379000	
652546	379615	Rosalba
652546	398488	Luisa
652547	217816	Paramedic
652548	379093	
652548	379817	Alma Rosa
652548	379898	La Perla
652548	386503	
652548	386788	Jimena
652548	387536	Endrina/Eugenia
652548	387621	
652548	395861	Alvaro/Isabel/Lucero gitana
652548	396712	
652548	397566	Estefanía
652548	398218	Clara Rosa Guzmán
652548	398471	Altagracia del Toro
652548	400941	Teresa
652548	404075	Raiza
652548	404703	Yesenia
652549	55366	
652550	52147	
652550	90005	
652550	290926	
652550	308889	
652551	11934	
652551	17110	
652552	218518	
652554	150075	Bianca Salsa Girl
652555	95015	
652556	14772	
652556	225560	
652556	273957	
652557	131354	
652558	2441	
652558	20732	
652558	21706	
652558	27851	
652558	54337	
652558	59168	
652558	103507	
652558	110415	
652558	122157	
652558	124527	Eva
652558	151806	Novia de filmación (segment "
652558	165768	Violeta
652558	186980	
652558	192959	
652558	202061	
652558	207969	
652558	209067	Dona Tona
652558	211712	
652558	212056	
652558	221898	
652558	231261	
652558	234354	
652558	236864	
652558	247048	Manuela
652558	247471	
652558	247473	
652558	248284	
652558	255504	Diana
652558	264402	
652558	275985	
652558	276977	Manuela
652558	281607	
652558	287451	
652558	337438	
652558	338604	
652558	341653	
652558	343630	
652558	354843	
652558	374004	
652558	377105	
652558	410477	
652559	170451	Partygoer
652560	71290	Dental Hygenist
652561	150075	Bianca Salsa Girl
652562	206739	Niña Andrógina
652563	125279	
652563	361428	
652564	287406	Barbara
652565	84324	Angela
652566	351194	
652567	350253	
652568	73451	
652568	248285	
652568	268526	
652569	13013	Jessica
652569	55937	Number Girl
652569	83886	
652569	204829	
652569	379248	Carlota
652569	379898	Trinidad
652569	383442	Noemí
652569	387666	Mayogiris
652569	394006	Pauchi
652569	400941	
652569	401067	
652569	403884	Macorina
652570	370439	
652571	234342	
652572	123864	Mr. Brigante's girl
652573	16950	Luna
652573	284932	Model
652573	326129	Mère Noèl
652573	395621	Irina
652573	396714	
652574	41918	Bonnie Tsotsie
652574	89102	Geri
652574	96834	Alicia Montalvo
652574	115163	Paige
652574	134077	Bitterbuck's Daughter
652574	159012	Blue Sky
652574	187342	Ascopah
652574	210469	Dolores
652574	261564	Carrier #1
652574	276385	Desawenta
652574	313111	Jenny
652574	336300	Dinora
652574	336301	Eden
652575	412023	Dana
652576	65006	Maria, the Young Woman
652576	123150	
652577	135366	
652578	3455	
652578	4987	
652578	14770	María Luisa
652578	20734	
652578	73517	
652578	100467	
652578	110895	Madre
652578	121696	
652578	124543	
652578	132524	Dolly
652578	148043	
652578	193511	
652578	263848	Carmiña
652578	266476	Marga
652578	268526	
652578	293918	
652578	302556	
652578	349333	Herself
652578	377770	
652578	381324	Pepeta
652578	383557	Pilar
652578	390722	Adela, madre de Arantxa
652578	400952	Carmen Arranz
652578	404982	Cristina de Villanueva
652579	5443	
652580	1579	
652580	5355	
652580	8143	
652580	13186	
652580	14417	
652580	21685	
652580	44524	
652580	49722	
652580	52211	
652580	59168	
652580	61136	Coty
652580	67697	
652580	67698	Marta
652580	70084	
652580	71126	Ana
652580	74803	Güera
652580	80340	Susana Prado
652580	84254	
652580	85973	
652580	91388	
652580	95373	
652580	100384	Carlos
652580	101825	
652580	111890	
652580	137001	
652580	137427	Eva
652580	142738	
652580	143685	
652580	162774	
652580	165766	
652580	165768	Lilia Gallardo
652580	171387	
652580	196746	
652580	205545	
652580	208625	
652580	212515	
652580	213711	
652580	221668	
652580	221891	
652580	222530	
652580	233762	
652580	243782	
652580	248284	
652580	248297	
652580	248867	Soledad
652580	249796	
652580	249892	
652580	251576	
652580	253380	
652580	259331	Carolina
652580	266164	Mariana
652580	266229	
652580	268238	
652580	283284	
652580	322753	
652580	337567	
652580	370111	
652580	371753	
652580	380054	Leonora Rivas
652580	381904	Herself (6th Evicted 2002)
652580	386791	Lorena
652580	387689	Jessica
652580	387805	Lorenita
652580	397016	Lucrecia
652580	397572	Olga Ramos Moret
652580	398458	Claudia
652580	402077	Lorenza
652581	233570	Maria
652581	252618	
652582	74664	
652583	104063	
652583	121254	
652583	137026	
652583	263267	
652583	275145	
652583	343743	Prostitute
652584	23386	Mónica
652584	193192	Brigitte
652585	26387	Receptionist
652585	61569	FBI Agent
652585	68064	Alison Phillips
652585	70305	Victim's Wife
652585	90345	Dr. Hagerty
652585	91769	Libby's Roommate
652585	97091	Nurse #1
652585	207765	Martha
652585	241412	Clerk
652585	242096	Cop
652585	308004	Nurse
652585	321176	Deenah
652585	330676	Desk Clerk
652585	340058	Store Guard #2
652585	366898	Leda Cervantes
652586	92162	Member, The Herrera Sisters)
652587	92162	Member, The Herrera Sisters
652588	8726	
652588	29842	
652588	61433	
652588	66347	Lupita, criada
652588	84163	
652588	91413	
652588	104090	
652588	145240	
652588	166381	
652588	190407	
652588	231698	
652589	355004	
652590	334700	
652591	372175	Dancer
652592	28955	Vecina #4
652592	54346	
652593	114873	Dancer: Escuela Flamenca Mati
652594	30730	
652595	100306	Elena
652596	9461	
652596	212689	Dr. Monica
652596	296551	
652596	324981	
652596	371339	
652597	14272	
652598	297937	Lorna
652599	277409	
652599	322234	
652600	52708	Rigla
652600	135110	Regia
652600	201216	
652601	314699	Teen Girl #5
652603	9694	Elisa
652603	12026	
652603	23382	
652603	37000	Stella
652603	52630	
652603	52777	
652603	54771	
652603	61186	Ana Rosa
652603	61187	Ana Rosa
652603	67700	Sargento
652603	68963	
652603	70641	Sra. Cano
652603	99760	
652603	103163	Yolanda
652603	114321	
652603	114322	
652603	114323	
652603	114324	
652603	121222	Gloria Ortega
652603	121296	
652603	135353	
652603	137001	
652603	159034	
652603	169857	
652603	216852	Carmen's mother
652603	234328	
652603	239271	
652603	246151	
652603	250795	
652603	253257	
652603	253376	
652603	284528	
652603	287454	
652603	302983	
652603	336111	
652603	341080	
652603	353266	
652603	373299	
652603	383329	Norma
652603	383471	Paulina de Valle 'Segunda Esp
652603	383517	Sofía
652603	384245	
652603	384899	
652603	385335	
652603	385502	Doña Pura Cantú
652603	385943	
652603	386077	María
652603	387090	Berenice
652603	387551	
652603	389843	
652603	390657	
652603	392290	Alfonsina
652603	396604	Nora
652603	397734	
652603	398663	
652603	400948	
652603	402585	
652603	405954	
652603	408855	Greta
652603	411694	
652604	73477	Enfermera
652605	223502	Woman in restaurant
652606	71154	Gulnare, the Pasha's slave
652606	350644	Pefermer "Don Quichotte" and 
652607	25218	
652607	102704	
652607	261265	
652608	48180	
652609	158109	Vice Principal
652609	207904	Salesperson
652609	309896	Ellen
652610	383471	Bárbara Guerra
652611	16897	Mrs. Ramirez
652612	264084	Princess Candy
652613	380087	
652614	39702	Dr. Marco Leung
652614	103048	
652614	104057	Elena
652614	327021	IMC technician #1
652614	371692	
652615	24206	Cati
652615	306697	
652616	384980	Malkah
652617	115000	Elsa
652617	115820	Lorna
652617	255485	Balbina
652618	48180	
652619	296333	Maruja/Matronly Woman
652620	3522	
652620	25031	
652620	33966	Sra. de Arguello
652620	50132	
652620	70862	
652620	77261	
652620	80216	
652620	83756	
652620	99791	
652620	104150	
652620	134503	
652620	148118	
652620	148129	
652620	201988	Emilia Zaldívar
652620	207773	
652620	221706	
652620	222033	
652620	268250	Ljuba
652620	272639	
652620	273960	
652620	275949	
652620	281605	
652620	351949	
652621	84360	Mrs. Falcone
652621	280747	
652621	315449	
652622	385070	Mariana Pagliaro
652623	8564	Actriz espera
652623	277398	Queen's lady
652624	86354	
652624	103844	Rosario Aguilar
652624	267405	Sabel
652625	112699	Production girl
652626	209026	Yoli
652627	215209	
652627	253670	
652627	277376	
652627	317967	
652627	318006	
652627	328170	
652627	376800	
652627	382978	
652628	101867	Lesbiana alemana
652629	4523	
652629	8269	
652629	25218	
652629	52957	
652629	56632	
652629	92343	
652629	121274	
652629	148103	Margot
652629	193068	
652629	197447	
652629	207772	
652629	266842	
652629	296453	Ana Maria Mendez
652629	300737	
652629	318286	
652629	339159	
652629	355757	
652630	103152	
652631	79807	Clara Harris
652631	184822	Pam Sears
652631	274200	Violet
652631	324729	Gossipy woman
652632	103499	
652632	378991	
652632	384329	Hostess
652632	385881	Hostess
652632	392209	Hostess
652632	401907	
652633	132470	Pepín nen
652634	399126	
652635	377199	Girl with the golden teeth
652636	345607	Chica sexy
652637	13071	Woman on stairs
652638	339418	Titorelli's Girl
652639	3320	Mar
652640	368654	Screaming Woman
652641	354590	
652642	39303	Herself
652643	80695	Foster Parent
652644	80695	Rockhouse Treat
652645	120754	Susan
652645	154287	Julie Scott
652645	218481	Sally Wilson
652645	279537	Carol Lane
652645	301989	Patricia Jones
652645	354216	Marigae Sanders
652646	402435	Herself
652647	252425	Martha
652648	108975	Concierge
652648	122776	Cleaning woman
652649	244679	
652649	390812	Julia Backhoff (1992-1993)
652650	35523	Playboy Playmate
652650	127084	Dream Ghost
652650	178181	Bikini babe
652650	220682	Queen
652650	257814	Herself
652650	279323	Party Girl
652650	281024	Angelina
652650	312265	Linda
652651	251695	Supporting
652652	212242	Specialty Dancer
652653	8173	Ann Reagan
652653	14620	Mrs. O'Brien, the Mother
652653	18572	Mrs. Galloway
652653	27219	Seamstress
652653	37105	Concierza
652653	38041	Mrs. Emily 'Emmy' Hatfield
652653	40615	Bessie
652653	47306	Landlady
652653	56441	Mme. James Hendon-Ware
652653	61804	Mrs. Haines
652653	65124	Mrs. Clancy
652653	70805	Annie Fahy
652653	72016	
652653	75301	Mrs. Connors
652653	75606	Mrs. McGillicuddy
652653	78227	Mrs. Burch
652653	78682	Mrs. Corcoran
652653	78850	Mrs. Dubbin
652653	78966	Mrs. Dean
652653	79011	
652653	84031	The Nun
652653	88665	Mrs. Maloney
652653	90418	Charwoman
652653	91963	Mrs. Clancy
652653	92136	Mrs. Todd
652653	93077	Mrs. Mahon
652653	95722	Mrs. Gallagher
652653	105227	
652653	106529	Mrs. Denby
652653	109592	
652653	110964	Mrs. Alderdice
652653	113656	Maggie Finnegan
652653	120762	Mrs. O''Shea
652653	128334	Mrs. Healy
652653	132057	
652653	134034	Dora
652653	137257	The Maid
652653	140958	Maggie Sullivan
652653	141371	Mrs. Harohan
652653	143943	
652653	148180	Clara Wheaton
652653	149184	Viola's Mother
652653	149262	Nora
652653	150170	The Landlady
652653	157741	
652653	158366	Mrs. O'Connor
652653	162836	Mrs. O'Shea
652653	162941	Mother Joyce
652653	174602	Aunt Nora Shannon
652653	175812	Flower Woman
652653	180423	Mrs. Kelly
652653	183329	Candace
652653	183580	Landlady
652653	188367	Mrs. Hazey
652653	190236	Mrs. McGilluty
652653	191213	
652653	192259	Mrs. Turner
652653	193312	Mrs. Vernon
652653	194470	Mother Machree
652653	197656	Mrs. Botts
652653	199436	Mrs. Flower
652653	203140	Aggie
652653	203191	Undetermined Role
652653	203728	Mrs. Murphy
652653	208895	Mrs. McFadden
652653	214068	Tommy's landlady
652653	214152	Mrs. Flannery
652653	219196	Mary
652653	219968	Sideshow woman asking about l
652653	224632	Maria, cook
652653	232854	Mrs. Prouty
652653	232889	Mrs. Dougherty
652653	240017	Mrs. Corney
652653	247299	Mrs. Foster
652653	249018	
652653	256426	'Laundry Lou'
652653	264159	Ma O'Toole
652653	269418	Pansy Pooley
652653	269990	Hannah
652653	270939	Nora Burke
652653	276676	Townswoman
652653	281385	Mrs. Perkins
652653	285447	Mrs. Jensen
652653	286153	Mrs. O'Brien
652653	297909	Mrs. Flaherty
652653	301761	Mrs. Tufts
652653	302368	Mrs. Moran
652653	302703	
652653	302730	
652653	305607	Granny O'More
652653	306019	Helen's Nurse
652653	312795	The Landlady
652653	313076	Irish Washerwoman
652653	315162	The Cook
652653	318460	Ma O'Connor
652653	321171	
652653	326193	Cleaning Lady
652653	327671	Mrs. Carney
652653	329398	Maggie Kelly
652653	334599	Mrs. Todd
652653	335640	
652653	342583	
652653	347601	Mrs. Leslie
652653	349638	Mrs. Finnegan
652653	352722	Mrs. Mullins
652653	359888	Madame Buff
652653	360759	Mrs. Martin
652653	360791	Mrs. O'Reilly
652653	362110	Maggie McGrath
652653	362365	Flower Vendor
652653	363888	Undetermined Role
652653	366885	Tea Cup Ann
652653	370574	Mrs. O'Reilly
652654	16642	Teacher
652655	64098	Bachelorette #1
652656	298055	
652657	331332	Mary (segment "El Penitente")
652658	167922	Kouchie Koo
652659	407369	Kid
652660	265142	
652661	131210	Girl #2
652661	230398	
652661	280656	Featured Skater
652661	385824	Lisanne Gardner (1992)
652661	389858	Lucy Coe Jones Quatermaine Ba
652661	401930	Lucy Coe Jones Quatermaine St
652662	37681	Joleen
652663	234913	Jill Carson
652663	397991	Herself (Seasons 1-2)
652664	50484	Young Marina
652665	331463	School secretary
652665	343189	McClennon's Assistant
652666	399105	Host (1991-1992)
652667	268015	Marc's Introducer
652668	87825	Sledgewig
652669	56967	Inmate at Holm Lea
652669	260206	
652669	348379	Pauline, in the factory
652669	348380	Rita
652670	228299	Actress
652671	334085	Mrs. Jensen
652672	32466	Tech Support Advisor
652672	222265	Den Mother
652673	221065	Montgomery
652673	313189	Blonde
652674	215658	Gwen
652674	331586	Zina
652675	312968	Maddy
652676	57163	Susan
652677	277705	
652677	277706	
652678	26352	Wendy
652679	482	Daniela
652680	376396	Leni
652681	158141	Woman on copy line
652682	360588	2nd Victim
652683	317255	Kiosk Clerk
652684	110253	Hanna
652684	116318	
652684	226175	Bertchen
652685	409612	Ruth Angerer
652686	33079	Nurse
652686	88025	Frances Fletcher
652686	105465	Anita
652686	139680	Hooker
652686	158113	Warden
652686	163334	Mother
652686	163375	Louise Salinger
652686	187346	Mrs. James
652686	304557	Sister Catherine
652687	409625	Barbara Lippmann (1998)
652688	358275	Gloria
652689	258550	Miss Griffith
652690	66837	Second Waitress
652691	386236	Additional Voices
652692	285660	Rita Hayworth double
652692	298069	
652693	238658	Bar passerby #1
652694	3079	Herself - Presenter
652694	30965	Girl on Corner #3
652694	80821	Cindy
652694	99461	Herself
652694	143874	Betty
652694	168627	Gloria Powell
652694	188988	Lexie
652694	221474	Herself (En Vogue)
652694	409638	Valerie
652695	147914	Emma
652695	306998	
652696	405209	Janae Murray (2001)
652697	114503	Lynn
652698	411439	Herself/Demonstrator
652699	122757	Gabe Fan (Opening Movie Chapt
652699	131687	Miss Appleby
652699	280298	Jane Johnson
652700	42276	Su Ling
652701	135343	
652702	351761	Danse Soufi
652703	125737	
652704	301022	Frau Hummel
652705	54385	Kattis
652706	115353	
652706	166116	
652706	196287	Alice
652706	250642	
652706	278153	DRH woman
652706	318514	
652706	339226	La femme au chien
652706	345561	Claudine
652706	377792	P.M.U. Owner
652707	235811	Cécile
652708	166116	Serveuse
652708	250642	
652709	346709	Pauline
652710	200946	Félicie
652710	214253	Françoise
652710	346523	Marie Rouannet
652711	55382	
652711	96332	
652711	204738	The Model
652712	355004	
652713	63957	
652713	64639	
652713	83030	
652713	89266	
652713	89492	
652713	94041	
652713	109715	Flower Seller
652713	132197	
652713	133350	
652713	144892	Countess
652713	147212	
652713	180439	
652713	180696	
652713	182239	
652713	187854	Brigita
652713	197093	
652713	199561	
652713	221342	Gazdarica/Landlady
652713	229007	Eliza
652713	262677	Mara
652713	263056	Mrs. Knezevic
652713	264129	Madame Dumond
652713	267943	
652713	287011	
652713	293808	Kata Palondra
652713	328216	
652713	343835	Pipova mama
652713	389146	Woman on train
652713	402486	
652713	405705	Susjeda iz nebodera
652714	66213	
652715	195365	
652716	120046	
652716	209994	Evi
652716	377364	
652717	332626	Whore
652718	353028	
652719	72239	Big Boy's Partner
652719	348327	Homely nurse
652720	392902	
652720	394827	
652721	325891	Gast in Disco
652722	330204	Herself (rescuer, Belgium)
652723	10926	
652723	125478	
652723	355206	Handsome Prince
652724	219864	Penelope
652725	276202	Ruth
652726	96681	Old Woman
652727	32651	Herself
652728	2709	Woman in Car
652728	116005	Shelly
652729	168166	Hostess #1
652730	3267	Danielle's Pal #2
652730	313334	Emergency Room
652730	378880	Woman #1
652731	72208	Customer/Stylist
652732	72208	Customer
652733	361611	
652735	343185	Eustacia
652736	846	Herself - #76: Collagen Girls
652736	955	Norma
652736	2550	Presenter
652736	5078	Sarah
652736	14250	Jess's daughter
652736	16729	Julie
652736	26382	Tish Gray
652736	31715	Hillary Whitney Essex
652736	45312	'Boxcar' Bertha Thompson
652736	46334	Celia Hoover
652736	72762	Zanni
652736	78176	Frances
652736	80915	Susan
652736	85865	Sally
652736	94019	Kate
652736	101778	Carla Moran
652736	107895	Beth
652736	115708	Mary Cutler
652736	120427	Eva
652736	138444	Lee
652736	141651	Leloopa (Indian girl)
652736	149388	Myra Fleener
652736	152838	Marsha Hunter
652736	158230	Ellen Lange
652736	171036	Nikki Klausing
652736	176949	Candy Morrison
652736	184717	Dr. Valerie Somers
652736	185311	Susan Burgade
652736	185463	Professor Lillian Sloan
652736	185679	Sandy
652736	185704	Mary Magdalene
652736	189280	Nella Mundine
652736	195525	Angela
652736	224405	Lili Damita
652736	228473	Harriet Bird
652736	245326	
652736	247119	Ruth Abernathy
652736	249067	Hanna Trout
652736	261039	Madame Serena Merle
652736	266708	Kay Levitz
652736	267607	Jane Kauffman
652736	273488	Herself
652736	278094	Jean Parker
652736	278259	Glennis Yeager
652736	300573	Ruth
652736	302835	Herself
652736	304296	Amber
652736	307380	Marcella Willis
652736	311534	Duchess Lucinda
652736	312909	Mother Madalyn
652736	314103	Jimmie Sue Finger
652736	316191	Ann Rule
652736	317520	Nina Franklin
652736	319255	Cody Blanks
652736	321515	Frau Muller
652736	322596	Glynnis Yeager
652736	323478	J.M. Halstead
652736	333517	Nora Tilley
652736	339362	Marion Evans
652736	360849	
652736	366849	Stacy Iverson
652736	368305	Call Girl
652736	368374	Diana Roth
652736	372051	Waitress
652736	385659	Contessa Maria Alcharisi
652736	388202	The Maid
652736	389412	Karen Holmes
652736	396670	Madelaine
652736	398134	Kathy Monroe (1966-1967)
652736	398312	Gennie Carver
652736	403280	Clara Allen
652736	409206	Various Characters
652737	217745	Dancer
652738	100209	Hitler Youth
652739	56545	Herself
652739	135193	
652739	247500	
652739	304650	
652739	389858	Alison Barrington (2000)
652739	401930	Alison Barrington (2000-2003)
652740	104965	Cowgirl Donna
652741	30071	Woman
652742	394371	Anchor (2000-2002)
652743	320123	Herself
652743	320149	Herself
652743	320150	Herself
652743	407083	Herself (9 Days, Ogakor Tribe
652744	130098	Woman #1
652744	208501	Girl on the beach
652744	366259	Party Girl
652745	26885	Groupie
652745	79859	Lisa Shaw
652745	195837	Alison
652745	407667	Nina
652747	69053	CD-ROM Voice
652748	365425	Felicia
652749	322122	
652750	327337	Herself - Competition partici
652751	246034	Herself - Interviewee
652752	409298	Kjersti (2000)
652753	392072	Andrine Andersen (#1) (2003)
652754	210123	Girl
652755	101327	Engel
652755	157892	Suzan van Leeuwen
652755	394674	Knofje
652756	336649	Patient
652757	167061	Older Nun
652758	2645	
652758	46015	Bertha
652759	100344	Mme Caravan
652760	147168	
652760	173052	Inge, seine Tochter
652760	358542	Ingeborg
652761	409625	Ute Weigel, geb. Kiefer (1995
652762	242113	Young Kate
652763	6151	
652763	33190	Natasha Skrapinov
652763	63065	Sister Albertine
652763	64405	Sylvia Arnold
652763	78818	
652763	81168	Helen
652763	106687	Katinka
652763	128212	Judge
652763	136141	Mama Petrovic
652763	154451	Emily Kimoto
652763	155616	
652763	203483	Mrs. Broadwhite
652763	212960	Admissions clerk
652763	230340	Elsie Smolena
652763	232243	Maid
652763	271063	Mrs. Gordon
652763	289420	
652763	313333	
652763	343010	Couple at SWAT call (woman)
652763	380049	Gerta
652764	140712	
652765	331898	
652765	359705	
652766	234021	
652767	49671	Suse
652768	322617	Jimmy's girlfriend
652769	363416	Herself
652770	53292	Jill Pillsbury
652770	105393	Bria
652770	113501	Geneva Johnson
652770	207440	Captain America Kid
652770	248878	Navajo Bunk Girl
652770	255859	Melissa Steed
652770	297628	
652770	372342	Brighton
652770	389858	Barbara Jean 'B. J.' Jones (1
652771	13789	Playground Girl #2
652771	79055	Jennifer
652771	259828	Kane's People
652771	379318	Jamie Martin (1986-1991)
652771	396538	Casey Cooper McGillis
652772	183270	
652773	133594	Gallery Guest
652774	34638	Imogene Herdman
652775	113480	Hojo of 'Unholy Rollers'
652776	246573	Leena
652777	23893	Pobrecita
652778	218977	
652779	150140	
652781	17705	Else
652781	28569	Mona, Pinky's Mother
652781	30269	
652781	34480	Else
652781	49173	Trutti
652781	79616	Moderen
652781	83059	Pige på Riisgården
652781	84275	Louise Mørch
652781	89471	Anita
652781	117458	Jossi's mother
652781	121021	Fabrikant Kronager
652781	137705	Poupette
652781	142505	Lykke Andersen
652781	156029	
652781	179790	Gerda
652781	182459	
652781	209331	
652781	275219	
652781	275625	Eva
652781	281252	Rea
652781	286819	Sally
652781	293895	Frk. Hansen
652781	304208	
652781	305311	Alvilda
652781	323399	Herbert's mor
652781	346993	Adé
652781	354739	Signe
652781	393902	Grace's datter
652781	398194	Karen E. Andersen
652781	406602	Jette Nielsen
652781	408309	Herself - Member of questioni
652781	408340	Various roles
652781	408364	Clara Madsen
652781	408802	Mirza
652782	33507	Bella's Mother
652782	42685	Herself
652782	49543	Rita
652782	50242	Helga
652782	89471	Helga Gregorius
652782	95906	Kirsten
652782	101125	
652782	102348	Lisbed
652782	114771	
652782	121026	Frk. Nitouche/Charlotte Borg
652782	121028	Frøken Rosita
652782	147398	Dorte
652782	153101	Charlotte Parsdorff
652782	168108	Joan
652782	180407	Sjappergassen
652782	182601	Karen
652782	184553	Marie Møller
652782	184566	Petrea 'Perle' Krogh
652782	199995	Dafne
652782	210157	Mai
652782	237286	Bente Mortensen
652782	244002	Vibeke Bang, Bernhards datter
652782	255671	Yvonne Møller
652782	273732	Rose
652782	293895	Kvinde der studerer sex-still
652782	301456	Victoria Stoke
652782	304362	Minnie Powell
652782	305128	Mariann Falke
652782	308212	Klara Müller
652782	317436	
652782	322458	Bitten Middelboe
652782	322683	
652782	333556	Tine Bølling
652782	334310	Frk. Eva
652782	335194	
652782	336411	Grete
652782	338679	Vilhelmina
652782	349081	Lene
652782	353004	Eva Thorsen
652782	356854	Dorte
652783	109065	Anna H.
652784	264466	Herself
652785	20439	Young girl
652785	66963	Child at Accident Site
652785	75839	Children with Groceries
652786	397397	Herself
652787	67076	
652788	117927	
652789	181077	
652790	148447	
652790	261404	Elizabeth
652791	71887	Sola Myrrhis
652791	308607	Lucienne
652792	233359	Cristina
652793	29512	Mia
652794	5198	Mrs. Laura Tait
652794	12337	Emmy Grant
652794	43320	Frankie Gilroy Wilson
652794	45617	Adriana
652794	51757	Mrs. Durant
652794	59615	Diana Woodland
652794	61164	Belle Dorset
652794	71562	Valentine de Villefort
652794	72578	Bernice Willouby
652794	73690	Louise
652794	74216	Helen Taggart
652794	84140	Elena Varnoff
652794	84252	Janice Tyndall
652794	94609	Ann Hepburn
652794	96853	Mona Barrett
652794	120338	Lillian Grayson
652794	123681	Vicky Logan
652794	128443	Pearl
652794	130417	Grace Turner
652794	137505	Vicky Neilson
652794	139149	'Andy' Anderson
652794	140908	Terry Allen
652794	146140	Peggy Taylor
652794	147743	Herself
652794	147815	Showgirl
652794	148956	Judy Randall
652794	150913	Alice Tabor
652794	175210	Herself
652794	183633	Heather McHale
652794	186638	Evelyn Hibbard
652794	188462	Marge Phelps
652794	197020	Mrs. Eve Childers
652794	204157	Mrs. Alton Bennet
652794	212832	Louise Williams
652794	215750	Linda Parker
652794	220123	Muriel Webster
652794	220911	Vicki Martin
652794	221068	Mrs. Polly Peabody
652794	232002	Dr. Lynne Harper
652794	256579	Cameo Appearance
652794	257527	Madge Brenner
652794	286943	Kitty Tracy
652794	289236	Auriol Marsden
652794	306810	Joan Martin
652794	316273	Nettie
652794	317411	
652794	326814	Helen Sheldon McGowan
652794	331319	Heloise Casey
652794	331384	Molly
652794	331551	Millicent Wells
652794	331756	Thelma Black
652794	347597	Gen Rand
652794	363892	Mary Mallory
652794	366361	Mary Tomasello
652794	367500	Irene Donovan
652794	367814	Doris Worthing
652794	391946	Aunt Meg
652794	411819	Irene Forsythe #1 (1964-1965)
652795	389721	Herself (Series 2) (2004)
652796	23927	Herself - Audience member
652797	384502	Regular
652797	385096	Herself (1962-1963)
652798	184055	
652798	225769	
652799	7549	
652799	8245	La mère de Winnie
652799	13109	
652799	20378	La tenancière de l'hôtel d'Os
652799	24898	
652799	51392	La concierge
652799	58760	
652799	62976	
652799	65729	Honorine
652799	68401	Maman Robineau
652799	69761	
652799	73165	La concierge
652799	84628	Dame Julie
652799	84651	La logeuse
652799	86424	
652799	91973	La vieille dame
652799	94314	
652799	99362	
652799	102915	
652799	114786	La grand-mère de Nénesse
652799	120403	Madame Duclos
652799	124397	La mère de Gaspard
652799	134584	La concierge d'Irénée
652799	160548	Denise Morzini
652799	164160	Grandmother
652799	167195	Old lady
652799	169660	Béatrice, la directrice du co
652799	170112	
652799	192228	Woman in Metro Station
652799	202746	La concierge
652799	208827	Concierge
652799	219606	Vittel's aunt
652799	229032	La grand-mère
652799	234783	Mme Desmartines
652799	236539	
652799	237653	Mme Parrot
652799	240098	
652799	243345	Lydie, la vieille folle
652799	248988	Bit part
652799	261845	Louise Tupin
652799	265216	
652799	268407	Marie
652799	280551	
652799	282298	Blanche
652799	286042	La grand-mère d'Alexandre
652799	307495	Madame Holle
652799	322355	The aunt
652799	329863	La mère de Themroc
652799	340133	Une ménagère
652799	345109	
652799	345342	Mme Lasblaise
652799	351717	la voisine attentionnee
652799	354911	
652799	377977	Mother Mousseau
652799	377987	Mado
652799	389005	
652799	391620	Angélique
652799	391931	Berthe
652799	395620	La vieille dame (segment "Ray
652799	396369	Armandine
652799	398033	La mère Bordier (1973-1975)
652799	401939	
652799	403557	La Fipart (1964)
652799	408662	
652799	412165	Mme Louarn (segment "Gros cal
652800	1034	Mexico
652801	23799	Catherine
652801	255490	La femme du fonctionnaire
652801	345400	Robine
652801	353301	
652802	347194	Herself
652803	198642	La copine d'été de Ludo
652804	403254	Marielle Landry (11 ans)
652806	120674	Mme Moure
652806	148686	La collègue
652806	157325	Mme Jeanne
652806	208830	Assistante sociale
652806	263620	Mère Rivière
652806	276538	L'avocate/Lawyer
652806	284222	
652808	86826	Chica (segment "Cine de Barri
652808	250483	Julia
652809	60502	
652810	23865	Maria
652810	346520	L'ouvreuse
652811	92899	
652812	312098	
652813	395667	Karin Atter
652813	409613	Frau Kurz
652814	89043	Annebell
652814	116070	Voice of Evelyn
652814	145483	
652814	180998	
652814	182864	Ulla
652814	226264	Inge
652814	230234	Mrs. Ann
652814	272796	TRAV-Vorzimmerdame
652814	334630	Voice of Alice Davis
652814	350088	Luise Keibl
652815	23996	Hafsa
652815	334620	Hafsa
652816	180890	Stephanie
652817	126319	Nana at 5
652818	106205	Hospital Room Neighbour's Wif
652818	129247	
652818	292691	Mathilde
652819	189997	Camus Reader
652819	350488	Woman #1 on the Street
652819	369911	
652820	64665	Jenny
652820	249814	Mysterious girl
652821	842	Marie
652821	110772	Gabi
652821	144139	Carla Thelen
652821	175287	Helen
652821	177183	Anke Carstens
652821	231628	Roberta
652821	259451	Andrea
652821	281666	Petra Schäfer
652821	281745	
652821	295397	(segment "Gluttony")
652821	376362	Verena Stein
652821	384368	Gisela
652821	389360	Charlotte Reuter
652823	138907	Telekomm Assistentin
652823	361039	Charly
652824	393845	Herself (Judge)
652825	126869	
652826	64665	Maria
652826	95128	Augustine
652826	120405	Rose
652826	225124	
652827	338935	
652828	387387	Police officer
652829	47122	Herself
652830	33526	Little Belle/Stassie
652831	17941	Woman at Polo Club
652832	134995	Jasmin
652833	174279	
652834	367083	Girl in Avanti
652835	252825	Researcher
652837	101	Stella
652837	101960	Maria Sebach
652837	119131	
652837	122553	Claudia
652837	144160	Lilo
652837	147507	Rosa
652837	167140	Ruth Keller
652837	254369	Christine Grasser
652837	259470	Maja Grabow
652837	281989	Helene Feldmann (jung)
652837	343663	
652837	346924	Maria Johler
652837	352259	Wilhelmine Nestroy
652837	376313	Iris Winkler
652838	39101	
652839	14386	Frida Seta
652839	16950	Tchouk Tchouk Nougat
652839	91138	
652839	159482	
652839	171131	Christine
652839	217023	Olga, Picasso's wife
652839	311784	Herself
652839	311785	Herself (Model)
652839	353499	Herself (Model)
652839	388613	Herself - Assistant (1998)
652840	122468	
652841	380713	Jennifer Munson #3 (1995-1999
652842	396757	Brunhild
652842	401355	Jana
652843	191426	
652844	274200	Bank Teller 2
652845	86478	Night Club Patron
652846	158784	Party Guest
652847	260950	
652848	14073	Herself
652849	225261	
652850	115974	Maria Klamm, Lehrerin
652850	365018	
652851	113516	
652852	292388	Sabine
652853	47847	Lisbeth
652853	259535	
652854	388053	
652855	308832	
652856	53959	
652857	115224	Britta (jung)
652857	378743	Vera
652857	380904	Miriam (segment "Mimi") Pauly
652857	408718	Various Chrarcters
652858	225192	Jule
652859	95140	
652860	333846	
652860	359637	
652861	86972	Tessa Kurtz
652861	260414	Patrizia Schartl
652861	338468	Frl. Trixi
652861	376011	Stella Seeberg
652862	35281	Paula Klaw
652863	296991	Suz
652864	314845	
652865	399531	Billie Slater
652866	178461	
652867	205790	
652868	156272	Åsa
652869	351797	Kontordame
652870	38939	
652870	160253	Katrin
652870	184642	
652870	207933	
652870	214866	
652870	216248	
652870	226334	
652870	248399	Ruth Willmer
652870	290460	
652870	347616	
652870	361445	
652870	361522	Rita
652871	364300	Herself
652872	382838	Louise Mitchell (1989-1990)
652873	40100	Cinder James
652873	56871	Candy
652873	87391	Carrie
652873	97273	Laura
652873	142249	Jesse M.
652873	142950	Liquor Store Girl #2
652873	257296	Friend at Leo's Party
652873	263557	Elizabeth Bennet
652873	330701	Jessie
652873	335258	Kimberly
652873	356051	Alexa Meyer
652873	406952	Caitlin Richards Deschanel #2
652874	40199	Bar patron
652875	252138	Mrs. Arne
652875	409840	Mrs. Fry
652876	164658	Jacqueline
652877	277479	Jackie
652878	117755	
652879	381215	Host (2003)
652879	394017	Verónica
652879	401881	Herself (Finalist)
652880	389151	Herself - Environmental Manag
652881	80174	Pascal's wife
652881	96050	
652881	133005	
652881	172691	Romy
652881	216434	Elodie
652881	249208	Elsa
652881	324517	Marguerite
652881	345056	La jeune voisine
652882	61440	Marion
652882	86436	La sopine du serveur
652882	116358	Lucie
652883	23757	Nadège
652883	43999	Karen
652883	51424	Valérie
652883	66214	L'avocate de Myriam
652883	99205	Various characters
652883	111701	Marie-Jo
652883	254123	Patricia
652883	384755	Caroline de la Louvière
652884	34903	Herself
652884	70881	Herself
652884	70882	Herself
652884	77215	Wendy Walker
652884	133412	Herself
652884	250448	Helper in Old Age Home
652884	360247	Herself/Audience Member
652884	385020	Hayley Patterson/Cropper (199
652884	387147	Rose Turnbull
652884	395978	Presenter (2001-2002)
652885	394663	Elita, The Cavern Elf (1991-1
652886	8878	
652886	17285	
652886	90974	
652886	90975	
652886	102426	
652886	193219	
652886	199339	
652886	243457	
652886	261637	
652886	296533	
652886	301356	Marguerite Gauthier
652887	282104	Stammgast und Personal Rossin
652890	306421	So Fine Girl
652891	232280	Angel
652892	72104	Cover Girl: Cosmopolitan
652893	114145	Passerby #1
652896	8655	
652897	2656	
652897	31715	Maura
652897	51203	Additional Voices
652897	107002	Background Voice
652897	109856	
652897	127094	Additional Voices
652897	127730	Wanda
652897	165976	Additional Voices
652897	190345	
652897	211439	Voice
652897	226939	Nurse #2
652897	232425	Additional Voices
652897	233834	Doris
652897	245699	Adele Burbridge
652897	313548	
652897	326743	Science teacher
652897	354884	Effie
652897	396866	Various Roles (1980-1981)
652898	32565	Wife
652898	48697	Audra
652898	163717	Caterina
652898	384397	Janet Darling
652899	321712	
652900	26471	Margie Clinger
652900	186697	
652900	292138	Susan
652901	166406	
652902	364885	Lu
652903	22996	Helen Mathews as a Girl
652904	409419	Guiomarita Penteado
652905	347641	
652905	365785	Reinhilde
652906	259572	
652906	376419	
652907	129580	
652907	363442	Rachel
652908	33179	Featured Character Voice
652908	61812	Diner Patron
652908	101081	Reporter #2
652908	153204	Nursing Home Nun
652909	176950	Isabel
652909	223905	
652910	1783	
652910	5801	
652910	100801	Sarah Brooks
652910	203263	
652910	278757	Cathy Santoni
652911	315923	Second little girl
652912	388065	Young Lola
652912	397540	
652913	97727	Older Woman/TV
652914	276814	Herself
652915	6936	
652915	93784	
652915	102837	(segment "Indulgence: The Spa
652915	295614	Meg
652915	326143	Candy
652916	85990	Herself (pianist)
652916	191511	Herself (pianist)
652916	224500	Herself
652917	57929	Sergei's Salsa Partner
652917	305571	Young American Miss
652918	302329	Old Town Girl
652919	93455	Isolde
652919	98625	
652919	197846	
652919	222467	Daggi
652920	31856	Shada
652920	37091	Sandy
652920	100711	Cave Nug
652920	107159	Cat Nelson
652920	124184	
652920	219541	Sonya Blade
652920	231504	Andrea Von Strucker/'Viper'
652920	345742	Kate
652920	401147	Lt. Alexandra 'Ice Jensen (19
652921	278647	Gia
652922	16701	Diana
652922	93558	Elizabeth Hand
652922	331732	Gloria
652922	362379	Dianne
652922	392545	Louise Hollander
652923	293227	The Girl
652924	62916	Mary
652925	137975	Salvation army soldier
652925	174201	Woman in the audience
652925	343701	Patient
652926	366683	French Maid
652926	390003	Additional Voices
652926	390004	Additional Voices
652927	247344	Show Guest
652927	266293	
652928	314471	Frau Hefte
652929	114219	Jean
652929	289791	Natasha
652929	363560	Minnie
652930	92957	Mrs. Rutledge
652931	355028	The Academy's Blessed 'Virgin
652932	290703	Singer 1
652933	388947	Penny
652934	19759	La jeune fille au pair
652935	223340	Women in L.A.
652936	115440	Mary
652936	339973	Brangäne
652937	97101	Cratchitt Daughter
652938	259489	
652938	259510	
652938	376034	Tante Meta
652939	134819	
652940	387262	Mikaela (segments 2, 3, 6, 7)
652940	388894	Nadja (episodes 1, 2, 3, 7)
652941	126530	Renee
652942	259554	
652942	325819	
652942	361368	Sigrid
652944	243287	
652944	380882	Frau Moeller (1996-)
652944	395667	Elisabeth Dressler
652945	194977	Smokey Jeanne
652945	393700	Velvet
652946	207828	Hortensia
652947	333257	Airport Receptionist
652948	405960	Sally Tate (1985)
652949	390213	Herself - Chef (2001)
652950	16811	
652950	35296	
652950	142024	
652950	209921	
652950	293239	
652951	140217	Romy
652951	164892	Tümai
652951	177150	Beatrice
652951	186897	Jenni
652951	189711	
652951	267331	Britta Lässler
652951	301036	Caroline
652952	301992	
652953	75936	
652954	70631	
652954	73183	Elisabeth
652954	94353	Girl in Love
652954	100485	
652954	112821	Virginia Rosaert
652954	227289	Nana
652954	245961	
652954	254009	
652954	254124	Karen
652954	319825	
652954	333719	L'institutrice
652954	346798	Catherine Ferand
652954	373342	
652955	28793	
652955	349412	Jutta
652956	367792	
652957	108207	Une secrétaire
652958	29706	Clothilde
652959	35879	Pavla
652960	350833	
652961	180498	Kotetsu, Lynn Suzuki
652962	248008	Sally
652963	130718	Alina
652964	90564	
652964	139264	
652964	198643	Kim Ling-Tze
652964	210963	Wai Heung
652964	303395	Cheung Yung's Producer
652965	82541	Prim & Proper Girl #1
652965	87896	Mourner #4
652965	117636	Mary Pickford
652966	64824	Bunny, Dancer, Fan
652966	285922	Ri Kohran
652966	375765	Dolores
652967	165569	Herself
652968	230893	
652969	80508	Helen's sister
652971	270910	Chorus Dancer
652972	347069	Young nun
652973	186450	
652974	283006	Pick-up Girl
652974	366138	Lt. Cmdr. Aurora Finley
652975	131258	Nurse #2
652976	332050	Herself
652977	358593	Carlene Carter
652978	294134	Waitress
652979	11900	
652979	12450	Fuerstin Wolkonska (Princess 
652979	12568	Emilie Kramer
652979	12846	Corinna
652979	20348	
652979	24054	
652979	24083	
652979	24084	Ulrike Möller
652979	40399	
652979	41054	Illustrierte Ilse
652979	46914	Aunt Anna
652979	70760	Jenny Treibel
652979	103144	
652979	107733	Direktrice Fräulein Bomst
652979	107817	
652979	119169	
652979	119254	Oberst von Brugg
652979	120133	
652979	120998	
652979	124994	Lilly seine Frau
652979	125087	Laura
652979	126352	Ahavzi
652979	126380	Schauspielerin
652979	131124	
652979	134777	
652979	134983	
652979	147146	
652979	147518	Generalin von Patzewirt
652979	155478	
652979	158568	
652979	162446	
652979	165116	
652979	169027	Madame Dubouche
652979	171489	Fränze
652979	183641	Lady Mereston
652979	185794	
652979	199398	Elyane's mother
652979	204660	
652979	209987	Director of a Modesalon
652979	225207	Meta Pohlmann
652979	225257	Lola
652979	226243	Madame Alexandra
652979	226289	Frau Steinhauer
652979	226335	
652979	226409	
652979	239018	
652979	249264	
652979	269386	Grand Duchess Emilie
652979	270816	Mother Vida
652979	272780	Adelgunde
652979	290473	Frau Miefke
652979	290803	Madame
652979	293523	Emmi Gärtner
652979	303720	Frau Wiedehopf
652979	305433	
652979	308829	
652979	317252	
652979	317660	Yvonne
652979	333643	
652979	344745	Therese
652979	347771	
652979	348085	
652979	350657	
652979	356849	Auguste, Mädchen für alles
652979	361050	Frau Moll
652979	375086	Zipra
652979	376384	
652980	228238	Herself
652981	132998	Madame Courtois
652981	205992	
652981	225489	
652981	248940	
652981	268405	
652981	272288	
652982	304753	Woman at Bank
652983	276857	Becky
652984	292461	The redhead
652985	163932	Bonnie Shane
652986	203893	Bess Clegg
652986	365073	
652987	295461	Nurse
652989	211733	Victoria's Friend
652990	211976	Herself
652991	165976	Mrs. Ferguson
652992	211976	Herself
652993	52016	Herself
652994	283549	Alicia
652995	267476	Sandy
652996	145312	Middle Jackie
652997	24793	Jilly
652998	337404	State Capitol Reporter #1
652999	398410	Rebecca (199?-199?)
653000	154893	Lucille
653001	235878	Florence
653002	118082	
653002	354742	Hans søster
653003	5201	Nancy Klein
653003	16127	Janet
653003	69662	Janet's Narration
653003	73900	Liz
653003	233914	Cheryl Wheeler
653003	347350	
653003	382380	Bonnie Carroll (1992-1993)
653003	389858	Veronica Wilding Barrett (199
653003	395023	Corrine Hammond-Becker (1989-
653003	402275	Elizabeth Walters
653003	409618	Ann Madison (1989)
653004	87208	
653005	189720	
653005	223455	
653005	259623	Anni Hempel
653005	365027	
653006	279125	
653007	139156	Sophie
653008	72504	
653008	223713	Courtyard Woman
653009	316177	Brandy Newman
653010	286286	
653011	244034	The Bikini Gang
653012	47844	
653012	77409	
653012	325381	Sosja Mallik
653012	354076	
653012	380905	
653013	121811	
653014	78218	Lisa Baumann
653015	377034	Cook
653017	13043	The Writer (end)
653017	28179	L'ouvrière
653017	65613	
653017	101805	
653017	106988	Phantom Train Customer
653017	113123	La dame du cirque
653017	261116	Concierge
653017	264525	Surveillante
653018	6591	La gouvernante
653019	33162	Beate
653019	126847	Lisei
653019	129741	
653019	175290	Gudrun von Woelk
653019	193482	Librarian
653019	238011	Romy Gordon
653019	259353	Hanna Mohr, guest researcher
653019	272743	Barfrau
653019	336510	Maria Albrecht
653019	345286	Renate
653019	392503	Lilo Diederich
653020	1123	Mrs. Moorman
653020	26226	Fritsie
653020	234044	Loes
653020	234879	Neighbour
653020	255629	Mevrouw Slieper
653020	329894	Mw. De Vries
653020	396689	
653020	407762	Joke Evergau-Treffers
653021	11911	Prison Guard
653022	84410	
653023	85860	Waitress
653024	129427	Christien Duprez
653024	178451	
653024	226292	
653024	281395	
653024	289831	Judith
653024	398923	Eefje
653024	400294	Eva Vink (1993)
653025	145349	
653025	169119	
653025	201420	Heidrun
653026	115690	Toet Flodder
653026	388930	Toet Flodder (#1)
653027	89943	
653028	43963	Herself
653029	352371	
653030	53937	Spike
653030	81321	Model #7
653031	125363	
653032	239222	Ariane
653033	248133	Libby
653034	59118	
653034	60030	
653034	135359	Une Versaillaise (segment "La
653034	241878	
653034	401030	Louise Schuffenecker
653034	409760	Josiane
653035	10110	
653036	157711	
653037	25246	La mère de Louis
653038	3107	Bridesmaid
653038	16943	Anger Management Receptionist
653038	17191	Shelly
653038	40202	Jojo Rider
653038	69619	Nicole
653038	124351	Maggie Tate
653038	126495	
653038	157576	Adrien Williams
653038	171270	
653038	177584	Mary Evanese
653038	193296	Alice Richards
653038	222194	Lorraine Kesher
653038	222308	Billie
653038	226777	Robin Eastman
653038	231078	Flapper
653038	242815	Christie
653038	252961	Jenny Kelley
653038	263359	Emily
653038	276335	Donna
653038	283434	Maxine
653038	305941	Penelope
653038	306720	Veronica Matthews
653038	322784	Katie
653038	329094	Tracy Larkspur
653038	340742	Nikki
653038	360914	Young woman
653039	27270	
653039	71877	Anne
653039	84667	
653039	169629	Jean
653039	245954	La secrétaire médicale
653039	278146	L'attachée de presse
653039	370043	L'hôtesse à l'aéroport
653039	388120	
653040	26470	Dame enceinte
653040	68784	Employée
653040	78403	Infirmière psychiatrique
653041	248410	Klant 2
653042	73950	Cab Passenger
653043	119677	
653044	476	Frau Dr. Diehlmann
653044	4788	Hella Schnappich
653044	15288	Loni
653044	31387	Charlotte Wille
653044	34347	
653044	40390	Elvira del Castros
653044	59559	
653044	81604	Fritzi
653044	90765	Mathilda
653044	91121	Marianne Schulze
653044	93433	Carlotta, Grit's Mother
653044	93502	Minna Wiese
653044	94490	Lola Violetta
653044	107959	
653044	110714	
653044	119242	Xanthippe
653044	119271	Mrs. Golling
653044	120370	Berth, Feldwebel vom Frauenko
653044	120930	Berta Schröder
653044	123947	
653044	125325	Mrs. Ogden
653044	129679	
653044	134778	Frau Hallersperg
653044	138456	Frau Gerstinger
653044	147518	Tante Susanne
653044	153096	Tante Mathilde
653044	155491	
653044	178549	Mother
653044	179777	Maud Leighton
653044	189448	
653044	189603	
653044	189688	
653044	197824	
653044	200842	
653044	209985	Nurse
653044	216295	
653044	223189	Cilly Mainsburg
653044	225165	Babett
653044	225720	Rosa Hagemann
653044	226334	
653044	226335	
653044	271857	Nannen
653044	272781	Frau Gollwitz
653044	279071	Frau Wille, Zirkus-Agentin
653044	285814	Hedi Prittwitz
653044	290121	
653044	290122	
653044	306406	Madame Sorel
653044	308829	
653044	329898	
653044	339252	Ernestine Wacker
653044	347575	Lola Rolfs
653044	348060	Diseuse
653044	361395	Miss Säuberlich
653044	361445	Christa's Mother
653044	365785	Cosima Schulze
653044	377333	
653045	308843	
653046	221436	Co-Host
653046	399407	Nina Schmeuser
653047	376163	Arthur
653048	32052	Miss West Virginia
653048	87223	Karate Nurse
653048	241662	Sexy Secretary
653049	328754	Liza-Lu
653050	283250	Female Officer
653051	235159	Lisa
653052	13875	American Tourist #2
653052	223918	Gossip Columnist
653052	299838	Party guest
653053	389087	Larissa Prins
653054	231129	Rose Black/club patron (segme
653055	53749	Valerie
653055	113814	Lira
653055	265893	Caitlin
653056	356230	Model
653057	82254	
653057	85582	
653057	96284	
653057	103500	
653057	148053	
653057	212484	
653057	233974	
653057	273014	
653057	307466	
653057	343612	
653057	353976	
653058	59151	Delano's Secretary
653058	209591	Florist
653059	160560	Trophy bride
653060	63192	Dorothea
653060	85850	Lady Castlemere
653060	96836	Mrs. Argonaut
653060	161170	Madge Pearson
653060	271262	Mrs. Phillips
653060	292295	Woman in Tea Shop
653060	387269	Miss. Craddock
653061	104887	
653062	104776	German entry (8th place)
653063	83574	Secretary
653063	198065	Sarel se Vrou
653064	296947	Emily Fargo
653064	390917	Mrs. Roland (Jenny's mother)
653064	393114	Herself
653064	402197	Sheila Brady (1985)
653064	408966	Carol
653065	363513	Nadine
653066	5875	Samantha
653066	74730	Bronwyn McChristie
653066	97203	Lara Ritchie
653066	214035	Tina
653066	316881	Kylie Hastings
653066	390917	X
653066	391869	Mikki Salter (1996)/Miranda P
653066	394394	Numerous characters
653066	397835	Ebony
653066	397836	Minon
653066	397912	Kat Fowler (episode 7-12) (19
653066	399948	Mera (1995-1997)
653066	406145	Kathy Morgan
653067	106666	Rosa
653068	360575	Herself
653069	394311	Letitia Baldridge
653070	268025	Rainbow
653070	359438	Zoe Foster
653071	102232	Susan Turner
653072	366402	Lara
653073	133592	Molly
653073	190101	Woman at Bus Stop
653073	236384	Interviewer
653073	257987	Young Woman
653073	288477	Elizabeth Yorke
653073	300553	Aunt Sarah
653073	411015	Michele Pugh
653074	4367	
653075	118393	Party Guest
653075	313459	Brea Tonnika
653075	316942	Lady of Odd couple
653075	319618	Lex's dance partner
653075	335277	Lady in Black Beauty chocolat
653075	364161	Ink and Paint Club Patron
653076	40025	Stewardess
653077	232349	Alcoholic woman
653078	403011	Presenter (2002-)
653079	216835	Herself
653080	98166	
653080	138844	Lady Yeldham
653080	239750	Miss Carruthers
653080	307738	Mrs. Garner
653080	310842	Lady Laura Bethel
653080	363544	Ruth, the housekeeper
653081	355205	Wallet Woman
653082	79478	Judy
653082	215837	Edith Blaiswick
653082	329522	Sales Lady
653082	375715	Jeannie Biladeau
653083	41795	Mrs. Bartlett
653083	86797	Florence
653083	154357	Mrs. Bell
653083	193765	'Bye Bye Blackbird' Sister
653083	231108	Maid
653084	1681	Herself
653084	2399	Herself
653084	7155	Thumbelina
653084	23973	Audrey Hepburn
653084	53323	Amanda Beckett
653084	57680	Herself
653084	62997	Emily
653084	69413	Katya Livingston
653084	77679	Herself
653084	82300	Princess Kyla
653084	84829	The Devil
653084	124160	Liz
653084	134572	Chrissy
653084	141412	Page Conners
653084	150802	Brooke Figler
653084	152718	Madellaine
653084	154309	Julie James
653084	154621	Julie James
653084	155872	Samantha
653084	161198	Herself
653084	192049	Heather Lofton
653084	200092	Erica
653084	221413	Herself
653084	221447	Host
653084	221482	Herself
653084	222361	Andrea
653084	231535	Herself
653084	288710	Herself/Various Characters
653084	294136	Host
653084	303226	Margaret
653084	317945	Cate
653084	318742	Herself
653084	326662	Herself
653084	326663	Herself - Presenter
653084	327307	Deb Freidman
653084	340225	Leah Jones
653084	340960	Alice Holbrook
653084	342156	Del Blaine
653084	352985	Herself
653084	364546	Perry Forman
653084	375843	Helen
653084	383084	Franny Byrd
653084	394406	Robin (1989-1991)
653084	397226	Cassidy McKenna (1994-1995)
653084	400921	Sarah Reeves (1995-1999)
653084	405044	Bernadette Moody (1992-1993)
653084	408270	Sarah Reeves Merrin
653084	410765	Herself
653085	387533	Alice Bates (1991-1993)
653086	293144	Human Glenda
653087	410898	Vanessa
653088	366761	Lenox School Band
653089	314157	Sister Claire
653090	192049	Consuela
653091	97364	Girl #1 in Coffee Shop
653092	18469	Ken Marinaris
653092	309470	Isabella Valentine (Ivy)
653092	313408	
653092	368725	Catherine
653093	289372	Featured Extra
653094	280621	Ms. Winthrop
653095	115062	Hawk Woman
653095	160636	Model
653096	249717	Ballerina
653097	307577	Violet Relph
653098	45213	Marsha Davis
653098	116248	Nanette
653098	223829	Felicia Adams (the blonde ups
653098	252426	Girl
653098	406077	Carol Karlyle
653099	379504	Herself (Customer Service Man
653100	405209	Dr. Lucy Rhodes (2001)
653101	316291	Woman
653101	318862	Escaping Woman
653102	44441	Kate
653102	52681	Receptionist
653102	222879	Mrs. Jones
653103	273271	Waitress in Restaurant
653104	124506	Janie
653104	218307	Betsy Balcombe
653104	255084	
653104	383363	Karen (The Wife of Bath)
653104	389147	Lucy Proek
653105	403047	Corrine
653106	142361	The Passives
653107	55683	Carol
653107	67998	
653107	105016	Audience Member/Herself
653107	138482	Phyllis
653107	174521	Kate (young)
653107	305036	Palatine
653107	380192	Herself (Series 4) (1988)
653107	381273	Jean (Series 1-4) (1999-2003)
653107	385020	Maureen Naylor/Holdsworth/Ell
653107	385301	Virginia Raven
653107	387533	Lesley Meredith (2004-)
653107	388895	Letty
653107	391882	Paula (Series 1-2) (1987-1988
653107	392687	Mary Braithwaite/Henshaw (Ser
653107	395978	Presenter (Series 6-) (2003-)
653107	396073	Nancy Holland
653107	396379	
653107	398738	Nellie Essex
653107	400035	May Skinner (Pilot) (1995)
653107	402753	Virginia Strong
653107	403970	Various Characters (Series 5-
653107	411255	Mrs. Pearman
653108	309581	Motion Picture Crew
653109	182993	Korean Store Owner
653109	185841	Tai Chi Partner
653110	75721	Additional Player
653111	331898	Sandra Curtis
653112	71843	
653112	96707	Meredith
653113	176256	Matt's Students
653114	357367	Monique
653115	56455	Janice
653115	109286	Pa'u Zotoh Zhaan
653115	109287	Pa'u Zotoh Zhaan
653115	109288	Zotoh Zhaan
653115	123418	Dr. Greta Davis
653115	192702	Rubavitch
653115	199209	Warrior Woman
653115	235012	The Girlfriend
653115	250607	Diane
653115	301289	Toni
653115	386648	Alison Mitchell
653115	387203	Jennifer St James (1989-90)
653115	388452	Pa'u Zotoh Zhaan (1999-2001)
653115	398642	Young Woman
653115	399130	Beth Travers (1986-1987)
653115	400646	Margeaux Hayes
653115	400806	Val Sterling (1994)
653115	402197	Leigh Templar (1984)
653115	408289	Jenny
653116	35894	
653116	108546	Leidster van vereniging
653116	112174	
653116	268151	
653116	311651	
653116	349600	Mevr. Van Woudenberg
653116	351162	
653116	394613	
653116	404425	Tante Greet
653117	33846	
653118	291993	Customer
653119	388046	Herself (Finalist #11)
653120	172919	Couple #3
653121	135352	Carmen
653121	187295	Lona
653121	199292	Big Red
653122	74199	Judy Bentley
653122	81750	Nancy Jason
653122	190464	Laurie
653122	332493	Nurse
653122	335724	
653123	180721	Anissimova
653123	194573	Putzfrau
653123	395987	Various Roles (episodes 1-5)
653124	194749	
653124	358564	Mrs. Belden
653125	98922	
653126	386905	Uschi Krause
653126	394134	
653126	396874	Babette von Dornhausen
653127	119433	
653127	121061	Helga
653127	361408	Andrea
653128	338981	Herself
653129	23110	Juliane Bresser
653129	91009	
653129	97480	Vanessa Wonderley
653129	106808	
653129	109557	Rosa
653129	121742	Bar Girl
653129	122552	
653129	124277	Lotti John
653129	125710	Freundin mit Zöpfen
653129	145601	Inge
653129	155392	
653129	166717	
653129	178878	Annette Söberlin
653129	189685	Asta von Hartensleben
653129	198430	
653129	204509	
653129	266007	Lisa K.
653129	290801	Greta
653129	325712	Thea
653129	343680	Sylvia Boose
653129	366263	Belle
653129	383171	Dolly
653129	384162	
653129	391022	
653129	392669	
653129	404488	Monika
653129	404498	
653129	411344	Jasmin Köhler
653130	361538	Child
653131	213559	
653132	35640	Josie
653132	330773	Girl in Mouse Costume
653132	395924	Sub-Officer Carole Webb (1996
653132	401307	Brenda Corrigan (Pilot) (1995
653132	405088	Connie Stephens
653133	384829	Host
653134	28874	
653134	45586	Waitress
653134	110548	Herself
653134	208282	Clarisse Bal
653134	382877	
653134	388531	Pascale Crucke-De Backer (199
653134	399052	Herself (2001)
653135	328844	Eurydice
653136	219181	High School Girl
653138	102521	Patricia
653138	175572	
653138	182754	
653138	186890	Helga
653138	312748	
653138	314558	Reiseleiterin
653138	317497	
653138	325836	
653138	397953	Trude Maiwald
653139	356754	
653140	88058	
653141	47277	Sue
653142	42189	Eleonor
653142	182101	Märta, Gun's Mother
653142	190795	Agnes
653142	198385	Cathos
653142	222445	
653142	259354	Dorthy
653142	310827	
653142	349573	Daisy Engman
653142	357764	Gunnel Larsson
653142	390854	Mamsell Marie
653142	398195	Aunt
653142	402881	Farmer's wife
653142	405618	Kristina
653142	405840	Grandma
653142	406866	The Mother
653143	294796	Invitée d'Alice
653144	269293	Emeraldas
653145	189233	Cole Child
653146	94978	Shamela Stuart
653146	337428	Platinum Sue
653146	400111	Sara (the bimbo)
653146	405088	Susan Withey
653147	389948	
653148	122216	
653149	211876	Josefina
653150	300146	Director "Lindy"
653151	35052	
653151	35095	Betty Stegmeier
653151	170124	Aufseherin
653151	225115	Anita
653151	254991	
653151	259450	Frau Seifert
653151	259461	Frau Auerbach
653151	259546	Frau König
653151	259617	Frau Sohr
653151	259666	
653151	259676	
653151	259691	
653151	298599	
653151	312068	Die Mechtern
653151	389958	Franziska
653152	8942	Frau mit Brille/Woman with Gl
653153	126040	Kowalski
653153	128657	Presenter/Spokesmodel
653153	143950	Nicola
653153	211530	Diana
653153	382386	Herself - Host/Reporter
653154	262805	Lily
653155	257075	Anne à 16 ans
653155	301402	Emilie
653155	395492	Vanessa
653156	189971	
653156	303635	
653156	303636	Sjimmie
653157	713	Tanja
653157	2917	Joggerin
653157	120046	
653157	126135	Meike
653157	259582	
653157	296096	
653157	308259	Kate
653157	376299	
653157	404224	Natalie Seiler
653158	189617	
653159	165618	Linda
653159	174698	Alida Brink
653160	20067	Madame Deluca
653161	321515	Featured Dancer
653162	338382	
653162	377365	
653163	91179	
653163	182743	
653163	406829	
653164	380454	Maria
653165	232798	Frau Peinemann
653166	24894	
653166	312015	
653167	358547	Tanga meisje
653169	302964	Tante Til
653169	312056	Marga
653169	357381	
653169	388292	Hansje/Tante Til/Oma Knots
653169	394634	Various parts
653169	406498	
653169	407179	Vera Metman
653170	357359	
653171	294796	Invitée d'Alice
653172	33395	Tribal dancer
653173	143202	First Girl
653173	297877	Penelope Stanford
653174	104936	Policewoman
653175	1398	Herself
653175	55758	Fulvia
653175	58544	Kay Hanna
653175	60269	Gabriela
653175	78059	Glynis, Lady Fell's Maid
653175	83020	Laura Wilton
653175	88856	Emerald
653175	113462	Receptionist
653175	115721	Elizabeth Matthews
653175	118537	Ellen March
653175	131506	Evelyn Wyckoff
653175	141216	Julie
653175	154745	Roy/Wendy
653175	183670	Dorothy Marlowe (beauty conte
653175	210618	Manon Brevard Marcel
653175	213014	Sylvia Giroux
653175	217759	Virginia de Leyva
653175	217764	Mother Julia
653175	232892	Alena
653175	240269	Carlotta
653175	254268	Anne
653175	263732	
653175	285117	Mrs. Raouf
653175	315493	Lisa Vernon
653175	328451	Neeve Donnelly
653175	336541	Anna Holt
653175	337369	Nicole Mercier
653175	348532	Kate
653175	352715	Tracey Lawrence
653175	354857	Cathie
653175	362436	Frieda Shelley
653176	84989	Silvia Settala
653177	11194	Mrs. Alton
653177	37995	Grandma
653177	115249	Ethel Broughton
653177	185422	Flo
653177	214873	Mrs. Comet
653177	215789	Edith Cross
653177	244801	Mrs. Kay
653177	285879	Sakharov's Secretary
653177	304804	Edith Paget
653177	313303	Old Woman
653177	339854	Penny Armstrong
653177	363846	Doe
653177	367299	Mrs. Penistan
653177	379706	Mrs. Alton, housekeeper (1990
653177	382612	Mrs Malone
653177	382838	Kitty Hilton (2000-2001)
653177	382851	Dolly (mother)
653177	385139	Martha
653177	387533	Phyllis Acaster (1978)
653177	388321	Sally Hart (1997)
653177	395317	Florence McGee
653177	400516	Woman in market
653177	410580	Midwife
653177	410961	Bella Seaton
653177	411011	Gran
653178	313166	Sally Bennett
653178	388802	Dilys (1988-1989)
653178	390422	Jessica Lovelock
653178	394663	Stiletta (1994)
653179	39984	Herself
653180	147566	Herself
653181	639	Mrs. Ethel Christie
653181	11560	Hilda Midway
653181	31100	WAF Cpl. Seymour
653181	34202	Emily
653181	62886	Frau Muckle
653181	96836	Mrs. Burrill
653181	114051	Audrey Holly
653181	120256	Esther Babcock
653181	126688	Mrs. Lamb
653181	127996	Mother Allegri
653181	222345	Nanny
653181	281172	The Nurse
653181	292417	Mrs. Sowerby
653181	312908	Nurse
653181	315444	Sister Teresa
653181	335675	Laura
653181	364417	Doctor Mason
653181	366657	Aunt Millie
653181	372787	Mrs. Elizabeth Ann Everest ak
653181	381753	Yvonne Armitage (Series 1) (1
653181	390951	Emily Shenley
653181	392445	Alice
653181	396140	Mrs. Mepstead
653181	399931	Molly
653181	403725	Muriel Root
653181	411532	Ellen Dean
653182	320310	Student 4
653182	382266	Ellie
653182	384097	Hannah
653182	384968	Kelly
653183	304965	The Waitress
653184	152584	TV Interviewer
653185	331306	Woman prisoner
653186	38446	
653187	315602	Petra
653188	134991	
653188	136208	
653189	78392	
653189	219332	
653189	225137	Irmgard Rechenberg, 'Boss'
653189	279039	Wang
653190	17605	Vivian Kuo
653190	59094	Conductrice camion P.A.S.T.T.
653190	139243	Miss Kim
653192	33690	Nan
653192	126022	Lavender
653192	137545	Margaret
653192	333439	X-Ray Assistant
653192	361474	Mrs. Bates
653193	26439	
653193	30071	
653193	32807	Marianne's mother
653193	37065	Betty, Hinkle's Secretary
653193	47311	
653193	47457	Gail Bowman
653193	49804	Mabel Smith
653193	52850	
653193	55462	
653193	56817	
653193	61306	
653193	62088	Sally Warren, Chemist
653193	91898	
653193	94162	Secretary
653193	108312	Ruth
653193	109412	The Boss's Daughter
653193	112242	
653193	115646	
653193	116540	
653193	117748	Telephone operator
653193	131522	The Mayor's Daughter
653193	143274	Dance Hall Girl
653193	145938	Mary Morgan
653193	148929	Blondie
653193	149095	
653193	162985	
653193	171267	
653193	192145	Mother
653193	196236	
653193	210738	Whispering nurse
653193	215769	Beatrice Braden
653193	232341	Violet Harris
653193	239045	
653193	278058	Dolores Brooks
653193	279730	
653193	280362	Mabel Smith
653193	288672	Pearl
653193	297385	Diane Avery
653193	305623	
653193	305624	Mabel Smith
653193	305625	Mabel Smith
653193	305626	
653193	305627	
653193	305628	Mabel Smith
653193	305629	
653193	305631	Mabel Smith
653193	305632	Mabel Smith
653193	305633	
653193	305634	
653193	305635	
653193	319225	Molly Mason
653193	326190	
653193	345813	
653193	354229	
653193	358989	Ruth
653193	362731	
653193	367931	
653194	2634	Flight Attendant #2
653194	37855	Jessie
653194	75366	Aphrodite's Assistant
653194	257683	Herself
653194	395811	Herself
653194	411464	Herself
653195	158602	Shiela
653196	389858	Jane Harland Dawson, R.N. (19
653197	73950	Youth Vendor
653198	53731	Party Girl
653199	115460	Candy Cox
653200	88767	Vera Jordan
653201	18751	Marjorie Farrell
653201	112348	Daisy Woodford
653201	162891	Piala
653201	360605	Peggy's roommate
653202	115646	
653203	97532	Russian Doctor
653203	286601	
653203	331925	
653204	52320	Bikini Girl
653205	1575	Herself
653205	402993	Herself/San Diego (2004)
653206	133636	Brian's Daughter
653207	265679	Female Reporter
653207	382711	Host
653207	389185	Host
653208	186812	
653209	46613	
653210	305082	Committee Member
653211	288748	Matron
653212	235790	Journalist #2
653212	259213	DI Christine Baker
653212	291529	Prison Officer #2
653212	368060	Shuffle Dancer
653212	382932	Tracey
653212	406464	Olicia Stagg
653213	309542	Sharon
653214	406636	Dolly
653216	116741	
653217	149448	Suzy
653218	138039	Machiko
653219	169193	Rape Victim
653220	118994	Charleen
653221	362080	
653222	277726	
653223	80646	
653224	212629	Spanish female gang member
653225	311523	Little Girl
653226	247492	Detective Jane Sikorski
653226	304947	
653226	394049	Ines Schimek
653228	314624	Herself
653229	81079	Rose
653230	62294	Girlfriend
653231	64949	Con de Mime 4
653232	229629	Administrator
653233	283489	Bespectacled #1
653233	398506	Lady
653234	342871	Cricketer
653235	318761	Edna Louise
653236	65796	Mrs. Williams
653236	163075	Seattle friend
653237	265758	Rachel
653238	251979	Herself
653239	134522	Mom (Karen Marks)
653239	215191	Karin
653239	249631	Party Guest
653239	254332	Megan MacKenzie
653239	404282	Flame Beaufort #2 (1991)
653240	158818	Sgt. Laverne Finterplay
653240	195769	Sarah
653240	210786	Pinch-Faced Woman at Detox Ce
653240	232248	Woman on bus
653240	321661	Nursery Nurse
653241	359848	Celeste
653242	32488	Girl
653242	130604	Martha
653242	252823	Young Carmela
653242	317904	Tabitha Neil
653244	347869	
653245	390099	Demonstrator
653246	351226	Soprano
653247	206856	Margo
653248	8092	Megan the Reporter
653248	16899	Pretty Elevator Woman
653248	27117	
653248	95786	Caryn
653248	163195	Janine Fontanta
653248	186063	Waitress
653248	310879	Trish
653248	382295	Det. Karen Gilliam (2003)
653249	190461	Secretary
653250	342871	Cricketer
653251	71548	Vampire
653252	127215	Kate
653252	161340	Herself
653252	185397	Rebecca
653252	208094	Millie Fresno
653252	213884	Connie
653252	293149	Judy
653252	321227	Chris Barnes
653252	326171	
653252	334278	Marcie
653252	351169	Julie
653252	366758	Linda Sullivan
653252	382419	Brooke Logan (1987) (temporar
653252	383385	Julie Clegg McCandless (1983-
653252	384366	Tess Wilder Partou Huston (19
653252	396123	Tess Wilder Partou Huston (19
653252	400236	Lindsay Farrell Rappaport Buc
653252	407916	Dr. Courtney Marshall (1980-1
653253	100133	Cheryl
653253	324552	Monique
653254	8218	Susan
653255	275784	Sally
653256	244831	
653257	319486	Thin Queen Bartender
653258	408864	Crystal
653259	40889	Kathleen
653260	323498	Student
653261	90357	Martha
653262	140162	Young Katie
653263	373216	Tillie
653264	332328	The Blonde
653265	391258	Herself (contestant)
653266	236834	
653266	325485	
653266	325651	Susanna
653266	325668	
653266	352048	Marion
653267	201444	Becky
653267	257271	Lady L.
653268	35356	Maizie Folette
653268	196163	
653268	229132	Elaine
653268	319262	Patricia O'Brien
653269	90984	Psychiatrist #2
653269	344534	Herself
653269	381312	Kristen
653270	201302	Additional Voices
653270	327967	
653271	391258	Herself
653272	216169	Beattie
653273	161170	2nd Mother
653273	406441	Hilda Barras
653274	400517	Shana (2000)
653275	203918	Political Aide
653277	188639	Louise
653277	254645	Molly Beckett
653277	348830	Sara
653278	16068	Nurse
653278	78058	
653279	333856	Steerage dancer
653279	359539	Judge Harriet Blanchard
653280	255827	Bit Part in Church Scene
653281	372332	Cindy
653282	5196	Mrs. Pratt
653282	5470	
653282	46215	Mrs. Terrain
653282	47191	Miss Tinker
653282	59456	Mrs. Duberly's maid
653282	69507	Mrs. Thompson
653282	81239	Schoolteacher
653282	94767	Lady Bullingham
653282	96117	Housekeeper
653282	105440	Mr. Flewitt's Secretary
653282	107504	City Woman
653282	138120	Miss Roberts
653282	145771	Woman
653282	151761	Miss Avery
653282	154793	Miss Hester Baring
653282	208076	Margery
653282	210514	Tempest Sidebottome
653282	210541	Woman on Waste Ground
653282	215154	Miss Hartnell
653282	219420	Stenographer
653282	222593	Miss Hartnell
653282	232297	Mrs. Mortimer
653282	242712	Sgt. Merrifield
653282	243160	Cissy
653282	243653	Second Older Woman
653282	254268	P.T. Instructress
653282	269652	Lady at National Gallery
653282	275445	Elderly sister
653282	285638	Little Girl's Mother
653282	299492	Aunt Joyce
653282	303696	Elderly Official
653282	305712	Miss Breen
653282	330547	Police Secretary
653282	348302	Lulu Good
653282	360469	Residents Assoc. Lady 1
653282	365560	Miss Coke
653282	365937	Mrs. Clinch
653282	380737	Miss Print
653282	385139	Miss Molpas
653282	395122	Mrs. Madge Howarth
653282	396760	Mrs. Mann
653282	398416	Joanna's aunt
653282	400108	Mrs. Sowerberry
653282	408091	Mrs. Ambrose
653283	99081	Fairy
653284	129226	Lady Armadale
653285	250449	Herself (sports star)
653286	32626	Talk Show Audience
653286	65973	Cinderella Mom
653286	163188	Patricia 'Patti' Blum Uris
653286	280135	Policewoman
653286	302737	Meg, Mother, Sara
653287	17191	Mrs. Mosk
653287	35233	Sable
653287	61643	Karen Barclay
653287	81299	Sally
653287	86751	Abigail
653287	98149	Ms. Lewis
653287	111796	Flo
653287	116952	Kristen
653287	124056	Jane Mortimer
653287	138775	Lisa Sage
653287	144430	Carol Stadler
653287	149712	Herself/Presenter
653287	164663	Ann Welles
653287	183944	Jane Algernon
653287	189807	Mary Parker
653287	190690	Dr. Amy Larkin
653287	195585	Annie
653287	205851	Marilyn Monroe
653287	251867	Carol Heath
653287	273084	Isabel Bradley
653287	274546	Julia Riordan
653287	283515	Laura Whittaker
653287	298108	Janet Pearson
653287	309960	Tina Boyer
653287	310444	
653287	312130	Angela Berk
653287	313396	Dr. Gillian Taylor
653287	319454	Herself ("Karen" - Child's Pl
653287	323307	Ella Frazier
653287	334278	Beth
653287	341847	Maggie
653287	378943	Annie Jackson-Camden
653287	381124	Dr. Emily Rappant
653287	383743	Herself
653287	404002	Dr. Faith Coleridge #3 (1976-
653287	409021	Amanda Tucker
653287	411247	Jeannie Barker
653288	170312	Singer
653289	209156	Channel 10 Reporter
653290	199540	Jackie
653291	119827	Reporter at Funeral
653291	311262	Nurse
653292	102581	Elizabeth's Mother
653292	105826	Mo Deeks
653292	233914	Marsha
653292	391500	Various
653293	124351	Redhead
653293	294524	Lou Ann
653294	69382	Steve's Bird
653295	120653	Aunt Viola
653297	58102	Sister of Charity
653298	64517	Beautiful Singer
653298	122686	Iona
653299	77203	Julie (Meals on Wheels volunt
653300	81620	Herself
653300	399018	Contestant (2004)
653301	201579	Wife #1
653302	185321	Miss Bates' Secretary
653302	276954	
653303	194062	Girl (4)
653303	278237	Mrs. Belkin's Daughter
653303	292531	Cynthia
653304	219030	Child in Commune
653306	291307	Victim On Wall/Extra
653307	391248	Tessa 'Tess' Mason (1998-1999
653308	187886	Artist
653308	207434	Jessie
653308	241551	Opera lovers on stage
653308	279737	Belleme's Servant I
653308	385299	Penny Banks
653309	81245	
653310	99075	Michelle
653310	240870	Herself
653311	3681	Herself
653311	3696	Herself (Daughter of Earl Mou
653311	395981	Herself - as Pamela Mountbatt
653312	358476	Violin Player
653313	57929	Nervous Mother
653313	281897	Myra Sue
653314	511	Mai's Mother
653314	20460	Additional Voices
653314	70362	Kid #1
653314	72237	Additional Voices
653315	128707	Receptionist
653315	234994	Customer
653316	22596	Montana Woman
653316	61627	
653316	95784	Jude
653316	184859	Truck Stop Waitress
653316	316171	Mental Institution Nurse
653316	321654	Ruth
653316	405153	Bookstore Lady (episode 3)
653317	207280	Judge
653318	63096	
653318	305968	
653318	309040	
653319	234226	Mother of the Bride
653320	10885	Balboa
653320	22701	Roberta Williams
653320	42677	Singer
653320	46147	Singer
653320	117188	Tanya
653320	240818	Cora Lee
653320	355212	Onscreen Talent
653320	400236	Jacara Principal (1997-1998)
653321	163569	Herself
653322	8181	
653322	26053	Verona Babbitt
653322	32654	Old Woman
653322	44544	
653322	46731	Passenger
653322	71790	
653322	73405	Minnie Zugg
653322	82055	Woman on bus
653322	91860	
653322	96849	Kit Lamson
653322	101764	Olicw Merley
653322	104326	Felice
653322	114163	Speeder
653322	127685	Hicks
653322	138682	
653322	159995	
653322	183373	Girl in Audience
653322	191152	Old Woman
653322	191784	Sophia Dawson
653322	192611	Sister
653322	196464	Simplicity
653322	206860	
653322	213080	Aggie
653322	228814	Girl in Sweatshop
653322	229512	Effie Harding
653322	234231	Pinky Moore
653322	239601	Waitress
653322	241416	Elsie Kelsey
653322	260228	Susie May Squoggs
653322	264775	
653322	275767	Mattie Hake
653322	278267	Undetermined Role
653322	331887	
653322	332112	Sally Hudnall
653322	334403	Mother
653322	367755	
653322	393964	Sister Ethel (1989-1990)
653323	116903	Colored Mammy
653324	165977	Hooker #2
653325	80793	Kyra Bennett
653325	87905	Emma Hauser
653325	105312	April
653325	211826	Sarah Chapel
653325	222194	Nicki Pelazza
653325	230948	Michele
653325	235201	Mrs. Hope
653325	281562	Samantha
653325	305109	Jesse
653325	342537	Penny
653326	337701	Penny
653327	129829	Female Boy Scout/Construction
653328	263230	Bo's Buddy #3
653329	224106	The Talent Show - Jump Rope
653330	138164	Mrs. Adams
653330	281515	Lucy
653331	213311	Hermia
653332	68218	Herself
653332	196572	Hooker
653332	245237	Comic
653332	368393	Herself
653333	216639	Ms. July - Basketball
653334	74000	Crude Oasis Bar Patron
653335	23447	Grocery Lady #2
653335	75562	Teacher
653335	87018	Cave Girl
653335	137689	Paramedic
653336	65628	Female Photographer
653336	117162	Teleprompter Operator, Awards
653336	121803	Waitress
653338	71127	Lisa
653338	80399	Cute Teen Girl
653338	105506	Locker Room Girl
653338	157698	Sunshine
653338	348611	Holt
653339	19991	Homeless Woman
653339	32243	
653339	33714	Kisha
653339	47773	Jane Williams
653339	97676	
653339	171094	Lena Brown
653339	262589	Teen
653340	158311	Leigh Cross
653340	191608	Jina
653340	403812	Lt. Carmen Ibanez
653341	177525	Chorus Girl
653342	115269	Women Coalation Diner Patron
653343	2470	Miss Jane Marple
653343	11947	Piano Customer
653343	21475	Barmaid
653343	22808	Miss Jane Marple
653343	30157	Mrs. Kent
653343	32984	
653343	42768	Miss Jane Marple
653343	50239	
653343	54882	Mrs. Codleyn
653343	55046	Miss Jane Marple
653343	55679	Mother
653343	55700	Mrs. Dukes
653343	55706	Mrs. Grubb
653343	55708	Sister
653343	55709	Matron
653343	55718	Mrs. May
653343	57722	Mrs. Haldane
653343	58017	Mrs. Whitweather
653343	58484	
653343	61564	Cook
653343	65757	Mrs. Trellis
653343	69421	Mrs. Radlett
653343	73707	
653343	75611	Harry's Landlady
653343	77623	
653343	79778	Grace
653343	80805	Mrs. Fenton
653343	88857	
653343	88883	Nurse
653343	88884	Mrs Groaker
653343	90398	Mrs. Pike
653343	92655	Mrs. Weston
653343	102155	Mrs. Carter
653343	106232	Mrs. West
653343	119582	Katie
653343	120235	Lady in Bookstore
653343	135618	Mrs. Read
653343	138844	Mrs. Bowels
653343	141683	Housewife
653343	142387	Hortense, the housekeeper
653343	144981	Mrs. Ellis
653343	145557	Mrs. Hawthorn
653343	145771	Phoebe
653343	149809	
653343	150798	Mrs. Hardcastle
653343	154581	Manx Hotel Manager
653343	154657	Landlady
653343	158182	Miss Gibbs
653343	163551	Mending Woman
653343	170571	Lady Emily Cranfield
653343	171310	Hubert's Mother
653343	177519	Duchess of Marlborough
653343	185390	Lucy's Mother
653343	186260	Aunt Florence
653343	190750	Katrina, school dustmaid
653343	194690	Pharmacist
653343	195589	Emmy
653343	199134	Mrs. Forster
653343	200112	Mrs. Stukely
653343	200443	Mrs Ward
653343	203484	Effie Brickman
653343	203561	Landlady
653343	206465	Mrs. Pearson
653343	214121	
653343	215154	Miss Jane Marple
653343	220638	Miss Jane Marple
653343	221234	Landlady
653343	222593	Miss Jane Marple
653343	222681	Miss Jane Marple
653343	222753	Mrs. Kidder
653343	229728	Miss Jane Marple
653343	233622	Mme. Omskaya
653343	233649	Cook
653343	234033	Sister Duckworth
653343	236887	Mrs. Wood
653343	241628	Mrs. Gibbons
653343	257987	Saleswoman
653343	258550	Miss Jane Marple
653343	260868	Rosalie Watchett
653343	271362	Mrs. Bostwick
653343	271612	
653343	282375	Station Announcer
653343	291807	Scribe
653343	292246	Ellen
653343	295298	Mrs. Emily Georgina Peckett
653343	302128	Barmaid
653343	304804	Miss Jane Marple
653343	324029	Waitress
653343	324236	Widow
653343	329692	Mrs. Sprout
653343	330154	Miss Jane Marple
653343	330638	Miss Dobson
653343	330903	Miss Johnson
653343	333346	Miss Edinger
653343	333683	
653343	334159	Pub Landlady
653343	334298	Herself
653343	340220	Ada
653343	340511	Mabel
653343	346938	
653343	348532	Rosemary
653343	350114	Mrs. Perkins
653343	362204	Polly Ann
653343	362472	Various Characters
653343	364556	Mrs. Rivington
653343	364731	Aunt Agatha
653343	364850	Burroughs
653343	367456	Manager's Wife
653343	370585	Mrs. Moody
653343	381087	Mrs. Pugsley
653343	381308	Mrs. Varden
653343	390321	Mrs. Morrow
653343	390573	Miss Havisham
653343	400524	Mrs. Peace (1963-1966)
653343	401827	Lady Harriet
653343	401962	Madame Drosdov
653343	403852	Miss. Plimm
653343	409235	
653343	410935	Mrs. Chambers (1973)
653344	267486	Janine
653344	378811	Natasha
653345	134387	Wendy
653346	56967	Mrs. Alley
653347	386342	Presenter (????-????)
653348	334085	School Girl
653349	334085	School Girl
653350	73345	Juror Carson
653350	141299	Lois
653350	162389	Nurse
653351	216406	French Photographer's Girlfri
653352	226794	
653353	317758	Dancer
653354	103228	Farmer's Wife
653355	125942	Yuu Himehagi
653355	394419	Allenby Biazury
653355	394428	Miniera Kattan
653355	401287	Nancy
653355	407839	Eriya
653356	31544	Sumire
653356	127783	Iselle
653356	133113	Feena
653356	147326	Yukari Takamura
653356	161704	Kikyu
653356	161706	Kikyou
653356	176532	Hari Makibi
653356	181713	Sayaka
653356	202807	Haruka Mano
653356	226482	Jean
653356	272210	Akane Tendô
653356	272211	Akane Tendô
653356	272212	Akane Tendô
653356	272213	Akane Tendo
653356	288138	Stephanie
653356	311344	Miss China
653356	319374	Sahari (Gaiarth)
653356	322417	Sahari
653356	334886	Riko Hidaka (Shinesman Salmon
653356	335380	Satsuki
653356	335856	Noriko Takaya
653356	336577	Bubulina
653356	373390	Noriko
653356	379520	Shiine
653356	380318	Constance Bonacieux
653356	384225	Musica
653356	389570	Jean (1990-1991)
653356	392964	Kikyou
653356	397346	Ms. Mari/Mariko-sensei, Shury
653356	401116	Peter Pan
653356	402863	Akane Tendo
653356	403597	Mariko-sensei & Yurkio-sensei
653356	403966	Sôjirô Seta
653356	405175	Mitsuko Shimizu
653356	405278	Tokiko Chida
653356	408634	Minami Asakura
653357	159829	Miko Bido
653357	159830	Miko Bido
653357	159838	Miko Bido
653358	9435	Otami
653358	15303	Takeko Nakamura
653358	43064	Tamae
653358	127858	
653358	169694	Yugiku Yoshiya
653358	173376	Whore
653358	216501	
653358	222517	
653358	227436	
653358	230139	Yoshiko
653358	233225	Hatsue Yamazaki
653358	242172	Yuki Kawakami
653358	242179	Utako Ito
653358	288064	Ine Yamazawa
653358	299088	
653358	300471	Somefuku
653358	359835	Otoshi
653358	371879	Hiroko Sugiyama
653358	371996	Oyura
653358	375580	Shrine maiden
653359	167549	Toki Yasugawa
653359	261211	
653359	286847	
653360	83454	Alicia
653361	217011	Modesta
653362	48335	Lucía
653362	221756	Laura
653362	268277	Rubia
653362	341780	María
653362	386143	Host
653362	395814	Estela
653362	397532	Hostess
653362	399706	Host (1999-2000)
653363	400667	Liz (2001-)
653364	381861	Cristina
653364	396333	Lourdes
653364	408562	
653365	70865	Prostituta
653365	401634	
653366	148088	Anciana 3
653367	1380	
653367	24206	Fidela
653367	74832	
653367	99668	Vagabunda
653367	118686	Nun
653367	193052	Pilar
653367	207602	Tata Angel
653367	216303	Madre de Rosa
653367	236026	Madre Arturo
653367	251580	Vecina B
653367	333287	Sebastiana
653367	348936	
653367	349847	Tia Ignacia
653367	353180	
653367	353572	Suegra
653367	387692	Doña Pepita
653367	399659	Grandmother
653368	13137	
653368	94591	
653368	152596	
653368	193190	
653368	249768	
653368	273113	
653369	225051	Sirvienta
653370	215510	
653370	281787	
653370	283051	Trini
653371	247849	La Mujer
653372	20094	
653372	70682	
653372	100769	
653372	124586	
653372	205995	
653372	222397	
653372	295171	Ana Veronesi
653373	212624	Mother
653374	214223	
653374	283254	
653375	293362	Encarnación Sancho
653376	21583	Sandra
653376	231283	
653376	399084	Berenice
653376	399522	Angeles
653377	56351	Hermana Martha
653377	59259	
653377	169764	
653377	196741	
653377	206921	
653377	253779	Mr. Castel
653377	266508	
653377	289080	
653377	294352	
653377	309246	(segment "Cinco años de vida"
653377	353236	Amalia Nunca
653377	382946	Angélica
653378	20463	
653378	35005	
653378	53087	
653378	57466	
653378	64033	
653378	83139	
653378	169766	
653378	199969	
653378	207001	
653378	219416	
653378	225021	Blanca/Mónica
653378	243783	
653378	317713	
653378	339034	
653378	339179	
653378	343741	
653379	54802	
653380	51864	Stage Manager
653381	3326	
653381	5269	
653381	5443	
653381	6740	Margarita
653381	99323	
653381	104819	
653381	108135	
653381	108739	
653381	132671	
653381	132675	
653381	170048	
653381	190424	
653381	205140	
653381	233901	
653381	287848	Ester
653381	292747	
653381	298619	
653381	337102	La Perla
653381	351997	
653381	353654	
653381	356673	Olga
653381	357533	
653381	376844	
653381	378372	
653382	263854	
653383	212624	Police Doctor
653384	80278	
653384	308277	
653384	398526	Celina
653384	408720	Santina
653385	158462	Bélgica Adela 'Dedé' Mirabal 
653386	54850	
653386	78242	
653386	84024	
653386	88199	
653386	102661	
653386	140573	Meg
653387	51864	Bebo's Girlfriend
653387	232424	Trina
653387	244433	Dolores
653387	310639	Hooker
653388	15061	
653389	16273	Tamiko
653389	18675	Osei
653389	28121	Osome, the prostitute
653389	78335	Gin Ishido
653389	129915	Osono
653389	135952	
653389	138484	Sachiko Nishiyama
653389	167908	
653389	167910	
653389	168185	
653389	168877	Satsuki
653389	171745	
653389	173102	
653389	173491	Naoko
653389	176566	Yae Sugito
653389	176611	Tatsuko
653389	200762	Kaneko Nagai
653389	215380	Osamu's Mother
653389	223002	Orin
653389	232515	
653389	233121	Tome Matsuki
653389	233299	
653389	238778	
653389	239462	Asako
653389	242174	
653389	242196	
653389	242371	Ibaragi-dôji/Ibaraki-dôji
653389	287776	
653389	299337	Moyoko
653389	308506	Osai
653389	318563	Hanako Mihara
653389	334784	
653389	341284	
653389	358395	
653389	358411	
653390	76868	Dying patient's wife
653390	174895	Shinsyun Ku
653390	178417	Shizuko Ohnuki
653390	179400	
653390	214742	Mother
653390	226689	Michiko Kajimura
653390	229788	Tomiko
653390	232611	
653390	242176	Sawako
653390	271675	Yuka's stepmother
653390	299088	Osugi
653390	299405	
653390	349095	Shige Hidaka
653390	359353	Shika
653390	373226	Suwa
653390	373231	Haruko Kiura
653391	118823	
653392	165091	Shanti
653394	342118	Poliziotto
653394	411988	Ellen
653395	342118	Poliziotto Banca
653396	93621	
653397	399948	Sallyanne Taylor (1996)
653398	17098	
653398	167909	
653398	180046	
653398	181670	
653398	288191	
653398	296631	Mother Masa
653398	296632	
653398	296633	
653398	296634	
653398	296635	
653398	296636	
653398	296637	
653398	296638	
653398	296640	
653398	296644	
653398	372015	
653398	375597	
653398	375602	
653398	375604	
653398	375605	
653398	375606	
653398	375607	
653398	375608	
653398	375609	
653398	375611	
653398	375612	
653398	375614	
653399	74267	Temple yakuza
653400	288915	Venus the Body
653401	226875	Stripper
653401	317415	Burlesque Stripper
653402	145590	
653403	358478	Villager of Tullymore
653404	65102	Erika
653405	7703	Manci Szalkay
653405	16425	
653405	25752	Velencei szobalány
653405	34215	
653405	44219	Szobalány a hajón
653405	96433	Icu
653405	97963	Egy kedves szabadúszó
653405	97970	Munkásnõ
653405	102410	
653405	110574	
653405	110695	
653405	122230	Bosnyák Aranka, tanítónõ
653405	122613	Kató
653405	136582	A tanár unokahúga
653405	138973	Virágáruslány
653405	156091	
653405	172041	Annus
653405	182729	Gruber rokona
653405	200010	Cselédlány Dobokayí birtokán
653405	200056	
653405	205804	Szobalány
653405	248214	Vendég Ráczéknál
653405	255856	Hivatalnoknõ
653405	268428	
653405	270797	Török Vali,Bajor menyasszonya
653405	322093	Molnárék szobalánya
653405	322118	Lány a mosodából
653405	326302	Cselédlány
653405	334845	
653405	349047	Bébi
653405	350675	Boriska
653405	374157	Manci
653405	377786	
653405	377882	
653405	378276	Marianna,Kályék lánya
653405	378304	Paulette
653406	9250	
653406	43114	
653406	153688	
653406	350833	
653407	378812	(host)
653408	94978	Picknicker #1
653409	5899	Lisette
653409	19350	
653409	23771	Catherine
653409	24669	Maria
653409	45115	Nicole
653409	60964	Titchie
653409	69343	Mme Daniel
653409	71141	Marcelle
653409	76130	Death
653409	119383	Madame Mandor
653409	124824	Dany
653409	126083	Angélique
653409	148676	Mère de Rosalie/Rosalie's mot
653409	167217	
653409	175761	Dany
653409	193222	Mirandoline
653409	198639	Lilith
653409	201180	Herself - from 'La folle de C
653409	204124	Mathilde
653409	225372	La mère de Ronald
653409	236164	Dr. Chauveau
653409	241213	Grete et une ondine
653409	249275	Herself
653409	254077	Odile
653409	266375	Cathos
653409	280553	Juliette
653409	294894	Coraline
653409	336980	Régine
653409	346708	Pauline, soeur de Juliette
653409	353885	Josette
653409	377472	
653409	377901	Sylvie
653410	212615	
653411	28177	
653411	408151	Sabine Verbist (1999-2002)
653412	254621	Schoolgirl
653413	3966	Mrs. Zechlin
653413	15102	Monica Reed
653413	23108	Iris Wege
653413	38770	
653413	54898	Liane S.
653413	71433	
653413	108191	Peggy
653413	119182	Mara Weyland
653413	125163	
653413	125300	Erika/Barbara
653413	140271	
653413	162455	Fräulein Meise
653413	171571	
653413	216382	Astrid
653413	230227	
653413	317647	Helferin
653413	319649	Sabine Sasse
653413	325828	Gertrud
653413	364825	Ruth
653413	364902	Barbara
653413	365584	
653413	377365	Erika Bäumler
653413	387771	
653413	389948	
653413	389959	
653413	392509	Margot
653413	392637	
653413	393978	
653413	394832	
653413	398273	Hanne Zerfass
653413	398429	Ruth Wilde
653413	399503	
653413	402373	Cornelia Mettler
653413	402374	Cornelia Mettler
653413	405817	Frau Dr. Engelhardt
653413	406474	
653413	410777	Madeleine
653414	15888	Kronprinzessin Cäcilie
653414	24056	Helen Philips
653414	33107	Revue Star
653414	40399	
653414	84557	Herself
653414	84905	Cabaret Singer
653414	89469	
653414	93496	
653414	104732	German entry (4th place)
653414	104733	German entry (7th place)
653414	105522	
653414	119216	
653414	119255	Lola
653414	132871	Herself
653414	137639	Maria
653414	142094	Marion Peters
653414	144135	Die vier Marien
653414	147130	Sonja Martens
653414	147146	Lore
653414	157673	
653414	169027	Marina
653414	169845	Herself
653414	189551	
653414	189786	
653414	189833	Prinzessin Monika
653414	224078	Herself
653414	225663	Claudia Ahrends
653414	225718	
653414	226333	Singer
653414	229607	Germaine
653414	275039	
653414	275162	Anita
653414	286294	Verena
653414	290122	
653414	299373	
653414	312084	
653414	328977	
653414	343504	
653414	352599	Susi Dobermann
653414	374126	Frau Stöhr
653414	376272	Herself
653414	394346	Sybill Conway
653414	403458	
653414	404169	Gloria
653414	406848	
653414	411163	Baroness
653415	317507	Anna
653416	79340	Herself
653417	123523	Nanda
653417	172754	Nanda
653417	271921	Sujatha
653417	303342	
653417	370277	
653418	245675	Grandma Virgie
653419	223459	
653420	53329	Dancer
653420	209170	Dancer
653421	341913	L'infirmière
653422	164830	
653422	306406	
653423	324922	Chica 1ª
653424	290703	Carla
653424	409958	Carla Sophia von Lahnstein (2
653425	325780	
653426	104767	German entry (16th place)
653427	226413	Mao
653428	182368	
653429	114193	Eunice
653429	199144	
653430	190659	
653431	168866	Anni
653431	184789	Siru
653432	18899	
653433	211038	Leenu
653433	394576	Merrit
653434	174439	
653435	181709	Cheerleader
653436	171009	
653437	29556	Girl in Eliel's class
653438	213964	Milk Mart Clerk
653439	82551	Dancing Girl
653440	387247	Sylvia (1993)
653441	225732	
653442	321517	
653443	397346	Netto Hikari/Lan Hikari
653443	403597	Netto Hikari
653443	405275	Lin Haruka/Shô Ashikawa
653444	37479	Haruko
653444	168230	False Tokyo Rose
653445	2975	Gloria
653445	13162	Renata
653445	55937	Celia
653445	206217	
653445	318256	Maria, age 18
653445	387574	Celeste
653445	390127	Jovanka young
653446	19389	
653447	14934	
653447	91407	
653447	207591	
653447	279826	
653448	256499	Student #1
653449	275061	Otama
653450	233121	Kane
653450	233128	
653451	156215	Mami
653452	220954	Stacy
653453	178167	Young Woman
653454	137277	Hisami
653455	210185	Old Country Lady
653456	299620	
653457	71468	
653457	174940	
653458	373218	
653459	102464	Marimo
653460	244659	Akiko Koyama
653461	18673	Shizue Hirooka
653461	28129	Shige
653461	28911	
653461	61465	
653461	61469	
653461	63541	
653461	122535	Hama, Tokusuke's wife
653461	125684	Kobiden
653461	137128	
653461	137350	
653461	137360	Satoko, Ayako's mother
653461	150508	Yukiko, Toshihiko's mother
653461	156163	
653461	163835	Osawa
653461	168185	
653461	169696	Shinpei Nakayama
653461	174242	Maid
653461	175360	Fukiko, Fumie's mother
653461	177783	
653461	180516	Motoko, Nanny
653461	200545	Ichi
653461	233225	Otoyo
653461	239297	Yasuko's mother
653461	242173	Shizu
653461	242181	
653461	242188	
653461	242191	Schoolmaster
653461	273151	
653461	273152	
653461	283918	Nao Sugawara
653461	285613	Myokai, the Old Nun
653461	285616	Chiyoko Oshima
653461	288053	Oroku
653461	299331	Kino
653461	299337	
653461	300201	
653461	334930	Tomi Hirayama
653461	358123	
653461	358413	
653461	370235	Nobuko
653461	375635	Eiho, nun
653462	82855	Miku Imamura/Mega Pink
653462	153470	Miku Imamura/Mega Pink from M
653462	293501	Miku Imamura/Mega Pink
653462	384080	Juna Ariyoshi
653462	386040	Miku Imamura/Mega Pink
653463	9189	Yoneko Saiga, nurse
653463	9190	Yoneko Saiga, nurse
653463	375558	Yoneko Saiga, nurse
653464	382302	
653464	403411	
653465	302793	Jenny
653466	363129	
653467	21464	
653467	274725	Nurse's Mother
653467	363447	Little Bess
653468	148954	Janet Fay
653469	232788	Mrs. Hicks
653470	48935	Bunny Hole Waitress
653472	271212	
653473	329618	Wonder Woman
653474	310655	Grandma June
653475	314684	Stand-In
653476	5806	Townsperson
653477	5806	Townsperson
653478	304527	Girl With Braces
653479	196920	Grandma
653479	363550	Mary
653480	34116	Hill's Angel
653480	381661	Hill's Angel/Various Roles (1
653481	25530	
653481	92192	Customer #2
653481	102013	Vanderpark Nanny
653481	218180	Clarissa
653481	279693	Janice
653482	189473	Joyce
653483	116209	Stewardess
653484	20110	Mrs. John Corbin
653484	310650	
653484	361746	
653485	133788	Host
653486	39218	
653487	262614	Joanne McVea
653488	384725	Mum
653489	155077	Allison
653490	1378	Young Sophie
653490	2810	Nominee for Best Actress in a
653490	7169	Edith Wharton?
653490	25851	Ms. Cherry
653490	27137	Jessica Kennedy
653490	57163	Edwina Winters
653490	64393	Eilish
653490	109924	Klara
653490	120865	Eve
653490	142489	Julia Cotton
653490	142616	Julia Cotton
653490	150974	Mrs. Bry
653490	210812	
653490	221305	Mrs. Meyer
653490	292700	Maggie Hewitt
653490	305351	Lorna Maclean
653490	312767	Mistress Revels
653490	330377	Fiona
653490	348352	
653490	379398	Rachel Jordan
653490	384333	Christine Barlow
653490	385139	Catherine Bowers
653490	391521	Ann Wright
653490	402124	Kitty Bennet
653490	405361	Det. Supt. Harriet Farmer
653491	47974	
653492	158286	Cleopatra
653492	384725	Cleopatra
653493	10688	Goth Girl
653494	183871	Jill
653495	307928	Prisoner's Sister
653496	312363	Alma Sanders
653497	270971	Woman with Vickie (Cerdan fig
653498	118311	
653499	117345	
653500	280699	Honey
653501	356219	
653502	346479	Demoiselle
653503	253919	1st Twin
653504	222612	Miss Botsford's stand-in
653505	226929	Girl With Guitar
653506	294394	Additional Voices
653507	299738	Young Suzie
653508	262022	
653509	279352	Trophy Awarding #1
653510	11384	Jean
653510	223632	Linda
653512	113509	Emily
653513	350542	Jill
653514	65683	
653515	216803	Golden Girl
653515	245625	Girl in Subway
653516	224070	Musicians - Viola
653517	128152	Indian Squaw
653517	187951	Indian Weaver
653517	223953	Indian Woman
653517	235197	Alice
653517	271889	Annie, Connie's Maid
653517	301609	Indian Servant
653517	345860	Squaw
653518	86274	Hostage
653519	238225	Bill's girl
653521	384725	Little sis Terri
653522	237007	Cigarette Girl
653523	117345	
653524	195262	Assistant Coach
653525	158286	Yonah
653525	384725	Yonah
653526	158286	Zainam
653526	384725	Zainam
653527	5391	Dawn Able
653527	14157	Jane
653527	77985	Donna
653527	84941	
653527	208631	Beth
653527	301559	Joan
653527	301680	Sarah Quinn
653527	304568	Annie
653527	322606	Hostage
653527	389858	Arielle Ashton (1988-1989)
653528	214939	
653528	387533	Jean Hope (2003-)
653529	127128	Tracy
653530	279	Abby Wrigley
653530	5203	
653530	9089	Sara Gemmel
653530	24633	Dr. Katie Arlen
653530	28669	Jenny
653530	64944	Katharine Strachan
653530	74130	Alice
653530	91880	Peggy
653530	101418	Mary
653530	108331	Caroline Chandler
653530	108339	Liddie (19-38)
653530	120588	Herself/Elizabeth Weir
653530	162266	Lorraine Healey
653530	170831	Samantha 'Sammy' Woods
653530	210664	Kristen
653530	254872	Suzanna
653530	263387	Herself/Elizebeth Weir
653530	272727	Nancy
653530	313602	Dr. Elizabeth Weir, Ph.D
653530	327060	Beth Kittridge
653530	327061	Beth Kittridge
653530	327063	Beth Kittridge
653530	341999	Sheila Newlands
653530	363061	Allison Doherty
653530	367879	Gwen
653530	382240	
653530	384367	Katharine Strachan
653530	406419	Dr. Elizabeth Weir
653530	406621	Angela Carver
653531	100041	Surfer Girl
653531	117072	Malfi
653531	395091	Dolly
653532	292449	Herself - producer
653533	211516	Amanda McKinnon
653534	146333	Extra
653535	388860	Parade Model
653535	395091	Lesbian #2
653536	41422	Mayor's Wife
653538	99767	Miranda
653538	252889	Pajama Party Guest
653538	374568	Spectator #1
653539	280480	
653541	78947	Additional Voices
653542	262090	Hostage Girl
653543	224430	Stripper
653544	165272	Herself
653545	142360	
653545	166240	Bit Role
653545	248839	Party guest
653545	249026	Nurse
653545	364434	
653546	99330	Olive
653546	406414	Nicole
653547	26728	Judith Penfold
653548	78968	Receptionist
653548	223700	Second neighbour
653549	174621	Herself
653549	222880	Model 2
653549	378861	Herself
653550	80668	Diane
653550	320877	Mimi Mansfield
653551	380430	
653552	171251	
653553	24538	Ms. Keaton
653553	24549	Molly
653553	69804	The Clerk
653553	91768	Sylvie
653553	105113	Liquor Store Patron
653553	143074	FBI Agent
653553	148272	
653553	168307	Helen 'The Stripper'
653553	223896	Susan Hayes
653553	233521	Lisette
653553	266692	
653553	276946	Sara Cosgrave
653553	311247	Gillian
653553	317551	Cop #1
653553	336649	Nurse
653553	356998	Jack Flash Messenger
653553	391054	Kate Craigen
653553	401999	Raeanne Simpson
653554	312918	Veronica
653556	41213	Ruby
653557	159201	Jennifer Rand
653557	197225	Jane
653558	7196	A Fan
653558	115179	Denise
653558	305011	Jackie
653559	17577	The Maid
653559	23963	
653559	66152	Angela
653559	150571	Rachel
653559	160235	Sandra
653559	257673	Herself
653559	292596	Cara
653560	299487	Carer
653560	382838	Barbara Newton (2000)
653560	385020	Lynne (1990-1991)
653561	227926	Regina Howard
653562	44433	Woman from Phoenix
653563	196567	Cody
653564	328537	
653565	364048	1st Dyke
653566	320037	Bride
653567	253458	Women's Team Member
653568	372071	Lexie
653569	24328	
653570	197837	Ballerina
653571	100198	Ms. Green
653571	161721	Reporter
653571	238622	Tammy
653571	365868	Judge J.B. Carter
653572	7103	Anne
653572	23501	
653572	196370	Baldasaro Salesgirl
653573	199499	Studio singer
653574	246002	Nadja
653574	273898	
653574	308558	Bridesmaid #2
653575	158274	
653575	195540	Anne Winslow
653576	76567	
653577	70968	Servant
653577	82738	Matronly Woman
653577	90905	Mrs. Morton
653577	262741	Mrs. Hammond
653577	279106	Julia
653577	350115	Mrs. Perkins
653577	351876	Beryl
653577	379706	Mrs. Edna Hall, housekeeper (
653578	33267	
653579	63374	
653579	63375	
653579	197132	
653579	198710	Michiko
653579	217138	King Chef Show Host
653579	300043	Kudo
653579	358023	Grace
653580	25749	Tomo Takino
653580	381025	Tomo Takino
653580	381476	Artemis
653580	408351	Shiho Nagaoka
653580	408728	Ai-chan, Junko
653581	14399	Michiko Ueda
653581	32547	
653581	61451	
653581	138037	
653581	147357	Onao
653581	172113	Rin Jyoshima
653581	204376	Mitsuko Shido
653581	242134	Okichi
653581	244549	Wakana
653581	284366	Oshin
653581	297598	Shouko
653581	298872	Sumi Yamamoto/Atsuyoshi & Asa
653581	334864	Hiromi Kozue
653581	374104	Ohan
653581	386635	Yodo-gimi/Lady Yodo
653582	244564	Yoko
653583	101573	Ticket Clerk
653583	309202	Susie
653583	368414	Emi
653584	172531	Farmer's Daughter bought from
653584	233136	
653584	359611	Wada's daughter
653585	297671	Office Assistant
653586	9619	
653586	149933	Gabriella
653586	164237	Secretaria
653586	202162	Madre de Manuel
653586	299714	Maria
653586	326319	
653586	381329	Cristina (1983-1984)
653586	385877	Host
653586	386336	Carmen
653586	391445	
653586	404711	Mercedes Vega
653586	408982	Journalist
653587	136962	
653588	358663	Casino Trashy Woman
653589	232830	Quilt Party
653590	127581	
653591	61464	Makiko
653591	344119	Yoshie Ogawa
653592	70518	
653593	28118	Hibiki Takane
653593	31044	Ellis
653593	31046	Ellis
653593	31047	Ellis
653593	49934	Maria, the virtual Idol
653593	54203	Hibiki Takane
653593	79070	Cecil
653593	113338	Lisa Pacifist
653593	123113	Pony
653593	125241	Ai
653593	138135	Cyberdoll Sara
653593	175518	Saya
653593	209788	Pastel
653593	285921	Tsubaki Takamura
653593	286868	Rera
653593	380473	Masako
653593	381034	Naasha
653593	381785	Hinoki Sai
653593	391328	Hello Kitty
653593	391330	Hello Kitty (Japanese version
653593	392570	Female Teacher
653593	396503	Griel
653593	398074	Batch (Japanese version)
653593	398102	Rebecca/Shangora (Japanese du
653593	398464	Juli Bahana
653593	408351	Kotone Himekawa
653593	410444	Cacao (Japanese version)
653593	410739	Hanasaki Momoko/Wedding Peach
653593	411289	Yurika Dojima
653593	412285	Kyoko-sama (1975-1984)
653594	168356	Fukuko
653595	156113	
653595	359612	
653596	101564	Girl in the Oasis
653597	9190	Friend of Michiko
653597	375558	Friend of Michiko
653598	20625	Extra
653599	281382	Press conference reporter
653600	121867	Molly, Cook
653601	174346	Kanae Kageyama
653602	299000	
653603	392338	Naoko Kondoh
653604	367575	
653605	254714	
653605	327567	
653606	293569	
653607	18116	
653607	218907	
653608	35756	
653609	263794	WPC
653610	410692	
653611	174779	
653612	119888	Aida
653612	186665	Louisa
653613	34937	Michelle
653614	318808	English Saleslady
653614	365753	Policewoman
653614	401744	Mrs. Teague
653615	32389	Peasant's Daughter
653615	114606	Sarah Meredith
653615	143924	Sigrid
653615	155731	Sarah
653615	169398	Anne Prentiss (episode 'The N
653615	215450	
653615	235156	Sarah
653615	241260	Jennifer
653615	305082	Girl's Mother
653615	361155	Penny Bowers
653615	375936	Tsarina
653615	382239	Tamara Bancroft
653615	386821	Louise Hobson
653615	404196	Sarah Corby/Wilson
653615	406917	Frances Clyne
653616	94621	Dancer
653616	289113	Cheerleader
653616	290936	Dancer
653617	13790	
653618	20287	Dancer
653618	128889	Student
653618	195368	Bit Part
653618	220270	Show Girl
653618	255550	Ballerina
653618	280830	Chorine
653618	292191	Telephone Operator
653618	313076	Chorine
653619	389359	Annette (1996)
653620	30680	Opal
653621	130069	The CD-woman
653622	152844	Waiting Room Nurse
653622	174012	Lucy
653622	206433	Paula Gerrard
653622	234856	Ellie Thompson
653622	234982	Sylvia March
653622	266764	Roxana 'Roxy'
653622	284583	Rene Harris
653622	319602	1st Secretary
653622	321237	Gretchen Carlsen
653622	365183	Woman in Church
653622	380391	Janet Singleton #2 (1983)
653622	389923	Maria Reynolds
653622	392571	Jean Dixon
653622	398972	Phyllis Langthorne/Brand
653623	135179	The Cyclist
653624	324089	Celine
653625	47352	Josie Dare
653625	61733	
653625	69051	Jeanette
653625	128393	Girl of the Sea
653625	141349	Gabrielle
653625	142340	Mabel Andrews
653625	206459	Mary Jane Paul
653625	302883	Native Girl
653626	192034	Telephone girl
653627	197204	
653627	220720	
653627	276443	Missy
653627	348124	Varna's possible love interes
653627	348168	Una contadina russa
653627	361333	
653628	16704	Kidnapper
653628	230690	Marian
653629	100730	
653629	120071	Eva
653629	225615	Irène
653629	287322	Gigi Concierge
653629	342856	Yvonne de Florac
653629	353864	L'amie #1
653629	376987	Lucette Casanova
653630	287484	
653630	306794	
653630	328620	Mysterious Woman
653630	403132	Herself
653631	34101	Elvira
653632	155562	Isa Braden
653633	315178	
653634	9913	Pensionsinhaberin Frau Anders
653634	11979	Aimée
653634	15142	First friend of Alkmene
653634	20430	
653634	21282	Vera Leander
653634	28607	
653634	29811	Ludovisca
653634	33262	Frau von Marelle
653634	35881	
653634	42529	Olga Loty
653634	67227	Madame Alexandre
653634	93476	
653634	93479	
653634	93491	Mrs. Celia Peachum
653634	98045	
653634	101397	Bella Amery
653634	102134	Mrs. Eleanor Hoopman
653634	107977	
653634	109557	Mme. Guttier
653634	111477	
653634	119179	Hermine Campe
653634	119276	
653634	120950	Dora
653634	124979	
653634	126404	
653634	129695	
653634	129702	
653634	134251	
653634	134787	Anita
653634	134912	Klara Becker
653634	134987	
653634	142079	Daniela Dannenberg Sängerin
653634	144044	Jeanette
653634	155353	
653634	155466	Daisy
653634	166741	Lilly Hegedüsch
653634	171671	
653634	175302	
653634	178548	
653634	178623	Lona Wernecke
653634	178668	
653634	178680	
653634	182004	Zangara, Ogareff's mistress
653634	182590	Maria
653634	188727	
653634	189636	Ellen
653634	189689	
653634	191472	Duchesse de Montespan
653634	199343	Eva
653634	204635	Marion Lamona
653634	205594	Alice
653634	209987	Margot
653634	210006	
653634	210107	
653634	218932	
653634	223486	Riccarda Doret
653634	225186	Lady Darnmore
653634	247599	Susy Oven
653634	253957	
653634	256488	
653634	259189	Wanda
653634	272537	Dirne Gregubowa
653634	275162	Lily
653634	283056	
653634	290020	Marion
653634	290489	Frau Burde
653634	290558	
653634	290565	
653634	290764	Frau de Serignon
653634	293800	
653634	299373	
653634	302045	
653634	307665	Riccarda
653634	311097	
653634	312064	
653634	312084	
653634	315838	
653634	322954	
653634	324670	Gräfin X
653634	332762	
653634	341167	
653634	345653	
653634	347430	Frl. Martini
653634	348060	Madame de Latour
653634	352366	
653634	354366	Ellinor
653634	360957	
653634	361403	Suzanne
653634	369396	
653634	376399	Cora-Petry
653635	381821	Ensemble (1982)
653636	363622	Small Town Woman
653637	156747	
653637	225207	Margarete
653637	335028	Therese, Frau Pieper
653637	366552	Hausmädchen
653638	23989	Frau Schulz
653638	90145	
653638	129322	
653638	164904	Lisa
653638	167153	Angelika Hecht
653638	259481	Elke Mutosch
653638	259552	
653638	259595	
653638	352262	Evelyn
653639	125080	Jenny
653640	323001	
653641	293561	
653642	391604	Kim Krause (2004-)
653642	396874	Christina 'Tinka' Kuczinski
653643	144025	Secretary
653644	364281	Extra
653645	219663	Herself
653645	347644	Herself
653646	276736	Nurse #1
653647	55126	Young Girl
653648	65782	Mother of Newborn
653650	223043	Singer
653650	334575	
653650	350906	Herself
653651	252390	
653653	217092	Herself
653653	386069	Herself - Managing Director o
653654	7792	
653655	127444	
653655	225211	
653656	197163	Lelia Marsjaupt
653657	83463	Waitress
653657	146934	Music Teacher
653657	305917	Cashier
653658	349308	
653659	76377	Fru Jensen
653659	108955	
653659	145457	
653659	179975	
653659	182100	Maintenance lady
653659	182628	
653659	184013	Turistens kone
653659	242451	
653659	252058	Lis
653659	281085	
653659	322459	
653659	351046	Mrs. Linde
653659	352840	Else
653660	2588	Mrs. Kuhla
653661	255825	Charity
653662	190328	Laura Burdon
653663	360664	Herself
653664	297074	Chips
653664	367964	Emily's Mother
653665	65036	Elizabeth Lanham
653666	148225	
653666	316307	Claudine
653667	17616	Maid
653668	294383	
653668	380329	
653668	410103	
653669	41499	Lucy Gilroy
653669	78025	Alice
653669	105704	Dianne Feinstein
653669	171050	Candice
653669	296019	Streetwalker/Vice Cop
653669	393228	Elaine Mitchell
653670	309573	Nurse
653671	84142	Waitress
653672	154988	Strike Woman
653672	204192	Emma (Ithaca)
653672	277223	
653673	67779	Kit
653674	313104	Tweaked Customer
653674	393032	Jacqui Kruger
653675	209876	The Girl
653675	359621	Tischgesellschaft
653676	367856	Herself (Maya's Mother-in-law
653677	403333	Herself
653678	123501	Pige på tankstation
653679	312645	Marlies
653680	45626	Betsy, Billy Ray's Girlfriend
653681	209773	Lena
653682	223065	Gracie Shinn
653683	134263	Woman on Tunnbindargränd
653684	41262	Jane Bradford
653684	296858	
653685	76571	Jamie's Mom
653685	92453	Chihuahua Lady
653685	176275	Young Sally
653686	165039	Tess
653688	339371	Angelina
653689	170427	Ms. Hensen
653690	48040	Young Sidney
653691	92628	Katarina
653691	386587	Katarina (1965)
653692	183220	
653692	241692	Nurse, 'Baby' segment
653692	396422	Additional voices
653693	54362	Child in Park
653694	89308	Anna's girlfriend
653694	343931	Interviewer
653695	153142	Girl on Boat
653695	311615	Jill Bradly
653696	2709	Sue
653696	24137	Karla
653696	36781	Computer Operator
653696	37047	Joscelyn Davis
653696	56729	Mrs. Kwan
653696	60163	Miss Hozzie
653696	64461	Bartender (Oxy Hill)
653696	86780	Amy Tam
653696	94539	Linh
653696	127094	Nurse #1
653696	130484	Voice
653696	161412	Madame
653696	169918	Dorothy Moys
653696	176498	
653696	185690	Illegal Alien Hater
653696	190869	Mrs. Hasagawa
653696	192746	Woman in Cafe #2
653696	200256	
653696	203329	The Maid
653696	208390	Mrs. Rangoon
653696	230857	Gaia
653696	231099	Mrs. Ho-Kym
653696	251108	Madame Kang
653696	278830	Hsieh
653696	291495	Technician
653696	302789	Hospital Nurse
653696	304690	Herself (actress, comedienne)
653696	315889	Mrs. Geddes
653696	342364	Maria
653696	345648	Secretary
653696	346911	Narrator
653696	368540	Herself
653696	371011	Snake Ajima
653696	379756	Grandma
653696	393221	Tohru's Mother [a.k.a. by Unc
653696	397180	Kay Ohara
653696	398942	Suji (1997-1998)
653696	401052	Sumi
653696	410729	Prinicpal Ono
653697	9628	
653698	265506	Earline
653699	332897	Woman Reporter
653700	5641	Blonde model
653700	80356	Ellin Berlin
653700	90988	
653700	273539	Jay Delgado
653700	277837	Dr. Newton
653700	296880	Jonah
653700	311523	Nurse
653701	29377	Herself
653701	35629	Herself
653702	224934	Herself
653703	223329	NASA technician
653704	379831	Eliazbeth Calebrese (1990)
653705	340752	Campaign Aide
653706	128773	Herself
653706	273427	Herself
653706	273439	Herself
653706	402993	Herself/Las Vegas (2002)
653707	198835	Christine Hackell/Waitress/Co
653707	262655	Leslie Miller
653708	42721	Jury Foreman
653709	14051	Herself
653709	221820	Herself
653710	274116	
653710	282631	
653711	87215	Baby
653712	96614	Show Girl
653712	96926	Neighbor
653712	104912	Maid
653712	168929	Bit Part
653712	178042	Mrs. Beal
653712	183638	Governor's Daughter
653712	231891	Elaine
653712	234471	Woman
653712	253126	Reporter
653712	278175	Singer
653712	316123	Waitress
653712	337654	Dance Hall Girl
653712	346900	Reporter in Montage
653713	344144	Herself (UFO Abductee)
653714	81176	Pet Shot Clerk
653715	249165	
653716	13226	Bit Part
653716	37952	Mazie Colben
653716	46075	Angela
653716	72204	A Guest
653716	78113	Marjory Blake
653716	78959	Rita Minar
653716	120834	The Pretty Neighbor
653716	195597	Mrs. Wyman
653716	212975	Judith Winthrope
653716	251681	Marquise d'Irancy
653716	279382	Pauline Dallas
653716	301832	Mollie Milligan
653716	331386	Katherine Briggs
653716	367542	Leila, Princess Marchesi
653717	116507	
653718	307903	Nun
653719	126035	
653720	81155	Swamp Lady/Zaranda
653721	165039	Tess
653722	188561	Hot Girl
653723	37447	
653723	97121	
653723	113583	
653723	126642	
653723	142500	Herself
653723	167526	
653723	191356	
653723	294292	
653723	300517	
653723	346288	
653723	349880	
653723	361876	
653724	284527	Emily
653724	359499	Washington Wife #2
653725	242718	
653726	281170	Juliet's Friend
653726	365294	
653727	301678	Hospital Staff
653728	391843	Laura Dorf (Toddler)
653729	279721	Cocktail waitress
653730	151176	Kat
653730	183875	Susan
653730	298119	Alonso Girl
653730	366712	Libby Gleeson
653731	224123	
653732	46448	Dream Girl
653732	91258	Tamia Jackson
653732	123696	Little Suzie
653732	196890	Sorority Girl
653733	51883	Little Girl
653734	329522	Wisconsin Dancer
653735	7937	
653735	102755	
653735	260725	
653735	318501	
653736	47422	Alma Jr. (age 13)
653736	131910	Liza
653737	116079	Older Girl
653738	188033	A Possum for Peace
653739	1488	Herself-Honouree: MediCinema
653740	391843	Laura Dorf
653741	266735	Toano Middle School Student
653742	358593	Extra
653744	22	Kim Lissick
653744	45887	Gussie Mapes
653744	67723	Sgt. Andrea Pritchett
653744	73753	Ellie Turner
653744	104681	Audrey Griswold
653744	107846	Jennifer Phillips
653744	110380	Courtney Featherstone
653744	113412	Francy
653744	115557	Stoney
653744	131834	Maximillian 'Max' Goof
653744	152724	Additional Voice
653744	167131	Teddy 2
653744	176516	Foxy Cooper
653744	206819	Marvin Miller
653744	210502	Frankie Addams
653744	255268	Millie Owens
653744	282519	Danny
653744	299663	Sherry Dunlap
653744	301539	Cindy Lewis
653744	335064	Jerry
653744	358374	Dana
653744	361164	Geraldine 'Jellybean' Oxley
653744	362141	Michelle Mudd
653744	379325	Raggedy Dog
653744	385727	Tank Muddlefoot
653744	386379	Additional Voices
653744	387065	Charles (1994-1997)
653744	389340	Maggie Joy
653744	390376	Maximilliam 'Max/Maxie' Goof
653744	397695	Orphan Scrappy
653744	401044	Debbie
653744	402234	Additional Voices
653744	403907	Additional Voices
653744	406869	Ginger
653744	409233	Gabrielle 'Gabby' Gallagher
653744	411088	Kevin
653745	66349	Wife at Motel
653746	241342	Oribe's Receptionist
653747	137259	Nadine
653748	339380	Debbie
653749	118	Herself
653749	103289	Computer
653749	110297	Herself
653749	116377	Extra in Benediction scene
653749	137686	Herself
653749	276834	Herself
653749	323849	Herself
653749	379011	Herself
653749	398934	Herself
653750	31665	
653751	20009	
653752	1390	Interceptor Assistant
653752	318810	Mrs. Denning
653752	348835	Mrs. Douglas
653753	21185	Hilda
653754	24769	Kitty Mains
653754	31338	Tonia Mendoza
653754	32249	Peggy Raymond
653754	35207	Joan
653754	56249	Floradora Girl
653754	66618	Doris Bradfield
653754	71993	General's Daughter
653754	72606	Sally Sunshine
653754	79009	Joyce Clayton
653754	112713	Mamie
653754	123218	Mary Kent
653754	145964	Priscilla Stratton
653754	150530	Miss Whitney, hotel proprieto
653754	162558	Doris Leslie
653754	210714	Amy Fisher
653754	218483	Molly Moore
653754	241826	Helen Beck
653754	272124	Mary Clayton
653754	278034	Joan Cummings
653754	282328	Ruth
653754	308620	Anita
653754	308944	Veronica 'Ronnie' Stavnow
653754	309629	Hotel owner
653754	309855	Dolores Ruiz
653754	311340	Dorothy Moore
653754	317402	Helen MacDonald
653754	323424	Alice Moore
653754	324401	
653754	327219	Doris Beamish
653754	329138	Ruth O'Byrne
653754	330300	Elise
653754	333077	Heroine
653754	333455	Dorothy Marvin
653754	335057	Mary Smith
653754	337713	Mitzi
653754	353081	June Grey
653755	64070	Ensemble
653756	389186	Herself
653757	220894	Juanita
653758	195874	Singer
653759	130016	Elaine
653760	68736	Mitzi
653760	323443	Elaine
653761	165126	
653762	345239	
653765	36746	Old Lady on phone
653766	27137	Rosie Kennedy
653766	228010	
653766	321042	
653766	355343	
653766	360102	
653767	9148	Polly
653767	46241	Reporter
653767	203699	Newscaster
653767	306500	Kissing Quartet
653768	391219	Anchor (2003-)
653768	411941	Co-Anchor (1998-2002)
653769	72504	Sandra Mescal
653770	1673	Herself
653770	1743	Herself
653770	2009	Herself
653770	2573	Herself
653770	2581	Presenter
653770	2721	Herself
653770	3040	Herself - Performer: 'Over th
653770	3046	Herself - Performer: 'There Y
653770	5337	
653770	13751	Herself (performer)
653770	63056	Herself
653770	63120	Herself
653770	66240	Herself
653770	143654	Herself
653770	150095	Herself
653770	234151	Herself/Audience Member
653770	314445	Sarah Sunderson
653770	324783	Herself
653770	352974	Herself
653770	352978	Performer
653770	392423	Herself
653771	49546	Herself (dancer)
653771	131221	
653772	26397	Matron #2
653773	70013	Agatha
653773	95133	Ernestine
653773	120126	Lainie
653773	164235	Female Technician
653773	206795	Ida Banbower
653773	226920	Caron
653773	359403	Amn. Fields
653774	256893	Nurjehan
653775	263352	Bang - The Band at Party
653776	67481	Constantinople Elevenses
653777	127801	
653778	232090	Miss Dexter
653778	366419	Rosemary, Pa's secretary
653778	366606	
653779	16686	Miss Soviet Union
653779	37525	Female Bigfoot
653779	169843	
653779	360902	Mary Mary
653779	365424	
653780	390474	Herself
653781	45346	Eden Salenger
653782	334780	Tennis ball girl
653783	2486	Slot-machine player
653783	20316	Old Lady
653783	35745	Woman
653783	56698	Honey Girl
653783	64090	Little old lady
653783	67251	Woman
653783	67417	Aunt Georgina
653783	112363	Old lady
653783	123717	Old lady
653783	125884	Old Lady
653783	130775	Woman singing 'Dixie'
653783	133705	Old Woman
653783	142599	Mrs. Thompson
653783	154864	
653783	175750	Granny
653783	183824	Flower Woman
653783	185723	Mother
653783	186004	Woman
653783	188387	
653783	190264	Churchgoer
653783	198541	Mrs. Hicks' Mother
653783	241416	Sick Woman
653783	275431	Abby Purdy
653783	291916	Bridey at Age 66
653783	295439	Frau Kaupfen
653783	310455	Beggar woman
653783	337941	Granny
653783	350229	Mrs. Carrie Dietz
653783	360662	
653783	364330	
653783	364357	Little Woman
653783	365062	Old Lady
653784	242812	Slave
653785	307589	Geraldine's Friend
653786	367752	New England maid
653787	117305	
653787	148368	
653787	220951	
653788	41898	Maureen
653788	88925	Barbara Wright
653788	88927	Barbara Wright
653788	88933	Barbara
653788	92628	Barbara Wright
653788	169671	Carrie Dean
653788	276089	Grace Miller
653788	281174	Lady Capulet
653788	386587	Barbara Wright (1963-1965)
653788	400814	Mrs. Mallard-Greene
653788	405522	Sally Walker
653789	147608	Record Shop Girl
653789	177660	Extra
653789	239932	Lorraine
653789	348070	Gloria
653790	79888	Herself
653790	381451	Newsreader
653790	382715	Presenter (2002-)
653791	317309	Rising Star Squatters
653792	71666	Girl #2 at dance
653793	383417	Symphony Angel
653794	276253	Barbara Wright
653794	322837	Tricia Bales
653795	83961	Grizelda Brown
653795	87432	Woman on Fire Escape
653795	157521	Herself
653795	259864	Gospel Bus Hijacker
653796	33419	Herself (crouches with Mary M
653796	35629	Herself
653796	47758	Herself (onlooker, in red coa
653796	94668	Herself
653796	210854	Herself (in Zapruder film)
653797	298609	Mrs. Bentley
653798	167324	Nurse at Parkland Hospital
653799	305692	Party Goer
653800	382997	Miss. Begg
653801	364647	Summer Littlewood
653802	55702	Girl at Dirty Dick's
653803	41180	Neighbor Woman
653803	64415	Nurse Patty Wrenfield
653803	73674	Miss August
653803	372082	Binky
653803	389709	Co-Host/Herself
653804	141859	Knockout blonde
653805	114165	Girl in Bar
653806	143757	
653806	409463	Secretaria (1987-1988)
653807	318814	Megan
653808	124503	Tiffany Thornton
653809	339853	Molly
653809	386963	Emma Conlon (2000-2001)
653810	89124	Leah
653811	224934	Herself
653812	292469	Organiser
653812	391222	Herself
653813	242544	Jo
653814	351436	
653815	294763	Herself
653817	5820	Shirley Revelle
653817	18556	
653817	18727	Jane Wilson
653817	22972	
653817	26186	
653817	32159	
653817	40741	Alice Bartlett
653817	41160	Martha Hazard
653817	44305	
653817	50040	Joan Templeton
653817	52459	
653817	60941	Genevieve
653817	72371	Sylvia Dodge
653817	77917	
653817	78002	
653817	85098	Alice Kemper
653817	90231	Gladys Paget
653817	91746	
653817	107092	
653817	112347	
653817	112511	
653817	115073	Edith Willett
653817	118406	
653817	121918	
653817	135806	
653817	141012	Rhoda Hilder
653817	143945	
653817	144464	
653817	144824	Edith Oaks
653817	149161	
653817	152966	Eleanor Morgan
653817	164465	
653817	165979	
653817	169229	Ellen Marchand
653817	176318	Ranch Owner's Daughter
653817	177573	Milly Jameson
653817	186416	Josephine Sturgess
653817	190547	Midfred Manning
653817	193649	Rose Trimball
653817	193660	
653817	193665	
653817	193726	Tom's sister
653817	194644	Lois Kincaid
653817	195422	Mina
653817	196853	Lois Wetzel
653817	199686	
653817	203050	Rita King
653817	203429	Molly Killbride
653817	231984	Leonore Baxter
653817	235408	Lou Coberly
653817	239049	
653817	239553	
653817	241400	
653817	242566	
653817	249221	Nita Leslie
653817	251218	Mona Selby
653817	260310	
653817	261659	Marion Jenkins
653817	271972	Helen Williams
653817	277099	Alice Walton
653817	278068	Elizabeth Walters
653817	279572	
653817	298539	
653817	298759	Marjorie Stone
653817	301272	Pearl, gang moll [Chs. 1,2,6]
653817	301720	Grace Carlton
653817	301725	Mary Watkins
653817	304324	Alice Allan
653817	314256	Zena Hodge
653817	327260	
653817	340478	Helen Williams
653817	343274	Nan Brunelle
653817	361607	
653817	361620	Bess
653817	361759	
653817	365487	
653817	365952	Heloise
653817	366306	
653817	366941	Martha Wells
653818	11485	Nurse Collin
653818	185707	Nurse in Hospital
653818	364281	Mrs. Bickham
653818	405882	Nurse Logan (1975)
653819	29746	Shawna
653820	31404	Herself
653820	50629	Herself
653821	185529	Herself
653822	77146	Patti Ames
653822	114718	Kelly
653822	185583	Julie Williams
653822	384069	Monica
653823	182993	Prostitute
653823	342616	Street Walker
653824	312966	Marie
653825	89586	
653826	188496	Dominique
653827	176525	French Army Commander, Coloni
653828	354114	Wanda
653829	240681	Jennifer Holmes (baby)
653830	287285	Choir Member
653831	40631	Murdered Lover
653833	3251	Herself
653833	269657	Herself
653833	308552	Host
653833	378782	Herself
653833	382297	Herself - Presenter (1995-200
653833	389721	Herself (Series 2) (2004)
653833	395764	Herself - Presenter (2000)
653834	120528	Dancer
653835	279420	Dancer
653835	309546	Dancer
653836	363560	TV Tabloid Journalist
653837	278855	Call Girl
653838	201495	Nina`
653838	343352	N.Z TV Reporter
653838	385088	
653839	138161	Newscaster
653840	144605	Woman
653840	277850	Sexy Woman
653841	176525	French Army Commander/Colonis
653842	80753	File Clerk
653842	101437	
653842	395924	Melanie
653842	405209	Nurse Toni Thompson (2001- )
653843	141733	Angelic Girl
653843	199499	Young Ally
653843	257618	Herself (Hostess)
653843	257659	Miss November
653844	1465	Herself
653844	76604	Malika
653844	140310	Debra
653844	177456	Arletta, Elevator Operator
653844	186177	Herself
653844	221452	Herself
653844	221454	Herself
653844	221479	Herself (performer)
653844	276335	Leslie
653844	277495	Herself
653844	303226	Rita Louise Watson
653844	319651	Herself
653844	341931	
653844	347880	Herself
653844	380713	Kira Johnson (1991)
653846	23202	Jenny
653846	93995	Mrs. Hoover
653846	127171	Laura
653846	134716	Waitress 2
653846	155636	Inspector Michele Niece
653846	174446	Joan Vicks
653846	185297	Sean Winston's Bartender
653846	194663	Michelle
653846	234079	The Girl
653846	234080	Mrs. Jones
653846	346346	Muriel the cashier
653846	347547	Maggie
653846	353357	Kerry
653846	363763	Jesse
653847	56656	Reporter
653847	183536	Nurse #1
653848	305176	
653849	1883	Neckbrace Customer
653849	154004	Wanda
653850	295819	
653850	312913	
653851	151732	Jane Stewart
653852	14489	Police Officer 5
653853	215691	Miss Oklahoma USA (3rd Runner
653854	215691	Miss Oklahoma USA (3rd Runner
653855	126606	Beat Policewoman
653856	154927	Party person
653857	101038	Lab Technician
653857	154590	Waitress
653859	190690	Mrs. Davis
653859	223808	
653860	107024	Girl in Flashback
653861	390917	Roobot
653862	283601	Lisa
653863	163357	
653863	207476	Kathleen Stephenson
653864	198969	Girl
653865	341991	Robyn, April's daughter
653866	39241	Travis' friend at nightclub
653866	49071	Woman in car
653866	67400	Melanie Welles
653866	79789	Phyllis
653866	84851	Hudson
653866	276406	
653867	106334	Herself
653868	196038	Jada
653869	255231	
653870	297206	Dorothy
653871	364647	Mrs. Montgomery
653872	11469	
653873	26467	Germaine Wadsworth
653873	40046	Audrey
653873	41155	Catherine Hutton
653873	61385	
653873	69268	Claudine, Chavez's woman
653873	80578	Arletty
653873	81049	Lorna Love (in flashback)
653873	130125	Deanna Corleone
653873	130129	Deanna Dunn-Corleone
653873	139646	Mildred
653873	144873	Callie Travers
653873	161936	Bambi Greer
653873	185543	
653873	206448	Marla
653873	209492	Ruth
653873	230675	Sandy
653873	248496	Lani Kaimana
653873	274195	Gabrielle
653873	275317	Annie Lansford
653873	282463	Viola
653873	290082	Julie
653873	331980	Lynn
653873	338547	Gundred Herzallerliebst
653873	367040	Bit Part
653874	309134	Rich Lady
653875	404650	Pepper
653876	290703	Vera
653876	350860	Mitarbeiterin Architektenbüro
653876	391011	Various Characters
653877	31821	Miss Nelson
653877	211687	Doreen Culbertson
653877	216871	Millie
653877	245384	
653877	257714	Bit Role
653878	158483	
653879	404138	Additional Voices
653880	104348	
653881	40791	Molly
653881	46371	Mrs. Martin
653881	72206	Nance St. Germain
653881	78124	Mrs. Stanley
653881	79355	Mathilde
653881	100859	
653881	100869	Hattie Harrison
653881	150925	Mrs. Allicia Temple
653881	190398	Margaret Palliser
653881	233802	Mrs. Boyd
653881	285029	Jessie Hall
653881	287232	Mrs. Stanley
653881	303439	Geraldine Burton
653881	332091	Marian Audrey
653881	334191	Mother Superior
653881	362948	Lola Santez
653881	363709	
653882	64424	Angie Norman
653882	74025	Phyllis Pratt
653882	120506	Ann Crook's Mother
653882	140518	Norma
653882	150244	Liz Hoodless
653882	228989	DS Ruby Sparks
653882	232141	Pauline
653882	299794	Sarah
653882	362996	Mary Muir
653882	364864	Laura
653882	380889	Hazel Redfern (Series 2) (198
653882	382693	Aveline Boswell (II) (Series 
653882	383461	Sister Pamela Lockley
653882	384482	Maureen Taylor
653882	385279	Emma Shepard
653882	385280	Emma Shepperd
653882	388758	Lena
653882	399103	DS Ruby Sparks
653882	401652	Rita Dolan
653883	23927	Herself - Audience member
653883	381910	Herself (Series 1) (2000)
653883	383837	Presenter
653884	59753	Insurance Lady
653884	70399	Melissa
653884	193485	Lola
653884	336452	Buddy babe
653884	336475	Hotel Blonde
653885	6722	Herself
653885	6723	Herself
653885	11150	
653885	23949	
653885	34928	
653885	41486	Herself
653885	46713	
653885	72778	
653885	184782	Herself
653885	213826	
653885	214062	
653885	219872	
653885	227997	
653885	240840	
653885	243436	Special Appearance
653885	264743	
653885	264844	
653885	292605	
653885	305713	
653885	313573	
653885	313574	
653885	314720	
653885	318406	Christi
653885	332885	
653885	339911	
653885	341971	
653885	353746	
653885	360102	
653886	313189	Playboy Mansion Guest
653886	411802	Uncredited
653887	152518	Mary Miles' mother
653888	157324	St. Jude Student
653889	146853	Herself
653890	333881	Molly Brown
653891	66912	Young Ada Doom
653892	195271	Christa
653892	297937	Nadiyah's Girlfriend
653893	61812	Diner Patron
653893	278315	Singer #1
653894	176806	Lola, His Fianée
653894	222767	
653895	195012	Paul's girlfriend
653896	10894	
653896	123401	
653898	77295	Tara
653899	100587	Rosa de Bernal
653900	305571	Young American Miss
653901	297944	Manicurist
653902	330457	
653903	4369	Girl in Blue
653903	48874	Sue Henderson
653903	63424	Manager #2
653903	142517	Saloon Girl
653903	145076	Receptionist
653903	150069	Mrs. Davenport
653903	168858	Burlesque girl
653903	285095	
653903	307373	Woman talking in line
653904	73475	Barmaid
653904	140197	Rita
653904	168119	Court lady
653904	252158	Mrs. Wilma Elliot
653904	302719	Ruth
653904	389858	Mrs. Dawson #2 (1970-1975)
653904	408128	Mary Claire 'Poco' Thurmond M
653905	39955	Maddy
653905	150554	Emma Andrews
653905	388452	Sikozu Svala Shanti Sugaysi S
653905	388453	Sikozu Shanu
653905	398674	Sheila
653905	399130	Serendipity 'Ren' Gottlieb (1
653905	400806	Loretta Taylor
653905	405062	Heather
653905	410643	Cst Tayler Johnson (1997-1999
653906	28791	Hottie
653907	362586	Disco girl
653908	4641	Rhodi
653909	64190	Herself
653910	381821	Ensemble (1972)
653911	161412	Officer
653911	193280	
653912	29310	Landlady
653912	34708	Fanny La Fan/Leclerc
653912	58937	Old Woman
653912	105135	Shopping Woman #1
653912	112743	Mother
653912	117210	Third Mourner
653912	151086	Henry's Wife
653912	216028	Nan
653912	222625	Granny
653912	240835	Fräulein Blumenblatt
653912	250371	Clarrie
653912	299937	Soprano
653912	332738	Prim Woman
653912	365560	Miss Martingale
653912	378629	Madame Fanny La Fan/Leclerc
653912	382530	Annie Benge
653912	395525	Miss La Creevy/Lady From Down
653912	408025	Fay Bridge
653913	359526	Betty Warren
653914	97131	
653915	228493	Vicki
653916	366954	Herself
653916	390334	Herself - Co-host (1977-1980)
653917	19448	Monja TV
653917	211439	Meredith
653918	296266	June
653919	33988	Nurse Flovilla Thatch
653919	142618	Blond Nurse
653920	81193	Hillary Dunlevy
653920	194410	Wardrobe Woman
653920	217523	Carol
653922	42842	Mother at Restaurant
653922	315335	Secretary
653923	218714	Baby
653923	306796	Marjorie Vandergriff
653924	58769	Girl on Playground
653925	32488	Music Store Clerk
653925	124661	Lucy
653925	126709	Jane Bouvier
653925	252443	Missy
653925	336235	Cop
653926	95080	Dog Driver
653926	155248	Additional Soul
653927	15055	
653927	292596	Process Server
653928	12728	Mary Ann
653928	80479	
653928	115116	Mary Riley
653928	289374	Lucy
653928	362135	Maggie Hendricks
653929	45616	Musician
653930	315172	Receptionist
653931	64075	Prince's Dancing Girl
653932	301184	
653932	352944	
653932	370170	
653935	230526	Young Katt
653936	75031	
653937	349509	Alluria Divine
653938	1529	Suki's Girl
653939	2116	Tami
653939	38340	Jen
653939	64420	
653939	74011	Lilly
653939	147845	Wendy
653939	178009	Ivy
653939	194219	Stephanie
653939	194267	Lois
653939	230857	Tania
653939	236135	Shannon, Jana's friend
653939	267346	Lauren
653939	267347	Lauren
653939	270969	
653939	342537	Sissy
653939	350343	Hot Female Doctor
653939	390771	Eden August #1 (2002-2003)
653939	397401	Claire Duncan (1996)
653939	398015	Linda Holden
653940	29732	
653940	30618	
653940	32586	
653940	37254	
653940	46788	
653940	47313	
653940	53951	
653940	62775	Peggy Powell
653940	69831	Betty
653940	72748	The Director's Wife
653940	73708	Mary Gillen
653940	75330	
653940	75426	
653940	82928	
653940	88162	
653940	95088	
653940	96844	
653940	107413	Rose
653940	113630	
653940	115646	
653940	116743	
653940	128150	
653940	131063	
653940	141505	Doris Weston
653940	145938	
653940	147122	
653940	147763	
653940	155231	
653940	168916	
653940	191280	
653940	196270	
653940	197590	
653940	214983	Gussie
653940	216467	Chorine
653940	238732	
653940	239530	
653940	255229	
653940	255409	Girl in club
653940	257513	The Salesgirl
653940	265239	
653940	305582	Toots
653940	305624	
653940	319119	
653940	343086	Mary, His Daughter
653940	343151	Brunette girl
653940	363701	
653941	231779	Model
653942	171057	
653943	87508	Dr. Delaney Steele
653944	26831	Lisa's Friend
653945	128587	Irene Hunt
653946	292419	Cook
653947	192286	Tim's daughter
653948	171092	Noreen
653949	80444	Lori Peterson
653949	300772	Maree
653949	385177	Carla Vieri
653950	314720	
653951	214430	Colonist/Accused Witch
653952	75348	Cupid
653953	113826	Flo
653954	3746	Himself
653954	380018	Herself
653954	402888	Herself
653955	224934	Herself
653956	316693	Mrs. Fiorentino
653957	203185	Housekeeper
653957	240754	Guest
653957	362855	
653958	75366	Brianna
653959	162712	
653960	15968	
653960	328788	Nurse
653961	410238	Clarisses Mother
653962	70300	TV News Reporter
653962	405249	Hollywood Minute reporter
653963	304717	Assistant
653964	245343	Mother
653965	294249	Emma Morris
653966	5397	Receptionist
653967	89970	Ginger
653968	80951	Gwen
653968	148211	Betty (woman on bus)
653968	155674	Colin's Mum
653968	186847	Mrs. Campbell
653968	243934	Publican's Wife
653968	382526	Maeve
653969	6586	Adele Pettersson
653969	301218	Mrs. Vedlund
653970	168391	
653971	6586	Gullan Hansson
653971	17613	Maid
653971	47176	Brita's Mother
653971	84299	Selma Grip
653971	94253	Dan's Mother
653971	97868	Elisaberth Johanni
653971	115402	Elin
653971	116457	Mrs. Karin Berg
653971	122330	Mrs. Grabe
653971	122480	Mrs. Bråde
653971	127569	Malin
653971	144235	Nina's Mother
653971	153770	Marie van Loos
653971	154134	Nurse
653971	154525	Mother Olsen
653971	164781	Manager at Day Care Center
653971	164784	Mrs. Ahrman
653971	172791	Ingeborg
653971	174697	Katrina's mother
653971	178753	Elvira, house maid
653971	180392	Renée Höglin
653971	181850	Marta's Mother
653971	182282	Mrs. Grande
653971	182288	Nurse
653971	182464	Mrs. Andersson
653971	198271	Principal's wife
653971	198276	Widow
653971	200410	Mrs. Danell
653971	205569	Barbro
653971	209311	Anna Karlsson
653971	225333	
653971	225671	Mrs. Wiegel
653971	228381	Jenny Eriksson
653971	228418	Mrs. Lindberg
653971	235041	Emmy
653971	237270	
653971	252333	Klingenhjelm
653971	254252	Mrs. Nordingberg
653971	281956	Katrina Arnman
653971	284136	Klara's Mother
653971	301218	Mrs. Nilsson
653971	315362	Ms. Blomberg
653971	316909	Jenny
653971	321510	Mrs. Danell
653971	322310	Olof's Mother
653971	342304	
653971	343471	Sophie Ekeberger
653971	349802	Nurse
653971	378273	Woman at the party
653972	99141	Sylvia Tench
653972	114688	
653972	140530	Nurse Susan McClean
653972	147496	Gillian
653972	230869	Shelley
653972	245513	Rachel Selby
653972	279277	Carole Lombard
653972	315516	Rosa
653972	366602	Karen
653972	382002	Stephie
653972	383683	Sybil Cazalet
653972	385627	Matilda Donners (segments fil
653972	387027	Isobel Markby
653972	408870	Belinda Sinclair
653972	409204	Latisha (recurring)
653973	18501	Lina
653973	32461	Sister
653973	98067	
653973	105535	Anastasia
653973	129702	
653973	131966	
653973	134836	
653973	170711	Hausiererin
653973	189833	Die Köchin Mathilde
653973	225744	
653973	226258	
653973	352599	Frau Lüdecke
653973	365674	Resi
653974	103135	
653975	70763	
653976	281641	Herself
653977	33552	
653978	69812	Justice Department Receptioni
653978	100887	Featured Performer
653979	5449	Angela
653980	5449	Rebecca Powers
653980	56182	Colleen Norkem
653980	107920	Woman on Balcony
653980	244327	Desdemona
653980	343323	Tamsyn as a
653980	394003	Presenter
653981	360575	Herself
653982	293243	
653983	130935	Wife
653983	180964	
653983	206930	
653983	218991	
653983	325555	
653983	325747	Ida Kotelecki
653983	389119	Frau Sattler (1989, 1990)
653983	409613	Frau des Rechtsanwalts
653984	258392	
653984	352379	Frau Pletzer
653985	64044	
653986	342856	Joanna's Touring Friend
653987	226476	Nurit
653987	300360	
653987	306957	
653987	370377	
653987	370987	
653988	217745	Art History Student
653989	193896	
653990	149974	Office Voice
653991	201750	Herself
653991	291826	Herself
653991	291828	Herself
653991	379999	Herself (interviewee)
653992	278177	
653993	104638	Herself
653994	129516	Indian Woman
653995	160888	Dolly's Assistant
653997	10920	Cpl. Mira Ferro
653997	38684	Reporter
653997	193775	Actress in Restaurant
653997	271003	Lawyers Female Companion No. 
653997	317153	Amy
653998	271339	Arizona quint
653999	201579	Lucie
653999	281054	Young Woman
654000	193761	Girl in Bank
654001	91973	Terroriste
654003	376747	The bride
654004	144172	Anne Söden
654004	352176	
654005	242666	Baronesa de Sototerrada
654006	324967	Mom
654007	120518	Herself
654007	201722	Herself
654008	56967	Inmate at Cumbermere Lodge
654008	178840	Unsuitable Customer
654008	260206	Customer in Hairdresser's
654009	403713	Host
654010	158563	Passer-by
654011	2375	Herself - accepting Best Acto
654011	3055	Herself (Memorial Tribute)
654011	17697	Mrs. Harris
654011	23593	Attracta
654011	27038	Herself
654011	34823	Laurentia McLachlan
654011	68012	Aemilia
654011	70787	Lilly Moffat
654011	71659	Countess Alice von Holzendorf
654011	71682	Lady Carlion
654011	75521	Princess Vilma
654011	79554	Mrs. Micawber
654011	81179	Matchett
654011	99081	Mothershead
654011	100945	Adela
654011	108099	Grace Darling
654011	120466	
654011	151637	Edith Clitterburn
654011	154312	Joan Webster
654011	154313	Herself - interviewed and in 
654011	157191	Lady Bracknell
654011	177529	Duchess of York
654011	177654	Evelyn
654011	184344	Betty Lovejoy
654011	201306	Barbara Undershaft
654011	201579	Winnie Bates
654011	202979	Alice More
654011	215608	Miss Elizabeth Morison
654011	222727	Princess Dragomiroff
654011	223869	Herself
654011	230855	
654011	245287	Mrs. Almayer
654011	248399	Tanzgruppe
654011	251813	Aase
654011	268152	Eliza Doolittle
654011	294514	Pat Cooper
654011	302784	Lucinda Bentley
654011	308089	Elizabeth McKenzie Newton
654011	308917	Gertrude Morel
654011	324691	Dancers
654011	337211	Anna Berniers
654011	357068	Rebecca Weiler
654011	363208	
654011	366988	Janet Mackenzie
654011	384475	Justine Putet
654011	395982	Princess Victoria
654011	407587	Lady Ursula Berowne
654012	132174	Hure
654013	23502	Fra bandet
654014	42085	
654015	79041	Entourage Woman
654016	183834	Maid's daughter
654016	368047	Lampyres, Besmous, Greys, Fun
654017	92289	Herself
654018	202272	Queen Wealtheow
654019	5387	Nurse
654019	53916	Martha
654019	59135	Nurse #3
654019	120478	Hostage Gloria
654019	154301	Barbara
654019	223710	Wife
654019	267038	Butch's mother
654019	343044	Waitress
654020	389090	Jackie Delaney-Payne
654021	236185	Marcellina
654021	358688	Grimgerde
654022	59873	
654023	330221	Kimono Girl 2
654024	365757	Emily Ross
654025	53210	Wanda Perry
654025	66549	Linda Rogers
654025	69431	Diane Parrish
654025	81065	Mrs. Sheel
654025	87780	Herself (as Harriet Nelson)
654025	107699	Gwynne Gregory
654025	114284	Charlotte
654025	116527	Connie Martin
654025	123240	Gwen Phillips
654025	143575	Harriet
654025	144449	Gloria Bradley
654025	144450	Kelly Clark
654025	148957	Lorraine Logan
654025	170307	Genevieve Horton
654025	176391	Professor Conklin
654025	190206	Mitzi Martos
654025	230622	Patricia 'Pat' Harrington
654025	245921	Herself
654025	245923	Herself - Band Vocalist
654025	291341	Herself
654025	305497	June Pearson
654025	316900	Herself
654025	321376	Harriet Hale
654025	321593	Linda
654025	323398	Jerry Clinton
654025	379321	Harriet Nelson
654025	400208	Harriet Nelson
654025	400624	Harriet Nelson
654026	190892	Lily O'Connor
654027	17021	
654028	286198	
654029	109047	Ann Harrison
654029	121502	Jeanne Westover
654029	125889	Judy
654029	127113	Shepherdess
654029	128286	Marian
654029	190999	Gloria Paget
654029	215779	Dora Coleman
654029	231975	Mary Prentice
654029	264730	The Girl at the Castle, a You
654029	296886	Dr. Diana Barnes
654029	330432	Janet Gordon
654029	346077	
654030	11662	Amy Goss
654030	73377	Ronnie's wife
654030	106229	Babs
654030	118711	
654030	120452	
654030	128651	Infielder
654030	154545	Girl
654030	163513	Telephone Operator
654030	222592	Earl Carroll Girl
654030	246606	Ruth Gregory
654030	313833	Student
654030	340084	Cigarette Girl
654030	364214	Club Cigarette Girl
654031	2928	Robyn
654031	176499	Coma queen
654031	187072	News Anchor
654031	245838	Prostitute
654032	269324	
654033	254330	Marion Partridge
654033	316742	Eunice
654033	360307	Hilda Carlson
654033	402245	Mrs. Webb
654034	94557	Trentino's Secretary
654034	120508	Sonnie Lockwood
654034	150976	Ella Browning
654034	155018	Girl
654034	199310	Bridesmaid
654034	203316	Alice Gaynor
654034	216000	Mona
654034	224694	Jane Corwin
654034	264170	Alberta Whitley
654034	273687	Barbara 'Babe' Webster
654034	275367	Sculptor
654034	276178	Norma Britt
654034	280896	Cinderella Girl
654034	291915	Susie
654034	303499	Safe-deposit clerk
654034	313354	Anita Matlock (Matt Matlock's
654034	337580	Felice Newsome
654034	346169	Nina Weston
654035	10915	
654035	308659	Neda
654036	125918	Ethel Spooner
654036	203642	Young Girl
654036	251436	Niki
654038	298578	Alison MacGregor
654039	98383	Ammalie
654039	379372	
654040	55456	Mary Henry
654040	75550	Deborah Benson
654040	323956	Herself
654040	364709	Horror Movie Actress
654041	282498	Cynthia
654042	51132	Modedesigner
654042	78495	Herself - Presenter ('Det' på
654042	113457	Nina
654042	115691	
654042	116309	'Stemme' Konen
654042	132874	Herself - Host (performing 'V
654042	152437	
654042	168921	Mum
654042	178731	Syngepige, Varieté
654042	181322	Receptionist
654042	206828	Herself
654042	213431	Lykke
654042	237290	Merete
654042	240089	Doktor Rakowski
654042	261554	Bankassistent
654042	293705	Anne
654042	314992	Herself
654042	346296	
654042	352117	
654042	371059	Alicia
654042	383948	Charlot
654042	390768	Psykolog
654042	392343	Herself
654042	399474	Kim
654043	124795	
654044	11570	Marisa Baron
654044	13967	Brooke
654044	152809	Elena
654044	159889	Krystal
654044	178154	Marleah
654044	218553	August
654045	129829	Ponti Assassination Bystander
654046	93217	Extra
654047	218411	Draculina
654048	147966	Secretary
654049	381079	Kristy Thomas
654050	387247	Nicky Di Marco (1998-2000)
654050	391079	Vicky
654051	318687	Girl at Camper
654052	275871	Sentinal Cheerleader
654053	80385	Cindy
654054	166917	Locker Room Athlete
654055	205762	Marie Hilliard
654055	257874	Mrs. Ford
654055	270680	Mrs. Langdon
654055	308054	Calderon's Housekeeper
654056	215334	Mother Superior
654056	279192	Narration
654057	232019	Carol
654057	232020	Carol
654058	38022	Natalia
654058	130335	Sorority Sister
654058	218785	Jillian Mulcahey
654058	362453	Woman in Library
654059	53945	Pretty Girl/Susan Satanworshi
654060	187697	Young Nola
654060	235079	Katherine
654062	321050	Herself
654063	49936	Caller
654063	77214	Viv Kelly
654063	80911	Tape Room Girl
654063	178933	Melissa
654063	363846	Therese Collins
654063	379161	Liz Walton
654063	382838	Elaine Davies Johnson (1996-1
654064	313189	Playboy Mansion Guest
654065	283239	Yuppy Rumbaee
654066	134563	Soccer Girl #1
654067	137259	Governor's Mansion Pickets
654068	79450	Teenage Girl
654069	31879	Jennifer
654069	41657	The Brunette
654069	65764	Sonietta
654069	82738	Elizabeth
654069	110129	Albine
654069	130924	Aloa
654069	158625	Joy
654069	184336	
654069	189162	Une amie de Cécile
654069	214866	Glenda Kelly
654069	221720	Peggy Foster
654069	249128	Theodora 'segment "Sophie")
654069	331240	Ann
654069	383582	Caroline
654069	390170	Nancy (1966)
654069	400614	Alison Bradley
654070	34740	
654070	34892	
654070	44652	
654070	291015	
654070	291020	
654070	336486	
654071	128640	
654072	149701	
654073	67812	Who Dares Wins
654073	153646	Who Dares Wins
654073	153647	Who Dares Wins
654073	222880	Katherine
654073	378819	Rona
654073	385534	Beryl Hook
654073	395053	Babs Palmer
654073	403102	Julia
654073	406414	Mrs. Fisher
654073	411022	Various roles (1984-1988)
654074	85717	Prostitute
654074	157790	Real sister/Judith 1
654075	41196	Connie
654076	79450	Peazant Child
654077	267588	Percentage Girl
654078	87828	Henri
654079	106062	Couple at Drive-In
654080	360260	
654081	36760	Sexy Girl
654082	19798	Sybil
654082	33439	Annie McCabe
654082	86279	Stewardess (Windsor Plane)
654082	138899	Lady Diana Delves Broughton
654082	186431	News Anchor
654082	392901	Dr. Grayling Russell, patholo
654082	407831	Lady Caroline Sibley-Biers
654082	410013	Lyn Turtle (1986)
654082	411356	Daisy McGill
654083	152209	Myra
654083	173936	U.N.C.L.E. Girl
654083	312147	
654084	2756	
654084	41391	Andrea
654084	48124	Vera
654084	118927	Justine
654084	237745	Young Jana
654084	262372	Gretchen
654084	320657	Lucia
654084	338471	Jana
654085	315842	Prostitute At Sygrou Avenue
654086	188933	Girl at hen's night
654086	322287	Tellervo, kesänaapurin palvel
654087	109438	Hitchhiker
654088	325779	Frau Vogelsang
654089	245605	Ann
654089	277123	Lydia
654089	404404	Amanda Binet
654090	132247	Los Alamitos Dance Team
654091	10209	Rektor
654091	28041	Åses mor
654091	142713	Honor Blake
654091	177092	Else
654091	247319	Teacher
654091	253029	Fru Swan
654091	271687	Innbranna Røysing
654091	284389	Kristin
654091	293841	Beate
654092	273321	Laura Bernstein
654092	355036	Tracy Harper
654093	209953	Süßwaren-Verkäuferin
654094	392693	Cindy
654095	115401	Margareta
654095	320517	Ellen
654095	349573	
654096	253914	Mermaid
654097	240793	Susan Tanner
654098	58504	Dorothy Hamilton
654098	119338	Siamese Twin
654098	119344	Herself/Siamese Twin
654099	113269	Woman in Waiting Room
654100	99305	Herself
654100	161249	Herself
654100	192833	Woman #1
654100	266647	Helene
654100	285313	A Friend
654101	48285	Edith Pope
654101	151408	Reporter Hinton
654103	11352	Babette
654103	216007	Maid
654103	350913	Indian Girl
654103	387533	Francesca Zorelli
654104	292676	
654105	402197	Heather (1982-1983)
654106	28651	Dancer
654108	90323	
654108	92432	
654108	93983	
654108	105256	
654108	105898	French Maid
654108	139359	Toblowsky
654108	140486	Lady Chatterly
654108	154452	
654108	155912	
654108	161741	Bee lady
654108	296071	
654108	323521	Hippy Chick
654108	326510	
654108	327834	
654108	328526	
654108	337151	
654109	385289	Jerri's Substitute
654110	169868	Shopkeeper
654110	183868	Lawyer
654110	208642	
654111	375936	Nanny Alice
654112	245036	Judge
654113	35714	Pearl
654113	91767	Judge Wilkes
654113	139498	Jury Foreman
654113	141643	Older Woman
654113	161739	Head nurse
654113	203669	Mrs. Morgan
654113	222575	Gwen's Mother
654113	345612	
654114	269086	Aunt Maud
654115	1737	Herself
654115	1748	Herself - Presenter
654115	221413	Herself
654115	221483	Herself
654115	251040	Herself
654115	366683	Girl on Beach
654116	119826	
654117	846	Herself - #65: More Things Th
654117	1737	Herself
654117	1748	Herself - Presenter
654117	56729	Female Club-Goer
654117	145415	Heather
654117	151085	Shannon Taylor
654117	182965	Sadie
654117	201729	Herself
654117	221443	Herself - Co-Host
654117	221483	Herself
654117	232829	Jo
654117	251040	Herself
654117	258101	Victoria
654117	268700	Strung-out Supermodel
654117	271344	Amber
654117	321396	
654117	366683	Girl on Beach
654117	368043	Barbie
654117	372583	Herself
654117	375827	Herself
654117	405393	Herself
654117	405395	Herself
654118	40472	Miss Stein
654118	81035	Nancy
654118	88771	Karen
654118	185543	
654118	202372	Maid Marian
654118	209153	Blonde In Bikini
654119	282688	Lady in Waiting
654119	324383	Girl
654120	57747	Guard# 5/Fast food customer
654121	384097	Skye (1996)
654121	395964	Katie Penney
654122	316716	Darlene
654123	333347	Reporter #2 with Jake
654124	171301	
654125	58504	Vivian Hamilton
654125	119338	Siamese Twin
654125	119344	Herself/Siamese Twin
654126	319460	
654126	319461	
654127	303846	Vieras jatkoilla
654128	18452	
654128	25266	Woman at mrs. Järveläinen
654128	104277	Woman in a servant's hall
654128	144339	Maid
654128	149464	Aino Palmu
654128	172290	Edla
654128	172295	Woman in a restaurant
654128	232586	Mailwoman
654128	239154	Woman at the dances
654128	242267	Woman in a advertisement depa
654128	258845	Waitress
654128	258846	Girl in a party
654128	272247	Väisänen's maid
654128	278349	Esteri
654128	280559	Kaisa
654128	319316	Waitress
654128	319318	Teacher
654128	320400	Hilma
654128	321926	Actress
654128	321945	Woman in a restaurant
654128	356116	Woman at the dances
654129	211038	Extra
654130	178376	Ritva's daughter
654131	228405	Nurse
654132	376122	Sonja W.
654133	88659	Herself
654134	296261	Ms. Smith
654135	164521	Director
654136	13452	Serena
654136	21014	Tuesday Arcatur
654136	24429	French Teacher
654136	42030	Lola
654136	94613	Alien Jumpsuit Chick #2
654136	121512	Shelly
654136	208527	Ambrosia
654136	213325	Britt
654136	255430	Celeste
654136	290982	Bikini Girl
654136	297190	Sorority Girl
654136	308128	Harry's Lunch Date
654136	311746	Fantasy Girl #1
654136	351775	Samantha
654136	363483	Sondra
654136	390322	Lizzie
654137	24363	Heimleiterin
654137	25763	Resi
654137	107777	
654137	186910	
654137	300969	Irinka
654137	325943	Helga Waschinsky
654138	13875	Miss Bonner
654138	44998	
654138	170433	Une concierge
654138	248165	Marguerite, the Concierge
654138	254118	La dame pipi
654138	269737	La vieille dame du Crédit mun
654138	275110	
654138	278709	La caissière P.M.U.
654138	289210	
654138	309456	Bernard's Mother
654138	319824	Femme sourde
654138	326035	La Bretonne
654138	345205	
654138	412201	
654139	134423	Katie Webster
654140	284862	
654141	108472	Mädchen
654142	400954	(1966-1973)
654143	55544	
654144	24690	
654144	153739	Vaimoehdokas numero 7 aviolii
654144	190658	Nainen, jolta Hikka kerää rah
654144	237243	
654144	239911	
654144	255935	Maid
654144	272834	Rouva Rottinen
654144	278560	
654144	321946	
654144	349136	Rouva Välivilja
654144	349139	Lääkäri
654144	349140	Mattoja tamppaava nainen
654144	349141	Kauppias Rentukka
654144	349142	Kamppanjapäällikkö
654145	225732	
654145	345670	Daisy Bit
654146	35881	
654146	107980	
654146	111772	Eva Knauer
654146	119242	Frau Sinon
654146	237723	
654146	269195	
654146	269196	Marianne Bredow
654146	294144	
654146	323731	Charlotte Smith
654146	332620	
654146	352192	
654147	11777	
654148	384117	Herself
654149	182704	Michiyo Okano, Club Buckingha
654150	344962	
654151	113908	Tara
654152	338546	Traveling Companion
654153	195375	Carol Pringle
654154	3182	Doctor
654155	64153	
654155	336255	
654156	405209	Moana Hewitt (2000)
654157	271751	Hebamme
654158	3924	Mogul
654159	280343	
654160	50465	Woman at Bank
654161	87889	
654162	113063	Agi Magyar
654163	1826	Nachrichtensprecherin/Newsrea
654163	195703	Narrator
654163	361111	Herta Prost
654164	199895	
654165	222784	Halloween Girl #1
654166	380511	Herself
654167	380170	Midia
654167	394078	Ilektra Theoxari
654168	188903	
654169	278550	Tomoko Ônishi
654169	405219	Masako
654169	411646	Naoko Yamada
654170	213696	
654171	322299	Polish Artist
654172	146916	
654172	172046	
654172	299083	
654173	333423	Marjorie Belew
654174	214662	Diner Patron
654175	214662	Bar Patron
654176	131780	Jimmy's Date
654176	194374	Oaf's sweetie
654176	367856	Producer/Stylist
654177	80782	Gallery Extra
654177	341049	Reporter
654178	82095	Amanda
654178	170702	Nina
654178	222831	Bridal Assistant #2
654179	143627	Lucille Vernois
654179	184426	
654179	264819	Girl
654179	293208	
654179	403992	Woman - Rosario Imposter
654180	182948	Women's Army of Revolt/Citize
654181	136822	Chorus - contralto
654182	16037	Joyce
654182	73325	Make-up Lady
654182	80518	Marlene Tucker
654182	93594	Val
654182	96836	Anna
654182	103593	Bobbie the waitress
654182	193606	German tourist
654182	219249	Sarah Griffiths
654182	292593	Barbara
654182	327240	Julie
654182	373410	Ann Burden
654182	385020	Elaine Fenwick (1993-1994)
654183	190143	Lady Mendle
654183	263444	Mrs. Lyons
654183	327400	Rose Madden
654184	310329	Resort Concierge
654185	47542	June Clawson
654185	81271	Marilyn Healy
654185	125816	Betsy Shaeffer
654185	231037	Mrs. Gibbs
654185	232004	Girl
654185	243228	Ellen Carney
654186	124017	Punk Bass Guitarist
654187	153946	Pjerrot
654187	235532	
654188	118611	
654190	17935	Impromptu trumpeter/Herself/A
654191	46893	Dominic Jesson
654191	59540	Penelope
654191	67926	Vanessa Hampton
654191	110287	Francesca Thornton
654191	112032	Brigitte Lynch
654191	158723	Penelope
654191	185739	Inge
654191	271193	Emma
654191	290352	Nicki Johnson
654192	238658	Student
654193	40751	Assistant
654194	251529	Aurelie
654195	363415	Young Baby Ruth Coop
654196	363415	Young Cherry Coop
654197	11790	
654197	38186	Christina
654197	178584	Examiner Munich
654197	248508	Lucia
654197	290456	Andrea
654197	325816	
654197	351932	Isolde Neumann
654198	182455	Ingeborg
654198	182575	
654198	409080	Post cashier
654199	87480	Charlene
654199	126745	Female Instructor
654200	295557	Catwalk model
654200	313474	Ann Gella
654201	295557	Catwalk model
654201	313474	Tann Gella
654202	108788	Mistress
654203	23242	Flygtning
654203	104868	
654203	108573	
654203	129215	
654203	192662	
654203	224868	Datteren
654203	265052	
654204	19537	Michou
654205	389971	Herself - Presenter (1986-198
654206	24790	Eva as a Young Woman
654207	17928	Mrs Sidebottom
654207	50932	The Companion
654207	116854	Daphne
654207	160780	Jean
654207	164474	Maggie
654207	220797	Beth Howell
654207	229124	Lily
654207	250448	Lady in Motel #1
654207	255285	The Companion
654207	273943	Elaine Dodswell
654207	313039	
654207	319176	Miss. Passmore
654207	381273	Doreen
654207	382771	Mrs. Chadwick
654207	385020	Renee Bradshaw/Roberts (1976-
654207	396009	Mrs. Shurer
654207	399109	Lily Tattersall
654207	400184	
654207	408186	
654208	366449	Officer/Passenger
654209	307374	Sheraton child
654210	334757	Guest Soloist
654211	379926	Herself (6th Place)
654212	387647	
654213	72862	Grandma Bridges
654214	195441	Nina
654214	229826	Woman shopper
654215	368060	Skinny Woman
654216	235174	Richard's Wife
654216	333868	TV Journalist
654217	47790	Candice Carveth
654217	80639	Natalie
654217	80660	Sharon Lessey
654217	105426	
654218	239786	Church organist
654218	398739	Mrs. Battle
654219	241444	
654220	230024	Bonsey
654220	294573	Jasmine
654220	395954	Jacci
654220	401077	Ellie Ndebala (1993-1994)
654221	29650	Cindy
654222	122193	Stephanie Thorne
654222	340334	Beru Lars
654223	144869	Fun Girl at Party #3
654224	161736	Susan Wyatt
654224	214162	Dorothy
654224	310563	Maurene Easton
654225	297793	Herself
654226	281910	Secretary
654227	40199	Showgirl
654228	23339	Melissa Mitchell
654228	276873	Wheeler
654228	405209	Phyllis Trelawney (2001)
654229	380999	Various Characters
654230	264991	Young Girl 2
654231	64106	Extra
654231	105813	Extra
654231	176724	Hand/foot double
654232	60179	Tracy 'C'
654232	147966	Tyler's girlfriend
654233	31285	
654233	379836	
654234	80034	Guest
654234	162862	
654234	266554	Joanna Borden
654234	331637	Anita
654234	358583	Prostitute
654234	364307	Girl
654235	42014	Jeanette
654236	145645	Anita
654237	12338	Catering Manager
654237	36565	
654237	52093	
654237	60147	Sheila
654237	91574	Rose Goodman
654237	143505	
654237	184906	Cheryl David
654237	196891	Casey Nudleman
654237	244933	Sally Crowder
654237	331630	Herself
654237	385424	Cheryl David
654237	388499	Kate
654237	392423	Herself
654238	332015	Rene York
654238	397926	Carol Post
654239	317928	Victim
654240	71474	Child in street
654241	303860	Dispatcher
654243	217411	Maid
654244	381981	Girl in car
654244	397671	Maid
654245	13966	Vegas Show Girl
654246	41843	
654246	87393	Millie
654246	116209	Security Officer
654246	146769	Esther
654246	393881	Roberta (1970-1971)
654247	1675	Herself
654247	91862	
654247	103304	Karen
654247	105041	Katy
654247	116675	Angie
654247	127134	Operating Room Nurse
654247	141815	Tommy's Publicist
654247	216804	Monique
654247	323974	Myra
654247	389092	Linda
654247	396933	Ivy
654247	399335	Karen
654247	399336	Karen
654248	262034	
654249	327300	Cynthia Kelsey
654249	395471	Original Zev
654250	118529	Herself (singer)
654250	232317	Manicurist
654250	380911	Herself - Judge
654251	9800	Olive Oyl
654251	11633	Mirandy
654251	12288	Olive Oyl
654251	26435	Olive Oyl
654251	49262	Olive Oyl
654251	55827	Olive Oyl
654251	70561	Olive Oyl
654251	89375	Olive Oyl
654251	110979	Olive Oyl
654251	127069	Olive Oyl
654251	138733	Olive Oyl
654251	139675	Herself
654251	142562	
654251	154889	Olive Oyl
654251	163646	Olive Oyl
654251	168913	Olive Oyl
654251	176273	Olive Oyl
654251	186824	Olive Oyl
654251	204888	Olive Oyl
654251	206475	Olive Oyl
654251	209019	Olive Oyl
654251	230408	Olive Oyl
654251	233305	Olive Oyl
654251	236907	Olive Oyl
654251	239989	Olive Oyl
654251	239994	Olive Oyl
654251	241960	Olive Oyl
654251	267961	Olive Oyl
654251	291164	Olive Oyl
654251	297129	Olive Oyl
654251	314144	Olive Oyl
654251	365943	Olive Oyl
654251	365944	Olive Oyl
654251	368702	Olive Oyl
654251	401857	Olive Oyl (1938-1943)
654252	47385	Herself
654252	288697	Mimi Madison
654253	212084	Kid in classroom
654254	47915	Teacher
654255	54657	Melissa
654255	372210	Fiona
654256	120809	Child
654256	230101	
654256	245458	Beth Kiler
654257	157324	St. Jude Student
654258	193260	Gospel Singer
654260	286228	Dancer
654261	286228	Dancer
654262	286228	Dancer
654263	255242	The Beautiful Girl
654264	8169	Receptionist
654265	125586	Gwen
654266	293198	Young Coral
654266	320764	
654267	357092	
654268	90004	Lilly
654268	232424	2nd Hitchiker
654268	263747	Kimberly
654269	112280	Barbarina
654270	41537	Kate
654272	67400	Phil's Girlfriend
654273	169119	
654274	130685	Russian Authority
654275	210758	Walk of Shame Hooker
654276	108956	Party Family
654277	331373	Mastron
654278	292479	Leah Hurst
654278	380713	Faith Snyder #3 (2002-present
654279	16968	Young Joanne
654279	46532	Larissa
654279	62489	Amy
654279	78779	Deena Schultz
654279	113261	Sherry
654279	119879	Sissy Clark
654279	154040	Patricia
654279	154988	Hannah
654279	176931	Karen
654279	213941	Carla
654279	231090	Shari Lampkin
654279	286464	Shelly
654279	300054	Pea
654279	369195	
654279	370880	Helen Kerrigan
654279	379104	Fiona
654279	380391	Alison Van Rohan (1995)
654279	400209	Judy Brooks
654279	409215	Judith Harper
654280	136015	Faye Bearden
654280	142716	'Family' girl
654281	23400	Lisa
654281	338143	Girl in Window ("Bonding")
654282	83650	Jackie Brice
654283	29523	Barfly
654284	81346	Spaz Girl
654284	194701	Bank Teller
654285	296967	Helen Cole
654286	192794	Cate Fosters
654287	333417	Susie
654288	79049	Vampire
654289	382392	Herself
654290	195295	Molly
654291	55159	
654292	56545	Herself
654292	80750	
654293	114253	Heather
654294	333777	
654295	76871	
654295	122154	
654295	233105	
654296	380900	Luza Luft
654297	177133	
654298	172471	Suzuko Komatsu
654299	379508	Mimi
654300	42775	Herself
654301	247245	Koram
654301	298928	Sâra
654301	386236	Oda Noriko
654301	401100	Suchimu
654302	66096	Go-Go Girl
654303	68867	Penelope
654303	80050	Sabrina Davis
654303	195495	Trendy Gal
654303	281911	Jennifer
654304	381312	Maria
654305	21706	
654307	247456	Atanasia
654308	383470	Norma Ballesteros
654308	383472	Jessica
654308	385252	Bijoux
654308	387621	Chela
654308	391173	Carmen Felicia Lozada
654308	392610	Mildred
654308	395373	Beatriz
654308	402462	
654308	410387	Lily Garzón
654309	291825	Female Mariachi Band
654310	121314	
654311	358846	Miss Måneskin-pige
654312	138865	Carol
654313	45941	Pige der får hendes tøj stjål
654314	87139	
654314	89494	
654314	126327	
654314	126462	
654314	133314	Gertrud
654314	142139	
654314	166749	
654314	188800	
654314	197810	
654314	219278	Almuth
654314	221270	
654314	225247	Hedwig Dethlefsen
654314	228537	
654314	229161	
654314	252328	Elfie
654314	258393	Berta
654314	281230	
654314	283223	
654314	290274	
654314	315978	Mutter
654314	347655	Gerda
654314	356733	
654314	358223	
654314	390701	Emma, Bellheims Haushälterin
654314	394477	Ami
654314	395010	
654314	399177	Herta Brendel
654314	399825	Nachbarin
654314	400044	Almuth
654314	400273	Mamsell Westfalen
654315	344677	Herself - Medical Doctor/Brea
654316	84980	Nurse
654316	260789	Woman in street
654317	93237	Grandson Kitty, Inganok Sailo
654318	283343	Witness #2
654319	218823	Laura Carpenter
654320	252524	Penelope Marshall
654321	33742	Baby Beloved
654323	300998	
654324	23241	
654325	127051	Maria
654326	408242	Mrs. Glover
654327	68417	
654328	29867	
654329	99018	3. Magd
654329	197310	Eine Theater-Garderobiere/Gym
654329	204651	Jovatte
654329	358690	Waltraute
654330	405292	Eukko #1
654331	47077	High-Strung Mom
654331	154470	Nurse
654331	166692	Emergency Room Nurse
654331	212732	Female tourist
654331	245541	Detective #2
654331	343189	Dr. Ramey
654331	363078	Manager
654332	391258	Herself
654333	365312	Girl
654334	14121	Barber
654335	272031	Pissed-off Hooker
654336	267503	Massey
654337	236385	Carol
654339	16757	Cory Ditchburn
654339	79057	Tracey/Waitress
654339	95786	Golda
654339	142753	Young Mary Lowry
654339	328269	Victoria
654339	405445	Bethany
654340	30139	Janet
654340	316932	Gwen
654341	128838	Adelle
654342	12750	
654342	47507	Mrs. Barber
654342	108099	The third Duchess of Northumb
654342	124373	Lady Winterbourne
654342	140043	Lady Winton
654342	163599	Lady Lawson
654342	193625	Miss Janus
654342	241071	Lady Bravington
654342	258954	Mrs. Cashelton
654342	269456	
654342	292206	Mrs. Cortellion
654342	300994	Miss Worthington
654342	308082	Mrs. Forbes
654342	320260	Lady Const
654342	339360	
654342	340439	Duchess of Wellwater
654342	358610	Miss Ormsby
654342	363779	
654342	363797	Matron
654342	366373	Mrs. Elliott
654342	367785	Thelma Bandle
654342	407185	Lucasta
654343	133540	Herself
654343	329131	Herself
654344	385164	Hostess
654344	400176	
654345	245537	Nurse
654345	283248	Hooker on Strip
654345	329025	Mrs. Barnes
654346	2760	Miss District of Columbia USA
654346	215687	Miss USA
654346	215690	Herself - Miss USA 2002
654347	391258	Herself
654348	387735	Leni (1987)
654349	126243	
654350	61617	School Secretary
654351	212097	Woman of eternal garden
654351	301037	
654352	352222	
654353	278509	
654354	389120	Diana
654355	173318	Vampira
654356	147946	
654356	223410	Monika Basedow
654356	346998	Maid
654356	390701	
654357	4500	Helga Hartmann
654357	16219	Jutta
654357	25520	Mrs. Wilson
654357	34034	
654357	51129	Isabella
654357	111265	Inge
654357	126400	
654357	166333	
654357	177214	Ulla
654357	180976	
654357	219289	Fräulein Marston
654357	255714	
654357	269795	Gertrude
654357	274889	Hanna von Bredow
654357	277464	Lissy
654357	312115	
654357	312880	Frau Elling
654357	317666	
654357	325602	Else Dormin
654357	325689	Dr. Prieberg
654357	393400	
654357	402374	Frau Joost
654357	406321	
654358	1712	Vegan Night Club Dancer
654359	189843	Herself
654360	98217	Eileen
654361	51880	
654361	404431	
654362	126243	Eva Koeler
654363	45591	Supermodel
654363	106246	Catherine Arena
654363	194219	Elaine
654364	439	
654364	11832	
654364	11887	Hilde Kasulke
654364	34293	Karin Schröder
654364	35095	
654364	45985	Doris Strathmann
654364	48400	Käthe Severin
654364	74400	Hannelore
654364	101338	Direktorin
654364	125005	
654364	129664	
654364	140770	Ulli
654364	178648	Mutter
654364	210045	Margot Markgraf
654364	210235	
654364	223463	
654364	225124	Mrs. Blöcher
654364	231540	
654364	259486	Lisa Murnau
654364	259489	Anita Schilling
654364	259493	
654364	259565	Frau Dr. Schwundt
654364	259600	
654364	259641	Helga Reichenbach
654364	259685	
654364	281669	Richterin
654364	284418	Gisela Escherich
654364	285001	Frau von Przebendowska
654364	290043	
654364	290793	
654364	312068	Mutter
654364	312639	
654364	312645	Zolloberkommissarin
654364	325886	
654364	343694	Fee
654364	374364	
654364	376120	Julia
654364	376573	Doctor
654364	391600	Frau Silberstein
654364	393169	Eva Veber
654364	409609	Frau Gebhardt (1992)
654365	361503	
654366	7426	
654367	72668	Woman running out of church
654367	115318	Mother
654367	201346	Teacher
654368	61788	Candy Danesi
654368	115318	Heidi, the Little Angel
654368	201346	Little Majorette/Little Girl
654368	232104	Rosie/Armless waitress zombie
654368	286223	Janelle
654370	34475	
654370	100911	
654370	126838	Teresa Carrar
654370	136929	Zsofi
654370	152766	Hanne Hiob
654370	226201	
654370	229171	
654370	274863	Frau Silberstein
654371	260789	Girl in spandex
654372	445	Aida, Leanders mother
654372	13614	Yvonne, Gösta's mother
654372	18266	Eurydike
654372	29579	Maria of Magdala
654372	34493	Karin's mother
654372	39118	Elena Popowa
654372	48368	Karin Löfgren
654372	58830	Mrs. Armstrong
654372	96419	
654372	104784	The Mother, actress
654372	104818	Jenny Berggren
654372	115395	Dagmar Antonsson
654372	122327	Gertrud Stenström
654372	122456	Beatrica
654372	134261	Greta Svensson
654372	136613	Lisen
654372	153717	
654372	164786	Nurse Greta
654372	169976	Agnes Waldengren
654372	179679	Mamman
654372	182302	Kaj Ekman
654372	182575	Harmonious Wife
654372	191558	Juror
654372	192929	Lily Miller, Nat's sister
654372	209369	Rutan
654372	225348	Polina Andrejevna
654372	237265	Nurse Brita
654372	238774	Mum
654372	245805	Anna Blake
654372	258991	Mother
654372	268155	Mrs. Eynsford Hill
654372	268351	Klavdija Vasilevna Savina
654372	281908	Colonel's wife
654372	284553	Stig Helmer's mother
654372	289731	Fru Jacobi
654372	293839	Grandma
654372	303645	Adele Hellgren
654372	303706	Woman in the boat
654372	304199	Barbro, Sven's Grandmother
654372	304220	Wife
654372	305874	Stefan's mother
654372	307770	Secretary
654372	307772	Madeleine
654372	312229	Mrs. Cot
654372	322277	Stig-Helmer's mother
654372	326518	The inn host's wife
654372	341091	Religious aunt
654372	346969	Lady Raeburn
654372	346987	Bibbi Nicklasson
654372	354414	Mrs. Sörby
654372	357747	Emma
654372	377304	Lilian
654372	377309	Linda
654372	377396	Mother
654372	377442	Ester
654372	387026	The Duchess (episode 5)
654372	392357	Dagny
654372	405593	Miss Wagner
654372	405619	Dagny
654373	320563	
654374	177702	Fairy #2
654375	47430	Maria
654375	244420	Hell escapee
654376	341181	Dezi
654377	362605	Shenique
654378	86287	Phone woman
654379	164955	
654380	81176	Young Chrissy
654381	334951	Matsu
654382	102979	
654382	359600	Anke
654383	245113	Christina
654384	81176	Young Kate
654385	193406	Woman Customer
654385	208207	Cora Nomed
654385	314100	Girl #2
654385	321574	Jenny
654385	392176	Alice
654386	361053	Julia
654387	387938	Cooey/Kate
654388	286825	Oma
654389	237717	Frau vom Friedhof
654390	74947	Girlfriend
654390	286825	Julia
654391	403582	Hostess
654392	153493	Seema
654393	260697	Fan
654394	374395	
654395	73826	Chan
654395	187333	Teri Ahki
654395	276796	Teri Aki
654396	3922	Shigeno Hidaka
654396	29565	Masayo
654396	31522	Oine
654396	180137	
654396	213283	Kiyoko Sayama
654396	216785	Yasue
654396	222922	Tamiko Miyaji
654396	245881	Osumi
654396	271834	
654396	283918	Tsuruko Takahashi
654396	299300	
654396	344034	Mrs. Matsuda
654396	373284	Mrs. Sekine
654397	130501	Minira
654397	344025	Stasha (Queen of Iscandar)
654397	344030	Starsha
654397	394255	Anna, Flone's Mother
654397	396488	Mako's Mother/Mrs Tomida
654397	396499	Sally Yumeno
654397	409327	Starsha
654398	293450	Washiko Daiwa
654399	37716	Hanako Mitsurugi/Kuinbii Hani
654399	242418	Reika
654400	335270	Misato
654400	394548	Miiko
654401	358947	Receptionist
654402	682	Baby Carriage Girl
654402	1497	Mika
654402	11409	Teen diva
654402	53059	Hippie
654402	65844	Becky
654402	79823	Rose
654402	106597	Popular Girl
654402	177696	Katelyn
654402	242078	Eleanor Takase
654402	284815	Sabangga Bangkok
654402	291247	Leilani
654402	306616	Asia Lee
654402	309718	Stacey
654402	341055	Ann
654402	384350	Yasmina (2000 - 2001)
654403	358947	Dead Woman
654404	510	BT
654404	516	BT
654404	517	BT
654404	25749	Yukari Tanizaki
654404	26238	Nene Romanova
654404	29395	Kyouko
654404	123110	Marble
654404	155537	Cross
654404	201091	Shiori Ninomiya
654404	201289	Lolly
654404	217377	Shirase Mao
654404	247245	Palme
654404	299262	Ran Hibiki
654404	311344	Nancy
654404	319374	Nene (Bubblegum Crisis)
654404	323134	Kobayakawa Miyuki
654404	335380	
654404	378651	BT
654404	379484	Kagurazaki Miyabi
654404	379485	Kagurazaki Miyabi
654404	381025	Yukari Tanizaki
654404	381163	Bomber
654404	382108	Karaberas
654404	384218	Arden Purple
654404	391337	Helena
654404	394523	Natsuko Shôno, Robert
654404	397371	Hikaru
654404	401393	Bulan (Japanese version)
654404	402863	Various minor female characte
654404	403966	Tsubaki
654404	404061	Bloodberry
654404	404062	Bloodberry
654404	405166	Boke/Biki
654404	405356	Lum Cheng and Annie
654405	125242	Flula
654406	292175	Sewing machine woman
654407	300890	Siddhartha's mother
654408	211825	
654408	373218	
654409	334955	Keiko Yamazaki
654409	394392	Lumiere
654410	9190	Nurse
654410	375558	Nurse
654411	384221	Vector Sigma
654412	245341	Princess Kahm
654412	283619	Caramel
654412	348752	Lum
654412	348753	Lum
654412	348754	Lum
654412	348755	Lum
654412	348756	Lum
654412	348757	Lum
654412	348758	Lum
654412	348759	Lum
654412	348760	Lum
654412	348761	Lum
654412	348762	Lum
654412	348763	Lum
654412	348764	Lum
654412	348765	Lum
654412	348766	Lum
654412	348767	Lum
654412	380318	Milady
654412	405356	Teres Vargie
654412	409686	Lum
654413	208089	Remi, aunt of Matthew
654413	397129	Remi
654414	126648	Student #4
654415	41790	
654415	281575	
654415	373922	
654415	394974	Dînas
654416	3938	Rouge
654417	389199	L.A. Co-Anchor (1995- )
654418	176592	Banno's second sister
654419	212135	
654420	204940	
654421	400053	Aiko's Mom
654422	240473	Villager
654423	299442	
654424	202540	London Dancers
654425	67052	Fever Dancer
654426	29605	Yoko
654426	360028	Kiuchi, Shizuko
654426	393148	Chika Irie
654427	155505	Yoshiko Shirayama
654428	149730	Mrs. Horyoko
654429	24267	Accomplice
654429	45708	Takako
654430	144465	Caroler
654431	294058	Mami
654432	231210	Little Old Lady
654433	220042	Dr. Zelas
654433	283938	
654434	137195	Ann Dickerson
654435	158818	Suzi Sharp
654436	1599	Mrs. Burtshaw
654436	8012	
654436	26976	Mrs. Humphries
654436	36776	German barmaid
654436	37007	Edie Pegden
654436	38959	Mrs. Jessup
654436	39889	Joyce, Davis's secretary
654436	40976	Gran' Ramsey
654436	45530	Mrs. Bates
654436	45594	Mrs. B
654436	45624	Mrs. Knowles
654436	47207	Herself
654436	69820	Broaders (Michael's maid)
654436	71099	Old Woman
654436	72018	Maud
654436	73938	
654436	75404	Mrs. Dorbell
654436	79918	Mrs. Trott
654436	90259	Agnes O'Connor
654436	99842	Mrs. Cornelius
654436	101721	Mrs. Ada Lapford
654436	116798	Mrs. Coot
654436	116975	Mrs. Doyle
654436	117588	Barmaid
654436	118558	Gwen
654436	120296	Vera
654436	122030	Mrs. Galloway
654436	123216	
654436	129824	Elsie
654436	131392	Mrs. Oakroyd
654436	133617	Miss Rawlings
654436	147556	Herself
654436	148210	Margie Groves
654436	160780	Aunty Kitty
654436	170411	Julie's grandmother
654436	177146	Mrs. Rothwell
654436	193984	Mrs. Pewsley
654436	194690	Kelly's landlady
654436	194809	Annie Longden
654436	194824	Hotel Maid
654436	195866	Sal Brown
654436	199712	Rosa
654436	200112	Doctor's Housekeeper
654436	200443	Nanny's friend
654436	208698	
654436	208720	Janet
654436	209098	Mrs. Hopkins
654436	210514	Jean Taylor
654436	223764	Ada
654436	229135	Herself
654436	231107	ATS drover with puncture
654436	232365	Mrs. Grose
654436	241028	Ma Fox
654436	241033	Mrs. James
654436	241385	Cook
654436	245663	Mrs. Carter
654436	250448	Jim's Mother
654436	253452	Mrs. Usher
654436	261023	Mrs. Skinner
654436	268223	Herself
654436	272758	Mrs. Winthram
654436	281171	Nurse
654436	285638	Mrs. Lack
654436	298013	Mrs. Hardcastle
654436	302128	Jessie
654436	307970	Agnes Russell
654436	316604	Mrs. Perkins (woman at police
654436	323178	
654436	328239	Mrs. Taylor
654436	330086	Mrs. Larkin
654436	332768	Mary, farm girl
654436	333245	Alice Crouch
654436	341963	Mrs. Rowan, landlady
654436	345787	Edie Pegden
654436	360551	Mrs. Gaye
654436	361474	Ivy Dawking, [a Land Army Gir
654436	363205	
654436	364327	
654436	364818	Deric's Mother
654436	367903	Gran' Ramsey
654436	388794	Sarah Danby
654436	388893	Mabel Brassington
654436	390921	Capt. Emily Ridley
654436	392687	Ivy Unsworth (II) (Series 1-5
654436	395178	Edie Pegden (1986-2003)
654436	397334	Thora Blacklock
654436	399931	Mam
654436	400538	Thora Parker
654436	402607	Postmistress
654436	407504	Violet (episode "Waiting for 
654436	407505	Doris (episode "Cream Cracker
654437	278318	Waitress
654438	175352	Klara-Fina (som barn) (episod
654438	182279	Sandra (episode 1)
654439	274195	Holly
654440	67041	Cassie
654440	72319	Jane
654440	80694	Lori Homolka
654440	84492	Amanda Pierson
654441	54821	Nun
654441	231638	
654442	246966	
654443	59384	
654444	166126	Autograph Seeker #1
654445	348299	
654446	397122	Kalinka
654447	303558	Old Woman at Funeral
654448	262516	
654449	328928	Anya
654449	390846	Various
654450	211727	The Afflicted
654451	146351	
654451	175259	Sada
654452	43898	Kei Shinkoku
654453	308778	Miles "Tails" Prower
654453	390794	Hana
654453	394521	Dorothy
654453	405942	Miles 'Tails' Prower
654454	101559	
654454	101563	
654454	101564	Girl in the Oasis
654454	153557	Okiku
654454	214917	Miss Japan
654454	260417	
654454	375569	
654455	8762	Shin Tsumura
654455	153557	Kikyo
654456	9332	Prostitute Who Falls in Love
654456	9335	Woman
654456	181888	Okaru
654456	182424	Momoko
654456	233128	Anna Motoyama
654456	242163	Hikaru
654456	244569	College Girl Model/South Pole
654456	300439	
654457	194874	Hiromix
654458	46856	
654459	139476	Walküre 13 Captain
654459	260417	
654460	285919	Fan of Chiyoko
654461	1882	Masayo Kimura
654461	108653	Madonna
654461	163011	
654461	172119	
654461	343641	Yoshiko Hayashi
654461	403411	
654462	373224	Sanae Rie
654463	104274	Hiroko
654464	399494	Tsuruhime/Ninja White
654465	20625	Extra
654465	40199	Cambodian lady
654465	62007	Vietnamese Woman
654465	149107	Mrs. Naguki
654465	228830	Woman
654465	314269	Grandmother
654466	216649	
654467	1653	
654467	31652	Makoto Izumi
654467	43045	
654467	67046	
654467	138063	Editor
654467	145453	Monami Sugita/Naoko Sugita
654467	165202	(segment "Arita")
654467	238384	
654467	260416	Yukiko Sato
654467	359699	Yumi Yoshimido
654467	374182	Flea Market Girl
654467	379475	Takazono Ako
654467	381461	Makoto Izumi
654467	385987	Chiyo Kotani
654467	395697	Hayakawa Ai
654467	395944	Takako Saito
654467	400618	Suzu
654467	405219	Miharu Sekiguchi
654467	406906	Yuki Katase
654467	407288	
654468	32443	Conservative Office Lady
654469	3529	
654469	76895	Mimimi
654469	100963	Izumi Suzuki
654469	125230	
654469	138868	
654469	214003	Akiko
654469	251819	
654469	261212	5-Star Pussycat
654469	289177	Haruko
654469	373232	Oyo
654469	405980	Yukiko Yuuki
654470	239487	Sumiko Akimoto
654470	374633	
654471	113104	Grootmoeder
654471	393451	Adrienne
654471	411116	
654472	183480	
654473	65095	Miss Earwood
654474	364942	Anja
654475	141151	
654476	169893	Suzanne
654477	275780	Neglected Relation Lady
654478	99369	
654479	382875	Carol
654480	46856	Mako Terasaki
654481	177600	Mathilde/Female Mud Bath Trol
654482	290070	Herself/Schindler mourner
654484	63753	Sister Morrison
654484	237485	Girl
654484	396286	Izabela (2001-)
654486	296974	
654487	241067	Molly
654488	84404	Alice
654488	107159	Brooke Ashton
654489	101332	
654490	230947	Citizen
654491	243168	
654492	301835	Nun
654492	358291	Emily
654493	69395	Continental Attendant
654493	108355	Young Woman
654493	176722	Hilton Bartender
654494	67958	Frau
654495	97946	Edith Harms
654496	10111	Anna
654496	46767	Duchess Sophie
654496	156711	Greta Burmester
654496	188672	
654496	191471	Beamtin
654496	293423	Paula
654496	325525	Erika
654496	352039	Frau Schumacher
654496	393878	
654497	25373	Woman
654498	313849	
654499	390900	Hana
654500	145415	Michelle
654501	73675	Herself - TV News Reader
654502	115138	Girlfriend
654503	180113	
654504	390771	Elizabeth 'Lizzie' Spaulding 
654505	101763	
654505	190747	
654505	325442	
654505	325443	Monika Laible
654505	325581	
654505	325907	
654505	348055	
654505	404224	Emma Martinek
654506	190953	Girl on Beach
654508	279619	Herself - Interviewee (audien
654508	314992	Herself
654508	378907	Herself - Team Captain (2002-
654508	396225	Herself - Co-host (1995-2001)
654508	398045	Herself - Host
654509	89281	La pute
654509	167103	Cliente kiosque courrier
654509	198638	Secretary
654509	208513	Madame Dubost
654509	268417	
654509	280523	Macha
654510	27210	Newsreader 1
654511	55738	Penelope
654511	125488	Dina Fineman
654511	138778	Maimee at seventeen
654511	158731	Liz
654511	168246	Nora Mitchell
654511	193521	Little Girl in Bunny Suit
654511	204522	Young Theresa
654511	224313	Young Judy Chapman
654511	235221	Bobbie Kockenlocker
654511	241799	Elllen, age 8
654511	285726	Agatha age 7
654511	310515	Rachel Bruin
654511	311979	Hope
654511	323565	Catherine Melancon
654511	344480	Allie Thompson
654511	362407	Young Tallasse
654511	372372	Annabelle Fox
654511	380713	Annie Hasbrook (1996)
654511	386248	Frannie (2002)
654511	387728	Rachel Greene #2 (2001-2002)
654511	395214	Various (1993-1997)
654511	395220	Various Characters (1993-1998
654511	396123	Heather Rose Forbes #2 (1993-
654511	405735	Shanna Levine
654513	156460	Night Club Dancer
654514	245122	Lollipop Girl
654515	146783	Basketball player
654516	11623	Miriam
654517	291293	Harriet Weiner
654518	113348	Lisa
654519	10351	
654519	33190	First Lady
654519	37261	Mrs. Chapman
654519	40632	Muriel Bedford
654519	46742	Mrs. Hooter
654519	81222	Mrs. Blair
654519	84404	Edith
654519	112432	Judge Rosenstiel
654519	123703	The Mayor's Wife
654519	155893	Karen Evans
654519	174508	Beth Dozier
654519	207899	Hazel
654519	215453	Marjorie Butterfield
654519	232508	Claire Franklin
654519	249422	
654519	264581	Mrs. Thornbush
654519	266591	Mother
654519	277088	Mrs. Florence 'Flo' Lowe
654519	294745	
654519	310598	Grace Harris
654519	314460	Shirley
654519	367444	Miss Rodham
654519	378727	
654519	380391	Marsha Davis (1970)
654519	385296	Eleanor Roosevelt
654519	385594	Mavis Anderson (1982-1988)
654519	387309	Stephanie Martin (1969-1970)
654519	387483	Lois Morgan
654519	389858	Mrs. Van Gelder (1982)
654519	391874	Grandma
654519	392545	Mrs. Stanhope
654519	395974	Rosemary
654519	400236	Eileen Riley Siegel (#3) (197
654519	405882	Marsha Davis (1970-1972) (ori
654519	410963	Dottie Jenkins
654520	83877	Margaret Elliot
654521	106216	Sonia
654522	388100	Herself
654522	408276	Herself (1998-2002)
654523	384097	Laura (2000)
654524	329883	Gilda
654525	215789	Myra
654526	384097	Jenny (2000)
654527	157826	Sam
654528	40849	Edith
654528	192207	Beattie Glowding
654528	257987	
654528	330776	Molly
654528	408091	Aunt Em
654529	5527	Angela
654529	40206	
654529	44511	Carol
654529	47935	Cathy Scarnato
654529	47954	Kitty
654529	49373	Girl Dancing in Bar
654529	91862	Sharon as a teenager
654529	113990	Monica
654529	114238	
654529	117241	Lill
654529	128195	Liane
654529	129440	Jill
654529	130329	Cindy
654529	141329	Jennie McGrane
654529	151110	
654529	196320	Natalie
654529	198021	Diana
654529	202501	Girl in wagon
654529	240943	
654529	255233	Adrienne
654529	292818	Hooker #3
654529	321774	Roxanne
654529	329503	Bonnie
654529	334903	Kate Beatty
654529	367243	Dr. Anna Wojeck
654529	383123	
654529	388135	
654529	395935	Hannah Peale Call
654529	412033	Eva
654530	290640	
654531	4550	
654531	17491	Valentine d'Arbanville
654531	36648	La comtesse de Frezac
654531	49603	Magda Goebbels
654531	53242	La reine Marie-Antoinette
654531	68918	
654531	100024	Oenone
654531	100349	
654531	125715	La grand-mère de Mathieu
654531	149812	Mathilde
654531	201081	
654531	217222	Claire Bernard
654531	218464	Miss Margaret
654531	223175	
654531	225477	Hortense
654531	232083	Mélanie
654531	236543	Marie-Antoinette
654531	247980	Louise
654531	264114	Jeanne
654531	266392	Madame Beloeil
654531	285768	
654531	286817	Françoise de Marsac
654531	295355	Mrs. Hollander
654531	301126	La Grand-Mère
654531	333236	Héloïse
654531	340372	Yvette
654531	345038	Chloé
654531	353921	Cecile
654531	356497	Rose
654531	376987	La duchesse
654531	379522	Anna Fraou
654531	380356	Valentine d'Arbanville
654531	383375	
654531	385789	
654531	393772	Florence Chéreau
654531	399193	Elodie de Paulnay-Talleyrac
654531	400050	Béatrice
654531	403108	Eva
654532	51051	Porno Woman
654533	122255	Elke Giese
654533	378537	Herself
654534	389241	Dada (1993)
654534	404221	Anita Tuomisto
654535	27284	Woman on the Balcony
654536	387367	Herself - the host
654536	391277	Herself - the hsot
654537	405292	Eukko #3
654538	190659	
654539	255513	Emäntä
654540	182840	
654540	214843	
654540	264291	Leukoija, prinsessan kamarine
654540	287535	Pirkko
654540	307139	Anna Saari
654540	341560	
654540	371657	
654541	346711	Naima
654542	357490	Candidate hôtel
654543	9189	Tokuko Hamada, nurse
654543	9190	Tokuko Hamada, nurse
654543	375558	Tokuko Hamada, nurse
654544	510	Rachel
654544	512	Kyoko Tohno
654544	513	Kyoko Tohno
654544	514	Kyoko Tohno
654544	515	Rachel
654544	516	Rachel
654544	517	Rachel
654544	4016	Skuld
654544	4017	Skuld
654544	18704	Haneda Miyuki
654544	29395	Arisa
654544	38818	Ami Mizuno (Sailor Mercury)
654544	38819	Ami Mizuno (Sailor Mercury)
654544	38820	Ami Mizuno (Sailor Mercury)
654544	38821	Ami Mizuno (Sailor Mercury)
654544	38822	Ami Mizuno - Sailor Mercury
654544	50001	Iria Klein
654544	54890	Kero
654544	54891	Kero
654544	63704	Karin Fox
654544	114804	Kumi Mizuno
654544	125942	Maki Umezaki
654544	133113	Mio
654544	136044	Becky Farrah
654544	137336	Hamaji 2
654544	162241	Iria
654544	179507	Yuko
654544	197488	Jean (Japanese ver.)
654544	199428	Girl
654544	202806	Mano Yohko
654544	202807	Yôko Mano
654544	202808	Yôko Mano
654544	202809	Yôko Mano
654544	202810	Yohko Mano
654544	202811	Yôko Mano
654544	267200	Nanase
654544	309469	Xianghua
654544	309470	Chai Xianghua
654544	313339	Rena Lanford
654544	334888	Annapuma
654544	344945	Girl
654544	354596	Chris
654544	373368	Reen Chamy Ku
654544	378718	Youko Nakajima
654544	379081	Mune-mune
654544	381025	Minamo Kurosawa, a.ka. 'Nyamo
654544	381166	Rei (Ray)
654544	381401	Ichino Yanagida (Ichan)
654544	382108	Ami Mizuno (Sailor Mercury)
654544	382109	Ami Mizuno (Sailor Mercury)
654544	382110	Ami Mizuno - Sailor Mercury
654544	382111	Ami Mizuno (Sailor Mercury)
654544	382112	Ami Mizuno - Sailor Mercury
654544	383459	Kero-chan (false form)
654544	384080	Sayuri Shirakawa
654544	385060	Marina Oki
654544	389218	Mokey Fraggle (1987-1988) (Ja
654544	389464	Yuki Sôma
654544	394419	Akino
654544	394571	
654544	396440	Taata
654544	396500	Sumire
654544	396923	Arimi Suzuki
654544	399784	Kuroi/Cloe
654544	402790	Haruka Shitow
654544	404576	Keiko{Japanese Version}
654544	405278	Miki Kaoru
654544	407828	Ryoko Balouta
654544	408351	Hoshina Tomoko
654544	408736	Boarder, Joyce
654544	408893	Rem Saverem
654544	411563	Hinoto
654545	349168	Oume
654546	280574	Fumiko
654547	176146	Matchmaker
654548	373190	Music teacher
654549	17877	Young Kenshiro Ooi
654550	373448	
654550	373450	
654550	394917	Yoshiko Matsumoto
654551	362538	Dance School Student
654552	324145	Tamala
654554	259491	Frau Winkelmeyer
654554	259526	
654554	259630	
654554	259666	Frau Klinger
654554	326019	Frau in der Bar
654555	390523	Mandy Freemont (1989)
654556	87975	AM America Host
654556	363423	TV Announcer
654557	127661	
654557	183917	
654557	184011	
654557	294035	Zaty
654557	294036	
654558	51271	Yuri's mother
654558	61529	Tomoko Tomoe
654558	157082	Student
654558	182718	
654558	211893	Sato
654558	344657	
654558	358119	
654558	378140	Misa
654558	409688	Anne Yuri
654559	249038	
654560	130646	Little Jane
654560	166691	Veronica Gerhardt
654560	229660	Nellie at age 5
654560	302929	Katherine 'Katarina' Wagenkam
654560	309252	Molly, as a child
654560	360190	Charlotte
654561	108085	Geraldine
654561	109976	Vera Wigo
654561	272616	
654561	319196	Wanda
654562	75830	Jennifer Ambers
654563	250640	The Lady Saphir
654564	72923	Nikki
654565	96247	Alissa
654565	97924	
654565	111041	La jeune fille
654565	135359	La jeune femme (segment "Prem
654565	159045	Voix intemporelle
654565	236594	L'amie
654565	308326	
654565	332188	Solange
654565	339495	Oesterline
654566	170291	
654567	85195	
654568	324501	Danseuse
654569	330057	Strip Club Pervert
654571	335081	
654572	124115	Ballet Performer
654573	174336	
654573	174340	Tomi
654574	245885	1026/1030
654575	133417	Nun
654576	105927	Jackie
654577	231533	Kathleen Cooke
654577	293078	Ruth
654578	265575	Mom
654579	381821	Ensemble (1970)
654580	291903	Skier
654581	220	Herself
654581	7584	Herself
654581	11084	Herself
654581	201737	Herself
654581	201797	Herself
654581	201819	Herself
654581	221645	Bit Part
654581	237910	Herself
654581	266574	Caroline
654581	284917	Herself
654581	303433	The Character Lady
654581	303753	Mother of skateboard rider
654581	312782	Chubby Bannister
654581	316323	Barbara Morton
654581	368902	Herself
654582	155272	Customer
654583	137922	Ophelia
654584	199495	Ballettlehrerin in New York
654585	2000	Jim's Mother
654585	2470	Francoise
654585	292667	Sara
654586	10152	Reporter
654586	381638	Various roles (1994)
654587	284004	Connie
654588	365452	Samantha Childs
654590	270896	B-Girl at the Elephant
654591	223700	Mavis
654592	160633	Protester
654593	81527	Stoner
654594	276376	Mary
654595	313522	Waitress #1
654596	60822	Catherine
654597	143098	
654597	245570	
654598	10635	WPC
654599	4003	
654599	224350	The Chinese - Die Chinesen
654600	137298	
654600	171625	Yoshino
654600	210476	Tôno Akiha
654601	233128	
654602	180620	Yagyu Kaori
654603	155505	Kazuko Futomi
654604	18685	
654604	238167	Reiko Asaka
654605	17425	Yuki
654605	182056	Reiko
654605	232918	Umeko
654606	66778	
654607	154379	Herself
654608	366139	
654609	13294	Seria Belle
654611	46603	Kundin
654611	284410	Küchenmädchen
654611	290266	Francisca, The Chambermaid
654611	322528	
654612	196387	Gerald
654613	104815	
654614	211159	The Woman
654614	243218	Eliza
654616	88084	La fille de Dorothée
654616	246291	Valentine
654616	291575	Nadia
654616	393279	
654617	33518	
654617	110204	
654617	135284	
654617	207662	
654617	225543	
654617	234328	
654617	249876	
654618	238167	
654619	132247	Peninsula Dance Team
654620	105508	Danielle Stanton
654620	176864	Waitress
654621	359499	Girl at bar
654622	27065	Young Keri
654622	151183	Little Girl #2
654623	262093	Reporter
654624	261236	Youth in Park
654625	27115	Marcy
654625	129348	Mae Gleason
654625	174206	Tammy
654625	237906	Cop
654625	301657	Molly
654626	159830	Maki
654627	153562	Girl In Hospital Corridor
654628	242416	
654629	5705	
654629	22054	
654629	26024	
654629	27764	
654629	30698	
654629	34037	
654629	105477	
654629	106705	Ezo
654629	136692	
654629	139497	
654629	156074	
654629	156217	Emine
654629	157333	
654629	173264	
654629	173421	
654629	179196	
654629	284804	
654629	285248	Nilgün
654629	377567	
654629	378591	
654630	199860	Latifah
654631	29556	
654632	304412	Miller's wife
654632	309064	
654633	48258	Naked Woman
654634	378897	Margareta Nystedt
654635	870	
654636	107708	TV Reporter #1
654637	17666	Anna
654637	34516	Berit
654637	40817	Therese
654637	42685	Herself
654637	51132	Alberte
654637	93282	Julia
654637	100093	Nicole 'Pumpkin' Truchaut
654637	123501	Mille
654637	130112	Louise
654637	130190	Herself
654637	136176	Queen Sofia Magdalena
654637	136637	Herself/Liva Iberhart
654637	144804	Laura
654637	147018	Herself
654637	164650	
654637	184666	Herself
654637	184667	Liva Iberhart
654637	184668	Herself
654637	184669	Herself
654637	184673	Herself
654637	184674	Herself
654637	203960	Lizzie
654637	213431	Liva Psilander
654637	218421	Sara
654637	219443	Karen
654637	237407	
654637	260961	Eva
654637	302427	Lulu
654637	303682	Marie
654637	314992	Herself
654637	376098	Herself - Presenter
654637	376101	Herself - Winner
654637	376102	Herself
654637	376103	Herself
654637	376108	Herself
654637	391364	Ida Stjamp
654637	395126	Liva Iberhart (2002-2003)
654637	396270	Various Roles
654638	316811	Journalist
654639	18452	
654639	175689	Granny Naukkarinen
654640	108971	Lille Gretes mor
654640	293879	
654641	164785	Maria
654641	408933	Ermeli
654642	182579	Shop assistant
654642	214343	Sylvesta
654642	320629	Herr Bengt's daughter
654642	338711	Fiskarkvinnan
654642	380203	Granntanten
654642	388309	Evy
654642	390151	Anettes mamma
654642	390950	Ulla, Steve's mother
654642	401772	Anette Johansson
654643	167866	Single Mother Judy
654644	372967	Claes' admirer
654645	29558	Guest at the masquerade
654645	84299	
654645	91521	Landlady
654645	115385	Train passenger
654645	119016	Fru Lundström
654645	192654	Guest at Chat Noir
654645	227740	Nurse
654645	303663	Guest at the birthday party
654645	338708	Guest at the restaurant
654645	343712	Mayor's wife
654645	357804	Guest at Blomquist's wedding 
654646	83087	
654646	203969	Mrs. Mørk
654646	343332	Fru Thorkildsen
654646	382884	Fru Stegman (1870-1876)
654647	326938	Girl in bed...
654648	33722	Nurse
654648	168436	
654648	182619	
654648	237286	Meta Nielsen
654648	314846	Annie
654648	388757	Various roles (1999)
654648	392322	Helle Blom
654648	399507	Puk
654649	228419	Persson's daughter
654650	320617	
654651	122506	
654651	136627	Betty
654651	191076	Ellen
654651	229281	Piken
654652	304517	Sangerinde
654653	321972	Vanja as Child
654654	210353	Herself/Host
654655	51265	Mother
654655	174103	
654656	377304	Patient
654657	28044	
654657	94513	
654657	137288	
654657	180666	
654658	374589	Virus
654659	16297	
654660	149624	Anne-Marie
654660	239893	Bozena's servant girl
654661	51091	
654662	234894	Oasis
654663	106687	Énekesnõ
654663	140712	
654663	165562	Vera
654663	174750	Lajos felesége
654663	198984	
654664	343560	
654665	267497	Police matron
654666	191755	Penelope's Mother
654667	229561	
654668	132281	Edita
654669	105966	MUDr. Dunovská
654670	139	Niederlová
654670	95590	
654670	132197	Women
654670	166660	Kalendová
654670	171531	Women with mantle
654670	171534	
654670	172903	Brabcová
654670	267951	Slavey
654670	339324	Dora
654670	383856	
654670	407383	Klára's mother
654671	30324	Singer
654671	89476	
654671	115863	Baruska
654671	116301	Dana
654671	165033	Tonicka
654671	165035	Tonicka
654671	172901	Mefistofela
654671	179594	
654671	179711	Brigitta
654671	179858	Josefina Kounicová
654671	179883	Tonicka
654671	181342	
654671	188869	Zdena
654671	198230	
654671	206727	Mère
654671	224960	Zena v cerném
654671	226025	
654671	234449	
654671	234743	Mother
654671	237810	
654671	256712	
654671	265947	Helena
654671	303104	Mother
654671	303743	Teresa
654671	304130	Jana
654671	323298	
654671	328220	Tesarová
654671	339247	Queen
654671	342296	Tumová
654671	344040	Head nurse
654671	344099	Blind Girl
654671	352472	Bozena Nemcová
654671	356779	
654671	357462	Eva Filipová
654671	357591	
654671	357745	Andela Fischerová
654671	383079	Andela Hrachová
654671	383856	Mother
654671	403629	
654671	410338	
654671	412316	Kubátová
654672	28228	Temnikarica
654672	50500	Sister Kislih
654672	55200	Cistilka
654672	83713	Ursa
654672	86578	
654672	172548	
654672	186541	Brankina mama
654672	192900	Papagajckova mati
654672	196835	
654672	209339	
654672	234450	Tatjanina mati
654672	262561	Mati
654672	273090	
654672	273136	Aktivistka Liza
654672	308482	Profesorica
654672	333794	Peèanka
654672	352784	
654672	369445	Mati
654673	88386	Jagoda
654673	88540	
654673	90509	Julia Martinez
654673	217268	Olga
654673	218946	Vesna
654674	15372	
654674	45405	Marianne
654674	72154	
654674	74176	Nemica u Gestapou
654674	77491	
654674	86734	Juliska
654674	94041	Pevacica
654674	166449	
654674	166617	
654674	171913	
654674	183075	L'impératrice Marie-Thérèse
654674	188529	
654674	209509	
654674	221348	
654674	229016	
654674	261350	
654674	261351	Beba
654674	262575	Rina, Matejina zena
654674	351329	
654674	376231	Sekretarica
654674	396589	
654675	372160	YDKJ Backstage Crew & Commeri
654676	357947	Jiricná
654677	310019	Tryphina
654677	405036	Queen Ntombazi
654678	58509	Paula
654678	78792	Wife
654678	128144	Warden
654678	142390	Anika
654678	188504	Dane's Girl #1
654678	270920	Erica's Girl #1
654679	236323	Marie Norbacherová
654680	26178	Volkova
654681	259055	Tomás
654682	63176	Mountie O'Teale
654682	384178	Mountie O'Teale
654683	38000	Soloist
654684	8777	
654685	333845	Julien Bouilloux
654686	296585	
654687	370863	Jade Cobra girl
654688	58483	Dancer
654689	323100	Tai Tai
654690	384369	Susan
654691	25095	Une vacancière
654692	76571	Erin
654694	268785	
654695	41757	Young Anne Marie
654696	124574	
654696	323100	Saleswoman
654697	410920	Vancouver Host (2003-)
654698	87106	Mrs. Chow Chow
654698	266715	Chinese Woman
654699	147108	Nurse
654700	73682	Mei Ling
654702	54183	Miss Li
654702	206648	Léa
654702	219606	Cora Palenbrg
654702	236570	
654703	323108	
654703	372946	Ivy
654704	37867	Girl on Hood
654705	61463	Ching
654705	62106	Lilly
654705	82145	
654706	27161	Jean
654706	61990	Lila
654706	82145	Fion
654706	86586	
654706	136878	Mrs. Lai
654706	147048	
654706	152794	Mavis
654706	209907	Blacky
654706	240592	
654706	268728	Disappearance
654706	300639	Man-Sze
654706	323100	Clara
654706	323108	
654706	332342	Yee
654706	369058	Kim
654706	369598	
654706	373156	
654706	375367	Guan Ai
654706	398446	Herself - J Ho
654707	199319	Leading Dancer
654708	176487	Tamara
654709	155248	Additional Soul
654710	167446	
654711	195418	Student
654712	153562	Receptionist
654713	62187	Sis
654713	286979	Kelly
654713	373083	
654714	8765	Ai Nu
654714	63293	
654714	76314	
654714	86271	
654714	236270	Ge Tianli
654714	298704	
654714	318432	Ho Sun Niang
654714	369628	
654715	69428	Ruby Low
654715	81207	
654715	86808	Nancy Ho
654715	113533	Genevieve
654715	145389	Madame Wong
654715	236726	Soon Cha
654716	141605	Hai
654716	323733	
654717	16940	Ah Yeh
654718	24875	Mdm Ong's elderly attendent
654719	62126	Nurse
654720	370923	Mike's Girlfriend
654721	172222	Happy Girl
654721	370464	
654721	370473	
654722	105920	
654722	144294	
654723	379480	Shen Shouyu
654724	305375	Chinese Student Club Member
654725	391783	Angel
654726	318697	
654727	223711	Karaoke Waitress
654728	1544	
654728	51836	Asian Wife
654728	138683	Student #1
654728	175223	Confessional Woman #2
654728	263439	Lady Vendor
654728	279871	Bernice
654728	306625	Fan
654729	323108	
654729	372946	Ivy
654730	58693	
654730	147048	
654730	240567	Zoe
654731	58109	
654732	307359	Girl at Brothel
654733	269841	Phuong's Sister
654734	115300	Shari
654735	3267	Marge
654735	20435	Sandy
654735	63140	Mrs. Baker
654735	67569	Woman
654735	72030	Medical Examiner
654735	79310	Saphron Jenkins
654735	82930	Candy
654735	106335	Woman Fan
654735	158311	Irene Hill
654735	176410	Newsstand tourist
654735	185180	Zeena
654735	211753	Waitress
654735	224012	Nurse at Retirement Home
654735	249225	Bambi
654735	263531	Mrs. Jacobs
654735	265516	Nurse Ida
654735	271342	Judge Walters
654735	281911	Geraldine
654735	301830	Pig Farmer
654736	5909	Gail Black
654736	20371	Denise
654736	27184	Callilou Carter
654736	51836	Molly
654736	99630	
654736	110321	Gaia's godmother
654736	113558	Molly
654736	137693	Gwen Piper
654736	137694	Gwen Piper
654736	143613	Charlotte
654736	178886	Dr. Annie Falk
654736	192286	Kevin's friend
654736	208042	Kate Blum
654736	220024	
654736	222639	Meg Faithorn
654736	321660	Barbara Mays
654736	326798	April O'Neil, Channel 3 Repor
654736	367253	
654736	396123	Charlotte 'Lotty' Bates Alden
654736	411342	Melissa Shaw Elliott
654737	6259	Estelle
654737	7089	Mrs. Muller
654737	11362	Nurse
654737	27935	Nancy
654737	72115	Mother
654737	80765	Gloria
654737	84960	Karen
654737	114672	Secretary
654737	128288	Gloria
654737	140446	May
654737	141187	Shirley's Mother
654737	146734	Woman at Airport
654737	148562	Mrs. Duckworth
654737	158920	Vance's Secretary
654737	222657	Edie Kalb
654737	255445	Anne Lind
654737	257520	Patsy
654737	292227	Leslie McKay
654737	324262	Assistant Surgeon
654737	339858	Wife
654737	364692	Mrs. Hayworth
654737	382224	May-Chapin's Secretary
654737	391401	Miss Essie Gillis
654737	410710	Liz Platt
654738	66365	Peggy Mallory
654739	307343	
654740	339325	Devojka iz vizije
654741	47605	Jordan Kramer
654741	70421	Lonette (performance model)
654741	76526	Leah
654741	148203	Girl Gangster on TV
654741	178932	Mother
654741	191985	Joan
654741	193524	
654741	207266	Julietta
654741	328608	Ariel
654742	159290	Camille à 5 ands
654743	341796	
654744	354131	Hac (segment "The Last Soldie
654745	11439	Additional Voices
654745	39688	Stacy
654745	39689	Stacey
654745	48490	Cashier Voomer/Voomer Waitres
654745	68738	Upload
654745	68739	Additional Voices
654745	85873	The Countess
654745	87409	Monica/Additional Voices
654745	87410	Girl 1/Additional Voices
654745	87458	Nurse
654745	112221	Haan
654745	123029	Elina
654745	127779	Haruna/Additional Voices
654745	206618	Eri Uemura, Jump Operator B, 
654745	223722	Janet
654745	248088	Herself
654745	262013	Cargo Bird Operator
654745	264168	Tua
654745	276440	Doctor
654745	298966	Light's Assistant
654745	302748	Slapping Girl
654745	309117	Lake Girl/Lin
654745	309119	Carrot's Girl/Waitress B
654745	311935	Additional Voices
654745	316615	Rinko
654745	316616	Chun Li
654745	316617	Chun Li
654745	316725	Orientation Leader
654745	318191	The Daughter
654745	331963	Nurse
654745	338774	Liann
654745	348870	Girl
654745	381163	Additional Voices
654745	382908	Additional Voices
654745	394421	Additional Voices
654745	406702	Additional Voices
654745	410769	Zim Zim
654746	261865	Vietnamese Woman
654747	28493	Townspeople
654747	404137	Additional Voices
654748	73902	Francine Boyette
654748	363415	Mary Elizabeth Hull
654749	5064	Lucy
654751	115379	Newsreader
654752	186847	Grace
654752	237991	Soph
654753	89308	Chainsaw woman
654754	347552	
654755	206212	Ellen Christine
654756	223817	Nurse in Lift
654757	26860	Geraldine
654757	107504	Elsie Wright
654757	131772	Alice Johnson, Meadowlands Gi
654757	132321	Clementina Cavendish
654757	140180	Flora
654757	160016	Angela Cross
654757	256079	Marushka
654757	292603	Young Isobel
654757	335155	Hatty (12/13 years)
654757	383683	Clary Cazalet
654757	386024	Bess (1996)
654758	15105	La femme de chambre
654760	263796	Nita
654761	197709	Anna Malleen
654762	92247	Woman
654762	330375	
654763	16658	Rose Clark
654763	55641	Cynthia Kreger
654763	60763	Mother #2
654763	88090	Aunt Louise
654763	114313	Annie Hill
654763	116033	Dogpound vet
654763	131987	Jessica Royce
654763	143068	
654763	147967	Candace
654763	154309	Mrs. James
654763	178145	Madam Francesca
654763	235541	Aunt Kitty
654763	239891	Louisa (45)
654763	263450	Susan
654763	273340	Cheryl Sweeney
654763	275462	
654763	292698	Rachel Dunleavy
654763	308115	Lorene Tuttle
654763	342642	Trish Winkler
654763	380391	Amy Dudley (1980)
654763	385824	Molly Chase (1984)/Jill Baile
654764	97048	Lady Customer
654765	7111	Gertrude Muller, alias Fräule
654765	9055	Bank Secretary
654765	46769	Lady Eleanora
654765	47029	Dorothy Kent
654765	56713	Connie Palmer
654765	58956	Molly Prescott
654765	65372	Edith Dexter
654765	68821	Ann Brock
654765	69499	Katherine Mason
654765	70214	Cynthia 'Babe' Laval
654765	73173	Diana Burns
654765	92503	Muriel Carew
654765	96827	Linda Randolph
654765	109222	Virginia Thatcher
654765	123137	Rosemary Walsh, aka Ann Rober
654765	125827	Claire Barrington
654765	152679	Herself
654765	154680	Herself
654765	154900	Dale Layden (Mary Jones)
654765	183581	Mrs. Carter Wardley
654765	183821	Isabel Beauvel
654765	190788	Julie
654765	199177	Della Elliot (reporter)
654765	212832	Lydia Matthews
654765	220801	Carol Brent
654765	231780	Ramona Lisa
654765	233620	Mrs. West
654765	235596	Mrs. Donnelly
654765	280364	Julie
654765	281837	Woman (from East of Borneo (1
654765	286343	Mrs. Carson
654765	289403	Claire Strong
654765	296757	Ruth Hackett
654765	302669	Alice North
654765	308636	Mrs. Powell
654765	309505	Lilyan Gregg
654765	320197	Irene Burroughs
654765	321529	Lead Woman
654765	337074	Anne Neville
654765	340570	Agnes Meeler
654765	347201	Herself
654765	364187	Alma Pearce
654765	367292	Peggy Nolan
654765	375045	Mrs. Frank Merton
654766	391973	Hostess (1989-2003)
654767	240941	Girl on bus
654767	289530	Dancer at Wedding
654767	360483	High School Student
654768	267932	Stewardess #2
654769	119802	Betty Anne
654769	233786	Eileen Rushforth
654769	258210	Carol
654769	279734	Mabel
654769	363790	Clerk
654769	396797	'Quaint' Irene Coles
654770	62932	Suzy Cooper
654770	194529	Caroline
654770	252841	New Gymnast
654770	306257	Gerda
654770	321184	Young Laura
654770	347367	Jenny Ackers
654770	399528	Chelsea Wright
654770	400933	Merideth Weller
654771	134137	Ruby
654771	188033	Madge Allsop
654771	331085	Ruth
654771	382743	Sister Pierre
654771	411809	Ida Jenkins (1979)
654772	56545	Herself
654773	79016	Jenny
654773	140402	Kim
654773	164657	Jackie age 5
654774	304339	Cathy
654775	299147	
654776	5168	Daisy Edwards
654776	138716	Herself
654776	143264	Jennifer
654776	143537	Lover Girl
654776	319557	Kathy
654776	382594	Jenny
654776	383766	Herself - South Team
654776	391869	Kelly Watson (1995-1997)
654776	405209	Officer Janet Maxwell (1998-1
654776	410722	Herself - Celebrity Special #
654776	411194	
654777	77479	Louella
654777	326834	Franky
654778	134122	Sara Hersey
654779	157965	Claire
654780	369480	Herself
654781	333194	Armana Woman
654782	324255	Landlady
654783	248478	Pam Hobbs
654784	263201	Herself (interviewee)
654785	135057	Woodbridge, Susan
654786	5168	Daisy's Sister
654786	43877	Dr. Karen Schumaker (The Ugly
654786	81541	Caroline Manchester
654786	138716	Herself/Nurse Annie Flynn
654786	184860	Jo
654786	194963	Publicist
654786	197067	Vivian Vance
654786	300772	Jane
654786	344187	Dr. Karen Shoemaker
654786	405209	Nurse Annie Flynn (1994-1995)
654787	314129	Rachel
654788	364281	Candy Store Girl
654789	61769	Girl #1
654790	200133	
654791	162578	Lady of leisure
654792	149974	Lois
654792	270975	Bev Broadhurst
654793	313064	Younger Gwen
654793	394504	Young Carrie
654794	2075	Amy Lawton
654794	47333	Cynthia
654794	65101	Claire
654794	89377	Rachel, age 15
654794	108335	Rose Ann Ginetti
654794	138165	Lizzie Lansdale
654794	217600	Christina Crawford (child)
654794	253499	Fay
654794	292034	Vanessa
654794	406907	Sarah (segments "First Impres
654795	283639	Mrs. Kelly
654796	305575	Mother and Daughter
654797	305575	Mother and Daughter
654798	122448	Marianne's Daughter Agnes
654799	100087	Victoria Bell
654799	161490	Mandy Manetti
654799	366782	Stephanie Zinone
654799	379716	Allison Jones (2000)
654799	390771	May Merisi (aka Mary Murto) (
654800	274022	Dr. Alice Fisher
654801	100625	Mayor's daughter
654802	1744	Herself/Audience Member
654802	201569	Herself
654802	208531	Woman on train
654802	367854	Samantha Failsworth
654802	382239	Nurse Valerie
654802	385020	Samantha Failsworth (1996-199
654802	391025	WPC Melanie Rush
654802	391759	Ward Sister Chrissie Williams
654803	381821	Ensemble (1973)
654804	155638	Karen Lohse
654804	314876	Nora
654804	345928	Julia
654804	366511	Käthe
654805	68688	JFK's 3:30
654806	49311	Doris Janker
654806	86101	
654806	155431	Claudia
654806	189554	
654806	259547	
654806	259576	
654806	259655	
654806	259657	
654806	282480	Nicole
654806	325392	
654806	325556	
654806	356740	
654806	395001	
654807	23927	Herself - Audience member
654807	407076	Herself/Winner
654808	113142	Cook
654809	319936	Jack's daughter
654810	287038	
654810	360273	
654811	41377	Bookstore Woman #1
654811	125825	Woman
654812	141579	Cathy (Catherine Earnshaw)
654812	169894	Jane
654813	336390	Herself
654815	392477	Herself/panelist (1952)
654816	266761	Mrs. Doonan
654817	23224	Mary Ann Morison
654817	24158	Claire Barry
654817	26976	Barbie Lomax
654817	27450	Molly Butler
654817	40281	Blanche Fury
654817	46748	Elizabeth Frankenstein
654817	54882	Countess of Chell
654817	62094	Janet Baker
654817	70076	Mrs.Sorensen
654817	94110	Mrs. Carruthers
654817	106626	Rene
654817	133589	Biddy
654817	133590	Estella/Molly
654817	133662	Eleanor Dominey
654817	142895	Frida, her daughter
654817	146050	Last Face in Montage
654817	161037	Carol North
654817	170547	Glory Fane
654817	177138	Edith D'Ascoyne
654817	190236	Mrs. Kendrick
654817	203567	Mimi
654817	209610	Stella Cartwright
654817	218317	Catherine Ripois
654817	224711	Helena Landless
654817	233573	Laura Anstey
654817	239067	Susan
654817	249921	
654817	250562	Maria
654817	268548	Kay Lawrence
654817	275678	Sandra Rogers
654817	280214	Hester Grahame
654817	284908	Maruschuka Lanova
654817	292537	Tania
654817	301598	Draguisha
654817	305410	Eleanor Byrne
654817	312145	Frau Tiel (schoolmistress)/Ji
654817	316164	Mauna
654817	327085	
654817	330838	Pat Drake
654817	330842	Pat Drake
654817	337759	Stella (segment The Composer)
654817	341532	Sally
654817	342915	Susie
654817	347529	Carol Bennett
654817	356277	Alycia Roach
654817	361543	Mrs. Lisa 'Lee' Glendon
654817	364170	Alex Cornwall
654817	370896	Diana Wentworth
654818	102146	Rosemary
654818	138444	Mavis
654819	334621	Assassin (in Saturday episode
654821	165009	Lynn Schlansky
654822	278153	Geneviéve
654823	190096	Woman in Soap Opera
654823	235353	Lisa Pilton
654823	366687	Busty Shopper
654824	241512	Friend
654825	177562	Mere Ubu
654826	352599	
654827	189898	Jutta
654828	86727	Pierrette enfant
654828	211375	France
654830	4763	Nina
654831	320458	Reiseleiterin
654832	310276	
654833	67183	
654834	290234	
654835	400545	Segment Player
654836	189987	Mrs. Dilbert, Dorm Mother
654837	5430	Julie
654837	110185	Annie Beauchamp
654837	130178	Mrs. Baker
654837	152865	Val
654837	304472	
654838	392747	
654839	312879	
654839	312882	
654839	312889	
654839	352192	
654840	33459	
654841	119689	
654841	307556	
654841	381694	Katinka
654841	388288	Remanka Walter
654841	391472	Krankenschwester Imke
654841	409958	Jaqueline 'Jackie' Lamers (19
654841	410002	Sabrina (2004)
654841	412106	Doreen Wille
654842	44433	Woman in Jail
654842	84002	Cocktail Waitress
654842	117065	Acting Class Student
654842	177275	Queenie Blank
654842	295397	(segment "Greed")
654843	361514	
654844	130167	Roberta Corbin
654845	333034	Roberta
654846	190095	Julie
654846	232498	Laura
654846	296808	Vera Tenslue
654847	214888	Nelly, Tänzerin
654848	48392	Dienstmädchen bei Forst
654849	215148	Miroslava's relative at Pragu
654850	108087	Musician
654851	188129	Little Greta
654852	335095	
654853	364025	Danish School Girl
654854	238094	
654855	394167	Herself - Anchor/Reporter (20
654856	304443	Jogger
654857	154927	Party person
654858	114283	Rand's Class
654859	68179	Martha
654859	184719	Mrs.Stanley
654859	195270	Mrs. Kelly
654860	183670	
654861	58666	Ann Bradley
654861	113732	Marilyn Steinberg
654861	140912	Penny
654861	248008	Miss Cartwright
654861	366959	Marin Franzovich
654861	383768	
654862	393037	Joyce
654863	68680	Kathy
654863	384097	Dr. Tanya Davies (1990)
654864	381455	Newsreader
654865	20373	Goth Vampire
654866	187222	Hagen Girl
654867	147496	Reporter
654868	12760	Janine
654868	97237	Mädchen
654868	138808	Jana
654868	182784	Katja
654868	325633	
654868	325664	Emma
654868	325727	Janina Patzke
654868	361468	Betty
654868	383292	Tanja Ewermann (#2) (2002-)
654869	6618	Pharmacienne
654870	240444	Lise
654871	169884	White Rose
654872	124686	
654873	133880	Herself
654873	297180	Harriet Hoctor
654874	150554	Bridesmaid
654875	393173	Kennedy Maid
654876	266347	Barova zpevacka
654877	150508	Nakajima
654877	178418	Junko Arima
654877	229783	Sae
654877	237761	Taeko Koshiba
654877	238381	Dancer Toshiko
654877	242315	Woman who nearly commited sui
654877	244573	Nurse
654877	288353	
654877	371978	Kei
654878	284003	Heather
654879	36712	Janet -(Jackie's daughter)
654879	209112	Jump Rope Girl
654879	278082	D'Onofrio Cousin
654880	223740	Teacher in Hallway
654881	124501	Mrs. Landemare
654881	128459	Wife/Husband
654881	203492	Foster Mother
654881	411690	Annie Hacker
654881	411691	Annie Hacker
654882	184273	Maryam
654883	191779	Christina
654884	237304	
654885	109544	Gossip
654885	115426	Manager Kalén's wife
654885	122331	Madame X
654885	174079	Member of the bridge club
654885	198391	Guest at the nightclub
654886	28530	Gloriant
654887	42208	Maria Holmqvist
654887	198265	Marianne
654887	219842	Eva as young girl
654887	301218	Girl at Sigge and Putte's par
654887	303734	Girl at the birthday party
654887	321510	Sonja Holmquist
654888	212427	
654889	263748	Lisa
654890	109704	Cassie
654891	382383	Nurse Molter
654892	351208	Pea Monk
654893	312854	Baby Elvis
654894	312854	Mrs. Elvis
654895	117550	Schoolgirl #1
654895	381685	Pringle
654896	12250	Charlie
654897	156150	Postsync Silke
654897	372044	Sandra
654897	382454	Jeanalisa
654897	390242	Terra Koetsier-Bloem (2000-20
654898	935	Mimi Philips
654898	73944	Rachel Stoltz
654898	83822	Lauren Allen
654898	144592	Juliet Beck
654898	154806	Eve
654898	195787	Jill Shanahan
654898	247500	Brenda Hopkins
654898	272326	Karla Withers
654898	289168	Herself
654898	331706	Mary Ann
654898	380030	
654898	389925	Libby Schuster
654898	395460	Annie Price
654898	396038	Gretchen Lafayette
654898	405092	Randi Wallace
654898	411414	Chris Grant (1997-1998)
654899	41930	Cigarette girl
654899	116443	Girl in shell dance
654899	127086	Bit part
654899	183443	Phone Operator
654899	241444	
654900	23935	Herself - audience member
654900	32740	Violet Heaney
654900	32897	Elizabeth Beaumont
654900	35132	Emma
654900	59702	Teacher
654900	65786	Joanna May
654900	81179	Anna Quayne
654900	87523	Young Wife
654900	95485	
654900	99081	Screaming Mum
654900	105655	Estelle
654900	107724	Rt Hon Margaret Thatcher MP (
654900	128780	Anne Baberton
654900	141559	Stella
654900	150567	Monica
654900	152210	
654900	157564	Alpha
654900	164637	Court Room Choir
654900	167601	Gwennie
654900	171076	Betty Charlady/Brenda
654900	186632	Delvene
654900	218845	Lady Julia Verinder
654900	226902	Ballet teacher
654900	241239	Maisie
654900	262281	Olivia Walton
654900	278081	Miss Hemmings
654900	278645	Herself/interviewee
654900	282037	Sister Belter
654900	283313	Phyllida Erskine-Brown
654900	292461	Lady Evelyn
654900	298291	Olivia
654900	319175	Christina Alperin
654900	330337	
654900	360069	
654900	386481	Rosina
654900	387332	Lady Diana Cooper
654900	391772	Penny Milburn
654900	393425	Jemima Shore
654900	395341	Geraldine Hackstraw
654900	395529	Mary Fisher
654900	400457	Sybilla Howarth
654900	403337	Julia Merrygrove
654900	403926	Phyllida 'Portia' Trant/Erski
654900	407157	Georgina Sweet
654901	191994	Bus Driver
654902	149258	Rent Party Dancer
654903	12205	Diner Waitress
654903	68027	Herself
654903	105492	Jill Mason
654903	155063	Mona
654903	398461	Connie Drego
654903	398739	Angela Davenport (1990-1991)
654903	399834	Nurse Sandy Miller (1991-1993
654903	406869	Bonnie
654903	409558	Jennie Malloy (1995-1998)
654904	72376	Dancing Girl in Bar
654905	34708	Mimi Labonq
654905	378628	Mimi Labonq
654905	378629	Mimi Labonq (Series 4-9) (198
654906	69410	Hilary
654906	101301	Secretary
654906	105135	Pippa
654906	186512	Joanna
654906	214641	Dream Sequence
654906	317326	Brigid
654907	366752	The Last One
654908	186650	Opera singer
654909	223502	Woman in restaurant
654910	98906	Wilma Stigmon
654911	121497	Police Officer
654912	56545	Herself
654913	401854	Janie
654914	118021	Dancing school girl
654915	78947	Aurlaessa
654915	95269	Sarah DeGellars
654916	190213	Jenny
654917	288467	Lost Teen
654918	150244	Irene Haggar
654918	403635	Marilyn
654919	33435	Betty
654919	45458	Herself
654919	108328	Laura
654919	116527	Singer, Trio Member
654919	154680	Herself
654919	186010	Mary Baker
654919	191588	Joan Huston
654919	205448	Ruth
654919	211570	Sally Brown
654919	231785	
654919	239719	Lois
654919	253476	Gale Rodgers
654919	294944	Audrey
654919	310566	Peppy, the singer
654919	330116	Mary Lou Carroll
654919	334116	Ruth Harper, Girls' Band Lead
654919	346863	Peg (showgirl)
654920	48950	Additional Voices
654921	195612	Aphrodite
654922	166871	Saloon girl
654923	398700	Josephine Delamo
654924	170543	Herself
654924	231496	Herself
654925	126686	Girls' Track Team
654926	367856	Herself
654927	11375	Model - Louise
654927	26670	
654927	53923	
654927	54750	Wet Girl In Pool
654927	63021	
654927	74129	Siren
654927	89067	
654927	93569	Louise
654927	98898	
654927	113687	
654927	114980	Flanderella
654927	126579	Louise
654927	131723	
654927	144565	
654927	146617	Porn Woman
654927	148848	Hippie
654927	149669	Housewife #4
654927	158044	Louise
654927	160351	Louise
654927	183353	
654927	188062	
654927	188072	Nurse
654927	188073	Nurse
654927	188085	
654927	188098	Nurse
654927	191199	
654927	195171	Louise
654927	195172	Louise
654927	195177	
654927	195179	Louise
654927	221776	
654927	263323	
654927	266802	
654927	270436	Extra
654927	272039	
654927	295817	
654927	296995	
654927	297827	
654927	299040	Ring girl
654927	303557	Naughty School Girl
654927	306606	
654927	311539	Model - Louise
654927	314201	
654927	319517	Stripper - Louise
654927	330062	Mistress Louise
654927	334733	Mistress
654927	361866	
654927	361917	
654927	364097	
654928	392697	Young Anne Brontë
654929	170826	Undetermined Role
654930	152976	News Reporter 3
654931	105200	Woman With Dog
654931	120516	Eleanor
654931	141656	Jessie
654931	207681	Jazz Singer
654931	221783	Liz
654931	380391	Maisie Watkins (1983-1987)
654932	167051	
654933	22949	
654933	61571	The Child
654933	101503	Nina
654933	116713	The Child
654933	150971	Edith Probert, age 5
654933	300006	Pamela Baudin, age 5
654933	346896	Stella Romani
654934	155249	Subject of Film
654935	185862	John's Mother
654936	3148	Mary Doel, Aged 4
654936	355184	Lily
654937	160576	Mrs. Margoyles
654938	30646	Cindi
654939	6338	Miss Morgan
654939	238433	
654940	68736	Recorder Player
654940	314484	Dancer
654941	18693	Horror Woman
654941	106317	
654942	58497	Resident in Cafeteria
654942	116100	Nurse
654942	161525	Secretary
654942	221255	Marie
654942	255233	Miss Williams
654942	399978	Mrs. Ziegler
654943	382266	Emma Beresford
654944	213303	Sosostris
654945	57139	Jess Rose
654946	321167	Kay
654947	297190	Bar Girl #1
654948	398278	Most Haunted Live Interactive
654949	342156	Extra
654950	331133	
654951	192175	Becky
654951	291488	
654951	385299	Nola Marsh
654951	394401	Binny Gathercole
654952	50607	Virginia Willis
654952	276197	Condemned Mother
654952	339480	Diane Tucker
654952	343055	Woman with Dog
654953	108617	Chloe
654953	381212	Joanne Dixon
654953	411197	Silent Edith
654954	10305	Dance Girl
654955	203436	Chorus
654956	313872	Voice Over
654957	183878	Constance
654957	247490	Dressmaker
654958	285756	Young Girl
654959	391869	Carly Morris/Lucini (1988-199
654960	165421	Katya
654961	215105	
654962	146424	Sophie
654962	238848	Cathy
654963	113886	The Firebird
654964	51243	La mère de Pascal
654964	248454	Mme Pissarro
654965	58505	Cassandra
654965	73114	Schoolmistress
654965	113414	Enzo's wife
654966	71	Soprano Soloist, Begin the Be
654966	350484	'Steal Away' Number Soloist
654967	148313	Desk Nurse
654967	187697	Yuppie House Buyer
654968	54074	
654969	28695	
654969	92888	
654969	131079	
654970	261380	Heda
654971	162745	
654972	7217	
654972	268228	
654972	341631	Mrs. Pokorná
654973	409755	Co-host (1963)
654974	32466	Play Actor
654974	32809	Minnie
654974	142491	Ilsa
654974	193099	Charlotte
654974	214466	Jennifer Priddy
654974	224723	Fay
654974	233510	Miss Lewis
654974	282384	Helen Masters
654974	365564	Gwendolen (in stage productio
654974	397941	Elaine
654974	405829	2nd Lt. Samantha Sheridan (19
654975	329107	Backing Vocals
654976	12319	Little Girl Blonde
654977	299870	Banker Bitch
654977	330910	Mother
654978	194513	Houseguest
654979	176865	TV Newsperson
654980	12319	Party Guest
654981	60829	
654982	399012	Zana
654983	225725	I. Selma
654984	165356	Ludmila
654984	349838	Julie Kahounová
654984	373510	Marianne Singer
654985	355657	Mona
654986	410537	Singer'LUV'
654987	87566	Eli
654988	366540	
654989	82166	Verpleegster 2
654989	157767	
654989	189963	toerist
654989	194423	
654989	391469	Ingrid (1999)
654990	232380	Principal Background
654991	143565	Basketball player
654992	378743	Billy
654993	115269	Women Coalation Diner Patron
654994	125978	
654995	18436	Case Worker
654996	375982	Fräulein Tege
654996	376626	
654997	286873	Samurai Vampire
654998	381704	Bertje
654999	244675	Jezebel
654999	336488	Claudia
655000	97035	
655001	18498	Chee-Chee's Right Hand Girl
655003	184573	
655003	259615	Anja Ruschin
655004	211473	Dee
655005	324225	
655009	312659	Nicolette
655010	165354	
655011	44584	Ekpiditrise
655011	306020	Gymlærer
655012	26884	Sigma
655012	312722	
655013	18333	Kristine Bakken
655013	47397	Rakel
655013	179085	
655013	240117	Dame med søppel
655013	268364	
655013	337184	
655013	340429	Eva Snekkersveen
655014	28531	Teaterpikens mor
655015	317262	Martha Little
655016	317262	Martha Little
655017	186864	Beate
655018	182527	Voice of Jacqueline 'Jac' Heg
655018	403987	
655019	212129	Child
655020	289934	Anne
655021	16959	
655021	223287	
655022	93800	Woman in Bed, Waitress
655023	79794	Very Young Hooker
655024	97940	Sarah Haas
655025	79794	Ruby
655026	225137	Isolde Loring, 'Isa'
655027	136298	Mourner
655028	115281	Pauline
655029	321375	Margie
655030	47390	Nicolette
655031	38254	
655032	392530	Herself - Finalist #7 (wildca
655033	11464	Roos
655033	79040	Rebecca
655033	201477	Herself
655033	379739	Roos
655033	390242	Myriam van der Pol (1990-1993
655033	392021	Herself - Host
655033	403856	Catherina Donkersloot
655033	410441	Liesbeth Vrijman (1993)
655033	411214	Lydia De Laet (1997)
655034	78436	Meisje
655035	120855	Marianne, seine Tochter
655035	361810	Karl's wife
655036	257164	Jeune fille
655037	70758	
655037	98269	Frau Brenneis
655037	104657	Marthas mother
655037	204581	
655037	229929	
655037	275139	Mrs. Hallet
655037	312207	
655037	325660	Frau Naumann
655037	325697	Alte Frau
655037	334574	Narrator
655037	347651	Mrs. Gibbs
655037	351606	Ethel Chipster
655037	374344	Mrs. Hudson
655037	376369	
655037	379835	
655037	390520	Mme Hudson (segment "Signe de
655037	393360	
655037	403794	Frau Armadale
655038	381341	Opoe Tjobbe
655039	219769	Old Woman in Funeral Parlour
655040	186808	
655041	96813	Isabel Carlyle
655041	128483	Janet
655041	143366	Dultitia Sloane
655041	165470	Mrs. Wilton
655041	171309	Mrs. Brown
655041	188401	Laura Boydell
655041	190999	Mrs. Paget
655041	192700	Lady Annesley
655041	213016	Ellie Morgan
655041	252859	Mrs. Pennypacker
655041	258732	Lady Keith
655041	268152	Ysabel, Social Reporter
655041	282607	Bit Part
655041	313298	Frau Heinmeyer
655041	328010	Isabel Carlyle (segment "East
655041	328076	Lady Etchingham
655041	328618	Mrs. Elvery
655041	331121	Agatha Poskett
655042	387450	Herself - Host
655042	400373	Herself (Sangerinde & TV-vært
655042	409176	Herself - Host (1998)
655044	84962	Elana
655045	205038	
655045	251853	
655046	5142	
655046	48391	
655046	122769	
655046	125168	
655046	125169	
655046	130940	
655046	155376	Pensionswirtin
655046	170686	Frau Faustmann
655046	180882	
655046	182742	Hofdame
655046	182754	Herzogin von York
655046	201334	
655046	225740	Fainting Spectator
655046	231353	Frigga
655046	248313	
655046	293995	
655046	317665	Frau Sandstadt
655046	367139	
655047	376441	Charlotte
655048	290553	
655049	217652	
655050	169119	
655051	381908	Herself (season 4)
655052	5055	Frau Kleist (Salzburg hotel o
655052	11066	
655052	109058	Mrs. Zimmerman
655052	122255	Frau Bergedorf
655052	134766	
655052	134778	Grossmutter Degener
655052	146859	Frau Magda Bauer
655052	150533	
655052	155479	Großmutter
655052	156708	Frau Minkwitz
655052	189866	
655052	208430	
655052	210512	
655052	283065	Lina
655052	284417	Mutter Burger
655052	290717	
655052	293415	Alte Frau
655052	294145	
655052	337135	Grossmutter Helene
655052	351538	Maria Jegorowna
655052	352395	Frau Hermann
655052	356838	
655052	358531	Frau Aronsohn
655052	401058	Großmutter Pawlak
655054	337551	Annerl
655055	339813	Lisa
655056	4737	
655057	278158	
655058	80824	Jane
655058	120148	School Girl
655058	172703	Waitress
655059	115884	
655060	93441	
655061	139089	Girl
655062	101395	Mathilde
655063	5218	Svanhild
655063	109118	Inga
655063	138006	Ellinor Hamsun
655063	154020	Dagny
655063	392072	Juni Anker-Hansen Lunde
655065	403533	Herself - Participant
655065	403536	Herself - Participant (2000)
655066	324795	A Classmate
655067	30749	Marie
655068	363799	Maria
655069	481	Herself
655069	37117	Herself
655069	122987	
655070	59597	Reporter at Clinic
655070	80771	Carol Bailey
655070	252242	Bank Secretary
655070	264581	Red Team soldier #2
655070	297791	Sara
655070	411171	Alice Freeze
655071	252003	Tøtta
655072	308235	Kari
655073	48558	Herself
655073	205179	Herself - Fred Allen Radio Pr
655074	33731	Sara Lansdale
655074	104518	
655074	114683	Audrey Giles
655074	189932	Madeleine Lester
655074	206361	
655074	367440	Mrs. Tremayne
655075	122596	
655075	293699	
655076	100020	La marchande de journaux
655077	251420	Vienna Cafe Singer
655078	93959	Civil Servette
655080	117454	Featured dancer
655081	61830	Ghoul
655082	18544	Tony D'Amato's Wife
655082	59664	
655082	294245	Violet
655082	392802	Rick James Victim
655083	360300	Shoshanna
655084	64951	Baby
655085	348366	Candy's Roommate
655086	153661	Miss Sue
655087	218785	Diner Granddaughter
655088	98145	Young Jennifer
655089	223819	Staci
655090	343130	
655091	27342	Carol Mathews
655092	5387	School Teacher
655093	59831	Diva
655094	113530	Friend
655094	204163	Emily
655094	248161	Mrs. Dega
655094	364692	Faith
655094	367791	Ms. Atwood
655095	2947	Charlie
655095	207695	Carla Fromaggio
655095	300549	Grace
655096	21554	Nina
655097	199227	
655098	46740	
655098	190890	Donna Towler
655098	313601	Sarah O'Neil
655098	335245	Town resident
655098	386960	Joni Goldstein
655098	395023	Zoey Clemmons (1991-1992)
655098	398135	Greer Monroe
655098	411278	Hillary Stein (1990)
655099	362952	Child
655100	222212	Party-goer
655101	40476	Debbie
655101	228677	Debbie
655102	382304	Paprika (2001-)
655103	147595	
655106	161321	Herself
655107	44450	Passerby #1 - Democratic Conv
655107	78530	Ruth
655107	88656	Lila
655107	99584	Mother Superior
655107	110274	Mikhail/Margaret Buchanan
655107	133760	
655107	236982	Dr. Johnson
655107	279180	Gail's Mother
655107	301678	Granny
655107	405494	Beatrice 'Bea' Reed Ventnor
655107	410582	Eleanor Roosevelt
655107	411221	Eleanor Roosevelt
655108	167047	Woman
655110	166747	Gerta
655110	185211	Young Beatrice
655110	334271	The Lady
655110	382875	Lesley Bainbridge (1987-1991)
655110	384005	Gargamadua (1990)
655110	388726	Princess
655110	403711	Nancy
655111	365824	Francis Lightfoot Lee
655112	76958	
655112	261607	Meisie by Sokkie
655113	2845	Old Lady
655113	18862	Jane, Adrian's Housekeeper
655113	32692	Mattie
655113	40384	
655113	46777	Third Club Woman
655113	51975	Millie
655113	52251	Old Woman
655113	56789	Mrs. Noon, Cobb's Landlady
655113	65847	Mrs. Madison
655113	68324	Elderly village woman
655113	92480	
655113	101740	
655113	112745	Aunt Vera Edwards
655113	117557	Mrs. Benson
655113	125849	
655113	136274	Old Woman
655113	141665	Mrs. Potter's Mother
655113	142345	Mom Wealin
655113	154481	Lady Gimcrack the 'Old Lady'
655113	185991	Carrie
655113	216234	Nurse
655113	218704	Villager
655113	220318	Granny Burnside
655113	235096	Grandma Bailey
655113	235405	Mrs. Payton
655113	241349	Elderly Woman
655113	266009	
655113	281909	
655113	308299	Effie Wimple
655113	320308	Mrs. Wetherby
655113	329144	Grannie
655113	333779	Spinster
655113	347731	Miss Rhine
655113	359298	Elderly Woman News Vendor
655113	361176	Miss Wendy
655113	362112	Night maid
655113	365062	Mrs. Gruyson
655113	398716	Mrs. Odetts
655114	380795	Rocío
655114	384116	Various roles (1982-1986)
655114	387100	
655116	76241	Corey's Daughter
655117	112049	Animal
655117	156903	Minnie
655117	283500	Girl in Hotel
655118	112049	Background Gorilla
655119	113808	Cathy
655120	192777	Girl #1
655121	146947	Shosh
655122	34070	Governanta
655122	379183	
655122	380196	Zelda
655122	380331	Geralda
655122	380531	Ruth Bronstein
655122	383727	Marta
655122	385522	Marina
655122	397409	Mocinha
655122	397873	
655122	407864	
655122	410245	Aliança
655123	24420	
655123	76670	Clarice
655124	87432	Dora
655124	92095	Journalist #3 (Marie-Anne)
655124	119357	Coach Tyser
655124	124110	Aunt Sylvia Largeman
655124	178218	Joan
655124	187193	Dog Spa Receptionist
655124	216672	Jill
655124	232638	Fighting Woman
655124	255654	Cora
655124	386350	Dilmom
655124	401072	Mrs. Crane
655125	328	Muriel Hogenson
655125	79850	Mrs. Odlesh
655125	81649	Grandma/Harry's Character
655125	105213	Stage 8
655125	106739	
655125	127549	Mrs. Crowley
655125	139989	Lone Woman
655125	157436	Mrs. Baxter
655125	183871	Mrs. Hayworth
655125	294139	Mrs. Pritchardson
655125	294381	Lilian Clotkin
655125	313975	Emily Southwick
655125	321746	Frieda Dorsett
655125	325983	Teresa
655125	330194	2nd Telephone Operator
655125	337284	Disgusted Theatre Patron
655125	348386	Mrs. Yussim
655125	363497	Job Applicant
655125	387309	Abby Wolcott #1 (1976)/Molly 
655125	396088	Beatrice Swan (1968-1975)
655126	410838	Sam de Graaf (1999-2002)
655127	10813	German Tourist
655128	130181	
655129	245122	Jean
655130	109649	Athlete
655131	187708	Sunny
655131	389858	Kristina Davis #2 (2003)
655132	117575	Rebecca
655132	197729	Nun
655133	26074	Bambi
655133	158966	Candy
655134	273506	Kathy
655134	283195	Police 'Shrink'
655135	311912	Mrs. Osterman
655136	110739	Bag Lady
655136	229538	Grandma
655136	280447	Lady
655136	326378	Enid
655136	366768	Lady 2
655136	409840	Miss Jemima
655137	9125	Passenger in terminal
655137	54754	High School Student
655137	154709	
655137	208974	Wrestler
655137	232458	Hallguard
655137	236328	Hospital patient
655137	285308	Short Thug
655137	340930	Professor's Wife
655138	226870	Sauna Woman #2
655139	26491	Dome Tech #2
655139	37010	Diane
655139	39862	Jane
655139	43877	Brooke Feinstone (The Dentist
655139	54688	Faye Downs
655139	65628	Stewardess
655139	82922	Brooke Sullivan
655139	82930	Brooke
655139	107166	Livia
655139	134025	Ty Martin
655139	165472	Kim
655139	211336	Dr. Maggie Winters
655139	242089	Laura
655139	333373	Marjorie
655139	336449	Patty
655139	396145	Girl #1
655140	241623	Narrator
655142	379728	Hostess (2002-2004)
655143	70786	Militant Corps woman
655143	207415	Bay Street Landlady [Ch.12]
655143	218330	Lydia Floray
655143	308576	Woman
655143	324383	Police Matron
655144	35524	Big Bear
655146	1049	Flashback Mother
655147	209133	Kissing Girl
655148	187412	Herself
655149	297182	Friend
655150	194406	Narrator
655150	322638	Receptionist
655151	26884	Beta
655151	280005	Shelley
655153	149287	Jane in play
655153	236186	Barbarina
655154	125586	Ed's Mom
655155	166164	Martine Boussac
655156	61785	Hannah
655156	75892	Letty Mureal
655156	77964	Beatrice Newnes
655156	86207	Juanita
655156	95143	Rosie Hart
655156	109709	
655156	114732	Mrs. Isabel Dare
655156	142989	The Vampire
655156	150929	
655156	175143	Royal governess
655156	186302	Nancy, his wife
655156	214128	
655156	216154	Louise, Duchess of Portsmouth
655156	253117	Alice Lorraine
655156	259396	Ruby Swift
655156	260250	Anne, Queen of the Reds
655156	304597	Anna
655156	318709	Katheryn Green
655156	323224	Vera, her assistant
655156	332817	Hilda
655156	337672	
655156	345825	Cassy
655156	348521	Mrs. Tammers
655156	365361	Cleo
655156	367701	
655158	58507	Cellmate
655159	59536	
655160	187708	Sunny
655160	389858	Kristina Davis #2 (2003)
655161	287781	Girl in living room
655162	341083	
655162	411387	Tiggie Stevens
655163	388113	Herself
655164	253341	Laundress
655164	340780	
655165	6023	Sharon Granite
655165	17992	Woman in Diner
655165	27263	Karen, Woman in Bar
655165	56145	BMW Driver
655165	114288	Susan
655165	158322	Woman at bank
655165	245275	Dr. Lisa Aronson
655165	367098	Idun
655166	17697	Jen Pringle
655166	21633	Florence
655166	31532	Yet-Lie
655166	45851	Becky
655166	52453	Elissa Fleiss
655166	71922	Anne Morgan
655166	80930	Mistress Potts
655166	97217	Beth Ann
655166	97581	Kate Cruthers
655166	106540	Alexandra
655166	129580	
655166	187732	Maria
655166	213358	Charlotte Bedford
655166	214037	Susan Melbourne
655166	304797	
655166	365123	Elaine Fisher
655168	297632	Anna Palmer
655168	305919	Darla Valentine
655169	16651	His Wife
655170	93771	Guerrilla
655171	51990	Val
655172	22596	Alicia
655172	125160	
655172	204264	Voice of the Prison
655172	312196	Additional Voices
655172	365458	Additional Voices
655173	360758	
655173	369022	Party Guest
655174	29523	Barfly
655174	139449	Jackie
655174	333540	Lynn
655174	396574	Suzanne
655175	233807	
655175	256371	
655175	286416	
655175	287484	
655175	295095	Hilda
655175	308800	Malena
655175	350736	
655176	102283	Marlies Kirsch
655176	182741	Lehrerin
655176	325391	
655176	325951	Frau Braun
655176	387365	Puppa
655176	388289	Hilde Becker (# 2) (1993-1996
655177	6649	
655177	35598	Alexa
655177	53220	Rebecca Roth
655177	59565	Lucia D'Alvarez
655177	93440	Nick
655177	175324	Charlotte
655177	184274	Elena Kollmann
655177	208886	
655177	319736	Dorothea
655177	334631	Gudrun Ensslin
655177	348740	Christiane
655177	407543	Ulrike
655178	174569	
655178	205776	
655180	93416	Sekretärin
655181	5140	
655181	24047	
655181	78282	Rosi Schneller
655181	104275	Marita Brenner
655181	107360	Elvira
655181	147595	
655181	225124	
655181	259442	Sabine
655181	259462	Violetta
655181	259548	Astrid
655181	259567	Violetta
655181	259620	
655181	259635	Violetta
655181	259648	Kerstin Franke
655181	259659	Violetta
655181	290081	Sabine Fischer
655181	356740	
655181	360953	Sylvias Kollegin
655181	375141	Jette Kramer
655181	386905	Caroline Basten (2003-)
655181	388897	Mutter Teichmann
655181	391004	Schwester Erika Holbruck
655181	392669	
655181	394619	Ladenfrau
655181	394903	Paula Hopf
655181	395508	Frau Rottmann
655181	399177	Doloris 'Dolly' Kiste, geb. M
655182	36481	Frau Jahn
655182	361369	
655182	374620	
655182	395508	Frau Heiterblick
655183	68744	Herself
655184	377134	
655185	125298	Hilde Grüger
655185	144153	Dame
655187	122769	
655188	24346	Frau Stahlschmidt
655188	93437	Lilo Kirschner
655188	107813	
655188	189831	
655188	223283	
655188	361113	Anastasia
655189	1664	Stephie
655189	39193	Raven
655189	68225	Jenny Simon
655189	105280	Lane Dandridge
655189	112008	Karin Kinsella
655189	119357	Annabelle Andrews
655189	203687	Megan Norstadt
655189	236083	Young Samantha Albertson
655189	253059	Gabrielle Mancini
655189	304829	Jessica
655189	305988	Tara
655189	316961	Odette 'Odie' Sinclair
655189	330773	Opal Ingels
655189	345752	Maisy Russell
655189	356472	Kelly Roark
655189	364513	Andrea Eagerton
655189	372097	Sheila
655189	405878	Gaby
655190	40200	Mia
655190	206488	Nun
655191	38864	Lady in Audience
655192	400698	Troupe du Palace
655194	322527	
655195	2696	
655195	307088	Inge
655195	347432	
655195	404440	
655196	93482	
655196	156989	
655196	183244	
655197	206221	Fotografin Berlin 3
655198	53318	Student
655199	131383	
655200	10813	German Tourist
655201	109649	Athlete
655202	5599	Clara
655202	12560	Marie's Mother
655202	17016	Gertrud Meinecke
655202	17443	Rita Kowalski
655202	29111	Marie
655202	33461	Franziska Schmahl
655202	40424	Mildred Ruster
655202	82856	
655202	92556	Gudrun
655202	93735	Margit Flieser
655202	101331	
655202	115348	
655202	126387	Ellen
655202	133317	
655202	165640	Voice of Walja
655202	170376	Penny Becker
655202	170658	Leonore
655202	174099	Karla
655202	178659	
655202	179298	
655202	195057	Adele Schopenhauer
655202	197311	Gräfin Geschwitz
655202	226405	
655202	259451	Kommissarin Wanda Rosenbaum
655202	259460	Wanda Rosenbaum
655202	259620	Hauptkommissarin Rosenbaum
655202	259684	Kommissarin Wanda Rosenbaum
655202	262285	Toni Halbe
655202	270227	
655202	270421	
655202	284420	
655202	290203	Ric
655202	307257	Käthe Schreiner
655202	312098	German Voice of Kati Klee
655202	314348	Stella
655202	340443	Käthe Schreiner
655202	348726	Schnurrenbergerin
655202	352572	Wanda
655202	361086	Johanna
655202	374356	Magda Neubert
655202	374378	
655202	377341	
655202	398308	Edith
655203	379359	Anna Sanders
655204	109443	Sara Melody
655204	172526	
655204	211081	Vera
655204	214672	
655204	306505	
655204	325953	
655204	378648	Frau Buhse
655204	397386	Joyce Dean
655205	181369	Bratwurst Queen
655206	21409	Karin Steffen
655206	117846	
655206	216382	Christina
655206	361428	Lotti Norkus
655206	388507	Dagmar
655207	199495	Schauspielerin
655208	106738	Daniela
655209	73077	Josette
655210	381894	Herself (season 2-2001)
655210	381897	Herself (season 2-2001)
655210	381914	Herself - Participant (season
655211	40365	
655211	98286	Oma Zima
655211	122568	Oma
655211	132835	Frau Waldhof
655211	140307	
655211	142025	Oma
655211	325602	Charlotte Dormin
655211	398056	Großmutter
655212	409571	
655213	325644	
655213	325832	
655213	325893	Linda Meyer
655215	182748	
655215	188850	
655215	259447	Reisende
655216	189648	Lara
655218	212333	Herself - Participant/Perform
655221	168866	Milja
655221	184286	Restaurant Cook
655221	233246	
655221	380069	Fanni Holsti
655222	394539	Tellervo
655223	230857	Rochelle
655224	11963	Molly Morrison
655224	24429	Gillian Shagwell: Ming Tea (A
655224	24430	Ming Tea
655224	29264	The Lovebeats band member
655224	137251	Bobby Russo's Daughter
655224	190798	Performer: "Eternal Flame"
655224	279981	
655224	315262	Lucie
655224	367824	Herself (The Bangles)
655225	411802	Jennifer Foster #1 (1981) (al
655226	132368	Queen Maria Luisa
655226	411802	Jennifer Foster #1 (1981) (al
655227	1385	
655228	40942	Raka
655228	101122	
655228	378294	Lisa Widegren
655228	398195	the Farmer's wife
655229	391835	Talking head/soundbites (segm
655230	138529	Ulla, Ludvig's sister
655230	378273	Ingrid as a child
655231	115881	Woman in Bar
655231	182298	Woman at bakery
655231	237056	brothelmum
655231	272642	Demimond
655232	110548	Herself
655232	134630	Marilda
655232	331968	Leontien Vercammen
655232	383455	Rosiane Widevetter
655232	389315	
655232	408151	Leontien Bomans-Vercammen (19
655233	20431	Irene, pasient
655233	21374	Rut Petersen
655233	37708	Fru Eckdal
655233	51077	Dagny
655233	87930	
655233	94274	Moren
655233	105364	
655233	117862	Grevinnen
655233	154020	Lady
655233	180928	Ann Mari's mother
655233	271687	Gjartru
655233	304976	
655233	314628	
655233	348962	Liv Holst, Per Holms kollega
655233	354416	
655233	388307	Nelly Frydenlund
655233	392072	Annemor Araldsen (2002)
655233	410019	Kristine Ahlsen
655234	210031	
655235	309310	
655236	282096	
655237	258128	
655238	315039	Mrs. Westergård
655238	321987	Soldier in Salvation Army
655238	350042	The rope walker's wife
655240	259632	
655241	409625	Patricia Hennemann (1996)
655242	205783	
655243	11850	
655243	322282	
655245	353	Kate Lydon
655245	6773	Harper, Alien Scientist
655245	13383	
655245	15929	Det. Megan Russert
655245	23317	Janice Rifkin
655245	95785	Gwen Connors
655245	142718	Rosemary LaBianca
655245	148594	Megan Russert
655245	158994	Bridie
655245	207907	Melinda Stuart
655245	236222	Anita
655245	264157	Miss Genovia Hildegard
655245	265759	Joanne Stoller
655245	273344	Barbara Wilson
655245	275602	Marie
655245	288739	Anne
655245	297914	Avon Rose
655245	336751	Nikki Barrington
655245	337100	Ronnie Doniger
655245	339952	Annie
655245	342642	Susan Stanton
655245	381562	Cecile Malone
655245	382617	Molly Rich
655245	385921	Kate McCarron
655245	398213	Herself
655245	402345	Dr. Renee Dunseith (2001-2002
655245	405833	Barbara Chrisman
655246	317374	Claudia Studer
655247	23886	Witch in initiation ceremony
655247	222467	Alice Huber
655247	225194	
655248	92556	
655249	180209	
655250	354683	Prisoner
655251	219287	Ella
655252	125468	
655252	218808	Model
655252	359290	Elke
655253	94621	Dancer
655254	177615	Sonia
655255	290705	
655256	85635	Linhartyová
655256	165051	Neighbour
655256	173683	
655256	237540	
655256	357435	Merry Widow
655256	373456	Ruzena Patockova
655257	284012	
655258	190733	Ruzena
655259	136192	
655259	176963	
655260	260407	Partygast
655261	316153	Blonde victim in kitchen
655262	199733	
655263	63130	Anna
655263	151609	Amy Walsh
655263	222783	Casey Fletcher
655264	33842	Ann as young
655264	256599	Fru Svendsen
655264	286085	Mrs. Svendsen
655264	306020	Mor
655264	397312	Indianna
655264	400008	Aslaug Berg
655264	405837	Karen Andersdatter
655265	17576	Actress
655267	256315	
655268	155264	Woman with Baby
655269	392911	Classe d'Anna
655270	238588	Norma
655271	13612	
655271	125282	Mitzi Bucek
655271	142008	
655271	145607	Frau Ratzinger
655271	152791	The hitchhiker
655271	153087	Prostitute
655271	159206	Kirchnerwirtin
655271	260414	Frau Kübel
655271	327566	Quarrelsome woman
655271	338470	Frau Dopplers Pflegerin
655271	342588	Jana's Mutter
655271	359088	Priest's housekeeper
655271	393878	Frau Nechwatal
655272	172169	Helene
655273	171189	Woman in Red
655274	190024	Sasha
655275	74000	Crude Oasis Bar Patron
655276	134594	Marie
655276	160408	(segment "Shrink Rap")
655276	249367	Millie
655277	6144	Christine
655277	6526	Fisher
655277	109689	Julia
655277	135618	Lorna Beckett
655277	194690	Sue's secretary
655277	218175	Beryl
655277	234891	Maffy
655277	264576	
655277	288676	Jane
655277	333257	Diana
655277	340545	Angie Kingston Rigby
655278	186708	
655279	220142	Registrar
655279	280156	Reporter
655279	365868	Gym Instructor
655280	154169	Sophie Tucker
655281	121374	Casino Patron
655282	195827	Herself
655283	295459	Shannon
655284	8234	Inept Agent
655284	19112	Rebecca
655284	69639	Natasha
655284	119425	Pregnant Woman
655284	136277	Agent Roberts
655284	155070	V.I.K.I.
655284	165462	Paula
655284	229197	Madam
655284	293108	Cop
655284	384080	Juna's Mother, S.E.E.D. Offic
655285	385613	Fiona
655286	184372	Ducky
655286	184373	Ducky
655286	184374	Ducky
655286	323889	Colette Brunel
655287	219772	Herself
655288	95212	Cassandra
655289	126075	Mrs. Beane
655289	308131	Loretta
655290	26492	Na'Feel
655291	323892	Desiree
655292	46752	Jackie
655293	342760	Ruby
655294	200108	Dorothy Gale
655295	211959	Violet
655296	87309	Old crone
655297	112049	Sea lion Keeper
655298	77644	
655299	57919	Julia
655299	154855	Voice at Party (singing title
655299	313919	Margie Frake
655300	368374	History Teacher
655301	408091	Mrs. Fitzgerald
655301	408299	Ailsa Brimley
655302	273834	Aunt Christina
655303	205590	Babuskka
655303	259829	Extra
655304	16654	Bit
655304	105077	Salesgirl
655304	149635	Girl in Concession
655305	35107	Gaggle lady
655305	39830	Mrs. Anderson
655305	82899	Gaggle Lady #2
655306	116559	Lorraine
655306	294524	Funeral home receptionist
655307	411515	Herself (Booth Girl) (2/9/200
655309	4699	Lady Ormonde
655309	79557	Miss Skeggs
655309	214912	Ingrid Jensen
655309	398782	Nemain
655310	13828	Helen Brewster
655310	44185	Braston's Wife
655310	44337	Marlene
655310	47790	Ruth Mayer
655310	65887	
655310	87926	Cynthia Clark
655310	96970	Carol Risico
655310	97091	Mrs. Dobson
655310	109877	Gayle Miller
655310	130901	Marilyn Copeland
655310	154494	Secretary
655310	157184	Gloria Sardone
655310	157563	Marie Dewey
655310	187506	Jeannie
655310	189242	Helen Browne
655310	213023	Narrator
655310	227797	Kathryn Weller
655310	230526	Dr. Ann Shirley Constable
655310	233614	Kate Winfield
655310	241599	Sharon
655310	254743	Jenny St Clair
655310	269046	
655310	270386	
655310	280723	Kathy Rosso
655310	301564	Helen Stuartson
655310	321361	Linda
655310	323428	Irma
655310	333913	Sylvia
655310	355539	Dr. Dillard
655310	362740	Alicia
655310	363824	Belinda Casey
655310	384689	
655310	395751	Helga Bohnsack
655310	399305	(segment '1832')
655310	399429	Nicole "Nickie" Rimbaud (1985
655310	403451	Kate Ashcroft
655310	409830	Elizabeth Vanderberg
655311	158440	Joe's Ex-Wife
655312	226937	Lady in Waiting
655312	226938	Producer's Wife
655313	396477	1st princess
655314	93821	Pagan
655315	167070	Waitress
655315	388593	Robbie
655315	409694	Donna
655316	21516	
655316	147297	
655317	206410	Taxi Girl
655317	214184	Mum
655317	385020	Judith Roberts (2000)
655318	303550	Helen's Friend
655319	203492	Father's New Wife
655319	378710	Mrs. Murray
655320	8098	Evelyn
655320	17697	Mrs. James Pringle
655320	18029	Rosemary
655320	37467	Dorothy Cullen
655320	42042	Rose
655320	56180	
655320	68470	Claire
655320	80794	Judge Potter
655320	93982	
655320	126672	Judge
655320	141529	Estelle
655320	143006	Evelyn
655320	169374	Molly, gardener
655320	231915	Maria Leone
655320	241798	Maureen Grant
655320	254996	Lady Bessborough
655320	280723	Mrs. Cooper
655320	303092	M.C.
655320	320815	Mrs. Cruzzi
655320	346408	Grace
655320	365742	Police Matron
655320	366680	Judge Clark
655320	403542	Dr. Colleen Frost
655321	91920	Cheerleader #1
655322	298749	Farmer's Wife
655323	130183	Phone Sex Lady
655323	299469	Secretary #3
655323	359939	Cass
655324	90238	The Child
655324	204733	Bill, as a child
655324	257807	Matthew Dale Jr., age 4
655325	68274	Additional Voices
655326	58509	
655327	308632	
655328	382864	Geertje Klasse
655329	234932	La Préparatrice
655330	21284	Leni Peickert
655330	33449	Bella Block
655330	33450	Bella Block
655330	33451	Bella Block
655330	33452	Bella Block
655330	33453	Bella Block
655330	33454	Bella Block
655330	33455	Bella Block
655330	33456	Bella Block
655330	33457	Bella Block
655330	33458	Bella Block
655330	33459	Bella Block
655330	33460	Bella Block
655330	33461	Bella Block
655330	33462	Bella Block
655330	33463	Bella Block
655330	33464	Bella Block
655330	62693	Older George Sand
655330	82032	
655330	84578	Gabi Teichert
655330	98388	
655330	98426	
655330	107970	Francesca
655330	111406	
655330	119155	
655330	119418	
655330	125159	Klara
655330	125185	Meg
655330	134832	Inspektorin
655330	137949	Ophelia #7
655330	142101	
655330	145479	Frau Singer
655330	164632	Psychologin
655330	180654	
655330	191333	Frau Jeschke
655330	193929	Therapeutin/Therapist
655330	199014	Frau Bärlamm
655330	204424	
655330	208430	
655330	210151	Narrator
655330	226231	
655330	250761	Gabi Teichert, Geschichtslehr
655330	253756	Bürgermeisterin
655330	255714	
655330	261692	
655330	282104	Charlotte Sanders
655330	290110	
655330	308211	Doris Kollmann
655330	315893	Lena Hoelldobler
655330	319336	Isabella Borgwart
655330	322930	Elisabeth Keller
655330	322946	
655330	324322	Katharina
655330	325731	Frau Pless
655330	325828	Ira Stork
655330	325916	Dorothea Joest
655330	326049	Brigitte
655330	345679	Leni Peickert
655330	352379	Trude Blorna
655330	354069	Maren Ohmsen
655330	361032	
655330	361468	
655330	365702	
655330	365782	Schroeder-Mahnke
655330	366556	
655330	374388	Luci Walker
655330	381428	Frau Tredup
655330	381710	Lea Bertini
655330	386986	Charlotte Burg
655330	389361	
655330	396920	Marilena
655330	412110	Elisabeth Cerphal
655331	5121	Elke
655331	5240	Petra Voss
655331	11865	Rosa
655331	18527	Frau Feller
655331	33458	Sigrid Moosbach
655331	35173	Edith Mewis
655331	49279	
655331	62693	George Sand
655331	97480	Victoria Wonderley
655331	98367	Eva
655331	101763	Jana
655331	107950	Monika
655331	115978	
655331	116303	
655331	119218	Ulla
655331	120170	Lilli Herz
655331	122584	
655331	147194	Jenny
655331	166768	Sister Anke
655331	182137	
655331	187866	Lisbeth Häberlein
655331	189610	
655331	197116	Sara
655331	199753	
655331	206599	
655331	216266	Beate Wilkens
655331	228157	Elke Schneider
655331	228158	Elke Schneider
655331	228159	Elke Schneider
655331	228160	Elke Schneider
655331	228161	Elke Schneider
655331	250822	
655331	259462	Bachmann
655331	259574	Sandra
655331	281750	Sally
655331	290782	Gabriele Nitsche
655331	302788	
655331	312079	
655331	312081	Renate, Majas Mutter
655331	312083	Renate, Majas Mutter
655331	314653	
655331	316549	Biggi Schneider
655331	324322	Junge Katharina/Katrin
655331	325417	Roswita
655331	325455	Beate Kirmann
655331	325472	Jeannette
655331	325711	Roswitha Porith
655331	325744	Charlie
655331	325822	Sylvia Böbinger
655331	325942	Jeannette
655331	350865	Dagmar Heller
655331	354069	Muriel Ohmsen
655331	356741	Erika Westphal
655331	356776	Sarah
655331	361478	Hella
655331	365874	Angelika Romberg
655331	377367	Kea Biebert
655331	377368	Kea Biebert
655331	377370	Kea Biebert
655331	381710	Die jüngere Lea
655331	387445	
655331	389359	Roswitha Schütze (1992-1993)
655331	389942	Wilma
655331	393255	Anita Gantlik
655331	395701	Cornelia Lejeune
655331	396920	Young Marilena
655331	399162	Inge Hertel
655331	401355	Anne (2. season)
655331	406225	Kea Biebert
655331	409609	Dr. Engel
655331	412212	Kea
655332	387323	Redactielid (1995-1996)
655333	27437	Sarah Walker
655333	93123	Annette Funicello at 4 years 
655333	113389	Emily
655333	140967	Tommy's Girlfriend
655333	241058	Jess Piper
655334	333120	Person of the Night
655336	47829	Abby
655336	107843	Stefanie Weir
655337	45454	Woman in Bar
655337	88658	Interviewee
655337	195771	Person in Restaurant
655338	79314	Make-Up Artist
655338	144456	Kellie
655338	391507	Kellie
655339	343294	Jennifer on Beach
655340	340509	Cycling girl
655341	367782	Smiling Woman
655342	74048	Children of Castor Fan
655344	58632	
655345	39148	Charly
655346	245229	Little Girl
655347	41197	Phone Lolita
655348	359195	Mary Jean (8 yrs old)
655349	43372	Granny
655350	142351	Woman with Car
655350	219181	Woman in Wheelchair
655350	241467	Board Member
655350	360483	Bethune, Lydia
655350	366686	Mrs. Kauflan
655351	77151	Tammy
655351	151609	Babysitter
655351	252988	Laura Michaels
655351	350182	Jeni Wendorf
655352	41806	Heroine
655352	190149	The squatter's daughter
655352	259924	
655352	279609	Aileen Marsden
655352	298443	
655354	32466	Cheerleader
655355	455	Petra
655355	16662	Iris von Than
655355	49297	Monika
655355	59565	Lisa
655355	145598	Rays Managerin
655355	225284	Brigitte
655355	227778	
655355	231461	Verena Stengel
655355	236816	Frau Beck
655355	334609	
655355	334712	
655355	345910	Sarah
655355	347796	
655355	368296	
655355	376031	Schmitt
655355	412083	Chris
655356	34598	
655356	403795	
655357	253976	Debbie
655358	91004	
655358	323929	
655358	325606	
655358	352359	
655358	361382	
655358	361455	Irene
655359	269718	
655360	89572	Woman at Castle
655361	139833	Janni
655362	259534	
655364	56078	
655365	188812	Das Mädchen
655366	104171	
655367	131663	Herself
655367	394256	Herself (host)
655368	131663	Herself
655369	140843	Woman at the Bar
655370	91004	
655370	107777	
655370	404454	Agnes Pröll
655371	104757	German entry (1st place)
655371	147240	German entry
655371	189852	Herself
655371	347644	Herself
655372	132539	
655372	170675	Antoinette
655372	189863	Himself
655372	296044	Herself
655372	409612	Monika Bergass
655373	161443	
655374	269355	Euro Trash Vampire
655375	268540	Party guest's wife
655376	5160	Bianca Voss
655376	126461	Madame Jobkel
655376	127514	Wirtschafterin Karola
655376	137093	
655376	225152	Alte Dame im Zug
655376	347772	Pensionswirtin
655377	118903	Dancer
655378	7196	Cafe Woman
655378	12338	Cheryl
655378	46532	Cousin Judy
655378	146780	Marla
655378	157255	Woman with Captain
655378	209658	Ticket Agent
655379	218534	Tap-Dancing Lady
655380	2833	Bit Part
655382	375307	
655383	333855	Lorraine Allison
655384	32748	
655384	120953	
655384	225185	
655384	290632	
655385	84242	Josine Walker
655386	179787	
655387	214835	Little girl
655388	397371	Elizabeth
655389	58409	Madame Verligodin
655390	286630	Herself
655391	70947	Fille de la plage 2
655392	175071	Kyntoska
655392	184195	
655393	64153	
655394	229186	
655395	219293	
655396	9683	Mrs. Jennings
655396	11502	Mrs. Macklederry
655396	21154	Secretary
655396	33579	
655396	35420	Communicator
655396	73246	2nd police broadcaster
655396	73349	Mrs. Johnson
655396	74980	Army Nurse
655396	81784	Miss Cranbrook
655396	83934	Flo Holstein
655396	102591	Gossip Columnist
655396	105729	Nurse
655396	108366	Miss Martin
655396	110298	
655396	116233	Waitress
655396	136290	Agatha, Mission Member
655396	145076	Young Mother
655396	154756	Bit Part
655396	167645	Operator
655396	176872	Nurse
655396	183836	Marian
655396	193799	Edna
655396	203172	Nurse
655396	215810	Saleswoman
655396	216026	Den Mother
655396	216718	Nurse in Mary's Room
655396	233934	Reception Nurse
655396	263313	Young Mother
655396	264882	Sister Mary Thomasina
655396	272239	Nurse
655396	281415	Woman
655396	294139	ITA Receptionist
655396	307976	Indignant Woman
655396	311557	Marie Milna
655396	316323	Secretary
655396	321390	
655396	326360	Mary Williams, One of Three W
655396	329853	Mrs. Lodge
655396	330097	Miss Smith
655396	330915	Prison Doctor
655396	331596	Betty
655396	346229	Trainee
655396	346902	Lady on 57th Street
655396	349231	Ruth Barnes
655396	361841	Cora
655397	45289	Female Newscaster
655398	283936	Gudrun
655399	402729	Emi Ichikawa/Various
655400	215523	
655401	107662	
655401	207892	Huora
655401	278597	Virkaholhooja
655401	409042	Hoitajatar
655402	3268	
655402	20281	Shawn
655402	103605	Sevim
655402	136782	
655402	227335	Bitsy
655402	391144	Gülizar
655402	392575	Neriman
655402	411965	Sultan Ana
655403	230680	Herself
655404	20431	Patient
655404	45998	Jenta
655404	101395	Rita
655404	117862	Frk. Thomsen
655404	181161	Ellen Knudsen
655404	194116	FACT-stemme/Koloniekspeditør/
655404	271687	Bekka Klett
655404	307244	Bygdegutt 2
655405	75282	Teen 2
655406	78796	TV news reporter
655406	151116	Circle of Light
655407	286736	Female bartender in club
655408	29786	
655408	253253	Mother
655408	261375	Guest
655408	266533	
655409	180385	Neighbor
655410	313583	Isobel's Daughter
655411	223314	
655412	14212	Sara Caplan
655412	27206	Young Woman
655412	283196	Melanie
655412	316209	Bank Officer
655413	102118	
655413	104644	Maid
655414	39111	
655415	234826	Nonne/Nun
655416	147002	
655417	304444	Col. Montgomery
655418	353886	Véronique
655419	347979	Herself
655420	339937	Student
655421	319094	Sara
655422	291503	Daly
655422	385299	Shirley Perkins
655423	154427	Woman in Sportscar
655423	380391	Sharlene 'Sharley' Frame Watt
655423	381656	Darah (1984)
655423	400236	Lindsay Butler (1992)
655424	363185	
655425	291293	Chemist
655426	90323	
655426	365252	
655427	215848	
655428	365691	Cindy
655429	212694	The Street Singer
655430	10901	Bordello Lady
655431	131731	Woman in Audience
655431	203473	Harriet Stanley
655431	379716	Wilma Marlowe #2 (1986-1987)
655432	302274	
655432	397695	Additional Voices
655433	64750	Sidewalk Woman #03
655433	77882	Lucy Rose
655433	201605	Herself
655433	301222	Jan Cooper
655433	348594	Girl at Bar
655434	204218	Mrs. Jacobi
655434	337384	Penelope Witherspoon
655435	153371	
655435	190824	
655436	398045	Herself - Expert in exercise
655437	194348	Herself
655438	321096	Party Hostess
655439	215507	Beth Carter
655439	350700	Cheerleader
655439	381091	Herself (eliminated round 3) 
655440	84443	Alicia
655440	198842	Laura
655440	244923	Helen Connery
655440	303680	Patricia Skagska
655440	392176	Laura Macahan
655440	392177	Laura Macahan
655440	392178	Laura Macahan
655440	405546	Patricia Skagska
655442	290162	Patty
655444	17173	Clorette DePasto
655444	51800	Maggie O'Hooligan
655444	138729	Judith Hastings
655444	358587	Sarah Lassiter
655445	231869	Sherry's Neighbor
655446	365541	Emily Dutton
655447	4641	Lois
655447	151535	
655447	220573	Joan Cummings
655448	395467	Wendy (the waitress)
655449	188129	Stáza
655450	360797	Minnow
655451	17612	Jana
655452	17612	Anna
655453	486	Christa Schmidt
655453	24326	Rechtsanwältin Eva Hansen
655453	24897	Daniela Twerdy
655453	30371	Sandra
655453	33105	Kathrein Buchner
655453	55085	
655453	77066	Joan
655453	85729	Vivian Lancester
655453	111343	Eva von Dornberg
655453	114328	Maria Gassl
655453	130595	
655453	142055	Helga Sonnleitner
655453	142056	
655453	147176	
655453	162994	Anne Stülcken
655453	175289	Brigitte Voss
655453	191070	Helga
655453	205679	Marianne
655453	205684	Marianne
655453	210032	Eva Ferner
655453	263613	Eva
655453	263631	Graziella
655453	264352	Josi, Prinzessin von Leuchten
655453	267072	
655453	290011	Sabine
655453	290545	Annette Galingré
655453	290672	
655453	290752	Daniela
655453	308980	
655453	356726	Angela
655453	358539	Beda
655453	361393	Dorle
655453	361994	Maria
655454	33197	Prankster
655455	31327	Waitress
655455	170243	Goulish Woman
655455	182987	Topless dancer
655455	187333	Wheelzone Warrior
655455	328630	Biker Bitch
655456	66658	Betty
655456	72354	Mrs. Pinky
655456	74113	Pam
655456	211727	Felicity
655456	241813	Ann Tregeen
655456	282689	Mme. Busch
655456	291925	Gissing's Assistant
655456	292701	Head Teacher
655456	321137	Connie
655456	364866	Teacher
655456	380346	Princess Myagkaya
655456	385020	Hazel Lightfoot (1990)
655457	79611	Teacher
655458	369384	Lily
655458	382332	Waitress
655458	386869	Gill
655458	407656	Carol
655459	391835	Herself
655460	34700	
655461	13966	Mia
655461	56545	Herself
655461	77712	Vivian
655461	80445	Marion Harrington
655461	93959	Mary Johanson
655461	97644	College Girl
655461	118363	Nurse
655461	135623	Angelic Girl
655461	150075	Lulu
655461	151556	Scarlett Smith
655461	157436	Meredith
655461	185709	Vicky
655461	196095	Jessica Lindstrom
655461	220625	Dee Dee
655461	267502	Sunny Burkhardt
655461	318337	Fern Rogers
655461	348505	Frania Beatus
655461	366061	Kate
655461	366668	Samantha Warren
655461	379802	Jane Wilco (2001)
655461	398405	Dani Swanson
655462	687	Herself
655462	68097	Herself
655462	90314	Nurse
655462	133412	Presenter
655462	138720	Alice
655462	152915	Sarah Campbell
655462	161407	Pamela
655462	228303	Host
655462	229135	Herself
655462	236118	Jessica
655462	311702	Herself
655462	330028	Herself
655462	355184	Shoe Shop Assistant
655462	383725	Debs Bloke
655462	383733	Herself (Series 2) (2002)
655462	385455	Mia Bevan (Series 1-2, Episod
655462	387247	Carmen (1994)
655462	390367	Various roles (season 1)
655462	390650	Geraldine Titley
655462	391254	Louise Slaney
655462	394552	Mel
655462	396348	Alice
655462	405664	Various Characters (Series 1)
655462	410702	Various characters
655463	192072	Little Monster
655464	72664	Whore
655465	47922	Child
655465	375246	Daughter
655466	155227	X-Ray Technician
655467	39933	Joyce
655467	133332	Anita Jacoby
655468	281710	
655469	5531	Little Old Lady
655469	16465	Mrs. Emily Hardy
655469	16466	Mrs. Emily 'Emmy' Hardy
655469	16467	Mrs. Emily Hardy
655469	16468	Mrs. Emily Hardy
655469	16470	Mrs. Emily Hardy
655469	16471	Mrs. Emily Hardy
655469	37104	Martha Belney
655469	38982	Mrs. Millick
655469	41502	Mrs. Kahly
655469	49245	Natalie Merridew Seldon
655469	72022	Mrs. Emily Hardy
655469	91795	Martha Sewell Clark
655469	105649	Mrs. Swain
655469	136028	Aunt Carrie Burton
655469	136816	Mrs. John Pulham
655469	139316	Mrs. Emily Hardy
655469	147417	Mrs. Emily Evans
655469	154468	Ella Stowbody
655469	154916	Mrs. Miller
655469	160971	Mother Teresa
655469	169889	Mrs. Emily Hardy
655469	169890	Mrs. Emily Hardy
655469	177391	Nurse
655469	190062	Mrs, Emily Hardy
655469	192030	Mary Jane Baxter
655469	195579	Mrs. Emily Hardy
655469	195741	Mary, Peter's Secretary
655469	195794	Mrs. Emily Hardy
655469	245253	Mrs. Emily Hardy
655469	246181	
655469	252127	
655469	259789	Aunt Minnie
655469	286808	Hazel
655469	294744	Mary Madden
655469	309579	Mrs. Martin
655469	321384	Hannah the Dresser
655469	328794	Saleslady
655469	359748	Mrs. Elizabeth Claymore
655469	363696	Emmy Dansing
655469	363758	Queen Victoria
655469	367046	Mrs. Gossamer
655469	372353	Mrs. Emily Hardy
655469	375045	Mrs. Regan
655470	278219	The Dancer
655471	282392	Louise
655472	7101	Louise Hover
655472	18737	Mrs. James V. Thorne
655472	24240	Guest at garden party
655472	33006	Sara Braden
655472	57766	Countess Marya Zaleska
655472	61567	Mrs. Kempner
655472	71182	Countess Franchi
655472	89050	Mrs. Cole
655472	90400	Beulah Anderson
655472	92687	Countess Marya Zaleska
655472	93220	Jean Landwell
655472	97427	Mrs. Duchin
655472	125826	Miss Clark
655472	128379	Miss Nelson
655472	128894	Miss Laurel
655472	139800	Mrs. Pennock
655472	140407	Phyllis Gray
655472	140444	Mrs. Milburn
655472	146757	Mimi Valdez
655472	152208	Mrs. Kimberly
655472	176846	Mrs. McCoy
655472	178035	Mrs. Janet Archer
655472	190174	Alexandrine Zola
655472	203683	Marian Morgan
655472	215002	Madame Rapport
655472	215469	Mrs. White
655472	253115	Mrs. Ferris
655472	276663	Party Guest [Ch. 1]
655472	300864	Louise Cannon
655472	303232	Mrs. McDonnell
655472	316099	Mrs. Jean Stevenson
655472	328794	Mrs. Benson
655472	330711	Mrs. Dover
655472	330889	Genevieve Hooper
655472	346238	Mrs. Guy Canford
655472	365068	Joan Carstairs
655473	218570	
655474	34663	Lady Dilke
655474	53053	Nurse
655474	103444	Elizabeth
655474	113825	Fire Maiden
655474	140115	Peggy
655474	144809	Jackie
655474	149649	Miss Wentworth
655474	183239	Woman at Party
655474	191189	Elsie
655474	196491	Liz Love
655474	230356	Mrs. Hurst
655474	233970	Receptionist
655474	241260	Elizabeth
655474	263912	Cheta
655474	316352	Mary Lewis
655474	335826	
655474	364437	Party Guest
655474	367592	Mary
655474	368284	Mrs. Price
655474	379448	Diana
655474	383581	Carol Newhouse
655474	385441	Helen Tovey
655474	391072	Harriet Carr
655474	400023	Mrs. Draper
655475	48547	K. T.
655475	123708	Marie, Maxie Meadows' Woman
655475	165004	Sherry Wilson
655476	26877	Mrs. Borders
655476	49347	Jill Holden
655476	107842	Gracie
655476	128937	Shelly Schubert
655476	167691	Receptionist in 'Life Story'
655476	184714	Yetta Lansky
655476	242790	Arthur's Mom
655477	47747	Judy Bream
655477	128709	Georgia Cordray
655477	162379	'Tiny' Fort
655477	198543	
655477	213976	Ginger Burton
655477	222772	Joyce Fitzgerald
655477	264661	Myra Hagen
655477	324973	German nurse
655477	328542	Claire Erling
655477	361549	Amy Standish
655477	372222	Goldie Harvest
655477	389558	Miss Adams
655477	390771	Marie Wallace Grant #1 (1954)
655478	140043	Janet
655478	155721	Marie
655478	194581	Girl
655479	246012	Stacey
655479	263557	Caroline Bingley
655479	327192	Pamela
655480	17197	Waitress
655480	84486	Megan
655481	55719	Khasi's wife
655481	315311	
655482	318487	Trine
655483	345707	Lucy
655484	14157	Elsie Grunger
655485	202880	Bianca
655485	222563	Mortuary Assistant (ep. 1)
655485	351972	Dance Hall Girl
655486	10661	Beth Polasky
655486	27876	Marge Maggs
655486	80521	Bonnie Lorrine (segment "Fool
655486	97192	Scarlett
655486	105921	Vicki
655486	108760	Debbie
655486	160472	Herself
655486	201260	Adele Stanton
655486	203591	Amy Ryan
655486	209596	Billy
655486	250379	Ally Marsey
655486	250593	Mabel Dunham
655486	254923	Matt's Girl
655486	294519	Karen
655486	327062	Rachel Tudor
655486	369428	Marita Covarrubias
655486	369451	Marita Covarrubias
655486	372504	Princess Deshkova
655486	386172	Darlene Kubolek
655486	391189	Adele Stanton/Herself
655486	396467	Mary Travis
655486	396961	Marie Wilder
655486	404395	
655487	24570	Epsilon Leader
655487	26489	Earthforce Navigator
655487	28611	Jesse
655487	37787	Student Speaker
655487	66651	Lt. Joyce Darwin
655487	96053	Voodoo Priestess
655487	126040	Sally
655487	127294	Young Woman
655487	129435	Kathy
655487	149936	Officer Carol Flores
655487	219541	Sheeva
655487	229729	Pam
655487	241857	Sandra Widdoes
655487	254648	Jess
655487	292307	Limousine Driver
655487	301679	Jane
655487	315335	Stewardess
655487	321227	M.J.
655487	332146	Pregnant Woman
655487	350235	Female Master #6
655487	381482	Arina (2000-2002)
655487	385328	Sarah Chambers, M.D.
655488	64896	Sue
655488	193519	Miss Fromkiss (hospital recep
655489	261290	Newscaster (Herself)
655489	291891	Earthcast Anchor
655489	310715	Beth Yeats
655489	366954	Herself
655490	402956	Miss Corkran
655491	335186	
655492	116750	Rebecca the Waitress
655492	120653	The Avatrix
655492	147646	Jamie
655492	178896	News Reporter
655492	196434	Anchovy Woman
655492	198001	Sheila Stein
655492	245371	
655492	303267	Alee
655492	342405	Lisa
655492	371831	Christene Adams
655492	389858	Elena Cosgrove (1987)
655492	394661	April Curtis (1983-1984)
655493	38719	Doreen Jones
655493	171274	Monica Miles
655493	194809	Nellie Elliot
655493	331226	Marjorie Sutton
655493	382838	Grace Hardwicke (1984)
655493	385299	Patricia Gardner
655493	387238	Eileen Watson
655493	400538	Elsie Crabtree
655494	193260	Gospel Singer
655495	400246	Herself (newsreader) (1993-19
655496	358583	Prostitute
655497	316309	Winnie
655498	161495	Justine Winston
655498	365312	Katie Cooper
655499	66589	Sharlese Jones
655499	167043	Melissa Maxwell
655501	143341	Agnes
655501	185156	Trina
655501	186632	Georgina
655501	203972	Elisabeth
655501	233510	Bridget
655501	285752	Jamaican video girlfriend
655501	311056	
655501	366134	Rosie Forbes
655501	385280	Sue Nbokel
655501	388321	Rosa Marshall (2002)
655501	391216	Claire Brennan
655502	199045	
655503	252483	Judge Kirk (Roanoke Court)
655504	106606	Lois
655504	394419	Rain Mikamura
655504	412029	Maria Flyheight
655505	387528	Mrs. Bates
655506	360541	
655507	183550	Chorus
655508	13570	
655508	14609	Police Matron
655508	17475	Matron
655508	26129	(uncredited)
655508	26305	Midget's guardian
655508	29728	Little girl's mother
655508	31771	Spud's mother
655508	40679	The 'Vamp' Waitress
655508	45420	
655508	46984	A Maid
655508	52482	Guest
655508	78079	Old Maid
655508	89250	Woman in dance hall
655508	91963	Landlady
655508	104958	
655508	114914	
655508	115622	
655508	127791	Gossip
655508	131555	
655508	141519	The Innkeeper
655508	142587	A foxy spinster
655508	144109	
655508	147276	Mrs. Hardy
655508	149104	Bricklayer
655508	163775	
655508	171267	
655508	185384	Elmer's Mother
655508	188294	
655508	193806	Overdressed woman
655508	200068	Mrs. Thatcher
655508	210892	Mrs. Parkton
655508	222328	Woman
655508	223054	Bus Passenger
655508	238732	
655508	257854	
655508	262309	
655508	263601	Spectator
655508	278672	
655508	286378	Captain Carrie Brown
655508	292413	Mrs. Medlock
655508	297606	
655508	300026	Verbena Singlefoot (the new w
655508	329813	Mrs. Laurel
655508	364453	
655508	372928	Interviewer
655508	374522	Townswoman
655509	53908	Lorraine
655509	155855	Betty
655509	163228	Christine
655509	329541	Girl in Coffee Shop
655509	372210	Sonia
655509	384441	Cleopatra IV
655509	387594	Various characters
655509	388971	Sarah Davenport
655509	393068	Liz (1983)
655509	400278	Marlene (Series 4-8; Specials
655509	404252	Marianne Straker
655510	192487	Damen i tobakksforretningen
655511	407076	Herself
655512	213591	Schoolgirl
655512	256626	Kate
655512	334757	Leila/Chorus
655513	401875	Herself (2000)
655514	115562	Genevieve
655514	212846	Herself
655514	318773	Girl in dormitory at Briarwoo
655514	397640	Cheryl (1956-1959)
655515	206840	Charlene Abernathy
655515	322837	Additional Voices
655516	3919	Cindy
655517	171853	
655518	80930	Sick Woman
655519	138797	Babe on Green
655520	358257	Jane Eyre
655521	298720	
655522	34463	East End Woman
655522	137483	Mary
655522	169894	Juror
655522	229728	Madge
655522	380465	Fiona Holmes
655522	390270	Amanda
655522	396710	Susan
655522	407838	Sally Markham (1981-1982)
655523	388307	Nora Rasmussen (1998-2000)
655525	385299	Delia Darlow
655526	403537	Participant, 'came to final' 
655527	82699	Eva
655527	213240	Kim
655528	152426	Technician
655529	74934	
655529	262219	
655530	107954	Cerkeska
655531	326904	
655532	35054	
655533	15916	Gabi
655533	34307	Hannah
655533	49314	Katja
655533	223448	Susanne
655533	260414	Doris
655533	290055	
655533	325505	
655534	73885	Prudence Heath
655534	220790	Mrs. Alderson
655535	340899	Margaret at 7
655536	15041	Cameo appearance
655536	136645	Fillette sucette
655536	383117	Émilie
655537	363729	Nan Bostock
655538	166904	T.V. News Announcer #1
655538	274650	Karen the Newscaster
655539	386233	Church Organist
655540	390917	Roobot
655541	34914	Woman in Crowd
655542	20281	Donna
655542	235403	Actress
655543	53140	Anitas barn
655544	412266	Brigitte
655545	93992	Sam
655545	269702	Lead
655546	367096	Khoura's Guards
655547	9642	
655547	27987	Kukara
655547	101887	
655547	103870	
655547	104092	
655547	148070	
655547	247425	Kukara
655547	273645	
655547	355789	
655549	285021	Waitress
655550	97018	Betty Jo Fertilizer
655550	169608	Candy
655550	202367	Customer #2
655550	256238	Lisa
655550	283722	Sarah
655550	309211	Julie
655550	349973	Stacey
655551	188977	Nikki
655552	54706	Herself
655553	248	Herself
655553	18986	Herself
655553	34109	Herself
655553	47911	Herself
655553	55397	Herself
655553	163523	Herself
655553	183430	Herself
655553	218537	
655553	230753	Endie (Miralee's maid)
655553	276057	Herself
655553	316093	Herself
655553	321842	Blues Singer
655553	393379	Herself
655554	119094	'Shock-Ra' Lead Singer
655555	306161	Voice
655556	62665	Champagne
655557	135291	
655558	11081	
655559	18828	Mrs. Margie MacDougall
655559	151659	Mary
655559	162302	Lolita
655559	177025	Anita
655559	183445	Miss Anxious
655559	185578	
655559	189153	Chorus Dancer
655559	272927	Hazel Buck
655559	276787	Willie
655559	282454	Sister
655560	90262	Telephone Operator
655560	93240	TV Commerical Actress
655560	151041	Chorus Dancer
655560	164605	Telephone Operator
655560	218124	Oxley Receptionist
655560	223733	Bit Role
655560	237598	Cashier (The Cop and the Anth
655560	297890	
655560	308382	Raider
655561	372567	Sandy
655562	364300	Herself
655563	77616	
655565	313855	Bloomingdale's Crowd
655566	365527	Bat Girl
655567	129362	
655568	160464	Herself
655568	297777	Other Streetwalker
655569	14190	Herself
655569	119756	The Three Degrees
655570	164467	Various voices
655571	102341	Pedestrian
655571	248132	Sun Newsroom Staffer
655572	376851	Vanessa
655573	27969	Evzenie
655573	95601	Lebedová
655573	165035	Hubácková
655573	170350	Director of Arena
655573	172903	Mrázková
655573	175016	
655573	178453	Sattlerová
655573	221865	Vránová
655573	224960	Máchova matka
655573	258821	Hanka Vitáková
655573	262219	Katka
655573	266975	Francová
655573	282758	Hlavacek's Mother
655573	304131	Andulka Novotná
655573	304659	Wife of Franc
655573	305821	Schwester Alzbeta
655573	320538	
655573	320565	
655573	375406	
655573	375407	
655573	378525	
655574	45877	Adela
655575	308231	Kaleria
655576	407656	Marcella (2001)
655577	162657	
655578	162657	
655579	408597	Stine
655580	133728	Charkie's Water Ballet Perfor
655581	134217	
655581	138505	
655581	171562	Burgl, Sennerin
655581	179068	
655581	226356	
655582	211101	
655582	226237	Ellen Lehden
655582	266008	Hedwig
655582	266009	
655582	293411	Grand Princess
655582	358215	Mädchen aus dem Althändler La
655583	250804	
655585	20049	Interviewster
655586	362800	Little Girl's Mom
655587	59112	Sales Woman
655587	110700	Mme. Arras
655587	148999	Virág
655587	212310	
655587	226702	
655587	326110	Leading Lady
655587	348999	
655588	194371	Mw. Swart
655589	134995	Evi
655590	356997	Nurse
655591	385164	Hostess
655591	411066	Hostess
655592	254485	
655593	254485	
655594	399065	TV AD Mother
655595	139964	Ruth Shelton
655596	8417	Herself
655596	40870	Secretary
655596	158419	Herself
655596	240871	Herself
655596	266319	Witowska
655596	336446	Director
655597	111861	Future Wife
655598	191611	Carol
655599	169963	Andrea Tobias
655600	133590	Relation
655600	367471	Publicity Assistant
655601	360382	Herself (wife of MIA, Mel Hol
655602	5925	Shirley
655602	367083	Running Girl
655603	222324	
655604	130106	Mrs. Faulkner, the Mother
655604	203190	Roz Moreland
655605	289222	Partier
655606	166370	A philosophy student
655607	407656	Ashleigh (2002)
655608	335799	Autograph Hound
655609	265740	Neighbour
655610	144661	Lou
655611	259347	School Child
655613	64461	Singer
655614	5382	
655614	6719	Herself
655614	6720	Herself
655614	11150	
655614	34928	
655614	34930	Herself
655614	35516	
655614	37563	
655614	41019	
655614	81577	Marilyn
655614	131688	
655614	155009	
655614	188412	
655614	189067	
655614	202192	
655614	244444	Sheila
655614	295692	
655614	297818	
655614	320043	
655614	325292	
655614	367921	
655614	368758	
655614	369475	
655615	248878	QE2 Dancer
655615	250991	Dancer
655616	86751	Theater Patron
655616	183239	Madame Dupree
655616	190727	
655616	236970	Maiden Aunts
655616	253331	Yvonne Stuart-Hargreaves
655616	385299	Sarah Maynard
655616	391509	Yvonne Stuart-Hargreaves
655617	266576	
655617	318842	Bernice Windom
655618	7128	
655618	11838	Miss Peabody
655618	12769	Mrs. Helen Stillwell
655618	20765	
655618	25868	Maurine, B.F.'s Secretary
655618	26628	Matron
655618	35479	Nurse Morgan
655618	36985	Staff Member
655618	41234	Miss Rivers
655618	44501	Welfare Worker
655618	52659	Sixth Floor Nurse
655618	57919	Nurse
655618	58504	
655618	69347	
655618	71994	Mrs. Sturges (Reid's secretar
655618	73500	Mrs. Thompson
655618	75477	Miss Payne
655618	78750	Mrs. Foss
655618	92480	
655618	111715	Anne Marlowe
655618	125884	
655618	128308	Saleswoman
655618	137393	Miss Payne, in 'Curly'
655618	139762	Madame Mercier
655618	139800	Seamstress
655618	142948	Mrs. Parker
655618	152928	Miss Turner
655618	160336	Cynara
655618	161575	Miss Carr
655618	169889	Nurse Trowbridge
655618	176361	Madame Svenson
655618	178017	Mary Franklin
655618	186004	Mrs. Watson
655618	188547	
655618	190558	Sadie Bliss (Episodes #2 & #3
655618	192721	Committee Woman
655618	194209	Mrs. Hargrave
655618	195252	Madame Pierquin
655618	195903	Mrs. Engstrand
655618	206873	Cicely Torrance
655618	207195	Juanita, Pancho's daughter
655618	209602	Miss Burghey
655618	223917	Johnny Weissmuller inquirer
655618	223943	Dean Whiting
655618	230303	Woman
655618	233684	Nurse
655618	241078	Mrs. Grant
655618	241286	
655618	245689	Mrs. Gulick
655618	250985	Old Nurse
655618	262344	Esther Bush
655618	278544	Third Nurse
655618	279534	Mrs. Atkinson
655618	283940	Libby Sims
655618	289419	Mrs. Penwick
655618	298319	Sonia
655618	298428	Mrs. Fleming
655618	304273	Demanding old woman passenger
655618	308329	Mrs. Burley
655618	308592	Mrs. Fohling
655618	316323	Mrs. Joyce
655618	318965	Julia
655618	319131	Venus
655618	321522	Landlady
655618	327772	
655618	330097	Nurse
655618	330153	Nurse
655618	330514	Miss Lawton
655618	330682	Teacher
655618	331596	Receptionist
655618	334189	Mrs. Edna Houston
655618	335879	Myrna Maynard
655618	338812	Fontaine's wife
655618	367913	Sarah Graham
655619	92457	Herself
655620	108925	Girl
655620	400239	Jo Collier (1952)
655621	32562	Woman on Train
655621	55583	French nurse
655621	90325	
655621	177013	Sub Lobby Teller
655621	192340	Sadie
655621	198026	Pauline Bonaparte
655621	199563	Narrator
655621	203535	Bernard's girlfriend
655621	270404	Nurse
655621	313601	Professor
655621	334136	Elegant French woman
655621	344685	Mrs. Rukeyser
655621	353394	Mrs. Levitz
655622	330605	Grace Standish
655623	203506	Jill
655624	209210	Refugee
655625	271255	Bartender
655626	308317	Kay Seldon
655627	321469	
655628	66146	Bartender
655628	161058	Hitchhiker
655629	303268	Christine
655630	133880	Patricia Ziegfeld
655631	46716	Bride 2
655632	89193	Miller's wife
655632	376433	Zwerfster
655633	242028	
655633	248480	Coach's Wife (Betty)
655633	366921	Mrs. Grace
655634	176956	Dancer
655635	296192	
655635	326896	
655635	352877	Paaldanseres
655635	381905	Herself
655635	409397	
655636	257683	Herself
655637	17951	Mouse
655637	51081	
655637	82671	Rosalind Winters
655637	89000	Sybil Carter
655637	107287	Computer, Sarah Smith
655637	185491	Alice Munro
655637	316501	Irma
655637	385130	Tina Rickles
655637	389524	April Stewart
655637	410518	Alice Boyle
655638	297476	Emily
655639	83920	Nurse
655639	169906	
655639	329533	
655640	136822	Little Buttercup
655640	334757	The Fairy Queen/Katisha/Dame 
655641	307947	The girl
655642	265209	
655642	348067	Doreen Betts
655642	388321	Rhona Shaw (2004)
655643	178073	Fanny Adams
655643	239804	Jane
655644	58959	Limbodrome staffer
655645	95713	Herself
655646	6825	Salvation
655647	689	Herself
655647	335277	Mrs. Simpson
655647	364378	Mrs. Simpson
655648	273618	Nancy Molesworth
655649	87220	Katie Matthews
655650	160976	Jessica
655650	340811	Megan
655651	27591	Herself/Charlotte
655651	228395	Charlotte
655651	316461	Ingrid
655651	409339	Regitze Kramer/Ingelise Pouls
655652	199245	
655652	262005	
655652	370568	
655654	346938	Herself
655655	91161	Patti
655656	250546	Pretty Girl
655657	35542	Secretary
655657	207828	Female Sticky Contestant #3
655658	365946	Amber
655659	261737	Herself
655660	73787	Joana
655661	207138	Person on Beach
655662	19614	Criméia Alice
655663	178859	
655664	104045	Johanna 'Mrs Elvsted', Hedda 
655664	384100	Susie Verbeeten
655664	384100	Susie Verbeeten (episode "The
655665	195300	Billy's Video Vixen
655665	338788	The Strumpet
655666	292643	Hospital Nurse
655666	362586	Harold Smith follower
655667	177624	Jenny Wood
655668	47973	Baby Michael
655670	117881	Ally
655672	304237	Helen
655673	3061	Reigning Miss America 1997
655673	215459	Newly Crowned Miss America 19
655674	66053	Graduate
655674	140405	Church Goer
655674	171485	Club Goer
655674	256220	Female Student
655674	405038	Civil Rights Marcher
655675	185369	Stenographer
655676	327055	Brazilian CFN1
655677	141185	Milkshake
655677	243272	Young Faye
655677	392882	Steffi
655678	139757	Zoe
655679	199477	Extra
655680	194710	Dorothy
655681	130666	Amazon Warrior
655682	146929	
655682	188034	
655683	81649	Mel's Daughter/Harry's Charac
655683	105280	Claire
655683	190273	Judy Wasserman
655684	389416	Laura Shepard
655685	154726	Aunt
655686	255641	Caroll from Radio 4
655687	65532	Party Guest
655687	131372	Outsider
655688	121833	Herself
655689	368314	Petty Marsh Secretary
655690	224257	Gabriele
655690	252374	Herself
655690	378693	Herself
655691	59375	Ice Cream Licker
655692	182525	Káta
655693	120103	Dancer
655694	159164	Beloch's Army
655695	138436	
655696	199014	Weggeworfene Geliebte
655696	250761	Hildegard Tacke
655697	343881	Dancer
655698	6333	Patiente
655699	364368	Girl in dream fantasy
655700	51989	Aerobic Girl
655701	294150	
655701	318162	Peggy
655701	360726	Trish Lewis
655701	380391	Peggy Lazarus (1986-1987)
655701	380713	Patricia Kingsley (1993-1994)
655701	390771	Trish Lewis (1981-1985, 1997,
655702	303504	
655703	236972	Servant Child
655704	34446	
655704	182531	Talkative Girl
655704	187652	Madde
655704	381706	(episodes 1-5, 8-10, 12)
655705	134680	
655706	213736	
655707	213736	
655708	213736	
655709	345916	
655710	251096	Herself
655711	30955	Becky ("Action News" reporter
655711	80911	Newscaster
655711	108431	Herself
655711	153646	Herself
655711	153647	Herself
655712	300998	
655713	343374	Ullas veninde Inge
655714	122757	
655715	11705	Secretaria
655716	329342	Witch #1
655718	383971	Host (2000-2002)
655719	358835	City Service Woman
655720	182626	Føde-hjælper
655721	262261	Ice cream girl
655722	161754	Carol Ann
655723	222784	Pole Girl
655724	273869	Hitchhiker
655725	59828	
655725	64836	Unfriendly DA
655725	77451	Gloria
655727	145772	Physician's Assistant
655727	311537	Vinnie's Girl
655728	188502	Girl at Basketball Court
655729	179738	
655730	145638	Commercial Student
655730	282864	Cell Phone Businesswoman
655731	369460	Emma
655732	906	
655732	11092	
655732	92483	Charlene
655732	93102	
655732	102847	
655732	150282	
655732	150345	
655732	171703	
655732	187412	Herself
655732	252890	
655732	274671	
655732	305401	
655732	339923	
655732	344513	
655732	355377	
655732	368316	
655733	131852	Additional Voices
655734	11531	Blonde
655734	52681	Rape Victim
655735	85071	Susie Woods, waitress
655736	253876	Cat
655737	2355	Herself - Performer/Winner
655737	2771	Herself/Performer
655737	196318	Gina
655737	220212	Herself
655737	223904	Herself
655737	278822	Sadie
655738	220175	Mexican Harlot
655739	350251	
655740	6194	Doris Attinger
655740	33689	Ella Peterson ('Melisande Sco
655740	44515	Billie Dawn
655740	121557	Emily Rocco
655740	134149	Revuer
655740	163347	Gladys Glover
655740	206476	Florence 'Florrie' Keefer
655740	240904	Daisy (Simpkins' MGM date)
655740	254631	Nina Tracey
655740	307518	Laura Partridge
655740	308066	Defense plant welder
655740	329560	
655740	329565	Appearance
655740	335669	Extra
655740	366157	Ruth Miller
655741	168254	
655741	306616	Sammy Smith
655742	297190	Sorority Girl
655743	254522	Female Ensemble
655744	114870	Hat Check Girl
655744	126069	Jill Martin
655744	155061	Trudy Marsh
655744	197320	Pearl
655745	242633	Performer
655746	257653	Herself (Miss October)
655746	257662	
655746	257826	Miss January 1995
655746	356649	Herself
655747	41930	
655747	143577	WAVE
655747	154426	High School Girl
655747	184484	Ellen
655747	218257	Maid in Waiting
655747	331421	Daughter
655749	10709	
655750	11525	Dardis' Secretary
655750	11554	Aunt Hannah
655750	13394	Elma Dinnock (segment "The Pu
655750	34419	Mrs. Harvey
655750	87856	Mrs. Herman
655750	127530	Aunt Minerva 'Min'
655750	134193	Ruby Deagle
655750	163331	Mama Bell
655750	180061	Berti Bartolotti
655750	194682	Christina Eriksen
655750	195043	Lucille
655750	197247	Mrs. Cronkite
655750	215745	Mary Gertrude
655750	218719	Midge
655750	221183	Mrs. Alston
655750	221259	Gloria Chaney
655750	241241	Mrs. Crawford
655750	248878	Marva Kulp, Sr.
655750	256902	Miss Pearson
655750	296974	Mrs. Wooster
655750	301551	Mrs. Watson
655750	340025	Ruth
655750	358007	Mrs. Cozzens
655750	372148	Miriam Kirby
655750	379667	Florence Jean 'Flo' Castleber
655750	384449	Momma Love
655750	388927	Florence Jean Castleberry
655750	402204	Capt. Amanda Allen (final two
655750	404613	Prison Inmate Leader (1974)
655750	406565	(pilot only)
655752	263314	Justine
655753	130848	Passenger
655753	191514	
655753	336136	
655753	366260	
655754	276605	Peggy
655755	67037	Standariste
655755	116966	Reporter 1
655755	385003	Sandrine Arel
655756	503	
655756	85153	Riquette
655756	153890	
655756	213840	
655756	218950	
655756	282498	Agnès
655756	411699	Élise Emmery
655757	274677	Mother
655758	276906	Traveler's Wife
655758	366876	Beth
655758	382169	Alice
655758	382347	Jean
655758	385299	Eve Maddingham (1987)
655758	388895	Cora Brown
655758	395924	Claire, Bayleaf's wife (1988-
655758	396353	Norma Siegler
655758	396692	Rosa
655759	31629	Sola
655759	82683	Party babe
655759	277070	Holly Mistletoe
655760	211479	Mrs. Smith
655760	372717	Aunty Panty
655760	395919	Winnie Brown
655760	396709	Mrs. Crusty
655760	403467	Aunt Betty
655760	405502	Kitty
655761	335230	Girl at Party
655762	48948	Passerby
655763	194889	Tara Grimface
655763	199428	Kirin
655763	259032	Additional Voices
655763	259090	Annie
655763	259091	Nurse Joy
655763	259095	Diane
655763	259096	
655763	259097	Mewtwo's Servant
655763	259109	Nurse Joy
655763	259113	Nurse Joy
655763	293586	Satsuki
655763	319790	Turner
655763	350723	Lenneth Valkyrie/Lorenta
655763	383107	Misuzu Arito, Miyo Kisaragi, 
655763	390537	Noriko Ukai
655763	394064	Rose Marinade
655763	394175	Kano Miyazawa
655763	401740	Nurse Joy, Officer Jenny, Cas
655763	405942	Scarlet Garcia
655763	407519	
655763	409390	Trixie, Photo Pat
655763	411886	Mai Valentine
655763	411887	Mai Valentine (English versio
655764	13883	Vanessa Hollingshead
655764	127104	Female Sheriff
655764	136494	Nurse Dumont
655765	360713	Girl in Hospital
655766	35402	Nicole
655766	45523	Iris
655767	45435	Alley Tart
655767	158610	Edna
655767	254996	Charlotte
655768	93080	Woman #1
655770	307516	Sandy - Victim #1
655771	67733	Yvonne
655772	194405	Pig Pen Girl
655773	256823	Marg Livingstone
655774	62957	Kid in the Living Room
655775	73926	My Life with the Thrill Kill 
655775	200864	Singer
655775	205268	Woman in Audience
655776	91499	Celebrity Reporter
655776	398332	Presenter
655777	151452	Herself
655778	306051	Melissa Crease
655779	306051	Melissa Crease
655780	143531	Megara
655780	252854	Street Reporter
655780	368130	Narrator
655781	213509	Baby Mignon's nurse
655783	161519	Birdy Murphy
655784	161519	Angela Murphy
655785	131232	Extra
655786	131232	Extra
655787	92665	Ann
655787	272847	The Ravager's Victim
655789	1877	Herself
655790	8365	
655790	39305	
655790	76495	
655790	80637	
655790	94531	
655790	105158	
655790	128384	Undetermined Role
655790	152554	
655790	167255	Mrs. Lawrence Evringham
655790	292565	Olga Ivanoff
655791	284527	Extra
655792	145067	
655792	264269	Lizzie
655792	333542	Tina
655792	333547	Tina
655792	405048	Yvonne
655793	201831	Herself
655794	252573	Annie Dowsett
655794	395547	Mai-Li Cheung
655795	235367	Ms Van Dyke
655796	10914	
655796	19563	
655796	29940	
655796	45939	
655796	51580	
655796	57626	
655796	67097	Anne Chute
655796	77718	Mrs. Mayne
655796	83933	
655796	84232	
655796	90003	Maritana
655796	117765	Rosalie
655796	120631	Mary Magdalene
655796	133697	Bianca
655796	140173	
655796	143008	Aggie May
655796	144635	Bernice
655796	162202	
655796	175687	
655796	178893	Stella Hill
655796	195107	Juana
655796	203735	
655796	206421	Mrs. Callender
655796	211774	
655796	213871	Gertrude Rhead
655796	253098	
655796	258456	
655796	264473	
655796	265925	
655796	289199	
655796	290894	
655796	296869	
655796	297798	
655796	298387	
655796	300081	
655796	303077	The Siren
655796	303258	
655796	305852	
655796	308385	Xenia Vaskova
655796	328572	
655796	337486	
655796	350224	
655796	350227	Sybil, the Adventuress/Vampir
655796	356249	Amelia Ellingham
655796	359608	
655796	362615	
655796	366611	Carmen Dolores
655796	367322	Katherine Lowther
655797	10914	
655797	23145	
655797	45939	
655798	5823	White Flower
655798	112599	Madeline Ayre
655798	251681	Undetermined Role
655798	321235	Minnie
655799	333894	Herself - crew member
655800	238161	Valentina Carmina
655800	306758	Terry
655801	64098	Bachelorette #2
655801	295622	Margret Lapinski
655801	310571	Karla
655801	385824	Susan Adamson #1 (2001)
655802	29923	
655802	141589	Bound Cheerleader
655802	247926	
655802	372344	
655803	75806	Finola
655803	79863	Kym
655803	150351	American Gladiator
655803	157061	Queenie
655803	164764	Lt. Cassie 'Lobo' Puller
655803	185327	Adler
655803	188615	Reporter #1
655803	252223	Female Boxer
655803	303975	Lonnie Jones
655803	380005	Zap
655803	396738	Hunter
655804	298007	Amanda
655804	309526	Marian Anderson
655805	109613	Road Victim
655806	258101	Trista
655807	265568	Mistress Foxy B
655808	66390	
655808	106632	Model
655809	93445	
655809	156678	
655809	189835	
655809	225195	
655809	343477	
655809	344736	
655809	352528	
655810	296972	Chapel Singer
655811	326021	Jella
655812	123110	
655812	135982	Chiren
655812	161422	Annette
655812	176530	Kanuka
655813	380473	Additional Voices
655814	100209	Blonde Woman
655814	105455	Heather
655814	305228	Bonnie May
655814	317956	Rachael Whittman
655815	146333	Extra
655816	12295	Charlotte
655816	41499	Francis Bodean
655816	43883	Sheryl Lynn
655816	59378	Jane
655816	60744	Evy Sweet
655816	65521	
655816	68454	Adelle
655816	77183	Karen
655816	95785	Shannon
655816	114288	Carrie
655816	158930	Randall 'Randy' Dean
655816	185079	Cathy
655816	189334	
655816	194640	Lily Delacroix
655816	196549	Samantha
655816	197729	Ashley 'Ash' Van Dyke
655816	219367	Shelly
655816	224935	Leigh
655816	260323	Cop #1
655816	262704	Elaine Finley
655816	263498	Roxanne
655816	278822	Emily Hodge
655816	313000	
655816	332470	Lilly
655816	341680	Laurie Pendleton
655816	395016	Tina Kennard
655817	125578	Lisa Hatcher
655818	362538	Dance School Student
655819	134018	Babysitter
655820	400	Helen
655820	27363	Waitress
655820	59765	Patient
655820	63038	Sue
655820	68470	Mrs. Burgess
655820	80372	Onlooker
655820	109912	Karen Glover
655820	130178	File Clerk
655820	153147	Cashier
655820	176499	Disco woman
655820	254996	Mrs. Crawford
655820	268211	Nurse
655820	315311	
655820	342018	Coral
655820	342710	Carol Turner
655820	358985	Dottie Morin
655820	363972	Ruth
655820	378939	Bell's Relative
655820	388493	Karen Glover
655820	400814	Peace woman
655820	411211	Myrt Dumphry
655821	10688	Annie
655821	57380	Mrs. Crane
655821	159131	Tamakwa Cook
655822	71102	
655822	231132	Party Guest
655822	259778	Mrs Benton
655822	385299	Mrs. Naylor
655823	68455	Chandra
655823	208390	Adorable 6 Yr. Old Girl
655823	258887	
655823	259147	Sister Sara/Red Headed Girl
655824	127	Miss Dot Dennihan
655824	6504	
655824	8853	
655824	24518	
655824	27686	
655824	31115	
655824	31998	Kathleen the Maid
655824	36841	Woman
655824	38069	
655824	38070	
655824	38071	
655824	38072	
655824	38073	
655824	38074	
655824	38075	
655824	38076	
655824	38077	
655824	38078	
655824	38079	
655824	38080	
655824	38081	
655824	41512	
655824	48985	
655824	60734	Rose
655824	61252	Effie Trundle
655824	70727	Esther Northworth
655824	73203	Crippled Boy's Mother
655824	78101	The Woman
655824	78674	
655824	80603	Evelyn Baldwin
655824	81549	
655824	94122	
655824	99853	Crying Wife at Hospital
655824	105649	Rioter
655824	106729	
655824	112623	
655824	114229	
655824	115412	From 'The Violinist, 1914'
655824	123408	Donna Inez
655824	125870	Molly Creedon
655824	131364	
655824	132179	Mrs. Boyne
655824	143298	
655824	162408	
655824	165103	Mrs. Levis
655824	168629	
655824	176416	
655824	178949	
655824	183853	Nurse in Corridor
655824	195995	Mrs. Carnan
655824	200881	Bit Part
655824	201529	
655824	238878	Woman
655824	241416	Nurse
655824	241659	
655824	253150	Ethel Carr
655824	265258	
655824	271250	Jane Withersteen
655824	271805	Mrs. Ophelia Cobb
655824	277647	Maid
655824	287969	Rose Turner
655824	289422	Sadie
655824	291753	Dolly May
655824	292717	Laura Hazard
655824	301261	
655824	312584	Motherly Woman
655824	315095	Mother of Six Kids
655824	316130	
655824	327871	Cynthia of the West
655824	329504	
655824	330010	Nurse
655824	332063	
655824	333057	Mrs. Ed Larned
655824	337705	Joan (also prolog)
655824	340913	
655824	343018	Hilma Ring
655824	348298	Marie Brandon (in prologue)
655824	351707	
655824	354925	Margaret McDonald/Ethel, her 
655824	358251	Rene
655824	360235	
655824	364434	Customer
655824	364685	Dan Hannon's sister
655825	70629	Herself
655826	183323	Kid
655827	293096	Karen Molloy
655828	165246	Honey Wynn
655828	411811	Jill Malone #2 (1959-1962)
655829	232845	Female Delivery Room Nurse
655829	264158	Street Reporter
655830	235404	Customer #1
655831	219786	Bit Part
655832	261985	
655832	303680	
655832	307900	Therapist
655833	85992	Nancy Feather
655833	384613	Herself
655834	307374	Mrs. Sheraton
655835	95398	Coa Coa
655836	390336	Herself
655837	65681	
655837	118623	Gwen Peet
655837	138716	Alex McKenna
655837	143264	Virginia Hobson
655837	169814	Mrs Crawford
655837	222636	Dorothy Moxley
655837	269287	Stacy's Mother
655837	312391	Dance Teacher
655837	321788	Martha Bergstrom
655837	366906	Bonnie Newwood
655837	391919	Janine Johnstone
655837	405209	Alex McKenna (1992-1998, 2002
655838	267439	Reporter
655839	83958	Nurse
655840	116033	Paramedic #2
655840	178693	Nurse
655840	211941	Party Goer
655840	265527	Alvin's Mother
655840	301753	Nurse
655840	404409	Maid
655841	203338	Elegant Lady
655842	45096	Mrs. Ed
655842	151084	Millie
655842	254528	Girl
655842	278091	Cynthia Biggert
655842	316270	
655842	329853	Blonde
655843	211941	Party Goer
655844	14315	Nancy Holloway
655844	28516	La modèle noire
655844	40217	Nancy
655844	42105	
655844	44983	The Singer
655844	60691	Herself
655844	73075	Mélanie
655844	111092	La chanteuse de cabaret
655844	125840	Nancy
655844	157327	
655844	385037	Anne
655844	399193	Marpessa
655845	114127	Call Girl
655845	114843	Seamstress
655845	219769	Woman at Party
655847	16892	Jennifer
655847	258858	Girl Customer
655847	301558	Slaymate
655847	363046	Delilah
655848	128303	Sheila
655848	392019	Cissy Potter
655849	89078	
655849	117148	
655850	56206	Daisy
655850	265762	Cleo
655851	128303	Fiona
655851	392019	Violet Potter
655852	344524	Herself
655853	230508	Emily
655853	252726	Foxy Knockout
655854	78744	Mrs. March
655854	380724	
655855	284125	
655856	84516	
655857	272919	Herself
655858	656	Selena Frey
655858	70556	Ms. Wells
655858	177339	Regan
655858	290319	Odrie McPherson
655858	294745	Amy
655858	323375	Carol
655858	400236	Carla Grey Hall Scott (1969-1
655859	227348	Elizabeth Doane
655859	363945	Rose Miller
655860	217745	Christmas Student
655860	311037	Young lady at fire
655860	342791	Girl at Audition
655860	358654	Joann
655862	6994	Jazz
655862	18544	Cindy Rooney
655862	19833	Betty Cooper
655862	20965	Herself
655862	28930	Nikki
655862	32089	Darian Smalls
655862	45100	Tess
655862	57164	Jodie Colter
655862	59149	Amber Connors
655862	63432	Boutique Owner
655862	78077	Carol
655862	92104	Kim Davis
655862	92184	Lt. Emily Lake, Diving Office
655862	92847	Linda Lee
655862	95078	Mary Swanson
655862	101942	Claire
655862	121348	Suzie Bryant
655862	130124	Molly
655862	157655	Mrs. Rachel Travers
655862	171105	Grace Carpenter
655862	177419	Mrs. Rebecca Lear Highsmith
655862	185550	Frances Chadway
655862	195843	Tracy
655862	233676	Claudia
655862	251105	Buckley Clarke
655862	258027	Daphne
655862	271342	Rachel Purdy
655862	284932	Elizabeth Tyson, MD
655862	287792	Susan Flynn
655862	294028	Chihiro no okâsan
655862	295349	Lisa
655862	305575	Jennifer Robertson
655862	341847	Teri Halloran
655862	354189	Marybeth
655862	362453	Gigi
655862	379716	Julie Rand Chandler #2 (1986-
655862	380403	Kate Ward
655862	393228	Ethel Kennedy
655862	401414	Maxine Stewart Lacos
655862	403607	Susan
655863	410671	
655864	222216	
655865	306126	Woman
655867	238553	Regan Ibson
655868	272031	Holly B.
655869	120214	Nora
655869	175160	Ryan's Secretary
655869	298608	Candy store woman
655869	302765	
655871	128173	
655871	168981	Blonde Girl
655872	405209	Katie (1996)
655874	135852	Lily Klein
655874	176865	P.J.'s Aerobics Partner
655874	298347	Nozomi Harasaki, Kayoko Ito (
655875	110234	
655876	346347	Schoolchild
655878	766	
655878	27026	
655878	65605	Sarah
655878	70893	
655878	91667	
655878	93712	
655878	99768	Blonde
655878	99987	Gee
655878	99991	Gee
655878	99994	Gee
655878	100008	Gee
655878	128235	
655878	168072	
655878	178321	
655878	210758	Vegan Girl
655878	216817	Sheri
655878	228577	
655878	228637	
655878	253511	Cinnamon
655878	273279	Haley
655878	283183	Undressed to get Screwed
655878	296020	Miss Norway
655878	314111	Heather the Masseusse
655878	349386	
655878	349389	
655879	12708	
655879	328760	
655880	223818	Deputy 1
655881	377779	
655882	137122	Eprecske
655883	35059	
655883	43187	Aunt Fazekas
655883	122599	
655883	140049	
655883	244323	
655883	326341	
655883	377891	
655884	297128	Witch #2/Portress/Maid attend
655885	181765	Ina
655886	3017	Anne
655887	105959	
655887	113281	Carol
655887	391772	Dr. Heather Wolstenhulme
655888	87736	Fru Lehmann
655888	94412	Ida Frandsen
655888	138540	Anna Tingby
655888	153759	Anna
655888	166599	
655888	182806	Edit
655888	186241	
655888	204226	Fru Frank
655888	322678	Fru Ester Berg
655889	48671	Nurse
655890	306371	Telephone operator
655891	1962	Herself
655891	2021	Herself - Host: New York
655891	3021	Herself - Past Winner
655891	3053	Herself - Past winner
655891	3077	Herself
655891	7585	Herself
655891	10156	Iris
655891	11108	Karen Richards
655891	14239	Elizabeth Cady Stanton
655891	26619	Helen Bushmill
655891	34835	Interview
655891	39001	Marian
655891	47385	Herself
655891	55437	Celeste
655891	58816	Flame O'Neill
655891	61265	Emily Hefferan
655891	62941	Samantha Cromwell
655891	64072	Fairy Godmother
655891	67601	Mrs. Brandt
655891	67920	Sister Scholastica
655891	71271	Flo Clementi
655891	81072	Elizabeth Mason
655891	82504	Sybil Van Loween
655891	88981	Louise Halloran
655891	105204	Doris Borland
655891	125884	Anne Dettrey
655891	144936	Liz Imbrie
655891	147703	Herself
655891	148319	Hattie Greene
655891	167015	Molly Hayden
655891	188577	Addie Ross
655891	195482	Eva McFarland
655891	205834	Herself
655891	209608	Annie Smith
655891	222617	Claire Mercer
655891	232017	Herself
655891	241166	Clara
655891	259755	Miss Snow
655891	259775	Miss Snow
655891	264669	Florence Hollister
655891	279322	Susie Smith
655891	296974	Celebrity
655891	305934	Grace
655891	314777	Ida, Fletcher's Grand Mother
655891	321521	Nancy Lincoln
655891	324022	
655891	327847	Sylvia Crewes
655891	330699	Zandra Stoneham
655891	331439	Miriam
655891	331475	Mrs. Holden
655891	335120	Aunt Polly
655891	340810	Herself (on-camera host)
655891	346281	Beatrice Broadhurst
655891	371211	Phoebe Meryll
655891	378624	Substitute Host
655891	381110	Florence Harding
655891	381499	Frances Robinson
655891	383429	Sister Angela
655891	384166	Samantha Cromwell
655891	388237	Anna Rossini (1985)
655891	391940	Celeste Anders (1954)
655891	393472	Molly Hayden (1984)
655891	394457	Mrs. Helen Fuller
655891	396123	Isabella Alden #3 (1991-1992)
655891	398976	Abigail 'Abby' Townsend (1970
655891	402306	Hattie Greene
655891	411033	Herself/panelist
655893	178600	
655894	5685	
655894	24032	
655894	35499	
655894	107162	
655894	115948	
655894	168740	Ursel Matting
655894	204425	
655894	225246	
655894	289884	
655894	293522	
655894	337556	
655894	344743	
655894	351231	
655894	352584	
655894	368766	
655894	375080	
655895	24329	
655895	33130	
655895	124890	
655895	230144	
655895	284120	
655896	2546	Herself
655896	147804	Herself
655896	311705	Herself
655896	325156	Eleanor 'Ellen' Reed
655897	89635	Krogstad's Daughter
655898	182583	Guest at Crayfish Party
655899	233918	
655900	403076	Programleder, utenriks
655901	130111	
655901	281085	
655904	238802	
655905	94274	Agnes
655906	95757	
655906	117903	Fru Mogensen
655906	334249	Anna
655906	383948	Den Kolde Forstanderinde
655906	393859	Rejsende
655907	40176	Reynolds' Secretary
655907	45451	Hospital Nurse
655907	47358	Schoolteacher
655907	53193	
655907	68055	Helen Sherman, Ticket Booth G
655907	128827	Girl Clerk
655907	223723	Miss Kelly, Rudlin's Secretar
655907	270497	Cotwald Sanitarium Nurse
655907	303307	Benson's Secretary
655908	147832	
655909	160887	Cleaning Lady
655909	359202	Customer
655910	178975	V-Six Model/Cheerleader
655911	149363	Hoopers Mutter
655913	249695	Dancer
655914	59560	Ella Delahay
655914	96014	Blenda
655914	115398	Katja Kock
655914	134258	Elina
655914	255656	Alice Halling
655914	303854	Erika Blom
655914	320726	Ulla Berggren
655914	321996	Elisabeth Borg
655915	403805	Ivy Anderson (2000)
655916	140388	Frk. Andersen
655918	31379	
655918	34347	
655918	115203	Adele
655918	120951	
655918	132546	Angèle, Sängerin
655918	134822	
655918	175275	Lisa Franzen
655918	189688	
655918	205859	Mrs. Renate Henkel
655918	290122	Singer
655918	290754	Hella Block
655918	358525	Frau von Reininghaus
655918	367142	
655918	369170	
655919	10212	Matilda
655919	11709	Major's wife
655919	16265	Mrs. Pihlgren
655919	24164	Lisa Magnusson
655919	47836	Andersson
655919	48128	Sveda
655919	48371	Agneta Österman
655919	108202	Ruskan, maid
655919	108958	Mrs. Hermansson
655919	111835	Fia Jansson
655919	115399	Mari
655919	115426	Stina Andersson
655919	115427	Hanna
655919	115881	Rosa
655919	116454	Rutan
655919	120137	Beda
655919	120892	Ester
655919	122330	Concordia Blomkvist
655919	129171	Olga
655919	138433	Hanna Lundström
655919	142760	Stina Jansson
655919	142791	Stina Carlsson
655919	165616	Mrs. Persson
655919	172784	Selma
655919	181844	Barbara
655919	182173	Mina
655919	182286	Klara Larsson
655919	184925	Flora
655919	185810	Lena Mattsson
655919	193388	Tora Sjöblom
655919	193390	Tora
655919	198391	Majken
655919	202774	Mrs. Jansson
655919	206195	Teresia
655919	220194	Augusta Klang
655919	237247	Mrs. Stina Persson
655919	237252	Mrs. Filipson
655919	238405	Cashier
655919	268377	Carolina Johansson
655919	284372	Louise
655919	303644	Hilda Johansson
655919	303734	Johanna, housekeeper
655919	303921	Nippran nr 1
655919	304403	Katrina
655919	307222	Rut
655919	322421	Malin
655919	334039	Mabel
655919	338473	Malin
655919	353021	Rut Månsson
655919	353022	Agda Mattsson
655919	353032	Olga, housemaid
655919	353034	Tilda
655919	377381	Blenda
655919	377417	Krok-Martina
655920	296750	CJ's Opponent
655921	235174	Jenny
655921	271262	Dorothy
655921	382118	Jenny Rodenhurst/Simcock
655921	392705	Leah
655921	395830	
655921	398682	Margo Durrell
655922	16655	Angel
655922	30955	Mrs. Martha Wayne
655922	176530	Shinobu Nagumo
655922	176531	Shinobu Nagumo
655922	185211	Ruth Ellen Patton (Daughter)
655922	242038	Barbara Lipton
655922	317529	
655922	326607	Teresa Fitzpatrick
655922	348591	
655922	380465	Anna
655922	396004	Gretchen Reilly
655923	1028	Joan Blake
655923	27282	Annabella Milbanke
655923	47507	Anne Stephens
655923	52208	Lady Mollie Panniford
655923	73938	Moira
655923	196490	Louise
655923	215077	Isobel
655923	227564	Vittorini
655923	270616	Jean
655923	315296	Angela Carew
655923	359486	Maria
655923	363042	Nurse
655924	84299	Gossiping woman
655924	119016	Fru Karlsson
655924	120892	Ester, Johansson's housemaid
655924	154150	Waitress
655924	182566	Prison guard in Ravensbrück
655924	228397	
655924	240312	Waller's housemaid
655924	289783	Cleaning lady
655924	315361	Fat lady
655924	333046	Mother at the maternity ward
655924	338708	Woman at the women's meeting
655925	165411	
655926	182101	Member of Ladies' Orchestra
655926	394925	Drum player
655927	119694	Herself
655928	240042	Herself
655929	174715	Sofi
655930	316985	Damen med klippboken
655931	158102	Chorus
655933	247036	Poppy Tuckerton
655933	365616	Young Alice
655933	390030	Jackie
655934	7618	Rose
655934	42989	Nikki
655934	65825	Jenny
655934	79556	Rosa Dartle
655934	91501	
655934	112188	Mary Llewellyn
655934	120772	DI Louise Raynor
655934	129117	Jessie Fielding MP
655934	139486	Fay Devenish
655934	142929	Catherine Parr
655934	168599	Herself/Interviewee
655934	176352	Theresa Letts
655934	188220	Iris Bentley
655934	194289	
655934	211843	Jaine Ellis
655934	222748	Helena Petchey
655934	263795	Elizabeth Lukic
655934	271262	Gudrun
655934	310426	Alexandra Farraday
655934	335051	Louise Purdon
655934	367498	Stella Kidd
655934	382002	Zoe
655934	392842	Alison Huntley
655934	392901	Dr. Laura Hobson, pathologist
655934	393037	Felicity Dorr
655934	395080	Simone Parr
655934	396082	Sarah (episode "Toyboys")
655934	405042	Juliet (segment "Romeo & Juli
655934	405045	Jackie
655935	179631	O.R. Doctor
655936	107147	Grace Weston
655937	192278	Fawn
655938	179631	Young Woman in Jeep
655939	365556	Mollie
655940	328581	Tong Room Girl
655941	105135	Shopping Woman #2
655941	260206	Woman in Park
655941	325983	Ingrid, Model
655941	348370	Mother at Burning
655942	147238	Mother
655943	200410	Karin
655944	16266	Pilgrenskan
655944	16267	Pilgrenskan
655944	48367	Agnes
655944	87930	Waljo
655944	122320	Birgitta's Mother in Dream
655944	147005	Elisabeth
655944	164651	Dancing woman
655944	182303	Maj Hall
655944	184793	Aino Ahlström
655944	228418	Ingegerd Lindberg
655944	284101	Ingrid
655944	338659	Mrs. Nilsson
655944	338674	Guest at the skiing restauran
655944	338719	Britta Bremer
655944	345987	Countess
655944	347025	Maj-Britt Hassel
655944	354677	Mrs. Håkansson
655944	377436	Society Lady
655944	390639	Greta
655945	116455	Marit
655946	328301	T.J.
655947	341201	Retsina
655948	394322	Woman at petrol station
655949	32377	Solveig
655949	297128	Lady Macbeth
655949	303193	Kicki
655950	138529	Eva
655950	164651	Miss Hellman, John's secretar
655950	166753	Bank clerk
655950	174697	Saga's friend
655950	178743	Beate
655950	180076	Mannequin
655950	181843	Woman at the duel
655950	192654	Nurse
655950	277817	Britta
655950	307762	Antoinette
655950	312697	Guest at the masquerade
655950	350564	Waitress
655950	357801	Kerstin
655951	59717	Maid at Hedeby
655951	398195	Cleaning-woman
655952	80969	Undercover Cop
655953	320513	Young girl
655954	320513	Crying girl at the petrol sta
655955	51122	Nurse Rangvi
655955	109140	Anna-Greta Tomasson
655955	142789	Professor's Wife
655955	174049	
655955	225235	Ingrid
655955	238802	Eva Waller
655955	303200	Nora
655956	378816	Herself - Host
655957	309470	Sophitia Alexandra
655958	111142	Marianne
655959	71564	Julianne, Morell's Granddaugh
655959	190000	Madeleine Bray
655960	157188	
655960	194581	Girl
655960	335342	Mary Leighton
655960	401274	Mrs. Croft
655961	397955	Dorthe
655962	97222	Student
655962	166639	Hospital Visitor
655963	1208	Andrea Hartmann
655963	28555	Solveig
655963	37708	Aida
655963	136630	The young Marie Hamsun
655963	143730	Vaskekona
655963	153955	Ane
655963	165136	Mrs. Galle
655963	182292	Tante Gal
655963	243625	Eva Gjelseth
655963	268368	Britt, Roger's elskerinne
655963	284552	Ellen
655963	305877	Lillian Green
655963	306974	Fru Johnsen
655963	310387	Emma Klinke
655963	327126	Jomfru Van Loos
655963	332254	Mother
655963	382250	Tone Tallaksen
655963	390848	Marie Hamsun - den yngre
655963	396828	Eva
655963	400119	
655963	404026	Anne Eriksen
655963	405794	fru Johnsen (episodes 3, 7, 8
655963	410019	Elna
655963	410822	Flere roller
655964	1208	Henriette
655965	1601	Fru Pedersen
655965	27571	Sekretær Jenny Holst
655965	48346	Aase Thomsen
655965	51291	Hjørdis Friis
655965	87736	Jytte Lehmann
655965	99443	Lise Faber
655965	109141	Vibeke
655965	116313	Bodil Nielsen
655965	117583	Gerda Møller
655965	123500	
655965	136463	Fru Else Poulsen
655965	136619	Rudi
655965	145457	
655965	149121	Kirsten's Mother
655965	151823	Fru Petit
655965	153385	Fru Gottliebsen
655965	174444	Fru Vestergaard
655965	181736	Mormor
655965	209328	Værtinde i 1740
655965	216781	Elvi Mosehøj
655965	219700	Ellen Madsen
655965	226108	Rimonde
655965	237023	Sygeplejerske Inger Holst
655965	284393	
655965	303950	Vibeke
655965	309292	Jomfru Ingwersen
655965	315403	Kirsten Hein
655965	322291	Jytte Hansen
655965	356852	
655965	387293	Gordans sekretær
655965	400929	Lily
655966	1198	Nabo
655966	84279	
655966	153101	Ditlev's mor
655966	255673	Sekretær
655966	255699	Præstekone
655966	255700	Butiksdetektiv
655966	275265	Spøgelsesinteresseret gæst
655966	281085	Skønhedsplejer
655966	283484	Borger
655966	303133	Iris Nyborg
655966	324329	Tantens veninde
655966	346992	Else
655967	23507	Dorte Brandt
655967	178961	
655967	255699	Karin
655968	27130	Bad Baby Amy
655968	28272	Creature Voices
655968	37136	Jenny
655968	46297	Clerk
655968	74215	Additional Journalist
655968	395479	Cleo
655968	405369	Golden #2/Goonda/Anda
655969	274461	Little Erin
655970	138220	June
655972	360667	Political Commentator
655972	395304	Guest hostess (2002)
655973	113989	Android
655973	182735	
655973	391604	Ines Führbringer (#1) (2004)
655974	28572	Dancer
655974	336858	
655975	169136	Child Chorus
655976	79841	Featured Zombie
655977	375792	
655978	233510	Paula
655979	162292	Young Dubliner
655980	165421	Dancers
655981	197270	
655981	331668	
655981	355522	
655982	280013	Penelope
655982	338757	Boody's Girl
655983	213941	Kimberly's Mother
655983	380259	Jean MacEwen (1978-1980)
655983	386488	Marie Anderson
655984	115138	Computer Voice & Face
655984	191850	Crying Wedding Attendee
655985	151055	Anna Cherkova
655986	265864	Allison
655987	389654	Herself - Presenter (Season 1
655988	405147	
655989	289650	
655990	67495	
655990	250449	Female golfer
655990	282434	Shower Lady
655990	295282	Mother
655990	385653	Angie
655991	118811	Bessie
655991	206476	Marian
655991	277491	Myra Banner
655992	80640	Allison
655992	108116	Kate
655992	131732	Rhonda
655992	167892	Caitlin Bishop
655992	183398	
655992	196892	Mary
655992	251247	Betsy, Salesgirl
655992	292472	Joan
655992	333035	Rebecca Corbett
655992	392948	Leah
655992	407421	Julie Crawford
655993	356391	Une voisine
655994	63850	Gwyneth
655994	193370	Serena
655995	11320	Ethel Maynard
655995	13534	
655995	16752	
655995	21481	Grace Hughes
655995	22929	
655995	45930	Christine
655995	50852	
655995	58468	Anna Dalton
655995	59936	
655995	65231	
655995	98776	Cabaret Dancer
655995	106833	
655995	106865	
655995	106871	
655995	106889	
655995	108302	Doris Leighton
655995	113591	Judith
655995	120113	Beulah Sands
655995	124474	Mrs. Roger Leeds
655995	127683	Queen Vesta
655995	143166	Violet Kirby
655995	152870	Louis Brigard
655995	153177	Mrs. Prescott
655995	158339	Judith
655995	162402	Bess Hulette
655995	203512	The Woman, aka Mary Leslie
655995	220100	Undetermined Role
655995	224736	Judith Hamilton
655995	279729	Maid Marian
655995	318177	Marion Crewe
655995	352141	The Older Woman
655995	353534	Penelope Brantford
655995	356255	The Wife
655995	359131	Dr. Thelma Winter
655995	360225	
655996	275784	Young girl
655997	2503	Sylvia Dean
655997	10658	
655997	27560	
655997	30181	
655997	30381	Rita Wingate
655997	31051	
655997	31336	
655997	38605	
655997	41143	Helen Grimshaw
655997	48006	Mary
655997	54736	
655997	69277	
655997	71797	
655997	73664	
655997	73812	Helen Wainwright
655997	82583	
655997	82690	
655997	83959	
655997	85847	Helen
655997	95322	Dolores Verdiego (last of the
655997	109469	
655997	109471	
655997	109640	
655997	112334	
655997	112496	June Sanford
655997	115176	
655997	116265	
655997	127088	Nada Mayhew
655997	128103	
655997	140686	Helen (1914-1915) (Episodes 1
655997	143801	
655997	144654	
655997	145404	Amy Allis
655997	146124	
655997	155627	
655997	169979	Judith Barrier
655997	177672	
655997	193662	Margie Vanney
655997	194799	
655997	194800	Helen Martin
655997	203760	
655997	203816	Constance Emory
655997	209418	Marion Sinclair
655997	212125	
655997	215968	Helen Barton
655997	229109	
655997	241534	Helen Morgan
655997	242543	
655997	242813	
655997	245548	Helen Kinney
655997	251208	
655997	253142	Helen Martin
655997	271133	
655997	271489	
655997	274750	
655997	277832	
655997	283428	
655997	301257	Belle Henderton
655997	305852	
655997	315151	
655997	315589	Mary Weems
655997	316992	
655997	332765	
655997	337786	
655997	360651	
655997	363694	Marion Sinclair
655997	363695	
655998	29085	Scenes deleted
655998	52373	Josephine
655998	94598	Aunt Althea Carter
655998	219189	Dumpy Woman
655998	260419	Undetermined Role
655998	360235	Audience at Saloon
655999	7140	Jenny Robinson
656000	241301	
656001	70320	Ione
656001	144825	The Star
656001	146746	Charlotte Van
656001	166031	Ellen McBride
656001	199185	Bride
656001	286152	Mabel
656002	277985	Jerry Carol
656003	38021	2nd Grader
656003	68179	Emily
656003	158343	Little Girl
656003	192157	Wendy
656003	262077	Katie Power
656003	274650	Santa Family #3
656004	192634	Lila French
656005	383582	Madame Morin
656006	22	
656006	82707	Mary
656006	147127	Alice Hobson
656006	190223	Karen Nelson
656006	215363	Jane Miller
656006	272927	Ann Davis
656006	286809	Varinia
656006	332151	Young Woman
656006	399306	Leslie Vanderkellen (1982-198
656007	155249	Subject of Film
656008	248788	Foreign Customer (Judy)
656009	50240	Restaurant Attendant
656010	139025	Janelle Rogers
656011	1675	Herself
656011	2042	Herself
656011	72786	Nominee
656011	147927	Host
656011	192634	Phylis French
656011	361229	Dina
656011	384698	Herself (in episode "Holmes A
656011	387598	Various Roles
656011	391839	Various
656011	393143	Tricia Farr/Various Character
656011	395725	Little Big Kid
656011	403844	Various roles (2003-)
656011	405938	Various Characters
656011	411599	Jasmine
656012	382645	Host
656013	223778	Mrs. Monday
656014	37210	Miss Other Patterson
656014	121240	
656015	246861	Topless Baby Model
656016	256407	
656018	1474	Herself
656018	1681	Herself - Presenter
656018	1725	Herself
656018	4536	Katie Burke
656018	30959	Rachel Dawes
656018	63062	Herself/Host
656018	79708	Herself
656018	87926	Rachel Wagner
656018	114095	Samantha Mackenzie
656018	127562	Jessica King
656018	127567	Herself
656018	129768	Claire Montgomery
656018	155277	Libbets Casey
656018	222492	Joey
656018	254785	Pamela McFadden
656018	255442	April Burns
656018	255443	Herself
656018	302710	Nurse Mills
656018	308711	Josephine 'Joey' Potter
656018	326442	Leigh Ann Watson
656018	367964	Hannah Green
656018	385802	Josephine 'Joey' Potter
656019	343054	Schoolgirl
656019	347716	Girl
656019	402092	Sarah Jackson
656020	256220	Amanda
656021	62928	Band Member-Backing Vocals
656021	218180	All-Girl Band Percussionist
656021	384455	Flo
656022	80444	Yacht Scene Victim
656023	252389	
656024	56545	Herself
656024	73989	Deliverance Fuller
656024	365119	Shannon
656025	646	Other 'Gold Mine' Girl
656025	150140	
656026	114051	Barmaid
656027	64115	
656027	97503	
656027	283551	Mrs. Duggan
656027	390771	Marion Conway #1 (1971)
656028	87867	Nurse Penrose
656029	31643	Beach girl
656029	37674	Beach girl
656029	68016	Girl
656029	85997	Verna
656029	92482	Robot
656029	127125	Luree
656029	151672	Beach Girl
656029	222931	Beach girl
656029	246861	Perfume Girl
656029	294742	Luree
656029	303900	Luree
656029	339858	
656029	365473	
656030	404301	Katie
656031	118401	
656031	124943	
656031	319720	
656032	126506	Celia Jackson
656032	334761	Sugar
656033	41134	Thelma
656033	107990	Rosemary
656033	191152	Black Militant
656033	198489	Elinore
656033	226785	Wanda
656033	265859	Black Woman
656034	127408	
656035	115538	Rosario
656035	194019	Dona Vega
656035	301274	Luisa Torres
656036	109971	Nurse
656036	133735	Granny woman
656036	186423	
656036	199085	Old Apache woman
656036	232238	Indian Woman
656036	267111	Old hill woman
656037	328524	Mrs. Elliott, store patron
656038	245363	Grannie Hawkins
656039	366746	Sally
656039	366747	Cathy
656039	366803	Michelle
656040	100825	Cameo appearance
656040	203200	Nurse
656041	348379	Woman, in the washhouse
656042	214932	Mrs. Rickles
656043	364425	Nurse
656044	10837	Veronica
656044	51989	Aerobic Girl
656045	209116	Densie
656045	278909	Sue
656045	384766	Marie
656045	385020	Tina Fowler (1989-1990)
656045	385614	Jenny
656045	386502	Susan
656045	387533	Britt Woods (1993-1996)
656045	388782	Maggie Coles
656045	390370	Yvonne Sparrow (I) (Series 1-
656045	397493	PC/Sgt. Connie Harper
656045	398416	Annie
656045	402031	Susan Turner
656046	318386	Nurse Krumlauf
656046	320084	Laura Seidel
656046	360895	Ingrid
656046	389478	Beth
656047	309207	
656048	282847	Pam
656049	127730	Duck #1
656049	147214	Dancer
656049	157575	Key Dancer
656049	336484	Dancer
656050	74771	Herman's Daughter
656050	167820	Australian Group #6
656051	403299	Panelist
656052	199477	Extra
656053	81640	
656054	81640	Herself (Chris Holmes' mother
656055	290397	Allison Hunter
656055	369473	Marnie
656056	176819	Firewatcher
656056	399130	Andrew Robinson (1991-1992)
656057	168544	Herself
656057	362988	Herself
656058	41138	Kate Gordon
656059	114943	
656062	2199	
656063	37210	Choir #2
656064	314853	
656065	2201	Jenny
656065	97517	Maggie
656065	175060	Michelle
656065	254876	Amy
656065	263345	Nadine
656065	264036	Annalisse Somerled
656065	295278	Ellie
656065	315781	Sue ('Fiction')
656065	358474	Becky
656065	407421	Anne Campbell/Crawford
656066	61326	
656066	61737	Myra Anders
656067	372639	Louise
656069	360544	Wedding singer
656070	210817	Mrs. Easy
656070	215058	Rozanne
656071	129179	Daughter of Sören and Boel
656071	281956	Gabriella as a girl
656072	182257	Babsan
656073	131394	Waitress
656074	333068	Ella
656075	129179	Daughter of Sören and Boel
656076	32385	Hotel Receptionist
656076	137953	Stella
656076	386183	
656076	394744	Fröberg
656076	410280	Gunilla Persson (1997-)
656077	99161	Lina
656078	142729	Prostitute
656079	35255	Woman Getting Newspaper
656080	109008	
656081	187226	Reporter #2
656081	226785	Rene
656082	84163	
656083	7217	Petronila
656083	58258	Teacher Rázová, geography
656083	247949	
656083	266023	Professor
656083	374534	Berta Svobodová
656084	6586	Karin Hansson
656084	28319	Astrid
656084	174201	Lena Moberg, actress
656084	209311	Miss Svensson's friend at the
656084	214220	Barbro
656085	66390	
656086	15861	Susanna Smart
656086	65628	Debi
656086	87223	Receptionist
656086	97352	Marla Schaffer
656086	101726	Lionel's Girlfriend
656086	223699	Judy
656086	300044	Additional Voices
656087	8181	
656087	72467	Rose Bannon
656087	96692	Jean Blair
656087	115428	Stina
656087	125871	Molly Creedon
656087	147633	Cameo appearance
656087	171074	Essie Birdsong
656087	182551	Greta
656087	190489	Maisie Wells
656087	209382	Grace Ainsworth
656087	224208	Virginia Sanders
656087	265874	Mary Talbot
656087	279808	
656087	290355	Betty Lynch
656087	343122	Janet Van Wyck
656087	372913	Connie Sutton
656088	150613	Rosa
656088	184577	Brita Blomstedt
656088	313641	Ingeborg Larsen
656089	391435	Ann-Sofi Jonsson
656090	170848	Herself - Participant/Perform
656091	302796	Peasant woman
656091	303666	Girl at Elvira's party
656092	227103	Sister
656093	301845	Herself - Mother to Silke
656094	301845	Herself
656095	345651	
656096	466	
656096	12626	
656096	119265	
656097	61614	Carrotta
656098	78524	
656099	105362	Maj-Britt as a child
656099	243264	Anna, Knut and Inger's daught
656099	338674	Maj-Lis, the little girl
656100	16318	Linn
656101	243264	Lill-Inger, Knut and Inger's 
656102	159646	Dancer
656103	175352	Anna Gunnarsson
656103	308199	Lena
656103	322274	Bank clerk
656103	394940	Judit
656104	240473	Little Girl #2
656105	132182	Midwife
656106	184710	Cop
656107	342308	Dancer
656108	84287	Berit
656108	333046	Lisa
656109	173190	The maid
656110	226808	Ulla Magdalena Carlsson
656111	377442	Anna som ung/Andrea (episodes
656111	400308	
656112	350607	Horat's People
656113	182289	Edit van der Rohe
656114	51989	Nina
656115	23338	Jane Randall
656115	34611	Jennifer
656115	54726	Dancers
656115	61156	Female Dancer
656115	68242	Heather
656115	80483	Adimistrative Nurse
656115	90344	Deedee
656115	191677	Bartender
656115	199759	The Dancers
656115	200208	Citizen of Pekin/Ensemble
656115	245218	Molly
656115	272661	Lady T
656115	279218	Mali
656115	290936	Keyboard Player
656115	336459	Rekall Receptionist
656115	344480	National
656115	400548	Macy
656116	188453	Opening Sequence Girl
656117	212524	Warden
656117	280668	Vera
656118	51377	Featured Victim
656119	395667	Wanda Winicki
656120	350718	
656121	100753	
656121	117805	Nurse Charlotte Beale
656121	342637	Robin Jones
656122	342760	Biker 'Chick'
656123	46854	Brenda Aarons
656123	142572	Girl #2
656124	238094	
656125	332472	Miss Barry
656126	198189	La chanteuse irlandaise
656127	108330	Kim
656128	23750	Clarisse
656128	404153	
656129	55148	
656129	178672	
656129	290756	
656129	301050	
656130	96834	
656130	186001	
656130	319919	Marine driver
656130	382174	Nicole
656130	410671	
656131	222784	Hooker #3
656133	84230	Shower Siren
656134	252000	Pige på Stengården/Servant gi
656135	184608	White Royal Lady
656135	193386	Bep Brul
656135	205726	
656135	243011	Johanna
656135	337886	Moeder
656135	373732	Baliedame
656135	389358	Adèle
656135	395889	Bep Brul
656135	409572	Lotti Werner (1996-1997)
656136	397652	Presenter
656137	398045	Herself - Psychologist
656138	153398	Herself - Slagterimedarbejder
656140	136179	Barbro
656141	153398	Herself
656141	389211	Herself - Host
656142	153398	Herself - Kantinemedarbejder
656143	5195	Riccos Mutti
656143	53220	Epileptikerin
656143	78303	Dicke Frau
656143	102389	Zimmerwirtin
656143	156631	
656143	325593	Frau Zeh
656143	325711	
656143	344153	
656144	204473	Baby
656145	103129	Marianne Bergmann
656145	108113	Christel
656145	124891	Dr. Christine
656145	134979	Mona von Buckwitz
656145	144148	Irene Thomas
656145	152790	
656145	172387	Kaiserin Elisabeth
656145	186984	
656145	189679	Leonie Waldau
656145	193303	Lea Amsel
656145	197409	
656145	204488	Brigitte
656145	209985	Clarissa von Birkhausen
656145	219016	
656145	225315	Danielle
656145	242840	Marie Geistinger
656145	275171	Armande Colbert
656145	281944	Marylin Parker
656145	322564	
656145	326057	Marita
656145	338263	Graefin
656145	356711	Dr. Cora Berndsen
656145	356751	Angela Bell
656145	360926	
656145	361392	Gloria Römer
656145	364998	Grafin Melanie Wolkerxchein
656146	361568	
656147	142792	Ritva Sjöberg
656148	56857	Fan
656149	407361	Host (early edition) (2001-)
656150	1050	Hilda, Strand's Maid
656150	29345	Mrs. Bergman, seamstress
656150	29559	Seamstress
656150	29560	Woman
656150	48258	Maternal grandmother
656150	99613	Anna-Rosa's Great Grandmother
656150	101451	Kristin, Allard's housewife
656150	108633	Ekdahlska huset - Miss Ester
656150	115882	Miss Svensson
656150	120892	Jenny, Willman's former house
656150	121010	Jean's mother
656150	124449	Anna Andreasson
656150	140393	Inga Bjoerhus
656150	153768	Mrs. Karlsson
656150	154323	
656150	160740	
656150	165613	Malin
656150	165615	Malin
656150	165616	Mrs. Vängman
656150	174432	Fröken Eternell
656150	181006	Malin
656150	190822	Guest at the wedding
656150	192926	Mrs. Wallin
656150	218993	Tourist in Paris
656150	223187	Post office worker
656150	235041	
656150	255945	Pimpernel's Maid
656150	268328	Woman
656150	268360	The old lady
656150	271688	Stina
656150	272510	Lille-Sara
656150	272511	
656150	275590	Shop assistant
656150	286137	Sally's Grandma
656150	303851	Woman present at the arrest o
656150	304161	Braxenhielm's maid
656150	305303	Nurse
656150	308200	Dresser
656150	311536	Lady in the park
656150	314386	Lady at the bank
656150	315549	Midwife
656150	317642	The lady in the subway
656150	325046	Customer at the gardener
656150	326127	Cyclist Discovering the Corps
656150	333046	Nurse
656150	338659	Neighbour
656150	338674	Maj-Lis' mother
656150	342302	Gammal patient
656150	343712	Merchant's maid
656150	348728	Fina
656150	355638	Svea, Eksell's housemaid
656150	357799	Maid
656150	377435	Johanna, Knohultarn's wife
656150	380374	
656151	92914	Niki
656151	94256	Sandra
656151	122270	Lärarinnan - opettaja
656151	147012	
656151	171580	Marie
656152	138524	Damen først i matkøen
656153	403537	Participant, 'first out' (200
656154	213941	Herself
656155	102656	
656155	132539	
656155	296044	Herself
656156	760	
656156	34841	
656156	132017	
656157	119147	
656157	223279	Exotin
656158	171578	Mrs. Larsson
656159	92095	Woman #2 (Elevator)
656159	194836	
656159	243624	Lisa
656159	350310	Veronica
656159	396408	Roos Klerekoper
656159	411950	Teuntje van der Meer
656160	81505	
656161	99584	Michelle Beaulieu, age 5
656162	337539	Micaëla - Film 1
656163	155257	Village Woman
656164	315845	Dr. Elaine Krauss
656165	370035	T.V. Interviewer
656166	158312	IA Officer #1
656166	245216	Capt. Stuart
656166	299679	Co-worker
656166	329954	2nd Neighbor
656166	353418	
656166	356313	Helen
656167	332055	Mary Barrett
656168	313708	Herself
656168	366946	Jennifer's Child
656169	78744	Shopper
656169	105266	Supermarket wife
656169	118722	Nurse Jackie
656170	342842	
656171	80034	Guest
656171	98659	Maudie
656171	155816	Lisa
656171	162862	
656171	203727	Tex Connors
656171	210481	Mrs. Worth
656171	274195	Lindy
656171	367980	Hippolyte
656171	375111	Sara Raymond
656172	304875	Alison Keller
656173	50234	Girlfriend
656173	307002	Businessman's Girlfriend
656174	119801	
656176	315295	Backing Vocals
656177	308998	Woman in 4X4
656177	404772	Sobaash
656179	5691	Madeleine Lamont
656179	21653	
656179	93477	
656179	98046	Mädchen
656179	98572	Katherina, their daughter
656179	99174	
656179	111477	
656179	117964	Singer
656179	119275	
656179	119691	
656179	173150	Charlotte
656179	189703	Vivian Gibson
656179	204454	
656179	227171	Eva Helmer
656179	317500	
656179	331429	
656179	367355	
656180	84970	His wife
656181	144379	Princess
656182	196523	Europena
656182	279382	Little Jane
656182	367658	Marion Alden
656184	112587	Madge Blair
656185	14966	
656186	10655	Helene
656186	16315	Conchita Asnurri
656186	16948	Thérèse
656186	23829	Madame Crickett
656186	30253	Anne
656186	30532	Nastia
656186	70152	
656186	71948	Genevieve
656186	84190	Brigitte (segment "Chère peti
656186	88840	Mrs. Bayle
656186	89965	Lily Bruquier
656186	97924	
656186	108991	Marianne
656186	111864	Sylvie
656186	115687	Frieda
656186	121935	
656186	126319	Mme. Lorilleaux
656186	131019	Rachel
656186	134045	The Countess
656186	160543	Sylvie
656186	191190	Woman at the Meeting
656186	199581	
656186	201192	Greta
656186	215853	
656186	225531	Felix's grandmother
656186	234573	Geneviève
656186	234721	Madeleine Bodin
656186	240274	Herself
656186	248417	
656186	248422	Betty
656186	251300	Catherine Le Quellec/Aurélia 
656186	256756	
656186	282417	Sarah
656186	283264	
656186	289210	Meicha
656186	324949	Proprietress Marie Louis Mans
656186	333236	Marcel's mother
656186	337543	Groussina
656186	340105	
656186	345244	Juliette Guicciardi
656186	345262	Ninette
656186	351056	Herself
656186	377620	Hélène Bonnard
656186	379239	Mme Offlanges
656186	408662	Mlle Monelle
656187	7131	Andre Mason
656187	35780	Ellen Tanner
656187	47294	TWA stewardess
656187	48874	Dale Harrington
656187	60949	Ellen Randall
656187	72263	Mitzi
656187	81792	Nan Taylor
656187	112627	Abby Jackson
656187	120746	Lois Rodgers
656187	126510	Vilma Walters
656187	127219	Dianne Trent
656187	135846	Jane Condon
656187	136026	Lillian Wilkins
656187	140505	Vivian Chambers/The Hawk
656187	144109	Girl
656187	144449	Miss Russell
656187	149420	Gail Nolan
656187	191924	Janet Hammond
656187	193719	Joan Winters
656187	194974	Jane Burns
656187	206528	Ellen Carey
656187	218718	Gwynn Randal
656187	228735	Mary Trevor
656187	239406	Donna Ross, aka El Vengador
656187	239549	Mary Lee
656187	245381	Alice Thornton
656187	245673	Carolyn
656187	248838	Girl on bus with Tommy
656187	256419	Betty Walters
656187	264603	Joyce Mason
656187	271088	Jane Carter
656187	272090	Belle
656187	275739	Dolores Salezar
656187	277999	Carla Anderson
656187	296859	Mary Ann Jarvis
656187	301935	Nancy Lee
656187	308599	Vicky Conway, adopted
656187	312818	Margie Watson
656187	314668	June Winters
656187	328084	Kay Randolph
656187	333639	Jenny Morgan
656187	336162	Mary King
656187	337628	Kathie McBain
656187	339653	Jane Caldwell
656187	346195	Charity
656187	363427	Mary Rockwell
656187	400739	Co-host (1950-51)
656188	35530	Production Assistant
656189	265247	
656190	195767	Mo
656190	239607	Nurse
656190	279371	Susan Watson
656190	293198	Mrs. Hall
656190	379872	Jean Kenning
656190	380190	Susan Fairbrother
656190	380798	Elaine Fishwick
656190	384097	Sister Sandra Mitchell (1990-
656190	386719	Yvonne
656190	387533	WPC Wendy Lumm
656190	398684	Anna Blake
656190	402610	Claire Fletcher
656190	406267	Marian
656192	18	Party Guest
656192	18598	Old Bat
656193	149126	Native Dancing Girl
656194	150587	
656195	380012	Special Correspondent (2003);
656196	150587	
656197	5447	
656197	273117	Vivian (segment "La potranca"
656198	26865	Anne Keller
656198	106542	Miss Brower
656198	194495	Additional Voices
656198	250514	Pediatric Nurse
656198	311284	Cop #1
656199	2855	Kylie
656199	99468	Eloise
656200	398555	Investigator
656201	345856	Carolyn Thomassen
656201	363708	The Woman
656202	293076	Judi
656203	36854	Herself
656203	353490	
656203	381910	Herself (Series 1) (2000)
656205	2781	Alpine Inn Waitress
656205	152910	Nina
656205	387747	Kaley
656205	403469	Caroline
656206	5447	
656207	158975	David's girlfriend
656208	41195	Nurse
656209	308184	Herself
656210	1470	Suki
656210	9143	
656210	28612	Agent Bennett
656210	39840	Annuka
656210	58020	Jin
656210	77629	Poppy
656210	96737	Wendy
656210	109454	Giselle
656210	138841	Bonnie
656210	160445	Herself
656210	187419	Kanata
656210	196549	Mona
656210	214873	Pearl
656210	215816	Ima
656210	241038	Li Ann Tsei
656210	258514	Pocahontas
656210	272279	Ramana
656210	276240	Terri Morales
656210	286475	Kate
656210	313822	Pvt. Jill Sandee
656210	400207	Li Ann Tsei
656210	402869	Herself
656211	5064	Hostess
656212	307661	Elvira
656213	42386	Rita
656213	45830	Toni
656213	46529	Woman
656213	63130	Sister Lucia (1939/1959)
656213	75729	Dr. Feinstein
656213	154301	Angela White
656213	195844	Angela Ryan from Bailey Feder
656213	340791	Desdemona
656214	72487	Apache Dancer
656214	385299	Sister Gabrielle
656215	283543	Suzie Checkpoint
656216	72689	Pete
656217	80660	Older Nun
656218	2762	Winner Best Revival of a Play
656218	83980	Woman with pram
656218	91935	Marie
656218	144406	
656219	39534	Betty
656219	105321	Herself
656220	59536	Robby Barnes
656221	230506	Ula Vale
656221	230507	Ula Vale
656221	325109	Ula Vale
656222	305941	Young Edna May
656223	40958	Schülerin
656223	173175	Kleo
656223	217091	
656224	149138	Erika Ford
656225	287969	Henrietta Reynolds
656226	387262	Jannike
656227	228411	Båremor/Maria
656227	399060	Båremor
656228	41278	Red Assassin
656229	212334	Herself - Participant/Perform
656230	252000	Skoleelev/Classmate
656231	409930	Mathilde 'Mille' Fossum
656232	16403	Fru Bergan, Kjells mor
656232	17838	
656232	28318	Madam Salvesen
656232	134917	Andrine, Karlsens kone
656232	346995	
656232	348962	
656233	1402	Beate
656233	2733	Liv
656234	108883	Swanhilda's Friend #5
656234	260207	
656234	361848	Stewardess
656235	107334	Hulda Stiansen
656235	109041	Veronika
656235	302087	Bertille, Simens kone
656235	333014	Desideria, tjenestejente
656236	79623	Dorian Waltz
656236	289857	
656236	394627	Schwester Maria Langer (2000-
656236	408208	Natascha (2002-)
656237	303196	Hitch-hiker
656238	367856	Herself (Lori's Friend)
656239	334990	Rosa
656240	407817	Herself - Norwegian Participa
656241	11836	Ältere Dame
656241	136723	Frau Delveccio
656241	290534	Senior #2
656241	380396	Hélène
656241	381694	
656242	161584	Herself
656243	161865	Chorus Girl
656244	72684	
656244	117979	Maisie Shephard
656245	198489	Nurse #2
656246	255897	Cricket
656247	242487	Cinnamon
656248	331100	Dancer
656249	314006	Radio Newscaster
656250	171666	
656251	114094	Emma
656252	33238	Tante Friederike
656252	33265	Elfenhand
656252	100990	
656252	105590	
656252	112971	Viktoria Luise Winkler
656252	120926	Anna Schilling
656252	120953	
656252	140215	
656252	157769	
656252	158050	Belisas Mutter
656252	178610	
656252	181153	Frau Fabricius
656252	204421	
656252	210080	
656252	247147	Maria Werth
656252	275692	
656252	281983	
656252	293561	Frau Inspektor
656252	335996	
656252	360940	
656252	387769	Mrs. Denby
656252	405748	Tante Malchen
656253	358519	Tina Schaffner
656254	44963	
656254	113141	
656254	345209	Jacqueline
656254	386021	Mireille
656254	400869	La dame de l'agence d'intérim
656255	226992	
656256	314737	
656257	165077	Magda
656257	225876	Nun
656257	394585	Agnieszka Lubicz
656258	18999	Beggar
656258	54284	Susana
656258	55154	Maria Luísa de Parma
656258	111153	
656258	211024	Professora
656258	213708	
656258	343645	Piano
656258	381328	Dos Anjos
656258	383142	Generosa
656258	384117	Dona Ló
656258	385853	Simone Guedes
656258	386122	Angélica
656258	386123	Barbara Toledo
656258	388591	Querubina Praxedes de Menezes
656258	388721	Florisbela Mendonça
656258	398501	Santana Gurgel
656258	398549	Mãe Cândida Olinto
656258	400799	
656258	401900	Sirléia Batalha Pereira
656258	402086	Marta
656258	402371	Quitéria Quarta-Feira
656258	402593	Fanny
656258	408550	Irma Lamer
656258	409347	Santa
656258	409814	Alice Penn-Taylor
656260	205726	
656261	129430	Young Woman
656262	163536	Peppermint Patty
656262	306181	Peppermint Patty
656262	383928	(1985)
656263	347710	
656264	383928	(1985)
656266	127191	Young Savanah Starr
656267	322583	
656268	248318	Company 'C' Girl
656269	16190	Machatová
656269	55874	Bohunka
656269	55885	Bohunka
656269	58159	Matylda, minister's wife
656269	58273	Vlasticka
656269	101010	Kveta Laskonová
656269	138293	Ester Fux
656269	146611	
656269	174122	
656269	179038	Wife of Vrána
656269	179233	Herself
656269	180556	Liduska
656269	208732	Singer
656269	223487	Mutter der Zwillinge/Mother o
656269	237178	
656269	250402	Anna
656269	252079	Teacher
656269	262564	Mother (Smer Karlstejn)
656269	266425	Helena
656269	267313	Alena Márová
656269	268266	Teacher in Cerný Prívoz
656269	276110	Nurse
656269	304201	Wife
656269	304202	Mother
656269	320544	Dinah
656269	332388	
656269	356441	Marie
656269	357279	Friend
656269	360071	Mrs. Divoká
656269	386629	
656269	387059	Vlasticka Nováková
656269	402367	Warden's wife
656270	325653	
656271	186740	Helen
656272	226635	Herself
656273	289262	Hannah Everland
656274	347633	Henny
656274	347640	
656275	173046	Lisbeth
656275	201341	
656275	335036	
656276	32003	Soeur Valérie
656277	125370	La dame de l'accueil
656278	283350	
656279	340791	Red-Haired Acting Student
656280	185755	Katherine
656280	365881	Cherlindrea
656280	368687	Erin Cooper
656281	275110	
656282	7889	Girl with Jimmy T. Retard
656283	119094	Sharon
656284	74422	
656285	38000	Soloist
656286	360066	
656287	347688	Reporter #2
656288	56339	
656289	1847	Voice-over
656289	151351	
656289	195021	Catty Actress
656289	382718	
656289	385677	
656289	388345	Evelyn (2001)
656289	389929	Voice-Over
656290	389120	
656290	409623	Beate (1993)
656291	42578	
656291	70865	Tenchita
656291	247296	Asunción Echenique
656291	287448	Carmilla's Mother
656291	317745	Isidora Goyenechea
656291	378738	Sofía
656291	385393	
656291	385600	
656291	386170	Gabriela Flaño
656291	387916	Virginia Buzeta
656291	388648	
656291	390459	Viviana
656291	392992	
656291	393340	
656291	393832	
656291	395867	
656291	396953	Ana María Prado
656291	397735	
656291	398228	
656291	398806	
656291	400419	Isabel Ugarte
656291	403674	
656291	403686	Rosemary Garay
656291	406852	Elena Domínguez
656291	408724	
656291	410207	Verónica Donoso
656292	100993	Girl on Street #2
656293	40330	FBI Operator
656294	17576	Actress
656295	55475	Sarah Rawlins
656295	56820	Siobhan
656295	75284	Linda
656295	116285	Female Shadow
656295	147944	Natalie
656295	185627	Caro
656295	238061	Ellen
656295	249631	Trish, the TV Interviewer
656295	274319	(segment "Tears")
656295	309575	Sara Foster
656295	315214	Nancy
656296	147974	Hutterite Woman
656297	1300	Dominatrix
656298	30963	
656298	45935	
656298	63764	Carla
656299	19797	Casino player
656300	12080	
656301	14548	
656301	14885	
656301	19881	
656301	57961	La Miss
656301	60121	Inga
656301	70623	
656301	74746	
656301	94666	Emilia
656301	110217	
656301	112682	
656301	118830	
656301	185954	
656301	197588	Gina
656301	237769	
656301	238308	Mrs. Malone
656301	279257	
656301	286718	Nancy White
656301	315816	
656302	25436	Herself
656302	53032	
656302	122229	Emily Miller
656302	191196	Ginger
656302	291411	Herself
656302	291412	Herself
656302	350052	Jane
656303	338210	Ms. Fist
656304	300969	
656305	9636	Mother
656306	122968	At party
656307	132540	
656308	289947	
656308	375511	Zoe
656309	366712	Mother
656310	248071	Vera van Dam
656311	288862	Herself
656312	190464	Bar waitress
656313	290255	Lisl
656314	12857	Natalia
656314	35098	Subpriorin
656314	111294	Isabella Gräfin von Zeppelin
656314	259783	
656315	106205	Girl in the corridor
656316	144032	Fina
656316	303175	
656317	273157	E-R patient corpse
656318	272023	Herself
656319	291307	TV Anchor Woman
656320	2816	Nominee for Best Book of a Mu
656320	166917	Women's Group Member
656321	301032	Tina
656322	103028	Käthe Lohmann
656322	119156	Hedi
656322	122561	
656322	129702	
656322	144176	Mizzi Hell
656322	150630	Franzi
656322	152790	
656322	156740	
656322	171664	
656322	189637	Anni Schmidt
656322	210100	Tony Köster
656322	223485	
656322	301025	Gertie
656322	333643	
656322	361122	Liesl
656322	365001	
656323	54669	Lead Singer
656324	281105	
656325	226413	Julia
656326	597	Ina Equiquiza
656326	90013	Prinzessin von Eboli
656326	102638	Giulietta Guicciardi
656326	109443	Nora Melody
656326	111761	Maria Schmiederer
656326	140241	Inge Jolander
656326	172380	
656326	175055	Gräfin Elena von Koefeld
656326	196441	Lydika
656326	205581	
656326	210512	
656326	223183	Gloria Ellin
656326	266354	Evelyn Biaggi
656326	340013	Lysistrata
656326	365009	Klara
656326	365590	
656326	365700	
656327	353560	
656328	25847	Herself
656329	48549	Lizzi
656329	76376	Hanna
656329	108066	
656329	111354	
656329	144028	
656329	145466	Hansi Adlgasser
656329	157673	
656329	184620	
656329	188854	Jeane
656329	197418	
656329	267330	Primaballerina-Fanny
656329	275190	Fräulein Schenz
656329	275689	Elly Marschner
656329	282204	Dolly Brandl
656329	312065	Singer Lolo
656329	338427	
656329	343655	Verkäuferin Mizzi
656329	347703	Lily Dietrich
656329	352913	Hannchen
656329	360926	
656329	361520	Luise
656329	365009	Mrs. Haslinger
656329	374120	
656330	236323	Olga Simáková
656331	355259	
656332	20336	TV Reporter #4
656332	387209	Herself/Correspondent
656333	61706	Kid #1
656334	61706	Cynthia's mom
656335	3100	Waitress in club
656336	109454	Stewardess 1
656337	131061	Brenda - Bentwood Girl #2
656338	361541	
656339	376260	
656340	20625	Extra
656341	236972	Adult at the Party
656342	387573	Zulma Hernández
656343	176888	Girl Skater
656344	316298	Poor Woman or Child
656345	317292	
656346	28879	Maria
656346	349811	Inez
656347	204430	Redakteurin
656347	253030	
656348	34889	Herself
656348	63021	
656348	87237	Naughty Teenager
656348	87413	
656348	186762	
656348	188055	
656348	263323	Saucy Waitress
656348	286529	Messy Bride
656348	295816	Jane
656348	296995	
656348	311539	Herself
656348	334733	
656348	335833	Herself
656348	347088	
656349	35107	Mary
656350	153711	Talon tytär, morsian
656351	320309	Mrs. Barham
656351	333183	Violet Swift
656351	386658	Edith Dombey
656351	408091	Lady Selina Weillingham
656351	411288	Maggie Lowther
656352	350300	Bertha
656353	89993	
656354	73130	
656354	162026	Dona Inês de Castro
656354	386933	Rita Carreira
656354	396537	Makelove (2000-)
656355	313522	Irate Customer
656356	409026	Joana Morais
656357	220891	Anniversary Couple
656357	347070	Bar Patron
656358	398599	Zoo Factory Member (1973)
656358	408258	
656359	362378	Molly, a call-girl
656360	75942	Kostryniowa
656360	151835	Christine Eberhardine
656360	322775	Mareszowa
656360	365022	
656361	278924	Irene Shannon
656363	190520	Young McCloud
656364	35294	Anna Münzer
656364	35552	Chefsekretärin Otti Schütz
656364	95277	
656364	116318	
656364	119297	
656364	135006	
656364	136221	
656364	145327	
656364	152766	
656364	172608	
656364	175290	Oma Schloenzke
656364	180963	Hilde Richter
656364	181496	
656364	207059	
656364	218963	
656364	225266	Hiltrud Fitschen
656364	230031	
656364	290133	
656364	302174	
656364	308213	
656364	317270	Charlotte Hoyn
656364	317271	
656364	317272	Charlotte Hoyn
656364	317273	Charlotte Hoyn
656364	317274	Charlotte Hoyn
656364	317275	Charlotte Hoyn
656364	317276	Charlotte Hoyn
656364	317277	Charlotte Hoyn
656364	317278	Charlotte Hoyn
656364	317279	Charlotte Hoyn
656364	317280	Charlotte Hoyn
656364	322930	Ilse Teschner
656364	325557	Frau Fichte
656364	325845	Hanna
656364	356733	Charlotte
656364	356734	Charlotte Hoyn
656364	356735	Charlotte Hoyn
656364	356736	Charlotte Hoyn
656364	356737	Charlotte Hoyn
656364	356738	Charlotte Hoyn
656364	356739	Charlotte Hoyn
656364	356740	Charlotte Hoyn
656364	356741	Charlotte Hoyn
656364	356742	Charlotte Hoyn
656364	356743	Charlotte
656364	356744	Charlotte
656364	361514	Edith Hillig
656364	386334	Frau Braatsch
656364	386981	
656364	388798	Vera
656364	391022	
656364	399162	Lotte Brandt
656364	403458	
656364	405755	
656364	410611	Lieselotte Baumann
656364	411347	Viktoria Hindemith
656365	189355	Housekeeper (segment "The Chi
656366	194247	Orchid Blue Singer
656367	289878	
656368	195675	
656369	137006	
656370	199311	The Family
656371	322638	Eilene
656372	397137	Nathalie
656373	58275	
656374	172903	Vrbová
656374	172909	Michele
656374	174470	Tina
656374	175020	
656374	221194	Marie
656374	245906	Margot
656374	257725	Pastorová
656374	351380	
656374	360071	
656375	125641	
656375	229574	
656375	347465	Nurse
656376	241954	
656377	380331	Mileide
656378	234226	Shakespearean Troupe
656378	309812	Patty Chin
656378	342924	Carla Tokenaga Dortmonger
656379	183993	
656380	196920	
656381	226563	Mother
656382	40193	
656382	77936	Reva
656382	248097	Receptionist
656382	313596	Andrea
656382	380615	Ruth
656382	396676	Jane
656383	76852	
656384	511	Kiyoka
656385	174895	Myonhi Chie
656386	108531	
656386	322515	Schwester
656387	133366	Mother
656388	114039	Frisbee Girl #2
656389	327943	Chie Tanabe
656389	348634	Wakako Mikuni
656389	373223	Tsuyako's mother
656390	60238	
656391	17785	Gertie
656391	22732	The Cripple
656391	90908	Edna Dodson
656391	108001	Maddie Schuster
656391	191020	Mary Surratt
656391	327976	Mrs. Winstrom
656391	334762	Wig Lady
656391	364459	Guest
656392	9574	Annette
656393	221174	Emergency Room Nurse
656393	235052	Operator
656394	578	Rika Nakamura
656394	104908	Yayoi Katsuragi
656394	123107	Mitty
656394	123108	Amy
656394	123110	Mitty
656394	123111	Amy
656394	137336	Hamaji
656394	156103	Lair
656394	172913	Yukari Tsuji
656394	177084	Kasuga Kurumi
656394	177085	Kasuga Kurumi
656394	179507	Igarashi Miya
656394	182151	Narisu
656394	182499	Natsuki Taga
656394	182500	Barcas's Aide
656394	199428	Kirin
656394	202806	Ogawa Chigako
656394	202809	Ogawa Chigako
656394	202810	Chigako Ogawa
656394	210156	Miku Himuro
656394	277456	Mitty
656394	278065	Chelsea
656394	284071	Rulishia
656394	296855	Fais
656394	299098	Koyama Megumi
656394	301673	Nami Yamigumo
656394	319374	Amy (Gallforce)
656394	379521	Jun Goutokuji
656394	390964	Mary Bell
656394	391596	Tsukiko Takei
656394	393982	Fannelia Amu
656394	394426	Elpe Puru
656394	394462	Kasuga Kurumi
656394	394571	
656394	395069	Sara Russell
656394	396331	Kina
656394	396500	Kabu
656394	396796	Mary/Laura
656394	398900	Teacher Kimizuka
656394	403966	Azusa Arai
656394	404230	Okara (original Japanese vers
656394	405028	Fais
656394	405278	Kozue Kaoru
656394	405279	Anne
656394	405356	Nami Yamigumo
656394	407592	Barbara
656394	410739	Noiizu
656394	411883	Misako
656395	81463	Tita Florie
656396	174060	Haruko Karuyama
656397	398997	Anko Mitarashi
656398	130206	Interviewee
656399	125252	
656399	137365	
656399	176570	
656399	373453	
656399	378145	
656401	299302	Miho no tomodachi
656402	138868	
656402	390962	
656403	384218	Kôhei Kuji
656403	389663	Aoyama, Hajime
656404	119520	Herself (Cibo Matto)
656404	155019	Herself
656404	190799	Herself (Cibo Matto)
656405	36602	Mathilde
656405	105440	Linda Marshall
656406	3966	Receptionist ICC
656406	41117	
656406	58528	Woman in taxi
656406	142025	Gabriela
656406	180877	Frau Bachmaier
656406	195537	
656406	221270	
656406	229101	Frau Wenzel
656406	259569	
656406	281742	Elaine
656406	289947	
656406	307254	
656406	409609	
656406	409990	Nina Busch
656407	110981	Juno
656408	50156	Herself
656408	226405	Herself
656408	226411	Herself
656409	72121	Herself
656410	408428	
656411	213311	Puck
656412	206884	Farraday Girl
656413	30163	Anna-Lisa
656413	44433	Honey
656413	93705	
656413	159065	
656413	198195	
656413	203989	
656413	297829	
656413	300520	
656416	104646	Performers
656416	114277	
656417	54984	Ruby The Ghoul
656417	135601	Kim (segment "Nocturnal Emiss
656418	265575	Anna
656419	186104	Sonia
656420	46457	The Ex Girlfriend
656420	362261	Heather Swan
656421	223817	Mrs. Frampson
656421	236630	
656422	48935	Madam #2
656423	333120	Person of the Night
656424	35688	Marie O'Donald
656424	40700	Mary
656424	47586	Mrs. Beller
656424	75798	Supervisor
656424	99386	
656424	128195	Mrs. Parker
656424	138797	Crazy Old Lady
656424	176478	Mrs. Browne
656424	194067	Shopper
656424	223636	Secretary
656425	132217	Girl Student
656425	224376	Sue Ann
656426	59597	Maysie Ling
656426	137972	Young Chinese Girl
656426	166637	Little Asian Girl
656427	348545	Cashier
656428	63471	
656428	89346	
656428	332140	Giao
656429	411326	Liu Feiyu
656430	127191	Ming
656430	383414	Additional Voices
656430	389858	Gee Sung (1985)
656430	405648	Catherine (Junior Ghostbuster
656431	295238	
656432	255872	
656433	410069	Nath
656434	285104	
656435	59917	Herself
656436	90085	Zerlina
656437	7885	
656437	225844	Chow Min Hui
656438	331595	Woman on Balcony (Bag of Nuts
656439	43622	
656440	259072	
656441	60639	
656442	26205	Yeong-ja
656442	43610	
656443	158773	Biggest
656444	103877	Couturière
656445	63487	Kisaeng Leader
656446	121538	Motorbike hooker
656447	371151	
656448	316153	Projectile vomit girl
656449	225857	
656449	385546	Choi Keum-young
656450	231276	Luo Wenjing
656451	20194	
656451	27545	
656451	43722	
656451	136153	
656451	136417	
656451	221877	
656451	222223	
656451	348672	
656451	371171	
656451	373148	
656452	372800	
656453	114377	
656453	117554	
656454	272995	
656455	34514	Seo Lin
656456	34185	Yeo, Hye-su
656457	56937	Opera Singer
656458	270384	
656459	121119	An Lan
656459	167405	Xiuying
656459	370835	Ou Guizhi
656460	332346	Zhou Yuzhen
656461	27831	Wu Baige
656462	344213	
656463	16589	
656463	234926	
656463	371190	
656464	229877	
656465	287111	Cleaning woman
656466	95724	
656466	102060	
656466	125960	
656466	126782	
656466	130236	
656466	162218	
656466	298733	
656467	218203	Cora
656468	179366	Naisvampyyri 3
656469	27408	Tyttö yleisössä
656470	151903	Su
656471	288648	Coach
656471	288649	Coach Bee
656472	9001	May Ling
656472	16145	
656473	167462	(segments "Shi yuzho" and "Da
656473	309426	Lian Cui
656474	131499	
656475	259662	
656476	19778	Ruriko Sakuragasaki, Addition
656476	405942	Cream the Rabbit
656477	244431	Sylvia Honig
656478	208445	Ellie Bryce
656479	3966	Mrs. Koch
656480	365560	Jennie
656481	81153	Madame Lee
656482	208089	Panelist
656482	334969	
656482	399143	Yuri Sakuma
656482	399496	Madoka
656483	185529	Herself
656483	344534	Herself
656484	292451	Fan
656485	104102	Herself
656485	188934	Talkshow guest
656485	397537	Eeva Metsola-Eklund
656485	400453	Anu Jokisalmi
656486	172549	Window cleaner
656487	174439	Inkeri Harju
656487	175734	
656487	287536	Toimittaja/palvelijatar
656488	349136	Nainen raitiovaunussa
656489	3161	Midwife
656490	213379	Roosa
656491	155638	Kind
656492	155638	Kind
656493	287574	Pinja Lumme
656494	76927	
656494	124194	
656494	343639	
656494	359150	
656495	4004	
656495	9276	Resident
656495	9479	
656495	17424	
656495	19635	
656495	21353	
656495	44775	Uranari's mother
656495	76896	Ken's Mom
656495	125265	
656495	130500	Spiritualist
656495	137006	Mourner
656495	137132	
656495	138049	
656495	156229	Family member of workers
656495	156234	Housewife
656495	163973	
656495	164105	
656495	171627	Natsu Tosaka, prisoner
656495	175364	
656495	178311	
656495	193668	
656495	211214	
656495	216499	
656495	232580	
656495	234903	Wooden Tub Shop woman
656495	272491	Medium
656495	298749	Woman Farmer
656495	299152	Old Woman of O-Haru
656495	341276	
656495	341279	
656495	341321	Mrs. Tanno
656495	350578	Screaming Woman
656495	358130	
656495	358411	
656495	371844	Farmer's ex-wife
656495	373218	
656495	375618	
656495	375639	
656495	410642	Lu Ta's Mother
656496	288352	Itakura's mother
656496	323133	
656497	173220	
656498	214296	Shizuku Tsukishima
656498	229583	(additional voices)
656498	240379	Taeko (Child)
656498	247941	Orta
656499	368224	
656500	232460	Asylum Girl
656501	196387	Father's secretary
656502	199143	Anne Dorn
656503	29001	
656504	174877	Setsuko Kitamura
656504	373136	
656505	84925	
656506	232319	Girl in Aviary
656507	91277	
656507	110140	
656507	283025	
656508	395302	Nina
656510	173142	Herself - Host
656510	381280	Herself - Host
656510	387610	Herself - Host
656510	389306	Herself - Host (1997-1998)
656510	390213	Herself - Host (1999, 2004)
656510	391373	Herself - Host
656510	392409	Host
656510	395710	Herself - Host (1992-1994)
656510	396719	Herself - Host
656510	409170	Herself - Host
656510	409337	Herself - Host (1994-1995)
656511	110019	Emi
656511	258113	
656512	290430	Mary
656513	309195	
656514	251473	Hannah Miller
656515	122769	
656516	103033	Erzsébet udvarhölgye
656517	79382	Cleone
656518	51104	Operett istennõ
656518	96201	Cibulkáné
656518	96386	
656518	209839	Herself
656518	223597	
656518	284186	Ria, hajdan: Marika,primadonn
656519	311975	Bunny
656520	14706	
656520	373218	
656521	265276	
656522	62060	
656522	131418	Baby
656523	69428	2nd Dancing Girl
656524	53778	
656525	117779	Alora/Dryad/Nymph/Tenya
656525	117783	Dili/Lunishia
656525	161843	
656525	183061	Eclair
656525	241954	Ako
656525	366298	Additional Voices
656526	314257	Dallas' Mother
656527	131198	Tessa
656527	162095	Iolanthe
656527	250638	Patience
656527	282950	Rose Maybud
656527	282951	Mad Margaret
656528	33703	
656529	215690	Miss Tennessee USA (4th Runne
656530	118442	Junior Doctor
656531	120516	Janet
656531	251979	Parklane Receptionist
656532	3165	Herself
656532	9829	Darla
656532	10406	Darla
656532	11111	Darla
656532	19739	Darla
656532	24490	Darla
656532	26282	Darla
656532	30788	Judy Hollander
656532	31759	Darla
656532	37268	Darla
656532	42940	Arline as a child
656532	44352	Darla
656532	44501	'Quiz Kid'
656532	48515	Darla
656532	52743	Johnny's Duet Partner
656532	52805	Darla
656532	54583	Darla
656532	66025	Darla, snake charmer & lion t
656532	67798	Darla
656532	72054	Darla
656532	88207	Darla
656532	89154	Darla
656532	94775	Darla
656532	110460	Darla
656532	114480	Darla
656532	116868	Darla
656532	118740	Darla
656532	124194	Princess (English version)
656532	129616	Darla
656532	138848	Lenore Prentiss, at age 12
656532	141478	Darla
656532	142692	Darla
656532	144665	Darla
656532	176420	Darla
656532	192184	Darla
656532	200980	Darla
656532	210750	Darla
656532	229501	Darla
656532	230774	Darla
656532	231756	Darla
656532	239855	Darla
656532	244830	Cookie
656532	244831	Darla
656532	249571	Darla
656532	251187	Darla
656532	255736	Darla
656532	256113	Darla
656532	262260	Darla
656532	276950	Darla
656532	279517	Darla
656532	279875	Darla
656532	283728	Darla
656532	292142	Darla
656532	331492	Darla
656532	331613	Darla
656532	333314	Darla
656532	333637	Darla
656532	358535	Darla
656532	360738	Darla
656532	394304	Regular (1950-51)
656532	395744	Darla (1935-1938)
656533	269440	Herself
656534	91914	Pasta Waitress
656534	327435	Ariel
656534	405042	(segment "The Tempest")
656535	314257	Young Katelyn
656536	20625	Extra
656536	167099	Girl
656537	137208	
656538	69834	
656538	115713	Mrs. Bowman
656538	211733	Midwife
656538	402197	Kath Maxwell (1986)
656539	164544	Spirit of the Jills
656540	129449	Magyk Band
656541	114465	Jessie
656542	108085	Joan Riley
656542	135406	Marjorie
656542	160568	Ann Gordon, Owner Pheasant In
656542	186798	Doris Manners
656542	193610	Marius
656542	255421	Mrs. Short
656542	264730	
656542	330960	Clarice
656542	331474	Valentine
656542	340935	Andree Terraine
656542	358651	
656543	81581	Reporter
656544	46576	Breeze
656544	88006	
656544	118917	Anna
656544	132348	Nora Morgan
656544	156434	Barclay
656544	294222	Elizabeth Cramer
656544	299925	Irene
656544	369184	Frances
656544	388306	Sue Thomson
656544	390948	Delores Balfour
656544	393314	Mary Rivers
656544	401275	Mary Musgrove
656544	407587	Carole Washburn
656544	407786	Hilary Wilson
656544	410580	Natasha Rostova
656545	72140	Model
656546	305221	Nurse
656547	107001	Carol Lafferty
656547	257344	Reporter
656547	367886	Alice
656548	1650	Lady Clandon
656548	33644	Bilstrom School mistress
656548	34266	A Lady Trustee
656548	42433	Nurse
656548	69845	Gladys
656548	75515	Aunt (Sophie)
656548	84964	
656548	94972	Lady Marguerite
656548	144809	Tweedy Lady
656548	151637	Aunt Marjorie
656548	159886	Miss Thompson (Sir Francis' h
656548	183842	Lady Jedburgh
656548	217527	
656548	283989	Lady Watson
656548	288441	Sister Justine
656548	308375	Prioress
656548	319956	Sister Slater
656548	324142	Mrs. MacFarlane
656548	333220	
656548	343194	Miss Prescott
656548	367717	
656548	386720	Elizabeth Carter
656548	389408	Miss Fosdyke
656549	255347	Art Collector's Wife
656550	257683	Herself
656551	257332	Attendant to the Gods
656551	309468	Photographer
656552	280804	Secretary
656552	334659	
656553	171094	Slumber Party Girl
656554	205504	Zuster Elisabeth
656554	390675	Mevrouw Stemband
656555	84485	
656555	161048	Restaurant Hostess
656555	271344	Make-Up Trailer Model
656555	390242	Cleo de Wolf (2000-2002)
656556	228252	Herself
656557	12625	Linda
656557	159885	Beverley
656557	232030	The Woman
656557	281441	Mrs. MacCreedy
656557	367724	Waitress
656557	382310	
656557	382367	Allison
656557	385759	Various (1977)
656557	411245	Mrs. MacCreedy (episode 1: Ro
656558	408151	Vrouw van John (1996)
656558	411309	Balieagente Rita Oversteyns
656558	411311	Suzanne (1994)
656559	349532	
656560	149495	Band Singer
656561	94191	Äiti
656562	79789	Netta
656563	357001	Britaney Spencer
656564	85133	Quiet Room Raver
656565	270912	Young Gemma
656566	32711	Herself
656567	391079	
656568	229865	Scavengers
656569	222590	Nancy
656570	7661	Agnes Cartwright
656570	130848	Female Nurse
656570	223344	Receptionist
656570	231673	
656570	363263	
656571	313104	Elderly woman
656572	75479	Store Clerk 4
656573	168558	Herself
656573	168559	Herself
656574	292489	Beach Girl
656575	129060	Herself (commentator)
656575	223921	Herself
656576	337285	Rap Dancer #1
656577	30967	Jen, Shreck Image Consultant
656577	69290	Gladys Johnson, Driving Stude
656577	78176	Make-up Girl
656577	120807	Lil
656577	121799	Shelly Willingham
656577	167671	Dixie Glick
656577	168275	
656577	251743	Tina
656577	288700	Herself/Jessica Hahn/Mary Bai
656577	288702	Herself
656577	288703	Herself
656577	288705	Herself/Various Characters
656577	288707	Various Characters
656577	288708	Herself/Kitty Dukakis
656577	288711	Herself
656577	288713	Herself/Sinead O'Connor/Vario
656577	288716	Herself/Nancy Reagan/Various 
656577	302130	Miss Leavey
656577	319607	
656577	365559	Stephanie Needham
656577	378667	Regular
656577	378855	Vicki Dubcek
656577	382050	Various Characters
656577	384679	
656577	386138	Carlene Frazier Dobber (1991-
656577	389710	Nadine
656577	396972	Meg Harper Short
656577	402156	Dixie Glick
656577	404337	Various (1986-1991)
656578	79072	Marsha's Friend
656579	55683	Nurse
656579	55699	Army Nurse
656580	230531	Nurse
656581	46670	Tina
656581	223787	Charmaine
656582	42842	Louise, Thrift Shop Owner
656582	222771	Reporter A
656583	352419	Sammy
656584	299955	Harriet Bartlett
656585	25812	
656585	48800	
656585	105433	Isabel Lomelin, Dr. Lomelin's
656585	246154	
656586	281148	Vriendin
656587	133719	Vesuvia's Guest
656587	203086	
656587	321141	
656587	372420	Lionel's Mother
656587	387247	Josie McFarlane (1998-2000)
656587	387518	Dr. Louise Mahler
656588	78806	Anita
656588	211508	Lady-in-waiting
656589	316779	
656590	12473	Duckers mother
656590	30242	Mère de Samson
656590	78214	
656590	168781	Dr.Goldman
656590	357380	Moeder
656591	14966	
656592	123900	
656593	186207	Beach Girl #1
656595	46981	April
656596	406636	Amber Hearst (2003-)
656597	99128	Pedestrian in hall
656598	192779	Dancer
656599	50444	Cheerleader
656600	61959	Dee
656601	156970	Kid on Blanket
656602	154988	Strike Woman
656603	129184	Belinda
656604	99999	Jill
656604	138472	
656604	206871	Boutique owner
656604	265504	Massimo Ricci (Carlo's lover)
656604	269351	Receptionist
656604	328205	
656604	355125	
656605	13378	Little Girl
656606	177667	Girl with Radio
656607	322837	Susan Bradley, Additional Voi
656608	81539	Jacqueline Cotter
656610	5056	Gang Members Girlfriend
656610	176926	Slave Prisoner
656611	6248	Pubert Addams
656612	365988	Field Mouse
656613	303429	Bit
656614	297991	Vicky Gilmore
656614	394483	Lorraina
656615	6248	Pubert Addams
656616	248090	Herself
656617	402140	Extra featured in Health Cent
656618	203560	Mrs. P (Soprano)
656619	49360	
656620	185166	Gaby Sue
656621	405209	Pauline Bayless (1999)
656622	82385	Landlady
656623	44759	Bertha Blum
656623	53621	Elderly Lady
656623	132456	Old Lady
656623	323591	Woman on platform
656623	368015	Mrs. Wade
656623	385719	Edith Collins #1 (1969)
656624	342685	Patty
656625	874	Watson
656625	33023	Herself
656625	35236	Gail
656625	52656	Monica
656625	78703	Jane Lane, Helen Barksdale Mo
656625	162533	Jane Lane, Helen Barksdale Mo
656625	162534	Jane Lane, Helen Barksdale Mo
656625	176931	Liz
656625	208411	Mona Sax
656625	230347	Older Nicole Valvano
656625	264785	Elyse
656625	279469	
656625	311231	Nico
656625	385705	Jane Lane, Helen Barksdale Mo
656625	395293	Betty
656626	149109	Whore
656626	256184	Waitress
656628	42034	Cecilia
656629	141855	
656630	360853	
656631	10330	Cleo
656631	28493	Townspeople
656631	79450	Trula
656631	300937	
656631	333800	
656632	61900	Judy
656632	138779	Herself
656633	291015	
656634	128631	
656634	333829	
656635	277088	Pi-Delta-Pi
656636	69417	Debbie
656638	11537	Friend #1
656639	682	Ball Buster, Ms. Stern's Clas
656639	10844	Baxter
656639	403222	Series Regular
656640	62548	N.Y. Librarian
656640	81709	
656640	94460	Susie
656640	102244	Miss Raintree
656640	103357	State Department Woman
656640	108140	Sheila
656640	139599	
656640	169946	Driver's Mother
656640	192634	Maize French
656640	194656	Margaret Thompson
656640	204947	Superintendent
656640	213358	OB Gyn Doctor
656640	222612	Phone Woman
656640	272661	Principal's secretary
656640	314351	Mrs. Hough
656640	315132	Meg, the clerk
656640	319613	Mother
656640	328663	Betty Fox
656640	333361	Counsellor
656640	340946	Mrs. Prager
656640	356998	Ida Lambert
656640	383123	Ms. Endersham
656640	403490	Elvira Lawson
656640	406416	Prof. Malvanna Wilde (SHADO)
656641	41518	Stewardess #6
656642	35690	Zulu's mother
656643	380015	Correspondent (1996-1998)
656643	384588	Host
656643	386954	Judge
656643	389201	Correspondant
656643	389506	Correspondant
656643	402435	Herself
656643	403487	Herself/Season I (1995)
656644	241732	
656645	23334	Lesley Joyce
656646	297895	Little Ballerina
656648	64098	Beautiful Bachelorette
656648	192857	Taylor
656649	287792	Mother
656650	179039	Moeder Ruud
656650	189970	Sylvia
656650	230103	
656650	411950	Dokter Lydie van der Ploeg
656650	412043	Jet Valkenburg (1994-)
656652	12488	Herself
656652	12489	Herself
656652	50385	
656652	63783	Rachel Goldberg
656653	339544	Business Woman
656654	22747	
656655	295006	20 Minute Workout Gymnest
656655	378966	(1984)
656656	257651	Miss August
656656	257829	Miss July 1992
656656	274148	Herself
656656	361851	
656657	14403	Jancy
656657	24233	Joan
656657	73222	
656658	45212	Mrs. Brenner
656658	117552	Flo
656658	291864	Hedy (waitress)
656658	352034	Frau Schiller
656659	98167	Dana
656660	366316	Lady with tattoo
656661	26637	Uniroyals Cheerleader
656662	382289	Minnie, Brenda
656662	386923	Upa (2001)
656662	411884	Sayaka
656663	203138	Mrs. Carter
656663	209629	Lady Harling
656663	366178	Mrs. Clarence, hotel tenant
656664	68751	The Girl
656664	149562	Girl
656665	116002	Dentist 3
656666	39621	Saffar
656666	68126	Delroy's sister
656666	135769	Dawn
656666	141350	Julie Fielding
656666	144406	Chorus (segment "Little Shop 
656666	210387	Maureen
656666	277716	Jamaican Nurse
656666	410519	Jenny
656667	107125	Professor Sarah McLane
656667	186681	Glitter Jeans Mother
656667	310112	Female Engineer
656667	342646	Receptionist
656668	276413	News anchor
656669	202992	Mrs. Bodfish
656670	145557	Betty Farrer
656670	234891	
656670	283349	A Customer
656670	365716	Blonde In Bank
656670	367471	Bridesmaid
656671	11671	Herself
656671	11676	Herself
656671	42337	Herself
656671	42341	Herself
656671	42357	Herself
656671	42361	Herself
656671	42365	Herself
656671	138726	Herself
656671	367802	Herself
656672	241444	
656673	381436	Hope Sutton (1995-1997)
656674	13588	Joanie Hoyt
656674	41430	Annie Smith
656674	132529	Diana
656674	411802	Nikki Newman #1 (1978-1979)
656675	282568	Tenant
656676	5808	Mrs. Wilbur Norton
656676	163918	Lady Rowena
656676	302762	
656677	308389	Zuebida
656678	343197	Gracie
656679	188220	Big Cecil
656680	112188	Molly O'Brien
656680	307620	Woman on train
656681	92618	Psychiatric Patient
656682	19	Margaret Hammersley
656682	37794	Martha Yarton
656682	49777	Dorothy Mason
656682	67402	Kitty Doyle
656682	71893	Eve Hamish
656682	83951	Mabel Darrow
656682	119476	Margaret Lowell
656682	124736	Muriel Eden
656682	133695	Jessie Lovewell
656682	134388	Dorothy
656682	135583	
656682	141291	Magsie Clay
656682	153215	Annie Vierge
656682	186334	Virginie de Montcalm
656682	228686	Judith Holmes
656682	245299	Ruth Watson/Sophy, the girl
656682	262340	Alice Endicott
656682	277938	Betty
656682	287278	Judith Moore
656682	293165	Mary Reddin
656682	328756	Teola Graves
656682	329040	Alice Marcum
656682	329415	Joanna Thatcher
656682	330568	Marcelle Riley
656682	333267	Marjory Farrel
656682	335668	Leonora Faddish
656682	340454	Mrs. Lee, the Plumber's Wife
656683	139790	Harvey Girl
656683	175175	
656683	342453	Alice 'Dutchess' Hunter
656685	158137	Jana Kaisler
656686	367919	Edith Potter's Daughter
656687	10562	
656687	127728	Lizzie
656687	170615	
656687	372925	J.B. O'Donovan
656688	109022	
656689	329307	Woman at bar
656690	188097	
656691	367919	Edith Potter's Daughter
656692	203185	Ballet mistress
656693	130356	Ann Casey
656694	122646	Welfare Investigator
656695	379738	Herself - Panellist
656695	385613	Sign Language Translator
656695	391222	Herself
656696	189408	Dean's Sister
656698	1856	Herself
656698	1924	Herself
656698	11508	Linda
656698	22036	Elizabeth Leopold
656698	24958	Liza Rigby
656698	37337	Jenny Colter
656698	40144	Karen
656698	44185	Helen
656698	48169	Rosemary Newley
656698	57157	Rachel
656698	69804	Jamimah 'Jimmy' Camely
656698	77609	
656698	80393	Charlotte
656698	81038	Sarah
656698	90984	Elizabeth
656698	91732	
656698	92865	Charisse Darrow
656698	97689	Allison Tate
656698	114100	Hadley Pyne
656698	121615	Jane
656698	136838	Forensics Investigator
656698	158911	Joan
656698	163362	Stephanie Lawrence
656698	173512	Lori Bayles
656698	190056	Alice
656698	196084	Joanie
656698	210462	Zoe Cox
656698	210721	Susan Wilkins, Berger's Campa
656698	234378	
656698	249079	Lucy
656698	282556	Kate Bordeleau
656698	287133	Kirby Fitzsimmons
656698	289978	Laura Steele
656698	293011	Claire Brown
656698	296729	Jennifer
656698	296876	Paige
656698	311912	Leslie Delongpre
656698	315132	Sgt. Jane McKinley
656698	318768	Sarah Lee
656698	321699	Shoshana
656698	323844	Dorrie
656698	323970	Laura, Barry's Producer
656698	330847	Hallie
656698	340754	Verna Miller
656698	346872	Kate Mayer
656698	348510	Penelope
656698	359958	Arabella Bauer
656698	368342	Susan Fahnestock
656698	378807	Teri Bauer (2001-2002)
656698	381703	Cammie Springer
656698	392244	Charlene Fischer
656698	392421	Herself
656698	394676	Linda Martin (1985-1986)
656698	395669	Lisa Cohen
656698	403542	Ann R. Key
656698	410582	Madeline Henry
656699	65578	Jay's Lady Friend/Angry Crowd
656700	42337	Herself
656701	25373	God
656701	293174	Young Woman
656702	11563	Picco
656702	148994	Lady Susan Woolf
656702	195857	Lady Susan
656702	223043	Bit
656702	330151	Lady Charfield
656702	330960	Mrs. Longhurst
656703	12015	Araminta
656703	12016	Araminta
656703	69822	Mrs. Barnes
656703	105080	Janet
656703	123291	Fanette Fraser
656703	137463	Virginia
656703	162881	Helen Fairfax
656703	163590	Susan Merton
656703	270354	The Girl
656703	295189	
656703	316235	Mrs. Thrale
656704	16922	Orphan Girl
656704	45840	Dying girl in chains
656704	95842	Chu Lin
656705	80385	Amanda Quaker
656705	92194	Tricia Pagoda
656705	111068	Drew Fontaine
656705	219864	Dixie
656705	355212	Paula
656706	109415	Miss Hartford
656708	108268	Dolly
656708	108269	Dolly
656708	160855	Young Joey
656708	310632	Dolly
656709	381981	Girl
656710	304237	Gina
656711	241277	Aquilla's maid
656712	192252	Ida
656713	23973	Clara
656713	81768	Paige Hall
656713	86470	Lucy Cauffield
656713	231524	Cat
656713	254996	Lilly Kilworth (12-14 yrs.)
656713	265683	Carly
656713	276039	Sophie
656713	282617	Elizabeth
656713	285737	Claire Collins
656713	287285	Carol Wyman
656713	297181	Jenna
656713	314501	Ariel Cola
656713	362216	Elizabeth
656713	366379	Fee Babcock
656713	390778	Gwen Jones/Guinevere
656713	405073	Beatrix Collins
656714	117488	Bunny Reese
656714	121649	Janie Harkins
656714	136509	
656714	282463	College student
656715	16909	WAAFS
656715	35578	Mrs. Tausky
656715	47502	Jackie Leroy
656715	58810	Barmaid
656715	60303	
656715	91585	Madam Zilia
656715	99842	Brenda
656715	101427	An A.T.
656715	109419	Gladys
656715	134054	Polly
656715	152225	Mum Kirby
656715	158182	Mrs. Crabtree
656715	161037	Miss Marchment
656715	163199	Mrs Wallis
656715	186736	Mrs. Sproatley
656715	193984	Alice Gedge
656715	203212	Bertha, Birnley Mill worker
656715	205820	Rosie
656715	206090	Jennie
656715	231438	Fanny Squeers
656715	248118	Jonquil Jones
656715	283989	Louise
656715	290344	WAAF drill sergeant
656715	330185	Mrs. Fenshaw
656715	353313	1st Nanny
656715	360258	Elsie
656715	363573	Elsie
656715	367471	Girl Fan
656715	367510	Shirley
656715	367877	Jessie Smithson, Her Accompli
656717	232799	
656718	188511	Patient with IV
656718	196995	Waltzing Crab Patron
656719	149353	Herself (High school guidance
656720	33596	Mrs. Parker
656721	390293	Assistant (1974-1988)
656722	90659	Apache squaw
656722	249463	Adelita
656723	137224	Ayngelle
656723	316639	Trixie
656723	334250	Finci
656723	360444	Dot
656724	344524	Herself
656725	131226	Waitress
656725	184767	Ophelia
656726	79571	
656726	104745	United Kingdom entry (2nd pla
656726	147240	United Kingdom entry
656726	352682	Chapel woman
656726	381501	Herself
656727	227706	Mariana
656727	250809	Love-In Chanteuse
656727	323300	
656728	275390	Housemaid
656728	293733	Nana Thomas
656728	296900	Staff Nurse
656729	232845	Ultrasound Receptionist
656730	408163	Geneva (1999)
656731	253002	Prostitute at the Bar
656732	68271	Allied guard #2
656732	100099	Guard #7
656733	34800	
656733	59992	
656733	93985	
656733	139627	
656733	142467	Porno Actress
656733	147644	
656733	149660	
656733	224111	
656733	231567	
656733	239004	
656733	251792	
656733	257860	Gloria (silent movie actress)
656733	290388	
656733	296046	
656733	310189	
656733	314635	
656733	316661	
656733	351984	Vera
656734	157716	Rental Agent
656735	257271	Agatha
656737	7720	
656737	34919	Herself
656738	41644	Irish Girl
656738	65796	Becky
656738	307854	Bobby's New Girl
656738	307903	Blonde Bombshell
656738	360728	Female Lead
656739	26608	June Shelton
656740	228517	
656741	114473	
656741	274435	Road rage victim
656741	294249	Helen Morris
656742	176996	Stacey Richards
656743	6525	Lady Mary Lasenby
656743	91585	Ann Corday
656743	114124	Princess Charlotte
656743	203364	Jean Adams
656743	244300	Desdemona
656743	327600	Beryl Brown
656743	360389	Ethel Dabbs
656743	360551	Helen Dacre
656744	136089	Nanny
656745	107688	A co-ed
656746	190101	Hazel Ashley
656746	242712	
656747	278923	
656748	21448	Woman in Lobby
656748	37490	Kippy Tyson
656748	73612	Miss Mathis
656748	151609	Victoria
656748	191676	Young Doris Knight
656748	272238	Agnes Dorset
656748	283424	Francine
656748	311367	Succubus/Mrs. Heron
656748	326597	Hussy
656748	380391	Dr. Kelsey Harrison (1992-199
656749	130311	Aerobics Leader
656749	324020	Luna
656750	71110	Liala Sheffield
656750	76217	Camera Woman
656750	86751	Ragtop Blonde
656750	90984	Psychiatrist #1
656750	165422	Nurse
656750	281888	
656750	283543	Brenda
656750	364344	Office worker
656750	367674	
656751	328637	Student
656752	54669	Karen
656753	388765	
656754	60273	Wardrobe Girl
656754	81193	Det. Wild Bill
656754	132211	Momma
656754	147767	PomPom Girl
656754	241726	Coach's wife
656754	249500	Mother on Bus
656754	272231	Allisa
656755	36855	Herself
656757	301541	
656758	363560	Girl at Club
656759	39174	
656759	67430	Aunt Ethel
656759	87797	Buffy's mother
656759	97699	Lil Boy's mother
656759	129820	Sister McCandless
656759	149109	Blues Singer
656759	187985	Housewife
656759	267530	Sister Hopkins
656759	280208	Herself
656759	394502	
656759	403730	Singer
656760	293094	WDC Arnott
656760	381685	Marjory
656761	31968	
656761	31982	
656761	31983	
656761	31984	
656761	43202	Blanche
656761	45674	Kitty
656761	81869	Ruth Lake
656761	96788	Nellie De Vere
656761	105243	Ella
656761	134388	Billie Page
656761	154023	Molly May
656761	231937	Kate Cumberland
656761	355220	Suzanne Carton
656762	388765	
656763	126710	Mary
656764	347141	Herself
656764	347142	Herself
656764	347143	Herself
656765	189153	Chorus Dancer
656765	313635	Judge
656766	85927	Jessie
656766	306760	Ann Muller
656767	1871	Rosie Duggan
656767	11385	Lydia Darrow
656767	29689	Mary 'Swan' Rutledge
656767	32404	Becky Sharp
656767	55624	Julie Hurstwood
656767	59826	Mrs. Reeves
656767	61843	Mrs. Lily Mortar
656767	77717	Gloria Bishop
656767	83783	Gilda Farrell
656767	92503	Ivy Pearson
656767	108623	Mrs. Maude Brown
656767	109417	Marion Lenox
656767	125826	Flo Melton
656767	142152	Lavinia Penniman
656767	147799	Herself
656767	148273	
656767	183848	Caroline Carter Payne, aka Mr
656767	207865	Fran Carleton
656767	210715	Ann Williams
656767	239515	Mildred Watson Drake
656767	239700	Delia Lovell Ralston
656767	245301	'The Duchess'
656767	277733	Dorothy Hunter, aka Sylvia Lo
656767	288939	Katharine Parker
656767	297962	Curly Flagg
656767	305609	Princess Anna
656767	311475	Phyllis Manning Lorrimore
656767	315726	Temple Drake
656767	316273	Louise Starr
656767	330096	Martha Dobie
656767	340507	Lily
656767	342946	Emma Krull
656767	355087	Julia Hayne
656767	366612	Susan 'Susie' Fletcher
656767	367447	Virginia Travis
656767	367490	Mme. Helene Maury
656767	368371	Maria Yaskaya
656768	7863	Helen
656768	150685	
656768	295083	
656769	277692	
656769	329936	Dot Ducrow
656770	26827	
656770	142992	
656771	42883	First girl on bike
656771	107947	
656772	140953	Woman holding banner
656773	72108	Pamela
656773	233102	Fran
656773	318784	Denise
656774	35145	Arlene
656774	80588	Diane
656774	106193	Mrs. Rodriguez
656774	215393	
656774	241058	Sister Anne
656774	261270	Estelle
656775	151166	Pam
656776	11199	Jennifer Cooper
656776	66154	Danny's girlfriend
656777	7987	Bartender
656777	82696	Mother
656778	1491	Herself
656778	4671	Herself
656778	31194	Herself - ABC Team Contestant
656778	31195	Herself - ABC Team Contestant
656778	64556	Herself
656778	64560	Herself (performer)
656778	71571	
656778	127729	Herself
656778	151636	Teresa
656778	176392	Gail Desautel
656778	267061	
656778	271173	
656778	280005	Edda
656778	315872	Herself
656778	337995	Engineer Ruth 'Ruthie' Raines
656778	337999	Cmdr. Raines
656778	338000	Cmdr. Raines
656778	355670	Dr. Kennan
656778	368110	Slim's Mother
656778	382547	Isabelle
656778	388348	Rachel Crawford (1989-1993, 1
656778	390007	Dolores Dixon
656778	390070	Dr. Addy Wilson (1984-1987)
656778	390914	Phyllis Thorne
656778	399249	Jess Ashton (Dec-Jan)
656778	403730	Daisy
656778	408521	Herself/Dawn
656780	339380	Vision Maiden
656781	347141	Hopkins Company
656781	347142	Hopkins Cast
656782	37176	Maria
656782	97512	Woman
656782	224492	Viv
656783	139591	Jennifer
656783	154372	Casting Director
656783	183730	Sgt. Ryan
656783	232121	Policewoman
656783	253509	Morgue clerk
656783	297790	Policewoman
656783	317551	TV Assistant Director
656783	368610	
656784	39840	Member of the Algonquin Tribe
656785	18000	Voiceover(newscaster)
656785	193951	Attorney
656785	222573	Cocktail Waitress
656786	389705	Brenda Thompson
656787	41229	Nadia
656788	41445	Angel
656788	267484	Di
656788	367673	Rita Marcus
656789	78214	
656789	352371	
656790	2487	Turkey: woman
656791	25924	Birgit
656791	91030	Reni Fenbach
656792	125285	
656793	40779	Frau Kersten
656794	81604	Wehrmacht girl
656795	186931	
656795	216753	Heike
656795	374363	Johanna
656796	108087	Musician
656797	236657	
656798	40361	
656798	42170	Susi
656798	119215	Eine von Töröks Mädchen
656798	119216	
656798	125040	Gina, contessa
656798	223199	
656798	296188	
656799	11881	
656799	18063	
656799	24056	Franziska Thiemann
656799	33126	Thea Ammer
656799	79179	Marianne Hoppe
656799	93500	Martha Krapp
656799	107961	Mutter/The Mother
656799	109443	Deborah
656799	118766	
656799	119181	Hester
656799	122771	Gabriele Brodersen
656799	130998	Mrs. Brendel
656799	141946	
656799	142274	Hedwig Schuster
656799	144107	Inken Peters
656799	155339	Elsa
656799	155357	
656799	156647	
656799	169863	Josefa
656799	173734	Mabel Atkinson
656799	179993	Renate Brinkmann
656799	180640	Anna
656799	182754	Herzogin von Gloster
656799	182765	Herself
656799	186881	Augusta
656799	186886	Lenore Carius
656799	189809	Herself
656799	189814	
656799	204449	
656799	205683	Marianne
656799	215867	
656799	236823	
656799	237738	
656799	277754	Mutter
656799	281104	Madeleine
656799	289908	Mrs. Butler
656799	290016	Irene Scholz
656799	290062	Elke
656799	290177	Gräfin Hohenlohe
656799	290464	
656799	290649	Johanna Luerssen
656799	293863	Mary Pinder
656799	314897	
656799	327707	Elsa Grohmann
656799	334552	
656799	352382	Johanna Stegen
656799	358887	Generalin
656799	361378	Marie
656799	361553	
656799	366477	
656799	394536	Claire Maetzig
656799	408388	Madame Brassac
656800	96124	
656801	158522	Lisa the waitress/Joe's Wife
656802	186897	Baustellen-Chor/Construction 
656803	32146	Herself
656804	97089	Kristin
656804	129179	Daughter of Sören and Boel
656804	284103	Ninni
656804	284104	Woman with daughter on the st
656805	188902	
656806	233834	Mrs. Oberman
656806	277092	
656806	364692	Opel McCarthy
656807	190230	Executive Assistant
656808	276202	Woman #1
656809	194693	Insurance customer
656810	320800	Hag
656811	216127	Mitch's Singing Students
656812	253117	Constance Graham
656812	364228	Edith Maitland
656813	359855	Girl at Party
656814	117755	
656815	19087	Katherine Danzig
656815	99572	Lady Roxanna Hellsubus (Catal
656815	281912	Child
656815	340320	Tessa DiBlasio
656815	390340	Nikki Coleman
656816	110302	
656816	121819	Junior editor
656817	6145	Eleanor Leighton
656817	10678	Mrs. Palmer
656817	18006	Cousin Elizabeth MacKenzie
656817	21297	Mrs. Townsend
656817	21540	Madame Montari
656817	29675	Mrs. Loway, American Tourist
656817	31125	Maida Rhodes
656817	32209	Madame Sonia Barton
656817	33763	Myrna Bliss
656817	39970	
656817	42357	Herself
656817	43325	Lady Daniels
656817	44543	Mrs. Bordon
656817	46329	Herself, Hedda Hopper
656817	49597	Mrs. Dorothy Kent
656817	50907	Society Woman
656817	53627	Herself
656817	56791	President of the Be Kind to A
656817	57390	Mrs. Van Dream
656817	61727	Katherine Flanders
656817	62775	Mrs. Garrett
656817	68477	Mrs. Claire Collis
656817	68670	Mrs. Moore
656817	69051	Mrs. Crombie
656817	73789	Mrs. North
656817	74027	Grace Sturdevant
656817	77626	
656817	78079	Lottie
656817	78083	Muriel Church
656817	78155	Mrs. Carson
656817	78850	Mrs. Tallman
656817	87780	Herself
656817	90103	Marchesia Rinaldo
656817	92009	Mrs. Murray Hill
656817	92295	Countess De Marnac
656817	92687	Lady Esme Hammond
656817	93967	Mrs. Hamill
656817	96789	Mrs. Clara Williams
656817	116208	Mrs. Smith
656817	116793	Countess de Fragni
656817	119770	Bit Part
656817	123359	Madame Zoe
656817	128680	Mrs. Holworthy
656817	131618	Mrs. Atherton
656817	133784	Herself
656817	137484	Mrs. Page
656817	138682	Mrs. Chrystal Pole
656817	139550	Mrs. Hazzit
656817	139804	Mrs. Adams
656817	141802	Herself/narrator
656817	141803	Herself/narrator
656817	141804	Herself/narrator
656817	141805	Herself/Host
656817	141806	Herself/narrator
656817	141807	Herself/narrator
656817	141821	His Wife
656817	143090	SylviaMarlowe
656817	143277	Mrs. Bernice Hamilton
656817	144937	Mrs. Divine
656817	145964	Mrs. Collingswood Stratton
656817	147511	Susan Potter
656817	154355	Alvin's Mother
656817	154753	Mrs. Young
656817	159912	Mrs. Candor
656817	162924	Mrs. Harmon
656817	183831	Mrs. Ash-Orcutt
656817	185443	Lady Maria
656817	185991	Elizabeth 'Lizzie' Rockingham
656817	188292	Madge Livingston
656817	188318	Mrs. Burton
656817	188939	Virginia Philips
656817	190268	Mrs. Aldrich
656817	191990	Nurse
656817	195381	Mrs. Ann Blair
656817	200900	Mrs. Harrison
656817	203542	Countess of Rochester
656817	203564	Alice Chittendon
656817	207847	Mrs. Aldrich
656817	210728	Callie
656817	210770	Mrs. Chase
656817	212609	Mary Tate
656817	213070	Stephanie
656817	222764	Aunt Pat
656817	224812	Marian Radcliffe
656817	229140	Hattie King
656817	230919	Vida Phillimore
656817	232344	Mrs. Rand
656817	233907	Mrs. John Winfield
656817	235633	Dowager
656817	237754	
656817	241361	Laura Proctor
656817	241856	Olive Gresham
656817	243215	The Modiste
656817	243954	Herself
656817	244778	Mrs. Lansing Ross-Weaver
656817	250811	Herself
656817	252528	Cameo appearance
656817	255828	Mrs. Worth
656817	258090	Mona Vincent
656817	260875	Mrs. C. King
656817	265264	Christine
656817	269364	Mrs. Emily Sturgis
656817	270506	Karen Lee
656817	270753	Mrs. Clarice Vidal
656817	273513	Aunt Henrietta Beresford
656817	273703	Liz Crawford
656817	275767	Mrs. Kate Norton Tappan
656817	275771	Hedda Frane
656817	283430	Mrs. Hartley
656817	285180	Mrs. James Wakeley
656817	291319	Herself
656817	295336	Myra Thornhill
656817	298570	Madge Larrabee
656817	299165	Tutor
656817	299195	Auntie
656817	302022	Mrs. Gould
656817	302886	Mrs. Stevens
656817	304029	Mrs. Colby
656817	305042	Herself
656817	306151	Mrs. Leiter
656817	306796	Mrs. Vandergriff
656817	308587	Mrs. Coleman
656817	310516	Mrs. Peets
656817	313319	Herself
656817	318075	Muriel Wyndham
656817	319181	Herself
656817	323174	Mrs. Stanlaw
656817	325156	Penny Reed, Eleanor's Mother
656817	326509	Margaret Wyndham
656817	329341	Polly Griscom
656817	329605	Herself
656817	330506	Mrs. Howard Jeffries Sr
656817	331425	Mrs. Cummings
656817	335952	Mrs. Stuyvesant
656817	346401	Mrs. Stanley
656817	348006	Herself
656817	348102	Jean
656817	351927	Jean's Mother
656817	355226	Irma Delabarre
656817	356230	Mrs. Van Klettering
656817	359277	Matron
656817	361617	Mrs. Edith Trent
656817	362087	Mrs. Aldrich
656817	362476	Hedda, the Mad Hatter
656817	362562	Mrs. Neer
656817	363595	Countess Ferenzi
656817	364613	Nina Neilson
656817	366161	Mrs. Powell
656817	367839	Eleanor Carter
656817	367919	Dolly Dupuyster (columnist)
656817	372115	Mrs. Agnes White
656817	373875	Mrs. Caldwell
656818	53327	Woman at party
656818	102951	Rita
656818	139062	Tea Lady
656818	209626	Cindy
656818	269680	Wanda
656818	279313	Agent
656818	343318	KEST Reporter
656819	107902	Mrs. Pendergrass
656820	330550	Dancer
656821	220276	Montmartre Dancer
656822	1784	Kris
656822	16759	Radio Speaker
656823	390195	Showbiz Expert (2004-)
656824	165631	mevrouw Steenman
656824	238492	Mère de Lucienne
656824	265043	Zuster Thérèse
656825	14257	Michelle
656825	50815	Lisa
656825	68225	Intense Woman
656825	73832	Sally
656825	77759	Desiree
656826	126663	Waitress at Lunch Counter
656826	131612	Woman at Rescue
656827	69848	Tess Sanger
656827	69849	Tessa Sanger
656827	70799	
656827	103258	
656827	183207	Elsie Radfern
656827	193625	Pat Milligan
656827	193788	Molly Gordon
656827	194581	Lorna Doone
656827	200089	Patricia Carleon
656827	213994	Lucy Deane
656827	232860	
656827	364454	Constance Mozart
656828	132786	Lisa (a Soubrette)
656828	162099	Phyllis
656829	108334	Young Beth
656829	117231	Allison
656829	122894	Nature Creature
656829	281056	Becky, Blind Date
656829	282392	Miss O'Flanigan
656829	291865	Barbara
656829	293232	Sophie
656829	310338	Ashlin
656829	398000	Additional Voices
656830	63834	Infant Teacher
656830	108950	Mrs. Coggan
656830	244363	Woman
656831	132915	Reporter #3
656832	395736	Lizzie Baker
656832	402260	Chromety
656833	40809	Herself
656834	315310	Ensemble
656835	283529	Bar Patron
656836	338774	Isis
656837	101048	Laura Nemaco
656838	127730	Vikings Dance Squad Member
656839	96834	
656840	13972	Cynthia Hunks
656840	30150	Emma Haresdale
656840	31609	Mrs. Wynne
656840	31929	Joan Marlow
656840	32100	Kitty
656840	40790	Grace Hardfeldt
656840	49530	Mrs. Murgatroyd
656840	56176	Esther Yorke
656840	61961	Meg Veck
656840	66380	Dolorosa
656840	79354	Jessica Bond
656840	79361	Mary Tannerhill
656840	92917	Queen Elizabeth
656840	104342	Audrey
656840	117983	Lady Launcelot
656840	123286	Fay de Launay
656840	125878	Marjorie Denton
656840	133757	
656840	133838	Sheila Donovan
656840	141280	
656840	143025	Nance
656840	143278	Sybil Ransley
656840	143402	Dorothy Fairfax
656840	151118	Mrs. Anstruther
656840	157130	
656840	158231	Adrienne Morland
656840	162459	Gladys Standish
656840	167277	Maid
656840	178213	Constance Medley
656840	183799	Pamela Morland
656840	194662	The girl
656840	203579	Miriam Leigh
656840	206238	Fleurette de Lys
656840	206383	
656840	215802	Margaret Carson
656840	217429	Marcia Amherst
656840	217515	The Woman
656840	222438	Jenny Jones
656840	224331	
656840	232355	
656840	241699	Woman at Party
656840	245463	The Wife
656840	270940	Mary Ainslee
656840	280909	Vanna George
656840	289592	Gwendoline Gordon
656840	290409	Teacher
656840	293760	Assistant
656840	298435	Girl
656840	303287	WRAF Girl
656840	306016	Diane
656840	306240	Felice Beste
656840	308366	Constance Medley
656840	309514	Guilda Lois
656840	311799	Jessica Dunders
656840	314971	Eileen Chelverley
656840	338987	Imogen Parrott
656840	341438	Mrs. Tubby
656840	341863	Madge Iman
656840	342968	Mrs. Pete
656840	344930	Mildred
656840	353015	Vi Jeffries
656840	353286	
656840	359384	Lady Magdalene Ware
656840	362371	Lady Lorimer
656840	362805	Christine Ward
656840	363861	
656840	364821	
656840	367666	Brenda Marsh
656841	15062	
656841	92680	
656841	100353	
656841	235814	L'autre demoiselle Tintoret
656841	280561	
656841	327563	
656841	398073	Maryvonne
656842	195771	Person in French Pub
656843	301855	Nurse
656844	171191	Myrna
656845	401624	Herself (1995-1997)
656846	185197	Clinic Nurse
656847	116549	
656847	300896	Law Office Receptionist
656847	304015	Liz
656848	178931	Sam
656849	200439	
656850	175777	Gerti
656850	225192	
656850	252325	Friederike
656850	272786	Paula
656850	314876	Supermarktverkäuferin
656850	325449	Marion Grimm
656850	365606	
656850	365924	
656850	378648	
656850	381694	
656850	386976	
656850	389833	Glenda Perkins
656850	393406	Sue
656850	399162	Jenny Busche
656850	406335	Dr. Silke Keller
656850	410497	POM Stefanie Vorath (1995-199
656851	83242	La musicienne exilée
656851	118094	
656851	146392	
656851	282281	
656852	387925	
656853	212560	
656853	243441	
656854	75767	Herself
656855	311448	Donna
656856	290145	
656857	205819	Diane
656858	54033	Voice
656858	296777	Kitty Kiernan
656858	340583	Maire Noonan
656858	399567	Peggy
656859	31490	Rena
656859	82551	Carly
656859	202367	Ronnie
656859	219556	Ms. Harney
656859	223918	Lady Eleanor
656859	269036	Tina
656859	339917	
656859	381043	Samantha (1981)
656861	347689	Late Night Female Jogger
656862	266053	Prostitute
656862	283250	Girl With Watches
656863	222460	The Girl
656863	288454	Chris
656863	293145	Reception Nurse
656863	308005	Girl
656863	372525	Theresa
656864	267486	Waterstone's assistant
656864	399069	Journalist Two
656865	134097	Nurse
656865	179866	
656865	182478	Mrs. Neal
656865	276621	
656865	296635	
656865	375604	Mary Hanaoka
656866	108250	Anne Thayer O'Hara
656866	129118	Sara
656866	135352	
656866	208415	Melissa Hines
656866	275888	Lea
656866	306773	Maggie
656866	364847	Kelly Givens
656866	389858	Miranda Jameson (Jacks) (1996
656867	331427	Amir's wife
656868	387994	Amy McDougal Barone (1998- )
656868	389859	13 week contract
656869	272944	Policewoman
656870	336	Dancer
656870	253799	
656870	348460	Girl in the film
656871	227487	Nancy
656872	30498	
656872	75967	Capt. Orlik
656872	93602	Modesta
656872	95981	Blonde Girl
656872	97189	Lucyna
656872	130211	Felicja
656872	130214	
656872	138398	Matka Henryka
656872	166980	Prof. Kowalewska
656872	167320	Anna
656872	173065	Ruminska
656872	174483	
656872	179209	
656872	181333	Teutonic Maid
656872	206953	
656872	249815	Nurse
656872	252346	
656872	258540	Jerzy's Wife
656872	267008	Owner of boarding house in Sp
656872	286735	
656872	316437	
656872	373653	Teacher
656872	374664	Irena Kropaczynska
656872	375498	Wanda
656872	385592	Ania's mother
656872	396286	Jadwiga Zdunska (2001-)
656872	410485	Maria
656873	314104	Dancer
656874	91253	
656874	119446	
656874	316436	
656874	375439	
656875	43129	
656875	233974	
656875	376817	
656876	221869	Ríhová
656877	321515	Berger's Maid
656878	209721	Eurowood TV Crew Sound Organi
656879	60829	
656880	156573	
656881	265520	
656881	375443	
656882	176545	Margerita's Aunt
656882	265652	
656882	322168	Aunt Helena
656882	369375	
656883	349194	Zdena
656884	179889	Martha
656885	110075	Dancer
656886	288889	Partenaire au bridge
656887	402028	Poï Poï
656888	346606	Dark-haired girl
656889	409277	Herself/Panelist ("Auto")
656890	1420	Anna
656890	20324	Frau Hellmann
656890	28167	
656890	35206	
656890	48138	Josefa
656890	82155	
656890	86400	Frau Hugl
656890	103028	Luise Mehlhorn
656890	107813	
656890	141939	Alte Fannerl
656890	147153	Frau Kokosch
656890	155377	Frau Thalhuber
656890	180002	
656890	189628	
656890	198420	
656890	216320	
656890	223407	Frau Leopold
656890	246122	Maja
656890	262433	
656890	266354	Tilla, Lissens Quartierfrau
656890	293240	
656890	306406	
656890	308980	
656890	341824	
656890	352368	Selma
656890	352390	Rosina Unverdorben
656890	352400	
656890	358756	
656890	359639	Großmutter Brandt
656890	361994	
656890	376514	
656890	401996	
656891	87276	Abused Wife
656891	289671	Jamie (segment "I Ain't Got N
656891	289673	Call Girl (Wraparound Segment
656892	290978	Mommy
656893	298347	Additional Voices
656893	301643	Mary Sunderland/Maria
656894	390581	Narrator
656894	406468	
656895	344	Geisha #2
656896	299156	
656896	406535	Chiaki Matsumoto
656897	89451	Akira's mother
656897	122235	
656898	182042	Woman of Nojima's Family
656898	347074	Akuma no Ko
656898	379515	Josy
656898	396482	Kurio Mifune (1967-1968)
656899	223353	Kazuko
656899	319743	Yoko
656899	358394	Kyoko Yoshizawa
656900	334912	
656901	181897	
656902	176942	Dancer
656902	192779	Bar Patron
656903	66668	
656904	239316	Girl at Park
656905	54203	Yuri Sakazaki
656905	54204	Yuri Sakazaki
656905	177380	Yuri Sakazaki
656905	177381	Yuri Sakazaki
656905	177382	Yuri Sakazaki
656905	177384	Yuri Sakazaki
656905	177385	Yuri Sakazaki
656905	177386	Yuri Sakazaki
656905	177387	Yuri Sakazaki
656905	177388	Yuri Sakazaki
656905	284074	Yuri Sakazaki
656906	137284	Dira
656906	167583	Spielvan and Helen's Mother
656906	173194	Chiomapp
656906	379481	Yaeko 'Yakko' Mitamura
656906	379482	Pollyanna
656906	382110	Sailor Galaxia
656906	386777	Upa
656906	386903	Obotchaman
656906	387831	Sakurako/Kaori
656906	391596	Atsuko 'Akko-chan' Kagami
656906	391597	Queen of Land of Mirrors
656906	392537	Remi
656906	396496	Lalabelle
656906	404127	Hilda de Polaris
656906	405215	Cokie
656906	405279	Donald
656906	406072	
656906	406845	Miyuki Moriki
656906	409317	Sebeep
656906	410625	Judy Abbott
656907	72962	Minori
656907	146891	
656908	72679	Nobuko Kaneko
656908	163837	Reiko Sugino
656909	80572	Hitomi
656909	80573	Hitomi
656909	104291	Fina
656909	182040	Haruka
656909	195628	Naru Narusegawa
656909	195629	Naru Narusegawa
656909	195630	Naru Narusegawa
656909	195631	Naru Narusegawa
656909	273168	Honey Kisaragi/Cutie Honey
656909	380605	Sue Harris
656909	382908	Galatea
656909	389464	Tôru Honda
656909	393552	Mitsuko Kômyôji
656909	394431	Hiromi Fujimori
656909	398074	Rokuna Hiragi (Japanese versi
656909	401393	Aun (Japanese version)
656909	402729	Naru Narusegawa
656909	406187	Rio Takeuchi
656909	408351	Multi HMX12
656910	124245	Hotaru Futaba
656911	107043	Genie
656911	155921	Bar girl #3
656911	193975	Jennifer
656912	255872	10th Century Woman
656913	238445	Saito Kinen Festival Dancers
656914	117425	Shibito
656915	373224	Kyaba hime
656916	371815	
656917	254712	Computer ALICE
656918	222427	Sangin's maid
656918	341287	Shizuko
656919	47759	
656920	246913	
656920	380069	Hissu
656921	31472	
656922	123902	Jessie Dugan
656923	105537	Young Witch
656924	50840	Erzsi
656924	89480	Kofa
656924	117877	A dadogó partnere
656924	147929	
656924	229464	
656924	322126	
656924	361533	
656925	58510	Princess
656925	128144	Maria
656926	272473	
656927	104681	Blonde Girl at Eiffel Tower
656928	162306	Zoë's Assistant
656929	54255	La caissière du café
656929	64226	
656929	206718	La bonne
656929	207771	
656930	398501	Chica
656931	53138	
656931	288938	Imina
656932	32149	
656933	18544	Party Girl
656934	354056	
656935	173557	Student
656935	268510	
656936	62512	Jarunka
656936	253152	Mladá Zubatá/Young Lady Death
656937	317309	MV Villagers Goodbye
656938	220116	Karla
656938	281655	
656941	1734	Herself - Presenter
656941	26079	Night Nurse
656941	38103	Kristin
656941	40103	Angie
656941	40148	Teacher
656941	129776	Michaela Twinch
656941	137575	Karen Oldfield
656941	156528	
656941	224154	Margaret
656941	262348	Cynthia
656941	283781	Liza
656941	292321	Lucy Dean
656941	307001	Nadia
656941	321936	Lauren
656941	338576	Bronwyn White
656941	358595	Bonita
656941	383891	Nerida
656942	81446	Midwife
656942	245605	Pearl
656943	57178	Susan
656944	28699	
656944	76434	
656944	159743	Imbi
656944	212115	
656944	357207	
656945	201004	Voice of Susan
656946	140005	
656947	281650	Chica 1ª
656948	380430	
656949	41311	Bedroom Attendant
656950	172766	Jennifer
656951	326145	
656952	117424	Assistant
656953	237225	
656954	305877	Ambassadadrisen
656955	260889	Irene
656956	271170	Mother
656957	49028	Dancer
656957	280005	Lucy
656959	192011	Gwen
656960	16860	Anna
656960	47519	Claudia Riccardi
656960	52896	Herself
656960	79165	C.Horn
656960	90990	
656960	104319	Ciglia
656960	104845	Eva
656960	107350	Pepita
656960	110067	Gretchen/Marguerite
656960	118997	Frau von Kieblitz
656960	119370	
656960	120154	Mariella Fiorini
656960	121712	
656960	122556	Camilla
656960	124613	
656960	126482	Gritt Faller
656960	134777	
656960	134818	Eva von Loe
656960	144153	Dina Horster
656960	155369	
656960	155437	
656960	157689	
656960	161444	Helene
656960	170131	
656960	175051	
656960	175773	
656960	182766	Diana Bianca, Dompteuse
656960	182785	Alice Doren
656960	187550	
656960	188771	Lilly
656960	188796	Vera
656960	189834	
656960	195909	Fifi
656960	196856	Louise
656960	199398	Dancer
656960	207840	Sonia Vance
656960	218931	
656960	218932	
656960	251048	Barberina/Zia Barbara
656960	259822	
656960	273709	Evelyn Brown
656960	276718	Elga
656960	280799	
656960	282194	
656960	282201	Hasia Nowrowska
656960	283474	
656960	290177	FürstinGroßmutter
656960	293535	
656960	293542	
656960	308837	
656960	327403	Princess Tamara
656960	347676	
656960	350885	
656960	352636	Corinna Dellys, l'amante di A
656960	358888	
656960	360955	
656960	361113	Manja
656960	361436	
656960	361522	Paula
656960	374530	
656961	114829	
656962	50983	Beatriz de Arono
656963	126377	Frau Jensen
656963	281275	Mrs. Schilling
656964	131541	Rhea Parker
656964	167922	Komicula
656965	400100	Conny
656966	227539	
656967	8152	
656968	137419	
656968	189190	
656968	290721	Sister of Blind Woman
656968	399175	
656969	277751	Ines
656970	7827	Dana Plato
656970	333893	Monica Bastion
656971	90457	
656972	6512	Margarete
656972	28555	Waitress 1
656972	101395	Sonja Thue
656972	104454	Maria Hamarøy
656972	120082	Bente
656972	123241	Sykepleierske
656972	244068	Vera
656972	246920	Nurse
656972	382250	Sigrun Grov
656972	382898	Member of harem
656973	160563	Penny
656973	191196	Zombie
656973	281912	Child
656974	281145	Lycosian Troop
656975	17521	
656976	17737	
656977	256468	Burly Woman
656978	147466	Suzzane
656979	209633	Beautiful Nurse
656979	247141	School Girl
656980	79607	Charlotte Thompson
656981	213451	
656982	117289	The Patriotic Maid
656983	6686	The Society Woman
656983	314462	The Stepmother
656983	346181	Cigarette
656984	183314	Tina
656984	225692	Rikke
656985	234826	Pige/Girl
656986	13953	2nd Girl at Beach
656986	133728	Charkie's Water Ballet Perfor
656987	319560	Mother In Apartment
656988	227577	Liliana
656988	281693	
656989	234826	Pige/Girl
656990	4594	Vocal backing group
656991	346838	La Valliere
656992	1601	Ellen
656992	7781	Lotte
656992	42201	Bargæst
656992	100504	Bagerdamen
656992	101392	
656992	119326	Herself - Performer
656992	127578	
656992	166265	Marthe
656992	177128	
656992	188352	Charlotte
656992	203966	Sygeplejerske
656992	217785	Kollega, Lisa
656992	239339	Bistandsklient
656992	291686	Miller
656992	357810	Abelone
656992	358464	
656992	387532	Various roles
656992	387726	Ulla/Damen med de blå tænder/
656992	392098	Dorthe Krog (2001-2002)
656992	394557	Various roles
656992	412217	Ulla
656993	58940	Megan
656993	149936	Jennifer Smith
656993	191244	Young Kiara
656993	191245	Young Kiara
656993	191608	Emily
656993	211142	Megan
656993	276899	Margaret Craven
656993	282932	
656993	317264	Young Jodie
656993	358816	Amanda Sparkle, Tiara Damáge
656993	388345	Cassie Holt
656993	406760	Jesse Campbell (2002-)
656994	295590	Herself
656995	59093	Abuse Girl
656996	245600	Rachel
656997	93744	Additional Voices
656998	305325	Davidssons fru
656999	306496	Dancer
656999	411859	The Hamilton Trio
657000	271676	Additional Voices
657001	98363	Narrator
657002	35052	
657003	144538	Bunny/Rosebush
657004	18364	Vocals and Piano
657004	213857	
657005	143832	Commercial Star
657006	272796	Starlight casino dancer
657009	86584	
657010	66956	Sophie
657010	118393	Married Woman (Wedding three)
657010	364731	Bridesmaid
657010	382214	Ada Clare
657011	87139	Petra Wehling
657012	242515	Desiree Yablonski
657013	32897	Peggy Whitmore
657013	49391	Lady at Henley
657013	218798	Wrangler Shop Assistant
657013	230394	Nurse at Shrublands
657013	336305	
657013	347419	Charlotte
657013	403201	Wendy Meadows
657014	286294	
657015	303563	Olivia
657016	327337	Herself - Conference speaker
657017	131004	Herself
657018	402141	DC Skinner
657019	71353	Kerry
657020	26666	Preppy Bride
657020	100099	Sardaukar Servant
657020	394406	Ana (1991-1993)
657020	401930	Lark Madison-Scanlon #1 (1997
657021	17556	Miss Edwards
657021	160581	Solicitor
657021	323039	Margot Hamilton
657021	386581	Alison Grieves
657021	391254	Claire Butler
657021	392970	Doctor's Receptionist
657022	334011	Goth
657023	185850	Woman in club
657024	65542	Herself - Judge
657024	127106	Herself
657024	379738	Herself - Panellist
657024	381514	Herself (2000-2002)
657024	390335	Herself (2001)
657024	396355	The Witch
657024	398316	Herself
657024	400926	Herself - Host
657025	345873	Marisa
657026	66282	Gossip
657027	360727	Girl in the Crypt
657028	16729	
657029	218780	Dancer
657029	302467	
657029	329437	College Student
657029	370555	Teenager
657030	28441	Nursemaid at park
657030	120512	Dance hall girl
657030	127086	Bit part
657030	215748	Hostess
657030	352758	Beth
657030	355837	Woman
657031	3977	Kendra
657032	2330	Herself - Presenter
657032	2355	Herself
657032	2872	Herself
657032	2909	Herself
657032	11670	Herself
657032	13682	
657032	20052	Herself
657032	43897	Herself
657032	47364	Fernway de la Fer
657032	51642	Georgia Brown
657032	81178	Claire Quintana
657032	94527	Herself - Cameo appearance
657032	94948	Ethel Andrews
657032	105015	Herself
657032	141295	
657032	154182	Herself
657032	163523	Herself
657032	187719	Herself
657032	189284	Herself
657032	204758	
657032	209604	Herself
657032	232017	Herself
657032	232363	Herself
657032	247372	Herself - Singer in Phil's Pl
657032	302435	Herself
657032	305380	Herself
657032	308182	Herself
657032	315595	Selina Rogers
657032	317411	Herself
657032	321495	Lena Horne
657032	329553	
657032	329562	
657032	329563	Herself
657032	329564	Herself (interview)
657032	329565	
657032	331205	Cameo appearance
657032	333054	Julie in 'Show Boat'/Specialt
657032	342873	Herself
657032	367054	Glinda the Good
657032	368245	Herself
657032	375044	Specialty
657032	380018	Herself
657032	383802	Herself
657033	185683	Theater Audience
657034	83087	
657034	158959	Célie
657034	213334	Peters søster
657034	213438	Lone Christensen
657034	213439	Lone
657034	213440	Lone
657034	225313	Mithra
657034	228396	Kaptajnens datter
657034	287375	Gunhild
657034	293698	Skuespillerinde
657034	303642	Elisabeth
657034	331731	
657034	398626	Various roles
657035	55218	Carmen Jones
657035	69121	Montezuma
657035	108062	Mrs. Quickley
657035	115206	Party's Guest singer
657035	115895	Helen Chao
657035	127302	Samila
657035	148614	Mezzo-soprano
657035	165297	Herself
657035	175538	Herself (Honoree)
657035	175544	Herself
657035	177255	Herself
657035	187898	A Girl
657035	206814	Herself
657035	243656	Orlando
657035	276492	Extrait de répétions de 'Rina
657035	293984	Arsace
657036	168166	Diner Patron
657036	336475	Woman In Restaurant
657037	360727	Barmaid in The Gallery
657038	129797	
657038	191516	Arete
657039	6732	
657039	26896	
657039	35739	
657039	46220	
657039	83857	
657039	86706	Segment 7 Girl
657039	87361	
657039	97506	
657039	98863	Pepper's roommate
657039	98869	Princess Luna's Guard
657039	98879	Fortune teller
657039	98885	Explorer
657039	103451	
657039	128729	
657039	295586	Sex probe 'y'
657039	298220	Tina Lewis
657039	313281	
657039	327399	
657040	104512	Pam Ross
657041	4626	Mrs. Hargreave
657041	7414	Mrs. Wallace
657041	41800	Disturbed woman
657041	41930	Martha, the Nurse
657041	64090	Agnes
657041	73412	Miss Phillips
657041	74706	
657041	74760	
657041	76964	Marsha, Dan's Secretary
657041	93240	Waitress
657041	117646	Quaker woman
657041	125853	Miss Keams
657041	127075	Eva, Sister-in-law
657041	131472	Bride
657041	135553	Nurse
657041	139786	Myrtle Mae Simmons
657041	157887	Ma Dodge
657041	168263	Miss Tucker
657041	175809	Nurse Sibley
657041	190193	Lucy Monahan
657041	196295	Miss Whipple
657041	206887	Wilma Hall
657041	207861	Nurse
657041	210833	Undetermined Role
657041	210890	Paraplegic's Wife
657041	222660	Maid
657041	230303	Shivaree partyer
657041	254488	Miss Payton
657041	255877	Vivian Fletcher
657041	255881	Mildred
657041	276713	Cousin Margaret
657041	282394	Maid at Millwood
657041	286911	Mrs. Allsop
657041	289419	Mary
657041	289575	Nora, Judge Brisson's houseke
657041	289588	Loma
657041	292310	Nabura
657041	298050	The Maid
657041	305019	
657041	305498	Woman
657041	305934	Ward 33 Inmate
657041	316786	Undetermined Role
657041	318192	Lt. Billings
657041	329616	Patience
657041	334162	Daisy Gingras
657041	347609	Lily
657041	367992	Undetermined role
657041	368097	
657042	99287	Arundel's Wife
657042	411382	Kiosk Woman
657043	7780	Lotte Cloc
657043	11769	Oda Holm
657043	12635	Helga Nielsen
657043	32544	Juliane
657043	43137	Tjenestepigen Karen 'Nelly'
657043	48346	Dagmar 'Dax' Eriksen
657043	77413	Zenita Larsen
657043	108177	Sofie
657043	108955	Fru Jørgensen
657043	116305	Ung Pige
657043	116306	Frk. Mortensen
657043	120273	Fjokla
657043	123931	Redaktør Frederikke
657043	138036	Fru Frederiksen
657043	153343	Fru Hansen
657043	153348	
657043	154131	Korpigen Ditten Larsen
657043	155124	Herself
657043	159641	Dronningen af Saba
657043	164767	Kollega til Peter
657043	166599	
657043	166774	Fru Eriksen
657043	178750	Husholdersken Ofelia
657043	179818	Apotekerassistent Aase Henrik
657043	181237	Faster Ragnhild Jacobsen
657043	188868	Digter
657043	190825	Sylvia Rasmussen
657043	190843	Kirsten
657043	202972	Eva Palmer
657043	203922	Fru Sonja Jensen
657043	214371	Fru Jensen
657043	214372	Fru Jensen
657043	237277	Jensen
657043	241975	Emilie Erdner
657043	242450	
657043	255661	Wilhelmine Jacobsen
657043	255674	Kokkepigen 'Putte'
657043	255675	Fru J.O. Sand
657043	255679	Direktør Stella
657043	259049	Ingeborg
657043	268371	Fru Gimmer
657043	268376	Frk. Abildgaard
657043	284407	Ane Marie Hvass
657043	303950	
657043	307211	Anna Jensen
657043	307507	Antonova
657043	307759	Eva
657043	314995	
657043	318612	Landlady
657043	321762	Vaskemutter
657043	322468	Mine Holm
657043	322681	Alma Madsen
657043	322961	Journalisten Molly
657043	324329	Patient
657043	326520	Gerda
657043	334310	Tante Klara Jensen
657043	344381	
657043	346965	Fru Nielsen
657043	346966	Emma
657043	350562	Garderobedame
657043	351462	Ministeren
657043	356855	Gudrun
657044	208191	
657045	281503	Allison
657047	151098	Trainee
657048	316672	Mary Ann Foster
657048	330010	Girl
657049	81652	Receptionist
657049	220039	Babysitter
657049	265352	Janine
657049	396423	Lisa Harte
657050	18598	Desk Secretary
657051	217490	Evelyn
657052	12252	Lori Simon
657053	88648	
657053	237926	Mary
657053	288468	Marcy
657054	41289	Girl
657055	52647	
657055	92527	Anna Mae
657055	98823	
657055	247372	Geraldine 'Gerry' Bulliet
657055	305600	Kathleen, as a Child
657055	333314	
657056	165966	Suzie
657057	100034	Tracy
657058	97490	Allison
657058	157436	Student
657059	404196	Deborah Wilson
657060	1154	
657060	149834	Woman Filmmaker
657060	293015	
657061	49335	Witch
657062	80400	Kathleen
657063	152838	Keisha
657064	166911	
657065	137449	Baby Brenna
657066	137449	Baby Brenna
657067	259864	Oriential Woman
657068	687	Herself
657068	17031	Pat
657068	91772	Clarissa Briant
657068	92656	Mina Murray
657068	103277	Mother Superior
657068	125077	Anne Rider (English version)
657068	137462	Helen
657068	147931	Caine's Secretary
657068	149821	Penny
657068	193291	Julie Denver
657068	203522	Angela Reaney
657068	236733	Jeanette Milonet
657068	311738	Carrie
657068	336271	Tess
657068	338808	Bar girl
657068	387533	Celia
657068	391318	Maudie Mountjoy
657068	408877	Sarah Hallam (1982-1983)
657069	119251	Yasmin
657069	210026	Samantha
657069	347634	Samantha
657070	31838	Barmaid
657070	224124	Receptionist
657071	167866	Toddler's Angry Mom
657072	200007	
657072	318781	Anita
657073	367866	Herself
657074	54447	Maryanne
657075	24210	Mrs. Patterson
657075	27357	Jessie Clarke
657075	28320	
657075	38003	
657075	38083	
657075	38085	
657075	38090	
657075	38098	
657075	38099	
657075	38102	
657075	38105	
657075	38126	
657075	38134	
657075	41209	His Sister
657075	42393	Mrs. Robert Waring
657075	46307	The Maid
657075	46710	Mary Carter
657075	56459	Ruth Carew
657075	57141	
657075	57369	The Girl
657075	59370	Lillian Fleming
657075	77300	
657075	79382	Zarrah
657075	101503	Mrs. Laurence
657075	105036	Josephine Lee, the Wife
657075	111290	
657075	112427	Silvia
657075	116465	
657075	119895	
657075	124095	Jessica Mannering
657075	126698	
657075	140789	Helen Vaughan
657075	141506	Crystal
657075	143311	The New Operator
657075	145017	
657075	146155	The Girl
657075	151422	
657075	157889	The Moonshiner's Sympathizer
657075	183555	Clarice
657075	187723	Lena Rivers
657075	188263	Edna, His Wife
657075	203087	The Society Woman
657075	205122	Thérèse Roger
657075	214135	Pauline White
657075	216955	Muriel Hawthorne
657075	238724	The Wife
657075	253101	His Sweetheart
657075	278208	
657075	278439	Eleanor Haldane
657075	289972	Lucy
657075	299805	Helen Berry
657075	315169	Belle Borden
657075	316058	
657075	327741	Mrs. Fannie Morgan
657075	366357	Marion Herndon, the Sweethear
657076	59491	Herself
657076	266419	Herself
657077	241536	Ullah
657077	262741	First Amazon
657078	146458	Carmen
657078	202834	Amazonia Pérez
657079	84487	Marie's Daughter-in-Law
657080	13632	
657081	5122	Hella, retailer
657081	12846	Roberta Bell
657081	17524	Anna Favetti
657081	24086	
657081	32748	
657081	33479	
657081	42180	Mara, die Magd
657081	59702	Grandma
657081	78605	Lady Pitts
657081	94423	Anna Uhlig
657081	98366	
657081	102370	Tante Eleonore
657081	105530	Maria
657081	110647	
657081	118596	
657081	119114	
657081	119209	
657081	124977	Dr. Thomas
657081	125329	
657081	126385	Ines
657081	129667	Dr. Bruning
657081	132313	
657081	134983	
657081	140233	Julia
657081	141946	
657081	151070	Margarita de Guzman
657081	155444	
657081	156495	Maria Roth
657081	174773	
657081	188778	Tatjana Tolemainen
657081	189699	Ruby
657081	204498	Manuela Ortiguez
657081	210317	
657081	214965	Countess Arco-Valley
657081	225185	
657081	225676	Irina Treplawa
657081	225740	Zarin Katharina II
657081	226264	Generalin von Reuss
657081	230201	Lady Aston
657081	272533	
657081	277283	
657081	283060	Mrs. Sandbo
657081	284290	Marie
657081	289156	Nastasia Dashenko
657081	292475	Lena Schmidt
657081	307251	Mona Arendt
657081	312729	
657081	326646	Flora Lungley
657081	341028	Sister General
657081	348676	
657081	352326	Barbara Lorenz
657081	352565	Ulyssa
657081	355729	Adele
657081	367143	
657081	369139	
657081	375052	
657081	379858	
657081	381327	Elsa Gruber
657081	387735	Herta von Guldenburg, geb. vo
657081	391287	Clara's grandmother
657081	392222	Aunt Polly
657081	393271	Adele
657081	407907	Dorothea Teufel
657082	217219	
657082	242944	Un adolescent
657082	281301	
657083	208559	
657083	214204	Mme Blot
657083	248031	Nicole
657084	26329	Sygeplejerske
657085	403536	Herself - Participant (1998)
657086	151778	Gracie (5 years)
657087	196588	Girl in the Editorial Office
657088	67788	Girl at Party
657089	361324	
657090	115957	Lea
657090	170672	Agathe
657091	12146	Inma
657091	39156	Bonnie Dimmick
657091	55796	
657091	76000	Sara
657091	82931	Susana
657091	85975	Anabel
657091	110749	Laura
657091	147378	Niña
657091	162249	Iris
657091	178833	Amor
657091	215083	Paula
657091	243779	
657091	287620	Paloma
657091	327933	Kelly
657091	332636	Mari
657091	338684	Billie
657091	341780	Alejandra 'Álex' Alonso
657091	369437	Herself - Presenter: Best New
657091	369556	Herself - Nominee: Best New A
657091	376864	Sira
657092	385353	Tertuliana (2000-)
657092	402542	Colaboradora
657093	87551	Tracy
657094	144950	Wendy
657095	56545	Herself
657095	327922	Pam McDuffy
657096	278153	Julie
657097	72909	
657098	124737	
657098	222732	Lucy Timson
657099	40101	Carmen (1973)
657099	58770	Agent Hudson, Kam's Enemy
657099	230412	Nurse Silla
657099	391248	Allie Matts (1995-1996)
657100	68170	
657101	68170	
657102	338828	Alicia
657102	385824	Jamie Whitney #2 (1969-1970)
657103	60514	Johanna
657103	155884	Domino
657104	96031	
657104	104210	Irène
657104	188687	La vendeuse
657104	328273	Mademoiselle Brice
657104	401680	Blanche Marci (2004)
657104	404042	Julier
657105	372417	Nancy
657106	265045	Emilka
657107	405209	Nurse Christine Hastings (199
657108	9709	
657108	41398	Woman in Car
657108	89976	
657108	105820	
657108	287159	
657109	216366	Herself
657110	282711	Dancer in Haiti number
657111	293629	
657112	349259	Chuva
657113	24484	Young Lady
657114	357684	Monika
657115	88556	
657116	187193	Seamstress
657117	19290	TV scream queen
657118	321729	Miles' Mom
657119	226879	
657120	289185	TV Reporter #3
657121	299958	Anna
657122	46363	Jack's Mother
657123	337	Antonietta
657123	2082	Mrs. Carson
657123	6297	
657123	15986	
657123	51951	
657123	56078	Mother Superior
657123	68428	Conforti's neighbor
657123	90730	
657123	109804	
657123	124558	Lori's babysitter
657123	126839	Nun
657123	127870	Proprietaria della pizzeria
657123	128027	Kleptomaniac
657123	134904	Maid
657123	148781	
657123	160054	
657123	167193	Maid
657123	168549	
657123	206082	Maria Clerici
657123	213802	
657123	219583	
657123	219585	
657123	239302	
657123	269493	
657123	289094	Nun Interpreter
657123	295147	Annie
657123	295164	Annie MacGregor
657123	308878	
657123	320322	Teacher
657123	320528	Hanna's Mother
657123	328389	
657123	338654	
657123	340423	
657123	344437	
657123	348139	Mona, a hostage woman
657123	353064	
657123	410582	Mrs. Sacerdote
657124	349890	Invitada 1
657125	42311	The Stalked
657126	366761	Woman at market
657127	290070	Herself/Schindler mourner
657128	3952	Herself
657129	205426	Little G
657130	205426	Little G
657131	338553	Diner Waitress
657132	149686	
657132	356059	Herself
657133	252211	Commentator Gal
657134	78782	Karla
657135	283250	Young Tori
657136	112170	
657136	277391	Laureana
657136	328750	Criada
657137	68772	Party Girl #1
657137	79408	Lisa
657137	149183	Robin
657137	259408	B.
657137	280000	Tabatha
657138	5209	Bubble
657138	11026	Gail
657138	11462	Various Roles
657138	23925	Herself
657138	27221	Maggie
657138	31553	Herself
657138	44456	Mo
657138	47084	Marla Dorland/Mavis Davis
657138	50598	Beggar
657138	61291	Babs
657138	63000	Ghost of Christmas Past
657138	67759	
657138	80696	Jodie Greenwood
657138	87626	Voice
657138	93594	Rita
657138	107331	Huccaby
657138	112188	Christine Bracken
657138	115553	Shepherd
657138	126688	Jenny
657138	141418	Pam
657138	149411	Donner
657138	151532	Bubble
657138	153001	Cassandra
657138	177313	Dorothy Tearsheet
657138	185620	Gran
657138	187326	Donner/Arctic Fox
657138	190135	Nicola
657138	191253	Wimzik
657138	192349	LV
657138	210671	Faith
657138	215186	Yitta Hilberstam
657138	230366	Various Roles
657138	232398	Helen
657138	233528	Pippa Bond
657138	241609	Herself
657138	261737	Herself
657138	279295	Louise
657138	292121	Debbie
657138	293751	Marilyn
657138	307899	Alison
657138	315642	Herself/Bubble
657138	318307	Deborah Hayes
657138	366768	Miss Irvine
657138	367406	Pattern
657138	379125	Bubble, Katy Grin
657138	385175	Flossy
657138	389204	Jeffries
657138	395726	Krystan
657138	410654	Hannah
657138	411553	Magrat
657139	236779	Hospital Receptionist
657140	89207	Rachel
657141	342335	Mother Grosalie
657142	62922	Judge Dread
657142	69429	The Tutor
657142	164164	Prof d'anglais
657142	218767	Nun 1
657142	342335	Frau Grossalie
657143	168151	The Three Comforters
657143	183229	Swan
657143	293793	
657144	267547	Phoebe Caulfield
657145	290164	
657146	211127	Sprechstundenhilfe
657146	290534	Lisa
657147	311500	Cafe Customer
657148	69639	Botox's Friend
657148	251247	Young Mother
657148	267590	Sharon
657148	340962	Jan
657148	378898	Stephanie the Rental Car Woma
657148	392244	Female RCMP #1
657149	224231	Beauty, a Horse
657150	361734	
657151	10412	Liane
657152	177515	The Mare
657153	30902	
657153	208977	
657153	340737	
657154	78846	
657155	87215	Girly Bar Dancer
657156	349894	Valerie
657157	69	Boer pianist
657158	298579	Adele
657159	196508	Julia Bateman
657159	252173	Helen
657159	305698	Maria
657159	358450	Katherine
657160	183805	
657160	206803	Our Lady
657160	365973	Mrs. McFie
657161	189529	Girl in bar
657162	358478	Villager of Tullymore
657163	1805	Herself - Presenter
657163	12241	Amy Zon
657163	12332	Vickie
657163	22821	Mosetta
657163	26293	Randi
657163	34120	Charmaine
657163	37788	Ms. Marge Keating, County wel
657163	51471	Mrs. Raines
657163	56162	Virginia Cates
657163	59714	
657163	64404	
657163	72468	Slam Dunk
657163	77793	Sitcom Mom
657163	80969	Lucille Barnett
657163	88965	Leigh Williams
657163	108474	Emily Stolz
657163	120093	Mrs. Jones
657163	120095	Mrs. Jones
657163	135193	Carol
657163	141416	Della, Harry's Maid
657163	147602	Monica
657163	151351	Mamma King
657163	155856	
657163	164560	Thelma Barnes
657163	171336	Chief Public Defender Poole
657163	176778	Barbara Evans
657163	178138	Vickie Cross
657163	193260	Saunders
657163	195518	Mara
657163	214755	Casey
657163	220985	Judge Harris
657163	221783	Kathy Thomas
657163	222771	Veronica Perry
657163	234218	Nurse Betty
657163	237006	Mrs. Gaines
657163	241148	Miss Annie
657163	241342	Evelyn
657163	263265	Eugenia
657163	295077	Ms. Wells
657163	312557	Naomi
657163	313827	Jessica
657163	315228	Collins
657163	316716	Harriet
657163	318797	Stepahnie Marshak
657163	323506	Mrs. Pierson
657163	333430	Rosie Washington
657163	364164	
657163	364847	Lavanda Harrison
657163	379948	Thelma Frye
657163	390771	Clara Jones (1979)
657163	397524	Dorothea
657163	403322	Veronica Washington
657163	407513	Lainie Harris
657163	410674	Deirdre 'Dee' Baxter
657164	281170	Juliet's Friend
657164	305036	Dancer
657165	153586	
657166	179703	Liz
657166	380827	Sabrina Georgia
657167	274559	The Five and Dime Teen
657168	45618	Fatima
657168	138236	Staff #1
657168	324238	Bianca
657169	379118	
657169	380107	
657169	383268	Benita
657169	402219	Cata (1998)
657170	20810	La putain
657171	145415	Couch Girl #1
657172	302584	Italian Mother
657173	222136	Biting Vampiress
657175	216803	Golden Girl
657176	170136	Die Poltnerin
657177	400928	Herself
657178	78915	Gwen
657179	395667	Maria Däuble (2000-)
657180	48954	Secretary
657181	204747	Rosina
657182	315918	Grandma Sackler
657183	317309	Dancer #8
657184	22833	Narrator
657185	197963	
657186	396610	Alice (1996)
657187	352855	
657188	85595	
657189	385500	Karen
657190	82586	
657191	55219	Micaela
657191	73528	Soleá
657191	165412	
657191	189379	
657191	191581	Ángeles
657191	233352	
657191	262602	
657191	300638	
657191	301060	
657192	152793	Linda
657193	328061	
657194	108623	Prostitute
657194	221638	Eula
657194	222797	The Slaygirl
657194	245101	The Girl from Flush
657194	298598	Kellner
657195	101867	Azafata
657196	190622	Susan Estuchi
657197	354769	Irina
657198	156666	Rosa
657199	9781	Lydia (child)
657199	26647	A Child
657199	40705	Norah's Little Brother
657199	42447	
657199	42553	
657199	68787	
657199	83845	Dick Mostyn
657199	141210	Patty, Her Daughterr
657199	144940	Baby Hanford
657199	197711	
657199	207870	Betty
657200	240719	Herself
657201	124123	Customer
657202	22728	Mary Flynn
657203	189529	
657204	35655	Student
657206	5918	Molly Casey
657206	11155	Jean Dawson
657206	12185	Jane Sheldon
657206	18095	
657206	22911	
657206	24245	
657206	29334	Little Clara Van Brough
657206	32350	Bobbie, Marjorie's Little Bro
657206	34028	Hospital Secretary
657206	35807	Clarabell Simpkins
657206	37112	Little Bo-Peep
657206	40747	Bobo
657206	47341	Helen Stuart
657206	65159	Clara
657206	68160	The Minister's Child
657206	73403	
657206	79100	The Darling
657206	84359	Molly Steele
657206	89690	Lily Carr
657206	95319	
657206	105332	Youth
657206	107561	Clara
657206	112379	Goldie Lamont
657206	116967	
657206	117039	Clara Mason
657206	117993	Betty Graham
657206	120184	
657206	128209	June Campbell
657206	128827	Prisoner
657206	133102	
657206	133941	Peter's Little Friend
657206	141234	Lily
657206	148434	Little Miss Langdon
657206	152202	Becky Thatcher
657206	157503	
657206	158164	Strongheart's Beautiful Lady
657206	158578	Dolly Sheldon
657206	163444	Lucille Graham
657206	170764	
657206	171166	Barbara
657206	171217	
657206	175811	Clara Farley, Andrew's Daught
657206	190449	Sally Dunkelberg
657206	191612	
657206	192082	Marie
657206	192259	Margaret
657206	194026	
657206	201482	Lillian Gilman
657206	201936	Clara Huntingdon
657206	214452	Bettina Bailey
657206	232871	Phyllis Laurin
657206	252296	Marjorie Jones
657206	258218	Mary, as a child
657206	264509	Her Sister
657206	267513	Alice, Miriam's Grandchild, A
657206	276700	Pietro
657206	285646	Cecile
657206	294902	Mary, The Drain Man's Daughte
657206	296946	
657206	308429	Eugene Hope's Daughter
657206	308922	
657206	309558	Clara
657206	310683	Master Van Altenberg
657206	310765	
657206	333344	Maid
657206	335117	Becky Thatcher
657206	337613	
657206	346134	
657206	348799	
657206	351734	
657206	354925	Ethel, age seven
657206	362628	Nora Malone
657206	363639	
657206	364187	
657206	364538	The Stranger's child
657206	365829	
657206	366315	Vivian Milligan
657206	366355	Nelle Barkley
657206	366622	Clara Snap
657206	369002	
657206	371032	Kate Cummings
657207	49855	Heather
657208	196571	Delta
657208	404969	Host
657209	46367	Fight Spectator
657210	342608	Herself
657211	10830	Mother
657211	22808	Mrs. Cabot
657211	34911	
657211	37270	Mrs Weatherfield
657211	43422	Irma Turnbull
657211	49389	Tourist on Coach
657211	58544	Susan Wright
657211	72760	
657211	100957	Aunt Beth
657211	117777	
657211	153118	Mrs. Van Diemen
657211	185642	Dodie Rubens
657211	188316	Sadie Whitelaw
657211	206104	Barbara Craig
657211	214508	Judge's wife
657211	230410	Sylvia Kingsley
657211	231597	Ana
657211	254607	Mildred Eldridge
657211	273084	
657211	276947	Mrs. Bigard
657211	288631	Brenda Claffern
657211	300994	Miss Sullivan
657211	319614	Miss Henderson
657211	353728	Various characters
657211	367482	Martha
657211	381661	Various Roles (1979-1981, 198
657211	387490	Miss Pringle
657211	393427	Mrs. Jerome
657211	401725	Julia Olivera
657212	143172	Ruth Beresford
657212	143361	Beatrice Ford
657212	197659	Ethel Wynndham
657212	318177	Undetermined Role
657212	355225	Katherine Crowninshield
657213	154648	Naomi Koenig
657213	235440	Hilary
657214	92102	
657215	342616	Doctor Rathmaran
657216	84113	Shopper
657217	323227	Jaguar Woman
657218	26525	Jennifer Bartrand
657218	389416	Barbara Lovell
657219	277101	Nurse
657220	146657	Polish Woman
657221	241244	Party-Goer #3
657222	11342	Ann Deever
657222	105263	Hagerson, Bess
657222	320890	Lady Barnet
657222	358564	Elaine
657223	55684	Glamcab Driver
657224	315311	
657225	304643	Amazon
657227	2669	Saloon Girl 2
657228	282921	Mrs Stickle
657228	323983	Marjorie
657229	93211	Henry's Daughter
657230	408053	WPC Susan Phillips
657231	106023	Journey Voice
657232	75455	Cop
657233	232158	Dancer in Park
657233	339918	Girl in club
657234	354215	Sally Hart
657234	400208	
657235	96186	Caroline
657235	108789	
657237	84625	Maria 5 years
657237	100533	Barbina Bertini 4-5 ans
657238	57610	
657238	357687	Kubesová
657239	122398	Journaliste Assemblée
657240	390721	Babica
657241	236048	Post office clerk
657241	265656	
657241	375424	
657242	80879	Celine
657242	406822	Presenter
657243	393878	
657244	174279	
657245	91063	Herself
657245	104770	Croatian entry (6th place)
657247	237177	Ilse
657247	352769	
657248	195689	Additional Model #5
657248	394991	
657249	412317	Orsi
657250	272530	Lady #2
657251	152791	Car driver
657252	154850	Rocky
657252	201260	Nurse Muriel
657252	317303	Bebe
657253	15887	Ensemble Vocals
657254	341939	Wendy Manning
657255	74404	Irén
657256	73125	Dounia
657256	263970	Prisoner Jane
657256	327364	Erzsébet Nagy
657256	405251	Various
657257	102834	Herself ('working girl')
657258	73411	Interviewee #3
657258	78980	Heather
657258	341499	Kissing Girl
657259	397886	Herself
657260	91068	Herself
657261	226929	Student
657263	89506	
657264	173592	
657265	74464	
657266	183894	Feleség
657267	153638	physical instructor
657267	224987	Virágáruslány
657267	239432	
657267	256667	
657268	227533	
657269	348671	
657270	98027	
657271	74454	
657272	11326	Chantlerose
657273	375965	
657274	182697	
657275	89725	Gizi
657276	349627	Zsófi
657277	326341	
657278	74404	Krisztike
657278	104197	
657279	172529	Marci anyja
657279	175466	
657279	209835	
657279	322080	Kissné
657279	355244	
657279	377121	
657279	377203	
657279	378279	
657280	348671	Nénike
657281	104792	Francia nõ
657282	199079	Dancer
657283	348671	
657284	19680	Mari néni, szolgáló
657284	29801	Bodrine
657284	74394	
657284	74415	Rozi
657284	97957	
657284	97958	
657284	97968	Herself
657284	99534	Zsámbokiné
657284	99536	
657284	110717	Bekéné
657284	122455	Székely lány
657284	137122	Cseresznyécske
657284	140671	Virágné
657284	144677	Pénztárosnö
657284	145617	Sári
657284	153963	Kocsis Benjáminné, Ilonka
657284	159333	A Banya
657284	163132	
657284	182846	János Áment's wife
657284	198322	Misi édesanyja
657284	198412	Piros
657284	209842	
657284	225784	Moravecz Gyuláné
657284	322017	Bakosné, Júlia
657284	322122	Aunt Terus
657284	324096	
657284	328970	
657284	355244	
657284	357819	Etuka, András nõvére
657284	376559	
657284	376615	Margit
657284	377123	
657284	378578	Annus
657284	397636	Marfa
657284	404025	Veszelka Péterné
657285	17079	
657286	44573	Talla-Galla zenekar
657287	11069	
657287	182697	
657287	322025	Vidéki színésznõ
657288	104051	
657288	212509	
657289	407230	Letter turner (2000-)
657290	187994	Nona
657290	229553	Verona
657290	293071	Zelmira
657290	323630	
657291	243794	Herself
657292	233174	Liesel
657292	270701	Chiara
657294	386372	Miss Frances
657295	212257	Office Party - Party Girl
657296	48136	Beppa Spitzer
657296	119147	
657296	125012	Sarah Jacoby
657296	325707	Anja Hausmann
657296	369179	Anna Mayer
657296	382863	Beppa Spitzer
657297	119147	
657297	277713	
657297	290626	
657298	398863	
657299	376626	
657300	237748	Veronika, Angelika's daughter
657301	229154	
657302	93847	
657302	344101	Olina
657303	165054	Princess Ruzenka
657303	275687	Junges Kindermädchen
657303	279819	Mada
657304	17685	Sanne Ledermann
657305	180673	Alena
657305	304515	Vlasta Sláviková
657306	139597	HTV Interviewer
657307	196627	Herself
657308	67896	Social Club Singer
657309	170657	
657310	202470	
657310	219267	
657310	314571	
657310	349600	
657310	351162	
657310	368048	
657311	190317	
657312	226337	Dr. Schäffner
657313	215926	Anne Love Price
657314	206389	Amelia Lawton
657314	221334	Mrs. 'Phroney Morgan
657315	22107	Gül Uysal
657315	360036	Cemile
657315	380746	Gül Uysal
657315	382095	Aysegül
657316	9022	Nurse
657316	32983	Mae Bishop
657316	39696	Donna Corbett
657316	41005	Helen Porter
657316	49554	Alice Ashley
657316	65722	Ann Dawson
657316	69499	Lodge telephone operator
657316	78032	Kay Prentiss
657316	113460	Pandora Pines
657316	133729	Sheila Edwards
657316	154083	Louise
657316	183406	Bubbles LaRue
657316	201460	Elsa Wehmer
657316	207138	Anna Bulic
657316	224273	Phyllis
657316	231131	Sweetie
657316	239515	Margaret Kemp, Kit's Fanclub
657316	241561	Illa, Joseph's Wife
657316	274068	Countess Irena Masak
657316	278080	Mathilda Early
657316	299035	Fowler's Secretary
657316	329329	Maid
657317	396846	
657318	359612	
657319	9337	Kayo
657319	80005	Shizui
657319	125453	Yoko
657319	145128	Tsuneko
657319	168001	Yukari
657320	76858	
657320	104269	Kimiko
657320	104274	Toshiko
657320	122094	
657320	137045	
657320	170868	
657320	198597	
657320	232921	
657320	279831	
657321	19595	
657321	323129	Stewardess
657322	167943	
657322	334947	Maki
657323	26417	
657323	59718	Aunt
657323	67896	Mrs. Kawamura
657323	78027	Mrs. Hikaru
657323	111281	Suan Kuroda
657323	145743	Nurse Yama
657323	198474	Comrade Chin
657323	224024	Vice Consul
657323	321777	Mrs. Daniels
657323	355276	Narrator
657324	23329	
657324	23436	
657324	105373	
657324	168104	
657324	375624	
657325	4557	Princess Azusa
657325	13623	
657325	17421	Yoko
657325	21353	
657325	21365	Sumiko
657325	21823	
657325	22123	
657325	25871	
657325	29253	Masayo
657325	61224	
657325	61513	
657325	61524	
657325	63542	Otsuya
657325	76882	
657325	101484	
657325	102435	
657325	124029	Midori
657325	127861	
657325	129856	
657325	130488	Yoshino Yoshizawa
657325	130507	Masako Matsuo
657325	137041	
657325	137350	
657325	139741	
657325	140437	
657325	144735	
657325	147248	
657325	149132	Teruko
657325	164102	
657325	167795	Ayame Ueno, 4th Daughter
657325	174339	Yoshie Iida
657325	174881	
657325	177923	Chino
657325	178256	
657325	179438	Tone
657325	179464	
657325	179541	
657325	181979	
657325	181989	
657325	182000	
657325	182419	
657325	194068	
657325	213008	
657325	214398	
657325	217069	
657325	219835	News Photographer Junko 'Yoka
657325	223304	Mari Iwatani (ages 16-24)
657325	232536	
657325	232600	
657325	232602	
657325	233130	
657325	242184	Midori Tominaga
657325	242200	
657325	243898	Senhime
657325	244511	Natsue
657325	247411	
657325	247434	
657325	276621	
657325	278602	
657325	286907	Naoko Shindo
657325	293661	
657325	294107	
657325	294547	
657325	298837	Kozato
657325	299135	Otaka
657325	300142	
657325	320460	Keiko Ishimaru
657325	323130	
657325	328968	
657325	341283	
657325	344954	
657325	358126	Ichi Miyazawa
657325	358405	
657325	370410	
657325	371986	
657326	62243	
657326	122163	Shizuko
657326	391367	Tannin no Sensei (Pt.1)
657327	296510	Yukie Kimura
657328	251296	
657330	298870	Makoto
657331	319790	Yukari Unno
657332	299442	
657333	296629	
657334	129868	Umeda
657334	173537	
657334	257456	Ai Iijima
657334	381385	Haruka Kitahara
657334	391700	Nozomi Sakaki
657334	400271	
657334	404244	Otome Sakamoto
657335	370359	Rika
657335	384235	Ryôko Amemiya/Sazer Velsou (W
657336	239490	
657337	105110	
657338	155943	
657339	294056	Shojo
657340	198812	Mitsu
657340	271678	Miyama Mieko
657340	299350	Fumie Kuki (wife)
657341	179390	
657341	238384	
657341	400605	Hibiki Manabe
657342	359195	Hannah
657343	9601	
657343	174336	
657343	182019	Kyohei's Wife
657344	21822	Megumi Asakura
657344	167927	Kaoru
657344	167984	Nurse Sawada
657344	226689	Toshiko Sugai
657344	242116	Uri no onna
657344	335271	Tomie
657344	341298	Midori Iwashita
657344	350723	Shiho
657344	382417	
657344	390086	
657344	405186	Ume Maruhashi
657344	405187	Ume Maruhashi
657344	405188	Marubashi Ume
657344	410249	Onda Kiri
657345	25523	Nancy
657346	398050	(4th Eliminated) (2003)
657347	34903	Herself
657347	132580	Herself
657347	405750	Herself
657347	409733	Herself
657348	314058	CIA chief
657349	271948	
657350	65796	Judge
657350	319094	Alex
657351	26294	
657351	36865	Mango
657351	45682	
657351	47076	Mango
657351	68376	Mango
657351	72497	
657351	114240	
657351	118440	
657351	129555	
657351	131387	
657351	186549	
657351	218122	Mango
657351	238738	
657351	257737	Zuccini
657351	305580	
657351	312779	
657351	326400	
657351	327783	
657351	332109	
657351	333725	
657351	345834	
657351	359226	Mango
657351	370387	
657352	368269	Judy Schumway
657353	219535	Sonya Blade
657353	219536	Sonya
657353	219539	Kia
657353	219540	Sonya Blade
657353	219549	Sonya Blade
657353	228958	
657353	277271	Headmistress Helga
657353	344519	Sonya Blade
657354	317864	
657355	293961	B.E.A.T. Woman
657356	276605	Janice
657357	315585	Finney's Woman
657358	237531	Singer
657359	191081	Penny Flower
657359	365942	Reporter 3
657359	383631	Dr. Lucy Perry: SHO (1989)
657360	161345	Herself
657361	379212	Regular Performer
657362	1135	Neighbour
657362	16834	La pâtissière
657362	58232	Mme Audibert
657362	62817	Madame Armand
657362	72387	Karine
657362	100533	Marianne Delperée
657362	112878	Béa
657362	132279	La Goula
657362	156487	Marie-No, la mère
657362	166163	
657362	200964	La prostituée
657362	208216	La cliente de la quincailleri
657362	217210	La boulangère
657362	217728	Mireille Grognard
657362	235811	Léontine
657362	250642	Edmée Kerodran
657362	254168	Lulu
657362	264525	Janine
657362	319596	Mère de Willy
657362	336467	Gisèle
657362	345173	Amandine
657362	345522	Paula
657362	345563	
657362	353824	Mme Barnier
657362	357834	La cliente au fond de teint
657362	377630	Gigi
657362	400698	La fée
657363	4490	
657363	9756	
657363	25999	Nadia
657363	28900	
657363	58438	
657363	92089	
657363	124212	
657363	127070	
657363	140431	Nadia
657363	140851	
657363	142724	Noussa
657363	156202	
657363	162670	
657363	184035	
657363	187637	Hoda
657363	208275	
657363	218909	
657363	296608	Hoda
657363	297144	Mona
657363	303317	Hoda
657363	324941	Nadia
657363	374183	Noha
657363	374186	Fatima
657364	29230	Tamae
657364	91186	Kinko, Mami's mother
657364	125382	Setsu, Takako's mother
657364	127745	Madame
657364	169694	Tsukiko, Kakuko's mother
657364	173068	
657364	182385	
657364	242179	Kyoko Ohara
657364	244566	Oren
657364	297069	Maya
657364	298997	
657364	299101	Toshiko Nakazawa
657364	299311	
657364	300471	Fujikawa's owner
657364	341287	Shingo's wife
657364	358424	
657364	371787	Mother
657364	371991	Shino
657365	130527	
657365	138052	
657365	176669	Juggler Girl
657365	294164	Akashi no Kimi
657365	341298	
657365	341309	
657366	43066	Keiko
657366	233129	Keiko Hanazawa
657366	391522	Sato (Hideyoshi's younger sis
657366	392025	
657367	214715	Rikako Aonuma
657368	117425	Reiko Takato
657369	214715	Hinako Aonuma
657370	344652	Dominatrix
657371	234573	La religieuse
657372	62437	
657373	99903	
657373	102200	Paula
657373	111756	Marie Rätzer
657373	125188	Kiki
657373	187925	Lena
657373	189563	Liz
657373	225175	Rosemarie Nitribitt
657373	226395	Charlotte
657373	336539	Leyla
657373	345906	Marilli Kosemund
657373	357570	Marion von Kammer
657373	367347	Laura Reiser
657374	56545	Herself
657375	18212	Robin Anderson
657375	78084	Terri
657375	103287	Andrea Singer, Mission Chemis
657375	145707	Jenny
657375	158183	Jenna Wagner
657375	183398	
657375	232158	Jackie
657375	363897	Rachel Ruthledge
657375	380391	Olivia Matthews (1989-1992)
657375	384553	Danielle LaPointe (1993-1994)
657375	391980	Molly Brewster
657375	394509	Dr. Christine Draper
657375	402275	Nora Gracen (1996)
657375	409244	Sarah McClain (1996-1997)
657376	338405	Newscaster
657376	381449	Presenter
657377	84523	Egyptian Girl
657378	200470	Sophie
657379	131173	Rojan
657380	200470	Victim's Daughter
657381	200470	Victim's Daughter
657382	205327	
657383	85042	
657384	157070	Chanteuse
657384	268822	la Chanteuse
657385	981	Heather
657386	9615	
657386	13002	
657386	124295	
657386	132743	Isaure
657386	136961	
657386	197042	Lucrecia
657386	197885	La mujer rubia
657386	202222	
657386	248148	Assumpta
657386	249872	Julia
657386	253277	Egotist's Date (segment "Ego"
657386	270057	Marta
657386	282095	Marta
657386	288859	Eva
657386	397847	Eulàlia
657386	404715	Joana
657387	381906	Herself
657388	69108	
657389	326453	Presentatrice
657389	380706	Host
657389	386352	Herself
657389	390676	Herself (1999-2000)
657389	397285	Herself (2002-)
657389	399052	Herself (2001)
657389	403619	Herself (2001)
657389	404473	Herself
657389	407173	Herself (1996-2001)
657389	410340	Herself (1999-2001)
657390	135074	Woman at bar #1
657391	113720	Robyn
657392	118297	Vivian Miller
657393	48792	
657394	293097	Bridesmaid #2
657396	25849	Elena
657396	157785	Ruth Harper
657397	394986	Herself - Psychologist
657398	16195	
657399	42402	Lyman Townfolk
657401	1267	
657401	245587	
657402	319852	Kakek Jepang
657403	7	
657403	96650	
657403	133874	Marie
657403	265496	
657404	334926	
657404	353718	
657405	46581	Paula Harmon
657405	87507	Madeleine
657405	185282	Cory's Mother
657405	185836	Sally Pearson
657405	187122	Bissie Hapgood
657405	238274	Anna 'Mama' Hartley
657405	239542	Pamela Shaw
657405	398754	Ellen Monroe
657405	399961	Dr. Nancy Cunningham (1970-19
657405	404694	Myra Lake Ames #1 (1958)
657406	355083	Virginia
657407	187122	
657408	191626	Flirting girl
657408	219526	Wow Girl
657408	390959	Herself
657409	6011	
657409	11305	The Wife
657409	21143	
657409	26251	
657409	37922	
657409	37926	
657409	37930	
657409	49060	Maggie
657409	49065	
657409	56260	Mrs. Casey
657409	57742	
657409	65933	
657409	66125	
657409	79871	
657409	92265	The Leader
657409	101302	
657409	107620	
657409	110946	Myra McGinnis
657409	110947	
657409	114739	First Couple
657409	116746	
657409	124769	
657409	124770	
657409	124771	
657409	124772	
657409	124773	
657409	128852	Miss Casey (Sally's Aunt)
657409	129110	
657409	143040	Mrs. Stern
657409	143461	
657409	145912	
657409	145936	
657409	146275	
657409	146290	
657409	146312	
657409	150452	The Count's Wife
657409	152582	
657409	161027	
657409	174515	Kate the Cop
657409	193983	Nora
657409	196914	
657409	197024	Nora, the Cook
657409	203455	The Aunt
657409	207421	
657409	207830	Matilda Honeysuckle
657409	209706	Mamie's Mother
657409	214737	Minnie
657409	215762	
657409	229147	
657409	230576	
657409	234911	Nora the Cook
657409	245011	
657409	269676	
657409	273256	
657409	297976	
657409	297977	
657409	307929	The Mother-in-Law
657409	312776	
657409	312825	
657409	317891	
657409	327666	
657409	337812	
657409	342558	Eva Bolt/Nancy, her twin sist
657409	362260	Bella Bailey
657409	364331	Sue Briggs
657409	364857	The Widow
657409	366608	
657410	184265	Little girl dancing
657411	294131	
657412	357861	
657413	194534	The Kings Court Nobility
657414	139243	The Medivert Girl
657414	379700	Herself/Contestant (Top Ten F
657415	61832	Herself
657417	34932	Herself
657417	81787	Herself
657417	127844	
657417	169859	Space Vixen
657417	258207	Andrea Cass
657417	272006	Tricia
657417	298420	Torch Singer
657417	321286	Roxie Mulberry
657417	349583	Sunshine Salesgirl
657417	358235	Fox Malloy
657418	58689	
657418	160658	
657418	199579	
657418	343586	
657419	238445	Saito Kinen Festival Dancers
657420	301219	The Maiden
657420	323226	Vampire Woman
657421	101171	
657422	192349	Mr. Boo's Band
657423	8168	
657423	139611	Beauty #2
657423	223904	Herself
657423	345850	Martha Lowrie
657423	380713	Karen Martell (1991, 1992)
657423	391503	Elaine Duff #1 (Pilot)
657424	98370	Kat
657424	126828	Mädchen
657424	340294	
657426	131383	
657427	83381	Delphine
657428	253104	Lead Vocalist/Featured Dancer
657429	410920	Vancouver Host (2001-2003)
657430	30814	
657431	151895	Female Cashier
657432	10853	Eli Follette (SSS17 Sleeper)
657433	57287	Marta
657434	154937	Femme enceinte
657435	327658	La Femme malaise 1
657436	29591	Marthe
657437	398042	
657438	245951	
657439	152603	Worker
657440	378978	Dancer
657441	5440	Debbie
657442	5440	Dorrie
657443	46798	Aggressive girlfriend
657443	63941	Peggy
657443	65797	Josie
657443	92230	Muse
657443	122673	Bessie
657443	125863	PBX Operator
657443	135553	Student Nurse
657443	141021	Anne Parker
657443	143203	Secretary
657443	153191	Aggressive girlfriend
657443	184560	Mary Parker
657443	192033	Ina Mae Sullivan
657443	203497	Sibyl Wilson
657443	220900	
657443	221054	Ole's girlfriend
657443	264438	Prisoner
657443	292568	Girl
657443	296883	Edna
657443	298047	Girl
657443	305898	Usher
657443	323940	Freddie Lord
657443	331764	Show Girl
657443	343261	Jennifer Martin
657443	362670	Ginger Munday
657444	18662	Daughter Of Beast
657444	377282	Black Angel 2
657445	300814	Aunt Rose
657446	62784	Furture Girfriend
657447	288316	Aurore
657448	83388	
657449	72550	Laurence
657449	400856	Ève Labelle-Lebeau
657450	244083	Geneviève
657451	302964	Pittige Pia
657451	302965	Riecky van Walsem
657451	302966	Riecky van Walsem
657452	176838	Klown Performer
657453	275349	Mme. Houdini
657454	219753	Soldier's wife
657455	140283	Coissière Prothèse
657456	59151	Miss Tetley
657456	124110	Mrs. Lubin
657456	200864	Carmen
657456	279297	Postal Clerk/Gun Shop
657457	194813	Gabrielle
657458	256745	La soeur
657459	245663	Bridesmaid
657460	78289	Herself - Overlæge/Psykiater
657461	390242	Petra van Ede (1990-1991)
657462	1437	Herself
657462	1451	Herself
657462	75717	Smilkov
657462	151230	Herself
657462	372218	Herself/Breathless
657463	121528	Partygoer
657463	290086	
657464	345684	Mrs. Hamilton
657465	137462	Dancer
657466	383513	
657466	386703	
657467	360225	Irene, the Telephone Operator
657468	196892	Libby
657468	255894	Dierdre
657469	286686	
657470	411802	Anna (1998)
657471	57560	Girl Fan
657472	60270	Ellen
657473	158414	Mrs. Mitchell
657474	89778	Denise
657475	25149	
657475	77615	
657475	137478	
657475	147388	
657475	154630	
657475	203615	Mrs. Sawyer
657475	313301	Neighbor
657475	316672	Undetermined Role
657475	334252	Nurse
657476	46270	Girl in Acting Class
657477	37965	Charlotte
657477	67379	Miss James
657477	104371	Mrs. Hale
657477	106638	
657477	135396	Joanna 'Joey' Drayton
657477	188223	Homeless Woman
657477	221055	Mrs. Skeel
657477	232321	Less/More Cheese Lady
657477	293156	Ellen Bennett
657477	379224	Nabby
657477	392461	
657478	295006	20 Minute Workout Gymnest
657478	378966	(1984)
657479	19561	Hand Maiden
657479	408988	Melissa Chang
657480	148998	Estate Agent
657481	303194	Smasvanan
657482	76151	Djamila
657482	99587	Aïcha
657482	137222	Said's sister
657482	202694	Sandra
657482	284684	Yaqine
657482	392911	Latifa
657483	184859	Receptionist
657484	240473	Bar Girl
657485	195249	
657486	134268	
657486	178788	
657487	214366	Lotte Berg
657487	214370	Lotte Berg
657487	214371	Lotte Berg
657487	214372	Lotte Berg
657488	26839	
657489	26839	
657490	71935	Sharon
657490	135557	Michelle
657490	399449	Blaithín
657491	283621	Madame
657492	404419	Various Characters (1991-1992
657493	162292	Wedding Guest
657494	410252	Kim Dubé
657495	281443	The Blonde
657497	50025	Karen
657497	192254	Bathing Suit Model
657498	163536	Marcie
657498	192425	
657498	195843	Christine
657498	220418	Ralph's sister
657498	222786	Sara Berwid
657498	224109	Molly
657498	306181	Marcie
657498	328839	Lisa
657498	400520	Molly Witherspoon
657499	136643	Sculptor's wife
657499	293383	Chrysteen
657500	190724	Hannah Armstrong
657500	221166	Lucy
657500	385659	Mallinger Girl 1
657501	55446	
657501	386603	Greta Van Alen Powers #3 (197
657502	353840	Evelyne (15-17 ans)
657503	345136	Infirmière #1
657504	81470	Hofperson
657504	387293	Else
657505	360139	
657506	29706	Tante
657507	15066	Violette
657507	148686	Martine Jouffroy
657507	217808	Françoise
657507	217809	Françoise
657508	21198	Dr. Norris
657510	152603	Neighbour
657511	58752	Lisotta
657511	94387	Lila
657511	195170	Dancer at the opera
657511	237331	Nénette
657511	260785	Monika
657511	340486	Young Girl on Train
657511	348798	Martine
657512	168326	Bonnie
657513	62961	Suzie Austin
657513	191086	Jack
657514	317309	Bonnie & Clyde Musical Audien
657515	399449	
657516	16950	
657517	261868	
657518	148772	
657518	214874	
657519	83988	Patch Kelly
657519	196357	
657520	33004	Night Nurse
657521	279438	Anne
657521	341977	Mojo Man's Wife Deb
657522	280260	Grandma
657523	97388	Dancer
657524	56937	Lang
657524	133871	Pretty Young Woman #3
657525	83329	Adult Pammie
657525	391869	Beth Hunter/Sutherland (2003-
657526	60241	Rider in Black
657526	185459	Celeste
657526	238622	Jeannie
657527	307516	Ann MacDonald
657528	56304	Amy Rothstein (Baby)
657529	315311	
657529	318716	Dancer
657529	332434	Sam
657529	372671	Dancer
657530	107801	
657530	195020	
657531	186681	Angel of Mercy
657532	202366	Pammy Faye Fakker
657533	120257	Wanda
657533	121867	Girl in Bikini
657533	243742	Jean Ford
657533	348386	Mrs. Keglin
657533	361544	Marion
657533	380713	Elizabeth 'Liz' Talbot Stewar
657534	214938	Monica Kendall
657534	299765	Dinner Lady
657535	127730	Demons Dance Squad Member
657536	86017	Tawney
657536	105851	Velvet
657536	114501	Gina
657536	163404	Tactless neighbor
657536	185385	Adam's first Customer
657536	351189	Michelle Deveroux
657537	16004	Baby
657537	363415	Nicki
657537	380907	Laura House
657538	41379	Showgirl
657539	133622	Girl Rider
657539	163544	Dancer, Cheko GIrl
657539	361841	Pioneer Woman
657540	113273	
657540	257573	Cherryl
657540	302769	Ella
657541	194020	Emily
657542	154629	Injured Nurse
657542	158273	Cory
657542	158275	Cory
657543	214257	
657544	118623	Taxi driver
657544	252854	Forensic Woman
657544	362042	Shilo
657545	346310	May Breen
657546	18158	Nurse 2
657547	248937	Tracy
657549	379978	Herself (winner) (2004)
657550	80755	Cheerleader
657551	79888	
657552	80755	Cheerleader
657553	5092	Grocery Clerk
657553	191516	Commerce department head
657553	374589	Virus
657554	203377	Woman in flames
657554	346057	
657555	345881	Little Girl
657556	364227	Narrator
657557	6805	Bit
657557	338291	Secretary
657558	124026	Basia
657559	156437	Michali's Sister
657560	403805	Julie Williams #3 (2000-)
657561	195262	Lisa
657562	76554	
657562	105437	
657562	164235	Pam Roth
657563	242790	Clara
657564	17960	Herself (as Hermes Pan Dancer
657564	147809	Specialty Dancer
657564	183445	
657564	192735	Dancer
657565	47004	Runway Model
657566	316298	Bus Passenger
657567	126709	Celia Spencer
657567	334011	Tribune #5
657568	30883	
657568	307111	La première hôtesse
657569	2413	La voisine
657570	6722	Herself
657570	16810	Fighter
657570	27021	
657570	32892	
657570	36885	
657570	67032	Herself
657570	70376	
657570	80724	Bar dancer
657570	116013	Herself
657570	123627	Herself
657570	126109	Herself
657570	138132	
657570	147770	
657570	150177	
657570	242079	
657570	260727	Herself
657570	368574	Herself
657570	372564	
657572	114648	Mrs. Richardson
657573	114648	Stacie Richardson
657574	21198	Nurse
657574	131227	Mary Malia
657574	275789	Mother
657574	330262	Mrs. Schoenfeld
657575	138751	Mickey Seymour
657576	139974	Herself
657577	58511	Field Hand
657577	272440	Jenny
657578	321475	
657579	1491	Herself
657579	161235	Herself
657579	262589	Mrs. Havergal
657579	323585	
657579	352441	Rose
657579	367054	The Wiz Singers Adult Choir
657580	196372	Hand double
657581	166871	Additional cast
657582	190948	Crystal Waterford
657583	303288	Herself
657584	10207	
657585	129781	
657586	682	Dorm Room Girl
657586	200521	Jimmy's Showgirl
657586	231088	Yoga Student
657586	296791	Marcy
657586	333391	Renee, (take 1)
657587	270349	Officer Easterlin
657587	314225	Soldier
657588	154312	Singer in the Ceildhe
657589	47319	
657589	47323	
657589	240981	Harold's Fiancee in Show
657590	93323	Nicole
657591	294788	Cadet
657592	81810	
657592	150050	Contestant #1
657594	381091	Herself (eliminated round 2) 
657595	195483	Newlywed
657595	321361	Sybil
657596	311284	Heckler
657597	120429	Reporter
657598	367782	Smiling Woman
657600	143950	Lillie
657601	108623	Amanda
657601	321883	Carla
657602	319601	Celia Adams
657602	381658	Nancy Bennett
657603	1599	Maud Wright
657603	16112	Mildred
657603	33644	Miss Brimmer
657603	37216	Bobbie
657603	55682	Agatha Spanner
657603	55684	Molly
657603	55714	Madame
657603	67836	Jenny MacDonald
657603	74940	Christopher's Mother
657603	88895	
657603	113544	Teenie McPherson
657603	115264	Helen Burke
657603	128333	Gloria Lind
657603	138751	Kitty Seymour
657603	149809	Sara Monday (Gully's ex-wife)
657603	155731	1st Woman at Party
657603	183670	Beattie
657603	187338	Chou-Chou
657603	194862	Mary McFee
657603	215991	Mrs. Phipps
657603	233781	Jessie
657603	233809	Miss Yardley
657603	236887	Mrs. Beacon
657603	239533	Stella Malloy
657603	245160	Ma
657603	253977	Lady Margaret
657603	254517	Mrs. Tucker
657603	276052	Miss Balch
657603	276179	Mrs. Manse
657603	279171	Mrs. Fredericks
657603	292826	Dresser
657603	312171	Lady Blanchflower
657603	329803	Maggie
657603	329847	Mrs. Adams
657603	331359	"Frank" Hickson
657603	331558	Mrs. Gray
657603	333381	Mrs. Harker
657603	335321	Mrs. Maddox
657603	337107	Ebbey
657603	337310	Pat Sherwood
657603	342462	Matron
657603	359857	Mrs. Mottram (guest appearanc
657604	116053	Aimee
657604	278526	Additional Voices
657605	371087	A Teacher
657606	138751	Nita
657607	308114	Choir Member
657608	305677	Laurie Cullen
657609	228164	The Western Swingers
657610	262589	St. Matthew's Choir & Band Me
657611	45	Herself
657611	2398	Herself
657611	2781	Herself
657611	14190	Herself
657611	16050	Prison Singer
657611	33742	One of 'The Thirty Women'
657611	81269	Lady Wing Ding
657611	87579	Herself
657611	123420	Dana Sheridan
657611	192058	Ms. Bonner
657611	220209	Herself
657611	220212	Herself
657611	396981	Various Characters
657612	46981	Sommers Girl #3
657614	257696	Dancer #2
657615	1439	Herself
657615	1440	Herself - Presenter
657615	1452	Herself
657615	1465	Herself
657615	1478	Herself
657615	1487	Herself
657615	1491	Herself
657615	1781	Herself - Presenter
657615	1805	Herself - Performer
657615	1975	Herself
657615	1997	Herself - Co-host
657615	2276	Herself
657615	3027	Herself - Performer: 'When Yo
657615	3077	Herself
657615	11131	Herself
657615	20054	Herself
657615	20213	Herself
657615	42842	Rachel 'Rach' Marron
657615	47169	Performer
657615	57625	Herself
657615	64078	Fairy Godmother
657615	96555	Herself
657615	133518	Herself
657615	146639	Herself
657615	163523	Herself
657615	189333	Herself
657615	212710	Herself
657615	221421	Herself/Performer
657615	221424	Performer
657615	221478	Herself/Presenter
657615	221480	Herself
657615	221831	Herself
657615	229681	Herself
657615	230771	Herself
657615	262589	Julia 'Jules' Biggs
657615	291215	Herself
657615	309552	Herself
657615	327197	Herself
657615	352976	Performer
657615	352977	Performer
657615	352978	Performer
657615	358376	Savannah 'Vannah' Jackson
657615	359471	
657615	361160	Herself
657615	364121	Herself
657615	364122	Herself
657615	364123	Herself
657615	364124	Herself/Rachel 'Rach' Marron/
657615	364125	Herself
657615	364126	Herself
657616	334799	Woman In Bar
657618	2145	Emily
657618	14557	Sandra
657618	105334	Pandora
657618	130225	Carola
657618	163952	
657618	178874	Lis Wolk
657618	187972	Winkelcheffin Broer
657618	214743	Minoes
657618	315522	Erwtenbloesem, Titania
657618	320467	Suzy
657618	376255	Rachel Steinn
657618	376261	Marleen
657618	379191	Ellie
657619	242900	Linda
657620	3642	Herself
657620	3887	Herself
657620	147980	Herself (Manson follower, und
657621	66714	Betty
657622	25958	Vrouwtje
657622	374631	Werkster
657622	375753	Tilda
657622	393451	Oud vrouwtje
657622	394142	
657622	397704	Filmene
657623	13789	Spartanette #3
657624	365651	Girl at Cafe
657625	96747	Sarah
657626	25254	Ouvreuse
657626	168781	verpleegster
657626	352126	Stem protestantse
657626	390242	Alice de Boer (1992-1993)/Lis
657626	390410	Marie Louise Zilverbergh (199
657627	1123	Car rental woman
657628	364885	
657629	45375	
657629	355264	Pierrette Amster
657630	2102	La mère de Camille
657630	67640	La neurologue
657630	332719	
657630	336234	L'assistante de Peggy #2
657630	336944	Aline
657630	337734	
657630	343544	
657631	78139	Female Inmate
657631	278496	Sarah Thomas
657632	240429	
657632	400385	Anne Kerjean
657633	145422	
657633	198057	
657634	87012	Screamer
657635	272848	Grace
657636	154494	Reporter
657637	242260	Vanilija
657637	400337	
657638	392648	
657639	10209	Gry
657640	276067	Mother
657641	246479	Queen Kealoha
657642	101065	Randine
657642	166697	Jane Delano
657642	169016	
657642	232477	Candy
657642	287016	Louise
657642	358672	Jeannine
657642	389858	Beverly DeFreest (1979)
657642	404241	Louise
657643	328630	Truck Driver
657644	381493	Sopranos Geek (2001-2002)
657645	2545	Chorus girl
657645	17656	Bunny Oliver
657645	32968	
657645	64590	
657645	77955	Ada, Wife of a Nitro-Handler
657645	115637	Ida
657645	129594	Julie Morgan
657645	130622	Gold Digger
657645	169362	Chorus Girl Smoking Cigarette
657645	178015	Lady Rummond-Dray
657645	191835	Society Girl
657645	206890	Miss Logan, Andrews' Receptio
657645	240437	Cheerleader
657645	264645	Rose
657645	319501	Script Girl
657645	365205	Lola
657645	372431	Wampas Baby Star
657646	285188	Doris Page
657647	5762	Sandy Walsh
657647	48973	Lucia
657647	68650	Cristina Romagnoli
657647	82709	Cheryl
657647	89825	Julie
657647	127877	
657647	217874	Herself
657647	219125	Blue Woman 1
657647	243779	Cesca
657647	356524	Angelina
657647	396649	Cinzia
657648	165421	Marianne
657649	153239	Artin's wife
657649	153656	Vardanik
657649	181409	
657649	328139	
657649	329165	
657650	537	Arpik
657650	158774	Seda Ghambaryan
657650	188007	Karine
657650	253676	Armenuhi
657650	303132	Sona
657651	303058	Nurse
657652	295260	Karine
657653	19259	Azniv
657653	25289	Varso
657653	101499	Vergo
657653	145521	
657653	182345	
657653	307100	Izzat's mother
657653	341334	Shushan
657653	371285	
657654	89941	
657655	2976	
657655	151243	Catherine
657655	343401	Cecilie Lunde
657656	330808	
657657	177898	Carmen
657657	226811	Katariina Jäckell
657658	119426	Mona Marsing
657658	182455	Alma
657658	304199	Ruth, a Nurse
657659	140288	
657660	228246	Herself
657660	391784	
657661	113261	Doctor
657662	33960	Renée Klein
657663	129933	Wanda
657664	7580	Mother
657664	78288	Poire
657664	153946	Fiskerkone
657664	181736	Frk. Johansen
657664	190844	Fru Oskar
657664	236232	Herself - Performer
657664	268349	Reservelæge
657664	303133	Inge Lise
657664	383948	Ulla, Campist
657664	408802	
657665	119736	Speaker
657665	123040	Den flotte dame
657666	16530	Javahir
657667	73472	Pianist
657668	58510	Princess
657668	73114	Farra
657668	128144	Megan
657668	209457	Jenna
657670	9254	Cosima van Badon
657670	16990	Young Lillian Portway
657670	59505	Camilla Parker-Bowles
657670	117137	Penelope Benson
657670	131668	Mrs. Stutfield
657670	207901	Sybil Gordon
657670	375936	Natalya
657670	379015	Poppea
657670	383683	Lady Zinnia
657670	384333	Mrs. Vaughn
657670	385659	Lady Pentreath
657670	386724	Helen Latimer
657670	387247	Jan Hammond (1986-1987, 2002,
657670	396081	Veronica
657670	406206	Rosalynde Warrington
657670	410582	Kay Summersby
657671	220995	Salvation Army Lady
657672	75721	Additional Player
657673	263334	Salesgirl
657673	264129	Sarah
657673	295028	Holly Mc Queen
657674	185237	Herself
657674	339428	Herself
657674	410701	Herself/panelist
657674	411054	Reporter
657675	359543	Beldar
657676	161760	
657676	398579	Miranda
657676	406382	Nova Forrester (Eps. 1-52)
657677	335710	Louise
657678	5862	BeKi
657678	194410	Disco Dancer
657679	381212	Julie
657681	168948	Message from the Lord Choir
657682	171313	Sue
657682	201845	Marsha
657682	236328	Agent 22
657682	256238	Traci
657682	259307	Margo Syms
657682	282022	Sister Constanza
657682	318783	Woman at Strip Joint
657682	329309	Sue
657682	391838	Officer Maxine Moon
657682	404282	Veronica Gayley (1984-1985)
657683	138555	Dancer
657684	253895	Auntie
657684	282952	Mad Margaret
657684	283689	Jezibaba
657685	11582	Isabelle Loullard
657685	18197	Angela as a child
657685	32818	English laboratory assistant
657685	84901	Miss Peters
657685	131426	Child in Orphanage
657685	133589	Estella, as a child
657685	165443	Georgianna Reed
657685	183767	Child
657685	192009	Daisy
657685	193007	Catherine
657685	194582	Annie Ridd
657685	195768	Brunette Girl
657685	223048	Elsa
657685	228829	Susan Harden
657685	231861	Phyllis
657685	263966	Lady Jane Grey
657685	264170	Hannah O'Hara
657685	298024	Iris Vane
657686	281170	Juliet's Friend
657686	315745	Chorus Girl (segment "The Jea
657686	323871	Jemina Puddleduck
657687	35696	Australian Doctor
657687	204747	Catherine
657687	247494	Jackie Dickerson
657687	254645	The Bronte Sisters
657688	372576	Karen Fettis
657689	341939	Helen Ash
657689	350231	Stepmother
657690	20239	Min (middle-aged dancer)
657690	72606	Mrs. MacTavish, the Landlady
657690	112607	Mrs. Whimple
657690	123132	Mrs. Cricket
657690	186417	Minerva Huff
657690	190580	Hester
657690	264775	Violet
657690	276662	Mrs. Curtis
657690	335247	Nurse Mary
657691	41942	Female Officer
657691	54994	Susan Wilson
657691	62422	Mrs. Lawrence
657691	82094	Nadine Rossmore
657691	127194	Doris Seneke
657691	186737	Carol King
657691	216803	Becky
657691	223963	Mary
657691	264038	Susan Cabot
657691	279593	The Woman
657691	299789	Mandy
657691	360596	Female Co-Host
657691	380391	Nicole Love #3 (1987-1989, 19
657691	385824	Kimberly Brady #2 (1990-1991)
657691	392620	Host
657692	297190	Sorority Girl
657692	317309	Double Bubble Babe
657693	14490	Janet Cutler
657693	89388	
657693	120126	Sara
657693	197018	Frances
657693	223026	Denise
657693	245055	Triage officer
657693	270484	Gatsby Girl
657693	283544	Elizabeth Adams
657693	304535	Sonny's Mom
657693	331111	Beth
657693	363492	Emma Huffington
657693	363953	Sherri Klugman
657693	383707	Ginger
657693	388237	Robin Agretti (1985-1986)
657694	353288	Bill Primrose
657695	219824	
657696	283938	
657697	302467	
657698	5802	Mrs. Fears
657698	139610	Morgue Clerk
657698	318036	Darlene
657699	176358	1934 Goldwyn Girl
657700	190218	Host 'How To' Video
657701	400805	
657702	37918	Mary Jensen
657702	64019	Cajun's woman
657702	73551	Girlfriend
657702	226963	Redhead
657703	16412	Maggie
657703	283506	Thunder
657703	307983	Band Member
657703	324777	Flygirl
657704	18979	
657704	43922	Heather
657704	151483	Surprised Who
657704	203972	Grace
657704	248884	Redhead Girl in Audience
657704	354548	Ivy Walker
657705	149495	Maddox's Receptionist
657706	77194	Mavis Uniff
657706	77195	Hedda
657706	81539	WDC Owen
657707	320034	
657707	338324	Jude Campbell
657708	131534	Nurse
657708	233930	Relative
657709	118431	Olivia
657709	253248	Groupie
657709	290346	Sue Randall
657709	292856	The Cat Burglar
657709	342597	Third Girl At Stake
657710	5641	Linda Blackstock
657710	166635	Annabel's Friend
657710	392483	Scylla
657710	408943	Cynthia Turvey
657711	18979	Onlooker at Launch Site
657711	32114	Harvard administrator
657711	81703	
657711	97644	Party Girl
657711	239763	
657711	248132	Redheaded Barmaid
657711	272234	Science Fair Coordinator
657711	304395	
657711	311428	Girl at Wedding
657711	365881	Mountain villager
657712	183298	Alexis
657712	279507	Waitress
657713	374208	
657715	130775	Girl
657716	311475	Dinner Guest
657717	74027	Helen Sturdevant
657717	147419	Marjorie Brand
657717	219968	Edith Cutting
657717	231826	Renée Stockton
657717	260235	Babs Long
657717	305466	Cynthia
657717	360705	Party Guest
657717	363765	Enid Gower
657718	162427	Erika
657719	87510	Nina Moore
657719	112400	Mrs. Russo
657719	388344	Ida
657720	92736	Officer Robin Gilbert
657720	93975	Norma
657720	96625	
657720	107002	Bad singer
657720	226937	Barbecue Mom
657720	299742	Glenda
657721	56386	Frightened Shopper
657721	272871	Jessie
657722	158141	Bank patron
657723	18544	Reporter
657723	77219	Journalist #1
657723	299796	Girl In School
657724	112898	Mother
657725	14275	Cindy
657726	97301	Chris
657726	150214	
657727	330221	Baby Sitter
657729	84487	Singer
657730	128277	Elizabeth
657731	126688	Woman at the Party
657732	267526	Love
657733	1049	Musato #3
657734	85840	Dyak Girl
657734	199210	Gatherer
657735	37164	Biker Girl 1
657735	382706	Herself - Presenter
657735	382715	Newsreader
657736	122993	Laura
657736	296266	Julie
657736	358567	Woman on Bus
657736	359788	Elise Voyecher
657737	301701	Anne
657738	6791	Blister
657738	10318	
657738	11484	Mrs. Dalton
657738	32066	Mrs. Smidlap
657738	33790	Lily
657738	34692	Mamie
657738	37238	Aunt Sophie
657738	40842	
657738	44485	Mrs. Kraft
657738	47370	Mrs. Fellows
657738	51975	Grace
657738	57191	
657738	58850	Margaret Kelly
657738	66826	Mrs. Maggie Kelly
657738	72715	Lorelei
657738	80439	Neighbor with Coarse Voice
657738	81097	Mitzi
657738	84435	Holly, Diner Waitress
657738	107697	Mrs. Peabody
657738	107702	Gloria Peabody
657738	109209	Cook
657738	113950	
657738	114456	
657738	115849	Flirtatious Dowager
657738	116716	Mrs. Prescott
657738	132473	Florist
657738	132893	Mary, Bridge Player
657738	133604	Cleo
657738	133707	Madame Juliette La Jolla
657738	133718	Dr. Wells' Patient
657738	137206	Mrs. Noble
657738	142517	Birdie
657738	148585	Mrs. Brucker (landlady)
657738	149261	Elderly Spectator
657738	154476	Extra
657738	155703	Hazel's roommate
657738	162387	Mrs. Stillman
657738	163198	
657738	170608	Mrs. Mitchell
657738	178758	Fanny Radler
657738	183405	Clara Newman
657738	183643	Landlady
657738	183663	Cross lady
657738	188542	Mrs. Edgewaters
657738	194176	Mrs. Moffitt
657738	195254	Mrs. Clyde
657738	195528	
657738	198454	Rose
657738	205724	Streetwalker
657738	211545	Vi
657738	214955	Sally
657738	215711	
657738	215748	Mother Hawks
657738	220900	
657738	222777	Jessie Florian
657738	223903	Mrs. Topley
657738	233684	Boarding House Owner
657738	239008	Mrs. Elmer (Mary) Burns
657738	241134	Clerk
657738	247139	Wife of Wienie King
657738	249513	Mrs. Wagon
657738	269862	
657738	270510	Sister Carrie
657738	273225	Aunt Ida
657738	277513	
657738	277912	
657738	286911	Mother
657738	286943	Jean
657738	288016	Mrs. Clyde
657738	289422	Birdie Brown
657738	292189	Mrs. Trumbull
657738	308656	Sandy, the Counterwoman
657738	313085	Mrs. Mack, the Landlady
657738	313805	Amateur Singer
657738	315869	Tired Mother
657738	317306	Widow Flowers
657738	318607	Miz Zeffie
657738	321099	Violet's Madame
657738	321501	Beauty salon customer
657738	321549	Miss Fredericks
657738	323883	Woman
657738	326638	
657738	329052	Madame
657738	338045	Passenger Needing 'Hooking'
657738	340570	Mrs. Fogarty
657738	340853	Woman
657738	342979	
657738	351438	Pansy Dupont (news vendor)
657738	353310	Josie
657738	353401	
657738	355103	Mother of student
657738	360761	Betty's Mother
657738	364370	
657738	364707	
657738	366234	Ann, Joan's Friend
657738	366947	Sarah (Book Club member)
657738	367280	Widder Irene Brown
657738	371089	
657738	372123	
657738	372278	
657739	126068	Mary
657740	124747	The Flirt
657741	380259	Adrienne O'Shea (1980)
657742	176406	Bridesmaid
657743	144764	Mrs. Case
657744	206836	Landlady
657744	299465	Dorothy Clark
657744	320805	Alexandra, The Swan
657744	335644	Yvonne Hurja
657745	55519	Undetrmined Role
657745	64532	Mrs. Jackson
657745	69797	Martha
657745	96967	Mandy
657745	109906	
657745	112435	Martha
657745	117434	Mammy
657745	135609	Lucy
657745	141487	Emmy
657745	145831	Lavoris Smythe
657745	154972	Beulah Thorndyke (Tira's pers
657745	240992	Mammy
657745	251643	Martha the Maid
657745	252299	Delia, Schofield's Maid
657745	265264	Naomi
657745	292618	Martha, Varney's Black Slave
657745	300061	Queenie
657745	309876	Moana
657745	311735	Aunt Glory, Jim's Cook
657745	316310	Snowball, Servant
657745	321939	Cassie
657745	345826	Aunt Chloe/Uncle Tom's Wife
657745	361927	Angelina
657746	297267	Mrs. Pinsky
657747	49893	Herself
657748	128619	Joy
657749	40747	Matilda Packard
657749	54450	Mistress Baynes
657749	83687	The Gossip
657749	127159	Mrs. Jeanne Du Vivier
657749	191090	
657749	213264	Marie
657749	224420	Arte O'Neale
657749	263911	Nell Graves
657749	291758	Mazie
657749	362993	Lucy's Chum
657750	309684	Helen
657751	337180	Party Guest
657752	411529	Weatherwoman (2000- )
657753	222592	Earl Carroll Girl
657754	37381	Jane
657755	79821	
657755	118810	Nurse Standish
657755	133705	Secretary
657755	133807	Girl at baccarat table
657755	135803	Marie
657755	155033	Betty, Allen's Secretary
657755	175405	Party Girl
657755	190179	
657755	232200	Typist
657755	241309	May
657755	266179	Mrs. Talbot
657755	274745	
657755	315899	Employment Clerk
657755	324895	Coed Secretary
657755	327975	Herself
657755	330004	Flower Girl
657755	368918	Beer drinker
657756	265171	Gail
657757	354828	Aila
657758	26478	
657758	206447	Abused Stewardess
657759	367856	Herself
657760	34386	Mrs. Tilford
657760	46276	Didi Lenox-Smith
657760	47374	Grace, Chorus Girl
657760	65367	Julia
657760	77805	Girl with Tod
657760	265010	Show Girl
657760	360532	Marion Gordon
657760	364461	Goldwyn Girl
657760	367814	Information Girl
657761	9433	
657761	122110	
657761	138135	
657761	394016	Additional Voices
657761	402729	Mutsumi Otohime
657761	408893	
657762	18979	Blanch Lovell
657762	37246	Woman on Street
657762	39886	Elderly Woman
657762	66556	Woman
657762	106174	Grandma Gillespie
657762	107742	Leota Doyle
657762	135935	Lady in Market
657762	152206	Widow Douglas
657762	154168	Elderly Woman
657762	194617	Mother Superior
657762	207828	Miss Phelps
657762	221043	Elaine
657762	223920	Asthmatic woman on tour
657762	231832	Olivia
657762	248132	Hospital Volunteer
657762	262112	Dr. Richman
657762	283607	Woman at Homestead
657762	291495	Mrs. Claus
657762	291903	
657762	305418	
657762	310419	Patricia
657762	311556	Jillian/Jennifer
657762	338564	Bokky's Grandmother
657762	360503	Mrs. Feinberg
657762	363478	Mrs. Gloria Smith
657762	409232	Mrs. Baker
657763	11210	Myra
657763	59366	Grace Waterton
657763	151092	Addie Gates
657763	268542	Newscaster
657763	276876	Bit Part
657763	334085	School Girl
657764	89089	The Generator of Electric Rad
657765	154874	Girl
657765	180168	Indignant Woman
657765	195647	One of the Darlings
657765	260292	Girl Playing Hopscotch
657765	276939	Baby Williams
657765	321539	Mattie Horn
657765	367453	Louise
657766	80878	Mrs. Steadman
657766	187244	
657766	362551	Farmer's wife
657767	104973	Cynthia Mills
657767	387973	Cynthia Mills
657768	130677	Woman in dance hall
657769	19166	Carol Dane
657769	26882	Betty
657769	68491	Mary Weatherby
657769	119582	Elly
657769	125817	Anne Lawrence
657769	195959	Helen
657769	221262	Maria Fitzherbert
657769	231927	Marian Ives
657769	296824	Lady in Black
657769	323942	June Marlow
657769	330172	Freda Blake
657769	330192	Laura Verity
657769	367623	Nicolette Bonnet
657770	15937	Sandy
657770	102932	Bit Part
657770	317415	Girl at Wild Party
657771	220276	Audience Member
657772	40744	Receptionist
657772	84487	Cheerbabe
657772	100131	Kathy
657773	342491	Waitress
657774	213252	Linda
657775	6944	Princess Rhoda
657776	152290	
657776	219151	
657776	327781	
657777	33426	Toni LaBouchere
657777	323973	Richard's wife
657777	367916	
657778	130656	Alison Rambeau Kerns
657779	45127	Angelique
657779	131258	Nurse In Lounge
657779	133728	Carla
657779	183239	Stewardess
657779	199173	Melissa Dyer
657779	284583	The Countess of Rothes
657779	289615	Countess de Beaulieu
657780	28441	Miss Bragg
657780	41502	Mrs. Sarah Keats
657780	44465	Mrs. Bolton
657780	46739	Aunt Susan
657780	57919	Deborah
657780	72570	Miss Bromley
657780	73766	Mrs. Klute
657780	74232	Miss Pruett's mother
657780	75477	Aunt Martha
657780	75889	Mac McQuillan, Jannings' Nurs
657780	77980	Eddie
657780	81281	Princess Maria
657780	96614	Aunt Priscilla Alden
657780	109372	
657780	114164	Miss Wiggins
657780	114651	Mrs. Wilcox
657780	128582	Jawme Duncan
657780	137393	Aunt Martha, in 'Curly'
657780	163437	Mrs. Amelia Bissonette
657780	183679	Woman
657780	185830	Margaret (Maid)
657780	186117	Louise, Ann's Cook
657780	188562	Aunt Jonnie
657780	191588	Mrs. Allerton
657780	199205	Grandmother Varney
657780	215637	Mrs. Minerva Snodgrass
657780	215658	Miss Wingate
657780	224047	Mrs. Carter
657780	224588	Rose Denning
657780	224804	Maggie Clancy
657780	241092	
657780	241553	Lady Charwell
657780	241592	Judge McCracken
657780	254283	Professor Langton
657780	273786	Sarah Wadsworth
657780	278563	Mme. Adrienne Lamartine
657780	296975	Butch
657780	305898	Dean Garrett
657780	315104	Madame Delphine
657780	321376	Mrs. Minnie Sparr
657780	321519	Aunt Amanda
657780	323380	Aunt Minnie
657780	331615	Mrs. Kittenhaven
657780	362792	Mrs. Drake
657780	372277	Grandmother Acuna
657780	372361	Mrs. Edward Quimby Murchison
657780	372676	Hester Appleby
657781	299689	Runners kid
657782	342630	
657783	42788	Flashback Woman
657784	208411	Annie Finn
657784	244919	Eleanor
657784	383742	Various Celebrities (1999-200
657785	5194	Stacy
657786	40452	Mocking Bird
657787	66918	Pippa 'Muffin' Lloyd
657787	103593	Pippa
657787	269403	Lily
657787	397676	Cully Barnaby
657787	405751	Tammy Rokeby
657787	405829	Deborah Osbourne/Briggs (1996
657788	153617	Ballet girl/performer
657789	407870	Linda Jackson
657790	1376	Constance
657790	12223	
657790	45098	B. B.
657790	96970	Oklahoma Girl #1
657790	139226	B. B.
657790	165498	Charlotte
657790	218848	Patricia
657790	253360	Sharon Loring
657790	275882	Lena
657790	280723	Misty
657790	283500	Schoolgirl
657790	291865	Lisa Lowen/Gabrielle
657790	359290	Nurse #2
657790	385824	April Ramirez Corelli (1988-1
657790	387237	Lili Marquette (1997-1999)
657790	387533	Denise (3 episodes 1999)
657790	391560	Dr. Anne Lindsey (1994-1995)
657790	392461	Stewardess
657790	396122	
657790	409798	Caitlin North
657791	203479	Janet
657791	216735	Ronnie Miles
657791	387309	Louise Grimsley Capice #1 (19
657791	390771	Trudy Bauer Palmer #2 (1957-1
657791	392280	Janet Wood (American reporter
657791	396725	Princess Narda
657792	105630	Voice of Emma Amsden
657793	90799	Chloe Donovan
657793	135588	Soviet Official at School
657793	284808	Indria
657794	213291	Amerikanische IKEA- Kundin (s
657795	128291	Mary Gregson
657795	331150	Nell
657795	331847	Kate Clark
657796	80695	Dancer in Nightclub
657797	208024	Mrs. Collins
657797	387533	Sarah Conolly/Sugden (1988-19
657798	357588	Diamond Kate
657799	255342	Rachel Blanford
657801	51794	Ann Marsh
657801	387203	Alice Sullivan
657801	404695	Marianne
657802	4730	Ann Rutledge
657802	11429	Joan Eldridge
657802	38042	Edith Keating
657802	107058	The King's Sweetheart
657802	109436	Leah Brockler
657802	118304	Mary Forbes
657802	133880	Miss Carlisle
657802	195579	Mrs. Mary Tompkins
657802	195957	Penny
657802	196489	Frances Allan
657802	203799	Girl
657802	205724	Olivia
657802	224404	Diana Griffith
657802	236876	Nurse O'Brien
657802	248450	Showering Woman
657802	277989	Jane Withersteen
657802	299803	Chorus Girl
657802	308149	Assistant Dean Emily Godsall
657802	308603	Pianist
657802	320785	Hannah
657802	321384	Chorus Girl
657802	328794	Movie Leading Lady
657802	331951	Constance Gardner
657802	336328	Nurse Barry
657802	362183	Mary
657802	364187	Diane Rossiter
657802	365350	Mary Thompson
657803	107947	
657804	29523	Barfly
657805	261532	Herself
657806	269355	Backstage Groupie
657807	338155	Joanie Hurley
657808	273426	Herself
657808	273428	Herself
657808	273442	Hostess
657808	390115	
657808	390116	
657808	402993	Herself/New Orleans (2000)
657808	402996	Women/Real World
657809	160306	Herself
657810	175607	Susie May
657810	330188	Gertrude
657811	70512	Leslie
657811	171092	Julie
657811	276376	Young Wife
657812	3079	Herself - Presenter
657812	202195	Billie Holiday Quartet - Bill
657812	258752	Maxine
657813	47277	Telethon Audience
657814	19282	Connie Archer
657814	35537	Dancer
657814	116901	Bag Lady
657814	144523	Apartment Manager's Wife
657814	372901	Nancy Beardsley
657815	368405	Rape Victim
657816	31840	Court Clerk
657817	165449	Eliza Reed
657818	47447	Lillian Swish
657819	37237	Mary Miller
657819	54737	Anne Fisher
657819	69235	Gwen Banting
657819	101433	Maggie
657819	112596	Ada
657819	155022	Alice
657819	165446	
657819	184244	The Duchess
657819	185056	Mary Allen
657819	196306	Princess Grapfel
657819	285711	Mrs. Edith Morgan
657819	313349	Frau Schlipp
657819	330709	Mrs. Flint
657819	342983	Mrs. Cutter
657819	357974	Lady of the Town
657819	366374	
657820	7618	Little Girl
657821	129762	Married Gnome
657822	230693	
657823	143274	Dance Hall Girl
657824	120885	
657824	183805	
657824	232860	
657825	81902	Marylyn
657825	120120	Chili
657826	158975	Architecture student
657826	222879	Mitzi
657828	19990	Gorgeous Girl #3
657828	50932	The Red-Head
657828	128652	Miss Drysdale
657828	191547	Countess
657828	311523	Cage Security Policewoman
657828	364510	Michael's girlfriend
657828	391509	Betty Whistler (Pilot, Series
657829	93594	Producer
657829	139677	Mrs. Duffreyn
657829	270987	Doris' mother
657830	403492	Rosalind (1960)
657831	161248	Herself
657832	262620	
657833	82384	Janice Wilson
657834	259388	
657834	263589	
657835	79938	Lucy Quintana
657836	405209	Gwen Rogerson (2000)
657837	81177	Publicist
657837	321396	
657839	258101	
657840	72580	
657840	73841	Woman at Desk
657840	81319	Olga the masseuse
657841	197758	Prison inmate
657842	176884	Aerobics dancer
657842	224366	Chloe, 3rd Hippie
657842	254774	Reverend Mother; Badger
657842	356472	Panicked Woman/Nanny
657842	392130	Lupe
657843	18037	Employee
657844	291052	Queen Isis
657845	375044	Showgirl
657846	271812	Herself
657847	50879	Shy
657848	361248	Chrissy
657849	361819	Maid
657850	236982	Correction Officer #1
657850	250873	Woman
657851	7816	Herself/Donna Culver Krebbs
657851	50329	Joanna Bailey
657851	67614	Shirley Wagner
657851	67911	
657851	89368	Herself/Donna Krebbs
657851	159199	Joanna Garrett
657851	176851	Julie
657851	218819	Dot Hammer
657851	231919	Maggie Petrocelli
657851	262111	Dr. Joanne Miller
657851	269048	Dr. Margaret Bedford
657851	288904	Lee Raynolds
657851	300946	Chris Gentry
657851	301639	Lorisa Cole
657851	319546	Nancy Walecki
657851	378934	Herself (1987-1988)
657851	385594	Donna Culver Krebbs (1979-198
657851	401337	Maggie Petrocelli (1974-1976)
657854	36756	Addie McGregor
657854	299066	Stephanie Keel
657854	358052	Little Mary
657854	358274	Jenny Peters
657855	113886	Princess #2
657855	334259	Carol
657856	270923	Oldwoman
657857	69411	Anne Henning
657857	87480	Kathy
657857	209112	Layla Baileygates
657857	308396	Tonya
657857	382554	Joy Byrnes
657857	382658	Alice
657857	398122	Natalie (2005-)
657857	409226	Sharon Carter Donnelly
657858	11560	Avril Hadfield
657858	41156	Meg Quennell
657858	71133	Kate
657858	143636	Audrey
657858	193251	Hoyden
657858	222345	Girly
657858	255328	Sybil Vane
657858	278777	Patricia Cartwright
657858	307888	Robot Number Seven
657858	362151	Jill Standish
657859	89586	Dolemite Girl
657860	325244	Gladys
657861	120804	Evil Mom
657862	69047	Marburys' Maid
657863	58656	Mrs. Seiler
657863	93605	Marguerite
657864	387601	Cast
657865	145807	Kate
657865	245321	
657865	272873	Undetermined Role
657865	327384	
657865	329510	Diana Laska
657865	363631	
657866	254631	Artist's Model
657866	255834	Martha
657866	282711	Chorus girl
657866	283394	Clerk
657867	201845	Junie
657867	293047	Julie
657868	336914	Munchy
657869	13990	Delights
657870	81211	Marilyn Klinghoffer
657870	374134	Third Lady
657871	293732	Linda
657872	62995	Want
657873	41310	
657874	251054	Kevin's friend
657875	236494	Dalton's Girl
657876	356764	Market Researcher
657877	96861	Model
657877	134675	Party at Table
657877	267559	Yvonne de Tressy
657878	130470	Detective Inspector Shaw
657878	160059	Rosemary Jones
657878	369384	Mrs. Harding
657878	390523	Sue Hargreaves (2000-2001)
657879	90267	
657880	55199	Frasquita
657880	115206	Adele
657880	266744	Liù, soprano
657881	33691	Mrs. Tranter
657881	92658	Mrs. Galloway
657881	138482	Hospital Volunteer
657881	156934	Tony's mother
657881	170147	Mrs. Buckland
657881	202390	Mrs. Holne
657881	407870	Maggie Jackson
657881	409578	Jill Compton-Browne
657881	409840	Mrs. Bowls
657882	119025	Party Girl
657883	302763	Girl in Bar
657884	182948	Women's Army of Revolt/Citize
657885	52204	Julia
657886	117745	Det. Chief Inspector Paris
657886	194232	Sarah
657887	69053	CD-ROM Voice
657888	365232	Stacy
657889	120014	Mall Patron
657890	197296	
657890	316143	Ann
657891	213471	
657892	26524	
657892	81859	
657892	87290	
657892	120001	
657892	123836	
657892	139209	
657892	156968	
657892	158596	
657892	163860	
657892	163866	
657892	191377	
657892	232876	
657892	247924	
657892	253611	
657892	260297	
657892	281377	
657892	306923	Herself
657892	321241	
657892	336107	
657892	347291	
657892	355033	
657894	282318	Show Cup Presenter
657895	10660	Enid Chamberlain
657895	21426	Vedah Seelig
657895	31968	
657895	31979	
657895	40606	Marion Larned
657895	46371	Esther
657895	109933	Marie
657895	116997	Marthe Landreau
657895	189528	Lucy Shale
657895	203311	Laila
657895	289623	
657895	334191	Ruth Monroe
657895	367386	Helen Moore
657895	367555	Gwen Emberdale
657897	127306	
657898	264820	Iverna
657899	67733	Patricia
657899	83599	Harem girl
657899	200129	Vernah
657899	254283	September Petty Girl
657900	411296	Herself
657901	81505	
657901	252834	Dana Bauers
657902	192219	Youngest Silvia
657903	20625	Extra
657904	161462	Interpreter
657905	41874	Kathy Perkins
657906	306765	Bit
657906	365068	Mary Conners, Whitey's Assist
657907	41319	
657907	100855	Elvira Madigan
657908	100067	
657908	210825	Village Woman
657909	288076	Spanish Singer
657910	151266	Kathrine a child
657911	97209	Voice of V
657911	141279	Nurse
657911	199308	Sister Evangeline (episode 1)
657911	266761	Mrs. Croucher
657911	335594	Registrar
657911	340883	Burge
657911	341947	Cook
657911	390523	Mrs. Angela Keele (1992-1994)
657912	384378	Herself
657913	123342	Kim
657914	227344	Ingrid Corey
657915	306188	
657916	46960	Jean McLaren
657916	55551	Louise
657916	64072	2nd Maiden
657916	72115	Female Puppet
657917	14157	Barb
657917	147867	Bianca Simon
657917	321475	Interviewed woman
657918	256188	Pink Chiquita
657919	60172	Christine
657920	41797	Stripper
657920	69504	Shannon
657921	317309	Bonnie & Clyde Musical Audien
657922	195801	Herself
657923	208945	Mama Sieppe
657924	65701	
657924	88558	Marie Gold
657924	276725	Sally
657924	314780	Rebecca Bick
657925	75360	Natalie
657925	333405	American Woman
657927	273398	Lady O
657928	272780	Luise, the Kid
657929	277839	
657930	116673	Nanny
657930	335982	Miss Woods, Chorus Member
657931	188491	Harriet Gabel
657932	252483	Georgia Reporter
657932	315773	Diner #2
657933	35173	
657934	74110	Nurse
657935	348402	Junkie
657936	10726	
657936	24562	
657936	28643	
657936	29359	
657936	31430	
657936	32959	
657936	38805	
657936	42106	
657936	50266	Bride
657936	51606	
657936	57140	Woman outside cafe
657936	57181	Woman
657936	64086	
657936	75291	
657936	75586	
657936	76516	
657936	87890	The milk maid
657936	91957	
657936	107408	
657936	120453	
657936	123378	
657936	133811	
657936	134102	
657936	142606	Woman in lobby
657936	143309	
657936	143433	
657936	143435	
657936	144399	
657936	149391	
657936	151456	
657936	157639	
657936	158129	
657936	179029	Spectator
657936	186023	Dentist's Wife
657936	190021	
657936	192865	
657936	192866	
657936	195752	Superintendent's wife
657936	206474	
657936	241834	
657936	248025	
657936	250519	
657936	256628	
657936	281408	
657936	282311	
657936	301831	
657936	302370	
657936	304809	
657936	306812	
657936	311998	
657936	325979	
657936	326481	Mother
657936	328083	
657936	329613	
657936	329790	
657936	333076	A Guest
657936	345956	
657936	346029	Wife
657936	347033	
657936	347744	
657936	358966	Bowden Servant
657936	360262	
657936	364540	
657936	364635	
657936	367914	
657937	115110	Girl in Bar
657938	382582	Melody Lee Mercer
657939	313189	Playboy Mansion Guest
657940	303295	Sylvia
657940	310059	Furniture Girl
657941	114099	Nurse #1
657942	363927	Yolanda
657943	77448	Doris Miller
657944	132912	Pedestrian
657945	95784	Janice
657946	396793	
657947	2566	Flora Dora Dean
657947	35275	
657947	35571	Blonde Mary
657947	47312	
657947	48873	Katy Hale
657947	83996	Pauline Merridew
657947	112512	Oklahoma Kate
657947	114727	Geraldine
657947	121531	Daphne
657947	130038	Camille
657947	156468	Girl at the Bridal Shower
657947	185059	
657947	186350	The Blonde
657947	213836	Eleanor Hoyt
657947	222729	Lucille
657947	224050	Nora
657947	229942	
657947	239571	Peggy Laine
657947	249114	Marie
657947	252885	His Wife
657947	289416	Thelma Delores
657947	294203	Guest
657947	312076	Bertha
657947	321939	Member of Frank's Gang
657947	339835	Henrietta Lott
657947	362197	Estelle Randolph
657947	362628	Clara
657947	364398	Yvette
657948	102234	Duh'Ette Dunlap
657949	92186	
657950	149454	Molly
657951	18741	Mrs. Chandler
657951	109420	Sally Phillips
657951	142443	Mrs. Ford
657951	189911	Elizabeth's Mother
657951	319682	Moira
657951	350347	Nora Hampton
657951	364325	Edna
657951	385824	Mary McCall (1967)
657952	410616	Dorothy Kemp
657953	309867	Bebe Stevens
657953	406042	Bebe Stevens
657954	330410	Jamie
657954	374649	Nora Dunhill
657955	63266	Miss Mabel
657955	74219	Mildred Bradnick
657955	131499	Doris
657955	157571	Mrs. Boucher
657955	165252	Woman in Bathrobe
657955	221287	Nurse #2
657955	222292	IRS Co-Worker
657955	229216	Trish
657955	313872	Marvin the Set Designer
657955	340765	Nurse
657956	206136	Jean Clemens
657957	20683	Newswoman
657957	269855	News Reporter
657958	336458	Tennis pro
657959	132909	Pedestrian
657960	351877	
657961	104149	
657961	157686	Goytia
657961	329562	
657962	53823	Clara
657962	67577	Saleswoman in jewelry store
657962	72455	Hooker
657962	81318	Rape Victim
657962	128727	Mrs. Glenn
657962	152608	Nurse
657962	211815	Naomi Beecham
657962	332897	Judy Harper
657962	364083	Irene
657963	191036	Shirley
657963	289683	Elsa
657963	411815	Goldie
657964	70304	Millie
657964	80695	Dancer in Nightclub
657964	131359	Woman at Mailboxes
657964	223920	Charlene (Budget agent)
657964	238161	Neighbor
657964	246710	Darla Latcher
657965	171079	
657966	74230	Philly
657966	77837	Restaurant Manageress
657966	179065	Miss Stavely
657966	362996	Mrs. Doherty
657966	381107	Shirley Bloom
657966	381212	Eileen Whittaker
657966	405797	WPC Arthur (1975-1976)
657967	365123	Mrs.Corkum
657967	382154	
657968	114313	Boot Camp
657969	156474	Fantasy Woman #1
657969	191324	Porn Girl
657969	258075	Margo (episode "Foreign Affai
657969	295721	Marie
657969	295725	Woman #2
657970	394667	Host
657971	10678	Mrs. Dowling
657971	41504	Quinterfield Secretary
657971	70212	Mrs.Orchard
657971	91670	Avery
657971	105070	Cousin Serena
657971	107593	Mrs. Blainey
657971	113639	
657971	115849	Nosey Woman
657971	125896	Miss Graham
657971	128372	Governor's wife
657971	128894	Miss MacBeth
657971	131719	Mrs. Pettergale
657971	146140	Nurse
657971	191589	Aunt Hattie
657971	216234	Old Beggarwoman Directing Jea
657971	239346	Mrs. Drake
657971	242110	
657971	244775	Mrs. Saunders
657971	275974	Mrs. Clayton
657971	289601	Abigail Crakstone
657971	311405	Granny Raines
657971	312584	Mrs. Hovey
657971	313365	Mrs. Randolph
657971	324425	Mrs. Carver, Tony's Mother
657971	330170	Mrs. Langley
657971	335320	Mrs. Quincy
657971	363571	Kema, the Cook
657971	367919	Receptionist
657972	109400	Mimi
657972	133701	Sally
657972	308171	Patsy
657972	323424	Elsie
657972	368315	Baby
657973	317480	
657974	65538	Annio
657974	77375	Octavian
657974	276826	Minerva (The God)
657974	281975	Ovtavian
657974	352930	Missia Palmieri
657975	391079	
657976	3128	Joanna Duten
657976	5501	Lucille Ainsworth
657976	43422	Lady Bland
657976	66956	Headmistress
657976	69845	Miss Pargiter
657976	73872	Maggi Thwaites
657976	92621	Deirdre Biddulph
657976	109912	Barbara
657976	115233	Harriet Marshall
657976	120150	
657976	127684	Brenda Lucas
657976	138176	
657976	154062	Hon Ursula
657976	169671	Ruth Blair
657976	175132	Pat Anstey
657976	177336	Cordelia
657976	193868	Mrs. Elliott (Mrs. Gilson)
657976	199642	Martha Tompkins
657976	222345	Mumsy
657976	222681	Miss Lettie Blacklock
657976	236701	Maureen Dartington
657976	243071	Peggy
657976	256112	Alice Andover
657976	260999	
657976	263102	Liz Essendine
657976	272675	Mary
657976	300842	Mme. Perrault
657976	330145	Antonia Pitt
657976	332385	Lady Doughty
657976	333183	May Swift
657976	336326	Miss Chambers
657976	337310	Mary Dennis
657976	342955	Louise
657976	356353	Libby Harrison
657976	360542	Pam Vickers
657976	361640	Eileen
657976	381278	Miss. Thorne
657976	383683	Kitty Cazalet
657976	385132	Adeline
657976	386862	Ticker Dawson
657976	388493	Barbara, Patrick's ex-wife
657976	389123	Frances Forsyte
657976	390535	Monica Hervey
657976	391035	Mrs. Gradgrind
657976	393492	The Duchess
657976	396787	Elizabeth Woodford
657976	403999	Madame Bersac
657976	405088	Mrs. Lawson
657976	405888	Mary Browne Lacey
657977	40144	Lori
657977	160519	
657977	185385	Agent Green
657977	313114	Woman
657978	402125	Mary King
657979	79804	
657980	99923	Emily 2
657981	85186	Featured Comedy Club Patron
657982	687	Herself
657982	6526	Lady Mary
657982	17544	Kitty Scherbatsky
657982	46960	Fiona McLaren
657982	47385	Herself
657982	62385	Truly Scrumptious
657982	74724	Herself
657982	80550	Sally O'Hara (segment Christm
657982	81273	Margaret Marshall
657982	94689	Katherine
657982	110941	Sybil Townsend
657982	112202	
657982	116798	Pamela Dickson
657982	137545	Joanna French
657982	146631	Christabel
657982	147786	Truly Scrumptious
657982	150747	Laura Frankland
657982	154379	Herself
657982	165446	Jane Eyre
657982	192103	Desiree Armfeldt
657982	224303	Robina Adams
657982	231438	Kate Nickleby
657982	256292	Peggy Sutton
657982	315296	Jennifer Peters
657982	332150	Fennis Wilson
657982	404727	Tina Matthews
657983	392735	Herself (Drums)
657984	37261	Woman with Fridge
657985	372882	First Nurse
657987	16885	Nude
657988	194996	Ape 3
657989	307881	Madeline
657990	131760	Mike's Ex-Girlfriend #2
657991	18212	Maid
657991	23317	Lab Tech.
657991	224820	Spectator
657991	232439	Courtroom Spectator
657991	234116	Angel
657991	293076	Bob Cooper
657991	360279	Smoker
657992	203535	Soloist in Albert Hall sequen
657993	9031	
657993	54362	Nurse
657993	83875	
657993	183817	Jenny Nolan
657993	391368	Helen Marshall
657993	396001	
657993	399816	Pamela Marshall
657993	411809	Nurse Deborah Kendall (1977-1
657993	411825	Cassie McCallum (1979)
657994	207692	Carol McGhee
657994	381118	Maureen
657994	403462	Scarlett Adams
657995	24465	Frau in Schlange
657995	179005	Tänzerin
657995	259591	
657996	2355	Herself
657996	55045	Evelyn Hillingdon
657996	189153	Wife
657996	243568	Herself (Amy)
657996	328477	Mrs. Flemming
657996	368305	Housewife
657996	372148	Essie Carmichael
657996	379667	Vera Louise Gorman
657997	348799	
657998	36973	Mrs. Serena Cartlich
657998	66827	Queenie Truelove
657998	74765	Fannie Hurst
657998	88241	Mrs. Birdie Van Horn
657998	143333	Mrs. Randolph
657998	148868	Mrs. Falkner
657998	149300	Mrs. Marsh, Mary's Mother
657998	183855	Josephine
657998	239856	
657998	241060	Mrs. Walker
657998	280134	'Snooks' Carroll
657998	292263	Mrs. Benson
657998	301954	Poker Annie
657998	314486	Lady Chetworth-Lynde aka Quee
657998	315726	Miss Reba
657998	335897	Baroness Hortense de La Tour-
657998	355221	Alexandra Stroganov
657998	360189	Mollie Wise
657999	162247	Emma Stone
657999	320310	Millie Sanderson
657999	342758	Auction Room Stylish Woman
658000	385718	Asra Minerva
658001	46572	Mutant
658002	82596	Gamine's Mother
658003	47004	Runway Model
658004	78887	Doris Melnik/Apartment Manage
658005	67452	Herself
658005	385652	Alvina Edwards
658006	95499	Mrs Patterson
658007	20537	Singer/Pianist
658007	97463	Lady Guest
658007	131664	Mrs. Carmichael
658007	141782	Mrs. Harris
658007	144972	Mick's mum
658007	168382	Lady Florence Bjelke-Petersen
658007	316969	Salvation Army Captain
658007	384664	Miss Brent
658007	385159	
658008	60303	
658008	128483	Rosa
658008	150847	Woman
658008	206090	Mrs. Wilkins
658008	218175	Mrs. Gurney
658008	240754	Mother
658008	241033	Mrs. Lamb
658008	241459	Mrs. Mumby
658008	348379	Mrs. McCarthy, Rube's Mother
658008	374638	Fat Lady
658009	21773	
658009	33707	
658009	41896	The Northern Girl
658009	109728	
658009	112313	
658009	141267	Agnes Murray
658009	143101	Claire Masters
658009	145920	Betty Arden
658009	146008	His Inspiration
658009	158186	The Wife
658009	162544	Mrs. Rowland
658009	183762	
658009	190303	Madge Morrow
658009	219884	Jeanette Graham
658009	251833	
658009	267555	Fifi Melotte
658009	346112	Pearl Courtland
658009	365083	
658009	371083	Mary Austin
658010	354519	The Village Children
658011	61614	Carlotta
658012	232374	Heather
658012	307949	Sydney
658013	208954	Heather
658013	310426	Iris Marle
658013	378865	Angela
658013	388321	Julie-Anne Jones (1999-2000)
658013	391788	Tara
658013	396587	Teresa Fellows
658014	58487	Nurse 2
658015	19990	Gorgeous Girl #2
658015	235510	Joan
658016	76606	Police Liaison Officer
658016	292224	4th reporter
658016	366602	Mrs. Healey
658017	310446	Janet
658018	41400	Sister Mary-Ellen
658019	188033	A Possum for Peace
658019	222461	Mrs Matagrano
658020	62913	Liza
658021	70429	Girl in toilet
658023	185964	Airport Passenger
658024	10208	Rose
658024	177780	
658024	317646	Woman in Bergen
658025	199806	Emanuela
658026	79234	
658026	96515	
658026	154277	
658026	268609	
658027	61665	The Little Girl
658028	363756	Photo Model
658029	133419	Pierced girl
658030	70964	Tessie
658030	302871	
658031	41430	Debbie Brody
658031	42056	Daughter #3
658031	61697	Sylvie
658031	263789	Sharon Harris
658031	385824	Anne 'Annie' Peters (#3) (197
658031	394504	Young Lauren
658032	367073	Munchkin
658033	43742	Dancing girl
658034	366015	Young Jodie
658035	81587	Dental Receptionist
658035	347369	Waitress
658036	264131	Carly
658036	273474	Mei-Ling
658037	128563	Celia Kondo
658037	208485	Tinker/Female Innocent
658038	30658	Miss Perkins
658038	42808	Convention Center Receptionis
658038	55159	
658038	55806	
658038	62007	Nurse Beaverbrook
658038	83975	Mrs. Evinson
658038	168087	Emergency Room nurse
658038	188572	Maureen
658038	211616	Mistress Page
658038	220059	Randy's Mother
658038	224283	Librarian
658038	256184	Lou Ann's Attorney
658038	277731	Nurse
658038	289406	Meg Hanson
658038	309489	Mrs. Sherwood
658038	310425	Boat Manager
658038	340765	Counter Woman at Pocum's Groc
658038	366426	Mildred
658039	367073	Munchkin
658040	366869	Sarah Davis
658041	2163	Doris
658041	208878	Maisie
658041	275448	Newscaster
658041	360741	Casey
658041	411221	Assa May
658042	4618	Handmaiden (Miss Germany)
658042	38583	Countess Von Lindorff
658042	58171	Pierre
658042	130717	Handmaiden
658042	203590	
658042	215727	Moon Girl
658042	215909	Bridesmaid
658042	290172	
658042	291709	
658042	403604	
658043	92692	Demon Bride
658044	78474	Herself (performing 'Aldan'))
658044	123885	
658044	354882	Suzanne
658045	168216	Jeannine
658045	380713	Carol Rice (early 1960s)
658045	382773	Sandra Talbot Dennis #2 (1957
658045	396084	Helen Elliott Donnelly #2 (19
658045	404694	Marian Bennett (1966)
658045	405882	Dr. Terri Martin Kurtz (1973-
658046	42705	Card Girl
658047	74006	Tied Victim
658048	290389	Girl with Pinky
658049	375045	Singer: Solo Lines in 'Ziegfe
658050	301490	Baby Eppie
658051	40814	Laura
658052	292415	Martha
658053	16890	Hooker
658053	110251	Trapeze Artist
658054	9044	Maggie
658054	231088	Orderly
658054	283410	Office Assistant
658055	134570	Stef
658055	296968	Admissions Unit Nurse
658056	107717	
658056	349036	
658057	341488	
658058	385601	Lady Di
658058	410290	Iluminada Urbina (I)
658059	1511	Lead Female
658059	121858	Brunch Girl
658059	188486	Roxy
658059	275871	ODB Groupie
658059	299724	Herself
658059	329524	Nurse Assistant
658059	381485	Herself
658060	378974	Mayra Pascual
658060	389233	Catalina de Restrepo (2003-20
658061	14654	Candela
658061	18442	Dueña del bar
658061	42660	Bride
658061	55194	Cristina
658061	55196	Dancer
658061	55228	Special guest appearance
658061	103710	Soloist
658061	156097	Herself
658061	218565	
658061	334699	
658061	336069	Gipsy woman
658061	369431	
658061	377199	La Molina
658061	378438	dancer
658061	393911	Rosario
658062	14653	Bailaora
658063	393364	Rosa
658063	401884	Herself/- Finalist
658064	14272	
658064	389233	Mariana de Mendoza (2001-2002
658064	405858	Andrea Pinto
658065	12910	
658065	14769	
658065	24989	Hilda Ramirez
658065	45763	Maybelle
658065	51593	
658065	51782	
658065	53121	
658065	55352	Silvia
658065	58696	
658065	68588	
658065	69206	
658065	74858	
658065	83129	Elvira Garcia
658065	89927	
658065	103813	
658065	111277	
658065	111993	
658065	132696	Don`a Modesta
658065	143991	Laura
658065	148066	
658065	167815	
658065	171473	Ordorico's Wife
658065	193142	Clarisa Fernandez
658065	207655	
658065	207979	
658065	210581	
658065	221754	
658065	222029	
658065	246381	
658065	251582	Sonia
658065	255905	
658065	269832	
658065	270061	
658065	301386	
658065	307798	La Mora
658065	309169	
658065	317730	
658065	353174	
658065	355948	
658065	371708	Enfermera
658065	377190	Cristina
658065	379179	Raquel
658065	379940	
658065	380080	Susana/Ivonne
658065	398452	
658065	402585	
658065	408198	
658066	177598	Toymaker's Granddaughter
658067	343726	Lucía
658067	409955	
658068	25793	Tomasa
658068	74584	Monja
658068	87136	
658068	88058	
658068	152241	Paulina
658068	193024	
658068	197886	
658068	221932	
658068	236027	
658068	248868	Paca
658068	253667	Nodriza
658068	258619	Mujer 4ª mercado
658068	276404	Invitada (Guest)
658068	301181	Olga
658068	307799	
658068	307800	
658068	309086	
658068	318235	Jueza
658068	328863	Locutor
658068	332584	Andresa
658068	340227	Woman
658068	393549	
658069	41390	Maria
658070	386130	Mónica (2002-)
658070	390851	Paula
658071	252412	La dame du vestiaire
658071	280729	Lee Winter's Maid
658072	75141	
658073	47924	Rose
658073	49441	Reporter #3
658073	65756	Female Executive
658073	108306	
658073	151787	Towny #3
658073	157180	Charlotte
658073	158960	Wanda
658073	202915	Lucero's Wife
658073	298105	Blanca
658073	307018	The Gas Woman
658073	318250	Olga
658073	337098	Yolanda
658073	394677	Jean
658073	400426	Esmerelda Ortega
658074	204168	Mother in Photograph
658075	107453	Mother
658075	156460	Catherine Reese
658075	213109	Vanessa
658075	397649	Ens. Azaria
658075	402007	Dimitria/Divatox #1
658076	60323	Stevie
658077	213993	Mrs. Tulliver
658078	133682	Mrs. Bottle
658079	203516	Evelyn Corning
658079	368011	Catherine Mannerby
658080	204168	Child in Photograph
658081	352420	Cop #2
658082	190179	Model
658083	241286	
658084	35212	
658084	190911	Christiane
658084	363960	Mabel Wiley
658085	139030	Peggy
658086	1675	Herself
658086	38818	Rini - Sailor Mini Moon
658086	38819	Rini - Sailor Mini Moon
658086	38822	Rini - Sailor Mini Moon
658086	130178	Delivery Nurse
658086	132259	Woman On Camera 5
658086	289456	Harper Lee
658086	315878	Marilyn
658086	333361	Mary Klooster
658086	388871	
658086	394334	Karoleen
658086	401100	
658086	404124	Rini (I) (1995, 1997)
658086	407042	Sue Vanditelli
658087	5671	Wilma
658087	6316	
658087	40750	Mother
658087	170968	Stella
658087	183129	
658087	241210	Getuige
658087	254988	Monique Bossél
658087	255924	Oma
658087	352029	Sjellie Molenschot
658087	357381	
658087	375070	moeder Le Roy
658088	269176	Thomas' wife
658088	288800	
658089	359844	
658090	250406	Mrs. Brdar
658091	267073	Jackie Winter
658091	302786	
658091	341295	Franka
658091	356877	Corinna Lange
658091	389361	Barbara Malek
658091	391563	Barbara Werner
658091	402438	Jackie Winter
658091	410522	Brigit Muller
658092	151882	
658092	178512	
658093	227774	Diana Hoffmanová-Leidingsberg
658094	9353	
658095	158605	
658095	364993	Emilie, Ingaz Frau
658096	211866	Bulicek
658096	412004	Simona
658097	142390	Ariel's Mother
658097	158137	Schoolteacher
658097	278496	Frau Mann
658098	108537	Vlasta
658099	16190	Nada
658099	350880	
658100	205655	Teacher
658101	284012	Dása Soukupová
658102	225947	Zuzana Lavicková
658103	45579	Elka
658103	49181	Hadzhi Genchovitza
658103	86832	Baba Nona
658103	163901	
658103	163939	
658103	198124	Baba Tinka
658103	205432	
658103	230451	
658103	244719	Vazrastnata zhena
658103	258572	
658103	273708	Maykata na Syuleyman
658103	298734	Maykata na Veliko
658103	314557	Starata evreyka
658103	352888	
658103	357625	Paleshutzka
658103	374472	Maykata na Tzveta
658103	404810	
658104	26238	Irene Chang
658104	278065	Waitress
658105	221350	
658106	234268	
658106	385592	Leszek's mother
658107	212320	Herself
658108	199485	
658109	290321	
658110	178530	
658110	181389	
658110	214636	
658110	243058	
658111	229190	Prevoditeljica
658111	233253	
658112	234450	
658113	234153	
658114	102115	Waiter #4
658115	356094	
658115	400270	
658116	179461	
658117	404243	Cousin Georgia
658117	406476	Kallitsi
658117	408171	Marianna Krevata
658118	719	
658118	374473	Tyahno dete
658119	228848	Marga, maykata na Ranka
658119	250886	
658120	103565	
658121	170233	Herself
658122	243627	Momicheto
658122	263697	
658123	62828	
658124	9353	
658125	284748	Saara Pitkänen
658126	59567	Edna Parvayns
658127	209823	
658127	298734	Doyna
658127	340874	Uchitelkata v detskata gradin
658128	339314	
658129	300564	Pee
658130	45542	Levantiykata
658130	339228	
658130	349086	Ignatieva
658131	196372	Montage typist
658132	286643	Sandra
658133	342274	Dána
658134	107969	
658134	409609	Clementine Fink (1994-)
658135	349194	Markéta
658136	46187	
658136	173009	
658136	234262	Agata
658136	343835	Nena
658136	375427	
658136	406497	
658136	408796	
658137	110075	Dancer
658138	32666	Soprano
658139	58505	First New Woman
658139	128144	Maria (brunette)
658139	209457	Prisoner
658140	16199	Ursula
658140	29356	Evzenie Cechurova
658140	58508	Carla
658140	82538	Bijou
658140	131029	Tourist
658140	165033	Ivetka
658140	167033	Viola
658140	179883	
658140	180096	Koubková
658140	183748	Katerina
658140	245906	Ulrika
658140	293071	Ester
658140	346780	Diva
658140	349242	Herself
658140	366386	Marie
658140	374244	Alena
658140	375136	Kristyna
658140	375393	
658141	5945	
658141	37141	FACS Woman
658141	56971	Delia
658141	113915	Rebekah Sharp
658141	118675	Meg
658141	384962	Lynda Rowland
658141	388645	Kate
658141	391070	Roie Darcy
658141	391869	Judith Ackroyd (1999-2000)
658141	401828	Roie Rothe
658141	402197	Paddy Lawson (1982-1983)
658141	403244	
658141	404932	Nell Wolcott
658141	405960	Tracy Kingsford (1985)
658142	11549	
658142	78920	Ida Henning
658142	195826	Len's Mother
658142	233931	Woman on Beach
658142	262348	Old Woman
658142	282318	Mrs. Burns
658142	316726	Maureen
658142	366427	Marge
658142	382743	Sister Polycarp
658142	389140	Ma (part I: 'Starting Out' (1
658142	404394	Mrs. Simpson
658143	136781	
658143	147316	
658143	278159	
658143	290783	Lady Stewart
658143	341109	Christine
658143	359695	
658145	94090	Mira Tobisová
658146	57613	Irena
658146	254321	Alena
658147	58250	Wife
658147	198228	Magdalena
658148	58127	Vosecká
658149	16444	
658149	21314	Terinka
658149	30836	
658149	155648	Teacher
658149	181341	
658149	193457	Pavla
658149	198375	Marta
658149	244030	Katerina Olivová
658149	246910	Lilian alias Vlasta Skardová
658149	320638	Saleswoman
658149	349327	Inka
658151	261539	Vera
658152	381832	
658153	9377	
658154	58159	Róza
658154	96384	Lenka
658154	181299	Honolulan (Honolulu woman)
658154	211866	
658154	276110	
658154	311168	Postmistress
658154	349189	Valentyna
658154	367327	
658154	374171	Giuseppina
658154	378509	Blanka Panenková
658154	399141	Dr. Machovcová
658155	88434	
658155	153362	Herecka Lásková
658155	349365	Domovnice
658156	241605	Armani Model
658157	76275	Mrs. Li Meng-shih
658158	334781	Hitomi
658159	267430	Li-wen
658160	167765	
658161	369055	May
658162	144789	Alien Stormtrooper
658163	332312	A Yu
658163	369651	
658163	371529	Hsiao Yen
658164	48618	Viola
658164	80305	
658164	108623	Lotus Blossom
658164	125635	Chin Yu
658164	155741	Herself
658164	225629	June Bell
658164	252314	Dagmar-Girl
658164	262345	Indian
658164	334540	Saunders' Assistant
658164	347048	Mai Ling
658164	396753	
658165	151902	Huang Tsui-hua
658165	318432	Tsui Hung
658165	369562	Concubine
658166	28791	Joan
658166	311021	Cyber cafe girl
658167	330799	Margot Wong
658168	10835	Sperm Creature
658169	181543	
658169	231228	
658169	236275	Lotus
658170	23435	Lin Chan-Lang
658171	194219	Fred
658172	65048	Mrs. Wroth
658172	97019	Ching
658172	243715	
658173	336475	Translator
658174	35239	Miriam
658175	3103	
658175	25886	Mrs. Hsieh
658175	59821	Miss Lien-ying
658175	63470	Wife
658175	76336	
658175	94754	Miss Chu
658175	133657	
658175	151896	Yang Hui-ching
658175	167421	Ting Tan-Yen
658175	179949	
658175	193987	
658175	194109	
658175	297313	
658175	369594	
658175	371464	
658175	371596	
658175	373557	Miss Pao
658176	283712	Soo Yung
658176	331350	
658177	297313	
658178	95471	Brothel
658179	8790	Tinny Chung
658179	61044	Wenny
658179	61091	
658179	62392	
658179	77002	Yong
658179	152119	Siu-sin
658179	194087	
658179	216644	
658179	218677	Ah Yu
658179	394425	Aisha
658180	332355	Beastgirl classes/Mermaid cla
658180	335185	Evian, the goddess of love an
658180	408600	Ellis
658180	408601	Puella
658181	223652	Melissa
658182	60938	Little Bird
658182	62060	
658182	115895	Girl
658182	150814	Gretchen
658182	161575	Mia, orphan girl
658182	196639	Native girl
658182	312172	Wanda
658182	324983	Jenny, Orlock's Secretary
658182	359237	Mama San
658182	380687	Moonbeam
658182	396084	Mia Elliott (1967-1968)(origi
658183	87166	Group Rehearsing In Hallway
658184	36864	Passenger
658184	190711	Tracey Ann Chue
658185	11833	Fran
658186	231335	Mrs. Pan
658186	298401	
658187	31496	
658187	63460	
658187	125940	Red Peony
658187	181542	
658187	220239	
658187	268806	
658187	375001	Da Bao/Er Bao
658188	151895	Guest
658189	76841	
658189	140839	
658190	369082	Yuer
658191	5203	TV Host
658192	1717	Herself - Presenter
658192	1748	Herself
658192	3890	Herself
658192	13891	
658192	72490	Sona
658192	90932	Dorothy
658192	107632	
658192	120123	Eva Watanabe
658192	122636	Herself
658192	139467	Suzie
658192	189361	Serpent Brotherhood Member
658192	234067	Seiko Kobayashi
658192	291052	Cassandra
658192	292256	Herself
658192	313207	Ens. Yukiko Fujisaki
658192	316067	Anchor Woman
658192	319903	Ro-May
658192	369486	Yuriko Oyama
658192	396960	Grace Chen (Chen Pei Pei) (19
658192	399011	Inspector Michelle Chan (1997
658192	406952	Rae Chang (1/1997-6/1997)
658193	405209	Dr. Li Mei Chen (2003-)
658194	196894	Alexandra
658194	236087	Lee
658195	35239	Tina
658196	268753	Gao Xiaoling
658197	202658	Self
658198	298357	Li Guse Yung
658199	297305	
658200	25889	Julia Cheung
658200	25905	Madam Hu
658200	34923	
658200	39020	Frances Li
658200	62643	Tong Xin
658200	66992	
658200	94929	
658200	109684	
658200	116602	Girl's Mom
658200	121442	Swordflower
658200	135462	
658200	152113	Madam Wu
658200	153050	Big Aunt
658200	167841	Betty Lee
658200	170022	Fang Zhizhen
658200	183045	Chiang Hung
658200	189512	Madam Tong
658200	210997	Si Lan-Fa
658200	216624	Sgt. Hu
658200	216651	Lady Hai
658200	236248	Wu/Trina
658200	238646	
658200	256915	
658200	298368	Mrs. Lin
658200	298372	Super Canon
658200	298380	
658200	302608	Sheila Cho
658200	303403	
658200	323092	Jackie's Mother
658200	332325	
658200	360990	Nguen Van Vong
658200	369042	Madame Wu
658200	369589	Swordflower
658200	369707	
658200	369715	Island 001
658200	370501	Alice Hwang
658200	373055	Su
658200	373096	Wai Yin
658200	374901	Tie Hua
658201	76837	Stella
658201	85467	
658201	137266	
658201	143929	
658201	167388	
658201	256134	
658202	105028	Member of The Dixie Chicks St
658203	144294	
658204	77549	Fang's Wife
658205	272892	Waitress
658206	370615	Guan Tianpei
658207	62017	Shu-Jen
658207	370505	
658208	50444	Extra
658209	29269	
658209	69678	My Lang
658209	70198	Secretary
658209	122070	
658209	139591	Connie Wang
658209	195331	Lark #3
658209	330559	Marianne
658210	62630	
658211	374800	Hu Xiuyin
658212	202499	La governante di Fosca
658213	33121	
658214	370087	Mrs. Chacón
658215	324341	
658216	344267	
658217	77893	Li Fengzhu
658217	140746	Aunt Chun
658218	214599	Yugu
658219	214112	Kitty
658220	404768	Additional Voices
658221	18603	Judith
658222	146888	
658223	34915	Stephanie
658224	27815	Tang Weizhen
658224	103026	Erzi's Mother
658224	121126	Kui's Wife
658224	152128	Boss's Wife
658224	181441	Madame Long
658224	370816	Kui's Wife
658225	100734	La Tante de Lim Tong
658225	111187	
658226	260916	Madame Fu
658227	268801	Xu Jichen
658227	371516	Yang Fangfei
658228	299060	
658229	71110	Mrs. Wang
658229	92112	Translator
658229	276665	Jan Chan
658230	27223	
658231	382903	Yaobin's mother
658231	397357	Mother of Li Lin
658232	369651	
658233	21818	Azhi's Mother
658234	371636	
658235	369727	Taiwan Godmother
658235	411592	Yujiao
658236	320143	Herself
658236	320149	Co-Host
658236	407078	Herself (33 Days, Mogo Mogo/C
658236	407081	Herself (21 Days, Sook Jai Tr
658237	405110	Sha Gu
658238	369759	
658239	346039	Women in photo
658240	131228	
658240	367149	Auntie Wu
658241	139594	Wendy
658242	106381	Kana
658242	341018	Cantonese Girl
658243	192460	Third Sister Liu
658244	371922	Bai Lijun
658245	300407	Mei-Mei
658246	369807	Tang Lingling
658246	411777	Zhou Ying
658247	60558	Liang Yin
658248	199311	Cio-Cio-San
658248	211560	Soprano
658249	213595	Kuang Yuanzhi
658249	231611	Feng Feng
658249	360978	Wang Min
658249	369190	Mrs. Hou
658250	168409	Princess Ulan Iga
658251	71338	
658252	410628	Arielle Côté
658253	234954	
658254	346768	Daughter
658255	301321	
658256	124786	
658257	682	Janeite #1, Jane Austen's #1 
658258	222412	Maquillista
658258	234315	Novia
658258	302394	Esther
658259	259407	Audience Member
658260	324371	Future Inhabitant
658261	324371	Future Inhabitant
658262	191548	
658263	256667	Lucy
658264	113466	Clancy Deane
658265	290789	Synchronregisseurin
658266	324777	RVTV-VJ
658267	164242	Lady in Grocery Store
658268	127767	Gina
658269	294004	Receiving NCO
658270	307463	Woman neighbor
658271	355375	Self
658272	285782	Mrs. Prentiss
658273	136249	Dian meyerhoff
658274	316067	African Dancer
658275	315919	Mirabel's Friend
658276	72392	Jeanne
658277	33426	Vikki St. John
658277	57929	Joan Miller
658277	58104	
658277	66954	Pauline Hood Allison
658277	114154	
658277	154517	Dr. Margaret 'Peggy' Thayer
658277	243276	Ruth
658277	380713	Gloria Walters Keller (1983)/
658277	386603	Dr. Althea Davis #1 (1964-196
658277	387309	Carol Kramer (1963)
658277	390771	Anne Benedict Fletcher (1962)
658277	400236	Estelle Chadwick (1983-1984)
658278	29226	Sable
658278	64098	Madison
658278	190461	Girl One (Bathroom)
658278	289024	Jasmine
658278	303266	Diana
658278	346405	Herself
658279	13387	Mrs. Heath
658279	87613	
658279	89677	
658279	133423	Janet Cannott
658279	145872	Mrs. Lobb
658279	157516	Mrs. Smythe
658279	191185	Polly Bamford
658279	213870	Nancy Sibley
658279	215943	Nurse Merrion
658279	274031	Mrs. Warren
658279	302228	Minty Weir
658279	331856	Mrs. Craill
658280	298291	Penelope (age 5)
658281	84213	
658281	270382	
658282	146793	
658282	281933	
658283	149287	Peter Pan in play
658284	393236	Chantelle (1999)
658284	405209	Paramedic Angela 'Ange' Weave
658285	197715	Cindy
658286	104974	Gin Mill Waitress
658289	123974	Daisy Oakley
658289	196158	Joan
658289	223043	Marjorie Turner
658290	206414	Miss Bailey, Norma's Boss
658290	325978	
658291	20625	Extra
658292	73959	Shannon Dwyer
658292	340751	Janice
658293	319929	Officer Nancee
658294	314457	Stephen's Sister
658295	28751	Girl Bunny/Quail Mother/Femal
658296	304650	Girl #2
658297	185429	Mary
658298	115269	Joyce Shepard
658298	123370	Big Bertha
658298	142889	Patty The Bartender
658299	162364	Prison Singer
658300	118677	Mrs. Carter
658300	264102	Waitress
658301	272518	Rich student
658302	242626	Amy Hubbarth
658303	313514	Beryl, a Daffodil Girl
658304	401346	Kathy Jo Elliott (1969-1970)
658305	214983	Child
658306	399908	News Contributor
658307	149010	Tony's Gang Member
658308	193766	Office Worker
658309	344524	Herself
658310	14352	Suzel
658310	24854	Elise
658310	77421	Madame de Houde
658310	116473	Irma, la plongeuse
658310	118624	Dodoche
658310	125744	Journalist
658310	166156	Mère Supérieure
658310	189349	Martine
658310	198339	Janot
658310	238482	Lucie
658310	264525	Surveillante
658310	332220	Caroline
658310	338572	La mère de Donald
658310	345317	
658310	350418	Mo
658310	377674	
658310	385183	
658310	386211	La standardiste
658310	391707	Anne de Sagne
658310	398075	
658310	401349	Clémence
658310	403643	Blanche de Bourgogne
658310	409448	Nénette Le Louet
658311	80619	Tourist
658312	153842	La jeune fille
658313	85220	
658313	156166	The Engineer's Wife
658313	181336	Mother
658313	198229	Pavel's mother
658313	352472	
658313	410338	
658314	377346	
658314	377350	
658314	391141	Frau Knorr
658315	39627	Grand Dame
658316	78528	Woman
658316	222592	Bit Role
658317	4657	Lehrerin
658317	98289	
658317	378648	Ines
658318	157711	
658319	125635	Concubine
658320	99630	Girl
658321	136193	
658322	106653	
658322	204260	Nancy
658323	216773	Shania Twin
658324	293625	
658324	369400	Masters
658325	12580	
658325	125381	Dagmar
658325	142101	
658325	162068	
658325	179638	
658325	202505	Hannah
658325	294840	Stella
658325	312661	Irmlind Heiser
658325	322497	
658325	345622	Sabine
658325	347764	Grischa
658325	394478	Carla
658326	12833	
658326	48549	Marlies
658326	86031	Mrs. Edith Frank
658326	111850	
658326	119136	Marguerite Kranz
658326	122769	
658326	144130	
658326	166741	Jenny
658326	178657	
658326	184392	Prinzessin Julia
658326	204520	Bianca Zaratti
658326	225186	Jean Miller
658326	242974	
658326	289156	Daria Plagina
658326	324697	Hedi Baumann
658326	346850	Käte Riedel
658326	358891	Angelika
658326	364890	
658326	364919	Veronika Torwald
658326	376453	
658327	144612	Lisa
658327	154427	Bride
658327	223807	Bartender
658328	313489	Additional Voices
658329	399816	Samantha Vanderhum (1973)
658330	282416	
658331	189265	Jimmy's Wife
658331	259462	
658331	366983	Tanya
658331	383168	Host
658333	2275	Herself
658333	97091	70's Girl
658333	215691	Celebrity Judge
658334	7519	Herself
658334	12438	Mutter
658334	17315	Frau Kutowski/Anita Berber
658334	60712	
658334	142263	Ida
658334	149733	Madame C
658334	182866	
658334	189825	
658334	230239	
658334	254379	Herself
658334	281674	Herself
658334	290695	
658334	290801	Dancer
658334	300189	Woman #2
658334	312732	
658334	338416	Hausbesichtigerin
658334	345670	Mme. Orlowska
658334	347652	
658334	355239	Therapeutin Tomalik-Samenkorn
658334	374126	
658335	296047	Starica V
658337	228492	La maitresse du Turc
658338	89207	Prostitute
658339	18598	Bridge Crosser
658340	31702	Eva
658340	56545	Herself
658340	79888	
658341	285977	Waitress
658342	386921	Videl
658342	386923	Snow (2001)
658342	411884	Yukina (#1)
658343	259462	
658343	325458	
658344	177935	
658345	86432	Indira Cruquet
658346	141540	Store Owner's Daughter
658347	215079	Isobel Lambert
658348	222363	Amy
658349	27271	Jenny Pantelli
658349	384460	Daisy O'Callaghan
658349	400158	Diane Collins
658350	125771	
658350	274784	Macarena
658350	326348	Vanessa
658351	357966	Pratings
658352	252141	
658353	309967	
658354	212796	
658355	309310	Jeune veuve
658355	339967	Victime
658355	378789	Bernchelorette Léonie (2004)
658355	403474	Danseuse
658356	15271	
658356	117667	Governess
658356	122550	
658356	125102	
658356	138456	
658356	153928	Ein Modell
658357	352931	Jou-Jou
658358	201142	Casilda
658359	27002	Herself
658360	353718	
658361	50999	
658361	151736	
658361	313803	Herself
658362	19451	Dona Branca
658363	70826	Shelley
658363	77629	Leslie Spit Tree-o
658364	58744	Marguerite's nurse
658365	106655	Myra
658366	410074	La femme de l'aéroport
658367	206601	Thérèse
658367	275110	Pauline
658367	376888	Pauline Hervy
658368	225531	Felix's friend
658369	345537	Diane
658369	346465	
658369	346568	Marion
658370	2232	Joy's Mom
658370	8243	Lola
658370	230242	The Neighbor
658370	230603	Ashtarte
658370	266098	Larry's Mother
658370	362131	
658370	363913	Dinner Guest
658370	379716	Alice Dawson (1999)
658370	389350	Vivian Banks #1 (1990-1993)
658370	398213	Herself
658371	6029	Herself - daughter of James
658372	6029	Herself - widow of mass murde
658373	6029	Herself - daughter of James
658374	349226	
658375	24027	Kveta
658375	84762	Ema's mother
658375	230449	Mária
658375	264253	Queen
658375	334636	Silke Prochaska
658375	373574	
658375	374244	Ilona
658377	65971	
658377	105213	Stage 3
658377	142536	Herself (from Cockaboody)
658377	143160	Narrator
658377	224383	
658377	255692	Narrator
658377	348522	
658377	363514	Herself
658377	366106	Herself
658378	143160	Narrator
658378	224383	Narrator
658379	43918	Salvation Army Band
658379	105213	Stage 2
658379	142536	Herself (from Cockaboody)
658379	154593	Party Band Member
658379	224383	
658379	324048	
658379	348522	
658379	366106	Herself
658380	39334	Cora Berlaine
658380	50442	
658380	51795	Harriet Woodlawn
658380	55045	Molly Kandall
658380	56877	Desdemona
658380	61565	Valerie
658380	61768	Lilly's Mother
658380	63010	Melissa
658380	79546	Herself
658380	99578	Priscilla Presley
658380	103289	Girl in Chock Full O'Nuts
658380	139236	Niki
658380	141097	Ann Kilmer
658380	152608	Timmys Mother
658380	175803	Elene Fontana
658380	178140	Beth
658380	193548	Roonie Gill
658380	221313	Ellie Pruitt
658380	233829	Rita Thompson
658380	263365	Heather Todd
658380	297955	Pam Rainey
658380	312536	Anne Redding
658380	314247	Gina Morelli
658380	314269	
658380	314439	Jennifer Ashley
658380	328553	Princess (Vice Squad)
658380	331697	Phyllis
658380	336449	Andi Robinson
658380	346127	Ann Talbot Simpson
658380	347688	Jackie Harrison
658380	352856	Marilyn
658380	353307	Princess
658380	379716	Angelique Voynitzheva Marick 
658380	382300	Annie Pfeiffer Cobb
658380	388362	Salina Magee (1976-1977)
658380	395974	Tanya Berenson
658380	396088	Candy Love, R. N. (1973-1974)
658381	6521	Kesar
658381	166522	Kamala
658381	173373	
658381	204672	Maina
658381	208759	Nalini
658381	211263	Nalini
658381	246579	Chitra
658382	406432	Herself
658383	206696	
658383	213308	
658383	285243	
658384	10829	Little Girl
658385	20426	
658385	178472	
658385	226273	
658385	273104	Frau Werner
658385	329689	
658385	344745	Frau Klingebeil
658386	13457	
658386	319729	
658387	158781	Kathleen
658388	73831	Female Intern
658389	166366	
658389	383171	
658389	404440	
658390	304834	Woman in Bar
658391	56155	Sue Thompson
658391	103363	Verna Berteaux
658391	152439	
658391	154658	Bobbie
658391	323434	Linda Vane
658391	356254	Helen
658392	257725	Lenka
658393	51970	Patronne du café
658393	249711	Lydie
658393	254718	
658393	409532	La patronne de l'atelier
658394	254017	Le Professeur
658395	350787	
658396	104699	Bakery Woman
658396	120506	Gull's Maid
658396	139597	Cybil
658397	195134	Marianna
658398	88090	Lulu
658398	195134	Young Catherine
658399	19177	Interview
658400	5186	Les mannequins
658401	155946	Emmy Lou
658402	267439	Dusty's Band
658403	54948	New Girl
658403	81296	Heather
658403	87599	Haley Simmons
658403	136270	Kate
658403	258027	Casey
658403	289517	Girl in Opening
658403	313677	Carol
658404	109667	
658405	381091	Herself (2004)
658406	384097	Amy (1999)
658407	213321	Hermia
658408	403239	Sophia Snelling
658408	411302	Paula Mowbray
658409	368374	Debbie
658410	266583	Lisa
658411	381091	Herself (eliminated round 1)
658412	382294	Nurse
658412	388306	Jade Williams (1991-92)
658413	17696	Female V.A.D.
658413	59765	Tom's Mother
658413	77796	Larson
658413	80935	Mama
658413	83826	
658413	117278	Vera
658413	120248	Woman #3
658413	138737	Maud Maguire
658413	152910	Social Worker
658413	167256	Nancy
658413	206335	Bonnie Griffith
658413	213358	Dr. Jean Gerson
658413	217934	Madame Fontaine
658413	265683	Judge Shannon
658413	299539	Leatherwoman
658413	336670	
658413	346909	Lyn
658413	363502	Discharge Officer
658413	383319	Narrator
658413	387747	Marion
658413	411211	Mrs. MacFarlane (Season 2 - 5
658414	39038	Layla
658414	129211	Herself
658414	285263	Zoumorod
658414	318763	Rocco's Girlfriend
658415	138367	
658415	161948	Pig Man
658415	272347	Hrisanti
658415	309357	
658416	124811	
658417	79528	Kate
658418	366102	Coed #2
658419	326904	
658420	4683	Young Kristina
658421	366753	2nd Victim
658422	75912	Duenna
658422	80803	Nurse Irma Crenshaw
658422	114262	Mrs. White
658422	169662	Marian Claiborne
658422	198489	Jean Moorhead
658422	255826	Kate
658422	332004	Richie's Mother
658422	382507	Faye Sawyer
658423	5028	Lisa
658423	124048	Girl with Mask
658424	371374	Charlotte
658425	113286	Bar Patron
658426	139296	Newswoman
658427	389186	Herself - Weekend host
658428	27160	Rachael
658429	405720	Herself
658430	384319	
658431	78214	
658432	12975	Cantante
658433	28233	
658434	330591	Noel
658434	332070	Tintin
658435	186936	German girl
658436	238140	Southern Woman
658436	298347	Additional Voices
658437	185429	Darla
658438	350899	Little Girl
658439	170518	
658440	293629	
658441	161412	Police Woman
658442	72332	Charlie's mother
658443	143389	Woman #2
658444	325885	
658444	361365	Käthe Wengler
658445	77852	Mary Hatch
658446	263443	Herself
658447	393668	Joan
658448	300893	Marianne
658449	72376	Open Mic Woman
658449	275762	Angry Woman in Car
658449	284628	
658450	250418	Boy's Mother
658451	69370	Renee Hudon
658452	69370	Herself
658452	154110	2nd French Girl
658453	139817	La Fleuriste
658454	108657	Catherina as a child
658455	72650	Nurse Vogelsang
658456	81033	Landlady (segment "The Doll's
658457	378976	Nurse
658458	41351	
658459	208661	Sylvia
658460	336723	Kath
658461	305035	Lilith
658462	55143	
658462	58407	
658462	84016	
658462	91327	
658462	191072	
658462	353470	
658462	377152	Ana
658463	130666	Amazon Warrior
658464	44501	Maggie Cooper
658464	89363	Miss Liberty
658464	108396	Aurelia, Janet's sister
658464	142876	Margie
658464	168680	
658464	321125	Helen Birch
658464	340853	Twips
658465	83472	Additional Voices
658466	360127	Undercover Cop
658467	382865	Various
658467	408578	Herself (co-host)
658467	410637	Presenter (2001)
658469	1703	Herself
658469	16968	Woman on Bus
658469	97347	Telemarketer
658469	144788	Col. LaPierre
658469	157580	Female Bartender
658470	281909	
658471	235404	Middle Earth woman
658472	168382	Val
658472	330542	Girl in park
658472	336721	Jean
658472	364205	Lindy Chamberlain
658472	382393	Clare
658472	391869	Louise Scott (1991)
658472	401624	Herself (1980's)
658473	210481	Easy Street Singer ('Rocky')
658474	367406	Bonnie
658475	271882	Mrs. John Lawton
658476	100853	Maria Gonsalves
658476	364396	
658477	137470	Bong Genie
658478	119358	Peg
658479	162927	Ruth Haney
658480	380012	Herself - Finalist #7 (2004)
658481	87586	Featured Disco Dancer/PCP Obs
658482	228535	
658483	130740	Tortoise Lady
658483	161373	Herself (best friend)
658483	272234	News reporter #2
658484	110344	Agatha Griswald
658484	116161	Kari
658485	230529	Herself
658486	1664	Cindy
658486	1674	Herself
658486	1737	Herself
658486	3044	Herself
658486	3053	Herself - Host: Technical Awa
658486	5013	Lucy
658486	10309	Emma Dinsmore/Ylva/Elsa/Eldor
658486	11130	Herself
658486	12217	Penny Lane
658486	31944	Herself
658486	33039	Herself
658486	53315	Emma Corrigan
658486	75729	Chrissie Campbell
658486	83560	Skye Davidson
658486	88177	Isabel Walker
658486	92618	Dee Dee Travis
658486	118291	Ethne
658486	132181	Naomi Preston
658486	151616	Andie Anderson
658486	221480	Herself
658486	221482	Herself
658486	221483	Herself
658486	240876	Herself
658486	271344	Helen Harris
658486	277803	Lorna
658486	303830	Caroline
658486	352985	Herself
658487	366751	Prof. Shannon
658489	58526	Cynthia Prescott
658490	301992	Shelley
658491	291224	Matron
658492	2163	Polly
658493	311816	Lisa
658494	138365	Libby
658494	220674	Susan Fredricks
658494	335671	Jessica
658494	342791	Helen
658494	366020	Amber Malloy
658495	155013	Party attendee
658496	65990	Joyce
658497	70970	Sheila/Dead-Head Double/Ivana
658497	350245	Convent zombie girl
658498	113811	Willie's Mum
658499	155978	
658500	87597	Performer
658500	385020	Katy Nelson/Harris (2002- )
658501	325969	Sara Jacob
658502	379323	Monica
658503	108627	Mrs. Brown
658504	346248	Guest
658505	65701	
658505	158392	'Oh Jesus' P.A.
658505	163282	
658505	380412	Alexi
658505	380625	
658505	384695	Various roles
658506	126538	Aerobic Girl (segment "Get Ou
658507	338833	The Ghost Party
658508	2163	Peggy
658509	34968	Susie Henderson
658510	209656	Jenny
658511	390195	TV Reviewer (2003-)
658512	390032	Fiona
658513	144406	
658514	197758	Engagement party
658515	8964	Honey, his girlfriend
658515	19970	Mary
658515	26184	Ruth Williams
658515	26610	Cynthia Douglas
658515	31335	Honey, his girlfriend
658515	31994	Honey, his girlfriend
658515	35791	Betty Allen
658515	37108	Honey, his girlfriend
658515	37187	Honey, his girlfriend
658515	44452	Sybil Roberts
658515	44611	Honey, his girlfriend
658515	44612	Honey, his girlfriend
658515	44613	Honey, his girlfriend
658515	44614	Honey, his girlfriend
658515	44616	Honey, his girlfriend
658515	44617	Honey, his girlfriend
658515	44618	Honey, his girlfriend
658515	44619	Honey, his girlfriend
658515	44620	Honey, his girlfriend
658515	44621	Honey, his girlfriend
658515	44622	Honey, his girlfriend
658515	44623	Honey, his girlfriend
658515	44624	Honey, his girlfriend
658515	44626	Honey, his girlfriend
658515	44627	Honey, his girlfriend
658515	44628	Honey, his girlfriend
658515	44630	Honey, his girlfriend
658515	44631	Honey, his girlfriend
658515	44632	Honey, his girlfriend
658515	44633	Honey, his girlfriend
658515	44634	Honey, his girlfriend
658515	44635	Honey, his girlfriend
658515	44636	Honey, his girlfriend
658515	44637	Honey, his girlfriend
658515	44638	Honey, his girlfriend
658515	47554	
658515	48701	Honey, his girlfriend???
658515	48710	Honey, his girlfriend
658515	48713	Honey, his girlfriend
658515	48714	Honey, his girlfriend
658515	48721	Honey, his girlfriend
658515	48722	Honey, his girlfriend
658515	48724	Honey, his girlfriend
658515	48725	Honey, his girlfriend
658515	48726	Honey, his girlfriend
658515	48727	Honey, his girlfriend
658515	48728	Honey, his girlfriend
658515	48730	Honey, his girlfriend
658515	48731	Honey, his girlfriend
658515	48735	Honey, his girlfriend
658515	48736	Honey, his girlfriend
658515	48738	Honey, his girlfriend
658515	48740	Honey, his girlfriend
658515	48741	Honey, his girlfriend
658515	50171	Hilary Ward
658515	64536	Honey, his girlfriend
658515	70301	Betty Andrews
658515	71689	Jean Alison
658515	75481	Mary Blair
658515	84977	Margo Delgado
658515	88863	Virginia (Muller)/Banning
658515	92619	Helen Spalding
658515	95104	Honey, his girlfriend
658515	105248	Cynthia Sampson
658515	105329	Lowe Party Guest by Punch Bow
658515	108622	Carmen
658515	128151	
658515	128850	Frances White
658515	139551	Lillian 'Lillums' Lovewell
658515	142454	Mary Ellen
658515	144401	Honey, his girlfriend
658515	147390	Honey, his girlfriend
658515	155018	Drue Waring
658515	156939	Jessie Pullman, Age 18
658515	162551	
658515	162849	Lorraine Danel
658515	169902	Virginia Maydew
658515	179961	Judith Hadley
658515	185989	Miss Joan
658515	190061	Adele Anderson
658515	192116	Honey, his girlfriend
658515	192117	Honey, his girlfriend
658515	192118	Honey, his girlfriend
658515	195757	Gwendolyn
658515	196927	Visitor on Set
658515	209585	Cecelia Bradley
658515	210878	Suzan Leonard
658515	213453	Ellen
658515	215748	Kay Roberts
658515	216234	Cosette
658515	220799	Honey, his girlfriend
658515	221028	Victoria 'Vicki' Mason
658515	221125	Emily Skitch
658515	223032	Susanna Courtney
658515	232302	Hilda
658515	235685	Connie Martin
658515	238711	Helen Regan
658515	239656	Honey, his girlfriend
658515	250377	Betty
658515	252202	Parker's Telephone Operator
658515	255338	Herself
658515	256638	Barbara Whitney
658515	260419	Poppy McGargle
658515	263594	Gloria Tyler
658515	266691	Operator
658515	269318	Sherry Baker
658515	272470	Margaret Adams
658515	273633	Judy's Mother
658515	276939	Mary MacKenzie
658515	277878	Honey, his girlfriend
658515	282855	Nikki
658515	283384	Honey, his girlfriend
658515	288926	The White Goddess
658515	289620	Herself
658515	292867	K-31, Undercover Agent
658515	297909	Sally
658515	297931	Ann Garrison
658515	300113	Loretta Martin
658515	302859	Honey, his girlfriend
658515	304298	Amy Winthrop
658515	305835	Marian
658515	315490	Irene Perry
658515	315528	Joan
658515	315923	Emily Cutler
658515	318078	Vernie Little
658515	324010	Herself
658515	329441	Irene Howard
658515	338914	Honey, his girlfriend
658515	348428	Honey, his girlfriend
658515	358775	Joan Street
658515	360166	Anna Moore
658515	365205	Grace
658515	367538	Justine West
658515	367756	Alice Fuller
658515	371795	Honey, his girlfriend
658515	407955	Alice Jackson (1954-55)
658516	81992	
658517	56455	Receptionist
658517	60296	Cynthia
658517	89298	Ruth
658517	165291	
658517	381698	Mrs. Beasley
658518	381238	Qantas Ticket Clerk
658519	90772	Friend
658520	31629	Luna
658520	105901	Danielle
658520	110980	Danielle
658521	313478	Bespin woman
658521	324546	Woman at state line
658522	142378	Additional Cast
658523	133792	Cheerleader
658524	203243	Shopper
658524	214814	Gospel Choir
658526	52017	
658526	73753	Tim's Wife
658526	171228	Denise
658526	235615	Receptionist
658526	245207	Julie
658526	257132	Ermine
658526	263788	Julie Collins
658526	290389	Rita
658526	347099	Rachel
658526	372525	Bunny
658526	383385	Girl in station
658527	2079	
658527	182963	David's Secretary
658528	133855	Lotte Schmidt
658529	317900	Club Waitress
658530	44900	Matron
658530	64554	Magda von Meck
658530	109826	Nell Gwynne
658530	160033	
658530	170817	Lucy Bell
658530	189253	Girl in Street
658530	332421	Gina
658531	404337	Various (1980-1981)
658532	80412	'Orpheus' Cruise Girl
658533	79843	Mrs. Dooligan
658533	364205	Mrs. Ransom
658534	133491	Trisha Marionetta
658535	347566	
658536	25105	Léontine Chanu
658536	132063	Jocelyne
658536	167196	La financée
658536	169286	Pauline
658536	332228	Margaret
658537	212477	
658538	231202	
658539	20448	Nina
658540	309213	
658541	33971	The Guitar Player
658542	155338	
658543	195057	
658544	194780	Woman at Airport
658545	139199	Sheri
658546	124110	LA Actress
658546	146780	Reporter
658546	150891	Stewardess
658546	256260	Girl in Airplane Bathroom
658546	290378	Concert Goer
658546	311038	Train Passenger
658546	314445	Stepford Wife
658547	8696	Madre
658548	353911	Prostitute 1
658549	32899	Boat Girl #1
658549	141594	Desk Clerk
658549	256831	
658550	191930	
658551	228761	Mujer Pilkumán
658552	170966	Female Juror
658552	355980	Sheila Shades
658553	380088	Topacio Peralta
658553	386284	Tania
658554	12969	La Negra
658555	5577	Ana
658555	136960	Mariana
658555	399084	Consuelo
658556	114873	Dancer: Grupo Cané
658557	56500	
658558	90137	
658559	57253	
658559	114873	Dancer: Grupo Cané
658560	112323	Herself
658560	403155	Herself
658561	275094	
658562	71089	
658563	60091	
658563	333750	
658564	328564	Lucretia Borgia
658565	301574	Nina dos
658566	20788	Security Woman
658566	31868	Maria
658566	64702	Woman at hotel
658566	71413	
658566	73281	Dionisia
658566	74809	Isabel
658566	82585	Vendedora de flores
658566	88056	
658566	99798	María
658566	139908	Woman at grocery store
658566	157157	Campesina
658566	169261	
658566	170980	Car Rental Agent
658566	171463	
658566	208909	Nurse
658566	211170	Pilar
658566	260901	
658566	264264	Isabel
658566	302378	Teresita
658566	335187	
658566	379552	Liliana
658566	383442	Julia
658566	383519	
658566	387100	Herminia
658566	389483	
658566	390127	Pasca
658566	390404	Hermana Cándida
658566	403173	
658566	410313	Eloisa
658566	410384	Magda
658566	411712	Elvira
658567	25417	Christina
658568	114881	Adela
658568	193511	
658568	233974	
658569	105879	
658570	76110	Enfermera 1
658570	140701	Reporter
658571	204755	
658572	220256	Macha
658573	258311	
658574	40923	Sister
658574	66218	
658574	82640	
658574	96110	Announcer
658574	104213	
658574	148774	
658574	193430	
658574	199584	
658574	204562	
658574	215866	
658574	217729	La speakerine
658574	245556	
658574	255493	
658574	260912	
658574	302207	La speakerine
658574	412260	Mme Deschazeaux
658574	412268	La marquise de Pompadour (seg
658575	94250	La soeur de François
658576	43656	
658577	405351	Nanina
658578	378705	Stéphanie
658579	209801	
658579	233333	
658580	6468	
658581	185131	Rita
658581	246012	Cindy
658581	306758	Mitsy
658581	307351	Janice
658582	336559	Snow White
658583	93410	Jenny Lissot
658583	390812	Karin Becker (#2)
658584	344737	
658585	281646	Negra
658586	301577	Ama de Llaves
658587	215690	Miss Nevada USA
658588	278718	Spectator
658589	291447	Bishop's Dancer
658590	31715	ICU Nurse #1
658591	191038	Cameo Girl
658591	362670	
658592	84197	Bank hostage
658592	194765	Airline Passenger
658592	362355	Bank Receptionist
658593	50020	Brock's child
658594	311888	
658595	27686	
658595	31843	
658595	43459	
658595	65465	
658595	71899	
658595	203216	Cynthia
658595	240454	
658595	274843	
658595	328752	Liza Lou
658596	17208	
658596	55972	Sandra
658596	124566	
658596	127877	
658596	249470	
658596	287992	Susan
658596	287993	Susan
658596	349534	Samantha
658596	356165	Rosy Mainardi
658596	383807	
658596	411917	Eva
658599	8303	
658599	40467	Jeanne Clark
658599	54386	
658599	71731	
658599	73662	Constance Waldron
658599	78124	Ivis Van Astor
658599	84214	Nan
658599	87844	Clarissa
658599	116937	Adele
658599	119375	Angel
658599	127118	Lois Atwell
658599	133588	Estella
658599	141259	Annie Wilkes
658599	146075	Breede's daughter ('The Flapp
658599	158110	Undetermined Role
658599	164374	Mary Dwyer
658599	191911	The Little Intruder
658599	193809	Renee D'Armand
658599	206504	Martha Halliday
658599	213835	Jean Evans
658599	239079	Mary Shelby
658599	239652	Ruth Stratton
658599	272241	Marcia Osborne
658599	277330	Patience
658599	287277	Ruth Nelson
658599	291805	Nancy Potter
658599	295413	Lola Pratt
658599	295442	Patricia Vane
658599	310964	Frances Evans
658599	315258	
658599	315587	
658599	322594	Betty Hallowell
658599	349672	District Attorney's Wife
658599	350682	Laura
658599	362338	Princess Irenia
658599	362451	Francine D'Espard
658599	365532	Louise Mazarine
658600	154309	Band Member
658601	707	Katherine Davis
658601	5152	Mary Barnes
658601	27339	Remi Sykes
658601	80424	Newscaster
658601	145077	Karen Geller
658601	210887	Valerie (Arthur's wife)
658601	223932	Woman at R's Store
658601	360467	Sheri
658601	397226	Leigh McKenna
658601	404718	Corinne Atkins
658602	383619	
658603	318781	Swimmer
658604	121836	Fran
658605	155013	Party attendee
658605	318218	Young Mother
658606	1529	Suki's Girl
658607	326755	Cleo the Cat
658608	129362	
658609	2798	Herself
658609	47386	
658609	67559	Receptionist
658609	143824	Flight Attendant Leslie Sugar
658609	273914	Herself
658609	280844	Roe
658609	310135	Dar Mullins
658609	319037	Gayle
658609	357001	Mary Jo
658610	191738	Street Walker
658611	178092	Clerk
658612	63144	
658612	90911	Joey's Mom
658612	130903	Terry Spann
658612	137031	Attorney
658612	139599	Peggy Macklin
658612	141180	Dr. Liza Peck
658612	141272	Annie
658612	148344	Sara Greene
658612	150833	Sheila
658612	191321	Woman P.A.
658612	200521	Cynthia
658612	250576	Lady Bird Johnson
658612	269809	Joanna Reinhardt
658612	271344	Lindsay Davis
658612	277140	Minnie, Dershowitz's Student 
658612	277150	Gillian Sullivan
658612	304955	Kit Wannamaker
658612	305978	Carrie Dixon
658612	310329	Pat McCune
658612	330412	The Wheel of Fortune Girl
658612	338036	Bree
658612	346370	
658612	359963	Dance Hall Girl
658612	381537	Donna
658612	386144	Lynette Scavo
658612	389275	Julia Wilcox (2003)
658612	400548	Lorna Colm
658612	406235	Dana Whitaker
658613	103304	Julia/George's Young Mother
658613	107831	Lisa Warrington
658613	134623	Marcie
658613	171696	Laura Fields
658613	188506	Catherine Moray
658613	191359	Lisa Trekker
658613	194265	Jo
658613	222693	Linda Martin
658613	273772	Carly Hunter
658613	296880	Naomi
658613	304820	Teri
658613	331256	Maja, Susan, Marie
658613	389092	Julia
658613	408692	Ayn Krywarik
658614	131453	Hooker
658615	39627	Dancer
658616	242678	Mari Pili
658617	193069	Kid
658618	8000	Leah
658618	26064	Sheep
658618	29676	Juanita Kreps
658618	43557	Secretary
658618	45693	Carolyn
658618	56207	
658618	67606	
658618	67610	Tracy O'Connor
658618	70563	
658618	73116	
658618	73137	Martha
658618	73479	Mrs. Farrow
658618	79719	Dr. Wallenberg
658618	82763	Woman at door
658618	87893	Mrs. Bridges
658618	99395	Radio Actress
658618	100198	Dr. Genser
658618	107002	Background Voice
658618	111409	Additional Voices
658618	139700	Marcia
658618	149183	Psychiatrist
658618	154576	Mrs. Harris
658618	158106	Mrs. Thacker
658618	169881	Receptionist
658618	174520	Megan
658618	183357	Rona
658618	187189	Teacher
658618	210960	Lyle's Jury: Juror #1
658618	216126	Female Agent
658618	222607	Woman in Play
658618	222711	Eleanor Thompson
658618	223772	Loretta
658618	231507	Reporter #1
658618	232186	Iris
658618	244443	Minister
658618	273559	Felicia Massey
658618	293258	Court Clerk
658618	313064	Mrs. Hadley
658618	313548	
658618	323487	Gail
658618	327790	Lorrie
658618	339649	Arguing Customer
658618	339917	Museum Receptionist
658618	353416	
658618	358274	
658618	363953	
658618	366868	Photographer
658618	385296	Mrs. Freilich
658618	398567	Eleanor Iverson (1995-1996)
658618	399684	Mrs. Reilly
658618	407824	Lorrie
658619	124378	Extra
658620	15224	Herself
658621	117653	Reggie
658622	37013	Gaby
658622	96473	
658622	204234	Herself
658623	180283	
658624	99375	
658624	357052	Perrine
658625	124166	Garfield's Mom
658625	124172	
658626	97101	Caroler #2
658627	97101	Caroler #5
658628	97101	Caroler #1
658629	308004	
658630	232933	Maid
658631	128405	Rose
658631	321421	Brother Bodan's Wife
658631	335594	Carol Lewis
658631	383631	Dr. Holly Miles: SHO (1999-20
658631	388321	Holly Hart (1997-1999)
658632	26712	Maria
658633	34937	Mrs. Jackson
658633	164840	Reporter
658633	191321	Reporter
658634	248669	Pretty Girl (School) #1
658635	80481	Lou
658636	407815	Herself (2003)
658637	399552	Louise
658638	238044	Herself
658639	379716	Tina Harding (1999-2001)
658640	108284	Herself
658641	257731	Natalia
658642	311816	Contessa
658643	364782	Mary Bannock, Fiancee to Howi
658643	385112	Pamela Morgan
658644	115716	Penny
658645	288099	Herself
658646	40301	Woman in Parking Lot
658646	90341	Airport Nun
658646	92618	Dr. T's Staff
658646	102013	Woman at Play
658646	190886	Mrs. Westheimer
658646	282350	Sara Bardshar
658646	329094	Carla Delgado
658646	363415	Religious Woman
658646	366665	Wanda Gilmore
658646	411284	Wanda Gilmore
658647	194513	Rosie Pollock
658648	8932	Sister Susannah
658648	37924	Tovah's mother
658648	152932	Business Woman
658649	166240	Bit Role
658650	19220	
658650	23602	Valeria
658650	41959	
658650	67104	Muller
658650	109719	Cosetta
658650	338083	Myra
658651	274773	Molly Dugan
658652	61706	Ashley
658652	147541	Keegan Grayson
658652	334275	Claire
658653	375696	Child in the playground
658654	76550	Elsie, as a child
658655	371962	Danish Grandmother
658656	260950	
658657	404916	Presenter
658657	406109	Host and narrator
658658	133995	Scarlet
658658	138246	Pub Whore
658658	138248	2nd Pub Whore
658658	319568	Argonian Citizen
658659	184424	
658660	16043	
658660	26606	Florence
658660	32073	Dolly Marsh
658660	41093	Gloria Evans
658660	44267	Alice Randall
658660	56229	Esther Linton
658660	57606	Birdie
658660	76238	Kitty
658660	79890	Patsy
658660	83930	Peggy Morton
658660	96786	Sally Blair
658660	99846	Betty Lambert
658660	105075	Manicurist
658660	105130	Girl at counter
658660	115064	Dale Arden
658660	115471	Texas
658660	119969	
658660	126067	Chorine
658660	127083	Betty Ames
658660	128424	Cuddles
658660	128582	Dance hall girl
658660	130664	Cody Langham
658660	130712	Hortense 'Hattie' Burke-Meyer
658660	148280	Jan Holloway
658660	154481	Nellie Bellas, Willie's Morni
658660	154916	Sally Travers
658660	168271	Mrs. Van Pragg
658660	170809	Zara, the High Priestess
658660	194832	Peggy Peyton
658660	195303	Nightclub Patron
658660	196963	Girl in back room
658660	203038	Helen Foster
658660	206413	Jean Carter, Woman in Bar
658660	206472	Virginia Radway
658660	209633	Jane Delaney
658660	214936	Pat Hilton
658660	224333	Linda Duncan
658660	228660	Tessie
658660	231853	Flo
658660	248842	Andy's Daughter
658660	253095	Dale Arden
658660	255881	Loolie Fisher
658660	259789	Mary Hilton
658660	267542	Dale Arden
658660	273251	Angie
658660	274068	Marguerite Fontain
658660	275746	Virginia Bronson
658660	289504	Pierrette
658660	289685	Helen Parker
658660	298086	Maxine LaVerne
658660	299163	Merton's Typing Secretary
658660	302721	Mary Lou
658660	304961	Secretary
658660	312810	Grace 'Gracie' Randall
658660	312835	Birdie
658660	331495	Audrey Trowbridge
658660	333434	Phyllis, a Secretary
658660	335884	Avis
658660	345995	Barbara Erwin
658660	346196	Eleanor Fairbanks
658660	361819	Emily Lou Mason
658660	362489	May
658660	367919	Salesgirl at Modiste Salon
658661	2316	Reporter
658662	31877	
658662	43736	Girl
658662	193540	
658662	248737	Gina
658662	359766	Jean Carson
658663	24452	Sharon
658664	256845	Head Of Funding Body
658665	287038	
658665	360273	
658665	381514	Herself (2000-2001)
658666	347300	Classroom extra
658667	303288	Herself
658668	254285	Ibu Guru
658669	40992	Jennie
658669	367827	Aviatrix
658670	220951	
658671	261897	Katherine (in prologue)
658671	309275	Mavis's Chum
658672	161259	Herself
658673	131232	Extra
658674	243934	Kumbaingiri Woman
658675	150239	Air Hostess
658675	186470	Nina
658676	396799	
658677	408691	
658678	288099	Herself
658679	211500	Noblewoman at Camelot
658680	131795	Girl 2
658681	214748	
658682	146149	
658683	866	Herself
658683	973	Classy
658683	2022	Herself
658683	3593	Herself/Alex Devane/Anna Deva
658683	5056	Iris
658683	19138	Dancer
658683	22179	Bryce Kellogg
658683	46740	Cybil Cobb
658683	70927	Dr. Woodward
658683	74262	Jo Parker
658683	78941	Jennifer Cole
658683	125588	Emma Frost/The White Queen
658683	140087	Megan McGuire
658683	161252	Herself
658683	161295	Herself
658683	161554	Katherine Jessel
658683	166643	Ronnie Fredericks
658683	207434	Alison Graeme
658683	210849	Gwen
658683	236952	Nadia Gargarin
658683	258513	Additional Voices
658683	264427	Angie
658683	280205	Ginger
658683	306625	All My Trials Actress
658683	314108	Laura
658683	319625	Lara
658683	343318	Amy Lowe
658683	379716	Dr. Alexandra "Alex" Devane M
658683	382277	Carol Russo (1994-1995)
658683	389858	Anna Devane Scorpio Lavery Sc
658683	392055	Dancer
658683	392168	Hostess
658683	392422	Herself
658683	392423	Herself
658683	393216	Chelsea Duffy
658683	400647	Kate Russo
658684	61697	Mary
658684	95328	Receptionist
658684	100880	Barbara
658684	112751	
658684	191925	Nurse #2
658684	222780	Fiona Byrne
658684	312592	Maeve
658685	397182	
658686	70786	Sarah Pugh
658687	406891	Ruby Hardwick
658688	66184	Miss Cunningham
658688	105125	Mrs. Barrington de Witt
658688	140547	Clara
658688	162543	Christine Lambert
658688	169398	Mrs. Biddle (episode 'Paper D
658688	183735	
658688	197518	Aunty
658688	314979	Matron
658688	385441	Nurse
658688	408266	Barbara Barston
658689	41192	
658689	84925	
658689	115271	Kristine
658690	302789	Lauren
658691	283343	Witness #3
658692	14486	Mrs. Moriarty
658692	23699	Martin's mother
658692	38021	2nd Grade Teacher
658692	41869	Marwella Harbison
658692	94578	Mrs. Stiles
658692	105354	Betty Gaines
658692	105426	Maggie
658692	107919	Rose
658692	113371	Mrs. Gibson
658692	127417	High School TEacher
658692	139434	Aunt Melva Jones
658692	150268	
658692	158951	Agatha Galen
658692	176480	Aunt Helen
658692	185766	Emma
658692	193268	Grandma
658692	197014	Rose Goldberg
658692	202657	Mrs. Mandel
658692	206597	Clara
658692	213027	Ruth
658692	218775	
658692	223899	Gussie
658692	227284	
658692	230422	Eunice
658692	232121	Grandma Belle Hatch
658692	238637	Flo Adler
658692	245477	Mrs. Connors
658692	246987	Mrs. McDermott
658692	251454	Mary
658692	264132	Woman in Bar
658692	272413	Aunt Kitty
658692	309287	Ms. Jennings
658692	309857	Mrs. D?
658692	318457	Sophie Cooperman
658692	320421	Mrs. Callaghan
658692	333039	Edna Kroog
658692	335285	Boardroom Woman
658692	355519	Louise Shepherd
658692	365299	Mrs. Webley
658692	394123	William's Secretary #1
658692	402837	Grandma Kemp
658692	406621	Roberta Coign
658693	276854	Lucy Campbell
658694	143264	Marching Girl
658695	381823	Panelist (clairvoyant)
658696	119581	Ridiculous Parent
658697	276826	Melanto
658697	371213	Phoebe Meryll
658698	141366	Dilli
658699	363422	1st girl
658700	56747	Polly
658701	379837	Presenter
658702	325098	Additional Voices
658703	141257	Jenna
658704	53327	Stage Manager
658704	176748	Women in Need of Copies
658704	291255	Hospital Operator
658704	296266	Interviewee
658704	330386	Julie
658705	250440	Desk Clerk
658706	338324	Girl in plane
658707	134654	Waiting Passenger
658707	313334	TV Studio Crew
658708	45257	Herself, Principal of Buell E
658709	291988	Mitzi
658710	272592	Teenager
658711	80717	Vicki Anders
658711	105851	Julie
658711	292131	
658711	315577	Brianna
658711	347300	Field reporter
658712	251979	W & B Receptionist
658712	295027	Mary Hobbes
658713	390435	Denise (1979)
658713	392483	Arria
658714	16144	Nurse Hubert
658714	26062	Nancy Armitage
658714	74980	Julia Thompson
658714	79659	Clare
658714	117114	Tracy Norman
658714	130717	Bakhamra
658714	154877	Secretary
658714	163207	Jane
658714	215975	Secretary
658714	219950	Rhoda Adams
658714	220830	Kay Nelson
658714	277039	Mother Superior
658714	286120	Lois Foran
658714	310837	Fenetia
658714	323389	Jenny
658714	331264	Valerie Craig
658714	332167	
658714	348072	Linda
658714	361224	Woman in Curlers
658714	363440	Secretary
658714	388031	Helga
658715	406710	Additional Voices
658716	37318	Marion Hill
658716	46802	Mary Ann Coleridge
658716	47355	
658716	59842	
658716	101063	Ruby Lawson
658716	105178	Patty Newall
658716	112403	Jean Darcy
658716	112634	Sorority Girl
658716	126067	One of Do's Four Girls
658716	127248	Sabina Thornton
658716	146145	
658716	149129	Nurse
658716	163638	
658716	202933	Marjorie Norton
658716	203941	Irene Kirk
658716	210738	Nurse
658716	270652	Molly Selkirk
658716	277894	Dixie Summerall
658716	277963	Celia Barton
658716	279743	Louise
658716	288746	Student
658716	302721	Mary Lou
658716	304969	Telephone operator
658716	306327	Miss Jones, Dumb Switchboard 
658716	316946	Goldwyn Girl
658716	331498	Marian Bryant
658716	340468	Catherine Benson
658716	354222	Doris Colton
658717	185505	Book Ends
658717	247143	Girl at Pool
658718	16657	Selina
658719	31498	Mrs. Alede
658720	165419	Jane
658720	178284	Mary McKinnon
658720	277142	Cynthia Barton
658720	387642	Allison Mannering
658721	134093	Allison Chase
658721	239786	Naked woman
658721	273545	Marguerite Pierce
658721	280064	Katrina
658721	338920	Reporter #4
658722	107891	Sherry
658723	40174	Anne
658723	66930	Laura
658723	147108	Carolina Blue
658723	168246	Dr. Kim Maxwell
658723	219769	Mrs. Cloghy
658723	346092	Sally
658724	35353	Gayle Ford
658724	76554	Kirsten
658724	118432	Jennie
658724	143918	Sp4 Beverly Clark
658724	257196	Det. Lisa Munro
658724	307902	Holly
658724	330443	Receptionist (segment "Fantas
658724	355212	Suburban Reporter
658725	115378	Monica Frasier
658726	159025	Julia Cleves
658726	275214	Lucille Van Tuyl
658727	350315	Monica
658728	403985	Herself
658729	31286	Logan Wife
658730	143284	Cynical Woman on TV
658731	73482	Anne
658731	248480	Girl in Bar #1
658732	211600	Chorus girl
658733	409562	Annie Evans
658734	92669	Rockgroup Member
658735	367544	Undetermined Role
658736	277786	Angela
658737	3919	Stella
658738	104790	Gospel Choir
658740	131232	Extra
658741	47745	Marge
658742	265897	Lady Sarah
658742	294222	PR Girl
658743	55114	
658743	118982	Herself - singer
658744	296842	Sophie
658744	299838	Farmer's wife
658745	70816	
658745	86460	X-Girlfriend
658746	31643	Beach girl
658746	37674	Beach girl
658746	91900	Watusi Dancer
658746	92482	Robot
658746	113879	Fan
658746	127125	Mary
658746	151672	Beach Girl
658746	222797	The Slaygirl
658746	222931	Surfer girl
658746	246861	Pajama Girl
658746	294742	
658746	303900	Mary
658746	365473	
658747	42013	Merle Garland
658747	46714	Bride
658747	47370	Girl at Party
658747	51985	Lola Tremaine
658747	59614	Joan Reynolds
658747	65847	Arlene
658747	72133	Betty Higgins
658747	72219	Crystal Wayne
658747	77767	'Toddy' Tobin
658747	83787	Adele Blair
658747	85020	Silky
658747	86513	Jeanette
658747	93571	Joanne La Marr
658747	98690	Stagecoach Nellie
658747	109415	Jerry W. Lawrence
658747	116521	Dolly O'Brien
658747	118382	Anna
658747	119536	Jerry
658747	131532	Mira Bryon
658747	132754	Terry Lee
658747	133443	Secretary
658747	133604	Connie Wallace
658747	133766	Sylvia
658747	135790	Cleo
658747	145085	Terri Smith (bar girl)
658747	147552	Alice
658747	151732	Linda Roberts
658747	153985	Kitty Reed
658747	159944	Jean Maxwell
658747	168269	Millie
658747	176336	Polo Match Spectator
658747	183608	Vicki McGuire
658747	184953	Mabel Dooley
658747	185513	Terry Williams
658747	194354	Vera
658747	196913	Lola
658747	210429	Anne O'Rourke
658747	210833	Lily Durrell
658747	230302	Flo Parker
658747	231812	Lola May
658747	243206	Caroline Steele
658747	245610	Patricia Cordry
658747	245843	Rose Mapen/Rose Swanson
658747	276828	Judy Marlowe
658747	277891	Sally Slocum
658747	277953	Julie Steward
658747	278403	Polly
658747	280206	June McGuire
658747	304767	Helen Carlson
658747	312271	Barbara
658747	313295	June Lawrence
658747	323398	Gaye Livingston
658747	330087	Ann Van Reichton
658747	333155	Elaine Graham
658747	360043	Ethel Novack
658747	366889	Mamie
658747	367919	Miss Trimmerback, a Notary
658747	368321	Mrs. Borden
658747	372632	Marge Martin
658748	253818	Seatmate #2
658749	162427	Cindy
658750	6868	Missy
658750	185683	Apprentice
658750	273340	Schmidt's Girlfriend
658750	305777	Grace Nichols
658751	46067	Sheila Parslow
658751	121840	Receptionist
658751	171094	Receptionist
658751	183599	Simpson
658751	242750	Kathleen Bates
658751	382279	Mary
658751	395647	Alice
658752	128089	Director's Assistant
658753	152564	Julie
658753	260950	Dancer
658754	121785	Tall Lady
658755	66795	Billie
658756	195740	Soap Opera Player Missy
658756	364793	Mary Rebozo
658756	380391	Sara Montaigne (1986-1987)
658757	275330	Chanting woman
658758	22824	Aerobics Instructor
658758	166937	Josephine Leeds
658758	343281	
658759	23935	Herself - audience member
658759	86025	Rose
658759	138721	Herself
658759	154379	
658759	155887	Girl
658759	292121	Maureen
658759	292701	Gwen
658759	295489	Nurse
658759	321482	Maria
658759	323376	Teacher
658759	386488	Megan Roberts
658759	389511	Lady Apartheid
658759	392171	Bronwen Morgan
658759	395246	Herself/'Sandra Hutchinson'
658759	395793	Sandra Hutchinson (Series 2-1
658759	402607	Aunt Glenda
658759	407790	
658759	408035	Beth Jenkins
658760	408866	Shiree Moyer
658761	159132	Dancer
658762	271339	Arizona quint
658763	93217	Extra
658764	193622	London Town Dozen & One Girl
658764	340841	Singer of "Lili Marlene"
658765	385299	Miss. Tranter
658766	389140	Young Alice McCall
658767	288099	Herself
658768	354830	Saburo
658769	263636	
658769	339445	Neon Audience
658770	176920	Vinia
658770	267530	Missy
658770	367054	The Wiz Singers Adult Choir
658771	308139	Vicki
658772	363758	
658773	79340	Herself
658774	68901	
658774	102247	Mrs. Harvey
658774	115116	Nurse
658774	158322	First Lady
658774	250869	Dr. Fridden's nurse
658774	295185	Claire
658774	351907	Rita
658775	395196	Joyce
658775	395249	Helen Kingsley
658776	159175	Dancer
658777	154927	Party person
658778	406450	Sandi
658779	71683	Mrs. McAdams
658780	266625	Madame
658781	367861	Host/Sanya
658782	1727	Herself
658782	2562	Presenter
658782	288099	Herself
658782	369874	Herself
658783	118271	Herself
658784	1026	Jay'me
658784	44985	
658784	147745	Club Girl
658784	187053	Myadeeb
658784	334780	Jackie
658785	207828	Child in Classroom
658786	120695	Alice
658787	15431	
658787	58507	Val
658787	113553	Tina
658787	134632	Donna
658787	139195	Wife
658787	164550	Valerie
658787	185321	Stripper
658787	203549	Nurse
658787	215882	
658788	116443	Model
658789	401689	Kath Jones (1993-2001)
658790	196434	Hooker
658790	291233	
658791	397058	Presenter
658792	331826	Dr. Braun
658793	369605	
658794	12256	Bartender
658794	154168	Waitress
658794	177660	Cocktail Waitress
658795	288099	Herself
658796	318808	Betty Goody
658797	13596	Slaygirl
658798	351181	Odessa
658799	211337	Erica Henning
658800	108244	Nancy
658801	27313	Dr. Elisabeth Marx
658801	68162	Nurse Digroot
658801	76617	Sister Theresa
658801	90117	Grandmother DeMarco
658801	108087	Mrs. Naomi Finsecker
658801	114364	Ida
658801	149911	Mrs. Donovan
658801	161417	Meriam Bierston
658801	185766	Shany
658801	193548	Elspeth Gutshall
658801	206405	
658801	294381	Rebecca Stinnett
658801	304368	Matty Wheaton
658801	315210	Mother
658801	319187	Genendel Goldfarb (segment "Y
658801	380391	Emma Frame Ordway #2 (1976-19
658801	389417	Rose Carelli Fraser (1960-196
658802	159711	Peggy Falconer
658803	359425	Model
658804	348379	Lady in pub
658805	150052	
658805	360609	
658806	12625	Melanie Hilton
658806	45083	Stella Marsden
658806	54959	Vanessa
658806	60768	
658806	70633	Coralie Landsdowne
658806	78148	Sophie McCann
658806	90786	Dr. Farrell
658806	94856	Barbara Dunstan
658806	97223	Maria
658806	130730	Employee C
658806	138859	Carolyn
658806	142168	Sheila
658806	144895	Barbie
658806	149276	Lucy
658806	154094	Margaret
658806	158971	Honour Langtry
658806	162563	
658806	180472	Carol
658806	193765	Patricia Curnow
658806	196843	Lucinda Brayford
658806	197185	Sara
658806	197740	George's Advisor
658806	203584	Jules Myers
658806	223758	Aunt Helen
658806	223940	Helen
658806	231069	Amy Mackenzie
658806	248491	Mrs. Dickson
658806	249494	
658806	253976	Dr. Patricia 'Trish' Kent
658806	264147	Mrs. Worrall
658806	265777	
658806	268017	Claudine Cunningham
658806	275442	Jenny
658806	300916	Lynn Carson
658806	311248	
658806	318473	Girl
658806	318540	Additional Voices
658806	336653	Eva
658806	358752	
658806	359446	Girl
658806	365381	Elle
658806	380049	Marion Andrews
658806	380473	Additional Voices
658806	390685	Laura
658806	399816	Vanessa Harrison (1975)
658806	402012	Mary West
658806	403277	Jilly Stewart
658806	406462	State Coroner Kate Ferrari
658806	408632	
658806	411354	Janet Lee Bouvier
658807	41809	Extra
658808	224155	Race Course Extra
658809	36845	Navarro's Girl
658809	186392	Billy Van de Vere
658809	218256	Duchesse de Flauhault
658809	306807	Patricia DeVoe
658809	374197	Nathalie, Zaza's maid
658810	274353	
658811	275442	Young Jenny
658812	280663	Red Team: #28
658813	236972	Waltz of the Flowers
658814	191680	Aunt Pat
658814	385896	
658814	399816	Terry Sanford (1972)
658815	32887	Barry King
658815	112556	Jewett
658815	143090	Governor's Secretary
658816	280895	Girl
658817	93979	
658818	400762	Julienne (1980-1982)
658819	267453	Little Jenny
658820	291241	Floris
658821	321900	Marion
658822	230857	Big Sally
658823	153811	
658823	157662	Géraldine
658823	277339	Yvonne
658823	287975	Kouka
658823	334429	Annetta
658823	384816	Prostitute in Marseille
658823	389242	La conductrice de la camionne
658823	396804	Lamia Berkani
658824	391131	Ghost (Ashley)
658824	405670	Castaway II
658825	290758	
658825	352474	
658826	230857	Sally
658826	315889	Alysha Geddes
658827	87822	
658827	243307	
658827	265188	
658828	336983	Valerie Ferrati
658829	142491	Doctor Jenkins
658829	157785	Katherine 'Gumshoe' De Long
658829	305424	Kathleen O'Reilly
658829	317843	Mrs. Betty Ziff
658830	26799	1. Gayanerin - German version
658831	377240	
658832	200373	
658832	345290	
658832	351863	Fabienne jeune
658833	88268	Dancer
658834	162109	Caretaker
658835	269506	L'infirmière
658836	1425	
658836	16319	Jo
658836	18870	Lasse
658836	242756	Annika
658836	390854	Anna Lisa
658836	392375	Inger
658837	10670	Monica
658837	24701	Donna
658837	32425	Eloise
658837	44443	
658837	75282	Tourist Woman
658837	95271	Mrs. Harrison
658837	152220	Helen
658837	194140	Soap Opera Reader
658837	238682	Young Carlotta Douglas
658837	253499	Pam
658837	334385	Katina
658837	348545	Nurse
658837	361475	Homeless Woman
658837	368314	Bitsy
658838	63954	Une passante
658838	122838	Huguette
658838	128977	
658838	142869	Emilia
658838	157072	
658838	200973	La concierge
658838	225370	Madame Tronchet
658838	229078	
658838	230273	
658838	232931	La Coiffeuse
658838	237768	
658838	271333	Julie
658838	288898	La responsable SOS
658838	337138	
658838	347054	Martine's Mother
658838	409436	
658839	92453	Shamu Trainer
658840	220252	Layer Out of the Dead
658841	54995	Connie
658841	201349	Bride
658841	249323	Paige Raike
658841	372628	Pam Burns
658841	401350	Donna Franklin (1968)
658842	337562	Lucia - The Empress
658843	151187	Mrs. Linari
658844	16642	Matron
658845	231915	Nosey Neighbour
658846	176382	
658847	329527	Secretary
658848	307126	Margeaux
658848	387009	Girlfriend
658849	269907	
658850	66753	
658850	282019	
658851	68792	Bàrbara Martí
658852	242289	
658853	66037	
658853	361997	Silke Bischoff
658854	226354	
658855	300796	Vauva
658856	349735	Sairaanhoitaja #3
658857	341543	Filing clerk
658858	181740	Various
658858	182377	Bartender
658858	200086	Various
658858	239127	Various
658858	324608	Various
658858	336353	Various
658858	393034	Tuire
658859	9602	
658860	324482	Sponsorien daamit #2
658861	27408	Tanssija
658862	248735	
658863	255763	
658863	256366	Anne
658864	8789	
658864	82145	
658864	135752	Cameo appearance
658864	140805	Director
658864	179951	
658864	184609	Teacher
658864	197178	
658864	201835	Director and Producer
658864	236264	Neighbour
658865	149022	
658865	266997	Ami
658866	218808	Drax's Girl
658867	167417	
658868	398048	Herself (Winner)
658869	191502	Expert
658870	28826	
658870	33199	
658870	62106	Godfather's Wife
658870	121098	
658870	371583	
658870	371585	
658871	236249	Dr. Sara
658872	172212	Zhang Xiaolan
658872	374690	
658873	25887	Inspector Shang
658873	25902	May
658873	25905	May
658873	59068	
658873	60565	Siu-Hung
658873	60567	
658873	60886	Cheng Tai-Nan
658873	62840	Yen's mother
658873	87091	
658873	111188	Miss Chen
658873	131265	
658873	138626	Servant
658873	144848	
658873	147313	Woman Whose Husband Gambles
658873	149064	Hon
658873	152113	May
658873	152811	Mei-Hsiao
658873	181563	
658873	184329	Choi Hung
658873	194016	
658873	194087	
658873	194091	Chau Siu-Hong
658873	201835	
658873	268699	
658873	279632	Suya (Horton's sidekick)
658873	291619	
658873	295243	Yuen Hung/Mimi
658873	297490	Hung
658873	297901	Nin-Chi
658873	298380	
658873	298383	Lei's Sister
658873	298717	
658873	298787	Fang Shao-Ching
658873	324341	Girl in Whorehouse
658873	369044	Chu-Ying
658873	369061	Yang No. 8
658873	369587	Ha Hou's Aunt
658873	369589	Tour Girl
658873	369775	
658873	369862	
658873	370610	
658873	371573	Actress Portraying Ghost
658873	372389	June's Mother
658873	372996	Chan's Sister
658873	373055	Inspector Chiang
658873	373096	Yuen Wan-Yin
658873	376069	Leela
658874	247953	Old Boss Wang
658874	369972	
658875	370867	Stewardess
658876	189227	
658877	297536	Musician
658878	8604	Ah Ying
658879	213105	Pedestrian #13
658880	64702	
658881	367767	Flirt in Restaurant
658882	17934	King Mei Clerk
658882	61896	Nurse #1
658882	71138	Woman in Brothel
658882	73883	Nurse #1
658882	101704	Additional Voices
658882	320026	Stewardess
658882	365183	Song Lew
658883	25415	Secretary
658883	81776	Wendy Mogel
658883	107901	Betsy
658883	137258	Kimberly
658883	248495	Dr. Delia
658883	366687	Tracy
658883	391897	
658883	395489	Jan
658884	81640	
658885	1041	
658885	12536	Trabajadora en compañia
658885	30418	
658885	63983	Melita
658885	65011	Rosario
658885	80188	
658885	91311	Carmen 'la Chamuca'
658885	188993	Gloria
658885	193484	Lola
658885	196740	Mujr en la calle
658885	215427	
658885	260560	
658885	296141	Leocadia
658885	386016	
658886	278895	Juffrouw Groen
658887	287448	Vampira
658888	64333	Herself (1984)
658888	98303	
658888	166320	Herself
658888	223195	Herself
658888	231468	Junge Johanna Fähmel
658888	237876	
658888	245934	Herself
658888	250915	
658888	290642	
658888	300835	Herself
658888	337022	
658889	349408	Sisko
658890	185703	Grace Raukawa
658890	384356	Wiki Taylor
658891	392533	Herself
658892	242434	
658892	404898	Grundetta/Miesje Mooi/Erica/J
658892	407096	Wiske
658893	388051	Herself (2002)
658894	100787	
658895	53996	
658895	73495	
658895	74606	
658895	212475	
658895	263852	
658895	380107	Mother Superior
658895	381650	Ramona
658895	386126	
658895	395300	Ana Salas
658895	396394	
658895	398664	
658895	400490	Tía Fabiana Morales
658895	402219	Bárbara Rivera
658895	410327	Simona
658896	173831	
658898	270138	L.A. Scientist
658899	228785	Rose
658900	322313	Lasse's wife
658901	324808	Hoitaja
658901	409851	Tammukka
658902	213414	Maija Aalto
658902	258986	Immu's mother
658903	388912	Ritva
658903	392164	Johanna Lindhof (1999-2002)
658903	410461	Krista
658904	266169	Student
658904	315436	Claudia
658905	345585	Store Employee
658906	40034	Helen, Kemp's maid
658907	165136	Hjerteharpen
658908	354601	
658908	378049	Dagmar
658908	395358	Hildur
658909	392555	Onerva Brax
658909	400857	Onerva Brax
658909	404145	Birgitta Vainio
658910	197785	Lisbet
658910	307768	Schoolfriend Linnea
658910	384439	Jill (2003)
658911	268375	Sara
658911	294545	Vera
658911	377318	Eva
658911	406626	Kicki Ahlbom
658912	40941	
658912	342307	
658913	286242	Svava
658914	157078	Girl at a factory
658915	232830	Bo's Mother
658916	308048	Carol
658917	188453	Topless Table Girl #3
658917	252862	Michelle
658918	241389	
658919	87697	Baby Doll Dancer
658920	152429	Miss Elizabeth
658920	217821	Miss Elizabeth
658920	282671	Miss Elizabeth
658920	313744	Elizabeth
658920	318825	Miss Elizabeth
658920	318826	Miss Elizabeth
658920	318828	Miss Elizabeth
658920	320126	Miss Elizabeth
658920	320127	Miss Elizabeth
658920	320130	Miss Elizabeth
658920	341491	Miss Elizabeth
658920	360321	Miss Elizabeth
658920	360323	Miss Elizabeth
658920	360328	Miss Elizabeth
658920	360330	Miss Elizabeth
658920	360336	Miss Elizabeth
658920	360344	Elizabeth
658920	360345	Miss Elizabeth
658920	368817	Miss Elizabeth
658920	368818	Miss Elizabeth
658920	368819	Miss Elizabeth
658920	368821	Miss Elizabeth
658920	368822	Miss Elizabeth
658920	368823	Miss Elizabeth
658920	368824	Miss Elizabeth
658920	369252	Miss Elizabeth
658920	369303	Herself (nonplayable)
658920	409029	Miss Elizabeth
658920	410688	Miss Elizabeth (1996-2000)
658920	410689	Miss Elizabeth (1996-2000)
658920	410690	Miss Elizabeth (1998-2000)
658920	410691	Miss Elizabeth (1996-2000)
658920	411544	Miss Elizabeth
658920	411546	Miss Elizabeth (1985-1992)
658921	312824	
658922	5174	
658922	5970	
658922	6831	
658922	6836	
658922	13528	
658922	14079	
658922	17735	Enid Barwell
658922	21423	Nadia Meredith
658922	29309	The Secretary
658922	31615	The Widow's Secretary
658922	37865	
658922	42432	
658922	45224	Nora Denahy
658922	53782	Nell
658922	53885	
658922	63942	The cigarette girl
658922	67707	Risa Bartlett
658922	70914	
658922	71552	
658922	72011	
658922	73692	Mary Flynn
658922	91855	
658922	101036	Vittoria
658922	104517	Eleanor Lester
658922	107434	Myra Nell Drew
658922	107596	Mary Callender
658922	108365	Margaret Selfridge
658922	109885	
658922	115511	The Earl's ward
658922	117141	Dorothy Daniels
658922	128199	Paige's Secretary
658922	129819	Gilda Hart
658922	138981	
658922	143316	Phoebe Lester
658922	143367	
658922	143373	
658922	144486	Hiawatha
658922	144940	Edith Rhoades
658922	149265	Nancy Yeulette/Jessie Walton
658922	151467	
658922	151716	Natalie Nevins
658922	162362	Ruby
658922	164457	
658922	167653	
658922	185456	Lucy Carnaby
658922	187724	Lena Rivers
658922	190289	The Lady
658922	194577	
658922	201931	Estelle Carter
658922	206644	
658922	213307	Puck
658922	215617	Roma
658922	221322	Susie Simpkins
658922	224851	Doris Merrick
658922	232001	Elsie Lefferts
658922	232159	Mary Jackson
658922	240763	
658922	240901	Rosemary Masters
658922	241416	Gertrude
658922	244378	The girl
658922	245184	
658922	245647	Esther
658922	248028	
658922	261687	Peggie McGraw
658922	263454	
658922	263588	Mary Moore
658922	264169	The Elder Fairy
658922	264566	Agnes Bomar
658922	266224	Prudence
658922	267009	
658922	274653	Janie Roberts
658922	278035	'Miss'
658922	281155	
658922	292852	Mayflower
658922	299029	The shine girl
658922	301595	Etta Stampa
658922	304379	Lucia Morgan
658922	304506	Gladys Gray
658922	312824	
658922	313375	
658922	316766	Beam
658922	331058	Mitzi Callahan
658922	334974	Esther Hatburn
658922	337407	His sweetheart
658922	347353	Mary Hamilton
658922	358249	Marjorie Whitney
658922	359483	
658922	362187	
658922	363689	
658922	366084	
658922	372644	
658923	163729	Les comédiens-mimes
658923	228202	Femme couple de clients
658924	215057	Jeanne
658925	19986	
658925	26660	Sylvia
658925	77785	Faith Ives
658925	107782	Virginia Holland
658925	116277	Cousin Carolyn
658925	146291	Edith Danvers
658925	177335	Cordelia
658925	315890	Ruth Thompson
658925	348079	Gladys Lorimer
658926	316349	Mae
658927	242259	
658928	402197	Merle Jones (1986)
658929	147739	Chessie
658930	237600	Debbie Stiggs
658930	389269	French Girl (segment "The Cow
658931	296967	Girl Killed in Kitchen
658932	67680	
658932	106492	Susan Rogers
658932	117128	
658932	144993	Cynthia 'Cindy' Wood
658932	314526	
658932	365510	Mit-O-Ne
658932	372729	Carol Mae
658933	12276	Rose
658933	13394	Kathryn Willoughby (segment "
658933	20687	Ellen
658933	79740	Kitten
658933	112207	Kelly McIntyre
658933	128830	Karen
658933	140658	Bridget Hayward
658933	150412	
658933	200155	Cathy
658933	203340	Maggie Dawson
658933	230504	Mrs. Settigren
658933	241957	Helen Hettinger
658933	259275	Patti
658933	372089	Jackie Stadling
658934	10870	Hamillicar's waitress
658935	192725	Local newsreader
658936	7967	Mrs. Piper
658936	20886	Aunt Abby Brewster
658936	54973	Aunt Cora
658936	139786	Veta Louise Simmons
658936	183657	Miss Birdie
658937	195267	
658937	228209	
658937	321699	Hamsharis Daughter
658938	309202	Tri Pi
658938	350343	Lindsey
658939	320787	Lizbet Tollington
658940	367386	Marie Zaremba
658941	289522	
658942	155562	Jennifer
658943	72689	Tess
658944	384023	Catrin Lloyd
658945	381960	Citizen (Season 2)
658945	410959	Sheriff's Secretary
658946	381344	Szilvia 'Sziszi' Szentmihályi
658946	394559	Zsóka (2001)
658947	351502	China
658948	117210	Mrs. Skinner
658948	387518	Sister Crawford
658949	310866	Girlfriend
658949	333679	Mrs. Astley
658949	344356	
658949	384346	Sarah Sydenham
658949	385020	Gwen Davies (1999-2000)
658949	387429	Joanne Gallego
658949	387533	Karen Moore (1984-1986)
658949	403272	Brelca #2 (1988) (Seasons 3-4
658949	405639	Sandra Robinson
658949	407157	Muriel Parsons, practice rece
658950	51855	Lady in Waiting
658951	297290	Lady in Flat
658952	375077	
658953	4642	Maxine's Daughter
658954	125813	Mrs. Ziegler
658955	41877	Tankwartin
658956	65577	Sabrinna
658957	245816	Trophy Presenter
658958	155248	Additional Soul
658959	287774	
658960	338009	Nurse
658960	401596	
658961	395969	Herself
658962	283689	Wood Nymph
658964	43933	Eillen Treacle
658964	251646	Little Chrissy
658964	359753	Edith
658964	380391	Rain (1997)
658965	4282	Rosa
658966	305948	Waitress
658967	407166	
658968	2199	
658969	94342	Ann-Charlotte
658970	37002	School Teacher
658970	38340	Vigilante
658970	84486	Amber
658970	220891	Waitress
658973	115562	Rockette
658974	180929	My
658974	358846	Miss Måneskin-pige
658975	346299	TV Sports Reporter
658976	3182	
658976	32384	Span 2
658978	292587	Dana St. Clair
658979	310726	Reporter #3
658979	387209	Herself/Correspondent (1996)
658979	390316	Herself - Entertainment Repor
658980	214430	Cafe Patron
658982	410280	Annika Fridell (1997-)
658982	410462	Madeleine Åqvist (1996-1997)
658983	61418	Massage Parlor Girl
658984	241989	Pamela Kutiainen
658984	388240	Stina
658984	394555	Various
658985	309064	
658986	405570	Polisassistent lindskog (1996
658987	84328	Rineke
658987	111567	Lina
658987	122504	Emma
658987	405617	Wilma Steen
658988	122462	High school student
658989	332423	Stella
658990	357749	
658991	130167	Civilian
658991	157720	M.A.C. Store Customer
658991	314174	Aria
658991	345690	Extra
658992	25282	Young Valerie
658992	128954	Peg
658992	182579	Ann
658992	390151	Anette
658992	405539	Signe (2000, 2001)
658992	405822	Åsa
658993	396345	Cook
658994	104751	Israeli entry (6th place)
658995	359816	
658996	175241	Truusje Bakels
658997	183426	Silicon Woman
658997	185900	Mrs. Nakumisi
658997	199896	Bélinda
658997	241731	New Hospice Nurse
658998	285269	
658999	303195	Lambert's cleaning lady
658999	355639	Miranda
659000	15020	
659000	120071	
659000	148764	
659000	193895	
659000	248032	La fille de la visiteuse
659000	376969	
659001	156040	
659002	67921	Tara
659003	67921	Tish
659004	267497	Kirsten
659005	47542	Matron Turner
659005	77017	Gym Teacher
659005	81789	Miss Davis
659005	139466	Ethel
659005	185537	Jimmie Sue
659005	194039	Vi
659005	195640	Lenabelle
659005	235422	1st Robbery Victim
659005	265100	Mother Superior
659005	325218	Bartender
659005	327840	Woman with groceries
659005	331022	Ruby
659005	395933	Peach Johnson
659006	273090	
659007	74327	
659007	202960	Rosa
659008	76670	Daens' Daughter
659009	245122	Party Scene
659010	264525	Contre-Maitress
659011	23699	Suzanne Gray
659012	351034	Katherine (Charlie)
659013	128707	Stripper
659014	217448	Classroom student
659015	33190	Annie Lawson
659015	37060	Barbara Scott
659015	45878	Kate Taylor
659015	60164	Laura
659015	131746	Ann
659015	277295	Claire
659015	278001	Linda
659015	289645	Paulette Goddard
659015	303680	Audrey Landis
659015	382912	Mrs. St. George
659015	386602	Sheila Castle
659015	403027	Peggy McLean
659016	5304	Presenter
659016	380295	Presenter
659016	382791	Presenter
659016	384352	Presenter (1999)
659016	391776	Presenter
659016	391778	Presenter
659016	403808	Herself
659016	408481	Presenter (2002)
659016	408546	Presenter
659017	232986	Pregnant victim
659018	163256	Redhead on Monorail
659019	305723	Debbie
659020	104692	Jurylid
659021	387533	Bouncer (1/1999)
659021	408053	Chapeltown Prostitute
659022	105779	Six-Gun Annie
659023	1302	Lady Phyllis Pilcott
659023	28203	
659023	65500	Kate Nelson
659023	66178	Ursula Ardfern
659023	69847	Antonia Sanger
659023	85808	Marda Blackett
659023	87613	Phil Stenning
659023	88094	Giuditta Pasta
659023	96991	Telephone receptionist
659023	116198	Marion Lee
659023	123354	Eleanor La Velle
659023	124082	Nurse Gladys Beeton
659023	124714	Miss Channing
659023	138770	Miss Moon
659023	138771	Yvonne
659023	142671	Mary Lamb
659023	144980	Evelyn Seymour
659023	148926	Eve Martin
659023	151046	Betty Harlow
659023	167253	Marie Auguste
659023	183782	The Lady of the Lake
659023	185444	Lady Kitty Winton
659023	190499	
659023	191752	Sybil Craven
659023	194302	Mrs. Isobel Service
659023	194451	Janet King
659023	210798	Audrey Paxton
659023	218786	Diana
659023	242110	Phyllis Emerson
659023	251644	Myrna
659023	264730	Dona Dolores, a Lady of Myste
659023	271230	Julia Layton
659023	286125	Evelyn Standish
659023	292251	Ina
659023	294948	Countess Riccardi
659023	309874	
659023	320465	Madame Diane Eyrelle
659023	321850	Lesley Fullerton (UK version)
659023	325126	Rita Parker
659023	367899	Margaret Sones
659023	368676	Peggy Vane
659023	368801	Mary Shelton
659023	390934	Victoria Cromwell 'Vicky' Hal
659024	94204	
659025	288466	
659026	20	Mary Kelly
659026	21791	
659026	42397	
659026	54398	Stenographer at the Homestead
659026	116967	
659026	124226	Tilly Snooks
659026	143070	Niatana
659026	145920	Undetermined Role
659026	146938	Tonia
659026	149156	Stenographer
659026	178105	Leah
659026	178758	Dance Hall Girl
659026	190398	Pansy Wilde
659026	245524	Lucy Spode
659026	263286	Rita
659026	310683	Marie
659026	341920	Edith Sheridan
659026	351746	Miss Aileen Mulvaney
659026	363348	Kathleen Chatsworth
659027	335555	Marty
659028	8030	Mrs. Carstairs
659028	19086	Agnes
659028	35129	Diana Armytage
659028	42093	
659028	52542	Joan Lawton
659028	61695	Lady Redscarfe
659028	73756	Mrs. Stepping-Drayton
659028	80682	Mrs. Whitelaw
659028	84641	Marion Thornton
659028	89371	The girl
659028	94530	Lady Irene Worth
659028	133544	Clara Borstwick
659028	162847	Christine Vereker
659028	175183	Violet Campion
659028	177435	Lady Oxborrow
659028	178357	Kitty Tailleur
659028	183827	Lady Rachel Tetly
659028	191000	Landlady
659028	194517	Lady Violet Elliott
659028	198459	Lady Glorie
659028	206340	Pat
659028	210500	Mary Maitland
659028	241275	Rosemary Thurman
659028	264054	Isabella Milbanke
659028	274246	Rachel West
659028	282614	Lady Forrest
659028	289590	
659028	301625	Rosamund
659028	302169	Simone Evrard
659028	312358	Marjorie Clayton
659028	321478	Cynthia Mortimer
659028	331148	Elsie Glen
659028	340028	
659028	348395	Vera Dane
659028	363904	Mrs. Lyall
659028	368026	Edith Dearing
659028	372789	
659029	95489	Oona Canute
659030	52904	Aunt Henriette
659030	147512	Maid
659030	158165	Queen
659030	214961	Woman
659030	374198	Woman
659031	280470	Tess
659032	401026	Miss Parker
659033	6254	Amélie
659034	58288	
659034	67202	Monique
659034	111118	Ilse
659034	133163	Laura
659034	221269	Madame Colbert
659034	272455	Barbara
659034	345037	Ingrid
659035	202195	Maid at open air market
659036	308401	Roxy
659037	168051	Herself (Lead singer)
659037	183430	Herself
659038	13637	Autograph Hound
659040	79708	Herself
659040	95786	Helene Lennox
659040	132632	Betsy MacGruder
659040	146661	Miriam
659040	158273	Karen
659040	220142	Geneva Carson
659040	253357	Laura Rand
659040	308711	Gail Leery
659040	312971	Hazel Show
659040	321731	Megan
659040	351422	Lauren "Boots" Daws
659040	385802	Gail Leery (1998-2003)
659040	387343	Marilyn Teller
659041	363560	Doctor
659042	237496	Sun lady
659043	114501	Alex
659043	244864	Baton Twirler
659043	365623	Kate
659044	95681	
659044	166591	
659044	191480	
659044	259975	
659045	108898	Le corps nu de la vieille tan
659045	210010	Strandkorbvermieterin
659046	92215	Darlene Dunmore
659047	97360	Choir Member
659048	26134	Jasmine
659048	96684	
659048	138135	Additional Voices
659048	169513	Katie
659048	335298	Varya
659048	336452	Elizabeth
659049	33482	
659049	51254	Lucy Broadhurst
659049	87499	Christiana
659049	89704	
659049	90726	Elize
659049	294882	
659051	313441	Technical Assistant
659052	156466	Girl with Dart Rifle
659053	159018	Baby Eric
659054	76726	Moeder van Daaf
659054	168999	Inge Smeets
659054	170297	
659054	194371	Marlies Benninkmeijer
659054	231672	
659054	373732	Lokettiste
659054	398575	Dochter
659055	398045	Herself - Expert in nutrition
659056	119694	Host
659056	392407	Herself
659056	396280	Programleder
659056	402526	Programleder (host)
659056	412221	Host
659058	142436	Girl Friend
659059	602	
659059	3275	
659059	5195	Telsa
659059	72670	Marie
659059	98120	Susanne
659059	120038	Ingeborgas Tochter
659059	126427	
659059	141962	Doris
659059	141970	Annabel
659059	149127	Julia
659059	159958	Jeanne
659059	235198	Anke
659059	301104	
659059	312878	Sara Viersen
659059	325549	Tanja
659059	325886	Miriam
659059	335023	Steffi Oehlke
659059	361053	Svetlana
659060	232097	Child in car
659061	338940	
659061	401831	Herself
659062	104464	
659062	319336	Ruth
659063	382838	Karen Dalton (1999, 2000)
659064	31870	Mary
659065	233912	Waitress
659066	115943	Basketball crowd extra
659067	354563	Anna
659068	226899	Mother
659068	331065	Miss Flannery
659068	385719	Janet Findley
659069	99919	Mom
659069	296107	Donna
659070	82271	
659070	323960	
659071	347855	Local Girl
659072	224942	Elsa
659072	354563	911 Operater
659073	233515	Kaylin Peterson
659074	116750	Police Officer
659074	346016	Inmate
659075	131077	Cassowary
659076	273698	Margaret Hoey
659077	46901	Herself - Stephen Hawking's A
659078	263799	Sen. Cathryn Mayfield
659079	78828	Ghost
659080	6125	Saleswoman #2
659081	93594	Party Guest
659081	391340	Fiona (1988)
659082	357999	Lt. Joan Marsh
659083	90377	Trudy the Hatcheck Girl
659083	127351	Booker #1
659084	405209	Gretchen Olsen (1997)
659085	35640	Gloria
659086	66343	Mrs. Tashman
659086	215730	Hester
659086	346108	
659087	51838	Mary Katherine Crowley
659087	61329	Stephanie
659087	75421	Angle
659087	84873	Barbara
659087	93025	Meg
659087	112485	Jessie
659087	119792	Lilly
659087	121615	Hillary
659087	139114	Sheryl Billings
659087	164983	Kyle Bradley
659087	165977	Tricia Jones
659087	196407	Annie/'Teddy'
659087	202490	Tricia Jones
659087	252877	Amanda
659087	264934	Anna
659087	295468	
659087	295826	Didi
659087	348612	Laura Saunders
659088	220775	Bridal Gown Lady
659089	50936	Fencer
659090	380815	Herself
659091	146923	Waitress
659092	12228	Dawn
659092	51991	Ice
659093	370051	Second Couple Woman
659094	131198	Gianetta
659094	162095	Phyllis
659094	282951	Rose Maybud
659094	334757	Special Guest
659094	339366	The Plaintiff
659095	244402	
659096	141786	Jini Owen
659097	351983	Vera
659098	240612	Patrolman 3
659099	1883	Elf
659099	105265	Shirley
659099	206026	Nun 1
659100	305036	Dancer
659101	73479	Mrs. Kirby
659101	81789	Nancy
659101	276698	Rose
659102	300909	Mrs. Farnol
659103	185202	Mrs. John Henry
659104	249599	Herself
659105	393583	Billy
659106	388765	
659107	133812	
659108	384097	Mandy (1996)
659109	333329	Reporter at Arena
659110	74006	Linda
659111	326596	Mrs. Brown
659112	12153	
659113	24429	Foxxy's Backup Dancer
659114	193479	Mrs. Harlan
659115	223700	Emma
659116	245128	Neva St Clair
659116	248491	Celia Roberts
659116	295784	Tracy
659116	388306	Corrine Todd
659116	395282	
659116	405960	Mary Reynolds (1985)
659117	3942	Beautiful Babe
659118	55688	Bed Customer
659118	55700	Eileen Denby
659118	133780	Girl at Villa
659118	289231	Teenager
659118	348358	Flavia
659118	381661	Various Roles (1973)
659119	114364	Sheila Tagliaferro
659120	259648	
659121	98282	Elis
659121	290167	Erika Maier
659121	290767	
659121	296368	Lilly
659121	312051	Martha Zitzler
659122	378556	Autostopperin
659123	109475	Prison Vistor
659123	269765	Bordello girl
659123	281145	Lycosian Troop
659124	277140	Older Cosima
659125	282416	
659126	189092	
659127	127318	
659127	188491	Doris Trent
659127	230954	Leslie
659127	305005	Lori/Nicole
659128	86959	Janis
659129	68387	
659130	76358	Mary
659130	85457	Yi
659130	135083	
659130	204930	Xiao-Hung
659130	286902	Cheung San-San
659130	371924	Charmy
659131	14180	Ashena
659131	14181	Ashema
659132	212511	Lychee
659133	141576	Candace
659133	233012	
659134	167820	Annie's Relative
659135	138478	Girl with oxen
659136	170810	Votimo
659137	18598	Bridge Crosser
659138	62106	Girlfriend #1
659139	27789	
659139	184753	
659139	373153	Brothel door girl
659140	370404	
659141	35643	Clerk
659141	51643	Nurse
659141	187418	Chinese woman
659142	48431	
659143	30513	
659143	349815	Nelson's Mother
659144	235957	
659145	166991	
659145	166995	
659146	316182	
659147	190908	Sarah
659147	217644	
659147	316191	Ticket Taker
659148	171637	Guide
659149	672	Señora Carmen
659149	83889	
659149	87807	Paula
659149	384781	
659149	398218	
659149	400942	
659151	330570	Go-Go dancer
659152	393485	Herself (1994-2000)
659152	409177	Herself - reporter
659153	11410	Nurse
659153	183868	
659153	273422	Janet's Colleague
659154	35506	Miss Arlington
659154	70454	Laraine Sands
659154	70563	
659154	149790	Jacy Woods
659154	162902	Mac's wife
659154	301753	Chrissy Lee
659154	367253	
659154	372847	Tanna Hildegard
659154	385824	Anna Fredericks Brady DiMera 
659154	387152	Dana Bethany Waring Carringto
659154	391265	
659154	396145	Eden
659154	397866	Sarah Cumberland (1979-1980)
659154	398015	Marcia Carson (1994)
659155	127295	Peggy Morgan, Prosecution Wit
659155	203290	Marie Helene
659155	205718	Stenographer
659155	275872	Janelle
659155	299649	Mrs. Burkett
659155	309153	Juanita Barlett
659155	338313	Mom Luddigger
659156	265092	Pilgrim
659157	92618	Court Reporter #3
659158	390814	Newsreader (1991-1992)
659159	352682	District nurse
659160	133345	Party Guest
659161	13533	Kaitlin Fairchild
659162	93136	Claire
659162	103093	
659162	106522	Kassia
659162	108893	Lady Beltham
659162	114206	Mary Sloane
659162	115131	Lisa Ford
659162	118653	Juliet Bristow
659162	119599	Chris
659162	171675	Suzy Buckley
659162	187254	Ann Barrett
659162	195854	Astrological Girl at Party
659162	200529	Margie Cohn
659162	206232	Mavis Wald
659162	214087	Diana Masterson
659162	236624	La femme
659162	241074	Susan Townsend
659162	245998	Maureen Preble
659162	276785	Andrea Markovitch
659162	283560	Ellen Case
659162	285703	Annabel West
659162	285774	
659162	288937	
659162	291041	Susan
659162	293818	Deborah
659162	305857	Adrianna
659162	311252	Blanche
659162	317153	Lillian Hawthorne
659162	324949	Donna Lloyd
659162	341973	Pat
659162	342762	
659162	356312	Claire
659162	356335	Mina
659162	365166	Suzie
659162	376311	Mrs. Martin
659162	385594	Vanessa Beaumont (1989-1991)
659162	386966	Maria Crittenden
659162	388249	Tsarina Alexandra
659162	388419	Lady Beltham
659162	390274	Charlotte Stant
659162	391932	La femme
659162	396670	Cynthia
659162	396961	Ruth Wilder
659162	411356	Olivia Wainwright
659163	29112	Hero Hostage
659163	276606	Hardware Store Clerk
659163	327055	Brazilian CFN
659164	34903	Herself
659164	138721	Herself
659164	232018	Member of audience
659164	400082	Flower Seller
659164	400325	Presenter
659164	406944	Presenter
659164	407961	Herself
659164	408075	Guest Presenter (2004)
659164	410705	Presenter
659164	411331	Guest Presenter (1991)
659165	309158	J-Wags Patron
659166	323026	Belinda Napier
659167	167238	
659168	240165	Librarian
659168	294798	Girl
659169	408866	Charmaine Morton
659170	90078	Donna Elvira
659170	129025	Sesto
659170	233377	
659170	329902	Irene
659171	140160	
659172	276869	Nancy
659173	253976	Carol
659174	242551	
659174	300524	
659175	24502	
659175	29903	Rita
659175	339880	
659175	373281	
659176	191196	Dee Dee
659177	276826	Human Frailty (Prologue)
659178	167876	Peg Fitzgerald
659178	214518	
659179	381981	Chemmy player
659180	15224	Herself
659181	366695	
659182	77207	Female reporter
659183	27107	Dead Girl's Mother
659184	390144	Falcon (1993-2000)
659185	140928	Violet
659186	163313	Lady Denvee
659187	2797	Herself
659187	4671	Herself
659187	32654	Alice Newton
659187	32658	Alice Newton
659187	48950	Rosie
659187	48951	Rosie
659187	55727	Sally
659187	60163	Kate Baker
659187	79478	White House Tour Guide
659187	126648	Dr. Gail Holland
659187	134077	Jan Edgecomb
659187	161345	Herself
659187	166917	Laurel Boyd
659187	170522	Sarah Whittle, 1995
659187	178207	Linda Streicher
659187	193411	Grace
659187	197068	
659187	214946	Herself
659187	218415	Flint
659187	218416	Flint
659187	236083	Mrs. DeWitt
659187	242113	Kate Corvatch
659187	271192	Sally Dibbs
659187	272026	Wendy Judd
659187	276869	Megan Dayton
659187	310192	Herself
659187	315160	Margaret O'Malley
659187	346092	Foxtrot Dancer
659187	358669	Herself
659187	382479	Bonnie Kelly
659187	382972	Bonnie Kennedy
659187	385797	Gwen Davis (1992)
659187	390484	Carol Anne Smithson
659187	392423	Herself
659187	395573	Bonnie Molloy
659187	402296	Herself
659188	86542	Beth
659189	223777	Newscaster
659189	316504	Sales Woman
659189	347689	Elizabeth Olsen
659190	276869	Nurse Alice
659191	107351	Helen
659191	189404	Woman in Street
659191	275390	Landlady
659191	378755	Claire Bell
659192	290936	Dancer
659193	92657	
659194	337265	
659195	21173	Barge Lady
659195	222597	Rehearsal actress #6
659196	113515	
659197	63992	Indian girl
659197	139087	Indian Housekeeper
659198	265101	
659198	390771	Elizabeth "Lizzie" Spaulding 
659199	154271	Darlene
659199	177619	Phyllis
659199	302468	Theater Person
659200	151458	Ms. Thang
659201	59970	Church Lady
659202	355030	
659203	35542	Cathy
659204	29297	Bobbie Reynolds
659204	41939	Betty Mason
659204	64541	
659204	105948	
659204	114286	
659204	129869	Gloria Palmer
659204	130670	Bobbie Reynolds
659204	130967	Russian Girl
659204	131618	
659204	140898	
659204	154256	Tillie
659204	211601	Maxim Girl
659204	228826	Bobbie Reynolds
659204	235182	Beth Baldwin, posing as Beth 
659204	240532	
659204	244890	
659204	276318	Honey Evans
659204	315140	Patricia Morrow
659204	326570	Mary (as Elinore Hunt)
659204	328757	
659204	339738	The Actress
659204	358451	
659204	364461	Sally Morgan
659204	371028	Bobbie Reynolds
659205	33732	Jane Ventress
659205	220302	Mrs. Anderson
659205	354488	Rosie Barton
659205	389357	Amalie Freud
659205	390523	Mrs. Mainwaring (1991-1992)
659205	398351	Beryl Fearnley
659206	74213	
659206	126293	Hettie
659206	126294	Maisie Butler
659206	356948	Mrs. Lever
659207	306037	Sancherezza
659208	39990	Julia Boxtel
659208	364838	The Widow
659209	277544	Herself
659209	372311	Penny
659210	38358	Claire Bentley
659210	154577	Janet
659210	245605	Rosemary
659210	402165	Lisel Prince
659210	402218	Ruth
659210	403811	Hilary
659210	404655	Rebecca Fogg
659210	406694	Jenny Ritchie
659211	144366	TV singer
659212	252278	Betty Kingdon
659213	163342	
659213	166225	Julia
659214	183306	Shelby
659214	294980	Swamp Thing At Spa
659215	276928	Child #1
659217	334451	Cheryl Portman
659218	1674	Herself
659218	2761	Herself
659218	2771	Herself
659218	3021	Herself - Best Actress Winner
659218	3027	Herself - Presenter: Best Act
659218	3046	Herself
659218	7582	Herself
659218	11590	Susan Lindsay
659218	16660	Lizzie Eaton
659218	21448	Carol Connelly
659218	31196	ABC Team Contestant
659218	34673	Unknown
659218	37883	Jenny Wells
659218	42386	Rose Pondell
659218	56431	Kelly Frears
659218	61552	Naomi
659218	62547	Cathy
659218	75546	Betty Ann Fitzgerald
659218	81269	Teila Rodriguez
659218	83960	Sandy Cameron
659218	92618	Bree Davis
659218	100117	Janine Roby
659218	120404	Princess Henrietta
659218	126737	Herself
659218	128727	Lynne Stone
659218	131668	Mrs. Erlynne
659218	140399	Sharon McNamara
659218	154662	Phoebe
659218	158140	Gina Pulasky
659218	158781	Jesse McCandless
659218	161474	Blossom
659218	178099	Bev Kilmartin
659218	201641	Herself
659218	213860	Jennifer
659218	214948	Kathy Miller
659218	221114	Annie
659218	222651	Pamela Smart
659218	228355	Mary
659218	228970	Herself
659218	231110	Jessie Gates
659218	241583	Truck Driver
659218	242111	Claire Enfield
659218	251194	Arlene McKinney
659218	251867	Beth Bodell
659218	256427	Sarah Sargeant
659218	265605	Teri
659218	267061	Leena (Trancers sequence)
659218	269082	Tami Maida
659218	280665	Tracy Calder
659218	296255	Rene
659218	299680	Tracey
659218	310837	Kristina Matchett
659218	314158	Hope Wyatt (adult and pregnan
659218	321281	Debbie Markham
659218	321611	Roberta
659218	337995	Leena
659218	337999	Lena Deth
659218	338000	Lena
659218	338155	Janice Hurley
659218	342364	Viola
659218	342685	Dr. JoAnne 'Jo' Thornton-Hard
659218	342689	Herself
659218	358374	Tracy
659218	360032	Anna
659218	362453	Darcy McGuire
659218	380143	Jill Prentiss
659218	383414	Additional Voices
659218	388838	Kerry Gerardi
659218	389691	Additional Voices
659218	393070	Lisa Quinn
659218	396350	Jamie Eunice Stemple Buchman
659218	398213	Herself
659218	398710	Rebecca Miller
659218	406319	Clancy Williams (1984-1986)
659218	407175	Helga Robinson
659218	411149	Abbie Bright
659219	118525	
659219	289191	Organist
659219	358184	Mrs. Jed
659219	368244	Adagio dancer
659220	385299	Pippa Wade
659221	6252	
659221	12194	May Smith
659221	21504	
659221	26827	
659221	28846	
659221	29347	
659221	37271	Dance Hall Girl
659221	37933	
659221	38682	Anne
659221	38741	
659221	42550	
659221	44038	Mary Hatfield
659221	49737	
659221	58934	Mary Cullen
659221	64104	Gwendolyn Valentine
659221	64509	
659221	73395	
659221	81080	
659221	85023	
659221	92957	Nancy Hanks Lincoln
659221	104340	Governor's Wife
659221	106155	
659221	108007	
659221	116768	Mrs. Dawson
659221	117276	
659221	117708	Mary Gordoon, The Mother
659221	128437	
659221	129537	Miriam
659221	133685	
659221	134876	
659221	135917	Alice Benchley
659221	138112	The Calabrian Kid
659221	141348	Sue
659221	141437	Jennie Parker
659221	142294	
659221	143033	Muriel
659221	143295	
659221	145895	Sally Randolph/Sarah Catherwo
659221	148404	
659221	149481	Muriel Wilton
659221	151440	
659221	162549	
659221	163319	
659221	171144	
659221	175620	
659221	185124	Emma Gannell
659221	190175	One of Pancho Villa's sisters
659221	196912	Helen
659221	203045	Betty Herron
659221	207767	Mary Helms
659221	213980	
659221	218706	Badoura
659221	220340	Harriet Copley
659221	239678	Rose Harrison
659221	240026	Nancy
659221	240691	
659221	242014	
659221	245394	The outlaw's elder sister
659221	245657	Mabel
659221	251155	Ruth Sternhold
659221	252217	Señorita Carmelia
659221	254508	Mrs. Deering
659221	301738	The Dance Hall Girl
659221	307375	
659221	311520	
659221	312905	Betsy Shelton
659221	314832	
659221	315149	
659221	316455	Gypsy girl
659221	331705	
659221	331874	
659221	342698	
659221	359339	
659221	366581	Mary Manners
659223	43986	
659223	154379	Herself
659223	372210	Sales Assistant
659223	385164	Comedy regular
659224	312041	Jane Hilton
659225	187706	Florence
659226	222495	Customer at Sardi's
659227	234220	Flo
659228	144114	Nurse
659229	50891	
659229	67178	
659229	107486	
659229	178355	Mag
659229	192310	
659229	288611	
659229	311984	
659230	270363	Herself
659231	300067	
659232	135936	Damsel in Distress
659233	157324	St. Jude Student
659234	232278	June
659235	71126	Bella
659235	79025	Val
659236	66926	Pru
659236	128891	Nurse
659236	236118	Claire
659236	273825	Irma
659236	382273	Shaz
659236	385020	Angela Nelson/Harris (2002-20
659236	388486	Val Lorrimer (Series 1-2) (20
659236	403047	Irma
659236	410978	Cheryl Lampard (I) (1998-2000
659237	367891	
659238	200875	Serena
659239	265598	Tanya Deal
659240	252506	
659241	194324	Clothos/Narrator
659242	308026	Motel Clerk
659244	330405	(segment "The Wrap-Around")
659245	276249	Itinerant
659246	245675	Tina
659247	138669	Mother
659248	192725	Barman
659248	266678	'Intersect' host
659249	37176	Executive #3211
659249	62787	Tammy
659249	102731	Hanna
659249	102732	Hanna (episode "Locked Up")
659249	203600	Nymphet
659249	309213	
659250	10081	Alberta
659251	2761	Herself
659251	2804	Herself - Best Supporting Act
659251	8631	Nora
659251	13418	Narrator
659251	30588	Rose (segment "The Room")
659251	44764	Dr. Prance
659251	55252	Narrator (Quoting Poe for the
659251	61339	Narrator
659251	92865	Sister Madeline
659251	95181	Shadout Mapes
659251	97026	Kathryn
659251	97271	Narrator
659251	99067	Katina
659251	108086	Mona
659251	155859	Ilsa Grunt
659251	159570	
659251	162679	Narrator
659251	162878	Narrator
659251	177204	Miss Schlowski
659251	208245	The Magician
659251	230563	Narrator
659251	234812	
659251	234813	
659251	243950	Herself
659251	245179	Narrator
659251	250949	Narrator
659251	258509	Grandmother Willow
659251	258513	Grandmother Willow
659251	260362	Mrs. Oxheart
659251	266419	Regina Krumm
659251	271198	Atwood Society Director
659251	275330	Dr. Ann Cuthbert
659251	281443	Mrs. Sanders
659251	296843	Narrator
659251	298127	Hooper
659251	302031	Stella
659251	341945	The Voice
659251	342403	Angeline
659251	368146	Narator
659251	370855	Billy Kwan
659251	372806	Frances
659251	381556	Host
659251	383490	The Management
659251	383803	Narration & Voice Overs
659251	402032	Judge Zoey Hiller (1998-2004)
659251	406080	Cmdr. Chennault
659252	403513	Herself (regular)
659253	140953	Lewis' mother
659253	151109	Mrs. Dorothy Slater
659254	203143	Nurse
659254	230430	Mrs. Hainton
659254	233651	Mrs. Pog
659255	232981	Sally Clackwell
659256	270383	
659257	40483	Ma Millicuddy
659257	53263	Nurse
659257	91746	
659257	92957	Mrs. Gollaher
659257	99460	
659257	108017	Mrs. Simpson
659257	138876	
659257	141278	Mrs. Abraham Lincoln
659257	141362	Mrs. Adolph van Housen
659257	184300	The Housekeeper
659257	239647	Fran Ruder
659257	269304	Mother Superior
659257	276055	Matron
659257	283425	Mrs. Foley
659257	327410	
659257	341000	
659258	8248	
659259	5531	Claire Patterson
659259	5987	Marcia Tillayou (Actor's Bloo
659259	7493	Martha Linddstrom
659259	17656	Julia 'Spindles' Clemens
659259	20273	Harriet Lindsay
659259	20976	Nora Ryan (in clip from 1947 
659259	26721	Kate Hazelton
659259	41502	Charlotte Kahly
659259	41772	Jessie Bartley
659259	43353	Edith Brennan
659259	44507	Judy
659259	46729	Sylvia Lockwood
659259	55393	Nora Ryan
659259	60343	Hope Thompson, Amy's Daughter
659259	62422	Elizabeth Lyons
659259	67139	Sylvia Smith
659259	67864	Valerie
659259	74182	Flo Norris, Nurse Aide
659259	83593	Judith Belding
659259	96939	Woman
659259	96989	Donna Westlake
659259	99399	Barbara Braun
659259	110273	Mrs. Varney
659259	115474	Miss Claire Blair
659259	125811	Julia Atwater
659259	138886	Susan Bonnard
659259	139316	Susan Bowen
659259	147650	Patricia Blakeford
659259	152522	Diana Steed
659259	154916	Pauline Miller
659259	160433	Francine Taylor
659259	162208	Miss Eleanor Worth
659259	167558	Secretary/Receptionist
659259	167561	Doctor Gehlen
659259	168220	Kitty Crusper
659259	168285	Mary Hewett Smith
659259	168693	Joe's Mother
659259	176343	Jane Mitchell
659259	187323	
659259	188542	Evie O'Connor
659259	194031	Martha Sharon
659259	194721	Katie Mallory
659259	206887	Mary Ryan
659259	222628	Nora Barry
659259	223019	Rosalind
659259	233874	Anne Dobson
659259	234807	Marja Pacierkowski
659259	247372	Leila Tree
659259	252127	Katherine Logan
659259	255887	Fredie Andrews/Collins
659259	258297	Kate Miller, Hotel Owner
659259	263555	Mary Bennet
659259	272915	Ann Martin
659259	295380	Regina 'Reggie' Van Maaster
659259	305498	Martha Gray, Elliott's Secret
659259	313365	Barbara Burnette
659259	323457	Martha Wier
659259	328520	Marge
659259	330087	Betty Ainsbridge
659259	331205	Cameo appearance
659259	332063	Amy Morgan
659259	339394	Agatha Hall
659259	347061	Gail Fenton
659259	349983	Constance Scott
659259	355092	Mary Lee Calvert
659259	366395	Lucy Morgan
659259	367813	Jane Taylor
659259	401099	Jennifer Peck (1959)
659260	47191	Nurse Amanda Persil
659260	92669	Gaynor
659260	151777	Mariana
659260	244315	Bianca
659260	277622	Malibu Party Guest
659260	294079	Nurse Jo
659260	324552	Salena
659260	361244	Leah Wheat
659261	6526	Lady Brocklehurst
659261	15886	Baroness von Livenbaum
659261	17544	Princess Betty Tversky
659261	23008	Helen Vaquier
659261	32389	Empress Matilda
659261	34663	Headmistress
659261	43680	Philippe's Mother
659261	44900	Lady Gore-Willoughby
659261	46806	Baroness Meinster
659261	49637	Ada Ford
659261	56172	Mrs. Read
659261	78059	Lady Lydia Fell
659261	96838	Ma
659261	103787	Connie Harper
659261	105299	
659261	108473	Duchess of Berwick
659261	109047	Adela Swayle
659261	114046	Seriphina
659261	116577	Lady Dodds
659261	119582	Concierge
659261	120128	Agnes Lightfoot
659261	127283	Lady Mary
659261	128333	Mme. Dupont, assistant
659261	131528	Lady Bogshott
659261	131580	Sara Macaulay
659261	131770	
659261	133590	Miss Havisham
659261	154770	Aunt Lucille
659261	161036	Nora Briggs
659261	163357	Mme. Alice
659261	177445	Woman on Plane
659261	177606	Queen Mother
659261	183648	Susan Wellington-Smythe
659261	191611	Miss Crichton
659261	195978	Demonstrator
659261	203143	Miss Patchett
659261	205168	Lady Anne
659261	208985	Mother Superior
659261	209610	Mabel Grace
659261	210240	Mme. Marchesi
659261	213041	Lady Elizabeth Hewett
659261	213994	Mrs. Glegg
659261	221152	Baroness
659261	221165	Mrs. Davies
659261	224303	Mrs. Camelot
659261	236908	Lady Ballister
659261	239744	Commandant
659261	248452	Mme. Bernard
659261	261600	Mrs. Cream
659261	263723	Lisa Bradwell
659261	264447	Mme. Appel
659261	269882	Mme. Mirelle
659261	272202	
659261	284904	The Professor's Daughter
659261	284909	Daphne Faber
659261	292123	Mrs. Mather
659261	294948	Aline
659261	295467	Mrs. Lindley
659261	306412	Mrs. Courtney
659261	308675	Grand Duchess
659261	315716	Queen Eleanor
659261	316033	Miss Pitter
659261	323942	Colonel's Wife
659261	330162	Schoolmistress
659261	331489	Mrs. Willis
659261	333097	Lady Marion Mainwaring
659261	335648	Mrs. Pilcher
659261	338770	Aunt Anna Rose
659261	340474	Mme Berdi
659261	341482	Lady Francis Brandon Grey
659261	347681	Grand Duchess Elise Lupavinov
659261	361261	Miss Finch
659261	362890	Aunt Esther
659261	364730	Cousin Agatha
659261	368033	Anna Richter (Story Teller)
659261	372635	Duchess of Beamont
659262	193567	Herself
659263	306625	Fan
659263	389416	Teacher
659264	34638	Imogene Herdman
659264	196457	Cathy
659265	330377	Bride
659266	152950	Detective Krysta Carson
659266	152951	Detective Krysta Carson
659266	275290	Stace Thomason
659266	317842	Judy Campbell
659266	389239	Chloe
659266	396115	Host
659267	283944	Newscaster
659267	310572	Ellen Stevens
659267	386662	Jane Funakubo
659268	133849	Marie
659269	30379	
659269	39888	Mrs. Carmont
659269	46750	Mammy Lou
659269	64910	
659269	190298	
659269	203736	
659269	227788	
659269	316063	
659269	362314	Aunt Mary
659270	87882	
659271	108314	
659271	121541	Horse's Mum
659272	183868	Mrs. Higgs
659273	10862	Mrs. Arlyn
659274	382967	Alex Jordan
659276	134388	Marie Lamonte
659277	283497	Mother
659277	342464	Nancy Harrington
659278	66164	Trish's Mom
659279	67094	Melisa Despain
659280	127204	Florence
659281	333856	Steerage band member
659282	41253	
659283	190213	Young Wife
659284	50975	Alice
659285	270138	L.A. Scientist
659286	226870	Baby Cece
659287	348402	Gang Youth
659288	65785	Penny
659288	381828	Correspondent
659289	230963	Moonlit Terrace Girl
659290	34663	Miss Elizabeth Barrett
659290	260318	Dr. Latimer
659290	321444	
659290	392117	Nurse Shirley Bryan (1981-198
659291	119554	Narrator
659291	380391	Nun (1988)
659292	231869	Receptionist
659293	310550	Women at the Party
659294	245537	Woman at Fire
659295	42388	Tavern Patron
659295	60179	Nini
659295	66337	Cashier
659295	310303	Whinnie Whipcream
659296	194223	Reston Girl
659297	326316	Monika
659298	47945	Mrs. Williams
659299	256188	Pink Chiquita
659300	323389	Lyn Hippenstahl
659301	187229	
659302	56967	Inmate at Holm Lea
659302	133719	Vesuvia's Guest
659302	260206	Woman in Prison
659302	315516	Mrs Ellis
659302	396724	
659302	405461	Old Lady
659303	172703	Newscaster
659304	10086	Herself
659304	270649	Singer
659304	365523	Herself
659305	75360	Alex
659305	118020	Danni
659305	242027	
659305	343020	Lily Delaney
659306	279335	Hockey Player
659308	271750	Nicole des Jardins
659308	289978	Receptionist
659308	291052	Warrior Woman
659308	342769	Nita
659308	400645	Jamie Stickland (1998-2000)
659309	274473	Gambling Brownie
659310	329703	Jessica
659311	144425	Sandra
659311	175175	
659311	190179	
659311	241283	Coatroom Girl
659311	282688	Lady in Waiting
659312	10305	Hockey Coach
659312	87883	
659312	254023	
659313	151625	Little Duff
659314	280506	
659314	296374	Herself
659314	399845	Herself (2002)
659314	410688	Herself (2000)
659314	410689	Herself (2000)
659314	410690	Herself (2000)
659315	17030	Joan
659315	20972	Herself
659315	27646	
659315	37001	
659315	56105	Girl in window
659315	90437	Girl Student
659315	199684	Miss Horn
659315	245328	Sunev Girl
659315	277220	Girl
659315	295798	Nurse
659315	308382	Tartar Girl
659315	355030	
659315	363898	Ruby
659316	73217	Debbie
659317	84861	A girl
659318	26291	Woman
659319	340542	Marvel-Ann Clancy
659319	363262	Marvel Ann Clancy
659320	56276	
659321	705	Mermaid
659323	29876	Girl 1
659325	41588	
659325	87290	
659325	93990	
659325	93991	
659325	126340	Herself
659325	130318	
659325	186842	
659325	247990	
659325	317990	
659326	329938	Party Guest
659327	120488	Josie
659327	199759	The Dancers
659328	141893	CIA Agent
659329	239180	Herself
659330	11570	Dr. Laurel
659330	47130	Miss Williams
659330	56304	Ticket Agent
659331	14145	Libby
659331	175175	WAC
659331	203622	Party Chorus Dancer
659331	223913	Dancer
659331	282711	Dancer in Haiti number
659332	194710	Gina
659332	206215	Model
659332	305087	Secretary
659332	405340	Sara
659333	92248	Megan Brodski, Cheerleader
659333	187988	Waitress #2
659333	312092	April Love
659334	58462	Herself
659335	68675	Waitress
659335	308057	
659336	329025	Lukie
659337	390774	
659338	258034	Girl in grass
659339	232469	Jessica Brake
659340	402197	Officer Joan Barfield (1979-1
659341	64070	Ensemble
659342	281997	Waitress
659342	319618	Museum Tour Guide
659343	337478	Public Relations Woman
659344	152721	Fleur's Companion
659344	214149	Hattie
659344	222592	Earl Carroll Girl
659347	340109	Car Accident Witness
659348	308114	Praise Dance
659349	12192	Mrs. Tom Conley
659349	19989	Mrs. Stewart King
659349	54564	Bess Morton
659349	64484	
659349	66282	Gossip
659349	68475	Rita
659349	73252	Lillian Small
659349	80219	Mrs. Archer (De Luxe Annie I)
659349	116736	
659349	137458	Pattie Bennington
659349	140085	Mrs. Lane
659349	140956	
659349	147076	Belle Adair
659349	167638	Kittie Slocum, Jim's Wife
659349	167673	Marie La Sale
659349	185994	
659349	186311	Helen Willoughby
659349	189517	Mollie Morton
659349	196949	
659349	202860	Mrs. Warren
659349	203372	Aime Ferris
659349	205121	Marie/sculptor's servant
659349	228702	Mrs. Mutrie
659349	250834	Phyllis Brennon
659349	264019	Mary Brown
659349	277336	Claudia Smythe
659349	316075	Evelyn, Andrew's Sweetheart
659349	331859	
659349	342963	Betty Murray
659349	345737	Susan Ambie
659349	365079	
659349	366718	
659349	367650	Helen Forde
659349	367949	Josephine
659350	170984	
659350	274427	Mrs. Longley
659350	395933	Townswoman
659351	407369	Hayashi, Additional Voices
659352	386942	Panelist
659353	73855	2nd Woman
659353	200945	La traductrice
659353	390491	
659353	395361	Anna Swinkels
659354	217134	Veronica
659355	55415	Nino
659355	107875	
659355	129988	
659355	239525	
659355	369181	
659356	183601	Maid
659357	61673	Wanda
659357	324729	Kelly
659358	68232	Dancer
659358	161277	Herself
659358	184232	Dancer in classroom scene
659358	198829	Dance Contestant in Red
659359	241578	Tina
659360	379831	Niecy #1 (1990-91)
659363	120386	The Girl
659363	332436	Marianne
659364	34928	
659364	34933	Herself
659364	36731	
659364	39484	
659364	39736	Patty Ali
659364	41486	Herself
659364	48576	
659364	62456	
659364	78961	
659364	81826	
659364	81835	
659364	118911	Chartreuse
659364	128241	
659364	130285	
659364	140463	
659364	140783	Female In Sex Montage
659364	141583	Heather
659364	141587	
659364	141590	
659364	149250	
659364	150418	
659364	152799	
659364	163480	Herself
659364	177468	
659364	189475	
659364	291443	
659364	306129	Lucinda
659364	319330	
659364	342875	
659364	343068	Herself
659364	350422	
659364	360309	Nurse
659364	363375	Herself
659364	372090	
659364	401111	Host (1998-2000)
659365	279335	Hockey Player
659366	238238	College Student
659368	171	Herself
659368	1703	Herself - Presenter
659368	2888	Herself (Nominee)
659368	2921	Herself - Best Actress Winner
659368	2924	Herself - Presenter: Best Act
659368	2940	Herself
659368	3021	Herself - Past Winner
659368	3053	Herself - recalling her award
659368	12744	Dorinda Durston
659368	17156	Coral Grable
659368	37489	Margaret Barnell
659368	41308	Helene Trend
659368	47279	Jane Craig
659368	50025	Sophie
659368	72557	Helen Remington
659368	72707	Georgie Symonds
659368	92134	Herself
659368	92290	Nancy
659368	97263	Narrator
659368	100843	Charlotte
659368	111583	Herself (uncredited)
659368	114017	Tammy Hemphill
659368	124499	Candy Marshall
659368	139434	Ruby Kincaid
659368	148255	Claudia Larson
659368	158927	Helen Parr/Elastigirl
659368	161264	Herself
659368	167068	Mira
659368	188929	Adele Easley
659368	190139	O'Reilly
659368	191653	Barb
659368	192748	Judith Moore
659368	215527	Carnelle Scott
659368	218785	Mona Camp
659368	223748	
659368	232831	Sonia
659368	237431	Penny
659368	241046	Renata Bella
659368	255009	Ada McGrath
659368	261290	Wanda Holloway
659368	271339	Edwina 'Ed' McDonnough
659368	280090	Narrator
659368	280421	Ellen Russell/Jane Doe
659368	291971	Herself
659368	320598	Leslie
659368	321526	Jeannie
659368	330443	Rebecca (segment "Fantasies A
659368	330591	Melanie Freeland
659368	333391	Executive (Renee Fishbine)
659368	345850	Karen
659368	360272	Narrator
659368	362716	Billie Jean King
659368	366821	Wynn Nolen
659368	367638	Emma Riley
659368	379113	Mary Lincoln
659369	54931	Emily
659370	40009	
659370	41615	
659371	290397	Amy Holmes
659372	266724	
659373	116556	
659374	135715	Mama Nancy
659375	130347	Emma
659375	383319	Conteuse inuite (segment 1: A
659376	192725	Harry's club snog
659377	148383	Valiant Teacher
659378	18598	Old Bat
659379	344648	Herself
659380	69371	Phoebe Vollings
659381	57929	Jazz Class Dancer
659382	347611	Student
659384	105851	Tour guide
659384	244421	Country Club Lady #2
659385	151461	Tour Girl
659386	84808	
659386	84809	
659386	102769	
659387	140658	The Girl
659387	171284	Lisa Elliott
659387	206900	Selina
659387	225214	Katharina
659387	260663	Wendy
659387	260679	Wendy
659387	260697	Wendy Williams
659387	279481	Lola Bouilliabase
659387	364516	Mary Jo Sadler
659387	365827	Patti Sutherland
659388	410805	Herself
659389	323902	
659390	11410	Cécile
659390	26392	The Second Midwife
659390	134906	Dr. Sopova
659390	228989	Doctor Anna Kyriakou
659390	243653	Countess
659390	302143	Grandmother
659391	301590	Herself
659392	33178	Deirdre
659392	142929	Lady Rochford
659392	147496	DI Chapman
659392	147608	Jamie's Mother
659392	194184	Maureen
659392	197990	Luzhin's Mother
659392	216240	Mme. Victurien
659392	252983	Poppy
659392	319568	Argonian Citizen
659392	350506	Lady Steyne
659392	384483	Maddy Hammond
659392	392129	Daphne Haycock (1991)
659392	395547	Amy Webber
659392	402140	Jessica Smithy
659392	403238	Lucy Chapman
659393	81321	Model
659393	303897	Girl at Church
659394	6949	Starlet
659394	40115	Suzanne
659394	44238	Tamara
659394	66146	Karen
659394	78139	Tanya
659394	182993	Kimberly
659394	207136	Rachel
659394	291730	Mel Rogers
659394	298008	
659394	304795	Zee 4R
659394	317746	Captain Tamara Holbrook
659394	333407	Rose
659394	399431	Ali (1998-1999)
659395	2785	Herself - Co-presenter: Best 
659395	3053	Herself (Memorial Tribute)
659395	3844	Herself
659395	4919	Emmeline
659395	7584	Herself
659395	18606	Helen Watson
659395	27342	Elaine Wilby
659395	33002	Herself
659395	33983	Zira
659395	34382	Fran West
659395	39345	
659395	41393	Vera Woodman
659395	41875	Sheila Keating
659395	44437	Mrs. Parker
659395	47385	Herself
659395	54026	Johnson's Girl (US release)
659395	65911	
659395	67610	Edna Matthews
659395	67960	Julie Hogarth
659395	73770	
659395	78772	Adrianna Putnam
659395	78943	Kathleen Hancock
659395	80669	Nora Hutcheson
659395	85666	Mrs. Edith Carruthers
659395	93982	Leona
659395	94692	Mrs. Pym (segment "The Black 
659395	99395	Marion McKell
659395	103305	Dr. Zira
659395	106748	Lucy Rutherford
659395	129100	Mara
659395	129561	Herself
659395	130773	Sister Superior
659395	143650	Nelly Ormond
659395	157965	Cora Chandler
659395	166708	Walker's Mother
659395	177233	Amanda Hollins
659395	184277	Maria Celeste
659395	184899	Herself
659395	190796	Dr. Bea Brice
659395	200362	Nora Cougan
659395	208053	June
659395	213159	Betty Harty
659395	218028	Mary Kingman
659395	245135	Elsa Lindepu
659395	257295	Zira
659395	263439	Rebbitzn
659395	264830	Rosemary O'Reilly
659395	280322	Herself
659395	295470	Mary Gibson
659395	304129	Bertha Feldman
659395	305418	Muriel
659395	315513	Martha Lockridge
659395	316742	Stella Kowalski
659395	317292	Mrs. Harper
659395	321448	Betty Graham
659395	327821	Doris Dumbrowski
659395	327978	Herself
659395	331621	Mary Easty
659395	340034	Elsa Rael
659395	348070	Judy Simmons
659395	363030	Millie Baxter
659395	372093	Frances Hotchkiss
659395	372621	Freda Williams
659395	372749	Helen Ditmar
659395	381110	Ellen Wilson
659395	387309	Nola Madison (aka Martha Cory
659395	400208	Kitty Damon
659395	401646	Grace Carney
659395	407940	Herself
659396	402386	Android #3
659397	87797	Roller rink singer
659398	165446	
659399	70227	Luci Hanson
659399	80695	Dancer in Nightclub
659399	245699	Grant's Girlfriend
659399	277801	Reporter
659400	291014	
659401	259359	OId Lady
659402	117634	Interviewer
659403	115553	Mrs. Humphries
659404	21180	Squaddie' Landlady
659404	54919	Angela
659404	151166	Moira
659404	245513	Barbara Morrison
659404	352682	Mrs. Thomas
659405	73891	2nd Dance Hall Girl
659405	183801	Minnie
659405	233930	Cousin Betty
659406	49893	Herself
659407	177268	
659408	133949	Herself
659409	402700	Panel member
659410	189314	2nd Politician
659411	81563	Egg Lady
659412	81574	
659412	362088	Anita
659413	11485	Stripper #2 in Flashback
659414	383456	Herself/Model (1978-1981)
659415	106597	Layla
659415	189920	Kellie at 8
659416	393599	Herself (eliminated round 4)
659417	232282	Airport Personnel
659418	148383	Herself
659419	241050	Woman Shopper in Unisex Store
659420	37525	Female Bigfoot
659421	269841	French Singer
659422	44432	Marcie
659422	55475	Joanne Galloway
659422	120286	Young Admirer
659422	125886	Lauren Bernard
659422	158354	Elaine Phelps
659422	160408	(segment "The Diaries")
659422	188135	Alana
659422	189240	Brooke
659422	229106	Lady in Car
659422	232392	Julie
659422	274326	(segment "How I Met My Husban
659422	301679	Kim
659422	301680	Kim
659422	400236	Laura Jean (1990-1991)
659425	56259	Casey
659426	162183	Mina
659427	162183	Mina
659428	36770	
659428	60928	
659428	98164	Stadium Extra
659428	151626	Herself
659428	160776	
659428	273872	Office Worker (Nikki)
659428	316380	
659428	322958	
659428	389135	ReAnne Mitchell
659428	392780	
659429	75533	Lois Huggins
659429	107688	Second Ugh
659429	107696	Mexican Singer
659429	210890	Dolores Lopez
659429	280269	
659429	293189	
659429	305472	Patty Wayne
659429	320249	Susie Russell
659429	364037	Betty Latimer
659429	372931	Lucy Taylor
659430	51639	Underage Girl
659431	744	
659431	36366	
659431	39248	
659431	41043	
659431	43532	
659431	44106	
659431	50530	
659431	55279	
659431	56552	
659431	56557	
659431	56679	
659431	60777	
659431	62455	Herself
659431	73907	
659431	87310	
659431	87966	
659431	88887	
659431	98176	
659431	105219	
659431	108822	
659431	139044	
659431	139268	
659431	146748	
659431	146790	
659431	159266	
659431	161093	
659431	182376	
659431	187120	
659431	193544	
659431	223835	
659431	228044	
659431	228069	
659431	230554	
659431	231823	
659431	246828	Herself
659431	267520	
659431	268906	
659431	302459	
659431	306027	
659431	314698	
659431	316285	
659431	318406	
659431	323209	
659431	334734	
659431	348389	
659431	353736	
659431	354809	
659431	354815	
659431	357149	
659431	372397	
659431	372398	
659431	372399	
659431	372402	
659432	292461	Whore
659433	58672	Principal of School
659433	142351	Andy's Mother
659433	176833	Helene
659434	1440	Herself - Presenter
659434	11687	Herself (presenter)
659434	34611	Fiona Covington
659434	45634	Neighbor
659434	138716	Herself
659434	140125	Rich Widow Feeney
659434	171035	Marilyn
659434	184930	
659434	198855	Karen
659434	245920	Beth Morton
659434	246422	Newscaster
659434	252159	Amanda Reeve
659434	252934	Tracey
659434	274471	Gloria
659434	280081	A.C.'s Wife
659434	311780	Herself
659434	311781	Model
659434	339865	Gina Williams
659434	343121	Susan Price
659434	358569	Sally's Sister
659434	366027	Kelly Simons
659434	372065	Karen
659434	380593	Herself - Judge
659434	386034	Georgia
659434	405209	Herself
659435	388321	Melanie 'Mel' Costello Boulte
659435	397651	Emily
659435	406450	Rebecca
659435	409356	Simone
659436	163559	Ethel
659437	77152	Priscilla Foster
659437	193705	
659437	345828	Jenny
659438	205279	
659438	317739	Jane Hughes
659440	74215	Prisoner Rhoda
659440	241608	Albert's Wife
659440	391473	
659441	100120	Esther Taylor
659442	103339	
659443	264747	Girl
659444	370643	April
659445	367873	Red Latex Girl
659446	143577	Undetermined role
659446	176805	Gloria
659446	318138	Herita
659447	7726	
659447	26896	
659447	29644	
659447	34863	
659447	36400	
659447	36401	
659447	39056	
659447	73608	
659447	88158	
659447	88159	
659447	91836	
659447	93330	
659447	118912	
659447	119985	
659447	128723	
659447	128846	Herself
659447	128853	
659447	128857	
659447	128859	
659447	177735	
659447	180794	Nymphomaniac
659447	192208	Mother Goose
659447	224306	
659447	228053	
659447	243119	
659447	243120	
659447	245773	
659447	249394	
659447	256180	
659447	256189	
659447	258017	
659447	264180	
659447	267203	
659447	270973	
659447	271831	
659447	278284	
659447	291446	
659447	295686	
659447	295964	
659447	299671	
659447	310352	
659447	310354	
659447	317862	
659447	320452	
659447	321314	
659447	327624	
659447	337283	
659447	339890	
659447	342418	
659447	342419	
659447	354956	
659447	361887	
659447	363444	
659447	364159	
659447	365378	
659447	372664	
659448	350506	Maria Osborne
659449	147091	Cindy Carns
659450	4664	
659450	152844	Cadaver
659451	41197	Lori Seward
659452	161742	Jenny Anderson
659453	2427	
659453	27258	
659453	95803	
659453	119930	
659453	127405	
659453	150951	
659453	162298	
659453	195602	
659453	242554	
659453	247990	
659453	255397	
659453	300519	
659454	158528	Connelly - 4 Years
659455	282614	Robin
659456	318174	Georgie's Mom
659458	207692	Policewoman
659459	133402	Girl Greaser
659460	316330	Jade
659461	41107	Marie, Dickson's Secretary
659461	57099	Lushola
659461	83599	Slave girl dancer
659461	92230	Muse
659461	111934	Princess Alisha
659461	112745	District Attorney's secretary
659461	139790	Jane
659461	140862	Miss Smith (liquor store prop
659461	143203	Secretary
659461	154929	Aggie
659461	163246	Maid of Honor
659461	175175	
659461	185195	Paula Thorpe
659461	207861	Madge
659461	223292	Princess Alisha
659461	235695	Lili
659461	254572	Janice Littlejohn
659461	273805	Girl
659461	277976	Doris McCormick
659461	301869	
659461	302589	Hargan's girlfriend
659461	302623	Brenda
659461	304876	Dancer
659461	305763	Wilda Moore
659461	315204	
659461	316196	Terry Saunders
659462	33393	Sarah Levy
659462	86982	Dinner guest
659462	178792	Piper King
659462	180533	Buffy
659462	261745	Tiffany Fish
659462	276335	Theatregoer
659463	78671	Narrator
659463	339387	Host
659463	399355	CNN Correspondent (2002 -)
659463	403510	Herself - Correspondent (1978
659464	30581	Mrs. Johnson
659464	67349	
659464	120633	Cora
659465	156667	
659466	119224	Ärztin
659467	281149	
659468	162099	Iolanthe
659469	87460	Elderly lady
659470	114626	Helen
659470	127486	Stewardess
659470	285618	Young Lady Pilgrim
659470	331637	Hecuba
659471	14126	Nadia
659471	337821	Kate
659473	96939	Stenographer
659473	105689	Nurse
659473	169406	Nurse in Blood Bank
659474	122914	Kitty
659474	142406	Laura Grant
659474	149096	Rita Ferguson
659474	362585	Julia Lawson
659474	372554	Kathy
659475	107445	Kate Cumberland
659475	203468	Clarice, Stephen's First Wife
659475	331584	Bronco's girl
659475	354338	Mary Joe
659476	26448	
659476	189422	Ginny
659477	388991	Maude Costas
659478	204168	Face Behind the Window
659479	117500	Laurie
659479	330130	Anita
659479	345272	L'Américaine
659480	79427	Jade
659481	81533	Hannah
659482	163599	Shoe shop assistant
659482	193622	London Town Dozen & One Girl
659482	221075	
659482	271612	
659482	363042	Shop Assistant
659483	83280	
659483	185750	Babushka
659483	316488	
659483	358455	Daisy
659484	196866	Aimée
659485	178189	Dead Madonna, a Cadaver
659486	36856	Manicurist
659486	110363	Woman
659486	316946	Goldwyn Girl
659486	332420	Nurse
659487	366869	Louise Yates
659488	279715	
659489	130677	Woman in dance hall
659489	194193	Nurse
659489	362365	Cashier
659490	192268	Audrey & Seymour's daughter
659490	238449	Ismene
659491	112188	Phylis
659491	410630	Pat
659492	150885	Luchera
659493	20233	
659493	161542	Self-Styled Uplifter
659493	188228	Priscilla Standish
659493	192246	Sally
659493	213449	Kate
659493	219914	An Uplifter
659493	337414	A Country Girl
659494	206534	
659495	44755	Stephanie
659496	92666	Blood Doll
659497	48289	Grandma
659497	55706	Grubb Family Member
659497	68445	Betty Seymour
659497	83280	
659497	114124	Princess Elizabeth
659497	171161	Miss Appleby
659497	185750	
659497	192055	Tilly
659497	196841	Petronella
659497	207715	Mrs. Steele
659497	209628	Nobby
659497	211613	Mistress Ford
659497	228593	Elinore
659497	358879	Lady's Maid
659497	384911	Celia Rathbone
659497	408262	Mrs. Deveril
659498	26831	Coed #1
659498	82688	Gabby
659498	137861	
659498	226891	Peaches
659498	288468	Karen Rhodes
659498	314631	Allison
659499	138778	Becca
659500	196496	Madge
659501	223695	Mrs. Darwell
659502	99474	Mrs. Magruder
659502	163214	Mrs. Faire
659502	214158	Mrs. Clever
659502	280999	Miss Marks
659503	194765	Shelly
659504	232181	Tasia's Guard
659505	158056	Shayna O'Crane
659506	99212	Traveler
659507	275871	Fan in Stand
659508	213967	Milka Sierkkiniemi
659509	40200	Additional Voices
659509	68266	Electronic Video Agent (EVA)
659509	68272	Electronic Video Agent (EVA)
659509	68273	Electronic Video Agent (EVA)
659510	134635	Kata
659511	70816	Alice
659512	10322	Antavleva Bottazzi
659512	16029	Kim
659512	266026	Sue
659512	356221	
659512	368408	Herself (German Presenter)
659512	386219	Host
659512	387767	Host
659512	389152	Tiziana
659512	397933	Gaia
659513	391701	Presenter
659514	282817	Li Lanyin
659515	320579	Pirko
659516	126258	Alzire Maheu
659517	324517	Mei Lin
659518	167942	Le Phan (waitress of cafe)
659519	189908	Woman on Boat
659520	201346	Helga Schuler
659521	13026	
659521	75629	Mlle Jolicoeur
659521	120141	
659521	166140	La mère
659521	196858	Mme. Beaulieu
659521	251299	
659521	258208	Joséphine, la mere Plouffe
659521	261862	
659521	282102	La serveuse de restaurant
659521	333792	
659521	345469	Bertha
659521	378731	Rita
659521	381189	La mère de Léontine
659521	385348	Mme Leclaire, la Belle-Mère
659521	388316	Jeannette Vallerand
659521	390486	Soeur Angèle
659521	392368	
659521	393285	Madame Duval
659521	398172	
659521	401081	Clarisse Cayer
659521	403897	Églantine
659521	407214	Mme Sylvain
659521	408321	
659522	86282	Dana
659522	139174	Rita, Girl on Boat
659522	182989	Tall Woman
659523	157132	Mary Helder
659524	209063	Various
659525	206786	
659526	333120	Person of the Night
659527	78218	
659528	40635	Annabel
659530	30484	USO girl
659530	39885	Sherry Geeghan
659530	84931	Angelita
659530	158999	SETI technician #3
659530	228984	Herself
659530	305679	Astral
659530	311439	Buffy
659530	355347	Sally
659530	364372	Papillon
659530	387287	Nancy Burton
659530	402399	Val Vandergroot
659530	411136	Liz Bradford
659531	390771	Lady Elizabeth (1999)
659532	105472	
659533	199389	
659534	12372	La soeur d'Aloïse/Aloïse's si
659535	33559	Pauline
659535	44955	L'avocate
659535	51393	Juliette Lebas
659535	265623	La femme d'Eric
659535	272612	
659535	272613	Ludivine/Lucie
659535	278136	
659535	301553	Elisabeth
659535	346416	Sylvia Faguet
659535	380410	Francesca Alfieri
659536	3094	Augustine
659536	7539	Carlotta
659536	8920	Marie
659536	12372	Aloïse jeune/Aloïse as a chil
659536	13224	Isabelle
659536	15159	La conteuse
659536	19323	Lola
659536	29508	Annie
659536	32529	Sylvia
659536	51746	Colo
659536	65156	Clara Schumann
659536	68923	Ariane
659536	70145	Herself (segment "Pour d'Arch
659536	71807	Lena
659536	71819	Rose
659536	76058	Jeanne
659536	76063	Marite
659536	77337	Marguerite Gauthier
659536	82920	Pomme
659536	83349	La secrétaire
659536	84222	Nathalie Barnery
659536	84595	Magdalena/Maria
659536	88837	Élisabeth Gailland
659536	92920	Yolande
659536	95344	Brigitte Colin
659536	97072	Melanie
659536	110055	La comtesse
659536	110107	
659536	111027	Viviane
659536	112277	Pauline
659536	124057	Aline Kaminker/Édith Weber
659536	129432	Bit
659536	134780	
659536	135727	Mistress
659536	141656	Ella Watson
659536	142853	Herself
659536	146405	Adelaïde
659536	154271	Caterine Vauban
659536	159210	Jenny
659536	166143	Aimée
659536	189809	Herself
659536	195200	Nelly
659536	197394	(segment "Abbas Kiarostami")
659536	198594	Hélène, the mother
659536	199297	Blanche
659536	199307	Emma Bovary
659536	202418	The Woman
659536	208811	Annie
659536	211366	Marie-Claire 'Mika' Muller
659536	213791	Sarah
659536	225402	Médée
659536	228802	Sofia
659536	240599	Camille
659536	247154	Marie Curie
659536	249713	Agnès Jeancourt
659536	254037	Yvette
659536	254989	Erika Kohut
659536	257178	Patsy Lackan
659536	261459	Maria Sjatov
659536	261868	Interviewer
659536	266242	Elisabeth
659536	276541	Jeanne Kern
659536	278138	Betty
659536	281918	Helene Nikolaos
659536	284961	Rose-Marie Martin
659536	285754	Madame de Maintenon
659536	288890	Isabelle Rivière
659536	291581	
659536	294432	Dafina Isakovic
659536	301402	Charlotte
659536	306944	Anne Brontë
659536	306949	
659536	315437	Piera
659536	322339	Anne
659536	322358	
659536	327566	Anna
659536	330329	Herself (Invalids Sequence)
659536	340877	Frédérique
659536	345475	Récitante
659536	346417	Marie
659536	350099	Jacqueline
659536	351711	Cécile
659536	353907	Claire
659536	353922	Sylvia
659536	354911	Violette Nozière
659536	356228	Clotilde
659536	377656	Dominique
659536	378280	Irène
659536	392580	La jeune fille
659537	219442	La serveuse du restaurant mac
659537	269693	L'infirmière de Rennes
659537	301553	Jacqueline
659538	78862	Nurse for Katherine
659539	114192	Teacher
659540	382297	Herself - Presenter (1997-)
659541	109365	Misty
659542	85742	Lucy
659543	58132	Darja
659543	138038	Hema
659544	41393	Reporter #2
659545	264914	Cmdr. El-Minya
659546	270138	Kipster
659547	405606	Correspondent (1996-)
659547	405607	Correspondent (1996-)
659548	1703	Herself
659548	175203	Herself
659548	201609	Herself
659548	201686	Herself (Producer)
659548	244434	Herself
659548	319589	Herself
659548	346045	Herself
659548	355242	Herself
659548	359271	Herself
659548	391835	Herself
659549	71286	Muriel
659550	169916	Mrs. Froug
659550	223891	Patient
659551	19300	Mary Ann
659551	91800	Lola
659551	171355	B.B. DaCosta/Fire
659551	253510	
659551	272026	Susan
659551	350475	Anita
659551	365119	State Police Officer #2
659551	380391	Dana Kramer #2 (1991-1994, 19
659551	395275	Det. Monique Jefferies (1999-
659551	395313	Athena Barnes
659551	396598	Simone
659552	321319	
659553	32243	Vanessa
659553	56729	Denise
659553	72490	Vanessa
659553	333312	Lauren Martin
659554	282917	Ruby
659555	253920	Wendy Darling
659556	318712	Cabin Owner
659557	254522	Ballet Girl
659558	126619	Extra Talent (segment "Gett O
659559	17844	Gigi
659560	299692	Interviewee
659561	397878	Inbar Galili
659562	202455	Melek
659563	409407	Helena
659563	412270	Alda
659564	113061	Advocate
659564	333837	Lien
659564	394634	Various parts
659564	401669	Pam Wesseling
659564	409572	Adrienne Rieding
659565	161731	Brat
659566	155648	Student
659567	129092	Ballroom Dance Woman
659568	33079	Dr. Murphy
659568	33426	Jody
659568	66162	Theatre Woman
659568	139498	OR Nurse
659568	358673	Anne McKay
659568	404002	Connie Markham (1980)
659569	54636	Linda Purcy
659569	194095	Mrs. Bolton
659569	196987	Dowager
659569	202952	Mrs. Peyton
659569	207865	Mrs. Conger
659569	263169	Mrs. Phariss
659569	271294	Mrs. Simon
659569	296754	Mrs. Lehner
659569	308065	Mrs. Rice
659570	114051	Cashier
659570	385299	Debbie Lancaster (1986-1988)
659570	393934	Harriet Bullock
659571	262054	Midwife
659572	295557	Catwalk model
659573	366390	Winter-A-Go-Go Girl
659574	22931	CBC Commentator
659575	379831	Wendy #1 (1989)
659576	245207	Alice
659577	157580	Saleslady
659578	866	Herself
659578	5885	Christina
659578	20135	Marietta (segment "Die tote S
659578	24430	Vanessa Kensington
659578	24432	Vanessa Kensington
659578	27153	Anna Lockheart
659578	32466	The Devil
659578	33027	Herself
659578	35640	Stephanie Lyell
659578	57665	
659578	62886	Christabel Bielenberg
659578	67992	Herself
659578	78076	Karin
659578	81110	Julia Latham
659578	91920	Dr. Ann Beamer
659578	97644	Jill
659578	97645	Herself
659578	138717	Herself
659578	139599	Cecilia Harrison
659578	184870	Emma Stapleton
659578	199173	Antonia
659578	201849	Herself
659578	212044	Rebecka Fairbanks
659578	223909	Brace Channing
659578	238613	Herself
659578	243213	Natalie
659578	253227	Sandra
659578	275398	Claire Clairmont
659578	286810	Dalila
659578	294980	Sara Moore
659578	297267	Cecilia
659578	297708	Lady Farthingdale
659578	304072	Lou
659578	352985	Herself
659578	361028	Adaline Gunne
659578	368426	Herself - Hostess
659578	392246	Various roles
659579	92908	Mom (Deceased)
659579	266636	Winthrop's Granddaughter
659580	248087	Mrs. Weasal
659581	93296	Herself (contortionist)
659582	13825	Jen
659582	305742	Caroline
659583	28667	
659583	212038	Lorraine Willis
659584	128759	
659585	93017	Acting Troupe
659585	227022	Desire Lynch
659585	351723	Churchgoer
659586	20085	La Mosca
659586	33753	Aunt Jessie
659586	35593	
659586	43545	Stephen Orry's Mother
659586	46787	Peasant Woman
659586	71356	Grandma
659586	74754	
659586	96984	Marm Tucker
659586	130592	Duuskara's Squaw
659586	130608	Gardener's Wife
659586	135587	Aunt Martha
659586	136272	
659586	143168	The Duchess Louise
659586	165442	Rivers' Maid
659586	170826	Elzbieta
659586	191822	
659586	191873	
659586	192407	Aunt March
659586	201878	Margie's Grandmother
659586	206459	Madame Du Pont
659586	210472	Frau Quixano
659586	219897	
659586	220091	Undetermined Role
659586	230919	Mrs. Phillimore
659586	263444	Granny
659586	292564	Mother Moll
659586	303272	Mrs. Owens
659586	327629	Undetermined Role
659586	340647	Gypsy Queen
659586	345684	Mrs. Worthy
659586	351877	
659586	367591	Jane Gordon
659586	367707	Undetermined Role
659587	163314	Katherine Harrington
659588	399100	Queen of the Night
659589	11570	Voice Talent
659590	101427	Girl at Dance
659590	289589	Mrs. Lynbury
659591	2118	Dancing Girl at Party
659591	64078	Dancer #8
659591	117162	50's TV Show Dancer
659591	123303	Susanne
659591	216737	Dancer
659591	223734	Angela
659591	283543	Dancer
659591	297113	Producer at Big Time Carlson 
659591	329522	Wisconsin Dancer
659591	353710	(segment "Dancer")
659592	351896	Voloptuous Venus
659593	209236	
659593	331231	Bobbin the Bear
659593	331232	Bobbin the Bear, Joan, Tiffan
659594	333875	Penny Pringle
659595	231982	Mrs. Whitlock
659596	62885	Stewardess
659597	252974	Party Girl 4
659598	167311	Errata
659598	350484	Sugar Preston
659599	2429	
659599	75033	
659599	102826	
659599	128557	
659599	178866	
659599	306875	Herself
659599	312387	
659599	342639	
659600	53273	Marge
659600	196134	Clippie
659601	22103	
659601	31665	
659601	34820	
659601	49203	
659601	49217	
659601	53951	
659601	56770	
659601	56821	
659601	64598	
659601	67148	
659601	75426	
659601	78688	
659601	90144	Louise Villate
659601	94556	Lady Tarbotham
659601	114041	Fifi LeFluff
659601	115646	Aggie
659601	120563	
659601	130703	
659601	138576	
659601	139365	
659601	146131	
659601	147763	
659601	155231	
659601	158681	
659601	168916	
659601	191283	
659601	195447	
659601	195659	
659601	196868	
659601	206345	
659601	256862	
659601	263578	
659601	265239	
659601	272521	
659601	274629	
659601	281161	
659601	291716	Princess Vanilla
659601	305578	
659601	331363	
659601	339739	Nina Hart
659601	360005	Dolly Barr
659601	362682	
659601	362731	
659601	363495	
659601	363701	
659601	365276	
659601	373197	
659602	389046	Additional Voices
659602	411565	Ms. Rottweiler
659603	279481	Manager
659604	18900	Sara
659604	156040	
659604	163180	Marja
659604	178376	Leila
659604	229545	Ami
659604	247007	Karin
659604	267125	
659604	334820	Essu
659604	341591	Helena
659604	351367	
659604	354286	Kaisa, young moralistic woman
659605	271630	Taina
659606	18402	Jolanda Matsson
659606	166473	Commissar Vengrovska
659606	170519	Ebba Franke
659606	173267	
659606	175327	Kerttu of Huhtala
659606	196525	Malviina
659606	236795	Mirjami Tervo
659606	239921	Tarras' wife
659606	258847	Tibi
659606	260056	Kaunotar
659606	284021	Dora Rastola
659606	336405	Nora Berg
659606	341559	Katri
659606	346843	Kirsti Turja
659606	354261	Ritva Vuorenkaiku
659606	371442	
659608	186072	Olavi's Mother
659609	306332	
659610	10688	Karen
659610	40729	Female Bystander
659610	273926	Polygraph Interrogator
659610	345847	Rochelle
659611	282350	Castillo's girl
659611	340864	Cherokee (age 18)
659612	222946	
659612	377055	La mairesse
659613	74113	Nurse #2
659613	292226	Secretary
659613	392697	Emily Brontë
659614	236494	TV Reporter
659615	131731	Gretchen
659616	329456	Party guest
659617	39626	Mrs. Ellsworth
659618	55662	Vanessa
659619	12251	Lori Ottinger
659619	24980	Cynthia Justin
659619	47077	Christine Shipman
659619	50936	Tanos
659619	80553	Hillary
659619	120216	Patricia Mullen
659619	128415	
659619	144877	Cathy Brock
659619	146726	Nancy Grayson
659619	185133	Gail 'Mom' Fowler
659619	185134	Gail 'Mom' Fowler
659619	185135	Gail 'Mom' Fowler
659619	198042	Ruth Miller
659619	210502	Janice
659619	221287	Etta Crue
659619	227926	
659619	264033	Sandi
659619	280192	Mattie
659619	335058	Townspeople
659619	345852	Nurse Felfer
659619	353416	Susan Arthur
659619	385824	Paula Carson (1988-1989)
659619	391880	Dr. Ilene Markham (1995-1997)
659619	398245	Debbie Flynn
659619	399817	Jill Keaton
659620	156040	Maija lapsena
659621	60075	Lizzie
659621	214744	Talk Show Guest
659622	21772	
659622	79604	Usher
659622	177443	Greta Braunsweig
659622	316517	Nicole
659623	270933	Night Nurse
659624	400814	Girl in pub
659625	220951	
659626	9884	Stunning Tejana
659627	283767	Anna
659628	244831	
659629	94501	Mrs. Edgar
659630	44433	Leader of Women's Army Hillar
659631	363777	Girl
659631	365342	Sister Irene
659631	392825	Sally Neville
659632	14422	Mirta
659632	28495	Lola
659632	46251	Anna
659632	53822	Flower Woman
659632	71287	Consuelo
659632	73330	Mrs. Ochoa
659632	88978	Mrs. Maris
659632	116471	Gradiosa
659632	120615	Mrs. Madrid
659632	210469	Grandma Álvarez
659632	214123	Nosey Neighbor
659632	232496	Thelma Martinez
659632	243150	Lupe
659632	273242	Lourdes Ortiz
659632	299722	Grandma
659632	304841	Old Woman
659632	318745	Mrs. Gonzales
659633	209656	Midge
659634	117788	
659635	392530	Herself - Finalist #10 (2003-
659636	271287	Waitress at bar
659637	289526	Cop #1
659638	9113	Yvonne
659638	41829	Statistician
659638	44450	Reporter #2 - Democratic Conv
659638	154593	Nedicks Manager
659638	158151	Teacher at Frannie's School
659638	171297	Pawnshop Broker
659638	232321	Leslie, Sam's Roomate
659638	238682	Kate
659638	305660	Aunt Em
659638	314459	Nurse
659638	366585	Arlene
659639	405209	Frances Grace: Director (1998
659640	103926	Beverley
659640	185516	Mandy
659640	186404	Michelle
659640	263795	OCB Secretary
659640	391166	Cerise
659640	405016	Jo Roberts
659641	34700	
659641	146273	
659642	388496	Holly
659643	88846	
659644	16909	Betty Carfax
659644	29188	Hilda
659644	45405	Clare Durrant
659644	80515	Gay Clifford
659644	90259	Katie O'Connor
659644	127684	Marcia Farrell
659644	128419	Rita Hammond
659644	186056	Joan Webb
659644	189417	Julia Lindberg
659644	192567	Kay Miller
659644	208741	Kitty Murray
659644	251798	Miss Simpson, Jarvis' Secreta
659644	282588	Jennifer
659644	365716	Florence Sterling
659644	371016	Sunday School Teacher
659644	388887	Lady Jane Flaxton (1971)
659644	396912	Carol Frazer
659645	310571	Karrie
659646	411284	Amanda
659647	362595	
659648	392460	Herself
659649	157303	Sara
659650	375765	Viola
659651	348848	Eunice
659652	80397	Uniformed Woman
659653	137933	Queen's Attendant
659654	213164	Stripper #2
659655	216335	
659657	2074	Jane Dent
659657	7545	Lillian
659657	7809	Dr. Amanda Gordon
659657	8183	Regina Beaufort
659657	11064	June
659657	24703	Dr. Sibley
659657	26355	Wendy Scott
659657	45636	June Gudmanson
659657	47130	Nurse Constance
659657	59114	Kasey Evans
659657	68825	Peg Tuccio
659657	76216	Joyce Richardson
659657	108319	Adelle
659657	120628	Jean Seberg
659657	140966	Laura
659657	160855	Joey
659657	187862	Narrator
659657	190482	Teresa Aranow
659657	223752	Mrs. Dingle
659657	248890	Lily Lamele
659657	274069	Museum Curator
659657	292619	Caroline Mitford
659657	303455	Kitty
659657	304644	Ginger Booth
659657	368363	Helen Holm
659657	407610	Sheila Bradley
659657	411409	Andy
659658	85176	Witch I
659659	238495	That Girl
659660	334382	Tony's Girlfriend
659661	379318	Renee Johnson (1986-1991)
659662	132530	Office Worker
659664	14817	Secretaria
659665	220562	Raquel
659666	252057	
659667	402332	Herself
659668	27985	
659669	10246	
659670	3426	
659670	5268	
659670	54078	
659670	55941	
659670	74649	
659670	96369	
659670	100266	
659670	100393	
659670	105964	
659670	132524	
659670	135281	
659670	190424	
659670	212441	Clienta tienda musical
659670	212450	
659670	266856	Juanita
659670	275952	Herself
659670	292776	Silvia Irarrazabal
659670	293370	
659670	306692	
659670	351831	
659670	376790	
659670	383558	
659670	409463	Mari-Puri (1982-1994)
659671	253318	Maritza
659671	318265	Virginia
659672	205005	
659673	137620	
659673	340791	Miles' Neighbor #2
659674	377079	
659674	407305	
659675	48185	
659675	52916	
659675	52987	Josefa
659675	55323	
659675	83858	
659675	100266	
659675	104852	
659675	112027	
659675	135281	
659675	183029	
659675	193192	Ana de Austria
659675	199830	
659675	221704	
659675	246390	
659675	252053	
659675	252541	
659675	258619	Secretaria
659675	334690	Marta, la embarazada
659675	340689	
659675	376737	
659675	386374	Clotilde
659675	387881	
659675	395842	
659675	402702	
659675	409463	Viuda de Poco (1982-1994)
659676	389788	Martha Acuna
659677	100405	Berta
659677	195262	Spanish Girl
659678	322388	
659679	73281	Coro "Siquem"/"Siquem" Choir
659680	55515	
659680	55941	
659680	56244	Inosensia
659680	100266	
659680	266856	Paula
659680	276234	Andree
659680	383558	
659680	409463	La Seño (1982-1994)
659681	22655	Laura
659682	164157	Victim
659683	5883	Anchorwoman
659683	35825	Reporter
659683	45639	Anchorwoman
659683	69137	Reporter #2
659683	127522	
659683	131210	TV Newscaster
659683	267390	
659683	328285	TV Anchorwoman
659683	331934	Reporter
659683	334206	Martha Halleran
659683	382224	T.V. Commentator
659683	385824	Tracy North (1979)
659683	393185	
659683	398087	
659683	407847	Granny
659684	218221	'Arvstwistarna' choir
659685	197452	
659687	33728	Debela kurva
659687	73578	Black Obelisk
659687	346269	Fat Lady
659687	382029	Debela zena
659688	220541	
659689	396491	Additional Voices
659690	31936	Rautakaupan kassa
659690	354083	Young Lady in Bar
659691	147136	Coco
659692	205265	
659693	402161	Herself (2001)
659694	32861	
659695	5123	
659695	98293	
659695	174775	
659695	186880	Frau Sarti
659695	206734	
659695	223450	Kattrin
659695	226174	Marthe
659695	262960	
659695	290200	Hede
659695	301002	Marta Meister
659695	325516	Mother Wilms
659695	347640	Nikki
659695	376470	Ehefrau
659696	141260	Mrs. Humble
659697	186062	Socialite
659697	337148	Mother
659698	147961	Glenbryn Resident
659698	333868	Night Nurse
659699	84230	Woman in Diner
659699	91793	Aunt Jean
659699	253354	Vera Pitts
659700	7065	Hilda
659701	15231	Belle
659702	209902	Stepmother
659702	285271	American Housewives Team memb
659703	314104	Dancer
659704	381451	Newsreader/Markets Reporter
659704	381455	Newsreader (1997-2004)
659704	382715	Presenter (2004-)
659704	391046	Himself, interviewer
659704	411082	Hostess (2003-)
659705	388265	Herself
659706	122926	Phulvania
659707	7796	
659707	365746	Angela
659708	100126	Herself
659709	347300	Katie
659710	142264	Josefine
659711	226420	Jadwiga Domuntówna
659712	231997	Walkyrie
659713	218375	Lil' Mindi
659713	303361	Carrie
659713	383188	Nikki
659714	41004	Patsy
659715	73415	Natasha
659715	148373	Katrina
659716	84310	Eufrosyne Linde
659716	142767	
659716	237251	Irma
659716	328235	Mrs. Vigen
659717	210332	Host
659718	197137	Mrs. Bergström
659719	288862	Herself - Miss Germany 1998
659720	234511	Liv
659721	234511	Mari
659722	103282	
659722	173132	
659723	14728	
659723	70311	
659723	264389	
659724	112763	
659725	3279	Hot Tub Lady
659726	280169	FCO
659727	373433	Jessie
659728	47923	Betty Fielder
659728	50096	Joy
659728	169881	Caroline Dodd
659728	315223	Helen
659728	331065	Judith Tremaine
659728	331237	Sandy
659728	369444	Diane Wilde
659729	1793	Miss October 1986
659729	52312	
659729	257645	Herself (Miss May)
659729	361862	
659730	175947	
659731	108933	Koala Klub Dancer
659732	214430	Colonist/Accused Witch
659733	375339	
659734	252239	Frau 2
659735	163365	Putzfrau
659735	164290	
659736	81505	
659737	204755	
659738	148816	Extra
659739	206149	Counselor
659740	41138	Mrs. Todd
659740	123397	Demon Vixen
659740	259871	Alice
659741	155621	Elisa
659742	315701	Sabrina
659743	153578	Alien
659744	80469	Lola
659744	238275	Claudia
659745	118970	Karen, Dancer
659746	137300	Street Girl
659747	397356	Malaika
659748	390714	Quidsia "Quidsy" Rahim (1988)
659749	245513	Shahina Khan
659750	121404	Woman in Convertible
659751	31634	Mimi
659752	304782	The Lilac Fairy
659753	87867	Louise
659754	395027	Tilly
659755	25452	
659755	137056	
659755	162733	
659756	43327	Two Ladies
659757	9414	Sania
659757	294834	Egyptian Mother
659758	85153	Marie Gasquet
659758	265223	Soeur Mathilde de Saint-André
659758	281960	Ruth Greenglass
659758	377268	
659758	396135	Théodeline de Serpierre
659759	354953	Babysitter
659760	297626	
659761	16878	Wedding Guest
659761	26289	Hadleyville Realtor
659762	11539	Val
659762	18202	Herself
659762	27212	
659762	30741	Alicia
659762	31220	Donna
659762	39372	Jessica Bradford
659762	44833	Thérèse
659762	71183	Annamarie de Guidice
659762	74090	Mrs. Ken's daughter
659762	75269	
659762	80523	Rosie, the housemaid
659762	81239	Rosalie Otterbourne
659762	87896	Amy Marks
659762	121454	Marit
659762	124123	Mrs. Carter
659762	133518	Herself
659762	134506	Laura
659762	136800	
659762	141086	Doctor Karen Murphy
659762	162883	Catherine Gaits
659762	163188	Audra Phillips Denbrough
659762	163921	Rebecca
659762	194823	Maria
659762	199801	Mother Teresa
659762	203633	Elsa
659762	256593	Leila
659762	266591	Norma Bates
659762	269617	The Mannerjay
659762	281172	Juliet
659762	289096	Jewel
659762	297242	The Therapist
659762	298419	Rebecca Eche
659762	313480	AT-AA Driver/Abridon Refugee 
659762	313498	Kasan Moor
659762	330609	Esther
659762	336300	Petra
659762	341892	Chris Walters
659762	352003	Tania Scarlotti
659762	393476	Virgin Mary
659762	395163	Ione
659763	18019	Dorothy Waters, Charles' Nann
659763	32537	Dr. Hedy Fredericks, MD
659763	36970	Mayor's Secretary
659763	40112	Helen Ingram
659763	107262	Mary Gilbert
659763	109415	Lily Cole
659763	115474	Lorna 'Yippy' Gary
659763	119475	Martha Gray
659763	133622	Jordan Baker
659763	136816	Cordelia 'Kay' Motford Pulham
659763	147417	Nadine Piermont Kent
659763	149126	Eve, in a Movie
659763	155061	Eve Meredith Curtis
659763	169890	Margaret 'Maggie' Lee
659763	183836	Nora Connors
659763	195162	Meg Norton
659763	199403	Annette
659763	201149	Sybil Ames
659763	203799	Jane
659763	205724	Mme. DePolignac
659763	205905	Lt. Ellen Foster
659763	206414	Norma Haven, aka Norma Winter
659763	221044	Lorna Marvis
659763	223811	Maggie Cartwright
659763	244938	Susan Drake
659763	254654	Liz Imbrie
659763	255577	Daisy Denton
659763	276433	Voice Over
659763	277644	Joan Thayer
659763	311995	Kate 'Katie' McKim
659763	320197	Charlotte 'Charl'
659763	327821	Barbara Thomas
659763	327972	Eliza 'Liza' McCardle Johnson
659763	329588	Ann Jackson
659763	333315	Peggy Norton
659763	347109	Pamela Fitzgerald
659763	366889	Mary Turner
659763	367571	Christine Powell, later Chris
659763	367919	Miss Watts (Stephen's secreta
659764	332127	Sue
659764	350461	Sue (waitress)
659765	1168	Philip's Friend
659765	324552	Prostitute
659766	81665	Dakota
659767	195240	Madame Stanmore
659768	129247	
659768	346516	Lisa
659769	284259	Eva
659770	29492	Juge Landin
659770	68347	Marion
659770	69344	Madame Gilbert
659770	236566	
659770	268820	Maryse
659770	352635	Hélène
659770	379369	Me Garzaro
659770	387919	
659771	53216	Heroine
659772	146404	
659773	51392	
659773	91977	Directrice du Centre Social
659774	221055	Miss Melmore
659775	2805	Herself
659775	2815	Herself - Best Supporting Act
659775	2899	Herself
659775	2904	Herself - Co-presenter: Writi
659775	3021	Herself - Past Winner
659775	3053	Herself - Past winner
659775	4671	Herself
659775	6248	Morticia Addams
659775	6249	Morticia Addams
659775	7584	Herself
659775	8362	Agnes Browne
659775	16099	Dr. Betsy Reisz
659775	21046	
659775	29753	Gothel
659775	41347	Dr. Bonnie Fox
659775	48896	Calamity Jane
659775	54472	The Supreme Leader
659775	56314	Agent Mimi's Hands
659775	65569	Narrator
659775	68082	The Princess
659775	72217	
659775	73303	Dolores Paley
659775	73835	Mary
659775	76571	Mrs. Gwyneth Harridan
659775	80642	Gretta Conroy
659775	101040	Tamara Broder
659775	105069	Baroness Rodmilla De Ghent
659775	108339	Lainey Eberlin
659775	118763	Mental Patient
659775	124128	Samantha Davis
659775	130720	Fanny Assingham
659775	131651	
659775	134345	Lilly Dillon
659775	137913	Court Lady
659775	138184	Mrs. Rattery
659775	153284	Herself
659775	155263	Maida
659775	161197	Herself
659775	162364	Carrie Chapman Catt
659775	168112	Herself/Narrator
659775	168547	Herself
659775	168548	Herself
659775	172043	Queen of the Selenites
659775	175616	
659775	185735	Edna
659775	190046	Eleanor Zissou
659775	192684	
659775	193812	Herself
659775	203005	Jennifer Adler
659775	204190	Marcia Fox
659775	221055	Persis Bosworth-Tennyson
659775	243950	Herself
659775	252823	Carmela Perez
659775	254761	Leila
659775	257689	Herself
659775	261559	Madge
659775	265030	Maerose Prizzi
659775	270240	Storyteller
659775	281832	Miss Emily Grierson
659775	282696	Etheline Tenenbaum
659775	288702	Herself - Audience Member
659775	300177	Narrator
659775	302568	
659775	320890	Woman of Dark Visage
659775	330794	Polly Deutsch
659775	350541	
659775	358608	Claudia
659775	366768	Miss Eva Ernst/Grand High Wit
659775	367812	Herself
659775	388202	Marguerite
659775	395933	Clara Allen
659775	397941	Viviane
659775	402216	Interviewer
659776	282482	Trudy
659777	7135	Lady Anne
659778	321522	Bettyjo
659779	299680	Cat
659779	352700	Valerie
659779	383956	Snow White Charming
659779	397116	Jeri Stone (1994-1995)
659779	408067	
659779	410242	Lt. Sally Gerraro, MetroPol
659779	411132	Constance Fielding
659780	319568	Party Guest
659781	92575	Tina
659781	102581	Amanda
659781	196005	Mary
659782	254655	Dinah Lord
659782	382468	Francesco Bonino
659783	283426	Christine at 3
659784	18704	Kumi Tsukamoto (female cadet)
659784	181135	Legal assistant
659784	252974	Party Girl 3
659784	327632	Clara
659784	371962	Danish Noble #4
659785	362180	Girl on the Ladder
659786	18598	Bridge Crosser
659787	183638	Can-Can Dancer
659788	97364	Angry Actress
659789	100165	Professeur
659790	43736	Chuck's Girl
659790	67599	Louise Hays
659790	80716	Marsha Foland
659790	105971	Nancy Ashton
659790	141659	Nun
659790	151092	Doris
659790	182966	Hilda
659790	205824	Aunt Ana
659790	248737	Amy, a WAC
659790	385824	Adelaide 'Addie' Horton (#1) 
659790	395023	Hilda Brunschwager (1986-1987
659791	384613	Herself
659792	119565	Civilian Females
659793	7829	Mother
659794	208074	Girl
659795	90847	Elaine Burton
659795	114958	Annabelle Weldon
659795	115536	Carol Stafford
659795	145108	
659795	178979	Audrey
659795	232225	Ann Bellamy
659795	234471	Carol Page
659795	245178	Ann Miller
659795	270502	Lucy Johnson
659795	318165	Ann Taylor
659795	325155	Jane
659795	367459	Joyce
659796	194942	
659797	134093	Snow Slip Waitress
659798	328360	
659799	163127	Nõvér
659800	17079	
659801	153637	Terka Schneider
659801	173592	Anna
659801	268288	
659801	322025	Erika
659802	169029	Tuva as a child
659803	42034	Musicalleerling
659804	382508	Herself
659805	384097	Dielleza 'Delli' Hahsha (2000
659806	69037	Girl In Choir
659807	308122	Hitchhiking kid
659808	274016	Dr. Christine Jerolski
659809	387533	Sandie Merrick (1980-1989)
659810	190096	Jasmine, 8 Years Old
659810	232466	Little Girl
659810	248011	Hannah-Rose Jenkins
659810	296864	Lily Berringer
659811	89618	Doll Collector
659811	116996	Dirty Harry Gal
659811	224314	Cameron Dytwicz
659812	191016	Julia Grant
659813	106617	Friend
659814	82167	Third Musician
659815	210541	June
659816	62995	Lily Fezziwig
659816	63835	Dorothy
659816	185422	Tracy
659817	80852	Dr. Cronfeld
659817	184859	Outraged Woman
659817	219184	Joan Akers
659817	340899	Female reporter #3
659818	262529	Teller
659819	34799	Jane
659819	241799	Christmas choir member
659820	123034	Inventory Clerk
659821	705	Mermaid
659821	27146	Interviewee
659821	170978	Arlene Darling
659821	205426	Zelda
659821	213955	
659821	242761	Demetria
659821	314106	Nina
659821	358283	Hot Sake
659822	215578	Ringleader, 'Miss Lonely Hear
659823	78779	Stenographer
659824	186450	
659825	62990	Belle
659826	283395	Bartender
659827	302269	Spirit
659828	33754	Airline Stewardess
659828	192261	Margaret Dean
659828	205920	Grace Blake
659828	327831	Bit Part
659829	332947	
659830	130043	Lucy
659830	151499	
659830	159714	
659830	201595	Bertie's Wife
659831	47542	Linda
659832	386618	Contestant
659833	81033	Female Reporter (segment "The
659834	249595	Alice
659835	363355	Student
659836	216473	Phantom
659837	232020	Zombie
659838	209418	Sinclair's friend
659838	215974	Mrs. Stoddard
659838	227356	
659838	363694	Sinclair's friend
659839	95479	Hostess
659839	203580	Cameo appearance
659839	208961	Mrs. Treadway-Parke
659840	123572	Sonja Schlesin
659840	139679	June Jackson
659840	315585	Finney's Secretary Jean
659840	389794	Sarah Goldman
659840	405962	Fanny
659841	392483	Agrippina
659842	328289	Receptionist
659843	115634	Linda
659844	383316	
659845	320282	Secretary
659845	386518	Mary Dixon/Crawford (1956-196
659846	409194	Fizz (1999-) (costume charact
659847	326496	Refugee
659848	6800	Mrs. Lilly Sheldon
659848	7010	Widow Douglas
659848	26430	Mrs. Ewing
659848	73204	Dr. Mary Reynolds
659848	135803	Mrs. Hannah Keough
659848	138686	Joan Bradford, aka Joan Smith
659848	143116	Mrs. Wood
659848	148438	Mamie Baldwin
659848	154468	Carol Kennicott
659848	192173	
659848	195753	Mrs. Macaboy
659848	204883	Mrs. Cherne
659848	210404	Ann Prescott
659848	214932	Agnes Wood
659848	220318	Ruth Harkins
659848	224332	Nellie Moscrop Essex
659848	230286	Mrs. Elvira McCandles
659848	235062	Handsome Woman (Vandamm's sis
659848	239176	Hester Adams Chase
659848	270271	Mrs. Angstrom
659848	278274	Stella Trent
659848	282927	Letitia Gentry
659848	296840	Emily Masian
659848	302641	Caroline Walker
659848	308175	Elizabeth Conroy
659848	308353	Elsa von Frankenstein
659848	314412	Mrs. Sarah Walters
659848	315695	Marie Pasteur
659848	327851	Emily
659848	335070	Mrs. Arnold
659848	338629	Mrs. Tice
659848	358575	Ma Bartlett
659848	367841	Jane Carson
659849	100855	Miss Banning/Tea Lady
659850	312278	Celia Pugfeather
659851	301992	The Bride
659852	56871	Young Female Teller
659852	406685	Sylvia (2000)
659853	215690	Miss Maine USA
659854	83958	Marc's Girlfriend
659854	251514	Christy Rice
659854	310876	Receptionist
659855	374524	10 year old
659856	158478	Madam Adelaide
659856	192068	
659856	255360	Photographer
659856	287277	Aunt Nelson
659857	255143	
659858	57747	Inmate
659859	82903	Operator/L'Ln Plajiner
659859	200293	
659860	41229	Nurse
659861	158170	The Child
659861	215969	
659861	287309	
659862	99144	
659862	361741	Miss Dale
659863	185441	Mrs. Berney
659863	259391	Hortense
659864	273246	Deborah
659865	187886	Cathy
659866	76501	Mrs. Riley
659866	190774	Babs
659867	186778	
659868	315259	Landlord
659869	257182	Jill
659870	257683	Herself
659870	295853	Herself
659871	357167	Lisa
659872	163075	Sandy
659872	271325	Lisa Graham
659873	13432	Floozie (segment "Reckless Yo
659873	161505	Federal Agent
659873	207498	Lisa
659873	315214	Pool Playing Chick
659873	365341	Poker Girl #2
659874	215190	Marie Laveau
659875	205411	Black Mother
659876	354550	Mrs. Lewis
659876	407437	Lucie Manette
659877	206831	April
659878	274373	Dead Woman #3
659879	405209	Delphine 'Delphi' Greenlaw (2
659880	328603	Gun Toting Housewife (segment
659881	38705	
659882	13961	Lynn
659882	37581	Debbie
659882	263397	Karen Leigh
659882	270894	Mary
659882	308097	Elaine
659882	380713	Celia Frasier (2000)
659882	390771	Jenna Bradshaw Thorpe Morgan 
659882	400236	Gabrielle Medina Holden Bucha
659883	218701	Georgia
659884	75612	Stroker
659884	275735	Annette
659884	334594	Lisa the Stage Manager
659885	380284	Lana
659885	380692	Paige Turner
659886	201569	Herself
659888	28481	Ms. Erie
659888	107250	
659888	109093	Escort
659888	143742	Marty
659888	148784	Blanche
659888	223711	Drunken Trashy Girl
659889	18019	H. Culverton 'Smitty' Smith
659889	168220	Francine La Vaughn aka Jennie
659889	241767	Ethel Cortlant
659889	249513	Odette Le Vin
659889	367919	Jane (Mary's maid)
659890	363120	Waitress
659891	385171	Miss Pickwick
659892	396659	Reporter
659893	184344	Lady Evelyn Brenton
659894	134996	
659895	93437	Uschi Hollmann
659895	308239	Martha
659895	313335	Gisela Petri
659896	390144	Herself/Competitor (1994-1996
659897	374589	School Kid
659898	283555	Student #1
659899	162862	
659900	966	Stacy
659901	269727	Herself
659902	53327	Winnie
659902	288703	Herself - Audience Member
659902	291255	Television Reporter
659902	330386	Yvette Evy
659902	404337	Various (1991-1994)
659903	89701	Jessica Read
659903	144689	Holly Dreyer
659903	184372	Cera
659903	184373	Cera
659903	184374	Cera
659903	184384	Cera
659903	199460	Jill Scudder
659903	387981	Molly Newton #2 (1991-1994)
659904	137580	Board Member #2
659905	232239	Susan
659906	223378	Ann Bennett
659907	202952	College Girl
659908	100993	Nicola McCoy
659908	216473	Belinda
659908	272661	Marilyn Chambers
659908	388114	(herself)
659909	175842	News Reporter
659910	337151	
659911	245717	Laura Demski
659912	120723	Maria Rottkreuzschwester
659912	120997	Maria
659912	226286	
659912	322528	
659913	188815	
659914	164840	Jenny Barnes
659914	292247	Janey
659914	303819	Jill
659915	64409	Addie
659916	363560	Sitcom Marcia
659916	396017	Jezebel
659918	321486	Flavor of the Week
659919	241389	
659920	3895	Herself
659920	94668	Herself
659921	16098	Bobby Angel
659921	17756	Annie Oakley
659921	73303	From Happy Go Lucky (1943)
659921	73766	Peggy Harper
659921	93101	Georgina Allerton
659921	94881	Herself
659921	115214	Bessie Dale
659921	133949	Holly
659921	138804	Bubbles Hennessy
659921	141033	Herself - 'Archive footage 'V
659921	143577	Susan/Rosemary Allison
659921	147889	Herself
659921	158711	Texas 'Tex' Guinan
659921	166034	Herself
659921	188326	Kitty McNeil
659921	188341	Winnie Porter
659921	214955	Trudy Kockenlocker
659921	217572	
659921	241355	Cinderella
659921	248607	Herself - Band Singer
659921	248632	Herself
659921	253126	Pearl White
659921	263254	Herself
659921	274412	Eleanor Collier
659921	285637	Cameo appearance
659921	304088	Emily Average
659921	307980	Blossom 'Bloss' Seeley
659921	312003	Maggie Brewster
659921	313377	Polly Judson
659921	315483	Judy Peabody
659921	316897	Herself
659921	329565	
659921	331428	Herself (singer/dancer)
659921	354654	Herself
659921	355693	Herself
659921	368599	Herself
659921	381789	Goldie Appleby (1959-60)
659921	402964	Herself
659922	32207	
659923	26775	Bit Part
659923	31364	Dolly (ch 3 & 11)
659923	77939	Aileen Calindos
659923	121360	Edna
659923	143931	
659923	144966	Secretary
659923	154925	
659923	227163	Telephone operator
659923	256585	Marge
659923	323206	
659923	350473	Sal (gal moll) [Chs.2,3]
659925	323018	Pauline Buchanan
659926	391869	Tamara Simpson (#1) (1992-199
659927	408397	Herself
659928	391869	Tamara Simpson (#1) (1992-199
659929	114578	Sheena
659930	222620	Raquel
659930	321444	Suzanne
659930	391281	Herself (1969-1991)
659930	401346	Willimena Josephine 'Billie J
659931	5380	Herself
659931	36839	Herself
659931	105077	Herself
659931	110994	Herself
659931	158616	Herself
659931	166034	Herself
659931	321547	Herself
659931	331806	Herself
659931	392735	Herself
659932	314097	
659933	190953	Girl in Park
659934	235641	Stewardess
659935	197943	Member, The Pied Pipers
659935	256085	Singer with Spivak band
659936	298063	Skaters
659937	203572	Herself (CalTech)
659938	126040	Tiffany
659938	152583	Lucy
659938	209061	Sally
659938	372144	Julia Broadmeadows
659940	846	Herself - #66: Terrible Talk 
659940	2589	Herself - Co-presenter: Docum
659940	2781	Liz Vangelder
659940	13953	Michelle Stratton
659940	32146	Herself
659940	41713	
659940	49644	Herself
659940	50054	Herself
659940	54788	Cynthia Kirkman Sutherland
659940	66394	
659940	72502	Kathy DeMaio
659940	78668	Narrator
659940	110242	Jessica Moreau
659940	114814	Marlene Bell-Ferguson
659940	117428	Mrs. Lake
659940	120514	Caroline
659940	123325	Billie
659940	123986	Herself
659940	124541	Aggie Maybank
659940	135561	Liz Stanford
659940	153783	Clothilde de Watteville
659940	160669	Lilla Simms
659940	161304	Herself
659940	168129	Herself
659940	171035	Elaine
659940	191809	Rita Nebraska
659940	194640	Annie Delacroix
659940	202501	Jamie
659940	205080	
659940	213884	Cristina
659940	215793	Jennifer
659940	218507	Evelyn MacIntyre
659940	223885	Megan
659940	241050	Countess
659940	248110	Kate
659940	250546	Jenny Lofton
659940	252936	Barbara Laxton
659940	253236	Jenny
659940	255445	Pamela Gibson
659940	276708	Joanna Lake
659940	283348	Sarah Forsythe
659940	289420	Meg North
659940	308030	Leigh Michaels
659940	313596	Erica Hansen
659940	314599	Herself/Various
659940	315763	Evelyn Jellybelly
659940	333234	Darleen
659940	333442	Georgia Crawford
659940	336974	Jane
659940	351773	Herself
659940	355790	Kate Morgan
659940	360465	Wynne Atwood
659940	360741	Florence Farmer
659940	361226	Nona Bruce
659940	375909	Charlotte Taylor Wilson
659940	382285	Julie Lenoir
659940	383789	Linda Fairchild Rush
659940	388237	Liz McDowell (1987)
659940	400773	Colette Ferrier (1984)
659940	403317	Leslie Jenner Hawkewood
659940	405460	ZZ Bryant
659941	7527	
659941	49789	
659941	49853	
659941	62087	Grace Adams
659941	64855	The Governor's Brother's Swee
659941	128501	Daisy Wellington
659941	178915	Molly Stewart
659941	203611	Beth Taylor
659941	206177	Belle
659941	309496	Alice Sherman
659941	343267	May Jenks
659941	343359	Theresa
659942	203506	Elaine
659943	7914	
659943	18572	Agnes Young
659943	27073	
659943	40075	
659943	43101	
659943	46542	Mildred Day
659943	50325	Yvonne
659943	61256	
659943	70351	
659943	71679	
659943	82027	
659943	94195	
659943	96849	Eunice Potter
659943	104958	
659943	107633	
659943	131492	
659943	140856	
659943	143066	
659943	164989	
659943	169621	
659943	170758	
659943	183391	Nell Martin
659943	185518	
659943	190939	
659943	191506	Lena
659943	191806	
659943	194895	
659943	195332	
659943	214941	Ruth Higgins
659943	222605	
659943	226133	
659943	239041	
659943	240913	
659943	246713	Pearl Thompson
659943	283671	
659943	285640	
659943	318679	
659943	319229	Louise Lacharme
659943	335159	
659943	354500	Flapper
659943	366121	Anne
659943	366250	Patsy Thorne
659945	26146	Herself - Marion Hutton
659945	72703	Cameo appearance
659945	158067	Elsie Hammerdingle
659945	195620	Bunny Dolan, Maggie's Best Fr
659945	243206	Marion Hutton, Band Vocalist
659946	32122	Mrs. Mouldy
659946	64393	Newsreader
659947	319268	Katie Smith
659948	61326	
659948	127824	Beth-ann
659948	147893	Nikki Roman
659949	65895	Deirdra
659949	199133	Winnie
659949	240232	Sharon Gallagher
659949	330771	Maria
659950	40169	Cataract Woman
659950	57754	Landlady
659950	63066	Flower Lady
659950	113306	On-Ramp Lady
659950	140844	Heddy-Anna Badgett
659950	190994	Grandmother
659950	191677	Croonin cashier
659950	223642	Old Lady
659950	245008	Nurse
659950	289098	Jasmine
659950	329347	Janis
659950	338277	Old Lady
659951	119626	Alicia
659952	263623	La vivandiera
659953	407109	Herself (2004)
659954	2639	
659955	284748	Saara pienenä
659957	134941	Torunn
659957	145474	Eva Falck
659957	162582	Mother/Moren
659957	178435	Marianne Kretsen
659957	196810	Henny
659957	202647	
659957	206631	Jenta til sjarmør
659957	229298	Elin
659957	318315	Helen
659957	322454	Tove
659957	369414	
659957	387353	Various roles
659957	392072	Harriet, the Lady-in-Waiting 
659957	404785	Astrid Karling
659958	12469	Doddeltje/Mevrouw Bas
659958	17481	Anna/Bella
659958	40309	Mother of mimi
659958	341908	Olga's mother
659958	354068	
659958	394598	Zwaan
659959	378930	Prinsesse
659959	400118	Inge-Margrethe
659959	400428	Herself - Host
659960	358476	Soap Opera Woman
659961	71456	
659962	94055	Herself (widow of Aldous Huxl
659963	150823	Jessie Baldwin
659963	298443	
659964	288208	Charlotte Dulaine
659965	36582	
659965	86298	Hildegarde
659965	105135	Dracula's Victim
659965	189417	Computer Center Girl
659965	234205	Caroline Johnson
659965	266622	Louise Saville
659965	291224	Sylvia
659965	336731	Sadie
659965	348370	Gretel
659966	51967	Jamie
659966	294786	Millie
659967	158625	Hilda Maples
659968	284267	
659969	238125	
659970	105412	Alexia Thompson
659971	72848	
659971	183645	Narrator
659971	337311	Narrator
659972	134564	Herself - contestant
659972	382864	Annelies Brenner
659972	386264	Charlotte Revers
659972	390242	Annette Dekker-van Thijn (199
659972	392672	Journaliste Tess Witteveen
659972	392690	Eva Vierkens
659972	397358	Roos de Wit
659972	411115	Dienstmeisje
659973	104761	Dutch entry (13th place)
659973	228253	Herself
659973	228267	Herself - Backing vocal
659973	228268	Intervalact
659974	209630	Gail the Dyke
659974	251789	District Attorney
659975	404138	Additional Voices
659976	412043	Klant
659977	108901	Thanh Loan
659978	20481	
659978	200293	
659979	3993	VC Torturer
659980	60186	Whitney Young Team Member #5
659981	269726	La patiente asiatique
659982	65891	Emily
659982	93097	Poetry Reader
659982	95114	Peasant Woman
659982	257772	Rejected Music Student #1
659982	323733	
659983	130768	Young Marilyn
659984	86715	
659984	388909	Merel Vanneste (1999-)
659985	352029	Vrouw met kind
659986	228231	Herself
659987	222599	Butterfly
659988	309967	
659989	397637	Chantal
659990	94258	
659991	208567	Woman
659991	220371	Rimer
659993	254337	
659994	40137	Fru Werner
659994	98631	Fru Stenersen
659994	110715	Mrs. Hansen
659994	117691	Guri, den gamle kvinnen
659994	121027	Dadda
659994	124466	Karstens mother
659994	136451	
659994	146986	Bestemor
659994	159635	Lapp-Kari
659994	174719	Adelaida
659994	220192	Miss Gustafsen
659994	284403	
659994	303214	Frk. Gustavsen
659994	304182	Frk Halvorsen
659994	305859	Fru Brusefjær
659994	348962	
659995	352840	Tine
659996	64153	
659997	78298	Herself
659998	378741	Herself - Reporter
659999	46657	Frk. Steen
659999	51935	Servitricen Nora
659999	145457	Narrator
659999	151823	Bertha Gautier
659999	156366	Ellen
659999	166609	Annie Nielsen
659999	169973	Mrs Branza, brothel hostess
659999	226104	Kirsten
659999	244670	Gertrud Iversen
659999	322466	Anna
660000	105047	Ebba Schou
660000	154236	Magda
660000	182603	Ida, Marius' kone
660000	251143	
660000	397074	Garderobedame på Postgården (
660001	108973	Søs
660001	179817	Frk. Iversen
660001	252058	Betjentens hustru Agnete
660001	303874	Marie Kjeldsen
660001	344104	Gasværksarbejderens kone
660001	368732	Käthe
660002	27574	Herself
660003	145457	
660004	78266	Herself - Performer
660004	279619	Herself (audience)
660004	351368	Herself
660004	392343	Herself
660004	401872	Herself - Participant (2001)
660004	401878	Herself - Participant (Winner
660005	198401	Herself - Chairman, Erhvervsu
660006	388439	Nicole
660007	229843	
660009	2782	
660009	7254	
660009	167472	
660009	170319	
660009	199901	
660010	127723	
660010	227218	Hye-mi
660011	127238	Waitress
660012	160160	
660013	37596	
660014	367358	
660015	77680	Jin-a
660015	108230	Song Cho-hie
660016	124684	
660016	371142	
660017	287497	
660018	167569	Su-ni
660019	7263	
660019	19048	
660019	20060	
660019	28731	
660019	29223	
660019	49090	
660019	51005	
660019	51030	
660019	59138	
660019	60575	
660019	60620	
660019	60627	
660019	62205	
660019	62627	
660019	62845	
660019	78197	
660019	78199	
660019	82959	
660019	84509	
660019	89456	
660019	89523	
660019	94287	
660019	94906	
660019	95076	
660019	102052	
660019	102071	
660019	102072	
660019	102076	
660019	122832	
660019	122938	
660019	124435	
660019	124785	
660019	126799	
660019	126884	
660019	130279	
660019	135241	
660019	135650	
660019	135684	
660019	136322	
660019	136368	
660019	136371	
660019	136426	
660019	136435	
660019	136573	
660019	137090	
660019	137357	
660019	138022	
660019	149081	
660019	153451	
660019	153516	
660019	155573	
660019	156111	
660019	156123	
660019	156928	
660019	159613	
660019	159654	
660019	160195	
660019	163176	
660019	164338	
660019	165094	
660019	165540	
660019	165551	
660019	166786	
660019	166820	
660019	166827	
660019	166968	
660019	167472	
660019	167518	
660019	170515	
660019	177079	
660019	198820	
660019	201275	
660019	202519	
660019	204126	
660019	217330	
660019	217332	
660019	217361	
660019	219666	
660019	221519	
660019	221879	
660019	222222	
660019	226523	
660019	226536	
660019	226583	
660019	227113	
660019	227182	
660019	227225	
660019	230254	
660019	241930	
660019	246994	
660019	249170	
660019	255929	
660019	280884	
660019	282169	
660019	285214	
660019	285874	
660019	287112	
660019	288145	
660019	288163	
660019	294436	
660019	294467	
660019	294502	
660019	295010	
660019	295221	
660019	295228	
660019	298736	
660019	298737	
660019	298833	
660019	299057	
660019	307752	
660019	308284	
660019	312149	
660019	322914	
660019	344214	
660019	344218	
660019	344355	
660019	348672	
660019	364699	
660019	367356	
660019	371167	
660019	371182	
660019	371186	
660019	371253	
660019	373167	
660020	20195	Choi Yeong-hie
660021	165544	
660022	334790	Princess Scheradze
660023	227419	Pei-pei
660024	2253	302
660024	108230	Oh Hae-suk
660024	122870	Oh Son-yong
660024	126904	
660024	127445	
660024	166794	
660024	169726	Han Jung-hie
660024	170166	Marie
660024	221828	
660024	222271	
660024	239936	Su Jin's friend
660024	285227	Ms Lee
660024	287111	Jung-Yeon Han
660024	294487	
660024	330064	
660025	3917	Hui Seon
660025	384011	Shin Chae-hee
660026	49123	
660027	166015	
660028	175621	Klahn's Harem
660029	150351	Kickboxing Mother
660030	238981	
660031	89293	Receptionist
660031	153185	Kameesha
660031	275880	Reporter #2
660031	305917	Vivian
660031	314805	Katie
660032	245198	Little Moon
660033	185241	Lady of the Book
660033	235618	Lunar Maiden
660033	351773	Lutist
660034	117483	Customer
660035	289260	Nurse
660035	313206	Caroline Stout
660036	82742	Young Girl
660037	580	Dorothy
660037	7481	Gladys Durland
660037	10580	Rose
660037	36842	Anita Rogers
660037	37130	Anne Marlowe (sister)
660037	38804	Belle Dillard, the Professor'
660037	45961	Connie Marsh
660037	48288	Jennifer Duan
660037	50169	Alice Hobbs
660037	63088	Herself
660037	69852	Lou
660037	73398	Nadine Howells
660037	77815	Birdie Courtney
660037	108924	Hilda Larsen
660037	114049	Herself
660037	115631	Lady Evelyn Faraday Trenchant
660037	119338	Venus
660037	125887	Marjorie
660037	128266	Sailor's wife
660037	128442	Mary Howe
660037	149141	Selma Ritchie
660037	149827	Angelica Wayne
660037	153117	Mary Stevens
660037	155701	Joan Thayer
660037	162860	Ruth Thomas
660037	176248	Marilyn Spencer
660037	184486	Marie du Fronque
660037	207274	Sylvia Graeme
660037	210728	Connie
660037	230498	Dorothy Layton
660037	233907	Barbara Winfield
660037	241888	Helen Davis
660037	249374	Mrs. Murdock (Betty Rogers)
660037	252488	Peggy Trask
660037	254502	Cecile
660037	260249	Grace Hunter
660037	274428	Irene 'Rene' Legendre
660037	283093	Nell Kenner
660037	287232	Mait Stanley
660037	288746	Joan Chandler
660037	302649	Lela Larson
660037	302929	Alma Wagenkampf
660037	311404	Ethyl Norcrosse
660037	314482	Eve
660037	318675	Willowdean French
660037	320024	Axelle
660037	321387	Angela Worthington
660037	330605	Helen 'Nellie' O'Neill
660037	360172	Joan
660037	360234	Molly Rankin
660037	363955	Helen Charters
660037	367092	Anne Webster
660037	367974	Karen
660037	371033	Nellie Brian
660038	64833	Flower shop assistant
660039	87469	Party Girl
660039	390523	Caroline 'Cally' Donnington (
660040	5009	Additional SPAT Woman
660040	264751	
660040	339915	
660041	334385	Donna Lee
660042	191106	Taylor Davis
660042	304751	Trent Coven
660043	333182	Woman Cop
660044	220880	Jessica
660044	252510	Dana Clark
660045	304443	Late Night Pick-up
660046	330772	
660047	6030	Digna
660047	68455	Nurse Gates
660047	131447	Floberta
660047	267653	Trudy
660047	359742	Michelle
660048	97325	Herself
660048	313740	Herself
660048	360322	Herself
660048	368860	Herself
660048	368861	
660048	368862	Herself
660048	369896	Herself
660048	387279	Herself (1996)
660048	410689	Herself (1991-1994)
660049	5881	Gloria Fischer
660049	16127	Roxy's mom
660049	17472	Joyce Selznick
660049	28669	Mother
660049	34611	Shana
660049	54922	Noble Heart Horse
660049	64408	Mrs. Smyth
660049	93121	Helen
660049	129119	Frieda Anton
660049	140844	Nor Campbell
660049	148579	
660049	161706	Kaede
660049	176724	Lucy
660049	176852	Mrs. Henshaw
660049	187251	Mayor's Wife
660049	256499	Mrs. Granberg
660049	259216	Sarah's Mother
660049	275880	Mrs. Riley
660049	291036	Doris
660049	308126	Lady Grace Manley-Prowe
660049	327164	Grandmother
660049	339351	Judge Lougheed
660049	344474	
660049	355539	Faye, Judith's Mother
660049	370118	Gypsy Baker
660049	379168	Atrocia Odora
660049	388012	Additional Voices (1985- )
660049	392964	Kaede
660049	397054	Mrs. Murata
660049	398464	Captain Of The Dicastia
660049	405379	Frieda
660049	409665	Florence Kozy (later episodes
660049	411643	Granny Yak
660050	71	Member of Music Maids
660050	149382	
660051	190105	Herself
660051	193998	
660052	329151	Suzie Nolan
660053	387497	Darlene
660054	373579	Journalist, TV Lorry
660054	409172	Herself - Reporter/Host (1992
660055	91536	Pavla
660055	173601	Policewoman
660055	198930	Seamstress
660055	261875	Functionary
660056	180215	Kontorpersonale
660057	61033	
660057	83777	Tiffany
660057	360765	Drug Buyer
660058	104235	
660058	287230	Administrator's Wife
660058	397938	Mrs. Sanderson
660059	124177	Mother
660060	124177	Little Girl
660061	292158	Hospital Administrator
660062	77209	Laura Lock
660062	78921	DC Susie Blake
660062	228312	Herself
660062	297714	Lady Molly Spindacre
660062	382052	PC Cathy Bradford (2002-2004)
660062	384346	DC Janet Miller
660062	393042	Bev
660062	395595	Sydnie Hully
660062	411224	Catherine Heywood
660063	262799	Leader of orchestra, Naples
660064	26732	Herself
660065	26184	Gerda Honaker
660065	34316	Club hostess
660065	267574	Marta
660065	286179	Herodias' Servant
660065	331097	Johnnie's Girl
660067	345	Supermarket demonstrator
660067	418	Miss Peterson
660067	66683	Det Sgt. Hilary Mann
660067	97513	Jane (Speaker)
660067	115628	Dr. Alison Pierce
660067	363611	Sister Mary
660067	388328	
660068	79002	DeRenzy
660068	130305	Zaida
660068	138351	Mrs. Durant
660068	149495	Realtor
660068	151044	Marsha Kramer/Dolores Beaudin
660068	192048	Lola
660068	269372	Angie
660068	319709	Elvira Sharack
660068	323475	Miss Blair
660068	330218	Jackie
660068	365499	Queen Victoria
660069	127280	Tamara Swift
660069	283601	Tye - English Girl
660070	143924	
660070	158470	Schoolgirl
660070	254268	Carole
660070	299179	Ann Shields
660070	384783	Beth Francis
660071	168321	Lilli
660071	238166	Eva
660072	81722	Gwen
660072	219773	Sarah
660073	60342	Patty
660073	84007	Lady Godiva
660073	118564	Arabella
660073	185537	Annie-Annie Martin
660073	372663	Peppermint
660074	186370	Mrs. Preston
660075	332423	Rita
660076	115256	Gaspar's Assistant
660076	329480	Singing Secretary
660076	348327	Goldwyn Girl
660077	85834	Sharon
660078	159826	Injustice Woman, various
660079	107947	
660080	251812	Old Woman
660081	178189	Extra
660082	192725	Charlie
660082	287272	Laura
660083	308400	Wafiyyah
660083	311523	Precinct Policewoman
660085	10829	Mona
660085	148254	Anabel
660085	210387	Melody
660085	243201	
660085	399770	Mary Elston
660086	32420	Wonder Woman
660086	32987	Wonder Woman
660087	401595	Herself
660088	52624	Older Woman
660089	104965	Cowgirl
660090	360661	Mrs. Gupta
660091	115385	Lia Odemo
660091	214220	Ingrid
660091	240313	Guest at the birtday party
660091	345994	Guest at Hammar's party
660091	346974	Kate
660092	373029	
660093	125820	Daphne
660093	356794	Alice Simms
660094	20196	
660094	61541	
660094	126797	
660094	173359	
660094	222430	
660095	156381	Eun-hye
660095	286014	Yun Na-mi
660095	308737	
660096	36624	
660096	60650	
660096	288162	
660096	323233	
660097	138320	
660098	294461	
660099	4618	Janie
660099	31082	Mary Hess
660099	31148	Brett McClain
660099	34799	Barbara Lemont
660099	37059	Herodias
660099	37674	Vivian Clements
660099	41267	Nancy Mailer
660099	44485	Maid
660099	55583	Jennie Denton
660099	55928	Rebecca
660099	59826	Mary Fuller
660099	65431	Miss Harwick
660099	73872	Jo Grinling
660099	74248	Peggy Harding
660099	74839	(segment El nido de amor)
660099	79864	Mrs. Anderson
660099	82335	Martha
660099	83834	Melinda Marquand
660099	92224	Connie Anderson
660099	94685	Lt. Inge Schultze
660099	114176	Katherine 'Kate' Callender
660099	118810	Betsy Donevan
660099	120341	Jean Martin
660099	121215	Laura Blanco
660099	125195	Peggy Barnes
660099	128337	Fay Wilson
660099	135847	Judy Davis
660099	138654	Monica
660099	144084	Karin Johansson
660099	144085	Karin Johanson
660099	151173	Carolyn Gibson
660099	155261	Dorothy Kennedy
660099	169906	Catherine Bailey
660099	173351	Mary Corbett
660099	175405	Lucy Castle
660099	178104	Felicia
660099	185710	Peggy Kramer
660099	186420	Caroline Tyler
660099	193295	Bridesmaid
660099	196987	Lorraine Thayer
660099	203077	Lucy
660099	215993	Abby Vollard
660099	221913	Ana Maria
660099	224137	Cordelia
660099	232085	Angela Cole
660099	241112	Miss Amity Babb
660099	241165	Lee
660099	243517	Cheryl Banning
660099	245298	Ruth Dorn
660099	249017	Ruth Harmon
660099	249020	Ann McCall
660099	255323	Francene Shelley
660099	274362	Caroline Murphy
660099	278013	Dr. Jane Flynn
660099	278203	Anne Perry
660099	282402	Marcia
660099	283861	Ruth Abbott
660099	284931	Elizabeth Tyson
660099	286249	Helen Thornton
660099	289629	Christine
660099	289678	Luisa Chiaramonte
660099	300157	Peggy Bigelow
660099	306396	Paula Hempel
660099	307863	Gwen French (schoolteacher)
660099	307921	Kate Meredith
660099	308926	Mary Gordon
660099	332035	Ellie Jorth
660099	340533	Kidnapped Singer
660099	351438	Helen Adams (Val's understudy
660099	365433	Caroline
660099	367040	Lucinda Ford
660099	367582	Mrs. Barton
660099	369364	Nancy Warren
660099	373194	Marie
660100	2252	(segment "Chambre, La")
660101	118653	Schoolgirl #3
660102	111798	Pupil's Parent
660103	240428	
660104	124824	Vieille Servante
660105	29864	
660105	88338	
660105	93726	
660105	233454	
660105	376600	
660106	115714	Narrator
660106	208931	Narrator
660106	383747	Narrator (Series 2-) (2004-)
660106	392008	Narrator (1996)
660106	408290	Narrator (1994)
660108	59675	Connie Blodgett
660108	350155	Diane Anderson
660109	45439	Mickey Lubitch
660109	59826	Elizabeth Rogers
660109	143534	Princess Diana
660109	167560	Sarah
660109	241525	Mrs. Norman Vincent (Ruth) Pe
660109	279014	Leila Barton
660109	289374	Marta Grenier
660109	305755	Julie
660109	387374	Joan Bradford (1977)
660109	401350	Susan Winter (1968-1969)
660109	411811	Gig Houseman Malone (1961-196
660110	10088	Marjanne Hardin
660110	18012	Marie Smith
660110	47521	
660110	57045	Narrator
660110	59126	Elizabeth Grey
660110	94212	Liza
660110	94213	Liza
660110	96609	
660110	105426	Dody
660110	129443	Herself
660110	129596	Velma
660110	138724	Mrs. Patterson
660110	141155	Rose Duras
660110	148387	Aunt Martha
660110	150761	Mother Therese
660110	154853	Thelma Jenkins
660110	189265	
660110	192634	Aunt Grace
660110	193773	Maggie
660110	195102	Flora Kingswood
660110	218775	
660110	230411	Mrs. Slotnick
660110	262529	Anna
660110	268159	Mrs. Higgins
660110	286254	
660110	320095	
660110	328823	
660110	342357	Olivia
660110	363080	Dr. Martha Petrie
660110	398777	
660110	398937	
660110	403490	Louisa J. Banks
660111	80755	Baby Caroline
660112	141610	Mrs. Daniels
660112	403376	Helen
660113	196545	TV Producer
660114	399837	Brenda McLeod
660115	22959	Beryl Brentano
660115	26149	Babette
660115	39878	Marjorie Langdon
660115	43727	Annie Laurie
660115	56594	
660115	57151	Priscilla Kane
660115	60033	Leila Bard
660115	60207	Patience Hilton
660115	72204	The Honorable Penelope Drake
660115	81441	Honor
660115	101084	Their Daughter, Tavy
660115	107546	Peggy Laughlin
660115	117352	Violet
660115	128264	Winifred Bryce
660115	128523	Signa Herrick
660115	143369	Polly Biggs
660115	148994	Maggie Delamere
660115	159457	
660115	161574	Peggy Dare
660115	168536	Ursula March
660115	195857	Maggy Chalfont
660115	206409	Susan Baird
660115	211625	Gypsy/Susie Alice Pomeroy
660115	215451	Jane
660115	244366	Shirley Reynolds
660115	244438	Eleanor Gates
660115	246788	Mrs. Goldfinch
660115	251836	Margaret ''Peg'' Martyn
660115	253544	Peggy Patton
660115	273686	Cynthy Quimby
660115	281869	Marian as a young woman
660115	285792	Letty Fletcher
660115	286123	Janet Hallard
660115	298772	Barbara Thayer
660115	303033	Lady Betty
660115	303551	Olette
660115	360612	Dorothy Hale
660115	366809	Kitty Gordon
660115	367761	Alice Renfrow
660116	7196	Lizbeth
660116	17751	Molly
660116	23973	Audrey Hepburn (at 8 years ol
660116	72504	Giovanna
660116	168246	Elizabeth Mitchell
660116	237783	Molly
660116	264785	Howard's daughter
660116	310262	Malibu Girl #2
660116	380391	Rain Wolfe (1997-1998)
660116	380713	Alison McDermott Stewart #1 (
660116	388238	Jessica Pistone Egan
660117	366426	Ellen Hawley
660118	287552	
660119	212334	Herself - Participant/Perform
660120	109831	Barbara
660121	169918	Sales Girl
660121	263352	Tour Guide
660121	304571	Jan Squire
660123	322302	
660124	204573	Jacqueline van de Wall
660125	11743	Herself
660126	166602	Opsynet
660127	269842	May
660128	105851	Angry girlfriend
660128	309206	Kristina
660129	50033	Diana Taylor
660129	64554	Angela
660129	77613	Mary
660129	79959	Doris
660129	80817	Ann Garfield
660129	80994	Rita
660129	84964	Ellen Frisby
660129	118369	Rosie
660129	128259	Nurse
660129	131641	Maid
660129	143569	Jane Huggett
660129	147521	Receptionist
660129	150977	Stella Lemming
660129	163199	Bessie Hyams, sister of Morri
660129	163357	Martha Watkins
660129	181849	Princess Caroline
660129	204753	Linda Stanford
660129	223771	Nora Lawrence
660129	224303	Elsie
660129	232272	Marion
660129	269884	Janie Foster
660129	292659	Joan Butler
660129	324029	Frankie Rackham
660129	354853	Daisy Hacker
660129	360542	Babs Peters, inmate
660129	363042	Maid
660129	365263	Mrs. Young
660129	372238	Mrs. Delgado
660129	379334	Queen Guinevere
660130	401889	Herself
660131	350649	And Her Boys
660132	402011	Freddie Costello
660133	178745	
660134	138015	Inga Svensson
660135	212337	Herself - Participant/Perform
660136	120966	Woman in the stairs
660136	182466	Sonja's maid
660137	212337	Herself - Participant/Perform
660138	155250	Ashley
660139	301551	Mrs. Pelasi
660139	385719	Ruby Tate (1968)
660140	243251	Spike
660141	270628	Ticket taker #2
660142	105898	Usherette
660143	171094	Clerk
660144	47363	Herself
660144	176740	
660144	290319	Singer at pajama dance
660145	83786	Lady Bayliss
660145	132024	The Gorgon
660145	239082	Dancer
660145	272536	Chatty Woman
660145	342822	Tavern Woman
660145	366767	Stephanie's Maid
660146	278647	Surfer
660147	345650	Selina
660148	99190	Model
660148	384373	
660149	192527	Gallery Crowd
660150	390242	Connie Kelder (1990-1991, 199
660151	388977	Judy Watson
660152	136350	
660152	147882	Herself
660152	304225	
660153	378754	Herself
660154	378754	Herself
660155	392130	Mother on bus
660156	41238	Kolkan Jugger
660157	131198	Inez
660158	2399	Herself
660158	26592	Herself
660158	37986	Herself
660158	68108	Herself
660158	69078	Herself
660158	143659	Herself
660158	146642	Herself
660158	163623	Herself
660158	166554	Herself
660158	190799	Herself
660158	192508	Herself
660158	229681	Herself
660158	260291	Herself
660158	267239	Herself
660158	278290	Herself
660158	283099	Siri
660158	326740	Herself
660158	352687	Herself
660158	367824	Herself (Pretenders)
660158	410035	Herself
660159	347126	
660160	296944	Jennifer
660161	138724	Cheerleader
660162	204947	Churchwoman
660162	323974	Wanda
660163	330588	Cheerleader #2/Waitress
660164	272437	Deb
660165	264231	Terinka
660166	57613	Pepa's mother
660166	58131	
660166	70497	Grandmother
660166	149414	Ondra´s mother
660166	258534	Pavlína
660166	259292	Zofka
660166	266280	Slávka
660166	266282	Hansenová
660166	305819	Stanková
660166	312509	Zuzana
660166	375379	Jitka Lukavcová
660166	394618	
660167	237243	
660168	235846	Sosiaalivirkailija
660169	179377	Yuriko, an emplyee
660170	32068	Japanese fan
660171	146354	Okuni
660172	197489	Luna
660173	79006	
660174	291025	Reva Joy
660174	367853	
660175	148735	Soeur 3
660176	315885	Woman in Grocery Store
660177	16200	Red-haired Marie
660177	78139	Nurse
660177	141660	Maid #2
660177	221343	Dana
660177	223487	
660177	343686	Dana Lindova
660178	215177	Girlfriend
660179	190313	Sara
660179	397052	Recurring
660180	21014	Lara Kane
660180	53318	Friend
660180	133973	Muriel
660180	147767	Brenda Weintraub
660180	171228	Terry Griffith
660180	185334	Pia
660180	222639	
660180	259280	
660180	314108	Linda
660180	326620	Rita D'Onofrio
660180	330108	Sylvia
660180	330794	Belinda
660180	349973	Joyce
660180	360668	Karla Thompson
660180	395023	Allison Gottlieb (1988-1990)
660181	200052	Dormitory girl
660182	196083	Terry's Mum
660183	242515	Girl on Bicycle
660184	24851	Marian - in love with Cleante
660184	69849	
660184	73669	
660184	75275	Betty Ramsbottom
660184	127320	Betty Harlon
660184	138697	Lillian
660184	282626	Gwen Cavendish
660184	302597	Phyllis
660184	307425	Judy Marvello
660184	310395	Jane
660184	329543	Moya Malone
660184	341895	Rose Adair
660184	372280	Ellaline Terriss
660185	48023	
660185	118738	Mallissie Cheese
660185	126112	Helen
660185	183629	
660185	210226	Sapho Dill
660185	223045	Zenia Sprowl
660185	238775	Mezanine Conner
660186	204532	Model
660187	147737	Ms. Crotch
660188	385084	Herself - Hostess (1982-198?)
660189	40945	Fængselsbetjent
660190	48235	Club Lady #2
660191	32385	The Teacher
660191	47997	Waitress
660191	108633	Teatern
660191	172428	Market Woman
660191	182298	Sundström's assistant
660191	182455	Cook
660191	182566	German nurse
660191	193298	Widow Löfbom
660191	200402	Gardener
660191	237034	
660191	304199	Margit, a Nurse
660191	308199	Grandmother
660191	317231	Elderly lady refusing to cros
660191	322314	Student
660191	333046	Toy shop assistant
660191	341815	
660191	351990	Märta
660191	402277	
660192	78151	Dead Woman
660193	178376	Statist
660194	278876	
660195	17486	Liisa Kivi
660195	213414	Girl
660195	393740	Sune
660196	163209	
660196	328545	Siri
660197	213376	Girl
660198	144250	Katunainen
660199	303846	Vieras jatkoilla
660200	177703	Kaori
660200	293603	GI's only
660200	358430	Sayoko
660201	30988	Yuko Sakaki - Girls #9
660202	144816	Contestant #2
660203	169518	
660204	132212	Mrs. Karacura
660205	330550	Xang
660206	371256	The Girl's mother
660207	179366	Naisvampyyri 2
660207	197612	
660207	255513	Ritva
660207	401430	
660208	170246	Vieras #17
660208	233243	Maid
660209	307768	Schoolfriend Sara
660210	405505	Vilhelmiina Rummukainen
660211	14964	
660212	297598	Yu
660213	237236	Herself
660213	237237	Herself
660214	177890	Tuula Siltala
660215	220756	Child
660216	111679	
660217	49934	The Cyberbabe
660217	108671	Miyuki
660217	170832	Haruka
660217	199109	Sharon Apple
660217	322417	Sakuya
660217	328024	Girl
660217	402790	Helena Bahbem
660217	405633	Mazenda
660217	410739	Aphrodite
660218	399363	Nga
660219	399363	Kiêu Trang
660220	399363	Bà Phu'o'ng
660221	399363	Kiêu linh
660222	344099	
660223	147035	
660224	137097	Bartender
660225	57556	Eve Vodnanskova
660225	66267	Saleswoman
660225	84223	
660225	113102	Marinka
660225	171542	Zuzka, tavern wench
660225	234457	Milostivá paní
660225	325165	Baroness
660225	356427	Betka
660225	357462	Filipová
660226	8054	Brona
660226	57612	
660226	149414	Blanka
660226	151830	Zofie from Rícany
660226	212293	Blanka
660226	268294	
660226	374074	Anezka
660226	374412	
660227	227534	
660228	182796	
660229	154377	Anikó
660229	164754	Erzsi
660229	200610	Erna
660229	215416	Mónika
660229	322123	Andi
660229	349794	Hitch-hiker girl
660229	377129	Kata Kéki
660230	43111	
660230	51218	
660230	108071	
660230	139997	Angyalka
660230	149611	
660230	186174	Frau Johansson
660230	322122	
660230	382116	Koenigin Elisabeth
660230	399860	
660230	402164	Böbe
660230	404025	
660230	407231	Agónia
660230	412030	
660231	377889	Szépség az esküvõn
660232	57613	Governess
660233	322060	
660234	371289	
660235	376039	Zsuzsa
660236	28234	Morana´s daughter
660236	182311	
660237	110726	Éva Takács
660237	122397	Lillian
660237	126269	Antónia nagyhercegnõ
660237	134930	
660237	136595	Veronika
660237	377767	
660237	377892	Széphalminé
660238	317102	
660239	28793	
660239	40967	Frau Brebeck
660239	132694	Pflegerin
660239	225281	
660239	307554	
660239	325839	Frau Taubmann
660239	395001	
660240	377309	Indian woman
660241	128953	The Mouse
660242	51126	Fatima
660243	55203	Micaëla
660243	210147	Eva
660243	264339	Natalie von Oranien
660243	277460	Freia
660244	307163	Isän orkesterin jäsen
660245	109009	Ung kvinna
660246	18504	
660246	78492	Herself - Member of jury
660246	104758	Swedish entry (3rd place)
660246	104766	Swedish entry (1st place)
660246	104767	Herself
660246	147240	Swedish entry
660246	192659	Herself
660246	210346	Herself
660246	210353	Herself
660246	210354	Herself
660246	210363	Herself/Host
660246	390919	Herself - singer
660247	322279	Stewardess
660248	290489	Bärbel
660249	153747	
660249	233243	Maid
660249	301864	
660249	354281	Madame
660250	412	Elina
660250	14738	
660250	173267	
660250	175593	
660250	179625	
660250	181631	Marjatta
660250	181858	
660250	200978	
660250	206063	Mrs. Talvinen
660250	236795	Irmeli's classmate
660250	256880	Maria
660250	264291	Koitar
660250	271635	
660250	278560	Irma Vuori
660250	349735	Tellervo Ritvala
660250	354255	
660251	266977	Village girl
660252	404782	Saara
660253	397746	Herself - the host
660254	387647	
660255	332518	
660256	350718	
660257	390140	Skorpioni
660258	32386	Annika
660258	190809	Vivi Vanheden
660258	392089	Ninni Björk
660258	406271	Hanna (2003)
660258	408800	Pamela Karlsson (1996-1999)
660259	48002	Jesta Fridman
660259	84282	Ruth Baden
660260	251949	Sairaanhoitaja
660260	267454	Various
660260	341788	Various
660260	349146	Neiti Nou
660260	349147	Tarmon vaimo
660260	382257	Johanna Tähtinen
660260	382258	Johanna Tähtinen
660260	392555	Maija Lehmus
660260	397537	Helena Meriläinen
660260	400857	Maija Lehmus
660260	409794	Herself
660261	145131	Mrs. Andersson
660261	172406	Susanna
660261	175759	Mirkku
660261	182504	Woman on the beach
660261	213700	Vappu von Törner
660261	258846	Guest in Helena's party
660261	350672	Mrs. Berg
660262	172777	Black princess
660262	198263	Dolly
660262	349736	
660262	354274	Terttu Mökönen
660263	76912	Nana Truscheid
660263	95264	
660263	223284	
660263	243168	
660263	290100	
660263	364962	
660263	393255	
660264	24690	
660264	104860	Aina Havia
660264	152357	Sanni
660264	156543	Ilona Vaahtonen's mother
660264	213379	Anni
660264	213416	Mrs. Takala
660264	214840	
660264	246876	
660264	250502	Mrs. Seppälä
660264	258986	Pate's mother
660264	278338	
660264	301816	Kierikan emäntä
660265	216753	
660266	137738	Aunt Miili
660266	144058	Norma Karpalainen
660266	153756	Anna-Liisa Kinnunen
660266	171439	
660266	181634	Nanna
660266	181649	Hedvig
660266	184109	Kantola`s hostess
660266	233244	Salli
660266	239154	
660266	242257	Singer
660266	255760	Kaisa
660266	283593	Fredrika Runeberg
660266	319317	Kerttu
660266	341793	Jemiina Schroderus
660266	349150	Mrs. Sahlberg
660267	211038	Ruusunnuppu
660268	175327	Girl in a funfair
660268	229544	Saima Solmu
660269	255762	
660270	400283	
660271	232584	Maija
660271	323255	Emmi
660272	246933	
660272	392164	Sanna-piika (1999-2000)
660272	392355	
660273	9168	
660273	13417	Susanne
660273	21384	Veera
660273	52121	Airport secretary
660273	117477	Tuula Rajala
660273	182366	
660273	198887	Lady
660273	213377	Satu
660273	247008	Ilona Jalava
660273	248145	Anna Kelanen
660273	255766	Annikki
660273	256878	Keski-ikäinen nainen
660273	281298	Tuula
660273	285158	
660273	303846	Anne
660273	324102	
660273	342145	Marita
660273	349822	Tuula
660273	354286	Riitta, crap woman
660273	357592	Laila Järvenpää
660273	357793	Sanne
660273	387368	Wife
660273	397265	Tuula Mahlapuro
660273	399648	
660273	407198	Apulaisprofessori Helena Saar
660273	409771	Mother
660273	410180	Anita Järvinen
660273	410455	
660274	156040	
660274	223255	Mrs. Santala, Satu's mother
660275	255512	
660275	255758	Ilona
660276	100011	Alaston nainen
660278	119681	Guest at Party
660278	145607	Kosmetikerin
660278	153903	Sekretärin
660278	164905	
660278	198533	
660278	223489	Trude Neugebauer/Postlerin
660278	260414	Frau Gretz
660278	268921	
660278	322981	Drea
660278	325725	
660278	376512	Barbara
660278	385861	Vizeleutnant Meierhofer
660278	394049	Vesely
660278	394817	Hertha
660279	42163	Lotte Zoller
660279	92555	Frau Kellway
660279	191427	
660279	325425	Maria Matras
660279	343681	Lucy Corbasse
660279	375230	Germaine
660279	377364	Frau Mender
660279	409612	Frau Knauer
660280	246933	Girl in the cafe
660281	17718	
660281	34460	La sevante
660281	146426	Charlotte
660281	208241	
660281	247012	Dorpsmeisje
660281	286314	Lerares Frans
660281	290870	Businesswoman
660281	346466	La funambule enceinte
660281	388419	
660281	388419	Une religieuse (segment "L'ét
660281	388688	Julienne
660282	78769	Jasmin
660283	124027	Sylvia
660283	171574	Leonora
660284	166763	Pärchen im Liebesfiilm
660284	347974	Svenja Zimmermann
660285	9602	
660285	181651	Katri
660285	182218	Anna
660285	191193	
660285	217739	Mona
660285	221861	
660285	321803	Marja-Liisa Vartio
660285	332518	
660285	341794	Anu
660285	343465	L. Onerva
660285	372625	Director of model agency
660285	387500	Päivi Kärnä (1997-1998)
660285	392164	Lilli Lindhof (2003)
660285	397537	Liisa Metsola
660285	400682	Nina Sundel
660285	400857	Saga Abrahamsson
660286	132460	
660287	304166	
660288	324605	Anja Kilpinen
660289	285158	
660289	341785	
660290	95768	Paula
660291	23415	Husmaffia
660292	204534	
660292	248425	Superintendent's wife
660292	342313	Barbro
660293	334821	Lauran työkaveri
660294	179738	
660295	379345	Klienen Prinzen
660295	384217	Maria
660295	397969	Smallest Ant and Nick
660295	401467	Gina (voice: German version)
660296	334422	
660297	12600	Anne Vollbeck
660298	120892	Restaurant Singer
660299	199083	Receptionist #2
660300	225485	Woman at Manor #3
660300	357765	Felicia Rydelius
660301	99230	Mrs. Bärn
660302	190808	Dancer
660302	322671	Dancer
660302	342307	Dancer
660303	241179	Eva
660304	48130	Manekeng
660304	115883	Marianne
660304	303666	Afrodite
660305	23502	Henriette
660306	302338	Marchioness Savorelli
660306	304173	Brandt's Wife
660307	309064	
660308	2907	Bathing beauty
660308	29561	Waitress at Blå Bävern
660308	94341	Servant at Hotel Eggers
660308	115385	Öhman's housemaid
660308	148826	Ticket clerk
660308	164651	Waiter
660308	164770	Nurse Keith
660308	174255	Funfair visitor
660308	174697	Waitress at the dance
660308	182302	Nurse
660308	240312	Telephone operator
660308	303734	Girl at the birthday party
660308	304403	Guest at the party
660309	154203	Older woman at Tempo
660309	322421	Aurora
660310	476	Margret
660310	28700	Lou Aldryn's wife
660310	78469	Herself (performing 'Vuggevis
660310	78470	Herself (performing 'Lille sa
660310	95822	Mary Randy
660310	104748	German entry (8th place)
660310	134793	Herself
660310	138036	Dorte
660310	167141	Lilian Andreesen
660310	173999	Herself
660310	178750	Pige med dukke
660310	189764	Renate 'Rena' Larsen
660310	189856	Herself
660310	234289	
660310	264294	Maj
660310	284394	Signe
660310	313785	Performer
660310	325701	Birgit
660310	327340	Herself - Performer (segment 
660310	337066	Helen
660310	344381	Ullabella
660310	399483	Nina
660310	401615	Guest
660310	409260	Herself
660311	164279	
660312	382140	Herself (Host)
660312	386423	Herself (1996-1997)
660312	399865	Herself (1999-)
660313	15919	She
660315	83361	Elizabeth
660316	23743	
660316	380860	Bedette Salvail
660316	387048	Madame Hamelin (1976-1977)
660316	396868	Bedette Salvail
660316	396977	Carmen Thibault
660316	407068	Bedette Salvail
660316	407873	Jeanne Jacquemin
660317	53232	Emma Leclerc
660317	58235	Claire
660317	62827	Jacqueline
660317	68932	
660317	76129	Suzanne
660317	132750	
660317	148727	
660317	169031	
660317	212154	Madame De Marcialle
660317	216350	
660317	238040	
660317	258957	Julie
660317	261817	
660317	288204	Maryse
660317	340142	Madame Walter
660317	345279	Grete
660317	346700	
660318	68331	La femme du jury
660318	73166	
660318	294565	La jeune fille (segment "Orgu
660318	345342	Ludovique
660318	391621	Herself
660319	8880	L'impératrice Marie-Louise
660319	27670	
660319	33615	Une femme
660319	40995	
660319	44964	Prudence
660319	45109	
660319	51246	Philomène
660319	55877	
660319	57536	Jeanne
660319	66088	
660319	114035	
660319	124134	Rose
660319	124318	
660319	149214	
660319	204656	Aricie, femme de Cabridan
660319	206506	L'Interpellatrice
660319	264311	La cliente des négociants
660319	270453	
660319	284146	La Servante
660319	322750	La Cornette
660319	325062	
660319	335460	Marie
660319	345166	
660319	377655	
660320	5509	Angèle
660320	26586	Jeanine
660320	58855	Youyoute
660320	66834	Colette
660320	70738	
660320	73117	Renée
660320	76129	Hélène
660320	78542	
660320	81430	
660320	84608	
660320	101148	
660320	103176	Alice
660320	205494	Helene Roland
660320	205763	
660320	216113	Fanny
660320	268859	
660320	320011	
660320	326146	
660320	335898	Ernestine
660320	345322	
660320	346505	
660320	346608	Mizzi Schlager
660321	220262	
660322	77347	
660322	260912	
660322	283264	
660322	294777	
660322	346443	Madame Rabbas
660323	372282	Narrator
660324	349779	Bíborka
660325	263896	
660325	345074	Claire
660326	376531	
660327	52002	Lorenza
660327	58416	La baronne de Monteuil
660327	73181	
660327	108544	
660327	199379	Princess Eliza
660327	201200	
660327	214796	
660327	226262	
660327	227741	
660327	236617	
660327	264023	
660327	333898	
660327	339438	
660327	340162	Viola Vescotelli
660327	352596	
660327	354572	
660327	361078	
660327	378080	
660328	8616	La secrétaire de Bergeron
660329	360575	Herself
660330	208230	Gaby
660331	96031	
660331	377474	
660331	394699	Herself
660332	164688	La femme du sabotier
660333	390314	Herself
660334	111020	Girl Friend
660334	273020	Manuella in Paris
660334	282018	
660335	45620	Serveuse du bar de Phil
660335	309980	Amies de la jeune Lucie
660335	386497	Rose Dupré
660335	410252	Josée Boucher
660336	74077	Jocelyne
660336	386092	Ginette Belleau
660337	282124	
660338	66930	Old Woman
660338	153379	Hallbera
660338	314371	
660339	296855	Gian Deez
660339	299125	Fatora
660339	373391	Kenta
660339	381163	Village woman/Girl in Blue
660339	391328	
660339	396491	Chisa Shinohara
660339	396497	Rumiya
660339	405218	Young Claus
660339	405356	Young rally cheyenne and rall
660339	405633	Martina
660340	294028	Chihiro/Sen
660340	320463	Moe Tokiwa
660341	377761	
660342	98228	
660343	1117	
660343	16965	
660343	178368	Laci's wife
660343	322126	Burkusné
660343	326341	
660343	377768	A gondnok felesége
660344	153737	Die Taumännchen
660345	126461	Marie Baumgartner
660346	6170	Frau mit wirren Haaren
660348	363	Cornelia
660348	40514	Louise
660349	125210	Tante Anna
660350	307088	Stefanie
660350	307091	
660351	119208	
660351	251811	Frau Rink
660352	204464	
660353	281657	Karla
660353	336420	Kuni Berger
660354	9525	Hanna Hobrecht
660354	33265	Rachel
660354	38991	Pauline
660354	98419	Cora
660354	112845	Anita
660354	119271	Susanne Helmann
660354	119272	Ingrid Goth
660354	132550	
660354	155329	Pauline
660354	180002	
660354	216382	Selmy
660354	225218	Helga Baumann
660354	225663	Babsy
660354	290650	Elli
660354	303389	Edeltraud
660354	343489	
660354	343493	
660354	353076	Hanna Lauretz
660354	356203	
660354	357163	Gretchen Hunter
660354	375982	Liss Rennert
660354	388251	Maria Rohrbach
660354	392902	
660354	395644	Dorle
660354	412101	
660355	170132	
660355	188806	Krankenschwester
660355	189736	
660355	225244	
660355	352675	
660355	354367	Oberkellnerin
660355	366554	
660356	34353	Anne Hofmann
660356	35500	Gerda Lohmann
660356	101964	
660356	126199	
660356	155367	
660356	156667	Gertrud's Girlfriend
660356	174760	Agathe
660356	175571	Johanna Beckers
660356	180473	Margarethe
660356	180916	Rose
660356	189612	
660356	225290	Carla Behle
660356	244122	
660356	266163	
660356	311101	
660356	325404	Marion Mindner
660356	344912	Tine
660356	346846	
660356	352659	Ellen Buchka
660356	377351	
660356	389361	Frau Schäfer
660357	12704	Sabine
660357	17502	Dr. Burckhard
660357	49290	
660357	49307	
660357	71229	Eva Berger
660357	118971	
660357	140244	
660357	147175	Vera Kronenberg
660357	180913	Marktfrau
660357	225260	
660357	225267	Frau Pommer
660357	225275	
660357	225644	Manuela
660357	226180	
660357	227535	Friedrichs Mutter
660357	259602	Maria Steinert
660357	274862	Rosmarie Haller
660357	279969	Rosmarie
660357	281714	Marla Reesa
660357	290217	Theresa Bayer
660357	292257	Lotte Wikivill
660357	325431	Hanna
660357	325483	Babette Götz, 'Baby'
660357	325926	Bernadette
660357	329854	Jutta
660357	347047	Sybille
660357	352055	Carola Geissler
660357	352057	Karola Geissler
660357	352058	Carola Geissler
660357	352059	Carola Geissler
660357	352060	Kommissarin Geissler
660357	352061	Karola Geissler
660357	352062	Karola Geissler
660357	352064	Kommissar Geissler
660357	352065	Karola Geissler
660357	352066	Karola Geissler
660357	352069	Karola Geissler
660357	352070	Karola Geissler
660357	352071	Karola Geissler
660357	358522	
660357	376297	Hannelore Illgner
660357	389359	Birgit von Teuffel (1992, 199
660357	393878	Erna
660357	397103	Sava
660357	397757	Elsa Maybach
660357	404184	Carolin
660357	410048	Hanna Laurentz
660358	1372	The Czarina
660358	12631	
660358	15888	Frau Bäumle
660358	29557	Mrs. Radinger
660358	34241	Carrel's Mother
660358	35025	
660358	46622	Mutter
660358	120132	Frau Bullner
660358	121138	
660358	134820	Wirtin Frau Klebusch
660358	140235	
660358	144042	Dorine
660358	145475	Mutter Kaminski
660358	173150	Wenck's mother
660358	182004	Marfa Strogoff, Michael's mot
660358	183246	
660358	204036	
660358	239102	Sanna Krüger
660358	246549	
660358	251811	Mutter Aase
660358	272747	
660358	272780	Rosa, the Maid
660358	289885	Anna
660358	313643	Resika
660358	314895	
660358	315838	
660358	316526	Frau
660358	352389	Countess Benrat
660358	358897	
660358	359224	
660358	359580	
660358	361095	Gildemeister's Mother
660358	361125	
660358	366554	
660358	376127	
660359	301496	Carola
660359	339065	
660360	115425	Sparta
660361	340264	Maid
660362	354426	Nadja
660363	255753	Counsellor's wife
660363	272835	Lotten Ringius, Hjelmin tyttä
660363	354274	Counsellor's wife
660364	30163	Dordi
660364	78384	Dinner Guest
660364	153768	Svenske Fredrik's wife
660364	181638	Guest at the party
660364	182544	Woman at accident site
660364	282087	Woman
660365	282087	
660366	9543	Mrs. Klintborg
660367	134707	Ulrika Dennis
660367	172779	Sixtens mamma
660367	172780	Sixtens mamma (episode 3)
660367	254215	Luisa
660367	303196	Anna
660367	322840	Herself
660367	351989	The Mistress
660367	357758	Jill
660367	377305	Cecilia
660367	387040	Queen Lovisa Ulrika
660367	403084	Karin Bergström (2000-2002)/A
660367	404048	Yvonne Hallman
660368	46647	
660369	71437	
660370	188933	Stig's mother
660371	137294	The TV-reporter
660371	178478	Blind Woman
660372	191206	
660373	18085	
660374	168850	Lady with her dog
660374	284553	
660375	159640	From-Olle's wife
660376	338658	
660377	160072	Tangia (Le Cinesi)
660377	163936	Opera Singer
660378	156029	
660379	259664	Kammersängerin Bomsberg
660380	1586	Nurse Gesine
660380	4788	Alice
660380	4791	
660380	11778	
660380	11785	
660380	12588	Kronprinzessin
660380	18831	
660380	19304	Friedel Bild
660380	24059	Miss Schramm
660380	24327	
660380	31962	Beatrice Cenci
660380	35203	Ihre Töchter: Laura
660380	38766	Herself
660380	47046	Moviestar
660380	59561	
660380	79165	Guest
660380	87889	
660380	92058	Alice
660380	93467	Heidemarie
660380	94308	Marianne Vogt
660380	98311	
660380	107812	Dorothea Rabanser
660380	111342	
660380	120132	Louise von Bonn
660380	120432	
660380	132539	
660380	134813	
660380	134987	
660380	136208	
660380	136211	Kitty Fordyce
660380	141947	Sabine, seine Frau
660380	144167	Änne
660380	144176	Frau Gitta Denk
660380	153106	Frau Nietnagel
660380	153109	Kindergärtnerin Kathrin Gebha
660380	153937	Herself
660380	155438	
660380	168434	Frau Dr. Hofmann
660380	170700	Katja Bergen
660380	173052	Carmita Prätorius
660380	175322	
660380	179611	Lilo
660380	182788	Herzogin Elisabeth in Bayern,
660380	184006	
660380	187548	
660380	188833	
660380	189646	
660380	189780	Jeanette
660380	189881	
660380	197832	Erika Brencken
660380	202762	Donata Sarni
660380	219265	Frau Nietnagel
660380	225218	Frau Baumann
660380	225300	
660380	231874	Petra's Mother
660380	237539	Essie Miller
660380	252540	Frau Nietnagel
660380	282220	Barbara
660380	284116	Adele
660380	290177	Gräfin Dohna
660380	290180	Marianne, Gräfin von Vogelöd
660380	306403	Fräulein Dr. Barioz
660380	307598	Vera Navarri
660380	308821	Mrs. Vogelsang
660380	308846	
660380	337135	Charlotte Jenrich
660380	345914	
660380	352607	Maria Bertram
660380	354367	Marquise de Sevigné
660380	359622	Elisabeth/Lena
660380	361012	Rosl Lanner
660380	366554	
660380	367186	Dr. Wilma Linde
660380	375986	Mary
660380	376282	Clothilde
660380	396752	
660380	402046	Anna Maerker
660380	409990	
660381	290820	
660382	137411	Concierge
660383	244679	
660383	390812	Claudia Wedemaier-Löpelmann, 
660384	4835	Renes Schwester (Rene's Siste
660385	153587	
660385	188746	
660386	345897	
660387	264279	
660388	5160	Edith
660388	17918	Ilona
660388	60490	Georgia Spaldi
660388	281746	
660388	314960	Jutta S.
660388	325478	Frau Rottweiler
660388	408388	Mrs. Baker
660389	24519	
660389	153083	
660389	290527	Lilo S.
660390	145614	
660391	352176	Baby
660392	210090	
660393	352176	Baby
660394	290871	Klofrau
660396	194553	Elise
660396	404431	Sabine Held
660397	75936	
660397	103101	
660397	177912	
660397	198928	
660398	391604	Kathleen 'Kalle' Konnopke (20
660399	75936	
660399	103101	
660399	177912	
660399	198928	
660400	113234	Nell
660400	120433	
660400	293423	
660401	325535	
660401	345898	Saskia Selmer
660401	381694	
660402	154203	Clerk in flowershop
660402	276130	Bettan, Irene's friend
660403	27571	
660404	11847	Lore Kuballa
660404	12377	Rosa
660404	15272	Christine Gasser
660404	15908	
660404	16219	Agnes
660404	31379	
660404	40359	Victoria
660404	47825	
660404	50159	Gerda
660404	86330	Klara Herzog
660404	90516	
660404	97436	
660404	110457	Lu
660404	117127	Klara
660404	122564	Herself
660404	132255	Trixi Jancik
660404	140214	Ursula Kannenberg
660404	144025	Frau Held
660404	145499	Linda Ludwig
660404	147269	
660404	147271	
660404	152741	
660404	152830	Mama/Laura's Mother
660404	155325	Alexandra Meyberg
660404	156984	Angelika Zander
660404	167709	Mother
660404	173674	Mutter
660404	174566	Katharina Knie
660404	178480	Klara
660404	181164	Baroneß Mary Vetsera
660404	184276	Mona
660404	188718	Daniela Koch
660404	188855	
660404	200389	
660404	201334	Marie
660404	210114	Marei Roth
660404	211087	Frl. Glöckner
660404	221269	Mrs. Matthews
660404	225219	
660404	225319	Fanny Theren
660404	262751	Petra Klinger
660404	265092	Sister Ursula
660404	281726	Phoebe
660404	290057	Simone Popp
660404	290477	Freya von Hepp
660404	290547	
660404	290723	Anna
660404	290724	Anna
660404	312200	
660404	313788	Performer
660404	322920	Karoline Gschwantner
660404	347584	Christine Erdmann
660404	348056	Felicitas Scherrer
660404	352538	
660404	353469	Victoria's Mother
660404	356745	Alena Westorp
660404	359659	
660404	365692	Johanna Keßler
660404	366591	LOre
660404	376125	Carla
660404	382728	
660404	387735	Christine von Guldenburg, geb
660404	393878	Julia Laubach
660405	199312	Reisertalerin
660405	225723	
660405	306464	
660405	365638	Meierin
660406	13612	
660406	24385	Gertraud Tessler
660406	142004	..
660406	158604	
660406	272784	Paula
660406	338472	Mitzi
660406	339948	
660407	713	Vicky a.k.a. 'Mäuslein'
660407	24035	Nicole
660407	40145	
660407	56090	
660407	108531	Tina
660407	110638	
660407	119726	Nora
660407	166368	Mavie/'Minnie Mouse'
660407	177634	Lena
660407	189782	Ina
660407	211489	Nina
660407	217657	
660407	234542	Rosa
660407	236828	
660407	258735	Rita
660407	290689	Jenny
660407	299342	Silea
660407	301039	Rotkäppchen
660407	307651	Emmie Weller
660407	325949	Ruth Hofmann
660407	345674	Liane Wagner
660407	351969	
660407	354069	Merle
660407	375962	
660407	398993	Marie Louise of Austria
660407	403146	Eva
660408	194438	Bank employee
660408	195057	
660408	230177	Regine Hellberg
660408	259520	
660409	222432	Cleaning Woman 1
660410	328545	Majsan
660411	225330	Eva-Lotta Lisander
660412	303199	Girl in school
660413	180222	Elsa
660414	234128	Narrator
660415	84291	Gun
660415	136450	Virgin Mary
660415	182101	Doctor
660415	192827	Franzén
660415	234664	Länspolismästare Franzén
660415	303193	The evil one
660415	315605	Peter & Göran's Mother
660415	330562	Länspolismästare Fransén
660415	341026	Marianne
660415	382321	Lisbeth
660415	401773	Lovisa Augustsson
660415	405822	Ebba
660416	325581	
660417	325753	Bärbel
660419	41821	Barmaid
660419	86553	Roxanne
660420	111956	Christel Gallenmüller
660421	90991	Brigitte
660421	259611	
660421	325882	
660422	17487	
660422	91015	Ellens Mutter
660422	119125	Maria
660422	137182	Susanne Riess-Passer
660422	168524	Ella
660422	189563	4 Freundinnen
660422	190765	Polin (Polish woman)
660422	204581	Mimi Mann-Kanova
660422	206260	
660422	208001	
660422	226261	
660422	244567	
660422	290047	Frau Fränckel
660422	290051	
660422	308824	Miriams Mutter
660422	311928	
660422	325676	Frau Martens
660422	325785	
660422	381689	Emmi
660423	257268	Frau Ostheim
660423	325459	
660423	349130	Photographer
660425	78267	Herself - Presenter
660425	153774	
660426	156504	Castle founder
660426	167056	
660426	399476	Receptionist at B&W
660427	134943	
660427	199082	Tina
660428	124795	
660428	402429	Herself - Host (1995-?)
660429	214370	
660429	278356	
660430	78474	Herself (performing 'Du er mi
660430	78475	Herself (performing "Swingtim
660430	78476	Herself (performing 'King Kon
660430	78477	Herself (performing 'Elske')
660430	78480	Herself - Member of jury
660430	78481	Herself - Member of jury
660430	78482	Herself - Member of jury
660430	78490	Herself (performing 'I nat')
660430	114822	Herself
660430	138522	Herself - Performer/Various r
660430	302125	
660431	378327	
660432	409402	Herself - Co-host (1993-1994)
660433	214370	
660434	117001	
660434	225684	Hare-Ane
660434	349648	En sygeplejerske
660435	8371	Voksne Nethe
660435	383948	Fru Alman
660435	387293	Dommeren
660436	212333	Herself - Participant/Perform
660437	251143	Betjentens datter Inger
660438	138006	Deadmistress
660439	317646	Woman 1
660440	237291	Julie
660440	244010	Josefine
660440	393474	Josefine
660440	393477	Herself/Josefine
660441	312755	Herself
660442	27595	Solvej
660442	40817	Peters Mor
660442	48381	Else
660442	79616	Vicar
660442	93526	Fru Hvidmann
660442	120065	
660442	120857	Fru Claudius
660442	136637	Herself/Liva's mother
660442	153375	
660442	153943	Susanne
660442	178731	Brevstemme
660442	184677	Anna
660442	209389	Ammen
660442	219876	Gertrud Fordson
660442	234474	The Telephone Voice
660442	237303	Beate
660442	237407	
660442	242715	Frederik's Mother
660442	245794	
660442	271274	Anette Swan
660442	293705	Psykolog
660442	294661	Jytte Vuldom
660442	305010	Karen
660442	343953	Holmes sekretær
660442	352116	
660442	373985	Steen's mother
660442	381669	Bentes mor
660442	388894	Butiksägarinnan (episode 7)
660442	394188	Lise
660442	398855	Gerda Nielsen
660442	403379	Camilla
660442	403380	Camilla
660442	405582	Annelise Refsbo
660442	407621	Eva, Editor of Omegnsbladet (
660443	24600	Lasca
660443	51935	Agnes
660443	58831	Danserinden Arabella
660443	121028	Tanten
660443	153954	Ella
660443	154227	
660443	179982	Juliette, rengøringskone og s
660443	180408	Speaker
660443	181750	Mikkelsen
660443	213435	Majbritts farmor
660443	216286	Speaker
660443	238784	Hertha
660443	241981	Maria
660443	276136	Woman in Copenhagen
660443	284394	
660443	312124	Dronning Gunhild
660443	312234	The Mummy
660443	333556	Stemmen
660443	346966	Helle's Mother
660444	27596	Herself/Karen
660444	42686	Herself - Host
660444	64613	Gabriella
660444	93526	Feltmadras
660444	104817	Eva
660444	108050	
660444	114827	Pia
660444	145473	Sygeplejerske
660444	182615	Tinna
660444	237286	Ekspeditrice i skobutik
660444	295112	Kirsten
660444	303133	Pia
660444	303747	Jane
660444	304357	Vulgær dame
660444	309292	Jomfru Helmer
660444	319545	
660444	327340	Herself - Performer (segment 
660444	342076	Sarah
660444	343719	Lene
660444	351047	Stella
660444	354469	Nurse
660444	373618	
660444	382884	Regine
660444	389734	Britt (Frank's girlfriend)
660444	394865	Karen Jensen
660444	407621	Lotte Marie Nielsen
660445	145473	Anita
660445	305020	Henriette
660445	389734	Connie Torp
660445	398299	Ilse von Tannhäuser (segment 
660445	398967	Gymnastiklærer
660445	405951	Ilse von Tannhäuser (1986-198
660446	325133	Bettina's Mother
660447	174069	Elna (som barn)
660447	205809	Heidi
660448	28561	Mette Soerensen
660449	393474	Ærkeengel
660450	99513	Sabrina's friend
660451	343520	Herself (Modtager af Søren Sø
660451	400373	Herself (Meteorolog)
660451	409153	Herself - Weather Forecaster 
660452	376101	Herself - Presenter
660452	376103	Herself
660453	294741	Amely Madison
660454	182294	Sykepleiersken
660454	196810	Gatepike
660455	11847	Nina
660455	91012	Lydia Dubois
660455	98357	
660455	107751	Jasmin Wegner
660455	129742	Kristina
660455	281059	Lara
660455	325583	Lena
660455	325708	Nadja
660455	325780	Claudia Kleist
660455	325914	Sofie
660455	377345	Annemie Boos
660455	377346	Annemie Boos
660455	377347	Annemie Boos
660456	119709	
660456	290145	
660456	356701	
660457	130916	
660458	280798	
660458	290626	
660459	216387	
660460	220726	Aloisia Weber
660461	28167	
660462	125157	Kreditberaterin
660462	344737	
660462	366563	
660462	396874	Lisa Busch (#3) (2004-)
660462	409958	Gudrun Seifert (# 2)
660463	4762	Sally Gibbs
660463	98301	
660463	99901	Emilia Galotti
660463	100970	Lisa
660463	149486	
660463	150628	
660463	191473	Prinzessin Palatine
660463	197825	
660463	204452	Yvonne
660463	301035	
660463	307248	
660463	307323	
660463	325483	Dr. Hildegard Förster
660463	337066	Tatjana
660463	348086	Ebba von Rosenberg
660463	351912	Perpetua Reedbeck
660463	354771	Viola
660463	369136	
660463	388965	Sandra
660463	397505	Mary Jones
660464	125298	Schirmer
660465	195216	Fanka
660466	3275	
660467	189686	Nina's Mother
660467	223288	Regine Kessler
660467	272913	Ärztin
660467	325505	
660468	259523	
660468	259694	
660469	65202	
660470	259454	
660470	259548	
660470	397450	
660471	213291	Beatrice (segment "Sabotage")
660472	11870	
660472	225130	Ladz Winterton
660473	74947	Div.
660473	86953	Lisa
660473	286825	Barbara
660474	214539	Perihan
660474	312882	
660474	325657	Frau Tielens
660474	380985	Iffet
660474	412318	
660475	11738	
660475	38468	
660475	82851	
660475	322441	
660476	26484	Lena
660476	42860	Noor Groen
660476	71380	Joyce
660476	118723	
660476	130225	Heleen
660476	152274	Susan
660476	180403	Femme Fatale
660476	226275	Sylvia
660476	243242	Lisa
660476	259801	Robin
660476	275781	Françoise
660476	302124	Joy
660476	344244	Marjan
660476	379191	Ellie
660476	408764	Masha Jacobs
660477	361498	Jasmin
660478	17500	Anna
660479	122255	Hilde
660480	17500	Anna
660481	8336	The physician
660481	103605	Keje
660481	221848	
660481	240540	
660481	308288	
660481	371562	
660481	387405	Ayhan Somuncu
660481	390860	Neriman Demiroglu
660482	303134	Amanda Wingfield
660483	124904	
660484	229063	
660485	325675	
660486	375157	Blondine
660487	351040	Herself - Host/Chef
660487	392381	Herself - Host (1995-1997)
660487	408374	Host (1951-1953)
660488	399175	
660489	230087	Babsi
660490	147518	Auguste-Viktoria Generalin
660491	366495	
660492	107354	Bit Part
660493	66258	Wife
660493	171531	Criminologist
660493	180673	Social worker
660493	226464	
660493	354724	Pepicka
660493	376244	
660494	28538	Veronika
660494	74461	Éduska
660494	134959	Hetyke
660494	138393	Novicia
660494	163174	Picur
660494	173963	
660494	354434	Csiperke (sparrow)
660494	377807	(soloist)
660494	378180	Lou Lou
660494	378575	Júlia
660494	407310	Kúrió
660495	50977	Afholdskvinde
660496	692	Herself
660496	267475	Narrator
660496	384513	Narrator
660496	390615	Narrator
660496	392496	Narrator
660496	395144	Herself - Narrator
660496	398448	Guest Presenter (1995)
660497	189963	Nadia
660498	189963	moeder
660498	218508	Halima
660498	387117	Kenza
660498	390242	Moeder Azalaia (1999)
660498	398923	Najib's Mother
660499	274267	Jenny's Mother
660500	40391	Sibilla Jacopescu
660500	40392	Sibilla Jacopescu
660500	40394	Sibilla Jacopescu
660500	145321	Helda Muramer
660500	183277	Betty Beaulieu
660500	283023	Marianne
660500	376905	
660500	395334	Cora
660500	397486	Madame Bestuscheff
660500	412268	Yseut (segment "Attale, escla
660501	23938	
660501	43189	
660501	74485	
660501	74893	
660501	137186	
660501	236238	
660501	244211	
660501	272347	Catrina
660501	288025	
660501	294555	
660501	344440	
660501	374637	
660501	386188	
660501	404019	Princesse Ralu
660502	52192	
660502	344643	
660503	396649	
660504	400566	Mary
660505	208094	Maternity Nurse
660505	281895	Rose
660505	291968	Stephanie
660505	301398	Lucy
660505	397831	Teacher
660506	47334	Tommy's Mother
660507	103440	
660508	186594	Berit
660510	69119	
660510	205643	
660511	105472	
660512	253473	
660513	375700	Mrs. Catalano
660514	29513	Girl
660515	308311	
660516	238376	
660517	23841	
660518	224654	Child Playing Clue
660519	224654	Girl Reading in Bed
660520	208260	
660521	394078	Elefteria
660521	395090	Xenia
660522	265069	Model at studio
660523	232626	Another Nike of Samothrace
660524	217816	News Crew
660525	646	Beth
660526	102115	Young Girl
660527	287159	
660528	157951	
660529	252926	JonBenet Ramsey
660530	27312	Old Trailer Woman
660531	68586	
660532	115794	
660533	397474	Herself/Co-host
660533	399813	Herself (2000-2001) (Morning 
660534	54815	Francineide
660534	412258	Young Carmencita
660535	216469	Nurse
660535	305029	Anna's Mistress
660536	25764	Weeping Lady
660537	315823	Lisa
660538	350035	Velma Louise
660539	112400	Mrs. Moresco
660540	407138	Herself - Therapist
660541	118873	Vicki
660541	134024	Brittany Lazure
660541	375113	Dancer #1
660542	110311	Mother
660543	45486	Girl Scout
660544	86414	Herself
660545	176872	Girl
660545	265265	Deborah
660545	359298	Girl
660545	388405	
660545	404263	
660546	32066	Girl
660546	388405	
660546	404263	Sandy
660547	126688	Salon Junior
660548	379395	Bridesmaid
660549	290862	Bambina
660549	344584	
660550	5184	Screaming Woman
660550	189520	Portuguese Sister #1
660550	222599	Amanda
660551	68437	
660552	68609	Namorada do Homem do celular
660552	385947	
660553	210901	Volaca
660553	403604	Volaca
660554	355052	Judy
660555	56929	Margherita Rossi Chaillet
660556	237736	
660556	336558	
660556	392288	
660557	186184	
660558	13992	
660558	113393	Julia
660558	179274	
660558	216042	Farida
660559	6326	
660559	8502	
660559	8885	
660559	10962	
660559	15294	
660559	163794	Filitsa
660559	179635	
660559	209781	
660559	210082	
660559	217244	
660559	314917	
660559	375548	
660559	379445	
660559	380353	Teacher
660560	116621	
660561	193501	
660562	24734	Amelle
660563	85924	Lady in Waiting
660563	271153	B Girl
660563	370572	Harem girl
660564	241225	Stripper
660565	62713	
660566	338858	Prostitute
660567	80833	
660568	80833	Calusa tribe
660569	348737	
660570	197465	
660570	258498	
660571	234390	Voz de la mamá de Paula
660572	251015	
660573	56881	
660573	146533	
660573	351727	
660574	397019	
660575	383471	Lluvia Amezcua
660576	234742	
660577	6496	
660577	13071	Woman in stamp's shop
660577	104060	
660577	121245	Doña Amparo
660577	376671	
660578	96308	
660579	11529	Maria
660580	334646	Concha
660581	21705	
660581	228763	
660581	287817	Belén
660581	293403	
660581	300827	Carlota
660581	379093	
660581	380125	Luna Camacho
660581	380249	
660581	380894	Tía Porcia
660581	385058	Patria Mia
660581	385252	Tomasa
660581	389751	
660581	391173	Aleluya Sotomayor
660581	392958	Belinda
660581	398453	
660581	398471	Marina Batista
660581	398483	Micaela Rojas
660581	400941	
660581	401697	Encarnación
660581	401905	Andrade
660581	404800	
660581	410387	Carmen Teresa
660582	183009	Vera
660583	28862	Minerva
660584	57870	Wife of patient
660586	6629	
660586	14786	
660586	24202	Mercedes
660586	55772	Milagros
660586	74600	Lita
660586	119884	Nancy
660586	125786	
660586	131136	Amanda
660586	135110	Georgina
660586	139892	
660586	156547	Doña Rosa
660586	205071	Herminia
660586	244603	
660586	258382	
660586	283198	Mujer 2
660586	285460	Greta
660586	291670	
660586	306701	Rosa
660586	378355	
660586	409960	Teresa Luarca
660587	74156	
660587	79133	
660587	244594	
660587	257529	Concierge
660587	384775	Mabel
660587	409959	Tita
660588	221990	
660590	384400	Angelica 'enemiga de daniela 
660591	98975	
660592	296471	
660592	387904	Mirta
660592	391174	
660592	391446	
660592	395494	María
660592	398842	Mercedes
660592	400640	
660592	402054	Magdalena
660593	194609	Herself (makes speech)
660593	260536	
660593	310293	Herself
660593	339326	Herself
660594	160610	ballet
660595	369732	Sabel
660596	213757	
660597	637	Mucama
660598	91388	
660599	245042	Francesca
660600	87949	
660601	262591	Fetish Girl
660602	153698	
660603	19451	Fortune teller
660603	196660	Leonor Lopes
660603	327512	Sra. Arcanjo
660604	312878	
660604	391011	Various Characters
660604	391472	Krankenschwester Heike
660604	403487	Herself/X-Treme (2004)
660605	42325	Neighbor
660605	392015	Gordon the Gorilla
660606	259979	Carla
660607	53140	Christina
660608	132109	Preacher John's Daughter
660608	194616	Lisa
660608	323832	Debbie (segment "Meat's Meat"
660609	198222	Olga Magdalena
660610	346004	Claudette
660611	2487	Old woman #2
660612	42860	Moeder Mo
660613	42860	Zusje Mo
660614	370146	
660615	373744	
660616	83326	Zenem
660617	124424	Jewish refugee
660618	21896	
660619	282923	Young Mother (Crypt)
660620	192742	
660621	175458	
660621	220882	
660622	122699	
660622	152153	
660622	221802	
660622	271594	
660622	272991	
660622	359581	
660622	370741	
660623	129737	Yussef's Wife
660624	20023	
660624	31482	
660624	38327	
660624	95223	
660624	152157	
660624	202110	
660624	285972	
660624	374350	
660625	165585	
660625	214315	
660625	267897	Lisa
660626	15246	
660626	165735	
660626	393792	
660626	401010	
660627	345022	Jeune de la Cité
660628	9353	Singer
660628	263660	Glasat na magistralata
660629	234260	Natasa
660630	410330	Nejra
660631	221554	dancer
660632	73578	Afrodita
660633	328543	Herself
660634	216862	
660635	117001	
660635	145457	
660635	153343	
660635	198079	
660635	253910	
660635	322466	En ung mor
660635	340248	Mette Werner
660635	353033	Nina
660636	194759	Bordello Madame
660637	21189	Diana
660637	62911	
660637	142836	Aunt Augusta
660637	190668	Sonja
660637	204532	Thyra Lennberg
660637	242449	Lill, Ballettpike
660637	247316	Eva
660637	322308	Elli
660638	181658	Herself - Inspektør, Kvindemu
660639	163011	
660639	181896	
660640	334962	Ranko
660641	321957	Female Radio Voice
660642	131168	Sei's Grandmother
660643	89740	Herself
660644	82589	
660645	339036	
660646	399084	Mónica
660647	139892	
660648	44382	
660648	52974	
660648	88215	
660648	100785	
660648	268524	
660648	280868	
660649	322851	Bailarina
660650	91285	
660650	199853	
660650	233490	
660650	287452	
660650	376676	
660651	115759	Neighbor B
660651	211072	Madre muelas
660651	281781	
660651	318232	Madre
660651	377112	Mujer 1
660653	155986	Girl
660654	7738	
660654	39484	
660654	75028	
660654	105374	
660654	106430	Teen Applying For A Job
660654	161769	
660654	245782	
660654	326736	
660654	353680	
660654	372432	
660655	241594	
660655	249563	
660658	381821	Ensemble (1982-1983)
660659	17197	Yolanda
660659	150075	Stripper
660659	207440	Big Bottom Girl
660659	385171	Cram Assistant
660659	406817	Bailiff Icey
660660	199934	
660660	400407	Ingrid (segment "Wanda")
660661	215057	Anna Tümmler
660663	121606	Kikuko's Sister
660664	180036	Soyoko
660664	198811	Hatsuko
660664	212530	Domonjo's madame
660664	242126	Yuko
660664	242179	Model B
660664	297069	Naccha
660664	371978	Kazue
660665	178455	
660665	299302	Shojo
660666	162141	
660666	167942	Ichinose, Nobuko (Mother of T
660666	174332	
660666	334784	
660666	411647	Fujiko Nakahara
660667	9586	
660667	12955	Sawako
660667	18578	Oyoshi
660667	18675	
660667	18677	
660667	49716	Woman
660667	49867	
660667	61106	Bilblanc
660667	62097	
660667	82192	
660667	121214	Kurokoma's wife
660667	162141	Herself
660667	171625	Kiku
660667	174326	Akiko Ishizaki
660667	174327	Akiko Ishizaki
660667	174328	Akiko Ishizaki
660667	174329	Akiko Ishizaki
660667	174330	Akiko Ishizaki
660667	174331	Akiko Ishizaki
660667	174332	Akiko Ishizaki
660667	174333	Akiko Ishizaki
660667	174334	Akiko Ishizaki
660667	174335	Akiko Ishizaki
660667	174336	Akiko Ishizaki
660667	174337	Akiko Ishizaki
660667	174338	Akiko Ishizaki
660667	174339	Akiko Ishizaki
660667	174340	Akiko Ishizaki
660667	174341	Akiko Ishizaki
660667	174342	Akiko Ishizaki
660667	174343	Akiko Ishizaki
660667	174344	Akiko Ishizaki
660667	174345	Akiko Ishizaki
660667	174346	Akiko Ishizaki
660667	176670	
660667	179305	
660667	179315	
660667	182042	Shigeko Shizuma
660667	208015	Nobuko Kono
660667	217076	Wife
660667	223001	
660667	229786	Onobu
660667	233104	Momoko
660667	285589	Herena
660667	293607	Jun's mother
660667	323265	Hilda
660667	324536	Apartment caretaker's daughte
660667	345618	Fumie Hattori
660667	359353	Ren
660667	359388	
660667	371986	
660667	373319	Otae
660667	391522	Naka (Hideyoshi's mother)
660667	394192	Akiko Ishizaki
660668	333406	
660669	387601	
660670	373218	
660671	215187	
660671	215210	
660671	220229	
660671	233219	Matsuko
660671	287108	
660671	288655	Kitty Pinboke
660671	397861	Yuki Nomura
660672	299300	
660673	155508	Sayuri Ichijo (plays herself)
660674	163011	
660674	174994	Girl with Long Hair
660675	19769	Cattleya
660675	45009	Newscaster
660675	176532	Howmei
660675	394421	Howmei
660675	397371	Jody Santemillion
660675	401100	Grandma yokusha
660675	404846	Mika's Mom (Oka-san)
660675	411667	Jody Rockwell
660676	177472	
660677	173595	
660678	399405	Chie Karita/Momo Enoshima
660678	403411	
660679	227657	Kesakichi
660679	243898	Saizo Muin
660680	61064	
660680	146895	
660680	173097	
660680	177864	Otsune
660680	179163	Mother
660680	234538	
660680	286656	
660680	298972	
660681	23068	Hideko Kanda
660681	28127	Haruno
660681	89342	
660681	89495	
660681	125727	
660681	145452	Yoshiko
660681	242181	Kikue
660681	285602	
660681	285613	Lady-in-waiting Iwabashi
660681	294182	
660681	323133	
660681	334936	
660681	341256	Chizuru
660682	53993	Vedova Ching
660683	9268	
660683	12365	La 1ère fille Tour Eiffel
660683	29565	Chiyo
660683	29573	Fukuko Ichioka
660683	63541	
660683	150508	Kyoko, Reiko's sister
660683	163835	Kikuko
660683	173261	Yoshiko
660683	233108	Yoko
660683	336000	
660683	371982	
660683	378139	
660684	101560	
660684	101561	Go
660685	29671	Daimyo
660686	41669	Kayako Kirishima
660686	182509	Natsuko Aki
660686	263361	
660686	333406	Chikako
660686	338478	Rina
660686	406874	Shibamoto Yuka
660687	15956	Asako
660687	278737	Shimabukuro
660687	390333	Kaori Ogawa
660688	181896	
660689	344817	Tsuru Onoda, Ine's little sis
660690	49712	Okuma, Naojiro's Mother
660690	179341	Madame
660691	59313	Arcia Rinslet
660691	169736	Chiharu
660691	169737	Chiharu
660691	407369	Yuki Kohashi
660692	214901	
660693	391337	Woman Ghoul
660694	298749	Woman Farmer
660694	299813	
660694	334911	Herself (Geisha Singer)
660695	21812	Daughter
660695	199417	Playwright daughter
660695	308893	Michiko, daughter
660696	400053	Marina Koizumi
660697	401393	MaMamie
660698	261116	Catwalk Model
660699	391576	Saki Okamoto
660699	396069	Min Shimaki
660700	5394	
660700	8762	Wife of Kyuemon
660700	18682	Mom
660700	63542	Otomi, Kyubei's wife
660700	76877	Mrs. Nakajima
660700	121462	
660700	125199	Yumi
660700	127863	
660700	137128	
660700	139405	
660700	144214	
660700	153867	
660700	156242	
660700	166025	
660700	173060	
660700	182046	
660700	213007	
660700	225901	
660700	232536	
660700	242183	
660700	242200	
660700	244494	Matsuko Katayama
660700	286597	Saki, maid
660700	286598	Saki, maid
660700	288190	
660700	288191	
660700	289309	
660700	289311	
660700	296638	
660700	298951	
660700	308437	
660700	308880	
660700	323500	
660700	324308	Shizuko Okamoto
660700	358398	
660700	359611	Mrs. Ariyama
660700	375571	
660700	375600	
660700	375605	
660700	375613	
660700	375634	
660701	97035	
660702	242180	Hair dresser
660702	299122	Oyone
660702	299123	Oyone, maid
660703	142959	
660703	222949	
660703	358432	
660704	4729	
660704	62503	Okane
660705	316788	F'aien Shi, the Chinese Girl
660706	278563	Japanese Telephone Operator
660706	361637	Hua Mei
660706	367962	GeeGee
660707	316788	Girl Wife
660708	7035	Court Girl
660709	28395	
660709	148739	La femme de Kamal
660710	247159	Elena
660711	143191	Glamazon
660711	315483	Showgirl
660711	321522	Marie
660711	360834	Elevator Girl
660712	320294	
660713	382644	Patty Covington
660714	115269	Women Coalation Diner Patron
660715	84570	Sängerin
660716	43401	Jumelle 1
660717	43401	Jumelle 2
660718	209221	Female Rat #1
660719	227996	
660719	322099	orosz nõ a metrón
660719	343776	
660719	407815	Herself (Single) (2003)
660720	359195	Mrs. Takahara
660721	169278	La dactylo
660721	398488	Eugenia
660722	22791	
660722	53120	
660722	151796	
660723	65603	
660723	104078	
660723	268052	
660723	282138	
660723	294071	
660723	379206	
660723	381650	Julia
660723	383156	
660723	385417	
660723	388253	
660723	390405	
660723	391848	
660723	396393	
660723	396631	Beatriz
660723	398167	La Loca
660723	399942	
660723	404828	
660723	408585	
660723	409011	
660723	409012	Miriam
660724	15061	L'infirmière cobalt
660725	162529	Jenny
660726	69393	Lady Snodley
660727	387533	Kitty
660728	366598	Winter Bride
660729	117425	Tomoko Maeda
660730	137065	
660731	405219	Kumiko Watanabe
660732	382467	Elisabeth
660733	88000	
660734	232893	
660734	348597	
660735	170461	
660735	214205	
660736	12065	Marcelina
660736	19449	
660736	42625	
660736	44530	
660736	74957	
660736	86501	
660736	101594	Doña Exaltación
660736	113223	
660736	148039	
660736	170461	
660736	231284	
660736	302555	
660736	307813	
660736	355923	
660738	93211	Woman at Police Station
660739	106542	Donna
660739	218873	Betsy
660740	292150	Disciple
660741	206963	
660742	383972	Rochel 'Rochi' Ruttenberg
660742	385585	Mika
660743	196384	Sanne
660744	104512	Marci
660744	202395	Starlet
660744	219182	Bonnie
660745	116147	Crew member
660746	336596	
660747	109544	Frida, Greta's friend
660748	21606	
660748	42612	
660748	172175	
660748	173912	
660748	178389	
660748	221849	
660748	222351	
660748	253333	
660748	286104	
660748	288290	
660748	377571	
660749	360055	Girl
660750	176415	Nene Cessna
660750	208065	Eleanor Purdy
660750	303545	Sara Baker
660751	9008	Mrs. Brimstone
660751	46420	Social Worker
660751	82332	Female Doctor
660751	93958	Newscaster
660751	115668	Hooker
660751	118970	Teacher
660751	127824	Dr. Brookner
660751	138236	Last Rape Victim
660751	141662	KC
660751	147530	Mrs. Walker
660751	149932	Cell Mate
660751	185766	Hospital Nurse
660751	203186	Katherine Jackson
660751	210462	911 Operator
660751	245055	Policewoman
660751	252963	Receptionist
660751	269856	Gayle
660751	273794	Receptionist
660751	289668	Mrs. Meeks
660751	292472	Cora
660751	299518	Nurse Malcolm
660751	380049	Melanie Blackstone
660751	405833	Mahalia
660752	394538	Gallery Customer
660754	185065	Roxanne
660755	326733	
660756	377590	Signora Di Salvo
660757	71741	
660758	113702	Giana
660759	32024	
660760	83438	
660761	4513	Dancer
660762	233136	
660763	64132	Adina
660763	267813	
660764	64411	
660764	383316	Herself, News Anchor
660765	138716	Herself
660765	380520	Host
660765	400242	Sports Presenter
660766	228152	
660767	68986	
660767	140951	
660767	222091	Herself
660767	295795	
660768	92718	Verusdore
660768	387960	Herself
660769	87588	Amisha
660770	345434	(episodes 1 and 2)
660771	364680	Rachel
660772	1964	Presenter
660772	55799	Host
660772	388877	Co-host
660772	408395	Herself - Correspondent (1994
660772	410615	Herself - Moderator (1999-)
660773	315198	Tiger
660774	405209	Belle Bergman: Josephine's Mo
660775	391368	Trudi
660776	68833	Cliente épicerie
660776	76058	
660776	83344	La mère de Jean
660776	160549	Tobacconist
660776	199570	Lucie
660776	276548	La bibliothécaire
660776	356521	Dame 1
660777	326679	Babe
660778	38229	
660778	49180	
660779	353464	Prostitute
660780	267640	Fighter
660781	23047	
660781	162751	
660781	239368	
660781	344279	
660781	375672	
660782	333406	
660783	84113	Korean Worker #2
660783	91800	Angry Asian Woman
660784	298968	Tae
660785	211028	
660786	149890	Chorus dancer
660787	271198	Health Official #4
660787	355276	Setsuko
660788	173491	
660789	43060	Junko Hashiguchi
660790	172462	Noji Ayumi
660791	29324	Azami
660791	29325	Omon
660792	38381	Mariye
660792	208486	Aurora Lee/Queen Monster
660792	296855	Falstese
660792	392964	Mukade Jourou
660792	396792	Tamiko Utsugi
660792	404879	Miho Iwakura
660792	405028	Falstese
660793	381401	Nerilian Queen
660794	122136	Megumi Sawada
660795	6500	Elena
660795	104778	Spanish vote presenter
660795	104779	Spanish vote presenter
660795	118157	Herself - Co-Host
660795	198215	Madre Izarne
660795	211048	Locutora
660795	318232	Amaia
660795	384990	Host (1997-)
660795	392649	Host (1997)
660795	396179	Loreto (2004)
660795	396861	Host
660795	400847	Host
660796	19702	
660797	89218	Haruka
660797	112734	
660797	217351	Makari
660797	334969	
660798	122456	Waitress
660799	145339	Musician
660800	256821	Maria
660800	400265	Margarita Juarez/Onedin (1980
660801	380819	Stella
660801	387409	
660801	395900	
660801	397613	
660801	400998	Kakia Ierou
660802	298091	Red Sweater Woman
660803	376999	Olivia
660804	269172	
660805	269172	
660806	251594	
660807	155269	Herself (author: Denison's Ic
660808	46800	Miss Kardaki
660808	179458	
660808	388630	
660808	401521	
660808	405348	
660809	402344	Loukia
660810	213389	
660811	14423	Mesera (Waitress)
660811	104655	Woman in White
660812	170277	
660812	192983	
660812	332136	Dolores
660813	132686	Herself
660813	379004	Tertuliana (2002-2003)
660813	387177	Tertuliana (2001-2003)
660813	390451	Ania
660814	372950	Rosa
660815	106263	Li'l Girl
660816	145136	
660816	160610	
660816	219223	Juanita Céspedes
660817	136844	
660818	103331	Hiker 1
660818	131234	Brunette
660819	309205	Herself
660820	396646	Florencia Robledo 'hija de Da
660821	159545	Sandra
660822	104741	Portuguese entry (13th place)
660823	169073	
660824	373206	Mother
660825	318116	
660826	189026	Abuela (Grandmother)
660827	353637	
660828	77705	Student
660829	261439	Bruja at seance
660830	55376	
660831	86817	Espejo #2
660832	238106	
660832	308268	La reine blanche
660832	377151	Duli
660833	16878	Dancer
660833	157195	Dancer
660833	276386	Court Dancer
660834	73158	Mme Chamoun
660834	270925	President's Secretary
660834	325991	
660835	17141	Giovanna
660835	51691	
660835	56007	
660835	87043	Shelley
660835	88204	
660835	94811	Dina Franco
660835	127984	
660835	158769	Marthe
660835	159674	
660835	161881	
660835	162077	(segment "La danza delle ore"
660835	199062	
660835	205367	
660835	212798	
660835	214005	Mary
660835	231440	Rinaldi's Mother
660835	336599	
660835	339808	
660836	54164	Herself - a singer
660836	64025	Alice
660836	115027	Herself
660836	124547	
660836	288273	Madalena
660836	344851	Stela Maria
660837	322335	Extra
660838	396610	Carina (1998)
660839	383054	Lily
660840	173775	
660840	199407	
660840	355073	
660840	358507	
660840	385703	Tere/Terry
660841	233840	Brazilian Hottie
660843	209210	Cultist
660844	496	
660844	146496	
660844	218437	
660844	307726	
660844	341162	
660844	377146	
660845	176306	Ferry Passenger
660846	386030	Travesty Lady
660847	192925	Herself
660848	396239	
660849	127730	Falcons Dance Squad Member
660849	329946	Shindig Dancer
660850	98587	Valentina
660850	273708	
660851	334483	
660852	393738	Herself
660853	196588	Nurse
660854	95820	
660855	176487	Singing Woman
660856	374790	
660857	86613	
660858	44359	Esterina Truzzi
660858	89593	Raissa Fedosseyeva
660858	154606	Ryabynina
660858	198000	
660858	251308	Anush
660858	257316	Masha
660858	261911	
660859	200993	Russian Roulette Girl
660860	9353	Agnessa
660861	89817	Vanessa
660861	164016	
660862	49828	Rat Woman
660862	179091	
660863	86613	
660864	98585	
660864	225877	
660864	311766	
660864	356444	
660865	234979	Clotilde
660866	174028	
660867	134896	
660868	265937	
660869	30118	
660869	132724	
660869	216616	
660869	285922	Old Woman
660870	220042	Reporter #4
660871	50815	Young Katie
660872	19223	La fioraia
660873	29051	Janete Jane
660873	30514	
660873	54759	Luciana
660873	55321	
660873	70490	Sônia Silk
660873	74908	
660873	101315	
660873	108454	
660873	129330	Herself
660873	132981	
660873	134488	
660873	205460	(segment "Guilherme")
660873	218427	
660873	222147	Ângela Carne e Osso
660873	222181	Herself
660873	229706	
660873	244194	(segment "Perigo Negro")
660873	246382	Mariana
660873	253060	Burglar
660873	268300	
660873	293899	
660873	301335	
660873	322256	Marcela
660873	344762	
660873	397544	
660873	407864	
660873	412305	
660874	207929	
660875	45887	Jennifer
660876	17749	Duffy
660876	74204	Missy Palmer
660876	90320	Mary
660876	231037	Juliet
660876	367512	Becky Pierce
660876	408749	Andrea Branscusi (1983-1985)
660877	9723	
660877	225824	Sekretarica
660878	92356	Zivotina zena
660878	94041	
660878	394111	
660878	400481	Nastojnica
660879	92356	Zivotina zena
660880	357276	Vera
660881	214802	Karen Durwin (age 5)
660882	138973	Julis
660882	182654	
660883	140061	
660883	182642	
660884	323016	Juliette Curtis
660884	392402	Nicola
660885	82930	Student #2
660885	135984	Candy Barr
660885	276899	Jill Carter
660886	17540	
660886	56080	Clara
660887	50994	Herself
660888	174975	
660889	333894	Herself - native crew member
660890	229748	
660891	155737	Interviewer
660891	321391	
660892	400838	
660893	231082	
660894	129868	Yuko
660895	339	
660896	174108	Princess/The Goose
660896	327316	
660896	357463	
660897	47033	
660897	74432	Margit
660897	97993	Pincérnõ
660897	104051	Editke mamája
660897	118823	Annus
660897	163175	
660897	165123	Lina's Mother
660897	178378	
660897	224990	Marika Szendrey
660897	319239	Policewoman
660897	322031	
660897	322066	
660897	324519	
660897	326981	
660897	334015	Bankpénztároslány
660897	343707	Katalin Pókai
660897	349042	
660897	349612	Head of the school
660897	368737	Mari
660897	375965	1st Lt. Bea
660897	378581	
660897	407233	Mrs. Molnár (2004-)
660898	219215	
660898	400045	Aino Lepistö
660899	211679	
660900	411502	Manu (1986-1988)
660901	42308	Alida
660902	360541	
660903	108060	Nannetta
660904	185000	Laura
660905	234903	Sato's wife
660906	166370	A student
660907	322557	
660908	394971	Puripurican
660909	8800	
660909	21365	Yuichi's Grandmother
660909	49704	
660909	61114	Hide
660909	63538	
660909	76875	
660909	76882	Grandmother
660909	76884	Landlady
660909	76885	Wife of the b.h. owner
660909	82214	Otome
660909	91502	
660909	97453	Grandmother of Tomoe
660909	102435	
660909	102512	
660909	121934	
660909	122139	Kiku Ishida
660909	123528	Osan
660909	127861	
660909	127863	
660909	128298	Grandmother
660909	129856	
660909	137044	
660909	137134	Chabu-ya no souji-fu
660909	137348	Otsune
660909	137349	
660909	138060	
660909	138098	Neighbor
660909	139725	
660909	139727	
660909	140437	
660909	145283	Kikuko Hasekura
660909	146907	Tsune Nonomiya (O-Tsune)
660909	146917	
660909	149132	Granny
660909	149236	
660909	149674	
660909	155170	Masu
660909	163973	Hidé
660909	166025	
660909	167906	Okane
660909	169074	
660909	170332	
660909	173060	
660909	173487	
660909	175334	
660909	176610	
660909	176627	Grandmother
660909	177100	
660909	178311	
660909	178369	
660909	179252	
660909	179377	Geisha
660909	181485	
660909	181489	(segment 2)
660909	181990	
660909	198949	
660909	200762	Tsuna Uemura
660909	207577	Maid
660909	214398	
660909	216386	
660909	219299	
660909	221844	Otora (innkeeper)
660909	226656	Tané
660909	232536	
660909	232587	
660909	232708	
660909	233108	Kurokawa
660909	233111	
660909	234903	Kogetsu Hotel manager
660909	237158	Riki
660909	242243	
660909	242315	Otami
660909	243315	
660909	245865	
660909	276621	
660909	278602	
660909	281048	
660909	293608	Saiki's Mother
660909	296631	
660909	296635	
660909	298988	
660909	300469	Sono haha (Hiroko's mother)
660909	300470	Chiyoko
660909	300483	Okimi
660909	318399	Old Lady
660909	322740	
660909	323121	
660909	323268	
660909	323500	
660909	327957	
660909	334572	Kiyo
660909	334937	
660909	334942	Otsune
660909	335381	Haha - Hamako
660909	341283	
660909	344286	Otsune
660909	344954	
660909	367193	
660909	371842	Old maid servant
660909	371878	Osaki's mother
660909	372032	
660909	372036	Kohei's Mother
660909	372038	Black Market woman (episode 3
660909	375580	Okin
660910	225621	Herself - a member of Mooning
660911	278830	Girl in Karaoke Western
660912	322602	Ai
660912	390058	
660913	182124	Daughter
660914	63713	Lynn Minmay
660914	70402	Aska
660914	384227	Lynn Minmay
660914	411435	Herself
660915	211825	Naomi Shimizu
660915	374603	Rei
660915	381385	Natsuo Kotani
660915	391455	Eriko Tatsumi
660915	400541	Noriko
660916	397942	Hitomi Matsuzawa ('Daisy')
660917	370411	Miyuki
660919	103180	Sora
660919	125239	Kasumi
660919	125240	Kasumi
660919	125241	Kasumi
660919	125242	Kasumi
660919	206801	Tron Bonne
660919	214296	Kinuyo
660919	240379	Tsuneko Tani, Taeko's stuck-u
660919	259033	Kasumi
660919	259034	Kasumi
660919	259038	Kasumi (Misty)
660919	271676	Mew
660919	336577	Chu-Chu
660919	389791	Reiko Asagiri
660919	390870	Flute
660919	391127	Mirror Girl
660919	396491	Anna Nozaki
660919	396501	Nakatomi Nanaka
660919	401736	Kasumi/Pippi
660919	405146	Sakuya
660919	406394	Rena Lanford
660919	407839	Princess Millerne/Yukari
660919	408351	Aoi Matsubara
660919	410258	Erika Tinen
660920	78279	Otame
660920	300469	Sono imouto, Ikuko (Teruo's y
660920	348979	Takasode
660922	260827	Voice
660923	210621	Herself (Jazz Singer)
660924	23058	Pittaluk's wife
660925	382752	Jackie Smit
660926	188282	Zangeres
660926	194836	
660927	373218	
660928	218182	Saki Bartender
660929	341267	Kaai
660929	407369	Maki
660929	410647	
660930	28129	Takako
660930	174243	Mitsuko, Haruo's wife
660930	175360	Kimie, Fumie's sister
660930	232610	Matsue Kawamoto
660930	242191	Yoshie's sister, Masao's wife
660930	298831	
660930	300201	
660930	334785	Kimiko, Fuyuko's sister
660930	358123	
660930	371974	Itoko Suzuki
660931	149579	
660932	60448	Dedushka Tamu
660933	39939	
660933	122097	
660933	136390	Aya Ôwada
660933	159922	
660933	167858	
660933	167863	Teruko Imai
660933	176616	Jean Tani
660933	369796	
660933	370684	Inoshika Ocho
660933	378140	Junko Nagayama
660934	146903	Tennis Club Member 'B'
660935	397942	Student A
660936	278547	Yoko Tsuji
660936	391104	Tamaki Naito
660937	127781	Maetel
660937	127782	Maetel
660937	127783	Maetel
660937	127784	Maetel
660937	127786	Maetel
660937	127787	Maetel
660937	139476	Maetel
660937	139492	Michiko Azuma
660937	144442	Hi no tori
660937	173194	Oyaruru
660937	182507	Miyu's mother
660937	199950	Maetel
660937	208014	Maetel (from Galaxy Express 9
660937	289304	Maetel
660937	294033	Cleopatra
660937	294394	
660937	328333	Computer "Mother" Eliza
660937	369415	Tôru
660937	379166	Reika Ryuuzaki
660937	379482	Mrs. Kaliu
660937	390082	Maetel
660937	394193	Fairy
660937	399478	Nils's Mother
660937	401245	Marie (Mother)
660937	405356	Miyuka Hazuki and Fuyuka
660938	359612	
660939	117425	Shibito
660939	123553	
660940	287608	Narrator (Japanese version)
660941	30988	Megumi Etou - Girls #3
660942	110622	Momoko
660943	207099	Japanese Caddie
660943	358561	Japanese Waitress
660944	401057	Buttercup
660945	381163	Girl
660946	9302	Nurse Tsurusaki
660947	17100	San
660947	138054	
660947	140278	Oshare
660947	175716	Satoko Tsutano
660947	180628	
660947	207040	
660947	243355	Umeko Tsuchiya
660947	323266	
660947	371862	
660947	397985	Akemi
660948	170903	
660949	299406	Gaudy Woman
660950	294058	Nao
660951	120682	
660951	265578	Mari (female)
660951	265579	Mari (female)
660951	265580	Mari
660951	267536	Mari (female)
660951	396500	Jacky
660951	396796	Lory
660951	405141	Rolley
660952	9562	Kikue
660952	98203	Yoshino
660952	162141	Ms. Akiyama
660952	174326	
660952	174343	
660952	232565	Yoshie
660952	278364	Toshie Mitsui
660952	299312	Saeko
660952	299324	
660952	300604	
660952	348868	Eriko
660952	360888	Yuka
660952	373389	Nobuyo Shoji
660953	12955	Satoko
660953	18675	2nd Bride
660953	21823	
660953	23329	
660953	23436	
660953	63542	Ofumi, of the tea shop
660953	76875	
660953	76907	
660953	88754	Shino Shimokita
660953	105373	
660953	122147	
660953	137120	
660953	138051	
660953	145288	Hill Woman
660953	156158	
660953	164102	
660953	164254	
660953	167549	Kazuko Kamura
660953	167978	
660953	172042	
660953	174881	
660953	175464	
660953	176572	
660953	176575	
660953	176576	
660953	176578	
660953	176579	
660953	176580	
660953	176581	
660953	176582	
660953	176583	
660953	176585	
660953	176586	
660953	176587	
660953	176589	
660953	176592	Otama
660953	176593	
660953	176594	
660953	176607	
660953	176617	Kotoe Toyama
660953	181992	
660953	182190	
660953	215109	
660953	216333	
660953	232600	
660953	233118	
660953	233132	
660953	242151	Itsuko Matsummura
660953	242211	
660953	244539	Takako
660953	296634	
660953	296635	
660953	296637	
660953	296638	
660953	296641	
660953	298958	
660953	299135	Oyuki
660953	322489	
660953	322490	
660953	322492	
660953	322494	
660953	334844	Ume Ito
660953	358416	
660953	372034	Osode
660953	373220	
660953	375622	
660954	169698	Joze
660954	175793	Tokiko Numata
660954	177790	Kodai, Narisu
660954	182488	Chiyo
660954	229583	Haru Yoshioka
660954	243900	Shimotsuki, Wakana
660954	406906	Chika Shinoda
660954	409726	Jun
660955	373218	
660956	50064	Oki's love interest (with blu
660956	54203	Athena Asamiya
660956	177382	Athena Asamiya
660956	177384	Athena Asamiya
660956	177385	Athena/Classic Athena/Cosplay
660956	177386	Athena Asamiya/Diana/Foxy
660956	177387	Athena Asamiya/Diana
660956	177388	Athena Asamiya
660956	197489	Jessica
660956	382412	Haruka Yuuki
660956	384079	Kasumi Hoshikawa/Five Pink
660956	384144	Narrator
660956	384232	Narrator
660956	384233	Luna Gusuku
660956	386060	Narrator
660956	389567	Pinky (Japanese version)
660956	390536	Runa Gusuku
660956	390537	Noriko Ukai
660956	391575	Empress Heidra
660956	393988	
660956	394972	
660956	394996	
660956	407381	Wyna
660956	407389	Sawa
660956	408732	Transmutate
660956	410258	Mirei
660956	410739	
660957	392572	
660958	355808	Homme 2 hôpital
660959	219553	Mabel
660960	311184	
660961	377464	Mrs. Mimouni
660962	120170	
660962	375274	Christine/Schiene
660963	28118	Naoe Kotetsu
660963	54203	King/Nakoruru
660963	54204	King/Nakoruru
660963	175518	Nakoruru
660963	177380	King/Announcer
660963	177381	King/Blue Mary
660963	177382	King/Blue Mary/Announcer
660963	177384	King/Blue Mary
660963	177385	King/Blue Mary/Nakoruru
660963	177386	King/Blue Mary
660963	177387	Blue Mary/King
660963	177388	King/Blue Mary
660963	284073	King/Yuri Sakazaki
660963	284074	King
660963	286865	Nakoruru/Charlotte
660963	286867	Nakoruru
660963	286868	Nakoruru/Charlotte
660963	286869	Nakoruru/Charlotte
660963	286870	Nakoruru
660963	298981	Nakoruru/Charlotte/Mizuki
660963	391597	Kankichi
660963	393999	Shoko Maruyama
660964	122764	Rosa Pakkala
660964	163183	Armi Pekanpaa
660964	164248	Arja Lumia
660964	169226	Maria Carénius
660964	170520	
660964	172295	Sirkka Mares
660964	180444	Hänen tyttärensä Hanna
660964	181560	Eliina
660964	181633	
660964	181634	Helena
660964	182013	Marja
660964	184065	Helmi Heino
660964	213940	Rouva Ryhtilä
660964	214838	Young woman in restaurant/mar
660964	226799	Kirsti Kalpa
660964	234649	Sirkka Lehmus
660964	239154	
660964	239913	Helvi Heinonen
660964	255753	Maire Kyrö
660964	255764	Kerttu Kivinen
660964	265452	Esteri Tervola
660964	271604	Kaino Lahja Itkonen
660964	272247	Maija Töyrylä
660964	272694	
660964	283593	Emilie Björksten
660964	284025	Elli Routanen
660964	294685	Oili Mäkipalo
660964	296508	Ansa Koskeli
660964	319314	Tuulia Tähtinen
660964	321945	Saleswoman in a toy departmen
660964	327093	Dalchimsky's Mother
660964	343393	Elli Arho
660964	343395	Pepi Varala
660964	343507	Pirkko Kyllinen
660964	349150	Annikki Aho
660964	349734	Kirsti Leivo/Latva
660964	349748	Anna Kristina Ringars
660964	354255	
660964	377294	Simon Katrin Wititchi
660965	101610	Woman At The Bus Stop
660965	399850	Fanny Nisser (57 episodes 200
660966	264983	
660967	388619	Herself
660968	329840	
660969	29576	Bolnata
660969	131025	Zhivka Golemanova
660969	180766	Babata
660969	258602	Rumyana
660970	304720	Toromanova
660971	358688	Helmwige
660972	236173	
660972	293481	
660973	17385	Kiku, maid
660974	29395	Natsume Ryunosuke
660974	38820	Bonnone
660974	63704	Takamaru
660974	64819	Kaori Makumura
660974	64820	Kaori Makumura
660974	64821	Kaori Makumura
660974	64822	Kaori Makumura
660974	64823	Kaori Makumura
660974	122891	Raina
660974	126438	Carmine
660974	147364	Reika
660974	176537	Rezun Schneider
660974	179507	Watanabe
660974	208014	Ryûzu (from Galaxy Express 99
660974	242206	Jiliora
660974	273168	Sister Jill
660974	285923	Reni Milchstrasse
660974	293476	Ashura
660974	298425	
660974	318539	Saki Asamiya
660974	344032	Dinguil Boy
660974	373384	Shimesu Mamoru
660974	390964	Kelly
660974	391594	Pokota
660974	394424	Mora
660974	394685	Shigeru
660974	396492	Musashi Koganei
660974	396573	Leo
660974	396640	Izumi Shimamura
660974	401116	Turtles
660974	405175	Kaori Makumura
660974	405279	Teddy
660975	98203	Nui
660975	98208	Yukiko
660975	156089	
660975	190806	
660975	242314	
660976	33200	Shizuko
660977	394236	Heli
660978	9172	Marjatan äiti
660978	99471	
660978	181569	Salli Mikkola
660978	210961	
660978	233242	Ilona Niskavuori
660978	283746	Irja Mäkinen
660978	341560	
660978	349136	Levykaupan johtajatar
660978	354086	Katriina Jönsson
660978	354281	Elderly woman
660979	400283	
660980	38601	Mary
660981	10994	Luisa
660981	16745	
660981	18840	
660981	30874	
660981	45872	
660981	77081	
660981	80047	
660981	86365	
660981	88709	
660981	103654	
660981	104026	
660981	163831	
660981	168343	
660981	173091	
660981	173092	
660981	176676	
660981	177258	
660981	182232	
660981	186118	
660981	325369	
660981	325370	
660982	23750	Une pensionnaire de la Maison
660983	21661	
660983	74493	
660983	126270	Nena
660983	165115	
660983	176433	
660983	251733	
660983	322636	
660984	400453	Liisa Ranta
660985	63048	
660985	104748	Israeli entry (4th place)
660985	104752	Israeli entry (11th place)
660985	255513	Morsian
660986	68439	
660987	230126	Reporter Brenda
660988	350811	Vaska
660989	50154	
660989	238665	
660989	238667	
660989	258284	
660989	264904	
660989	315983	Lekarkata
660992	347455	
660993	375431	
660994	45586	Linda
660994	388025	Herself
660994	388299	Babette Van Tichelen (1992-19
660995	332521	
660996	289289	
660997	214839	Kikattava tyttö kahvilassa
660998	263957	Lynch Mob
660999	326904	
661000	51855	Slave Girl
661001	97410	Thanksgiving Guest
661002	322878	Nunu 1
661003	363448	Juror
661004	364966	Renfri
661005	195615	Tracey
661006	8348	
661006	8718	
661006	9251	Halime
661006	11727	
661006	11739	
661006	21877	
661006	22082	
661006	24847	Hülya
661006	30493	
661006	34221	
661006	38448	
661006	38480	
661006	38491	Herself
661006	45541	
661006	51340	
661006	57823	
661006	75138	
661006	78518	Kobra
661006	98598	
661006	98677	
661006	140615	
661006	144533	
661006	155565	
661006	156228	
661006	157614	
661006	159869	
661006	171986	Ayse
661006	172830	
661006	172985	
661006	173085	
661006	175487	
661006	177965	
661006	179192	
661006	179582	
661006	179815	
661006	180323	
661006	227234	Nevin
661006	269521	
661006	285873	
661006	294120	
661006	294535	
661006	295333	
661006	296414	
661006	302526	Emine
661006	303579	
661006	307151	
661006	308476	Kemal's insane wife
661006	308477	
661006	317685	
661006	324254	
661006	327362	
661006	341873	
661006	341874	
661006	341875	
661006	351953	
661006	370396	Güner
661006	370582	
661006	370692	
661006	371348	
661006	374521	Necla
661006	375865	
661006	376621	Feride
661006	380744	Mlle. de Courton
661006	407595	Feraye
661007	387154	Diana
661007	400998	Reporter
661008	264974	Barmaid
661009	286914	
661010	28220	
661010	226830	
661010	316831	
661010	320695	Kelnerica
661010	323306	
661010	344256	
661010	381182	
661010	394111	
661010	401749	
661011	272606	Dragica, snimateljka
661012	390929	Lulu/Galaktika/Buchstabine
661013	318156	
661013	323306	
661014	134763	
661015	187970	Bolnicarka
661015	320551	
661015	392088	
661016	317870	
661017	74782	Vida
661017	75695	
661017	89472	
661017	167318	
661017	225898	Desanka 'Dejzi', striptizeta
661017	229713	Mara... cistacica
661017	267844	Persa... Jovancina zena
661017	312420	Mara, cistacica
661017	375319	
661017	375392	Julie
661017	385271	
661017	395497	
661017	395837	
661017	400015	Jedna od pretkinja
661017	404894	Mara... sobarica
661017	406112	Bojka
661018	210527	
661018	284867	Zena na lomaci
661019	10837	Wild Child
661019	169173	Gwen
661019	337996	Tunnel Rat
661019	337997	Tunnel Rat
661020	71798	Newspaper Publisher
661021	162103	
661022	163884	Iva
661023	88436	
661024	229179	Henriette
661025	188926	
661026	131159	
661026	263697	Maykata na Peychina
661026	375394	
661027	202436	Lada
661028	315851	Dancer
661029	3114	Poli
661029	62828	
661029	82954	Svidna
661029	202440	
661029	224447	Yana
661029	231164	(segment Hara-kiri)
661029	248781	
661029	255412	
661029	262499	
661030	288977	Hruschkov's wife
661031	95471	Brothel
661032	328699	
661033	170848	Herself - Participant/Perform
661034	170848	Herself - Participant/Perform
661035	189189	Ku-Lala
661036	356069	
661037	303795	
661038	194684	Novice Nun
661039	27822	
661040	182448	
661040	392216	Fitness girl
661041	139555	
661041	247085	Popi
661041	334078	
661041	394078	
661042	23455	Daizy Karra
661042	268212	Simon
661042	387025	
661042	394603	
661042	406324	
661043	229095	
661044	338723	
661045	410614	
661046	182782	
661047	194564	Symposium Doctor
661048	38446	
661049	110299	Driver
661051	38474	
661052	403533	Herself - Participant
661052	403536	Herself - Participant (2000)
661053	388309	Elin Junehag
661054	98639	
661055	2247	Trafikosnõ
661056	218085	Grandmother
661057	385408	Researcher
661058	321483	
661059	81321	Model
661060	215499	Lulú
661060	384245	Martha
661061	55922	
661061	60080	
661062	296478	
661063	46767	Anna Mahler (Age 13)
661063	335140	Anne Feldmann
661064	258947	
661065	232798	Nina (6 Jahre)
661066	314853	Polizist
661067	90089	The Maid
661068	351187	Woman at Concert
661069	218152	Aunt Diane
661070	44025	
661070	213993	
661071	71263	Moglie di Pietro
661072	24066	
661072	98047	Frau Weichert
661072	126261	Herzogin Anna Elisa von Lucca
661072	189744	
661072	253973	Olga, his wife
661072	303719	Evelyne Dixon
661072	359627	Herself/Singer
661073	282051	
661074	29809	
661074	34474	Anatrude
661074	196777	
661074	284829	Carolina
661076	101740	
661076	226249	
661077	71443	Despina
661078	168929	
661079	159948	Diane Winthrop
661079	285046	Mary Stephen/Vesta BVoris
661080	113972	Lady Crane
661080	141057	Cornelia Grantley
661080	353287	
661081	13952	A Villainess
661082	355982	Tourist
661083	32661	Rita Seilg
661083	149454	Rachel
661083	171092	Lily
661083	211508	Lady-in-waiting
661083	269071	Judith Reitman
661083	274561	Gretchen
661083	318865	Maia
661083	323343	Moon Juju
661084	282106	
661084	354909	Herself
661084	375936	Sophia
661085	340443	Vera Liebknecht
661086	186152	
661086	375993	
661086	377962	Olivia
661086	381693	Host
661087	166116	
661088	91265	Steens veninde - Kitty
661088	314986	Peders forlovede
661089	99443	Kokkepige I pensionatet
661089	191370	
661090	186122	
661091	106802	
661092	220755	Fina
661093	369417	Camariera
661094	252343	Criada
661095	16612	
661095	23728	
661095	248345	
661095	254009	
661095	269134	Pola
661095	283049	
661095	309765	Pola, a Roumanian girl
661095	326146	Pola
661095	327203	
661095	332923	
661095	335222	
661095	345262	Totoche
661096	137762	Jolán
661096	185621	Kerlov
661096	224990	
661096	233279	
661097	209842	
661098	19680	
661099	32760	
661099	129338	
661099	173377	Masha Startseva
661099	222992	de Longville's maid
661099	263677	Masha Startseva
661099	341356	
661100	149464	Lotta's form master
661100	177898	Stina Malm
661100	182370	Santra
661100	229544	Innkeeper
661100	229626	The maid of Agda Timelius
661100	233242	
661100	264291	Räätälin vaimo
661100	271635	
661100	320400	Alviina
661100	321925	Vesa's mother
661101	264291	Fairy
661102	153658	Parfyymiosaston myyjätär
661103	170247	Baarin tarjoilija
661104	153736	Witch
661105	306421	So Fine Dancer
661106	237360	
661107	244780	Mandy
661108	184789	Juoksijatyttö
661109	118754	Actrice porno 1
661109	198263	Dancer girl
661109	334575	
661110	108722	Rose
661111	242269	Ulla
661112	122230	Göbölyös Mariska
661112	182726	Marietta
661113	98149	Neighborhood Kid
661114	148308	Lawyer's Secretary
661115	114991	
661115	296752	Elegant Woman
661115	389667	Host
661115	397016	Graciela Pereira
661116	170136	
661117	403557	La marquise (1964)
661118	126766	
661119	121774	
661120	104633	Herself
661120	104634	Herself
661120	104639	Herself (Backing vocal)
661120	104641	Herself
661120	104772	Estonian entry (8th place)
661120	104779	Estonian vote presenter
661120	397396	Herself
661121	219450	Salli
661122	43214	
661122	374766	
661123	28258	
661123	131300	
661123	154837	Ptitsyna
661123	179667	
661123	188197	
661123	198179	Ester
661123	257385	
661123	283682	
661123	350125	
661123	373573	
661123	410335	
661124	125352	
661124	174967	
661124	187020	
661125	10276	Aljona
661126	327331	
661127	43215	
661127	83161	
661127	230048	
661128	227120	Lady 2
661129	12144	
661129	35854	
661129	154105	
661129	156942	
661129	199941	
661129	320680	
661129	357213	
661129	357620	
661130	259925	
661131	134187	
661132	130198	
661132	281191	Lady Capulet
661133	318562	
661134	236318	
661135	229593	Prostitute
661136	194605	Young's Mother
661137	136419	R's younger sister
661138	11773	Emmi
661138	57758	Lady Janet
661138	90065	Donna Juana
661138	91001	
661138	103082	Madame Daven
661138	130938	
661138	210064	Helen
661138	312208	Nina
661138	317489	
661138	356840	Paula Clothilde, seine Frau
661138	361462	May
661138	376410	Gräfin
661139	289791	Waitress
661140	317874	Woman In Motel
661141	317874	Rollerskating Girl
661142	173370	Misun
661143	104773	United Kingdom entry (2nd pla
661144	145736	Female Attendant
661145	267407	Rothaariges Mädchen
661146	359612	
661147	320462	Mrs. Suzuki
661148	187357	
661149	242116	Mitsumushi
661149	242117	Mitsumushi
661150	145736	Tome Aoki
661150	147357	Oshina
661150	174326	Hatae Hata
661150	174327	Hatae Hata
661150	174328	Hatae Hata
661150	174329	Hatae Hata
661150	174330	Hatae Hata
661150	174331	Hatae Hata
661150	174332	Hatae Hata
661150	174333	Hatae Hata
661150	174334	Hatae Hata
661150	174335	Hatae Hata
661150	174337	Hatae Hata
661150	174338	Hatae Hata
661150	174339	Hatae Hata
661150	174345	Hatae Hata
661150	174346	Hatae Hata
661150	178244	Masako Kitamura
661150	178245	Masako Kitamura
661150	178248	Masako Kitamura
661150	178250	Masako Kitamura
661150	182002	Kalpurnia
661150	394562	Masako Kitamura (Sota's mothe
661151	76899	
661151	179844	
661152	229764	
661153	149890	Kinako
661154	161691	Chika
661154	240379	Taeko
661154	411736	Yuri
661155	159841	
661156	385987	
661156	400618	
661156	411647	Muto
661157	20460	Yôko
661157	49934	Rio
661157	113338	Yu Hayakawa
661157	125942	Eiko Rando
661157	165023	Sunday Spades
661157	176532	Jyunko Mizuhara
661157	267200	Futaba
661157	280237	Leviathan
661157	280238	Leviathan
661157	383019	Rio Kinezono
661157	385982	Renamon/Kyuubimon/Taomon/Saku
661157	388022	Misaki Matsuya
661157	389464	Arisa Uotani
661157	392619	Nabuca
661157	397196	Ran Chiki
661157	398074	Gluko (japanese version)
661157	400053	Jouou-sama (The Queen of Witc
661157	404061	Otaru Mamiya
661157	404062	Otaru Mamiya
661157	404771	Lin Jinto
661157	404772	Jinto Lin
661157	405278	Wakaba Shinohara/Touga's moth
661157	410444	Drum/Electone (Japanese versi
661157	410739	Angel Salvia
661158	9716	
661159	28216	
661159	46210	
661159	351355	Donika
661159	367906	Gjelina
661160	20625	Extra
661161	130496	Psychic Schoolteacher
661161	130497	Cosmos #1
661161	130498	Cosmos #1
661161	145449	Kiyoko Ohsiro
661161	179390	
661161	260417	
661162	371953	Enami Kogure
661163	373450	
661164	130543	Saki Yamagiwa
661164	130544	
661164	225612	
661164	294180	Uehara Sakura
661164	300499	Mistress Mayo
661164	387407	Anri Kuroi
661166	78183	Queen ('Remember The Time' vi
661166	82321	Avocado Lady
661166	105851	Nina Blackstone
661166	106109	Model
661166	141250	Black Beauty
661166	151125	Sheila Landreaux
661166	152535	Sarah
661166	161348	Herself
661166	165421	Sufi Leader
661166	175820	
661166	182977	Cynthia
661166	189921	Cat
661166	191152	Dali Guest
661166	212717	Queen ('Remember the Time' vi
661166	234071	Nina Beka
661166	240345	Iman 631
661166	245033	Mariammo
661166	313393	Herself
661166	313399	Martia
661166	320026	Hedy
661167	32024	
661168	9887	
661168	140610	
661168	281231	Amina
661169	359612	
661170	34535	
661171	97812	Emília
661171	115768	Entrevistadora
661171	116422	
661172	404078	
661173	33565	Dancer
661174	55254	
661174	64337	Herself
661174	84652	Herself
661174	160145	
661174	197072	Lucy E.
661174	214898	
661174	235257	
661174	265698	Herself
661175	192681	
661176	240428	
661177	164169	A follower of Rasputin
661178	379101	
661179	166095	
661179	276532	
661180	291931	Studio Executive Secretary
661181	60030	
661181	102003	Rose
661181	118624	
661181	198982	La fille
661181	264114	La photographe
661181	296082	Lily
661181	393486	La script
661181	398785	Netty
661181	398985	Félicie Venel (1974)
661182	31018	The Female Russian Tourist
661183	85987	Andrea
661184	376971	Une élève/Blanche
661185	17522	
661186	250428	Angel
661186	330951	Neighbour's wife
661187	64431	Jessica Mardones
661187	247296	Isidora Fuenzalida
661187	386170	Fedora Goycolea
661187	388648	
661187	392992	Susana Peñailillo Saenz
661187	395880	Fran
661187	400419	Alejandra Solari
661187	401096	Lola - Dolores Barriga - Elis
661187	403674	María Salomé
661188	189623	
661188	388608	Angela Brugger
661189	297839	Herself
661192	387058	Italian woman
661193	28887	
661193	102094	
661193	102354	
661193	122784	
661193	174538	Litsa
661193	182442	
661193	212567	
661193	400822	
661193	405348	
661193	406538	
661193	408912	Martha
661194	398816	Rosa
661195	385177	
661196	1187	Herself
661196	1465	Herself
661196	47173	Presenter
661196	163623	Herself
661196	168682	Lorna Campbell
661196	187326	Koala
661196	221478	Herself
661196	229525	Elisabeth 'Beth' Brennan Will
661196	234149	Herself
661196	249588	Herself
661196	249592	Herself
661196	311223	Herself
661196	399130	Elisabeth 'Beth' Brennan Will
661197	72737	Tina
661198	317131	Siegrid Konietzka
661198	405984	(Pledge, USC)
661199	173969	
661199	262390	
661200	40064	Shanna
661200	264722	Jennifer
661200	289467	Officer Parker
661200	385594	Jory Taylor (1991)
661200	387303	Melissa
661201	161347	Herself (mother)
661202	308459	Seamstress
661203	161347	Herself (sister)
661204	2150	Dahlia
661204	2394	Herself - Host
661204	2626	Herself/host
661204	18983	Herself
661204	26291	Patrice
661204	131431	Ruth Crisp
661204	137237	Peaches
661204	137492	Twitch's Girl
661204	161267	Herself
661204	161347	Herself
661204	269428	Herself
661204	296879	
661204	309535	Jamiqua
661204	342769	Diedre
661204	393127	Host (2002-)
661204	395161	Herself (Celebrity Talent Sco
661204	400879	Nicole 'Nikki' Parker
661205	156684	Touristin
661206	48677	
661206	352488	
661206	352675	Mme. Printemps
661207	213853	
661208	167527	
661208	167528	
661208	167529	Mrs. Heavydoe
661209	196593	Mia
661209	242761	Uriel
661210	145589	Herself - Former resident at 
661211	215076	Esposa de Alfredo
661211	283949	
661212	6550	
661212	99279	
661212	218941	
661212	280246	Mlle. Gautier
661213	53318	Student
661214	184	Carlotta Valdez
661214	49299	
661214	97480	Kate
661214	97482	
661214	98790	Vera
661214	119250	Sigi
661214	147172	
661214	225249	
661214	225250	
661214	225251	
661214	290809	Mona
661214	316543	Johanna Linde
661214	365924	Karin
661214	387302	Sandra Starck
661214	389823	Sonja
661214	392669	Anne
661214	404489	
661215	352222	
661216	405419	Frau Seidenspinner
661217	103132	Eine junge Fürstin
661217	125053	
661217	126480	
661217	346849	
661217	360927	Luise
661218	214844	
661219	153547	
661220	220756	
661221	3973	Swiss News Woman
661222	149034	Newscaster
661222	297733	Mitsue Kaneya
661222	394033	
661223	17284	Herself
661223	212067	Tima
661224	9645	Paola
661224	69141	Matilde
661224	91051	
661224	125776	
661224	160515	Giusy
661224	205368	
661224	338684	Billie's voice
661224	344589	Livia
661224	386473	Caterina
661224	399657	Herself (1993)
661225	222597	Margo Chandler
661226	86082	Jimena
661227	111118	
661228	383438	Bettina
661229	254976	
661230	360955	
661231	24398	
661231	317268	
661231	352526	
661231	356858	
661232	307459	
661233	83380	Bobo's Mother
661234	340359	
661235	288943	Embassy Personnel
661236	237933	
661236	354988	Isabel
661237	28089	
661238	296134	
661238	376802	
661239	12069	
661239	52975	
661240	268253	
661241	286228	Dancer
661242	14652	
661242	53839	
661242	78563	
661242	94827	
661242	104092	
661242	128968	
661242	206283	
661242	206984	
661242	247356	
661243	321262	
661244	38407	2nd Nurse
661244	63017	
661244	73481	Maggie Johnson
661244	88965	Magda
661244	151788	Donna
661244	313206	Louise Pacinni
661244	380391	Rachel Davis Matthews Clark F
661244	390771	Maggie Wexler (1969)
661244	396424	Chris
661244	404282	News Reporter (1984)
661244	404613	Maggie (1970-1971)
661244	406147	Linda Dann
661245	87281	Dirty dancer
661246	275370	Pat Thompson
661246	281052	Jill
661246	316218	Geraldine Nash
661246	392658	Herself
661247	142792	Selma
661248	367394	Rose of Spain
661249	48968	Women/Angel
661251	158700	Assunta a 20 anni
661252	27381	Noraini
661252	60715	
661252	171716	Mustaffa's Wife
661252	252812	Mustika
661252	267891	Wan Nurani
661253	322240	
661254	879	Madame Massis
661254	3405	Rose Henderson
661254	11198	Various characters
661254	23935	Herself - questioner
661254	41701	Barbara Thorburn
661254	44565	Homily Clock
661254	46877	Mrs. Una Alconbury
661254	52204	Celia
661254	54035	Lucy Otis
661254	62995	Mrs. Bennett
661254	65951	Else Queen
661254	77192	Christina Chance
661254	78744	Vera
661254	118925	Mrs. Moritz
661254	124501	Violet Pearman, aka 'Mrs P'
661254	141422	Sonja
661254	144513	Judy
661254	145044	Kate MacLeod
661254	145312	Iris du Pré
661254	149910	Sister Muriel
661254	151086	Barbara
661254	158112	Fadge
661254	158584	Barbara Wood- Ross
661254	161476	Nadine Cunningham
661254	196903	Amy Chamberlin
661254	221166	Victoria Madison
661254	222606	Patsy Diehl
661254	227470	Mrs. Quickly
661254	239607	Davina Wright/Hopjoy
661254	243160	Miss Jewsbury
661254	245042	Doctor Imogen Reed
661254	250448	Claire
661254	257344	Gail Forrester
661254	269663	Sissy Malton
661254	276790	Susan Nunsuch
661254	277011	Harriet Martel
661254	310416	Kate Lawton
661254	313474	Fighter Pilot Bravo 5
661254	313995	Miss Frazier
661254	332133	Miss Rapier
661254	353490	Various Characters
661254	358197	
661254	362000	Nightclub owner
661254	364731	Servant at Inn
661254	365942	Mrs. Kenwood
661254	368445	Birdie
661254	368910	Kirsty
661254	379181	Babs
661254	382178	Duchess Of Battersea
661254	385659	Mrs. Meyrick
661254	386386	Philippa Moorcroft
661254	386589	Anna Gromyko
661254	390393	Lady Gertrude
661254	391589	
661254	391666	Mrs. Miller
661254	396081	Aunt Sadie
661254	399455	Fiona Patterson
661254	403377	Joanna Tundish
661254	405558	Herself/various characters (i
661254	410080	Various characters
661254	411337	June Bonney
661255	311912	Reporter #1
661256	68470	Ruby
661256	77793	Restaurant Hostess
661256	231746	The Grandmother
661256	238076	
661256	296983	Rita
661256	316648	Mrs. Jefferson
661257	75524	Herself
661257	246506	Herself
661257	257587	Herself
661257	257589	Herself
661257	257609	
661257	271248	Rainbow Girl
661258	410622	Angie (1996-1997)
661259	286575	Gioia
661259	389619	Host
661260	63044	Herself (Olympic skater)
661261	14223	Hiromi
661261	24429	Fook Yu
661261	24432	Felicity Dancer #1
661261	45591	Dancer
661261	194478	Dancer
661261	199762	Dancer
661261	218384	Dancer #2
661261	300180	Goddess Dancer
661261	385625	Herself (Preliminary Judge/Co
661261	392686	Herself (Fly Girl)
661262	97212	Shuya
661262	171178	Interpreter
661262	176937	Mrs. Noaks
661262	310158	
661262	405669	Mrs. Motokura
661262	406385	Anna Shoun
661263	280628	Siyoung
661264	353878	Cherie Bondowe
661265	282781	Pierre
661266	367208	Girl in Street
661267	147232	
661268	129868	Office Lady
661269	159691	
661270	15336	
661270	18683	
661271	238445	Saito Kinen Festival Dancers
661273	230142	
661274	320396	
661275	152453	Shilpa
661275	288242	Bar Dancer
661276	87701	
661277	229213	Vivian
661278	31652	Haruko Maeda
661278	56767	Hitomi Kisugi
661278	278737	Izumi Hoshino
661278	327962	Harada
661278	371707	Chiharu Takajo (segment: The 
661278	380726	Abe
661278	381461	Haruko Maeda
661278	394033	
661278	395944	Momoko Koishikawa
661279	19595	Yoshiko
661279	191394	Designer's Assistant #2
661279	252982	Feminist
661280	226682	Kuwashima, Mami
661281	90977	Amanda
661282	249856	Delima
661283	81677	Miki Aikawa
661284	306281	Woman in Bar
661285	255589	
661286	296665	Stripper
661287	53218	
661287	68464	Hugh's Sister
661287	112575	Molly Malone
661287	120731	Beth Wilson
661287	169623	Beverly
661287	271257	Gwen Gibson
661287	315095	Girl in Sextette
661287	350473	Gloria Barnett, alias Gloria 
661288	4946	Dr. Wise
661288	6001	Herself
661288	72709	Finn's Mom
661288	79065	Nora
661288	82702	Grandmother Regina
661288	176517	Mrs. Reisner
661288	239829	Old Woman
661288	241319	Pearl Kensey
661288	266678	Tatting Tales/Our Town Caller
661288	289791	Barbara
661288	314984	Mrs. Albright
661288	353296	Mrs. Denton
661288	353299	Nun
661288	366015	Grandma
661289	381917	Herself - Evictee #3: 30 May 
661290	136770	
661291	144246	Heterosexual Student
661291	147534	Principal Model
661292	237439	
661293	284830	
661294	158909	Nurse
661294	329962	Rosie
661295	17695	Ruby Gillis
661295	17697	Ruby Gillis
661295	145010	Gladys Gutter
661295	254923	Waitress
661295	273496	Robot ('All's Well that Ends 
661295	291452	Student getting breast exam
661295	296742	Karen
661295	307020	Tracy
661295	313948	Linnie
661296	234136	Leggs Dancer
661297	81350	Marinda
661297	135278	
661297	402190	
661298	120088	
661298	378440	Doña Catalina
661299	394922	Olimpia
661300	29662	Juan
661300	173864	Gülcan
661300	293892	
661301	38487	
661301	136698	
661301	377537	
661302	170092	Dona Concepcion
661302	277405	
661302	397201	
661302	398167	Tomasita
661302	408792	
661302	409812	
661303	76006	
661303	152227	
661303	267050	
661303	277380	
661303	279585	
661303	284893	
661303	310033	
661303	401696	Teresa
661304	8564	Actriz sex-shop (Sex-shop act
661304	52779	Maripi
661304	56541	
661304	160535	Mercedes
661304	189301	Miliciana #4
661304	202733	
661304	246871	Celia
661304	257320	Presentadora TV (TV hostess)
661305	9666	
661305	61882	Sor Momicia
661305	233624	
661305	356671	Beata anciana
661305	377173	Profesora Antunez
661305	378373	Doña Luisita
661305	379043	Josefita
661305	379653	Madre Tornera
661305	380084	Adriana
661305	387834	Anciana
661305	391742	Crisanta
661305	395060	
661305	397568	
661305	397736	
661305	398522	
661305	398801	Chichy
661305	405834	Adelaida
661305	405842	Abuela
661305	409812	
661305	410313	Matilde II
661306	4540	
661306	6047	
661306	8669	
661306	9626	
661306	12028	
661306	21709	
661306	22787	
661306	25050	Pelagia, enfermera
661306	29061	
661306	42662	
661306	52811	
661306	52972	Don~a chole
661306	53000	
661306	54722	
661306	55955	
661306	70007	
661306	73511	
661306	74551	
661306	89736	
661306	91396	
661306	101316	
661306	101897	
661306	103639	
661306	115746	
661306	125411	
661306	135059	
661306	145251	Chencha
661306	146479	
661306	193021	
661306	193490	
661306	199623	
661306	205139	
661306	206979	Gossip
661306	208854	
661306	221886	
661306	222017	Tacha
661306	233362	
661306	233373	
661306	233489	
661306	236418	
661306	246373	
661306	246388	
661306	251583	
661306	255619	
661306	261252	
661306	263875	
661306	277237	Trini, portera
661306	277386	
661306	284095	
661306	292755	
661306	300678	Consuelo
661306	306704	
661306	307676	
661306	309379	
661306	310026	Portera
661306	324318	
661306	332613	
661306	334710	
661306	354716	
661306	357910	
661306	371680	Maria
661306	371758	
661306	378417	
661307	35010	Singer
661307	193332	
661307	221943	
661307	339117	
661307	371684	
661308	28629	
661308	254143	Voices)
661308	309314	
661309	3996	Nina
661309	75235	Angela
661310	3369	Liz
661310	3537	Lucienne
661310	14868	
661310	19879	Lucretia
661310	33815	
661310	52179	Maddalena
661310	63751	
661310	67340	
661310	69791	
661310	71161	
661310	83704	Rosa
661310	124560	
661310	130993	
661310	159495	Micki
661310	199048	Magda
661310	233548	
661310	252719	Sheila Hendricks
661310	259020	Lola
661310	295166	Helga Schurn
661310	296520	Maggie
661310	324893	Mirta Ricci
661310	346573	Cécile, la soeur
661310	348150	
661310	353162	Simona
661310	377595	Maggie, Saloon Girl
661311	46181	Margherita
661311	48297	Madre Tommasina
661311	67176	Adua
661311	67512	
661311	84149	
661311	102429	Lilina
661311	234560	Sorella di Archimede
661311	246427	
661311	252772	
661311	300636	Zia Iole
661311	301359	La collegiale che fa le imita
661311	320698	Mrs. De Luca
661311	336593	
661311	352559	Elvira
661311	380989	Snail
661311	386812	Giacinta
661312	256983	
661312	349794	
661312	407236	Klarissza (1987-1999)
661313	237160	
661314	14578	Tara
661314	42662	
661314	48956	
661314	52989	Rosa
661314	53673	
661314	54478	Doña Marina, Cortez's interpr
661314	68963	
661314	70648	
661314	95373	
661314	110231	Cuca
661314	111317	Virginia
661314	121331	Condesa de la cadena
661314	148073	
661314	171371	
661314	197972	
661314	202059	
661314	203883	
661314	210171	Madre de Teresa
661314	221937	Woman at the cabaret
661314	222043	Bit part
661314	234342	
661314	240156	Pedro's Mother
661314	246388	
661314	263040	
661314	273013	
661314	273705	
661314	281295	
661314	287695	Raquel
661314	292928	
661314	332670	
661314	336250	
661314	402181	Chole
661315	351239	Belly dancer
661316	171638	Sopranen
661317	139451	
661318	293317	Himself
661319	1824	Herself
661319	2307	Herself - Performer
661319	2394	Herself
661319	2562	Herself (performer)
661319	2626	Herself
661319	7740	
661319	7742	
661319	7743	
661319	7744	
661319	7745	
661319	7746	
661319	7747	
661319	7749	
661319	7750	
661319	7751	
661319	7752	
661319	8968	
661319	9545	Mamma's Friend
661319	23577	
661319	29955	
661319	34857	Herself
661319	34876	
661319	36731	
661319	39358	College Student
661319	39437	
661319	39581	
661319	39589	
661319	39925	
661319	39939	
661319	39966	
661319	40428	
661319	40430	
661319	41623	
661319	41632	
661319	42439	
661319	44130	
661319	48041	
661319	48576	
661319	50684	
661319	54430	
661319	54566	
661319	57719	Herself
661319	62456	
661319	77309	
661319	81810	
661319	95801	
661319	96857	Herself
661319	97117	
661319	97118	
661319	97121	
661319	107093	
661319	108131	Herself
661319	112896	
661319	119333	
661319	126583	
661319	127405	
661319	128241	
661319	128694	
661319	130285	
661319	142500	Herself
661319	149250	
661319	158592	
661319	159921	
661319	159922	
661319	186129	
661319	189475	
661319	190571	Herself
661319	194252	
661319	210183	Herself
661319	210539	
661319	217338	
661319	219039	
661319	220210	Performer
661319	221011	
661319	221832	Herself
661319	223003	Stripper
661319	223675	
661319	233739	
661319	234324	Herself
661319	236307	
661319	238944	
661319	242059	
661319	255156	
661319	255160	
661319	255161	
661319	255190	
661319	255397	
661319	260173	
661319	260727	Herself
661319	262980	Herself
661319	279291	Herself
661319	279292	Herself
661319	280878	Herself
661319	283888	
661319	294292	
661319	295564	
661319	296705	
661319	302251	
661319	303187	
661319	303211	
661319	308281	
661319	318803	Herself
661319	319330	
661319	319346	
661319	319673	
661319	332877	
661319	336964	La mère de Charles-Hubert
661319	348825	
661319	350422	
661319	360893	
661319	372090	
661319	388071	Herself
661319	392423	Herself
661320	7546	
661320	130318	
661320	275718	Herself
661321	22106	
661321	88501	
661321	126945	
661321	137989	
661321	143524	
661321	169927	Rahil
661321	173397	
661321	174841	
661321	176651	
661321	211405	
661321	217394	
661321	254831	
661321	278925	
661321	300218	
661321	316577	
661322	287526	
661323	87012	Cavegirl
661323	92543	
661323	132611	
661323	227809	
661323	229332	
661324	406266	Sara (2003-)
661325	377938	
661326	12210	Grazia Negro
661326	14919	Sara
661326	26694	
661326	56321	
661326	63890	
661326	90163	Adele Corradi
661326	94736	
661326	105606	Laura Cassara
661326	108093	Margherita
661326	111159	Nadia
661326	205284	Angela Venanzi
661326	246399	Cleonice
661326	257026	Claudia
661326	277587	
661326	277744	
661326	291063	Lia Corsale
661326	318599	Nives
661326	338947	Flora
661326	340007	Martina
661326	344578	
661326	348302	Nina
661326	355614	Laura
661326	360131	Her
661326	380056	Ercole's Mother
661326	380991	Rosina (Teil 5)
661326	384255	Angela Rossetti
661326	386847	Francesca
661326	399655	Zina Barroco
661326	410055	Herself
661327	3169	Maurice's Partner
661328	69166	Herself
661329	5616	
661329	60705	
661329	62225	(guest role)
661329	63199	Bhavani
661329	101304	
661329	130151	Mumthas
661329	142545	Guest role in the song Kannep
661329	158995	
661329	208675	Meenakshi
661329	307041	Neelima
661329	317793	
661329	347443	
661329	348941	Kshama
661329	359164	
661329	370422	
661330	37884	WPC Norika Datta
661330	205589	Cristina Ramirez
661330	236952	Dancer
661330	243257	Indian Doctor
661330	304259	Carmen
661330	333478	Amazon
661330	379600	Sita Sharma
661330	381949	Davinia Batterjee
661330	382052	WPC Norika Datta (1989-1998)
661330	385614	Apala
661330	389042	Dr. Patel (Series 1-2) (2002-
661330	392402	Lata
661330	398557	Kate
661330	406111	Majorie
661331	388307	Gry Birkeland
661332	178376	Kerttu
661332	287574	Oilin ystävätär (Oili's Frien
661332	400453	Malla Ranta
661332	404145	Jaana Nieminen (2001-2004)
661333	156038	
661333	182564	Finnish woman
661333	225234	Wester's ex-wife
661333	228154	Doris
661333	246674	Ylihoitaja
661333	319302	Laurin äiti
661333	392555	Liv Berg-Karvala
661333	400857	Liv Berg-Karvala
661333	403408	Married woman
661334	212336	Herself - Participant/Perform
661335	199397	Girl in Temple
661336	142541	Plastic Surgery Patient
661337	342962	Older Girl
661338	4091	
661338	17409	
661338	20462	
661338	35875	
661338	36614	Wife of Nagarik
661338	58968	Singer
661338	105681	Mrs.Tarini Roy
661338	159241	Ginni
661338	165331	Kutila
661338	173373	
661338	177304	
661338	209572	Charani
661338	210304	Duchess
661338	262858	
661338	270558	
661338	271572	Charani
661338	271783	
661338	288589	
661338	298244	Zamindar's Daughter
661338	318627	
661338	319086	
661338	351386	Lene
661338	351387	
661338	354374	
661339	269127	Esméralda enfant
661340	4811	Child
661340	76844	Katsuko Tojo
661340	102679	Akiko Hiraga
661340	132384	
661340	136096	
661340	167537	Namie
661340	179537	Kiriko Nose
661340	242198	Sugako
661340	318947	
661340	341292	Mie Sasahara
661340	370346	
661340	370446	
661340	371790	Sawa
661340	372035	Oiwa
661340	374516	
661341	62398	
661341	234318	
661342	11948	Mrs. Lavinia Hawthorne, Henry
661342	13380	Karen
661342	17946	Grace Roark
661342	32210	Flora Barton-Williams
661342	52431	Dorothy Hilton
661342	56105	Signora Di Gambetta
661342	70301	Social Worker Mary Ellis
661342	72022	Olivia Nesbit
661342	73943	Mrs. Mitchell
661342	78643	Lady Hollister
661342	78762	Ann West
661342	97427	Mrs. Wadsworth
661342	109907	Ruth Emory
661342	114856	Mrs. Hammond
661342	118546	Mrs. Lawrence
661342	124082	Mrs. Madge Fenwicke-Ralston
661342	129088	Rosamond Melford
661342	133737	Mrs. Phillips
661342	141667	Ettie Clark
661342	141807	Herself
661342	147650	Alice Winslow
661342	155908	Evelyn Fletcher
661342	163221	Portia Winthrop
661342	169906	Evelyn Bailey
661342	170309	Aunt Margaret
661342	177549	Helena
661342	188586	Dorothy Joyce
661342	206877	Mary Beaton, Mary's Lady-in-W
661342	215862	Mme. Molotov
661342	230435	Lily Mae Gorham
661342	257087	Mrs. Vickers
661342	260951	Portia Merriman
661342	263555	Caroline Bingley
661342	275451	Mrs. Dewey Roberts
661342	276816	Lady Jane Ainsley
661342	294135	Mrs. Sherridan
661342	296962	Mrs. Stella Rosabelle Armitag
661342	297204	
661342	298126	Mrs. Chappel
661342	316664	Alma Diedrich
661342	319131	Elizabeth Warren
661342	320937	Mrs. Menard
661342	325127	Mrs. Lancing
661342	339394	Mrs. Wayne
661342	346367	Mrs. Eldredge
661342	367453	Dr, Judith Randall
661342	367538	Mary Cabot
661342	372299	Mrs. Julia Cortland
661342	374581	Linda Marsh
661342	397320	Janet Archer (1951-52)
661343	57718	Mrs. Casey
661343	60768	
661343	82756	Marion Slater
661343	193765	Patricia's mother
661343	383525	Eileen Brennan
661343	399130	Edith 'Aunt Edie' Chubb (1988
661343	402012	Mrs. West
661343	405616	Mrs. Young
661344	19552	Cordelia Darwin
661344	88846	Mrs. Jervaise-Danvers (1939 v
661344	116898	Gypsy Dancer
661344	143568	Spanish Dancer
661344	191185	Juliet Orme
661344	280690	
661344	304376	Spanish Dancer
661344	340391	
661345	317956	Katherine Jones
661346	38369	Jill Valentine
661346	38377	Jill Valentine
661346	215350	
661346	317956	Katherine
661346	346016	Model
661347	326223	Luz Elena
661347	339110	Zena
661347	350138	
661348	220171	Sister Margarita
661348	389589	
661349	384306	Dancer
661349	384507	Dancer
661350	234354	
661350	383827	
661350	390511	
661350	401251	Patricia
661350	403690	Carlota
661350	407304	Bertha
661350	408848	Regina
661351	219318	
661351	227703	
661351	246175	
661351	253306	Sara
661351	268270	
661351	377188	
661352	82512	Ivana
661353	42311	Fat Ass
661354	12084	
661354	19443	
661354	23061	Carmen
661354	51779	
661354	52628	
661354	56022	
661354	57433	Ayupa
661354	61129	Rita Montesinos
661354	64024	
661354	73495	
661354	73979	
661354	80124	
661354	83888	Adela
661354	91173	
661354	91271	
661354	96403	
661354	97369	Moa
661354	99354	Joven en fiesta
661354	108736	
661354	146508	
661354	148155	
661354	167807	
661354	169793	
661354	171620	Amiga de Alicia
661354	186670	
661354	189034	
661354	193143	
661354	196760	
661354	198850	
661354	199009	
661354	221705	
661354	221901	
661354	222957	
661354	227560	
661354	234425	Olga del Rio
661354	248296	
661354	249321	
661354	249875	
661354	253257	
661354	257130	
661354	260571	
661354	262216	
661354	270066	
661354	292774	
661354	293366	
661354	300754	
661354	307290	Micaela
661354	309347	
661354	317678	
661354	337224	
661354	338810	Morimba
661354	353573	Fausta
661354	355777	
661354	357005	
661354	376653	
661354	376736	
661354	384831	Lucía
661354	402049	Lucrecia
661354	403786	
661355	249881	Laia Gonzalo
661356	249881	María Castilla
661356	400660	Tere
661356	401657	
661357	173690	Yugita
661358	173690	Judite
661359	61140	
661359	225031	Bárbara
661359	238601	Claudia
661360	381755	Herself/Panelist
661361	354477	
661362	396866	Various Roles
661363	311194	Suki
661364	278217	Dana
661364	296100	Deborah's friend
661365	7546	
661365	92490	
661365	189851	Herself
661365	264639	
661365	264910	Herself
661366	80762	Eddie Cooper
661366	188511	Nurse
661366	203612	Pat Reagan
661366	248441	Bunchie
661367	203377	Momma
661368	188453	Opening Sequence Girl
661369	105851	Sister
661369	119484	Munchkin Beth
661369	164480	Store Clerk
661369	221024	Debbie
661369	231037	Karen
661369	233567	Female Cabbie
661369	275330	Donna
661369	326741	Polly
661369	383994	Annie Tortelli (1985-1993)
661369	386190	Deborah Wyman
661369	408595	Annie Tortelli
661370	2466	
661370	7778	Neighbor
661370	22067	
661370	40944	Gudrun
661370	76752	Gertrud
661370	83090	Lis
661370	99569	Elvira Madigan
661370	109298	Evy
661370	111338	Rita
661370	113841	Martha (segment 3 "Zina")
661370	135233	Office Girl
661370	146596	Barbara
661370	154142	Myrna
661370	173119	
661370	182459	Skuespillerinden
661370	195776	Gro
661370	209808	Rosamunde
661370	214027	Skuespillerinden
661370	306021	Augusta
661370	325701	Pernille
661370	334079	Lone
661370	392509	Tochter des Barons
661371	115689	
661372	151083	Child
661373	193423	Ortruda
661373	251821	
661374	1132	Madame Gutman
661376	102147	Mother Helen
661376	360819	Susan
661377	409853	Gunilla Lindhe (1988-1989)
661378	95166	Pavlina
661378	200618	Hubavata
661378	238168	Waitress
661378	238169	Attractive Woman
661380	261151	
661381	161761	Julie
661382	386209	Various
661382	390232	Host (2004-)
661382	392265	Various
661383	205794	
661384	9778	
661384	130154	Mariposa
661385	27115	FBI Agent
661385	69391	Principal
661385	71922	Beatrice
661385	164352	Black Businesswoman
661385	194885	Cassie
661385	237906	Jail guard
661385	261448	Johnson
661385	273260	
661385	283015	Carrie Foster
661385	318642	Baltimore Nurse
661385	358701	Police Officer #2
661386	122330	Britt Linde
661386	347025	Ingrid Forslund
661387	121549	Youngster at Game
661387	163316	Valerie
661388	67816	Trinity
661388	79530	Randi
661388	80823	Rachel Richmond
661388	109948	Nossa Senhora de Fátima
661388	188453	Lena
661388	278933	Nina
661388	309408	
661388	320698	Sofia
661388	338731	Lisa Rivers
661388	342938	Lana
661388	403448	Yamira
661388	407887	Lou Kos
661388	408691	August DeGaulle
661388	409092	Eli
661389	194687	Mall Quartet Player
661390	183314	Skoleelev
661390	214339	Karoline
661390	349908	Tjalfe (Danish version)
661390	395115	Julie (1995)
661391	162657	Pernille/'Persille'
661391	192641	Marie
661392	178931	Linet
661392	311428	Reporter
661392	386603	Mary Jane 'M. J.' Match #4 (1
661393	399459	Petra Schneider
661394	399459	Harriet
661395	5328	
661395	131795	Pamela Goldernits
661395	214748	
661395	339552	
661396	172451	American Dubbing Team
661396	274668	Claudine Desmond
661397	140862	Records clerk
661397	147609	Woman
661397	272078	Beth Hadley
661398	89327	Young Dorothy
661398	160560	Young girl
661399	67569	Sgt. Fitzwater
661399	169207	Newsperson
661399	229428	Reporter
661399	271191	Anchorwoman
661399	359906	Anchorwoman
661400	10888	Gina Rutenberg
661400	10889	FNN Reporter
661401	307000	Claire
661402	375223	Girl in public bathroom
661403	198567	Trainee
661404	319602	Perry's Secretary
661405	69399	
661406	279244	Carlotta
661407	25090	
661407	387536	Margot
661407	395861	Carmela Campos
661407	401438	
661408	411802	Billy Abbott #1 (1993) (alter
661409	411802	Billy Abbott #1 (1993) (alter
661410	62784	Girlfriend #7
661410	149854	Hooker
661411	9094	Dr. Kim
661411	72935	Fudor Sprite
661411	93187	Vindelle
661411	196313	Helen
661411	207941	Twitch
661411	324953	Winona
661412	407138	Herself - 2nd Runner-Up
661413	154051	Dr. Peyton 2
661414	273869	Trippy Hippie Girl
661415	77152	1st Townswoman
661415	301702	Mrs. Sims
661416	194761	Security Guard
661417	408481	Presenter (1982-1984)
661419	158043	Mrs. Glitteron
661420	42193	
661421	253467	David Copperfield as an infan
661422	211512	Molinar
661423	144392	Brat #1
661424	295608	First Nun
661425	5800	
661425	10373	Helena's mother
661425	162708	
661425	211926	
661426	105211	Ray's mum
661426	388321	Dusty McHugh (1998-1999)
661427	216234	Peasant Woman on Road
661428	65681	Matron
661428	86797	Marilyn
661428	131664	Rita
661428	137563	Marie Shernberg
661428	188033	A Possum for Peace
661428	257048	Nan Montgomery
661428	266767	Model
661428	380908	The Pregnant Man (1983-1984)
661428	397477	Sylvie Waterman
661428	399130	Portia Grant (1998-1999)
661428	405679	Herself (1999)
661429	261116	Catwalk Model
661430	2371	Professor Jordan's daughter
661430	10920	Amanda Ripley
661430	44539	Barbara
661430	124346	
661430	184578	Vera Grant
661430	188586	Adele Ainsworth
661430	222973	Ruth Carter
661430	224119	Extra in Ballroom
661430	279188	Linda Conniston
661430	332024	Dolly
661430	335469	Joan
661431	388653	Erin Walker (Seasons 2-3)
661432	298310	Emma
661433	151056	
661434	31173	
661434	114314	Jill
661434	224379	Amy Springer
661434	243736	Annie
661434	305782	Jill
661435	175621	Voice Overs
661436	345952	Melahn Tode
661437	78470	Herself (performing winning s
661437	78473	Herself (performing 'Eventyr'
661437	78474	Herself (performing 'Alt er s
661437	78475	Herself (performing 'Hej, hej
661437	104738	Danish entry (1st place)
661437	147240	Danish entry
661438	338051	Mariana
661440	59879	
661440	130622	Gold Digger
661440	163544	Dancer, American Girl
661440	232344	Chorine
661440	247160	Goldwyn Girl
661440	323380	Tall Willowy brunette
661440	365394	Jean
661440	367412	3rd Girl
661440	367962	Hazel, a Chorus Girl
661441	234828	Mrs, Spencer
661442	84451	
661443	223885	Girl #2
661444	10311	June Genie
661444	200162	Waitress
661445	20346	Lois Bowman
661445	47662	Josie Haley, as a Child
661445	56434	Fred's Daughter
661445	100831	The Child
661445	141444	Jean Carroll
661445	143937	Jennie Lee
661445	227192	Cynthia Glen
661446	46987	Airplane Passenger
661446	126067	Chorine
661446	363960	Nurse
661446	364434	Secretary
661447	20625	Extra
661447	242773	Pregnant Filipino woman
661447	250592	KaLetan
661448	22990	Elaine
661448	116139	
661448	186228	Hepsey
661448	331929	Zella Bailey
661448	336897	
661449	166871	Saloon girl
661450	404721	Herself
661451	83437	
661452	214163	Herself
661453	367054	Munchkin #4
661454	19426	Jean Hollis
661454	170008	Judy
661454	277052	
661455	387533	Chelsea Campbell (1998) (7 ep
661456	17980	Morgan
661457	215691	Miss New Jersey USA
661458	264755	
661459	294742	
661459	331308	Betty Cameron
661459	332440	Evelyn
661460	1599	Mrs. Tatmarsh
661460	41156	Cook
661460	90351	Bald-headed Dowager
661460	117115	Esther
661460	127112	Lady Rowthorpe
661460	127481	Lady Bellamy
661460	171211	Theater Sister
661460	177316	Mrs. Cromwell - Hostess
661460	182947	Woman in Park
661460	203217	English Wife
661460	215077	
661460	241385	Matron
661460	242377	Woman in Art Gallery
661460	314508	Lady in butcher's shop
661460	340512	Miss Denby
661460	385299	Mrs. Adam
661461	208720	
661461	360551	
661462	95078	Nicholas' girl
661463	17191	Drama Teacher
661463	235488	Grace
661463	291503	Eddie
661464	50499	Female Student
661464	120653	Store Clerk
661464	258139	Linda
661464	280279	The Transylvanians
661465	115686	Jock's Girl
661465	201832	Herself
661465	364750	Virginia Gordon
661466	331799	Tamara
661467	123397	Fantasy Girl
661468	69398	Waitress
661469	260629	Clara
661470	217481	Mrs. Garcia
661471	128657	Herself
661472	126619	Extra Talent (segment "Gett O
661473	385309	Herself (Blue Badge guide)
661474	165414	Hostess
661475	239415	Sylvie
661476	313189	Betty
661477	75829	Rasheeda Allen
661478	372806	Swing Dancer
661479	224106	The Talent Show - Latin Jazz 
661480	126619	Extra Talent (segment "Gett O
661481	219692	Leanne Witherspoon
661482	98818	Lisa Flanagan
661482	129623	Anna
661482	215657	Amber Ray Pruitt
661482	261290	Shanna Harper
661482	328561	Carolyn
661483	247370	English Voice-over
661485	50377	
661485	88794	(segment "A Suspeita")
661485	91622	
661485	109948	Woman
661485	128635	
661485	221072	
661485	260767	
661485	260768	
661485	264873	
661485	319286	
661485	367002	
661486	375015	
661487	16781	Actriz famosa
661487	52600	
661487	63950	Model
661487	68967	
661487	70646	
661487	71105	
661487	74509	
661487	74556	
661487	74966	
661487	99484	
661487	103855	
661487	106309	
661487	131030	
661487	132476	Gloria
661487	148091	
661487	194626	
661487	199793	
661487	212407	
661487	216684	
661487	221568	
661487	221670	
661487	222027	
661487	234430	
661487	248228	
661487	249864	
661487	285943	
661487	289080	
661487	294858	
661487	327083	
661487	333743	
661487	339038	
661487	376637	Señora del Perrito
661487	380072	Elena
661487	380115	
661487	384981	
661487	403677	
661487	404737	
661488	235542	Saffron Hill
661489	172655	Gottína
661490	151109	Freshman girl #3
661491	202587	Milenka
661492	274912	Regina
661493	55343	
661493	104776	Swedish entry (5th place)
661493	210363	Herself
661493	210364	Herself
661493	397395	Herself
661493	397397	Herself
661494	251466	
661495	21696	Estelita
661496	240321	Singer
661496	347397	
661497	4231	
661497	175593	
661497	182283	
661497	184109	Annikka Kantola
661497	197363	
661497	243777	
661497	265452	
661497	343399	Milda
661497	354255	
661498	153547	
661498	393981	Kami
661499	356071	
661500	51823	Math teacher
661500	57380	Waitress
661500	70303	Bank Teller
661500	80066	Weeping soldier
661500	81286	Molly
661500	126492	Sales Clerk
661500	130178	Footlocker Cashier
661500	153251	Special Agent Mary ODell
661500	163195	Bartender
661500	185114	Mailclerk
661500	196024	Waitress
661500	207509	Receptionist
661500	245115	Woman in Labour
661500	254512	Cowgirl
661500	291252	Face
661500	303236	Woman in Audience #1
661500	304242	Restaurant Manager
661500	378939	Carolyn Stevenson
661501	236972	Mother Mouse
661502	66281	
661502	194096	
661503	291296	Suzy
661504	80782	Cemetery Extra
661505	194184	Ruth's Mother
661506	80782	Cemetery Extra
661507	155359	Nina
661507	264904	(DVD only)
661508	63130	Sister Frances
661508	252259	Paulette Hall
661508	254995	Miss Ophelia
661509	54114	Anna Maxwell
661509	68382	Miz Oh My God
661509	149834	Mrs. Mellon
661509	169206	Joanna
661509	209626	Elizabeth Farnsworth von Trap
661509	214422	Mall Beauty #1
661509	252989	Salina
661509	260369	Marta Rodriguez
661510	224691	Dancer
661511	191088	Judy
661512	28931	Mrs. Van Der Ness
661512	78854	
661512	114952	Singer
661512	348313	Clippie
661514	136822	Chorus - soprano
661515	1975	Herself
661515	16099	Hemophiliac Representative
661515	53327	Landlady
661515	81776	Beth Stanley
661515	83984	
661515	122076	Jody
661515	164631	Mrs. Rice
661515	171179	Rose
661515	190373	Herself
661515	228970	Herself
661515	263450	Lynn
661515	293098	Mrs. Klinger
661515	323565	Pat Melancon
661515	327300	Angelyn Graham
661515	336033	Ronnie
661515	380391	ghost of Nora Diamond (1988)
661515	387728	Dr. Kerry Weaver (1995-)
661515	396038	Sandy Sincic
661515	398213	Herself
661515	406559	Krissy Bender Marino
661515	410959	Laurel Hearn
661515	411229	Bunny Mather (1991-1993) (199
661516	174152	
661516	272648	Miss McDonald
661516	314358	Cake shop owner
661516	388597	Various roles
661517	160387	
661518	41085	Housewife of America
661518	78733	Saleslady
661518	97496	Mrs. Lally
661518	120225	Mrs. Purdy
661518	131534	Nurse at Night
661518	134109	Mrs. Nichols
661518	135799	Martha
661518	135918	Alice Marlowe
661518	139214	Flora Ames
661518	154840	Mrs. Marha Salter
661518	203622	Mrs. Inness, landlady
661518	215981	Member of theatrical party
661518	221296	Mrs. Mathers
661518	232200	Miss Dodd
661518	235381	Miss Morton
661518	256328	Viola, Saleslady
661518	277000	Mrs. Oliver
661518	281937	Sister Agnes
661518	315718	Hagah
661518	366167	Personnel Woman
661518	385656	
661518	386891	Nurse Fain (1965-1966)
661519	90334	Additional Voices
661519	283239	Drugged-out Rumbaee
661519	352409	Waitress
661520	352409	Local Woman #2
661521	57573	Mary O'Bede
661522	43174	Nicole
661523	180798	Newsreader
661523	252899	
661524	5363	
661524	19612	
661524	23525	Jolanda
661524	33559	Bianca
661524	57832	
661524	111517	
661524	124569	The 'Princess'
661524	351581	Mrs. De Peyhorrade
661524	351979	Mother
661524	357066	
661524	409970	Maria
661525	350264	Il Vampiro
661526	46910	Yvette Richeaux
661526	251313	Gipsy at the meeting
661527	274478	
661528	17813	2° Ragazza festa
661529	5789	Lola
661529	54766	
661529	55954	
661529	64356	
661529	66817	Sofía Rosi
661529	67368	
661529	118166	
661529	124507	Nora
661529	156575	
661529	202063	Carmen
661529	205000	Manuela
661529	302371	
661529	319512	
661529	320188	
661529	380442	Miranda
661529	383291	Azucena (2000-2001)
661529	391860	Violeta
661529	392030	Dra. Valeria Quiroga
661529	392805	
661529	396335	
661530	324501	Danseuse
661532	396316	Kamishiro Rin
661533	3113	Simato
661533	136069	Jade
661533	137161	Golden Flower
661533	138627	Liang Ching/Chiang Bi-Yu
661533	227424	Preztel
661533	403165	Lu Xiaoman
661534	193491	
661535	38949	
661536	394705	
661536	403411	
661537	177388	Malin/Maki Kagura/Rose Bernst
661538	29619	Customs Agent #2
661538	190251	Carol
661538	265273	Ashley 'Ash' Carter
661538	333278	Eloi
661538	350916	Grace
661539	402330	Himself
661540	218227	Mabel
661541	87866	
661542	278547	Sadako Yamamura
661542	278549	Sadako Yamamura
661543	172995	Kyoko
661543	172996	Kyoko
661543	394092	Kyoko
661544	30988	Fumiyo Fujiyoshi - Girls #18
661545	63705	
661546	246201	
661546	282926	Immortal 2
661546	374605	
661547	180048	Haha - Fusako
661548	21575	
661548	119635	Chihiro
661548	125264	Shizuka Kitahara
661549	373363	Shinobu
661550	4016	Belldandy
661550	4017	Belldandy
661550	18704	Saginomiya Sakura
661550	31045	Uranus
661550	38823	Reika Ayanokouji
661550	54890	Yelan Li (Shaoran's mother)
661550	92777	Mana
661550	107610	Arisa
661550	108671	Short
661550	113338	Fabra/Narrator, Crux
661550	122108	Queen
661550	123113	Eluza
661550	124244	Lily McGurie
661550	130730	Employee A, Ayuko Hayami
661550	133113	Liete
661550	135579	I-no
661550	135946	Maria Asagi
661550	137336	Hikute
661550	138093	The Spirit Of The World Tree
661550	138135	Cyberdoll Mami
661550	175368	Yuka Chigusa
661550	201302	Beautiful designer girl
661550	208014	Yô Haguro (from Ultimate Time
661550	209788	Stasia
661550	211950	Rosemary
661550	211952	The Boss
661550	217377	Brooke
661550	226482	Electra
661550	244232	Ueno Yoshiko
661550	259304	Karen Hojo
661550	264168	Blue Morris Rui Elmitage
661550	272210	Kasumi Tendou
661550	272211	Kasumi Tendô
661550	272212	Kasumi Tendou
661550	272213	Kasumi Tendou
661550	272214	Kasumi Tendou
661550	299125	Rune Venus
661550	304684	Leia
661550	306042	Jaime Seed
661550	327811	
661550	348758	Girl A
661550	348765	Girl University Student B
661550	350723	Asaka/Ai/Geena
661550	380605	Guinevere Green
661550	382110	Sailor Aluminum Siren - Reiko
661550	384133	Chitose Hibiya
661550	385060	Lady Emeraldas
661550	389570	Electra
661550	391594	Hatsune Yamashita
661550	394051	Seira Mimori
661550	394392	Alv
661550	394425	Kira's Mother
661550	394427	Aina Sahalin
661550	394431	Shuuko Suzuhara
661550	396440	Tatora
661550	396503	Lena (Nike's mother)
661550	396549	Zena
661550	396923	Anju Kitahara
661550	400268	Mizuho Kazami
661550	400269	Mizuho Kazami
661550	402863	Kasumi Tendo
661550	404061	Panther
661550	404062	Panther
661550	404228	Tomoe Kusanagi (Shizuma's Old
661550	406845	ZeStrait
661550	410794	Birman
661550	411891	Anna
661551	210203	Kotoe
661552	32068	Herself (Female Wrestler)
661552	320134	Herself
661553	38817	Mayumi Hori
661553	256190	Yuka Shinohara
661553	299992	Mami
661553	347493	
661554	330680	Unagi
661555	390799	Toshino Haruka
661555	394521	Mari Nikaidô
661555	394523	Mari Nikaidô
661555	411893	Akiko Hirata
661556	276643	Japanese Mother
661557	139731	Miyako
661558	385987	
661559	37614	Yoshie
661559	199417	
661559	214414	Dora Kennel
661560	255872	10th Century Woman
661561	31544	Sophine
661561	124244	Panni
661561	176528	Kanuka Clancy
661561	176529	Kanuka Clancy
661561	176530	Kanuka Clancy
661561	176534	Sayla Mass (Artesia Som Daiku
661561	176535	Sayla Mass (Artesia Som Daiku
661561	176536	Sayla Mass (Artesia Som Daiku
661561	279265	Neris
661561	327803	Yuzuha
661561	348752	Ran
661561	348755	Ran
661561	348756	Carla
661561	369335	Kanuka Clancy
661561	390908	Jyako Amano
661561	394029	Various characters
661561	394030	Various characters
661561	394420	Kanuka Clancy
661561	394422	Sayla Mass (Artesia Som Daiku
661561	394426	Sayla Mass
661561	396347	Iwaano Gepurunicchi
661561	409686	Ran
661562	119533	Reporter
661562	176823	
661562	280284	Reporter
661562	292227	1st Receptionist
661562	332151	Stanford Floor Nurse
661562	359443	Nurse #2
661563	66932	Kim
661563	81321	Janice Omori
661563	91651	Receptionist
661563	113359	Lily
661563	288739	Linda
661564	135935	Secretary
661565	369492	Xanadu Dancer
661567	34507	
661568	122826	
661568	223213	Thérese
661568	239367	
661569	48041	
661569	169387	
661569	330664	WAAF Woman
661570	155931	
661571	69842	Herself
661571	79754	Herself
661571	79756	Herself
661571	119047	Herself
661571	156858	Herself
661572	22057	
661572	27420	
661572	39084	
661572	91483	
661572	138962	
661572	172026	
661572	175384	
661572	177113	
661572	182812	
661572	229060	
661573	254994	Nurse Graham
661574	190096	Jasmine, 80 Years Old
661575	192720	Extra
661576	286216	
661577	260909	
661578	198912	Psychologist
661579	321657	Jezebel
661580	291915	Pennsylvania Beauty Winner
661581	61286	Helicopter Reporter
661581	249620	Wagonmaster's Daughter
661582	259864	Abortion Picket
661583	177935	
661584	185648	Lonnie's Wife
661585	116790	Party guest
661586	394017	Rosario Achával
661587	409947	Host
661587	410607	Team Member
661588	206547	
661588	297777	Other Streetwalker
661589	315444	
661590	55790	
661591	51949	Cindy
661591	57951	
661591	106953	Lisa
661591	207561	
661591	227383	
661591	251055	Emily Robbins
661591	309421	
661591	349534	Stefanella
661591	349537	Antonella
661591	371391	Jane
661591	400407	Stéphanie (segment "Maria")
661591	409788	
661592	104773	Israeli entry (1st place)
661592	104774	Herself - performer of voting
661592	175008	Herself
661592	226915	Herself
661592	235398	
661592	387952	Vote Presenter
661593	47857	Nishida
661594	289372	Featured Extra
661595	342048	Market Girl #2
661596	132807	
661597	199744	
661598	220221	
661599	153015	
661600	15956	Newscaster
661600	243497	
661601	377614	La jeune femme
661601	387611	Vicky
661602	125239	Nyarth
661602	125240	Nyasu
661602	125241	Nyarth
661602	125242	Nyarth
661602	175347	
661602	237842	Ami
661602	258553	Nyâth
661602	259034	Nyasu
661602	259035	Nyath
661602	259038	Nyâth (Meowth)
661602	401736	Nyâth
661603	211433	
661604	108763	Auntie Pat
661604	172453	
661604	320405	
661605	51825	
661605	84348	Slippery Kate
661605	95210	
661605	190160	
661605	260878	
661605	295441	Mrs. Inward
661605	353300	Alice Brown
661606	148250	Jessica
661607	85986	Victoria
661608	70109	Hooker
661609	217280	
661610	28704	Glafira
661610	88450	
661610	91485	
661610	351336	
661610	374855	Yelizaveta Andreyevna Protaso
661611	334691	
661611	393351	
661612	388458	
661613	264910	Herself
661613	379137	Herself - Contestant
661613	384829	Host
661613	387574	Dulce María
661614	13074	
661615	13626	Third SS Officer's Wife
661615	75083	
661615	207932	
661615	273905	
661615	309357	
661616	388201	Natasa
661616	388675	Julia
661616	394066	Afroditi Nikitara
661616	395090	Geena
661616	410408	Natassa Rogozina
661617	20190	
661617	28281	
661617	92890	
661618	265463	
661619	234138	
661620	66596	Tatiana
661621	95870	
661622	53029	Axe Murderer Waitress
661622	55588	Lydia the Human Globe
661622	187704	Ruth
661622	205904	Chloe
661622	218106	Elevator Gal
661622	316333	Cafe Waitress
661624	249413	
661625	6326	
661625	32656	
661625	95769	
661625	136493	
661625	172210	
661625	172514	
661625	180350	Maria
661625	205791	
661625	212553	
661625	239355	
661625	247841	
661625	252362	
661625	256405	
661625	256408	
661625	296161	
661625	369517	
661625	378671	
661625	380418	
661625	387025	
661626	379816	Titika
661627	95870	
661627	118484	Maria (1943-1971)
661627	210104	
661627	337031	Eleni
661627	397266	Agela
661627	406324	
661627	406690	
661628	10961	Aliki's friend
661628	387154	Marianthi
661628	390037	
661628	394026	Papadia
661629	8118	
661630	99013	Chorus Leader
661630	265964	Mother
661631	172215	
661632	400825	
661633	375235	
661634	93532	Alex
661634	185916	Monica
661635	37387	Hotel Receptionist
661635	167060	Ashley
661635	305390	Waitress
661636	115666	Girl #3
661637	217019	
661639	8112	
661639	25863	
661640	171741	
661641	83349	Un enfant
661641	182692	
661642	262586	
661643	245100	Molly Barlow
661644	20696	
661645	325290	
661646	6415	Hooker
661646	13041	Martine
661646	15107	Élsa
661646	19073	Woman at Travel Agency
661646	51242	Les filles
661646	58305	Madame Kopmans
661646	59229	
661646	68383	Emmanuelle
661646	69934	Mopsa
661646	100176	Anna Yordanoff
661646	100734	Olga
661646	104827	Herself
661646	132751	Emma
661646	134206	Kati
661646	153872	Katia, la serveause
661646	153883	
661646	156283	Worker
661646	156330	
661646	166157	Hélène
661646	167224	Eva
661646	169348	Laurence N.
661646	193227	Madame Gaderian's daughter
661646	200973	Florence
661646	201172	Sandra
661646	205729	
661646	212159	Pauline
661646	218247	Mme Pons-Romanov
661646	227317	Miss France
661646	236596	
661646	241174	Colombe
661646	243212	Margaret
661646	249081	Agathe's friend
661646	250664	Editor
661646	254123	Mademoiselle Bonnat
661646	267024	
661646	269741	La joueuse de Deauville
661646	278143	
661646	280769	Pastelle
661646	283653	Anna
661646	284222	
661646	311107	Silvia
661646	322369	
661646	322751	
661646	345026	Clémentine
661646	345287	L'assistante du producteur
661646	355866	La femme de Victor
661646	369436	
661646	385382	
661647	346627	L'institutrice
661648	246441	
661649	62330	
661649	66312	
661650	61832	Herself
661651	9710	
661651	12263	
661651	41398	Hotel Clerk
661651	53158	
661651	66312	
661651	74893	
661651	88873	
661651	94108	
661651	95121	
661651	103472	
661651	104503	
661651	112925	
661651	132433	
661651	138941	
661651	212155	Directrice
661651	287797	
661651	296350	
661651	386188	(episode "System")
661652	86882	Nastasia
661653	70854	
661654	38229	
661654	324313	
661655	65014	Stana
661656	327203	
661657	390401	Yulya Gribkova
661658	258668	
661659	118484	Nicki (1971)
661660	20042	Herself (spaceship acrobat)
661660	331661	Toula (segment "Toula")
661660	336833	
661661	42620	
661662	207660	
661662	375472	
661663	247899	
661663	251358	
661664	9709	
661664	80134	
661665	304017	Shop assistant
661665	358423	
661665	372017	Prostitute
661666	33813	
661666	61368	Virginia Stuart
661666	248248	
661667	16548	
661667	23597	
661667	77009	
661667	136589	
661667	298276	
661667	298325	
661667	374348	
661668	9394	Elfimiya Chereteli
661669	250425	
661670	172431	
661670	344094	Qetevani
661672	324448	Dancer: El choclo
661672	324483	Pablo's partner
661673	1190	
661673	48552	
661673	189258	Amica di Aurora/3.Amica di It
661673	344591	Zara
661673	352861	(segment "Stirpe di Ivana, La
661674	44301	Bridal Shower Guest
661675	193980	
661676	171728	Zwarte Panter
661678	106798	
661679	82468	Statue pointing finger at art
661679	241141	Nurse Thompson
661679	260357	Cooky
661680	176047	
661680	179588	
661680	239421	Gorokhov's Daughter
661680	286732	
661681	3571	
661681	291593	
661682	283339	Anne Sommers/Sarah Lerner
661683	212647	Une gitane
661684	333857	Extra
661685	27462	
661685	65615	Mme Pastore
661685	174203	
661685	284271	Madame Rozanoff
661685	366467	Großmutter
661685	412318	
661686	15187	Canalboat guide
661686	95525	Prostitute
661686	110550	Nurse
661686	130232	Martine Hafkamp
661686	354652	
661686	390242	Martine Hafkamp (1990-1994, 2
661686	410199	therapeutist Letta
661686	410838	Sophie Noordermeer-Elzinga (1
661687	12704	Ilse Strauss
661687	38840	
661687	84557	Host
661687	104732	Host
661687	119138	
661687	155607	Lady Chiltern
661687	156719	Vera
661687	178537	
661687	179775	Tamara Hartmann
661687	266163	
661687	281726	Mrs. Tolliver
661687	281729	Augusta Pritchett
661687	290820	Frieda
661687	308260	Katharina
661687	317503	Frau Bönisch
661687	325886	Gerlinde Seidel
661687	335030	.
661687	352271	
661687	387959	Herself - Presenter (1957)
661687	390701	
661687	390704	
661687	392086	
661687	394741	Tamara Hartmann
661687	399762	
661687	408949	Frl. Raimar
661688	103106	
661688	289894	
661689	325521	
661690	9179	
661690	157177	
661691	288495	
661692	61956	Dora
661692	68436	Signora Luparello
661692	121897	
661692	122036	Madre Maria
661692	128926	Agrippina
661692	135149	Nina's mother
661692	162045	Gloria
661692	189272	Mrs. Verrio
661692	219829	
661692	238937	Augusto's Wife
661692	338655	
661693	329307	Catriona younger
661693	349512	Teenage Tessa
661694	3335	
661694	357227	Valentina
661695	63705	ExorSister
661695	63706	ExorSister
661695	63707	ExorSister
661695	63708	ExorSister
661695	296582	
661696	6102	
661696	206500	Irena
661696	209394	
661696	351359	Tereza Macek
661696	405705	Marinina mama
661697	43137	Bolette Jensen
661697	117583	Clara Møller
661697	120144	
661697	136449	Elsa Bruun
661697	136619	Landsretssagfører fru Helene 
661697	159641	Kvinde i rullestol
661697	186241	
661697	199858	Katharina II
661697	251061	Store Marie
661697	289729	
661697	322476	Grevinde Danner
661697	340080	Bedstemor Gunhild
661698	9542	
661698	18221	
661698	18222	
661698	20127	
661698	21115	
661698	97933	
661698	97939	
661698	100593	
661698	100631	
661698	116622	Maria
661698	125696	
661698	136475	
661698	136476	Agnès' mother
661698	156421	
661698	162139	
661698	174579	
661698	243080	
661698	258926	Margaret
661698	327107	
661698	329268	
661698	380474	
661698	391023	
661699	76415	Puja (Kajal's daughter)
661700	296830	Throat Singer
661701	23528	
661701	27743	
661701	78654	
661701	83737	Older Sister
661701	153237	
661701	172558	
661701	176149	
661701	202159	
661701	272149	
661701	288411	
661701	296830	Throat Singer
661702	17319	Pinky
661702	379693	Kavita
661703	320310	Student 3
661704	176925	
661704	283778	
661705	38461	
661706	89483	Dancer
661707	381904	Host (2003)
661707	381921	Silvia 'La Chiva' Irabien
661708	57284	
661708	84601	Madame Roc's maidservant
661708	89871	Madame Martin
661708	264525	Femme à Table
661709	169882	Execution Witness #2
661710	152250	
661710	328642	
661711	104930	Table #1
661712	306496	Cecile
661713	89871	Alphonse Doinel
661714	335989	Menina
661715	25926	Adi Chopra
661715	25980	
661715	62751	
661715	150515	
661715	278809	
661715	318413	
661715	341695	
661716	4092	
661716	4160	
661716	4320	
661716	4322	Kamla (courtesan)
661716	4402	Vijay's mother
661716	4504	
661716	8492	
661716	8645	Ganga
661716	11733	
661716	12922	
661716	15166	Hasina Banu (Advocate's wife)
661716	15869	Sharda (Rahul's stepmom)
661716	16183	Mahuva
661716	17007	Prema
661716	17462	
661716	17889	Kalyanji's wife
661716	17893	
661716	17903	
661716	18923	
661716	24186	
661716	24274	Aruna
661716	25525	
661716	25554	
661716	25961	
661716	27410	Dancer
661716	27471	
661716	27774	Guest appearance
661716	29023	
661716	30287	Tara Bua
661716	33847	Nandini Malhotra
661716	35083	Laxmi
661716	35112	Durga Devi
661716	35564	
661716	36007	
661716	36110	
661716	36143	Anju Verma
661716	36249	Nathu Singh's wife
661716	42442	Guest Appearance
661716	43328	Mala (Atmaram's daughter)
661716	45803	
661716	48681	
661716	49155	Manorama (Jagannath's mother)
661716	54833	
661716	57877	
661716	58367	Anju & Manju's mom
661716	59425	
661716	61011	
661716	76817	
661716	84791	
661716	85302	Kashinath's mom
661716	85306	
661716	86643	
661716	86682	
661716	88472	
661716	88493	
661716	88494	Rani/Mohini
661716	88534	
661716	88535	
661716	88586	
661716	90834	
661716	98517	
661716	98518	
661716	98549	Anjana
661716	107654	
661716	109308	
661716	122918	
661716	123104	Ranisahiba
661716	123363	
661716	124032	
661716	124209	
661716	124643	
661716	126138	Vaidyanath's wife
661716	126943	
661716	126948	Uma
661716	126975	
661716	127027	
661716	127028	
661716	127333	Mrs. Dixit
661716	130561	Herself (Guest Appearance)
661716	131934	
661716	131935	Geeta
661716	135873	
661716	135941	Child Artist
661716	137873	Dai Ma
661716	138927	
661716	138934	
661716	139827	Santo
661716	145433	
661716	145459	
661716	150515	Buaji
661716	152481	
661716	152498	
661716	152500	Laxmi
661716	152629	Shoba
661716	152701	
661716	159058	
661716	160172	
661716	160182	
661716	160186	
661716	160223	Courtsean who abducted Shalu 
661716	162741	
661716	163812	Rukmani
661716	164297	Karan's mother
661716	164315	Aruna (Ganga Ram's daughter)
661716	164883	
661716	166456	
661716	167352	
661716	167557	
661716	169847	
661716	171522	
661716	171523	Mallika
661716	171793	
661716	172621	Shobhana
661716	172677	
661716	172897	
661716	173843	Street dancer in song "Pyar t
661716	174211	
661716	174212	Gayetridevi Singh
661716	174293	
661716	174904	Vimla Devi
661716	176007	Sherri
661716	176034	
661716	176097	
661716	181515	
661716	181516	Shanti
661716	183093	Sheetal Jethly's mom
661716	184022	
661716	184118	
661716	184158	Gulabbai
661716	184246	
661716	193398	
661716	195862	
661716	196070	Prostitute
661716	198709	Nurse
661716	200624	
661716	200631	
661716	200699	Ameenabi
661716	200804	
661716	201075	
661716	203248	
661716	208267	
661716	208727	
661716	209872	
661716	211255	
661716	211454	Shyama
661716	213784	
661716	213881	Mrs. Runa Singh
661716	217142	Shakuntala
661716	222501	
661716	222503	
661716	226041	
661716	226675	Dancer
661716	227813	
661716	227948	
661716	228868	Rekha (Anoop's sister)
661716	231741	
661716	246098	
661716	246736	
661716	247106	Guest Appearance
661716	248720	Bijli
661716	248743	
661716	249230	
661716	250635	
661716	250839	
661716	250843	
661716	253817	
661716	254827	
661716	254830	
661716	254842	
661716	259259	
661716	262465	Mrs. Diwani
661716	262818	Sonya's mother
661716	262852	The lady who bullied the oilm
661716	265396	
661716	268068	Shanti
661716	268076	
661716	268108	
661716	268563	Kanta/Amar's mom
661716	268567	
661716	270050	Jwala
661716	270964	
661716	271044	
661716	271425	Mummy
661716	271493	
661716	271545	
661716	274288	
661716	280271	
661716	281521	
661716	282230	Poonam (Malika-E-Nekiram)
661716	284762	
661716	284785	Manasi Vrundavan( Maan Didi )
661716	285103	
661716	285256	
661716	287526	Seema
661716	287527	
661716	287627	
661716	287842	Santo and Banto (double role)
661716	287920	
661716	287931	
661716	287983	
661716	288246	Kusam
661716	288576	
661716	289182	
661716	297034	Julie, Shalu's mother
661716	297174	Dance Teacher
661716	297217	
661716	297317	Chandni
661716	301453	
661716	301909	Shakuntala Devi
661716	302511	
661716	308492	
661716	318413	Ajay's mother
661716	320863	
661716	326028	
661716	326187	Zarina
661716	334774	
661716	337789	
661716	341694	
661716	344005	
661716	344369	
661716	344906	Rani
661716	348464	
661716	355300	Vishnu & Devaa's mom
661716	359157	Shanti
661716	359418	
661716	370217	Julie
661716	370947	Dancer
661716	373331	
661716	373712	
661716	373720	
661716	375202	Sudha
661716	375879	
661716	376092	Sumitra Dutt
661717	4292	Lily
661717	4438	Reena
661717	8645	Chanda
661717	21401	
661717	29067	Tomato
661717	36006	
661717	84333	
661717	85408	
661717	88630	
661717	95237	
661717	95244	
661717	98499	
661717	124951	
661717	128167	
661717	131181	
661717	152482	
661717	164857	
661717	171502	
661717	174633	
661717	222909	
661717	228842	
661717	228851	
661717	268572	
661717	293277	Sheela
661717	297571	
661717	297594	Mrs.Chitra Gujral
661717	320392	
661717	359418	
661718	303558	Daughter in Air-Raid Shelter
661719	58996	
661719	174633	Ramaiya
661719	268572	
661719	293277	
661719	308983	
661720	100367	Dependienta agencia
661720	191549	Ifito
661720	255485	Vecina
661721	186135	Laura logica
661722	258120	Employe Labo Photo
661723	358479	Seny
661724	189373	
661724	386785	Margarita
661724	390459	
661724	396389	La Condesa
661724	397591	Carmen
661724	398228	
661724	400419	Leonor Undurraga
661724	404140	Encarnación
661724	408591	
661725	154542	Herself
661725	390739	Host (1990-1991)
661725	395397	Host (1984)
661725	397483	Host (1990-1991)
661725	407014	
661726	162104	Sor Carmen
661726	390244	Teresa
661727	396976	Janis
661728	252605	
661729	64258	
661729	114609	
661729	252197	Mrs. Nasution
661730	20203	Yayuk Asmara
661730	38384	Renjani
661730	98992	Nana
661730	175457	Ani
661730	381853	
661731	66403	Tía Veneranda
661731	68912	Ana
661731	100390	Empleada INEM
661731	251599	Priora
661731	307835	Acompañante Fdo.
661732	195134	Antoinette
661733	363560	Bambi Morrison
661734	260059	Waitress
661734	276904	Woman Assistant
661734	366137	Confed pilot #4
661735	91211	
661736	27665	Azian
661736	50066	My Lady
661736	103634	
661736	184011	
661736	184648	
661736	186494	Auntie Zai
661736	252810	
661736	320363	
661736	392511	Datin Ruby
661738	7948	Stevie Canetti
661738	17043	Case Worker
661738	24452	Liz Black
661738	76501	Sarah
661738	77148	Policewoman
661738	115673	
661738	155674	Barmaid
661738	224154	Peggy
661738	242404	Woman
661738	329307	Cheryl
661738	379730	Regina Butcher (1998-2004)
661738	384700	Various characters
661738	401290	
661740	40330	News Interviewer
661740	101303	Jen
661740	240317	Ironface, Rom
661740	342468	Candice
661741	219194	Crystal
661742	46407	
661742	241437	
661742	323742	
661742	332410	Mrs. Hare
661743	196038	Heather
661744	32070	Saxophone Player
661745	256292	Victoria Sutton
661745	306624	
661746	2328	Herself
661746	2603	Herself - Co-presenter: Best 
661746	31269	Audrey Page
661746	37216	Doreen Firth
661746	46439	Ann Wagner
661746	55708	Jill Thompson
661746	57101	Janet Devon
661746	64783	Vanessa Sheldon
661746	80198	Moira
661746	81320	Geri Nichols, Newswoman at KA
661746	83965	Carol Bourne
661746	120544	Amanda Starbuck
661746	128590	Charla O'Rourke
661746	128809	Jill
661746	138700	Herself
661746	139178	Lucy Simpson
661746	142364	Jill, Pull In Waitress
661746	147796	Herself
661746	170817	Sue
661746	173936	Imogen
661746	195335	Jackie Pruit
661746	209242	The Girl
661746	239082	Lady
661746	269504	Frances Jeffries
661746	271362	Janet
661746	279610	Jean Morrison
661746	302128	
661746	306414	Ann
661746	330000	Jennifer Potter
661746	331489	Bluebell Porterhouse
661746	339820	Herself (judge, Miss World pa
661746	342462	Janet
661746	342587	Girl at airport
661746	349789	Maria
661746	349812	Louise
661746	354471	Girl in restaurant
661746	356794	Renee
661746	367456	Bit Part
661746	405049	Marian Starrett (1966)
661747	1439	Herself
661747	10870	Wanda Saknussemm
661747	14914	Taylor Christopher
661747	26971	Jessica Luvintryst
661747	29101	Crystal
661747	77940	Laura
661747	134314	Michele Conner
661747	161222	Herself
661747	161292	
661747	169476	Wanda Saknussemm
661747	193108	Miss Destiny Demeanor
661747	212620	Marsha Thomas
661747	217480	Semage, Raff's Daughter
661747	220894	Gina
661747	229215	Lucy Draper
661747	241099	Kristin Klaus
661747	253338	Dee Morrison
661747	257689	Herself
661747	300896	Marie
661747	311780	Herself
661747	311782	Herself
661747	311786	Herself
661747	342468	Kristin Claus
661747	382397	Herself (viewer mail/fitness 
661748	2635	
661748	6723	Herself
661748	7053	
661748	7415	
661748	26709	
661748	33944	
661748	37173	
661748	41068	
661748	60178	
661748	95803	
661748	102753	
661748	102825	Herself
661748	116013	Herself
661748	127808	Herself
661748	128559	
661748	130318	Biker Girl #1
661748	139064	
661748	139209	
661748	150098	
661748	165923	
661748	171225	
661748	186129	
661748	187058	
661748	219146	
661748	226924	Herself
661748	230397	Barbara Bond, Agent 0069
661748	232787	
661748	241765	
661748	254080	
661748	257862	
661748	266168	
661748	271303	
661748	273469	
661748	294728	
661748	295945	
661748	316067	Stoned Looking Girl
661748	316413	
661748	327150	
661748	351701	
661748	355394	
661748	370575	
661749	56545	Herself
661749	203918	Army Transcriber
661750	10870	Bel Lava/Susan
661751	185529	Herself
661751	233936	Herself
661752	171079	
661753	119802	
661754	28713	Farangis
661754	34233	
661754	60826	
661754	82312	
661754	175984	Lale's mother
661754	217164	
661754	219644	
661754	221509	
661754	285530	
661754	289283	
661754	297214	
661754	301469	
661755	78688	
661755	104082	
661755	211600	Ballroom Extra
661755	217441	
661755	255229	
661755	283635	
661755	323183	Miss Nathan
661755	326495	Shakti/Elisabeth Steinberg
661755	327695	
661755	399377	Herself (member of band 'Mode
661756	390380	
661757	55818	
661757	390003	Woolma Lamb
661757	390004	Portia Porcupine
661757	393698	Additional Voices
661757	411166	Princess Sara of Dar-Shan
661758	155953	Herself
661759	121952	
661760	10587	Nurse
661760	47029	Emily, the Clive maid
661760	71794	Nurse
661760	103221	Maid
661760	109209	Bit Part
661760	119482	Lawn party guest
661760	152221	Maid
661760	169387	Nurse
661760	195968	Woman in Hotel
661760	203567	Woman Shopper
661760	223011	Nursemaid
661760	230953	Yvonne
661760	233872	Caldwell, the Second Maid
661760	248450	Hotel Maid with Brick
661760	252886	Aggie, April's Maid
661760	264775	Hazel
661760	291080	Maid
661760	303303	Maid
661760	304959	Maid
661760	321290	Gracie
661760	321794	Bit Part
661760	330191	Maid to Duchess
661760	330664	Rosie
661760	333054	Barmaid
661760	350505	Polly
661760	362112	Minna
661760	370537	Stretcher Bearer
661761	311479	
661762	370572	Harem girl
661763	157571	Bobbie
661764	187802	
661765	185969	
661766	340269	
661767	409298	Programvert (1991)
661768	264282	Gasolet
661768	408597	Dame
661769	214196	Dancer
661770	267933	
661771	23384	Student
661772	99268	Lola
661773	380242	Herminia
661773	385485	
661773	396333	Mamá de Soraya
661773	401634	
661774	192942	
661775	269200	Fabiola
661775	276972	Amiga
661776	16600	Yvette
661776	260856	La jeune employée
661777	8923	
661777	23233	Tanit-Zerga
661777	124137	
661777	138939	Nicole Daomi
661777	206311	
661777	268312	
661777	275617	
661777	345223	
661778	50610	Mother at Lake
661779	132909	Pedestrian
661780	244499	
661781	403966	Yumi Komagata
661782	372034	
661783	379044	Akane (1992-1994)
661784	324536	Facially scarred young woman
661785	18705	
661785	21330	Herself
661785	21569	
661785	63546	Ohishi tsuma - Riku (Ohishi's
661785	121440	Workwoman
661785	137263	Shino
661785	155505	Noriko Mizushima, dorm mother
661785	167894	Okachi
661785	167909	
661785	169198	
661785	172229	
661785	172235	
661785	172238	
661785	174060	Akiko, wife of Ogata
661785	182702	
661785	200544	Tobiko Haseyama
661785	204397	Ts'ai-feng I
661785	244691	
661785	244692	
661785	299237	
661785	323530	Taki no Shiraito
661785	334778	
661785	334832	
661785	334840	Reiko
661785	334862	Tatsu
661785	334921	Sayuriko Fujimoto
661785	341255	Mutsuta's wife
661785	341257	
661785	372037	Yoriko
661786	17877	Mikari's mother
661786	21822	Innkeeper
661786	122137	Mako's mother
661786	137263	Hide
661786	139735	Madam
661786	139948	Yoriko's Mother
661786	146968	Nui Fukami (episode 1)
661786	156113	Ayako Imamura
661786	165129	
661786	173488	Kimie Imura
661786	174955	Fumiko Hayase
661786	204837	Isuzu Baba
661786	205837	Haruko Tamashiro
661786	216495	Otsu
661786	216501	Otsu
661786	216502	Otsu
661786	216503	Otsu
661786	233276	Otsu
661786	236166	Soutaroh's Mother
661786	239231	
661786	251929	Haruzo's Sister
661786	284871	PTA President
661786	285101	Toki
661786	289177	Sawako's mother
661786	293591	Shino Shirai
661786	294320	Katagiri, Chieko
661786	298782	Aki
661786	298871	Yoshie Ayanokoji
661786	324363	
661786	327938	Madame Hiroko
661786	327965	Chie Saitoh
661786	334862	Noriko
661786	335317	Mitsue
661786	349095	Hiroko Kodera
661786	378135	
661787	287414	
661788	303194	Smasvanan
661789	287844	Female robot
661789	378471	
661790	47210	Herself
661790	133412	Performer
661790	219785	Herself
661790	228302	Performer
661790	228303	Herself
661790	311953	Performer
661790	401889	Herself - The Cheeky Girls
661791	47210	Herself
661791	133412	Performer
661791	172172	
661791	179974	Herself
661791	219785	Herself
661791	228302	Performer
661791	228303	Herself
661791	311953	Performer
661791	325609	
661791	401889	Herself - The Cheeky Girls
661792	265463	
661793	235127	
661793	314853	Novizin Silvia
661794	24156	
661795	197160	
661796	149214	
661797	239628	
661798	207754	
661798	234423	
661800	314927	Party-girl Bit
661802	194896	
661803	286416	
661803	346598	
661804	74491	
661805	52716	
661805	91047	
661806	64735	
661807	308177	Teacher, in 1912
661808	13966	Young Mia
661809	297190	Spastic Bella
661810	329593	Kitty
661811	245648	Isabel Potter in Prologue
661812	358535	
661813	85547	Alberte
661814	140310	Spectator
661815	16639	Angels Mother
661815	27171	Donna Maria Tapia
661815	48709	Mrs. Santiago
661815	55028	
661815	88965	Woman in Drugstore
661815	117908	Drug dealer
661815	148416	Hotel Maid
661815	154334	Mrs. Gonzalez
661815	154943	Patient
661815	164641	Mrs. Carmichael
661815	171335	Luiza
661815	193761	Woman at Elevated
661815	195088	Mrs. Fuentes
661815	197843	Devil Boy's Mom
661815	204190	Hotel Maid
661815	240032	Cleaning Woman
661815	250573	Neighbor #2
661815	268541	Mrs. Bosch, Nancy's Mother
661815	283551	Mrs. Diaz
661815	292526	Wife of Liquor Store Owner
661815	317877	Esme
661815	351410	Mrs. Sanchez
661815	356949	Grocer
661815	359742	Senora Marquez
661815	390771	Maria Santos #1 (1999)
661815	404002	Mrs. Santos (1975)
661816	241295	Rosa
661817	133340	Mary's Mother
661818	8619	Virginie
661818	360836	Sylvie
661819	224904	
661819	321208	
661820	147955	Susanne
661821	157896	Herself (Holocaust survivor)
661822	17697	Schoolgirl
661822	100822	Fourth of July Dancer
661823	23058	Oki's wife
661824	155456	
661826	184398	Hansi
661826	205666	
661826	306406	
661827	220646	Czeck Waitress
661828	389820	Tendô Yumeko
661829	296100	Flower Vendor
661830	100045	
661830	336666	
661831	282096	
661831	351199	
661833	113691	
661834	41645	
661834	121555	
661835	54631	Lissy
661835	309572	Female Tour Guide
661836	49493	Hairdresser
661837	265113	
661838	12064	
661839	152746	Henry's Fiancee
661839	202914	The Duchess
661839	215445	The squirrel
661839	345705	
661839	345930	
661840	4839	
661840	5126	Elisabeth Hauptmann
661840	65092	
661840	100925	Susi
661840	125088	
661840	129321	Hilde
661840	129711	Erika Thorwald
661840	136609	Janine
661840	139835	Frau Karner
661840	144032	Lisu
661840	152766	
661840	177166	Frau Brackmann
661840	184276	Ali
661840	187683	
661840	189627	Tibby
661840	274863	Rosel Goldbach
661840	282209	Tochter Panacek
661840	290487	Helma Schleif
661840	292095	
661840	304451	Fräulein
661840	325382	Frau Helm
661840	350624	
661840	357570	Viola
661840	367366	Karin Wolland
661840	388295	Marianne Merian (1)
661840	396362	.
661841	230207	Mieterin #2
661841	284433	Mutter
661842	95692	
661842	357228	
661843	46794	Circus Performer
661843	347074	Narrator
661843	347077	Narrator
661844	3353	Aitzpea
661844	6486	Mother-in-Law
661844	9084	
661844	18653	Secretaria
661844	19945	Begoña
661844	115820	Marirrosi
661844	147378	Mariló
661844	199794	Director Woman
661844	205010	
661844	212411	
661844	218093	
661844	251599	Sor Rufina
661844	277362	Ana
661844	302344	Montse
661844	306701	Marivi
661844	322233	
661844	326307	Carmen
661844	352854	
661844	379566	Socorro (1998)
661844	381837	
661844	384734	Laura Hurtado
661844	393366	Blanca
661844	396976	Marta
661845	393028	Gertrudis de Linares
661845	396132	Doña Sara Echevarría
661845	397015	Josefina Sáenz viuda de Pardo
661846	23461	
661846	228212	Chica (episodio 'Programación
661847	276991	Bianca
661847	371413	Gloria Materneo
661848	890	Ruth Anne
661849	289906	Lady
661850	13971	Nicole
661850	61576	Woman #2 at fish market
661850	334260	Clerk
661851	16710	Lilly
661851	16899	Laurel Everett
661851	43932	Daisy
661851	108274	Miranda Walker
661851	133844	Bonnie
661851	140357	Brynn Bailey
661851	164369	Maggie
661851	199568	Danielle
661851	247571	Joany Baker
661851	253507	Bridget Stanton
661851	269046	Maxine Bronty
661851	329347	Twig Snider
661851	359790	Amy
661851	360769	Mimi Davidson
661851	384080	Cindy Klein
661851	385827	Zanni Colter
661851	387312	Paige
661851	392964	Koharu
661851	395738	Anthea (Nan) Harding
661851	406012	Runa Tokisaka
661851	407421	Nina Toth (teenager)
661852	302269	Muna
661853	276804	Young Jenny
661854	366159	Miss Belle Carding
661854	385299	Mrs. Cooper
661855	147410	Cynthia
661856	138692	Mrs. Johnson
661857	223084	Myesha
661858	20625	Extra
661859	137521	Citizens/Misc. characters
661859	167702	Barbara Adams
661860	1168	Kate Hawkins
661860	230855	
661860	381594	Mrs. Tucker
661861	411290	Candy Buckaroo
661862	65108	Hooker
661863	304683	
661864	8926	Sara
661864	45342	Wedding Guest
661864	81220	
661864	99330	Tour Guide
661864	104949	Sister Brigid
661864	130650	Breda
661864	201913	Moya O'Donnell
661864	385843	Det. Garda Moya O'Donnell
661865	31704	Shopper
661866	8926	Vera
661866	238506	Distinguished Girl
661866	393040	Lady Agnes
661867	17696	Ginny Andrews
661867	51823	Marla
661867	68242	Girlfriend #2
661867	276197	Gerda
661867	365974	Maisey McGuinty
661867	411211	Maisey McGuintey (Season 2 - 
661868	41471	Bogside woman
661869	343780	Sophie
661870	289217	Song Mimer
661871	97564	Presenter
661871	240189	Co-Host
661871	388559	Presenter
661871	390522	Presenter (1997-)
661871	400122	Presenter
661871	400588	Presenter
661871	411421	Presenter
661872	299649	Molly
661873	120285	Teenage Girl with Dandrige
661874	230442	Trickster
661875	263786	Schoolgirl
661876	73390	Ivy
661877	158358	Ann Conlon
661878	245649	Country woman
661879	134146	Morra
661880	257639	Additional Cast
661880	292596	
661881	30896	Roberta
661881	89365	Marilyn Richmond
661881	254414	Liz
661881	254415	Liz
661881	404282	Lily Light #2 (1991-1993)
661882	194405	Bathtub Girl
661883	312342	Girl Worker
661883	386508	Mandy Peters
661883	391369	Mrs. Morgan
661884	2542	Herself
661884	2809	Herself - Co-presenter: Best 
661884	2893	Herself - Co-presenter: Best 
661884	5903	Herself
661884	14205	Miss Kitty
661884	15892	Anna Anderson
661884	34009	Karen Braswell
661884	41915	Ellie
661884	44723	Mary Ann
661884	55625	Sue Snell
661884	55635	Rosealee Hensen
661884	56658	Voice of girl on the bus
661884	68736	Heidi Joan Schoonover
661884	69357	Sara Fertig
661884	73833	Isabelle Grossman/de: Sarah
661884	81649	Jane
661884	95872	Amanda Blackwood
661884	112950	Herself/Hadass
661884	121864	Herself
661884	122076	Gillian Bellaver
661884	141402	Ellie Dunn
661884	144663	Alison
661884	148996	Lily Ramsey
661884	154926	
661884	154988	Clara Gelber
661884	157266	
661884	160473	Herself
661884	165277	Norma Jean
661884	178693	Diana Allen
661884	212960	Maude Salinger
661884	241792	FBI Agent Jean Devlin
661884	247363	Anne
661884	270933	Sue Snell
661884	283304	Katie
661884	298091	Cameo appearance
661884	300099	Kate Melendez
661884	328553	
661884	330594	Patricia
661884	337404	Barbara Wakefield
661884	341455	Mother Foster
661884	341945	The Governess
661884	356313	Rosemarie Lemon
661884	364161	Jessica Rabbit (singing)
661884	371131	Hadass
661884	383802	
661884	388428	Princess Anjuli
661884	400208	Emily Pawlfrey Massengale
661884	406617	Beauty
661885	202828	Nursing Staff
661886	34729	
661887	67709	
661888	315311	
661889	292121	Adoption Shop Volunteer
661890	299267	Caroline Helston
661891	81339	Party Goer
661892	27450	Mrs. Wetherby
661892	53311	Mrs. Wilkinson
661892	115177	
661892	293183	Lady Mander
661893	52448	Mame
661893	212745	Peaches
661893	251770	Lucy Leslie
661893	328010	La Tosca (segment "La Tosca")
661893	345982	
661894	73943	Beatrice Wiley
661894	107262	Myrtle Busbee
661894	396833	Aunt Phoebe (1961-1962)
661894	403708	Miss Evans
661895	120425	Iris Martindale
661895	193956	
661895	200362	
661895	269372	Marie
661895	343010	Woman at airport
661896	390336	Herself - Newsreader/Presente
661897	405209	Cherry Davis (1998)/Dulcie Co
661898	78786	Narrator
661899	199272	Spider Girl
661899	368244	Showgirl
661900	53937	Rollerbabe #2
661900	207136	Bandana head
661902	110418	Betty Herbert, elevator opera
661902	308403	Lori Masters
661903	8961	
661903	17160	Mrs. Whitehead
661903	30277	Countess Olga
661903	32073	Olympia Haven
661903	54456	Mme. Gruen
661903	59601	Mme. Lilli Rochelle
661903	105654	Mrs. Higgins
661903	116548	Louise
661903	118272	Aunt Jessica
661903	154468	Maude Dyer
661903	158067	Mrs. Roger Winthrop
661903	175607	Bit Part
661903	192061	Mrs. Gertrude 'Gert' LaRue
661903	196294	Nan Bowleigh
661903	206821	Herself
661903	210749	Mother Haines
661903	221031	Madame Delacour
661903	229501	
661903	245300	The Duchess
661903	270680	Mary Langdon
661903	286929	Della Bailey
661903	296559	Polly Crane
661903	321384	Madame
661903	329331	Mrs. Kruger
661903	337178	Madame DeCambri
661903	346076	Mrs. Walters
661903	365068	Edna Wilson
661903	365086	Mrs. Cunningham
661903	367783	Frances
661903	401183	Auntie Gus
661904	123172	Gran
661905	40543	Donna Rafuse
661905	51835	Fiona
661905	56857	Otis' Wife
661905	92880	Gloria's Mother
661905	99296	Checkout at Supermarket
661905	124044	Josephine
661905	138353	Dusty Miller
661905	141226	
661905	277150	Woznicki's Woman
661905	308713	Nora Cushing
661905	335721	Hanna Berg
661905	337123	Sally
661905	342925	Duty Manager
661905	401540	Rose Clark
661905	408968	Jean
661906	8173	Margy (age 10)
661906	10863	Fräulein Bertha Meyer
661906	20905	Marie
661906	44320	Totty
661906	45940	The Child
661906	47465	Rosemary
661906	58169	Young Janet Barclay
661906	70727	François
661906	72505	Doris Harvey
661906	83590	The Child
661906	107451	Tinkle
661906	114919	Ruth McTavish
661906	115864	Vibrat child
661906	116527	
661906	130149	The Victim
661906	130716	Margaret, as a child
661906	130751	Child Clown
661906	131360	Judge Fawcett's daughter
661906	135929	Sally Moore
661906	140408	Camp Guest
661906	141291	Rachael's Daughter
661906	141371	Ella Laird
661906	148355	Gwen Duffy
661906	190489	Young Maisie
661906	191729	
661906	192587	Undetermined Role
661906	194713	Baby Madge
661906	196523	Asia
661906	196857	Child
661906	231981	Daughter of War Profiteer
661906	239818	Mary Ellen Anderson, as a gir
661906	241860	Girl
661906	250763	Mimi
661906	265087	Gwen
661906	291103	Mary Andrews
661906	299059	Lamey
661906	304344	Richard Hamilton's daughter
661906	311470	Hester Gephart
661906	312274	Blossom
661906	313320	
661906	316279	Maizie Darrant
661906	317354	Student
661906	324416	Little Barbara
661906	327456	Blossom
661906	335118	Mary
661906	335860	Susan Gray
661906	337073	Little Girl
661906	338542	Mary Jane Morton
661906	361808	Little Molly Welch
661906	362993	'Bostie' Bostil
661906	363888	Mary Jane
661906	365751	
661906	366928	Bernice Donovan
661906	367542	Girl
661906	367658	Peggy Knight
661907	151055	Gitel Polovoya
661908	364534	Mrs. Daniel Pershing
661909	5585	French Girl
661909	19990	Miss Nicholson
661909	34720	Miss Bakewell
661909	37495	Maggie
661909	67948	Girl Singer
661909	151086	Ann-Marie Di Verney
661909	190721	Hitchhiker
661909	252741	Chiquita
661909	310682	First Maid
661909	332738	Girl at pool party
661909	350160	'Playboy' Bunny
661909	380591	Miss Bakewell (Series 4-7) (1
661909	391509	Mary (Pilot, Series 1) (1980-
661910	86532	Alison Dennett
661912	78516	Mario´s vrouw/Mario´s wife
661912	85708	Pleegkind/Foster child
661913	323454	Carol
661914	116147	Crew member
661915	379926	Herself (10th Place)
661915	381909	Herself (Runner-Up, 82 Days) 
661917	302157	
661918	73613	Herself
661918	385277	Herself - Herself
661919	78862	Mrs. Hally
661919	247912	Undetermined Role
661919	336167	Ma Jones
661919	372639	Mrs. Howard
661920	162439	Young Girl
661921	140960	'America A.M.' host
661922	10602	Madeline Monte
661922	80787	Danceland Singer
661923	280830	Slave Market Soloist
661924	131239	Woman of the town
661925	197507	
661925	271077	Lola Dean
661925	271174	Partygoer #2
661925	405209	Nicole Barry (2000)
661926	1675	Herself
661926	17695	Student
661926	42055	Nun #1
661926	70424	Connie Harper
661926	89199	Woman
661926	96970	Jenny
661926	99604	DEA secretary
661926	105852	Linda
661926	124463	Linda Lee
661926	127679	Jane Curtin
661926	139434	Mary Ball
661926	209626	Herpes Woman
661926	210233	Leslie Hollister
661926	221338	Susan
661926	311228	Network Exec
661926	319682	Maria Ganitisis
661926	364107	Evidence Secretary
661926	389800	Patricia, Various
661926	392869	Emily Cobert
661926	403066	Anne Marie Humphrey
661926	405652	Holly Day
661926	406555	Linda
661928	265853	
661929	185303	Morag
661930	267165	Lena's Nurse
661931	353	
661931	334289	Receptionist
661932	178155	The Widow Jones
661932	221231	Mrs. Black
661933	224192	Nancy
661935	199557	Interviewer
661935	401447	
661935	404643	
661936	75721	Additional Player
661937	26256	Background Performer
661937	40551	Background Performer
661938	329990	Nurse
661939	53277	Masseuse
661939	304293	Gabby
661939	311601	Old Lady
661939	339860	Beverly
661939	406210	Mrs. SquarePants
661940	236972	Waltz of the Flowers
661941	73613	Herself
661941	385273	Herself
661941	385277	Herself - Herself
661941	385278	Herself
661942	308113	(member, Three Shades of Blue
661943	32149	
661944	282280	
661945	43693	Carine
661946	407247	Recurring Host
661947	61707	Woman in beauty shop
661948	216649	
661949	316750	Sharon
661949	408213	Naseem
661950	401689	Lauren Griffiths
661951	155885	Herself
661953	210835	Polly
661954	49705	
661954	90887	Dyna Castenada
661954	214777	
661954	246912	
661955	178114	Subway Agent
661956	100299	
661957	132955	La Juge
661958	8235	Sabeen on Bassoon
661959	100341	
661960	154577	Francesca
661960	196574	Nicola
661960	352682	Estate agent
661960	392437	Francesca
661960	400004	Trudy (2002-2003)
661961	150836	Cat
661962	225690	Helga
661963	142618	Go-Go Dancer
661964	39241	Older black lady
661964	157194	Merriman
661964	312141	Kikiree islander
661965	367211	Sonali
661966	116380	Annette aged 10
661966	208642	
661966	399415	Lucy Armstrong
661967	323440	Woman at dance
661968	62665	Farrah
661969	300960	Herself
661971	402125	Alice Gardiner
661972	2762	Performer and Nominee Leading
661972	321446	Mrs. Egan
661972	400236	Dr. Josie Conklin (2000, 2002
661972	400621	Mary Glynn (2000)
661973	82401	Marie
661973	120520	Rental Car Clerk
661973	153651	Theresa
661973	156035	Farmer, Kuni
661973	199532	Darla
661973	257264	Marie
661973	264033	
661973	291495	Guest
661973	298108	Receptionist
661973	359290	Auctioneer's assistant
661973	368944	Dresser
661974	142541	Occultist #1
661975	411366	Maisie (episode 3: Nerida And
661976	319027	Judy
661977	232812	Gallery guest
661977	252825	Linda's Friend
661978	364324	
661979	71601	Herself
661979	104082	
661979	239746	Circus Performer (member, Isa
661979	303904	Very Sweet Girl
661979	372457	
661979	400341	Herself (2003)
661979	409145	Krankenschwester Isabel
661980	14698	Teresa
661981	403025	
661982	4927	
661982	43440	
661982	44216	Lídia
661982	70116	
661982	83288	
661982	122135	
661982	202549	Natividade
661982	202550	Alzira 'Maluquinha' Martins
661982	206234	Vanessa
661982	260526	Augusta Espinosa
661982	264271	
661982	287700	
661982	336926	Maria
661982	353652	
661982	355556	
661982	384293	Mariana
661982	387050	Singer
661982	398197	Teresa Duarte
661982	410105	Beatriz
661982	410189	
661984	14748	Woman at Disco
661984	18800	
661984	25806	Amiga de Nora
661984	68554	Paquita Lobo
661984	70008	Lina
661984	73659	Mercedes Gris
661984	77392	Dafne
661984	78570	Silvia
661984	91311	Amalia
661984	145143	Lucía's mom
661984	170047	voz de Selma
661984	206988	
661984	209079	
661984	222032	Rosa 4
661984	225045	Rosita's Mother
661984	228560	
661984	245872	
661984	262807	
661984	274645	Lidia
661984	322854	Carolina
661984	339193	
661984	376711	
661984	379603	
661984	379653	Verónica del Olmo
661984	379909	Alejandra Madrigal de Horta
661984	383268	Dra. Monroy
661984	384864	Soledad
661984	385416	Mrs. Cifuentes
661984	390300	Eugenia Bernal
661984	396209	Verónica
661984	401093	May
661984	407862	Rita
661984	409782	Martha
661984	410384	Aurora
661985	14681	
661985	295478	Chica
661986	225980	
661987	2434	
661987	18849	
661987	25216	
661987	30514	
661987	46186	
661987	52755	(segment "Primeira Cama, A") 
661987	54315	Capitu
661987	64049	(segment "Um Favelado")
661987	72781	
661987	83416	
661987	96533	
661987	108068	
661987	150948	
661987	188002	
661987	191402	
661987	198408	
661987	216669	Club Patron
661987	222153	
661987	234643	
661987	237221	
661987	248775	
661987	251585	
661987	251718	
661987	261455	
661987	264845	
661987	265306	
661987	269168	
661987	302569	Bethany
661987	341158	
661987	383130	
661988	37781	Girl
661988	41695	Helga
661988	144867	
661988	145670	
661989	155003	Mrs. Cady's Daughter
661989	367919	Edith Potter's Daughter
661990	43596	Tia
661990	49952	Emily
661990	55626	Tina Blake
661990	61774	Young Rachel
661990	66932	Katie McKenzie
661990	72065	Chloe Hardy
661990	87926	Lindsay Clark
661990	94655	Reba
661990	107891	Lou Field
661990	119436	Gibb
661990	127822	Ginger Fitzgerald
661990	127823	Ginger
661990	127824	Ginger
661990	149937	Jenna
661990	156970	Birthday Girl
661990	160524	Tanya Francke
661990	178906	Erica Sanderson
661990	185126	Elyse
661990	185724	Sarah Bradshaw
661990	185765	Winnie Jamison
661990	206444	Lacey Potter
661990	240714	Stacey Lee
661990	264480	Fiona
661990	286260	Josephine 'Jo' Parnell
661990	292472	Kayla
661990	299940	Erin
661990	300089	Jenna
661990	306220	Marla
661990	311654	Mona
661990	333855	Ophelia Jack
661990	341999	Paige Fleming
661990	357065	Aly Tauber
661990	371320	Virginia O'Hanlon
661990	387239	Yarrow
661991	115861	Old Woman
661992	217022	Ann
661993	202853	Mother About Town
661994	174119	
661995	26319	
661995	57713	
661995	190652	
661995	388446	Herself/Host (2003-2004)
661996	168945	Michelle
661997	188523	Natasha
661999	15406	Feyzula
661999	373890	Anush
662000	350111	
662001	60845	
662001	198166	
662001	303814	Princess
662001	398757	
662003	57836	
662003	74180	
662003	163051	
662003	210508	
662004	201473	
662005	389548	
662006	120140	
662007	299423	
662008	169553	Jovana
662008	184362	Zagorka
662008	192884	
662008	229570	Jelena Savic
662008	399006	
662009	318979	
662010	3161	The new-born
662011	16321	Hanna
662012	191566	Postsorterare
662013	354426	Pirjo
662014	213430	Jennys väninna
662015	315606	Child
662016	110148	Celia
662017	191054	Friend I
662017	242878	Herself
662018	261116	Catwalk Model
662019	226683	Rika Matsuo
662019	373218	
662020	303654	
662021	189480	Kinga Daninsky
662021	376701	
662021	384594	Irene
662021	387911	
662021	388442	Isabel (1992-1994)
662021	393188	Maria
662021	410205	
662022	354658	Irma
662023	3283	María
662023	13078	Shop assistant
662023	15951	Conchi
662023	51533	Sobrina (Niece)
662023	71287	Teresita
662023	100328	Rita
662023	244638	Nuria
662023	285460	Ana
662023	286369	Lucía
662023	296485	Víctima
662023	302556	
662023	356466	Mujer procesión
662023	369870	Herself - Presenter: Honorary
662024	3390	Josefina
662024	5743	
662024	14712	
662024	109317	
662024	158627	Mamma Spot
662024	211906	
662024	252526	
662024	267405	Presidenta
662024	352017	
662025	255096	La Piccola Manon
662026	8620	Ikuyo Imada
662026	9587	Cherry
662026	17100	Rumi
662026	45339	
662026	61467	
662026	61525	Tomiko
662026	76925	Kinko
662026	82829	Tomiko Yanagida
662026	102680	Yukie
662026	121933	Chigusa Nagumo
662026	137325	Shinobu Arai
662026	142701	
662026	155508	Harumi
662026	158632	
662026	160098	Sister
662026	164024	
662026	169216	
662026	172302	Oren
662026	174871	
662026	174983	Kiyoko (Mother)
662026	177103	
662026	178245	Noodles shop worker
662026	204650	Eiko
662026	216301	
662026	242143	Sachiko
662026	244564	Hidemi
662026	284366	Oyo
662026	292074	Shirai
662026	299310	Yuki
662026	300604	
662026	318550	Revenger
662026	319964	
662026	334869	
662026	335317	Prostitute
662027	263134	Sotrudnika v ofise
662027	280610	
662027	394620	Faina
662028	172447	Lutfiya
662029	33838	
662029	95636	
662029	172472	
662029	252822	
662029	262222	
662029	293943	
662029	305206	
662029	356934	
662029	357126	Sairam
662030	260597	
662031	18286	
662032	76998	
662032	84414	
662032	180367	
662032	182462	
662032	217274	
662032	229036	
662032	230454	
662032	267863	
662032	318146	
662032	327129	
662032	375114	
662032	382445	
662034	35350	Mrs. Leeds
662034	47364	Co-ed in Drugstore
662034	217478	Mary Lou Gardner
662034	228314	Schoolgirl
662034	234223	
662034	273183	Amos' Child
662034	294755	Gracie's sister
662034	372819	Jane
662035	294794	Herself - Brother 'Eroll' kil
662036	16068	Molly Mercer
662036	77922	Lt. Clare Holliday
662036	99604	Mindy (stewardess)
662036	103287	Stephanie Rank, John's Ex Wif
662036	113491	Heather
662036	127407	Jane O'Neil
662036	168308	Melissa Federchuk
662036	195397	Clea Poole
662036	275630	Meredith McRaney
662036	360279	Kathy
662036	400808	Rose Bernini
662037	3439	
662037	3502	Ella misma
662037	5105	
662037	5743	
662037	6740	Antonia
662037	7250	
662037	13003	
662037	14644	
662037	14727	
662037	18808	
662037	19252	
662037	21076	Fingida esposa de Pascual (4)
662037	23190	Elvira
662037	34558	
662037	36457	
662037	44659	Moucha
662037	44911	
662037	51308	
662037	52943	Cloti
662037	52986	Catalina 'La Leporida'
662037	54723	
662037	54798	
662037	55925	
662037	55941	
662037	56634	
662037	61126	
662037	63409	Doña Loreto, la esposa del al
662037	66404	
662037	68581	Rita
662037	68971	
662037	70595	
662037	70690	
662037	74649	
662037	75444	
662037	75498	
662037	76016	Dña. Paula
662037	82717	
662037	83890	
662037	90099	
662037	91315	Alicia
662037	94622	
662037	95348	Asunción
662037	99341	Secretaria del duque
662037	100768	
662037	103048	
662037	103184	
662037	103394	
662037	108135	
662037	108726	
662037	112027	
662037	112133	Campesina
662037	115855	Doña Paquita
662037	122837	
662037	132100	
662037	132642	Mentxu, la madre de Filemón
662037	132675	
662037	135288	Señora con pieles
662037	136967	
662037	140564	
662037	148045	Cayetana
662037	148096	
662037	148167	
662037	151103	Vera Eichmann
662037	159339	
662037	165718	Transito
662037	183504	Berta
662037	190645	
662037	193060	
662037	193505	
662037	204782	Inês, the maid
662037	205458	
662037	212363	
662037	212367	
662037	212441	Criada
662037	221895	
662037	221963	La anciana borde (the rude ol
662037	221967	
662037	225032	
662037	233548	
662037	235315	
662037	236474	
662037	242285	
662037	242286	
662037	243613	Madre Francisca
662037	248866	
662037	250700	
662037	251340	
662037	251580	Encarna
662037	251599	Sor Dolores
662037	258247	
662037	260841	Cristeta
662037	263267	Madre de Alejo
662037	263839	
662037	263848	Delicias
662037	264117	Lidia
662037	266411	
662037	266861	
662037	273011	
662037	273844	
662037	277360	
662037	292745	
662037	293949	
662037	296449	María 2ª
662037	302310	
662037	307721	Doña Lourdes
662037	307724	Sirvienta de Alonso
662037	309087	Secretaria de banco
662037	332584	La madre de Cartucho
662037	334685	
662037	339153	Tía Carol
662037	339753	
662037	345568	Isberta
662037	349333	Herself
662037	350933	Mariana
662037	351831	
662037	352152	Ignacia
662037	353591	Clarita
662037	354445	Criada
662037	355120	Beggar
662037	370062	Directera del Colegio
662037	371705	
662037	376665	Ginebra Rutherford
662037	377193	Florista
662037	383772	Basílides
662037	387418	Señora Sanchez
662037	399365	
662037	401674	
662037	409871	
662037	409960	Doña María
662037	410217	
662038	328929	Novia de Stallone
662039	178286	5th Waitress
662040	390860	Zeynep Demiroglu
662040	406893	Dilara
662041	82481	Stanza Franco Nurse
662042	213291	Karla (segment "Pax")
662042	258390	Lena
662043	393479	Diana
662044	298076	Bit
662045	318259	La Turquita
662045	405812	Silvia
662046	322737	
662047	178478	Woman with newsstand
662047	322280	Guest at Peter´s party
662048	51889	Journalist i 'Dagsavisen'
662048	138571	Svanhild
662048	237072	Fru Hoffmann
662048	268366	Margrethe, Hartvigs mor/mothe
662048	322292	Fru Berg, Steffens mor
662048	343716	Etatsrådinnen
662049	265829	
662050	235946	Simone Aplanalp
662051	65814	Herself
662051	220795	Herself
662052	19503	Mesera
662053	28296	Cigdem
662053	180611	
662053	252083	
662054	380835	Betty
662054	381677	Sister Bear
662055	378726	Nurse Kelly Morrison (1989)
662056	337165	Kid
662057	114047	Meg
662058	183895	
662059	56545	Herself
662059	100117	Waitress
662059	100748	Nancy
662059	223763	Helen Grayle
662059	296750	CJ Keyes
662059	363602	Lesbian Dancer
662060	99235	Mary
662061	272985	The French Fried Far Out Legi
662062	24746	Sister Angela
662063	272796	Raumlotse Jupiter-Außenstelle
662064	381860	Leticia
662065	24790	Mindy Kirk
662065	329346	Debbie
662066	24329	
662067	4790	Christel
662068	403683	Sor Ernestina
662069	114341	Anna
662070	40297	
662071	285919	Kimiko Kawai
662072	177253	Angel (in ballet)
662073	672	Carolina
662074	193514	
662074	249670	
662074	253990	
662075	71602	Herself
662075	387685	Paz
662076	53059	Dee Dee's Mother
662076	245207	Alana
662076	334747	Mean Woman
662077	14141	Education Secretary
662077	81222	Mrs. Sullivan
662077	195483	Dena DiMarco, the Lounge Perf
662078	80695	Dancer in Nightclub
662078	142361	The Passives
662079	230037	
662080	34532	
662081	211605	Sylvanie
662082	385084	Herself - Hostess (1982-1983)
662083	191397	
662084	207644	Dancer
662085	7878	Michiko
662085	59066	Marissa
662085	235947	Lim
662086	386586	Gajira Norimaki
662087	51271	Miwako Ishimaru
662087	169697	Saori Murakami/the debuting a
662087	193977	Junko Nakazawa
662087	213660	Natsumi Ichinose
662087	405273	
662087	409692	TPC Nurse Mayumi Shinjou (Tet
662088	384221	Stampy
662089	374601	
662090	327965	Girl Student 'C'
662091	61524	
662091	98582	Naoko Mikami (1968)
662091	122950	
662091	174461	Yosoko Dan
662091	175793	
662091	178248	Reiko (Goro's deceased ex-wif
662091	181984	
662091	226643	Kinu Inamura
662091	226652	
662091	227188	
662091	233102	Abe Reiko
662091	244532	
662091	267412	Katsuko Tojo
662091	293602	Kaoru
662091	333264	
662091	334852	
662091	335753	Junko Baba
662091	341292	Michie Honami
662091	344944	
662091	370305	Keiko Yamane
662091	370445	Oriwa
662091	370705	Fuyuko
662091	375575	
662091	380729	Takiko, the 3rd daughter
662091	394562	Reiko Kuroita (Goro's wife)
662091	398961	Sakiko Murata
662092	61706	Chambers' kid
662093	169893	Alexandra
662094	8613	
662094	19692	Tae
662094	25523	Aya
662094	61081	Miya
662094	63709	
662094	76475	
662094	76861	Yayoi Mimura
662094	79469	Prostitute
662094	101588	Ayako Hanamori
662094	138054	
662094	139852	
662094	228370	Man's wife in TV drama
662094	241951	
662094	334452	Mutsuko Miyabayashi
662094	334852	
662094	341297	Michiko Hamazaki
662094	341302	Michiko Hamazaki
662094	341303	Michiko Hamasaki
662094	341304	Michiko Hamazaki
662094	341305	Michiko Hamazaki
662094	341306	Michiko Hamazaki
662094	341310	Michiko Hamasaki
662094	349095	Ine Miyawaki
662094	394717	Fumi Ohashi
662094	409690	Emi Johno/Android Emi Johno
662095	1413	Midori
662095	6635	Shizuko Sato
662095	8777	
662095	9174	Yuki Ono
662095	17877	Yuta's teacher
662095	34485	Keirei Suzuki
662095	122137	Mika Kitao
662095	139735	Haruka
662095	173106	
662095	173409	
662095	182715	Junko's customer
662095	380787	Narumi Sonoda
662095	390962	Harumi
662095	394033	Kanako Fujisaki
662095	396632	Emi Mizutani
662095	408432	Mika
662096	359612	
662097	326617	Jesse Guarino
662098	53318	Student
662098	61706	Chambers' kid
662099	411656	Kazama Sakurako
662100	18706	Yukari
662100	409691	Reiko Yoshi
662101	334857	
662102	2178	Sayaka
662102	130529	Shiori Ueki
662102	139735	Girl in Bar
662102	145453	Taeko Hashimoto
662102	173488	Reiko Misugi
662102	211961	Nagura Shiori
662102	218219	San, The Princess Mononoke
662102	293591	Woman in White Dress
662102	371914	Reiko
662102	378706	
662102	381259	Sumiko Kudo
662102	385987	Aki Kotani
662102	386892	Saki Harasawa
662102	400605	Fuyumi Tsurumachi
662102	400618	Machiko Kimizuka
662102	406698	Mariko Asami
662103	196886	
662103	292661	
662103	358947	Kyoko Watanabe as a young wom
662103	408599	Nou, Nobunaga's Wife
662104	9274	
662104	77534	Muraki's wife
662105	341181	
662106	298347	Shenhua Ling
662106	298425	Shenhua Ling
662107	386344	Izumi Orimoto/Fairymon/Shutum
662108	80032	Herself
662109	27331	Ariko
662110	106773	
662110	168012	Ocho/Her Mother
662110	201199	Kyôko Otonashi
662110	216508	Yuko Makino
662110	288065	Hitomi
662110	335383	Sugimura, Akimi
662111	365319	Fuji Elly
662112	359831	
662113	61480	
662113	61507	
662113	63707	
662113	146914	
662113	227124	
662113	324323	
662114	21331	Kyoko
662115	30987	Maho Nosaka
662116	37621	
662117	214662	Bar Patron
662118	232610	Masuno Kagawa in lower class
662119	142159	Nobuko, Takashi's wife
662120	89451	Kôichi's sister
662121	140036	Naomi
662122	137138	Misa
662122	334862	Student 'B'
662123	140036	Nanami
662124	185369	Mrs. Fong
662124	218219	Tatara's Women Song
662124	310647	Nurse at Park Bay Hospital
662124	316513	Dr. Kaplan
662124	368914	Judge Kirkwood
662125	174344	
662125	370706	The Camellia
662126	172285	Kilaak
662127	173595	
662127	344009	Nazuna's mother
662128	38817	Kaori Ichinose
662128	347491	Ranko Kobayashi
662129	30988	Haruka Tanizawa - Girls #12
662130	21354	Michiko (salmon girl)
662131	232610	Masuno Kagawa in upper class
662132	232702	Oroku
662133	36321	Middle aged woman
662133	76844	Yoshi Ogawa
662133	136096	
662133	144965	
662133	162317	Tomie
662133	174336	Hatsue
662133	174340	Hatsue
662133	174341	Hatsue
662133	174342	Hatsue
662133	174343	Hatsue
662133	174344	Hatsue
662133	177870	Bar Lyon's proprietor
662133	202827	Tsuneko
662133	208015	Hatsue
662133	264721	
662133	297182	Haruko Haraguchi
662133	300487	Yuriko
662133	323120	Katsue Yagisawa
662133	334852	
662133	336100	Inn's owner
662133	344909	Tomiko Inumaru
662133	371878	Maid
662134	300432	Sister Yuki
662135	226683	Noriko Yoshida
662137	30988	Yukie Utsumi - Girls #2
662137	285459	
662137	292074	Kojima
662137	335950	Shogo's Sister (Yu)
662138	379478	Younger Sister Miyuki
662139	405633	Eris
662139	405636	Eris
662139	411889	Seia Ogami/Reiko Iwamoto
662140	182040	Spike
662140	396503	Zaza
662140	411889	Yûta Tomonaga
662141	285680	D.D. Girl #4
662142	228370	Junko's sister
662143	163761	Fumi
662144	75560	Kiyomi
662145	257718	Kuroda, Yumika (K3)
662146	179465	Masami Hirota
662146	391367	Tomoko Nakayama
662147	216649	
662148	225621	Herself - a member of Mooning
662149	244528	
662151	129769	
662152	27897	
662153	255872	Young Nagiko
662154	17465	
662155	202295	
662156	324003	Tamiko
662157	122534	Customer at stall
662157	125263	
662157	137008	
662157	164024	Taka Aiba
662157	205837	Model (cameo)
662157	256142	
662157	408435	Swan Shiratori
662158	274309	
662158	325208	
662159	122534	Customer at a stall
662159	127738	Shop assistant at a departmen
662159	130494	Yukari Yamane
662159	156227	Miku Sawano
662159	200520	
662159	205837	Kyoko (cameo)
662159	227323	Ryôko
662159	300545	
662159	394129	Sakura
662160	275143	
662160	373218	
662161	394466	Mitsuki Hayase
662162	177759	Kindergartner
662163	378718	Yuka Sugimoto
662164	369742	Angie
662165	187319	Takashi Fujikawa
662165	392430	Kouji Mori
662166	115603	Naomi
662166	373218	
662167	97453	
662168	135897	Alisa Takakura (Japanese vers
662168	396792	Saeko Kodai/Medusa
662169	299105	Young-Hotsuma
662170	13596	Slaygirl
662171	156260	
662171	231123	
662172	131431	Quang Due
662172	347243	Female Nurses Aide
662173	172089	Suchuwâdesu
662173	258547	Tabasa (Tessa in the US)
662173	411889	Mami Tomonaga
662174	78743	
662174	196038	Dana
662174	287172	Lachesis
662175	404077	Fabiana
662176	293228	Beach Passerby
662176	306968	
662177	19305	April
662177	34665	
662177	154166	
662177	162113	
662177	207030	
662177	247534	
662177	382126	Herself
662177	396887	Sheila Corrales
662178	191437	
662178	273115	Viscountess
662179	391614	Buse
662180	378599	Deniz
662181	48429	
662181	48433	
662181	57413	
662181	78626	
662181	173769	Zeynep
662181	182813	
662181	288293	
662181	322448	
662181	371556	
662182	378598	
662184	9847	Halil'in Annesi
662184	173764	Zemzem
662184	296405	
662184	378215	
662186	86615	Marilyn
662187	32122	African Woman
662187	44139	Herself
662187	44140	
662187	80106	Samantha
662187	153273	
662187	244347	The Cat
662187	291278	
662187	319346	
662188	141540	Track Team Friend
662189	73484	Katie
662189	315777	Student
662190	228056	Pauline Peach
662191	141959	Brigitte
662191	204887	Susanna Boyd
662191	285752	Student #2
662191	339464	Caroline
662191	384100	(episode "The Prophecy")
662191	385117	Sally Harper
662191	385627	Barbara Goring (segment film 
662191	393020	Alison
662191	396786	Susanna Boyd (ep. #1)
662192	181402	
662193	277565	Maslira
662194	152173	Folk singer
662195	398254	L'hôtesse
662196	264423	Hellena's friend
662197	378897	Yvonne as a child
662198	333783	Neli
662199	76092	
662200	234008	Enfermera Taller
662200	306701	ATS
662201	380128	Pilar Sánchez
662201	391570	Gabriela
662202	333895	Ananta
662203	124726	Danceuses
662204	63028	Voice
662204	127263	Liza Minnelli
662204	195331	Liza
662204	248377	Yuko 'Kaoru' Imai
662204	312906	Misuzu
662205	207155	Girl Who Is Killed
662206	40894	
662206	74540	
662206	149145	
662206	169782	
662206	262600	
662207	14942	Lina
662207	101864	
662208	384119	Marisa
662208	384775	
662208	387187	Pilar
662208	404182	Paula
662209	8549	
662209	10288	Orquidea
662209	25812	
662209	27980	
662209	34580	
662209	51564	
662209	51813	
662209	57412	
662209	69007	Adrian
662209	69781	Jackie
662209	83887	
662209	88798	
662209	112094	
662209	135278	Mujer en hotel
662209	145233	Amante de Mario
662209	149515	
662209	159293	
662209	170068	
662209	170865	
662209	171614	
662209	186966	
662209	204771	
662209	205197	
662209	213767	
662209	217025	
662209	219312	Daniela Parra
662209	225042	Ofelia
662209	234386	
662209	246194	Carmen, the boxer's wife
662209	248289	
662209	253416	
662209	255551	
662209	292941	
662209	300667	
662209	301193	
662209	328046	
662209	334700	
662209	339100	
662209	351671	
662209	356671	Esperanza Reyes
662209	370070	
662209	370164	
662209	377189	
662209	379819	Begonia
662209	380105	Magda
662209	381145	Nelly
662209	383532	Propia
662209	383633	Adela
662209	384988	Sofía Alcázar y Valle
662209	385335	Violeta
662209	391996	
662209	396898	Amapro Garces del Valle
662209	397258	
662209	399708	(guest)
662209	400655	
662209	400949	
662209	401917	Virginia
662209	405414	Nathalie
662209	407542	Tania
662209	408211	Lucia
662209	409289	Rebeca
662209	412190	Doña Enriqueta Cuvarubias
662210	122446	
662211	218221	'Arvstwistarna' choir
662212	88450	
662213	181534	Mrs. Taglot
662213	251202	Dean Shep
662214	58163	Betty Jo
662214	385719	Victoria Winters Clark (Bradf
662215	46671	Seljanka iz sela Guci
662216	166565	Singer with Megaqhone
662217	342871	Cricketer
662218	713	Ederfrau braun
662219	342822	Second Sphinx Girl
662220	35696	Young Sula Woman
662221	24875	Sylvia
662222	235380	Jean
662222	299668	Anna
662222	355258	Swee Kim
662223	389868	??? (2000)
662223	408071	Tashni Govender
662224	131318	Saniya
662224	374634	
662225	216618	Margareta
662226	299402	Ballet dancer
662227	11014	
662228	97613	Momicheto Dzhana/The Girl Dzh
662229	272797	Counselor Lavender
662229	272798	Counselor Lavender
662229	272799	Counselor Lavender
662229	272800	Cstr. Lavender
662229	272801	Cstr. Lavender
662230	58307	Nathalie
662231	8616	Madame Morillon
662231	22637	
662231	31018	Stéphanie
662231	211157	
662231	219496	
662231	236579	
662231	319351	La jeune femme
662232	253521	Angele
662233	205992	
662234	177674	Old Woman with Wine
662235	40564	La mère de Solange
662236	145449	Michiko Uechi
662237	382648	Anoa
662238	37474	Female Wing Kong Guard
662238	67896	Mrs. Ogata
662238	364612	Waitress
662239	344962	
662240	162739	Bambi
662241	108207	L'automobiliste
662241	108215	La cantinière
662241	156564	
662241	199602	L'infirmière
662243	169736	Sachie
662244	19696	
662244	374090	Omine
662245	64119	
662245	314635	
662246	167580	
662246	370336	
662247	307189	
662248	24551	
662249	33722	Belma Papac
662250	384235	Ran Saotome/Sazer Visuel (Ear
662251	102722	
662251	174336	
662251	221523	Mutsuko
662251	253392	
662251	280097	Midori Kataoka
662251	400619	Aki Okazaki
662252	379602	
662253	69049	Ana
662254	346206	Teacher
662255	2487	Old woman #3
662255	200979	Aunt
662255	288088	
662256	283006	Rhonda
662258	73475	Nurse
662259	118020	Nadia
662259	157137	Nasima
662260	237439	
662261	194211	Little Girl
662261	194213	Mikey's Dream Friend
662261	194638	Annie, Chris' Girl
662262	391493	
662263	36473	
662264	8043	Neighbor
662265	33233	Ilan's Mom
662265	182937	
662265	290070	Plaszow Jewish girl
662265	299352	
662265	303022	
662265	323061	Liz
662265	370375	
662265	397482	
662266	182553	Model
662267	167351	Shanker's Bhabi
662267	278809	
662268	283395	Club Patron
662269	35249	Mrs. Woppleman
662270	17085	
662270	36646	
662270	52154	
662270	64996	
662270	73451	
662270	83140	
662270	91272	
662270	125647	
662270	193380	
662270	199798	
662270	203921	
662270	215224	
662270	221710	Minerva
662270	225056	
662270	246276	Anita Conde
662270	266441	
662270	300681	
662270	343604	
662271	108676	
662272	29556	Girl in Eliel's class
662273	227664	Little Girl
662274	135134	Ceci
662274	169808	
662274	379937	
662274	386212	Ieda
662274	388721	Maria do Socorro
662274	390751	Cissa Marino
662274	391580	Dorinha
662274	402685	Urbana
662275	220369	Somali Girl
662275	386616	Alisyn's dog
662276	202880	Check-In Operative
662277	53959	
662278	99212	Merchant at the Gate
662279	377008	Allison
662280	276875	Malaysian Woman in Hammock
662281	112233	
662282	200763	
662283	185272	Kate
662284	77436	Mama Nationale
662285	58758	
662286	19351	Valérie
662287	306940	La maîtresse du cadre
662288	91973	La photographe
662288	311785	Herself (Photographer)
662289	86434	
662290	25619	
662291	172093	Natsuki
662291	181964	
662292	14240	Aya
662292	36321	Shoko Kaneko
662292	156227	Saeko Matsuo
662292	243329	Makiko's friend
662292	309779	Mizue
662292	358118	
662292	370009	Dr. Kyoko Hayami
662293	326124	
662293	328273	
662294	16190	Kája
662294	17685	Janny Brandes-Brilslijper
662294	21878	Marie
662294	35871	
662294	42944	
662294	58257	Hanka
662294	66252	Fugitive (segment "Haystack, 
662294	91505	
662294	159288	Klára
662294	159488	Nada
662294	168120	Michael's Wife
662294	181343	Princess
662294	219753	Pavlinka
662294	226025	Olga
662294	229553	Veronika
662294	263955	English Teacher's Assistant
662294	272745	
662294	285087	
662294	384085	Lichna
662294	387113	Servant Girl
662294	394266	Markéta Snajberková
662294	397941	Raven
662294	399555	
662295	84762	Vera
662295	138293	
662295	185005	Girl
662295	229691	
662295	244262	Maruska Outlá, daughter
662295	258524	
662295	341629	
662295	360071	
662295	373597	
662295	394266	
662296	137738	Sanna Auhti
662296	156543	Ilona Vaahtonen
662296	181633	
662296	182377	Ulla-Maija Lindholm
662296	213416	Irma Koskinen
662296	255762	Vetterantin Klory
662296	258843	Korkeen Lyyli
662296	303180	Takalan vaimo
662296	321771	Ella Haapanen
662296	343508	
662296	394576	Matilda von Ståhle
662296	399515	Jevgenia Negrasova
662296	409931	Mamma Soldan
662297	172294	TV-toimittaja Sirkka Vuono
662298	307686	Second Wife
662299	93528	
662300	28281	
662300	129429	
662300	377586	Rumanian Teacher
662301	144246	Heterosexual Student
662301	346372	Pigtails
662301	366598	Baptized Girl
662301	399345	Contestant
662302	126546	Blond Babe in 'What's Happeni
662303	249360	
662304	19199	Woman on Metro
662304	57284	
662304	75909	La seconde soeur
662304	99362	Madame CRS
662304	108210	Germaine en 1930
662304	124397	La laitière
662304	127668	La belle-mère
662304	135505	La mère/Mother
662304	319596	Madame Ravinard
662304	340165	Louise Noblet
662304	345400	Colette
662304	377772	Électre
662304	389143	Fine
662304	401972	Rachel
662304	402588	
662304	404662	
662305	235816	Catherine
662306	97447	Alyssa (young adult)
662308	127290	Woman #1
662309	136835	
662309	312939	Svetlana 12
662310	148848	Bodypainted Girl
662311	236407	Briza
662311	270595	Agent #3
662312	410582	Hack Peters' New Years Eve Da
662313	113631	
662314	35657	Jennifer (date)
662315	217054	Señorita de Minifalos: Pasaje
662316	11316	
662316	29923	
662316	32061	
662316	50376	
662316	69396	Pamela
662316	102716	Melinda
662316	116808	
662316	142703	Tera's Kidnapper
662316	147791	
662316	193523	Maya
662316	232242	L.A. Babe
662316	234858	
662316	289155	
662316	321129	
662316	335598	
662316	346250	Dancer
662316	368660	
662316	399420	Host (2003 - present)
662317	152929	Sumato
662318	29896	Gypsy Fortune Teller
662319	24918	Mitsuko
662319	145280	Tsukita, Teruko
662319	304287	
662319	334969	
662320	181891	
662321	300147	Dr. Francine
662322	100070	Hoang's Mother
662323	286655	La voisine cancanière
662323	292349	Kheira
662323	377961	Nasser's mother
662324	384711	Júlia Moreno
662324	387833	Eulália
662324	396506	Lola
662324	402539	Bárbara
662325	38228	
662326	127455	
662326	213892	Nightingale
662327	213425	
662328	153095	Jari Kososen äiti
662328	153762	Sulhasen äiti
662328	171009	
662328	181742	
662328	223510	
662328	256880	
662328	272645	Martta
662328	341786	Lydia's neighbor
662328	349136	Rouva Kotkala-Hammaslärvänen
662328	392240	Miina Tiistinen
662328	405479	Sirkka
662328	407556	Faina
662329	164169	A follower of Rasputin
662330	307436	
662331	381165	Ranru Itsuki/Abare Yellow
662332	122236	Sakeko
662332	210323	Akya
662332	359612	
662333	286849	Main Character (Girl)
662334	13623	
662334	113330	Tifa
662334	121465	
662334	138063	
662334	173600	
662334	182488	Kate
662334	216524	
662334	216527	Chizuko Kusubayashi
662334	234508	Takahashi, Rika
662334	242235	
662334	278737	Yôko Kuno
662334	285101	
662334	289303	Dont know
662334	320762	Ageha
662335	179553	
662336	88791	Junko Takahashi
662337	181982	
662337	181985	
662337	181990	
662337	196380	
662337	219831	Shobijin (Twin Fairy)
662337	219835	Shobijin (Twin Fairy)
662337	286907	Shobijin (Twin Fairy)
662337	358403	
662337	359840	
662337	373220	
662337	382907	
662338	149890	Supercars
662339	375582	Mari
662340	122239	Miyoko, the lodger
662340	162223	
662340	172112	Maid
662340	173552	Mrs. Hachi (Katsura's lover)
662340	176206	Nurse of Komine hospital
662340	318945	Entomologist's wife (in flash
662340	371974	Masako
662341	63192	Madoko
662342	2133	Ticket Clerk
662342	177705	Japanese hostess (Tokyo)
662342	222704	Office Worker
662343	217351	
662344	48438	Ageha
662344	148832	Yuko Kazama
662344	217073	Kazuyo Sakamoto
662344	255271	Doctor
662344	323115	Ishikawa (lawyer)
662344	399830	Saeko Ooshima
662345	19692	Shino
662345	145736	Sumie Kishikawa
662345	249181	Euridice
662346	215380	Grandmother's Nurse
662347	370572	Harem girl
662348	20625	Extra
662348	150873	Servant
662349	233113	
662350	61480	
662350	138483	
662350	139076	
662350	142956	
662350	148833	Akira's Girlfriend
662350	163989	
662350	174273	
662350	177832	
662350	182059	Journalist's Girlfriend's Sis
662350	182123	Yoko
662350	182423	
662350	193529	
662350	200766	1st Victim
662350	212658	
662350	227125	
662350	234682	
662350	238167	Masami Soujuen
662350	239479	
662350	244285	
662350	244286	Herself
662350	284033	
662350	287359	House Wife
662350	293480	
662350	293482	
662350	296629	
662350	299326	Kyoko/Maya/Mio
662350	300426	
662350	318549	
662350	343646	
662351	185354	
662352	77517	
662352	77537	
662353	179553	
662354	1437	Herself
662355	165260	Miss Nagai
662355	169736	Hitomi Tokunaga
662355	217199	Mariko Arima
662355	371914	Sachiko
662355	390265	
662355	396069	Riri
662355	402601	Tomato Shiomi
662355	407369	Officer Natsumi Tsujimoto
662356	327046	
662357	320546	Athena
662358	285919	Fan of Chiyoko
662359	319790	Minako
662360	28110	
662360	92830	
662360	174869	Senko Takeda
662360	232909	
662361	236942	Senta
662362	162222	Asami
662363	129868	Ugly Girl (Gamera)
662364	243631	Sokichi's grandmother
662365	122049	Naotaro's mother
662366	142586	
662366	153557	Oyui
662366	299121	Katsu, mother of Saichi
662366	299124	Katsu, mother of Saichi
662366	341287	Etsuko
662366	341321	Mrs. Umemoto
662366	349167	Oyo
662367	213595	
662367	226482	Fuzzy
662367	379044	Oyo (1988-1994)
662368	346246	Yuko Watanadi
662369	230444	Indian
662370	28123	
662370	137153	
662370	358403	
662370	359840	
662370	375631	
662371	211825	Mamiko Maekawa
662372	181982	
662372	181985	
662372	181990	
662372	196380	
662372	219831	Shobijin (Twin Fairy)
662372	219835	Shobijin (Twin Fairy)
662372	286907	Shobijin (Twin Fairy)
662372	358403	
662372	359840	
662372	373220	
662372	382907	
662373	93126	Woman on the Phone
662374	236066	
662375	327965	Girl Student 'D'
662376	145449	Fujiko Hiki
662377	224192	Nagako
662378	145653	Kimura, Midori
662378	244538	Sumire
662380	335270	Sawori
662381	384235	Ai Uozumi/Sazer Pisces (Water
662382	335270	Norika
662383	335270	Yutaka
662384	18685	Misaki`sMother
662385	54791	Madonna
662386	145482	Air-Raid Shelter
662387	94509	
662388	179326	
662389	374734	
662390	183080	
662391	256326	Rumiko, secretary
662393	306203	
662394	346606	School teacher
662395	40838	Mia
662395	48939	Airline Operator #2
662395	138365	Victoria
662395	158481	Friend #2
662395	234837	Amanda
662395	293099	Cat Fight Girl
662395	321559	Vegas Waitress
662395	338789	Stella
662396	42167	
662396	124096	Hippie
662396	258940	Angela
662396	290719	
662396	395394	
662397	33238	Mutter Zierholt
662397	92554	
662397	103139	
662397	141947	Beate, seine Frau
662397	155600	Anna
662397	156729	
662397	189866	
662397	226338	Portiersfrau
662397	243241	
662397	286294	Martha
662397	290788	Lina
662397	303710	Frl. Schön
662397	307258	Schwester Erika
662397	308216	
662397	326056	
662397	347791	
662398	230331	Woman
662400	360055	Other Pupil
662401	222565	Ellen Dowling
662402	18650	Elena
662402	37910	
662402	51827	
662402	62043	
662402	74551	
662402	92342	
662402	235300	
662402	248285	
662402	353628	
662403	122194	
662404	379043	Carmela
662404	380269	
662404	393833	
662405	353978	
662406	147536	Herself
662406	329467	Herself
662406	331333	Herself
662406	342873	Herself
662407	271855	Dancer
662408	122061	
662409	20999	Herself
662409	49880	
662410	14663	
662410	50128	
662410	51520	
662410	51813	
662410	52939	
662410	70694	Esme
662410	74626	Espia Francesa
662410	77430	
662410	92335	
662410	111418	Martha
662410	113245	Espia Francesa
662410	135277	Monja
662410	140819	
662410	157156	
662410	159525	
662410	167098	Stewardess
662410	169746	Elena
662410	171375	
662410	193332	
662410	193345	
662410	211065	
662410	213779	
662410	216074	
662410	221979	
662410	222044	La Beba
662410	225710	
662410	234306	Rebeca Villarreal
662410	238512	Mrs. Renard
662410	251552	
662410	252517	
662410	253551	(segment "La Obsesión")
662410	268516	
662410	273653	
662410	275946	Party guest
662410	277237	Aida
662410	281603	
662410	296453	Diana Alvirez
662410	302506	
662410	318903	Frances
662410	339098	
662410	353468	
662410	370164	
662410	371777	
662410	376646	Margarita Mendez
662410	377189	
662410	378474	
662410	379096	
662410	397204	Consuelo
662410	408860	
662411	82267	Lili
662412	396211	Lupita
662413	307822	
662414	14420	Diana
662414	318298	
662414	326309	
662414	332909	Juliana
662415	338201	Madre de Marisa
662416	412138	Panelist
662417	19252	
662418	96354	Muerta hotel
662419	380103	
662419	397594	Edith
662419	402219	Dulce
662420	383471	Chabelita
662420	389788	Mayrita Rios
662420	412190	Lissette Lezama
662421	263496	Alice at age 4
662422	106254	Kathy
662423	209099	
662424	9433	Kiyoko (No. 25)
662425	237590	
662426	163837	Yoko Sugino
662426	174328	
662426	297182	
662426	373392	Mamoru Amami (Latio)
662426	411893	Mamoru Amami/Latio
662427	246201	
662428	173596	Friend A
662428	379478	Toshie
662429	115182	Eri Ninamori
662430	8678	Yakuba no musume
662430	26238	Irene
662430	49935	Reimi
662430	54891	Sonomi Daidouji
662430	92849	Manba
662430	92853	Cyborg #18
662430	92855	Cyborg #18
662430	96409	Izumi Shinohara
662430	102466	Katsuki Eimi
662430	106058	Mai Tachibana
662430	123108	Lorelei Adjutants
662430	123111	Solnoid Soldier
662430	135982	Gally
662430	137336	Princess Fuse
662430	163071	Mina
662430	201091	Yûmi Takeshita
662430	264168	Princess Minerva
662430	265578	Eiko Magami (A-ko)
662430	265579	Eiko Magami (A-ko)
662430	265580	Eiko Magami (A-ko)
662430	265581	Eiko Magami (A-ko)
662430	265582	Magami Eiko (A-ko)
662430	267536	Magami Eiko (A-ko)
662430	307186	May Jessica
662430	307188	May Jessica
662430	316619	
662430	325208	Kayana Iguchi
662430	334892	Hokuto Sumeragi
662430	342572	Gwinbee and Mint
662430	370447	Nanase
662430	380470	Princess Kirara
662430	381401	Jessie Gurtland
662430	383107	Makiko Kisugi
662430	383459	Sonomi Daidouji
662430	386775	Cyborg #18
662430	386776	Android #18
662430	387831	Chiko/Yuki/Bride
662430	393942	Mai
662430	394426	Mineva Lao Zabi
662430	394428	Lupe Cino
662430	394429	Mineva Lao Zabi
662430	396440	Nova
662430	396500	Karen
662430	401287	Louise Tessen
662430	404133	Fuyumi
662430	404879	Baby Girl (Adult Voice)
662431	213505	
662432	292074	Uchiyama Minako
662433	344524	Herself
662434	50386	
662434	139301	
662434	164672	Herself
662434	165924	
662434	191200	
662434	402654	Lorenza Donati
662435	199787	
662436	7933	Skuli Aronson
662436	27213	Reporter #4
662436	167087	Schuyler
662437	23058	Child Kumaglak
662438	23058	Panikpak
662439	23058	Atuat
662440	291622	Mavia
662442	10594	Aunt Elizabeth Christens
662442	20494	Marcus' Wife
662442	70786	Mrs. Watty
662442	99094	Mrs. Lakin
662442	124082	Mrs. Jepson, Housekeeper
662442	163961	Emily
662442	168646	Mrs. Poggety
662442	234803	Mrs. Tate
662442	248993	Mama Picon
662442	255877	Amelia Kincaid
662442	267615	Agatha Dunham
662442	279636	Julia
662442	289631	Adele Cross
662442	320269	Cora Marshall
662442	329388	Mrs. Merryman the Nosey Landl
662442	331645	Lady Rhea Beladon
662442	352143	Mrs. Benson
662443	3326	
662443	133728	3rd Model
662443	222148	
662444	34914	Teller
662445	15222	Darlene
662445	44331	Dixie
662445	62548	Sadie Sachs
662445	154302	College student
662445	213350	
662445	216806	Assistant
662445	285067	Brigitte
662445	297790	Kelly
662445	362227	Jenny Kozinski
662445	393173	Fan #1
662445	395489	Annie
662446	43087	Lamaze Teacher
662446	56545	Herself
662446	123330	
662446	391485	Additional Voices
662447	343867	
662448	128079	Monica
662448	248188	
662449	94912	
662450	44773	Hófehérke
662450	59539	Ella
662450	407236	Jutka Vágási (1987-1999)
662451	274125	1st Girl 'Shirelle'
662452	56327	
662452	356121	
662452	357247	
662453	245523	Metka Hafner
662454	22824	Raisa
662454	296234	Zelda
662455	403110	Herself/Host (2000-)
662456	182697	
662457	110687	Narrator
662458	156260	
662459	340237	
662460	14561	
662460	172485	
662460	187970	Bolnicarka
662460	320492	
662460	375477	
662461	266173	
662462	82784	Sveta
662463	379358	Tatyana Schukina
662464	410452	
662465	400744	Nadia
662466	8454	Izabela Georgijevna
662466	58312	Bosiljce
662466	173388	Hilda Stolzer
662466	322659	
662467	357556	
662468	263056	Nurse
662469	356094	
662470	265030	Soprano Soloist in Church
662471	109452	The new girl
662472	240968	Lara
662473	229035	
662474	375174	
662474	382676	Carminha
662474	407830	Kirsi
662475	365915	
662476	44394	
662477	94506	
662478	229279	Dora
662478	288358	
662479	95919	Radusha
662479	104831	
662479	273094	Saprugata (Segment 4 Krehko r
662479	288358	Dimka
662479	326249	
662480	97438	Young woman
662481	373443	
662482	217278	
662483	32506	
662484	181397	
662485	188197	
662485	198082	
662485	223558	
662486	225817	Magda
662487	82488	Lora
662487	211281	Slava
662487	326261	Lilyana
662487	373081	Krustjovitza
662487	374857	Zara
662487	375394	
662487	397471	Slava
662488	16819	Ruska
662488	29400	
662488	94219	Ristana
662488	136537	Remzija
662488	144459	
662488	229624	
662488	240086	
662488	320661	Slava (segment "Wonderful Wor
662488	357328	Korunica
662488	399012	Nergjuz
662489	129426	Anna Petrovna Kern
662490	10241	Fast Track/Russian Bars
662490	64657	Nymph/Fast Track/Russian Bars
662491	130142	
662492	230055	Pevitza
662493	108851	
662493	222992	
662493	339231	
662494	14309	
662494	26206	
662494	60438	
662494	77485	
662494	79475	Violetta Anatolyeva
662494	88850	
662494	164010	
662494	180487	
662494	187382	
662494	202307	
662494	219718	
662494	229175	
662494	231173	
662494	235964	
662494	243969	
662494	251874	
662494	259880	Nina Sergeyevna
662494	259925	
662494	261311	
662494	261315	
662494	263662	
662494	263677	Russian teacher
662494	286216	
662494	286558	
662494	295061	
662494	296993	Taxiwomen
662494	297458	Kseniya Udalova
662494	303217	
662494	305286	Shura
662494	310479	
662494	317106	
662494	320410	
662494	320647	
662494	349301	
662494	350125	
662494	371351	
662494	374165	
662494	374764	
662494	409848	
662495	200418	
662496	6220	
662497	180365	
662497	234435	
662498	352873	
662499	229748	Bremennata nevesta
662500	6075	Pevitza
662501	230125	Maria/Target #2
662502	219692	Sasha
662502	320541	
662503	131183	
662504	238067	Natalia
662504	244417	
662505	180790	
662505	198165	
662505	294653	
662505	352817	Tatyana Sergeyevna
662505	374838	Nastenka
662506	3582	
662506	155673	Varya Ivolgina
662506	217282	
662506	217454	Nadezhda Tyulenina
662506	253734	
662506	267838	
662506	304252	
662506	318149	
662506	350788	
662506	356921	Red-Headed Woman
662507	33738	Lyuba
662508	220695	
662509	44394	
662510	49516	
662510	384026	
662511	152173	Singer
662512	45579	Radka
662513	18246	Amanda Gaynes
662514	139227	Vixen - Rhythm Guitar
662515	156016	
662515	174108	Jacob's Mother
662515	182259	
662515	234299	
662515	258172	
662515	258380	
662515	262544	(segment Prigovor)
662515	286216	
662515	286732	
662515	303349	
662515	370176	
662515	373496	
662516	227165	Jennie
662517	303176	Catherine Schratt
662517	379428	
662517	397302	Lenochka
662517	410411	
662517	410412	Babushka
662518	18246	Natalia Trechak
662519	227992	Zhenata na Hitar Petar
662520	180044	
662521	409360	
662522	77270	
662522	321952	
662522	343342	
662523	370460	Dyavol lazhetz 1
662524	63624	Nyura
662524	356542	
662525	164013	
662525	234434	Kolonist
662525	294764	
662526	303800	Olga
662526	305547	
662526	371352	
662526	381021	
662527	324556	
662528	397855	
662529	34189	Herself
662530	399133	Sofija
662531	42886	Komsinica
662531	75695	
662531	121872	
662531	164038	
662531	166651	
662531	171913	Riletova majka
662531	175601	
662531	206651	Carica
662531	217318	
662531	225898	Mica, Culetova majka
662531	227937	
662531	251320	Nastavnik biologije
662531	273096	Lina
662531	292080	Herself
662531	303118	
662531	318868	
662531	339283	
662531	381161	
662531	383720	
662531	383805	
662531	385271	
662531	394111	Razredni staresina
662531	395457	
662531	395497	
662531	395834	
662531	395837	Sojka, Tozina zena
662531	396547	Olga
662531	397987	
662531	400015	Culetova majka
662531	402022	Snezana Nikolajevic
662531	402023	Snezana Nikolajevic
662531	402024	Snezana Nikolajevic
662531	402025	Snezana Nikolajevic
662531	402026	Snezana Nikolajevic
662531	402117	
662531	403623	Tonka
662531	404090	Sojka
662531	404894	
662531	406112	
662532	403621	Markéta Prchalová
662534	77624	Anna
662535	95471	Villager
662536	43259	
662536	84989	La Sirenetta
662536	109728	
662536	168526	Undetermined Role
662536	185639	Georgette
662536	192434	Sally Ann
662537	52107	
662537	205512	
662537	333908	
662537	356032	
662538	46671	Seljanka iz sela Guci
662539	59863	Gail
662539	73811	Prison Chaplin
662539	135268	
662539	222177	Diva
662539	278617	
662539	326598	Arlene
662539	387598	Theresa
662540	340305	
662541	56085	Casino patron
662541	242670	
662541	247885	
662541	248866	
662541	252053	
662541	307800	
662541	337958	
662541	376693	
662542	164551	Wilhemina
662543	355642	Lady in Car
662544	88111	Girl In Shower
662545	25291	
662545	134896	Grunya Kornakova
662545	188708	
662545	296422	Mother
662545	357225	
662545	370917	
662546	10264	Olga Danilovna, a maid of Nov
662546	170911	Natasha
662546	270722	Olga
662547	140651	
662547	218108	Pageboy
662548	351277	
662549	351277	
662550	34749	
662550	174621	Herself
662551	21800	Cop #2
662552	410054	Irene
662553	3593	Herself/Simone Torres
662553	29960	Lisa
662553	134390	Lupe
662553	138655	Lisa
662553	167691	Holly
662553	206154	Girl #2
662553	252865	Iola
662553	329975	Nilda
662553	337996	Shaleen
662553	337997	Shaleen
662553	379716	Simone Torres (2001-present)
662553	404632	Debbie Miller (1988)
662553	410529	Debbie Baxter
662554	241286	Opal
662555	34441	Gypsy Fortune-Teller
662555	35578	Karla
662555	37941	Russian woman on train
662555	77672	Landlady
662555	93956	Second Maid
662555	127198	The Caretaker's Wife
662555	229673	Mrs. Knatchbull (oldlady)
662555	240327	Nun #1
662555	243262	Louise
662555	284908	Female Worker Shot at the Sko
662555	294079	
662555	304763	Countess
662555	329693	Patron's Wife
662555	335728	Mrs. Martin
662555	380216	Lemka's Mother
662555	402552	Mrs. Cohen
662556	206645	Maria Silva
662557	311449	Amazon
662558	279201	Violinist
662559	30678	Street Girls
662561	138524	Kona på svalgangen
662562	181071	Herself
662563	41377	Receptionist
662563	51966	Marie
662564	120090	Mona
662564	137402	Pigen i butik
662564	153402	Carmen
662564	181947	Mona
662564	182621	Malene
662565	16565	Margit
662566	401232	
662566	403537	Paricipant (1999)
662567	239899	
662568	282957	La Fleck Model
662568	295077	Patrice
662569	340077	Tanja
662570	391750	Herself (Anlægsgartner) (2000
662571	6005	Mary
662572	404137	Additional Voices
662573	167061	Gang Member
662573	198988	Girl #2
662574	248878	Bugler
662575	274333	Helga/Church Congregation/Mas
662576	403805	Amy Neilsen (1997)
662577	108956	Young Kate
662578	331992	Rene
662579	265288	Lady
662579	275104	Ellen Curtis
662579	404002	Mrs. Monroe (1975)
662580	65927	Olive Sherwood
662580	86207	Lucy Sheridan
662580	203302	Clara Angelo
662580	264019	Ethel
662580	311471	Undetermined Role
662580	359400	Mrs. Frank Gregory
662581	270499	Beverly
662582	168701	Nurse
662583	266590	Belltower Nun
662584	367769	
662585	245103	Receptionist
662587	41712	Serena
662587	80395	Giles' mother
662587	211787	Arwa
662587	222603	Ellen
662587	222681	Hannah
662587	231881	Gypsy
662587	235174	Marchioness
662587	254754	
662587	271003	Lawyers Female Companion No. 
662587	277057	Rowan Morrison
662587	278885	Arwa
662587	294079	
662587	319568	Party Guest
662587	328517	Delores Hamilton
662587	404795	American lady reporter
662588	247155	Forensic Detective
662588	347303	
662588	384116	Various roles (1984-1986)
662588	396898	Camila Linares
662589	59775	Palmira
662589	151806	Niña de filmación (segment "L
662589	225564	
662589	399708	Claudia Gómez
662590	122968	At store
662590	205590	Anna
662591	40221	Witness #2 & Witness #5
662592	218345	7-Year-Old Aileen
662593	6248	Margaret Addams
662593	6249	Margaret Alford/Margaret Adda
662593	7006	Widow Douglas
662593	18028	Engagement Party Guest
662593	19180	Newscaster
662593	61572	Lois Jurgens
662593	67395	Miss Millie
662593	86293	
662593	87428	Mrs. Reed
662593	106062	Mrs. Müller
662593	135564	Judge Tompkins
662593	137924	Gertrude
662593	141402	Lady Ariadne Utterword
662593	141416	Wedding Speaker
662593	148203	Mrs. Stone, Desk Check-In Cle
662593	157255	Mrs. Essendine
662593	176410	Dr. Suzanne Alexander
662593	187193	Congresswoman Libby Hauser
662593	188143	Edna Guldry
662593	191862	
662593	198883	Witch
662593	222292	Mrs. Crisp
662593	243150	Vera Gantner
662593	261530	Wardrobe Mistress
662593	284932	Mack
662593	289603	Meredith Stonehall
662593	302130	Grandmother Wenteworth
662593	304829	Claire Bennett
662593	319023	Yvonne/Naomi Eisen
662593	343201	Ruth Kelson
662593	358634	Beatrice Vernon
662593	387254	Eleanor Standard
662594	176900	Officer
662595	45548	Woman Getting Ticket
662595	55526	Sarah Cody
662595	63068	Customer
662595	117065	
662595	148247	Jailer
662595	158274	
662595	158317	Ellen Herndon
662595	191755	Sophisticated Mother
662595	196005	Church Lady
662595	200860	Woman Applicant
662595	202619	Mrs. Hopkins (Older Woman)
662595	234984	Louise Pickens
662595	254291	Lady Who Argues
662595	263450	Joe's Mom
662595	264992	Tough Lady
662595	273340	Neighbor
662595	273549	Mother
662595	279845	Elderly Woman in Bathrobe
662595	308431	Luella
662595	315076	Jane Hamm
662595	329976	Amantha
662595	342642	Marjorie Ryan
662595	360616	Binnie
662596	12221	Laura McCormick
662596	47025	Blanche
662596	68825	Nancy Miller
662596	81655	Terry Novis
662596	84956	Mrs. Alice Lomax
662596	88264	Sister Margaret
662596	105222	Connie
662596	120429	Passionatta
662596	137449	Doris Stauffer
662596	139606	Sally
662596	142541	Zelda
662596	143108	Dist. Atty. Kerry Wells
662596	157574	Anita
662596	190139	Celine's Mother
662596	193761	Iris
662596	193932	Noel Varner
662596	195640	Susan Volcheck
662596	201811	Herself
662596	213860	Frances
662596	224820	Mrs. Joanne Burns
662596	240626	Olivia
662596	244373	
662596	254967	Madeline
662596	296974	Louise
662596	303263	Charlotte Bonnard
662596	313087	
662596	318755	Narrator
662596	329053	
662596	329954	Peedi Rutledge
662596	359753	Aunt Elizabeth Almond
662596	360374	Brenda Hayes
662596	362133	Sandra
662596	362407	Lucille
662596	366933	Barbara Bowerman
662596	367512	Didi Pierce
662596	382933	Maureen
662596	385261	Eleanor Sherman
662596	386138	B.J. Poteet (1992-1993)
662596	386852	Kate McCrorey
662596	388843	Alexandria 'Alex' Isaacson Bu
662596	403763	Cathy Kramer
662597	117522	Beth
662598	75196	FBI Agent #2
662599	6249	Susan Firkins, Wednesday's Te
662599	31727	Nurse Pots
662599	36694	Bank Teller
662599	141416	Mary Beth
662599	154168	Alice
662599	183877	
662599	220985	Lisa
662599	257922	Miss Peters
662599	267568	Hooker
662599	269036	Lucy
662599	284526	Mrs. Spab
662599	306868	Annie Simms
662599	337084	Patricia Petterson
662599	361857	Miss Conners
662599	387309	Mitzi 'Red' Martin (1981-1984
662599	394658	Ellie
662600	138735	Muttering Molly
662601	330610	Chanteuse
662602	19988	James's secretary
662602	214755	Gap Girl
662602	248668	Woman
662602	328272	Godiva Employee
662603	147464	Prolaznica 2
662604	136798	Alma
662604	219868	
662605	33217	
662605	178841	Iris
662605	179211	Dassy
662605	202080	Dana
662605	204092	
662605	217731	Or
662605	375455	Ofra
662605	375537	Girl
662606	292091	
662607	188469	
662607	324273	
662608	91068	Herself
662608	170231	Herself
662608	170233	Herself
662609	305371	Debra
662610	269771	Hostage
662611	158079	
662612	89381	Patricia O'Dowd
662612	157675	Pattie Houston
662612	192587	Bess Kinloch
662612	251827	Mrs. Jim O'Connell
662612	269370	Ariela
662612	289633	Ethel Harding
662613	349823	Deann
662614	310168	Herself (Mission Specialist, 
662615	5735	Herself
662615	86702	Herself
662615	88028	Herself
662615	378911	Herself - Liberal commentator
662616	144406	
662617	130144	
662617	356072	
662618	103565	
662619	171888	
662620	48771	
662620	59977	
662620	84471	
662620	85274	
662620	198177	
662620	198661	Sheep
662620	225827	Shop-assistant
662620	227899	
662620	242474	
662620	265993	
662620	273046	
662620	303805	
662620	307615	
662620	311766	
662620	349765	
662620	356870	
662620	370173	
662620	371351	
662620	373502	Anna-Kaisa Hyvärinen
662620	374875	
662621	17556	
662621	18908	
662621	125658	
662621	127459	
662621	154539	
662621	161079	San'ka
662621	216610	
662621	237466	
662621	259925	
662621	306648	
662621	325085	
662621	339327	
662621	394750	
662622	299430	Neighbor
662623	175665	
662624	175600	
662624	323302	Ellen
662624	402063	
662625	56081	Soprano
662626	224192	Bride
662627	55343	
662627	119089	Anna
662627	186136	Veronica
662627	197991	Luzia's Mother
662627	199821	Chiara
662627	212499	Violoncello
662627	249371	
662627	342134	Milena
662627	348138	Eleonora
662627	384116	Various roles (1984-1986)
662627	391998	Modelo
662628	257569	
662629	272530	Grand Duchess Maria
662630	50097	Rodeo Usher
662631	123287	Mrs. Danvers
662631	411536	Herself
662632	118393	Swing Band Member (Wedding tw
662632	194529	Sandra Miro
662632	278496	Singer
662634	51436	
662634	57377	Une employée
662634	96235	
662634	294586	
662635	381628	L'infirmière
662636	58933	Sophie (segment "Une chance e
662637	106409	Girl Being Babysit
662637	276611	Raja
662638	285922	Yuri
662639	88335	
662641	315919	Party Girl
662642	173089	Birthday Party Guest
662643	209839	Szukics Magda
662644	278687	
662645	153745	Lena's friend
662647	18675	
662648	390333	Chiyomi Hotta
662649	168184	Yohko
662649	232534	Mitsuko
662650	133853	Grace Fang
662650	178167	Female in couple
662650	354520	Eye Doctor
662651	145289	Chiharu
662652	210152	Ayumi Yoshida
662652	380699	Narrator
662652	392570	Junko
662652	397371	Ayumi Yoshida
662653	394971	Gnome
662654	359612	
662655	15268	Frau Beck
662655	122550	Dorothea Haslinger
662656	130529	Mio Takushoku
662656	374600	Ann
662657	90815	
662657	194268	Nurse
662657	230819	Francoise
662657	363078	Kay Avila
662658	177823	Yuriko Kishida, Yuzo's wife
662659	404772	Agency General Staff
662660	30987	Smiling Winner From the First
662660	30988	Smiling Winner
662661	229774	
662662	365199	Voice of Tokyo Rose
662663	77148	Mrs Ozu
662663	109698	Noruhiko
662664	181386	
662665	222467	Steffi Willig
662665	361409	Maria
662666	206831	Baby Jesus
662667	89670	Olga
662667	134471	Komtesse Beate
662667	141942	Frau Düker
662667	152760	
662667	226264	Dienstmädchen Meta
662667	231506	
662667	361578	Asta Grashoffn
662668	76229	Kruger's Wife
662669	198012	
662670	54890	Tomoyo Daidouji
662670	54891	Tomoyo Daidouji
662670	64821	Emi
662670	104908	Marina Hojo
662670	130730	Employee B
662670	172089	On'na Jupitâ
662670	175818	Key (Mima Tokiko)
662670	252839	Mima Kirigoe
662670	264168	Tua
662670	283679	Tomoe Yukishiro
662670	298966	Natsuko
662670	298994	Hikari Horaki
662670	299132	Hikari Horaki
662670	327803	Mayuka
662670	369415	Kotori Monô
662670	381013	Ceres
662670	381785	Sakura
662670	383422	Sanae Nakazawa and Onago
662670	383459	Tomoyo Daidouji/The Song
662670	386236	Jun Fudou/Devilman Lady
662670	394051	Kyoko
662670	396347	Sally
662670	396501	Aikawa Akane
662670	405144	Hikari Horaki
662670	408351	Serika Kurusugawa
662671	113319	Amanda Galvin
662671	219129	Girl at party
662672	107969	
662673	131244	
662674	175507	
662675	177116	Terumi Kimura
662675	370705	Hanako
662675	409009	
662676	286862	Sono
662677	28128	Teacher Tsuda
662677	43058	Kiyo Mizutani
662677	62825	Takatsuka's mother
662677	96525	Toshie
662677	129912	Keiko
662677	139721	Tami
662677	142177	
662677	151738	Ritsuko Uemura
662677	179341	Yasuko
662677	232561	
662677	232917	Tokunaga
662677	233198	Kinuko
662677	275755	Atsuko
662677	278384	Ume, Yahichi's wife
662677	299117	Kayo
662677	299127	Tsutano
662677	309779	Mrs. Takenaka
662677	344262	Setsuko, Takuboku's wife
662677	348751	Satoko
662677	373082	Yoko Awaji
662677	373185	Mrs. Shimamura
662677	374091	Otane
662678	146351	
662679	217111	
662680	238096	Mia
662681	260119	Lauren
662682	174331	
662682	404468	
662683	9565	
662684	9274	Tomi
662684	9322	Matsuno Niki
662684	9590	Fubuki
662684	18060	Oren, Kiyokawa's sweetheart
662684	28045	
662684	49712	Michitose
662684	61397	Chieko Takamura
662684	62206	
662684	76906	Mie Kawano
662684	89414	Tae
662684	121214	Ume, daughter
662684	127921	Ayame
662684	129122	Ritsuko Sahara, Lawyer
662684	129915	Oshino
662684	130525	Migiwa Awatsu
662684	130527	
662684	130528	Kaya, gang leader of Suzaki
662684	130529	Fuyu Segami
662684	138486	Orin
662684	144432	Matsuko
662684	145450	Himiko
662684	172113	Yoshi
662684	174877	Yoko Katsura
662684	174945	Toujo
662684	175078	Taka
662684	176225	Oume, Sokichi's wife
662684	177783	
662684	177926	Uta Kiryuin
662684	180058	Yukiko
662684	180508	Chieko/Naeko
662684	180628	
662684	181722	Chiyo
662684	198598	Ryoko Mizuo
662684	226767	Minako Nishida
662684	239085	
662684	241949	
662684	242174	
662684	285918	
662684	287553	Michiko Hirayama
662684	288070	
662684	293497	Taeko Ichikawa
662684	293588	
662684	294546	Miho Tsugumo
662684	295126	Fuji
662684	295127	Tome
662684	297586	Troupe Leader
662684	298917	Kanae Fujinami
662684	298918	
662684	298919	Atsumi Nogi
662684	299088	Koharu and Osan
662684	299348	Kieko Sonobe
662684	299589	Aya, Daigoku's daughter
662684	299596	Kiwa Nakahara
662684	299618	Shizue Kazama
662684	303384	
662684	308880	
662684	312162	Mrs. Konoe
662684	358122	
662684	358125	Tomiko
662684	370408	
662684	370652	
662684	373136	
662684	373185	Komako
662684	386635	Yoshi-Hime/Lady Yoshi (Masamu
662685	146529	Margaret Hill
662685	328964	Taniguchi's Mother
662686	348994	Osen
662687	127779	China no Reimi
662687	257982	Mariko Suzuki
662687	373368	Mizuki/Haruki/Natsuki/Nature'
662687	393999	Kozaru
662687	400143	Risky/Safety
662688	35878	
662688	69839	
662688	82204	Godmother
662688	167319	
662688	181366	Godmother
662688	242460	Old Woman
662688	361573	
662688	385985	Tomek's landlady
662688	386654	Józefina Popiolkowa (1980-198
662689	88937	Herself
662689	184810	Herself
662690	391295	Galina
662691	130	Tannès
662692	265534	
662693	68351	Santino's Grandmother
662694	63712	Additional voices
662695	72752	
662696	4330	
662696	4432	Masheela
662696	17357	Prison Warden
662696	18909	
662696	20359	
662696	27410	Luska
662696	54441	
662696	62727	Ruby, Tony's girlfriend
662696	87581	
662696	152466	Suzie Gonzalves
662696	152486	
662696	181515	
662696	213710	
662696	251745	Herself
662696	268595	
662696	271445	Dancer/Singer
662696	271732	
662696	285537	
662696	297579	Sharda's friend
662696	328222	
662696	341637	
662696	359379	
662696	370976	
662696	373712	
662696	373831	
662696	383884	
662697	36292	
662697	75195	
662697	295649	
662697	326745	
662697	361959	
662698	294118	
662698	295263	
662699	104031	
662699	173645	
662699	174989	
662699	342164	
662700	1270	
662700	91068	Herself
662700	205696	
662702	69278	Lucía
662702	384594	Mariló
662702	392849	Nayra
662703	376640	Usmaila
662703	376711	
662703	397019	Marsela
662703	403173	Cholita
662703	404851	
662703	409782	Rosita
662704	380099	
662705	70624	Terrorista 5
662706	258644	
662707	101256	Mme Pinoiseau
662707	166169	
662709	57393	Helen
662709	69822	Queen of Rexonia
662709	105299	Mrs. Gusty
662709	269865	Lady Winterley
662709	358976	Rachel
662710	95078	Manicurist
662711	382458	Ikuko Kamonohashi
662712	139407	
662713	202988	First Nurse
662713	206856	Maria Ramos
662714	35846	
662714	267902	
662715	219600	
662716	65532	Party Guest
662716	100939	Tom's stepmother
662716	105462	Eva's Maid #2
662716	363469	Alice Farrell
662717	22014	
662717	34037	
662717	51323	
662717	95551	
662717	172661	
662717	173417	
662717	182868	
662717	200778	
662717	212285	
662717	325347	
662718	343297	
662719	98994	
662720	31505	Wanda
662720	204726	Izabella
662720	226602	Baska
662720	258664	Benia Faferska, Dudus' Mother
662720	272001	Walentyna
662720	282768	Owner of the Marriage Bureau
662720	311837	Ewa
662721	294667	
662722	181667	
662723	8043	Girl in Afula
662724	130199	
662724	258676	Theresa
662724	268140	Mrs. Weldon
662724	323317	
662725	179666	
662726	33820	
662727	481	
662728	105473	
662729	173769	
662730	88011	
662731	7388	
662731	39865	Madame
662731	40844	
662731	42186	
662731	53257	
662731	60454	
662731	88742	
662731	124843	
662731	154540	
662731	179257	
662731	191170	
662731	225839	
662731	238319	
662731	249914	
662731	259806	(segment "Polosa vezeniya")
662731	261682	Katya
662731	263636	
662731	267899	
662731	268135	Valentina Vermisheva
662731	284475	Natasha
662731	286558	
662731	293900	
662731	297458	Yelena yung
662731	320655	
662731	321969	
662731	323302	
662731	352663	
662731	357334	
662731	357645	
662731	394750	Anfisa Timiryova
662732	186981	
662733	73281	Enfermera
662734	340432	
662735	137038	
662736	73646	
662738	169790	
662739	187627	Higinia
662740	103466	
662741	108134	Nuri
662742	95011	
662742	108134	Izquierdo, Lina
662742	221910	
662742	253371	
662743	36661	Josefina
662743	63866	Mujer
662743	70865	Dora
662743	84067	Doña Lucía
662743	111994	Leila
662743	146564	Younger Serón Sister
662743	156794	
662743	169790	
662743	199030	
662743	233365	
662743	296121	Maca
662743	308458	
662743	379252	Domitila
662743	381860	Josefina
662743	383812	Raquel Thompson
662743	384984	Alicia Castro
662743	385485	
662743	385600	
662743	390459	Marisa
662743	393340	
662743	396925	
662743	397591	Sofía Ventura
662743	401634	
662743	402686	Francisca
662743	403686	
662743	408591	
662743	408724	
662743	410201	
662744	160893	
662745	58360	Directora
662746	71227	Woman #4
662747	254294	
662748	86849	
662749	254294	
662750	399640	
662751	289390	Cricket
662752	70402	Rei Chinlzumi
662752	196328	Gemma Dower
662752	241952	Kaede
662752	244365	Gym Teacher
662752	320108	Flight Attendant
662753	62242	
662753	365338	
662753	390910	Yuusuke's mother
662754	181897	
662755	19691	
662755	239336	
662756	139731	Masako
662756	227319	Hisako
662756	227320	Hisako
662758	8621	Momoe
662758	8891	Rei
662758	8892	Naomi
662758	8895	Yu
662758	9298	Kuniko
662758	9558	Step-Daughter
662758	61523	
662758	91187	Satoko Nagato
662758	121933	Shimoe
662758	162316	
662758	173387	Jun
662758	182720	Yumi
662758	214714	Fighter
662758	309160	Joro
662758	328016	Nami Tsuchiya
662758	328017	Ayumi
662758	394092	Yukari Tsukikage
662759	239088	
662760	239088	Midori Maruyama
662761	9594	Emiko Okumura
662761	19636	
662761	28134	
662761	91186	Kazue
662761	97453	Tomoe Izumi
662761	138057	Miho
662761	145283	Kumiko Hayama
662761	145303	Wakae
662761	162223	
662761	174954	
662761	244503	
662761	245813	
662761	294265	
662762	358125	
662763	122950	
662763	162141	Mother
662763	167979	
662763	173507	
662763	216301	
662763	244559	
662763	392328	
662763	404269	
662764	217051	Sachiko
662766	8762	Wife of Oshima
662767	160149	Mother
662768	135953	
662768	168356	
662769	9189	Haruko Minezawa, nurse
662769	9190	Haruko Minezawa, nurse
662769	63542	
662769	138078	Oteru, the waitress
662769	179248	
662769	214411	
662769	216499	
662769	288656	Hokke Madwoman
662769	299025	Maid A
662769	375558	Haruko Minezawa, nurse
662770	374917	Takako
662771	332598	Señora embarajada
662772	20369	
662772	24885	
662772	42893	
662772	60432	
662772	88741	
662772	171673	
662772	174969	
662772	214895	Traffic Controller
662772	229918	
662772	238107	
662772	244717	Fenechka
662772	253640	
662772	258431	
662772	258715	
662772	309191	Soldier Maria Filatovna
662772	339261	
662772	341218	
662772	410457	
662773	53158	Maria
662774	191002	
662775	275216	Sidorowska
662776	94722	
662777	328253	Radio Disc Jockey
662779	303225	Choir nun
662779	303226	Choir Nun
662780	42964	Mimì
662780	90011	Elisabetta
662781	82411	
662781	83762	
662781	187852	
662781	270991	Hat check-in woman at nightcl
662781	278405	
662782	212334	Herself - Participant/Perform
662783	311817	Rossana
662784	255051	Narizinho
662785	20800	Francesca
662785	52871	Tatiana
662785	68373	Marcella
662785	204261	Caterina
662785	344666	Cinzia
662785	355703	Daniela
662786	194150	
662786	219572	Assunta
662786	326536	Donna in ospedale
662787	52871	Margherita
662787	105606	Woman at Falcone's Wedding
662787	157548	
662787	249258	
662787	263242	Silvana
662787	302184	Simona
662787	400391	
662788	12640	
662788	22031	
662788	27779	
662788	33249	
662788	34220	
662788	38497	
662788	51350	
662788	102531	
662788	136091	
662788	136693	
662788	140596	
662788	156207	
662788	173416	Zeynep
662788	173424	Nigar
662788	173855	
662788	227965	
662788	245860	
662788	249228	
662788	322551	
662788	325181	
662788	342162	
662788	370396	Melahat
662788	370514	Safinaz
662788	377527	
662788	378600	
662789	190695	
662790	383565	
662791	235296	Eulalia
662792	43243	Filomena
662792	83527	
662792	90777	Iracema
662792	101442	
662792	166378	
662792	233841	
662792	234045	
662792	236293	
662792	251716	
662792	308741	
662792	322386	
662792	341135	
662792	344706	Costureira
662792	344879	
662793	48217	Reporter
662793	66947	Rebecca
662793	80813	Bank teller
662793	119585	Vida
662793	132632	Elena
662793	154309	Deb
662793	193296	Kylie
662793	196339	
662793	214934	
662793	292698	Kim
662793	314427	Teacher
662793	342642	Bobby
662794	4055	
662794	6695	
662794	9441	
662794	10620	
662794	25569	Poonkodi
662794	36185	
662794	45815	
662794	85200	
662794	101309	Kala
662794	102165	
662794	131701	
662794	173266	Rani
662794	173295	Muruga's Consort
662794	181687	Shyamala
662794	201309	Vimala
662794	203855	
662794	208107	Velan's Lover
662794	228755	
662794	228873	
662794	229360	Herself
662794	266786	Kannamma
662794	300266	
662794	300273	
662794	329208	Malathi
662795	72145	
662795	75028	
662795	113438	
662795	123810	
662795	150031	Jessie
662795	233637	
662795	312383	
662795	320824	
662795	372474	
662795	372751	
662796	210887	Johnny's girl
662798	83929	Tattooed Bridesmaid
662800	49441	Woman in Church #1
662800	51203	Dorothea
662800	147844	Picketer #1
662800	151122	Guest
662800	158975	Craps woman
662800	191650	Maggie
662801	75195	
662801	188034	
662801	356785	
662802	39739	
662802	70359	Cookie's Friend
662802	358907	
662803	82149	Tang Ning
662803	98675	Afura Mann
662803	122113	
662803	138135	
662803	299125	Afura Mann
662803	385151	Meifa Puzi
662803	387419	Afura Mann
662803	389791	Megumi Kurogane, Misao Sakimo
662803	394016	Additional Voices
662803	394424	Additional Voices
662803	402001	Cassie Chan/Pink Space Ranger
662803	402007	Cassie Chan/Pink Turbo Ranger
662803	404879	Mika Iwakura
662805	171584	
662805	233246	
662806	17616	Lady of Heinonen
662806	100453	Seamstress
662806	234649	Woman in Pelastusrengas
662806	319314	Maid
662806	319315	Maid
662807	190805	Go Go-dancer #1
662807	193559	Jenny
662808	8581	
662809	210357	Herself
662810	397395	Herself
662811	182213	Woman on the phone
662812	28457	Woman in the premiere
662812	258845	Nurse #2
662812	285959	Sofi
662812	321926	Ester
662812	349748	Villager
662812	350727	Mrs. Markkanen
662813	87936	Young Linda
662814	13267	Numbers Girl
662814	216803	Lily White Girl
662814	316641	Girl at Bar
662815	135115	
662815	353196	
662816	166141	La cliente râleuse
662817	230126	Gino's Girls
662818	410054	Otavio's Secretary
662819	157064	Lily Liang
662819	346459	
662819	396477	Amba/Sikhandin
662820	401875	Herself - Scandal'us (2001)
662821	209209	Featured Zombie
662822	393313	Grace Poole
662823	231743	Antonina 'Tosia' Kozlowska (d
662823	262147	Goska
662823	369373	Józia
662823	394585	Sylwia Marczynska (1999-2000)
662823	398897	Marta Hoffer
662823	408996	Ola Obrebska
662824	93602	
662824	95725	Actress
662824	267008	
662824	373706	
662825	262508	
662826	321432	Walczakowa
662827	340752	Store Clerk
662827	389858	Star (1991)
662827	396133	Loretta
662828	18999	Mental Patient
662829	29153	Elena
662830	261380	Stella
662832	111292	
662833	61716	Herself/Chevrier's Secretary
662834	288619	Manolo's Girl Friend
662835	259749	Jeremy Pollock
662836	220218	La dame du parc, Belgique
662837	233539	Enfermera Hospital
662838	337007	Copine Marion
662839	23076	Itou
662839	138978	
662839	226818	Une Femme Arabe
662839	375074	
662840	12370	
662840	16980	Madame de Gramont
662840	43625	Charlerine Delacroix
662840	54818	
662840	68336	Madame Irène
662840	118417	Nerine
662840	132864	Mme Corneille
662840	134605	Madame Olivier
662840	156321	La patronne de l'hôtel
662840	164142	
662840	198342	
662840	200961	Concierge de la Comtesse
662840	201183	
662840	208806	La mère de Charlotte
662840	209944	Mme Picot
662840	220219	Chef de station
662840	224894	
662840	227317	La cliente paréos
662840	227482	Madame Giraud
662840	245953	
662840	248263	Alphonsine (segments "Le para
662840	263372	La grosse dame
662840	284297	Madame Aubier
662840	316845	
662840	326035	La vieille fille de l'escalie
662840	332188	
662840	333692	
662840	342611	
662840	343579	
662840	346819	
662840	375368	
662840	376914	La concierge de Paul
662840	379801	Madame Chamignon
662840	384744	
662841	224956	
662842	3958	
662842	114266	
662842	207124	
662842	284630	
662842	318535	
662842	325323	
662842	355786	Herself
662843	231685	
662844	60944	Betty Thorpe
662845	373493	
662846	3123	
662846	35838	Nurse Irma
662846	42242	Jadzia
662846	63891	
662846	124860	Kuriata's Wife
662846	165037	Joasia
662846	179637	Dr. Maria Arnswaldt
662846	181124	Kroll's Mother
662846	181125	
662846	181583	Frída
662846	186153	
662846	222078	Ora
662846	225503	Balláné
662846	234268	Woman in opera
662846	255412	Alicja Stefanska
662846	258176	
662846	262147	Pianist
662846	266304	Hipolit's Mother
662846	310475	Prevodachkata
662846	341058	
662846	360758	Wife
662846	375530	
662846	394725	Niteczka
662846	401714	Baronowa
662846	401860	Koczarkowa
662846	403627	Kraslawska
662847	386	
662847	7506	
662847	8257	Juanita
662847	16546	
662847	16855	Convicted woman
662847	17582	
662847	20138	
662847	28565	
662847	34472	Principessa Fiorella
662847	42600	Fiammetta
662847	51447	La baronessina, sua figlia
662847	56811	
662847	57330	Carlotta
662847	57853	Cenerentola [Cinderella]
662847	64244	
662847	69217	
662847	71108	
662847	71164	
662847	73498	
662847	75231	
662847	82134	
662847	85972	
662847	94725	
662847	97094	Maria
662847	97657	
662847	102365	Barbara
662847	106818	Lucilla
662847	109342	
662847	111858	
662847	112673	
662847	113575	The teacher
662847	113699	
662847	124551	
662847	129019	Dolores
662847	163001	
662847	183494	
662847	188602	La ragazza graziosa
662847	195061	
662847	206667	
662847	210318	
662847	216512	
662847	230006	
662847	234734	Luisella
662847	249462	
662847	251853	Rosetta
662847	273140	Dianora dei Bardi
662847	278015	Valeria
662847	286977	Serafina Miciacio
662847	294423	Marta
662847	310467	
662847	336146	
662847	344622	Antonio's girfriend
662847	351532	
662847	356225	Maria
662847	375015	Rina
662848	142535	Pam
662849	261539	Olga
662850	261530	Fan at party
662851	82763	Flashy Lady
662851	232812	Dinner guest
662852	235870	Performer
662853	19718	
662853	49885	Brenda
662853	77084	Ellen
662853	127625	
662853	204951	
662853	222188	
662853	266974	Adora
662853	324090	
662854	249457	TV Newscaster
662855	395220	Hula-Hoop Girl (2002-)
662856	379699	Fraser the Fisherman
662856	409836	Margaret Thatcher
662857	59179	Marilyn
662858	340109	Radio Caller
662860	219506	
662861	163955	Mrs. Hawkins
662862	253976	Annie's mother
662863	288936	Lesly
662864	5329	Lisa
662865	278688	
662865	379093	
662865	380085	
662865	385252	Bertha Girot
662865	397011	Herminia
662865	401650	Herself
662865	403884	Carolina
662866	84962	Miriam
662867	74712	Jacqueline Dominguez
662868	20625	Extra
662869	311230	Brunette Beauty
662870	107503	Siobhan
662871	46251	Dolores
662872	30471	Tealady
662872	140979	The Manageress
662873	73103	Schoolgirl #2
662874	358642	Sandra Evans
662875	195305	Sing and Jingle Children
662877	13620	Pearl Soap Singers
662877	187244	
662877	264157	Church Choir Member
662878	17319	Old lady in car
662878	29420	Banshee
662878	278453	Doris
662879	293732	Carrie
662880	66052	Beth
662881	43575	Mel
662881	59574	Female Reporter
662882	71434	Jill
662883	217876	Bettie (Reveler)
662886	266342	
662887	220964	Mandy Irwin
662889	73703	Tammy
662890	239412	Cashier
662891	25417	Hospital Receptionist
662892	206410	Old Woman #3
662893	66584	Sphinx Receptionist
662893	110320	Jade
662893	133772	Mina
662893	149828	Jade
662893	220276	China Doll
662893	221785	Tran
662893	223072	
662893	309860	Liat
662893	381482	Kyra (1999-2000)
662894	313477	Bail Organa's Wife
662895	36722	Mrs. Shepard
662895	58728	Woman guard
662896	285032	Indian Woman
662897	117056	Shawna
662897	126104	Young Georgia
662898	387642	Dinah
662899	387457	Emmy
662900	164764	White House correspondent
662900	385574	Herself
662901	49781	
662902	366686	She Demon #2
662904	223872	Herself
662905	1821	Herself - Presenter
662905	3147	Helene Hanff
662905	16695	Customer in store
662905	26381	Lorraine Abraham
662905	33426	Dr. Nolan
662905	40763	Frances Bowers
662905	47385	Herself
662905	87309	Belle Nops (mayor of Yerkey's
662905	108318	Maggie Madden
662905	116466	Mildred Aldrich
662905	121802	Herself
662905	121803	Adele
662905	151653	Muriel Laszlo
662905	152943	
662905	158993	Abigail Adams
662905	169504	Mrs. Margie Rhinelander
662905	186793	Shirlee
662905	196447	Kathy
662905	197291	
662905	203313	Margaret Twennies
662905	214972	Herself
662905	228046	Sister Mildred
662905	245228	Bella Abzug
662905	264580	Katie Ryan
662905	276198	Maman
662905	286477	Harriet Orowitz
662905	287311	Herself
662905	292451	Victoria Layton
662905	299073	Doctor
662905	306587	Jackie Boone
662905	308095	Grandma
662905	314682	
662905	324036	Myra Sullivan
662905	332785	Gloria Fiske
662905	343366	Sylvia Payton
662905	367443	Lou Kaddar/Narrator
662905	375111	Jean Cameron
662905	388005	Rae Beeby
662906	211844	Child
662907	252286	Girl
662908	191739	May Lily
662909	85251	Herself
662910	42023	Bit Part
662910	66549	Girl
662910	333655	Nurse
662910	372050	Demonstrator
662911	7173	Beth
662911	247498	Mistress
662912	198049	Betty Lee
662913	1376	Erma Sue
662915	285032	Indian Woman
662916	32052	Dancer
662917	339445	Girl with Dog
662918	338262	
662919	326810	
662920	19024	Faith Healer #2
662921	238508	Judith
662921	283462	Crowd Extra
662922	58511	Slave in Quarter
662922	215664	Miss Alaska Teen USA (Top 10)
662923	47117	Backup Singer
662924	75030	
662924	75031	
662924	160995	
662924	367852	
662925	117665	Jacky Stevens
662927	299806	Carol Berry
662927	300011	Maxon Girl
662929	47007	Mary Louise
662930	178920	Bag Lady
662931	213866	Julie
662931	222590	Cindy
662932	58875	1st Nurse
662932	78329	Mrs. Clipstone
662932	86468	Mrs. Sawn
662932	131350	Girl
662932	215892	Mission Girl
662932	366988	2nd Nurse
662933	26616	Nita
662933	30071	
662933	61306	
662933	213301	Peggy Meredith
662933	264086	Comfort Brown
662934	171063	Paula
662935	303223	
662936	126588	Langford
662937	36722	Betti DeLoreo
662939	866	Herself
662939	154379	Herself
662940	264729	Herself
662940	264745	
662941	90092	The Waters and Friends Chorus
662942	11210	Dorothy
662942	31828	Elizabeth
662942	151092	Aggie
662942	295294	Bar girl
662942	326770	May
662942	348072	Louella
662943	364281	Ellen
662944	135812	Bathroom Lady
662945	134090	Linda
662946	29361	The Wife
662947	146324	
662948	9113	Receptionist
662948	157824	Martha
662948	246708	May
662948	248008	Spanish Mission Teacher
662948	314785	Waitress
662948	408882	Macy
662949	206795	Roxanne Johnston
662950	290319	Attendant
662951	360734	Bakery Employee
662952	113286	Rogue
662953	291307	Carol
662954	174621	Herself
662955	39191	
662956	67395	Young Celie
662956	213493	Lucy
662956	303225	Teenage girl #1
662957	14132	Finch Girl
662957	164473	Evelyn Ankers
662958	20625	Extra
662959	230881	Herself
662960	280433	Herself
662961	90104	
662961	132092	Miss Miles
662962	27565	Herself
662962	49862	Saffron
662962	168599	Herself/Interviewee
662963	360470	Panty Lady
662964	79789	
662964	126710	Penny
662965	193176	Girl with the Baseball Bat
662966	187128	Herself
662967	371887	Vocal Effects: Will You Mary 
662968	140908	
662969	24695	Victoria Morgan
662970	338894	Tynmore sister
662971	242110	
662972	345684	Bernice Hamilton
662973	3852	Jackson's Mother
662974	203670	Nurse #2
662974	235615	Lucille
662974	403728	Mama Ada
662975	314845	
662976	241056	
662977	42141	Rachelle the Punk
662977	320916	Jess
662978	200434	Tomoko Murakami
662979	224091	Clarise
662980	195262	Erica
662981	210887	Susan
662981	280064	Vivian
662981	406459	Herself
662982	656	Mrs. Randolph
662982	4366	Cleo
662982	43606	Media Jackal
662982	128848	Nikki's Mom
662982	148572	Cookie's Mother
662983	114478	
662983	218839	
662983	340476	
662984	31221	
662985	7961	Girl with Fireman
662985	303472	Marie DuVal
662985	350471	Joan Stanley
662986	24702	Joan
662987	85998	Mrs. Carpenter
662988	140103	Slave
662989	196565	Sharon Lee Radcliffe
662990	390213	Herself - Host (2003)
662991	126130	Circus performer
662992	255264	Committeewoman
662993	23495	Mrs. Weyman
662993	35578	Gypsy
662993	36287	The Sadani
662993	46806	Greta the Baroness' Servant
662993	54026	Prudence Honeywood
662993	63201	Mistress Quickly
662993	65228	Stygian Witch
662993	73938	Mrs. Morgan
662993	86322	Letitia Witley
662993	115233	Mrs. Hannah
662993	115298	Trixie
662993	131410	Mrs. Freeman
662993	133590	Mrs. Joe Gargery
662993	134290	Old woman caretaker
662993	168864	Mrs. Pervis
662993	185390	Mrs. Tucker
662993	220366	Biddy O'Hara
662993	220893	Ma Smith
662993	233929	Mrs. Voray
662993	296810	Clara, the maid
662993	297912	
662993	323770	The Vengeance
662993	330547	Mrs. Bales
662993	335098	Mrs. Seagrim
662993	338988	
662993	349991	Tia Zorina
662993	361587	Mrs. Hartley
662993	367877	Mrs. Helen 'Nelly' Alistair
662993	400081	Mrs. Jiniwin
662994	199683	Woman on party boat
662995	162364	Prison Singer
662996	44551	Konisha
662996	60332	Herself
662996	92093	
662996	128696	Melanie
662996	159012	Foxy Chocolate Robot
662996	364207	Toinette
662997	105233	Ginny
662997	178208	Convent Girl
662998	2589	Herself - Presenter: Best Act
662998	34010	Bit Part
662998	34202	Lady Hamilton
662998	35814	Charlotte
662998	45421	Rita
662998	47079	Herself
662998	50207	Babs Flynn
662998	90860	Miss
662998	128923	Sophie
662998	141109	Isabella Garnell
662998	141787	Hedda Gabler
662998	149495	Isobel von Schonenberg
662998	150814	Ann Atkinson
662998	150876	Bernarda Alba
662998	151760	
662998	154368	Herself
662998	158916	Sarah Bernhardt
662998	166925	Herself
662998	177519	Queen Caroline
662998	188409	Julie
662998	194708	Tricia
662998	200922	Solange
662998	205076	Charlotte Corday
662998	206925	Queen Elizabeth I
662998	222709	Ailsa Brimley
662998	223058	Nina (Antonina Milyukova)
662998	228046	Sister Alexandra
662998	229405	Vivien
662998	243950	Herself
662998	250713	Patricia Neal
662998	271263	Anna Brangwen
662998	273399	Glitch the Witch
662998	276804	Margaret Grey
662998	281058	Elizabeth Fielding
662998	285879	Yelena Bonner (Sakharova)
662998	286195	Herodias/Lady Alice
662998	286391	Marina Palek
662998	292453	Harriet Cohen
662998	309261	Sister Geraldine
662998	314623	Stevie Smith
662998	316109	Nina Leeds
662998	319006	Alex Greville
662998	322600	Vanity Bag
662998	327232	Guest
662998	330884	Bit Part
662998	339877	Alice
662998	342049	Neaera Duncan
662998	365810	M.P.
662998	367816	Gudrun Brangwen
662998	387471	Queen Elizabeth I
662998	405558	
662999	333440	
662999	333441	
662999	390338	Herself (2000-2001)
663000	129539	Lady-in-Waiting
663001	101721	
663002	298220	Hooker in Lineup
663003	402197	Officer Gail Ward (1980-1986)
663004	161989	Mother in Carryout
663005	81062	Dutch Villager
663006	35812	Nurse in operating room
663006	223920	Lady in train
663006	279273	Maid in Mansion (1994)
663006	297190	Shopper
663007	1491	Herself
663007	1674	Herself
663007	1681	Herself - Presenter
663007	2009	Herself
663007	2626	Herself
663007	2721	Herself
663007	2960	Herself
663007	3165	Herself
663007	3393	Herself - Performer
663007	13784	Herself
663007	13785	Herself
663007	60685	Herself
663007	69079	Herself
663007	78183	Herself
663007	105203	Herself
663007	161346	Herself
663007	164613	Herself
663007	165505	Herself - Interviewee
663007	165506	Herself
663007	165507	Herself
663007	165508	Herself
663007	165509	Herself
663007	165515	Herself
663007	202195	Herself (at end of credits)
663007	208475	Herself (#15) (Interviewee)
663007	212709	Herself
663007	212711	Herself/Zombie (Scream/Thrill
663007	212715	Herself
663007	212716	Herself
663007	212717	Zombie (Thriller Video)
663007	221417	Herself
663007	221434	Herself
663007	221472	Herself
663007	221480	Herself
663007	221481	Herself - Presenter
663007	237006	Professor Denise Gaines
663007	258752	Justice
663007	277519	Herself
663007	305488	Herself
663007	319525	Herself - Halftime Performer
663007	352979	Herself
663007	361830	Herself
663007	386337	Charlene DuPrey (1981-1982)
663007	390357	Penny Woods (1977-1979)
663007	393237	Herself
663007	399249	Jojo Ashton (Dec-Jan)
663008	196191	Nursery School Teacher
663009	81289	G.N.N. Newscaster
663009	232311	Housewife
663010	16006	Wealthy Family Child
663011	40331	Principal Biggs
663011	61672	Emily
663011	70300	Reporter #1
663011	72509	Jenny
663011	74008	
663011	76526	Fan #2
663011	98818	Jo Metzler
663011	110319	Redhead
663011	141389	Rural Doctor
663011	192380	Mother
663011	195586	Wendy
663011	195769	Marion
663011	203358	National Enquirer Reporter
663011	220004	Market Mom
663011	245236	Marie
663011	257922	Woman
663011	258374	Young Woman
663011	274069	Dr. Hassler
663011	291495	Technician
663011	315619	Mrs. Oberg
663011	331188	Christine Schofield
663011	362527	Betsy Gordon
663011	374418	Helen Gray, Claims Zelig is f
663011	379409	Mindy Hardemann
663011	393415	Livie Ann (1996)
663012	151461	Agatzi Girl
663012	156889	Molly
663012	277895	Kate (owner of Kate's Place, 
663013	183669	
663014	85117	Louis' Assistant
663015	257684	Herself
663016	257816	Miss April 1989
663017	264157	Lady's Maid Priscilla
663018	2920	
663019	257647	Herself (Miss September)
663020	113526	Tammy
663021	33023	Herself
663021	78703	Jodie Abigail Landon
663021	162533	Jodie Abigail Landon
663021	162534	Jodie Abigail Landon
663021	385705	Jodie Abigail Landon
663022	68055	Second Chorus Girl
663022	101050	Young Girl
663022	148933	
663022	215748	Margie
663022	302603	Mary
663022	313057	Aviatrix
663023	154849	Mrs. MacDougall
663023	199404	Police matron
663023	324262	1st Nurse
663024	259749	Alma Pollock
663025	81638	Lacey Bodine
663026	38961	Lutie Yates
663027	99695	Ernestine
663027	141543	Millicent
663028	190796	Patient
663029	47007	Sarahlene Babcock
663030	58170	Laughing Chorus Girl
663031	26299	Narrator
663032	41240	Mrs. Graham
663032	56621	Brian's Mother
663032	106513	Ambition's Mother
663032	144969	Grandma Edwards
663032	193817	
663032	365056	Mrs. de Guenther
663033	307949	
663034	363729	Latecomer
663035	11231	Tamara
663036	46	Herself
663036	2025	Herself - Presenter
663036	2261	Herself
663036	2365	Herself - Co-host
663036	4651	Herself
663036	6688	Katie Nast
663036	11683	Herself
663036	20338	Arly hanks
663036	20435	Patsy Holland
663036	59663	Sabrina Duncan
663036	59666	Herself
663036	66938	Jessie Arnold
663036	75833	Herself
663036	78937	Herself
663036	81049	Donna Gregory
663036	81072	Mary Frances Radney
663036	81269	Carol
663036	87460	Polly Bishop
663036	87779	Herself
663036	100198	Rita Donohue
663036	102951	Shelley
663036	141044	Herself
663036	148580	Lucy
663036	159874	Jane Mount
663036	165253	Robin
663036	171351	Sandra Clayton
663036	176478	DeDe Cooper
663036	176791	Victoria Wells
663036	184829	Mom
663036	190928	Sandy Lawton
663036	191524	Frannie Greene
663036	196434	Diane Bodek
663036	200347	Herself
663036	201579	Claire
663036	214924	Terry Logan
663036	220048	Sharon Carlson
663036	230666	
663036	232017	Herself
663036	232027	Tracy Collins
663036	233914	Suzanne Kennerly
663036	247571	Laurie Ann Pickett
663036	269856	Dr. Nora Hart
663036	288472	Roberta Lockhart
663036	288473	Olivia Burtis
663036	289515	Mrs. Amanda King
663036	300334	
663036	301530	Dr. Rachel Lindsey
663036	316269	Mare Blackburn
663036	321176	Kit Gallagher
663036	330376	Linda Rivers
663036	332005	Nancy Sue Hunnicutt
663036	335953	Marion Kirby
663036	362227	Rose Earl
663036	381066	J.C. Wiatt
663036	383943	Sabrina Duncan (1976-1979)
663036	385719	Daphne Harridge (1970-1971)/D
663036	403705	Jill Danko
663036	404400	Mrs. Amanda King
663036	409121	Herself
663037	371965	
663038	223389	Glory Bell
663039	39524	Mrs. Brown
663039	86476	Nurse
663039	133958	
663039	169934	
663039	293644	Patient
663039	316715	Grandma
663039	342756	
663040	194497	Cute Hobbit Child
663040	194502	Cute Rohan Refugee Child
663041	227509	Naomi Richardson
663041	336914	Boo Baby
663042	117634	Counselor
663042	140194	Loretta
663043	161258	Herself (daughter)
663044	164560	Girl in Flashback
663045	185366	Susie
663045	255347	Alyssa
663045	273826	Luke's Sister
663045	278217	Receptionist
663046	104766	Irish entry (10th place)
663047	162779	Krisbell
663047	384306	Dancer
663047	384507	Dancer
663047	402676	Herself - Choreographer Assis
663047	403904	Lead Dancer
663047	406972	Lead Dancer
663048	241249	Extra
663049	44278	Eldriges Secretary
663049	290939	Autograph Seeker
663050	20001	Other Woman
663051	958	Herself - Presenter
663051	34903	Herself
663051	257582	Herself
663051	360377	Herself
663051	393237	Herself
663052	343881	Guard
663053	391509	Dawn (Series 6-9) (1984-1988)
663054	142310	Helena
663055	142310	Helena
663056	10305	Alex Archer
663056	122166	Elegant Lady
663056	252854	Stephanie Kelly
663057	252960	Kitty
663058	71595	
663060	347346	Mrs. Grady
663061	195765	Juanita Harris
663061	391077	Juanita Priscilla Harris
663062	102013	Nellie Vanderpark
663064	230240	Stormy
663065	47019	
663065	385659	Mab Meyrick
663066	61928	Secretary
663067	308609	Fake Breasted Woman
663068	47083	
663069	309592	Mrs. Sands
663071	38989	Nellie Nez
663072	127155	Jane
663073	408234	
663074	10314	Narrator
663074	39714	Mrs. Case
663074	156511	Inge Wells
663074	206335	Edwina Graham
663074	259216	Ms. Click
663074	387542	Violet
663075	6462	
663076	79145	
663077	2445	Herself (during March on Wash
663077	20054	Herself
663077	34701	Herself
663077	156940	Choir soloist
663077	166064	Herself
663077	312585	Bessie May
663077	361817	Herself
663078	34669	Rookie Cop's Wife
663078	76618	Retta Rollins
663078	105465	Pirana
663078	147732	Regina
663078	302949	Amy
663079	403376	Wendy
663080	343138	Bystander
663081	18552	Casino Patron
663081	20625	Extra
663081	27331	Waitress
663081	42125	
663081	88653	Dancer
663081	96889	Showgirl
663081	170378	Mannequin
663081	188326	Dancer
663081	274745	
663081	285032	Indian Woman
663081	304876	Dancer
663081	308569	
663081	372170	Nurse
663082	14159	Sheila (at 7)
663083	374589	REporter
663084	130275	Scott's Sister
663084	202195	Ilyasah, 2 and 3 years old
663085	9129	Sister Felice
663085	23975	Mother Veronica
663085	35472	Eddy Frazer
663085	37452	Mrs. Dill
663085	42112	Louise
663085	56207	
663085	68162	Feeta Wilson
663085	73333	Mrs. Cline
663085	79757	Emily Baldwin
663085	88566	Mrs. Stone
663085	105890	Mrs. Clelia
663085	107388	Latin teacher
663085	108382	Carrie
663085	120225	Country woman
663085	176299	Mrs. Evans
663085	186681	Emma Schlarp
663085	188618	Edna Miller
663085	209655	Esther Lovell-Mingott
663085	224371	Mrs. McDaniel
663085	244923	Miss Moran
663085	245907	Cleaning lady
663085	304021	Crawldaddy
663085	305363	Rose
663085	307898	Frances
663085	324983	Charlotte Thompson
663085	339404	Witness
663085	342975	Grandmother Mary
663085	358865	Miss Emily Baldwin
663085	358866	Miss Emily Baldwin
663085	358867	Miss Emily Baldwin
663085	360711	Emily Baldwin
663085	365424	Sada's mother
663085	391040	Sarah Wicks (1983)
663085	400853	Great Grandma Greenwell
663085	406083	Frankie
663085	410568	Emily 'Miss Emily' Baldwin
663086	85251	Herself
663087	130037	Smillie's Wife
663087	199955	Maeve Sweeney
663087	208034	June Boyd
663087	335616	June Boyd
663088	72931	Goodyear Chorus Girl
663089	26439	
663089	30067	
663089	30071	
663089	31771	Mary Ann
663089	41049	
663089	45015	Mary Ann
663089	45356	Mary Ann
663089	49804	Bubbles Smith
663089	56791	Mary Ann
663089	56817	
663089	61306	
663089	72700	Mary Ann
663089	78042	
663089	98821	Mary Ann
663089	109468	Mary Ann
663089	114240	Mary Ann
663089	116107	
663089	131918	
663089	134717	Mary Ann
663089	142686	Mary Ann
663089	143116	Girl
663089	147984	Mary Ann
663089	168916	
663089	186038	Betty (little girl in the par
663089	186549	Mary Ann
663089	191750	Mary Ann
663089	192080	Mary Ann
663089	195500	Mary Ann
663089	198544	Rosie Kettle
663089	216688	Mary Ann
663089	234600	Mary Ann
663089	239630	Mary Ann
663089	267394	Mary Ann
663089	271149	Mary Ann
663089	280362	Bubbles Smith
663089	288745	Mary Ann
663089	290301	Mary Ann
663089	290396	Mary Ann
663089	299389	Mary Ann/Mary Annicus
663089	305042	Herself
663089	305382	Mary Ann
663089	305623	
663089	305624	Bubbles Smith
663089	305625	Bubbles Smith
663089	305626	
663089	305627	
663089	305628	Bubbles Smith
663089	305631	Bubbles Smith
663089	305632	Bubbles Smith
663089	305633	
663089	305634	
663089	305635	
663089	310359	Mary Ann
663089	310362	
663089	326407	Mary Ann
663089	336807	Mary Ann
663089	345813	
663089	363169	Mary Ann
663089	365098	Mary Ann
663089	395744	Mary Ann (1929-1931)
663090	62967	Raven (English)
663091	196684	Party girl
663092	287728	Street child #1
663093	16004	The Rivet Eaters
663094	95838	Alex Baxter
663095	362512	Choir Member
663096	228448	Baby
663097	338098	Mary Selby
663098	82684	Herself
663099	151167	
663099	389944	Madame Gregoire
663099	398965	Countess Muffat
663099	407185	Miss. Hart
663100	337227	Herself
663101	99530	Backing vocals in The Elton J
663101	285032	Indian Woman
663102	362088	
663103	174918	Da Brat's Assistant
663104	402993	Herself/Back to New York (200
663105	302748	Dream Girl
663106	279323	Strip Joint Girl
663106	291449	Pageant Girl
663107	298090	Female Walk On
663108	192789	Herself
663109	245589	Officer Candidate's Wife
663111	96889	Dancer
663111	265265	Lion
663112	320125	Herself
663112	407079	Herself (6 Days, Maraamu Trib
663113	156466	Juror #7
663113	192282	Herself/Canadian Civil Libert
663114	20287	Dancer
663114	64533	Jeannette
663114	75928	Randon Child
663114	77805	Chorus girl
663114	104340	Governor's Child
663114	128316	Bebita
663114	130149	
663114	133956	Miss Peaches
663114	146248	Undetermined Role
663114	149481	Roger Livingston Talbot Jr.
663114	154432	Boy
663114	163544	Dancer, Cuban Girl
663114	175630	Virginia Beaumont
663114	183974	Lahoma, as a child
663114	214553	Joy child
663114	241642	Mary Jane
663114	255452	Betty Malone
663114	258971	Margot LeBlanc, as a child
663114	263978	Claudia (age 4)
663114	278586	Maria Inez, 6 years
663114	280485	
663114	331879	Conrad
663114	362742	Crippled Child
663114	363548	A Man's Daughter
663115	109729	Gracie Hallet
663116	214162	June
663117	366260	
663118	348219	Betty
663119	164613	Herself
663119	393237	Herself (1976-1977)
663120	341028	Black Nun
663121	365909	Witch
663122	80585	Juanita Benson
663122	87979	
663122	110278	Cheryl C.
663122	138348	Lila
663122	362512	5th Ikette
663122	378726	Nurse A.J. Gilroy (1990)
663122	385204	Jess Jameson
663122	390348	Vera Hudson
663123	372544	Mrs. Curie
663124	228967	
663125	268026	Barbara Casey
663126	188963	Waitress
663126	228434	Mickey's Mom
663127	229860	
663128	42768	Ruby Keene
663128	161170	Sharon
663128	275479	Sue
663128	385020	Karen Oldfield (1980)
663128	407174	Victoria Jane Halford
663129	77922	Rockwell's Girlfriend
663129	168586	News Anchor #1
663129	177572	Maria DeFranco
663130	316661	
663130	323225	Police Officer
663131	64091	Woman
663132	90429	Witness
663133	334289	Taryn Hatch
663134	133678	Young Grace
663135	57489	Tamika
663135	108359	
663135	131380	Monique
663135	132739	Carlene
663135	195262	Felicia
663135	398027	Niecy Jackson
663136	362996	Susie, Barmaid
663137	246517	Ms. Dulles
663138	24157	
663138	222784	Dildo Girl #2
663139	26528	
663139	183669	Bambi
663140	2161	Deirdre Beatty
663140	124794	Office Worker
663140	187991	Lisa Duncan
663140	218598	Virgin
663140	334720	Latisha (Voice)
663141	7010	Mary Jane Wilkes
663141	18724	Bit part
663141	29903	Jennifer Randall
663141	46396	Amelia Morgan
663141	56301	Jennifer
663141	67845	Annie
663141	71463	Shasta
663141	72135	Susie
663141	75553	
663141	79450	Older Cousin
663141	128417	Pat Clauson
663141	133509	Musetta as a Child
663141	135973	Samantha
663141	142560	Little Italian Girl
663141	146815	Stefanie
663141	158056	Contessa Sheranne de Talivera
663141	158898	
663141	191212	Jenny
663141	194582	Annie Ridd as a child
663141	195162	Girl
663141	198436	Little Girl
663141	198541	Susie Kettle
663141	198543	Susie Kettle
663141	198544	Susie Kettle
663141	198545	Susie Kettle
663141	214648	Connie
663141	214957	Jacinta Marto
663141	216926	Evelyn, 5 Years Old
663141	218091	Mona
663141	231131	Girl in Church
663141	276923	Marie Derry
663141	301746	
663141	308109	Child
663141	314948	Abigail Bratowski
663141	330915	Susan Halleck
663141	340465	Carole Williams
663141	362840	Ruthie Reed
663141	363282	Girl in Iron Lung
663141	365372	Lee Sullivan
663141	365510	Nancy Belacourt
663141	372345	Jane, age 6
663141	390607	Joanna
663141	396559	Terry Williams (1953-1958)
663141	407135	Melanie Culpin
663142	65628	May Ella
663142	81052	Psychiatric patient
663142	92302	Detective
663142	99055	Argon
663142	102951	Receptionist
663142	233567	Smoking Hospital Lady 3
663142	310726	Addtional Bus Passenger
663143	223787	Boom Boom
663144	175815	Ellie Morgan
663144	361611	
663145	334757	Rose Maybud/Chorus Act 2
663146	257234	Jen
663147	264157	Mia's Friend Teresa
663148	18	Party Guest
663149	45119	
663149	112526	
663149	114307	
663150	130275	Scott's Sister
663150	202195	Ilyasah, 2 and 3 years old
663151	161989	Police
663152	274994	LaShay
663153	213158	Tatiana
663154	186681	Angel of Mercy
663155	64077	Esmerelda
663155	321774	Sally
663156	314156	Noreen's Harvard Roommate
663157	163565	Manicurist-soloist
663158	338638	Mocha Band Member
663159	358609	
663160	58946	Gwen
663161	153066	
663161	196759	Wrestler
663162	141416	Hairdresser's Friend
663163	176516	Receptionist
663164	344534	Herself
663165	4618	Handmaiden (Miss Montana)
663165	16677	Voodoo Dancer
663165	128709	Angela Schultz, contestant
663165	130717	Handmaiden
663165	186271	Clarissa
663165	323435	Dancehall girl
663166	388262	Contender-Winner
663167	166637	Hydettes
663167	369492	Xanadu Dancer
663168	18598	Bridge Crosser
663169	294	Terri (UHF)
663169	295	Teri (UHF)
663169	9906	Teri (UHF)
663169	16391	Herself
663169	26289	Eve
663169	30581	Corduroy
663169	33040	Herself
663169	43378	Waitress
663169	56654	Melissa
663169	68019	Herself
663169	71495	Robin
663169	90425	Herself
663169	91720	Racetrack Model #1
663169	93054	Kit Keller
663169	99975	
663169	108261	Christine, Adam's Girl
663169	137489	Annie O'Hara
663169	143284	Norma
663169	151378	The Cat
663169	154446	Lacey
663169	170572	
663169	170620	Nurse
663169	233782	Charlotte Bildmore
663169	242519	Herself
663169	253336	Lisa Kaye
663169	255169	Lulu
663169	287779	Communication Elf
663169	287780	Communication Elf
663169	288700	Herself/Christine
663169	288701	Herself
663169	288702	Herself
663169	288703	Herself
663169	288708	Herself/Donna Rice
663169	288711	Herself (Various Characters)
663169	288712	Herself/Various Characters
663169	288716	Herself/Various Characters
663169	288719	Herself
663169	300527	Harriet Ballister
663169	344203	Teri
663169	346234	Nellie
663169	357985	Victoria
663169	360670	Botique Customer
663169	378667	Regular
663169	384888	Carol
663169	389756	Penelope
663169	390915	Annie O'Hara
663169	395161	Herself (Celebrity Talent Sco
663169	398213	Herself
663169	399947	Crystal Tate (2002-present) (
663169	403682	Mrs. Rogers
663169	404337	Various (1986-1992)
663170	248098	
663170	313190	
663171	274283	Troupe member
663171	301922	Molly Doren
663172	44493	Walt's Girl
663172	384072	Girl Swimmer
663173	1784	Amy
663173	42924	Hillary Winfrey (segment "The
663174	380911	Semi-Finalist (2003)
663175	221005	Snowboarder
663176	12114	Rainbow as a Baby
663177	264157	Church Choir Member
663178	80549	Kuller
663178	193123	Nails
663178	207681	Claudia
663178	313727	Cpl. Kelly
663178	335254	
663179	296205	Prostitute #5
663179	317248	Van Girl
663180	55206	Mercédès
663181	6973	
663181	6976	
663181	11526	
663181	39231	
663181	39253	
663181	39264	
663181	39298	
663181	39313	
663181	39477	
663181	39590	
663181	39609	
663181	39647	
663181	39950	
663181	44022	
663181	44109	
663181	48576	
663181	62456	
663181	62502	
663181	102740	
663181	127733	
663181	128241	
663181	149250	
663181	157796	
663181	191370	
663181	201322	
663181	203552	
663181	269033	
663181	319330	
663181	343078	
663181	361211	
663181	365598	
663181	372090	
663182	317338	Jan
663183	318265	Hija2 Policía Bco.
663184	11337	
663184	132207	Toni's Older Sister
663184	333059	
663184	383054	Monica
663184	404049	Krissy
663185	86239	Journalist
663185	98080	
663185	325458	Doris Beck
663185	325684	Heike
663185	358099	Waltraud Ularczyk
663185	361368	Eva
663185	380905	
663186	160	Evangéline Pelleveau (Young M
663186	6384	Georgette
663186	28510	Louise
663186	30314	Arlette
663186	33500	
663186	43636	Madame André
663186	46006	Cécile
663186	66745	Françoise
663186	69116	
663186	69983	
663186	84042	Herself
663186	86427	Evelyne
663186	86428	Anne
663186	91910	Jeanne Malaterre
663186	110158	Diane Lessing
663186	112819	Rose
663186	115356	Madeleine de Renoncourt
663186	122411	Herself
663186	133164	Carla Milo
663186	164149	Lily
663186	165756	Micheline
663186	168276	Julie
663186	201114	Hélène
663186	201115	Delphine
663186	202088	
663186	206008	Marie-Françoise Tocanier
663186	208834	Nora
663186	211848	Yolande
663186	217726	Christelle
663186	225524	Sylvette Martin
663186	227317	
663186	229078	Yvette Bougrain
663186	230206	Dominique
663186	237477	
663186	244756	Nathalie
663186	261855	Christine Ponty
663186	262993	Mme Goldman, la mère
663186	269225	Dieu Suzanne
663186	269726	Véronique
663186	269737	Rose
663186	269738	Rose
663186	307109	Fleurette
663186	314363	
663186	319826	Arlette
663186	325343	Catherine Billard
663186	332191	Marcelle
663186	336234	Dominique Dumas
663186	339541	Lise
663186	344427	
663186	345078	
663186	353885	Marie-Thérèse
663186	353944	
663186	370013	Lorène Benguigui
663186	377901	
663186	377914	Maryse Saussois
663186	377980	Madame Lecoeur
663186	384596	Missy
663186	402664	La secrétaire du directeur
663186	408662	
663187	396410	
663188	257672	Herself
663190	109948	Irmã Lúcia
663191	269091	
663192	376082	
663193	180912	Pflegerin Birkenhof
663194	269091	
663195	33575	Leoena
663196	7462	Agneska
663196	9653	The Girl
663196	11326	Regina
663196	23745	Mlle Davenne
663196	24584	Michelle
663196	28992	Marine
663196	46936	
663196	65350	Beatrice
663196	74912	Gabrielle Boyer
663196	74914	Patricia
663196	91912	Weronika/Véronique
663196	100582	
663196	102941	Anne
663196	109029	Herself
663196	113004	Herself
663196	121416	Prune
663196	146617	Natasha Scriabina/Anna Belink
663196	158812	Prof. Marieke van den Broeck
663196	164534	
663196	188672	The unknown woman
663196	193572	Fiona Delgrazia
663196	198294	Herself
663196	198303	La mère de Parva
663196	204560	Marie
663196	214021	Julie
663196	220266	Mme Daudet
663196	224085	Aunt Heloise
663196	235871	Angelique de Roquebrune
663196	237335	Clara Sidowski
663196	244316	Desdemona
663196	260790	
663196	262676	Lyuda
663196	292364	Sarah
663196	292419	Mary's Mother/Aunt
663196	340120	Valentine
663196	343907	Marie Bineaux (Sheridan's gir
663196	351254	Johanna
663196	353523	Alma
663197	269091	
663198	28612	Pretty Girl
663198	49306	
663198	115224	Angela (jung)
663198	197016	Gretchen
663198	219290	Junge frau
663198	225202	Tina
663198	272824	Gabi
663198	314910	Sabine Bruening
663198	404458	Ariane Schlagzu
663199	170567	
663199	338585	
663199	380259	Beverley Slater (1979-1981)
663199	387247	Carmel Jackson (1985-1989)
663199	399554	Senisimilia
663199	402607	Sabrina Kitts
663199	402970	Various Roles
663200	43385	
663200	49265	Sabrina Lorenz
663200	49266	Sabrina Lorenz
663200	49267	Sabrina Lorenz
663200	49268	Sabrina Lorenz
663200	49269	Sabrina Lorenz
663200	49270	Sabrina Lorenz
663200	49271	Kommissarin Sabrina Lorenz
663200	49272	Sabrina Lorenz
663200	49273	Sabrina Lorenz
663200	49274	Sabrina Lorenz
663200	49275	Sabrina Lorenz
663200	49277	Lorenz, Sabrina
663200	49279	Sabrina Lorenz
663200	49280	Sabrina Lorenz
663200	49281	Sabrina Lorenz
663200	49282	Sabrina Lorenz
663200	49284	Sabrina Lorenz
663200	49285	Sabrina Lorenz
663200	49286	Sabrina Lorenz
663200	49287	Sabrina Lorenz
663200	49288	Sabrina Lorenz
663200	49290	Sabrina Lorenz
663200	49293	Kommissarin Sabrina Lorenz
663200	49294	Sabrina Lorenz
663200	49295	Sabrina Lorenz
663200	49297	Sabrina Lorenz
663200	49298	Sabrina Lorenz
663200	49299	Sabrina Lorenz
663200	49300	Sabrina Lorenz
663200	49301	Sabrina Lorenz
663200	49302	Sabrina Lorenz
663200	49303	Sabrina Lorenz
663200	49304	Sabrina Lorenz
663200	49305	Sabrina Lorenz
663200	49306	Sabrina Lorenz
663200	49307	Sabrina Lorenz
663200	49308	Sabrina Lorenz
663200	49309	Sabrina Lorenz
663200	49310	Sabrina Lorenz
663200	49311	Sabrina Lorenz
663200	49312	Sabrina Lorenz
663200	103059	Sylvia
663200	134249	Grete Minde
663200	188801	
663200	228207	
663200	259657	Frau Kirch
663200	290744	Ellita
663200	343364	
663200	376476	
663200	379772	Dr. Sonja Kofler-Muth, geb. M
663200	389785	
663200	392634	
663200	392636	Franziska
663200	394228	Charlotte
663200	395062	
663200	403642	Marguerite de Valois
663200	403794	
663200	404224	Waltraud Michel
663201	252285	Gas off girl
663202	92697	Barina, Ealina
663203	33960	Marije
663203	206623	Monique
663204	43543	Hata Sari
663204	106972	
663204	374388	Evelyn Wepp
663205	5503	Charlotte
663206	269091	
663209	208694	Woman in Wagon
663209	385659	Gadmere Servant
663210	116928	Babs
663210	335721	School teacher
663211	86575	Marguerite
663211	235719	Justine
663211	345270	
663211	392911	Vanessa
663211	403907	Angelica Cornichon/Jules
663211	408652	Deborah
663212	109948	Irmã Lúcia
663213	197016	Tinker
663214	341766	Annegret Dürlinger
663215	100447	Shinka
663215	123108	Journey
663215	123112	Journey
663215	139476	Elda
663215	383107	Kanae Oikawa, Makiko Kisugi
663215	390537	Kaoruko
663215	392026	Additional Voices
663215	394175	Maho Isawa
663215	398579	Betty, Harumi
663215	401740	Additional Voices
663215	405278	Additional Voices
663215	411261	Griffin (2004)
663215	411449	Bathyscaphe
663216	154785	Woman Clerk
663217	283466	Sally's Girlfriend #1
663218	394325	Additional Voices
663219	147694	Amanda, Seder Guest
663220	215578	Brunette ballerina
663220	321121	
663221	11836	Lara Singer
663221	16662	Tanja
663221	17528	Anna Heller
663221	23112	Anna Beck
663221	34993	Lara Singer
663221	115652	Dorkas
663221	119219	Anne
663221	125218	
663221	142078	Bea Moll
663221	142329	Jenny Harland
663221	173697	Anita Harmsen
663221	173698	Anita Harmsen
663221	173699	Anita Harmsen
663221	173702	Anita Harmsen
663221	220205	Diaz
663221	283493	Anna
663221	290811	Marlene
663221	302786	Katherin Schmidt
663221	312600	Steffi
663221	317498	Bibi von Ohlen
663221	334623	Vanessa Kramer
663221	350403	Vanessa Kramer
663221	391316	Jenny Harland (1998-1999)
663221	395471	Wist
663221	405749	Jutta Stolz
663221	409609	Pauline Quandt (1992, 1994)
663222	174790	Die Köchin
663223	35206	
663223	277748	
663223	321799	
663224	5036	Paramedic
663225	120287	Jenny (segment Dr. Dobermind)
663226	183717	Melissa Anne Montgomery
663226	302783	Lisa Parnell
663227	373963	
663228	218534	Cookie Jordan
663229	307250	Fraülein Müninger
663230	98757	(segment "O Artesanato de Ser
663231	1662	
663231	8878	
663231	11692	
663231	24714	
663231	25321	
663231	52872	
663231	55956	Lauretta
663231	57962	Marina
663231	82715	
663231	168906	
663231	199053	
663231	269021	
663231	277282	
663231	281624	
663231	311810	
663231	315428	
663231	336128	
663231	344412	
663231	351298	
663231	351845	
663231	353060	
663232	6278	
663232	14898	
663232	20158	
663232	21202	
663232	23589	La madre
663232	30739	Maria
663232	31960	
663232	31961	
663232	37508	Ada
663232	42956	
663232	42958	
663232	52057	Cainà
663232	55410	
663232	55988	
663232	56032	
663232	57966	
663232	61076	
663232	67840	
663232	78558	Maria di Vigliè
663232	90678	Maria, sorella di Rodolfo
663232	97657	
663232	99879	
663232	113096	
663232	122546	
663232	127628	
663232	128006	
663232	129036	Luigia Uttini, madre di Verdi
663232	158806	
663232	197046	
663232	202696	
663232	210318	Anna Maria Mozart
663232	241914	
663232	243503	
663232	248649	
663232	250510	
663232	252715	Annette
663232	262639	
663232	262640	
663232	269177	
663232	274897	
663232	276442	
663232	277743	
663232	289354	
663232	301349	
663232	301380	
663232	301384	
663232	314355	
663232	314583	
663232	316045	
663232	327440	
663232	348133	
663232	351406	
663232	352228	
663232	353066	Suor Maria
663232	353161	
663232	374854	Yelizaveta Andreyevna Protaso
663233	80254	Secretary
663233	393363	Severina
663233	395300	Esperanza (mama de Rosi)
663233	397572	
663234	194938	Villager
663235	24368	
663236	300099	Sophie
663237	277803	Ryan
663238	310423	Charlene
663239	128346	Vicki Poolin
663240	112917	Verpleegster 1
663241	71537	Goldie Rindskopf
663242	314257	Girl in Car Dealership
663243	106271	Herself
663244	392117	Nurse Nancy (1980-1982)
663245	343130	The Widow Dubrish
663246	92618	Wedding Quartet
663247	83650	Debra Brice
663247	275715	Maud
663248	11286	Mrs. Speigleman
663249	139777	Model #1
663250	32440	Lisa's Secretary
663250	208074	Ivy
663250	211358	Katrina
663250	405024	Alice Meadows
663251	310141	Female lieutenant
663252	242023	Soldier 4
663253	340808	Student
663254	168254	Contestant
663255	230100	Une jeune fille nue
663256	128596	Devil in Bar
663256	214526	
663257	173318	Debbie
663258	158625	Maples' Daughter
663259	131006	Lady at circus with child
663260	191394	Designer's Assistant #1
663261	45707	Renee
663262	408334	Zebra
663263	44433	Woman at Secretary Strike
663264	294150	
663265	275871	Red-Haired Cheerleader
663266	13643	Redcross
663266	15254	Anita Schaeffer
663266	40812	Noreen Baker
663266	82528	Bartender
663266	83127	
663266	142487	Mort
663266	264423	Old woman
663266	295435	American Tourist
663266	306275	
663267	11420	Delena Wilson
663267	80694	Debbie
663267	131359	Lena
663267	292017	Weegie Somerset
663268	79747	Leliah
663268	148222	Lindy
663268	190330	Second crew member
663268	222720	
663268	292050	
663268	317327	Alex Khaled
663268	392283	Princess Saskia
663268	393314	Eliza Reed
663268	402124	Georgiana Darcy
663269	117162	Ida Silver
663270	226929	Student
663271	330446	The Wonderful Julie-Ann Maybe
663272	161324	Herself (Best Friend)
663273	220968	Julia Kern
663275	87896	Mourner #7
663276	388051	Herself (2001)
663277	31672	Vette Driver
663277	187729	Agent Schnitt
663277	202363	Party Guest
663277	223787	Party Animal
663277	224149	Lunch Meat
663277	224376	Bootsie
663277	250744	Bar Fly
663277	301556	Sister Newton
663277	310637	Bar Hearing Reporter
663277	335230	Wilde Abandon
663277	350337	Pregnant lady
663277	350347	Graduation Guest
663278	79860	Laverne/Irish Maid
663278	159170	Sophia Hapgood
663279	96870	Alice
663279	201569	Herself
663279	391759	Nurse Donna Jackson (2004-)
663280	167708	Waitress
663281	55536	Heidi Carmichael
663282	388595	Jennifer McPhail
663282	404092	Melanie Atwood (#2) (2003 -)
663283	84440	Harmony
663284	85084	Victoria
663285	314927	Party-girl Bit
663286	222709	Stella Rode
663287	329800	
663288	316287	Nora
663289	141635	
663289	141782	Ivy Clements
663289	385105	Esme Watson (1981-1993)
663289	399816	Mrs Carson
663290	28791	Da Bomb Girl
663291	35155	Radio Caller
663292	139591	Mother
663293	171877	Mama
663293	211186	
663293	258184	
663293	356078	Trees
663293	357359	Solange
663293	379770	Lieve Paulus (1998-1999)
663293	389782	
663293	391491	Betty
663293	399658	Annette (2000-)
663293	406558	Paula Rommens
663293	411311	Karen Vandenbroecke (2004-)
663294	97018	Wino Woman
663295	12319	Party Guest
663296	128596	Woman with Baby
663297	23248	
663297	23559	Anne Frank
663297	73361	Lucy
663297	163542	
663297	239449	Dr. Bauer
663297	379703	Monica Haddon
663297	401778	Margot
663298	259269	Electra
663299	69049	Jade
663300	132429	
663300	313308	Snowhorn Tribe
663301	101299	Rivkah
663301	314782	
663302	308018	
663303	378659	Herself (2002-2003)
663304	328682	Patricia
663305	122993	Rosanna
663306	42373	Diane/Diana
663306	336234	Aude
663306	345092	Kim
663306	345274	Anne
663307	114071	
663307	129226	Rosalind Crumbles
663308	405217	Adela (aged 6)
663309	231790	Loriann
663310	106271	Herself
663311	14231	Mrs. Kessler
663311	38684	Mrs. Flemming
663311	53310	Rosemary
663311	73843	Madam Speaker
663311	77202	Landlady
663311	80501	Mrs. Gogarty
663311	94767	Landlady
663311	131772	1st Card-Playing Lady
663311	221160	Brothel Madame
663311	221166	Speaker
663311	258933	Mrs. Pearstock
663311	275390	Mrs. Mortimer (the cook)
663311	291529	Mrs. Runcorn
663311	298055	Doreen
663311	326383	Molly
663311	334352	Mildred
663311	351238	Dita Jago
663311	360469	Deidre
663311	366180	
663311	379600	Peggy Sagar (cafe owner)
663311	380276	Mrs. Ponsonby
663311	381594	Mrs. Bagg-Meanly
663311	395736	Mrs. Perkins
663311	401937	Mrs. Biggs
663311	404575	Florrie
663312	77759	Sarah
663312	184714	Virginia Hill
663312	272602	Lucy
663312	274518	Alien Vixen
663312	274519	Alien Vixen
663312	389239	Laura
663313	69053	Cocktail Server
663313	122793	Mrs. Pasolini
663314	1099	Odemeyer
663314	81016	Heidi Prince
663314	151566	Rachel
663314	176392	Marta
663314	201004	Rachel Johnson
663314	235059	
663314	345748	Young Nancy
663314	364313	Joyce Fray
663314	390691	Shelley (1987-1988)
663314	393119	Carol Long
663315	168665	Sharon
663315	255682	Eni Vatapa
663316	61156	Acrobat
663317	281881	
663317	326805	April O'Neill
663317	407700	April O'Neill
663317	407701	April O'Neill
663318	342924	Big Men Big Women Dancer
663319	343294	Exercise Instructor
663320	387323	Redactielid (1995-1996)
663321	222784	Ice Cream Girl #1
663322	126511	Nurse Lamkin
663323	292652	
663324	26077	Woman in Coffee Shop
663324	37312	Social Service Woman
663324	40800	Grandmother
663324	61794	Grandma
663324	278466	Grandma
663325	267684	Citizens of New Orleans/Field
663326	274067	Tour Guide
663327	327840	Nurse
663328	144406	
663328	406293	Judy Banks
663329	41444	School 1
663330	33775	Mother
663330	120248	Woman #2
663330	194638	Party Goer
663330	231915	The Hookers
663330	304955	Bank teller
663330	318457	Martha Tracy
663330	339369	Susan Fine
663330	406706	Jill (1986-1987)
663331	381821	Ensemble (1972-1973)
663332	79530	Vicki
663332	102581	Parents
663333	354160	Betty-Jo
663334	257460	VC Woman
663335	34371	
663335	51291	Gurli
663335	144225	
663335	255660	
663335	286639	Marit
663336	56885	
663337	78303	Frau König
663339	2466	Jenta (Pike med hvit ball)
663339	2976	
663339	28531	Gunvor, Oles søster
663339	46614	Mother
663339	104886	Socialarbeider
663339	120967	
663339	139006	Dagmamma
663339	143730	Sykepleier
663339	153955	Oscar's Wife
663339	205809	Mariken
663339	228411	Alvhilde
663339	229298	Jente i studio #2
663339	240121	Nurse Agnes
663339	253029	Klara
663339	275199	Petrine
663339	305877	Fru Sørensen, taxisjåfør
663339	354416	
663339	356489	
663339	360852	Grace
663339	382895	Mor
663339	389138	Madam Blomgren
663339	410019	Anna Nedrebø
663340	159641	Frk. Sørensen
663340	322681	Frk. Hopballe
663341	201107	Peggy Mason
663342	22818	Dame i begravelsen
663342	47397	Fru Sagen
663342	84288	Frøken Ødegård
663342	104886	Sejer's Mother
663342	105364	
663342	121582	Annes mor
663342	122506	
663342	172843	Fru Moe
663342	180711	Elise Gjør
663342	237272	
663342	317650	
663342	346964	Eva Berger
663343	78487	Herself (performing 'Til en v
663344	209312	
663345	12812	Alyse
663345	251541	La 'boîte aux lettres'
663345	260118	Lyle
663346	342076	Doctor
663348	288748	Julie
663349	19209	Kristina
663350	80594	Alyse
663350	316858	Chambermaid
663351	44378	Snæbjörg
663352	75728	
663353	314989	Herself - Gudrun's mother
663354	147018	Herself - Performer
663354	314989	Herself
663354	401951	Herself - Participant
663354	406569	Herself - Participant - Winne
663355	406568	Herself - Member of jury
663355	406569	Herself - Member of jury (sea
663356	98237	
663356	104737	Norwegian entry (10th place)
663356	117902	Radio singer
663356	180100	Fru Tangen
663356	304182	Tante Liv
663356	305859	Singer
663356	392395	Ruth
663357	12094	Mrs. Thayer
663358	15145	
663358	16233	Ira Corvina
663358	21285	
663358	102970	Dorothy Hilton
663358	120032	Rosi
663358	270420	
663358	337066	Grace
663358	367186	Die Blonde
663359	139648	Else, servitrice
663360	406289	Herself - Host
663361	227735	Evas mor
663362	133447	Pamela
663363	181071	Herself
663364	234826	Lonni
663365	51295	Didde
663365	170392	Thora
663365	178731	
663366	96958	Off-camera singer
663367	322680	
663368	63946	
663368	99415	Reidun Nordsletten
663368	116447	Marianne
663368	286085	Politikvinne på fabrik
663369	117691	Maren, den stumme
663369	153288	Klasseveninne
663370	240111	Valborgs søster
663371	102983	
663371	116311	
663371	226267	
663372	69053	Club Patron
663373	927	Herself
663374	317646	Woman 2
663375	78488	Herself (performing 'Født til
663376	76253	Julie Gaffney
663376	76254	Julie Gaffney
663376	210741	Hailey
663376	218785	Patty
663376	281382	Becky
663376	291974	Hannah Allen
663377	188486	Big Bertha
663378	162347	Female AP
663378	340738	Lena
663378	343907	New York reporter
663378	375862	Lucy Flathead
663379	108354	
663380	109454	Lady in Street
663381	377792	P.M.U. Customer
663382	125825	Agent Costello
663382	392648	
663383	12319	Party Guest
663384	113814	Kasi
663384	245296	Secretary
663385	406242	Herself
663386	397936	Herself (1968-1969)
663387	224492	Sally
663387	235639	Etana
663388	188639	
663390	57013	Comedienne
663390	143832	Mrs. Rothberg
663391	173885	Injured Woman
663392	7959	Governor's Wife
663392	26417	Jessie
663392	46415	
663392	64417	Mom
663392	117395	Roseanna
663392	160659	Arlene
663392	167566	Dr. Louise Lester
663392	202864	Verla
663392	235449	Sophia
663392	236890	Sherri Martin
663392	237931	DeeDee
663392	259307	Annie
663392	276376	Amanda King
663392	311428	Jill (one of two girls at tab
663392	345850	Marlene
663392	388237	Erin Jones (1986)
663392	399241	Larue Wilson (1986-1987)
663393	83847	Mw. Resnick
663393	107902	Marian Parks
663394	66902	Julie
663395	32187	Teacher
663396	100245	Ellen Sahlberg
663396	116462	Irene
663396	122457	Ebba von Tell
663396	122463	Typist
663396	134939	Ivan's Sister
663396	137902	
663396	145497	
663396	200693	
663396	200694	
663396	216780	
663396	218891	Daughter
663396	223205	Hilda Dahlkvist
663396	237259	Evelina
663396	316822	Gurli Hagberg
663397	77712	Flora
663399	333443	Aliens - Nest
663400	298173	Tail
663401	12319	Little Girl
663402	49069	Baby
663403	389584	Jessica Persson
663404	140392	Karin Persson
663405	164649	Amanda Masinski
663406	182454	Anna
663407	122321	Gertrud, housekeeper of the v
663407	357776	Lisa, Wife of Sven Ersson
663408	464	Marieke
663408	6592	Hélène/Ellénore
663408	11315	Lisbet Enarsdotter
663408	11771	Lore Lücke
663408	28811	Vera Berg
663408	51122	Nisse's Fiancee
663408	73185	Nicole Brunel
663408	89852	
663408	98270	Mrs. Kolczyk
663408	110114	Eugen's mother
663408	113351	
663408	142007	Lena Larsen
663408	143924	Anna Pedersen
663408	143995	Elsalill
663408	148817	Kerstin
663408	156691	
663408	174049	Karin Månsdotter
663408	182807	Edit
663408	188821	Wanda
663408	192981	Laura, teacher
663408	195735	Janine
663408	228410	Maj Berg
663408	254360	Anna Birkmaier
663408	279238	
663408	294912	Ulla Marbois
663408	308200	Anne Egerman
663408	322310	Elli
663408	325758	
663408	345892	Delia Mond
663408	347557	Melanie
663408	376095	Margareta Witt
663408	386373	Frau Abend
663408	395004	
663409	321320	
663410	102208	Moss' Woman
663411	208065	Nellie Mae Purdy
663412	375047	Fanny Brice
663413	81041	Grad Student
663413	241318	Rachel
663414	317309	Casting Agent #7
663414	343025	Waitress
663414	399640	
663415	89670	The Dollar Princess
663415	244322	
663416	167562	Old Lady (Safety House)
663417	142422	Lisa
663417	166007	Jayne Marie (at 6)
663417	178886	Jill Durbin
663417	192302	Blister
663417	218150	Charlie's Niece
663417	232252	Marianne
663417	267174	Jenny
663417	270522	Wesley Jones
663417	318706	Fern Shelburne
663417	345752	Additional Voices
663417	349973	Peggy
663417	358672	Anna Lee
663417	398409	Ellie Atwood
663417	411166	Additional Voices
663418	235701	Countess De Cesca
663419	116377	Child
663420	67561	Rose
663421	97644	Ken Groupie
663422	84268	Roffe's Daughter
663423	30388	
663424	89993	
663425	152234	Ramera III
663426	8883	Maya, enfant
663427	83761	
663428	52976	
663429	220978	Amy
663430	104767	Dutch backing vocal
663430	104768	Dutch entry (6th place)
663430	228258	Herself - Backing vocal Campb
663430	228259	Herself
663430	228268	Herself - Jurylid
663431	132930	
663431	164673	
663431	198607	
663431	212616	Professor #2
663432	167051	
663433	259406	Herself
663434	55108	Marie
663434	340950	Evidence handler
663435	377477	Barmaid Cosmos
663436	358052	Girl at prom
663437	301126	Odile
663438	31641	
663438	35696	San San, Hotel Desk Clerk
663438	37385	Jennifer
663438	42834	
663438	44426	
663438	79103	
663438	102834	Herself (performer, Michelle'
663438	126173	
663438	151215	Mary-Lou
663438	162255	
663438	183383	
663438	207572	
663438	243083	
663438	243134	
663438	252812	
663438	267895	Gusti Putri Raden Adjeng Retn
663438	278519	Meera
663438	284898	
663438	295617	
663438	305230	Party hostess
663438	321047	
663438	326243	
663438	330672	
663438	365643	
663438	370497	
663439	411261	Bloom (2004)
663440	22958	
663440	39068	
663441	356792	Carin Sayers
663442	6619	
663442	73068	La vendeuse de foulards
663442	78403	Assistante sociale
663442	101176	Rose
663442	147455	Isabelle
663442	205778	Marie Delauney
663442	211848	Tatiana
663442	213520	Nathalie
663442	292340	Cécile
663442	325616	Béatrice
663442	340143	Marie
663442	353317	Alice Mercier
663442	379801	Virginie Châteauneuf
663442	384818	Andrée de Taverney
663442	387697	Jeanne
663442	388716	Le soeur Armelle
663442	388944	Fiora Beltrami
663442	390476	Sophie Jansen (2000-2001)
663442	397200	Jeanne Corbières
663442	412017	Juliette Lefort
663443	59271	Voice
663444	22111	
663444	250923	
663446	2252	(segment "Pharmacie, La")
663446	100533	Marie-Michèle
663446	308128	Ritz Concierge
663447	111170	Terrys Mom
663448	141419	Trainer Asst.
663448	363034	Tara Sams
663449	240428	
663450	25364	Jill
663451	71802	
663451	322353	Paysanne Corpulente
663451	393395	Madame Galarneau
663451	403919	Claude Mercier
663452	294980	Woman at blackjack table
663453	121612	
663454	11268	Miss Quibble
663454	21475	Party Girl
663454	40849	Madame Arcati
663454	42565	Trinity Martinez
663454	55678	Floella
663454	55681	Matron
663454	55682	Beattie Plummer
663454	55684	Peggy Hawkins
663454	55686	Miss Haggerd
663454	55687	Elizabeth Barrett/Nun/Bemused
663454	55689	Various Characters
663454	55697	Matron
663454	55706	Miss Sophie Plummett
663454	55707	Matron
663454	55708	Matron
663454	55709	Frosty-faced sister
663454	55712	Capt. Clark (medical officer)
663454	55715	Grace Short
663454	55718	Sgt. Laura Moon
663454	58936	Alice
663454	73705	Mabel
663454	77956	Miss Keen
663454	102481	Harriet
663454	116505	Dymphna Dobson
663454	122982	
663454	134043	
663454	147556	Special Guest
663454	151771	Hot Seat Kate
663454	158182	Gudgeon
663454	175565	
663454	186040	
663454	187084	Woman in car
663454	195847	Chambermaid
663454	200132	Ginger Horton
663454	201433	Nanette Parry
663454	210549	
663454	218512	Lady Journalist
663454	219984	Mrs. Jenks
663454	228822	Fortune Teller
663454	231438	
663454	232318	Ada
663454	233622	Mrs. Fitz-Cholmondley
663454	240019	Singer at 'Three Cripples'
663454	244834	Mrs. Patch
663454	252848	
663454	255261	Mrs. Nupkins
663454	257340	Woman with Rose
663454	258034	Mrs. Albion
663454	267154	Dolly Zarathusa, the Fortune 
663454	277492	Nurse Rhubarb
663454	277494	Nanny
663454	290343	First Instructress
663454	291487	Mrs. Fezziwig
663454	298057	Miss Richards
663454	311004	
663454	312284	Gretchen
663454	321769	
663454	321770	
663454	329557	Various characters
663454	334298	Herself
663454	340439	Daisy Delaware
663454	346937	Herself
663454	346938	
663454	348391	Rakiki
663454	352695	
663454	359885	Agatha Potter
663454	360042	Singer
663454	362472	Various Characters
663454	378642	
663454	394670	Miss Popinjay
663454	395363	Various
663454	397885	Stacey Smith
663454	400519	Georgina Ruddy
663454	407200	
663454	407201	Harriet (Hattie) Sykes
663454	407202	Hattie Sykes
663454	411437	Various (1968)
663455	165240	Mai Lin
663455	381245	
663456	169136	Tabitha: Reuben's Wife
663457	368244	Showgirl
663458	194332	Flower Vendor
663460	31702	Beach Community Member
663461	401983	Florence Poliquin
663462	168958	Une prostituée
663463	217943	Fleuriste
663465	218272	Une danseuse
663466	410376	Une fille
663467	7549	
663467	17088	Une dame de la cour
663467	29415	
663467	46705	
663467	58737	Frieda, maid
663467	85543	
663467	92899	Une invitée à la surboum
663467	96052	
663467	132066	
663467	132769	
663467	133183	La jeune morte
663467	208355	
663467	269756	
663467	281315	
663467	283032	
663467	337787	
663467	343574	La fille draguée par Freddy
663467	345035	La cliente de l'hôtel
663467	345525	
663467	377935	
663467	378017	
663467	382466	La première élève
663468	25783	Le mère
663468	260922	
663469	249697	Micheline
663470	288890	Woman
663471	103932	
663471	115375	
663471	255814	
663472	346516	Madame Perraud
663473	176864	Nurse #12
663474	190525	Kitty
663476	301984	Fille de rêve 2
663477	215021	Une prostituée
663478	51807	
663478	58993	Madelon
663478	66078	
663478	75628	Jeannette
663478	101509	Une cousette
663478	110192	Sound Studio Receptionist
663478	166156	Madame Lelarge
663478	240586	
663478	252412	La mère du square
663478	256993	Louise
663478	258121	
663478	281249	Nouvelle secrétaire
663478	318492	Anne
663478	377239	Sophie
663478	391620	Claire Denizeau
663480	148749	Marie-Louise
663481	60205	Herself
663482	284308	
663483	23540	
663483	28994	La mère de Marc
663483	69468	Pierrette
663483	122873	Béatrice
663483	157072	
663483	235819	Mireille
663483	248218	Mireille
663483	256360	
663483	261722	Véra
663483	280561	Catherine
663483	292890	Marinette
663483	395267	
663484	94330	Geneviève
663484	354456	
663485	318488	S&M Woman
663486	69468	Pierrette, enfant
663487	309759	Parishioner
663489	2430	
663489	42859	Lisbeth, child
663489	150056	
663489	260099	Emma
663489	291278	
663490	114045	Robin Millman
663490	228608	Stripper
663490	397430	Herself - Nightclub dancer
663491	45	Herself
663491	21941	Hooker
663491	62456	
663491	97121	
663491	102784	
663491	112896	
663491	112917	Prostituee 1
663491	127405	
663491	128241	
663491	139005	Tic
663491	159862	The New York Dream Machine
663491	189475	
663491	195178	
663491	236307	
663491	264683	
663491	275638	
663491	319346	
663491	339792	Laure
663492	299037	Little Girl
663492	365652	Young Girl
663493	81491	Daphne
663494	87370	
663496	15026	Christine Doinel
663496	17718	Blanche, l'infirmière
663496	18164	Marceline et Camille
663496	23634	Agnès Jalamet
663496	23648	La comédienne
663496	23788	Frida
663496	23792	Clarisse
663496	23835	Colomba
663496	27778	Prof de philo
663496	27918	Christine Darbon
663496	30889	Eleonore
663496	43758	Caroline Winberg
663496	47196	Junie
663496	61135	Tiffany
663496	62569	Anne/Juliette
663496	63637	Lucie Raboin
663496	63661	Louise de la Vallière
663496	67074	Penny Vanderwood
663496	73151	Lily
663496	87852	Hélène
663496	89871	Christine Doinel
663496	104541	Lucienne des Grassins
663496	115332	
663496	118176	Luce
663496	119047	
663496	134637	Solange
663496	148370	Claire
663496	148710	Alice
663496	149113	Avocate Valouin
663496	161021	Ingeborg Schultz
663496	178252	Marie-Therese
663496	187785	Inès Armand aka Inessa Armand
663496	191468	Lise/Laura
663496	201139	Herself
663496	202417	Julie
663496	202746	Agathe
663496	204008	Lucrezia
663496	208817	Juliette
663496	217704	Manette
663496	225472	Madeleine
663496	232607	Romola Nijinsky
663496	236686	Detective Girl
663496	239222	Sylvie
663496	240552	Herself
663496	256413	Dominique Benech
663496	261205	Hélène
663496	266424	Françoise Bernardeau
663496	269745	
663496	270542	Reine Schmaltz
663496	271884	Elle
663496	272285	
663496	274991	Marquise de Bonchamps
663496	275687	Evelyne Droste
663496	287592	Theresa Belle Dame
663496	291584	(segment "Rampe, La")
663496	294372	Geneviève Marcillac
663496	300588	Shéhérazade
663496	308688	Helena
663496	309753	Linda
663496	311258	Maria Teresa
663496	322768	Gabrielle Martin
663496	326978	Françoise
663496	335896	Michèle Picard
663496	338977	Claire Mallois
663496	340344	Minette I
663496	343553	Cécile
663496	344681	Athene aka Athena
663496	346719	Marielle
663496	346769	Herself
663496	355883	Herself/Christine
663496	356213	Barbara
663496	366067	Monique
663496	377042	Michèle
663496	377920	
663496	381615	Mère Clémence
663496	383371	Anna Chantreuil (1998-2000)
663496	384754	Isabelle
663496	390480	Suzan Frend
663496	392894	Madame Marquis
663496	396597	Hélène
663496	396597	Hélène (segment "Monsieur seu
663496	397137	Françoise
663496	400051	Sylvie Massonneau
663496	402357	Rosette, Prune's niece
663496	409280	Sylvie Guyot
663496	409438	Herself/Mme de Sévigné
663496	409732	
663496	412276	Véronique d'Hergemont
663497	144420	
663498	171411	Guard #1
663499	6962	
663499	6973	
663499	39313	
663499	39484	
663499	39504	
663499	44178	
663499	76244	
663499	149250	
663499	319330	
663499	361211	
663500	52320	Bikini Girl
663500	182962	Hooker
663500	258039	Carol
663500	336479	Eleanor
663504	33188	
663504	43561	
663504	44674	
663504	93991	
663504	131323	Herself
663504	282681	Ho
663504	339588	
663505	1355	
663505	2266	
663505	26102	
663505	26892	
663505	34628	
663505	36355	
663505	39223	
663505	39287	
663505	41587	
663505	44579	
663505	50577	
663505	51869	
663505	57129	
663505	57130	
663505	87226	
663505	91906	
663505	98178	
663505	102787	
663505	105156	
663505	128541	
663505	128542	
663505	128543	
663505	128544	
663505	128545	
663505	129090	Herself (actress)
663505	136245	
663505	139248	
663505	139259	
663505	140940	
663505	144919	
663505	150914	
663505	153582	
663505	154996	
663505	158279	
663505	177090	
663505	188044	
663505	197045	
663505	219104	
663505	226983	
663505	232882	
663505	244317	
663505	254493	
663505	261169	
663505	264511	
663505	264861	
663505	272895	
663505	273298	
663505	283942	
663505	295871	
663505	296229	
663505	309353	
663505	333638	
663505	334809	
663505	348306	
663506	71424	Bound Construction Worker
663506	161970	
663507	1245	
663507	2427	
663507	27016	
663507	30037	
663507	33870	
663507	57242	
663507	60287	
663507	62495	
663507	72145	
663507	72799	
663507	81862	
663507	87368	
663507	93712	
663507	93991	
663507	106430	Blonde Teen With Pigtails
663507	116636	
663507	118230	
663507	122640	
663507	123797	
663507	123810	
663507	132017	
663507	138132	
663507	138199	
663507	139204	
663507	139240	Herself
663507	150374	
663507	154425	
663507	162298	
663507	162375	
663507	228025	
663507	235418	
663507	236944	
663507	247990	
663507	250651	
663507	300519	
663507	304005	
663507	305789	Layla
663507	306895	
663507	306917	
663507	306923	Herself
663507	330049	Herself
663507	336332	Layla
663507	336863	Herself
663507	349385	
663507	349386	
663507	362426	Party Guest
663507	362897	
663509	168624	Gloria
663510	1227	
663510	29511	
663510	34630	
663510	60320	
663510	123803	
663510	156968	
663510	163864	
663510	228594	
663510	312381	
663510	370126	
663511	39876	
663511	41586	Herself
663512	105805	Butterfly
663512	324842	Soledad
663513	282563	Masseuse
663514	1268	
663514	39925	
663514	128747	
663514	130285	
663514	326724	
663514	397397	Herself
663515	9324	
663516	356072	
663517	32284	
663517	84651	La fille de René
663517	99799	Felly Polon
663517	100024	Aricie
663517	332188	Chantal
663517	408652	Monique
663518	322580	Lalou
663519	223214	Minon à 5 ans
663520	58509	
663521	37997	Thelma
663521	121367	Tough Girl #2
663521	126812	Park Hyo-jin II
663522	183467	
663523	259645	
663524	38187	Tae-suk
663525	206447	Chicken Lickin' Server
663526	330434	Little Girl
663527	26955	Mannequin Fire Reporter
663528	402	
663528	6199	Frau Rat
663528	24091	Anna, Frau Meinecke
663528	107965	Mrs. Gewitsch
663528	109324	
663528	120133	
663528	120932	
663528	121051	Tante Adele
663528	136724	Servant
663528	147157	
663528	175292	
663528	178548	
663528	179993	Third Aunt
663528	189617	
663528	189645	
663528	199355	
663528	199553	
663528	206579	
663528	206672	
663528	210134	
663528	268535	
663528	278952	
663528	290717	
663528	293538	
663528	302682	
663528	314897	
663528	324696	
663528	329899	
663528	341103	
663528	360927	Frau von Strempel
663528	361524	Mrs. Harder
663528	366524	
663528	375224	Garderobiere im Leopard-Club
663529	73214	Louise Wollenberg
663530	161221	Herself
663531	15342	
663532	187526	
663533	195601	Model, Orgy Attendant, Woman 
663534	259447	Kriminalkommissar Feldmann
663534	259506	
663534	259592	
663534	352567	
663535	62918	Kessi
663536	290703	Singer 2
663537	29673	Noki
663537	160418	Marie
663538	78007	Samantha
663539	12587	
663539	17737	
663539	137636	
663539	142095	
663539	145508	Sekretärin
663539	153928	Sekretärin
663539	155599	
663539	184239	
663539	234028	Mrs. Pilski
663539	292063	
663540	187715	
663540	388640	Dr. Steinmeyer
663541	51576	Kit-Kat Dancer
663542	45237	Laker Girl
663543	168630	Pampered Woman
663544	315275	Mrs. Dome
663545	319576	Barbara Williams
663546	98261	Patrizia
663547	217660	L'ouvrière
663548	293694	Maman Enervée
663549	42834	
663549	93714	
663550	122488	Gunda
663550	126332	
663550	138438	
663550	244680	Anna
663550	289920	Mathias
663550	325484	Katja
663550	325519	Alice Bothe
663550	325548	Birgit
663550	345657	Nicole
663550	358214	Daniela von Buelow
663550	386334	Yvonnchen
663550	392086	
663550	397447	Haschen
663551	325668	Anett
663552	5127	
663552	23987	
663552	28317	
663552	38991	Anna
663552	40388	
663552	40499	Mother Truczinski
663552	69532	
663552	79177	'Mizzi' Buntje
663552	79624	
663552	103276	Rosa
663552	119180	Lady at Taxi Stand
663552	129732	Henny
663552	135771	
663552	144325	
663552	155435	Fräulein Rieck
663552	156708	
663552	188733	Italien-Urlauberin
663552	189708	Joan Warwick
663552	205813	Köchin
663552	210137	Frau Bauer
663552	218979	Mary
663552	226199	
663552	262345	
663552	266353	
663552	294649	
663552	317507	
663552	325933	Elli Simoneit
663552	347622	Elli Dörfler
663552	358887	
663552	364923	
663552	365907	Köchin
663552	366564	Käthe
663552	376458	
663552	379771	Lenchen
663552	388783	Frau Sauberberg
663552	391843	Frau Lowy
663552	394536	Ordensschwester
663552	399176	
663552	399503	
663552	406262	Anna Zwicknagel
663552	409610	Hertha Janitz
663552	409613	Volkshochschulsekretärin
663553	5160	Blumenverkäuferin
663553	31913	
663553	226264	Frau Kahle
663553	347824	Junge Frau
663553	387735	Frau Stahl (1987, 1989, 1990)
663554	118606	
663554	253657	
663555	90525	Paula
663555	257892	
663555	408204	
663556	138759	
663557	58566	Samaneh
663558	26598	Roya
663559	175946	
663559	323529	Halaleh
663559	326996	
663560	272661	First-grade teacher
663560	397168	Maxie
663561	330115	Noori
663562	13309	Gretchen
663562	47462	Judy Jensen
663562	50639	Madame Helga
663562	69482	Amelia
663562	80639	Nurse
663562	82112	Mary Fiddich
663562	93958	Mrs. Lewin
663562	112260	Margaret
663562	139591	Head House Lady
663562	170513	
663562	176478	Judge Harpe
663562	176482	
663562	190340	Madame Durand
663562	206129	Sarah Hardwig
663562	208957	Kathy
663562	214037	Council Chamber Member, Stock
663562	241599	Daisy
663562	245710	Djamilla
663562	274086	
663562	301541	Red-headed lady
663562	302312	Emma Simms
663562	328253	Mrs. Dodson
663562	363442	
663562	364176	Maggie O'Connal
663563	124794	Office Worker
663564	108778	Smuin Ballet/SF Dancer
663564	313479	Jedi Rocks dancer (special ed
663565	340542	Ginnie-Lou
663566	232251	Mrs. Oxhammer
663567	353314	Salesperson
663568	399405	Girl
663569	360599	Herself
663570	195494	Girl In Dune-buggy
663570	206232	Lilly
663570	290944	Velma Dace Dinkley
663570	290946	Velma Dinkley
663570	290954	Velma Dinkley
663570	290955	Velma Dinkley
663570	340547	Betty Smith
663570	399266	Velma
663570	404520	Velma Dinkley
663571	254774	Chainsaw
663572	224091	Beverly Spannenbaum
663573	65764	Victim of Billy Boy's gang
663573	325276	Betty, The Hargoods' Maid
663574	13779	
663574	16968	Ballerina
663574	28571	Herself
663574	350644	Performer "Swan Lake"
663575	132454	Singer on Beach
663576	203358	'Fridays' Floor Director
663577	5881	Wanda
663577	292261	Roger's secretary
663578	265904	Shop Assistant #2
663579	34556	
663579	35489	Matron
663579	40101	Helen Kirsten
663579	51794	Leslie
663579	55730	Beth
663579	60279	Beryl
663579	70425	Ballet teacher
663579	82385	Aunt Westbury
663579	87874	
663579	103927	
663579	179791	Patrick's Grandmother
663579	217419	Aunt Jenny
663579	224154	Sister Sebastian
663579	245074	(Story 1 "I Don't Want To Kno
663579	277862	Angus' wife
663579	286136	Granny Marshall
663579	300047	Thelma O'Keefe
663579	313828	Mrs. Booth
663579	360882	Vi
663579	372053	
663579	372268	
663579	381608	
663579	381641	
663579	382743	Sister Attracta
663579	388441	Helen Cooper
663621	179583	
663579	388452	Utu-Noranti Pralatong (2002-2
663579	388453	Utu-Noranti Pralatong
663579	389630	Dr. Maureen Riordan
663579	390358	Annie
663579	391070	Miss Sheily
663579	391208	Amanda Villers (Ep. 1-3, 7, 1
663579	391251	Meredith Lovell
663579	394515	Rose King
663579	395104	Old Nesta Quinn
663579	405447	
663579	405733	Gwen Walston
663580	108897	Herself
663581	274461	Grace Stanza
663582	77306	Laxmi Goswami
663582	140665	
663582	404052	
663583	4680	Anju
663583	18314	Bruja
663583	24535	The Princess
663583	63559	Meenu
663583	71334	Madhu
663583	71479	Cotton Mary
663583	115179	Dr. Nirmala
663583	133258	Mrs. Singh
663583	136127	Begum Sahiba
663583	141548	Begum Mussarat Jahan, the Naw
663583	237027	Indira Patel
663583	248306	The Magician's Assistant
663583	252927	Mrs. Lal
663583	263777	Rita
663583	284704	Kamladevi (Ravi's grandma)
663583	297125	Manjula
663583	303455	Guest of Honor
663583	350534	Mrs. Chao
663583	367254	Party guest
663583	387247	Pushpa Ferreira (2003)
663583	388422	Presenter
663583	388782	Jayshree Kapoor
663584	14084	Nageena
663584	21735	June
663584	63559	Sarita
663584	71479	Rosie
663584	79986	Kit's Passenger #1
663584	136128	Young Woman in Dance Class
663584	159084	Lucy
663584	203918	Mysterious Arabic Woman
663584	207036	Rita Solanki
663584	252927	Neena Lal (introducing)
663584	271344	Nilma Prasad
663584	277254	Dr. Ray
663584	304644	Wilfredo's receptionist
663584	340950	Sylvia
663585	275121	
663585	292337	
663586	41757	Girl at Gas Station
663587	270975	Busy Shopper
663588	134993	Annette Ewald, Renates Kind
663589	290697	Maria
663590	297937	Song's Girlfriend
663591	37002	Receptionist
663591	144553	Shari Gray
663591	299722	Casting Receptionist
663592	99592	Betjent
663592	386177	Various Roles
663592	393861	Karen-Marie
663592	396254	Søster (1995-1998,2000)
663592	400118	Birthe (Birthe Jensen, Kjeld'
663592	403530	Herself - Casting panel: Cast
663592	403531	Herself - Casting panel: Cast
663592	405567	Karen-Marie
663593	27607	Pigen
663593	40694	Susannes nabo
663593	83078	Nattens pige
663593	122339	Amtsvandinspektørens veninde
663593	142505	Pige i sengen
663593	143219	Kunde
663593	182604	
663593	208797	Maria, Schoolcook's assistent
663593	214371	Eva
663593	220199	Irmelin
663593	237404	Bagerjomfru
663593	255706	Pige
663593	275265	Jytte
663593	281085	Pusse
663593	287472	Maria
663593	322469	Ketty Pallesen
663593	322681	Barneplejerske
663593	324329	Lisbeth
663593	343519	Kvinde i hvid kittel
663594	86677	Gayatri
663594	152453	Sanjukta
663595	210353	Herself
663596	189347	Une dame de compagnie
663597	191513	Student
663597	282383	Sara
663599	371416	Woman at the opera house
663600	2640	
663601	358547	Tanga meisje
663602	5363	
663602	277610	
663602	311198	
663603	234206	Eileen
663603	291307	Julie
663604	298119	Sweat Shop Worker
663605	156035	Kenji's Mother
663606	123817	
663607	14200	Corinne
663607	51483	Velma
663607	53960	Sheik's Sister
663607	70028	Herself
663607	71516	Madam Schrijvers
663607	185529	Herself
663607	283954	Martini McQuickly
663608	33184	Herself
663608	155949	Lisa Fiedler
663609	306471	Nurse
663610	33184	Herself
663611	241605	Armani Model
663612	105618	Waitress
663613	26123	
663613	75059	
663613	91656	
663613	92207	Melanie
663613	95800	
663613	220840	
663613	229446	
663613	236944	
663613	243109	
663613	291899	
663613	349387	
663613	349388	
663613	349389	
663614	382488	Zing-Zing-Zingbah
663615	352370	Brigitte Bardot
663616	285327	Mamiji
663616	370967	
663617	57139	Cindy
663618	117108	Renee
663620	60105	Anna
663621	255412	Bozenka-Noemi Szapiro
663622	123099	Village Woman
663622	220685	
663622	286652	Salesman of Foxes
663622	360758	
663622	379864	Majewska
663624	232680	Niura's Mother
663624	373795	Passenger
663625	96117	Child on Beach
663625	111583	Child Watching Blue
663625	185683	Theater Audience
663626	263	Suzanne
663626	38261	Birthday Girl
663626	90887	Mary Silverbell
663626	107205	Blair/Beatrice
663626	145414	Amber Wilken
663626	217421	Haughty Woman
663626	267351	Wendy Markham
663626	307018	Tilly Rensley
663626	326604	Betty
663626	360100	Atoll woman
663626	366749	Marlena
663627	399337	Presenter (2002-2003)
663627	411515	Herself (booth phone girl, 20
663628	54612	Gwenny Coke
663628	55697	Sister Hoggett
663628	55709	Sister
663628	82974	Frances
663628	91646	Mrs. Coolidge
663628	123470	Mae Harcourt
663628	141956	Fraulein Rottenmeier
663628	169398	Emily Blake (episode 'Paper D
663628	203061	Mrs. Bailey
663628	210387	Miss Fairfax
663628	233649	Matron
663628	257987	Gladys Worth
663628	346937	
663629	150239	Ticket Girl
663630	306190	Kofi's Woman
663631	158903	Helvi Numi
663631	389096	Gaby La Roche
663631	393957	
663631	398777	Andy
663632	50444	Extra
663633	24734	Elinor
663634	36883	
663634	91816	
663634	99736	Concierge Dora
663634	121834	
663634	127616	
663634	157796	
663634	189067	
663636	181545	Kane's Girl
663636	187333	Onibaba/Wheelzone Warrior
663636	276796	Onibaba
663636	280654	Onibaba
663636	286873	Hades
663637	235244	
663638	366746	Nurse #2/Business Woman
663639	30163	Märta-Greta
663640	30163	Brita-Kajsa
663641	408704	Sabira
663642	316760	Torchie's Dancer
663642	329560	
663643	377635	
663644	261431	Janie
663645	344097	
663646	59350	Yankee Doodle Dancer
663646	217411	Allworthy Girl
663647	390073	Herself - host (Phoenix editi
663648	210040	Girlfriend
663649	175249	
663650	178648	Susanne
663651	352309	Kathinka
663652	189250	
663653	244421	Guest Grace
663653	271344	Mourner
663654	87166	Minivan Theater Kid
663655	210786	Candy Striper
663656	342871	Woman at cafe
663657	23704	Farm Girl
663658	54581	Lady-in-Waiting
663658	106972	
663658	210034	
663658	225142	Miss Evans
663658	226338	Frau Weinberger
663658	269641	Gerda Gottfried
663658	284416	
663658	352570	Mrs. Stein
663659	11993	
663659	129695	
663660	229929	
663660	240229	Selma
663660	310898	Gerburg
663660	408387	Mimi
663661	6414	Frau Rappenreiter
663661	49473	Ulla Stern
663661	129711	Kathrin Thorwald
663661	136212	Jacqueline Fordyce
663661	198428	
663661	214719	Franziska
663661	238895	
663661	379627	Schwester Nina
663661	382931	Klara
663661	389250	
663661	394480	
663661	402373	Frau Isél
663661	402374	Frau Isél
663661	404487	
663661	406321	
663661	408388	Tänzerin 1
663661	411556	Mrs. Kennealy
663662	105745	The girl
663663	6586	Stina
663663	29561	Anna, cook
663663	181126	
663664	390538	Angelika
663665	78102	First Stripper
663665	226901	Young Lover 2
663666	105265	Waitress
663666	206629	Waitress
663667	293317	Himself
663668	56871	Student
663668	88561	Cami
663669	132997	Jennie
663670	74664	
663671	334169	Molly Molina
663672	334169	Molly Molina
663673	67212	
663674	89928	Laura
663675	298253	
663676	396211	
663677	370157	
663678	381720	Genoveva
663679	215341	
663679	351641	
663680	11203	
663680	67569	Tisha
663680	124340	Housewife
663680	144913	Central American Translator
663680	212524	Elva Rivero Player
663680	269596	Sibyl
663680	296785	
663680	314225	SWAT Woman
663680	321957	Gina Hunter
663680	404289	Carmen (1996)
663681	19369	
663681	159530	
663682	370157	
663683	133594	Singing Indian Girl
663684	96728	Mrs. Singh
663684	172920	Begum Para
663685	124017	Destiny
663686	176190	Bride
663687	267416	
663688	71334	Dancer
663689	88489	
663689	133594	Singing Indian Woman
663690	264544	
663690	329889	
663690	370669	
663691	122183	COPS officer
663692	109034	Neeta
663693	204910	Sundari
663693	221108	
663694	345022	Jeune de la Cité
663695	2617	Herself (Presenter)
663695	165399	Jessica Pereira
663695	176006	Saanjh Batra
663695	215680	Herself
663696	82448	Herself
663697	190920	
663698	199311	The Family
663699	47333	Back-up Singer
663699	190317	
663700	137971	Kiddo
663701	175662	Öreg gócza felesége
663701	343535	Old Woman
663703	245094	Petra
663704	139647	Jonathan's girlfriend
663705	407019	Herself/Judge (1987-1988)
663706	399685	Mrs. Lincoln
663707	396477	Uttara
663708	201473	
663709	220276	Parisian Dancer
663710	337956	
663711	103074	Marianne
663711	178652	
663711	188796	Saschinka
663711	197827	
663712	157771	Amazon #4
663712	411461	Miss Austria
663713	169278	Un domestique
663713	354911	
663713	378062	Une femme âgée
663714	120996	
663715	259643	Fritzi
663716	290534	
663717	32122	Waitress
663717	77857	Hattie
663717	177390	1st Kettle Customer
663717	211824	Woman at the Cemetery
663717	250448	Fan 2
663717	408870	Ivy Green
663717	411089	Landlady
663718	254675	
663720	306590	
663721	186931	
663721	216753	Hildtrud
663722	111557	Extra
663723	111557	Extra
663724	44519	Bente
663725	153586	
663726	270604	Herself
663727	377385	Herself
663728	111675	Neureiche Frau 2
663728	259605	
663728	375513	Frau Jacobs
663729	259483	
663730	396738	Herself
663731	230934	Art Gallery Guest
663732	259881	Herself
663733	316926	Model
663734	33320	
663734	263256	Vesna
663734	270301	Ana
663735	75954	
663735	142338	Emil's Mother
663735	147234	
663735	171495	Kovácová
663735	171531	Helena
663735	172909	Marcela
663735	198233	Fanka
663735	261581	
663735	281639	Sonja Liebknecht
663735	333808	Kristína
663735	407221	Terezka
663736	190805	Teacher
663737	392218	
663738	202367	Sheri Andrews
663739	273093	
663740	259069	
663741	180253	
663741	202038	Striptizeta crnka
663742	333470	
663743	183905	
663743	259068	Anka
663744	1132	Rachel
663744	58770	Nicky
663744	292489	Phoebe
663744	382458	Kara Schubert
663744	386339	Female Student #2
663744	391248	Anastasia 'Stassy' Sumich (19
663745	32044	Katrina
663745	34387	Annie
663745	61627	Amanda
663745	63010	Little Girl
663745	91732	Tara
663745	93121	Jenny Thornton
663745	99067	Katis' granddaughter
663745	112302	Leisa Conn
663745	126029	Marion
663745	129596	
663745	158998	Daughter
663745	158999	Alicia Casse
663745	190340	Shelley Maitland
663745	207838	Sandra
663745	221259	Lydia 'Lydie' Hillard
663745	231080	Clara Storey
663745	240746	Ally
663745	241108	Little Red Riding Hood
663745	246695	Georgie
663745	254789	Holly Henderson
663745	255342	J.J. Thomas
663745	255654	Tiffany
663745	271817	Doll
663745	278233	Katie
663745	282618	Isabel
663745	315619	Alexandra Pollard
663745	351526	Anna
663745	358581	Myra Naidell
663746	225876	
663747	384366	Rebecca Wooden (1996)
663748	187786	
663749	24542	Kowalski
663749	95725	Housewife
663749	125141	Mother Tarkowska
663749	216592	Devotee
663749	244106	
663749	255497	Emilia Brzeska
663749	255613	Hania's Mother
663749	260389	
663749	265335	Sick Boy's Mother
663749	303738	Bronia Kowalska
663749	311893	
663749	311896	
663749	315814	
663749	340721	
663749	341067	
663749	344047	Peasant
663749	373706	Woman in Camp
663750	57613	Adriena
663751	116147	Crew member
663752	134549	Maryska
663752	162205	
663753	15364	Rachel
663754	245115	Woman with Bad Foot
663755	39055	
663756	8449	
663756	12591	Madame Evremont mère
663756	20340	
663756	24650	Madame Fréville
663756	27883	
663756	30241	
663756	64215	
663756	71964	
663756	74346	
663756	83254	
663756	101147	
663756	103785	
663756	103929	
663756	120812	
663756	123479	
663756	132171	
663756	132929	
663756	133058	
663756	176425	Grandma
663756	183228	
663756	206600	
663756	206729	
663756	225368	
663756	235723	
663756	243757	
663756	253996	
663756	254040	
663756	289437	
663756	345344	
663756	345402	
663756	375728	
663756	377263	
663756	377899	
663758	381090	Herself (2004)
663759	4939	Ammini
663759	10828	Alice
663759	28630	
663759	99225	Sridevi
663759	134225	Rathi
663759	174065	Ragini
663759	174269	Sarala
663759	206242	Nirmala
663759	222452	
663759	262447	
663759	354437	
663760	4198	
663760	4207	
663760	4332	Jiji
663760	4852	The Nun
663760	5611	
663760	7607	Raja's mother
663760	9214	
663760	9774	Sulakshana
663760	16305	
663760	19604	Renu
663760	27459	Mrs. Chaddha
663760	28981	
663760	33244	Aunty
663760	36550	Jeeva's mom
663760	42442	Guest Appearance
663760	49589	
663760	58715	
663760	62751	Asha Malhotra
663760	82006	Mrs. Goyal
663760	84791	
663760	85362	
663760	85406	
663760	85424	Rajni
663760	86628	Razia
663760	86669	
663760	86682	
663760	86769	Lajjo
663760	95003	
663760	95038	Mrs. Oberoi
663760	95329	Mrs. Chaudhary "Bebe"
663760	95449	
663760	98743	Revati Chaudhry
663760	109309	Rukmani Singh
663760	121688	
663760	122926	Noorbibi
663760	123737	Champa (guest appearance)
663760	124150	Lakshmi (Shiva's mother)
663760	124296	Arjun's mother
663760	131934	Nandini
663760	141846	
663760	142831	
663760	145583	Mother of Ajay and Tauheed
663760	164292	Sudha Kaul
663760	164328	Komal's mother
663760	165930	
663760	169848	Kajal's mom
663760	170971	
663760	171853	Sayeeda
663760	172172	Rohit's Aunt
663760	172345	
663760	172540	
663760	172568	
663760	175985	Jaidev Singh's wife
663760	176066	
663760	176082	Sudha Chaudhary (Dadiji)
663760	176184	Kusum's friend
663760	179371	
663760	180728	
663760	181480	Mrs, Khanna (Rahul's mom)
663760	181482	Vishnupratap's wife
663760	182338	Rohini Baxi (Priya's mom)
663760	183093	Raju's mother
663760	183978	Halima
663760	184075	
663760	187224	Vidyavati
663760	193126	
663760	193127	
663760	200657	
663760	201053	Mrs. Kapoor
663760	201237	Ravi's sister Renu
663760	202791	Mammo
663760	217143	Geeta Kapoor
663760	217360	Salim's mother
663760	221206	Mother Ghayal
663760	228852	
663760	228853	
663760	228862	
663760	246143	
663760	247106	
663760	248694	
663760	256161	Ramchand's mother
663760	266966	Gayetri Rajvansh
663760	267419	Reshma
663760	267661	Magician's wife
663760	268060	Mrs. Chaudhary
663760	268120	Lata
663760	271445	Chachi (Raja's aunt)
663760	271545	Panna (Dai maa)
663760	284762	Yashoda
663760	284945	
663760	285947	Mother
663760	297566	
663760	297735	
663760	297747	Nafisa, Mir's wife
663760	307352	
663760	324831	Geeta
663760	328140	
663760	344369	Kamla
663760	351160	
663760	370972	
663760	375038	Jaya's mother
663760	375214	Shyama
663760	375850	
663760	375997	Mammo
663761	120966	Ulla, tennis player
663761	175350	
663762	407109	Herself (2002)
663763	185524	Female Official
663764	341782	(episode "Liukastelua")
663765	41925	
663765	214828	Nicole
663765	308092	Fru-Fru
663766	13774	Mary
663766	82835	Pam
663767	234012	2nd Client
663768	72959	
663769	31372	
663769	32458	
663769	109352	
663769	151188	Bobo
663769	230593	Nikki
663769	247408	
663769	270172	
663769	323275	
663770	234285	La femme d'Amrouch
663771	344253	Asma
663772	64153	
663774	235877	La mère
663775	233246	
663776	360836	Michèle
663777	223733	Telephone Operator
663777	234070	Telephone Operator
663778	44479	Herself
663778	304406	Beatrice
663778	312233	The Dark Lady
663779	18650	
663779	51778	
663779	55961	
663779	57809	Elvira
663779	75201	
663779	149233	
663779	151795	
663779	234382	
663779	264393	Gloria
663779	357521	
663780	153658	Suutelija
663780	401477	Mona Smeds
663780	407370	Anneli Narikka
663781	175367	Toimistotyttö
663781	181708	Vanessa
663781	300796	Pauline Lucca
663781	349439	Bella
663781	349945	Arja
663781	393936	Hannele Porsliini
663781	395622	Laila (ep.4-10)
663781	396253	Raili Kuivanen
663782	154309	Party Guest
663783	176487	Kid in Park
663783	336486	
663783	377247	Fillette cantine
663785	279249	Pénélope
663785	406030	Laeticia Valanski (2001 -)
663786	27287	
663786	27288	
663787	403084	Sekreterare
663789	150600	
663789	150601	Ilona
663789	221360	Sara Bradley
663789	319390	
663789	339211	
663789	361211	
663790	240724	Angel's Mother
663791	99580	
663792	102725	
663793	104974	Dana
663793	115062	Serving Girl in Ming's Chambe
663794	165958	Biology Teacher
663795	266564	Little Monica
663796	116430	Yolande
663796	268882	
663796	308304	Singer
663797	184939	Susi
663797	376808	
663798	101256	Young Woman
663799	369982	Bailarina
663799	383142	Ritinha
663799	396610	Naomi (2001-2002)
663800	85133	Kissing Girl #2
663801	100370	Conserje
663802	144688	Customer
663803	9250	
663804	83713	Daughter of Vencelj
663805	349291	Sasha
663806	3252	Herself - Performer
663806	87597	Performer
663806	87598	Herself
663806	228303	Presenter
663806	240189	Performer
663806	243273	Running Boy
663806	334069	Herself - Performer
663807	378659	Herself (2002-2003)
663808	313762	Indian Maiden
663809	313112	Herself
663810	310416	Lisa
663811	138822	Cowgirl
663812	90889	Flautist
663812	138716	Nurse Tiffany Pratt
663812	400046	Marie Curie
663812	405209	Nurse Tiffany Pratt Warner Ma
663813	90889	Susan
663813	194456	Lucie Adams
663813	306600	Marcie Polan
663814	199387	Catherine Al
663814	301775	Sarah Blakely
663815	211941	Miranda
663816	304353	Jennifer
663817	15229	
663818	87409	Waitress, Female Student B
663818	87410	Girl 2/Additional Voices
663819	29710	Gay Kendall
663819	309649	Lt. Coleen Rafferty
663820	115161	Beth
663821	37027	Herself
663822	186020	Young Lisa
663822	307003	Allison Tanner
663823	310416	Young Lisa
663824	53323	Party Guest
663824	81776	Refugee
663824	87865	Nurse
663824	137663	Student
663824	213466	Tourist
663825	402139	Cleo Allen
663826	32809	Carl
663826	366981	Hans
663827	7003	Zeenad
663827	82602	Specialty dancer
663827	115876	
663827	208054	
663827	250650	Lena Morne
663827	261608	Officer Shirley
663827	326808	
663827	334189	Exotic singer/dancer Cleopatr
663827	336723	American Tourist #2
663828	285978	Winoina
663829	157254	
663830	20684	LuAnn Glass
663831	23553	Nurse
663831	29736	Sally
663831	59192	Blair
663831	89099	Diane
663831	158911	Virginia
663831	182993	Officer Sue Morten
663831	203179	Lucille
663831	231396	Kate
663831	250737	Secretary
663831	274295	Diane
663831	285299	Asthma Girl Interviewee
663831	293108	Woman at park
663831	315214	Marie
663831	316191	Margo
663831	346128	Katlyn Stuart
663831	378818	Elizabeth 'Liz' Porter
663831	404101	Amy
663831	406952	Kelly (1999)
663831	407421	Dr. Ellen Greenspan
663832	78941	Bar Patron
663833	72098	Vallie
663833	208512	Air Force Technician
663834	75664	Forensic Supervisor
663835	392188	Herself
663836	198505	
663837	299028	Louise as a child
663838	100754	Sarah
663838	158528	Doreen
663838	363895	Student Reporter
663839	372788	Elizabeth
663840	163258	IA Girl
663840	277839	
663840	294860	
663840	376729	
663841	90081	Donna Anna
663842	50373	
663842	133921	
663843	363416	Herself
663844	15887	Anastasia Impostor
663844	31316	Persophone, Atlantia Council,
663844	103288	Elaine Marley-Threepwood
663844	107941	
663844	113274	
663844	117783	Phaere
663844	117786	
663844	122755	Grace Nakimura/Siren 2
663844	126508	Debby
663844	161843	
663844	230700	Chen, Launch Voice
663844	310130	Nerdluck Blanko
663844	313481	Hunter submarine captain/Nabo
663844	313489	Additional Voices
663844	379568	Fatima
663844	381397	Roxanne Sutton/Roxy Rocket
663844	382371	Kelly Generic
663844	390241	Elsie Chapman
663844	392807	Mrs. Chang
663845	103331	Escalator Woman
663846	393295	
663847	311164	Gina
663848	2960	Herself/presenter
663848	272936	Detective Valerie Sanchez
663848	302438	Herself (Salt-N-Pepa)
663848	314104	Performer - 'Start Me Up'
663848	364376	Teesha Braxton
663848	368828	Herself
663849	2622	B-girl
663850	147794	
663851	40834	Mrs. Clark
663851	41226	Jeannie
663852	116675	Lusty Singer
663852	213585	Katisha
663853	405960	Sarah Hunt
663854	16890	Harry's Secretary
663854	157291	Megan
663854	256528	Ski Boat Woman #1
663854	320265	Female Cyborg
663855	228637	
663856	44895	
663857	11141	Corn Queen
663857	41096	Usherette
663857	69302	Girl friend
663857	109415	Gladys, Miss Grand Rapids
663857	119416	Frankie's Wife
663857	137498	
663857	147639	Secretary
663857	149420	Gwen Arnold
663857	164399	Princess Alura
663857	210420	Singer
663857	221054	
663857	228816	Navy Blues Sextette member
663857	241780	Nurse
663857	254543	Pretty Girl at End
663857	277222	
663857	279441	Girl at party
663857	279452	Girl
663857	285135	Brenda Ames
663857	291081	Miss Andrews, asylum receptio
663857	308149	Student
663857	312042	Secretary
663857	330159	Party guest
663857	331180	Girl in tailor shop
663857	349553	Indian Girl
663857	356800	Zombie
663857	367877	Molly
663857	375045	Ziegfeld Girl
663858	75031	
663858	91656	
663860	139172	Woman
663862	239875	
663862	239878	
663863	46327	Mitzi
663863	122991	Lisa
663864	34069	
663864	45111	
663864	59214	
663864	66212	Mrs. Micaël
663864	110022	
663864	132606	
663864	279971	Madame Le Goff
663865	316503	The Friend
663866	29985	Hailey
663866	146881	Rebecca Roberts
663866	190083	Molly
663866	233498	Danielle
663866	280064	Linda Marshall
663866	295434	Alessandra
663866	330869	Woman #2
663866	340546	Danielle
663866	346246	Linda Marshall
663866	347852	Molly
663867	238508	Wedding Participant
663867	337649	Beck's Children
663868	3265	Robin
663868	37530	Misty Vales
663868	56303	Monica LeMaster
663868	122188	New Body Announcer
663868	214456	Sylvia
663868	216127	Mitch's Singing Students
663868	346294	Candy Donnegan
663868	363399	Mrs. Burtis
663868	404371	Madeline Stewart
663869	298440	Aunt, Mollie
663870	411509	Herself - General Assignment 
663871	152905	Stewardess
663872	5936	Hooker
663872	10883	Ortiz
663872	51801	Girls in Bar
663872	86274	Supervisor
663872	165851	Policewoman with Glasses
663872	233636	Squeaky Waitress
663872	259285	Eileen Carpenter
663872	262647	Leona's Friend
663872	283006	Pick-up Girl
663872	316752	Cigarette Girl
663872	359906	Bell
663873	308382	Raider
663873	372170	Nurse
663874	68382	Miz Osiris
663875	36838	
663876	42523	Tourist
663876	73735	Mrs. Gomez
663876	158773	Jean MacArthur
663876	368343	Grandma
663877	6259	Mrs. McNally
663877	12309	Mom
663877	13833	Miss Fowler
663877	141272	Receptionist
663879	330372	Herself (Defense Attorney)
663880	122202	Mrs. Christie
663880	152688	A.I.S Woman
663880	208085	Mrs. Brindley
663881	71441	Despina
663882	44444	Vicky Barrington
663882	87393	Dispatcher
663883	251515	
663884	309481	Daughter
663885	79792	Bess
663885	116682	Nan
663885	238508	Wedding Participant
663885	283462	Servant
663885	337649	Nanny
663886	532	Penny
663887	276893	Lilli (infant)
663888	364454	
663889	63334	Herself
663889	85912	Herself
663889	165328	Herself
663889	175538	Herself
663889	296552	Our Guests at Heartland
663889	324742	Times Square Nightclub Singer
663890	299018	Blossoms singer
663891	261285	Herself
663891	379716	Kitty Shea Davis Tyler (1972-
663891	400236	Marcy Wade (1970-1971)
663891	404694	Role Unknown (year unknown)
663892	223833	Mrs. Szegulesco
663893	249548	Dean
663894	152991	Luv Luv
663895	10329	Alexandra 'Alex' Deford - age
663895	13394	Diana WIlloughby (segment "Wi
663895	47279	Young Jane
663895	63019	Alexandra 'Alex' Billings
663895	131585	Rivers Applewhite
663895	152291	Bridget Severson
663895	248008	Alyene
663895	257132	Possum Spalding
663895	292417	Mary Lennox
663895	305760	Cindy
663895	392545	Amy Brannigan
663896	2563	Herself - Nominee: Best Actre
663896	11251	Mother
663896	16673	Susan Higgins
663896	27038	Herself
663896	33807	Rebeca Osorio
663896	41444	Ritchie's Wife
663896	46862	Mrs. Todd
663896	52204	Marie
663896	89277	Sarah Williams
663896	89636	Kristine Linde
663896	95107	Sally
663896	97212	Angela O'Hara
663896	105539	
663896	119563	Krista Donner
663896	123572	Mirabehn
663896	138494	Han's Mother
663896	141094	
663896	141497	Elizabeth Powell
663896	146619	Barbara Kirk
663896	150752	Mrs. Mortimer
663896	155859	Vendetta Galante
663896	168599	Herself/Interviewee
663896	194675	Mrs. Dewey
663896	197990	Vera, Natalia's Mother
663896	217411	Edna
663896	234083	Anne O'Dwyer
663896	245605	Lady Billingham
663896	273591	Beatrice
663896	293267	Val Price
663896	298079	Harriet Ambrose
663896	321351	Pamela
663896	324028	Carmen
663896	328907	Tal's Mum
663896	335050	Miss Tromp
663896	364382	Miss Hunt
663896	367406	Gertrude Brisket
663896	368261	Mrs. Henderson
663896	381212	Rose Garrity
663896	382279	Lady Maud Lynchwood
663896	385222	Pulcheria
663896	387027	Ruth Jones
663896	390270	Rose Garrity
663896	391194	Lady Rowley
663896	391484	Lilith Hughes (2004)
663896	392433	Lady Emma Hamilton
663896	393491	Sarah Layton
663896	396052	Mary Sutherland
663896	405461	Gloria Green
663896	406373	Dr. Tish Collings
663896	406464	Yvonne Shaps
663896	411014	Joyce Malfen
663897	194315	Cory
663898	226894	Teengirl
663899	68680	April
663900	22596	Kansas City Reporter
663900	97413	Becky
663900	148003	Officer Lewis
663900	232115	Lucinda
663900	241322	Librarian
663900	245207	Katti
663900	267112	Nurse
663900	267347	Nurse
663900	334747	Janet
663900	374649	Airline Ticket Agent
663901	173353	Nurse #1
663902	18960	Mrs. Miller (Clean's mother)
663903	67607	Woman At Bar
663903	193523	Keely
663903	230831	Alison
663903	263517	
663903	382169	Helen Rainer
663903	400221	Maggie Redmond (1984-1985)
663904	273077	Ariauna
663904	359771	Poppy
663905	107503	Gillian
663906	84990	Sylvia Walton
663906	144457	Nettie
663906	340084	
663907	20625	Extra
663907	153211	Ginny Mae
663907	274195	
663908	177253	Siamese Girl
663908	228182	Lolette
663909	303379	Jitterbug
663910	150998	Teenage Girl
663911	120283	
663911	245625	Paula
663911	350234	
663912	408051	
663913	211529	New Year's Partyer
663915	68492	Sharon
663916	27181	Truck Stop Band
663918	126509	Jennifer James
663918	253902	Herself
663918	292213	Joyce
663918	385019	Herself (Series 1) (2003)
663918	385020	Geena Gregory (2000-2002)
663919	26422	Herself
663920	184939	
663920	353176	
663921	359929	Pia St. Clair
663922	388144	Susan Sterling (1952-1954)
663922	393099	Josie Stewart
663923	71494	
663923	228043	
663923	228078	Herself
663923	316776	
663924	10883	Mrs. Porter
663924	76617	Mill Worker
663924	86892	Mrs. Simmons
663924	96958	Saleslady
663924	133678	Betty
663924	141651	Jan (saloon girl)
663924	155072	Hilda Kendricks
663924	156466	Mrs. Evelyn Dice
663924	156970	Bessie
663924	192347	Grace
663924	214873	
663924	236870	Mrs. Wittemberry
663924	261986	Helen, Pete's Secretary
663924	283551	Mrs. Bogart
663924	306421	Vicki
663924	309678	Miss Farr
663924	311946	Geri
663924	313854	Aggie
663924	378710	Evil Stepmother
663924	387309	Lindburg Bundy (1984)
663925	36703	
663925	50355	
663925	63384	
663925	232651	
663925	312709	
663925	316401	
663925	316402	
663925	319642	Herself
663925	321043	
663925	321507	
663926	304229	Kay Hunt
663927	150245	
663927	332550	
663927	368660	
663927	408614	
663928	131765	Scooter Lady
663929	185624	Coat Check Girl
663930	54026	Waitress
663931	41615	
663931	70213	
663931	116013	Herself
663931	147632	
663931	273784	
663932	270272	Singing Woman at Jigalong
663933	329917	Mrs. Allen
663934	52906	Cleo
663934	112021	
663934	127128	Jean Willetts/Abigail Parkes
663935	32789	Molly Brazen
663936	62579	Secretary #2
663939	46774	Barbara Wilbury
663939	368808	Girl
663940	11570	Karla Baron
663941	7987	Sharon Henderson
663942	314624	Herself
663943	316782	Candy
663944	41008	
663944	41076	Herself
663944	41486	Herself
663944	228040	
663944	252842	Julie
663944	267102	
663944	296247	
663945	32820	Jenna's mother
663945	333193	Clytemnestra (Greek Queen)
663946	55705	
663947	361159	Prosecutor's Wife
663948	137258	Gaby
663948	360647	2nd Sacha
663949	36022	Balli
663950	102234	Allie Black
663950	190171	Beth
663951	270364	Old Woman
663951	402140	WPC Bronwen
663952	257674	Herself
663952	274148	Herself
663953	224691	Furry
663954	267387	
663955	132912	Pedestrian
663956	16099	Margaret Heckler
663956	194653	Woody's Whore
663956	270971	Mrs. Bronson
663956	281072	Brenda
663956	342153	Older Fred's Wife
663957	116058	Juanita
663958	30867	Young Tessie
663958	132207	Toni's Younger Sister
663958	200018	Kaye
663958	390069	Cindy Trinidad
663959	209170	Dancer
663960	51066	Lj
663961	175479	Rebekah's friend
663962	66903	
663962	327836	Clinic Nurses
663963	265892	Party Guest
663964	86476	Chris
663964	117490	Harriett
663964	229241	Georgette
663964	343162	Coco
663965	215902	L.A. Woman 1
663966	203955	Welfare Social Worker
663967	179083	Bathing Beauty
663967	288019	
663967	316955	Student
663967	331180	Slave girl
663967	360837	
663968	118925	Rough Woman
663968	253542	Jemima
663969	62784	Girlfriend #11
663970	105266	Jogging woman
663971	97446	
663971	384976	
663971	387151	
663971	411809	Helen Gordon
663972	278774	
663972	383637	
663973	235630	Gloria
663974	78318	Real Estate Woman
663974	141653	Policewoman
663974	207238	Anais
663975	346581	
663976	112185	Makeout Girl
663977	142394	Leslie
663978	85850	
663979	323956	Herself
663980	344450	Vocals
663980	399755	Herself/Member of the jury
663981	141302	Tara
663981	330331	Maid
663982	78185	Hospital Reception Nurse
663982	202248	Student
663982	370555	Sister act
663983	11664	Jean
663984	411238	Assistant
663985	359791	Subject #2 - Marijuana
663986	203376	Theater Director
663986	351914	
663987	402112	Herself/Model 1964
663988	288944	Chloe
663988	307003	Forensic Technician
663988	333326	Ambulance Attendant
663989	190142	Lisa Mancini
663990	67597	Tour guide
663991	41587	
663993	61730	
663995	40543	Grieving Sister
663996	293085	
663997	192777	Girl #5
663997	295316	Amera
663998	312141	Rancor terrorist
663998	387340	Additional Voices
663999	256951	April Snow
664000	272021	Vanessa
664001	280895	Girl
664002	55218	Cindy Lou
664002	350199	Village Girl
664002	382040	Verna Kincaid
664002	404601	Mrs. Thomas
664003	185671	
664004	14132	Female EMT
664004	25250	Sally
664004	149705	Lisa
664004	212982	Female Party Goer #2
664004	249449	Evie
664004	289526	Nina
664005	96721	Hooker
664006	56304	Country Club Woman
664007	314943	Shopgirl
664008	67010	
664009	302593	Girl Dancer
664010	39193	Pell
664010	69333	Isabel
664010	177620	Malerie Sandow
664010	288507	Annie
664010	347900	Sun Green
664010	348545	Julie
664011	188925	Angela
664011	218093	
664012	328788	Nurse
664013	25937	Soubrette
664013	88176	Gemma
664013	154379	
664013	387242	Lady Isabel Vane
664013	395246	Herself/'Beryl Hennessy'
664013	395793	Beryl Hennessey (Pilot, Serie
664013	400529	Jenny Wren
664013	402209	Sibyl Chase
664013	404825	Susan
664013	411500	Miss Crotchet (2000)
664014	334112	Angela
664014	402031	Debra Bates
664015	216935	Mother Goose
664016	232384	Judy
664017	11549	Inga
664018	250525	Mrs. Nettleship
664019	116556	Woman at Bar
664020	7880	Amanda
664020	107947	
664021	368967	Lock-in Girl #1
664022	235367	Cannibal girl [in tv show]
664023	34913	Choir member
664024	4641	Robin
664025	35629	Herself
664026	12353	Dancer
664026	16654	Dancer
664026	33698	Studio Telephone Operator
664026	56103	Dancer
664026	76192	Helen, Benjamin's secretary
664026	77015	Dancer
664026	90292	Dancer
664026	146813	Show Girl
664026	196295	Talent Agency Girl
664026	203051	Dancer
664026	267561	Helen/Maria posing as Helen [
664026	282041	Award Presentation Dancer
664026	292823	Carol Miller
664026	319193	Dancer
664026	348972	Dancer
664027	116559	Opening Singer in Club
664028	359543	Loren Tae's Mother
664029	154368	
664029	169491	Peggy (episode 'The Last Visi
664029	230428	
664029	271154	Maid
664029	383627	Jo Mercer
664029	385132	Marie
664029	401839	Herself - Hostess (1976)
664029	408322	Herself (1977-82)
664030	45409	
664030	157499	Papo's Girlfriend
664030	186446	Waitress
664030	280833	Hairdresser
664030	360076	Magazine Receptionist
664030	369874	Special Features Unit Reporte
664030	381880	Jamelia
664031	5092	Stripper
664031	285879	
664032	386233	Shirley Coles
664033	37057	Little Girl
664034	103356	Victim 2
664034	312967	Lee
664035	362432	Hooker
664036	122778	OB/GYN Team
664037	189236	Sharon
664038	93281	Singer
664039	132909	Momma Cipriani
664039	213452	Operator/Chorus Voice
664039	221783	Neighborwoman
664040	393881	Kim Bruce (1970-1971)
664041	360200	Leigh-Anne Williams
664042	313488	Bella
664043	337033	Féministe à casquette
664044	185516	Pam
664045	682	Dorm Room Girl
664046	296055	Herself (student affairs coun
664048	185255	Girl selling flowers
664049	99957	Ulika
664050	224863	
664051	140951	
664051	263533	
664051	369472	
664052	313815	School child
664053	378881	Weather Forecaster
664053	378882	Weather Forecaster (1997-2002
664053	390195	Herself - Weather Forecaster 
664054	18540	
664054	30038	
664054	33034	
664054	67143	
664054	113191	Herself
664054	116837	
664054	292477	
664054	312387	
664054	327774	
664054	335930	
664055	67779	T.J.
664056	232380	Cantina Tough
664057	289509	Server #2
664059	367855	
664060	158588	
664061	27018	
664061	41614	
664061	81378	
664061	195273	
664061	228023	Herself
664061	242551	
664061	255183	
664061	273298	
664061	273300	
664061	278851	
664061	297935	
664061	339588	
664061	341971	
664061	345867	
664061	353743	
664062	113597	
664063	57196	Young Sista
664064	395736	Lily
664064	401725	Agnes Fletcher
664065	95800	
664065	178868	
664065	243109	
664066	88874	Idleness
664066	346943	Herself (Sid's wife)
664067	199087	
664067	350405	
664068	107277	
664068	128366	Lorna Denver
664068	179048	Sadie McClure
664068	208905	Katie Peck
664069	2662	Xaviera
664070	217600	Photographer
664071	35578	Bride
664072	1270	
664072	33034	
664072	75031	
664072	255439	
664072	273387	
664072	326659	
664072	327774	
664073	66082	
664074	63038	Katie
664074	78121	Station Cop #2
664075	145312	Hilary's Child
664076	145312	Hilary's Child
664077	333183	Young April
664078	45887	Susan
664078	116209	Second Stewardess Trainee
664078	336819	Ms. Hobart
664078	353307	Black Prostitute
664079	54657	Angie
664079	339353	D.C. Vivien Watkins
664079	385978	Cordell Hospital Sister
664079	403235	Sally Rind
664079	408867	Det. Const. Vivien Watkins
664080	39330	Ma Skinner
664080	45421	Mrs. Peter
664080	86007	Sarah
664080	258965	
664080	269652	Blunt's Secretary
664080	295489	Woman at Party
664080	350500	Mrs. Johnson
664080	400522	Mrs. Cartwright
664080	400774	Jinny Crawford
664081	141579	Dancer
664081	169140	Simeon's Wife
664082	350209	Stacy
664083	6722	Herself
664083	6723	Herself
664083	6724	Herself
664083	6730	NonSex
664083	10536	Herself
664083	11150	
664083	25233	Jenna Jameson
664083	34928	
664083	41645	
664083	70213	
664083	74069	Herself
664083	87223	Holly So Tightly
664083	97327	Herself
664083	104672	Herself
664083	116013	Herself
664083	122636	Herself
664083	122637	Herself - Presenter
664083	128347	Herself
664083	132912	Candy Suxxx
664083	139209	
664083	179175	Jenna
664083	224253	
664083	241066	
664083	244353	Herself
664083	255344	
664083	257620	Herself
664083	260705	Herself
664083	260726	Herself
664083	262621	
664083	264785	Mandy
664083	265066	Daisy
664083	286637	Jenny
664083	299475	
664083	311156	Herself
664083	319460	Model
664083	319461	Model
664083	348304	
664083	360898	Herself
664083	364710	
664083	368987	Herself
664083	372540	
664083	401924	Herself
664084	18828	The blonde
664084	28313	Penitent
664084	45533	Telephone operator
664084	68016	Amaryllis Trumbull
664084	68692	Marnie
664084	72554	Sophie Cross
664084	73122	Gloria Wayne
664084	73801	Lulu
664084	81247	Grace Pander
664084	105188	Sybil
664084	114044	Mrs. Graham
664084	118979	Abigail
664084	123682	Girl in Car
664084	131543	Elsie Hooker
664084	139227	Rounder's Mom
664084	195483	Louella McKenzie
664084	203549	
664084	245363	Rose
664084	254631	Secretary
664084	262519	Millie Peebles
664084	265104	Peggy Carstairs
664084	265741	Lucille
664084	283385	Esther
664084	290996	Mary Davis
664084	300063	Chorus girl
664084	308348	Barmaid
664084	311530	Jenifer
664084	313026	(segment "Hitchcock Satire")
664084	323891	Annabel Herringbone (segment 
664084	333647	Sue Fan Finley
664084	361817	Herself
664084	365499	Lola (showgirl)
664084	367807	Simpson
664084	379760	
664084	384512	Harpist (1958)
664084	389858	Coleen Middleton (1979)
664084	407172	
664085	32052	Dancer
664085	295826	Sex Monster Dancer
664086	78775	Shirley
664086	89688	Hysterical Fat Lady
664086	323781	Housekeeper/murderous woman o
664087	41198	Laura
664088	63834	Junior Teacher
664088	84916	Patricia Haggard
664088	87561	Betty
664088	88921	Herself
664088	88922	Leela
664088	88930	Leela
664088	88933	Leela
664088	89001	Herself
664088	127303	Patricia Haggard
664088	171730	Herself
664088	185047	
664088	217420	Mrs. Greenfield
664088	247036	Florence Tuckerton
664088	251684	
664088	276253	Leela
664088	294800	Leela
664088	315620	Herself
664088	316291	Tamora Hennessy
664088	347454	Patricia Haggard
664088	374582	Patricia Haggard
664088	382593	Lady Harriet (1976)
664088	386587	Leela
664088	386587	Leela (1977-1978)
664088	386669	Lady Harriet
664088	387247	Rosa Di Marco (1998-2000)
664088	387533	Sharon Crossthwaite (1973)
664088	400137	Dr. Anne Reynolds
664088	403373	Janet
664088	404664	Tania Braithwaite
664088	406541	Mrs. Hilliard
664088	407838	Blanche Simmons (1981-1982)
664090	39628	Countess Yeonil
664090	73707	Prunella
664090	88882	
664090	95108	Isabel Tripp
664090	104047	Hospital Nurse
664090	121503	Claudia Branscombe
664090	149222	
664090	154114	Miss Plimpton
664090	214167	Muriel Pilkington
664090	222692	Maureen Summers
664090	232308	Secretary
664090	241028	Mrs. Lewis
664090	267154	Mayoress
664090	269346	Anyutka
664090	304339	Mrs. Moss
664090	342978	Miss Larsen
664090	395647	Mrs. Bancroft
664090	406205	Mrs. Gereth
664090	411353	Mrs. Catherick
664091	139749	Kitty
664092	385299	Pat Walker
664092	390195	Herself - Correspondent (1993
664093	56946	Maureen Dunbar
664093	64424	Controller
664093	64425	Controller
664093	71567	Mére St Antoine
664093	77214	Annie Pascoe
664093	128585	Mrs. Daisy Loam
664093	155068	Diane Thomas
664093	160958	T.V. Interviewer
664093	211351	Nerissa
664093	230831	Esther Lane
664093	276321	
664093	292686	Aunt Em
664093	323482	Kate
664093	328665	Terry's Mum
664093	342798	Polly
664093	379711	Emma Lambe (1988) (series 3)
664093	380568	Catriona Sykes
664093	381117	Mrs. Boyes
664093	381212	Kathleen Ferguson
664093	384482	Sally Ann Mae
664093	385020	Myra Booth (1963-1968)
664093	391318	Emma Hethercote
664093	393313	MissTemple
664093	406123	Det. Sgt. Holmes (1974)
664093	407416	Kate (1969-70)
664093	408109	Mrs. Marshall
664093	408362	Christine Forster/Powlett-Jon
664093	409654	Maggie
664093	410961	Jessie Seaton
664093	411056	Biddy Bedwelty
664094	241811	Nona
664095	62035	Patrolwoman
664095	93217	Extra
664096	266843	The Hashslinger
664097	59278	Herself
664098	1212	
664098	91075	Cunégonde, la mauvaise fée
664098	217406	Geneviève Béjart
664099	2107	
664099	102484	Sophie
664099	140421	Lili
664099	148702	La petite Juliette
664099	194568	Frida
664099	229489	Annie Vallès
664099	400385	Marie-Louise
664100	4550	
664100	7428	Madeleine
664100	15087	
664100	16602	Lydia
664100	51399	Françoise
664100	73472	Madame Borin
664100	77422	Griselda
664100	97062	Seine
664100	101180	Nicole
664100	115343	Madeleine
664100	124066	Claudine
664100	158829	Yolande
664100	166131	
664100	193443	Anne Forrester
664100	202417	Laurence
664100	238435	[N+1] (2003)  Mme Steiner
664100	248931	
664100	258120	Nicole Laine
664100	261841	Sylvie
664100	265797	Hélène
664100	286317	
664100	324616	Mme Leboeuf
664100	340167	Mme Bonacieux/Ketty
664100	340344	Minette III
664100	346813	Martine Masson
664100	356497	Hélène
664100	392894	Maria Lubitsch
664100	396135	Bathilde de Chasteller
664100	396175	Marie
664100	397946	Cosette
664100	398786	Clémence
664100	401508	Else Cattani
664100	401514	Else Cattani
664100	402622	Odette
664100	411998	
664101	1251	
664101	128747	
664101	308311	
664101	370946	
664102	10899	Woman at Bar
664103	319462	Herself - Morgan's Girlfriend
664104	141054	Car Hoon
664105	124026	Digital Reaction Girl 1
664106	239673	
664107	50207	Police Woman
664107	50645	Wendy
664107	232297	
664107	303696	Arthur`s Mother
664107	364363	April
664107	397493	Dawn Oulton
664108	41643	Megan's Mother
664108	273794	Ann
664109	130037	Widow
664110	239069	Estelle
664111	195331	Dylan #2
664112	255274	Pupil
664113	294249	Evicted Guest
664114	312131	Ariel Eight
664115	32233	
664115	270204	Fareeha Naz
664116	130575	
664116	333895	Mother
664117	34518	Herself
664117	247448	Devi
664117	285950	Woman at the bordal
664118	39783	
664118	139992	Mother
664119	202968	Christine
664119	213563	Ms. Jensens
664119	311668	
664120	357367	
664121	216639	Ms. April - Cheerleader
664122	52048	Rita
664122	123420	Secretary
664123	241472	
664124	108522	Waitress
664125	309678	Girl #3
664126	10160	Figurine #3
664126	115920	Waitress
664127	139676	Annie
664127	146807	Hotel Receptionist
664127	192674	Protestor
664127	195549	Jo Baker
664127	262387	Mr. Klock's Secretary
664127	403089	(segment "Yvette")
664128	294919	Trio Member, Three Silver Spo
664129	99695	Idee
664129	151545	
664130	43638	
664130	104786	Vocals
664131	196365	Mary Assquith
664132	30989	
664132	175542	Herself
664132	232017	Herself
664132	339514	
664133	272026	TV Reporter (at Hospital)
664134	211390	
664135	403805	Jade Morgan (2001)
664137	31632	Augusta
664137	291740	Kelly Maclaine
664137	303900	Mikki
664137	379223	Mrs. Jean Reed (1969-1970)
664138	297190	Sorority Girl
664139	367951	Herself
664140	359064	Child Fan 2
664141	303391	
664142	227653	Manekbai
664143	147234	
664143	187994	Margita
664143	229553	Rychtár's grandmother
664144	400236	Starr Manning (#1) (1996-1998
664145	400236	Starr Manning (#1) (1996-1998
664146	47195	Agrippine
664146	292357	
664146	300695	Anne de Savoie
664147	349989	Ushna
664148	33148	Cármen
664148	34511	
664148	81701	Ritinha
664148	94624	
664148	97353	
664148	104495	
664148	111492	
664148	116391	
664148	168134	
664148	233527	Cozinheira
664148	244194	(segment "Uma Noite com Oswal
664148	260569	
664148	317719	Marli
664148	383907	
664148	384709	
664148	385522	
664148	391580	Fininha
664148	400097	Telma
664148	403118	Lurdinha
664148	403616	Brasilina
664148	404799	Diva
664148	404947	
664148	407864	
664148	408212	Assuntinha Ferreira
664148	410096	Gracinha
664149	133130	Twin 2
664150	133130	Twin 1
664150	221011	
664151	308048	French Friend
664152	24542	Circus Worker
664152	75981	Mrs. Cox
664152	89474	Party Guest
664152	165032	Waitress
664152	202571	Kasia's Mother
664152	259065	Shopkeeper
664152	282762	
664152	286803	Woman Blackmailing Malina
664152	311893	
664152	344047	Dealer
664152	373706	Maria Kedzionek
664152	375486	Liliana
664152	406644	Old actress
664153	348509	
664154	262198	Sara
664154	363972	Young Hannah
664154	369020	
664155	75028	
664155	264731	
664156	6359	Indira
664156	6360	Indira
664156	11253	
664156	13332	
664156	19211	Leela
664156	19603	
664156	29215	Shantha
664156	29218	
664156	35111	
664156	35986	Lakshmi
664156	36263	Mandodari
664156	42437	Subhadra
664156	51488	
664156	58421	
664156	58621	
664156	62321	Radha
664156	81714	
664156	84729	Namita
664156	84766	Parvati aka Paro
664156	84767	Parvati aka Paro
664156	90575	Lakshmi
664156	90580	
664156	91470	
664156	95035	Padma
664156	95248	
664156	123726	
664156	125154	
664156	126954	
664156	134350	Achala
664156	135703	
664156	135892	Saroja
664156	137989	
664156	145579	Veena
664156	152702	
664156	156452	Radha
664156	160559	
664156	162178	
664156	165927	Reba
664156	174458	
664156	182117	Kunthi
664156	188474	
664156	198687	
664156	203905	
664156	204907	Achala
664156	208095	
664156	208557	Maya
664156	208558	Maya
664156	210682	
664156	213784	
664156	215587	
664156	215705	Sita
664156	215716	
664156	217196	
664156	218670	Gowri
664156	218671	
664156	221620	
664156	222527	Murali
664156	228755	
664156	247165	
664156	247437	
664156	260130	Vasanthi
664156	260153	
664156	262852	
664156	267960	
664156	271904	
664156	272169	
664156	278808	Kalpana
664156	281483	Minor role in the Hindi versi
664156	281882	Ort
664156	286759	Kaikeyi
664156	300266	Satyabhama
664156	300271	Satyabhama
664156	300321	
664156	303321	Kaikeyi
664156	312491	Yuvarani Sujatha
664156	327792	
664156	327794	
664156	327795	
664156	329299	
664156	331037	
664156	334716	
664156	345936	
664156	348464	
664156	348858	
664156	349114	Arati
664156	349593	
664156	370207	
664156	370710	Yashoda
664156	375199	Shrimata
664157	216033	Clara
664158	231227	Miss Lee
664158	247954	
664159	48355	
664159	325343	Madame Burène
664160	94330	Colette
664161	369151	
664162	20625	Extra
664163	18319	Huguette
664164	211492	L'infirmière
664165	1260	
664165	8564	Ladrona (Thief)
664165	87241	
664165	197476	Vagabundo
664165	325809	
664165	326899	Assistant to Bogey
664165	381908	Herself (season 1)
664166	29965	
664166	116812	
664166	116837	
664166	122865	
664166	142703	
664166	293759	
664166	325290	
664167	20625	Extra
664168	228071	
664168	390180	Vicky Victory
664169	157063	Cat Woman
664170	132530	Alicia (Chapple's Sister)
664171	19607	
664171	45817	
664171	131106	
664171	262875	
664171	262876	
664171	267957	
664171	285416	Kamala Haasan's mother
664171	288026	
664171	293291	
664171	293297	
664171	297442	
664171	320883	
664171	320904	
664171	320905	
664172	4233	
664172	28734	
664172	30879	
664172	35986	
664172	36115	
664172	59420	Saroja
664172	84793	
664172	92433	
664172	97551	Raami
664172	104396	
664172	128986	Chancellor (guest role)
664172	144386	Mythili's Grandmother
664172	165996	
664172	173587	
664172	173593	Buchamma
664172	174854	Devi
664172	199265	
664172	203900	
664172	203903	
664172	217154	
664172	220162	First Wife
664172	222369	
664172	226698	
664172	247508	
664172	252088	
664172	252133	
664172	256848	Vasantha
664172	271647	Chandrika
664172	272166	
664172	273760	
664172	280579	Radha
664172	286781	Chilakamma
664172	289009	
664172	297834	Subbulu
664172	312495	Yerukala Saani (guest role)
664172	317790	
664172	326232	Tayaramma
664172	330362	
664172	330656	Leelavathi
664172	349593	
664172	349799	Sathyavathy
664173	218785	Cheryl's Friend #3
664174	377736	Pamela
664175	96603	Stella's friend
664176	96603	Max's Student
664176	98022	
664176	181147	
664176	334258	Kaska
664177	87033	
664178	19333	Little girl 2
664179	19333	Little girl 1
664180	384319	
664181	258644	
664182	1260	
664182	182377	Sirena Salokorpi
664183	34543	Virena
664183	44797	Virena
664183	59717	Charlotte Löwensköld
664183	69649	
664183	128079	Virena
664183	238742	Virena
664183	281590	
664183	304655	Virena
664183	320514	Virena
664183	322274	Virena
664183	328650	Virena
664183	349075	Virena
664183	399850	Carina Stolt (1999-2000)
664183	408999	Rebecka Enhammar
664184	59717	Crofter-Mats' child
664185	94711	Geisha
664186	171911	
664186	251128	
664186	258640	
664186	390660	
664187	96603	Singerin
664188	9196	Aja
664188	315932	
664189	91767	Student 2
664190	324115	Nurse
664190	396286	Jolanta Kowalska
664191	170219	Host
664193	273105	
664194	254294	
664195	375969	Macivás
664196	99751	
664196	155614	
664196	176682	Woman-worker
664196	237169	
664196	350833	
664196	377134	Szobalány
664197	344663	Shariff's New Wife
664198	336423	
664199	24818	
664199	33479	Lena
664199	35003	Anna
664199	35878	
664199	40487	Amelie Tachezy
664199	49264	Gerlinde
664199	57510	Wanda
664199	75976	Agnieszka
664199	75977	Agnieszka
664199	82197	Dorota
664199	82202	
664199	95907	Marta
664199	103779	Anna Gretz
664199	129647	Anna
664199	131013	Rozyna
664199	133187	Elzbieta Biecka
664199	134993	Katzka Widuchowski
664199	179208	
664199	181367	Dorota
664199	181492	
664199	184805	Malgorzata
664199	207891	Ewa Kozlowska
664199	211217	Barbara Bruckner
664199	231687	Halina
664199	237586	
664199	247550	
664199	253786	Agata
664199	266304	Jadwiga Barykowa
664199	266319	Antonia 'Tonia' Dziwisz
664199	313031	Julia
664199	313035	
664199	319660	Herself
664199	325373	
664199	345023	
664199	348212	Kira Kirova
664199	352634	Maria
664199	357957	Ewa
664199	357984	Anna
664199	361076	Elka
664199	367245	Geo
664199	376506	Wariatka
664199	376518	Anna
664199	376610	
664199	385985	Dorota
664199	386633	Zoska "Arletka"
664199	390701	Frau Maria Bellheim
664199	398022	Helena Opid Zimajer Chlopicka
664199	411163	Marianne Kuessling
664200	18516	
664200	58323	
664200	63254	
664200	112871	
664200	142479	
664200	146432	
664200	309143	
664200	327560	La paysanne
664200	397137	Léontine
664201	63969	
664201	234259	Olga Grimmová
664202	243892	
664202	356679	
664203	365812	La riveraine gentille
664204	361992	
664205	55168	Bice
664206	39095	Jana
664206	181339	Formina
664206	237541	Maruska
664206	339418	Titorelli's Girl
664206	384131	Tomás's sister
664206	403621	Eva Pokorná
664206	412004	Vendulka
664206	412118	Alenka
664207	149244	Terezka
664207	375950	Zuzka
664208	95591	Beta
664208	123069	Baronin Carola
664208	200950	Edna
664208	221194	Barborka
664208	249814	Klara
664208	339247	Týna
664208	354724	Brousková
664208	357420	Lenka
664208	367327	
664209	232599	
664210	105396	Church Member
664210	181709	Tit girl
664210	398755	
664211	285302	Elsie
664211	293198	Jody
664212	125655	
664212	213220	
664212	353720	
664214	260679	Woman at Rally
664216	248976	Herself
664217	236928	Mary Claire
664217	251477	Nurse
664218	275023	
664219	31499	
664219	50376	
664220	53846	
664221	24702	Nurse
664223	127488	Rae Ellen
664223	372901	Jean North
664224	1901	
664224	7744	
664224	7745	
664224	7749	
664224	34876	
664224	36731	
664224	48035	
664224	48576	
664224	194251	
664224	219039	
664224	236307	
664224	319390	
664224	319673	
664225	137662	Girl in Mask & Fishnet Stocki
664225	321129	
664225	331316	
664225	334725	
664225	368660	
664226	166472	
664228	306620	Jessie
664229	116519	Melody
664230	58144	
664230	287463	
664231	164986	
664232	165837	Jasmin
664233	252296	Baby Rennsdale
664234	263300	
664234	298163	
664234	312380	
664234	319673	
664235	236135	Atari Gang Member
664236	136128	Mrs. Gupta
664237	64255	Tifa @ Dino
664237	95228	
664237	167660	Carbaret Dancer
664237	175357	
664237	214899	
664237	252813	Zaleha
664237	267895	Tun Teja
664237	289271	
664237	319853	Natasha
664238	127733	
664239	150744	Mrs. Barrymore
664239	197027	Miss Grey
664240	193752	Audrey
664240	216423	Mona
664240	385343	Jane
664242	159148	
664242	238898	
664242	238899	
664242	238905	
664242	238907	
664242	238908	
664242	266723	Blond Flashing on Train
664242	266726	
664243	315814	
664244	43119	Foreman
664244	95727	Mrs. Kowalski
664244	95953	
664244	95965	Mother Grzybekowa
664244	95968	Prymasiakowa
664244	164755	Kunegunda
664244	315814	Basia
664244	365021	
664244	369008	Macocha
664245	237443	
664246	216568	Lenka
664247	264205	The Queen Mother
664247	366748	Mrs. Adams
664248	383147	Colaboradora
664248	402542	Colaboradora
664249	134500	
664250	158141	Waitress
664251	262286	Postal clerk
664252	317462	Wife of Brandejs
664252	399768	Nováková
664252	399901	Korbelová
664252	409905	Palyzová
664253	117375	
664253	390180	Broadway Rose
664253	405984	(Pledge, USC)
664254	29556	
664255	187327	
664256	212759	Mrs. Collins
664257	27297	
664257	68456	
664257	93130	Allie
664257	186458	
664257	191697	
664257	197666	Dale Aldis, as a child
664257	221786	
664257	224626	
664257	275797	
664257	292485	His Child
664257	309533	Ruth Hamilton
664257	348799	
664257	362662	
664258	139611	Beauty #1
664259	71443	Dorabella
664259	90080	Zerlina
664260	333915	Betty
664261	5885	Christina Aged 10
664261	398294	Helena
664262	33445	Emily
664262	79742	Concerned Woman
664263	1266	
664263	1284	
664263	39581	
664263	59317	Shelly
664263	75030	
664263	75195	
664263	119970	
664263	152286	
664263	154381	
664263	323811	Ka'ren
664263	372090	
664263	392597	Various voices (2003)
664263	398284	Secretary
664264	65214	
664265	306794	
664266	46188	
664266	196764	
664266	283758	
664267	72343	Dancers
664267	140524	Dancers
664267	309942	Dancers
664268	394676	Meg MacKenzie [#3] (1991-1993
664269	254085	
664270	327370	
664271	285234	
664272	144284	
664273	60585	Maeng Nyeo
664274	136498	Parole officer
664275	248192	
664276	144269	
664277	62439	
664278	63416	Jeong-mi
664279	126787	
664280	28909	Min-young Jang
664280	60587	Pak Kyeong-Won
664280	135653	Min Hie-jae
664280	164878	Lee Young-eun
664280	245670	Yeong-hie Kang
664280	302790	Na-nan
664280	303065	Ye-Rin
664280	309343	Sun-yeong
664281	57389	Beauty/Cassandra
664281	77293	Alison Lake
664282	1921	
664282	62852	
664282	106285	
664282	137081	
664282	287521	
664282	373030	
664283	246238	Nun
664284	4808	
664284	7261	
664284	27391	
664284	44402	Sister Won-jong
664284	49421	
664284	49435	
664284	51011	
664284	60663	
664284	63601	
664284	126775	
664284	128045	Jane
664284	131955	
664284	136423	
664284	136425	Min-hie
664284	142810	Guk-hie
664284	153415	Hwang Jin-yi
664284	166785	Seon-young
664284	169005	
664284	169009	
664284	177064	
664284	222476	
664284	227514	
664284	230224	
664284	285221	
664284	286659	
664284	288147	
664284	294475	
664284	295230	
664284	319784	
664284	370707	
664284	371864	
664285	60595	Seok Nam-suk
664285	89615	
664285	199908	
664285	297375	
664286	287111	TV reporter
664287	238962	Kong Hie-ji
664287	398756	Cha Yang-Soon
664288	227605	
664289	370683	Laura
664290	371485	Mel G
664291	62797	
664291	136376	Yeon-hwa
664292	126897	Su-yeon
664293	167935	
664294	371850	
664295	234926	
664296	122830	
664296	131107	
664296	170834	
664297	270272	Jigalong Extras/Singing Women
664357	170216	Herself
664297	305575	Member of Family with Camera
664298	10425	Olivie
664298	169976	Mme Berger (episodes 1,3)
664298	191206	
664299	228134	
664300	166645	
664300	176207	Kapocs Gizella
664300	399860	
664301	177935	
664302	217727	Jeune femme poker
664303	24119	
664304	62584	Gorgeous Brunette
664304	86017	Julie
664304	135850	Paula
664304	210362	Herself
664304	225777	Ashley
664304	279957	
664304	346405	
664305	85040	
664306	183292	
664307	129760	Rada 'Bubili'
664307	293711	Milka
664307	293712	
664307	351322	Mira
664308	1657	
664308	49738	Drina
664308	82368	
664308	144073	Nada
664308	166889	
664308	172671	Gina
664308	214235	Milicioner
664308	249672	
664308	266213	
664308	393168	
664308	395457	
664308	400481	Komsinica (II)
664308	400892	
664309	46085	
664310	76126	
664310	350208	Patty
664311	337979	Girl
664311	376535	Ewa
664312	186989	L'infirmière bavarde
664312	194568	Mme Brunier
664314	150054	
664315	161693	Maria
664316	265520	
664317	176684	Blondie/Evita
664318	51138	La petite Martin
664319	57512	
664319	91277	
664319	218331	
664319	345036	
664319	345525	Une standartiste
664319	387659	Laurence
664320	117377	Dolly, a cabaret player
664320	366735	Undetermined Role
664321	23673	La mère de Nathalie
664321	339089	Linda
664322	100550	Her
664322	289030	Dusty
664322	290107	Anna, 9 Jahre/Anna, age 9
664322	324327	Elle (Her)
664323	18391	
664324	110997	Martina Mayhew
664325	84977	
664326	110997	Girl playing ball
664327	115216	Thurya
664327	178236	Sings-in-the-Clouds
664327	197405	Chita
664327	245746	Dorothy
664327	246488	Tilo
664328	276	Lithesome/Prudence Alden/Mari
664328	35356	Betty
664328	54399	Katherine Bradley (Kitty)
664328	141805	Herself
664328	157088	Jane Morgan
664328	229132	Frederica Calhoun
664328	274984	Elizabeth Schuyler
664328	367833	Matron O'Neil, formerly Mrs. 
664329	325223	Vivian
664330	396437	Herself/Paula
664331	55928	Doll
664332	4507	Service
664333	24005	
664333	147171	
664333	254357	
664333	337551	Frau Mali Stelzer
664334	4770	
664334	106810	Cornelia
664334	170501	Tiroler Mariandl
664334	284993	Marei
664334	325721	Gaby Sachs
664334	336464	Sophie
664334	345938	Christa
664334	375054	
664334	403797	Ginger Redcliffe
664335	23699	Yadia
664335	98771	Kriszti
664335	326341	
664335	394749	Erzsike, secretary
664336	64941	Cab Driver
664336	84981	
664336	114312	Martha
664336	173519	Mrs. Rogers
664336	203362	Mrs. Gerhardt
664336	254470	Ethel Hall, Dr. King's Secret
664336	312003	Grace
664336	388495	Myrtle Davis (1955-1959)
664337	83822	Female Model
664337	127324	Carol
664338	305527	
664339	42886	
664339	180666	
664339	213787	
664339	239451	
664339	320547	
664339	343867	
664339	357327	
664340	176284	
664341	169512	Emma's Mother
664342	307085	
664343	231779	Lilith
664343	273344	Dolly
664343	290587	Dr. Rüdiger
664343	368944	Spa Instructor
664343	395511	Lena Lewandowsky
664343	409958	Clara 'Clarissa' von Anstette
664344	178646	
664345	14010	Herself
664346	60166	Dead Lady, Rental Girl, News 
664347	106109	Guest at Party
664348	220960	Secretary
664349	178732	Anni
664349	184405	Marie
664350	36249	
664350	398251	Gulli Henningson
664351	229220	Sofija
664352	314814	Auction Bidder
664353	8657	Young Girl on the Beach
664354	43010	Mica
664355	257742	Gibbie
664356	361237	
664358	47474	Croatian Relative On Home Vid
664359	48755	
664359	344102	Detektiv 1
664360	162710	Isidora kao dete
664361	217407	
664362	181945	
664363	199287	Suzuki
664363	278314	Maddalena
664363	340009	La frugola (Il Tabarro), Zita
664364	222441	
664365	207240	
664366	236049	
664367	333794	
664368	54173	
664368	137292	
664368	155659	
664368	172464	
664368	197097	Vuka
664368	229277	Gospodja Gasic
664368	243805	
664368	259834	Sulajiceva majka
664368	265951	
664368	293710	
664368	293711	
664368	293712	
664368	307148	
664368	312618	Natalija
664368	312626	
664368	343867	Nadzornica Vera
664368	375125	
664368	375338	Kuvarica
664369	382430	Sudija
664370	227826	Neighbour
664371	37603	
664372	98025	Klotild
664373	28688	Lány
664374	20911	
664375	20148	Echo
664375	162129	Diane
664375	278965	Fortuna/Giunone
664375	302246	Tilly, ihre Tochter (Sopran)
664376	214430	Colonist/Accused Witch
664377	359590	Kasia
664378	305560	
664379	374192	Herself
664380	2240	The Mother
664380	58095	
664380	97993	Szalánczky Éva
664380	105840	Pools meisje
664380	153968	Irén
664380	207164	Zosia
664380	226309	Milena
664380	247550	
664380	255605	Choinska
664380	286452	Ania
664380	305104	Mathematics teacher
664380	313035	
664380	322042	Mother
664380	341058	
664380	362006	
664380	373554	
664380	375486	Marta
664380	393306	Kalina
664380	397622	Zofia Siudym
664381	258803	Hanka
664382	269069	Enid
664384	197846	
664385	349823	Toni Ingram
664386	188511	Little Girl
664387	112879	
664388	198289	
664388	256487	
664389	197204	
664390	1826	Sekretärin/Secretary
664390	5131	Marianne
664390	11892	Die Bösen: Lisbeth
664390	12377	
664390	16227	Mrs. Moellering
664390	17597	
664390	30086	Mathilde Weiss
664390	34992	
664390	93008	
664390	93413	Christa
664390	125166	Afra
664390	125290	Henriette Molenbek
664390	138260	
664390	138273	Mrs. Jansen
664390	139939	Heide Pawelek
664390	155338	
664390	166768	Sister Baerbel
664390	173226	Richterin
664390	173237	Lisa
664390	176561	Ditte
664390	177219	
664390	180532	
664390	181950	Ille
664390	188743	Bille
664390	188825	
664390	189188	Lianes Mutter
664390	191417	Ute Fischer
664390	203959	
664390	204755	Ilse Grabowski
664390	208144	
664390	208203	Birgit Lückert
664390	209953	Kundin
664390	210054	Hilde Zeller
664390	210084	
664390	216753	Charlotte
664390	223454	Eddie's mother
664390	225296	
664390	225659	
664390	226343	Adele Schulz
664390	228157	
664390	248394	Detektivin (Detective)
664390	290131	Hermine Pohl
664390	290192	
664390	290495	
664390	317131	Spielerin
664390	325472	Sylvie
664390	325496	
664390	325512	Adelheid Pönsken
664390	325566	Ilse Keller
664390	325571	Frau Poppinga
664390	325736	Britta Dehart
664390	325942	Sylvie
664390	325954	Frau Schobert
664390	338940	
664390	388623	Waltraud Heinze
664390	394903	Vera Schuster
664390	395701	Ute Fischer
664390	399175	
664390	406321	
664390	409609	Frau Engel (1991)
664390	410510	Kathrin Görres
664391	290838	
664392	308885	Jacqueline
664393	146929	
664394	100557	
664394	116584	
664395	353244	
664396	400	Dr. Melanie Abbasac
664396	644	Ms. Perky
664396	723	Herself
664396	1703	Herself - Presenter
664396	2787	Herself
664396	2797	Herself
664396	2805	Herself - Best Actress Winner
664396	13789	Barbara Fitts
664396	17323	Gynecologist
664396	24506	Grechen
664396	37232	Ann
664396	40726	Doreen
664396	57654	Evelyn Isaacs
664396	61286	Barbara Strasser
664396	63432	Mrs. Stiffle
664396	72292	Lady Cop (computer operator)
664396	79529	Alix
664396	80464	Jennifer
664396	81449	
664396	93959	Loretta
664396	107576	Saleslady
664396	113504	Peach
664396	113505	Peach the Starfish
664396	116062	Heather
664396	141019	
664396	150790	Sally Lester
664396	151556	Lydia Martin
664396	155277	Dot Halford
664396	157255	Maxine 'Maxi'
664396	161192	Herself
664396	170388	Lilah Leech
664396	186836	Paula
664396	214971	The Woman
664396	231560	Herself
664396	236873	Lyla Branch
664396	237783	Constance Miller
664396	244933	Joan Whitfield
664396	250573	Assistant District Attorney
664396	255084	
664396	263755	Mary Anne Walsh
664396	264785	Dee Dee
664396	303447	Marjorie, Robin's Boss
664396	316327	Alice
664396	358638	Amelia's Neighbor--Gum Puller
664396	364281	Miss Penny
664396	366442	Molly Ripkin
664396	367254	Party guest
664396	390109	Kathy McCormack
664396	390771	Ginger (1993-1995)
664396	398213	Herself
664396	410835	Claudia Jean 'C.J.' Cregg
664397	134517	Owens River Gang
664398	148634	
664399	141109	A Steinette
664399	148416	Waitress
664399	165278	Geraldine Page
664399	223084	Flight Attendant
664399	241799	Hospital nurse
664399	260362	Mena Walfleur
664399	291223	Moderator
664399	304829	Cynthia
664400	381896	Herself - Host
664400	381897	Herself - Host - Seasons 1-3 
664400	381899	Herself - Host
664400	381903	Herself - Host
664400	381914	Herself - Host (seasons 1-3 -
664400	383073	Herself - Reporting Co-host
664400	389076	Herself - Host/Reporter (1998
664400	403183	Herself - Host (1996-1997)
664400	405446	Herself - Host
664400	405621	Herself - Host
664400	407040	Herself - Host (2002, 2004)
664402	15134	Delphine de Custine
664402	23823	Corie Bratteur, la jeune mari
664402	51399	Martine
664402	59710	Charlotte
664402	63853	Sophie
664402	73143	Marie
664402	83267	Claire Boyer
664402	92043	Anne Lambert
664402	101155	Marianne
664402	119820	Malsy
664402	193443	Raphaëlle Verdier
664402	198351	Lucienne
664402	199574	Carine Ardel
664402	218976	
664402	235719	Marie
664402	261785	Carole Lefèvre
664402	269736	Isa
664402	285597	Helen
664402	301526	
664402	309711	Béatrice
664402	332191	Adeline
664402	333689	Carine Ferrand
664402	336642	Harmonie
664402	336650	Catherine
664402	345556	Elisabeth Leroy
664402	346522	Catherine
664402	356519	Isabelle
664402	380902	Aurore de Requistat
664402	386572	Docteur Claire Bellac
664402	393486	Isabelle
664402	396365	Alice Beaulieu
664402	396790	Marine Dervin
664402	401029	Virginie
664402	401053	Joëlle 'Pause-café' Mazart Ca
664402	406853	Catherine Tannere
664403	289547	Sherry Carpenter
664404	213336	Medlem af rockerne 'Rotterne'
664404	371059	Kappelen
664405	127943	
664406	284683	
664407	314699	Teen Girl #2
664408	24398	
664409	211662	
664410	152453	Fighting couple
664411	339323	
664412	202260	Vera
664413	104782	Herself
664413	368408	Herself (Poland)
664414	16928	Child
664415	182576	Sexolog
664417	62589	Krenovcova
664417	261872	
664418	237198	Girl #2
664419	149768	Helen Bolton
664420	168120	Loire Daughter
664421	5910	Yoga Employee
664422	229907	
664422	333808	Ruzena
664423	45723	Nana
664423	172327	Lidunka
664423	320545	Sobeslava
664423	349088	Hana Krásná, Dolores
664423	373490	Petrova zena
664423	375361	Tonicka Svátková
664424	381821	Ensemble (1970-1971)
664425	381821	Ensemble (1973-1975)
664426	206687	Jennifer
664427	89603	Onute
664428	19522	Arabella
664428	20145	Primadonna - Ariadne
664428	111962	Leonora/'Fidelio'
664428	111963	Leonore, Fidelio
664428	115203	Rosalinde
664428	125978	
664428	168401	
664429	275346	TV Host
664429	304644	Abby
664430	75931	Hanusia
664430	75949	Fram's Fiancee
664430	95051	
664430	95950	Miska Waldek
664430	110990	
664430	136364	Eleonora
664430	214246	
664430	238095	Karol's Mother-in-Law
664430	244100	Dessa, nurse-prisoner
664430	258664	Aunt Ula
664430	260600	Roxana
664430	262152	
664430	262185	Rojecki's Wife
664430	282756	Halina Nalezyty
664430	286803	Lucyna
664430	303738	Basia
664430	305434	Dr. Wanda
664430	369017	Halina
664430	373706	Singer
664430	395084	Countess Krzeszowska
664430	411335	Irena Kaminska
664430	412008	Eleonora Gabriel
664431	343822	Tania
664432	215214	
664433	352307	Agnes
664435	2545	Chorus girl
664435	126067	Chorine
664435	130622	Gold Digger
664435	191835	Society Girl
664435	255351	Colleen
664436	214387	
664437	284623	Juliette
664438	397517	Olga
664439	211508	Bodyguard side-kick
664440	251007	
664441	44723	Juan's Wife II
664441	397544	
664442	144230	
664442	390242	Titia Holst (1996)
664442	410838	Staatssecretaris Zwavel (2000
664443	390938	Mrs. Lloyd
664444	328603	Margaret Goodwin (segment "Co
664446	33105	
664446	67627	
664446	111339	Gisela
664446	155457	
664446	156090	
664446	213683	Margit von Ferency
664446	265402	Schülerin
664446	306403	Fräulein Steen, Reporterin
664446	308241	
664446	347575	Mannequin Inge
664446	365566	
664446	367186	Olivia Dittjen
664446	379174	Hausfrau
664447	29100	Liz
664447	143108	
664447	158316	Prison Nurse
664447	175182	Estelle
664447	176828	Waitress
664447	275322	Annette Price
664447	313420	Journalist #3
664447	327300	Pam Jensen
664447	367606	Susan McDonald
664448	99653	
664448	119751	Bit Part
664449	321170	Herself
664450	199733	Kind
664450	223466	
664451	398940	Anchorwoman
664452	313671	Jeanine
664453	153160	
664453	322940	
664454	34291	
664455	122575	
664455	125335	Frau Heoger
664455	130649	Doris Burton
664455	347626	
664455	361411	Adrienne
664456	154020	Maid #2
664456	194116	Emma/Alateren neema/TV-report
664457	293198	Beryl
664458	87282	Dance Instructor's Partner
664458	212687	Tammy
664459	199328	Chiffe
664459	199584	
664459	340670	Une femme de Jim
664460	281148	Vriendin
664460	393485	Herself (1984-1989)
664461	408092	
664462	290971	Maddy
664463	2169	Mme Kovacs
664463	13553	Sandrine Gaillac
664463	43758	Yvonne Dumont
664463	68775	La polonaise
664463	70750	Rosemonde
664463	83260	Danielle
664463	96198	
664463	107538	La concierge
664463	111876	Else
664463	153840	La mariée
664463	166105	Ettie
664463	166274	Odette
664463	200943	La Hollandaise
664463	204668	Mme du Bois Morel
664463	236322	
664463	246230	Maman
664463	251529	Marthe
664463	253522	Dizou
664463	254075	Véronique
664463	268444	
664463	275652	Greta
664463	286043	Germaine
664463	286327	
664463	302220	La psychanalyste
664463	324449	Amanda
664463	345461	Henriette Brejoux
664463	345535	
664463	353864	Ghislaine Maubec
664463	353958	Mireille
664463	384074	Yolande Merlin (1992-1996)
664463	392910	Véronique Lumeau
664463	401319	
664463	401349	
664464	98090	Paul's wife
664464	281148	Vriendin
664465	379433	Ane
664466	352371	
664467	41388	2nd Murder Victim
664468	226506	
664469	139755	Elizabeth 'Lizzy' Hansen
664469	315221	Sara Foster
664469	315998	Cheryl Strange
664470	314885	
664471	179685	
664472	101038	Corridor Nurse
664473	382864	Meisje in Wachtkamer
664474	117061	Nurse
664474	343294	Lamaze Instructor
664475	405606	BusinessReporter/Newsreader (
664476	93903	Herself
664477	158563	Woman in galery
664477	160050	Mermaid Singer
664477	301022	Andrea
664479	77983	Scarlett, Scott's Daughter
664480	17838	Anny
664481	187672	
664482	229972	Sibel
664482	403494	Herself
664483	398430	Anchor (1998-2003)
664484	410338	
664485	285762	Eléonore Duplay
664486	41776	Musician at club
664487	107331	
664487	391786	Nicole Owen (2004-)
664488	106495	Sister
664488	169910	Eleanor
664490	277232	Waitress #2B
664491	277232	Waitress #2A
664492	200994	Merritt
664492	244708	Anna
664493	385564	Nyhetsoppleser (1960-)
664494	109686	Student #4
664495	265121	Maria
664495	294037	The woman
664496	179319	Pilaga
664497	63968	
664497	95672	Zofie Drazilová
664497	172327	Marie
664497	266426	Julèa
664497	349318	Lilinka
664498	264722	Yvette
664499	42808	Bitsy Vandervagen
664499	313125	Ginny Tarver
664499	314158	Hooker
664500	5033	Pixie Croffman
664500	20268	Judy Dawson
664500	20536	
664500	32815	Teenager necking in car
664500	40046	Bride
664500	44559	School girl
664500	45521	Peggy
664500	46739	Mary
664500	48590	Judy
664500	75477	Betty
664500	77024	Judy Dawson
664500	93669	Town Kid
664500	103292	Janie Acker
664500	134107	Alison Keith, as a child
664500	137393	Betty, in 'Curly'
664500	163297	Great-granddaughter
664500	209182	
664500	214059	Young Girl
664500	240610	Peggy Thorndyke
664500	247568	Information Clerk
664500	275677	Anchaka Schmidt
664500	275734	Janina Jackorski
664500	291916	Bridey at Age 15
664500	295439	Girl in orchard
664500	302467	Sergeant's Child in Train Sta
664500	308592	Elise
664500	310104	Phyllis Manley, a teen
664500	333062	Yvonne
664500	342873	Patsy, age 4
664500	364212	Betty
664500	365296	Judy
664500	406305	
664501	65367	Bertha
664501	65372	Bertha
664501	68324	Mrs. Korstad
664501	86747	Mrs. Otto
664501	89711	Kathi
664501	92687	Wedding guest
664501	114534	Maid
664501	132016	Dutch Minister's Wife
664501	133698	Mme. Neuman Baumbach
664501	141951	Third Village Woman
664501	145829	Severina
664501	146854	Mrs. Muller
664501	163225	Mrs. Clavish
664501	169362	Frau Winterstein
664501	263083	Elsa
664501	263601	Mom Gehrig
664501	306466	Mrs. Larson
664501	308592	Bertha
664501	330141	Mrs. Henrietta Steelman
664501	330375	Esther
664501	331421	Adelaide
664501	360770	Martha
664502	33625	
664502	151680	Frank's New Woman
664503	1674	Herself
664503	1703	Herself - Presenter
664503	1737	Herself
664503	7103	Fiona
664503	34646	Herself
664503	57654	Bonnie
664503	64517	Lily
664503	64871	Rachel Montana
664503	80467	Treasure
664503	81880	Trillian St. James
664503	90381	Aggie Conrad
664503	104549	Judy
664503	107265	Miss Elizabeth Burke
664503	108336	
664503	109929	Kyle Christian
664503	118368	
664503	127834	Leeanne
664503	144663	Katherine
664503	151106	Evelyn Stockard-Price
664503	154614	Special Agent Rachel Wright
664503	158006	Xenia Onatopp
664503	165264	Onatopp
664503	194478	Dorothea Swann
664503	195274	Kate Welles
664503	199463	Jessica
664503	201714	Herself
664503	216806	Lady X
664503	274582	Herself
664503	275321	Dr. Sara Lee Jaffee
664503	282452	Petra
664503	282772	Claudia Haggs
664503	292256	Herself
664503	306132	Katy
664503	345706	Herself
664503	369448	Herself
664503	369458	Dr. Jean Grey
664503	369461	Herself
664503	369486	Jean Grey
664503	407747	Herself
664504	290628	Rosa
664504	348050	
664505	30276	
664505	93394	Emma
664505	121811	
664505	136222	
664505	237125	
664505	252164	Lucretia
664505	343481	Helga
664506	284296	Roepende vrouw
664507	122576	Jaques' Freundin
664508	386140	
664509	230391	Judy
664509	306396	Jozina Pool
664509	391401	
664510	302680	Sister Maria
664511	41767	
664511	41769	
664511	162776	Cavewoman
664512	252164	Fortunata
664513	74978	Herself
664513	127084	Mrs. Van Hoffman
664513	139565	Telephone Operator
664514	33960	Mevr. Verginkel
664514	76720	Elizabeth Delfman
664514	78395	Moeder van Edouard (jong)
664514	181902	Buurvrouw Veldhuis
664514	195525	Louise Dijkstra
664514	284850	Luise Striese
664514	307288	
664514	314571	
664514	364914	Martha
664514	380684	Eva de Vries
664514	382017	Bertie (oud)
664514	392538	Gaby van Dieren
664514	394602	Elly Rasterhuis
664514	396291	Nel Hasselman
664514	396408	Mrs. Bras
664514	397484	Moeder Gijzen
664514	400294	Moeder (1992)
664514	407166	
664514	410773	
664514	411973	Tante Willemijn
664515	26064	Additional Voices
664516	257848	Herself
664516	257859	(segment Flights of Fantasy)
664516	290389	Sleeping Princess
664517	378614	Tenger meisje
664519	59832	Lauren
664519	310611	Andrea
664520	16637	Music Video Groupie
664521	259167	
664522	338009	Magda
664523	177496	Joanie
664523	342414	Stewardess
664524	390242	Adrie Balk (1991)
664525	213562	Lisa
664526	328682	Alice/Lily
664527	376188	Sien Kriegel
664528	229285	
664528	367021	Moeder
664528	394912	Slik de heks
664528	407166	
664529	76447	
664529	103225	Meisje
664530	2638	
664531	211909	Moeder van Jan
664532	381706	(episodes 1-5, 8, 9, 12)
664533	34446	
664534	237876	
664535	172784	Young Inger
664536	225485	Bad driver
664537	232736	Morsan
664538	398852	Studioreporter
664539	308193	Accordion player
664540	4513	Dancer
664540	40942	Dancer
664540	214364	Dancer
664540	322671	Dancer
664541	192644	Nurse
664542	115430	Ingrid Brummell
664543	198265	Student
664544	278443	Nurse #2
664545	237261	Grandma jenny
664546	215242	Misa
664546	274937	Agnes
664546	381311	Pärlan
664547	314957	Extra #10
664549	160794	Janis
664550	218221	Secretary
664551	225485	Woman at Manor #7
664552	129422	Herself
664552	139732	
664553	134943	Lotta
664553	291447	Bishop's Dancer
664554	138189	Waitress
664555	115424	
664555	132182	Alexandra's Daughter
664556	115424	
664556	132182	Alexandra's Daughter
664557	318131	Orn
664558	269856	Mrs. Ortiz
664558	338298	Shopkeeper
664559	81286	Hispanic girl
664560	27571	
664560	30110	Kokkepigen Trine
664560	108177	
664560	116305	Lily Petersen
664560	134261	Ilse, police woman
664560	159859	Birthe Rømer
664560	182850	
664560	182851	
664560	308229	Fru Lindegaard
664560	344048	Korpige Vera Vernonica
664560	356852	
664560	360833	
664561	108456	Jeab's mother
664563	150655	
664564	172768	
664565	78221	Second Teenage Fan
664565	91125	Tina Geige
664565	115103	Claudia
664565	139709	Patrizia
664565	265317	Nadine
664565	325932	Simone Körner
664565	334492	Sandra Schreiter
664565	352061	
664566	403534	Herself - Participant
664566	403536	Herself - Participant (2001)
664567	103074	Christa Lessner
664567	159251	Irene Traven
664567	332804	Irene Traven
664568	322930	Elvira
664569	335592	Silvia
664570	179854	
664570	221866	Irena
664571	30259	
664571	57610	Jirina Krátká
664571	199692	Kacenka
664571	214800	
664571	239123	
664571	246211	Dr. Hegl's daughter
664571	261933	
664571	341631	Miliner
664571	373404	
664573	7405	Girl in Candy Shop
664573	20239	Lucy Dunston
664573	29552	Beth Harvey
664573	39341	Cultist
664573	44247	Goldie Harris
664573	46329	Gloria Stapleton
664573	50860	Ann
664573	71918	Beth Andrews
664573	88666	
664573	91559	Dowager
664573	96989	Annie
664573	129227	Chorus Girl
664573	152571	High School Girl
664573	188318	Stenographer
664573	188457	Alice
664573	190236	Nurse
664573	190544	Dolores Costillo
664573	190545	Sheila Shannon
664573	192261	Mrs. Dean
664573	195509	
664573	218790	Wanda Brooks
664573	223811	Nurse
664573	231990	Mulligan's Girl
664573	241703	Mr Perelin's Secretary
664573	246181	Jane Bradford aka Lil
664573	274287	Betty Duncan
664573	279524	Jeannie Morgan
664573	280470	Stella Lamb
664573	290335	Student
664573	304226	Barbara Franklin
664573	306796	Julie Prouty
664573	311475	Lena Limering
664573	313794	
664573	315095	Girl in Sextette
664573	320253	Susie's Brunette Roomate
664573	339940	Sally
664573	340941	Molly Clark
664573	344816	Nurse
664573	367073	Woman Holding Cat in Emerald 
664574	24377	Serafine
664575	67346	
664576	202587	Hanus
664576	234694	Herself
664577	96603	Sonia
664578	46572	Louise
664578	64080	Cinderella
664578	86478	Model
664578	104766	United Kingdom entry (10th pl
664578	134402	Geraldine Titley
664578	157068	Imogen
664578	166635	Young Maid (Margaret)
664578	222709	Alice Lawry
664578	315986	Nurse Jude Atkins
664578	348219	Hazel Scott
664578	381056	Ruth Froud (1998)
664578	386018	Hedda
664578	389708	Mandy Wilkins
664578	395794	DC Isobel 'Pauly' de Pauli
664578	401432	Nicola (1995-96)
664578	406676	Staff Nurse Jude Atkins
664579	178515	
664579	380887	
664580	101009	
664580	184265	Selimi's Cousin
664580	299595	
664581	42582	
664582	26782	
664582	68159	
664582	160228	
664582	194397	
664582	243113	
664582	313229	
664583	111876	Mme Pinarde
664583	324625	La dame patronnesse
664583	380864	Guenolée
664584	332198	
664585	361710	Child at Meal
664586	15024	Maîtresse de Bruno 2
664587	257212	Constance (segment "La Maison
664587	270764	Mireille
664588	176332	Wanda
664588	329349	Neighbor Lady
664589	269223	La petite fille, future prost
664590	156067	Liese Beer
664591	49296	
664592	340857	Jade Gate girl #3
664593	199408	Noa-Noa
664594	10816	
664595	165719	
664596	19341	Herself
664596	71381	Heidi
664596	84485	Scandinavian woman
664596	89911	Annet
664596	110550	Talita
664596	112471	Jennifer
664596	181799	Herself
664596	196436	Claudia
664596	201828	Herself
664596	256753	Heidi
664596	332964	Talita
664596	356555	Andrea
664597	294065	Hat Check Girl
664597	297896	She Demon
664598	381287	Participant (2000)
664599	139	Renáta Pitrasová
664599	336	Anicka
664599	23036	
664599	30324	Singer
664599	58159	Apolena
664599	58255	Dorota
664599	64262	Servant (Cintamani)
664599	64640	Whistlerová
664599	66252	Bride Jindriska (segment "Pat
664599	66257	Frau Bartácek
664599	72383	Lisková/Marcelka (big)
664599	74476	Boss of the gang
664599	92906	Niece
664599	95995	Ester
664599	101010	Helena Zachová
664599	147035	Vlasta
664599	147235	Alena
664599	148803	Burdová
664599	164257	Viera
664599	165061	Bonzurka
664599	165079	
664599	165815	
664599	169722	
664599	172908	Jeho zena
664599	179233	Herself
664599	179235	
664599	198930	Neighbour Pruchova/savoj quee
664599	205383	Týfová
664599	216572	Ruzena
664599	219293	Klára/Viktorie
664599	229560	Blanka
664599	237479	
664599	237497	Queen
664599	237533	
664599	237746	Wife
664599	247352	Countess
664599	247518	Miss.Evelyn Keletti, Mr.Hampl
664599	247551	
664599	252345	Andela
664599	254227	Stepa
664599	284055	
664599	295050	Dása, boss' secretary
664599	312073	Herself
664599	320531	Hana
664599	320673	Zuzanka
664599	323927	
664599	324113	
664599	327763	Mother
664599	351418	
664599	357437	Bozenka
664599	357948	Mother
664599	373558	Betsy
664599	375136	Chadimova (Marta?)
664599	375479	Prokopa
664599	375953	Rùena
664599	376604	Bartácková
664599	380553	Blekotová
664599	380554	Miss Müllerová
664599	381196	Phippsová
664599	386559	Hovorová
664599	396264	Frau Blecher
664599	399141	Marta Penkavová
664599	399142	Nurse Marta Hunková-Penkavová
664599	405729	Betuse
664600	101010	Jarmila Knerová
664601	1857	Marie Collins Brown
664601	15107	Agathe
664601	54037	
664601	68370	Sylvia Millet
664601	72056	Claudine Delvaux
664601	74918	Charlotte
664601	96170	Claire
664601	110027	Sandra
664601	132403	Manie
664601	153872	Mme Bouguereau
664601	156330	
664601	163929	Babakina, la jeune veuve
664601	201181	Nina
664601	225526	Cécile
664601	240465	Camille Lalande
664601	240865	Kirstin
664601	284360	Elisabeth Becker
664601	345022	Betty
664601	346516	Françoise
664602	58754	Yvonne Mazet
664602	105374	
664602	123590	
664602	126724	
664602	136835	
664602	153092	Madame Lindon
664602	194252	
664602	225444	La mère de Frank (Troisième F
664603	15094	Martine
664603	245952	Diana
664603	323351	
664604	273654	
664605	159606	Gunilla Rosendahl
664605	281749	Erica
664605	284556	Katrin Herzog
664605	284560	Katrin Herzog
664605	391604	Britta Jansen (2003-)
664606	311	Madeleine
664606	3311	Marie (segment "Et alors ?")
664606	17580	Dr. Florence
664606	32029	
664606	58409	Victoire
664606	67748	Lisa
664606	70992	
664606	72387	Milène
664606	73068	Le modèle
664606	76623	
664606	77421	Demoiselle d'Honneur de Margu
664606	88172	Cécile Froment
664606	91990	
664606	98958	Nicole
664606	103209	
664606	108902	Jeannie
664606	115315	
664606	164167	Morgue employee
664606	169529	Agathe
664606	190745	
664606	200939	Germaine
664606	208513	Lucie
664606	217829	Claire, Marty's mother
664606	219478	
664606	225497	Béa
664606	225531	Felix's friend at nightclub
664606	235264	Emilie
664606	242359	
664606	249359	
664606	254127	Camille
664606	258327	Irène
664606	260033	Radio speaker
664606	276510	Sonya
664606	285769	
664606	291575	Clara
664606	291576	The woman in 'Mr. Clean'
664606	318514	
664606	337032	Rosalie Plaisir
664606	346420	Michelle
664607	50086	
664607	251311	Carmina
664607	284317	
664607	380162	Jacqueline Garrigues
664609	51067	La jeune femme du bal
664609	332233	Brigitte
664610	320060	Meg
664611	295342	Meg
664612	62442	
664612	132401	Isa
664614	4364	Nun
664614	69462	Protestor
664614	265516	Screaming Woman
664614	304493	Cassandra
664614	372114	Faye
664615	49586	
664615	80099	
664615	94912	
664615	137185	
664615	273049	Maria Dudescu
664616	408485	Huck Finn
664617	20855	Concha
664617	284337	Niña Menor
664617	370062	Sara
664618	380129	
664619	351488	
664620	234324	Herself
664620	262980	Herself
664621	202052	Infermera 2
664622	401634	
664623	68719	Herself
664624	169778	
664624	237736	
664625	337974	
664626	337974	
664627	407304	Gaby
664628	248124	The Hostage
664629	259925	
664630	30091	
664630	37731	
664630	48211	Janina Mars
664630	64964	Wladzia, Piotr's Maid
664630	95968	Kwiryna
664630	124860	Old Woman
664630	214755	AMEX Polynesian Woman
664630	217217	Lusia
664630	226634	
664630	237983	
664630	240122	Olesia
664630	244100	A Capo
664630	249815	Capo
664630	251923	
664630	262197	Bartoszekowa
664630	266306	
664630	273710	
664630	311834	
664630	322155	
664630	343801	
664630	374232	Ewa Salm's Neighbour
664630	411335	Neighbour Jaworska
664631	397122	Inesa
664632	46910	Amber Andrews
664633	397243	Daniela Falcon
664633	402331	Herself
664634	398004	Mochilera
664635	159863	Amanda Stewart
664636	99714	
664637	82669	Dancer
664638	27982	Mendiga
664639	309061	Casino employee
664639	396125	Groopie
664639	405777	
664640	360670	Little Girl
664641	23569	Verona
664641	229046	
664641	349730	
664642	298425	
664643	57560	Movie Premiere Attendee
664643	275871	Sentinel Cheerleader
664644	223314	
664645	207096	
664646	105380	Fake Shemp
664647	11564	Tam
664647	139048	Naomi
664647	191677	Manager
664647	258514	Ottermiske
664648	28589	Ofélia
664649	401208	Verônica
664650	397409	
664651	103869	
664652	154899	Main zombie nº 2
664653	261801	Twin
664654	261801	Twin
664655	219238	
664657	211005	
664658	73472	The Borins' Daughter
664660	352047	
664661	274016	Receptionist
664662	10727	Zelda
664663	305222	Lilly
664664	1599	Teresa King
664664	12184	Lavinia Pepper
664664	27451	
664664	54026	Fee Baker
664664	127226	Edna
664664	128299	Elsie
664664	160569	Daisy
664664	177816	Doris
664664	232860	
664664	277540	Helen
664664	318931	Emmy
664664	360496	Miss Bohne
664665	189408	Roller Skating Waitress
664665	328258	Jacuzzi Girl
664666	193632	Herself
664666	388765	Herself (Biographer of Christ
664666	403299	
664667	318811	Jennie
664668	31704	Preacher's Wife
664668	82332	Colleen
664668	119540	Becky Smyth
664668	366937	Motel Clerk
664669	16644	K-Mart Manager
664670	94840	dancer
664671	90117	Social Worker
664672	205967	Mrs. Talbot
664673	273825	Elderly Neighbor
664673	326600	Mabel
664673	385020	Mrs. Oaks (1992)
664673	387533	Alice Bates, sr (-1994)
664674	62957	Person in the Villiage
664674	240235	Myra, Simon's Mother
664675	42141	Yolanda the Limo Girl
664675	147472	
664675	169478	Ralna
664675	221785	Sophie
664675	273333	Kathy Girdis
664675	310437	Emma
664675	389873	Marcia Huntley
664675	397236	Layla Young (2002-2003)
664675	397859	Josephine 'Jo' Tiegan
664675	399130	Georgia Brown (1996)
664676	13620	Pearl Soap Singers
664677	43237	Guerrillera
664677	205844	Chloe
664677	401699	Adela
664678	16928	Oma Hes
664679	394883	Kulla-Gulla
664680	273032	
664681	387397	Katrin Fink
664682	43919	Mrs. Kitty Twiller
664682	136270	Thess' Mom
664682	148910	Arlene Ingalls
664682	166073	Country Western Lady
664682	189408	Dean's Mom
664682	190091	Karen
664682	194032	Lisa's Mother
664682	267088	Mrs. Kaiser
664682	276439	Ens. Lee
664682	284538	
664682	314923	Gertie
664682	331541	Operator
664682	347241	TV News Crew
664682	399263	Ginny Loomis
664682	404747	Josie
664682	405113	Abby Scofield
664683	119937	Mom
664683	142341	Georgina
664683	155310	Friend
664683	392430	Ruru Sanjo
664684	165421	Miss Klein
664685	70537	Girl at the Bar
664686	273349	Tsatsa
664687	403628	Zosia
664688	138038	
664689	201355	Milica
664689	357300	Melania
664690	354260	Kirsi, assistant in the haird
664691	19931	
664692	17889	
664693	34638	Gladys Herdman
664694	182750	Cordelia
664695	25215	Barnepige
664695	80101	Doris
664695	83089	Maria
664695	86848	
664695	87736	Vera
664695	91265	Fru Sedenius
664695	108180	
664695	108966	Kristians mor
664695	121024	Lilli Lund
664695	121482	Ulla Platen
664695	122462	Maid
664695	151823	Søster Gabrielle
664695	153229	Karen
664695	153775	
664695	154236	Buffetjomfru
664695	159859	Diane Jacobsen
664695	182628	Sekretær
664695	198076	Margot Lind
664695	202972	Gyda Jantzen
664695	214330	Kitty's veninde
664695	214349	Fru Hagenfryd
664695	249744	Biskoppens kone
664695	275257	Kunde I stormagasin
664695	284393	Zita Munk
664695	303920	Støjhus direktørfrue
664695	315403	Stuepige
664695	320224	
664695	322683	Fru Berg
664695	324635	Fru Michelsen, pensionatsvært
664695	326520	Nanna Sten
664695	338728	Fru Ewaldsen
664695	353045	En forretningsdame
664695	356854	Ekspedient
664696	159646	Dancer
664697	86428	Lily
664698	86428	Lolotte
664699	243411	Herself - Wife to Jarl Jarlma
664700	255611	
664702	83144	Herself
664703	23210	Float Girl
664703	196404	Blonde
664704	141497	Nurse Bethan Powell
664704	231388	Mel
664705	169372	Susie Morris
664705	318819	Sally Abbott
664706	310379	Miss Armstrong
664707	338197	Rear guard
664708	52451	Vye
664708	149956	
664708	381343	Mrs. Barton
664708	397477	Rube Muller
664708	399130	Wendy Slater (1993-1994)
664708	401386	Cath Darby (1993)
664709	30497	Student
664710	47580	
664711	186480	Betty
664711	203371	Mrs. Pinch Corley
664711	233748	Betty Allen
664711	310455	Julia (slave woman of Gracchu
664711	320788	Billie
664711	325149	Ann Sturdy
664711	342575	Millie
664711	359221	Nona
664712	304418	King Kong
664713	143577	Dancer
664713	190759	Specialty dancer
664713	254488	Dancer
664714	51154	
664714	56388	
664714	63693	
664714	275647	
664714	339932	
664715	304407	Youngest daughter
664716	287616	la vielle Tante Lydie
664717	234249	Joanna's Mother
664718	17868	Madame Laulois
664718	19327	Madame Toulis
664718	38838	Madame Collin, l'institutrice
664718	53023	Jeanne
664718	68387	Pascale
664718	80156	Madeleine
664718	107245	La mère de Thierry
664718	110054	
664718	124138	Thumette Chevanton
664718	126258	Madame Rasseneur
664718	156532	La directrice de casting
664718	164174	Nelly
664718	197393	Elisa
664718	200948	Gilberte Kowalski
664718	225416	Une gardienne de prison
664718	240429	
664718	336977	Isabelle
664718	345567	
664718	379805	Nanon
664718	383997	Maria
664719	280264	Elias' mom
664720	361425	
664721	213415	Darja
664722	333377	Robyn Taylor
664723	220234	Irena Orska
664724	288649	Ann
664725	8588	Pim Nathasiri
664725	47423	Shub, Prisoner
664725	220064	Por
664725	227413	Nak
664726	12937	Czechoslovakian actor
664727	404061	Additional Voices
664728	215664	Miss Michigan Teen USA (2nd R
664729	58509	
664730	363393	Stewardess #2
664731	325546	Sandra
664731	325837	Rosi
664732	59702	Magda
664733	93415	Double Jasmin
664734	37893	Vein's Mother
664734	74787	Zygon's Wife
664734	88412	Librarian
664734	95895	Helena
664734	95960	
664734	98022	
664734	202572	Next-Door Neighbour
664734	266304	Nanny
664734	273710	Alena
664734	369017	
664735	95960	
664735	300056	
664735	404216	Jolanta
664736	324729	Gossipy woman
664737	324729	Maggie
664738	27107	Electrolysis Patient
664738	81343	Edith Levine
664738	97006	Crossing Guard
664738	113956	Tourist
664738	139791	The Mother
664738	185500	Lady in Coffee Shop
664738	185707	Mrs. Korowski
664739	177584	Mrs. Kemer
664739	214443	Elizabeth
664739	247455	Taron
664739	280064	Detective Elizabeth White
664739	337404	High School Student
664739	380511	Herself (season 2)
664740	75977	
664740	364978	
664740	411894	Hesia Dulska
664741	3916	La fille de 13 ans
664741	19498	
664742	119018	Restroom Attendant
664743	89790	Gorecka
664743	247647	Wiktor's aunt
664743	395084	Prezesowa Zaslawska
664744	180106	Lilka Bartoszuk
664745	360713	Crying Bride
664746	178773	Commission Head
664747	191054	Another Cousin
664747	287732	Laura Setti
664748	217994	Woman Shopper
664749	176358	1934 Goldwyn Girl
664750	299028	Vocalist
664751	26733	
664752	149373	
664752	261088	
664752	291014	
664753	150054	
664754	309657	Josie Mae Morgan
664755	15129	Madeleine Pagès
664755	23832	Rosine
664755	32284	
664755	63662	
664755	64011	Marguerite
664755	91975	Simone
664755	98079	Princess Ludmila
664755	136654	La soubrette
664755	191560	La réceptionniste
664755	208822	Olivia Romer
664755	214028	Martine
664755	248263	Mme Tiquet (segment "Madame T
664755	269095	
664755	269795	Catherine Lombard
664755	275655	
664755	284519	Rosa
664755	309569	La premier actrice
664755	339476	
664755	340441	
664755	387659	Marie Leonnec
664755	390754	Princesse de Condé
664755	405929	Thérèse
664756	97388	Dancer
664757	222831	Janine
664757	391869	Karen Dean (1990-1993)
664758	382838	Gemma Johnson (II) (1998-2000
664759	297145	Brenda
664760	107100	Maid
664760	356896	Poeeka
664761	323410	
664762	291830	
664763	323036	Doctor
664763	323037	Angela Ford
664764	222739	
664765	293228	Tiaia
664766	2470	Mary
664767	106636	Patient
664768	37057	Will's Date
664768	195844	Stacey
664769	38748	Ma Crawford
664770	77095	Girl
664771	56711	Sherry Hastings
664771	108311	Jill
664771	114044	Dr. Lynn Peterson
664771	127284	Emily Wakefield
664771	157965	Kathy
664771	230587	Ada
664771	362823	Nancy Tschudy
664771	387309	Bebe Spode #4 (1957-1958)/Dr.
664771	396088	Eileen (Year Unknown)
664771	398976	Nancy Smith (The President's 
664771	401940	Shirley Manning #1 (1954)
664771	405882	Ginger Kurtz Cooper #2 (1972-
664772	148313	Mime
664773	193707	Wife
664773	330375	
664774	187148	Herself
664775	31018	Woman in Parking
664776	5774	Sharon
664777	126686	College Girls in Dorm
664778	409629	
664781	217692	
664782	339089	Woman with coffee
664783	84692	Anne-Claire
664783	244759	Françoise
664784	254788	California Girl
664785	77829	Sam
664786	2214	Dobrowolska
664786	14316	
664786	18157	The Governor's Older Sister
664786	32572	Ruczynska
664786	70774	Lady at Reception
664786	89482	The Fortune-teller Landlady
664786	94057	Tamara's Mother
664786	95627	Zamestnankyne sirotcince
664786	95897	Salon Owner
664786	115837	Mrs. Rupejko
664786	119446	Irma's Mother
664786	133185	Tawnieka
664786	166616	An Actress
664786	179184	Police Woman
664786	179200	Woman at Hotel
664786	180419	Hanka's Aunt
664786	181384	
664786	181387	Honoratka
664786	217217	
664786	231649	Jegowzona
664786	234249	Honoratka
664786	265652	
664786	294662	The Watchman's Wife
664786	304109	Auntie Fela
664786	305185	
664786	321766	
664786	322153	Shop Customer
664786	338886	Cwileka
664786	343299	
664786	344325	Staroscina
664786	369008	
664786	369375	
664786	373522	Mother Naderska
664786	373548	Hanka's Mother
664786	375469	Mother Czynska
664787	124253	Principal
664788	97713	Laura Catherine Munch
664789	168735	Adjutant's Assistant
664790	158873	Extra
664792	395895	Hostess (2002)
664792	409310	Herself (2002)
664793	20625	Extra
664793	315341	Secretary
664793	361300	Bit
664793	362365	Wedding Guest
664794	80607	Mini-mart girl
664794	209133	Skater Girl
664795	409400	Bus Driver
664796	304051	Gloria
664797	17228	Kitsy Morgan
664797	144865	Mrs. Garver
664797	170845	Rodeo secretary
664797	190034	Mrs. Jackson
664797	190783	Sister Albertine
664797	192682	Miss Aimes
664797	220041	
664797	224326	Mrs. Anderson
664797	232097	Mildred
664797	273997	Mother Fleming
664797	328247	Claire
664797	334171	Mrs. Benjamin
664798	270622	Dance Palace Musician
664799	110313	Fluffy Ralston
664799	191834	Olga
664800	177309	Veronica
664801	62030	Waitress
664803	265104	Valerie Creighton
664804	22176	Swing
664805	387027	Nurse
664806	115	Host
664807	200604	Peasant girl/Actress
664808	193900	
664809	53930	Mrs. Wainwright
664810	390180	Stinky
664811	170706	
664812	40631	Girl in Bikini
664813	215055	Herself
664814	370643	Lizabeth
664815	280629	Irene Spirogolou
664816	238494	Elderly Woman
664817	27236	Terry
664817	43466	
664817	53707	Herself (Candid Candid Camera
664817	57381	Locker room student
664817	57747	Marie
664817	98885	Bikini girl
664817	115059	
664817	129435	Extra
664817	130744	Desi
664817	216707	Bar Girl
664817	226965	Titweiler #1
664817	238494	Girl on the train no. 2
664817	279323	Strip Joint Girl
664817	291250	Herself
664817	296261	Masseuse
664817	321475	Nina
664817	326771	Dead Woman
664817	332450	
664817	365181	Herself
664818	4763	Leni
664819	99635	
664820	66557	Little Girl #1
664821	52197	Guest
664821	310878	Virgie
664822	199759	Nurse
664823	231331	Herself (historian)
664824	357555	Lenka
664825	4694	Waitress
664825	44238	Woman
664825	75783	J.P. Thomas
664825	303905	Alexandra
664826	274755	Corpse on Beach
664827	4477	Child artist
664828	62922	Young Mary
664828	86974	Eve
664828	318775	Susan
664828	350458	Kate
664828	409836	Kate
664829	35878	Olenka
664830	179184	Landlady
664831	17305	Jola
664832	89603	Pola
664832	177691	Shop Boss
664832	213898	Jadzka
664832	293700	False Maks
664832	340120	La femme (Woman)
664833	377859	
664834	273828	Sarah
664835	92742	Dead sister
664836	168683	
664836	194761	Sharon
664837	18827	Member of Political Group in 
664838	42419	Brenda Askew
664838	271282	Shop Assistant
664839	42564	
664839	88150	Seema/Geeta (As Jasmine)
664839	266540	Angela
664839	288285	Bindiya
664839	293905	Visita do Velorio #1
664840	252142	Ani
664840	294128	Cik Ani, Ibu Shariff
664841	402964	Herself
664842	39365	
664842	40031	Mas Ayu
664842	87902	Une hôtesse
664842	134704	
664842	156860	Vampire
664842	197783	
664842	332450	
664842	358151	Mifa, the Servant
664843	309213	
664844	25571	Sasi
664844	36227	
664844	58564	
664844	58575	Indrani
664844	60475	
664844	132616	Jennifer
664844	135240	Gowri
664844	174428	Priyamvada
664844	246320	Shahina
664844	253555	Raziya
664844	267916	Suji
664844	283322	Priya
664844	309000	Shivani
664844	320841	Kamala
664845	41930	Singer
664846	20434	Health Club Woman #2
664847	192272	Frances' Sister
664848	36887	Herself
664848	87697	Baby Doll Dancer
664848	92773	Regina
664848	128786	Herself
664848	139005	Tic
664848	231834	Biker Girl
664848	257664	Touch/Woman
664848	272021	Sammy Ho
664848	273282	Steamy Encounter/Extra
664848	299230	Shira
664848	318729	Beautiful Lady
664848	333278	Eloi
664849	169619	
664849	221376	
664851	4692	Ingrid Weinhard
664851	345945	Jennifer Simmons
664851	375778	Joyce Pride
664852	281365	Lois
664854	27130	Nonna
664854	38864	Sara
664854	65888	Mrs. Macca
664854	220652	Gino's Mother
664854	399130	Elinora Romeo (1988)
664854	402197	Martha Eaves (1979)
664856	380654	Prostitute #2
664858	80986	First Tennis Player
664858	148562	
664859	30155	Jill as a Child
664859	41698	Angela Berlingot
664859	54607	Abigail Prentiss
664859	59154	Sybil
664859	68055	Jacqueline 'Jackie' Appleton
664859	77586	
664859	93078	Herself
664859	133737	Barbara 'Babs' Phillips
664859	154230	Gloria Parish
664859	154680	Herself
664859	191627	Gloria 'Countess' Gibbs
664859	192161	Betsy Manning
664859	192174	Becky, Servant at Minchin Sem
664859	192429	Sybil Hardwick
664859	299288	Herself
664859	302721	Sybil Haines
664859	367453	Elsa Graeme
664860	45853	Mother at Park
664860	46242	Matron
664861	307975	Lilli's Mother
664863	256710	Emilie
664864	48565	
664864	187058	
664864	210539	
664864	219151	
664864	255158	
664864	317954	
664864	379909	Mirta Fernandez Del Ara
664864	386078	Teté Puk de de la Reguera
664864	386531	Camila Saldivar
664864	400490	Apolonia Portugal
664865	153563	Herself
664866	138118	Sally
664866	166938	Dottie
664866	219558	Lauren (Cynthia's Sister)
664866	267653	Julie Clabes
664866	289293	
664866	340803	JC
664866	358581	Rhoda Leiberman
664867	245519	Gussie
664867	346130	Memke
664868	298161	
664869	73303	Carol
664869	81244	Nancy
664869	342756	
664870	170671	Ida
664871	392563	Carla de Winter
664871	394634	Herself - Host - Various part
664871	394674	
664871	403856	Robin Theysse (#1) (2002-2003
664872	302699	
664873	4180	
664873	160994	
664873	218340	Jogan
664873	256202	
664873	289793	
664873	291899	
664873	305232	
664874	4981	
664874	20237	
664874	28959	
664874	28972	
664874	74656	
664874	88803	
664874	132099	
664874	189038	
664874	205143	
664874	205604	
664874	234354	
664874	256784	
664874	267409	
664874	269237	
664874	271970	
664874	294337	
664874	328938	
664874	349952	
664874	371743	
664875	171462	
664876	379819	
664876	396211	Bertha
664876	396880	
664876	401916	
664877	358622	Beth
664878	181708	Nainen elintarviketehtaalla
664880	378556	Tankstellen-Paerchen
664881	244679	
664881	274864	Feuermann
664881	298599	Zwerg
664882	216803	Showgirl #2
664883	220685	
664884	68745	Girl with Painting
664885	70426	Nun
664885	81545	Mrs. Webster
664885	89099	Jennifer
664885	90911	Mrs. Kotlarenko
664885	108334	Beth's Mother
664885	113306	Administrator
664885	156435	Shirley
664885	164369	Strange Lady
664885	193663	Maura
664885	311253	Rachel Parsons
664885	314688	Farm Woman
664885	346871	Edith
664885	346872	
664885	358659	Mrs. Rebello
664886	119881	Woman at Train Station
664886	197016	Music Video AD
664886	360698	Vocalist
664886	395925	Tango Dancer
664887	284973	Sonja, ihre Tochter
664888	4494	
664888	36242	Priya
664888	85277	
664888	135894	
664888	169896	
664888	199637	
664888	297735	Pooja
664888	339746	Radha
664888	355327	
664888	373714	
664889	67664	
664889	68624	Employer (segment "O Terror d
664889	98758	
664889	110159	
664889	128948	
664889	204751	(segment "O Homem dos Quatro 
664889	369730	Tonha
664889	381222	Jovelino's Mother
664890	122985	Herself
664890	156085	Herself
664890	397848	Host (1999-2000)
664890	399607	Host (1998)
664890	400935	Host
664890	401130	Hostess
664891	85477	Herself
664892	97170	
664893	259548	
664893	267333	Marion
664894	99188	
664894	199094	Kislány
664895	24683	Nadège
664896	15031	
664896	23699	Mme Lorenzelli
664896	52011	L'examinatrice
664896	281271	La marchande de poisson
664896	380862	Mme Lorenzelli
664896	398786	
664896	409456	Mother Simone
664897	16950	Yasmina
664897	30549	Amira
664897	258313	Latifa
664897	307755	
664897	312259	Yasmine
664897	377798	Young Girl
664898	344339	Bodenbäuerin
664900	128584	Fru Carlsson
664900	144083	Prästfrun
664901	388042	Field Sgt. Rita Torres
664901	402863	Hinako Ninomiya
664901	406714	Celia
664902	6412	Metalmena
664902	29753	Princess Shirley
664902	63654	Kom's mother
664902	82828	Pestered Woman, Movie Actress
664902	114043	Sarah
664902	123027	Claire
664902	124244	Panni
664902	134069	Ira
664902	137336	Keno Inuzaka (English version
664902	152605	Sheri
664902	168218	
664902	173925	Mary Beth
664902	218383	Spike/Mom
664902	232928	Misa
664902	241950	Kyoko
664902	257982	Haruhiko's mom
664902	265579	PA System, Kei's Mother
664902	265580	C-Ko's Mother
664902	272209	Hinako Ninomiya/Yuka
664902	272214	Additional Voices
664902	273701	Maxine
664902	323776	Aunt Lucy
664902	350190	Felicia the Catwoman
664902	356329	Club Woman
664902	369693	Siu Lan
664902	379198	Asazi (2000-2001)
664902	379245	Narrator (2003-2004)
664902	381069	Melissa Duck (2003-2004)
664902	382566	Lady Frenzy
664902	383460	Natasha
664902	384838	Jezmine
664902	385470	Lori/Grizelda/Elaine
664902	387290	Sarah/Lee Kanker
664902	388042	Rita Torres
664902	392964	Kagura/Kanna
664902	394463	
664902	394550	Maria Braun, Eva Braun
664902	395762	
664902	396526	Akemi Roppongi
664902	397346	Mrs. Mari
664902	398142	Mocchi/Pixie
664902	402863	Referee, Kin Ono (season 1), 
664902	403541	Jennifer
664902	403787	Shlainn
664902	403788	Sh'lainn Blaze
664902	404062	Additional Voices
664902	405027	Jewelia
664902	405356	Fuyuka Liqueur, Katsumi's Fri
664902	405609	Kim Sakai (Sliced Ice)/Cerina
664902	406714	Celia (Rita Ruwanda)/Mailei/S
664902	409380	Cassandra "Cassy" X
664902	412129	Dragonfly (2002)
664903	49296	
664903	325591	Gerlinde Stecher
664903	401434	Anna
664905	90532	
664906	133988	Asian Girl
664906	225800	Hostel Resident
664907	55784	
664907	354586	La secrétaire d'ambassade
664907	378866	Popeline (ep.5)
664907	390754	Claire de Combes
664908	316985	Kvinna i kyrkan
664909	1057	Milusa
664909	74780	Kelnerica
664909	155622	
664909	174976	
664909	198525	Stane Vukelic
664909	271379	
664909	320549	
664909	343799	Marica
664909	344256	
664909	373563	Mlada
664909	386526	
664909	390388	
664909	395704	Mimina majka
664909	400405	
664909	401991	Moljceva majka
664909	411900	Mlada
664910	2252	(segment "Teuf d'enfer, La")
664910	46009	Judith
664910	284881	La femme
664911	286202	
664912	170430	Julie Meyer
664915	374715	Anda
664916	257362	Gloria
664917	284025	Aliina Routanen
664917	293510	Lotta Paukku
664917	321945	Mrs. Aro
664918	289821	
664919	249751	
664920	142266	Herself (Schülerin, Rathenow)
664921	36483	
664921	112804	
664921	113129	La renarde/La mère de Jacques
664921	249108	
664921	322352	
664921	346700	
664921	354674	Toinon
664922	80833	Coffee shop girl
664923	351761	Danse Orientale
664924	283691	Troisième nymphe
664925	286512	Stepmother
664926	57832	
664927	7473	Vendeuse Le Havre
664928	20378	
664928	41658	
664928	42797	Mrs. Consorti
664928	97147	Silvia
664928	104288	
664928	127941	
664928	144171	
664928	234741	
664928	235732	
664928	260616	
664928	269023	Adriana
664928	307677	
664928	320322	Sonia
664928	344589	Luisa
664928	356003	
664928	384275	
664928	386749	Roberta
664929	177660	Extra
664930	114266	
664931	223506	Candidate #1
664932	16968	Alba
664932	257182	School Secretary
664933	3958	
664933	9952	
664933	21997	
664933	30048	Herself
664933	30727	
664933	76141	
664933	123490	Dianne
664933	136187	
664933	171866	
664933	200663	
664933	207632	
664933	242707	
664933	295770	
664933	318410	
664933	325323	
664933	346898	Jennifer
664934	111068	Asian Woman (Temple)
664935	364307	Miss Mellish
664936	118363	Bad Girl #5
664937	23704	Wendy
664937	46568	Section Chief
664938	74396	
664938	169163	American Woman at Party
664938	388279	Debbie
664939	375694	Kimmy
664940	182873	
664941	111848	Hermance
664941	147227	
664941	179895	
664941	181476	Jozefína
664941	229759	Woman
664941	261360	
664941	266348	
664941	304177	Mother
664941	312677	Mother
664941	322483	
664941	322485	
664942	289673	Jessica (Segment "Charlie's D
664942	329986	Katrina
664943	262570	Stovicková
664945	1199	Leila
664945	6384	Djamilla
664945	51406	Nora
664945	56054	Fifi
664945	59130	Zina
664945	60502	
664945	101191	Sophie
664945	379655	Naouel 18 ans
664946	33963	Rosi
664947	58684	Friend
664948	255610	
664949	187335	Annie Mae
664950	35597	Alice Allegari
664952	238251	Tennanna
664952	389868	Priscilla Mthembu (????-1998)
664953	224192	Veronica Dymple, Manicurist, 
664953	355909	
664955	80759	Samantha
664956	160575	Shala Malik
664957	65370	Leila
664957	139486	Pathologist
664958	160994	
664960	386606	Teacher
664961	248246	Surveillante 2
664962	364612	Woman In BMW
664963	241359	
664963	292500	
664963	324162	
664963	328131	
664963	346225	
664964	162578	Lady of leisure
664965	173940	
664967	115269	Women Coalation Diner Patron
664968	27491	Second Girl
664968	50448	Angie
664968	61163	'B' Girl
664968	80800	Mrs. Farley
664968	105971	Waitress at The Hangout
664968	120740	Hostess
664968	123708	Street Girl
664968	154471	Woman in Bar
664968	193855	
664968	194269	
664968	226936	Hostess #1
664968	238071	Girl
664968	283315	Sheba, Reba, or Heba
664968	297897	Blond Nurse
664968	302157	Mrs. Carter
664968	310104	Mother
664968	310136	
664969	8030	Hilda Ryder
664969	105163	Janet Shaw
664969	242101	Jeanne Defarge
664969	243224	Millicent Boyd
664969	301972	
664969	330513	Flash Annie
664970	295806	Coma woman/Helen
664970	343054	Sharon
664970	381568	
664970	382693	Carmen
664970	386606	Elaine
664970	399598	Elaine
664971	342822	Sphinx Girl
664972	258948	Nurse Behind Desk
664972	316752	Dawn's Tattooed Roommate
664973	208519	
664974	234204	Club
664975	360150	Party Babe
664976	72908	Michelle
664976	81093	Rachel
664976	295916	Pursey Galore
664976	358146	Bartender #1
664976	366756	
664977	229260	Child #2
664977	401523	Lizard
664978	185537	Winnie Snips
664979	104764	United Kingdom entry (2nd pla
664980	191732	Theatre Cashier
664983	382120	Nicola Shannon
664984	50673	
664984	91563	
664984	243129	
664984	291016	
664984	343951	
664985	341939	Girl in Headshots and Auditio
664986	383790	Herself - Presenter
664987	31445	Sarah
664987	87025	Fan
664987	206335	Mei
664987	213262	Susan
664987	286873	Princess Die
664987	339369	Sookie
664988	382838	Michelle Jones (1983-1985)
664989	4861	
664989	6357	Malu
664989	8384	
664989	25702	Selena
664989	42435	
664989	61895	Chittemma
664989	106702	
664989	171942	
664989	174458	
664989	179873	Nagamanamma Naidu
664989	205056	Ameena
664989	267139	
664989	271537	
664989	271903	
664989	300299	
664989	330977	
664989	366975	Dr. Sridevi
664989	404040	
664989	406452	Performer
664990	329157	Narrator
664991	138344	
664991	303342	
664991	319832	
664992	4358	
664992	17642	Sumathi
664992	18231	
664992	44201	
664992	91101	
664992	162151	Signora Maruf
664992	165884	
664992	219990	Charu Ma
664992	222221	Manga
664992	251147	Noma Fernando
664992	303156	
664992	319839	
664992	354630	
664993	295258	
664994	2530	
664994	4939	Kanakam
664994	11758	
664994	19213	Thatha Rao's wife
664994	135882	
664994	139996	Sub-inspector Phoolan Devi
664994	143822	
664994	159330	
664994	164123	
664994	164804	Jaganmohini
664994	165239	
664994	179173	Janabethala Janamma
664994	200680	
664994	223373	Villain's Daughter
664994	227114	Kannamma
664994	239311	
664994	243860	
664994	271533	
664994	271773	Seetha
664994	312518	
664994	329206	Narmada
664994	348499	Amina
664995	271023	
664996	45809	
664996	100535	
664996	135759	Seetha
664996	142735	Mallamma
664996	166522	Padma
664996	222093	Sarojini's Mother
664996	226034	
664996	320874	Kalyani
664996	332173	Dharmamba
664997	175977	
664998	2585	
664998	4158	Gauri
664998	4189	Mary
664998	6236	
664998	6238	
664998	8396	
664998	9149	
664998	13172	
664998	16167	
664998	18231	Sarita
664998	25968	
664998	36146	
664998	36184	
664998	42437	Vijaya Rama Raju's wife
664998	58924	
664998	59003	Chandipriya
664998	60068	Pooja
664998	64582	
664998	84717	Angelina Ignatious
664998	84749	
664998	85378	
664998	86686	Asha
664998	90573	
664998	92433	
664998	98558	
664998	98745	
664998	104396	
664998	123734	Saraswathi
664998	123747	
664998	126948	Seeta (Ram's wife)
664998	126951	Special appearance
664998	137264	
664998	152452	
664998	159316	Shanti Devi
664998	160223	Shalu/Champa Bhai
664998	160224	Paro
664998	164741	
664998	164799	
664998	171340	
664998	171785	
664998	174847	Princess
664998	175899	Jaya Shrivastav (Special Appe
664998	175902	
664998	179251	
664998	179363	Amrita Sodi
664998	179872	
664998	181058	
664998	182117	Uttara
664998	186196	Sita
664998	198670	Maa
664998	200904	Lakshmi
664998	201019	
664998	201076	Jaya Srivastav (Kishan's wife
664998	203832	
664998	204102	
664998	205352	Asha
664998	208267	
664998	208614	
664998	209690	
664998	209818	Padma
664998	211250	
664998	221615	
664998	222370	
664998	228856	
664998	232790	
664998	242410	
664998	243500	Woman Courted by Wrestler
664998	246112	
664998	248743	
664998	249651	
664998	250481	Indumati, Princess of Ujjain
664998	266999	
664998	268078	
664998	268602	
664998	271482	
664998	272166	Indhu/Rajani
664998	285416	Madhavi
664998	286793	
664998	287527	Yashoda/Asha
664998	287986	Sangeeta Sharma
664998	288246	Hema
664998	297570	Meena
664998	297578	
664998	298251	Police inspector's sister
664998	300281	
664998	300299	Goddess Padmavati Devi
664998	302511	
664998	303100	Hema
664998	303321	Sita/Lakshmi
664998	309783	Rukhmani
664998	312463	
664998	319823	Tulsi
664998	320863	
664998	320904	
664998	320923	
664998	323624	Vijay's girlfriend
664998	324071	
664998	324330	
664998	329284	Sudha Chandra
664998	334774	Janki
664998	343314	
664998	352881	
664998	355322	
664998	370415	
664998	373543	
664998	376091	
664999	329305	
665000	101659	Mercy
665000	174269	
665000	204780	Anuradha
665000	246575	
665000	251226	
665000	329288	
665001	101669	
665001	174428	
665001	208774	Rehna
665002	22118	Dancer
665002	76808	Chanda
665002	79239	
665002	92532	Ching Lan
665002	232444	Ching Lan
665002	233399	Sangeetha
665002	248782	
665002	286850	Kavitha
665002	297165	Shakuntala
665003	4059	
665003	4454	
665003	6236	
665003	8396	
665003	9440	
665003	9849	
665003	11995	
665003	14515	
665003	14528	Rajeshwari (guest role)
665003	19007	Ranjini
665003	29211	
665003	42434	
665003	62207	
665003	85254	
665003	116778	Jaya
665003	122823	
665003	155575	
665003	155658	
665003	161451	
665003	172889	Kalyani
665003	173545	
665003	174458	
665003	200012	
665003	204102	
665003	209818	Ravindrababu's Wife
665003	217944	
665003	217986	
665003	221624	
665003	226033	
665003	243273	Ram
665003	247437	Rani Malini Devi
665003	262378	Kankaiah's Second Wife
665003	262895	
665003	262897	Jayanthi
665003	262906	Sujatha
665003	271905	
665003	275704	
665003	278370	
665003	292713	
665003	300299	Goddess Lakshmi
665003	300331	
665003	303417	Sivaranjani
665003	308995	Sharda, Heera's mother
665003	312463	
665003	324330	Mallamma
665003	356778	
665004	321400	Yaz
665004	382052	DC/DS Ramani De Costa (2003-)
665004	391759	Dr. Tushara Bandara, aka 'Tas
665004	392008	Narrator (2004-)
665005	332173	Court Singer
665005	382266	Kalsoom Ikram
665006	361136	The mansion's caretaker
665007	67709	
665008	2429	
665008	124980	Navarani
665008	314562	Navarani
665012	120653	Molly
665013	18207	Dancer
665013	33260	
665013	50334	
665013	202373	Herself
665013	232286	1998
665013	360309	Nurse
665014	380530	Kylie
665015	234186	Girl
665016	87294	Samantha
665017	386342	Presenter (????-2002)
665018	262386	Mrs. Wetherby
665019	4419	Pooja's mom
665019	22616	Meghna
665019	30527	Suraj's mother
665019	57877	
665019	62750	Mrs. Malhotra
665019	81994	Suraj's mom
665019	84769	Kaushalya
665019	137815	
665019	138381	Parvati
665019	152448	Megha's mother
665019	152453	Amrita
665019	177978	Sapna's mother
665019	182340	Rahul's mother
665019	207376	Sharda Mathur
665019	222062	Mrs. Khanna
665019	225985	
665019	240207	Om's mother
665019	248799	Padma (Paddy)
665019	254729	Ajay's mother
665019	262820	
665019	268107	Mrs. Thakur
665019	268701	Suman
665019	271581	Mother Superior
665019	275015	
665019	288041	
665019	288242	Ajay's Mother
665019	320165	
665019	370973	
665019	402254	Herself
665020	139421	
665020	409462	Infirmière
665021	380086	
665021	387803	Maria
665021	389485	
665021	390512	
665021	391397	
665021	396838	
665021	398362	
665021	402264	Ivete
665021	404276	
665022	1269	
665023	27026	
665023	161970	
665023	339766	
665024	358341	Emma
665024	384804	Herself (evicted round 2)
665025	61245	
665026	33523	
665027	32141	Model
665027	51752	
665028	28931	Anne
665028	40034	Sheila Kemp
665028	41851	June
665028	65225	Nita Lord
665028	88852	Barmaid
665028	92621	Nicolle
665028	100847	Anne Bruce
665028	153642	Gina McConnell
665028	163439	Pvt. Desmond
665028	167565	Nurse
665028	191399	Janice Benedict
665028	203616	
665028	206108	
665028	209525	Mother
665028	240683	Rosanna
665028	241028	Autograph Hunter
665028	271362	Jill
665028	329960	Lil's Friend at Markie's
665028	330138	Lee Mason
665028	340254	Sarah Pilgrim
665028	367560	Ruby Ames
665028	370533	Enid
665028	389766	Martha Blair (1960)
665028	404402	Diana Winston
665028	410261	Ann Somers (1959-1960)
665028	411184	Hedda Tell
665028	411230	
665029	163715	Skinny Pete's Girl
665030	18544	Party Girl
665031	278909	Schoolgirl
665032	2135	Mary
665032	23331	Kitten
665032	134517	Gentle Storm
665032	187333	Spirit Guide
665032	276796	Spirit Guide
665032	280654	Spirit Guide
665032	286873	Madam Octavia.
665032	315171	Kimimila
665032	334393	Psychic
665033	8901	Additional Voices
665033	38338	Jelly
665033	123107	Sally
665033	125942	Eiko Rando (English version)
665033	139476	Captain
665033	152909	Koharu
665033	210156	Si Aen
665033	238437	Antigone
665033	259003	Samuel "Sammy" Oak
665033	259032	Bulbasaur, Vulpix, Oddish
665033	259088	
665033	259096	
665033	259097	Vulpix/Ninetales/Bulbasaur/Ve
665033	259098	Erin
665033	272997	Hikaru
665033	294104	Messenger Of Doom (Mercury Pr
665033	297223	Tiara, Shadow
665033	328012	Sara Mudo
665033	350723	Llewelyn/Yumei/Shiho/Nanami
665033	373385	Mokuba Kaiba
665033	389791	Classmate
665033	392026	Tuff
665033	394064	Chase/Pie-Tin
665033	394325	Charlotte's Assistant, Young 
665033	394420	Fuwa, Grandma, Takao Kumagami
665033	397196	Solude
665033	401393	Aun
665033	401740	Bulbasaur, Ivysaur, Venusaur,
665033	403965	Sojiro Seta
665033	405047	Anna
665033	405278	Additional Voices
665033	405635	Filia Ul Copt
665033	405942	Danny
665033	411886	Mokuba Kaiba
665033	411887	Mokuba Kaiba (English version
665034	192125	
665035	255715	Claire
665036	86540	Young Harriet
665037	9055	Waitress
665037	26119	Molly Moran
665037	146859	Nurse
665037	149126	Singer
665037	209660	Steffi
665037	255887	Party girl
665037	321384	Una Wilson
665037	321529	Ruth
665037	331205	Girl at Train Station
665038	45999	
665038	126275	Huera
665039	8823	Herself
665040	5010	Mother
665041	73434	Lana
665041	381013	Suzumi Aogiri
665041	404772	Ekuryua
665042	6917	
665042	8616	Mme Brun
665042	19839	(segment "Enigme")
665042	63954	L'hôtesse de la DDASS
665042	70750	La voisine d'Athénaïs
665042	208236	
665042	228864	
665042	229033	Mme Marchant
665042	262919	
665042	265797	Maman Françoise
665042	317752	
665043	49547	J.B.'s Secretary
665043	50290	Leading Woman
665044	4045	
665044	4246	
665044	4289	
665044	4291	
665044	13155	
665044	17894	Bindiya
665044	25357	Jamuna
665044	25947	
665044	27743	Bina
665044	58568	
665044	88598	
665044	95409	
665044	152487	
665044	160164	
665044	164727	
665044	172619	Kishori
665044	174839	Thakurjhee
665044	178298	
665044	183903	
665044	184103	
665044	221188	
665044	222436	Roopa
665044	227989	Rama
665044	227990	
665044	228550	
665044	228689	
665044	233164	
665044	233165	
665044	254728	
665044	270576	Radha
665044	271034	Ganga
665044	271161	Naina
665044	286494	Lily
665044	287409	Kunwar's Fiancee
665044	298616	
665044	298813	
665045	29068	
665045	75030	
665046	13300	Asian Girl
665046	21967	
665046	52443	Iesha
665046	105633	
665046	183993	
665046	185064	
665046	257929	
665046	257930	
665046	356645	
665046	360734	Drag Queen
665047	10727	Beth
665047	29184	
665047	31217	
665047	62456	
665047	105633	
665047	189475	
665047	241877	Gupta
665049	246383	Anna
665049	313787	Performer (TicTacToe)
665049	383492	Carlotta
665050	170312	
665051	235651	Singer
665052	103244	Penny
665053	140442	Hepzibah Hale
665054	24192	Herself - a dog
665054	26614	
665054	63514	
665054	88465	Herself/Hobbit Extra/Wife of 
665054	166255	Herself - a Dog
665054	166256	Herself - a Dog
665054	166276	Herself - a Dog
665054	166277	Herself - a Dog
665054	166279	Herself - a Dog
665054	166293	Herself - a Dog
665054	166306	Herself - a Dog
665054	195545	Themselves
665054	221401	Herself
665054	228663	
665054	257851	Herself - a Dog
665054	301288	Herself - a Dog
665054	306341	Athlete
665054	317475	Herself - a Dog
665054	328877	Herself - a Dog
665054	333539	Herself - a Dog
665054	363455	Herself - a Dog
665055	380246	Face Model: Nanette Manoir
665056	125469	Yo
665056	218808	Drax's Girl
665057	306324	Little Jean (prologue)
665058	197692	Baby Cuddles
665060	13036	Brigitte
665060	34390	
665060	66226	Etiennette Galuchon
665060	70524	
665060	309569	La bouchère
665060	336470	Catherine
665060	377013	Agnès
665060	385151	Faye Valentine
665061	280081	Roxy dancer
665062	41429	Gwen
665063	160	Wife of Marc-Antoine
665063	50792	Sabine
665063	96031	Valerie
665063	96104	Armande
665063	101171	Floriana
665063	122376	
665063	141318	Helen
665063	156300	Florence
665063	216236	Cosette
665063	216237	Cosette
665063	236575	
665063	246435	
665063	248263	La marquise des Anges (segmen
665063	261840	Danny, l'employée de la libra
665063	312222	Laura
665063	343569	Malika
665063	348194	
665063	365693	
665063	381195	
665063	388689	Claire
665064	178989	Une infirmière
665065	71293	
665066	381436	Meridian (1991)
665067	367970	Dancer
665069	120869	Catherine
665070	9058	Marg Huggins
665070	70484	Anne Stuart
665070	84195	Jane
665070	96985	Judy
665070	116523	Herself
665070	126513	Doris Stanley
665070	127086	Melinda Marshall
665070	154631	Patty Nelson
665070	154895	April Garfield
665070	155838	Patricia Johnson
665070	163221	Victoria Peabody
665070	167869	Herself
665070	183445	Gloria
665070	191646	Midge Loring
665070	204165	Gloria Cole
665070	215981	Patricia
665070	218782	Gwen Harding
665070	230344	His Niece/Gloria Jean
665070	239849	Polly Milton
665070	248837	Jinx Page
665070	273786	Linda Wadsworth
665070	279123	Wendy
665070	329987	Ruth Kroner
665070	334443	
665070	346204	Pip-Emma Binns
665070	347201	Herself
665070	357996	Herself
665070	362491	Sue Courtney
665070	362877	Marilyn Benton
665071	213786	
665071	284657	
665071	307343	
665071	336569	
665071	400738	Cherry Barcial
665073	26105	
665073	32556	
665073	37421	
665073	50357	
665074	27841	Opera singer
665075	105805	Maid
665075	310376	Motel Woman #1
665076	344078	Taxi Driver
665077	105200	Grandma
665077	312062	Bride's Mother
665078	129791	Weasel
665079	81302	Ghost
665079	185248	The Eve
665081	340190	La belle étrangère
665082	270876	
665082	270878	
665083	240819	Malia
665085	401882	Participante
665086	75144	
665087	242504	Lise Beauchamps
665088	186614	Sugar Tit
665089	185505	Girl Spy
665090	186989	La secrétaire de l'agence
665091	55583	Jo Ann Cord
665091	105713	Pepper
665092	312302	Hospital nurse
665093	12370	
665093	23867	La Paysanne
665094	195170	Maman Yvette
665095	1870	Madeline Labelle
665095	1999	Roshanda
665095	57735	Dr. Miriam Kent
665095	90290	Elana
665095	151631	Christina Parks
665095	193606	Nanny
665095	196559	Jude
665095	203782	Michelle
665095	210835	Gemma
665095	220978	Lucretia
665095	222699	Elizabeth Pope
665095	222713	Doreen Lawrence
665095	230869	Veronica
665095	236144	Lynne Jacobs
665095	292779	Hortense Cumberbatch
665095	312138	Gladys Jennip
665095	360745	Ellen Coles
665095	367811	Sara
665095	411301	Vivian Johnson
665096	162700	Teacher's Daughters
665097	162700	Teacher's Daughters
665098	162700	Teacher's Daughters
665099	182560	Dancer
665100	349494	
665101	207051	Divine
665101	252183	Luna
665102	71603	Herself
665102	254119	
665103	20067	Doctor
665104	111978	La fille de l'hôtel
665104	112880	
665105	226702	Marylou
665106	75040	
665106	144867	
665106	194723	
665106	233702	
665106	240833	
665106	245783	
665106	264837	
665106	278688	
665106	330744	
665106	333241	2nd Tool Time Girl
665106	348668	
665106	396071	Herself
665107	403805	Dr. Valerie Grant #3 (2002-)
665108	109571	
665109	268443	Une indienne, une demoiselle 
665110	215691	Miss Pennsylvania USA
665111	220218	Participant, Suisse
665112	591	Carmen
665112	18617	Gaby Duval
665112	59745	Lulu
665112	116442	Claudie
665112	135624	Renée dit 'Guinguette'
665112	138492	Doro
665112	280615	
665112	311230	Bit Girl
665112	375371	Herself
665113	65578	Indecisive Video Customer
665114	85616	Véronique
665114	87941	
665115	63148	Herself
665115	63149	Herself
665115	84565	Herself
665115	84635	Isabelle Coutier
665115	148731	
665115	162904	Herself
665115	166271	Secrétaire 2
665115	208224	Mathilde
665115	229033	Christelle Dalembert
665115	268946	Marie-Ange
665115	339990	Nath
665115	344932	Herself
665115	346671	Sonia Sergent
665115	381211	Renee Lemaire (Episode 6)
665115	383788	Blanche
665115	402075	Jeanne Delerme
665115	406030	Victoria Morel
665115	412266	Audrey De Graf
665117	19837	Miss Atkins
665117	26283	Juliette Lamy
665117	30754	Sandrine Nottel
665117	59996	Carole
665117	84628	Julie
665117	104288	
665117	110157	Claire
665117	113123	Alex
665117	121809	Marianne
665117	208222	Cathy
665117	217267	Julie
665117	220258	Jeanne
665117	246380	Isabella
665117	249277	Juge Ralec
665117	263372	Lou
665117	268446	Vivianne Tombsthay
665117	284641	Éliane
665117	286255	Frédérique
665117	287326	Sophie Millau
665117	342611	Katrina
665117	345251	Isabelle
665117	345399	Marthe
665117	353820	Hélène
665117	356448	Ariane
665117	377943	Virginie
665117	377977	Victoire
665117	382754	
665117	384209	Colombe Montausier
665117	384255	Francesca Fasser
665117	389732	
665118	155138	
665118	301199	
665119	22191	
665119	26081	Babok's Voice
665119	68381	
665119	70150	La directrice
665119	268828	
665119	284658	La femme brune
665119	345422	
665121	18823	Annie
665121	288948	Commune Woman #4
665121	383664	Johanne
665121	393395	Bénédicte et Babette
665122	108897	Herself
665123	118420	La Comédien
665123	189905	
665123	240465	Female Guest
665123	354586	La fleuriste
665124	58845	Marie
665124	66718	
665124	70940	
665124	100288	Rolande Prevel
665124	101142	
665124	108897	Herself
665124	110024	Valérie
665124	129513	Gloria
665124	238343	
665124	286277	Delphine
665124	300668	Josy (la mère)
665124	362392	
665125	39518	
665125	71476	Sister Minnie
665125	187283	Theo
665125	235579	Mrs. Dawson
665125	289443	Herself
665125	296979	Old Lady
665126	258098	Party Girl
665127	402397	Correspondent
665128	222136	Herself
665129	69945	Mme Tallerand
665130	71166	Yara
665130	112668	
665130	119216	Gianna
665130	121062	Resi
665130	204525	Deborah McGowan
665130	230154	Vera Pisenti
665130	263727	
665130	265980	
665130	290523	Sibylle Sänger
665130	290524	Monika
665130	314322	Jeanette
665130	325718	
665130	352236	
665130	359679	
665130	361409	Anja
665130	370495	Dawn
665130	375226	Tilly Mautz
665131	96068	
665131	107515	
665131	205646	
665132	60063	Le premier élu
665132	202421	Mother
665132	231579	Hôstess
665133	70234	New Driver/Assistant
665134	305948	Jennifer
665135	32006	Girl in Saida cafe
665135	90371	
665136	28864	Sue Long
665136	46515	Princess Eugénie
665136	73909	The Pellegrini
665136	86209	Von Eyben
665136	92282	Julia
665136	96991	Larita Filton
665136	99292	Mother in 1903
665136	116790	Lady Paula Malverton
665136	122014	Pauline
665136	124102	Mrs. Lornay
665136	127620	Bit Part
665136	127621	Aunt Alicia
665136	131454	Caroline Brand
665136	133539	Lady Mott
665136	139190	Henrietta 'Hennie' Richards
665136	141683	Lady Despard
665136	200132	Dame Agnes Grand
665136	202852	Mme. Dubois
665136	262076	Marion Delacour
665136	265503	Janet Preece
665136	272615	Zelie de Chaumet
665136	276793	Zelia de Chaumet
665136	280690	Duchess of Braceborough
665136	286125	Dolly Durlacher
665136	292829	Miss Marian Plantagenet
665136	309964	Cynthia
665136	320308	Mrs. Newsham
665136	333095	Sylvia Mainwaring
665136	337041	Fermonde Dupont
665136	340027	Zelie
665136	366093	
665136	372932	Mrs. Merrivale
665136	384497	Dowager Dutchess
665137	333327	Dancer
665138	30486	Ethel Standish
665138	31220	Lady Anthea
665138	57260	Fanny Bridges
665138	73679	Joan Collinson
665138	77222	Mrs. Wallis
665138	78857	Gertrude
665138	107623	Maid
665138	107997	
665138	116198	Morella Arlen
665138	120128	Eileen Jackson
665138	122903	Isobel Forbes
665138	134056	Mrs. Rafferty
665138	136518	
665138	141792	Miss Juliana Tesman
665138	154358	Gladys Wallis
665138	190006	Frau von Kalteneck
665138	195616	Rose Pom Pom
665138	203184	Veronica
665138	220916	Frau Heinkes
665138	232011	Mrs Robertson
665138	235167	Lady Windham
665138	240940	Lady Violet
665138	241049	Clare
665138	245659	Millie
665138	269396	Mrs. Fellows
665138	284546	
665138	301506	The Girl
665138	315520	Lisbet Skirving
665138	360551	Martha Dacre
665138	367520	Lorna Blake
665139	239785	Mama de l'orphelinat
665140	1569	Girl
665140	62239	Blandine
665140	360823	Emily Bronte/Girl in Farmyard
665141	205735	Caroline
665141	336844	Flora
665141	377749	Pauline
665142	58907	
665143	76038	La jeune femme
665143	258861	La femme de Fernand
665143	275634	La cliente chez Cheba
665144	53250	La fille de Raymond VI
665144	347039	Roswitha
665144	386140	
665145	14994	Tjenestepigen Lisette
665145	27918	Vendeuse
665145	43772	Cécile
665145	62795	
665145	132562	Melody Cool Choir
665145	401939	
665146	91936	Rebecca Horowitz
665146	153001	BBC Receptionist
665146	160573	Lady Bracknell
665146	384497	Erica Heath-Warburton
665146	385888	Susan Nelson
665147	236164	
665148	149721	Woodsman's Daughter
665149	113825	Fire Maiden
665150	62285	Spokesmodel
665150	384546	Trainer
665151	406321	
665152	91009	
665152	182527	Gloria Bingermeier
665152	290699	
665152	352505	Robustis Assistentin
665152	369400	Maisie
665153	399377	Herself (German candidate)
665154	12849	
665154	53220	Tröstende Schwester
665154	325649	
665155	41917	
665155	123370	April
665155	129113	Secretary
665155	192415	Dana
665155	221043	Hooker
665155	252935	Dana Rae
665155	365981	Carson
665156	96423	Jenny
665157	78087	Candy
665157	87697	Sexy Waitress
665157	212721	Groupie #1
665157	362355	Weeping Woman
665157	366131	Flight Attendant#1
665158	358683	Designer
665159	270949	Aggie
665160	119751	La Gigolette
665160	357904	
665161	238345	
665162	95960	Woman in TV
665162	231362	Brunette
665162	237701	
665163	51493	Madame Elli
665163	91912	La femme barjolée
665163	95950	Party Girl
665163	95981	Prostitute
665163	105516	Biernacka
665163	124859	
665163	138603	
665163	150622	Jozefina Polan
665163	165032	Girl
665163	167319	Woman Listening to Chopin
665163	169572	Helena Ksiezakowa
665163	171438	
665163	172825	Sonia
665163	184200	Wasowska
665163	187641	Joanna
665163	215410	Revue Actress
665163	231724	Journalist
665163	237586	
665163	256156	Baska Oraczewska
665163	311834	
665163	321767	
665163	348441	
665163	367373	Barmaid
665163	375067	Lucy Zuckerowa
665164	95707	Elzbieta Brylska
665164	95950	Irena
665164	165053	Teresa
665164	180538	
665164	185811	Joanna
665164	231636	Ewa
665164	258805	Krystyna
665164	266019	Ula's Mother
665164	275250	Princess Zibelda
665164	364984	Teresa
665164	369380	Zaliczka
665164	396286	Krystyna Cholak (2002-)
665164	401156	Wanda Mroczkiewicz
665164	404216	Helena Wolinska (2004)
665165	165077	Rycho's Mother
665166	369373	Balina
665167	270037	Crying Woman
665167	373653	Saleswoman
665168	324371	Destroyed Future Inhabitant
665169	324371	Destroyed Future Inhabitant
665170	247626	
665171	369375	
665172	80861	Pharmacist
665172	235473	Reporter 3
665173	47210	Herself
665173	158352	Rachel
665173	378825	Herself
665175	6462	
665176	56545	Herself
665177	62054	
665177	168438	Saraswathi
665177	172538	
665177	248720	Naagrani
665177	250841	
665177	254523	Dancer
665177	273061	
665177	287962	
665177	288200	
665177	335738	
665178	173446	Gaundi Adigal
665179	4135	
665179	17440	Honest Cop's Wife
665179	85340	
665179	323681	
665179	385575	Rebecca Brant Reed
665180	313677	Mrs. Fugate
665181	71742	Miss Moriaty
665181	97022	Hospital Sister
665181	97681	Rita's Mother
665181	155200	
665182	161741	Bee lady
665183	229257	Flood Phillips
665183	233774	Susan
665183	269034	Dr. Elizabeth Marks
665183	324624	Clytemnestra/Andromache/Ilion
665183	354905	Sally
665183	356896	Dr. Elizabeth Marks
665184	388202	Green Woman #1
665185	154554	Herself - Incline Village spo
665186	79674	Blond Zombie who attacks Roge
665187	99311	Staring Mona
665188	100868	Barbara Youderian
665188	187843	College Girl
665188	235541	Rosemary
665189	329807	Jennifer
665190	195345	Sitcom Mother
665191	264377	Liza
665192	37650	Waitress
665192	48939	The Radio DJ
665192	69856	Clerk
665192	106193	Lisa Wilson
665192	269847	Police Officer
665193	194566	Patty
665194	12610	Grace Jessup
665194	365760	Annie
665195	260266	Solo Girl Singer
665197	282957	Newscaster
665197	366136	Lt. Laurel 'Cobra' Buckley
665197	380391	Veronica "Ronni" Lawrence (ak
665198	41743	Media Teacher
665199	380391	Veronica "Roni" Lawrence (198
665200	38986	Mrs. Warden
665200	65590	Helen Scott
665200	71783	Lucy Rigby
665200	90306	Emily Wainwright
665200	107844	Marguerite Cummings
665200	114727	Angelica Starr
665200	138694	Myrtle Gale
665200	161542	Favorite of the Harem/Dancer/
665200	249524	Augusta Baker
665200	257970	Hotel Maid
665200	263505	
665200	278669	Meenie Van Winkle
665200	278671	Meenie Van Winkle
665200	304604	Aurea Vyse
665200	311314	Marguerite D'Arcy
665200	363076	Bobby De Vere
665200	368447	Jeanne
665201	48461	Elderly Woman
665201	102013	Mable
665201	122793	Mother Gacy
665202	93771	Secretary
665202	140925	Lady Pleasure
665202	142628	Pearl
665202	266545	Pandora
665203	379928	Herself
665204	39627	Dancer
665205	33190	TV Reporter
665205	211783	Nurse Howard
665205	263172	Mrs. Gilkrist
665206	30777	Nurse
665207	411808	Herself
665208	132813	Josephine
665208	290086	Dental Patient
665209	382817	Herself
665209	393379	Herself
665209	399295	Herself
665210	40744	Miss Sloan
665210	137259	Street Lady #1
665210	148586	Randolph's Mother
665211	275871	Sentinal Cheerleader
665212	2266	
665212	8968	
665212	127405	
665212	189475	
665213	33227	Linda
665213	40802	Nell
665213	78067	TV Movie Girl
665213	79854	Gemma Anderson
665213	85840	Helen Lacklan
665213	99208	Henrietta Doran/Hettie
665213	235386	Louise
665213	282722	Brenda
665213	283496	Kath Hanzaker
665213	288952	Violet
665213	316948	Gemma Anderson
665213	403472	Elizabeth
665213	406695	Eva
665213	411176	Sarah (grown)
665214	218182	Tara
665215	35481	Mrs. Parkin, Teacher
665215	66926	Old Lady
665215	273346	Delores Fenton
665215	279371	Ida Blair
665215	384097	Sheila (1999)
665215	410978	Martha Travis (1997)
665216	2450	911 Operator
665217	253058	Babysitter #1
665218	253058	Kisha
665218	316609	LaToya's Mom
665219	218685	
665219	238314	Sara
665219	369415	Hinoto
665220	201985	Rosa
665220	380311	
665221	13712	Young Philomena #1
665222	67445	Young Girl
665223	13712	Young Philomena #2
665224	45618	Adriana
665225	79308	Georgia
665225	89099	Waterfall Woman #1
665226	203057	Wife of missing man
665226	291864	Erika
665227	42881	NAAFI Girl
665227	65370	Rosa
665227	96519	Ildebranda Cuffari
665227	97611	Josie
665227	120574	Tatiana
665227	146870	Magda Goebbels
665227	197755	Countess Herritzen
665227	199308	Marquise (episode 1)
665227	213315	Hippolyta
665227	222813	
665227	229673	Ms. Wyckham
665227	233058	Baroness Kessler
665227	257551	
665227	276839	Else Bicknall
665227	276943	Frau Strauss
665227	285752	Academic woman
665227	294027	Titania
665227	299548	Dr. Ruth Faber
665227	331045	Aunt June
665227	344683	Molly Bloom
665227	354488	Lady Unwin
665227	358834	Walter's mother
665227	358836	Walter's mother
665227	363165	Auntie Mildred
665227	363261	Mrs. Herriton
665227	383361	
665227	387120	Ophelia
665227	392129	Lady Lydia Eliott
665227	401937	Lady Mary Evans
665228	16614	Miss Pickwick
665228	23791	Augustine, la soeur de Gaby
665228	43710	
665228	104241	Le Proviseur
665228	125468	
665228	202069	Olga
665228	202340	Yvonne Perlin
665228	217223	French teacher
665228	222897	La directrice de l'agence
665228	232931	Mme Gruber
665228	234273	Madame Martineau-Dubreuil
665228	235705	Mme Passargue
665228	255493	
665228	268417	
665228	275310	Mademoiselle Pelusso
665228	306154	Mme Tousseur
665228	339499	Miss Jourdain
665228	345381	L'Américaine du Sacré-Coeur
665228	356445	Eurtrude
665228	357046	
665228	375368	La seconde dame
665228	384186	Catherine
665228	388310	
665228	391928	
665228	402562	Corina Mérovet
665228	410309	
665228	412263	
665229	136226	Herself
665230	54804	
665231	52635	Martha
665231	217600	Vera
665231	241065	Counselor for the Deaf
665231	320082	Joanie
665231	336891	Tina
665231	389858	JoAnne Eden (1980)
665231	394387	Mary Marvel (Mary Batson)
665232	120695	Ellen
665233	348336	Sister Mary Arabian (Nun)
665234	59093	Counselor
665235	314416	
665236	46065	Lisa
665237	911	Jennifer Cecilia
665238	231110	Aunt Peg
665239	387533	Donna Windsor #1 (1992-1997)
665240	185174	Party Clown
665241	174622	Beauty Expert
665241	226895	The Prisoner
665242	113320	Young Melanie
665243	32791	Honor Day
665243	38050	Sally Crane
665243	44338	Anita Shelby
665243	45684	Toni Jackson
665243	52685	Edith Richards
665243	60037	Vivan Gale
665243	65628	Annabelle Davis
665243	81305	Nicky Hobart
665243	86747	Helen Rogers
665243	86910	Vanessa Page
665243	113472	Rita Hargrove
665243	125673	Ellen Brent
665243	144629	June Clark
665243	154481	Polly
665243	168125	Marie Lamont
665243	203090	Nancy Ferguson
665243	208394	Betsy Burke
665243	208395	Sonia
665243	211753	Elizabeth Caulfield
665243	217315	Abigail Holmes
665243	230278	Julie Dexter
665243	232017	Herself
665243	239504	Ivey Brown
665243	239655	Goldie
665243	245738	Judy Goodrich
665243	247568	Myra Pryor
665243	276739	Cheyenne (Jeanie McBride)
665243	278175	Maxine Manning
665243	291341	Herself
665243	302632	Kay Lawrence
665243	309909	
665243	314410	Evelyn Smith
665243	314419	Miss Abbott
665243	325154	Young Woman
665243	331087	Suzibelle, Officer's Club Wai
665243	337654	Ruby Stone
665243	349556	Eleanor
665243	358181	Moon Hush
665243	369433	Lulu
665243	371857	Witness at wedding
665243	375719	Jean LaDance
665243	382770	Sylvia Bancroft #1 (1971)
665243	386004	Sybil Van Loween (1972-73)
665243	388745	Rita Hargrove
665243	389858	Amanda Barrington (1984-prese
665243	396103	Jill Johnson (1958)
665243	401930	Amanda Barrington (1999-2003)
665243	402964	Herself
665243	408576	Marion Kerby
665244	333096	Lady Marion Mainwaring
665245	30486	Lady Marshall
665245	38608	Mrs. Green
665245	99279	Lady Elizabeth
665245	186688	Mrs. Debrant
665245	190782	Mrs. Carmichael
665245	190946	Lady Madeleine
665245	271330	Mrs. Langford
665245	321177	Lady Tonbridge
665245	343209	Lady Ellerslie
665245	363334	Frau Kleiner
665245	363554	Mrs. Hammond
665246	225755	Herself
665247	381091	Herself (eliminated round 6) 
665248	39888	Bertha Carmont
665248	40667	
665249	35731	Rita de la Vega
665250	365381	Isadora
665251	195685	Mona
665251	389946	Various Characters
665252	48540	Cariba
665252	139739	Aishah
665252	256259	Greek 'Cousin'
665252	295616	Gretchen
665252	323802	
665253	224106	Sheila
665254	60251	Singer
665255	342728	Leonora Leigh
665256	134122	Julie McGuire
665256	156501	Anastasia
665257	264913	Woman at Shernikov
665257	383631	Jenny: Receptionist (1993)
665257	395879	Solicitor
665258	77479	Black Damselvis
665259	343780	Brianna
665260	330624	Sally
665261	164539	Annie Chapman
665262	104965	Young Sissy
665263	33398	Belinda
665264	206337	
665265	363668	Bartender
665266	382787	Prevodilac
665267	200619	
665268	399012	Teuta
665269	237465	
665270	23973	Caroline
665270	67093	Reporter
665270	74217	Fran
665270	398082	Mona's Mom
665271	255493	
665272	43203	Polinka
665273	211452	Bimala
665274	4202	
665275	15874	
665275	17461	Lata
665275	27472	
665275	59290	
665275	88485	
665275	90956	
665275	91464	
665275	94907	Urvashi
665275	95315	
665275	123979	
665275	135660	
665275	135735	
665275	161137	
665275	170167	
665275	175928	Zeenat
665275	179284	Zarina
665275	184120	
665275	184161	
665275	215207	
665275	226445	Roopa
665275	226748	
665275	229358	Sanwali
665275	250511	
665275	374304	
665276	4336	
665276	4727	
665276	4902	
665276	11724	
665276	15872	
665276	38835	
665276	59013	
665276	88489	
665276	126954	
665276	126955	
665276	172572	
665276	174267	
665276	210215	
665276	211405	
665276	215205	
665276	229578	
665276	250671	
665276	274336	
665276	281060	Chandrakala
665276	282610	
665276	285841	
665276	297323	
665276	297730	
665276	351109	
665277	323279	Mumtaz Mahal
665278	303558	Vera Dinshaw
665279	169279	Sophie Novinska
665279	189567	Jeanne Ney
665279	324874	
665279	339919	
665280	83276	La secrétaire
665281	6591	Tante Choupie
665281	15013	La nouvelle institutrice
665281	23775	Maud
665281	23812	Ambra
665281	32034	Madeleine
665281	43683	
665281	53236	Mlle de Guény
665281	58409	Madame Henriette
665281	59249	
665281	73721	Florence
665281	108220	La Générale
665281	108221	La Générale Yvonne La Landell
665281	135426	Emma Sardieu
665281	136172	Sarah
665281	146429	Mlle Norbert
665281	200937	Marthe
665281	208234	Martine
665281	211665	Marthe
665281	211699	Armande
665281	217691	Maryvonne
665281	236572	Mme de la Tremoille
665281	249713	Alice
665281	253994	Tante Alice
665281	286624	Tante Momo
665281	287954	La générale
665281	292691	Marie's mother
665281	307129	Gabrielle (segment "Gros chag
665281	319826	
665281	345342	Ginette
665281	390491	Mme de Nocé
665281	396867	
665281	407550	
665281	410144	
665282	406145	Jasmine
665283	2350	
665283	31499	Lady Pirate
665283	59664	
665283	73612	
665283	213150	Jenny
665283	257652	Herself (Miss April)
665283	257677	Witch
665283	257837	Herself (Miss May 1993)
665283	280081	
665283	360291	Blond Babe
665283	384637	La Fragola (Stripping Hostess
665284	200353	Malka
665285	374385	
665286	22118	Nanny
665287	80070	Herself
665288	23415	Solarieflicka
665289	355052	Extra
665290	334316	Tina
665291	315842	
665292	91065	Herself
665292	172337	
665293	316153	Big haired victim
665294	44776	Kvetová
665294	87611	
665294	165035	Leader of woman meeting
665294	166662	Teacher
665294	180224	Tesíková
665294	229756	
665294	245906	Janitor
665294	262219	Julinka
665294	265233	Drunk women
665294	292975	
665294	306100	Mother
665294	396264	
665294	410338	Glocková
665295	259730	
665296	259730	
665297	115386	Ellinor Libergius
665297	276130	Britt-Marie
665297	377309	Young woman
665298	138490	Holda van Fleck
665299	156150	Mother Reza
665300	309342	Hetedik cés
665301	147464	Promrzli student 2
665302	159804	
665302	193186	
665303	91061	Herself
665303	104768	Croatian entry (15th place)
665304	234576	Madame
665305	180002	
665305	241979	Virginia
665305	325888	Frau Leppla
665306	178604	
665306	347794	Dr. Evelyn Putz
665307	117582	Herself
665307	155433	Herself
665308	263426	
665309	114734	Patient
665310	4507	Service
665311	174405	
665312	378525	
665313	352820	
665314	77019	Friday
665314	165069	Verunka
665314	226733	Renata
665314	325677	
665315	163052	
665315	210158	Mrguda
665316	116470	Mado Irwin
665316	356140	
665317	199992	
665318	96455	
665319	95066	Camilla as a child
665319	115401	Beatrice 'Grynet' Hamilton
665319	174049	Sigrid
665319	377309	Young girl
665320	86797	Aggie
665320	148592	Herself
665320	388977	Nancy Buckley
665320	388978	Nancy Buckley
665320	390335	Herself - movie reviewer
665320	399130	Connie O'Rourke (2000)
665320	399571	
665320	402718	Nancy Eastman
665321	358547	Marie de Feyter
665322	87886	
665322	93594	Mrs. O'Toole
665322	203083	Cheerful woman
665322	278909	Gym Mistress
665322	346156	Manageress
665322	392667	Judith
665323	72717	Tiffany
665323	386618	Contestant
665323	388148	TV Reporter
665323	401182	Blow-up Doll Racer
665324	171055	
665325	296261	Psychologist
665326	26606	Doris Baldwin
665326	143577	Fainting girl #2
665326	158711	Pearl Guinan - Age 17
665326	201305	Margie, Little girl in railro
665326	209592	Ann's sister
665326	241349	Eileen Spence at Age 11
665326	299072	Girl at Jeweler's
665327	18530	
665327	126097	
665327	132254	
665327	171418	Maid of Stuessi-Leupin
665327	235946	Verkäuferin
665327	325635	Denise Brückner
665327	361352	
665327	376630	
665328	116598	Marina
665329	70779	
665330	50593	Liuccia Bonuccia
665330	68433	Signora Lapecora
665330	90744	
665330	96496	
665330	162246	Signora con il cane
665330	183476	
665330	199917	Flora Giangrande
665330	205595	
665330	217870	
665330	256451	Nino's mother
665330	291063	Rosalia Carabba
665330	355703	Pellicciaia
665330	356145	
665330	383609	Maria Rossi
665330	404045	Rosalia Pitagora
665330	406539	Rocchina's mother
665331	366921	Sarah Moore
665332	250879	Lena Corematti
665333	170848	Herself
665334	6320	Sofia
665334	79233	
665334	100627	
665334	212608	
665334	231345	Maria
665334	395090	
665335	153219	Herself
665335	179972	Herself - Party Chairman, Soc
665335	270604	Herself - Folketingsmedlem, p
665335	319633	Herself - Minister of Economy
665335	349904	Herself - Partileder, Radikal
665335	349906	Herself - Partileder, Radikal
665335	376108	Herself
665336	221737	Gente de carnaval
665337	17112	Katka
665338	138293	Hana
665339	171534	
665339	175016	
665339	225947	Vondrusková
665339	257483	
665339	263953	
665339	282754	Sluzebna
665339	304191	Thimingova
665339	339342	Grandmother
665340	257886	
665341	83400	Fatia
665342	241830	Tasha
665343	293387	Consuelo
665344	38210	
665345	217860	
665346	132912	Pedestrian
665347	199961	Various voices
665348	313403	Herself
665348	320199	Herself
665349	28340	
665349	57541	Dorina
665349	70589	Mariette
665349	71822	Marie
665349	118184	Catherine
665349	129513	Lili
665349	134605	Femme enceinte
665349	136172	Jeannette
665349	184053	Alice et la mère de Guillaume
665349	271776	Sophie
665349	327564	Natacha
665349	338593	Madame Pertthuis
665349	345109	
665349	346667	Gladys
665349	377012	Maryse
665349	381297	
665349	384754	
665349	386222	
665349	387848	Béatrice
665349	391622	Césarine Birotteau
665349	394014	Lydia
665349	399106	Véronique Lafoy
665349	400771	Manon
665349	404127	Additional Voices
665349	408651	Mélanie
665349	409454	Nicole
665350	327481	Herself (interviewed)
665351	274332	Dancer
665352	89207	Street Kid (herself)
665352	194265	Girl in Drycleaners
665353	41579	
665353	65794	
665353	363602	Hot Freak
665354	9324	
665354	81557	Harlot
665354	204910	
665354	324851	
665355	152475	
665356	22118	Arya's mother
665357	34233	
665357	127053	
665357	157703	
665357	342096	
665358	109173	Bank Hostage #3
665359	217745	Wet Girl
665359	362543	Officer Keeble
665360	286253	Ruth Barnes
665361	3580	Zo
665361	172907	Slurka Anca
665361	295054	Marenka
665361	295129	Olga
665361	317632	
665362	374332	
665363	101708	
665364	79145	
665364	126128	
665364	130936	
665364	165661	
665364	199553	
665364	278444	
665364	293243	
665364	343476	
665364	352585	
665365	109957	Fatma
665366	220234	Danusia
665367	318776	Laurie Chester
665368	45564	Additional Victim in Newspape
665369	276924	Pick-up Artist
665370	17079	
665371	140295	L'épouse du ministre
665372	133019	
665373	156321	Nathalie, la fille aînée
665374	236605	
665376	322310	Woman in village
665377	377367	
665378	34515	SMS girl
665378	191394	Model in Fashion Show #1
665379	305002	Sue
665380	144816	Contestant #4
665381	75207	The Vixen
665381	133470	The Vixen
665382	13507	
665382	158230	Nurse
665382	178077	Meg
665382	278894	1st Secretary
665382	392461	
665383	309574	Fortune Teller
665384	342662	Julie
665385	207238	Jill
665386	149222	Soprano, from opera 'Rinaldo'
665387	141257	Laurie Tucker
665388	169139	Gogo Dancer
665390	687	Herself
665391	10596	Aileen
665391	246603	Secretary
665391	274412	Newspaper woman
665392	357386	
665393	277851	Athlete
665394	79450	Indigo Plantation
665395	346016	Inmate
665396	205268	Gospel Singer
665397	128089	Newscaster Carol
665397	399327	Herself - NY Reporter/Anchor
665398	138774	Jan Wilkerson
665398	147733	Lottie
665398	293048	
665398	380391	Vera Finley (1977)
665398	387540	Lorraine Lambert
665399	133682	Teal
665400	158141	Office woman
665400	283395	Club Patron
665401	382296	Eleanor Lewis
665402	67380	Gate Agent
665402	69803	Smoking Doctor
665402	100998	Maid
665402	178994	Claire the Waitress
665402	293046	Liza
665403	176819	Lori
665404	385299	Pauline Carr
665404	393161	Rowena
665404	410728	Carol Thorpe
665405	116291	
665406	267221	Desert militant
665407	219772	Herself
665408	342531	Vonda's Mom
665409	390917	Roobot
665410	7828	
665411	139656	
665412	109166	Gwyneth Jenkyns
665412	387332	Maid
665412	410651	
665413	385926	Nurse
665414	166167	Kiss Crow
665415	259407	Eve
665416	21369	Arfurido
665417	158361	Cruel child #2
665418	80219	Janet Kendal
665419	18979	Neighbor
665419	26955	Woman Psychiatrist
665419	32044	Neighbor at Party
665419	32114	Code-Red nurse
665419	82837	Dawn
665419	108350	Mrs. Sherry
665419	118763	Lady at Roosevelt Hotel
665419	127295	Assistant D.A
665419	192608	Angry Mother
665419	245275	Nurse Jane
665419	272234	Woman on Street #2
665419	301392	Receptionist
665419	361224	Casting Director
665420	65184	Principal
665420	110308	Nurse
665421	16084	Sister Chambers
665421	63065	Mrs. Constance Everett
665421	80410	Ruth Ann Bartzack
665422	105368	TV Weathergirl
665423	330822	Jodi White
665424	40809	Herself
665424	278083	Herself
665425	50815	Amber
665425	149790	Gina
665425	230112	
665425	266577	Angie
665425	284628	Premiere Audience Member
665425	364390	ET Reporter (Patty Landry)
665425	405072	Diana
665425	411611	Princess Rozalyn
665426	256423	Margaret Richards
665427	4507	Schoolgirl
665427	194789	Zurich Policewoman
665427	325805	Roswitha Baermann
665428	40228	Mary Brown
665429	283718	Pot Smoking Granny
665431	286864	Old Women, Child A, Chiyo
665432	165966	Sheila
665433	273316	Sample Lady - Supermarket
665434	177456	Girl at Party
665435	370643	Mrs. Funny Tie
665436	381091	Herself (eliminated round 1)
665437	93123	Mouseketeer
665438	384585	Baby Adam (1998)
665439	272648	Kitten Girl
665440	86388	Schwangere frau
665441	194380	Eddie's wife
665442	305778	Bar Girl #5
665443	66945	Fat Black Woman
665443	151742	
665443	242487	Mrs. Brewster
665444	67938	ICU Nurse 2
665444	382707	Various
665444	385635	Inez
665445	51991	Fighter #1
665445	135935	Luke's Wife
665445	195319	Screaming Woman
665445	230398	Nurse
665445	241474	Secretary
665445	301540	Nurse
665446	79850	Choral Director
665447	21304	Herself
665448	105959	Mrs. Howard
665448	397790	Bunny
665448	403153	Sally Gardner
665449	330750	Herself
665450	2016	Shirley
665450	11194	Mrs. Bradley
665450	14981	Iris
665450	22720	Miss Higgins
665450	29723	Mrs. Werner
665450	32754	Janet
665450	34821	Emily Lloyd
665450	45530	Nan Ritchie
665450	47990	Angustina McFarish
665450	49637	Hospital Sister
665450	69805	Sister Constance
665450	72844	Mrs. Bulfinch
665450	74021	Glad Tallow
665450	76637	
665450	79554	Clara Peggotty
665450	120246	Lily Grimshaw
665450	124719	Maggie Gay
665450	134043	Nurse Woods
665450	134056	Kitty Launder
665450	146631	The Innkeeper
665450	159260	Doris Banks, Maid
665450	160069	Mrs. Grose
665450	160570	Maid
665450	163560	Peach St. Clair
665450	163920	Servant to Isaac
665450	167111	Rose Brock
665450	168453	Mrs. Pritchett
665450	184283	Nurse
665450	190086	Mrs. Gordon
665450	194816	Mrs. Bunch
665450	196866	Claudine
665450	198874	Gentlewoman
665450	203204	Mrs. Snowden
665450	214188	Gwen Price
665450	218175	Mrs. Trelawne
665450	221083	
665450	222692	Gladys Thomas
665450	233861	Mrs. Marshall
665450	240030	Mrs. Bedwin
665450	245134	Pub Landlady
665450	246696	Barmaid
665450	253452	Vi
665450	257096	
665450	258954	Barmaid
665450	282375	Mrs. Powell
665450	288076	Frau Busche
665450	290352	Matron
665450	292590	Penny
665450	301598	Louise
665450	315675	Nurse Evans
665450	316214	Mrs. Christoforides
665450	332767	Mrs. Phillips
665450	340512	Miss Gibson
665450	341943	Mrs. Grose
665450	363392	Mrs. Turner
665450	363797	Mrs. Briggs
665450	365151	Mrs. Corbett
665450	368691	Mrs. Braithwaite
665450	381558	Janet
665450	390922	Gentlewoman
665450	393313	Mrs. Fairfax
665450	399030	Jessie Titlark #1 (1956)
665450	399304	Mary Penrose
665450	400029	Mum
665450	400080	Mrs. Nubbles
665450	410728	Dotty Armstrong
665450	411356	Mrs. Turner
665450	411503	Mrs. Braithwaite (Series 1-3)
665450	411804	Ethel Collyer
665451	228182	
665452	346016	Guard #1
665453	405038	Girl in Pink Dress on bleache
665454	99530	Backing vocals in The Elton J
665455	307881	Extra
665456	60375	Herself
665457	232630	Christine
665458	203038	
665459	399584	
665460	16068	Kathleen Fahey-Hosey
665460	16899	Claire Everett
665460	38526	Woman in Kitchen
665460	42386	Delores Perrigrew
665460	50979	Daisy Cooper
665460	56857	Joyce
665460	65511	Louise
665460	72325	Lucy Morgan
665460	79132	Ruby Darrow
665460	108354	Caitlin
665460	108419	Narrator
665460	114679	Eddie's Mother
665460	139755	Madeline 'Maddy' Hansen
665460	161060	Susan Ross
665460	165469	Herself
665460	187334	Kay Rainie
665460	205969	Theresa
665460	220314	Narrator
665460	250380	Charlotte
665460	276039	Maeve
665460	296019	Annika
665460	309857	Lizette
665460	311516	Angela Nolan
665460	316220	Katherine
665460	333043	Sandra Stockton
665460	365123	Sandra Anderson
665460	378682	Gov. Carla Williams
665460	380855	Yvonne (Sunrise, The)
665460	382154	Katherine Hubbard
665460	386172	Linda Hazelton
665460	390775	Nora Runkle
665460	399827	Irene Jackson
665461	90813	Cast
665462	341623	Aga
665463	43606	Fox's Assistant
665463	73061	Catherine Driftwood
665463	97347	Storm Reynolds
665463	118027	Johanna Pimmler
665463	232124	Hooker
665463	237768	Claire
665463	276267	Paula
665463	325762	Esther
665463	342403	Anna Holiday
665464	139486	Sanchia Devenish
665465	212027	Bystander #1
665466	147844	Cookie's Mother/Wardrobe
665467	39443	Dr. Brice
665467	360200	Librarian
665468	47827	Jackie Corkhill/Samantha Lush
665468	47828	Jackie Corkhill
665468	381581	Janey, Dazzlingly Beautiful P
665468	382838	Jackie Corkhill (1990-2001)
665468	385020	Gloria Todd (1985-1988)
665469	327298	Sock Hop Dancer
665470	138701	Robin
665470	195725	Susan Kopit
665471	230963	Moonlit Terrace Girl
665471	265775	Candy Counter Girl
665472	122214	Beautiful Girl
665473	107070	Princess
665473	134479	Charlene
665474	305011	Dr. Taylor
665475	62269	
665476	151365	Cassandra
665477	78320	Karine
665478	192191	Regie's Girl
665478	308096	Housekeeper
665479	61690	Nurse
665479	394663	Gretel (1988)
665479	408716	Mo Ratcliffe
665480	207163	
665481	81559	
665481	143697	Anastazija
665481	351016	Lucy
665481	375353	
665481	409878	
665482	308482	
665483	230091	Wife
665484	331764	Show Girl
665485	160058	Woman in barn
665486	93649	
665486	176406	Extra in heaven scene
665486	319160	
665487	328258	Ice Cream Fight
665488	219616	
665488	295829	
665489	151382	Kim
665489	290407	
665490	103736	
665491	1261	
665491	32529	Maid
665491	75028	
665491	93645	Woman in Bathroom
665491	99082	Pinhead
665491	147661	Herself
665491	150051	
665491	221337	Gladys Wilson
665491	295881	Judith
665491	350208	Gidget
665491	407055	
665492	409093	
665493	64073	The Fairy Autumn
665493	281170	Juliet's Friend
665494	312536	Kathy
665496	224729	Katherine (17)
665497	83094	Natasha
665497	250645	Liza Raines
665497	295459	Frances
665497	351411	Dianne Ryan/Velocity
665498	110100	Little Jade
665498	384972	Alícia
665499	194929	Kate
665500	192574	Sunbathing Woman
665500	367096	Mother
665501	13971	Charlotte
665501	44450	Passerby #2 - Democratic Conv
665501	72766	Courtney Oakley
665501	73127	Vincent's Mom
665501	81767	Laurie
665501	83560	Caroline Baxter
665501	114251	Carolyn
665501	114313	Sharon
665501	122658	Lt. Blondell
665501	132454	Marion
665501	136972	Bernice Dayton
665501	151609	Trina Walsh
665501	155890	Ella's Mommy (segment "2000")
665501	185709	Rosie Trickle
665501	185853	Debbie Vickers
665501	186841	Weird Woman
665501	196350	Kate Amerson
665501	199148	Jenny
665501	207838	Anne Loomis
665501	217533	Elizabeth 'Liz' Knowlton
665501	220099	Denise Smallwood
665501	220985	Christine
665501	231096	Marci Benedetti
665501	245140	
665501	251867	Rosalie Testa
665501	252259	Cindy Thomas
665501	262261	Sara (adult)
665501	271192	Iris
665501	275453	Arleen Yoast
665501	284621	Kathy
665501	289690	Molly
665501	299649	Beth
665501	316223	Jeanine
665501	318370	Kate
665501	329833	Lena, Waitress
665501	330477	Heidi Halleck
665501	330595	Helen O'Donnell
665501	343076	Diane
665501	352420	Bobby
665501	359963	Gross's Secretary
665501	361224	Actress at Alison Anders' Hou
665501	362188	Mrs. Jacobs
665501	364459	Olivia
665501	366572	Judy Belushi
665501	405131	Lanie Kellis (2002)
665502	283758	
665503	59901	Herself
665503	89207	Street Kid (herself)
665503	112679	
665503	207970	
665503	217219	
665503	242555	
665503	266539	Mariéne
665503	271450	Thanu (Rohit's daughter) (chi
665503	353934	S&M woman
665503	356653	
665503	381091	Herself (eliminated round 2) 
665503	393599	Herself (eliminated round 1)
665503	405984	(Family Chair, USC)
665503	407055	
665504	15007	
665506	398940	Anchorwoman (Weather report)
665507	54026	Pilgrim: Nun's Priest
665508	276168	Suzie
665509	94542	
665510	168204	
665511	46670	Pretty Woman in Bar
665511	176852	Dancer
665511	314484	Dancer
665512	215691	Miss West Virginia USA
665513	133636	Secretary
665514	236953	Herself
665515	77207	Clinic receptionist
665515	86463	Waitress
665516	2475	Gabriella
665516	65373	Herself
665516	65374	Herself
665516	81347	Deneer
665516	109438	Sammy
665516	133829	Candy Morgan
665516	134686	Elaine
665516	169843	Sunny
665516	195854	Darlene
665516	203506	Peters' Wife
665516	218819	Betty Hammer
665516	257867	Herself
665516	303295	Judy
665516	314465	Rita
665516	340702	Rose
665516	347063	Karen Walker
665516	365893	
665517	5194	Alisa
665517	102734	Theresa (episode "An Erotic C
665517	257672	Herself
665518	78038	Convenience Store Girl
665519	323440	Woman at dance
665520	2555	News Anchor
665520	27263	Woman at Tar Pit
665520	86279	Newscaster (WZDC)
665520	196572	Funeral guest
665520	291698	TV News Reporter
665520	303861	Todd
665520	406113	Wanda Blake
665520	406952	Virginia Harrison (1997-1999)
665520	411971	Agent Rush (2001-2003)
665521	104776	Lithuanian entry (13th place)
665522	245735	Agnes Jennings
665523	402567	Herself
665524	10643	Anne
665524	32388	Rosamund de Clifford
665524	42671	
665524	67099	Anne Chute
665524	69844	Rosina Tennant
665524	73681	Mrs. Barclay
665524	107051	Marie de Brisson
665524	138770	Joan Craddock
665524	142947	Marguerite de Valois
665524	145555	Beatrice Farrar
665524	154938	Anne Pannell
665524	158376	Anne Marston
665524	175503	
665524	183606	Ann Sheldrake
665524	184280	Stella Denvers
665524	190782	Hon. Monica Flane
665524	192054	Lady Violet
665524	216121	
665524	246714	
665524	263396	Sybil Dehan
665524	266221	Laura Westonry
665524	279580	Helen Campbell
665524	300001	The Wife
665524	300557	Audrey Bland
665524	308140	Mrs. Smyth-Jenkins
665524	334266	
665524	367507	
665524	372620	Helen Graeme
665525	164474	Betty
665526	83114	
665526	230410	Mrs. Olderberry
665526	368195	
665527	87209	Clarissa
665527	125219	Peggy Murdock
665527	159284	
665527	218911	
665527	293445	
665529	176406	Extra in wedding scene
665530	21426	Mrs. Hoover
665530	47366	Mrs. Lawrence
665530	47501	
665530	50034	Mrs. Cabell
665530	56153	Mrs. Arnold
665530	58655	Mrs. Hastings
665530	65662	Aunt Ruth Hunter
665530	71356	Mrs. Gardner
665530	79024	Mrs. Dinsmore
665530	79102	Jane Winship
665530	99756	
665530	101037	
665530	107596	Mrs. Seeton
665530	108027	
665530	117051	
665530	129871	
665530	137434	Mrs. Clara Usher
665530	141277	Mrs. Claiborne
665530	146002	Undetermined Role
665530	154733	Cordelia Deering
665530	159912	Mrs. Robson
665530	176248	
665530	191218	Mrs. Ryder
665530	191822	
665530	202792	
665530	203255	Mrs. Ross-Fayne
665530	237113	Undetermined Role
665530	250392	Mrs. Lawton
665530	280908	Mrs. Dunbarton
665530	308539	Ma Carroll
665530	308541	
665530	326118	Mrs. Borden Millyuns
665530	340628	Tony's Mother
665530	362454	Mrs. Wade
665530	362572	Mrs. Pettus
665530	367632	
665530	367836	James Livingston's Aunt
665531	217816	Burger Waitress
665532	56206	
665532	187411	
665532	329962	Number Twelve
665533	70421	Holli Would/Lonette (performa
665534	255169	Central Park Girl
665535	26291	Rachel
665535	27125	James's Mother
665535	30647	Receptionist
665535	69258	Janine
665535	77793	Ms. Taylor
665535	164481	Dr. Laura Wheeler
665535	186156	Yolanda Arnett-Friedman
665535	206215	Prosecutor
665535	222704	
665535	240626	Martha Ree Ween
665535	245055	Inez
665535	245769	
665535	280193	
665535	283434	Loreen Duke
665535	283515	
665535	308064	Mrs. Lassiter
665535	311275	Vera
665535	330443	Nurse (segment "Fantasies Abo
665535	362453	Kitchen Secretary
665536	40632	Big Blonde
665536	92736	Sylvia Wiss
665536	154648	2nd Showgirl
665536	205080	Secretary #2
665536	326428	The Blonde
665537	356792	Student
665538	31822	Small Dove
665539	134577	Guest
665539	273449	Student
665539	315479	Camera #1 Operator
665540	299028	Musician
665541	293839	Lorry Driver
665542	272440	Market Square Extra
665543	237963	Betty Chase
665544	31715	Horse Teacher
665545	17961	Miss Harper (Sheila's stand-i
665545	37309	Gloria, Soapy's Girl, aka Mis
665545	46324	Wedding Guest
665545	49597	Jones & Co. Receptionist
665545	60036	Miss Jennings, Character Woma
665545	71536	
665545	73348	District Attorney's Secretary
665545	89140	Ann Jones
665545	90428	Nellie, phoney Mrs. Williams
665545	95139	Mrs. Errol
665545	109206	Maud Durant
665545	116527	Paradise Ballroom Hostess
665545	122674	WAC Sgt. Polly Williams
665545	148991	
665545	154199	Sixth Girl in 'I Dream Too Mu
665545	185520	Billings' Secretary
665545	195950	Telephone Operator
665545	201457	Miss Marian Moore
665545	206877	Woman
665545	208636	Office Worker
665545	221178	Myra Ross, Dayton's Secretary
665545	222715	Girl in Waiting Car
665545	223241	Cleo
665545	239719	College Girl
665545	240437	Miss Meeker
665545	279687	Fashion Model
665545	291713	Perfume salesgirl
665545	329947	Miss Caldwell, Actress
665545	330225	Miss Murdock
665545	358650	Flo Quinlan
665545	359140	Babe
665545	360532	Clara Simpson
665545	366982	Tillie Jones, Trent's Secreta
665545	367490	
665545	368973	
665545	372115	Jean Jason, Golddigger
665547	1346	M.C. Hammer dancer
665547	1478	Herself - M.C. Hammer dancer
665547	2831	Herself (M.C. Hammer dancer)
665547	221472	Herself (M.C. Hammer dancer)
665547	309552	Herself (M.C. Hammer dancer)
665547	402343	Ginger Snaps Kelly, Additiona
665548	17174	
665548	37196	
665548	37203	
665548	75191	
665548	86706	Segment 3 Girl
665548	102820	
665548	129239	
665548	252171	
665548	304583	
665548	319705	Herself
665548	321016	
665548	338766	Alice
665548	358074	Herself
665549	306785	Jenny
665550	185860	Eve
665550	387247	Donna Andrews (2001-2002)
665551	163544	Dancer, Dutch Girl
665551	313076	Dancer
665552	13742	Bar Hostess
665552	154441	Brad's Assistant
665553	308092	Beth
665553	372525	Nina
665555	359878	Mrs. Mason
665556	329052	Woman on street
665557	196390	Model
665557	216802	Model
665558	399130	Tahnee Coppin (2002, 2003)
665559	351877	
665560	59180	
665560	117976	Mildred
665560	121502	Leonora Allway
665560	167686	The Princess
665560	186798	Blossom
665560	196306	Actress
665560	313320	Anita Regis
665561	21265	
665562	1265	
665562	6754	La stripteaseuse
665562	29953	
665562	241670	
665562	311527	
665562	356645	
665562	361877	
665563	239752	Herself
665564	47863	Sister
665565	103280	Mother
665565	124505	
665565	380390	Babs Farley (1982-1984)
665566	248251	Léontine Hatiyeau (segment "B
665567	100843	Sharon
665567	202367	Aunt Ida
665567	387309	Bibi Kenilworth (1981)
665568	65948	Edith Randolph
665569	28313	Horse
665570	16643	Angel Baby
665570	45515	Esther MacDonald
665570	56435	Sister Angela
665570	56992	Collie at HQ
665570	60766	Dunyasha
665570	65118	Narrator
665570	65948	Jean Randolph
665570	68219	Narrator
665570	86042	Vera
665570	100142	Narrator
665570	116703	Mrs. Dodd
665570	130829	Ilyena
665570	132449	Mady Christians
665570	139680	Wilda
665570	150910	
665570	154969	Diantha Krohn
665570	158230	Judge Kendis Winslow
665570	168907	Alice Staverton
665570	171084	Helga
665570	176822	Alice Johansen
665570	195082	Faith Lloyd
665570	208054	Murphy
665570	209115	Shirley Norton
665570	214091	Sheila
665570	249177	Alice
665570	281398	Edie
665570	288440	
665570	288980	Emily Penning, a Woman in Dis
665570	292285	Nora Marcus
665570	297693	Terri
665570	300160	Bryn Mawr
665570	313422	Xa-Tal
665570	328542	The Visitor/nurse
665570	335346	Laura Pressburg
665570	342975	Dr. Miller
665570	345852	Nurse Ann Botts
665570	386414	Herself
665570	389411	Gert Kipfer
665570	389412	Gert Kipfer
665570	390599	Narrator
665570	396994	Mae Olinski (1976-1977)
665570	407006	Martha Kent
665571	405582	Charlotte Dusak
665572	11743	Herself
665574	45781	Model
665574	108411	
665574	160446	Emily
665574	188579	Herself
665574	235412	
665574	380366	Martine
665575	283639	Mrs. Crowley
665576	407024	Diógenes's Secretary
665576	409426	
665577	32542	Anna
665577	96420	Glennie
665577	104698	
665577	117742	Marianne
665577	144078	Anne
665577	182457	
665577	218897	Camilla
665577	219612	Narrator
665577	233695	Annabel
665577	244010	Louise, Josefines mor
665577	304418	Cecilie Bang
665577	315388	Tine
665577	322728	Marylou
665577	334249	Birgitte
665577	378330	
665577	393474	Louise, Josefines mor
665577	393477	Herself/Louise
665577	394188	Linda
665577	397955	Ulla Karin Just
665577	399788	Herself - Danish Host (2000-2
665577	401573	Vera
665577	406755	Ulla Snedker
665578	194405	Student
665578	291452	T & A Cheerleader
665579	56087	Eva
665580	202239	Woman
665581	405292	Ratsastaja
665582	126071	Sky
665582	281254	Reunion Guest
665582	328128	Alice Jeffries
665583	397074	Gudrun
665584	322302	
665585	96445	
665585	168579	Annie
665586	62926	Emily
665587	327935	Woman in office
665588	87865	Alicia
665588	92099	Claire Donnelly
665588	245513	Dawn Deacon
665588	273717	Mhairi Henderson
665588	335982	Miss Tringham, Chorus Member
665588	347691	Katie
665588	358297	Amanda Cookson
665588	381118	Morag
665588	384346	PC Sue Chappell
665588	384477	Babs Leach
665588	397176	Rosie McConnachy
665588	403811	Heather
665589	145589	Herself - Former resident at 
665590	13078	Madre de Otto
665590	26241	Ulla Hofer
665590	33103	Betty Winter
665590	62107	Donna Johnson
665590	79617	Elke
665590	91010	
665590	120790	Mrs. Kohlbrand
665590	160258	Annette
665590	172076	Récitante
665590	178539	Susanne
665590	180147	
665590	182245	Michèle
665590	197148	
665590	197586	
665590	216368	Anna Blume
665590	218967	Brigitte
665590	225650	Vera von Meindl
665590	275187	
665590	290239	Maria Sandel
665590	290784	Inge
665590	325511	Kate
665590	325671	Nicole Broders
665590	336842	
665590	338436	Julia Conrad
665590	358219	Gudrun
665590	359001	Valeska
665590	389942	Birgit
665590	392618	Lis van Esken
665590	395253	
665590	404451	Ellen Malzahn
665591	407266	Programleder
665592	394167	Weatherwoman (1993-)
665593	130111	
665593	198058	Showmaster på diskotek
665594	214335	
665595	27206	Sabina
665596	93903	Herself: Formand Red Barnets 
665596	252000	Pige på Stengården/Servant gi
665597	376729	
665598	314845	
665599	314315	
665600	7778	
665602	368740	Linda
665603	26273	Chrissy
665603	260119	Chloe Weber
665604	396225	Herself - Co-host (1989-1994)
665605	129180	Herself - Dancer
665606	391057	Herself - Participant
665607	646	Belly Dancer
665609	122274	Mother
665610	276708	Carla Arnell
665611	117683	Political Activist
665611	290346	
665612	336412	Herself - Elev på Kunstskolen
665613	348361	Kika-ti
665614	27571	Herself
665614	83087	Kokkepige
665614	99569	Cleo
665614	114809	
665614	214366	Husmoderafløseren
665614	255674	Doris
665614	378660	Herself - Regular participant
665615	146936	
665616	144728	Narrator
665616	407554	Mother Panda (voice: German v
665618	327337	Herself - Woman in street
665619	325133	Old Woman
665620	34013	
665620	48138	Lena
665620	142072	
665620	290821	Nun Mary
665620	292063	
665620	316557	
665620	353998	Frau Morath
665620	365005	
665621	394646	Herself
665622	117858	Dancer
665623	18571	Louise Farrata
665623	26613	Lady Ashfield
665623	31933	Eva Lake
665623	33187	Louise Carpenter
665623	40606	Countess Sofia De Graf
665623	47257	Frances Granson
665623	51494	Mrs. Darlington
665623	54602	Betty gallup
665623	59550	Charley's Aunt
665623	64173	Mrs. Power
665623	64413	Mrs. Alice Shenstone
665623	65992	Rita
665623	69389	Dean Marbridge
665623	73404	Mrs. Otto Fischer
665623	83687	The Teacher
665623	83845	Marie Winship
665623	104927	
665623	106655	Mrs. Rutledge
665623	112265	Madame Griswald
665623	115909	Mrs. Bylandt
665623	116944	Vivien
665623	117643	Mrs. Clayton
665623	119376	Bird Woman
665623	128432	Aunt Julia
665623	129983	
665623	138904	Mrs. Letham
665623	139936	Mrs. Marsh
665623	140157	
665623	140414	Alice Deering
665623	141352	Countess Lazlos
665623	151073	Lola
665623	152525	Helen
665623	152720	Marie
665623	154810	Beulah
665623	158424	
665623	162413	Mrs. Gordon
665623	165821	Clara Mudridge
665623	170150	Mrs. Ballard
665623	176405	Marie Paree
665623	177405	
665623	178040	Valentine Lambert
665623	183329	Mrs. Stanton
665623	192051	Ann Wheeler-Ballinger
665623	192260	Mrs. Dean
665623	194892	Mrs. Sloane
665623	201896	Mother
665623	202895	Claire Eaton
665623	206860	Portia Perkins
665623	210764	Nurse
665623	215634	Miss Gibbons, Superintendent 
665623	219968	Rachel van Studdiford
665623	224198	Eugenie
665623	230416	Mrs. Graves
665623	270999	Mrs. Blackwell Clarke
665623	272118	Lize Weatherford
665623	276288	Elizabeth Roddard
665623	286130	Clara
665623	286379	
665623	287947	Mrs. Weston, Barry's Mother
665623	289587	Señora Gernando
665623	297921	Matron of Canteen
665623	304598	Mrs. Gaudin
665623	305459	Matron
665623	306397	Mrs. Hempel
665623	306791	Mother McCarthy
665623	308629	
665623	310412	Mrs. Van Arsdale
665623	317142	Queen of Lisonia
665623	324411	Cora West
665623	324897	Donna Luz
665623	327392	Smith
665623	330374	Rose La Vere
665623	332112	Mrs. Randall Jett
665623	340030	Diamond Mabel
665623	342712	Cousin
665623	345826	Cassie
665623	347120	Dress Shop Proprietess
665623	348359	Mrs. Kent
665623	356470	Madame de Chauvalons
665623	362654	Rita Reynolds
665623	362835	Lulu Singleton
665623	363667	Juliet Saltmarsh
665623	365406	Marie
665623	366121	Mother
665623	366867	Tabitha Van Buren
665623	367669	The Mother
665623	370548	Donna Theresa
665624	76757	Pige på værft
665624	117903	Camilla
665624	182100	Mette, Emil and Helgers daugh
665624	394052	Ragnhild
665625	47588	Medic
665626	27842	
665627	173121	Woman in bar
665628	90241	Joyce
665628	122212	Marion Tucker
665628	200474	
665629	78722	Marcie
665630	153372	Pigen
665631	182850	Sig selv
665632	215690	Herself - Celebrity Judge
665633	99443	Køkkenpige
665634	145457	
665635	380911	Herself - Finalist (2004)
665636	321556	Autumn
665637	316821	Arbejderkvinde
665638	706	
665639	210298	
665640	181071	Herself
665641	300976	Doreen
665641	373985	
665642	358846	Miss Måneskin-pige
665643	352117	Vikki
665645	34494	Dancer
665645	40694	Direktionssekretær
665646	128212	Helga Van Dam
665647	322680	Tillidskvinde på strejkemøde
665647	341115	
665648	213334	
665649	242758	Katya Gouzenko
665650	60340	Toni
665651	35783	Mrs. Robbins
665651	283497	Nurse Catherine
665651	360211	Receptionist
665652	7103	Nightclub Girl
665652	88111	Terry's Friend
665652	93120	Emmy
665652	107833	Lisa
665652	165471	Corinne
665652	242761	Gyna
665653	186126	Speakeasy Flapper
665654	355059	
665655	363871	Mrs. Brill
665656	113191	Herself
665656	196880	
665656	247932	
665656	335930	
665657	212850	Helen
665658	313476	Jedi fighter
665659	44519	Kassedame
665659	182626	Barnesygeplejer
665660	93992	Nurse
665662	117424	Maid
665663	29523	Barfly
665664	78289	Herself - Soc.Dem., Byrådsmed
665665	49865	Meg
665665	81768	Swan Girl
665665	109633	Christy Chapel
665665	198042	Erin
665665	235477	Monique Lorren
665666	28478	Deborah Wilkes
665666	69569	Rhonda
665666	154374	Faith
665666	195140	Florence Cleveland
665666	245101	Sandra Carter
665666	286405	Elissa Lang
665666	318605	Doris
665666	382636	Rachel Holt
665666	394827	
665667	259049	En kone
665668	391056	Participant (2001)
665669	403535	Herself - Participant (2004)
665669	403536	Herself - Participant (2004)
665670	78462	Herself - Performer
665671	63192	Sid
665671	384181	Sid
665672	323155	Coach Jan
665672	352586	Susan
665673	72931	Goodyear Chorus Girl
665674	109395	Lingerie Show Coordinator
665675	2079	Horns
665675	159119	Lady at Carwash
665675	258103	Store Clerk
665675	330386	Suzy Pleasent
665676	193858	Lead Singer
665677	369335	Saeko Misaki
665677	379484	Chika Minazuki
665677	379485	Chika Minazuki
665677	384133	Kotoko, Yumi Omura
665677	389791	Miu Manazuru (Season 2)
665677	391257	Kyoko Milchan
665678	1241	
665678	75031	
665678	326727	
665679	403805	Amber (2002)
665680	116907	Edna
665681	290082	Girl on Motorbike
665682	184677	Aase
665683	213628	
665683	309669	Sarah Richards
665683	379716	Carla "Laurel" Delaney Bannin
665684	355052	Extra
665685	136045	Ginny Marlowe, Brad's sister
665686	229260	Wicks
665687	146996	Herself - Daughter to Pia Jen
665687	391721	Herself - Daughter to Pia Jen
665688	291654	Herself (episode 1 "Jagten på
665688	381896	Herself - Participant
665688	401872	Herself - Participant (2001)
665688	401878	Herself - Participant (2001)
665689	99443	Fabrikspigen Erna
665689	284391	Servitrice
665690	275889	
665691	146996	Herself - Daughter to Pia Jen
665691	391721	Herself - Daughter to Pia Jen
665692	320228	
665693	334249	Pige på Glyptoteket
665694	45032	Biker Woman
665695	40300	Else
665695	201633	Else
665696	182285	Ballet girl
665697	322302	
665698	42023	Bit Part
665698	66549	Undetermined Role
665698	77685	Daisy
665698	115141	Miss Kelly
665698	176805	Other model with Joan
665698	183759	
665698	193739	Guest
665698	208692	Phil's Dance Partner
665698	280895	Girl
665698	306230	
665698	321552	
665698	330059	Hat Check Girl
665698	331631	Saloon Girl
665698	331762	Chorus Girl
665698	333655	Undetermined Role
665698	371336	Singing Sister
665698	372050	Girl
665699	288455	
665700	309134	Dancer
665701	166847	
665702	398855	
665703	182626	Pige
665704	31189	Herself (ABC Team)
665704	31315	Athena
665704	35787	Diana
665704	80709	Martha Schmidt
665704	215827	Lt. Athena
665704	381421	Lt. Athena
665705	310390	
665707	245619	
665709	72271	The Sandblower
665710	325133	Konkurrencerytter
665711	212334	Herself - Participant/Perform
665712	76757	Rikke
665712	78477	Herself (performing 'Marie')
665713	125824	
665713	259488	
665713	364942	Tanja
665713	390815	Iris
665714	95763	
665715	121404	Woman #2 at Gym
665716	146996	Herself - Heart transplant pa
665716	391721	Herself - Heart transplant pa
665717	12276	Girl At Ice Rink
665717	16892	Extra
665717	23463	Extra
665717	41253	Bar Patron
665717	44444	Extra
665717	59727	Extra
665717	75465	Joy
665717	75824	One of the Girls
665717	96973	Extra
665717	104943	Bathtub Girl
665717	124713	Sheryl
665717	129593	Dancer, Painted Girl
665717	142432	Extra
665717	142628	Extra
665717	222863	Girl At Party
665717	227123	Extra
665717	256813	Extra
665717	283377	Dancer
665717	288470	Rita
665717	291235	Extra
665717	305405	Vera
665717	305719	Cheryle
665717	335865	Rioter With Flag
665717	339858	Extra
665717	343010	Extra
665717	365491	Joy
665717	376141	Extra
665718	194810	Herself
665719	44005	Waitress
665720	182849	
665721	389402	Herself - Hairdresser
665722	398016	Herself - Host
665723	220995	Caroller
665724	399130	Katie Landers (1988-1989)
665725	321912	
665726	79041	Chinese Woman
665726	345952	Eddie Ching
665727	163755	Giulia
665728	278315	Singer #2
665729	115074	
665730	206191	Wedding Singer
665730	381514	Herself (2002)
665730	401875	Herself - Judge (2004)
665731	262536	Kate
665732	80900	
665732	188817	
665732	348051	Julia
665732	361530	Babsi
665733	6173	Eva
665733	153395	
665733	322960	Lillian
665734	3290	Rainbow
665735	168579	Katja
665735	295112	Helena
665736	14740	Susanne Le Cæur
665737	706	
665737	217785	Pornopige #2
665738	407817	Herself - Danish Participant 
665739	316821	Frederikke
665740	330966	Herself
665740	330967	Herself
665740	386347	Herself (episode 1.1 "1900-19
665741	285801	
665741	404782	Toimittaja
665742	284139	Herself
665742	405592	Herself
665743	407066	Herself - Host
665744	119326	Herself - Performer
665745	403379	Dish washer 1
665745	403380	Dishwasher 1
665746	162657	Illusionistmedhjælper
665746	271274	Susanne
665747	359499	Reporter
665748	215813	Captive Girl
665749	16565	Margits veninde
665749	53140	
665749	83701	Sussie
665749	96455	
665749	110771	
665749	120893	Bibliotekar
665749	134256	Else
665749	219443	Susse
665749	227735	Bodil
665749	264282	Rengøringskone
665749	280218	Franks ekskone
665749	393474	Spedalsk
665749	398967	Nanas mor
665750	114311	Gabby's Mom
665751	185650	Chris
665752	270440	The Queen
665753	95853	
665754	81319	Helen
665755	72823	Herself
665756	123925	
665756	188820	Borinskis Freundin
665757	314108	Margaret
665757	369492	Xanadu Dancer
665758	89391	Sis
665759	6722	Herself
665759	34627	
665759	34928	
665759	34931	Herself
665759	34932	Herself
665759	41077	
665759	41486	Herself
665759	41645	
665759	81787	Herslf
665759	81826	
665759	95803	
665759	142500	Herself
665759	163479	Herself
665759	199463	Wendy
665759	222784	High Chair Girl #2
665759	227997	
665759	235576	
665759	263300	
665759	274415	
665759	305713	
665759	313573	
665759	313574	
665759	318406	
665759	362746	
665759	363375	Herself
665759	363376	
665760	140264	
665760	140265	Steffi Mahler
665760	140269	Steffi
665760	310940	Prostituierte
665761	36477	Dörte
665762	396267	Möwe
665763	40885	Laura
665763	102926	Chrissie Kramer
665763	111675	Jule
665763	170463	Nicole
665763	209958	Nadine
665763	290250	Inna
665763	309036	Sophie Scholl
665763	325450	Johanna Kemmerlang
665763	345898	Caroline Mierendorff
665763	352061	Christina Hofer
665763	352069	Christina Hofer
665763	375869	Katrin
665764	189582	
665765	16195	Marta
665765	26359	
665765	86017	Tatiana
665765	88743	Salesgirl
665765	95591	Motylek
665765	140220	Hanka
665765	144546	Svetlana
665765	151322	Self
665765	165033	Vendulka
665765	165034	Vendulka
665765	165035	Vendulka
665765	203358	Tony Clifton Dancer
665765	224656	Marketka
665765	224959	
665765	283261	Helenka
665765	293842	Knezna (Duchess)
665765	306100	Marika Kardová
665765	315928	
665765	327369	
665765	339323	Olga
665765	349199	Jana
665766	11441	Anna
665766	18387	Marta
665766	21320	
665766	43769	Eva
665766	50008	Kissing Woman
665766	58271	Helena
665766	202504	Young girl
665766	237745	Olga
665766	262219	Manka
665766	268290	Pavlínka
665766	282758	Ruzenka
665766	349199	
665766	374268	
665766	402368	Denisa
665767	221828	
665768	60574	
665768	138761	Choi, Bora
665768	159409	
665768	226520	Jung Won-ju
665768	226550	Yun Hong-yeon
665768	255385	Su-ji
665768	289399	Suk
665768	370331	Che Hee-ju
665768	371389	Pontius Pilate (Korean versio
665769	239164	
665769	344332	
665770	284016	Yu-jeong
665771	125969	
665772	287390	
665773	130504	Woori
665774	7277	
665774	102061	
665774	125972	
665774	166808	
665774	308961	
665774	320359	
665775	137086	Ms Hwang
665775	170166	Chun-ja
665776	102043	Lee, So-hie
665777	262028	
665778	59060	
665779	373141	
665780	34185	In-woo's wife
665780	38775	
665780	126815	
665780	166804	
665780	247248	Ji-won
665780	286097	Du-man's lover
665780	330064	
665780	348655	
665781	51028	
665781	138341	
665781	153450	
665781	166779	
665781	236766	
665781	371253	
665782	16581	
665782	147597	Chae-won
665782	165325	So-yeong
665782	199899	
665782	218906	
665782	288178	
665782	332404	
665783	288175	
665784	51577	Park Seon-hie
665785	15395	
665785	36624	
665785	77059	
665785	89458	
665785	152335	
665785	227056	
665785	238861	
665785	287079	
665785	291655	
665785	309093	
665785	329017	
665785	370334	
665786	7359	
665786	38179	
665786	78199	
665786	102052	
665786	126784	
665786	135945	
665786	153519	
665786	156033	
665786	164759	
665786	166788	
665786	166806	
665786	219851	
665786	286782	
665786	288163	
665786	368216	
665788	167884	
665788	227439	
665789	63488	
665789	124435	
665789	153451	
665789	166811	
665789	226562	
665789	227399	
665790	28365	
665790	49195	
665790	78197	
665790	102060	
665790	166837	
665790	169010	
665790	221876	
665790	285964	
665790	288152	
665790	288159	
665790	295222	
665790	359039	
665791	89536	
665792	92670	
665792	282481	
665793	9460	
665793	19045	
665793	29601	
665793	38757	
665793	104546	
665793	136421	
665793	142966	
665793	166806	
665793	204138	
665793	216419	
665793	217344	
665793	221631	
665793	222209	
665793	226005	
665793	226571	
665793	227079	
665793	227441	
665793	285214	
665793	286095	
665793	286640	
665793	294477	
665793	294484	
665793	309093	
665794	84510	
665794	348817	
665795	288144	
665796	78274	
665796	126810	Han Ye-won
665797	199881	
665798	187033	
665798	226522	
665798	371163	
665799	131281	Okay
665800	76798	
665800	102063	
665800	126890	
665800	126895	
665800	126900	
665800	147309	
665800	215700	
665800	226572	
665800	371224	
665800	371401	
665801	27547	
665802	84509	
665803	294456	
665804	7360	
665804	18879	
665804	36549	
665804	63488	
665804	79198	
665804	137331	
665804	138422	
665804	140588	
665804	149009	
665804	149043	
665804	156110	
665804	166808	
665804	166813	
665804	170634	
665804	222271	
665804	222476	
665804	226560	
665804	241915	
665804	294487	
665804	371254	
665804	371945	
665805	136338	
665805	285570	
665806	19050	
665806	104551	
665806	166822	
665806	371228	
665807	218043	Yoo-me
665808	239160	
665809	140588	
665810	7264	
665810	38334	
665811	201276	
665811	204852	
665812	51015	Do-re-mi
665813	255012	
665814	5324	Min-ji
665814	102088	Young Bo-eun
665815	123786	
665815	138424	
665815	153429	
665815	165164	
665815	239306	
665815	285997	
665815	286889	
665816	2443	
665817	77059	
665818	127723	
665819	169667	
665820	8700	Yeo-min's mother
665820	63401	
665820	90543	
665820	102064	
665820	126792	Chun-hyang
665820	136382	
665820	167382	
665820	229844	Woman
665820	299054	Joo Ko-eun
665820	322900	Sangjin's Wife
665821	15395	
665821	102080	
665821	201280	
665821	294500	
665821	371863	
665822	230217	
665822	238962	
665823	62640	
665824	373250	
665825	156116	
665826	27555	
665826	91503	
665826	99944	
665826	102049	
665826	126784	
665826	136340	
665826	201276	
665826	201279	
665826	218906	
665826	318593	
665826	373064	
665827	4768	
665827	16583	
665827	60604	
665827	62553	
665827	90588	
665827	91436	
665827	122834	Seon-hie
665827	126901	
665827	130265	
665827	156946	
665827	166813	
665827	167603	
665827	199952	
665827	217352	
665827	227395	
665827	256874	
665827	286006	
665827	286008	
665827	288170	
665827	288171	
665827	288176	
665827	368216	
665827	370333	Ji-suk
665827	371182	
665827	371191	
665827	371863	
665828	405209	Dawn Davis (1998)
665829	1712	Vegan Night Club Dancer
665830	157809	Auntie Mavis
665830	387533	Faith Dingle (2000)
665831	83071	
665832	28596	Herself
665833	101126	
665833	167605	Agnes
665833	287569	Sharon
665833	359217	Patricia
665833	378897	Ylva Brink, midwife
665833	388309	Charlotte
665833	401772	Brita Andersson
665836	405386	Officer Susie (1988)
665837	108169	Vippe Gelinde
665838	83082	Rig frue
665839	267081	Ruby
665840	78266	Herself - Performer
665840	78492	Herself (performing winning s
665840	78494	Herself - Presenter ('Der stå
665840	104774	Danish entry (8th place)
665840	279619	Herself (audience)
665840	392343	Herself
665840	401872	Herself - Participant (2001)
665840	401878	Herself - Participant (Winner
665841	399880	Herself
665842	66935	Samantha
665843	131005	Leona Jerome
665844	162893	Alicia
665845	97697	Mrs. Pipp
665845	171232	Aunt Julia
665845	341920	Mrs. James Sheridan
665846	55202	Mercédès, a gypsy, friend of 
665847	270916	Girl in convertible
665848	219485	Odette Simonet
665848	249751	Couple
665848	254153	Deuxième Cliente
665848	285984	La femme de Paul
665848	377904	Minister's Wife
665849	35038	
665849	177152	
665849	183255	
665849	197835	
665849	290796	
665849	345901	
665849	361403	Louise
665850	119254	
665850	155602	
665851	76072	
665852	13001	Second beggar
665852	132610	
665852	391547	The Wallflower
665853	138449	Lady in store #1
665853	377286	
665854	221215	Receptionist
665855	191647	Baby Jason
665856	233346	Sirvienta militar
665857	96814	
665858	87850	Author's Love
665859	180693	
665860	190785	
665861	376191	
665862	202038	Cerka Vlasnika Striptiz bara
665863	330406	Alien
665864	189063	
665865	69221	
665865	106302	
665865	117980	Inés
665866	5000	
665866	6626	
665866	22672	
665866	48805	
665866	74612	
665866	96337	
665866	101793	
665866	114784	
665866	139911	Griselda
665866	199009	
665866	221703	Amiga de Pat
665866	234318	Tulia Rivera
665866	239273	
665866	242652	
665866	243445	
665866	249892	
665866	263040	
665866	275279	
665866	278940	
665866	292934	
665866	292937	
665866	293373	Jaqueline
665866	301572	
665866	322395	Paola
665866	328043	
665866	351650	
665866	378430	
665866	379552	Iris
665866	380445	Catalina
665866	380795	Rosa Corso de Calderón
665866	384390	Victoria
665866	385392	
665866	386126	Sandra
665866	386791	Alejandra
665866	387623	Amanda/Mindy
665866	395043	Marissa
665866	395707	
665866	401918	Fernanda Lavalle de Díaz De L
665866	402077	Cristina
665866	407431	
665866	408855	Renata
665866	408919	Mariana
665866	409290	Martha
665866	410450	Doña Inés
665866	411710	Úrsula
665867	231639	
665868	75484	child
665869	66044	
665870	4369	Gladys
665870	4624	Boots Marsden
665870	20475	Yvonne LeDoux aka Mrs. Benny 
665870	35573	Toby Clifton
665870	36961	Doris Grayson
665870	39212	Mary Brent
665870	40998	Joan 'Joanie' Marshall
665870	41099	Gloria Stafford
665870	42057	Lola Stanton
665870	66381	Miss Cobb
665870	70960	Mona Harrison
665870	73170	Inez Gray
665870	77792	Darnelle
665870	78895	Laura Stevens
665870	79909	Ruby
665870	92230	Georgia Evans
665870	97496	Irene
665870	105233	
665870	112625	Mae Randle
665870	113940	Harry's Wife
665870	121586	Miss Sharmley
665870	123717	
665870	128706	Jenny
665870	142557	
665870	153571	Herself
665870	154426	Boots Nestor
665870	165444	Girl at Party
665870	183406	Mae Martin
665870	186319	Lita
665870	193855	Mae
665870	201415	Herself
665870	212627	Gwen Abbott
665870	223381	Norma Harrison
665870	245382	Rita Starr
665870	245739	Jessie Loraine
665870	264074	Lady Christabel
665870	270535	Lila
665870	283421	Dixie Jackson
665870	298047	Allura
665870	300063	Cameo McQueen
665870	300909	Lucille 'Lucky' Colner
665870	304961	Yvonne La Tour
665870	307980	Nola Beach
665870	309626	Velma
665870	316117	Bella Brown
665870	318387	Reva Cairn
665870	331180	Princess Armina
665870	334754	Gloria LaVerne
665870	335469	Show Girl
665870	338560	Lilly
665870	338802	Jean Turner
665870	362670	Adele Jordan
665870	367464	Nylon
665871	42380	Pat Mathias
665871	76582	College girl
665871	83856	Alice
665871	110223	Jennie Hardesty
665871	120225	Elizabeth (Quaker girl)
665871	144905	Joan Staples
665871	162861	Urana
665871	194743	Kathy
665871	302641	Pat
665871	326794	Bambi
665871	326814	Jane Hewitt
665871	331292	Shirley Goldsmith
665871	385656	Maybelle Yancy
665872	14108	Martial Artist
665873	309626	
665874	227344	Joy Trent
665874	227346	Joanna Riggs
665875	180699	
665876	268290	Teca
665877	220456	Round Card Girl #2
665878	137896	
665878	334178	
665880	78107	Deanne
665880	171063	Natete
665880	264441	Friend of Mrs Butler
665881	315919	Maxine Miller
665881	322747	Woman 2
665881	359902	Flower girl
665882	33251	Mara
665882	35899	
665882	77504	
665882	88136	
665882	98605	
665882	166646	Draginja
665882	173101	Ilinka, Jaretova zena
665882	226830	
665882	227952	
665882	246858	Ilinka Jaric
665882	305194	
665882	317294	
665882	339307	Baba sa kozom
665882	343840	
665882	375311	
665882	381239	
665882	382431	Karapandziceva zena
665882	387137	
665882	390388	Blanusa, baba iz Stoletovog k
665882	390660	
665882	393168	Gospodja Glisic
665882	394110	Ljubinka Jaric
665882	394111	Ljubinka Jaric
665882	395833	Perunika
665882	395834	
665882	396202	
665882	411914	
665883	314700	Drew's Mother
665884	10349	Mrs. Adams
665884	142669	Helen
665884	169046	Alma Southerland
665884	233987	Mrs. Robbins
665884	286121	Joy
665884	346276	Mrs. Wenders
665885	134842	Großfüsterin Alexandra
665886	2623	Tricia
665887	153745	Kim
665887	170710	Hostess
665887	377305	Nurse
665887	380337	Mona Klinga
665887	390950	Jasmina
665887	400001	Maria
665888	213628	Barbara Leguire
665889	181127	Woman
665889	198384	Agnes
665889	237267	Selma
665889	284370	Wibäck's house-maid
665889	303849	Girl
665889	344377	Waitress at Blå Porten
665891	58312	Spiridona Atanaskovic
665891	81289	German Doctor
665891	207163	
665891	229745	
665891	238764	Ljerka
665891	239465	
665891	260356	Glamorous Party Guest
665891	261234	
665891	264129	Collette's Governess
665891	280906	Girl
665891	303625	
665891	305897	
665891	309039	Female SS Guard
665891	328216	
665891	334049	Gospodicna Marijana
665891	338865	
665891	351016	Meirina tetka II
665891	357556	
665891	359198	Anton's mom
665891	366268	Girl in saloon
665891	380724	
665891	385147	Stana
665891	393420	
665891	396319	
665891	397410	Clea
665891	402392	
665891	405705	
665891	409296	
665891	409878	
665892	271994	Lady foreman
665893	304407	
665894	244206	TV News host
665895	237023	Baronesse
665896	266455	Marketa
665896	383080	
665897	346336	Gabrielle
665898	107922	Prostitute
665899	196034	Diana Ellison
665900	325994	Fantasy Girl #1
665901	65612	Emergency Nurse
665901	222634	Irene
665901	232438	Female prisoner
665901	238274	Mrs. Thompson
665902	19024	Sister Jewell
665903	72074	
665904	183591	Dancing teacher
665904	315095	Girl in Sextette
665904	368244	Ensemble member
665905	95360	Inez
665905	276349	Sarah
665905	306762	
665906	31654	Female Dancer
665906	116570	Cato
665906	150075	Bianca Salsa Girl
665907	295340	
665908	79682	Enid Bathurst
665909	39215	Joan
665910	11941	Mrs. Madeline Kendall
665910	48704	Matron
665910	67996	Agent
665910	153266	Davidson
665910	171212	Vicky's Mother
665910	186325	Dutch Annie
665910	271994	The madam
665910	282046	Maid
665910	290404	Macho Muriel
665910	296552	Saralinda Shears
665910	363873	Martha Mitchell
665910	383385	Haley Dodd (1982)
665911	237941	Conductor
665913	387533	Linda Glover/Fowler (1994-199
665914	20625	Extra
665915	273077	Gothic Girl 2
665916	408278	Greta Powers #2
665917	63000	Child
665918	293053	
665919	10631	Mrs. Ackroyd
665919	40723	Mrs. Herriott
665919	43461	Miss Slennett
665919	53825	Mrs. Anstruther
665919	67243	Aunt Mabel
665919	87843	
665919	88954	Mary Blake
665919	112596	Emmie
665919	115229	Mme. Duclos
665919	120128	Flora Wakefield
665919	125817	Mrs. Sheridan
665919	127283	Lettie
665919	133550	Mrs. Hammond
665919	165221	Bit Part
665919	184995	Margaret Haughton
665919	185162	Polly Carter
665919	200110	Teresa Paganini
665919	202919	
665919	206465	Emily Parsons
665919	209610	Nanny
665919	213143	Mary Hendon
665919	221075	Mrs. Perrin
665919	249390	The Woman
665919	252996	Mrs. Graham
665919	263523	Mary Temple
665919	269346	Old Varvarushka
665919	276907	Old lady at station
665919	288724	Mrs. Dorland
665919	296723	Mrs. Maddox
665919	297993	Mrs. Robjohn
665919	311698	Mrs. Purdie
665919	311988	Albertina
665919	323942	Aunt Hellen
665919	335864	Mrs. Bagshot
665919	343056	Mrs. Warrender
665919	357974	Frau Muller
665919	360152	Mrs. Gillingham
665919	367471	Lady Datchett
665921	148384	Meghan
665922	189846	Herself
665923	323797	Herself
665924	377405	
665925	251007	
665925	399350	Herself (eliminated round 1)
665926	163034	
665927	190854	Mrs. Evans
665927	191016	Mrs. Laury
665928	329990	2 Shakespeare Street
665929	356145	
665930	41252	TV Reporter
665931	357636	
665932	70865	Prostituta terremoto
665932	134437	Lorena
665933	321208	
665933	379787	
665934	383072	Johanna von Brabent
665935	303558	Woman in Air-Raid Shelter
665936	172464	
665936	343798	
665937	183467	
665938	239922	Elise Ewert
665939	11865	Schwester Helga
665939	322932	
665939	325791	
665939	360654	Veronika
665940	28566	Kind
665940	325722	Marion
665941	162465	
665941	312649	Lilo
665942	174405	
665942	317462	Betka
665943	137221	Matelle (La Fille)
665944	92726	
665945	53140	Anitas barn
665946	391385	Host
665947	15876	Anarkistens kone
665947	114486	
665948	173141	Nicolette Hoffenfeldt von Løv
665948	225686	Alexandra
665948	293705	Veninde 2
665948	300988	Louise Caspersen
665948	319087	Rita Blac
665948	383948	Bruden
665949	320224	
665950	181736	Kaj ½ år
665951	6620	Claire
665951	20688	
665951	62423	
665951	65614	
665951	71880	
665951	72692	
665951	123484	
665951	150593	
665951	249040	
665951	254160	
665951	261527	
665951	263021	
665951	265537	
665951	317974	
665951	325264	
665951	326789	
665951	340158	
665951	360835	
665951	372779	
665952	134030	Ophelia
665953	130232	Bowien Galema
665953	175241	Tante Jeanne
665953	193386	Chantal
665953	299991	Maja
665953	382454	Sanne
665953	390242	Bowien Sanders-Galema (1997-2
665953	400217	Marjolein Currie (2004-)
665953	409572	Katja van Dijk (1996)
665954	355667	Stripper
665954	406321	
665955	148347	
665955	234677	Nurse
665956	177184	Herself
665957	33633	
665958	177184	Herself
665959	304628	
665960	31859	Woman Commentator
665961	32633	Dorris Dooley
665962	293775	Meg
665963	64896	Elizabeth Selwyn/Mrs. Newlis
665963	115298	Millie
665963	121854	Domina
665963	168903	Mrs. Pugh-Smith
665963	203443	Mrs. Lawrence
665963	216810	Mme. Dupont
665963	233649	Queen
665963	346263	Cassie
665964	131104	
665965	212332	Herself - Participant/Perform
665966	30170	
665966	58831	Amelie Hambroe
665966	237404	Bagermadamme
665966	275626	Bardame
665966	322680	Ekspedient I bh-afdeling
665967	81062	Dutch Villager
665968	178789	
665968	266366	Maika
665968	284694	Jordemoder
665968	303679	Værtinde
665969	119704	Susanne, Hausangestellte
665969	138544	
665970	108922	
665970	315058	
665970	356855	Inger
665971	212332	Herself - Participant/Perform
665972	212332	Herself - Participant/Perform
665973	83082	Bargæst
665973	99592	Stuepigen Anna
665973	122344	Deltager i bankospil
665973	149477	Bicky
665973	153101	Dame på kro
665973	208797	
665973	220199	Berthe
665973	237084	1. unge pige
665973	249743	Indehaver af massageklinik
665973	255699	Magda Gammelgaard
665973	255700	Magda
665973	255705	Konstabel Magda Gammelgaard
665973	275265	Drengeinteresseret gæst
665973	281085	Sekretær
665973	315032	
665973	317258	Bente
665973	321762	
665973	324329	Gæst hos tanten
665973	328516	Bennys fars veninde
665973	383068	Lisbeth Frandsen, Socialrådgi
665973	383948	Kvinde ved bager
665974	90145	
665974	353949	
665975	4758	
665975	4842	Lieschen Meiners
665975	6667	
665975	12906	
665975	26407	
665975	26477	
665975	34724	
665975	38636	Isabella
665975	41603	Asian Girl
665975	56901	Herself
665975	71379	
665975	72670	Angelique
665975	72800	
665975	74314	
665975	78698	
665975	79168	Monika Holl
665975	102370	Barbara
665975	107814	Fanny Bielek
665975	112273	Gräfin
665975	115992	
665975	116565	Herself
665975	120434	Lucie's aunt
665975	123949	Maria
665975	126400	
665975	128472	
665975	129328	
665975	144160	Frau Flieder
665975	153903	
665975	167142	Gabi Reischl
665975	171830	
665975	174782	Jessica
665975	184276	Fritzi
665975	184482	Frantic woman at police stati
665975	189560	
665975	189706	Mizzi
665975	190791	
665975	208214	
665975	210064	Das Maedchen
665975	210108	Biggi
665975	212684	Anna Wagner
665975	225229	Frau von Erbsenstein
665975	245307	
665975	255156	
665975	258936	Nurse
665975	264220	Freuds Schwägerin Minna
665975	272892	Mama Hoschek
665975	275052	Leocadia
665975	283060	Ellen Gare
665975	288862	Herself
665975	290487	Josefine Giese
665975	290729	Crescence
665975	293133	Stiefmutter
665975	326163	Hermine
665975	326938	Girl on pool table...
665975	343671	Eva Sachse
665975	348056	
665975	350184	
665975	352100	Eva
665975	352103	Dora
665975	352656	
665975	352762	
665975	361376	
665975	361507	Wünschen Sie sich was
665975	364888	Claudia Richardson
665975	365695	
665975	369646	Moon's father's current wife
665975	388293	Gerda
665975	389383	Helga Brix
665975	391547	The Teen Mom
665975	393878	
665975	398083	Ulla
665975	403266	Margot Schatz
665976	50444	Cheerleader
665976	81368	Blonde On A Red Couch
665976	193916	Herself
665976	378027	Herself
665976	408643	Herself (2002)
665977	390195	Herself - Weather Forecaster 
665978	350277	Satanists
665978	384695	Various roles
665979	241749	
665980	360370	
665981	162365	Phyllis Brand
665983	160069	Miss Jessel
665983	232410	Woman in White
665983	336326	Atropos
665984	164400	Little Dora
665985	290697	Amanda Hampton
665985	389265	Gladys Thompson
665986	127129	Mother on Boat
665987	5885	Laurette Crowther
665987	405024	Ruby Young
665988	164400	Dora aged 8
665989	149669	Housewife #1
665989	188062	
665989	191199	
665989	246506	Herself
665989	246507	
665989	257591	Herself
665989	257609	
665989	286697	Herself
665989	295817	
665989	319047	Herself
665989	364097	
665990	89308	Leanne
665990	272646	Nancy
665991	199564	Julie
665992	93776	Glowie's Friend
665993	155453	Humphrey's Wife
665994	98780	Iszara, Siona
665994	98783	
665994	164547	Reporter
665995	218841	Jane
665995	265864	Nurse
665996	7449	La fille Lesurques
665998	140019	Sarah Usher
665999	367083	Dutch Girl (Wizard Film)
666000	39655	
666000	304632	Julie
666001	375694	Zombie
666002	134067	Jella Tin/Various Other Chara
666003	116174	Dancer
666003	192611	Dancer
666004	108295	
666005	355350	Drama Producer
666006	34822	Secretary
666006	68855	Audrey
666006	143950	Mim Sodergren
666006	151176	Tracy
666007	63224	
666008	52070	Dancer
666009	246875	
666009	317687	
666010	237160	
666011	90525	Pablo's mother
666012	30321	
666013	77019	Charlie (Charlene)
666014	383700	Anchor
666015	62269	Jivin' Jill
666015	218782	a Jivin' Jill
666016	369327	
666017	35451	
666017	385824	Sasha Roberts #1 (1986)
666018	99530	Backing vocals in The Elton J
666019	205547	
666020	43878	Jerk
666020	50879	News Interviewee
666020	70396	Herself
666020	71799	Herself
666020	94451	Herself (Runaways member)
666020	97540	Herself
666020	168113	Herself
666020	190464	Patti Rasnick
666020	201685	Felicia Martins
666020	235407	Herself
666020	273420	Herself
666020	321240	Sherry
666020	323993	
666020	348651	Herself (with Joan Jett & the
666020	363514	Herself
666021	100099	Guard #8
666021	310801	Trish
666022	326410	Coed
666024	93197	Dana
666025	248457	Susan
666025	314554	
666026	155824	Nurse
666027	241918	Alice
666028	93986	Gekke Riet
666028	135716	Televisiondirector
666028	140535	Prostitutes in Windows and St
666028	141776	Ikebana
666028	181255	Mevrouw met wratten
666028	205726	
666028	223735	Mw. Wang
666028	289831	echtpaar restauratie
666028	390242	Stella Looymans (1995)
666029	244964	Hippie girl
666029	356364	La Vierge de l'auberge espagn
666030	72438	Gambler
666030	88257	Azella, Opal's Daughter
666031	277616	Madam Jaundra
666032	9524	
666033	167216	Gwénaëlle
666034	376187	Neighbour
666035	230674	
666036	134858	Hunter wife
666036	181451	Tini
666037	132562	Melody Cool Choir
666037	178961	Servitrice
666037	312018	
666038	88540	Ivana Lorger
666038	192900	Tilka
666038	201227	
666038	227827	Barbara
666038	229408	
666038	234153	Veronika
666038	259199	
666038	312419	Milena
666039	320650	
666040	34189	Herself
666041	312423	
666042	229895	Glumica 'Marica Pantic'
666043	32549	
666043	113761	Laila's Mother
666043	166686	Herself
666043	188053	
666044	201322	
666045	20241	Ann Winslow
666045	185519	Janet Lane
666045	213839	Molly
666045	224633	Dorothy King
666045	229212	Belle
666045	230574	
666045	249504	Hattie Potash
666045	301611	Dolores
666046	106540	Suzy
666047	128721	
666047	228078	Herself
666047	256086	
666047	264837	
666048	26118	
666048	41614	
666048	369908	
666049	269401	The Russian Spy
666049	353373	Edwina McVale
666050	6725	Herself
666050	27018	
666050	37431	
666050	41578	
666050	60318	
666050	75604	
666050	112796	
666050	123829	
666050	126642	
666050	155877	
666050	186129	
666050	250651	
666050	255159	
666050	258003	
666050	260173	
666050	263300	
666050	306908	
666052	21969	
666053	27234	
666053	361218	Herself (rap artist)
666054	296767	Catherine
666055	107259	Herself
666055	154396	
666055	194210	Herself
666055	231386	Mental Patient
666055	343044	Irene
666055	366640	Herself
666056	2342	Jeanie Benson
666056	7198	Rose
666056	26184	Edith Drake
666056	27500	Belle Starr
666056	32209	Hortense
666056	33624	Belle Starr
666056	34403	Mrs. McDuff
666056	36856	Bessie Blair
666056	38813	Hysterical mother
666056	40540	Dorothy Lane
666056	43376	Lily, Junior's Girl Friend
666056	43469	Beulah
666056	44485	Laury Palmer
666056	54949	Gracie Clay
666056	56310	Amelia Llewellyn
666056	57606	Lou Clarke
666056	63764	Mommy
666056	71537	Bessie Green
666056	73215	
666056	73933	Mrs. Martin
666056	77777	Mabel
666056	77992	Marie
666056	79826	Kate Lovett
666056	83783	Plunkett's Stenographer
666056	94098	Lily White
666056	104950	Judith Wilson
666056	107688	Mary Phoebus
666056	116963	Amy Devore
666056	129839	Gladys
666056	131240	Emmy Slattery
666056	143604	Angy
666056	144931	Blonde
666056	155018	Sally Van Loan
666056	162208	Jane McGee
666056	186789	Brooklyn
666056	187951	Maria
666056	188318	Betty
666056	192009	Stella
666056	194822	Gloria Stone
666056	195975	Belle Huntley
666056	199192	Marianne
666056	203159	Katy
666056	203541	Peggy Russell
666056	204182	Annabelle
666056	206162	Linda Harkness
666056	206168	Emmy Lou Eagan
666056	210764	
666056	211589	Rose, aka Rose Monahan,unscru
666056	212747	Mrs. Nelson
666056	215748	Peggy
666056	238894	Gertie
666056	289682	Esther Harrington
666056	294199	Mae
666056	295470	Frances Fallon
666056	296784	Inez 'Johnny' Johnson
666056	297930	Sally
666056	305398	Emily 'Em' Brannan
666056	305934	Ward 33 Inmate
666056	314473	Jenny the Juke
666056	315700	Mrs. Mack, Prison Laundry Mat
666056	321228	Mrs. Cole
666056	321514	Myrtle Montrose
666056	323769	Seamstress
666056	330116	Molly Herkimer
666056	333433	'Babe' Sweeney
666056	346901	First Telephone Operator
666056	349917	Lilli Eipper
666056	367814	Catherine Watson
666057	387642	Lucy-Ann
666057	387643	Peggy Arnold
666057	408880	Ellie (Series 2-5)
666058	106723	Jean
666059	80065	Jackie
666060	40497	
666061	80660	Restaurant Girl
666061	236881	
666061	254743	
666061	285034	Monica
666061	291439	
666062	129875	
666063	21196	
666063	42316	
666063	116277	Lucia Marshall, the twins' mo
666063	146266	A Wealthy Patient's Maid
666063	151448	
666063	184388	Committee Woman
666063	191707	Girl's Friend
666063	214991	Mother
666063	229227	
666063	230113	Mysterious Girl
666063	258002	
666063	301270	
666063	301488	Nancy
666063	310755	
666063	350703	
666064	143350	Girl
666064	339552	
666065	282688	Lady in Waiting
666066	335433	Ryukyu Kempo Karate Club
666067	38975	Herself (MP, B.C.)
666068	317946	Citizens Against Crime - Wife
666069	245179	Herself
666070	233004	
666071	8366	Female Patient
666071	34656	Skier
666072	79025	Anne Marie
666073	382145	Singer/dancer
666074	382304	Mrs. Pepper
666075	326471	Cafeteria extra
666076	67480	
666077	381910	Herself (Series 4) (2003)
666077	381920	Herself (Series 3) (2003)
666078	1705	Herself
666078	11621	
666078	19244	
666078	49316	
666078	171777	
666078	227990	
666078	262857	
666078	327370	
666079	47078	Party Girl
666079	297628	Sitcom Girl #2
666079	340934	Marenka
666079	383938	Wendy
666079	398336	Courtney
666079	400371	
666080	279968	
666080	379877	
666081	268228	
666082	187786	
666083	77102	Maria Marczuk
666083	238401	
666083	364975	
666083	396286	Magdalena Rudnik
666083	404216	Dr. Olga Fronczuk (2004-)
666084	77102	
666084	291003	
666084	312700	
666085	215214	Saleswoman
666086	43009	
666086	74177	Marija
666086	74776	
666086	183905	Nurse
666086	189474	Herself
666086	197096	
666086	213787	
666086	251319	
666086	251320	
666086	261348	
666086	266068	
666086	295051	
666086	296047	Ana
666086	310654	Mira ... autostoperka
666086	351322	Beba
666086	353780	
666086	355996	
666086	375315	
666086	385589	Persida
666086	399107	
666086	399975	
666086	410452	Cucuk Stana
666087	399093	Herself
666088	181360	Supermarket Saleswoman
666089	14693	Dalia
666089	215148	Miroslava (young)
666089	231568	
666089	386016	Gisella
666089	387068	Florenza
666089	395857	Tere (Christian's biological 
666089	409683	Esposa
666090	154773	Female Intellectual
666091	16200	Nurse Fauberga
666091	48124	Tobias' Mother
666091	51091	Jaruska
666091	237490	Pearl maiden
666091	237531	Maiden
666091	258524	Bride
666091	387059	Mísa Obdrzálková
666091	399768	Daughter
666092	66267	Aunt Ema
666092	180576	Barbora
666092	258521	Widow
666092	262817	
666092	283018	Vanková
666092	317628	Cepelková
666093	18387	Miss Valousková
666093	149866	Josef's Wife
666093	164257	Mother
666093	181644	Jechová
666093	198231	Milda's Mother
666093	207721	Hurková
666093	229556	Vosta's Wife
666093	244138	Zdenka's mother
666093	339277	Charwoman
666093	352820	Hrabetová
666093	357437	Irena's mother
666094	297377	Toothless Flower Girl
666095	191709	Aunt Agatha
666096	388640	Sandra Kreuzer
666097	7361	Aryan's mother
666097	13856	Sue's Mother
666097	84769	Kalibabu's mother
666097	95447	
666097	288660	
666097	337779	
666097	363968	Roop
666097	373709	
666098	83999	Mother
666099	312532	Gehna
666100	39484	
666100	113724	Young Radha
666100	135035	Haina
666101	4254	Janki
666101	16154	
666101	17664	Preeti
666101	25430	Preeti
666101	25972	Preeti Rastogi
666101	62394	
666101	108267	
666101	193183	Balwan Singh's girlfriend
666101	208773	
666101	217158	Kiran
666101	225985	Special Appearance
666101	252025	Gummadi's wife
666101	297442	
666101	329262	Janaki
666101	332174	Tyagayya's sister inlaw
666101	358019	Meena
666101	370415	
666102	29195	
666102	85135	Chhanda
666102	165331	Bisakha
666102	204794	Rani baijee
666102	207548	
666102	250482	Tumni's neighbour
666102	308454	Vaishnavi
666102	319084	
666102	330353	Mungri
666103	4266	
666103	217202	Priya Agnihotri
666103	266026	Herself
666104	10233	
666105	4266	
666105	4422	
666105	14508	
666105	15368	
666105	24189	
666105	28674	
666105	30287	Dancer
666105	45803	
666105	57877	
666105	58403	
666105	77069	
666105	81999	
666105	86663	Arti
666105	95451	
666105	98589	Barkha
666105	137062	
666105	137158	Neelam
666105	150515	Shobha
666105	164928	Anita
666105	168086	Anjali
666105	176029	Neelam
666105	179361	Nisha
666105	179363	
666105	181973	
666105	207120	
666105	254827	
666105	272046	
666105	283324	Shivani
666105	287412	
666105	288041	Special Appearance
666105	355329	Radha
666105	359157	Aisha
666106	115895	Dancer
666107	49615	
666107	89458	
666107	153424	
666108	102463	Wang Yanzhi
666109	116122	
666110	167396	Xiao Cui
666110	297304	Xiunu
666111	351888	Leako
666112	28802	
666112	78276	
666113	153459	Jun-ho
666114	62852	
666114	137227	
666114	342780	Soo-Won
666114	342781	Soo-Won
666114	350481	Yu-jin
666115	102036	Ju Kyeong-a
666116	3540	Bilian
666116	336625	
666117	360994	Feifei
666118	62121	Herself
666119	370601	Cuihua, the Widow
666119	375915	Fang Huiming
666120	167389	Lin Meifang
666121	393496	Ah Fei
666122	135648	Yu'er
666123	231271	
666124	168035	Sha Feifei
666124	204805	
666124	372239	Ye Yuzhi
666125	48446	Policewoman
666125	300489	He Liying
666126	360978	Zhang's Mother
666126	367159	Zhang Ying
666127	25901	Douzi's Mother
666127	56767	
666127	135049	Jian Ning
666127	236272	Wen Jie
666127	332355	Songstresses/Wizardesses
666127	369842	Xinghua
666128	296575	Mother
666128	300714	Wang Wanyi
666128	371595	Yoko Takachi
666129	370601	
666130	212003	
666131	65751	Sgt Grillo
666131	148589	Linda
666131	161948	Kidnapped Girl
666131	212155	Alexia
666132	46532	Grocer
666133	99627	Nicolaj's wife
666134	81898	Becky
666134	360524	Rosie
666135	278699	
666136	81898	Jenny
666137	83263	
666137	144406	
666137	377962	Carole
666138	390523	Dawn (1995)
666139	294245	Singer
666140	18221	
666141	334112	Reporter
666142	203805	
666142	233249	
666144	281899	
666146	238138	Female Assassin
666147	11008	Jill
666147	81768	Swan Lake Dancers
666147	103791	first secretary
666147	225732	
666147	254075	Marie-Ange
666147	389072	Thor/Chi Chi
666148	388364	Herself
666149	319531	
666150	41447	Young Kate
666150	117987	Ginger Gingrich
666151	260605	
666152	1824	
666152	77309	
666152	121549	Youngster at Game
666152	163316	Cindy
666153	9864	
666153	10746	Red Queen
666153	15831	
666153	17472	Herself
666153	26139	Bo Peep
666153	28743	
666153	31188	Herself (ABC Team)
666153	31193	Herself (ABC Team)
666153	31194	Herself - ABC Team Contestant
666153	36168	
666153	42348	
666153	42365	Herself
666153	54920	Jean Townsend
666153	59013	
666153	64561	Performer
666153	64570	Herself (ringmaster)
666153	70302	Elizabeth (Billy) Nickerson
666153	79462	
666153	87522	Corrine Kaczmarek
666153	88516	Valibai
666153	91106	
666153	92995	Kunti
666153	96885	
666153	109439	Frances Matthews
666153	128816	Marilyn
666153	135664	
666153	136509	'Dainty' June
666153	137821	
666153	137829	Radha's Mother
666153	141194	Alice Holc
666153	154853	Sarah
666153	159249	
666153	163375	Peggy Pomeroy
666153	166508	
666153	170167	
666153	176823	Samantha DeLorca/Karen Edward
666153	177940	
666153	183186	Arlette Schweitzer
666153	192380	Det. Elizabeth 'Liz' Donaldso
666153	199115	Miranda Church
666153	199877	Mae West
666153	200216	Herself
666153	202361	Gail Hessian
666153	205933	Alice
666153	221024	Joan
666153	221801	
666153	227945	
666153	232017	Herself
666153	233271	
666153	234859	
666153	243588	Sharon
666153	244918	Julie Longwell
666153	253353	Suzanne
666153	256941	Taramati
666153	266964	
666153	286501	
666153	286705	Portia 'Rocky' Sylvester
666153	287086	
666153	288134	
666153	288584	
666153	288818	
666153	322877	
666153	324829	Gangaprasad's Wife
666153	330912	Valerie Roberts
666153	351097	
666153	380339	Ann McNeil
666153	387490	Nellie Byfield
666153	391184	Millie Ballard (1965-1966)
666153	393082	Cassie Cranston
666153	393083	Cassie Cranston
666153	393428	Jennifer Farrell
666153	398213	Herself
666153	399266	
666153	404601	Gail
666154	67562	Joan Stacey
666154	138821	Herself
666154	222653	Jill Harrington
666154	305228	Car hop - Gladys
666154	319535	Tara B. True
666154	401350	Jill Smith Rossi (1968)
666155	105921	Dominatrix
666156	88111	Amanda Lanski
666156	160865	Woman
666156	263057	Foreign Journalist
666156	359425	Narrator
666156	360150	Lady of the Night
666156	366136	Col. Jeanette 'Angel' Deverea
666156	393173	Inga Arvad
666157	334356	Lab Technician
666158	298389	Toni
666159	207047	Visitor
666160	207047	Visitor
666161	71378	
666161	71379	
666161	207047	Visitor
666161	262980	Herself
666162	54230	
666163	134145	Rosa Two
666164	216063	Lupe
666165	390070	Angie (1981-1982)
666166	224088	Virginia
666166	333902	Maryanne
666167	68609	
666167	70911	Bia
666167	78576	Almerinda
666167	122767	D. Olga
666167	280866	
666167	338244	
666167	348745	
666167	378108	Fiorella
666167	380147	Consuelo
666167	380626	
666167	387799	Cacilda
666167	387932	Lurdes 'Lurdeca' Sandoval
666167	388681	Dagmar Cerqueira
666167	404118	Edileuza (1996)
666167	408592	Bina Colombo (A.K.A. Bina Tei
666168	100841	Shakur Bootay
666169	147745	Chopper Newscaster
666169	206221	Juanita
666170	322353	Julie Deschênes
666171	190150	Janine
666171	241447	
666172	41563	Charlotte Hart-Morrel
666172	71675	Isabel Benitez
666172	244418	Jennifer
666172	289185	Nurse
666172	292815	Rita
666172	354955	Maria Alvarez
666172	366643	Nanny
666172	382419	Carmen Arena (2000-2001)
666172	394510	Gorgeous Babe
666172	407645	Ana Laura
666172	408836	Rosalita Sanchez
666172	411802	Ramona Caceres (1999-2000; 20
666173	12060	
666174	167811	
666175	387601	Cast (White Team)
666176	226975	
666176	390771	Catalina Quesada Santos (2000
666177	57	Babes
666177	17874	Carol
666177	28243	
666177	37774	Varga
666177	39039	Bea
666177	45399	
666177	136925	
666177	154663	Kaye
666177	184803	Bulakna
666177	191192	Jill
666177	207123	Simplicia 'Isay' Cruz
666177	227728	Gina
666177	256102	Karen
666177	264716	Herself
666177	291046	Valerie
666177	295770	
666177	337235	
666177	355667	Inez Roxes
666177	359356	Rica
666177	410942	
666179	386690	
666180	270552	
666180	401481	Domitila
666181	393199	Violeta
666182	330146	Girl on Swing
666183	70624	Mujer Federación 4
666184	104543	Eulalia
666184	381330	1997-1998
666185	204827	
666186	100420	
666186	132214	
666186	317680	
666186	342675	Susan (segment Nothing But Th
666186	376648	
666187	291052	Harem Girl
666188	57092	
666188	101712	
666188	258499	La Prieta
666188	333748	
666189	221963	
666189	263516	Maria Muñoz
666192	360231	Anita
666193	306134	
666194	207047	Visitor
666195	395020	Eva Lonner
666196	395020	Christine Lonner
666197	158056	Lady Rebecca Marie Robynson
666198	25062	
666198	110228	
666198	132214	
666198	140553	
666198	193317	
666198	294335	
666198	306683	Doña Carmen
666199	317260	Office Worker
666200	170552	Maria
666201	240315	Di
666202	276800	Female Prisoner
666204	244987	Vickie
666205	241467	Mela
666206	347856	Acquinetta
666206	356214	
666207	348178	Luigino
666208	204827	
666209	247159	Niña
666210	351761	Une tante
666211	61535	
666211	145248	
666211	211044	
666212	19486	
666212	103846	
666212	287877	
666212	294071	
666212	380252	María Flora
666212	383157	
666212	396131	Sra. de Rodrigo Rimac
666212	396243	Scretaría
666212	396853	
666212	397869	
666213	73085	
666213	159291	Gracia
666213	246405	
666213	292926	
666213	296126	
666213	409812	Susanita
666214	240156	
666215	56518	clerk III
666216	17127	
666216	112137	Trini
666216	404887	África (2004-)
666216	408857	Valeria Martínez
666217	36645	Madre
666217	53652	
666217	202831	
666217	211737	
666217	274783	
666217	286069	Señora Falkner
666217	307831	Señora Lee
666218	10255	
666218	75202	
666218	108579	
666218	121225	
666218	265327	
666219	96298	Corista
666220	3544	
666220	8274	
666220	12054	
666220	18651	
666220	21669	
666220	25687	
666220	73283	
666220	74596	
666220	107263	
666220	132647	
666220	135196	
666220	136964	
666220	148044	
666220	152352	
666220	169798	
666220	205713	
666220	221895	
666220	239251	
666220	251586	
666220	268236	
666220	272394	Mujer rebelde
666220	281293	Mercedes
666220	294967	Ana María
666220	318253	
666220	338603	
666220	353203	
666220	376794	
666220	377164	
666221	160000	Melody Lounge Dancer
666222	67457	
666223	14653	Bailaora
666224	52779	Extranjera 2
666225	352149	
666226	399807	Irina
666227	51733	Amiga 14 años
666227	380155	Bea
666227	384508	Hostess (1996-2000)
666227	394731	Hostess
666228	99190	Herself
666229	27987	Prieta linda
666229	103111	
666229	123178	
666229	210169	
666229	237574	
666229	349835	
666230	376687	Azafata del tren
666231	68140	Gloria
666231	294412	
666232	63885	
666232	379652	
666232	391611	
666232	392959	Silvia
666232	396941	Leyla
666232	396942	
666232	399612	Bárbara
666232	401096	
666232	402193	Piedad
666232	403644	
666232	404815	Leontina
666232	409283	Gertrudis Miller
666232	409919	Diana (1989-1991)
666232	410204	
666232	412183	La Bilirrubina
666233	143777	
666234	100473	
666234	244640	Lucía
666235	68373	Vera
666235	86453	
666235	256454	
666236	55768	
666236	74651	
666236	91298	
666236	132524	
666236	190645	
666236	284213	
666236	300638	
666236	353556	
666236	375875	
666237	202149	
666237	210377	
666239	110415	
666239	207658	Don~a Lena
666239	337443	
666240	80189	Teporocha
666240	222412	Mujer Cayubas
666241	379132	Juanita, 12 yrs. old (Chapter
666241	384373	
666242	95010	
666243	54279	
666243	383206	
666244	219008	Daughter in law
666245	21075	Patricia
666245	23373	Erika
666245	48790	Lucía
666245	104187	Ángela adulta
666245	156373	Sofía
666245	170100	Inés
666245	174316	Lua
666245	212340	
666245	233948	Alejandra
666245	238005	Giuditta
666245	248868	Sonia
666245	274765	Eloisa
666245	333607	Nadia
666245	369556	Herself - Nominee: Best New A
666245	379566	Silvia (1997-1998)
666246	74676	Esmeralda
666246	160620	Ballet Dancer
666246	281636	Rosa
666246	287706	
666246	310030	Teresa
666247	40448	Susana
666248	64431	Leonor Galdames
666248	247296	Lourdes Santana
666248	378986	
666248	379896	
666248	381607	Kiki Blanche
666248	385600	
666248	386785	Luchita
666248	388648	
666248	390459	
666248	395867	
666248	397591	
666248	397735	
666248	400419	Digna
666248	402411	Bristela Cáceres
666248	402686	Mencia Reyes de Álvarez
666248	403214	
666248	403674	
666248	405978	
666248	408591	Raquel
666248	410201	Raquel
666249	68618	
666250	6642	Policia uniformada 4
666250	13047	
666250	19945	Young Stretcher Bearer
666250	60921	Reportera
666250	76110	Enfermera 3
666250	206322	Presa
666250	249910	Reportera
666250	276404	Invitada (Guest)
666251	103804	Una Compañera
666251	377621	
666252	391173	
666253	353637	
666253	371721	
666253	376687	Gitana Flores
666253	408838	
666254	306697	
666255	142291	Helen
666256	146580	Panadera 1
666256	301577	Multitud
666257	121310	
666257	339116	
666258	74676	Esmeralda
666259	390449	Herself
666260	54321	
666261	25793	Chica Quiosco
666261	207602	Alumna 3º
666262	187768	Nena
666262	292754	Li
666263	215499	Marina
666264	53613	
666264	64022	
666264	100420	
666264	140553	
666264	183506	
666264	213366	
666264	287459	
666264	376677	Cholita
666264	380210	Olga
666264	402193	Rosario
666265	114873	Dancer: Grupo Familia Farrudo
666266	70495	
666266	75444	
666266	116035	
666266	135432	Mireille
666266	211492	
666266	256721	
666267	74657	
666268	82239	
666268	101809	Clara
666268	132723	
666268	296660	Malú
666269	213400	Herself
666269	343025	Maria
666270	248526	
666271	279587	
666271	345592	La Puños
666272	339135	
666273	20263	
666273	27316	Estrella
666273	38041	Bit Part
666273	39251	Teresa
666273	43093	Indian woman
666273	44336	Mrs. Ramirez
666273	47598	Maria
666273	52306	Señora Cantova
666273	54590	Mrs. Ruiz
666273	55374	Madame Blanchard
666273	55437	Maid
666273	63009	Rosita
666273	73475	Raoul's Mother, Señora Farrag
666273	74160	Señora Moreno
666273	75855	Doña Castelar
666273	77025	
666273	84946	Jiminez
666273	90214	Waitress
666273	112070	Nurse
666273	117295	Guillermo's wife
666273	117440	Meetah
666273	118916	Mourner
666273	128102	Innkeeper
666273	128217	Lola
666273	144813	Auntie
666273	147391	Old Peon's Wife
666273	157546	Maria, Rita's Maid
666273	157862	Cook
666273	170459	
666273	176333	
666273	176340	Mrs. Donati
666273	186265	Señora Gonzales
666273	186277	Princess Margarita
666273	192611	Spanish Woman
666273	203323	Mrs. Rossetti
666273	210442	Fa Uma
666273	235168	Grandmother
666273	239404	Jane's servant
666273	254526	Perdita, the Housekeeper
666273	273310	Old Native Woman
666273	274182	Pablo's Mother
666273	274263	Maxwell Cook
666273	276409	Princess Sofiya
666273	276748	Mama Soledad
666273	279743	Madre Murrieta
666273	280971	Catalina
666273	282354	Old Squaw
666273	283236	Maria
666273	293977	Mattie Sue Thomas
666273	295370	Bijou's Maid
666273	309856	Mama Maria
666273	329041	The Duenna
666273	339101	Señora Moran
666273	342008	Mrs. Manzinates
666273	346138	Señora Campo
666273	350451	Mama Valdez
666273	356622	
666273	363248	Wife of Justice of the Peace
666273	378358	
666274	8564	Representante
666275	277372	
666276	317687	
666277	122226	
666278	379566	Sofía
666278	404711	Celia Serrano
666278	408306	Anna
666279	74355	Isabel
666279	196728	
666279	356674	Doña Rosa
666280	14678	
666280	14768	
666280	19485	
666280	56010	Herself
666280	74603	
666280	74638	
666280	92334	
666280	101850	
666280	149186	
666280	153066	
666280	249855	
666281	100703	Chica del club
666282	63292	
666283	28257	
666283	76635	
666283	171512	
666283	294504	
666283	368089	
666284	28825	Elaine Lee
666284	28832	Smokey's Mother
666284	44198	Bu's Mother
666284	82151	Liu Yuk-Ping
666284	95042	Auntie
666284	135712	Mother
666284	181417	
666284	184754	Gigi
666284	200771	Mother of Red Fish
666284	231236	
666284	284724	Judy's Friend
666284	299982	Sabrina
666284	308570	Madam Soong
666284	369651	
666284	369771	
666284	370473	
666284	371529	Min-Min
666284	372258	May
666285	3583	Geng Sheng's Mother
666285	110620	Hua Caiying
666286	60599	Jeong-hye
666286	63497	Yeon
666286	66780	
666286	104550	
666286	123526	Won, Hye-suk
666286	130165	Mi-seon
666286	147537	Leg Model
666286	165090	Red
666286	169006	
666286	219870	
666286	226520	
666286	299074	Owner's Wife
666286	308955	
666287	17605	Peaches Yu
666288	7281	
666288	42604	
666288	371158	
666289	376052	Li Xiaohua
666290	60654	Yeon-a
666291	103026	Xinghua
666291	131268	Liang Yufeng
666291	335427	Qu Yangzhen
666292	330140	Woman in Distress
666293	111191	Wang Xiaolan
666294	319098	Lala
666295	49442	
666295	126879	
666296	292092	Female assistant in hair salo
666297	153425	
666297	288158	
666298	15400	
666298	136372	
666299	94409	Prostitute
666300	166012	
666301	286017	
666302	9218	
666302	60631	
666302	126907	
666303	135018	Meiyan
666303	221497	
666303	374694	Qian Tieyin
666304	1218	Bookstore patron
666305	7885	
666305	150927	
666306	7258	
666306	197562	
666307	37403	
666307	42232	
666307	109971	Chubby Checker Member
666307	121365	Bessie
666307	194137	Toby
666307	208470	Exercise Class Lady
666307	219182	Millie
666307	242098	
666307	259285	Mrs. Welford
666307	324742	Sarah
666307	364367	Lady on Bus
666307	367844	Tenant #3
666307	373102	
666308	67054	Rosetta
666308	85077	Maria
666308	116085	Felicitas
666308	127048	Cheyanne
666308	140416	Hector's Girlfriend
666308	310262	Voice
666308	380000	Additional voices (2004)
666308	412143	Virginia Bustos
666309	140278	Kunfuu
666309	253224	Mari, Kajiki's daughter
666309	278364	Kyoko Yamakawa
666309	371790	Otoshi
666310	138486	Tsugiko
666310	178248	Tamako's aunt
666311	104770	Norwegian entry (1st place)
666312	33374	Beth
666312	273477	Sarah
666313	11251	Prostitute #6
666314	169035	
666315	239893	Bozena's servant girl
666316	318877	Child
666318	17604	Julie Morgan
666318	32355	Amanda Wilkinson
666318	93955	Harriet Deal
666318	124591	Delilah
666318	274010	Jane Rounds
666318	312152	Demetra
666319	243479	Hawaiian Dance
666319	262620	
666320	266885	Tía Luisa
666321	208376	Eiko
666322	167826	
666322	184182	
666323	134966	Ewy
666323	182580	Lotten
666323	200451	Woman 1 at the Gallows
666323	204537	Bettan
666323	341027	Raped Woman
666323	380343	Linda Martinez
666323	394946	Nina
666323	403769	Erika Lager (episode Det sist
666324	363355	Aunt
666325	203917	Miss Gertrude
666325	228830	Female attendant
666325	326446	Old Woman on Jeep
666325	358561	Bit Part
666326	54203	Morrigan Aensland
666326	54204	Morrigian Aensland
666326	79070	Morrigian Aensland
666326	187354	Character
666326	206800	Morrigan Aensland/'Lilith'/De
666326	258547	Morrigan Aensland
666326	319444	Morrigan Aensland
666327	255872	Wife of Calligrapher
666328	32123	
666329	331180	Dancer
666330	379923	Herself (Eliminated 3rd with 
666331	235647	Girl at Checkout
666332	227056	
666333	142417	Member of Squad
666334	17131	
666334	70370	Cookie Lady
666334	158338	Mrs. Mildred Wisecarver
666334	208054	
666334	283372	Mrs. Leopold
666334	358672	Nurse Ambrose
666335	374601	Sayako
666336	2618	Herself
666337	226442	Empleada del Reg Nacional
666337	394017	Head-mistress
666337	398816	Vivi
666337	409957	Alicia (1999)
666338	401315	Eleni
666339	108456	Noi-Naa
666340	73114	Charlie
666340	128144	Katie
666340	209457	Katya
666341	388646	Kidnappare 2
666342	365970	
666343	141319	Herself
666344	404627	Lisbeth
666345	260392	Alenka
666346	12705	
666347	248662	Grace Kelly
666348	107777	
666348	152791	Teacher
666348	226326	Margret
666348	289880	Olga
666348	314309	Sängerin
666349	158469	Veronica
666350	40427	Attendance
666350	339324	Barborka
666350	357437	Jarus
666350	412118	
666351	179890	Julinka
666352	362543	Auction bidder
666353	345292	Sonia Koutchnoukov
666354	147235	Dr. Tuchlová
666354	258543	
666354	262253	Netusilová
666354	283018	Anca
666354	373511	
666355	234455	Herself
666356	99251	Girl on scooter #2
666357	81503	Karla
666357	181299	Elzevira
666357	186604	Mother of Lea
666357	239893	Bozena's servant girl
666357	287592	Ingrid
666357	344040	Kind nurse
666357	402368	
666358	304191	Kudlova
666358	304659	
666358	341086	
666359	410338	
666360	34582	
666361	6781	Frantiska
666361	141660	Old Celandine
666361	158137	Head of school
666361	180575	Horáková
666361	249859	
666361	301895	Vosahlíková
666361	339275	Mrs.Renoir
666362	309444	Destník - Brialová
666363	30324	Singer
666363	41514	Mother
666363	44776	Moutelíková
666363	64262	Translator (Cintamani)
666363	81679	Mother
666363	95065	Dr. Dvorakova
666363	95588	
666363	95995	Alzbeta
666363	97969	Éva's Mother
666363	108909	Dr. Venclovska
666363	115609	
666363	150623	Marie
666363	165062	Viki
666363	165074	School director
666363	166442	Landlady
666363	170350	Sword eater's wife
666363	171536	
666363	171545	Mother
666363	174470	Anna
666363	174932	Olina
666363	174936	Music teacher
666363	175023	Maminka
666363	180614	Granny
666363	181235	Secretary Karolína
666363	220238	School Director
666363	221866	Jenikova
666363	225873	Ester
666363	227872	
666363	232892	Vera
666363	258821	Olga Valentová
666363	266425	Zdena
666363	266455	Tadeasova
666363	270717	
666363	295066	Babi
666363	305247	Hubicková
666363	305249	Hubicková
666363	312715	Charwoman Macková
666363	320673	Marcela
666363	339277	Script
666363	354724	Albína Brousková
666363	357683	Mrs. Greenová
666363	376554	Countess
666363	378525	Actress
666363	383081	
666363	402047	
666363	405729	Hana
666363	412004	Grandmother
666364	51680	Pavla
666364	221343	Marketa
666365	172903	Lenka
666366	217180	
666366	388986	Grand daughter
666367	73165	Mme Martin
666368	207658	
666369	207658	
666370	125233	Thailänderin
666371	367083	Mom Jittlov
666372	183009	Student
666373	320546	Chun-Li
666373	370950	
666374	191092	
666375	16867	
666375	54859	Bella rosa
666376	68433	Karima
666377	315627	Sister number 3
666378	254209	Mrs. Warren
666379	166827	
666380	89765	Su-bin
666380	371144	Eom Hye-ju
666381	334881	
666381	370684	
666382	7694	Young-mi
666382	60578	Wife
666382	236767	Ran
666382	364142	Bo-yeoung (Porn Queen)
666383	94442	
666383	166806	
666383	371171	
666384	126885	
666385	177068	
666386	286662	
666387	167935	
666388	149963	
666388	267002	
666389	124683	Mi-ryeong
666390	385546	Young Jang-geum Seo
666391	371210	
666392	151988	
666393	288760	
666394	373064	
666395	167570	
666397	167841	Eileen
666397	374892	Irene Chow
666398	20195	Kang Myeong-sun
666398	62203	
666399	7263	
666399	14333	
666399	15397	
666399	15966	
666399	19043	
666399	28798	
666399	38180	
666399	42876	
666399	46183	
666399	49195	
666399	60589	
666399	60635	
666399	63496	
666399	76632	
666399	94288	
666399	95732	
666399	102076	
666399	120913	
666399	124792	
666399	127746	
666399	131277	
666399	135448	
666399	136373	
666399	136497	
666399	137076	
666399	137079	
666399	144296	
666399	147568	
666399	147569	
666399	156549	
666399	159876	
666399	163176	
666399	165521	
666399	165541	
666399	166821	
666399	167983	
666399	169044	Geum Eun-bang
666399	170304	
666399	198820	
666399	201278	
666399	201957	
666399	217304	
666399	218040	
666399	222354	
666399	226005	
666399	226537	
666399	226540	
666399	231739	
666399	234502	
666399	239348	
666399	249170	
666399	280884	
666399	280899	
666399	285214	
666399	285964	
666399	288136	
666399	288161	
666399	294436	
666399	294473	
666399	295223	
666399	295226	
666399	298730	
666399	370519	
666399	371153	
666399	371186	
666399	371193	
666399	371258	
666399	373145	
666400	6344	
666400	51006	
666400	126819	
666400	226578	
666400	284665	
666400	299131	
666400	371260	
666401	356655	
666401	356657	
666402	9431	
666403	245873	
666404	19045	
666404	94522	
666404	136425	Hye-shil
666404	216413	
666405	80074	
666406	303422	
666408	77748	
666408	169190	
666408	206765	
666409	348655	
666410	36617	
666410	101114	
666411	28618	Oscar
666411	68900	La Comtesse Adèle
666413	76677	
666413	130261	
666413	371241	
666414	132127	
666414	144314	
666414	204526	
666414	211205	Hwang Hye-won
666414	299058	
666414	371270	
666415	138477	
666416	62554	Jae-rim
666416	322901	
666417	138300	
666417	308444	
666418	58483	Laughing Woman
666418	93829	Linda Lee
666418	97388	Patton's Mama
666418	116086	Charlotte
666418	149707	Miss Pacific Islands 1978
666418	174503	Nurse Ester
666418	205268	Nurse in Ben's Hospital
666418	244334	Mother Pearl
666418	260266	Pootie's Mother
666419	206506	Mme de Saint Laurent
666420	962	Robin Morales
666420	10661	Kathy Hewitt
666420	29707	
666420	44498	Woman at Bar
666420	64498	Carmen Ruiz
666420	72462	Caroline
666420	85629	Cords Secretary
666420	87926	Female Doctor
666420	107906	
666420	108275	Jennifer
666420	115549	Sales Clerk
666420	135640	Mary Simpson
666420	144674	Dr. Kari Dovell
666420	151609	Allana
666420	157184	Catherine Sienna
666420	207765	Linda Collings
666420	220058	Detective Sandy Unger
666420	306257	Autumn Robber
666420	333326	Dorothy Raynor
666420	342616	Monica Storks
666420	344486	Vicky
666420	346933	Sheila Wills
666420	363780	Elaine Vandergeld
666420	367282	Hannah
666421	389046	Additional Voices
666422	82134	
666423	334138	Ria Franchuk
666423	363803	Mia
666424	64232	
666425	7236	Writer
666425	14701	Cesaltina
666425	25746	
666425	58155	Ceu
666425	83517	
666425	156393	Isabel/Venus
666425	261856	
666425	268320	
666425	272292	Manuela
666425	302419	Aunt
666425	302420	
666426	16339	Niña
666428	17906	
666428	102352	
666428	175034	
666428	177871	Aliki
666428	208191	
666428	213693	
666428	266381	Musikstudentin
666428	296161	
666428	406994	Herself
666429	387937	Con. Detective Teresa Brady
666430	144406	
666431	307468	Townsperson
666432	15241	Fanny
666432	24284	Aurelia
666432	43718	Jacqueline
666432	65203	Clarisse
666432	75810	Caroline
666432	85546	La comtesse Jeanne (La cousin
666432	118691	Lizzie
666432	140304	Delphine
666432	149631	Janine Boitard
666432	161958	Michèle
666432	167170	
666432	204555	Christina, le mannequin
666432	205643	
666432	206841	Mary
666432	218031	Lise
666432	234287	Clotilde Maury
666432	290893	Blanche
666432	335370	Anne Bergerat
666432	340197	Macha
666432	345272	L'antiquaire
666432	373400	Shoula
666432	398077	
666433	15419	Teenage Girl
666433	168928	Iza's Friend
666433	181821	
666433	394247	Oxana (2002)
666434	28295	Laila
666434	39040	Gina
666434	246555	
666435	393187	Carmen
666436	111299	Maria Carolina d'Asburgo (chi
666436	211982	
666437	335492	Tonka's mother
666438	335492	Indra
666439	313667	
666440	180824	
666440	322096	
666440	322097	
666440	377883	
666441	28537	Kati
666442	303447	Flight Attendant
666443	105852	Stripper #1
666445	10371	Agathe
666445	15061	Claire
666445	22634	Anne
666445	25237	
666445	43400	Lola
666445	57324	Marie Castaing
666445	63954	Marie Domec
666445	83201	Jeanne Dumas
666445	96036	Helene Van Horn
666445	97850	Kristine
666445	110119	Rita
666445	111103	Christiane
666445	116483	Julie
666445	127870	Ada Barletta
666445	133118	Rose Grandison
666445	135334	Marie Garcin
666445	157305	Madame Arangrude
666445	170433	Julie
666445	170468	Juliette Rozenec
666445	201114	
666445	206062	Charlotte
666445	206666	La résistante
666445	207092	Elisabeth
666445	212768	Herself
666445	235834	Catherine
666445	248266	
666445	249751	Nelly
666445	261714	Lorene
666445	292689	Julia Vandal
666445	309985	Nadia
666445	334134	Fabienne
666445	346756	Hélène
666445	349421	Agnès Lucas
666445	356515	Broussailles
666445	380977	Claire Moretti
666445	383117	Marie Panni
666445	384032	Irène (1967)
666445	386800	Mlle Berthe
666445	395259	Laure
666445	396924	
666445	402664	Marie
666445	403895	Martine Ponchon
666446	369	Young woman at accident
666446	80206	Eugénie
666446	88084	La femme de Walter Rousseau
666446	101805	
666446	176473	
666446	202090	La femme avortée par Sachs
666446	229666	Valerie
666446	240429	
666446	244759	Prof de Maths
666446	345526	
666446	354232	
666446	386103	Mlle Vamp
666447	185057	
666448	340573	
666450	399685	Ashton Main - as Minor
666451	81604	Wehrmacht girl
666452	17564	Birgit Lans
666452	28319	Sofi, maid
666452	48000	Katarina Ivanovna
666452	77406	Blanche Duval
666452	88393	Dolly Perrin
666452	97089	Karolina
666452	102501	Mother Persson
666452	105362	Mrs. Wellander
666452	136450	Vilborg
666452	145455	Peasant woman
666452	147015	Young Woman
666452	159671	
666452	181850	Cecilia, prostitute
666452	182303	Mrs. Alm
666452	206263	Karin
666452	225347	
666452	302796	Gypsy woman
666452	307221	Woman
666452	342314	Deaconess
666452	377330	Hilma
666452	388448	Bina
666453	394947	Janneke
666454	228268	Herself
666455	8699	
666455	115199	
666455	134831	
666455	223279	Ellen Wilson
666455	347650	
666456	364942	Fan 6
666457	142117	
666458	193643	Fräulein Huber
666459	193831	
666459	193832	
666459	407815	Herself (Single) (2002)
666460	10869	Joyce O'Doul
666460	297121	Beatrice
666461	13346	Nurse Wilson
666461	23467	Brownie Leader
666461	96753	Mrs. Jack Flynn
666461	110302	
666461	128884	Woman in hat shop
666461	280130	Mrs. Rogers
666461	283429	Louise
666461	326756	The Symbol Maker's wife
666461	327685	
666461	352639	The nurse
666461	359286	Mrs. Edwards
666462	223649	Sue
666463	11382	Millicent Keppel
666463	71176	
666463	140514	
666463	331386	Peggy Benson
666464	131288	Alice
666465	130243	Acrobat
666466	107151	Crystal
666467	173237	Secretary
666468	24323	Die Schöne II
666468	259468	
666469	28793	
666469	95260	
666469	98321	
666469	124949	Pepita
666469	129684	
666469	140228	
666469	153925	Narrator
666469	175249	Frl. Matussek
666469	177904	Erika
666469	180783	
666469	191417	Waltraud
666469	204581	
666469	219263	Das Kind
666469	225660	
666469	244676	Karin
666469	249635	
666469	254353	Margot Rosshauptner
666469	254354	Rosshauptnerin
666469	254355	Margot Rosshauptner
666469	254356	Margot Rosshauptner
666469	259461	Frau Zabel
666469	270601	
666469	281716	
666469	299070	Hedda Drescher
666469	339814	Dieters mother
666469	353523	Mrs. Zangiacomo
666469	381382	Mädchen mit Hund
666469	388246	Ruth Melzer
666469	391152	Vera Plache
666469	395701	Waltraud
666469	397382	
666469	397997	Erika
666469	404489	
666469	409610	Petra
666470	409609	Amanda Klug
666471	216567	
666472	12589	
666472	62176	
666472	312748	
666473	78182	Starlett
666474	263303	Annick
666475	90241	Roommate
666476	1439	Herself
666476	390836	
666477	29885	
666477	59114	Woman at Table
666477	110380	Dee Dee
666477	207145	Vicky Moore
666477	258991	
666477	295901	The girl
666477	304220	Girl
666478	388308	Kristina
666479	194836	
666480	202373	
666481	363414	Porna
666482	63223	Herself - Wife of Alfred Jodl
666483	215214	Waitress
666484	282657	
666485	78909	Dee Dee
666485	108535	Junkyard Temptress/Woman with
666485	147976	Sel/She whose planet is Satur
666486	149918	
666487	285032	Indian Woman
666488	20625	Extra
666489	114180	Waitress
666489	344137	Examiner
666490	79823	Frances
666491	126039	Terilyn, TV Anchor
666491	383316	
666491	384370	
666492	26471	Claudia Kishi
666492	150414	Yoneko
666492	154869	Rainbow House child
666493	113503	
666494	19818	Eva Thompson
666494	179924	
666494	186125	Me Marbach
666494	191783	Mrs. Ben Ami
666494	290700	
666494	314302	Mother
666494	406828	Celia Davidowicz
666495	252371	Herself
666496	355219	Marcia Fontaine
666496	366848	Princess Vera
666497	142489	Skinless Julia
666498	4970	Amanda
666498	72579	Jennifer
666498	214463	NYC Pretty Young Girl
666498	318823	Christy
666498	335530	The Blonde
666499	209660	Girl
666499	223917	Miss Rosenthal (Arden's secre
666499	241134	Chorus girl
666500	241689	Orderly 2
666501	781	
666501	42632	Esposa del comerciante
666501	52819	
666501	75028	
666501	91760	
666501	228577	NonSex
666501	228637	
666501	302173	
666501	306916	
666502	14132	Amy
666502	45591	Girl in Bar
666502	47077	Darcy
666502	128563	Sandra Lacy
666502	142249	Marianne
666502	154590	Adrienne
666502	385573	Herself
666504	1206	Herself
666505	358846	Miss Måneskin-pige
666506	51134	Liv
666506	51135	Herself/Liv
666507	119272	Grete Lehner
666507	292103	
666508	155562	Future Woman
666509	26972	
666509	52294	
666509	230444	Nana
666509	325711	
666509	386616	Krista & Todd's dog
666509	389621	Herself
666509	406335	Ulrike Wezlenbrink
666510	329315	Herself
666511	343879	Cindy
666512	302468	Theater Person
666513	340169	La Supérieure
666514	230512	Lanna
666515	364368	Girl at Party
666516	219118	Uniform Cop #1
666517	229052	Clotilde
666518	400750	Herself - Reporter (1999, 200
666519	123114	Hotel Receptionist
666520	5268	
666520	309086	
666521	96382	Secretaria de Dr. Fernández
666522	4448	Razia/Aslam's daughter
666522	25964	
666522	287627	
666523	111143	Voisine retraitée
666524	397346	Haruka Hikari/Mrs. Hikari, Ro
666524	403597	Roll, Haruka Hikari
666525	119425	Indian Woman #1
666525	135915	Elana
666525	256236	Old Lady Cheema
666525	321176	Cleaning Woman
666526	283398	Waitress
666528	160982	Amazon
666529	366386	Nina
666530	188578	Melissa
666530	255233	First woman
666531	76252	Herself
666531	132753	
666531	197942	Miss Morgan
666531	203495	Teena Pavelic
666531	222337	Helen Grosvenor/Princess Anck
666531	271094	Librarian
666531	302368	Nora Moran
666531	317223	Florrie
666531	332798	Quita Silva
666531	399350	Herself (eliminated round 1)
666532	281145	Lady Montague
666533	112812	Harpist
666534	271294	Nurse Gupta
666535	48325	Pernille Berg
666535	93521	Moderen
666536	368913	Joanne
666537	154678	Psyke
666539	317509	Magdelone
666540	681	Lady
666540	99568	Woman at the ball
666540	142788	Lina
666540	314958	Woman
666540	347025	Ann-Sophie Berg
666541	384439	Kajsa Palm (2002-2003)
666541	409080	Dagmamman (2002)
666542	288088	
666543	29653	
666543	94258	Nettan
666543	107832	
666543	240213	Eva, bride at the wedding
666543	318443	
666544	232360	
666545	125213	Madame Arcati
666546	136208	
666546	345571	
666548	54465	Schwester Ingeborg
666549	116002	Acting Coach
666550	129829	Mistress Ilsa
666552	22844	Elis Tante
666553	29890	
666554	67790	Virginia
666554	121623	Praline
666554	190851	Nurse Melk
666554	292170	Greta
666554	337482	Dancer
666555	46630	
666556	256962	Ældre dame (Old lady)
666557	246510	
666558	104764	Norwegian entry (17th place)
666559	86250	La prmière ensorceleuse
666560	122808	
666561	48131	Fremmed i skrivergården
666563	315395	Herself
666564	211033	Henriette
666565	78475	Herself (performing 'Syng en 
666565	78478	Herself (performing winning s
666565	78480	Herself (performing 'Vi ska' 
666565	78484	Herself (performing 'Endnu en
666565	78493	Herself (performing 'Sig du v
666565	78494	Herself - Presenter ('Et øje 
666565	78495	Herself - Member of jury
666565	104758	Danish entry (17th place)
666565	132874	Herself
666565	376101	Herself - Presenter
666566	354377	Dorthe
666567	29639	
666567	50977	Helmsman
666568	211228	Herself
666569	322680	
666570	46630	Hedvik
666570	395375	Auroras mor
666571	382250	
666572	94337	
666573	220456	McCormick Reporter
666574	76757	
666574	212334	Herself
666574	327335	Herself - Host
666574	402269	Herself - Guest Host (2003-20
666574	409153	Herself - Host (1996-)
666575	212333	Herself - Participant/Perform
666576	367073	Munchkin
666578	32861	
666579	23375	Model
666580	150422	Sandy Webber
666581	67575	Miss Dudley
666581	166879	Mrs. Lenore Hartounian
666581	372882	Ilsa
666582	181082	Kristine som barn
666583	324257	Herself
666584	32678	
666584	116028	Anna
666584	136619	Stud.jur. Vera Halkær
666584	214026	
666584	322291	Bitten
666585	153779	
666586	78475	Herself (performing 'Jeg er f
666586	78478	Herself (performing 'Fred')
666586	78480	Herself (performing 'Vi ska' 
666587	398045	Herself - Florist
666588	233080	Tralla
666589	138006	Female meeting attender
666590	116366	Helene
666591	17189	Girl in Laboratory
666592	400008	Hanne Hartløfsen
666593	148816	Voice
666594	17189	Girl in Laboratory
666595	30418	
666596	376347	
666597	406934	Host
666598	66078	
666598	165230	Sylvie
666598	258315	Ulla
666599	189727	
666600	185000	Sinin kaveri
666601	122272	Annette
666601	303649	Extra
666601	380351	Kicki
666602	406961	Herself (Team Sribuat, 2nd ba
666603	190808	Dancer
666604	222212	Party-goer
666605	316985	Skolflicka
666606	357612	Babysitter
666607	102161	Sköterska 2
666608	180222	Nurse
666609	96429	Simone
666610	400001	Bibi
666611	115390	
666611	402277	
666612	377287	Writing woman
666613	109277	Hembiträdet Karin
666614	23415	Carina
666614	54385	Henrik's Mother
666614	99422	Lena
666614	104807	Annika's Mother
666614	182553	Author
666614	188873	Lena
666614	387963	Annikas mamma (1999)
666614	405822	
666614	405840	Teacher
666616	385105	Donna Manning (1986-1988)
666617	80659	
666617	244074	Christina
666618	322310	Woman in village
666619	2232	Saleswoman
666621	44416	Ingrid
666622	277461	Freia
666622	358689	Gerhilde
666623	323671	
666624	386911	Elisabeth Wilkens
666625	355545	Undertaker
666626	378256	One of the Lindgren sisters
666627	281198	Julia
666627	307710	
666627	325079	Mariane
666627	392883	Anna Rosenberg
666627	394744	Erika Elfengren
666627	399873	Johanna Fridh
666628	404212	Anckarströms dotter
666629	377386	Elin
666630	159497	
666631	101492	the Girl
666632	276240	Featured IV Woman Undead
666632	390937	Fay Collins
666633	313173	Young girl at the movie theat
666634	181856	Paula
666636	99161	Jane
666636	346202	Jannika as child
666637	335363	Josefin
666638	349775	Inez
666639	182101	Member of Ladies' Orchestra
666639	355545	Undertaker
666639	394925	Trombone player
666640	409853	Petra
666641	13451	Female noble #1
666642	32376	Rosa Andrén
666642	42202	Gunvor
666642	112278	Blanquita
666642	198012	Ärtan
666642	251989	The daughter
666642	312233	The Milk Girl
666642	320623	Postreceptionist
666642	354743	Nurse
666642	405570	Syster ingalill (1997)
666642	408933	Stina
666643	395712	Svan
666644	333068	Cilla
666644	405822	Kvinnliga polisen
666645	234826	Nonne/Nun
666646	182285	Ballet girl
666646	320629	Nun
666647	33098	Jana Flack
666647	101126	Anna
666647	160740	
666647	173383	Irene
666647	240069	Herself
666647	304200	Tjorven
666647	320692	The Mother
666647	322818	Irja
666647	334041	Tjorven
666647	334042	Tjorven Grankvist
666647	334043	Tjorven Grankvist
666647	341810	Hjördis Nilsson
666647	353020	Tjorven Grankvist
666647	385559	
666647	390783	
666647	395763	
666647	407260	Tjorven
666647	410044	Maria 'Tjorven' Grankvist
666648	298474	Anna
666649	99958	
666650	191566	Fnissig flicka
666651	260229	Barbara, age 5
666652	204583	Golf Course Family
666653	232986	Ninja Harvey
666653	250797	Ninja
666654	46249	Miriam/Mother Earth
666655	210286	Marjam
666656	326384	Reporter
666658	1056	
666658	11693	Nita
666658	60278	Gunnel
666658	94258	Gerd
666658	109320	Sister
666658	153717	
666658	182531	Publisher
666658	190810	Advokat Gabrielsson
666658	191566	Postkassörska
666658	192659	Pirjo
666658	192821	Motorcykelpolis/Mannekäng
666658	209321	Reporter
666658	222473	Mistress Ford
666658	246492	Lillan
666658	303194	Parking Attendant
666658	313173	Maggan, member of parliament
666658	321214	
666658	322315	Viveka Sundqvist
666658	323671	Nurse
666658	326010	Anette Hershagen
666658	355702	Lisa Nyberg (episodes 2, 3, 4
666658	357612	Romantic Woman
666658	379440	Agnes
666658	394736	Teacher
666658	400886	Herself (Blue Team)
666658	403084	Annika Höök (2000)
666659	282563	Martha
666660	192827	Mother of Nikolaus
666661	41115	Laila
666661	190822	Miss Holm, secretary
666661	214837	
666661	214847	Kati Jorma
666661	251948	Eeva Riuku
666661	293555	
666661	348678	
666662	1748	Herself - Presenter
666662	2816	Presenter for Best Performanc
666662	2894	Herself
666662	3055	Herself - Presenter: Best Mak
666662	14159	Suzanne Sandor (at 15)
666662	39406	Kay Lake
666662	98161	Ashley Parker
666662	107727	Little girl
666662	127237	Rebecca
666662	128515	Griet
666662	131668	Lady Windermere
666662	148205	Molly Pruitt
666662	149804	Grace MacLean
666662	155862	Emily
666662	162900	
666662	171094	Kate Armstrong
666662	194874	Charlotte
666662	194922	Herself
666662	196050	
666662	201674	Herself
666662	203601	Rachel 'Birdy' Abundas
666662	204583	Amanda
666662	215880	
666662	223768	Kathy Caldwell
666662	235052	Laura Nelson
666662	252963	Francesca Curtis
666662	311601	Mindy
666662	321917	Alex Foreman
666662	368165	Holly
666663	342054	Herself
666664	170508	Eva-Lisa
666665	65207	
666666	83087	
666666	99510	Leda
666666	241975	Bitten
666667	83078	Countess Elise
666668	204583	Golf Course Family
666668	298769	Catherine
666669	275651	Swedish Friend
666670	234942	Davis
666670	302034	
666671	115424	
666672	62579	Sr. Nun
666672	216361	tant Arvidsson
666673	238803	Modell
666674	405822	Camillas dotter
666675	227853	
666675	335781	
666676	4477	
666676	14384	
666676	69636	Brangien
666676	253994	Leïla
666676	266149	
666677	42705	Pussy Willow
666677	93250	Lady
666677	176967	Rachel
666677	257867	Herself
666677	293145	Denise
666678	134603	
666678	257178	Miss Conglarre
666678	285424	
666679	330094	Mrs. Haines
666681	46241	Detective Chief Inspector Dia
666681	79775	Mrs. Peplow
666681	84916	Liz Shaw
666681	88922	Liz Shaw
666681	88926	Liz
666681	88929	Liz Shaw
666681	88933	Liz
666681	89001	Herself
666681	124594	Miss Burrows
666681	127303	Dr. Elizabeth Shaw
666681	178020	Avril Owens
666681	194513	Miss Burrows
666681	195300	Sam's grandmother
666681	224922	Herself
666681	250827	Vicar's Wife
666681	261473	
666681	273084	
666681	276253	Liz Shaw
666681	347454	Liz Shaw
666681	352702	Annette
666681	367498	Stella's Mother
666681	374582	Liz Shaw
666681	384142	Janet Young
666681	386587	Dr. Elizabeth 'Liz' Shaw (197
666681	392108	Laura Lyons
666681	401224	Barbara Pym
666682	195397	Police Officer
666683	214313	Dot
666683	319618	
666684	79202	Waitress
666685	305870	
666686	119221	Sekretärin
666687	79049	Vampire
666687	151633	
666688	151633	
666689	98625	
666690	30662	Mother Agnes
666691	23952	May flower
666691	359499	Washington Wife #1
666692	198957	
666693	114350	Child Johnson (10)
666694	25814	Mrs. Evans
666694	32820	Arbiter
666694	93281	Aunt Margaret
666694	99068	Old Elenya
666694	141350	Mrs. Hughes
666694	160958	Headmistress
666694	168297	Customer #2
666694	245605	Bronwen (present day)
666694	279347	Mary Pearson
666694	298579	Mrs. Hudson
666694	382601	Blodwen
666694	382701	Elaine Wigmore (Season 2)
666694	385299	Marian Owen
666694	386488	Gwen Harris
666694	387533	Maggie Fletcher
666694	388133	Kay
666694	391534	Mrs. Elsie Hepplewhite ('mam'
666694	392019	Marian Eveleigh
666694	397182	
666694	401214	Farmer's Wife
666695	151780	Paula
666695	270925	Trishia Baker
666696	21406	
666696	24410	Matilda
666696	33238	Gerda
666696	38764	
666696	101346	Elise
666696	109502	Karin Schönberg
666696	109504	Karin Schönberg
666696	109505	
666696	121929	
666696	142056	
666696	153110	Emma
666696	170132	Marie the Maid
666696	175249	Garderobiere
666696	186735	Duifje
666696	186902	Lorene
666696	226198	
666696	226338	Lucy Hansen, Kellnerin
666696	254376	Olga Petrowna
666696	275201	Juliette
666696	288243	Miss Dickens
666696	290146	
666696	290726	Marianne, Zofe der Julia
666696	333045	Altes Weib
666696	360655	Alice
666696	375230	Fernande Bachelet
666696	383108	
666696	389785	
666696	399478	Siri (voice: German version)
666696	400761	Mama Löwe
666696	400897	Eduards Mutter
666697	252068	
666698	363392	Carol
666699	108098	Ann Radshaw
666699	114197	Diana Mitchell
666699	125817	Maggie Fraser
666699	134043	Nurse Esther Sanson
666699	184283	Hilary Clarke
666699	230359	Anne
666699	233861	Rachel Kershaw
666699	242765	Head Nurse
666699	292553	Maggie
666699	297993	Jane Hamish
666699	307402	
666699	316604	Sgt. Pauline Ramsey
666699	326100	Hazel Broome
666699	360258	Toddy Todd
666699	363042	Frances
666700	124017	Rapper Girl
666701	71736	Nancy Stoddard
666701	73479	Donna Kirby
666702	107856	
666703	61954	Orderly
666704	70178	Mchelle
666705	186895	
666706	1441	Herself
666706	37648	Herself
666706	41063	Herself
666706	52312	Herself
666706	257650	Herself (Miss November)
666706	274148	Herself
666706	278830	Redhead
666706	361853	Herself
666707	193260	Gospel Singer
666708	193260	Gospel Singer
666709	20939	Lana Torrido
666709	257689	Herself
666709	266647	Michelle/Mrs.McKenzie
666709	344486	Woman in Bar
666710	95279	Maike Hartmann
666710	163749	Gloria
666710	223461	Franziska
666710	290190	Regina
666710	380396	Franziska Braun
666711	89161	14th Street Player
666712	228185	
666713	230441	Childlike Empress
666713	374425	Phoebe
666714	208281	Hazel One Spot
666715	179038	
666716	81070	Paula
666717	316097	Production Assistant
666718	364330	
666719	366796	Herself
666720	6413	Eva Moretti, singer
666720	15288	Biggy Wilson
666720	28434	
666720	104661	Daisy Hellmann
666720	115386	Britta Libergius
666720	132871	Herself
666720	144325	Tilly
666720	155457	Tilde Tarloni
666720	178600	Birgit
666720	189682	Britta Johnsen
666720	210346	Herself/Host
666720	223210	Greta
666720	247182	Birgit Nielsen
666720	249028	Stewardeß
666720	270014	
666720	281924	Daisy
666720	326056	Irina Servi
666720	347579	Bibi Sturm
666720	347791	Kitty Bruhns
666720	364947	
666720	375983	Bibi auf Schweden
666720	407388	Herself
666721	349231	
666723	103369	
666724	193260	Mrs. Wells
666725	85040	
666726	81012	Young Sarah
666729	23896	Adoree Demorest
666729	84214	Mrs. Calvin's Daughter
666729	120751	Mary Hoyt
666729	245150	Trixie
666730	1398	Herself
666730	11329	Mamie
666730	18021	Kay Trevor
666730	19173	Nocola Fallaize
666730	20625	Sporting Lady's Companion
666730	31707	Martha Jones
666730	41851	
666730	46979	Sheila Briggs
666730	51653	Jane Lindstrom
666730	54882	Ruth Earp
666730	59366	Teresa Harnish
666730	71979	Maid Jean
666730	80949	Vina Leaf
666730	80992	Mimi Warburton
666730	90325	Sabine Manning
666730	100730	Stella Cotman
666730	115233	Katherine
666730	118057	Anna
666730	120151	Judy Dawson
666730	137545	Gwyneth
666730	138872	Swallow
666730	142715	Miranda Trewella
666730	155593	Mable Chiltern, Robert's Sist
666730	169161	Josephine Luton
666730	185469	
666730	191862	Laura Fitzpatrick Morgan
666730	193251	Mrs. Squeezum
666730	194641	Cary
666730	199134	Miranda Trewella/Caroline Tre
666730	200112	May Jones
666730	206225	Herself (Costar)
666730	206881	Mrs. Winifred Banks
666730	215077	Miranda Trewella
666730	221225	
666730	222664	Marjorie Osborne
666730	233632	Marjorie Corder
666730	236630	Sister Anne
666730	240812	Mary Carr
666730	248017	Amberlyn Griffith
666730	252980	Dizzy Clayton
666730	253452	Barbara Vining
666730	263785	Miss Sheridan
666730	264447	Nina
666730	274650	Rose Chasseur
666730	279582	Helen Mary MacPherson MacGreg
666730	284908	Paula Palacek
666730	290943	Ms. Grimwood
666730	292420	Darjeeling
666730	293224	Marion Southey
666730	297082	Kitty Brady
666730	309872	Midge Carne
666730	311026	Clarissa Hailsham-Brown
666730	311888	Aunt Mary
666730	313954	Lisa Robinson
666730	319081	Mrs. Firth
666730	319682	Grandma Gallagher
666730	321687	Mary Tudor
666730	330305	Unnamed Character
666730	330556	Joan
666730	330841	Millie
666730	346020	Myfanwy Price
666730	346200	Winnie
666730	350913	Eleanor
666730	360542	Jean Raymond
666730	363581	Elsie
666730	374425	Co-Co
666730	384729	Trudie Pepper
666730	390184	Glynis Granville
666730	398560	
666731	241061	Phyllis Fontaine (1937)/Film 
666731	366449	Officer/Passenger
666732	79261	Lady Leyton
666732	97730	Phyllis Mayden
666732	138754	Rebecca Zoltan
666732	155593	Olivia, Countess of Basildon
666732	209615	Cynthia Meraulton
666732	230373	Mrs. Thorpe
666732	232261	Lady Richard
666732	343278	Karen Corscher
666732	371087	Lady Gregg
666732	397032	Elaine Brant
666733	107949	Maureen Marx
666734	95221	
666735	155723	Peggy
666736	137259	Amy
666736	178189	Extra
666737	242030	Rachel Russell
666737	331733	Partygoer
666737	360436	Tracy
666737	387340	Additional Voices, (1995)
666738	122183	COPS officer
666738	283398	Data Tech
666739	365356	Ma McClay
666740	366997	Girl #1
666741	375508	Spare tire murder victim
666742	260092	Carol, the Maid
666742	260094	Carol, the Maid
666743	73565	Dr. Helen Schroder
666743	179958	Margaret
666743	209628	
666743	222594	Box Office Girl
666743	330776	Isabel
666744	11006	Granny Thorne
666744	131233	Ma Bishop
666744	277889	Mrs. Knowles
666744	292016	
666744	299286	Rita
666744	305591	Mrs. Stevens
666744	398420	
666744	399816	Selma Horowitz (1972)
666745	389416	Webb's Secretary
666746	26289	Nanny
666746	183357	Adele
666746	385824	Johnnie-Jean 'J.J.' Bagwood (
666747	302943	Nurse
666748	394425	Natarle Badgiruel
666748	398464	Discipline Officer
666749	59135	
666750	75889	Stella Regan
666750	197943	Countess Karper
666750	318715	Mildred Miller
666751	242750	Mary Evans
666751	400258	Irene
666752	216669	Club Patron
666752	230676	Uniqua
666752	298090	Nola Darling
666752	405737	Yolanda
666753	39973	Anna
666754	356890	Rikke
666755	212336	Herself - Participant/Perform
666756	40945	Fængselsbetjent
666757	283242	La femme Malleville
666758	281928	L'Infirmière
666759	211228	Herself
666760	411245	Lindy (Episode 7: On Loan)
666761	190823	Stand in Lotte
666762	392072	Andrine Andersen (#2) (2003-2
666763	334172	Frk. Jakobsen
666764	1208	Tone
666764	388307	Ellen Beate Rekdal (1997-1998
666765	286085	Policewoman
666766	133419	Sarah
666766	323460	BBQ Hostess
666767	261281	Jewelry Salesperson
666768	48278	Joan Bemis
666768	302467	
666769	26291	Juanita
666769	31846	Nell Newcombe
666769	65707	Renee
666769	91903	Danitra
666769	95796	Shauna
666769	144816	Venom
666769	151122	Sharane
666769	159862	Heather Lee
666769	163523	Herself
666769	196302	
666769	220008	
666769	222771	Cynthia
666769	290319	Cecilia
666769	303225	Lewanda
666769	324852	Nina
666769	343121	Lisa
666769	405475	Lynn Stanton
666770	366425	Mrs. Hunter
666771	344524	Herself
666772	133949	Mable
666773	366760	
666774	167866	Christmas Caroler
666775	173516	Pearl Cummings
666776	62536	Nervous Girl
666776	109722	Helena Stoeckley
666776	193932	Agnes Stewart
666776	265775	Ellie
666776	284538	
666776	316263	Penny
666776	354817	Jane
666776	362193	
666777	78058	Little Lori
666777	82326	Tamielle
666777	107261	Tisha Ramsey
666777	164635	Hannah
666777	336459	Tara Ehrenthal
666777	408692	Carrie Marks (1996)
666778	241120	Ghost
666779	114642	Little Girl
666780	388080	Herself
666780	392908	Jude Harrison
666780	405759	Annie Thelen (2000-2001)
666781	84829	Reporter
666782	70612	Alice
666783	147988	Cecilia
666783	381076	Danielle Craig
666784	138735	Sheila the Sleepwalker
666785	37326	
666785	304751	Heather
666786	241444	
666786	330375	
666787	68733	Young girl at library
666789	57001	Girl on Playground
666790	381091	Herself (eliminated round 1)
666791	175694	Sarah Kerst
666792	61765	The Children of the Corn
666793	20135	Old Lady (segment "Depuis le 
666794	90813	Cast
666795	368626	Woman's Mother
666796	94461	Herself
666797	178173	The Little Girl
666798	251473	Marian Miller
666799	65455	Tina
666799	66939	Alicia
666799	131687	Kimberly
666799	139080	Liz Kennedy
666799	159506	Jesse
666799	161060	Laura
666799	176965	Susan McConnell
666799	189247	Karen
666799	194524	Kimberly (Pink Ranger)
666799	213479	Kimberly Hart (Pink Ranger)
666799	252841	Andie Bradley
666799	267605	Tracy
666799	320247	Susie Q/Maggie
666799	321405	Nansi Nevins
666799	341842	Kimberly Hart
666799	352287	Marty Williams
666799	366933	Iowa's Finest
666799	386509	Stacy Newland (2004-)
666799	388566	Julie Emrick (1998-2000)
666799	392424	Herself
666799	397693	Kimberly Ann Hart/Pink Power 
666799	398213	Herself
666800	62415	Denise
666800	78182	Dead Girl #1
666800	119315	Jodi Parker
666801	66661	Katherine
666801	157004	Cecily Barnes
666802	5619	
666803	294302	
666804	46663	Mrs. Breen
666805	222212	Party-goer
666806	142637	Dancer
666807	203204	Cyclist
666808	119928	Girl #1
666809	304734	Museum Patron/VJ Voice
666810	66053	Freshman Clown
666810	256220	Receptionist, Hair Salon
666811	39720	Black House Servant
666812	22596	Karen Dodd
666812	92150	Monica Sinclair
666812	93080	Donna
666812	114642	Sydney Todd
666812	146091	
666812	147844	Lydia/Willie Mae/Hooker #5
666812	154959	Cherry
666812	190325	Yvette
666812	267605	Devin Quinn
666812	279860	Athena
666812	316886	Diedre
666812	331899	Anne-Marie
666812	340791	Kristi
666812	364552	
666812	386831	Aileen Lewis
666812	392686	Various Characters (1993-1994
666812	392709	Althea Tibbs (1988-1993)
666812	396145	Carrie Jones/Carolyn Dimes
666812	397401	Alycia Barnett (1995-1996)
666812	405684	Denise (1997)
666812	410902	Nadine Hudson Thomas
666813	244704	Model
666814	11574	
666814	226996	Fancy
666815	42791	
666816	164467	Various voices
666817	49441	Tanya
666817	125549	Pvt. Robbin
666817	171063	Chantel Mitchell
666817	308114	Praise Dancer
666817	406529	Aisha (1997-1998)
666818	37696	Ishna
666819	17779	Annie
666819	18635	Sarah
666819	77712	Josie Hemphill
666819	107396	Lilly Kyle
666819	134722	Chrissy Seaver
666819	134723	Christine Ellen 'Chrissy' Sea
666819	134724	Herself
666819	158435	
666819	159018	Doris
666819	176807	Angie
666819	177443	Elana Spivak
666819	191301	Nicole Gaultier
666819	205982	
666819	210733	Cindy
666819	229126	Merna
666819	232845	Shannon Dwyer
666819	249499	Janie
666819	273743	Gretchen Grundler
666819	273744	Gretchen
666819	273745	Gretchen Grundler
666819	273746	Gretchen
666819	283847	Lee Wolford
666819	362453	Alexandra 'Alex' Marshall
666819	379756	Casey Emmerson
666819	390691	Chrissy Seaver #2 (1990-1992)
666819	393906	Peter Shepherd (I)
666819	394294	Maureen Kelly
666819	397180	Grace 'Gracie' Wallace
666819	398062	Katherine 'Kate' Moloney
666819	401362	Mary Margaret Doolan
666819	403038	Gretchen Grundler
666820	176525	Colonist
666821	3890	Herself
666822	52105	Lucy
666823	115625	Redhead
666824	340478	Dot
666825	66945	Babe
666827	234966	Ginny
666828	232676	Female Video Clerk
666829	276918	Helen
666830	387438	Kelly, member of the Short Ci
666830	410907	Happy Hollywood (1969)
666831	143742	Old Lady
666832	7509	Gnawja
666832	124646	Sam
666832	154262	
666832	154986	Nurse
666832	292275	Lizzy Shapiro
666832	359971	Asshole #2
666833	208907	Iris
666833	221783	Donna Metzger
666833	372130	
666834	93191	
666835	404613	Irene Barron (1951-1954, 1960
666836	42847	
666836	127730	Dancer
666837	283944	Aerobic Instructor
666838	47865	Additional Voice
666839	14100	
666839	75004	Herself
666839	258903	Herself
666839	392423	Herself
666840	7200	Lafe's Girl
666840	162883	Andrea Browning
666840	248568	Mrs. Charles Carroll
666841	128318	
666842	127080	Carmen
666842	193809	Peggy Carter
666842	203350	Nancy Warburton
666842	230622	Showgirl
666842	393211	Herself (1957-1958)
666842	408497	Herself (regular performer, 1
666843	2781	Elaine's Patron
666843	21761	Dr. Anansa Linderby
666843	30268	
666843	47050	Barbara
666843	72109	Michaela
666843	73482	Beverly
666843	73887	Kit's Mother
666843	73906	The Queen
666843	92093	Sandra Collins
666843	151530	Robin
666843	193108	Doris Luger
666843	212027	Woman Doctor
666843	253338	Jane Marlowe Morrison
666843	272972	Alana Durand
666843	274317	Lorri (segment "Forbidden Zon
666843	304295	John Lee's Mother
666843	340857	Lt. Kada Wilson
666844	81170	Martin
666845	5057	Helen
666845	7987	Carol Foster
666845	37057	Teller Woman
666845	65499	Old Lady #1
666845	79281	Another Executive
666845	81127	Jury Foreman
666845	127529	Mrs. Medgars
666845	171485	Lorne's Secretary
666845	177330	Technician #2
666845	222651	Jury Foreman
666845	250514	Walcott's Secretary
666845	264075	Nurse #1
666845	267216	Betty Castle
666845	283186	Mary Hodges
666845	284003	Katherine Angelone
666845	296990	Mrs. Carmichael
666845	304822	Mrs. Nepper
666845	314113	Waitress
666845	328585	Mrs. Warren
666845	331463	Lois
666845	338564	Cashier
666845	395549	Mrs. Poston
666846	204583	Baby Store Customer #3
666848	211350	Jessica
666849	154869	'Rainbow House' child
666850	149198	Girl in nursey
666851	28669	Cop
666851	64386	Nikki
666851	78121	Marlene Moore
666851	80393	Mrs. Martin
666851	117278	Loretta
666851	146807	Realtor
666851	220023	
666851	224224	Nurse Mary
666851	240688	
666851	265759	ER Doctor
666851	283886	Marsha
666851	288910	Kay Christie
666851	289253	Margo Loring
666851	293155	Mary Grimes
666851	298765	
666851	299681	Philly
666851	321209	Mary
666851	336692	Helen Rohan
666851	384894	Angie
666852	354209	Stacey
666853	260629	Strawberry Woman
666854	83577	Ge-Ge
666854	206879	Herself (former child actress
666854	310445	One of the children
666855	31691	Perpetual motion dancer
666855	37674	Candy
666855	222931	Candy
666855	246861	Candy
666856	368918	College girl at party
666857	27160	Angel
666857	77630	Temporary Carer
666857	159971	Nurse Jennifer-Claire
666857	178125	Hotel Regency Maid
666857	249192	Jean
666857	270272	Mrs. Evans
666857	338693	Betty White
666857	390139	Fiorella Punch
666857	409400	
666858	33748	Estella
666858	41929	Dorothy May (age 6) (episode 
666858	71784	
666858	117340	Child in Halloween scene
666858	142872	Student
666858	144896	Girl
666858	147609	Elevator Operator
666858	162292	Wedding guest
666858	175162	Brutus
666858	176358	Child on tugboat
666858	192056	
666858	215525	Minnie Prentiss
666858	221335	Asia Wiggs
666858	223032	
666858	224694	Little Jane [Ch. 1]
666858	241751	Priscilla
666858	252568	Member of Pepper's Gang
666858	257087	Bit Part
666858	268915	Student
666858	273513	Girl with Oilskins
666858	330096	Evelyn
666858	340755	Autograph Hunter
666858	360190	Elizabeth
666858	365264	Mary Ann
666858	366003	Cora's Child
666858	367974	Lottie
666858	372413	
666859	202244	
666860	374638	Angvisa Girl
666861	198895	Second Witch
666861	214386	Victoria 'Vicki' Williams
666861	331467	Sussanna
666862	142637	Lena, Lady looking for Oscar
666863	245761	
666864	279173	Speakeasy patron
666865	88089	Helen Carewe
666866	11648	Countess of Rousillon
666866	22619	Barbara Faber
666866	46892	Laura Jesson
666866	54609	Maud St. James
666866	57736	Countess Isabel von Reger
666866	60767	Madame Ranyevskaya
666866	80996	Cynthia
666866	131392	Miss Trant
666866	140547	Judith Bliss
666866	147616	Jenny Gregory
666866	149945	Mrs. Wheeler
666866	154062	Matty
666866	158566	Alix Kinross
666866	169641	Herself/Narrator
666866	176316	Joanna
666866	188554	English Mother
666866	193002	Lady Sheila Boothroyd
666866	207797	Mrs. Ashburton
666866	215335	Sister Simplice
666866	229687	Lady Nelson
666866	231791	Miss Hardcastle
666866	263786	Miss Mackay
666866	281174	Nurse
666866	314110	Lucy Smalley
666866	330708	Ethel Gibbons
666866	399815	Mrs. Gladstone
666867	381076	Danielle Craig
666868	141404	Soula
666869	195586	Cashier
666869	314699	Goodwill Volunteer
666870	328524	Old Woman in Rocking Chair
666871	158107	Jason Cain (at 2)
666873	13993	Flight Attendant
666874	16511	Herself
666874	191650	Tasha Masterson
666874	202359	Cherie
666874	385824	Latoya Preston (1985)
666874	388348	Maxine Johnson (1990-1998)
666874	392422	Herself
666874	392423	Herself
666874	393125	Cherie Johnson
666874	402449	Cherie Johnson
666874	406995	Herself
666875	392483	Octavia
666876	139170	
666877	194332	Dancer
666878	164862	Rita
666879	184104	The Laker Girls
666880	81117	
666881	136822	Chorus - soprano
666882	158528	2-yr. Old Connelly
666883	330375	
666884	405088	Prisoner
666885	6994	Tour Guide
666885	86716	Swedish Backpacker
666886	161938	Dancing Girl
666887	157630	The Daughter
666887	159949	
666887	192143	Frances Grandon
666887	267570	
666887	306153	Laura Phipps
666887	312277	Marion Hamilton
666887	317474	
666887	323750	Mrs. Pike
666887	329805	Second Young Woman
666887	349581	
666887	364854	
666888	142369	
666889	37699	Yuli
666890	33714	Knowledge's Cop Girlfriend
666891	321149	
666892	411801	Paige Bennett
666893	255258	
666894	75897	Secretary
666894	248085	Carjacking Victim
666895	113264	Mrs. Colton
666896	269195	
666897	72706	Sondra
666898	44433	Woman Reading
666899	338210	Girl Friend
666899	356887	Patient
666900	3890	Herself
666901	218782	a Jivin' Jill
666902	191774	Mrs. Robinson
666902	192382	Hotel Manageress
666902	253542	Lady Dalrymple
666902	299471	Emily Weiss
666903	401624	Herself (1968- ?)
666904	407080	Herself (37 Days, Morgan/Balb
666905	104371	Customer at Eady Store
666906	257182	Girl at Fair #2
666907	282645	Various
666908	283563	Lunch Girl
666908	292452	
666909	1793	Miss October 1984
666909	257814	Herself
666909	257859	Herself
666910	233856	Sexy Woman
666911	313583	Fan in Lobby
666912	367446	Car Customer
666913	196872	Irish Step Dancer #3 (crowd)
666914	96736	Joyce
666914	100711	Fresh Nug
666914	235603	Dealer #1's Girlfriend
666914	269771	Reporter
666914	278711	Stephanie Jordan
666914	282456	Martha
666915	66917	Voodoo Dancer
666915	68232	Dancer
666915	127730	Vicki Viking
666915	128727	Dancer
666915	396062	Patti, Loveboat Mermaid (1985
666916	10562	
666916	49813	
666916	170615	
666917	48950	Additional Voices
666917	242431	Beth
666917	245533	Mrs. Gower
666917	293098	Christina
666918	395647	Mrs. Jenner
666919	58769	Nurse
666920	150400	Pregnant Crook
666921	117653	Holly
666922	200133	
666923	130149	
666923	151620	Computer Girl #1
666923	274401	Mrs. Brown
666923	317142	Prima donna
666923	331950	Anna
666923	362356	
666923	363556	
666924	5079	Hagar
666926	16895	Second Pretty Nurse
666926	91779	Audience Member
666926	188547	Girlfriend
666926	200129	Tanya
666926	297100	Nurse
666927	110363	Woman
666927	116195	Sally
666927	190058	Elaine Peck
666927	192430	Sister Ophelia
666927	355837	Woman
666928	271868	Juror #3
666929	398170	Consultant Psychotherapist
666930	405048	Norma
666930	406628	Rossetti Wordsworth
666931	167009	Herself
666931	257651	Miss September
666931	257827	January 1993
666931	274148	Herself
666931	361853	Herself
666932	22937	
666932	26266	
666932	27453	
666932	32975	Nina Garcia
666932	39759	
666932	47909	
666932	50660	
666932	64485	Louise Armstrong
666932	75819	Maybelle, His Wife
666932	88265	
666932	93104	
666932	109445	Lucille Worth
666932	112307	
666932	112308	
666932	112462	
666932	112505	Margie Meredith
666932	112509	Ethel MacDonald
666932	114631	
666932	115906	Rose Allison
666932	117077	
666932	130679	
666932	135558	
666932	138232	
666932	141368	
666932	194901	
666932	197694	Annette Le Clerq
666932	203299	
666932	224707	
666932	227285	
666932	233540	Ethel Austin
666932	245180	
666932	257771	Beth Webb
666932	278228	
666932	289573	Beatrice Forbes
666932	289579	
666932	300558	Rosalie Vanderpoel
666932	301592	
666932	301759	Anne
666932	305500	
666932	305501	Helen Cole
666932	314261	Judith Armstrong
666932	314276	Ethel Kendall
666932	321119	Sweet Alyssum
666932	349925	Katherine Fargo
666932	350340	
666932	362741	Frania Caravelle
666932	363349	Eileen, 'Princess'
666932	367395	
666933	299393	Olive
666934	52476	Myra
666934	192717	Helen Craig
666934	262138	Model
666935	5009	Additional SPAT Woman
666936	22937	
666936	364854	
666937	296677	Abigail Steward
666938	316946	Goldwyn Girl
666939	185841	Customer
666939	289113	Old Lady
666940	47077	Confident Cheerleader
666940	109395	Peter Hugo Model
666940	149757	Andi
666940	163514	Maron
666940	304557	Stephanie Lockerby
666941	140953	Nate's girl
666943	188341	Ellen
666943	292782	Susan Carlton as a Child
666943	335638	Coed
666944	52557	Radical Miniskirt Girl
666944	57929	ABA Student
666944	192219	Featured Dancer
666944	223084	Mother of Student
666945	390900	Child
666947	196350	Willa Anderson
666948	88867	Players Ball Dancer
666948	130311	Dancer
666949	244034	The Zoo Visitors & Staff
666950	7888	Plantain
666950	42296	Hawaiian Tropic Girl/Hawaiian
666950	248132	Little Sister
666951	196117	Jack's Neighbour
666952	203724	Undetermined Role
666953	25523	Wood chopper #2
666953	240614	Kate
666953	301851	Myra Fane
666954	33742	30 Mile Woman
666954	310423	Balloon Woman
666955	50020	Carol
666956	207992	Woman in Red
666956	401652	Additional team member
666957	143577	Young girl
666957	153985	Shirley Clark
666958	54207	Police Operator
666959	194693	Smudge
666959	212038	Smudge
666960	347993	Herself (trick shot)
666961	384622	Francine Dubé
666962	169140	Isaachar's Wife
666963	385824	Mimi Grosset (1979-1980)
666964	194810	Natani
666965	408237	Driver
666966	75565	
666967	335050	Stewardess
666967	404608	Finalist (2001)
666968	187167	Dancer
666969	40632	Mrs. Gruen
666969	56144	Marian Cromwell
666969	79514	Loraine
666969	79719	Helen Oakes
666969	81683	
666969	81768	50ish Woman
666969	88648	Mavis Richardson
666969	92584	Elizabeth Quinn
666969	109682	Dr. Terr
666969	109841	Judge
666969	120632	Mrs. Kincaid
666969	120699	TV Interviewer
666969	141109	Lily Bell
666969	151007	Susan's Mother
666969	174520	Faith
666969	183590	Olive Sertner
666969	194223	Cindy's Mother
666969	213112	Rich Lady on Street
666969	222883	Margaret
666969	244810	Katherine McKay
666969	269815	Mrs. Casey
666969	295320	Anabeth's Mother
666969	297763	Helen O'Donnell
666969	299663	Isabel
666969	299844	Glory Hamilton
666969	300892	Alice Grayson
666969	305221	Marie DeVito
666969	319046	Francesca
666969	342491	Mrs. Barns
666969	346907	Mimi
666969	367634	Enid
666969	379716	Eugenia Robards #1 (1981)
666969	380391	Ellen Bishop Grant (1970) (ca
666969	380713	Jane Spencer (1977-1979)
666969	383426	Princess Arura (1953-1955)
666969	384582	Dr. Waverly (1986-1987)
666969	386859	Herself/panelist
666969	386897	Elizabeth Quinn (1993-1997)
666969	395140	
666969	398400	Marge Weskit
666969	400512	Katherine McKay
666969	405882	Ellen Grant (1970-1976)(origi
666969	408876	Charlotte O'Neill
666970	30662	Young Clara
666971	162578	Lady of leisure
666972	115572	Betty Rubble (II)
666972	202948	Betty Rubble
666972	223850	Elizabeth Lynch
666972	388915	Betty Rubble (1964-1966)
666973	357567	Old Lady
666974	320143	Herself
666974	320149	Herself
666974	407081	Herself (12 Days, Chuay Gahn 
666975	52160	Latino Beauty
666976	188490	Mother
666977	78482	Herself (performing 'Helt nor
666978	2351	Future star
666978	52536	Show Girl
666978	207198	
666978	326005	Child
666978	331441	Child
666979	149198	Mandy Cusack
666980	55690	Vestal Virgin
666980	234503	Silky
666980	362073	Dancer
666981	185708	Miriam
666981	289393	Mrs. Green
666981	359127	Gladys
666981	367970	Entertainer
666982	160521	Mia Nikolaisen
666982	256599	May
666982	258104	Guro
666982	320682	Ellen Margrethe
666982	409884	Ruth Sterner
666983	255357	Girl on Step/Camper
666984	76571	Becca
666984	320102	Little Girl
666984	347907	Little Girl
666985	109938	Nikki Trainor
666985	252159	Herself
666985	306758	Debra
666985	386897	Becky Bonner (1995-1997)
666985	394406	Haylie (1991-1993)
666986	158902	Vyrle Macy
666987	270326	Molly
666989	46716	Bride 6
666989	308864	
666990	119694	Herself
666992	255731	Reporter
666993	74006	MN Shop Clerk #2
666994	111079	
666995	10901	Woman on train platform
666995	195586	Zoe
666996	87351	Nurse
666997	94621	Mother's Kid #2
666998	330372	Herself (Homicide Detective i
666999	40552	Auditioning Actor
667000	40552	Auditioning Actor
667000	80031	Aldo's Girlfriend
667000	81263	Reporter
667000	90928	Emily Radford
667000	134731	Adult Maureen Lookalike
667000	247882	Girl buying drugs
667000	305005	Tracy
667000	313939	Henchman
667001	20987	Girl in Window
667002	194616	Amy
667003	194499	Herself
667003	306600	Wanda
667004	41066	Ann Penny
667004	49819	
667004	105201	Lilian
667004	221312	Maraday Wood
667004	266109	Gwen Owen
667005	381821	Ensemble (1972)
667006	154775	
667006	289115	Rebecca Atlin
667007	221146	Piano Student
667008	322844	Sandy
667010	80966	Catriona Murray
667011	44506	Nell Worstall, as a child
667011	146172	Mamie Shannon, as a child
667011	185384	Hattie (age 6)
667012	89250	Woman in dance hall
667013	195262	Crenshaw High School Girl's B
667014	292587	Jessie Marbella
667015	389924	Betty Washington (as a child(
667016	346006	Bar Patron
667016	360161	Cindy
667017	30646	Practice Team/Cheerleaders
667018	175137	
667019	79971	Mrs. Bradley
667020	199499	Lynn
667020	208661	Paula
667021	38696	Tracy
667021	82519	Simone
667021	142394	Mary
667022	12221	Nina
667022	76216	Melanie
667022	351803	The Wife
667023	221267	Former Student
667023	275871	Channel 3 WWEN News Sports Ca
667024	5397	Secretary
667024	117192	Truman's Secretary
667024	190247	Freda Ticehurst
667024	218798	Haughty Supermarket Customer
667024	401224	Hannah Membury
667025	89151	Suzy
667025	231090	Gallery Girl
667025	323568	Tennis Court Girl
667025	368342	Bystander #2
667025	379831	Lori Alexander (1989)
667026	104773	Swedish entry (10th place)
667026	133309	Herself
667026	210361	Herself
667026	397396	Herself
667027	2122	Herself
667027	141374	Herself
667027	154368	Herself
667028	48948	Librarian
667029	307362	
667030	323440	Rebecca
667031	176852	Jennifer
667031	382419	Caroline Spencer Forrester (1
667032	233782	Marvin
667033	182567	
667034	244421	Roselake School Teacher
667034	359939	Angie
667035	4946	Morgan Farina
667036	222195	Bar Woman
667036	283722	Cigarette Girl
667037	40552	Auditioning Actor
667037	113603	Dreems Girl #1
667037	232251	Sara Sue
667037	314738	D.D. Whitehead
667038	119803	Showgirl
667038	356973	
667039	175684	Herself (novelist)
667040	246006	Cathy
667041	411366	Auntie Rachel (episode 3: Ner
667042	4979	Sarah
667042	47542	Doris Parmenter
667042	322777	
667043	325242	Nervous Wreck
667043	333007	Mrs. Crawford
667044	55690	Gloria's Bridesmaid
667044	55714	Funhouse Girl
667044	188502	Pool Girl
667044	393815	Herself (regular)
667044	403513	Herself (regular, 1955-1956)
667044	408497	Herself (regular performer, 1
667044	411859	Regular Performer (1950-1953)
667045	30992	Emma
667046	158825	Liz, WOMB member
667046	303997	Shell
667046	363448	Reporter #2
667047	46374	Hardware Store Cashier
667048	19024	Baptism Soloist
667048	30180	Voice of Baby Bop
667048	30182	Baby Bop
667048	51984	Waitress
667048	164657	Sue Norton
667048	267439	Waitress
667048	381312	Baby Bop
667049	320156	Sylvia Blair
667050	233060	Fran
667051	131239	Woman of the town
667051	173936	U.N.C.L.E. Girl
667051	231533	
667052	400236	Joy O'Neill (#2) (1985-1986)
667053	154271	Lady in Gown
667054	18609	Jean Roberts
667054	35576	
667054	37318	Studio secretary
667054	91635	Babs Theron
667054	123851	June Conners
667054	136050	Young settler girl
667054	167626	June
667054	193709	Linda Cameron
667054	203941	Girl At Cocktail Bar
667054	247228	June Burke
667054	263173	
667054	281810	Girl
667054	355837	Miss Barton, Botany Student
667055	117683	Judith Cabot
667055	168246	Mrs. Bagly
667055	243736	Mrs. Comstock
667055	250980	Madame Heinzel
667056	18630	Woman in Cafe
667058	213278	Club Comedienne
667059	28480	Farm Wife
667059	71286	She
667059	115062	Serving Girl in Ming's Chambe
667059	272935	Paramedic
667059	333478	Amazon
667061	158056	Lady Sigrid Svanjharta Einars
667062	155215	Shari
667063	382436	Host (1997-2001)
667064	49640	Lola
667065	175324	Bedienung (Waitress)
667065	204757	Freundin Axel
667066	148200	Police Operator
667067	70954	Gilberte
667067	216127	Party Guest
667067	362106	Gloria
667068	324237	Bianca
667070	128441	
667070	148945	Tourist
667070	239839	Judie
667070	300924	Child
667070	317415	Frances Lonigan
667071	267589	Thorley, age 3
667072	7876	Miss Wilesden
667072	39889	Train passenger
667072	78957	
667072	81202	Sarah Oddy
667072	82271	Mrs. Blissett
667072	95504	Emily Kent
667072	109047	
667072	119582	Granny Schmidt
667072	124373	Alice Barlow's Maid
667072	129403	Mrs. Fielding
667072	140847	Ma (George's Landlady)
667072	151637	Alice
667072	154062	Miss Mackline
667072	154581	Old Lady
667072	166359	
667072	168453	Old Lady
667072	183207	Mrs. Radfern
667072	183878	Mrs. Louisa Wilberforce
667072	185056	
667072	195816	Nurse
667072	205787	Sarita Dunlop
667072	209600	Mme. Vermorel's Housekeeper
667072	245134	Passenger
667072	271226	
667072	291081	Old Inmate At Murder Scene
667072	299782	Music Box Seller.
667072	316899	
667072	319196	
667072	323942	Ethel
667072	326100	Miss Pyman
667072	331625	Mrs. Riddle
667072	342846	
667072	370896	Wife
667073	202375	Lucy
667073	242804	Secretary
667074	379741	Regular Performer (1995-1997)
667075	270875	
667075	270876	
667076	7036	Jane Clemens
667076	14085	Mrs. Phyllis Dickson
667076	38041	Claire Randall
667076	52536	Show Girl
667076	95832	Cynthia 'Cyn' Crothers
667076	98151	Hanna
667076	165172	Alayne Archer Whiteoaks
667076	168048	Umari
667076	199272	Angela Brooks
667076	221001	Mrs. Mary Ostrander
667076	238504	Norah
667076	273310	Mabel Manning
667076	299167	Dorothy Daley
667076	302771	Kate Adams
667076	308354	Helena Blake
667076	311564	Helen Chester
667076	312180	Anna Turin
667076	329743	Mrs. Eve Farrington
667076	330602	Helen Dawson Frye
667076	330837	Victoria
667076	330840	Bee McCrae
667076	354540	Janet Stevenson
667076	363761	Mrs. Marcia Ward
667077	174622	Workout Model
667078	276366	
667079	106620	Mansion Bartender
667080	360244	Whitney Staff
667082	389977	Co-Host
667083	280263	Girl
667084	222771	Lanard
667084	241375	Teen in Projects
667085	314472	
667086	18436	Disc Jockey
667086	133810	Beth
667086	191647	Prostitute
667086	194223	Reston Girl
667086	195331	Daisy #3
667086	263606	Mrs. Gobshite
667087	320146	Herself
667087	320147	Herself/Runner-Up
667087	320149	Herself
667087	407077	Herself (Runner-up, 39 Days, 
667088	65029	Nurse Kathleen Barnett
667089	1497	Liz
667089	46270	Sexy Woman
667089	55162	Corey
667089	94613	Alien Jumpsuit Chick #5
667089	123713	Paige
667089	188453	'Lena' Girl
667089	296746	Call Girl
667089	310303	
667089	323966	Guest Starring
667090	330322	Lorna Swoon
667091	16124	Girls friend at party
667092	10688	Nurse Betty
667092	40729	Friend In Car Wash
667092	48506	Godfrey's Mother
667092	97247	Carlotta
667092	99213	
667092	105823	Female Assistant
667092	107069	Young Woman
667092	176499	Scientist
667092	185424	Reveller #1
667092	320207	Susan Smith
667092	321634	Alice
667093	382244	Herself (2004)
667094	358464	
667094	386069	Girl in Cube (segments "Depre
667095	146205	Lisette
667095	229512	Edith Norris
667097	119315	Waitress
667098	211382	Special Ed Teacher #1
667099	32419	Herself
667100	193260	Commitee Member #2/Gospel Sin
667101	923	Herself (with LBJ at airport)
667101	3779	Herself - as First Lady Ladyb
667101	105721	Herself (in Dallas with JFK)
667101	118271	Herself
667101	118497	
667101	151093	Herself (sits down to dinner 
667101	158503	Herself (with LBJ and JFK)
667101	167324	Herself (at funeral of JFK)
667101	195576	Herself (with LBJ)
667101	310711	Herself (stands with Ethel ne
667101	360451	Herself (applauds LBJ's speec
667101	384590	Herself
667101	410168	Herself
667102	16100	Georgia LaPierre
667102	25367	Renee McAdams
667102	35704	Leslie Valentine
667102	61896	Leigh Kenyon
667102	62941	Olivia Garretson
667102	80753	Rita Sullivan
667102	109661	Catherine Merrims
667102	116078	
667102	141388	Dr. Eve Autrey/Calvert
667102	147781	Francine Palumbo
667102	149454	Sam Brooks
667102	169882	Grace Silvano
667102	194032	Bonnie McCloud
667102	206158	Dr. Jean Horton
667102	220809	Teddie Nielsen
667102	222810	Elizabeth
667102	231507	Alyce Hunter
667102	242585	Nancy Stein
667102	248108	Patsy
667102	274275	
667102	274322	Diane (segment "Double Dare")
667102	338403	Grace Harrington
667102	382533	Kate (1998-1999)
667102	388237	Terry Hartford Ranson (1983-1
667102	391246	Dr. Eve Autrey/Eve Calvert
667102	395023	Nina Hollender (1987)
667103	119315	Radio Announcer
667104	89064	
667105	107896	ISA Expert #1
667105	118939	
667106	55520	Susan
667106	57735	Mrs. Hickson
667106	64842	Woman in Car
667106	103288	Harbor Mistress
667106	186158	Landlord
667106	229428	Chief's Wife
667106	393482	Additional Voices
667106	411166	Additional Voices
667107	101722	Charlene
667108	12101	Himself
667108	228436	
667108	236972	Chinese Girl
667109	381514	Herself (2000-2002)
667110	14235	
667110	25364	Gus
667110	34610	Maria Fullaway
667110	38375	Alexia Ashford
667110	38376	Alexia Ashford
667110	270927	Addy Pierce
667110	274081	Nirvana Crane
667110	285028	Luann Somerson
667110	289456	Patty Duke
667110	290375	Denise Davies
667110	301068	Nurse
667110	303601	Kim
667110	306235	Herself
667110	316116	Karen Hall
667110	383485	Herself
667110	395738	Charlotte Gerson Ep 11 (1999)
667111	93831	Leather Clad Girl
667112	183706	Bird's Nest Clown
667113	39627	Princess Leia
667114	32466	Fly Girl
667114	88038	Rachel
667114	197292	Creation Woman
667114	204810	
667114	288387	Tammi Miller
667115	42700	'Sis' Ca'line, a Pious Lady
667116	79450	Indigo Plantation
667117	265764	Baby Lilli
667118	20475	Police Dispatcher
667118	29118	Joan Shaw
667118	46696	June Salisbury
667118	66633	Sue Dayton
667118	72285	Millie Jackson
667118	140135	Jenny Durant
667118	157091	Telephone operator
667118	170754	Helen
667118	316955	Student
667118	319067	Lynne Parsons
667118	329388	Saleswoman
667118	331236	
667118	363282	Airport Announcer
667118	365307	Ellen Walden
667119	230933	Porno Recruit
667120	163344	Teacher
667120	359914	Travis' Mother
667121	333347	Sugar
667122	80483	Teacher
667123	231115	Dance Captain
667124	23415	Husmaffia
667125	12986	Thelma the Waitress
667125	31206	
667125	410941	Casey
667126	71694	Herself
667127	209237	Partisan
667128	368872	Herself
667129	156903	Clara
667130	259347	School Child
667131	33742	One of 'The Thirty Women'
667131	363528	Congregation Girl
667132	118497	
667133	121284	
667133	129362	
667134	292223	Stripper
667135	3509	Gertrude Robinson
667135	11806	Una signora
667135	57966	
667135	78558	
667135	94675	
667135	113703	Maria Pia
667135	119751	Mme. Guibolle
667135	135158	Beba
667135	234560	
667135	234738	Signora Strabotta
667135	251048	La marchesa
667135	264251	Un' altra amica della cantant
667135	294423	La signora Tromba
667135	301380	
667135	322575	The perfumed lady
667135	326984	
667135	326985	
667136	299396	Ronnie
667137	406966	Granite Man
667138	346720	Gisèle
667138	378858	Maryse Lemieux
667138	379876	Aline Duval
667138	383959	Jeanne Sauvé
667138	403919	Esther Bérubé
667139	36936	
667139	45741	
667139	50256	
667139	102709	
667139	128631	
667139	188040	
667139	210452	
667139	295765	
667139	296699	
667139	319669	
667139	319670	
667140	316206	Olivia
667140	406156	
667141	1782	Herself
667141	2005	Herself
667141	2322	Herself
667141	2535	Herself
667141	2994	Herself
667141	295391	Herself
667142	252371	Herself
667143	10892	Samantha
667143	16744	Jensie
667143	33032	Herself
667143	73351	Mrs. Augustine
667143	86534	Tesia Papadapacropolis
667143	117314	Bibi Dahl
667143	121374	Kara
667143	153567	Arias Christensen
667143	155227	Alexis Winston
667143	160298	Herself
667143	219182	Sandy
667143	245105	Kathy
667143	303267	Marya
667143	359899	Jan Curtis
667143	363370	Laurie Jameson
667144	257187	Ethelda Rathbone>
667145	161231	Herself
667146	72576	Party Guest
667146	175157	Jerry Jordan
667146	315595	Herself
667147	85838	Leigh
667147	330620	Smitten Girl
667148	168586	Medical Transplant #1
667148	189913	Legal Assistant
667148	190056	Bank Teller 2
667149	367605	
667150	263799	
667151	296752	Nazi Mistress
667152	34009	Waitress
667152	304341	Margaret
667153	192201	Her Mother
667154	360458	Herself
667155	141387	Nurse in Village
667155	260950	Elite Model
667156	67063	
667157	355924	1st Neighbour
667158	170709	Sickan Carlsson's stand-in
667159	130656	Secretary
667160	41010	WAC
667160	44751	Chambermaid
667160	136284	Secretary
667160	146766	
667160	165206	Stenographer
667160	186799	Secretary
667160	221054	
667160	224177	Nurse
667160	241134	Chorus girl
667160	245589	Officer Candidate's Wife
667160	270500	
667160	277538	Secretary
667160	292823	Jeannie Cooper
667160	298047	Girl
667160	298069	'Butch' Sprague
667160	313803	Assistant
667160	327672	Mae
667160	335469	Pamela
667160	343160	Girl
667160	345739	Lulu Belle
667160	365038	Hazel, Blanche's friend
667161	51462	Narration
667162	42983	Abbie's Mother
667162	63189	Marjorie Beach
667162	95331	Nurse 1
667162	190328	Ms. Grimes
667162	200283	Laundromat Patron
667162	215554	Mother
667163	340738	
667164	383037	Anchor
667165	9521	Anna, Jan's Daughter
667165	21281	Helga Hardt
667165	34035	
667165	52629	
667165	76761	
667165	108204	Inga
667165	122282	Awa
667165	122485	Elin von Prangen
667165	126383	Helene Sommer
667165	135975	Ingrid
667165	140235	
667165	143994	Elsalill
667165	168391	Agda
667165	182565	Olga's friend
667165	198018	Gertrud Wulffsdotter
667165	204036	Eve Garay
667165	204533	
667165	210287	Elsa Warren
667165	214691	Guest
667165	224562	Marie de Valincourt
667165	225332	Helga Anthon
667165	228394	Violet Holmes
667165	234152	Violet Starford
667165	271885	
667165	277024	Marianne
667165	279808	Brita
667165	315603	Inga Gregor
667165	359633	
667166	121823	Caroler
667167	396088	Dr. Leann Wilson (1979-1980)
667168	187231	Mary Beth's sister
667170	219555	Gospel Singer #1
667171	387309	Viva (1982)
667172	190688	Mother
667173	195492	
667174	33178	Girl Child
667175	283313	Tiffany Jones
667176	48179	
667177	160529	Kid
667178	164619	Janet
667179	323026	Mrs. Jeffrey
667179	382838	Brigid McKenna (2000-2003)
667179	385020	Eunice Nuttall/Gee (1981-1982
667179	387533	Pearl Ladderbanks (2003-)
667179	408018	Sylvia
667179	411130	Aunt Yvette
667179	411654	Pheobe Sankey
667180	208502	Stewardess
667181	116053	
667181	265876	Nurse
667181	409385	Co-Host
667182	34876	
667182	39223	
667182	39365	
667182	39914	
667182	40009	
667182	321218	
667183	93074	Brenda
667184	108944	Chloe
667184	139781	Dancer #1
667184	312927	Vampire 5
667185	109802	Waitress
667186	331992	Teen extra at foot race finis
667187	204583	Child
667188	70341	Millie (Coogan's girlfriend)
667188	108097	Belle
667188	122914	Lilah
667188	154374	Charity
667188	218826	Lizann Simpson
667188	261979	Miss Baker
667188	270271	Lucy Eccles
667188	277904	Lillie Malone
667188	299764	Herself
667189	2042	Herself
667189	50607	Fiona
667189	68242	Celina Hartwood
667189	164984	Beth
667189	165852	Kinsa
667189	189237	Punk Girl
667189	277795	Lorrie Collins
667189	355065	Julie
667189	388869	Maxine 'Max' Morrow
667189	393173	Eunice Kennedy (age 13)
667190	213164	Stripper #1
667191	84808	
667191	84809	
667191	326513	Dancer
667192	2700	Pat Johnson (age 8)
667193	344534	Herself
667194	23061	Vanessa
667194	40244	Jennifer Lyons
667194	41329	Celia
667194	42806	Danielle Wilde/Chelsea
667194	77153	Jennifer Jantzen
667194	81052	Anna (Chagall's aide)
667194	90793	Dr. Lucy Flynn
667194	92479	Tamara
667194	93835	Ricki
667194	108919	Grace
667194	125928	Girl
667194	129397	Jessica Cole
667194	135935	Heather
667194	143108	Linda Broderick
667194	156472	Melinda Ryan
667194	158782	Natalie Harris
667194	167566	Kathy DaVonzo
667194	169382	Biddie
667194	210960	Lisa
667194	212833	Patty Schulman
667194	220671	Casey
667194	277042	Vicky Mayerson
667194	305069	Carlyle
667194	310655	Sarah
667194	316733	Tina
667194	360149	China Webster
667194	361540	Kelly Nichols
667194	363061	Lisa
667194	366671	
667194	367606	Linda Kolkena Broderick
667195	267221	Desert pacifist
667195	342331	Auntie
667196	18964	Misha
667196	165977	Hooker #1
667196	348592	The Nurse
667196	367454	Kellyx
667197	291293	Secretary
667198	81585	At Laundry
667198	209419	At Party
667199	73841	Ellen
667199	356351	Page at 15
667200	18302	
667200	131900	Princess Hildegarde
667200	254930	The Mother of the Sick Child
667201	131983	Girlfriend
667203	207860	Valerie Westmacott
667204	3056	Eve Grayson
667204	60463	Lulu
667204	94109	Daphne
667204	150753	Lady Cynthia
667204	216453	Lady Audrey
667204	224702	
667204	280936	Lady Blanche
667204	360389	
667205	2287	Herself
667205	45548	Mocha Beauty
667205	132225	Female Singer
667206	266735	Bray School Student
667207	255827	Congregation Member
667208	131232	Extra
667209	8960	Singer
667209	210414	Herself
667210	235022	Roman Slave #1
667210	316111	Stewardess #1
667210	344203	Big Edna
667211	4680	Nancy
667212	409579	
667213	305716	Young girl
667214	113286	Yvette
667215	148874	Honey's Friend
667216	323488	
667217	69257	Gidell's Mother
667217	81196	Maisie
667217	154357	Claudette
667217	231128	Nana
667217	314531	Aunt Jones
667217	342384	Ward Nurse
667217	402197	Sarah Higgins (1983-1984)
667218	3067	Reigning Miss America 1999
667218	17323	Make-out Queen
667218	41197	Lucy Nightingale
667218	158141	Extra
667218	234083	Lisa
667218	397653	Host
667219	90349	Hippie Girl
667220	157720	Rose's Assistant
667220	333037	Prostitute
667220	405336	Alex (episode 1.5-1.6)
667221	301992	Clitorice
667222	319027	Lisa
667223	138884	Bob's wife
667223	148422	Lois Abbott
667224	299393	Laundry woman
667225	128278	Beauty parlor gossip #2
667226	13256	Her Daughter
667226	95458	Babette
667226	188309	Betty Turner
667226	194580	Ruth, John's Cousin
667226	230598	Mary Fanning
667226	249018	Edith Gleason
667226	289574	Violet Gaynor
667226	310752	Hilda
667226	362567	Helen Widgast
667226	364011	Grace's Aunt
667227	149198	Mandy's Friend #2
667228	26465	
667228	68307	The Girl
667228	141347	
667228	192868	
667228	331901	
667229	99142	June Blackwell/Hope Sundaisy
667230	5858	
667230	14602	Herself
667230	26218	Herself
667230	44517	Herself
667230	52867	Herself (in Africa)
667230	69564	
667230	154479	Herself
667230	366201	Herself
667230	368051	
667231	16113	Court Clerk
667231	29186	Tanya Dahlquist
667231	69917	Jamie West
667231	80854	Mrs. Gilbert
667231	86529	
667231	97192	Hospital Attendant
667231	105165	Michelle Hinton
667231	107906	Nurse
667231	109682	Kate
667231	113305	Mrs. Linda Waggner
667231	117209	Nurse Dorothy
667231	160590	Grandma
667231	185675	Maggie
667231	217530	Pathology nurse
667231	219994	Nurse #1
667231	221100	Doctor Vogel
667231	232466	Dr. Nelson
667231	244447	Geraldine Blake
667231	298008	Lydia Prince
667231	301509	
667231	305949	Norma
667231	314104	Silencer of the Lambs
667231	340929	Crown
667231	340962	Nurse
667231	346918	Shelter Supervisor
667231	363161	Marilyn Webb
667231	364344	Kelly
667232	248117	Imogene
667232	329151	Dairy Queen Waitress
667233	374589	Swimmer
667234	238608	Narine Lewis
667234	248011	Ethel
667235	19024	Texas Choir Member
667236	210551	
667237	90289	
667237	346346	Amica Pela
667238	10072	Lady Billows
667238	16348	Contessa di Coigny
667238	157015	Darlene Robbins
667238	222810	Mrs. Ryan
667238	397211	Darlene Robbins (1992-1993)
667239	211605	Valencienne
667240	258752	Patricia
667241	63117	Head Elf
667242	101454	Mrs. Hopper
667243	40283	
667243	42939	Arlene
667243	43971	Miranda
667243	116252	Joan White
667243	133625	Nancy
667243	142494	Nancy Price
667243	158864	
667243	192044	
667243	193622	London Town Dozen & One Girl
667243	195460	Ruth Emerson
667243	208720	
667243	221051	Alice Meadows
667243	224114	Margaret
667243	241635	Esther
667243	285655	The Girl
667243	358269	Jocelyn Winton
667243	359112	The Niece
667243	362344	
667243	368709	Pauline
667243	368801	Beryl Matchley
667244	47449	
667245	26633	Hooker
667245	128707	Convict
667245	241285	
667245	274672	
667245	381233	Herself (dancer (1975-1980)
667246	199540	Vickie
667247	196503	Actress
667249	1856	Herself
667249	1923	Herself
667249	1924	Herself
667249	5197	Laura Simon
667249	24570	Julia Rodriguez
667249	67380	Roscoe Dellums
667249	67569	Maxine Jarrett
667249	80066	Condoleezza Rice
667249	81055	Sylvia Guzman
667249	82326	Laura Harmon
667249	100198	Gail Huddle
667249	110278	Re-Re
667249	112748	Jill Hatch
667249	130299	Darlene
667249	132740	Betty
667249	145395	Sue
667249	157252	Michelle
667249	172666	Paula
667249	217416	Maria
667249	232292	Luanne
667249	279390	Laney Roosevelt
667249	292473	Hope
667249	321526	Genevieve
667249	362512	Lorraine Taylor
667249	368910	Geraldine
667249	378807	Sherry Palmer (2001-2004)
667249	387728	Lynette Evans (1998-1999)
667249	389858	Debbie (1986)
667249	391911	Virginia
667249	400772	Vivian (1984-1986)
667250	105390	Marilyn
667250	343308	Shazza, Chockers, Mopoke
667251	341055	Melissa
667251	367054	The Wiz Singers Children's Ch
667252	17760	Tony's Date at Nightclub
667253	232282	Dancer
667253	319257	Jamaican Lady
667254	279173	Pavilion singer
667255	286129	Virginia Randolph
667256	5092	Camper Mom
667257	262514	Jinky
667258	144889	Pool Player
667258	292788	Trottie
667259	105441	Gladys Narracott
667259	125918	Sarah Rossetti
667259	193268	Beth Ann
667259	296657	Nurse Shackleton
667260	108976	Party Lesbo
667261	21448	Cafe 24 Waitress
667261	185964	Julie Taylor
667261	189325	Sylvia
667261	282929	Ruby Jean
667261	343387	Desiree Washington
667262	382411	Series Regular
667263	320100	Supervisor
667264	240235	Claudette, Simon's Sister
667265	113505	
667265	177632	
667266	213114	Waitress in Bar
667267	350474	Annelle
667268	2882	Ann Barry
667268	7498	Mona Kent
667268	11329	Katie Tyler
667268	19159	Nancy Benson
667268	36985	Pauline York
667268	47370	Judith 'Judy' Tyrrell
667268	69557	Kay McWade
667268	97580	Mary Stillwell
667268	99845	Head Nurse Norma Mullin
667268	108300	Minna Fenster
667268	118040	Mrs. Marian Edwards
667268	128161	Rosalind Brown
667268	130763	Mary Blake
667268	143591	Julia Farnsworth
667268	149126	Cecilia Grayson
667268	159996	Eve Lawrence
667268	188562	Honey
667268	193587	Patricia Herrick
667268	201152	
667268	201305	Pamela Hill
667268	203799	Florence
667268	212813	Sue
667268	223825	Ellen Warfield
667268	223949	Nell
667268	228660	Bonita Farrow
667268	231500	Lou Farnsby
667268	248835	Mary
667268	252913	Mabel Manning
667268	277644	Sally Harrison
667268	292166	Claire Elwood
667268	304755	Barby
667268	305507	Letty Lane
667268	317169	Barbara Winter
667268	320206	Dr. Raleigh, Harvey's Shrink
667268	330105	Kitty
667268	330240	Gretta Ballentine
667268	332103	Nelle McLaughlin
667268	366889	Agnes Lynch
667269	30122	Henrietta
667269	190179	Model
667270	7842	Punk Girl
667270	26460	Joann
667270	66603	Danny O'Toole
667270	76241	Cookie Fitzwaring
667270	311537	Gina
667270	333430	Nicky Marotta
667270	384567	Danny O'Toole
667270	390771	Darcy Dekker (1984-1985)
667271	170706	
667272	71171	Herself
667273	149261	Prize Daughter
667274	94601	Aver Du Pais
667274	166048	Big Bertha
667274	321112	Fat Lady
667274	329469	
667275	1243	
667275	3401	
667275	15184	
667275	41583	
667275	41588	
667275	41620	
667275	44123	
667275	123758	Gangbang Girl 2000 (Sabrina J
667275	228017	
667275	228023	Herself
667275	228071	
667275	242057	
667275	279920	
667275	306916	
667275	316127	
667275	339915	
667276	280263	Debutante
667277	81177	R&B Singer 1
667278	87882	Wenda Johnson
667279	411850	
667280	186763	
667280	228536	Sam
667280	242541	Samantha
667280	282965	Housewife
667280	367889	
667281	342331	Melissa
667282	21736	Sandy
667283	283462	Jenny
667284	316965	Herself
667285	92694	Ballroom Dancer
667285	124349	April
667285	136832	Stephanie
667285	137655	Judith Margaret Myers
667285	168865	Various roles
667285	319933	
667285	343010	Sutton's wife
667286	84808	
667286	84809	
667287	347403	Lady in cab
667288	257662	
667289	71867	
667289	189912	Sarah
667290	185530	Herself (neighbour)
667291	212973	Salvail
667292	212973	Salvail
667293	47938	Keisha Parker
667294	68097	Vicki Fowler
667294	96867	Herself
667294	387247	Vicki Fowler (III) (2003-2004
667295	95361	Clara Belle
667295	117340	Child in Halloween scene
667295	277986	Bess Erne, as child
667295	310445	One of the children
667295	340755	Autograph Hunter
667296	224691	Disco Girl
667297	42055	Matara
667297	51661	
667297	84873	
667297	117874	
667297	258752	
667297	320209	Hospital Receptionist #2
667298	7933	Jubilee Band
667298	124017	Rave Patron
667298	149353	Herself
667298	258752	Keisha
667299	204220	Girl in Bar
667299	295616	Sonia
667299	366606	
667300	111795	The Woman
667300	212973	Medusa
667301	79450	Young Nana Peazant
667302	47004	Runway Model
667302	68232	Lady-in-Waiting
667302	297101	Carr's Lady
667303	290402	Sarah
667304	49656	Playboy Bunny
667304	364446	2nd Maiden
667304	376141	Judy
667305	358140	Angela Lincoln
667306	40200	Additional Voices
667307	120520	Cheyenne Girl
667308	336649	Teacher
667309	37691	Anesa Cronin
667310	41930	Flapper
667310	140407	Bathing Beauty
667310	305898	Student
667311	349399	Singer
667313	40729	Friend In Car Wash
667313	48506	Starlet
667313	362965	Iron Swinger #2
667314	65092	
667315	64090	Elevator girl
667315	149635	Nurse
667316	56455	Lara
667316	154102	Lady in Simpsons
667316	411778	Penelope Barrington-Blake (Se
667317	145636	Dee Dee Washington
667317	151530	Sherri
667317	177247	Nikki
667317	324852	Candice
667317	330383	Peaches
667317	348234	Synthia
667318	56655	Henderson
667318	327838	Teenage patient
667318	327839	Teenage Patient
667320	41212	
667321	73115	Luanne Lynch
667321	89308	Erica
667321	188501	Linny
667321	346016	Model
667321	350617	
667322	403904	Princess Stephanie - Hoola Gi
667322	406994	Princess Stephanie (2002)
667323	12251	
667323	17173	Otter's Co-Ed
667323	92486	Coral Careen
667323	115106	Jeanie Szabo
667323	130829	
667323	232248	Melody Bartlett
667323	274429	Sonia
667323	363393	Lil/Nurse
667323	364692	
667324	86478	Night Club Patron
667325	223931	Bernice
667326	16100	Miriam
667326	232845	Delivery Room Head Nurse
667327	53701	Woman in salon
667328	78677	Dancer at party
667329	20689	Dale Rogers
667329	41164	Michle Dunbar
667329	135176	Mrs. Chambers
667329	147554	Anne Hutchinson
667329	188646	Waitress
667329	196481	
667329	200275	Dina
667329	241598	Louella
667329	333913	Connie Rose
667329	349022	Mrs. Henry
667329	356282	
667329	379500	Ariel
667329	381926	Auntie Macassar
667329	388012	Latara (1985-1986)
667329	399628	
667329	401787	Host
667330	401392	Barbara Johnson
667331	211529	Young Nun
667332	380455	Lakeisha Reynolds (1999-2002)
667333	381110	Lillian Rogers, as a child
667334	164353	Laura
667335	323848	Little girl who gets shot
667336	137546	Halfway House Girl #2
667337	65926	Little girl in cemetery
667338	258548	Lisa
667339	199227	
667340	33772	Linda
667340	51995	
667340	93983	
667340	105898	Tavern Wench
667340	185671	
667340	296071	
667340	306211	Brenda
667340	365793	Becky
667341	286686	
667343	227026	
667343	393939	Joy Thomas
667344	177692	Karlene
667344	193260	Gospel Singer
667345	252862	Marlena
667345	256593	Neighbor
667345	319088	Cornelia
667345	404613	Rhonda Sue Huckaby (1983)
667345	407916	Lureen Harper (1981-1982)
667346	178353	Miss Pussy
667346	272840	Ann
667347	69392	Renee Newborn
667347	238038	Tina
667347	276731	Yuppie's Wife
667347	282922	Alma Broyard
667347	290319	Muriel
667347	300937	Girlfriend #1
667347	362274	Gina
667347	379716	Melissa Parker (1986)
667347	396123	Tally Hindman (1989-1991)
667348	291289	Mrs. Snow
667349	42005	Blue
667349	42006	Blue
667349	42007	Blue
667349	42008	Blue
667349	42011	Blue
667349	42080	Blue
667349	163568	Blue
667349	381821	Ensemble (1984-1986)
667349	382304	Blue
667350	8198	Fisherman
667350	36700	Tiny
667350	40038	Pvt. Johnson
667350	251202	Stan-The-Man's Girlfriend
667351	168948	Message from the Lord Choir
667352	62571	Additional Voices
667353	252524	LaTaqwa
667354	16006	Wealthy Family Mother
667354	46355	Woman at Party
667355	117009	Remodeling wife
667355	176389	Gloria Anderson
667355	182962	Jane
667355	228004	Drug Dealer's Girlfriend
667356	212049	
667357	78745	Receptionist
667359	32374	Siv
667359	134707	Vera
667359	216676	
667359	341815	
667359	390151	Kassörska
667359	394744	Angela
667359	405553	Therese Atterhall (2003-)
667360	80782	Restaurant Extra
667362	135860	The Singer
667363	109686	Mrs.Jones
667364	186650	Older Doris
667365	13800	Lady at Elvator
667366	134515	Ranger Gail
667367	81891	Strip Club Woman
667368	313818	Gazeth
667369	10591	Bess
667369	83646	His Daughter
667369	93666	Hattie Simpson
667369	367403	Eleanor Fernwood
667370	245144	Herself
667371	175536	Herself
667371	392460	Herself
667372	34720	Mr. Grace's Nurse
667372	55699	Freda
667372	371379	
667372	380591	Mr. Grace's Nurse (Series 6-8
667372	399963	Marilyn
667373	77755	Herself - Vocalist
667374	46270	Party Girl
667374	209436	Uzi Tongue Nurse
667375	330600	Mrs. Peters
667376	33901	Tizrah
667376	103180	Yukari
667376	109644	Lily McGuire
667376	109645	Lily McGuire
667376	109646	Lily McGuire
667376	109648	Lily McGuire
667376	123027	Ryuzu
667376	124244	Lily McGuire
667376	161706	Kikyo
667376	175819	Toyoko Mima
667376	176537	Lalah Sune
667376	176540	Lalah Sune
667376	232928	Yukie
667376	241950	Moeko
667376	257982	Nurse
667376	272209	Kasumi Tendo/Sayuri
667376	272213	Kasumi Tendo
667376	272214	Kasumi Tendo
667376	382648	Saz Higgins
667376	383280	Vanessa (1989-1990)
667376	387775	Additional Voices
667376	392964	Kikyo
667376	394422	Lala Sun (English Voice)
667376	398718	
667376	402863	Kasumi Tendou
667377	140019	Bev at Help Center
667378	40864	Girl at the Bar
667379	399864	Herself - Fotomodel
667380	160529	Kid
667381	131359	Ashley Jean
667382	303225	Choir nun
667382	303226	Choir Nun
667383	312062	Restaurant #4
667384	112182	Coach Mary
667384	262536	Paula Martinson
667384	290397	Teen at pool
667384	321661	Court House Reporter
667384	323440	Beauty parlor woman #1
667385	290397	Tabi
667385	394386	Sybil
667386	126130	Featured
667387	126130	Featured
667388	173535	Second Violin
667389	344534	Herself
667390	378897	Nurse
667391	272561	
667393	198008	Lisbeth
667393	342313	Sonja
667394	32384	Agneta Sjögren
667395	224046	Soprano
667396	1381	Herself - a Writer
667396	54706	Herself
667397	13596	Slaygirl
667397	121829	Ziegfeld Girl
667397	135361	Antiope
667398	296783	Girl 2
667398	375764	Celvice Klein
667399	169644	Bachelorette Friend #3
667400	48709	Cindy Lou
667400	50446	Sharon Barkley
667400	158107	National Reporter
667400	166697	Sandra Tremayne
667400	281511	Reeva
667400	382845	Mary Lee
667401	320316	Policewoman
667401	398208	Bonny
667402	261462	Alien Cult Member
667403	185379	Contact Commercial Person #1
667404	367842	Miss Peterson
667405	263334	Benny's mom
667406	307403	
667406	404694	Jill Stevens Clayborn #2 (196
667407	146749	Member of the 'tic toc girls'
667408	117496	Sandy
667409	44433	Newspaper Editor
667409	190577	Herself
667410	285734	Morning Star
667411	187099	Herself
667412	13507	
667412	254994	Mrs. Wohlsteader
667413	367782	Smiling Woman
667414	338858	Eliza
667415	51990	Cicely
667416	277839	
667417	3113	Amelia, Philip's Wife
667417	4753	Fancy lady
667417	50976	Emma
667417	100097	Mother
667417	128515	White-Haired Woman
667417	205647	La tante anglaise
667417	213186	Helen
667417	218767	Elderly Nun
667417	379080	Fancy Lady
667418	340649	
667419	221325	Madeline HiRose
667420	320126	Dawn Marie
667421	134738	Herself
667422	136509	Hollywood Blonde
667422	139236	Bar Maid
667422	223768	Tourist Mom
667422	260870	The Walkers' Daughter
667422	283342	Malinda
667423	30640	Nurse #2
667424	63065	Sister Elizabeth
667425	127297	Herself
667426	245053	Hot tub girl
667427	390195	Herself - Correspondent (2002
667428	168693	Farm Woman
667429	351502	Dakota
667430	60220	Ruth Stanlaw
667430	130677	Woman in dance hall
667430	152720	
667430	235085	Zelma Killaly
667430	361658	
667431	31715	Victoria Cecilia Essex
667431	129944	Hillary Johnson
667431	162162	Sister
667431	234812	
667431	234813	
667431	235547	
667431	241375	Marian Diroma
667431	241552	Virginia Reed
667431	259086	Girl
667432	80865	Backstage fan
667433	37019	Heather
667434	330783	Bookstore Attendant
667434	402000	Hayley
667435	71252	Mrs. Dantley
667435	73333	Melba
667435	91559	Harriet
667435	108530	Phil's Mom
667435	366761	Woman at market
667436	339669	Girl in Lobby
667437	51442	
667437	391631	Wounded Waitress
667438	337099	Herself
667439	321575	Kate
667440	245530	Jane
667441	12285	Sylvia
667441	35265	
667441	37253	
667441	37256	Justine Devereux
667441	43121	Extra
667441	54706	Herself
667441	65551	
667441	77340	Gail Vernon
667441	111904	Janie Cullison
667441	125506	Court Lady
667441	130745	Sister Hedwig
667441	131639	Elaine Keene
667441	143456	Miss Whitley
667441	199272	Miss Conning Tower
667441	199713	The Dancer
667441	215538	Millicent Farey
667441	227162	Nina Palmer
667441	238897	Constance Appleton
667441	240186	Mary Brown
667441	258090	Phyliss Worthing
667441	264497	Lenke
667441	266221	Sonia Roubetsky
667441	289585	Catherine's lady-in-waiting
667441	293186	Janice Wilson
667441	300103	
667441	305607	Goldie Devore
667441	312733	
667441	314486	Undetermined Role
667441	316902	Aimee Spencer
667441	321939	Member of Frank's Gang
667441	326385	Gwen Van Peebles
667441	330304	The Princess
667441	342583	Lilac
667441	351927	Jean
667441	363595	Mme. Haldane
667441	372812	Irma Striker
667442	170411	Jenny
667443	94096	Woman Guest #1
667444	21154	Aunt Pearl Bach
667444	42913	Woman in Plane
667444	94978	Mrs. Puddingforth
667444	106493	Aunt Flo McCann
667444	109608	Real Estate Agent
667444	230663	Mrs. Whitman
667444	232812	Bedding saleswoman
667444	283548	Librarian
667445	222265	Woman in Restaurant
667446	117241	Marion
667447	33744	Amy Barker
667447	45930	Marie
667447	77475	Alice Farraday
667447	85869	Margaret Van Ellstrom
667447	114997	Hortense
667447	131440	Laurel Baxter
667447	162402	Undetermined Role
667447	195516	
667447	363584	Katherine Carey
667448	64864	Shelter Victim
667448	396381	
667448	407497	
667449	21185	Gwen
667449	65751	MaryBeth
667449	176748	Jesse Livingston
667449	176965	Pajama Queen
667449	263974	Galina
667449	313399	Martia as a child
667450	241249	Extra
667451	289089	Michelle
667452	31704	Sunday School Kid
667453	71665	Roxanne
667453	219128	Gabby
667453	292324	Shay
667454	317260	Office Worker
667455	641	Daughter; Loundspeaker Voice
667455	269800	Second Call Girl
667455	342332	Female Cop
667457	297187	Shower Girl
667458	2761	Herself
667458	24429	Dancer At Austin's Pad
667458	24432	Ivana Humpalot
667458	26971	Kate
667458	63056	Herself
667458	81445	Alice Kosnick
667458	94477	Fran
667458	115562	Wilma Slaghoople
667458	193621	Grace Chapman
667458	234196	
667458	243646	
667458	269373	Judge 2
667458	312798	Sylvia/Herself
667458	316327	Coach Muffy Divers
667458	342237	Narrator
667458	378855	Security Officer Sally Solomo
667458	397650	Narrator (US release)
667458	398213	Herself
667459	226929	Second Weird
667460	410883	Herself (1989)
667461	214463	Black Woman #1
667462	275489	Female Angel
667463	389046	Herself
667464	116209	Sally Boyer
667464	405548	Sue Corwin
667465	288425	Clementine Atwood
667466	128293	Mrs. Gray
667466	190054	Sybil
667466	200112	Edith Friese-Greene
667466	202850	Agnes Isit
667466	218317	Anne
667466	232077	Flora Carr
667466	261067	Clare Hingston
667466	263785	
667466	266622	Mrs. Von Sturm
667466	271612	Jennifer Calthrop
667466	292058	Miss Elliott
667466	324231	Katherina
667466	336652	Helen Fletcher
667466	356895	Florence Lancaster
667467	118849	
667468	129768	Rebecca
667468	158999	Co-worker #2
667468	269807	Sam
667469	342009	Rehearsal Pianist
667470	105398	
667471	214961	Drunken Woman
667472	162450	Alice
667473	114145	Reporter
667474	100756	Policewoman
667475	52271	Laura
667475	61156	Female Dancer/Featured
667475	62778	Beatrice Ann 'Bebe' Benson
667475	107548	Audition Choreographer
667475	129348	June Taylor
667475	134886	Sears Salesperson/Chicken Pol
667475	157575	Key Dancer
667475	242929	Singer at the Quarry
667475	275871	Fumiko's Girl
667475	300044	Loretta
667475	300180	Gay Carpenter
667475	314108	Dancer
667475	321222	Alice
667476	238228	Bridesmaid/Airline Employee
667477	82903	Tangram
667478	21545	Hisperia
667478	73765	Miss Bly
667478	371073	Nellie Masters
667479	295114	Herself
667480	399130	Mrs. McCrae (1988)
667481	150351	Lavinia Rodham Benson
667481	185333	Woman
667482	42775	Herself
667483	5449	Jane Fournace
667483	74258	Barbara Henderson
667483	141823	Celeste
667484	338570	Herself
667485	300871	Punkette
667486	353302	Woman
667487	47828	Sheila Corkhill
667487	107042	Alice
667487	138890	Val
667487	170555	Maeve Brunos
667487	224381	Mrs. Betts
667487	230869	Mrs. Fisher
667487	262591	Esmeralda
667487	291000	Maggie
667487	330028	Herself
667487	330444	Pat Phoenix
667487	347606	Narrator
667487	382838	Sheila Grant Corkhill (1982-1
667487	385234	Detective Chief Inspector Kat
667487	387064	Val Rutland
667487	388754	Narrator
667487	389507	Grace Robbins
667487	390360	Barbara Grade
667487	392942	Lyn
667487	396206	Therese Craven
667487	397299	Ruth Parry, administrator (19
667487	398743	Mrs. Betts
667487	403853	Barbara Royle
667487	404954	Irma Brookes
667487	410530	Dr. Grace Foley
667488	46270	Combustion Assistant
667488	66615	Drug Buyer
667488	93169	Jolanda
667488	141305	Joan
667488	265764	Pamela
667488	281403	Miranda
667488	283466	Cheryl Moore
667488	290394	Mary Ellen
667488	366980	Waitress
667489	29722	Rosina, the Ward of Dr. Barto
667489	57856	Tisbe, stepsister to Cinderel
667489	115208	Prince Orlovsky
667489	131202	Tessa
667489	138564	Hansel
667489	152331	Urbain
667490	363414	Runway Model
667491	97035	
667492	108333	Cynthia #2
667492	205829	
667493	283580	Wild Horse Annie
667494	305571	Organizer
667495	163075	Kim
667496	145707	Bev
667496	234116	Clerk
667497	233795	Housekeeper
667497	365062	Woman
667498	385299	Kitty Jarvis (1964-1969)
667499	106076	Dancer
667500	88242	Mrs. Allan
667501	8147	Royal Baths Clerk
667501	292415	Mrs. Medlock
667501	315237	Elderly lady
667501	385020	Janet Bamford (1987-1988)
667501	408234	
667503	41428	Librarian
667504	386546	Shelley
667505	40074	Countess Leonie
667505	73986	Amelia
667505	141359	Agatha
667505	218770	Bit Part
667505	230415	Maisie Morrison
667505	235585	Ann Nigh
667505	257874	Lola
667505	298319	Jenny Dark
667507	298439	Narrator
667508	75717	Gita
667508	89286	Maureen Summer
667508	108339	Jill
667508	159506	Mindy
667508	195725	Marianne Jones
667508	203161	Leslie
667508	273271	Young Woman
667508	311516	Dorrie Vaughn
667508	318390	Carlene Delfano
667508	395489	Cynthia (1995-1996)
667508	408036	Nicole (2000)
667509	407508	Jess
667510	126700	
667510	127907	
667511	319033	Herself
667512	59126	Sarah Lingstrom
667513	114350	Child Johnson (8)
667515	222661	
667515	281052	
667516	409609	
667517	178731	Syngepige, Barcelona
667518	27841	Singing prisoner
667519	235922	Dancer
667520	39858	Widow
667520	39859	Synne, voodoo high-priestess
667520	39933	
667520	40476	Barbara
667520	60341	LaSalle
667520	66795	
667520	123020	Winged Girl
667520	137956	The 'Black Magic' Woman
667520	138821	Sheila
667520	146739	Rita Biggs
667520	156565	Velvet
667520	175621	Cleopatra Schwartz
667520	204736	Miss Mathews
667520	209153	
667520	228677	Barbara
667520	236890	Tara Williams
667520	288468	Hooker
667520	317353	Topless Dancer
667520	327834	
667520	345827	Daughter
667520	367982	
667521	2545	Chorus girl
667522	58848	
667523	215477	Herself
667524	113857	Sandy
667525	187313	Maria Esperanza
667526	39830	Mrs. Prior
667527	41987	Phyllis
667527	101277	Teresa Davis/Angela Vetto
667527	210890	Laverne
667527	211602	Suzanne
667527	215810	Frankie (waitress)
667528	184290	
667529	100146	Jeanne
667529	287491	
667530	217705	La fille de Jean
667531	166274	
667532	219836	Francia tv-bemondó
667533	93115	Kaori
667533	359971	Cal
667533	373360	Kayo
667533	378027	Himself (student)
667534	64940	
667535	206703	
667536	286395	
667536	338715	
667537	335193	Mari
667538	275804	Nuori ihailijatyttö
667539	267126	Pirjeri
667541	357556	
667542	138441	Herself
667542	392532	Herself - the host
667542	407107	Herself - the host (2002-2003
667543	9533	Mazurka dancer
667543	150732	Marja Linnoila
667543	169099	Ballet dancer
667543	174477	Ball guest
667543	181634	Cleo, acrobat
667543	213419	Agnes
667543	232586	
667543	236794	Dancer
667543	242257	Jean & June
667543	258847	Charity woman
667543	260623	Ballet dancer
667543	296508	Woman in dance restaurant
667543	321782	Karin Löfberg
667543	343393	Dancer
667543	343507	Bar girl
667543	373379	Nurse
667544	58345	Woman at the auction
667544	174779	
667544	181856	
667544	184789	Rahastaja-Alma
667544	213417	Cook in coffee bar
667544	319302	Ihottumapotilas
667545	176704	Plättä Kiljunen
667546	394958	Jonna
667546	398514	Anna
667546	400723	Työharjoittelija
667547	8280	Agent
667547	153095	Hellevi Nikula
667547	162739	
667547	190658	VR:n sihteeri
667547	190670	
667547	195094	Myyjä Esson baarissa
667547	214839	Millan äiti
667547	241989	Hulta Römppäinen
667547	283961	
667547	336353	Various
667547	349136	Raitiovaunun rahastaja
667547	349142	Esteri, asunnon uusi omistaja
667547	357787	Lotta
667547	393754	Hiiriemo
667547	400496	
667547	400785	Kanslisti Kaisa
667547	404221	Ritva Holma
667547	409781	(????-1983)
667547	412213	Various
667548	86238	Stupsi
667548	116318	
667548	173076	Elena
667549	166383	
667550	25938	
667550	35269	Salvi
667550	44203	Herself
667550	49740	Ana, the 'Flirt' on the Bus, 
667550	52976	Jana
667550	105110	Estela
667550	133188	Etel
667550	173101	
667550	189160	Dunja
667550	200864	Maid
667550	202016	Milica
667550	261343	
667550	261348	
667550	263528	
667550	264810	Tess
667550	294660	Dobrila
667550	300913	Elena Iscovescu
667550	308698	(video "For a Million")
667550	317193	Adrijana
667550	328705	
667550	339311	Sonja
667550	346269	Natalija Zovkov, the Actress
667550	357318	Marija
667550	357555	Anna
667550	373563	
667550	382029	Natalija Zovkov... glumica
667550	394110	
667550	405506	Nevenka Jovanovic 'Kalifornij
667550	410429	Marija
667550	411900	Dina
667551	151903	Woman fighter
667552	324126	
667553	146943	Sara Middleton
667554	98054	
667554	98256	
667554	159251	Indische dienerin bei irene t
667554	177852	
667554	187539	
667554	189865	
667554	283955	
667554	290233	
667554	332804	Mädchen bei Irene Traven
667555	323824	Kathy (segment "Fighting Spir
667556	303492	La maquilleuse
667556	377479	Nurse
667557	377064	
667558	148625	La petite fille
667559	235236	Improvisateur 1
667560	327552	
667561	846	Herself - #30: Jon Voight dis
667561	1674	Herself
667561	2765	Herself
667561	2815	Herself
667561	2818	Herself
667561	2888	Herself
667561	3040	Herself (Winner, Best Support
667561	3044	Herself
667561	3055	Herself - Presenter: Best Art
667561	7592	Herself
667561	10331	Olympias
667561	10666	Alice
667561	16786	Angela
667561	43565	Amelia Donaghy
667561	57665	
667561	75804	Casella 'Cash' Reese
667561	96555	Herself
667561	116228	Capt. Franky Cook
667561	118548	Margret 'Legs' Sadovsky
667561	126056	Cornelia Wallace
667561	127351	Gia Marie Carangi
667561	128583	Lisa Rowe
667561	131226	Sara 'Sway' Wayland
667561	137031	Kate Libby/'Acid Burn'
667561	142464	Gloria McNeary
667561	184812	Lara Croft
667561	184814	Lara Croft
667561	190230	Lanie Kerrigan
667561	194229	Tosh
667561	195370	Catherine the Great
667561	195751	Gina Malacici
667561	201675	Herself
667561	217317	Eleanor 'Elie' Rigby
667561	220805	Jane Smith
667561	243592	Julia Russell
667561	257744	Joan
667561	257765	Claire
667561	267653	Mary Bell
667561	297650	Lola
667561	304267	Capt. Francesca 'Franky' Cook
667561	323584	Illeana
667561	337388	Narrator
667561	340864	Georgia Virginia Lawshe Woods
667561	366921	Jodie Swearingen
667561	402862	Herself/#21
667561	404721	Herself
667562	185941	
667563	190976	
667563	247930	
667566	291584	(segment "Cake")
667567	88335	
667567	123840	
667567	191370	
667567	194251	
667567	372393	
667567	372432	
667568	276731	Eddie's Girl Friend
667568	289603	Mituba
667569	201202	Michèle
667570	204538	Screaming Woman In The Bus
667570	317231	Nurse
667570	353469	Victoria
667570	390725	Journalist
667571	228725	Shelby
667571	380717	Murielle Côté
667571	409541	Mme Chénier
667572	214507	
667573	270046	Liliane
667574	169278	Une domestique
667575	72483	Jocelyne
667575	134699	
667575	267227	Gloria
667575	359827	Mme Clément
667575	381027	Mme Daurat
667575	399785	Noëlle Vaindrier
667576	286042	
667577	23772	Léonie
667577	169577	Hostess
667577	202311	
667577	278136	
667577	335224	Sophie
667577	341504	Vendeuse bijoiterie
667577	385296	Mimi
667578	91170	Françoise
667578	198638	Fabrienne
667578	205266	Calire Massena
667578	322768	La pharmacienne
667578	340143	Christine
667578	346419	Femme 2
667578	388317	
667578	402577	
667579	46782	
667579	75249	
667579	109596	
667579	143362	
667579	149185	
667579	160937	Florence Brent
667579	188188	Rita Heriot
667579	196264	
667579	204592	
667579	205206	
667579	205626	
667579	211798	
667579	218192	
667579	228308	France
667579	241477	Elga Pulaski
667579	242295	
667579	254633	Madame Fidias
667579	269498	
667579	280440	Julia de Noirville
667579	328099	Teodora
667579	345617	Delight Warren
667579	376207	
667580	269138	
667581	271192	Dr. Bruner's secretary
667582	33034	
667582	36770	
667582	44895	
667582	75059	
667582	75195	
667582	93716	
667582	109517	
667582	228637	
667582	241448	
667582	243108	
667582	293945	
667582	295649	
667582	318091	
667582	326728	
667582	372752	
667583	241924	Diane
667583	390242	Dian van Houten-Alberts (#2) 
667583	400217	Dr. Luciel Starrenburg (2000-
667584	66042	Goldie's Secretary
667585	222028	Lisa
667585	370004	Lisa
667586	304557	Flight Attendant
667587	382289	Additional Voices
667587	389464	School Child
667588	25410	
667589	385020	Stacy aka Orchid Pattaya (200
667589	397747	Presenter
667590	403058	Regular performer (1952)
667591	129443	Herself
667592	80015	Headmistress
667593	25816	Sra. Román
667594	120975	
667595	341918	
667595	404478	
667597	58162	Eloise
667597	84523	Generic Citizen #4
667597	230906	Gloria
667597	310112	Cocktail waitress
667597	359499	Shirley
667598	214054	Screaming Lady
667599	163450	Riley
667599	316153	Violently convulsing stoner g
667600	245051	Louise
667600	390523	Amelia Nkebe (2001)
667601	16644	Wheel of Fortune Contestant
667602	368040	Midwife
667604	357567	Jill
667605	170620	Tarra Jolly
667606	184206	
667607	292253	Herself
667608	277110	
667609	71813	La stoppeuse hippie
667609	206300	Madeleine Béjart
667609	353929	Myosotis
667610	272614	The girl near the river
667611	86432	Madame Rembrel
667611	193536	Nicole
667611	235878	La mère de Sophie
667611	351549	La femme intriguée
667612	78341	
667613	17864	Madame Garand
667613	108905	
667613	157014	
667613	160634	
667613	201102	Mlle Monique
667613	353901	
667613	377053	Monique
667613	381681	
667613	382486	Mme Labbé
667613	383372	Anne Vigneau
667613	385123	Hermine
667613	385503	Madeleine Charlebois
667613	389304	Rita Bessette
667613	390715	Chatonne
667613	410628	Régine Caron (2000)
667613	412164	Rita Ouellet
667614	2252	(segment "Vertige de l'amour"
667615	52089	
667615	337033	Mère au Luxembourg
667615	353916	Pauline
667616	2814	Georgette Sylva
667616	8249	Edna
667616	14347	Claude
667616	14349	Mme Levadoux-Feuillette
667616	52698	
667616	57876	Irène Moreau
667616	71528	Gisèle
667616	77175	Ma Billy
667616	110141	Suzanne
667616	120984	Rolande
667616	166330	La concierge
667616	171000	Inès
667616	198574	La femme dans Orlyval
667616	214900	La Comtesse
667616	215021	Mrs. Fox Terrier
667616	216239	L'aubergiste de la plage
667616	216774	Une femme à la piscine
667616	219497	La patronne du bar
667616	235825	Doctor
667616	250902	Receptionist
667616	254966	Lulu
667616	255598	Léonie
667616	266392	La passante/Passerbeil
667616	284666	Patronne bar à putes
667616	285819	Dominique
667616	286317	
667616	288297	Jacqueline
667616	294599	Régine Castel
667616	319866	Mme Legris
667616	345118	Marjolaine
667616	349421	Stéphane
667616	350099	
667616	350741	La directrice d'école
667616	377470	Patiente 2 (gallériste)
667616	377475	Patronne de l'hôtel
667616	391933	Estelle
667616	397192	Georgette Sylva
667616	400698	
667616	402349	Françoise Dammard
667616	409440	
667617	215057	
667618	335038	
667619	346721	La grande fée
667619	375767	Sabine
667619	378693	Herself
667619	394262	Julie
667620	62375	
667620	233184	Varsha
667620	243860	
667620	267235	Sujatha
667620	306082	
667620	330361	Nandana
667620	381908	Herself (season 1)
667621	139610	Elaine Coombes
667622	93499	
667623	311234	
667624	368309	Herself
667625	319914	Sophia
667626	372089	Older woman
667627	130187	Joanne
667628	380430	
667629	222784	Halloween Girl #5
667630	374132	Third Lady
667631	32354	Martha
667632	127351	Vogue Assistant #1
667632	210496	Stunning hipster
667632	241605	Malissa
667633	69333	Account Executive
667633	403577	Host
667634	45545	Student
667634	130335	Stagen's Sister
667635	356326	Herself
667636	398920	Naja
667637	254268	Navigating Officer
667639	158693	
667639	408174	
667640	244392	Gossip #1
667641	94022	
667642	12895	Daniela
667642	26498	Eva Lang
667642	31403	Hilde Wangel
667642	56364	Christel
667642	61100	Fabiola Corsieri
667642	89493	Jennifer Dubedat
667642	98078	
667642	132243	
667642	142205	
667642	150927	
667642	159606	Dr. Greta Kronberg
667642	163972	Anna Petrowna
667642	179799	
667642	188772	Frau Zobel
667642	199574	Marxi Ardel
667642	218963	
667642	259590	Mira Bruns
667642	281652	Valerie Behrens
667642	290300	Clara
667642	311215	Mrs. Efrussi
667642	325656	
667642	325846	Claudia Bernhold
667642	334574	Narrator
667642	337550	Nadenka Kalinin
667642	338372	Lavinia Mannon
667642	344591	Norma Berkowitz
667642	395238	Marina Kruger
667643	301683	Mia
667644	13100	
667647	330579	Background Girl
667647	402197	Ros Fisher (1979-1986)
667648	41759	Girl Hotel Clerk
667648	41930	Hatcheck girl
667648	94881	Telephone Operator
667648	100075	Chambermaid
667648	130754	Peasant girl
667648	143577	Dancer
667648	183443	Miss Miller, phone operator
667648	207287	Guest
667648	237618	Gracie Archer
667648	313205	
667648	315483	Molly, Hat Check Girl Greetin
667648	318192	WAC sergeant
667648	350645	Girl #2
667648	361294	WAVE
667648	363696	Girl
667649	10652	Barbara
667649	119122	
667649	166731	Anke Hartwig
667649	178678	Mutter
667649	228159	
667649	259473	
667649	259684	
667649	298599	Hexe
667649	310494	Redakteurin
667649	352567	
667649	377343	
667649	377344	
667649	377349	
667649	377350	
667649	394619	Frl. Papesch
667649	401142	Gosha Plotnik
667649	406318	Gudrun Faber-Herrenbrück
667650	155358	Rebecca
667650	410002	Svenja Hölscher
667651	86383	Rika
667652	101334	Lizzie Shaw
667652	126861	
667652	134371	
667652	202968	Assistente
667652	258170	Een vrouw
667652	263303	Lea
667652	273735	Vestiairejuffrouw
667652	273756	
667652	312014	Belle
667652	313636	Hilde, gade van Ingel
667652	334480	Putana
667652	371288	
667652	382551	Flora Blanckaert
667652	400801	Blanchette
667652	410401	Stientje
667653	40594	Adolphine
667653	49594	
667653	173654	Ria
667653	199527	
667653	202636	
667653	379254	
667653	381906	Herself
667653	382551	Clara Priem
667653	388299	Marie-Rose Van Den Bossche-De
667653	393245	
667653	409162	
667653	409572	Irina Breitner (1997-1998)
667653	410003	Madga Verschoten (1999-)
667654	411146	Chance
667655	21375	Christoffers sekretær (Christ
667655	108173	Massagepige
667655	249743	Studine
667655	284388	Mor
667655	391710	Elisabeth
667656	80695	Rockhouse Treat
667656	258286	
667657	137819	Ranjeet's daughter
667657	152702	
667657	373806	Shalini
667657	383001	Veerawali
667658	177092	Helga
667659	124603	Titi
667660	38748	Nurse McElvrey
667661	232630	High School Extra
667662	14036	Herself
667663	110357	Club Patron
667664	277801	Monica Allison Styles
667665	327632	Guest
667666	106493	Quarreling Woman
667667	13576	Waitress
667668	93671	Townsperson
667669	141393	Katie Rowan
667669	391247	Katie Rowan (1996-1998) (2003
667670	41739	McRae Daughter
667671	90306	Jane New
667671	143287	Minka
667671	281428	
667671	282552	Beatrice Hampton
667671	364087	Madame Martin
667672	90772	Dorky Sister
667672	158207	Suzy Q
667673	99386	Starletta Douglas
667673	232393	Sarny
667674	403487	Herself/Season I (1995)
667675	158207	Suzy Q
667676	213199	
667677	131780	Judy Hill (13 Yrs)
667678	398940	Anchorwoman
667679	204975	
667679	229419	
667679	286530	
667679	296341	
667679	359139	
667680	152713	Janet
667680	366419	Beautiful Woman #7
667681	14603	Glenys
667681	223832	Loryn Sotsky
667683	189977	Ginny
667684	41048	
667685	105112	Sally
667686	150507	Aunt (English language versio
667686	289103	Dee Lynch
667687	404554	Investigator
667688	59193	Mother
667689	26795	Kim
667689	61768	Charlotte
667689	75394	Gabriela Ponce
667689	75395	Gabriela
667689	108370	
667689	114723	Julia
667689	144577	Brunette in Van
667689	203358	Hooker
667689	219218	Dr.Patricia Morella/Sarah Lyn
667689	248937	Angela
667689	267038	Esmarelda Villalobos
667689	316411	Woman At Clinic
667689	328630	Biker Bitch
667689	346361	Janette
667690	163405	Angela
667691	231389	
667692	134395	Extra
667693	262589	St. Matthew's Choir & Band Me
667694	183586	Inez (little girl)
667695	221142	Venus
667695	381380	Shai
667696	340547	Carol Bix
667696	388318	Elizabeth 'Buffy' Patterson-D
667697	354731	
667698	99923	Emily 1
667698	193923	Addict's girlfriend
667698	292788	Louise
667698	297880	Amara
667699	381451	Business Correspondent (1997)
667700	330153	Bacon's maid #2)
667701	58002	Shower Girl
667701	199209	Tent Lover #1
667702	313459	Mosep
667703	61614	Mother
667703	137579	Alison Hart
667703	164552	Clare Mallory
667703	218169	Evelyn McDonald
667703	271259	
667703	283336	Chrissie
667703	382482	
667703	383882	Paris
667703	391369	Sylvia Wheeler
667703	399130	Jane Harris (1986-1989)
667703	399311	Allie Carter
667703	401461	Sue Green
667703	405744	Eva Kovac
667703	405960	Jess Campbell (1985-86)
667704	78795	Additional Performer
667704	119344	
667704	213654	Party Goer #3
667705	168293	Sadie McCambridge
667705	401221	Rosie
667705	409216	Rosie
667706	21448	Nurse
667706	41382	Doc
667706	157824	Girl
667706	252884	Store Babe
667706	395781	Peggy Traynor
667707	35506	Dancer
667708	140405	Harriet
667709	183868	Social worker
667709	310532	Mrs. Fanning
667709	341670	Welsh Lady
667709	385635	Mrs. Flitch, Barmaid
667709	391247	Mary Ward (1998-1999)
667709	400546	Patricia Murray
667710	78141	Laura's Housekeeper
667711	85073	Susan
667711	106361	Amanda
667711	113826	Linnie Morgan
667711	177582	Princess Gwendolyn
667711	239786	Tracy (caterer)
667711	244918	Young Winona
667711	297914	Susan
667711	411802	Megan Dennison (1997-2000, 20
667713	53058	Emily
667715	312558	Voodoo Priestess
667716	236762	Sister Hubert
667717	132912	Commercial Voice
667718	4711	Hostess
667718	55570	Rachel
667718	62542	Receptionist
667718	72726	Speech Therapist
667718	96834	
667718	140183	Desk Sgt. Alice
667718	144538	Motel maid
667718	176510	Mrs. Ferguson
667718	186017	Mrs. Ledbetter
667718	189238	Nurse Mary
667718	195267	
667718	214515	Therese
667718	217943	Receptionist
667718	221306	Long Island Hostess
667718	286255	Ellen
667718	289472	Reporter
667718	293756	
667718	296691	Jayne
667718	327840	Country woman
667718	336701	
667718	360779	
667718	396479	Sally
667718	406120	Cleo's Secretary
667719	209492	Black militant
667720	103322	Gudelia
667721	39351	
667721	50170	Dorothy
667721	61588	
667721	79450	Yellow Mary
667721	82695	Technician #2
667721	86027	Sister Gloria
667721	119583	Rachel Jackson
667721	168777	
667721	198751	Dr. Asira
667721	223349	Sweet Mama
667721	262125	
667723	75366	Cheerleader #2
667723	171050	Sabrina
667723	241348	Daisy-Gorgeous Twin#2
667724	161308	Herself
667725	298239	Eliza Sheffey
667727	63019	Ellie
667727	101048	Daniel Justin
667727	226891	Prison Guard
667728	214661	Mother
667728	386488	Lily Thomas
667729	1168	Mother First Home
667730	116270	Doctor
667730	133045	Marlène Giroux
667731	52823	Poulette
667731	94129	Daisy
667731	169902	Singer
667731	222679	Nurse
667731	264470	Blanche
667731	337178	Sophie, Georgie's Nurse
667731	368424	
667732	409578	Deidre Gosling
667733	33432	Kate Batts
667734	71477	Alexandria
667735	85992	Wanda Smith
667736	27646	
667737	95872	Daughter Slate
667738	201726	Herself
667739	291307	Extra
667740	202673	Herself
667741	266735	Toano Middle School Student
667742	328788	Student Teacher
667743	11549	Karrie Becker
667743	109698	Hostess
667743	301684	Nicole
667743	384835	Toula
667743	402599	
667744	403805	Gwen Bates (1999)/Billie Reed
667745	118938	Elizabeth Rice
667745	144650	Bonnie Williams
667746	79372	
667746	244855	
667746	281421	Terri-Anne Cost
667746	292108	Dana
667747	14975	
667747	128576	
667747	200873	
667748	129435	
667749	98298	
667749	298347	Hisaka Sawano, Mayumi Mishima
667749	327045	
667750	360010	Beautiful woman
667751	59377	Girl at Dinner Dance
667753	334313	Woman in Labor
667753	336914	Helen
667754	12275	Miss Caroline
667755	13990	Girl in front of Theater
667755	21178	Teacher
667755	67567	Caroline Treynor
667755	99719	Victoria
667755	118775	Francesca James
667755	120259	Prostitute
667755	204034	Maud Pennington
667755	208054	Janice Coggins
667755	239394	Jan
667755	261427	Alex
667755	323440	Dais speaker
667755	397076	Panelist (1978)
667756	296031	
667757	72140	Dancer
667758	201924	County Attourney
667759	410628	Delphine Jean
667760	195137	Agente de sécurite
667760	378705	Rita
667761	380913	Herself - Host
667762	26344	Sue
667762	26636	The Existentialist
667762	37113	Doris
667762	54930	Shirley Drake
667762	67373	Paula Gibson
667762	77639	Jenny
667762	83853	Mme. Tallien
667762	93156	Vera
667762	96829	
667762	97030	Miss Hattie
667762	126151	Kitty
667762	131506	Beth
667762	137684	Morticia Addams
667762	141651	Madge McCloud (saloon owner)
667762	147484	Shirl
667762	151084	Cathy Gray
667762	151503	Julie Rawlings ("The Outlaws"
667762	155261	Bridie Ballantyne
667762	161743	Theodora 'Teddy' Belicec
667762	168751	Julie Horton
667762	177291	Ronnie
667762	185722	Linda, Craig's Girl
667762	191945	Marilyn Atkins
667762	201418	Mary Rose
667762	203190	Linda Hamilton
667762	203535	Cindy Fontaine
667762	206069	Marsha Zelenko
667762	238589	Deborah
667762	242941	Pat
667762	279376	Eunice
667762	285618	Virginia
667762	288079	Elaine of Siniscola
667762	295403	Miss Finch (night nurse)
667762	298756	Beth, Girl at Bar
667762	327847	Helen
667762	331407	Polly
667762	332455	Tandy Martin
667762	342008	Woman
667762	359298	Blonde
667762	379228	Morticia Frump Addams
667762	383385	Myrna Clegg #1 (1982-1983)
667762	389340	Peg
667762	403728	Mrs. Moore
667763	127122	Countess Lombard
667763	224346	Dolly Jackson
667763	232357	Emergency Nurse
667763	385299	Sharon Metcalfe
667763	390574	Molly
667763	411300	Lily Hever (1974-75)
667764	20989	Herself
667765	92866	Dragonfly Taker
667766	196159	
667767	69381	Bikini Girl
667767	87429	Sasha
667767	245850	Sandra
667767	278816	Sandra
667768	214516	Emily
667769	92664	
667770	341759	Bunny
667771	378881	Reporter
667771	378882	Reporter
667772	1347	Herself
667772	1675	Herself
667772	2042	Herself (Pretty Funny Female,
667772	6821	Margaret May Stackdeck
667772	56969	Various roles
667772	67999	
667772	69566	
667772	118897	Herself (comedian) (phone pra
667772	138920	Danny Nailor
667772	168843	Herself
667772	292496	Frieda Vokey
667772	330714	
667772	356304	Narrator
667772	384561	Regular
667772	408041	Cindy Dubizzenchik/Sandy Camp
667773	342856	Bit Part
667774	239876	
667775	358657	Martha
667776	307351	Nurse #2
667777	214934	
667777	235441	Olivia
667778	24957	Hooker
667778	75465	Pearl
667778	139195	Wife
667778	244408	Therapist
667778	252825	Shotsy
667778	340530	Lucille, T's former Girl
667778	347063	Beverly Brayton
667778	367486	
667779	116703	Mrs. Ova Fanshawe
667779	196447	Johnny's mother
667779	221783	Mrs. Massick
667779	314076	
667779	342628	Mrs. Murtagh
667780	42419	Angela
667781	108345	Jane
667781	224382	Jayne
667782	389090	Meredith
667783	142949	Mall shopper #3
667784	10329	Tina Crawford
667784	37467	Ginger McDonald
667784	47385	Herself
667784	47386	
667784	70619	Lizbeth Studevant
667784	72504	Hallie Flanagan
667784	88090	Grandma Buggy Abbott
667784	102514	Pamela Duncan
667784	149804	Liz Hammond
667784	151207	Patty
667784	170388	Lucy
667784	183696	Mimi Barnes
667784	190464	Cindy Montgomery
667784	201513	Herself
667784	215456	Narrator
667784	222630	Mimi Barnes
667784	245179	Annie Adams Fields
667784	252976	Edie Bailey
667784	259347	Virginia
667784	301391	Officer Paski
667784	321450	Julia Tyler
667784	354548	Mrs. Clack
667784	362323	Sandy Cataldi
667784	393379	Voices
667785	186650	Additional player
667785	261281	Airline Ticket Agent (Atlanta
667786	105280	Mannequin
667787	97462	Herself
667787	196360	
667787	252372	Herself
667787	355176	
667788	176893	Carol
667788	185185	Kate
667789	17760	Dorrie
667789	70429	Sandra
667789	84829	
667789	94099	Mother Superior
667789	123696	Brenda
667789	209591	Miriam
667789	214764	Thea's mother
667789	294856	Kim
667789	314158	Grace Chandler
667789	339445	Christine Young Jenkins
667789	365443	Laurie
667789	380391	Amy Gifford (1977)/Janice Fra
667789	389858	Tracy Quartermaine Williams (
667789	396117	Anne Gifford Cushing (1977-19
667789	399817	Lisa Brendon
667789	400236	Sheila Refferty (1977)/Victor
667789	402605	Sarah Jackson
667789	403452	Christina Robertson (1984-198
667789	404002	Catsy Kirkland (1982-1983)
667791	304683	
667792	360855	Girl at Ambulance
667793	194684	Baby Twin
667794	77153	TV Reporter
667794	190171	A.J. Roberts (reporter)
667794	265749	TV Reporter
667794	292637	Anchor Woman
667794	366997	Lucy
667794	408361	Press Conference Reporter #1
667795	270138	Betty
667796	247492	Von Liechtenstein
667797	109807	Shabari
667798	186847	Young Lily
667799	247492	Von Liechtenstein
667800	115819	
667801	18631	Female Voice
667801	132109	Rahim's Grandma
667802	3180	The Lady Behind the Counter
667803	113847	Savannah
667804	245907	Bar patron/mutant
667805	57489	Tashana
667806	302748	Alli
667807	214748	Dreamy Neighbor
667808	319933	
667808	384618	
667808	401689	Rhian Hâf Harries (1979-)
667809	304913	Mannie
667810	87886	Micky
667811	71149	
667812	237012	
667813	69732	Deborah
667813	393173	Mona
667814	123114	Uen's Thug No. 1
667814	315198	
667815	61706	50/50 (Rapper)
667816	10168	Ruggiero
667816	53742	Paquette
667816	136825	Mrs Cripps (Little Buttercup)
667816	170499	Sextus
667816	371214	Phoebe Meryll
667817	11420	Delena's Friend
667818	44185	Nurse
667818	114728	Sherry
667818	134596	Jury Foreperson
667818	309542	Cherry
667819	149442	Hope
667820	184104	The Laker Girls
667822	45736	Amélie
667822	123896	Danseuse strip-teaseuse
667822	129204	
667822	353922	Stripper
667822	357852	La danseuse générique
667822	378789	Diana ('La basse-cour des cél
667822	399377	Herself
667822	412278	Herself
667823	71279	
667823	80216	
667823	209004	
667823	212451	
667823	221670	
667823	236024	
667823	249864	
667823	265553	
667824	238991	Chorus Girl
667825	243269	Woman At Bus Stop
667826	129781	
667828	188551	Female Guard
667829	248386	Mrs. Horton
667829	331697	Mrs. Farber
667830	175111	Brunette
667830	271855	Guest
667830	330375	Member of Girls Band
667831	44034	Rosengurtle Baumgartener
667831	72030	Lady mover
667831	170857	Amazon
667831	250514	Miss Meat
667831	316509	Jolene
667831	340546	Wendy Delvecchio
667831	346016	Dot
667832	127237	Red-Haired Girl (Blues Club)
667832	148432	Adrian
667833	126060	Denise
667834	331022	Little Girl
667835	51821	Mona
667835	77767	Girl in Gym Party
667835	126067	Boop's Sister/Dancer
667835	126068	Eleanor Sawyer
667835	128173	
667835	157870	Bit
667835	171217	Elevator Operator
667835	183418	Susan
667835	234141	Dance Hall Girl
667835	317354	Student
667835	327698	Letty
667835	370537	Chorine
667836	230857	Nurse
667837	102850	
667837	336730	
667838	80667	Herself
667839	157324	Patty Stubbs/St. Jude Student
667840	410695	
667841	245807	
667841	386488	Sarah Hopkin
667842	401689	Melanie Griffiths
667843	259347	Mrs. King
667844	217171	Mary
667845	209095	Young Holly
667845	263089	Flora
667845	304948	Child
667845	311662	Spoonface Steinberg
667845	388350	Amy
667845	402607	Sam
667846	72296	Aggie
667847	99504	
667847	99505	
667847	196898	
667848	166046	Chrissie Durdham
667848	371664	
667848	372964	Gwen
667848	381648	Val
667848	393208	Marj Haines
667848	408870	Helen Hughes
667850	685	Herself
667850	1955	Herself
667850	295295	Herself
667850	307670	Herself
667851	102361	The Girl
667851	159713	Kendra
667852	321455	Fiona Persons
667853	287128	Jackie
667854	146780	
667854	265826	Keisha
667854	332883	Tanya
667855	137430	
667856	273737	
667857	273737	
667858	362901	
667859	368092	Shorty
667860	36839	Member of the Dandridge Siste
667860	162208	Member of The Dandridge Siste
667860	163220	Dandridge Sisters Act
667860	166087	
667861	222736	Waitress
667862	30646	Bored Woman #1
667863	365218	Prison Clerk
667865	128814	
667866	219374	College Girl
667867	214814	Gospel Choir
667868	72102	Mary
667868	338827	Alice
667868	404891	Grace May
667868	410792	Ethel Hallow
667868	411500	Ethel Hallow (1998-99)
667870	59912	Woman
667871	247492	Melissa Sirhan
667872	154102	Rose (aged 10)
667873	20625	Extra
667873	325970	Sarah Bell
667874	107947	
667875	306286	Chorus
667876	372952	
667877	376076	Henchwoman
667878	46877	Bridget's Mum (Pam Jones)
667878	46878	Pam Jones
667878	54490	Eunice Pickles
667878	60767	Varya
667878	71479	Mrs Freda Davids
667878	85123	Madeleine
667878	85659	Helen Curry
667878	105427	Beatrice Kyle
667878	107550	Jane Moreton
667878	110353	Mrs. Wainwright
667878	118646	
667878	139650	Madam Pomfrey
667878	157192	Miss Prism
667878	165450	Mrs. Fairfax
667878	175502	Queen Elizabeth I
667878	178107	Sonia
667878	189529	Anna
667878	194130	Elizabeth Harrison
667878	196841	Lucinda
667878	203203	Edith
667878	211351	Portia
667878	237612	Mrs. Wiggins
667878	240687	Mary Jones
667878	248143	Dr. Sarah Nicols
667878	258931	Miss Williams
667878	276745	Miss. Menzies
667878	294217	Mrs. Dashwood
667878	297377	Queen Victoria
667878	302359	Nancy
667878	307908	Mrs. Peverill
667878	329661	Titania
667878	329917	Anne
667878	352729	Lady Mellor
667878	365564	Lady Queensberry
667878	365616	Jane Garth
667878	366378	Grace Winslow
667878	369342	Sara Glynn
667878	382516	Mrs. Bubby
667878	384008	Virginia Ansley
667878	386233	Alice Mair
667878	387060	Louisa Trotter
667878	388249	Victoria
667878	401382	Mrs. Bibble
667878	402801	Mary Steele
667878	406205	Fleda Vetch
667878	408868	Jean Mullins
667879	196898	
667880	287856	Michelle
667881	12605	Rachel
667881	66680	
667881	67833	Mrs. Malone
667881	97223	Mitty
667881	112401	English Teacher
667881	141596	Barbie Lee Taylor
667881	154531	Mrs. Hoddel
667881	196402	Sally
667881	243934	Elizabeth Leplastrier
667881	306398	
667881	328350	Emily
667881	342362	Viola, Sebastian, Cesario
667881	362268	Frances Bourin/Catherine
667882	102234	High School Girl
667882	171270	Society Girl
667883	381803	Alice Henderson (1950-1952)
667884	185146	Woman At Tent
667884	386057	
667885	89572	Gloria
667886	232838	
667888	133432	Countess Drogheda
667889	1491	Herself - Presenter
667889	20441	
667889	23535	Cuidy
667889	34903	Herself
667889	44005	Helen Strangé
667889	63106	Herself
667889	69044	Zula
667889	75766	Masako Yokohama
667889	80851	Slick's girlfriend
667889	131984	Mary
667889	142479	Solene Solux
667889	160291	Herself
667889	208886	Alonzo Richter
667889	216794	Herself
667889	247151	Ms. Remo
667889	251085	Guest Performer
667889	257640	Herself
667889	301147	Conchita
667889	315901	Sonya
667889	350145	Katrina
667889	354178	May Day
667889	367271	Christoph/Christine
667889	405037	
667890	329414	
667891	263966	Lady Elizabeth
667892	192414	Alma March
667893	4757	Guest
667893	24102	Leokadja Begbick
667893	32665	Herself (soprano)
667893	34424	Herself/Leonora in 'Fidelio'
667893	79583	Herself
667893	111961	Leonore
667893	136719	Brünhilde
667893	165297	Herself
667893	276492	Poppea
667893	281973	Marschallin
667893	301089	Brünhilde
667893	324587	Elisabeth/Venus
667893	358687	Brünhilde
667893	403405	Brünhilde
667893	410513	Malvina von Carolsfeld
667894	65605	Female Art Critic
667895	248479	Hermaphrodity
667896	339445	Haley Jenkins
667897	40111	Mrs. Humphries (the landlady)
667897	68445	Mrs. Brown
667897	88894	
667897	92282	The Dressmaker
667897	99522	
667897	222774	Mrs. Didsome
667897	255079	Bessie
667897	277627	Mrs. Porter
667897	331134	Babe
667899	199564	Madeline
667900	162578	The Maid
667900	202720	Hassim's daughter
667900	292555	Mildred Morpeth
667900	303287	WRNS Girl
667900	316903	Lelia
667901	97388	Dancer
667902	222599	Natasha Lee
667903	86530	Winnie
667904	100826	Henry's Maid
667904	107863	Girl At Party
667904	305640	Debbie Smith
667904	395924	Zoe, Fiona Pearce's daughter 
667904	402607	Melody
667905	40834	Honey Barbara
667905	72140	Dancer
667905	128230	Tulista
667905	131664	Rosie Gibbs
667905	137574	Debra Shapiro
667905	199142	
667905	276249	Natalie
667905	296811	Annie Dubois
667905	302009	Rose Guttierez
667905	317481	Sarah Good
667905	358296	Sandy
667905	374638	Angvisa Girl
667905	390099	Tulista
667905	390100	Tulista
667905	404927	Sloth
667905	408109	Bon Hilliard
667906	116515	Harem girl #12
667907	31878	
667908	38645	Bridesmaid
667909	93821	Pagan
667910	87294	Air Hostess
667912	224942	Inga
667913	98794	Eldra
667914	52810	Hannah-Jane
667914	339854	Bed and Breakfast Proprieter
667914	346020	Mother
667914	401689	Beryl Nicholas/Tushingham (19
667915	194893	Native
667916	303225	Little Deloris
667917	57336	Lola
667917	118073	Preziosilla
667917	118769	Smaragdi
667917	204662	A musician
667917	278309	Maddalena
667918	23975	Mary Lou Sides
667918	78882	Mrs. Willams
667918	151545	Marge
667918	187249	Judy
667918	221783	Estelle
667918	277882	
667918	290906	Mother
667918	338271	Connie Havemayer
667918	342824	Tina
667919	240235	Telemarketer
667919	284015	Kate
667919	392648	
667920	32217	Jean Watson
667920	68691	Liz Jason
667920	70411	Katie Shaw
667920	118467	Marie Labonne
667920	158182	Rita
667920	158785	Vanessa Palmer
667920	160761	Karin
667920	170817	Dolly
667920	208076	Miss Forsythe
667920	254268	Frog Girl
667920	256818	Mavis
667920	279400	Blonde at Airport
667921	79807	Mrs. Mountchessington
667922	339445	Murial Jenkins
667923	202195	Hooker
667923	226870	Cicely
667923	234986	
667923	300913	Nicole
667924	168627	Clara Melden
667925	102116	Eleanor
667926	10348	Singing Trio
667926	96853	Mrs. Kelly, One of the Singin
667926	140646	
667926	158711	Specialty Singer
667926	232223	Mamie
667926	234141	Ruby
667926	260874	Minnie
667926	304606	Ma Belcher
667926	365188	Fat Casino Singer
667927	61565	Receptionist
667927	138161	Woman in Park
667927	148570	Molly's Mother
667927	169662	Vivian Vanderveeck
667927	247500	Press Secretary
667927	278776	Judy
667927	302789	Denise
667927	342549	Margaret Honeycutt
667927	342552	School Teacher
667928	175646	Laurel
667929	13769	Julie Lloyd
667929	17749	Dancer
667929	31857	Witchwoman #3
667929	62778	Judy Monroe
667929	114025	
667929	114955	Carla Samson
667929	131104	
667929	186650	Racine pitcher
667929	306286	Dancer
667929	314108	Dancer
667929	336772	Alpha
667929	344502	Herself
667929	360286	Herself
667929	385624	
667932	376002	
667933	26103	
667933	38869	
667934	11533	Janice Taylor
667934	14230	Cadence Flaherty
667934	16943	Gina
667934	29112	Claire
667934	87282	Eve
667934	121528	Tracy
667934	195300	Jeannie, American Angel
667934	196211	Missie
667934	309197	Number One
667934	322784	Elizabeth
667934	331300	Lou Ann Norton
667935	90437	Magda Anders
667935	194269	Miss MacDeal
667936	4016	Additional Voices
667936	323134	Additional Voices
667937	49441	Woman in Church #2
667937	56937	Agnes
667937	57489	Waitress
667937	158975	Craps woman
667937	297756	Sadie (pet shop employee)
667937	323989	Rubie Lin
667938	107930	Shopper
667939	2008	Herself - Presenter: Best Dir
667939	2817	Herself - Presenter: Best Cin
667939	3021	Herself - Past Winner
667939	3053	Herself - Past winner
667939	3735	Herself
667939	13920	Herself
667939	13929	Herself
667939	16780	Astrid Steele
667939	30347	Elizabeth Barrett
667939	31897	Mrs. Gwendolen Chelm
667939	55624	Carrie Meeber
667939	66201	Cluny Brown
667939	94766	Pearl Chavez
667939	109058	Nurse Catherine Barkley
667939	131232	Hazel Woodus
667939	131534	Miss Dove
667939	155731	Carol
667939	195743	Dr. Han Suyin
667939	195816	Singleton/Victoria Morland
667939	199304	Emma Bovary
667939	203175	Betsy Rath
667939	230632	Celia Braddock
667939	238613	Herself
667939	261082	Jennie Appleton
667939	282927	Ruby Gentry
667939	302467	Jane Deborah Hilton
667939	308576	Bernadette Soubirous
667939	314117	Mary Forbes
667939	316779	
667939	327831	Nicole Diver
667939	337091	Lisolette Mueller
667939	360482	China Valdez
667939	365286	Hazel Woodus
667940	96834	
667940	101586	Nurse
667940	297880	Srita
667941	250764	Woman on Street
667942	220790	Host
667943	224088	Catty Co-Worker
667944	96555	Herself
667944	161280	Herself
667944	203328	Herself
667944	366640	Herself
667944	393434	Host
667945	120685	Jenny
667945	160555	
667945	271100	
667947	372301	Missing girl
667949	26959	Ms. Marsh
667949	44270	Berger's Secretary
667949	57157	Bank Receptionist
667949	97347	Jury foreperson
667949	105228	
667949	117271	Mrs. Gates
667949	121208	Mrs. Jean Tubman
667949	170983	Claire
667949	223772	Short Mother
667949	261290	Mother
667949	321632	Arnold's Secretary Denise
667949	356351	Scrub Nurse
667949	365088	Maggie
667950	132562	Jill
667950	267565	Jill
667951	2331	Host
667951	390111	Toni Childs
667952	26258	
667953	142541	International News Reporter
667954	245675	Loretta
667956	79656	Motel Clerk
667957	305571	Young American Miss
667957	342856	Joanna's Touring Friend
667957	388887	Elizabeth Flaxton (1973)
667958	20625	Featured player
667959	73214	Woman shouting in crowd
667959	101278	Miki
667959	133829	Ellie-Jo Turner
667959	236152	Mrs. Tooley
667959	244408	Linda Meyers
667959	316264	Adoptee #1
667959	336891	Molly
667960	49345	Susan
667960	196209	Male Plebe
667961	97410	Eddie's Cousin
667962	336444	Hungry Star Studio model
667963	269922	Herself
667964	50444	Extra
667965	314836	
667966	125478	
667967	62926	Antoinette
667968	247565	
667969	191061	Shelia
667970	159770	Heidi
667971	298173	Pilot's Girl #3
667972	115531	Herself (descendant of Harrie
667973	310376	Aunt Helen
667974	46213	Justin's mother
667974	224330	Mrs. Fingerhut
667974	330830	Richie's Mother
667974	387533	Barbara Kirk (1998-2000) (23 
667975	1099	Nagel
667975	1209	Eliza Proctor
667975	91559	Meredith Starbinder
667975	171252	Shelly
667975	192833	Debbie Reynolds
667975	207911	Pam Arnold
667975	223802	Karen
667975	311609	Jennifer
667975	314103	Angela Finger
667975	401930	Janelle #2 (1999)
667976	194139	Ingrid Longstreet
667976	265100	Anchorperson
667977	248008	Teacher #2
667978	145572	Young Walt's Mother
667979	186470	Mrs. Hawk
667980	39379	Sammi
667980	194219	Gigi
667981	4641	Louella
667982	87989	Kerry
667983	24960	Nurse
667983	187222	Woman #1
667984	202322	Betty Lou
667985	114713	
667985	327297	
667986	241339	Danielle
667987	400349	Kamaya J (Red Team)
667989	131571	Cora Lawdermilk
667989	331300	Old Lady
667989	340864	Foundry Lady
667989	406719	Cherie
667990	379505	
667991	77205	Maggie Hopcraft
667992	41197	Lois Cook
667993	238608	Little Girl
667994	107917	Little Girl in Alley
667994	368539	
667995	363392	Woman in Cinema
667996	211343	Jessica
667997	385020	Tricia Hopkins (1973-1976)
667998	11945	Chickenette Restaurant Patron
667998	13850	Rob's Mother
667998	333517	Mason Dixon Operator 3
667999	312927	Bar patron 4
668000	367812	Herself
668001	239629	
668001	239877	
668001	239885	
668001	239889	
668001	294137	
668002	228449	Girl
668002	302159	Patricia
668003	80403	Jean
668005	201579	Wife #4
668005	244443	Mavis
668005	367444	Elvina
668006	64837	Erin
668007	163623	Herself
668008	145111	Pickup Passenger
668008	408163	Apra (2000)
668009	339937	Backup Singer #1
668009	396452	Magic Assistant
668010	249503	Matthew's Secretary
668011	26838	Fishbone
668011	324777	Ranchbone (member)
668012	10958	Jennifer
668012	95785	Blonde Active
668012	116270	Sophie
668013	72677	Brianna
668014	39193	Jesse
668014	100106	Sasha
668014	107265	Venus Summers (deleted charac
668014	160888	Aloha
668014	266098	Gordon's sister
668014	330281	Brandy
668015	218363	Mummy
668016	693	Herself/Commentator
668016	1487	Herself
668016	1706	Herself - Performer
668016	1743	Herself
668016	2394	Herself
668016	82015	Herself
668016	120665	Herself
668016	123696	Chastity
668016	171485	Tina Parker
668016	194136	
668016	221479	Herself (presenter)
668016	221481	Herself - Presenter
668016	234913	Lil' Kim
668016	298076	Alex DeLoya
668016	311156	Herself
668016	331136	Soledad
668016	372175	Herself
668016	375827	Herself
668017	157574	Donna
668017	294789	Lisa
668018	150054	
668019	296983	Cabaret Dancer
668020	10901	Girl in video store
668020	88184	Young Diane
668020	114313	Crystal
668021	215816	Bean
668022	184262	Narrator
668023	275453	Nicky Boone
668024	279319	Little Carole
668025	339445	Kyley Jenkins
668026	406731	Herself (Jason's Partner) (Se
668027	258752	Rodney's girlfriend
668028	332845	Jan Carter
668029	381212	Sarah Dixon
668030	257622	Fax Girl
668030	257623	Fax Girl
668030	407194	Presenter
668031	54749	Marlene
668031	189280	Erleen
668031	191344	Policewoman
668031	334114	
668032	194324	Cygna/Fleece/Chaos/The Messen
668033	2320	Stripper on table
668034	222597	Audition screamer #1
668035	29523	Laurie
668035	158445	Pamela
668036	116002	Gwen
668037	218361	Kuana
668038	383078	Harry (1996-)
668039	843	Messo-Soprano
668039	338618	Flora Bervoix
668040	41401	Lauren OHara
668041	364100	Lindy
668042	75523	Voodoo Lady
668042	80563	Belinda Belos
668042	86520	Cora Miles & Newsperson
668042	103288	Voodoo Lady
668042	122756	Malia Gedde
668042	347241	Reporter at Hoover Dam
668042	410975	Additional Voices
668043	292474	Policeman #4
668044	197650	
668045	76945	Shop Assistant
668045	203699	Eileen
668046	89116	Marilyn Dukekne
668046	110519	Vapid Nurse
668046	136277	Sales Employee
668046	148288	Night Nurse
668046	211516	Clerk
668046	228310	Trucker Woman (Britney)
668046	230526	Maud Wrecht
668046	311538	
668046	368997	Sgt. Tina Bagley
668046	407866	
668047	383316	
668048	332278	Herself - stripper
668049	367924	Herself
668050	110916	News Crew
668050	159497	
668050	313459	Chall Bekan
668051	6768	Junie
668052	217433	Peggy
668053	67996	1st Waitress
668053	142716	'Family' girl
668054	372198	Bridesmaid
668055	190030	Young Peg
668056	163231	Dancer
668058	154783	Clinic Nurse
668059	278718	Thomas Delaney
668060	111309	Passerby
668060	385613	Sister Brigid
668061	321370	Rhonda
668062	397859	Jade Coigley
668063	365491	Helen
668064	60244	Sneed the Monster
668065	187988	Waitress #3
668066	293645	Julie Simkins
668067	255452	Child
668068	62269	
668068	335852	Dancer
668068	362959	Specialty Dancer
668069	67833	Denise D'Arcy-Twining
668069	365247	Henrietta
668070	213313	Dancer
668071	44433	Other Leader
668071	217410	Catherine
668072	53218	
668073	33141	Bella Atkinson
668073	77190	Ena Cooper
668073	79878	Mrs. Shorter
668073	105135	Hetty Soames
668073	107743	Deidre's Maid
668073	329990	4 Shakespeare Street
668073	340805	Martha
668073	381278	Mrs. Quiverful
668073	385020	Blanche Hunt (II) (1974-1976,
668073	389123	Smither
668073	396114	Mrs. Mason
668073	396140	Mrs. Peake
668073	399157	Mrs. Nesbitt
668073	403777	Glenda (1977-1979)
668073	404196	Polly Barraclough
668073	405067	Ivy
668073	406039	Nan
668073	410712	Irene
668074	59685	Jobie (1940's)
668075	12309	Anchorwoman
668075	335799	Girl #1
668076	27247	Nikki Wade
668076	381121	Nikki Wade (Series 1-3) (1999
668076	395919	Sam Haynes
668076	402019	Dr. Mary Holland
668077	158526	Hospital Personnel
668078	304683	
668079	92232	Teenager in Heaven
668079	221105	Teenager
668079	230685	
668079	355065	Student
668079	376547	Sarah
668079	410172	Host
668080	7153	Mary Sawyer
668080	17704	Jen Pringle
668080	20901	Bella
668080	29942	Pige Blaine
668080	38710	
668080	38804	Hungry Child in Group of Onlo
668080	58797	Mary Lou Carlton
668080	61162	
668080	79368	Katie O'Grady
668080	88863	Ruth a school girl
668080	92525	Florence, the Waiting Room Nu
668080	107010	Blind Girl
668080	114164	Marcia Parker
668080	116222	Teenager Posing For Photograp
668080	123715	Patsy
668080	124085	Convent girl #1
668080	125811	Patty Fairchild
668080	133456	Claire
668080	140112	Mildred
668080	141951	Klara Sesemann
668080	144462	Jean Harper
668080	177401	
668080	183584	Patricia
668080	183708	Suzy
668080	188370	Bess Martin
668080	190174	Helen Richards
668080	192174	Lavinia
668080	192503	Woman #1
668080	199136	Olga
668080	204550	
668080	209588	Marilee
668080	220318	Bethie Harkins
668080	222987	
668080	231390	Girl
668080	232012	Nanny Ritchey
668080	232822	Shirley Berke
668080	234223	Lois
668080	239821	Betty Elliott
668080	280498	
668080	292816	Laura Wright
668080	305581	
668080	305898	Martha
668080	310684	Sarah
668080	313517	Waitress
668080	316603	Lois Marsh
668080	316692	Girl
668080	330096	Rosalie Wells
668080	335228	Pat Kelly
668080	335852	Erna Lane
668080	340535	Virginia
668080	341460	Polly Johnson
668080	343212	Jerry
668080	360270	Peggy Vanderbilt
668080	371041	Amy
668080	372819	Vera Bailey
668080	395574	
668081	157324	St. Jude Student
668082	139543	Student Nurse
668083	369905	Ally Koch
668084	162100	Iolanthe
668085	403244	Vikki Boyd
668086	200346	Herself
668088	154270	Keetah
668088	194855	Lenore
668088	194856	Lenore
668088	296818	Dsonqua
668088	363442	Komi's Mother
668088	381466	Laurel
668089	317975	Maribel
668090	34610	Anne Best
668090	158358	Sarah Conlon
668090	195834	Aunt Mairead
668090	372380	Sarah
668090	387940	Peggy
668091	323736	Singer
668092	137106	
668093	73551	2nd Usherette
668094	964	Cindy Lee
668094	58472	
668094	70454	Jeanine Wilder
668094	72455	Terri
668094	83842	Cheryl Gillen
668094	88656	Helen Hollis
668094	152947	Barmaid
668094	210881	Allison
668094	240688	Libby
668094	253361	Becky Di Leo
668094	289779	Lena
668094	310800	3rd Guitarist's Girlfriend
668094	319759	Bordello girl at Madame Orr's
668094	394504	Carey Hollister
668094	404720	Holly Wheeler
668095	322350	Berthe, the waitress
668096	399816	Vi Freeman
668097	335888	Herself
668097	367869	Herself
668098	72767	
668099	355404	Showgirl
668100	61162	Peggy
668101	367054	The Wiz Singers Children's Ch
668102	5501	Nella Langford
668102	31205	Miss Shaw (Millington Drake's
668102	36958	Miss Jessop
668102	39757	Mrs. Humphries
668102	106061	Aunt Mary
668102	138695	Mary Lewis
668102	153611	Val's Mother
668102	227806	
668102	241222	Emma Burden
668102	241459	Mrs. Snell
668102	265753	Mother
668102	314248	Bit
668102	333346	Florence Cole
668102	333439	Sister Brown
668102	340439	
668102	346020	Mrs. Beynon
668102	385299	Mrs. Johnson
668102	387649	Miss. Eversleigh
668103	245973	Mrs. Lacom
668104	395189	Miss. Eversleigh
668105	106650	Mrs. Francis Huston
668106	270346	Playground Child
668107	381013	Fortune Teller, Secretary
668107	393999	(English version)
668107	394419	Black Joker
668107	396491	Pog
668107	404061	Additional Voices
668108	3079	Herself - Performer
668108	30965	Girl on Corner #1
668108	221474	Herself (En Vogue)
668109	17319	Teenage girl
668110	80923	
668110	107917	Biology Teacher
668110	150973	Mrs. Bry
668110	308080	Dr. Claire Riggs
668110	319175	Reporter
668110	404282	Mother Clark
668111	97853	Fille Emile 1944
668111	101221	Catherine
668112	135171	
668113	26672	Fiery Redhead
668113	107871	Female Student
668113	112020	Woman
668113	196282	Betty
668114	18598	Old Bat
668114	242815	Shirley
668114	265100	Sister Abigail
668115	60472	Lauren
668115	128511	Sonya
668116	119532	Passerby #3
668117	113363	Female Jailer
668118	304948	Mother
668119	291708	Fiona
668120	102342	Agent 2
668120	109777	Stabbing Victim
668120	144913	Maitre D'
668120	162364	Katherine Cora
668120	298105	Catherine Shawnessy
668120	359507	Heather Longfoot
668121	163453	Herself
668121	340418	Solange
668122	116471	Debbie
668122	222947	Tiffany Saleswoman
668122	242030	Ariel
668123	213142	
668124	314779	Natasha
668125	312341	
668126	340923	Nurse #2
668127	41772	Blonde girl
668127	315754	Miss Monroe the Secretary
668128	306500	Young Girl
668129	200692	
668130	27972	
668131	248125	
668132	202673	Herself
668133	340992	Dr. Evans
668134	361501	
668135	20957	Assistant
668135	31206	Novice
668136	20625	Extra
668136	116443	Girl in shell dance
668136	253126	Switchboard operator
668137	314472	
668138	264730	Bit Part
668139	13790	
668140	233014	
668141	178693	Jewelry Clerk
668142	81342	
668143	307189	Auntie
668143	385151	Punch's Mother
668143	389791	Nosey Neighbor
668143	394016	Additional Voices
668143	408893	Bartender (ep. 3)
668144	80647	Taylor Nash
668144	97222	Beth
668144	375694	Kelly
668145	294391	Slayer
668146	44892	Kelly
668146	105396	Voodoo Dancer/Church Member
668146	309550	Rochelle Cummings
668147	31780	TV Reporter
668147	37122	Blonde
668147	104944	Linda Evans
668148	18498	Daughter Franco
668148	289055	Girl waiting
668149	113985	Grad Assistant
668149	178145	Sue
668149	253104	Tovina Renee
668149	295558	Sylvia Taylor
668150	293063	
668151	156460	Young Tracie
668152	795	
668152	2573	Herself
668152	2581	Presenter
668152	3297	Performer
668152	47173	Herself
668152	99602	Herself
668152	192547	Herself
668152	234918	Singer
668152	343201	Herself
668152	352972	Herself
668153	107728	Young Woman by the Road #1
668153	195829	Suzanne
668154	13954	Hildegarde
668154	14223	Kim
668154	17213	Essie
668154	23536	Meg
668154	32654	Biker Woman
668154	65756	Madame Debbie
668154	70302	Rhonda
668154	81118	Carla Pitts
668154	86292	Judge
668154	97727	Esmeralda
668154	100887	Barmaid
668154	108015	
668154	108488	Helga
668154	110170	Mrs. Moyer
668154	130607	Jill
668154	141565	Patrice
668154	151365	Sally O' Connor
668154	200365	Waitress
668154	206447	Phyllis
668154	206488	Sue Ann Norris
668154	206621	Stupid Medley Martian
668154	214943	Waitress
668154	228434	Mabel
668154	244979	Nixie/Dinah
668154	246222	Hotel Maid
668154	278259	Pretty Girl
668154	292793	Darlene Hooper
668154	298282	Tina
668154	299663	Countergirl
668154	336647	Bib Overalls
668154	340901	Bar Waitress
668154	360760	Saleswoman
668154	365642	Mrs. Johnson
668154	391101	Rose
668154	395933	Sally Skull
668155	23210	Bathing Beauty
668155	56200	Fremont Hotel Telephone Opera
668155	84859	Mrs. Brown
668155	131896	Miriam Brent
668155	157546	Singer
668155	239176	Telephone Operator #14
668155	255327	Guest at Mayfair tea
668155	338557	Miss Henry
668155	367511	Female Reporter
668156	63000	Child
668157	131587	Mrs. Teitlebaum
668158	61161	Pregnant Woman
668158	81702	Gallery Owner
668158	194666	Day Care Woman
668158	289024	Mrs. Gwynn
668158	345786	Pinched Grocery Store Custome
668160	190796	Patient
668160	284971	
668161	154742	Jessica
668161	389061	Herself
668162	48556	Delilah
668162	70796	Diane
668162	113278	Luanna
668162	190953	Margret
668162	195765	
668162	256578	Sister
668162	315311	
668162	404615	Miss James (1973)
668163	89586	Dolemite Girl
668163	163358	
668163	195826	
668163	232370	Model
668163	305177	
668164	246037	Nanna
668165	16637	Music Video Groupie
668165	45662	Indigo Girls' Band #3
668165	148872	Honey
668166	219736	Ma Jones
668167	23583	Model
668168	81253	Ground hostess
668168	164400	Tina
668168	196544	Salesgirl
668168	203549	
668168	214087	
668168	220552	Chorus Girl
668168	329411	Kid #2
668168	358604	Sally
668168	397125	Secretary (1982-1983)
668169	3621	Herself
668169	57657	Herself
668169	152986	Herself
668170	405209	Sarah Menzies (1998)
668171	275453	White Girl #1
668171	279460	Stephanie
668171	329411	'Cool' Friend
668172	39858	Samson's Street People
668172	66795	Julie
668172	118564	Barbara
668172	190953	Woman in Station Wagon
668172	210268	Karate Expert
668173	119585	Femalle Registrant
668173	120623	Foreman
668173	171485	Esther (Card Player)
668173	195576	Mrs. Baker
668173	223073	Louise
668173	232300	
668173	233774	Blind Woman
668173	261107	Grocery Clerk
668173	296990	Elvira
668173	301933	Mrs. Thayer
668173	303265	Secretary
668173	329151	Minerva
668174	286414	
668175	213581	Pitti-Sing
668175	250638	The Lady Angela
668175	264459	Audience member
668175	282950	Mad Margaret
668175	334757	Tribute Presenter
668177	44076	Deslene
668177	119850	Programmer
668179	90508	
668179	314441	
668180	137569	Duty Desk Nurse
668181	92689	Jenny
668181	119928	Babe
668181	194564	Special Child
668182	270128	Nurse
668183	252403	
668185	81177	Layna
668185	96826	Emily
668185	155890	Feminist (segment "1972")
668185	191653	Dr. Rachel Keyes
668185	224917	
668185	236117	Kerri
668185	280277	Herself
668185	382556	Louisa Fenn (2000-2002)
668185	395166	Johanna
668185	399849	Edie Miller
668186	96354	Muchacha Cota de Caballo
668186	134432	
668186	135353	
668186	216079	
668186	259845	
668186	294519	Girl at Pool
668186	379815	Catalina Morales
668186	380104	Mary Ann
668186	380269	
668186	385416	Vilma Gaxiola de Larios
668186	386795	
668186	392653	
668186	396604	Ruth Reyna
668186	401068	Bernarda
668186	405955	
668186	408709	Georgina
668186	410093	Isabel Franco
668186	410317	
668186	412184	Angélica Perdomo de Haro de R
668187	65754	Rave Dancer
668188	80022	Dr. Lexie Brooks Carver
668188	80023	Dr. Lexie Brooks Carver
668188	80791	Cally
668188	117395	Michelle
668188	120121	Sissy Baker
668188	141162	Brenda Kincaid
668188	143874	Cynthia Beale
668188	167015	
668188	189283	Lilah
668188	323989	Kimmie
668188	328033	
668188	328608	Robin
668188	385824	Dr. Alexandra "Lexie" Brooks 
668188	393472	Ellie Mack's secretary
668188	395023	Diana Moses (1989-1990)
668188	404282	Toni Carlin (1984)
668188	408688	Daisy
668189	395491	Sarah Phillips
668190	237008	Woman in Crowd
668191	362578	
668191	401689	Karen Jones (1992-)
668192	21304	Herself
668193	139151	Groupie
668194	157968	Herself
668194	227005	Herself
668194	256350	Fairy Godmother
668194	339597	Theresa
668195	131232	Maypole dancer
668197	37178	Checker at Ralph's
668197	75366	Cheerleader #1
668197	151761	Piano Music Lecture attendee
668197	171050	Catrina
668197	241348	Scarlett-Gorgeous Twin#1
668198	220276	Parisian Dancer
668198	314108	Dancer
668199	11950	Danielle
668200	7619	The Female
668200	10782	Barbara Dean
668200	30311	Sharon - Barmaid
668200	116924	Vida
668200	245272	Jenny
668200	386339	Rachel Levin
668200	390648	Susie
668201	123922	
668202	74113	Little Girl in Garden
668203	191037	Linda
668204	44259	Senora
668205	96799	Peggy
668205	99951	Bates Maid
668205	141422	Mandy
668205	190724	Joan Poole
668205	329917	Becky
668205	352682	Complaining customer
668205	360556	Contestants (UK version)
668205	379255	Sharon Bott
668205	387027	Mary
668205	388486	Kelly Chadwick
668205	399463	Linda
668205	407452	Mandy
668206	30658	Elevator Operator
668207	83635	
668208	232350	
668209	272325	Henchwoman
668210	209728	
668211	371043	Patsy
668212	395227	
668213	20625	Extra
668214	102500	Leif's Pregnant Girlfriend
668215	326854	Rosie
668216	79838	Mom
668217	394670	Molly
668218	126571	Susan
668218	358275	Lisa
668218	360266	Samantha
668219	382266	Anne-Marie Bennett
668222	362538	Winona Palmer
668223	104747	Irish entry (15th place)
668224	117713	Dancer
668225	330282	Maria
668226	28791	Dot
668226	108425	Kirsta
668226	154006	
668226	402141	Deborah
668226	402611	Suzie Smith
668227	268866	
668228	123422	Herself
668228	128773	Herself
668228	273315	Herself
668228	320125	Herself
668228	320149	Herself
668228	407079	Herself (12 Days, Maraamu Tri
668229	100880	Woman
668230	48923	Vampire
668230	144379	Woman
668231	151732	Belly Dancer
668232	192267	Wife at Fortune Teller's
668234	347069	Parishioner
668235	299688	Shakira
668236	77143	Girl in Bar
668236	119466	Rave Girl #1
668236	150813	Shelley
668236	230353	Jessica
668237	61327	Tyler
668238	3177	Zelda
668238	132756	Studio Girl
668238	169175	
668238	186697	
668238	264205	Ovule
668239	309542	Dj shawna
668239	350186	Sheila
668240	14005	Jennifer
668240	82837	Eve
668240	119466	Marna
668240	182955	Tammy Jordan
668240	203329	Anna
668240	218180	Lizzie Borden
668240	220821	Mordeen Miles
668240	367873	Samantha
668241	4642	Jenny
668242	53284	Wet T-Shirt Contestant
668242	92664	Abigal Van Helsing
668242	95801	
668242	128772	On Air Talent Ron & Ron Radio
668242	150476	Mina, the Lesbian Vampire
668242	173927	
668242	309205	Herself
668243	151732	
668244	16677	Voodoo Dancer
668245	2301	Herself - Best Supporting Act
668245	2548	Herself - Presenter
668245	3021	Herself - Past Winner
668245	3053	Herself - Past winner
668245	3692	Herself
668245	3905	Herself
668245	6955	
668245	7089	Aunt Polly
668245	7591	Herself
668245	19291	Liz Templeton
668245	32562	Janet Walker
668245	35781	Gina Rowe
668245	42337	Herself
668245	42433	Betty Barnaby
668245	50443	Evelyn Harris
668245	55550	Julie Jordan
668245	59571	
668245	60950	Jenny
668245	61710	Betty Tisdale
668245	70563	Herself
668245	72023	Elizabeth Marten
668245	72869	Charlotte
668245	89240	Ethel
668245	99449	Lulu Bains
668245	104986	Constance Dobson
668245	108329	Helen Doss
668245	116011	Janice Claridge
668245	118529	Herself
668245	118888	Herself/Interviewee
668245	127480	Elly Morton
668245	128760	Anne Baldwin
668245	131074	
668245	133518	Narrator
668245	138700	Herself
668245	138772	Flo
668245	150520	
668245	154221	Herself
668245	159874	E.F. Crown
668245	161377	Herself
668245	161573	Karen Williams
668245	164443	Herself
668245	185168	Joan Muir
668245	192636	Jenny Dolan
668245	204522	Bunny
668245	223027	
668245	223065	Marian Paroo
668245	230409	Linda Cabot
668245	238256	
668245	239414	Laurey Williams
668245	249536	Shirely Partridge
668245	252528	Suzie Murphy
668245	256146	Ethel Jeffries
668245	271343	Aunt Sis
668245	278221	Host/Herself
668245	280364	Hostess
668245	292527	Marigold Marado
668245	300304	Kevorkian, School Nurse & Fun
668245	301682	Katherine Johnson
668245	324546	LaDonna Carey
668245	329984	Susanne Millard
668245	330772	
668245	332455	Amy Martin
668245	343104	Marty Purcell
668245	360366	Herself
668245	364324	Sarah Laver
668245	366236	Eleanor Anderson
668245	371375	Laura Talbot
668245	387120	
668245	397401	Teresa Lewis (1998)
668245	400914	Shirley Renfrew Partridge
668245	405170	Shirley Miller
668246	121528	Airline Passenger
668246	201260	Principal Swing Dancer
668246	207171	Third-World Prostitute
668246	333685	Party-Goer/Convention Attende
668246	362543	Journalist
668247	39419	
668247	323852	
668248	37374	Michael's New Woman
668249	144388	
668250	206618	Nadesico Crew D, Lt. Female
668252	215563	Musician
668253	138864	Mary Thomas
668254	95785	Sonja
668255	141579	Elements
668256	22954	Herself
668257	2275	Herself
668257	161265	Herself
668257	161309	Herself
668257	161379	Herself
668257	358807	Herself
668257	358808	Herself
668257	393692	Host
668257	410171	Herself
668258	104770	Austrian entry (13th place)
668259	35402	Olivia Rose
668259	122180	Denniel's Mother
668259	155832	LoriBeth
668259	239891	Ruth Wilgus
668259	283305	Young Girl
668259	299870	Sam
668259	312909	
668260	243479	Mexican Dance
668261	129953	Snakegirl
668262	404714	Sylvia Pennystone
668263	316863	Lisa Brent
668264	26620	Audrey
668264	29320	Bank Barrister
668264	41226	Doctor
668264	80517	Shirley Bell
668264	99860	Haley
668264	108926	Betty Marshall
668264	116289	Elsa Chauvel
668264	137580	Nicki Onslow
668264	152688	Adele Shadlow
668264	222203	Deborah Mullens
668264	232470	Fay
668264	302763	Gynaecologist
668264	314719	Woman Next Door
668264	379396	Landlady
668264	385028	Sister Pat
668264	396105	Joyce Smith
668264	399130	Pam Willis (1990-1994, 1996)
668264	402012	Maid
668264	402197	Kathy Hall (1981)
668264	405616	Sue Bennett
668264	407650	
668265	194696	Woman on Beach
668268	70882	Herself
668268	133412	Performer
668268	163348	Herself
668268	283798	Herself
668268	302625	Co-Presenter
668268	385019	Herself (Series 1) (2003)
668268	385020	Karen Phillips/McDonald (2000
668269	10007	
668269	170366	Lillian (younger)
668269	280655	Slave Girl #2
668269	364510	
668269	365657	Alley Rape Victim
668270	93974	Countergirl
668271	270840	
668272	232278	Christine
668273	72851	Cheerleader
668274	41942	Janiece
668274	44108	Nikki
668274	47993	Sheila West
668274	53323	Cindi, Girlfriend #2
668274	71869	Julia
668274	140953	Lisa Clark
668274	151609	Laura Leeton
668274	151625	Anna's Great-Grandmother
668274	177630	Nadine
668274	183387	Theresa
668274	192219	Lucille
668274	193898	Margaret Wright
668274	231099	D'Wana
668274	234913	Clorie
668274	240786	Jackie
668274	341931	Kia
668274	342769	Tracey Johnson
668274	368110	Tanya
668274	385652	Callie Timmons
668274	389072	Barbara Jean 'Bobbi' Seawrigh
668274	400253	Tonya (2001)
668274	408690	Alicia Mitchell
668274	409996	Tina (1997-1998)
668275	1529	Customs Technician
668275	54209	Ice cream cashier
668275	209156	Sarah Hooks
668275	230933	Child Model
668276	15055	
668276	56583	Herself
668276	140310	Caroline Gooden
668277	71314	Cadet Babbette
668277	200184	Fuu Hououji
668277	350928	P.J.
668278	338638	Mocha Band Member
668279	304820	Loan Officer's Daughter
668279	399699	Karen
668280	155912	
668281	188453	'Likes' Girl
668283	71127	Margo
668283	368809	News Reporter
668284	342880	Midge
668285	60763	FBI Agent
668285	69961	Reporter
668285	192248	Pamela Hargrove
668285	241319	Louise
668285	365657	Sarah Baldwin
668285	379018	Betty Malloy
668286	343387	Crew Woman
668288	44284	Babysitter
668288	45639	Street Band
668288	94451	Herself
668289	134704	
668291	149332	Amy
668292	4369	Townswoman
668292	12763	Mrs. Merchant, Moviegoer
668292	48539	Pirate's Wife
668292	62983	Woman Encouraging Fred to Sli
668292	64090	
668292	69230	Gossipy Townswoman
668292	72438	Old Lady
668292	78528	Concessionaire's Wife
668292	87794	Juror
668292	93572	Pub Extra
668292	94129	Mrs. Reall
668292	114595	Flower Lady
668292	116222	Flower Woman
668292	128582	Passerby
668292	133966	Mrs. Heise
668292	140790	Flower Woman
668292	151339	Mrs. Tossel
668292	152208	Flower Woman
668292	156939	Woman at Funeral
668292	157913	Tiny Woman in Theater
668292	160432	Maid
668292	162362	Little Woman Who Wants a Divo
668292	183591	Woman
668292	183637	Bit
668292	183654	Woman
668292	189152	Townswoman
668292	190061	Townswoman at Fair
668292	198436	Woman in Mob
668292	202536	Jailbird seeking cigarette
668292	202992	Miss Bule
668292	210432	Trolley passenger
668292	224611	Flower woman
668292	230856	
668292	234803	Bit Part
668292	234910	Flower Woman
668292	245545	Extra Walking Outside Buildin
668292	245628	
668292	266179	Bit Part
668292	269861	Nell
668292	295470	News Vendor
668292	297180	Flower Woman
668292	305442	Diminutive pedestrian
668292	312795	Dancing Girls's Mother
668292	313346	Garbage Lady
668292	315748	Lady in Revolving Door
668292	319073	Townswoman
668292	323206	Wardrobe Woman, Venture Pictu
668292	345860	Bondswoman
668292	363758	Woman Donating Soup
668292	367462	Townswoman
668292	372179	Pedestrian
668292	372641	
668293	200910	Self
668294	141666	Agnes Ritchie
668294	164560	Juanita
668295	26291	Sharika
668295	37047	Penny
668295	47117	Sofia
668295	240785	
668295	257571	Natasha
668295	257696	Tina
668295	342925	Cop
668295	390348	Cassie
668296	105069	Isabella
668296	196960	Mrs. Cutler
668296	239607	Photographer
668296	302143	Rebecca
668296	327240	Jilly
668296	382279	Marjorie
668297	95394	
668298	388348	Judy Winslow (#1)
668299	44433	Woman at Site
668300	321700	
668300	321701	
668301	318866	Minny
668302	20552	
668302	38500	
668302	79117	Babaing Lawin
668303	120800	Sherri
668303	273826	Saloon Whore
668304	19778	Honey
668304	123107	Score
668304	176528	Additional Voices
668304	277456	Score
668304	394420	Kana Matsumoto, Additional Vo
668304	410258	Erika Tinen
668304	411449	Ran Tendo, Additional Voices
668305	210741	Neuralyzed Daughter
668306	24156	
668307	26291	Co-Worker
668308	105891	Bellevue Nurse
668309	202196	Herself (youngest sister)
668309	273337	Herself (sister)
668310	194684	Baby Twin
668311	395879	Rhiannon Lloyd
668312	154902	Hotel Maid
668313	52810	Iwanna Davies
668313	61954	Library Assistant
668313	80696	Waitress
668313	99068	Aunt Maggie
668313	107171	Ina
668313	116536	Mary
668313	190166	Judith
668313	214465	
668313	219432	Irene O'Farrell
668313	270646	Girl
668313	307687	Gwen
668313	329917	Catharine
668313	339854	Di
668313	392171	Angharad Morgan
668313	393073	
668313	395532	Megan Lloyd George
668313	403574	Rox
668313	407354	Sian
668314	73561	E.R. Nurse
668315	47980	Additional Voice
668315	72864	Mary-Belle Monahan, aka Mary 
668315	79852	Mrs. Preston
668315	97427	Girl
668315	122743	Party guest
668315	124224	Secretary
668315	145539	Stewardess Imhoff
668315	169016	
668315	185735	Lady writer
668315	185770	Evelyn Gern
668315	253345	Judge Elinor Harrelson
668315	253352	Judge Elinor Harrelson
668315	253358	Judge Elinor Harrelson
668315	253361	
668315	253363	Judge Elinor Harrelson
668315	253364	Judge Elinor Harrelson
668315	285397	Thyra
668315	316325	Mrs. Gerandi
668316	347533	
668317	53220	Patientin
668318	25141	Yvette
668318	66835	Colette
668318	86437	
668318	92048	
668318	101881	
668318	148769	
668318	198566	La femme de chambre
668318	235821	Germaine
668318	307136	La serveuse au Zénith
668318	322362	Rita
668319	366683	Hooker
668320	55756	Jessie
668320	117941	Emma
668320	120670	
668320	148729	Assomption
668320	217643	Une spectatrice
668320	261779	La petite poule
668321	205726	
668322	57654	Elaine's Book Party Guest
668322	330609	
668322	363585	Herself
668322	383802	Herself
668323	24746	Louise van Hansschot
668323	30756	Mieke de Wit
668323	32372	Roza Moreels
668323	34273	Directrice
668323	42878	Vrouw van de Kolonel
668323	76726	Moeder van Mies
668323	98769	
668323	139436	
668323	147298	Mirabelle
668323	191410	Moeder van Sam
668323	202625	Danny Gisberts
668323	213562	An
668323	217062	Alda Verstappen-Pieters
668323	231672	
668323	231711	Marie
668323	234975	Showbizz dancer
668323	250422	Mies Evertse
668323	263302	
668323	281371	Angelique
668323	287235	Marga
668323	289877	Danny Gisberts
668323	317184	Wendy
668323	325710	Mareike
668323	328678	Moeder
668323	333742	Tom's sister
668323	350310	Rosa Leroy
668323	352029	Mary van der Laan
668323	354088	Ria
668323	379254	Lisbet
668323	388164	Fientje Berger
668323	400294	Dochter (1992)
668324	69497	Odette
668324	165354	Elly
668324	285702	Liliane (oud)
668324	357356	
668324	357380	Inez
668324	365706	Emma
668324	378813	Herself
668325	112471	Lynn
668325	181799	Herself
668325	382878	Herself - Host
668325	382879	Herself/Presenter
668325	389126	Julia Landgraaf
668325	407614	Herself
668326	102039	
668327	112471	Jennifer's girlfriend #2
668328	178555	
668329	355986	Kung fu woman
668330	11011	Vrouw
668330	20049	Hospita
668330	33235	Margot
668330	86384	cassiere
668330	164265	Trudie 3
668330	202625	Jenny
668330	205988	Moeder van Chris
668330	231710	Wilhelmine
668330	352156	Moeder Tessel
668330	357389	Aunt
668330	407210	Nanette van Schie
668331	390242	Maartje Zandstra (1996)
668331	410441	Wieteke Molenaar (1995)
668332	263284	
668333	173831	
668333	180644	Marktvrouw
668333	325198	Moeder van Alex
668333	408221	Mimi Hanegraaf
668333	411943	Zebra (Sylvia de Ridder)
668334	397704	Dochter van Urias
668335	179039	Anouk
668336	15187	Boy in guest house
668336	149282	De Snor
668336	331575	Oliver
668336	352202	Monologue Man
668337	12338	J.C. Superstar Singer
668338	399845	Priscilla (2002); Miss Joni (
668339	37672	
668340	295721	Female Student #1
668341	174201	Woman in the audience
668341	192647	Mattias' and Malena's maid
668342	210153	Various
668342	293632	
668343	300801	Ute
668344	5680	Colet
668344	276095	Rose
668344	281494	Roos
668345	20828	Jeune fille tennis
668346	168695	Peatquoam
668347	35506	Dancer
668347	221114	TV show dancer
668348	253779	
668349	130516	
668349	136395	Yuri Matsuoka
668349	177862	Reiko Machida
668349	244498	Tamae
668350	404244	
668351	55737	Mildred Drew
668351	93659	Girl at the Dance
668351	110375	Joan Farnsworth
668351	124689	Blonde on Stage
668351	133756	Jane
668351	212747	Student Nurse
668351	278027	Mary Braden
668351	361290	Sally
668352	132231	Hildur
668353	284372	Greta Friberg
668354	24893	Helen Grey
668355	210350	Herself
668356	94258	
668357	47836	Solveig Berndtssson
668357	55190	Frasquita
668357	214363	
668357	320606	
668357	357774	Anna Hansson
668358	405539	Charlotte Ekebladh
668358	405570	Maria Jacobsson (54 episodes 
668359	84297	Elisabeth
668359	206192	
668359	284057	Blue Star
668360	144235	
668361	333068	Tanja
668362	168392	Lina
668363	2299	Mrs. Magnusson
668363	17564	Older woman looking for work
668363	17821	Hilma, cook
668363	42190	Cook
668363	48339	Sales girl at the amusement p
668363	48367	Cook at the wedding
668363	48377	Mrs. Magnusson
668363	108203	Emma, major Hessler's housema
668363	120091	The fireman's mother
668363	138526	Mina
668363	198007	Tjohanna
668363	225333	
668363	237258	Munthe's cook
668363	237580	Hanna, Efraim's housemaid
668363	288052	Hulda, cook
668363	303855	Guest at 'Ankaret'
668363	307533	Woman who wants to buy bread
668363	315362	Caretaker's Wife
668363	342306	Johanna
668363	345994	Lina, Hammar's housemaid
668364	224915	Nurse
668365	53869	Campeuse
668365	73142	Schiazke
668366	275884	Doris' daughter
668367	47836	Girl
668368	353223	Herself
668369	224477	
668370	227042	Longhaired Taxi Driver
668371	17817	Violaine Vercors
668371	23932	Herself
668371	23934	Herself
668371	31179	Presenter
668371	68097	Herself
668371	74129	Herself
668371	104773	Host
668371	138721	Herself
668371	157196	Herself
668371	163353	Herself
668371	163657	Herself/Various
668371	163672	Herself
668371	210734	Herself
668371	219954	Herself
668371	235398	
668371	273284	Herself
668371	295565	Herself
668371	299747	Herself
668371	311702	Presenter
668371	382318	Presenter
668371	382794	Celebrity Advocate (The Good 
668371	384715	Herself
668371	386617	Presenter
668371	387959	Herself - Co-Presenter (1998)
668371	390144	Herself/Hostess (1992-2000)
668371	390336	Herself - Weather Presenter (
668371	391885	Presenter (Series 1) (2002)
668371	399045	Presenter
668371	405195	Herself (Team B Captain)
668371	409377	Presenter
668372	388619	Herself
668373	336234	L'hôtesse d'accueil
668374	400951	Presenter (2004-)
668375	5187	Herself
668375	42685	Herself
668375	48206	Herself
668375	48207	Various roles
668375	48208	Various roles
668375	78267	Herself - Presenter
668375	100504	Psychologist
668375	101124	Adoptionsdame/Adoption lady
668375	119326	Herself
668375	138461	Politiet (Hell)
668375	152704	Bolette
668375	214293	Pernille
668375	302427	Puk
668375	306383	
668375	317645	Eva
668375	349905	Woman
668375	351368	Herself
668375	382319	Vivi
668375	382984	Various roles (1990-1992)
668375	388429	Vivi (1996-1997)
668375	391722	Sarahs Klient
668375	395468	Various roles
668375	407264	Herself - Actress
668376	214293	Anna
668377	184608	Black Knight #2
668377	390242	Melissa (1997)
668378	342856	Sylvia
668379	228254	Herself - Host
668379	228255	Herself - Host
668379	238593	Herself
668380	34705	Edie
668380	46368	Neighbor
668380	66589	Gladys Reilly
668380	66873	Old Lady
668380	67767	Miss Knight
668380	109931	Gene's Mom
668380	133182	Mrs. Clark
668380	137541	Bonnie's Mom
668380	142623	Mother
668380	178147	Wheelchair Lady
668380	183587	Margo
668380	187518	Ida Smith
668380	246260	Waitress
668380	254761	Esther
668380	274293	Nurse
668380	292611	Winifred
668380	316190	
668380	391566	Nancy
668380	410835	Dolores Landingham (1999-2001
668381	234832	Zuster Marie-Carolina
668381	388285	Janine
668381	395326	Jenny Platteau
668382	286101	Dívka
668383	104772	Polish entry (11th place)
668383	322012	Singer at a party
668384	28422	
668384	34872	Herself
668384	70396	Herself
668384	111579	Herself
668384	142809	Herself
668384	146640	Herself
668384	161276	Herself
668384	165567	Herself
668384	175150	Herself
668384	218538	Herself (Big Brother and the 
668384	223973	Herself
668384	232825	Herself
668384	254290	Big Brother and the Holding C
668384	279997	Herself
668384	368160	Herself
668384	368162	Herself
668385	145572	Jen Pollock
668385	192805	Molly
668386	311523	Girl in Nightclub
668387	378761	
668388	285801	
668390	66837	Det. Jane Reilly
668390	87828	Clara
668391	1729	Presenter
668391	13272	
668391	25881	
668391	34713	
668391	34903	Herself
668391	47208	Herself
668391	47210	Herself
668391	65232	Herself
668391	75524	Herself
668391	113146	Herself
668391	120478	Bar Dancer
668391	133782	Girl wearing 'only anarchists
668391	169048	
668391	169049	
668391	169051	Herself
668391	169052	Herself
668391	169053	Herself
668391	169812	Amyl Nitrite
668391	197923	Herself
668391	228303	Presenter
668391	257609	
668391	267240	Herself
668391	295880	Herself
668391	336863	Herself
668391	344514	The Streetwalker
668391	389621	Herself
668391	391319	Co-Presenter - ITV2
668391	392463	Herself (Series 3) (2004)
668392	5944	
668392	6719	Herself
668392	6720	Herself
668392	10320	Herself
668392	13870	
668392	25873	
668392	32148	
668392	34757	
668392	35516	
668392	38887	
668392	38892	
668392	41068	
668392	76232	
668392	81803	
668392	81840	
668392	91816	
668392	110738	
668392	117418	
668392	119063	
668392	139217	
668392	160234	
668392	161411	
668392	165842	
668392	166699	
668392	178923	
668392	182374	
668392	189469	
668392	199293	
668392	204030	
668392	216203	Misty
668392	228069	
668392	240728	
668392	257738	
668392	266675	
668392	273231	
668392	274133	
668392	282241	
668392	283294	
668392	301737	
668392	304600	
668392	320043	
668392	360249	
668392	364669	
668392	365268	
668392	365598	
668393	308026	Inquisitive Kid
668394	43885	Amanda
668394	79272	Sock Puppet Actor
668394	85002	Second MacGrislee Sister
668394	223807	Nancy #2 friend #1
668394	350191	Montage Vampire At Wall
668395	390096	Tia María
668395	395872	
668395	397738	Carlota de Avalos
668395	399943	Carola del Busto
668395	408410	
668396	150880	Mrs. Chamberline
668397	310090	Narrator and TV Newscaster
668398	108382	Danielle
668399	62778	Girl in Yellow Trunks
668399	92249	Suzie
668400	314055	Herself
668401	131690	Emily
668402	244034	The Emergency Room Nurse
668402	317309	Studio Executive
668403	140517	Betty Thomas
668404	32903	Girl
668404	226873	Bride
668404	358777	
668405	140952	
668405	250651	
668405	365531	
668406	140266	
668406	140269	
668407	29690	Flame
668407	99585	Pregnant Woman
668407	109457	Mrs. Stanton
668407	202736	Pegeen
668407	214911	Mrs. Murphy
668407	372197	Phyllis
668407	382260	Tootsie Woodley
668407	389858	Terri Webber Arnett (1976-197
668407	393589	Estelle
668407	403821	Ada
668407	409067	Judy Overmeyer
668408	366425	Diner Patron
668409	222644	Ward Sister
668410	378024	
668411	308114	Praise Dancer
668412	364425	Nurse
668413	326781	
668414	315718	
668415	7884	Aerobics Coach
668415	80781	Nurse
668415	312010	Karen
668416	16600	Claudie
668416	310056	Geneviève
668416	336876	
668417	192219	Sexy lady
668417	234913	
668417	263447	Model
668417	284628	Simone Lookalike
668417	339937	
668417	378893	Entertainment Reporter
668417	381723	Herself - Guest Correspondent
668417	402110	Model (episodes 1-9)
668417	402111	Model
668417	402113	Model (2001-2003)
668418	222592	Earl Carroll Girl
668420	224326	Customer
668421	36933	
668421	36940	
668421	81400	
668421	324770	
668421	327780	
668422	244933	Peggy
668423	212718	Herself
668425	166917	Women's Group Member
668426	144837	Chemist Shop Assistant
668426	360269	Herself
668426	382297	Herself - Presenter (1990-199
668426	383733	Herself (Series 1) (2001)
668426	385014	Herself
668426	397058	Presenter
668426	405934	Presenter (1996-)
668427	182923	Donna
668427	265511	Francesca
668429	259615	Susanne Neuhaus
668430	163321	Grace
668431	3018	Dorothy Clark
668431	33745	Mitzi Stressman
668431	39668	Ann Bradbroke
668431	43469	Judy Peters
668431	51641	Betty Wright
668431	52490	Maria
668431	85110	Leonie
668431	92229	Julia Pearson
668431	142363	Ann Mitchell
668431	157686	Carmiña Rivas
668431	194966	'Pest' Curwood
668431	195721	Marilyn Crawford
668431	214327	Nancy Smith
668431	241519	Letty McGinnis
668431	279478	Mary Agnew
668431	291314	Herself
668431	291964	Martha Edwards
668431	299195	Kit Corbin
668431	316903	Mary
668431	318927	Lucy Lee's mother
668431	323174	Tanya
668431	324229	Bianca
668431	329587	Dorothy Whitney
668431	361927	Maggie May 'Persimmon' Chilco
668431	366182	Rose Brentmann
668431	368244	Song and dance principal
668431	372737	Constance Sinclair
668432	53290	
668433	89364	Female Inspector
668433	175621	Guest #1
668433	190209	Charlotte
668434	177989	Harem Showgirl
668434	407170	Regular (1949)
668435	365285	
668436	129913	Female vox pop
668437	301488	Priscilla
668438	177660	Silver Legacy Maid
668438	244034	Nurse #3
668438	316760	Richmond Citizen
668439	195834	Layla
668440	314108	Dancer
668441	219678	
668442	150560	
668443	296047	Starica VI
668443	373764	
668444	185537	Nurse
668445	281058	Supermarket Cashier
668445	382663	Mary Warner
668445	394505	Ann Mills
668445	403777	Gillian Chiselhurst
668445	405088	Matron
668446	10596	Switchboard Operator/Salvatio
668446	73500	Girl
668446	112745	Woman prisoner
668446	133807	Maid
668446	146011	Lodge guest
668446	151041	Chorus Dancer
668446	279322	Woman
668446	305934	Patient
668446	363282	Woman
668447	93709	
668448	340603	Herself
668449	13084	
668449	49881	Lupe
668449	67673	Maria Antonieta
668449	73083	
668449	73548	
668449	212455	
668449	221894	
668449	234391	
668449	385941	
668449	396853	
668449	397569	
668449	398801	Mica
668449	402051	
668449	403786	
668449	409761	
668450	340603	Herself
668451	119626	Casting Assistant
668452	371059	Mrs. Ziegler
668453	150650	
668453	292470	Goldwyn Girl
668454	52869	Herself
668455	127237	Black Girl (Art Class)
668456	96836	Rachel Phelps
668457	381909	Herself (2nd Banished, 29 Day
668458	340603	Herself
668459	95489	Jeneen
668460	339388	Witness
668462	340603	Herself
668463	329437	College Student
668464	47421	Candie
668464	53059	Gretchen
668464	60179	L.A. Susan
668464	252292	Jade
668466	171079	
668467	63422	Bit Role
668467	69338	Autograph Fan
668467	230731	Bit Part
668468	217502	Bookstore Lady
668468	272764	Mother
668469	167099	WAC Sergeant
668469	308382	Ghenia
668469	343160	Showgirl
668470	44884	Emily
668470	109210	Boatwife
668470	154119	Joan Marlowe
668470	194354	Georgia
668470	210901	Zoravac's Wife
668470	335657	
668470	368918	Brunette
668470	384741	The Queen of Mercury
668470	391413	Host
668470	403604	Zoravac's wife
668471	54551	Mrs. Randolph
668471	95274	Lavinia Whateley
668471	107175	Louise
668471	154152	Mrs. Robertson
668471	255445	Bar Girl
668471	367633	Muriel
668472	66386	Mireille
668472	95854	Nina
668473	41179	Girl in Cafeteria
668473	298239	Mrs. Beamer
668473	349823	Banker
668474	271297	Girl
668475	26823	
668476	13941	Woman Reporter
668476	37525	Chris
668476	42304	Tina
668476	79495	Rose
668476	124523	Martha
668476	150854	Doctor
668476	196172	Judy
668476	224364	Stella Kovacs
668476	255694	Sarah
668476	350432	Phyllis
668476	393225	Herself (Glea Girl) (1966-196
668477	160309	(special thanks)
668478	78725	Girl #2
668479	397693	Young Katherine (1996)
668480	49506	Alix Bellini
668480	94105	
668480	263803	Herself
668481	14976	
668481	258511	
668481	288050	Sara Dane
668481	304916	Wendy
668481	395185	
668482	39989	
668483	254414	Background Player
668484	317309	Rising Star Squatters
668485	51990	New Prisoner
668486	308558	Peaches
668487	79431	
668487	102829	Katie (Coochie Tribe)
668487	102838	Barbara
668487	128445	
668487	129188	Lesbian Axe Gladiator
668487	160372	
668487	201665	Herself
668487	224387	
668487	282561	Party Girl
668487	301840	Jackie
668487	350215	
668488	178975	V-Six Model/Cheerleader
668489	340603	Herself
668490	389858	Kate (2002-2003)
668491	113311	Allison
668491	167704	Jersey Girl
668491	267429	Misha
668491	273428	Liz
668491	347902	
668493	132185	Serena van der Woodsen
668494	314811	Daughter
668495	132912	Commercial Voice
668495	213105	Pedestrian #6
668496	130167	Jane Corbin
668496	161490	Quinn Sickles
668496	292479	Stephanie Hurst
668497	143264	Viola Wickstead
668498	172580	
668499	185593	Weeping Mother
668500	72102	Katie
668500	371374	Extra
668501	11672	Molly McGee
668501	141667	Molly
668501	143634	Molly
668501	194209	Molly McGee
668501	205179	Molly McGee
668501	248117	Molly McGee (on her radio sho
668501	260474	Molly McGee
668501	330908	Molly McGee
668502	1761	
668502	39168	
668502	47862	
668502	67133	
668502	71580	Donna's mother
668502	76956	
668502	88192	Betty Brant
668502	92432	
668502	92606	Ghost
668502	130721	Diane
668502	143323	
668502	150856	
668502	154718	
668502	160329	Irene
668502	175794	
668502	183669	Lady Godiva
668502	206521	Marsha
668502	223361	Sally
668502	236373	(segment "An Afternoon with M
668502	266567	
668502	271890	Indian girl
668502	306211	Joan
668502	321198	Georgia
668502	337151	
668502	340377	
668502	365252	
668503	340603	Herself
668504	352149	
668505	155013	Party attendee
668506	149332	Newsbabe
668506	176865	Ms. Leslie Strong, L.P.A.
668507	213352	Gwenyth's Patient/Hanging Pro
668508	96836	Rebecca Phelps
668508	155063	Colette
668508	194635	Claire-Anna
668508	213322	Fairy/Courtier
668509	62579	Henry's Mother
668509	311518	
668510	78186	Claire Roberts
668510	154460	Cynthia Williams
668510	188342	Gerry Marsh
668510	224228	Miss Robinson
668510	298571	Alice Faulkner
668510	303479	Valerie von Sturm
668510	342910	Evelyn Smith aka Evelyn Adams
668511	26736	Undercover Police Officer
668511	42402	Curb Warmer
668511	93975	Lena
668514	221532	
668514	239542	Dylan Turrin
668515	228150	
668515	263409	
668515	351922	
668516	340603	Herself
668517	110385	
668518	139751	Molly
668518	196995	Larry's Mother
668519	133357	Rachel
668520	273124	
668520	336115	
668520	409761	
668521	386618	Contestant
668522	171079	Annoying Girl #2
668523	19420	Christina
668523	38727	Beth
668523	66313	Belle
668523	81093	Leticia
668523	123030	Edge
668523	222330	Jeannette
668523	230332	Brenda
668523	277043	Heather
668524	20441	
668525	262589	St. Matthew's Choir & Band Me
668526	288972	Sylvia
668527	208080	Sally Harper
668527	362193	Baby Jane
668528	65464	Meter Maid
668530	228604	
668531	53545	Judge
668531	336204	Performer
668531	383322	Judge
668531	383323	Judge
668532	4990	Mother
668532	160885	Edgewise
668532	300044	Additional Voices
668532	389858	Kate Wilkerson (1994)
668533	83054	Clare Wells (child)
668534	139711	Bäckerin
668535	51886	Blue Angel Vocals
668536	73484	Dr. Charlene Greene
668536	159200	Parent
668536	199109	Additional voices
668536	214090	Doll Lady
668536	327776	Caroline Jefferson
668536	385466	Cyber Citizen
668537	228677	Jane
668540	57119	
668541	29937	Herself
668541	160464	Interviewee: Girlfriend/Playm
668541	241830	Danielle
668541	257660	Herself
668541	297777	Streetwalker #2
668541	341939	Girl in Headshots and Auditio
668542	139429	Model
668542	409265	Minkki Karvonen (1998-)
668543	29570	
668544	268579	Irine
668544	286796	Mariko
668544	341240	Tekle
668545	377378	Guiden
668546	11632	Secretary #2
668547	326869	
668548	84833	Woman in Lounge
668548	185397	Soccer game lady
668548	195307	Fanny Barrow
668548	198468	Nurse Baker
668549	257869	
668550	121527	Sarah Moore
668550	141606	Sunday Morvay
668550	199238	Tessa
668550	313334	Jennifer
668550	346400	
668551	378694	Herself
668552	7431	La femme de chambre
668552	131081	
668553	193190	
668554	69180	Herself
668554	104777	Swiss entry (22nd place)
668555	143682	
668556	30437	Rhonda Cutforth-Jones
668556	39857	
668556	81158	
668556	277839	Maxine
668556	312345	Black masseuse
668556	385299	Trina MacDonald (1978-1982)
668559	50070	
668560	252926	Herself
668561	40441	Undetermined Role
668561	112745	Woman
668561	133949	Lorna
668561	168119	Camp follower
668561	345860	Villager
668561	363464	Salesgirl
668561	372632	Moll
668562	323966	Guest Starring
668563	145339	Companion
668564	65812	Elaine
668565	338000	Cathryn
668566	389192	Linn Melvold Holm
668567	45082	Angelica
668568	103804	La Chica
668569	74401	
668569	171641	Zsuzsi (segment 'Negyedóra')
668569	294160	
668569	348671	
668570	91402	
668571	30301	
668571	55001	
668571	57910	
668571	117335	
668571	127378	
668571	159666	
668571	193310	
668571	208846	
668571	294074	
668571	357514	Luisita
668572	12020	
668572	53164	
668572	287913	
668573	401879	Herself - Bellepop
668574	243689	Enviada Especial
668575	256972	Sandra
668576	91402	
668577	97370	
668577	149554	
668578	6494	
668578	8268	
668578	10440	Baraibar hijo
668578	14649	
668578	19463	
668578	24984	
668578	25687	
668578	57480	
668578	58068	
668578	74527	
668578	94837	
668578	99059	
668578	103496	Fernando, estudiante de perio
668578	103776	
668578	104140	
668578	132688	
668578	183063	
668578	193060	Millonario
668578	210180	
668578	249335	Roderico
668578	253386	Medusa
668578	284584	
668578	289488	Mino
668578	294077	
668578	378399	
668579	130558	
668579	353675	
668580	24172	
668581	132750	
668582	308382	Raider
668583	408494	Anne-Ma Löwer
668584	410203	Participant (2001)
668586	160739	Tess Andersson
668586	282350	Mademoiselle Adler
668586	283758	Martina a Tani
668587	198838	
668588	65598	Panelista
668589	212132	
668590	104455	
668591	89397	Pimpolho's Mother
668592	383355	Fadinha
668592	404888	Eleonora
668593	83486	
668594	354191	
668595	245444	Herself/Velhinha no Parque
668595	385442	Herself/Velhinha no Parque (s
668596	162913	
668597	8581	
668597	30275	Suely Borel
668597	57465	
668597	108728	
668597	256153	
668597	306639	
668598	57202	
668599	358170	Swimmer
668600	397616	MDPD ASU Animal Cruelty Inves
668601	215664	Miss Washington Teen USA (Top
668602	3017	Mother
668603	46981	Sexy Bar Maid #1
668604	367951	Herself
668605	196370	Lorraine's Pool Friend
668606	330375	
668607	23535	
668607	308415	Pascale
668608	238552	Gloria
668609	66192	Nancy Drew
668610	265575	Mrs. Harris
668611	349538	
668612	244273	Emilia
668613	109667	Margaret Stapleton
668614	271847	
668615	85272	Tamari
668615	244250	Princess Keso
668615	255536	Tina
668616	170520	
668616	181649	Hilda Kataja
668616	187055	
668616	213374	Mrs. Markkula
668616	255759	Mrs. Keinänen
668616	264291	Hovirouva
668616	291666	Impi Ponteva, Jussin vaimo
668616	341561	Erkki's mother
668617	180507	Pikkutyttö junassa
668618	53215	Little Miss Cornshucks
668619	102656	
668619	225256	Anja
668620	284456	Jo's double
668621	207656	
668622	406391	Sally Popyatopov
668624	189767	
668625	400481	Zenska
668625	406316	Stokiceva supruga
668626	339714	
668627	48694	Betty Uhl
668628	189598	Frau Zinngruber
668628	237717	Uraltberlinerin
668628	302761	
668629	342587	Friendly English School Chum
668630	57713	
668630	75382	Myrna
668630	76812	Myrna
668630	77247	
668630	81345	
668630	115740	
668630	122738	
668630	140001	
668630	158673	Aling Elena
668630	163765	
668630	183953	Sonia
668630	198990	Bambi
668630	200018	Gloria
668630	202664	
668630	207126	
668630	208548	
668630	214774	
668630	215397	
668630	219942	
668630	222110	Magda
668630	222117	
668630	226686	
668630	251737	
668630	279690	
668630	323363	
668630	341542	Violeta
668630	364019	
668630	388282	
668630	398494	Magda
668630	404246	Marianna Fulgencio
668631	134568	Monique Adderly
668632	63079	Rosa
668632	117230	Lydia
668632	272972	Dorothy
668633	204354	Nena
668634	130666	Amazon Warrior
668634	290107	Anna, 2 Jahre/Anna, age 2
668636	13745	Herself
668637	482	Gudrun
668638	342332	Barista
668639	40815	Julia
668640	122466	Leo's Class Mate
668641	239933	Marianna
668642	7826	Louise
668642	106526	Nurse
668643	99720	Zach's Daughter
668644	318119	Mère d'Ignace
668645	141464	Maggie
668646	291000	Beccy
668648	228698	
668649	288891	Lara
668650	232630	Skating Rink Extra
668651	319902	Woman Who Has Purse Snatched
668652	308128	Harry's Old Flame
668653	366598	Girl at Window
668654	333327	Dancer
668655	83558	Dee Ann Chismore
668656	5913	Herself
668657	316609	Jeannie
668657	337381	Ninja Mom
668658	368060	The Jiving Lindy Hoppers
668659	381449	Presenter
668660	47509	Ruth Flynn
668660	144683	
668661	19599	Chandra Weaver
668661	266636	Kim
668662	60950	Annie Jo
668662	126508	Susie's mom
668662	134193	Sheila Futterman
668662	134195	Sheila Futterman
668662	135513	Janet Brophy, Party Guest
668662	177291	Salesgirl
668662	192269	Audry Fulquard
668662	259217	Mrs. Kirkland
668662	285829	
668662	292820	Syndey Wolfe
668662	295608	Interviewer
668662	305379	Wife
668662	310739	Laura
668662	311530	Jackie
668662	318441	Cho-Cho
668662	361817	Herself
668662	364356	Imogene Harris
668662	366849	Georgia Watson
668662	379759	Sandy
668662	382355	Herself (regular performer)
668662	386380	Sandy
668662	386778	Jackie Parker (1971-1973)
668662	399266	(1973-1974)
668662	402454	Additional Voices
668662	404517	Additional Voices
668663	101675	
668664	94272	Herself - Painter (footage sh
668665	237562	Woman at funeral
668665	316318	Miss Stein
668666	138243	Witness
668667	61642	Child
668667	119802	Lizzie
668667	275390	Irma
668667	365450	Felicity Buchanon
668667	385388	Kate Seaton
668668	119338	Half-Woman, Half Man
668669	17818	La jeune prostituée
668670	342659	Raven
668671	169644	Beergoggle Hottie #2
668672	113353	Mrs. Fletcher
668672	175860	Shirley Marks
668673	129201	Host
668673	129776	Sophie Duvet
668673	384585	Jo Ellison/Gifford (Series 4-
668673	387210	Herself (2000-2001)
668673	390145	Herself/Host
668673	391869	Joanne Brennan (1996)
668673	400806	Cassie Barsby
668673	407478	Clare Devon
668674	690	Dorien Green
668674	5239	Lottie Potter
668674	105655	Pippa
668674	121860	Herself
668674	138721	Herself
668674	163348	Herself
668674	179065	Val
668674	198893	Witch
668674	283798	Herself
668674	304800	Rose Farriner's neighbour
668674	363011	Narrator
668674	382101	Dorien Green
668674	382794	Herself
668674	390195	Herself - Roving Reporter
668674	399415	Rachel Culgrin
668674	403729	Melanie Goldblatt
668674	403918	Ma Pecs
668675	289090	Jackie
668676	3973	Female Prison Guard
668677	281899	
668678	34568	
668678	47847	Nurse
668678	197080	Blumenfrau
668678	210078	Frau Elend
668678	223283	
668678	312098	
668678	393408	
668679	56033	Glenda
668680	390523	Lauren Phillips (1992-1998)
668681	211843	Anaesthetist
668681	299487	Social Worker
668681	386869	Kelly
668681	387247	Della Alexander (1994-1995)
668682	105216	Customer in Salon
668683	402394	Herself
668684	380911	Herself - Top 30 (2004)
668685	113994	Dana Chong
668686	276844	Barbara
668687	222687	Extra
668688	276264	Woman in Restaurant
668688	335050	Miss Tromp's Colleague
668688	390777	Mrs. Border
668689	381821	Ensemble (1971)
668690	283021	
668691	24967	Daisy Richards
668692	257203	Mary Jessup Logan
668693	81185	
668694	262589	Shepherd - Nativity Choir
668695	87867	Collette
668696	67481	Fiona Shanks
668696	201569	Herself
668696	391759	Jess Griffin: Acute Admission
668696	406731	Herself (Series 1) (2004)
668697	213313	Dancer
668698	399379	Kate
668699	398788	Herself (folklorist)
668700	151187	Lorraine
668700	305390	Real Estate Agent
668701	63030	A.D.
668701	97644	Rita
668701	161537	Miles' Receptionist
668701	167691	Deli customer
668701	185053	Candy Girl
668701	235052	Ticket Agent
668701	249566	Debbie
668701	342685	Haynes
668702	163373	Herself
668702	216273	
668702	222674	Diane
668702	289852	
668702	318267	Transvestite
668702	338600	
668702	352535	
668702	366208	Herself - a Bear
668703	206292	
668704	50994	Herself
668705	368600	Secretary
668706	214814	Divorce Lawyer
668707	68470	Mrs. Manos
668708	222597	Rehearsal actress #9
668709	222597	Rehearsal sctress #8
668710	98659	Bit part
668711	13267	Becky Sue Stone
668712	24484	Bonnie
668712	41849	Young Emmeline
668712	139283	Deedee Botsford
668712	192254	Sue Bradley
668712	389924	Patsy Custis
668713	40315	Vera's Friend
668714	156354	Duniasha
668714	299322	
668714	316127	
668715	328301	Young Emma Greenway
668716	315783	
668717	123572	Woman Refugee
668718	130740	Chicken Lady on Plane
668719	76463	Transvestite's Wife
668720	320734	
668721	63076	Madhuri Kumar
668721	68097	Madhuri Kumar
668721	181688	Madhuri Kumar
668721	181689	Madhuri Kumar
668721	246688	Mrs. Patel
668721	319618	Secretary General U.N.
668721	360544	Mrs. Kumar
668721	383363	Vena (The Sea Captain's Tale)
668721	385020	Maya Desai (2000)
668721	388320	Aru
668721	390542	Jasbir Dhillon
668721	390714	Mrs. Rahim (1988)
668721	394896	Madhuri Kumar
668722	24252	
668723	21810	Sushma
668723	126970	
668723	227650	
668723	329372	Inspector's Girlfriend
668724	15166	Special Appearance
668724	156360	Santha
668724	160172	
668724	160223	Munni (Amar's sister)
668724	167355	
668724	181110	Selma
668724	201886	Kasturba
668724	222069	Shankar's sister
668724	278337	Special appearance
668724	288837	Amla
668724	319843	
668724	320257	Chinna (Ramulu's daughter)
668724	339960	
668724	380404	Herself (hostess)
668725	262435	Sua
668726	124783	Vishnu Prasad's mother
668727	4187	
668727	126138	
668727	168552	Girja Gupta
668727	183318	
668727	262852	
668727	318634	
668728	287160	
668728	369506	
668729	22118	Kalinga senate member
668729	59010	
668729	287090	
668729	305806	Laxmibai Tilak as young woman
668729	341637	
668730	208004	Kalki
668730	211421	Anjali Sharma
668730	354551	
668731	220369	Somali Girl
668732	131203	Tessa
668732	243654	Angelica
668732	293944	Semele
668733	28402	
668733	91268	
668733	146842	
668733	263776	
668733	286777	
668733	381182	
668734	340094	
668735	344265	
668736	192892	
668737	228707	
668738	55208	Mercédès
668738	278316	Giovanna
668739	281166	Rosaline
668740	51737	
668740	52793	
668740	58146	Narrator
668740	249460	
668740	253308	
668740	409812	Comentadora
668741	327985	Innes
668742	11047	Sophie Clutts
668742	11051	
668742	11052	Sophie
668742	11053	Betty Brown
668742	11054	Bridget
668742	11057	Sophie Clutts
668742	11058	Sophie Clutts
668742	11059	Betty Brown
668742	11060	Sophie Clutts
668742	11061	The Mother-in-Law
668742	11062	Sophie
668742	11063	Sophie
668742	22024	
668742	25370	Sophie Clutts
668742	27301	
668742	31159	Sophie Clutts
668742	31685	
668742	47678	Party Guest
668742	47723	
668742	68194	Sophie Clutts
668742	70931	
668742	77957	Elvira Hubbard
668742	128655	Undetermined Role
668742	138403	
668742	139116	Mrs. Swatt
668742	144853	Sophie Clutts
668742	149775	Sophie Clutts
668742	150454	Sophie Clutts
668742	151450	Sophie Clutts
668742	152187	Wifey
668742	153283	
668742	163219	
668742	163278	Sophie Clutts
668742	164487	Sophie Clutts
668742	185360	The Landlady
668742	193129	Mrs. Jim Wrayburn
668742	193831	
668742	193832	
668742	193836	
668742	195977	Mrs. Parsons
668742	196301	
668742	197234	
668742	197236	
668742	197239	
668742	197241	
668742	197254	
668742	197256	
668742	197257	
668742	197259	
668742	197260	
668742	197262	
668742	197266	
668742	197267	
668742	197269	
668742	197270	
668742	206179	
668742	211588	Bloggie's Wife
668742	223267	Mrs. Riley
668742	244454	Sophie Clutts
668742	245633	
668742	255395	Sophie Clutts
668742	256116	
668742	267169	
668742	269857	
668742	271959	
668742	294365	Sophie Clutts
668742	305047	Sophie Clutts
668742	305048	Sophie Clutts
668742	305049	Sophie Clutts
668742	305050	Sophie Clutts
668742	305051	Sophie Clutts
668742	305052	Sophie Clutts
668742	305053	Sophie Clutts
668742	305054	Sophie Clutts
668742	305055	Sophie Clutts
668742	305057	Sophie Clutts
668742	305058	Sophie Clutts
668742	305059	Sophie Clutts
668742	305061	SophieClutts
668742	305957	Sophie Clutts
668742	305958	Sophie Clutts
668742	305959	Sophie Clutts
668742	305961	Sophie Clutts
668742	305962	Sophie Clutts
668742	305963	Bloggie's Wife
668742	305964	Bloggie's wife
668742	305965	Sophie Clutts
668742	305966	Sophie Clutts
668742	305967	Sophie Clutts
668742	305968	Sophie Clutts
668742	305969	Sophie Clutts
668742	305971	Sophie Clutts
668742	305972	Sophie Clutts
668742	305973	Sophie Clutts
668742	305974	Sophie Clutts
668742	305975	Sophie, Slim's Wife
668742	305976	Sophie Clutts
668742	309020	Sophie Clutts
668742	309021	Sophie Clutts
668742	309025	Sophie Clutts
668742	309026	Sophie Clutts
668742	309032	Sophie Clutts
668742	309033	Sophie Clutts
668742	309037	Sophie Clutts
668742	309038	Sophie Clutts
668742	309040	Sophie Clutts
668742	309041	Sophie
668742	309042	Sophie Clutts
668742	309043	Sophie Clutts
668742	309044	Sophie Clutts
668742	311155	
668742	315323	
668742	323607	
668742	329494	
668742	331423	Alicia
668742	337105	
668742	342452	
668742	343097	
668742	346333	
668742	352592	Sophie Clutts
668742	360442	
668742	361764	Alice's Mother
668742	362936	Sophie Clutts
668742	363015	Sophie Clutts
668742	363016	Sophie Clutts
668742	363017	Sophie
668742	364840	Widow Jenkins
668742	368200	Sophie Clutts
668743	257232	Ghost/Elf
668744	321086	Johanna
668745	134289	Mary Ann
668746	149390	
668747	18999	Young Milu
668749	108768	Ilya
668750	330204	Herself (rescuer, Belgium)
668751	177172	Hildi Mauerhofer
668752	202389	Dart Player
668752	203263	Cashier
668752	224838	Carrie
668754	289325	Madre de Anna
668755	29415	
668757	249071	Woman in the metro (segment "
668758	23795	Violette Bradman
668759	190910	Hitchhiker
668760	249284	
668761	374	La mère d'Antonia
668762	377087	Criança
668763	69947	
668763	193636	Gerda
668763	278749	Field Crew Captain
668763	341860	
668764	393878	
668765	24403	Albertine
668765	62173	Huldi
668765	122312	Lisbeth Hediger
668765	156684	Marlies Jentsch
668765	178577	Rose
668765	198425	Colombina
668765	258391	
668765	290700	Sandra Grimolli
668765	322983	Eva Balmer
668765	398290	Erika Brunner
668765	405696	Bernese Housewife
668766	386219	Finalist #8
668767	231779	Rita's Secretary
668767	266758	Billy
668768	47975	Leslie
668768	64420	
668768	66899	Inez
668768	81776	Marietta Monash
668768	92410	Becky
668768	114288	Terry
668768	116357	Sidney
668768	150863	Mary Knowles
668768	208512	Karen Briggs (1973-2002)
668768	213090	Barbara
668768	214228	Claire Mullins
668768	240315	Zoe
668768	252907	Mindy
668768	272005	Det. Olsen
668768	275462	
668768	327307	Beth Taylor
668768	350437	Karen
668768	362439	Cloe
668768	368914	Stacy
668769	53313	Musician, violin
668770	19098	
668770	21438	Ginette
668770	23857	
668770	24827	Herself
668770	46197	Gwen Sloane
668770	54161	Herself
668770	55410	
668770	58416	
668770	66834	Denise
668770	71393	
668770	71964	
668770	104748	Belgian entry (17th place)
668770	124151	
668770	147240	Belgian entry
668770	189883	Herself
668770	205631	
668770	219258	
668770	292379	
668770	373877	
668770	383368	Zangeres
668770	387947	Nicole Josy
668770	387953	Herself
668770	387954	Herself
668771	58416	
668771	58856	
668771	377829	
668772	294829	Bizango Dancer
668773	228899	Estrela
668774	63635	Emília
668774	395865	
668774	398881	
668775	10238	
668775	88011	
668775	148466	
668775	211020	
668775	213736	
668775	293332	
668775	344704	
668775	395089	
668776	48829	
668776	77261	
668776	88822	
668776	222011	
668777	14701	Amparo
668777	43440	Tina, Mariana's daughter
668777	95074	Telephone operator
668777	197155	
668777	268320	
668777	269575	
668777	382520	
668777	396882	
668777	399139	Chica
668777	401534	Belarmina
668777	402638	Alexandrina Baptista
668777	409416	Natalina
668778	160728	(segment "Prisão de J.Carmo G
668778	248303	
668779	100353	
668779	394756	Herself
668780	289113	Cheerleader
668781	344688	
668782	240429	
668783	196878	Hoer
668784	347194	Herself
668785	271372	La gardienne Mornant
668786	38084	
668787	66227	
668788	10949	Elle
668788	18293	
668789	77818	Alice
668790	82508	Jeanne, mère de Nicou
668791	292890	La femme de l'escroc
668792	261607	Essie
668793	142869	Contortionist No. 2
668794	33308	
668794	53847	
668794	83007	
668794	83518	Solange
668794	103892	
668794	105865	
668794	112759	
668794	134433	
668794	158981	
668794	237936	Lúcia
668794	255798	
668794	275017	
668794	296131	
668794	306641	
668794	336318	
668794	336320	
668794	338644	Gina
668794	354869	
668795	60054	Clothilde
668795	64949	Susan (dans "Red is Dead")
668795	87497	Une réceptionniste
668795	226660	Danny
668795	356521	Femme HLM 2
668796	65166	Mme du Badoul
668796	68422	Diane Delauney
668796	104734	Host
668796	104736	Host
668796	134559	Alba
668796	148775	
668796	225408	Une dactylo
668796	262990	Joelle
668796	387959	Herself - Presenter (1959, 19
668796	398076	
668797	17855	La petite fille bloc
668797	31418	Muriel
668797	78403	Petite fille aux patins
668798	15064	Béatrice Lotti
668798	345109	
668799	60958	
668799	111114	
668799	263996	Madame Prince
668800	377991	
668801	29447	Une hôtesse
668802	63663	Real Estate Agent
668803	317309	Casting Agent #5
668804	208235	Professeur de français
668806	9340	Sonia
668806	374567	Woman
668807	24181	Blandine
668807	71141	La maman radio
668807	157227	L'hôtesse de la maternité
668807	188682	
668807	234783	Cécile Durer
668807	240429	
668807	264451	Une bourgeoise du dîner
668807	301547	Pommone
668807	316845	France
668808	105853	Dame van vestiaire
668809	364203	Stripper #1
668810	199307	
668811	175193	Shahin
668812	167158	Erica von Eide
668813	242567	Mrs. Walton
668814	3267	Brinton Groupie
668814	115529	Dylan
668814	232181	Persien
668814	235922	Shari
668814	258039	Woman
668814	294306	Tracy
668815	345413	Indienne
668816	341224	
668817	400804	Carole
668818	387560	
668819	240429	
668820	18894	Valerie
668820	19621	
668820	85584	
668820	126255	Blondie
668820	128406	Catherine
668820	135359	Voice (segment "Premier empir
668820	205643	
668820	225776	
668820	254039	Nina
668820	261850	
668820	269140	La reine
668820	286744	Hatcheck Girl
668820	345355	Marianne
668820	355969	Nora
668820	375817	Eva/The singer
668820	377718	Violette
668820	395334	Ellen Wade
668820	399758	Margaret Aldis (segment "De G
668821	188687	Le surveillante
668821	245942	
668822	398985	La seconde voisine (1974)
668823	190970	
668824	211353	Jessica
668824	331247	Gail
668824	391769	Jemma
668825	318488	Prostitute
668826	12275	Jean Tanaka
668828	72055	
668828	73719	La femme de Jean-Luc
668828	156321	La jeune fille au sac à provi
668828	338572	
668829	176837	Dame dans la rue
668830	318488	Prostitute
668831	101860	Madame Dumont
668832	24434	La couturière
668832	27693	Greta
668832	99403	Bela Luna
668832	200940	L'assistante médicale
668832	225476	Erika
668832	300671	Elizabeth
668832	336234	Peggy Richebois
668832	345522	Madame Maréchal
668833	29770	Rosine
668834	254851	
668835	353434	La bonne
668836	20625	Extra
668836	315749	Honey Girl Kate
668837	44599	Miss PennyMoney
668838	96026	Playgirl
668838	336461	Play Girl 3
668839	338614	Alfredo's Sister
668840	282101	
668841	1157	
668842	291179	Woody, Tom's Late Girlfriend
668844	346660	Fanny
668846	211741	Le fils du juge Petit
668847	23535	Maguy
668847	29415	
668847	52723	Sophie
668847	70116	Vicky
668847	83279	Monique
668847	101509	La Souris
668847	101787	Valérie
668847	123719	
668847	153840	Karine
668847	243283	
668847	255598	Yvonne
668847	322581	Babette
668847	330984	Fanette
668847	345523	
668847	355245	Marie-Anne
668847	377006	
668847	384576	
668847	387611	Françoise
668847	409540	
668848	66834	
668849	7204	Advocate
668849	20049	Hospita 3
668849	159898	Married Woman
668849	210125	
668849	332967	
668849	375228	Architect
668849	376070	Prothese-specialiste
668849	411233	Joke Anders
668850	95826	Marja Reijonen
668850	149464	Raili Tervola
668850	171439	
668850	175689	
668850	177040	Ulla Järvinen
668850	219450	Leila Roine
668850	229544	Anna Tipuli Pusu
668850	233244	Anna-Liisa, hänen sisarensa (
668850	258847	Kaisu Korri
668850	278349	Lea
668850	336405	Anja Iida Leiste
668850	350590	Teacher Liisa Harju
668850	354259	Alma Suontaa
668850	354274	Raija
668850	357593	Meeri Holvi
668851	256878	Huoltoaseman myyjä 2
668852	319302	Nainen roskalaatikolla
668853	201096	
668854	346762	La petite fille
668855	70369	
668855	152948	
668855	391558	Jody
668856	15126	
668856	57377	L'infirmière
668856	73721	
668856	124325	
668856	189162	
668856	215145	
668856	287591	
668856	377660	
668857	193354	
668857	265334	
668857	294352	
668857	371687	
668858	23818	Madame de Bulow
668858	36672	Sophia
668858	51248	
668858	60063	Cécile
668858	66078	La pharmacienne
668858	72402	L'ex-cancéreuse
668858	100280	Sylvie
668858	107835	
668858	111703	Une journaliste TV
668858	112819	
668858	120355	Martine
668858	146430	
668858	166186	
668858	168890	Sophie
668858	199944	La dame dans l'avion
668858	200952	Mimi
668858	205150	
668858	211138	Nathalie
668858	268418	La mère
668858	278911	
668858	343579	Valérie
668858	350904	Yvette
668858	377012	
668858	380501	Dorothy
668858	383547	Maître Raymond
668858	384595	Nathalie
668858	385002	
668858	395636	Vicky
668858	397938	Kiki
668858	398966	Mme Robert
668858	402846	Lucie
668860	255939	Transgadget
668860	255940	Gayleen Ho
668860	297377	Harpist
668861	245115	Crying Girl
668862	42732	Saleslady
668862	127084	Gozer
668862	128604	Model ("Tennis Anyone?" Segme
668862	151106	Twisted Nurse
668862	169862	Asa
668862	314962	Gypsy
668862	324777	Tish
668863	286730	
668863	375311	
668864	272044	Dijabola
668865	229745	
668866	76990	
668866	181239	
668866	375029	
668867	132255	
668869	45748	
668870	16298	
668870	36533	
668870	304248	Tisa
668871	83104	
668871	221340	Riba 1
668871	272606	Laborantkinja
668871	395704	Sminkerka
668871	401708	Najbolja drugarica
668872	375477	Primadona opere
668873	396592	Nada
668874	91037	Marisa
668874	397912	Ilse Kistenmann (episode 2) (
668875	6164	
668875	18969	
668875	29622	
668875	64358	
668875	73577	Miss Lofting
668875	77504	
668875	129425	
668875	139811	
668875	166646	Jelena Cetkovic
668875	172527	Lenka
668875	174976	
668875	187007	
668875	201356	
668875	209509	Herself (interviewed)
668875	222899	
668875	225944	
668875	233421	
668875	237766	
668875	242640	Lola
668875	248039	Gdja Smerdel
668875	263431	Ksenija
668875	263448	
668875	305820	
668875	311588	
668875	317294	
668875	320236	Marija Nikolic
668875	320559	
668875	396589	
668875	399008	
668875	401991	Gospodja Todorovic
668875	403668	
668876	169098	
668877	28414	Sekretarica inspektora
668877	48756	
668877	49177	
668877	72089	
668877	85159	
668877	86614	
668877	137292	
668877	137303	
668877	137713	
668877	154070	
668877	170965	Perka
668877	171911	
668877	172463	
668877	174972	Baba u podrumu
668877	181289	
668877	200794	
668877	225890	
668877	226830	
668877	227511	Ozbiljna zena
668877	242895	
668877	243662	
668877	249733	Majka
668877	266213	
668877	280565	
668877	306977	
668877	320558	
668877	324273	
668877	324446	
668877	343836	
668877	346269	Prostitute
668877	356430	
668877	357318	Mihajlova zena
668877	357323	
668877	374060	
668877	376227	
668877	382029	Prostitutka
668877	382430	Medicinska sestra
668877	394813	
668877	403623	Koka
668877	406316	Ljiljana Jankovic
668877	410363	
668877	410429	Mihajlova zena
668877	411900	Adamova komsinica
668878	337465	
668879	314651	
668880	170215	Herself
668881	201307	
668881	260398	
668881	266213	
668881	304656	Luce
668881	305193	
668881	320567	
668881	340218	
668881	357323	
668881	375319	
668881	375425	
668882	158520	Bonnie
668883	236049	
668884	209509	Herself (interviewed)
668885	374667	
668886	81509	
668887	251320	
668887	251926	
668888	230484	Maceha
668888	230485	The Wicked Stepmother
668889	396771	Vera
668890	246858	
668890	386526	
668890	394111	Pevacica
668891	65099	Eva
668892	354325	
668893	229624	
668894	49740	
668894	91108	Sali
668894	320330	
668894	386110	
668894	390388	Mladja kucna pomocnica
668894	395704	Mima
668895	253996	
668895	333713	
668896	323804	Hotel Housekeeper
668897	64715	Vania enfant
668898	137258	Kid in Airport
668899	137258	Kid in Airport
668900	19303	Sophie
668900	40187	Mercury
668900	100112	Anna Heymes
668900	105312	Nurse Edna
668900	114363	Nina
668900	118279	Maria
668900	157240	Newscaster #2
668900	205496	Maria
668900	350247	Una
668900	372770	Paloma
668901	46607	San Juan Saleslady
668902	392903	Maja Marinic
668903	40438	Yvette
668903	72165	
668903	121955	
668903	129351	Kolombina
668903	136798	Kresina zena
668903	178740	Zena (segment "Poslije Predst
668903	180696	
668903	206669	Zorica
668903	266970	
668903	320556	
668903	320710	Marica
668903	356069	
668903	388827	Countess Olga
668903	409296	Laura
668904	28413	Tiki
668904	400502	Milica Jakovljevic
668905	34189	Herself
668906	49740	
668906	73578	Dadai's Girl
668907	344256	
668908	3113	Nun
668908	4753	Fancy Lady
668908	47461	Waitress, Rachel
668908	102376	Michelle
668908	107924	Flight Attendant
668908	117958	Davis
668908	211354	
668908	230861	Escort Girl
668908	232510	Defense attorney
668908	258878	Cybille
668908	275598	
668908	296829	Murnau's Crew
668908	297972	
668908	410582	
668909	217002	Troupe
668910	187852	
668911	411885	Zuril (3rd voice)
668912	83829	Secretary
668913	81509	
668914	211732	Mother
668914	214191	Molly Fearon
668915	507	
668915	59350	Mildred Harris
668915	65085	Lucia
668915	80050	Michelle Burroughs
668915	95135	Fangora
668915	107281	
668915	112205	Leeloo
668915	112206	Leeloo
668915	140783	Dakota Burns
668915	151117	Erin
668915	181545	Maya Carlton
668915	201537	Herself
668915	211824	Joan of Arc
668915	214090	Eloise
668915	232273	Lily McLeod
668915	257753	Herself
668915	276239	Alice
668915	276240	Alice
668915	276893	Lilli
668915	326740	Herself
668915	343017	Samantha Delongpre
668915	344663	Violet
668915	352985	Herself
668915	372261	Nadine
668915	375827	Katinka Ingabogovinanana
668916	339593	Stunning Girl
668917	105764	
668918	254987	Magda
668918	296660	Otra Surf
668918	306701	Marga joven
668918	334667	Lola
668918	369870	Herself - Presenter: Best New
668918	384795	Arancha (1998-2001)
668918	403745	
668919	409547	Geena Fabiano
668920	199475	Japanese Woman #2
668921	383619	
668922	387533	Kirsty Hutchinson (1997, 45 e
668923	137567	Tabletop Dancer
668924	125484	Herself
668925	397397	Herself
668926	34828	
668926	39355	
668926	91070	Herself
668926	102834	Herself (performer, Michelle'
668926	397397	Herself
668927	329915	Baby
668928	12217	Topeka Partier
668929	270645	Herself
668931	264742	
668932	309844	Betty Carter
668935	88867	Dream Girl
668936	70178	Rebeca
668937	158873	Helpful female motorist
668938	298083	
668938	318778	Sam
668939	20271	Kaminoff, the Professor's Acc
668939	64542	
668939	128218	Corrine
668939	128467	Marie
668939	140549	
668939	141265	Undetermined Role
668939	184884	
668939	192038	Nan Griffing
668939	193266	Martha Mason
668939	213096	Marylee Depue
668939	215602	Sallie O'Brien
668939	233511	Dot Jarvis
668939	239595	Violet
668939	254541	
668939	323967	Genevra, age 5
668939	359124	Bab Fanning
668940	139073	Spectator
668941	34003	Helen Desareé
668941	83877	Laurel Elliot
668941	92496	Mary Riley
668941	106821	Shelley
668941	230412	Nancy
668941	380013	Judy Surgick
668942	92302	Minnie
668942	110278	Mabel Ann Jackson
668942	154959	Mourner
668942	195740	Huge Woman
668942	211439	Lana
668942	312062	Sista #4
668942	367844	Betina
668944	52820	
668944	96529	
668946	92619	Julie Farrell/Vampire (Medina
668946	277078	Cathy Knight
668948	60753	Cheryl
668948	107086	Louise Fontine
668949	13320	Italian Class Student
668950	5561	Lilith
668950	9035	Celia Hansen
668950	16697	Babe Scott
668950	24504	
668950	26616	Sally Lockwood
668950	33513	Sue Ives
668950	40747	Hope Martin
668950	41761	Marguerite
668950	49673	Bunty Biggar
668950	53787	
668950	59150	Gwynne Evans/Ava Graham
668950	64894	Maria
668950	65677	Antoinette B. 'A.B.' Allen
668950	92136	Nance Pelot
668950	93593	Fifi
668950	104933	Eve Corbin
668950	114164	Grace Clinton
668950	116574	
668950	116947	Mary Martin Williams
668950	126736	
668950	128569	
668950	138284	
668950	142453	Judy Nichols
668950	143142	
668950	143229	
668950	143272	
668950	145870	Joy
668950	146263	Mrs. Carey
668950	147633	Cameo appearance
668950	161894	Pidgie Ryder
668950	165909	Taou Yuen
668950	171044	Mary Virginia Lee
668950	183391	Barbara
668950	195903	Eadie Gaynor
668950	196143	Martha Adams
668950	199469	Joan Ainsworth
668950	200308	
668950	203126	Florence
668950	203571	Rita Pring
668950	203798	Nan Payson
668950	204743	Lydia Thorne
668950	206343	Helen Canfield
668950	211819	
668950	214734	Minnie
668950	219774	Laura Sergeant
668950	234242	Roxanna Smith
668950	239821	Mrs. Julie Carter
668950	241313	Emily Dare
668950	243259	
668950	244361	
668950	261897	Katherine Colby
668950	263586	Extra
668950	274355	Martha Simpson
668950	275232	
668950	278242	Rosalie Eventurail
668950	288683	Iris Van Suydam
668950	290295	
668950	291313	Herself
668950	300106	Cameo appearance
668950	301690	Lisa Coburn
668950	304622	Susie, his daughter
668950	305601	Alice Drydan
668950	310718	
668950	316276	Susie
668950	317142	Mary McGregor
668950	320246	
668950	320251	
668950	320254	
668950	323787	Sui Sen
668950	327684	Mary Leigh
668950	331709	Farmer's Daughter
668950	340011	Ann Land
668950	340371	Juanita
668950	350495	Barbara Fiske
668950	356347	Georgia Rodman
668950	359978	Undetermined Role
668950	360725	Beatrice Glynn
668950	360759	Jane Hollister
668950	366051	
668950	366666	
668950	367012	
668950	372125	Edith McBride
668950	391836	
668951	119180	Lorelei Schneider
668951	208331	Peggy Guggenheim (English ver
668951	380905	
668951	406321	
668951	408949	Nellie
668952	197694	
668953	329986	Sarah
668954	53793	Couple
668954	84002	Cocktail Waitress
668954	109608	Teacher
668954	128848	Cora
668954	168331	Esther Trigliani
668954	169939	Madeleine Broussard
668954	217317	Waitress
668954	278437	Sister Elizabeth
668954	292715	Sylvia
668954	321339	Doctor
668954	364459	Goldfish Lady
668954	367768	Mother
668955	245542	
668956	381509	Regular Performer
668957	119484	Space Age Waitress
668958	264818	Resort Guest
668959	63715	Akemi Ito
668959	298905	Akemi Ito
668961	158361	Young Jenny
668963	276179	Ann
668963	297906	Maybella Merton
668964	223131	
668967	204403	Child artiste
668967	316329	Cabaret Girl
668967	348241	
668968	353228	
668969	290424	
668969	305418	
668971	46698	Min Lee
668971	128220	Poontang Plenty
668971	184769	Wife
668971	305418	
668972	10686	
668972	23685	Marie's mother
668972	210217	
668973	12	Mary Hamilton
668973	1053	Mrs. De Peyster
668973	5554	Eleanour
668973	6820	Florence Baker
668973	6919	The Ranch Owener's Daughter
668973	9781	Lydia Bolton/Lydia Orr
668973	10132	Melitta
668973	12427	Chick Jensen
668973	14006	
668973	14142	Princess Alexa
668973	21263	Neil Winston
668973	23591	Ruth Davenport
668973	27439	Jane Mayfield
668973	27581	
668973	31238	Sue Elwood
668973	31842	Edith
668973	32005	Lady Patricia Brandon
668973	33428	Dona Josefa
668973	35394	Preciosa
668973	40086	
668973	43224	Wynne Carter
668973	45939	Mary Halleck
668973	45959	Lillian 'The Branded Baby' Wi
668973	46880	
668973	50210	
668973	50225	Jacqueline Nevers
668973	51580	Linee Hayden
668973	52797	Rose Ember
668973	54602	Louise Greyling
668973	55638	Molly
668973	56437	Ruth Adams
668973	57036	
668973	57626	
668973	62533	
668973	62914	Esther
668973	65724	Helen Dana
668973	67322	
668973	71674	
668973	71789	Mary
668973	71913	Mercedes
668973	72045	Kate Curtis
668973	74668	
668973	76608	Edith
668973	77637	Mabel
668973	77815	Ethel Westcourt
668973	79425	Alice Wells
668973	80365	
668973	82022	
668973	89675	Madge Hillyer
668973	90210	Don Ramon's Daughter
668973	97691	
668973	101369	Lillian
668973	101371	
668973	105243	Florence
668973	106154	
668973	107123	Jane
668973	108397	
668973	108665	Fantasca
668973	109788	
668973	111678	Angelina Allende
668973	113465	Madeline Renard
668973	113588	Kathleen
668973	114796	Betsy Ross
668973	117020	
668973	117035	
668973	119546	Mary
668973	128119	Adele Colby
668973	128381	Ida
668973	134048	Lucilla Crespin
668973	134049	Lucilla Crespin
668973	134094	
668973	135848	The Smuggler's Daughter
668973	138154	Ruth
668973	140797	Mrs. Alice Frayne
668973	141052	Phyllis Dale
668973	141238	Alice Stewart
668973	141254	
668973	143254	Indiana Stillwater
668973	143385	Clara Weston
668973	143416	Ora Eames
668973	145027	
668973	148298	Eva Knapp
668973	151270	Betty
668973	152732	Marie Carver
668973	158241	Anne Sinclair
668973	158574	Daisy Brooks
668973	159093	
668973	159912	Claire Robson
668973	161047	
668973	166290	Jean
668973	187044	Grace
668973	191218	Shirley Rossmore
668973	191822	Madame Vervier
668973	193866	
668973	194946	Jennie
668973	195938	Summer Morn
668973	196623	Donna Maria
668973	198070	Ruth Malloy
668973	204550	Selene Herrick
668973	208704	
668973	212208	Marcella
668973	213200	Sybil Douglas
668973	215820	
668973	216160	
668973	221321	Mrs. Simms
668973	224717	Nellie Morse
668973	224773	Lizzie
668973	232775	Mrs. Nina Brent
668973	234890	Mrs. Bancroft
668973	236872	Rose, the Nurse
668973	238175	
668973	239527	Alice
668973	243404	Pepina
668973	244902	Lem's daughter
668973	245400	
668973	245639	Nellie
668973	251159	Esther Dreyfus
668973	251872	Peggy
668973	253100	Nancy
668973	253144	
668973	262034	
668973	263398	Helen Reardon
668973	263511	Barbara Ragan
668973	264187	
668973	264464	Ethel
668973	269695	Martha Wainwright
668973	270396	
668973	270430	
668973	273810	
668973	276172	
668973	277710	Harriet Renwyk
668973	277825	Madelyn Mack
668973	277830	Madelyn Mack
668973	278817	Mrs. Kent
668973	282011	
668973	282881	
668973	282882	Herself
668973	283788	Princess Olga
668973	289049	Mrs. Lawson
668973	289063	
668973	289498	Constance Randall
668973	290337	Lady Ann Teazle
668973	292554	
668973	294041	Ethel Warren
668973	296869	Sarah
668973	300081	Mrs. Mary Hampton
668973	304440	
668973	304645	Patricia Leeds
668973	304998	
668973	306049	Evelyn Dupont
668973	306594	Princess Lescaboura
668973	307361	
668973	308572	Mary O'Brien
668973	308651	Ann Fenton
668973	309252	Fanny Garland
668973	310330	Isabella
668973	310412	Marcia Van Ardale
668973	311749	Muriel, Duchess of Desborough
668973	312262	Maria Lajos
668973	314353	Helen Morrison
668973	315115	Gladys Conery, the Daughter
668973	316149	Elsie Mason/Christine Hasting
668973	316560	Evelyn Gregory
668973	316713	Pepita
668973	318320	Bill's wife
668973	321477	Bess Harris
668973	324409	
668973	327611	Millie Waine
668973	329733	Princess Zavia of Eltwich-Hal
668973	330301	The Wife
668973	330506	Annie Sands
668973	334346	Barbara Preston
668973	335683	
668973	337633	Drooping Eyes
668973	340030	Edith Merrill
668973	346895	Eugenia Burbank
668973	347607	Anita
668973	350224	Laura Payne
668973	351729	Marion Durand/Beatrice Durand
668973	353304	Marion Rogers
668973	353387	Fern Barclay
668973	354957	Mary Putnam
668973	358981	
668973	359768	Suzanne
668973	360558	Nancy Berry
668973	362726	
668973	362779	Jane Hallowell
668973	363195	
668973	363843	Elsie Farnum
668973	363912	Lady Andrea Pellor
668973	364452	Mary 'Mar' O'Neil
668973	365964	Agatha Winchester
668973	366887	Mary Turner
668973	367439	Cecelie White
668973	367761	Mary Ward
668973	372638	Anna Newton
668974	133958	
668975	369874	Speed Skating Commentator
668976	37870	Countess
668977	80926	
668978	149804	Office Worker #3
668979	244739	Susie
668980	150672	Iris
668980	176906	
668980	187420	The Huntress
668980	232090	Teacher
668980	394300	Regular
668980	404694	Jane Edwards Ames #1 (1955)
668981	5786	Max
668981	83824	Jean Cody
668981	92490	Gwen/Maria/Nurse
668981	97032	Trish (The Boss)
668981	115281	Irene
668981	140641	
668981	192267	Rebecca
668981	194487	Araporn
668981	257507	
668981	282561	Therapist
668981	288474	Miss Beezle
668981	296371	Psychiatrist
668981	329577	Herself
668981	351185	Holly
668981	366736	Miss Chaste
668982	139096	
668983	660	Herself - Narrative
668983	77980	June
668983	100673	Anne
668983	143618	Simpson Daniels
668983	154913	Lorna Gray
668983	191833	Miss Ruby Burke
668983	192122	Harriet Livingstone
668983	192331	Maris Hanover
668983	206469	Fredericka Barrett
668983	206943	Linda
668983	255877	Donna Kincaid
668983	261560	Julie Martin
668983	264776	Mary Malloy
668983	266689	Penny Cooper
668983	271293	Fern Simon
668983	278282	Jenny Killian
668983	291328	Herself
668983	297003	Laura Calvin
668983	300070	Herself
668983	311016	Jean Kingsley
668983	314433	Dale Bullock
668983	316062	Mary Carter
668983	325105	Jane
668983	325110	Jane
668983	325112	Jane
668983	325115	Jane
668983	325153	Jane
668983	331991	Louise Latimer
668983	363684	Elizabeth Woods
668984	326496	Chanting woman
668985	135812	Reporter
668986	264906	Magdalena
668987	386476	L'effeuilleuse (segment "Doub
668988	41698	Lover
668989	337494	Herself (Professor - English 
668990	128259	
668990	203286	Aunt
668990	363511	Herself
668991	50974	Extra
668991	62942	Loretta
668991	64084	Herself
668991	68872	Hostess
668991	135514	Helen
668991	149181	Jill Lansing
668991	151584	Ema Letha Kusic
668991	191257	Herself
668991	219864	Edith Olson
668991	223065	Extra
668991	235953	Marsha
668991	277055	Chanteuse
668991	318036	Marian Spector
668991	339573	Angie Weinbauer
668991	348453	Miss Jesse
668991	361688	Extra
668991	379757	Hostess (1986-1988)
668991	384359	Marsha
668991	386686	Regular
668991	392479	Herself/panelist
668991	397076	Guest panelist
668991	397077	Panelist
668991	398397	Alexandra
668991	410914	Herself/guest panelst (1973-1
668992	388462	
668993	48461	The Nurse
668993	62543	Herself
668993	65749	
668993	120826	Attorney Ross
668993	143280	Dr. Solomon
668993	201634	Herself
668993	222580	
668993	239790	Waitress
668993	273473	Libby Cumba
668993	286375	Auntie Reed
668993	293843	Betty Webb
668993	295077	Detective Waller
668993	315335	McCabe
668993	316225	Doodle Alderidge
668993	362132	Juanita
668993	403556	Eleanor Emerson
668994	143868	Sylvie
668994	160575	DCI Emily Barlow
668994	165450	Miss Temple
668994	211840	Anna Marchent
668994	339364	WDC. Scott
668994	390432	Laura
668994	392679	Ellen
668994	398703	Janet Dawkins
668994	409386	Nicky Strong
668995	356230	Model
668996	260679	Screaming Girl
668996	283561	Robin Winston
668996	341885	Reporter
668997	399850	syster Dominique (5 episodes 
668998	29523	Barfly
668999	62793	Peg O'Connor
668999	69834	Noeline
668999	319877	
669000	400515	Marjorie Lee
669001	394663	Romahna (1993)/Marta (1993)
669003	93020	Office Worker
669004	44479	Girl
669004	67156	
669004	116548	
669004	157870	Bit
669004	245421	Miss McCoy, Secretary
669004	245736	Mary Martin
669004	262324	
669004	277973	Martha Williams
669004	280995	Dolly
669004	285441	The daughter
669004	336790	Miss Grace, Radford's Nurse
669005	298127	Flower Lady
669007	48592	Woman at Show
669007	72769	Mrs. Smith
669007	277746	Servant
669007	405557	The Groundlings
669008	296178	
669009	92161	
669010	278513	Gwenda Milton
669010	310399	Boxer
669010	311828	Margaret Watney
669011	117540	Kinky Claudia
669011	314738	Kathleen
669012	235618	Lunartini Guide
669012	366617	Race Track Bettor
669013	383363	Girl (The Miller's Tale)
669014	65964	Cathy Butler
669014	209600	Yvonne Jadin
669014	238991	Scoreboard Girl
669016	46878	Constance
669016	99327	Ella
669016	232836	Young Alice
669017	75705	Angie
669018	243750	Taku Mary
669019	18635	Choir Member
669020	274874	
669020	283341	Aunt Sarah Banks
669021	7449	Claudine
669021	58235	Ninon
669021	58605	Joan Bouvreuil
669021	83270	
669021	101806	Florence
669021	110053	Lætitia
669021	202591	Lucy de Kaula
669021	268414	Miss Florence
669021	312203	
669021	336995	
669022	31617	
669022	52397	
669022	52850	
669022	57175	
669022	64518	Millie Jane
669022	78685	Ena Powell
669022	109639	
669022	128266	Girl in Panama
669022	186011	Sonia Petrovich
669022	186339	
669022	203040	Virginia Watkins
669022	213116	
669022	228575	Goldie Torres
669022	247229	Dolores
669022	259233	
669022	285659	The Fast Worker
669022	331881	Taya
669022	333429	Lida
669022	363690	Mercedes
669023	67968	Herself
669023	140335	Muffy
669023	256902	Alice Craig
669023	355541	Martha Wayne
669024	303517	Annie
669024	316782	Referee
669025	46792	
669025	86841	Eugenia Abbott
669025	144520	
669025	160930	Herself
669025	304379	Sharon Kimm
669025	341920	Unhappy Wife
669025	367429	Josie Sabel
669026	26625	Mrs. Heriot
669026	335630	
669027	61690	Jane
669027	109664	Anne Verne-Smith
669027	318796	Post Office Girl
669028	230933	Plato's Patron
669028	373216	Mattress Model
669029	25095	
669030	335120	Cousin Mary
669031	395160	Herself (third eliminated)
669031	395161	Herself (2nd Eliminated)
669032	138744	Chorus Woman
669033	11539	Mrs. Byrd
669033	26527	
669033	49874	Mrs. Hare
669033	56884	Nan
669033	59595	Woman in Cafe
669033	65573	Rita
669033	69458	Rosalind Arnold
669033	86025	Mrs. Baggerdagger
669033	108482	Anna
669033	118653	Miss Ward-Cadbury
669033	118958	Hospital Matron
669033	125986	Mildred Roper
669033	148264	Lil Wilson
669033	172664	Museum Receptionist
669033	194471	Elvira
669033	202849	Mildred Roper
669033	202979	Averil Machin
669033	229124	Mrs. Rowbottom
669033	230367	Mrs. Finch
669033	231881	Mrs. Palafox
669033	244883	Mrs. Quayle
669033	267106	Woman
669033	310446	Barmaid
669033	314508	Lennie's wife
669033	316214	Shooting range girl
669033	346944	Herself
669033	372868	Phoebe/Mrs Bewley
669033	389907	Mildred Roper
669033	396655	Mildred Roper
669033	397261	Miss Argyll
669034	296086	
669035	1422	Canteen Woman
669035	176315	Aunt Dolly
669036	353934	Christine 'Dirty Knickers'
669037	106542	Marilyn
669038	194643	Lucy Little
669039	13108	Valérie
669039	64341	Nathalie
669039	64342	Nathalie
669039	193445	Valérie
669040	12653	
669040	30253	Elfy
669040	43706	Récitante
669040	59231	
669040	61405	
669040	83266	Andrée Coche
669040	91972	Douce
669040	101160	Herself
669040	101950	Coecilia
669040	129636	
669040	134473	
669040	153791	
669040	166267	
669040	183227	
669040	188697	Zélie Fontaine
669040	189092	Micheline
669040	191555	Marie-Dorée
669040	205618	Corysande 'Chiffon'
669040	211852	
669040	228941	
669040	235709	La môme
669040	243077	
669040	254157	Rosine
669040	261810	
669040	281314	Anna, the Grisette
669040	285768	
669040	289432	Cécilia
669040	300695	la Passementiere
669040	321800	Sylvie
669040	340112	
669040	346551	
669040	350096	
669040	377635	Jeanne de Pincret
669040	412201	Thérèse Nadal
669041	85482	Specialty
669042	324422	Girl in Bar
669043	173535	Cello
669044	161253	
669044	404282	Terry Holloway (1992)
669044	404858	Herself
669045	55417	Woman
669046	23203	Herself
669046	205083	Herself
669047	365716	
669048	22869	Elizabeth Hatley
669048	309927	Lucille
669049	231907	Brigitte
669049	399529	Beth
669049	404882	Louise
669050	33979	
669050	40017	Dancer
669050	77626	
669050	128536	Dancer
669050	129810	Cantina Dancer
669050	150976	Chanda
669050	154063	Vavara
669050	171146	Looloo, Boobo
669050	195103	The Dancer
669050	241441	Salome
669050	245176	Saida
669050	264040	Dancing Girl
669050	291704	Dancer in prologue
669050	291915	
669050	301261	Ancaria
669050	308620	Conchita
669050	341929	A Cantina Girl
669050	350451	Dolores
669050	363737	Carmelita
669050	365400	Panther Lady
669051	132632	Annette
669051	315261	Betty
669051	328585	
669052	13742	Laura Messinger
669052	45001	T.V. Announcer
669052	389199	Entertainment Reporter (1996-
669052	390316	Herself - Reporter/Hostess (1
669053	176884	Aerobics dancer
669054	7093	Sarah Blue
669054	13320	Moviegoer
669054	26394	Judy
669054	43724	Blanche Barrow
669054	59828	
669054	65627	Sarah
669054	97471	Eliza Poe
669054	100198	Sharon
669054	134395	Jenny
669054	135843	Elliott's Wife
669054	154446	Donna Joy
669054	210730	Billy's Mother
669054	245275	Sherry Mauldin
669054	246708	Katelin
669054	278721	
669054	337281	Morgan Cassidy
669055	318712	Court Clerk
669056	203243	Shopper
669057	91068	Herself
669057	143091	
669058	77006	Tanya
669058	123991	
669058	227143	Wife of cashier
669058	288357	Duniasja
669058	289164	Duniasha
669058	341244	Duniasha
669058	354632	Janette
669059	378279	
669060	97541	Jewish Woman in Transport
669061	83329	Young Pammie
669062	14689	Freiras
669062	19468	Alcoviteira
669062	42564	
669062	80917	Woman standing in a coffee sh
669062	84267	Maid
669062	85597	Seamstress
669062	89802	
669062	100726	Taxi Passenger
669062	104135	Woman
669062	113210	Conceição das Neves
669062	113681	Old Woman
669062	122597	Hysterische Frau
669062	166193	
669062	188011	Zé's mother
669062	204224	António's Mother
669062	211666	La grand-mère
669062	212162	
669062	219511	Giséle
669062	222162	A Chefe da Cozinha
669062	227624	Neighbour
669062	237385	The house-keeper
669062	245844	
669062	251732	
669062	254999	Neighbor
669062	261197	
669062	265196	Domingas Rodrigues
669062	273725	Francisco's Sister
669062	283966	Une Duègne
669062	293905	Maria da Luz's Mother
669062	327096	Dª. Amélia
669062	340122	
669062	352110	
669062	352850	
669062	353652	
669062	387164	Engrácia
669062	409026	Francisquinha
669063	159958	Concierge
669063	216542	Fernando's teacher
669063	234646	
669063	268292	
669063	404077	Rita Coimbra
669064	166358	
669065	74422	
669065	130804	Braithwaite's interpreter
669065	175699	
669066	70632	Herself
669067	17369	
669068	127657	Nato
669068	175972	
669068	252563	Gossiper
669069	337277	Cute Chick in Cemetery
669070	38180	
669071	10110	
669072	37611	
669072	238938	
669073	4807	
669073	15391	
669073	16579	
669073	19044	
669073	22182	
669073	34156	
669073	38277	
669073	60585	Maeng's Mother
669073	60626	
669073	60628	
669073	61531	
669073	76659	
669073	90615	
669073	102058	
669073	102079	
669073	123492	
669073	124435	
669073	126778	
669073	126779	
669073	126804	
669073	126807	
669073	126882	
669073	129909	
669073	130278	
669073	132115	
669073	138608	
669073	144288	
669073	153424	
669073	156409	
669073	156549	
669073	165144	
669073	165521	
669073	166780	
669073	166781	
669073	168359	
669073	168888	
669073	199898	
669073	204729	
669073	218639	
669073	220132	
669073	226584	
669073	227420	
669073	227484	
669073	255742	
669073	280996	
669073	287112	
669073	288145	
669073	298736	
669073	298786	
669073	371138	
669073	371171	
669073	371253	
669073	371260	
669073	373260	
669074	270024	Yong Ji
669075	166212	Jang Su-yeon
669076	7276	
669076	7278	
669076	90451	
669077	153426	
669078	199909	
669079	111191	Zhang Yingzi
669079	268736	Xia Yi
669079	371928	Yang Yan
669080	137356	
669080	156109	
669080	163991	
669080	199904	
669080	227095	
669080	286012	
669080	286235	
669080	287937	
669080	299044	
669080	367356	
669081	156364	
669081	286599	
669081	335185	So-Young
669081	389545	Wembley Fraggle
669081	393262	Colt
669082	8781	Xu Man
669082	48446	Zi Luolan
669082	110610	Ailina
669083	225804	Herself (Figure Cyclist)
669084	100405	Rosa
669085	151895	Granny Tien
669086	22741	
669086	123150	
669087	157284	Herself
669088	80253	Monja 2
669089	31534	Mother
669089	139797	Lola
669090	184711	
669091	135712	Older Sister
669092	51480	Yang Yang
669092	232127	Black Witch
669092	354791	
669093	3326	
669093	21075	Madre Candela
669093	75444	
669093	248666	
669093	302399	
669093	353638	
669093	376717	
669094	16021	Herself - mummy
669094	99576	Herself
669094	146682	Herself - Mummy
669094	149604	Herself - Mummy
669094	158696	Herself - Mummy
669094	222301	Herself - Mummy
669094	242713	Ming-tah
669094	303657	
669095	383271	
669096	273484	La voisine
669096	345439	
669097	384390	Daniela
669097	384400	Vanessa Mendoza 'complice de 
669097	402152	Itzel
669098	221556	
669099	235998	Mujer en el pueblo
669100	146576	
669101	246881	
669101	268245	
669102	275809	
669103	301574	Maestra de Ballet
669104	87855	Waitress
669104	266071	Elize
669104	313104	Florida Girl
669105	357191	
669106	45782	Herself
669107	120098	Sen. Hart's secretary
669107	151104	
669107	164225	Roberta/Betty Jo
669107	277697	
669108	61140	Guadalupe
669109	1308	
669109	235127	
669109	247992	
669109	263275	Anna (Mom)
669109	316380	
669110	381910	Herself (Series 5) (2004)
669111	15025	L'hôtesse
669111	92043	Nicole
669111	280792	Laetitian d'Arbanville
669111	314470	Alix
669112	36418	Zawalska
669113	389782	
669113	409192	
669114	6287	Hélène
669114	10149	Griet Gemeen, handlangster va
669114	90827	Madame Jacqueline
669114	97770	Elisabeth von Ritter
669114	134540	Clara
669114	152366	Ellen
669114	166589	
669114	178447	Vrouw van de chef
669114	178618	Dame
669114	179814	Madame Van Blankenberghe
669114	184628	Vera
669114	210124	
669114	215085	Mirandolina
669114	217629	Lisa
669114	222511	Jeanette
669114	243293	
669114	248412	Tilde
669114	272663	Cyrenne
669114	314524	
669114	317229	Julia
669114	332608	Clara
669114	350299	Lulu
669114	357394	Overspelige vrouw
669114	358040	Carla
669114	359073	Joods meisje
669114	360784	Weduwe Holroyd
669114	371288	
669114	373877	Ivonne
669114	375525	Sylvie
669114	388299	Gravin (2001-2002)
669114	394604	
669114	396460	Roza
669114	396568	Mevrouw Staelens
669115	89340	Tracy
669115	134595	Nancy Thorne
669115	137499	Elsie
669116	284004	Julia
669117	3021	Herself
669117	3044	Herself
669117	80356	Linda Porter
669117	88090	Younger Viviane Abbott 'Vivi'
669117	91769	Elizabeth 'Libby' Parsons
669117	106520	Joanna Eris
669117	120080	Tina Modotti
669117	141237	Herself
669117	141544	Charlene Shiherlis
669117	144788	Claire Kubik
669117	169866	Herself
669117	169867	Herself
669117	176979	Herself
669117	178138	Dr. Kate McTiernan
669117	181545	Wife of Paint Store Owner
669117	193360	Kitty
669117	227502	Herself
669117	228434	Grace Mulberry
669117	234982	Norma Jean Dougherty
669117	234994	Pam Anderson
669117	244824	Mrs. Dale
669117	282928	Ruby Lee Gissing
669117	284001	Fredericka Rose
669117	302130	Rebecca Wenteworth
669117	305660	Felicity
669117	308011	Jane Goodale
669117	333043	Gwen Fox
669117	333347	Carla Brigance
669117	342635	Jessica Shepard
669117	363415	Lexie Coop
669117	402231	Herself
669117	405494	Reed Halsey #2 (1991-1994)
669118	381504	
669119	199099	Waitress
669119	241667	Ballet Instructor
669119	367891	
669120	342871	Woman at supermarket
669121	156970	Woman on Bus
669122	4946	Mother at Park
669123	220775	First Bridge Player
669124	23757	Annie
669124	192811	Marylin
669124	208225	
669124	215104	Mireille
669124	276499	Marilyne
669124	327293	Sonia
669124	346726	Sandrine
669125	131717	Polly Page
669125	304557	Kristi Collins
669126	137462	Dancer
669126	154368	
669126	331226	Newscaster
669126	379264	The Mole
669126	382297	Herself - Presenter (1972-197
669126	402603	Miss. Roberts
669127	109971	Nurse
669128	131232	Extra
669129	50611	Girl #1
669130	1214	Herself - Co-host
669130	108389	Sarah
669130	147554	Lily Waite
669130	161349	Herself
669130	169866	Herself
669130	169867	Herself
669130	190373	Herself
669130	192764	Redhead
669130	219030	Girl in Bus
669130	278579	Flora Mae Pepper
669130	308011	Makeup Artist
669130	352740	Herself
669130	379977	Herself
669130	406398	Judge (2002-2004)
669131	94016	Aliz
669131	100816	Christine's Mother
669131	140938	Katie
669131	144466	Martha
669131	164364	Nurse
669131	194963	Second Party Woman
669131	253059	Ad Exec #2
669131	255330	Basil Ward
669131	267453	Kabrelle
669131	276945	Mindy
669131	328495	Sarah
669131	358434	Dusty
669132	257760	Employment Counselor
669134	1214	Herself - Co-host
669134	26592	Herself
669134	79569	Herself
669134	169866	Herself
669134	169867	Herself
669134	187359	Herself
669134	242957	Herself
669134	270251	Herself
669134	368302	Herself
669134	369356	Herself
669134	379977	Herself
669134	384537	Performer
669134	391236	Herself
669134	392859	Herself
669134	398597	Herself (episode "Wynonna Jud
669135	119822	Child
669136	204049	JJ
669137	136360	
669138	239813	Annabel
669139	8171	Dora Swale
669139	14213	Bella Griffiths
669139	19970	Florence 'Flo' Carnes
669139	26607	Second Girl in Ladies Room
669139	26629	Gladys Cottle
669139	67157	Sally Dunlap
669139	69959	Linda Martin
669139	72651	Mrs. Hotchkiss
669139	116170	Mrs. Ann Hardy
669139	120645	Margie Beesley
669139	122656	Flo
669139	126067	Midgie Malone
669139	128151	Molly Gray
669139	128700	Helen Martin
669139	139746	Francie Callahan
669139	141803	Herself - party guest
669139	143609	Margie Simpson
669139	147799	Herself
669139	162551	Bee
669139	163250	Miss Sullivan
669139	177364	Connie
669139	183721	Frances
669139	185989	Bit
669139	186323	Nona Brooks, Stranded Singer
669139	194299	Maizie Bryan
669139	208902	Marcia Morrison
669139	214079	Grace Sweeney
669139	224615	Peg
669139	227163	Betty Adams
669139	241416	Hazel
669139	241444	Billie Spencer
669139	249623	Phyllis
669139	255338	Herself
669139	255737	Sally Saxon
669139	266691	
669139	279536	Hortense 'Bridgeport' O'Dare
669139	294198	Jerry Royal
669139	299165	Ruby
669139	299666	Jackie
669139	302361	Manicurist
669139	305621	Gwyn Allen
669139	308615	Hildegarde Gray
669139	313301	Mamie de la Mont
669139	313336	Herself
669139	321565	Marge, Johnny's Mother
669139	323398	Pert Martin
669139	331682	Girl Phil Flirt's With
669139	342947	Marcia Morrison
669139	349917	Lady
669139	361154	Gorgeous
669139	363031	Ruth Crane
669139	365547	Nan Deering
669139	372496	Maisie
669140	213270	Kathie
669141	246771	Mary Ann McGroghan
669142	314404	Koan vom Klang einer Hand
669143	130624	Chorus girl
669143	130712	Mrs. Clarke, Party Guest
669143	202987	
669143	306327	Girl
669143	328605	Norma Laird
669143	360045	Mrs. DeLacy
669143	372431	Wampas Baby Star
669143	372495	Countess Lola Montaine
669144	143742	Ivy
669144	168286	Woman #1
669145	37902	Zulma Martin
669145	64955	
669145	71824	
669145	354095	
669146	287477	Michaela
669147	12487	
669147	65397	Nun
669147	136530	Gypsy Girl
669147	253779	
669148	135149	Pornoactress
669148	326943	
669148	400343	Herself
669149	76025	
669150	47922	Child
669151	108881	
669151	146489	
669151	189051	
669152	301589	Gypsy
669153	284442	Violincellist
669154	357107	Mme. Zalcberg
669155	337166	Additional Voices
669155	347712	Additional Voices
669155	391485	'Big' Patty Smith (1997-)
669156	220108	
669157	69047	Grand Juror
669158	1257	
669158	33376	Ginger Selman
669158	47078	Whittier Smith
669158	214755	Pre-Crime Public Service Anno
669158	346405	
669158	390512	
669158	391397	
669158	392607	
669158	397100	
669159	47343	Themselves, a Specialty
669159	193707	Themselves
669160	35789	Rachel
669160	161708	Army Captain
669161	336782	Fort Worth Ring Girl #1
669162	379916	Nancy Chan
669163	258883	Maid
669164	83087	
669164	169490	Colleen
669165	48131	Sorenskriverkona
669165	181082	Kona til Erik
669165	315415	Gamlejenta
669166	51929	Steffy
669166	78384	Maggie Broman
669166	84300	Karin Kahlman
669166	109140	Ulla Brantman
669166	120356	The blonde
669166	122320	Greta
669166	122326	Clary
669166	127569	Professor's wife
669166	135694	Irma
669166	170709	Eva Kron
669166	174172	Anette
669166	174721	Susan Sillsby
669166	182285	Lill Berger
669166	191172	Margareta
669166	242946	Marianne Forsberg
669166	284372	Ulla Cronstam
669166	338729	Perfume Shop Clerk
669166	350710	Hildegard
669166	353000	Karin Åhs
669166	354677	Anders Alm's Sister
669166	357760	
669166	390792	
669167	258991	Cervin's housemaid
669167	347017	Señora Chilenos
669168	36850	Herself
669168	36852	Herself - Participant
669168	381899	Herself
669168	381903	Herself - Participant
669169	343716	4. Ekspeditrise
669170	203972	Claire
669171	307468	Townsperson
669172	339445	Tim's Mom
669173	152749	
669174	7988	
669174	140133	Mrs. Silverman
669174	178218	Helen Cooper
669174	274293	Medbh Doyle
669174	295636	Herself
669175	333440	
669175	333441	
669176	301032	
669177	334621	Second soldier (in Tuesday ep
669178	81674	Ptica koja ne zna da leti
669179	381344	Katalin 'Kata' Berényi (1998-
669181	36932	
669181	128637	
669181	291006	
669182	369884	
669183	49500	
669183	51956	
669183	65476	
669183	91632	
669183	110263	
669183	118909	
669183	119834	
669183	138908	
669183	161648	
669183	185885	
669183	194923	
669183	209456	
669183	216166	
669183	221168	
669183	265387	
669183	304616	
669183	331375	
669183	332541	
669183	363604	
669185	402	Tini
669185	11979	Gaby
669185	40387	
669185	56081	Carlotta
669185	79165	Jenny Jugo
669185	103083	Dolores Müller
669185	103101	Herself
669185	111764	
669185	115980	
669185	120275	
669185	120936	
669185	122557	Jessie
669185	124557	
669185	124991	
669185	144147	Toni
669185	144330	
669185	147265	
669185	149873	Mrs. Maske
669185	155355	
669185	159279	
669185	178635	
669185	180212	
669185	182781	Prinzessin Ulrike von Branden
669185	189625	
669185	189847	
669185	194361	
669185	225212	Victoria
669185	226283	
669185	226409	
669185	227390	Nanette Dürwaldt
669185	234739	Nixi
669185	251635	Marie
669185	256510	
669185	264333	
669185	268150	Elisa Doolittle
669185	290233	
669185	292094	
669185	312739	Trude,seine Tochter
669185	341103	Annette
669185	347619	Dr. Elisabeth Hansen
669185	353994	Nixi
669185	361509	Ilse
669185	375083	Lissy
669186	286085	Misja
669187	294432	
669188	110773	
669188	166373	Baza
669188	258587	Dusa
669189	150623	Ruzena
669189	207714	Fairy
669190	156038	
669190	267931	Saara
669190	271609	Signe Lundell
669190	341604	Kurttuska
669192	379093	
669192	392989	
669192	397011	Mariu
669192	398453	Krizia
669192	398519	Paloma
669192	402136	
669192	403289	Mercedes
669193	363	
669193	42620	
669193	86972	
669193	293423	
669193	393878	Frau Anita
669193	404183	
669194	218247	Anne Bruckhardt
669195	355880	
669196	25215	Sekretær Grete Andersen
669196	122344	Anna, krokone
669196	146603	Kontesse Fanny Højbro
669196	198079	
669196	203968	Karen Jeppesen
669196	315579	Lilly Jensen
669196	346992	Grete Pols
669196	350562	Johanne Hald
669197	41809	Extra
669198	87949	Else
669199	341114	Senil Dame
669200	257297	
669201	381908	Herself (season 2)
669202	122818	Singer
669202	166141	Singer
669202	182697	Juli
669202	321483	
669202	351761	Singer
669203	58358	
669204	111313	
669205	64756	Eliz
669206	350899	Waitress
669207	137750	Dobos's Daughter
669207	378931	
669207	393994	Helga Pataki
669208	238644	Ballett
669209	74407	
669210	177935	
669211	74414	
669211	377889	
669212	17346	Dame i Opgangen
669212	22845	Heidi
669212	32755	Zsuzsa
669212	99511	Cashier at Iso
669212	190834	Gitte
669212	274831	Caroline Åkerwald
669212	307769	Audrey
669212	315401	Herself/Caroline
669213	368737	
669214	46247	Herself
669214	48576	
669215	155981	Ella Gallagher
669216	119751	Bruno Balpe
669217	68333	Lou enfant
669218	119792	Jean-Paul's Wife
669219	214839	Suuteleva nainen
669220	76333	
669220	94513	
669221	47474	Ivan's Party Guest
669222	47393	
669222	76991	
669222	88386	Pinterova
669222	89492	
669222	147212	
669222	236019	
669222	261406	
669222	304136	
669222	326547	
669222	405705	
669223	319302	Asiakas
669224	17685	Food stealing woman
669225	147739	
669225	242790	Billy's Mom
669226	74283	
669226	181501	Diane
669228	26583	Martin's Mother
669228	74077	Lisette
669228	322584	
669228	404364	Aimée Gélinas
669230	67482	Margo Boye Anawoma/Anesta Wee
669230	129815	Doctor
669230	168599	Herself/Interviewee
669230	228989	DC Karen Bogard-Black
669230	238140	Highway Patrol Sergeant
669230	309890	Angel
669230	311056	
669230	348219	Carol
669230	366697	Code Team Blue 5
669230	392437	Simone
669230	395741	Paulette Mann
669230	399103	DC Karen Bogard-Black
669230	402139	Sarah Allen
669230	403239	Elizabeth
669231	104768	Israeli entry (24th place)
669231	161087	
669231	162517	Bar Patron #2
669231	175007	Herself
669231	175008	Herself
669231	241765	
669231	286225	
669231	395894	Herself (1st eliminated, 21 d
669231	411014	Ambrosia
669232	294001	
669233	23370	
669234	380059	Margarita
669234	381902	9th evicted
669234	381904	Herself (9th Evicted 2004/2)
669234	396132	Lorena Egúsquiza
669234	402077	Consuelo
669234	404172	Consuelo
669234	410477	Sandra Irribaren
669236	347065	Fat Lady
669237	158818	Sorority president
669238	383363	The Other Woman (The Wife of 
669239	107483	
669240	204386	Lisa Leonardo
669241	10205	Bo
669241	123983	Odette
669241	246017	Josyane
669241	252317	Mademoiselle du Merle de la T
669241	270225	La fille de la boutique
669241	284921	La femme de Glaudius
669241	345370	Nanou
669241	409447	Carmen
669241	410215	Lucie
669242	199477	Extra
669243	339389	
669244	37480	Party Girl #8
669244	62580	Vanessa Pilgrim
669244	67607	Jill
669244	127235	Chris Welles
669244	141624	Dalton Ellis
669244	152647	Sandy Ralston
669244	305721	Peggy Sue Turner
669244	323568	Woman on Plane
669244	381043	Tommy (1979-1980)
669244	381421	Lt. Brie
669244	388237	Cookie Nash (1989)
669244	391055	Nancy Drew (1978)
669245	316667	
669246	107483	
669247	4642	Kikey
669248	187190	50s Daughter
669249	122664	Honda Lou West
669249	148562	
669249	231386	Chinatown Photographer
669249	397272	Spaghetti
669249	404150	Assistant (1983)
669250	51989	Prison Inmate
669251	44185	Catrina
669251	72557	Airport Hooker
669252	36554	Neide
669252	95432	
669253	246549	Giulia da bambina
669254	403616	Veridiana
669255	42077	Angelique
669255	60783	
669255	91523	Dream Crowd
669255	228650	
669255	371374	Jailbird
669256	10829	2nd Landlady
669257	274184	Nikki
669258	303721	Frau van Bemmel
669259	120370	
669261	1257	
669261	49316	
669261	181515	
669261	252390	
669261	353908	
669261	358477	Raver
669261	381091	Herself (eliminated round 1) 
669261	381091	Herself (eliminated round 3) 
669261	395893	Herself
669262	124096	Young Rebecca
669263	334654	
669264	261852	Prostitute
669265	329322	
669266	283036	La jeune mère
669268	183148	
669269	349424	Marie
669270	220250	
669270	390520	La femme indienne (segment "S
669271	49260	Mignonne Galarneau
669271	106814	
669271	219467	Charlotte Juillet
669271	236528	Herself
669271	328414	Diane
669272	153846	Membre des Sirènes
669273	78545	Dany
669273	112879	Molly
669273	132292	Sandra
669273	201185	Magda
669273	226431	
669273	253241	Nathalie, la séductrice
669274	153846	Membre des Sirènes
669276	322723	Rahiny
669276	357040	
669278	283727	Miss Julietski
669279	37781	Girl
669279	53258	Dama de Aluguer
669279	137300	The Secretary
669279	311051	J.J.J.
669279	322723	Velo
669279	393891	Host
669279	393895	Herself
669279	393896	Host
669280	91063	Herself
669280	160995	
669280	203989	
669280	235653	
669280	255465	Anna
669281	48369	Liva
669281	96014	Mrs. Lang
669281	138491	Elsa
669282	2520	
669282	6574	
669282	14748	Julia
669282	14780	
669282	19443	
669282	52036	Paloma
669282	57250	Lucía Gómez.
669282	71269	Elisa Belascoran
669282	76224	
669282	82834	
669282	83887	Sonia Vargas
669282	85590	
669282	91295	
669282	91325	Elena
669282	96353	Elisa
669282	97368	
669282	100385	
669282	101616	
669282	103788	
669282	110254	Corinne Mandel
669282	150909	Lucy Durant
669282	162953	Annabella Vandenberg
669282	170055	Claudia (segment "HO")
669282	180224	Katka
669282	200542	Raquel
669282	202203	Female Stagecoach Passenger
669282	209002	
669282	211167	
669282	221956	
669282	222401	
669282	225007	Andrea/Laura
669282	226363	
669282	235309	
669282	236032	Maria
669282	238757	
669282	239271	
669282	246194	Adela, Vicente's wife
669282	250986	
669282	251582	Lidia
669282	251728	Ana Rentería
669282	255547	Doña Prudencia
669282	265550	
669282	265555	
669282	266830	
669282	270068	Laura
669282	279824	
669282	287697	
669282	296476	Mercedes
669282	300709	
669282	333700	
669282	343735	
669282	351998	Marilu/Maria de la Luz Flores
669282	353468	
669282	379461	Lola
669282	381224	Cecilia
669282	383531	
669282	383563	
669282	384632	Rita
669282	384986	Mónica Molnar del Diablo
669282	386119	Menopausica 1
669282	386867	
669282	389429	
669282	391444	
669282	392957	
669282	396711	
669282	397462	
669282	398069	
669282	398799	
669282	407431	
669282	409907	
669282	409908	Lia del Moral de Villaseñor
669282	410015	
669283	150127	Georgette
669283	202367	Kathy
669284	75532	The Witch
669285	359351	Amber, Lidia's Friend
669286	180612	
669287	191513	Kenmore Cheerleader
669288	333347	N.A.A.C.P. Woman
669289	339122	
669290	16809	
669290	85576	
669290	145156	
669290	162783	
669290	205139	
669290	209084	
669290	225699	
669290	229431	
669290	258476	
669290	378381	
669291	57865	
669291	85576	
669291	91173	
669291	101512	Mireya
669291	145156	
669291	162783	
669291	205139	
669291	209084	
669291	211065	
669291	213724	
669291	216074	
669291	225699	
669291	229431	
669291	246154	Luisa Morán
669291	258476	
669291	355936	
669291	378381	
669292	55775	Singers
669293	29621	
669293	54326	
669293	85576	
669293	145156	
669293	162783	
669293	193352	
669293	205139	
669293	209084	
669293	225392	
669293	225699	
669293	229431	
669293	258476	
669293	339163	
669293	378381	
669294	5264	
669294	10825	
669294	21076	
669294	21079	Ana's Sister
669294	24622	
669294	28323	
669294	30344	
669294	30946	
669294	56011	
669294	56526	
669294	61200	
669294	63408	
669294	66081	
669294	66677	
669294	74580	
669294	74596	
669294	75151	
669294	76011	
669294	85582	
669294	92347	
669294	92515	Agatha, a party guest
669294	103671	
669294	132213	Television announcer
669294	132374	
669294	182319	
669294	204646	
669294	212402	
669294	235991	La guardesa
669294	236475	
669294	248756	
669294	251615	
669294	266871	
669294	268018	
669294	273658	Crypt-keeper's wife
669294	273664	
669294	279720	1st Sister
669294	294077	
669294	332668	Teresa
669294	334471	
669294	340689	
669294	343612	
669294	343622	
669294	349954	
669294	353556	
669294	355479	María Luisa
669294	373854	La doncella
669294	376756	
669295	346511	
669296	42214	Lisette
669296	49316	
669297	320	The girl at the tramway stati
669298	320	The woman with the artichokes
669299	405209	Maia Jeffries (2004 -)
669300	28930	Celeste
669301	38248	Sandra
669301	209210	Zombie
669302	390942	Programleder (1979-1981)
669303	71799	Herself (interviewed)
669303	167068	Black-Eyed Nurse
669303	208994	
669303	317764	Narrator
669304	116053	
669304	386460	Field Reporter
669305	59301	La mère Maghreb
669306	75279	Betty
669306	82626	Betty
669306	346030	Betty
669307	168799	La chanteuse à l'opéra
669308	197729	Potts Twin #2
669309	278315	Margie
669310	66661	Dancer
669310	78182	Dancers In Club
669311	260679	John Henry's Mother
669312	9602	
669313	262772	
669314	75757	
669314	284008	
669315	2443	Yeon
669315	226556	Kyung-jin Yeo
669315	303422	Kim Eun-ju
669315	364064	Jung-min
669315	371256	The Girl
669316	206754	Okon
669317	77732	Tomomi
669317	77736	Maki Muraishi
669317	125453	Mari
669317	168006	Actress (cameo)
669317	336351	Yuko
669318	223087	
669319	143782	
669320	47066	
669322	307462	
669323	300817	
669324	55606	
669324	117647	V.A.D. Girl
669324	182123	Hustler with long hair
669324	193373	Daisy Bunting, a Mannequin
669324	278070	Lady Betty Raleigh
669324	321208	
669324	371029	Mrs. Vernon
669325	393223	Dance Ensemble (1952-1959)
669326	138851	Six Ensemble Dancers
669327	341944	Mrs. Grose (singer)
669328	109395	Bridal Show Coordinator #1
669329	142468	
669329	304358	
669330	298105	Diane
669331	242553	
669331	244353	Herself
669331	255160	
669331	353685	
669332	331512	Madame Lannoy
669333	31350	Limber Lucy
669333	31358	
669333	31605	
669333	49558	
669333	50876	
669333	72748	Ethel St. John
669333	73447	Birdie Bevans
669333	73892	Waitress
669333	88289	Toodles Haig, his older daugh
669333	89211	
669333	92170	
669333	94551	
669333	109390	Clara Ridder
669333	133938	Mrs. Charles W. Wright Jr
669333	149290	Sally Drennan
669333	183860	
669333	195350	
669333	196293	
669333	198538	
669333	198832	
669333	217441	
669333	233077	
669333	240616	
669333	244913	Extra in Pirate's Club
669333	277647	Estelle Davenport
669333	281774	Alice Wilton
669333	305631	Antagonist's Sweetheart
669333	306018	Laura Warren
669333	313867	Cafe owner's daughter
669333	324239	
669333	340587	Mildred Patterson
669333	354503	
669333	359096	
669333	362999	Elinor
669334	24198	Jenny
669335	353295	Hooker #1
669336	54114	Ozzy's assistant
669336	169652	La fille d'Amsterdam
669336	195267	The Third Victim
669336	387668	Fina Vigeant
669337	69391	Amana Girl
669338	134592	
669339	381504	Margot l'Espérance
669340	261478	Neighbor
669341	356564	Caroline
669342	35039	Melanie Köhlermann
669342	182809	Larissa Körner
669342	182888	
669342	392669	Alina Heilmann
669342	395005	Larissa Körner
669343	248975	
669343	334106	
669343	377061	
669344	155346	
669345	366099	Tanapag girl
669347	183899	
669348	7792	
669348	108753	Isabella Torso
669348	134948	Ilni
669348	142770	Felix' mor
669348	146602	Kvinde, der kysser agitatoren
669348	196488	
669348	220199	Ane
669348	234827	
669348	249743	Massagepige
669348	255664	Pigen fra ismejeriet
669348	255699	Kollektivist
669348	275265	Secretary
669348	281085	Sten's veninde
669348	287375	Molly
669348	304363	Kvindelig patient
669348	305565	Erna
669348	321762	
669348	322300	En pige
669348	322316	
669348	324329	Britta
669348	333416	
669348	341697	Sonja
669349	15933	Shopper
669349	196183	Nurse's Aide
669350	392497	Lee, Soon-ju
669351	120950	
669351	367141	
669352	370863	Dragon girl
669353	49504	Annie
669353	119216	
669353	140268	Gerda Krause
669353	223199	
669353	338411	Krankenschwester
669353	361455	Julia
669354	190811	Cirkusprinsessan
669355	381690	Verena von Stratten (1999-200
669356	41518	Clerk
669357	119195	Tensfields Begleiterin
669358	178621	Maria
669359	226269	Old Woman
669360	389118	Herself - Journalist
669362	107241	Mme Baldassari
669362	370102	
669362	377991	L'infirmière à Marseille
669363	152830	Kassierin/Cashier
669364	130286	Joni
669365	130504	Senior's wife
669366	177935	
669367	127263	Dancer - The Furies
669368	9924	
669368	159251	Myrrha
669368	332804	Myrrha
669369	290562	Dienstmädchen
669369	352064	Olga
669370	59599	Su Toy
669370	124871	The song girl
669370	151163	The young chinese girl
669370	151977	
669370	152088	Dragon Mother
669370	167732	
669370	167764	
669370	181437	
669370	260869	Bo Chang
669370	268615	The faery
669370	268621	
669370	268646	
669370	373008	
669372	342443	Heather Ryan
669373	713	Michelle
669373	18531	Lissy
669373	182248	
669373	225255	Nadja
669373	281719	Emily Bradley
669373	314898	Anna Krüger
669373	343364	
669373	405753	Lena Wagenfeld
669374	259580	
669375	215148	School girl
669376	396874	Pia Busch (2004-)
669377	399177	Peggy Brendel (# 1) (1991-199
669378	136057	Bettina
669378	205587	Maria
669378	290286	
669378	325905	Lilo
669378	343671	
669378	377369	Kea
669378	406225	Kea
669379	146857	Herself
669379	156741	Herself
669379	292719	Herself (Hitler's secretary)
669379	347807	Herself
669379	391693	Herself
669379	411420	Herself
669380	38930	Patrolwoman #2
669380	95184	
669382	361011	Gusti
669383	99937	
669384	95279	
669385	347779	Annamarie Hartkopf
669386	82815	Translator
669386	95439	Marcela
669387	134965	Britta, Ulla's friend
669388	312676	
669389	270949	Rose
669390	9367	
669391	179583	
669392	63753	Mother Superior
669392	74787	Hanka, Biesaga's Daughter
669392	110115	
669392	242686	Anna Krepska
669392	244099	
669392	315018	Ms. from television
669392	375443	
669392	398874	Bozena Leszczynska-Zbiec (200
669393	247347	
669394	379668	Rosaura de Cardona
669394	388814	Salome
669394	393805	Margarita Cruz
669394	399557	
669394	400067	Doña Toronja
669394	401106	Pepita de la Espriella
669394	405777	
669394	408419	Marilyn Mom
669395	66153	
669395	66154	Dulcie
669395	68796	Violet Brady
669395	79106	Company Member
669395	89308	Sam's Mother
669395	210485	
669395	254591	
669395	278361	
669395	388860	Buyer
669395	395091	Neighbour
669395	402197	Lorna Young (1979-1986)
669395	408109	Lady in restaurant
669396	98052	Isabell
669396	125012	Susanne Fecher
669396	164815	Melanie
669396	188766	Nina
669396	225265	
669396	281713	Jane Marsh
669396	325427	Nadja Seibold
669396	325494	Monika Schmitz
669396	391316	Gina Holland
669396	396874	Lisa Busch #2
669397	39902	
669397	49413	
669397	409397	
669398	375166	Ausgräberin
669399	360251	Miss Danvers
669400	66090	
669400	147152	Catherine's mother
669400	296829	Innkeeper's Wife
669400	357956	La réceptionniste
669400	377656	
669401	403379	Dishwasher 1
669401	403380	Voice, Dishwasher 1
669402	29556	
669403	107806	Nurse ABC Smith
669403	191279	Nippy/Lion
669404	152134	Miki
669404	396075	Sanae Mizuhara
669404	402879	Miwako Andô
669405	176704	Teacher
669406	8902	Klory of Vettenrantska
669406	92284	Ritva
669406	153658	Äiti
669406	184789	Baariemäntä
669406	252046	Johanna Louhimies
669406	255386	Valto's Mother
669406	255845	
669406	354083	Taxi Passenger
669407	172169	Aino
669407	237155	Jaana Mansikka
669407	271607	Maarit
669407	278366	Laina Räikkönen
669407	394236	Asta
669407	394539	Marjatta Hovi
669408	262393	Herself/Interviewer
669409	408778	Herself
669410	16867	
669410	26694	
669410	144317	Anna
669411	53746	Eponina
669411	53851	
669411	55654	
669411	55906	
669411	160101	
669411	226454	Xantipa
669411	234641	Xantipa
669411	244086	
669411	263121	
669411	263809	
669411	269115	
669411	272890	
669411	285577	Dona Gata
669411	332460	
669412	15412	Daday
669413	153547	
669414	323253	
669415	29624	Tiina Korhonen
669416	232986	Girl leaving Tom's apartment
669417	17576	Dancer
669418	4334	Silmäätekevä
669419	396636	Jackie
669421	203965	Maria Bianca
669422	7213	Julie Tait
669423	16644	Wheel of Fortune Contestant
669424	335982	Miss Meadows, Chorus Member
669424	338901	Neighbour's Daughter
669425	43743	Bonny
669425	53849	
669425	179532	Caren
669425	204993	a ballerina
669426	145751	
669427	310014	Paola
669428	380099	
669428	384400	Matilde Rodriguez 'tia de jua
669428	385873	
669428	397594	Lucia
669428	404851	Amalia
669428	405415	Minerva
669428	410477	
669429	150543	Girl at Bed
669430	12083	
669431	128266	Girl in Panama
669431	362362	Carmen, Philippine girl
669432	9868	
669432	26013	
669432	50805	
669432	200663	
669433	32346	Backing Vocalist - Exposé
669433	106159	Herself - Exposé
669433	223871	Rosie
669433	329619	Herself/Performer
669434	225010	Patricia Bracho
669434	396894	
669434	397019	Veronica Barena Robles de Cas
669434	409719	Patricia Bracho
669435	3053	Herself (Memorial Tribute)
669435	10030	Josefina
669435	18564	Senora Vorhis
669435	20846	Nita
669435	27485	Anita
669435	28246	
669435	29045	
669435	29580	Sara
669435	30396	
669435	30481	
669435	46827	Angela, Witch
669435	46975	Assunta Carbone
669435	47508	Sra. Devereaux
669435	48292	Paloma
669435	49369	Chelo Estrada
669435	49674	Herself
669435	51616	
669435	61756	Chata
669435	70694	Lolita
669435	72101	Eulalia Lewis
669435	76013	Lupe
669435	76224	
669435	98997	Dona Paz
669435	104877	Mamá Dorita
669435	105465	Dona Juana
669435	110231	Eulogia
669435	132451	Herself (co-star)
669435	135059	
669435	140553	
669435	144467	Meesa
669435	144861	Helen Ramirez
669435	148124	
669435	160893	
669435	183587	Dona Maria Theresa
669435	191829	Laura
669435	203001	Estella
669435	221905	
669435	222955	Sara Ramos
669435	233758	
669435	235312	La que se levanta tarde
669435	241125	Aunt Delfina
669435	241883	Maria Longworth
669435	247844	Chuchupe
669435	250458	Mrs. Baker
669435	264401	
669435	266882	
669435	270404	Maria Chavez
669435	271992	Sara Verdugo
669435	273965	La Mayorala
669435	281622	
669435	286893	Mistania Figueroa
669435	292729	Esperanza
669435	293004	Isabel
669435	293971	Chayito
669435	305755	Maria
669435	307212	
669435	307720	
669435	307784	
669435	313319	Herself
669435	314098	Annie Lightcloud (Joe's stepm
669435	327000	
669435	339355	Consuela Chavez
669435	346174	Senora Gregoria
669435	353608	
669435	355747	
669435	355748	Mama Grande
669435	370066	
669435	378417	
669435	379019	Rosa Maria Rivera (1984)
669435	398801	La Jurada
669435	407648	Justina
669436	383271	
669437	9084	
669437	14564	Alicia
669437	41446	L'infirmière
669437	55377	Jeni
669437	70679	
669437	209005	Marta
669437	252424	Atlantique
669437	310302	Zoe's Young Mother
669438	247859	
669439	19374	
669439	212993	
669440	61126	
669440	100234	
669440	114873	Herself
669440	115017	Herself
669440	115029	Presenter
669440	118156	Herself- Performer
669440	122984	Herself
669440	135380	
669440	193493	Lola
669440	193506	Lola
669440	265160	
669440	269571	Manuela
669440	295525	Herself
669440	392002	
669440	400937	Herself
669441	338048	
669442	134670	Alice
669442	157612	Nicks Freundin
669442	356567	Dani
669443	6651	Dead Woman in Car
669444	99683	Herself
669445	294160	
669446	155120	
669447	119327	Vocalist
669448	87851	
669448	213843	Brona Berková
669448	263883	
669448	357683	Ada Greenová/Ada Manheimová
669448	375911	
669448	399901	Honza
669449	50008	Hotel Guest
669450	96391	Teacher
669450	174020	Vlasta
669450	229219	Anci
669450	253993	Mana Kolarschowa
669450	284012	Rùzena
669450	305297	
669450	326262	Balvínová
669450	357687	Manca
669451	63821	
669451	103851	
669452	97541	Sara
669453	255872	
669454	89115	Herself
669455	89115	Drawlly
669456	75421	Angry Woman
669457	227521	Jégtáncos
669458	171717	Faridah
669459	128586	Art School Model
669460	187805	
669460	294035	TV Actress
669460	392511	Tasha
669461	290145	
669462	13441	
669462	211901	Juliette
669462	282280	Pierette
669463	234268	
669463	247320	Girl
669463	374232	
669464	33565	Dancer
669465	23452	Sarah
669467	66610	Julie
669467	333514	Marcia
669468	154482	Louisa Earp
669468	166893	Amy, the Waitress
669468	297776	Woman Presenter
669468	335835	Mrs. Metcalf
669469	175	Inge
669470	56298	
669471	17173	Beth
669472	381091	Herself (eliminated round 2)
669473	16034	
669473	115172	Sister Livia
669473	198554	Niece
669473	270329	
669473	344437	Luca's Mother
669473	347073	
669473	375877	
669474	228177	
669475	325891	Jenny Hellwig
669476	88730	Violeta
669476	396292	
669477	223119	
669477	295163	Una collegiale
669477	328210	Un'orfanella dell'istituto
669478	246839	Amélie
669479	8216	'No Sweat' Dancer
669480	30967	Happy Woman
669481	268430	
669482	153737	Hexe
669482	240658	The Countess
669482	281972	Octavian
669482	368744	Marie
669483	191480	Grofica Sidonija Rubido-Erdod
669484	108256	Dee Dee
669485	152826	Ileana Radulesco
669485	154087	Violet
669485	309638	Maria Buloh
669485	323736	Ruby Rose
669485	338048	
669485	367724	Judy
669485	382526	Adrianna
669485	388978	Dr. Magda Heller (1990)
669485	395104	Kathleen Quinn
669485	401339	Nina Morozov
669485	401732	Lou
669486	219836	Jegyvásárló lány
669487	4811	Susanne Koch
669487	85221	Adriena
669487	180573	
669487	234248	Jana
669487	263952	Princess Helenka
669487	265233	Girl in the fill station
669487	290261	Schneeweißchen
669487	315344	
669488	223488	
669489	412	
669489	18402	Brush buyer
669489	21722	
669489	104277	Hilda Åhlen
669489	104545	
669489	142721	
669489	144053	Alviina Neitiniemi
669489	144058	Urpu Paju
669489	156543	Jussi's mother
669489	168867	Booze dealer
669489	172290	Mrs. Salo
669489	175327	Sanna of Kuuperi
669489	175346	Mrs. Kolkkula
669489	175759	Emmi
669489	177040	Kemppiskä
669489	177897	
669489	181743	Kyllikki Mattler
669489	181745	
669489	207223	Ida Hentola
669489	213378	Tussan Lyyti
669489	214847	Children's Home Director
669489	239155	
669489	239911	
669489	266752	Mrs. Kaasinen
669489	268329	
669489	278560	Refugee from karelia
669489	282146	
669489	287575	
669489	291666	Pontevien lastenhoitaja
669489	301816	Pietiskä
669489	319317	Telma Nelson
669489	320384	Siiri Koskinen
669489	322273	Circus woman
669489	343467	
669489	350590	Postlady Kallio
669489	354282	Madam
669489	373371	Jussi's mother
669490	252250	Various
669490	271609	Girl in shelter home
669490	348495	
669490	387500	Hanna Nieminen
669490	392164	Matilda (2002-)
669491	8902	Mrs. Rusko
669491	27408	Äiti
669491	163185	
669491	184108	Erkin äiti Marjatta Hakala
669491	236795	Party guest
669491	246933	Minna Pelkinen
669491	253078	
669491	265453	Andersson
669491	278560	Katri
669491	307139	Liisa
669491	341591	Isoäiti
669491	349737	
669491	349948	Auli's classmate
669491	403996	Senni Mertanen
669491	404782	Olga Happonen
669492	233273	Klara
669492	240164	
669492	261941	
669493	369419	
669494	173813	Karadjordjeva majka
669495	174026	Grandmother
669495	340721	
669496	137932	Blockbuster Clerk
669496	190482	French Girl #1
669496	226515	Dracula's Bride
669497	205498	Woman
669498	254942	TV House Spectator
669499	62354	
669500	135622	Vivian
669501	231636	Camp Vice-manager
669502	161865	
669503	74422	
669504	142526	Delilah
669504	167049	Misty Winters
669504	261248	Clubber
669505	72602	Emma
669505	87506	
669505	95784	Dean
669505	115098	Barmaid
669505	154738	Mrs. Ryan
669505	183872	Secretary
669505	241667	Mother Steele
669505	306305	Mrs. Blodgett
669505	342623	Mrs. Marshall
669506	342645	
669507	259483	
669508	223487	
669508	258305	Duchess of Stoke
669509	317584	Málika Láliková
669509	322069	
669510	165034	Sasa
669510	304515	Betka
669511	119751	Bit Part
669511	205767	
669511	257212	(segment "La Maison Tellier")
669511	336591	Miss Angoscia
669512	388619	Herself
669513	191488	Merima
669514	10146	Dancers
669515	183277	
669516	214253	Mrs. Abel
669517	249045	
669517	263723	
669517	269166	
669517	272896	Louise
669517	309697	
669517	371422	
669518	6077	Stetuaka
669518	255386	
669519	139902	Ana María
669519	307195	
669519	384119	Luna (1998)
669519	384782	Luz Andrade Scala
669519	385852	Josefina
669519	390085	Cati (Catalina)
669519	402158	
669520	48360	
669521	403397	Iida Sarkela (ep. 8-)
669522	391153	Herself
669523	164199	
669523	266637	Marcella Bertolazzi
669523	266934	Stella Martini
669523	272896	
669523	285742	Véronique
669523	292742	Leila
669524	75757	
669524	174880	Agata's Friend
669524	189443	Milena
669524	317203	Ewa
669525	27171	Group Therapist
669525	162763	Luisa
669525	187820	Mayor Jenkins
669525	329343	Rosie
669525	338172	Receptionist
669525	387878	Wendy
669526	22126	
669526	52974	
669526	53261	
669526	138190	
669526	155546	
669526	183161	Ana
669526	209015	
669526	221728	
669526	237336	
669526	376843	
669526	376849	
669528	144380	Herself
669528	408555	Herself - Co-presenter (1964-
669529	138950	Hanake
669530	212961	Speaker
669531	389118	Herself - Test Person
669532	400217	Shirina Delic (2004-)
669533	266381	Freundin in der S-Bahn
669534	400698	Troupe du Palace
669535	149198	Hostage
669537	217486	Waittress #2
669539	2655	Nora Evers
669539	80505	Libby Stockton
669539	190928	Sharon Dornbeck
669539	263085	Joan Hudson
669539	266561	Persephone
669539	267597	
669539	294521	Sheila
669539	314465	Margo Delgado
669539	360271	Amanda Mack
669539	385653	Rita Jones/Roxy Lawrence
669539	388237	Sheila Hogan (1982-1983)
669539	390771	Hope Bauer Spaulding #6 (1977
669539	404002	Dr. Faith Coleridge #5 (1979)
669540	73115	Young Camille
669541	130422	Mother in Park
669542	347990	Herself
669544	289547	Sandy, rollerskater
669545	165719	
669546	150924	Young Nurse #2
669547	24432	Chick #1 at Party
669547	195313	Sylvia
669547	365664	Bernadette
669548	126508	Nada Band
669548	245046	Debby
669549	2435	
669549	29102	Margot
669549	36931	
669549	42114	Pepsy
669549	125297	
669549	144786	
669549	302679	Gisela
669549	324677	
669549	324691	Daisy
669549	333829	
669549	333833	
669550	202642	
669551	332216	Poly
669552	44380	Rose
669553	38979	
669554	99192	Julia
669555	51864	Elena/Hen Sister #1
669556	139892	
669557	336559	Singer
669558	310633	Mars
669559	105462	Aristo Woman
669560	223506	Candidate #16
669561	241759	Anna
669562	133949	Herself
669563	29388	
669563	186277	Miss Belpayasa
669563	372170	Tony's Maid
669564	191953	Jacksonville
669564	281399	The prostitute
669565	296552	Tippy
669565	313064	Tina
669566	188683	Bébé #2
669567	365008	
669568	129606	Kaska
669568	217324	
669568	373553	Ewa
669569	89603	
669570	217420	Amber Shop Assistant
669571	147929	
669572	88635	
669573	70197	
669574	258150	La cousine
669575	186935	
669576	227524	
669577	65358	Herself (mother)
669578	55570	Bleading Woman
669579	376187	Suikerspin
669580	259430	Babett
669581	309064	Herself
669582	345162	
669583	119356	Hilary Miller
669583	141097	Nikki Kier
669583	372713	Nettie Peters
669583	406793	
669584	114827	
669585	400118	Klassekammerat (Classmate)
669586	181947	Louise
669586	183311	Medlem i terapigruppe
669586	198064	Ejendomsmælger
669586	211015	Katja
669586	228395	Lucky
669586	412298	Charlotte Dalbye
669587	392314	Herself - Host (1994-1998)
669588	50977	Afholdskvinde
669589	104253	Minnie, serveringsdame
669589	191076	Hanne
669589	315187	Margaret, Tørrdal's sister
669590	19436	Female Bystander
669591	395257	Tytin äiti
669592	213552	zuster Fien
669592	367977	Moeder van Felix
669592	394612	Louise Oudemans
669592	402877	Emmy
669593	181599	Anni
669593	181600	Herself
669594	248735	
669595	235846	Taru
669596	24690	
669597	227826	Wife of waiter
669597	259912	Teta Rozi
669597	339345	Marièa
669598	115946	
669598	196835	
669598	234153	Igralka
669598	315848	Mara
669598	320640	Lajhovka
669598	352784	
669599	23399	
669600	249388	
669600	313180	
669600	343554	
669601	73597	
669601	294651	
669601	365693	
669601	389221	
669602	21374	Hanna Skaug
669602	117691	Sigrid, tjenestejente
669602	204540	Jannike
669603	168702	Mrs. Bellini
669604	324235	A Clown
669605	179419	Woman #2
669606	296313	
669607	267248	Herself
669608	23540	
669608	27910	Noémie
669608	43719	Odile Letellier
669608	45876	Mathilde
669608	91445	Marguerite Marie
669608	119042	Mariette
669608	156319	Nathalie
669608	206287	Juliette
669608	243040	Véronique
669608	248916	La cliente
669608	335224	Christine
669608	345039	Madame Cottard
669608	384628	
669608	401814	Sarah
669608	410143	Marianne
669609	451	Pauline/Last Woman
669610	91370	
669611	29052	
669611	229705	
669613	349408	Salme
669614	16821	Herself
669614	79312	Herself
669614	90772	Flight Attendant
669614	142600	Herself
669614	207398	Herself
669615	100176	Femme enceinte 1
669616	12502	María Ayerra
669617	59781	Alicia Juarez
669617	71298	
669617	169746	Alicia
669617	193189	
669617	199966	
669617	210168	
669617	301198	
669617	309385	Marta
669617	332977	
669617	337577	
669618	150657	
669619	202839	Niña
669620	96380	
669620	204994	Abuela León
669620	236458	Mrs. Sandler
669620	384823	Doña Lucero
669620	384975	Sagrario
669620	387446	Hermana Teresa
669620	387773	
669620	387774	Teresa
669620	397623	Leonor Morandi
669620	409920	Laureana
669621	145531	
669622	378415	
669623	19457	
669623	193492	
669623	340655	
669623	385400	
669623	404710	
669624	270947	Crecencio the Barkeeper
669625	206743	
669626	378415	
669627	398473	Marisa 'de niña'
669627	410303	Simoneta
669628	211906	
669629	7234	
669629	54083	Beatriz
669629	293579	
669629	296472	
669629	352129	
669630	293963	Sandra
669631	20072	Martine
669631	75810	Muriel
669631	91458	Sophie
669631	309774	Sabine
669632	30303	Noëlle Maupré
669632	84637	Lisette Fleury, leur mère
669632	103929	
669632	272288	
669632	294739	
669632	351554	
669632	352294	
669632	377831	
669633	1272	
669633	1455	
669633	76301	Mother
669633	182292	Anne
669633	286085	Kristine Håverstad
669633	292477	
669634	181897	
669634	266792	
669634	350288	
669635	971	Jo
669635	18580	Raziya Banu
669635	21355	
669635	24270	
669635	36208	Lata
669635	85407	Eeswari
669635	89600	Pallavi
669635	95056	Ganga
669635	98498	
669635	98526	
669635	101674	Meera
669635	139403	Kavya
669635	166508	
669635	171763	Professor Maya
669635	172884	Radhika
669635	174575	
669635	182162	Jennifer (Jenny)
669635	184170	
669635	209580	Chingamasam Dance Number
669635	227371	
669635	227811	Jamuna
669635	250817	Bhama
669635	252694	Shenbagam/Priya
669635	253065	Girl in the Courtesan's House
669635	253173	Thilai
669635	255908	Bobby's Sister
669635	260123	Bina
669635	260272	
669635	268073	
669635	270576	Shakuntala
669635	271420	
669635	277501	
669635	287962	
669635	299603	
669635	306066	
669635	323049	Nandu
669635	329884	Janaki
669635	349435	
669635	409747	Anchor
669636	253065	Girl in the Courtesan's House
669637	233279	
669638	233279	
669639	25028	
669639	78570	Victoria
669639	405398	Rufina
669640	207646	
669641	51314	
669642	352776	Lenke
669643	182793	
669644	182793	
669645	243800	
669646	322557	
669647	96064	Szendrei Orsolya
669648	243800	
669649	243800	
669650	97982	
669650	182646	
669650	182726	Szobalány
669650	322217	Viola, Sándor titkárnõje
669651	163915	Ivana
669652	322094	Zsuzsa
669653	136433	
669654	74463	
669654	147369	Old Lady
669654	162974	
669654	322092	Gizike néni
669654	322158	Borzsa
669654	377723	
669654	407241	Öregasszony
669655	51095	
669655	335043	
669656	43114	
669656	44773	Juliska
669657	8696	Mujer 3/Paloma
669657	387119	
669658	104877	Parturienta
669658	412192	
669659	159535	
669660	8564	Nerea
669660	77329	Marta
669660	121263	Natalia
669660	208141	La hija, Elvirita
669660	212369	
669660	291612	Angelines
669661	89480	
669662	162745	
669663	177975	Tercsi
669664	93581	Monika Seibold
669664	169119	Bumsie
669664	187526	Franziska Köck
669664	290521	Anne Dorn
669665	109293	Maid
669665	154565	Beautiful woman
669666	149634	Nurse
669667	76480	
669668	409625	Moni Singer (2001-2003)
669669	282984	Herself
669670	387769	Janet
669671	325581	
669671	389361	
669672	18394	Valerie
669672	18538	Staatsanwältin
669672	24000	Karin
669672	33454	Susanne Liebich
669672	34321	Manuela Schulz
669672	90702	Paola Brunetti
669672	90707	Paola Brunetti
669672	98339	Heike
669672	99184	Kathlen
669672	102991	
669672	122585	Isabell Gruber
669672	126174	
669672	142133	Sarah
669672	145351	Jola
669672	155521	
669672	174179	Nina Steenhagen
669672	180097	Charlotte Mühlhausen
669672	189739	Laura Larsson/Thalia
669672	218977	Ruth Sundermann
669672	228175	Nele Baer
669672	229169	Sophie
669672	232671	
669672	259527	Amelie Wieland
669672	259560	Anita
669672	259568	
669672	259596	
669672	259609	Senta
669672	268345	Madonna
669672	275690	Karin Beck
669672	280508	Inge
669672	287313	Beate Reitz
669672	290178	Meike Kröslin
669672	310895	Frau Krause
669672	325733	Angie Hilpert
669672	325851	Rita Fürmann
669672	328546	Kerstin Friedrichs
669672	334639	Anna Klausmann
669672	343688	Lisa
669672	348680	Hannah
669672	361448	Isabell
669672	367181	Vera Wagenknecht
669672	374361	Katja Ehrwald
669672	377371	Anja Matthes
669672	394619	Carlotta Stauffer
669672	406814	Sigrid
669673	325441	
669674	259490	
669674	259508	
669674	259692	
669675	322704	
669676	304200	Stina
669676	334041	Stina
669676	334042	Stina
669676	334043	Stina
669676	353020	Stina
669676	407260	Stina
669676	410044	Stina
669677	179366	Vampyyri käytävässä
669678	396345	Rural woman
669679	132295	Rouva Lammi
669679	156504	Marie
669679	180507	Ulla
669679	181935	Siru
669679	184009	Martta Heikkilä
669679	193559	Jennyn äiti
669679	200933	Anita Kari
669679	204545	
669679	251987	Landlady
669679	398541	Various
669679	398646	Sari Koponen
669679	400356	Pia Bergman
669679	409042	Irene Brander
669679	410461	
669680	271631	Margretha von Wildheim, Maryn
669681	3182	Mounia
669681	227042	Pernilla
669681	410280	Mikaela Malm (1997-)
669682	115882	Air Hostess
669683	118743	
669684	226586	Mari Lehiste
669685	355117	Anna
669686	213378	Hulda Tiirikka
669686	223273	Woman at the dances
669687	27284	Inka
669687	136898	Lisbeth
669687	144709	Mervi
669687	219719	Mari Vainio
669687	223514	Tsuppari
669687	255513	Laila
669687	283145	Sinikka Kauppila
669687	284378	Milli Menninkäinen
669687	322287	Jenni, Saarisen perheen palve
669687	323254	Katri
669687	351980	Marjatta
669687	392287	Various characters (Season 2)
669688	17616	Anna-Liisa
669688	172406	Servant girl
669688	236794	Painter
669688	239153	Abitura
669688	242269	Aino
669688	258845	Receptionist
669688	266752	Nurse
669688	278875	Anna Kauhto
669688	296508	Typist
669688	319317	Huttunen
669688	319328	Lehtola's maid
669688	341793	Hedvig Koski
669688	343393	Maija
669688	349150	Laurinen
669688	349748	Old woman's granddaughter
669688	349948	Ilona Enne
669688	373379	Student/Salesgirl
669689	271636	
669690	401466	Himself, the host
669691	122270	Kokerskan - keittäjä
669691	260500	Hilma
669692	341559	Pahna-Maija
669693	393760	Heinähattu
669694	136898	
669694	188933	Helena
669694	387500	Anita Kunkainen
669695	400857	Sandra Niska
669696	174779	Rikaton-mies (man from Rikato
669697	228154	Girl in train
669698	48368	Eva Eriksson
669698	114033	Medeleine
669698	165134	Herself (counter-acting in th
669698	195047	mother
669698	195050	Lotta's mother
669698	310254	
669698	396027	Mamma
669698	399850	Charlotte Gripenhielm (289 ep
669699	256878	Sannan kaveri
669700	156038	
669700	389241	Laura Kent (1992-1993)
669700	404201	Iris
669701	301428	
669702	1402	Wenche
669703	22844	Lotte 5-6 år
669704	361710	Ghislaine
669705	189063	
669706	25819	La secrétaire
669707	6393	Rose
669707	14467	
669707	19758	Judy
669707	51107	Marie
669707	57280	
669707	60676	Lou
669707	66602	Jasmine
669707	66744	
669707	66753	
669707	71847	Marie
669707	76131	Claude
669707	84635	Nicole
669707	84654	Véronique
669707	100288	Jany
669707	101977	
669707	112874	Catherine
669707	112875	Catherine
669707	115375	Charlotte
669707	200938	Monique
669707	209943	Solange
669707	229078	Cécile
669707	238453	Virginie
669707	240299	Anne-Marie
669707	240603	Sophie
669707	246336	Rose
669707	251022	
669707	272257	Le commissaire
669707	302141	Anna
669707	318515	La cliente boulangerie
669707	324321	Waitress at Hotel de la Gare
669707	336828	Julie
669707	341701	Anne
669707	345267	Agnes
669707	346760	Liliane
669707	353836	Mathilde
669707	377935	Antoinette Baron
669707	390755	Nadia
669708	66267	Aunt Klotylda
669708	342274	
669709	314078	
669710	50977	Kvinde i tørrehjelm
669711	236026	Novia 0
669712	104051	
669713	101390	Páll's mother
669713	107708	Barmaid
669713	181084	Úa
669713	354334	Sighvat's Mother
669714	137097	Bensó's assistant
669715	383445	Marília
669715	384973	Alice
669716	354334	Kristin
669717	125418	Embla
669718	315597	Loa
669719	205507	Helga
669719	377073	
669720	8360	Elin
669721	208838	Ella
669722	208838	Eurovision dancer
669723	78453	
669723	88400	Hveragerdur
669723	157738	Astrid Kirchherr
669723	354425	Anna
669724	88400	Gogo
669725	225084	Kidda
669726	88400	Karolina
669726	156272	Sólveig
669726	233989	Gréta
669727	253218	
669727	304433	Inga
669727	315597	Gudrun
669728	378123	
669729	246974	
669730	237168	Voice
669730	354620	Gypsy woman
669731	250888	Tornász
669732	11069	
669733	397500	
669734	193338	Bori barátnõje
669735	378279	
669736	193338	Bori barátnõje
669737	374469	Servant #4
669738	22119	
669738	37513	
669738	58786	
669738	82855	Shibolena
669738	159829	Miyabi
669738	159830	Miyabi
669738	171623	Asami Joh
669738	173602	
669738	179374	Asami Joh
669738	180595	
669738	181897	
669738	196001	
669738	224270	Ayuko Kunitachi
669738	293501	Hizumina
669738	318415	Ayuko Kunitachi
669738	321204	
669738	331792	
669738	343643	
669738	358261	
669738	386040	Shibolena
669738	390058	Asami Jô (1995-1998)
669738	391367	Chizuru Yoshida (Pt.2), Hirom
669738	400456	Keiko Yamagiwa
669738	405127	
669739	163987	
669740	226397	Jasmin
669740	308246	
669741	12889	
669741	103137	
669741	107779	
669741	130939	
669741	132053	Susan's Mother
669741	142079	
669741	169844	Frau Bogner
669741	189754	
669741	225641	Kundin
669741	293561	
669741	314509	
669741	359638	
669741	374530	
669742	870	
669743	407817	Herself - Swedish Participant
669744	264279	Prince's Older Sister
669745	349575	Louise's friend
669746	3235	Elvira
669746	3422	Baglady
669746	11715	Siv/Alice
669746	23415	Mother
669746	27480	Gun Sjöstrand
669746	90211	Donna Maria
669746	116021	Mormor
669746	122472	
669746	130070	Märta Lagerstam
669746	139645	Gudrun Munter
669746	164788	Woman
669746	174172	Yvonne
669746	176770	Lena's Mother
669746	209327	Bathing beauty
669746	237265	Night nurse
669746	246492	Emelia
669746	268360	Sickan
669746	283226	Eva
669746	304106	Farmer's wife
669746	347016	Gun
669746	391357	Lisa Persson
669746	405458	Husmor
669747	78474	Herself (performing 'Dit liv,
669747	78475	Herself (performing 'Bye-bye'
669747	78479	Herself (performing 'Det' en 
669747	78481	Herself (performing 'Hvis nu 
669747	78484	Herself (performing 'Landet C
669747	78485	Herself (performing 'Krig og 
669747	78493	Herself - Member of jury
669747	132874	Herself
669748	190826	Tea
669749	137975	Berit
669749	184921	Eva
669749	192647	Inger
669749	237260	Charlotta aka Trubbnos
669749	284136	Klara Torkelsdotter
669749	377388	Imbär
669749	378162	Sofia
669750	314385	Dancing girl
669751	189581	
669752	115651	Dame
669753	99885	Emil's mother
669753	104514	Eugen's Colleague
669753	217799	Katja
669754	376465	As Herself
669755	389382	Herself - Reporter (2003-)
669756	402499	Molly
669757	402499	Mille
669759	354742	Svart-Anne
669760	9912	Pressefotograf
669760	120380	Grete Holm
669760	121482	Karen von Hauch
669761	399474	Emma
669762	20431	Astri, drug addict
669763	1577	Mathildes mor
669763	8146	Pernille Margarethe Kierkegaa
669763	22845	Helene
669763	32542	Irina
669763	39110	Charlotte
669763	117458	Anna
669763	163755	Karen
669763	237291	Linda, Mor
669763	255707	Herself/Anna
669763	294661	Lotte Espersen
669763	300986	Annika
669763	304468	Louise
669763	317969	
669763	382884	Ottilia Stegman
669763	407621	Nina Boye-Larsen
669764	22845	Enke
669764	27586	Herself/Bente
669764	42685	Herself - Presenter
669764	120857	Bente
669764	134976	Tina
669764	155684	Karen
669764	170392	Josephine
669764	178731	Josephine
669764	181736	Gudrun
669764	234826	Søster Augustina/Sister Augus
669764	246558	Johanne
669764	257328	Videnskabskvinden
669764	283789	
669764	294066	Lissi Grise Knud
669764	319087	Sygeplejerske
669764	357810	Terentia
669764	370801	Herself/Karen
669764	393474	Jytte, klasselærer
669764	406755	Bodil
669765	304518	
669766	111557	Girl
669767	381894	Herself (season 2-2001)
669767	381897	Herself (season 2-2001)
669767	381914	Herself - Participant (season
669768	405304	Herself - Resident, Plejehjem
669770	50328	
669770	383045	
669771	136635	Else
669772	387450	Herself - Host
669772	393865	Herself - Host
669772	409153	Herself - Host (?-?)
669773	2063	
669773	102347	Magdelone
669773	205809	Elise
669773	317650	
669774	389118	Herself - Test Person
669775	145491	Fru Ruud
669776	40300	Girl looking for apartment
669777	173088	Pauline
669778	406611	Herself - Finalist
669778	406612	Herself - Participant
669779	13327	Eva
669779	116447	Mona (segment "Den lille bedr
669780	3017	Katherine
669781	333416	
669782	245603	
669783	386871	Herself - Gardener
669784	154210	Lonnie
669784	264050	Maid 1
669784	391722	Sygeplejerske
669785	278328	Herself
669786	119733	Rolfs mor
669787	3243	
669787	245794	
669788	399847	Herself - Nyuddannet sygeplej
669789	11769	Frk. danseintruktør Storm
669789	37904	Fru Sandvig
669789	46657	
669789	50242	
669789	64633	
669789	94806	Sygeplejerske
669789	108179	Fru Holm
669789	108973	Frk. Kofoed
669789	125432	Ane
669789	145457	
669789	153340	
669789	159641	Kostumier
669789	181237	Den gamle Neanderthalerkone
669789	182271	Pensionatsværtsinde
669789	205685	Kokkepigen Marie
669789	226104	Maren
669789	243010	Steenhammers husbestyreinde
669789	253970	Kokkepigen Marie
669789	293895	Mor
669789	305520	Frugthandler
669789	307775	
669789	308229	Skolelærerinde
669789	317642	Prostitute
669789	322678	Påklæderske
669789	323346	Frk. Rasmussen
669789	338728	Kasserske
669789	352989	
669789	353035	
669790	300391	Maren
669790	387450	Herself - Host
669790	390213	Herself - Host
669790	406574	Herself - Host
669791	44583	Herself
669792	2674	Richards mor
669793	259739	Kioskdame
669794	405304	Herself - Resident, Plejehjem
669795	111557	Girl
669796	212333	Herself - Participant/Perform
669797	257490	Siren
669798	22844	Elis Veninde
669799	388757	Various roles (2001)
669799	392322	Maria Damgaard
669800	350064	Herself - Interviewer
669801	23507	Sygeplejerske
669801	81470	Hofperson
669801	117903	Fru Nielsen
669801	181736	Frk. Carlsen
669801	182461	Lotte Jensen
669801	382884	Fru Wulff
669802	14687	Mariana
669802	58148	
669802	85597	Mrs. Branca
669802	183511	Clarisse
669802	222179	Ana
669802	241188	
669802	269013	Morgada dos Arcos(majorat own
669802	327448	
669802	337866	Clara's mother-in-law
669803	33254	tysk kvinna (episode 2)
669803	181736	Leni Ricfenstahl
669804	371555	
669805	157498	
669805	376036	Hein, Zugprüfer
669806	290187	Geli
669806	317501	Isa
669807	136903	Kalli
669807	181116	Julia "Kroko" Fiedler
669807	290160	Coco
669808	162073	
669809	12857	
669809	24068	
669809	40378	Frl. Lenz
669809	51313	Fürsorgerin
669809	132835	Nina
669809	142030	Irma
669809	152769	Frau B
669809	165347	Guschi Bohnsack
669809	223473	Mathilde Peters
669809	225296	
669809	226298	
669809	259175	
669809	272786	Lenz
669809	281719	
669809	281742	Mrs. Cooper
669809	310274	Frau Klinke
669809	312870	
669809	312872	Selma
669809	312873	
669809	312877	
669809	312890	
669809	312893	
669809	324630	Tante Jutta
669809	338947	Brigitte
669809	343488	Erste Frau
669809	347772	Kassiererin
669809	386334	
669809	387735	
669809	389959	(1. Staffel)
669809	390889	
669809	392509	Frau Krüger
669809	394480	
669809	406321	
669809	410510	
669810	116707	
669811	11901	Yvonne
669811	12938	Laudatorin
669811	156627	
669811	189850	Host
669811	209972	Regina Kahlandt
669811	260326	Kati
669811	281717	Sally
669811	338429	Viola Herrmann
669811	396624	Christine Stein
669811	404449	Ruth Hofstätter
669811	404454	Ruth Hofstätter (2001-)
669811	409990	
669812	156495	
669812	341103	
669813	209916	
669814	244679	
669815	407361	Host (2002-)
669816	352659	
669817	345675	
669818	236633	Minni
669819	139476	Erda
669819	189556	
669820	113376	
669820	191630	Ellen K
669820	402987	Correspondent
669820	410680	Announcer
669823	138812	Herself
669824	19668	Brazovic felesége
669825	322240	Csorba felesége
669826	22118	Bar Girl
669827	326075	
669828	349047	
669829	177184	Herself
669830	81640	
669831	328620	Drug Customer
669832	196571	The Queen
669833	369496	
669834	146567	Lydia
669834	189096	Eléonore
669836	85354	
669836	85355	
669838	36056	Sreenatha's daughter
669838	135880	
669838	250490	Indumathi
669838	252019	
669839	115933	Hostel girl
669839	117881	Fallen Angel
669839	314358	Coach Passenger
669840	160393	Herself
669842	249573	Lusty Lady
669843	72781	
669844	319683	
669845	4184	Meenakshi
669845	4489	Dakshayani
669845	13173	Bhargavi
669845	14518	Saraswathy Amma
669845	60002	Therutha
669845	63199	Sreekumar's Mother
669845	101674	Meera's Aunt
669845	123573	
669845	129954	Kochammini
669845	146833	Gauri's Mother
669845	172023	Chinnamalu
669845	172409	Bhanumathi
669845	177618	Alexander's Wife
669845	179217	Jagadamma
669845	179264	Sankarankutty's Wife
669845	190129	Sosamma
669845	204273	Bhasura
669845	220883	Bhargavan Pillai's Wife
669845	222080	Gomathy
669845	222105	Sumithra's mother
669845	228417	Sosamma
669845	232720	Omana Kunjamma
669845	233184	Prakash Mathew's Grandmother
669845	253557	
669845	253558	Devayani
669845	289135	Sarojini
669845	297461	
669845	310225	Aaduthoma's mum
669845	322637	Chandrankutty's wife
669845	322836	
669845	329235	Devaki
669845	329832	Valyammachi
669845	330357	Devaki
669845	349016	Madhavi
669845	350589	
669845	350690	
669845	350724	Thresiamma
669845	350965	
669845	351091	Marykutti
669845	351391	Sarojam
669845	354120	Unni's Mother
669845	355546	Kochammini
669845	357404	Bhageerathi Thampuratti
669846	18513	Susamma
669846	36017	
669846	36121	
669846	98563	
669846	173295	Muruga's Consort
669846	201299	
669846	220861	Vasumathi
669846	228208	Chelakannu
669846	238303	Lakshmi as grown-up
669846	247145	
669846	248586	Chitralekha
669846	294921	Radha
669846	300302	Durga Devi
669846	320372	Yashodamma
669846	329295	Leela
669846	332174	Kamala
669846	355322	
669846	370679	Lodger
669846	371822	
669847	60409	Little Jing
669848	200536	
669849	171724	Balti Porter
669850	255146	Nightclub Singer
669851	369646	Hui Bo San, 'Susan'
669852	399867	Summer Logan
669853	24088	Silvi
669853	29162	Manuela
669853	33112	Mareike
669853	103112	Gisi
669853	129709	Hilde Sieloff
669853	170674	
669853	174761	Irma
669853	178540	Cilly
669853	290766	Uschi
669853	295986	Gabi
669853	329672	Ruth
669853	332826	Sissy (Panther)
669853	334506	Eva
669853	334712	
669853	382399	Gisi
669853	383292	Heidi Wüpper (1997)
669853	386334	Marion Drombusch #1
669853	390192	Hilde Sieloff (1992)
669853	394186	Carola
669853	399177	Sonia Brendel (# 2) (1993-199
669853	405803	Bärbel Mattner (1984-1987)
669853	406321	
669853	409858	
669854	378936	Participant (2001)
669855	199995	
669856	212336	Herself - Participant/Perform
669857	392530	Herself - Judge
669858	409625	Krankenschwester (2004)
669859	251007	
669860	106298	
669861	1646	Ivanda
669862	242900	Diane
669863	11758	
669863	70434	Shalini
669863	176955	
669863	296413	
669864	26226	Babs/Karla
669864	253630	Truusje
669865	361070	Laraua, the High Priestess
669866	207890	Corinna
669866	395759	Herself
669867	7405	Girl on Beach
669867	16623	Girl Who Gambles
669867	36839	Young Woman in Negligee
669867	41059	Olive
669867	44899	Secretary
669867	71474	The Duchess of Park Avenue
669867	84842	Mary Heath
669867	87794	Gail Tempest (dancer at the B
669867	127092	Nightclub Flower Girl
669867	133880	Ruth Blair
669867	143638	Mitzi LaRue
669867	154481	Simone
669867	155678	Nurse #3
669867	214124	Pat Stanley
669867	215002	Magician's Assistant in Demo
669867	254545	Joan Doyle
669867	271000	Glenda
669867	272691	Information Girl
669867	277513	Dorothy
669867	279539	Angela Brooks
669867	280935	Empress Josephine
669867	302624	Gloria
669867	304766	
669867	316302	Frances Farrell
669867	321384	Woman in Lobby
669867	331551	Flirt
669867	331631	Saloon Girl
669867	337366	Russian Girl
669867	345979	Linda Forbes
669867	362536	Dolores Sanchez
669867	363255	Diane Basscombe
669867	363885	Gloria Blank
669867	365271	One of the Golden Girls
669867	365562	Julia Frayne
669867	367046	Miss Flinton
669867	367842	Janet
669867	367919	Countess Tamara
669867	371336	Singing Sister
669868	190994	Waitres
669869	245619	
669870	266752	Eeva Kaarna
669871	400373	Herself (Læge)
669872	183311	Sagsbehandler 1
669872	268331	
669872	278332	
669873	150157	
669874	403534	Herself - Participant
669874	403536	Herself - Participant (2001)
669875	1699	Herself
669875	16076	Jane Lester
669875	101269	Herself
669875	101270	Herself
669875	101271	Herself
669875	101272	Herself
669875	101273	Herself
669875	116411	Herself
669875	122411	
669875	251083	Guest performer
669875	313779	Herself
669875	376593	Herself
669876	94337	
669877	334408	Denise
669878	194428	Henriette
669879	304800	Malina Patel
669879	380259	Nargis Khan (1982-1983)
669879	380276	Miss Potter
669879	383631	Dr. Beth Ramanee: SHO (1990-1
669879	403462	Hana Malik
669879	405045	Mumtaz Sattar
669880	132460	
669881	175731	
669882	231503	Rhonda Jo Stingray
669883	358899	Djili Tata
669884	378598	
669885	28622	Fanta
669885	40259	Saly
669885	109969	Aminata, mère de Fatou
669885	109970	Aminata
669885	197426	Pauline Lumumba
669885	249061	Mame Traoré
669885	267024	Jeja Sembene
669885	268444	
669885	286581	Saratou
669885	350425	Première femme d'Hippolyte
669885	354467	Manda Dialo
669886	358899	Kadia
669887	274010	Florence
669888	404967	Ulrika
669889	311533	Katarzyna
669890	246306	
669891	230055	Uchitelkata
669892	33271	Isabella
669892	129040	Mrs. Alice Ford
669892	199287	Butterfly
669892	246550	Nedda
669892	336373	Tosca
669892	336384	Floria Tosca
669893	88415	Herself - Participant
669894	396239	
669895	260603	
669896	89594	
669897	223214	Magdalena
669898	258999	
669899	121286	
669899	186868	Sigfried's Mother
669900	95166	Sestra
669902	274309	Olga, Circus no shoujo
669903	326496	Refugee
669904	24011	Martha
669904	45942	
669904	45988	
669904	51328	
669904	51329	
669904	60372	Elisabeth Aldermann
669904	119186	Erna Pieper
669904	119193	Klara Sperling
669904	119239	Trina Fattholt
669904	122574	Katrin Geeken
669904	134793	
669904	134980	Frau Engelmann
669904	136203	Clara Engel
669904	142035	Johanna
669904	144105	Sophie
669904	155741	Herself
669904	174215	Wilhelmine Lührs
669904	174216	Wilhelmine Lührs
669904	175276	Ida Bodendiek
669904	178549	Tante Frieda
669904	179610	Grete Pottmann
669904	181500	
669904	194434	Emma Linke
669904	195064	
669904	203923	
669904	204446	Tante Inge
669904	204450	
669904	209959	
669904	210018	Augusta
669904	221617	
669904	223456	
669904	223473	Christine Kroeger
669904	225136	Inge
669904	225627	Rosalinde
669904	231485	Tilly Knoop
669904	234289	
669904	237021	Herself
669904	244704	Erna Sanftleben
669904	283475	Jette
669904	290269	Frau Meier
669904	290819	Hermine Lorenz, Wirtin
669904	325778	Johanna Krause
669904	329686	Elisabeth Brinkmann
669904	338366	Meta Boldt
669904	338367	
669904	338463	Ella Broders
669904	338465	Bertha Becker
669904	347644	Herself
669904	350862	Johanna
669904	351938	
669904	352615	
669904	352616	
669904	354057	Katrin
669904	361008	Tina
669904	361380	
669904	361399	Wirtschafterin
669904	361416	Fräulein Emilie Kappelhoff
669904	365772	
669904	376251	
669904	376305	Trude/Mary
669904	387736	Lisa Boysen
669904	390704	
669904	391283	Heidi
669904	391284	Heidi
669904	399176	
669904	400044	Frieda Mählmann
669905	362598	Miranda
669907	97461	Herself
669907	118291	Woman in Red Veil
669908	20103	
669908	354229	Mary Hampton
669909	154836	
669910	101380	Aisha
669911	43168	Herself (author/tv producer)
669912	219906	Jiya Britannia
669913	391739	
669913	395852	(season 1)
669915	53921	Tawny
669915	100711	Fresh Nug
669915	265808	Gloria Ayers
669916	390195	Herself - Correspondent (1998
669917	238610	Waitress
669918	300856	
669919	56054	Kamal
669920	20168	
669920	28344	
669920	35055	
669920	42186	
669920	49828	Anna
669920	62590	Masha
669920	63616	
669920	95644	
669920	124843	
669920	154539	
669920	155270	Lena
669920	163760	
669920	179723	
669920	180859	
669920	188005	
669920	198146	
669920	214126	Fiorella
669920	219697	
669920	222992	de Longville
669920	229218	
669920	234437	
669920	247287	
669920	263672	
669920	263938	Lena
669920	300544	
669920	343961	Sarah Drummond
669920	344965	
669920	356593	Mother of Elli & Styella
669920	373270	
669920	394785	Marie Touchet
669920	396238	Natasha
669921	78624	
669921	218401	
669921	299232	
669922	299404	
669923	359410	Awa
669924	138969	Djene
669925	50791	Lalle
669925	270285	
669925	361350	Lale
669925	373859	Nopoko
669926	50791	
669926	270285	
669926	303052	La grand-mère
669927	270285	
669928	355808	La femme édentée
669929	89441	Madame
669930	146530	Pielegniarka w szpitalu
669931	7217	Klotylda
669931	9367	Tonatio
669931	9370	
669931	21314	Klárka
669931	26540	Maruska Grulichová
669931	42192	Albína
669931	84756	
669931	129700	
669931	136616	Luisa
669931	153359	
669931	165035	Mrs. Zelená
669931	166632	Lola Holmová
669931	173393	Grandmother
669931	178507	Sestrenice
669931	181644	Opatrná
669931	193457	Karla
669931	198374	Karla Sýkorová
669931	198375	Tumlírová
669931	203705	Vera Krelinová
669931	204906	Lea
669931	217035	Eliska
669931	223572	
669931	244030	JUDr. Kristýna Bavorová
669931	247934	Márinka
669931	258521	Helena of Alcantar, adventure
669931	262670	Julie Jelenová
669931	266130	Marion
669931	266453	Sosnowská
669931	282749	Miluska Kovárová
669931	290015	
669931	312413	
669931	320642	Mother
669931	320659	Milena Lorencová
669931	334129	
669931	341631	Elsa, singer
669931	343859	Irena Ludlesová
669931	344349	Brozová
669931	349323	Kunesová
669931	357690	Helena
669931	373974	Tante
669931	374397	Old woman
669931	374534	Anca Králová
669931	374535	Ranger's wife
669931	375337	Helena
669931	375401	MUDr. Jozka Severýnová
669931	375411	Jarmila Valentová
669932	344824	
669933	130576	Olga
669934	336475	Beachgoer #1
669935	60321	
669935	237202	
669936	19737	
669936	86595	
669936	94987	
669936	130108	
669936	223560	
669936	226427	
669936	229689	
669936	256728	
669936	262542	
669936	281037	Grand Duchess Tatyana Nikolay
669936	334064	
669936	336429	
669936	339333	
669936	341237	
669937	325056	
669938	20004	Ellie
669938	64924	Agnes DuBois
669938	320026	Notary's Wife
669939	310750	Molly
669940	79067	Tamaki
669941	104699	Vandersexxx Girl
669942	52443	Young Lucy
669942	70619	Josephine
669942	207171	Mrs. Brown's Daughter
669942	333312	Shawnee
669943	381021	
669944	25986	Yamina
669944	34130	
669944	55404	Social Worker
669944	91451	Nicole Maluzier
669944	91977	Myssad
669944	96198	
669944	139360	La Rouquine (red-haired girl)
669944	228317	Julie
669944	320275	
669944	355808	Fifi
669944	377464	Samia Damouni
669945	50500	Mici
669945	155610	
669945	165719	Kuharica
669945	180332	Stara mama
669945	196835	
669945	227826	Bride
669945	229005	
669945	258408	
669945	259199	
669945	262561	
669945	270816	
669945	320640	Sinkovca
669945	334316	Merklinka
669945	352814	Post clerk
669945	369445	Cistacica
669946	55200	Rozi
669946	85159	Jelena
669946	261903	Katica
669946	304454	Vinko's widow
669946	311459	Kristina Polic
669946	328149	
669946	339752	
669946	343804	
669946	402486	
669946	402922	
669946	407129	
669947	327370	
669948	9454	
669948	88435	Alenka
669949	130296	Miriam Standard
669950	200938	Arlette
669951	262570	Kacenka
669951	375996	Milena
669952	244034	The Science Fair Contestants 
669953	244034	The Science Fair Contestants 
669953	322038	
669954	397622	Elzbieta Barañska
669955	92260	Mayor Candidate
669956	31709	Amber
669957	91554	Pretty Girl
669958	11632	Linda
669958	13751	Herself
669958	18978	Jan Armstrong
669958	58728	Dr. Anne Biddows
669958	63019	Susan
669958	76241	Gail Cornell
669958	90908	Katharine Holloway
669958	97677	
669958	102209	Linda Bauer
669958	107909	Ann Raftis
669958	115470	Donna Olian
669958	117105	Margie Spoleto
669958	141674	Emily Barnes
669958	161286	Herself
669958	166671	Valerie Estess
669958	169402	Susan Glaspell
669958	257922	David and Jennifer's Mom
669958	278233	Alicia
669958	308039	Mrs. Hall
669958	311418	
669958	311661	Gail Archer
669958	331430	Dr. Paula Bolet
669958	337285	Jane Kaczmarek
669958	345851	Mrs. Wilkes
669958	353314	Robyn
669958	365664	Rita Goodman
669958	366954	Dr. Caroline Jaffe
669958	381999	Karen Fisher
669958	387718	Linda Bauer
669958	391917	Mary Newell Abbott
669958	392461	Nina Stern
669958	396599	Lois
669958	400772	Connie Lehman (1983)
669959	300056	Child #2
669960	219262	Kellnerin
669961	171332	Mrs. Rubinski
669961	299028	Rachel
669961	411134	Dr. Lydia Raushark
669962	256240	Esme
669963	35840	
669963	341068	
669964	394585	Bozena Rosiak Lubicz #2 (1999
669965	19988	Nina
669965	24429	Henchwoman
669965	62584	Nina (Sexy Woman in motel)
669965	68086	Herself
669965	194136	Bartender
669965	214755	Virtual Girl
669965	283480	Girlfriend
669965	302221	Bar Patron
669965	335258	Cheating Wife
669965	368063	Susan the Saloon Girl
669965	368582	Lois Lane
669966	43551	Connie
669967	247524	
669967	250402	Bach's wife
669968	10277	
669968	51040	Princess Drahomíra
669968	51259	White lady
669968	58157	
669968	64632	Marie, teller
669968	88431	
669968	156166	Bridget
669968	181532	
669968	188520	Hochmanová
669968	230438	
669968	237535	
669968	253805	
669968	266450	
669968	295500	Tesarová
669968	313551	
669968	320568	Vlasta
669968	339306	Zdena Hanusová
669968	339339	Zpevacka
669968	375379	Müllerová
669969	51286	Conny
669970	299559	Sazuko
669970	340877	Akiko
669970	405185	Sazuko
669971	104638	Herself
669972	70549	Bibliotecaria
669973	85330	Parvati (Chandan Singh's wife
669973	164885	
669973	268113	
669974	31423	
669974	287984	
669974	290367	
669975	74404	Doctor
669976	402492	Yael Ben Zur
669977	198603	Merike
669978	63081	Herself
669978	87983	Herself
669978	87984	Herself
669978	87985	Herself
669978	87986	Herself
669978	303778	Herself
669978	303779	Herself
669978	303780	Herself
669979	7982	Chinese Restaurant Hostess
669980	76151	Cousine Look
669980	139510	
669980	144343	Nacera
669980	211362	Malika
669980	309764	Anissa
669980	336829	La jeune femme brune
669981	23841	Hinde
669982	35049	Dorothy
669982	208204	Doris Povey
669983	399891	Lollo Ericzon
669984	11822	Delphine de Stael
669985	142949	Dead couple (wife)
669986	238749	Mary Hardwick
669987	250710	Patricia
669988	28417	
669988	356917	
669989	236972	Servant Child
669990	42193	
669990	266456	
669991	185307	Sheryl
669991	231673	
669992	87498	Young doctor
669993	30312	La chanteuse
669993	253059	Model
669994	265892	Party Guest
669995	218535	
669995	305385	Elena Iscovescu (wife)
669996	207947	
669996	325055	Zhenata na Blagovest - Blagov
669997	261232	
669998	209198	St. Helen's Street Girl
669999	390523	Janet Hunt (1997-1999)
670000	25827	Dalia
670000	228906	Mother
670000	375116	Dita
670000	375537	Rahelli
670001	118282	Lelana Javerian
670001	130720	Mina
670001	139975	Razor
670001	172032	Lexa
670001	198637	Rosario
670001	310462	Arab Woman
670001	372166	Lily Salazar
670002	303345	
670003	296830	First Old Woman
670004	12937	Susanna
670005	43769	
670006	31953	Iris
670006	85042	Satanya
670006	118811	Marge
670006	163223	Ellen Peters
670006	178104	Shining Moon
670006	283579	
670007	373218	
670008	38146	Dana
670008	63607	
670008	163162	
670008	176115	
670008	180791	
670008	225877	
670008	227519	Boyana
670008	333575	Marichka
670008	344364	
670008	350802	Lilya
670008	351019	Pidorka
670008	356921	
670008	357349	
670008	357698	
670009	294678	
670010	79314	Afro Aerobics Teacher
670010	267213	Reporter
670010	372544	African Lady
670011	193302	Perserin
670012	333445	
670013	176534	Pelo
670013	394422	Zenna Zabi
670014	188507	Hooker
670014	376904	Barbara
670015	115269	Women Coalation Diner Patron
670016	197325	
670017	54173	
670017	74776	
670017	94061	Marija Pavlovic
670017	155659	Marija
670017	172464	Marija
670017	187982	
670017	192904	Marija
670017	197096	Marija
670017	197097	Marija
670017	217407	
670017	312626	Marija
670017	318980	
670017	375125	Marija
670018	377736	Karima
670019	79109	
670019	110115	
670020	15015	Isabelle
670020	17848	Miriam
670020	23628	La maîtresse
670020	24920	Martine Doucet
670020	76584	Barbara
670020	108220	Marie Sapajou
670020	108895	Gisèle
670020	112812	Eglantine de Rochefort
670020	132977	Charlotte
670020	147455	Angela
670020	182949	Marie
670020	207261	
670020	217727	La prostituée
670020	217943	Geneviève
670020	234273	Lou
670020	235715	Marianne
670020	236322	Nicole
670020	240465	Restaurant Customer
670020	241874	
670020	268820	Jeanne
670020	280783	Georgette
670020	287954	Marie Sapajou
670020	340181	
670020	345097	Cécile
670020	346518	Lila Claudel
670020	346560	Annabelle
670020	349741	
670020	353898	Bonne Soeur hopital
670020	394531	Anne Belfond
670020	396037	Julie
670020	398843	Agnès Vallebone
670020	407874	Reine
670020	412266	Mélanie Croze-Lacroix
670021	298810	
670022	15203	
670022	252809	
670023	162756	Alissa
670024	376264	Verkäuferin
670025	301613	Baby
670026	8075	Coconut
670026	242111	Coconut #3
670027	122610	Frau Wiederkehr
670028	282209	Ärztin
670028	409609	Ärztin (1994)
670029	225256	Ehefrau
670030	172961	Carola
670031	200324	Herself (film critic, The New
670031	307380	Herself (with Woody Allen)
670031	314378	Herself
670033	140855	
670034	101503	Mrs. Stevens
670034	128520	Helen Travers
670034	150882	
670034	155750	
670034	202650	Mrs. Marchant
670034	366151	Countess Iva Ivanoff
670034	372846	Eleanor Holbrook
670035	290988	Tara Beckett
670036	113709	Partisan
670037	278964	Ericlea
670038	399175	
670039	212761	Michaella
670040	218808	Signora Del Mateo
670041	142841	Død kvinde
670042	125285	
670043	94978	Agnes
670043	223633	Angela
670043	242809	News Anchor
670044	392911	Classe d'Anna
670045	183899	
670046	54224	
670046	316767	Newswoman
670047	319903	Queen
670048	253920	Mermaid
670049	366	
670049	41833	
670049	79230	
670049	93116	
670049	98733	
670049	100471	
670049	212579	
670049	319346	
670049	330575	
670049	380211	
670049	380479	Sonia
670049	388713	Aliki Damigou
670049	389182	
670049	394079	
670049	398041	
670049	400705	
670050	46105	Cloe
670051	54443	
670052	212759	Social Worker
670053	19626	Hasmik
670054	2088	Lisa
670054	35782	Beth Magnuson
670054	40603	Anne Campbell
670054	84523	Billie Adams
670054	201290	Jun
670054	222668	Carol King
670054	228458	Cassandra
670054	252455	Woman in park
670054	289469	New Path Girl
670054	292637	Cheryl
670054	347909	Woman at Carl's Jr.
670054	361353	Marianne
670054	363415	Delphia
670054	380907	Chloe
670054	386236	Noriko
670054	390261	Sandy
670054	410739	Hinagiku (Angel Daisy)
670055	405122	Mrs. Hudson
670056	57753	Schwester Vendulka
670056	142255	
670056	156052	Irre
670056	213677	Barbara Röhn
670056	236831	
670056	247060	Zeugin
670056	293415	Ärztin
670056	322932	
670056	322936	
670056	397949	
670057	6111	
670057	22060	
670057	87720	
670057	177896	
670057	285492	
670057	289289	
670058	25728	
670058	180096	
670058	338627	Rebecca
670058	344073	Seidlová
670060	268168	
670061	54464	Mad Person
670062	208260	
670063	261539	Petruska
670064	371987	
670065	97632	Nanako Shinjo
670065	183080	Woman Claiming To Be Rape Vic
670066	63709	
670066	76861	Kazuko Makimura
670066	76906	Keiko Yamaki
670066	91184	Shoko Matsumoto, Kiichi and G
670066	96414	Yuki
670066	97633	
670066	122115	Mayumi
670066	126618	Yuka
670066	130510	Yuko Sugimoto
670066	137341	Taeko Tokushima (Captain Toku
670066	137365	
670066	139724	
670066	145279	
670066	164793	Toda's Assistant
670066	172112	Mio
670066	172926	
670066	174876	The young girl
670066	177823	Chiaki Koyama, Shoko's mother
670066	179398	Akiko Nishie
670066	195806	Male itsuki's mother
670066	200772	Mama
670066	227187	Yuki
670066	227661	Mari
670066	233134	Kiki
670066	270316	
670066	289267	Kanzaki's mother
670066	293603	Oei
670066	293674	
670066	298919	Kayoko Kuwahara
670066	299348	Yuri Shimizu
670066	334425	
670066	334452	Yasuko Taura
670066	349102	
670066	370446	
670066	373185	Yoko
670066	373226	Yuki
670066	373310	Kyoko Tano
670066	373386	Yuko
670066	380787	Tamotsu's mother
670066	385935	
670066	408599	Tatsu, Toshiie's Mother
670067	344285	Yae
670067	370235	Ume
670068	403554	Yumi Shiba
670069	240473	Elak
670070	257455	Aoi Kadokura
670071	391835	Talking head/soundbites (segm
670072	20978	Hillary
670072	30134	Mother
670072	40509	Mrs. Baum
670072	164641	Nurse
670072	190328	Gabe's Mother
670072	196524	Mrs. Rosnic
670072	209591	Jennifer
670072	220775	Julia
670072	333237	
670072	381736	Anne Carter
670072	390922	Winnifred Bradley
670073	5197	Valerie
670073	16968	Aunt Jean
670073	26478	Milly
670073	26877	Mother Davitch
670073	28482	Mrs. Flagg
670073	35524	Sanderson's Secretary
670073	37189	Prosecuting Attorney
670073	50936	Rachel
670073	68232	Telegraph lady
670073	131780	Henry's Mother
670073	141859	Susan Brownmiller
670073	157316	Stan's Receptionist
670073	160000	Frannie Bergman
670073	195508	Dr. Wilde
670073	223977	Myrna
670073	297692	Dr. Raines
670073	308018	
670073	318977	Pretty Woman
670073	329975	Esperanza
670073	337404	Judge Evelyn Reed
670073	346392	Lady Judge
670073	378627	Woman in Red
670073	392130	
670073	408876	Carole Kravitz
670074	37189	Kid
670074	50936	Daughter
670074	67574	Pink Feather Boa
670074	132183	Sara
670074	235541	Sarah Lawrence Girl
670075	292115	Bank Teller
670076	161753	Herself
670077	26381	Delivery Nurse
670077	103930	
670077	118541	Madge
670077	159770	Marcia
670077	183357	Rosalie
670077	252915	Lisa
670077	354817	Nan
670078	39625	
670079	399492	Gingetsu ('Silver Moon')
670080	167909	
670081	28116	Otome
670082	8794	(segment 2)
670082	9276	Madwoman
670082	14399	
670082	18642	Hirayama's daughter
670082	19695	
670082	19696	Akiko
670082	21330	Herself
670082	21560	Sister
670082	21823	
670082	21828	Yukkiko, Kato's daughter
670082	61457	Fuyuko
670082	61470	Osan
670082	90823	Okayo, Osugi's Sister
670082	121443	Isobe's wife
670082	121926	
670082	127854	Kyôko
670082	137129	
670082	138485	
670082	145278	
670082	145447	
670082	158675	Tsubomi
670082	171627	Taeko Hara, prisoner
670082	173994	Kazuko Uruwashi
670082	174337	Shigeko Kano
670082	177121	
670082	178416	
670082	179399	Yasuko
670082	182030	Shizue Amaji
670082	182047	
670082	199251	Professor's Wife
670082	219305	Yukiko Saeki
670082	219831	Photgrapher Michi Hanamura
670082	229586	First wife
670082	232919	
670082	233136	Princess Miyazu
670082	239328	Toshiko Fukuhara
670082	242119	
670082	242124	
670082	242133	Sister
670082	242149	
670082	242178	Mie Hyuga
670082	242243	
670082	243898	Ai
670082	243899	Onatsu
670082	243999	Kimie Sakata
670082	244535	Keiko
670082	287636	Anju
670082	288352	Itakura's sister
670082	297182	Keiko Kishikawa
670082	298818	Isa Otomo
670082	300395	
670082	327944	Reiko Gondo
670082	334930	Kyoko
670082	334938	
670082	341320	Fumio's Teacher
670082	358426	
670082	358947	Kyoko Watanabe, Ichiro's Wife
670082	359611	Keiko Nishi
670082	370279	Oki
670082	370280	Oki
670082	373289	
670083	239086	
670084	394422	Colleen
670085	334880	
670085	334882	
670085	373907	
670086	97635	
670086	144736	Kana
670086	169216	Haru
670086	242313	Tsutako
670086	406963	Amazonesu
670087	400217	Iris Overbeek (2004-)
670088	175724	Princess Sen and Kosuke
670088	214909	Japanese Interpreter
670088	312539	
670088	381069	
670089	235159	Barmaid
670090	79732	Lyla
670090	314445	Business Woman
670091	396877	
670092	298815	
670093	334903	Mrs. Ogawa
670094	334903	Mrs. Ogawa
670095	147844	Reporter
670096	17878	Surf shop woman
670097	147489	Marcia
670098	225621	Herself - a member of Mooning
670099	187335	Spirit Sedona
670100	101175	
670101	244659	Kohan Kagurazaka/Itoko Harusa
670102	52887	
670102	52909	La femme accroupie
670102	198970	La voisine de Betty
670102	215021	La dame nue
670102	225399	Juliette
670102	240497	Chauffeur du bus
670102	282105	
670102	285819	Une congressiste
670102	347140	La secrétaire
670103	5009	Additional SPAT Woman
670104	182097	
670105	808	Noya Ron
670105	10963	Sharon
670105	206496	Shuli
670105	272839	
670105	299241	Talila Katz
670105	371908	Didi
670105	375256	
670105	385585	
670106	335880	Cafe Diner
670107	45887	Cathy
670107	150350	Nurse
670107	150351	Veiled Woman
670107	222265	Franny
670107	283717	Catherine
670107	314158	Laura Appleby
670107	342470	The Fairy Godmother
670107	379753	Ginger Livingston
670107	386564	Laurie Bogert Fenner
670107	388605	Grace (1990)
670107	389098	Penny Major
670107	389318	Anna Bresner
670107	396994	Penny Major (1977-1978)
670107	397002	Skit characters
670107	409791	Annie Steck (1986-1987)
670108	139687	Lisa
670109	135291	
670110	202324	Bored Student
670111	316693	
670112	206565	
670113	227921	Noa
670114	395160	Herself (second eliminated)
670114	395161	Herself (7th Eliminated)
670114	408642	Panelist
670115	171716	
670115	184011	
670115	220882	
670116	9417	
670116	9479	
670116	17100	Riki
670116	18578	Osen
670116	18642	Enko Murai
670116	19635	
670116	43064	Otane, Yoshizo's wife
670116	76870	Rin's grand mother
670116	123553	
670116	145292	
670116	149674	
670116	163973	Yasue
670116	167795	Asako Ohoka
670116	167978	
670116	172053	
670116	176224	
670116	217070	
670116	225901	
670116	226644	Otoyo, Otsuta's sister
670116	232691	
670116	242131	
670116	243902	Otami
670116	244494	Mrs. Kojimachi
670116	288190	
670116	299156	
670116	300468	Miyo Saotome
670116	318944	
670116	320460	Motoko Ishimaru
670116	323494	
670116	334904	Mother Ume
670116	335317	Midwife
670116	358424	
670116	359611	Mrs. Furuya
670116	373220	
670116	373389	Kazuo's mother
670116	394717	Tane Takahashi
670117	382607	Erika Yasojima
670118	271023	
670119	235846	Kaupan kassa
670120	171587	Marusja
670120	296508	Tourist
670121	212821	
670123	395220	Grinder Girl (2002- )
670124	117786	
670125	249517	Diane Fowler
670126	92284	Mutter
670127	25987	
670128	92742	Lora Chan
670129	366711	Cherie
670130	14889	
670131	182897	
670131	243541	
670131	389962	
670131	391078	
670132	33742	One of 'The Thirty Women'
670133	224192	Cheerleader
670134	224192	Cheerleader
670135	62493	
670135	120084	Herself
670135	120086	Herself
670136	241512	Art Dealer
670137	337384	Hooker #2
670138	38684	German Waitress
670138	107947	
670138	264917	Mrs. Reg Drummond
670138	275390	Baroness
670138	313478	Toryn Farr (rebel officer)
670138	365616	Alice's mother
670138	384100	Dr. Rawlings (episode "Toby")
670138	409548	Ruth
670139	273437	Herself
670139	315287	Herself
670139	402993	Herself/Chicago (2002)
670140	291414	Cindi
670141	352517	FBI Agent
670142	6207	Bellhop
670142	38026	Eleanor
670142	66028	
670142	73839	The Little Girl
670142	141451	Mrs. Russell's Daughter, Ruth
670142	142982	
670142	188262	
670142	196120	
670142	230822	
670142	251186	
670142	324811	
670142	331591	
670142	332170	
670142	349630	
670143	161324	Herself (Niece)
670144	79530	
670145	292297	Mrs. Caypor
670147	126648	Herself
670149	39886	Anchor Woman
670149	80584	TV Associate Producer
670149	113994	Vi Deluna
670149	126663	T.V. Anchorwoman
670149	144788	Reporter #1
670149	158773	Lim
670149	212078	Jewelry Salesgirl #2
670149	221259	Employee
670149	271340	Saleslady
670149	354520	Barbara Chaffee
670151	220249	
670152	30581	Prisoner #2
670153	2592	Herself
670153	3040	Herself (Memorial Tribute)
670153	6824	Jenny Hill/Bessie Bellwood/Op
670153	7583	Herself
670153	14204	Gussie Mausheimer
670153	22856	Kitty O'Kelly
670153	34774	Pat Nixon
670153	34827	Herself/Various
670153	35183	Lola Hopper
670153	37991	Nurse Ratchet
670153	40472	Lili Von Shtupp
670153	48950	Gypsy Moth
670153	48951	Gypsy Moth
670153	60148	Mrs. Montenegro
670153	64815	Caroline Howley
670153	66173	Mrs. White
670153	68092	Lili von Shtupp
670153	78322	Herself
670153	80136	Sigfrid
670153	114112	Constance Link
670153	117073	Sabrina
670153	117139	Billie
670153	120632	Schoolteacher
670153	125999	
670153	138729	Bunny Weinberger
670153	139787	Nurse Ruth Kelly
670153	144760	Victoria Brisbane
670153	146661	Empress Nympho
670153	161324	Herself
670153	161362	Narrator
670153	169991	Alice Gold
670153	193621	Sharon Semple
670153	200092	Wastra
670153	216469	Blanche Munchnik
670153	218137	Grace Anderson
670153	222483	El Sleezo Patron
670153	224109	Draggle
670153	233307	Martha Mitchell
670153	248117	Trixie Delight
670153	286338	Herself/Co-Host
670153	288702	Mahweena Doitchwand
670153	291147	
670153	295007	Herself
670153	302121	Dr. Cynthia Malloy
670153	304538	Eliza Swain/Lutetia Swain
670153	308489	Herself
670153	359145	Ellie Coleman
670153	362555	Eunice Burns
670153	364446	The Witch
670153	367948	Estie Del Ruth
670153	368455	Herself
670153	371100	Betty
670153	372551	Elizabeth
670153	384703	Regular
670153	385056	Pauline Fox (1996-1999)
670153	396142	
670153	398404	Lois Gullickson
670153	399289	Nan Chase
670153	400026	Madeline Wayne
670154	355987	Ann
670155	25116	
670155	52698	Geneviève
670155	71828	
670155	251815	Une jeune fille
670155	258279	La mère
670155	280530	
670155	340210	Marguerite
670155	403427	Mme Hanoffe
670157	161324	Herself (Mother)
670158	92257	Sophie
670158	358374	Rahla
670159	54571	Patti
670159	56144	Demonstrator
670159	78157	Female Fan
670159	206477	Nurse
670159	302993	Leslie Baker
670159	327376	Redmont Secretary #1
670160	199558	Janina, the dancer
670160	335601	Jungle
670161	183357	Young Girl in Meeting
670162	50879	Billie
670163	223659	Herself
670164	70468	Deli Lady
670165	211679	
670167	342435	Fashion Editor
670168	142214	Miki
670168	377308	Lillan
670168	396218	
670168	411580	Lena, the bank clerk
670169	154704	Self
670170	183095	
670171	168709	Mahana
670172	303447	Waitress
670173	226476	Rashidia
670174	15290	
670175	312538	
670176	284306	Yeliz
670177	25708	
670177	33398	Helen
670178	112896	
670178	139992	Old mother
670179	81162	Tami Waimea
670180	147518	Sieglinde
670181	196627	Herself
670181	196628	Herself
670181	282670	Herself
670181	320126	Herself
670181	368815	Herself
670181	368825	Herself
670181	411543	Herself (1993-1994)
670181	411546	Herself
670183	1230	
670183	21915	
670183	32549	
670183	42696	Karen
670183	71739	
670183	74069	Herself
670183	147840	Sue
670183	147900	Stacy
670183	153273	
670183	154123	
670183	228030	
670183	339599	
670183	342639	
670183	357151	Woman
670184	377302	Ann
670185	174604	Herself - Host
670185	389649	Herself - Host
670185	403536	Herself - Participant (1998)
670186	91349	Macarena
670186	382543	Camila Paz
670187	510	
670187	515	Additional Voices
670187	516	
670187	517	
670187	283680	Kenji Himura
670187	378652	Ohka
670188	63117	Wicked Witch
670190	43978	Rina Kaif aka Popdi Chinchpok
670191	354041	
670192	17395	
670192	124031	
670192	344991	
670193	255763	
670194	182101	Member of Ladies' Orchestra
670194	394925	Saxophone player
670195	342048	Market Girl #1
670196	255169	Jack's Class #5
670197	398192	Paula I. Paukku
670197	401278	Paukku
670197	404782	Maarit Virta
670198	180507	Pikkupojan äiti
670198	333834	
670199	208720	
670200	111742	Maid
670200	267165	Member of Ladies K Band
670200	334554	
670200	341099	Gerda
670200	408949	Flora
670200	410275	
670201	214844	Ella
670201	342145	Kaisa
670202	239127	Various
670203	144083	
670204	407536	Herself
670204	407815	Herself (Single) (2003)
670205	83842	Nurse's Aide
670205	313189	Aram's Assistant
670206	384771	
670206	407304	Vanesa
670207	17304	Hanka
670209	211383	Ruby
670209	220014	Rachel
670209	241799	College student
670210	292697	
670210	396123	Heather Rose Forbes #1 (1989-
670211	292697	
670211	396123	Heather Rose Forbes #1 (1989-
670212	23441	Female Doctor
670212	45636	Trevor's Mom
670212	80540	Margo
670212	143108	Public relations woman
670212	143573	Mrs. Hersby
670212	205819	Mrs. Stolberg
670212	252959	Marianne
670212	312557	Judy
670212	331112	Dr. Yamura's nurse
670212	339260	Trevor's Mom
670213	174013	Prima Ballerina
670213	200208	Scheherezade/Genie of the Rin
670214	119218	Richterin
670215	93245	Josie Rinkenhauer
670215	110519	Beth
670215	355343	Rachel
670215	369486	Siryn
670215	407421	Becky Clarke (child)
670216	34270	
670216	124978	
670216	259474	Gaby Krüger
670216	329931	
670216	347795	
670216	355241	Verena Schneider
670216	365602	
670216	405419	Frau Seidenspinner
670217	193588	Charlotte
670218	275996	Nun in Window
670218	313046	Customer in Cafe #4
670220	299309	
670220	375600	Mother
670221	104775	Austrian entry (14th place)
670221	282450	
670221	301784	Opera singer
670221	308680	Herself
670221	325385	
670221	347829	
670222	362722	Wings Woman #2
670223	404145	Eeva Harakka
670224	256878	Mankkatyttö 2
670225	230207	Mieterin #1
670226	7742	
670226	7743	
670226	7744	
670226	7749	
670226	7750	
670226	7751	
670226	7752	
670226	34876	
670226	39258	
670226	40009	
670226	182216	Marja
670226	191356	
670226	221010	
670227	408880	Cloe (series 1-4)
670228	51074	Irena
670228	95666	
670228	104438	
670228	237830	
670228	258811	
670228	351387	
670229	350463	Girl #2
670230	112813	Kaatje Schoonejans
670231	226929	First Weird
670232	256480	Kroatin
670233	41253	
670234	143742	Darlene
670234	167866	Single Mother Mary
670234	239589	Leslie
670235	134852	
670235	144168	
670235	239927	
670235	294739	
670236	216119	
670237	18395	
670237	115963	
670237	137849	Dr. Meurer
670237	184406	Mrs. Jensen
670237	223410	Gabi Riedesel
670237	225261	
670237	225271	Anna
670237	225286	
670237	225291	
670237	259518	
670237	308240	
670237	325902	Dr. Doris Doll
670237	350865	
670237	356909	
670237	379372	
670237	390701	
670237	391604	Frau Linsel (1998-1999)
670237	392086	Frau Grill
670237	393360	
670238	2979	
670238	55136	
670238	249635	
670239	316693	
670240	123946	
670240	344416	La ballerina
670241	77611	Bee
670241	278606	Mrs. Bean
670242	210039	
670242	365582	
670243	404899	Tiffys Hände (1991-)/Lulu Fil
670244	82163	Karin
670244	155482	Antonia Mach
670244	226256	Nadine
670244	230087	Marianne, Michael's Mutter
670244	314309	Evelyn
670244	334528	
670244	352658	Dame Arpassy
670244	391843	Sarah the Nurse
670245	184959	Regina
670246	168960	Jonas May
670246	256480	Zoé
670247	100034	Edith
670249	51955	Mother
670250	302029	Her Child
670251	283434	Street Car Passenger
670252	260176	
670253	116646	
670253	202548	
670253	407391	Tshidi
670255	165303	Silvie
670256	108146	
670257	78760	Office Worker B
670258	48340	Sister
670258	48368	Berit Eriksson
670258	84315	
670258	114033	Cashier
670258	114961	Ulla
670258	120027	Woman at the party
670258	120315	Train passenger
670258	135344	Une militante espagnole/Lola,
670258	136628	Madelaine Lindenfelt
670258	153769	Karin
670258	166724	Grandma
670258	181166	Chairman of the court
670258	182568	Lunnaja
670258	190821	Member of 'Kvinnogillet'
670258	219437	Woman on the bus
670258	237265	Mari, nurse
670258	276136	Mother
670258	289783	Kristina, actress
670258	355642	Judge
670258	378737	
670258	401729	(multiple episodes)
670259	7212	Darlene Waters
670259	41377	Elana Bates
670259	64498	Leah Kinsey
670259	75783	Dr. Alex Royce
670259	77285	Dawn Dubose
670259	78082	Sally
670259	113293	Kate Amis
670259	128195	Winnie
670259	134141	Allison Jeffries
670259	148302	Darcy
670259	161051	Diner Waitress
670259	164479	Sara
670259	164483	Sarah
670259	205904	Doris
670259	214976	Nan Callahan
670259	251285	Catherine Concion
670259	274305	Donna
670259	300961	Cissy
670259	316191	
670259	338277	Susan Bellio
670259	355065	Lydia Perl
670259	391980	Alex Stone
670259	394509	Natalie Rickman
670259	399011	Lynette Summers (1997-1998)
670260	347794	
670261	111557	Extra
670262	54405	Mrs. Price
670262	174644	Deborah Pintoff
670263	83157	Eva enfant
670264	114606	Eva
670265	281978	Jungfer Marianne Leitmetzerin
670265	374133	Erste Dame der Königin
670266	16199	Ruzenka
670266	95439	Anna
670266	234743	Iva
670267	156651	
670268	156919	Mother
670269	8021	Sabina
670269	34239	Linda
670269	38165	
670269	92400	Waitress
670269	105901	Angela Wingate
670269	120122	Robin
670269	128255	Amy
670269	131453	TV Announcer
670269	142627	Lizzy
670269	161753	Herself
670269	193259	Monica Taylor
670269	193761	
670269	229240	Julie Johnson
670269	231851	Beth/Liza
670269	232181	Eris
670269	232509	Donna
670269	254269	Delia Westwood
670269	278933	Jamie Lee
670269	280655	Gretchen Hope
670269	288912	Becky Sue
670269	301660	Barbara
670269	301681	Jennifer Statson
670269	304591	Daria
670269	309804	Shannon McSorley
670269	312141	Helicopter ticket agent
670269	332061	Blonde
670269	337314	Dancer
670269	342593	Secretary
670269	346096	Donna
670269	353295	Candy
670269	353296	Candy
670269	353298	Candy
670269	353299	Candy
670269	354793	Liz Grant
670269	355153	Amy
670269	374418	German Girl
670270	180551	
670270	305785	Kaitlynn
670270	370028	
670271	363836	Kahuna
670272	400270	
670273	94871	Isabella
670273	100011	Maikki
670273	142328	Various
670273	153657	Various
670273	153712	Laura
670273	156038	
670273	163181	Monica Ljung
670273	168790	
670273	170922	Riitta Laakio
670273	172404	Merja
670273	211037	Ritva
670273	242261	Virva
670273	258844	
670273	263202	Young Anna/daughter of Anna
670273	281038	Kaarina Roivas
670273	354289	
670273	394960	Anne (2002)
670273	400857	Katriina Kivilaakso (2002)
670273	402823	Sirpa Salo
670273	409040	Inga Anderson
670274	147844	Model with Award
670274	178092	Mary
670274	272031	Woman in Audience
670275	346762	Claudine
670276	223085	Dr. Ruby Moriarte
670277	89049	Kumanbachi's second child
670278	156114	
670278	324831	Mala
670279	28555	Dagfrid
670279	48199	Vigdis Wang
670279	104886	Jorun Einarsson
670279	136630	Husvertinnen
670279	139006	Ida
670279	154020	Tela
670279	219447	Gunn
670279	382250	
670279	390848	Husvertinne
670279	399491	Thora Thorsen
670279	408192	Marte's Mother
670280	236460	Tanssityttö
670281	321925	Pia as an adult
670282	27408	Gogo-tyttö
670283	86246	
670284	407109	Herself - The host (2003)
670285	176663	
670285	294826	
670286	28134	
670286	76870	Young girl
670286	96411	Fumiko
670286	125442	Katsuko Niki
670286	138394	
670286	167859	
670286	169214	Nami Matsushima (aka Matsu th
670286	169215	Nami Matsushima (The Scorpion
670286	169216	Matsu (Sasori)
670286	169217	Nami Matsushima (Sasori)
670286	172262	Akemi Tachibana
670286	174336	
670286	174338	Mayumi Hirao
670286	234915	Furiko
670286	234917	Mako
670286	241949	
670286	271672	Woman who comes to the mounta
670286	298942	
670286	299085	
670286	300497	Shurayuki-hime (Yuki Kashima)
670286	300500	Yuki Kashima (Shurayuki-hime)
670286	308506	Ohatsu
670286	341282	Eiko Maeda
670286	359612	Chise
670286	370349	
670286	394798	Ofumi
670287	222543	
670287	278547	Kazue Yamamura
670288	156234	Worker in Sewage Section
670289	117425	
670290	153209	Family at Soba-ya
670291	285919	Maki Kubota
670291	293591	Kazuko Hashima
670292	375431	
670293	644	Coffee Girl
670293	47077	Carver
670293	137687	Herself
670293	137688	Sara Moyer
670293	157836	Lane
670293	294004	Sharon Exler
670293	309197	Roxanne
670293	330799	Mall Girl
670293	403576	Beth Cox
670294	223534	Eve
670295	183993	
670296	25980	Priya Chopra
670296	28385	
670296	28741	
670296	33244	Radhika
670296	86669	Nandita Rai
670296	86769	Simran Singh
670296	95329	Girl on railway station (spec
670296	95447	Sonia/Naina Saigal
670296	135894	
670296	136087	Isha Diwan
670296	137873	Rani/Reshma
670296	150515	Pinky
670296	152411	Sharmila
670296	152448	Megha
670296	162686	Kajal
670296	171853	Anjali Sharma Raichand
670296	172539	Special Appearance
670296	173848	Sonia
670296	181479	Tina/Sweety
670296	181480	Anjali Sharma
670296	214769	
670296	268091	Muskaan
670296	268097	Sanjana
670296	268276	Zuzana
670296	271581	Anna
670296	287981	Priya
670296	322702	
670296	341684	
670296	344082	
670296	370952	Sapna
670297	315041	
670298	70774	Girl at Restaurant
670298	265652	
670299	83741	
670299	228938	
670300	341198	
670301	341240	Mother of Tsiskara
670302	209090	Marta
670303	133243	
670303	344316	
670305	407738	
670306	294545	Seppo´s Mother
670307	28679	
670307	175089	Erzsi
670307	182831	Béla's wife
670307	209839	Anya
670307	322208	Váriné
670307	350833	Gizi néni
670308	394078	Virginia Theou
670308	395090	
670308	400825	Jenny
670309	88102	Val (19 years old)
670310	103000	Yuffie Kisaragi
670310	113330	Yuffie
670310	159751	Sayuki
670310	175518	Mikoto
670310	177385	Kula/Lilly Kane
670310	177386	Kula/Hizoku Women (Sai)/Hizok
670310	177387	Kula Diamond
670310	177632	Yuffie
670310	209785	Leena Fujimura
670310	373392	Renée Cardiff Shishiô
670310	379521	Hatoko Daikan'yama
670310	381013	Aya Mikage
670310	390794	Asaka
670310	392829	Sayuki
670310	402790	Hiroko Asahina
670310	409831	Dita Liebely
670311	89967	
670311	212477	
670312	269511	
670314	211961	Reckless Driver A
670315	37	
670315	79255	
670315	216552	
670315	220221	Isidor Buadze
670315	248647	
670315	344266	
670315	357700	
670316	29107	
670316	217019	
670316	298276	
670317	216552	
670318	199791	
670319	351194	Tomako/Mushi
670319	382108	Naru Osaka
670319	382112	Naru Osaka
670319	391333	Peggy
670319	395069	Jill
670319	396500	Suzuko
670319	396640	Kiyoko Takashimaya
670320	311676	
670321	284871	Fish shop clerk
670321	327965	Keiko Kawahara
670321	373386	Naoko, Sasa's daughter
670321	409285	Midori Aoyama/Princess Zelian
670322	211038	Koulukotivalvoja
670322	399752	Herself - the host
670323	412170	Herself/Member of the jury
670324	342035	Artemis
670325	216778	
670326	266673	
670327	6502	
670328	259161	Tzo
670329	237468	
670330	293487	Sawa Hirata
670330	383808	Ritsuko Sakurada
670331	43060	English teacher Nishiwaki
670332	107832	
670333	72962	Yuko
670334	207389	Kiran
670335	98497	
670337	82368	
670337	190785	Milica Sandic - Lilika
670337	217290	
670337	227812	Jamuna
670338	186250	
670339	340659	
670340	70570	Young Lover #2
670341	87432	Gay Woman #1
670342	345368	
670343	172894	
670344	381940	Cashier
670345	117424	Juror
670346	213872	Erika
670346	282563	Lilly Rousseau
670347	21898	Asian Babe
670347	21899	
670347	21900	Asian Babe
670347	45588	Kumar's Mother
670347	98877	
670347	98902	
670347	252694	
670347	299456	
670348	155638	Wicky
670349	13736	Second Woman In Park
670349	285357	Linda Green
670349	323040	Nurse
670350	342153	Margaret
670351	315018	
670352	212565	
670352	243080	
670352	261734	
670353	172836	
670354	54456	
670355	105812	Doctor
670356	77541	
670358	61365	
670359	232648	
670359	243136	
670359	243491	Mariko
670360	38160	Angel
670361	135967	Lori Simms
670361	158986	Cherrie
670361	231876	Woman
670361	252159	Terry Weiss
670361	269848	Helen Calloway
670361	291302	Sharon Beaudry
670361	294980	Spa receptionist
670361	313123	Maria
670361	314771	Mary
670362	229010	
670362	410431	Herself (interviewed)
670363	40743	Tovi
670364	289861	
670364	404462	Ljuba
670365	82102	Sestrata na Elka
670365	103565	
670365	104831	
670365	244624	
670365	374062	Uchitelkata
670365	386065	
670366	73734	Model
670366	227371	Janaki
670366	320841	Sophy
670367	57073	Loladze, Maid, Mother-in-Law,
670368	43172	Herself
670368	382439	Judge
670369	282556	Young Kate
670370	282096	
670371	217454	
670372	223564	
670372	229927	
670373	396236	
670374	42276	Victoria
670374	335220	Guest
670375	144163	Milena
670377	386616	
670378	8367	
670378	9481	
670378	15295	Girl
670378	18221	
670378	20215	
670378	22588	
670378	23157	
670378	82778	
670378	92017	
670378	98604	
670378	99418	
670378	102128	
670378	102885	Jenny
670378	122785	
670378	149593	
670378	162708	
670378	173957	
670378	174646	Lena
670378	180284	Mina
670378	180297	
670378	180352	Fani
670378	181389	Student
670378	182382	
670378	193532	
670378	211483	
670378	211540	
670378	212597	
670378	237062	
670378	239500	
670378	243376	
670378	243441	
670378	246617	
670378	250542	Betty
670378	259428	
670378	266525	
670378	315005	
670378	327111	
670378	329711	
670378	333766	
670378	356094	
670379	333058	Mt. Hope Housegirl
670380	410060	Dancer
670381	267253	Filipino Maid
670382	359064	Child Fan 1
670383	68513	
670383	163819	
670383	377060	Colette
670384	19639	Couturière
670385	125102	
670386	90241	Nurse
670386	216165	Nurse
670386	289691	Docent
670387	175573	Marcy
670387	254412	Fortune Teller's grandaughter
670388	252887	Amy
670389	339091	NZ-Nurse 1
670390	1360	
670391	357426	Zhurnalistkata
670392	131027	Zlatka - mayka na Moni
670392	235290	Golyamata Nadezhda
670392	237581	Vercheto
670393	311887	
670394	39127	Ragna Barsøe
670394	151824	
670394	153950	
670394	181236	
670394	214547	Philippa Heiberg
670394	307775	Fru Nina Heiberg
670395	95471	Villager
670396	33254	Irina (segment 1)
670396	153643	Amanda
670396	278882	Laura
670396	319967	Anneke/Dorothea
670396	397264	Birgit
670396	402840	Hilje
670397	274200	Woman in Restaurant
670398	305391	Young Lady at wedding
670399	108033	College Student
670400	57851	
670400	58507	Boots
670400	80782	Woman
670400	193775	Joanne Castel
670400	316793	Barmaid
670401	39845	Jenny
670402	123547	
670403	232251	Urchin
670404	344917	Sugandha
670405	22118	Flower girl
670406	20091	Jane Cummings
670406	129113	Aja Waitress
670406	237006	Buxom Student
670407	26313	Mother
670407	206096	Victim
670408	254614	Candace Williams
670409	343700	Rubinfen
670410	127561	Sidewalk Dog
670410	358807	Herself
670411	317960	Claire Smith
670412	14477	Kaleiwo
670413	100791	
670413	115754	
670413	265334	
670413	309246	(segment "Corazonada")
670413	380108	Greta
670413	402321	Julieta Linares Malve
670414	367891	
670415	1145	Woman at Planet Hollywood
670415	14198	Alice
670415	37998	Nora
670415	45503	Tina
670415	91768	Sue Schilling
670415	106639	Dr. Gruber
670415	154943	Debby
670415	195290	Girl (segment "For Life")
670415	238230	Edna
670415	250546	Diane Cassabello
670415	264581	Pvt. Gianelli
670415	273782	Donna
670415	283551	Shelley
670415	301702	Alison Halman
670415	303225	Connie LaRocca
670415	343045	Terri
670415	358964	Despie Galasso
670415	380391	Angela 'Angie' Perrini Frame 
670416	386110	
670417	16672	Teresa Bagshaw
670417	37092	Barbara
670417	56766	Marcia (segment "The Ledge")
670417	108959	Elizabeth Parker
670417	109675	Samantha Stephens
670417	113389	Connie Phipps-Singer
670417	115326	Amanda Ray Ross
670417	148221	Dolores James
670417	164641	Sarah
670417	170540	Mother
670417	172666	Alexandra
670417	176931	Cinderella
670417	183188	Delia
670417	191842	
670417	250576	Mrs. R. McNamara
670417	297790	Linda Karney
670417	301391	Colleen Hess
670417	315871	Laurie Woods
670417	333226	Sandra (Jules' Mom)
670417	347692	Margaret Trainor
670417	362834	Tess McCall
670417	385977	Judge Caroline Masters
670417	393952	Joanna Farrell
670417	394246	Dr. Kay 'Kayo' O'Brien
670417	396123	Merrill Vochek (1983-1984)
670417	398213	Herself
670417	405494	Georgiana 'Georgie' Reed Whit
670417	408039	Susannah Hart Shepherd (1989-
670418	230820	Model
670419	379923	Herself (Eliminated 5th with 
670420	138430	Hanna Strom
670420	267331	Tanja Schlösser
670420	325421	Winnie Sylvester
670420	377374	Laila Röhler
670420	405500	Tina Peters
670421	216721	
670422	58265	
670422	132197	Mrs. Papová
670422	171531	Bitter woman
670422	178532	
670422	179714	Rychtárka
670422	181644	Mána
670422	223487	
670422	250370	Kraftová
670422	290107	Marktfrau/Marketender
670422	303144	Cerná
670422	309463	
670422	352779	Havlová
670422	357687	Cerná
670422	375402	Osetrovatelka
670422	380554	Woman in Kitchen
670422	396264	
670423	291469	Therapist
670424	202088	
670424	345641	Nurse Katja
670424	398989	Louise
670425	63783	Mrs. Fisher
670426	93837	Beulah
670427	100563	
670427	107271	
670427	124272	Antzela Boubou
670427	280334	
670427	341245	
670427	379796	
670428	70970	Martha (segment "Dead-Head")
670429	4640	
670429	180718	Leiterin
670430	280013	Carmella
670430	338757	Leilani
670431	368675	Dawn Undercover
670432	20882	Neighbour At Window
670432	32969	
670432	61781	Charwoman
670432	68491	2nd Servant At Window
670432	95140	
670432	107229	
670432	116694	Mrs. Jenkins
670432	120680	
670432	124752	
670432	126294	Old Lady Whose Son Is To Be E
670432	129086	
670432	138372	
670432	154351	Jane Bloggs
670432	178137	
670432	193005	Charwoman
670432	195456	
670432	195959	4th Old Lady At Seance
670432	203686	Landlady
670432	210828	
670432	221645	Mrs. Feeney
670432	223764	Old Crone
670432	224417	Mother-in-Law
670432	233929	
670432	234891	
670432	239740	
670432	239750	
670432	240970	Mrs. Higgs
670432	250971	
670432	282614	Nana
670432	289632	
670432	291487	Old Lady Sitting By Stove At 
670432	292202	
670432	308078	
670432	308641	Mrs. Edwards (Bill's Landlady
670432	313797	Old Woman At Looting
670432	324002	
670432	330158	Flower Seller
670432	332058	Old Woman In Cell
670432	340220	The Marlow
670432	353313	2nd Nanny
670432	353486	
670432	355095	
670432	360389	Old Lady In Chip Shop
670432	360551	
670433	253745	
670433	263256	Mika
670433	270681	Ivan's Mother
670433	334316	Meri
670433	350721	
670433	382834	
670434	173855	
670434	371560	
670434	377537	
670436	28041	Lærer
670436	119970	
670437	182692	
670438	302269	Dylisha
670439	333058	Departures Clerk
670440	335704	Coffee Shop Customer
670441	91760	
670441	93705	
670441	326728	
670442	198145	
670442	298477	
670442	323318	
670443	321515	Featured Dancer
670444	13529	Marian Powers
670444	43259	
670444	195363	Helen Sterling
670444	206555	Marta
670444	304502	Helene Ayers
670445	206555	Muri
670446	33940	Monica
670446	43170	Geena
670446	96799	Nazir's Bride
670446	101380	Assma
670446	170544	Usha
670446	262910	
670446	288264	Geena
670446	311869	Herself ('Priya')
670446	323369	Girl 1
670446	355184	Charlotte
670446	381538	Mumtaz (Series 3) (2003)
670446	382381	Dr. Maya Dutta
670446	397536	Flora
670447	3238	
670447	25492	Inger
670447	120839	
670447	154204	Isabella
670447	305874	Tina, model and Stefan's girl
670447	307765	Girl thanking the professor
670447	377426	Girl at nightclub
670448	166917	Former Girlfriend
670449	229912	
670450	166723	Jenny
670451	176525	JANIE/eorge Washington/Paul R
670452	226345	Schwester Anna
670453	176525	NIKKI/Tea Bag/Colonist/Britis
670454	347403	J. Seberg
670455	304656	
670456	245115	Isabel
670457	104130	
670457	225102	
670459	218182	Maria
670460	259043	
670461	226000	
670462	361248	Missy Wiener
670463	238012	
670464	265991	
670465	348713	Natasha
670466	21280	La bonne
670467	54160	Herself
670467	54161	Herself
670467	189883	Herself
670467	289442	
670467	290273	
670467	314847	
670467	383368	Zangeres
670468	210193	Kalvi I
670469	131152	Nadeshda
670470	244096	Ani
670470	382444	
670471	220695	
670471	386031	
670472	104429	Ira
670472	154539	
670472	154566	
670472	164014	
670472	229539	
670472	261953	
670473	179889	Judith
670474	315017	Dora
670474	323285	Mary Kurek, private eye
670475	373653	Maria Golebiowska
670476	224445	Lisa
670477	140389	Violas datter
670478	209741	Constance Hope
670479	136654	Madame Marguerite
670479	268828	
670479	320004	La voisine snob
670480	28688	Kislány a tengerparton
670481	107259	Herself
670482	338537	Dorothy Peterson
670483	340509	Sophieke
670483	387953	Herself
670483	387954	Herself
670484	230053	
670486	225748	Anjel
670487	34581	Berry Picker
670488	34581	Berry Picker
670489	133185	
670489	323285	
670490	179458	
670492	175718	Silva Raud
670492	188623	Aunt
670492	229322	
670492	285940	
670492	287560	Piret
670492	314217	
670492	343470	Waitress
670492	377339	
670492	397264	Helen
670493	128234	
670494	5680	College of Johanna
670495	24354	Schreibers Frau
670495	325545	
670496	411692	Various Characters
670497	154491	Avery Price
670498	154491	Allie Parker
670498	265873	Reporter Carol Stone
670499	225115	Diner
670500	247007	
670501	109486	Heather
670502	101009	
670502	114766	
670502	122739	
670502	233439	
670503	16391	Herself
670504	12271	Probationer
670504	154926	
670504	294142	Tina
670505	74278	Lisa
670506	315919	Isabel Brouillette
670507	24308	Maggie
670508	197499	Mellssa
670509	278607	Woman
670510	195801	Christopher (infant)
670511	8092	Female Reporter
670511	336782	Detroit Corner Girl
670512	255002	Herself
670512	291423	Herself
670512	292178	Katy Connors
670512	393815	Herself (regular)
670513	152426	Delivery Nurse
670514	354739	Jordmorder
670514	397074	Fru Rum
670515	99422	Richard's mother
670515	173202	Tora
670515	175352	Löjtnantskan
670515	180221	Secretary
670515	181846	
670515	198252	Kjellsons sekreterare
670515	310254	Fru Ottosson
670515	320692	Tuss, perfumeshop keeper
670515	354595	Birgit
670515	355631	Josepha
670515	381054	Secretary
670515	394736	Mrs. Karsk
670515	394937	Pensionatsvärdinnan
670515	396256	Hillevi Müller
670515	408800	Ann-Sofie Bärnsten (1996-1997
670516	180002	
670517	406476	
670518	242863	Fie
670519	206232	Woman
670520	390125	
670521	106670	Ann-Marie
670522	394713	
670522	395706	
670523	26382	Wanda
670523	56895	Grace Carelli
670523	94020	Elaine Reavis
670523	104564	Frieda
670523	114618	Palm Apodaca
670523	140925	Belly Dancer
670523	173518	Jackie Burdette
670523	275604	Herself
670523	297448	Mata Hari
670523	314100	Anita
670523	388202	Gina
670524	246695	
670525	18225	
670525	85647	
670525	100630	Tatiana
670525	102885	
670525	247601	
670525	332237	Teta
670525	335367	Roula
670526	307976	
670527	51128	Nurse
670527	182101	Parent at Graduation Day
670527	261151	
670527	390854	Smedhustrun
670527	401773	Kina's mother
670528	28604	
670528	28605	
670528	108154	
670528	134442	Queen Anna of England
670528	147321	Agners von Hohenau
670528	187592	Fürstin Kinsky
670528	205728	Marie's Mother
670528	293548	
670528	365003	
670528	367141	
670529	117101	Model
670530	140019	Funeral Goer
670531	140019	Funeral Goer
670532	178370	Leena
670532	186071	Lady of Koskela
670532	326641	Widow
670532	344376	Miili Lounatpää
670532	346843	Kerttu
670533	387958	Herself
670534	140019	Funeral Goer
670535	18453	Anu
670535	98097	Mademoiselle Mimi
670535	163183	Pirkko
670535	172143	
670535	233243	Kerttu Harjula
670535	242948	Heinäsirkka
670535	271634	Milja
670535	287536	Veera/arabialainen tanssijata
670535	321946	Irja Salo
670535	322273	Mirja
670535	322704	
670535	343399	
670535	350895	Physical training mistress Ma
670535	354255	
670535	354258	
670535	371442	
670535	377313	Kirsti Vuorela
670536	282111	La madre
670537	310329	Timid Woman
670538	70470	Teenager
670539	401767	Cheryl
670540	191041	Pierotto
670540	278965	Ericlea
670541	338284	
670542	157284	Herself
670544	115421	
670545	391487	Lucy
670546	113063	
670547	139781	Layla Peelman
670548	41198	Baby Gnome
670550	346598	
670550	392788	Theres
670551	309563	Young Girl in Hearse
670552	309563	Folk Singer
670553	225337	Jasmina
670554	92516	Helga
670555	351550	Michaela
670556	128013	
670557	320031	
670558	87552	Disc Jockey
670559	320031	
670560	226586	Anne
670561	129561	Dedicatee
670562	253739	
670563	320679	
670563	349077	
670564	235964	
670565	177935	
670566	211217	Soprano singer
670567	180824	
670567	376615	
670568	134915	Woman at the theatre
670568	204792	
670568	402362	
670568	406604	Journalisten
670570	121235	Cassie
670571	140945	Margita
670572	187837	Lenz felesége
670573	185174	Reporter
670574	117582	Herself
670575	8134	
670575	13330	
670575	93893	
670575	229590	
670576	6324	
670576	7289	
670576	8120	
670576	8123	Anna
670576	15801	
670576	17116	
670576	18222	
670576	18229	Niki
670576	22124	
670576	26045	
670576	40928	
670576	40939	
670576	56043	
670576	61419	Tassoula
670576	86829	Maria
670576	95885	
670576	97880	
670576	97939	
670576	100622	Maro
670576	123477	
670576	123521	Mina
670576	125696	Katerina
670576	163261	Christina Gratsos
670576	172713	
670576	174579	
670576	180300	
670576	182443	Kathy Lycourgos
670576	184764	
670576	192841	Lisa
670576	209081	
670576	209769	
670576	248640	
670576	256404	
670576	256406	
670576	288647	
670576	314646	
670576	316457	
670576	330961	Looukia
670576	370044	
670576	380814	Sofia Laskaridou/Maria Polido
670577	11017	Alexandra
670577	259419	
670577	387762	Elpida
670577	395900	
670578	180562	Dora
670579	400825	
670580	145173	Beach Girl
670581	19030	
670581	28226	Milja
670581	133350	
670581	147464	
670581	178740	Vera (segment "Duga Ulica")
670581	181466	Seka
670581	181508	Jagoda
670581	191479	Visnja
670581	217860	
670581	257486	
670581	259974	Ana Vranic
670581	259975	
670581	261406	
670581	340094	
670581	358004	Jagoda
670581	375855	
670582	25410	
670583	329946	Bimbo #2
670584	18764	
670584	89468	
670584	98568	
670584	99163	Revue Singer
670584	99936	
670584	172210	
670584	172822	Fouli
670584	173663	
670584	180102	
670584	244242	
670584	263052	
670584	341225	
670584	375104	
670584	387567	Augusta
670585	89468	
670585	244242	
670586	314876	Stummfilm Prinzessin
670587	379528	Lila
670588	370460	
670589	130566	Francoise
670589	173750	Dr. Karin, SS Afrika Korps
670589	183912	
670589	242822	
670589	243199	
670589	293819	One Of Sheba`s Women
670589	356725	German scientist
670590	19056	
670590	28289	
670590	29064	
670590	33665	Indira
670590	39029	
670590	58977	Kochammini
670590	85204	Goddess Padmavathi
670590	98471	
670590	125227	Chandra
670590	138453	Malathi
670590	171884	Chandrika
670590	174389	
670590	180568	Kamalu
670590	210480	Sarasamma P. Varghese
670590	213696	
670590	216514	Sarada
670590	222093	Sarojini
670590	226099	Murthy's First Wife
670590	227076	
670590	228580	
670590	228842	
670590	242392	Kanyaka
670590	246590	
670590	247292	
670590	253557	Mohini
670590	255266	
670590	265374	Neena
670590	268092	
670590	285522	
670590	285533	
670590	286781	
670590	288518	Leelavathi
670590	297588	Kaveri
670590	325296	
670590	326665	
670590	326958	
670590	349188	Professor's Wife
670590	350724	House Maid
670590	351400	Pushpam
670590	355547	Maya
670591	248962	Nurse
670592	289880	Marie-Antoinnette
670593	236788	
670594	325891	Gast in Disco
670595	333058	Stewardess
670596	191701	Sanjay
670597	252239	Frau 1
670598	25266	Kirsti
670599	137928	Lady-in-waiting
670600	214662	Matt's Mom
670601	398497	Participant (2001)
670602	158893	Aerobics Instructor
670603	327337	Herself - School pupil
670605	216008	Matumbi
670606	333058	Mt. Hope Housegirl
670607	404108	
670609	75195	
670609	186842	
670609	326364	
670609	367852	
670610	206194	Irena, Krystyna's mother, cas
670610	256156	Irena, Pingwin's Mother
670611	190329	Traditional Healer & Midwife
670612	84430	Casey
670613	31967	Agnese del Maino
670614	165408	Czarnowlosa
670615	242686	
670615	258791	Ola Koziol
670615	319660	Receptionist
670616	88635	
670616	322037	Bride
670618	198603	Jüri's sister
670619	218421	
670620	290190	Sandra
670620	352674	Sophie Klee
670621	116041	Claudia Wortelboer (kennis)
670622	14686	Mariana
670623	306834	
670624	38103	Rob's Girl
670625	318146	
670626	25357	
670626	165939	Kanwal
670626	171824	Kaveri
670626	222208	Thenmozhi
670626	233323	Madhavy, the older daughter
670626	350383	
670626	350756	
670627	316176	
670628	236066	
670629	258459	Liza
670630	131300	
670630	171682	
670630	180852	
670630	219723	
670630	260826	
670630	283837	
670630	313889	
670630	341329	
670630	357205	
670630	357423	
670630	374464	
670631	223776	Random Model/Actress Who Date
670632	301822	
670633	156970	Rich Daughter
670634	109395	Manicurist #1
670635	371930	White Tiger's Wife
670636	75030	
670636	75059	
670637	42070	
670637	129056	Shifra Hasson
670637	175002	Herself
670637	189059	Dorona
670637	216339	Mother
670637	294735	
670637	403041	Miki
670638	252147	Clarinet
670639	19796	Grandma
670640	35657	Harlot
670641	315824	
670641	399950	Susi Fujiwara
670643	162733	
670644	275871	Wannabee Cheerleader
670645	45801	
670646	18188	
670647	17410	
670648	6089	Maura
670648	24555	
670648	30412	
670648	98123	
670648	136059	Sushila
670648	184173	Lalarukh
670648	227989	
670648	228721	Kamala
670648	262249	
670648	337452	Elsin
670649	316712	
670650	31587	
670650	36041	
670650	36061	Leelavathi
670650	36293	
670650	77035	
670650	88506	
670650	92998	
670650	131920	
670650	165194	
670650	165993	
670650	172865	
670650	202478	
670650	204082	
670650	204096	
670650	246902	
670650	250490	
670650	264542	
670650	271756	Goddess Seetha
670650	285802	Sairandhri
670650	289131	
670650	289143	
670650	297036	Laila
670650	297161	
670650	302814	
670650	341556	
670650	344067	
670651	168076	
670652	4425	
670652	27464	Prabhavati
670652	28259	
670652	85375	Protibha
670652	173641	Motibibi
670652	295258	
670653	60824	
670654	6443	Claudia
670654	28727	
670654	99066	
670654	205664	Carlos' mother
670654	244604	Cristina Martinez
670654	246405	
670654	302238	María López
670654	339180	
670654	349835	
670654	380095	Andrea
670654	380105	Clara Galvan
670654	380128	Cristina
670654	381261	Adriana
670654	383518	Rosa
670654	383548	
670654	383564	Sara Olmedo
670654	385369	Francisca
670654	386167	Mercedes
670654	386169	
670654	386357	
670654	387068	Elvira
670654	390127	Victoría
670654	390174	Sara Vallarta
670654	391742	Jimena
670654	397018	Piedad
670654	397579	
670654	397601	
670654	399570	
670654	400663	
670654	401134	
670654	402181	
670654	403257	Pilar
670654	403760	
670654	405397	María Ramos
670654	405416	Dolores
670654	408859	Adelaida
670654	411712	Leonor
670655	227352	Isabelle
670655	379185	Nick's Mum
670655	395091	Typist
670656	168597	Elizabet
670656	199207	
670656	401339	Marie Ollier
670657	382838	Gemma Johnson (I) (1990-1998)
670658	31499	Kekoa Tanaka
670658	276892	
670658	381442	Kekoa Tanaka (1999-2001)
670658	392103	Host
670659	248894	Annie
670660	289749	Magician's Assistant
670661	74786	Kusidelka
670661	173985	
670661	220144	Clerk
670661	237701	
670661	258797	Kaczubowa
670661	323287	
670661	406644	
670662	9387	
670662	203886	
670663	76463	Female Dancer
670664	43703	
670665	198816	
670666	60360	Nyambura
670667	137006	
670668	231167	
670670	223554	
670670	238311	
670670	238324	Girl
670670	256654	
670670	258440	
670670	262222	
670670	271685	Lilyah
670670	292981	
670670	297458	Militsa yung
670670	305543	
670670	323332	
670670	339945	Khalima
670670	349307	
670670	352427	
670671	104710	Host
670672	237887	
670673	349804	Drebosak parvi
670674	38103	Hair Woman #1
670674	185166	Mrs. Angelides
670674	388848	
670675	198303	La poupée
670676	7270	Aelita
670676	95002	Dulsineya
670676	178786	
670676	217283	
670676	256853	Mrs. Darling (vocal)
670676	261939	
670676	263669	Syroyezhkin
670676	320709	
670677	89958	
670677	140051	Magouly
670677	201962	
670677	216408	Deborah
670677	259021	
670677	299241	
670677	303024	Mrs. Bonar
670677	382327	
670677	393662	Frida
670679	205286	Mme. Tung
670680	176837	Khadidja
670681	82010	Lady #5
670682	364795	Sarah Wagner
670683	182042	Nurse
670684	6765	Edo
670684	133113	Guido
670684	201302	
670684	348765	Girl University Student A
670685	19628	
670685	99380	Faransa
670685	99442	Doctor
670685	123263	
670685	153644	
670685	162733	
670685	172794	
670685	175913	Faranca
670685	209468	Bannoura, the mother
670685	288236	
670685	289204	
670685	381015	Wesal
670685	392548	Khoka
670686	162734	
670687	16954	
670687	23166	Beeza
670687	98102	Madiha
670687	153304	
670687	220481	Foreigner
670687	245878	
670688	12257	
670689	137851	Mohammed Atta
670690	37525	Cyclist
670691	80801	Toddler Kim
670692	132168	
670692	350553	
670693	177819	Katica
670693	181507	
670694	82797	
670695	172894	Prostitude
670696	248988	Diane
670697	226475	Nelli Kim
670698	84471	
670698	85148	
670698	88627	
670698	129935	
670698	181243	
670698	186238	
670698	217456	
670698	238110	Nastasya
670698	261362	Alexandra
670698	262187	
670698	316999	Mother
670698	328924	
670698	341356	
670698	352797	
670698	394785	Henriette de Nevers
670698	404219	
670698	405841	
670698	410332	Lena
670699	206484	
670700	26079	Additional Voices
670700	187189	Warm-Up Comic
670700	345686	Gloria
670701	332269	
670702	258682	
670703	40211	
670704	335040	Carola
670705	128013	
670706	33960	Dame in auto
670707	254664	Fleur
670707	290870	Nanny
670707	314858	Emma
670707	376188	Lucy
670707	386608	Petra
670707	390242	Daantje Mus (2001-2003)
670708	64576	
670709	12302	Molly
670710	90548	Back-Packing Tourist #2
670711	172030	
670712	273298	
670712	301660	Jane
670712	304757	Meg
670712	313523	Josephine Cosnowski
670712	328477	Julia Flemming
670712	379716	Pamela Kingsley #1 (1980-1982
670713	379396	Office Secretary
670713	382482	
670713	390917	School Girl
670714	208018	
670715	190210	
670715	195509	Mary Williams
670716	110050	Femme bar
670717	338060	
670718	19736	
670718	231496	Skater
670719	219332	
670720	130214	Doctor Anna
670720	165844	Village Woman
670720	375649	Jacqueline Salomon
670721	138039	Father
670722	156198	Christmas Present
670723	19328	La petite Awet
670724	398876	Hostess (2002-2003)
670725	185873	
670725	212604	
670725	245316	
670726	373218	
670727	108848	Additional Voices
670728	348635	
670729	217051	Yasuyo
670730	35776	Pitsee (4 Year Old)
670731	35776	Young Pitsee
670732	8102	
670732	11018	Eva
670732	85956	Andriana Kyriakou
670732	88917	Sonia
670732	98565	Fay
670732	102693	
670732	136436	
670732	184183	
670732	247908	
670732	389182	
670732	398784	
670732	405384	
670733	109065	Alex Z.
670734	3396	
670734	12706	Justine
670734	17135	
670734	22672	
670734	96353	Monica
670734	121229	Gaby
670734	140566	
670734	204739	Cult Priestess
670734	206923	Hitchhiker
670734	246458	Patricia Hearst
670734	264387	
670734	277369	Macrina
670734	334216	Esbietha
670734	384245	
670734	400947	Ruth
670735	109395	Carpet Show Coordinator
670735	114559	Lori
670736	41164	Sookja
670736	80801	Reporter #5
670736	81543	Mrs. Dagosa
670736	155031	Waitress
670736	188646	Melodie
670736	214441	Louise
670736	245758	Liz
670736	374589	Dr. Cheng
670737	82327	
670737	154576	Girl
670738	148562	
670739	30497	Maria Piechowiak
670739	51039	
670739	58243	Komolowa
670739	172416	Magdalenas veninde
670739	173937	
670739	179199	Lucja Werczakowa
670739	215410	Ewa Kokocinska
670739	225965	Bozena
670739	238095	Wanda
670739	262709	Mother of Tania
670739	364966	Eithne
670739	388834	Maja Weber
670739	397622	
670739	406881	Natalia Szapnik
670739	410485	Danuta Mayer (1990-1991)
670739	412075	Malwina
670739	412076	Malwina
670740	186384	Lady
670741	215106	
670741	304564	
670741	334047	Mrs. Kronberg
670742	181384	
670742	258177	Zusia Konarska
670743	16695	Fanny Mishkin
670743	35891	Bas Shewe
670743	167301	
670743	215106	
670743	237700	Rozalie Lautmann
670743	334047	The Girl (original cast)
670744	215106	
670744	316275	
670745	225972	
670745	231723	Nurse
670745	340088	
670746	358683	
670747	94222	
670747	258666	
670747	305115	Hanka
670748	25386	Nicole
670748	368227	Alexis
670749	36694	Personnel Receptionist
670749	150297	Melanie
670749	162449	Woman in Dress Shop
670749	230508	Andrea
670749	292793	Lindsay Baker
670749	319416	Daniella
670749	381044	Lynda Lennox
670750	181116	Pim
670751	257670	Herself
670753	56545	Herself
670754	359061	Gracie Gla'mour
670755	365380	Emily's Mother
670756	130502	Radon/Minira (suit actress)
670757	405279	Martha
670758	160098	Yuki
670758	260417	
670759	50171	
670760	321559	Derby Dancer
670761	138039	Kano
670762	172471	Yukie Komatsu
670763	175518	Rimururu (Sometimes referred 
670763	286867	Rimururu
670764	115895	Dancer
670765	30988	Satomi Noda - Girls #17
670766	2133	Lady in Limousine
670767	35239	Party Girl
670768	283621	Girl
670769	281575	Mayuko Tano
670770	356694	
670771	7566	
670771	9413	
670771	13473	
670771	24275	
670771	31587	
670771	36254	
670771	36268	
670771	36305	
670771	37663	
670771	58386	
670771	59025	
670771	59387	
670771	84796	Sharmistha
670771	98526	
670771	124191	
670771	138924	
670771	181041	
670771	215205	
670771	217193	
670771	233271	
670771	256698	
670771	271572	
670771	298263	
670771	308442	
670771	317518	
670772	161611	Mantra Girl
670772	204793	Mantra Girl
670773	32562	German Girl
670774	379371	
670774	390417	Pepita Tudo
670774	392669	Oberschwester Ingrid
670774	398095	Penelope
670774	403794	Peggy
670775	199113	
670775	220707	
670775	269486	July
670775	278396	
670775	293939	Simona
670775	353384	Leila
670775	356748	Nicki
670776	295710	Diane Waitman
670777	40487	Vera Wormser
670777	206508	
670777	221284	Melitta Schmiedeberg
670777	258384	Mimmi's Mother
670777	352385	
670778	44416	Maureen O'Neill
670778	79907	Nun
670778	189221	Liz
670779	201264	Voice
670779	391295	Clarissa Lichtblau
670779	412110	Clarissa Lichtblau
670780	68028	Hot Chick
670781	175323	Christa
670782	325891	Gast in Disco
670783	89504	
670784	126646	Tourist
670785	93399	Sebastians Filmteam
670786	116380	Midwife
670787	150123	Doctor
670787	349575	Foster mother
670787	378897	Anna Berggren
670788	228830	Kimiko
670788	334919	Nani-san, Anya's Nanny
670789	228830	Old woman
670790	389980	
670791	125252	
670791	130530	Yuriko Hanai
670791	139851	Akane Shimura
670791	144965	Rie
670791	175362	Hatsue Matsuo
670791	216649	Tokiko
670792	123538	
670793	320762	
670794	89218	
670794	167984	Koomori (The Bat)
670795	173377	Olya Bobkina
670796	343747	
670797	97993	
670797	98793	
670797	182519	
670797	324705	
670797	361533	
670798	91136	Mrs. Polk
670799	344183	Dolly
670800	214755	Child
670801	214755	Child
670802	214755	Child
670803	225142	Teacher
670804	275043	
670805	28566	Kegelschwester 3
670805	35598	Aunt Ilse
670807	41185	Janet Blake/Sacrificial Victi
670808	32409	
670809	1712	Dr. Uschi Künstler
670809	18349	Antonia
670809	18350	Antonia Scherrer
670809	29663	Joanna Williams
670809	81774	Dr. Monica Kelsey
670809	92668	Mina
670809	137492	Reporter
670809	155415	Lissy Seibold
670809	180220	Tanja Pollack
670809	198416	Britta Burkhard
670809	219268	Anne
670809	274240	Diana
670809	277726	
670809	281725	Deborah
670809	293420	Anne Berentzen
670809	296746	Dr. Louise Forster
670809	318899	Sumuru
670809	325716	
670809	331752	Corinna Diering
670809	379769	Liz
670809	388640	Dr. Sybille Richter
670809	408718	Various Characters
670811	45867	Angel
670812	163731	(segment "Adolescenti e l'amo
670813	402452	Leonor
670814	24746	Delia
670814	178555	Lucy de Jong
670814	248587	Poelgeest, Mayvis
670814	397306	Mariëlle Simons-Jesserun
670815	175241	Kees' Classmate
670816	248656	
670817	314158	Baby Hope
670818	81644	
670819	142479	
670820	11874	Sissy
670820	143724	
670821	25654	
670821	164697	Negar
670822	254765	Anthea
670823	183027	Louis' Wife
670823	340811	Mia
670824	224691	Dancer
670825	41459	
670825	189347	Une dame de compagnie
670825	219604	
670826	370643	Tamara
670827	7596	
670827	15389	
670827	26050	
670827	34041	
670827	35613	
670827	77424	
670827	136768	
670827	138942	
670827	153967	
670827	172013	
670827	172186	
670827	173203	
670827	180701	
670827	237451	
670827	288606	
670827	289287	
670827	294170	
670827	295271	
670827	324254	
670827	326989	
670827	357602	
670827	370693	
670827	377520	
670827	377555	
670827	378232	
670828	211863	Sari's mother
670828	237241	Saleswoman of the kitchen fit
670829	137928	Ofelia
670829	156040	Maija
670829	163844	
670829	170247	Shemeikan nainen
670829	174779	Siivooja (Cleaner)
670829	188933	Religious girl
670829	260500	Bride
670829	281298	Ticket Inspector
670829	294532	Jolanta
670830	240050	Herself
670831	129440	Hooker
670832	227189	Chizu Maeno
670832	231272	Plaything/Omocha
670832	373221	Bellflower
670833	206751	Gelin
670834	334806	Claudia
670834	346246	Nikki
670835	56871	Female Bank Teller
670836	287553	Tamako, gosai
670837	373190	Reiko's mother
670838	297389	China Doll's Boatman
670839	84691	Sandra Gamelin
670840	211860	
670841	76844	Yasuko Kuniyoshi
670841	122534	Misa Murai
670841	130525	Yasuko Koito
670841	161687	Kikuno Aonuma
670841	174328	
670841	174335	Tsuyako Nakahara
670841	177926	Tsuru
670841	201374	Garasha Hosokawa
670841	226682	Sugita, Tamie
670841	272225	Taki, Sohachi's sister
670841	298815	
670841	373528	
670842	5800	
670843	279376	Old crone
670844	255872	Nagiko's Friend
670845	41017	
670846	30988	Chisato Matsui - Girls #19
670846	122957	(story 'Kodama')
670846	404244	Yuriko Hirafuki
670847	4558	Miyuki Shima
670847	243497	
670848	29395	Yoshikawa Eimi
670848	76857	Purin, Chikorita
670848	99171	Noity
670848	104908	Kanomi Shibata
670848	130730	Employee E, Chie
670848	172535	Urara Usagi
670848	175368	Tanaka Hanako
670848	179108	Mei Mar
670848	182500	Sachiko
670848	214588	Kate
670848	247245	Poo
670848	258553	Bayleef
670848	259033	Maril
670848	259034	Mariru
670848	259038	Bayleef
670848	293450	Johann
670848	293465	Yuka/Bunny Laker
670848	308790	Sera
670848	323886	Archie
670848	350189	Leila's Granddaughter
670848	382109	Witch Mimete
670848	389218	Cotterpin Doozer (1987-1988) 
670848	392535	Youko Tanaka
670848	394051	Sachiko
670848	394430	Tifa Adille
670848	396503	Cherry
670848	398579	Emi/Umi Hanner
670848	401736	Chikolita,Purin,and Mariru
670848	405218	May
670848	405981	Melonpanna
670848	408305	Shirley the Loon (Japanese ve
670848	409817	Nakai
670848	410444	Liqueur (Japanese version)
670849	160503	Japanese Woman
670850	199311	The Family
670851	6450	
670851	17341	Devi Thampuratti
670851	18803	
670851	36064	
670851	76455	
670851	97546	
670851	97764	
670851	129954	Malu
670851	135880	Yakshini
670851	148996	Woman at party
670851	173816	
670851	174434	
670851	174434	Indira
670851	174710	
670851	176702	
670851	188474	
670851	204524	
670851	227366	
670851	253174	
670851	253176	
670851	255908	
670851	271647	
670851	297834	Raami
670851	329179	
670851	329224	
670851	354120	Unni
670852	1145	Nicolette Karas
670852	40509	Daphne
670852	55843	
670852	78015	Livia
670852	161490	Catrina/Sabrina Hampton
670852	193960	Trin
670852	228970	Herself
670852	228984	Herself
670852	282452	Barbara
670852	285726	Rita
670852	383127	Det. Stella Bonasera
670852	390771	Eleni Andros Spaulding Cooper
670852	395324	Libby Galante
670852	398213	Herself
670852	399289	Angela Villanova
670852	402345	Dr. Sydney Hansen
670853	198	
670853	1756	Eurac Officer Ania
670853	5363	
670853	23571	Sirena Ammaliatrice
670853	24865	
670853	56025	Maria Malibran
670853	67666	Sophie
670853	94735	
670853	108112	
670853	158628	Gena
670853	217943	Anna Lupino
670853	236803	Alma
670853	238021	
670853	264212	Mlle Gillou
670853	278186	Chim
670853	292021	
670853	293318	Rosalia
670853	327813	
670853	372504	Countess Vorontsova
670853	376001	Giovane Nuda Sul Letto
670853	380986	Marina
670853	388753	Giulia Cairo
670853	399952	Muneca Chavez
670853	409936	Paola Ghiglione
670854	21937	
670854	40367	
670854	191471	Paula
670854	265849	Claudia Kaufmann
670854	325433	Sylvia Temesvari
670854	325601	Juliane Kraft
670855	193902	Kamala
670855	323825	Guest
670855	380344	Tzigane Dancer
670856	298425	
670856	391333	Matilda
670856	394685	Hiroko
670856	396500	Bogii/Gori-chan
670856	397346	Yaito Ayano-Kouji/Yai
670856	403597	Yaito Ayano-Kouji
670856	408736	Pîpô
670857	311120	Herself
670858	1784	Brothel Lady
670858	232817	Mom
670859	363189	Waitress
670860	82822	
670860	122168	
670860	328963	Woman in Glasses
670860	328964	Kana
670860	334965	Nurse
670861	348612	Angry Greek Woman
670862	262647	Woman Officer
670863	92260	Dead Person
670864	234980	Norma
670865	112227	Athlete
670866	30988	Yukiko Kitano - Girls #6
670867	74207	Samora Biko
670868	14159	Girl in Airport
670869	124926	Mika
670869	298799	Matsunaga, Noriko
670870	335271	
670871	381522	Additional Voices
670872	174823	Irina Lyubasheva
670873	179726	
670874	86593	
670874	104429	Mila
670874	229065	
670874	259737	
670874	303349	
670875	396491	Emiko Kanno
670876	144929	
670876	149134	Yasuko Nohara
670876	174327	Chika Kinugasa
670876	174336	
670876	179428	Eiko Yagi
670876	233128	
670877	30987	Yuko Natsukawa
670878	159841	
670879	335270	Sachie
670880	30987	Kyoko Kakei
670881	4455	
670881	12983	Radha
670881	15824	
670881	20500	
670881	24189	
670881	28194	Balanagamma
670881	33066	Donna Valentine
670881	36091	
670881	85200	
670881	85335	
670881	109308	
670881	123570	Sreedevi Menon
670881	134354	Madhuri
670881	156448	
670881	163812	Ganga
670881	170972	Police Commissioner's daughte
670881	171940	Kanchana
670881	174299	
670881	195860	
670881	200655	
670881	200761	
670881	202135	Malapilla
670881	202474	Lalitha
670881	227815	(guest role)
670881	228755	
670881	229798	
670881	246089	Nisha Tiwari
670881	262376	
670881	262972	
670881	264927	
670881	287089	Kanchan
670881	292713	
670881	293248	
670881	300241	
670881	312498	
670881	329295	Lalitha
670881	344370	
670881	350383	Janaki
670881	351150	
670881	354965	Devadevi
670882	13491	Minadora
670882	19602	Widow
670882	102996	
670882	221405	
670882	243494	Lia
670882	271847	
670882	277679	Elizabeth
670882	286513	
670883	262261	PTC mom #2
670884	343201	Farewell Party Girl
670885	140580	Luva
670886	117164	Chapman
670887	9353	Dancer
670888	90733	Ani
670888	367224	Kaul
670889	35282	Movie Star News customer
670890	9425	Herself
670891	241923	
670891	334947	
670891	349100	
670892	27160	Janet
670893	182714	Mom
670894	373363	Osaki
670895	510	
670895	515	Additional Voices
670895	516	
670895	517	
670896	271915	Sue's Old Lady
670897	125240	Zanna
670897	390265	
670898	9292	Lan Komatsuzaki
670898	96415	Marliin
670898	123107	Barzy
670898	123108	Shildy
670898	123110	Barzy
670898	319374	Shildy (Gallforce)
670898	383423	Kumi
670898	394451	Soldie
670898	400292	Tomoko Arikura
670898	405175	Utako Yumeno
670898	405279	Jennifer
670899	14141	Leslie
670899	65602	Karen's Mom
670899	143990	
670899	160051	Doctor #1
670899	323563	
670899	362497	Marilyn Abels
670900	345636	Flashback nurse #2
670901	10820	Cafe patron
670902	254153	Cliente du dancing
670903	228265	Herself
670904	99745	Daughter
670905	140798	Young woman
670905	340738	
670906	284952	Nino
670907	162000	
670908	190663	Can-Can Girl
670909	35838	
670910	211508	Bodyguard side-kick
670911	2323	Herself
670912	240496	
670913	177705	Swimming coach
670913	211815	Ursula Beecham
670913	314269	Anchorwoman
670913	364692	
670914	140609	
670914	174655	
670914	182838	
670915	9837	Princess Jasmine
670915	114609	
670915	175349	Ramona
670915	252703	Jelita
670916	345225	Femme auto-tamponneuses
670917	306969	
670918	2500	
670919	347414	Waitress
670920	197758	Prison inmate
670921	171094	Joanie Shriver
670922	107624	
670922	167643	Amy
670922	235592	Helen Van Traylen
670923	121809	Britt
670923	155884	Model
670923	225420	La reine des Géants
670923	254077	La finlandaise
670924	53612	Molly
670924	113463	Sandy
670924	221065	Mrs. Beckman
670925	1583	
670925	34733	
670925	36920	
670925	36934	
670925	37202	
670925	37427	
670925	45013	
670925	45738	
670925	152280	
670925	187409	
670925	239109	Herself
670925	327780	
670926	900	Herself
670926	3667	Herself
670926	6248	Grandma
670926	14198	Helen
670926	17760	Allison Portchnik
670926	23977	Missy Flanders
670926	26397	Maria
670926	36862	Faith
670926	41253	Carol
670926	42007	Little Miss Muffet
670926	50000	Mary Harwood
670926	53296	Customer At Cafe
670926	55292	Jennifer
670926	57684	Herself
670926	65048	
670926	68415	
670926	69416	Miss Baggoli
670926	69842	Herself
670926	71334	Mrs. Shaw
670926	72769	Treva Van Arsdale
670926	76219	Mom
670926	76526	The Angel
670926	83934	Young Girl
670926	89147	Jenny
670926	93982	Maxine
670926	104965	Carla
670926	114241	Mrs. Feld
670926	115098	Maggie
670926	119357	Mrs. Futterman
670926	128715	Frances Loomis (story 'The Gi
670926	131217	Donna Waters
670926	133937	April
670926	139611	Florence
670926	144226	Gitl
670926	158440	Barbara
670926	161241	Herself
670926	161740	Ilene Cohen
670926	162700	Carol
670926	165958	Ms. Sherwood
670926	167233	Louise Haines-Pearson
670926	168292	Cassandra (hairdresser)
670926	170562	Cynthia
670926	175219	
670926	185224	Young Whore
670926	187697	Franki D'Angelo
670926	189408	Mrs. Anderson
670926	195725	Joey
670926	200005	Cissy
670926	203358	Herself/Simka Gravas ('Taxi')
670926	211563	Cousin Tilly/Mrs. Hatch
670926	222483	Myth
670926	223734	Shaldeen
670926	223932	Mrs. Benson
670926	227539	Spider
670926	234126	Sarah
670926	235012	Rose
670926	238682	Dorine Douglas
670926	238688	Linda
670926	245092	Eliza Southgate
670926	245625	Cheryl
670926	246238	Helga
670926	247119	Tom's Mother
670926	264146	Valerie
670926	270484	Annie the Hooker
670926	272273	
670926	284857	Daisy
670926	291495	Ghost of Christmas Present
670926	292373	Martha Bernays
670926	300343	Dr. Louise Rosenberg
670926	314697	Kitty
670926	317152	
670926	319206	Mona
670926	326602	Colette
670926	328553	Jill Johnson (When a Stranger
670926	329906	Molly Rex
670926	332376	Miss Gimpole
670926	338197	Lupi
670926	338930	Connie
670926	349876	Fatty's Girlfriend
670926	356350	Herself - Choir Member
670926	360696	Jeannie Dougall
670926	362689	Jill Johnson
670926	362690	Jill Johnson
670926	368592	Annie
670926	379715	Nicolette Bingham
670926	379996	Lillian Abernathy
670926	381562	Lydia (L.L.) Luddin
670926	382835	Aunt Sylvia (1992)
670926	388202	Good Fairy
670926	390709	Sophie Grubb
670926	401080	Annie Caraldo
670926	407515	
670926	407627	Simka Dahblitz-Gravas (1981-1
670927	100033	Miss Kurtz
670928	384192	Sarah
670930	16847	A.D.
670930	73560	Protester
670930	368610	
670931	42024	Kathra Granni
670931	48017	Edith Worthing
670931	196455	Pamela Gordon
670931	215492	Gloria Harding
670931	230574	Ethel
670931	252962	Roberta Alden
670933	133594	Gallery Waitress
670933	147906	Redhead at Pool
670933	364438	Vanessa
670934	359573	Woman
670935	367853	
670937	266588	Mrs. Pearl Tusk
670938	288453	Freddie
670938	360147	Jean Collins
670939	20232	Bonita Canby
670939	21481	Claire Wilson
670939	46789	Syllvia Standish
670939	70320	Mrs. Weyeth
670939	77487	Grace Dabney
670939	78686	Roberta 'Bob' Carruthers
670939	97539	Faith Channing
670939	100191	Diane Summers
670939	108008	Virginia Farrell
670939	123409	Jeannette Browning
670939	133559	Maria
670939	141212	Alice Adams
670939	143168	Jo Sheldon
670939	155695	Gloria Travers
670939	170826	Ona
670939	183219	Flo Burke
670939	196238	Sonia Marinoff
670939	210838	Beatrice Raymond
670939	240469	Little Comrade
670939	251266	Judith Corbin
670939	256822	Laura
670939	274407	Maria Temosach
670939	281213	
670939	289609	Olga Pavloff/Nina Pavloff
670939	308012	
670939	309586	Liane Dore
670939	309926	Lucie De Montrand
670939	348479	Molly O'Toole
670939	351435	Mary Dexter
670939	353087	Frances Durant
670939	362946	Marion Edwards
670939	364013	Marchesa de Mola
670939	364523	Mary Melville
670939	366621	
670940	78118	Dangerous Nan McGrew
670940	141080	Betty Trumbul
670940	147803	Betty Boop
670940	147805	Herself
670940	188147	Helen
670940	235595	Mabel Jackson
670940	248613	Schoolteacher (The Schoolroom
670940	258909	Dot Nixon
670940	321393	Helen Fry
670940	331456	Helen Kane
670941	283351	Victim
670943	11485	Leslie Perry
670943	176891	Gloria Price
670943	313160	Herself
670943	396088	Connie Loomis (1962-1965)
670944	281140	Julia
670945	202378	Elaine's Maid
670946	43883	Col. James' lady friend
670946	47421	Tess
670946	57747	Inmate
670946	68085	30 Year old woman
670946	169679	Foster Sister
670946	201008	Veronica
670946	204268	Dairy Girl
670946	275785	Cute Redhead
670946	375515	Tamara
670947	351590	Ninetta
670948	345752	School Child
670949	26478	Lissa
670949	73926	Additional Voice
670949	80736	
670949	92694	Villager
670949	126056	Demonstrator
670949	252483	1st Stripper
670949	299451	Pizza Girl #2
670950	133660	
670950	147894	Actress in Canoe, from Swingt
670950	195975	Polly Marr
670950	220582	
670950	269888	Marian Starr
670950	311299	June Macy
670950	319203	Penny Nichols
670950	321549	Snookie Saunders
670950	321592	Joan Mason
670950	329437	College Student
670951	333007	Joanne
670953	68986	
670953	133593	
670953	241655	
670954	75195	
670954	106486	
670955	253613	
670956	303765	
670957	335271	Yoko Morita
670957	359358	Sakiko Inamatsu
670958	95208	
670958	215250	Fanny Starr, private detectiv
670958	266599	Girl on TV #2
670959	269815	Maria Rodriguez
670960	40609	
670960	116532	Ma Brennan
670961	150672	Suzie
670962	102174	Virginia
670962	106737	Old lady
670962	182956	Martha
670962	239829	Auricon Granny 1
670962	366743	Cackling Woman
670962	366748	Cackling Woman
670963	35420	Communicator
670963	99856	Switchboard Girl
670963	140862	Mrs. Robert Rawlins
670963	176872	Teacher
670963	194062	Caseworker Attendant #1
670963	238983	Mary Bannon
670963	369359	Karen, at age 12
670964	20625	Extra
670965	131635	
670965	145013	Mala Bremer
670965	240714	Dolly
670965	283522	Catherine
670965	386970	Cross Clan Mother
670966	81898	Matina
670966	262160	Imogene
670967	8067	Church woman at The Patch
670967	31620	Lola, chorus girl
670967	32886	
670967	37896	Mary Malone
670967	41895	Marian Bradley
670967	44293	Nina
670967	47370	Third 5 & 10 Salesgirl
670967	64090	
670967	71534	
670967	82928	Daughter
670967	83787	Second Telephone Operator
670967	92161	Fields's daughter; also Crosb
670967	119901	
670967	120548	Nurse
670967	123913	Girl on street
670967	124088	
670967	128468	Cashier
670967	128790	
670967	129191	Miss Taylor, Student
670967	133128	
670967	133609	Babe
670967	137498	
670967	140040	
670967	146750	
670967	152537	
670967	154652	Cashier
670967	167719	
670967	177713	
670967	183372	Marjorie
670967	191213	
670967	191588	Woman Ironer
670967	195120	
670967	203006	Girl
670967	205912	
670967	211546	Rosa
670967	213820	Waitress
670967	232341	Cabaret Singer
670967	233508	
670967	238711	Telephone Operator
670967	254602	His daughter
670967	279399	
670967	292145	Whiteman's secretary
670967	292405	Maid
670967	302703	
670967	302730	
670967	304959	Customer
670967	304962	Telephone Operator
670967	311829	
670967	319150	Doris
670967	321384	Telephone Operator
670967	321616	
670967	329948	Secretary
670967	331615	Wedding Guest
670967	372932	Switchboard Operator
670967	372935	Sue
670968	68469	Joan Diver
670968	81543	Cathy
670968	179419	Girl on Scooter
670968	210733	Susan
670968	230508	Tina Bulasky
670968	235571	Picture Girl
670968	253360	Kate Huntley
670969	20625	Extra
670969	206878	Her Sister
670971	237608	Herself (Sports Sociologist, 
670972	298479	W.P.C.
670973	385299	Kathy Stokes
670974	258207	Kindly Old Lady
670975	277056	
670976	21180	Dilys
670976	386233	Lilian Potter
670976	399192	Bag Lady
670977	26737	Switchboard Operator
670977	107405	
670977	302723	KFWB Switchboard Girl
670978	127483	Patti
670979	118363	Bad Girl #2
670979	137579	Julie
670981	26626	Mrs. Carding
670982	32586	
670982	46788	
670982	47313	
670982	239530	
670982	363634	
670983	223397	Tanya Bailey
670984	314927	Louise, dark redhead
670985	224691	Old Party Goer
670986	2415	
670986	25491	
670986	26100	
670986	26513	
670986	27197	
670986	27203	
670986	28866	
670986	29877	
670986	34742	
670986	34940	
670986	35165	
670986	36310	
670986	36311	
670986	36319	
670986	36324	
670986	36327	
670986	36334	
670986	36335	
670986	36344	
670986	36350	
670986	36354	Golden Dildo Awards hostess
670986	36355	
670986	36356	
670986	36398	
670986	36403	
670986	36405	
670986	36406	
670986	36408	
670986	36412	
670986	36414	
670986	36416	
670986	37385	
670986	37386	
670986	38366	
670986	38869	Mother
670986	39242	
670986	39416	
670986	39908	
670986	41074	
670986	41756	
670986	41967	
670986	41976	
670986	41984	
670986	41985	
670986	42709	
670986	43476	
670986	43504	
670986	43510	
670986	44425	
670986	44537	
670986	44806	
670986	45071	
670986	46713	
670986	49652	
670986	49908	
670986	50174	Monica
670986	52320	Loretta
670986	54224	
670986	59156	
670986	65654	Leader of television pirates
670986	66122	
670986	68210	
670986	68839	
670986	69505	
670986	74303	
670986	74981	
670986	77147	
670986	81467	
670986	81571	
670986	82559	
670986	83159	
670986	83801	
670986	93317	
670986	93798	
670986	96774	
670986	96943	
670986	97506	
670986	98847	Nastasia
670986	98986	
670986	102714	Herself (Hostess)
670986	106110	Simone
670986	108402	
670986	108830	
670986	113316	
670986	113318	
670986	113992	
670986	115059	
670986	115554	Willing Flintbone
670986	117145	
670986	117376	
670986	121527	Herself
670986	123629	
670986	126173	
670986	128725	
670986	128729	
670986	128859	
670986	130157	
670986	138314	
670986	144831	
670986	147699	
670986	150337	
670986	151017	
670986	151078	Mistress
670986	153573	
670986	154444	
670986	154698	
670986	157818	
670986	159761	
670986	159911	
670986	160418	(segment "Video Mate")
670986	161094	
670986	163863	
670986	183363	
670986	187411	
670986	187413	
670986	188113	
670986	194000	
670986	196036	
670986	196360	NonSex
670986	196547	
670986	199535	
670986	206452	
670986	208493	
670986	215496	
670986	215952	
670986	216203	
670986	228062	
670986	231885	Do Not Disturb Segment
670986	232120	Shannon
670986	242063	Herself
670986	242073	
670986	243134	
670986	246693	Carol
670986	249610	
670986	257544	
670986	257879	
670986	257966	
670986	258912	
670986	264802	Herself
670986	267219	
670986	267569	
670986	273336	
670986	274137	
670986	275474	
670986	279137	Girl in Limo 2
670986	283444	
670986	291013	
670986	292604	Fish chowder cook
670986	292634	
670986	294002	
670986	294299	
670986	297687	Herself
670986	297965	
670986	298100	
670986	298141	
670986	298150	
670986	298156	
670986	298160	
670986	298323	
670986	302496	
670986	302880	
670986	305772	
670986	309217	
670986	310351	
670986	316135	Cop
670986	316885	
670986	320962	
670986	321640	
670986	324662	
670986	326106	
670986	329694	
670986	329695	
670986	331824	
670986	337210	Dildo saleslady
670986	338027	
670986	338130	
670986	340492	
670986	341959	
670986	342202	
670986	354793	Party Guest
670986	361911	
670986	361941	
670986	363369	
670986	364762	
670987	116741	Aunt Eunice
670988	194638	College Girl
670989	58488	Kyla Travis
670989	89320	Moxie
670989	135170	
670989	231426	Monica
670990	243136	
670990	291281	
670991	381305	Ms. Goodbody
670992	195884	Artist Model
670992	196471	Miss Emerson
670992	232293	
670993	72689	Betsy
670994	300361	ER nurse
670995	56254	Baby Kathleen Jones
670995	130742	Baby
670995	131391	
670995	141454	
670995	224205	Mary Avenell, at 3 years
670995	347065	Arlington Daughter in Photo
670996	144737	
670997	126519	Natsumi
670998	109926	
670999	211324	
671000	176592	Banno's third sister
671001	25749	Chiyo Mihama
671001	41909	Amamiku (childhood)
671001	273168	Mayumi Takahashi
671001	378718	Gyokuyou
671001	381025	Chiyo Mihama
671001	400268	Marie
671001	400269	Marie
671002	192503	Model #4
671003	169215	Kodama
671004	18685	Herself
671005	115842	Japanese Girl
671006	191747	Hospital Nurse
671006	232204	Robin
671006	316614	A.N. soldier
671007	176587	
671008	182154	Kazumi
671009	223971	Geisha
671010	238167	Bugeyed Wife
671011	253444	Urara Serizawa
671012	23806	Mme Rédillon
671012	280793	
671012	313991	
671012	398217	Juanita
671013	272920	Herself
671013	318841	Herself
671013	400566	
671014	387508	
671014	394026	Tasia
671014	406476	Roula (Stavroula) Koromila
671014	408171	Kostoula Kamenou
671015	398784	
671016	138161	Child in Schoolyard
671017	155504	Yumi's mother
671018	223009	Reporter
671019	40336	Building Superintendent
671019	354866	
671020	323140	
671021	181630	Rautavaaran äiti
671022	174779	
671023	226132	Ôhama, Reiko
671023	256129	
671024	45380	Denise
671024	66592	Beth
671024	187151	Dr. Jade Kim-Ji
671024	293228	Zoe
671025	293228	Zoe's Relative
671026	293228	Zoe's Relative
671027	401889	Herself
671028	78583	
671029	30760	Miyuki
671030	242529	Mila Molibow
671030	292700	Gossip 3
671030	311224	Focus Group Member
671031	315983	
671031	324875	
671031	398895	
671032	102243	
671032	244624	
671032	327486	
671033	373856	
671034	24695	
671035	41790	
671036	283188	
671037	62797	
671037	238856	Ms Hwang
671037	286001	
671038	227222	
671038	371247	
671039	84508	
671040	51577	
671041	319615	
671042	226135	Yuki
671042	239851	Mi-do
671042	284016	Herself
671043	63486	
671043	294492	
671044	51026	
671045	170323	
671046	306226	Singing Girl
671047	1497	Hakoon's Wife
671047	306616	Sooki
671047	347852	Reporter #6
671048	73499	Phone Operator
671049	323978	Sexy Waitress
671050	60638	
671051	110606	Ye Shunan
671052	28802	
671052	76652	
671052	101114	
671052	130235	
671052	130264	
671052	130265	
671052	130267	
671052	137080	Yeong-ah/Jeong-ah
671052	216419	
671052	221854	
671052	226543	
671052	229892	
671052	287361	
671052	298792	
671052	344353	
671052	344354	
671053	166244	
671054	117554	
671054	245838	Secretary
671054	251347	Physics Major
671054	326272	
671054	358985	Girl in diner
671054	403469	Becky
671055	223506	Candidate #12
671056	43623	Additional voice
671056	102084	
671056	142966	
671056	167882	
671056	167940	
671056	204113	
671056	227182	
671056	286599	Eva (Aeba)
671056	344355	
671056	348672	
671057	243153	Ju-hie
671057	267493	
671058	127723	
671059	119224	
671059	129968	Angelo
671059	178621	
671059	224350	The Thai Wife - Die Thailände
671059	325835	Frau mit Brille
671060	9460	
671060	102068	
671060	147570	
671060	156427	
671060	157076	
671060	165542	
671060	166787	
671060	215199	
671060	227115	
671060	227139	
671060	227219	
671060	371942	
671061	44819	
671062	317874	Omma
671063	43610	Na-yeong
671064	199555	Yoo-jung
671065	4808	
671065	10022	
671065	27394	
671065	51024	
671065	51025	
671065	65645	
671065	167219	
671065	227404	
671065	236774	
671065	322916	
671065	329008	
671065	364789	
671066	136415	
671067	9218	
671067	34330	Marie-Ellen
671067	36617	
671067	40098	Jang Eun-young
671067	51008	
671067	63497	Ho Jung
671067	63512	
671067	95893	
671067	102024	
671067	126776	Eun
671067	126789	
671067	126793	
671067	126875	
671067	128039	
671067	130570	Young-hee
671067	136419	J
671067	138301	Mi-kyeong
671067	167487	Young-hee
671067	215111	
671067	294438	Oh Hyeon-ju
671067	295224	Mi-na
671067	300793	
671067	308679	
671067	361713	
671067	371254	
671067	389567	Sandy Brown (Korean version)
671068	371197	
671069	153417	
671069	226546	
671069	293651	
671070	37682	Bistro Patron
671070	230934	Art Gallery Guest
671071	289268	
671072	381312	Linda
671073	211433	
671074	228164	The Muddy River Cloggers
671075	178186	
671075	180445	Tarja Laaksonen
671075	210961	Tuuli
671075	268533	
671075	350718	Anna Keskitalo
671076	190659	Lauri's wife Sirkka
671076	253796	Maire
671077	228164	The Muddy River Cloggers
671078	401125	Mirka Valkia
671079	160494	Irmeli, Lasse's secretary
671079	171590	Natasha
671080	27388	Soni's sister
671080	35089	Reshma
671080	147301	Preeti
671080	166483	
671080	170623	Special Appearance (Song)
671080	227893	Naseem
671080	247987	
671080	394954	
671081	344988	Phillip's Teammate
671082	26633	Sue
671082	120121	Annette
671082	140402	Andrea
671082	222704	Policewoman
671082	241363	Understudies
671082	322754	Newlywed Wife
671083	79650	
671083	82200	Ewa Jezierska
671083	88410	Bank Clerk
671083	167025	
671083	179342	Young Woman
671083	369009	
671084	40773	Natalie
671084	68271	Lt. Zofia (Live action and in
671084	68275	Lt. Zofia
671084	70402	Flame
671084	331541	Bride
671084	345855	Mary Chambers
671085	356501	Mei-Li
671086	4751	
671086	7363	Gayathri
671086	25426	Tanska
671086	36586	Arcimowiczowa
671086	95704	Ms. Anastazja, Chairman of Wo
671086	95726	Girl
671086	105516	Helutka
671086	137330	
671086	165844	Stacha Sarnowa
671086	173652	Landlady
671086	181358	Lady of the Court
671086	208725	Cleanerin
671086	244100	
671086	251923	Kucina
671086	261595	Woman buying a sugar
671086	311834	Frau Hochmeier
671086	341074	
671086	358546	Melania's Mother
671086	359589	
671086	367370	Vet
671086	373653	Delegacy Member
671086	374664	Anastazja Makulec
671086	375179	
671086	380998	Barbara Tanska
671087	224393	
671087	293074	
671088	234648	
671089	2796	Herself - Academy President
671089	91779	Actress in Othello
671089	206879	Herself (writer, producer)
671089	240466	Herself
671089	277622	Professor Fields
671089	327250	Jane
671089	366936	Herself
671090	223882	AD
671091	398273	
671092	33458	Milena Saamann
671092	156669	Rike
671092	160601	Leonie Katz
671092	189615	Schwester Sarah
671092	223461	Schwester Doreen Berg
671092	225210	Janine
671092	259128	Chef's wife
671092	309019	Louise (18)
671092	313671	Katharina
671092	316541	Melanie Danzke
671092	325593	Kathi
671092	345898	Greta
671092	374548	Emma
671093	98345	
671093	321424	
671094	287374	Tsukiko Okuya
671095	12390	Planet
671096	341785	Vera
671097	213939	
671098	234571	Venla
671099	16282	
671099	36544	
671099	58923	Mura
671099	184108	Elina Hakala
671099	247130	Jethaima
671099	293273	Sita
671099	323986	Swagata
671100	176216	Tamunia
671100	182308	
671100	352283	Maro
671101	28153	
671101	236584	Neighbour
671102	394237	Asst. Atty. Gen. Yehudit Karp
671103	219075	Herself (Kimmy Kann)
671104	154763	Innkeeper's Wife
671105	4453	
671105	15873	
671105	17589	
671105	19365	
671105	21845	Tishyaralshithai
671105	23287	
671105	26976	Brownie
671105	35153	Mrs. Gelder (Jan's grandmothe
671105	36248	
671105	56722	Anna (Brandts' housekeeper)
671105	59002	Chandika
671105	59420	
671105	65968	Minna Cesare
671105	77036	Daksha's wife
671105	79918	Grandmere
671105	93005	Draupadi
671105	98166	Mrs. Adeline Zunz
671105	103329	Karin Möller
671105	115233	
671105	117565	Blind Housekeeper
671105	134354	Radha
671105	139415	Chandramathi
671105	151069	Gerta
671105	164799	Parvathi Devi
671105	173235	
671105	173446	Kannagi
671105	176316	Mrs. Kramm
671105	182205	
671105	182206	
671105	185937	Maria, the concierge
671105	186202	Kousalya
671105	194022	Old Lady
671105	200675	Mahamaya
671105	200682	
671105	201951	Angamma
671105	204096	
671105	204625	Queen
671105	204626	
671105	204627	
671105	208592	
671105	208621	
671105	221262	Queen Charlotte
671105	234049	Mrs. Jacobson
671105	246438	Kaikeyi
671105	247164	Naagamma
671105	249643	
671105	271453	
671105	271763	Ramadasu's wife
671105	288155	
671105	288838	
671105	288839	
671105	293282	
671105	300263	
671105	300269	
671105	316604	
671105	318651	
671105	324075	Santha
671105	334641	
671105	342469	Mrs. Eipeldauer
671105	348858	
671105	363624	Frau Steen
671105	364063	Shura
671105	367520	Baroness
671105	367623	Concierge
671106	223893	Jenny
671106	241103	Ann
671106	266623	Carolyn
671106	387309	Susan Forbes #1 (1969-1970)
671107	400615	Angel Met
671109	313189	Paul's Party Guest
671110	209100	Social Worker
671111	410688	Shakira (2000)
671111	410689	Shakira (2000)
671111	410690	Shakira (2000)
671112	139709	Mistress Vanya
671112	178849	Die Stimme
671112	267117	
671113	228388	
671114	308048	Robin
671115	146476	Fujiko
671116	76847	
671116	89692	Sawako
671116	98600	Mizuki Kurahashi
671116	202813	Anzai, Sarasa
671116	271628	Hanako
671116	285695	Yuka Irie
671116	335268	Tomie Kawakami
671116	379483	Kirika Tohno
671116	392552	Rika Aoshima
671116	392559	
671116	394705	Nagashima
671116	405276	Shizue Onoda
671117	130499	Cameo appearance (communicati
671118	149125	Ikuko Matsubara (6 years old)
671119	178376	Statist
671120	206765	
671121	6728	Herself
671121	21916	Herself (Fujiko)
671121	27014	Herself (Fujiko Kano)
671121	30046	
671121	75028	
671121	81925	
671121	148882	
671121	188948	Fujiko
671121	219075	Japanese Woman (Fujiko Kano)
671121	219076	Herself (Fujiko Kano)
671121	227998	Japanese Dominatrix (Fujiko)
671121	227999	
671121	243090	
671121	291281	
671121	291439	
671121	296707	Herself (Fujiko Kano)
671121	363800	
671122	51271	
671123	78335	Eiko (nurse)
671123	78675	
671123	138484	Kyoko Sawai
671123	168877	Yumiko
671123	172116	Toshiko Kenmochi
671123	174527	Nimiko, 2nd daughter
671123	182024	Ayako Kataoka
671123	182029	Masako Usami
671123	182075	Sanae Iwase
671123	242173	Chie
671123	242179	Katsumi Tsubota
671123	242232	Minako Honjo
671123	288353	Taeko
671123	297069	Matangi
671123	298995	
671123	334936	
671123	348898	(segment 'Syayo Nigou')
671123	370449	Motomi Torii
671123	373284	Fusae Shimazaki
671124	171844	
671124	177704	
671124	208682	Keiko
671125	226859	
671125	373355	
671126	101260	
671126	275277	
671127	394032	Princess Chimera
671128	188057	
671129	335986	
671130	381398	Maria Nagisa/Miss America II
671130	409319	Mimi
671130	409321	Mimi
671131	171529	Michiko
671131	334912	
671132	85404	
671133	158871	Valletto
671134	394582	Arundhati Kapoor
671135	131731	Japanese Salesman
671137	32123	
671138	32123	
671139	232704	
671140	61876	Caissière supérette
671140	339967	La suicidée
671141	126276	Cris Wilson
671142	171421	Infirmière
671143	317186	Marta
671144	98149	Yard Sale Customer
671145	32601	Neil's Mother
671146	361451	
671147	62629	Chonan no koibito
671148	60699	
671148	374178	
671149	25814	Maria Szczebanska
671149	324028	Tamara
671149	350500	Pernille Madsen
671149	352741	Grete Grotowska
671149	383376	Sirkka Nieminen
671149	390432	Maddie
671149	396400	Magda Ostrowska
671149	405639	Maj. Nina Grishina
671149	410013	Grete Grotowska (1988)
671150	24422	Maria
671150	115994	Polizistin Fiedler
671150	140229	Hertha Börnsen
671150	187521	
671150	211108	Pflegerin
671150	325599	
671150	325709	Ella Freidahl
671150	335041	Mrs. Oldenburger
671150	387735	Gertrud (1987, 1990)
671150	394480	
671150	399175	
671150	401058	Ida Bollkamp
671150	406321	
671150	409611	
671151	17528	Elke
671151	95126	Prostituierte
671151	302774	
671152	268155	Chambermaid
671153	95705	Maria Van Dam
671153	155802	Eva
671153	332962	Vriendin van de man
671153	356811	
671153	358027	Bloemenverkoopster
671153	368056	Verkoopster
671153	388599	
671154	172831	Kamini
671155	185321	Girl In Lobby
671156	18416	Gertrude Yuta
671156	95666	
671156	173686	Sabina
671157	175060	Newsstand Vendor
671157	355035	Annie
671158	6445	
671158	373081	G-zha Milanova
671159	394862	Participant (2002)
671160	92111	Herself (Asst. Commissioner o
671161	211533	Mermaid
671163	79252	Teacher
671163	289831	meisje met fiets
671163	400217	Zuster Anja (1995-)
671164	127191	Candace
671165	53955	2nd Maid
671165	187714	
671168	196441	Kati Thurnau
671169	41281	Dr. Berman
671169	84960	Rena
671169	137699	Carol
671169	251161	Joan
671170	100906	Mackenzie Castle
671170	183343	Tracy Burns
671170	196361	Telena
671170	201706	Herself
671170	304129	Janet Feldman
671170	335692	Tiny Nun
671171	64842	Circulating Nurse #1
671172	104953	Rich Girl 2
671173	35093	Zora Flaum
671174	44355	Julie
671175	286791	
671176	166367	
671176	173816	
671176	223368	
671176	288315	
671177	9113	Female Rocker
671177	104999	Jane
671177	132454	Singer on Beach
671177	284526	Female Pantyhose Gunman
671177	317634	Jill Wajakawakawitz
671177	398175	Geena Campbell (1994)
671178	188786	Funny Girl
671179	47078	Cheerleader
671180	307163	Vieno
671181	248735	
671182	393034	Raili
671182	398987	Herself - the host (2002)
671183	162383	
671184	13990	Girls Backstage
671185	120298	Student
671186	51220	
671187	169843	
671188	109408	
671189	8652	Nehama
671189	140580	Shura
671189	383972	Hava-Fruma
671190	193086	
671190	397353	Lili HaPochezet
671190	409262	
671190	411704	Shoni
671191	12103	
671191	16200	Midwife
671191	23345	Gablerová
671191	51091	Grandmother Vera
671191	55885	Lubo's Mother
671191	73064	La logeuse
671191	96391	Teacher
671191	137070	Publican
671191	166417	Jarýnková
671191	178453	Tobiásová
671191	181088	Marta
671191	224960	Lorenzová
671191	229822	Spevácková
671191	239020	
671191	249382	Masínová
671191	265233	Mother
671191	266282	Hansenová
671191	280997	
671191	341195	Morelli
671191	349323	
671191	353949	
671191	357684	
671191	373419	Goody
671192	356981	
671193	191513	Monica's Little Sister
671194	75664	Hester Ryan
671194	386339	Penny Ferrars
671195	3136	Yoshiko Nakazawa
671195	101588	Toshie Wada
671195	208683	Rie Harada
671195	232685	
671195	234529	Yakitoriya':s woman
671195	300432	Sister Eri
671195	328019	Nami Tsuchiya
671195	334857	Mako
671195	347492	
671195	347495	
671196	359175	Princess Maria Bolkonskaya
671197	404577	
671198	349134	
671199	76477	Dr. Geeta
671199	285950	Rekha
671199	330972	
671200	4062	Asha
671200	15166	
671200	171851	
671200	183135	Mrs. Mehra
671200	203976	Bordello girl
671200	240226	Phoolkumari
671200	320257	
671200	330972	Binny
671200	339683	Sylvia (Anna's mother)
671200	383001	Lajjo-ji
671201	6095	
671202	300180	Goddess Dancer
671204	82797	Helena
671204	198233	Lilli
671204	260392	
671204	317629	
671205	137267	Keiko, the 3rd daughter
671205	145448	Ruri
671205	166044	Princess Ayako
671205	201374	Otsuu
671205	300468	Geisha
671205	318401	
671205	328028	
671205	359612	Shinichi's wife
671205	370445	Osaki
671206	293488	
671207	100868	Ditae
671208	121606	Misa
671209	321444	
671210	76043	
671210	197397	
671211	242417	
671212	59373	Mommy
671212	274067	Julie Wong
671212	274375	Delia
671212	277582	Linda Ahn
671212	278794	
671213	153187	Julie
671214	236047	Chinese Wife
671215	21937	
671215	308549	Tubtim
671215	385060	Le Silviana
671215	401703	Haruka
671216	6187	Thelema
671216	21352	
671217	381821	Ensemble (1985-1986)
671218	141	Puja
671218	1698	Roshni Sharma
671218	4104	
671218	4172	
671218	4190	Sub-Inspector Rima Kapoor
671218	5920	
671218	8374	Rani
671218	9171	Neha
671218	9241	Rukhsana
671218	11733	
671218	16570	Milli
671218	18135	The Woman
671218	20296	Gita
671218	31373	Jinna
671218	32645	
671218	33173	Katy
671218	42442	Bobby
671218	86628	Barkha
671218	86637	Tara Jaiswal
671218	93721	Sandhya
671218	95448	Gauri
671218	123747	
671218	124150	Shanti
671218	135866	
671218	135874	Shanu/Durga
671218	138928	
671218	152474	Sandra Williams
671218	152499	Devyani
671218	160167	Sonia/Dr. Sarita
671218	160186	
671218	164944	
671218	165407	Reshma
671218	171887	Doctor Smita
671218	172675	
671218	174124	Namita
671218	176088	
671218	180728	Megha Dixit
671218	183135	Kavita Saxena
671218	183318	
671218	186198	
671218	187053	Leela
671218	187658	Rewa
671218	200749	Dolly
671218	204910	Seema Malhotra
671218	207378	
671218	211280	
671218	221206	Janki Ghayal
671218	227650	
671277	37681	Suzy
671218	250481	Kanya (Guest Appearance)
671218	250609	Gayatri Sanyal
671218	250631	
671218	262289	Kiran
671218	268078	
671218	268080	Gauri
671218	271729	Gita Kashyap
671218	271940	
671218	282945	Sanichari
671218	284704	Mona D'Silva
671218	284788	
671218	287983	Herself (guest appearance)
671218	298251	
671218	301453	
671218	326028	
671218	354350	
671218	357224	
671218	373712	Kiran Dutt
671218	373717	
671219	140367	Reem
671220	18494	Sumi Mathur
671220	58584	
671220	95030	
671220	152484	
671220	166493	
671220	203385	
671220	227881	Herself
671220	296598	
671220	341685	Reeta Pandey
671221	174779	
671222	108329	Debby
671223	46966	Lia
671224	16548	
671224	19502	Tamari
671224	86232	Mother of Tengo
671224	86240	Pirimze
671224	99228	
671224	217780	
671224	229977	
671224	253167	Nato
671224	268574	
671224	282242	Taliko
671224	287960	
671224	293983	Gogutsa
671224	326266	
671224	341234	
671224	355138	
671225	326266	
671226	11070	
671227	392988	Dafna
671227	395073	Nadav's lover
671227	395329	Galit Kedmy
671227	408313	
671228	147610	Desiree
671229	168683	
671229	359425	Model
671229	368122	Annie May
671230	268093	
671231	136774	Arzu
671232	225985	
671233	379529	Mother
671234	322017	
671235	82527	Medical Officer Diana Erickso
671236	326467	
671237	8484	
671238	327124	Mary
671238	330480	Singer At Night Club
671238	394078	Vicky
671239	29622	
671240	228134	
671241	380212	
671241	394603	
671242	313667	
671243	76389	
671243	142264	Irmi Hofer
671243	174752	Dirigentin
671244	1358	
671244	245575	
671245	410330	Velma
671246	4117	
671246	29068	Lilly
671246	50017	
671246	58851	Mrs. Mansoor Ali Khan
671246	82003	Dhanwanti (Sapna's mom)
671246	127346	
671246	141852	Mangalbhai's wife
671246	152491	
671246	181927	
671246	209688	
671246	268081	
671246	296601	Roma, Rakesh's wife
671246	341689	
671246	367221	
671247	91200	
671247	174967	
671247	210238	
671247	237139	
671247	355309	
671247	375419	
671248	13971	Molly
671249	235964	
671250	95577	
671250	131300	
671250	154541	
671250	171676	
671251	398875	Hostess
671252	283828	
671252	306646	
671253	89603	
671254	236866	
671255	208390	Kelly Lloyd
671255	222947	Rob Reiner's Daughter
671256	169579	Mother
671257	371769	
671258	12203	Dr. Fishbeck's Nurse
671259	2116	Dori Silver
671259	11570	Kate
671259	261541	Sally Ray
671260	47557	Ashaela
671260	116053	
671261	5891	Mom
671262	67627	
671262	182533	Antje
671262	188797	
671262	210116	Bim
671262	225126	
671262	272781	Renate Gollwitz
671262	308821	Dodo
671263	315310	Ensemble
671264	97364	Female Translator
671264	256464	Charlotte
671264	368267	Jenny
671265	380430	
671266	53323	Graduation Student
671266	57680	Herself
671267	331760	
671269	224106	Miss Drake
671270	297754	Dead People
671272	114283	Rand's Class
671273	277801	Connie
671273	299485	Woman Neighbor
671274	30830	Daughter
671274	111506	Margarette
671274	319367	
671274	397522	Joseane
671275	199467	Selma
671276	63945	
671276	238252	French Girl
671278	309172	Lubrum: Red Snappers
671279	274668	Nanny
671280	297754	Dead People
671281	1973	Mary Beth Turley
671282	37007	Pearl
671282	395178	Pearl (1985-)
671284	117781	
671284	385771	Bogmelon
671284	410765	Tino's Mom/Foods of the World
671285	411261	Bloom (2004)
671286	22865	Mary Lou Kaiser
671286	81984	Axel's girl
671286	86893	Beth
671286	107689	Laurie
671286	141656	Kathia
671286	150292	Janis
671286	257764	Varya
671286	265605	TV announcer
671286	336742	Arlene
671286	380713	Marie Kovak (1985)
671286	387309	Bobbie Gerard (1981)
671287	396738	Herself
671288	80779	Receptionist #2
671288	162821	Villager 1
671289	109439	
671289	192278	Liza
671289	282320	Lori
671289	363931	Woman
671290	242662	Sandy
671291	166871	Saloon girl
671292	38692	Anna
671293	17197	Mailbox Girl
671293	235403	Heather
671294	15258	
671294	24421	Madame Récamier
671294	57510	Helen Joyce
671294	59511	Nostradama
671294	74347	
671294	88845	
671294	149211	Dora
671294	220258	Belen
671294	259771	Salomé von Jung
671294	336850	Alice
671294	403108	Laura
671295	63719	Additional Voices
671296	56992	Sophie's Sister
671296	121404	Hunchback Heidi
671296	264125	Randi
671297	183656	Lead Puppeteer
671298	146672	Herself
671299	405123	Bikini contestant
671300	246015	Shelley Kaufman
671301	84002	Waitress
671302	169579	Sophie
671303	6607	Helen
671304	81033	Woman (segment "The Psychic")
671304	311840	Sylar's Daughter
671305	53033	Camper on bus
671305	169991	Child in class
671306	120297	Nun
671307	137658	Tina Williams
671307	259280	Laurie Lee
671307	390771	Eleni Andros Spaulding Cooper
671308	142786	
671308	407596	Seksi Sempanze
671309	32306	Additional Voices
671310	259002	
671311	197499	Secretary
671312	5579	
671312	24848	
671312	38476	
671312	51323	
671312	77322	
671312	173774	
671312	173853	
671312	178413	
671312	370225	
671313	5579	
671314	10820	Mariam
671314	153239	
671314	326281	Arus
671315	57612	
671315	96392	Vendula
671315	207721	Barca
671316	56027	
671316	62512	Babicka Tichácková
671316	127928	Old Woman
671316	142338	
671316	149243	Death
671316	151777	Old Stirba
671316	171545	Museum janitor
671316	179227	Witch
671316	180573	Old woman
671316	200962	Madame Lachaume
671316	202504	
671316	231140	Bit Part
671316	231177	Mrs. Sulcova
671316	234252	Filipa
671316	239893	Exorcist
671316	253152	Stará Zubatá/Old Lady Death
671316	259053	Alzbeta
671316	265647	Grandmother
671316	270949	Doris
671316	282758	Old lady
671316	305247	Grandmother
671316	305248	Grandmother
671316	326292	Grandmother
671316	339418	Old Woman
671317	142730	Mrs. Weiss
671319	92044	Solange
671319	340681	Fille 5
671320	184786	Arpajaisvoittajapoika
671321	189443	Mädchen im Treppenhaus
671322	77213	TV newsreader
671322	215171	
671322	311703	Herself
671322	328800	Herself
671322	364227	Herself
671322	381452	Sunday Presenter (2004-)
671322	382715	Presenter (2002-)
671322	395991	Guest Presenter
671322	404924	Presenter
671322	405606	Newsreader (2001-2002)
671322	405607	Newsreader (2001-2002)
671322	406731	Herself (Series 1)/Host (Seri
671322	408864	Herself
671323	8043	Natasha
671323	60084	Yana
671323	321960	Evelina
671324	234295	
671325	373856	
671326	28004	
671327	108883	Swanhilda's Friend #6
671328	16375	
671328	17534	
671328	78994	Mother Superior
671328	86596	
671328	95592	
671328	102996	
671328	162755	
671328	162758	Manya
671328	163161	
671328	193238	
671328	223552	
671328	236066	
671328	239920	Maluynikha
671328	264539	
671328	265934	
671328	283755	Naina the Witch
671328	297458	Militsa Fyodorovna
671328	341239	
671328	351064	
671328	381631	
671328	409010	
671329	99580	
671330	10373	Serena
671330	174582	
671330	179458	
671330	394062	Anita Rasia
671330	402377	
671331	29064	
671331	301424	Prostitutka
671332	370210	
671333	163374	Rafiq's mum
671333	408644	Mrs. Mehta
671334	170623	
671335	17362	Ratna
671335	17462	
671335	24186	
671335	29401	
671335	37665	
671335	89598	
671335	95436	
671335	98494	
671335	109308	Kanla
671335	139828	Archana
671335	166477	Kohili
671335	171820	
671335	172537	Monica
671335	177976	
671335	251879	
671335	270216	
671335	341694	Asha
671336	311869	Herself (choreographic assist
671337	246896	
671338	140427	Pooja
671339	271427	
671340	2617	Herself
671340	9173	Priya Malhotra
671340	9234	Priya Malhotra
671340	22118	Kaurwaki
671340	35559	
671340	43169	Herself
671340	58782	Chameli
671340	84697	Aaliya
671340	111915	Neha
671340	141353	Herself
671340	166457	Pooja (Pinky)
671340	171853	Pooja "Poo" Sharma Raichand
671340	176186	Khushi
671340	193183	Simran (Nayyar's girlfriend)
671340	201053	Sanjana
671340	222057	Pooja Saxena
671340	222062	Tina Kapoor
671340	274760	Naaz
671340	323674	Tina
671340	370204	Isha Singh Puri
671340	373321	Mira
671341	2617	Herself
671341	4419	Pooja
671341	4451	Pooja
671341	9214	Manorama
671341	15868	Rajnandini
671341	16184	Jaya
671341	16185	Karishma/Raveena
671341	25972	Neha Chopra
671341	28144	Asha
671341	39032	Pooja
671341	58592	Sapna
671341	70434	Malti
671341	81707	Sapna Saxena
671341	85302	Anjali Chopra "Anju"
671341	86682	Nisha
671341	95003	Priya
671341	95038	Sapna
671341	98536	Nisha Thappar
671341	114747	Fiza
671341	131935	Barkha
671341	136879	Pooja Kashyap
671341	139827	Ritu
671341	141353	Herself
671341	143851	Meena Nath
671341	152486	Sapna
671341	152495	Geeta Kapoor
671341	164319	Sapna
671341	164855	Shalu
671341	165930	
671341	166478	Kajal
671341	167511	Suman
671341	169987	Mala
671341	176163	Pooja
671341	181013	Rashmi
671341	183978	Heena
671341	200904	Tulsi
671341	209814	Megha
671341	211407	Natasha
671341	221206	Reenu
671341	222501	Karisma
671341	233214	Payal (Singh's daughter)
671341	246111	
671341	259259	Bijali
671341	262855	Neelima
671341	262864	Gouri/Karisma
671341	271425	Madhoo
671341	271445	Aarti Sehgal
671341	271646	Suman
671341	278809	Komal
671341	284714	Pooja
671341	287412	Madhu
671341	287983	Jyoti
671341	287989	Pooja
671341	297153	Nandini
671341	297154	Priya
671341	298811	Rajeshwari
671341	301909	Vanshikha Mathur
671341	318413	Pooja
671341	370952	Girl on road (Special appeara
671341	373794	
671341	375997	Zubeidaa
671341	394179	
671342	166458	
671342	177363	Mandira
671342	404052	Manisha
671343	288660	
671344	68287	
671344	166493	
671344	204631	
671344	284738	
671344	286751	Manniya
671344	300208	
671344	370947	
671345	85416	Hotel Receptionist
671346	2334	Young Violet
671346	19665	Major's Wife
671346	143847	
671346	285950	Western Journalist
671347	60401	Jyoti
671347	179371	
671347	268112	
671347	359514	Guddoh (Pyaara Singh's sister
671348	268112	
671349	103298	Pablu
671349	152694	
671350	25928	
671350	179372	
671350	287989	
671351	33940	Polly
671351	43168	Narrator
671351	88922	Gita
671351	96867	Herself
671351	281442	Home office official
671351	387247	Gita Kapoor (1993-1998)
671352	271450	Manisha's Friend
671353	41693	Pauline Gruder
671353	108042	Student #3
671354	264910	Herself
671355	17079	
671356	44199	
671356	120920	
671357	269355	Prostitute
671358	133065	Marie-Antoinette
671358	234524	
671358	388141	Françoise d'Eygletière
671358	389143	Félicité Puech
671359	36647	La Mère
671360	265595	Ricki Lake
671360	323226	Adia
671361	2814	
671361	10071	Madame Gratin
671361	69469	Female Guard
671361	71141	La religieuse de l'orphelinat
671361	148672	Baker
671361	199717	
671361	397192	
671362	139967	Salesperson
671363	251190	Extra
671364	98831	Cop's Girlfriend
671365	201290	Additional Voices
671365	386236	Additional Voices
671366	93484	Vev
671366	125172	
671366	125210	Wally Bogenrieder
671366	130919	Kellnerin
671366	135004	Irene
671366	178640	Julia
671366	188774	
671366	213423	Guggi
671366	258182	
671366	274731	Anna
671366	290687	
671366	361381	Rosa
671366	361994	
671366	367034	Gisela
671366	368692	Fürsorgerin
671366	375097	
671366	386982	
671366	389943	
671367	320123	Herself
671367	320149	Herself
671367	320150	Herself
671367	407083	Herself (15 Days, Kucha Tribe
671368	232291	Allison Mathison
671369	27424	Ilona
671369	121811	Katarina Wallenberg
671369	324699	
671369	345907	
671369	345921	
671369	361409	Ruth
671370	261236	Actress
671370	346267	Dolores
671371	369024	
671372	207999	
671373	113516	Xaviera
671374	236634	
671375	5765	Iris
671375	15254	Zaleh
671375	17848	Chris
671375	18894	Pauline
671375	46537	Monica Poiccard
671375	46937	Laurence Dorlaville
671375	80937	Récitante/Narrator (French ve
671375	83260	Lise Marie
671375	87497	Nathalie
671375	101157	Alice Valère
671375	111271	Fany
671375	113559	Maria/Mia
671375	128977	Mona
671375	129218	Treasure
671375	148651	Camille Rozières
671375	148771	Une copine d'Èva
671375	198319	Nadine
671375	213840	Milena Jesenska
671375	217634	Louise
671375	220502	Catherine
671375	236205	
671375	294373	Lisa
671375	315829	Francesca
671375	337019	Fabienne Serrant
671375	346591	
671375	346726	Maryse
671375	407887	Marie
671376	74426	
671377	64753	
671377	97983	Mara
671377	140677	Jana
671377	165836	Etelka
671377	301472	
671377	340663	
671378	247345	Ludmila
671378	357636	Radka
671379	308824	Girl at Party
671379	391078	
671380	299977	Diana
671381	178682	
671382	102101	
671382	195127	Emmanouela Dimaki
671382	230135	
671382	330358	Kiki
671382	379678	
671382	386354	
671382	390037	
671382	395090	Tatiana Drakou
671382	402298	
671382	408894	
671383	386233	Helen
671384	236066	
671385	25730	
671385	33302	
671385	173706	
671385	173796	
671385	265455	
671385	308306	
671385	377547	
671385	378285	
671387	194836	
671388	37659	Zombie Chick
671388	231129	Sexy receptionist/club patron
671389	145804	Jenny Farrell
671389	150836	Cowgirl
671389	188501	Debra J.
671389	189310	Sarah
671389	252856	Joanne Jensen
671389	253352	Janice Kirk
671389	267107	Lisa
671389	315779	Marcie Russell
671389	349689	Edie Roberts
671389	381442	Alex Ryker (1998-1999)
671389	405367	Sgt. Rita Lee Lance (1991-199
671389	411802	Anita Hodges (2002-)
671390	322544	Hotline Girl #3
671391	393753	Tonttuapulainen
671392	17576	Dancer
671393	223698	Nasser's Younger Daughter
671393	387247	Shireen Karim (1988-1990)
671394	135223	
671395	288660	
671396	105216	Customer in Salon
671397	98076	
671398	120785	Tamara
671399	180357	
671399	352447	
671400	285847	
671401	95965	Dzunia, a boarder
671401	247592	Marysia Kochanska
671401	323285	Wanda Tarska
671401	373548	Janeczka, stage-named Lulu
671403	137988	
671403	262367	Suniti
671403	344066	
671404	217054	Punk: Pasajero del 86
671404	407815	Herself (2003)
671405	303057	
671407	9533	Marja Niskanen
671407	17351	Anja Miettinen
671407	100453	Nora/Countess Drek
671407	141809	Helena Tyrni
671407	153721	
671407	153756	Vappu Kankare
671407	182504	Arja Virmala
671407	213376	Aina Zinck
671407	229626	Marja Kaarina Kauria
671407	258846	Katariina Malmi
671407	258847	Inkeri Paappanen
671407	266752	Liisa Pesonen
671407	267123	Irja Mähönen
671407	272645	Ratavartijan kaunis Inkeri
671407	282146	Erkylän Helena
671407	307139	Helena
671407	320384	Taina Kulo
671407	321782	Sylvi Wahl
671407	324756	
671407	341543	Kirsti Niininen
671407	341793	Martta Kaataja
671407	349738	Elina Takala
671407	349948	Auli Ranta
671408	14941	
671409	256943	Asiye
671409	382135	Sevim
671410	349226	
671411	188796	
671412	208665	
671412	364189	Reporter
671413	11171	Beautiful Elevator Girl
671413	142623	Wire Twin Cenobite #2
671413	209237	Major Susan Kelly
671414	162714	
671415	370460	Lyulyuche 7
671416	412237	Gül
671417	104810	
671417	143191	Diplomat's Wife
671417	192482	
671417	215862	Russian Train Engineer
671417	235212	Woman
671417	301842	Mrs. Volotoff
671417	308604	Natasha
671417	308674	Countess
671417	360430	Party Girl
671417	374777	
671418	75479	Store Clerk 3
671419	232626	Another Nike of Samothrace
671420	176487	Kid from Jersey
671421	3334	Veska
671421	17407	Ruzha
671421	208775	Mariya
671422	1003	
671422	39780	
671422	98983	Olga
671422	102459	Eve
671422	252698	Maria
671422	379412	Aspassia
671422	380770	Theano Galati
671422	394572	Maria Petropoulou
671422	397345	Mirto
671422	407738	Aspa
671422	409807	
671423	286274	Performer
671424	132182	Psychiatrist
671424	153717	Vendela
671424	322315	Carina Enecke
671424	379440	Randa (episodes 4-6, 8-10)
671424	393273	Inez Östlund
671424	409917	Female kidnapper
671425	322064	Reklámasszisztens
671426	17721	Nese
671426	95564	
671427	25605	
671427	29685	
671427	184190	
671427	322546	
671427	370776	
671428	104727	Herself
671428	104728	Herself
671429	104719	Herself
671429	104766	Turkish entry (12th place)
671430	173778	
671430	285569	Serpil
671430	295527	
671431	27617	
671431	39088	
671431	97919	
671431	163106	
671431	172018	
671431	176688	
671431	189052	
671431	370365	
671431	370700	Aunt Zeynep
671432	411678	Önem
671433	328139	
671434	309039	Sophie as a Child
671435	410203	Participant (2000)
671436	379816	
671437	180692	Herself
671437	314458	Herself
671438	300962	Secretary (orphanage)
671438	356038	
671439	337466	
671440	360	
671440	154682	
671440	179723	
671440	198135	
671440	222992	
671440	261362	Natalya Pushkina
671440	262174	
671440	294016	
671441	191953	Young Laura
671442	357843	La femme d'Hector
671443	94805	Lucie
671443	135991	Katrin
671443	169980	Nicole
671443	197385	Camille
671443	211622	L'autre
671443	217660	La motocycliste
671443	218289	La jeune ouvrière
671443	225444	Mme Jaucourt (Premier Flashba
671443	244985	Marie
671443	292388	L'infirmière
671443	386211	
671443	386573	
671443	397946	Éponine
671443	408001	Alfreda
671444	2745	
671444	6307	
671444	8433	
671444	18215	Kiki
671444	24512	
671444	86072	
671444	97876	Ismini Papazoglou
671444	100562	Ino
671444	100634	
671444	102659	
671444	105863	Margarita
671444	127367	
671444	132028	
671444	173665	
671444	174448	
671444	174632	
671444	174929	
671444	178735	
671444	179733	
671444	180310	Martha
671444	202649	Martha
671444	204108	
671444	205791	
671444	211485	Lela
671444	212567	Maria
671444	237088	Pepi
671444	243080	
671444	248695	Lolita
671444	253980	
671444	258213	
671444	258649	
671444	270551	
671444	304122	
671444	326227	
671444	329736	
671444	338971	
671444	370047	Mairy
671444	375286	Pitsa-Kitsa
671444	375294	
671444	379679	
671444	380215	
671444	397729	
671444	412018	
671445	18945	
671446	107150	Photographer
671446	163955	Ambassadoress
671447	37643	Older Woman
671448	64659	Vagabond Girl
671449	36529	
671450	382820	
671451	43293	
671451	65018	
671451	103587	
671451	173867	Tolunay
671451	175447	
671451	241157	
671451	303016	
671451	345006	
671451	349706	Tülay
671452	80065	Loretta
671452	392913	Host (2003-)
671453	272279	Pure White
671453	298109	
671454	20228	Ani
671454	103565	Beti Danon
671454	244624	Maya
671454	258745	Momicheto
671454	284844	Maya
671454	305293	Martina
671454	312931	Albena
671454	350252	Staynova
671454	397471	Dashteryata na Hristo Chernop
671454	411979	
671455	108196	Vera
671455	302844	
671456	66804	Bertie
671456	110148	Mme. Fontanelle
671456	393878	
671456	401988	Margot
671456	403253	
671457	345615	Waitress
671458	60723	Kuna
671458	86832	Penka
671459	387956	Herself
671460	74277	Sarah
671461	20625	Extra
671462	88691	Djina
671463	175730	Susanna, model
671463	180841	Birgitta
671463	191193	
671463	303108	
671463	343402	Laura
671463	343509	Elina Koskela
671464	258887	Middle Eastern Store Clerk
671464	399130	High School Student (1991)
671465	104724	Herself
671466	305560	
671467	253639	
671468	617	Atanasova
671468	6073	
671468	35941	Urednichka
671468	63353	Ruskinyata
671468	64863	
671468	83094	Dr. Reno
671468	94909	
671468	103931	Nina Fyodorovna
671468	129649	Vera
671468	191492	Baba Velichka, babata na Vesa
671468	210193	
671468	237581	Lekarkata
671468	242304	Pepa
671468	244028	Vena
671468	244718	Svaha
671468	251896	La mère de Karine
671468	265011	
671468	284458	
671468	326011	Toshka
671468	333783	
671468	343919	Eva Parson
671468	373568	
671468	402131	
671469	130142	Likomanova
671470	95408	Nartaki
671470	98634	Maid servant
671470	124956	
671470	272047	
671470	286534	
671470	287190	
671471	32123	
671472	243646	
671474	92921	Director's daughter
671474	134335	
671474	180356	
671474	181099	Vera Alekseevna Nevolina, the
671474	198152	Lola, the dancer
671474	226126	
671474	228178	
671474	236561	
671474	237847	
671474	261301	Zoya Kadmina
671474	343305	Elena Pilskaja
671474	344966	Gisella, muet dancer
671474	356419	
671475	160523	Marisa
671475	222846	Ghostly Woman
671476	13747	Vasso Topouzoglou
671476	83934	Saleslady
671476	106755	Mrs. Zernikas
671476	183871	Mother
671476	196181	The Woman
671476	348375	Nurse Frances Eagen
671477	13993	Airline Passenger
671478	59415	Receptionist
671478	166922	Cast Member
671479	231078	Orphan Singer
671480	285263	Zahiyya
671480	361592	Brothel Madam
671481	1650	Paula Blair
671481	37269	Secretary
671481	246724	Dawn
671481	296789	Dancey
671482	9716	Grandmother
671482	54065	
671482	117571	Basma
671482	145285	
671482	323754	Yusef's mother
671482	348718	Mother
671483	400148	Seval
671484	172894	Group Therapy
671485	254411	
671486	129011	Guest of Matteoni
671487	21241	
671487	280805	
671487	312434	
671487	371364	
671487	373443	
671488	32877	
671489	264950	Médecin Valentin
671489	293694	Maman Voiture
671489	389762	Georgina
671490	222282	Monica D'Costa
671491	164090	
671492	1103	
671492	90680	Muller
671492	174677	
671492	179748	Popadiyata
671492	211281	Anika
671492	242467	
671492	276219	Chistachkata
671492	357434	
671492	397471	Anika Malishevska
671493	132238	Mina
671493	166972	Marija
671493	171922	Iris
671493	234261	Secretary
671493	344351	Jana
671494	81325	Imogen
671495	11015	
671496	343560	
671497	74450	
671498	357328	Paraskeva
671499	6432	
671499	25614	
671499	118105	
671499	135872	
671499	173761	
671499	174991	
671499	175445	
671499	277413	
671499	288295	
671499	295506	
671499	308476	Fatma, Kemal's daughter
671499	322536	
671499	370695	
671499	412237	Necla
671500	181404	
671501	334187	Nurse
671502	65607	June
671502	80468	Gina
671502	264205	Ricketsia
671502	397649	Ship's computer
671503	24571	Alexia Henley
671504	43154	Radmila
671504	49125	
671504	49740	Natalia, Michael's Ex-Fiancee
671504	89780	Ana
671504	95656	Majka
671504	129838	
671504	147567	
671504	164848	Vlasnica supermarketa
671504	166450	Srce
671504	173101	
671504	174976	
671504	201359	Nastavnica matematike
671504	202016	Bozidarka
671504	206072	Marjuca
671504	225938	Pevacica Zana
671504	230121	Majka
671504	237707	
671504	244227	Senija Sena Zolj, majka
671504	246308	Mare
671504	251129	
671504	254219	Petrija
671504	259068	Fema
671504	280404	Zelenicka
671504	284867	Jelena Katic
671504	305187	
671504	316831	Isidora Sekulic
671504	320701	Majka
671504	335226	
671504	339311	Gazdarica
671504	339325	Direktorka
671504	346269	Vera, Petar's Woman
671504	349153	Majstor
671504	357318	Marta
671504	375335	Nada
671504	375338	
671504	382029	Vera Popara
671504	388525	Alapaca
671504	389141	Clara
671504	401928	Suzana
671504	406567	Nevenka Krstic, Krdzina zena
671504	410429	Marta
671505	292468	
671506	18903	Alexandra
671506	379378	
671506	386408	
671506	394713	
671506	409935	Hara
671507	173195	Woman at the shore
671508	74277	Carol
671509	77220	Nush
671509	90733	
671509	273094	Priyatelkata ha mladozhentzit
671509	357415	Matzeto Svetla
671510	27269	Mrs. Jackson
671511	25289	Manushak
671511	211231	Arpenik
671512	173682	
671513	174053	Shushan
671514	60864	Marta
671514	119425	Cop at Fancy Restaurant
671514	164369	Waitress
671514	173904	Angie
671514	175841	Cop
671514	197530	Customs Officer
671514	228778	Receptionist
671514	245008	Cook
671514	293108	Neighbor
671514	390109	Nancy
671515	159804	
671516	197592	
671517	386236	Harpy
671518	112185	Bikini Girl
671519	192187	Jane
671520	141484	Sully's Widow
671520	251646	Redd Larchmont
671520	253342	Belinda Foster
671520	262647	Reporter
671520	310648	Biologist
671520	385824	Serena Colville (1987-1988)
671521	35143	Miss Courtney
671522	231658	Bailiff's Wife
671523	403084	Anna (1997)
671524	349286	
671525	9353	
671526	244482	Vera
671527	319726	Sulamith
671527	365583	Atash
671527	398923	Leila
671528	408668	Rag Doll
671529	98582	Suzuko Yoshimatsu (1976)
671529	121714	Mitsuko, age 57/Kuriko's pate
671529	130540	
671529	130541	
671529	172240	Sachiko
671529	204650	Mitsuko
671529	215380	Mitsuko
671529	298815	Natsuko
671530	184086	Grace
671531	177935	
671532	202306	Anna Serafimovna (segment 1)
671533	231718	Herself
671534	194229	
671535	32356	Judy
671535	32360	Girl Friend
671535	136509	Hollywood Blonde
671535	198436	
671536	131543	Denise Bissel
671536	213209	Monique
671536	309634	Gretl von Trapp
671536	310863	Pattie-Cake Spencer
671536	331768	Maggie Boyer
671537	302175	
671538	251894	
671539	6205	
671539	82814	
671539	95618	
671539	163040	
671539	180361	
671539	180367	
671539	186866	
671539	190955	
671539	228713	
671539	236065	
671539	253750	
671539	257385	
671539	258999	
671539	265049	
671539	283755	
671539	286558	
671539	289863	
671539	317241	
671539	317296	
671540	237484	
671541	280032	Vicki Charles
671542	198129	
671542	207107	Mashenka Stepanova
671542	237969	
671542	261912	
671543	266520	
671544	46222	
671545	380474	
671545	392517	
671545	401011	Lia
671546	147999	
671546	401521	
671546	402344	Tassia
671546	405384	Maria
671547	8333	Doctor's girlfriend
671548	373703	Zhana
671549	229057	
671550	312865	
671551	18871	
671552	279820	Bébé Aimée
671553	114074	Hannah
671553	282915	Jennifer
671553	323780	Lisa
671553	403115	Joanie Binder
671554	221524	2nd Girl in Nightclub
671554	252345	
671554	292984	Marie II
671554	320531	
671554	375465	Marcela Pavelkova
671555	377253	Jacques's friend at party
671556	126179	
671557	290811	Schrusche
671557	381694	
671558	398497	Participant (2001)
671559	357324	
671560	250376	Super-8 Film Victim
671561	44449	Baptismal Candidate
671562	147185	Regine
671563	44449	Baptismal Candidate
671564	245672	
671565	372417	Connie
671566	314392	
671567	307555	
671567	409625	Aylin Hoffmeister, geb. Eray 
671568	359685	Schülerin
671569	102208	Tom's Friend
671570	296408	
671571	165282	Herself
671571	194256	Shareen
671571	321571	Sandra
671572	77459	Herself (testifying at Mapple
671573	214314	
671573	333573	
671574	232352	Lisa Kent
671575	99222	kind Ferelijn
671576	328284	Fighter
671577	74287	
671577	82339	Goldie
671577	176962	Mrs. Atherton
671577	213502	Shirley Steinbloom
671578	293030	Mr. B's Girlfriend
671579	227530	
671580	375936	Another Dancer
671580	380692	Sue Ellen Armstrong II (2004 
671580	410930	Jen (2003- )
671581	194269	
671582	70763	
671582	97975	Mici,Hubert legkisebb lánya
671582	126269	
671582	211700	
671583	302825	Mrs. Orma
671584	357789	
671585	54341	Oona
671586	205439	
671587	165474	Young Jane
671588	29156	Waitress
671589	74110	Physio nurse
671590	116367	
671590	151741	Go-Go -girl
671591	8847	
671591	409904	Various characters
671592	80816	Mrs. Dawson
671593	9261	Queen of Dolls
671593	36586	
671593	89790	Barbara
671593	176545	Linda
671593	179198	The Passenger
671593	187645	
671593	215214	Cashier on Airport
671593	220144	Róza
671593	236159	Niusia
671593	247354	Ewa Nowowiejska
671593	256156	Party Attendant
671593	260600	Krystyna
671593	284077	Sgt. Magda Seniuk
671593	301296	
671593	362005	
671593	365124	Tekla
671593	393169	Gazhina
671593	401665	Janina Borosiuk
671593	406881	Dona Doleckiego
671593	409430	Brenda
671593	410485	Bozena Kamicka
671594	62829	
671594	103565	Zhenata na Leon
671594	130140	
671594	163901	
671594	164090	
671594	173988	Glasat na Olga
671594	228845	
671594	251315	Pepa
671594	261330	
671594	282715	
671594	288358	
671594	310475	
671594	320648	Uchitelkata mayka
671594	320707	
671594	337944	Madarliyska
671594	350252	
671594	375394	
671595	357423	
671596	258677	
671597	241795	Budget Motor Inn Clerk
671598	232261	Polish mother
671599	149550	
671600	345456	
671602	381091	Herself (eliminated round 4)
671603	165033	Madame Krásná
671603	266419	Herself
671603	340184	Laetitia
671603	387957	Special Guest
671604	91893	
671604	92565	Frankie
671604	93569	Herself
671604	95202	Dungeon Mistress
671604	102834	Herself (Défi guest)
671604	126579	Herself
671604	150990	Dungeon Mistress
671604	150991	Dungeon Mistress
671604	150992	Dungeon Mistress
671604	150993	Dungeon Mistress
671604	150994	Dungeon Mistress
671604	150995	Dungeon Mistress
671604	158044	Karen
671604	186774	
671604	188037	
671604	188070	
671604	188091	Nurse
671604	213969	
671604	230806	Herself
671604	242557	
671604	251296	Enfant
671604	296995	
671604	308277	
671604	326942	
671604	345136	La réceptionniste
671604	361917	
671604	395966	Herself
671604	399562	Herself (Model/Hostess)
671604	408151	Salimatou Lamizana (2003-)
671605	7418	Willa
671605	17935	Herself/Audience Member
671605	31555	Herself
671605	32131	Marlene
671605	55686	Hefty Girl
671605	55706	Wife
671605	147548	Olive
671605	213640	Herself/Audience Member
671605	223402	Olive
671605	236383	Anne
671605	240706	Olive, Stan's Sister
671605	260206	
671605	287268	Lady with dog
671605	292213	Sally
671605	338585	
671605	400177	Olive Rudge
671605	402778	Olive
671605	403312	Various Characters (Series 1 
671605	403649	Maureen
671605	408951	Rosita Pearman
671606	303882	Golda Lanning
671606	368952	Miss Duffield
671606	401350	Mrs. Chernak
671607	368952	Giggly girl
671608	41116	Kira
671608	43236	La bonne
671608	73628	La vénusienne
671608	118177	La swingomane
671608	148722	Juliette
671608	166134	Madeleine
671608	263980	
671608	349899	
671609	167137	Pinchen, Julius Schwester
671610	379600	Carrie
671611	69460	Hilda
671611	230391	Luise
671612	38104	Billy's mom
671613	69980	
671613	135505	
671613	188594	
671613	258320	Swindler (segment "La Rivière
671613	354588	La femme du jeune cadre
671613	394166	La secrétaire (segment "Couro
671614	326105	
671615	358140	Ana
671616	380196	Iracema
671617	56081	Maria, Duchess de Lardi
671617	67182	Marie Antoinette/Oliva
671617	78523	
671617	111846	
671617	119204	
671617	122348	
671617	189767	
671617	197049	
671617	204661	
671617	205533	
671617	205725	Marie Antoinette
671617	215516	
671617	240282	
671617	251622	
671617	272537	Zarin
671617	274478	
671617	294186	
671617	309056	Sophy
671617	311095	
671617	351464	
671617	361128	
671618	59118	
671618	111045	
671618	145663	L'infirmière pion
671619	244392	Mele
671620	103636	Melita
671621	44776	Teacher of physics
671621	165035	Head nurse
671621	181583	Frau Lütke
671621	229558	Young woman
671621	230051	Baroness
671621	265233	Secretary
671621	282758	
671621	295066	Head nurse
671621	351380	Bezdeková
671621	376178	
671621	404498	
671622	265069	Liza's aunt
671623	35904	
671623	176044	Yulia
671623	189484	
671623	217463	
671623	262200	
671623	343298	Katya
671624	370185	
671625	8119	Fani Yeraka
671625	23155	Herself
671625	82483	Billy Mavroyianni
671625	84026	Lila Vassiliou
671625	98571	She
671625	100608	Vassoula
671625	100622	Lena
671625	102892	
671625	145621	
671625	151866	
671625	166669	Jeni Skoutari-Manta
671625	179456	Eleni
671625	180127	Niki
671625	180348	
671625	185872	Ketty
671625	185873	Ketty
671625	190973	
671625	193481	Lola
671625	198113	
671625	199716	
671625	212563	Anna Koleti
671625	212568	
671625	212594	Mika
671625	228718	
671625	233239	
671625	237079	
671625	258836	Margarita
671625	265279	
671625	270549	
671625	326211	
671625	329734	Katina Barda
671625	338995	
671625	346439	Carla
671626	97211	Sheila
671626	97389	Joann's Replacement
671626	120840	Gloria Vasquez
671626	181005	Mrs. Tournquist
671626	244810	
671626	360618	Detective Helen Geer
671627	289526	Nancy's Mother
671627	350182	Reporter
671628	16366	Anna Vöst
671628	62178	
671628	126847	Schlehbäuerin
671628	137843	
671628	226173	Fränzchen
671628	259176	
671628	259416	Frau Vogl
671628	325381	Sekretärin
671628	325398	
671628	325887	Liese Hallbaum
671628	345938	Frau Gassner
671628	389119	Frau Moser (1989)
671628	397765	Frau Scheubel
671628	398863	
671628	403925	Ödenhuber-Wirtin
671628	403987	
671629	321870	
671630	326496	Refugee
671631	390812	Lena Bachmann (2004-)
671632	211999	
671633	200864	NY1 Reporter
671634	294789	Jenny Woods
671635	118965	
671636	66105	Buffy St. Marie
671636	398132	Hostess
671637	398837	
671638	246876	
671639	21729	
671639	182213	Löppöskä
671639	214840	
671639	246876	
671639	302989	Emmi
671640	24649	
671640	156037	Helena
671640	172143	
671640	172296	
671640	172516	Irma Virtanen
671640	179484	Vinski's mother
671640	181650	
671640	181745	
671640	182014	Jaana "Japi" Varavaara
671640	214843	
671640	217468	
671640	222824	Helvi
671640	232772	
671640	239155	
671640	239976	Viivi Malm
671640	246916	
671640	251939	Quiz participant
671640	251941	Competitor of the quiz
671640	268329	
671640	272694	
671640	285111	
671640	301912	
671640	343397	Tilly
671640	349440	Ruth
671640	349737	
671640	354729	Vinski's mother
671640	357791	
671640	377313	Thyra von Sandelheim
671640	402088	Puhemies Kukka-Maaria Nenonen
671640	405456	Rita
671641	256878	Noora
671642	170246	Tanssija #3
671643	301428	
671644	181709	Boatsalesman's girl
671645	272835	Lisette nuorena
671646	175007	Herself
671647	2944	DISZ-es lány
671647	12531	Storyteller
671647	29449	Schulek Ilona
671647	74393	Dorka' Sister
671647	98027	Egyetemista lány
671647	118823	
671647	137308	
671647	155796	
671647	163130	Mariann szobalánya
671647	182697	
671647	200610	
671647	209826	
671647	210385	
671647	214496	
671647	247644	Gépírónõ
671647	250445	Szociális munkás
671647	281286	
671647	294160	Maid
671647	322025	Eladónõ
671647	322047	
671647	322092	
671647	322158	Mara
671647	326341	
671647	334015	
671647	342039	Cleaner
671647	368737	
671647	375966	Madame
671647	377143	Énekesnövendék
671647	377768	Könyvtároslány
671647	377886	
671647	394749	Jolánka
671648	272835	Lisette Hallström, Magnusin t
671649	375704	
671650	75028	
671650	197751	
671650	214825	
671650	311528	
671651	26204	
671651	54996	Verginija
671651	55846	
671651	89481	
671651	90509	Roza Slomovic
671651	159456	
671651	180891	
671651	181466	
671651	229568	
671651	260035	Madame Blanche
671651	267814	Agneza
671651	267947	Jelena
671651	270714	Jana
671651	283751	
671651	296426	
671651	305198	
671651	323310	
671651	343854	Vera
671651	357203	
671651	375316	Marta Secasn
671651	388827	Karolina
671651	400309	
671651	402450	
671651	408796	
671652	138964	
671652	172894	Andrea
671652	330358	
671652	359062	voice
671652	379466	Litsa
671652	387760	
671652	390039	Elvira
671652	392217	
671652	395338	
671652	395900	Chloi
671652	409007	
671652	409807	
671653	105547	
671654	179622	
671655	174779	
671656	307163	Terveydenhoitaja
671657	303846	Kassaneiti
671658	136899	Waitress
671658	150732	Tuulikki
671658	177040	Maid
671658	229627	Lady #1
671658	255935	Frida
671658	283959	Girl
671658	321999	Waitress
671659	277526	Jaz
671660	211399	
671661	72061	
671661	265797	La femme marocaine
671662	172961	Asha
671663	313522	Teen Girl #2
671664	10376	Carmen
671664	126912	
671664	410511	Samah
671665	342084	
671666	51506	Giok Lan
671666	155186	
671666	312474	Rini
671667	228263	Herself
671668	11926	Patricia
671668	16602	Lucienne Létendard
671668	23789	Françoise
671668	36672	
671668	58309	
671668	58606	Lina
671668	104235	Tatiana
671668	119422	Margot
671668	119931	
671668	153840	Jacqueline
671668	156299	
671668	158933	
671668	166169	La maîtresse Flower
671668	186192	Mondaine salon
671668	192820	Babette
671668	202740	Thérèse/Tirésias/La cartomanc
671668	220498	Marylin
671668	243022	Madame de Parlat
671668	245977	
671668	254021	Thérèse
671668	278708	La bijoutière
671668	286048	
671668	287119	La femme écervelée
671668	294604	Suzanne Chaudard
671668	301321	
671668	318515	La nymphomane
671668	319969	Irène
671668	351827	
671669	182213	Old woman
671669	296508	Tourist
671670	921	(segment Iran)
671671	44181	
671671	44403	
671671	120227	Herself
671671	232751	Fereshteh
671671	248927	Pari
671671	270538	
671671	288043	Sara
671671	343222	Fereshteh
671671	349773	Fereshteh
671672	77012	
671672	175866	
671673	197464	Dancer
671674	357212	
671675	278356	Rikkis datter
671675	340918	Young German Girl
671675	370186	
671676	11704	
671677	97644	Snapple Girl
671677	110311	Tanya
671677	206610	Waitress
671677	274215	Ula
671677	274312	Heidi #1
671677	285021	Sasha Romanov
671677	298308	Rana
671677	351412	Dana, Dawson's Contract Wife
671677	365218	Inga
671678	242670	
671679	78477	Herself (performing 'Når man 
671679	78483	Herself (performing 'Gi' natu
671679	78487	Herself (performing 'Som jeg 
671679	78488	Herself (performing 'Hvor er 
671679	189857	Herself
671681	134928	Magd
671681	140208	Ploeroesenmieze
671681	189865	
671681	193287	
671681	226273	
671682	35144	Beatrice
671683	326303	Wendy
671684	233891	Rosnah
671684	260062	Meriam/Maria
671684	294785	Seri
671685	8168	
671685	37062	Aunt Sonya
671685	101040	Mrs. Schreier
671685	121519	Gram
671685	123703	Mrs. Goldfarb
671685	140843	Mrs. Spepk
671685	179424	Mrs. Fitzev
671685	207826	Spectator
671685	231546	Mrs. Mylonas
671685	255235	Grandmother
671685	309039	Yetta
671685	313827	Mrs. Reuben
671685	348386	Mrs. Grossbard
671685	384068	Bea Fisher
671686	7068	Trance
671686	58690	Malgosia, Franka's sister
671686	61131	Bea
671686	61358	
671686	75030	
671686	79653	Mildred Carr
671686	100526	Karina
671686	103184	
671686	104746	Spanish Entry (2nd place)
671686	106364	
671686	111587	Herself
671686	111591	
671686	111593	
671686	111596	
671686	111601	
671686	204751	(segment "O Homem, a Mulher e
671686	224984	
671686	230934	Topless Violinist
671686	252990	Pamela
671686	252991	Pamela
671686	264904	(DVD only)
671686	264910	
671686	266339	
671686	275619	Le mannequin
671686	307004	Herself
671686	324934	
671686	344969	Nurse Erika Matsubara
671686	376823	Rosalia
671686	379588	Alba Marina Marcano
671686	381908	Herself (Winner, Season 3)
671686	387572	Rosita
671686	387776	
671686	392034	Maribel (1997)
671686	393016	
671686	400937	
671686	401090	Rosa Sánchez
671686	410325	Herself
671687	11936	Jeanne
671687	12414	Natacha Von Braun
671687	12504	Columbine/Gertrude S.
671687	14347	Eleonore
671687	17485	Anna
671687	24388	Natascha
671687	24898	Berthe Granjeux
671687	29002	Odile
671687	32736	Maria
671687	38659	Herself
671687	40908	
671687	55136	Clara
671687	57405	Lola
671687	57543	Valérie
671687	58735	Ariane
671687	62179	Irene Cartis
671687	62432	Katia
671687	64293	Herself
671687	64302	Herself
671687	64304	Herself
671687	66221	La jeune fille blonde/Actress
671687	77362	Astrid
671687	80173	Helene
671687	83240	Myrrha
671687	92905	Ginette
671687	97393	Herself
671687	130080	Herself
671687	140279	Sarah (avec)
671687	146602	Christine Olsen
671687	161812	
671687	171401	Melissa
671687	184267	Lamiel
671687	185651	Susan
671687	186058	Margot
671687	199524	Paula Nelson
671687	200599	Anne
671687	203964	Edith
671687	212729	Elisabeth
671687	217210	Gloria
671687	218950	
671687	234665	Elle-même
671687	238486	Clara Dutilleul
671687	238490	Catherine
671687	240159	Anna
671687	247510	Elena
671687	254034	
671687	254061	Veronica Dreyer
671687	255597	Marianne Renoir
671687	255678	
671687	258338	Natasha/Eleanor Romeovich, Ho
671687	266398	Clara (recorded 1961)
671687	269160	Colombe
671687	274909	Regina
671687	275344	Suzanne
671687	275661	Elle (la servante)
671687	281315	Rose
671687	286405	Anna Bryant
671687	298057	Toni
671687	300587	Shéhérazade
671687	307333	
671687	307480	Dagmar
671687	316363	Marie Cardona
671687	327554	La jeune fille
671687	338785	Mother
671687	340950	Karina
671687	345341	
671687	346533	Angela
671687	346615	Anna
671687	353873	Edwina
671687	355965	Julie Andersen
671687	355976	Nana Kleinfrankenheim
671687	356507	
671687	357089	Madeleine Cedrat
671687	376574	Elena/Costa
671687	377614	Françoise
671687	386804	Martine Desclos (segment "Aff
671687	388163	
671687	396366	Emma (segment "Monsieur Bais"
671688	241218	Waitress
671689	24894	
671690	379890	Iris
671690	380084	Elisa
671690	384245	Graciela
671690	385251	Luisa
671690	385416	Carolina Menéndez
671690	387170	Mercedes
671690	390732	Chayo
671690	403173	Mariana
671690	403741	Angélica
671690	409789	Lidia
671691	120489	Nelly
671692	165330	
671693	18077	
671693	199987	
671693	226364	
671693	277039	Rochelle
671694	407537	Herself/Parihaka
671695	260874	Sonya
671695	292570	Nurse Zanya
671696	397440	
671697	32203	Patricia
671697	70925	Hilda
671698	28417	
671699	15881	
671699	37682	Bistro Patron
671699	53617	
671699	83320	
671699	92902	
671699	136760	
671699	137559	
671699	140602	
671699	146984	
671699	163983	
671699	172176	
671699	172652	Hicran
671699	173766	
671699	283317	
671699	349705	Kristina
671699	370775	
671699	371897	
671699	378204	
671699	378244	
671699	381050	
671699	391614	Saniye
671700	309803	Santiago's 'Cutie'
671701	204751	(segment "A B... de Ouro")
671703	126443	
671704	36931	
671705	174070	The 5 Faces of Woman
671706	102434	Eila Kanerva
671706	142831	
671706	144054	Melody girl
671706	179364	Sirkka Taikavuori
671706	182162	Shanti
671706	182504	Asta
671706	182597	Herself
671706	187055	Reporter Salava
671706	198711	Eija Isohonka
671706	207223	Mirjam
671706	232723	
671706	271608	Hilde
671706	278349	Edla Lundström
671706	285959	Toini Salonen
671706	301890	
671706	341637	
671706	343466	Eija Taipale
671706	350727	Elli Markkanen
671707	25926	Anju
671707	39032	
671708	89815	
671708	127051	Ninas Mutter
671708	225725	I. Munira
671708	404305	
671709	198724	
671709	271043	
671709	335949	
671709	354287	Maid
671710	170246	Kesätyttö #1
671710	174439	
671710	181631	Sister Teresia
671710	209085	Villager
671710	216398	
671710	232772	
671710	251946	Slave girl
671710	309387	
671710	354598	
671710	373371	Mirja Sten
671711	174439	
671712	153230	
671713	99592	Maren
671714	173165	
671715	320209	Hospital Receptionist #1
671716	138441	Herself
671716	392532	Herself - the finalist (1st t
671717	188934	Helena
671717	237239	Herself
671717	284378	
671717	390939	Contestant
671718	27408	Marin äiti
671719	321760	Narrator
671720	256878	Vaalea tyttö
671721	168866	Krista
671721	175333	
671721	181632	Kaarina
671721	300796	Nuori Nainen
671721	377295	Seija
671721	409033	Malla Vartiainen
671721	409264	Heidi Laine
671723	191372	Taxi Dancer
671724	34203	
671725	322544	Hotline Girl #4
671726	36418	Rysiek's Mother
671726	37731	Maria
671726	46015	Maria
671726	76784	Marta Foerder
671726	93602	Natalia
671726	95945	Owl
671726	197219	Karowska
671726	212289	
671726	217321	Cichy's mother
671726	234268	Magda, Klimecki's daughter
671726	239422	
671726	246948	
671726	247626	Art Teacher
671726	266323	Gouvernant
671726	267008	
671726	293070	Jewdocha
671726	305559	Ludwiczak's Wife
671726	311580	
671726	322030	
671726	322155	
671726	380577	
671726	411894	Emilka Chominska
671727	35003	Anna's mother
671727	36586	Grebiszewska
671727	64964	
671727	95728	
671727	309039	Prisoner-Housekeeper
671727	322036	Ewa Gasowska
671727	359589	Magdalenka
671727	374664	Wrona-Wronska
671728	164754	
671729	363602	Mia's Girlfriend
671731	2088	Liza
671731	177020	Susan
671732	57208	Stacy
671733	41652	
671734	405529	Mme Meyer
671736	45976	Old Jordi
671736	49978	
671736	56961	Herself
671736	120056	Old neighbour
671736	177166	Witwe Weyermann
671736	177172	Wahrsagerin
671736	177219	
671736	188754	Mutter
671736	188817	Mrs. Lehmann
671736	209918	Grandma Krause
671736	225180	
671736	264471	Old woman
671736	285098	Brown Rice
671736	314554	
671736	374126	
671737	398501	Célia
671738	111952	Resi Scheichelroither
671739	8285	Clara Moser
671739	14377	Donatella
671739	24089	
671739	25152	
671739	33664	
671739	75838	Monica
671739	77337	
671739	81687	Elda
671739	85736	Maria
671739	97836	Marta
671739	99163	
671739	101016	Didon
671739	105869	Daisy Alexiou
671739	127870	Laura Griffo
671739	129528	Galai
671739	159617	
671739	175638	The Woman
671739	204230	Petula Quiller
671739	217101	Dr. Paola Pagano
671739	217124	
671739	229987	
671739	241141	Woman in the Puppet Theatre
671739	251013	Paulina Pandolfini/Paulina, a
671739	252669	
671739	253873	Bernice
671739	259717	Anna
671739	267565	Mother
671739	269487	Giovanna (segment "Cavallucci
671739	270036	
671739	277569	
671739	289567	Francesca Lombardo
671739	289907	
671739	291509	Valentine
671739	294400	Adriana Berri
671739	302911	Sofia Lord
671739	327357	
671739	356918	Despina
671739	375683	Paola Menard
671739	403762	
671740	59208	Policewoman
671740	84315	Lady Friend
671740	108633	Teatern
671740	121016	
671740	171633	Newspaper Woman
671740	182302	Berta
671740	225232	Leontine Schalén
671740	228410	Berta Larsson
671740	283694	Wedding Pianist
671740	405619	Maggi
671741	305658	Olof's Mistress
671742	375171	
671743	95447	
671743	370955	
671744	382832	Virginia Biederman
671745	126614	Legal Assistant
671746	313173	Frida
671747	401440	Rouva Raitola
671748	34189	Herself
671749	393359	Devojcica
671750	393359	Devojcica
671751	30749	Lena
671751	138760	Girl in Bar
671751	305884	Åsa
671751	322840	Herself
671751	381602	Gunilla
671751	386911	Anna-Lena Ångerman
671751	391362	Angelika
671751	393873	Garntomte
671751	403084	Anja Remmer (2000-2001)
671752	153170	Gita
671752	406331	Sara i godisaffären
671753	381268	Presenter
671754	132281	Sonya
671755	20625	Extra
671755	50974	Ursula's Mother
671755	128173	
671755	138744	Chorus Woman
671755	308113	
671755	339407	Dancer
671756	29182	Cleaning Woman
671756	134472	Student
671756	214380	Vera
671757	302494	Fairy Godmother
671758	10667	Cook
671758	23559	Mrs. Samson
671758	30085	Nellie Marsh
671758	37216	Lady in Night Club.
671758	38241	Herself
671758	55850	Jennie Wilson, Bus Conductres
671758	65764	Catlady (Miss Weathers)
671758	73894	Connie Williams
671758	81732	Barmaid
671758	92102	
671758	101721	Soubrette
671758	118467	Josetta Alvarez
671758	121623	Mildred
671758	138120	Mrs. Mathias
671758	141683	Winnie Smith
671758	154657	Woman in the Black Maria
671758	158812	Marina
671758	166635	Mrs. Hackett
671758	171177	Ellen Newman
671758	183438	Mrs. Higgins
671758	200779	Aunt Rosa
671758	203492	Madame Goldstein
671758	214167	Mrs. Joe
671758	240755	WAAF Sergeant
671758	254517	Charwoman
671758	281413	Gertrude
671758	286391	The Queen
671758	290959	Maria
671758	305413	Milly
671758	320453	Sadie
671758	336715	
671758	349130	Grandmother
671758	359857	Mrs. Lack
671758	367456	Gladys
671758	397142	Various (1965)
671758	402777	Paddy
671758	402778	Paddy
671758	405751	Yetta Feldman
671759	52840	Becky Carlin
671760	292722	Shelly Mackay
671761	28878	Cop
671761	109427	Yuppie Girl
671762	295375	
671763	271677	Loviisa Mielonen
671764	724	Herself
671764	730	Herself
671764	732	Herself
671764	734	Herself
671764	736	Herself
671764	3605	Herself - Great grand niece
671764	118937	Herself
671764	137685	Herself
671764	149712	Herself/Recipient
671764	193567	Herself
671764	222316	Herself
671764	224123	Herself
671764	298075	Herself
671764	347201	Herself (daughter of Boris Ka
671765	41279	
671766	196953	Lulu Bellew
671767	72916	Maid (segment "The Crate")
671767	184653	Narrator
671768	352572	Frau Paschek
671769	132281	Vera
671770	199873	
671771	5571	Masseuse
671771	12150	Ilonka
671771	17049	Mrs. Kargus
671771	18831	
671771	23892	
671771	35041	Eve seine Tochter
671771	35204	Komtesse Bronislawa
671771	43234	Krankenschwester
671771	47046	Die Gaunerin
671771	63932	Kostana
671771	75933	Ilonka
671771	86400	Trixie
671771	94300	
671771	98297	
671771	98317	Marina
671771	110114	Shopkeeper #1
671771	110438	Maid
671771	119432	Elisabeth
671771	120998	
671771	124616	
671771	128992	
671771	134911	Lizzy
671771	147539	Marisa Fonti
671771	156651	
671771	166408	Reni von Wiesenberg
671771	170675	Wirtin
671771	173660	Lola
671771	177615	Hanna
671771	182739	
671771	189668	Uschi
671771	206581	
671771	225171	
671771	242967	
671771	261470	Wilma
671771	279071	Yvonne
671771	281983	Ingeborg Wagner
671771	290011	Manuela
671771	292966	Market Woman
671771	312597	
671771	317365	Yvonne Matthias
671771	325678	
671771	325825	
671771	343488	Mathilde Goujon
671771	352356	
671771	360970	
671771	361305	Keeper of Cafeteria
671771	361437	
671771	376282	Selma
671771	376329	
671771	381689	Frau Greiner
671771	394536	Putzfrau
671771	397487	
671771	397765	Giovanni's Mutter
671772	378735	Girl #2
671773	13327	Jenteband
671774	870	Berglind
671774	8360	
671774	290579	
671774	314371	
671775	52312	
671775	257657	Herself
671775	257668	Herself (Model)
671775	257677	
671775	257813	Herself
671775	257834	Miss March 1999
671775	274148	Herself
671776	45941	Alice
671776	122344	Bitten
671776	213436	Merete
671776	255673	Sonja
671777	57747	Inmate
671777	128735	Herself
671778	183314	Skoleelev
671779	409930	Kristine 'Stine' Fossum
671780	225690	Ida
671781	27591	Herself/Rebecca
671781	219443	Stella
671781	228395	Rebecca
671782	10209	Bea
671783	184592	
671784	181071	Herself - Landsformand
671784	349904	Herself - Partileder, Kristen
671785	31702	Beach Community Member
671785	66121	Irene
671786	230751	Second Amazon
671788	176884	Aerobics dancer
671789	44519	Servitrice
671790	4513	Dancer
671791	1056	
671791	94258	Kisa
671791	357757	Jonna
671792	272434	Patient in Yard
671793	212337	Herself - Participant/Perform
671794	322280	Guest at Peter´s party
671795	204534	Mrs. Forsberg, witness at the
671796	397746	Herself
671797	199316	Vanessa
671797	401773	Twin
671799	190805	
671799	346180	
671800	390151	Martina, Ellas skolkamrat
671801	174779	
671802	192930	Girl
671803	257634	Additional Cast
671805	130666	Amazon Warrior
671806	133309	Herself: 2:a violin (Orkester
671807	182306	Nurse
671808	182576	Tjej
671808	401773	Twin
671810	322279	Annalisa
671810	340264	Maid
671810	365485	
671811	472	
671811	9937	Frau Kleebauer
671811	18167	
671811	23988	
671811	33159	Nervenarzt/Bäckermeister Fröh
671811	33163	sein Sohn
671811	77373	Frau Bogota
671811	78546	Frau Bichler
671811	90763	Barbara
671811	91007	Frau Wagenthaler, greengrocer
671811	93401	Riedlechnerin
671811	94304	
671811	94308	Frau Lembke
671811	102384	
671811	103094	Wirtin
671811	108550	Rebecca
671811	109321	
671811	111768	Tante Berta
671811	114036	sein Sohn
671811	120939	
671811	156090	
671811	156699	
671811	156709	Verkäuferin
671811	157604	Pharmacist
671811	157843	Therese Wurzinger
671811	174029	Pechkopf's Frau
671811	174091	
671811	177912	Liesl, ihre Magd
671811	178674	Lisa
671811	180154	Mrs. Pollinger
671811	182789	
671811	183270	
671811	188767	
671811	189553	Frau Nöske
671811	193461	
671811	210058	Mutter Montag
671811	223196	Second music clown
671811	224531	ein weiterer Kunde
671811	225215	
671811	226177	
671811	226289	
671811	231483	
671811	239014	
671811	243205	Kapellmeister
671811	253964	
671811	286410	Vroni
671811	290011	Tete
671811	290791	Schloßbedienstete
671811	306408	Kapellmeister
671811	307251	L'habilleuse 
671811	308485	Frau Paula Kuhn
671811	314560	
671811	316555	Otto's Frau
671811	317658	
671811	329684	
671811	338263	
671811	344745	Frau Schmidt
671811	351939	Mathilde
671811	352264	der Lehrling
671811	352269	Gerichtsvollzieher
671811	352307	Katinka Brummer
671811	352545	
671811	361012	Fuchsin
671811	366562	Frau Roselieb
671811	376355	
671812	245249	Ballroom Dancer
671813	33455	Lissi Petersen
671813	33461	Lissi Petersen
671813	159607	Britta Jacobsson
671813	343664	Stefanie Fischer
671813	406657	Ann Petersen
671814	92681	Michelle
671815	114496	The Boxer's Girlfriend
671816	23530	
671816	39437	
671816	58153	
671816	67504	Agent Italien
671816	71504	Bettina
671816	91071	Herself
671816	102006	Laure
671816	118180	
671816	122420	Carole Larcher
671816	159599	Executive woman
671816	216668	Betty
671816	267145	Claire
671816	286110	Edmondsson
671816	337013	Suédoise
671816	412266	Mathilde Forciaz
671817	5573	Reporter #4
671817	318181	Carlotta Arguello
671817	387878	Yeya
671817	396873	Yoli
671818	12735	Theodore and Dave Seville
671818	12736	Theodore/Dave Seville/Brittan
671818	55818	Theodore
671818	62274	Theodore Seville/Brittany Mil
671818	240471	Maggie Tanner
671818	301754	Third Teacher
671818	305228	Hank
671818	321657	Bunny
671818	362052	Prostitute
671818	379868	Theodore Seville/Brittany Mil
671819	156898	Yati
671819	248692	
671819	271459	
671819	289271	Salmah
671820	97882	
671821	155600	Evi Niggelmann
671821	164274	Hanna
671821	366594	Kitchen Maid Adele
671823	178007	Mannequin
671824	334045	Stuepige på pensionat/Maid in
671825	38358	Alexandra Morton
671826	38358	Lydia Morton
671827	343919	Admiral Travis Patterson's Se
671828	24475	
671829	324013	Angela
671829	390771	Congresswoman Stone (2000)
671830	194590	Lila
671831	397881	Suzi Kastner
671832	264423	Harem girl
671833	333464	Jennifer
671834	321746	
671836	81984	Sad-looking girl
671837	41877	Vlasta
671837	352819	
671837	375431	
671838	26914	
671838	42952	Schwester Veronika
671838	115884	
671838	142188	
671838	160232	
671838	174569	Katharina die Große
671838	272531	
671838	292371	
671838	312601	Judy
671838	352217	
671839	32458	
671839	45414	Madan's mom
671839	81996	
671839	152482	
671839	165389	
671839	186194	
671839	207119	
671839	221188	
671839	227809	
671839	317752	
671839	370714	Zubeida
671840	89792	
671841	192410	Tina
671842	102161	Sara Klätter
671843	130967	Wife
671843	143274	Dance Hall Girl
671843	206428	Frau von Herzen
671844	819	Verena
671844	70106	Erica Guttman
671844	78309	Danni
671844	125063	Bernadette
671844	125085	Liv Olsen
671844	129681	Mary
671844	140274	
671844	140307	Margot Fiala
671844	142329	Dr. Claudia Jokostra
671844	172355	
671844	186174	Flora
671844	212792	Hanna
671844	216865	E.T.
671844	231457	
671844	257472	Anna
671844	265631	
671844	290782	Julia Steinberg
671844	309171	Sorellina's mother
671844	311086	Mutter Kasda
671844	312878	Saras Mutter
671844	325460	Ruth Salina
671844	325547	Silke Tennenbaum
671844	325589	Ilona Vogtlaender
671844	325877	
671844	338444	Isabel Ajun
671844	343660	Anna Kirchberg
671844	343673	Judith Hägerle
671844	346852	Monika
671844	360928	Therese Golowski
671844	374372	Beate Merkel
671844	376414	
671844	376445	Pia
671844	386736	Julia
671844	388165	Elfriede Rademacher
671844	389711	Zena Volkmann
671844	390701	
671844	391316	Dr. Claudia Jokostra
671844	395393	Lenore
671844	397452	Charlotte Mangold
671844	403113	Linda
671845	225732	
671846	259198	
671846	259199	
671847	124999	
671848	154475	
671849	33420	
671849	228660	Hatcheck girl
671849	247359	Miss Dominican Republic
671849	255819	Secretary
671851	195458	Adulteress
671851	273931	Sgt. S.
671852	104769	Herself - German Entry (3rd p
671852	130915	Herself
671853	9353	Dancer
671854	34270	Vanessa Adler
671854	393878	Clarissa
671854	394656	Poppi
671855	319794	Tina
671855	406879	Ananya
671856	16147	
671856	85276	Monica
671856	98463	Priti's mother
671856	136879	
671856	152477	Dr. D.D's wife
671856	167980	Ganga's sister-in-law (bhabhi
671856	168206	
671856	322696	Nita
671856	323674	Kokilaben, 'Koks'
671856	341549	Rohini, Rishi's mother
671856	358019	Madhu Oberoi (Ashish's wife)
671856	370204	Nalini Malhotra
671857	124017	Hot Babe
671858	206447	Frank's Mom
671858	347681	Daphne
671858	393159	Olga Petrovsky
671859	405282	Atun
671860	317553	Dana
671861	304352	Cigarette Girl
671862	289013	Jennifer
671863	26137	Mother Goose
671864	113559	Ragazza bionda
671866	89040	
671866	216408	Haya Sagiv
671866	393662	
671867	239855	
671868	4972	
671869	389416	Shirley
671870	135057	Foster, Monica
671871	359663	Rose Jackson
671871	399350	Herself (eliminated round 2)
671872	245956	La voisine
671873	6324	
671873	7338	
671873	8038	
671873	209779	
671873	240384	
671873	259992	Monika
671873	296513	
671873	332253	
671873	372960	
671873	379680	
671874	190790	Frau Hollunder
671874	209975	
671875	195689	Additional Model #6
671876	357937	Himself
671877	404747	Kent Maid
671878	393707	Jopoppinolou-kico-club
671879	16249	
671880	172894	
671881	381256	Herself ( Evicted 11th, 79 Da
671882	78318	Police Officer
671883	224064	Clown #2
671883	262090	Alpha 6
671883	402003	Alpha 6
671885	192067	Nancy Chaffee
671886	196341	Sweet Psycho
671887	106266	Lori
671887	228434	French Girl
671887	305244	Nurse Curtrell
671889	44380	Susan Miller
671890	181282	
671891	259407	Townsfolk
671892	259407	Townsfolk
671893	259407	Townsfolk
671894	349137	Kulttuuriministeri Tanja Karp
671895	161189	Helen
671896	179297	Assistant in Salon
671897	2078	Pathetic Girl
671898	99013	
671898	255783	
671898	266525	
671899	84854	1st Girl
671900	278237	Mrs. Belkin's Daughter
671901	64875	
671901	66656	Catherine Elton
671901	139651	
671901	139656	
671901	148376	(Voice)
671901	263737	Devena, Valeera
671901	382035	
671901	384658	Mademoiselle
671901	386614	
671902	122798	
671903	42242	
671904	84264	Irena
671905	344344	
671906	410485	Ola Duraj
671907	30505	
671907	85206	Katya Ivanova
671907	154684	
671907	179694	
671907	226000	
671907	296993	
671907	339230	
671907	341191	
671907	343806	
671908	395091	Maid
671909	394325	Additional Voices
671910	142258	Reporter
671911	162649	Herself
671911	320383	
671912	55626	Madeline
671912	74423	Leda Callisto
671912	78760	Sylan
671912	108374	Carol Geck
671912	154742	Nikki
671912	163331	Tess Gazelle
671912	208506	Zoey
671912	278715	Molly Keller
671912	378682	Rachel (governor's aide)
671912	381422	Boxey's aunt
671912	387239	Diana
671912	390177	Cal Henries
671912	407421	Sarah
671913	237012	
671914	176075	
671914	286753	
671915	322104	Neighbour
671916	35867	
671917	155998	
671917	225926	Surmilova
671917	343341	
671918	229906	
671918	299555	
671918	344365	
671919	88808	Pasha
671919	198153	Lyubov Yarovaya
671919	258459	Anya
671920	261319	
671921	9996	
671921	156032	
671921	163183	
671921	177040	Girl #1
671921	214837	
671921	214847	Elli
671921	223510	
671921	267122	
671921	283959	Linda
671921	301816	Ompelijatar
671921	301912	
671921	319321	Hilja
671921	322273	Liisukka
671921	343463	
671921	343466	Woman in hotel
671921	343467	
671922	145424	Lempi
671922	409042	Hoitajatar
671923	4446	Tyyne
671923	162988	Waitress
671923	233246	
671923	283746	Lispe
671923	320584	Kaarina
671923	336584	
671924	124843	
671924	227120	Musician
671925	349297	
671926	29670	Harem
671927	379318	Carol Johnson (Episode #5)
671928	313321	Malibu Party Guest
671929	176802	Liza
671929	316263	Wendy Rogers
671929	357567	Mother
671930	152930	Corrine
671930	165635	Newscaster/Reporter
671930	298853	Jane
671931	93250	
671931	205317	Ginny
671931	209413	Fritzi Donnelly
671931	333445	
671931	394502	
671931	404747	Harriet Kent
671931	411363	Valerie
671932	37261	Woman in Restaurant
671932	372134	Girl from Ohio
671933	27171	Female Corpse
671934	257507	
671936	5268	
671936	14707	
671936	29806	
671936	61203	Isabel
671936	67467	Mirte
671936	68971	
671936	69250	
671936	72105	Giselle
671936	84184	
671936	85582	
671936	91415	
671936	94593	Vicenta
671936	96280	
671936	105964	
671936	111996	Paloma
671936	141763	
671936	149520	
671936	163880	Herself - Presenter: Best Lea
671936	187767	Elder Nun
671936	208845	
671936	213715	
671936	215898	Jacqueline
671936	221657	Marisa
671936	226437	
671936	229802	
671936	247199	Elisa
671936	263039	
671936	269915	La marquesa
671936	280430	
671936	292709	
671936	296440	Maria de La Salle
671936	302399	
671936	334650	
671936	376754	
671936	376767	
671936	376815	
671936	404711	Doña Gloria
671937	58507	Twinks
671937	139227	Hardbody on Stairs
671937	176884	Rhonda Johnson
671937	232094	Kedesha
671937	232229	H.J. Salters
671937	234237	Marge
671937	273307	Cornell's Girl at Party
671938	103211	
671938	234379	
671938	308277	
671938	318006	
671938	376722	
671938	379651	
671938	379853	
671938	380115	
671938	380209	Elena
671938	380795	
671938	381153	Alina
671938	381650	Mariana
671938	383106	
671938	384390	Alenka
671938	384772	
671938	384981	Amanda De Martino
671938	387090	Emma
671938	387773	Mercedes
671938	393833	Victoria 'Vicky' Vidal 'mamá 
671938	395300	Susana Ferreira
671938	395843	
671938	397009	Lolita
671938	397572	Irene
671938	398484	
671938	402321	Florencia
671938	402675	
671938	402771	
671938	403022	
671938	406056	Nancy, mamá de Emilia
671938	408200	
671938	408726	
671938	409920	Mariana
671939	97201	
671940	213452	Greek Chorus
671940	326105	
671941	32654	Emily Newton
671941	32658	Emily Newton
671941	109856	Annie Banks (At 7 Years Old)
671941	118277	Stacie Millard
671941	148580	Dana Whitman
671941	177204	Emma
671942	12813	Fiend
671943	29670	Ilsa
671944	389459	
671945	1752	
671945	8212	
671945	252700	
671945	329171	Irini
671945	379452	
671945	381008	
671946	55531	Party Dancer
671946	187091	Jaquie
671946	304691	Jamie
671947	361305	Victim of assault on Stiller
671948	104695	Herself
671949	309538	Mille
671950	72737	
671950	91028	Martina Mergentheim
671950	98342	
671950	102985	
671950	179783	Hannah
671950	185854	Fotografin Nowak (Photographe
671950	208427	Mutter
671950	209773	Dr. Verena Brandauer
671950	223185	Servicekraft
671950	232676	University Student
671950	253756	
671950	334623	Katharina
671950	350403	
671950	361706	
671950	364884	
671950	391604	Christine Walter
671950	391604	Christine Walter (1997-)/Andr
671950	399734	Karo Kaiser
671951	99971	Bank Teller
671951	155310	Pamela Riggs
671951	203223	Angela
671951	253000	Judith
671951	281467	Sasha
671951	297628	School Counselor
671951	340864	Tildy
671953	7132	Grandma Mary Barton
671954	175243	
671954	356107	Doktersassistente
671954	407166	
671955	378160	Tánctanárnõ
671956	239842	Dancer
671956	360955	
671957	75665	Iris
671957	165278	Judy Garland
671957	358484	Lonnie Earl III's girlfriend
671958	74014	Page Anderson
671958	188634	Patient
671958	196948	Olive
671958	242529	Hannah Boone
671958	355065	Gloria
671959	346572	Bit Part
671960	31274	Chrissy
671960	43677	Michelle Dubois
671960	73067	Stéphanie
671960	99631	Waitress 1
671960	110196	Tamara
671960	128345	Julie
671960	139820	
671960	186132	
671960	223227	Malila
671960	262939	Kate
671960	301649	Laura
671960	303591	Jodie
671960	385308	Shelly Webster
671961	306119	Sandrine
671962	20544	Edwige
671962	355808	Caissière pizzeria
671963	200934	Isabelle Fresco
671963	240429	
671963	387328	
671963	409280	Ludmilla 'Ludi' Guyot
671964	78829	Girl getting married
671964	132231	Geri
671964	350916	Helen
671965	139006	
671966	174202	Herself (wife)
671967	45637	Woman at Group Therapy (segme
671967	102013	Lab Assistant
671967	302777	Mannish Applicant
671967	387520	Nurse Smearball
671968	136849	
671969	180009	Girl
671970	341604	Young Algot
671971	195999	Lottie
671972	351744	Julia
671974	351439	Julie
671975	152666	
671976	325666	
671977	198958	Kia
671978	290244	Anja Meyer
671979	90241	Hooker
671980	119712	Max, Bootsführer Im Spreewald
671981	179297	Frau Dorn
671982	28603	
671983	57889	Mary
671983	159889	Beckwith
671984	186422	Lawyer
671984	405209	Marriage Celebrant (1998)/Fio
671985	214196	Dancer
671986	155053	
671987	336254	
671988	283484	Borger
671989	49132	
671990	373501	Old Woman
671991	222553	
671992	174190	Hasmik
671993	278358	
671994	43199	
671994	43200	
671994	84424	
671994	229913	Efrosiniya
671994	341215	
671995	23052	
671995	185764	Center Person #6
671996	213379	Marketta
671997	143868	Layla
671997	304948	Rachael
671998	3396	
671999	399180	Sexy Assistant
672000	18580	
672000	18794	Simy
672000	83403	
672000	123573	Maya
672000	165636	Mimi
672000	174065	Shilpa
672000	210480	
672000	229377	
672000	232720	Sandhya
672000	233399	
672000	242392	Annie
672000	248799	Bit part
672000	267006	Sreekutti
672000	329233	Savithri
672000	351399	Aswathi Thampuratti
672001	202171	Revathy
672001	228417	Rosy
672001	233399	
672001	246320	Janakikutty
672001	283606	Ambili
672002	4275	Janaki
672002	25973	Rajani
672002	150862	Nimmo
672002	228549	Raksha
672002	326153	Mala
672003	210298	
672004	4447	
672004	18452	
672004	229544	Elli Pellinen
672004	242257	Jean & June
672004	258847	Girl
672005	152767	
672005	171664	
672005	259938	Madame Graveur
672005	347559	Frau Kroatschek
672005	361333	
672006	46966	
672006	127929	
672006	156260	
672006	250425	
672006	323318	
672007	153756	Linda Hyväri
672008	311703	Herself
672008	406731	Herself (Christopher's Partne
672009	256878	Tumma tyttö
672010	106023	Nora
672011	309381	
672011	371659	
672012	182343	OL
672012	191397	
672013	130158	Sejal's mother
672013	174097	
672013	382689	A.D. (2003-)
672014	14738	
672014	122764	Ulrika Anger
672014	141809	Helena's mother
672014	145418	
672014	166474	
672014	174209	Ebba Björner
672014	175689	Colonel's wife
672014	175729	
672014	177040	Martta
672014	179625	
672014	182504	Mrs. Relander
672014	206142	Baroness Rauha de la Tuiscu
672014	213375	Drunken writer's wife
672014	214835	Charlotta Lönnqvist
672014	219451	
672014	229544	Uxen
672014	229626	Ms. Agda Timelius
672014	242258	
672014	255935	Mrs. Berg
672014	258847	Mrs. Kellovaara
672014	267123	Bigwig's wife
672014	283959	Countess von Waldenburg
672014	284021	Mrs. Hölppänen
672014	301864	
672014	319321	Mrs. Soisalo
672014	321924	Viivi Rask
672014	321925	Headmistress
672014	321949	Ireene Helasuo
672014	336580	Ottilia
672014	354274	Lady #2
672014	357593	Vilma Ahonen
672015	79140	
672015	267171	
672015	271921	Sarojinia
672015	285203	
672015	350758	
672016	292729	La Mamá
672017	18240	Joy
672018	183913	Dimana
672019	24110	
672019	30740	Dorothea Beggerow
672019	53154	Eveline Engel
672019	93449	
672019	95728	Elsa Gritzan
672019	98370	Karla
672019	101741	
672019	104840	Helga Lorenz
672019	104841	Helga Lorenz
672019	104842	
672019	104843	
672019	108155	
672019	129723	Karin Wodetzky
672019	136603	Witwe Hornborstel
672019	138260	
672019	155404	Luise Keller
672019	178742	Hilde Coppi
672019	179752	
672019	188926	
672019	223451	Mutter Courage
672019	225176	
672019	226317	Frau Gerhardt
672019	226403	Gisi Kemmel
672019	240066	Rothaarige Dame Lola
672019	241984	
672019	251024	
672019	251998	Die Sau
672019	254369	Ilse König
672019	259442	Dr. Elisabeth Thiel
672019	267329	Ma
672019	293531	
672019	317492	
672019	334558	
672019	347781	Kommissarin
672019	352546	Emilie Külz
672019	352604	Königin & Schmiedin Hanne
672019	361040	Dr. Becker
672019	361530	Mrs. Mertens
672019	365670	
672019	366587	
672019	367033	
672019	376412	Barbara Jarick
672019	377351	
672019	385660	Frau Druskat
672019	392669	Charlotte Gauss
672019	393257	Herself
672019	395508	Frau Himmel
672019	398827	
672019	406328	
672019	410774	Gertrud Habersaat
672021	37357	Joanna Johnson
672021	47500	Catherine
672021	79314	Tash
672021	97223	Julie
672021	105793	Jean
672021	116289	Penelope Watts
672021	130316	Disgruntled Child
672021	141404	Christina Papadopoulos
672021	144972	Ally
672021	147565	Elsa
672021	197740	Georgina Oliphant
672021	217419	Maxie Ireland
672021	228453	Asta Cadell
672021	230412	Janine Shepherd
672021	235357	Beat Girl
672021	248136	Ruby Vale
672021	274501	Lucy
672021	278842	Louise Roncoli
672021	292449	Herself
672021	292469	Dr. Alex Christensen
672021	305343	Jo Collins
672021	313477	Sola Naberrie
672021	314829	
672021	316140	Judy
672021	336662	Christine
672021	336722	Amanda
672021	342871	Catherine
672021	395185	
672021	398674	Cressida Morley
672021	399064	Asta Cadell
672021	404678	Dr. Alex Christensen (2001-20
672021	410238	Jeanne
672022	108358	Raffiella
672022	411792	Announcer
672023	24689	Tanja Sturm
672023	32698	Lisa Ryan
672023	41713	
672023	66086	Lou Oster
672023	68972	Natalya
672023	98264	
672023	101328	Claudia
672023	106264	Hella
672023	108164	Simone Kramer
672023	111746	Michelle
672023	139701	Lisa Brandt
672023	147517	Sabine
672023	155430	Julia
672023	162455	Tina
672023	182867	Anja
672023	189615	Judith Weiß
672023	272390	
672023	281719	Charlotte Miller
672023	325417	Elaine Morell
672023	343683	Stefanie
672023	350852	Steffi Bungert
672023	364942	Manja
672023	382285	Lisa Prentice
672023	382754	
672023	387735	Birgit "Biggi" Berger (1989)
672023	392380	Christine
672023	401549	Karla
672023	403458	
672023	404482	Schwabemädle
672023	411347	Sylvia Wöhrmann
672024	177890	Tyyne Rinne
672025	396314	Apteekkari
672026	156960	Sister Genevieve
672027	399130	Veronica 'Ronnie' Anderson (2
672028	143388	Kathy at 4
672029	95968	Alisia
672029	315814	Teresa Sikorzanka
672030	266918	Sofiya
672031	60166	Asian Lady
672032	293903	
672033	298477	
672033	397513	
672034	381256	Herself ( Evicted 5th, 37 Day
672035	74277	Jenny's Mother
672036	127318	
672037	11895	Oma Margret
672037	23992	
672037	31915	Senaide
672037	38767	
672037	77409	Elisabeth Rellert
672037	89493	Emmy
672037	156568	Amtsrätin
672037	218991	
672037	219674	The Aunt
672037	325617	Madame Nana
672037	374385	Pauls Mutter
672037	374552	Marthe Rull
672038	368408	Herself (Pan-Arabic Region)
672039	93856	Katarzyna
672039	266316	Liza
672039	410774	Stefan's mother
672040	181408	
672041	375965	Police girl
672041	375966	Police girl #3
672043	11065	Mária,István felesége
672043	35114	
672043	39052	
672043	43106	Éva
672043	74407	Ág Ilona
672043	97979	Anna
672043	97982	Horváth Margit
672043	103033	Erzsébet királyné
672043	117876	
672043	137755	Balásfy Ágnes/Balásfy Eszter
672043	137757	Ralben Edit
672043	140672	
672043	164089	Mariya (Hungarian version)
672043	182695	Horváth Cecil
672043	182874	Harmonikás Gizi
672043	198984	Machita
672043	201968	Benedek Palma
672043	223594	
672043	223599	
672043	229025	
672043	322152	Szováthy Éva
672043	322203	Rosina Beppo/Róza
672043	322217	Irén,Sándor felesége
672043	343440	
672043	349793	
672043	349795	Anada
672043	378111	Ollai Éva,énekesnõ
672044	159288	Grandmother
672044	165138	
672045	378049	Vala
672046	215194	Daughter
672047	3642	Herself
672047	3887	Herself
672048	140627	
672048	250886	
672048	273708	
672049	50078	
672050	44394	
672051	115182	Mamimi Samejima
672052	39027	
672052	125457	Seiji's mother
672052	127855	Haru
672052	139984	
672052	139985	
672052	170597	
672052	176611	Middle-aged woman
672052	245911	
672052	318577	Tomé Okamura
672052	371842	Singer
672053	511	Kie
672053	513	
672054	20458	Armitage
672054	26238	Cynthia
672054	50001	Chris Partn
672054	63704	Small Tengu Jiro
672054	63712	Ishtar
672054	84434	Kumi Jefferson
672054	182393	Hinako Shiratori
672054	209805	Ryo
672054	334886	Hitomi Kasahara
672054	386537	Kurimoto Ami
672054	396440	Fuu Hououji
672054	396486	Mint
672054	398579	Azalyn
672054	400292	Nanako Misonô
672055	21346	
672055	82871	Yuka
672055	122115	Harumi
672055	123450	Sumiko Kanamura
672055	123451	Kiyoko Ishikawa
672055	172260	
672055	180621	Azami
672055	180626	Azani
672055	229781	
672055	242237	
672056	74271	Wô-Cí
672056	280235	Alia
672056	280236	Alia
672056	298987	Yue Ying
672056	394550	Pearl
672056	396497	Amano Misao, Pixy Misa
672056	408351	Remmy Miyauchi
672057	347384	Poetess & Performer
672058	175518	Ran Po/Minto
672059	394099	Abe Rina
672060	232702	Sen
672061	127290	Birthday Party Kid
672062	168120	Old Plague Woman
672063	25069	
672063	71378	
672063	71379	
672064	398851	Marková
672064	412004	Beta
672065	139	Marie Krizuchová
672065	171531	Madam at café Slavia
672065	304546	
672065	305826	Vera Mikota
672065	373781	Mána
672065	376178	Widow
672066	4737	Molnarova supruga
672066	14303	
672066	48756	
672066	88377	
672066	89472	
672066	95665	
672066	132073	
672066	154668	
672066	190785	
672066	207817	
672066	209362	
672066	211081	Mother
672066	229570	
672066	229714	
672066	266261	
672066	305282	
672066	307542	Moglie di Yurik
672066	366266	Bessie
672066	373747	
672066	392218	
672066	395457	
672066	396589	
672066	397987	
672066	399958	
672066	400481	Melanija ... ministarka
672066	404206	
672067	254410	
672068	244482	Radka Mileva
672069	33574	Hélène, Queen of Sparta
672069	77454	Marguerite
672069	167042	Balthasar
672069	250707	Herself - Zerlina
672069	278965	Penelope
672070	370186	
672071	134620	
672071	176043	Lisa
672071	207570	Mother Mary
672071	209517	
672071	211859	
672071	242819	
672071	258436	Varya
672071	259925	
672071	264324	Toni's Mother
672071	344309	Katharina
672071	344311	Lena Vassilovna Varanova
672071	370264	Mother-in-law
672071	382445	The School Director
672071	402882	
672071	410457	
672072	258705	
672072	356924	
672073	44379	Susan
672073	105993	Kelly
672075	220783	Spinning Instructor
672076	289024	Les Presages Dancer
672077	42952	Elsbeth Speckmeier
672077	79624	Uschi
672077	98057	Susi
672077	102881	
672077	112662	Julia
672077	137699	Lise
672077	140264	
672077	153977	Christa
672077	169121	Zenzi
672077	169125	
672077	170675	Ingrid Wandel
672077	178781	
672077	186179	Aennchen
672077	202428	Gracia
672077	219592	Marianne
672077	226402	Helene
672077	241974	
672077	248540	
672077	308362	Reporter
672077	324627	Aennchen
672078	5440	Receptionist
672078	36966	Airline Hostess
672078	42743	Nurse
672078	302031	Barmaid at Sang's Saloon
672079	132756	Davis' Assistant
672080	51122	Rehnberg's Wife
672080	91521	Lisbeth
672080	115427	Tattar-Emma
672080	154563	Rosa Rosenkvist
672080	174726	Xenia
672080	237252	Karin
672080	264277	Ida
672080	284100	Madame Ponant
672080	354691	Valborg
672081	1508	
672081	14491	Aunt Marla
672081	37292	Waitress
672081	67586	Janice
672081	72099	Cathy Resnick
672081	72476	Doctor
672081	78844	Alice
672081	86458	Natalie
672081	86958	Lucy
672081	106746	Rita
672081	116103	Andrea
672081	176291	Alice
672081	182954	Kelly Rhodes
672081	204217	Sally
672081	205819	
672081	215760	Ann
672081	220842	
672081	222806	Betty Jeanne Solomon
672081	230027	Katie
672081	277114	Shirley Trump
672081	307988	Sydney
672081	313820	Mrs. Rico (Johnny's mom)
672081	360514	
672081	363298	
672081	384548	Beth Fox (1989-1991)
672081	385824	Dr. Veronica Kimball (1983-19
672081	390771	Rita Stapleton Bauer (1975-19
672081	404282	Caroline Wilson (1986-1987)
672082	232610	Sanae Yamaishi in lower class
672083	232610	Sanae Yamaishi in upper class
672085	278259	Rene Carpenter
672086	234153	
672087	99423	Meredith Dashley
672087	107742	Palm Springs Realtor
672087	127084	Tall Woman at Party
672087	130708	
672087	160464	Herself
672087	214123	Party Guest
672087	221183	Herself
672087	280054	Madge
672087	315619	Sensuous Witch
672087	352965	Herself
672087	391835	Herself
672087	406387	True Love
672087	408595	Loretta Tortelli
672088	165284	Sharen
672088	182988	Rosa
672088	224076	
672088	379145	Rosa
672088	381559	Herself (2003)
672088	398697	Ex-girlfriend
672088	403868	Herself
672089	26877	Waitress/Minister
672089	42988	Ballroom Dancer
672089	63257	Syd
672089	117127	Sue
672089	176875	Receptionist
672089	281911	Second AD
672089	301793	Miss McKeith
672089	321348	Dixie
672090	40539	Wine taster
672090	179631	Slaughterhouse Factor Cast
672090	257639	Additional Cast
672091	367861	Jaqueline
672093	2042	Herself
672093	16354	Lurleen Martin
672093	18823	Realtor
672093	21466	Woman #1
672093	34666	Fay Berman
672093	38360	Gambioni, Carla
672093	43952	Judith Cass
672093	51823	Samantha
672093	86739	Wilma Juggs
672093	102568	Rene Loomis
672093	102572	Gerta
672093	102579	Nan Melon
672093	105041	Lindsay
672093	121516	Cynthia Schlotsky
672093	190096	Charlotte 'Charlie' Tanzi
672093	223066	Alma
672093	249487	Maxine Smith
672093	303236	Skeptical Husband's Wife
672093	348617	Candy Johnson
672093	358321	Mrs. Allan Pearl
672093	370040	Shelley
672093	383123	
672093	397154	Sarah Glick
672093	397812	Dr. Francine Bailey
672093	402558	Deborah Golden
672093	405085	Skit Characters
672093	406816	Trudy Weissman
672093	408294	Grace
672094	377792	
672095	280600	
672095	375827	Hansel's Posse Member
672096	208733	
672096	299522	
672096	374024	
672097	26525	Amy
672097	144957	Nurse
672097	195769	Daniel's Assistant
672097	337606	Kara
672097	362834	Waitress
672098	271262	Cassie
672099	191098	Dancer 'Eat the Music'
672100	240235	Telemarketer
672101	30596	Bella
672101	44394	Kosara
672101	131159	Ninel
672101	258378	Meditzinskata sestra Neli
672101	286716	Fancheto
672101	357432	Rashka
672101	357433	Albena
672101	391995	
672102	31082	En Soon Yang
672102	72210	Maria Vidal/Arriega
672102	220356	Hindu Girl
672102	232113	Maria Robbin
672103	87087	
672104	88522	Monica
672105	410973	Engine Crew #2, Jacqueline Hy
672106	363355	Little Japanese Kid's Mom
672107	363355	Little Japanese Girl
672109	300596	
672110	410647	Kyoko
672111	122957	Kanna (story 'Katasumi')
672112	294056	Waitress
672114	372926	
672115	163160	
672116	132534	
672117	348994	Spirit of flower
672118	146354	Osen Momochi
672118	404269	
672119	77536	Keiko
672120	18706	Mother of Yukari
672121	17691	Mrs. Edith Frank
672121	61464	Yuki
672121	122048	Hana
672121	180510	Hatsuko Araki
672121	192015	Marina
672121	244522	Reiko
672122	296345	Reiko
672123	134896	Grunya's Mother
672124	11822	Musician
672124	252147	Viola
672125	162758	
672126	167876	Aunt Mary
672127	174612	
672128	357233	Majke Bekker
672129	373313	Fatma
672130	161221	Herself
672131	324080	Herself
672132	358256	Herself
672134	403622	
672135	12271	Nurse
672135	13392	
672135	188447	
672136	43620	Juma's friend
672137	238590	Whore #2
672138	345441	Secretary
672139	390151	Teres, Ellas skolkamrat
672140	300056	
672141	140964	Dina
672141	242077	Vicki
672142	41278	Screaming Woman
672143	105398	
672144	190658	Leena, uutistenlukija
672144	193559	Uutistenlukijan ääni
672144	282466	Herself
672144	349143	Uutistenlukija
672144	394962	Herself - news anchor
672145	230512	Kristie Gillman
672146	261376	First Drahuse
672147	261376	Second Drahuse
672148	157667	
672149	241342	Lady in the Police Station
672149	244379	Receptionist
672149	308097	Travel Agent
672149	367254	Office worker #5
672150	37551	Dealer
672150	91074	
672150	268491	
672151	244034	The Bikini Gang
672152	386603	Baby Jessica Aldrich (1981-19
672153	68736	Judge Rankin
672153	231037	Psychologist
672154	172951	
672155	220276	Parisian Dancer
672156	193643	
672157	78139	Female Trainee
672158	290687	
672159	318499	
672160	192905	
672160	339273	
672160	409296	
672160	409909	
672161	128735	Herself
672162	219692	Shoe Clerk
672163	246920	Maternity Nurse
672163	380392	Daggi Palewski
672164	22585	Nikolai's Wife
672164	63574	
672164	252809	
672165	228250	Jurylid
672166	389593	Herself/Host
672166	397395	Herself/Host
672167	57760	Hedda Evjen
672168	179583	Actress Zabkowska
672168	214246	
672168	231618	Joanna
672168	266293	Prostitute
672168	311137	Malgosia
672168	363972	Mildred
672168	373729	Paulina
672168	396286	Irena Galazka (2001-2002)
672169	405009	Various
672170	189066	Fan 1
672171	30131	Marlene
672171	34288	Kerstin Rohde
672171	44830	Bridget
672171	46107	Kerstin Rudolf
672171	98370	Jeanne
672171	102979	Helga
672171	166732	Frau Klein
672171	173697	Ina
672171	173847	Susanne Wiese
672171	198418	Petra
672171	225266	Marisa
672171	259493	Görz
672171	259511	Ikser
672171	259551	Annemarie Liedekow
672171	259564	
672171	259604	Dorle Mikisch
672171	259685	Silke
672171	262753	Aga
672171	285001	Gräfin Dienhoff
672171	290116	Sibylle Bernegger
672171	312636	Birgit Wernitzki
672171	312645	Jaqueline
672171	313667	
672171	317275	Kornelia Moritz-Hooge
672171	323008	
672171	324511	
672171	325522	Frau Feindt
672171	325572	Barbara Rothe
672171	325740	Pia Erzberger
672171	325821	Vivi Saalbach
672171	352421	Viola
672171	379121	Polizeihauptmeisterin Kerstin
672171	381675	Schwester Carola
672171	387385	Claudia
672171	404115	Eva Bosch
672171	405500	Rösler, Gundula
672172	9777	Herself
672172	238095	Jola
672173	33673	Elzbieta Bielak
672173	74787	Lola Katafalk/Regina
672173	75969	Mother
672173	94220	Ewa
672173	95969	Kwiryna
672173	123099	Wolanska (as Ewa Kasprzyk-Ber
672173	174028	Anna Walewska
672173	179342	Wolanska
672173	179583	
672173	179708	Marisya
672173	209491	Maria
672173	237442	
672173	246880	Brun's Wife
672173	359585	Gebalska
672173	398897	Anna Orzechowska (2004-)
672173	401742	Herself
672173	402755	Lucja Maj
672173	412008	Ilona Clark - Kowalska (1998-
672174	98367	Nino
672174	206704	
672174	216513	
672174	243723	
672174	321853	
672175	207237	
672175	297856	
672176	258903	Carmen
672176	343470	Älis
672176	353500	Herself (Model)
672176	361180	Prof. Kaia Hiiernum
672176	375827	Herself
672177	372372	Zabar's Shopper
672178	242980	The Ellis Baby
672179	87563	
672180	291931	Little Girl
672181	239588	Shopper in store
672182	398697	Ex-girlfriend
672183	57001	Heather in Design
672184	205487	Solange
672185	225306	Die Anderen
672186	343748	
672187	217954	Goldoni's Sweetie
672188	74000	Crude Oasis Bar Patron
672189	345533	Virginie
672190	2987	
672190	166156	Pépie
672190	198213	Bathilda anyja
672190	201967	
672190	301470	
672190	333113	
672190	394991	
672191	111313	
672192	51314	
672192	136428	Zizi
672192	137147	Ági
672192	357716	Olga
672192	412290	Gerlinda
672193	196390	Model
672193	232370	Model
672193	334495	
672194	256993	La caissière
672196	81785	Barbara age 5
672197	198152	Matilda Ivanovna, von Brück's
672197	261301	Princess Tarskaya
672197	322999	
672198	176207	
672199	8878	
672200	245468	Meter maid
672201	254416	Background Player
672202	117065	Agressive Lady
672203	347059	Giselle
672204	269850	Heather
672206	239180	Herself
672207	285197	Jester
672208	162732	Sara Serena
672208	247388	Sofiah
672208	370002	
672209	2844	
672209	75031	
672209	75060	
672209	228637	
672209	330050	
672210	75721	Ms. Corlucci
672211	270320	Sara
672211	385419	Asia Galanti
672212	130677	Woman in dance hall
672212	309581	Motion Picture Crew
672213	184769	Jackie
672213	301835	Tracy
672213	366746	Emily
672214	33254	Hanna
672214	191566	Lucia på dagis
672214	192659	Anna Book
672214	393873	Sandra
672215	180907	
672217	389858	Herself (1979-1991)
672218	118303	Italian Girl
672219	317309	LA Restaurant Babe
672220	319649	Ansagerin
672220	411501	Assistant (1981)
672221	55581	Amerika
672222	410374	Correspondent
672223	229186	
672224	82206	
672224	285318	Georgia
672224	386445	Valentini
672224	387025	
672224	390837	
672224	397252	
672224	400048	Eleni
672224	407976	
672224	408171	Fofo Tsintikidou
672224	408830	Eleni
672225	405162	Herself
672226	194888	Maria
672226	314855	Anna
672226	325575	Zimmermädchen
672227	27967	
672227	61144	
672227	103789	
672227	254338	
672227	273658	Gloria Irving
672227	290372	
672228	197846	Susanne
672229	130947	Dancer in gambling club
672230	326034	Noëlle
672231	95756	
672231	193050	
672231	248700	
672232	152718	
672233	9429	
672233	152418	
672233	181826	
672233	184082	
672233	294311	
672233	344200	
672234	194796	Girl recruit
672234	279323	Nurse
672234	290389	Girl at Airport
672235	84198	Accident Victim
672236	192643	Herself
672236	395800	Herself (2001-2003)
672237	153929	
672238	139409	
672239	87280	Dancer
672240	265568	Mistress Buffy V
672241	233081	
672242	215690	Miss Indiana USA (Semifinalis
672243	308756	
672243	380326	Valentina
672243	380331	Uxa Vidigal
672243	382741	Brida
672243	383142	Mariquinha
672243	384992	Mariana
672243	391580	Bela B.
672243	394872	Zelda
672243	396610	Laila (1999)
672243	398501	Laura Medeiros
672243	401944	Laura
672243	402086	Julieta
672243	407868	Rosana
672244	155331	
672245	374068	
672246	119775	Davis' Mother
672246	310302	Interviewee
672247	324223	Baby Betty
672248	132247	Los Alamitos Dance Team
672249	72424	
672249	97035	Jennifer
672249	97441	Silvia
672249	105472	
672249	119775	Price Partygoer
672249	128596	Nun with Gun
672249	170373	Julia
672249	184339	Lana
672249	193775	Annette
672249	310302	Zoe
672249	333391	Auditioning Actor
672249	351778	Eve
672250	153613	Mrs. Cooke
672251	18520	Staatsanwältin
672251	178848	
672251	205683	
672251	259582	
672251	325529	
672251	325555	
672251	325660	
672251	365262	East German Tour Guide
672252	177935	
672253	398777	Pegeen O'Hara
672254	304947	
672255	40144	Paulette Oster
672255	189233	Child at Party and School
672255	276899	Katherine Carter
672255	333421	Andrea Parkin
672255	381811	Erin Silver (1997-2000)
672255	401930	Unknown
672256	182896	Stephanie
672256	382829	Angela Bronski
672257	79065	Nora
672257	82702	Grandmother Regina
672258	23157	
672258	87124	
672258	96574	Thaleia
672258	100596	
672258	172822	Jenna
672258	180351	Girl
672258	182381	
672258	250542	Julia
672258	369531	
672258	394227	
672258	400048	Nina Gamblia
672259	83912	
672260	380256	Louis's Mother
672261	237399	Lotta
672262	70428	Croupier
672264	237462	
672265	9330	Padma
672265	12959	Thayamma
672265	17341	Ammu
672265	17645	
672265	18292	
672265	62233	
672265	159058	
672265	171747	
672265	182305	Teaterfolk
672265	219237	Astrid
672265	259365	Ulla
672265	304469	Girl
672265	311536	Karin
672265	320408	
672265	320512	Substitute Teacher
672265	322433	Ingela
672265	351889	Mona/Venus
672265	403084	Anki Sjögren/Jonasson (1996-1
672266	401093	Sumiko
672267	38752	Maki
672268	170903	
672269	168007	Michi
672270	172471	Mother of Hisako
672271	107378	
672272	156150	Silke
672273	348994	Princess Sakura
672274	313888	
672275	18589	Prisoner with cross
672275	339352	Det. Sgt. Gwen Holgate
672275	351431	Mary
672275	383631	Staff Nurse Gloria Hammond (1
672275	384587	Luanda Partington
672276	45825	Zombie
672277	163185	
672277	174740	
672277	182840	
672277	265452	
672277	343399	
672278	143483	
672279	34507	
672280	90152	Aldonsa
672280	307257	Sophie Liebknecht
672280	340443	Sophie Liebknecht
672281	60550	
672281	137112	Luvnya
672282	84146	Kyrgyz student
672283	351330	The Girl
672284	356040	
672285	374775	
672286	24791	Ghost
672287	182636	Judit
672288	99739	(segment "Az ember melegségre
672289	174880	Regina
672290	153637	
672290	256743	
672294	120800	Dead Girl
672294	157833	Jody Griffin
672296	395375	Yumis bestemor
672297	348366	Another Girl
672298	3113	Half Woman Companion
672298	39617	
672298	137008	
672298	156135	
672298	168062	Noriko
672298	175347	
672298	182509	Gold Claw
672298	231272	Botan
672298	275627	Bengoshi
672299	63544	[Go] (1939)  Ruri, Oishi's da
672299	63546	Ruri, Oishi's daughter
672299	182403	Chiyo as a child
672299	242180	Tamiko, Toyoko's daughter
672300	358689	Schwertleite
672301	63706	
672301	63708	
672302	8622	Rose Hanazono
672302	9332	
672302	9337	Tsuyako
672302	97620	
672302	122964	Yuko
672302	157082	Midori Iwakami
672302	168003	Yoshiko Koyama
672302	168006	Actress (cameo)
672302	173069	
672302	176219	Senkichi's Wife
672302	176636	
672302	181888	
672302	203868	Taeko
672302	206764	Okon
672302	206765	Oshin
672302	217613	
672302	226682	Nishimiya, Masako
672302	233120	
672302	236859	Yuko
672302	239090	Ofuji
672302	243355	Masayo Tsuchiya
672302	243919	Yuko
672302	243920	Yuko
672302	285190	Herself
672302	285202	Woman with red sweater
672302	285867	Ritsuko
672302	288408	Yumi Hayasaka
672302	293471	
672302	293603	Etsuko
672302	293626	Herself
672302	294266	School student
672302	295755	Yumi
672302	299306	Fuyuko
672302	299307	Yuri
672302	301449	Kimiko
672302	336348	Whore
672302	347485	
672302	347486	
672302	347494	
672302	374519	Mari
672303	146903	Chiaki Komori
672303	208016	
672303	309392	
672303	406360	Tomoko Asai
672303	406535	Mariko Shindo
672304	43585	
672304	81772	
672304	141394	Alyssa Brooks
672304	169366	
672304	276672	
672304	345867	
672305	172142	Clerical employee
672306	20458	Jessica Manning
672306	74268	Emu Hino/Hû Qing-Lán
672306	74269	Hû Qing-Lán
672306	74270	Hu Qing-Lan (Emu Hino)
672306	74271	Hû Qing-Lán
672306	74272	Hû Qing-Lán
672306	181965	Emu Hino
672307	17574	Maikki
672307	137739	
672307	235846	Kirpputorimyyjä
672307	282167	Pia Pajala
672307	293821	Pirkko Vainio, Juhan 2. vaimo
672307	342145	Hanna Simpatti
672307	394792	Niina Saarela (2003, 2004-)
672307	400872	Various characters
672308	211038	Yöhoitaja
672309	307163	Isän orkesterin jäsen
672310	24690	
672310	92082	Mrs. Fredriksson
672310	163181	Liisa Virtanen
672310	168387	
672310	171577	Woman distributing food to th
672310	172516	Eeva
672310	173407	
672310	181631	Riikka Matintytär, Paul's mot
672310	190659	
672310	213416	Phone Operator
672310	214712	
672310	222219	Anja
672310	223510	Ulla
672310	236793	Sirkka Sallinen
672310	242853	Master Leena Kataja
672310	250502	Eeva
672310	267931	Sanelma Kinnunen
672310	302191	Juuli Taivainen
672310	309387	
672310	322705	
672310	334825	
672310	354281	Jenni Linnarova
672310	357791	
672310	371650	Anni Lehtelä
672310	377313	Hilkka Kyyhky
672311	81677	Mariko Yasunaga
672311	264745	
672314	329413	Merla
672315	41120	
672315	43153	Starija gospodja
672315	88691	Mrs. Rips
672315	92730	
672315	223576	
672315	230058	
672315	261347	
672315	264639	
672315	270714	Baba Perka
672315	286914	
672315	320567	
672315	320676	Alisa Nastasijevic
672315	352195	
672316	86282	King's Guard #2
672317	283781	Pop singer
672318	283781	Pop singer
672319	4363	
672319	27770	
672319	326273	Drora
672320	115919	Mary Kathryn
672321	78950	Devojcica II
672322	228449	Student
672323	310329	Japanese Tour Guide
672324	175511	Takuan
672325	8763	Ayumi
672325	62242	Yuko Nagasaki
672325	131291	
672325	139948	Yoriko Suzuki
672325	153209	Asako Fujikura
672325	168852	Ayami Kano
672325	173080	Tama
672325	182027	Kotani
672325	182028	Suzu
672325	237841	
672325	241947	Asako Hino
672325	251928	Momoko
672325	373228	
672326	176534	Old Lady
672326	227996	
672326	294163	Mino
672326	372457	
672326	372471	
672326	380699	Morelle
672326	403966	Hana
672326	405279	Aunt Eliza
672327	385987	Misato Arimori
672327	394774	Nanami Sakota
672328	47857	Night Club Madame
672328	130525	Makoto Ike, Migiwa's sister
672328	130526	Asami Enoki
672328	130527	
672328	130528	Shizuo Kamidori
672328	130529	Natsumi Ise
672328	130530	Misao Nogata
672328	161684	Sagara, Police woman
672328	163838	Masako Ono
672328	171425	Chika Tono
672328	172113	Chiyoharu
672328	173560	
672328	198812	Yodogimi
672328	212448	Aya, Ryosuke's wife
672328	231587	Yuri, Haruhiko's lover
672328	232704	Maya
672328	244519	Noriko Miya
672328	283919	Someno
672328	294164	Taigo
672328	298732	Li Lan/Yoshitani
672328	298742	Saori
672328	298917	Misako Kirishima
672328	298919	Chizu Nogi
672328	299118	Tsuru
672328	328014	Miro Murano, the detective
672328	372017	Kikugawa
672328	398576	Okou
672329	154795	Mandy
672330	228830	Akiko
672331	334880	
672332	97635	
672332	393259	Mitsuko Nishino/U5 (Mitsuko H
672333	264985	
672333	273069	1st class passenger
672334	23075	
672334	139808	
672334	139848	
672334	339262	
672334	370910	
672335	182626	Pige
672336	356501	Maia
672337	80660	Hanged Woman
672338	136624	Herself - Sister to Isabelle
672339	1106	
672339	8163	
672339	34724	
672339	100193	Customer
672339	102722	
672339	104634	Herself
672339	104635	Herself
672339	104636	Herself
672339	104637	Herself
672339	104762	Norwegian entry (9th place)
672339	117375	
672339	145670	
672339	213969	
672339	286757	
672339	383368	Zangeres
672340	176882	Stunning u.s. anchorwoman
672341	157240	Maya lookalike
672341	226758	Rose
672342	163231	
672343	9734	
672344	162734	
672344	283530	Grey Mare/Lucky's Dam
672345	225769	
672346	1260	
672346	66325	
672346	370260	Kid Santa Claus
672347	7628	Trish
672347	30967	Poodle Lady
672347	41238	Big Cimber
672347	81230	Bella
672347	123435	Elizabeth
672347	129582	Marie
672347	240317	Bartender at the water well
672347	292234	Sheila
672347	304644	Mooshka
672347	360895	Barbara
672348	22722	Nurse Taylor
672348	167925	Miss Nina
672348	190209	Dierdre
672348	236905	Marsha Harriman
672348	250404	Ethel
672348	324237	Player #4
672349	366668	Bartender
672350	20497	Susan Zorkin
672350	37787	Princess Elizabeth
672350	41962	Thelma Russell
672350	45001	Woman at Bar
672350	58508	Alex Morrison
672350	59415	Laura
672350	78102	Susan
672350	117704	Michelle Winchester
672350	145071	Jilly Miranda
672350	152908	
672350	230508	Other Catherine
672350	260786	Bettina
672350	276169	Cindy
672350	296785	Bridget
672350	337849	Maggie Brody
672350	342819	Sarah Jones
672350	351909	Ginger
672350	354955	Lindee
672350	363530	Pscyho Girl
672350	387340	Additional Voices
672350	400162	Alana Michaels (1994)
672351	164663	Teenage Girl
672351	257964	Dr. Jessica Gage
672352	323993	
672353	177007	Laura Winslow
672354	8986	La voyageuse
672354	10960	Anna
672354	15886	Maxime
672354	20465	L'actrice
672354	54247	
672354	57292	
672354	64600	Hilda
672354	73855	French woman on train
672354	84220	La ribaude (segment "Jeanne")
672354	119034	
672354	122057	Maman
672354	127647	Collette
672354	144768	Mrs. Andros
672354	188316	Mrs. Fielding
672354	190247	Pop Prior
672354	199724	
672354	202593	Gimblette
672354	203616	Miss Delbeau
672354	206925	Catherine de Medici
672354	220273	La Goulue (Moulin Rouge perfo
672354	253094	Anita Fox
672354	264489	
672354	295385	Mme. Parfait
672354	317958	Anna Grant
672354	330086	Mrs. Wyman
672354	336715	Lucienne
672354	337016	
672354	402552	Mrs. Czerny
672355	64600	Giovana
672355	85368	
672355	98831	Commune Girl
672355	228851	
672355	285825	
672355	296205	Prostitute #7
672355	300218	
672356	67166	Daniela De Marchi
672356	312699	
672357	238552	White Girl In Diner
672358	382508	Herself
672359	8045	
672359	18891	
672359	34740	
672359	34762	
672359	44652	
672359	44653	
672359	44654	
672359	81368	Blonde By The Pool
672359	96403	
672359	105306	
672359	113686	
672359	155546	
672359	207051	Creature - Mr. Butterfly
672359	255161	
672359	255190	
672359	284932	Model
672359	286441	Student 3
672359	287703	Skateboard Girl
672359	344479	
672359	344490	
672359	403487	Herself/Maximum Velocity Tour
672359	405984	(Secretary, USC)
672359	407624	Herself
672359	412189	Rosita
672360	17685	Charlotte 'Lotte' Kaletta
672360	20362	Irina
672360	36532	
672360	49177	
672360	73578	Ida
672360	85166	
672360	156660	Luna
672360	164848	Jagoda Dimitrijevic
672360	187970	Bolnicarka
672360	212458	Buba
672360	232597	Tanja
672360	232661	Hortenzija
672360	244024	Grejs Frik
672360	246309	Dusica Kundacina
672360	259206	Jasna Simic
672360	272044	Suzana
672360	287143	Marianne
672360	304551	Djina
672360	324268	Sofija 'Cocke' Askerc
672360	327726	Young Woman (segment Addicted
672360	340960	Katya
672360	343968	Jelena Panic (Bulika)
672360	359553	Almira Zec
672360	375384	Pela/Sultana
672360	382431	Bobina skolska drugarica
672360	383086	Teresa Guiccioli
672360	384477	Maya (2002)
672360	394690	
672360	401749	
672360	401750	
672361	327370	
672362	29953	
672362	34945	
672362	60928	
672362	75043	
672362	91624	
672362	139263	
672362	168745	Dog
672362	178996	Katie
672362	188034	
672362	256817	Marianne
672362	300520	
672362	300534	Angela
672362	306896	
672362	338834	Katie Cutlass
672362	381091	Herself (eliminated round 3) 
672362	393599	Herself (eliminated round 2)
672362	405984	(SCN Director, USC)
672362	407055	
672363	104778	Russian entry (3rd place)
672363	170368	Herself
672363	221424	t.A.T.u-presenter
672363	221425	Herself
672363	322616	Lena
672364	28991	
672364	46932	
672364	104171	
672364	122358	
672364	129485	child
672364	296080	
672365	16034	
672365	112914	Bicycle Rider
672365	264936	Anne
672365	347073	
672365	388320	Di
672366	41538	
672366	290361	
672366	321208	
672366	381908	Herself (Season 3)
672366	395089	
672367	4291	
672367	25969	
672367	27389	
672367	27644	
672367	59012	
672367	59035	
672367	76999	
672367	77278	
672367	77305	
672367	98486	
672367	98499	
672367	139262	
672367	227618	
672367	228689	
672367	268088	
672367	296606	
672367	326953	
672368	4108	
672368	4875	
672368	16286	
672368	25433	
672368	68311	
672368	78740	
672368	85321	
672368	91479	
672368	122918	
672368	130565	
672368	152446	Jumalina Gonsalves
672368	152633	Dancer
672368	152700	
672368	165018	
672368	166492	
672368	171794	
672368	172127	
672368	172552	
672368	176067	
672368	176088	
672368	205323	
672368	211467	
672368	222273	
672368	250839	
672368	271754	Hema D'Souza
672368	288313	
672368	298251	
672368	298458	
672368	299361	
672368	303586	
672368	308496	
672368	319605	Editor
672368	324141	
672368	325097	
672368	327011	Sonu
672368	348920	
672368	350597	Dr. Sonu Kaul
672368	373792	
672369	30531	Tara
672369	319333	Pregnant Lady
672370	174841	
672371	294674	
672373	281911	Laurie Metcalf
672374	328968	
672375	257718	Mori, Natsumi
672376	244286	
672377	188453	Opening Sequence Girl
672378	260789	Noriko
672378	334393	Ninja Girl
672379	18578	Maid at Hotel Kyo
672379	91187	Chika
672379	121895	
672379	137384	Tomie Kawamura
672379	138041	Kikuyo Takano
672379	144736	
672379	146891	
672379	163847	Shizu Nagayama
672379	168062	Shizume Hikosaka
672379	173714	Wife
672379	177870	Yoshiko Otsuka
672379	178421	
672379	181964	
672379	200977	Toyotaro's mother
672379	201302	Rô-fujin (Madame)
672379	206785	Kinu Akabane
672379	208016	
672379	208729	
672379	212448	Ryosuke's mother
672379	215380	Grandmother
672379	227188	
672379	234085	Yumi's mother
672379	256760	
672379	295127	Haru
672379	325294	Kiku Ishizawa
672379	334864	Otae-san
672379	341275	Hamako Mouri
672379	344206	
672379	359830	
672379	380729	Tsunako, the 1st daughter
672379	391120	Masae Takanashi
672380	238445	Saito Kinen Festival Dancers
672381	97453	Kazue Tomita
672382	296904	Akio
672383	32995	Herself
672383	186255	Shirley Cho
672383	201745	Herself
672383	217377	Mirai Ozora (English version)
672383	283099	Kira Finster
672383	283102	Kira Watanabe
672383	283106	Kira Watanabe-Finster
672383	379710	Kira Finster
672383	395349	Leilani
672383	403907	Kira Wantabe-Finster (2001-20
672383	411747	Woman
672384	82829	Misako Hoshino
672384	123446	
672384	130499	Schoolleacher
672384	146346	Otama
672384	234541	
672384	325294	Sayo Tompson
672384	394033	Kanako's sister
672384	404269	
672385	101564	Arabian Woman
672385	144678	Kane, the maid
672385	242180	Assistant of hair dresser
672386	217069	
672387	214901	
672388	171419	Herself/Lawyer
672389	236941	
672390	30988	Yumiko Kusaka - Girls #7
672391	30987	Saki Sakurai
672391	260417	
672391	312712	Eiko
672391	384559	
672391	398026	
672392	244231	Herself
672393	234682	
672394	180627	
672395	260827	Voice
672396	8762	Shin Sawamura alias 'Onesan'
672396	144678	Teru, Hideko's friend
672396	155505	Teruko Sato
672396	168357	
672396	200544	Tomiko
672396	230065	
672397	137008	
672397	164024	Shigeko
672397	181996	Madame Gina
672397	217366	Eiko
672397	243497	
672398	394099	Yuka Osada/Crane Orphnoch
672399	9190	Nurse
672399	375558	Nurse
672400	137381	Tomoko (Fuyumi's elder sister
672400	176146	Ota
672400	390333	Miwako Harada
672400	390910	Fuyumi's elder sister
672401	219192	Thandiwe
672402	14152	Laura Franklin
672402	26633	Bridal Shower Hooker
672402	42705	Melody
672402	60866	Coco Daniels
672402	64807	Ira
672402	67943	3rd Girl
672402	91233	Herself
672402	139356	Judy
672402	156510	Esther
672402	188333	
672402	197528	Shannon
672402	219864	Suzi
672402	223362	Anggie
672402	232253	April Garland
672402	253896	Waitress
672402	257684	Herself
672402	257867	Herself
672402	259285	Janice
672402	277621	Donna
672402	297899	
672402	321575	Lisa
672402	373990	Donna
672402	390428	Laurie Marshall
672402	397756	
672403	407693	Host
672404	220735	
672406	175753	
672406	322095	
672406	357822	
672407	94226	
672407	99524	
672407	237731	Wilhelmina
672407	307081	Vali
672408	322128	
672409	162682	
672410	125439	Keiko
672411	12958	
672411	137109	
672411	179962	
672411	211898	
672411	293449	Etsu
672411	293642	
672412	318528	
672413	67901	Ayodou
672413	387049	Ryla Phoenix
672414	2252	(segment "Teuf d'enfer, La")
672415	115174	Sangita
672416	136127	Lady Reporter
672417	188449	Radhika
672418	220205	Meike
672418	284557	
672418	381694	
672418	396624	Caro Fechner (2000)
672418	409625	Jennifer Turner (1994-1998)
672419	104100	Herself
672419	104101	Herself
672419	104754	Finnish entry (14th place)
672419	104768	Finnish entry (17th place)
672419	174696	Herself
672419	187560	Herself
672419	213413	Herself - performer
672419	226929	Student
672419	335962	Katri-Helena
672420	1268	
672420	46213	Katrina and the Boy
672420	75030	
672420	75031	
672420	220840	
672420	326724	
672420	381913	Participant, 13th out (2002)
672421	269292	Madimi
672422	179742	
672423	394168	
672424	80589	The Panther
672425	403251	Eleni Sotiriadou
672426	8169	Isabel Marley
672426	194413	Policewoman
672426	333182	Mrs. Turner
672426	405217	Melvina Walker
672426	410918	Various (1976-1977)
672427	8982	
672428	85400	
672428	100554	
672428	100624	
672428	102694	
672428	108746	
672428	125646	
672428	237107	Wife
672428	380843	
672428	395090	
672429	8134	
672429	98088	
672429	99013	Klytaemnistra
672429	244952	
672429	261625	
672430	356094	
672431	150734	
672433	287014	
672434	32052	Hayden
672435	338206	
672436	19235	Deunan
672436	19769	Tatiyana
672436	20189	Athena
672436	21369	Faranguis
672436	21370	Faranguis
672436	38819	Michiru Kaioh (Sailor Neptune
672436	38821	Michiru Kaioh (Sailor Neptune
672436	38822	Michiru Kaioh - Sailor Neptun
672436	49934	Terrorist Chief
672436	71327	Lady Emeraldas
672436	74123	Female Newscaster
672436	74270	Kimie Hanayama
672436	122108	Humpty
672436	135897	Takako Houraiji (Japanese ver
672436	137336	Tamazusa
672436	139476	Queen Emeraldas
672436	165023	Aiya
672436	181965	Kimie
672436	208014	Ismeralda
672436	209788	Old Mamamega
672436	210156	Rockfell
672436	264168	Dynastar
672436	293465	Chiaki/Kung-fu Laker
672436	318539	Remi Mizuchi
672436	335856	Reiko Kashiwara
672436	373390	Yuuri Kenbish
672436	378718	Haku Sanshi
672436	382109	Michiru Kaioh (Sailor Neptune
672436	382110	Michiru Kaioh - Sailor Neptun
672436	386040	NejiYellow/NejiSophia
672436	386775	Otohime Liù Xing Lóng (Female
672436	386926	Tiara
672436	390077	Hildegard Von Mariendorf
672436	390908	Masuyo Ikari
672436	391751	Leia
672436	393942	Dollsatan
672436	394424	Lucette Odeby
672436	394429	Reccoa Londe
672436	396330	RIM
672436	397520	Aquamarine
672436	398579	Test Officer
672436	398997	Tsunade
672436	401736	Yamato
672436	404227	Hotaru
672436	405144	Female doctor
672436	407389	Mother
672436	408580	Maria
672436	411738	Kayura
672437	75059	
672437	296293	
672437	299094	
672437	332851	
672438	167583	Young Diana
672438	215065	Yûri/Time Pink
672438	397843	Yûri/Time Pink
672439	17877	Mikari Kobayashi
672439	172125	
672440	179535	Sachi
672440	213660	Kawai Kanakura
672440	371798	Geisha
672441	30987	Risa Shindo
672442	370782	Kaori
672443	61106	Lise
672443	389546	Alois
672443	404390	Ikura Namino
672444	149962	Fumie
672444	300439	
672445	175335	
672446	286656	Tsuru
672447	371828	Saeko's Mother
672448	137370	
672448	285187	Mika
672448	318887	Ryoko
672449	299323	Masako Abe
672450	9189	Kiyoko
672450	9190	Kiyoko
672450	227320	Ayako's Mohter
672450	287529	Kazuma's mother
672450	293608	Mrs. Yamamura
672450	300469	Sono haha
672450	300483	Shigeme
672450	334572	Mrs. Toda
672450	335381	Haha - Sugiko
672450	375558	Kiyoko
672451	9293	
672451	12956	
672451	28057	Takako Kurata
672451	91704	
672451	125693	
672451	156231	
672451	157019	
672451	163681	
672451	176638	
672451	177855	
672451	183081	
672451	215734	
672451	215735	
672451	216525	
672451	240381	
672451	242153	
672451	271941	
672451	318957	
672451	328017	Nami Tsuchiya
672451	336660	
672451	373356	
672452	61053	
672452	235034	
672452	394025	Yuriko Oka
672453	513	Kyoko's Mother
672453	113332	Dona
672453	400053	Seki-sensei
672454	160099	Fusae Oshima
672454	227180	
672454	232563	Haruko's daughter
672454	245864	Akie Sotozaki
672454	300201	
672454	300423	Masako Hiruta
672454	323121	
672454	344949	Miwa Kamiya
672454	370235	Haruko
672454	370268	Izumi Tobita
672454	371974	Tatsuko Fujii
672454	374465	Mikako
672455	186624	Fukasawa, Natsuko
672455	299094	Mika
672456	11886	
672456	107738	Mingo
672456	115809	
672456	147182	
672456	178610	
672456	186984	
672456	210107	Lisa
672456	225147	Baba Lawrence
672456	226233	Frau Schnackendorf
672456	293621	
672456	314899	Prinzessin Helene
672456	354061	Steffi, Harry's girl
672456	361385	Alberta
672456	376510	
672457	125057	
672457	216318	Rosa
672457	223288	Ada Herrlich
672458	399584	
672459	27111	The Shy One
672460	397955	Galadriel
672461	78430	Herself--Gogo Dancer
672462	13825	Young Girl
672463	50966	Therapist
672464	178975	V-Six Model/Cheerleader
672465	79495	Baby
672465	383027	Herself
672466	341335	Inspicijentica
672467	1269	
672467	54421	Perfect young Italian
672467	207970	
672467	255397	
672467	393599	Herself (eliminated round 1)
672467	398446	Herself - Model
672468	59977	
672468	181182	
672468	232206	Fire Girl
672468	307988	Katz
672470	87198	Interviwee
672470	170036	Laura
672470	363657	
672471	380196	Hanna
672471	384480	Soninha
672471	391674	Albinha (child)
672471	395302	Young Helena Lacerda
672473	307903	Knock Knock People
672474	41181	Lumerian expet
672475	28237	Juliette
672475	345232	Mme Lefèvre
672476	284852	
672477	323781	Young Elizabeth 'Liz'
672478	8183	Stage actress
672478	141544	Rachel
672478	154427	Wire Editor
672478	303861	Gina Papamichael
672478	383933	Leslie Loeb
672479	10835	Major Shakti
672479	21213	Mecha Robot
672479	223720	Secretary
672479	264157	Housekeeper Freda
672479	311037	Robbie's assistant
672479	311038	Robbie's assistant
672479	349392	Frankie
672479	360221	Leona
672480	209100	Sigi
672481	92260	Dead Person
672482	36283	American Girl
672482	64813	Council Member
672482	126706	Yukon
672482	160976	Katherine Asterfo
672482	212837	Student
672482	296516	SFG Power
672482	367254	Sexy Shopper
672483	52774	
672483	222031	Mariana
672483	380084	Ivette
672483	383548	Eva (young)
672483	398229	Lucy
672484	81034	Young Woman
672485	47542	Karen Clawson
672485	81343	Young Suzy
672485	333237	
672486	14489	Jan Montelli
672487	36694	Cynthia's Friend
672488	171606	
672489	97256	
672490	144121	
672490	235488	Rivka
672490	288274	
672491	158324	Herself
672491	158325	Herself
672492	96975	Herself
672492	119820	Chief Snail
672492	159177	Herself
672492	201615	Herself
672493	162289	Little Girl Faerie #2
672494	116402	Kate
672495	74133	Maryann
672496	124378	Extra
672497	279414	Shira
672498	141748	Herself
672498	296626	Herself
672498	299520	
672498	374322	Herself
672498	393729	Katz, Josie
672499	158338	Rosie the Riveter
672499	171311	Bride's Mother
672499	185567	Connie
672499	188227	Patron in Chinese Restaurant
672499	267174	Joycee
672499	277446	Diner Waitress
672500	146919	
672500	302114	
672501	62699	Mary Anne
672502	109395	Big Show Dresser #1
672502	124123	Hippy Girl
672502	214443	Edie, the Diner Waitress
672502	307854	Eve
672502	379670	Gina Spaulding
672503	145002	Diane
672503	176276	Stephanie
672503	220978	Maria
672503	283006	Elza
672503	404531	Robin
672504	350407	
672505	270971	Woman with ID girl
672505	289558	Woman at Babylon Club
672506	94490	
672506	200842	
672506	212730	Alwine Lachmann
672506	397969	Kassandra
672507	109454	Betsie
672508	81343	Reporter 1970
672509	162134	Tess
672510	19601	Shelley Jennings
672511	1308	
672512	10844	Female Student #2
672513	314459	Anna's Friend
672514	2017	Meghan
672514	87885	
672515	141109	A Steinette
672515	260362	Mina Walfleur
672516	88869	Goat
672516	108250	Reporter
672516	194406	Indian Lady
672516	379760	
672516	382061	Regular Performer
672516	405123	Beverly Baker
672516	411321	Cassandra
672517	225732	
672518	232930	
672519	32089	Kristen Rossmore
672520	92260	Dead Person
672521	304863	Student
672522	137057	
672523	13742	Interviewer
672524	223026	Girl with Luggage
672524	293082	Katie Katz
672524	321367	Lynne
672525	204960	Pfc. Jackson
672526	319149	Annett
672527	95758	Mendel
672528	9725	
672528	22784	
672528	124586	
672528	170236	
672528	183161	Patient
672528	242672	
672528	246872	
672528	272794	
672528	308463	
672529	80375	Abigail
672529	287215	Mrs. Martinak
672529	304021	Whinnie
672530	401265	Cast
672531	67394	Lissy
672532	103565	
672533	134288	Woman Inmate
672534	6220	
672534	6445	
672534	62829	
672534	163901	
672534	238098	
672534	282715	
672534	305903	
672534	323925	
672534	357173	
672534	374794	
672534	375394	
672535	236866	
672535	371902	
672536	113900	Herself
672536	277088	Connie
672537	127094	Student #3
672538	3175	Tanja
672538	290660	Mother
672539	216119	
672540	22845	Forretningskvinde
672540	42201	Ung Kvinde
672540	334249	Hannah
672541	179346	Nirit
672542	106298	
672542	125367	
672543	81346	Prisoner's Wife
672543	257232	Emily Fishback
672543	362808	Hostess
672544	59660	
672545	342151	Twin
672546	342151	Twin
672547	164776	Charlie
672548	238252	
672549	108390	Claire
672549	128164	Annette
672549	320106	Devon
672549	336478	Annie
672550	255441	
672551	27595	Gert
672552	111313	Vendég a fodrásznál
672552	243800	
672553	125239	Lin
672553	344969	Kanna Izawa
672553	396715	Natsumi
672553	407835	Kurosawa Hinako
672553	411656	Kobayashi Risa
672554	26237	
672554	156215	Yu, Rika
672554	294057	Akemi
672554	298870	
672555	322602	
672556	396499	Yoshiko/ultra baasan
672556	404390	Sazae Fuguta
672557	272581	Ayuko Hiiragi
672557	298897	
672558	21348	Prostitute
672559	181896	
672560	139476	Walküre 13 Marine
672560	139492	Young Woman
672561	176882	Heidi/Lithuanian newscaster
672561	359533	Loren
672562	262429	Fa. de Br.
672563	170501	Dora Progner
672564	14192	Old Jewish Lady
672564	20434	Older Woman at Party
672564	64813	Gussie
672564	73303	Seder Guest
672564	169991	Woman on bench
672564	196117	Mrs. Rosenberg
672564	204190	Neighbor
672564	211698	Sarah Singer
672564	220891	Sue, the Bench Woman
672564	224073	Aunt Tekla
672564	262647	Ruth
672564	314697	Francis
672564	330773	Evelyn
672564	366974	Tourist lady
672564	370013	Secrétaire
672565	387960	Herself
672566	112227	Athlete
672567	137854	
672567	223456	
672567	379177	
672568	193735	Girl at Party
672569	247001	
672570	167082	
672571	34347	
672571	104736	Dutch entry (10th place)
672571	228229	Herself
672571	228230	Herself
672571	228247	Jurylid
672572	363575	Rose
672573	353425	
672574	253064	
672575	229258	
672576	8362	Woman Buying Fish
672576	26844	Betty
672576	35163	Marisa Vogel
672576	169608	Sharon
672576	207280	Holly
672576	215288	Carhop
672576	305069	Alex
672576	361178	Talia
672577	105773	Jess
672577	126707	Madison
672577	201008	Lisa
672577	326604	Wendy Fitz (Hitchhiking Victi
672578	61785	Esther Ansell
672578	79355	Marie
672578	368653	
672579	158109	Flight Attendant
672579	183874	Offstage Video Voice
672580	3439	
672580	383147	Tertuliana
672580	387177	Colaboradora (1996-2004)
672581	306785	Extra
672582	296516	Suzie Lee Brock
672583	359222	Agent Batman
672584	2787	Herself
672585	177204	Restaurant Hostess
672586	72939	
672586	118763	Mental Patient
672587	224214	Bubbles
672588	20565	Mae
672589	279546	Baby Mary
672590	325459	
672591	276328	Woman at Party
672592	50268	Sara
672593	14620	
672593	154154	
672594	333192	Ashley Taylor
672595	372162	Singer
672596	348375	Teacher talking to Mr. McHabe
672597	132914	Plane Passenger
672599	89275	Muffy
672600	110338	Girl In Alley
672601	36744	The Restauranteuse
672602	280653	Combat sister
672603	332032	Jo Dodge
672604	13081	Dona Carito (Los Amantes frio
672604	14639	
672604	17135	
672604	24624	Vitola
672604	29621	
672604	49890	
672604	66080	
672604	69206	
672604	76224	
672604	80296	
672604	108717	Gertrudis la flaca
672604	148048	
672604	193345	
672604	207968	Mrs. Williams
672604	212055	
672604	212475	
672604	215036	
672604	257431	
672604	266407	
672604	277386	
672604	291602	
672604	292925	
672604	292926	
672604	302076	
672604	319597	
672604	324175	Daniela
672604	325179	
672604	328736	Reina
672604	333608	
672604	349956	Vieja
672604	353174	
672604	353592	
672604	355926	
672604	356000	
672604	376646	Vitola
672605	67555	Brenda
672606	132458	Juliet
672607	185593	Theresa
672608	175621	Pretty Girl
672609	382830	Emily as a child
672610	221318	Jewish neighbor
672611	43220	Other Extra
672612	73709	Strip Girl
672612	272758	2nd Stripper
672613	274671	
672614	11384	Cashier
672617	157575	
672618	288358	
672619	88216	
672620	223164	Herself
672621	43788	Emma Manning
672621	196015	Cora
672622	115011	Newscaster #1
672622	161757	Newscaster
672622	297672	Newscaster
672623	76293	Frau Hilda
672624	170966	Liberal Juror
672624	410684	Various
672626	32052	Dancer
672627	60227	Kathy Silvers
672627	318783	Chainsaw's Sister
672627	350145	Little Girl
672627	398181	Blinky
672628	347246	
672629	161744	Outraged woman
672630	288358	
672631	45500	Fern
672632	127263	Dancer - The Furies
672633	331100	Dancer
672636	201399	
672637	224106	The Talent Show - Sing It Out
672637	314224	Girl at the Funeral
672638	101574	Bridal Clerk
672638	121858	Linda
672638	351187	Wendy
672638	392424	Herself
672640	325412	Tina Beck
672641	83480	
672642	93401	Babette
672643	4506	
672643	11777	Kitty Steiner
672643	23987	
672643	24392	Frau von Pachthofen
672643	30752	Mariette
672643	38636	Theres
672643	42168	
672643	52058	Karin Wolters
672643	66087	Adlaya
672643	71383	Livia
672643	91930	Jutta Eck
672643	95389	
672643	97948	Edith
672643	101472	Cristina
672643	103093	Okana
672643	103276	Erika Jurgens
672643	115885	
672643	126377	
672643	130963	
672643	137182	
672643	144156	Erika Kayser
672643	153930	Frau Merk
672643	156749	
672643	157017	
672643	159562	Guest
672643	178780	Vronerl
672643	179761	La Contessa
672643	183148	Baby
672643	188733	Christine Cornelius
672643	190765	Miriam
672643	193482	Susi
672643	222815	Madeleine Charron
672643	225142	Mia
672643	230234	Julie Elgin
672643	245096	Debby
672643	247620	
672643	263918	Silvia
672643	281959	Resli
672643	286294	Dascha
672643	289920	Mme. Lautenschlag
672643	290198	Stationsleiterin
672643	290690	Angelika Helmer
672643	302684	Evi
672643	310218	Serenella Arconti
672643	311916	Annie Kramer
672643	312656	
672643	314894	Eva
672643	322936	Ruth
672643	324904	Natalia Dubrov
672643	334513	
672643	335034	Inge
672643	336618	Gabriella Cocozza
672643	337124	Karin Steinhof
672643	340312	
672643	344574	Ione
672643	345390	Geneviève Adé
672643	349529	Florence
672643	352655	Doris
672643	353076	Sylvia Lauretz
672643	361034	Gräfin
672643	361305	Party guest
672643	361393	Christine
672643	365153	Giselle Ponchon
672643	365591	Natascha
672643	365885	
672643	366495	
672643	367037	Ulla Scherzer
672643	375068	
672643	376116	
672643	389739	Violetta
672643	391022	
672643	391632	
672643	393731	Mme. Hosten-Lamothe
672643	395878	Labiskwee
672643	397920	Valery
672643	398083	Olga Behrens
672643	409990	Maja Kunert
672643	410812	Kaufhausdirektorin
672643	411096	Diana Valesco
672644	6211	Frl. Zieglinsli
672644	95279	Ellen Baeck
672644	99498	
672644	107363	Paula
672644	129741	Marlene Becker
672644	129742	Marlene Becker
672644	168160	
672644	174764	Caroline
672644	177377	Susi
672644	219275	Sarah
672644	225306	Die Anderen: Blumenverkäuferi
672644	284419	
672644	284427	Beatrice Bernstorff
672644	284430	Nicole
672644	287709	Claudia
672644	307254	Sonja Hagen
672644	325877	
672644	339778	Ellinor
672644	367127	Johanna Schneider
672644	394999	Engele
672644	395049	Christine
672645	314853	Nun
672646	98300	
672646	179924	
672646	259723	Annelies Wäckerli
672647	232380	Prostitute #1
672648	64951	Schoolchild
672649	407369	Maho
672650	142209	
672651	178553	Stepanida
672652	120032	Wally
672652	221269	Pamela Penrose
672652	325453	
672653	25364	More
672654	43401	Fauvette
672654	94312	La mère de Martine
672654	189909	
672655	168308	Girl at Blessing
672656	290183	
672657	94865	
672658	175621	Girl
672659	45106	Queen Tynah
672660	176704	Woman selling biodynamic blac
672661	175732	Nurse
672662	356186	Herself
672663	119707	
672663	181116	Mutter Kroko
672663	186607	Gerd's Mutter
672663	391604	Mona Suttner (1998-2000, 2002
672664	108267	
672664	303410	
672665	91176	Dornröschen
672666	326153	
672667	31507	
672667	90946	
672667	156105	
672667	176147	Guest Appearance
672667	226076	
672667	330354	
672668	264646	
672669	383121	Herself
672670	119096	Mary Louise
672671	32585	'Selenic' speller
672672	263542	
672673	272373	Singer
672674	278350	Mutter
672674	356738	
672674	377358	
672674	389403	
672675	131359	Woman Shaking Rug
672676	85685	
672677	396250	Kajsa
672678	151741	Go-Go -girl
672679	171590	Brother's daughter
672680	349142	Herself
672681	173690	Inga
672682	301443	Herself
672683	301443	Herself
672684	15166	
672684	127469	
672684	164837	
672684	200747	
672684	202755	
672684	267955	Pali
672684	284720	
672684	298472	
672685	301443	Herself
672686	207376	Mallika's cousin
672687	330121	
672688	95228	
672688	186494	Zizie
672688	214315	Vina
672688	260062	Ana
672689	239829	Granny Ensemble 1
672690	135659	
672690	207376	Mallika's aunt
672690	299329	
672691	4035	
672691	4066	
672691	7765	Ratan's Wife
672691	15872	
672691	27838	Roopmaji
672691	76999	
672691	98538	Rajani
672691	116913	
672691	164841	
672691	173327	Darling
672691	184165	
672691	207119	
672691	207379	
672691	215505	
672691	217181	
672691	228550	
672691	247408	
672691	268121	
672691	271562	
672691	286494	Dolly
672691	298616	
672691	312766	
672691	326953	
672692	141852	
672693	61320	Cutie
672694	17830	Herself
672694	23927	Herself - Audience member
672694	36854	Herself
672694	86745	
672694	381910	Herself (Series 2) (2001)
672694	381920	Herself (Series 1) (2001)
672694	409506	Presenter
672695	113724	Young Radha's Mother
672696	4058	Neetu Varma
672696	77279	
672696	78647	
672696	82001	Anita's sister (As Ranjeeta)
672696	85438	
672696	88596	Special Appearance
672696	176191	
672696	211457	
672696	250636	
672696	346841	
672697	177059	Market Woman
672698	161611	
672698	204793	
672699	157578	Mrs. Bhalla
672700	98463	
672701	251216	
672701	271651	Kamobai
672702	312417	
672703	222217	
672703	290665	Janine Breitner
672703	302037	
672703	312090	
672703	325615	Birgit Starczik
672703	325718	
672703	325956	
672703	396165	
672704	58365	
672704	124791	
672704	129745	Anthony's Granddaughter
672704	262240	
672705	6114	
672705	36249	Sarla (Ram's sister)
672705	62760	
672705	91466	Guest Appearance
672705	166477	Padma (As Hina Kauser)
672705	171777	
672705	201078	
672705	226675	
672705	232614	
672705	249645	
672706	246896	
672707	695	
672707	119352	
672707	223488	Mutter
672708	200346	Herself
672709	4033	
672709	4084	Meena's Mother
672709	4091	
672709	4137	
672709	4308	
672709	4403	
672709	17095	
672709	18931	
672709	21400	
672709	27378	
672709	27697	
672709	29306	
672709	36143	Rosy (Rupa's mother)
672709	37664	
672709	37665	
672709	58614	
672709	58998	
672709	62750	Beeji
672709	85370	Bharat's mom
672709	86632	Vijay's stepmom (Anand's mom)
672709	88485	
672709	88535	
672709	88597	Madhvi Gupta
672709	89598	
672709	95437	Radha
672709	98517	
672709	130073	
672709	138929	
672709	140499	
672709	141833	
672709	141851	
672709	152702	
672709	162694	
672709	165007	Kanwal
672709	165017	
672709	200624	
672709	211454	Shanti
672709	226512	
672709	227228	
672709	229310	
672709	248692	Geeta
672709	262843	
672709	267410	
672709	268566	
672709	271044	
672709	271838	
672709	282230	Bharat's mother
672709	287347	
672709	287915	Shanti
672709	287931	
672709	296627	Shanti
672709	297025	Sheela
672709	297027	Bhagat Singh ki maa
672709	297033	
672709	297058	
672709	297844	
672709	299804	Shankar's mom
672709	320862	Vinod's mom
672709	323624	Ashok Kumar's 2nd wife
672709	324379	Laxmi
672709	348450	
672709	348464	Bharat's mom
672709	355324	
672709	359418	
672709	370206	Bhanoo's mom
672709	370318	Rita's mom
672709	375036	
672709	393491	Aunt Shalini
672710	28248	
672710	35969	
672710	36591	
672710	85371	
672710	163827	
672710	164921	
672710	164942	Satyavati
672710	198734	
672710	268595	
672710	271715	
672710	288544	
672710	335740	
672711	1807	Chan
672711	21724	
672711	98486	
672711	223207	Zina
672711	290365	
672711	313997	
672711	373542	
672712	57877	Heroine of the film 'Aanewala
672712	195461	Sweety
672713	104747	Norwegian entry (14th place)
672713	245619	Astrid
672713	293879	Brit Helle, 10 år
672713	305859	Lille Grethe
672713	307244	Solan Gundersen
672713	342089	Malla
672713	344164	
672713	353036	
672713	382896	
672713	385511	Vera Branteberg
672713	393857	Mamsen
672714	127215	Etta's Photo Double
672715	214971	Newscaster
672716	9355	
672716	182595	Leena Hurskainen
672716	271630	Kampaaja
672716	283746	Kyllikki Sammalsuo
672717	237263	
672718	202587	Hanusová
672718	223487	
672718	309445	Terezka
672719	305438	
672720	147507	Klientin
672721	29400	
672721	239451	
672721	266739	
672722	5881	Charlotte Yablonski
672722	15214	
672722	42785	Jean
672722	44450	Mrs. Kovic
672722	73770	
672722	110171	Uptight customer
672722	113261	Bill's Mother
672722	135605	Mary Hohne
672722	141656	Stefka
672722	157444	Janice Miller
672722	160896	Jean Harp
672722	163622	
672722	192104	Elizabeth Grant
672722	222632	Jean
672722	222756	Jean Harp
672722	234218	Dr. Blackwell
672722	237504	Elvira Elbrick
672722	297781	Martha Tremayne
672722	306226	Helen Chambers
672722	370863	Connie White
672722	393159	Sonia Petrovsky
672722	404405	Young Woman
672723	23455	Chanel
672724	8287	
672724	8649	
672724	10378	
672724	13210	
672724	15958	Natasha
672724	21483	
672724	77031	
672724	86603	
672724	90808	
672724	100622	
672724	112794	
672724	118484	Yiayia Maria
672724	137867	
672724	154135	Mrs. Papamitrou
672724	163152	
672724	173656	Tassia
672724	174450	
672724	178783	Thodora Vengeli
672724	179406	
672724	180778	
672724	182379	
672724	182447	Liza
672724	208783	
672724	209769	
672724	212012	
672724	212593	
672724	239923	
672724	250485	
672724	256409	
672724	259860	
672724	265919	
672724	314299	Directress
672724	314344	Alekos' sister
672724	330358	
672724	340005	
672724	380491	
672724	390036	Grand - mother
672725	9467	
672726	166028	
672727	261243	
672728	329343	Anita
672729	21016	Tracy
672729	393042	Theresa
672730	281170	Lady Montague
672731	40091	Isabel Collard
672731	61954	Alison Wells
672731	157738	Julia Lennon
672731	177367	Helen Parker
672731	208531	June Symonds
672731	233528	Leila Jasper
672731	304764	Sheena
672731	346211	Jude Crowe
672731	352702	Liz
672731	382733	Diana
672731	392172	
672731	396716	Christine, Terry's ex
672731	401455	Lina Dyer
672731	404598	Penny Winter
672732	78041	Dolly
672732	220673	
672733	347982	Herself
672734	85050	Hispanic girl
672735	243934	Allie, Trevis Girl
672736	348457	Kate
672737	104768	Irish entry (1st place)
672737	147240	Irish entry
672738	68450	Rabbittes' Neighbor
672739	213875	Janet Preston
672739	219181	Cory's mother
672740	32220	
672740	65793	
672740	240814	Receptionist
672740	258223	
672740	281922	
672740	388209	Heather Lyons (2003-)
672741	302840	Karmen
672742	144226	Mamie
672742	248470	
672742	307579	Barbara Sellers
672742	380997	Mistress Bartram
672742	385719	Phylliss Wicke (1967-68)
672742	390771	Charlotte Waring Fletcher Bau
672742	400236	Cathy Craig Lord (#4) (1972-1
672742	404002	Martha McKee #2 (1977)
672743	232380	Cantina Tough
672744	48709	Sissy Lou
672744	140966	Waitress
672744	149107	Salesgirl
672744	217479	Salesgirl
672744	315899	Cocktail Waitress
672745	154869	Secretary on telephone
672746	40465	Virginia
672747	310168	Herself (Mission Specialist, 
672748	62898	Last Party Guests
672750	94090	Filozofka Nausová
672751	97605	Nadezhda
672751	104831	Doktor Gancheva
672751	132168	
672751	172215	
672751	181483	
672751	186237	
672751	191492	Maykata na Vesa
672751	223581	Rayna
672751	224448	Nikula
672751	229059	Direktorkata
672751	229086	Gergana Gergova
672751	235291	Saprugata
672751	243640	Vanya
672751	253836	Yana
672751	258611	Natasha
672751	264976	Neli
672751	273094	Mariya (Segment 3 Svidetelite
672751	305479	
672751	307844	Krachmarkata
672751	350946	Mareto
672751	352075	Rhia
672751	357434	
672751	373242	Zhana
672751	374940	Anastasiya
672751	386653	Doktor Ana Aldanova-Apostolov
672751	409856	Maykata na Vasko
672751	409879	Eliza Schmidt
672751	410432	Doktor Ana Aldanova-Apostolov
672752	192902	
672752	327370	
672753	308482	
672754	199954	Guido
672755	10836	Linda McPherson
672755	32449	Michelle
672755	52557	Amy Miller
672755	93245	Trish
672755	113389	April McDonald
672755	127134	Nurse #2
672755	160887	Mira Towers
672755	167893	Rachel Bach
672755	281056	Beth
672755	294140	Candy
672755	310655	Jessica Randall
672755	384566	Laura Keating
672755	393449	Erin
672756	294140	Mandy
672757	58838	Devi's Friend
672757	76536	Ayisha
672757	136108	
672757	173484	
672757	177048	
672757	195012	Taylor Harris
672757	235586	Nurse Vandana
672757	243813	Seetha
672757	297027	
672757	330361	Malavika
672758	313591	
672759	319405	
672759	400825	
672760	362277	Jill Fiora
672761	317146	Little Girl
672762	4228	
672762	58558	
672762	59042	
672762	62758	
672762	162688	
672762	330061	Herself - Theremin's Great Ni
672763	4348	
672763	12976	Utika
672763	142551	
672763	227054	
672763	242409	
672763	267121	
672763	288405	Renu
672763	303100	
672764	20104	
672764	58565	
672764	61365	
672764	86828	Queen Nana
672764	163941	
672764	174792	Natasha
672764	174855	Marjani
672764	216551	
672764	228540	Marita
672764	252543	Girl
672764	298325	
672764	344114	
672764	409008	
672765	58202	Karkulka Podhorská
672765	107713	Milca Janotová
672765	169110	Anna Forchheimová-Rajská
672765	196731	
672765	198232	Kacenka Strnadová
672765	320576	Lady at Red Cross
672765	323640	Joy girl
672765	342274	
672765	351809	Stázicka Vonavková
672765	373403	Anicka
672765	375409	Vlasta
672765	375414	Kvìtináøka
672766	156000	
672767	425	Harriet Hjort
672767	29558	Maud Grane
672767	97868	Mrs. von Meissenfeldt
672767	109255	Betty
672767	122456	Madame Tussaud
672767	125574	The general's wife
672767	135674	Miss Lind, actress
672767	138527	Julia Hyltenius
672767	150665	Rut
672767	173538	Jane Viding
672767	182288	Mrs. Wegert
672767	189483	Marianne
672767	240312	Vera, actress
672767	304217	Mrs. Angelica
672767	307760	Sylvia Larsson
672767	345994	Britta Lundgren
672767	349802	Clary Borg
672767	378250	Old countess
672767	388448	Grandmother
672767	403223	
672768	2761	Herself
672768	10670	Decorator
672768	25417	Eleanor Costello
672768	27313	Cookie Katz
672768	30140	
672768	30461	Marge Simpson
672768	32973	Mom
672768	34926	Various Parts
672768	34941	Midge Dexter [Lesbian Golfer]
672768	75801	Marjorie 'Marge' Bouvier Simp
672768	81649	Grace/Harry's Character
672768	88869	Female Pigeon
672768	90284	Marion Hollander
672768	117713	Lucy
672768	128482	Jane Darwin
672768	138444	Gail
672768	154869	Nan Mulhanney
672768	165108	Karen
672768	169991	Marie
672768	174584	Margot Weiss Goldman
672768	191243	Mom
672768	228297	Mrs. Falcone ("Municipalians"
672768	230947	Treva
672768	233834	Janet Michaels
672768	270622	Mother
672768	277106	Megan Brady
672768	296917	Alma
672768	302271	Marjorie "Marge" Simpson nee 
672768	302272	Marge Simpson
672768	302273	Marge Simpson
672768	302274	Marge Simpson
672768	302275	Herself
672768	302276	Marge Simpson/Patty Bouvier/S
672768	302277	Marge Simpson
672768	308011	Furry Animal
672768	315621	Elaine
672768	320026	Ronnie
672768	330773	Dottie Ingles/Narrator
672768	334356	Sitcom Producer
672768	337286	Herself
672768	358581	(P.A. Announcer)
672768	403318	Brenda Morgenstern
672768	405405	Marge Simpson/Patty & Selma B
672768	408678	Midge Dexter/Jobie Wolf/other
672768	408679	Meg/Marina McDowell/Marge Sim
672769	49455	Hot Girl
672769	136834	Bikini Girl
672770	18710	
672771	379412	Katerina
672771	395900	
672772	149114	Une prostituée
672773	172894	Venia
672773	178459	Martha
672773	245857	
672773	285318	Roula
672773	385984	
672773	386638	Aspasia Varvatsikou
672773	387358	Korina Mitropoulou-Koutsouba
672773	394145	
672774	30791	
672774	268813	The girl
672774	343301	
672774	351076	Gaza
672775	12127	
672775	15331	Gönül
672775	53269	
672775	106705	
672775	142972	
672775	153971	
672775	156074	
672775	173206	
672775	173769	
672775	178297	
672775	181458	
672775	182913	
672775	237425	
672775	238816	
672775	285251	
672775	288609	
672775	294121	
672775	294130	
672775	295527	
672775	303057	
672775	307029	
672775	320472	
672775	322559	
672775	349230	
672775	351953	
672775	370634	
672775	370694	
672775	377492	
672775	378214	
672775	378248	
672776	123843	
672776	192299	Bunny
672776	338877	
672777	84523	Lin May Chen
672777	296107	May
672778	17420	
672778	61065	Comfort woman C
672778	233136	
672778	244493	
672778	341279	
672778	371844	Woman at Seibei's house
672779	192746	Woman in Cafe
672780	348571	Fumiko Kawakami
672781	286228	Dancer
672782	181971	Kei
672783	220240	Yuka
672783	382113	Naru Osaka
672783	408599	Chiyo
672784	179822	Dancer
672785	298749	Farmer's Wife
672786	141478	
672787	373218	
672788	38821	Momoko (story: 'Chibi-Usa's A
672788	258553	Ruriri
672788	308778	Amy Rose
672788	381401	Martial
672788	386586	Arale Norimaki
672788	396503	Ilk
672788	398997	Kade Yoshino
672788	402942	Hisami Shiishi
672788	403966	Gorô
672788	405942	Amy Rose
672789	323361	
672790	9390	
672790	127862	
672790	179350	
672790	298861	
672791	1413	Keiko Asai (Bungaku)
672791	71591	Kaori Ozaki
672791	138076	
672791	145280	Urakawa, Akiko
672791	244513	
672791	411646	Rie Fujii
672792	161687	Sayoko Inugami
672793	12955	Sadayo
672793	61525	Otoki
672793	76855	Okinu
672793	137383	Mitsue Shindoh (Takenori's wi
672793	173272	Woman
672793	288656	Yumie Komatsu
672793	299116	
672793	341318	
672793	358134	Mrs. Terazaki
672795	242214	
672796	19708	Nattoku
672796	137006	
672796	145736	Takigawa
672796	172302	Senta's mother
672796	373218	
672797	390910	classmate
672798	178269	
672798	322698	Yukari
672798	405186	
672798	405276	Rikako Ohmori
672798	411646	Yukie Takahashi (Yamada)
672799	9329	
672799	138068	
672799	232904	
672799	359807	
672799	374182	Artist's wife
672800	167927	
672800	350723	Aimee
672800	394971	Lammy
672800	396495	
672800	397693	Scorpina (1993-1994)
672801	276920	Liu's Interpreter
672802	67078	(segment "Kusa-Meikyu")
672803	177097	Kagami, Kyoko
672803	178421	Kaoru Mabuchi/Kaoru Haga/Tets
672804	242711	Danue
672804	358561	Japanese Waitress
672805	217465	Elizabeth Meyer
672806	43066	Yoshiko
672806	141059	Rina
672806	162141	Masayo
672806	285676	Mikiko
672807	379916	Mimi Chan
672808	155241	Myung-Hee
672809	102466	Kawai Mia
672810	108653	Reporter
672810	124038	Mitsu Fukuhara
672810	131168	Sei's Mother
672810	171655	Frol
672810	179398	Mariko/Noriko
672810	299615	Blues
672810	344958	Osono
672811	244528	
672812	8905	Beniko Hanaoka
672813	3136	Kyoko Yamaguchi
672813	189511	Sendo, Kiki
672813	255872	Young Nagiko
672813	271674	Hitomi
672814	137370	
672815	373218	
672816	159830	Seia
672817	390963	Queen
672817	408485	Sally
672818	127922	
672819	171625	Nui
672820	125264	
672821	182042	Takamuru's Second Wife
672822	36766	Kaguyahime
672822	39285	Keiko Aizawa
672822	61442	Ayame, the third daughter
672822	130521	
672822	244513	
672822	287556	
672822	308884	Akari
672822	309160	Kozome, geisha
672822	328018	Nami
672822	348634	Chako
672823	14593	Yumi
672823	19236	
672823	31053	Kris Christopher
672823	54891	Rika Sasaki
672823	104291	Aika
672823	135897	Mishel (Michelle) Iga (Japane
672823	135946	Mika Asagi
672823	161706	Hari
672823	176532	Eri Uemura
672823	177386	May Lee Jinju
672823	177387	May Lee Jinju
672823	298425	
672823	334867	Noriko Ibuki
672823	378718	
672823	381401	Kris Christopher
672823	381785	Seeme
672823	383459	Rika Sasaki
672823	387456	Pichi (Japanese)
672823	389571	Chiriko
672823	389663	Miyanoshita, Satsuki
672823	394421	Ai
672823	394431	Madoka Fujisaki
672823	397346	Princess Pride
672823	401736	Ayame
672823	404846	Akane Kobayashi
672823	405278	Utena Tenjô
672823	410444	Coo (Japanese version)
672824	16310	
672825	9331	Shizuko
672825	15303	Fukiko Mukui
672825	78286	Nobuko Miyamoto
672825	288353	Mitsuko
672825	341274	Namie
672825	371978	Sanae
672826	62603	
672826	170903	Yodogimi
672827	156240	Herself
672828	391751	Asuka's Mother
672829	371842	Dancer
672830	264157	Countess Puck
672830	264158	Countess Puck
672830	271344	Martina's Agent
672831	324517	Kimiko
672833	244511	Tome
672834	172533	Waitress
672835	130539	
672835	130540	
672835	130541	
672835	145441	Yukari Hayama
672836	324726	Goddess
672836	369571	Ngan Ngan
672837	41809	Extra
672838	137361	Make-up artist
672838	374380	
672839	244054	Nurse
672840	121506	Victim
672840	144913	Asian Woman
672841	102680	Suzume
672841	173363	Maiko
672841	188071	Maki
672841	220227	Kagari
672841	284039	Wife of a court noble
672841	285612	Masami
672841	297182	Eiko Miyoshi
672842	25539	Sakurako Miyagawa (original J
672842	31044	Sofia
672842	31046	Sofia
672842	31047	Sofia
672842	65557	Cleopatra
672842	123107	Fortin
672842	123109	Eluza
672842	123110	Fortin
672842	176537	Quess Paraya
672842	177084	Madoka's Sister
672842	177085	Madoka's Sister
672842	181564	Hatsuko Ikeda
672842	182500	Shizu Onuma
672842	183061	Papillon/Angelique/Goddess Po
672842	187319	Vega
672842	209785	Rome Lotte
672842	209803	Takanaka Yui
672842	209804	Takanaka Yui
672842	209805	Risa
672842	277456	Fortin
672842	301673	Kiryu Fukagawa
672842	304684	Naga the Serpent
672842	304686	Naga
672842	304687	Naga the Serpent
672842	304688	Naga
672842	319374	Eluza (Gallforce)
672842	335856	Jung Freud
672842	350723	Frei (Japanese version)
672842	380900	Chum Huau
672842	382109	Witch Eugial
672842	382648	Saz Higgins
672842	387831	Miki
672842	393982	Gau Ha Leshi, Lilith Fau
672842	394429	Bertolchika Irma
672842	394550	Bareiho
672842	396500	Azami Ohizumi
672842	401116	Tiger Lily/Luna
672842	404127	Flair
672842	404230	Usa-hima
672842	405148	Suzy
672842	405278	Shadow Play Girl A-ko/Mamiya 
672842	410911	Poppo
672843	9274	
672844	101622	Kayo (Fufu's elder sister fro
672845	28105	
672846	380249	
672846	385367	
672847	169732	
672848	373218	
672849	393236	Mahina Jackson
672850	159841	
672850	242417	
672851	147362	Dying Woman
672851	373384	Asakaga Ruriko
672851	386777	Ranfan
672851	390264	Ruriko
672851	394422	Rollan Chuan
672851	407287	Coconna
672851	408735	Arcee
672852	173916	Slave C
672853	49712	Midori
672854	294056	Saeko
672855	411563	Hien
672856	299088	Osan's mother
672857	172049	
672857	176599	
672857	180619	
672857	242141	Hatsuko Kawakami
672857	300438	Noyuri
672857	300440	
672857	373363	Chie
672858	369525	Jr.
672859	387456	Mihke (Japanese)
672859	392430	Reiko Mukogawa
672859	404390	Ukie Isazaka (#3)
672860	8803	Teruko
672860	61114	Tatsuko
672860	61527	
672860	63538	
672860	121447	
672860	146917	
672860	147296	
672860	179383	
672860	194874	Hiroko
672860	207577	Sister
672860	227319	Yumie Sone
672860	227320	Yumie Sone
672860	285920	
672860	293505	
672860	299024	Utako
672860	299025	Utako
672860	300469	Hiroko, Typist
672860	327957	
672860	348979	Oran
672861	149604	Herself
672862	399405	Karna
672863	400053	Mota
672864	182337	Herself
672864	297598	Reiko
672864	341263	Herself
672865	38819	Setsuna Meiou (Sailor Pluto)
672865	38822	Setsuna Meioh - Sailor Pluto
672865	123111	Solnoid Adjutants
672865	177085	Hikaru's Mother
672865	177759	Kôichi
672865	208014	Kei Yûki (from Space Pirate C
672865	257982	Rin's mother
672865	259304	Chris Goldwin/Lorraine Hojo
672865	289304	Kei Yûki
672865	328333	Tony (child)
672865	370783	Fujiko Itô
672865	373383	Hikaru Makiba
672865	379515	Tilly
672865	382108	Setsuna Meiou (Sailor Pluto)/
672865	382109	Setsuna Meioh (Sailor Pluto)
672865	382110	Setsuna Meiou - Sailor Pluto
672865	382112	Sakurada Haruna/Shingo Tsukin
672865	383345	Patti
672865	391752	Mako
672865	396500	Sally's mother
672865	396640	Mizuki Ruriko (Natsumi's moth
672865	396796	Teacher
672865	398971	Benex
672865	404127	Geist/Young Shiryu
672865	409318	Kei Yûki/Mayu Ôyama
672865	410526	Amy March
672865	411667	Fujiko Itô
672865	411885	Makiba Hikaru
672866	173811	
672867	173259	Umekawa, Ohina
672868	79823	Mother
672869	299575	Kei
672870	89624	Ryoko/Setsuko
672870	110968	
672870	130528	
672870	172119	Ikuko
672870	217351	Mari
672870	298918	
672870	390966	Eiko Nagasawa
672870	392552	Yuriko Aoshima
672870	394244	Sensei
672870	394917	Fuyuko Kinouchi
672871	103000	Yoko Kishibojin
672871	159752	Natsuki Mogi
672871	177385	Hinako/Kaoru
672871	177386	Hinako
672871	177388	Hinako
672871	209785	Kazuhi Hikura
672871	328012	Sara Mudo
672871	373392	Papillon Noir
672871	378652	Hotaru
672871	379014	Kyoko Miyano
672871	379484	Sakuraba Aoi
672871	379485	Sakuraba Aoi
672871	381013	Chidori Kuruma
672871	389791	Ruriko Ikusawa
672871	392829	Natsuke Mogi
672871	392831	Natsuki Mogi
672871	394016	Rinko
672871	394431	Kaede Satou
672871	396484	Mahoro
672871	399405	Mayuko Chigasaki
672871	400268	Koishi Herikawa
672871	400269	Koishi Herikawa
672871	400576	Melfina
672871	402790	Megumi Shitow
672871	404227	Fuu
672871	404767	Melfina (#1)
672871	404771	Lafiel
672871	404772	Lafiel
672871	404879	Mika Iwakura
672871	408351	Akari Kamigishi
672872	156113	Herself
672873	208470	Chinese Movie Patron
672873	359482	Woman in Cafeteria
672875	91232	Dorothy
672875	232063	Sarah, Survivor Child
672875	232966	Ayane
672875	379568	Additional Voices
672875	383384	Additional Voices
672875	383414	Gi
672875	391502	Ami
672875	394165	Taki
672875	397348	Dance-Dance-Revolution girl
672875	398713	XJ9 a.k.a. "Jenny"
672875	401976	Keiko
672875	410975	Additional Voices
672876	82975	Yukiko
672877	386654	Lidia Jasinska Pocieglo Lang 
672878	305388	
672878	411850	
672879	214662	1920's Flapper
672880	223963	Restaurant Diner
672881	174931	Weronika Sagankiewicza
672881	181384	
672881	369008	
672882	262712	Herself
672883	75978	
672883	165077	Monika
672883	172979	
672883	375443	
672883	387414	Receptionist in hotel
672883	398874	Anna Wolniak (1999-2001;2002)
672883	404216	Donata 'Dona' Leszczynska (20
672883	411110	
672883	412076	Agnieszka's mother
672884	369005	Olesia
672885	203402	Mrs. Liebl
672886	79272	Dater
672886	86716	Reporter #1
672887	52181	
672887	142765	
672887	204185	Themselves
672888	55795	Allie Schultz
672889	82099	Kate
672890	24613	Elizabeth
672890	41537	Lucy
672890	72494	Nurse McAllister
672891	69405	Sonia
672891	263960	Mrs. Jack Wheldon
672892	47439	Khavah's Sister
672893	130722	Fat Woman
672894	85822	Claire Williams
672894	127803	Lady in Park
672894	333228	Mamie
672894	346368	Sandy
672894	383241	Susan Culpepper
672895	34116	Hill's Angel
672896	167573	Miya
672897	140371	Little Rose (dying girl)
672897	190269	Sick eight-year-old girl
672897	393701	Svetlana
672900	83577	Wife
672901	101048	The Boss
672903	72416	Melissa
672904	254416	Background Player
672905	372318	Brenda
672906	8152	
672907	104659	
672908	1390	Betty Douglas
672908	16456	Mrs. Colby
672908	89126	Connie
672908	98155	Nancy Bradford
672908	98156	Nancy Bradford
672908	98157	Herself
672908	107922	Waitress
672908	114959	Annabelle Troy
672908	227928	Katie Morrisson
672908	261049	Marci
672908	387374	Nancy Bradford
672908	390167	Jennifer Douglas
672908	400206	Rachel Kirk
672908	403111	Linda Potter Lockett
672909	402743	2nd Operator
672910	386599	Carolina Shaw (9/18/2002-6/12
672911	277845	
672913	2455	Jessica Watson
672913	194130	Laura Gurney
672913	385342	Clare Young
672914	52054	
672914	78015	Courtesan
672916	16642	Marguerite
672916	133361	Lisa
672916	354200	Lisa Peers (Toss)
672916	382594	Tessa
672917	411742	Cosmo
672918	59620	Child Bit
672919	128891	Bingo woman in orange jumper
672920	73202	Miss Rexford
672921	198248	
672922	273346	Angela Jackson
672922	387533	Ms Curtis (1999) (September-N
672923	238522	Girl
672924	47053	Presenter
672924	380428	Herself
672924	380429	Expert (Misc)
672925	206090	Sylvia
672925	275380	
672926	147388	
672926	278036	Miss Barton
672927	81270	Sandy
672927	241882	
672928	117623	Town Person #2
672929	21509	Sister
672929	190065	Maggie
672929	211570	Sally
672929	244830	
672929	264470	Martha Mudd
672929	278594	Patricia Carter
672929	281608	
672930	361367	
672931	394170	
672932	122214	Curious Bad Girl
672933	292189	Patsy Cavendish
672933	298024	Sheila as a Child
672934	46334	Trypepton Wife
672934	46432	Car Saleswoman
672934	93759	Catherine
672934	100816	Nun
672934	112735	Annie
672934	137967	Gladys
672934	229144	Zoe's Mother
672934	252292	Gentle Warrior
672934	274200	Marilyn Monroe
672934	327756	Chris Two
672935	382060	Herself - Singer
672936	176406	Maid
672937	21297	Lois
672938	53311	Lucy
672939	221005	Snowboarder
672942	104695	Herself
672942	399052	Herself (2001)
672942	407173	Herself (1998-2001)
672942	410003	Bo (2003-)
672943	214515	Hooker
672944	80717	Julie Sharp
672944	135154	Miranda
672944	244421	
672944	254269	Sheriff Sarah Parker
672944	380713	Molly Peterson Conlan McKinno
672944	389858	Lois Cerullo #2 (2004-present
672945	312925	
672947	46877	Eleanor Ross Heaney, Aghani's
672947	61291	Chicken
672947	131769	Cheryl
672947	164398	Security Woman
672947	221215	Sally
672947	224381	Georgina
672947	281442	Young Sarah
672947	390432	Chloe, office worker
672947	392677	Lyndsay Aitken
672947	398743	Georgina
672948	77213	Efrona Davies
672948	113303	Heather
672948	114024	
672948	391786	Anna Green (1999-2002)
672949	319726	Prostitute
672950	213190	Hostess
672951	333399	
672954	14383	
672954	119270	
672954	210057	
672956	49353	Herself
672956	144449	Marilyn Kay
672956	218780	A Jivin' Jill
672956	299035	Young Tap Dancer
672958	298569	Alice Faulkner
672960	58359	Herself
672960	386360	Nurse
672961	267013	Herself
672962	35420	Girl
672962	44295	Jane Richards
672962	48897	Clementine
672962	67415	Jackie Reynolds
672962	83623	Nan
672962	117917	Natalie Bryan
672962	118809	Lorna Ann
672962	128896	Elspeth
672962	132322	Kay Roberts
672962	185421	Sue
672962	194053	Wendy Miller
672962	280357	Janet Wells
672962	283421	Mary Rubeck
672962	301947	Katie McIntosh
672962	316761	Doris Donner
672962	325119	Moana
672962	332017	Dell Stafford
672962	353306	Carol Lawson (bank clerk)
672962	354219	Lucy Taylor
672962	356808	Susan Gerard
672962	361290	Lois
672962	361302	Carol Hines
672962	373201	Madelon Duval
672963	117656	Girl in Disco
672964	53050	Gaby Nowicki
672964	55526	Sue Ellen
672964	108250	Anne age 13
672964	230442	Nicole, Bastian's Step Sister
672966	131780	Janice's Friend #2
672966	390771	Musette (1992)
672967	31877	
672968	342402	
672970	193622	London Town Dozen & One Girl
672971	213019	
672971	380391	Thomasina Todd #2 (1984-1986,
672972	340084	
672973	305638	Prostitute
672974	296202	
672975	307457	Crash Victim
672979	40354	Babe 2
672979	144851	Jill
672982	610	Cheryl
672982	59880	Patty
672982	241166	Lolly
672982	321474	Eunice Bennett
672983	146053	
672983	160242	The Larva
672984	291014	
672985	48462	Herself
672985	201634	Herself
672986	168136	Critic's Wife
672986	218074	Monique
672986	231881	Whore
672986	292143	Maid
672986	350181	Mrs. Schilt
672987	182359	Dancer
672988	53333	Sumela
672988	73850	Carly Harrison
672988	146664	Judy
672988	147554	Clarissa
672988	232121	Sarah
672988	302130	Ann
672988	333329	Girl on Plane
672988	355164	Hilary
672988	369458	Kitty Pryde/Shadowcat
672988	384367	Myra
672989	351181	Tour Guide
672990	354761	Susan
672991	83339	
672991	101898	
672991	163985	Secrétaire/Secretary
672992	113729	Skier
672993	68214	Rose Herman
672993	71595	Margaret Paisley
672993	77190	Mrs. Mary Soper
672993	77194	Ellie's mother
672993	77200	Mary Soper
672993	80555	Margaret
672993	176727	
672993	272410	Genevieve
672993	303971	Doris Muddiman
672993	329445	Mrs. Millar
672993	358437	Janette Hynes
672993	364190	Reporter
672993	384663	Gwladys Rhys-Jones
672993	393951	Daphne Warrender
672993	397983	Annie Simpson
672993	400814	Elsie Titmuss
672993	403722	Dorothy
672993	408331	Mrs. Titmuss
672994	309555	Annie
672995	249457	Ruth Layton
672995	380591	Lift Girl (Series 9-10) (1983
672996	154866	Mrs. Clark
672996	232676	Olivia Bancroft
672996	305742	Mrs. Eddelstein
672997	1712	Oona Hottenlocker-Wickernuts
672997	33372	Margaret
672997	80442	Neighbour
672997	106520	Hilary's Mother
672997	208086	Helen Goldsworthy
672997	239034	Well Dressed Lady No. 1
672997	263235	Maude Williams
672997	270290	Jackie
672997	282690	Countess Maria
672997	301256	Mrs. Bernstone
672997	305917	Marge Molison
672997	312962	Wealthy Woman
672997	316215	Vivian Granger
672997	320316	Denise
672997	366898	Sylvia
672997	374401	Woman at Murphys'
672998	103824	
672999	396696	Juggy Dancer
673000	382329	Herself
673001	98374	Herself - Performer (performi
673001	104778	Latvian entry (24th place)
673002	121008	Gabby Dulcroft
673003	46553	Policewoman
673004	190171	TV soprano
673005	157310	
673006	125931	
673006	149960	
673006	175380	
673006	204011	
673006	229063	
673006	378604	
673007	86101	
673007	91042	Gabi
673007	138156	Kathrini
673007	145597	
673007	290202	Reinigungs-Girl
673007	317274	Carmen Badas
673007	343672	Carol
673007	365578	Laura
673008	160188	Ayse
673008	382093	
673009	65110	Gigi
673009	106071	Valerie
673011	78619	
673012	290789	Leyla
673013	345005	
673014	400148	Fitnat
673015	125933	
673015	295353	
673016	23133	
673016	109964	
673016	163106	
673016	294126	
673017	172335	
673017	211896	Female Con-artist
673017	229777	
673018	22692	Kimiko, Dancing Girl
673018	167909	
673018	334777	
673019	102869	Reiko
673019	172046	
673019	232703	Maya
673019	378140	Satomi Hiraoka
673020	323266	Student
673021	15335	
673021	172287	
673022	9599	
673022	16537	Sumie Yoshimoto
673022	19701	
673022	97633	
673022	167902	
673022	174917	Mother of Yuriko
673022	174942	
673022	229767	
673022	242314	Emiko Kano
673022	244518	Someyakko
673022	244563	
673022	287109	Oyasu
673022	293674	
673022	371987	Miwa
673022	391522	So-on (Rikyu's wife)
673023	374395	
673024	171657	
673024	242415	Yôko
673025	137006	Machino
673025	371707	(segment: The Marriage Simula
673025	393789	Kyoko's production manager
673025	404244	Hiroko Kunii (Assistant princ
673025	411878	Yoneko Murata
673026	256464	Waitress
673026	337988	Druid
673026	382304	Mrs. Pepper
673027	157870	Bit
673027	241444	
673028	43477	
673028	43481	
673029	131392	Principal Dancer
673029	339368	The Skivvy
673030	37057	River Woman
673031	203374	
673031	378755	Kate Harvester
673031	384783	Lorna Willis-Ede
673031	393427	Patsy Cornwallis-West
673032	31186	Herself (CBS Team contestant)
673032	142669	Aggie Swoboda
673032	194278	Rhoda
673032	194525	Student
673032	224376	Terry Green
673032	258947	Margo Klopper
673032	267112	Beth Braddock
673032	288468	Leah
673032	307898	Sheila Daniels, Eyewitness Ne
673032	311420	
673032	326741	Margaret Miller
673032	366763	Mary Warren
673032	381792	Tracy Garrett
673032	382208	Bambi Benton
673032	387539	Meredith
673032	393136	Eileen Burton
673032	411053	Stacy Turner
673033	32082	Herself
673034	379600	Miriam Ransome
673035	60267	Noreen Hegedorn
673036	217745	Christmas Student
673037	37480	Bride of the Bear
673037	90250	Anne
673037	113278	Rene Freeman
673037	116011	Sally Brighton
673037	162874	Karana
673037	272764	Woman in Bathtub
673037	350172	Sandra
673037	365427	Daffy
673037	399254	Marnie Massey (1962-1963)
673039	119001	Judith
673041	26628	Bit Part
673041	215748	Showgirl
673042	13884	Waitress
673042	276757	
673043	333857	Extra
673044	78322	Herself
673045	329401	Marion
673046	175626	
673047	250830	Second Secretary
673047	316125	Mrs. Hart (segment "End of th
673048	43372	Reporter
673048	340502	Bunny
673049	143908	Annette
673049	230732	Masha Lazoff
673050	234556	Evelyn Sutton
673051	31917	
673051	67874	Elizabeth Daingerfield
673051	143597	Noraa Sinclair
673051	178159	Society Girl
673051	192041	Polly Beasley
673051	201461	Eileen Harbury
673052	32793	Joyce as a Child
673052	165443	Mary Lane
673053	129103	
673054	406956	Regular singer
673055	32141	Madame LaTour
673056	350277	Acolytes
673057	79279	Mrs. Morley
673059	33395	Woman in Park
673059	65378	Mrs. Winograd
673059	221783	Woman in Doctor's Office
673059	292034	Mrs. Sherman
673059	321247	Mrs. Rosenfeld
673059	330332	Flo
673059	367791	Bea Scott
673061	32185	Chorus
673061	171274	Baby
673062	227996	
673063	261503	
673063	350198	Kiki
673065	177613	1st Girl on Trip
673065	239009	Ms. Phillips
673065	341758	Narrator
673066	368363	Little Jenny
673067	10864	Laticia
673068	342635	Forensic Lab Technician
673069	14231	Barmaid
673069	18351	Jane's Mother
673069	34448	Mrs. Pennington
673069	40738	Gypsy Mother
673069	52906	Nanine
673069	54032	Mrs. Umney
673069	56967	Staff Nurse
673069	92881	Mrs. Cosgrove
673069	103593	Mother Polly
673069	111911	Ma
673069	161918	Mrs. Jenny Hall
673069	177673	
673069	221221	Vi Butterfield
673069	236779	Sister Mary of the Annunciati
673069	253081	Bawd
673069	257109	Bess Tarling
673069	269923	Mrs. Claus
673069	273552	Dorothy
673069	276729	Ms. Houston
673069	301255	Mrs. Mordecai Smith
673069	304763	Kasia
673069	312437	Mrs. Woolridge
673069	338989	Mrs. Mossop
673069	381117	Gran
673069	382379	Miss. 'Fishface' Trout (1991)
673069	383166	Margaret Hunt
673069	385020	Rose Bonnetti (1966)
673069	385780	Peggotty
673069	387490	Kathleen O'Donnell
673069	388887	Sarah Weekes (1970)
673069	395525	Mrs. Squeers/Mrs. Crummles
673069	395954	Caretaker
673069	396009	Rose Bentwood
673069	396636	Mama Renate Malone
673069	398737	Fay Greenberg
673069	402421	Grandma
673069	405375	Emma Wolff
673070	27207	Unity Woman on Fire
673070	223710	Ex-Girlfriend
673070	267038	Shot woman
673070	274266	Badger Kate
673070	276217	Shocked woman
673070	299485	Woman at Stairs
673070	306275	3rd Lady in Waiting
673071	142552	Secretary
673071	205317	Kathy Nelson
673071	242106	Doris
673072	70301	Cleo
673072	167626	Joan Frost
673072	260951	Switchboard Operator
673072	321707	
673073	224273	Jitterbug
673074	44188	Herself
673075	75721	Karen
673076	11503	Nurse Hopkins
673076	150616	Mr. Martin's Daughter
673077	325244	Doris
673078	64405	Mrs. Morris
673078	107283	Midway Operator
673078	289691	Nun
673079	302154	Female Warrior 1+2, Witch, Re
673080	402138	Giulia Cibelli
673081	335689	Gert
673082	186102	Jean
673083	216165	Bantu Maiden
673084	200283	Second Woman in Laundromat
673085	90377	Stand-Up Performances #10
673086	312701	
673086	356655	
673087	17021	Ginny Morris
673087	51441	Bee Bee Vendemeer
673087	65110	Sally
673087	163415	Pebbles
673087	324262	Dora
673087	358596	
673087	361688	Rosalia
673087	365544	Sandy
673087	367876	Ens. Stevens
673087	396084	Angel Allison Chernak (1969-1
673088	7928	
673088	186751	School Teacher
673090	121836	Dancer
673090	241118	Dancer
673090	252242	Tart
673090	383495	Dancer (1969-1978)
673091	312774	Herself
673091	387309	Rose Pollock #4 (1973-1979)
673092	52312	
673092	214917	Girl in Bed
673092	257650	Herself (Miss July)
673092	257682	Herself (Playmate)
673092	257828	Herself (Miss July 1991)
673092	361850	Herself
673092	361851	
673093	6196	Matron
673093	8169	Meg
673093	92466	Mrs. Montgomery
673093	114144	Mrs. Messenger
673093	118958	Lady Fanschawe
673093	130018	
673093	131664	Mrs. Jackson
673093	199093	Guest at reception
673093	229259	Mrs. Kelly
673093	286054	Majorie Glick
673093	290421	
673093	371565	Zelda
673093	381238	Mrs. Cameron
673093	393606	Mrs. Spicer
673093	395185	
673093	395682	
673094	32201	
673094	364165	Jennifer Rhodes
673095	252854	Nurse
673096	365200	Herself
673097	1257	
673097	1283	
673097	41586	Herself
673097	305233	Kayla
673097	339599	
673097	356337	Herself
673098	39966	
673098	41588	
673098	96747	Hetty
673098	142238	Rachel
673099	132247	Los Alamitos Dance Team
673100	234237	Jogger
673101	2435	
673101	6728	Herself
673101	29955	
673101	62579	Changing Room Woman
673101	66701	
673101	87370	
673101	87383	
673101	95800	
673101	105896	
673101	108644	
673101	138199	
673101	140952	
673101	149336	
673101	219063	
673101	219245	
673101	233737	
673101	243109	
673101	247990	
673101	300519	
673101	302173	
673101	323943	Maria
673101	334143	
673101	347751	Nurse Edmunds
673101	355064	
673101	357168	Herself
673101	359860	
673101	408614	
673102	381908	Herself (season 2)
673103	5705	
673103	8712	
673103	23124	
673103	23128	
673103	136091	
673103	136766	
673103	144534	
673103	156345	
673103	161144	
673103	164079	
673103	173412	
673103	177880	Mualla
673103	210255	
673103	215090	
673103	222076	
673103	284868	
673103	295269	
673103	342055	
673103	349227	
673103	370616	
673103	378218	
673103	378609	
673104	301753	Extra
673105	110219	Doris Kaye
673105	127087	Cynthia
673105	154083	Ida
673105	223854	Polly
673105	252426	Girl
673105	270535	Myrtle, the maid
673105	279376	Verna
673105	309947	Perfume Salesgirl
673106	360722	
673107	119541	Apple Lady
673107	255866	Angelica Bremling
673108	22123	
673109	365458	BaAka Villager
673110	161148	
673110	322547	
673111	126040	Ape Singer (s)
673112	203027	Doctor's Secretary
673113	158997	Girl #1
673114	175175	WAC
673115	201675	Herself
673116	84648	Une fille
673117	108425	Caroline Huff
673118	110741	Herself - Friend of Felicia
673119	259666	
673120	182752	Prinzessin
673121	132906	Bride
673122	118363	Dancer
673123	308999	Marla Cross
673124	1833	
673124	5511	
673124	15062	
673124	19199	Benoit's grandmother
673124	23632	Mme Legrandier
673124	25153	
673124	34390	La mère Vauzou
673124	40567	La mère de Bruno
673124	51254	Virginia Broadhurst
673124	55968	
673124	56598	Agnese
673124	57753	Irene von Kielpinski
673124	57793	La Tia
673124	59213	Une paysanne rebelle
673124	61426	La première invitée
673124	66736	Mlle Lauze
673124	73855	1st Woman
673124	78367	
673124	86575	La tante
673124	96519	
673124	100734	Mrs. Logan
673124	101581	Josepha
673124	111431	La mère italienne
673124	113574	Padrona negozio
673124	118183	Dame clarisse
673124	120973	Yvonne, la mère
673124	132309	Lala Ramirez
673124	162415	Phaedra
673124	166565	Card Player
673124	183235	Abortionist's Nurse
673124	202125	
673124	202516	Adrienne Malraux
673124	202749	Mamy
673124	217842	La mère de Yann
673124	218289	
673124	225444	Madame Toth (Deuxième Flashba
673124	228155	La mère de Natalia
673124	229052	La vieille clocharde
673124	238455	La seconde femme aux 500 fran
673124	250902	Mother Superior
673124	263372	Jacqueline Repelsky
673124	267879	Countess Trevie
673124	272392	The mother
673124	279220	Grandma
673124	281918	
673124	295835	Frau Dreyfuß
673124	302123	
673124	306947	
673124	328391	La mère
673124	346531	
673124	377674	Madame Garti
673124	377951	Félicité
673124	378866	La dame en voiture (ep.3)
673124	380587	Mme Salembière
673124	383861	(segment "Chair en vie")
673124	384209	Apolline
673124	390480	
673124	395361	
673125	63125	Governess
673125	156860	Jester
673126	185187	Marie
673127	173325	
673128	284068	
673129	356482	
673130	173377	Dasha
673131	79231	
673131	284491	
673132	321952	
673132	356418	
673133	238098	Yanka
673134	82487	
673135	97613	Glasat na Dzhana/The voice of
673135	258630	Mladata Katerina
673136	273707	
673137	44359	Alena
673138	253716	
673138	258602	
673139	63125	Hostess
673139	111583	TV Interviewer
673139	330595	Soviet Woman
673140	311224	Focus Group Member
673141	21015	Herself
673141	57642	Herself
673142	356039	
673143	216609	Herself
673144	60814	Chervenata shapchitza
673144	191492	Vesa
673144	213728	Mila
673144	268128	Vaztorzhena poklonnichka na L
673144	297463	Ina
673144	336401	Toshka
673145	125251	
673145	136390	
673145	370352	
673146	136681	
673147	37716	Lobstera
673148	22113	
673148	173363	Ayako
673148	180056	Cherry's mama
673148	215351	
673148	216355	Tomi
673148	227126	Makiko
673148	234650	
673148	324604	
673148	325988	Sanae
673148	334900	Saori
673148	360888	Woman with red hair
673148	370005	Mitsuko
673149	284442	First Violinist
673152	406883	Ohnishi, Yuka
673153	8755	Aki
673153	9185	Tomoe
673153	9418	Yuki
673153	9558	Step-Daughter
673153	18072	Author's Wife
673153	38800	Mioko
673153	61459	Chizuru
673153	127738	House wife
673153	155943	Chidori
673153	170328	Policewoman
673153	176711	Proprietor
673153	203794	Satô, Kanako
673153	207116	Miyoe
673153	222923	Tomie Yamazaki
673153	242245	Shimako
673153	272581	Mariko Shiina
673153	285190	Herself
673153	285677	Sandaiji, Mayumi
673153	293614	Sumako Fujimori
673153	299142	Katsue Kirino
673153	348871	
673153	370441	Mieko
673153	376196	
673154	9601	
673154	137046	Mrs. Yoshii
673154	169127	
673154	173275	
673154	174326	
673154	176566	Toshiko, Kyoichiro's wife
673154	177116	Mitsu Amemiya
673154	179428	Satoe Sakaguchi
673154	211720	Seiko Tomiyasu
673154	216495	Ogin
673154	219305	Kinuko Ohiwa
673154	228374	
673154	263361	Umeko Murota
673154	286887	Same's mother
673154	300482	Shige
673154	341259	Otsugi
673154	341292	Takako
673154	359807	
673154	373231	Tamae Watanabe
673154	378143	Kozo's wife
673154	408434	Kayo Funamura
673156	9276	Masae's mother
673157	46006	Muriel
673157	125723	L'assistante du producteur
673157	193444	Sophie
673157	201172	Éisabeth Galibert
673157	217738	
673157	265340	
673157	278145	Jo
673157	285776	Irma Davos
673157	292336	Alice
673157	294548	
673157	327888	Elisabeth
673157	345365	Elisabeth Galibert
673157	346662	Bijoux
673157	351250	La femme maigre
673157	379196	Sophie Latour
673157	388691	Carole
673157	392003	La femme technocrate
673157	393336	Julie (1993-1995)
673157	399813	Herself/Panelist (????-????)
673157	407557	Herself/Host (1996-1997)
673157	408719	Irène
673158	29965	
673158	45052	Bound Scientist
673158	122865	
673158	247932	
673159	353425	
673160	2027	Mrs. Pesce
673160	3858	Herself
673160	6912	Madam Zola
673160	11937	Camille Alexander
673160	31715	Leona Bloom
673160	37122	Jeanne Shulman
673160	47385	Herself
673160	48217	Sister Mary Shirley
673160	57815	Selma
673160	67590	Valerie Kirk
673160	74202	Tina Weathersby
673160	77802	
673160	80038	Leda Martell
673160	82528	Sylvia Goldman
673160	96765	
673160	98145	Old Woman
673160	104357	Mother/Berneice
673160	127627	Mother
673160	131557	Diane
673160	139607	Irene Moffat
673160	150520	
673160	153707	Helga
673160	154168	Sarah Fishbine
673160	155921	Bess
673160	161078	
673160	166880	Card Player
673160	169427	Connie
673160	177089	Hanna
673160	183684	Maria Baretto
673160	195307	Sophie Tucker
673160	195751	Sadie Capomezzo
673160	197776	Marguerita Ventura
673160	209496	
673160	220593	Sylvia
673160	223719	Maria Portokalos
673160	223918	Belle Carroca
673160	237931	Margaret Chase
673160	241363	Maggie
673160	245137	Nancy
673160	253227	Jerry's Mother at Funeral
673160	263998	Rose
673160	274268	Grandma
673160	280906	Estusha
673160	285360	Mrs. Day
673160	319202	Jessie Durning
673160	327628	Julia
673160	342670	Lunch Lady
673160	347327	Rachel
673160	362493	Ruth Seelig
673160	385916	Herself (1966)
673160	388202	Sophia, the Blue Fairy
673160	394174	Claire Steiner (1987)
673160	398670	Maria Portokalos
673160	400772	Rose Samuels (1985-1986)
673160	408641	Rita (1986)
673162	291886	Woman at first Seance
673162	368928	Twittering Female on the Moor
673163	68364	
673164	57102	Bag Lady
673164	89147	Deborah
673164	125830	Polygraph Lady
673164	258188	Margie
673165	321729	Samantha
673166	356418	
673167	62829	
673167	230055	
673168	178686	
673169	394752	
673170	381530	Olga Kalinovskaya
673171	344443	Angela Riccardi
673172	356420	
673173	394927	Canan (2003-
673173	396478	
673174	225999	
673174	263261	
673174	285752	Old Russian lady
673174	297858	
673174	349051	Lidiya Stepanovna
673174	374734	
673174	381021	Neighbor
673175	394750	
673176	410074	Irina
673177	352813	Concert Performer
673178	36539	
673178	357225	
673179	61788	Denise
673180	104413	
673180	179670	
673181	154685	
673181	297861	
673181	320680	
673182	236178	Die Gräfin
673182	341332	
673183	6220	
673183	62828	
673183	97560	Zhenata na Argir (Iskam da zh
673183	110717	Irini, Iliasz felesége
673183	130140	
673183	174382	Zhenata na arhitekta
673183	204000	Orhideya
673183	326260	
673183	343429	Doktor Harieva
673184	133172	Elizabeth
673184	201135	La femme agressée
673184	391924	Myriam
673185	239496	
673186	125030	Hatice
673187	399350	Herself (eliminated round 3, 
673188	305815	Jarmila
673189	142958	Mamiya Yuriko
673189	299993	Lover of Nightclub Madam
673189	373906	
673190	78139	Female Trainee
673191	10343	Niobe
673192	8474	
673192	178735	
673192	228170	
673192	244752	
673193	269142	Herself
673194	205327	
673195	41242	Hussain's Wife
673196	2745	
673196	6321	
673196	6349	
673196	100604	
673196	102094	
673196	151871	
673196	180560	
673196	182442	
673196	204108	
673196	338991	
673196	379442	Regina Dragoumi
673196	379443	
673196	394078	
673196	400998	Poly Delouda
673197	20207	Refugee
673198	91481	
673199	256236	Gugan Dhaliwal
673200	17305	
673201	124848	Marcella's Mom
673201	180397	
673201	258439	
673201	261328	
673202	403589	Suzy
673203	237160	
673204	206204	Doris Favre
673205	175182	Polish cleaning woman
673206	281072	Mrs. Johnson
673207	39497	Badshah's mother
673207	86677	Ram Saran's Mother
673207	95447	
673207	98495	Pramila
673207	114747	
673207	130158	Dai
673207	206173	
673207	270218	
673207	303558	Wagh Baba's Assistant/Brothel
673207	318029	
673207	358256	Gangu Tai
673208	75946	Monika Baczek
673208	227773	Magda
673208	313139	
673208	361573	
673208	371367	
673209	28258	
673209	118692	
673209	164014	
673209	211886	
673209	248705	
673209	300511	
673209	343805	
673209	351965	
673209	356907	
673209	373460	
673209	374173	
673209	374751	
673210	89207	Club Bartender17
673210	324729	Beth
673211	180562	Thief
673212	41664	
673212	243348	
673213	137298	
673213	175716	Makiko Tsutano
673213	180045	Konatsu
673213	193230	
673213	299078	Herself
673213	300468	Kyoko Usami
673214	53793	Koko Yamamoto
673214	81855	
673214	159827	
673214	159847	
673214	232915	
673214	243436	Nasuko
673214	303455	Jeannie
673214	390058	
673215	193080	
673216	180622	Hamachiyo
673216	392736	Silencer Desper
673216	394443	Reiko
673217	200418	
673218	60222	
673218	85554	
673218	202838	
673220	257014	Barrio Bar Woman
673222	131780	Janice's Friend #1
673222	209124	Tracy Storm
673223	172407	Public Relations
673224	305367	Ah Man's mother
673225	194483	The Lord of the Dance Troupe 
673226	314534	Chris
673227	114271	Sandee
673228	118280	Crowd Member #1
673228	190572	Mrs. Franks
673228	221318	Mrs. Brandenheim
673228	281512	Ms. Arganda
673229	14489	Demons
673229	63330	Mrs. Wilcox
673230	35690	Ronnie's mother
673231	194513	Girl in Court
673232	294219	Jessica's mother
673233	16890	Arlene Grey Eagle
673233	54754	Donna
673233	97492	Mother Tsosie
673233	142371	Herself
673233	245363	Little Moonlight
673233	291138	Dora
673233	292519	
673233	296894	Doctor
673233	304051	Gina
673233	304560	Gretchen Two Dogs
673233	382538	Wind Woman
673233	386970	Ikto's Wife
673234	292587	The Bears who Couldn't Get Al
673235	93357	Grandma
673235	112207	Sophy
673235	123240	Bets Moran
673235	144450	Peggy
673235	218783	Mikki Marquette
673235	222660	Betty
673235	223968	Peggy Quinn
673235	293047	Mrs. Caluso
673235	302586	Myrtle
673235	304971	Marie Mason
673235	395318	Amy Tucker
673236	136277	Drug Store Twin
673236	304529	Woman at Table
673237	218371	Reporter
673237	230504	Miss Messerschmidt
673237	314631	School Instructor
673238	176893	Agatha
673238	177437	Betty/Beattie
673238	394459	Katja
673239	106062	Special Vocal Effects
673239	109617	Home-Ec Teacher
673239	116284	Bobbie
673239	127480	Karaoke Woman
673239	164581	Herself
673239	216010	Belle
673239	253861	Miss Taylor
673239	285690	Sunshine
673239	289645	Louella Parsons
673239	385824	Diane Hunter #1 (1965-1966)
673239	388366	
673239	389858	Dot (1984)/Gravel Gertie (199
673239	393225	Herself (Trixie Norton/variou
673240	136277	Drug Store Twin
673240	304529	Woman at Table
673241	241245	Princess
673242	11444	Hilda Phillips
673242	60803	Puck
673242	91712	Harriet Martingale
673242	235423	Tibbles Armstrong
673244	2165	
673244	41120	
673244	69774	
673244	78264	Herself - Presenter
673244	136637	Herself/Lisa Bremer Harris
673244	184666	Herself
673244	184667	Lisa Bremer Harris
673244	184668	Herself
673244	184669	Herself
673244	184670	Herself
673244	184671	Herself
673244	184672	Herself
673244	184673	Herself
673244	184674	Herself
673244	184675	Herself
673244	256275	Mila
673244	264639	
673244	264837	
673244	376098	Herself - Presenter
673244	395126	Lisa Bremer Harris (2001-2003
673244	404959	Herself
673245	269692	Struggling Christian
673246	320028	Lulu
673247	348814	Herself
673248	128519	Josie Hannigan
673248	164653	Mrs. Flannagan
673248	281475	Mrs. O'Flynn
673249	16626	Mae
673249	30431	Belle (Barry's mother)
673249	37071	Cynthia
673249	68011	Aemelia
673249	69354	
673249	74940	Marion Fairweather
673249	80642	Mrs. Malins
673249	112566	The Mother
673249	133513	Princess Dashkoff
673249	168547	Herself
673249	198881	
673249	258455	Ellen Carey
673249	269053	Mrs. O'Hara
673249	284005	Mrs. McCardle
673249	315493	Mrs. Webster
673249	402956	Julia Duffy
673250	112008	Feed store lady
673251	399065	Farm Woman (episode 1)
673252	300164	Pool Player #4
673253	56262	Kathy Ctilwell
673253	191409	Lisa
673253	236135	Ever
673253	303894	Annie Meyers
673253	315147	Jamie
673253	390258	Lindsay Bowen (1990-1991)
673253	392461	Angelica Cipriani
673253	398741	Nicole Bradford (1987-1990)
673253	406503	Dana Foster (1991-1998)
673254	53030	Youngest girl
673255	211957	
673256	390975	
673257	118994	Mother Of Sick Child
673258	80696	Mary
673258	334153	Siobban
673258	384951	
673259	340221	Red-Haired Traveller
673260	280845	Madame Cavallini
673261	390596	Baxter
673262	393209	Dicky's Mum/Sweetshop Lady
673263	238709	Prostitute #2
673264	380430	
673265	279420	Irish Musician
673266	10887	Jennifer
673266	10888	Jessica/Jennifer
673266	30896	Barbara Peters 'Sally'
673266	80801	
673266	81117	Shannon Foley
673266	87880	Char
673266	88037	Katie Gibbs
673266	106355	Joanna
673266	115470	Carole Biggs
673266	120396	Pat
673266	146934	Dinah Middleton
673266	150292	Kate Wyler
673266	151110	Maggie
673266	158951	Laura Kincaid
673266	163311	Mangaer
673266	178128	Patty Deese
673266	181817	Sarah Perkins
673266	190208	
673266	202137	Clair
673266	216126	Margo
673266	219391	Kate Johnson
673266	232497	Robin Malone
673266	252866	Dr. Cooper
673266	253339	Kathryn Gordon
673266	253358	Gillian Pope
673266	253359	
673266	276725	Ashley
673266	292219	Meriam
673266	299518	Jill Jackson
673266	310485	Suzanne Cavadon
673266	314225	Sen. Nolan
673266	381811	Suzanne Steele (1993-1994)
673266	392052	Kate Wyler
673266	404507	Hostess (1977)
673266	406776	Carla Montgomery
673267	5527	Sally's Daughter
673268	409188	Entertainment Correspondent (
673269	56618	Federal Court Lawyer
673269	150685	
673269	379348	
673269	381608	Ruth Grossark
673269	382590	
673269	399130	Meryl Tanner
673269	399816	Anne Spencer (1972)
673269	402197	Denise Crabtree (1979)
673269	407819	
673270	47850	Molly Lehane
673270	148287	Bid
673270	154790	Barkeeper
673270	265420	Mrs. Scally
673271	338981	Herself
673272	391232	Presenter (2002-)
673273	42278	Betty Rosen
673273	221021	Herself
673273	308133	Older Marcia
673273	339510	Evelyn
673273	380713	Meg Blaine (1961-1964)
673273	387309	Martha Spears Marceau (1964-1
673273	390771	Lila Taylor (1950s)/Lainie Ba
673273	394575	Role Unknown
673273	396123	Rose Donovan #1 (1983-1984, 1
673273	400236	Naomi Vernon (1976-1977)
673273	401940	Role Unknown
673273	403483	Role Unknown
673273	404002	Sophie Greenberg (1985)
673273	404613	Joanne Gardner Barron Tate Vi
673273	411811	Role Unknown (1963)
673274	277839	
673275	21922	
673275	21923	
673275	60156	Polly (Part 2)
673275	249569	
673275	317938	
673275	396116	
673275	411789	Host
673276	37009	
673277	399130	Jessie Ross (1988)
673277	406868	Molly Wilson
673278	9940	The Fisher Babe
673278	140786	
673279	63028	
673279	292501	
673279	402174	
673280	77444	Nancy
673280	150305	Judy
673280	330397	Jessica Burns
673280	372456	Valerie Whitman
673281	408158	
673282	240232	TV Receptionist
673283	158514	Louise
673283	364510	Helen Randall
673284	113343	Cassie
673284	157738	Cynthia Lennon
673284	273320	Jane Austen
673284	282933	Elizabeth Langley
673284	299287	Young Shirley Valentine
673284	330445	Young Joan
673284	382838	Debbie McGrath (1987-1988)
673284	385614	Debbie McGrath
673284	389124	June
673284	389125	June Forsyte
673284	391978	Kitty Burton (2000)
673284	395794	Julie Callaghan (1998-1999)
673284	398557	Catrin Palmer
673284	404954	Ellie Brookes
673284	407157	Dr. Deborah 'Deb' Sweet
673284	408191	Emily Kennedy
673284	410649	Helen
673285	219769	Mrs. George
673286	139637	Flight Attendant
673287	229861	Waitress
673287	235487	Hostess
673288	118970	Dancer
673289	107897	Mary Scollard (older teen)
673289	185640	Maid 1
673290	385512	Reporter
673290	399333	Political Editor/Occasional P
673291	62983	Cratchit's Youngest Daughter
673291	175162	Cassius
673291	192216	Freckle-faced Girl
673291	259789	Girl at Polo Field
673291	363292	Bit part
673292	73683	Dinner Waitress
673292	125836	Young Woman
673292	165250	
673293	36855	Herself
673293	381898	Herself (2002)
673293	381917	Herself - Evictee #12: 30 Jun
673294	200052	Crispina's sister
673294	324023	Heather/Mother
673295	303564	Society Lady #2
673296	93959	Candy Striper
673297	89307	Lisa
673297	315701	Cleta
673298	379716	Nina Cortlandt Warner Warner 
673299	35655	Student
673300	208878	Fiddler
673301	368654	Boss
673302	92102	
673303	15218	Mrs. Mullins vocal DW
673303	74215	Soup Lady
673304	328272	CBP Officer
673305	192197	Airport Hostess
673306	288478	Television Anchor
673307	87591	Baby Runt
673308	221045	Snoop Doggie Dog Girl
673309	16912	
673310	403415	Delia Maher
673311	220951	
673312	315701	Girl
673313	334271	Girl Mugger
673313	390523	Chrissy Mainwaring (1988-1992
673314	232830	Young Lisa
673315	401889	Herself - Clea
673316	326607	Sandy
673317	279218	Gwenafra
673318	46572	Mutant
673319	114708	Secretary No. 3
673320	63654	Courtisan (English version)
673321	366760	
673322	70225	
673323	157870	Bit
673323	195071	Dancer
673323	223054	Dancer
673323	241444	
673323	313076	Dancer
673324	138744	Chorus Woman
673326	168323	
673327	27149	Bookkeeper
673327	32561	Maid
673327	38685	Woman in theater
673327	46731	Passenger
673327	46777	Club Woman
673327	85088	Nurse
673327	128812	
673327	133880	Alice, secretary
673327	154230	New York Operator
673327	168681	Ella, Lisbeth's Maid
673327	201152	Second Maid
673327	201305	Nurse
673327	223903	Woman
673327	230953	Nurse
673327	255327	Maid
673327	297944	Telephone Operator
673327	304959	Customer in Department Store
673327	330514	Woman at Railroad Station
673327	360488	Clerk
673327	361294	Bit part
673327	367919	Saleswoman
673327	372145	Woman
673327	372819	Governess
673327	374198	Maid
673328	317309	Venice Beach Goer
673329	385613	Young Matildan
673330	130422	Cheerleader
673331	380854	
673331	382297	Herself - Presenter (1986-199
673331	391778	Presenter
673331	403332	Host
673331	406903	Herself
673331	408075	Herself - Presenter (1996-199
673331	410697	Herself - Host (1999-)
673332	126276	Angry Mom
673333	331809	Herself - Band Singer
673334	199224	Bluebell Jones
673334	348383	May
673335	199224	Rosemary Jones
673335	348383	June
673336	399931	A mother
673336	408091	Maggie
673337	2816	Nominee for Best Performance 
673337	80407	Forensics Specialist
673337	169999	Voice of Judy Garland
673337	200449	
673338	317309	Venice Beach Goer
673339	168462	Winn
673340	150400	Elderly Gunmoll
673341	241633	Olga
673342	260679	Flock Member
673343	383766	Host
673343	397966	Garden/Exterior Designer (200
673343	408811	Host
673343	408815	Herself/Runner-Up
673344	401887	Herself
673345	1168	Pat Stevens
673345	108951	Liddy
673345	161839	Kathy
673345	263794	Carolyn Norwood
673345	382384	Sister Dominic
673345	389708	Clare Monahan (1996-1998)
673345	400516	Nurse
673345	401307	Brenda Corrigan (Series 1) (1
673347	40552	Aunt Sophie
673348	301588	Aunt #2
673349	273828	Elle
673349	315516	Celia
673350	71264	Solange Beauregard
673350	79865	Jennifer Hill
673350	81516	Alibech
673350	81526	
673350	104124	Jane
673350	124560	Guendalina Bacherozza De Porc
673350	199560	Madeleine
673350	233646	Preacher's Wife
673350	265235	Leonzia
673350	272927	Girl In Toilet
673350	288965	
673351	900	Herself
673351	2603	Herself - Co-presenter: Best 
673351	2750	Herself - Best Actress Winner
673351	2894	Herself (Winner of Best Actre
673351	3667	Herself
673351	13620	Amelia Earhart
673351	17760	Annie Hall
673351	26289	J.C. Wiatt
673351	73319	Lennora Josephine 'Lenny' Mag
673351	73811	Beverly Lowry
673351	76383	
673351	109856	Nina Banks
673351	109857	Nina Banks
673351	114298	Annie Paradis
673351	130123	Herself
673351	130125	Kay Adams
673351	130128	Kay Adams
673351	130129	Kay Corleone
673351	130130	Kay Adams Mitchelson
673351	131539	Anna Dunlap
673351	138365	Georgia Mozell
673351	139611	Lissa Chestnut
673351	140012	Sybil Stone
673351	154813	Katie Bingham
673351	160855	Renata
673351	161232	Herself
673351	187697	Eloise Hamer
673351	191783	Charlie
673351	194212	Daphne
673351	194278	Theresa
673351	195343	Sonja
673351	196447	Joan Vecchio
673351	199218	
673351	201682	Herself
673351	201724	Herself
673351	204163	Mary Wilkie
673351	204190	Carol Lipton
673351	206818	Bessie
673351	210782	
673351	221324	Kate Soffel
673351	232017	Herself
673351	235189	Roberta Blumstein
673351	240941	Patsy McCartle
673351	242091	Carol Fitzsimmons
673351	243950	Herself
673351	244421	Elizabeth Tate
673351	257233	Fran
673351	257518	Linda Christie
673351	270622	New Year's Singer
673351	274525	Louise Bryant
673351	283545	Aggie Snow
673351	299663	Faith Dunlap
673351	303236	Sister Mary Ignatius
673351	304761	Luna Schlosser
673351	308128	Erica Barry
673351	337098	Ellie Stoddard
673351	347882	
673351	367063	Narrator
673352	3690	Herself - Buster Keaton's wif
673352	30922	Swimmer
673352	50289	Herself
673352	50291	Herself
673352	215248	
673352	395574	
673353	52864	Extra in swimming pool
673353	70274	
673353	98923	
673353	195904	Elmer's Sis
673353	247202	Sis Diltz
673353	339738	The Caretaker's wife
673353	360263	Maw Kirk
673354	98923	
673354	195904	Elmer's Ma
673354	247202	Ma Diltz
673354	309629	Hillbilly smoking pipe
673354	360263	Liddie
673355	344524	Herself
673356	92573	Mary
673357	52576	Herself
673358	131473	Maid of Honor
673358	176712	Janeen
673358	398558	Prudence Connor
673359	11022	Susana Parrado
673359	66589	Samantha Smith
673359	102653	Donna dei sogni (segment "Equ
673359	118980	Artemis
673359	131473	Bride
673359	137258	Slapping Girl
673359	154592	Hippie Chick
673359	189807	Actress on Soap Opera
673359	191350	Omy Clark
673359	205165	Jessica
673359	215785	Audry
673359	215786	Melanie Hope
673359	219903	Audrey
673359	222771	Lisa
673359	231070	Sarah Jacobs
673359	270349	Sarah Porter
673359	280174	Girl at Newsstand
673359	329946	Emily
673359	363812	Princess Ariel
673359	364082	Beri
673359	408882	Anny
673360	178127	
673361	269370	Princess Leandra
673362	91916	Mildred
673362	101067	Preston
673362	136257	Madelaine
673362	143238	Lady Avril Weyre
673362	145968	Barbara Rannock
673362	207840	Gladys Wheeler
673362	217516	
673362	232110	Joan Holland
673362	234033	Bridie's Mother
673362	240755	Sister
673362	258916	Lady Mary Stuart
673362	280832	Julia
673362	297906	Mrs. Merton
673362	324142	Mrs. Spruce
673362	335648	Viola
673362	335655	Sally
673362	343213	Mrs. Ervine
673362	366742	Helen Lanier
673362	366767	Mrs. Curd
673362	367419	Olga Ilyinski
673363	2763	Shirley DeSouza
673363	10535	Secretary
673363	117745	Eileen
673363	143606	
673363	177390	Iris
673363	245816	Janet MacPherson
673363	258305	Lady Marchant
673363	299287	Jeanette
673363	302322	Denise
673363	347348	Florence Davis
673363	351972	Nellie
673363	362586	Woman in street
673363	372420	Katie Arnold
673363	382522	Joyce
673363	382838	Marie Jackson (1983-1995)
673363	384100	(episode "Here Comes The Mirr
673363	385342	Mrs. Taylor
673363	386502	Maisie
673363	387533	April Brooks
673363	399123	Council leader
673363	411090	Myra
673364	367334	Sally Kennedy
673365	396006	Herself
673366	381821	Ensemble (1977-1980)
673367	31573	Robin
673367	47838	Kim
673367	87295	Alison
673367	160757	Jenny
673367	176287	Arielle
673367	274561	Cookie
673367	309535	Heather Hunkee
673368	353500	Herself - Model
673369	389335	Prostitute
673370	29513	Marion's daughter
673371	241340	Canada
673372	374435	Soc. Radnica
673373	161731	Sloppy Mother
673374	329700	
673375	186934	Studentin
673375	225152	mondänes Mädchen
673375	334507	
673376	238094	
673377	144359	Blumenmädchen
673378	881	Oddball the Puppy
673378	176410	Extra
673378	177632	Selphie Tilmitt
673379	42220	Janne
673379	129729	
673379	130909	Fanny
673379	166749	Jenny
673379	193463	
673379	219278	Pamela
673379	225957	
673379	239907	Lisbeth
673379	281230	
673379	315978	Stine
673379	352179	Gundula
673379	358223	
673379	400044	Pamela
673380	360447	Voice of Marilyn
673381	4766	
673382	7602	Cordelia Murdoch
673382	16095	Matron
673382	16697	Captain Mary
673382	19984	Aunt Emily
673382	21532	
673382	32561	Bit
673382	37290	
673382	46840	
673382	47562	
673382	48539	Wife
673382	50801	Woman
673382	61388	
673382	64835	Aunt Martha
673382	66310	Mrs. Sturgiss
673382	69797	Rose Towne
673382	70986	Martha Bakely
673382	71717	Abbie Harding
673382	72520	Miss Austen
673382	75273	
673382	77614	
673382	78079	Old Maid
673382	80881	Mrs. Gordon - in prologue
673382	81101	Witness
673382	84383	
673382	85828	Minister's Wife
673382	88916	Mrs. Quinn
673382	94598	Amy
673382	95832	Mrs. Smith, Bobby's Mother
673382	105294	Sarah Calmm
673382	107451	Mary Ellen Allen
673382	108026	Landlady
673382	117048	
673382	117104	Martha (Jean's mother)
673382	120741	
673382	125811	Neighbor at Dance
673382	126059	Mountain
673382	127791	Mrs. Mason
673382	128362	Ma Williams
673382	128386	Mrs. Wilder
673382	130149	
673382	136050	Mathilda Larkin
673382	139550	Mrs. Teen
673382	144671	Mrs. Evans
673382	145362	Mother McCoy
673382	149104	
673382	152202	Mrs. Thatcher
673382	157118	Personnel Manager
673382	157884	'Pocahontas'
673382	159085	Gray Dove
673382	168576	
673382	171175	Abigail
673382	177405	
673382	178240	
673382	183405	Matron
673382	183687	Mariana's maid
673382	189935	
673382	190560	Katherine Smith
673382	192388	
673382	193681	Mrs. Clark [Ch. 6]
673382	193713	Townswoman at the dance
673382	203279	Woman
673382	207172	Nurse
673382	208913	
673382	210432	Trolley passenger
673382	213836	Mrs. J.P. Greydon
673382	214942	Townswoman
673382	216953	
673382	217431	Mrs. O'Mara
673382	222723	Hilda Lund
673382	223130	
673382	230818	
673382	231125	Nurse
673382	231934	
673382	232197	Rancher's wife
673382	234598	Mother
673382	235168	Villager
673382	235685	Mrs. Kelly, Landlady
673382	237788	Boardinghouse Owner
673382	240948	The Housekeeper
673382	241443	Mrs. Woods, Dickman's neighbo
673382	241865	Mrs. Morrow
673382	241992	Mrs. nnewcomb
673382	246337	Maid
673382	246730	German Teacher
673382	246739	
673382	249348	Arabella Randall
673382	252568	Tenement Woman
673382	253525	Cashier in Laundry
673382	254267	Mrs. Bacheldor
673382	256435	Settler's wife
673382	257201	Deadwood Woman Yelling 'You K
673382	269990	Sister Hooten
673382	270999	Marmaduke's Governess
673382	274209	Mrs. Bowen
673382	274450	Aunt Jessica
673382	278110	Woman in window
673382	278231	
673382	279308	Mrs. Givney
673382	279320	Maid
673382	279546	Mrs. Perkins
673382	280969	
673382	282526	Rancher's wife
673382	283093	Cook
673382	285020	Rebecca
673382	288820	Maid
673382	289422	Jail Matron
673382	299931	May's Mother
673382	299935	Bostwick's Housekeeper
673382	300062	Mrs. Ewing
673382	301868	Bit
673382	303511	Rose Morgan
673382	309533	Matron
673382	309579	
673382	309842	Townswoman
673382	310336	
673382	313297	Sioux Squaw
673382	315162	Priscilla Prattleigh
673382	316139	Mrs. Reed
673382	316232	Angry Awakened Landlady
673382	321235	Ruth Holt
673382	325996	Mrs. Marks
673382	329903	Townswoman
673382	330010	Catty Woman
673382	330522	Mrs. Casey
673382	332874	
673382	334586	
673382	335124	Bit
673382	335523	Mrs. Fritch
673382	336516	Sachem's Squaw
673382	338312	
673382	346196	Townswoman
673382	347128	Official's wife
673382	355088	Betty Fairfax
673382	358639	Mrs. Thatcher
673382	368366	Nora
673383	163978	
673384	262276	Cleaner - train
673385	346269	Script
673385	382029	
673386	351322	Dara
673386	376428	Sophie
673386	393359	
673387	137288	
673388	349794	
673389	111313	Kanadai pincérnõ
673390	389722	Angel #2 (1995-1996)
673391	3542	Katica
673391	3547	Puncimanci (Peter's girlfrien
673391	172898	Juli
673391	189357	Actress at the casting (Himse
673391	219216	Ági barátnõje
673391	263237	Dóri
673391	282125	
673391	378583	Betti
673392	322097	
673393	209839	
673394	33897	
673394	103595	Benji's Mother
673394	139409	Benji's Mother
673394	207636	
673394	216406	Freda Ben-David
673394	232660	Mrs. Finkelstein
673394	280835	Benji's Mother
673394	287978	Benji's mother
673394	298764	Benji's Mother
673394	333445	Mother
673394	344321	
673394	372039	Benji's Mother
673395	10676	Amanda
673395	84866	Karin
673395	117956	Sue
673395	137568	Mandy Bailey
673395	185277	Emma Hannon
673395	274435	Girl #2
673395	282580	Cate
673395	330394	
673395	342759	Ruthie Bornstein
673395	381059	Karla aged 17
673395	400697	Young Girl
673395	406462	Claire Ferrari
673396	99860	Kim
673396	137568	Debra Bailey
673398	195844	Lynne
673398	283552	Cindy
673399	252883	Mrs. Appleton
673400	394853	Galia
673401	54648	Jan
673401	191494	Alana
673401	308144	Mrs. C.
673401	384568	Rose Bechet
673402	1874	Jake's wife
673402	271262	Ethel
673403	207268	Female dancer
673404	242559	
673405	278223	Maid's Daughter
673406	403494	Herself
673407	325146	
673408	47914	Chandler Academy Student
673409	10389	Madame Hortense
673409	11698	
673409	23655	Mme Debolska
673409	41327	Sister Anna
673409	52601	
673409	53596	Rosa
673409	57289	Olga
673409	57512	Léa
673409	61431	La femme de Bastien
673409	65086	
673409	70412	Mme. Martine
673409	83363	
673409	96093	
673409	99284	Lila
673409	103343	Sarah Kaplan
673409	111054	Manuela
673409	122216	Sophie's Mother
673409	129159	Madame
673409	132815	Rose
673409	144991	Rosa, Tampico Bar Owner
673409	157326	
673409	171004	
673409	180846	Madam Sophie
673409	181064	
673409	193227	Madame Gaderian
673409	200972	Rise
673409	205191	
673409	209343	
673409	211699	La Ledoux
673409	217223	Countess de Tocqueville
673409	217717	La Choute
673409	219476	
673409	231597	Mother
673409	243671	
673409	248420	Camille Chevallier
673409	248898	Yvonne
673409	252163	Sadaba
673409	265981	Mother
673409	271597	La mère de David
673409	273108	Léa
673409	306989	Madame Grenier
673409	307887	Granny
673409	313304	
673409	319210	
673409	319296	Yolanda's Mother
673409	321711	Lady of Lyonesse
673409	327227	Eva
673409	328839	
673409	333236	Madame Dubillard
673409	336141	Countess Kuchinska
673409	342026	Maria
673409	342993	Rose
673409	360937	Ljuba
673409	377752	Charlotte
673410	146380	Adrienne
673410	254154	Laure
673410	349418	Mop
673411	117656	Elaine
673412	45956	
673413	407815	Herself (Single) (2001)
673414	243124	
673415	80570	
673415	187243	Meru
673416	17696	Red Cross Official
673417	93776	Spoon
673418	191340	Witch
673419	83895	
673420	110306	Department of Tourism Voice
673421	372431	Wampas Baby Star
673422	126680	Rachel
673422	232413	George's Mother
673422	330102	Shannon Nash
673423	99311	Loud Kid #2
673424	42785	Victim #2
673424	271960	
673425	66288	Cheerleader
673425	191910	Robyn Mills
673426	399091	Additional Voices
673427	7866	Mrs. Gordon Phillips
673427	11308	
673427	13304	Rhoda Canby
673427	17990	Dancer
673427	22927	Mrs. Richard
673427	24546	
673427	25381	Bianca
673427	35383	
673427	39892	Clara as an Adult
673427	47558	Jeanne Marat
673427	47589	Governess
673427	49529	A Young Girl
673427	51634	The Cabin Boy
673427	54390	
673427	54494	The Nurse
673427	55569	
673427	58627	Sally Haston
673427	73781	
673427	75688	The Daughter
673427	101503	Lillian Stevens
673427	109814	
673427	123332	
673427	141433	
673427	143039	A Poor Girl
673427	143282	Mary Winslow
673427	143862	Ethel McMasters
673427	143936	
673427	144727	Mary
673427	145561	
673427	146307	Marion Phillips
673427	158218	Kate, Mary's Sister
673427	162871	Dorothy Casselis
673427	164709	
673427	192039	Sadie Allen
673427	194033	
673427	197665	
673427	203441	
673427	206269	Marion Ainsworth
673427	207716	The Captain's Daughter
673427	209724	
673427	214217	Maria, Giulia's Sister
673427	234809	Rachel Abrams Mortimer/Ruth
673427	238869	Jackie Sampson
673427	241413	Opal
673427	245194	Anitah
673427	253120	
673427	255082	Anne Chester
673427	256250	Cecilia Wentworth
673427	262757	
673427	266189	Clare Conway
673427	271122	Mildred Barker
673427	274098	Mrs. Andy Freeman
673427	289623	
673427	297225	Mary McDavitt/Little Mary Gre
673427	303283	
673427	311022	
673427	317214	
673427	331382	Betty
673427	335308	
673427	340628	Mabel Llewellyn
673427	353843	Musette
673427	362925	
673427	364332	Myrtle Meers
673427	367470	Margaret Manning
673428	128196	
673429	276428	Mary Magdalene
673430	21304	Herself
673431	102234	Lone Cheerleader
673432	192702	Girl
673433	44899	Chorine
673433	176358	1934 Goldwyn Girl
673433	220270	Show Girl
673433	280830	Slave Girl
673434	270290	Interviewer
673435	228784	Pat Champion
673436	157541	Darlene Rowan
673436	230240	Annette
673437	83969	Donna, Burning Nurse
673437	110319	Flight Attendant #3
673437	279841	Rape Victim
673438	379690	Regular
673439	165851	Jessica Kimble
673439	166917	Former Girlfriend
673439	214443	Jill Reeves
673439	264056	Biker Girl
673440	124594	Betty Armstrong
673440	194513	Betty Armstrong
673440	398582	June Summers
673441	35661	Forensic Scientist
673441	114152	Mark's wife
673441	194130	Amy
673441	215154	Gladys Dixon
673441	332070	Transom
673441	368165	Carol
673441	391254	Sinead Creagh
673442	130350	Colleen
673443	273555	
673444	68687	Annette
673445	255424	Teenage Aurelia
673446	66349	Cobb's Wife
673447	56240	Allie
673447	82930	Sarah
673447	159505	Melissa Danson
673447	161714	Heather
673447	180061	Kitty
673447	189920	Kristi Mullins
673447	267088	Linda
673447	317341	Lucy Whitcomb
673447	344514	
673448	646	Other Jail Prisoner
673449	33940	Hounslow Harrier
673450	57381	Schoolroom student
673451	224117	Tiger Ann Parker
673452	411759	Sarah (1986)
673453	52557	Little Girl
673454	55713	Herself
673454	108101	Herself
673454	175101	Herself
673454	291417	Herself - Interviewee
673454	384590	Herself (English showgirl, Pr
673455	28067	Brianna
673456	238601	Tiffany Evridge
673457	151589	Tweedy Woman
673457	409840	Lady Bareacres
673458	102344	Person Digging in the Alley (
673459	2545	Chorus girl
673459	64090	Bit part
673459	115625	Dancer
673459	361699	Stagecoach passenger
673460	2545	Chorus girl
673461	308864	
673462	146273	
673463	128173	
673463	142872	Student
673464	156566	Gretchen
673465	2545	Peggy Sawyer
673465	16080	Herself
673465	47911	
673465	67096	Colleen Reilly
673465	77414	Barbara Hemingway, aka Joan G
673465	115625	Kathleen 'Kit' Fitts
673465	116894	Bea Thorn
673465	129810	Dorothy 'Dot' Wayne
673465	130622	Polly Parker
673465	138700	Herself
673465	143643	Herself
673465	147725	Herself
673465	195613	Herself
673465	219916	Kitty Carey
673465	254917	Herself
673465	273251	Jane Clarke
673465	291327	Herself
673465	299197	June Blackburn
673465	300080	Herself
673465	303477	Dance Specialty (from Colleen
673465	321376	Betty Blake
673465	329560	
673466	213577	Presumed Chorister
673467	273639	
673468	71713	Ina's Mother
673468	346265	Mother
673468	359279	Woman in Shop
673468	362639	
673469	72457	Mum
673470	81158	
673471	164542	Amanda Watson
673472	244365	Dancer #8
673473	65551	
673474	310090	Toddler in Stroller
673475	130624	Chorus girl
673476	311916	Lilo
673477	158576	
673477	166719	
673478	119585	Woolworth's Waitress
673479	176884	Aerobics dancer
673479	245228	
673480	101036	Dancer
673481	92575	Checkout Girl
673481	144392	Poker Crowd
673483	79427	Gina
673484	5641	Jenny Burden
673484	14981	Joan, Sandy's Girlfriend
673484	34683	Jenny Ireland/Burden
673484	83054	Hilary Galway
673484	120477	Jenny Burden
673484	139486	Jenny Burden
673484	143636	Claire
673484	166635	Annabel
673484	169856	Mary, Mother of Jesus
673484	178224	Jenny Burden
673484	191805	
673484	209175	Jenny Burden
673484	220430	Jenny Burden
673484	222596	Jenny Burden
673484	233174	Mrs. Rubens
673484	260327	Miss 1970
673484	267846	Jenny Burden
673484	279347	Jenny Burden
673484	298850	Sally Higgins
673484	301956	Tina Freeman
673484	302110	Jenny Burden
673484	307908	Jenny Ireland
673484	321090	Bianca Hamilton
673484	323019	Ruth Wilson
673484	330592	Jenny Driver
673484	348067	Jenny Burden
673484	382838	Molly Marchbank (1998)
673484	385299	Sandra Gould (1970)
673484	385389	Fliss Hawthorne
673484	386599	Julia Parsons (1/14/2003-)
673484	388249	Elisabeth
673484	388550	Empress Chimalama
673484	389205	Daisy Jackson
673484	392545	Silvana Luadi
673484	395353	Maid Marian
673484	400616	
673484	403409	Sandy
673484	404252	Laura Dickens
673484	405136	Sally Higgins
673484	411775	Alice Hammond
673486	274435	Jo
673486	278718	Lizzie
673486	281244	Megan
673486	333047	Patient #2
673486	360764	Lucy
673487	131217	Dining Room Guest
673488	261608	Beth
673489	169139	Wife
673489	221534	Dancer
673489	239415	Vivian
673490	65757	Mrs. Wisely
673490	66912	Aunt Gwen
673490	100952	Tanya
673490	112049	Woman's Mother
673490	142925	Margery Jourdain
673490	160469	Maternity Nurse
673490	177146	Christine
673490	183599	Mrs. Mellors
673490	198021	Mrs. Bedlow
673490	207797	Mrs. Tyzack
673490	210541	Victorian Mother
673490	240879	Madame Vera
673490	252573	Aunt Harriet
673490	270436	Mrs. Tauber
673490	285669	Mrs. Bascombe
673490	296900	Mrs. Young
673490	360469	Miss Sweeting
673490	366903	Mrs. Hudson
673490	385781	Clara Peggotty
673490	388547	Dulcie
673490	404409	Prison Matron
673490	408091	Mrs. Battersby
673490	409841	Miss Pinkerton
673491	90351	Girl
673492	304786	
673493	141610	Nightclub Dancer
673493	319819	Danseuse no. 3
673494	73127	Roseanne Skolnick
673494	84956	Alessandra Cullen
673494	109777	Brooke
673494	112246	Petunia
673494	114094	Jess Hayes
673494	119436	Lori Campbell
673494	193898	Nicole Freeman
673494	203319	Evie
673494	243150	Gretchen
673494	265742	Oksana Baiul
673494	278692	Violet
673494	302108	Marta
673494	306288	Lilliana Hoffman
673494	316961	Tinka Parker
673494	363581	Mary Callaghan
673494	385802	Abby Morgan (1998-1999)
673494	409486	Rachel Lindquist
673496	79716	Tina
673496	154040	Rebecca
673496	176796	Kristi
673496	235647	Ann's Sister
673496	275871	Dawn
673496	307886	Karri
673496	353302	Polly
673498	40631	Yacht Guest
673499	230395	Leather Nun
673499	364090	
673500	17867	Girl at village dance
673500	165294	Cissy Caffrey
673500	393001	Maeve (1983-1985)
673501	166940	Club Girl
673501	283183	Claudia
673501	326757	Heather
673502	51894	Biddy
673502	76605	Teenie
673503	92283	
673503	115331	La touriste américaine
673503	271314	The woman
673504	321306	
673505	300926	Melanie
673506	263572	Sarah June
673507	101574	Val's Mother
673508	114013	Pub Lady
673508	157969	Gossiping woman
673509	143264	Charlotte Primrose
673509	244352	
673509	244392	Sister Stone
673509	405209	Coral Bloom (1992-1993)/Adele
673510	193138	Tammy Hickey
673511	226920	Flower Seller
673511	278855	Nurse Bolik
673512	57164	Carrie
673512	69808	Majella
673512	240814	Sinead Delaney
673512	318967	Margaret
673512	388209	Farrah Phelan (1998-2003)
673513	20044	
673514	224085	Caroline
673514	403462	Heather Bellshaw
673515	231829	Chloe
673516	184243	Child's friend
673517	214727	Soprano
673518	341411	
673519	38611	Thelma
673520	44479	Acrobat
673521	57630	Herself
673521	323698	Herself
673522	375508	Kay
673523	340853	Radio Mom
673524	380430	
673525	12115	
673526	44479	Acrobat
673527	369492	40's Singer #3
673528	346280	
673529	206534	
673529	308403	Dusty, Indian girl
673529	310455	Soldier
673530	201522	Olivia Velander
673530	318384	Mrs. Sugar
673531	172666	Debi
673531	235647	Grace
673531	331993	Old Geranium, Geranium
673531	384365	Gloria Elgis
673531	398751	Stephanie
673531	399834	Nurse Julie Milbury (1991-199
673531	404613	Kat Fitzgerald (1986)
673532	365946	Arden
673533	263760	Melissa (call girl)
673533	278260	Singer
673534	3163	Amy Welles
673534	5028	Cocktail Waitress
673534	6219	Herself
673534	13771	Maxine
673534	28476	Kathleen
673534	33179	Maxine Lund
673534	45289	Floatie Dupre
673534	45587	Jilly
673534	56895	Trucker's girl
673534	81286	Nora Wells
673534	84202	Lena
673534	97689	Linda Kellogg
673534	121528	Lee
673534	135812	Suzanne
673534	143973	Magda
673534	155888	Becky (segment "1952")
673534	160990	
673534	168743	Yvonne
673534	169519	Magda
673534	192728	Nicole Springer
673534	196370	Michelle Marks
673534	245103	Adele Delisi
673534	273271	Mary
673534	274576	Herself
673534	284628	Elaine Christian
673534	302185	Cecilia
673534	320090	Cheryl
673534	321632	Steve's Secretary
673534	358638	Amelia
673534	372844	Terri
673534	400038	Lt. Cricket Sideris (1987)
673535	73741	Kathy Mac
673535	328211	Party Babes
673536	16074	Nurse
673536	41987	Nurse
673536	51975	Matron
673536	78031	Hazel McGuinn
673536	88853	Nurse
673536	91779	Woman
673536	100203	Mrs. Endicott
673536	112578	Marjorie Stoddard
673536	114191	Miss Leeds
673536	120013	The College Belle
673536	123204	Evelyn Churchill
673536	124482	Mother
673536	127837	Letty O'Day
673536	133673	Undetermined role
673536	139086	Mary Downing
673536	145953	Irene Humphrey
673536	154439	Mrs. Lederer
673536	168119	Peasant
673536	206420	Muriel Vane
673536	207143	Doris Hampton
673536	213976	Woman
673536	222604	Mary Denham
673536	235084	Marion Ridgeway
673536	241419	Vi
673536	249116	Margot
673536	261168	Marjorie Vail
673536	270502	Secretary
673536	301739	Lillian Warner
673536	306466	Nurse
673536	326385	Hazel
673536	327687	Fay Whitney
673536	329426	Mrs. Wilkes
673536	346248	Guest
673536	347731	Nurse in Apartment
673536	350452	Edith Marsh
673536	361300	
673536	363690	Mercedes' Friend
673537	310659	Herself
673538	344551	Angry Woman
673539	195451	June Vernon
673540	340481	Nurse
673541	2074	Virginia Blake
673542	124017	Shad's Assistant
673542	218397	Jill
673542	229255	Stacy
673542	382704	Cheree Walker
673542	391486	Jennifer Kelly II (1993-94)
673542	391869	Skye Patterson (2001)
673543	48355	
673543	158189	Secretary
673543	325410	Denise
673544	216151	Renelle
673544	306814	Shirley
673544	311347	Dora
673544	317245	Gloria
673545	17945	Michelle Kenidi
673545	87870	Michelle Kenidi
673545	93205	Michelle Kenidi
673545	116954	Rhonda
673545	141577	Nurse
673545	158118	Michelle Kenidi
673545	204355	Herself
673545	216151	Metis Maid
673545	240714	Charlotte
673545	304048	Dr. Fitzgerald
673545	305702	
673545	339365	Michelle Kenidi
673545	399689	Michelle Kenidi
673545	408308	Buffalo
673546	17375	
673546	118021	Foible
673547	173455	T. Amudha
673548	379693	Sima
673549	130990	
673549	145496	
673549	205683	Sophie
673549	388945	
673550	201584	Herself
673551	298284	Amy
673552	303429	Jewelry Ad Lib
673553	106176	Alma
673553	312168	Stripper at the Pussywillow c
673553	335601	Melody
673554	55157	Dancer
673555	158634	Schoolchild
673556	96789	Tillie Murdock
673557	151222	Female singer #1
673557	242938	Nurse
673557	317927	Linda Mertz
673558	248875	Crystal
673559	63113	Child
673560	324028	Mary's Secretary
673560	383428	Professor Spiro (series 1)
673560	396235	Jenny
673560	400516	Helen Windsor
673560	407667	Mary Grainger
673561	380311	
673562	317928	Victim
673563	54026	Peasant Girl
673564	397252	Anna
673564	407921	Gogo (Hairstylist) (2001-2002
673565	102130	
673566	202436	Malkata
673567	32043	Terese
673568	342448	Jill
673569	260532	
673569	379653	Alejandra Lamas Ontiveros
673569	383471	Shula
673569	390404	Pilar
673570	260532	
673570	379653	Alejandra Lamas Ontiveros
673570	383471	Sheila
673570	390404	Socorro
673571	119028	Marerl
673572	226843	
673573	134928	Manja
673574	274535	
673575	289380	Carolyn Steinway
673576	46026	
673576	97857	
673576	118479	
673576	147372	
673577	24038	
673577	31915	Fürstin
673577	168530	
673577	179924	Frau Hedwig Gustloff
673577	225276	
673577	352486	
673577	374549	Tante Klothilde
673577	381710	
673577	389286	
673577	402374	Frau Bach
673577	406321	
673577	407351	
673578	289372	Featured Extra
673579	305565	
673579	314845	Corinne
673580	404721	Herself
673581	87949	Ditte som barn
673581	388302	
673582	375709	
673583	412258	Emiliana
673585	24111	
673586	59597	Reporter at Clinic
673587	327797	Koharu Hakata
673588	32735	Herself
673588	48468	Working Girl
673588	128685	Herself/Co-Host
673588	161728	Herself
673588	189325	
673588	251646	Blonde on bus
673588	282684	Herself
673588	318839	Herself
673588	318841	Herself
673588	320140	Herself
673588	320142	Herself
673588	340399	Herself
673588	360324	Herself
673588	368826	Herself
673588	368832	Herself
673588	368833	Herself
673588	369201	Herself
673588	369203	Herself
673588	369207	Herself
673588	369208	Herself
673588	369209	Herself
673588	369214	Herself
673588	369215	Herself
673588	369220	Herself
673588	369226	Herself
673588	369231	Herself
673588	369236	Herself
673588	369237	Herself
673588	369244	Herself
673588	369250	Herself
673588	369283	Herself
673588	369285	Herself
673588	369292	Herself
673588	369309	Herself
673588	369310	Herself
673588	402907	Herself (2001-2002; 2002-)
673588	406933	Herself (2001-)
673588	410688	Herself (2000-2001); Ms. Hanc
673588	410689	Ms. Hancock (1999-2000)
673588	410690	Herself (2001); Ms. Hancock (
673588	411537	Herself (2002)
673588	411542	Herself (2001-2002)
673588	411545	Herself (2001-2002)
673589	180215	1.Pige
673590	77152	Cherie Simmons
673590	183874	Carol Longfellow
673590	273631	
673590	332151	Tina
673590	385824	Amy Cooper (1985)
673590	389858	Sister Mary Camellia McKay (1
673590	390771	Christina 'Blake' Bauer Thorp
673590	400236	Connie O'Neill Vernon (#1) (1
673590	411802	Angela Lawrence (1982-1983)
673591	81527	Travel agent
673592	248715	Party Guest
673593	289650	
673594	407084	Herself (Yasur Tribe)
673595	117615	
673596	94028	The Girl
673596	393730	Melanie
673597	383647	Herself
673597	383648	Herself
673597	383650	Herself/Presenter
673598	1282	
673598	69428	3rd Dancing Girl
673598	80377	Karen
673598	123824	
673598	133335	Bernie
673598	137546	Larissa Morgan
673598	151106	Girl on Wires
673598	154089	Delores
673598	188034	
673598	228604	
673598	257672	Herself
673598	300329	
673598	322957	
673598	366756	
673598	375695	Melinda
673599	90335	Herself
673600	256823	Grandmother
673601	397765	
673602	199828	Ibi
673603	205021	Pedro's Sister
673603	377611	
673604	337649	Player
673605	308483	
673606	218281	Jong meisje
673607	376009	
673608	386	Giulia
673608	6297	Margherita, the air hostess
673608	81524	
673608	81526	
673608	94706	
673608	97238	
673608	99065	Innkeeper's Wife
673608	110385	
673608	156911	Mrs. Schultz (segment "Sicili
673608	162049	
673608	179779	Selena
673608	200507	Juanita
673608	206955	
673608	212121	Amalasunta
673608	212124	
673608	214009	
673608	247563	
673608	248150	
673608	259698	
673608	263626	Rosy
673608	268998	
673608	270819	
673608	278967	Caio Appio's Sister
673608	291558	
673608	329445	Eva
673608	336601	
673609	184405	Anna
673610	267213	Sophia
673610	304336	Fiona Barnes
673612	291464	Secretary
673613	51855	Lady in Waiting
673613	55418	Elsie Crawford
673613	67920	Mrs. Thompson-Cooper
673613	108523	Rosalind
673613	108619	
673613	148423	Nurse
673613	155902	Rebecca 'High Jinks'
673613	177268	
673613	193295	Ambulance Driver
673613	209073	Laura
673613	215577	
673613	217238	
673613	219375	Vera Clark
673613	234471	Miss Evans, Model
673613	236582	Diana
673613	242765	Julie
673613	281877	Jean Hale
673613	331306	Woman prisoner
673614	223482	Lara
673615	330323	Lady Elizabeth, Keepers #4
673616	35239	Salesgirl
673618	307863	Dawn Hirsh
673618	326814	Dorothy 'Dodie' McGowan
673618	330097	Suzie
673618	360302	Norma , the counter girl
673618	386072	Fran McCord (1959-1960)
673618	398736	Peggy Allison
673619	23731	Mylène
673619	25131	Nadia Fedor
673619	30312	Margot
673619	33626	Sonia
673619	43668	Clémentine
673619	83264	
673619	90750	
673619	100505	Gladys
673619	101944	Catherine Lamiel
673619	122398	Lucie
673619	127992	Elisabetta
673619	128586	The Girl
673619	131415	
673619	164197	Claire
673619	166105	Régine
673619	170466	Juliette
673619	170473	Juliette
673619	207947	Catherine
673619	218415	French version
673619	235849	Julie
673619	244756	
673619	278712	Chantal Etienne
673619	280513	Julie
673619	280785	Lulu
673619	292353	Alice
673619	294187	Laetitia Zoët
673619	336856	La prostitute
673619	338332	Emmanuelle/Céline
673619	345274	Léa Faber
673619	384577	Cornélia
673619	385382	
673619	408658	(segment "L'incruste")
673619	410472	Claire Forestier
673619	412017	Esther Delaître
673620	119315	Jodi's friend
673620	131739	Young Girl #3
673621	186021	Clarisse
673622	128727	Dancer
673623	106464	La femme
673623	261012	Une invitée
673623	269144	Geneviève
673623	341384	Marie-Christine
673623	384212	
673624	362530	
673625	170698	
673626	119677	
673626	179787	Käthe Breuer
673626	325701	
673626	325710	
673626	341766	Frau Berges
673626	343671	
673626	380392	Frau Berger
673626	406730	Colette Blangin
673627	129963	Woman
673628	334821	Nainen kaupassa
673629	100453	Ballet dancer
673629	144054	Melody elf/Little-Edit
673629	343466	Coffee girl
673630	20164	Woman at port
673630	156038	
673630	175400	
673630	178376	Saimi
673630	181651	Aliina, Maid
673630	184108	Laina Hakala
673630	185006	Midwife
673630	197362	Saara
673630	242255	Nurse
673630	246933	Lipunmyyjä
673630	278367	Mrs. Pennanen
673630	295249	
673630	324605	Autonkuljettaja
673630	324808	Rouva Aitaksinen
673630	388258	Hilma
673630	394539	Anni Suokas
673630	402792	Naislääkäri
673630	409931	Heta
673631	307712	Radio Newscaster
673632	210817	
673634	80699	Stewardess
673634	265875	Abigail Donovan
673635	118021	Mrs. Bland
673636	41799	Patrice
673636	98138	Sophie
673636	353531	Lisa
673637	306119	L'hôtesse banc
673638	403805	Tracy Simpson (1999)
673639	31880	
673639	35795	
673639	36887	Herself
673639	37168	
673639	37200	
673639	37503	
673639	46220	
673639	57112	
673639	68172	
673639	69375	
673639	77754	
673639	85765	
673639	85774	
673639	85786	
673639	85799	
673639	92572	Hope
673639	102756	
673639	113604	
673639	117348	
673639	139209	
673639	144421	
673639	147723	
673639	202787	
673639	214109	
673639	219150	
673639	228462	
673639	252382	Model
673639	273300	
673639	274137	
673639	293031	Jennifer
673639	295995	
673639	296061	
673639	304313	Sarah
673639	304817	
673639	306916	
673639	309217	
673639	321025	
673639	321096	Molls Mother
673639	325265	
673639	329748	
673639	331365	
673639	336486	
673639	342553	
673639	349880	
673639	359906	Woman at Motel
673639	361911	
673639	365643	
673639	367625	
673640	387497	Elizabeth Shelton
673641	270607	Townsfolk
673642	322126	Turza Éva
673643	236504	Fatimé
673644	101200	Kallisto
673644	269726	Marion
673645	70429	2 nd Prostitute
673646	45899	Extra: bus
673647	131780	Judy (Henry's older child)
673648	154781	Miss Lugae
673649	180926	Herself - Former child soldie
673650	62679	Nina
673650	71623	Lt. Swain
673650	121367	Tara McCormick
673650	195987	Chelsea
673650	210771	Buffy David-Koenig
673650	265876	Taylor
673650	282320	Bookstore Cashier
673650	291038	Cynthia Meadows
673650	313314	Leslie
673650	330701	
673651	11439	Nuku Nuku
673651	29395	Nuku Nuku
673651	49934	Maria, the Virtual Idol
673651	87409	Lilly
673651	130730	Employee A, Naoko Katsuda
673651	136044	Cathy, Gamera, Newscaster
673651	142793	Azumi Yamada
673651	232638	Nikki
673651	267200	Newcaster
673651	285831	Kanan
673651	298952	Sabra, Additional Voices
673651	298993	Misato Katsuragi
673651	298994	Misato Katsuragi
673651	318473	Kiyomi Suga, Additional Voice
673651	378652	Rena
673651	380473	Sakura Yamazaki
673651	383019	Nanvel Candlestick
673651	384233	Leele
673651	388022	Vice Mayor's Mistress
673651	389503	Sgt. Maj. Melissa Mao
673651	390536	Leele
673651	394997	Nadeshiko
673651	402175	Additional Voices
673651	402790	Cathy MacMahon
673651	405144	Misato Katsuragi
673652	11941	Old lady
673652	41773	Elderly Lady 2
673652	92194	Old Woman
673652	324899	Mary
673654	76217	Female Kidnapper
673656	35239	Karen
673656	72722	Janey
673656	80924	Katherine
673656	259325	
673657	391250	Kim Stafford
673658	188341	Betty
673659	273101	
673659	351531	
673660	134119	Grandma Green
673661	17675	Teddy
673661	30201	Phoebe O'Dare
673661	31567	Mrs. Hardy
673661	47374	Girl in Movie Clip
673661	52696	Gloria Lansell
673661	65677	House Guest
673661	83583	Inga Hulverson
673661	92009	Miss Bradley
673661	104950	Miss Meade (Prentice's secret
673661	114867	Nurse Carter
673661	118313	German Woman
673661	133887	Anna, Pauli's wife
673661	141453	Bathing Beauty
673661	163557	Undetermined Role
673661	183860	
673661	186700	Betty Haley/Mother
673661	204182	Miss Adams, Jim's Secretary
673661	207582	
673661	210764	Nurse
673661	252867	Mrs. Laurel
673661	278389	French Woman on Pier
673661	306791	Nurse
673661	310724	Nurse
673661	329809	
673661	352711	Adelaide Melbourne
673661	354022	Franz' Rejected Girlfriend
673661	367814	Nurse
673661	372113	Nurse
673662	366419	Beautiful Woman #6
673663	45673	
673663	49526	Teddy Keys
673663	106849	
673663	203431	Belle
673663	304274	June Murdock
673663	346348	
673664	264991	Edith Jones
673664	360470	Bingo's Mom
673665	250514	Children's Ward Patient
673666	80695	Dancer in Nightclub
673667	169438	Jenny's Mom
673668	129566	Museum mother
673668	241731	O.R. Nurse
673668	313562	
673668	364783	Female Customer
673668	366983	Security Guard
673669	195455	Rick's Girl Friend
673670	167661	Herself
673671	73568	Self
673672	223499	Lorraine Weaver
673673	310800	Annie
673674	164637	Court Room Choir
673675	689	
673675	690	Margot Leadbetter
673675	68164	Aunt Louise
673675	105135	Lotte von Gelbstein
673675	121835	Host
673675	127203	Rennie
673675	150748	Massage Parlor Receptionist
673675	190068	Margo Leadbetter
673675	205443	Margery
673675	221533	Beatrice
673675	232016	Herself
673675	235007	Sarah
673675	235008	Sarah
673675	235009	Sarah
673675	240447	Maria Wislack
673675	250920	Herself
673675	252275	
673675	263609	Dorothy Brett
673675	277661	Herself
673675	303335	Herself/Margot Leadbetter
673675	311027	Clarissa Hailsham-Brown
673675	323376	Tory Lady
673675	338980	Aunt Tanya
673675	360091	Helen Lancaster
673675	382794	Herself
673675	388030	Caroline Fielding
673675	390330	Margot Leadbetter
673675	394214	Wenda Padbury
673675	395246	Herself/'Margot Ledbetter'
673675	395277	Phillippa Troy
673675	397064	Narrator
673675	398351	Sarah Gladwyn
673675	399351	Maggie
673675	399545	Jean Price
673675	402209	Amanda Prynne
673675	403850	Narrator
673675	405934	Presenter
673675	407158	Helen (Walker) Morgan
673675	407759	Additional Voices
673675	408370	Lady Audrey Forbes-Hamilton
673676	266917	
673677	87586	Angels Against Dust
673678	17655	Madeline Deming
673678	20899	Joan Lawrence
673678	27151	Madelin Kirby
673678	65705	Molly McGuire
673678	73377	Nancy Rawlings
673678	78003	Linda Gale
673678	112095	Herself
673678	112340	Ellen Ames
673678	113464	Linda Mason
673678	163446	Mary
673678	177500	Helen Lawton, alias Helen Cur
673678	183418	Nurse
673678	204195	Gloria Stoner
673678	220152	Peggy McNeil
673678	249267	Betty Wilson
673678	260419	Frances Parker
673678	280896	Cinderella Girl
673678	329903	Adelaide Perry
673678	340513	June Cameron
673678	346076	Doris
673678	361702	Marion Saunders
673679	28591	Dr. Jakes
673679	65757	Pat's Mother
673679	67948	Mrs. B
673679	69363	Miss Brabazon
673679	89641	Mrs. Cassidy
673679	120300	Dorothy Yates
673679	141454	Una
673679	151057	Victoria
673679	151086	Walker
673679	163194	Councillor Mrs. Parker
673679	242377	Lady Magistrate
673679	271248	Bernadette
673679	276804	Sister
673679	351930	Epp
673679	365255	Marguerite
673679	382216	Mother Stephen
673679	385299	Mrs. Cornet (1967)
673679	385781	Mrs. Steerforth
673679	393115	Mrs. Macpherson
673679	398177	Aunt Ethel
673679	400457	Mrs. Lilley
673679	400709	Lady Rosina de Courcy
673679	400807	Ma Kane/Aunt Clara Malone
673679	402743	Mrs. kite
673679	403704	Mrs. Bogworth
673679	405969	Aunt Harriet
673679	407786	Sylvia
673679	409596	Mrs. Mitcham
673680	380391	Cecile dePoulignac Frame Cory
673680	396123	Shana Sloane Vocheck Burnell 
673680	400236	Samantha 'Sam' Vernon Buchana
673681	14639	
673681	25792	Inspectora de salud
673681	74511	
673681	173946	
673681	221682	
673681	246423	
673681	264387	
673681	269200	Laura
673681	292708	
673681	296135	
673681	379888	Rita
673681	379905	Carmela Navarro de Murguía
673681	381650	Flora
673681	398481	
673681	399823	Irene
673681	400413	
673681	402585	Lola
673681	404161	Rosario
673681	407851	
673682	334112	Mrs. Hastings
673683	428	Elsa
673684	194213	Julie (4 months)
673685	115864	Constance
673685	248613	Chorus Girl
673685	291811	Lorna Marsh
673685	292322	Grace Roberts
673685	364461	Goldwyn Girl
673686	197551	
673687	327254	Tasha
673688	375823	Mrs. Lopez
673689	33960	Carolientje
673690	396554	Narrator
673690	406508	Narrator
673691	334829	Lali
673691	344266	Lika
673692	139813	Patma
673692	221404	Mother Ismail
673692	224952	Mother of Mzago
673692	344269	Mother of Torgvai
673692	376208	Mother of Gogoturi
673693	310549	Herself
673694	159921	
673694	221011	
673694	404547	Nandi
673695	169204	Ibu Nani
673696	397609	
673697	262763	
673698	104610	Dilara
673698	125030	Sibel Güner
673698	175068	
673699	312183	White Pussy
673700	28534	Herself
673700	145418	
673700	162737	
673700	163183	
673700	164287	Interviewee
673700	251937	Singer
673700	320383	
673701	108408	Armen
673702	98022	
673703	267931	Grandma
673704	279387	
673705	7948	Stripper
673706	37786	Ria Paschelle
673706	87408	Samara Guard
673706	279887	Vasilia Fastolfe
673706	289314	
673707	333517	Gibraltar Operator 3
673708	209943	Une petite fille au mariage
673709	108034	The Little Girl
673710	321182	Sylvia
673711	177377	
673712	243959	
673713	354161	Caryn
673714	282597	Sussie-look-a-like
673715	47130	Crackhead
673715	308133	Marcia
673715	311037	Mother at fire
673716	399130	Natasha Laidlaw
673717	396256	elev (extra)
673718	177935	
673719	322099	A gyerek kata
673720	35206	
673720	177194	Clarissa
673721	284184	
673721	349034	
673722	180187	Fodrászlány
673723	50840	Laci anyja
673723	74415	
673723	104199	
673723	108913	
673723	114765	Vida Annus
673723	117876	
673723	122455	
673723	136441	Mártonné
673723	153679	Manci
673723	174750	Színinövendék
673723	182648	Katalin,Árvai lánya
673723	182651	
673723	182873	
673723	198210	
673723	209842	
673723	229710	
673723	237339	Lizbeth
673723	312520	Kati anyja
673723	333112	Judit
673723	334026	
673723	340280	
673723	343775	Szijjartone
673723	377762	Pallay Katinka
673723	377818	Daruné
673723	401347	
673723	402164	Rémai mama
673724	96197	La Figuesse
673725	18953	Voice Over
673726	320411	
673726	354981	Stevan
673727	123236	
673728	375431	
673729	50463	
673730	171666	
673731	133154	Herself
673732	87025	Bran-Dee
673732	208475	Herself (#48) (Interviewee)
673732	221423	Herself - Presenter
673732	221424	Presenter
673732	311156	Herself
673732	342235	Herself
673733	245115	Nazi
673734	196188	
673735	126572	
673735	240314	Maddie Lane
673735	347907	Cheerleader #1
673736	126839	Violetta
673737	400646	Kay West
673738	326086	
673739	106217	Tina
673740	220456	Anna
673741	131630	Yvonne
673742	381091	Herself (eliminated round 1)
673743	390771	Lainie Bauer Marler Bowden (1
673744	308052	Dorothy
673745	100838	Miss Sybil
673746	219786	Blonde
673747	292474	Neighbor #1
673748	56152	Miss Emerson, Dr. Emerson's s
673748	66190	Eve Bertram
673748	117174	Mrs. Webster
673748	125870	Lady Julia Blunt
673748	136235	Helen
673748	157006	Walton's housekeeper
673748	220947	Lady Wibourn
673748	266763	Mrs. Driscoll
673748	292574	Helen, Duchess of Cluny
673748	345617	Countess Novna
673748	372728	Mrs. Jenkins
673749	251426	
673749	298563	
673750	124260	
673750	163313	Veronica Blaydon
673750	243731	Nell
673751	303674	Early-morning Missionary
673753	41311	Dancer
673754	1369	Maid Violet
673755	87509	Ms. Byrne
673755	158358	Policewoman
673755	241556	Tina
673755	302878	Sr. Bernadette
673755	305990	Sharon Curley
673755	346249	
673755	364869	Mrs. Dolores Furlong
673755	381187	Niamh Quigley/Egan (1996-1999
673755	390983	Mary Dolan
673755	398556	Susan
673755	399567	Monica O'Callaghan
673755	404409	Mary Boyle
673756	318814	Library Girl
673757	79106	Elsie Beyer
673757	80444	Todd's Mother
673757	110444	Sarminah
673757	154087	Mrs. Smalpeck
673757	392000	Tina
673757	395180	Mrs. Byrne
673758	66589	Majorie
673758	114039	Woman with Pictures
673758	210678	The Receptionist
673758	214755	Technician
673758	354164	Clerk #1
673758	362453	Secretary
673759	155912	Woman with voracious appetite
673759	269630	Saloon Girl #2
673760	361068	Gymnast
673761	181261	Sekretaresse
673762	336423	
673763	239280	Juanita
673764	34722	Herself
673764	34723	Herself
673764	252918	Host
673764	322843	Herself
673764	381816	Herself
673764	381898	Herself - Radio Opinion Segme
673764	383969	Herself
673764	386061	Herself (1994-1995)
673764	398106	Herself - Host (2004 -)
673765	120772	DC Lizzie Harlech
673765	161407	Jean
673766	166412	
673766	350875	
673767	137916	Gertrude, Queen of Denmark
673768	348752	Ataru's Mom, Wife
673768	348754	Ataru's Mother
673768	407369	Koeda
673769	5853	
673769	31769	
673769	33991	Col. Person's daughter
673769	83940	
673769	83941	
673769	83942	
673769	83943	
673769	83944	
673769	83946	
673769	105038	Betty Mathews
673769	115912	
673769	125866	
673769	128117	
673769	196144	
673769	245591	
673769	298514	
673769	298528	Betty Nelson
673769	319707	
673769	335158	
673769	339695	Betty
673769	362814	Juanita, Don Pedro's Daughter
673770	41318	Aunt Kate
673770	234856	Mrs. McClellan
673771	275045	
673772	95698	
673773	228298	Voice Talent
673774	69522	Collègue d'Isabelle
673775	29411	
673775	244976	(segment "O Método")
673776	122638	Ed's Co-Worker
673777	232158	Deaf Girl
673778	165023	Sunday Spades
673778	309809	Mrs. Johnson's Sister
673779	37525	Nellie Bennett
673779	158320	
673779	248875	Lillian Elias
673779	404920	
673780	64400	Sobbing Girl
673780	118994	TV Interviewer
673781	313822	Trooper #3
673781	339861	Dana
673781	399677	Young Joan
673782	404456	Frau Beierlein
673783	59109	Trish
673783	137693	Witch #1
673784	176406	Extra in wedding scene
673785	4804	Cabaret Singer
673785	40401	Singer
673785	144157	Chansonniere/Cabaret Singer
673785	189877	Singer
673785	204511	Singer
673785	210313	Singer
673785	276948	Baroness von Steinkamp
673786	128349	Gwen
673787	171556	
673787	205468	
673787	270418	
673788	56304	Blonde at Bar
673788	281744	Margret Higgins
673788	338428	Beatrice
673788	338429	Beatrice
673788	338430	Beatrice
673788	338431	Beatrice
673788	338432	Stewardess
673788	338433	Chefstewardess Beatrice
673788	338434	Beatrice
673788	338435	Beatrice
673788	338436	Beatrice
673788	338437	Chef-Stewardess Beatrice
673788	338438	Beatrice
673788	338439	Beatrice
673788	338440	Beatrice
673788	338441	Beatrice
673788	338442	Beatrice
673788	338443	Beatrice
673788	338444	Beatrice
673788	338445	Beatrice
673788	338446	Beatrice
673788	380905	
673788	386982	Anna Mallersdorf
673788	408768	Chefhostess Beatrice
673789	82449	Herself
673789	345864	Herself
673790	8942	Lilly Wust (1997)
673790	16222	Lucie Marschner
673790	77394	Die Dame
673790	97842	Frau Briest
673790	119197	Venus
673790	167153	Ella Conradi
673790	170658	Mathilde
673790	174099	Frau Janson
673790	174791	
673790	178480	Mother of Enrico
673790	178585	Konsulin Friedemann
673790	188734	
673790	193488	Ute
673790	269092	
673790	272591	Edith Scholz
673790	293425	Lilo
673790	347840	Frau von Roettger
673790	352367	
673790	365918	Julika Roth
673790	376033	
673790	377375	Dr. Lydia Kowalenko
673790	390014	
673790	393408	Schwester Margot
673791	119633	Girl At Dedication
673793	46506	Mother
673794	347686	Emmy Bruzze
673795	207440	Group Dancer
673796	311008	
673797	79908	Laughing fiend
673798	34598	
673799	289093	Model
673800	387509	Susie Winters (1994)
673801	158138	Business Woman
673802	82449	Herself
673803	180705	Waitress
673804	11906	Woman in Disco
673804	396874	Sybille 'Billi' Vogt (1997-20
673804	401995	Billi
673805	52384	Caesonia
673805	65408	Marie Beaumarchais
673805	105590	
673805	125213	Elvira, seine frühere Frau
673805	155606	Mrs. Cheveley
673805	186902	Kitty
673805	189661	Therese
673805	205663	Mariana Pineda
673805	240002	Silvia
673805	281805	Maria Schubert
673805	325706	Mona
673805	325894	Ellen Schaßler
673805	344934	Carolyn Morton
673805	360656	
673805	400870	Caroline
673807	286066	Marianne
673808	175632	Martha Obermeyer
673809	132476	
673810	24701	
673810	29149	Ann Helen
673810	248937	Girl Assaulted
673810	293640	
673811	108531	
673811	175324	Zsa Zsa
673811	265092	Receptionist
673811	332834	The Count's Wife
673811	336508	Adelheid Zymolka
673811	356147	
673811	411161	Walburga
673812	277927	La petite Muriel
673813	325283	Janet
673814	365805	
673815	398585	Mara
673816	104761	Dutch entry (13th place)
673816	228253	Herself
673817	8877	La reine
673817	13309	Elisabeth
673817	18438	Angela Delpierre
673817	39957	Dahlia Iyad
673817	40693	
673817	42523	Lillian Morelli
673817	54397	Marie Panneton
673817	63554	Marthe Renon
673817	70761	Corinne
673817	83305	Christina
673817	85546	Amélie (La jeune baronne)
673817	99362	Marlène Réval
673817	99403	Barbara
673817	110438	Fedora/Antonia Sobriansky
673817	111118	Cecile
673817	117858	Lisa Spangler
673817	119124	Esther
673817	121742	Brigit
673817	125977	
673817	130424	Herself
673817	136312	Melba
673817	149895	
673817	156666	Marikka
673817	166340	Jeanne d'Arc
673817	168114	Judy Johnson
673817	171667	Nora Winter
673817	184795	Linda Farmer (Marie Carson)
673817	189273	Elena
673817	205089	Elsa Opel
673817	205663	
673817	210023	Jean
673817	217640	Catherine Mercier
673817	226290	Mutter
673817	235811	Mme Dumayet-Ponti
673817	236605	Julia
673817	238129	Tina, Romano's Mistress
673817	248246	Nicole Doucet
673817	252660	Bianca
673817	271371	L'auto-stoppeuse
673817	282280	Bronka
673817	283053	Nelly (Helma Schleyer)
673817	309375	Mrs. Delgado
673817	324428	Aline
673817	333299	
673817	337028	Sarah/Her Mother/Her Grandmot
673817	341851	Hélène
673817	343681	Beatrice Belmont
673817	345103	Catherine
673817	345138	Eva Grundberg
673817	353963	Vicka
673817	365610	Nonne
673817	372504	Johanna
673817	377656	Madame Thorpe
673817	381615	Antoinette
673817	383815	Gina, Duchess Sanseverina
673817	386020	Koba Lye-Lye
673817	399459	Tess Shirer
673817	410286	
673817	410513	Mathilde Wesendonck
673818	5176	Ellen Whitley
673818	18559	Roberta Dempsey
673818	67348	Leslie Knowlton
673818	81587	Amanda Milner
673818	87375	Ellie
673818	168752	Melanie
673818	229428	Lisa Sabian
673818	253358	Cassie Woodfield
673818	255342	Vicky Walters-Thomas
673818	289539	Kate Christopher
673818	331112	Sue Grimes
673818	333394	Doc
673818	344408	Erica
673818	351808	Dr. Christine Edmonton Hennin
673818	380391	Sally Spencer Frame Hobson Ew
673818	381076	Maggie Campbell
673818	383284	Ricky Wilder
673818	387084	Laura Kelly
673818	387520	Nora Lagasse
673818	393608	Sandy Gennaro
673818	395548	Gina (1990-1991)
673818	400323	Laura Kelly
673818	404002	Amanda Kirkland #1 (1982-1983
673818	412019	Iris Bean (1999)
673819	264992	Lilly
673819	297672	May
673820	76254	Mindy
673820	93964	Crystal
673820	308128	Party Guest
673820	311781	Host, model
673820	351775	Riley
673822	130027	Miriam Adare
673822	241134	Woman
673822	245031	Mamie
673822	327733	Fanny Morgan
673822	355078	The duenna
673823	316210	Elizabeth
673824	252517	
673825	301777	
673826	185537	Jackie Lee French
673827	4507	Service
673828	197058	
673829	61716	Herself/Child of Chabannes
673830	34306	Johanna
673830	142076	Sabina
673830	160602	Verkäuferin
673830	207625	
673830	259632	
673830	284557	Tina Schönborn
673830	284558	Tina Schönborn
673830	284559	Tina Schönborn
673830	284561	Tina Schönborn
673830	390812	Tina Ullrich-Zimmermann #1 (1
673830	396874	Valerie Kniebe (2001; 2002-)
673831	142297	Helen Myers
673831	178028	Lecturer
673831	264202	U.S. Ticket Clerk
673831	328517	Suzy
673831	390951	
673832	390046	Dr. Maya Stiles (2000)
673833	68697	The Company
673833	289024	Les Presages Dancer
673834	66022	Alison
673834	385824	Mary Anderson #6 (1980)
673834	408056	Herself/panelist (1972-1975)
673835	52693	Cheating Wife
673835	79612	Suzie
673835	130348	Overseer
673836	18519	
673836	97595	
673837	49320	Tacky Girl #3
673837	65202	
673837	175657	Hanna
673837	287210	Judy
673838	149478	
673839	230458	
673840	382724	Rosely
673841	36968	Carly Simmons
673841	312150	Robot
673842	189549	Anja/Kind
673843	321391	
673844	264710	Mrs. Ralls
673845	17733	Herself
673845	17734	Herself
673845	20986	Herself
673845	46753	
673845	69300	
673845	79382	Anitia (daughter of the gods)
673845	101782	
673845	127543	
673845	133821	Herself
673845	166850	Jepthah's Daughter
673845	211524	Mermaid
673845	215468	Herself
673845	228308	The Mediterranean
673845	229937	Annette, Neptune's daughter
673845	243585	Herself
673845	253018	Herself
673845	269370	Merrilla, Queen of the Sea
673845	295636	Herself (still photograph)
673845	303074	Siren of the Sea
673845	347197	Herself
673845	351925	Shona Royale
673845	359945	Herself
673845	359946	Herself
673845	362449	Annabel Cotton
673846	142927	Anne Boleyn
673846	191291	The White Witch
673846	192689	Amy
673846	218354	Angela
673846	223765	Rachel Hammond
673846	263976	Old Hag
673846	288477	Frances
673846	291818	Mrs. Cromwell
673846	301940	Green Lady
673846	378756	Delly Lomas (1977)
673846	389859	Nurse Hardy
673846	390168	Barbara Hughes/Morris
673846	396235	Helena
673846	396353	Anne Maitland
673846	398139	Mme Dufosse
673846	399815	Frances Stevenson
673847	353298	Hippie Woman
673848	296785	Vet
673849	233695	Gloria
673850	14915	(segment "La voce umana")
673850	25336	La cameriera
673850	57970	L'altra Lily
673850	67507	Marina
673850	73648	
673850	83770	Lia
673850	121887	
673850	269110	Barbara
673850	342102	
673851	26317	Gårdmandskonen Mette
673851	59726	Lilly
673851	64642	Herself/Various roles
673851	104817	
673851	116298	Lotte Lykke
673851	117875	Fiskerens hustru
673851	135770	Kassedame
673851	147017	Sygeplejerske
673851	178746	Herself
673851	180929	Ebba
673851	225692	Dame
673851	240098	Fransk bordelmutter
673851	354739	Olivia
673851	382884	Katrine
673852	176415	Bank Officer
673853	263201	Herself (interviewee)
673854	2548	Herself - Presenter
673854	3735	Herself
673854	11632	Florence
673854	14223	Quaint
673854	16021	Narrator
673854	19282	Phyllis Brubaker
673854	26831	Dr. Diane Turner
673854	29524	Cassandra
673854	36777	
673854	36864	Sybil Crane
673854	44385	Natasha Fatale
673854	44759	Diane Cluny
673854	46663	Louise
673854	64568	
673854	67563	Liz Houston
673854	82300	Narrator
673854	82763	Maxine Cates
673854	87204	
673854	90984	Sister Jan
673854	93958	Evelyn Ash
673854	117105	Emmy Pugh
673854	118541	Mary
673854	135788	
673854	138235	Sue
673854	138672	Sunburn
673854	140962	Michelle Keys
673854	161294	Narrator
673854	163343	The Colonel
673854	163586	Sara Hart
673854	175860	Fran Simpson
673854	185500	Elaine
673854	186477	Mary Jane Dankworth
673854	190952	Nightclub Singer
673854	192228	Kay King
673854	194823	Sally Hughes
673854	196544	Mrs. Liggett
673854	200057	Veronica
673854	207099	Maj. Margaret 'Hot Lips' O'Ho
673854	208743	Vivian
673854	209221	Roxy Dujour
673854	215176	Roslyn
673854	220415	The Seal
673854	220547	
673854	220682	Judge Nedra Henderson
673854	222569	
673854	238613	Herself
673854	242515	Marjorie Milford
673854	243950	Herself
673854	245325	Herself
673854	245988	Counsellor
673854	248591	Dispatcher
673854	257689	Herself
673854	258879	Voice on TV (dream House)
673854	266419	Sissy Wanamaker
673854	270742	Mackinley Beachwood
673854	274669	Anne
673854	274728	A Girl
673854	292551	Valerie Ostrow
673854	292668	Vera Malevich
673854	294580	Mama Queen
673854	294786	Martha
673854	295006	Miss Finch
673854	305086	Kitty Kopetzky
673854	308018	Edith Helm
673854	313393	Herself
673854	313451	Dr. Elizabeth Dehner
673854	329579	Holly Parrish
673854	330502	Holly Mitchell
673854	331373	Blanche
673854	344166	Gwen's Mother
673854	352136	Marcia Blackwell
673854	352419	Maureen
673854	358285	Teacher
673854	361226	Ann Goode
673854	364186	Herself
673854	367873	Mary
673854	372134	Kelly Bones
673854	372806	ZigZag Lilian
673854	380037	Guest Host
673854	383780	Lise Bockweiss
673854	384564	Narrator
673854	386414	Herself
673854	388202	Queen Natasha/Queen Farrah
673854	399719	Narrator
673855	147793	Camera Assistant
673856	45591	Therapist
673856	71495	Woman on Bus
673856	81052	Doctor #2
673856	84956	Joyce Rensaleer
673856	88264	Sister John the Baptist
673856	99573	Patty
673856	112369	Monty
673856	141164	Noelle
673856	151636	
673856	154576	Gym Teacher
673856	158061	Administrator
673856	171230	Nava Hannibal (Amy's Mom)
673856	206477	Bobbie
673856	239034	German Clerk
673856	257264	Waitress
673856	276944	
673856	292526	Maureen
673856	320756	Mimi
673856	363393	Waitress
673856	365525	Betsy
673857	177883	Karaba
673857	400820	
673858	172654	Pædagog Kirsten
673859	45899	Extra: market
673860	79182	
673861	316111	Connie
673862	168119	Townswoman
673863	298119	Alonso Girl
673864	8072	Princess Patma
673864	48590	Betty
673864	79290	Girl
673864	118806	Cynthia Daniels
673864	130717	Handmaiden
673864	170608	Boo's Girlfriend at Wedding
673864	198540	Sally Maddocks
673864	198545	Stewardess
673864	308338	Calu
673864	323435	Heroine in show
673864	358649	
673865	176711	Nikki Bell
673866	165411	
673867	124502	Martha
673868	230421	Woman in Elevator
673868	369444	Secretary
673869	38719	Dulcie
673869	77206	Mrs. Elsie Coe
673869	379872	Annie
673869	388133	Kitty
673869	401384	Marion (2001)
673870	406014	Herself
673871	69895	Herself
673872	87218	Waitress
673873	386236	Additional Voices
673874	100124	Herself (radio broadcaster)
673875	215358	Sheila Ryan
673876	126709	Herself
673877	51595	Nicola
673877	62275	
673877	66192	April Dancer
673877	114825	Jenny
673877	114826	Jenny
673877	273485	Nicola
673877	275060	Nicole Bryan
673877	284507	Pery/Sara/Nysser/Ramada 1/Zoe
673877	303531	Tegan
673877	333269	Peri
673877	338409	Nyssa
673877	364255	Trish Grundig/Peri
673878	211511	Lily
673878	350424	Model
673879	367073	Violent Munchkin's Wife
673880	280064	Sabrina
673882	20625	Extra
673883	80065	Crazy Woman at Bus Station
673884	335344	Germaine Bertan
673885	342924	Big Men Big Women Dancer
673886	68165	Mamma
673886	341455	Mrs. Hannaway
673887	130050	Spanish Maid
673888	139023	Glory
673888	213260	Jennifer Brennan
673888	223503	Kelly
673888	231894	Sara
673889	315160	Mary O'Malley
673890	192777	Bambi
673891	17214	DD
673892	390272	Golddigger
673893	265749	Young Frankie
673894	152426	Delivery Doctor
673896	381356	Herself
673897	104986	Reporter
673898	163431	Lil Alden, Governor's Wife
673898	196129	Chambermaid
673898	205448	Madame Hogan
673898	216716	Woman
673898	216822	Miss Kendall
673899	116161	Marilyn
673900	273926	Tourist Traveler
673901	81562	Herself
673902	33258	Coleen
673903	36845	Monk Manelli
673904	192201	Her Grandmother
673905	91769	Parole Board Member
673905	295377	Nurse 5
673906	320028	Annie
673907	281811	Member of the Queen's Court
673908	35353	Charlotte
673908	46374	Carrie aka Fontaine
673908	59828	Roxanne
673908	77759	Stormy
673908	81652	Sarah Vincent/Ruth
673908	121487	Kate
673908	166692	Leah Archibald
673908	207709	Kathy
673908	214455	Andi Manette
673908	217748	Rachel McSternberg
673908	220714	Janice
673908	228970	
673908	236873	Joyce
673908	241342	Kristen
673908	267455	Valerie Highsmith
673908	287740	Leah Thomas
673908	292723	Deidre Bosnell
673908	302789	Debbie Hunt
673908	306431	Sherry (photos of ex-girlfrie
673908	306625	Fran
673908	307887	Irenka D'Arc
673908	314113	Beth Harper
673908	328637	Trish
673908	335480	Tanya
673908	363414	Sheryl
673908	365194	Ginger
673908	395023	Gwen Taylor (1990-1993)
673908	405494	Dr. Charlotte 'Charley' Benne
673909	77190	Mrs. Sorby
673909	77202	Dr. Cookson
673909	104048	
673909	117158	
673909	148372	Janice
673909	196548	Pub landlady
673909	236989	Honky
673909	241341	Christine
673909	292779	Fertile Mother
673909	331910	
673909	366657	Joan Figgis
673909	387363	
673909	387537	
673909	395879	Carla Pierce
673909	398350	
673909	399931	Winnie
673909	403102	
673909	410214	
673910	162364	Prison Singer
673910	342448	Meter Maid
673911	78400	
673912	17937	Rhonda
673912	166943	
673913	50058	Ethel Cummings
673914	4513	Dancer
673916	333698	Government employee's
673917	56545	Herself
673917	185182	Toaster
673918	134178	Greg's pupil
673918	356653	
673919	317309	Bonnie & Clyde Musical Audien
673920	86584	
673920	93621	Julia Bolhuis
673920	242439	
673920	394612	Tanta Bets
673920	407166	Saartje (1954-1955)(1963-1964
673921	6211	Kundin im Nerzmantel
673921	40779	Köchin
673921	49611	Kindergärtnerin
673921	98313	Mrs. Wertgen
673921	121049	Iris Oma/Grandma
673921	122585	Regina
673921	124987	Blonde Girl
673921	126608	Sigrid
673921	130994	Dr. Meuren
673921	137643	Gaby Schneller
673921	174088	Karl May's Mutter
673921	189615	Dorothea
673921	218969	Frau Kiefer
673921	225115	Student
673921	228159	
673921	259499	
673921	259504	
673921	259512	Gerda
673921	259637	Renate Müller
673921	259661	
673921	259663	
673921	259687	Traudel Gröditz
673921	289822	
673921	290037	Sophie
673921	312119	Marlies Grabow
673921	314878	
673921	361124	Mutter
673921	361448	Isabell's Mother
673921	364876	
673921	366528	Mattis Mutter
673921	392632	
673921	394920	Oberschwester Kathi Gutschke
673921	395508	Gerlinde
673922	117838	Tina Lehman
673922	382194	Lilli, die Saxophonistin
673923	263595	Mother
673923	365042	
673924	43904	Betty
673925	1664	Hillary
673925	2201	Lauren
673925	55467	Lisa
673925	76214	Beatrice (Da Funk & Fresh)
673925	76219	Diane
673925	79727	Amy
673925	106676	Policewoman
673925	134289	Lily Cantrell
673925	139765	Nancy
673925	145002	Lolly
673925	171335	Mara Seaver
673925	176276	Gail
673925	214764	Kim
673925	222571	Young mildred
673925	234068	Denise
673925	242529	Girl with Hat
673925	245447	Dr. Patricia Farrow
673925	251477	Nurse Barbara
673925	276335	Nancy
673925	276352	Leah Quinn
673925	279297	Margaret
673925	282024	Fanny Taylor
673925	293772	Sarah
673925	296980	Ivy
673925	303455	Tess
673925	304844	Nina
673925	311979	Dawn
673925	329993	Cindy
673925	341613	April Reece
673925	361028	College Student
673925	391535	Officer Gayle Van Camp (1996)
673926	333034	Myriam
673927	32052	Reigning Miss Illinois
673927	40334	Miss 'Sweet', at Club 40
673927	56871	Debra Jo
673927	77151	Pamela Rebecca Cooper
673927	213466	Cabriolet Girl
673927	231798	Topless Woman
673927	273675	Joell Beren
673927	329094	Janet
673928	350464	FBI Agent #2
673929	347659	Petzi
673930	24059	Monika
673930	42114	Gloria
673930	49668	Solist
673930	125297	
673930	175303	
673930	182766	Singer
673930	223200	
673930	244679	Lonny, Tinas Mutter
673930	308858	Zweite Krankenschwester
673930	324691	Singer
673930	348056	Ruth Heimeran
673930	348059	Ruth Heimeran
673930	409611	Meta Haark
673930	409982	
673931	17669	Mirka
673931	182150	Nelly Slayer
673931	374557	Ev
673931	396874	Nadine Voss
673932	142080	Leonie Erbach
673933	270949	Farmer's Daughter
673934	318337	Mink
673935	80726	Shabba-Doo Dancer
673936	390771	Robin Lang Bowden #3 (1960-19
673936	396084	Celia Winter (1972-1973)
673936	404613	Patti Barron Tate Whiting #3 
673937	331324	Singer with Comics
673937	375045	Soloist: 'Minnie from Trinida
673938	73770	Jommy
673938	173512	Governor's daughter
673939	31857	Witchwoman #2
673939	34448	Dancer
673939	306421	So Fine Dancer
673939	383385	Leanne Foster (1985-1987)
673940	191131	Mary's Mother
673941	312699	
673942	81702	Barb
673942	86408	Wife
673943	257813	Herself
673943	323114	Nude Model
673943	331550	Woman
673943	361851	Herself
673944	124224	Model
673944	267615	Fuzzy looking woman
673945	274011	Carlotta
673946	143436	The Devil
673947	209237	Cobra
673948	59789	Marcie (saloon girl)
673949	262974	Herself
673950	12937	
673951	155453	Dancing Secretary
673951	191344	Dancer
673951	231798	Aerobics Instructor
673952	152534	Alice Gerardi
673953	201112	Older Lady in Love
673954	406235	Alyson
673955	121823	Caroler
673956	54620	Barmaid
673957	137462	Dancer
673957	308598	Dancer
673958	99081	Horse
673958	305036	Dancer
673958	337482	Dancer
673959	26477	
673959	34724	
673959	34739	
673959	50645	Kelly
673959	124687	Lesbienne
673959	264683	
673959	316861	
673959	321208	
673959	331395	Dancer
673959	365194	Man in Bar
673959	406994	Herself
673960	112528	Sally Dunbar
673960	186288	Beatrice
673960	358974	Lola
673960	362231	Fredericka
673961	247022	Chloe
673962	11410	Neurotic Woman
673962	208694	Maid
673962	211353	Nerissa
673962	333679	Gay Girl
673962	351972	Ethel
673963	358787	Herself
673964	346121	Aoife
673965	177003	Art Gallery Girl
673966	204747	Lil' Patty
673966	224352	Debbie Duster
673967	48063	Member of the Marquee Quintet
673968	248133	Caroline
673969	336475	Young Liv
673971	353	Heather Connolly
673971	128478	Amanda Huntoon
673972	113900	Susie Jenkins
673972	154850	April
673972	252524	Terra Simpson
673972	350676	Varla
673973	43941	Street woman 2
673974	363882	
673974	407662	Ierse Secretaresse
673975	7727	
673975	7733	
673975	10734	
673975	39207	
673975	39519	
673975	39679	
673975	39783	
673975	39964	
673975	40012	Zandra
673975	49087	
673975	52419	
673975	72868	Dr. Susan White
673975	84453	
673975	89357	
673975	91575	
673975	92539	
673975	144420	
673975	144421	
673975	147699	
673975	149981	
673975	150081	
673975	150083	
673975	150700	
673975	154013	
673975	154125	Genie
673975	154444	
673975	171280	
673975	183302	
673975	192722	
673975	196008	
673975	207756	
673975	219043	
673975	233693	Ebony & Ivory
673975	242066	
673975	243121	
673975	254797	
673975	257519	
673975	260714	
673975	264150	
673975	274153	
673975	276364	
673975	292800	
673975	302907	
673975	309217	
673975	314712	
673975	321028	
673975	321029	
673975	321046	
673975	321165	
673975	323138	
673975	331365	
673975	331726	
673975	331767	
673975	334246	
673975	336288	
673975	361063	
673975	361910	
673975	365428	
673976	60770	Young Cherie
673976	371230	Catherine
673976	381191	Sam
673976	397815	Minty Sullivan/Melanie Hobson
673977	120768	Redbud
673977	228182	Flo
673978	41552	Studious coed
673979	14005	Sissy
673980	35938	Táncos-énekesnõ
673980	97964	
673981	141589	
673981	345643	
673982	147541	Trish
673983	271206	Tigerette #3
673984	258098	Party Girl
673985	29661	Herself
673985	56603	Mrs. Clodfelter Dunne
673985	83599	Harem girl
673985	116195	Margie
673985	129170	Kay Stuart
673985	167111	Edwina Randolph
673985	195691	Jean Fox
673985	323731	Lesley
673985	381033	
673985	387974	
673985	401079	Wife #1
673985	403663	
673985	406087	Moonbase Alpha Computer (1975
673985	410912	Herself - Panellist (1953)
673986	80986	Bernice
673986	155912	
673986	305953	Cynthia
673986	364131	Mrs. Fernald
673986	392176	Alva
673986	408749	Nurse Clover (1981-1984)
673987	41374	Debbie
673988	263287	Annie
673989	160982	Amazon
673990	28591	Teacher
673991	195400	Brigid
673992	161116	Receptionist
673993	147961	Dawn
673993	262614	Susan McVea
673993	319003	Mary Doherty
673994	11210	Flame
673994	74024	Waitress
673994	78232	Jamima Boone
673994	83917	Hattie
673994	328547	Molly
673994	337058	Debby
673995	208281	Slim
673996	7889	Melissa's Friend 2
673996	13292	Rachel
673996	230831	Carole
673996	272085	Nurse's Aide
673997	184046	Maids/Nuns
673997	286195	3rd Slave
673999	398416	Rachel
674001	360066	
674002	45662	Hotel Clerk
674003	291211	Christine
674004	22016	Lisa
674004	27485	Ada Winton
674004	135513	Harriet Stander
674004	196352	Whispering Glades Hostess
674004	219901	
674004	249576	Genevieve, Farrell's Wife
674004	289413	June Trapping, actress
674004	306330	Carol Hampton
674004	315883	Margo
674004	346354	Anne Winnmore
674004	362585	Elva
674005	11352	Mother
674005	16092	Schoolmistress
674005	18017	Gwen
674005	34949	Mrs. Thorn
674005	118466	Landlady
674005	126125	Doris
674005	139052	Barmaid
674005	158625	Mrs. Anderson
674005	273834	Mrs. Davies
674005	306299	
674005	363675	Prostitute
674005	382612	Justine Todd
674005	385389	Connie Wagstaffe
674005	394474	Mrs. Rothwell
674005	403201	Violet Littlejohn
674005	405070	Celia's Mother
674005	407626	Dolly Stoker
674006	48575	Wrather
674006	84142	Journalist
674006	313333	
674006	328523	Stewardess
674006	385719	Susie- Collinsport Inn waitre
674007	296374	Herself
674008	354751	Crystal
674009	127811	Mrs. Meggs
674009	380565	Consuela McPhee
674010	164539	Street Urchin
674011	77023	
674012	6994	Additional Puppeteer
674012	117851	Harold Hankin
674012	323427	Motel Manager
674013	2391	
674013	176996	Raquel
674014	92516	Julia
674015	82448	Herself
674016	79891	
674016	147767	Cheerleader
674017	47047	Elizabeth Braden
674018	150297	Liza
674018	265030	Bride at Mexican Chapel
674019	47047	Elizabeth Braden
674019	197528	Hardhat
674020	118977	
674020	192302	Popcorn Girl
674020	277731	Woman with Cat
674022	30937	Lucy
674024	147559	Host
674025	169951	Neighbor
674026	366465	Barbara
674027	107	
674027	11214	Claire Taylor
674027	18300	
674027	19136	
674027	21207	Annabelle Willowby
674027	24254	A Stenographer
674027	25406	
674027	25408	Marguerite
674027	31118	
674027	35286	
674027	49641	
674027	49648	
674027	71782	Gladys
674027	73199	
674027	94026	
674027	96887	
674027	115613	
674027	120552	
674027	158160	
674027	186288	Florence Wharton
674027	196507	One of the Lovesick Maidens
674027	198657	Molly Bush
674027	199894	Peggy Greye-Stratton
674027	216811	
674027	216948	
674027	217985	Helen Ogden
674027	220043	Helen Morrison
674027	224053	
674027	224115	
674027	234801	
674027	237561	Mrs. Tom O'Grady
674027	237563	Aileen Sullivan
674027	240830	The Senator's Ward
674027	251171	
674027	257795	
674027	260436	A Jealous Rival
674027	266506	A Dancer
674027	278666	Steenie As An Adult
674027	286379	Madeline Elliston
674027	292442	Madame Savatz
674027	304232	
674027	306013	
674027	308868	
674027	308869	
674027	318477	The Maid
674027	319775	Annette
674027	323766	
674027	340621	A Step-Daughter
674027	360566	
674027	362654	Julia Dean
674028	107688	A co-ed
674028	304347	Phil's Secretary
674028	370555	Sister act
674029	144399	
674030	1868	Ian's gran
674030	63835	Miss Pimbury
674030	160576	Mrs. G
674030	201598	Julie
674030	316109	Mary
674030	333102	Annie Trotter
674030	366903	Landlady
674030	387247	Nellie Ellis (1993-1998, 2000
674030	387533	Edith Weatherall (2002)
674030	391785	Mrs. Elliot
674031	176765	Lily Williams
674032	161407	Enid
674032	385299	Mrs.Tardebigge (1985-1988)
674032	388370	Joan
674032	391081	Florrie
674033	352465	Gang Girlfriend #3
674034	141786	Enid Evans
674034	213157	Herself
674034	213159	Herself
674035	316067	Restaurant Hostess
674036	113500	Kate
674037	45456	Jenn
674038	243567	Lyzzie
674039	222592	Earl Carroll Girl
674040	11359	Her Mother
674040	14619	
674040	22103	
674040	31253	
674040	46403	
674040	52396	
674040	75330	
674040	76467	
674040	82927	
674040	90433	
674040	92170	
674040	127426	Mickey's Mother
674040	133794	
674040	196293	The Judge's Wife
674040	370562	
674041	98373	Biddy Godard
674041	367334	Moira
674042	405209	Lecturer (1996)
674043	40879	Vaccine
674043	253081	Marina's Companion
674043	380506	Banker
674044	196889	Liz
674045	26885	Mrs. Harrison
674045	93594	Woman in Doorway
674046	232472	Victim
674047	139050	Airline Interviewer
674047	210481	Easy Street Model
674047	235067	Party Guest
674047	244397	Susie
674047	280281	White Hunter
674048	363393	Stewardess
674049	201928	Pinky
674050	205254	Martha Adams
674051	168254	
674052	11217	Celeste Hardin
674052	277642	Mrs. Deneau
674053	53821	Crying Mother
674053	194666	Group Leader
674054	1398	Herself
674054	1974	Herself
674054	1994	Herself - Best Actress Winner
674054	2008	Herself - Presenter: Best Act
674054	2515	Herself - reviewing Academy's
674054	13925	
674054	38243	Herself
674054	46869	Nancy Brubaker
674054	56579	
674054	61818	Narrator
674054	71374	Herself
674054	71734	Georgie Elgin
674054	85669	Margot Mary Wendice
674054	96555	Herself
674054	118434	Mrs. Louise Ann Fuller
674054	131677	Herself
674054	132451	Herself (plays baseball)
674054	133784	Herself
674054	134039	Catherine Knowland
674054	144861	Amy (Fowler) Kane
674054	144936	Tracy Samantha Lord
674054	161979	Herself
674054	190269	Herself (receiving Academy Aw
674054	194161	Hostess (as Princess Grace)
674054	205521	Herself
674054	215458	Judge
674054	217089	Linda Nordley
674054	218513	Herself
674054	232017	Herself
674054	235708	Herself
674054	238613	Herself (with Oleg Cassini)
674054	260410	Host
674054	273543	Lisa Carol Fremont
674054	273547	
674054	291378	Herself
674054	291433	
674054	320806	Princess Alexandra
674054	328553	(segment "To Catch a Thief")
674054	329565	
674054	334136	Frances Stevens
674054	340810	Herself
674054	360694	Herself
674054	383709	Dulcinea
674054	388268	Herself
674054	388656	Herself (weds Rainier)
674055	42260	Superstar DJ
674056	109795	Sarah Lennox
674056	109796	Sarah Lennox
674057	56546	
674057	315842	
674058	198453	Clytemnestra Veronica McSnagl
674059	215957	
674060	203286	Mother
674061	39108	
674061	87309	Belle's girl
674061	101699	Dr. Leslie Culver
674062	309562	Kara
674063	266631	Vicky St. James
674063	396738	Herself
674064	35239	Nurse
674065	133513	Anna Schuvalova
674065	185642	Receptionist
674065	402723	Betty Mason (series 1)
674065	407626	Jean Stoker
674066	46698	Party Girl
674066	117081	
674067	135391	
674068	107489	Trash
674068	190171	Liù
674068	256621	Mabel Stanley
674068	293944	Iris
674068	309130	Constance Partlet
674069	14180	Maria
674069	46530	Daisy
674069	75797	Holly Moon
674069	79807	Lucy Hale
674069	108778	Luisa Bellamy
674069	139765	Rachel
674069	184521	Marguerite Harris
674069	192195	Amanda Meyer
674069	220960	Rowena Morgan
674069	241552	Mary Graves
674069	243566	Laura
674069	282922	Jane Coles
674069	315171	Sarah White
674069	316216	Athena Allen
674069	322866	Julia Taft
674069	345752	Tia Russell
674069	384586	Shelley Sullivan
674069	402174	Voice
674069	411687	Kim Warner
674070	117626	Mother
674071	305990	Checkout Woman
674072	99720	Chiffon
674073	82099	Actress
674074	294717	Sara Lawson
674075	10412	Tiny Tim/Baby Packer
674076	621	
674076	759	
674076	784	
674076	6722	Herself
674076	6724	Herself
674076	6725	Herself
674076	6728	Herself
674076	7415	
674076	11556	
674076	13879	
674076	20258	
674076	20373	Naked Avenger
674076	26485	
674076	27021	
674076	34627	
674076	34842	
674076	34879	
674076	41062	
674076	41068	
674076	41076	Herself
674076	41486	Herself
674076	50179	
674076	50369	
674076	55298	
674076	58502	
674076	59850	
674076	70213	
674076	70917	
674076	81772	
674076	81797	
674076	87322	
674076	95803	
674076	102825	Herself
674076	106189	
674076	106356	
674076	106483	
674076	113642	
674076	114275	Host
674076	116013	Herself
674076	121555	
674076	126642	
674076	128676	
674076	128832	Herself
674076	140783	Suzie
674076	149396	
674076	155877	
674076	158595	
674076	161186	Gangster's Wife
674076	165003	
674076	165923	
674076	167586	Host
674076	167590	
674076	187117	
674076	187333	A Deserette
674076	191392	
674076	208379	Agent Glory
674076	227997	
674076	228016	
674076	232651	
674076	237135	
674076	243436	Nurse
674076	253623	
674076	255158	
674076	263300	
674076	273297	
674076	274415	
674076	276796	Congo Girl
674076	278851	
674076	280654	Sex Metal
674076	281552	
674076	294209	
674076	295768	Herself
674076	295912	
674076	296270	
674076	299964	
674076	304784	
674076	306908	
674076	306910	
674076	306920	
674076	306923	Herself
674076	311160	
674076	319645	Herself
674076	320027	
674076	323084	
674076	323379	
674076	323540	
674076	327150	
674076	329865	Herself
674076	329866	Herself
674076	334393	Agent Glory
674076	335803	Herself
674076	338348	Host
674076	353685	
674076	355153	Cave Girl
674076	360249	
674076	360898	Herself
674078	354866	Billie
674079	20625	Extra
674080	12213	Housekeeper
674080	138889	Receptionist
674080	276169	Principal
674081	113348	Hooker
674082	31448	Madonna Brassaurd
674082	73234	Sophie Nicols
674082	130423	Sasha
674082	199970	Loreena
674082	393449	Liberty 'Libby' Kaufman (2003
674083	43624	
674083	126518	The Girl
674083	196063	Masseuse
674083	196890	
674083	268033	Jamie
674084	230831	Caitlin
674085	340226	Kylie
674086	208502	Worried Passenger
674086	245099	Roberta
674087	60075	Treble Clef girl
674088	403299	Panellist
674089	6188	Vamp
674089	18619	Kit Dundas
674089	20032	Yvette Bingham
674089	20071	
674089	23008	Celia Harland
674089	39162	Sylvia Hillcrest
674089	45681	Thelma
674089	50492	Ann Carrington
674089	54446	Polly
674089	59467	Vera
674089	73220	Alice Green
674089	77849	Toni
674089	80528	Michelle Allain
674089	80550	Joyce Grainger (segment Hears
674089	114198	Girl in Garage
674089	118332	Patricia Brent
674089	125985	Frankie
674089	140539	Millie Hawley
674089	163289	Violet
674089	163413	Anne
674089	165470	Margot Kent
674089	185141	Mary Perrin
674089	190999	Olga Hoyt
674089	195909	Girl
674089	201462	Marien Hutton
674089	204551	Heather Trent
674089	206471	Jane Elliott
674089	213016	Lydia Brenton
674089	218003	Rosie Pilstein
674089	235157	Cynthia Maybridge
674089	245616	Alice Mayhill
674089	262955	Carmen Daviot
674089	263479	Frances
674089	264733	Lady Rochford
674089	269439	Ann Warren
674089	278514	Cora Ann Milton (1939 version
674089	282607	Girl
674089	313298	Flora
674089	329803	Betty
674089	330407	Opal
674089	346046	Corone
674089	359486	Mimi de Vaillant
674091	316635	Partygoer #6
674092	65474	Librarian
674093	297187	Cindy
674094	364465	Pin-up girl
674094	383385	Brenda Clegg #3 (1985-1987)
674094	403452	Noel Gallagher (1984-1985)
674095	127730	Demon Janna
674095	139227	Hardbody on Bike
674096	402567	Herself
674097	132212	Sexy Demon #2
674098	67868	Julie, Tony's girl
674098	128308	Margaret
674098	128441	
674098	244441	Marion
674099	27637	The Girl
674100	194683	
674101	330897	Rebecca
674102	24969	Gwen Taylor
674102	27150	Ann Travers
674102	78075	Joan Breedon
674102	83045	Peggy Sylvester
674102	83804	Molly
674102	89886	Mary
674102	117547	Millicent
674102	141370	Anna
674102	187744	Grace Harwood
674102	192063	Mary Grey
674102	192601	Phoebe
674102	220054	Tilly
674102	223396	Margaaret West
674102	224609	Audrey Roscoe
674102	239067	Miss Wyley
674102	241049	Anne
674102	289497	Angela Hargreaves
674102	316037	Sonia
674102	362234	Pat
674102	364219	Kate Savage
674103	169511	Herself
674104	27001	Selena
674104	117496	Chrissy Bancroft
674104	234582	Rebecca
674104	350205	Michelle Reed
674104	359788	Renee
674106	114392	Radio Show Call-In
674107	228782	Grandma
674109	64070	Ensemble
674110	67513	
674111	318337	Nurse
674112	195736	Stepmother
674113	275889	Delilah
674113	351502	Sandy
674114	125484	Herself
674115	16465	Girl #2
674116	44298	Alice
674116	359929	Sonja Wiggins
674118	274067	OR Nurse
674119	11385	Lorraine
674119	11609	Mary
674119	26607	Miss Clark, First Girl in Lad
674119	32807	Spanky's mother
674119	32910	Delores Kogan
674119	41504	Death Valley Cora Keane
674119	88291	La Vere
674119	109209	Ivy
674119	113416	Hospital Official
674119	126274	Daisy Devine
674119	128151	Kate Foster
674119	128257	Telephone Girl
674119	132821	Miss Clark
674119	136041	Old Woman
674119	147391	American Lady at Bull Ring
674119	147543	Drunk
674119	178041	Chorus Girl
674119	183409	Mayme Mixter
674119	183721	Nellie Quigg
674119	184833	Woman
674119	187690	Cora Jennings
674119	194913	Mother Freed
674119	196963	Sara Maggotti
674119	199158	Winnie
674119	202930	Marian Weeks
674119	210781	Gertie Robbins
674119	210871	Martha Ranson
674119	236581	Maud Sarazin
674119	262265	Wife-newsreel theater
674119	264829	
674119	277511	Celia
674119	279441	Sailor's wife
674119	306466	Lt. Ethel Armstrong
674119	321519	
674119	330107	Spotter
674119	331123	Mrs. Sanford
674119	335666	Patsy Dugan
674119	342381	Woman
674119	364010	Maria Fontaine
674119	367709	Molly Evans
674119	367905	Countess
674120	51475	Tandalaya
674121	346006	Marsha
674122	86751	
674122	346035	
674122	366803	
674123	68474	Baby Doll
674123	228517	
674124	197535	
674125	120106	Comer's Girlfriend
674126	155903	Claire
674126	158610	Fran
674126	195549	Julliet
674126	221105	Worried Girl
674126	230685	Cheerleader
674126	315410	Assistant
674127	230853	Josephine
674128	379831	Sarah Maxwell (1990-91)
674130	367865	College Girl #1
674131	43567	Reporter #3
674131	133345	Officer Arbus
674131	148250	Barb Spencer
674131	168308	Art Council Woman
674131	262529	Bobby
674131	265679	Miss Richards
674131	268211	Jail policewoman/Desk officer
674131	290389	Sorority Snob
674131	346327	Martina
674132	363668	Delta
674133	171228	Betty
674134	46444	Heather Collins
674134	275321	Cory's Girlfriend
674135	128636	
674135	333830	
674136	316693	
674137	42327	
674138	10958	Krystal
674138	12293	Mary Louise
674138	14491	Dana
674138	73116	
674138	109458	Ashley
674138	165958	Cheerleader #2
674138	176748	Nan
674138	185835	Tristan
674138	251236	Teenage Girl
674138	253046	Laura Kincaid
674138	275321	Cory's girlfriend
674138	311977	Jenny
674138	318186	Angie
674138	320145	Devin
674138	328561	Patty
674138	372577	Molly
674138	385824	Jill Stevens #1 (1996)
674138	407929	Laurie Forman (1999-2001)
674139	23933	Herself/Audience Member
674139	34903	Herself
674139	104778	United Kingdom vote presenter
674139	104779	United Kingdom vote presenter
674139	230328	Narrator
674139	390195	Herself - Presenter (1993-) &
674139	390336	Herself - Reporter (1984-1988
674139	395991	Presenter
674139	402661	Herself (Team Captain)
674139	408075	Guest Presenter (2003-)
674140	145911	
674140	213088	
674141	52016	Herself
674142	244927	Rebecca Gibbs
674144	22732	
674144	41004	Tony's Girlfriend
674145	241444	
674145	330375	
674146	35	
674146	48733	
674146	51494	Mrs. Drudge
674146	57221	
674146	57363	
674146	61393	
674146	64520	
674146	213074	
674146	241694	
674146	308863	
674146	308864	
674146	308865	
674146	308866	
674146	308870	
674146	330637	Hester Morgan
674146	341941	Maid
674146	364218	Maid
674146	368908	Harry's Nurse
674147	159765	Clerk
674148	294790	Victim
674149	208915	Scottish Lassie
674150	72332	Stuttering Bob's mother
674150	394261	Anchorwoman
674151	194831	Slave Girl
674152	398414	
674153	391359	
674154	193761	Seven Deadly Sins
674154	289558	Woman at Babylon Club
674155	21291	Helen Faversham
674155	277722	Mrs. Whittingham
674155	311696	Bobbie Leland
674156	72416	Hooker
674156	87924	Kari
674156	91554	Woman in Car
674156	233878	Mrs. Garvey
674156	318361	Coco's Girlfriend
674157	189957	Girl
674158	93237	Inganok Sailor #2, Old Zoog, 
674159	372736	Bit Part
674160	400654	Elena
674161	162353	
674162	83362	Gill
674162	84248	Janet
674162	87618	Miss Hopkins
674162	112805	Terry
674162	118477	Délice
674162	133090	Shirley
674162	144498	Sophie
674162	146362	Therese
674162	202007	Madeleine
674162	215624	Anne, Miss O'Gynie
674162	256593	Marguerite
674162	268199	The Woman in the Bar
674162	322358	
674162	353886	Claudine Obertin
674162	383336	Candice
674163	59151	Newsroom Script Supervisor
674163	195331	Irish Nanny
674163	346139	Mrs. Simpson
674164	110438	Gladys
674165	210389	
674166	277839	Voice Off
674167	216469	Hotline Caller
674167	304829	Nervous Woman on Airplane
674167	372372	Fox Books Shopper
674168	142417	Member of Squad
674169	38248	Banquet Guest/Zombie
674170	169140	Reuben's Wife
674170	322600	Maria Von Mortheim
674171	49028	Dancer
674172	121371	Herself
674173	20037	Wild Boy/Fan
674173	233967	Waitress at Jake's
674174	276245	Sira
674174	327185	Mia
674175	128089	Phone Girl
674175	134563	Melodie
674176	266843	Eleanore
674177	400	Herself
674178	85021	River
674179	87469	Marion
674179	305990	Doctor
674180	37965	Becky
674180	45500	Jessica
674180	59148	Susan 'Soosh' Teague
674180	59350	Hetty Kelly/Oona O'Neill
674180	75717	Kate Moseley
674180	78015	Beatrice Venier
674180	79961	Blue
674180	93772	Nadine Ship
674180	101726	Dorothy Day
674180	142894	Cynthia
674180	144465	Susan
674180	191243	Nala
674180	191244	Nala
674180	191245	Nala
674180	191246	Adult Nala
674180	192110	Alla Shustervich
674180	196168	Vera
674180	196303	Cinnamon
674180	201794	Herself
674180	217815	Helen Keller
674180	285357	Susan Train
674180	330624	Lucy
674180	332530	Dana Clifton
674180	342552	Donna Hayward
674180	347070	Ann Mary Margaret 'Annie' Haw
674180	366817	Courtney Blumenthal
674180	367597	Woman
674180	400260	Karen Roe
674180	408349	Annie Cornell (1998)
674180	410835	Madeline 'Mandy' Hampton (199
674181	70964	Angie Robinson
674182	295723	Dawn
674182	367792	
674183	347419	Meagan
674184	75299	Mrs. Manners
674185	232398	Maria
674185	347689	Susie West
674186	131061	Pamela Sutter
674186	177632	Jane Porter
674186	325099	Jane
674186	325146	Voice
674186	352517	Reporter
674187	56934	
674187	127616	
674188	27346	Christine Penmark
674188	35137	Peggy Harrison
674188	70214	Betty, call girl
674188	73941	Louise Heath
674188	91716	Pat Marvin
674188	116120	Pat Lindsey
674188	116520	Nancy Boone
674188	120214	June Block
674188	120749	Sarah Allen
674188	123306	Mary Hayes aka Vi Parker
674188	128411	Superior McCadden
674188	129543	Child
674188	133621	
674188	140818	Valerie Randall
674188	157251	Victoria Kent
674188	166990	Zerelda 'Zee'
674188	215432	Jimsy
674188	222595	Alice Dakso
674188	222672	Mrs. Morgan
674188	241592	Cynthia Merrick
674188	248315	Kit Richards
674188	264567	Jean Bullerton
674188	285664	Sally Gilroy
674188	291080	Lady Sandra Lasher
674188	300068	Nancy Gay
674188	308643	Sharon
674188	313146	Eve Kingsley
674188	317831	Susan Leeds
674188	323154	Lois Allen
674188	325148	Connie Bryce, American Magici
674188	334367	Helene Hunt
674188	336151	Victory Kane
674188	347745	
674188	352758	Alice Carter
674188	367640	Lorna Webster
674188	367805	Toni Hall
674189	127084	Reporter
674191	17132	Extra talent
674192	230333	
674193	330542	Naomi Kelly
674194	17021	
674195	231945	Herself
674196	11635	
674196	60186	Hollywood Producer
674196	201939	
674196	296019	Streetwalker (Alley)
674196	312341	
674197	149198	Restaurant People
674198	372317	Bente
674198	391509	Sylvia Garnsey
674199	99677	
674200	353298	Hair Spray Victim
674201	16803	Dance Teacher
674201	55568	The Carpenter's Wife
674201	186446	Large Irish Woman
674201	220673	Brady
674201	362722	Prison Officer 1
674202	28473	Waitress
674203	63185	Ruby Mae Morrison
674203	312966	Waitress
674203	384179	
674203	384180	Ruby Mae Morrison
674204	93064	Yoga instructress
674204	94538	Woman in the park
674204	193235	Mary McFarlane
674204	224085	Euphemia Gebbie
674204	273716	Mrs. Playfair
674204	323026	Nurse Clark
674204	386581	Mrs. Muir
674205	350221	Bar Girl
674207	9026	Patsy
674207	11663	Patricia Veronica Kelly
674207	22882	Patsy Kelly
674207	26129	
674207	27007	
674207	32194	
674207	47350	Patsy Riley
674207	49460	
674207	50124	Herself
674207	51441	Mrs. Fitts
674207	71668	Mimi
674207	72227	Katie Callahan
674207	73943	Gertrude Ross
674207	77992	Pert
674207	90539	
674207	105075	Sadie Day, aka Susie Wilson
674207	105170	Daphne O'Connor
674207	119356	Mrs. Schmauss
674207	127125	Myrtle Forbush
674207	128199	Kitty Lennihan
674207	129810	Irma 'Toledo' Knight
674207	130337	Jill Barker
674207	132059	Kitty, the Maid
674207	132780	Peggy O'Rourke
674207	145375	
674207	146750	Judy Abbott
674207	150240	Miss Patsy Kelly
674207	154858	Miss Kelly
674207	157866	Helga
674207	175438	Molly Kelly
674207	183440	Hazel Jones
674207	200862	
674207	211546	Etta
674207	215711	
674207	224333	Gerty Rosenthal
674207	226963	Mac
674207	234211	Kitty Reilly
674207	235059	Mrs. Rose Rafferty/Blarney St
674207	241406	
674207	242569	
674207	246512	Betty
674207	247326	
674207	248615	
674207	249623	Mabel
674207	254917	Herself
674207	255146	Nellie Moore
674207	255694	Mrs. Macready, the Landlady
674207	255737	Bessie Winters
674207	257856	Lulu Monahan
674207	257963	Maggie
674207	264775	Gracie
674207	279361	Jinx
674207	279520	
674207	281937	Laura-Louise
674207	302633	Bebe McGuire
674207	302639	Fitz
674207	302650	
674207	304969	
674207	309673	
674207	329331	Phoebe Mason
674207	329948	Peggy O'Brien
674207	331322	
674207	333515	
674207	335825	
674207	335955	Emily, the Maid
674207	338045	Patsy Clarke
674207	338761	
674207	342569	
674207	358453	Patsy Kane
674207	372928	Bobby's cellmate
674207	384960	Brigid Murphy (1975-76)
674208	150182	
674209	244830	
674211	16419	Karen Anson
674211	29311	Mother
674211	60149	Inez Krowder
674211	70393	Martha Harris
674211	93974	Aunt Tilly
674211	94096	Rachel
674211	168087	Satin Doll
674211	194867	Rose
674211	241148	Ma Pearl
674211	253917	Tiger Lily
674211	283341	Mrs. Devers
674211	310059	Martha Phillips
674211	311632	Dahomey Queen
674211	321154	Helene
674211	329560	
674211	335865	Black Chick, Singer
674211	340530	Cleo, T's Girl
674211	345828	Cassy
674211	348123	Fay
674211	348547	Leggy Peggy
674211	367844	Theresa
674211	380031	
674211	384072	Liz Watts
674211	388558	Sally Long
674211	399423	Liz Williams (1984)
674211	403717	Diahnn Boudreau
674211	404282	Ginger Jones (1984, 1985)
674211	406037	Sweets
674212	72703	Vocalist, one of the Modernai
674212	120736	
674212	129379	Herself
674212	185931	Herself (member, The Modernai
674212	318933	Herself (vocalist, Glenn Mill
674212	358649	Herself
674212	382338	Herself (regular performer)
674212	389913	Regular Performer (1959-1960)
674213	133910	Maizie de Noovan
674213	157538	Mrs. Harrison
674213	169590	Isolde
674213	190784	Nita Moore
674213	290355	Lady Atherton
674213	347334	Gladys
674214	140990	
674215	107692	Weapons Specialist
674215	168238	Beauty College Woman
674215	194985	Makeup Girl
674215	228484	Woman
674215	272323	Rebecca
674216	264580	Vicki Ryan
674216	291233	Christie Cromwell
674217	2945	Kelly
674217	263170	Cathy
674218	11215	Antoinette Hoadley
674218	11453	Angela Messenger
674218	37550	Janet Van Nest
674218	105229	Mabel Briton
674218	118197	Helen Rollaston
674218	190725	Mary
674218	191950	
674218	289632	Eleanor
674218	361838	Rose Salterne
674219	164572	Cocktail Waitress
674219	339937	Rita
674220	346206	Louella Labango
674221	158975	Dress shop saleslady
674221	358638	Ellen, the Waitress
674222	344486	Streetgirl
674222	392244	Ginette Larose
674223	261976	Anita
674224	13293	Doreen Reese
674224	14137	Eva Tanguay
674224	75530	Flaps
674224	121549	Jane
674224	134154	Photographer (Vietnam Film)
674224	222620	Virgina Trickwood
674224	230873	Diane Sullivan
674224	239340	Roz
674224	250937	
674224	349121	Title Girl
674224	397077	Panelist
674225	398416	Rebekah
674226	26169	
674226	157636	Dwarf
674227	26168	
674228	358688	Schwertleite
674229	81731	Shark Victim
674229	234779	Betty
674230	300920	Jenna
674231	185470	Daly Baby
674232	2937	Madam of brothel
674232	10709	Alice Goodbody
674232	32046	
674232	61995	Nancy Shaw
674232	68185	Senator's wife
674232	71128	
674232	87395	Sally
674232	98855	Debbie
674232	108451	
674232	128861	
674232	153250	Gloria Hollinger
674232	156565	Nora Edward
674232	156566	
674232	159761	
674232	161741	Nude bee girl on motorcycle
674232	187411	Herself
674232	191732	Stripper #3
674232	191935	
674232	195511	
674232	195512	
674232	196021	
674232	273528	
674232	289538	
674232	291286	
674232	295681	
674232	297261	Painted Lady
674232	319734	SuperCherry
674232	321014	
674232	326754	
674233	257271	Hot Dog Gal
674233	310750	Tiffany Taylor
674234	47410	
674234	185470	Daly Baby
674234	339605	Herself - Audition Tape
674235	66621	Artist's Benefactor
674235	223711	Oldest Lady
674235	313699	Mrs. Skip
674235	354953	Laura's Mother
674236	108501	Wowkle
674237	52362	Partygoer
674237	408300	Lorraine
674238	149198	Restaurant People
674239	178012	Tiny Titties Gang Member
674240	66621	Dispatcher #2
674241	53731	Party Girl
674241	90537	Lt. Calhoun
674241	365285	Madge
674242	155562	Nurse Nora
674243	399130	Victoria Healy (1999)
674244	92618	Court Reporter #2
674245	62422	Emily
674246	38005	Carol
674246	38006	Staff Worker
674246	38007	Herself
674246	44444	Pedestrian
674246	46352	Vicky
674246	339380	Carol
674247	387359	Sonet Vorster Naude Naude (19
674248	70484	Wilson's Showgirl
674249	10901	Bordello Lady
674250	159862	The New York Dream Machine
674251	65681	
674251	380592	
674253	124550	
674254	208527	Amy
674254	284621	Waitress at Pub
674254	392702	Mrs. Johnson #2 (1990-1992)
674255	1267	
674255	47504	
674256	266761	Winifred Grope
674257	199955	Eileen
674257	389089	Madge
674258	73115	Girl on Bus
674259	284448	
674259	396305	Susan
674260	185369	Murdered Prostitute
674261	276249	Harvest Contractor
674262	207268	Female dancer
674263	209591	Jamaican Woman
674264	12080	
674264	205696	
674265	369255	Farmers Daughter Singer
674266	24447	Sandra (The Bride)
674267	6865	Passenger
674268	261425	Singer at sit-in
674269	166940	Dinner Model
674270	82801	
674270	162628	Inga
674270	261445	
674270	331958	
674270	351023	
674270	373622	
674270	373703	Snahata Tamara
674271	305036	Dancer
674273	188453	'Dislike' Girl
674274	32250	Hair Assistant
674275	85540	La Benette
674275	169961	Infirmière
674275	353790	
674275	354752	Bimbo
674275	379805	Mademoiselle Fontanges
674276	78789	Emma Murdoch
674276	194044	Seance Woman 2
674276	383273	Klesky, Anita
674277	10857	Farmer's Wife
674278	112983	Marta Sanders
674278	206906	Flashback Mary
674278	314837	Daughter
674279	245625	Girl Outside Restaurant
674280	92569	Jenny
674280	296995	
674281	215691	Miss Ohio USA
674282	2376	Herself
674282	23471	Cathy Mitchell
674282	26355	Jean Gelson
674282	26525	Alice Winston
674282	81229	Herself/Narrator
674282	98803	Lucy Mercer
674282	98804	Lucy Mercer
674282	108386	Maureen Hannigan
674282	146091	Katherine Beck
674282	148378	Susan Palmer
674282	155879	Ellen Liner
674282	185445	
674282	213190	Betty
674282	252915	Miranda McLloyd
674282	255328	Beatrice
674282	257107	Liz Russ
674282	308063	Joyce Cappelletti, Narrator
674282	363871	
674282	383429	Peg
674282	385806	Kate Harper
674282	396033	Billie Jo/Billie Victoria New
674282	399838	Elaine
674282	404902	Carol
674283	208739	Pregnant Woman
674285	27323	Eileen Baines
674285	35643	D.A.
674285	38259	Bunny
674285	48169	Mariah Breed
674285	58497	Ginger
674285	69917	E.R. Doctor #1
674285	78025	Virginia
674285	80381	Dr. Riki Ott
674285	80931	Mama Lawrence
674285	87926	Detrice
674285	97091	Mrs. Taylor
674285	137449	Dr. Lee Braxton
674285	139520	Sandra
674285	178279	Arlene
674285	200173	Sheriff Stevenson
674285	219994	Nurse #2
674285	222650	Doctor Jones
674285	229325	Mrs. Ratcliffe
674285	230505	Mrs. Markham
674285	294976	Chris
674285	298038	Molly Heinz
674285	321732	Vivian Cauley
674285	333855	Clarinda Jack
674285	336753	Beverly
674285	340929	Leslie
674285	364344	Marie
674285	371320	Evie
674285	393228	Eunice Kennedy
674286	64797	Reporter Laura
674287	115514	
674288	304913	Jacqueline
674289	100096	Chaca
674290	37550	Aunt Sarah
674290	46517	
674290	56621	Patricia's Secretary
674290	60202	Mrs. Brockton
674290	65181	Mrs. Martin
674290	69735	Gina
674290	71351	Elsie's Companion
674290	74051	Mrs. Ewart Crane
674290	77965	Mrs. Whitman
674290	89653	Mrs. Craig
674290	90288	Mrs. Dow
674290	92585	Dr. Rameau's mother
674290	93967	Mrs. Graves
674290	94566	Aunty Weeks
674290	105992	Mrs. Entwhisle
674290	108377	
674290	114948	Mrs. Rutherford
674290	117175	Smith
674290	122003	Lady Foulkes-Brent
674290	128733	Lucy
674290	142665	Mrs. Dale
674290	143414	Mrs. White
674290	145797	Mrs. Harland Smith
674290	147633	Cameo appearance
674290	149149	Mrs. Proudweather
674290	149462	Duchess of Remington
674290	152544	Mrs. Logan
674290	157679	Mrs. Corning
674290	164490	Undetermined Role
674290	168689	Mrs. Tupper
674290	176235	
674290	190581	
674290	192199	
674290	194720	Cleo Duvene
674290	194948	Librarian
674290	195991	Mrs. Warner
674290	202246	Lady Brockelhurst
674290	202884	Kitty Fish
674290	205170	Mrs. Curtis Palmer
674290	206366	Miss Blodgett
674290	210892	Madame Ribout
674290	215086	Mrs. Judkins
674290	216928	Mrs. Flynn
674290	224670	Merecedes Thackery
674290	229660	Miss Drake
674290	239841	Housekeeper
674290	241532	Countess D'Estes
674290	241852	Emma Jessop
674290	252296	
674290	263945	Miss Foote
674290	273598	Jane Sawyer
674290	286799	
674290	292406	Miss Loring
674290	293186	Bpgrum's housekeeper
674290	295337	Mrs. Rhodes
674290	301689	Mrs. Wilson
674290	302232	Mrs. Shine
674290	304502	Tremaine's Wife
674290	304505	Nanette
674290	316713	Mrs. Burleigh
674290	330439	Mrs. Kenwood
674290	331138	Mrs. Wallace
674290	331546	Mrs. Bix
674290	345738	Susan Ambie
674290	350495	Mrs. Fiske
674290	352720	Mrs. Love
674290	359493	Camille
674290	360701	Mrs. Alfred Solman
674290	360844	Mrs. Grace Maynard
674290	363705	Ann Cartwright
674290	363919	Mrs. Mayhew
674290	364550	Harriette
674290	364650	Aunt Mary
674290	364853	Mrs. Pomeroy
674290	367659	Marchioness of Champneys
674290	368565	Secretary to Corinne
674290	372228	Fannie Perkins
674291	78058	
674291	115925	Female Neighbor
674291	222573	Gorgeous Woman
674291	317551	Airbag Woman
674291	395165	Athena
674292	110306	Mrs. Craven
674292	151413	Nelda
674292	360483	Mrs. Rowe
674293	177309	Babette
674294	114902	Flora Fulton
674295	259221	Mary
674298	37867	Woman at militia meeting
674298	107255	Woman on fire escape
674298	143742	Woman looking for a husband
674298	201327	Fan
674298	355980	Fan
674299	288748	Mack's Friend
674300	393742	Herself
674301	183899	
674302	137579	Michelle
674302	398211	Rosa
674302	399129	Herself
674302	399130	Michelle Scully (1999-2003, 2
674302	408163	Becky Daniels (1999-2000)
674303	153747	
674304	122183	COPS officer
674304	309597	Nurse #1
674305	178039	Grandma
674305	281889	Schoolteacher
674306	100800	
674306	127907	
674306	202978	
674306	387531	Aunt Elizabeth
674306	391869	Anne Harris (1994-1995)
674306	392270	Mary Bryant
674306	399372	
674306	402012	Marjorie West
674306	402197	Alison Page (1981)
674308	14146	Clara
674308	33670	Uncredited
674308	97459	Mary
674308	137766	Makeup Artist (MOW)
674308	139540	Christy
674308	185315	Amanda
674308	276039	Mother #1
674309	10017	
674309	17771	Vera Delmar
674309	26610	Allie Summers
674309	32439	Minerva 'Minnie' Brown Ogleth
674309	45236	Trixie Odbray
674309	52043	Toddy Williams
674309	64161	Herself
674309	68119	Mama
674309	116485	La mère de Boualem
674309	146749	Eadie White
674309	148990	Herself
674309	149376	Trixie Chummy
674309	150100	Cookie
674309	175438	Gloria
674309	176215	Marsha Fitch
674309	186013	Ella McShane
674309	190587	Fay, the Fan Dancer
674309	195375	Nanny
674309	206836	Goldie Gordon
674309	209166	Lulu White
674309	209633	Beulah Potts
674309	223065	Mrs. Paroo
674309	231097	Mrs. Green
674309	247326	
674309	267588	Gilda
674309	277525	Aunt Hattie
674309	278334	Mother
674309	286115	Rosie, Otis' girlfriend
674309	301328	Herself
674309	302595	Ruby
674309	303376	Mattie
674309	304504	Mazie Mason
674309	329830	
674309	363682	Virginia Daniels
674309	367857	Nan LaRoque
674309	372145	Inmate
674309	383673	Alice Kramden (1951-52)
674309	391376	
674309	393223	Alice Kramden (1951-52)
674310	13769	Competition Gymnast
674312	100191	
674313	46213	3rd Lady hairdo
674314	189505	Karina
674315	555	Child
674316	231166	
674316	283993	
674317	202378	Office Staff
674318	58002	Shower Girl
674319	60769	Yasha's mother
674320	143636	2nd Woman at Chip Shop
674320	163258	Nurse Drayton
674320	277716	Receptionist
674320	344176	Old Time Dancer
674320	369439	Willie's Room Nurse
674320	390571	First woman
674321	111157	
674322	23973	Ballet Teacher #1
674323	43358	MI5 Agent Gannon
674324	213270	Stephanie
674324	301533	Cyril's mother
674325	54903	Queen Marie
674325	118232	Baroness Van leyden
674325	161916	A woman
674325	161934	Mother Rukh
674325	244775	Minnie, Duchess of Sourae
674325	253467	Jane Murdstone
674325	281163	Lady Capulet (wife to Capulet
674325	350408	Lady Herries
674326	348510	Mouse
674327	64735	
674328	131240	Bonnie's nurse in London
674328	150971	Blanche Probert
674328	177609	Mrs. Fell
674328	183848	London Party Guest
674328	188586	
674328	218757	Mary Hicks
674328	223867	Lady Ambassador
674328	253472	Mrs. Palmer
674328	270911	Nurse
674328	273251	Mrs. Buffington (Credits)/Blo
674328	297767	
674328	306396	Miss Fister
674328	327733	Mehitabel
674328	331459	Lady Brockton
674328	360369	Mrs. Stacey
674328	363758	Parthenope 'Parthe' Nightinga
674328	367595	Lady Rinlake
674328	367686	Nurse
674329	332188	
674330	308457	Meg
674332	90243	Melanie 'Mel' Davies
674333	334910	Iranians on bus
674334	334910	Iranians on bus
674335	362578	
674336	20044	Lucinia
674337	4425	
674338	108919	Prostitute
674339	108162	
674340	154577	Perfume Demonstrator
674341	312783	Sue
674342	208812	Angele
674344	103192	Pregnant Woman
674345	108722	Hermine
674346	327904	Girl inspired by the Avenger
674347	121840	Receptionist
674347	392483	Midwife
674347	399380	Alice Morrison
674348	24702	Sarah Hadley
674348	190931	Angelica
674349	41415	Jamie Sanders
674350	304393	Jordemorelev
674351	128220	Servant
674351	295664	
674352	65628	Woman on Plane
674352	78176	Female Caterer
674352	134594	Aunt Rose
674352	144347	Ms. Strickland
674352	277648	Mrs. King
674352	309838	Brenda
674352	319899	Bob's Mother
674352	321469	
674352	329915	Elaine
674352	361178	Miss Reba
674352	362675	AA woman #3
674352	379392	Alma Cox (1983-1984)
674352	389378	Herself/Various Characters (1
674353	137970	Lucy Taylor
674354	80695	Rockhouse Treat
674355	334250	Nanny
674356	327904	The Inspiration's victim
674357	17191	Shelly's Mom
674357	58666	Jane Smith
674357	65108	Virna Nightbourne
674357	97035	Nancy
674357	108333	Kay
674357	140798	Nancy
674357	154087	Receptionist
674357	202765	Jane Morris
674357	222810	Ellen Green
674357	314697	Nancy
674357	351778	Interviewee
674357	396088	Betsy Crawford (1973-1977)
674357	404002	Diana Buckman (1981)
674358	102575	Grace Lorch
674359	160573	Nurse
674359	276264	Kate Skelton
674359	384964	Rachel
674359	400696	Binky Spoon (1990-1991)
674360	336713	Shirley
674361	208973	Lady Fordham
674361	271611	Lady Fordham
674362	189852	Herself
674363	300361	Perlmutter Awards girl
674364	169387	Isabel
674365	30247	Jaimie
674365	305221	Paloma, Hired Date
674366	90860	Shirley
674366	191291	Hag
674367	141185	Social Worker
674368	137603	Woman at ATM
674369	186681	Angel of Mercy
674370	84205	Nurse #2
674371	257168	Woman in hospital
674372	52464	
674373	389356	Rosemary Dubarry
674374	44599	Truus Janssen
674374	99427	
674374	374303	Christa
674374	409178	Herself
674375	298570	Therese
674376	297415	Mildred Brooks
674377	157826	Old Woman
674379	334250	Suzanna aged 14
674380	118393	Miss Piggy (Wedding two)
674380	196559	Child Social Worker
674380	292208	Augenblick's Receptionist
674381	48260	Guest Star
674382	2150	Aerobic Video Girl
674382	116985	Tasha
674382	151351	Hella Back
674382	339937	Vanessa
674383	47924	Julia McBride
674383	55587	Anita Brooks
674383	55686	Girl With Cow
674383	68511	Laurie
674383	81118	Sarah Gibbons
674383	120396	
674383	122743	Party guest
674383	147920	Old Esther
674383	161736	Diana Bernard
674383	162602	Miss Hamilton
674383	185314	Mrs. Cooper
674383	185334	Mother
674383	214162	Judge
674383	257269	Treece
674383	276855	Ruthie
674383	292463	Emily
674383	310838	Marilyn De Witt
674383	316331	Mildred Sloate
674383	336783	Janet
674383	342605	Mrs. Hines
674383	362141	Mrs. Mudd
674383	385824	Nora Bassett #2 (1983)
674383	392177	Bar hostess
674383	403728	Lila Harvey
674384	211393	Hillary Vette
674384	405960	Charlie Bartlett (1983-1987)
674385	118298	Rudy's Girlfriend
674386	64750	Herself
674387	129944	Tracy
674388	126555	Ivy Restaurant Waitress
674388	210741	Neuralyzed Mother
674388	358114	Aide #1
674389	107504	A Fairy
674390	358874	Sammy Dean
674391	97314	
674391	361886	
674392	92579	Vulnavia
674392	133728	2nd Model
674393	19024	Faith Healer #1
674394	146333	Extra
674395	97360	Choir Member
674396	173516	Mrs. Bruce
674397	209	Teacher
674397	11284	
674397	24969	
674397	50238	Aggie Twitterton
674397	64712	Nurse assisting At Childbirth
674397	128313	Suzanne Dupont
674397	139166	Janet Mortimer
674397	166359	
674397	193610	Maid
674397	241035	Alice
674397	277540	
674397	290330	Maid
674397	323942	
674397	330162	Mrs. Johnson
674398	248314	
674399	144347	Teen
674400	48368	Wedding Guest
674402	125128	
674402	170131	
674403	51975	Inmate
674403	72613	Miss Kate Kelly
674403	96889	Mary
674403	99475	Pinkie's Mother
674403	109911	Mrs. McCreary
674403	127087	Mrs. Mahoney
674403	154083	Nurse
674403	234070	Wife
674403	239416	Bit Part
674403	244797	Gossiping woman #1
674403	276762	Gossiping Woman
674403	281415	Woman
674403	305472	Woman Driver
674403	324035	Mrs. Robbins
674403	331369	
674403	341707	Anne MacLennan
674403	356293	Woman in Delicatessen
674403	372433	Juvenile Hall mother
674403	410842	Mrs. Harper
674404	329481	Model
674405	101038	Nurse
674407	157766	
674408	223468	Trude Geistlinger
674409	27447	Astrid
674410	97194	Georgia Lee
674411	104765	German entry (9th place)
674411	189864	Herself
674412	17527	Anna Goeldin
674412	211999	
674413	55516	Viola
674413	126352	Sklavin
674413	188835	Masträuber's Frau
674414	255169	Jack's Student
674415	285034	Missy
674416	192643	Herself
674417	68381	
674418	41940	TV Announcer #2
674418	134195	TV Reporter
674419	180912	Patientin Birkenhof
674420	254718	
674421	164225	Woman Passenger
674421	192514	Mrs. Bell
674422	109408	
674423	237304	Dagmar som ung
674423	377416	Johanne
674423	389734	Lis Jørgensen
674424	165808	
674425	210345	Herself
674426	210345	Herself
674427	210345	Herself
674428	211499	Princess Leona
674429	76756	Roza
674430	28569	Janni
674431	188824	Sigi
674432	205782	Melanie Spitzweg
674434	26725	Miss Bullivant
674434	99081	2nd Fighting Woman
674434	112032	Congregation member
674434	133678	Old Grace
674434	168136	Bespectacled Woman
674434	205076	Madame Coulmier
674434	206541	Pina
674434	230394	Masseuse
674434	291296	Woman
674434	305514	
674434	313082	Glam #2
674434	333042	
674434	385820	Pat Rice
674435	160418	(segment "What Anne Wants..."
674435	161412	Secretary
674436	302115	
674437	172330	Annu Suutari
674438	9172	Elma
674438	390960	Tellu
674438	393758	Iki-tonttu
674438	395392	
674438	401476	Rva Salmén
674438	403392	
674438	403996	Anja/Neron ääni
674438	410025	Inkeri Hänninen
674439	349408	Grandmother
674440	255386	
674441	16806	
674441	172142	Mrs.Tässäpuro
674441	206063	Eeva
674442	148472	
674443	88823	Macca's Wife
674443	177390	Chloe
674443	384477	Freda Wilson
674443	385020	Edna Miller (2000-2001)
674443	391155	Hilary Morris
674443	398752	Briedha (1999)
674444	11581	Linda Jones
674445	291495	Guest
674446	42136	
674446	52906	Hortense
674446	54640	Celia Mitchell
674446	56203	
674446	59456	Mrs. Codrington
674446	75542	Madame Fournier
674446	96117	Skelly's Mother
674446	117192	Dame Margaret Delysia
674446	126125	Ellen Leamington
674446	132866	Mrs. Stoddard
674446	165414	Jane Fowler
674446	165448	Mrs. Fairfax
674446	166359	
674446	168864	Mrs. Tremayne
674446	169911	Caroline
674446	174521	Kate (old)
674446	191964	Lady Lorradaile
674446	194583	Lady Dugal
674446	245033	Lady Belfield
674446	291787	Mrs. Waltby
674446	298079	Matilda
674446	299543	
674446	314157	Prioress
674446	320262	Phyllis Segal
674446	330547	Mildred Hoving
674446	335098	Bridget Allworthy
674446	336697	Sister Henry
674446	338989	Miss Trafalgar Gower
674446	342868	Mrs. Ashby-Kydd
674446	345839	Mariya Vasilyevna
674446	355060	Mrs. Raskin
674446	367733	Emily Maurier
674446	381601	Mother Superior
674446	382169	Grace Willison
674446	387471	Kat Ashley
674446	393427	Duchess of Marlborough
674446	393491	Lady Manners
674446	396073	Aunt Juliana
674446	405026	Margaret of Burgundy
674446	405677	Miss. Maiden
674447	79972	
674447	144481	Lydia
674448	199388	Nun
674449	136828	Josephine Corcoran
674449	162100	Celia
674449	213588	Peep-Bo
674449	256626	Isabel
674449	264161	Lady Psyche, Professor of Hum
674450	344737	
674450	379810	Herself (week 1+2)
674451	31650	Lisa
674451	79585	Julia
674451	189548	Isabelle
674451	217231	Ina
674451	325493	Nadesha Krusenstern
674451	325568	Nadeshda Krusenstern
674451	325601	Nadeshda
674451	325755	Nadeshda Krusenstern
674451	325805	Nadeshda Krusenstern
674451	395508	Greti
674453	405209	Jozie Fisher (1998)
674454	95271	Maid #2
674454	257746	Beatrice
674454	341049	Nurse Dobson
674455	19393	
674456	236524	Jennifer
674457	76895	Tentou no Onna
674457	198947	Beauty
674458	364558	Girl Group Singer
674459	338756	Cindy
674460	86992	Sarah Taylor
674460	195987	Jeniffer
674461	275506	Nurse
674462	193204	Lil
674463	222037	
674463	226153	
674464	80034	Tenant
674464	203917	Woman in Lobby
674465	4796	Jadwiga
674465	95897	Jadwiga Janowska
674466	371043	Hortense
674467	65975	Dorothy Wordsworth
674467	65976	Dorothy Wordsworth
674467	121835	Herself
674467	151430	Narrator
674467	190068	Barbara Good
674467	208664	
674467	240835	Christopher
674467	249457	Jill Saunders
674467	250920	Herself
674467	297125	Lizzie Buckingham
674467	342361	Viola
674467	349876	June Mathis
674467	360507	Elsa
674467	368135	Grace Melbury
674467	383277	Helena Cuthbertson
674467	387334	Princess Vicky
674467	390330	Barbara Good
674467	391941	Nancy Belasco
674467	397939	Maxine
674467	403767	Rosemary Boxer
674467	405042	(segment "Romeo & Juliet")
674467	405847	Gemma Palmer
674468	2334	Miss Violet Stoneham
674468	43327	Lucia Lane
674468	127002	Miss Gilby
674468	141548	Mrs. Saunders (The Nineteen T
674468	170908	Ruth's Mother
674468	273278	Herself (in segment "Shoe Sho
674468	297125	Mrs. Bowen
674468	388428	Mrs. Viccary
674469	45548	Young Girl
674470	355332	Herself
674471	19197	Teresa
674472	61583	Louise
674473	16642	Miss Botting
674473	45853	Nurse McTavish
674473	46330	
674473	62793	Carol
674473	118623	Mrs. Ponder
674473	143533	Janus the Bartender
674473	186421	Pat
674473	186422	Pat
674473	210636	Jeanette
674473	232450	Riat Bowman
674473	292249	Dykin
674473	375131	Tolls Supervisor
674473	391395	Woman Shopper/Janus
674473	403376	Mrs. Lewisham
674473	405209	Ngaire Gleeson (1999-2000)
674475	199079	Betty
674476	59729	Sister Phillips
674477	80557	Newscaster
674478	199477	Factory Manager
674479	92509	Sarah Carew
674480	97580	Marion Estelle Edison
674481	266618	Monica
674482	147515	Clerk
674483	246479	
674484	365425	Alice
674485	46834	Lily (The Maid)
674485	131393	Mrs. Joe
674485	151761	Annie
674485	275390	Publican's wife
674485	291539	Matron - Miss Biggs
674485	294215	Charlotte Palmer
674485	313361	Linda Copeland
674485	347112	Matron
674485	380802	
674485	382808	Various Characters (1968-1969
674485	385388	Elizabeth Wait
674485	387533	Peggy Sugden/Skilbeck (1972-1
674485	389146	Landlady
674485	393302	Molly Dodger
674485	400111	Bus lady
674485	400709	Adelaide Palliser
674485	401416	Mrs. Bardell
674485	404401	Jane
674485	405525	Anne Stanhope
674485	408813	Sarah Hawkins
674486	204192	Registrar (Science Fair)
674487	219166	Telephone Girl
674488	80444	Fantasy Couple
674488	240682	Jenny Albani
674489	78975	
674489	109252	Jenny
674489	135315	Marika
674489	152860	Missy Bainbridge
674489	321559	Lisa
674489	326410	Carla Briggs
674490	4720	Ronnie
674490	7092	Isabelle, Countess of Marcroy
674490	51855	Slave Girl
674490	58810	Bit Part
674490	69845	Monica Hathaway
674490	75611	Sandra Beverley
674490	77613	Doreen
674490	88884	Isobel
674490	93271	Bit Part
674490	109419	Carol
674490	111933	Bit Part
674490	125620	Rosalind Peters
674490	138800	Secretary
674490	163357	Lady Caroline
674490	183670	Sylvia
674490	188023	Lady Sybil Wren
674490	193622	Patsy
674490	204800	Vera
674490	209616	Lonely Hearts singer
674490	231775	One of Helen's Girls
674490	241079	Dolly Fabian
674490	275364	Sheila Broadbent
674490	302128	Laura Foster
674490	312286	Eve Lewis
674490	316677	Barbara Gale
674490	358876	Lady in Waiting
674490	366178	Alexia LaRoche
674490	377462	Scenes: Les Girls
674491	120268	Mitzi
674492	1792	Miss September 1990
674492	52312	
674492	257649	Miss March
674492	257682	Herself (Playmate)
674492	257866	
674492	296353	Herself
674492	361850	Herself
674493	58494	Bartender
674493	100209	Blonde Woman
674494	83657	Pam
674495	31735	Drew Clayton
674495	37092	Melissa
674495	383935	Emily Hoover (1991)
674495	399838	Ariadne Shreuder
674496	73481	
674496	106632	Reporter
674497	355332	Herself
674498	138751	Specialty Act
674498	223105	
674498	289244	
674499	32531	Lady Homeowner #1
674499	37995	Secretary
674499	77207	Religious female traveler
674499	78104	Lawrence's Mother
674499	88852	Mrs. Webb
674499	97611	Nun
674499	124594	Miss Lydgate
674499	131797	Mrs. Holland
674499	142924	Lady Bona
674499	161918	Lucy
674499	194513	Miss Lydgate
674499	224566	Mrs. Dainty
674499	232873	Mrs. Parsons
674499	258550	Mrs. Crump
674499	279757	Old Woman
674499	301254	Mrs. Smith
674499	329456	Antoinette
674499	334271	Hilda Cordwainer
674499	340106	Andromache
674499	366463	Emilia
674499	366876	Meg
674499	384497	Ellen
674499	392172	
674499	395750	Mrs. Jessop
674500	34646	Herself
674501	61707	Woman at party
674501	391835	Talking head/soundbites (segm
674502	34116	Hill's Angel
674502	69382	Beauty Contestant
674502	368416	Girl in Hotel
674503	173931	Stewardess #2
674503	304680	Kay
674504	210242	Herself
674504	368392	Herself
674504	391222	Herself
674505	383363	Policewoman (The Wife of Bath
674506	2212	Louise Hammond
674506	6907	Laura Sutton
674506	7285	
674506	38772	Mrs. Jordan
674506	64553	Natasha
674506	67373	Sue
674506	70897	Jane
674506	72662	Sally
674506	79018	Vangie/Merrimay
674506	110267	Sarah Ruthven
674506	120931	Fraeulein Doctor
674506	123338	Candace
674506	191399	Judith
674506	252385	Barbara Willason
674506	287268	Sue
674506	310483	Barbara
674506	315449	
674506	323913	Ann Patrick/Beatrice
674506	332065	Prue
674506	334307	Gillian Blanchard
674506	343990	Julia
674506	348349	Melissa Smythe-Fury
674506	348380	Polly
674507	105793	Alice
674508	59729	Art Class Students
674509	391772	Emma Milburn #2
674510	133995	Black girl
674511	42854	Punter
674512	92926	
674513	176710	Brunette
674514	129201	Rebel
674514	390145	Gladiator 'Rebel'
674515	389707	Herself (2000)
674516	10614	Woman on street
674516	128511	Lisaveta
674516	275106	Gram
674516	358434	Mother
674517	157791	Marie
674518	72124	Cameron
674518	222213	Golf Cart Girl
674518	366842	Lori
674519	121552	Casey DeLune
674519	222213	Golf Cart Girl
674520	376972	Clim enfant
674521	266996	
674522	333885	Herself (daughter of Edith Ha
674523	232387	3. Nonne im Kino
674524	62495	
674524	297069	Amana
674525	296763	Nettie, Additional Voices
674526	53033	Fritzi Wagner
674526	223904	Herself
674526	397190	Sadie Winterhalter
674527	252524	School Secretary
674529	380279	Deputy Constable, Harris Coun
674530	373216	Little Bo Peep
674531	121997	Herself (Volume III: Seers)
674532	261986	Receptionist
674533	92660	Dracula's bride
674533	366803	Rebecca Constanzo
674534	184469	Park Extra
674535	88522	Rita
674535	197481	Beth
674535	232839	Suburban mum
674535	287509	Female Detective
674536	292415	Sowerby daughter
674537	33599	One of Frenchie's Girls
674537	232200	Secretary
674537	343160	Showgirl
674537	365762	Mrs. Martin
674538	40679	A Village Blossom
674538	96905	
674539	71474	Dancer
674540	363182	Mrs. Wadsworth
674541	35263	Girl D
674541	78789	Murdoch's Mum
674541	196845	Carol Anne
674541	199142	Mary Lou
674541	365779	Nurse
674541	396067	
674542	65895	Mrs Campbell
674543	220951	
674544	270151	Mrs. Cratchit
674545	41645	
674545	76932	
674545	83800	
674545	110214	
674545	121555	
674545	140952	
674545	151208	Mendi
674545	250651	
674545	255397	
674545	257620	Herself
674545	360309	Nurse
674545	401924	Herself
674546	180824	
674547	234954	
674547	409388	Herself
674548	67445	Maria
674548	101724	
674548	112192	Maria
674548	355670	Rita
674548	356418	
674549	57981	Dora's Client
674550	13348	Boots McAfee
674550	17156	Sheila Sandusky
674550	149109	Marlene
674550	151162	Carla Mae
674550	191755	Dana
674550	220567	Gerri
674550	252915	Angel
674550	254994	Karen Cimino
674550	263334	Jena Hoeman
674550	264154	Kiki Kavanaugh
674550	368224	Beverly
674550	384545	Mousie
674550	411400	Judy Randall
674551	151162	Mrs. Cott
674551	267607	Mrs. Conroy
674552	116053	Angela
674552	161870	Lady Lo
674553	391258	Herself
674554	366981	Christina
674554	391048	Julie
674554	410702	Various characters
674555	328432	Fille Bagarre
674556	40377	Nurse Agnes Dairen
674557	276736	
674558	163414	Margit Szabo
674559	304274	Blanche Murdock
674560	367073	Child Munchkin
674561	328451	Mrs. Matia Devlin (the public
674562	43642	Fatima
674562	57876	La Patissière
674562	148775	
674562	346730	
674562	370013	Zana
674562	377848	Micheline Bodel
674563	249548	Whore
674564	378779	
674565	38684	Aunt Mimi
674565	184218	Neighbour Woman
674565	392702	Mrs. Johnson #1 (1986-1989)
674565	395564	Ethel Goodchild
674565	395793	Mrs. Boswell (1975-76)
674566	387203	Megan Bromley
674566	391869	Elaine Gardiner (19??)
674567	309572	Samantha
674567	387009	Sarah
674568	289452	Francine Swedlin
674569	227549	Trisha
674570	1681	Herself
674570	351035	Sonya
674570	391031	Astrid
674570	405209	Lucinda Reeves (1997-1998)
674570	406707	Joni Collins
674572	47045	
674573	29524	Lover 1
674573	161294	
674573	195740	Soap Opera Player Gwen
674573	252877	
674574	380908	Debbie (1983-1984)
674574	402890	Various
674575	88998	Tania
674575	303753	Randi
674576	90932	Wicca priestess
674576	279342	Herself
674577	30046	
674577	288931	Loretta
674577	295488	Kelly (segment "Blurred")
674577	314954	
674577	357156	
674578	20562	Herself - Mother-in-law
674578	233307	Herself - Arriving for JFK Fu
674579	279649	Herself
674580	45423	Debbie
674580	342673	Amy
674581	162883	Mildred Hall
674582	30311	Kylie
674582	46383	Jacky
674582	245273	Lucy
674582	403355	Fiona Matthews
674582	405960	Ginny Doyle (1985-1987)
674583	382740	Herself
674584	234627	
674584	289452	Stewardess
674584	341142	(segment "Madrugada - Amor na
674585	289492	Mrs. Lucretia Green
674586	391223	Margaret Fisher
674587	49345	Waitress
674588	222745	Hazel
674588	224176	Sabine
674588	305345	Anne Marie (segment "Joke")
674589	131219	Inspector
674590	340932	Billie
674591	31327	
674592	159889	Holly
674592	166893	Pamela Hampton
674592	178862	Reporter
674592	245142	Chris
674592	254625	FBI Agent
674592	335092	Tom's wife
674592	335334	Vick
674593	60273	Candy
674593	115432	Beth Lyle
674593	123460	Ginger
674593	395056	Andrea Gibbons
674593	397077	Panelist (1980)
674594	192282	Herself/Panelist on "Front Pa
674594	389419	Herself/panelist (1961-1995)
674594	400247	Herself/panelist
674595	382740	Herself/Girl who spilled the 
674596	205417	Tourist woman
674597	923	Herself
674597	34648	Herself (with her mother)
674597	35629	Herself
674597	94668	Herself
674597	105721	Herself (with JFK)
674597	118271	Herself
674597	147829	Herself
674597	167324	Herself
674597	168513	Herself
674597	195576	Herself (in the Rotunda)
674597	203572	Herself (at funeral of JFK)
674597	210854	Herself (at funeral of JFK)
674597	233307	Herself - Arriving for JFK Fu
674597	282919	Herself (with JFK)
674597	310710	Herself (with her parents)
674597	320108	Herself
674597	323596	Herself
674598	163461	
674598	200492	Greta (segment "Lust")
674598	242377	Jo Mason
674598	289841	Rose
674598	363043	Sheila Gosse
674598	395963	(1973)
674598	398990	Pauline
674599	9004	Melissa
674599	29186	Cheerleader #2
674599	411517	School Girl #1
674600	411759	Cindy (1979)
674601	131473	Boa Constrictor
674602	163203	Pretty girl #1
674603	104945	Herself (Interviewee)
674604	102581	Trolls
674605	405249	Movie Reviewer
674606	11446	Bar Patron
674606	46334	Motel Clerk
674606	340861	Mom
674607	20613	Dawn
674607	45217	Maizie
674607	46729	
674607	107688	Bit Part
674607	107698	Gloria
674607	127697	Model
674607	128440	Troupe member
674607	145007	Bridesmaid
674607	199592	Maid
674607	231964	Palace Maiden
674607	282649	June Bailey
674607	286197	Salome girl
674607	295293	Girl in band
674607	300068	Bit
674607	308393	Louise Markham
674607	330836	Receptionist
674607	331764	Show Girl
674608	121529	
674609	48240	Trish
674609	81116	June
674609	100192	Newspaper Librarian
674609	154094	Rose
674609	155674	Leanne the Detective
674609	171930	Mrs. Millhouse
674609	224154	Receptionist
674609	280737	Chantal
674609	314719	Trish
674609	318645	Joyce Johnson
674609	321466	Billie
674609	329307	June
674609	333127	Dawnie Melville
674609	358262	
674609	358752	
674609	378753	Sharon Kerley
674609	383882	Connie Reynolds
674609	389067	Isabella Rudd
674609	403244	Dr. Helen Ashford
674610	241316	Restaurant Patron
674611	295319	The Waitress
674612	191799	Erin's Voices
674613	286300	Girl in jacuzzi
674614	5048	Nurse
674614	64090	Female truck driver
674614	74248	Emily Miller
674614	93220	Reporter
674614	164486	Mrs. Ward
674614	281415	Woman
674614	313695	Nurse
674614	329533	Switchboard Operator
674614	366584	
674615	183229	Swan
674615	216962	
674615	279388	Little O'Leary Girl
674615	364389	The kid
674616	300180	Photographer
674617	9006	Wilma
674617	9007	Tammy's Mom
674617	63083	Judge Marion Oldengray
674617	170881	Fumie Morita
674617	223639	Teacher
674617	257982	Mokuren
674617	272209	Madame St. Paul
674617	287769	Mom
674617	314688	Nurse #2
674617	368997	Bow in the Eye Musician
674617	371972	Suzunagi
674617	381069	
674617	382648	Shiela Glass, Naoko, Dr. Mido
674617	384080	Woman At Shelter
674617	385172	Marsha/Various
674617	386922	Baba/Additional Voices (1997-
674617	386928	Additional Voices
674617	387775	Elysse Aston
674617	390961	Kana's Mom (Cindy)
674617	392964	Princess
674617	394440	Backdraft Official, Sarah
674617	395762	
674617	396526	Kyoko Otonashi
674617	397054	Student, Adult Student
674617	402863	Madame St. Paul (season 5, 7)
674617	404062	Tamasaburo
674617	405027	Zuma
674617	405356	Lebia Mavelich
674617	406012	Mio Date, Bandaged Man
674618	685	Herself
674618	154368	Herself
674618	168109	Joan
674618	388881	
674618	391876	Narrator
674618	395335	Various roles (1999)
674618	401163	
674618	401578	
674618	405708	Heidi
674618	405768	Presenter
674618	407877	TV/Film Critic (2003-2004)
674619	90342	Lily Johnson
674621	255827	Bit Part in Church Scene
674622	14044	Herself
674622	90932	Herself (at 1968 California p
674622	94668	Herself
674622	112323	Herself
674622	142809	Herself (walks in King funera
674622	167324	Herself (behind RFK during fi
674622	233307	Herself - behind RFK during F
674622	240649	Herself
674622	244824	Herself - at funeral of King
674622	310711	Herself (at 1964 convention, 
674622	314138	Herself (behind RFK)
674622	384590	Herself (with RFK at final sp
674623	72664	Student
674624	364782	Holly
674624	411291	Perdita
674625	50171	Mrs. Ward
674626	44433	Zella
674626	184548	Enid the Maid
674626	364271	
674626	405875	Regular
674627	90342	Holly Johnson
674628	92230	Chorine
674629	323717	Beryl
674630	90342	Georgina Johnson
674631	37473	Airport X-Ray Operator
674631	397262	Sara
674632	19138	Pandi
674633	306151	Florence
674634	126686	Sally Clark
674634	187984	Waitress
674634	264205	Wet T-Shirt Girl
674634	272909	
674635	364465	Dancer
674636	59798	Herself
674637	164641	Hospital patient
674638	63835	Beattle Burroughs
674638	394663	Sidriss (1992-1994)/Greystagg
674639	237926	Gran
674640	2500	
674641	923	Herself
674641	3743	Herself
674641	29369	Herself
674641	33419	Herself
674641	34648	Herself (with casket at Andre
674641	43432	Herself
674641	47758	Herself
674641	47911	
674641	57529	Herself
674641	64724	Herself (with JFK)
674641	81092	Herself
674641	94668	Herself
674641	105721	Herself (in Dallas with JFK)
674641	118271	Herself
674641	142809	Herself (in Dallas)
674641	147829	Herself
674641	151093	Herself (conducts White House
674641	152301	Herself
674641	164660	Herself
674641	167324	Herself in Zapruder film
674641	168513	Herself
674641	195576	Herself (at Love Field)
674641	202194	Herself (at funeral of JFK)
674641	203572	Herself (at funeral of JFK)
674641	210853	Herself
674641	210854	Herself (at funeral of JFK)
674641	228981	Herself (with Caroline and Jo
674641	233307	Herself - with Jack in Dallas
674641	263754	Herself
674641	273337	Herself (at funeral of JFK)
674641	282919	Herself (in Dallas with JFK)
674641	306364	Herself - with John F. Kenned
674641	310702	Herself (with JFK)
674641	310707	Herself (in convertible with 
674641	310710	Herself (awaits 1960 election
674641	310711	Herself (at funeral of JFK)
674641	320108	Herself
674641	336867	Herself
674641	337129	Herself
674641	355859	
674641	380018	Herself
674641	384590	Herself
674641	385285	Herself
674641	388268	Herself
674641	397430	Herself
674641	410168	Herself
674642	170411	Sue
674643	27210	Parliament House Tour Guide
674643	30084	Natalie Thigh-Blaster
674643	82128	Various Characters
674643	239862	Caroline Chisholm
674643	382613	Reporter
674643	389442	Brooke Vandenberg (1994-1997)
674643	389525	Cassie ('Verity Svenson-Hart'
674643	395225	Bev
674643	395225	Various (1992-1993)
674644	1781	Herself
674644	2288	Herself - Presenter
674644	37403	Shana
674644	37405	
674644	42346	
674644	42705	Julie Winters
674644	64567	
674644	72111	Monique Lawrence
674644	81099	
674644	134686	
674644	138700	Herself
674644	183815	Louis's date
674644	188333	Girl at Factory
674644	223362	Serena
674644	224593	Chocolate
674644	232282	Face in the Fire
674644	379701	Assistant
674644	385914	Herself
674644	390612	Herself - Host
674644	406115	
674645	302494	Dancer
674646	120860	
674647	45505	Performer in Play - Zenobie
674647	130731	Paradise
674647	202467	Janice
674647	313828	Jackie Mullens
674647	327829	Mitch
674647	358305	Diana
674647	368994	Mary
674647	401732	Roxy
674648	308137	Stella
674650	77630	Madelaine
674650	159971	Sally
674650	299028	Suzie as an adult
674651	2555	Cathy
674651	16330	The Sound Person
674651	18032	Betsy
674651	67052	Waitress
674651	131739	Evelyn
674651	149441	Sara
674651	151703	Sharon
674651	157240	Screaming nurse
674651	185253	Hera
674651	192219	
674651	202258	Sonji
674652	37050	Mrs. Oliphant
674652	39703	Lady McTavish
674652	45760	Annie Moran
674652	78075	Claire Breedon
674652	81440	Lady Bracebury
674652	137198	Mrs. Harvey
674652	202996	Irma Russell
674652	203284	The Strange Lady
674652	236908	Lucia Gethryn
674652	276658	Irma Peterson
674652	289247	Mrs. Weston
674652	295369	Elizabeth Wentworth
674652	342380	Lady Thora
674653	104857	Second Housewife
674653	108617	Dave's mum
674653	187048	Striker
674653	215789	Neighbor
674653	273246	Deirdre
674653	310866	Second Woman
674653	402031	Dorothy Fuller
674654	112708	Meg
674655	129575	Nurse Beverly
674656	80801	T.V. Reporter
674656	82017	WWN Newscaster
674656	150826	Matron
674656	157595	Joan
674656	190028	Mary Mitchell
674656	256188	Cast Member of Zombie Beach P
674656	257293	Receptionist
674656	362307	Coffee Shop Woman
674656	362860	Mrs. Johnson
674657	328258	Ice Cream Fight
674658	143284	Travel Agent
674659	158684	Mel Reeves
674660	67040	Herself
674660	67396	Herself
674660	70260	Herself
674660	72824	Herself
674660	96592	Herself
674660	159177	Herself
674660	201513	Herself
674660	201661	Herself
674660	201715	Herself
674660	201750	Herself
674660	291828	Herself
674660	311856	Herself/Interviewee
674661	69895	Herself
674662	135206	Ethel Firecracker
674663	285178	Housekeeper
674664	229860	Dancer
674665	159770	Nurse
674666	274461	Singer
674667	105226	Motel Girl
674668	9006	Little Girl
674668	80640	Maggie MacGowan
674668	224089	Patsy
674668	287727	Pamela
674669	73493	Herself - Robert F. Kennedy's
674671	80695	Dancer in Nightclub
674672	215690	Miss Rhode Island USA
674673	26289	Elizabeth Wiatt
674673	381066	Elizabeth
674674	234226	Fairy Dancer #1
674675	66874	
674675	89967	
674676	238648	
674677	290936	Young Velma
674677	306278	Child #1
674677	314805	Nina
674678	62542	Ellen
674678	86042	Ellie
674678	195812	Lavinia Whitcomb
674678	250573	FBI receptionist
674678	252993	Mrs. Blair
674678	298573	Alice Faulkner
674678	342628	Peg Yaeger
674678	360712	Wedding Guest
674678	387309	Dr. Phoebe Smith Jameson #3 (
674678	394311	Pat Lawford
674678	407139	Cornelia Booth
674679	298007	Sally Harris
674680	202244	
674681	326778	Mrs. Fiore
674682	308128	Marin's Baby
674683	26382	Tish's Grandmother
674683	26385	Zoie
674683	27186	Gloria Waring
674683	41480	Floss
674683	56925	Mary Halloran
674683	77930	Clytie Rogers
674683	79365	Rosie Mendelsohn/Lady Diantha
674683	79749	Primrose
674683	79850	Mrs. Johnson
674683	88566	Mrs. Flagler
674683	89673	
674683	107441	Sylvia Maynard
674683	120177	Dorothy Dean
674683	128531	Kittie Swasher/Miriam Smith
674683	142670	Emily Ray
674683	145029	Sally Raeburn
674683	151173	Mrs. Farnsworth
674683	177647	Ruth Betts
674683	186814	Susan Burbridge
674683	188404	Miss Manners, Clement's Secre
674683	197765	Anna Cornelia Van Gogh
674683	198049	Margery Burkley
674683	201068	
674683	205089	Lady in Bank
674683	206476	Judge Anne B. Carroll
674683	229140	Betty Griffon
674683	231398	Grace Havens
674683	235062	Housewife
674683	238914	Mary Meacham
674683	239007	Dorothy Brennan
674683	244867	Dodo Warren
674683	252900	Lucille Le Jambon, aka Lucy H
674683	258295	Mary East
674683	267552	April Blair
674683	271294	Mrs. Smiley
674683	289421	Sheila Kane
674683	294952	Marilyn March
674683	316887	Fanny O'Gorman
674683	330218	Mrs. Laydon
674683	331264	Aunt Martha Craig
674683	331500	Molly Townsend
674683	331923	Isabel Carter
674683	340998	Becky Warder
674683	357996	Herself
674683	358779	
674684	289671	Phone Number Lady (segment "I
674685	155013	Party attendee
674686	42325	Valerie Hemple
674686	170966	Yankee Doodle
674686	392015	Gordon the Gorilla/Wolfie
674687	68450	Natalie Murphy, Backup Singer
674687	122025	Roisin
674687	125557	Frances
674687	134178	Bel
674687	154116	Maggie
674687	164231	
674687	207706	Sarah Kelly
674687	215563	Christine
674687	217411	Alice
674687	224853	Foxy
674687	235630	Ann
674687	311196	
674687	332149	Nina Bannister
674687	399567	Kitty Fogarty
674687	400110	Irish Shop Assistant
674687	402610	Marie Jones
674687	402611	Marie Jones Threepwood
674688	90342	Katie-Jo Johnson
674689	12182	
674689	41697	Water
674689	192121	Betty Schuyler
674689	371884	Antoinette Castleman
674690	104770	Host
674690	387959	Herself - Presenter (1995)
674690	400324	Presenter/Herself (1998-2004)
674691	46334	Waitress
674692	147904	Herself - Tile Artist
674693	250721	Slave Master's Wife
674694	246335	Mary
674694	365409	
674695	162979	Corinthian Circle member
674696	94248	Sandra
674696	186152	
674696	377962	Amanda
674697	355065	Cheerleader
674698	102786	Ginger
674699	2088	Tess
674699	5836	Shoplifter
674699	18964	Mailai
674699	48468	Lorraine
674699	70275	Lincoln
674699	89688	Maria
674699	116829	
674699	121497	Janie
674699	170843	Samantha
674699	208527	Mama Canady
674699	217532	Janine
674699	229729	Max Impact
674699	232073	Mouse
674699	252976	Deb Murphy
674699	253347	Suzy Richards
674699	321654	Betty, the Store Clerk
674699	343384	Emma Carol
674699	360647	Miranda's Friend
674699	375863	Alexandria Wolfe
674700	11665	Gloria Neuchard
674700	20287	Flo Sandberg
674700	30201	Miriam Locke
674700	36957	Mary WIlson
674700	47292	Billie Moore
674700	64605	His Step-daughter, A Circus R
674700	67866	Pat Riley
674700	90256	Ruby
674700	96945	
674700	99841	Day File Clerk
674700	124698	Mildred Field
674700	127230	Jane Worth
674700	154335	Information Girl
674700	154417	Alice
674700	167707	Jitters, the Typist
674700	177401	
674700	183846	Ann Duryea
674700	186054	Marybelle Evans
674700	213244	Ellen Harboard
674700	259229	Evelyn Hume
674700	271879	Doris Lawrence
674700	274423	Lynne Monitt
674700	304024	'Honey' Skinner
674700	308336	Isabel
674700	314482	Madge
674700	367962	Claire
674700	368624	Mary Thurston
674701	26289	Elizabeth Wiatt
674701	381066	Elizabeth
674702	26355	Jane
674702	31194	Herself - CBS Team Contestant
674702	46742	Eloise Davis
674702	48699	Mrs. Bunny Bowman
674702	58959	Sally
674702	81052	Woman #2
674702	102514	Laura Ambrosino
674702	115110	Kate Cantrell
674702	126696	Jenny
674702	155030	
674702	156970	Eli's Mom
674702	220418	Mrs. Gridley
674702	220857	Eloise Davis
674702	241166	Connie
674702	260439	
674702	265750	Annie
674702	267088	Marla Hunter
674702	273569	Celia Barron
674702	302944	Karen
674702	330376	Arlene
674702	378823	
674702	381975	Regular Performer
674702	386248	Abigail Kathleen 'Abby' O'Nei
674702	388346	Andrea Tobin
674702	391898	Ruth Sloan
674702	393608	Barb
674702	403509	Pat Kennedy
674702	404371	Eleanor Alexander Burton
674702	406146	Doris Winger
674702	406579	Victoria
674702	409233	Nan Gallagher
674703	193176	Tammy
674704	109048	
674704	346830	Carrie Strauss
674705	166635	Little Girl
674706	346016	Seamstress
674707	71751	Maud Dickens
674707	82974	Sylvia Swift
674707	126700	Miss Chapman
674707	177232	Miss Morris
674707	203574	
674707	206360	
674707	223758	Aunt Gussie
674707	238689	Mrs. Rourke
674707	279413	Jean
674707	391774	Mrs. Muldoon
674707	395104	Old Maureen Quinn
674707	403277	Kathy Basklain
674708	12231	
674708	34817	
674708	36905	
674708	39253	
674708	43470	
674708	43471	
674708	43520	
674708	50711	
674708	55289	
674708	87389	
674708	115059	
674708	130744	Brenda
674708	136253	
674708	142521	Nancy
674708	183363	
674708	188053	
674708	188066	
674708	188113	
674708	219146	
674708	292604	Customer #2
674708	310832	
674708	316731	
674708	319703	Cindy the Bartender
674708	325246	
674708	338346	
674709	402888	Herself
674710	108848	Mother
674711	126058	Herself
674712	382740	Herself (Episode 1)
674713	14163	Information Clerk
674713	21300	Marie
674713	54952	
674713	57169	Susan
674713	61164	Maid
674713	69302	Dolly
674713	73230	
674713	78140	Maid in Kane's Apartment
674713	85822	
674713	92435	Annie
674713	96853	Mamie
674713	107581	Miss Dale, Walter's Secretary
674713	117545	WAC Technical Sergeant
674713	141665	Ethel
674713	162528	Daley
674713	169604	Marie
674713	176846	Autograph hound
674713	183679	Drunk Tourist
674713	186004	Priscilla Conklin
674713	192721	Annie Pearl, the Maid
674713	195303	Terry's Maid
674713	215927	Townswoman
674713	219916	Annabelle
674713	223903	Woman in Theatre Box
674713	228272	Milly
674713	233659	Waitress
674713	240437	Worker
674713	241078	Waitress
674713	241134	Telephone operator
674713	249518	Abagail
674713	255224	Phyllis
674713	277531	Patsy Flick
674713	299035	Hortense
674713	305472	Telephone Operator
674713	306774	
674713	308614	Bidder
674713	311559	Beautician
674713	312773	Hattie
674713	333344	Ina Smithers, receptionist
674713	346908	Woman
674713	355837	Jenny
674713	358035	WAC Sgt. Tex
674713	363464	Hotel Maid
674713	370555	Fanny
674713	372345	Elizabeth
674714	86954	Heather
674715	251194	Classroom Kid
674716	308128	Marin's Baby
674717	20477	
674717	20478	
674717	20480	
674717	20482	
674717	82903	Deborah
674717	104332	
674717	367589	Bar Waitress
674718	141664	
674719	94668	Herself
674719	118271	Herself
674719	167324	Herself (with family)
674719	310711	Herself (with RFK at micropho
674719	380018	Herself
674720	86319	Super Inga
674720	361907	Counselor
674721	323737	Prostitute
674722	200336	Little Red
674722	286701	
674722	327144	Alice
674722	365883	Sabrina Reynolds
674722	368321	Honey
674722	381148	Bunny
674722	387511	Sally Harper/Carol Harper
674722	397077	Panelist (1975)
674722	399968	Additional voices
674722	403834	Regular Performer (1972-1973)
674723	23935	Herself - audience member
674723	364227	Herself
674723	380281	Hostess
674723	383039	Presenter
674723	384608	Presenter (1999)
674723	389701	Host (1981-1984)
674724	401812	Dolly
674725	75360	Maeve/Shannon
674725	194034	Girl on rooftop
674725	311054	Mother
674726	82757	Tara
674726	109857	Baby Megan Banks
674727	382740	Herself (Episode 4)
674728	36744	The Model
674728	99412	Ellie Jackson
674728	104681	Game Show Hostess #1
674728	311946	Carla
674728	400982	
674729	380279	HSPCA Cruelty Investigator
674730	367073	Child Munchkin
674731	212026	Winner: Humanitarian Award
674732	79907	Dee Dee's Daughter
674733	387267	Dr. Jo Price
674734	399567	Mrs. Brosnan
674735	330258	Janice
674736	323029	Sheila Crombie
674736	407414	Joanna Ross-Gifford
674737	345636	Flashback mental patient
674738	98920	Agatha
674739	300527	Meter Maid
674740	138444	Brunch Guest
674741	1621	Antwan Tibbs
674741	28444	Alex Foster
674741	87936	Laborer #1
674741	164642	Jacob
674741	241148	Juke Joint Patron #2
674741	315190	Dancer
674742	303282	Herself
674743	382482	
674744	298761	First Woman
674745	55674	Nightclub Hostess
674746	403849	Staff Nurse Meryl Taylor
674746	408053	Wpc
674747	188712	
674748	143819	Princess Grannia
674749	41757	Herself
674749	314415	Herself
674750	154750	
674750	270632	
674750	396095	Reporter
674751	11170	
674751	116056	Myra Hansen
674751	200992	Dorothy
674751	236681	Norma Whittaker
674751	268017	Mrs. Foster
674751	323736	Cook
674751	380468	Mrs. Baker
674751	383513	
674751	391869	Floss McPhee (1988-1989, 2000
674751	394517	Rosa Bertolucci (1982-1984)
674751	399816	Norma Whittaker (1972-1977)
674751	403277	Lissie
674751	411245	Mrs. Tinsley (episode 8: Tarf
674752	126691	Sister
674753	45913	
674753	75031	
674755	241065	The Older Girl
674756	188278	Herself
674757	47526	
674758	397656	Herself - Host (1996-1998)
674758	403244	Melinda Burgess
674759	191900	Girl
674760	20625	Extra
674761	209221	Cheryl
674762	178139	Kimberly
674763	61656	Sasha
674763	130183	Agent Hoover
674764	236950	Motel hooker
674765	23467	Sally Reynolds
674765	41397	Betty Scott
674765	56701	Nan Baker
674765	64920	
674765	96753	Carol Flynn
674765	150066	Margaret 'Peg' Dale
674765	285397	Asmild
674765	309204	Tina
674765	321390	
674765	326770	Barbara Bonney
674765	392978	Polly (1961)
674766	185174	Tiffany Hunt
674767	106597	Little Girl
674768	65442	
674769	177076	The Bebes
674769	195608	Darla
674769	313958	Various
674769	358299	
674769	384442	Various Voices
674769	387482	Pam
674769	392965	Bus Driver/Clown/Various Voic
674769	403188	Deputy Trudy Wiegel/Jackie th
674769	406469	Various
674769	410301	Agatha Laupin
674769	410765	Tish's Mom
674769	411785	Various Characters
674770	99075	Assistant Principal's Secreta
674771	221174	Woman in Elevator
674772	396088	Mrs. Rivers, the housekeeper 
674773	16050	Guard #5
674774	198956	Sarah
674775	178139	Kim's Mother
674776	361766	Mrs Pearson
674777	382704	Xanthe Fairbarn (1999)
674778	178137	
674779	41657	Model
674779	108101	Herself
674780	5009	Ellie's Friend
674781	363300	German woman
674782	276197	Circus Performer
674783	391258	Herself (contestant)
674784	1106	
674784	8163	
674784	10283	
674785	42141	Freda's Mum
674785	144388	Bev
674785	397310	Gosia Maleski (1996-1998)
674786	221096	Secretary (Gloria)
674787	253569	
674788	132212	Reporter
674788	330057	Rest Stop Couple
674788	412066	Kenny
674789	196538	Mary
674790	266413	Jenny
674791	162292	Wedding Guest
674792	362722	Brendan and Trudy's Child
674793	16068	Local Reporter #1
674793	35439	TV Reporter
674793	44685	
674793	60186	Reporter Outside Steinmetz
674793	62280	TV Reporter #1
674793	73234	TV Reporter
674793	80794	Reporter #1
674793	108140	News Reporter
674793	129439	Colleen Bennett
674793	138784	National News Commentator
674793	155209	Newscaster
674793	169916	Female Anchor
674793	213358	Reporter #3
674793	229733	Reporter #2
674793	262387	Charlotte Purcell, Ch 9 News
674793	274476	TV Reporter #1
674793	307385	TV news anchor
674793	325058	Reporter
674793	333361	Newscaster, Bay Area
674793	344484	Reporter
674793	348607	Weather Woman
674793	361229	Local Reporter JC
674793	364203	Reporter
674793	390775	Reporter
674794	316028	Catherine Brady
674795	323960	Sally Murnahan
674796	390523	Jane Bishop (1985-1988)
674797	644	Judith
674797	132109	Madam Mamie
674797	139607	'Mouse' Woman
674797	169662	Mrs. Duffy
674797	195455	Tavern Waitress
674797	302116	Mrs. Lenhart
674797	403763	Mrs. Kay Waterman
674798	261992	Phone Booth Woman
674799	288934	Shelley
674800	372270	Herself - band singer
674801	407566	Pat Maxwell
674802	402988	Voices of Serena/Betty/Aunt A
674802	410661	Auntie Aggie/Bonnie Bearpaw
674803	23536	Shelly
674803	30970	Additional Voices
674803	42687	Krystal Lynn/Jacy Barclay
674803	116522	Car Neighbor
674803	161721	Grace
674803	161921	The Keeper/Claire Keeply
674803	214043	Brenda Webber
674803	267498	Dolly Sloan/Ivy
674803	280192	Dorie
674803	323583	
674803	333417	Chairman's Secretary
674803	392983	The Keeper/Claire Keeply
674803	397162	Rachel Leeds
674803	398578	Jane Atkinson
674803	404371	Jeannie Collins (1996)
674803	405960	Debbie Halliday (1985-1987)
674804	71443	Fiordiligi
674804	107489	Tytania
674804	155757	Ilia
674804	200150	Pamina
674804	211606	Anna Glawari
674804	216343	Aspasia
674804	216345	Aspasia
674804	410513	Frau Dustmann
674805	245672	
674806	169136	Child Chorus
674807	389858	Mrs. Lenore Weeks (1963-1965)
674808	169136	Chorus
674809	5192	Suzette
674809	6155	Hetty Sorel
674809	7089	Pollyanna
674809	9798	Princess
674809	10415	Penny
674809	11462	Various Roles
674809	16878	Eugenia Alabaster
674809	22960	Elizabeth Guinness
674809	27271	Maureen Hatcher/Agnes
674809	33807	Rebeca
674809	34610	Anna
674809	34744	Crepe Suzette (segment: Absol
674809	38961	Jolene
674809	40245	Caroline Wright
674809	41699	Mytyl
674809	41959	Isabelle
674809	45241	Clip from 'Absolute Beginners
674809	49389	Sick Lady on Train
674809	57665	
674809	61175	Joyce Cook
674809	62779	Linda Washbrook
674809	71183	Emilie du Cailland
674809	79057	Vicki
674809	89119	Deena
674809	89999	Lina
674809	93152	Kris Anderson
674809	107743	Deirdre
674809	120799	Nanda Gray, youth
674809	121521	Casey Spencer
674809	130581	Little girl at Christmas
674809	132454	Cheryl Steed
674809	133623	Pamela Buchanan
674809	138482	Sarah Sellinger
674809	142838	Angie Hennessy
674809	152514	Marcia Weller
674809	163348	Herself
674809	165556	Julia
674809	178693	Julie
674809	183797	Oscar, enfant/Oscar as a chil
674809	187266	Morgan le Fay
674809	188509	Rika van den Haas
674809	195331	Mia Farrow
674809	196481	Darcy Scott
674809	241243	Stella
674809	251109	
674809	269842	Tessa
674809	269923	
674809	298316	Alex
674809	301490	Eppie
674809	304072	Su
674809	310801	Donna
674809	328800	Herself
674809	330410	Denise
674809	333390	Dr. Anna Nolmar
674809	337484	Lady Margaret Plantagenet
674809	341759	Kelly Wheatstone
674809	341946	Jenny
674809	342435	Katie
674809	364390	Heather McKay
674809	381886	Guest Presenter (2001)
674809	385591	Herself
674809	386279	Young Diana
674809	387533	Sadie King (2004-)
674809	390573	Young Estella
674809	390987	Ruth Corder
674809	392416	Presenter (1986 episode)
674809	395165	Josie Cirolia
674809	396181	Luna (series 1)
674809	402169	Young Princess Charlotte
674811	390242	Moeder Carillo (1998)
674811	410441	Mathilde Beentjes (1993-1994)
674812	149258	Bamville Club Dancer
674813	348229	Sheila Gallagher
674814	6249	Cousin Ophelia Addams
674814	213314	Court Danseuse
674815	193376	
674816	68450	Mrs. Rabbitte
674816	125557	Mrs. Cahill
674816	154804	Bunny's Girlfriend
674816	276919	AA Chairperson
674816	283664	Mrs. Prendergast
674816	364869	Miss Grubb, Doyle-Counihan's 
674816	371376	Mrs. O'Neill
674816	389700	Lizzie O'Dowd
674817	155033	Grace Hoydt, Stewardess
674817	158918	Clarice
674817	280109	Kay Norton
674817	324261	Tina
674818	2419	From 'No Man's Law'
674818	32232	Sally
674818	41094	Jitterbug Dancer
674818	62081	Lotus
674818	93967	Cecily Graves
674818	95117	Faith Corey
674818	99949	Gypsy Smith
674818	106105	
674818	110553	Barbara
674818	115263	Hertha von Eltz
674818	119668	Ruth Mercer
674818	134325	Jean Royce
674818	135141	Jeanne Martin
674818	143140	Doris Maynard/Simmons/Thorne
674818	145874	Betty Baker
674818	159259	Joan Trent
674818	193648	Mimi
674818	193806	Mary
674818	206384	Beth MacDougall
674818	216937	Mildred
674818	232183	Ruth Kearns
674818	233670	Carol Everett
674818	233744	Toby Belcher
674818	239719	Edith Warren
674818	240018	Rose Maylie
674818	263591	Martha Tully
674818	266182	Anita Parsons
674818	273793	Beth MacDougall
674818	293755	Nona Devoux
674818	297104	Marjorie
674818	305330	Molly Waddington
674818	315303	Muriel Crawford
674818	321416	Mary Malone
674818	329589	Nora Moran
674818	345958	Jackie
674818	350505	Amelia Sedley
674818	361149	Billie Lee
674818	362333	Betty
674819	165442	Mr. Rochester's Maid
674819	189528	Gibbard
674819	206438	Mary
674820	18381	
674821	238552	Bitchy Doc's Assistant
674822	330784	Karen Barnes
674823	262024	Mrs. Thorpe
674824	70198	Carly Ekberg
674824	148250	Amanda
674824	334138	Amy
674824	344474	
674825	290347	
674826	366992	Maartje Tamboezer
674827	264170	Saleslady
674827	335347	Nurse
674827	358451	Girl with Juvenile
674828	350407	
674829	25784	Prostitute
674830	84648	
674830	325170	
674831	32775	Ffiona Ormerod
674831	37995	Tutor 2
674831	73843	Alison Hanratty
674831	81197	Night Nurse
674831	138899	Christmas Party Guest
674831	141666	Hilda Hulme
674831	165848	Polymele
674831	176348	Jasmine
674831	190000	Mrs. Nickleby
674831	219344	Ellen Morlang
674831	352880	Chris Lennox's wife
674831	366192	Merton's Party Companion
674831	381211	Mrs. Lamb (English laundress,
674831	384483	Dierdra
674831	404598	Diana Stacey
674831	409386	Mrs. Walshe
674832	105851	Tehani
674832	118980	Nick's Wife
674832	283410	Hula Girl
674833	48179	
674833	233333	
674833	323661	
674834	20536	Louise
674834	21449	Poochie
674834	24158	Midge Washburne
674834	26070	Blonde
674834	32983	Jenny Delaney
674834	47088	Myrtle
674834	52476	Jane Oakley
674834	55460	Marion Prescott
674834	55521	Maisie
674834	73789	Millie (Henry's wife)
674834	77919	Genevieve
674834	96569	Elmer's Girl
674834	115471	Mabel
674834	116217	
674834	128522	Isabelle Foster
674834	131719	Jeanne Carlyle
674834	140408	Maxine
674834	140646	Molly
674834	163283	Margie
674834	163359	Jackie Donovan
674834	177444	Ruby Smith
674834	185254	Amy Arden
674834	196881	
674834	214096	Susie Quinn
674834	215764	Jenny Delaney
674834	219166	Maizie West
674834	234090	Betty
674834	256085	Kay
674834	263083	Lola Carroll
674834	278854	Mary Dexter
674834	297967	Mabel
674834	307853	Rose Whitney
674834	312774	Mamie, Jersey's Girl
674834	316083	Maggie Moore
674834	327672	Sadie
674834	330159	Sue
674834	372553	Meg
674834	372932	Jean
674835	45234	
674835	114997	
674835	146307	Mrs. Ralph
674835	149841	Nell Higginbottom
674836	20625	Extra
674837	77638	
674837	109859	Joan
674837	232184	Ruth Wilson
674837	270476	Muriel Hanway
674837	364638	Bubbles
674838	214538	Cornelia
674838	338284	Monica
674839	313622	Raina
674840	105325	Nurse
674840	124224	Stephanie
674840	246923	Carol
674840	296838	Girl
674840	342414	Blonde
674841	340546	Glenda
674842	8000	Gail
674842	106461	Mother at Police Station
674842	113558	Bernice
674842	187098	Mrs. Wiggans
674842	187189	Lauren Lemming
674842	192278	Mom
674842	205658	Nurse
674842	223772	Tall Mother
674842	307898	Woman Reporter
674842	308440	Mother
674842	355670	Vivian
674842	367916	
674843	24003	
674843	40361	
674843	79169	Trixi
674843	138915	Lilo Busch
674843	166408	Melitta Cordi
674843	167141	Trude Schnäbele, Sekretärin
674843	168434	Friedl Distelhorst
674843	210051	
674843	265949	Herself
674843	282191	
674843	324687	Daisy Biedermann
674843	347658	
674843	347659	Evi
674843	352502	
674844	35640	Miss Coope
674844	55681	Berkeley Matron
674844	56967	Welfare Committee Member
674844	79148	Lady #1
674844	92621	Lady in Art Gallery
674844	137487	Lady Newhouse
674844	138234	Mrs. Hudson
674844	148222	Miss Heatherton
674844	194130	Lady Curator
674844	244883	Woman Client
674844	267106	Nanny
674844	387429	Olive King
674844	387533	Helen Eacott
674844	410728	Mona Hopgood
674845	263555	Anne de Bourgh
674846	14146	Mary, Daniels' Secretary
674846	153570	Becky Young
674847	270040	Girlfriend
674848	116937	Madge
674849	288619	Pam
674849	329847	
674850	332488	Claudia Nelson
674851	23441	Nancy's Coach
674851	26306	Attractive Girl in Car
674851	115568	Stewardess
674851	166007	Young Woman Writer
674851	175621	Barbara Duncan
674851	185624	Mrs. Powers
674851	315619	2nd Saleslady
674851	345686	Cindy
674851	382224	Colson's Secretary
674851	407684	Cheryl
674852	1599	Bridie Johnson
674852	32642	Jani
674852	32701	Florence Haddon
674852	35819	Louise Burt
674852	42025	Mme. Guillin
674852	43461	Ricki Merritt
674852	43680	Mrs. Lombard
674852	48059	Millie Crocker-Harris
674852	54832	Rosal
674852	55418	Irene Dale
674852	58810	Dolly Bellwood
674852	108619	Lucy
674852	120830	
674852	131641	Gwen Rawlings
674852	134454	Cora Seth
674852	152439	
674852	163635	Kitty
674852	171675	Mrs. Garrick
674852	194824	Louise Parker
674852	196490	Ellen Godden
674852	199742	Vittoria
674852	200110	Bianca
674852	203677	Lucy
674852	215577	The Encyclopedia
674852	215789	Phillida Meadowhite
674852	232334	Mrs. Da Tanka
674852	257987	Janet Halliday
674852	263973	Masie Springfield
674852	269456	Dorothy
674852	271612	Jill Duncan
674852	275380	Helena
674852	280246	
674852	299169	
674852	300045	Mrs. Smythe
674852	304787	Valya
674852	307402	
674852	334298	Herself
674852	340439	Trottie True
674852	359467	Frances Lane
674852	360072	Toni
674852	364396	Mary Radcliffe
674852	364730	Doxy
674852	367510	Agnes ('Madame Astra')/Voice 
674852	385299	Jennifer Lamont (1982)
674852	387710	Lady Kerwin
674852	389261	Special Guest Star (episode o
674852	405468	Queen Elizabeth I
674852	408005	Aggie Plunkett
674852	409249	Mary Clark
674852	409578	Margie Stringer
674852	410730	Rita Carpenter
674853	29310	Mrs. Conner
674854	26079	Lab Lady
674854	62430	Lisa (mum)
674854	263124	Grieving Mother
674854	361291	Marg Trinder
674854	398553	Const. Dee Suzeraine (crime s
674854	399201	Aunt Caroline
674855	62778	Reject Dancer
674855	256188	Pink Chiquita
674856	399201	Aunt Caroline
674857	318712	Baby
674858	13836	Executive #1
674860	64232	
674860	119180	Jenny
674860	135771	
674860	176925	Shirley May
674860	204317	
674860	308820	Mathilde
674860	346855	
674860	395001	
674861	271882	Mrs. Joe Kovacs
674861	278097	
674862	23904	La mère
674862	57929	Kathleen Donahue
674862	71154	Medora
674862	77716	Lisa
674862	350644	Performer "Cruel World" and "
674863	183243	Zangeres
674864	85630	Receptionist
674864	236047	Detective Lily Pons
674865	241553	Jurywoman
674866	78725	Girl #1
674866	393225	Herself (Glea Girl)
674867	364322	Neighbor Woman
674868	118935	First Woman
674868	366767	First Villager
674869	118314	Little Girl
674869	128386	Claire Rogers
674869	147650	Little girl
674869	289422	Marilyn Smith
674869	335649	Morton's Sister
674871	285756	Young Simone
674872	37923	Billie Piper's Mother/Herself
674873	240124	
674873	296526	Martha
674874	47370	Contralto in 'High Flyin' Num
674874	53558	Mrs. Gautier
674874	55055	Mrs. Marthie Winters
674874	257087	Mrs. Roberts, Landlady
674874	270381	Central Receiving Nurse-Recep
674875	193358	Bess
674876	115465	Indrani
674877	227539	
674877	286136	Kylie
674877	406918	Anna Gunther
674878	157436	Student
674878	282306	Phyllis
674878	326654	Pammy
674879	199047	Woman of the Sun
674880	116769	Dr. Judd's wife
674881	149256	Mrs. Hughes
674881	184858	
674881	213315	
674881	232318	Woman cleaner
674881	383627	Meg Thorn
674881	399596	Mother
674882	7457	Sylvie
674883	353605	
674884	396073	Ethel Holland
674885	54398	Danseuse
674886	53	Regina, Governor's Daughter
674886	25905	Ailene
674886	194085	May
674886	268699	Gang member's molested girlfr
674886	298380	
674886	371495	Nun
674886	371633	Peggy Lung
674887	307337	Stefania
674888	175621	Mrs. Hefsteder
674888	329548	Stand-up Comic
674888	341758	Mrs. Betty Purvis
674889	35592	
674889	170426	
674889	195542	
674889	221013	
674889	295793	
674889	341958	Janice
674890	277681	Ballroom Singer
674890	289726	Caroline Kennar (young)
674891	354886	Romona
674892	206921	
674892	223628	
674892	265329	
674892	307228	
674892	383438	Hermana Angelina
674892	383974	Adela
674892	386783	Anita
674892	388162	
674892	391852	
674892	397583	
674892	398489	
674892	398913	Jorgelina Grillo
674892	400640	
674892	401692	Roberta
674892	402427	
674892	402586	Tía Bijou
674892	402587	Tarcila
674892	410016	
674892	410404	
674893	12373	Entraineuse
674894	13450	Nurse Franklin
674894	17992	Colleen
674894	44046	Helen
674894	93148	Jean Davis
674894	135812	Townsperson
674894	146661	Prehistoric Man
674894	148901	Las Vegas Couple
674894	190711	Dee
674894	195843	Nurse Charlotte
674894	196522	Cinderella Venable
674894	203549	
674894	231386	Sidney the Agent
674894	236982	Card-Playing Patient
674894	243231	Fat Girl
674894	265761	Mrs. Weeden
674894	308071	Woman Fan
674894	323478	Charmaine
674894	342561	Linguini-covered woman
674894	363824	Heather
674894	401107	Mrs. Rene (1987-1990)
674895	116832	
674897	177591	Dante
674897	261212	Mamushi
674897	288943	Female Rebel
674898	63707	Senmenki/Demon of a Thousand 
674899	74258	Gertrude Kumalo
674899	116777	Nosipho
674899	120237	Thoko
674900	44429	Selena Wilkinson
674901	95130	Maschenka
674901	98310	Frau Scharf
674901	134903	Junge Nonne
674901	396167	
674902	377563	Olive Frey
674903	17721	Iraz 'Suzan'
674903	109958	
674903	349706	Sema
674904	8159	
674904	17721	Fatma
674904	51345	Müzeyyen Hanim
674904	109958	Fatma
674904	136742	Zarife
674904	138399	
674904	163178	
674904	178411	Huriye
674904	252083	Pembe
674904	350838	
674904	377563	Sachs, Susie
674904	380743	Süreyya Hanim
674905	85019	Natasha Carlton
674906	99968	Emma's Mother
674906	163547	Mrs. Castle
674906	183375	Phil Blakeney
674906	372120	Claire Segar
674906	387518	Sister Cowley
674907	290484	Melitta Herve
674908	229410	Hannah
674909	33600	Gladys
674910	28309	Candy
674910	150297	Geraldine
674911	385299	Edna Tilling (1985)
674911	393314	Miss Smith
674911	395647	Lady Sebright
674911	399304	Olivia Robertson
674911	407131	Mrs. Walker
674912	261855	L'Anglaise
674912	283035	
674912	291667	
674912	325976	Christine de Varenne
674913	25458	Herself
674913	71607	
674913	119484	Gail
674913	293095	Herself
674913	383546	
674913	388749	Herself
674913	398070	Marilyn Larson
674913	404086	
674914	109334	Betty Kent
674915	58487	Woman Visitor
674915	154614	Vegas Showgirl
674916	206536	
674917	190690	Janice Stenfield (college int
674917	289314	
674917	296507	Lens
674917	335380	Mother (Troma version)
674917	403550	Regis/Azonia
674918	1629	Jeff's Wife
674918	54614	Mrs. Disko
674918	369363	Mrs. Parker
674919	14212	Woman In The Ball Room
674919	29446	Dallas
674919	39237	
674919	44135	
674919	45209	
674919	51946	Banker/Loan Officer
674919	67378	Modeling Agent
674919	68149	
674919	75028	
674919	95752	
674919	108649	
674919	150374	
674919	154123	
674919	220669	Realtor
674919	223687	
674919	236307	
674919	242554	
674919	247989	
674919	281387	Receptionist
674919	302881	
674919	306908	
674919	319346	
674919	350422	
674919	353308	
674919	380088	Yesenia Solís
674920	110299	May
674920	298216	Cayla
674920	302748	Hey Girl
674920	382703	Cassidy Cartwright
674920	396616	Jennifer 'Stads' Stadler (199
674920	408496	Various Characters
674921	277676	Richard, Duke of York
674922	177935	
674923	328607	Bunny Girl
674924	394318	Regular Performer
674925	10337	Mrs. Hamilton
674925	12337	Mrs. Gould
674925	28989	Eleanor Searle
674925	30081	Nancy
674925	31991	Helen Wardell
674925	41039	Ghirlaine Bellamy
674925	44454	Frances Melrose
674925	47003	Irene Marley
674925	49960	The Virgin
674925	69681	Ariel Taber
674925	71537	Cora Simon
674925	100185	Nedra
674925	110354	Celida
674925	126594	Fannie Jasper
674925	128569	Mary Baker
674925	128894	Mrs. Simpson
674925	133874	Prudence Carrington
674925	137532	Poppy La Rue
674925	139762	Dora Fullerton
674925	140513	Madelon Arden
674925	147795	Prudence Martling-Great White
674925	148392	Beth Calhoun
674925	152571	Vera Sheldon
674925	154721	Vida
674925	155704	Katherine Minot
674925	155839	Jocelyn Margot
674925	159884	Justine Druce/Dorothy Druce
674925	160834	Faith Marlay
674925	167673	
674925	183348	Ann Harper
674925	185412	Alice Winthrop
674925	187740	Aline Stackton
674925	195465	Amy Van Clayton
674925	202946	Dianna St. Clair
674925	203176	Queen Anne
674925	203512	Edith Mallon
674925	203583	Marie Krauss
674925	210797	Mary Berwick
674925	215432	Judy Winslow
674925	218256	Lady Mary
674925	230790	Diana
674925	233753	Adrienne Deane
674925	238069	Millie Jessup, the Ocean Waif
674925	240958	
674925	251151	Marcine Dufrene
674925	270491	Effie McKenzie
674925	276379	Polly Benson
674925	279442	Philippa Crosby March
674925	283217	Mary Stanton
674925	296955	Dorothy Jordan
674925	316676	Harmony Wells
674925	319878	June De Lanni
674925	330297	Helen Saville
674925	338559	Beth Elliot
674925	339829	Herself
674925	342477	Twilight
674925	347027	Virginia Gilbert
674925	350017	Shirley Pennington
674925	356610	Madame de Pompadour
674925	364453	Margaret Forrester
674925	365291	Wild Honey/Mrs. Holbrook
674925	372067	Alice Farrell
674925	372412	Edith Doray
674926	45945	Lou Preston
674926	50949	Eileen
674926	113653	A Divorcee
674926	131618	Loretta
674926	170617	Goldie
674926	277628	Undetermined Role
674927	11609	Helen
674927	21300	Miss America
674927	36841	Girl
674927	40972	Gertrude, Harry's wife
674927	42023	Bit Part
674927	51885	Checkroom Girl
674927	59617	Inez Arranto
674927	64669	Ellen Roth
674927	66549	Girl
674927	67106	
674927	69431	Nurse #3
674927	70967	Peggy Woods
674927	71326	Phyllis Blake
674927	77767	Jean Royce
674927	79371	Telephone Operator
674927	87549	
674927	123240	Maggie
674927	133712	Erin Dolan
674927	140877	
674927	143577	Operator at control tower
674927	147384	Caroline
674927	151455	Junior's Mother
674927	154952	Bit
674927	177368	
674927	186411	Madge Mason
674927	200869	Shoe Customer
674927	203015	Hat Check Girl
674927	209652	Maris, Terry's Girl
674927	231317	Bit
674927	254488	Girl in Tag Sequence
674927	254997	
674927	268832	
674927	278079	Ginger
674927	288306	Barbara
674927	289236	Girl
674927	289422	Bit Role
674927	302629	Cigarette Girl
674927	312584	
674927	329341	Model
674927	331421	Middle-Aged Woman's Daughter
674927	331762	Chorus Girl
674927	336151	Sally Vlochek
674927	340370	Girl
674927	340755	
674927	341969	Model
674927	343113	
674927	345958	Gladys
674927	347411	Bit
674927	361300	Girl
674927	366492	Girl
674927	372050	Hat check girl
674927	372299	Singer
674928	90480	Herself
674929	315100	Mrs. Cornell
674930	185593	Young Girl Confessor
674930	271170	Little girl
674931	127572	Joanne
674931	194809	Nurse three
674931	208632	Commercial Girl
674931	384477	Hannah Phillips
674931	385820	Chanice
674931	386599	DC Katherine Foster (9 episod
674931	386963	Mica Masters-Hocknell (1998-1
674931	388321	Rachel Lacey (2002)
674931	390714	Tricia 'Supermouse' (1989)
674932	229941	Genna
674933	140953	Screaming woman
674934	149307	Young Couple #1
674935	55524	Ranch Girl
674935	67413	Sherry Lynn
674935	96674	Judith
674935	190607	Dancer
674935	286925	Ranch hand
674935	292823	Barbara Chase
674935	302646	Mary
674936	7862	
674936	32671	
674936	130020	Marjorie Linden
674936	196494	Mary Fleming
674936	238259	
674936	330698	Doda Occleve
674937	69845	Model
674938	220766	Sandra
674939	273555	Daisy
674940	266054	Wendy
674941	340659	
674942	11450	Jessie Frank
674942	89293	Amy
674942	101033	Woman #1
674942	150075	Mrs. Thomas
674942	155634	Alice York
674942	244379	Marcia
674942	363948	Ann Greenway
674942	368365	Gina DeSalvo
674942	386427	Kate DiResta
674942	396350	Fran Devanow (1992-1998)
674942	398213	Herself
674942	402178	Debra Kirshner
674943	291584	(segment "Papa was a rolling 
674944	20253	Mechanical Doll
674945	345478	Maly
674946	236875	Nita
674946	276989	
674946	295335	Myra Thornhill
674946	321259	Lady Castlemaine
674947	16642	Janet Frame as adolescent
674948	4971	Mrs. Frawley
674948	46213	Ruby
674948	80593	Mrs. Rankin
674948	129988	Nurse Booth
674948	134402	Nan Grimley
674948	165450	Miss Abbott
674948	185743	Mrs. Villiers
674948	194838	Gran
674948	222596	Mrs. Foster
674948	231389	Maternity Night Nurse
674948	241465	Agatha
674948	248143	Hotel receptionist
674948	250371	Warden's wife
674948	264147	Mrs. Wilberforce
674948	279295	Brenda
674948	292701	Maureen
674948	313081	Mrs. Taylor
674948	355060	W.R.A.C.
674948	364465	Woman at wax museum
674948	372868	Mae
674948	382661	Landlady
674948	382662	Landlady
674948	387247	Lilly Mattock (1998-1999)
674948	388249	Vara
674948	390650	Nan Grimley
674948	396580	Sally
674948	399304	Celia Blatchford
674948	401224	Vi
674948	408091	Lady Pendleton
674948	408644	Lady Mayoress
674948	411532	Zillah
674949	21528	Margie
674949	137565	Det Sue Tait
674949	214925	Heather McKimmie
674949	381059	Sue's Sister 1
674949	384686	Various roles (1988-1989)
674949	395417	Princess Diane
674949	399130	Liz Conway (2001-2002)
674949	403817	Matron Gribble
674949	403818	Matron Gribble
674950	8362	Nun in Mortuary
674950	41868	Mrs. Gormley
674950	63128	Mother
674950	65895	Mrs Giovanni
674950	79094	Emma
674950	79557	Mrs. Heep
674950	143341	Mrs. Banks
674950	169678	Nun
674950	184218	Landlady Cheap Hotel
674950	189993	Herself
674950	195551	Lucy Knipe
674950	224853	Lily
674950	250831	Mrs O'Brien
674950	307928	Mother Superior
674950	323408	Manager's wife
674950	334352	Mrs. Truscott
674950	342710	Mary
674950	364869	Mrs. Buckley
674950	375799	
674950	381187	Imelda Egan
674950	385020	Concepta Riley/Hewitt (1960-1
674950	388209	Mary O'Hanlon
674950	400082	Mrs. George
674950	401229	Nancy
674950	402956	Mrs. Beatty
674950	403853	Mary Carroll
674951	291503	Nun
674952	396422	Additional voices
674953	286300	Orla
674954	287728	Puppet Judy
674954	334594	Muffy
674954	382496	Norbert
674954	387024	Puppeteer
674954	390683	Additional Voices
674954	391331	Kitty Cat (puppet)
674954	398386	Truffles (1992-1996)/Lorenzo 
674954	401787	Host
674954	402943	Puppeteer
674954	408401	Muffy the Mouse
674955	250764	IRA Medic
674957	352465	Hooker #1
674957	388209	Nancy McCarthy (2004-)
674958	194663	
674959	134017	Mrs. Bird
674959	198338	Old Lady
674959	230947	Aunt Ceil
674960	157180	Katie
674960	214929	Teresa
674960	245275	Kate Jeffries
674961	222784	Halloween Girl #3
674962	222784	Little Girl on Bus
674963	380511	Herself
674964	209721	3rd Journalist
674965	213681	Lili Kovács
674966	19688	
674967	91509	Agnieszka
674967	95981	Worker
674967	237506	Krystyna`s Mother
674967	244208	Oreszko
674967	282768	Basia (episode 2)
674967	286652	Jadzka Kargul
674967	286803	Kazia, Malina's Niece
674967	369022	Actress in Theatre
674967	374630	
674967	375498	Bronka Gawrakowna
674968	144788	Mother holding baby
674969	18648	
674970	60341	Marion
674970	126755	Patty
674970	148572	Lisa
674970	389858	Amy Vining, R. N. (1979-2002)
674970	401930	Amy Vining, R. N. (1998, 1999
674971	304876	
674971	367970	Dancer
674972	68697	Julianne
674973	326024	Emma
674974	88030	
674975	387356	
674976	133695	Herself
674977	29650	Phone Councilor
674978	185474	T.V. Reporter
674979	255327	Gladys, as a child
674980	40938	Dienstmeisje van Smitson
674982	189809	Herself
674983	82338	Grandmother
674983	132991	La bonne des Lavalette
674983	255598	
674984	60677	Janet
674984	68364	La secrétaire de Fourmelon
674984	70495	Monique
674984	120887	Christine Manzana
674984	123274	Antoinette
674984	146429	La dame
674984	165564	Janine
674984	202106	
674984	211136	Mémé
674984	268412	Germaine
674984	268982	Zizi
674984	271911	
674984	278143	
674984	284174	Kate's Friend
674984	291576	The woman in 'Madame'
674984	324615	Huguette Mithouard
674984	347566	
674984	377002	The Mother
674984	377006	Tata Musique
674984	388311	Jasmine
674984	406828	Simone
674984	408317	
674985	296348	
674986	81348	Toralva
674987	29519	Kim
674987	333503	Jenny
674988	361223	Condemned Janitor
674989	77716	Bathilde
674990	223720	Confused Chick
674991	274054	Anne, Bargirls #1, Natalie
674991	359304	Carrie, Businesswoman
674991	394325	Caska
674991	396501	Miki Mizusawa
674992	25095	Une vacancière
674992	51107	Rose
674992	70524	
674992	76131	La femme de Jean
674992	116427	Taminah
674992	188682	
674992	227992	
674992	288876	Sinna
674992	326283	Black Lady
674992	336979	
674992	337028	Simon's Woman
674992	407535	Kyoo
674992	412175	Lilia
674993	62829	
674993	151873	Slavcheto
674993	332958	
674994	10515	
674994	124192	
674994	135742	
674994	137568	Effie
674994	137812	
674994	220784	
674994	262829	
674994	262834	
674994	285882	
674995	374314	
674996	390477	
674997	132955	Elsa
674998	31002	Fathia
674999	31002	One of the girls
675000	120099	Mother
675000	129596	
675000	272085	Dr. Grey
675000	315230	Anne
675000	346909	Policewoman
675000	402947	Phyllis Zimm
675001	393510	
675002	154553	Girl
675003	154553	Girl
675004	79409	
675005	479	Schwester Inge
675005	67627	Eva Wagner
675005	84571	
675005	86400	
675005	138456	
675005	178674	Fraeulein Edith
675005	281950	
675005	286566	
675005	287756	Yvonne von Fouqué
675005	293272	
675006	117306	Maggie Dillon
675006	143135	Katy
675006	341671	Mother Rogers
675007	342790	
675008	278121	Loretta
675009	133475	Rebel Room Dancer
675009	387497	Flirting Girl
675010	181736	Gerda as young
675011	70950	The teacher
675011	263212	Psychiatrist
675012	112878	Cindy
675013	164137	
675014	189727	
675015	334382	Maxwell's Wife
675016	17079	
675017	182519	The Singer
675017	296047	Eva
675018	59112	Jacqueline
675018	328928	Vera
675018	390187	
675019	118823	Franciska Gál
675019	138603	
675019	163175	
675019	309354	Nurse
675019	322025	Éva
675019	322123	Mariann
675019	322158	Joli nover
675019	327210	Isabelle Rimbaud
675019	349612	Aranka
675019	354268	
675019	375969	Anita
675019	377723	Sleepy
675019	377739	
675019	394978	Vilma
675019	407651	Szonja (recurring)
675020	110702	
675021	206087	Nurse
675021	245758	Patsy Seymour
675021	256188	Pink Chiquita
675022	216406	Rachel, Kuki's Wife
675023	306870	School Teacher
675024	246208	
675025	288639	
675026	226475	Marieanna
675027	191857	Stephanie Weston
675028	229881	
675029	17080	
675029	145617	
675029	376615	Vendel felesége
675030	19680	Igazgatóné
675030	48670	
675030	50463	Színésznõ
675030	91252	
675030	96201	Sáskáné
675030	106692	Mrs. Ökrös
675030	108913	
675030	120920	Színésznõ
675030	122388	Sári
675030	122454	Jehovás Zsófi
675030	122538	
675030	122599	Kárászné
675030	124310	Irma
675030	182654	
675030	182873	Anyus
675030	198322	Trafikosnõ
675030	211700	
675030	212825	
675030	212992	
675030	246283	Panka néni
675030	288119	Irina
675030	293990	
675030	293991	
675030	322048	
675030	322049	
675030	335963	A grófné anyja
675030	377760	
675030	377784	Baloghné
675030	378042	Urján mama
675031	14159	Suzanne (at 3)
675032	322210	
675033	2550	
675035	110065	
675036	266764	Effie Howard
675037	377635	
675038	171666	
675039	146358	La bergère
675040	15130	
675040	222830	La cliente
675041	57334	Lola
675041	98877	
675041	98902	
675041	132267	Carola
675041	162067	Lola
675041	167007	Virginia Toriello
675041	184485	Nailla
675041	197616	The 'She-Wolf'
675041	217872	Carmen Herrera
675041	228764	Rosario
675041	245287	Aissa
675041	264872	
675041	269840	Phuong's Sister
675041	279255	
675041	324123	Madalena
675042	18812	Canan
675043	223568	
675044	116632	Maya
675045	219151	
675045	219207	Joy
675045	231108	Linda
675045	395180	Annie
675045	403465	Lottie Hofner
675047	383363	Viv Healey (The Pardoner's Ta
675048	20465	Mmme Coufignac
675048	55532	La Chabannes
675048	55533	
675048	66676	Anastasia
675048	66835	Madame Vatherin
675048	67638	
675048	76030	Madame Boynet
675048	76038	Mme de Vauthiers
675048	84104	
675048	85543	La grand-mère
675048	97064	The aunt from Rochebrune
675048	111117	Mme. Rédéri
675048	118595	
675048	132287	Goupi-Tisane
675048	148707	Madame Suzanne
675048	175675	
675048	181064	
675048	211800	Ismene
675048	212154	Madame Frangier
675048	218528	
675048	224897	Madame De Saint-Val
675048	224903	La Chouette
675048	227292	La Tricon
675048	228943	Madame Rostaing
675048	248267	Mme. Zegetti
675048	264527	La directrice
675048	265223	Soeur Louise de la Croix
675048	265559	Maddalena Solinas
675048	324619	Madame Levallois
675048	339497	La Levavasseur
675048	345349	La logeuse
675049	231964	Water Girl
675050	119217	Frau Schmalz-Stange
675050	134848	
675050	142043	Maggie
675050	150568	Doris Barth
675050	159537	Angy woman
675050	225275	
675050	242760	Jutta
675050	276631	
675050	287313	
675050	290477	Secretary Wieland
675050	325881	
675050	329672	
675050	374048	
675050	389361	Rezeptionistin
675051	408151	Katrien (2001)
675052	299958	
675053	770	
675053	3401	
675053	6728	Herself
675053	14116	
675053	16882	
675053	34825	
675053	36708	
675053	39846	
675053	41050	
675053	41062	
675053	41583	
675053	41588	
675053	41623	
675053	41636	
675053	41638	
675053	41640	
675053	43561	
675053	44123	
675053	44124	
675053	44895	
675053	44905	
675053	48492	
675053	49842	
675053	54553	
675053	54633	
675053	56561	
675053	67032	Herself
675053	67117	
675053	74185	
675053	87236	
675053	91667	
675053	91833	
675053	92353	
675053	105151	
675053	106548	
675053	115307	
675053	123610	
675053	123832	
675053	127403	
675053	138132	
675053	159517	
675053	161913	
675053	163644	
675053	191357	
675053	197773	
675053	224034	
675053	243092	
675053	253577	
675053	260726	Herself
675053	269341	
675053	273298	
675053	275878	
675053	296006	
675053	306908	
675053	306911	
675053	306932	
675053	317000	
675053	317990	
675053	323084	
675053	349380	
675053	353308	
675053	358155	
675054	184263	
675055	40054	La jeune fille sur le bateau
675056	160078	Shelly
675056	194546	Jenny Walker
675057	30418	
675057	120088	Trotsky's Wife
675057	246966	
675058	29273	
675059	402186	Mrs. Shaw
675060	82643	Nun
675061	383375	
675062	71325	Wiggle
675062	81639	Sophie
675062	257983	Penny Wheeler
675062	385020	Maggie Dunlop/Redman (1982-19
675062	388589	Penny Wheeler/Hedges
675062	399770	Jill Elston
675062	400464	Sue Bainbridge
675062	401661	Penny Wheeler/Hedges
675062	408005	Carol Eccles
675063	375769	
675064	61614	Mary Lou
675065	359795	Kite
675066	52656	Monica Look-alike
675067	113480	Isadore Frizzoli
675068	116507	
675069	121056	Hannerl
675070	474	Paula Engel
675070	31469	Oma Staudinger
675070	40852	Monika Voggenauer
675070	76161	Sophie
675070	98069	
675070	98093	Genofeva
675070	107967	Alma Hamel
675070	123886	Anni
675070	125340	
675070	125472	Dora
675070	129676	Nanni
675070	129689	Antonie Ferstl
675070	137617	Apollonia Beißl
675070	156991	Joschi
675070	171565	Punkl
675070	174822	
675070	175277	
675070	175311	Lily Pfeifer
675070	180706	Theresia Schinagl
675070	189626	Kuni
675070	189652	Barbara
675070	214173	Oma Therese
675070	233306	
675070	265093	Müßiggang
675070	265984	Alma Finkenzeller
675070	285818	Marianne
675070	288813	
675070	289955	Amalia
675070	290735	Julie
675070	293551	Zenz
675070	301500	
675070	302044	Sofie Ortner
675070	312051	Thekla Brummer
675070	313646	Therese
675070	329673	
675070	343656	Altbäuerin Theres
675070	352310	Amalie Hilger
675070	352357	Zenz
675070	358748	Heinerin
675070	359462	
675070	365576	Hilde
675070	375165	Sofie Ferstl
675071	34135	
675072	56871	Bank teller
675072	276284	Nun
675073	133379	Miss Sutherland
675073	150978	Marion Lake
675073	271204	Estelle Jackson
675074	376120	
675075	117016	Hell's Bartender
675076	17228	Samantha
675077	183722	Wedding Dancer
675078	362597	Fitness Special Extra
675079	292128	
675080	149136	Party Guest
675080	200881	Convict
675080	279546	Dancer
675081	381909	Herself (7th Banished, 85 Day
675082	35093	YB49/Lt. Charlotte Stein
675082	300534	Kim
675082	316875	Julie
675083	286425	Mrs. Yarulewski
675084	161865	Chorus Girl
675085	79067	Selia
675086	181658	Herself - Kunstkritiker, Poli
675087	163075	Lisa Lindbert
675088	65501	Horse Trainer
675089	260679	Secretary
675090	166643	Delaware Student
675091	91643	La Journalist
675092	175544	Herself
675093	10072	Mrs. Herring
675093	136824	Little Buttercup
675093	338609	Flora Bervoix
675095	84566	Performer
675095	345929	Herself
675096	76388	
675097	108526	Wife
675097	204890	Lawyer
675098	142023	Frau Anrainer
675098	170136	
675098	180872	Marilre Magd
675099	72827	Ashlee
675100	72827	Zack's Mother
675101	133917	Samantha
675101	385538	Shannon Woods
675102	141504	Maria Rosetti
675102	146248	Joe's mother, Mama Mia
675102	152326	Gabriel's Mother
675102	176406	Extra in wedding scene
675103	398335	Herself (2004 -)
675104	306281	Simon's Daughter
675105	395091	Belligerent Woman #1
675106	176784	Miss Riley
675107	26959	Lady #1
675107	46392	Frau Bertha
675107	76253	Woman at Boutique
675107	76254	Board Member
675107	88648	Nurse Carmen
675107	121803	Delta Gamma
675107	126039	
675107	141568	Secretary
675107	146616	
675107	188135	Margery Easton
675107	213460	
675107	223931	Annette
675107	227502	Jeannette
675108	121374	Casino Patron
675108	409535	Audrey
675109	137192	Girl
675109	144337	
675110	147402	
675110	246486	
675110	302942	Princess
675110	323895	
675110	347710	
675111	90976	Irina
675111	97431	
675111	194147	Jana
675111	236837	Junge Frau (Young woman)
675111	309018	
675111	346855	
675111	396624	Lena Schilling
675111	406518	Maya
675112	28993	Alice
675112	156989	Karin Klausen
675112	180975	
675112	210064	Olivia
675112	226408	Schwester Irene Sanders
675112	294089	Kalonike
675112	325918	Ursula Brendl
675112	366565	
675112	380214	I.Z.
675113	232812	Gallery guest
675114	73573	Lee
675114	81640	Herself
675114	109704	Ann
675114	235471	Lead Hooker
675114	254774	Meda
675114	291248	Herself
675114	324422	Dressing Room Girl
675115	161287	Herself
675116	11426	Lydia
675116	14201	Aunt Sunny
675116	18852	Marilyn Baker
675116	22955	Elizabeth Cooper
675116	37246	Dr. Clare Winslow
675116	40659	Maria Marshall
675116	49656	Andrea
675116	54629	Kathy Plunk
675116	67665	Diane
675116	73768	Nancy
675116	80784	Sally
675116	83935	Mel Robbins
675116	99971	Emma
675116	128583	Annette Kaysen
675116	134722	Margaret 'Maggie' Seaver
675116	134723	Margaret 'Maggie' Katherine M
675116	134724	Herself
675116	152936	Dr. Kettering
675116	161287	Herself/Featured
675116	161291	Herself
675116	161390	Herself
675116	161395	Herself
675116	203669	Katy
675116	206356	Meg
675116	214107	Jessie
675116	216126	Stephanie
675116	219530	Dr. Jennifer Kessler
675116	219953	Celeste Cooper
675116	220018	Doris Marshall
675116	232405	Eve
675116	233552	Carol Cochran
675116	233823	Jessica Reyner
675116	235441	Veronica Ricci
675116	263057	Linda Fairstein
675116	276704	
675116	293098	Jane Ravenson
675116	297246	Maryanne Walker-Tate
675116	298091	Cameo appearance
675116	303284	Gail Connelly
675116	308020	Matt's Mother
675116	315569	Lana Singer
675116	316644	Catherine Watson
675116	328556	Cynthia Martin
675116	331112	Diane Pappas
675116	349231	Marjorie Donovan
675116	356350	Herself - Choir Member
675116	360711	Doris Marshall
675116	364513	Laura Eagerton
675116	389174	Pat Devon (1984)
675116	390691	Maggie Malone Seaver
675116	398213	Herself
675117	83984	
675117	113497	Miss Marty
675117	126130	Featured
675117	148333	Additional Voice
675117	219692	Fat Lady at Bloomingdale's
675117	221318	Mrs. Shaughnessy
675117	221783	Coconut Woman Prisoner
675117	245625	Cindy
675117	272602	Lucy
675117	333205	Lady Prospect
675117	333856	Third-class woman
675118	25917	Nurse
675118	51483	Melissa
675118	92600	Sharon Shackelford
675118	115432	
675118	134063	Woman at Bar
675118	150814	Lani Mason
675118	200181	Anita
675118	218765	Judi Becker
675118	307622	Liz Brantley
675118	323893	
675118	383923	Ellen Powell (1987-1990)
675118	388865	Beth MacDonald
675118	397229	Susan
675118	401044	Barbara
675119	8214	
675119	15130	
675119	15912	
675119	20909	
675119	22190	
675119	28999	
675119	33530	La femme du serrurier
675119	51378	La secrétaire
675119	55595	La caissière
675119	55598	
675119	77335	
675119	99368	La seconde bonne
675119	103206	La bonne du café
675119	108885	L'adjointe
675119	111482	
675119	120974	
675119	170112	
675119	188680	
675119	207771	Mlle Bord
675119	211850	
675119	217671	
675119	217675	
675119	218278	
675119	250784	
675119	262943	
675119	280537	
675119	281886	
675119	283032	
675119	295212	
675119	336934	
675119	354096	
675119	361566	
675120	411517	Young Meg
675121	68781	
675121	223322	Beatrice
675122	296989	
675123	225725	III. Muhamed's Wife
675124	31878	
675124	362239	Herself
675125	71521	Nathalie
675125	158695	Alba
675125	353907	Copine voisin
675125	408658	Irene
675126	191394	Designer
675127	12700	
675127	53929	Pat Johnson
675127	104888	
675127	108724	Succubus
675127	110386	Lisa
675127	111639	Ruza
675127	121303	
675127	180830	Bára
675127	217413	
675127	236803	
675127	248220	
675127	253152	
675127	268985	Virginia Field
675127	270815	
675127	276461	Marta
675127	306377	
675127	312302	Eva (sex show performer)
675127	357922	Ilonka
675128	325816	
675129	60296	Peggy
675129	289099	Diana Singer
675129	381729	IDA
675130	335660	Second Stenographer
675131	45546	Wendy
675131	206595	Lexi
675131	254608	Hallie Holt
675131	298120	Bedroom Girl #2
675132	71762	Herself
675133	71595	
675133	90982	Nurse
675133	118940	Mrs. Burgoyne
675133	222692	
675133	263514	Miss Collins
675133	264747	Secretary
675133	266222	Gerald's Secretary
675133	306414	Workroom Wardress
675133	378819	Dora Grimes (1993-)
675133	385299	Freda Sefton
675133	407566	Mrs Wedgwood
675134	220593	Virgin
675135	178189	Extra
675136	8021	
675136	80646	
675137	17183	Additional Cast
675138	323800	Kelly
675139	368654	Talent Agent #4
675140	199133	Sophie
675141	250764	Cemetary Mourner
675142	41100	
675143	18438	Hilde Hellmann
675143	82165	
675143	97589	Narrator
675143	115222	Dr. Jackson
675143	174175	Peggy Swenson
675143	208028	
675143	258368	Anna Ferroli
675143	272796	General Lydia van Dyke
675143	287608	Narrator (German version)
675143	345039	Sous-maitresse
675143	369136	
675143	379627	Maud
675143	380214	Airavab Reileta
675143	402895	Gen. Lydia van Dyke
675144	310338	Girl in Elevator
675145	114039	Janie Hickenlocker
675145	241523	Dee Dee
675145	343200	Dina
675146	2921	Herself - Honorary Award Reci
675146	7413	Terry McKay
675146	13651	
675146	20687	Florence Anderson
675146	23734	Uncredited
675146	33754	Sheilah Graham
675146	39731	Sister Clodagh
675146	43680	Anne Larson
675146	55861	Herself
675146	56314	Agent Mimi/Lady Fiona McTarry
675146	58618	Miss Madrigal
675146	70076	Bit Part
675146	71374	Herself
675146	71581	Grace Allingham
675146	79922	Kari Alstead
675146	93220	Priscilla 'Effie' Effington
675146	97730	Evelyn Boult
675146	100825	Sarah Miles
675146	106523	Catherine de Montfaucon
675146	120512	Karen Holmes
675146	136540	Elizabeth Brandon
675146	140043	Mary Brodie
675146	141627	Sister Angela
675146	147429	Emma Harte
675146	152208	Kay (Francis X.) Dorrance
675146	154581	Bridie Quilty
675146	155902	Nona Tyber
675146	160069	Miss Giddens
675146	169504	Lady Diana Ashmore
675146	170490	Portia
675146	177253	Anna Leonowens
675146	177543	Elizabeth Curtis
675146	178141	Gwinneth Livingston
675146	182955	Herself
675146	190006	Edith Hunter/Barbara Wynne/An
675146	195959	Sally Hardcastle
675146	201306	Jenny Hill
675146	206385	Valerie Edwards
675146	226912	Martha Radcliffe
675146	232017	Herself
675146	232090	Hannah Jelkes
675146	238613	Herself (with Sinatra)
675146	240912	Herself
675146	252234	Guglielma Springelt
675146	252980	Catherine Wilson
675146	257939	Alison Kirbe
675146	262974	Herself
675146	264485	Princess Flavia
675146	266099	Lee Ashley
675146	266222	Prudence Hardcastle
675146	270025	Lygia
675146	276947	Sally Wells
675146	294514	Sibyl Railton-Bell
675146	308544	
675146	319081	Ida Carmody
675146	326360	Laura Reynolds
675146	332026	Joan Willoughby
675146	366988	Nurse Plimsoll
675146	372490	Catherine Parr
675146	411356	Emma Harte
675147	4644	Mrs. Fulton
675147	61707	Mary Lee Ochs
675147	75282	Cecilia
675147	84956	Woman Judge
675147	157255	Gertrude in "Hamlet"
675147	196503	Analysis
675147	231118	Candice
675147	261986	Irene Furman
675147	265928	Judge Stockton
675147	276937	Lucille Haxby
675147	296974	Woman
675147	301077	Attorney General
675147	301855	Gilda Schultz
675147	308684	Harriet Tolliver
675147	320263	Grace Comisky
675147	325983	Wife
675147	331533	Mrs. Phillips
675147	382912	Mrs. Parmore
675148	162594	Viola
675149	82901	
675149	89301	Mrs. McDougal
675149	118980	Senior Citizen Customer
675149	130311	Grandmother Reese
675149	146815	Agatha Carlyle
675149	207826	Mrs. Hardy
675149	211817	Lottie Franzmeirer
675149	219909	Mrs. Thatcher
675149	241505	Maid
675149	258083	Mrs. Gilroy
675149	303429	Governess
675149	308071	Aunt Rose
675149	320091	Cafe Lady
675149	364692	Customer
675149	398232	Cora Hudson (1978-1979, 1981-
675150	371080	Mrs. Higgins
675151	124172	
675152	224366	Gigi
675153	280111	Gloria
675154	124085	Ouled nails madam
675154	216234	Madame Thenardier
675154	246730	Cruel Woman
675154	266715	Bit
675154	283093	Cook
675154	297918	Raider
675154	301980	Matron
675155	132777	Herself
675156	84925	
675157	386859	Panelist (1955)
675158	214047	Peasant
675159	19740	Ranger Alexis Camino
675160	11362	Joan Gibbons
675160	46415	June
675160	53916	Beer Milkshake Waitress
675160	114165	Secretary
675160	144641	Waitress
675160	293149	OB Nurse
675160	364367	Prison Oficer
675161	250764	Cemetary Mourner
675162	250764	Street Kid
675163	44046	Rochelle
675163	208411	Sharon Justice
675164	150308	
675165	39405	Lisa Small/Beth Short
675165	56880	Mom
675165	77760	Young Maggie
675165	135403	Daisy
675165	239786	Lisa
675165	337700	Lara Croft
675166	303971	Factory Girl
675167	944	Jenny Double
675167	32941	Art director
675167	73674	Wedding Coordinator
675167	82052	Judge Dillon
675167	176833	Mary Schauer
675167	240941	Pharmacist
675168	2723	Perky Girl
675168	283466	Sally's Friend #2
675169	379839	Co-host (1972-1973)
675170	292906	
675171	193509	Sandy
675172	49850	Vera Shaw
675172	107001	Mrs. Plotnikoff
675173	11293	Iris, an investor
675173	35401	Customer
675173	89099	Sharon
675173	158983	
675173	268159	Mrs. Eynsford-Hill
675173	362791	Phoebe Wills
675174	104752	Irish entry (3rd place)
675175	74651	
675175	103837	
675176	228497	Mrs. Dalton
675176	293198	Miss Robinson
675176	382838	Sally Haynes (1984-1989)
675176	385020	Wendy Crozier (1989-1990)
675176	387533	Jan Glover (1994-1998)
675177	97247	Brian's Wife
675178	381138	Madeleine the Rag Doll
675179	281913	Jessica (6)
675180	113883	Bikini Contestant
675181	119094	Extra
675182	228619	Girl
675183	167256	Brenda Kay Hilburn (Age 4)
675184	79043	The Cleaning Woman
675185	178132	Girl child
675186	329986	Johnson's Commercial Host
675187	389690	
675188	378865	Amy
675189	241160	Grace Heke
675189	314073	
675189	405209	Tania Rikihana (1997)
675190	325683	Frau Schaaf
675190	325918	Frau Dluhos
675190	381091	Herself (eliminated round 1) 
675191	222292	Lionel's Teacher
675192	10870	Auntie Pearl/Roeyis Freki
675192	92249	Soames
675192	107283	Marilyn O'Connor
675192	129845	Monroe-Double
675192	216449	Carol
675192	316318	Shirley
675192	319899	Sparkle
675192	353366	Wynzi Krodo
675193	17544	Dolly Oblonsky
675193	41903	Mrs. Snow
675193	75526	Janet's mother
675193	84201	Lady Rolfe
675193	94972	Queen
675193	186260	Lady Crichton
675193	211613	Mistress Page
675193	221083	
675193	222681	Mrs. Swettenham
675193	233673	Lady Home
675193	277678	Queen Elizabeth
675193	360060	Norah Brewster
675194	185303	Waitress
675194	299193	Julie, Teenage Girl
675195	411367	EZ Ryder
675196	382838	Tracy Corkhill (1985-1990, 19
675197	224147	Nice Lady
675198	223069	Mrs. Andrew Cruger
675198	286799	Delilah
675198	304024	Mrs. Crosby
675198	348468	Harriet Peebles Cull
675198	358617	Mary Carter
675198	364707	Miss Peck
675198	368367	Mrs. Burr
675198	372113	Mrs. Stillman
675199	274499	Girl in Kate's Place
675199	308382	Raider
675200	12353	Dancer
675200	16654	Dancer
675200	32886	Dancer
675200	33698	Studio Telephone Operator
675200	52315	Girl
675200	56103	Dancer
675200	60733	Dance-hall girl
675200	77015	Dancer
675200	90292	Dancer
675200	146813	Show Girl
675200	203051	Dancer
675200	319193	Dancer
675200	348972	Dancer
675200	363292	Bit part
675201	5440	Laura Canfield
675201	206928	Mom
675203	1437	Herself
675203	1445	Herself
675203	1447	Herself
675203	21295	Herself
675203	21296	Herself
675203	63014	Herself
675203	87984	Herself
675203	87985	Herself
675203	87986	Herself
675203	113828	Herself
675203	118527	Herself
675203	133930	Stepsister
675203	137679	Herself
675203	155215	Julie
675203	155278	Herself
675203	155280	Herself (US Team)
675203	155282	Herself (USA team)
675203	155283	Herself
675203	227350	Herself
675203	228976	Herself
675203	228977	Herself
675203	303781	Skater
675203	335566	Herself
675203	335606	Herself
675203	352963	Herself
675204	8194	Druida
675204	46990	Eileen Devenish
675204	56275	Mavis Tompkins
675204	77212	Stella Moon
675204	109664	Marigold Fletcher
675204	115933	Nell Ogilvie
675204	169678	Mary Flynn
675204	200306	
675204	334210	Mrs. Cromwell
675204	385307	Janice
675204	392622	Verena
675204	397299	Dr. Sarah Kemp, senior regist
675204	401649	Chrissie Buchan
675205	406760	Nurse Gwen
675206	17855	
675207	60334	
675207	273261	
675208	191625	Shelly Hogeboom
675209	298109	
675210	299670	Landlady
675211	310462	Bartender
675211	313914	Television Director
675211	407547	Herself
675212	56211	Eva Lamont
675212	120009	Princess Oggi
675212	203120	Reporter Babe Harding, Chicag
675212	215625	Annie, Sadie's Maid
675212	222701	Agnes Melady
675212	251215	
675212	360521	Claire LeClaire
675213	196503	Katie Benjamin
675213	333198	Tracy
675213	380391	Janet Singleton #2 (1983)
675214	183878	Amelia
675215	363756	Kerry
675216	165757	Clara Greenhill
675217	328788	Yugoslav Attendant 1
675219	53975	Maxine
675219	155917	Marjorie Parker
675219	253914	Mermaid
675219	266678	Marge
675219	300864	Betty Deems
675219	372099	Herself
675219	384534	Female Voices/Paddlefoot
675219	403906	Sharon Ruggles
675219	406061	Crystal
675220	61808	Girl Refugee (segment 1)
675221	302468	Brittany Novak
675222	282434	Constance
675223	99268	Hollandse
675224	346228	
675225	361224	Photoshop Staff Member #7
675226	224106	The Talent Show - Improv
675227	190343	
675228	194136	NYPD Waitress
675228	360615	Nightchild
675229	366649	Jessica Riley
675230	36722	Alisha Barlow
675231	27069	Oona
675232	335710	Mamie
675233	14255	3rd 'Nameless Broad'
675234	8234	Parent
675234	80521	Mary Grey (segment "The Great
675234	81898	Janet
675234	170522	Martha Shepherd
675234	178189	Mother Larson
675234	233509	Social Worker
675234	383412	Additional Voices
675234	389629	Additional Voices
675236	71969	Flower Girl
675236	195930	Party Guest
675236	241581	At the Party
675236	254782	Effie Vincent
675236	324207	Lady Margaret
675237	41270	Aunty Vera
675237	49377	Mrs. Mac
675237	144558	Teacher
675237	194809	Margaret
675237	232297	Jean
675237	293751	Joan
675237	362977	Herself
675237	379600	Lynne Harrison
675237	380192	Herself (Series 3-4) (1987-19
675237	382838	Kathy Roach (1988-1990)
675237	387461	Gwen Watson
675237	389625	Maureen Murray
675237	405625	Audrey
675237	410640	Joyce Wilson (Series 5-7) (19
675238	70076	Miss Lang
675238	114254	Kay Masters
675238	336037	Mrs. Clara Sheppard
675238	372585	Priscilla Hartleberry
675239	89339	Jenny Finlay
675240	72099	Angelica
675240	188578	Babe
675240	194100	Miss Barnett
675240	269815	Rand
675240	342826	Karen Stackhouse
675240	389858	Charlie (1991)
675240	394676	Mary Kathrun (1984)
675240	396538	Merilee Gunderson (1989-1990)
675241	57572	Mary, Jeremiah's wife
675241	210695	Mrs. Fairbanks
675241	311754	Olive de Carteret
675241	356894	Florence Lancaster
675242	161641	Policewoman
675242	183426	Stellar
675243	86379	Nadine
675243	100991	Barschlampe
675243	105540	
675243	134601	
675243	182891	
675243	186606	Geliebte
675243	313649	Kerstin
675244	42133	Margie Rees
675244	400221	Jenny Blount (1984)
675245	262394	Pool Doll
675246	406789	Herself (2001-????)
675247	181249	Renata
675248	320294	
675248	321522	Alice
675248	367970	Entertainer
675249	5099	
675249	184294	Frau Wehrhahn
675250	309447	Daphne
675251	367203	Rabia
675252	352262	
675253	214508	Karen Wengler
675253	270646	
675253	385139	Ingrid Graham
675253	406206	Herta Wenkel
675256	148466	
675257	322122	
675258	153679	Stefi
675258	201365	Csetey Sárika
675258	377762	Az ötödik Pallay lány
675259	15094	Sandrine
675260	375774	Lothar Lab Assistant
675260	377723	
675261	29776	Bertha, Bartolo's housekeeper
675262	98213	Lainio
675262	156038	
675262	168866	Ansku
675262	307163	Jontin äiti
675262	393754	Ruusa
675262	399648	
675262	409269	Hella Raivio
675263	170237	
675263	395864	
675263	398166	María José's mother
675263	400945	Estrella
675263	409790	Mariucha
675263	409957	(1999)
675264	411714	Herself
675265	227534	
675266	180824	
675267	238644	Fleur-de-Soufre
675268	28537	Tanuló
675269	155796	
675270	198009	Tina
675271	361710	Sophie
675272	57557	Le professeur de philosophie
675273	16618	
675273	77018	Lady Vernon
675273	300760	Lyska
675273	308304	La Mado
675273	370450	
675274	10290	Martine Duverger
675274	15091	Jacynthe
675274	23871	Josée
675274	33583	
675274	51425	Monique
675274	52573	Carola
675274	57896	Jacqueline Bourdinet
675274	64221	Arlette Gerbois
675274	86402	Nancy
675274	88238	
675274	103114	Nancy
675274	112733	Viviane du Verger
675274	135423	Marie
675274	198606	Lolita Pérez
675274	236555	Suzon Farnoux
675274	236614	Monique
675274	249042	Irène
675274	249715	Mireille
675274	256873	Anne Davis
675274	269150	Gabrielle
675274	309686	Francine Berthaut
675274	338590	
675274	345107	Simone Couturier
675274	346792	
675274	352511	
675274	354472	Maguelène et Maud Mallez
675274	355011	Jackie
675274	391622	Mme Roguin
675275	28149	Francoise
675275	143520	Sylvia
675275	149114	Ourida
675275	211672	Manuela
675275	351710	Athéna
675275	356335	Shelly
675276	23243	
675276	133058	
675277	134881	Girl #1 at the end
675278	141017	Kitty Wilson
675279	378858	Nathalie Lanteigne
675280	134881	Girl #2 at the end
675281	260697	Hooker #1
675282	23548	Virginie
675282	23630	Claire
675282	44373	Lucrèce Borgia
675282	68334	Rosalinde
675282	69119	Fabienne
675282	84248	Lucienne
675282	122431	Catherine
675282	153807	Lauren Korey
675282	166186	Natacha
675282	186145	Marline Royer
675282	216217	Kate
675282	256413	Mlle Thuillier
675282	258315	Julia
675282	276943	Lisa
675282	344560	Alexandra Posidonios
675282	352933	La femme du bijoutier
675283	224680	Miss Fortescue
675284	317443	Woman Holding Photos
675285	123454	Anna Lightfoot
675285	157833	Alison
675285	208522	Courtney
675285	263557	Mary
675285	363483	Reporter
675285	364102	Blonde Student
675286	170468	
675286	208827	Lucienne
675286	248263	La femme interrogée (segment 
675286	324944	Françoise
675287	111002	Gaby
675287	175677	Dora
675287	268963	
675287	357863	Michèle
675287	388311	
675287	389880	
675287	405972	Mme Lassart
675288	174021	Herself
675289	407241	Énekesnõ
675290	398050	1st Eliminated (2002)
675291	244048	Julia
675292	367088	Herself
675293	138416	Majka
675293	356069	
675294	337025	
675295	104722	Herself
675296	14289	
675297	316298	School Child
675298	316298	School Child
675299	322335	Extra
675300	281354	
675301	108329	Angela
675302	8092	Jenny
675303	394967	Sejal Virani......
675304	24289	Helena
675305	8575	
675305	83317	
675305	136783	
675305	180227	
675305	180611	Esma
675305	372150	Girl in cafe
675305	377517	
675305	378223	
675305	380744	Peyker
675306	236762	Sister Leo
675307	99219	Eva Linnunpää
675307	102434	Mrs. Andersson
675307	153756	Elina's aunt
675307	181743	Mrs. Lampaanpää
675307	214838	Saleswoman in butcher's shop
675307	296508	Woman at the hairdresser's
675307	326070	Restaurant cashier
675308	404145	Silja Salin (1999-2001)
675309	223514	Tyttö polttareissa
675310	127129	Funeral Attendee
675311	69409	Hooker
675312	352736	
675313	389411	Violet
675314	304129	Reporter
675315	86307	Reporter
675316	16195	Zanet Azárt
675316	276461	Kavanova
675317	55198	Mercédès
675317	118073	Curra
675317	136720	Wellgunde
675317	277460	Wellgunde
675317	358688	Siegrune
675318	35540	Claudia
675318	105437	
675318	113898	Susanne Carter
675318	159485	Jasmine
675318	164715	Sara
675318	272927	Cookie Winchell
675318	313612	Angel
675318	317338	Carrie
675318	317816	Cherl
675318	384545	Melba
675319	181592	Shop assistant
675320	149003	Khunthong
675321	69156	Herself
675321	91069	Herself
675321	104741	Monegasque entry (17th place)
675321	104747	Yugoslav entry (9th place)
675321	170219	Herself
675321	170221	Herself
675321	170229	Herself
675321	399887	
675322	357534	
675324	2781	Shane's Mom
675324	170713	Fish Market Employee
675324	176713	Blonde Russian Woman
675325	231579	Journaliste 1
675326	261982	Herself (daughter of Powel Cr
675327	281371	
675328	336559	Wicked Witch
675329	53239	Léonora Concini
675330	300868	
675331	9142	Portia
675331	143531	Jana
675331	143532	Girl/Hag
675331	143538	Worshipper
675331	191369	Jeanne
675331	195086	
675331	201508	Herself
675331	208930	
675331	276902	Coral Silver
675331	314678	Karen
675331	318644	Dr. Juliet King
675331	383539	Presenter
675331	390630	Marama
675331	391919	Hannah Tumai
675331	397310	Dr. Stella O'Shaughnessy (199
675331	409504	Herself - Reporter
675331	410238	
675332	26350	Boutique Salesperson
675332	81665	Shooter/Barf Girl
675332	136838	Daisy
675332	261248	Clubber
675332	387598	Mona
675333	349477	
675335	34949	May
675335	154890	The Twins
675335	229687	Twin daughter #2
675335	387518	Dinny Jackson (1967)
675336	76578	Fiona
675336	86542	Mrs. Helps
675336	154890	The Twins
675336	191652	The Receptionist
675336	229687	Twin daughter #1
675336	387518	Penny Jackson (1967)
675337	218460	La vieille Aldja
675338	97360	Choir Member
675339	224477	
675340	33675	
675340	35204	Mira
675340	36514	Una sirena
675340	39025	
675340	54151	
675340	68750	Herself (segment "Guglielmo i
675340	90514	
675340	97393	Herself
675340	104734	German entry (8th place)
675340	119038	Twin model (segment "Adultère
675340	122034	
675340	124125	
675340	124325	The Dolly Sisters
675340	128027	Herself
675340	132546	Fritzi
675340	134929	
675340	147184	
675340	161777	Rama
675340	200374	Greta
675340	207210	Herself
675340	210020	
675340	210032	Li
675340	216294	Liese
675340	247182	
675340	279913	
675340	289985	Margit
675340	306873	Dancer
675340	307246	
675340	313782	Performer
675340	322713	Une jumelle
675340	336511	a Tiddy Sister
675340	354073	Franzi
675340	356203	
675340	375983	Alice
675340	376447	Guest appearence
675341	42278	Hairdresser
675341	44416	Amy
675342	14404	Edmée
675342	68931	Antigone, from 'La Thébaïde'
675342	86891	Clothilde Pontanac
675342	126015	
675342	157286	Mlle Molière
675342	214021	Jeanne
675342	249275	Herself
675342	261782	Mme Weckman
675342	294894	Rosaura
675342	325083	Mariane
675342	345379	Adeline
675342	354646	Sophie
675343	8277	Helena Standler
675343	47848	
675343	78216	Christine
675343	175570	
675343	189292	Herself
675343	189622	Kathinka
675343	225128	
675343	290640	
675343	290700	Milena Vakulic
675343	317496	
675343	325641	Hanni
675343	325888	Christine
675343	348726	
675343	352678	
675343	361704	Dagmar Ostfeld
675343	365582	
675343	379082	Dr. Giese
675343	379785	
675343	404488	Theres Rotenburg
675343	409611	Rebecca Holt
675344	278082	Girl
675345	341456	
675346	95823	3rd girl
675346	102155	Shopgirl
675346	222603	Carrie
675347	115269	Women Coalation Diner Patron
675348	120122	Judy
675349	135534	La blonde
675350	206835	
675350	334273	Cecilia Granville
675350	362172	Bertha
675351	33675	
675351	35204	Katja
675351	36514	Una sirena
675351	39025	
675351	54151	
675351	68750	Herself (segment "Guglielmo i
675351	90514	
675351	97393	Herself
675351	104734	German entry (8th place)
675351	119038	Twin model (segment "Adultère
675351	122034	
675351	124125	
675351	124325	The Dolly Sisters
675351	128027	Herself
675351	132546	Franzi
675351	134929	
675351	147184	
675351	161777	Daya
675351	200374	Hildegarde
675351	207210	Herself
675351	210020	
675351	210032	Lo
675351	216294	Lotte
675351	247182	
675351	257715	Herself
675351	279913	
675351	289985	Flora
675351	306873	Dancer
675351	307246	
675351	313782	Performer
675351	322713	Une jumelle
675351	336511	a Tiddy Sister
675351	354073	Hanni
675351	356203	
675351	375983	Ellen
675351	376447	Guest appearance
675352	249336	
675353	337307	Janet Price
675354	87460	Mrs. Cohen
675354	121824	Waitress in Coffee Shop
675354	142554	Peggy Patterson
675354	197014	Mrs. Stein
675354	197545	Mrs. Goldberg
675354	206589	
675354	335301	Little Lady
675354	359552	Ticket Seller
675355	393817	Presenter
675356	40504	Susan
675356	80835	Crane's Wife
675357	1710	Bartender Sarah Saunders
675357	81176	Kate
675357	169991	Alice's neighbor
675357	304913	Patrice
675357	348540	Julie Fein
675358	122811	Katrine Hansen
675359	188491	Bobbie Spence
675360	333627	
675361	304759	Maria DelGado
675362	222931	Surfer girl
675363	134929	
675363	322518	
675363	361994	Isabella Siebenzell
675364	16144	Audiologist
675364	67200	Margaret Truman
675364	70302	
675364	72850	Mrs. Pruitt
675364	118775	Mrs. Handley
675364	164217	Miss Gandy
675364	222739	Helen
675364	222786	Maggie Teresi
675364	231871	Cynthia
675364	307900	Janet
675364	363521	
675364	366408	Anne Goldberg
675364	381110	Presidential Secretary
675364	382224	Jane
675364	385824	Anne Goldberg (1993-1994)
675364	388517	
675364	403728	Miss Constable
675365	144151	Steffi
675366	311428	Girl with Date
675367	78817	
675367	92871	
675367	154937	Mère casting
675367	198315	
675367	251290	Peggy
675368	278082	Girl
675369	216905	Retro vamp
675369	222690	Karen Marshall
675369	297873	Shandra
675369	366683	Lily Andon
675370	167527	
675371	91920	Gina Lavina
675371	341885	Herself
675371	366908	WOR-TV News Announcer
675372	78619	
675373	41705	The chief's wife
675373	304828	
675374	228169	Saloon Girl 3
675375	46213	Madame Zarene
675375	46275	Alice
675375	130470	Tessa Mandeville
675375	145538	Narrator
675375	164427	Ruth
675375	175057	Elena, Countess de Koefeld
675375	183722	Frances Grey, Duchess of Suff
675375	183843	Duchess of Berwick
675375	185602	Queenie Leavis
675375	191547	Princess Carolyn
675375	196082	Narrator
675375	214442	Dr. Davina Ward
675375	308183	Magistrate
675375	346190	
675375	359334	Presenter
675375	374028	May
675375	380346	Countess Vronskaya
675375	391666	Mrs. Wilkins
675375	392970	Group Capt. Susan Preston
675375	408868	Judge Emily Hilliard
675376	87517	Fitness Trainer
675376	323382	Ali
675376	366811	Catrice
675377	332785	Waitress
675378	312265	John's Mom
675379	30255	Sofia as a Child
675379	101277	Angela as a child
675379	171134	Jane Anderson
675379	253914	
675380	157303	Julie
675381	171134	Hillary Girl
675382	344631	Christine
675382	346433	Ann
675382	362080	
675383	400690	Tapanin lapsi
675384	167047	Woman
675385	157303	Tina
675386	285302	Elsie
675386	293198	Anne
675387	403993	Extra [204]
675388	195687	
675389	44394	Zhenata na ribarya
675389	171968	Maykata na Nevena
675389	214249	
675389	223581	
675389	310475	
675390	207890	Maddalena
675391	114873	(segment "Rumba")
675391	258786	
675391	293720	
675392	230934	Film Crew
675393	337165	Kid
675394	321444	Whaler
675395	161499	The Spider's Accomplice
675395	330425	His Accomplice
675396	248117	Store Customer
675397	317309	LA Restaurant with Meryl Stre
675398	220347	Herself
675399	403619	Herself (2000)
675400	78843	
675400	253873	Daphne
675401	290525	
675402	11895	Anke
675402	24088	Susi
675402	141413	Lisa
675402	226310	Daniela
675402	338410	
675402	390706	Hariklia 'Harry' Möller (1994
675402	392086	
675402	406518	
675402	406519	Katharina
675403	93721	
675403	175899	
675403	187224	Comrade 2
675404	263676	
675405	180846	Sonia Potkin
675406	181630	Nainen ulkohuussissa
675407	145417	
675408	99512	Julie
675408	282597	Rundviser Carlsberg
675408	403379	Nurse -- Casualty
675408	403380	Casualty Nurse
675409	322989	Charlotte
675410	147507	Klientin
675411	220956	Monica
675412	359902	Restaurant patron
675412	389135	Louise Mitchell
675413	338982	Herself
675414	106217	Policewoman
675415	186207	Ashley
675416	48133	Stuepigen Marie
675416	91265	Kontordame
675416	94269	Ragna
675416	108179	Lillian
675416	121021	Frk. Børgesen
675416	122341	Marie
675416	128047	Konen
675416	173139	
675416	179817	Oda
675416	184566	Stuepigen Dagny
675416	208797	
675416	218971	
675416	255671	Britta
675416	275257	Alma, stuepige på Krogerup
675416	275265	Pølsefabrikantens kone
675416	305128	Stuepigen Nelly
675416	322466	Søster
675416	324329	Tantens veninde
675416	353035	
675416	356854	Beate
675417	371087	Sally
675418	251979	Verheek's Wife
675419	1168	Advisor
675419	52681	Anna
675419	222710	Mrs. Folliott
675419	273422	Barbara
675419	304800	Transvestite
675419	355349	Isobel Vine
675419	391166	Sadie
675419	400868	Valerie
675420	6907	Mrs. Grimpton
675420	56967	Judge
675420	66179	Mrs. Rushby
675420	74323	Dolores
675420	121808	Camilla Powell
675420	133475	Dowager
675420	141018	Old Woman
675420	203623	Secretary
675420	238991	Duchess Sophie
675420	265411	Meter Maid
675420	281413	
675420	308917	Mrs. Bonner
675420	363043	Sister Potts
675420	371087	Mrs. Seymour
675420	374540	Mrs. Parker
675420	379709	Grace Pugh-Critchley (1966-7)
675420	382593	Bessie Dearlove (1974)
675420	386669	Bessie Dearlove
675420	389931	Cook
675420	391979	Mrs. Grapple
675420	400814	Nurse Datchett
675421	134806	
675422	56144	Connie Porter
675422	151625	Little Evie
675422	385824	Abigail Johanna Deveraux (#2)
675423	56144	Rebecca Porter
675423	151625	Little Evie
675423	385824	Abigail Johanna Deveraux (#2)
675424	139429	Pipsa
675425	346209	Maggi Johansson
675426	118931	
675426	237239	Herself
675427	5372	
675428	11821	Shirley
675429	87414	Rubia
675430	374572	Andre's Mother
675431	117656	
675432	255926	Jenny Menning
675433	195703	Herself
675434	257363	Irma
675435	226175	Dame im Café
675436	310947	
675436	356107	Jacqueline
675437	234071	Maori dancer
675438	400217	Joyce Couwenberg (#1) (1993-1
675438	403982	Leonie van Velzen
675438	410441	Eefje Winkel (1993-1994)
675439	181630	Leski linja-autossa
675440	205504	Anneke
675440	210128	Meisje bij aanslag
675440	211186	
675440	356107	Meisje op eiland
675441	215691	Miss Indiana USA
675442	346711	Annick
675443	4507	Service
675444	341747	Hilda
675446	373628	
675447	338572	
675448	38472	
675448	58490	Evelyn
675448	105393	Roommate
675448	209236	Viper
675449	17079	
675450	176847	Anna
675450	399377	Herself (member of band 'Mode
675451	46242	Maisie
675452	880	French Model
675452	47950	Helga
675452	113506	Mary McCormack
675452	155596	French debutante
675452	333679	Victorian Singer
675453	102727	Girl in devil outfit (segment
675453	102735	Grace (segment "Through an Op
675453	110180	Diane
675453	161410	Celeste
675453	196089	Julie
675453	295720	Female Tourist #1
675453	295728	Brittany
675453	300180	Nadia
675453	323228	Chloe
675454	5987	Miss Thompson aka Tommy (Acto
675455	39788	Lesley's Sister-In-Law
675455	389357	Anna Freud
675455	395449	Margaret Forsyth
675456	229236	Doll Lover
675457	296105	
675458	124795	
675459	41071	Montana Beaver-Shotz
675460	13905	Jane
675461	15216	Pauline Gower
675461	16073	Bridget
675461	18380	Charmian
675461	58544	Girl student #1
675461	90507	Jane Frederick
675461	92669	Anna
675461	154180	Jill
675461	183596	Miss Fairfax
675461	232873	Instructress
675461	252728	Hazel Anthony
675461	274787	Kate Regan
675461	278486	Lisa
675461	313928	Jane Frederick
675461	350199	Gretchin
675461	385132	Josepha
675461	385205	Brenda Pitman
675461	391243	Jean Patrick
675461	403951	Babs Wild
675461	406298	Mary Lampert
675462	207828	Child in Classroom
675464	1381	Herself
675464	32058	
675464	33701	Florrie Engel
675464	33922	Tirzah, Sister of Ben-Hur
675464	37256	Miss Apperson
675464	67125	Louise
675464	83684	Muriel Cooper
675464	114922	Lucretia
675464	131055	Ethel Dixon
675464	142458	Mabel Grant
675464	144395	Emily Decker
675464	162274	Clarice
675464	164565	Edith MacDonald
675464	178758	Dance Hall Girl
675464	196427	Sherin
675464	202993	Neenah
675464	218002	Vamp
675464	235083	Estelle McDonald
675464	254513	Colette
675464	275697	Varvara
675464	275767	Yvette, the governess
675464	277008	Madonna
675464	281385	Gloria
675464	291741	Andalusian Slave Girl
675464	321098	
675464	332027	Guest
675464	340537	Nancy Brewster
675464	346194	Milly Leewis
675464	361622	Señoria Gonzales
675464	363494	Veronica Tyler
675465	86243	
675466	312010	Jennifer
675467	168289	Mrs. Williams
675468	39685	Jeanette
675468	55465	
675468	79118	
675468	186156	Nurse
675468	200770	
675468	313563	
675468	321283	
675468	347741	Nun
675469	78557	
675469	199786	
675470	213289	Rita
675472	128584	Adriana
675472	158686	Angelique, Argan's eldest dau
675472	320510	Clerk
675472	390854	skogsfrun (segments 4, 6)
675472	393273	Marita Sivertz, advokat
675472	403084	Beskyddarkvinna (1998)
675472	405378	Eva
675472	409853	Cecilia (1987-1988)
675473	154593	Party Band Member
675474	170558	Martha
675475	126104	Gate agent
675476	107542	
675477	36744	The Philosopher
675478	360076	Airport Security Guard
675479	408893	
675480	158731	Brook
675481	3277	Linda James
675481	5802	Cameo
675481	7038	Ruth Morley
675481	20625	The Flirt
675481	21300	Bit Part
675481	32697	Martha Garth
675481	35793	Lynn Perry
675481	48539	Madeleine
675481	51380	Patricia Moran
675481	78017	Jane Craig
675481	78155	Bit Part
675481	83916	Allison McLeod
675481	87639	Herself
675481	100696	Grizel Dane
675481	107059	Helen Williams
675481	115495	Susie Thompson
675481	129561	Herself
675481	130339	Herself
675481	131240	Suellen O'Hara
675481	141803	Herself - premiere attendee
675481	142448	Donna Williams
675481	143591	Bette Logan
675481	162379	Rose Warren
675481	168548	Herself
675481	168720	Nancy Hobbs
675481	168930	Julie Benson
675481	176872	Sheila Bennet
675481	183374	Lucy
675481	183695	Francois Morestan
675481	184899	Herself
675481	187148	Herself
675481	201844	Herself
675481	207861	Millie McGonigle
675481	210871	Nurse
675481	221133	Jenny Jones
675481	221296	Kathy O'Fallon
675481	232822	Mary O'Ryan
675481	241254	Jean Harper
675481	249021	Village Girl
675481	266179	Susan Gilvray
675481	275734	Hannah Brockway
675481	276882	Mrs. Axel
675481	278893	
675481	282375	Cecily Paine
675481	291380	Herself
675481	295403	Helen Sherman
675481	304962	Miss Vlissingen
675481	305845	Vivian Craig
675481	308940	Linda Lee
675481	315992	Jacqueline Harrison
675481	318175	Mary Patterson
675481	330030	Carol Harkness
675481	331180	The Genie
675481	331764	Vicki Dean
675481	335870	Virgie Rayne (Mrs. Gannon)
675481	347128	Mrs. Calvin
675481	364751	
675482	278588	Jane Lanning
675483	28267	
675484	290344	WAAF Phyllis Hammond
675485	32052	Dancer
675485	64078	Dancer #4
675485	224691	Disco Girl
675485	298076	Dancer
675486	3264	Suzie's Mother
675487	44095	Lady Royston
675488	37051	
675488	293131	
675489	363974	Jane
675490	304259	Little girl with glasses
675491	55852	Judith Stoller
675492	80469	Call girl
675493	285952	Herself
675494	91900	Twin #1 at London Nightclub
675495	91900	Twin #2 at London Nightclub
675496	16228	Amanda Peetermans, Elly Verme
675496	76718	Marie-José
675496	98243	Verkoopster
675496	142743	Irène
675497	127692	Missy Mae
675497	164572	Raynelle, Ordell's Junkie Fri
675497	216670	
675497	241474	Gina
675497	385056	Erica Lucas
675497	392686	Various Characters
675497	400162	Scotti Decker (1995)
675497	405246	Denise Everett
675497	407962	Tonya Baxter
675497	410683	Aki, Roz, Shavonne
675498	8656	Herself
675498	118879	
675499	1189	Herself
675499	2040	Herself
675499	2307	Herself - Performer
675499	2562	Herself
675499	2573	Herself
675499	2581	Performer "A House Is Not A H
675499	2626	Herself
675499	3297	Performer
675499	13751	Herself (performer)
675499	47174	Performer
675499	175545	Herself
675499	215932	Herself
675499	221424	Herself
675499	221481	Herself - Performer
675499	352986	Herself
675499	379950	Herself
675499	395768	
675500	47865	Additional Voice
675500	363117	Katherine
675501	267216	Bay News 9 Newscaster
675502	385887	Jody Wells
675503	385299	Kim Hudson
675504	103445	Rita Singer
675504	154609	Miss Boyle, Captain's Daughte
675504	255145	
675504	270667	
675504	299939	Renfrow's wife
675505	219773	Erica
675506	69338	Actress
675506	115471	Stewardess
675506	272945	Dale McFarland
675506	277968	Jean Porter
675506	302723	Girl in Audience
675507	318313	Carmen
675508	410266	Signer
675509	111698	
675510	120251	Gateaux, Jeannie
675511	120237	Rheinhart's daughter
675512	188898	
675512	255418	
675512	387323	Mitje (1996)
675512	409992	
675513	35658	Gina MacIlwrath
675514	26460	Laura
675515	73303	Wedding Guest
675515	175223	Mother
675516	49508	
675516	55902	Prostitute
675516	132540	
675516	301094	Ortlinde
675516	361314	
675517	282609	Herself
675517	378896	Herself (Host)
675517	408493	Herself - The Newsreader with
675518	131232	Extra
675519	390416	Beryl
675520	76709	
675521	2917	Kellnerin Cafe Forum
675521	94514	Ana
675522	114284	Libby
675522	338546	Girl with Not gay Girlfriend
675522	341515	Muffy
675523	290223	
675524	349763	
675525	109002	
675526	138969	Nassita
675526	227006	Woman in Doorway
675526	288315	Sarraounia
675526	325293	
675527	388263	Herself/Teacher
675528	283530	Nyka's Friend
675529	394003	Presenter
675530	71766	Woman TRC
675531	166728	Lucy
675532	394620	
675533	280610	
675534	60534	
675534	60848	
675534	84426	
675534	286216	
675534	318149	
675534	341040	
675534	357649	
675534	371425	
675534	373560	
675534	374797	
675534	389747	
675535	168959	Herself
675535	171298	
675536	4824	Eteri
675537	287977	
675538	357467	
675539	140635	Astine
675540	145587	Village girl
675540	303132	Barbara
675541	248552	Herself - painter
675542	323318	
675542	370276	
675543	404577	
675544	19259	Lusya
675544	26247	
675544	151847	Gohar
675544	181409	
675545	35253	Child at Playground
675546	285244	
675547	317309	Hollywood & Vine Pedestrian
675547	354437	
675548	9005	Juan
675548	10836	Alien #1
675549	4938	
675550	370260	Woman
675551	62366	(segment "Penninte Prapancham
675551	206931	Alyonushka, the Water Wizard'
675551	304288	Penny
675552	285500	Woman Tuareg
675553	269517	
675554	194184	Singer
675554	357235	
675555	166662	School director
675556	375663	Pierrot
675557	203696	Anastasia X
675558	155629	
675559	351301	
675559	370619	
675559	374498	
675560	36022	Hashida
675561	294826	
675562	41657	Fashion Editor
675563	43070	
675563	63625	
675563	76486	
675563	94063	
675563	258585	
675563	349310	(segment Syuita)
675564	198152	Lola's mother
675565	144681	Hotel Lady
675566	169163	Casablanca Nurse
675567	9769	
675567	27890	
675567	137047	
675567	155161	
675567	231582	
675567	285972	
675568	59981	La Princesse
675568	142928	Danseuse
675568	280615	
675569	207284	Joi Scott
675569	258283	Sister Sledge
675569	330383	Adrienne
675569	350192	Nikki, Rita's Roomate
675569	360480	Alma Givens
675569	378855	Nina Campbell
675569	405085	Skit Characters
675570	188934	Nora
675570	195749	
675570	237239	Herself
675570	324808	Konstaapeli Wang
675570	400337	
675570	403397	Konstaapeli Anu Ogata (ep. 4-
675571	393989	Herself - host (????-????)
675572	9649	
675573	56903	Djamila
675574	123923	Salwa
675574	175910	
675574	226082	Zenab
675575	92773	Little Girl
675575	207828	Child in Classroom
675575	363903	Nita
675575	411802	Lily Amanda Winters #3 (2002-
675576	139873	Mariam
675577	122319	Mrs. Joseph
675578	5007	The Mute Girl
675579	749	Malika
675580	389097	Herself
675580	404834	Marinalva 'Nalva' Ferreira da
675581	88383	Setareh
675582	229332	
675583	60824	
675584	45190	La vendeuse
675585	113975	
675586	262188	
675587	282985	Herself
675588	19396	
675589	35877	
675589	43198	
675589	348570	Ygor's Mother
675590	3035	Nelly
675590	93592	
675590	101384	Yelena
675590	131383	Lara
675590	153087	Silvija
675590	197464	Mamlakat
675590	197995	Dina
675590	282741	
675590	313882	Yakin's Assistent
675590	315938	Rita
675590	342147	Eva
675590	354368	Rosa Braun
675590	357344	Katya
675591	43292	Lily
675591	69273	Mrs. Bandanai
675591	80782	Francesca Slate
675591	114257	Sylvia Kruger
675591	172961	Nanda
675591	203659	Princess Siri
675591	209755	Zara
675591	223698	
675591	232385	Shakka Holland (Kapoor) (terr
675591	254774	Cobalt
675591	313441	Lieutenant Ilia
675591	359540	Nastasia
675591	365122	Dr. Persis Ray, Dentist
675592	170111	
675593	97222	Girl at party
675594	294011	Princess Parysad
675594	316829	
675595	374713	
675596	263695	
675596	300543	
675596	305206	
675597	79431	
675597	102741	Love Goddess
675597	102798	
675597	102838	Dr. A.J. Khan
675597	128445	
675597	129188	Lesbian Spear Gladiator
675597	160372	
675597	194487	Spam
675597	201665	Herself
675597	216145	The Hooker
675597	291266	Model in Opening Sequence
675597	296325	Philomenia
675597	296328	
675597	329378	Mandy
675597	350203	
675597	350215	
675598	203886	
675599	397356	Sajjal
675600	230247	Südamerikanerin
675601	294150	
675602	331426	Adrianna
675603	694	Herself
675603	2046	Herself - Performer
675603	2290	Herself
675603	2399	Herself
675603	3079	Herself - Performer
675603	3297	Performer
675603	42056	Choir Soloist
675603	104994	Herself
675603	157463	Herself
675603	161215	Herself
675603	161350	Herself
675603	166040	Herself
675603	211844	Soloist
675603	231496	Herself
675603	281353	Pussy (cat)
675603	313112	Herself
675603	352976	Performer
675603	352978	Performer
675604	25891	Chin
675604	25902	Madam Yang
675604	60565	Yang Ching
675604	81295	
675604	85489	Madam Yeung
675604	104306	Wild
675604	110605	Moon/Little-Bun/Bitchy-Bun
675604	137156	Inspector Yeung
675604	149015	Michelle
675604	151966	Sis Chan
675604	152115	Rachel Yeung
675604	152116	Madam Yeung
675604	179937	Nieh Ling
675604	189127	Kao Pi-Liang
675604	216655	Hsie Wan-Chin
675604	233633	
675604	275568	Liang Chi-Chun
675604	344530	
675604	360988	
675604	369064	Cui Gu
675604	369546	Police Chief
675604	369587	Gen. Choi Siu-Ching
675604	369790	Quihua
675604	370725	Nine Catties
675604	371329	
675604	374910	Yang Lei-Ching
675604	403390	Zhao Yan Ling
675605	72114	Dancer #1
675606	2816	Nominee for Best Choreography
675606	43168	Herself (choreographer)
675606	311869	Herself (co-choreographer)
675607	55593	
675607	205516	
675607	248236	Betty
675607	334575	
675608	4254	Special appearance
675608	38885	Herself (contestant)
675608	254731	
675609	2996	Roopa
675609	4115	
675609	4322	Girl in bikini in the song "c
675609	9171	Dancer
675609	95538	
675609	152462	Hired dancer in the song "Aa 
675609	152466	Jyoti (Amar Kumar's wife)
675609	152486	Anurag's wife
675609	164319	
675609	167355	
675609	176109	
675609	176110	
675609	201088	Gulabiya (Milk delivery maid)
675609	211460	Guest Appearance in song: "O 
675609	246803	Meena
675609	285108	Julie
675610	135941	
675610	179349	
675610	300318	
675611	115229	Farm wife
675611	236085	Woman
675611	236143	Anna Berg
675611	323731	
675611	330527	Nurse
675612	311869	Herself (Farah Khan's mother)
675613	244985	La minette
675614	161215	Herself (daughter)
675615	226646	Sushanta
675616	193902	Dancing Girl
675617	285269	
675618	296595	
675619	15412	
675619	190418	
675619	192828	
675619	341553	
675619	385651	June Keithley
675621	35756	
675623	16748	Ann
675623	61161	Pakistani
675624	8898	
675624	98084	
675624	400830	
675625	408704	(Episode 6: The Farmer)
675626	59013	
675626	98539	
675626	148920	
675626	152478	
675626	173279	
675626	349445	
675626	359078	
675627	33940	Mrs. Bhamra
675627	36022	Simi
675627	54657	Estate Agent
675627	115465	Ma
675627	131791	Herself
675627	147608	Dr. Razmu
675627	239607	Zelda
675627	256236	Mrs. Dhaliwal
675627	383631	Student Nurse Kiran Joghill (
675627	398712	Shoba Popat
675628	406982	Princess Centauri (1990-1991)
675629	136945	Studerende med tørklæde
675630	303501	Lilah's Friend
675631	220150	
675632	170523	
675633	308267	
675634	175918	Young Veero
675635	299464	
675636	287089	
675637	15968	Mehrunnissa
675638	71828	Radj Kahn
675638	85638	
675638	100001	Rajid
675638	214020	
675638	216236	Le domestique de Marius
675638	216237	Le domestique de Marius
675639	138882	Girl
675639	170523	
675639	278891	Herself
675639	278893	
675640	301245	Dr.'s Assistant
675641	363505	Sheetal
675642	215202	
675642	311923	Prison Extra
675643	2621	Zoya Aleksandrovna
675643	35932	
675643	41118	
675643	133385	
675643	155613	
675643	173398	
675643	181404	
675643	181509	
675643	207570	
675643	217277	
675643	218208	
675643	219723	Rachkov's Mother
675643	229911	
675643	238367	
675643	258423	
675643	261318	
675643	261689	
675643	262187	
675643	266015	English teacher
675643	282770	Mariya Vasilyevna Devyatova
675643	306710	
675643	313885	
675643	313887	Poluorlov's aunt
675643	316372	
675643	343805	
675643	352804	
675643	356599	Aunt Cucurusa, teacher of sin
675643	356866	
675643	357333	
675643	357428	
675643	371351	
675643	373623	
675643	411980	Gizella
675644	329165	Anush
675645	394967	
675646	62525	Gertie Katz
675646	62548	Anita Block
675646	80798	Poole
675646	103284	Kathy Stafford
675646	103287	Gail McConnell, Mission Contr
675646	120248	Blair
675646	171334	Mimi Druckman
675646	206864	Det. Coughlin
675646	235521	Narrator
675646	303092	Fox Hills
675646	310485	Marcie
675646	316116	Julie Desavia
675646	353752	Bridey
675646	362860	
675646	393267	Emily Henchpaw
675646	397907	Gen
675646	399335	Sidney Dernhoff
675646	406706	Alana Newman Robinovitch (198
675647	221510	Khanh
675648	25580	Little Girl/Mina
675649	1576	Main
675649	6503	Hera
675649	19687	Ani
675649	26577	Sarah
675649	45731	
675649	52197	Wife/Translator
675649	61317	
675649	66596	Francine
675649	66999	Sabah
675649	86952	Olivia Penney
675649	105906	Zoe
675649	108408	Aline
675649	110739	Gala
675649	113216	Lucie
675649	162306	L'américaine
675649	185424	Streetcar Mother
675649	194284	
675649	218581	Canada Customs agent (segment
675649	221375	Cratchit
675649	231109	Azah Deryan
675649	261064	
675649	294356	Arthur
675649	310550	Lisa
675649	315979	Lab Worker
675649	321209	Wanda
675649	389035	Lena
675649	389092	Maria
675649	398209	Andrea (The Wife)
675649	405298	Elaine Chen
675650	115174	Smita
675651	8250	
675651	397920	Nun
675652	58684	Female plane passenger
675652	86684	
675652	172539	Lajjo Kapur's Sister
675652	218341	Shashi Chadha
675653	45454	Tevin's Wife
675653	270896	Tactical Cafe crowd
675654	218341	Talk Show Assistant
675655	4179	
675655	4196	Julie
675655	17095	
675655	17891	
675655	18461	
675655	27483	
675655	27697	
675655	36289	
675655	60975	
675655	60984	
675655	63465	
675655	79239	
675655	83738	
675655	85445	Guest Appearance
675655	88494	
675655	88609	Dancer
675655	90902	
675655	122805	
675655	124791	
675655	124953	Champa
675655	126948	
675655	127344	
675655	138934	
675655	141833	
675655	143466	
675655	145582	
675655	164306	
675655	166513	
675655	171523	Chintamani
675655	173501	
675655	174295	
675655	174366	
675655	184167	
675655	193126	
675655	198667	
675655	200814	
675655	226796	
675655	246109	
675655	246826	
675655	248796	
675655	250675	
675655	268059	
675655	271887	
675655	272173	
675655	288285	
675655	288836	Phoolbanu
675655	289182	
675655	293248	
675655	297584	
675655	318634	
675655	355326	Dancer
675656	187053	Party Woman No. 2
675657	58782	Neha
675657	98480	
675657	167334	Nicki
675657	167980	Tina
675657	201363	Heena
675657	204140	Kiran
675657	222057	Priya (as Rinkie Khanna)
675657	262373	Suman
675657	268094	Khushi
675657	370954	Rinke Mittal
675658	25926	Seema
675658	30452	Tina Oberoi
675658	58592	Puja (Special Appearance)
675658	86681	Komal
675658	160932	Herself
675658	160934	Payal
675658	163812	Naina
675658	164297	Kajal
675658	164328	Komal Sinha
675658	168206	Tina
675658	169090	Durga
675658	195786	Anjali Chopra
675658	210218	Roopa
675658	293261	Swetha
675658	344128	Sonia Verma
675658	370955	Jasmin Arora
675658	376092	Komal Dutt
675659	34532	
675660	48452	
675660	214839	Venäläisen perheen äiti
675661	135870	
675662	298246	
675663	182737	Mimma
675664	343305	Ninotchka
675665	233249	
675666	8160	
675666	60395	
675666	133243	
675666	286513	
675666	301469	
675666	341331	
675666	375533	
675667	24312	Mako
675668	33835	
675668	34507	
675668	95692	
675668	112771	
675668	196338	
675668	198127	
675668	223565	
675668	256654	Mascha
675668	262644	
675668	283831	
675668	299423	
675668	341333	
675668	349076	
675668	351981	
675668	357208	
675668	357484	
675668	373061	
675668	410335	
675669	59011	Deepa (bargirl guide)
675669	84769	Kumud
675670	373536	
675671	328178	Tara
675672	86287	Little Tina
675672	162758	
675673	82491	
675673	83161	
675673	89592	
675673	117852	
675673	192625	
675673	217454	Lyudmilla
675673	237526	
675673	238110	
675673	263695	
675673	300812	
675673	304170	
675673	304252	
675673	341040	
675674	304170	
675675	177776	
675676	256695	Nurse
675677	214273	
675677	352865	
675678	33818	Schoolmaster
675678	33833	Fyokla
675678	34231	
675678	35857	
675678	63271	
675678	82779	
675678	85206	Klava
675678	85209	
675678	91194	
675678	95692	
675678	108855	Mother
675678	129971	Lenhen
675678	130198	
675678	131142	
675678	132090	
675678	164013	Tsyplakova
675678	171673	
675678	180487	Gromova
675678	181406	
675678	188522	Irina
675678	190873	Baba Yaga
675678	229036	Bride's friend
675678	229906	Shura
675678	231142	Glasha
675678	244133	Shura
675678	260829	Tonya
675678	262668	
675678	263662	
675678	263684	
675678	307311	
675678	310480	Editor
675678	341040	Karpovna
675678	349360	
675678	350788	
675678	352872	Brandakhlystova
675678	370231	Gorovaya
675678	373496	
675678	373584	
675678	374848	
675678	390401	Aunt
675678	410332	Obolnikova
675679	181250	
675680	108860	
675680	230048	
675680	231171	
675680	231173	
675680	268133	
675681	9935	Roommate
675682	406330	Priya Sinque
675683	85273	
675683	136594	
675683	202672	
675683	243719	
675683	279822	
675683	369873	
675684	227120	Malysh 3
675684	374789	
675684	401311	
675685	106540	Vanya
675685	127996	Singer
675685	183215	Leila
675685	224714	Sapsea's Maid
675685	253059	Kelley
675686	154836	
675686	375663	
675687	90952	
675687	201248	
675687	277424	Farangis
675688	408703	Zula
675689	319083	Kubra
675690	70173	Herself
675691	88841	Child
675692	48176	La prostituée
675692	197194	
675693	48176	Malika
675693	200637	
675693	338480	Samia
675694	204403	
675695	5276	
675695	6374	
675695	7377	
675695	8690	
675695	19613	
675695	28191	
675695	30412	
675695	49162	
675695	59025	
675695	75832	
675695	77126	
675695	83735	
675695	166514	
675695	175107	
675695	183113	
675695	208571	
675695	227653	Kunwaibai
675695	246471	Chhaya
675695	262249	Padma
675695	262921	
675695	271572	
675695	285535	Shawqiya
675695	303328	Princess Hamida
675695	317785	
675695	351101	Ullupi
675696	226012	
675697	357707	
675698	214228	Young Claire Mullins
675699	94285	
675699	196436	Latoya
675699	235937	Leyla
675699	238480	Marokkaans meisje 2
675699	312659	Aisha
675699	381680	Dhjalita (1st season)
675699	388734	Tanja
675699	390242	Leïla Azalaia-Galouti (1999)
675700	270199	Tannu
675701	286320	Évelyne
675702	289282	
675703	49350	Girl on Bench
675704	319596	Carolina
675705	85273	
675706	23606	
675707	382397	Herself
675707	388833	Herself
675708	159540	
675709	352405	4th Girl Walking
675710	352405	Child Being Filmed
675710	360588	Little girl
675711	233249	
675712	81062	Dutch Villager
675713	105600	Mom
675714	387497	Woman in Bus Station
675715	8312	
675715	23080	
675715	25944	
675715	26600	
675715	79245	
675715	89424	
675715	98438	
675715	111308	
675715	176122	
675715	206940	Belgheis
675715	246882	
675715	277424	Farangis' mother
675715	326259	
675716	313360	Fairy Godmother
675717	25944	
675717	90818	
675717	102995	Atieh
675717	337397	
675717	349773	Zir Madineh
675718	167224	Farida
675718	214013	The Queen
675718	236596	
675718	246230	Julie
675719	153544	Fatima
675720	345434	(episodes 3 and 4)
675721	9020	
675722	286480	Sabra (adult)
675723	269221	Lacksmey
675724	30106	Banalata
675724	79107	Zeenat Begum
675724	84769	Sumitra
675724	152496	Parminder Prakash aka Bobby
675724	174276	Savitri Devi
675724	175918	Veero or Ayesha
675724	201041	Madhu Sharma
675724	253787	Soona Mistry
675724	278836	Noor Bibi
675724	288232	Sardari Begum
675724	351139	
675725	30451	
675726	76626	
675726	253673	
675726	297019	
675727	175984	Sima
675728	172115	
675728	248797	
675728	375189	Saleheh
675729	326287	Lilo
675730	90048	La Gardienne
675731	320093	
675732	394752	Berozka
675733	190745	Zoubida
675734	332188	
675735	48563	Nelly
675736	159290	
675737	280740	
675738	178726	
675739	184839	Marina
675740	179334	
675741	303837	Young Woman in Prom Scene
675742	264384	
675743	305548	
675744	46204	
675744	60447	
675744	95582	
675744	113644	Anfisa
675744	132097	
675744	176141	
675744	244290	
675744	258643	
675744	258653	
675744	258997	
675744	264556	
675744	283837	
675744	293690	
675744	299426	
675744	317241	
675744	332990	Dariya
675744	343805	
675744	350800	
675744	351020	Solokha
675744	356112	
675744	357466	
675744	370997	
675744	371425	
675744	373488	
675745	28505	
675746	102996	
675747	25717	
675747	226728	Nahla
675748	261866	
675749	198146	
675749	198940	
675750	43011	
675750	84414	
675750	124847	
675750	222349	
675750	223555	
675750	229004	
675750	229541	
675750	261332	
675750	285885	
675750	325204	Lena
675750	332990	
675750	350975	
675750	374431	
675750	374718	
675751	202300	
675752	132034	
675752	357449	Photographer's Wife
675753	19737	
675753	89808	
675753	184597	Irma
675753	263403	Alisa
675753	270716	Minna
675753	282741	Anna
675753	303800	
675753	343961	Miss Marlborough
675753	385990	
675753	409520	
675753	409521	
675754	258999	
675755	159290	
675755	369731	Government Official
675756	350101	Nazo
675757	95921	Margalita
675757	123487	
675757	228540	Mother of Gedia
675758	225304	
675759	120869	Sister-in-law
675760	134938	Meryam
675760	202828	Daughter
675761	258326	Herself
675762	263675	
675763	34532	
675763	178819	
675764	230037	
675765	90950	
675766	173024	Nad'ka
675767	210928	Ashkhen
675767	326287	
675768	225804	Herself (Bareback Rider)
675769	28041	Rashids mor
675770	336424	
675771	196745	
675771	225879	
675771	229835	
675771	258445	Edith
675771	350790	Khokhlova
675771	351354	
675772	233324	
675773	49828	Naked Prostitute
675774	374766	
675775	17538	Italian wet-nurse
675775	244156	Kholodnaya, Vera
675775	253737	
675775	374782	
675775	374853	
675775	374881	Nata Khromova
675776	263673	
675777	83037	Marina
675777	212054	
675778	312341	
675779	682	Dorm Room Girl
675780	63574	
675780	76709	
675780	374676	
675781	23646	Child
675782	8820	Somsong
675782	29266	E Sa
675782	181747	
675783	137300	Flower Girl #2
675784	164596	Soft
675785	225844	Hostess A
675786	197647	Ivy Low
675786	247169	
675786	392511	Gina
675786	392512	Gina Teh
675787	203886	
675788	179726	
675788	349298	
675789	16376	
675789	91212	
675790	12809	
675790	76485	
675790	89981	
675790	131991	
675791	95690	
675792	357688	
675793	229004	
675794	8313	
675794	21666	
675794	137862	
675794	139809	
675794	169034	
675794	185833	
675794	229396	
675794	297749	
675794	297856	
675794	308997	
675794	324872	Zeinal's wife
675794	335046	
675795	4510	
675796	4318	
675796	36143	
675796	173372	
675796	297576	
675796	335738	
675797	26597	
675798	179288	Comtesse de Platen
675799	4275	
675799	4343	Rani Maa
675799	4864	Subir's aunt
675799	6374	Harbala
675799	6515	
675799	8398	
675799	13143	Queen Saudamini
675799	15812	Renu's Mother (Guest Appearan
675799	17394	
675799	18482	
675799	19940	
675799	25585	Taramati
675799	29401	
675799	31424	Seeta/Badi Maa
675799	33934	
675799	34201	
675799	35943	
675799	35946	Prabha's mom
675799	36152	
675799	36591	
675799	42442	
675799	58401	
675799	58551	
675799	58980	Ajit's mother
675799	76411	
675799	79087	
675799	84730	
675799	85372	
675799	88494	Daadima
675799	88501	
675799	90903	
675799	98518	
675799	98529	
675799	109038	
675799	124957	Durga
675799	124958	Durga
675799	126945	
675799	131934	
675799	151188	The Mother
675799	160125	Miss Renee
675799	160164	
675799	160222	
675799	164312	
675799	166462	
675799	166476	Vijay & Ratan's mom
675799	166502	Miss Queen
675799	167357	
675799	171762	
675799	172344	
675799	172568	
675799	174274	
675799	176034	Hirabai
675799	176184	Brindaban's mother
675799	181974	
675799	184103	
675799	184113	Bichwa
675799	184162	
675799	195697	Sonia's grandmother
675799	200705	
675799	200743	
675799	201056	
675799	201086	
675799	204396	
675799	207119	
675799	208574	
675799	208575	
675799	208590	Queen
675799	211278	
675799	211402	
675799	215200	Chaudvin's mother (Amma)
675799	219006	
675799	221801	Empress Jodha Bai
675799	222055	
675799	222909	
675799	226083	
675799	227129	Somu's Mother
675799	227369	
675799	227809	Manekbai
675799	233210	
675799	246575	
675799	247630	
675799	248559	Ranimaa
675799	249140	
675799	250671	
675799	251219	Vidya's Mother-in-law
675799	254825	
675799	262450	Pratibha
675799	262451	Pratibha
675799	264545	Mrinalvati
675799	267533	
675799	268118	Sudha's mom
675799	268123	Rajmata Rajeshwari
675799	271446	
675799	271529	
675799	271572	Meera
675799	272163	
675799	284772	
675799	285400	Sheel's mom
675799	287177	
675799	287391	Bhawani Prasad's Wife
675799	287987	
675799	289307	
675799	297012	
675799	297566	
675799	298813	
675799	302654	
675799	325295	Vidya Devi
675799	348897	
675799	354294	
675799	373825	
675800	29064	
675800	184167	
675800	267416	
675800	288200	
675801	4187	
675801	4195	
675801	9342	
675801	11445	Moushiji
675801	15866	Asha
675801	19940	
675801	26039	
675801	27392	
675801	30114	
675801	32455	
675801	33926	Chachi
675801	35111	
675801	35969	
675801	36174	
675801	58837	
675801	61012	
675801	82209	
675801	85424	Girdharilal's wife
675801	86645	Mynavati
675801	86648	Inn Keeper's Wife
675801	86680	Malti
675801	91467	
675801	98466	
675801	98488	
675801	98512	
675801	98545	
675801	126951	
675801	126991	
675801	130073	
675801	130561	Kalindi, Buaji
675801	137825	
675801	137989	Shanti
675801	144733	
675801	145461	
675801	165955	Mother-in-law
675801	170909	
675801	173279	
675801	174311	
675801	176085	J.D.'s mother
675801	180608	
675801	195728	Sheela
675801	200699	
675801	201053	Mother Fernandes
675801	209843	
675801	211270	
675801	213881	Neighbour who gossips
675801	219906	Maria
675801	222067	
675801	226751	
675801	227881	School principal
675801	248799	
675801	251257	Chanchal
675801	254840	Missy
675801	255266	
675801	262850	Ratna
675801	266965	Young Julie's mum
675801	268060	Roadside vendor
675801	268078	
675801	268082	
675801	271651	Bhola's mom
675801	284704	
675801	285169	Passenger (Bride) (Guest Appe
675801	287522	
675801	287525	
675801	287983	
675801	288412	
675801	293247	Putli
675801	297594	Shanta Deshpande
675801	303097	Amma
675801	324914	School Principal
675801	326960	
675801	341685	Mrs. Khanna
675801	341694	
675801	350597	Mrs. Kaul
675801	359157	
675801	375037	Sheela
675802	60821	Masha
675803	1111	
675803	50993	Yasmine
675803	52390	Nejma 'Maneige'
675803	60214	Malika
675803	62432	Elsa
675803	76151	Yasmina
675803	88084	Barbara
675803	120880	Kissa
675803	121426	Leïla
675803	190628	Djamila
675803	195170	Shop attendant
675803	198187	Amina/Leïla
675803	205929	Gaby
675803	211848	Rachida (Hélène)
675803	213388	Leila
675803	231071	Leila
675803	235878	Solveig
675803	237315	Soukeina Guerchouche
675803	258983	Latifa
675803	318245	Farah
675803	328432	Bebita
675803	340215	
675803	342758	Mrs. Zerbino
675803	345232	Malik
675803	354825	Samia Zerouane
675803	357174	
675803	376999	Chiara
675803	379655	Bahia
675803	387613	Cybèle
675803	396944	Malika
675804	271421	Fatiha
675805	271421	La belle-soeur de Raja
675806	18117	
675806	135538	
675806	231583	
675806	359378	Ragia
675807	6163	Moslem
675808	2904	Herself - Best Original Scree
675808	329834	Herself
675808	358996	Herself
675808	366936	Herself
675808	367883	Herself
675809	272890	
675810	141618	Lawyer
675811	10453	Latifa
675811	328343	Leila
675812	77398	Angela Donald
675813	9716	Rana
675813	321960	Mona
675814	117061	Angel
675814	158056	Contessa Karina de Elephanti
675815	135170	Jackie
675815	399947	Gabriella 'Gaby' Hamilton
675816	126663	Woman on Subway
675817	254165	
675818	174316	Mujer de Brahim
675819	356420	
675820	17546	Knyagina Nyagkaaya
675821	261902	
675822	283755	Young Naina
675823	260796	Swedish Au-pair #2
675823	300739	Porn actress
675824	346276	Hooker
675825	38759	Ulita
675826	260603	
675827	110315	Ashley's Mother
675828	129190	Lyudka
675829	265069	Young prostitute
675830	279243	Elisa Delai
675831	303058	
675831	371279	Stranger woman
675832	43021	
675833	176119	
675833	280601	
675834	22693	
675835	40214	Vera
675836	250397	Olga Ivinskaya and Lara
675837	74258	Katie
675837	288081	Sarafina
675837	356345	Sarafina
675837	371369	Yesterday
675837	376111	Paulina
675838	8907	
675838	9849	
675838	12999	Herself
675838	17644	
675838	26230	
675838	36090	
675838	45802	
675838	54544	
675838	62218	Nandini
675838	62221	
675838	62234	
675838	62235	
675838	78648	
675838	82001	Sonu
675838	85359	
675838	85371	Dolly
675838	147508	Kokila
675838	158995	
675838	162190	
675838	165885	Sriranjini
675838	171777	
675838	171805	
675838	178399	
675838	183134	Young Mohini
675838	204528	
675838	211460	Komal Verma
675838	212736	Shalini
675838	215205	
675838	222347	
675838	226501	
675838	228414	
675838	228416	Parijatham
675838	247457	
675838	248801	
675838	251927	Uma
675838	254841	
675838	260014	
675838	262859	
675838	270575	
675838	271933	Police Chief's Daughter
675838	302655	
675838	303330	Sitara
675838	320408	
675838	324292	
675838	324601	Tani
675838	329250	
675838	350357	
675838	350726	
675838	352906	
675838	357404	Hema
675839	261365	
675840	223350	
675841	370186	Nadya
675842	30791	
675842	221379	
675843	214879	Spidona
675843	285488	Budzguria
675844	171742	
675845	132087	
675845	154541	
675845	162755	Donna Concepcion
675846	124953	Meera
675846	398757	
675847	85395	
675848	25933	Cameo
675849	6722	Herself
675849	13870	
675849	26105	
675849	39248	
675849	44406	
675849	86778	
675849	161506	
675849	213466	Carnival patron
675849	223673	
675849	252832	
675849	265771	
675849	295854	Herself
675849	327150	
675849	327642	
675849	328581	
675849	342551	
675850	85992	Angie Pisano
675850	250830	Sylvia Trammel
675851	137574	Vicki Slevic
675851	255170	
675851	397477	Lisette Francana
675852	358283	Asian Goddess
675853	759	
675853	1257	
675853	34879	
675853	36902	
675853	83561	Debbie
675853	91656	
675853	95800	
675853	108651	
675853	139300	
675853	147731	
675853	168069	
675853	243109	
675853	273298	
675853	306908	
675854	59151	Teacher
675854	379898	Lorena Santamaría
675854	387897	Bromelia de Borosfky
675854	396320	Macarena
675854	398471	Laura Briceño
675854	403125	Luisa Elena
675855	84395	Acirfa
675855	140901	Moussaka Wife
675856	237069	
675856	373748	
675857	30499	
675857	91481	
675857	198153	Panova
675857	229082	
675857	357232	Natasha Artemieva, alias Elen
675857	357260	
675857	357628	Natasha Artemieva
675857	373272	Natasha
675858	324255	Guest
675859	109345	Angela
675860	51800	Mrs. Smails
675860	387309	Geraldine Weldon Whitney Saxo
675860	400236	Elizabeth Sanders (1986-1988)
675860	405882	Emily Moore Matson (1972-1973
675861	291979	Liz
675862	149457	Iris
675862	292587	Whitney Weiss
675862	378684	Gwen Taylor (1999-2001)
675863	24220	
675863	316353	Sophie
675864	1699	Herself
675864	19073	Muriel
675864	19346	Blanche
675864	24926	Interviewee
675864	32035	Marie-Thérèse
675864	35351	Betty Fisher
675864	51411	Catherine
675864	68383	Irène
675864	71952	
675864	75914	Sister Colette
675864	83356	
675864	99205	Various characters
675864	99909	Léa
675864	99966	Elsa
675864	100249	Alice
675864	101270	Herself
675864	110055	Le chevalier
675864	112891	Carole
675864	125741	Florence
675864	158831	Marie
675864	160657	Pauline
675864	162485	Gaelle
675864	166155	
675864	195869	Gabrielle Rose
675864	213840	
675864	225497	Kim
675864	240429	Une employée de la banque
675864	250752	Marie-Claude
675864	268858	Claudine André
675864	278151	Juliette Sauvage
675864	286324	Herself
675864	294601	Mathilde
675864	296094	La serveuse
675864	335081	Laurette
675864	337007	Béatrice
675864	345290	Yvette
675864	345312	Herself
675864	376593	Herself
675864	377061	France Robert
675864	384789	(1990-1991)
675865	195632	Slave in Hell
675866	94679	
675866	199820	
675866	353152	La Bionda
675867	209503	Mrs. Nolan
675868	126714	Vicki
675869	129184	Teen in diner
675869	210643	Mother
675870	373699	Sveta
675872	171742	
675873	142793	Chizuru Yoshida
675874	155368	
675875	259780	Girl on the train
675876	189784	Dancer
675877	359311	Old Indian Lady
675878	163492	Girl on Beach
675878	276882	Vampire
675879	352086	
675880	28995	Patricia Pichon
675881	30739	
675881	30888	
675881	77384	
675881	87208	
675881	95763	
675881	98121	
675881	137418	Kitty
675881	139740	
675881	144094	Marianne, Johannas Schwester
675881	186394	Marie Vandeau
675881	188856	
675881	189660	
675881	197416	Hilde, ein Mädchen aus dem Vo
675881	198433	Toni Adamberger, Schauspieler
675881	225207	Ida Schulz
675881	227169	
675881	282837	Ilka Bender
675881	289385	
675881	311423	
675881	318892	
675881	322995	
675881	356849	
675881	366552	Lilly
675882	149198	Punk #2
675883	262104	
675883	298425	
675884	48948	Girlfriend
675885	137006	
675885	373218	
675886	360841	
675888	6247	Maria
675888	277746	Cynthia
675889	47928	Euphemia Ruskin
675889	74311	
675889	134178	Headmaster's secretary
675889	168902	Wedding Guest
675889	323018	Helen Duncan
675889	330669	Joan Pinner
675889	409090	Noreen Diver
675890	78998	Brenda
675891	164352	Leni
675892	17949	Meghan
675893	215335	Valjean's Sister
675893	219893	Peggy Waters
675893	281413	Eva
675893	307905	Dr. Laura Danville
675893	317153	Flora Stedman
675893	343024	
675893	353467	Queen Adelaide
675893	388321	Elsa Gates (1997-1999)
675893	397182	Pat Hardacre
675893	404409	Lady Morland
675893	404660	Dr. Ellen Carey
675894	84323	
675895	176833	Rosie Geary
675896	354203	Extra
675897	61765	The Children of the Corn
675898	252974	Heather
675899	239756	Cell Phone User
675900	99373	Model
675900	135762	Herself
675900	199150	Tracey
675900	264091	Lady of the Lake
675900	311703	Herself
675901	127258	Emily Fielding
675901	150244	Nancy Weller
675901	301927	Mrs. Straker
675901	304800	Hospital secretary
675901	389689	Elsie Appleby
675901	398965	Zoe
675901	400709	Miss Cassewary
675901	408035	Mrs. MacTaggart
675901	410580	Katishe
675901	411056	Mrs. McTavish
675902	10788	Magpie
675903	139776	
675904	79830	Mrs. Carter
675904	131206	Sarah
675905	78796	Student #3
675905	151116	Circle of Light
675906	239756	Cafe Extra 1
675907	192286	Tim's ex-wife
675908	314923	Macalinski's Girls
675909	306414	Trustee
675910	5717	Chantal, Toddler (A Soft Touc
675911	366956	Juror #7
675912	344939	Rose Schwartz
675913	345628	Rae Lane
675914	166167	Kiss Crow
675915	80635	Didi
675915	80729	Kate
675915	97350	Marian Piper
675915	104564	Rita
675915	132259	Clerk
675916	169895	Audience Member
675917	5203	Co-Ed
675917	27363	Phoebe
675917	37115	Maria
675917	40543	Cheryl Barkhouse
675917	46743	Diane
675917	58020	Beth
675917	70424	Carol Holman
675917	79057	Megan/Jane Wright
675917	80394	Kimberly 'Kick' Birmingham
675917	82052	Cassandra Harris
675917	127824	Alice
675917	128346	Deputy Colleen
675917	210867	Crystal
675917	220023	
675917	291777	Ms. Busby, Swim Teacher
675917	329342	Rosca
675917	335686	Amber
675917	369421	Alison De Wasy
675917	396375	Lisa Sutton
675917	408458	Cpl. Marina De Luzio
675918	10412	Saloon Floozy
675919	2759	Herself (Co-Presenter)
675919	3242	Miranda
675919	4367	Kaitlynn Prescott
675919	14487	Kathy Lutz
675919	16646	Frida
675919	17782	Mrs. Muldroone
675919	31740	Doctor Kate 'Doc' Winston
675919	34639	
675919	34774	Miss Potter
675919	39372	Barbie Coard
675919	41383	Evelyn
675919	42785	Carol Dwyer
675919	45104	Mae
675919	50099	Cherie
675919	53523	Herself
675919	61326	Edith Taymore
675919	66011	Ms. Ellen Gibby
675919	68470	Mrs. Nelson
675919	73126	Mrs. Katerina Marmelodov
675919	73190	Melanie Kelly
675919	81033	Madam Badeau (segment "The Ps
675919	82401	Woman in washroom
675919	90697	Juliette
675919	96555	Herself
675919	96975	Herself
675919	99826	Narrator
675919	122914	Adeline
675919	129440	Willie
675919	129920	Solitaire
675919	132823	Herself
675919	133366	Margue
675919	133850	Maude
675919	139646	Helen
675919	141384	Rita Harris
675919	142870	Mabel
675919	144466	Laura Johnson
675919	149105	Lucy Cotton
675919	154856	Frances
675919	161326	Herself
675919	175230	Mickey Tremaine
675919	185649	
675919	192340	Margo
675919	195184	Virginia Tregan
675919	201514	Herself
675919	201770	Herself
675919	206806	Narrator
675919	208245	Margret Mary
675919	216715	
675919	221021	Herself
675919	232450	Lillian Hannibal
675919	241857	Stella Jenson
675919	245905	Narrator
675919	255233	Lynette Harding
675919	257293	Miss Peebs
675919	260786	Irene
675919	268159	Eliza Doolittle
675919	268840	Zazel
675919	269845	Brigit Slattery/Thelma Slatte
675919	275104	Marcia Curtis
675919	288702	Mrs. Potter
675919	296866	Sol
675919	299665	The Woman from England
675919	301613	Cindy Wilson
675919	303278	Danielle Breton/Dominique Bla
675919	306814	Joan
675919	307898	Toni Donovan
675919	308009	Sally Beckert
675919	310549	Herself - Narrator
675919	318189	Jackie
675919	318447	
675919	319602	Lois Lane
675919	319613	Lois Lane
675919	319614	Lois Lane
675919	319618	Lois Lane
675919	323578	Herself
675919	328553	Danielle (Sisters)
675919	339048	Mickey Raymond
675919	339480	Eileen Canboro
675919	345952	Bartender
675919	350440	Chris Kenyon
675919	363982	Madelaine X
675919	365827	Jeannette Sutherland
675919	366080	Sally 'Mom' Cima
675919	368023	Narrator
675919	372597	Lady Margarite
675919	379935	Morag (2000)
675919	383414	Gaia (1993-1996)
675919	385045	Denny
675919	391835	Herself
675919	396778	Herself
675919	397235	Jenny
675919	399385	Ruth (1971-1972)
675919	401359	Rebecca Madison
675919	405105	Dinah/Jennie Jerome
675919	408347	Rachel Grayson
675920	100827	School Girl
675921	307943	Linda
675922	353957	Une étudiante
675923	178123	Penelope
675923	323824	Jennifer Phillips (segment "A
675924	263227	Woman on Train
675925	129457	Herself - performer
675925	190571	Herself
675925	201537	Herself
675925	234150	Herself
675925	252445	Ms. Thuli Kani
675926	65541	Herself
675926	392678	Herself - Host
675926	402073	Host
675927	687	Herself
675927	866	Herself
675927	1674	Presenter
675927	1723	Herself
675927	1725	Herself
675927	2816	Presenter for Best Performanc
675927	2818	Herself/winner
675927	2889	Herself - Best Actress Winner
675927	2894	Herself (Presenter for Best A
675927	2940	Herself - Presenter: Best Edi
675927	3053	Herself - Best Actress Winner
675927	3055	Herself - Presenter: Best Act
675927	13751	Herself
675927	13854	
675927	19822	Catherine
675927	24455	Jill
675927	30965	Dr. Chase Meridian
675927	35605	Isabel Bigelow/Samantha Steph
675927	37965	Drew Preston
675927	38645	Anna
675927	38718	Sophia
675927	38864	Mary McAllister
675927	42222	Judy
675927	50162	Helen
675927	57665	
675927	59823	Petra
675927	65664	Herself
675927	66947	Ada Monroe
675927	80031	Dr. Claire Lewicki
675927	80412	Rae Ingram
675927	89330	Grace Margaret Mulligan
675927	89331	Herself
675927	96555	Herself
675927	99824	Helen, Mike McCord's Girlfrie
675927	99970	
675927	106666	Alice Harford
675927	108919	Shannon Christie
675927	115628	Nicola
675927	118529	Herself
675927	150790	Virginia Woolf
675927	152572	Faunia Farley
675927	158413	Herself
675927	160990	Silvia Broome
675927	169448	Herself
675927	186632	Academy Awards Presenter
675927	194183	Herself
675927	202389	Tracy Kennsinger
675927	208085	Bridget Elliot
675927	220276	Satine
675927	224073	Gail Jones
675927	231560	Herself
675927	231856	Herself/'Satine'
675927	243148	Herself
675927	243149	Herself
675927	244458	Grace Stewart
675927	247579	Stephen's Girlfriend on the P
675927	251420	Dr. Julia Kelly
675927	261039	Isabel Archer
675927	262261	Gillian Owens
675927	265289	Ulla
675927	278891	Herself
675927	279447	Herself
675927	281441	Carol Trig
675927	288715	Herself (Guest Host)
675927	299317	Herself
675927	299705	Herself
675927	303974	
675927	313160	Herself
675927	314445	Joanna Eberhard
675927	334154	Suzanne Stone Maretto
675927	339633	Herself
675927	347870	Olympias
675927	359878	Amy Gabriel
675927	362346	Herself (Interviewed at The B
675927	364179	Herself
675927	364401	Herself
675927	365891	Julia Matthews
675927	366078	Jade
675927	367883	Herself
675927	368247	Herself
675927	372760	Herself
675927	381238	Katrina Stanton
675927	388842	Annie
675927	410167	Megan Goddard
675927	411245	Carol Trig (episode 1: Room t
675928	299723	Maureen
675928	313432	Anne Trava, Shantur Tenek
675929	279200	Solo Singer
675930	384894	Sandy Colgan
675931	213262	Judy
675932	69428	Lo Tsen
675932	236726	Myung Hee
675933	239331	Nurse
675934	218341	Aliya Verma
675935	278318	Bartender
675936	347009	Gitta Stürmer
675937	186920	Miriam Grüneberg
675939	8942	Tanja
675939	18394	Bea
675939	26533	Christina
675939	27422	Heike Petersen
675939	59565	Barbie Pückler
675939	104769	Herself - German Entry (3rd p
675939	130915	Herself
675939	153931	
675939	189855	Herself
675939	302056	Maria
675939	310896	Bettina Beermann
675939	390999	
675939	394627	Yvonne Hoyer
675939	409625	Sandra Meier (1995-1996)
675940	59163	Narrator
675940	114382	Narrator
675941	169240	
675942	25263	
675942	345152	La Giudice
675943	93448	
675943	93449	
675943	93450	
675943	93451	
675943	101332	Tante
675943	115812	
675943	188850	
675943	208463	Paula Zipfel/'Tante Paula'
675943	230196	Frau des Anzeigenannehmers
675943	259522	Frau Martens
675944	6865	Sesame Plexor
675944	15222	Ellen
675944	41266	Martha Clark
675944	44185	Jill
675944	59765	Charlie Kate (1909)
675944	73560	Lucy
675944	75717	Woman in bar
675944	80794	Sharon
675944	96775	Gina
675944	134596	Linda Spencer
675944	139434	Buella May Blevins
675944	143074	Ronni
675944	154372	Anita
675944	190056	Sylvia
675944	222736	Lori
675944	239069	Betty
675944	269072	Marge
675944	297790	Darlene Holland
675944	321209	Stewardess
675944	323974	
675944	327063	Prudence Juris
675944	384894	Lori
675944	393173	Boston Teacher
675945	273794	Reporter #2
675946	59774	
675946	206506	
675946	235824	
675946	283047	
675947	72931	Goodyear Chorus Girl
675948	378022	Catherine, Roger's daughter
675948	389458	Herself
675949	352126	
675950	372343	Waitress
675951	357390	
675952	68370	La pianiste du Conservatoire
675953	30683	Sara Barnes
675954	282260	Little Girl with Water Gun
675955	15079	La femme malade
675956	251290	Agathe, femme du coiffeur
675956	378022	
675957	83348	
675958	201710	Herself/Extra in Movie
675959	90765	Mizzi
675960	27033	Evie
675961	322544	Hotline Girl #5
675962	26804	Herself
675962	92112	Roxanne Philabosen
675962	274118	Hedda
675962	274326	(segment "How I Met My Husban
675962	275889	Ms. Magruder
675962	315901	Leticia
675962	320118	The Woman
675963	7680	
675964	412075	
675965	17749	Dancer
675966	71616	
675967	311537	Vinnie's Girl
675968	164255	Woman in agency
675968	165048	
675969	313562	Waitress
675970	138716	Herself
675970	383766	Herself (2004)
675970	397967	Host
675970	405209	Sophie (1998)
675970	410744	Host
675971	73883	Nurse #3
675971	297791	Connie
675972	72591	Cindy Geeds
675973	150627	
675974	290069	Julchens Schwester Margaret
675975	144323	Gretl
675976	361400	
675977	84578	
675978	279909	Hostess
675979	35052	
675980	9919	Sybille Lenz
675980	42118	Karin Walter
675980	134788	Ewa
675980	145476	Karin Walter
675980	180908	Die Frau
675980	259821	Karin Walter
675980	259823	Karin Walter
675980	274862	Psychologin
675980	307085	
675980	367232	
675980	403113	Gaby Oldenhoff
675980	404792	
675981	104967	
675982	290839	Hilde
675983	388756	Emma
675983	391294	Pauline
675984	183899	
675985	129118	Baby Emily
675986	134280	Wabiken Lodge Dancer
675987	232424	Kimberly
675988	226954	Kier Kirby
675988	316022	Lady Miss Kier
675988	365108	Herself
675989	392531	Herself - Member of jury (200
675990	104775	Austrian entry (14th place)
675990	282450	
675990	308680	Herself
675991	49141	
675991	251689	
675992	363008	Jan
675993	56937	Nurse
675993	138873	Irish Nanny/French Tourist
675993	263531	Doctor
675993	320378	Ticket Agent
675993	335333	Female FBI Agent
675993	394510	Nurse
675994	50641	Bess
675994	50910	
675994	281849	Kosyla
675994	309521	Miriam's Sister
675995	303738	Marriage Witness
675996	183867	Doctor's Receptionist
675997	311728	Herself
675998	59726	Rikke
675999	134549	
675999	146540	
675999	212650	Sobczakowa
675999	255028	Edwardowa
675999	373782	
675999	375179	Rumszowa
676000	222245	
676000	222246	
676000	222247	
676000	222248	
676000	222249	
676001	121561	Amy's Mom
676002	214802	Wendy
676002	359425	Young Woman
676002	361224	Girlfriend at Audition #8
676003	149287	Mermaid
676003	298853	Laurie
676004	279657	
676004	289931	
676005	12938	Presenter
676005	96573	Reporterin
676005	134812	Herself
676005	233999	Host
676005	236816	Moderatorin
676005	319736	Conferenciere
676005	361336	Arabella
676005	380555	Host
676005	380556	Host
676005	398622	Herself as Judge
676005	406432	Presenter
676005	406433	Host
676005	411567	Presenter (1990-1995)
676006	238709	Paula's Sister
676007	240029	Livvy Happ
676007	310427	Jenny
676007	389416	Astronaut's Wife
676008	39157	Little Girl with Camera
676009	102405	
676010	312750	
676011	81649	Rosalee's Sister/Harry's Char
676012	145347	
676012	404899	Caro (1999-)
676013	180912	Nachrichtensprecherin 'Lokalz
676014	266611	
676015	209972	Ljuba
676016	39625	
676016	158930	Old Lady #1 at Motel
676017	394049	Claudia Gneisser
676018	412198	Magdalena
676019	72886	The Young Dumb Girl
676020	34034	Lenna
676020	120667	
676020	140247	Martha
676020	204433	
676020	290489	
676020	366526	Frau Taft
676020	376024	Hedwig Lauenstein
676021	194223	Reston Girl
676022	158138	Laser Model 1
676022	182789	
676022	257720	
676023	331595	Singing Lotus Woman
676024	210127	
676025	411937	Herself/Host (2000-)
676026	115700	Lucienne Hominedes de Histang
676026	142282	
676026	167147	Miss Tipdale
676026	204449	
676026	306403	
676026	325782	
676026	366023	
676027	259482	
676028	381541	Donna
676029	127094	Additional Voices
676029	165976	Additional Voices
676029	210567	Cara Walker
676029	230340	Student
676029	300963	Patti
676029	345850	Lindsay
676029	396110	Patti Morgan
676029	401746	Daisy
676029	401855	Dee Dee
676030	213162	Liz
676031	395065	Young Arthur
676031	396489	Mocha
676032	182506	Lamika
676033	60360	Lani
676033	99178	Njoki
676033	107150	Miriam
676034	312533	Kootch Dancer
676035	314675	Celia Mackenzie
676035	396343	Celia MacKenzie
676036	16921	Michelle Wilson
676036	81270	Lily Carpenter
676036	123020	Blue Girl
676036	136832	Honey Shayne
676036	276916	Joyce
676036	295272	Jennie
676037	90828	Meisje
676037	157627	Maria
676037	211917	Jenny Vandensant
676038	195518	Guard
676039	16006	Donna
676039	50041	Radio Newswoman
676039	76571	Sheila
676039	92263	Receptionist
676039	95908	Cinderella
676039	159012	Diana
676039	176275	
676039	210483	Laura
676039	260266	Anchor Woman
676039	283368	Birthday Girl
676039	288711	Herself (Various Characters)
676039	297190	Jen
676039	330386	Amber Jean Rose
676039	364372	Gwenn
676039	367874	Herself
676039	368392	Herself
676039	385577	Correspondent (1998)
676039	391187	Herself
676039	396113	Herself/Co-Host (1997)
676039	402425	Herself
676039	404337	Various (1994-1995)
676039	404342	
676039	406366	Host
676039	407823	Backstage Betty
676039	411565	Bitchy Bitch
676040	144440	Court Lady Sayo
676041	40023	
676042	137006	
676042	373218	
676043	61673	Diner Waitress
676043	67758	
676044	163088	Mia
676045	377397	Godeman's Child
676046	399850	Tove Liljeblad
676047	347025	Solveig Thysell
676048	314957	Extra #11
676049	51297	Ida Olsen
676049	108858	Ilona
676049	184205	Ragnhild
676049	340251	Bellina, danser
676050	276139	Woman in musical number
676051	10153	Louisa
676051	19888	Anne Marie
676051	46156	Lenina Crowne
676051	81776	Chloe Lerner
676051	120782	Catherine
676051	148205	Alice Ribbons
676051	152220	Laura
676051	164716	Patricia 'Pat' Long
676051	211518	Mermaid
676051	289265	Katherine
676051	292179	Arleen
676051	382912	Lizzy Elmsworth
676051	391262	Willa
676052	210350	Herself
676053	262963	L'épouse de l'Allemand
676054	411420	Herself
676055	101496	
676055	142118	Vilttitossu
676056	214835	Liisa Stenvall
676057	198603	
676058	338877	
676059	156038	
676059	302824	Kerttu
676059	349408	Kerttu
676059	393760	Halise Alibullen
676060	145424	Manta
676061	2792	
676061	101496	
676061	214584	Minerva
676061	255766	Katri Ruuska
676061	324482	Cabaret dancer
676061	373373	
676061	380247	Sigrid
676061	387499	(episode 1: "Ikuinen Vieras")
676061	393017	Emmi
676061	394887	Laura
676061	400337	Kirsi
676061	404145	Petra Rinne
676062	176969	Brandy Woman
676063	379716	Emily Ann Sago Martin #1 (198
676064	75966	
676064	181365	
676064	321814	Lukasz's Mother
676065	107606	Magda
676065	207602	Locutora T.V.
676066	20878	Nino
676067	97053	La Noire (Black)
676067	377008	Mara
676068	168356	Yasuko
676068	373190	Student
676069	28584	Smiling girl
676069	58311	
676069	73351	Kiki
676069	99568	Dwarf
676069	99689	Girl with painted eyes
676069	123055	
676069	125907	
676069	130285	
676069	130828	Christofe
676069	136404	The Dwarf
676069	276542	Nude torso
676069	303654	Dwarf at Circus Zoo
676069	303851	Dwarf
676069	315361	Lillen
676069	349358	
676069	355666	Ikumi
676069	357240	
676069	359045	
676069	377932	Woman
676070	2370	Defender Shigure Nagamura
676070	9256	
676070	9587	Oshige
676070	12948	Ryosaku's wife
676070	34616	Aunt Hata
676070	76988	Kura, Nakamura
676070	97454	Orittsan
676070	122048	Yoshi
676070	138486	Tama Ichise
676070	149245	
676070	160095	Mother
676070	163848	
676070	173105	Woman who brought a boy
676070	173714	Sene Tachikawa
676070	175259	Sumi Yashiro
676070	177155	Tane
676070	179387	Sanae Mita
676070	182502	Mine Kamioka
676070	200520	
676070	202827	Kiku Matsukawa
676070	216301	
676070	239232	
676070	242152	Teacher
676070	244518	
676070	256760	
676070	271886	
676070	276920	Xie
676070	284871	Terue Amano
676070	287926	
676070	294312	Etsuko Onoki
676070	298884	Momoko no sobo
676070	327965	Naoko Saitoh
676070	334926	Sakai,Ritsuko
676070	341228	Kimi
676070	344950	Kayo Sugumo
676070	359040	Mary
676070	372000	
676070	373228	
676070	373231	Kikuyakko
676070	373438	
676070	374182	Fan of Kyushiro
676071	357675	
676072	237783	Girl at Community Center
676073	102993	
676073	341227	
676073	341234	
676074	79255	
676074	216552	
676074	298275	Mariami
676075	206484	
676075	228357	
676076	77572	
676077	99228	
676077	102998	Tina
676077	202688	
676077	217019	
676077	217780	
676077	253167	Eka
676077	255804	Ana
676077	302430	Tata
676077	342249	
676077	351076	
676078	224691	Back-Up Singer
676078	326617	Granmama
676078	351702	Acupuncturist
676079	33569	Anna
676079	44183	Juliette
676079	47391	Chloé
676079	58232	Julie
676079	206298	
676079	225366	Emma
676079	235249	Isabelle
676079	254599	
676079	353790	La muette
676079	388313	
676079	389242	Juliette Janssen
676079	404804	Elisabeth
676079	408923	Marie
676080	394696	Aya Sugita
676082	396535	
676083	217377	Sayuri
676084	63545	Okaru
676084	400060	
676084	410647	Onogawa
676086	30987	Ayane Yagi
676086	167984	Sakura Kuroda
676086	408435	Koume "Umeko" Kodou/Deka Pink
676087	28120	Okiku
676087	328143	Momoko
676087	392101	
676088	358418	
676089	176206	Natsue Matsuura
676090	238096	Nanako
676091	176532	Hikaru Aman
676091	177384	Whip
676091	177385	Whip
676091	177386	Whip
676091	177387	Whip
676091	177388	Whip
676091	187319	Rouge
676091	201289	Roll
676091	394421	Amano Hikaru
676092	244232	Girl
676093	174340	
676094	394696	Hisae Kumagai
676095	309095	Taeko
676096	91652	Lisa Ozaki
676096	130502	UN Molecular Biologist Miyuki
676096	387375	Herself (2001-2002)
676096	396846	Mimi Sakamoto
676097	285190	Herself
676098	278763	Sarah
676099	109064	Koro
676099	202988	Third Receptionist
676099	348336	Toyota Kawasaki
676100	138006	Kitchen girl
676101	104282	Jong Eteri
676102	297290	Policewoman
676103	35840	Antoni's Mother
676103	82196	Jarek's mother
676104	58495	Passenger
676105	216803	Golden Girl
676106	380909	Herself - Host (1997-2002)
676107	297932	Birdie Reynolds
676108	315132	Choir member
676109	177010	Herself
676109	177011	Herself
676109	314789	Herself
676110	52201	Heather English
676110	69265	Lisa Hampton
676110	130441	Alice
676110	341928	Tracy Alexander
676110	391262	Constance Hazard
676110	397665	Devon King (1988-1990)
676110	399684	Constance Flynn Hazard
676110	399685	Constance Flynn Hazard
676110	399738	Jacqueline North
676111	367919	Theatrical Child
676112	18286	
676113	277098	Smoking Wench #2
676114	191051	Scruff #1
676115	55109	Mrs. Carter
676115	191783	Heloise
676115	315237	Mary
676115	350500	Jackie Whittaker
676115	357385	Kate
676115	368445	Mrs. Hebdon
676115	383881	Angela
676115	385020	Evelyn Sykes (2000-2002)
676115	395595	Barbara Bibby
676115	396580	Jill
676115	398350	
676115	401077	Liz Pullen (2000)
676115	405625	Janeen
676115	405829	Carol Anderson (1991)
676115	410978	Sandra Harrison (1999)
676115	411201	Edwina Sprott
676116	340845	Herself (interviewee)
676117	297672	Lisa
676118	59312	Romana
676119	795	
676119	1743	Herself - Performer
676119	63042	Herself
676119	73868	Herself
676119	109143	Herself
676119	127285	Herself
676119	167279	Herself
676119	190798	Performer
676119	221481	Herself - Presenter
676119	224392	Herself (performer)
676119	231491	Herself
676119	277909	Sue Lee Shelley
676119	283953	Interviewee
676119	298656	Herself
676119	352976	Performer
676119	360115	
676119	363340	Herself
676119	367068	Dorothy
676119	368158	Herself
676120	151483	Little Choir Member
676120	230865	Pocahontas
676121	808	Sarah (Saral'e) Arad
676121	2755	Mariana
676121	33895	
676121	60096	Daniela
676121	63226	
676121	83744	Malka Kahanstein
676121	138649	
676121	184012	Yael
676121	249914	
676121	254388	Dafna
676121	254859	
676121	299410	
676121	379470	Linette, Eliane's Mother (200
676121	393031	Liora Roth
676122	246861	Pajama Girl
676123	154113	
676123	228218	Toots Burtis
676124	130149	
676125	394987	Herself
676126	294139	Call Girl
676127	374131	Papagena
676128	40191	Verlaine
676128	41280	Herself (extended version)
676128	399849	Kristin
676129	283935	
676130	38135	Eve
676130	81722	Neville's entourage
676131	87432	Anti 'Bear' Neuter
676131	189325	Nurse
676131	251646	Friend of Mary
676132	49854	Cecilia Meadows
676132	273544	Professional Woman
676133	253092	Hiker
676134	96697	Lita
676134	147614	Margery Thwaites
676135	246861	Woman who lands on J.D.'s mot
676135	302870	Jane Mills, Reporter
676135	410913	Herself/panelist (1950-1965)
676136	1784	Marny
676136	62679	Julia
676137	273346	Karen
676137	381212	Emma Johnson
676138	17796	Karen
676138	128687	Karen
676138	267035	Various
676138	267165	Anna
676138	372510	Herself
676138	382489	Jean Pettengill (2002-)
676138	395198	Host
676138	396557	Herself
676138	398407	Various (1996-1998)
676139	292192	
676140	23148	Aphrodite Mulvain
676140	75570	Cora
676140	96753	Dancer
676140	121819	Melissa
676140	144910	Laurie
676140	196558	Girl #2
676140	203270	Mary Philbin in 'Phantom'
676140	239414	Dancer
676140	295282	Alice Elcott
676140	297091	Nancy
676140	329560	
676140	336141	Ballet Member
676141	126186	
676142	176385	
676142	326691	
676143	101299	Kim
676143	107949	Jennifer Barnes
676143	131499	Topless Fan
676143	196457	Dee-Dee
676143	314782	
676143	331411	
676144	79849	Herself
676145	123343	Gloria
676146	319695	Trigger
676147	233995	
676147	314831	
676148	231956	
676149	100118	Danielle
676149	100119	Danielle
676150	73989	Debra Flint
676151	363803	Sowaiapik's Wife
676152	144352	Clementine
676152	290519	Elke
676152	365611	Nadine
676153	205748	
676154	173736	
676154	397445	Corinne
676155	305223	Girl 1
676156	74172	TV-novinarka
676157	74172	Medicinska sestra
676158	309158	Hippie Alley
676159	196338	
676159	373061	
676160	354434	Csiri (sparrow)
676161	95725	Dancer
676162	98263	Herself (guest appereance)
676162	134792	Marika Kilius
676162	134795	
676163	378193	
676164	88313	Marietta
676164	137736	1. Mädchen
676164	229167	Claudia
676164	281755	Elena Tolliver
676164	386906	Iris
676164	405817	Ramona Bergheimer
676166	3924	Bartender Female
676167	367098	Maiden #2
676168	34104	Video Customer
676169	358687	Schwertleite
676170	36848	Australian Host
676170	36855	Herself
676170	65541	Herself
676170	101946	Herself - Host
676170	126624	Rhonda Halliwell
676170	381514	Herself (2001-2002)
676170	381898	Herself - Host
676170	381917	Herself
676170	383732	Herself - Host
676170	398316	Herself
676171	337209	
676172	165417	Barbara
676173	105385	Barabara
676174	47083	
676174	49338	Norma Brody
676174	134390	Olivia Ofrenda
676174	199162	Irene
676174	313481	Sev'Rance Tann/Naboo air crui
676174	327251	Ruby Wells
676174	358771	
676175	44343	Djevica Zla #1
676176	185941	
676177	105528	
676177	108551	
676177	125172	Freundin von Serventa
676177	352382	Sonja
676178	168999	Fatma Akkus
676179	64949	Jocelyne Apifiou
676180	21585	Antonio's Wife
676180	48800	
676180	64972	
676180	105664	
676180	112059	
676180	123059	
676180	131970	
676180	140567	
676180	159346	(segment "Elixir de amor")
676180	171470	
676180	191072	
676180	208849	
676180	214622	
676180	248228	Cristina
676180	272618	
676180	326325	
676180	350266	
676180	376637	Madre Laura
676180	379853	
676180	383138	
676180	383438	Íngrid
676180	390614	Rufina
676180	392751	Angélica Sandoval
676180	397256	Evangelina
676180	398665	Durga
676180	399537	
676180	399764	Javiera
676180	402301	Dolores
676180	402771	
676180	403366	Martha de García Méndez
676180	408466	
676180	409920	Élida Castro
676180	410423	Silvia
676180	412311	
676181	192680	Herself (Girls 1 Teacher - Sc
676181	236968	Harlequin
676182	59729	Convertible Girl
676183	97461	Herself
676183	101070	Model #1
676184	220917	Mary Christian
676184	270933	Girl in Classroom
676184	297189	Amy Underhill
676184	304561	Portia
676185	364865	Ms. Black
676186	347856	Neisha Miller
676187	48033	Woman in the Street
676187	300114	Herself
676187	382254	Ladies Room Attendant
676187	391222	Herself
676188	83958	Coast Guardswoman
676189	405742	Bethan Griffiths/Eirlys
676190	215830	Herself
676191	201605	Herself
676192	394003	Presenter
676193	19323	Caroline
676194	6398	Lisa
676194	14314	Eléonore
676194	19323	Elisabeth
676194	35814	Charlie
676194	53833	
676194	53835	Anne
676194	94866	Madame Berger
676194	100726	Patricia
676194	102616	Moglie Novembre
676194	110143	Sylvie
676194	112831	Lisa
676194	148638	Hélène
676194	161995	La prof
676194	166565	Lady in Court
676194	219511	Katharina
676194	235875	Dorothy Parker, la femme du d
676194	244962	Christine
676194	260911	Sonia Winkler
676194	289210	Esther
676194	291584	(segment "Déçue")
676194	346534	Sonia
676194	377699	
676194	386433	Claire
676194	388160	Angèle Aguila, dite 'Angie'
676194	396524	Delphine Roux
676194	409531	Delphine
676194	409732	
676194	410238	
676195	44441	Karen Hudson
676195	60268	Caroline
676195	114016	Gill
676195	117133	Lobby Girl #1
676195	324552	Tracy
676196	137766	Old Woman Upstairs
676197	276844	Joyce
676198	103326	'Calamity' Jill
676198	159164	Beloch's Army
676199	72442	
676199	176942	Gloria
676199	354868	Linda Blomberg
676200	305223	Mrs.Moss
676201	75030	
676202	87576	Businesswoman
676202	111729	Eva Bullard
676203	30967	Emperor Penguin
676204	261236	Audition Receptionist
676204	346267	Woman Drug Dealer
676205	408642	Panelist
676206	267165	D&D Mattress Customer
676207	304972	Cop
676208	60167	
676209	85904	
676209	219994	
676210	150249	Princess Ina
676211	405217	Wardress
676212	245625	Fashion Center Beauty
676213	167797	Production Assistant
676214	8352	Stuardess
676215	360055	Other Pupil
676216	399130	Tiffany 'Lochy' McLachlan (19
676217	31580	Roommate
676218	156841	Herself
676219	56616	Jean
676220	83929	Customs Official
676220	285299	Michelle Sowell-Ross
676221	21448	Partygoer
676221	213466	Toddler's Mom
676222	348727	Ursula
676223	271053	Ministerin avustaja
676224	170246	Vieras #7
676224	181592	Farm maid
676224	187055	
676224	242948	Girl at the dance hall
676224	251941	Reporter #1
676224	251945	Nurse
676224	302826	Girl at dance hall
676225	155277	Sari Steele
676225	158318	Ann House
676225	207696	Claire Bowman
676225	283565	Mary Walker
676226	362261	Mrs. Van Dyke
676227	271344	Church Choir
676228	348402	Little Boy's Mother
676229	27332	Hitchhiker
676230	63574	
676231	80876	Seductress
676232	348374	Hot Tub Girl
676233	73950	Indonesian Gardener
676234	79060	Nurse
676235	16175	
676235	21963	Hooker
676235	49437	
676235	61808	Red Guard 1 (Part 2)
676235	87581	
676235	117868	
676235	129204	
676235	200629	
676235	219151	
676235	219901	
676235	227881	Kim
676235	252615	
676235	316794	
676235	322431	
676235	342646	Tina Andrews
676235	366959	Sister Griswold
676235	366997	Woman-in-Street
676235	412278	Herself
676236	37707	
676236	84505	
676237	29165	
676237	38755	
676237	43026	
676237	51027	
676237	122864	
676237	141060	
676237	218042	English Teacher
676237	288348	
676237	318593	
676238	285215	Old Woman
676239	286004	
676240	7274	
676240	62849	
676240	243897	
676241	371218	
676242	126811	
676243	277582	June Wong
676244	24571	Tomiko Kurosawa
676245	108627	Masked Woman #2
676246	231202	
676247	208040	
676247	232933	Nudist
676248	184022	Young Laila
676249	48527	
676250	60623	Shi-yeong
676250	62202	Jin-sook
676250	102088	Ji-su
676250	122688	Yu-ri
676250	270147	Dan Ju-hie
676251	166809	
676252	51016	
676252	76643	
676252	122830	
676252	122863	
676252	130262	
676252	130266	
676252	138301	
676252	156108	
676252	202332	
676252	287405	
676252	294443	Ko Su-mi
676252	295225	
676253	81498	
676253	153408	Na-yeong
676253	371163	
676253	371177	
676253	373137	
676254	153453	
676255	17842	
676255	60639	
676255	77156	
676255	80074	
676255	104557	
676255	126880	
676255	126887	
676255	136419	R's wife
676255	166613	
676255	166804	
676255	202200	
676255	217127	
676255	225988	Miss Choi
676255	371148	Shin-ae
676255	371160	
676255	371169	
676255	371183	
676256	295238	
676257	102060	
676257	167886	
676258	15393	
676259	239851	
676260	137565	Nurse
676260	390252	Najette Malek
676261	75775	Governor's Aide
676261	332778	Exchange Student
676262	342784	Masseuse
676262	411449	Aya Kanazawa, Rei Otonashi, T
676263	396874	Eun-Hi Kim-Töppers, geb. Kim 
676264	190514	
676264	289261	
676265	143468	Lee Hye-rim
676266	36384	
676266	165114	
676266	234926	
676267	1012	
676267	60604	
676267	60615	
676267	80079	
676267	89098	Mother-in-law
676267	102082	
676267	126768	
676267	155126	
676267	155195	
676267	156409	
676267	164335	
676267	165621	
676267	167220	
676267	167473	
676267	167571	
676267	169015	
676267	170318	
676267	203877	
676267	204380	
676267	211211	
676267	217330	
676267	222475	
676267	224459	
676267	226731	
676267	227714	
676267	236773	
676267	262149	
676267	285236	
676267	287572	
676267	291655	
676267	323234	
676267	371155	
676267	371249	
676268	236486	
676268	288178	
676269	2782	
676269	9432	
676269	29267	
676269	76662	
676269	89533	
676269	102045	Hye-yeong
676269	159614	
676269	170833	
676269	200547	
676269	280423	
676269	286661	
676269	294448	
676269	298791	
676269	299138	
676269	358102	
676269	371194	
676270	74480	Actress
676271	24484	Grunella
676271	277471	Japanese Grandmother
676272	1977	
676272	29229	
676272	38334	
676272	38842	
676272	60586	
676272	126890	
676272	131272	
676272	137327	
676272	166798	
676272	167476	
676272	199890	
676272	219851	
676272	227439	
676272	285570	
676272	295228	
676272	323233	
676272	370707	
676272	371671	
676272	373064	
676273	168675	Girl
676274	288176	
676275	63146	Maisie Kim
676276	255749	
676277	317874	Girl
676278	328959	Voice of Tetris World
676279	124795	Asian
676280	342515	Herself
676281	359858	Art Gallery Party Goer
676282	167471	Grandmother
676283	283331	
676284	122864	
676284	153456	
676285	58785	
676285	153444	Iryon, as a girl
676286	291655	
676287	308737	
676288	241915	
676288	294487	
676288	330064	
676288	371140	
676289	46406	Dara Horenblas
676289	176686	Turtle
676290	217909	
676291	318841	Herself
676291	369204	Herself
676291	369206	Herself
676291	369231	Herself
676291	402907	Herself (2003-)
676291	406933	Herself (2003-)
676292	151988	
676292	335397	
676293	365430	Massage Girl
676294	129599	Alcestis
676295	137083	
676296	126895	
676296	139575	Ye-rim
676296	227605	
676296	278435	
676297	177067	Herself
676298	149583	
676298	162218	
676299	36542	
676300	49660	Lee Eun-ju
676300	124683	Hye-jin
676300	189260	Min-seong Hyun
676300	287521	A-hyeon
676300	371143	
676301	286097	
676301	289399	
676302	38278	
676302	88892	
676302	90595	Su-wan
676302	90596	Yoon, So-Eun
676302	126811	Ju Yeong-ju
676302	284016	Min Ji-won
676303	29165	
676303	126878	
676303	126894	
676303	235266	
676303	255749	
676303	371671	
676304	199288	Suzuki
676305	166833	
676306	165543	
676306	370295	
676307	105337	
676307	170325	
676307	348654	Mother
676308	58785	
676308	153444	Iryon
676309	153419	
676311	109832	Brittany Marie Lussier (3 mns
676312	36559	Sullie
676312	52571	Ji-hee
676312	153452	So-hie
676312	164878	Jin Chae-byul
676312	178187	
676312	246447	Eun-hae
676312	333200	
676312	359004	Wa-nee
676313	44010	Chinese Girl
676314	176712	Karen
676315	34179	
676316	226589	
676316	371238	
676317	144279	
676318	29267	
676318	156595	
676318	165030	
676318	215131	
676318	247030	
676318	280899	
676318	286640	
676318	287381	
676318	287934	
676318	295010	
676319	371263	
676320	136412	
676321	77168	
676321	126897	Yeon-hee
676321	371178	Park Bo-yeong
676322	61963	
676322	114982	
676322	226135	Anna
676323	2221	
676323	3189	
676323	4768	
676323	15394	
676323	28356	
676323	36549	
676323	37523	
676323	37736	
676323	38198	
676323	38199	
676323	38756	
676323	38757	
676323	43042	
676323	44518	
676323	49122	
676323	49433	Hwa-ryong
676323	49615	
676323	51023	
676323	51024	
676323	51025	
676323	60575	
676323	60580	
676323	60592	
676323	60604	
676323	60650	
676323	60667	
676323	62439	
676323	63488	
676323	76640	
676323	80077	
676323	89444	
676323	89525	
676323	89531	
676323	89533	
676323	89535	
676323	89543	
676323	89549	
676323	89550	
676323	90585	
676323	90590	
676323	94357	
676323	94394	
676323	95043	
676323	95563	
676323	102030	
676323	102040	
676323	126777	
676323	126786	
676323	126817	
676323	126880	
676323	126907	
676323	131284	
676323	136322	
676323	137072	
676323	137417	
676323	138390	
676323	138422	
676323	144257	
676323	147309	
676323	153423	
676323	153432	
676323	153436	
676323	159613	
676323	159614	
676323	162655	
676323	164844	
676323	165535	
676323	165551	
676323	165645	
676323	166465	
676323	166795	
676323	166797	
676323	166838	
676323	167219	
676323	171512	
676323	178890	
676323	182315	
676323	199902	
676323	199952	
676323	201282	
676323	201285	
676323	217363	
676323	222476	
676323	222821	
676323	224454	
676323	224455	
676323	224471	
676323	226536	
676323	226538	
676323	226551	
676323	227113	
676323	227210	
676323	227221	
676323	227395	
676323	227496	
676323	227714	
676323	236737	
676323	243905	
676323	245868	
676323	245869	
676323	286000	
676323	286008	
676323	286635	
676323	287083	
676323	287468	
676323	288147	
676323	291655	
676323	295225	
676323	297362	
676323	297364	
676323	297409	
676323	298731	
676323	298845	
676323	299051	
676323	306385	
676323	317966	
676323	320359	
676323	323234	
676323	323235	
676323	344227	
676323	344357	
676323	348672	
676323	349014	
676323	364789	
676323	368078	
676323	368081	
676323	368091	
676323	368203	
676323	371257	
676323	373204	Hie-jeong
676323	373239	Choi Jun
676323	393262	Pamie (Korean version)
676324	292092	Cho Se-in's mother
676325	166791	
676326	344214	
676327	329017	
676328	222356	Su Yang
676329	15392	
676329	227395	
676330	202958	
676330	208685	Mother
676331	5115	
676331	5325	
676331	7265	
676331	15176	
676331	15396	
676331	16960	
676331	18071	
676331	19390	
676331	28803	
676331	29259	
676331	29438	
676331	49130	
676331	60582	
676331	60641	
676331	60652	
676331	102026	
676331	102081	
676331	126809	
676331	126816	
676331	126903	
676331	136344	
676331	136434	
676331	153438	
676331	156107	
676331	158749	
676331	159612	
676331	160197	
676331	162621	
676331	166299	
676331	167515	
676331	167931	
676331	167941	
676331	170326	
676331	218640	
676331	224452	
676331	226521	
676331	226565	
676331	226585	
676331	227058	
676331	237689	
676331	237838	
676331	249170	
676331	259077	
676331	268143	
676331	286092	
676331	287933	
676331	288181	
676331	288238	
676331	294470	
676331	313540	
676331	320409	
676331	370515	
676331	371192	
676331	371667	
676331	371829	
676331	373307	
676332	76661	
676332	287499	
676332	371255	
676333	126127	Lee Ji-hyeon/Lee Jeong-hyeon
676333	126886	Hye-na
676334	102088	Sang-min's mother
676334	241915	
676335	90451	
676336	60642	Queen Ji-seong
676336	65537	
676336	136405	
676336	140828	Prof. Yu's Wife
676337	6343	
676337	49122	
676337	58785	
676337	63417	
676337	385546	Myeong-Hee Park, Jang-Geum's 
676338	59081	
676338	60658	Park Young-shin
676338	92419	
676338	102044	Ji-su
676338	126770	
676338	126876	
676338	220888	
676338	243962	
676338	286970	
676338	299097	Min, Ju-ran
676338	335715	Anouk
676338	371242	
676338	371665	Min, Jeong-rim
676338	376543	
676339	29394	
676339	36353	
676339	153445	
676339	166813	
676339	238962	Yang Mi-suk
676339	288171	
676339	330064	
676339	373146	
676339	390832	Yoo-Jin's mother
676340	371148	
676341	78203	
676341	167884	
676341	167885	
676342	201281	Du Mi
676343	122959	
676343	166805	Ahn Seon-hie
676343	166811	
676343	179989	
676343	211202	
676343	236765	
676343	288145	
676344	229843	
676345	285845	Chunhyang (story 1)
676345	376539	
676346	7284	
676346	27536	
676346	63486	
676346	76644	
676346	76647	
676346	123493	
676346	126880	
676346	147299	
676346	159616	
676346	166795	
676346	166829	
676346	169632	
676346	226564	
676346	227196	Hyeon-ok
676346	287405	
676346	287468	
676346	344219	
676346	373146	
676347	60642	Ja woon-bi
676347	236496	Han Mi-yeong
676348	61542	
676348	94906	
676348	370704	
676349	60606	
676349	136340	
676349	166822	
676350	52571	Soo-jin
676350	63147	
676350	303404	Mei Chung
676350	384011	Cha Won-young
676351	137077	Nam-kyeong
676351	303748	
676352	242383	
676353	239303	
676354	51028	
676354	91428	
676354	125949	
676354	155800	
676354	165551	
676354	238919	
676354	286239	
676355	371148	Ju Mae-gon
676356	44818	
676356	122834	
676356	126775	
676356	153456	
676356	162620	
676356	167476	
676356	216421	
676356	217127	
676356	228366	
676356	245868	
676356	245869	
676356	286096	
676356	287361	
676356	319291	
676356	322911	
676356	371228	
676357	47423	Yon Greene
676357	59718	Darcy/Charlotte
676357	87576	Cindy Chang
676357	147845	Paula Carver
676357	151742	
676357	213460	Jane
676357	240373	
676357	242815	The Operator
676357	274067	Samantha Wong
676357	313420	Ensign Demora Sulu
676357	338403	Alice
676357	356472	Dr. Jaye Calder
676357	363931	Michelle Stefanoff
676358	346099	Newsreporter
676359	20193	
676360	185715	Kim
676361	63370	
676362	231834	Sexy Girl
676363	411367	Lotus
676364	45278	Brythle
676364	109832	Brittany Marie Lussier (3 mns
676364	131241	Nurse
676364	137766	Casting Assistant
676364	168504	Inquisitor
676364	185222	Female Desk Assistant
676364	194638	Alcott's Student Secretary
676364	348608	Student Screamer
676364	409511	Rita
676365	363560	School Board Audience
676366	28357	
676366	28358	
676366	28363	
676366	132127	
676366	136346	
676366	166016	
676366	285224	
676367	222144	
676368	49174	Hwa-jeong
676368	123526	Jang, Jin-kyeong
676368	164757	
676368	226136	Hye-mi
676368	226554	
676369	126812	Park Hyo-jin
676369	226716	Hong Su Jung
676370	27539	
676370	153448	
676370	227222	
676370	286640	
676370	309093	
676371	153449	
676371	156108	
676371	164844	
676371	166824	
676371	307545	
676372	166009	
676372	166013	
676372	179673	
676373	204852	
676373	308566	
676374	126803	
676374	267193	
676375	132202	
676375	170636	
676375	198805	Ji-hye
676376	126892	
676376	299126	
676377	317874	Omma
676378	126885	
676378	162014	
676379	76655	
676379	89322	
676379	136339	
676379	199889	
676379	222353	
676379	226865	
676379	246993	
676380	318849	Hie-ran
676381	2221	
676381	2612	
676381	3060	
676381	7351	
676381	7358	
676381	8295	
676381	8329	
676381	13748	
676381	14331	
676381	14333	
676381	14337	
676381	15205	
676381	15396	
676381	16587	
676381	19391	
676381	26209	
676381	26210	
676381	28728	
676381	29601	
676381	37610	
676381	38251	
676381	38398	
676381	49146	
676381	49147	
676381	49198	
676381	51003	
676381	51009	
676381	58599	
676381	60593	
676381	60613	
676381	60616	
676381	60649	
676381	61542	
676381	61948	
676381	62794	
676381	63386	
676381	63407	
676381	63463	Chun-hie
676381	76680	
676381	89421	
676381	89456	
676381	89539	
676381	89542	
676381	89545	
676381	90584	
676381	90589	
676381	90601	
676381	90605	
676381	90607	
676381	90616	
676381	94442	
676381	94901	
676381	94906	
676381	95043	
676381	99898	
676381	102045	Chun-hie
676381	102052	
676381	102055	
676381	102074	
676381	104546	
676381	122831	
676381	123231	
676381	124785	
676381	124792	
676381	125950	
676381	125961	
676381	125966	
676381	126767	
676381	126771	
676381	126896	
676381	127718	Hwa-yong
676381	130246	
676381	131108	
676381	135650	
676381	136371	
676381	136409	
676381	136414	
676381	136421	
676381	137089	
676381	137090	
676381	138298	In-sun
676381	138343	
676381	138426	
676381	138428	
676381	139931	
676381	140586	
676381	140629	
676381	144271	
676381	144289	
676381	147570	
676381	149045	
676381	152338	
676381	152339	
676381	152891	
676381	153412	
676381	153416	Hwang Jin-yi
676381	153427	
676381	153435	
676381	153441	
676381	153511	
676381	153516	
676381	153524	
676381	154586	
676381	155172	
676381	155188	
676381	155192	
676381	155194	
676381	156123	
676381	156410	
676381	156567	
676381	159614	
676381	160199	
676381	165094	
676381	165144	
676381	165521	
676381	165541	
676381	165542	
676381	165545	
676381	165834	
676381	166010	
676381	166211	
676381	166796	
676381	166815	Tae-hu
676381	166816	
676381	166817	
676381	166820	
676381	166821	
676381	166830	
676381	166836	
676381	166968	
676381	166969	
676381	167391	
676381	167470	
676381	167791	
676381	167934	
676381	170303	
676381	170330	
676381	178890	
676381	201275	
676381	201278	
676381	202519	
676381	204127	
676381	204523	
676381	204527	
676381	213880	
676381	217367	
676381	218044	
676381	218639	
676381	222354	
676381	223522	
676381	224454	
676381	224461	
676381	224466	
676381	224469	
676381	224471	
676381	224472	
676381	225802	
676381	226005	
676381	226540	
676381	226545	
676381	226559	
676381	226665	
676381	226866	
676381	227139	
676381	227178	
676381	227182	
676381	227396	
676381	229552	
676381	230215	
676381	232734	
676381	234817	
676381	236770	
676381	237838	
676381	239205	
676381	239365	
676381	239375	
676381	246365	
676381	247028	
676381	247087	
676381	255024	
676381	267199	
676381	267492	
676381	268144	
676381	275805	Ren
676381	285844	
676381	286002	
676381	286032	
676381	287083	
676381	287310	
676381	287364	
676381	288146	
676381	288153	
676381	288173	
676381	294436	
676381	294469	
676381	294474	
676381	294477	
676381	294484	
676381	294494	
676381	294497	
676381	295220	Ha-ryeon
676381	295223	
676381	297361	
676381	297375	
676381	297409	
676381	298786	
676381	298790	
676381	307044	
676381	308412	
676381	318661	
676381	322902	
676381	322903	
676381	322904	
676381	322912	
676381	322917	
676381	324099	
676381	332404	Sei-young
676381	334827	
676381	344223	
676381	344393	
676381	344394	
676381	359035	
676381	364699	
676381	367202	
676381	367204	
676381	367357	
676381	367946	
676381	370319	
676381	370503	
676381	370515	
676381	371132	
676381	371154	
676381	371193	
676381	371243	
676381	371255	
676381	371261	
676381	371402	
676381	371836	
676381	373143	
676381	373166	
676381	373167	
676381	373168	Sook-young
676381	373239	Lee Jeong-ok
676382	198849	
676383	130272	Oh Ka-young
676383	372798	
676384	39045	
676384	60640	
676384	60641	
676384	62203	
676384	89450	
676384	89545	
676384	102066	
676384	102083	
676384	131162	
676384	162655	
676384	165527	
676384	221872	
676384	236776	
676384	308283	
676384	371216	
676384	371259	
676385	267493	
676385	322908	Kim's Wife
676386	90595	Ho-kyeong
676387	49422	
676387	201276	
676388	6097	
676388	16583	
676388	26212	
676388	38334	
676388	62519	
676388	80073	
676388	95731	
676388	112010	Desperate Mother
676388	127718	
676388	138780	Hyang-suk Park
676388	153442	
676388	176898	Old Woman
676388	204526	
676388	245873	
676389	63147	
676389	138780	
676390	294483	Yung, Kyeong-hwi
676391	28814	
676391	77111	
676391	167516	Ga-hie
676391	182991	
676391	211209	
676391	226592	
676391	286782	
676391	288170	
676391	370295	
676391	371252	
676391	373139	
676392	364701	
676392	393262	Miss Lewis
676393	43612	
676393	221644	
676393	298848	
676394	237646	Mrs. Hong
676395	60618	
676395	78193	
676395	94522	
676395	122836	
676395	153432	
676395	155554	
676395	159611	
676395	226564	
676395	298792	
676395	371182	
676395	371240	
676396	9459	
676396	29268	
676396	135652	
676396	153424	
676397	76647	
676397	126780	
676398	153413	
676398	218728	
676398	255914	
676398	256314	
676398	294048	
676399	95041	Trash
676399	126889	
676400	166819	
676400	236739	
676401	53747	Vietnamese Rice Picker
676402	287104	
676402	335185	Ji-Hyun
676402	344334	
676402	393262	Mimi (Korean version)
676402	405862	Arumi
676403	226595	
676403	227398	
676404	6343	
676404	203929	Sookwan
676405	371944	
676406	10885	Dr. Lois Alden
676406	109807	
676406	313929	Joan Brooks
676407	41129	Susu (Cathy's maid)
676407	144759	Dorothy Chen
676408	231449	Jin Hi
676409	60587	Han Ji-Hyeok
676409	289261	Jeong-hyun
676409	302790	Su-heon
676409	371665	Oh Dae-hyeon
676410	102043	Jo, Young-seon
676411	288144	
676412	36559	
676413	313715	Girl Barker
676414	162292	Wedding Guest
676415	188910	Herself
676416	32430	
676417	190100	Sally
676417	279871	Lydia
676417	311506	Iris
676418	363560	School Board Audience
676419	82231	Little Miss Tokyo
676419	363355	Asian Girl
676420	90801	Servant
676421	43245	The Girl's Mother
676422	28909	
676422	102029	Mi-seon
676422	222144	
676423	330706	Extra
676424	12017	Ling Woo
676424	13855	Hope
676424	41813	Brandy
676424	67348	Audrey Chao
676424	72114	Brandy
676424	75733	Isabel
676424	176932	Diamond
676424	178440	Lily
676424	262112	Hin-See
676424	301633	Natalie Woo
676424	343920	Kamiko (2)/Nikki (10)
676424	381402	Karen Ko
676424	400162	Suki (1995)
676424	405123	Min Sun (1996)
676425	41726	Operator
676426	194605	Tony's Mother
676426	208080	Nancy Beck
676427	37770	
676427	287622	
676428	3254	
676428	34187	
676428	36624	
676428	77059	
676428	84510	
676428	152335	
676428	153424	
676428	166808	
676428	204852	
676428	239514	
676428	299138	
676428	299145	
676428	307550	
676428	322916	
676428	371149	
676428	371225	
676429	1476	
676429	9459	
676429	51026	
676429	60588	
676429	60643	
676429	63484	
676429	63486	
676429	76640	
676429	76671	
676429	76678	
676429	130234	
676429	130570	
676429	144268	
676429	144270	
676429	144273	
676429	144276	
676429	147309	
676429	226574	
676429	238217	
676429	239443	
676429	243882	
676429	247025	
676429	267192	
676429	286635	
676429	288514	
676429	298740	
676429	346925	
676429	367358	
676429	368080	
676429	371151	
676429	371941	
676430	37770	
676430	102041	
676430	218042	So-jung
676430	234927	Sang-hui
676430	287111	
676430	298848	
676431	82837	Korean Lady
676431	106493	Shopkeeper
676431	157063	Korean Wife
676431	235647	Mary Ann
676432	371181	
676433	7266	
676433	203794	Suzuki, Yôko
676433	318952	
676434	61109	
676434	70605	Etsuko Urayama
676434	170542	Master of Bar
676434	299350	Midori
676434	341270	
676435	149091	
676435	153424	
676435	156595	
676436	112010	Little Girl
676437	77492	
676438	315512	Female Reporter
676439	358561	Bit Part
676440	127723	
676441	24429	Geisha Secretary
676441	65754	Jay
676441	82339	Delivery Girl
676441	87979	Auditioner #2
676441	94613	Alien Jumpsuit Chick #3
676441	115460	Nicky Sands
676441	177422	Stacey
676441	210741	Ambassador Lauranna
676441	311477	Alison
676442	398430	Anchor (1996-1998)
676443	359858	Art Gallery Party Goer
676444	79340	Herself
676445	32373	Madiec
676446	297253	Chris
676447	404307	Han Young-ji
676448	181833	Patron
676449	355980	Olga Reinhardt
676450	102059	
676451	199898	
676452	89526	
676452	294454	
676453	222269	
676454	236766	
676455	125969	
676456	76647	
676457	38181	Do-chul's wife
676458	76641	
676459	89548	
676459	138427	
676459	267195	
676460	2058	
676460	348817	
676461	126787	
676462	38773	
676462	102057	
676462	137326	
676462	149043	
676462	212418	Girl
676462	348655	
676462	368078	
676463	308168	
676464	41393	Officer
676464	45774	Lin Tan Cang
676464	263761	Pao
676464	344592	Prostitute in bar
676465	55589	
676465	77002	Carmen Wong
676465	129769	Naomi
676465	135786	Seon-yeong
676465	170630	Ji-Hyun
676465	242383	
676465	371251	
676466	318952	
676466	319996	Hwang Mi-ryeong
676467	102063	
676467	216412	
676467	286006	
676467	288170	
676467	288171	
676467	371224	
676469	63410	
676470	371143	
676470	376540	Class President
676471	95029	
676471	153456	
676471	167930	
676471	288176	
676471	298733	
676471	298845	
676471	307547	
676471	371671	
676472	50118	So-Hee
676473	62510	
676473	149005	Ok-ryeon
676473	294446	
676473	371177	
676474	1750	Kindergarten teacher
676474	1848	Hyun-ji
676474	7694	Min-sun
676474	137077	
676474	139795	Park Hye-ok
676474	392497	Han, Jung-seo
676475	101622	Mirye (Hajime's younger siste
676476	340732	Mrs. Kim
676477	37669	
676478	350191	Debbie
676480	102032	
676480	131283	
676480	147333	
676480	160287	
676480	199897	
676480	204321	
676480	221656	
676480	294486	
676480	371834	
676481	77328	
676482	260034	Une servante
676483	365980	Young girl
676484	216415	Mi-ju
676485	371150	
676486	154435	Hyun-su
676486	216415	
676486	398010	Song Kyung-rin
676487	28255	
676487	29521	
676487	76681	
676487	76791	
676487	77863	
676487	308959	
676488	90598	
676488	187040	
676488	204137	
676488	227196	Lee Yeo-sa
676488	318661	
676489	62004	Cassie
676489	332927	Nancy
676490	190037	Hoochie Mama
676491	226716	Ri Ji Eun
676492	170326	
676493	125943	
676493	155189	
676493	170141	
676494	60601	
676494	131285	
676495	267195	
676496	396696	Juggy Dancer (1999-2003)
676497	155189	
676498	57888	Punk Girl
676499	227200	
676499	227218	Oh Yeong-hie
676500	389411	Suzie
676500	389412	Suzie
676501	38758	
676501	227403	
676501	234816	
676501	236768	
676501	370518	
676501	371244	
676502	69183	Herself
676502	104761	Herself (Belgian entry) (1st 
676502	142650	Herself
676502	147240	Belgian entry
676502	228268	Intervalact
676502	310656	
676503	231202	
676504	34514	
676504	300109	Suk-ja
676505	218045	
676505	371133	
676506	34514	
676506	168444	
676506	207130	Jo Shin-a
676506	245670	
676506	376542	
676507	95563	
676507	166832	
676507	208721	
676508	138780	Heo Min-kyeong
676508	153433	
676508	218042	Yoo-ri
676508	284460	Jinny
676508	364790	Mi-yeong
676508	371368	May
676509	299014	
676510	38755	
676510	306386	
676510	344357	
676510	371174	
676511	29193	
676512	227441	
676513	62203	
676514	236764	
676515	38913	
676515	59059	
676515	60627	
676515	61883	
676515	125968	
676515	130279	
676515	153428	
676515	153429	
676515	156427	
676515	166793	
676515	187038	
676515	211204	Choi Dal-su
676515	267194	
676515	286663	
676515	287364	
676515	287934	
676515	294497	
676515	297390	
676515	371947	
676516	168031	
676517	185248	Eve, Korean version
676518	219870	
676519	7279	
676519	63488	
676519	168056	
676520	164878	Hyun-ju
676520	246447	Ui-yeong
676521	16579	
676521	27549	
676521	49615	
676521	51273	
676521	63488	
676521	91428	
676521	125949	
676521	130282	
676521	138424	
676521	142966	
676521	153451	
676521	155800	
676521	160196	
676521	165540	
676521	167473	
676521	168832	
676521	226595	
676521	227061	Bok-rae
676521	239514	
676521	258828	
676521	267190	
676521	267195	
676521	295245	
676521	308444	
676521	319848	
676521	344214	
676521	359036	
676521	368078	
676521	368086	
676521	371171	
676522	285226	Young-hie
676523	44670	
676523	59081	
676523	388007	Young-Mi Huh
676524	124368	
676525	43387	
676525	122688	Choi Su-jin
676525	299054	
676526	29193	
676527	1497	Noh
676528	6988	Runway
676528	128663	Troya Nice
676529	351533	Child
676530	96864	Herself
676531	53747	Airport extra
676532	36624	
676532	51029	
676532	76650	
676532	126906	
676532	239514	
676533	126798	
676534	229853	
676535	204115	
676536	149091	
676536	268178	
676537	44670	
676537	364790	Mi-yeong's mother
676538	286004	
676539	60399	
676539	123493	
676539	266987	Choi Mi-na
676540	371199	
676541	355434	Sujong
676542	19050	
676542	94394	
676542	294429	
676542	312523	
676543	136419	R's sister Myungja
676543	136789	Dr. Chu Kyung-sook
676544	236490	
676545	41926	Dancer
676545	69391	Asian Folksinger #1
676545	121512	Li
676545	128164	News Producer
676545	171297	Annoying Dancer
676545	381723	Tracy
676546	131418	Little Fool
676546	302723	Chinese Dancer
676546	304634	Fan dancer
676546	308939	Dancer
676546	326649	Princess Suzanne (fan-dancer)
676546	364751	Woman on Sidewalk
676547	130504	Y
676548	318921	
676549	60653	
676550	129439	News Reporter
676550	383323	Corespondant
676551	60697	
676552	139582	Rachel Hennessy
676553	187190	Peggy Rosenthal
676554	306434	
676555	60591	
676555	126771	
676555	153450	
676555	295231	Lee, Shin-ok
676556	145743	Sachiko Hara
676556	207900	Ticket Agent
676556	253358	Brenda Lim
676557	90604	
676557	106285	
676557	178187	
676557	199906	
676557	242383	
676558	131107	
676559	153410	Ocean Girl
676560	38754	
676561	27540	
676561	50118	
676561	90565	Widow
676561	166794	
676561	221656	
676561	226581	
676561	236489	
676561	304271	
676562	2443	
676562	28070	Hongja
676562	61448	
676562	63497	Soon
676562	72428	Daughter
676562	168444	Kim Hae-in
676562	385546	Woman Dr. Jang-Deok
676563	167382	
676564	49194	Jin-hie
676565	319001	Suky Vesey
676566	60643	
676566	346925	
676567	15393	
676567	28819	
676567	36353	
676567	38334	
676567	38757	
676567	51007	Roh's Wife
676567	89768	
676567	105337	
676567	126894	
676567	128037	
676567	128994	
676567	136426	
676567	140498	
676567	165530	
676567	165548	
676567	166795	
676567	211205	Kang Su-a
676567	216413	
676567	226566	
676567	226577	
676567	229892	
676567	236488	
676567	256920	
676567	280886	
676567	286635	
676567	287104	
676567	294446	
676567	344212	
676567	359039	
676567	366016	
676567	396085	Dr. Lim Gyung-eun
676568	262028	
676569	49045	
676569	221880	
676570	131273	
676571	364064	
676572	135239	
676572	227115	
676573	19045	
676573	22196	
676573	28806	
676573	60656	
676573	89459	
676573	94440	
676573	136340	
676573	216412	
676573	222131	
676574	344371	
676575	124795	Asian
676576	122862	Young-ok
676576	136099	
676576	179673	
676576	319109	
676578	78274	Yeon
676578	162397	Ji-ni
676578	213735	Mi-heun
676578	283723	Seo-Yeong
676578	321596	Lee, Myung-hyun (Lee, Bang-he
676578	371368	Hui-su
676578	396022	Sun
676579	310900	
676579	391604	Ming-Lhai Kittler (# 1) (200?
676580	239084	
676581	159734	Hae-mi
676581	254781	Ho-jeong
676582	166810	
676582	196073	
676583	28354	
676584	135652	
676585	213443	Jenny
676585	371149	
676586	217331	
676586	255886	
676587	89615	
676587	95029	
676587	102024	
676587	153525	
676587	160198	
676587	168889	Yun-hie
676587	216412	
676587	227255	
676587	239443	
676587	255929	
676587	266987	Min Yeo-sa
676587	294435	
676587	320200	
676587	373030	
676588	43612	
676588	216421	
676589	44270	Paralegal #1
676589	56715	Catherine
676589	160885	Tattoo Admirer
676589	272857	Yung-Ah
676589	277582	Linda's Mother
676589	291422	Edi
676590	278547	Junior High Schoolgirl
676591	173165	
676592	19625	Ofelia
676593	82766	Herself
676593	155504	Yumi
676594	130979	Nudist
676595	20001	Eleanor
676595	42422	Nun
676595	190208	Harriman Housekeeper
676595	306853	Professor Bender
676595	308645	Edna Broderick
676595	343189	Woman from Dallas
676596	71474	Dancer
676597	69417	Bridesmaid
676598	302414	Elyse Stewart
676598	396548	Lulu (ep. 8), Kids (ep. 9)
676599	37681	Cheese's Coach
676599	56871	TWA Stewardess
676599	242083	Donovan's Mother
676599	250514	Waitress
676599	307274	Mrs. Gibarian
676600	133150	Granddaugther 2
676600	367782	Smiling Woman
676601	17756	Cowgirl
676601	64090	Red Cross nurse
676601	176321	Goldwyn Girl
676602	15907	Surreal Theater Troup Member
676603	313865	Herself
676604	133150	Granddaughter 1
676604	367782	Smiling Woman
676605	42428	
676606	75321	
676606	81869	Mrs. Lake
676606	82277	
676606	110354	Senora Fernandez
676606	192022	Mrs. Dishart, the Little Mini
676606	210632	
676606	320252	
676607	295304	Anna II
676608	167068	Mennonite Woman
676608	337131	Lisa
676610	110539	
676611	196390	Model
676611	343160	Show Girl
676612	367782	Smiling Woman
676613	363041	Alice Mead, the Colonel's Dau
676614	42380	Sally
676614	65706	Allison
676614	111732	Ellie Mae Smith
676614	117926	Annie Winfield
676614	128645	Mary Carlton
676614	130816	Karen Marsh
676614	154756	Student
676614	170608	Girl on Sleigh Ride
676614	211602	Girl
676614	218362	Julie Blair
676614	240569	Daughter in silent movie
676614	245397	
676614	260883	Nurse
676614	343160	Western Union Girl
676614	358193	Alice Lawrence
676615	33599	One of Frenchie's Girls
676615	300063	Chorus girl
676616	270436	Vanessa Reynolds
676617	194749	Joan
676618	117535	Employment Exchange Clerk
676618	393583	Una Devlin
676619	73788	Bette
676619	241067	Liza
676619	268025	Maid
676620	360082	Erica
676621	390109	Bartender (part 1)
676622	196365	Bathtub Girl
676623	305575	Woman at Fertility Clinic
676624	262591	Auctioneer
676625	317928	Victim
676626	29879	Herself
676626	167043	Courtney Highland
676626	187767	Mimi
676626	193858	Donna
676626	366829	Hooker
676627	78528	Oriental Maid
676627	210738	Nurse
676627	313076	Dancer
676628	222750	Young Woman in Mask
676629	292691	Bill's mistress
676629	337138	
676629	400698	Troupe du Palace
676630	208087	Elizabeth Clark
676630	222331	Claire de Sangre
676630	363395	Jacqueline
676631	337429	Maria
676632	249627	Princess Helena
676633	280263	Visiting Kids
676634	94525	Greta
676635	154885	
676635	156464	Nurse
676636	250449	Tennis player
676637	213350	
676638	97427	Nurse
676638	185931	Secretary
676638	270492	Army nurse
676638	274052	Mrs. Mason
676638	330097	Secretary
676639	251161	Tessie
676639	273188	Acting Teacher
676640	78971	Nurse
676641	381821	Ensemble (1972-1974)
676642	238161	Corvette Girl
676643	282929	3rd Rodeo Cowboy
676644	50905	
676645	411055	Herself/panelist
676646	90911	Real Estate Agent
676646	114251	Pgoebe
676646	148586	Sgt. Green
676646	310462	Donny
676646	313914	Courteney
676647	149258	Bamville Club Dancer
676648	41693	Monique
676649	256890	
676650	99055	Convenience Store Clerk
676651	158313	Woman in Crowd
676651	188490	Judge
676652	187191	Blonde Biker
676653	3855	Herself
676653	120097	Herself
676654	4585	Galia
676654	4586	Galia
676654	145509	Hamutal
676654	179112	
676654	232241	Sabina
676654	300052	
676655	403554	Saori Kirishima
676656	12640	
676656	17727	
676656	83323	
676656	125315	
676656	172140	
676656	178413	
676656	211445	
676656	212281	Sadiye
676656	212285	
676656	214279	
676656	348994	
676656	370514	Belkis
676656	371399	
676656	375852	
676656	377556	
676657	294055	Shain
676658	174931	Lodzia
676659	383406	Queen Oberea
676660	127781	Queen Promethium
676660	142793	Kiriko Yamada
676660	168828	Suzy-Q
676660	208014	Promethium (from Galaxy Expre
676660	289304	Promethium
676661	46813	Teen Driver
676661	232294	Second Victim
676662	59597	Riding Instructor
676662	192628	Female Cop
676662	279998	
676662	372714	
676663	64823	Additional Voices
676663	283679	Kasumi
676663	292280	Can Can Dancer
676663	327632	Emily/Bride
676663	368659	Neighbor
676663	389570	Older Marie
676663	404137	Additional Voices
676663	404138	Additional Voices
676664	228247	Herself
676664	380553	Cerná
676664	383081	
676665	101128	Maria
676665	131200	Tessa
676665	133982	Iokaste
676665	195588	Sméraldine
676665	220724	Three Ladies
676665	283689	Kitchen Boy
676665	286187	Page to Herodias
676666	21562	
676667	362999	Mimi, the Dancer
676668	129784	Student #6 (jury member)
676669	308269	
676670	235422	Floor Manager
676671	70178	Nurse
676672	114193	The Hand
676673	385174	Katie (2003)
676674	168295	Mrs. Growtowski
676675	50866	Tyler's Wife
676675	120120	Chris Higgins
676675	120126	Chris Higgins
676675	193735	Sally McQuade
676675	213209	Lily
676675	231779	Model
676675	276740	2nd Old Maid
676675	279092	Brook
676675	385824	Diane Parker #1 (1983-1984)
676675	386005	
676675	407916	Dawn Marshall (1980)
676676	92012	Fru Hending
676676	105827	
676676	117862	Konen
676676	173252	Kristen dame
676676	317509	Ane
676677	141662	Press Conference Reporter
676677	349022	Nun
676678	2327	Herself
676679	2327	Herself
676680	2327	Herself
676681	204418	Mrs. Rheingarten-Schlotterkam
676682	275253	Scriptgirl
676683	305592	Miss McCowan
676684	117101	Model
676684	278839	Club Dancer
676684	336721	Reporter at Cave
676684	390099	Video Host
676685	46286	Megumi
676686	141653	Receptionist's Daughter
676687	137259	Consuella
676688	90349	Zoe
676688	117986	Doug
676689	335271	
676689	397346	RockMan/MegaMan, Rush
676689	403597	RockMan, Rush
676689	405275	Sayuri Suizenji/Jun Mizushima
676689	408728	Yûki Ônishi
676690	4946	Committee Member Hartford
676690	41198	Coroner
676690	41428	Dr. Lynn
676690	73568	Harriet Jackson
676690	105396	Old Woman/Church Member
676690	289791	Chinese Neighbor--Wife
676690	323842	Dr. Smith
676691	394392	Liquiy
676691	404228	Ryoko Mitsurugi
676692	343745	Anna
676693	292074	
676694	122957	(story 'Shokki')
676695	264433	
676696	54432	
676696	87729	Mando's Widow
676696	103774	Ramona
676696	182233	
676696	213726	
676696	227728	
676696	307719	
676696	360755	
676696	387832	Ramona
676697	137381	Fuyumi's mother
676699	294049	Yukiko Inamura
676700	275755	Jyoko
676701	218182	Japanese TV host
676702	373333	
676703	18072	Natsue
676704	341276	
676705	255872	Nagiko's Friend
676706	129868	Miyuki
676706	138063	Ballet Teacher
676706	173537	
676706	358947	Dining Hall Worker
676706	403411	
676707	130487	Toshie Yano
676707	167858	
676707	169217	
676707	175078	Misa
676707	287109	Oine
676708	139407	
676708	278548	Yumiko Kanai
676709	21870	
676709	121714	Kuriko, age 25
676709	139856	Terada
676709	163011	Yukari Kamo/the psychic
676709	217199	Shigeko Maehata
676709	252908	Chigusa
676709	299350	Chika (daughter)
676709	394129	Yukari Ishii
676709	396069	Shizuku Arase
676709	400605	Nazuna Kurata
676709	405219	Saori
676711	102934	Ariadne
676712	58352	Granny
676713	128351	
676714	298829	Female Ghost
676714	318549	
676715	227676	Nymph
676716	157574	Drug Store Cashier
676717	147316	Flori
676718	98022	Majka
676718	181147	Melania
676718	212509	
676718	257159	Femme couple café
676718	411110	
676719	84644	Ingrid
676720	68502	
676721	3942	Extra outside honey wagon
676721	128349	Teresa
676722	41279	Sharon
676724	178138	Reporter
676725	190013	Narrator
676727	52320	Biker Girl
676728	155090	Kim
676729	240383	Tala
676730	351181	Babs Velour
676731	194835	Model
676731	232209	Judy Ann
676731	305221	Baseball Wife
676732	214467	Shana Beddow
676733	261532	Herself
676734	31665	
676734	192631	Dancer
676734	274529	Laughing Singer
676735	79843	Valerie
676735	389436	Trugannini
676735	391251	Sally Dyer
676736	367891	
676737	223314	
676739	243392	Amore
676739	377807	(soloist)
676740	261248	Sadie
676741	127139	Leslie
676742	154957	Kitty March
676742	201035	Aerobics class dancer
676742	313323	Table guest at Grammy Awards
676742	321660	Sue, Lab Technician
676742	346206	Mrs. Rasseli
676743	61784	Eloise
676743	128923	O'Mally's Daughter
676743	278763	French Ambassador's daughter
676743	388396	Young Fanny
676744	9543	Mrs. Pettersson
676744	16264	Mrs. Lundström
676744	17564	Gossiping lady
676744	21385	Mrs. Lavinia Penniman
676744	42208	Miss Ripa
676744	48375	Asta
676744	84318	Mrs. Johansson
676744	99568	Trine, Elvira's Mother
676744	129179	Mrs. Larsson, midwife
676744	140046	Retainer
676744	144039	Mrs. Mina
676744	144062	Pensionatsvärdinna
676744	154134	Maria
676744	159867	Lundén
676744	164781	Hulda
676744	164784	Mrs. Sundelin
676744	165612	Olivia Blåqvist
676744	165626	Kerstin
676744	178743	Madame Hallström
676744	192926	Steen's Mother
676744	213937	Maid
676744	268353	Månsson
676744	281199	Mrs. Brink
676744	303199	Alma
676744	305863	Agda
676744	306380	Maria
676744	308200	Beata, cook
676744	314958	Mrs. Nilsson
676744	320621	Hostess
676744	349585	Amanda
676744	349801	
676744	357801	Mrs. Andersson
676745	78335	Takako Shinoda
676745	140027	Princess No.2
676745	153552	Yashiro's secretary
676745	212530	Midori Mizukami
676745	283918	Empress
676745	285616	Fujiko Oshima
676745	358410	
676745	373284	Sekine's daughter
676746	377287	Writing woman
676747	3973	Waitress
676748	182461	Ung Kvinde
676749	399459	Eileen Shirer
676750	170561	Counterwoman
676751	285017	God
676752	86907	Randi Buxton
676752	93139	Beautician
676752	230857	Tabby
676752	257765	Sue
676752	286516	Phyllis Perlmutter
676752	308014	Delia
676752	313929	Older Lady
676752	315889	Alice
676752	316284	Franny
676752	342552	Irene at Hap's
676752	349909	Doris
676752	364709	Assistant Principal
676752	374617	Grandma
676752	378627	The Waitress
676753	277088	Pi-Delta-Pi
676754	329682	Marthe
676755	282260	Liane (before cast change)
676755	389361	
676755	396451	Wanda
676755	408770	Suse
676756	98639	
676757	214698	Eva
676758	174272	
676759	351945	
676760	91071	Herself
676761	301901	Mrs. Nardini
676762	189986	Jury Foreperson
676762	408109	Brearley's secretary
676763	120298	Student
676764	329411	
676765	58509	
676766	399344	
676767	362598	Little Girl
676768	274805	Party Guest
676769	330474	Sarah
676770	176287	Christy
676770	297181	
676771	298207	
676772	112890	
676773	211812	Tina
676773	305386	Vicky
676774	297190	Party Friend
676775	95078	Waitress #1
676776	185441	Ichi's Sister
676777	46983	Themselves
676778	133961	Mrs. Parfitt
676778	145554	Mrs. Hawthorne
676778	147124	Mrs. Hepworth
676778	269392	
676779	322921	Rosie
676780	120116	Alice Hardy
676780	120119	Alice
676780	120126	Alice
676780	276846	Herself
676782	35163	
676782	74202	
676782	112304	
676782	277648	Hilary
676782	303611	Acting workshop student
676783	9131	Aldine
676783	304632	Emmeline
676783	315997	Rose
676783	390894	Jody
676783	394173	Cissy Peterson
676783	402297	Libby Virdon
676784	252009	Deborah Wyatt
676785	274200	Felladium Doorgirl
676786	192187	Darla's Friend
676787	95803	
676788	68229	Sallie Hopkin
676788	99067	Lukas' wife
676788	222881	Ang
676788	290972	Imelda
676788	297377	Prostitute
676788	367498	Gypsy Woman
676788	386961	Stella
676788	386963	Lynda Block (1998-2002, 2003)
676790	317844	Damita
676791	251551	Petra
676792	112407	Charlotte Musgrove
676793	129385	Kate Kelly
676794	74711	Herself
676794	116521	King Sisters
676794	184832	King Sisters Member
676794	234225	Peggy
676794	321594	Herself
676794	394489	Herself
676795	333192	Alana
676796	314619	Movie Patron
676797	186020	Running Human #1
676797	211383	Girl on Street
676798	28927	Miss Idell
676798	31837	Julie Holden
676798	40083	Eleanor, a patient
676798	48538	Arlene Villon
676798	67378	Gallery Customer
676798	76609	Brenda Frazier
676798	78643	Mrs. Sheilah Andrews
676798	85653	Helen
676798	129965	Catherine Scott
676798	147663	Herself
676798	150533	Lisa Dorn
676798	151048	Dr. Katherine Mallory
676798	154769	Ina Perdue
676798	159421	Dorothy
676798	163280	
676798	187691	Stella
676798	191152	Charlotte
676798	203130	Sally Otis
676798	206110	Anita Gonzales
676798	221068	Cathy Livingston
676798	221124	Dr. Byles' Nurse
676798	224421	Lillian Russell
676798	228823	Nurse Reilly
676798	245372	Christina
676798	263085	Cynthia Gordon
676798	266113	Sgt. Christy Marlowe
676798	271882	Hilda Bensinger
676798	274242	Linda Cronyn
676798	277899	Marjorie Lundeen
676798	282394	Barbara, ages 21-29
676798	296776	Brooke Gifford Ryder
676798	301627	Terri Perreau
676798	308614	Phyllis Cantwell
676798	309947	Nora Craig
676798	352752	Molly Wheeler
676798	368410	Mamie
676799	18341	Vera Stanovitch
676799	55178	Gypsy girl
676799	61967	Fanny, His Daughter
676799	128121	Maud Wainwright
676799	128369	Wowkle
676799	130760	Faith Miller
676799	142124	Geraldine Kent
676799	203019	Helene, Countess De Champigne
676799	205572	Ana, Carlos' Wife
676799	215960	Vivian Taylor
676799	241234	
676799	254274	Ann Murdock
676799	270398	Grace Van Dyke
676799	306153	Ethel Hamilton
676799	312319	Wah-na-gi
676799	327580	
676799	355100	Mrs. Ogden
676799	362601	Jess Farley
676800	20625	Extra
676801	29310	Ann Seaton
676801	383627	Alice Davies
676802	31596	Margaret
676802	159885	Coach Passenger
676803	213313	Dancer
676804	408643	Herself (2002)
676805	77174	
676806	185174	Linda's Daughter
676807	330799	Dancer
676809	398940	Anchorwoman
676810	139151	Mother
676810	144406	
676810	234339	
676811	152561	Amandine
676813	26825	Patron
676813	53131	Petra
676813	221633	April
676814	394502	
676815	190377	Old woman
676816	87218	Secretary
676816	147974	Wife
676816	281700	Ellen
676816	301855	Nurse
676816	328301	Rosie Dunlop
676816	331022	Waitress
676817	21160	Herself
676817	78668	Herself
676817	257782	Herself
676817	363406	Self
676817	392529	Herself (segment "Babes in Bo
676818	355986	
676819	79679	Lisa
676819	243889	Mrs. Hammond
676819	280281	Ring girl #2
676819	291891	Carol Bridger
676819	323478	Secretary
676820	126603	Boy's mother
676821	115869	Ms. James
676821	186841	Bank manager
676822	28751	Faline (young)
676822	41094	Millie
676822	131240	Bonnie Blue Butler
676823	83652	Margot
676824	56654	Additional Voices
676824	71843	
676824	127094	Additional Voices
676824	201579	Pam
676824	210721	Voice Over
676824	283398	Police Voice #2
676825	2581	Presenter
676825	20213	Herself
676825	38401	
676825	55517	Herself
676825	55518	Herself
676825	61584	Herself
676825	69080	Herself
676825	87981	Herself/performer
676825	95855	
676825	105503	Herself
676825	144689	Tom's Mother
676825	163622	
676825	222883	Tillie
676825	273494	Rosie
676825	283824	Mrs. Kovac
676825	308699	Herself
676825	324783	Herself
676825	372372	Singer: 'Anyone At All'
676826	348464	
676827	2133	Miyo
676827	67896	Older Mini McGann
676828	149357	
676829	149357	
676830	108044	Cinderella
676830	158986	Client #1
676831	227006	Woman in bath
676832	61156	Female Dancer
676833	70178	Pam/Rick's Wife
676836	17695	Aunt Josephine
676836	17697	Aunt Josephine Barry
676836	47521	
676836	90297	
676836	90336	Myrna
676836	185424	Grandmother
676836	224224	Young Man's Mother
676836	234209	Mother
676836	255316	Lady on the Train
676836	265751	Mum
676836	296742	Grace Meyerhoff
676836	364176	Mrs. Abercrombie
676836	392135	Mary Kirby
676836	393228	Rose Kennedy
676836	411211	Mrs. Whitney
676837	353	
676837	106354	Nurse
676837	195518	Van Inmate
676837	270151	R2's Chick
676838	108600	Goth
676839	284442	Violist
676840	116565	Herself
676841	394502	
676842	224853	Bosco's Moll
676843	186443	Herself
676843	395290	Dancer/Regular Peformer (1967
676844	2227	Herself
676844	27247	Karen Betts
676844	66946	Prostitute
676844	77213	Louise Russell
676844	97023	Yuppie Bitch
676844	163352	Herself
676844	291417	Herself - Interviewee
676844	381121	Karen Betts (Series 2-6) (200
676844	385129	Madeline Jackson-Carter
676844	386034	Amanda Kingston
676844	387533	Kim Barker/Tate/Marchant (198
676845	114935	Coya
676846	44270	
676846	48468	Minister
676846	89330	Olivia
676846	94613	Impound Officer
676846	190171	Barbara Kreuster
676846	200521	Marcie
676846	228310	Woman in Car
676846	240697	
676846	279460	Woman on Bus
676846	303455	Lieutenant Price
676846	336663	The Gospel Singer
676846	358484	June
676846	382842	Francine Hill
676847	14620	
676847	170004	Lady of the Roses
676847	311301	Jerusha Calvin
676848	313323	One of the Oreos
676849	241551	Nurse King
676850	923	Herself
676850	2445	Herself
676850	137491	Herself
676850	154041	Herself
676850	157942	Herself
676850	175542	Herself
676850	213499	Herself
676850	225774	Herself
676850	244824	Herself
676850	269728	Herself (after assassination)
676850	300960	Herself
676850	310707	Herself (leads march into Mon
676850	310711	Herself (kisses Martin)
676850	388656	Herself (with her husband)
676850	407822	Herself
676851	217411	Allworthy Girl
676853	380371	Debbie McGuire
676854	12614	Female Aid
676854	194055	Singer at Car Lot
676854	220164	Girl in Backseat
676854	300344	Frannie
676854	333198	Debra Ridgeway
676855	206621	Anchorwoman
676855	280054	Reporter
676855	379959	Anchorwoman
676855	383699	Herself - Co-anchor (1993-?)
676855	385804	Host
676856	124501	Ethel
676856	409386	Bar girl
676857	77587	Angela
676858	38103	Pensioner
676858	140643	Neighbour
676859	86907	Betty Harrison
676861	28930	Yvette
676861	56545	Herself
676861	310197	Sue
676862	31327	Oil Wrestler
676862	80726	Stripper
676862	111470	Snake-dancer
676863	47279	Copy Runner
676864	39334	Madge Bircher
676864	78045	Mrs. Fennell
676864	98914	Aunt Agatha
676864	106047	Old Woman
676864	108482	Woman Shopper
676864	109058	Hospital Receptionist
676864	117768	Cordelia
676864	118558	Maisie
676864	128440	Martha
676864	191950	Pupil at Tadworthy House Scho
676864	196047	Deirdre Walters
676864	203143	Jane Seymour
676864	203616	
676864	211479	Mrs. Livingston
676864	224361	
676864	238641	Maggie Dawson
676864	238708	Miss Jellicoe
676864	241023	Bessie
676864	256211	Wedding Witness
676864	263556	Lady Lucas
676864	290080	Mrs. Falconer
676864	307970	Mrs. Craik
676864	310842	Amy Nugent
676864	330138	Mrs. Trethowan
676864	365560	Miss Mactavish
676864	381087	Norah
676864	385299	Rachael Fisher
676864	385397	Mrs Simkins
676864	389500	Mrs. Hatfield #1 (1985)
676864	389705	Iris Bannister
676864	392871	Lady Glenross
676864	395194	Sally Bulmer
676864	398747	Suzy's Mother
676864	404402	Marian Hastings
676864	405067	Enid
676864	405136	Mrs. Simkins
676864	408271	Norma Burke
676864	411794	Mildred Fanshaw
676865	331932	Model
676866	43885	Girl Zombie
676866	196571	Party Goer
676866	350191	Silhouette Vampire
676867	385299	Rachael Fisher
676868	74711	Herself
676868	116521	King Sisters
676868	144683	Suzy's Mother
676868	184832	King Sisters Member
676868	321594	Herself
676868	394489	Herself
676869	82017	Alice
676869	133402	Girl Greaser
676869	296266	Interviewee
676870	396699	Martha Winterton
676871	52911	Dora Malclm
676871	134008	
676871	276362	Bit part
676871	302591	
676872	33624	Mrs. Allen
676872	40441	Mrs. Murphy
676872	52163	Mrs. Smith
676872	123128	Mme. Chauvignac
676873	128421	Carnival Girl
676874	270326	Mrs. Simkin
676875	22978	
676875	38649	Mary Burgess
676875	264888	Carrie's nurse
676876	17816	Dr. Jane Fraser
676877	344524	Herself
676879	78400	
676880	283629	Lara
676880	387239	Busty Wench
676880	397054	Charlie's Mother
676881	93249	Edith
676882	155828	Clare Sturgis
676883	54551	Evelyn
676883	60243	Bo Rutherford
676883	135513	Female Plaintiff
676884	130507	Foreigner's wife
676885	220276	Montmarte Dancer
676886	133875	Herself
676887	314419	'Mother' in Rehersal
676888	962	Samantha Ford
676890	79624	Kat
676890	124616	
676890	225135	
676890	290126	
676890	359672	Gabriele
676891	334011	Mourner
676892	191648	Entertainment Reporter
676892	203918	Media Icon
676892	389807	Herself
676893	34749	
676893	378861	Herself
676894	117666	Older Male's Companion
676894	247155	The Real Rhea
676895	137439	Christine
676896	330886	Elsie
676897	152404	Vocalist-Dancer
676897	162841	Female Vocalist
676898	20625	Extra
676899	195319	Bishop's Dream Daughter
676900	21213	Amanda
676900	84521	Mary
676901	263392	Sorority Girl #2
676902	158608	Vicki
676903	17168	
676903	224709	Slava
676903	384097	Alex (2000)
676903	400110	Tavern Singer
676904	52536	Show Girl
676905	79449	
676906	326083	Jeannette
676907	318022	
676908	365725	
676909	236535	Petite femme de chambre
676910	144253	Herself
676911	6001	Herself
676911	31872	Summer
676911	46241	Rose
676911	87175	Courtney
676911	106519	Rose
676911	154456	
676911	320148	Skye
676911	350211	Lisa
676911	381909	Herself (3rd Evicted, 28 Days
676912	196390	Model
676912	308382	Trumpeter
676913	135291	
676914	134450	Marie Guerin
676914	224724	Rachel Kynaston
676914	371029	Mrs. Leroux
676915	158920	Herself
676916	218014	T.V. Announcer
676917	114051	Receptionist
676917	122745	Mrs. Peacock
676917	317350	The Master's Wife
676918	10663	
676918	41518	Kristina Jung
676918	49350	Jade/Bad Girl
676918	118282	Sam
676918	138735	Pixel
676918	193716	Baby
676918	251477	Nurse Betty Bayer
676918	263345	Kathy
676918	302329	Goldie/Wendy
676918	304447	Angela Patton
676918	363780	Heather Vandergeld
676918	372583	Herself
676918	391084	Anna Marie
676920	161908	Puss 'n' Boots
676920	229106	Waitress
676921	168122	Emilienne Moreau
676922	266587	Ellen Peterson
676924	372275	Flapper
676925	210481	Go-Go Dancer
676926	139151	Little Girl
676928	117552	Maid
676928	231925	Edna
676929	299018	Blossoms singer
676930	49905	Herself
676932	228298	Pyramid Team
676933	310059	Furniture Girl
676933	394406	Dancer (1991-1992)
676934	306294	Girl
676935	67968	Herself
676936	287206	Penny
676938	252981	Nurse
676938	318192	Waitress
676938	347724	Nancy, the Maid
676939	209222	Susie
676941	13990	Delights
676941	232254	Woman at Jazz Club
676942	20316	Girl
676942	150586	Nurse
676942	155846	Girl
676942	177368	
676942	213070	Girl
676942	244899	Secretary
676942	289236	Girl
676942	312584	
676942	346227	Bridesmaid
676943	11	Honey
676943	2419	
676943	34615	Molly Jones
676943	43434	Cleo Gordon
676943	51885	Girl
676943	124761	Joan Moret
676943	128450	Flapper
676943	132821	
676943	154952	Bit
676943	249021	Village Girl
676943	295284	Shredder of 'Will you marry m
676943	298041	Fox Trot
676943	310791	
676943	347411	Bit
676943	348541	Sister Team
676944	2657	Betty
676944	2658	Professor Olivia Clark
676944	2659	Professor Olivia Clark
676944	170381	Julia
676945	218743	
676945	375690	
676946	155880	
676946	247930	
676947	335277	Handmaiden to the Acid Queen
676947	364378	Handmaiden to the Acid Queen
676948	154984	Heidi
676949	123691	Black Nanny
676949	197869	Ginny Logan
676949	297790	Clarissa Jordan
676949	315544	Hayworth
676949	318110	Blonde Customer
676950	14203	Michaels Wife
676951	67567	Suzy
676951	187249	
676951	207135	
676951	312533	Kitty Stewart
676951	330955	Margot Revere
676951	380687	
676951	385824	Gretchen (1981-1983)
676951	397232	
676952	157499	Prize Giving Nun
676953	380390	Vicki Lang #2 (1982-1983)
676954	314224	Sexy Girl
676955	76257	D7
676956	21627	Chloe
676956	45565	Young Holly
676956	63090	
676956	233891	
676956	276892	Jonell
676956	330701	Young Moon
676957	21627	Chloe
676957	43567	Reporter #1
676957	48169	Gloria Kite
676957	70169	Female Pedestrian
676957	74014	News Reporter
676957	82326	Millie
676958	165582	Bree
676959	390678	Herself (2002-)
676960	305575	Outside Waitress
676960	318644	Frances' gang member #3
676961	46341	
676961	245783	
676961	258065	
676961	363444	
676962	78023	Sarah
676963	30180	Kathy
676963	381312	Kathy
676964	385020	Sarah Louise Tilsley (I) (198
676965	189932	Lola
676966	330391	Bluebird Waitress
676967	60341	Sandy
676967	71466	Brenda Matthews
676967	124349	Jane
676967	166697	Tammy
676968	243751	Jacques-Forget-Not
676968	327397	
676969	148214	Woman At Depot #3
676970	177368	Chinese Woman
676971	42386	Washington D.C. Reporter
676971	135919	Saloon Keeper
676971	221784	
676971	265742	Commentator #2
676972	381091	Herself (eliminated round 2) 
676973	140658	Brooke, age 7
676974	369472	
676975	272919	Herself
676976	35269	Cheryl
676976	52687	Ruby Jenkins
676976	272924	Jade
676977	330559	Deputy D.A.
676978	1874	Lloyd
676978	19235	Athena
676978	26799	1. Female Gayan and Susi
676978	37223	
676978	107724	Jeanne Kirkpatrick (US Ambass
676978	140994	Kate Glosse
676978	150974	Mrs. Hatch
676978	161422	Ellen
676978	206596	US Ground Stewardess
676978	222892	Waitress
676978	235790	Karen, Anna's Publicist
676978	285752	TV reporter
676978	292208	Nancy Reed
676978	299070	Leland's New Secretary
676978	320453	Meditation Teacher
676978	383998	Savanna Concord
676978	393281	
676978	400684	Margot
676979	46762	Janet Lawton
676979	140159	Herself
676979	197169	Herself
676980	342863	Shop Assistant
676981	74711	Herself
676981	116521	King Sisters
676981	184832	King Sisters Member
676981	321594	Herself
676981	394489	Herself
676982	398066	Nancy Wallace
676982	408395	Herself - Today Girl (1961)
676984	391079	
676985	124017	Joe's Goth Girl
676986	319933	
676987	257374	Andrea
676988	5886	Maid
676988	70465	Detective Foster's Mother
676989	46709	Clerk
676990	21198	Pathology Lab Tech
676990	340899	Vietta
676991	385020	Sarah Louise Tilsley/Platt (I
676992	11524	Mrs. Trussker
676992	38268	Bertha Dewitt, Owner of Charc
676992	80540	
676992	90373	House guest at the party
676992	123920	Queen of Myrthia
676992	126710	Mabel Queen
676992	131258	Mabel
676992	166879	Mother
676992	166880	Mama Johnson
676992	291092	Madam Amy
676992	291495	Gramma
676992	367054	Evillene
676992	367055	Evillene, the Wicked Witch of
676992	410904	Mama
676993	37357	Edith Clark
676993	72469	Violet
676993	76542	
676993	118744	Person in Pub Trio
676993	330919	Mrs. Prescott
676993	404092	Dr. Judy Barker
676993	405960	Bella Brixton
676994	188175	
676994	242540	
676994	258024	
676995	326272	Tracker
676996	242529	Nun/Spoon Nettles
676997	283549	Clara
676998	398937	
676999	270431	
677000	164152	Marjorie
677000	203194	Tess Winters
677000	224404	Lillian
677000	320203	
677000	346869	
677001	12951	Mother
677002	276440	Marva King
677003	147661	Herself
677004	192111	
677005	400358	Jury Member
677006	403688	L.A. Host (1966-1976)
677007	276889	Sue
677008	382740	Co-host (Episode 4)
677009	7810	Bombshell! Dancer #1
677009	243273	Sarah
677009	287728	Little girl
677010	45707	Brandi's mom
677010	359422	Flight Attendant
677011	406363	Reporter
677012	46302	Girl in Audience
677013	11320	Alice Maynard
677013	40706	Eileen Caverly
677013	64586	
677013	109782	Zell
677013	133908	Grace
677013	143263	Susan and Rosalie Bowers (twi
677013	152519	
677013	176234	Molly Cary
677013	224744	
677013	240998	Anne Blair
677013	255452	Malone sister
677013	295357	
677013	318709	Mary Anderson
677013	320292	Ruth West
677013	320321	Molly Fairfax
677013	367715	Minerva Rawlins
677013	367836	Mary Graham
677014	238427	Belinda
677015	47820	Aunt Rose
677015	80783	Anna Livanos
677015	130125	Mama Carmella Corleone
677015	130128	Mama Corleone
677015	130129	Older Carmella 'Mama' Corleon
677015	236786	Mrs. Sabatino
677015	333354	Mama Theresa
677016	153147	Tina Barbieri
677016	201409	Susan
677016	221325	Young Hilary
677016	273271	Biker Chick
677016	289253	Dr. Fulton
677016	315132	Lisa Miller
677016	321669	Taylor's Mom
677016	330635	Questioning Woman
677017	337711	The Baby
677018	179065	Margaret Louise
677019	365291	Minnie Lou
677020	127105	Pretty Girl
677020	194528	Girlfriend
677020	222681	Phillipa Haymes
677020	384142	Sandra Miles
677020	385627	Mrs. Jenkins (segment film tw
677020	395919	Isobel Kemp (1995)
677020	408716	Frances Ross
677021	355362	Ginger
677022	36882	
677022	36910	
677022	36916	
677022	37425	
677022	37426	
677022	37427	
677022	37428	
677022	37450	
677022	131345	
677022	327780	
677022	333810	
677023	40509	Viveca
677024	130848	Passenger
677024	177088	
677025	291825	Tick-Tock's Squeeze
677026	380713	Lisa Miller Hughes Eldridge S
677026	390771	Jane Fletcher Hayes, R. N. #1
677026	405882	Rose Gammage (1976)
677027	133770	Woman in West
677027	207687	Bus Passenger 1
677028	390180	Jailbait
677029	169505	
677029	245074	(Story 2 "It Will Never Work"
677029	379266	Miss Behaviour
677029	381608	Kate Andrews
677029	402012	Vera Maguire
677029	402197	Erica Davidson (1979-1983, 19
677029	406891	Beryl Fletcher
677030	222592	Earl Carroll Girl
677031	142948	Marilyn Loper
677031	178132	Girl child
677031	193991	Peggy
677031	274244	Jinx Ingals
677032	98901	
677033	4627	Vocalist
677033	27112	Singer
677033	336032	Cora
677033	374578	Stewardess Janet Turner
677033	389913	Regular Performer (1954-1956)
677033	397376	Herself
677033	398612	Herself/panelist
677034	132489	Tracy
677035	180705	Petie Phelps
677036	79530	Holly
677037	80645	Tracy
677038	128450	Girl
677039	405209	Mihi Hudson (2001-2002, 2003)
677040	286871	Baby Tim
677040	395479	Claudia
677041	195188	Girl
677042	3909	Herself
677042	27038	Cora
677042	45707	Shalika
677042	64098	Rhonda
677042	76571	Kim Hinton
677042	77285	Cheryl Griffith
677042	92232	Sontee Jenkins
677042	101070	Carla Dean
677042	113273	Rayne
677042	120093	Dana Jones
677042	120219	Herself
677042	141042	Herself
677042	145019	Monet
677042	151458	Vanessa
677042	155890	Allie (segment "2000")
677042	166917	Marcee Tidwell
677042	187193	Grace Rossiter
677042	195327	Lois Newton
677042	213466	Cecily Banks
677042	215508	Sam Fuller
677042	225774	Herself
677042	258752	Iesha
677042	272970	Margie Hendrix
677042	279021	
677042	330383	Mia Williams
677042	363448	Lillian Rose-Martin
677042	378801	Brenda Jenkins
677042	395312	Cynthia
677043	147606	Corliss' Mother
677043	200894	Tiffany James
677043	291495	Lanell Cooley
677043	334313	Rhonda
677043	410902	Carolyn (1985-1986)
677044	351502	Amy
677046	295608	
677046	392462	Becky Cassidy
677047	67937	Rosa
677048	194605	Lily
677049	54906	A Member of the Court
677049	71716	Maid
677049	151257	Rose
677049	195399	Fanny Lanzman, grocer's siste
677049	206402	Rose
677049	229229	Harriet Leroque Kendrick
677049	295440	Mrs. Herne
677049	302723	Fanny Hatteras
677049	327828	Extra
677050	39173	Roberta Ford
677050	79038	Rachel Morris
677050	118722	Charlotte Lampton
677050	137930	Attendant to Gertrude
677050	193606	Melanie
677050	224330	Margot
677050	265824	Pamela
677050	306500	Moira
677050	334271	Chloe Carmichael
677050	334587	Maryse
677050	341975	Fiona
677050	342880	Mariella
677050	378956	Herself
677050	382718	Jamie
677050	389507	Tessa Knowles
677050	393943	Natalie
677050	407478	Lavinia Timoto
677050	411382	Laura Kennett
677051	381100	Alana Dale
677052	10591	Hazel Jenkins
677052	32779	Margaret Carlisle
677052	41240	Amity Graham
677052	51873	Evelyn
677052	60176	Mrs. Edinburgh
677052	78101	The Other Woman
677052	88256	Mrs. Bosworth
677052	93653	Stella Dunn
677052	105388	Rosa
677052	112229	Carlotta Drew
677052	117257	Ana Mendez
677052	140880	Maria Beaumont
677052	183646	Lucy Wallace
677052	184440	Jeanne Verette
677052	210804	May
677052	242522	Mollie Andrews
677052	252103	
677052	272069	Ruth Harkness
677052	289416	Lillian Hollister
677052	301782	Mary Malden
677052	366319	Mrs. Jasper Reading
677053	77952	June Allen
677054	183794	
677055	5009	Additional SPAT Woman
677055	164460	McGuire's Sister
677056	62697	Glamour Queen
677057	109704	Sorority Girl
677058	354563	Club 1,000,000 Lineup
677060	309803	Renee
677061	66584	William's Boss
677061	293094	Nina Pagetter
677061	380259	Jay Harper (1978-1980)
677062	44985	Supporting
677062	196687	Baby Boo
677063	294197	
677064	155087	Lady on Bus
677064	222644	Mrs. James
677064	232870	Muriel Dumont (PCA)
677064	270436	Tauber Academy Assistant
677064	285669	Landlord's Wife
677064	292121	Enid
677064	305381	Dorothy
677064	382932	Marianne
677064	395525	Mrs. Kenwigs/Mrs. Lenville
677064	398262	Sioned
677064	408866	Mrs. Garrett
677065	2445	Herself (Cynthia's Sister)
677066	283500	Child
677067	380713	Hope Dixon (#3) (2000)
677068	73551	Telephone Operator
677068	218018	Woman in Bar
677068	303928	The Amazon
677068	321288	Big Jane
677070	142418	Albion's Girl
677070	199163	The Official's Wife
677070	314262	Susan Osborne
677071	130903	Dr. Ackerman`s Nurse
677072	1026	Rayette
677073	190698	Amy
677074	57381	Karen
677075	3868	Herself
677075	178931	Hoagie Man's Wife
677076	259409	Herself
677077	411759	Tanya (1979-1981)
677078	2597	Frizzy
677078	93818	Frizzy
677078	119551	Sherri
677078	308978	Agnes
677078	311537	Fern Hymenstein
677078	313855	Checkout Girl
677078	358964	Pretty Girl
677078	375798	Reporter #1
677079	130888	
677080	257667	
677081	366061	Bartender
677082	43585	
677083	372343	Dead Woman #2
677084	5913	Herself
677085	339937	G's Secretary
677086	360855	2nd Girl at Party
677087	139222	Jogger
677087	195632	
677087	323460	Jody Miller
677088	42842	Rachel's Assistant
677089	39858	Widow
677089	317353	Topless Dancer
677090	301626	Halloween Kid #2
677091	97492	Alvina 'Baby' Tsosie
677092	265516	Nurse
677093	160464	Herself
677094	245982	Bertha
677095	358478	Villager of Tullymore
677096	136513	Toni
677097	18207	Club Patron
677098	399446	
677099	140636	Stephanie Altree
677099	167892	Crystal
677099	189242	Kelly Farrow
677099	222300	Additional Voices
677099	222582	Jana McNair
677099	223887	Laura
677099	281337	Clare
677099	291036	Sylvia
677099	362740	Julie Werden
677099	387312	Anika
677099	391947	Danielle
677099	396378	Chloe (1995)
677099	398513	Additional Voices
677100	113883	Bikini Contestant
677101	228335	Mary, Mack's wife
677102	66783	Salesgirl
677103	388432	
677104	77629	Lucy
677104	202195	Roseland Dancer
677104	230367	Rita
677104	389258	
677105	158151	Frannie's Student
677105	263955	Amanda
677106	1480	Herself - Presenter
677106	13712	Mrs. Crawford
677106	81185	Betty Shabazz
677106	93756	Dee
677106	116033	Woman #2
677106	121859	Usher Lady #2
677106	127295	Reena Evers
677106	149495	Coffee Shop Manager
677106	238283	Odessa
677106	238284	Odessa
677106	244824	Christine King
677106	292586	Ms. Evelyn
677106	293843	Miss Bright
677106	310711	Herself (at funeral of her fa
677106	394502	Rosa Parks
677106	395491	Elizabeth Freeman
677107	74711	Herself
677107	116521	King Sisters
677107	184832	King Sisters Member
677107	321594	Herself
677107	394489	Herself
677108	157015	Beatrice Dennison
677108	347856	Tamika
677108	379831	Patrice #5 (1992)
677109	31092	
677109	132335	Grace Ferguson
677109	163309	Gambling Casino Habitue
677109	194770	Helene Brown
677109	203294	Edith Bowdoin
677109	265496	
677109	297156	Shakuntala
677110	7961	Aunt Hattie
677110	39844	Member of the Court
677110	72600	Mrs. R. Hazeltine, Bermuda La
677110	121368	Tourist
677110	163437	Old Woman in Limousine
677110	192611	Dowager
677110	231974	Dowager at Opera House
677110	241029	Caroline Gryce
677110	297891	Bit Part
677110	338778	Wife at inn
677110	363758	Woman Concerned About Disposi
677111	117881	Sally
677112	7405	Girl in Candy Shop
677112	155018	Maid
677112	197029	Young girl
677112	280896	Cinderella Girl
677112	285443	Town Girl
677112	312773	Dancing Instructor
677112	367629	
677113	213159	Jim Williams' Niece Amanda
677114	213159	Jim Williams' Sister
677115	213159	Jim Williams' Niece Susan
677116	177384	Xiangfei
677116	177385	Li Xiangfei
677116	177386	Li Xiangfei
677116	208014	Miwako Asano (from Otoko Oido
677116	273168	Cobalt Claw
677116	389778	Miharu (original version)
677116	406394	Celine Jules
677116	411874	Nagisa Shiozaki
677117	111173	Donna
677117	202853	Wilson's Bartender
677118	241356	
677118	366260	Daisy
677119	118474	Person at picnic
677120	118474	Benjamin's Wife
677121	52647	
677122	118466	Girlfriend
677122	218599	Dr. Winston
677122	292430	Rebecca
677122	344178	Actor Manager's Daughter
677122	363734	Hospice Nurse
677122	388846	Betty
677122	395317	Jennifer Padgett
677122	403187	Priscilla McAvoy
677123	326316	Erihapeti
677124	11485	Fan Dancer #3
677125	186793	Alice
677127	70954	
677127	84593	
677127	106474	
677127	318512	Une employée de la banque
677127	349481	
677128	266145	Kathy
677129	141142	Police Interpreter
677130	272934	Miriam Weatherby
677131	292784	Judy
677132	144406	
677133	239786	Jenny
677134	118020	Courtney Race
677134	214463	Mother Zubach
677135	21425	
677135	38079	
677135	48504	
677135	88967	Mrs. Jones
677136	20537	Blonde woman
677136	78745	Ann Wilson
677136	96706	Peg Prentice
677136	115124	Vicky
677136	188270	Mrs. Sumner
677136	384928	Mardi Shiel
677136	387449	Sue Fraser
677136	391869	Mary Croft (1991, 1993)
677136	401624	Herself (1969-1986)
677136	403244	Anne Hunter
677136	408118	
677137	310683	Nina Von Landshort
677138	93074	Cafeteria Worker
677139	131411	Harmony Ives
677140	35523	Playboy Model
677141	304373	
677142	143628	Hospital nurse
677142	143742	Waitress
677142	148784	Pat Buchanan
677142	245761	Waitress
677142	297951	Marcia
677142	315896	Janet Johnson, Clermont Resid
677143	62280	Lady #2
677143	119879	Bar Waitress
677144	203381	Barmaid
677145	823	
677146	13451	Tshingi
677146	40136	1st Rape Victim
677146	164516	Denise Johnson
677146	233692	Margot
677146	309838	Louise
677146	352420	German Drink Girl
677146	372134	Tracey
677147	3021	Herself (Memorial Tribute)
677148	291854	Mrs. Gray
677149	337209	Pearl Valdi
677150	17618	Mother Martin
677150	45431	Agatha Channing
677150	65425	Mrs. Gordon
677150	75453	
677150	78019	Mrs. Brooks
677150	133907	Aunt Prudence
677150	144579	Mrs. Treadway Parke
677150	162542	Mrs. Grant
677150	192215	Hired Girl
677150	217974	Mrs. Ross
677150	331151	Her Mother
677150	331448	
677150	341920	Mrs. Vertrees
677150	367583	Mrs. Martin
677150	367632	Mrs. O'Neil
677150	372941	Aunt Martha
677151	213259	Detective Gloria
677152	252455	Tennessee teacher
677153	109564	Woman #2
677153	327756	Leslie
677154	258075	Maureen (episode "Chat Room")
677155	159936	Margaret Barclay
677156	194831	Slave Girl
677157	277471	The Snorer
677158	105398	
677159	95477	Barbara Wallbrook
677159	129557	Babette
677159	143908	Agatha Bemis
677159	190465	Madeline Dwight
677159	191218	Kate Roberts
677159	192738	Miss Rowland
677159	237635	Nettie Penning
677159	241818	Kathleen Lawrence
677160	47549	Luigi's Mother
677161	127261	Amy Jessup
677163	410020	Herself
677164	66305	Girl at fairgrounds
677164	89686	Sophronie
677164	239588	Mrs. Bruckner
677164	260362	La Verne
677164	273782	Eileen
677164	314224	Hooker
677165	17928	Hilda
677168	44935	Boudica
677168	47210	Herself
677168	55643	Frances Partridge
677168	70347	Adele
677168	73913	Jani de Villiers
677168	103926	Lisa Locke
677168	117550	Actress
677168	118021	Moll Flanders
677168	159537	Anna
677168	228970	Herself
677168	256079	
677168	285756	Chic Party Guest
677168	330881	Peternelle
677168	365560	
677168	367574	Woman
677168	385280	Caroline Carrison
677168	387728	Dr. Elizabeth Corday (1997-20
677168	390523	Jill Harcourt (1980)
677168	394671	Katherine Roberts (1996)
677168	398213	Herself
677169	355154	Karen
677170	288939	First victim
677171	165443	Lady Ingram
677172	349633	
677172	362365	Wedding Guest
677173	265104	Miss Fanshaw (teacher)
677174	79025	Nurse
677174	385020	Molly Hardcastle (2000-2002)
677175	385705	Marianne (recurring) (1997-20
677176	358438	Gram Baldassarre
677177	343295	
677177	372502	Other Woman
677178	59872	Sue
677178	87797	Dealer
677178	329579	Lisa
677179	79672	Sherry Miles
677179	207183	
677179	230728	
677179	240509	
677179	342539	
677179	349998	Julie Lebeau
677179	363857	Helen Allen
677180	11359	The Girl (Nanette Burgundy)
677180	39782	
677180	63429	
677180	78688	
677180	88953	
677180	90144	Vilma Theodori
677180	90403	
677180	110562	The Girl, Nina March
677180	112713	Dolores
677180	117744	May Strauss
677180	118714	
677180	118715	Diane Laurens
677180	128266	South Sea Island girl
677180	131918	
677180	139779	Ruth
677180	143447	Eva
677180	145938	Ethel Morgan
677180	146081	Agnes
677180	146191	Polly
677180	147445	
677180	176300	Carmen Mendoza
677180	193998	
677180	194739	Nita Howard
677180	194742	Olga Pietroff
677180	195859	Mamie
677180	197015	Senorita Mazda
677180	232035	Donna Beatriz
677180	242110	
677180	246723	Barbara Lane
677180	256617	
677180	257181	
677180	260875	Catherine King
677180	274629	
677180	275457	Rosemary Lee
677180	279153	Mexico
677180	281161	
677180	301658	Vera Sherman
677180	307367	
677180	316587	Lisetta
677180	321417	Barbara Larkin
677180	325143	Mary Trevor
677180	325144	Jane
677180	346082	Joan Prescott
677180	361923	A Beautiful Woman
677180	373197	Nell (his daughter)
677181	118021	Moll's Mother
677182	238714	Officer Baron
677182	289520	Mary Anderson
677182	302570	Fan
677183	109971	Chubby Checker Member
677184	297754	The Tea Lady
677185	220821	Gina Carter
677186	22179	Kimberly's Mom
677187	33860	Florence Winthrop
677187	35630	Viva Newmarch
677187	45389	Tourist
677187	46666	Peggy Gray
677187	52483	Sally Spicer
677187	52503	Virginia
677187	52821	Adele Randall
677187	54466	Eleanor
677187	71181	
677187	79575	Ada Ingot
677187	79629	Eleanor Vaughn
677187	95360	Molly Gore
677187	125847	Helen Sherwood
677187	161580	
677187	190468	Majesty Hammond
677187	196023	Allene Houston
677187	235080	Hazel Weir
677187	246601	Beth Harris
677187	249348	Buckskin Liz
677187	289613	Lady Margaret Blakeney
677187	295456	Ellen Arsdale
677187	307417	Madame Alvarez
677187	308351	Katie O'Grady
677187	312178	Greta Glaum
677187	312321	Lady Diana
677187	312323	
677187	337611	Betty Somers
677187	355100	Molly Wood
677187	363447	Bess Landor
677188	224358	Herself/Member of the Ontario
677189	264819	
677190	132597	Miss Muller
677190	268413	Madame Lelièvre
677191	292479	Virgin
677192	383953	Mary
677193	109509	Mandy
677193	323866	Penny
677193	401930	Young Rhonda 'Cookie' Wexler 
677194	78182	Garland
677194	133505	Celebrity Host
677194	252905	Cindy
677195	42799	Little Freak
677195	109457	Dancer
677195	128727	Dancer
677195	215363	Woman
677195	223709	Brunette in Punk Bar
677195	232072	Angela
677195	232073	Angela
677195	232074	Angela
677195	279323	Dancer
677195	352967	Herself
677195	411802	Vivian (1990)
677196	71631	
677196	75030	
677196	93711	
677196	132017	
677196	216817	Arielle Fleming
677196	224187	
677196	232648	
677196	297829	
677196	372474	
677196	372754	
677197	162979	Corinthian Circle member
677198	64869	Christine
677198	360726	Vanessa Chamberlain
677198	380391	Angela 'Angie' Perrini Frame 
677198	390771	Vanessa Chamberlain (1980-198
677199	205397	
677200	1227	18yr-old girl
677200	1255	
677200	26841	Herself
677200	29225	
677200	41603	
677200	54751	
677200	77710	Dancer
677200	256743	
677200	260803	
677200	273595	
677200	306908	
677200	361886	
677200	361968	
677201	98752	Rape victim
677202	92324	Betsy
677203	1975	Herself
677204	265904	Entertainment Tonight Present
677204	397411	Hostess
677205	1975	Themselves
677206	12115	
677207	20987	Holly
677207	29920	Det. Holly McGee
677207	46757	Gloria
677207	63746	Alexa
677207	63747	Alexa
677207	70927	Nicole Landon
677207	80553	Katherine
677207	113352	Maggie
677207	113386	Jordan
677207	119097	Marianne
677207	123789	Alexis
677207	137657	Kelly Meeker
677207	139227	Pretty Skater
677207	213072	Party
677207	232124	Katherine Pierce
677207	232380	Cindy
677207	254774	Phoenix
677207	266631	Natalie Montana
677207	267180	Brigitte
677207	280655	Karin Crosse
677207	283722	Julie Ann McGuffin
677207	285360	Newsperson
677207	305916	Det. Lisa Forester
677207	315577	Missy
677207	316215	Dorothy Liddell
677207	321227	Heather
677207	329108	Angela
677207	329522	Koss' Secretary
677207	366259	Party Girl #5
677207	403184	Cheyenne Phillips (1992-1996)
677207	404282	Marilyn Cassidy (1992)
677208	216649	
677208	379044	Omachi (1978-1987)
677209	334085	School Girl
677210	167051	
677211	47191	Theatre Nurse
677211	87512	Pat
677211	119802	Prostitute #2
677212	10901	Honey
677213	34912	The Woman
677213	332004	Star
677214	62448	Judith
677214	99422	Maria
677214	108982	Bertha
677214	153170	Minoo
677214	154562	Actress in 'Iphigenia'
677214	192927	Narrator
677214	204543	Kristina Harderberg
677214	206924	Young Mary
677214	216361	Saga
677214	235040	Kicki
677214	253519	Sanna
677214	309341	Marie
677214	322437	Blind girl
677214	350607	Isis
677214	354417	Hedvig Ekdahl
677214	357748	Maja
677214	412298	Frida
677215	168866	Kaisa
677215	355117	Poliisi
677216	330376	Doreen
677217	148523	Parade Attendee
677217	152932	Car Passenger
677218	81286	Smoochy's secretary
677218	96737	Courier - Stalking Victim
677218	339669	Bridesmaid
677219	32277	
677219	398158	Diane Lavoie
677220	80444	Lift Victim
677221	335258	Stripper
677222	24432	Nurse
677222	251194	Dancer
677222	411367	Lana Star
677223	116901	Agnes
677224	317309	Pro Golf Tour Marshals
677225	265605	United Way volunteer
677226	385651	Mother Superior
677227	9879	Kendy
677228	63189	Lora
677229	296894	Little Girl
677230	199304	Berthe
677231	345828	Topsy
677232	193834	
677233	277948	Party Nurse #1
677234	1975	Herself
677234	19601	Blaire Kendall
677234	38964	Herself
677234	74008	
677234	157295	Herself
677234	159708	Woman at Depot
677234	187820	Lisa Lather
677234	191152	Denise
677234	194865	Red Neck Nurse
677234	220985	Homeless Lady
677234	249451	Joan
677234	255234	Mrs. Tattler
677234	265761	Cindy Wilson
677234	279982	Mimi Bobeck (Money) Carey
677234	283607	Proprietor of Motel
677234	291495	IBC nurse
677234	313141	Bernice
677234	322955	Instructor
677234	330670	Marian
677234	331377	Receptionist
677234	381940	Jenny the Monkey
677234	386992	Mimi Bobeck Carey
677234	390626	
677234	399306	Prudence Goddard (1989-1990)
677235	243276	Liz
677236	170706	
677237	260362	Cherry
677238	13966	Vegas Show Girl
677239	105889	Deaf Girl
677239	236895	Susy Harrow
677240	149933	Rennie's Children
677241	20625	Extra
677242	175350	
677243	264291	Sulotar
677244	176704	Teacher
677245	152341	Annikki Teräs
677245	240329	
677245	321946	
677245	336832	Inga Adlerfeldt
677245	354255	
677246	255386	
677247	104736	Finnish entry (10th place)
677247	162737	Laila Koski
677247	185972	Singer
677247	236796	Laila
677247	320383	
677248	179365	Mari, the maid
677248	181592	Old crofter woman
677248	181631	Hostess of the inn
677248	181652	Applicant
677248	182840	
677248	214838	Young woman in market
677248	233242	
677248	233243	Mrs. Nikkilä
677248	233247	
677248	322704	
677248	343467	
677248	356116	
677249	343468	
677250	251955	Pikku Pipsa
677251	215485	Herself
677252	28047	
677252	172388	
677252	186105	Kinuyo Okazaki
677252	251929	Matsue Otobuji
677252	355666	Mrs. Ooyama, Ryôko's mother
677252	370419	Sayuri Akama
677252	394696	Misako Kurata
677253	61051	Noriko Fukuji
677253	97454	Masukawa
677255	47474	Essie's family
677256	394996	Haruna Morikawa/Pink-Turbo
677257	76873	Aki
677257	172400	
677257	177239	Singer
677257	181987	
677257	216508	Ryuichi's mother
677257	233113	
677257	244554	Nanako
677257	370650	
677257	371831	Kyoko Saito
677257	385987	Kimiko Hirao
677258	396482	Aya Mifune (1967-1968)
677259	408435	Reimon Marika/Deka Yellow
677260	50941	Kita No Taiko
677261	171624	
677262	382289	Gernreich
677263	30988	Mizuho Inada - Girls #1
677264	286626	Prostitute
677265	8904	Chika
677265	135013	
677266	158554	
677267	169188	Haruko
677268	357	
677269	141993	Leida's jongere zus/Leida´s y
677269	188908	
677269	196771	
677269	211481	Buurvrouw
677269	229284	
677269	242439	
677269	243170	
677269	357390	Jongere dochter van de schipp
677269	360916	
677269	375123	
677270	242411	Moeder van Any Godard
677270	334738	
677271	18523	
677271	18534	
677271	98320	Krankenschwester
677271	166715	
677271	325810	Anna
677272	131232	Extra
677273	53764	Sandra
677273	68164	Jess
677273	96867	Herself
677273	171185	
677273	176352	Lucy Letts
677273	176902	
677273	233510	Kerry
677273	387247	Kelly Taylor (2001, 2002-2004
677273	399531	Janet
677273	400412	Daisy Reed
677274	358292	Jessica
677275	132909	Pedestrian
677276	148317	Really drunk chick
677276	283434	Cafe Waitress
677276	405095	Tourist
677278	201112	Extra
677279	309600	
677280	80050	Freshman Girl 1
677281	54948	Tammy
677282	128468	Dancer
677282	154888	Walton, Valerie's Dance Partn
677283	333914	Ronni
677284	298063	Skaters
677285	183872	Elderly Woman
677286	161757	Waitress at Beach
677287	178662	Janina
677288	63066	Twin #2
677290	303947	Mira
677291	509	Sondra Brummel
677291	10011	Karin
677291	11157	Karen Grant
677291	14159	Margit Sandor
677291	33491	Sophia Luciano
677291	35735	Misha
677291	38396	Christine
677291	40739	Susan
677291	56750	Irena Gallier
677291	64652	Venus
677291	65085	Elena Burn/Elena Dillon
677291	66937	Linda
677291	71435	Francesca
677291	72462	Katia 'K.C.' Koslovska
677291	79910	Dr. Jennifer Stillman
677291	86017	Jane Bordeaux
677291	101982	
677291	106109	Elizabeth Carlson
677291	107961	Mignon
677291	109938	Collette Andrews
677291	121055	Clara Wieck
677291	139356	Diane
677291	150606	Susie the Bear
677291	157548	Nastienka
677291	158545	Joëlle
677291	158563	Raphaela
677291	161244	Herself
677291	161641	Badge Muller
677291	187556	Deborah Collins
677291	191676	Kate West
677291	194956	Deborah Spitz
677291	197543	Loretta
677291	200050	Magdalene
677291	200241	Katie
677291	202088	Juliette
677291	205590	Maria Bosic
677291	238613	Herself
677291	241363	Leila
677291	241605	Karen
677291	248454	Mette Gauguin
677291	249084	Jane
677291	257744	Melanie
677291	269046	Galen Bronty
677291	274180	Lydia Davis
677291	277258	Daisy McConnahay
677291	278496	Ariana von Gotthard
677291	289128	Maria
677291	289253	Grace Needham
677291	293360	Lucia
677291	307440	Cristina
677291	307975	Charlotte Ellis
677291	315524	Gloria Ross
677291	320209	Susan Holland
677291	325786	Sina Wolf
677291	328268	Chris Morrow
677291	328751	Tess Durbeyfield
677291	333328	Julia
677291	334337	Catherine
677291	336270	Maria
677291	337098	Alex
677291	346902	Daniella Eastman
677291	347307	Natasha
677291	372844	Cheri
677291	377050	Mathilde
677291	390599	Rosa Luxemburg
677291	395028	Lady Bolton
677291	395480	Madame Maria de Tourvel
677292	33452	Frau Bartels
677292	90184	Heidrun
677292	91128	
677292	110566	
677292	179798	
677292	236836	
677292	308847	Lona
677292	325664	Erika Schubert
677292	359001	Johanna
677292	376499	Anna Eichmayr
677293	59876	Waitress
677294	304529	Pinwheel Girl
677295	23890	Stella
677295	101326	Judith
677295	113580	
677295	119710	Millie
677295	194147	Sieglinde
677295	283061	Lucie
677295	312090	
677295	344737	
677295	376502	Gräfin Friederike
677295	397949	
677295	399762	
677296	149261	Bridesmaid
677296	154182	Dancer
677296	179083	Bathing Beauty
677296	252970	Girl
677296	300063	Chorus girl
677296	352758	Susie
677297	92880	Band Manager
677297	97535	Reporter
677297	232296	Female MP
677297	270752	Reporter
677297	279766	Reporter
677297	300894	Karen
677297	310939	Anne Kingston
677297	319189	McKenzie
677297	320089	News Anchor
677297	330370	Reporter
677297	330473	Simone
677297	373577	Woman in Car
677298	183872	Elderly Woman
677299	85143	Reporter #1
677300	213313	Dancer
677301	348671	
677302	176713	Miss Felicia
677303	249336	
677304	357338	
677305	50182	
677306	210636	Sayo
677307	472	Ursula Züger, Krankenschweste
677307	14297	Fräulein Murr
677307	15888	
677307	24346	Barbara
677307	27423	
677307	33134	Trude Michaelis
677307	62924	Frau Anna
677307	116322	Pregnant woman
677307	119190	
677307	122487	
677307	125172	Posthalterin
677307	146872	Krankenschwester (nurse)
677307	156714	
677307	175399	Anna Rottner
677307	208793	Mother
677307	209978	
677307	219701	Maria Klaus
677307	225183	Brigitte
677307	226345	Oberschwester Mathilde
677307	234897	Frau Helmer
677307	237724	
677307	272533	
677307	278869	
677307	290146	
677307	290747	Angela von Trutzberg
677307	290791	Die Öffelin
677307	301050	
677307	313132	Mother Bruggler
677307	322999	Meta
677307	324583	Gutsfrau Frau Puchheiten
677307	347654	Mutter
677307	349566	La Mere d'Helga
677307	356543	
677307	357783	Mrs. Markurell
677307	365699	
677307	366545	
677308	142501	Sheila
677309	77808	Daphné
677309	307498	
677309	388120	Cathie
677309	406030	Jessica Lowry Lorenzi Mondino
677310	144842	
677311	84480	
677312	285717	Esther's Crony
677313	182278	Nurse
677313	182566	Guest at the party
677314	45097	Bingo Caller
677315	315100	
677316	119821	Melon Knee/Stripper with Past
677317	37696	Lt. Jane Uhura
677318	10844	Female Student #3
677318	117844	Anne-Marie Silver
677318	264131	Girl In Pool
677318	309202	Tri Pi
677318	389072	Amber (1999-)
677319	262097	Taylor Earhardt/Yellow Eagle 
677319	262098	Taylor Earhardt/Yellow Eagle 
677319	402008	Lt. Taylor Earhardt/Yellow Ea
677320	155176	Zari
677320	208949	Adjari
677320	227051	
677321	127725	Natela
677321	188876	Natia
677321	193637	Tsira
677321	209091	Khatia
677321	217457	Khatuna
677321	219234	
677321	302430	Marine
677322	4824	Marekhi
677322	76942	Maro
677323	173831	
677323	407165	Halina Kiepska
677324	20037	Fan
677325	333183	Young May
677325	368675	Ethel Hallow
677326	34666	Cabot Party Guest
677326	149854	Steffi Yale
677327	74192	Clo Clo
677328	5132	
677328	10263	
677328	11782	Frau Wicker
677328	18392	
677328	38386	Frau Tübner
677328	51334	Frau Braun
677328	97468	
677328	98370	
677328	98420	Tante
677328	101352	
677328	103122	
677328	109100	Mutter Lobau
677328	134511	Abbess
677328	134986	Standesbeamtin
677328	137949	Player Queen
677328	140203	
677328	145331	
677328	155449	Steffi
677328	156652	
677328	165339	Tante
677328	170124	Bäckermeistergattin
677328	177223	Cielchen
677328	202732	
677328	208429	
677328	217201	
677328	227662	
677328	232671	
677328	232798	Museumsdame
677328	259442	
677328	259537	Carola Menzel
677328	259542	Inge Ahlert
677328	259594	
677328	259648	Elsa Biedermann
677328	259671	Angela Kutscher
677328	266935	
677328	281206	
677328	284862	Frau Marloch
677328	307671	Christine
677328	312636	Frau Kruschke
677328	312642	
677328	314716	Mutter Stielke
677328	314920	
677328	338933	Marthe
677328	347803	
677328	352042	Barbara's Mother
677328	361039	Direktorin
677328	376353	Antje Hausknecht
677328	398827	
677328	406269	
677328	411161	Frau Leineweber
677329	86892	Diane
677329	327641	Julie
677330	390071	Host
677330	408784	Host
677331	227340	Hilda Swenson
677331	227345	Bet Rawley
677332	9676	
677333	69113	Irene
677333	77373	Carla Royce
677333	107981	Cecile Helbig
677333	142094	Gretl Fiala
677333	160269	Mauz
677333	237734	Prinzessin Luise
677333	281959	Herta Wieland
677333	290690	Sylva Verena
677333	306403	Sabine Keller
677333	361094	Lotte Wendel
677333	367139	Margret Bruhn
677334	246853	
677334	334708	
677335	301205	Island girl
677337	266611	
677338	170836	Lara
677339	102581	Trolls
677340	158226	Extra
677340	261650	Apothecary Shop
677340	359758	Ball Dancers & Musicians
677341	394713	
677342	380431	
677343	6205	
677343	13492	
677343	42689	Eleonora
677343	46196	
677343	59466	Qsenia
677343	136593	Woman
677343	175743	
677343	298274	
677344	268815	Marika
677345	22018	
677345	26050	
677345	31180	
677345	36876	
677345	39507	
677345	39609	
677345	39614	
677345	44070	
677345	44109	
677345	48576	
677345	123627	
677345	136753	
677345	236307	
677345	252083	
677345	303209	
677345	319330	
677345	319346	
677345	368574	Fluffer
677345	378223	
677346	183172	Woman in limo
677347	122867	Zara
677347	404218	
677348	25289	
677348	127658	
677348	145521	
677348	212283	(segment Dejstviye)
677349	191397	
677350	249887	
677351	249887	
677352	140901	Receptionist #1
677352	176852	April
677353	125404	
677353	182633	
677354	4274	
677354	36297	
677354	85371	
677354	88504	
677354	126975	
677354	152475	Kajal Kisharina
677354	152491	
677354	152698	
677354	160792	
677354	198747	
677354	201044	
677354	222056	
677354	222506	
677354	270052	
677354	271742	
677354	359379	
677355	198733	
677355	227990	
677356	246075	Macchiwali
677357	6361	
677357	18483	
677357	25357	Bela
677357	25923	
677357	27523	
677357	27765	
677357	27774	Amit's mom
677357	31424	Shobha/Chhoti Maa
677357	35971	
677357	63505	Sumitra
677357	76412	
677357	85437	
677357	86636	
677357	91465	
677357	124204	
677357	125152	
677357	153234	
677357	171883	Rama, Mini's mother
677357	172831	
677357	184162	
677357	199635	
677357	208593	
677357	209871	Alka
677357	213881	Sharda (Mili's aunt)
677357	222909	Uma
677357	228937	
677357	249140	
677357	250674	
677357	288284	
677357	300254	
677357	340258	
677358	63186	
677359	51506	Jeng Tut
677359	180679	
677359	252140	
677359	300627	
677359	300628	
677360	32726	Neda
677360	162666	Tampha
677360	195272	Chisa Noda
677360	287070	
677360	390731	Nanako Mizuki
677362	28282	
677362	61338	American Tourist
677362	124241	Jucelina
677362	202130	
677362	207660	
677362	213738	
677362	251585	
677362	263416	
677362	275023	
677362	337252	
677362	377603	
677362	381222	Belinha
677362	383172	Amélia
677362	391901	July
677362	400444	Clélia
677362	401010	Anésia
677363	55048	
677363	74288	Garter Girl
677363	117295	Cafe girl
677363	144453	
677363	183706	Office Girl
677363	196963	Girl
677363	197869	Bit part
677363	286334	Girl in singing quartet
677363	313377	Finale
677363	340853	Girl
677364	384457	Jenny
677364	387269	Louisa Hallam
677364	392483	Young Antonia
677364	398678	Louise Kendall
677364	402138	Jenny
677364	406660	Tizzy Alexander
677364	407174	Lynette Darwin
677365	163231	
677365	342188	
677365	350277	Satanists
677366	70612	June
677366	87464	Registrar
677366	248377	Saki Midorisawa
677367	367919	Theatrical Child
677368	253779	
677369	233829	Jan Pierson
677369	368894	Speaker
677370	165471	Suzanne
677370	239993	
677371	296814	Cop at raid
677372	91862	
677372	214037	Stewardess
677373	305356	Woman in Bar
677374	40148	Shana's Mother
677374	79298	Mrs. Hart
677374	133636	Dorothy Allen
677374	330103	Three
677375	301679	Extra
677376	257699	
677377	240232	Libbi Rush
677378	43877	Female Cenobite (Hellraiser)
677378	141678	French Teacher
677378	142616	Female Cenobite
677378	203083	Widow
677379	8080	Secretary
677380	84439	Julie
677380	131760	Julie
677380	209292	
677381	10152	Archive Woman
677381	34129	Muttering woman
677381	131429	Bill's friend
677381	177145	Rita
677381	247036	Mrs. Coppins
677381	397182	
677382	19987	Lulu
677382	27880	Maid
677382	47193	Joan
677382	68844	Bobby Carr
677382	113845	Polly
677382	137198	Ruby
677382	163422	Lillian
677382	208659	Brenda
677382	213285	Dora
677382	285316	Margaret Woodford
677382	299184	
677382	330603	Marie
677382	358875	
677383	397182	
677384	124224	On-Line Model
677384	136290	Goldwyn Girl
677384	177989	Harem Showgirl
677385	36750	Herself
677385	104740	United Kingdom entry (2nd pla
677385	147240	United Kingdom entry
677385	174620	Herself
677385	384170	Herself (1963)
677385	391403	Herself
677385	406436	Herself - Singer
677386	231818	Nurse Mary
677387	296879	Woman
677387	368154	Waitress
677388	160734	D
677389	87520	Coffee Shop Waitress
677390	25868	Young Girl
677391	5172	Mrs. Hardluck
677391	7934	Mrs. Gooddresser
677391	11173	
677391	11403	
677391	22893	Dave's Sweetheart
677391	22930	
677391	24507	The Auto Nut's Sweetheart
677391	31808	Slawson girl
677391	34458	
677391	42397	
677391	47448	
677391	47792	
677391	48270	At Theatre
677391	49792	Birthday Wellwisher
677391	58424	
677391	59764	
677391	61379	
677391	66851	
677391	69238	
677391	87536	Alice Maxwell, the Daughter
677391	96810	Afy Hallijohn
677391	115078	Gertrude Shorb
677391	119235	Dolly Dare
677391	125872	
677391	143668	Indian Mother
677391	146045	
677391	152820	Undetermined Role
677391	152899	Vera
677391	158308	
677391	164215	A society bud
677391	167923	At Party
677391	191078	Among Wedding Guests
677391	216441	The Stenographer
677391	223228	The Little Lady's Friend/In A
677391	223668	The Wife's Friend
677391	230918	Shopkeeper/At Mother's Deathb
677391	241715	The Nurse
677391	246712	The Younger Sister
677391	306628	
677391	327151	The Telephone Operator
677391	329783	Irene Labrun
677392	386618	Contestant
677393	29631	Lady Hawksley's Maid
677393	69458	Miss Ellwood
677393	69845	Car loan assistant
677393	82275	Angela Bentley
677393	99753	
677393	149224	
677393	154915	Office Girl
677393	216974	
677393	235591	The Maid Margaret
677393	301958	
677393	335826	
677393	340220	Autograph hunter #2
677394	18722	
677394	30193	Meryllyn
677394	39376	
677394	65872	
677394	66597	
677394	71185	
677394	80892	
677394	120325	Min Manning
677394	125882	
677394	151008	
677394	151076	
677394	158479	
677394	175806	Undetermined Role
677394	203099	
677394	203653	
677394	210911	
677394	213235	
677394	215165	
677394	215751	
677394	215757	
677394	215846	
677394	224585	
677394	224735	
677394	230109	
677394	230418	Mabel Greystone
677394	252134	
677394	280484	
677394	291420	
677394	292541	
677394	301268	
677394	306761	Mary
677394	314941	
677394	324453	Carmelita
677394	332814	
677394	337598	
677394	338221	
677394	340916	
677394	351240	
677394	354892	
677394	366147	
677394	367090	
677394	370571	Theresa
677395	107865	Dolly
677396	75524	Herself
677397	101	Pauls mother
677397	10294	Inge
677397	14582	La maîtresse Munich
677397	18531	Stella
677397	22738	Monika Hansen
677397	40749	Petra Jansen
677397	93408	
677397	103099	Isis
677397	127642	Lisa
677397	156058	Eva Saalmann
677397	157676	Carla Davos
677397	166730	Lorraine Chapman
677397	176725	
677397	176726	Anna Göllner
677397	187835	Kundrie
677397	189711	Mona
677397	225192	Anna Göllner
677397	246398	Iris
677397	251460	Madeleine
677397	283493	Danielle Reuter
677397	290638	Cora Talheim
677397	295363	Anya
677397	303154	Nene
677397	308243	Anna Göllner
677397	345008	Sarah
677397	345678	Marquise de Clermont
677397	351945	Coco
677397	358219	Eva
677397	364940	Lydia Lufft
677397	381671	Jeannine
677397	395001	Maria Reininger aka Lajana
677397	402098	Claudia (1997)
677397	407204	Bobbie
677397	407552	Olga
677398	359174	Old maid
677399	304806	Kimberly
677400	206877	Prince James
677400	331384	Baby Marshall
677401	206877	Prince James
677402	201260	Swing Dancer
677403	30596	
677403	265655	Lelya Maria
677404	50958	Svetla
677404	258590	Gina
677405	374126	
677406	330028	Herself
677407	290534	
677408	501	
677408	10653	Lydia
677408	11887	
677408	51287	Merl
677408	123413	
677408	168407	
677408	181950	
677408	186891	Sabine
677408	188769	
677408	225624	Nadja
677408	275187	
677408	290561	Dr. Agnes Lenz
677408	311215	Else von Schleiffen
677408	325407	Helga
677408	352064	Katharina Knebel
677408	360972	Margarete Buber-Neumann
677408	361508	
677408	364888	Marietta
677409	331373	Rhonda
677410	374126	
677411	4790	Marianne
677411	20331	
677411	103199	Arlette, secrétaire de Boreau
677411	107959	Mabel
677411	108550	Pat
677411	129691	Helga Mueller
677411	144134	Lore
677411	144157	
677411	155452	
677411	164270	Gretel
677411	170691	
677411	189553	Rita
677411	189685	Marion Hellriegel
677411	198420	Johanna
677411	210081	
677411	234297	
677411	278159	Gusti Gräfin Wallburg
677411	290237	Norma Berg
677411	293623	
677411	301027	
677411	308196	Susi, Rolf's Wife
677411	335038	Irene
677411	339252	Uschi Wagner
677411	350877	Henriette
677411	352356	
677411	352477	Lilli Meier
677411	361089	Vivienne
677411	361459	Liesl
677411	367142	
677412	262	Voice of Tom's Sister
677413	5659	
677413	115813	Helene Barbock
677413	118620	
677413	125127	
677413	173163	
677413	189736	Germaine
677413	307315	
677413	361502	Francoise
677414	16412	Cassandra
677415	398558	Herself (Investigator)
677416	40989	
677416	123962	Fau pischel
677416	347700	Magd
677417	69973	Nicklausse
677417	211606	Valencienne
677417	281978	Octavian
677418	106116	Waitress
677419	247984	Ioanna
677420	29896	Amy
677421	207999	
677422	179588	
677422	304254	
677423	356597	
677424	136751	
677424	137323	
677424	178405	
677424	373632	
677424	373633	
677424	377545	
677425	168007	Kaoru Kiri
677426	18710	
677426	18992	
677426	84032	
677426	212019	Margarita
677426	212449	
677428	111157	
677428	206027	La modella
677429	409862	Katerina
677430	59365	
677431	98577	
677432	209838	
677433	154454	
677433	229081	
677433	249914	
677433	273029	
677433	280601	
677433	300511	
677433	323646	
677433	410405	
677434	374838	
677435	59772	
677436	349196	Lover
677436	379688	Nermin
677436	407594	
677437	117588	Girl
677438	302458	Gypsy Leader
677439	9473	
677440	131769	WPC
677441	271678	
677441	327041	Akio's girlfriend
677442	149579	
677443	168356	Tomiko, Kyoko's classmate
677444	76897	Kyoke
677444	171656	
677444	175505	
677445	62503	Yoshiko Kishi
677445	101559	
677445	101562	
677445	153557	Oito
677445	226459	
677445	287579	
677445	349100	
677446	242170	Kayako
677447	100521	
677447	132156	
677447	174923	
677447	187640	
677447	198127	
677447	198131	
677447	198155	
677447	229191	Klavdia
677447	241935	
677447	256724	
677447	258704	
677447	261909	
677447	286883	
677447	309193	
677447	318146	
677447	318148	Irina
677447	323635	
677447	332990	Natalya
677447	349085	
677447	349290	(segment Chervotochina)
677447	350980	
677447	373581	
677447	373788	
677447	375476	
677447	387138	
677448	153992	Laurie
677448	206149	Pregnant Woman
677449	134741	Menstruating Girl
677449	163213	Missy Westin
677450	130629	Molly Morgan
677451	346077	
677452	402908	Presenter
677453	11256	Madame Beverly
677454	387450	Herself - Astrologer (1989-19
677455	342332	Elderly Woman
677456	428	Diane
677456	210673	Gladys
677456	276202	Mom
677456	298284	Sgt. Knofelmacher
677456	387638	Elsi
677457	313321	Reporter at Shrine Auditorium
677458	12338	Party Hostess
677458	48939	Olive
677458	95328	Mrs. Friedman
677458	113261	Mary
677458	210269	Jennifer
677458	285310	Hannah
677458	288507	Susanne Sinks
677458	330501	Candy
677458	343088	
677459	2088	Margaret
677459	80861	Mrs. Harkins
677459	302432	Jenny Barbato
677459	323824	Sofia Cisco (segment "Fightin
677460	173318	Waitress
677460	248486	Ramona
677461	39415	Rhonda
677462	390032	Amanda Bates
677463	114145	Katie's Friend #1
677464	84230	Townsperson
677465	309631	
677466	79002	Stewardess
677467	16830	
677467	277863	
677468	34911	
677468	159175	Dancer
677468	381661	Hill's Angel (1980-1981)
677469	2256	Madde's friend
677469	198380	
677470	197489	Xenobia
677471	301796	Gahena/Zohar Metatron
677471	350928	Rachel
677472	57654	Model
677473	22824	Betsy Ernst
677473	108425	Lisa Picard
677473	222769	Alberta Talley
677473	333278	Flower Seller
677474	84247	
677475	136509	Rose Hovick
677475	265288	Lady
677476	184767	Glitter Dome Dancer
677477	59099	Amanda
677478	241318	
677479	241318	Sarah
677480	128949	
677480	235532	
677481	67709	The Firing Squad
677482	124115	Mrs. Walter
677483	5018	Alice Wheatley
677483	26717	Louise Melhorn
677483	54123	Katherine Rand
677483	73246	Ellen Lacey
677483	151084	Sue Allen
677483	162390	Ursula de Varamendi
677483	168672	Mary Dark
677483	190179	Jerry
677483	221304	Kay, Malone's Secretary
677483	244932	Zaza
677483	279117	Judy Roberts
677483	285095	Maj. Shelton
677483	315341	Nurse
677483	329537	Eve Atwood
677483	331393	Kathy Hunter
677483	332047	Nora Porter
677483	343206	Valerie Streseman
677483	368381	
677483	396778	Herself/panelist
677483	403058	Regular performer (1955)
677483	408017	Nora Charles
677484	330697	Maggie
677485	92618	Dr. T's Patient
677486	363998	
677487	313908	Girl
677488	62925	Eleanor
677489	205268	Woman at Auction
677489	231090	Biennial Patron
677489	252445	Benefit Guest
677489	261530	First Lady
677490	109532	Herself
677491	89356	Country Bumpkin
677491	217317	Carwash Girl
677492	18017	Player's Girlfriend
677492	70882	Herself
677492	82168	Herself
677492	118050	Herself
677492	175470	Herself
677492	213621	Herself
677492	362000	Herself
677492	367854	Deirdre Barlow/Rachid
677492	385019	Herself
677492	385020	Deirdre Hunt/Langton/Barlow/R
677492	405934	Presenter (2002-)
677493	281735	
677494	33940	Hounslow Harrier
677495	195592	
677495	236681	Lucy Sutcliffe
677495	399816	Lucy Sutcliffe (1972-1975)
677496	211833	Soprano
677496	276492	Soprano: 'Conservate Radoppia
677497	298074	
677498	80477	Rebecca Smythers
677498	162887	Abby Faraday
677498	201845	Joanne
677498	257810	Realtor
677498	400772	Rita Harriman (1984-1986)
677499	90645	
677499	99955	Sylvie
677500	121836	Fran
677501	266366	
677502	192822	Dame i kantinen
677503	309298	Pernille
677504	92694	Ballroom Dancer
677504	118980	Greek Dancer
677504	121836	Billy's Night Club Singer
677504	235615	Jeu de Prume Dancer
677504	252242	Tart
677504	314186	Young Girl
677504	382208	Gladys 'Cochise' Littlefeathe
677504	411053	Venus
677505	17204	
677505	165494	
677506	7124	
677506	20233	Estralla
677506	26872	
677506	32017	Alice Latham
677506	32218	Christine Appleby
677506	43228	Natalie's Chum
677506	45936	Paul Lavergne
677506	52203	Paula Ware
677506	65457	Matie Norton
677506	84965	Marion Dane
677506	87116	Lady Boyden
677506	89654	Mrs. Marteen
677506	106654	Mrs. Taine, The Age
677506	116760	Annis Grand
677506	117057	Mrs. Ellis
677506	124736	Mrs. Jack Eden
677506	140749	Louise
677506	143138	Lady Clara
677506	143195	
677506	146248	Mrs. Kelland
677506	148545	Beatrice Carlisle
677506	149647	Mrs. Whitefield
677506	150963	Dorothy
677506	157970	Barbara's Aunt
677506	160007	Mary Stanhope
677506	162948	Her Mother
677506	169228	Lillian Josselyn
677506	177509	Letitia Selsby
677506	186805	Mrs. Turner-Prescott
677506	191585	Mrs. Helen Barrett
677506	193787	Leila Mead
677506	206449	Mrs. McMillan
677506	207182	Helen Villiers
677506	207417	Janice Ritter
677506	216938	Mrs. Dodge aka Moraine
677506	234231	Katherine Trent
677506	236682	Mrs. Vivian
677506	241323	Norma Biddie
677506	244367	Lottie Bird
677506	249221	Angelica Irving
677506	254555	Elzabeth Kennedy
677506	255839	Lady Ellingham
677506	257913	
677506	274982	Girl's companion
677506	280948	Lady Greystoke
677506	285007	Beatrice Selignac
677506	291844	Mrs. Loring
677506	304310	Lady Charlotte
677506	306730	Lucille Manton
677506	325135	Alice Clayton, Lady Greystoke
677506	330522	Cynthia Bawlf
677506	339641	Mrs. Holbrook
677506	348531	
677506	362742	Norma Ashley
677506	363935	Mrs. Delancey
677507	24702	Young Woman
677507	270040	Friend 4
677508	99623	Herself
677509	51051	Jennifer
677509	350235	Hooker
677510	397122	Mother of Daria
677511	367061	Stage Girl #2
677512	100906	Mercenary
677513	11231	Tory
677514	272859	Diane
677515	236965	Clara
677517	165618	Liz
677517	174698	Catherine Winters/Katrina Sep
677518	34117	Hill's Little Angel
677518	61791	Alice Beverly
677518	99921	Young Emily
677518	366992	Stella Arnold
677518	381661	Hill's Little Angel (1988-198
677518	396965	Georgina Jones
677519	40509	Denise Sheperd
677519	80723	Classroom witness
677520	297415	Helen Osteen
677520	407017	Yolanda 'Yolli' Pratchett
677521	399837	Cora Alexander
677522	6415	Maid
677522	68914	Lucile II
677522	125744	Laurent's girlfriend
677522	232510	Gwyneth
677522	278024	Marie-Antoinette
677522	353824	Brigitte
677522	384565	Yumi, Milly
677523	109536	Millie
677523	142153	Lavinia Penniman
677523	147446	Bertha Dillion
677523	191990	Marie Kleinholz
677523	227290	Mimi
677523	292540	Betty, the maid
677523	334351	Molly Hayden
677523	363960	Glenda Farley
677523	399837	Cora Alexander
677524	387354	Betty MacDonald
677525	177582	Lady-in-Waiting
677526	1047	Beautiful Woman
677526	2888	Herself (Nominee)
677526	3858	Herself
677526	3942	Olga
677526	14554	Charlene Hunt
677526	17490	Anna
677526	18001	Sylvie Tucker
677526	18032	Roxie
677526	23940	Raissa
677526	34912	Wade
677526	36723	Barney's Woman
677526	38904	Honey
677526	39345	
677526	40329	
677526	41666	Sarah Lambert
677526	45334	Raissa (segment "Audit")
677526	45602	
677526	45935	Patient/President's Wife
677526	46156	Linda
677526	48075	Anita Mann
677526	49201	Selma Bulkin
677526	49389	Willie
677526	64091	Fleet Chick
677526	64573	Herself
677526	65374	Herself
677526	66925	Maureen
677526	68144	Joann
677526	72419	Bit Part
677526	72724	Ella Mae
677526	81269	Mary
677526	91651	Anita Cortez
677526	91720	Hooker
677526	91767	Detective Phyllis Camden
677526	91892	Monica Martel
677526	94692	Eleonora ("The Black Cat")
677526	97644	Jeanette
677526	97645	Herself
677526	105617	Louise Doucette
677526	106500	Rachel
677526	106536	Lori
677526	107295	
677526	109649	Diane Paine
677526	116045	Janet
677526	117636	Angelica
677526	122229	Merry Lee
677526	126110	Vivian Stark
677526	130341	Ann
677526	134342	Jody
677526	135968	Bennett
677526	135996	Danielle Roberts
677526	140162	Janet Smurl
677526	141568	Mrs. Canfield
677526	144405	Dancer
677526	144956	Melanie Rose
677526	146756	Emma
677526	148562	Gwen
677526	156374	Don Tony's Girlfriend
677526	158920	Store Cashier
677526	162898	Marilyn Monroe
677526	163499	Herself
677526	167324	Rose Cheramie
677526	170538	Lou
677526	184867	
677526	191832	Mother Ghost
677526	192840	Herself
677526	195818	Sally
677526	204139	Emilia
677526	210771	Herself
677526	218555	Katherine St. Croix
677526	220083	Nana
677526	229536	Katherine
677526	229826	Shelly
677526	232128	Rose Handy
677526	238613	Herself
677526	243950	Herself
677526	244847	Herself
677526	245119	Elizabeth Malby
677526	246685	Marion Easton
677526	248108	Jenny
677526	248660	Dr.Kurtzwell
677526	256468	Two Street Betty
677526	257689	Herself
677526	263758	Helen Poulas
677526	264581	Helga
677526	277039	Rock Star
677526	281890	Helen
677526	290263	Herself
677526	299288	Herself
677526	313323	Photographer
677526	313756	Detective Brook Murphy
677526	314778	Herself
677526	314935	Crystal
677526	315256	Della Bianco
677526	316997	Joan
677526	324020	Hooker
677526	329323	Doreen
677526	337335	
677526	342576	
677526	360270	Pony Dunbar
677526	361811	Sydelle Pulaski
677526	363869	Harriet
677526	365119	Roberta Devereaux
677526	365883	Kate Stewart
677526	366655	Penelope Wilson
677526	367651	Sandee
677526	372663	Woman at Clinic
677526	383429	Aggie
677526	385824	Tracy Simpson (1999)
677526	389858	Brenda (1982)
677526	391108	Herself (1991-1993)
677526	401427	Blossom (segment "Songs of So
677526	409798	Helen Lawson
677527	314671	Nurse
677528	263352	Andrea
677529	241339	Mrs. Walker
677530	56729	Girl at Party
677530	231536	Herself
677530	379741	Regular Performer (2003-)
677531	391883	Nurse Kirkman
677532	381685	Clarissa Thomas
677532	382537	Nurse Fido
677532	384346	PC/DC Mary Sutcliffe
677532	393037	Delphine
677533	226882	
677534	101778	Student
677534	224336	Kimberly
677534	315335	Detective
677535	102929	
677535	315035	
677536	149974	Receptionist
677536	352517	Restaurant Patron
677537	134097	Nurse
677538	384590	Herself
677539	281052	
677540	92486	Nurse Neetkeester
677540	209626	Past Lives Woman
677541	9007	Mrs. Miller
677541	80794	Cindy
677541	86959	Big Judy
677541	115925	Bernice
677541	149455	Tina the cleaner
677541	195541	
677541	204947	Churchwoman
677541	223773	Aileen Hewitt
677541	267146	Beth
677541	302236	Fairy Godmother
677541	312192	Betty
677541	314688	Nurse #1
677541	335863	Abby the Witch
677541	392244	Intel Pundit #1
677543	34722	Herself
677543	38103	Maureen O'Hara
677543	100756	Aunt Helen
677543	106757	Betty Armstead
677543	126700	Sarah
677543	137784	
677543	232349	Madge Hopkirk
677543	256578	Ruth
677543	361260	Ginger
677543	381793	Betty
677543	391869	Jean Chambers (1991)/Guv'nor 
677543	393685	
677543	402197	Joan 'The Freak' Ferguson (19
677543	403355	Ivy Hackett
677543	406264	
677544	75788	Nurse
677544	80794	Lawyer Marks
677544	108140	Amy
677544	224117	Librarian
677544	240529	Jennifer
677544	241798	Teacher
677544	296019	Hospital Receptionist
677545	362486	Nora Green
677545	363941	Sharon
677546	383023	Regular
677547	209222	Debbie's Mother
677548	193992	Mae
677548	218179	
677549	264441	Group Home Counselor
677550	26380	Sabrina
677550	66151	Haley
677550	103642	Exotic dancer
677550	152777	Tanya Rhodes
677550	195601	Sharon
677550	276376	Donna
677550	281890	Emily
677550	296020	
677550	357133	Kris Foster
677551	134680	
677552	206795	Cynthia Rawls
677552	271198	Mother Breatfeeding
677552	277638	Ralph's secretary
677553	62269	Jivin' Jill
677553	228314	Schoolgirl
677553	335852	Dancer
677553	346204	Penguin Girl
677554	299451	Pizza Girl #1
677554	310524	Sexy Chauffeur
677555	48040	Bartender 1
677556	137650	80's Hair Girl
677557	33617	Little Beatrice
677558	391479	
677559	382715	Weather Forecaster (2001-)
677560	397890	Penny
677561	108444	Buddy
677561	201060	Mrs. Sam Clark
677562	149190	Belle Delmore
677562	251281	Edith Reyburn
677562	309479	Mrs. Pendleton
677562	349638	Princess Athalia
677562	366116	Mrs. Harris
677563	300	Music Hall Performer
677563	7911	Vesta Tilley
677563	28937	Pat
677563	67854	Ann Johnson
677563	115484	Sue Brown
677563	208980	Peggy
677563	233659	Susan Malby Duncan
677563	241033	Irene James
677563	289011	Pat
677563	313796	Sally Bishop
677563	334298	Herself
677563	390758	Herself/panelist
677564	342822	Second Brass
677565	185316	Miss Hatfield
677566	57958	Zoe
677567	203376	
677568	230819	Girlfriend Pirate
677569	383846	Penny Sanchez
677570	70528	Swanilda/Coppelia
677571	8444	
677571	167938	
677571	240384	
677572	29650	Jeanine
677573	30094	
677574	235291	
677575	259075	
677576	288930	Tantsi
677577	375177	
677578	216373	
677579	230098	Baka/grandma
677580	255498	
677581	23550	Klava
677582	254364	Novizin
677583	145339	Fairy
677584	240192	
677585	126494	
677585	399893	
677586	137419	
677587	45439	Gina at 3 years old
677588	45439	Gina at 3 years old
677589	222495	Screaming Woman
677590	58164	Valerie Caldwell
677590	96836	Julia Horrobin
677590	117672	Maureen
677590	160713	Collecting Girl
677590	195703	Musican at Platon's Guest mea
677590	231140	Shaina
677590	285033	Maggie
677590	384658	Rachel
677590	398020	
677590	400807	WDC Tilly Spink
677591	69382	Jill
677592	81604	Flak girl
677593	15214	Maggie Dunlop
677593	140843	Olga, Olaf's Bride
677593	164547	Speaker
677593	193296	Dean Scott
677593	289683	Mrs. Evans
677593	350474	Sylvia Rutledge
677594	61647	Carnival Kid
677594	93255	Tweety Robbins
677594	246521	Neighborhood kid
677595	41197	Debbie Hitchcock
677596	390771	Hope Bauer Spaulding #1 (1962
677597	61647	Carnival Kid
677597	246521	Neighborhood kid
677598	356737	
677599	110298	
677600	43321	Camilla
677600	94496	Angelika
677600	400112	Rose
677602	30952	Nora Fries
677602	75239	
677602	210362	Herself/Host
677602	216804	Herself
677602	230395	Herself
677602	248878	Bridal Gown Model
677602	281255	Herself
677602	311780	Herself
677602	311784	Herself
677602	387197	Herself
677603	65183	Rachel's Cabbie
677603	85006	Waitress
677603	144593	Welfare Worker #2
677603	193960	Operator
677603	318390	Marie Perno
677603	355519	Connie Wexler
677604	5488	Melora
677604	17556	Kitty
677604	51835	Page
677604	58020	Dominique
677604	72319	Candice
677604	73927	Sarah
677604	78969	Dominique Denright
677604	105861	Rebecca
677604	105906	Christina
677604	168766	Amy
677604	195267	Benita
677604	199148	Laurie
677604	222665	Adult Rosetta Young
677604	230531	Alicia Campbell
677604	235403	Catherine Wyler
677604	236077	Angela Wilson
677604	245135	Deborah Berkowitz
677604	249600	Natasha
677604	288751	Sarah
677604	304296	Mara
677604	386914	Sophie Metternich
677604	395016	Jenny Schecter
677604	411339	Ruby Wilder/Ruby Cates
677605	401466	Herself, the host
677606	280830	Slave Market Soloist
677607	395160	Herself - Team 2
677608	371356	
677609	67709	
677610	28480	Nora Monaghan
677611	270522	Wesley's Teacher
677612	82643	Dancer
677612	408122	Various roles
677613	160970	Air hostess
677614	124615	
677614	147398	JoJo
677614	186935	Lotte
677614	322683	
677614	356854	JoJo
677614	370030	
677614	388290	Heidi Hesselbach
677615	93325	Georgina Farren
677616	144744	
677617	133509	Louise Heggar
677617	138744	Chorus Woman
677617	221044	Herself
677618	144744	
677618	389061	Herself
677619	142527	Sandbox Girl
677620	227996	
677620	381527	Becoming Avril Lavigne
677621	68681	Srinivasan's wife
677621	91929	Maman Mâle
677621	298276	Cecilia Abachidze
677623	281927	Ruby (The Waltz)
677623	358873	Mme. Dupont-Fredaine
677624	371307	Mrs. Pickamelon
677625	46848	
677625	49863	
677625	68056	
677625	88967	Lucy Jones
677625	104864	
677625	112956	The Keystone Girl
677625	115610	
677625	128622	One of the Girls
677625	186375	Undetermined Role
677625	198793	Mabel's rival
677625	201524	Girl
677625	213077	Alicia Gainsborough
677625	241084	
677625	364274	Mag Scott
677626	294287	Sharon
677627	13882	Jack
677628	324122	
677629	108709	Fiona
677630	43358	Andrea Hayes
677630	77199	Rye Pomona
677630	78921	Jane 'Jinx' Kingsley
677630	81563	Young Martha (Sarah's Daughte
677630	83054	Terri Leonard
677630	91574	Charlie Goodman
677630	115553	Jaye Dackers/Angel Gabriel
677630	133952	Geraldine
677630	138186	
677630	138720	Kate Green
677630	190749	Celia
677630	221166	The Ferret
677630	253864	Carmel
677630	260201	Eileen
677630	290345	
677630	295763	Narrator
677630	328960	Narration
677630	340583	Viola O'Neill
677630	359284	Marie
677630	366843	Rosie Boyd
677630	378894	Claire Maxwell
677630	381187	Assumpta Fitzgerald (1996-5/4
677630	387940	Aoirghe
677630	390370	Phoebe Bamford (I) (Series 1-
677630	391254	Emma Rose
677630	404618	Narrator
677630	405016	Maeve Sullivan
677630	408277	Bernadette Kennedy
677631	97523	Jean Manson
677631	115723	Grannie Shields
677631	154312	Mrs. Campbell
677631	199127	Bridget
677631	238244	Grannie
677631	353282	Molly
677631	364167	
677632	374638	Angvisa Girl
677633	132439	Grace
677634	331764	Show Girl
677635	49945	Donna the Waitress
677635	119355	Cactus Rose/Myrna/Margaret/Ha
677635	140379	Chess
677635	187477	
677636	23614	
677637	217278	
677638	294260	
677638	294261	
677639	374734	
677639	387149	
677640	247977	Enfant
677641	47400	Femme ronde
677641	101139	Assistante sociale
677642	153859	
677643	100926	Baronesse
677643	142725	Baronesse
677644	322092	Singer
677645	152385	Nagymama
677646	387493	Jázmin
677647	17079	
677647	411311	Bola Bolingo (1999)
677648	355550	Skakacica
677649	92356	
677649	183075	
677651	405853	Katja
677652	118743	
677652	382857	Jasmine Gerges
677652	408800	Alva Lindgren (1994-1998)
677653	343459	Fatumeh
677654	242111	Francine
677655	150540	
677655	178234	Komsomolskata sekretarka
677655	247863	Prostitutkata
677655	284459	
677655	284473	
677657	190384	Ego dochera
677658	16375	
677658	60453	
677658	77103	Zhenya
677658	219723	
677658	327129	
677658	350832	
677658	402348	
677659	162747	Herself
677660	409403	
677661	328109	
677662	60881	
677662	343310	
677662	357463	
677663	84469	
677664	243968	
677665	201510	Herself
677666	279173	Sal
677667	81640	
677668	34707	Little Bitch Smith
677669	606	Ethel Miles
677669	11362	Virginia
677669	26417	Mrs. Strauss
677669	26529	Mrs. Welford
677669	81244	Laura
677669	82327	
677669	87542	
677669	93357	President's Wife
677669	107846	Mrs. Foster
677669	120216	
677669	158150	Dr. Forman
677669	175807	Carol Luker
677669	176723	Virginia Gibbons
677669	208971	Social worker
677669	212960	Mrs. Lanford
677669	217600	Beth Simpson
677669	259826	Mrs. Tuthill
677669	265747	Beverly
677669	289260	Bride's Mother
677669	293149	Mrs. Angstrom
677669	310157	Janeris
677669	330750	Gladys Presley
677669	356636	Evelyn Bourne
677669	364271	
677670	172070	Margit Kaffka
677670	304168	Nelli, Gyuri felesége
677671	393255	Regine Weidling
677671	409411	Barbara Silenius
677672	245889	Doll Artist
677673	310515	Ms. Keen
677674	35522	Strip club waitress
677675	299426	Tanja
677676	122104	
677676	137349	
677677	299052	Hatsumi
677678	9295	Nami Tsuchiya
677678	61490	
677678	61504	
677678	61510	
677678	121992	
677678	140028	
677678	142959	
677678	142961	
677678	146915	
677678	173391	
677678	173406	
677678	174883	
677678	177162	
677678	182423	
677678	300426	
677678	310604	
677678	327022	
677678	344881	
677678	358432	
677679	9569	Rika Aoike
677679	13603	Nakatsu
677679	15898	
677679	19635	
677679	94393	Asami
677679	137129	
677679	140438	
677679	149094	Taki-san
677679	150510	Suzuko
677679	156163	
677679	156240	Herself
677679	162683	Morie
677679	167946	
677679	168102	Hideko Kamio
677679	171843	
677679	172125	
677679	172241	Yuki the Snow Maiden (The Wom
677679	173488	Yuko Misugi
677679	173845	Yasuko
677679	174347	Woman (Death)
677679	175079	
677679	175490	
677679	176635	
677679	179494	
677679	180509	
677679	182051	Ichiko Ishinoshita
677679	207504	Nikki Kono
677679	238805	
677679	242191	Tomiko Takioka
677679	244560	Ritsuko
677679	244573	Gen
677679	255014	Nora
677679	269752	Yuki Sakurai
677679	273151	
677679	273152	
677679	288351	Tsuruko Makioka
677679	298818	Nun Chishu
677679	299331	Osome
677679	309104	Fukiko Fukai
677679	309366	Chiyo Kaneko
677679	323500	
677679	325208	Ito
677679	327961	Toshiko Nagahara
677679	343351	Noriko
677679	358137	Nobuko, Kosaku's daughter
677679	370335	Woman on parole
677679	370362	Eiko Tanaka
677679	370445	Omon
677679	370731	Oyuki
677679	373184	Komako
677679	379516	Mitsuko Kimoto
677679	396846	Umi Sakamoto
677679	410366	Miki
677680	359699	Ishibashi's secretary
677681	127856	
677681	373317	
677682	195472	
677683	122141	Yoshio's mother
677683	129912	Omine
677683	169696	
677683	170592	
677683	175360	House wife
677683	232515	
677683	233121	Rin
677683	234903	
677683	284031	
677683	287161	Nami
677683	299300	Masako, Azuma's wife
677683	299337	Sodeko
677683	299588	Haru, Katsumi's mother
677683	344949	Moriyama
677683	359830	
677683	371879	Hisako Yamazaki
677683	373284	Kinoshita
677684	359612	
677685	30997	
677686	167	Sally
677686	8796	Geisha
677686	9167	Taeko Kano
677686	9548	Mitsue Takazawa
677686	9560	Yoshimi Hayakawa
677686	9596	Kanze
677686	18578	Prostitute
677686	19974	Voice
677686	20024	
677686	43064	Teruko
677686	50187	Lady Hagi
677686	91086	
677686	122100	Mura
677686	122115	Chizuko Mochizuki
677686	122165	Sakie
677686	122954	School Master
677686	136090	Sumiko Tsuboi
677686	137321	Inoko's wife
677686	139724	Fusako Ishimoto
677686	146346	Benten
677686	155130	Voice
677686	161684	Narrator
677686	161687	Teacher of koto (Japanese har
677686	167482	Geisha Miyako
677686	167537	Shima Ikegata
677686	167580	Mother
677686	169267	Akie
677686	176607	
677686	180043	Ms Okiyama
677686	180058	Mayumi
677686	182039	Cleaning Lady
677686	182051	Sayoko Goto
677686	188385	Miyabi Gôtokuji
677686	204375	Sonoko Kakiuchi
677686	208729	
677686	227187	Reiko Matsudaira
677686	232699	Taeko Asano
677686	232918	Ryuko
677686	232920	
677686	233128	Naoko Anekoji
677686	235372	
677686	239199	Katsuko Tojyo/Haru Yamafuji
677686	242232	Yoshiko Hoshino
677686	244494	Utako Takamura
677686	244573	Mrs. Tanuma
677686	244682	Yoko Saijyo
677686	278385	His wife
677686	278883	Voice
677686	280605	Marchioness Takako
677686	287553	'Kaoru' no Madame
677686	291411	Herself
677686	291412	Herself
677686	293594	
677686	293627	Michiko Hokujo
677686	294164	Gennonai-Shinosuke
677686	294265	Kosanshi
677686	294267	
677686	294396	
677686	299109	Inone
677686	299136	Komano
677686	318401	Omon
677686	318550	Otome
677686	318945	Woman
677686	322735	Mama, the girl's mother
677686	323523	Kougo
677686	324536	Nurse
677686	324641	Kimie Hasenuma
677686	327768	Maid-In-Waiting
677686	327961	Natsu Minakami
677686	328333	Computer "Grand Mother"
677686	334960	Ranko
677686	341313	
677686	344957	Ohba, Head Nurse
677686	348981	Ochika
677686	359844	Chiyo's Friend
677686	370336	Mom
677686	370748	Kotake and Koume Tajimi (play
677686	372017	Narrator
677686	378131	
677686	394802	Narrator
677686	408432	Matsushima
677687	233136	
677688	384144	White Swan/Kaori Rokumekan
677689	9590	Maho/Kataho
677689	89692	
677689	138077	Miyuki, Nishi's wife
677689	145453	Naoko Sugita
677689	176669	Kikujiro's Wife
677689	208729	
677689	244537	
677689	298992	Takako Ishibashi
677690	348559	
677691	396493	Girl
677691	396494	Yoyoko Manabe
677692	177760	Gal A
677693	229155	
677694	95068	Zhanna Gregorovna Savina
677695	162684	
677695	180551	
677695	239327	Tomoko Sakurai
677695	371842	Daughter at Flower Shop
677696	39052	Erzsi
677696	43114	Vera
677696	74414	
677696	91588	
677696	102541	Karolina
677696	104195	Vargáné
677696	211217	Dora Martin, primadonna
677696	220826	
677696	268232	
677696	284183	
677696	297027	
677696	309289	Uncle Vili's wife
677696	322105	Dizõz
677696	378263	Max Devil/Micy
677696	412294	
677697	63629	Lulu
677697	341189	Officer's Girlfriend
677698	133350	
677698	169822	
677698	179851	Eleonora barunica Turina
677698	191579	
677698	247144	
677698	265726	
677698	294915	Luigijeva Bepina
677698	343819	
677698	399005	Bepina
677699	118497	
677700	214246	Lucyna
677700	246948	
677701	13322	
677701	82200	Woman
677701	406145	Thalia
677702	265546	
677703	97547	Princess
677703	165077	Chic
677703	174028	Lusia
677703	334394	Lonely Girl
677704	331616	
677705	407324	Various roles (1996)
677706	224942	Student President
677706	354563	Elisabeth
677707	316796	Bartender
677708	321678	Phrenology Head
677709	84414	
677710	121962	
677710	403784	Alicia Núñez
677711	51448	
677711	101465	
677711	226971	Pepa
677711	234367	
677711	324468	
677711	362169	Italian Girl
677712	3534	
677713	394752	
677714	312939	Trotsky's Wife
677715	173710	
677716	7055	
677716	47141	
677716	50582	
677716	85151	
677716	115278	Hildegard
677716	116211	
677716	188069	
677716	234842	
677716	253441	
677716	332739	
677716	354801	
677716	369475	
677717	180187	
677717	349036	
677720	322182	
677720	334015	Faluparancsnok
677720	377723	
677722	39055	Shop girl
677722	378279	
677723	211217	
677724	241444	
677724	330375	
677725	326904	
677726	128851	
677726	228030	
677726	330056	
677727	80056	Nanette
677727	291222	Coroner at Cici's House
677727	306625	Betsy Faye Sharon's Reception
677728	12533	Isabel
677728	36554	Meire (Mãe)
677728	69243	Beatriz Vilhena
677728	98801	Tereza
677728	132944	Mercedes, the Federal Agent
677728	149522	Clarisse
677728	210692	
677728	251330	
677728	378103	
677728	379450	Luisa
677728	381328	Ana Paranhos de Alencar
677728	382724	Silvana
677728	387838	Adelaide Berger
677728	388591	Ilka Maria Tibiriçá
677728	395822	Verona
677728	400662	
677728	401087	Eunice Freitas
677728	401900	Isabel Lafayette
677728	401944	Adma Guerrero
677728	402626	Beatriz Maldonado
677728	403733	Lulu
677728	404077	Cecília Coelho
677728	409419	Guiomar Penteado
677728	409780	Leila
677729	170394	Wicked Girl
677729	170396	Wicked Girl
677729	227534	
677730	355566	
677731	6501	
677732	20075	Une standardiste
677732	28423	Suzanne
677732	77344	
677732	156508	
677732	210822	Maggie
677732	249090	
677732	302178	
677732	333719	Madame Flechais
677732	340170	Ketty
677733	138008	
677733	153859	Rosette
677735	28538	
677735	175466	Péterke
677735	258345	
677735	378310	Gyuricza kislánya
677735	409728	Méri
677736	345225	Anna
677737	99525	Piroska,leányanya
677737	327209	Pongráczné
677738	5736	Madam
677738	30702	Medieval Villager
677738	350216	Woman Who Gets Hit
677739	264638	
677739	264904	DVD only
677740	200619	
677740	322025	Vidéki zenész
677741	214385	
677743	75040	
677744	228558	
677745	2165	
677745	264742	
677747	838	
677748	403	Lina néni
677748	2379	Margó
677748	19764	Az öregasszony
677748	32863	Boris,szolgáló
677748	35057	Buchbinder Rózsi,árúházi elad
677748	42927	
677748	44219	Parkett táncos
677748	50463	Gizi néni
677748	51093	Vojtináné
677748	51930	
677748	74397	Teri néni
677748	74421	Panni, Vera barátnõje
677748	74441	Aurélia
677748	90126	
677748	97965	
677748	97979	Pallósné
677748	97982	Papp Irma
677748	97990	Janka
677748	106684	
677748	106687	Ilonka
677748	107966	Soscha Szaczkes
677748	110704	Köstler Matild
677748	110706	Lóidomár
677748	114763	Gizi néni
677748	122538	Portásnõ
677748	126269	Klotild
677748	136441	Csákváryné
677748	137147	Balogh nagymama
677748	138468	Nyúl Béláné
677748	139997	Irén anyja
677748	140049	Banyikné
677748	140672	
677748	144243	Francis,Galuska menyasszonya
677748	153678	Öregasszony
677748	153695	Császárné
677748	153914	Mimi
677748	155956	Mûvésznõ
677748	156091	
677748	162975	Sáfrányné, portásnõ
677748	163179	
677748	174750	Csiba Kati
677748	177970	Zámbóné
677748	182653	
677748	182668	Kerekesné
677748	182805	Patakiné
677748	182873	Nyanya
677748	182879	Pircsi
677748	189084	Biri
677748	198412	Paméla, francia nevelõnõ
677748	200010	Veronika,Margit barátnõje
677748	209840	Az énekesnõ barátnõje
677748	212825	Mici néni
677748	223595	
677748	225073	Tóth, Mihályné
677748	225695	
677748	227521	Theodóra
677748	229710	
677748	235374	Kati
677748	250888	Tanárnõ
677748	252556	
677748	253783	Szubrett
677748	268284	Munkásasszony
677748	268425	
677748	268429	Zöld Mici,táncosnõ
677748	272164	
677748	307145	
677748	322076	
677748	322093	Molnártitkárnõje
677748	322125	
677748	322557	Jolán,a postamesterné lánya
677748	324655	Jolán, Gegucz felesége
677748	324708	Táncosnõ
677748	326980	
677748	333113	Dani felesége
677748	343703	Bolti vevõ
677748	343747	
677748	343775	Hatone
677748	350675	Bárhölgy
677748	350830	Veronika
677748	353808	öreg néni
677748	354256	Giliczene
677748	354257	Panni
677748	354328	Füzessy Lili
677748	377203	
677748	377722	Krakauer
677748	377753	Házmesterné
677748	378265	Jopsefine
677748	378577	Klári anyja
677748	409291	Auntie Náncsi
677749	19392	Szarka's mom
677749	25723	
677749	50840	Fodorné
677749	51104	Kati
677749	79346	Elena
677749	96430	Cecília
677749	102541	Rózsi
677749	162509	
677749	163128	Mrs. Csanaki
677749	171719	Vali
677749	176618	Klárika, pénztárosnõ
677749	181644	
677749	182696	Girl
677749	226702	Mari
677749	227607	
677749	229711	Teri
677749	282124	Kató, Soromfainé
677749	322052	Mother
677749	343751	
677749	349042	
677749	351553	Mária
677749	357817	
677749	377129	Anya
677749	399160	Lorenza
677749	412259	
677750	15148	
677751	67957	Herself
677752	128635	
677752	157317	
677752	157318	
677753	137259	Slob Redneck Woman
677754	222324	
677755	252706	
677756	386913	
677756	387493	Kinga
677757	381344	Zsófi Szentmihályi (2002-)
677759	394991	Csibe
677760	378051	Dózsa anyja
677761	61955	Vanessa
677762	41594	
677763	311805	
677764	185621	Kerlov
677765	377613	Janet Hill
677766	50212	Pamela
677767	377889	A gyerek Lili
677768	350353	Barmaid
677769	94539	Dancing Slut
677770	134611	Arlene
677770	184099	Nurse Marjorie
677770	323800	Raina
677771	105812	Orderly
677771	289372	Waitress #2
677772	76496	Lizabeth
677773	263417	
677774	77645	
677774	274655	
677776	148952	Ticket Agent/Kauai
677777	329986	Paige One
677777	346830	Dr. Mallory Page
677778	399018	Contestant
677779	113228	Mme Garcin
677780	244421	Country Club Member Stephanie
677781	283351	Driver
677782	102475	Background Vocal
677782	266608	Musician
677782	279618	Band member (backing vocals)
677782	279623	Backing vocals
677782	280450	Herself (vocals))
677782	350333	Vocals
677783	97037	Nelly
677784	305004	Dat
677785	236968	The Sugarplum Fairy
677786	262090	Alpha 6
677786	321227	Woman Deputy
677786	341842	Alpha 5
677786	353298	Prison Warden
677786	397693	Alpha 5 (1995-1996)
677786	402001	Alpha 6
677786	402003	Alpha 6
677786	402007	Alpha-5/Alpha-6
677787	369168	Gina
677788	107717	
677789	99320	Ella
677789	122454	Kristóf Márika
677789	171629	
677789	268428	
677789	293990	
677789	349190	Gizike
677789	378304	Louise,szobalány
677790	232132	
677791	369646	Mrs. Lam, Ping's mother
677791	402365	
677792	167	Yuriko
677792	4004	
677792	9548	Emiko Ohara
677792	17428	Mari, the prostitute
677792	22123	
677792	25871	
677792	76882	
677792	78208	
677792	97141	
677792	98208	
677792	102435	
677792	123551	
677792	127861	
677792	130512	
677792	137350	
677792	156158	
677792	172394	Sneezing Model
677792	179542	
677792	181980	
677792	181981	
677792	181991	
677792	182000	
677792	182167	Michiko Akiyama
677792	232536	
677792	233116	
677792	234920	
677792	242119	Chieko
677792	242200	
677792	243313	
677792	244511	Harumi
677792	294547	
677792	298951	
677792	298990	
677792	370234	
677792	375609	
677793	29619	Dancer
677793	191884	Chlorine
677793	215117	
677793	275762	Social Services Receptionist
677793	305777	Angie Li
677793	358723	Secretary
677793	365430	Lotus Ita
677793	385625	Sketch comedian (sketches)
677793	397040	Barbara
677794	236942	Chigusa Yamamura
677794	389546	Nello
677794	390963	Narrator/Togenishia
677794	394031	Various characters
677795	233431	
677796	1757	
677796	9562	Taeko
677796	28106	
677796	28138	
677796	130519	
677796	182491	
677796	202826	
677796	232529	
677796	300129	
677796	324865	
677796	358125	Motoko
677797	8612	
677797	8800	
677797	8801	
677797	9297	Kinu Takahashi
677797	9563	
677797	12948	Tea house's old woman
677797	14399	Oume
677797	15303	Suga Akabane
677797	37624	Mrs. Inokuma
677797	38752	Old woman
677797	38753	Old Woman
677797	38926	Doctor
677797	43051	
677797	49609	
677797	61051	Matsuko Fukuji
677797	61464	Kiku
677797	76988	Mrs. Toshiko Yanagawa
677797	78665	
677797	91188	Shigeki's mother
677797	97185	
677797	98582	Masayo Mikami
677797	101486	Aki, (Goichi's mother)
677797	122044	Akira's mother
677797	125382	Otoyo
677797	126618	Yuka's mother
677797	127745	Nobuyo
677797	129122	Harue Shirakawa
677797	137372	Tane
677797	145303	
677797	167478	
677797	168847	Kimie
677797	169694	
677797	172111	
677797	172116	Hana
677797	172532	
677797	173507	
677797	173994	First Lady
677797	176665	Their grandmother
677797	179518	Hioki's mother
677797	180036	
677797	182482	
677797	185354	
677797	200762	Satoe Miyazaki
677797	208683	Sukeno
677797	211894	Tami
677797	214720	
677797	231341	
677797	232568	
677797	232689	
677797	232919	
677797	232921	Old woman at Hachio
677797	233104	Gisuke's mother
677797	233121	Madam
677797	239321	
677797	239462	
677797	242140	
677797	242172	Tora, Yuki's mother
677797	273151	
677797	273152	
677797	278385	His mother
677797	293593	
677797	294051	Toyo
677797	297069	Sumi
677797	299309	
677797	300423	Yasu Hiruta
677797	300471	Oshima
677797	328123	
677797	335380	Kanta no obâsan
677797	344909	Uma
677797	358127	
677797	370354	
677797	370413	Hana Tsutsumi
677797	370699	Kiyo Matsushita
677797	371790	Midwife
677797	371879	Setsu
677797	373284	Tetsu Koyanagi
677797	375580	Yaeko Ueda
677797	378139	
677798	26633	Debbie Thompson
677798	52311	Karen Malone
677798	70653	Alley Daniels
677798	80619	Nola
677798	129595	
677798	136360	Gwendoline
677798	138837	Misty Roberts
677798	138840	
677798	143532	Deianeira
677798	143537	Deianeira
677798	143538	Deianeira
677798	160636	Virginia
677798	202361	
677798	257577	Sara Burgess
677798	311785	Herself
677798	331541	Woman in Bar
677798	335053	
677798	363869	Vanessa
677798	366738	Linda Brewster
677798	378691	Herself
677798	379969	Herself (Hostess) (1992-1994)
677798	383385	Meredith Ross (1986-1987)
677798	387340	Annabelle (I) (1992-1996)
677798	399282	Mona Loveland (1991-1993)
677798	404282	Lisa Di Napoli (1989)
677799	137206	Dancer
677799	302361	
677800	400050	Mme Noguchi
677801	179822	Dancer
677802	15901	
677802	62402	
677802	335262	
677803	334858	Miki
677804	201465	Herself
677804	382113	Rei Hino/Sailor Mars
677805	8887	Woman in Hall
677805	17421	Call Girl Kyoko
677805	37622	Hanae
677805	58563	
677805	63542	Okyo, the bathing guard
677805	125198	Hanayu
677805	125199	Hanayu
677805	138051	
677805	138919	
677805	139405	
677805	144215	
677805	144497	
677805	145278	
677805	149539	
677805	149674	
677805	167953	
677805	178311	
677805	181990	
677805	181991	
677805	216357	Tamie Matsuo
677805	229784	
677805	229785	
677805	229786	Hagino
677805	239336	
677805	240256	Onobu
677805	288190	
677805	298951	
677805	298963	
677805	298990	
677805	327957	
677805	328007	
677805	341279	
677805	358420	
677805	358421	
677805	359840	
677805	370407	
677805	371986	
677805	375568	
677805	375583	Kogure
677805	375613	
677806	9274	
677806	198952	Oyuki
677806	232574	Akie
677806	248128	Ambassador's Secretary
677806	299559	Kiku
677806	370301	
677806	405185	Kiku
677807	37621	Yoshimi
677808	28113	
677808	53200	Atsuko
677808	145444	Chie
677808	159841	
677808	174358	Takako
677808	374603	
677808	409692	TPC Professor Reiko Kashimura
677809	381163	Old Woman
677810	271639	
677811	56629	
677811	192015	Witch
677811	201287	Baron Ashura (female side)
677811	201288	Baron Ashura (Female)
677811	201290	Baron Ashler
677811	394029	Various characters
677811	394332	Narrator
677811	396532	Baron Ashura (Female)
677811	409318	Rafureshia
677811	409327	Beemera Queen
677812	176206	Woman of Jam bread
677813	359830	
677813	379515	Marila
677814	404008	Hotaru Sakamori/Zone Angel
677815	216649	
677816	8760	
677816	9284	
677816	19702	Miyako Fukushima
677816	144433	Takako Kuramoto
677816	167478	Tamiko, Nobuko's daughter-in-
677816	167949	
677816	167973	
677816	174242	Miss Hosoi
677816	182126	
677816	182385	
677816	284076	Chiho Teraoka
677816	284873	
677816	293557	
677816	293593	
677816	299814	
677816	341271	
677816	370354	
677817	121440	Nurse
677817	223301	Daughter
677818	32451	
677818	172334	Juri Yokoshima
677818	293486	Kikuko Noshina
677819	181897	
677819	390058	
677820	172114	
677821	9557	Michi Kataoka
677821	122532	
677821	122533	
677821	137009	
677821	173124	Emiko Kobari
677821	232517	Mari
677822	43066	Tome
677822	131291	Chihiro
677822	227323	
677822	240377	Somemaru
677822	341306	
677822	370748	Noriko Satomura
677823	172260	
677823	242237	
677824	374182	Yuki
677825	156113	
677826	243325	
677827	180438	
677828	347074	Night Wind
677829	174994	
677829	175262	Kazuyo
677829	175362	Katsuko Sekine
677829	217614	
677829	298871	Mayo Yuzuki
677829	334862	Sadako Horikawa
677830	395167	Tatiana Wisla
677831	231168	Neji no Hitobito
677832	101563	
677832	101564	Girl in the Oasis
677833	251929	
677834	829	Jyunko
677835	29879	Herself
677835	128747	
677835	144907	Maya
677835	315047	
677836	129868	Bus Guide
677837	341279	
677838	29479	
677839	9333	
677839	18682	Reiko
677839	176591	
677839	298749	Farmer's Wife
677839	300462	
677839	334904	
677839	358393	
677840	3526	Pauzata
677840	152173	Dayana
677840	183913	Nyamata
677840	303110	Petranka
677841	6437	
677841	205422	Uchitelka
677841	230468	Margita
677841	315983	
677842	255872	10th Century Woman
677843	334893	Akimi
677844	361665	
677844	363353	Kimolo
677845	78664	Kyoko
677846	385935	
677847	263892	
677848	238445	Saito Kinen Festival Dancers
677849	138077	Nurse B
677850	129769	
677851	191	
677851	44356	Yae
677851	76973	
677851	172258	Hisa
677851	233132	Miss Nakano
677851	334844	Sode Samon
677852	410708	Judge
677853	136819	Mrs. Cripps/Little Buttercup
677853	256618	Ruth
677853	392712	Hostess
677854	16866	Country Singer
677855	218775	
677856	381582	Sharon
677857	16866	Mother
677858	69413	Rice-a-Roni exec
677858	154742	Leslie Lyons
677859	3100	Willing Girl
677860	16866	Country Singer
677860	223343	Midget Kathy
677861	1705	Hester
677862	116314	Papagena
677862	138565	Gretel
677862	196232	Spring
677863	232121	Ronnie Vae Jones
677863	294140	Scared Little Girl
677864	78902	Helen/Cassandra
677864	267428	
677864	272026	Model #2
677864	379925	Herself
677865	308122	Stylish reunion couple
677866	95331	Dorothy
677866	262536	Mother
677866	366958	Anita's Mother
677867	265678	Young Kelly
677868	300344	Amber
677869	200470	NSW Representative
677870	116016	Atawhai
677871	271339	Florence Arizona
677872	334385	Girl on stage
677873	325144	Queen La of Opar
677873	370460	Lyulyuche 2
677874	54950	
677874	205369	Dona Cinta, Ulysses' Wife
677875	180824	
677876	294028	Additional Voices
677876	400608	Ana
677876	409065	Meishie Kun
677877	398969	Nanako
677878	224344	Mrs. Kissel
677878	232473	Grace
677878	361216	Nun #1
677879	137869	Melissa
677879	386403	
677880	49998	
677880	67874	Mrs. Daingerfield
677880	108271	Mrs. Dinsmore
677880	109867	Mary
677880	114007	Constance Paliser
677880	115262	Mrs. Wallace
677880	230790	
677880	244448	Mrs. Roger Montayne
677880	367470	
677881	147999	
677881	173062	
677881	248388	
677881	329174	
677882	167997	Kishizos wife
677882	299559	Gyoko
677882	405185	Kyoko
677883	6892	Herself
677883	11115	Narrator
677883	11182	Herself
677883	17567	Anna Lucasta
677883	44005	Lady Eloise
677883	56113	Herself
677883	60810	
677883	84000	
677883	100095	Yzma
677883	100096	Yzma
677883	102500	Freya
677883	102581	Old Lady Hackmore
677883	109662	First Trial Judge
677883	120098	Madame Rena
677883	139582	Agatha K. Plummer
677883	147500	Madame Zeroni
677883	154822	Herself
677883	156436	The Wood
677883	160476	Herself
677883	160638	
677883	163523	Herself
677883	165280	Herself
677883	189955	Lady
677883	192708	
677883	201537	Herself
677883	206104	Renee
677883	230620	Herself
677883	232140	
677883	240818	
677883	241979	Singer
677883	256188	Voice of Betty, the Meteor
677883	285733	
677883	287705	Emerald
677883	294837	
677883	312585	Gogo Germaine
677883	313100	Herself
677883	320936	Herself
677883	321883	Betty Coleman
677883	334206	Paula
677883	348106	Herself
677883	348370	Scherazade
677883	352964	Herself
677883	353439	Herself - Performer
677883	388545	Lola Dede
677883	402964	Herself
677883	411142	Additional Voices
677884	141579	Elements
677885	24082	
677886	97437	Veverl
677886	290173	Kitty
677886	361443	Monika
677886	376336	
677887	137745	
677888	786	
677888	796	
677888	1904	
677888	7740	
677888	8968	
677888	27013	Herself
677888	39966	
677888	44139	Herself
677888	54430	
677888	57665	Herself - Contributor
677888	62456	
677888	75028	
677888	95752	
677888	97117	
677888	123839	
677888	127616	
677888	201322	
677888	206155	
677888	236307	
677888	346990	Harriet Wold
677888	350422	
677889	103085	Nachtschwester
677890	404554	Investigator
677891	194009	Woman at Door
677892	341591	Tyttö
677893	213352	Morgan
677894	60109	Caroline Russo
677895	49485	Waitress
677896	41197	Chambermaid #2
677897	306216	
677897	389858	Hillary Bates (1988)
677898	44975	Blonde Woman
677899	1250	
677899	39287	
677899	43313	
677899	47250	
677899	72800	
677899	75031	
677899	75059	
677899	109704	Stephanie
677899	119916	
677899	140010	
677899	188053	
677899	188069	
677899	236494	Joyce
677899	303291	
677899	320941	
677899	388878	Claire Jansen
677899	394573	Various (1992-1993)
677899	395417	Nurse Pam Sandwich (1990-1992
677899	409028	Veronica Glenhuntly/Candida
677900	286949	
677902	113186	Liz
677903	41586	Herself
677904	201967	
677906	190288	The Caller
677906	343227	Ann Royal
677907	205393	Nan
677908	66939	Make Out Couple
677909	33452	Jana
677909	226342	
677909	281660	Alexa
677910	363416	Herself
677911	363416	Herself
677912	390058	
677913	74195	Japanese Woman
677913	358561	Mrs. Kurawa
677914	268807	Miki
677915	76868	Nurse
677915	131194	
677915	146900	
677915	173257	Riyoko
677915	177116	Sayuri Amemiya
677915	198811	Michiko
677915	208729	
677915	271628	Ryka's mother
677915	293662	Shoutaro no haha
677915	298694	Kuniko
677915	299154	
677915	309186	Momoko
677915	341282	
677915	374633	Miyoko
677916	391367	Azumi Yamada (Pt.2), Shizuka 
677917	177754	Tamaki Maekawa
677917	316626	Shun
677917	327811	
677917	385980	Daisuke Motomiya
677917	394521	Tamaki Maekawa/Mrs. Essen/Sab
677917	400053	Toyokazu Sugiyama
677917	404227	Oryu
677918	116367	
677919	63774	
677920	40448	Extra
677921	51329	
677921	81988	
677921	107749	Manuela
677921	137855	Abelke
677921	138572	Christine
677921	204446	Jasmin
677921	204450	
677921	207884	Dele
677921	229161	
677921	258393	Uschi
677921	275042	
677921	361416	Lisse Kappelhoff
677921	400044	Inga
677922	47012	
677922	65606	Pamela
677922	77640	Club Singer
677922	153053	
677922	160494	Ringa Bergholm
677922	168321	Vuokko Jousimäki
677922	182980	Dancer#1
677922	211863	Toimittaja Leena Mela
677922	247007	
677922	254208	Emmi
677922	260815	Herself
677922	282466	Inari Vanhanen
677922	296020	Fran, Woman Prisoner
677922	394538	Rita Juntunen
677922	396030	Aino
677922	403996	Meri Brant
677922	407885	
677923	406689	
677924	125420	Additional Voices
677924	172513	
677924	178375	
677925	392348	Mira Tandefelt
677926	3025	
677926	6660	
677926	28702	
677926	28703	
677926	155613	
677926	172458	Mother
677926	179659	
677926	225847	
677926	226856	
677926	229036	
677926	246347	
677926	283755	Fisherwoman
677926	286753	Annikki
677926	309351	
677926	318151	
677926	322976	
677926	334419	
677926	341609	Lulu
677926	343820	
677926	349951	
677926	354287	Ursula
677926	357754	
677926	411980	Frau Shorhbah
677927	104638	Herself
677928	18900	Snowwhite
677928	21384	Anna-Kaarina
677929	301889	Sari Salo
677929	409851	Viivi Römmi
677930	394792	Mirja Mäkimaa (1995-2002, 200
677931	194073	Ginny
677932	403393	Myyjä vaatekaupassa
677933	5711	
677933	6698	
677933	15883	
677933	17710	
677933	17728	
677933	38460	
677933	51324	
677933	88280	Serife
677933	97099	
677933	125345	
677933	136765	
677933	177907	
677933	178001	
677933	178387	
677933	182907	
677933	187650	
677933	210526	
677933	221514	
677933	294539	
677933	294884	
677933	325351	
677933	326990	
677933	341875	
677933	343768	
677933	351049	
677933	370224	
677933	371348	
677933	378229	
677933	378606	
677934	153095	Elsa Taavitsainen
677934	165803	Sisko
677934	207892	Irmeli Isola
677934	287574	Neiti Liesivaara (Miss Liesiv
677934	386432	
677934	392348	Tuovi Sirén (2001)
677934	396249	Eeva Kujanpää
677934	402792	Tutkija Arja Wessmark
677934	405482	Ulla Heiskanen
677935	315000	3:e Johanna
677936	31936	Rouva
677936	214844	Marketta
677936	214846	
677936	387647	
677937	223255	Irja Taskinen, nurse
677938	161692	Herself
677939	223255	Satu Santala, nurse
677940	190659	
677941	190659	
677942	234883	
677943	310864	Shrink
677944	392723	
677945	66080	
677945	92597	
677945	138019	
677946	387436	Host (2002)/Substitute Host (
677947	153109	Freundin von Peter
677948	97980	
677948	107717	
677948	182795	
677949	323521	
677950	97635	
677951	167913	Natsumi
677952	9160	Naomi
677952	115055	
677953	40025	Clerk
677954	18705	
677954	20024	
677954	29565	Okin
677954	31522	Kiyoka
677954	90823	Otaki the Candy-Seller
677954	97185	
677954	121469	Hisano Asano
677954	123446	
677954	144501	
677954	145124	
677954	163769	Gen, Grandmother
677954	165128	
677954	170337	
677954	171886	Counselor
677954	172963	Yasu's mother
677954	176224	
677954	176613	Tsune
677954	177767	Tsubakiyama's wife
677954	182065	Katsue
677954	182154	Tameko
677954	182190	
677954	182403	Osen
677954	198945	
677954	227658	Okane
677954	227660	
677954	229554	
677954	232542	(Volume 3)
677954	232610	Proprietress of the general s
677954	239232	
677954	275748	Osaku
677954	281572	
677954	326446	Miss Higa Jiga
677954	334937	
677954	341310	
677954	341321	Masako's mother
677954	372000	
677954	373185	Mistress of Geisha House
677955	18705	
677955	82817	Keiko
677955	144678	Hideko's grandmother
677955	144679	Landlady
677955	180046	
677955	242180	Otetsu
677955	287529	Omatsu
677955	288352	
677955	299008	Natsu Yamazaki
677955	299581	Landlady
677955	308895	Omasa
677956	284068	
677957	218182	Wilma
677958	38798	
677959	182498	
677960	324361	Ofuji
677961	307751	Gibarian's Guest
677961	374562	Redhead
677962	38485	
677962	82853	
677962	125343	Güler
677962	173809	
677962	302493	
677962	374155	
677962	378595	
677963	170586	Yoko
677964	78444	Elise
677965	62694	Madeleine
677966	21830	
677966	104940	Kaoru Yamazaki
677966	136681	
677966	137345	Ikeda, Miyoko
677966	150668	
677966	173193	Shizuko Kudo
677966	214714	Student
677966	242129	Megumi
677966	285190	Herself
677966	296377	
677966	299575	Rei
677966	328017	Yakuza's lover
677966	408555	Fya
677967	404921	Marie
677968	304433	Aldís
677969	399880	Herself
677970	111475	Grandmother
677970	122441	Gömul stjarna
677970	137097	Kristín
677970	172655	Álfrún
677970	225084	Grandma
677970	233989	Nurse Joan
677970	267262	
677970	277415	Ingibjorg
677970	378033	Sigrid
677971	315395	Herself
677972	181658	Herself - Direktør, Esbjerg K
677973	190811	Lindanserskan
677974	76757	
677975	305715	Foxy lady
677975	355810	Showgirl
677975	363103	Françoise Degiere
677976	229414	Gunilla
677978	392343	Speaker
677979	404903	Herself - Host (1990)
677979	409168	Herself - Host (2004-)
677980	383073	Herself - Host
677980	388430	Herself - Host
677980	391353	Herself - Host (2002)
677980	406472	Herself - Host
677980	409168	Herself - Host
677981	357807	Gudrun
677982	401773	Kina
677983	405547	
677984	268348	Anna-Greta
677985	355631	Svea
677986	78400	
677987	130071	Woman at the store
677988	98773	The Princess
677989	328545	Marie
677990	182254	Lise
677991	43249	Brita
677992	272434	Patient in Yard
677994	182298	Dark girl, assistant in fashi
677995	6512	Astrid
677995	13327	Servitrise
677995	28531	En skjøge
677995	48324	Maja Pedersen
677995	94273	Else
677995	110927	I bankens kantine
677995	117691	Dordi, tjenestejente
677995	120082	
677995	126546	Ingrid Lund-Bergseter
677995	135713	
677995	150643	Teatersjef
677995	153350	Salamidame
677995	153957	Fru Beck
677995	168523	Malene
677995	170375	Siv
677995	184121	Siss, morens veninne
677995	188886	Konditordame
677995	192492	Tante Nøste
677995	219358	Butikkdame
677995	242689	Mor til Arim
677995	244068	Tove
677995	293649	Irma Funder
677995	304238	Vigdis Reistad, kontordame
677995	320526	Ellen Tangen
677995	326048	Ung husmor
677995	334084	Ellinor
677995	334265	Norwegian
677995	377403	Mor til Pål
677995	393857	Tistel
677996	109131	Rut Vredberg
677996	198391	Karin Johansson
677997	125828	Lillan
677997	135211	Maj
677997	209311	Young Elsa Karlsson
677997	219842	Eva as baby
677997	306371	Little Girl
677997	315362	Ingeborg
677998	47176	Woman
677998	142760	Maid
677998	168437	
677998	192657	Cook
677998	303855	Wife of drunken guest at Cosm
677998	305304	Mrs. Andersson
677998	306380	Cold-Buffet Manageress
677998	317619	
677998	338708	Fabian's Wife
677999	1050	Gun Svärdsjö
677999	29558	Dinner guest at the Juréns
677999	34222	Guest at the dance
677999	36689	Kerstin Carve
677999	89470	Lowenius' Daughter
677999	115403	Karin
677999	119016	Britta Lund
677999	122496	Miss Kulle
677999	122497	Julia
677999	164781	Connie Schmidt
677999	174201	Young woman
677999	174255	Funfair visitor
677999	182284	Sissi
677999	227740	Woman at the party
677999	237081	Ung dam på restaurangen
677999	240160	Mary Borring
677999	242946	Elsie
677999	268343	Kid
677999	268354	Gittan
677999	338719	Åke's girlfriend
677999	346210	Gertrud
677999	348501	Ung dam
677999	349003	Mrs. Lindgren
678000	314957	Extra #21
678002	26156	Old Philippa
678002	28603	Else Møller
678002	33440	Bella
678002	42684	Herself
678002	48346	Bodil Kragh
678002	86848	Anna
678002	92947	Anna Dalvig
678002	99443	Elly Petersen
678002	108965	Birthe Jensen
678002	116305	Kontordame hos Holm
678002	117900	Mrs. Amsted
678002	123931	Tove Jørgensen
678002	138532	Magda Hansen
678002	144060	Lilly Jensen
678002	154142	Mirjam
678002	168578	Irene
678002	169973	Judith
678002	182456	
678002	190840	Bents mor Gloria Gibson
678002	198056	Magdelone
678002	207056	Narrator (segment "Prolog")
678002	214347	Betty Lund
678002	244670	Ellen
678002	246920	Marianne Haas
678002	262957	Berit
678002	264282	Dronning Umulia
678002	275626	Davids mor
678002	307317	Jenny
678002	317258	Sabine Lund
678002	322475	Hanne
678002	322961	Anne Lise
678002	324626	Husassistent Gerda Hansen
678002	334220	Elisabeth
678002	334317	Ellen Selstrup
678002	348958	Alice
678002	353010	Lene Bang
678002	382884	Caroline Jacobsen
678002	386347	Herself (episode 1.4 "1945-19
678003	231915	Lindsay
678004	153367	Narrator
678005	109133	Speaker
678005	243411	Speaker
678005	386871	Speaker
678006	179976	Herself - Host
678006	390212	Herself - Host (2002-2003)
678006	409151	Herself - Reporter (1993)
678006	409153	Herself - Host (1994)
678006	409168	Herself - Host/Reporter
678007	51297	Frøken Finckel
678008	78266	Herself
678008	78475	Herself (performing 'Du og je
678008	78481	Herself (performing 'Vil du m
678008	78482	Herself (performing 'Hva' du 
678008	78484	Herself (performing winning s
678008	78485	Herself - Host
678008	78486	Herself (performing 'Din musi
678008	78494	Herself - Presenter ('Lidt ef
678008	104764	Danish entry (3rd place)
678008	132874	Herself
678008	171513	Jacobs kone
678008	208284	Lonely heart kvinde #2
678008	327340	Herself (segments "Dansktoppe
678008	390834	Herself
678008	394652	Herself - Host
678008	397278	Herself - Host
678008	410196	Herself - Host (1995-1996)
678009	28099	Lena
678009	33366	
678009	76782	Dagmar Andersson
678009	114033	Gunilla Stag
678009	126114	Birgit
678009	159479	Artist's wife
678009	182455	Sanna
678009	193298	Girl eating meat
678009	304174	Maggan
678009	307765	Johanna
678009	322001	Whore
678009	347016	Tage's Mistress
678009	354677	Elvira Kron
678010	179972	Herself - Minister for Social
678010	376108	Herself
678010	377414	Herself - Minister of Social 
678011	2191	Herself - Bioanalytiker
678012	59596	Kineserens pige
678013	5187	Herself - Host
678013	301452	Herself - Host
678013	405549	Herself - Host (1997-1999)
678014	352119	
678015	78457	Herself - Partiformand
678015	179972	Herself - Party Chairman, Dan
678015	349904	Herself - Partileder, Dansk F
678015	376108	Herself
678016	242754	Maria
678017	146596	
678018	48382	Gerda
678018	214371	Frk. Regn
678018	241975	Irene
678018	284392	Ellen Frandsen
678019	360846	
678020	30171	
678020	408933	Britta
678021	382264	Herself
678021	404724	Herself
678022	10209	Ninni
678023	181765	Joan
678024	245220	Woman on Phone
678025	139644	Sjuksköterska
678026	236212	
678027	132985	
678027	208143	
678027	246850	
678027	280622	
678027	407798	
678027	412179	Becky
678028	32316	
678029	380391	Amanda Cory Fowler Harrison S
678030	197895	Carnival Woman
678031	126130	Featured
678032	250930	Delphine Schroeder
678032	374366	
678033	322064	Fiú az aluljáróban
678034	74192	
678035	187018	Alena
678036	7778	Mette
678037	301032	
678038	49290	
678038	86969	
678038	120046	
678038	125095	Laura Piovani
678038	229167	Irene Meier
678038	306472	
678038	329854	Franziska
678038	347796	
678038	376134	
678038	376306	Sybille Degner
678039	97969	
678040	321799	
678041	146729	Additional Vocal Talents
678042	411161	Krankenschwester
678043	182368	Sanni Lepola
678044	2658	Margot
678045	2658	Marian
678045	206099	Lilith Hastings
678046	293988	Eeva
678047	1774	Herself
678047	3844	Herself
678048	200977	Emma
678048	277465	Claire
678048	312654	Ellen
678049	238230	Flowergirl
678049	360856	Little Girl with Radio
678050	335704	Spectrum Announcer
678051	275156	
678052	330799	Susie O'Connell
678053	120056	Attendant
678054	819	Anna
678054	14588	Eliza
678054	17058	Lisa
678054	32750	Sylvia Kubicek
678054	43651	Maria Von Wedemeyer
678054	56545	Herself
678054	98413	Evelyn
678054	118971	Isabelle
678054	125085	Sarah Olsen
678054	138451	Hanna Schreier
678054	144174	Marie Winter
678054	144185	
678054	186891	
678054	209994	Marion Wagner
678054	226266	Celia Richter
678054	259470	Nele Pufahl
678054	272787	
678054	290139	
678054	303359	Hedi Dvorak
678054	310896	Jule
678054	325400	Barbara Leuenberger
678054	334537	Lizzy
678054	334609	Junge mutter
678054	338439	Katie Becker
678054	350874	Ina
678054	352164	Carolin
678054	356734	Kim Kortwig
678054	367127	Lisa Schneider
678054	396874	Christina Robinson #2
678055	315893	Frau in Cafeteria/Woman in Ca
678058	132247	Peninsula Dance Team
678059	387150	Fan
678060	265402	Schülerin
678061	238648	
678061	304843	Worker
678063	390812	Barbara Graf, annullierte Kön
678064	400801	Goeleke
678065	539	Russian woman, Karina
678065	235001	Mira
678065	236051	
678065	259730	
678065	278517	Vera
678065	322643	Tina
678065	399133	Madmoazel
678066	28095	
678066	63957	
678067	227300	Jos
678069	206224	Herself
678070	16427	
678070	66213	Charlotte
678070	85616	Anne Weber
678070	106109	Rivas' Gang
678070	155884	Second Model
678070	189614	
678070	279430	Girlfriend
678070	327564	Marie
678070	336936	
678070	350741	Olivia
678071	55444	Jeff's mom
678072	97727	Neighborhood Extra
678073	41211	Party Guest
678074	283108	Herself
678076	6725	Herself
678076	41544	Herself
678076	57928	Pandora Stripper
678076	74010	Gretchen (DVD only)
678076	116013	Herself
678076	129090	Herself
678076	184951	Herself
678076	215863	
678076	260726	Herself
678076	319929	Darlene
678076	342072	
678077	91121	
678077	147317	
678077	205665	Liesl
678077	205666	
678078	103366	Wake guest
678079	290180	
678081	183955	
678082	47171	Performer/Herself
678082	141147	Herself - Hear'say
678082	141148	Herself/Hear'Say
678082	141149	Herself
678082	181688	Herself
678082	249591	Performer
678082	273900	Herself
678082	282702	Performer
678082	330027	Herself
678082	364227	Herself
678082	365732	Audience Member
678082	391238	Herself
678082	401877	Herself - Hear'say
678083	78760	Beka
678083	86286	Marlin
678083	257297	
678083	368615	
678084	34311	Karin
678084	199495	Frau Bei Der Karl Schläft
678085	340458	Karen
678086	192527	Party Goer
678087	220671	Pregnant Woman
678088	36862	Korean Lady in Bookstore
678089	267684	Citizens of New Orleans
678089	365988	Field Mouse
678090	222426	Orepheus
678091	238169	Kid
678092	96445	Proffens mor
678093	386603	Natalie Bell (1980-1981)
678094	366392	Solange
678095	388697	Herself
678096	84956	Female #1
678097	178051	Barmaid
678098	40526	
678098	209989	
678099	10926	Ambassatrix from Rigel 7
678099	125478	
678100	381894	Herself (season 1-2001)
678100	381897	Herself (season 1-2001)
678100	381914	Herself - Participant (season
678101	319937	Gogo pige
678102	290637	
678103	188815	
678104	339522	Herself
678105	363913	Dinner Guest
678106	1826	Alex' Freundin/Alex' Girlfrie
678107	383390	Amparito
678107	384985	
678107	387681	Graciela
678107	389479	
678107	396843	Aida
678107	400946	Sara 'Sarita' Elizondo
678107	409922	Sandra Guzmán
678108	44225	
678108	156395	
678108	296144	
678109	123889	
678110	385449	Marlous de la Miranda
678111	93621	Loes Bolhuis
678112	246042	Ilga
678113	140945	Evija
678114	219773	Young Erica
678115	252443	Felicia
678116	259603	Christl Keller
678117	264819	Old Woman
678119	235052	Secretary
678120	377798	Eglantine
678121	266588	Hooker's Voice
678122	326517	
678123	297937	Ruth Lacey
678124	32712	Musician on boat
678125	319626	
678126	5981	
678127	33639	
678127	119835	
678127	197745	
678128	102260	
678129	177904	Else Mertens
678129	345915	Frau Petzold
678130	214954	Younger Sister
678131	353950	Junges Mädchen
678133	2368	
678134	333120	Person of the Night
678135	202836	
678136	189846	Herself
678137	269302	
678139	7011	Widow Douglas
678139	10349	Emily
678139	20978	Customer
678139	41666	Elizabeth Parker
678139	51964	Mrs. Melton, Cherry's Motel
678139	71861	Miss Robbins
678139	75570	Dora
678139	79757	Mamie Baldwin
678139	79821	Mrs. McLean
678139	83955	Miss Wells (Hilliard's secret
678139	98167	Bit Role
678139	98803	Daisy
678139	114575	Mrs. Mortimer
678139	117987	The Lawyers' Receptionist
678139	120225	Old lady
678139	124816	Miss Spence, Elliott's Secret
678139	137626	Henrietta
678139	137696	Rita Monahan
678139	150407	Scrub Woman
678139	153211	Martha
678139	161889	Miss Vandergrift
678139	173519	Mrs. Crane
678139	191829	Secretary
678139	200485	Mrs. Eden
678139	203917	Chairlady
678139	249627	Secretary
678139	295294	Esther Townsend
678139	295616	Hilda
678139	313376	YWCA Receptionist
678139	330004	Miss Walker
678139	330126	Ellen Saxe
678139	337211	Warkins' secretary
678139	350432	Mrs. Erdlatz
678139	358865	Miss Mamie Baldwin
678139	358866	Miss Mamie Baldwin
678139	358867	Miss Mamie Baldwin
678139	360711	Mamie Baldwin
678139	366996	Cheryl's Customer at Sloan's
678139	372731	Mrs. Patton
678139	391074	Miss Claridge
678139	401291	Mrs. Slocum
678139	410568	Mamie 'Miss Mamie' Baldwin
678140	389959	
678140	390889	
678141	189892	
678142	258210	Daughter in Commercial
678143	411507	
678144	37424	Blond Nurse
678144	44674	
678144	198506	
678144	198508	
678145	34740	
678145	37215	Fat Tittie Kittie
678145	44652	
678145	50381	
678145	128777	
678145	152667	
678145	188475	
678145	198077	
678145	209747	
678145	291020	
678145	291023	
678145	333830	
678147	272755	Prostitute
678149	17541	
678149	21653	
678149	30062	Rosel, Die Rodelbauers Tochte
678149	79165	Melitta Klefer
678149	119144	
678149	354111	Frau Kröger
678149	359638	
678150	133728	Charkie's Water Ballet Perfor
678151	119191	Pamela
678151	253201	
678152	254053	Violette Leibovich
678154	51598	Koopvrouw
678154	64662	
678155	110018	Zus van Kobus Drost/Kobus Dro
678155	142514	
678155	368754	Mrs. Rooseveldt
678156	139719	Marcia
678157	25798	
678157	70115	
678157	206695	Ofelia
678157	215979	
678157	266845	
678157	377195	
678157	379043	Doctora
678157	383233	Marcela
678157	383827	Soledad
678157	389483	
678157	398458	
678157	400663	Gladys
678157	408859	Díaz
678158	140909	Samantha
678159	93818	Patron
678160	360713	Flower Girl
678161	86476	Pattern Maker
678162	181133	Mats' mother
678162	265930	Cyane
678163	51464	Minnie Hoffman
678163	101277	Olga Kirshen
678163	226899	Mrs. Paula Batory
678163	340582	Psychiatrist
678163	409225	Landlady
678164	50444	Cheerleader
678165	11865	Monique
678165	378546	Susi Wüstenhube
678166	347750	
678167	300916	Woman in Crowd
678169	80563	Realtor
678169	152930	Screaming Woman
678169	168325	Dr. Haiden
678169	221067	Waitress
678169	230193	Frau Wibeau
678169	231893	Sleeping woman
678169	325495	Toni Forster
678169	325684	Mrs. Reschke
678171	332898	
678172	321179	Family friend
678173	188030	Hair Lady
678173	203782	Trish
678173	338401	Woman on TV
678173	400868	Mme Ovary
678174	171964	Herself (wife)
678175	367668	Woman
678176	62579	Birthday Party Kid
678176	274194	Little Girl on Bike
678177	344712	
678178	93872	La mère
678178	222828	Muriel
678178	272900	
678178	284860	
678178	384288	Malika
678179	305571	Young American Miss
678180	67968	Herself
678180	79310	Janine
678180	95328	Ginger
678182	347432	
678183	297880	Rosita
678184	298222	
678185	348545	Screaming Teen
678186	3942	Mariane
678186	90932	New York journalist
678186	245265	Michelle
678186	301679	Woman in Bookstore
678186	337999	Pearl
678186	358708	Receptionist
678187	210481	Go-Go Dancer
678188	273974	Red's Mother
678189	273974	Red's Mother
678190	403081	Sam
678191	80537	Evil Cheerleader #2
678192	314814	Auction Bidder
678193	217568	American Tourist
678194	105222	Judge
678194	228473	Stern Nurse
678194	261107	Faculty Wife #1
678194	350155	Shopping Cart Lady
678195	81005	Bank Teller
678195	258081	Woman #1
678196	342391	Car Clutter lady
678197	211986	Pilot 3
678197	233832	Wendy
678197	277140	Dinner Guest
678197	358569	Sally Kelly
678198	217574	Herself - First Violinist
678199	188646	Beverly Sander
678200	265169	L'infirmière
678201	132403	
678202	230234	Mrs. Easton
678202	264352	
678202	361994	
678202	366588	
678203	379362	Britta Mager
678204	287978	Nurse
678205	395404	Margarita 'Maggie'
678206	11604	
678206	360898	Herself
678207	189590	
678208	68153	Mason
678208	281145	Lycosian Troop
678209	126648	Student #2
678209	257772	Laura
678209	347244	Betty Wilson
678210	280090	Herself
678211	167156	
678212	57241	Herself (Jasmine Klien)
678212	349384	
678213	108643	
678214	87018	Cave Girl
678214	129596	
678215	323403	Herself
678216	381755	Herself/Panelist
678217	30581	Diner Waitress
678217	45662	Waitress
678217	81052	Psychiatric patient
678217	114956	Angry Man's Wife
678217	340502	Nancy Lamour
678218	73616	
678218	77949	Telephone Operator
678218	101299	Barbara
678218	107100	Shoe Salesperson
678218	340502	Eve Lamour
678219	66837	Girl in Bathroom
678220	424	
678220	102387	Melanie
678220	204462	Petra
678220	223462	Silke
678220	229413	Mia Weiss
678220	259474	Kerstin Guldner
678220	259864	Woman Clipping Nails
678220	284097	Marianne
678220	374622	
678220	388798	Suse
678220	392855	Andrea (1998)
678220	404448	Nadja Kunze
678221	112911	
678222	217745	Art History Student
678224	171964	Herself (daughter)
678225	70752	Adult Corey
678226	303490	Stewardess
678227	169628	Joan
678228	48699	Movie Woman
678228	271191	Woman on Train
678229	92302	Dispatcher
678229	366102	Maria (The Nurse)
678230	227341	Emily Griffen
678231	1826	Sekretärin/Secretary
678231	38386	Ullas Mutter
678231	99903	
678231	259529	Silke Arlot
678231	272478	
678231	293729	Irene
678231	324511	
678231	404010	Anne
678232	350209	Church woman #2
678233	245063	Wee Finn
678234	1615	Herself - Photographer
678235	29523	Barfly
678236	50444	Cheerleader
678237	263439	Sonia's Mother
678237	283008	Agnes Abella
678238	192685	Mick
678239	120297	Sylvia
678240	118981	'Chicago Hope' Paramedic
678240	139199	Nurse
678240	352684	Doctor #3
678241	214814	Divorcing Woman
678242	103080	Konsulin
678242	120949	Alte Ursel
678242	140257	Yedda Arbuckle
678242	175301	
678242	225152	alte Bäuerin
678242	236823	
678242	347824	Frau Körber
678243	372951	The Equestrienne
678244	341984	Animal Control Woman
678245	336979	
678246	273123	
678247	374425	Child on School Bus
678248	204257	Chained Girl
678249	394612	Meisje in winkel
678250	241404	Donna the Dressmaker
678251	315707	Mother
678252	70932	Herself
678252	330827	Herself
678253	166370	A philosophy student
678254	328114	Enfermera
678255	407024	
678256	12372	L'infirmière en chef
678256	35302	
678256	58110	Le juge
678256	68666	Tante Adrienne
678256	88842	Madame Kern
678256	125841	Méline #2 (la belette)
678256	206252	Denise
678256	222830	Françoise
678256	336445	Rimbaud's Mother
678256	339498	Paloma Fromek
678256	346421	Dominique Deschamps
678256	353861	Illy
678256	359752	Mme Montgomery
678257	200315	
678258	190796	Nurse
678259	10146	Dancers
678259	165990	Nadja
678259	265904	German Couple
678260	402456	Young Clara
678261	360953	
678262	148317	Midwestern Girl
678262	230663	Highland Popular Girl
678262	280699	Blush
678263	98161	Waitress #1
678263	204264	Female Administrator
678264	25340	Girl
678264	42979	Nancy
678264	105699	Carol
678264	211307	
678264	217900	
678264	280578	Pamela
678264	301791	
678264	310968	Laura
678264	325094	
678264	351536	
678265	26352	Babyco Executive
678265	78102	Annette
678265	138774	
678265	213209	
678265	241050	Flowerchild Vampire
678266	14554	Trish
678267	307981	Heather Buttkiss
678268	80791	Althea Baxter
678268	106628	Fanny Dalton
678268	157784	Allison Decker
678268	343140	Miss White
678269	189422	Maggie
678270	178896	Nancy
678271	134568	Setup Crew
678272	166370	A student
678273	395166	Young Ceil
678274	211662	
678275	63908	Lidia as a baby
678275	155525	Voice
678275	199956	Voice
678276	165631	Blonde Greet
678277	294896	Serpina
678278	70815	
678279	232103	Lorraine's Mom
678280	75546	Lottie
678280	105280	Frieda
678281	158061	Kid #3
678281	159119	Lucy
678282	377013	Sidonie
678283	69270	Tullia delle Grazie
678284	105521	Zuhörerin
678284	107981	
678284	155443	
678284	314509	Frau Masur
678285	302121	Commune member
678286	284442	First Violinist
678287	105256	
678288	269224	
678289	63962	
678289	148048	
678289	385400	
678289	399406	
678290	111966	Marzelline, seine Tochter
678291	319302	Itkevä lapsi
678292	149874	Luise Maske
678292	356724	
678293	204573	Zangeres
678294	352501	
678295	144138	
678296	142047	Beate
678296	189615	Karin
678296	225254	
678296	236819	
678297	210125	
678298	98285	
678299	136004	Herself (Mrs. Yul Brynner)
678300	136736	
678301	84457	Babe #7
678302	53033	Lisa
678303	327307	Allison's Friend
678304	210054	
678304	218435	Kassenfrau Gertrud
678304	242862	
678304	381694	
678305	259511	Lucie/Ilka Kramer
678306	8272	Julia Lefevre
678306	9934	
678306	11861	
678306	11887	
678306	91012	Ellen Ludwig
678306	91013	Ellen Ludwig
678306	91014	Ellen
678306	91015	Ellen Ludwig
678306	91016	Ellen Ludwig
678306	91018	Ellen Ludwig
678306	91019	Ellen Ludwig
678306	91020	Ellen Ludwig
678306	91023	Ellen Ludwig
678306	91024	Ellen Ludwig
678306	91025	Ellen Ludwig
678306	91026	Ellen Ludwig
678306	91027	Ellen Ludwig
678306	91028	Ellen Ludwig
678306	91029	Ellen Ludwig
678306	91030	Ellen Ludwig
678306	91031	Ellen Ludwig
678306	91032	Ellen Ludwig
678306	91035	Ellen Ludwig
678306	91036	Ellen Ludwig
678306	91037	Ellen Ludwig
678306	91038	Ellen
678306	91039	Ellen Ludwig
678306	91041	Ellen Ludwig
678306	93458	Dr. Pamela Wehmann
678306	97479	Diane Ward
678306	98414	Uta
678306	115224	Angela
678306	134967	Mathilde Möhring
678306	164598	Karin
678306	184573	Helene
678306	209970	Maria
678306	211126	Elke Gebsattel
678306	250717	Patricia
678306	259581	
678306	259591	
678306	304163	Iris Schmied
678306	310895	Vera Kowalski
678306	310897	Vera Kowalski
678306	310898	Vera Kowalski
678306	310899	Vera Kowalski
678306	310904	Vera Kowalski
678306	310905	Vera Kowalski
678306	310906	Vera Kowalski
678306	325618	Evangelina
678306	325924	Irene Paulke
678306	343676	Claudia
678306	352220	Gabriele Kroll
678306	376351	Inga
678306	376385	Jacqueline Gerber
678306	389286	
678306	389287	Hannelore (1994-1995)
678306	409609	Mathilde Specht, geb. Möhring
678307	334148	Nikki
678308	267221	Allison Mitchner
678309	7545	Lena
678310	255274	Cook
678310	283336	Gossip
678310	360882	Mrs. Foster
678311	352651	Trude Langkofler
678312	338151	Woman On Phone
678313	103127	
678314	9678	
678316	214387	Ethel à 10 ans
678317	323882	(segment "Dämonenspiegel")
678318	142053	
678319	72740	Viyana
678320	292974	
678321	283395	Club Patron
678322	34401	Angustias
678322	250928	Klassenlehrerin
678322	259473	Kerstin
678323	356107	Laborante Janny
678323	356815	Tourguide
678323	394285	Kees Heistee
678323	412014	
678324	104765	Israeli entry (18th place)
678324	175001	Herself
678325	99893	
678326	197274	
678327	270952	Crazed Shrew
678328	160599	Sekretärin von Tegner
678328	168975	Marion
678328	289899	Videothekarin
678329	110430	Isa Langer
678330	304742	Kitty
678331	290689	
678332	329323	Anne Marie
678333	75721	Additional Player
678334	48345	
678335	201346	Elvira
678336	153956	Baby (2 år)
678336	225340	Kristina
678337	152210	Malene, Vildes datter
678337	153956	Turid
678337	225340	Leda
678337	323651	Running girl
678337	377404	Barnet
678338	153956	Mor Til Eva
678338	377404	Mor til den unge kvinnen
678339	105827	
678340	46857	Young Dutch woman
678340	179039	Moeder Mark
678340	359389	Karin
678340	376026	
678340	380503	
678340	382752	Eva's moeder
678340	390410	Mary Zoomers (1996-1999, 2000
678340	406166	Willy van de Akker
678340	406876	
678341	17305	Librarian Olga Nowak
678341	94220	
678341	98022	
678341	110115	
678341	124860	Domanska
678341	166628	
678341	196588	Old Woman at Hospital
678341	242460	Henryk's Mother
678341	247626	
678341	258791	Koziol's Neighbour
678341	266336	
678341	284043	
678341	321814	Old Woman
678341	373552	
678341	373653	Zofia Stanczakowa
678342	255040	Mina
678343	7065	Miss Levy
678344	78947	Gilly Ansidine
678344	115079	Trailer Lady
678345	375521	Donna
678346	104616	Herself (Dutch member of the 
678347	243168	
678348	88540	
678348	192903	Jelena
678349	104816	
678350	180332	
678352	238803	Modell
678353	380130	Herself, the host
678354	411995	Jette
678355	401142	Johanna Roggendorf
678356	249336	
678357	249336	
678357	315768	
678358	164467	Various voices
678359	18623	The Bikini Girl
678360	207266	Court Musician
678361	244679	
678362	78946	
678362	171582	Herself
678362	174787	
678362	181651	Liina, Friend
678362	185000	Gunni
678362	229545	Eevi
678362	239979	
678362	252046	Maaru Tang
678362	281298	Tii
678362	324102	
678362	341541	Laura
678362	349439	Maija
678362	402823	Päivi Ano
678362	404201	Kanerva (2000-)
678362	409269	Leea Tuomioja
678363	3489	Janka Adamcikova
678364	41934	Becky Marshall
678365	235952	Female Detective
678366	197118	
678367	355028	The Academy's Blessed 'Virgin
678368	12507	Irene
678368	111786	
678368	144175	Evelyn
678368	173674	
678368	241985	Jelena
678368	352071	
678369	80389	
678369	139030	Laura Stephens
678369	194374	Eva Braun
678369	223900	Kathy
678369	380713	Marion Graham Burton (1973)/K
678369	400236	Edwina 'Cookie' Lewis Dane (1
678370	226413	Sabine
678371	225306	Die Frauen: Picos Braut
678372	322544	Hotline Girl #6
678373	391835	Talking head/soundbites (segm
678374	343823	
678375	147703	Herself
678375	266419	Herself
678375	406820	Host
678376	127453	
678376	175718	Pille Loorits
678376	226586	
678376	285833	
678376	343310	Olya
678376	350583	
678376	377339	
678377	272440	Groom
678378	237869	Bozena
678381	5960	Young lady
678382	302965	Mathilde Zonderfeest
678383	199315	Sophie
678384	6781	Stázka
678384	84223	
678384	151886	Káca
678384	179884	Ruzena
678384	304708	
678384	322657	Doctor
678385	43666	
678386	119425	Indian Woman #2
678387	63831	
678388	96428	Rose Mailand
678388	154360	Gerda
678389	234826	Nonne/Nun
678390	394479	Ute Kloek
678391	67934	Ingrid
678391	391784	Nellie
678391	410441	Bep de Graaf
678392	186134	Karin
678393	380997	Dezia Wheeler
678394	3379	
678395	230046	Katya
678397	379210	Aída
678397	382543	
678397	382691	Silvia
678397	383579	Laura
678397	384054	Claudia Peña
678397	387916	Matilde Meza
678397	393340	
678397	393832	
678397	393836	
678397	396984	Matilde
678397	400419	Concepción
678397	403214	Elvira
678397	403686	
678397	404990	Silvia
678397	406852	Dora Lineros
678397	408180	Rosario
678397	408591	Yolanda Perutti
678397	408724	
678398	313566	Lucille
678399	245331	Betty
678400	166594	Herself
678401	104438	
678401	258811	
678402	274343	Miss Rudd
678402	299658	Schoolteacher
678404	28066	Uta Guggenheim
678404	188511	Nurse
678404	321718	Hostage
678405	156970	Girl at Puppet Show
678406	55555	Dedda
678406	120321	Frine
678406	247023	
678407	221243	
678408	104741	Norwegian entry (3rd place)
678408	104761	Host
678408	235398	
678408	387959	Herself - Presenter (1986)
678409	117282	Bente
678410	139178	Carol
678411	113034	Klipperen
678411	183033	Majken
678412	116986	
678413	282260	Lady with Mr. De Palma
678414	112745	Woman prisoner
678415	346271	Commuter
678416	351162	
678417	191092	
678418	250422	
678419	389825	Sally
678419	411916	Ma Verelst
678420	247254	
678421	185255	Fatima
678422	355794	Thérèse
678423	53794	Bibi
678423	388323	Gloria Stubbs
678423	388645	Joan
678423	390957	Sophie
678423	391896	
678423	399130	Terry Inglis/Robinson (1985)
678423	402197	Bobbie Mitchell (1983-1985)
678424	104782	Herself
678425	190729	
678426	280582	Journalist #1
678426	305554	
678427	8021	
678428	230504	Townswoman
678429	167300	
678430	376342	
678431	1145	Daphne's Lawyer
678431	14212	Herself
678431	51661	Rikki Klieman
678431	65022	T.V. Reporter
678431	382563	Herself (-2003)
678432	98119	
678433	134511	Gritta
678434	89410	Herself
678435	347764	
678436	180369	
678436	363928	Shaline
678437	37691	Assistant on Cliff
678438	14200	
678438	325500	Molly Fiedler
678438	325871	Frau Adam
678438	374126	
678438	404462	Hochzeitsgast
678439	164615	Herself
678440	67667	Vriendin Tycho
678441	403077	Presenter (2003-)
678442	212509	
678443	397941	Kay
678444	713	Sabine
678445	370183	
678446	154554	Herself - immunologist and re
678447	150967	Mrs. Warden
678448	93964	Brandy
678448	101711	Butterfly dancer of Rigel X
678448	194268	Dancer
678448	222807	Detective Johnson #2
678448	264125	Stacy
678448	265101	Hot Tub Girl
678448	289668	Diane
678448	312141	Twin #1
678448	329578	Co-Host
678448	332778	Amy
678448	396452	Magic Assistant
678449	93964	Amber
678449	101711	Butterfly dancer of Rigel X
678449	127627	Beach Dancer
678449	194268	Dancer
678449	222807	Detective Johnson #1
678449	264125	Tracy
678449	265101	Hot Tub Girl
678449	289668	Elaine
678449	312141	Twin #2
678449	329578	Co-Host
678449	332778	Amanda
678450	259831	
678451	245115	Katya Weiss
678452	75970	Zapora's Girlfriend
678453	64964	
678453	174026	Teacher
678453	216592	Peasant Woman
678453	255608	Teacher Marysia
678453	364953	
678453	373521	
678454	57929	Jazz Class Dancer
678454	147605	Lena
678455	89309	Gehan Brown-Cohen
678456	84845	Miss Understood
678457	77481	
678457	225858	
678458	171618	
678458	255276	
678458	351993	
678458	383287	
678459	365820	Letter Carrier
678460	280582	Asylum director
678461	365458	BaAka Villager
678462	26987	McMullen girl (outfielder)
678463	166980	Sophie
678464	338981	Herself
678465	79474	
678465	252821	Teacher
678465	272522	
678465	293942	Veronika Makarovna
678465	297561	
678465	341212	
678465	356677	
678466	63574	
678466	225877	
678467	18633	
678467	84428	(segment "Moy milyi chizh")
678467	289863	
678467	373545	
678467	375177	
678467	401314	Dolly Shensheyeva
678467	402924	Dolly Shensheyeva
678467	411996	
678468	1437	Herself
678468	21295	Herself
678468	21296	Herself
678468	32182	
678468	133930	Stepsister
678468	137679	Herself
678468	228976	Herself
678468	303763	Herself
678468	303778	Herself
678468	394750	
678469	128036	
678469	179904	
678469	306103	Snow Queen
678469	337044	Olga
678470	313866	
678471	370264	
678471	381530	Natalia Repnina
678471	392551	Sinya
678471	410433	Inna Gavrushina
678472	217448	Mama
678473	249097	Akkordeon
678474	14553	
678475	369156	Teacher Worms
678476	119263	
678476	334559	Eleanor Cunningham
678478	366653	Senior Class President
678479	108941	Pool Daughter
678479	389658	Angel
678480	142943	
678481	36713	More Fairy Tale Folk
678482	311490	Mrs. Finch
678483	185096	Young Darian Hallenbeck
678483	265100	Lucy
678486	381821	Ensemble (1985)
678487	19736	
678488	191502	Bartender
678489	17796	Evie Gold
678490	203454	
678491	157004	Mary
678493	128338	
678493	295649	
678493	316381	
678495	357402	Dancer
678496	381821	Ensemble (1983-1986)
678497	194635	TV Reporter Irene Laut
678498	201466	Thatcher
678498	299944	Bessie (Age 29)
678498	341455	Beatrice Ruston
678499	201592	Zoe Miller
678500	114706	
678501	120480	Policewoman
678502	320031	
678503	49830	Extra
678503	69639	Snoring Woman in Airport
678504	245632	Abby
678505	322	Prinzessin Metapha
678505	12602	
678505	14588	Jenny
678505	19593	Britta Bahrendorf
678505	37598	Tanja Speichert
678505	56545	Herself
678505	89759	Luftballon-Mädchen
678505	98056	Janine Reiter
678505	98291	Gisela Bachmann
678505	119210	Antonia
678505	120509	Helena Golde
678505	134986	Susanne
678505	144139	Sarah Linde
678505	144145	Beate Wangenheim
678505	144748	Hope Gruner
678505	147175	Paula Kronenberg
678505	162452	
678505	164816	Gerit Raische
678505	166757	Elke Mund
678505	173627	Karen
678505	184573	Milva
678505	187838	Cleophe
678505	189644	Judith Wlassek
678505	218969	Sabine Kiefer
678505	226343	Claire Kramer
678505	256450	Barbara Altamura
678505	256451	Barbara Altamura
678505	259450	
678505	259475	Anna
678505	259667	Heike Krüger
678505	259688	Sabine
678505	281730	Emma Litton
678505	290154	Karen
678505	294574	Sandra
678505	298599	Königin
678505	317578	Angie
678505	325564	Franka Hecker
678505	342475	Helga
678505	343671	Conny Sachse
678505	352531	
678505	359599	Thea
678505	376182	Woman
678505	377374	Inga Neumann
678505	379372	
678505	389383	Stella Brix
678505	389403	
678505	390893	Helke Hagedorn
678505	395508	Ines
678505	404748	Vivien Trakenberg
678505	408718	Various Chrarcters
678505	409609	
678505	409990	
678505	410001	Constanze Strauten
678506	163932	Kimmi
678507	134915	Woman at the theatre
678508	280132	The Costume Designer
678509	111347	Karla Berger
678509	119692	Corinna Alsfeld
678509	126197	Claudia Bender
678509	129834	Diana
678509	134986	Karin
678509	144142	Laura Faerber
678509	155344	
678509	259532	Dr. Renate Busse
678509	259656	Thekla
678509	276631	Stabsarzt (w) Dr. Maren Maiba
678509	281728	June
678509	290108	Annabelle König
678509	291816	Helena/Marlena
678509	317273	Frauke Seeberg
678509	338438	Heide Schlegel
678509	338439	Britta Albrecht
678509	352351	Karin Mack
678509	352531	Constanze Strauten
678509	361493	
678509	365606	Karla Staudinger
678509	376182	Woman
678509	376370	Gina
678509	379372	
678509	381294	
678509	389942	Claudia Bender
678509	396205	
678509	399386	Silvia Wedekind
678509	400007	Gudrun Bauer
678509	403269	Stabsarzt (w) Dr. Maren Maiba
678510	76254	Casey Conway
678510	151742	
678510	213460	Casey Conway
678510	245229	Sally
678510	341847	Betty
678511	404138	Maria Tachibana
678512	361611	
678513	353899	Une femme du 'Grand Magic Cir
678514	15179	Henriëtte
678514	94923	Mizzi
678514	141993	Figurante/Extra
678514	180762	Augusta Tournel
678514	189891	Figurante/Extra
678514	229284	Maria van Reigesrsberch (vrou
678514	360916	
678514	375123	Elsa
678515	159025	Jim Ordway
678516	44929	
678516	47473	Agency Woman
678516	51107	Madeleine
678516	84651	Mireille
678516	112835	Mayor's wife
678516	202694	La femme de l'aide sociale
678516	206287	Colin
678516	353899	Une femme du 'Grand Magic Cir
678516	409276	Various characters
678517	28883	Barfly
678517	37754	Tora Teje
678517	94254	Karin
678517	129268	The Empress
678517	198010	The Wife
678517	236225	Lisa
678517	323671	Girl at Consert
678517	402873	Lisa
678518	392503	Simone
678519	86242	Doris
678520	28272	Hermit
678520	51746	Pedestrian
678520	89338	Pearl
678520	130731	Woman in dreams
678520	152968	Bag Lady
678520	159971	Restaurant Owner
678520	180472	Landlady
678520	190699	Old Lady
678520	193765	Flower Seller
678520	203286	Cleaning lady
678520	241689	Bag Lady
678520	273408	Elderly Neighbour
678520	278718	Old woman
678520	294249	Eva Drucker
678520	333047	Mrs. Sarks
678520	367724	Don's wife
678520	399130	Nell Woodrow
678521	153717	
678522	116380	Wet nurse
678523	101133	Woman on the ship
678524	167053	Sister Mary Gilbert
678524	196117	Jill
678524	278082	Townie Girl #3
678525	224217	Daquiri
678526	374126	
678527	302125	
678528	100983	
678528	301050	
678529	169427	Dormitory Matron
678530	182576	Nina
678531	405248	Herself
678533	354751	
678534	30130	Maria, sua Moglie
678534	333850	Anne
678534	361011	Annamirl
678535	161489	Wife
678536	62778	Maggie Winslow
678536	364378	Mrs. Simpson/Ensemble
678537	2890	Susan Maris ('98)
678537	254712	Computer ALICE
678537	258907	Mrs. Guerney
678537	283546	Press #3
678538	194525	Mrs. Tyrell
678539	625	
678539	24519	
678539	72775	
678540	106540	Countess
678541	34670	Diner Waitress
678541	134077	Wife at Del's execution
678541	169208	Patricia Manning
678541	182955	Police File Clerk
678541	333856	Mother at stern
678542	355075	
678543	284368	Julgranskund
678544	10951	Aligermaas
678544	34033	Kersti
678544	226516	Nadja
678545	393275	Herself/Host
678546	263566	Sarie
678546	392889	Vanessa Booysens
678546	393032	Vanessa Booysens
678547	49292	
678547	102988	
678547	189188	Liane
678547	205406	Olga Ohrmann
678547	205407	Olga
678547	234292	Lilly
678547	282238	Kristin Siebert
678547	365916	Alex
678547	365917	Alex
678547	365918	Alex
678547	365919	Alex
678547	365920	Alex
678547	365921	Alex
678547	365922	Alex
678547	365923	Alex
678547	381694	
678548	27632	Debra
678549	219273	
678550	69187	Herself
678551	316226	Mrs. Thompson
678552	288960	Herself (segment "Fire and Ra
678553	168120	Baby Joan
678554	232986	Ghost
678555	99230	Mrs. Bengtsson
678555	166590	Marika
678556	194684	Eve
678557	17528	Freundin
678557	86553	Lieutnant Odyssee
678557	381908	Herself (season 1)
678557	391604	
678558	27841	Frisbee girl
678559	120509	Anna Sikorski
678559	176055	Marie
678559	237811	
678559	291594	
678559	294826	
678559	392515	
678560	25556	
678561	140229	Angelika Engert
678562	63144	Neighborhood Kid
678563	65368	Brigitte
678564	248409	Krankenschwester
678565	144889	Bikini Girl
678566	246493	
678567	242028	
678568	139288	
678569	80834	Female Detective
678569	245542	
678570	324115	Nurse
678571	78466	Herself (performing 'Alt, hva
678571	205685	Refrainsangerinde
678571	264294	
678572	14693	Eugenia
678572	21583	Elena
678572	83868	
678572	99441	
678572	219222	Maria
678572	247174	
678572	379653	Rosaura Ontiveros
678572	380095	Aurora
678572	383155	Sofía Gastélum
678572	383568	Paulina Villarreal viuda de R
678572	384770	
678572	387090	Laura
678572	397572	Amara Trujillo
678572	397593	
678572	397604	Leticia
678572	402219	Tamara
678572	406861	Ana Luisa
678572	409908	Raquela Villaseñor
678572	410098	Leticia
678572	410135	
678572	411710	
678573	383519	Valeria
678573	397018	
678574	77272	
678575	398014	Herself (Select Models)
678576	136460	Student in Self Defense Class
678577	386785	Susana
678577	398228	
678577	402686	María Lisperguer Flores
678577	403214	
678577	409283	Eva años 60
678578	236837	Nachrichtensprecherin (News b
678579	91268	
678580	97072	Marion
678580	148682	Katia
678581	222597	Belly dancer
678582	399936	Alex Olsen (sketches)
678583	226411	Herself/Host
678585	78535	Cornelia
678585	290271	Hopp-Majänn
678585	332555	Voice of Donna Amelia
678586	346413	Herself
678587	314484	Dancer
678588	86347	Michelle
678588	155803	Zangeres in Green Room
678588	198484	Pauline
678588	296671	Sexy waitress
678588	326453	Nancy
678588	326455	Nancy
678588	380747	Véronique
678588	386056	Nathalie (2002-)
678588	388299	Manou Van Steen (1993-1996)
678588	394697	
678588	407661	Nancy
678588	407662	Nancy
678589	233369	
678590	292097	
678591	260053	La signora Forester
678592	12092	
678592	343485	Gruas
678592	348047	
678593	116069	Policewoman
678594	404448	Paula Krüger
678595	166287	Colette Pons
678596	400217	Tara van Walsum (#1) (2003-20
678597	210954	
678598	32114	Insulin treatment nurse
678599	65628	Daycare Center Child
678600	8331	
678601	329839	Eleni
678602	324795	Classmate
678603	86084	Caro
678603	280743	Reneé
678603	384119	Candela Maza (1999)
678603	392609	Giuliana Parise
678603	397575	Caro
678603	401152	Flopy Morán
678603	405916	María
678603	409957	Josefina Vidal (1998, 2000)
678604	229248	Hoer #1
678605	222754	Party Girl
678606	245543	
678607	377999	
678608	189692	
678609	312363	Mrs. Klopp
678610	182292	Marte
678610	269250	
678610	382558	Tine (1998)
678610	392524	Programleder (host) (2004)
678610	396721	Host (2000)
678611	368754	
678612	368740	Techno Fan
678613	144114	Kleine Maarten
678614	165630	Tante Piet
678614	243170	
678615	50004	Karen
678616	186897	Lady Madonna
678617	222232	Voice Over
678618	54340	Female Reporter
678618	155912	Angry loudmouth
678619	319027	Shannon
678620	112280	Marcellina
678621	152594	
678622	218069	
678623	8998	
678624	295050	Girl in black 4
678625	87823	Rosie
678626	379784	'Biene' Dreher (1999-)
678627	20625	Extra
678627	75865	The Salesgirl
678628	153379	Alfdis
678629	100209	Blonde Woman
678629	347455	
678630	122320	Dark Lady
678630	220194	Gun Wall
678630	303666	Girl at the restaurant in Niz
678631	9232	Punica
678631	163038	
678631	341335	Umirovljenica
678631	398998	
678632	2464	
678633	145572	Classroom Woman
678634	139088	Air Force General
678635	39193	Christine
678636	356760	Familie Klostermann, Tochter
678637	356760	Familie Klostermann, Mutter
678638	356760	Familie Klostermann, Tochter
678639	356760	Familie Klostermann, Tochter
678640	199607	Dame de la Pension
678642	115269	Women Coalation Diner Patron
678643	19829	Dancing Girl
678643	24476	The Melancholy Danish - Hamle
678643	129579	Graduation Woman
678644	343665	Second Nurse
678645	119321	Bartfrau mit Akkordeon
678646	168395	Courtier
678646	213843	Madda Serafínová
678647	15080	Ursule Lepape
678647	102941	
678647	114786	La mère de Léon
678647	202240	La gitane
678647	224578	Marie
678647	309447	Madeleine
678647	376914	La grand-mère de Virginie
678648	40631	Office Employee
678649	108178	Anne, Bergs datter
678649	117902	Malla Hansen
678649	136635	
678649	187618	Lise Martens
678649	304976	
678649	334230	Wenche, deres datter
678649	340265	Sykepleiersken
678650	31189	Herself (CBS Team)
678650	31202	Herself (ABC Team)
678650	116209	Marcy Bowers
678650	195485	Herself
678650	328520	Cathy
678650	379832	Fran Linhart
678650	388980	Marcy Bowers
678650	396062	Cruise Director Judy McCoy (1
678651	58666	Judy Garcia
678652	312356	Barbara
678653	389138	Tjenestejente hos Løvdahl
678654	405931	Co-host
678655	631	
678656	337355	Ellen
678657	58243	Nurse
678657	95969	Amelka
678657	167078	Jaska Kulgawcowa
678657	219641	
678657	234954	
678657	237044	Roomer
678657	238095	Paulina
678657	271577	Anka
678657	358390	Danka
678657	369351	
678657	373733	Poznañska
678657	378546	Ewa
678657	384189	Joanna
678657	394585	Irena Kowalska (1997-1999)
678657	397622	
678657	401714	Ewa Wicherek
678657	404009	Krystyna
678657	409032	Ania Zawadzka
678657	410485	Dorota Wanat (1990-1991)
678658	33003	Groupie #1
678659	28862	Philomena
678659	39410	Elena
678659	154470	Woman
678659	171050	Michelle
678659	346044	Onetta
678660	275197	
678661	343671	
678662	134464	Stumme Nichte
678664	15907	Elsa
678664	57788	Grandma
678664	96938	Old Lady
678664	151207	Lorraine
678665	396874	Krankenschwester
678666	5134	Anita G.
678666	125313	Roswitha Bronski
678666	199014	Frau Pichota
678667	188754	Uli Schütte
678667	325675	Pitti
678667	325829	Andrea
678668	17778	Miss Turner
678668	101989	Mrs. Holcombe
678668	127159	Mrs. Herriman-Smith
678668	210278	Mrs. Watts
678668	217432	Mrs. Vanderveer
678668	251860	Mrs. Greenwood
678668	262142	Mrs. Sharon
678668	263911	Mrs. T. Ashbury Graves
678668	271221	Mme. Lavarenne Du Bois
678668	348362	Mrs. Millbanke
678669	11519	Icecream Vendor
678670	194181	
678670	229987	
678671	323594	Audition Singer
678672	359569	Lizzie
678673	230151	TV Production Assistant
678673	261986	Video Technician
678674	5131	Isolde
678675	256912	
678676	312882	
678678	18707	Marie
678679	75757	
678680	166660	Actress
678680	237541	Teacher
678680	265233	Women
678680	380553	
678681	181408	
678682	64750	Monika
678683	2781	VIP Patron
678683	41530	Jasmine
678683	41754	Victoria's Secret Saleswoman
678683	47172	Herself
678683	55725	Herself
678683	99330	Brumhilda
678683	157196	Herself
678683	165260	Katya Nadanova
678683	190010	Ursula Andress
678683	221423	Herself - Presenter
678683	221479	Herself (presenter)
678683	234672	
678683	311781	Model
678683	311785	Herself (Host)
678683	353499	Herself (Model)
678683	353500	Herself (Model)
678683	353501	Herself
678683	368589	Herself - Co-Host
678683	375827	Herself
678684	306464	
678685	245854	Analía
678686	245854	Analía
678687	110718	Hauptgefreiter Klumpp
678688	15179	Stien
678688	64662	Willem van Dalens dochter
678688	211131	Eva, Beets' dochter
678688	220226	Lena Doorn
678688	359680	Palmyra Hawks
678689	176970	Meg Sterling
678689	342675	Woman In Store (segment The S
678690	351245	Mother
678691	180912	Patientin Birkenhof
678692	33849	
678692	186890	
678692	314849	
678692	317497	
678692	325577	Frau Jakobs
678692	344997	
678692	358531	
678694	158140	Sasha
678695	313334	TV Studio Crew
678696	135366	
678697	70460	Martha
678698	74787	Prisoner Mankowiczka
678699	94423	Friedel Schütz als Kind
678700	222573	TV Reporter #3
678700	264722	Stewardess
678700	275876	Newscaster
678700	335016	Young Lillian
678700	340034	Georgia
678702	174686	
678703	44389	Kseniya Godunova
678703	303790	
678704	28258	
678704	28505	
678704	163040	
678704	198155	
678704	225928	
678704	234658	
678704	347307	
678704	349305	
678704	389747	
678705	316432	
678706	338165	Rita
678707	303094	Liluth
678708	77186	
678709	357461	
678710	192328	Goth Girl
678711	152979	Egg Girl
678712	116447	Cecilie (segment "Dressmann")
678712	383129	Kirsten
678712	385511	Irene Lund
678712	392072	Maggi Mjøs (1999)
678713	79449	
678714	270083	Baby
678715	220691	
678716	317843	Anna Naquin
678717	9603	
678717	286885	
678717	350728	Varvara-krasa
678717	357458	
678718	93422	
678718	129490	
678718	344209	
678719	237406	Maja
678720	178731	Dagmar
678720	291615	Pige/Girl
678720	344076	
678721	306314	Lucie
678722	144132	
678723	325413	Clara
678724	140203	Fanny
678724	189598	Stackmann's Stepdaughter
678725	42165	
678726	323399	Anita
678727	102263	
678728	102263	
678729	108576	Kristine
678730	102263	
678731	16565	Lone
678731	129054	
678731	203398	Dansende kvinde
678733	17597	
678734	192643	Herself
678734	395800	Herself (2001-2003)
678735	167250	
678736	109502	Renate Hirnschroth
678736	109504	Renate Hirnschroth
678736	109505	Renate Hirnschroth
678736	376387	Dr. Penelope Storm
678737	7091	Ma
678738	280610	
678738	283837	
678739	23054	Yustiniya
678739	236067	
678739	241004	
678739	286885	
678740	2621	
678740	89808	
678740	131279	
678740	132145	Secretary
678740	181319	
678740	239371	
678740	373483	
678741	253253	Marenka
678741	375413	Hanicka
678742	24422	Kiki
678742	58415	Mimi Speers
678742	78343	
678742	95264	
678742	119689	
678742	144129	Dora Michaelis
678742	155350	
678742	160600	
678742	166757	
678742	208144	
678742	225659	
678742	237631	
678742	268936	
678742	325438	Kathrin Grabosch
678742	325852	Carola Naumann
678742	325871	
678742	379811	
678742	380396	Ulli
678743	18437	Marie
678744	290109	
678745	314844	Sandra
678746	39714	Josyane
678746	121824	Stripper
678746	147278	Tina
678746	336649	Foster Mother
678747	119140	
678747	287221	
678748	170673	Sabine
678749	470	Petra
678750	169615	Sandra
678751	397912	Gisela (1992)
678752	226505	
678753	37691	Auditioning Girl
678754	225732	
678755	14901	Teresa
678755	81611	
678755	116345	
678755	186154	Cecilia
678755	251137	
678755	255061	
678755	316853	
678755	342105	Sonia
678755	396221	Raffaëlla
678755	399656	
678756	132247	Marshall Dance Team
678757	276404	Estudiante (Student)
678758	104965	Cowgirl
678759	142597	Gussie Granger/Ernestina Simp
678760	214430	Lori
678761	11713	Norrgårds-Greta
678761	211233	Norrgårds-Greta
678761	379764	Norrgårds-Greta
678762	181561	Helinä
678762	282516	Elina Jaakkola
678763	16989	
678764	161293	Herself
678765	70969	Sandra Sibley
678766	18953	Woman Who Lost Baby
678767	121404	Betty The Beast
678767	357586	Nurse
678768	166667	La fille du bar
678769	133850	Farmer's Daughter
678770	44280	
678770	234797	
678770	364461	Goldwyn Girl
678771	9034	Kitty King
678771	11468	
678771	26627	Mary Somerset
678771	30081	Vorencia
678771	31631	
678771	36973	Jo-Jo
678771	37410	
678771	49254	Randy Burns, Daily News Repor
678771	61932	
678771	69481	Maxine Travers
678771	71132	Ellen Manning
678771	77684	Sally Patter
678771	112241	
678771	113854	Betty Marshall
678771	113948	Sally Toby
678771	125902	The Girl in the Case
678771	128256	Arrested girl
678771	139231	
678771	140074	
678771	140166	
678771	140464	Paula Harrington
678771	144880	Helen Wilson
678771	146154	
678771	146191	Marion Hall
678771	147804	Herself
678771	155678	Nurse #4
678771	157888	Lila Miller
678771	183359	Wilma Howell
678771	186029	Peggy Kelly
678771	193741	Evelyn, the gang moll
678771	196299	
678771	199370	Alice Hicks
678771	203731	Judy
678771	214160	Barbara 'Babs' Alden
678771	220085	Jenny Williams
678771	221130	Reporter (What do you think o
678771	232000	Doree Dawn
678771	241361	The First Doris Waverly
678771	253124	Pauline Hargrave
678771	259230	Helen Regan
678771	262267	Herself
678771	272955	Peggy Gehrig
678771	279187	Mimi McDowell
678771	279539	Evelyn
678771	300900	Irene
678771	302888	Jennie Delano
678771	304963	Mary Smith
678771	305459	Irene Graham
678771	305775	
678771	310783	Mary
678771	313956	June Brady
678771	316124	Doris
678771	317980	Peggy Wilton
678771	326185	
678771	326193	Movie Star in Movie Clip
678771	330882	Mickey Steele
678771	331537	Barbara Penfield
678771	332887	
678771	343203	Secretary
678771	350451	Carol Winfield
678771	359102	Kathleen Murphy
678771	360767	
678772	80634	Sasha
678773	134675	Pretty Girl
678773	223913	Maid with towels
678774	10138	Drama Club Kid
678775	22919	
678776	89936	Mrs. Vinson
678777	82124	Herself
678778	105889	Pazuzu
678778	158920	Neighbor
678779	80481	Cop 5
678780	47320	
678781	391916	Herself (1986-1987)
678781	399342	Field Reporter/Co-Host
678782	317613	Freundin
678782	359638	
678783	35095	Helga Jordan
678783	119196	Marie
678783	164753	
678783	197146	
678784	86584	Marietje
678785	240568	Gail Russel
678786	198402	Kamilla
678787	77198	Daphne Alderman
678787	113933	Mrs. Hurst
678787	118393	Mocking Martha (Wedding two)
678787	215876	Air Stewardess
678787	285752	English video girlfriend
678787	334210	Lady Margaret
678787	393042	Caroline
678788	278620	
678789	357205	
678790	17052	Cora Zeiser
678790	159608	Siv Olsson
678790	182888	Anna
678790	187835	Lenya
678790	284558	Judith
678790	341295	Svenja Schweiger
678790	365580	Tanja
678790	394627	Schwester Nathalie
678791	139781	Crime Scene Tech
678792	182137	
678793	26362	
678793	357389	Britta
678794	215690	Herself - Celebrity Judge
678795	14966	
678795	234631	
678795	269115	
678795	344855	
678796	348396	Diane
678797	310829	Mrs. Mansell
678797	378976	Judy Adamson
678797	403777	Millie Penrose (1981)
678798	186061	Jean
678798	289396	Jennifer
678798	385891	Sandra
678798	406643	Graea
678798	407488	Florise
678798	407831	Maria Wallis
678799	15216	Molly Johnson
678800	290787	TV-Gesichtstrainerin
678802	405696	Dolly Meinertzhagen
678803	180822	Victim
678804	189669	Kathi Kofler
678805	265101	Peabody's Date
678805	395288	
678806	199639	Hide His Medication
678807	2234	Karen
678807	215367	Jennifer
678808	10924	Goth Polly
678808	362453	Woman in Park
678809	353362	
678810	41192	
678811	407884	Janis Bosmans
678812	457	Guest Star
678812	4813	Herself
678812	12450	Alraune
678812	28516	Martha
678812	34347	
678812	48401	
678812	56927	Catherine the Great
678812	58791	Gina
678812	81604	Hilde
678812	87111	Janine
678812	93491	Pirate Jenny
678812	103080	Anita Weidner
678812	107369	Susanne
678812	109502	Marlene
678812	110438	Countess Sobryanski/Fedora
678812	112816	Maria
678812	112971	Christine Fleming
678812	116325	
678812	122428	Rita Solar
678812	122593	Knef Hildegard
678812	125327	Sie
678812	126340	
678812	126477	Hilde Schaumburg-Garden
678812	127462	Elinor van Berg
678812	130723	Lorna Moon
678812	134804	Callgirl
678812	136610	
678812	140228	
678812	145333	Singer
678812	145648	
678812	156498	Lydia Bauer
678812	166428	Anna Quangel
678812	168886	Herself
678812	178873	
678812	184557	Madame Ixe
678812	186119	Laura Hunt
678812	189753	Lili Schallweiss
678812	194784	Eva Peters
678812	199559	Madeleine Durand
678812	202937	Bettina Mallison
678812	204516	Martina Schilling
678812	206224	Herself
678812	220707	Ilona Valdez
678812	225641	Susanne Wallner
678812	226333	Inge Hoffmann
678812	229540	Hildegard Knef
678812	232338	Lisa Muller
678812	306343	Countess Liz
678812	315816	Maria Luisa di Borbone
678812	316316	Herself
678812	317958	Lilli Hoffman
678812	320597	Trilby O'Ferrall
678812	322524	Marina
678812	341112	
678812	343680	Lore Olmer
678812	347766	Girl in Havelberg
678812	352103	Alwine
678812	359603	Lorelli
678812	359613	
678812	364872	(unfinished)
678812	366758	Lady In Black
678812	367421	Herself
678812	376459	Das Mädchen Kat
678812	381691	Baroness von Althausen
678812	409732	
678813	367421	Herself
678814	147660	Susan
678815	189892	
678816	206575	Herself
678817	97842	
678817	115812	
678817	259539	
678817	259663	
678817	259674	
678817	290712	
678817	379086	(part 2)
678817	410774	
678818	313980	Phyllis
678819	164542	The Hell Pigs
678820	92486	
678820	328211	Party Babes
678821	219181	Connie
678821	378788	Quixote
678822	145339	Maid
678823	330772	
678824	121739	
678824	162611	Young Jeanne
678824	352032	Chrissy
678825	10935	
678825	161470	Woman
678825	257297	
678826	113269	Brooke Halsey
678826	410687	Herfelf
678827	391056	Participant (2001)
678828	58312	Janjceva sestra
678828	188519	
678828	259316	
678828	305197	
678829	274668	Third Guest
678829	359149	Catholic School Girl
678830	351255	Herself
678831	34189	Herself
678831	85160	Vera
678831	406567	Biljanina sekretarica
678832	292980	
678833	170216	Herself
678834	166392	
678834	170214	Herself
678835	87325	Lady of the House
678835	109715	Young Gypsy Woman
678835	125569	
678835	221342	
678835	240087	
678835	328216	
678835	395028	Female Innkeeper
678835	405705	Sonja Vragec
678836	160826	
678836	314437	Vlasta
678836	349153	
678836	403622	
678837	84788	
678837	192892	
678837	251128	
678837	267858	
678837	320485	
678837	339023	
678837	349153	Lekarka
678837	357400	
678837	386362	Dragica Tucovic
678837	390660	
678837	395704	Zikina majka
678837	401927	Listerova zena
678837	401928	Listerova zena
678837	405506	Medicinska sestra
678837	406315	Gospodja Ristic
678837	406316	Gospodja Ristic
678837	406567	Patkova zena
678837	408837	
678838	104901	Girl
678839	313334	TV Studio Crew
678840	225778	
678841	4737	
678842	215122	
678842	263651	
678843	40208	Sefova zena
678843	89481	
678843	139513	
678843	142063	Anica
678843	192876	
678843	217290	Kosa
678843	236048	Vilma Novak
678843	259191	
678843	261234	
678843	270527	Milutinova zena
678843	273093	Kosa
678843	305197	
678843	307162	
678843	373602	
678843	375323	Minja
678843	385147	Sljivica
678843	402326	Zlatka Vrtirepka
678843	407442	Begovica
678843	408796	
678843	409296	Laurina mama
678843	409909	Marjeta
678844	382825	Herself (segment "Some Who Li
678845	21652	Younger Sister
678846	411994	Gisela Busmann (2001-)
678847	154629	Violet Clapoff
678847	302185	Becky
678848	16004	Julia
678848	33004	I.V. Nurse
678848	233481	
678849	222599	Reporter #1
678850	5152	Agnes Thurmond
678850	137689	Mrs. Blankenship
678850	161739	Landlady
678850	192250	Mrs. Neiderhoffer
678850	235443	Grandma Lemble
678850	304691	Liquor Store Woman
678851	84006	Jane Ellen
678852	109779	Esther Diener
678852	145057	Dancer
678852	375166	Maklerin
678852	376248	Anna Krone
678853	147252	Teamster Widow
678854	41883	Julia's kind
678855	307881	American Woman
678856	37117	Host #1
678857	104945	Herself (Interviewee)
678857	336682	
678858	347038	Melissa
678859	326192	
678860	245603	
678861	10366	
678861	327379	Rebecca
678862	16511	Herself
678862	32243	
678862	69615	Karen
678862	71289	Herself
678862	71291	Herself; Rudy Huxtable
678862	185228	Sophie
678862	192001	Molly
678862	201723	Herself
678862	220126	Letrice
678862	220212	Herself
678862	228969	Herself
678862	228970	Herself
678862	259755	Polly
678862	259775	Polly
678862	362132	Temple
678862	383755	Herself (4th Executed)
678862	385055	Rudith Lillian 'Rudy' Huxtabl
678863	39653	TV journalist
678863	164984	Diner Waitress
678863	216804	Admissions Woman
678863	217484	Waitress
678863	226901	Cocktail waitress
678863	308457	Cecille
678864	26291	Baby
678867	75031	
678867	241670	
678868	220487	
678868	239888	
678869	41581	
678869	208291	
678869	233703	
678871	291025	Kelly
678872	249557	Darlene
678872	256965	Pizza Girl
678873	384192	Becky
678874	96684	
678874	240061	Megan
678875	224763	Catou
678876	158920	Kitchen Worker
678877	3252	Herself - Performer
678877	240189	Performer
678877	249592	Performer
678877	260291	Performer
678877	388883	Presenter (2000)
678878	329844	Goopie Townfolk
678879	346222	Mrs. Stevens
678880	113286	Child
678881	248116	Student Nurse
678882	83839	
678882	126646	Sarah
678882	227173	The Old Lady
678882	302469	
678882	316307	Old Woman
678882	350012	Neely's maid
678882	402245	
678883	326511	
678884	333120	Streetwalker
678885	241533	
678886	222634	Julia Turner
678887	191667	Chloe
678887	324845	Aunt Tillie
678888	7745	
678888	7747	
678888	27255	
678888	97118	
678888	251739	
678888	292299	Foxy
678888	297923	
678888	303211	
678888	314134	
678888	321217	
678888	399420	Host
678889	231389	2nd Schoolgirl
678890	133343	Nurse Posse
678890	355159	Carey
678892	359205	Red Cross No. 1
678893	329938	Emcee
678894	241604	Goddess
678894	330057	Architect Babe
678895	55681	Nurse Willing
678895	55686	Jane
678895	208878	Birdie
678895	240030	Charlotte
678895	260842	Sheila
678895	354550	Patti
678895	393102	Clover Mason
678895	402124	First Lady Guest
678895	405992	Karen
678896	97940	Sophia
678897	316287	Jan
678898	26291	Baby
678899	213590	Katisha
678899	256621	Ruth
678899	286187	Herodias, Salome's Mother
678899	338618	Annina
678900	958	Herself
678900	1478	Herself
678900	1479	Herself
678900	1963	Herself
678900	2046	Herself
678900	2831	Herself/performer
678900	7591	Herself
678900	83899	Mona Lisa
678900	87985	Herself
678900	101053	Dr. Donna Robinson
678900	104994	Herself
678900	125998	Herself
678900	146637	Herself
678900	146639	Herself
678900	147745	Olivia Robidoux
678900	161228	Herself
678900	161235	Herself
678900	161258	Herself
678900	164613	Herself
678900	186641	Herself
678900	206813	Herself
678900	211844	Soloist
678900	212710	Herself
678900	220207	Herself
678900	220209	Herself
678900	256468	Maria Wilson
678900	272974	Herself
678900	289019	Herself
678900	295007	Herself - singer of the Sesam
678900	303293	Herself
678900	320430	Herself
678900	342403	Mrs. McCormac
678900	345648	Phyllis
678900	348550	
678900	368819	Herself
678900	380016	Herself (Judge)
678900	383762	Herself/guest panelist
678900	383926	Diana Richmond
678900	390147	Herself
678900	404381	Herself
678901	395417	Dr.Angie Travers/Moonlight
678902	126068	Wife in King Henry VII sketch
678903	392416	Herself
678904	288690	
678905	309473	Herself
678906	43437	
678907	46283	Grace Gatwick
678907	47355	Lillian 'Lilly' Brent
678907	73746	Sue
678907	127519	Cameo Appearance
678907	150797	Bebe
678907	183393	Jeannie
678907	190750	Shari de Gonda
678907	199272	Zeppelin Reveler
678907	274502	Chorus Redhead
678907	323373	Toni Ray
678907	329565	Appearance
678907	349554	Flo Heath, Band Singer
678907	358451	Toby Brown
678908	273786	Salesgirl
678908	297366	Switchboard Supervisor
678908	348327	Dancer
678909	65820	Philippa
678910	195376	
678911	12393	Elyssa Ferris (8-10 yrs)
678912	231827	
678914	26926	
678914	278543	
678914	301538	
678915	81062	Elly Vroot
678916	30618	
678916	205481	Isabella Carrillo
678916	312794	French Maid
678916	319498	Minnie Watts, his daughter
678917	13320	Dolores
678917	20591	Tiffany's Saleswoman
678917	21213	Voice in the crowd
678917	66589	Lucy Farrow
678917	73959	
678917	76820	Mother
678917	105263	
678917	185253	Eppe
678917	191857	Tina Weston
678917	217485	Penny
678917	224313	Barbara
678917	292715	Paralegal
678917	302710	Woman Physiotherapist
678917	313975	Patty
678917	346004	Velda
678918	42913	Circus Character
678919	176989	High School Girl
678919	368967	Part Girl #1
678920	160914	
678921	3919	Colleen
678921	205426	Roommate
678921	243934	Belgian Girl
678922	162529	Girl with Mikey
678922	309820	Ragazza Nick
678923	59179	Cathy
678924	31834	Woman at Jim's
678924	151304	Rachel
678924	304355	Suzy Belmont
678924	313142	Gloria Calvin
678925	79018	Landlady
678925	157314	Helen
678925	201959	Secretary
678925	315271	
678926	137568	Sue Bailey
678926	256578	Sister
678926	333047	Dorothy Lewis
678926	399130	Jean Richards (1986)/Tracey C
678926	402197	Sharon Gilmour (1980)/Terri M
678927	128577	Gloria
678928	408308	Turtle
678929	73841	Woman Border Guard
678929	143742	Cassandra
678929	167866	Angry Mom #3
678929	186156	Receptionist
678930	150880	
678932	78795	Additional Performer
678932	160469	Hilde Speer
678932	368190	Alison
678933	760	
678934	47838	Radio DJ
678934	127121	Robin Libby
678935	121554	
678936	23465	
678937	344635	
678938	39581	
678938	128241	
678938	149250	
678938	293017	
678938	343078	
678938	361211	
678939	286575	Alegra
678940	107020	Josie Allen
678940	200142	Vera Janus
678940	281998	Jill
678940	292166	Lynn Hamilton
678940	299516	Jenny Marsh
678941	306841	
678942	214662	1920's Flapper
678943	344151	Grocery Shopper
678944	5009	Lindsey's Mum
678944	7618	Edith
678944	21548	Celia
678944	40091	Lady Reading Poetry
678944	41890	Annabel
678944	53273	Penelope
678944	55708	Nurse Nightingale
678944	55715	Felicity Wheeler
678944	60296	Pam
678944	77212	Brigid Stewart
678944	87512	Dr. Abbeydale
678944	163228	Mrs. Ramlin
678944	164398	Cook
678944	178286	17th Waitress
678944	183834	Mrs. Evelyn Barnes
678944	214873	Mrs. Willow
678944	239568	Mrs. George
678944	240754	Barbara
678944	252848	
678944	258005	Madame Desneuves
678944	263544	RADA Judge
678944	282689	Lady Charlotte
678944	294222	Natasha
678944	307566	Receptionist
678944	313844	Helene de Sisi
678944	328754	Mrs. D'Urberville
678944	329973	Nurse
678944	335098	Mrs. Fitzpatrick
678944	346938	
678944	362472	Felicity Wheeler
678944	362855	Miss Pring
678944	365560	Miss Walsh
678944	381685	Great-aunt Effie
678944	390074	Beryl Merit
678944	392445	Ruby Pugh
678944	393162	Edith
678944	396964	Charity
678944	398972	Margot Asquith
678944	401214	Sister Grice
678944	406936	Mrs. Hargreaves
678944	408234	
678944	409648	Jim's Mum
678945	129092	Teacup Child
678946	170845	Merla Twine
678947	47279	Lila
678948	41152	Donna Allen
678948	118951	Trudy Morton
678948	140185	
678948	159421	
678948	324983	Herself - in scenes from 'The
678948	328524	Sally Kemper
678948	328619	Helene/Ghost of Ilsa The Baro
678948	332055	Roxanna Ledbetter
678948	337075	Mistress Shore
678949	291280	
678949	306916	
678950	75581	Jennifer
678951	288960	Herself (segment "The Winter'
678952	116502	
678953	220840	
678953	318091	
678955	102850	Herself
678956	1789	Annaliese Graese
678956	2262	Herself - Featured Actress Wi
678956	2762	Nominee Leading Actress in a 
678956	3048	Jo Beth Anderson
678956	16668	Elanora Davis
678956	21448	Beverly Connelly
678956	26293	Sylvia
678956	33964	Donna
678956	35781	Hannah Meredith
678956	37948	Joe Hunt's mother
678956	49485	Katie
678956	57928	
678956	58898	Barbara Harlich
678956	61774	Aunt Bertha
678956	67390	Edith Niedelmeyer
678956	70305	Margaret
678956	71496	Terry
678956	71635	Angie Peterson
678956	71735	Georgie Elgin
678956	76526	Betty
678956	78771	Reenie Flood
678956	81140	Mona Dickens
678956	82025	Genna Kudirka
678956	85611	Edie Danziger
678956	88090	Necie Rose Kelleher
678956	95530	Lula
678956	95784	Joan Hart
678956	100954	Ann
678956	109832	Donna Minkowitz
678956	114632	Sister Maria
678956	115481	Caroline Gordon/Stevenson
678956	116087	
678956	120226	Eliza Birdwell
678956	121208	Mrs. A
678956	134694	Polly Andrews
678956	147300	Mom
678956	151092	Erica Hayden
678956	155261	Grace Kennedy
678956	155888	Mary Donnelly (segment "1952"
678956	159200	Peggy Buckey
678956	161212	Herself
678956	170147	Barbara Banister
678956	176379	Actress in Clip of The Rain P
678956	189530	
678956	191676	Doris Knight
678956	201261	Emily
678956	203489	Grace Postlewait
678956	206373	Harriet Winslow
678956	206823	Esther Melville
678956	209413	Phyllis Lenahan
678956	220041	Bess Warden
678956	221227	Mrs. Ashboro
678956	224117	Jewel
678956	245531	Peggy Leydon
678956	246025	Aunt Claire
678956	249367	Martha
678956	254290	Polo
678956	255264	Bit Part
678956	257764	Frau Lagerfuhrerin Maria Mand
678956	264499	Virginia
678956	265749	Jolene Maggart
678956	271195	Natalie Ravenna
678956	276850	Joan Aldrin
678956	286298	Nancy Plummer
678956	292460	Aunt Fergie
678956	292784	Beatrice
678956	294079	Jerolyn, the Sender's Mother
678956	296273	
678956	296768	Mrs. Potter
678956	296840	Joanne Tregaskis
678956	296847	Mrs. Finch
678956	307975	Irma Cill
678956	315131	Sally Ann
678956	317264	Mom Smalley
678956	321145	Heavenly Finley
678956	321295	Ann Denver
678956	329343	Lea
678956	332365	Tibetan Voiceovers
678956	334289	Rinda
678956	347111	Delia
678956	360745	Gram
678956	366821	Edna Reinecker
678956	370668	Esther
678956	380240	Edie Wren Cox
678956	382925	Mrs. Newcomb
678956	396423	Estelle Winters
678956	410959	Edna Larson
678957	53943	
678957	237648	Director
678957	247885	
678958	188941	
678959	1247	
678959	21942	
678959	116813	
678959	128851	
678959	230541	
678959	349969	
678960	73606	Sunny
678960	360772	Joanne
678961	285366	
678963	754	
678963	759	
678963	764	
678963	766	
678963	767	
678963	768	
678963	770	
678963	34843	
678963	34904	
678963	74314	
678964	224351	Pasqua
678965	6720	Herself
678965	26766	
678965	27237	
678965	36941	
678965	70101	
678965	83812	
678965	83813	
678965	89887	
678965	110981	Kiki
678965	143064	
678965	150634	Bride
678965	178324	
678965	178923	
678965	186800	
678965	193931	
678965	232452	
678965	236349	
678965	273469	
678965	274133	
678965	292387	
678965	292605	
678965	305523	
678965	316632	
678965	346893	
678966	114958	Waitress
678966	213142	
678968	24296	Bethany
678968	307964	Megan Anderson
678969	113886	Princess #1
678969	155070	Mob Woman
678969	195526	Laura Graham
678969	370118	Sally McDonald
678969	370869	
678970	375936	Zoe (Teen)
678971	380005	Gold (1989-1992)
678973	26531	Waitress
678973	47857	Prostitute
678973	52199	Nude Woman
678973	70389	Brenda
678973	71486	
678973	72116	Tracy/Reen
678973	76562	Billy
678973	108477	Nurse
678973	155310	Lil
678973	199138	
678973	201728	Kristen Parker
678973	216127	Peggy
678973	230743	Herself
678973	232456	Kristen Parker
678973	252924	Charlene Podaras
678973	263057	Shawn
678973	265684	Porn Girl in Waiting Room
678973	265761	Roberta Palmer
678973	313511	
678973	316930	Anna
678973	326387	Technician
678973	327298	WHK Receptionist
678973	352962	Herself
678973	364232	Eve Cody
678973	378781	Joy Rule
678973	389858	Val (1987)
678974	375690	
678975	50351	
678976	304355	
678977	128718	
678978	155877	
678978	161186	Attorney's Wife
678978	219149	
678978	306923	Herself
678978	342072	
678979	357150	
678980	2765	Herself
678980	33940	Juliette 'Jules' Paxton
678980	68164	Young Judith
678980	82104	Jogger
678980	89959	Domino Harvey
678980	102108	Herself
678980	122908	Kate
678980	147496	Frances 'Frankie' Almond Smit
678980	160016	Young Celia
678980	164566	Jackie
678980	177267	Guinevere
678980	195300	Juliet
678980	230871	
678980	256630	Narrator
678980	256632	Elizabeth Swann
678980	263558	Elizabeth Bennet
678980	264191	Gwyn
678980	267426	Louise
678980	282608	Little Girl
678980	292037	Helena
678980	297995	Herself
678980	313474	Sabé, Queen's Decoy
678980	332133	Music School Student
678980	338827	The Princess
678980	354488	Natasha Jordan
678980	386589	Lara Antipova (neé Guishar)
678980	400110	Rose Fleming
678981	117665	Perfect Girl
678982	136287	Mrs. Kruger
678983	29676	Secretary Jill
678983	84924	
678983	338553	Bartender
678983	360470	Lucy
678984	343160	Girl
678985	176989	Elizabeth
678986	306908	
678987	91563	
678987	179003	
678987	291020	
678988	409578	Nicky Hall
678989	11364	
678989	13866	
678989	32591	
678989	34907	Herself
678989	35390	
678989	39281	
678989	41076	Herself
678989	49087	
678989	52418	
678989	52419	
678989	66761	
678989	85795	
678989	127821	Girl on videotape
678989	144420	
678989	154125	
678989	175407	
678989	187414	Herself
678989	202787	
678989	218759	
678989	233693	Ebony & Ivory
678989	241138	
678989	241359	
678989	241560	
678989	257444	
678989	257781	
678989	264034	
678989	270439	
678989	295795	
678989	348026	
678989	368794	
678990	159421	Dr. Lisa Kelner
678991	17475	Prisoner
678991	55417	Small Town Woman
678991	254582	Lucy (the maid)
678991	312291	Emma (waitress)
678991	312787	
678992	122393	
678993	101496	
678993	142818	
678993	153658	Sanna
678993	189899	
678993	357793	Mia
678993	380247	Anna
678993	392553	Kaisu
678993	402867	Various characters
678993	405347	
678994	62922	Marie
678994	107924	Olga
678994	342335	Nurse at sanatorium
678995	669	Hospita
678997	207497	Renevskaya (segment "The Cher
678997	258135	
678998	189782	Frau Markwart
678999	99570	
678999	328516	Kate
679000	240473	Villager
679001	240473	Villager
679002	132217	Female Punker
679002	209918	Customer
679003	189433	
679004	77552	
679005	93302	Dani
679005	100008	Marie & Native Girl
679005	300180	Al Torres' Girl
679006	62925	Mme. Concordia
679006	321130	Sarah Whitelaw
679007	1300	
679008	277098	Nurse in Hallway
679009	259447	Irmgard
679009	259592	Thea
679009	272913	Mutter
679009	290048	
679010	186847	Lily double
679011	62957	Villager/Lost Soul
679012	69167	Herself
679013	5215	Arianna
679013	160219	Blue
679013	288932	Jessica Russell
679015	351910	
679016	127102	Phoebe
679016	343318	Beautiful Woman
679016	349896	White Trash Mom
679016	372878	Hooker Actress
679017	390053	Host (Challenge/Free & Fun) (
679019	390053	Host (Challenge/Free & Fun) (
679020	24392	Anna
679021	300528	
679022	7498	Chorus Girl
679022	27112	Blonde
679022	36985	Secretary
679022	41759	Guest at Cocktail Party
679022	41930	
679022	66042	Girl
679022	73766	
679022	105729	Mrs. George Nyle Caswell
679022	158711	Hat Check Girl
679022	168858	Girl
679022	284926	Lee Crane
679022	334162	WAC
679022	343160	Girl
679022	372093	400 Club Chorine
679022	403074	Herself
679023	42202	Bankkollegan
679024	173884	Lisa
679025	50374	
679025	128633	
679025	327782	
679026	29446	Moira
679026	97035	
679027	318540	Additional Voices
679027	380473	Additional Voices
679028	375529	Mother
679029	40779	Moderatorin
679029	259460	
679029	259599	Tanja
679029	317276	Ulrike Bach
679030	357839	Vénus
679031	300506	Marissa
679032	228246	Herself
679032	394912	Lidwientje Walg
679033	375508	Mrs. Simpson (bikini girl)
679034	252787	
679035	367826	
679036	322527	
679037	198432	Marie
679038	57001	Waitress
679039	268029	Cindy
679040	264158	Trolley Tourist #2
679041	159145	Maria
679042	350221	Friday Secretary
679043	410165	Gisela Oechsler-Bartsch
679045	151460	Partygoer
679046	191760	Receptionist
679047	62785	Star
679047	363560	Grocery Store Dancer #2
679048	189782	Baby Hase
679049	260362	Min
679050	14063	Herself
679051	67934	Mieke
679052	298483	Die Polizeipräsidentin
679053	57858	Clorinda
679054	187827	Juffrouw van der Linden
679055	83355	Soeur Darlène 2
679055	346642	Une supportrice
679056	347194	Herself
679057	70359	Recipe Woman
679058	33393	Cindy Pomerantz
679058	40130	Heather
679058	40450	Samantha
679058	113385	Harriet
679058	114435	Heather
679058	194348	Herself
679058	208963	Daphne
679058	232201	Jimmy's Wife
679058	258027	Amity
679058	297190	Gorgeous Tanya Peeler
679058	337367	Nikki Torman
679058	359063	Tammy
679058	362543	Tracey Kimberly
679058	374593	Mimi
679059	302467	
679060	213299	Fairy
679061	262033	Old Woman
679062	270752	Gus
679063	196387	Rita's niece
679064	242255	Medicine Student
679065	89572	
679066	140192	Second Mrs. Crain
679066	391680	Selena Neame
679066	398990	Mme. de Montesquiou
679067	79616	Bus Driver
679067	214339	Tomrerkonen
679067	292061	Herself
679068	211120	Eliante
679068	381515	Katja Seeberg
679069	12839	Anna
679069	47044	Mimi Huygens
679069	79187	
679069	95262	
679069	97435	Veverl
679069	102379	
679069	111955	
679069	121052	
679069	122607	
679069	126846	Dorle Weber
679069	134222	Anna Leitner
679069	140241	Else Kuschitzky
679069	142011	
679069	142023	Resi
679069	142053	
679069	142054	
679069	156714	
679069	159858	
679069	171564	Friedls Mutter
679069	185986	Vroni
679069	186984	
679069	204512	Jane Berry
679069	225181	Helga Christmann
679069	254360	
679069	264347	Hanna Hofer
679069	278869	
679069	278996	Janka
679069	290171	
679069	290686	Lo Petri
679069	290775	Anna-Maria Schragg
679069	322527	Vevi
679069	351939	Charlotte Böller
679069	358538	Beda
679069	358542	Marianne von Soden
679069	361431	Charlott van Doeren
679069	375085	Saffi
679070	261308	
679071	150762	Renata
679072	101010	Granny
679072	110075	
679072	127994	2nd Woman Patron
679072	221343	Old Neighbor
679072	261380	
679072	270949	Betty
679074	239671	Blossy
679075	325825	
679076	79328	Babette Drummbach
679076	92530	Frau Chabre
679076	108148	Mutter Hesselbach
679076	108149	Mutter Hesselbach
679076	198249	Schwester Braddock
679076	200429	
679076	219288	Helga, Jaul's girl
679076	225165	
679076	290650	Frau Marbach
679076	317467	Nurse Ursula
679076	352103	Eliese Starosta
679077	359084	Shirley
679078	292496	Woman with Dan
679079	5819	Charity Kidder
679079	7175	Clifford Townsend's mother
679079	7620	Mrs. Harper
679079	7921	Mrs. Davis
679079	10608	
679079	14609	
679079	21538	Mrs. St. John
679079	26665	Mrs. Stuyvesant
679079	31930	Madame Fanchette
679079	40110	Mrs. Venable
679079	46394	Mrs. Marshall
679079	47353	
679079	58169	John Carclay's Mother
679079	58619	Mrs. Mary Kilbourne
679079	65768	Mrs. Nelson
679079	68475	Mrs. West
679079	72017	Jules' Mother
679079	73123	His Mother
679079	77993	Aunt Sarah
679079	78096	Aunt Sophia
679079	78912	Lady Mary Constable
679079	82064	Patient
679079	89650	Mrs. Biggers
679079	95458	Mrs. Latham
679079	95722	Hannah Butler
679079	95859	Aunt Mehitabel
679079	96815	Mrs. Hare
679079	98143	Sparks' mother
679079	107446	Miss Willoughby
679079	110333	Mrs. James Sexton
679079	113312	Conroy's Mother
679079	115619	Mama Madison
679079	119476	Mrs. Lowell
679079	124263	Billy's Mother
679079	126143	Cranston's Mother
679079	128960	Townswoman
679079	130315	Mother
679079	135609	Martha
679079	141339	Mrs. Prendergast
679079	142257	Mrs. Burbeck
679079	144755	Mrs. Hanrahan
679079	145709	Mrs. Endicott
679079	146097	Mrs. Glenny
679079	148181	Mrs. William Rankin
679079	148542	Sarah Webster
679079	151001	Mrs. Rourke
679079	153215	Mrs. Appleton
679079	154874	
679079	155837	Idylwood resident
679079	157763	Mrs. Manners
679079	158578	Johnny's Ma
679079	159439	Mary Hildreth
679079	175624	
679079	175836	Mrs. Manning
679079	177405	
679079	190159	Mother Dowen
679079	191766	Mrs. Bradley West
679079	192386	
679079	195638	Mrs. Gregory
679079	196855	Mrs. Lee
679079	197699	Ma Dent
679079	202933	Mrs. Hardy
679079	206390	Mrs. Heathe
679079	210875	Mrs. Healy
679079	244798	
679079	245729	Ma Winters
679079	249109	
679079	251266	Mrs. Towne
679079	251408	Mrs. Howe
679079	252880	Aunt Sarah
679079	257799	Miss Seraphina
679079	258914	Matron
679079	263173	
679079	263322	Mrs. Dunbar
679079	263943	Mrs. Armstrong
679079	270465	Mrs. Grant
679079	280297	Mrs. Rhodes. "Rocky's" Mother
679079	281874	Mrs. Kirby
679079	291160	John's Mother
679079	300011	Clarissa Sedgwick
679079	312555	Mrs. Thornton
679079	318172	Widow Stickney
679079	319459	Mrs. Higgins
679079	331126	Mrs. carney
679079	341965	Mrs. Bascom
679079	346928	Mrs. MacLaughlin
679079	362202	Aunt Charlotte
679079	363610	Jim's Mother
679079	367564	Jean's Mother
679079	367798	Mrs. Abigail Doon
679080	98149	Matt's Mom
679081	402943	Herself
679082	290449	
679083	43919	Gypsy Girl
679084	12394	Lynn Gordon
679084	14157	Lynn Clarkson
679084	66593	Patron
679084	147867	Barbie
679084	170843	Waiting Room Woman
679084	400236	Cally Stevenson Buchanan (198
679085	26074	Ty-Dy's Mom
679085	105884	Mrs. Lansing
679085	238043	Celimene DuBois
679085	241630	Myrna
679085	276868	Opie's Receptionist
679085	353295	Mavis
679085	353296	Mavis
679085	353299	Mavis
679086	106542	Teacher
679086	212049	Deni
679086	326105	
679087	198105	
679088	411449	Hajime Yagi
679089	225755	Herself
679091	57560	Cecil's Mom
679091	87432	Woman Motorist
679091	117136	Grandma Yoder
679091	137259	Mrs. Shipley
679091	189314	Midwife
679091	210732	Nurse
679091	251646	Friend of Mary
679091	294798	Court Groupie
679091	299944	Aunt Ida
679091	320263	Justice Lowell's Secretary
679092	379741	Regular Performer (1997-2000)
679092	388672	Herself/panelist
679093	6614	Mrs. Mason
679093	11455	
679093	19885	
679093	68228	Mrs. Rawls
679093	73403	
679093	82354	Undetermined Role
679093	82705	Señorita Selina Rossi
679093	94893	
679093	107415	Madame Ohnet
679093	121559	The Duenna
679093	128655	Eunice Rathbone
679093	129109	Mrs. Knight
679093	143449	The Washerwoman
679093	160047	Aunt Lottie
679093	191272	Smith Sister
679093	201936	Miss Osgood
679093	206379	
679093	206593	The Frump
679093	234077	The Old Maid
679093	240766	Aunt Emily
679093	267377	Saraphina Winters
679093	283876	The School Mistress
679093	288434	Emmeline Ardway
679093	292638	Mrs. Martin
679093	317162	Mrs. Jane Rutherford
679093	320015	A Customer
679093	324255	Cook
679093	362700	Rebecca Standish
679094	11582	Marianna Van Horn
679094	16916	Laury, as a child
679094	18197	Florence Udney
679094	21509	Esther
679094	29942	Julia Blaine
679094	47364	Co-ed in Drugstore
679094	52427	Ruth as a Girl
679094	64671	Annie
679094	69236	Maria, the little girl
679094	69673	Frances Lennox, as a Child
679094	96989	Gwen
679094	144617	Imogene
679094	153183	Anne
679094	156939	Jessie Pullman, Age 8
679094	171075	Gwendolyn
679094	192408	Amy's classmate
679094	205724	Princess Thérèse
679094	210871	Patricia Falconer at Age 18
679094	212102	Little Girl in Tea Room
679094	216234	Little Cosette
679094	253467	Agnes Wickfield as a child
679094	271230	Lucille Layton
679094	300062	Kim as a child (at convent)
679094	304606	Girl
679094	308354	Isabel as a Girl
679094	360191	Julie Kriza
679094	367595	Flora at Age 9
679094	367835	Janet Fields
679094	368383	Selma, as a Child
679095	62925	Mrs. Pierce
679096	411859	Regular Performer (1951-1952)
679097	168485	
679097	277074	Herself
679098	24940	Lucy
679099	1487	Herself
679099	1673	Herself
679099	1674	Herself
679099	1682	Herself
679099	1737	Herself
679099	1743	Herself - Performer
679099	2258	Herself
679099	2331	Herself
679099	2549	Herself (performer)
679099	2581	Performer
679099	2626	Herself
679099	2721	Herself
679099	2765	Herself
679099	24429	Foxxy Cleopatra
679099	47174	Performer/Herself
679099	55243	Carmen
679099	63043	Herself (singer)
679099	63044	Herself
679099	69079	Performers
679099	84209	Guest/Performer
679099	84210	Herself
679099	103906	Herself
679099	112601	Lilly
679099	161230	Herself
679099	199129	Herself
679099	208475	Herself (#2) (Interviewee)
679099	212710	Herself
679099	212713	Herself
679099	215932	Herself
679099	221426	Herself & performer
679099	221434	Herself
679099	221483	Herself/Performer
679099	234149	Herself
679099	256260	Xania
679099	260291	Herself/Performer
679099	273900	Herself
679099	273902	Herself/Performer
679099	274572	Herself
679099	311156	Herself
679099	319525	Herself (National Anthem)
679099	320121	Herself
679099	326662	Destiny's child
679099	352974	Herself
679099	352976	Herself/Performer
679099	353500	Herself (Performer)
679099	358818	Herself (Destiny's Child)
679099	368429	Herself
679099	392423	Herself
679100	58002	Motorbike Girl
679101	84829	Webster's Assistant
679101	217745	Christmas Student
679101	395596	Player
679102	124115	Ballet Performer
679103	390032	Catherine Adams
679103	411500	Sybil Hallow
679104	43596	Skipping Girl
679104	215860	Child at Party
679105	105281	Stacy
679106	107265	Tatooed Pierced Girl #2
679107	78951	Mona
679107	171279	Mona
679107	183669	
679107	274343	Shirley
679108	55170	Joan
679109	396353	Staff Nurse
679110	405217	Shop Assistant
679111	249265	TV Interviewer
679111	391786	Lorraine Wilson (2000)
679111	397740	Janis Steele (2003-)
679112	315237	
679113	411830	Herself (1975-1980)
679114	313778	Pauline Day
679115	87747	Trish
679115	120868	Julie
679115	222778	Young Woman #2
679115	370644	Abby
679116	138003	Additional Voices
679117	159770	Beth
679118	2258	Herself
679118	161230	Herself
679118	168776	Nikki Johnson
679118	402343	Chanel (2002)
679119	331872	Minda
679120	190096	Jasmine, 4 Years Old
679120	258103	Ginny Larsen
679121	161230	Herself
679123	84931	Sarah
679124	115573	Screaming Girl
679125	237783	Caroline Colucci
679125	253059	Wanna-Be
679125	267653	Beverly
679125	380713	Tracey Donley (1994-1995)
679125	411414	Hal (1997-1998)
679126	646	Warden Clark
679127	242089	Ann
679128	70883	Rita Sullivan
679128	82168	Herself
679128	131771	
679128	367854	Rita Littlewood/Fairclough/Su
679128	385020	Rita Littlewood/Fairclough/Su
679129	103244	Rape victim
679130	190422	Rowena
679130	330199	Margaret
679131	41921	
679132	38512	Mrs. McBride
679133	411941	Anchor (2000-2001)
679134	294909	Older Woman
679135	147980	Meryl
679136	119536	Marjorie
679137	11141	Co-ed
679137	19557	Duenna
679137	20536	Jerry Van Dyke
679137	39528	Ruth Frazer
679137	90229	Mercedes Colby
679137	116523	Herself
679137	116891	Eileen Drake
679137	117804	Kate Allison
679137	125862	Anne Howe
679137	128173	Angela
679137	128256	Judith Wilson
679137	140550	Betty Barkley
679137	144447	Pat Rogers
679137	146759	Nurse Peggy Osborne
679137	154832	Ann
679137	168262	Anne Howe
679137	168265	Anne Howe
679137	168266	Anne Howe
679137	168269	Anne Howe
679137	168271	Anne Howe
679137	175119	Suzanne
679137	190858	Lillian Russell's Sister
679137	191038	Linda Prentiss
679137	215637	Barbara Snodgrass
679137	215981	Alice Taswell
679137	218769	Louise Ferguson
679137	222334	Isobel Evans
679137	298509	Mary Carson
679137	306595	Patricia Williams
679137	313295	Girl
679137	321375	Betty Allen
679137	324570	Jeannie
679137	329987	Claire Adamson
679137	335882	Helen Gray
679137	358453	Nurse
679137	360123	Marian
679137	372935	Pamela
679138	374281	The cleaning lady
679140	7212	Ms. Foreperson
679140	140361	Mrs. McQuinn
679140	141180	Nurse #4
679140	144674	Mother of Baby
679140	176905	Guest
679140	222721	Sherry
679140	245460	Carol
679140	275880	Wendy Wyckham
679141	265310	
679142	10656	
679143	231904	Dream Vampire #1
679145	242797	American Soldier
679145	280081	Roxy dancer
679146	140658	Bridget, age 6
679147	203243	Shopper
679148	18617	Party Girl
679148	50097	Blonde on Street
679149	367575	
679150	20502	Gladys
679150	103300	Kathe Solotkin
679150	116030	
679150	128342	Smitty
679150	133949	Mona
679150	147394	Escort Girl
679150	147418	Katie Wayne
679150	165175	'Invented' girl
679150	176359	June Travers
679150	184955	Change Girl
679150	254283	Mazola Petty Girl
679150	281937	Mrs. Byron
679150	325119	Slave Girl
679150	332107	Alice Scott
679150	343160	Girl
679152	44294	Amy Sloane
679152	56103	Peewee Dixon
679152	64090	Showgirl
679152	64878	Kate Nelson
679152	82378	Teen
679152	106107	Waitress
679152	114845	Dancehall Girl
679152	114909	Belle
679152	125915	Matilda Boggs
679152	128700	Jean Moon
679152	141311	Showgirl
679152	153985	Vera Moore
679152	160711	Hat Check Girl
679152	165268	Belle Calhoun
679152	183638	Mabel
679152	202934	
679152	203006	Girl Welder
679152	215748	Hostess
679152	230953	Telephone Operator
679152	237584	Bubbles
679152	260864	Gladys Burns
679152	261484	Hannah
679152	262307	Linda Lattimer
679152	292816	Flo
679152	301687	Dolly Darling
679152	302603	Sue
679152	302697	
679152	316672	Undetermined Role
679152	337468	Nurse-Receptionist
679152	337608	Belle Blaine
679152	360837	
679152	370537	Chorine
679153	292750	
679154	11251	Prostitute #3
679155	54745	Judy Monk
679155	224644	Marget
679155	330444	Make-up Artist
679155	391882	Sarah Palmer (Series 1-2) (19
679155	396181	32C (series 2)
679155	402141	Louise Ballinger
679156	406459	Herself/graduate
679157	141257	Jim Santiago
679157	162460	Frank Delvechio
679158	94273	Arnes kone
679158	323958	
679159	402525	Herself (Kronikdebatør)
679160	279804	Herself
679160	403536	Herself - Participant (1999)
679161	147888	Lucchesi's Girl Friend
679162	324479	
679163	341540	Phrynette
679165	205930	
679166	136634	Lotte Henningsen
679166	154319	Elsebet Petersen
679166	318532	Lise Jeppesen
679166	360846	Bet
679167	99574	
679168	306055	
679169	214335	
679170	275225	Tarmfolkskvinde/1. Sygeplejer
679171	129720	
679172	243473	
679173	365716	
679174	182602	Irene
679174	373985	Sisse
679175	358437	Robyn
679176	35167	Nora Collins
679176	37334	Mona Mars
679176	44884	Ellen Miller
679176	70534	Cora
679176	131534	Billie Jean
679176	137493	Sally Ferris, alias Sally Par
679176	145316	Nell Bromley
679176	152656	Florence
679176	163085	Marge Boyle
679176	224421	Eileen, the leading lady
679176	230390	Nancy Graham
679176	253115	Pat Ferris
679176	281998	Martha
679176	296776	Louise Ryder, Eric's Ex
679176	312981	Daisy Otis
679176	315123	Diedre
679176	340535	Dale Kent
679176	345724	Elaine
679176	346900	Claire
679176	405758	April Adams (1955)
679177	124795	
679178	2674	Anne
679178	2681	Anne
679179	78267	Herself - Presenter
679179	89332	Grace
679179	93520	Woman
679179	101124	Sus
679179	107655	Louise
679179	108621	
679179	121457	Rita
679179	147018	Herself - Receiving donations
679179	188352	Julie
679179	208284	Max
679179	213431	Bibbi
679179	215067	Mona Petersen, Dennis' mor
679179	217785	Mona
679179	219876	Julie
679179	279619	Herself - Interviewee (audien
679179	291686	Katrine
679179	314846	Sally
679179	332195	Sidse
679179	354469	Olga Holmgård
679179	383948	Helle, Gøgler
679179	386988	
679179	393566	
679179	393875	Mercedes
679179	402314	Nina Kutpreka
679179	406755	
679180	159867	Sister
679180	357303	
679181	298425	
679182	312018	
679183	174444	Pige i Par
679183	309294	Sexbombe
679184	23535	
679184	70939	
679184	146362	Model in photo-studio
679184	199315	Anne-Marie
679185	302287	Sim
679185	302289	Sim
679186	74188	Mrs. Maxton
679186	162379	Girl
679186	183657	Mabel
679186	209587	Marie
679186	241309	Alice
679186	285095	Donnelly
679186	308338	Theda
679186	347136	Clerk
679187	127488	Katrine
679187	404385	Model
679188	213446	
679189	399816	Lorelei Wilkinson (1974)
679189	409571	
679190	381200	Amanda
679190	383727	Sandra Moutinho
679190	386123	Young Andréa
679190	387838	Helena Bernardes
679190	396610	Laura (1997)
679191	247626	Klaudia
679191	290070	Polish girl
679191	401666	Wölfin Elsa
679192	140264	
679192	140265	Fräulein Kleiber
679192	140266	
679192	178781	Schester Genoveva
679193	400	Security Guard
679195	211382	Samantha
679196	318673	Twyla
679197	140901	Laura
679198	377320	
679199	205498	Waitress
679200	86319	Olga The Barmaid
679200	121832	Extra
679200	126709	Rachel, the Coatgirl
679201	277088	Pi-Delta-Pi
679202	192822	Kantinedame
679202	218974	Hanne
679202	386347	Herself (episode 1.8 "2000")
679202	387726	Line (2004)
679203	238780	
679204	93516	Majken
679205	174779	
679206	173377	
679207	9217	Monkey Chichi
679207	262644	
679208	259056	
679208	356415	
679209	258684	
679210	147152	
679211	82733	Satan
679212	58509	
679213	32820	Jenna Stannis
679213	76945	Joyce Carmody
679213	77198	Mandy Burton
679213	94742	Jenna Stannis
679213	243064	Jenna Stannis
679213	382191	Jenna Stannis (1978-1979)
679213	387533	Kate Hughes/Sugden (1985-1991
679213	389859	Nurse Rowland
679213	401778	Peggy Price
679214	180187	
679215	399925	Tante Paula
679216	166613	
679216	170325	
679216	371148	Yo-seob
679217	53993	Mery Red
679218	236764	
679219	286658	
679219	372982	
679219	373250	
679220	5646	
679220	89819	
679220	94440	
679220	128994	
679220	156042	
679220	159409	
679220	166012	
679220	167603	
679220	228688	
679220	267491	
679221	162516	Karen
679221	329920	Ally
679222	2642	
679222	7259	
679222	7260	
679222	7359	
679222	8328	
679222	16584	
679222	36617	
679222	37612	
679222	38754	
679222	38786	
679222	43041	Eun-ok
679222	43623	Additional voice
679222	49190	
679222	49424	
679222	60603	
679222	60605	
679222	60620	
679222	60646	
679222	63493	
679222	77124	
679222	77167	
679222	78205	
679222	79216	
679222	89458	
679222	90597	
679222	102052	
679222	102073	
679222	122832	
679222	122876	
679222	123555	
679222	126874	
679222	129908	
679222	129926	
679222	130278	
679222	136322	
679222	136368	
679222	138298	
679222	144258	
679222	144283	
679222	149083	
679222	153420	
679222	153443	
679222	153457	
679222	153527	
679222	160199	
679222	164756	
679222	165238	
679222	165527	
679222	166806	
679222	166818	
679222	167518	
679222	169008	
679222	169014	
679222	211204	Park Yun-hie
679222	222209	
679222	226521	
679222	226541	
679222	226552	
679222	226571	
679222	227209	
679222	227217	
679222	227222	
679222	227225	
679222	241917	
679222	247026	
679222	272252	
679222	285217	
679222	286599	Cassandra
679222	287082	
679222	287937	
679222	288148	
679222	288161	
679222	291655	
679222	298832	
679222	298851	
679222	306658	
679222	307752	
679222	308285	
679222	318950	
679222	320237	
679222	322907	
679222	344338	Cheol-min's wife
679222	348672	
679222	371204	
679222	371237	
679222	371245	
679222	371247	
679222	371883	
679222	391954	
679223	176898	Oh, Young-ran
679224	370610	
679225	370495	Tiao Tao Fu
679226	195444	Hsiao Feng
679227	267195	
679228	52571	
679228	228443	Ami
679229	75030	
679230	10661	Saleswoman
679230	18310	Gary's Secretary
679230	69917	Jan
679230	90885	Tricia
679230	154771	Paramedic
679230	161712	Doctor
679230	191051	Yoko Ono
679230	272776	X-Ray Technician
679230	311927	Susi
679230	338277	Female Viewer
679230	384589	Christine Liu (1998-1999)
679230	407421	Cynthia
679231	104274	Mariya, maid
679231	341259	Ohume
679232	60633	
679233	147084	
679233	268148	
679234	102848	
679234	311009	
679235	28796	
679235	60575	
679235	144264	
679235	166784	
679235	371156	
679236	28070	
679236	286097	Kwon, Kwi-ok
679237	9555	
679237	29274	
679237	138608	
679237	144264	
679237	288179	
679237	295226	
679238	155248	Female People Pet
679239	268145	
679239	370518	
679239	371244	
679240	29599	
679241	31866	Romi
679241	62203	
679241	135767	Harah
679241	137081	Hyun Ju
679241	137621	
679241	139720	Jin-won
679241	156129	Yun, Su-mi
679241	178038	
679241	195293	Jenny
679241	371251	Young-seo
679242	285845	Su-hie (story 2)
679243	371529	Sherry
679244	213443	So-young
679245	323133	
679246	299042	
679247	167418	Mun's grandmother
679248	125960	
679249	84627	La mère de la mariée
679250	91297	Petra
679250	300679	Vecina
679250	333667	
679251	408477	Hsui Tai (1978-1979)
679252	19501	
679253	355864	Mina
679254	182265	
679254	300370	
679255	192900	Marija
679256	239461	Sebnem
679256	385543	Dilara
679256	392379	Ayse
679257	163941	
679258	56078	Senator Dell'Acqua's Secretar
679259	80463	Valli
679259	105843	
679259	132255	Isi Köcker
679259	338470	Frau Sageder
679260	26417	
679260	87341	Bus Driver
679260	145539	Hattie
679260	151675	Miss Jones
679260	177600	Malicia/The Crystal Dragon/Th
679260	183662	Ida
679260	205541	Agata
679260	254290	Nun
679260	303225	Choir nun
679260	303226	Choir Nun
679260	382359	Iris Frankel
679260	388793	Mrs. Madison
679260	393698	Additional Voices
679261	223304	Mari Iwatani (ages 8-10)
679261	334895	
679261	373921	Yuriko Shinjo
679261	394044	Saori Ogawa
679262	97635	
679263	19236	Deunan
679263	72237	Electra
679263	129868	Bus Guide
679263	239479	
679263	294180	Ryouko
679263	400608	Sarah
679264	249547	Kana Mitsukoshi
679264	309095	Naomi
679265	46286	Junko
679265	137138	Chizuru Kobayashi
679265	173193	Kozue Tsunoda
679265	174984	Yuriko Tagami
679265	227181	Yuka
679265	232907	Modern girl
679265	243717	Kanako
679265	243900	Taeko
679266	195890	
679266	208683	Keiko Inagawa
679266	370309	Reiko Hanada
679267	28612	Mali
679268	150506	Otsuka Hisako
679268	168091	Sei as a girl
679268	400437	Oshin as child
679269	121467	
679270	26355	Dr. Hiyashi
679270	26381	Reporter #4
679270	37246	2nd Operator
679270	90792	University President
679270	128816	Policewoman
679270	130441	Travel Agent
679270	150351	Mrs. Rodham Soto
679270	187147	Bank Manager
679270	220622	Anchorman
679270	242866	The Librarian
679270	300814	Market Cashier
679271	139133	
679271	146346	Okiku
679271	179171	
679271	179172	
679271	183080	
679271	299323	Rei Sugiura
679272	61470	Otatsu
679272	180621	
679272	245881	Nanny
679272	349168	Oharu
679272	374113	
679273	21822	Atsuko Nagao
679273	82829	Emiko Horie
679273	160098	Tomoe
679273	293591	Momoko-sensei
679273	323120	Junko Yagisawa
679273	371798	Geisha
679274	238167	Fat Actress
679274	342260	
679275	299000	
679276	348994	
679277	182507	Ryôko (ep.1)
679278	58338	Yoko
679279	292074	Miyaoka Yôko no imoto
679280	87001	Paula
679281	219832	Moll/Mona (U.S. dubbed versio
679281	219833	Moll/Mona (U.S. dubbed versio
679281	219834	Moll
679282	177161	Minako
679282	182026	Kichihoushi
679282	199428	Nae
679282	277456	Soldier
679282	285738	Maya
679282	404127	Maya
679282	407289	Yokose Akitsugu
679283	185397	Carol
679284	374380	
679285	12919	Shigako Shimegi
679286	21337	
679286	125241	Voyager
679286	244519	Herself
679287	130557	Herself
679288	242419	
679289	511	Mai Minase
679289	512	Mai Minase
679289	513	Mai Minase
679289	514	Mai Minase
679289	56628	Lydie Erlanger
679289	76857	Popo
679289	199112	Sara Nome
679289	298928	Sâra (young)
679289	383107	Manaka Kisaragi
679289	394252	Miyuki Tanokura
679289	396792	Saori Utsugi
679289	405942	Christopher Thorndyke
679289	411725	Fujiwara Erika
679290	63543	Riku Oishi
679290	98114	
679290	130497	Masako Tezuka
679290	136101	Kazuko Inoue
679290	137263	Yasuko
679290	179416	
679290	251929	
679290	284070	Kimie
679290	284871	Yukimi Amano
679290	321330	
679290	327965	Kazumi Saitoh
679290	394537	
679290	403166	Chiaki Nakajima
679290	406874	Hayakawa Motoko
679291	373218	
679292	61490	
679292	61504	
679292	61507	
679292	245811	
679292	336416	
679292	358418	
679293	9280	Noriko
679293	125263	
679293	171625	Otama
679293	172394	Empress of Mu
679293	299291	
679293	404774	
679294	169736	Izumi (elementary school)
679295	156246	Takeko
679295	173105	Hotel's maid
679295	174895	Kayako's aunt
679295	178246	Rei's mother
679295	229788	Middle-aged mother-in-law
679295	293600	
679295	334452	Fumie Shimayo
679295	344119	Osamu's wife
679295	359830	Mitsu
679295	370706	Village Woman
679296	121214	Hisa (grown up)
679296	122239	Sakura, Yuriko's sister
679296	125460	
679296	145303	
679296	164103	
679296	170592	
679296	171843	
679296	174242	Akemi
679296	174243	Akemi Maya
679296	180049	Hisako, Shinkichi's sister
679296	180054	Hisako
679296	182076	Hina
679296	182384	Haruko Mori
679296	232610	Sanae Yamaishi
679296	299630	Toyo, Maid
679296	318789	Mrs. Tachikawa
679296	334785	Tokiko, Fuyuko's sister
679296	344949	Midori
679296	370235	Akiko
679296	374465	Suzue
679297	325159	Cho San, Prince's Nursemaid
679298	74195	Koyuki
679298	201349	Mr. Asano's Daughter-in-Law
679298	350578	Anna
679299	346039	Gram Chang
679300	13861	Asian Secretary
679300	74267	Lady Hanada's maid
679300	122217	HILO Thug
679300	348431	Thug #2
679301	126866	Saki, native girl
679301	172285	Kyoko Yamabe
679301	233117	
679301	237158	
679301	245874	
679301	299440	Sister
679301	358391	
679301	373294	Yuko
679302	51237	Lio Junior/Magnaboss
679302	195628	Sarah McDougal
679302	195629	Sarah McDougal
679302	195630	Sarah McDougal
679302	195631	Sarah McDougal
679302	267200	Poemi
679302	381476	Lio Junior, Magnaboss
679302	388022	Herself (Excel Kobayashi)
679302	393552	Masaru Kômyôji
679302	402729	Sarah McDougal
679303	30737	Kai Harn
679303	64820	Luna
679303	181565	Yomigozen
679303	190590	Luna
679303	200831	
679303	201302	Young sempai witch
679303	209788	Maharaja
679303	232868	Model B
679303	244232	Fukuhara Misuzu
679303	257982	Ayako Okamura
679303	275086	Shuri
679303	327801	Washu
679303	327803	Washu
679303	327804	Washu
679303	348762	
679303	348763	Maiko Omaezaki
679303	380847	You Hazuki
679303	387049	Akane Yamano
679303	389729	Yukie
679303	394424	Latuerra
679303	394428	Junko Jenko
679303	396331	Rury
679303	396497	Washû
679303	397196	Sarius, Rapier
679303	399500	Shina
679303	401736	Shigeru Orchid
679303	405146	Washu
679303	407829	Washu
679304	368949	Hale's Secretary
679305	84137	
679305	136048	Katy Porter
679305	187271	Alice Russell
679305	327685	Pretty Slave Girl
679305	382770	Ann Boyd Jones #2 (1970-1972)
679305	401350	Doris Schuster (1965)
679306	122312	Hermine
679307	94337	
679308	313889	
679309	294595	
679311	147560	Melinda
679311	280447	Madonna
679311	403635	Madonna
679312	208115	
679313	26460	Debra, High School Girl
679313	61793	Linda
679313	101570	Amanda
679313	120119	Sandra Dier
679313	120126	Sandra Dier
679313	141192	Sandy
679313	160408	The Girl (segment "Doubletalk
679313	229865	Lorraine
679313	250873	2nd Female
679313	270522	Becky
679313	290389	Ursula Grimshaw
679313	292227	Megan
679313	297791	
679313	351502	Sylvia
679313	352712	Cookie Platt
679314	9252	
679314	19396	
679314	60478	
679314	208948	
679314	216551	
679314	249914	
679314	298276	
679314	326266	
679315	211727	Baroness de Horka
679316	157195	Girl in gambling club
679317	14161	Old Madame Luna
679317	74195	Hanakichi
679317	142419	Sono
679317	334890	Sumi
679317	342392	Dr. Hideko Murata
679318	259198	
679319	240218	Mimmi
679320	24452	Jenny
679321	314858	Marieke
679321	390242	Isabella Kortenaer (2000-)
679322	108146	Hede Naumann
679322	301343	.
679323	375164	
679324	369419	
679325	121404	Claire on Speakerphone
679326	216240	Eponine
679326	252079	Uzlinka
679327	182980	Mugged Woman
679328	26484	Tineke
679328	152274	Nurse
679328	358547	Verliefde vrouw in bus
679329	374127	Meluzína
679330	362675	AA woman #5
679331	376522	
679332	120116	Trudy
679333	384637	
679334	97547	
679335	170451	Chrissy
679336	388141	Alicia
679337	185659	Urchin Girl
679338	230743	Newscaster
679339	300369	
679340	217733	Aurélie
679341	367724	Young girl
679342	272531	
679343	72903	The Victim
679343	79893	Rebecca
679343	99657	Moonlight Waitress
679343	186737	Kitty
679343	230444	Mermaid
679343	280081	Poolside Cutie
679343	348484	Melissa
679344	223314	
679345	223314	
679346	104716	Himself
679347	32726	Kate
679347	286739	Stojna
679347	352882	
679347	354325	Medicinska sestra
679347	357364	
679347	396567	
679347	410342	
679348	241249	Extra
679349	51576	Kit-Kat Dancer
679350	50986	
679350	86427	Régine
679351	76757	
679352	322544	Hotline Girl #7
679353	325494	
679354	77620	Lonely Woman
679354	124224	Buyer
679354	163358	
679354	232370	Model
679355	124398	
679356	287375	
679357	125989	Barmaid
679358	76151	Cousine Foulard
679359	352405	3rd Girl Walking
679360	113658	Celebrant
679360	116103	Female Attacker
679361	78034	Miss Eisenhower
679361	155301	Summit Restaurant Patron
679362	37267	Jennie
679363	117131	Julia Fox
679363	166705	Molly Peters
679364	78440	
679364	349694	
679365	259459	Staatsanwältin
679365	259512	Frau Fransen
679365	259630	
679365	259661	
679365	325446	Christina
679366	180935	Herself (collected tattooed h
679367	118781	Sophia
679368	81052	Messenger girl
679368	213963	Woman
679369	258883	V.I.P. Woman
679370	307553	Mädchen auf Party
679371	323410	
679372	395667	Margot Rantzow
679373	27596	Herself - Production Designer
679374	17499	Extra
679375	170138	Marlies Tilgner
679375	211697	Frau
679376	124893	
679377	48047	Lulu
679377	358622	Stacy
679378	480	Edith Schröder
679378	5687	Inge Neuhaus
679378	12579	
679378	16233	Dr. Karin Mittelstädt
679378	18062	
679378	24080	
679378	94344	
679378	106099	Yvonne Moréen
679378	120154	Friederike Bach
679378	126247	Anna Meinhardt
679378	126482	Frau Dr. Otto
679378	134782	
679378	144135	Lady Johanna Gordon
679378	182533	Hanna
679378	197409	
679378	199733	Maria Randolf
679378	219332	Lydia
679378	284107	
679378	290632	
679378	290634	
679378	317129	
679378	347626	
679379	146605	Kims lillesøster
679380	472	Mingo Fabian
679380	48138	Rosl
679380	65697	Kulie Harrison
679380	66319	Helga
679380	75932	Reporterin
679380	81089	Dr. Inge Jung
679380	84958	Nora
679380	92488	Anna
679380	98041	Edith
679380	103695	
679380	107827	Dr. Helen Wieland
679380	115202	Rosalinde
679380	118303	Ina Schiller
679380	119111	Luise Konradin
679380	119147	
679380	121139	Yvonne
679380	125038	
679380	125100	Musi Camphausen
679380	134817	Ursula
679380	142203	
679380	142282	Minna von Barnhelm
679380	153920	Jade Grande
679380	160860	Reni Fischer
679380	163743	
679380	175776	Gerty Seibold
679380	178780	Gittli
679380	182789	
679380	184598	Dr. Petra Jensen
679380	188768	Elizabeth Kelly
679380	189661	Bettina von Brixen
679380	189823	
679380	197121	Prinzessin Sophie/Princess So
679380	204518	Katja Hesse
679380	209971	Resl
679380	216279	
679380	227598	
679380	232168	Kathy Gerhard
679380	252683	Marisol
679380	286410	Konstanze
679380	287298	Karen Van Heerden
679380	290172	
679380	290223	
679380	290462	Mrs. Vivian Taylor
679380	290630	Dr. Marina Keller
679380	303710	Marina von Leithen
679380	307252	Teresa
679380	314544	Brigitte
679380	328991	Dorothea 'Diddo' Geiss
679380	332655	Anna-Lisa
679380	340918	Helga Schlieben
679380	346998	Ann
679380	347762	Ingrid Hansen
679380	350864	Margot Sonnemann
679380	361470	Elisabeth Kempenich
679380	361499	Bea Bordet
679380	361992	Christl
679380	376280	
679380	392561	Host (1974-1982)
679380	393774	Renate
679380	395987	Herself (episode 4)
679380	408242	Helen Baker
679380	408388	Mary Hotkins
679380	409805	Valérie
679380	410606	Team Member
679381	382864	Verpleegster
679382	324199	
679383	104751	Greek entry (13th place)
679384	178125	Jetty Couple
679385	275784	Second old woman
679386	388640	Vera
679387	93694	Alex
679387	176276	Girl at Bar
679388	51989	Aerobic Girl
679389	388653	Lea (Season 2)
679390	35046	Frau Ill
679390	44055	Rosemarie
679390	110034	Elsbeth Koch
679390	290700	
679391	167139	Celina
679392	109779	Sue
679392	252356	Petra Karoll
679392	322511	Carla Benson
679393	94274	Sykepleieren
679393	191565	Reijas mor
679393	248173	Funksjonær
679393	305877	Eldre sykepleier
679393	316811	Eva
679393	322480	Johanna
679393	337184	Girl in the pavillion
679393	389138	Fru With
679394	267513	Ruth, Miriam's Daughter
679394	362979	Georgina's Sister
679394	364538	The Stranger's wife
679396	58777	Diane
679397	26700	
679398	125222	
679398	180002	
679399	386021	Greta
679400	18392	
679401	186650	Additional player
679402	56545	Herself
679402	300996	Nadja
679402	309019	Sophie Charlotte
679402	376372	Simone Martin
679403	238140	Cashier 1
679404	288960	Herself (segment "Riders on t
679405	125989	Barmaid
679405	238140	Cashier 1
679406	317577	
679407	189617	
679408	97046	Tiffani
679409	55892	
679409	57832	
679409	108113	Susanna
679410	189443	Angestellte Europa-Grill
679411	36022	Madhu
679412	36022	Bina
679412	155264	Civilian Academic
679412	211840	Secretary
679412	213135	Khalida
679412	382932	Jeela
679412	383363	Roma (The Sea Captain's Tale)
679412	384766	Sunil's Mum (Mrs Prabakar)
679412	385820	Cashier
679413	150571	Lingerie Model
679414	94027	
679414	248324	
679414	258444	
679414	272516	Lyudmila Zhuravlyova
679415	8355	Nadia
679415	8931	Marthe
679415	69344	Emilienne
679415	77365	Veronica
679415	80335	Vanessa
679415	107536	Véronique Barthes
679415	149114	La secrétaire d'Oumar
679415	232659	
679415	262934	
679415	270433	Rachel
679415	280546	Pauline
679415	288889	Hélène
679415	324966	Julie
679415	345095	Romane
679415	378008	Hélène
679415	399164	Viviane
679416	357176	
679417	265993	
679418	229036	
679418	266173	
679418	318146	
679419	35854	
679420	250655	Mimi
679421	250655	Bliznachkata na Mimi
679422	40987	Paula Kannegießer
679423	222216	Polly
679424	18682	
679424	61528	Hiroko
679424	92316	
679424	121462	
679424	121926	
679424	130207	Emiko Yamane
679424	130480	Emiko Yamane
679424	130494	Emiko Yamane
679424	136096	
679424	137480	The Girl
679424	164105	
679424	167954	
679424	171652	Machiko Takeno
679424	225901	
679424	237662	
679424	242186	
679424	287528	
679424	323494	Mariko
679424	334938	
679424	358130	
679424	367697	
679424	373175	Kane
679424	373177	
679424	375625	Mariko
679424	378147	
679424	378156	
679424	392643	
679425	271915	Hidetora's Mistress
679426	384132	Eri Minami
679427	14273	Party Girl #1
679428	258098	Party Girl
679429	11437	Herself
679429	81185	Herself
679429	202196	Herself (Harlem activist)
679430	224279	Olesya
679431	121803	Delta Gamma
679431	235603	State Trooper
679432	283829	Devushka
679433	287761	Herself
679434	157563	Ann
679435	44366	Herself
679436	29867	
679437	411964	Host
679438	341335	Sankerica
679439	244106	
679440	344046	Nives
679441	216959	Herself
679441	313788	Performer
679442	227042	Maria, the girlfriend
679442	410462	Elinor Alfvén (1999-)
679443	210332	Herself
679444	122887	
679445	114827	
679445	167062	
679445	171513	Petunia
679445	315377	Smuk Dame
679446	40851	Melanie
679446	322534	Helga
679446	328988	Eve LaRoche
679446	369168	Franks Schwester
679446	381694	Taddi
679447	308967	Jana
679448	391479	L'enfant
679449	88540	
679450	162100	Fairy
679450	213588	Schoolgirl
679450	256626	Daughter
679451	120837	
679451	234669	Linda
679452	174279	
679453	104699	Vandersexxx Girl
679453	375479	Professor's Wife
679454	170231	Herself
679455	64756	
679456	349627	Márta
679457	59539	Kitty
679457	407236	Piri Kovács (1993-1998)
679458	9705	
679458	18172	
679458	70523	Lila Sari
679458	71006	
679458	106998	
679458	137728	Brigitte
679458	190409	
679458	232923	
679458	257563	
679458	272397	
679458	307727	
679459	349779	Narrator
679459	375162	Ibolya
679460	177660	Unified Fund Mom
679460	209112	Maternity Nurse #2
679461	322025	Bárvendég
679462	317309	Purse Babe #2
679463	74450	
679464	215813	Captive Girl
679465	268276	Model
679466	381821	Ensemble (1968)
679467	369730	Zefina
679468	381821	Ensemble (1972-1974)
679469	325606	Alexandra Huebner
679470	94070	
679470	164693	Blonde Woman
679470	231724	Mirka
679470	246952	Mrs. Lacoste
679470	256148	Teresa
679470	272001	
679470	352563	Erika Waldner
679471	340190	Eve
679472	240084	Bozena
679473	65097	Olly
679473	72161	
679473	82804	Gabi
679473	148709	Laura
679473	179634	Theresa
679473	197220	
679473	230468	Edita
679473	237203	
679473	247625	Julie's sister Málinka
679473	254321	Lydie
679473	286631	Anna Vcelová
679473	307208	Princess Vanda
679473	349281	
679473	375465	Olga Dvorska
679473	404097	
679474	108653	
679474	137361	Sayo
679475	220718	Constanze
679476	44366	Herself
679477	374600	
679478	64333	Herself (1986)
679478	81957	Rae Ingram
679478	90191	
679478	164715	Rossanda
679478	211347	
679478	243798	
679478	244411	Actress
679478	308018	Yelena
679478	323310	
679478	327890	
679478	357860	The Girl
679479	61467	
679479	96414	Satomi
679480	170211	Host
679480	170218	Host
679481	217034	Mab
679483	108659	White Witch
679483	263955	English Teacher's Assistant
679483	279207	Lenka
679483	313640	Nora
679483	344040	Lydie
679483	384085	Chani
679483	387113	Chani
679484	385723	The Little Ghost
679484	408299	Irina
679485	97968	Herself
679486	97155	Pavlínka
679487	8610	Stella
679487	8710	
679487	10973	Rita
679487	18230	
679487	18279	Ismene
679487	18398	
679487	40928	
679487	47840	
679487	86829	
679487	97920	Elena Pavlidi
679487	97923	Mrs. Flora
679487	100574	
679487	100598	
679487	100628	Hotel receptionist
679487	102095	
679487	102201	
679487	107332	Tzina Rosa
679487	107675	
679487	113100	Fofo Vlassi
679487	124988	
679487	126264	Widow
679487	139558	
679487	154135	Eleni
679487	172927	
679487	173656	Marina Yanna
679487	174573	
679487	174611	
679487	176214	
679487	178301	Rena Kaligaridi
679487	180661	
679487	180888	Koula Tsibikli
679487	180947	
679487	182382	
679487	183203	
679487	209768	
679487	212561	
679487	212565	Bianca
679487	239166	
679487	256740	
679487	258649	
679487	261734	
679487	306963	Lili
679487	314750	
679487	316922	Mairy Hatzithoma-Konstantinid
679487	321817	
679487	333770	
679487	338971	
679487	338973	
679487	340005	
679487	343411	
679487	371546	
679487	379435	
679488	4737	Sasa
679489	35027	
679489	72166	
679489	74780	Sorova majka
679489	132160	Gospa Natalija
679489	169553	
679489	172506	Marta ... supruga
679489	192885	Cica, sekretarica
679489	192898	
679489	209362	
679489	225944	
679489	229924	
679489	232599	Gospodja Agatonovic, Tanjina 
679489	236050	
679489	314437	
679489	339278	
679489	348876	
679489	375425	
679489	387135	
679489	390388	
679489	395833	Mama
679489	402025	Ana Sumovic
679489	404206	
679490	95057	
679491	190994	Ki
679492	310690	Boo Boo
679493	34255	Anne
679494	295380	Specialty Bit in "Little Ting
679495	244256	Sylvie
679496	384651	Bartender
679497	157849	
679498	234044	Blonde vrouw
679498	312356	Eva
679498	358043	The Woman in Blue
679499	112174	
679500	46086	Sylvia
679500	109529	Anja Albrecht
679500	310897	
679500	390812	Diana Richter (1993)
679500	406517	
679501	59596	Maria
679502	216236	La bonne de M. Madeleine
679503	11814	Hanna
679504	130930	
679505	248677	Bradbury
679506	242454	
679507	103072	Jutta Wülff
679507	155367	
679508	366947	Western Union operator
679509	144789	Alien Stormtrooper
679511	11816	
679511	351977	
679511	395667	Marlene Schmitt
679512	23544	
679513	123435	Tammy Fisher
679514	149287	Lost Boy in play
679515	225627	
679516	11853	
679516	42220	Tanja
679516	45942	
679516	45988	
679516	72331	
679516	104265	Marie
679516	107749	Lilly
679516	119134	
679516	119186	
679516	119193	
679516	120996	
679516	129321	
679516	130909	
679516	136086	Frau Dr. Küster
679516	136203	Ute
679516	144181	Paula
679516	157801	
679516	166749	
679516	179610	Leni
679516	203923	
679516	204446	Mausi
679516	207884	Gudrun
679516	210018	Ulli
679516	212781	Micaela
679516	216269	Jenny
679516	225957	
679516	228537	Gabriele
679516	234955	
679516	252328	Ida Salm
679516	254237	Ursula
679516	256602	
679516	259421	Gunna
679516	275042	
679516	275170	
679516	310275	Mathilde Meisel
679516	321819	
679516	338367	
679516	345917	
679516	356687	
679516	389286	
679517	42855	
679517	365770	
679518	7204	Barvrouw krakerscafe
679518	395361	Moeder Kremers
679519	190387	
679520	347793	
679521	308240	
679521	326019	Erika
679522	220098	Millie Koozer
679522	263531	Jane Bay
679523	228229	Host
679524	372580	The Siren
679525	302221	Waitress at Tippy's
679526	58648	Carla
679527	132247	Rolling Hills Dance Team
679528	391973	Manhattan J. Frog
679529	218983	
679529	367122	
679530	122019	Second Bank Teller
679530	281145	Serving Wench
679531	222212	Party-goer
679532	72509	Whispering Girl
679533	147937	Herself (survivor, Le Chambon
679534	98818	Kid in Georgetown Hall
679535	98423	Child
679536	308117	The Ghost
679537	306814	Rebecca Best
679538	331992	Mrs. Wood
679539	9744	Mother
679539	172032	Elisheva
679539	197635	
679539	202435	Neighbor
679539	300359	
679539	375116	Stephana
679539	391279	
679540	112527	Marie
679541	125478	
679542	96036	Helene as a Child No.2
679542	341120	Isalaide
679543	374126	
679544	170393	Herself
679547	177192	Inge
679547	352245	Tilly Kienzel
679548	318840	Herself
679549	232779	Shoestore assistant
679550	98239	Mimi
679551	28067	Adult extra
679552	9142	Daphne
679553	92767	Dancer
679554	207622	Adrienne
679554	225531	Jamal's friend
679554	277726	
679554	376974	
679555	26992	Young Jesse's Drunkard Mother
679558	12092	
679558	28793	
679560	154441	Ryan's Publicist
679562	180644	Marie-Louise
679563	15799	Anam
679563	288994	Frau Dubonnet
679563	346596	
679563	370700	Emine
679564	85239	
679564	122816	
679564	122817	
679564	253071	
679564	272192	
679564	278554	
679564	280336	Desy
679564	295111	
679564	359044	Tara
679564	397144	
679564	397377	
679564	404054	
679564	408314	
679565	40399	
679565	93496	
679565	142081	Inge
679566	24385	Cornelia Steinweg
679566	167142	Romana Menzl
679566	210026	Anni
679566	301784	Konstanze Dornhelm
679567	367073	Munchkin
679568	367073	Munchkin
679569	94920	
679569	187049	Duifje
679569	196825	Rafaël
679569	269750	Duifje
679569	279029	Tante Therese
679569	380503	
679569	381680	Charlotte van Heemskerk
679569	388164	Mw. Campers
679569	397554	Bohnen
679569	403443	Elisabeth Musch
679570	289850	Bénice Melzer
679570	308215	Sonja Gerber
679570	325697	Leana Stephanie
679570	325923	Sandy
679570	345008	Hanna Grün
679570	393255	Gesine Cresspahl
679571	276219	
679572	305199	
679573	40750	
679573	76764	
679573	114978	
679573	248656	Anna
679573	351913	Venus
679573	367020	Dokter
679574	317260	Receptionist
679574	337149	Jin-hee
679574	364795	Worker
679576	186145	Claudie
679577	203626	Screaming Woman
679578	228258	Herself
679578	228268	Backing vocal
679579	357937	
679580	407309	
679581	22645	Loretta
679582	101457	
679582	183235	Head Girl at Table
679582	353886	
679583	321678	Phrenology Head
679584	380391	Lindsay (1991)
679584	400236	Cassie Callison (#4) (1991-19
679585	41121	Old Lady
679586	60342	
679587	340077	Pia
679588	183314	Skoleelev
679589	180101	Gunilla
679589	191576	Taxipassagerare #1
679589	307710	
679589	341815	
679590	99519	
679591	153950	
679591	255660	
679592	316821	Johanne
679593	94337	
679594	23973	Kay Kendall
679595	389117	Herself - Clairvoyant
679596	52197	Guest
679597	207714	Mother
679598	26540	Evicka
679599	357420	Marie
679600	211764	Girl on the Boat
679600	330999	Crown Acquistions Employee
679601	352931	Margot
679602	62442	Rosana
679602	101646	Maria
679602	145663	La jolie infirmière
679602	201201	Millie
679602	205461	
679602	213840	
679602	218289	Michelle
679602	265372	
679603	304441	
679604	47130	Prostitute
679604	137224	Florencia Josephine Manetti
679604	144977	Jade
679604	158151	Baby Doll Bartender
679604	192542	Hadie
679604	280082	Heaven Scent
679604	322886	Woman in bar
679604	375827	Cool Tattoo Girl
679605	129944	
679605	239034	Well Dressed Lady No. 2
679606	229186	
679607	12600	
679607	49668	Lola
679607	280795	
679608	139409	Sherry
679609	89481	
679610	33463	
679610	35292	Amalia
679610	98338	Johanna
679610	125186	
679610	147993	
679610	225648	
679610	226317	Rita
679610	259470	Johanna Herz
679610	259484	Johanna Herz
679610	259527	Johanna Herz
679610	289850	Claudia Melzer
679610	310893	Iris Forster
679610	336493	Referentin
679610	343667	Paula Werner
679610	352583	
679611	366585	Russian Hooker
679612	95595	Igracica u kavezu
679613	225923	
679614	147364	Myû
679614	391751	Myû
679615	87414	Ramona Rickshaw
679615	204766	Mejuffrouw split
679615	251821	Traktor Marie
679615	341908	
679616	286849	Suzu
679617	9331	Hanae
679617	9470	Oyone
679617	17425	Miwa Yamanouchi
679617	18687	Umetaro
679617	18691	Osuma
679617	21330	Herself
679617	21343	Otama
679617	21827	
679617	61449	Omaki
679617	63541	
679617	122148	
679617	125684	Fujitsubo
679617	127919	Miyoharu
679617	129912	Katsue
679617	137046	Oyoshi Miura
679617	137130	
679617	137131	Keiko, The Mother-in-Law
679617	146968	Sugime, Daishiro's mother (ep
679617	149100	
679617	149134	Tamano Hisasaka
679617	156089	
679617	158677	Outa
679617	167548	Mrs. Mibu
679617	167978	
679617	168061	Komako Namura
679617	170891	Osei
679617	171627	Yasuko Chiba, prisoner
679617	172108	Omiyo no kata
679617	176617	Okume Tamaki
679617	176671	Saeko Takano
679617	177865	Tsuruko
679617	179306	
679617	181887	Afuku
679617	182056	Yuko Hamuro
679617	198826	Ohama
679617	202638	
679617	209930	Kanoya Oume
679617	216495	Oko
679617	216499	Yoshino
679617	216501	Oko
679617	216502	Okou
679617	216503	Oko
679617	217365	Eriko Oikawa
679617	217621	Kosuzu Hanabusa
679617	229786	Mojiwaka
679617	232202	Senta's mother
679617	232531	Sue
679617	232574	Osai
679617	233276	Oko
679617	238101	Taeko Satake
679617	239315	Nobuko Takahata
679617	239463	Okuni
679617	242225	Otaki
679617	242244	Koyoshi
679617	242314	
679617	243999	Tamae Sakata
679617	244530	Hitomi's mother
679617	286887	Woman in Ecchu
679617	287103	Komayo Tomita
679617	294049	Mrs. Ohta
679617	298831	
679617	298924	Yasuko
679617	299127	Manno
679617	308894	Sayo Endo
679617	341274	Somehachi
679617	344262	Shizu Noguchi, Ujo's wife
679617	344949	Mie Kamiya
679617	344950	Suzuko
679617	358385	Sada Kanbe
679617	370729	Okichi
679617	371842	Nanae
679617	372038	Mitsuko (episode 2)
679617	373173	Yuki Shinano
679617	375583	Dayu Yoshino
679617	375635	Otami
679617	378130	Fujio no tsubone
679618	340774	
679619	323100	Tai Tai
679620	64912	Betty
679620	117656	Mrs. Chan Ai Ling
679620	251108	Ying
679620	395818	Rhonda
679620	409491	Dolly
679621	131289	Theresa
679621	391783	Mo Yanyan
679621	411592	Cai Feifei
679621	411737	Le Jingyi
679622	285717	Esther's Crony
679623	207562	
679624	92112	Chinese Delegation
679625	261439	Carrie Benson
679626	357417	
679627	130484	
679628	155767	
679629	396830	
679629	403006	Announcer
679630	107848	Victor's Lover
679631	38505	
679631	182509	Cobalt Claw
679631	286626	Toshiko Momojiri
679631	338476	Mikuru
679631	384559	(2002-2003)
679632	347969	Blackmer girl
679634	380016	Herself - Finalist
679635	353314	Lori
679636	131383	Herself
679636	142114	Herself (Gast im Publikum neb
679637	336527	
679638	18501	
679638	98309	
679638	278869	
679638	301043	
679638	335996	
679638	397765	Tante Theres
679639	151483	Christina Whoterberry
679639	292715	Louisa
679639	339544	Genevieve
679639	355809	Julie Mitchell
679640	220844	Airline Passenger
679640	344151	Deaf Woman
679641	120344	Bar Fly
679641	349279	
679642	122393	
679643	245370	Blonde Co-ed
679644	12986	Cindy
679644	75766	Street girl
679645	81145	
679645	213318	Hippolyta
679645	392696	Actress (segments 3-4)
679646	106755	Accordionist's Wife
679647	180900	
679647	219267	
679648	260407	Partygast
679649	33218	
679649	325887	
679650	170852	Karen
679652	290787	Junge Frau von gegenüber
679653	35472	Production Assistant
679653	232438	Inmate
679654	349	Young Woman
679655	409613	Frau Wanka
679656	407166	Saartje
679657	37700	Girl in Hall
679658	160885	Eyebrows Admirer
679659	242838	
679660	291014	
679661	150920	Prison ward patient
679661	330412	Grace
679662	18218	Irena Karamanlis
679664	345915	Nicky
679665	88518	Ruby
679666	86669	
679667	43174	Bride to be
679667	52197	Guest
679667	154302	Foreign nanny
679668	224070	Musicians - Violin
679669	376405	
679670	118141	Moni
679671	388166	Sandra
679672	231505	Isetta Wettelsteck
679673	131453	Club Dancer
679674	34320	Bea
679674	229593	Vera
679675	96004	Annemarie
679675	387620	Julia Gaudenzi
679677	203630	
679678	64756	
679679	170852	Vicki's Friend
679680	319160	Nymph
679681	354866	
679682	307468	Townsperson
679683	58490	Sarah Fine
679683	121386	Assistant prosecuting attorne
679683	194666	Toby Fredericks
679683	394565	Host
679684	110750	
679685	13474	Stefica
679685	40208	Starica kradljivica
679685	42909	
679685	45712	Teta Ana
679685	88818	
679685	136798	Gospodja Jakupec
679685	161576	Soprano
679685	174177	
679685	180696	
679685	181466	
679685	181470	
679685	182239	
679685	197224	
679685	206072	Vinka
679685	234444	Vera
679685	239465	Luce
679685	255775	
679685	262636	
679685	263405	
679685	273762	
679685	294915	
679685	295059	
679685	320701	Starica
679685	320710	Roza
679685	335498	
679685	339283	Ana 2
679685	357493	
679685	392903	Eliza Cavlek
679685	399149	
679685	409022	
679686	133815	Bank Cashier
679687	31598	Lucy van Pelt
679687	163466	Lucy
679687	163640	Lucy van Pelt
679687	270374	Lucy Van Pelt
679687	372308	Lucy van Pelt/Loretta
679688	326202	Mujer
679689	259443	
679689	259452	
679689	365604	
679689	388246	Helga
679690	59591	Lucy van Pelt
679690	306178	Lucy Van Pelt
679690	330022	Lucy
679690	372350	Lucy van Pelt
679691	288297	Morgane Marteau
679691	326129	Angèle
679691	352635	Fille de Vincent adulte
679694	158141	Coffee house patron
679695	314549	Bibi
679696	11502	Catherine McDowall
679696	37059	Fara
679696	50889	Helen Detweiler
679696	86998	Shirley
679696	120025	Martha Freud
679696	125486	Ethel Maguire
679696	156940	Sarah Jane, age 18
679696	185749	Jolie Normand
679696	201669	Sara Jane in 1959 "Imitation 
679696	334189	Maria
679696	340327	Consuela, Senora Sandoval's G
679697	1508	
679697	35740	Beverly Putnic
679697	37189	Cheryl
679697	83935	Mrs. Hefner
679697	220820	Player's Wife
679697	316047	
679697	349898	Carnation
679698	292075	Hide
679700	123177	
679701	85627	Veruska
679702	229233	Alice
679703	142004	
679704	391292	Frauke
679705	400681	Catherine enfant
679706	400681	Toinon
679707	124945	
679707	141734	
679707	175243	
679707	265389	
679707	400306	M.J.C. Bensdorp-Van den Vlasa
679708	34707	Princess Bambi
679709	406512	Programleder for kulturinnsla
679710	122455	
679710	138393	Bernarda
679710	153688	Posztó Lõrincné
679710	343751	
679710	343776	Magda
679710	357931	
679710	377784	Simon Sára
679711	233080	Ello
679711	334995	
679712	182723	
679713	276441	The Well Dressed Woman
679714	242419	
679714	335271	Receptionist
679715	67896	Camp Singer (Don't Sit Under 
679715	264157	Church Choir Member
679716	122236	Littre girl
679717	336601	
679718	182721	
679719	2478	Priest's Daughter
679719	65954	Dancer
679719	93169	Lady Godiva/Angel
679719	147966	Actress
679720	232610	Misako Nishiguchi in upper cl
679720	398997	Tsuchi Kir
679721	2037	Nozomi
679721	203794	Takako
679721	298884	Akimi
679722	61029	
679722	198948	
679722	209787	
679722	227477	
679722	235033	
679722	300424	
679722	344943	
679723	178250	Tsuyako (Kanji's wife)
679724	292074	
679725	110732	Extra
679726	382113	Luna Nekono/Sailor Luna (2004
679727	353295	Hooker #2
679728	294055	Natsuki
679729	232610	Misako Nishiguchi in lower cl
679730	228114	
679731	8767	Terue Yamaoka, aged 5
679732	313339	Celine Jules, Precis Newman
679733	22695	
679734	1392	Rajeshwari
679734	2606	Herself (Critics Award for Be
679734	4845	Sharmilee
679734	5612	Pooja
679734	8401	Shubhangi/Madhu
679734	9387	Kiran
679734	17460	Anmol
679734	17888	
679734	25928	Rani
679734	25995	Chamundeswari
679734	43313	Shaila Bano
679734	52168	Sanjana
679734	58851	Sapna Khanna
679734	61023	Nisha
679734	68681	Saroja
679734	73329	
679734	85302	Imli
679734	86641	
679734	86661	
679734	86678	Meghna
679734	95453	Sapna
679734	98474	The woman
679734	103298	Sushmita Bannerjee/Sayed Kama
679734	114166	Radha
679734	132585	Paro, Parvati Shastri
679734	135226	Salina
679734	136087	Sheetal Choudhry
679734	145583	Roshanaara
679734	159058	Ishwarya
679734	160224	Nisha (Ranjit's daughter)
679734	164316	Vasundhara/Divya
679734	164923	Sheetal
679734	171899	Rukhsana
679734	174231	Mini
679734	175922	Annie
679734	175985	Neha
679734	183135	Anshu Mehra
679734	184075	Vaidehi
679734	184152	Kiran (life insurance agent)
679734	184861	Herself
679734	200699	Shaili Mathur
679734	201269	Radha Rai
679734	204403	Priya
679734	206173	Muskaan
679734	213785	Priya
679734	217360	Ritika Sanyal
679734	221637	Thenmozhi
679734	246801	Maria
679734	271450	Manisha
679734	271741	Anjali Sinha
679734	276811	
679734	285947	Special Appearance
679734	287087	Sanam
679734	287367	Sanam
679734	288837	Radha
679734	323279	Princess Jahan Ara
679734	341638	Kamini
679734	370388	Meghna Kumar
679734	373133	Sunita
679734	373135	Pooja
679735	234917	
679736	149887	Kazuko Sakamoto
679737	214844	Waitress
679738	337701	Girl with Dogs
679739	278686	Porn star
679740	256878	Väärentäjä Helsingissä
679741	406518	Nago
679741	407543	Michel
679742	100370	Infermera 1
679743	253746	
679744	2618	
679745	223257	Model demonstrating fridges
679746	223257	Model demonstrating fridges
679747	175481	Huoltoaseman myyjä
679748	182215	
679749	214844	Musician
679750	212316	Herself
679751	301586	Liv
679752	300796	Ainolan taloudenhoitaja
679753	28534	Herself
679753	162737	
679753	185004	Singer
679753	320383	
679753	326954	
679754	277021	Herself - UFO Seeer
679755	382891	Elina
679756	187560	Herself
679756	214845	Herself
679756	221492	Herself - performer
679756	246125	Various
679756	324482	Herself
679757	4334	Lempi
679757	153658	Nainen työvoimatoimistossa
679757	191193	
679758	181630	Leena Rautavaara
679758	300796	Sibeliuksen tytär lapsena
679759	181630	Satu Helismaa
679760	386060	Akira Momoi/Denzi-Pink
679761	138053	Bibari/Domino's secretary in 
679762	409327	Nurse
679763	18681	Kiosk Woman
679763	43058	Hitomi Kuroda
679763	170328	Rie
679763	172400	Rumi Kato (Ruby)
679763	174917	Yuriko 'Lemon'
679763	179900	Poetry Recitation
679763	238382	Manami Hyuga
679763	242116	Aone
679763	293627	Naoko Hokujo
679763	370419	Yuko Agumo
679763	396731	Nobuko Akabane
679763	403166	Asako Nakajima
679763	406874	Baba Mariko
679764	211825	
679765	180046	
679766	179377	
679767	299992	Megumi
679768	125250	
679768	175517	
679768	232530	
679768	298827	
679768	298940	Yumi
679769	96198	
679770	34189	Herself
679771	9283	Mika Tagami
679771	23411	Miharu Kamiuchi
679771	163071	Michiko
679771	173595	Kuniko
679771	206787	
679771	226827	
679771	321517	
679771	325294	Mariko Tompson
679771	349104	Tomomi Nagata
679772	181971	Yukiko
679772	321517	Ikeda
679773	9189	Toshiko
679773	9190	Toshiko
679773	375558	Toshiko
679774	146907	Kimiko
679775	242313	Sumi
679776	161464	Sumako
679777	404228	Sara Himekawa
679778	21829	Fujino, Kaori
679779	1413	eating house woman
679779	137325	Bar hostess
679779	177870	Nobuko Ehara
679779	178245	Kogomi
679779	178248	Kogomi
679779	243982	
679779	244520	Yukari
679779	287374	
679779	394562	Kogomi
679780	169697	Actress in the 1971 TV film f
679781	313	
679782	374605	
679783	298872	Chiyoko Asano/Atsuyoshi's fri
679784	28124	
679785	371832	
679786	177381	Yuki
679786	390870	Trombone
679787	344021	Marsha
679788	30760	Natsuki
679788	373218	
679789	404783	Lady M
679790	354398	Danseuse
679791	351888	
679791	411653	Ye Xiaojin
679792	276441	Child at puppet show
679793	276441	Child at puppet show
679794	45203	
679795	204595	
679796	7204	Zwerfster
679796	53139	Rita
679796	113432	Mevr. Dorlach
679796	144114	Vera Klein
679796	242903	Mrs. De Waal
679796	259740	Oma Polleke
679796	327030	Aaltje Botter
679796	334736	
679796	350977	Tineke
679796	376505	Nel Jansen
679796	378838	
679797	6316	
679797	41883	Vrouw met bed
679797	73760	
679797	113061	Notuliste
679797	118863	
679797	126858	
679797	138013	Psychiater
679797	141734	
679797	204766	Bakkersvrouw
679797	210954	Riet Gorter
679797	248656	Zijn maîtresse
679797	250914	
679797	281371	
679797	328620	Maid
679797	342327	Oude Mien
679797	357359	
679797	358028	
679797	386642	Mevrouw Flick
679797	387749	Kruisspin
679797	388164	Janske
679797	392021	
679797	394912	Trol Ambam
679797	395048	
679797	400306	Gé Braadslee
679797	401150	
679797	402545	Vrouw Zwartjes
679797	404472	Tante Cor
679797	409824	
679797	410537	Gé Braadslee
679798	368309	Herself - wife of Wim Kok
679799	981	Aiko
679800	175759	Irkku
679800	282146	Verushka
679800	349736	Laulajatar
679801	327099	
679801	338690	
679802	19006	
679802	93055	Anna
679802	98686	
679802	350804	
679803	405912	Programleder (1996) (host)
679804	87702	
679805	300379	
679806	34232	Galya
679806	207570	
679806	254203	
679807	27476	Ani
679807	30636	Maykata
679807	44825	Maria
679807	63575	Baba Petrunka
679807	75874	Zoya
679807	77426	Golyamata etarva
679807	79142	Snahata
679807	84478	
679807	88588	Medicinskata sestra
679807	103552	Tinka
679807	103565	Sara
679807	123090	Galileo's Mistress
679807	127456	Gostenkata ot Sofia
679807	130142	Ema
679807	132104	Handzhiykata
679807	160606	Zhana
679807	162731	Mariya - Meche-bu
679807	173840	Ana
679807	180073	
679807	180645	Lisa
679807	180656	Zhenata s Bademovite Ochi
679807	181067	Slava
679807	200786	Lyubitza Ivoshevich
679807	207940	Ganeta
679807	208779	Dancheto
679807	217493	Tinka
679807	226017	Nadezhda Zaharova
679807	228845	Uchitelkata Nikolina Boneva
679807	228846	Woman-Doctor
679807	229062	Tinka
679807	237763	Irina
679807	242467	
679807	242468	Dr. Belcheva
679807	244469	Neda
679807	261330	Fani
679807	284458	Gerda
679807	288323	Lena
679807	296427	
679807	304501	Nevena
679807	304513	
679807	310475	Zhenata na Bakardzhiev
679807	311589	Nevena
679807	312442	Ana
679807	315937	Elena
679807	315983	Bozhanova
679807	320534	Maria
679807	324427	Havadzhieva
679807	325032	Smilova
679807	326260	Elena
679807	332955	Dzhina, maykata
679807	339314	Mariya Stoilova
679807	340000	Lelya Dona
679807	343400	Irina
679807	348212	
679807	349351	Boyka
679807	370798	Frantzuzoykata
679807	386653	Veronika
679807	393169	Daneva
679807	402131	
679807	404210	
679807	404797	
679807	409879	Starata Sarandovitza
679807	410432	Veronika
679808	107717	
679809	16685	Rebel Lieutenant
679810	396651	
679811	359060	Michelle Paul
679812	33004	Aunt Enid
679813	109093	Hooker #1
679814	178147	Beauty Contestant
679815	225804	Themselves (Acrobat Trio)
679816	88419	
679817	394752	
679818	390213	Herself - Host (2003-)
679819	77817	
679820	91069	Herself
679820	91071	Herself
679820	104764	Yugoslav entry (1st place)
679820	170231	Herself
679821	311389	Maria
679822	29875	Mother
679822	111251	Elin
679822	225689	
679822	229160	
679823	171577	Leila Heikkinen, Master of La
679823	186072	Annansilmä
679823	302191	Marketta Willman
679823	343510	Woman on street
679824	181077	Duchess
679824	392072	Birte 'Bitten' Lillevik (2000
679824	401114	Hegstad-jente
679825	379816	Maria
679825	380382	
679825	387711	
679825	402382	
679825	404535	Despina Kalliga
679825	406476	Melita Mixail
679826	263352	Preen #1
679827	828	
679828	209762	
679828	403251	Dina
679829	144250	Synnyttävä nainen
679830	211038	Tumma tyttö Hietsussa
679831	179366	Tatjana Konstantinov/Rosa/Eli
679831	197612	
679831	392164	Alma Antintytär Seppä (2003)
679831	408194	Ella Rissanen (2004-)
679832	114206	Princess Amalia
679833	6321	
679833	6322	
679833	8036	
679833	8212	
679833	15295	
679834	396063	Roslyn 'Rose' Donnelly/Eve Le
679835	182377	Woman Friend
679835	349141	Ministerin vaimo
679836	324482	Tupakkatyttö #2
679837	228154	
679838	145761	Agneta
679839	211038	Poliisi torilla
679840	153095	Keskusneiti
679840	357788	Laulukilpailun voittaja
679841	20468	
679841	334821	Laura Lehtipuro
679841	409931	Maggie Gribenberg
679842	271630	
679843	293100	
679844	39795	
679844	117314	Girl at Pool
679844	132041	Herself - as Koko the Gorilla
679844	149250	
679844	179510	Le Gorille
679844	219039	
679844	229832	Prokuropat
679844	236307	
679844	266656	Maykata na Yanka
679844	293844	Lidiya
679844	319330	
679844	324875	
679845	303918	
679846	8982	
679847	318399	Sayo, Hansuke's daughter
679848	200934	Mme Liotard
679848	300820	Herself
679849	257670	Herself
679850	219694	Audience (Herself)
679851	196731	
679852	18953	Woman on Street
679853	257268	Claudia
679854	33826	
679854	47839	
679854	95620	
679854	250656	Patima
679854	258373	Seda
679854	258593	Kumri
679854	326247	Gulmalik
679855	28505	
679855	63629	Madge
679855	89808	
679855	350623	
679855	356944	
679855	399482	
679856	373061	
679857	165033	Cleaning woman
679857	223487	
679857	312415	
679857	335081	
679857	339275	Mrs.Renoir
679857	357904	
679858	98689	English teacher
679858	171084	Nurse
679858	213346	Miss Haruko Sakura
679858	370362	Hanako
679858	406319	Paramedic Faith Yee (1984-198
679859	50941	Mrs. Chiba
679859	359195	Mrs. Murakami
679860	76890	Yoshiko Hirata
679860	205048	Michie
679861	242116	
679861	398038	Miwa Nomura
679862	204971	Hoshimi
679863	299118	
679863	308473	Miyuki
679864	104566	Yumiko
679864	162141	Teacher
679864	170455	Machiko
679864	271628	Ryoko
679864	299334	Journalist
679864	403932	
679865	137631	
679865	255753	Raili Oras
679866	572	Sonja
679866	33728	Kurva III
679866	96577	
679866	172500	Sonja/Herself
679866	221340	Maja, devojka iz voza
679866	229176	Seka
679867	172957	
679867	279968	
679868	226846	Narrator
679868	347617	Receptionist
679868	354667	
679868	397007	Palucka
679868	402755	Wanda Kreft
679869	221342	
679870	42899	
679871	11805	
679871	166101	
679871	206500	Pogrebnikova Pena
679871	356038	
679871	385147	
679871	409909	
679872	192890	
679873	77102	Maria's Friend
679874	95960	Commercial Girl
679874	97937	Luba
679874	135886	Stripper
679874	270037	Petronius's Slave
679874	407237	X-ray Doctor
679874	408826	Melania Barska
679874	412075	Sandra Bonecka
679874	412076	Sandra Bonecka
679875	300533	Music Video Woman
679876	54221	The Girl
679877	226405	Herself (interviewee)
679878	104779	Croatian vote presenter
679879	108956	Party Family
679880	319903	Rachel
679881	389416	Concerned Mom
679882	394813	
679883	357326	Simona Kolone
679884	372625	Maarit
679885	111583	Libby
679886	151777	Halloween Child
679887	18207	Bar Patron
679887	64496	Sonya
679887	224448	Violeta
679887	250606	The Masochist
679887	375742	Rumi
679888	153895	Nathalie
679888	163029	Boni
679888	254119	
679889	165058	Zaloudkova
679890	224448	
679891	30596	
679891	229059	Gena
679892	261309	
679893	60814	Zhulieta
679893	88448	
679893	272384	Aktrisa v kuklen teatar
679894	277088	Pi-Delta-Pi
679895	95945	Village Woman/Maid #2
679895	227534	
679895	290070	Irrational woman
679895	305560	Reporter
679895	322030	
679895	364983	
679895	367198	Iza
679896	147534	Principal Model
679897	330113	News Anchor
679898	166629	
679899	461	Margot
679899	69650	
679900	378546	Vermieterin
679901	167312	Mary
679902	113286	Child
679903	37094	Sophia Convertino
679904	268397	La rosière
679905	323824	Grace (segment "Nex's Diner")
679906	43874	Agent Constance
679906	50989	Dorothy
679906	105144	Ida
679906	141109	Iris Bell
679906	147767	Dudley's Mother
679906	196536	Diane
679906	213502	Dr. Mildred Wickes
679906	235456	Mrs. Anderson
679906	298108	Mrs. Pearson
679906	360668	Neighborhood Lady
679906	362529	Woman in Pad
679906	368032	
679906	385653	Lil
679906	389867	Aunt Mary
679906	401291	Peggy Briggs (1961-1962)
679906	404282	Mrs. Batterfield (1988)
679906	407940	Herself
679907	289857	
679908	14350	
679908	36610	
679908	40283	
679908	58222	
679908	73162	
679908	73178	
679908	78341	
679908	101205	
679908	111093	
679908	115333	
679908	164361	
679908	243682	
679908	281818	
679908	284227	
679908	308308	
679908	308309	
679908	370717	
679908	378064	La mère
679909	205782	Host
679910	124847	
679911	177166	Martha
679912	401148	
679912	406004	Sara
679913	318763	Simon's Female Friend
679914	144153	
679914	339699	Haushälterin
679915	132909	Pedestrian Dialogue
679916	393255	Gesine (4-5 Jahre)
679917	208169	
679918	126447	Lisa Puttgammer
679919	237421	María Víglundsdóttir
679920	123380	
679921	55845	
679922	139674	Judy Tuttle
679922	332418	Member of Sharing Group
679923	95177	
679923	354368	Kollegin
679924	58095	
679924	95946	
679924	334199	Cashier in Supermarket
679925	46767	Tobelbad Patient
679925	191471	Vortragende
679925	226326	Lilly
679925	358224	Terry
679926	402539	Andréia
679927	285877	Mette
679927	303214	Karin
679927	347005	Georgine
679928	208630	
679929	49184	Milka
679929	60871	Selyanka
679929	258130	
679929	327925	Milka
679929	332958	Baba Pena
679929	343400	Spasuna
679929	357432	
679930	231153	
679931	49133	Koneva
679931	312992	
679931	374789	
679932	87195	
679933	235781	
679934	187013	Sonyetka
679934	355308	
679935	16967	Bazin benzinestation
679935	157588	Mevrouw Blok
679937	203436	Chorus
679937	303225	Choir nun
679937	303226	Choir Nun
679937	312141	Singing nun
679938	90106	Mathurine
679939	22844	Idas Mor
679939	391364	Zandra - pc stemme
679940	244176	Mimi
679940	259204	Manekynka Jana
679940	320731	Anezka
679941	207512	
679943	375177	
679944	26177	Adelka
679945	84413	
679945	217368	
679945	263424	(segment "Doroga")
679946	212316	Herself
679947	178376	Statist
679948	180442	Kuppari-Kaisa
679948	181562	
679948	341543	Eliassonska
679949	346209	Julia (at age 7)
679951	212316	Herself
679952	299692	Interviewer
679953	3919	Bar Chess Player
679954	1888	Jasna
679955	1888	Jasnina prijateljica
679956	1888	Nina
679957	1888	Eva
679958	228171	
679958	349156	
679959	58127	Zajícová
679959	261380	
679960	394648	
679961	365452	Jessee Meade
679962	401789	Zofia Gorski
679963	98592	Elise
679963	108171	Fru Plaskenberg
679963	130189	Laborant
679963	249743	Cecilie Fabel
679963	286830	Lise
679963	354739	Sygeplejerske
679963	406658	Xenia
679964	34547	Zorica
679964	92730	
679964	141791	
679964	173008	
679964	173658	
679964	178812	Zena
679964	189386	
679964	229010	
679964	229016	
679964	232616	
679964	257484	Nena
679964	261351	Jelena Mijatovic
679964	304656	Slavica
679964	311487	
679964	357376	
679965	115540	Claudia
679965	212793	Olga
679966	131028	
679967	404870	
679968	202294	
679969	280377	
679970	318562	
679971	207999	
679972	223212	Madame Callot
679972	336133	
679972	343310	
679973	82812	
679973	223604	
679974	64659	Banquine
679974	64660	Banquine ('flyer')
679975	186866	
679975	262674	
679976	332269	
679977	320534	
679978	99627	Eva Petrova
679979	243640	
679980	353276	
679981	238821	Nenovitza
679982	49181	
679982	357265	
679983	357415	
679984	281027	Sarolta
679985	293750	Lekarnarka
679986	88457	Angela
679986	321952	Natasha, Girls' Mother
679986	356090	
679986	402300	Presenter
679987	79226	
679988	23906	Dominique
679988	169650	Marguerite, la bonne
679988	377991	
679989	4103	
679989	4160	Durga Agnihotri
679989	8680	
679989	9149	
679989	18461	
679989	33230	Sundari Gupta
679989	35563	
679989	76459	
679989	77560	
679989	78648	
679989	88504	Sona
679989	98520	
679989	125155	Uma
679989	140494	Geeta
679989	152466	Dilruba
679989	152472	
679989	160202	Neeta Saxena
679989	167333	
679989	170523	Vidya/Dharti
679989	176181	
679989	177840	
679989	196440	
679989	208736	
679989	221615	
679989	228856	
679989	250839	
679989	262857	Manorama
679989	265396	
679989	268064	
679989	268079	
679989	268122	Usha
679989	268127	
679989	270052	
679989	271036	
679989	284713	
679989	285108	
679989	288780	Young Rupa
679989	309782	Ruku
679989	313184	Dev's fan
679989	320769	
679989	320863	
679989	326028	
679989	328224	
679989	330973	
679989	353772	Durga
679989	358108	Chanda
679989	367212	Maya
679989	370958	
679989	373809	Kanchan
679989	375202	Nicki (grand-daughter)
679990	246084	
679991	94513	
679992	64661	Icarian games/Body Skating
679993	75733	Helly
679993	295949	Julie
679993	361855	Cast Member
679994	157040	Fritzi Erdody
679995	321734	
679995	372510	Herself
679996	78843	Mother with Baby
679996	222806	Barbara Ballor
679996	379716	Sandy Turner (1985-1986)
679996	380391	Monique (1987)
679996	380713	Juliet Hanovan (1984)
679996	385824	Rebecca Downey (1989-1990)
679996	400236	Roxie La Salle (#1) (1986)
679997	35847	
679998	214844	Radio Journalist
679999	89986	
679999	217391	
679999	253835	
679999	286645	
679999	295024	Mirjana Marinkovic ... ucenic
679999	355548	
679999	382431	
679999	399182	
679999	409758	Mara
680000	45893	
680001	137785	
680001	223561	
680001	234442	Olga
680001	324653	
680001	371291	Farida
680001	373583	
680002	74747	Claudia
680002	127994	Rachele
680002	205542	Contessa Mazzoleni
680002	215014	Maria Carla
680002	243657	Laura
680002	348142	Yvonne
680002	379902	Hannah
680002	380055	Elena
680002	386751	
680002	388613	Herself - Assistant (1995)
680002	392654	
680002	395662	Linda Fogliani (1997-1998)
680002	409788	Valeria
680003	23732	Herself
680004	339925	
680005	162254	Dona Virtual
680006	59717	Per-Ers' mother
680006	60371	Marie
680006	84293	Maggi
680006	91521	Inger Padius
680006	108197	Asta
680006	115422	Lisbeth
680006	130070	Gertrud Tallroth
680006	135671	Maria Engström
680006	135674	Irma Svensson, maid
680006	138526	Blenda
680006	142729	Gunborg
680006	144170	Freya
680006	147006	Louise Delmer
680006	154132	Dancer
680006	154509	Eva Hedman
680006	164795	Maj Högberg
680006	174076	Guest
680006	174715	Rut
680006	181850	Marta
680006	189483	Inga
680006	190821	Agnes
680006	238803	Damen i trappan
680006	248188	
680006	307763	Inga Larsson
680006	313173	Woman at café
680006	314958	Inger
680006	320623	tant Greta
680006	322294	Olga
680006	322436	Birgitta's Mother
680006	322943	Signe Dahlman
680006	332378	Edith
680006	338708	Rut Brådhe
680006	341026	Mamman
680006	389600	Anders' Grandmother
680006	390231	Magna Flink
680006	398195	Merchant's wife
680007	320617	
680008	244199	
680009	244199	
680010	269421	Girl in Playground
680011	38957	Herself
680012	372717	Baby Donna
680013	372717	Baby Donna
680014	144173	The Bride
680015	4784	Marja
680015	75938	Stasi
680015	86972	Frau Prof. Dr. Klotilde Aichh
680015	125283	
680015	134812	Herself
680015	134930	
680015	156997	Daisy
680015	184399	Mi
680015	192102	First Lady
680015	246491	Bella Giretti
680015	324680	Desiree Viverande
680015	338411	Vera
680015	364999	Dem. Cagliari
680015	390704	
680015	390811	
680015	390924	Myra
680015	403410	Anny, a dancer
680016	2450	Mrs. Koller
680017	308246	
680018	24343	
680018	324564	
680018	338396	Soubrette
680018	347578	
680019	245598	
680020	105859	Sarah Orf
680021	153788	
680022	262539	
680023	174779	
680024	78495	Herself - Presenter ('Som en 
680025	234252	
680026	126346	
680027	202778	Flickan
680028	113057	
680029	392601	Hostess
680030	78482	Herself (performing 'Sig mig 
680030	132874	Herself
680031	307248	
680032	55725	Herself (Agent)
680033	58946	Meteorologist
680034	122396	Böske,Kató nõvére
680034	237187	
680035	350833	
680036	375965	Police girl
680037	131155	Schrijfster
680038	225652	Christa (young)
680041	327405	Nurse
680042	316550	
680043	119287	
680043	289885	
680044	415	Kvasná
680044	374528	Kovácová
680045	404282	Channing Creighton 'Chip' Cap
680046	267640	Bertha
680047	394620	
680048	253632	
680050	317309	Studio Visitor
680051	154004	Mona
680052	317309	Studio Visitor
680053	26084	Herself
680054	130576	Mrs. Zosia
680055	37731	Secretary
680055	51881	
680055	66263	Anna's Friend
680055	160591	Girl
680055	164252	Maryska
680055	179342	Danusia
680055	181358	Peasant
680055	266019	
680055	375498	
680056	286282	
680056	343339	
680057	82205	
680058	393345	
680059	266456	Magda
680059	344017	
680059	357687	Vera
680059	383856	
680060	17546	Anushka, gornichnaya Anny
680060	273073	
680061	163030	
680061	163161	
680062	373699	Liza
680063	163891	Elizaveta Nikitchina Koroleye
680063	307311	Elizaveta Nikitchina Korofeye
680064	405499	Siti Nurbaya
680065	245115	Young Cilla Perl
680066	173195	Aunt Silvia
680067	102410	
680068	354751	
680069	154539	
680070	294370	
680070	350729	
680071	396567	
680071	400374	
680072	283758	
680073	176144	Autumn fairy
680074	30504	
680075	84760	
680076	259831	
680077	546	
680077	190409	
680077	205458	
680077	296335	
680077	328453	Dorothy
680077	336600	
680077	343606	
680079	347005	Petrina
680079	357807	Grete
680080	48130	Siv Blom
680080	134948	
680080	153100	Fru Hermansen
680080	178754	Fruen, 'Direktørens fortellin
680080	180710	Borghild Stordal
680080	237406	Kristin
680080	268366	Ester Riibe, Hartvigs hustru/
680080	303650	Lydia Hennert, singer
680080	322472	Anette Winkelbo
680080	349003	Eivor
680080	353049	Bitten Dahl
680081	210660	Dutch woman
680082	389570	Gonzalez's Moll
680083	123241	Mariannes barnebar
680084	19796	Etelka
680084	43109	Adélka
680084	97983	Nõ
680084	233279	
680084	322025	Vidéki színésznõ
680085	170394	
680085	170396	
680086	346810	Paul Cézanne
680087	120088	
680088	53318	Student
680089	303947	Prima
680090	108975	Policewoman
680090	166590	Maria Leno
680091	29559	Mrs. Svensson
680091	47997	Red Cross Woman
680091	104784	The beautiful cashier
680091	111631	Housekeeper
680091	202774	Miss Blomkvist
680091	217451	Woman at cocktail party
680091	295901	The second actress
680091	303645	Mrs. Wise
680091	320687	Anna, maid
680091	335896	Mrs. Kusenov
680091	377324	Secretary
680092	51221	
680092	227534	
680092	377143	
680093	404870	
680094	84820	Galya
680095	202260	Dana
680096	17534	
680096	88444	
680096	187798	
680096	219721	Irina
680096	236070	
680096	239958	Nina
680096	259043	
680096	265913	
680096	320486	Rimma
680096	323646	Christina
680096	326525	Ludmila Silvestrovna Pryakhin
680096	369020	Viera
680097	390401	Katya Mikhajlova
680098	32503	
680098	85207	
680098	244114	
680099	232380	Cantina Tough
680100	62	
680100	341	Mother
680100	47764	
680100	149621	Adamová
680100	181644	Knotková
680100	196818	Mother
680100	198356	Doubravka
680100	221867	
680100	223532	
680100	223538	Bohuslav's sister
680100	225872	Helena Dvorská
680100	225947	Lavicková
680100	234251	Burgrave's niece
680100	237745	Mother
680100	244261	Kacenka
680100	258645	Kacenka
680100	295124	David´s mother
680100	304546	
680100	309463	Bohunka
680100	322657	Helena
680100	349259	Anezka Prenylovna
680100	357297	Parizková
680100	396134	Mutti Krause
680100	399141	Katerina Sovová
680100	399142	Sovová
680100	405729	Marie
680100	407221	Vilma
680100	407428	Katerina
680100	411960	Sona
680101	181354	
680102	237198	Girl #3
680103	263652	Nanynka
680104	247949	Bozenka
680105	10062	Anna Ivanovna
680105	315359	Judita
680105	379877	
680106	161426	
680107	163071	Rotte-chan
680108	182502	
680108	296510	Geisha Yuri
680109	391598	Peggy Matsuyama/Momo Ranger
680110	131168	Ms. Kurada
680111	127346	
680111	200977	The geisha
680111	226680	Vijaya
680111	288654	
680112	25928	Child Artist
680112	176147	
680113	37997	Young Tourist Girl (as Vaness
680113	43885	Zombie Dudette
680113	93870	Little girl
680113	161924	Orphan Girl
680113	192045	Deirdre
680114	187750	Janeck
680115	43019	
680115	394813	
680116	40519	Herself
680116	356882	Kurt Wolfermann
680117	151092	Nan
680118	190461	Principal Armstrong's Secreta
680119	129700	
680119	156987	
680119	174174	
680119	242840	Emmi Krall
680119	365009	Mitzi
680120	250798	
680121	261302	
680122	183480	The Model
680122	241605	Agency Model
680123	122825	
680123	344298	Nastya Babichka
680124	95690	Olya Koryakina
680125	89101	
680125	178701	
680125	265047	
680125	304170	
680125	369390	Galya
680125	373744	
680125	382445	
680126	356444	
680127	320625	
680128	265997	
680129	262644	
680130	63574	
680130	239421	
680130	374162	
680131	207999	
680132	266199	
680133	226012	Aleksandra
680134	157811	
680135	95679	
680135	224517	
680136	10886	Ordnance Officer
680137	201465	Herself
680137	238386	
680137	382113	Minako Aino/Sailor V/Sailor V
680138	288384	Matsushima, Nami/Sasori/Scorp
680138	288385	Matsushima, Nami/Sasori/Scorp
680139	170867	
680140	127919	Oume
680140	170903	
680140	173319	Omaki
680140	245881	Hostess
680140	349168	Okanu
680141	121464	
680141	181892	
680141	285453	
680141	285454	
680141	285455	
680142	344021	Mitan
680143	177755	Donburi Shop Girl
680143	273168	Rinko Terada
680143	394521	Norika
680144	21829	Tanaka, Junko
680144	67485	
680144	203794	Mari
680145	389570	Battleship Announcer
680146	304065	Latin girl
680147	380008	Herself
680148	43758	Un enfant de Marie
680149	38767	
680150	394713	
680151	262200	
680152	23409	
680152	205048	
680152	275748	
680152	299008	Nurse of Kei Ran
680153	210323	Hîchan
680154	145280	Imamura, Michiko
680154	216224	Tanabe, Hohoyo
680154	216523	
680154	373223	Tomiko Tomonari
680154	392552	Kaori Hashimoto
680155	390037	
680156	255872	Elderly Secretary
680157	74080	Herself (Robert Crumb's wife)
680158	383737	Assistant
680159	55493	
680160	263604	
680161	226797	
680161	293100	
680161	294673	Petumeel
680162	373699	Lyuba
680163	20189	Young arion
680163	87408	Rita, Sandra
680163	104291	Empress Teodora
680163	127412	Youshi
680163	176537	Kathy
680163	293586	Suzukure Mibuno
680163	348754	Ran
680163	348755	Ran
680163	348756	Ran
680163	348757	Ran
680163	348759	Ran
680163	348760	Ran
680163	348764	Ran
680163	348765	Ran
680163	348767	Ran
680163	379166	Kyoko Otowa
680163	387160	Rita, Sandra
680163	390376	P.J. aka Pete Jr.
680163	394029	Various characters
680163	394030	Various characters
680163	408735	Wheelie
680163	409686	Ran (late TV series)
680163	410527	Satie
680163	411890	Nosuke
680164	34209	
680164	76876	
680164	125260	
680164	125261	
680164	125266	
680164	137009	
680164	137046	Ozawa-obasan
680164	334895	
680164	344022	
680164	378157	
680165	284068	
680166	225923	
680166	327370	Justina
680166	339942	
680167	402907	Marianna (1999); Mrs. Cleavag
680168	220729	Mezzo-Soprano
680168	279706	Sara
680168	281977	Octavian
680169	291708	Vicki
680169	307686	Sheba's Court Member
680170	19670	Tereza
680170	28347	
680170	50840	Személyzetis
680170	74440	
680170	99739	(segment "Jégárpa")
680170	104199	
680170	129672	Jusztina
680170	134959	Idõs hölgy
680170	138944	Magda
680170	153962	
680170	177975	Horváth néni
680170	198210	
680170	209810	
680170	237323	Farkasné
680170	251976	Notárisné
680170	293991	Mrs.Semmelweis
680170	322082	
680170	322086	(segment "A mama udvarlója")
680170	354256	Csonka Maria
680170	354442	Mme. Bergerand
680170	377778	
680170	382544	Börtönigazgató fõnövér
680170	401347	Mrs. Fogas
680170	402164	Pancsa anyja
680170	407236	Lenke, Mrs. Takács (1987-1999
680171	32863	Öregasszony
680172	343560	
680173	156990	Clara Flint, Soubrette
680174	354056	
680175	26584	
680175	27758	
680175	34495	Hanni
680175	40386	Anne
680175	95265	
680175	97842	
680175	165125	Rosa Frankfurter
680175	178809	Vera
680175	210237	Cloelia
680175	259539	
680175	259636	Astrid Lommer
680175	282234	Rotkäppchen
680175	289931	
680175	322424	
680175	366587	
680175	374625	Jüngste Prinzessin
680176	482	
680176	4811	
680176	5119	Mother
680176	5644	
680176	12847	
680176	24332	Müllerin
680176	26584	
680176	40418	
680176	42623	
680176	136603	
680176	140770	
680176	156652	
680176	160262	
680176	162597	Frau Flickenschildt
680176	170138	Oma
680176	194357	
680176	204456	
680176	210013	
680176	210117	Grandmother
680176	210144	
680176	217201	
680176	219339	
680176	254675	
680176	259521	
680176	259636	
680176	259639	
680176	277302	José's Mother
680176	282223	
680176	284434	Mutter von Heiner
680176	290625	
680176	290740	Thomas' Grandmother
680176	301041	
680176	322424	Tashina
680176	324667	Erna Gäbler
680176	347803	
680176	352572	Ältere Krankenschwester
680176	366587	
680176	369390	
680176	376120	
680176	389955	Mutter Teichert
680176	390014	
680176	403802	
680176	411995	Oma
680178	164029	
680178	288346	
680178	339283	Nesicka
680179	354948	
680179	380817	Sofia
680179	387415	Marika Kotopouli
680179	405568	
680179	412026	Alexandra
680180	198474	Red Guard Dancer
680181	300476	
680181	313886	
680182	156113	
680182	348992	
680182	358125	
680182	359612	
680183	135578	Jam Kuradoberi
680183	135579	Jam Kuradoberi
680183	334955	Kumiko Toma
680184	325208	
680185	17690	Anne
680186	104274	Kinuya, maid
680187	98022	
680187	227610	
680187	290070	Goeth's girl
680188	2153	
680188	9916	She
680188	76229	Majka Borkowska
680188	88412	Hotel Receptionist
680188	165077	Ada
680188	225876	
680188	261135	Girl on casting
680189	21040	Novak
680189	22618	Sonia/Lucille
680189	24420	Jewdocha
680189	45189	Natash
680189	106381	Yana
680189	120439	Nun
680189	142985	Laura
680189	146871	Baroness
680189	168120	Emile's Mother
680189	179419	
680189	180106	Ballet Dancer
680189	180634	Joanna
680189	206610	Marina
680189	238426	Seherazade
680189	257321	
680189	282690	Irene Adler
680189	289473	Helena Monet
680189	291261	Landowska
680189	305561	Narutowicz's Niece
680189	320316	Katherine Whitmore
680189	359173	Esther
680189	369009	
680189	380391	Daphne Grimaldi (1985)
680189	383707	Margot Katka
680189	396145	Francesca Fern
680189	398294	Danuta
680190	37731	Marta
680190	40365	Katarzyna
680190	48669	
680190	75757	Aunt Ida
680190	75977	Actress
680190	82200	Irena
680190	99261	
680190	120439	
680190	136679	Agnieszka
680190	165037	Musia
680190	174228	Mrs. Grosman
680190	180106	Dorota, Adam's Wife
680190	186384	Sorcerer
680190	191002	Michal & Andrzej's Mother
680190	237983	Marta
680190	247647	Jola
680190	280588	Emilia
680190	303742	Roza
680190	311255	Teresa
680190	313031	Zofia
680190	352580	Marta
680190	357732	
680190	360952	Elzbieta
680190	361575	Rachela
680190	363512	Nun Klementyna
680190	369373	Klos's Mother
680190	373497	Anna
680190	376522	Bella
680190	385985	Irena
680190	397957	Anna Schubert
680191	371374	Extra
680192	6085	
680193	332555	
680194	364729	
680196	93581	
680197	361854	Herself
680198	251987	Diva
680199	378273	Dancer in Tripolis
680200	178767	Tatjana Rantala
680200	179623	Tuire Hiisi
680200	404782	Kiinteistövälittäjä
680200	405292	Poliisi
680201	289298	Kouno, Mari
680202	291128	Miki
680203	150590	Anna
680203	214708	Manci,manikûröslány
680203	229477	
680203	235374	Rozika
680203	239432	Kató,Tatár Éva lánya
680203	284082	
680203	322241	Erzsike,Bakaj lánya
680203	375310	Éva,Kemenesék lánya
680203	377721	
680203	378012	
680204	198322	
680205	35105	Herself (friend)
680206	359921	
680207	341258	Stripper with Unique Nipples
680207	358423	
680208	324964	Elena
680209	170230	Herself
680209	170232	Herself
680209	170234	Herself
680210	179862	
680211	256156	Baska Oraczewska
680211	321432	Singer
680212	381549	Platinum Purple Beetleborg/Jo
680212	381871	Jo McCormick/Red Striker Beet
680213	104616	Singer (Song "Paris Latino")
680213	313194	Herself
680213	406378	Herself
680214	86387	
680215	192902	
680216	308482	
680217	110115	
680217	138398	Ustrzycka
680217	212652	
680217	319660	Miss Aldona
680218	12815	
680218	258704	
680218	356592	
680219	397302	Bolnaya v kholle
680220	100438	Madre
680221	24715	Népdalénekesnõ
680221	322108	
680222	152385	Városi kislány
680223	51314	
680223	106690	Kolozs Zsuzsa
680223	179864	
680223	322122	Gabi
680224	64689	Ola
680225	45764	(segment Talant)
680225	263697	
680225	314467	Tamara
680225	387142	
680226	244218	Olya
680227	344090	
680228	375419	
680229	29903	Pamela Devlin
680229	35735	Helena's Mother
680229	46742	Madeleinska
680229	66356	Nurse
680229	150747	Mrs. Mortimer
680229	165278	Mrs. Pierangeli
680229	193280	
680229	219556	Rose Croce
680229	223762	Rose Casale
680229	283282	Mrs. Modesta
680229	296785	TV Host/Panel
680229	314131	Mrs. Agopian
680229	371325	Francesca Giordano
680229	375863	Female Patient #2
680229	405054	Irene Locatelli
680230	129148	
680231	110672	
680232	44008	Slavica... porodilja
680232	187014	Devojka
680232	228172	Natasa
680233	44393	Xenia
680233	341332	
680234	223604	
680235	373333	
680236	335261	Mariko, the little girl
680236	375583	
680237	34137	Osuzu
680237	76863	
680237	138086	Shinobu
680237	140027	Princess No.1
680237	167947	
680237	172236	
680237	180433	
680237	212530	Nobuko Kiyohara
680237	299001	
680237	299235	
680237	299311	
680237	371978	Kimiko Asai
680238	287374	
680239	245881	Otsugi Kayukawa
680239	287636	Shiono
680239	297069	Sabhaya
680239	344162	
680239	405215	Tom
680240	149239	
680240	156196	
680240	175370	
680240	175371	
680240	177882	
680240	204940	
680240	235037	(story Shinrei bideo)
680240	299324	Ami Kageyama
680241	58556	
680242	381918	Herself ( Evicted 5th, 70 Day
680243	311805	Anni
680244	322213	
680245	175373	Azuma
680246	261309	
680247	265011	Kaka Yordanka
680248	251896	Charlotte
680248	258569	Rufie
680249	354325	Todora, majka mu na Tase
680249	405860	Evdokija
680250	354325	
680251	395706	
680251	403230	
680252	110115	
680253	18336	Dina Antonovna Voronova
680253	129924	Jeanne
680254	63574	
680255	75983	
680255	369006	Herself
680256	369006	Herself
680257	273069	
680258	28702	
680258	28703	
680258	82261	
680258	86597	
680258	95585	
680258	180074	Galina
680258	243974	Olga
680258	245897	
680258	253631	Aunt Katya
680258	265667	
680258	349370	
680258	351336	
680258	373519	
680258	400479	
680259	18286	
680260	129426	Mother Glinka
680260	219147	
680261	198127	
680261	229080	
680261	258613	
680261	258675	
680261	275971	
680262	357694	
680263	399482	
680264	26206	
680264	43190	
680264	76709	
680264	86614	
680264	92139	Aleksandra
680264	95647	Nancy
680264	173958	
680264	225903	
680264	234693	
680264	262494	
680264	262544	(segment Nash papa majonez)
680264	273029	
680264	283682	
680264	315002	Death
680264	339964	
680265	154264	Workstation/Imp
680266	259864	Pregnant Girl
680267	410	
680268	91061	Herself
680268	91066	Herself
680268	170232	Herself
680269	305717	Baby Enos
680270	359806	
680271	179822	Hime
680272	265579	Hamburger Shop Employee A
680273	113678	Grand-mère de Bah
680274	44958	
680274	288315	
680275	47775	La chanteuse
680276	142338	Ema
680277	365009	Singer of 'Die schönsten Mäde
680278	29670	Harem
680279	151942	Lady Xin 14
680280	320134	Herself
680281	27789	Aunt
680281	42232	Deranged Woman
680281	76358	Dongdong
680281	76426	Dizzy Patient
680281	110604	Retarded Girl at Food Stand
680281	127776	Stewardess
680281	167366	Hooker
680281	167851	Cheung's Wife
680281	170074	Lam Chia-Hsin
680281	193911	Hsiao-Yen
680281	268699	Foxy
680281	300453	Siu Yin-Hung
680281	367173	Fei-Fei
680281	371494	Ma Siao-Ling
680281	371518	Tong Vamp
680281	371563	
680281	373093	Aunt Pinky
680281	374756	Banana Queen
680281	374910	May
680281	374983	Fa
680282	68315	
680283	241471	Girlfriend
680284	146946	
680285	90468	Herself
680285	363946	Ruby Hoy
680286	359064	Tai Chi Lady
680287	76852	
680287	218036	Siu Wai's Sister
680287	238700	
680288	80610	Patient
680289	346206	Pregnant
680290	60578	Taekwon Girl
680290	127723	Min-ji
680290	176898	Female Office Worker
680290	267078	Na-young
680290	318921	Female MC
680290	319996	In-ju
680290	362060	So, Yo-seon
680291	92740	
680292	43373	
680293	3284	
680294	300460	
680294	300639	
680295	76293	Yan'er
680295	369972	
680296	95442	Sue
680296	123690	Governor's Daughter
680296	135079	Flora
680296	152347	Yan's Wife
680296	167502	Sushi
680296	210976	Apple
680296	250893	
680296	268734	Julia
680296	288420	
680296	301436	Reporter at Competition
680296	370464	Wu Wan Kei-Man
680296	371585	Girl in Water
680297	370465	Macy Ho
680298	179008	Deb
680298	399699	Helen
680299	137972	Chinese Girl in Fong's
680300	37287	
680300	181778	
680301	370473	
680302	286749	
680303	58799	Donna Mae
680304	58109	
680305	358909	Sheung Kun Fai-Fa/Gambling Fl
680305	367177	Miss Chin
680305	376766	Ben's Wife
680306	1793	Miss September 1985
680306	21913	Herself
680306	35523	Playboy Playmate
680306	224134	
680306	236696	Woman
680306	257859	Herself
680306	257866	
680306	361862	
680306	367847	Herself
680307	175249	
680308	81984	Nurse
680309	23723	Schoolgirl
680310	153528	
680311	348994	Princess Tsubaki
680312	285919	Shimako Inoue
680312	370411	Mami
680313	109714	Lance's secretary
680314	260961	Minna
680315	379527	
680315	394572	
680315	396098	
680316	266309	Basia Ostrowska, Marta's Sist
680316	394585	Joanna (2000-2002)
680317	107577	Marta
680318	46691	Sonia
680318	125634	Frau Kellner
680318	139573	Sarah Iles
680319	191937	Shamira
680320	298439	Little Pete
680321	225243	
680322	224186	Marta Vasquez
680322	321266	Marie
680323	365347	Herself - Woody Allen's Mothe
680324	338197	Peasant girl
680325	292586	Jo Ann Foley, infant
680325	344484	Gail/Angela
680326	292586	Jo Ann Foley, infant
680326	344484	Gail/Angela
680327	174407	Leentje
680327	409192	Irène (2001-)
680328	390242	Margriet van Gelden (1992)
680329	301901	Billy Hill's Wife
680330	379339	Christina Robinson
680331	11464	Herself
680331	130232	Anita Dendermonde
680331	390242	Anita de Jong-Dendermonde (19
680331	412067	Gaby Komproe
680332	35920	Herself
680332	40596	Herself
680332	48252	Herself
680332	136016	Herself
680332	180016	Herself
680332	301901	Heartbeat
680332	375124	Herself
680333	125257	Zaalzuster
680334	99222	Marie Verstraeten
680335	290074	Esther Bleeker
680335	410838	
680336	404280	Anneke Arends
680338	378380	Mujer en presentación
680339	8901	Rion
680339	79070	Lilith
680339	89440	Cynthia
680339	135579	Bridget
680339	253444	Lisa Silverman
680339	253445	Lisa Silverman
680339	293450	Iwadate
680339	324535	Emi
680339	334886	Woman Office Worker
680339	382908	Nene Romanova
680339	385981	Takeru Takaishi
680339	386343	Takeru Takaishi
680339	386586	Akane Kimidori
680339	392619	Boo
680339	393999	Jiyu Nanohana/Jubei-chan
680339	396501	Sawanoguchi Sae
680339	400053	Hehe
680339	411874	Miho Hamaoka
680340	406964	Rie 'Rita' Endo (1971)
680341	14399	Sayuri
680341	41669	Masami Endo
680341	41670	Masami Endo
680341	182039	
680341	314191	Scarlett
680341	349104	Omiyama
680341	384559	
680341	391700	Hanako Mizusaki
680341	404773	Isaki Fujishima
680342	404244	Hanako Watanabe (Home Economi
680343	172471	Hisako
680344	149674	
680344	172042	
680344	242200	
680344	334871	Saeko Igami
680345	121440	Girl in a boat
680346	11623	Kostümfrau
680347	18221	
680347	162126	Girl of Chorus
680347	380355	Anna X...
680348	323879	Tiffany
680349	353007	
680350	181953	
680350	197359	
680351	222441	
680352	89506	
680353	95694	
680355	196338	
680356	165506	Herself/dancer ("If", "Runawa
680356	165507	Herself/dancer
680356	165508	Dancer
680356	165515	Herself/dancer
680356	221434	Herself/dancer
680356	237006	Dancer
680356	314104	Dancer
680357	225621	Herself - a member of Mooning
680358	227181	Mika
680359	102834	Herself (fantasy club owner)
680360	273168	Scarlet Claw
680361	8905	Aiko Shimazaki
680361	21870	
680361	188385	Miki Gôtokuji, 1st daughter
680361	213595	Tomoe
680361	232611	Masuno
680361	238840	
680361	298871	Aya Kitazawa
680361	298999	
680361	355277	Setsuko Kikuchi
680361	392101	
680362	61456	Marie
680362	142179	Hisae
680362	216785	Rie
680362	237761	Geisha Fukutaro
680362	242196	
680362	242229	
680362	293581	Oshina
680362	334936	
680362	359838	Deko
680363	317157	Ruth
680364	8762	Kazue Ujiie
680364	22692	Fumie, Actress
680364	61465	
680364	155505	Sue Okabe
680364	168357	
680364	358131	Lady
680365	303447	Hotel Clerk
680366	12275	Ioi
680367	334822	
680368	57929	Swan Lake Soloist
680368	71154	Odalisques
680369	57747	Rosseta
680370	35864	
680370	162747	Herself
680370	244658	
680371	312992	
680372	355776	Mother
680372	356110	
680373	186866	
680374	14660	Voz en Off
680375	37700	Renee
680375	329954	Neighbor
680375	336479	Sue
680376	390181	
680377	375060	
680378	390	Widow Ankam
680378	32389	Girl on Balcony
680378	40782	Sweet Mama
680378	54024	Antona
680378	56037	
680378	67511	Ginevra
680378	73513	Suor eleonora
680378	85608	
680378	118069	
680378	142355	Luciana
680378	189785	Bibi Randall
680378	196978	Contessa
680378	235746	
680378	254965	Fiametta
680378	266012	Signora North
680378	288495	Dr. Marnie Bannister
680378	293343	Sandra Dubois
680378	295158	
680378	311819	
680378	319729	Amazon Queen
680378	356014	
680378	362748	Ulido
680378	375016	
680379	1792	Miss August 1987
680379	257646	Miss April
680379	361862	
680380	391751	Hokuto Spirit
680380	394031	Various characters
680380	403411	
680381	8023	FEMA Official
680381	10661	Judge Rawlings
680381	11922	Woman
680381	12311	Sister Clara
680381	51660	Mary Leonard
680381	64394	Therapist
680381	80691	Mrs. Novalo
680381	91932	Witch #2
680381	97091	Ebbie's Mother
680381	117230	Dance Instructor
680381	141180	Receptionist
680381	207765	Hospital Receptionist
680381	214962	Editor
680381	223642	Janet, Monte's Lawyer
680381	238595	Mona Sanchez
680381	290936	Aggie Wilkins
680381	301804	Interviewer
680381	306278	Crone
680381	311567	Lady in Street
680381	314688	Dr. Alvarez
680381	360497	Marta Jones
680381	363161	Clerk Sybill
680381	364428	Gum Smackin Woman
680382	63574	
680383	124843	
680384	3035	
680384	23047	
680384	43196	
680384	82782	
680384	125497	
680384	174163	
680384	192625	
680384	198127	
680384	198940	
680384	225877	
680384	237969	
680384	244044	
680384	261907	
680384	267863	
680384	273046	
680384	280398	
680384	288363	
680384	300543	
680384	320713	
680384	349158	
680384	350975	
680384	356181	
680384	356420	
680384	357484	
680384	374178	
680384	374431	
680384	374832	
680384	409010	
680385	189425	
680385	375488	
680386	80051	Journalist
680387	95696	
680388	407625	Herself
680389	65202	
680390	59912	Morag
680391	32917	Herself
680391	201675	Herself
680392	34106	Landlady
680392	41666	Alma Wishoff
680392	122218	Mrs. Karnovsky
680392	270521	Mrs. Kaufman
680392	275361	Woman playing piano
680392	321145	Mrs. Maribelle Norris
680392	332440	Mrs. Dabney
680392	344168	Woman holding dachshund
680392	395183	Mrs. Trilling
680393	93581	
680394	86400	
680394	93452	Stubenmädchen
680394	102970	Elsie Lester
680394	126844	
680394	142134	
680394	147317	Rosamund
680394	182146	
680394	200842	
680394	231506	Trudchen Taste
680394	243241	Dolores
680394	281985	
680394	290752	
680394	316808	Servant
680394	356726	
680394	376502	Stubenmädchen
680394	398630	
680395	98369	
680396	11887	Second Housewife
680397	205468	
680398	4797	Marie
680398	12587	Fritzi
680398	12889	Bürokraft bei Hellwerth
680398	35883	
680398	134855	
680398	142111	Corinna Linck, das Mädchen oh
680398	145508	Beate
680398	171488	Christopherl
680398	172349	
680398	182736	Monika
680398	184276	Nuna
680398	190790	Julie
680398	200038	Annerl
680398	209975	
680398	237486	Omama
680398	273669	
680398	275684	
680398	302677	
680398	302751	Omama, Mother of Johannes Moo
680398	306404	Ilse Bundschuh
680398	308238	
680398	315110	Marie
680398	340013	Manes
680398	351936	
680398	352538	
680399	378608	
680400	234882	
680401	198137	Lyubov
680402	275397	Daisy
680403	151872	
680403	172894	Voice On The Telephone
680403	245191	Concierge
680403	379618	Meropi
680403	386445	Yiolanta Rayia
680403	387154	Deni Markora
680403	390901	
680403	396635	
680403	397813	
680403	403230	Persefoni
680403	404236	Pipina
680403	407976	
680404	380479	Eva
680405	178377	
680406	273104	Yvonne
680407	6320	
680407	280333	
680407	327124	Theoni
680407	330575	
680408	6326	
680408	8123	Gelli
680408	18215	
680408	18222	
680408	18225	Margarita
680408	100628	
680408	104390	Raizi
680408	107332	
680408	108746	
680408	162121	Kyra Lambena
680408	162625	
680408	173656	Tasia
680408	174631	Ioanna Diamandidi
680408	179635	
680408	180947	
680408	229957	
680408	250542	Efterpi Papastafida
680408	256740	
680408	281228	Hrisanthi Karadari
680408	316922	Despoina Alifantouli
680408	329171	Mrs. Hatzilazarou
680408	332237	
680408	343411	
680409	8606	Asimina
680409	205584	
680409	356918	Loula
680409	392217	
680409	404242	
680409	405793	
680409	407920	
680410	380383	Mairoula
680410	380486	Magia
680410	405478	
680410	406690	
680410	407539	
680411	394713	
680413	172894	Thodoros/Liza
680413	178459	Jenny's friend
680413	245857	
680413	386638	Neighbour
680413	387358	Sosso Papadima
680413	389459	Secretary
680413	394068	
680413	394145	
680414	394572	
680415	212043	
680416	213016	Mamie
680416	286222	Ivy
680416	305602	Fanny
680416	330158	Molly O'Neill
680416	335582	Lou
680416	360072	May
680416	372437	Bathing Girl
680417	126717	Wife
680418	40111	Bit part
680418	58803	
680418	68824	Sadie Bannister
680418	103235	Wife
680418	117756	
680418	125874	Madeleine
680418	169272	
680418	222774	Doucie Markham (Doucebelle De
680418	303992	Chloe Hornblower
680418	333096	Tilly Welwyn
680418	356285	Janet Lord
680419	178459	
680419	191419	
680419	390038	
680419	390837	
680419	401521	
680420	20698	
680421	341181	
680422	19040	
680423	332551	Barbara
680424	12588	Königin Sophie Dorothee
680424	103128	
680424	120332	
680424	121029	Maria, her mother
680424	160263	Circe
680424	189575	Helene Burkardt
680424	193498	Lola Montez
680424	225215	
680424	235676	Madame Anna Sebastian
680424	264349	The Empress
680424	285812	Ellinor Blackwell
680424	318901	Tänzerin
680424	335033	
680424	343445	A táncosnõ
680424	345901	Donna Juana de Villafranca
680425	305013	Candice
680426	28887	
680426	95869	
680426	102127	
680426	102917	Tassoula
680426	107659	
680426	154443	Tatiana
680426	172193	Evgenia
680426	178543	
680426	212608	
680426	247908	
680426	262425	Marika
680426	266027	
680426	317097	
680426	395090	
680427	80446	Isabelle Palen
680428	80446	Mrs. Palen
680429	194521	Herself
680430	320637	
680431	188623	Parnu Receptionist
680432	315851	Dancer
680433	188875	Pepita Pipeva
680434	18399	
680434	95645	
680434	219716	
680434	284482	
680434	303802	Younger Nadia
680434	334482	
680434	339332	
680434	343302	
680434	349297	
680435	371352	
680436	305547	
680437	181185	Vera
680438	263695	
680439	25291	
680439	77481	
680440	255743	Woman in tourist bus
680440	355743	Nainen rannalla
680441	104770	Greek entry (12th place)
680442	100117	Maud
680442	133346	Millworker
680442	296750	Spectator
680443	96149	
680444	381344	Eszter Hoffer (1998-2003)
680445	196372	Changing room friend
680446	64951	Baby
680447	214844	
680448	1057	Stevanova majka
680448	35027	
680448	162753	
680448	166889	
680448	190785	Djurdjica
680448	334203	
680448	352361	
680448	386527	Ljeposava
680448	401991	Jankova zena
680449	245766	Jennifer
680450	2922	
680450	172894	
680450	257430	Vivian
680451	209061	Credit Girl
680452	66661	Garage Sale Lady
680452	132813	Madame Antoine
680452	139169	Madam
680452	161108	Woman in square
680452	214054	Mrs. Caspar
680452	218398	Tyrell's School Teacher
680452	272930	Blaze
680453	283847	Snobby girl on bus
680454	69120	Carole Osborne
680454	164193	Pink Lady
680454	316215	Lupe Tomas
680454	383592	Ninon Cormier
680454	404018	Jessica Morais
680454	410628	Angélique
680455	316561	
680456	283591	Maid
680457	174779	
680458	9996	
680458	181884	
680458	184065	Kyrö's neighbour
680458	233242	
680458	246634	Katri
680458	255759	Little salesgirl
680458	303708	
680458	322273	Singing teacher
680458	324756	
680459	201155	Hanna Petrichenkova
680460	81652	Aerobics Instructor
680461	378522	Myslbeková, mother
680462	7238	Miss Blossom
680462	16199	
680462	16200	Lady-companion
680462	51118	
680462	99277	
680462	149243	Marjánka
680462	149624	Jindra
680462	174122	
680462	195040	Drncová
680462	196349	Sonja
680462	216574	
680462	223530	Bozena
680462	229917	
680462	230051	Matej's mother
680462	234743	Iveta
680462	244262	Zlata Outlá, wife
680462	261387	
680462	266349	Plavcová
680462	304192	
680462	312415	Jirinka
680462	321515	Pastry Shop Woman
680462	322332	Marcelka
680462	322333	Marcelka
680462	360071	Mrs. Révová
680462	374127	Chamber-maid
680462	374492	Irena
680462	376552	
680462	381196	
680462	383081	
680462	387031	
680462	394266	Bozenka
680462	399141	Mása
680462	399902	Janouchová
680462	402367	Widow
680462	407383	
680462	410338	Henleiner
680463	361575	Haneczka
680464	192149	Becky Todd
680466	155989	
680466	238323	
680467	398757	
680468	10260	Dashka
680468	33219	
680468	74430	Yelizaveta the Matron
680468	88741	
680468	174272	
680468	219723	
680468	226023	
680468	231162	
680468	238312	
680468	253649	Liza
680468	261139	
680468	273073	
680468	284475	Makeeva
680468	305910	
680468	307614	Tasya
680468	312537	
680468	318149	
680468	323218	Zinaida Pavlovna
680468	356569	Anfisa
680468	357336	Anna
680468	357675	
680468	373948	Valya
680468	374769	Khimka
680469	370934	
680470	12147	Melanie
680471	10160	Party Guest
680471	53701	Katja
680472	2968	Patient hôpital
680473	119338	Herself
680473	171826	Sokona
680474	92858	(character movement)
680474	106782	
680474	188396	Nicole
680474	217943	Blossom of Jade
680474	223286	Alexa
680474	286441	Dean
680474	381113	PC Susan Li (1996)
680475	48439	Mrs. Ku
680475	76343	Lei-Sha
680475	110021	Teresa, Tony's wife
680475	135947	Shao-Hua's Editor
680475	138626	Photographer
680475	153041	Feng's Mother
680475	167819	Chaibat's Wife
680475	170016	Black Widow
680475	212640	Venus
680475	236233	
680475	275582	Stella
680475	303152	Coral Zhang
680476	152342	Cameo appearance
680477	224366	Maid
680478	28038	
680479	125819	
680480	192805	Shannon/Extra
680481	35681	
680481	150233	
680481	229593	Moviegoer
680482	102234	Loretta Davis
680482	198517	Woman 2
680483	292446	Teacher
680484	400297	Host (2002-2004)
680485	365770	Juliana van Stolberg
680486	72466	CIA Technician
680486	77019	Female Cell Block Guard
680486	109621	Female Mine Guard
680486	139597	Newsweek Journalist
680486	375824	TV Reporter 2
680487	243681	Judith
680488	118723	
680488	302124	Gwen
680488	335485	Young Woman
680488	390242	Pascale Berings (2003-2004)
680488	401424	Herself - Host
680489	409565	Deutsch columnist
680490	339934	Jane, the school-mistress
680491	80436	Linda
680492	387113	Servant Waterseller
680493	10727	Miriam
680494	11464	Suzanne
680494	48835	
680494	97235	Jan's mother
680494	105832	
680494	129427	Adri Duprez
680494	161891	Nikki
680494	170968	Chantalle
680494	175693	Marie
680494	182171	
680494	187632	Ria
680494	203784	
680494	238127	Loes
680494	311767	Tjitske
680494	320467	Betty
680494	352156	Tessel
680494	356106	
680494	365706	Young Wilhelmina
680494	379191	Ellie
680494	382018	
680494	403982	Sarah Smit (2003-)
680495	112173	
680495	187049	
680495	390410	Yvette van Cloppenburg (#2) (
680496	352216	Hermine
680496	396667	Verliefd meisje
680496	411311	Lotte Vandenbroecke (2004-)
680497	262589	Camel - Nativity Choir
680498	332055	Sarah Doolin
680499	12242	Marlene Syler
680499	37024	Mrs. Marsh
680499	42729	Wife
680499	86467	Marguerite
680499	127562	Buddy's Mother
680499	140405	Miss Moseley
680499	158109	Psychologist
680499	185103	
680499	214934	
680499	219251	Carleen
680499	220042	Elissa Benedek
680499	222651	Cecelia's Mother
680499	235541	Aunt Georgia
680499	263485	
680499	270607	Waitress
680499	270697	Ma (Mildred's mother)
680499	273340	Beautician
680499	280207	Doris the Waitress
680499	283938	
680499	284003	Housewife
680499	289683	Prisoner - State Prison
680499	292017	Judge Consalvi
680499	308115	Barbaranelle
680499	314442	Ann Wallace
680499	329411	Lizzie
680499	333347	Dell
680499	342491	Night Nurse
680499	366433	Bartering Woman
680500	60016	Woman at Investigation
680501	220014	Reporter
680502	81040	New York Couple
680503	96668	Anne
680503	155011	Front Row Girl
680504	338981	Herself
680505	193000	Nathan's Girlfriend
680506	383803	Herself (segment "Evil Rising
680507	198895	First Witch
680507	214386	Maggie O'Connor
680508	158784	Crew of Herzog in Wonderland
680509	394612	Kind van Alie Donkelaar
680511	384431	Organizer
680512	87860	Jennifer
680512	272859	Crying Woman
680513	254	
680514	254	
680514	37477	Nora
680514	40513	Jans
680514	50449	
680514	202470	Loeki
680514	242454	Polly Fortuin
680515	82481	
680516	264730	Actress
680517	90325	Gabrielle
680517	103333	Anne Kramer
680518	342335	Lotte Bamberg, young
680519	290074	Paulien Wijnstra
680520	237941	
680521	184974	Teen girl
680522	21420	The Witch
680522	29395	Hagiwara Yoshimi
680522	63704	Dosukoi
680522	76857	Pichu
680522	96408	Tanaka Misa
680522	125240	Togepi
680522	125241	Togepî, Zenigametwo
680522	125242	Togepi
680522	125942	Yuka Kikushima
680522	135577	May/Baiken
680522	135578	May
680522	135579	May
680522	177084	Chie
680522	258553	Togepy
680522	259032	Togepi
680522	259033	Togepy
680522	259034	Togepi
680522	259035	Little Brother Pichû
680522	259038	Togepi
680522	293450	Yayoi
680522	293465	Natsune/Judo Laker
680522	293476	Aizen
680522	334915	Kiyoko, the Gangster's Daught
680522	336006	Mî-kun
680522	373368	Mari Yumenokata
680522	382412	Myuu
680522	388022	Menchi
680522	389778	Misuzu Gowa (original version
680522	390964	Yuuri
680522	391597	Shoushou
680522	393942	Rie
680522	394051	Ryoko
680522	394428	Connie Francis
680522	396347	Pedro
680522	396503	Migu
680522	396640	Natsumi Mizuki
680522	397970	Kouran
680522	400268	Maho Kazami
680522	401736	Togepî
680522	401740	Togepi (1999-2003), Phanpy
680522	404230	Otama
680522	405278	Shadow Play Girl B-ko/Chuchu
680522	410444	PQ (Japanese version)
680523	379086	Sophia (part IV)
680524	252164	Diana
680525	130124	Connextions Waitress
680526	90829	Marie-Anne
680526	215489	
680527	26484	
680527	72141	Buurvrouw
680527	105840	Vriendin
680527	115688	Bewoonster Zonnedael
680527	152274	Dimitri's Mother
680527	390242	Annelies van Dam (1995)
680527	401807	Aagje Hobbes
680527	405350	Maam
680527	409572	Mvr. Heemskerk (1998)
680528	33296	Nikki Witte
680528	33448	Monique
680528	147250	Elena
680528	167321	Natasja
680528	205806	Isabella
680528	214743	Leentje
680528	226292	Barbara van Dalen
680528	240034	
680528	254664	Phileine
680528	274253	
680528	306008	Betty
680528	376187	Daantje
680528	379191	Ellie
680529	191626	Little Elk
680530	403133	Ilse
680531	171870	Kopak 2
680532	184608	White Pawn
680533	7204	Aantrekkelijke vrouw
680533	59534	Charley
680533	76764	
680533	194371	Maria
680533	194836	Sister Joyce
680533	226295	Helen de Boer
680533	289831	vrouw in bontjas
680533	322891	
680533	400306	Marijke Vlag
680534	147158	
680535	24519	
680535	72775	
680535	301094	
680536	321515	Featured Dancer
680537	210874	Veronica
680538	261135	
680539	10555	
680539	18635	Assistant Hotel Manager
680539	139279	Cynthia Cleveland
680539	385824	Wendy Reardon #3 (1996-1997)
680539	390771	Mel Boudreaux Bauer (2001-pre
680539	397831	Wilma
680540	58505	Petra
680540	58510	Nora
680540	73114	Cassie
680540	77019	Liz's Slave
680540	78792	Girl
680540	113414	Marina/Erika
680540	128144	Female Guard #1
680540	142390	Hell Mountain Girl
680540	176844	Lucia
680540	185659	Slave
680540	209457	Female Guard
680540	270920	Slave
680541	171870	Mukpa
680542	268228	
680543	344017	
680543	349242	Herself
680544	363803	Sarkak
680545	266293	
680545	341166	
680546	47279	Woman in Airport
680546	375300	Old Woman in Park
680547	69053	Club Patron
680548	180940	
680549	95987	
680550	142218	Hallo-girl
680550	262566	Bela, baker's daughter
680550	320576	
680551	238644	Ballett
680552	292709	
680553	190252	Helen Hopkinson
680554	95768	Saale
680555	14821	
680555	148472	
680555	280850	Fernanda
680555	285245	(segment "Uma Aula de Sanfona
680556	160888	Lady #2
680557	182531	Lonely Mother's Daughter
680558	110749	Emilio's friend
680559	137335	
680559	381050	
680560	356101	kind
680561	214662	Mullin's Daughter
680562	172726	
680562	180358	Rogneda
680562	229915	Dykhodymikha
680562	265936	Ganna
680562	318149	
680562	371359	
680562	373443	Sekleta
680563	182732	
680564	116769	Actress
680565	260326	
680566	35438	Jennifer
680566	37408	Candy Striper
680566	213260	Katlin Clark
680566	264432	Shiba
680566	292594	Carol
680566	315577	Maris
680566	366747	Mary Ann Dunaway
680566	375112	Sierra
680567	293106	
680568	93399	Mathias' Filmteam
680569	127994	Rachele (10 years old)
680570	13396	Dr. Liz Baxter (segment "The 
680570	19833	Veronica Lodge
680570	64516	Jennifer
680570	72850	Lucy
680570	109457	Susan Granger
680570	165102	Margaret Winston
680570	183715	Fiona Richards
680570	241050	Robin Pierce
680570	253350	Kimberly McDonald
680570	337326	Sarah Bolton
680570	340320	Lisa
680570	385594	Kay Lloyd (1988-1989)
680571	50989	Sheila's Daughter
680571	333343	Beth
680572	47022	Secretary
680574	390108	Herself
680576	84439	Cindy
680577	375235	
680578	17813	Ragazza Russa
680578	270855	Irina
680578	396649	Bessa
680579	18452	
680579	144058	Sanelma
680579	153756	Terttu
680579	172406	Anna-Katariina
680579	283593	Maid at Astenius
680579	336832	Model
680579	341559	Milkmaid
680580	181589	Tehdastyöläinen (Worker)
680581	285801	
680582	63629	Aubrey
680582	174975	
680582	211861	
680582	324652	
680582	343963	
680582	370183	
680583	11986	
680583	15062	
680583	43412	
680583	52723	Hildegarde
680583	103779	La secrétaire de Grenier
680583	119321	Prinzipalin/Mania
680583	173072	Piotrochka
680583	197308	Baroness Geschwitz
680583	243218	The Woman in the Film
680583	244961	
680583	264114	La journaliste
680583	265372	
680583	343756	
680583	357045	Sien
680583	375368	
680583	378866	Une cliente (ep.6)
680583	390470	Gertrude Van Hoppen
680584	392510	Cristina
680585	377991	La patronne du bistrot
680586	278328	Herself - Nurse
680587	315768	
680588	50027	Herself
680589	260789	Girl in car #1
680590	16364	
680590	35040	
680590	119138	
680590	147360	
680590	158050	Marcolfa
680590	162481	
680590	166353	
680590	180649	
680590	205548	
680590	212028	Nomsen
680590	219016	
680590	275158	Frau Feder
680590	308487	Frau Scheller
680590	325617	
680590	399762	
680591	51114	Gina
680591	156697	
680591	169373	Ida von Berg
680591	376128	
680591	379882	Elisabeth Maag
680591	387769	Anna, Hausmädchen
680592	157656	Fernanda
680592	192777	Job Applicant
680593	30683	Katie Danielson
680594	58429	
680594	287805	
680595	91259	Vrouw in café
680595	282891	Suzanne Fourment
680595	344235	Scriptgirl
680596	78268	Herself
680596	119326	Herself - Performer
680596	147018	Herself - Performer
680597	7792	
680598	88867	Dream Girl
680598	289260	Nurse
680598	293047	Teleprompter Girl
680599	27206	Mrs. Ryan
680599	68688	Stenographer
680600	259829	Extra
680601	126673	Lisa
680602	85703	Madame de Croissy
680602	264466	Herself
680603	259829	Extra
680604	30168	
680604	78493	Herself - Member of jury
680604	119326	Herself - Performer
680604	132874	Herself (performing 'Danse i 
680604	407264	Herself - Singer
680605	397878	Rotem Freed (Lichter)/Ram Mim
680606	82055	Daniel's date
680606	184570	Rita
680606	190932	Gale
680606	238230	Heather
680606	272649	Julia Webb
680606	278692	Fran
680606	321147	
680607	7778	Sekretær
680607	64634	Vivian, Charles' tidligere ko
680607	117900	Servitricen Ulla
680607	237156	Anette
680607	303747	Real Estate Agent
680607	305566	
680607	314845	Nys
680607	328516	Dame i pølsebod
680607	351270	
680608	87021	Herself
680609	209683	Fan #2
680610	206623	
680611	101359	
680611	178697	
680611	217061	Oma
680611	241210	Getuige
680611	394912	Koningin Polyhymnia
680611	401671	Moeder
680612	1891	Spielbankbesucherin
680612	16162	
680612	17524	Frau Favetti
680612	24124	Oberschwester
680612	34241	
680612	38831	Queen Augusta
680612	102983	
680612	107813	
680612	116322	Volga German woman
680612	119164	Anna
680612	120276	
680612	126848	Frau Imhoff
680612	144107	Paula Clausen
680612	144135	Queen Elisabeth of England
680612	168432	
680612	180234	
680612	201231	Nora
680612	204466	Mrs.Senator Petersen
680612	225148	Frau aus dem Volk
680612	242847	
680612	267338	Frau Tendler
680612	272780	Friederike Gollwitz
680612	289897	Mrs.Lafrens
680612	289980	Mutter Bentrup
680612	290194	Freese, Wirtschafterin
680612	290846	
680612	293561	Babette
680612	332555	Donna Amelia, seine Tochter
680612	332620	
680612	347046	Hoheit
680612	359688	Frau Seiff
680612	360940	
680612	361411	Barbele
680613	126749	Vivian
680614	363953	Reba Parker
680615	4239	Anjali
680615	68681	Special Appearance (Song 'Kha
680615	79119	Abhilasha
680615	86659	Anita
680615	98543	Tracy
680615	114747	Gitanjali
680615	128595	Tanya
680615	152496	Diana Fernandez (Special Appe
680615	160788	
680615	171747	
680615	171791	Special Appearance (Song)
680615	181019	Disha
680615	193183	Kumar's fiancee
680615	256161	
680615	268063	Rubaina
680615	268603	Laila
680615	283003	Lali
680616	95053	TV anchor
680616	152453	Radha
680617	2613	Herself - Best Documentary Fe
680617	3053	Herself - recalling her award
680617	64326	
680617	159204	Herself
680618	376649	
680619	17678	Hebamme
680619	182589	Frau des Gemeindepräsidenten
680619	344339	Glunggenbäuerin
680619	344340	Glunggenbäuerin
680620	31853	Sonja Pieber
680620	352259	Actress-student playing a fai
680621	180680	
680622	263256	Mlada delavka
680623	51661	Heather
680623	170843	Lyndon Receptionist
680623	182996	April
680623	223979	Acting Troupe
680623	268918	Victim #4
680623	336456	
680624	114648	Maria
680625	10138	Drama Club Kid
680626	8429	
680627	15151	Nurse 3
680628	280895	Girl
680629	286168	
680630	249573	Leggy Lady #3
680631	178994	Blonde #1
680632	77270	
680633	121289	
680633	173027	Shytova
680633	174270	
680633	211193	
680633	217269	
680633	263542	
680633	320683	Lena
680633	357344	Larisa
680634	130010	
680635	405209	Dr. Irina Pavlova (1998)
680636	322126	Kopácsi Kriszti
680636	357819	
680637	322122	
680637	333123	
680638	43106	
680638	49184	Saprugara na profesor Sakach
680638	327925	Harkányiné
680639	42276	Sandy
680640	334611	
680641	174169	
680642	263676	
680643	81672	Hare (Voice)
680643	191430	
680643	219426	Ivan's Mother
680643	231173	
680643	238843	
680643	263666	Pyero (Voice)
680643	263677	Old Woman
680643	357226	Vovka
680643	375674	
680644	325204	Stewardess
680644	349360	
680645	341025	
680645	357618	
680646	410430	Herself (interviewed)
680647	24849	
680647	64014	
680647	137318	
680647	172014	
680647	227968	
680647	307078	
680647	357598	
680647	371892	
680647	375148	
680647	378609	
680648	136688	
680649	201598	Moviegoer #6
680650	211217	
680651	223084	Violin Student (1998)
680652	223084	Shandra Wilson
680653	240317	Soldier
680654	19647	
680654	51351	
680654	86697	
680654	87723	
680654	98753	
680654	130560	
680654	172016	
680654	182909	
680654	285566	
680654	378190	
680655	172660	
680656	17721	Aysegül
680656	155179	
680657	322343	Susan
680657	348545	Kelli
680658	2767	Lena
680658	141942	Hermine Breithaupt
680658	225115	Katharina's mother
680658	282170	Charlotte Blank Behnke
680658	308842	
680658	347640	Mary's Fellow Prostitute
680658	390014	
680659	75421	Elderly Women in Market
680660	137553	Treza
680660	180332	
680660	192902	
680660	270301	Natasa
680660	339752	
680661	170219	Herself
680662	64075	Swedish Ambassador's Wife
680663	268950	La caissière du Palace
680664	113883	Painter's Tease
680665	4703	Sarah the Waitress
680665	10661	Ramona Scott
680665	144674	Wendy Stone, Victim
680665	154308	Katherine Murphy
680665	158183	Michelle
680665	176526	Tiffany
680665	190994	Jill
680665	303904	Bridget
680665	308083	Denise
680665	313045	Vanessa
680665	385308	Shea Marino/Louise Moran
680666	128759	Herself
680666	224863	
680667	14145	Woman at ATM
680667	30686	Mugging Victim
680667	78217	Sadie Mindish
680667	206215	Woman in Cafe
680667	219692	Counter Woman at Coffee Shop
680667	288462	Mrs. Tishbaum
680668	127051	Bennys Lehrerin
680669	3305	Herself
680669	57658	Herself
680669	167234	Herself
680669	398537	Herself
680670	48217	Female Officer
680670	60857	Eleni
680670	216734	Receptionist
680670	231904	Linda Ross
680670	299098	Sandy
680671	174272	
680672	22717	
680672	61790	
680672	89816	Ulita
680672	134757	The Old Seer [Script Name: Fe
680672	180861	Mother Platonivichna
680672	258459	The Mother
680672	266020	
680672	314430	
680673	240317	Rom
680674	62694	Charlotte Rothschild
680674	242687	
680674	304666	Maria Tatarska
680674	394585	Ilona Górska (2000)
680674	398897	Izabela Brzozowska
680675	109065	Teresa K.
680676	336270	Mrs. Stoltz
680677	315311	
680678	109546	Tanya
680678	117154	Pageant Girl
680679	115976	Doris Lange
680679	125213	Ruth, seine jetzige Frau
680679	174796	
680679	215079	Cläre Marten
680679	257715	
680681	75757	
680682	144025	Training attendant Frau Senit
680683	172548	Ana
680684	407816	Herself
680685	275762	Bank Teller (s)
680686	53318	Student
680687	313442	U.S.S Enterprise deck reports
680688	351255	Herself
680689	152116	
680690	356351	Teacher
680690	366842	Stacy
680691	188135	Liz
680692	274801	
680692	341346	Herself
680693	199750	Maria, young
680694	78139	Female Inmate
680694	172957	
680695	231362	Girl
680695	276078	Kasia
680696	8653	
680697	140051	Ilana
680697	179212	Rona
680697	318795	Haya
680697	372024	Yaeli
680697	379470	Alona Barzilai (2003)
680697	388943	
680697	405010	Aya (2004)
680698	126352	
680698	140003	
680698	178639	
680698	188835	Fischerin
680699	158548	
680699	188721	Frau Kuester
680699	259458	
680699	259620	
680699	259625	Frau Handke
680699	352191	
680700	166412	
680701	218085	Michal
680702	174155	Échangiste
680703	96059	Interviewee
680704	9679	Woman in shop
680705	94027	
680705	176055	Lyuda Lyamkina
680705	350345	
680705	355721	
680706	305613	
680707	374563	
680708	180356	Lucienne Marechal
680708	373495	Zoya Verenskaya, rich widow
680708	374881	Musya Khromova
680709	382445	
680710	60730	
680711	22718	Asya (Asja)
680711	60731	
680711	82794	
680711	98585	
680711	155613	
680711	179723	Lysistrata
680711	180856	
680711	187785	
680711	196564	Doctor
680711	205590	Vera
680711	259076	Lyudochka
680711	264475	Chrystina Marr
680711	281042	Tanya
680711	294371	
680711	300806	
680711	320541	Liza
680711	336424	Marta
680711	349077	
680711	350739	
680711	370672	
680711	371345	
680711	396239	Rimma
680711	404034	
680712	263424	(segment "Doroga")
680713	58135	
680714	122757	Hildegundes Mother (Opera)
680715	113207	
680716	357843	Herself
680717	365770	
680718	9802	Chorus
680718	15887	Ensemble Vocals
680718	32178	Additional Voices
680718	256620	Soloist Daughter
680718	256622	Edith (singing)
680719	313100	Laney Golden
680720	18635	Josh's Date
680720	41164	Carol Rembrandt
680720	67385	Linda Chang
680720	166917	Former Girlfriend
680720	220665	Beth
680720	242431	Liz Gorman (Press Liaison)
680720	289314	Natsuko (Manga Entertainment 
680720	301779	Carol Rembrandt
680720	385677	Rachel
680720	385821	Dr. Kim Rosenthal (1990)
680720	386509	Inspector Leanne Tao
680720	393959	Erin Kai
680720	400236	Blair Daimler Cramer Buchanan
680720	401375	Fukiko Masaguchi
680720	401645	Christine 'Chris' Kowalski (#
680720	409490	Ace Whitney
680721	42599	Mädchen von Ferrara
680721	94423	Dame bei Ball
680721	120332	
680721	225140	
680722	268535	
680723	27344	Girl on Santa's Lap
680724	230472	Marie
680725	282466	Riikka Holvisalo
680726	255386	
680727	349439	Kati
680727	401430	
680727	408194	Anna-Liisa Perälä
680728	241986	Herself (archive material)
680728	242265	Eeva
680729	181709	Girl at rally office
680730	104860	Aira Havia
680730	322705	
680731	8902	Rakel Riippa
680731	24690	
680731	144052	
680731	153739	Kansakoulunopettajan rouva
680731	162649	Hotel guest
680731	172142	Secretary
680731	175700	
680731	181630	Kallon Kreeta
680731	181650	
680731	222824	Mrs. Rantala
680731	223257	Anja's mother
680731	239976	Eeva Helske
680731	255758	Lastenkodin johtajatar
680731	255765	Kauppias
680731	282514	Kaunis Sylvi
680731	283959	Aurora Hanneborg
680731	285111	Elisabeth Gyllensköld
680731	332521	
680731	343402	Ritva's boss
680731	349141	Kansakoulunopettajan rouva
680731	349143	Opettajan rouva
680731	350895	Master Järvi
680731	392596	
680731	394555	Various
680732	207890	Madama Cortese
680733	260623	Candidate #2
680733	349150	Ms. Kanerva
680733	350590	Lady of Luoma
680734	186072	
680736	358947	Dead Woman
680737	38663	Mrs. Stypulkowsky
680738	313042	
680739	335333	Newscaster
680740	10784	Alice
680740	30506	
680740	221508	Tatyana
680740	264974	Marina
680740	339333	
680740	370159	
680740	381530	Anna
680741	164754	
680742	4790	Inge
680742	94302	
680742	119027	Netty
680742	126380	Dinnie
680742	361425	Poldi
680742	361434	Luiserl Hopfensberger
680743	262207	
680744	170451	Grandma
680745	367083	Extra
680746	340120	
680747	145309	
680747	357785	Raija Rokka
680747	357789	Nainen ravintolassa
680747	387958	Herself
680747	393715	Herself - the host
680747	399876	Herself - the host
680747	406133	Herself - the host (1991)
680747	407108	Herself - the host
680747	407687	Herself
680748	82810	
680748	204599	
680748	229046	
680748	375657	
680749	24587	
680750	51544	Vera Dona
680750	133856	Carla Donner
680750	317358	Singing Voice for Dorothea Wi
680750	329565	Appearance
680751	409295	
680751	410411	
680751	410412	Mama
680752	349148	
680753	46101	Yekaterina Ivanovna
680753	91205	
680753	127454	
680753	181240	
680753	224498	
680753	230165	
680753	238808	
680753	249245	
680753	261306	Marlok
680753	344308	
680754	72769	American Gladiator
680754	92879	Thief Arikella
680755	178691	Young Emily
680756	399415	Frankie Radcliffe
680757	1379	Maid
680758	282952	Zorah, Chief Bridesmaid
680758	371215	Kate
680759	327241	
680760	330818	Herself
680761	176884	Locker room girl
680761	182956	Venus Ginsburg
680761	215176	Nun #3
680761	254414	Background Player
680761	273275	Cocktail Waitress
680762	1348	Herself
680763	194137	Assistant Clerk
680764	226476	
680765	225509	Tennis Player ('Double Mixte'
680766	104051	
680767	104051	Kücsük
680767	229251	
680768	182793	
680769	19670	
680770	19669	Timea
680771	284355	
680772	292766	Camila
680772	393841	Herself (1993-1994)
680773	41759	Guest at Cocktail Party
680773	41930	
680773	94881	School Kid
680773	315483	Showgirl
680773	348327	Dancer
680775	46914	
680775	336254	
680776	20426	
680777	37480	Old Woman
680777	76594	Annette
680777	137453	First house buyer
680777	167708	Farmer's Wife
680777	324899	Dorothy
680777	363900	Ma McKlusky
680778	42808	Teenage Girl
680780	379056	Funfit Kid
680782	20135	Las Vegas Lady (segment "Lieb
680783	14420	
680784	108261	Margo a Hooker
680784	395774	Host
680785	184059	
680786	75976	
680787	135331	
680788	2987	
680789	282096	
680790	23242	Ung canadierinde
680791	95904	Bella, sangerinde og logerend
680792	154227	
680794	398753	Amber
680795	358373	
680796	20068	Fille Rainier
680796	190928	Julie Beull
680797	20068	Fille Rainier
680797	63774	
680797	103824	Cécile
680798	17846	
680799	11989	Lisa
680800	53201	Mae
680800	246358	Pearl Gates
680800	372226	Olga
680801	340805	Muff
680802	6173	Frk. Hansen (Karls sekretær)
680802	25215	Fru Nielsen
680802	64633	
680802	109127	Fru Agnes Høyer
680802	122341	Ebba Ermandsen
680802	138036	Baptistes sekretær
680802	153230	
680802	181738	Speaker
680802	190825	Petra
680802	268371	Kontordame
680802	315836	
680802	317600	Lemborgs sekretær
680802	317651	Sælger ved husmodermøde
680802	340080	
680802	397074	Fru Apoteker Strøm (1978-80)
680803	46101	
680804	186866	
680804	298305	
680804	375912	
680805	63347	
680806	198012	
680807	370176	
680808	312183	Playfulness
680809	124157	
680809	227916	
680809	320478	
680810	13253	Lily Smith
680811	75567	
680812	94256	Astrid
680812	115424	
680813	156573	
680814	41603	
680815	314224	Girl in the Car
680816	130198	
680816	349362	
680817	238110	
680818	387573	Mimi
680819	227903	
680819	320681	
680820	35933	Syuzanna
680820	63347	
680820	132090	
680820	228927	
680820	265959	Karola
680820	280397	
680820	303727	
680820	397513	
680821	7179	Annette
680821	9081	
680821	19970	Agnes "Dumbbell"
680821	22028	
680821	26305	
680821	35248	Mary
680821	36865	Mary
680821	37316	Mary
680821	37466	Mary
680821	37543	
680821	41146	
680821	43469	
680821	45682	
680821	48543	Mary
680821	49859	
680821	52398	
680821	52671	Kitty Marley
680821	58840	Mary
680821	64537	Mary
680821	66351	Mary
680821	67141	Amber
680821	68376	Mary
680821	72497	
680821	83112	Mary
680821	83665	Anne
680821	88952	
680821	89148	Mary
680821	89313	Mary
680821	105146	Mary
680821	113448	
680821	114362	Teacher
680821	116174	Belinha's Friend
680821	118440	
680821	131387	
680821	144818	Mary
680821	144933	
680821	147726	
680821	153996	Alice Martin
680821	162982	
680821	163410	
680821	169830	
680821	170512	Mary
680821	171054	
680821	176282	
680821	177479	Peggy
680821	179034	
680821	183378	
680821	188336	
680821	193368	
680821	195493	
680821	195574	
680821	195984	
680821	199330	Felice 'Sweet Pea', Young Gir
680821	202629	Mary
680821	206926	Mary
680821	208979	Bridesmaid
680821	218122	
680821	229520	
680821	233818	Mary
680821	238738	
680821	240887	Ruth Hunter
680821	241850	
680821	244827	Mary
680821	255315	Mataeo Rogers
680821	257917	Mary
680821	257923	
680821	269360	Joan Lawrence
680821	269361	Joan Lawrence/Mary Lawrence
680821	269990	Annabelle Hibbs
680821	276950	Mary
680821	279567	
680821	283635	
680821	293170	Mary
680821	299391	
680821	299878	McGregor kid
680821	305725	Bess Bart
680821	312779	Mary
680821	316891	Party Guest
680821	318916	Mary
680821	321513	Jaon Dennis
680821	332109	
680821	333717	Mary
680821	335659	
680821	345834	
680821	365174	
680821	372734	Mary
680821	372872	
680821	372928	Mae Blair
680821	374522	Townswoman
680822	69214	Alice
680823	26294	
680823	30196	
680823	38710	
680823	47076	
680823	89177	
680823	97579	
680823	107406	
680823	114362	
680823	118440	
680823	192275	
680823	195900	
680823	240181	
680823	244830	
680823	257737	
680823	271321	
680823	290396	
680823	311627	
680823	326407	
680823	327783	
680823	332109	
680823	359226	
680824	56098	Woman at baby window
680824	122967	Guest
680824	175750	Shivaree Woman
680824	198543	
680824	220589	
680825	2621	
680826	5884	Alexa
680826	78792	Baroness
680826	80751	Marina Drazik
680826	257723	Eva Jostová
680827	399141	Pavlínka Hamouzová
680828	64755	Dascha Kohútová
680828	180673	Eva
680828	180886	
680828	207721	Tereza
680828	229553	Margot
680828	239893	Juta's servant girl
680828	262219	
680828	263652	Zaneta
680828	265233	Jana
680828	344073	Honza's mother
680828	374074	Girl
680829	71537	Sarah Becker
680830	7578	Trines lillesøster
680831	299423	
680832	60469	
680833	79675	Luda
680833	151556	Flight Attendant
680833	183387	Hef's Girl
680833	278096	Model/Bride
680834	187783	Vasili's Wife
680834	187784	Natasha, Vasily's wife
680834	352782	
680835	104270	
680836	190729	
680836	370159	
680837	238324	Raisa
680837	272522	
680837	409010	
680838	125219	Elsie Winthrop
680838	159279	
680838	220167	
680839	268345	Desire
680840	25656	Feodor
680841	301891	
680842	89796	
680842	282762	
680843	164342	
680844	7388	
680845	68381	
680846	26410	
680847	20042	Herself (bareback rider)
680848	302	
680849	63624	Masha's mother
680849	85206	Yekaterina Ivanova
680849	91485	
680849	103615	
680849	108855	
680849	110454	Matrioshka
680849	119019	
680849	174924	
680849	179747	
680849	180361	
680849	198940	
680849	217283	Dama
680849	222349	
680849	238843	Tsarina
680849	258997	
680849	261239	Katya
680849	265667	
680849	268133	
680849	283692	
680849	294653	
680849	343958	
680849	349316	Old woman
680849	349347	(Voice)
680849	350728	Praskoveya
680849	351020	
680850	235920	Malvina
680850	277426	
680850	313880	
680850	313881	
680850	313882	
680851	17837	Granata
680851	32760	
680851	63574	
680851	91199	
680851	162747	Herself
680851	174163	
680851	174251	Polenka
680851	174987	
680851	176077	
680851	179318	Nyurka
680851	180756	
680851	253635	
680851	286467	
680851	356866	
680851	357128	
680851	371345	Ira
680851	410457	
680852	332995	
680853	352801	
680854	326496	Refugee
680855	97438	Receptionist
680856	343818	
680857	384241	Hostess (1992-1994)
680857	397611	Hostess
680857	402291	Hostess (1991-1994)
680858	28053	Piri
680858	74431	Jankó anyja
680858	153688	
680858	187512	Bence mama
680858	237164	
680859	2998	Ms. Mann
680859	41347	Mrs. Cordell
680859	61764	Cora
680859	68772	Alex
680859	79961	Woman in Quarantine
680859	80962	Lisa
680859	89325	Nicky
680859	108390	Denise
680859	120202	Alicia
680859	127126	Punk Girl
680859	128530	Elphin Girl
680859	139062	Tea Lady
680859	140193	Mary Lambetta
680859	177204	Cindy
680859	196844	Natalie
680859	199140	Saloon Girl
680859	214299	Remy
680859	214300	Remi
680859	221043	Cheryl
680859	230112	Liddy Adams
680859	232503	Joyce
680859	260786	Angel
680859	274729	Josie
680859	305574	Girl
680859	307975	Angie
680859	338649	Nina
680859	408882	Dawn
680860	212509	Stewardes
680861	16800	
680861	26034	Via
680861	30535	
680861	33741	
680861	55465	
680861	74274	Rhoda "Aling Doray" Rivera
680861	122704	
680861	123871	
680861	138331	
680861	140639	
680861	160290	Insiang
680861	163815	
680861	181828	
680861	206780	
680861	208679	Ligaya
680861	226860	
680861	246938	
680861	247541	
680861	268055	
680861	285859	
680861	287828	
680861	313563	
680861	318394	
680861	324389	Celing
680861	325357	Gina
680861	333582	Evangeline Ortega
680861	341447	
680861	368320	
680861	385540	
680861	387832	Stella
680862	26019	
680862	94898	
680862	123525	
680862	152171	Lerma
680862	173681	
680862	204597	
680862	207046	Monay
680862	249813	
680862	256717	Zsa Zsa
680862	336184	Gigi
680862	336216	
680862	341542	Hasmin
680863	59872	Teacher
680864	396286	Malgorzata Mostowiak-Lagoda
680865	30091	
680865	130211	Superior
680865	172825	Felicja/Radosc
680865	180012	Neighbour Lepiszewska
680865	231618	Old Woman
680865	258664	Lady on the Train
680865	410524	Trociowa
680866	266743	
680867	203595	Surgeon #3
680868	308482	
680869	219597	
680869	261228	
680870	348158	
680871	394752	Antonina
680872	18634	Anyuta
680873	94505	
680873	188471	
680873	259805	
680873	294676	
680873	349301	
680873	349330	
680873	400500	
680874	332994	
680875	20903	Janine
680875	67349	Jessica James
680875	119466	Intimidating Girl #1
680875	232067	Angelique 'Angie'
680875	299635	
680875	379716	Dr. Allison 'Allie' Doyle (19
680875	380391	Jenna Norris (1990-1993)
680875	390302	Lisa Darius
680876	306709	
680877	88450	
680878	104431	
680878	224278	
680878	339006	
680878	352818	
680879	132090	
680879	179320	Svetlana
680879	231156	Olesya
680879	238312	
680879	252817	
680879	312507	
680879	334997	
680879	349244	
680879	374727	
680880	349244	
680881	60881	
680881	223212	Miss Prim
680882	162297	
680882	357461	
680883	264974	Street Seller
680884	118824	
680885	345090	
680886	319713	Prison Guard
680886	410850	Cecile van Ede
680887	124903	
680887	194836	
680888	360734	Norm's Sister
680889	94230	Small girl
680890	169092	
680891	303197	Agneta
680892	97468	
680893	397137	Hélène
680893	410473	
680894	354034	Claire
680894	410473	Une détenue
680895	54464	Nun
680896	390085	Julieta
680897	354090	His Wife
680898	146533	
680899	54864	
680900	64355	
680900	89790	Krystyna
680900	112786	Mrs. Basia
680900	169033	
680900	174026	Teresa Rosiakowa
680900	178795	
680900	212176	Franciszka Kowalska
680900	225603	
680900	231632	
680900	232664	Prostitute at Restaurant
680900	258664	Lady on the Camping
680900	266327	Hanka Ruczajówna
680900	311881	
680900	369371	Mutter
680900	373734	
680900	374630	
680900	375067	Widow
680901	41054	
680901	179297	Mayor's Wife
680901	189689	
680901	199343	Georgette
680901	290556	
680901	359695	Margot
680901	361403	Agnes
680901	364949	
680902	34228	
680902	44391	Tsaritsa Mariya
680902	98585	
680902	317309	LA Restaurant Patrons
680903	374676	
680904	412046	Herself - Host (2003-2004)
680905	98683	Maria
680906	76670	Lisette
680906	121136	Genowefa
680906	322037	Saleswoman
680907	344341	
680907	358083	Mother Wolska
680909	406618	Sandi
680910	207238	Wendy
680911	49133	Majya
680911	76997	
680911	129190	
680911	154523	
680911	273069	Tanya
680911	343961	Mother of the baby
680912	88353	Wife of Colonel
680912	175955	Friend of Elo
680913	289372	Featured Extra
680914	190846	Alex
680915	258808	
680916	247597	
680916	322678	Karen
680917	254388	
680918	400270	
680919	548	Ingrid Asch
680919	550	Ingrid Asch
680919	144327	
680919	177913	Inge Sperling
680919	282220	Marina
680919	367139	
680920	147183	Stewardess
680921	72061	
680922	411214	Sandra (1997)
680923	178376	Jaana
680923	214839	Nainen sängyllä
680924	49286	Angela
680924	83292	
680924	325413	Nadine
680924	377360	Doro
680924	377363	Doro
680924	395011	Anke Diekmann
680924	404478	
680924	408292	Akiko
680925	11771	
680926	33960	Magda Janssen
680926	130224	Vrouw in galerie
680926	249587	Annemarie
680927	131155	Rhoda
680928	138841	Singer/Guitar
680929	267510	Les petits orteils
680929	336951	Audrey
680930	158526	Flower Girl
680931	378614	Riet Harings
680932	244297	Desdemona
680933	377665	Agnès
680934	375171	
680935	119673	Zweite Kellnerin
680935	214178	
680935	322520	Schwachsinnige
680935	343489	
680936	283186	Little Girl
680937	289840	Danseres
680938	315395	Herself
680939	381911	Herself (2003)
680941	322001	
680942	322001	
680943	333120	Person of the Day
680944	45456	Girl #3
680945	150057	
680946	97364	Performance Artist
680946	230126	Nickki
680947	308212	
680948	158812	Museum official
680948	165448	Sophie
680948	203492	Woman in Sweatshop
680948	215608	Marie Antoinette
680948	217635	Mrs. Wilcox
680948	358727	
680948	382529	Adriana de Mila Orsini
680948	383627	Vlasta
680948	385342	Anya Danilov
680949	280700	Mildred Slye
680949	318189	Betty
680949	323147	Divorced Wife
680949	366417	Elaine Carter
680950	194289	
680951	374796	
680952	353428	Enfant du père de Victoire
680953	10276	Arina
680954	181399	
680955	357435	
680956	172114	
680957	89797	
680957	225912	
680957	228759	
680957	304170	
680958	382244	Herself (2004)
680959	280378	
680960	12309	Marissa Hall
680960	12779	Enid Wilson
680960	117540	Lady in Street
680960	127585	Miss Gersh
680960	215355	Lady of the Night
680960	234237	Professor Lucci
680960	275784	Nancy Junger
680960	313583	Woman in Ice Cream Parlour
680960	321247	Mrs. Weinstein
680960	335799	Autograph Hound
680960	400103	Mrs. Heller
680961	388477	Joy Davis
680961	406501	
680962	290070	Ghetto girl
680962	379217	Kamila Klos-Kamienska
680963	123099	Maciejewska
680963	167078	
680964	38021	Nancy Connors
680965	370188	
680965	370189	
680966	214311	
680967	91191	
680967	118043	Laura
680967	172430	Marina
680967	185570	Tanya
680967	205401	Marfa
680967	241005	
680967	263403	Tanya
680967	315938	Yaya
680967	328109	Svetik
680967	390541	
680967	411977	Zhenya
680968	377133	
680969	20076	
680969	23759	Anna Raditsch
680969	30893	Lydia Joreff
680969	33557	
680969	46945	Marie Kalitjeff
680969	51919	
680969	78449	Tania Golgorine
680969	84686	L'Espionne Erna Flieder
680969	91587	Anna Bruchot
680969	294556	
680969	324160	Tamara
680969	356411	
680970	54637	
680971	54637	
680972	48198	Zofe
680972	91179	Dornröschen
680972	92556	Schwesternschülerin Emmylie
680972	139833	Jannis' Mother
680972	149878	
680972	187552	
680972	188859	Monika Behnke
680972	259610	
680972	352767	Anita Richter
680973	48334	Jirina
680973	49170	Sylvie
680973	55882	Barunka
680973	70979	Jana
680973	147575	Maruska
680973	165033	Sylvie
680973	165074	Vránová/Lesní panna
680973	172073	Friend of Kafka
680973	179883	Vránová
680973	198356	Karolínka Studnicková
680973	259905	
680973	265337	
680973	270715	Jana Pasková
680973	374492	Pavla
680973	380554	1st Chambermaid
680973	389876	Mozart's Mother
680973	394266	Vaculíková
680974	177975	
680975	60274	The pregnant mother
680976	42899	
680977	91064	Herself
680978	225969	Sister pesa
680979	16438	Molly
680979	21231	Liesl Grubauer
680979	44326	
680979	120786	
680980	380879	Co-Host
680980	389348	Contributor (2002-)
680980	392933	Herself
680980	411941	Entertainment Correspondent (
680981	1366	
680982	89778	Jade
680982	185315	Coco
680983	199524	Doris Mizoguchi
680983	269141	(segment "16 ans-Sylvie")
680984	376182	Zahnarzthelferin
680985	139968	Horny Bastards
680985	203626	Ticket Agent
680986	11895	
680986	75739	Ljubica Miladinovic
680986	156894	
680986	172463	
680986	244181	
680986	249733	
680986	255772	
680986	348876	Mirna
680986	357351	
680986	386526	
680986	387135	
680987	116813	
680987	368660	Naked Playgirl
680988	189639	Heike Wegerle
680988	386220	Hannelore
680989	4507	Schoolgirl
680990	171742	
680991	270957	Rayhaneh
680991	375254	Mahboubeh
680992	31470	Herself (Singer)
680993	380449	
680993	383141	Pequetita
680993	386730	Helena
680993	389887	Jaci
680993	392629	Rosália
680993	396847	Delfina
680993	396886	Gilda
680993	403200	
680993	412173	Zulmira Caldas
680993	412179	Cíntia
680994	173535	First Violin
680996	102991	
680996	352042	
680997	6118	
680997	11853	
680997	382829	Rita Keil
680997	411269	
680998	397445	Bomma
680999	12450	Olga Wolkonska (Wolkonski - U
681000	150136	Bella
681000	188817	
681001	82201	Zofia
681001	95506	Sqsiadka
681001	249815	Guard Inga Weniger
681001	385985	Zofia
681002	387	Evelina
681002	7680	
681002	14875	Irma, the Wife
681002	19071	
681002	20429	Rae Osborne
681002	29594	Mania
681002	31922	
681002	38920	Danica
681002	42601	Fiametta
681002	51443	Enrico's Mother
681002	51789	Laura
681002	52784	Odette
681002	55723	Dolores Arrabal
681002	55977	Sophia Lehar
681002	56078	The Prefect's Wife
681002	57255	Mariu Nicosia
681002	57851	Principessa Gherardeschi
681002	65160	
681002	67226	
681002	69477	Maria Bonifati
681002	70491	Ines
681002	71006	
681002	73262	Carolina
681002	75915	
681002	80656	Penelope
681002	82426	
681002	87901	Arabelle
681002	102397	Iole, bride of Ercole
681002	102615	
681002	103977	Kenny
681002	109943	Iole
681002	111152	Luciana
681002	111157	Sonia
681002	111453	Giulia
681002	111922	
681002	117864	Clemenza, Barbo's Wife
681002	125667	Elena
681002	126317	Clorinda
681002	127985	
681002	128001	Mara
681002	129019	Sylva
681002	132596	Sandra, industrialist's niece
681002	133042	
681002	135245	Francesca, Guendalina's mothe
681002	148781	Carla
681002	149650	Bianca the Italian Surgeon
681002	150139	Vlasta Simoneva
681002	155585	(segment "Sabato 18 luglio")
681002	162083	The 'Star'
681002	163758	Herself (filming Three Bites 
681002	165241	
681002	167007	Nunzia Tuffi
681002	168643	Laureen Moore
681002	169878	Daisy
681002	173169	Theodora
681002	173170	Theodora
681002	177768	Herself
681002	183492	Cesira
681002	191556	Giulietta
681002	196392	Rena Westabrook
681002	199506	Diana (segment 3 'La Donna', 
681002	202040	Lucia
681002	204227	Contessa Irene
681002	204232	
681002	206028	Berta
681002	207260	Marion
681002	208798	
681002	212779	Sangarre
681002	217021	Cécile
681002	217100	Tosca
681002	217765	Elena
681002	218196	Lucile
681002	218955	
681002	226256	(special guest)
681002	228942	Gina Lantois
681002	229599	Lola
681002	233068	
681002	233082	Lucia
681002	233551	
681002	234755	Carolina
681002	234824	Lucia
681002	248250	Sonja
681002	252716	
681002	254963	
681002	255868	Silvia, la moglie de Pasqui
681002	261891	Alice
681002	262652	Rebecca
681002	266024	Nancy
681002	268996	
681002	269160	Mia
681002	269707	Madre di Daniela
681002	270321	Renata Morandi
681002	272896	Evelyne Cotteret
681002	277788	Cristina Bonelli
681002	278404	
681002	285982	
681002	291669	Reluctant Girl
681002	292663	Countess De Montefiore
681002	295166	Françoise Ballais
681002	300786	
681002	300829	
681002	307350	
681002	309250	Marianna
681002	310218	Orietta Arconti
681002	314378	Herself
681002	315436	Maddalena
681002	319026	Zaira (segment "Armando's Not
681002	327451	Carla
681002	331279	Carla Moretti
681002	336589	Juliette
681002	336610	Lidia
681002	340006	Sylvia, the Assistant
681002	341791	
681002	343993	Madre di Valeria
681002	351066	Herself
681002	351075	Sylva Koscina
681002	352629	Sylvie
681002	354231	Herself
681003	74786	Sontowa
681004	381821	Ensemble (1985)
681005	224390	
681006	9353	Dancer
681007	152173	
681008	283954	German Streetwalker
681010	78843	Connie Devon
681010	91881	Nun
681010	313443	Jessel
681010	313514	Woman on the Bus Going to Mai
681010	321339	Dowager
681010	404373	Miss Simpson (1989)
681011	140051	Lili
681012	183579	Girl in Sailboat
681013	394750	
681014	132149	
681014	163162	
681014	352640	Rita
681015	11510	Steffi
681015	47198	Maria Nikolaievna
681015	50417	Marcia Woshikowski
681015	54727	Nan Vilker
681015	83853	Singer
681015	133509	Opera Montage
681015	147536	Mme. Baranga
681015	192408	Flo King
681015	197943	Zita Romanka
681015	214187	Blonde
681015	233659	Countess Marina Strogoff
681015	236619	
681015	240841	Mme. Louise Cornet
681015	252488	Helen Baxter
681015	257963	Jane March
681015	302724	Sister Marthe
681016	10461	Tania
681016	54567	Madame Duval
681016	56081	Countess Vorontzoff
681016	59825	Madame Chin
681016	125119	
681016	150008	Nita Johnny
681016	163477	Rose Ferris
681016	244842	Herself
681016	318793	Gypsy Singer
681016	360430	Chorus Leader
681018	334857	Girl
681019	127919	Kanzaki
681019	167555	Munemori
681019	287636	Kaikudo Naito
681020	162683	Matsuko
681021	397693	Tenga
681022	4004	
681022	8887	Suwa
681022	21814	Saya Shiozawa
681022	29253	
681022	43445	Hisako
681022	76879	Kageyama's Sister
681022	78433	
681022	121448	Hikaru Awaji
681022	167951	
681022	167954	
681022	179392	
681022	181985	
681022	221814	Omatsu
681022	239327	Fubuki Yamaji
681022	242364	
681022	244494	Ayako Takamura
681022	266666	Kanko Kanamori
681022	288193	
681022	334938	
681022	371986	
681022	375613	
681023	103228	Dekko-San, Kyoto Schoolgirl
681024	139477	
681025	117425	Naoko Mihama
681026	273506	Indigo
681027	34608	
681029	339345	(Segment - III. Koplji pod br
681030	93245	Detainee #7
681030	265892	Hooker
681031	278234	Sue Thaggin
681032	33673	
681033	91004	
681033	93403	
681033	270283	
681033	352359	
681033	361382	
681034	246000	Wrist Wrestler
681035	82118	Alicia Bevani
681036	181840	
681036	242460	Zosia
681037	52108	Girl in Harem
681038	87123	
681039	98022	
681040	1117	
681040	46671	Janica Labudan
681040	58313	
681040	92722	
681040	179106	Jana
681040	260504	
681040	308481	
681040	312419	Make-up
681040	334316	Kogojeva
681040	344046	Neighbour
681040	344939	Gospa iz Budimpeste
681040	396875	
681040	397609	
681041	165334	Friend at Disco
681041	272693	Remi
681042	155384	Woman
681042	180783	
681042	204436	
681042	399175	
681043	137550	The Barista
681044	39862	White Face
681045	165803	Pankkineiti
681045	235846	Leena Kuusisto
681045	246933	Marketta
681045	255766	
681045	284751	
681045	324605	Annikki
681045	341541	
681045	392608	Kulttuuritoimittaja Diana Juv
681045	394897	Ellu
681045	397748	Linda
681045	402792	Wathen
681045	409038	Riitta Virtanen
681046	177045	
681046	195749	
681046	247105	
681046	403393	Jenni
681047	407109	Herself (2002)
681048	180507	Muori
681049	152362	Herself, awards presenter
681050	162988	Unto's sister
681051	393751	Herself - "Kylli-täti"
681052	352418	Herself
681053	47977	Aaron's Princess
681054	153721	
681055	31936	Finnodatan infoneiti
681055	303846	Vieras jatkoilla
681055	400579	Various characters
681056	282096	
681057	393051	
681058	323254	Katrin tytär (Katri's Daughte
681059	404145	Katja Vainio (1999-2003, 2004
681060	184286	Valtteri's Co-worker
681062	142818	Julia
681063	228997	Helmi Hirvinen
681063	341561	Leena Koski
681064	9533	Mazurka dancer
681064	172523	Dancer
681064	216398	
681064	284021	Dancer
681064	343507	Ballet dancer
681065	168866	Ulla
681066	302115	
681067	1209	Maude Proctor
681067	65523	Lane Hayes
681067	75729	Lucy Bennett
681067	155888	Female Testimonial (segment "
681067	195844	Maura
681067	329522	Chrissy Thomkins
681067	369450	Theresa Nemman
681067	390593	Nina Melrod
681068	363161	Joyce
681069	87953	Manetschka as child
681070	34666	Mayflower Sporting Judge Pete
681070	35257	Safe Sex Advocate
681070	56969	Various roles
681070	102572	Miss Flugal
681070	139048	Laura Cromartie
681070	190324	Toy Store Owner
681070	216445	Nun
681070	230526	Cora Wrecht
681070	321667	Yvonne
681070	381051	Lady Rataxes
681070	381809	Nikki
681070	394231	Officer Connie Boothe
681071	265592	
681072	77708	Nicholas
681073	200910	Self
681074	34617	Women
681074	142302	Aphrodite
681075	14886	Elsa
681075	265981	Diana
681075	269095	
681075	312419	Mother
681075	326536	Librarian
681076	139195	
681076	375863	Madame Sophia Hamilton
681076	382419	Margo Lynley (1987-1992, 2002
681076	385824	Kate Roberts Reed Brady (#2) 
681076	409798	
681076	411802	Lindsey Wells Abbott (1984-19
681077	204614	
681078	129731	Lukas' Mother
681078	225654	
681078	258390	Steffi
681081	33835	
681081	63271	
681082	356065	
681083	147605	Agnes
681083	356098	Kleine Lotte
681084	6118	
681084	91022	Petra Kolbe
681084	101342	Sybille
681084	125011	Pia Fenske
681084	147596	Theresa
681084	147993	
681084	166768	Gloria
681084	175281	
681084	187979	
681084	210104	
681084	225238	
681084	236828	Angela
681084	259635	Frau Kahl
681084	281747	Anna Stoddard
681084	282206	
681084	290759	Anna Waschmitzius
681084	325654	
681084	325733	Dr. Hera Feder
681084	361387	Elke
681084	364825	
681084	376311	Alison
681084	391479	Anna
681085	75977	Wieslawa Hulewicz
681085	234255	Guest
681086	93821	Miranda
681087	392802	Shannen Doherty
681088	296161	
681089	51783	(segment "Despejo, O")
681089	92041	
681089	98760	
681089	105636	
681089	112759	
681089	222175	
681089	262664	
681089	296314	
681089	301331	
681089	306641	
681089	379646	Adélia
681089	380081	Elvira
681089	383437	Amália
681089	387903	
681089	390817	
681089	392589	
681089	400584	Yolanda
681089	401091	Ester
681089	401460	Baronesa
681089	402066	Justina Chopin
681089	403733	Marcelina
681089	406054	
681089	407864	
681089	408230	
681090	256407	
681091	222756	Hostess
681092	45710	Herself
681092	230104	
681092	340871	
681092	373856	
681093	191576	Hanna
681093	211500	Young Nimue
681093	227042	Polis-Bettan
681093	291653	Herself
681093	298474	Renata
681093	381706	Paulina (episodes 8, 9, 10, 1
681094	236460	
681095	175481	Huoltoaseman myyjä
681095	221492	Herself - performer
681095	327322	Herself - music performer
681096	392292	
681097	181652	
681097	229627	Palomaa's secretary
681097	324756	
681098	407370	Toimittaja
681099	8740	
681099	97453	
681099	223295	
681099	239295	Kikuko Morikawa
681099	284031	Tsuneko Obana
681099	287636	Kohagi
681100	311140	Estradna zvezda 2
681100	328707	
681100	406316	Pevacica
681101	395329	Shlomit Kedmi
681102	68733	ASL Interpreter
681103	363877	Mrs. Duncan
681104	251510	
681105	293106	
681106	45851	Vivian
681106	331475	One of Jack's girls
681106	363414	Runway Model
681107	179583	
681107	249690	Pianist
681108	323832	Tina (segment "Meat's Meat")
681109	364302	Olga
681110	114955	Kristina
681111	6118	
681112	264996	Lisa
681113	103583	
681114	88519	
681114	89790	Germaine
681114	130164	
681114	176545	Susanna's Sister-in-Law
681114	206953	
681114	258664	Holiday in the Saddle Partici
681114	284079	Olkucka
681114	305434	Saleswoman
681114	311894	
681114	327752	
681115	28942	Jerzy's Mother
681115	31908	Antonia Klosowicz
681115	95704	Archivist Jadwiga Turkullówna
681115	242909	Bernard's Mother
681116	10160	The Lawyer's Mother
681117	273069	1st class passenger
681118	167078	
681118	180251	
681118	290070	Ghetto doctor
681119	200439	
681120	51800	Noble Noyes
681121	5150	News staff
681121	30310	Maggie Snow
681122	20103	
681123	89731	
681124	81604	Wehrmacht girl
681124	111955	
681124	144158	
681124	254374	
681125	98639	
681125	98994	Maykata
681125	103565	
681125	229817	Lelya Vanya
681125	288358	
681126	30596	
681127	314392	
681128	222441	
681129	222441	
681130	411965	Akgül
681131	404282	Adriana Sophia Castillo [#1] 
681132	404282	Adriana Sophia Castillo [#1] 
681133	388848	
681134	18940	
681135	316692	Shirley Kaplan
681136	380474	
681136	380559	
681136	395090	Ariel
681137	100622	
681138	90793	Sandy
681139	190805	Cashier #1
681140	40214	
681141	376218	
681142	163469	
681142	209633	Beautiful Girl
681142	299803	
681142	331180	Slave girl
681142	367970	Entertainer
681143	376258	
681145	16528	Ella
681145	183108	Housekeeper
681145	274974	
681145	310947	Gerrit's wife
681146	137200	Miss Poydras
681146	333530	Playground Teacher
681147	61102	Nurse
681148	286216	
681149	104256	Nadja
681149	198940	
681149	259925	
681150	379509	Moly
681151	3439	
681151	52745	
681151	55088	
681151	55927	
681151	61204	
681151	73550	
681151	87592	
681151	88199	
681151	88351	
681151	92347	
681151	100526	
681151	100932	Esther
681151	105886	Deborah
681151	108136	
681151	110750	Cristina
681151	115028	Herself
681151	115855	Doña Carmen
681151	140564	
681151	155196	
681151	160275	
681151	161669	
681151	189384	
681151	190424	
681151	213718	
681151	217639	
681151	234336	Joan Stein
681151	234339	Liz
681151	236475	
681151	237894	
681151	249841	
681151	253037	
681151	273658	Elsie
681151	280275	
681151	285384	Xenia
681151	287437	
681151	300638	
681151	307721	
681151	318298	
681151	328147	
681151	333640	
681151	337965	
681151	343608	
681151	344606	The Greek
681151	351831	
681151	376790	Diana
681151	386374	Host
681151	387881	
681151	390851	Olga
681152	400998	Eva
681152	401242	Aglaia
681152	408319	
681153	92082	Aino Ackté
681154	73578	Ida's Friend
681154	228172	Mica
681155	63932	
681156	172463	
681156	412003	Kuvarica
681157	266127	Ana
681158	81674	Vestica 3
681159	145482	In Her Apartment
681160	73578	Dadai's Sister
681161	95656	
681162	145482	Child
681163	43153	
681163	77491	
681163	132160	
681163	202347	
681163	225898	Stavrina zena
681163	242967	
681163	312420	Cistacica u uredu
681163	357323	
681163	373697	Tetka Pola ... udovica
681163	404894	
681164	137579	Sian
681164	375757	Security
681164	399948	Kellar(1996)
681165	274333	Karen #1/Confirmation Class
681166	182948	Women's Army of Revolt/Citize
681167	8378	
681167	18230	
681167	18313	Friend
681167	241305	
681168	241305	
681169	274200	Bag Lady
681170	67678	
681171	356121	
681171	356921	
681172	14495	
681172	16539	
681172	35848	
681172	76709	
681172	131300	
681172	132145	Debora
681172	142518	Celeste
681172	202307	
681172	206324	Laulajatar
681172	236637	
681172	258440	
681172	258614	
681172	259880	Alisa
681172	339628	
681172	349300	
681172	357470	
681172	410405	
681173	197161	
681174	189369	Alba
681174	381720	Carmen
681174	385663	Marylin Gamboa Montijo
681174	389881	
681175	364300	Herself
681176	154446	Waitress
681177	369874	Herself
681178	216963	Jenny
681179	396236	Perovskaya
681180	224338	Girlfriend
681181	158141	Extra
681182	258627	Klara Bornova
681183	133197	Lencheto
681184	204047	Veneta
681185	132613	Maykata na Kamen
681185	315804	Zhenata na Rangel
681185	320529	Maykata na Nikola
681185	326332	Gina
681186	88448	
681186	235290	
681186	273052	Maykata
681187	170229	Herself
681187	170231	Herself
681187	383029	
681188	324481	
681189	365344	Beautiful Party Woman
681190	173007	
681191	180758	
681193	359589	Paulina Rivoli
681194	95704	Paola Campobella
681194	169572	
681195	262644	
681196	295061	
681197	394392	Bonita
681198	234260	Pevacica
681199	373190	Oaki
681200	344344	
681201	59753	Helen
681202	16965	
681202	166648	
681202	176203	
681202	225486	
681203	142985	Clown
681205	239432	Tatár Éva
681205	350675	Siványné
681206	402792	
681207	219990	Hospital Nurse
681208	287728	E.L.F.S. #2
681209	90808	
681209	97874	
681209	209758	
681209	339702	Cassandra
681209	356094	
681210	383107	Shizue Wakasa
681211	247305	Reporter
681211	395706	
681211	398876	Hostess (2001-2002)
681212	137051	
681212	186017	Elizabeth Sheridan
681213	147980	Woman with trolly
681213	203584	Woman in white suit
681213	218169	Woman with good legs
681214	326062	Hilma
681215	160787	Eve
681216	83454	Natasjia
681217	205210	
681217	283141	
681218	251194	Alexandra
681219	216081	Princess Soreida
681220	179344	
681221	2511	Traffic Reporter
681222	8612	Kiku Shoji
681222	98582	Fuyuko Mikami
681222	138044	
681222	139724	
681222	145448	Aya Uehara
681222	180628	
681222	242117	
681222	288351	Taeko Makioka
681222	299243	
681222	397985	Otsu
681222	404788	Hara
681222	411656	Kazama Ruriko
681223	256477	
681224	92139	Aglaya
681224	399482	
681225	162205	Singer
681225	311893	Singer
681226	84873	Neighbourhood Woman
681227	14658	Patty
681227	15861	Hot Tub Woman
681227	26783	Jesse Duro
681227	39680	Cassandra Perry
681227	57022	
681227	141409	Rose
681227	199966	Girl in Bikini
681227	214699	Zarah
681227	224849	Wicahpi
681227	267565	Apollonia
681227	388237	Apollonia (1985-1986)
681227	392423	Herself
681228	6220	
681228	9473	
681228	62829	
681228	304458	Sonya
681228	353276	
681228	409734	Stanka
681229	407082	Herself (6 Days, Jaburu Tribe
681230	86953	Betty
681231	353677	
681232	278337	
681233	278337	
681234	46726	Maya Bakshi
681234	139399	Young Hasina
681234	262820	
681234	349603	Vijay's girlfriend
681235	278337	
681236	4958	Mrs. Yung
681237	17432	
681237	30506	
681237	186238	
681237	386655	
681238	118126	
681238	257384	
681239	107831	Katalin
681240	327521	Jeanette Byrnestein
681241	217194	
681241	285900	Sakkubai
681241	350570	Subhadra
681242	404145	Inka Haapala (2001-)
681243	103155	Baarineiti
681244	323594	Laurie
681245	230873	Punker in Car
681246	153885	Sheila
681247	246858	
681247	357276	Djokina mama
681247	376191	
681247	390660	
681247	394111	
681248	131754	
681249	129784	Girlfriend #2 (jury member)
681250	329166	
681250	397878	Batya
681251	203376	
681252	69037	Glenna
681252	126752	Harriet
681252	148586	Mrs. Klein
681252	176388	Gretchen
681252	201320	Chaire Holloway
681252	223740	Mrs. Linderman
681252	266708	Rineman's Receptionist
681252	303545	Irene
681252	330285	Mrs. Knowles
681252	404069	Cynthia
681253	46204	
681254	357231	
681255	187980	
681256	28194	
681256	60554	Lakshmi
681256	323078	Rajani
681257	163011	
681258	391219	Anchor (breaking news, prime-
681259	62036	Dakota's Mother
681260	180763	Caroline
681261	172513	
681262	95661	Jelena
681263	37232	Dean
681264	357462	Posvárová
681265	176561	Jutta
681266	72931	Goodyear Hostess in the Green
681267	44392	Nurse of Xenia
681268	258999	
681268	374460	Sofia
681269	228845	
681269	261305	
681270	294678	
681271	390025	Charlotte Kemp
681272	304667	Szafrancowa
681273	212148	Juliette Fouly
681274	95590	Julka
681274	115609	Young writer
681274	149243	Princess
681274	171534	Marcelka
681274	223532	
681274	232892	Hanka
681274	268294	Eva Nováková
681274	317629	Alena
681274	341086	
681274	349087	
681274	349323	Nováková
681274	375400	Zlatovláska
681275	374284	Ingrid
681276	216550	Eka
681276	217262	Tamriko
681277	106690	
681277	322122	
681278	178710	Mother
681278	263422	Eleonóra
681278	357948	Granny
681279	366564	Blumenverkäuferin
681280	165765	Catherine K.
681281	140964	Ariadne
681281	379185	Julia
681282	23455	Porte parole
681282	395706	
681283	54959	Miss Pile
681283	103927	
681283	190774	Shop Owner
681283	200057	Clayton
681283	214727	Madame Morrell
681283	290913	Norma Helidon
681283	396001	
681283	399816	Dorothy Murston-Morgan
681284	329305	
681285	161019	Mother
681285	315999	Elizabeth
681286	390242	Gerda van der Linde (199?)
681287	304680	Brooke
681287	320090	Hank's Assistant
681287	331784	(segment "The Final Hour")
681287	332004	Candy
681288	263901	
681289	17597	
681289	109058	Delivery Room Nurse
681289	129727	Elisabeth Becker
681289	130938	
681289	142191	
681289	145475	Anna Kaminski
681289	170121	Elisabeth Lewejohann
681289	184395	
681289	189537	Monika Ballard
681289	230178	Miss Lanier
681289	236733	Sister Marie (Sanatorium)
681289	272009	
681289	280310	
681289	303383	
681289	328987	Anne
681289	341766	Frau Dürlinger
681289	352552	Calpurnia
681289	380349	Christine Bogner
681289	392600	
681290	317946	Other T.R. Kid
681291	311916	Hausdame
681291	347829	
681292	123174	Herself
681293	330697	Etta
681294	12244	Mallory Child
681295	7806	Mrs. Ramsey
681295	32432	Bird (Voice)
681295	85006	Amy
681295	119316	Mrs. Honeywell
681295	148249	
681295	167591	Mrs. Sorenson
681295	240529	80-Year-Old Woman
681295	254996	Freda
681295	349870	Mrs. Duckworth
681296	6121	Evelyn
681296	383323	Herself-contestant
681297	48410	Schwesterchen
681298	190953	Carol Southern
681299	157036	Girl on Sidewalk
681300	84263	
681300	364983	Karska
681300	394585	Krystyna Jakubowska-Lubicz
681300	404009	Gypsy Woman
681301	370204	Special Appearance
681302	31654	Deborah Jameson
681302	382218	Danny
681302	405878	Jane Schmidt
681302	405898	Katy
681303	396098	
681304	241928	Lida
681305	88436	
681306	217852	Eva Hartmann
681307	156597	Aktrisata
681308	392430	Haruko Ashiya
681308	407847	Noelle
681309	182949	Josephine
681310	6217	Naka
681311	249061	Aïssatou
681312	411657	Elloa
681313	399813	Panelist (books) (1999-2001)
681314	83400	Classe sport et études
681315	394078	
681316	32052	Dancer
681317	202311	
681318	97851	Yasmina
681318	205771	Marnia
681318	324461	Khadija
681319	18685	Misaki
681320	63712	Amy
681320	87409	Yuri
681320	92777	Rufa
681320	122108	Miyuki
681320	126438	Suzu
681320	127779	Jinguuji Shiori
681320	156035	Toshi
681320	293586	Ise Haruoshimi
681320	342572	Madoka
681320	365959	
681320	369525	Febronia
681320	390027	Okinu
681320	391127	Hanako-san
681320	396923	Miki Koishikawa
681320	399500	Yuki (1993-1994)
681320	404910	
681320	407048	Dorothy
681321	355808	La femme au chapeau
681322	319195	
681323	18116	
681323	18118	
681323	109105	
681323	139228	Semester at Sea Girl
681323	166869	Gara
681323	186506	
681323	207241	
681323	221802	
681323	241177	
681323	272967	
681323	277437	
681323	286764	
681323	301209	
681323	303129	
681323	309599	
681323	358204	
681323	376043	
681324	138964	
681325	189316	
681326	199607	Maxime
681327	4446	Marja
681327	18900	Suvi's Mother
681327	153095	Lea Lankinen
681327	156545	Kerttu
681327	171590	Brother's wife
681327	172330	Narrator
681327	173873	Ritu
681327	182215	
681327	182218	Sami's mother
681327	221859	Aliisa
681327	241986	Herself (archive material)
681327	246584	Kyöstin vaimo
681327	246933	Marjut Sallakari
681327	247007	Maila
681327	251706	
681327	271894	Voice
681327	295249	
681327	323140	
681327	392286	
681327	400496	
681327	402414	
681327	407197	Anna
681327	409931	Himmu
681328	132912	Pedestrian
681329	100557	
681329	182448	Popi
681329	329908	Roula
681329	375140	
681330	266502	
681331	104389	Wife of man at door
681332	394066	Annoula
681333	379233	
681334	249579	Identical Twin Enthusiast
681335	41412	Rita
681336	195751	Choking Woman
681337	133191	
681337	245317	Popi Makrikosta/Marina
681337	285318	Veronica
681337	303918	
681337	380474	
681337	387378	
681337	390837	
681337	392994	Ada
681337	402298	
681338	18945	Natasha
681338	25273	
681338	400441	
681338	408829	
681338	412027	Fani
681339	132321	Aunt Sofka
681340	65854	
681341	25546	
681341	77566	
681341	109960	Fatma
681341	227918	
681341	285973	
681341	344975	Herself
681341	360659	Wedad
681342	29080	Tamara
681342	55714	Amazon Guard 7
681342	87110	Marian Weaver
681342	113771	Simone,Waitress
681342	113825	Fire Maiden
681342	144591	Marian Savage
681342	149739	Hypnotized Woman
681342	163491	Henrietta
681342	185390	Cheed's Nurse
681342	239082	Dancer
681342	263514	Maria Shipley
681342	308375	Lady in Waiting
681342	316888	Maxine Millard
681342	346230	Miss Brazil
681342	361640	Men Hassa
681343	387358	
681344	77029	
681344	162126	Nourice
681344	163152	
681344	173656	
681344	174538	Aristi
681344	180310	
681344	180947	
681344	205584	
681344	229957	
681344	259860	
681344	315194	
681344	379816	Chrisoula
681344	380167	Beba
681344	380607	
681344	402244	
681345	22629	Dancing Girl No. 1
681346	400998	Tzeni Geraki
681347	77029	
681347	99013	
681347	180127	
681349	153846	Membre des Sirènes
681350	18143	
681350	18997	
681350	23262	Arione
681350	127364	
681350	138977	
681350	151864	
681350	162125	
681350	162709	
681350	195236	
681350	232637	
681350	238407	
681350	246612	
681350	356094	
681350	375278	
681350	379442	Errica
681350	406324	
681351	79314	Waitress At Local Cafe
681351	175788	Rita
681352	7709	
681353	307478	Véronique
681354	25136	Madame Nemo
681354	26253	Suzanne Bienfait
681354	48197	
681354	66075	
681354	83275	
681354	85529	Thania
681354	186170	
681354	224877	Marie
681354	248918	Marie
681354	253210	La voleuse
681354	282493	Alia
681355	6420	
681355	7600	
681355	10953	Aleka
681355	21275	
681355	93892	
681355	102123	
681355	102169	
681355	106468	
681355	137867	
681355	173324	Lila
681355	174472	
681355	174475	
681355	178474	Rena
681355	180351	The Star
681355	209767	
681355	237062	
681355	247096	
681355	252362	Aleka
681355	287979	
681355	291671	
681355	328218	
681355	330328	
681356	83090	
681356	125644	
681356	135233	Mrs. Hollund
681356	218886	Lykkes veninde
681356	262961	
681357	40297	Bos mor
681357	76757	
681357	153391	
681357	198052	Betty van Holten
681357	301457	Veninde til Smukke Adolf
681358	230126	Gino's Girls
681359	379856	
681359	397425	Vana Danga
681359	407976	
681359	408830	Teti
681360	232824	The Madame
681361	3311	(segment "Tout n'est pas en n
681361	336988	
681362	3311	(segment "Tout n'est pas en n
681362	336988	
681363	16875	
681363	237060	
681363	379527	Young Sofia Mineiko
681363	380779	Mariori
681363	387409	
681363	394078	
681363	395090	Selini
681363	397813	
681363	408912	Young Ekavi
681364	17560	Herself
681364	17561	Herself
681364	79282	Herself
681364	132413	Herself
681364	209112	Motel Manager
681364	221482	Herself
681364	311781	Model
681364	387005	Herself
681365	288464	Veronica/Lenora
681366	259638	
681367	380611	
681367	387401	Lily Tzoufalou
681367	401504	
681368	293082	Casting Assistant
681369	173325	Eleni
681369	208260	
681369	212019	
681369	245702	
681369	280370	
681369	327321	Lena
681370	338833	The Child (young Amanda Knuts
681371	67955	Comedian
681372	20625	Featured player
681372	150008	Gypsy
681373	230014	
681373	379166	Hiromi Oka
681373	405175	Bloody Mary
681373	411890	Mari Sakurano
681374	38340	Vigilante
681374	100713	Lucy
681374	301666	Audrey
681374	331733	Laundry Girl
681375	7459	
681375	35302	Odile
681375	87814	L'hôtesse du Sphinx
681375	229013	L'infirmière
681375	278138	Blond Woman
681375	278143	
681375	286277	Cécile
681375	357093	
681375	385382	
681376	385507	
681377	39711	
681379	304599	Young Slave Girl
681381	59094	Carole, comédienne théâtre
681381	69450	
681381	124320	Marie
681381	254632	
681381	350850	Louise de la Vallière's Maid
681382	169336	
681383	18221	
681384	104893	
681385	266977	Emmi Raudaskoski
681386	276982	Albertine
681386	359410	Curious Neighbour
681387	95518	Teresa's Mother
681388	353294	Academy Girl
681389	176728	Monika
681390	312920	Kleri
681391	337528	
681391	394066	Christina
681392	295050	Girl in black 5
681393	388713	Sofia
681393	394168	
681394	24690	
681394	28457	Hanna Falkman
681394	144053	Elviira Hokkanen
681394	172523	Hilkka Rantamo
681394	181936	
681394	213376	Elli Ollenberg
681394	229626	Mary Bell
681394	283593	Mia
681394	293510	Hellä
681394	321782	Ellen Grönqvist
681394	343507	Toini
681394	349734	Sirkka
681395	408171	
681396	209581	
681397	356813	Renske
681398	39711	
681398	202829	
681398	225379	Aïcha, la femme de Karunga
681399	300769	L'impératrice
681400	749	Une Africaine du quartier
681401	32031	Une choriste
681402	46800	Olga
681403	239958	Contrôleuse train
681404	58842	
681405	317193	Sonja
681406	399133	Roki
681408	40336	Troiano's Wife
681409	405705	
681410	317193	Pevacica
681411	238806	
681412	233262	Djevojka 3
681413	296047	Starica IV
681414	192897	
681415	28409	Devojka (dobra!)
681415	177820	Supruga ... Kir Janjina
681415	236169	Ljubica
681415	265909	Ana (segment "Srebrni metak")
681415	266491	
681415	272506	(segment "30. pravilo")
681415	355234	Bojana Keller
681415	406315	Popceva supruga
681415	406316	Popceva supruga
681416	314577	
681417	81511	
681418	359553	Young Girl
681419	191488	Musician
681420	24295	Ana
681420	35897	Girl
681420	166972	Ancica
681420	202046	
681421	403796	Zora
681422	47474	Ivan's Party Guest
681425	34009	Suzanna
681426	139145	Hetty
681427	4564	
681428	234627	
681428	267524	
681429	50959	Ivanka
681430	20384	
681431	224448	
681432	82488	
681432	97608	Minka Stoeva
681432	138955	Chernoto Meri
681432	173100	Milena
681432	186537	Efrosina (episode Duel 77)
681432	284844	Miryana
681432	286716	Suprugata na Luka, Dushka
681432	326261	Maykata
681432	328770	
681432	387142	
681432	407635	Flora
681433	273052	Silva
681434	293960	
681435	103565	
681435	228845	
681435	228848	Dzhalma
681435	282715	
681436	126161	Petrovitza
681436	134181	
681436	261305	
681436	303116	Penka
681436	305903	Sevda
681436	352278	
681437	174683	
681438	283751	
681439	131739	Girls' Chorus Member
681440	308482	
681441	225969	Fortune-teller
681442	170230	Herself
681443	132128	Roadside Signer 3
681443	206072	
681443	219751	
681444	87734	
681444	88135	
681444	88719	
681444	138858	
681444	233262	Mama Biba
681444	375323	Vjerocka
681444	402486	
681444	408796	
681445	206072	
681446	91069	Herself
681446	91070	Herself
681447	92868	Young Kara
681448	12116	
681448	74195	Camille Cameron
681448	86002	Odette Mallotte DuClasse
681448	99395	Monica Gray
681448	101692	Miss B
681448	118979	Nellie Bly
681448	165847	Medea
681448	206267	Teresa Stone
681448	245414	Annie Oakley
681448	301558	Barbara
681448	316325	Marcia
681448	321783	Big Shirley
681448	325121	Sophia Renault
681448	365490	Rose Sharon
681448	399819	
681449	234136	Nearly Nude Model #1
681450	32371	Doctor
681450	100300	Eva-Lena
681450	138528	Banker
681450	159903	Ann-Britt Höglund
681450	248500	Eleonor Samuelsson
681450	381599	Katarina
681450	381684	Julia
681450	394744	Hanne Östergaard
681450	403084	Terapeuten (2002)
681451	256373	
681452	18718	
681452	73247	Kim
681452	113063	
681453	116010	Porn Actress
681454	346364	Michael's Old Girlfriend
681455	106988	Grocer's Client
681455	182697	Juli
681456	388646	Tatjana Ljublimov
681457	37674	Old lady #1
681457	295616	Woman
681459	5138	
681459	24067	
681459	46767	Tobelbad Patient
681459	107814	Ein Mädchen
681459	126347	
681459	133573	Marie-Chantal
681459	142142	Jutta Liebrecht
681459	143485	Lil
681459	187835	Rana
681459	188858	Anna Gabriel
681459	325534	Stubenmädchen Rosi
681459	325763	Merimee Leon
681459	325817	Petra Wagner
681459	331830	
681459	357848	Marie
681459	360928	Else Ehrenberg
681459	377977	Sarah
681459	403410	Hansi
681459	410582	Selma Ascher
681460	98261	Tänzerin
681460	376311	Dancer
681461	345194	La mère de Paul
681464	34448	Dancer
681464	132562	Glam Slam Dancer
681464	149258	Cotton Club Dancer
681465	63574	
681466	198156	Princess
681466	244038	
681466	397053	Margarita
681467	187167	Kool-Aid
681467	327836	Tough Beach Girls
681468	95933	
681468	305613	
681469	405	
681469	32353	Woman in Red
681469	63574	
681469	265914	
681470	210379	
681471	397302	Uborshchitsa
681472	210379	
681472	212294	Foma
681472	234295	
681472	265937	
681472	352817	
681473	359175	Dunyasha
681474	95327	
681475	97988	Luca
681475	153859	
681476	174272	
681477	46204	
681478	312183	Generosity
681479	180140	Sarya-Saryanitsa
681479	231157	
681479	246344	Natasha Vasilnyeva
681479	246345	Natalia Vasilnyeva
681479	333497	
681480	60729	Olga
681480	135214	
681480	341356	
681481	95597	
681481	132078	
681481	179329	
681481	237834	
681481	263406	
681481	373736	
681482	357617	
681483	8847	
681483	8902	Foreign dancer
681483	24289	Laura
681483	34125	Marja
681483	87439	Secretary
681483	120315	Ritva
681483	198277	Mania
681483	200955	Hostess at the Inn
681483	228411	Moren til Båremor
681483	349944	Helena
681483	356186	
681483	388912	Martins mamma
681483	410461	
681484	1157	
681484	28162	
681484	52722	
681484	59230	
681484	69977	
681484	77378	
681484	134187	
681484	162209	
681484	212777	
681484	236520	
681484	243291	
681484	263979	
681484	356528	
681485	55588	Kayla's Mom
681486	259407	Townsfolk
681487	50690	Realtor
681488	97458	Joe's Mother
681489	191513	Charlie's Dancing Partner
681489	223918	Priscilla
681490	349763	
681491	222744	Mrs. Vince
681492	263176	Carol
681493	334085	Sincere Mother
681494	90152	
681494	130007	
681494	175956	
681494	179588	
681494	217279	
681494	265641	
681494	265946	
681494	283822	
681494	300542	(segment Shutite?)
681494	306647	
681494	312432	
681494	340065	
681494	352867	Twoface/Dvulitche/Queen of Cl
681494	374427	
681495	207637	
681496	234298	
681497	408194	Aino Mäki
681498	118823	
681499	115269	Women Coalation Diner Patron
681500	277672	Scroop
681501	154523	
681501	214191	
681501	351064	
681502	2774	Pregnant Woman
681503	50879	Crazy Nut in Park
681504	24838	Jana Surdilovic
681504	49738	
681504	58033	Glavna sestra
681504	65066	
681504	166651	
681504	202046	Svetislavova majka
681504	205799	Komsinica
681504	227952	
681504	232661	Julijana ... tetka
681504	242967	
681504	243662	
681504	244580	Ivana
681504	261258	Mathilda Ill ... supruga
681504	266213	
681504	267844	
681504	272194	
681504	280565	
681504	286720	
681504	305820	
681504	320492	
681504	320663	
681504	323306	
681504	324446	Gospodja Bakic
681504	373747	
681504	375178	Marta Jerih
681504	381239	
681504	383458	
681504	386407	Persida Bumba
681504	390660	
681504	395457	
681504	396202	
681504	396547	Oliverova tetka
681504	397987	
681504	397988	
681504	400481	Ivana
681504	401991	Zaharijeva zena
681504	402025	
681504	402117	
681504	404144	Marta Jerih
681504	404206	
681504	405775	Tetkica
681504	410260	Mara... Danilova majka
681504	410442	Surdina majka
681505	340666	Vratarjeva hci
681506	118363	Belly Dancer
681507	170215	Host
681508	147966	Tyler's Mother
681508	307340	Barbara Senders
681509	395704	
681509	406567	Maja Ljutic, Nesina i Zicina 
681510	154427	Woman at News Stand
681510	362453	Marshall Field's Shopper
681511	71477	Andy's mom
681512	276254	Herself
681513	25417	Cafeteria Nurse
681514	364281	Extra
681515	13292	Patron
681515	189066	Flirting Girl
681515	367782	Smiling Woman
681516	226012	
681517	227956	
681518	131112	
681519	133385	
681519	344096	
681520	190805	Cashier #2
681520	268345	Waitress
681521	376218	
681522	246204	
681523	377228	Erzsike
681524	187512	Juli
681525	254294	
681526	122599	Énekesnõ
681527	25662	Iker
681528	99462	Sári néni
681529	74432	Herself/Singer
681530	6501	
681531	377768	
681532	180187	
681533	152385	Menyasszony
681534	278421	Évike
681535	43109	Herself
681535	99534	Szõnyi Erzsi
681535	110691	Klári
681535	122383	Terez Szabo
681535	137890	Vadász Ica
681535	147473	
681535	152336	
681535	215472	Mici
681535	378282	Markus Zsizsi
681535	378578	Takács Katalin
681536	214494	Pepita egér
681537	377139	Táncosnõ
681538	247643	Magdi néni
681538	322194	János felesége
681539	108913	
681540	186122	
681540	208285	Puppeteer
681540	375162	
681541	227521	
681542	154377	Móni
681542	232802	Mari
681542	322123	Pincérlány
681543	9250	
681543	28347	
681543	48300	
681543	96387	Kállai Ilonka
681543	157334	
681543	174689	
681543	182805	
681543	254957	
681543	322011	
681543	343697	Eva Bogár
681543	354618	Nénike
681543	377797	
681544	357712	
681545	182656	
681546	122614	
681546	134959	Asszony
681546	156453	Miss Molnár
681546	187201	Mari, Gajzágóné
681546	229707	
681546	254294	Szendrey júlia
681546	322180	
681546	401347	Júlia
681547	135262	Margit
681547	163174	Réka
681547	170394	Györk's Mother
681547	170395	Györk's Mother
681547	170396	Györk's Mother
681548	164754	
681548	272530	Grand Duchess Anastasia
681548	322094	Éva
681548	322194	
681549	11069	
681549	74432	Etelka
681549	278421	Jutka
681549	375162	Rozi,Fikász lánya
681549	390846	Various
681550	322025	Mûkedvelõ színjátszó
681550	377807	Soubrette (soloist)
681550	377883	Pipacs
681551	25662	Iker
681551	104792	A portás felesége
681551	122381	
681551	324158	Bori
681551	350899	Cook
681551	357712	Pásztor lánya
681552	407241	Zsuzsi
681553	58132	
681554	9454	Kovács Ilonka
681554	74437	Lidike (Gubinyi's wife)
681554	94226	
681554	153859	Caroline Mead
681554	175701	
681554	181165	
681554	182723	Márta
681554	194023	Dorottya (Ophelia)
681554	200613	Cleopatra
681554	200619	Anna
681554	213681	Mom (Mrs. Kovács)
681554	227534	Natasa
681554	229750	
681554	237044	Roomer
681554	284356	Woman on the tram
681554	307146	
681554	326341	
681554	327364	
681554	376039	Ildikó
681554	402220	Andrea
681554	412249	Kati
681555	361533	
681556	170394	Jolanta
681556	170396	Jolanta
681557	99523	
681558	2247	Házmesterné
681558	110695	Mme. Risan
681558	122454	Falusi nõ
681558	144244	Háziasszony
681558	150590	A szállodai férj felesége
681558	174189	Fantáné,házvezetõ Oroszéknál
681558	182793	
681558	200056	
681558	214708	Szobatulajdonosnõ
681558	229477	
681558	235374	
681558	268429	
681558	282753	Vendég Kreyéknél
681558	302144	
681558	320380	Hazmesterne
681558	322118	
681558	378577	Mariska néni
681559	122599	
681560	216639	Sports Zone Commentator 2
681561	142078	Anna Licht
681562	159863	Gloria The Waitress
681563	395301	Assistant Puppeteer
681564	73957	Wendy
681564	340754	Nancy
681565	73957	
681565	141767	Postwoman
681566	60186	Agnieska's Mother
681567	261459	Servante
681568	126340	Herself
681569	80750	
681570	379821	
681571	189505	Stripper
681572	316436	
681573	58691	Marcela
681573	75977	Clerk
681573	95952	
681573	112786	Wladzio's Wife
681573	123099	Deaf Woman
681573	167319	
681573	185809	Dresser Helenka
681573	186153	
681573	215410	
681573	231723	Patient Marianna
681573	234268	
681573	238095	Miss Helena
681573	242460	Passenger on the Train
681573	386654	Lermaszewska
681574	181367	
681575	265687	Mama Fele
681575	379896	
681575	380096	
681575	382691	
681575	383867	
681575	387273	Julia
681575	389480	Marla Mackenzie
681575	392986	Valerina
681575	396941	Vania
681575	396942	Vania
681575	404074	
681576	388600	Herself (1st eliminated, 7 da
681577	2240	Elka
681577	104649	
681578	95051	
681578	130212	Eva
681578	167320	Marta
681578	242460	Czajka
681578	412116	Anna Roche
681579	254785	Reporter #2
681580	244099	Agnieszka Kwiatkowska - Meluz
681580	244105	Renata
681581	64689	Secretary
681581	159489	Reporter
681581	394585	Viola Pastuszko (1999-2000)
681582	17305	Actress Marzena
681582	74785	Margaret's Mother
681582	180079	Krysia
681582	238095	Maria Górska
681582	244048	Gurovska
681582	298419	Godmother
681582	379864	Jola
681582	394122	
681582	395084	Kasia Hopfferowna
681582	401714	Monika Schuster
681583	31908	
681583	93602	Celina
681583	165076	Holiday-Maker
681583	173985	Wilinska
681583	178773	Actress
681583	225832	
681583	231618	Marianna
681583	231620	Wanda
681583	237869	Marysia
681583	287097	
681583	369012	
681583	379864	Kolinska-Kubiak
681584	24420	
681585	104771	Polish entry (15th place)
681585	234447	Monika
681586	304250	
681587	347115	Cymbeline
681588	212176	Zosia Zadora
681588	402755	Bozena (1994)
681589	78908	Lisa Wilson
681590	172605	Aloof Server
681591	150110	Maggie
681591	218701	Party Kid
681592	301222	Hostess
681593	224072	Narrator
681594	366743	Townsperson
681595	269995	
681595	271916	Kim
681595	325419	
681596	56281	Brigitte
681596	104442	
681597	153162	Stevie
681597	207484	Sue Hanssen
681597	334595	Gretchen
681597	335721	Alex Freeman
681597	378939	Martha
681597	380319	Melissa Chapman
681598	152337	
681598	168153	
681599	87889	Lady
681600	349376	
681601	42242	Sylwia
681601	46085	
681601	64964	Grazyna, Piotr's Wife
681601	95946	
681601	95949	Bozena
681601	121456	Mother
681601	137641	Anita
681601	138603	
681601	173673	Barbara Nowosad
681601	181145	Olimpia
681601	226535	
681601	231688	
681601	231732	
681601	247550	
681601	249694	Anna Struziakowa
681601	256729	
681601	262147	Actress
681601	273710	Ania
681601	275244	
681601	288860	Masza
681601	322725	La princesse
681601	348705	
681601	361575	Zosia
681601	373629	Mother
681601	397114	Dorota Lindner
681601	403628	Anka Kwiatkowska
681602	75977	Woman in Studio
681602	95704	Priest Makowski's Housewife
681602	178460	2nd Director
681602	185809	Fuks's Wife
681602	220234	Miazgalowa
681602	226420	Starzynska
681602	226841	
681602	234268	
681602	375961	Apolonia Tuchala
681602	396286	Ludmila (2003-)
681603	139867	Jadzka
681603	166629	
681603	253197	Wikta
681604	388458	Ada
681605	192680	Herself (New York City Ballet
681606	107241	Nicole Sagazan
681607	278470	Bad Girl Gang
681608	93726	
681608	300377	
681609	61005	
681609	86655	
681609	403089	(segment "Septième ciel")
681610	34043	
681610	34138	
681610	155510	
681610	177870	Kyoko Kono
681610	180619	
681610	242123	Suit Girl
681610	278379	
681610	294096	
681610	300136	
681610	309094	
681610	375570	
681610	375591	
681611	299618	Minako Saiki
681612	8793	
681612	9433	Kei
681612	19236	Athena
681612	91098	Lunch
681612	91099	Pasta
681612	92856	Arale Norimaki, Lunch
681612	102466	Mia
681612	127777	Jessica Edwards
681612	135982	Chiren
681612	139492	Luna
681612	144442	Buchi
681612	146904	Minky Momo
681612	173194	Oyuki
681612	174325	Photon
681612	176534	Kishiria Zabi
681612	176536	Kishiria Zabi
681612	182507	Se Himiko
681612	200811	Minky Momo
681612	200813	Minky Momo
681612	209785	Rill Croford
681612	245697	
681612	259038	Towa
681612	278065	Semmerling
681612	283270	Maris
681612	283621	Mine Fujiko
681612	293586	Kohka Hirose
681612	294033	Shinjoh
681612	294163	Chiyoko Fujiwara (20-40's)
681612	296507	Clarisse
681612	299265	Malta
681612	306042	Metal Gear Mk.II
681612	328333	Karina
681612	348754	Ryooko
681612	348758	Mendou Ryooko
681612	369415	Karen Kasumi
681612	379515	Ruby/Minnie May
681612	382108	Esmerodo
681612	383345	Annie
681612	385570	Midori Fujiyama
681612	386236	Satoru
681612	386777	Lunch
681612	386903	Arale Norimaki
681612	387403	Lamia
681612	394029	Various characters
681612	394422	Kishiria Zabi
681612	396406	Mytyl
681612	396489	Minky Momo
681612	396490	Minky Momo (1st series)
681612	397371	Vermouth
681612	399478	Nils
681612	400292	Fukiko Ichinomiya
681612	401467	Nymph
681612	404127	Sheena
681612	405175	Miki
681612	405356	Mana Isozaki
681612	409318	Laura
681612	409686	Mendo Ryôko
681612	410526	Josephine 'Jo' March
681613	9599	
681613	77313	
681613	91143	
681613	233116	
681613	371987	
681613	373060	
681613	375591	
681614	80568	Tina
681614	80570	Helena/Roland
681614	80572	Helena
681614	80573	Helena/Niki
681614	91685	Marian
681614	130730	Yuka Kanzaki
681614	208014	Starsha (from Space Battleshi
681615	297262	Brie
681616	61470	Okaya
681616	229773	
681616	239331	Head nurse
681616	344162	Prostitute
681616	349168	Bisha Dayu
681616	373188	
681617	43060	Teacher Koyanagi
681618	162445	
681619	137372	Uta Ishidate
681619	141901	
681619	155798	
681619	373389	Yoshie Furuya, Kazuo's wife
681619	394917	Naoko (Yuuichiro's wife)
681620	172462	Manager
681620	278548	Nurse
681621	370700	Aunt Ayse
681622	95166	Iva
681622	200618	Chervenokosata
681623	222381	
681624	242310	Marie
681625	11023	Asuka Saegusa
681625	26329	Jordemoder
681625	30160	Vaskekone
681625	40694	Kontordame
681625	56087	Gurlis Mor
681625	83071	Inga
681625	99512	Susie
681625	114827	Doktor Tofgaard
681625	138930	Kantinedame
681625	153351	Laila
681625	166847	Kammerpige
681625	173141	Kropigen
681625	174444	Parkeringsvagt
681625	174994	Harue Karasawa
681625	185628	Taka
681625	186105	Mizue
681625	190840	Gurli Pedersen
681625	203960	Jytte
681625	244681	Baker's Wife
681625	281991	AF Konsulent
681625	283819	Liselotte
681625	312162	Yoshiko Yamazaki
681625	342243	Svensk dame
681625	359357	O-Iwa (Tamiya Iwa)
681625	381507	Nakajima Satsuki
681625	382416	Yura Kitajima
681625	382884	Jordemoder
681625	392572	
681625	393140	
681625	396069	Kiiko
681625	398967	Skolesekretær
681625	403166	Haruka
681625	407621	Lizzie Boye-Larsen
681626	69409	Jasmin
681627	38000	Soloist
681628	44335	Dorothy
681629	24430	Rita
681629	40334	Drunken Hag
681630	11280	Catherine O'Fallon
681630	15221	Amy Pagnozzi
681630	16413	Karen Garrett
681630	19601	Molly Jennings
681630	65453	Ralston Receptionist
681630	78897	Col. Liz Brendan, Rebel
681630	99971	Joy Bookman
681630	110170	Kathy Whiting
681630	120205	Abby Hewitt
681630	151109	Diane
681630	196397	Karen
681630	200173	Dr. Wanda Bell
681630	229215	Dr. Suzanne Carter
681630	248884	Susan Buckman Merrick
681630	300896	Kate Jacobs
681630	306465	Susan McCarran
681630	323586	Laura Sage
681630	331813	Herself
681630	333855	Bess Allison
681630	346947	Judy Hegstrom
681630	362808	Helen Helson
681630	382784	Ellen
681630	383933	
681630	390771	Annabelle Sims Reardon (1983-
681630	391101	Alison Hart
681630	394666	Barbara Shepard
681630	404282	Mary Duvall McCormick (1985-1
681630	407916	Brette Wheeler (1981-1982)
681630	411783	Gillian Apple
681631	61626	Receptionist
681631	66963	Gang Girl
681631	92583	Emily
681631	120122	Sandra
681631	165097	
681631	306785	Shauna
681631	386897	Emily Donovan (1993)
681632	56423	Irene Brennan
681633	236160	Bride
681634	42931	Maja
681634	284008	Princess
681635	35878	
681635	75977	Woman in Studio
681635	180106	Weronika
681635	247647	
681636	339361	Video Woman
681637	14283	Tereza
681637	394524	Reporter
681637	400951	Presenter
681638	113336	Queen Lenna (Japanese version
681638	125241	Fushigidanetwo
681638	241990	Noiseman
681638	247245	Moo
681638	258553	Nazonokusa
681638	259034	Madatsubomi
681638	299125	Alielle
681638	308778	Cheese
681638	323134	Nikaidou Yoriko
681638	327801	Ryo-Ohki
681638	327803	Ryo-Ohki
681638	327804	Ryo-oh-ki
681638	389791	Megane
681638	390964	Bit
681638	393552	Etsuko Sarutobi
681638	396497	Ryôôki
681638	407829	Ryo-Ohki
681639	9190	Nurse
681639	375558	Nurse
681640	373169	Girl (aka Poppo)
681641	300056	
681642	281084	Yasemin
681642	392379	Gülfem
681643	13786	Host
681643	52312	Herself
681643	257618	Herself
681643	257634	Herself (Playmate of the Year
681643	257656	Herself (Miss January)
681643	257657	Herself
681643	257813	Herself
681643	257826	Miss January 1998
681643	257864	Herself (Playmate of the Year
681643	257866	
681643	263447	Model
681643	402111	Model
681643	402113	Model (2001-2002)
681644	279865	Susan
681645	226693	
681646	210949	Igrila
681647	223581	Malina
681648	42196	Jarmila
681648	57612	
681648	111639	
681648	165119	Vlasta
681648	175030	Komárková
681648	198233	
681648	217034	Neighbour
681648	229232	Master of Pharmacy
681648	268294	Jitus
681648	308967	
681648	322333	
681648	339277	Postman Zuzka, Tichácek's sis
681648	352794	Woman in theatre
681648	399869	Mary Nehasilová
681648	410338	Deaf and dumb dancer
681649	285833	
681651	129829	Satano #6
681652	390382	Reporter
681653	34232	
681653	74430	
681653	77481	
681653	124034	
681653	174980	
681653	200963	Arlette
681653	234298	
681653	237961	
681653	261902	
681653	262171	
681653	349266	
681653	357128	Administrator's wife
681653	357343	
681654	68271	Bikini babe #2
681655	211836	Mezzo-soprano
681655	243775	Orphée
681656	29923	
681656	71424	Bound Cheerleader/Nurse
681656	116808	
681656	128845	
681656	132498	
681656	142703	Bound Girl
681656	247926	
681656	273482	Herself
681656	273483	Herself
681656	287163	
681656	289155	
681656	321129	
681656	324766	
681656	362104	
681656	381099	Herself
681656	393599	Herself (eliminated round 6)
681657	89574	
681657	387369	Various
681657	392669	
681657	400873	Camilla Felch
681659	92893	
681659	229891	
681659	320488	
681660	394620	
681661	827	
681662	125658	
681663	76350	
681663	186237	
681663	188470	Katerina
681663	388261	
681664	182036	
681665	402131	
681666	223550	
681667	138449	Cattis
681668	61737	Alisha Coop
681668	66837	Morgan Bianco
681668	162248	Iris
681669	16928	Snack-bar woman
681670	36586	'Viva Maria' Fan
681671	322042	
681672	258129	
681673	325891	Carmen
681674	24027	Kucerová
681674	165836	
681674	256494	
681675	41197	Bad Vampires Director
681675	78976	Kaye
681676	316485	
681677	12805	
681677	30052	
681677	119019	
681677	163891	
681677	174163	
681677	179666	
681677	219426	
681677	229035	
681677	239371	
681677	262644	
681677	316373	(segment Bratka)
681677	348707	
681677	373268	
681678	14563	
681678	20175	
681678	47402	
681678	162671	Nadya Tvorogova
681678	320709	
681678	343306	
681678	357458	
681678	374563	
681679	358434	Billy Budd's Bar Patron
681680	359902	Anchorwoman
681681	21187	Prunella
681681	119501	Kim Schmidt
681681	204946	Dresden girl
681681	350622	Teenage Girl
681681	358581	Wendy Green
681681	380692	Prunella
681681	404502	Riley
681682	162758	
681683	64153	
681684	162747	Herself
681685	258684	
681686	320625	
681687	112849	Lise
681688	88540	Gospa
681688	174829	Mother
681688	179111	
681688	186541	
681688	374667	
681689	248034	
681690	341913	La fille du maire
681691	119446	
681692	322393	Nurse
681692	344036	
681693	113672	Marchesa Violante Onesti/Sand
681694	262261	Regina Owens
681694	390771	Helen Simpson (2001)/Lori Jen
681695	148962	
681696	363602	Hoover Hana
681697	94	Sue Charlton
681697	12205	Rose Garner
681697	27065	Keri Finnegan
681697	73611	Sue Charlton
681697	73612	Sue Charleton
681697	81190	Miss Forsythe
681697	122627	Herself
681697	229499	Mary
681697	297796	Marla
681697	354520	Jill McGowan
681697	375867	Emilie Bartlett
681697	388517	Sally Crain
681698	231609	
681698	231610	
681699	227534	
681700	172898	Herself/Jazz+Az singer
681700	179863	Herself/Jazz+Az singer
681701	215605	
681703	374237	
681704	266452	Marie
681705	352868	
681706	208448	Mrs. Eggles
681707	409109	Ingrid
681708	341335	Umirovljenica
681709	126494	
681709	399893	
681710	122757	Postwoman Rittersberg
681711	126494	
681711	399893	
681712	107689	Boyce child
681713	176684	Ewa Szanska
681713	176685	Ewa Szanska
681713	216590	Marzena
681713	249814	Betty
681713	319660	Herself
681713	369027	Malgosia
681713	375961	Zoska Koselówna
681713	388834	Maryjka Góralczyk
681713	396286	Hanna Walisiak-Mostowiak
681713	412008	
681714	9288	Jiro's Ex-girlfriend
681714	29324	Ranko
681714	43031	Kuroki's Wife
681714	145128	Ayako
681714	145129	Tsuneko
681714	181888	White sneak woman
681714	232696	Kyoko
681714	239485	Yuki Aida
681714	242136	Ayako
681714	293602	Hatsumi
681714	298912	Maki
681714	299301	Ichiko
681714	300131	Shino/Kyoko
681714	318542	Marii
681714	371881	Ena
681714	371983	Mako
681714	373453	
681714	375626	Yumiko
681715	135953	Amano
681716	319652	
681717	145303	
681717	175509	Fusae Maki
681717	370302	
681718	137325	Kayo, Ruiko's mum
681718	323133	
681718	404008	Tsukiko Sakamori
681719	247347	Blond Young Girl
681720	234434	Kolonist
681720	324545	
681721	11867	
681722	59980	
681722	163997	
681722	229918	
681722	261411	
681722	343958	
681722	349345	
681722	352800	
681723	179740	
681723	180285	
681724	343310	Student
681725	171621	Rachel
681726	17079	
681727	111313	Lottozós csaj
681727	243800	
681728	129702	
681728	147190	
681728	180152	
681729	145525	Beamtin
681729	399162	
681729	400873	
681730	82852	
681730	172837	
681730	210256	
681730	261494	
681731	1695	
681731	6109	
681731	6111	
681731	6432	
681731	7525	
681731	8718	
681731	22039	
681731	22047	
681731	22098	
681731	25612	
681731	32314	
681731	38460	
681731	38925	
681731	44602	
681731	51338	
681731	57823	
681731	76768	
681731	77425	
681731	82852	
681731	83169	Mürüvset
681731	83319	
681731	87199	
681731	87716	
681731	88280	Hacer
681731	94596	Lamia
681731	94904	Zelha
681731	96432	
681731	121699	
681731	125343	Meryem, Veli's wife
681731	125929	
681731	130509	Gokcecicek
681731	136747	
681731	136911	Fatos Hoca/Müdire
681731	140594	
681731	140617	
681731	142977	
681731	144533	Ilhan
681731	146981	
681731	146984	Nalan
681731	153967	
681731	156221	
681731	161145	
681731	163118	
681731	163119	
681731	171981	
681731	171984	
681731	172006	
681731	172011	
681731	172025	
681731	172651	
681731	173791	
681731	173857	
681731	174658	
681731	174835	
681731	175704	
681731	175851	Kezban
681731	175852	Kezban
681731	175853	Kezban
681731	177127	Kinali Yapincak
681731	177965	
681731	178408	
681731	181683	
681731	183893	
681731	228890	
681731	237451	
681731	257219	
681731	261494	Saheser
681731	288295	
681731	288378	
681731	294122	
681731	294252	Ayfer
681731	294885	Hülya
681731	295271	
681731	295354	
681731	295492	
681731	295508	
681731	295511	
681731	296421	Sevim
681731	303582	
681731	307156	
681731	308315	
681731	308423	
681731	320189	
681731	320354	Bahar
681731	325210	
681731	326990	
681731	349197	
681731	349704	
681731	349711	Gül
681731	357606	Aliye
681731	360036	Semra
681731	370368	
681731	370369	
681731	370701	
681731	371299	
681731	371549	Gül
681731	371557	
681731	371562	Herself
681731	374335	Zehra
681731	374663	Zeynep
681731	377550	
681731	378197	
681731	378593	Gül
681732	38490	
681732	51346	Lale
681732	140621	
681732	171975	Nilüfer
681732	173757	
681732	173758	
681732	178410	Hatice
681732	240540	
681732	261494	
681732	303578	
681732	308314	
681732	320476	
681732	371562	
681732	377528	
681732	378202	
681733	1117	
681733	122998	Grandma
681733	139438	
681733	162974	
681733	176682	
681733	178424	
681733	216422	Klára, Mitch's grandma
681733	249197	
681733	253200	
681733	278687	
681733	309289	Stepmother's mother
681733	322105	
681733	343776	Lotti
681733	348999	
681733	350833	
681734	51326	Bálint Klári
681735	239224	Pelagie
681736	123502	
681736	134261	Trine
681736	198079	
681736	346992	Fru Pols
681737	29142	Herself
681738	126421	Sophia
681738	375228	
681738	378092	Kaat
681739	32562	German Girl
681739	203727	Girl on Motorbike
681740	151284	
681740	408317	
681741	228227	Herself - Host
681741	228228	Herself - Host
681741	228230	Herself - Host
681742	186897	Chor/Choir/Baustellen-Chor/Co
681743	325459	Sabine
681743	343671	
681745	36684	
681745	49268	
681745	93448	
681745	93449	
681745	93450	
681745	93451	
681745	121066	Martha
681745	125388	Guste
681745	126394	
681745	175267	
681745	208462	Marlene Kleinschmidt
681745	208463	Marlene Kleinschmidt
681745	208465	
681745	208466	
681745	214194	Polizeiobermeisterin Wildstei
681745	225308	
681745	244119	Charlotte
681745	259466	
681745	259478	
681745	259548	Frau Ackermann
681745	276215	
681745	326593	
681745	364937	Frau Materni
681745	381675	Renate
681745	388291	
681745	389381	
681746	995	M-me Gritsatsuyeva
681746	7388	
681746	8282	
681746	10417	
681746	21292	
681746	23853	Seller (segment "I podyekhali
681746	39013	
681746	40212	
681746	46598	
681746	48765	
681746	59977	Passenger
681746	60439	Conchita
681746	62276	Chipolla
681746	62590	An agent's wife
681746	84422	
681746	90979	
681746	104257	
681746	124839	
681746	126268	
681746	132148	
681746	132353	
681746	154837	Masha
681746	159860	
681746	163912	Ulyana Andreyevna Bunsha
681746	171742	Zhena Petrova
681746	181409	Prostitute
681746	182462	
681746	190384	Vera Petrovna
681746	197276	Arina Rodionovna
681746	198661	
681746	207413	
681746	219718	
681746	225827	
681746	229036	Painting buyer/Wedding Guest
681746	231142	Genrietta
681746	237016	
681746	237741	
681746	258129	
681746	259076	Soyev's Wife
681746	261207	
681746	266015	Animal owner
681746	282824	
681746	283825	aunt Katya
681746	283831	
681746	283836	
681746	286216	
681746	296993	
681746	307100	Woman in the caravan
681746	312537	
681746	313882	Ulyana Andreyevna
681746	320410	
681746	324134	
681746	341191	
681746	348906	
681746	350800	
681746	355721	
681746	356598	Various roles
681746	357466	
681746	373061	
681746	374751	
681746	394642	
681746	397302	Olga Ivanovna
681746	397513	Singer
681746	409403	
681746	410457	
681747	192837	
681747	229036	
681747	231142	Professor's wife
681747	241936	
681747	253635	
681747	265024	
681747	289862	
681747	371364	
681748	155336	
681749	12586	
681749	62178	
681749	66877	Olivers Frau
681749	70106	Renate
681749	94367	Nik Weitling
681749	103082	Hilda
681749	126334	
681749	164834	
681749	178589	
681749	187556	Jane
681749	188782	
681749	226175	Gerti
681749	293543	Elke
681749	312209	
681749	338433	Luise Böhme
681749	338434	Susanne Meyer
681749	343673	Elisabeth Kogler
681749	357780	Christa
681749	361528	
681749	376181	
681749	382931	Tony
681749	383097	Verena Westfal, geb. Gregoriu
681749	384162	Christiane
681749	386334	Tina Drombusch
681749	386847	Ida Fratus
681749	388573	Katharina Kuckuck
681749	388964	Dr. Sandra Keller
681749	389359	Verena Westfal, geb. Gregoriu
681749	389840	Sophie
681749	390928	Frauke Marten
681749	391152	Jette Kaiser
681749	391293	Lisa Bayer-Nenner (1985-1989)
681749	392855	Britta Balder
681749	410344	Roberta
681750	365706	Juliana nine years old
681751	365706	Young Juliana
681752	309207	
681753	79761	Party Guest
681754	261119	Sandy Watson
681755	182894	Mädchen aus der Zone
681755	189866	
681756	311387	
681757	127668	Mme Cusenier
681757	229029	La concierge
681757	345074	La patronne du salon
681758	911	Milo Vercoccio
681759	330282	Paul's Woman
681760	228522	Herself
681761	401473	
681762	84264	Zofia Karpinska
681762	90062	Florentyna
681762	91083	
681762	95981	Iza
681762	112786	Zosia
681762	155364	
681762	165032	Felicja
681762	171438	
681762	178773	Barbara Piotrowska
681762	232680	Niura
681762	258176	
681762	260390	Stefka
681762	266330	Madame Michaud
681762	275250	Camilla de Tormez
681762	304250	
681762	311893	
681762	348441	
681762	358546	Secretary
681762	375442	Waitress
681762	378560	Teresa Gadomska
681762	381242	Leokadia
681762	399413	Piegusowa
681762	402360	
681762	403626	
681762	411110	Wiktoria Bronowicz
681763	19143	
681764	337360	Workshop Attendee
681766	313671	Secretary
681766	348050	
681766	384387	Pia
681766	392836	
681767	177988	Court Dancer
681767	208395	Dancer
681767	271294	Oriental Dancer
681768	7889	Party Goer
681769	325741	Hausmeisterin
681770	166424	
681771	55902	Eleonora
681771	122562	
681771	151902	Ah Wei
681771	182527	Jacqueline 'Jac' Hegglin
681771	268697	Eve police officer
681771	326978	False Secretary
681771	352074	
681771	352505	Schwester Engelmunda
681772	177988	Court Dancer
681773	293894	Tanja
681773	356890	Camilla
681774	57336	Mamma Lucia
681774	138561	
681775	115639	Girl Band
681776	323389	Sid Goldman
681776	331410	Receptionist
681777	115603	
681778	310436	Mom
681779	232105	Bob Evans Zombie
681779	275346	Consultant
681780	251056	
681781	65683	
681781	312592	Sheila
681781	349575	Lina
681782	10924	Snatch
681782	253104	Dee Dee Granger
681782	266625	Newlywed Wife 1
681782	289262	Real Estate Agent
681782	315183	Carol
681783	223462	
681784	224639	Deborah Lackey
681784	340751	Young Sarah
681785	50170	Angi
681786	162099	Queen of the Fairies
681787	407138	Herself - Judge
681788	40189	Marie Antoinette (third seque
681789	5832	
681789	99460	
681789	277327	
681789	281932	Dorothy's mother
681789	349925	Judith Fairfax
681790	114310	Herself
681791	111791	Woman in Fight
681792	234826	Nonne/Nun
681793	240392	
681793	317650	
681793	345990	En gravid kvinne
681794	194428	Woman in Churchyard
681794	303747	Trade Union Negotiator
681795	314845	Christine
681795	344104	
681796	36850	Herself
681796	36852	Herself - Participant
681796	381894	Herself (season 1-2001)
681796	381897	Herself (season 1-2001)
681796	381899	Herself
681796	381903	Herself - Participant
681796	381914	Herself - Participant (season
681797	171513	
681798	243411	Herself - Kidney patient
681799	154151	Regnelærerinden
681799	322301	Stines gamle lærerinde
681800	123931	Skuespillerinde Else Lund
681801	314845	
681802	388430	Herself - Family Adviser
681803	401772	Ulla-Britta Konradsson
681804	337184	Evelyn
681805	126292	
681806	391750	Herself (Anlægsgartner) (2003
681808	91994	Judy Funnie (voice: German ve
681808	388609	
681809	597	President of the Global Union
681809	16205	
681809	16213	
681809	18501	Anuschka Hordak
681809	24359	
681809	30130	Anja Hoster
681809	32767	
681809	33297	Sekretärin
681809	90515	
681809	94864	
681809	102375	
681809	105535	Henriette Treffz
681809	118145	
681809	119140	Maria Vossberg
681809	124432	Ellen Lanken
681809	125102	
681809	126404	
681809	134853	
681809	137983	
681809	142014	
681809	144130	
681809	144136	Bertha von Suttner
681809	144329	
681809	147142	
681809	166411	
681809	172526	.
681809	177192	Helene Asmussen
681809	179653	
681809	179833	Philine Schroeder
681809	183641	Lady Frederick Berolles
681809	186886	Gundel Martens
681809	189535	Anna Gehrke
681809	189583	
681809	190791	
681809	197409	
681809	206302	Marquise von Pommeraye
681809	210051	Christine
681809	210077	
681809	210085	
681809	216365	
681809	225215	
681809	225718	
681809	226241	
681809	230234	Helen Elgin
681809	242859	
681809	261569	Dunja
681809	267330	
681809	279078	
681809	286411	
681809	288997	
681809	289883	Elga
681809	290099	Margarete Walker
681809	290714	
681809	290723	Anna Kopecka
681809	294691	Irene
681809	306878	
681809	311075	
681809	335994	Maria Gebhart
681809	338461	
681809	340091	Hekuba
681809	341112	Clara Wieck Schumann
681809	350426	
681809	351936	
681809	354054	Charlotte (1st episode), Iren
681809	360940	
681809	361014	Marei
681809	361112	Ruth
681809	361423	Monika Pratt
681809	369171	
681809	382863	
681809	390924	Martha Kempf
681809	395504	
681809	400364	
681810	97138	Cristina
681811	24149	Eberhardine
681811	91007	
681811	95259	
681811	98287	Frieda
681811	101754	
681811	118620	
681811	119283	
681811	134794	Die Müllerin
681811	143798	Mrs. Aklin
681811	156495	Frau Keller
681811	159858	
681811	178652	
681811	179993	Second Aunt
681811	180643	
681811	191472	Karl's Wife
681811	197838	Frau Hurtig
681811	223375	Paula Jebs
681811	225164	Frau Kersten
681811	227552	Madge, Kammerzofe
681811	237738	
681811	248199	Frau v. Keller
681811	277462	
681811	278952	
681811	281953	
681811	281983	Frau Kraft, Blumenbinderei
681811	289951	
681811	290271	Frau Fitzke
681811	290272	
681811	290810	
681811	311109	
681811	312206	
681811	317613	Wirtschafterin Christine
681811	317665	Betty Bernick
681811	320226	Frau Schmidt
681811	343698	
681811	352337	Kättchen Schmitz
681811	353994	
681811	359694	
681811	366554	
681811	369136	
681812	259548	Gabi
681812	267333	Marlies
681813	378496	
681814	24331	Sophie
681815	144072	
681816	51041	Captain of FBI
681816	51042	Captain of FBI
681816	51043	Captain of FBI
681816	172957	Ivana
681817	46383	Shazar
681817	280066	
681818	115819	
681819	46591	
681820	337701	Producer #2
681821	140677	
681822	165119	Julka Tomcányová
681822	373754	Ivona
681823	138468	
681824	162937	Mama Pfferpot
681825	386654	Beata Borowska (1996-2000)
681826	48211	Irena Kowalczyk
681826	165032	Stewardess
681826	348704	
681827	158563	Raissa
681828	338048	
681829	49888	
681829	88136	
681829	88711	
681829	132073	
681829	137291	Iketina mati
681829	187668	
681829	190785	
681829	197900	
681829	209362	Verica
681829	209509	
681829	215120	
681829	229275	Anjina majka
681829	230061	
681829	236167	Mila... Adamova kci
681829	243662	
681829	258408	Ajsa
681829	258575	
681829	262504	
681829	262573	
681829	270714	Djurdja
681829	310654	
681829	313017	
681829	339278	Vera
681829	344265	
681829	351337	
681829	383805	
681830	178700	Samanta
681830	350721	Simona
681830	384580	Mija
681831	156010	
681831	227826	Maca
681832	344777	
681833	267877	Prostituta
681834	376218	
681835	41843	
681836	14559	Karolina
681836	35878	
681836	48211	Teacher
681836	48332	Malina
681836	58243	Stecowa
681836	62428	Jagna
681836	63267	
681836	63753	Babcia Wanda
681836	96603	Wanda Kadzielska
681836	124986	
681836	165076	Alina Kubacka
681836	178477	Angelika
681836	226841	
681836	231653	
681836	231731	Nurse
681836	236159	Patient
681836	239438	Gustliks's Mother
681836	256156	Girl in the Phone Booth
681836	266302	Barmaid
681836	305833	
681836	360758	
681836	361575	Marysia
681836	373439	
681836	375067	Gitla
681836	398874	Gabriela Krukowska
681837	259406	Herself
681838	2563	Herself - Performer
681838	2810	Winner Best Performance by a 
681838	2816	Presenter for Best Performanc
681838	10414	Dorie
681838	56908	CatDog's Mother/Pussycat Catf
681838	62997	The Ghost of Christmas Past
681838	77676	Patricia
681838	109608	Babysitter
681838	115562	Betty O'Shale
681838	129768	Irene
681838	133376	
681838	152220	Diane
681838	155213	Female Sloth
681838	167614	Herself
681838	171042	Rachel Morgan
681838	205268	Lauren Farb
681838	221338	Christine
681838	233492	
681838	263345	Emily
681838	280365	
681838	302252	Liza Minnelli
681838	314484	Lynne
681838	349550	Cousin Vicki
681838	363218	Linda Rosen
681838	367767	Melba
681838	379802	Elaine Vassal
681838	379803	Elaine Vassal
681838	402605	Jane
681838	404613	Rebecca 'T.R.' Kendall (1984-
681838	411815	Dale Winter
681839	53289	
681839	111474	
681839	233036	
681839	349230	
681839	370337	
681840	63069	
681841	316428	
681842	207238	Cheryl
681843	132610	
681843	165719	Tercijalka
681843	227826	Teacher
681843	229005	Aunt Ana
681843	261903	Ana
681843	320640	Tickovca
681843	339287	Hellerjeva
681843	352814	Aunt Ana
681843	374667	
681844	195247	
681844	225945	
681844	229007	Mama
681844	267860	
681845	192886	
681845	262636	
681846	44343	Yoga vjezbacica #3
681847	18544	Party Girl
681848	132128	Ivanka Ivankovic
681849	72140	Dancer
681850	214101	
681851	2277	Herself
681851	18607	Herself
681851	22824	Singer
681851	80356	Musical Performer - "Just One
681851	85905	Herself
681851	166069	Herself
681851	282703	Herself
681852	54464	Mrs. Stamatis
681852	379405	Mrs. Fotiou
681852	380821	Warden
681853	191190	
681854	354211	
681855	289335	
681856	219692	Vladimir's Mother
681856	356420	
681858	271994	Ranch lady
681858	386642	Herself
681859	343160	Woman in Evening Gown
681860	4832	Erika S
681860	9919	Vera Hartwig
681860	11815	Tana Fechner
681860	11863	Ruth Selbach
681860	24047	Carla Volk
681860	24105	Michelle Eisner
681860	26469	Annette
681860	52585	Michelle Eisner
681860	95277	
681860	95278	Lizzy Krüger
681860	95279	Lizzy Krueger
681860	95280	Krüger, Lizzy
681860	95281	Lizzy Krüger
681860	95282	Lizzy Krüger
681860	95283	Kommissarin Lizzy Krüger
681860	108161	Mathilda
681860	120158	Sieglinde
681860	125001	Stella Blau
681860	142186	Sandra
681860	153086	Anna Kleine
681860	156711	Geliebte
681860	164607	
681860	176479	Katrin
681860	180037	Maren Rieger
681860	189613	Anna
681860	211489	Manuela
681860	211831	Michelle
681860	225649	Ulrike Mertens
681860	279068	Julia Gabert
681860	281725	Claudia Burns
681860	313666	Anna-Maria Buchwald
681860	319672	Alexa
681860	324682	Lena
681860	329931	Chris Schuster
681860	334617	Sonja
681860	376287	
681860	376444	Katharina/Maria
681860	400906	Caro
681860	402098	Anna (1997)
681861	40518	
681861	81988	
681861	96494	
681861	310275	Wally Burwig
681862	228160	Susanne Teuchert
681862	325465	
681862	376499	Katrin
681862	410272	Renate
681863	225265	Ingrid
681863	365877	Monika
681863	367226	Christine
681863	391604	Anna Talberg (1999-2001)
681864	406488	
681865	352473	Grandma Gloria
681866	75397	Bus Lady
681866	208873	Judge Levers
681866	283492	Marie
681866	351907	School girl dominaitrix
681867	47077	Courtney
681867	76221	Lucy in the Sky/Lucinda Reyno
681867	136270	Rose
681867	157436	Student
681867	182958	Flyer Girl
681867	202488	Robin
681867	222308	Sarah
681867	281562	Liza
681867	283183	Candice
681867	304240	Taylor Brooks
681867	354189	Heather
681867	400582	Casey Shaw
681867	411697	Herself
681868	165462	The Other Actress
681868	298284	Julie
681868	317300	Cindy
681869	367073	Munchkin Villager
681870	90273	
681870	226996	Sharon
681871	11485	Manager, Rehersal Studio
681872	150703	
681873	297221	Archaeologist 3
681874	64962	
681875	290282	Hella
681876	139708	Hanna
681876	149702	
681876	236814	Renate
681876	312878	
681876	325881	
681876	329672	
681876	378535	Rosa Luxemburg
681877	152603	Passer-by
681878	230127	Woman in Tub #2
681879	116253	Mary Forbes
681879	154756	Ruth Cvetic
681880	4911	Mrs. Isaac Cohen
681881	127588	
681881	199124	
681881	272890	
681881	344856	
681883	215690	Miss Maryland USA
681884	41197	Mistress Tiamat
681884	80644	Alice St. James
681884	276777	Katie
681884	276778	Katie
681885	158146	
681886	51286	Claudia
681886	168161	
681887	220574	Polo playerKremp
681888	46673	Herself
681889	298129	Russian
681890	24381	Chefin
681891	90117	Nurse
681892	54634	101X Disc Jockey
681893	12822	
681893	260574	
681893	295095	
681894	283492	Sophie
681895	16652	
681896	135991	Rose
681897	382689	Host (1998-1999)
681897	409958	Alexandra 'Alexa' Seifert (19
681898	277109	Helen
681899	374285	Robin
681900	10309	Michele Delacroix
681901	177906	
681904	35821	Herself (vice-president of ma
681905	237108	C.J.
681905	304313	Shy Lady
681906	340013	Kalonike
681907	243651	Herself
681908	363953	
681909	125257	Kantinezuster
681909	314157	Jeanne
681909	356813	Moeder Jeroen
681910	64676	Suus Bruis
681910	242438	Lies de Ruyter
681910	314862	Rita Winters
681911	96741	Missy
681912	17191	Teacher 1
681912	32241	Plister
681912	166937	Bar matron
681913	192805	Cashier
681914	95135	Jen Freed
681915	72688	Carole
681916	144220	Herself/Interviewee
681917	3159	Lizzy Double
681917	332209	Sister Augustine
681918	38248	Chaos Rioter/Cannibal
681918	105779	Lorna Bainbrook
681919	127255	Stenographer
681920	4694	Loretta Gaines
681920	31201	Herself (NBC Team)
681920	35715	Karen Rikehardt
681920	46818	Angie
681920	66861	Nikki
681920	81545	Sarah Ann Collins
681920	89333	Helene
681920	130708	
681920	152936	Det. Sgt. Dee Dee McCall
681920	152950	Det. Sgt. Dee Dee McCall
681920	152951	Dee Dee McCall
681920	203670	Beautiful girl hit by car
681920	323443	Jess
681920	331751	Teresa Colson
681920	342560	Carol Mallory/Lynn Cameron
681920	388517	Stevie
681920	392276	Det. Sgt. Dee Dee McCall (198
681920	392277	Sgt. Dee Dee McCall
681920	396937	Sharon Kelly
681920	398213	Herself
681920	404667	Princess Tara (04/79)
681920	410698	Claudia (1983-1984)
681921	138700	Herself
681921	240612	Lori Robbins
681922	98328	
681922	189851	Herself
681922	339810	
681923	383851	Doctor
681923	395153	Jean MacArthur
681924	398447	Host
681925	345957	Moza
681926	95525	Herself
681927	326517	
681928	51260	Vlasta Ziková
681928	147035	Mrs. Císarová
681929	216289	
681929	306510	
681929	325743	Wife Camping
681929	360970	
681929	374126	
681930	18544	Julian's Girlfriend
681930	306223	Miami Pretty Girl
681930	317309	Double Bubble Babe
681930	393300	Sophie
681930	399947	Nadine Royal
681931	21374	Fru Marie Skaug
681931	34402	Bernarda Alba
681931	84390	
681931	103588	Annie
681931	141795	Miss Juliane Tesman
681931	290256	Eva Krohn
681931	293841	
681931	315415	Husfruen
681932	5602	
681932	156728	
681932	156729	
681932	289917	Mrs. Clatt
681932	348044	
681933	153100	
681933	177092	Ragnhild
681933	180100	
681933	181077	
681934	5622	Junge Lehrerin
681934	16406	Mother (german release)
681934	18284	
681934	49671	
681934	91179	
681934	97842	
681934	108146	
681934	188835	Mastfischer's Frau
681934	226269	Mother Klose
681934	259481	Nachbarin
681934	259491	Frau Schröder
681934	259493	
681934	259540	
681934	259558	
681934	259651	
681934	259674	
681934	277302	Woman at Ford
681934	287638	
681934	324322	Frau des Schulrats
681934	352567	Guide
681935	34521	
681936	347878	Dancer
681937	393255	Francine
681938	280853	Nicole
681939	49277	Heidy Forster
681940	37164	Charrier's Assistant
681942	315132	Jennifer Lewis
681943	29524	Jennifer Love Lookalike
681944	398575	Uitzendbureaudame
681945	170227	Herself
681946	479	Cabaret Singer
681946	91261	Köchin Pepperl
681946	98312	Singer
681946	108158	Singer
681946	112214	
681946	122550	Singer
681946	142138	Singer
681946	171706	Singer
681946	183265	Die schlimme Schülerin
681946	234297	
681946	361401	Molly-Polly
681946	365010	
681947	140583	
681948	6118	
681949	272238	Temperance Lady 3
681950	388713	Stella
681951	25045	
681952	179111	
681952	344046	Daughter of caretaker
681953	366263	Vollmond
681954	394818	
681954	394819	
681954	394820	Herself
681955	253667	Chica 3ª coro
681956	305173	
681957	301327	Maureen
681957	336459	Olan Chang
681957	408609	Olan Chang
681958	339593	
681959	232656	Niklas' Mother
681960	406626	Ulrika Skoog
681961	16050	Warden
681962	73826	Newswoman
681963	101786	Drunken Barfly
681964	10857	Mrs. Griffith
681965	26064	Old Ewe
681965	26079	Old Ewe/Alley Cats
681965	39129	Mrs. Peck
681965	65681	Nurse
681965	86797	Monica
681965	234126	Esther's Mother
681965	269892	Mrs. Grimmelman
681965	309638	Jenja
681965	310437	Maria Juric
681965	380908	Various (1983-1984)
681965	390620	Melina
681966	137578	Kerri Grono
681966	391532	Carmen Price
681966	399130	Jade Cleary (1999)
681967	87414	Lady Long Legs
681968	189563	Vagan-Kellner
681969	58172	Nannette's Ma
681970	46420	Despina (age 11)
681971	12888	Nina
681971	338115	
681972	6170	Traumfrau
681972	78945	Anna
681972	222432	Petra Schmidt
681973	137684	Countess Dracula
681974	408309	Herself - Member of questioni
681975	293705	Veninde 5
681976	270550	
681977	394431	Additional Voices
681978	340724	
681979	4798	
681980	76664	
681981	340666	Marijeta
681982	365526	Woman of Goona
681983	317437	Young Nicole
681984	314129	The Reporter
681985	122932	Miksi
681985	320330	
681986	334199	Jadzia
681987	59772	
681988	117164	Communications officer
681989	134229	
681989	255779	Lisa
681989	307180	
681989	344309	Bianca
681989	373694	
681990	95907	
681991	384590	Herself
681992	247970	Tanya
681992	341862	Varya
681993	357709	
681994	27127	
681994	126445	Carmen
681994	235959	
681994	347642	
681995	164614	Herself
681995	164615	Herself
681996	352409	Charlotte
681997	374885	
681998	96547	
681998	129152	
681998	268609	
681998	338723	
681999	57751	Christine
682000	356677	
682001	95068	Irina Petrovna Nolemkova
682002	25425	Stanislawa Olszanska
682002	206953	
682002	232664	Nina Kunicka
682002	255028	Maria Radziszewska
682002	325042	
682002	373521	
682002	373594	Teacher
682002	374232	Kerner's Mother
682003	40064	Dillon's Karate Student
682003	81157	Tammy
682003	121514	Female Fighter
682003	144851	
682003	176255	Megan Laurence
682003	404679	
682003	411324	Mouse
682004	179910	
682004	267863	
682005	202294	
682006	189425	
682007	17556	
682007	390181	
682008	89321	Partygoer
682009	95726	Ira
682009	375649	Diana von Ballen
682010	33023	Herself
682010	162534	
682012	75739	Ljubicina majka
682012	132160	
682012	181174	
682012	187997	
682012	215121	
682012	226376	Siljina majka
682012	229749	Ana Bogojevic
682012	242895	
682012	266261	
682012	267811	Zoricina kuma
682012	289328	
682012	301902	Arsina zena
682012	323341	
682012	343967	Witness III
682012	404894	
682013	162731	Skriptarkata
682013	238812	Marta
682013	357434	
682013	373566	Momicheto
682014	52828	
682015	352813	Concert Performer
682016	35281	Anna
682017	250888	Tornász
682018	43252	Dany's best friend
682019	129678	Monika Wagner
682020	124757	The Flower Girl
682020	310296	Dancer
682021	69968	Natacha
682021	251063	Liliane N°1
682022	117164	Girl #2
682022	200618	Dana
682022	238168	Maggie
682023	9353	
682024	210949	Mantza
682025	6220	
682026	9353	Dancer
682027	126130	Circus performer
682027	184859	Circus Web Girl
682028	240996	
682029	9473	
682029	186865	
682029	244624	
682030	403854	Zosia
682031	95162	
682032	288748	Mack's Friend
682032	316287	
682033	308425	
682034	400727	Renate (1969)
682035	22849	Young Denise
682036	95306	Marcie
682036	104977	Lisa Mather
682036	160504	Sarah's Friend
682037	234252	Vault
682038	350618	Herself
682039	339277	Vendor
682040	322122	
682041	234153	
682042	240473	Villager
682043	167117	
682044	131383	Ariane (13 Jahre)
682045	118414	Picture woman
682046	210364	Herself
682047	196699	
682049	330280	Young Voices
682050	82333	Sally
682051	32466	Girl at Beer Garden
682051	69414	Tina
682051	178138	Beautiful Girl
682051	223802	Lois
682051	261989	Joy
682052	126838	Manuela
682052	177166	Mutter Richter
682052	281984	
682052	334712	
682053	218234	Molise von Adelbae
682054	259675	Yvonne Söhnl
682055	4811	Agnes
682055	12103	Alma Kroeplin
682055	31400	Frau Weber
682055	34103	Irma Kalweit
682055	40420	
682055	40422	
682055	91179	
682055	115809	
682055	115812	Frau Klucke
682055	121039	
682055	136615	Tante Mathilde Lautenschläger
682055	142199	
682055	147170	
682055	147186	Frau Müller
682055	153173	Friedchen
682055	170696	
682055	175561	
682055	187542	
682055	204507	Frau Köppe
682055	206670	Martha
682055	225115	Dodo
682055	230196	Frau Klucke
682055	239020	Alma Krause
682055	259174	
682055	265399	Schwester Hedwig
682055	277318	
682055	290712	Agnes
682055	308831	
682055	314329	Mary
682055	314332	
682055	347814	Mutter Jeschken
682055	352222	
682055	352262	Sekretärin
682055	352380	
682055	352768	
682055	353949	Alma Krause
682055	361441	
682055	386640	Tante Minna
682055	397451	Oma Wuttich
682055	406829	
682056	374330	Polizeischülerin
682057	127443	Conny
682058	87218	Beth
682058	281700	April
682060	380430	
682061	58804	
682062	56102	
682063	34347	
682063	156992	
682063	315357	
682063	325618	Sunan
682064	319693	Narrator
682065	210479	
682066	376408	Kollegin von Lena
682067	175294	Gunhild
682068	232387	2. Nonne im Kino
682069	359186	Coffee House Singer
682070	115424	
682071	210036	
682071	231468	
682072	241615	Voice on CB
682073	104762	Spanish Entry (19th place)
682074	178597	
682075	144140	
682076	178016	Sonnenstudio-Chefin
682076	178729	
682076	379810	Host
682076	389133	Host
682076	390193	Letter turner (1998-2002)
682076	407418	Herself
682077	161159	
682078	229040	Greta
682079	325854	
682080	225115	Claudia's Double
682081	82880	Gertie
682082	83390	Suzanne et Éric
682083	12787	Barbara Wendt
682083	49671	Christel
682083	78282	Martha Domasch
682083	91179	
682083	98316	Anna Hunzele
682083	111351	Frau Heimboldt
682083	111352	
682083	111353	
682083	112171	
682083	126350	
682083	129322	
682083	188848	Betty Bartuscheck
682083	188859	
682083	223283	Thea
682083	226236	Elsbeth Kramer
682083	259486	
682083	259515	Frau Meinke
682083	259642	Anne Roland
682083	272591	
682083	280795	
682083	282170	Inge
682083	308831	Berta
682083	322424	Jenny
682083	347614	
682083	352077	Margot Dege
682083	352262	Lore Fiedler
682083	364886	Silvia
682083	376033	
682084	321515	Featured Dancer
682085	177182	Hanna Winter
682086	128594	Fight pro posse
682087	181746	Doris Harryson
682088	290534	Shareen
682089	276328	Aggie
682090	260232	Herself
682091	105521	Zofe Nanette
682092	219874	Ruth Frumkin
682092	220092	Anna
682093	154227	
682093	198076	Sonja Prehn
682093	274934	
682094	35597	Kara DeWolfe
682095	10138	Susie Contreras
682095	33730	Melanie
682096	259544	
682097	47896	Mom
682098	386981	Hannah
682099	261546	Computer
682100	386981	Hannah
682101	308609	Caroline's Friend #4
682102	13859	Urban Girl
682103	170369	
682103	307167	
682103	401995	Vroni
682103	404899	Caro (2002)
682104	203087	Undetermined Role
682105	153349	
682106	77440	Das gelähmte Mädchen
682107	96586	Krankenschwester
682108	260232	Herself
682110	16130	Sara
682110	17191	Acid Woman in Black
682110	35156	Carol
682110	41191	Clarine/Sara/Melpomene
682110	41386	Lori
682110	66055	White Trash Woman
682110	73416	Jasmine
682110	73417	
682110	75567	Christine
682110	77935	Officer Jenny Pierce
682110	80616	Donna
682110	92490	Mysterious specter
682110	95209	
682110	97032	Lisa
682110	102833	
682110	102835	Isabelle
682110	105428	Jane K.
682110	109623	
682110	132123	Sinestra
682110	140641	Desire Varga
682110	153596	Vanessa
682110	158282	
682110	160938	
682110	198979	Erika Marks
682110	216204	
682110	232676	Eva Braun
682110	251793	
682110	257507	
682110	266599	Janice Sicole
682110	266600	
682110	269604	Nienna
682110	269808	Woman in the forest
682110	271922	Ilsa Von Todd
682110	271928	Ilsa Von Todd
682110	277086	Sarah
682110	300308	
682110	303549	Bear Trainer
682110	306363	(segment "The Electrocution")
682110	309230	Kim
682110	309231	Kim
682110	316483	
682110	333544	Herself
682110	333857	Shari O'Kari
682110	350208	Dracoola
682110	350215	Dracool
682110	351185	Jennifer
682110	366783	Rose
682110	375699	
682110	375714	Jenny Jackson (reporter)
682111	91042	
682112	361469	Else
682113	24077	
682113	125221	Mariane
682113	155419	
682114	317277	Model
682114	334713	Tanja
682114	388798	Katja
682114	390928	Carla Dux
682115	90996	Tanja Eck
682116	6133	Eva's Mother
682116	14930	
682116	16195	Ida
682116	23345	Nurse Petra
682116	87611	Jirka's mother
682116	145331	
682116	165061	Majka
682116	171891	Mother of Kacenka
682116	253785	Blanka
682116	266425	Anna Valentová
682116	276444	
682116	305815	Magda
682116	375952	Lady
682116	376554	Jarmila
682116	409905	Ivana Opatová
682117	181341	Martin´s wife
682117	266283	Dagmar Nedbalová
682117	365614	Marie
682118	155491	
682118	294089	Athenerin
682119	2581	Performer
682119	3055	Herself - Performer: 'You Wil
682119	11005	Herself
682119	17630	Additional Voices
682119	34772	Herself
682119	63062	Performer
682119	89707	Herself
682119	92134	Herself
682119	98145	Jennifer
682119	132846	Herself
682119	160367	Herself
682119	190571	Herself
682119	214974	Herself
682119	286476	Herself
682119	365741	Self
682119	368247	Herself
682120	97238	
682121	555	Agent
682121	33166	Susanne
682121	33316	
682121	188773	
682122	233834	Girl on Bus
682123	355660	Female soldier at children's 
682124	56545	Herself
682124	91043	Anna Landauer
682124	144185	
682124	189533	Elena
682124	204581	
682124	231461	Sophie Wagner
682124	259484	
682124	259677	Janette Krinowsky
682124	290562	Josefa
682124	325424	Nina Fischer
682124	325608	Thea Winter
682124	325834	Jennifer Hoffmann
682124	325885	Doris Singer
682125	380680	Herself - art expert
682126	178621	Staatsanwältin März
682126	334637	
682126	400873	Petra Meyer
682127	384201	
682128	22580	
682129	110644	
682130	191101	
682131	206221	Autogrammädchen Salzburg
682132	146780	Bar Girl
682133	144789	Alien Stormtrooper
682134	312289	Dorrie
682135	244679	
682136	399093	Herself
682137	335027	2. Schwester
682138	45898	Marion
682139	281609	
682139	381862	Various
682140	180763	French girl
682141	366554	
682142	109324	
682142	180413	
682142	290021	Baroness Helene Vetsera
682143	94861	Tulsa Redhead
682143	155862	Woman in park
682143	219796	Charlie
682143	366585	Stripper Waitress
682144	230316	Big Sister
682145	348560	
682146	28943	
682146	85150	
682146	85211	
682146	180792	Klavdiya Petrovna, a typist
682146	181590	Blanche
682146	217461	
682146	236067	
682146	253635	
682146	253646	Alesya
682146	285114	Oqsana
682146	349303	
682146	351354	
682146	352864	
682146	356420	
682146	374841	The Actress
682147	223213	Rosalie
682148	33821	
682148	48742	
682148	63618	
682148	131119	Nadya
682148	132082	
682148	134299	
682148	172438	
682148	179329	
682148	180859	
682148	187013	Aksinya
682148	188743	Frau Bunin
682148	210283	Yershikha
682148	229074	
682148	229175	
682148	242474	Tamara
682148	261689	
682148	262659	
682148	280601	Maria
682148	283836	
682148	318562	
682148	336232	
682148	349076	Antonina
682148	356927	Lavruzhina
682148	357208	
682148	370998	
682148	371355	
682148	374162	
682149	227916	
682149	262187	
682150	411981	
682151	95692	
682152	181312	
682152	242820	(segment "Operatsiya Y")
682152	258424	Mother
682152	309994	Grandmother (segment "Inostra
682152	374765	
682153	95800	
682153	160776	
682153	243109	
682154	364431	Birthday Guest #1
682155	217745	Dancer
682156	117634	Head Counselor
682158	397366	Frau Meyers
682159	343045	Restaurant Patron
682159	346902	Woman Patron
682160	52580	Casting Assistant
682161	363984	Faye Farnsworth
682161	364431	Birthday Guest #1
682162	326654	Sheila
682163	396874	Franziska 'Fränzi' Ginster
682164	226012	Supruga gubernatora
682165	215696	Miss Kazakhstan
682166	112062	Young Nun
682167	197537	La femme de Vincent
682168	136645	Sarah
682169	181333	Jurand's Wife
682170	311894	
682171	165032	Actress
682171	275250	Donna Inez Moro
682172	26517	
682172	29162	Mila
682172	98385	Nico
682172	118798	Francis
682172	142102	Braun
682172	144146	Nina König
682172	152788	
682172	219275	Janine/Viola
682172	259518	Betsy Cordes
682172	286605	Rosa
682172	308215	Sonja Gerber
682172	315949	Nathalie
682172	322623	Mrs. Winter
682172	345672	
682173	266309	Alicja, Basia's Daughter
682174	82205	
682174	147177	
682175	51039	
682176	303738	Krysia's Friend
682177	282762	Iwonka
682178	204890	Art Show Host
682179	150680	Barbara Zeiler
682180	153187	Jesus Loves Me
682181	104758	United Kingdom entry (6th pla
682182	13267	Paul's Mother
682183	273103	
682184	63629	Katya
682184	155997	
682184	213158	Yuri's Masseuse
682185	95997	
682185	142338	Marie
682185	179858	
682185	180672	Mother
682185	195040	Lamad
682185	374284	
682185	382834	
682185	383081	
682185	398851	Nadezda Veselá
682185	402368	Nada
682185	404627	Heini's mother
682186	51091	
682187	12937	Czechoslovakian actor
682189	5663	Sylvie
682189	11531	Romy
682189	14581	Daniela
682189	24390	Zoe
682189	26479	Anne
682189	29111	Angel
682189	48139	
682189	48520	Helga Scholz (jung)
682189	53764	Candy
682189	89849	Domenica as adolescent
682189	95424	Sabine
682189	108531	Shirley Maus
682189	134129	Julee
682189	155477	
682189	156731	Anna Richter
682189	166368	Coco
682189	177181	Wiebke Preiss
682189	189812	
682189	193929	Melody
682189	194343	Letzter Partygast
682189	204462	Irene Häussler
682189	290026	Conny
682189	290495	
682189	301236	Willy
682189	306472	Linda Wegner
682189	310495	Wiebke
682189	310904	Lilli
682189	325572	Jo Lohr
682189	327473	Clarissa
682189	341769	Friederike 'Fritzi' Scholz
682189	345676	special appearance
682189	347585	Katja
682189	347783	Judith
682189	376482	
682189	381691	
682190	41418	Kelly
682191	25003	
682192	175292	
682193	136834	Book Girl
682194	42722	Woman Caller
682195	2252	(segment "Poisson Rouge")
682195	13315	Madame Meinau
682195	43001	Nicole
682195	65168	Mme Niozelles
682195	84667	
682195	101581	La propriétaire Villa Pinzuts
682195	111094	Gaby
682195	111096	
682195	132065	The Woman's Friend
682195	133164	Irène
682195	153241	Madame Barthelemy
682195	159198	La conférencière
682195	161445	Françoise
682195	186192	
682195	195157	Margueritte, duchesse d'Orléa
682195	201114	Le psychiatre
682195	217253	La jeune fille déposition
682195	249757	
682195	268418	La cliente du Plaza
682195	268448	Philosophy Teacher
682195	324517	Noëlle
682195	345026	Chantal
682195	345135	Madame Geoffrin
682195	345401	Martinat
682195	346596	Brigitte
682195	357849	La femme de Bruckmann
682195	376964	Sonia Jasmin
682195	404652	Mme Malot
682195	410144	Madame Dorsin
682196	328582	The Vampire (Nita, the dance 
682196	330165	Bit part
682196	331688	Bit Part
682196	367073	Lullaby League
682197	379923	Herself (Eliminated 6th with 
682198	213872	Jane
682199	33453	
682199	313656	Freundin
682200	1999	Evelyn
682200	67590	Wendy
682200	79812	Brenda Hargis
682200	82063	Margaret Fields
682200	96741	Bryan's Mother
682200	112369	Theresa
682200	129832	Social Worker
682200	151365	Mrs. Wyler, Guidance Councilo
682200	175221	
682200	184381	Tippy's Mom
682200	185853	Airport atendant
682200	195329	Ann
682200	224313	Mrs. Hurley
682200	231037	Sally
682200	238238	Gloria
682200	239032	Woman Psychiatrist
682200	261290	Ms. Richards
682200	324422	Prosecutor
682200	359443	Leslie
682200	380715	Joann Bishop
682200	386760	Dr. Pinkley (1989-1990)
682200	392545	Mrs. Murphy
682200	404282	Sharon (1987)
682201	345916	
682202	174987	
682202	244221	
682203	366495	
682204	11251	Maid
682205	81503	Grandma #2
682205	223487	
682206	144687	
682206	331489	Girl Friend
682207	376461	
682208	59314	Frau Niedermeyer
682208	89759	Nursing Officer
682208	95282	Maria Brenner
682208	98320	Verkäuferin
682208	116022	
682208	150568	Alrun Schmidt
682208	204494	
682208	213291	Mutter (segment "Die Goblins 
682208	225210	Meyrink
682208	314811	Mother
682208	325775	Beate Helmstedt
682208	344737	
682208	347789	
682208	352061	Carla Meiser
682208	373565	Empfangsdame
682208	376299	Regine Neumaier
682208	386220	Frl. Kitzing
682208	392077	Alrun Schmidt
682208	395667	Bianca Guther
682209	312410	Pia
682210	35838	Marta Jezierska
682210	179342	Katarzyna's Friend
682211	90813	Cast
682212	23258	
682213	377217	
682214	2733	
682215	327370	
682216	138837	Office Worker
682217	56085	Brunette, a bedmate
682218	67346	Sharon
682219	149930	Heidi Maresch
682219	204462	Staatsanwältin
682219	237951	Kathi Zokan
682219	301496	Frau Dr. Strahl
682219	325842	Frau Vasemeier
682220	279173	Secretary at newspaper
682221	213964	Second Garage Sale
682222	223527	Fischerova-Krausova
682222	223536	
682222	232622	Záturecká
682222	309463	Secretary
682223	105110	Party Guest
682224	240119	Bud i 'Høye Nord'
682225	344650	Sheila
682225	387083	Carolina
682225	396149	Marcela
682226	329628	Herself
682227	15026	Heroine in cinema
682227	36672	
682227	57282	Crossword passenger's wife
682227	59746	Melle Burnand
682227	68661	Jacqueline
682227	68662	Jacqueline
682227	72402	Isabelle
682227	75868	Cygne
682227	111127	
682227	118837	La mère de Fred
682227	134617	La Femme sage
682227	139817	Mme La Juge
682227	205150	
682227	214703	Théa Von Harbou
682227	228155	
682227	284244	Josyane
682227	291575	Mère de Pénélope
682227	300670	
682227	303481	La femme de Maxime
682227	309149	Jacqueline/Anne
682227	346441	Hélène
682227	346515	Hélène
682227	352135	
682227	356362	Madame Delès
682227	372494	Françoise
682227	384628	
682227	386211	
682227	388439	Annie
682227	399082	Micheline Darlant
682227	399811	
682227	402720	Mme François
682227	403643	Marie de Cressay
682227	410149	Denise
682228	223488	
682229	50223	Salmon Girl
682230	178781	
682230	218069	
682231	152791	Neighbours voice
682233	347441	Student 2
682234	14924	
682234	69890	
682234	103892	
682235	14924	
682235	118089	
682235	134924	
682235	248759	Angela
682235	262551	
682235	274639	
682235	384002	Sílvia
682236	93293	Meghan
682237	210269	Director
682238	375093	
682238	392086	
682239	224217	Mom
682240	113928	Rosalie
682241	177781	Frau Obermueller
682242	11782	
682242	170138	Jutta Schäfer
682242	174396	Margot Eberle
682242	182782	
682242	219339	
682242	259498	Verkäuferin
682242	290692	Reporter
682242	312650	Mutter
682242	352171	
682242	352367	
682243	17049	Paula
682243	78216	Anna
682243	95262	
682243	119222	
682243	125169	
682243	125336	
682243	144333	
682243	153730	Mother
682243	178628	
682243	178780	Josepha
682243	180865	Kassiererin
682243	301001	Mutter Becker
682243	301043	
682243	305432	Frau Popp
682243	347616	
682243	367236	Großmutter
682243	379174	Hausfrau
682243	397969	Bumblebee
682243	409613	Kundin
682244	377889	Nõ a vonaton
682245	157926	Choreographer
682246	256983	
682246	378160	Sarolta
682247	79060	Nurse
682248	64659	Swimmer
682249	121337	Tasha
682249	165848	High Priestess
682250	49671	Christel As Child
682250	94426	Karin
682250	121066	
682250	136615	
682250	142199	
682250	165640	Voice of Karl
682250	178596	Frau Laube
682250	204455	Boeckchen
682250	227066	Erika
682250	267329	Gitty
682250	290712	Christa
682250	317570	Elli Hansen
682250	356740	
682250	374549	
682250	374625	Prinzessin
682250	376456	
682250	379372	
682250	387397	Waltraud Fink
682250	397452	Heike Severin
682250	398827	
682250	399387	Frau Engelhardt
682250	412089	Inge
682251	229553	Child
682252	202418	Lina
682253	80461	Space Baby
682254	375349	Herself
682255	33179	Ballet Dancer
682256	29578	
682256	129752	
682256	156922	
682256	179323	
682256	188015	
682256	216610	
682256	239421	Gorokhov's Mother-in-Law
682256	283822	
682256	296993	
682256	356110	
682256	370406	
682257	10912	Martha
682257	12605	Eleanor
682257	30311	Bonnie
682257	115713	Mrs. Chapman
682257	220484	Carrie
682257	238737	Dr. Clark
682257	393606	Mary Brand
682257	394515	
682258	66120	Margot Kemper
682258	130990	
682258	142039	
682258	142049	
682258	182735	Hellen
682258	204464	
682258	272750	
682258	317570	Kirsten Thorwaldsen
682258	325584	Claudia
682258	338431	Thea Wehrle
682258	346903	Inge Gramschek
682258	375529	Elke
682258	380392	Uschi Schmitz
682258	386200	Irene
682258	387736	
682258	387770	Carmen
682258	389120	
682258	390888	Irene
682258	391470	Rita Graf, geb. Tetzlaff
682258	396165	
682258	399661	Various
682258	401996	
682258	404899	Hildegard (1986-1988)
682259	93426	Maria Schumacher
682259	104264	Marie
682259	121001	
682259	121002	
682259	125305	Frau Müller
682259	147147	Brigitte
682259	182865	Käthe
682259	256902	Helga
682259	279676	Dagmar, Anhalterin
682259	282212	Ursula Waltersheim
682259	290474	
682259	308240	
682259	324629	
682259	325791	
682259	343491	
682259	344814	
682259	358221	
682259	365907	Elli
682259	397950	
682259	408242	Madge Gibson
682260	313042	
682261	385824	Sarah Horton (#3) (1982)
682262	1038	Magazine Staffer
682262	30702	Waitress
682262	101033	Woman #2
682263	162993	
682263	383089	Mecha
682264	127325	Jeanine
682264	280115	Agent Margie Wood
682265	218415	Bouh (French version)
682266	204173	
682267	42942	Magdalenka
682268	41319	Natasha D'Natalie
682268	102665	Maria
682269	125282	
682271	22739	Maykata na Velizariy
682271	265149	Borisova, mayka na Evgeni
682271	310475	
682271	311584	Orisnitzata
682271	376228	
682271	410432	Maykata na Stefka
682272	112504	Angie
682273	121786	Ruby
682274	226929	Sasha
682275	173861	
682275	217216	Mania
682275	397122	Eva
682276	157804	
682276	387629	
682277	148483	Dona Maria
682278	164164	Norah
682278	268447	Clémentine Ercourt
682279	164164	
682280	225306	Die Anderen
682280	244679	
682281	1705	Peaches
682281	233856	Isis
682282	256910	
682284	246343	Sosedka Sokolovoj
682285	28503	Zoya (neighbor girl)
682285	77067	
682285	84414	
682285	261317	
682285	295067	
682285	356913	
682285	357347	
682285	371001	
682286	220574	Polo player
682287	245499	Mrs. Lubchuk
682288	13612	
682288	40359	Jutta
682288	48397	Krankenschwester
682288	226413	Anita
682288	234954	
682288	320458	Frau Haberl
682288	326163	Lotte
682288	393878	Gerlinde Roland
682289	335081	
682290	9196	
682291	3197	Margo
682291	19670	Athelie
682291	33566	Laura
682291	43185	Katinka
682291	97990	Juhász Kálmánné
682291	99536	Királylány
682291	108913	Szöllõssy Veronika
682291	126257	
682291	136393	
682291	136595	Leila
682291	163132	
682291	182653	Mrs. Ferenc Albert
682291	182662	Ibi
682291	182873	
682291	190793	Mariska
682291	212308	Maud
682291	235375	Noszty Vilma
682291	322049	Henriette
682291	377760	
682291	378042	Lola
682291	407837	Amália,Eberstein felesége
682292	325995	Doves-Documentary
682293	253799	Libuse
682294	290014	Mutter Pointner
682295	65405	
682295	193483	Marta
682296	14201	Cari
682296	52410	Jacqueline
682296	105792	Betsy
682296	296947	Indy Fargo
682296	388195	Pippa McKenna (1987-1988)
682297	275049	
682298	12094	Eleanor Martin
682299	351178	Girlfriend
682300	3642	Herself
682300	3887	Herself
682300	147980	Herself (Manson follower, und
682301	171729	Tammy
682302	103122	
682302	338933	Liese
682302	374140	
682303	73957	
682303	141577	Landlady
682303	190096	Landlady
682303	213875	Evelyn Culver
682303	235353	Mrs. Cohen
682304	387397	Flo
682305	193302	Bumbawa
682307	43758	La gouvernante des Talbin
682308	395028	Princess Maria Theresa
682309	341197	Tania
682310	9263	
682310	17534	
682310	59977	Neighbour
682310	60534	
682310	63613	
682310	95650	Frosya
682310	136318	
682310	176127	
682310	198000	
682310	198155	
682310	198165	
682310	217454	Pozarenko
682310	219723	
682310	225827	
682310	226693	
682310	229036	
682310	229082	
682310	231142	Muza
682310	238324	
682310	238766	
682310	238843	Sofyushka
682310	241935	
682310	242474	Chess Player
682310	242485	
682310	244657	
682310	268135	
682310	273073	
682310	282770	Rufina Andreyevna
682310	297858	Darka
682310	303802	
682310	318146	
682310	356119	
682310	357481	
682310	371359	
682310	374751	
682310	400500	
682311	93023	Gwynyth McBride
682312	240214	Petra
682313	201112	White girl who acts Black
682314	44334	Herself
682315	201112	Chick #1
682316	115269	Women Coalation Diner Patron
682317	105487	
682318	161446	Stepa
682319	148803	Nováková
682319	161446	Stepa
682319	180040	Herself
682319	229553	Irenka
682319	229556	Susan
682319	230461	Actress
682319	304191	Convict
682319	374624	Brozová
682319	375428	Celbová, girl in black (Zloci
682320	46434	
682321	154615	GS-7
682322	282124	
682323	39283	Decoy Girl
682323	53273	Mercy Humppe
682323	194806	Australian's Wife
682323	257867	Herself
682323	337329	Becky Paxton
682323	345264	Rosie
682323	380750	Jackie Camerovsky
682323	383429	Pearl Gray
682324	44776	Radka
682325	88362	Lili
682325	94513	
682325	163050	
682325	286642	
682326	14702	
682326	55906	
682326	94481	
682326	155177	(segment "Ibrahim do Subúrbio
682326	168139	Das Dores
682326	169291	
682326	196659	
682326	204993	
682326	269273	
682326	353168	
682326	381144	Carmem Coelho
682326	381198	Maria
682326	381523	Vespúcia
682326	383247	Dedé
682326	385025	Carminda
682326	388728	
682326	390751	Semíramis
682326	393615	Dirce
682326	396126	Robertona
682326	397873	
682326	401086	Elizete
682326	401243	Ambrósia
682326	402809	
682326	403733	Maria Igarapé
682326	404960	Jandira
682326	407643	
682326	408727	
682326	411932	Nilda
682327	20625	Extra
682328	279000	
682329	162213	Interviewed
682330	92497	
682330	379831	Karen/Beverly Wood (1990-91)
682330	397211	Mindy DiCaprio (1990)
682331	54669	Elsie, cafe owner
682332	325793	Rikki Pensold
682332	404431	
682333	18993	Waitress
682333	194564	Smiling Nurse
682334	111567	Rio
682335	12163	Herself
682335	167029	Esther
682335	167299	
682335	192509	
682335	285672	
682336	325459	Frau Wagner
682337	387059	Hromada's daughter
682338	93116	
682339	101944	Mama Allegre
682339	278910	Giullietta Volpone
682339	392910	Emma
682340	103805	
682341	372897	
682342	411512	Presenter
682343	226937	Barbecue Daughter
682344	318512	Mme Higgins
682345	45988	
682345	133314	Ilona
682345	137855	Gesa
682345	293252	Dagmar
682345	361447	Monika
682346	311211	
682347	11843	Cleo
682347	14831	
682347	19592	Karin
682347	86101	Dr. Altvater
682347	115649	Cleo
682347	115651	Katti
682347	155737	
682347	156651	Elke Sommer
682347	174758	Marianne
682347	177766	
682347	179738	Baby Kirchbauer
682347	220139	
682347	232659	
682347	252574	Nilla Gruenapfel
682347	286208	Kiki
682347	303154	Herzogin Ludovika
682347	321391	
682347	321799	
682347	346855	
682347	364885	Traudl
682347	365580	Britta Ludwig
682347	390993	
682347	391141	Metzgerin
682347	398083	Waltraud
682348	244197	
682348	244201	Barbara
682349	69777	Kye Tyler
682349	304539	Press Agent
682349	318899	Warrior Captain
682350	225205	
682351	16195	
682351	62438	Jirina
682351	95588	
682351	165074	
682351	166662	Miluska
682351	171545	Aunt
682351	172607	Kveta
682351	195040	Stepmother
682351	213678	Miller's wife
682351	220238	Professor
682351	223487	Die junge Emma/Young Emma
682351	244262	Libuska Málková, secretary
682351	244287	Alzbetka´s Mother
682351	257137	(segment "Rekord")
682351	265233	Romana
682351	282758	Pechackova
682351	284446	Dorota Máchalová
682351	305247	Evicka
682351	305248	
682351	305249	Evicka
682351	312415	Truck driver
682351	322332	
682351	322333	
682351	323293	Vilja's fiancé
682351	352794	Jirina
682351	357297	
682351	380553	Roxana
682351	381196	
682351	389657	
682351	396264	Eine Lehrerin
682352	379232	
682353	82032	
682355	149111	Moeder Overste
682355	149818	Oma
682355	213554	buurvrouw
682355	213562	Directrice reisbureau
682355	231710	Babet
682355	390410	kinderverzorgster (1996)
682355	394479	Keurige dame
682355	410441	Tante Jopie (1995)
682356	137258	Tina Verussi
682357	82856	
682357	113027	Gaby Lenz
682357	259476	
682357	259526	
682357	259545	
682357	259552	Leutnant Rohrberg
682357	259594	
682357	287175	Mariann
682357	410774	Mala
682358	378882	Reporter (2001)
682358	381886	Herself - Reporter (2000)
682358	390195	Herself - Correspondent (2003
682358	405607	Reporter (2000)
682359	189547	Sabine
682360	101961	Schwiegermutter
682360	325918	
682360	325946	
682360	361111	Frau Scholl
682361	226420	Marynia Kirlowa
682361	237984	
682361	357957	
682362	228382	Gullan
682363	104699	Fiona
682363	306278	Snow White
682363	326663	Herself - Presenter
682363	387239	Tenar
682363	387312	Laurel Yeung
682363	405680	Lana Lang
682364	4500	
682365	4500	
682367	84121	Gabby
682368	289400	Edith
682369	51644	Nikki Walker
682370	170349	Herself - Singer
682371	218082	
682372	272796	Girl
682373	10717	Alice's Mother
682373	14298	Marianne Zimmermann
682373	16240	Johanna
682373	18518	Richterin
682373	23987	
682373	34349	Else
682373	58287	Lisa
682373	61982	
682373	65176	Pfarrerin Lena
682373	91010	
682373	102522	
682373	107961	Janine
682373	115990	Julie
682373	120040	Katharina
682373	122313	Caroline
682373	126183	Schwester Margret
682373	131237	
682373	148636	Elisabeth
682373	153757	
682373	156292	Monica/Birgit Haas
682373	156676	Pauline, cashier
682373	164645	Geneviève
682373	172857	
682373	174752	Maria Mayerhöfer
682373	175571	Lisa Peek
682373	177181	
682373	195221	Carla
682373	195537	
682373	202418	Die Frau
682373	204496	Gudrun
682373	228159	
682373	231449	Renate
682373	231455	Babsi
682373	231628	Rita
682373	259556	Emmy Duplat
682373	269095	Lotte
682373	270646	Ingrid
682373	281753	Sylvia
682373	289854	Aloisia
682373	307167	
682373	308835	Berthe
682373	322534	Mutter
682373	325405	Karin
682373	325414	Renate Müller
682373	325810	Sarah
682373	325862	Ingrid Wiegand
682373	338094	
682373	338436	Susanne Kehrer
682373	356746	Erika Zielke
682373	361046	Elsa
682373	366522	Helga Brettschneider
682373	367236	Frau Wagner
682373	376571	Cleo Kneitz
682373	377344	
682373	380057	
682373	383375	Shirley
682373	387161	
682373	387964	Gisela
682373	388468	
682373	391135	Social Worker
682373	392086	
682373	395866	Karin Schulke (episode "Der E
682373	395985	Silvia Lorentz
682373	399734	Schwester Hanna
682373	406321	
682373	409612	Agnes Bechtle
682373	410513	Friederike Meyer
682373	412088	Margit
682374	84570	2.Prostituierte
682375	25660	
682375	72383	
682375	88209	Betuska
682375	88409	
682375	165034	Postman
682375	165038	Visagiste Bozenka
682375	167022	Anicka Gajdosová
682375	172910	Pestová
682375	179882	
682375	182525	
682375	220238	Housekeeper
682375	226464	
682375	229822	Neighbour
682375	280375	Slávka
682375	283018	Rüza
682375	305140	Bozenka
682375	320641	Jaklová
682375	323299	
682375	356092	Gertruda
682375	357255	
682375	357745	Bohous's mother
682375	374237	Eliska
682375	375479	Svitakova
682375	396264	
682376	245906	Grandmother
682376	266425	
682376	270949	Aunt Lolly
682376	356088	
682376	401806	Anna Brunerová
682377	2287	Herself - Presenter
682377	58020	Mary
682377	204355	Herself
682378	196706	Teacher
682379	128838	Susan
682380	5152	Receptionist
682380	10847	Interviewee
682380	26783	Looter #1
682380	38340	Woman in Bandstand
682380	41373	Neighbor
682380	42296	Grandma
682380	66990	Waitress
682380	70927	Contestant #2
682380	78102	Dr. Florence
682380	83989	Con Woman in Saloon
682380	91903	Woman in Car
682380	95078	Airport bystander
682380	105116	Hotel Owner #1
682380	138328	
682380	177660	Sexy Senior Bowler
682380	196281	Woman at Party
682380	213090	Society Lady
682380	214917	Scotty's Mother
682380	267112	Pretty Townswoman #1
682380	280000	Prom Chaperone
682380	282482	Lingerie Store Customer
682380	303860	Woman in Police Station
682380	303861	Hot Dog Lady
682380	330452	Waitress in Truck Stop
682380	333055	Supermarket Cashier
682381	6326	
682381	9162	Roula Antypa
682381	9542	
682381	11974	
682381	15438	Theoni
682381	18905	
682381	82483	Mrs. Amalea
682381	85647	
682381	86258	
682381	100621	
682381	100630	
682381	100633	
682381	104261	Danai
682381	105809	
682381	121087	
682381	136482	
682381	138968	
682381	156414	Loukia
682381	178783	Mrs. Aggelidi
682381	179740	
682381	180455	
682381	181389	Mrs. Papastavrou
682381	192841	
682381	212012	
682381	212560	
682381	217026	
682381	240080	
682381	244239	
682381	244953	
682381	246595	
682381	248640	
682381	253983	
682381	259882	
682381	261220	
682381	263633	
682381	315786	
682381	339347	
682381	350350	
682381	369531	
682381	370045	
682381	371546	
682382	183213	Firey 5
682382	222494	
682382	222495	Additional Muppet Performer
682382	398543	Additional Muppets (1976)
682383	100209	Blonde Woman
682384	308114	Police Officer #2
682385	21285	
682385	75932	Lilly
682385	86400	Franzi Holm
682385	98283	Mrs. Seidel
682385	115200	Adele
682385	119179	Fräulein Zettlund
682385	120062	
682385	120332	
682385	125335	Eva
682385	144153	Lizzie
682385	147167	
682385	155376	Pia Biberger
682385	155418	Vera
682385	157705	
682385	170701	
682385	174174	
682385	175776	Rita Reiner
682385	180955	Mrs. Gustafson
682385	186984	
682385	189693	Resi
682385	189794	
682385	210105	Marga
682385	210143	
682385	226235	Steffi Eidinger
682385	231482	
682385	242842	Hanni
682385	281954	Lisa
682385	294202	Lydia Leer
682385	324628	Baby
682385	334069	Winner "Best Popgroup Nationa
682385	352599	Mady
682385	364998	Liesl Stadler (dancer)
682385	366588	
682385	366590	Reserl
682385	376509	
682386	382787	Cicina cerka
682386	410330	Sanja
682387	410330	Sanja
682388	353991	
682389	20156	Tai Shan
682389	58510	Briana
682389	72465	Beverly Parks
682389	72466	Young French Woman
682389	77019	Beth
682389	78139	Myrka Slovik
682389	80751	Mia
682389	205754	
682389	384085	Ranting Woman
682390	142889	Nurse
682390	281397	Alex
682391	410	
682391	33801	
682392	249336	Parsifal 2
682393	13532	
682394	240429	
682395	214387	Delsy
682396	203492	Opera Chorus
682397	15084	La logeuse
682398	361498	Gaby
682399	119435	Tante Greet
682399	199559	
682399	225641	Carola Schulz
682399	293871	Geliebte des falschen Biederm
682399	314544	Tante Irene
682399	316550	Frau Möbius
682399	339092	Frau Schwebs
682399	361089	Mrs. Glaister
682400	14353	Greta
682400	31354	Maria
682400	43642	Marie-France
682400	72311	
682400	94245	Lola
682400	118178	Irène Pelletier
682400	122840	Jeanine
682400	148771	
682400	168799	Carole
682400	171416	Epoinie Coutouly
682400	202747	Marie
682400	204581	
682400	227317	La cliente perruques
682400	235839	
682400	254851	
682400	265736	Blanche
682400	269146	Herself
682400	289857	Florence Lalande
682400	322768	Delphine
682400	340304	Sylvie
682400	345132	L'hôtesse
682400	346824	Véronique
682400	356969	
682400	377827	Fanette
682400	380859	Caroline
682400	381614	Arlette
682400	384319	Helena Berwitz
682400	384387	Chantal Habicht
682400	388609	Florence Leblanc
682400	398966	
682400	407440	Madame Defarge
682400	409528	Karina
682400	410211	Caty
682401	186151	Helen Olsen
682402	188815	
682403	50444	Extra
682404	400566	Harmonie
682405	65683	
682406	80782	Restaurant Extra
682407	234068	Barmaid
682408	55587	Airline Clerk
682408	130098	Mrs. Feeney
682408	197706	Waitress
682408	231798	Mrs. Manicotti
682408	252844	Librarian
682409	264157	Parade Spectator
682410	214971	Sami
682411	1826	Heimleiterin/Head of Asylum
682411	11814	Frau von Elmau
682411	35598	Mother in Hospital
682411	53220	Dr. Erdmann
682411	93399	Seine Mutter (His Mother)
682411	144174	Susanne Winter
682411	178584	Secretary
682411	184274	Gesundheitsbeamtin
682411	211489	Apothekerin
682411	239152	Janoschs Mutter
682411	325789	Frau Frombach
682411	325815	Gabriele Lottmann
682411	376403	Beate Wünsche
682412	33427	
682412	65121	
682412	100977	The Wife
682412	304309	Bertha, A Widow, later Rawden
682412	306207	A Young Woman
682412	338314	The Trapper's Daughter
682413	68736	Tatjana Baronova
682413	80791	Shama
682413	213865	Valerie
682414	357943	Nyolcadikos
682415	225124	
682416	325402	
682417	176710	Kandy Kane
682417	273556	
682417	308010	
682418	245233	Studio Reporter
682419	140993	Murphy
682420	533	
682420	12704	Heimleiterin
682420	12849	Silke Frank
682420	17040	Social Worker
682420	23890	Richterin
682420	24047	Resch
682420	42691	Bodos Mutter
682420	47244	Sigrid
682420	49312	Madeleine Gartlach
682420	51404	
682420	67942	
682420	84584	
682420	94674	Hannelore
682420	98259	Roberta
682420	99184	Gisela
682420	102544	Ulrike
682420	115455	Rita
682420	122587	
682420	125293	Eva
682420	134841	Pauler's Sister
682420	137969	Christa Rohloff
682420	144025	Agnes Prochaska
682420	156655	
682420	171418	Ilse Freude
682420	176772	Susanne
682420	179784	Ellen Lucas
682420	179786	Ellen Lukas
682420	189793	Inga
682420	189828	Melanie
682420	191417	Lisa Falk
682420	208198	
682420	208203	Friederike Möll
682420	218977	Margareta Wagner
682420	225202	Ingrid
682420	225239	Helga
682420	225304	Paula Armbrust
682420	225648	
682420	229391	Irene
682420	248394	Hure (Hooker)
682420	256536	Mutter
682420	259462	Isadora
682420	259574	Eva Berner
682420	275161	Irene Weber
682420	281747	Isobel Armstrong
682420	290140	Laser's Mutter/Laser's Mother
682420	290282	Sabine
682420	290499	Anna Liebig
682420	290734	Marie
682420	293877	Gundula
682420	308257	
682420	308259	Frau Leidig
682420	325391	Amelie Kurz
682420	325437	Constanze
682420	325658	
682420	325924	Elisabeth Mahlmann
682420	336507	Marianne
682420	338429	Helen Bräuer
682420	345928	Barbara
682420	352659	Anna Leschek
682420	358217	Claudia
682420	360972	Wibke Bruhns
682420	361448	Martina
682420	361508	Christine
682420	376288	Sibylle Quirini
682420	378172	Susanne Möders
682420	379082	
682420	389735	Helga
682420	395701	Lisa Falk, Rechtanwältin
682420	398905	Doris Lohrbach
682420	399161	Susanne Fuchs
682421	381821	Ensemble (1983)
682422	30131	
682423	371320	1st kid at the rink
682424	371320	2nd kid at the rink
682425	149911	Gloria Lebow (Dr. Bock's Secr
682425	230151	Max's Secretary
682426	15254	Parveneh Limbert
682426	23569	Placidia
682426	27952	Patsy Cline
682426	30056	Tully Sorenson
682426	52686	Elizabeth Plummer
682426	59470	Sybil Gordon
682426	68447	Isabelle Morton
682426	81038	Snubby Eaton
682426	81785	Annalise Jurgenson
682426	84955	Alessandra Locatelli
682426	87633	Rosemary
682426	90792	Alice Stillman
682426	91651	Pamela Sparrow
682426	95874	Joan Collins
682426	127204	Eva Galli/Alma Mobley
682426	136271	Herself (actress)
682426	136970	Clarissa Symes
682426	140154	Mary Godwin
682426	144593	Dee
682426	158142	Sarah Gold
682426	158983	Rebecca Daly
682426	160668	Lisa Benjamenta
682426	164481	Joan Anatole
682426	169135	Rachel
682426	169947	Jean Syfert
682426	177294	Bathsheba
682426	183874	May Packard
682426	192346	Freda Sackville-Bagg
682426	208301	Helen Weiss
682426	217465	Mother Marianne Cope
682426	224729	Maria Gurdin
682426	275055	Karen Abercromby
682426	291705	Wife
682426	292219	Gwen
682426	293126	Beth Goodwin
682426	296791	Margie Henderson
682426	297710	La Marquesa
682426	304854	Mary Brady
682426	311132	Isabelle
682426	313406	The Borg Queen
682426	313419	Borg Queen
682426	313439	The Borg aka The Borg Queen
682426	319713	Mirella Cenci
682426	323771	Lucie Manette
682426	342500	Zephyr Eccles
682426	344548	
682426	349968	Monique
682426	358744	Baroness Lisl Kemeny
682426	384085	Lady Jessica Atreides
682426	384483	Louise
682426	386394	Rosemary Waldo
682426	386966	Jessie Benton Fremont
682426	387490	Bridget O'Donnell
682426	404404	Madame de Renal
682426	406695	Olga
682427	47176	Ella
682427	142788	Ida
682427	150660	Maja Olsson
682427	182286	Greta
682427	185810	Magda Mattsson
682427	307533	Lotten Solberg
682427	307763	Hjördis Bergström, Fillebom's
682428	10209	Rikke's mother
682428	24744	
682428	28555	Siri
682428	48199	Liv Bredesen
682428	116986	Hildegunn
682428	173810	The secretary
682428	184922	Lill
682428	215349	Cafe Guest
682428	228708	Ingrid
682428	248173	Nåla
682428	314364	Woman
682428	321912	
682428	378336	Serveringsdame
682428	382895	Air Hostess
682428	400008	Bente Bjerke (1999-2000)
682428	406742	Harriet Bosse
682428	410019	
682430	134622	
682431	11464	Receptioniste
682431	102479	Lieveheersbeestje
682431	214743	Roddeltante
682431	277759	Medeleerling
682431	395661	Linda
682431	395666	Linda Tasman
682431	411899	Ingrid
682432	149111	Soeur Petronella
682433	65720	Colleague
682434	93612	Pam
682435	337814	Waitress (Diner)
682436	220691	
682437	91063	Herself
682437	91064	Herself
682437	170224	Herself
682437	170225	Herself
682437	170230	Herself
682438	175393	
682438	272219	
682439	157676	
682440	177189	
682441	119220	
682441	134777	
682441	134978	
682442	57867	
682442	149959	
682442	161768	Vieja sirvienta
682442	169764	
682442	183513	
682442	251578	
682442	255038	Old woman
682442	332674	
682443	198931	Herself
682444	198931	Herself
682445	13916	Herself
682445	99302	Herself
682445	210893	Herself
682446	309764	
682447	70771	
682447	85601	
682447	131092	
682447	236293	
682447	294383	
682448	230003	
682449	71487	The little girl with blond ha
682450	71487	The little girl with dark hai
682451	89149	Neighbor
682451	314106	Bride
682452	296047	Seka
682453	140843	Woman Walking Dog
682454	81768	Jackie
682455	41198	Cop #3
682456	340992	Station Wagon Family
682457	218180	Model #7
682458	90085	Donna Elvira
682459	168860	Theresa Blach
682460	93731	Girl at the beach
682461	15203	
682461	49465	
682461	76484	
682461	87123	
682461	88458	
682461	156942	
682461	212294	Todoska
682461	215110	
682461	224390	
682461	238320	
682461	283829	Zhenshchina iz Zhmerkisi
682461	312992	
682461	320490	
682461	357227	Muzhepodobnaya
682461	373443	Pronya
682461	374789	
682462	18536	Ariane Curtius
682463	409609	
682464	189404	Woman with Dog
682465	209527	Sarah
682465	291014	
682466	253514	Performer
682467	682	The Voice & The Prom Date
682467	50690	Becky
682467	130348	Older Girl
682467	313419	Townsperson
682468	387312	Shelby
682468	411126	Taylor
682469	119484	Gail, Mark's Mom
682470	87699	Marie McIntyre
682470	194969	Emily
682470	383996	Host
682470	389630	Vesna Kapek
682470	391869	Frankie Brooks (1994)
682470	406144	Josie
682471	33066	VP, Marketing
682472	218733	Bar Dancer
682473	307257	Vera Liebknecht
682474	243934	Aboriginal Woman
682475	380430	
682476	321920	Candy
682477	377795	Giannetta
682478	10319	Sophia
682479	410513	Sophia
682480	32660	Madison Sedgewick
682480	121794	Christina
682480	165428	Jane (Young)
682480	405984	(Vice-President, USC)
682481	156360	Pavarthi
682482	147980	Poor Beggar Girl/Voice Over's
682482	262820	University Friend
682482	313476	Barriss Offee
682482	313477	Barriss Offee
682482	399073	Prymite Spidera (2005 -)
682483	218341	Tuppa Girl
682484	172920	Rasa Devi's Courtesan
682485	136089	Shanti Gupta
682486	205408	
682487	6237	
682487	11755	
682487	11759	Poet's Sister
682487	11994	Pappi
682487	14543	Ammoru
682487	17375	Special appearance in song "C
682487	17645	
682487	21391	Devanarayan's Girlfriend
682487	25537	Ramya
682487	25995	
682487	27415	Neha
682487	28289	
682487	28892	Madhu
682487	48202	
682487	48748	Ramya
682487	54569	
682487	58362	Reshma Narang
682487	58582	
682487	62225	
682487	73329	
682487	79956	Dancer on the boat
682487	85204	Goddess Kanakadurga
682487	98459	Gauri
682487	131925	
682487	142545	Mangatayaru
682487	155577	Santhi
682487	170425	
682487	171748	
682487	172476	Special Appearance (song)
682487	173545	
682487	175911	Ballu's Mistress
682487	180559	Sasi
682487	221797	
682487	246314	Nilambari
682487	247403	Maggie
682487	248639	Tara
682487	267661	Rich man's wife
682487	320372	
682487	332777	
682487	349437	
682487	358381	
682488	207036	Krishna's Mother
682488	215374	Queen
682489	8410	Nittilai's Aunt
682489	256655	
682489	286797	
682490	280187	Malati
682491	105216	Alia
682492	71479	Stylist
682493	58403	
682494	25571	Mira
682494	85352	
682494	101521	
682494	127055	
682494	186520	
682494	220286	
682494	229302	
682494	284728	Bhuvana
682494	371821	Jyoti
682495	15895	
682495	36240	
682495	45809	
682495	77035	
682495	166520	
682495	171896	Devayani
682495	199261	
682495	200682	
682495	202474	Annapoorna
682495	203805	Shobha
682495	217195	
682498	308860	
682499	194023	Woman on street
682500	273783	Beautiful Twin
682501	270631	Herself
682501	273783	Beautiful Twin
682502	13941	Vera
682502	150080	Allison Baxter
682502	317339	Elaine's Friend
682503	101070	Reporter #1
682503	117136	Amish woman
682503	117600	Marianne McAllister
682504	20042	Herself (acrobat)
682505	10052	
682505	230926	Reinaldo
682505	302184	
682505	401507	
682505	406000	
682506	7062	
682506	37168	
682506	41616	
682506	50560	
682506	106310	
682506	113642	
682506	216178	
682506	228679	
682506	245782	
682506	245783	
682506	296699	
682506	312709	
682506	329145	
682506	386616	
682508	44034	Beat-up Woman
682508	105852	Stripper #2
682508	347242	Female Sentry
682509	225969	Miss of the castle
682510	308482	
682511	220497	
682512	304443	Shoplifter
682513	16962	
682513	19041	
682513	174794	
682513	181673	
682513	242312	
682513	303155	
682513	328882	
682515	10760	Alice Carol
682515	15185	Alma
682515	20831	Julie
682515	29296	Wife
682515	32241	Sylvia
682515	32354	Hannie Troost
682515	36760	Michelle
682515	56085	Maddalena
682515	57665	
682515	58409	Kristelle
682515	69137	Isabelle
682515	81862	
682515	92689	Vanessa
682515	99978	Emmanuelle
682515	104407	
682515	112214	Maria Theresa
682515	112917	Patron
682515	118863	
682515	124424	Miep Visser
682515	131695	Emmanuelle
682515	139107	Herself
682515	139663	Miss Pinky
682515	150009	Sylvia
682515	158429	Angel
682515	167158	Diana Van Den Berg
682515	183601	Lady Constance Chatterley
682515	188645	The Girl
682515	189797	Andrea
682515	190663	Jeanne
682515	205437	Diana
682515	207584	Mata Hari
682515	214087	Brett Devereaux
682515	224533	Dany Kielland
682515	226068	Lilly Marischka
682515	236328	Agent 34
682515	250422	Miep Algera
682515	264719	Nicole Mallow
682515	264825	Ms. Regina Copoletta
682515	274118	Sofia
682515	275825	Krista
682515	294462	
682515	296096	Nicole
682515	296334	La sexologue
682515	306908	
682515	321791	Herself
682515	345329	Avril
682515	345672	
682515	346536	Mathilde Leroy
682515	352202	Chiquita (on stage)
682515	357356	Sylvia
682515	381091	Herself (eliminated round 1) 
682515	387830	Herself
682515	398729	Herself
682515	400217	Trix Odijk (1996)
682516	7213	Nancy McDowell
682516	301717	
682516	320759	Mrs. McGinty
682516	340990	Mrs. Hugill
682516	366162	Molly Farmer
682516	383631	Norma Sullivan: Receptionist 
682516	385714	Dorothy Havergal
682516	386581	Rachel
682516	390362	Mrs. Wickett
682516	390948	Miss Meikeljohn
682516	394508	Mrs. Veitch
682516	401649	Agnes Buchan
682516	406954	
682516	411228	Molly Farmer
682517	1348	Herself
682517	84002	Party Guest
682517	183698	Wynona
682517	208094	Liz
682517	262590	Mary Lou
682517	297222	Helen
682517	301398	Mrs. Coyne
682517	333602	
682517	355907	Susan
682517	364692	Waitress
682517	380391	Madeline Thompson (1995)
682517	396123	Norma Gilpin (1990-1991)
682517	400236	Georgina Whitman (#1) (1982)/
682517	404002	Delia Reid Ryan Ryan Colderid
682518	29690	Marie
682518	38268	Nurse in Lafferty
682518	39692	Russian woman
682518	86300	
682518	98803	
682518	195446	Commissare Woman
682518	244397	Housekeeper
682518	265775	Maid
682518	372551	Helga's Mother
682519	389858	Mrs. Porchenko (1984)
682520	119287	
682521	3754	Herself
682521	31055	Lux
682521	31643	Lorelei
682521	33794	Marilyn Beckett
682521	108836	Judy Robinson
682521	139765	Martha Troyer
682521	194849	Reporter #1
682521	194850	Judy Robinson
682521	241018	Humanity
682521	288955	Lisbeth Searcy
682521	316159	Mona
682521	328262	Lee Phillips
682521	396011	Judy Robinson
682522	357855	
682523	268558	
682524	234826	Nonne/Nun
682526	71607	
682526	293095	Herself
682526	383546	
682526	388749	Herself
682526	398070	Caryl Kellogg
682526	404086	
682527	218895	Herself - Sygeplejerske
682528	16201	Anden's kæreste
682528	22844	Extras
682528	140630	
682528	173121	Lea
682528	381240	Various roles (2001-2002)
682528	388533	Various roles, 1999-2001
682528	397960	Various sketches
682528	410226	Various roles
682529	28175	Herself
682529	78264	Herself - Presenter
682529	84286	Herself
682529	351368	Herself
682530	371059	SAS Attendant
682531	389863	Hostess (2001-2002)
682532	364025	Danish School Girl
682533	341855	Tikka
682534	2191	Herself
682535	37781	Melissa
682537	28041	Merete
682538	124795	Ukranian
682539	259354	Renate
682540	77403	Kassörskan
682541	1251	
682541	70160	
682543	3993	Steffi
682543	161938	Vedee
682543	175479	Prostitute
682544	187631	
682545	333006	Herself - Mother to Isabella
682546	398161	Freya Blankson
682546	398163	Herself
682546	408769	Nora Ringness
682547	145589	Herself - Former resident at 
682548	145589	Herself - Former resident at 
682549	30582	Felons Cheerleader
682550	59726	Tine
682551	339649	Sarah
682552	339649	Sarah
682553	89811	
682554	36910	
682554	206072	
682554	391803	Herself - Daniel's Girlfriend
682554	407815	Herself (Single) (2003)
682555	224108	Carmen
682556	749	Une femme du quartier
682556	68192	
682556	73770	Secretary
682556	264743	
682556	264845	
682556	300660	Danseuse
682556	321208	
682556	326865	
682558	29069	
682558	89207	Street Kid (herself)
682558	405984	(Co-Historian, USC)
682559	155996	
682560	237421	Silja unnusta Axels
682561	104779	Icelandic vote presenter
682562	16203	Servitricen
682562	393859	Madammen
682563	310974	An English Child
682564	137097	Haraldur's daughter
682565	870	Lesbian at Bar
682566	46905	
682566	178582	Die Ausländerin
682567	12707	
682567	378424	
682568	101459	
682569	35107	Ingrid Halstrom
682569	190383	
682569	294814	Une ministre
682569	338003	
682569	355863	
682570	75360	Heidi
682570	291266	Lauren
682571	347005	
682572	304413	
682573	17996	FBI Receptionist
682573	232067	Arty Lady
682573	257111	Cheryl Shuler
682573	340502	Tammy Regis
682574	104639	Herself
682575	43107	
682576	338638	Hooker
682577	190811	Gummikvinnan
682577	246291	Bergère du Rocher
682577	264638	
682577	372457	Romana
682578	256976	Cheap Female Customer
682579	372882	Bank Teller
682579	399350	Herself (eliminated round 4)
682580	99548	
682581	180187	
682582	147234	Nádaská
682583	98027	Ibike
682583	98793	
682583	155796	
682583	334015	
682584	162974	
682585	111475	Kaja
682585	314759	Yrsa
682586	12487	
682586	197798	
682586	200431	
682586	264911	
682586	339911	
682586	343744	Klari
682587	395706	
682587	407738	
682588	100557	
682588	148000	
682588	173496	
682588	212594	
682589	11661	Louann
682590	11890	Rita
682590	41695	Tina
682590	203449	Sheila
682590	297922	Junkie
682591	365452	Charise Richards
682592	406626	Extra
682593	394750	
682594	264974	Lena/Vika
682595	43010	
682596	9473	Neli
682596	97565	
682596	132569	Vili
682596	150540	Tinka
682596	164067	
682596	229059	Ani
682596	237039	Mariela
682596	258693	D-r Asya Petrova
682596	273058	Aktrisata Mariya
682596	281077	Zhana
682596	286716	Ancheto
682596	373973	
682596	409734	Mariya
682597	374769	
682598	315175	Lilly Maass
682599	259625	Lissi Eisermann
682600	180762	Juffrouw Ram/miss Ram
682600	196771	Mevrouw Stanton/Mrs. Stanton
682600	229284	Juliana van Stolberg/Louise d
682600	242328	
682600	360916	Moeder van de doker/Doctor´s 
682600	375123	Gravin de Montjoie/Countess d
682601	321678	Courtroom Extra
682602	80050	Ms. Ginny Stroud, high school
682602	85105	Eva
682602	304443	Questions Happiness
682602	310252	
682602	358476	Herself
682603	383072	Charlotte von Brabent
682604	57665	Herself - Contributor
682605	144208	
682606	381821	Ensemble (1968-1970)
682607	132441	Wendy
682607	363576	Mira
682608	51104	
682609	64350	
682610	326045	Lena
682611	406316	
682612	180686	Rozicka
682613	229186	
682614	149865	
682615	34582	
682616	140371	Rose (pregnant woman)
682616	263983	Lady #1
682617	59726	Skuespiller
682618	166443	Secretary
682618	276332	Sylva
682618	311898	Dívka
682618	367327	
682618	378522	Alzbeta Nedbalova
682619	37024	Dottie - age 12
682619	63176	Zady Spencer
682619	80508	Emily Percy
682619	315076	Mary Wester
682619	384178	Zady Spencer
682620	131988	Suzie Cream Puff
682621	220780	Mandy
682622	213950	Udder Lady in Restaurant
682623	193138	Juanita
682623	293771	Rollergirl's Mom
682623	360436	'70's Flight Attendant
682624	70415	Hotel Clerk
682625	5482	
682625	6604	
682625	6914	
682625	48027	Marion Thorne, Gerald's Siste
682625	59095	
682625	64061	
682625	64727	
682625	66188	
682625	71640	
682625	72275	
682625	100217	The Italian Girl
682625	113787	Violet
682625	143017	Aurora
682625	145788	
682625	145944	
682625	149851	
682625	151516	
682625	159938	
682625	184050	The Laird's Daughter
682625	185177	
682625	202873	
682625	208150	
682625	218475	
682625	235923	
682625	246597	
682625	256416	
682625	282600	Lady Felson
682625	316449	
682625	317899	
682625	318672	
682625	343073	Marienne, an outcast
682625	346070	
682625	346865	
682625	355522	
682625	362648	
682626	222700	Manager
682627	118244	(segment "Ashley")
682628	364577	
682630	82837	Valerie
682630	91903	Pedestrian #2
682630	109439	Hooker
682630	141639	Monet
682630	230116	Nurse #1
682630	274258	Terry Binder
682631	69928	Denise
682632	75033	
682632	326727	
682633	203960	
682634	125635	Concubine
682635	185000	Nuori Hietsussa
682637	64634	Forsømt provinsfrue
682637	76757	Lillian
682638	72553	Marianne
682638	104746	Norwegian entry (17th place)
682638	104760	Norwegian entry (1st place)
682638	104766	Norwegian entry (17th place)
682638	147240	Norwegian entry
682638	275199	Sonja
682639	172517	Gunnlaug, Guttorms søster
682640	181071	Herself - Tidligere folketing
682641	94998	Helene
682641	120357	Elsa
682641	121028	2. vipstjært
682641	153401	Maria
682641	166598	
682641	236253	Musse
682641	306021	Hedvig
682641	311175	
682642	173088	Vaskekone
682642	285877	Gudrun Bergheim
682642	388761	Siri Åsland
682643	78479	Herself - Member of jury
682643	398117	Herself - Host
682644	225687	Lina
682645	53220	Sekretärin
682646	6512	Sidsel
682646	119463	Female Cop
682646	234512	Taxisjåfør
682646	242692	
682646	382558	Aase (1996-1997)
682646	390138	Deltager
682646	391365	
682646	401127	Sandra Salamander
682646	404890	Sandra Salamander
682647	6163	Girl in lift
682647	385904	Herself - Host (2003-2004)
682648	196830	Jenta
682649	154048	
682650	18344	Ilie
682650	40424	
682650	98135	Annegret Wöhlers
682650	125027	
682650	157704	
682650	170380	
682650	194461	
682650	225268	Vera
682650	225287	
682650	227550	
682650	259533	Susi Brehm
682650	264330	Constance
682650	290628	Gerda Schneider
682650	356737	
682650	364950	
682650	377360	
682650	377363	
682650	395372	Christine Steiner
682650	398827	
682650	406269	
682650	409609	Therese Sommer (1992)
682651	1813	2. Modell
682651	48324	Ingegerd B. Holm
682651	54338	
682651	84303	
682651	94274	Don Juans veninne
682651	96441	Vera
682651	97411	Fransk hybelver.
682651	143730	Fru Jacobsen
682651	150643	Morgans mor
682651	153350	Ottars mor
682651	159637	Moren
682651	173147	Voice
682651	192492	Diddi
682651	200451	Mr. Krüger's Lady Friend
682651	214347	Gæst på hotel I Norge
682651	225340	Sangerinne
682651	307244	Othilie
682651	326048	Dame med puddel
682651	344292	
682651	379595	Mme Wolochinska
682651	382895	Miss Moss
682651	389138	Fru Bentzen
682651	392072	Astrid Anker-Hansen
682652	337130	Dead Girl
682653	166406	
682654	18900	Ile's Mother
682654	144056	Maria Karpio
682654	156540	
682654	187055	Leena
682654	236718	Jaana
682654	246916	
682654	247008	Maria Krohn
682654	268329	
682654	283591	Olga Lönnbohm
682654	301816	Silja Salmelus
682654	341786	Night nurse
682654	341888	
682654	343397	Eila
682654	343467	
682654	349408	Sirkku
682654	354258	
682654	354260	Mrs. Saxen, doctor's wife
682654	400857	Saima Hirvimaa
682654	409264	Linda-Maria Meriluoto
682654	409931	Elisabeth Järnefelt
682655	174787	
682656	294804	Female Promo Voice
682657	324673	
682658	79409	
682659	57929	ABA Student
682660	130696	Tante Elka
682661	215107	Chaa-Dvoire (Shaindel's mothe
682662	17606	Anna
682662	62280	Prospective Bride
682662	137456	The Bionic Woman
682662	141815	Rabid Fan
682662	163601	Mary
682662	243236	Sarah Davies
682663	291722	Narrator
682664	372039	Horny Twin #2
682665	372039	Horny Twin #1
682666	94186	
682667	258801	
682667	261232	Marija ... apotekarka
682667	305188	Ida Markovna (I)
682669	364300	Herself
682670	205655	Tina
682671	101126	Märit
682672	340029	Sarah
682673	56545	Herself
682674	56304	Slapping Woman
682675	394585	Kasia Lubicz (1999-)
682676	136038	
682677	162700	Mrs. Thomopoulos
682678	31281	Clare
682679	92675	Twins of Evil
682680	134613	
682681	137449	Baby Quinn
682682	223776	Mr. Wolinski Woman
682683	347039	
682684	225688	Martin's datter
682684	255670	Sofie
682685	76728	Tine
682686	17668	Franziska Goldberg
682686	281721	Pandora Hammond
682687	97540	Herself
682688	238252	Jennifer
682688	256188	Pink Chiquita
682689	104633	Herself
682690	311632	Old Woman
682691	19058	Ulla Alglöv
682692	161415	
682692	247565	
682692	266917	
682692	323591	Transit Authority secretary
682693	334621	
682694	380453	
682695	126567	Fe
682696	56924	
682697	183672	Emma Lyons Mutter
682698	64262	Zanelliová (Cintamani)
682699	84315	Girl at Li's work
682699	115424	
682699	116294	
682699	120315	Anita
682699	198277	Annicka
682699	237276	Lilian
682699	347016	Saleswoman
682699	408933	Ella
682700	120315	Katja
682701	43197	Zina Ivanova
682701	139690	French teacher
682701	286216	
682701	357645	
682702	228313	Shopper in Reading Terminal
682703	70418	
682703	384043	Louise (1959-1973)
682703	399368	Pic
682703	408056	Herself/panelist (1971)
682704	204473	Aunt 1
682705	134986	Jeanine
682706	278259	Cocoa Beach Girl
682707	115062	Vultan's Daughter
682708	333428	Herself
682709	78510	
682709	153381	
682709	239168	
682710	281911	Helen Barr
682711	313160	Herself
682712	54852	
682712	111848	Berta
682712	122378	
682712	175074	
682712	186604	Beata Paltyova
682712	229183	Bettina
682712	230440	Zlatka
682713	122316	Margareta
682714	182604	
682715	364996	Herself
682716	364996	Herself
682717	200315	Mysterious Old Lady
682718	219555	Dottie
682718	297222	Millie
682719	4835	Maischa
682719	8859	Martina
682719	10111	Dani
682719	98368	Mascha
682719	120056	Olga
682719	120158	Kathrin
682719	122254	
682719	123961	Tanja Bergmann
682719	125218	Vanessa
682719	150608	Reader
682719	155434	Natascha
682719	184006	Vesna
682719	231623	Moni
682719	259647	Ricky Doermer
682719	290137	Teresa
682719	290169	Rita
682719	322620	Nathalie Pohl
682719	322621	Nathalie Pohl
682719	322622	Nathalie Pohl
682719	322623	Nathalie Pohl
682719	329931	Regine Meier
682719	353379	Anka
682719	375962	
682719	409258	Nina Wolf
682720	261117	
682721	53798	Boss' Wife
682722	42643	Herself
682722	46646	Herself
682722	58170	What a Jerk Girl
682722	84296	Herself
682722	93903	Herself
682722	119454	Herself
682722	119455	Herself
682722	119456	Herself
682722	119457	Herself
682722	119458	Herself
682722	119459	Herself
682722	133309	Herself
682722	179965	Herself
682722	179972	Herself
682722	179973	Herself
682722	179976	Herself
682722	179977	Herself
682722	181156	Herself
682722	181159	Herself
682722	181160	Herself
682722	181163	Herself
682722	206828	Herself
682722	206842	Herself
682722	211228	Herself
682722	234149	Herself
682722	280009	Herself
682722	315384	Herself
682722	333016	Herself
682722	333107	Herself
682722	376107	Herself (from "TV2 Nyhederne"
682722	376108	Herself
682722	377414	Herself
682722	377415	Herself
682722	378733	Herself
682722	382885	Herself
682723	386529	Herself
682724	234942	Lena Bostroem
682725	120170	
682727	14738	
682727	25204	Hilkka Palo
682727	104545	
682727	115399	Lizzy Willman
682727	144339	Verotshka
682727	162308	Ruut Svanberg
682727	174740	Sonja
682727	182504	Woman on the beach
682727	206142	Irmeli Majuri
682727	214838	Virva
682727	219451	
682727	239914	Helvi Heinonen
682727	242257	Margit Helleheimo
682727	260623	Jutta Laakso
682728	154502	Tourist
682728	293314	Dalén's secretary
682728	354691	Teacher
682728	393273	Elsa Grankvist
682729	397397	Herself
682730	199639	Female Cop
682731	395586	Host (spin-off-season)
682732	166753	Mary, Axel's housewife
682733	181166	Robert's Wife
682734	6171	Ms. Nyfröjd
682734	6212	Astrid Samuelsson
682734	29560	Berta
682734	34546	
682734	40919	Mother
682734	48258	Grandma
682734	48368	Sofia Långsjö
682734	48373	Mary
682734	84284	
682734	94254	Mrs. Alm
682734	94261	
682734	95290	The analyst
682734	96422	Alice
682734	116297	Hildegard
682734	120356	Marie Dorotea Nilsen
682734	120850	Mrs. Warren
682734	121010	Governess
682734	121016	Miss
682734	126307	Gertrude Stein
682734	128080	Frosine
682734	128953	Meg
682734	130070	Blenda Bergman, Henrik's aunt
682734	132182	Ingrid Seth
682734	138180	Woman
682734	138182	Miss Knott
682734	142761	The wife
682734	148822	Marielle
682734	158624	
682734	164763	Bus Driver
682734	171574	Magdelone
682734	171637	Gertrude Germann
682734	174049	Karin's sister
682734	174118	Miss Bock
682734	180938	Sickan
682734	182264	Tant Klara
682734	182816	Ljubov Andrejevna Ravneskaja
682734	187633	Mlle. Pluche
682734	191558	Mrs. Nilsson
682734	200402	Ingvar's Mother
682734	202778	
682734	209386	Medea
682734	214690	The Mother
682734	215267	Arsinoé
682734	218084	Prosecutor
682734	219437	Mother
682734	220765	Miss Prisim
682734	232764	Nina
682734	237265	Dr. Larsson
682734	238091	Carlotta O'Neill
682734	241982	Marja
682734	250696	Majken
682734	253440	The Doctor
682734	268351	Taisija Nikolajevna
682734	278346	Bordellkonsulten
682734	286103	Sigurlina Jonsdottir
682734	295901	The mother
682734	304218	Mrs. Angelica
682734	304424	Old Woman
682734	305306	Judge's daughter
682734	305895	Gun
682734	307506	Melanja
682734	307737	Lidija Vasiljevna
682734	309064	Gösta Bohman
682734	315549	Augusta
682734	317609	Inés
682734	320606	
682734	320629	Canteen Svea
682734	320955	Marta Boman
682734	322438	
682734	333564	
682734	335901	Suzy Courtois
682734	338357	Amélie Ducotel
682734	338678	
682734	341094	Nurse Ann Wahlman
682734	349576	Harmoni Blåvinge
682734	350396	Ellen
682734	354414	Gina Ekdal, his wife
682734	355642	Margit
682734	357775	Stina, maid
682734	377329	Polly Grey
682734	377443	
682734	382452	Franskan
682734	387896	Hostess (1967)
682734	390792	
682734	390854	Majorskan/Margareta Celsing (
682734	394982	Older Dagmar
682734	403408	The Actress (segment 3)
682734	408441	Herself (1997-2000)
682735	104773	Finnish entry (15th place)
682735	346209	Bella (Isabella)
682737	281649	Client
682738	154040	Sara
682739	303094	Princess Helen Darling
682740	270008	Blonde
682741	57064	Newscaster
682741	113306	Anchorwoman
682741	190230	Strike News Anchor
682741	208415	Newscaster
682741	304529	Reporter
682741	355343	
682741	369486	News Reporter
682741	378682	Newscaster
682742	97438	Barthel's little sister
682743	290029	
682744	211726	
682745	849	Penny
682745	315647	Lyndall
682746	14448	Mojca
682746	277430	Suzy
682746	304454	Lepoticka
682746	408705	Barbi
682747	167043	Frieda Dewstuff
682748	277038	Liz
682749	410494	Dina Mansonno
682750	89592	
682751	378380	Yasmín
682752	232469	Mary's mother
682753	82714	Teresa
682753	257296	Friend at Leo's Party
682753	309546	Cool Blond
682753	399947	Lindy Maddock (2002-present) 
682754	390709	Cricket
682755	152445	
682756	176901	Liz
682758	302479	
682758	361427	Eine Chefin
682760	204755	
682761	180040	
682762	278645	Herself/interviewee
682762	382123	Herself
682762	408152	
682763	53301	Interviewee
682764	180079	
682765	24382	Ilse Krake
682765	26407	
682765	35053	
682765	39480	
682765	42620	Sabine (Binerl) Bockerer
682765	42622	Sabine (Binerl) Bockerer
682765	134641	
682765	147176	
682765	172065	
682765	178663	Franziska Berger
682765	180080	
682765	189682	Zenzi
682765	189879	Maria Tribusser
682765	196332	Wally Katzinger
682765	204513	Hanna
682765	225676	Nina Mironow
682765	273682	Klara
682765	325738	Frau Molitor
682765	325742	Frau Masopust
682765	325751	
682765	335994	Luise Dressler
682765	346924	
682765	354075	Fräulein Wohlers
682765	361425	Olga
682765	364917	
682765	374556	Marthe Rull
682765	404422	Martha Brasch
682765	410812	Frau Reimann
682766	328678	Kleine Lia
682767	24051	Fernsehsprecherin
682768	71822	Un supporter
682768	118752	Colette
682768	266153	
682769	339870	La Générale
682770	269800	Tango Dancer
682771	58505	First New Woman
682772	308967	Eliska
682773	257293	Soloist
682774	383113	Ariadni
682774	389459	
682775	2004	
682775	8330	
682775	8710	
682775	8928	
682775	91473	
682775	96976	
682775	100622	
682775	102692	
682775	151885	
682775	172216	
682775	172894	Dafni
682775	174486	
682775	174649	
682775	237060	
682775	245853	Stella
682775	312627	
682775	326227	
682775	327114	
682775	327120	
682775	330365	
682775	350111	
682775	387704	
682775	388676	
682775	397728	
682775	400998	
682775	409807	
682776	96111	Czech girl at Mallo's
682777	181969	Hanka
682778	378614	Vrouw modelpaar
682780	265839	
682781	175002	Herself
682782	38379	Mutating Pregnant Wife
682782	147885	Arlene Weidder
682782	164542	Linda Kelly
682783	410074	La femme M.H.
682784	410074	Le femme M.H.
682785	45976	Paula Zingg
682785	53220	Brigitte Schell
682785	138640	Editor Doris
682785	175290	Editor Doris
682785	262753	Maria Hanser
682785	289850	Anwältin
682785	319736	Frau Schäufele
682785	325424	Margret
682785	325433	Anita Breitling
682785	359001	Frau von dem Knesebeck
682785	381180	
682785	390125	
682785	397362	Anke Degenhardt
682785	398911	
682785	400021	Claudia Wiegandt
682785	404436	
682785	409952	Vera Wesskamp
682786	285087	
682787	160878	Director
682788	122932	Tanja
682789	170231	Herself
682789	375744	Ajsa ... pevacica
682790	14303	
682790	34162	
682790	34322	
682790	77509	
682790	78209	
682790	79124	
682790	81480	
682790	88133	
682790	139597	Old Woman
682790	160826	
682790	162710	Isidora Sekulic
682790	162753	
682790	164882	
682790	166617	
682790	166889	
682790	169554	Marija - supruga
682790	179534	
682790	180275	
682790	180471	Hadzi Kata
682790	199923	
682790	202495	
682790	205797	
682790	227840	Flora Sandes
682790	227952	
682790	230061	
682790	232599	Markova majka
682790	233182	Vajan Kutirije
682790	234247	Marija Rigo
682790	237764	
682790	238210	Baba Todora
682790	244020	Marica ... sluzavka
682790	244225	
682790	246308	Antica
682790	253835	
682790	254219	Vela Bugarka
682790	260824	
682790	261951	
682790	262969	
682790	266202	
682790	266213	
682790	286720	
682790	289128	Old Lady
682790	300808	
682790	305525	
682790	305904	
682790	314469	
682790	318868	Ciganka gatara
682790	318895	
682790	318969	
682790	320482	
682790	320492	
682790	324481	
682790	344254	Svekrva
682790	348876	
682790	350742	
682790	352885	
682790	357323	
682790	357494	
682790	373747	
682790	375398	
682790	381239	
682790	386362	Jefimija Tucovic ... protinic
682790	386527	Joka
682790	387135	
682790	393168	
682790	393200	Mrs. Arrows
682790	400478	
682790	401949	Jovisina majka
682790	402119	
682790	404734	
682790	407668	
682791	137288	
682792	375744	Uranija
682793	360027	Extra
682794	181451	Ali's Frau
682794	234954	
682795	292980	
682796	42886	Lepa, Predragova zena
682796	46066	Ana
682796	160593	
682796	172503	Deni Rusic
682796	180091	Lilla
682796	238194	
682796	242640	Dr. Kristina Smit
682796	294915	
682796	373602	
682796	399005	Andja Vlajina
682796	399149	
682796	399181	
682796	399939	
682796	402486	
682796	409909	Violeta
682797	187018	Grandmother
682798	353878	Kabibi
682799	314853	Nun
682800	411977	Rita
682801	174170	Acrobat
682802	182865	Frau Gabriele
682802	209968	Mrs. Chavenau
682802	248540	
682802	290527	
682803	242588	Opera Singer
682803	321209	Klara
682803	330850	
682803	362965	Roaring Woman
682804	349251	
682805	302793	Co-Ed
682806	301032	Grosse Schwester
682807	122393	
682808	4702	Susanna Susannadanna
682809	134216	Afra
682809	229789	Yelena, Kostrizyn's bride
682809	354463	
682810	395399	
682811	2751	Texas/Miss USA 2001
682811	2760	Miss USA 2001
682811	215680	Miss USA
682812	18544	Player's Wife
682812	166917	Draft Reporter
682813	289889	
682814	6908	Eve
682814	11609	Molly
682814	47132	Bit
682814	77685	Dolly
682814	105240	Bubbles Blane
682814	106106	Betty Clarke
682814	109221	Valerie
682814	130789	Jenny
682814	140908	Specialty
682814	142877	Check Girl
682814	143577	Undetermined role
682814	144449	Lorraine Krueger
682814	154953	Rosie Martindale
682814	155678	Bebe Gould (Les Blondes girl)
682814	216822	
682814	230622	Suzy
682814	241332	Helen Pickett
682814	245209	Maizie
682814	288306	Blonde Bridesmaid
682814	304971	Peggy
682814	307521	Herself - Dancer
682814	329562	
682814	347061	Girl at party
682815	398109	Co Host (1999-2001)
682816	61627	Dr. Joan Cates
682816	184822	Allison
682816	213226	Nurse in elevator
682816	233878	Female Officer
682816	253341	Shannon Parks
682816	388494	Sgt. Clancy
682817	221325	Alice Newton
682818	139236	Marsha DeJong
682819	106617	Young Jane
682819	139296	Michele
682820	233188	Prostitute in Window
682821	271817	Stand-In
682822	257182	Terez
682823	312690	Viola Marietta Kunkel
682824	217289	Neighbour
682824	237826	
682824	304154	
682825	160787	Peyt on
682826	279544	
682827	169023	Greta
682828	100820	Stephanie (5 years old)
682829	17704	Mrs. Stephen Pringle
682829	26146	Martha Curtis
682829	28249	Mrs. Danchenoff
682829	35479	Molly Byrd
682829	41024	Victoria Mason
682829	46580	Mrs. Evans
682829	52659	Molly Byrd
682829	52661	Head Nurse Molly Byrd
682829	67251	Mrs. Monadue
682829	72521	Ellen Austen
682829	73174	Mrs. Wellington
682829	78802	Molly Byrd
682829	88653	Mrs. Crackleton
682829	92480	Molly Byrd
682829	92523	Superintendant Molly Byrd
682829	92524	Molly Byrd
682829	92525	Molly Byrd, Superintendant of
682829	92526	Molly Bird
682829	92527	Molly Byrd
682829	117646	Lady Redmond
682829	121663	Mrs. Van Orsdale
682829	133856	Mrs. Strauss
682829	145961	Mrs. Baldwin, Bruce's mother
682829	195828	Veronica Todd
682829	199466	Sister Madeline
682829	203140	Mrs. Dunne
682829	205724	Empress Marie Theresa
682829	213500	Mrs. Davis
682829	219916	Aunt Bertha
682829	221307	Mrs. Jacob Livingston
682829	241433	Mrs. Tyler
682829	244842	Mrs. Lamberton
682829	252480	Nurse Molly Byrd
682829	266765	Matilda Montgomery
682829	284916	Henrietta Sutton
682829	289409	Marquise De Pierremont
682829	292511	Head Nurse Molly Byrd
682829	325026	Mrs. Harry Stockton
682829	329493	Grandma
682829	330096	Mrs. Amelia Tilford
682829	331494	Molly Bird
682829	337178	Madame Vallaire
682829	339394	Dr. Saunders
682829	356230	Sophie Miller
682829	372295	Margo Bellacrest
682830	39439	Réceptionniste de police
682831	71146	
682831	118128	
682831	169540	
682831	213884	
682831	351979	Terrorist
682831	384618	
682832	18218	Martha Karamanlis
682833	70577	
682833	169657	
682833	212782	Julie Wood
682833	217691	Clara Broustal
682833	228313	Dr. Abigail Chase
682833	231286	La call-girl
682833	255001	Erika
682833	340652	Helen
682833	364783	Lisa
682834	2666	German singer
682834	20613	Singer
682834	62498	Solo Bit in 'Seek the Spy' Se
682834	73246	Salvation Army singer
682834	94291	Singer
682834	190264	Hilda, Second Maid
682834	295380	Specialty Bit in "Little Ting
682834	347724	Woman
682835	110997	Kathryn Berrie
682835	221024	Secretary
682835	289645	Lorraine
682836	100987	
682836	137419	
682836	190387	
682837	30247	Helper
682837	114283	Girl in Cage
682838	104763	Norwegian entry (5th place)
682839	224639	Deborah Lackey
682839	293762	Tori
682839	350182	Heather Ann Wendorf
682839	411802	Mackenzie Browning #2 (2002-2
682840	233967	Woman in Crowd
682841	5960	Cherokee Rose
682842	30646	Talk Show Audience/Student
682843	290527	
682844	213322	Fairy/Courtier
682845	316881	Tina Sparkle
682846	306332	
682847	381226	Karina
682848	26169	
682848	106116	Taylor Kent
682848	295719	Tina
682848	295729	Traci
682848	301835	Jamie
682848	302575	Olivia
682848	363492	Beautiful Woman
682849	319713	Member of the Jury
682851	163925	
682852	340029	Sister Julie
682854	75950	Rosana
682854	77262	Nanine
682854	97937	
682854	109004	Farba
682854	121456	Sonia
682854	165607	Janna
682854	179583	Principal's Wife
682854	180251	Ewka
682854	180702	Daughter
682854	238833	Young Ukrainian Girl
682854	253786	Sabina
682854	259818	Alina Suchocka
682854	290070	Czurda's girl
682854	322165	Weronka
682854	361076	
682854	376524	Konior's Daughter
682854	382619	Maryska Jurewicz
682854	398897	Iwona Gladczynska
682855	129606	Teresa
682855	180079	Janka
682855	181840	Ewa
682855	258541	Sandra
682856	241613	Baby sitter
682857	165348	Waitress at wedding
682857	180575	Cermáková
682857	237203	
682857	339339	Mazurová
682858	176838	Tracy
682859	244421	Young Carla
682859	273851	Nancy
682859	347712	Sandy Lidz
682860	3095	Woman Waiting at Phone
682860	53029	Skinny Woman
682860	90377	Stand-Up Performances #11
682860	129768	Stringy Haired Woman
682860	151483	Shopper
682860	164600	Sneezy Waitress
682860	176498	Reporter
682860	209596	Lima Lips
682860	220427	Waitress #1
682860	231088	Annabel
682860	242529	Mona
682860	260595	Julie
682860	286435	Sam
682860	309563	Vanessa
682860	332530	The Fox
682860	339358	Macrobiatic Customer
682861	237562	Sara
682862	76554	
682862	127730	Demons Dance Squad Member
682862	147888	Hooker
682862	184104	Laura
682862	191513	Tasha
682862	277635	Girl #2 in restroom
682863	379459	Marujita
682863	395332	Sofía
682864	57248	
682864	109264	Sonia
682864	226442	Agustina Romero
682864	284331	Ana
682864	318238	
682864	322342	
682864	351688	Yoli
682864	378658	Patricia Ledesma
682864	379583	Cecilia Freyre
682864	380582	Andy Blum
682864	385375	Sofía
682864	387713	Laura Santini
682864	392751	Mónica Sandoval
682864	392805	
682864	398661	Florencia 'Flor' Rizzo de Di 
682864	401913	Alejandra Morales
682864	402770	Camila
682864	403107	
682864	407284	
682865	279702	
682866	234455	Herself
682867	2819	Blind-man's friend
682868	439	
682868	18240	Rosa Martens
682868	24093	Marie
682868	40882	Clara
682868	40884	Clara
682868	40885	Clara
682868	40960	Luzie Feinstein
682868	48121	Tina
682868	102406	Linda
682868	107834	Anneliese
682868	110883	Mutter Grosser
682868	126384	
682868	141970	Lilo
682868	156686	Sandra Wegmann
682868	157653	Yvonne Steininger
682868	168160	
682868	170669	Frieda
682868	179752	
682868	180113	Marianne/Inge
682868	210044	Anja Esser
682868	227662	Eva Schindler
682868	251001	Paula
682868	259504	Katja Kraatz
682868	259549	Frau Kerner
682868	259559	Angelika Sladowski
682868	259660	Beatrice
682868	290051	Manuela Keller
682868	290111	Antonia
682868	310900	Frau Schweiger-Liebig
682868	317280	Cynthia Lennox
682868	325835	Sofie Reber
682868	325948	Carola Barneck
682868	347807	Dorothee Kranz
682868	352079	
682868	352567	Elisabeth
682868	385009	
682869	166643	Delaware Student
682870	258185	
682871	265236	
682872	1360	Kapka
682872	1400	Druzhinnata
682872	24832	Kradlata na znameto
682872	191492	Vrachkata, lelya na Ilmi
682872	198161	Pevitzata Nadya
682872	202182	Mariya
682872	264977	Stela
682872	373081	Handzhiykata
682873	284459	Svetlana
682874	181116	Cora
682875	234153	
682876	246917	Gitte
682877	188991	
682878	177166	Fränzi
682879	154434	
682880	129266	
682880	180031	
682880	355548	
682881	187191	College friend
682881	208376	Jane
682881	257296	Friend at Leo's Party
682881	396696	Juggy Dancer (2002-2003)
682882	265545	
682882	395681	Zoya
682882	396238	Vika
682882	398355	Natasha
682883	156942	
682884	49133	Rita
682884	95582	
682884	312992	Devka
682885	6501	
682886	65782	Parent of Clone
682886	108943	Nurse
682886	289666	Drew's Mom
682886	329816	Caterer
682887	181298	
682888	6329	
682888	253799	Zdena
682889	258819	
682889	304515	Helena Sláviková
682890	342628	Yaeger Child
682891	142390	Janice
682892	77580	Patrizia
682892	252242	The Blind Girl
682893	142390	Jill
682894	154761	Herself
682895	45799	
682895	94706	
682895	162049	Female warder
682895	237532	
682895	252667	Mary
682895	316520	
682895	361690	
682896	322196	Herself
682897	62579	Female Defense Lawyer
682898	217321	Jola
682899	373497	Assistant
682900	25578	Herself (behind Lenin)
682900	282110	Herself (stands behind Lenin)
682900	339326	Herself (with Lenin alive and
682901	144167	Karin
682902	144612	Sandy Barrington
682903	31400	Kirstin Keul
682903	101338	Anna
682903	175290	Ulla
682903	210010	Vermieterin
682903	216719	Rebecca Rodendom
682903	251032	Bettina
682903	259498	Schwester Beate
682903	259568	Iris
682903	259581	Lisa Borowski
682903	272820	
682903	314555	Dr. Julia Braun
682903	379122	
682903	406517	Dr. Julia Braun
682904	150475	Sherry
682904	162427	Kristi
682904	193108	Cindy #4
682904	346117	Girl at Pool
682905	39599	Estelle
682906	1807	Ungdom på disco
682906	29662	Lydia Harris
682906	76387	Viktoria Perterer
682906	76388	Viktoria Peterer
682906	76389	Viktoria Perterer
682906	78809	Thelma
682906	78810	Vera
682906	95426	Hannelore
682906	98349	Linda
682906	107374	Hedwig
682906	115963	Flo Baker
682906	128020	Donna Elvira
682906	135886	Captain Pakoca
682906	142263	Julia Bongartz
682906	156553	Élisabeth
682906	167139	Delia
682906	181070	Hanna Haller
682906	189554	Anna
682906	189556	Anna
682906	205582	Maria
682906	216266	Eva Christ
682906	219671	Christine
682906	221582	Daniela
682906	269114	
682906	281755	Juliet Pierce
682906	290177	Milka Piontek
682906	290598	
682906	301034	Alex von Volker
682906	309112	Mother of Soraya
682906	309171	Queen Diomira
682906	314556	Lara Jennings
682906	321772	Anna
682906	338438	Eva Gossler
682906	349105	Annabel Wilbert
682906	359001	Julia
682906	361111	Traute Lafrenz
682906	378063	Germaine
682906	383072	Maria Beinmann
682906	386847	Maria Gilbert
682906	389119	Dr. Angelika Rombach, geb. Gr
682906	390192	Verena
682906	403413	
682906	404488	Claudia Schubert
682906	404498	Wilhelmine
682906	410812	Lilo Flohr
682907	178731	Lisbeth
682907	200451	Maria, 10 år
682907	234826	Pige/Girl
682908	118967	Young women
682909	94621	Dancer
682910	82686	Ann-Marie Quinn
682911	153736	Lene
682912	18334	Mie
682913	307759	
682914	399510	Marthe Lønn-Arnesen
682915	105380	Fake Shemp
682916	231779	Person in Bondage
682917	229594	Actress in film playing at ci
682917	365026	
682918	119334	Peasant Woman #1
682919	1198	Chicks
682919	26261	Nova
682919	79616	Student
682919	134975	Herself/Astrid
682919	134976	Astrid
682919	154294	Astrid
682919	156369	Den gravide pige/The pregnant
682919	213431	Luder #2
682919	225686	Tine
682919	242715	Hanne
682919	276465	
682919	278332	Tanja
682919	283789	Line
682919	284399	Janne
682919	304361	Emma
682919	309291	Stine Krag
682920	13561	
682920	64894	Katrina
682920	81594	
682920	128092	Molly McRea 'Alaska'
682920	134110	
682920	138876	
682920	257374	Kate Sommers
682920	311283	Peggy Johnson
682921	180215	1. Kontorpige
682922	195776	Naked girl in the window
682923	354365	Silli
682924	172841	Miriam
682925	18501	
682926	131383	
682927	301701	Jennifer
682927	366585	Sally
682928	40960	
682929	352554	Newswoman
682930	261331	Sonya
682930	314557	Ruth
682931	122657	Member, WAC Quartet
682932	176942	Dancer
682933	34612	Darla Hennings
682933	75585	Debbie
682933	76571	English Teacher
682933	95080	Ching Chong
682933	95328	Dr. Kang
682933	117164	Layton
682933	233307	Student #2
682933	267105	Anne Chung
682933	267605	Miko
682933	289092	Wil
682933	296238	
682933	321213	Pan
682933	327811	Ayame
682933	335199	Evelyn Wang
682933	398213	Herself
682933	400263	Sui Blake
682933	408784	Host
682934	151780	Sister Ruth
682935	237199	Herself
682936	63552	
682936	198248	
682938	91912	
682938	95945	Village Woman/Mother
682938	258631	Peasant
682938	305560	
682939	392911	Enfant
682940	41418	Sandy the Out-Call Girl
682941	169874	
682941	210238	
682941	375419	
682942	185654	Naked woman
682943	324275	
682944	394620	
682945	33166	
682945	103072	Mutter Wülff
682945	109923	Rosa
682945	138543	Frau Kirch
682945	230198	(segment Ohne mich)
682945	239114	
682945	314542	Flüchtige frau
682945	374148	
682945	392086	
682946	349242	Herself
682947	397465	Crystal Cates
682948	198654	
682949	263284	
682951	124049	Female Reporter
682952	368721	Cult Dancer
682953	257483	Adámková
682953	266281	Koubová
682953	357667	
682954	104751	Yugoslav entry (18th place)
682954	170224	Herself
682955	131183	
682955	225818	
682956	78432	
682957	408237	Housewife/Cousin
682958	79106	Company Member
682958	84888	Rebecca
682959	16955	Hella
682959	26311	Mrs. Prof. Sutter
682959	30313	Sigrid Pardeken
682959	33451	Bernadette Stein
682959	33456	Bernadette Stein
682959	33457	Bernadette Stein
682959	33461	Bernadette Stein
682959	33463	Bernadette Stein
682959	40881	Annegret
682959	40882	Annegret
682959	40883	Annegret
682959	40884	Annegret
682959	40885	Dr. Annegret Bloch
682959	102926	
682959	119705	Hera
682959	125312	Bettina Johannsen
682959	145347	Marie Massmann
682959	168325	Laura
682959	181496	
682959	193929	Sachbearbeiterin/Case Worker
682959	225241	Lissy Wohlbauer
682959	225249	
682959	225250	
682959	225251	
682959	225275	Dr. Christel Klinger
682959	225297	
682959	281712	Bridget Sanderford
682959	290105	
682959	290812	Jeanette Apfel
682959	310894	Sibylle Kohnart
682959	325391	Eliane Faber
682959	325781	Elisabeth Löhden
682959	325841	Nynke Jellinek
682959	325864	Silvia
682959	325879	Bettina Maschke
682959	350871	Elisabeth Fauster
682959	365924	Frau Scheffler
682959	366183	
682959	376294	Christine Thaler
682959	389360	Anna
682959	389361	Rebecca Sinares
682959	391012	Ulla
682959	395011	Conni Funke
682959	399162	Marlene
682959	412104	Dr. Kaulbach
682960	21015	Herself
682961	212084	Kid in classroom
682962	9392	
682962	39013	
682962	48330	
682962	88740	
682962	91194	Slavka
682962	91485	
682962	132081	
682962	134301	
682962	181404	
682962	217458	
682962	226857	
682962	251636	
682962	303814	Queen
682962	357214	Ovsynnikova
682962	374867	Ovsyannikova
682963	378614	Vluchteling
682964	236062	
682965	283830	Yevgeniya Kryukova
682966	8916	Denise Lamblin
682966	215062	
682966	218249	
682966	218299	
682966	266406	
682967	34356	Luzi
682967	35300	Luzi Kryn
682967	53277	
682967	230239	
682967	254379	Herself
682967	281638	Herself
682967	281674	Herself
682967	290720	
682967	347652	
682967	359634	Luzi
682968	165844	Village Woman
682969	189443	Beata
682970	94057	Janina
682970	179184	Pola
682970	255623	
682970	373522	Julia Naderska
682971	225432	
682972	155092	
682972	272504	
682973	255412	Katarzyna Debska
682974	386236	Additional Voices
682975	71687	Herself
682975	71739	
682975	111679	Agata Rudy
682975	117375	
682975	150948	
682975	393059	Herself
682976	131219	Ellen
682977	186758	Charella
682978	251134	Ruzena
682979	5786	Liz
682980	384560	Herself (Cocogirl) (1984-1985
682981	215130	
682982	32507	
682982	35935	M-lle Cucu, teacher
682982	63318	Hair-dresser
682982	89595	
682982	95748	Boy
682982	104422	
682982	129338	
682982	132033	
682982	162758	Tyotya Khava
682982	163043	Olga
682982	179090	
682982	182015	
682982	182134	
682982	217282	
682982	228802	Pelagiya
682982	229036	Nikolai's wife
682982	229925	
682982	239928	
682982	242278	
682982	247552	
682982	253641	
682982	262988	
682982	263681	Mrs. Barrymore
682982	265570	
682982	280398	Nina
682982	293906	
682982	313814	Natalya
682982	313890	Masha
682982	320478	
682982	320655	
682982	334064	
682982	336471	
682982	337045	
682982	341195	Yekaterina II
682982	343962	
682982	347094	
682982	349051	Mokhava
682982	349237	
682982	354725	
682982	356393	
682982	357479	
682982	357640	
682982	357649	
682982	370175	
682982	371357	
682982	374768	
682982	374839	Olga, a sea captain
682982	375463	
682982	382445	Nelli
682982	404870	Sofiya
682982	411981	
682983	258684	
682984	60846	
682984	77104	Vera
682984	178824	Aglaya
682984	185654	Vera
682984	237467	
682984	341189	Princess Tatyana
682984	348443	
682984	350345	
682984	357457	
682984	381225	Pospelova (Film 1. Baron)
682984	386805	Masha (Tamara Khromova)
682984	401314	Yuliya Beroyeva
682984	402924	Yuliya Beroeva
682985	103297	Esther Terner
682986	16928	Duza Gretka
682987	16928	Angel
682988	258149	Janine
682989	66265	Tenant
682989	164755	
682990	229186	
682990	263256	Tatjana
682991	312746	
682991	386981	Jenny
682992	6094	Mrs. Spitzberg-Fotter
682992	89482	
682992	95699	
682992	133185	
682992	137597	
682992	181384	
682992	247351	Woman in Market
682992	247553	
682992	265335	Worker's Wife
682992	275588	The Washer Woman
682992	341073	Aunt Klotylda
682992	369375	Country Girl
682992	375439	Polkowska, neighbour
682993	225603	
682994	303738	Krysia's Roommate
682994	322037	Bride
682995	247347	Brunette Young Girl
682995	268523	Ania, Medicine Student
682995	319741	Hanka
682995	376518	Hanka
682995	404216	Teresa Jankowska
682996	132116	
682996	238835	
682996	406501	
682997	359590	
682998	81572	Malgosia
682999	9378	Anastazja
682999	95950	Woman in Warsaw
682999	108992	Hebron
682999	110097	She-Devil Margueritte
682999	165037	Zosia
682999	187641	Honorata
682999	189479	Renata
682999	189743	Gisie Tonies
682999	255497	Devil Woman
682999	260390	Krystyna
682999	262150	Wanda
682999	266302	Brunette
682999	272584	Maria
682999	311820	Mother
682999	373613	Wala
682999	374203	Rebeka Widmarowa
682999	374231	Malgorzata Makowska
682999	374390	Linda
682999	376203	Zuzanna Wisniewska
682999	376233	Verona
683000	223539	Kovalská
683000	303700	Sekácová
683001	88144	Karolínka
683002	237530	Princess Klara
683003	150623	Rosická
683003	205704	
683003	237541	Klapka
683003	351372	
683004	7088	Gina Francis
683004	34611	Tatianna
683004	304447	Hot Twin #2
683004	367674	Sexy twin #1
683005	98289	
683005	178554	
683005	184556	
683006	189763	Steffie
683007	7088	Filomina Francis
683007	34611	Brianna
683007	88181	Sara Wasterman
683007	304447	Hot Twin #1
683007	346405	Herself
683007	367674	Sexy twin #2
683008	155638	Susanne
683009	165136	Røde kjærlighetsvakt
683009	317646	Petra
683010	58206	Filoména
683010	172958	Hroncová
683010	253152	Perinbaba
683010	262657	Profesorka matematiky
683010	314022	
683010	320422	Old Anca
683010	349259	Madalena
683010	349322	Olga Rebrová
683010	356571	
683011	16200	Teacher of Music
683012	230461	Katerina
683013	165054	
683013	373511	
683014	198230	
683015	98991	
683015	386327	Alexandra
683015	412004	Radka
683016	255515	Edytka
683017	164255	Dancing woman
683018	367373	Trudka
683019	42242	Elmira
683019	62428	Hanka
683019	322393	
683020	315359	Kasková
683021	240192	
683022	183899	
683023	259173	Lisei as child
683024	40297	Mannequinen
683024	278356	
683025	40406	
683026	17040	Claudia Seitz
683026	38765	Tilli
683026	38993	Karin Zornemann
683026	48136	Theres Spitzer
683026	98266	
683026	98278	Karin Hallbrandt
683026	98339	Friede
683026	98414	Hanna
683026	105533	
683026	111405	
683026	111743	
683026	125321	Britta Böge
683026	129684	Anke
683026	132174	Hanna Brenner
683026	135005	Marla Wendler
683026	137145	Beate Sperber
683026	138451	Kerstin Bach
683026	142269	Frau Lorenz
683026	161865	Mother Breitbart
683026	177181	Mutter Preiss
683026	182758	Hilde
683026	207804	Mathilde
683026	234949	Uschi Klamm
683026	259639	
683026	259654	Gisela Müller
683026	268196	
683026	287313	Dr. Weber
683026	304163	Lili Berthold
683026	307671	Sunny
683026	308815	
683026	310901	Jutta Gehricke
683026	315973	
683026	317271	Caroline Stubbe
683026	317272	Caroline
683026	317273	Caroline Stubbe
683026	317274	Caroline Stubbe
683026	317275	Caroline Stubbe
683026	317277	Caroline Stubbe
683026	317278	Caroline Stubbe
683026	317279	Caroline Stubbe
683026	325405	Ragna
683026	325626	Manuela
683026	325677	Frau Wille
683026	325867	Karin
683026	332552	
683026	341097	
683026	348040	
683026	352181	
683026	356734	Caroline Stubbe
683026	356738	Caroline Stubbe
683026	356741	Caroline Stubbe
683026	359599	
683026	376192	Jutta
683026	376622	Moos-Lene
683026	377358	
683026	382863	Theres Spitzer
683026	387383	KHK Carla Krause
683026	389840	Lisa
683026	395511	Anja
683026	406814	Susanne
683027	59726	Sygeplejerske
683028	178432	Maja
683029	157682	
683030	379372	
683030	386981	
683030	389361	
683031	96858	Party Girl
683032	219221	
683033	209346	Walburga Neusigl
683034	2599	Laura
683034	3369	Christine
683034	11865	Hildegard von Pape
683034	17695	Mrs. Allan
683034	23114	
683034	23887	Fräulein Steiner
683034	80305	Marquis' mistress
683034	83191	Captain's Concubine
683034	98053	
683034	108247	Adèle
683034	115994	Vera Jensen
683034	119137	Liza Hofer
683034	155431	Konstanze Vogelsang
683034	160970	Christina Larsson
683034	194789	Christine Schar
683034	196394	Helga
683034	204452	Linda
683034	233958	Vera Liebermann
683034	286327	Carole
683034	290583	Hede Leussing
683034	316880	Julia
683034	325494	
683034	325777	Lill Bergen
683034	325819	Laura Winter
683034	325897	Marlies Effenberger
683034	375160	
683034	378713	Andrea
683034	380669	Dolores Kesselbach
683034	384160	Christa
683034	384817	Madame de Villefort
683034	387770	Helen
683034	390287	Rosa
683034	406392	Octavia
683034	409613	Frau Sommer
683035	393845	Herself
683036	120926	Frieda
683036	155459	Anny
683036	324670	Tochter des Gastwirts
683037	401996	
683038	119168	
683039	6737	
683039	30481	
683039	55945	
683039	94168	
683039	98699	Countess Maria
683039	119164	Marianne Carsten
683039	143808	Hilde Brandt
683039	159858	
683039	277462	
683039	293166	
683039	301013	
683039	315828	Irene Kardos
683040	382788	Host (1997-)
683040	387455	Host
683041	119197	
683041	124987	SS Woman
683042	32340	Tanja
683042	102135	Nadja
683042	282177	
683042	319796	
683042	325566	
683042	325809	Mutter
683042	374620	
683043	256686	
683044	368692	Lehrerin
683045	108633	Biskopsgården
683045	179679	
683045	281336	
683045	326044	(episode 1)
683045	381054	Nurse
683045	396266	Nude model
683045	399850	Eva-Lisa Emanuelsson (14 epis
683045	402277	
683046	111485	Dagmar
683047	49611	Sabine
683048	92648	Eva
683048	172213	Herself
683048	185854	Ansagerin (Host)
683048	216959	Herself
683048	361404	Nicole
683048	405901	Host
683048	406318	Vanessa von Schütte
683049	34288	Cora Winkler
683049	379121	Polizeioberkommissarin Cora W
683049	391604	Benita Wolf (1998-1999)
683050	225989	
683051	113516	
683051	259662	Sabine
683052	113516	
683053	77876	
683054	302056	Waltraut
683055	325387	Uschi
683056	394821	Elen
683056	399114	
683056	407368	
683057	30847	
683057	84767	
683057	181282	
683057	188708	
683057	216610	
683057	223212	La grosse dame
683057	259041	
683057	262668	
683057	265641	
683057	340065	
683057	344278	
683057	410412	
683058	33205	
683059	180291	
683060	221055	Runner #2
683061	29786	
683061	196732	Knezna
683061	267165	Member of Ladies K Band
683061	272828	Rosalinde
683061	314581	Subreta Sona Jansová
683061	352792	Marja Marjanovská
683062	95216	Maya
683063	336444	Hungry Star Studio model
683064	170025	
683064	358010	
683065	11691	Sofia Kuajara
683066	85886	Momo
683067	340656	
683067	356417	
683068	383609	
683069	289295	Fumiko-San
683070	16928	Oswald's grandmother
683071	21669	
683072	108657	Carolina as a child
683072	108658	Bolt
683072	108659	Bolt
683073	8695	
683073	26178	Grandmother
683073	57211	Judge
683073	202260	Mikesova
683073	234257	
683073	244177	Mrs. Müllerová
683073	265276	
683073	291885	
683073	373587	Janitor
683073	375136	
683073	387031	
683073	402896	Maria, the Mother
683074	341165	Basia, the waitress
683075	122560	Ludmilla
683076	290070	Ghetto girl
683077	266332	
683078	30116	
683078	63357	
683078	178726	
683078	179259	
683078	263673	
683078	305543	
683078	349237	
683078	373271	
683079	369130	
683080	120298	Student
683081	356997	Michelle
683082	74258	Mrs. Mkize
683084	341769	Ina Lohmann
683085	70090	Secretaria Granados
683086	404517	Additional Voices
683088	238274	
683088	314982	Blonde Nurse
683088	322754	Blonde
683089	149866	Drunk
683089	221524	Anastasia
683090	42423	
683090	210580	
683090	221934	
683090	227534	Anna Pavlova
683090	293902	
683090	340239	
683090	408982	Agneshka Muzorsky
683091	246923	Girl Friend
683092	102234	Mom in Alley
683093	102234	Girl in Alley
683094	10645	
683094	88434	Helena Busková alias Irena Vá
683094	95065	Hola
683094	149622	Hedvika
683094	181104	Masková
683094	315929	1. Gabriela - teta
683094	344299	
683094	376603	Alena
683094	378513	
683095	32178	Additional Voices
683096	204007	
683097	262054	Nanny
683098	72932	Two-step Dancer
683099	120043	Caro (10)
683100	215214	
683101	131739	Girls' Chorus Member
683102	284347	Emil's ex-wife
683102	305516	Kasia
683103	171438	
683103	247320	Waitress
683103	373594	Journalist
683104	153164	Czech Woman
683105	76531	Erzsébet
683105	99524	Maud
683105	134635	Ida
683105	176203	
683105	179418	
683105	227601	
683105	237099	
683105	276325	Merinka
683105	282123	Vilma
683105	322131	Viktória
683105	324097	
683105	324709	
683105	338200	
683105	357944	Magneta
683106	207268	Female dancer
683107	399793	Host/Dalina (1993-1994)
683109	275036	
683110	113489	Claire's Friend
683110	406177	High School Newspaper Reporte
683111	127994	Damerini's Wife
683112	58252	
683112	173035	Woman in TV commercial
683112	221524	Girl
683112	234455	
683112	312073	Herself
683113	179820	Ucitelka
683114	1545	
683114	24021	Lenotschka
683114	83441	
683114	86238	Heidi Immer
683114	95130	Kleopatra
683114	98313	Phils Mutter
683114	98978	Mrs. Chitester
683114	104951	
683114	107233	
683114	116321	Die Frau des Grenzers
683114	120343	Party guest
683114	124614	
683114	125085	Gudrun Martinson
683114	155432	Angela
683114	155483	
683114	155607	Mrs. Cheveley
683114	156710	
683114	166354	
683114	180342	
683114	186874	
683114	189560	
683114	199396	Michelle
683114	210023	Maggie Palmer
683114	216382	Karen
683114	225249	
683114	225250	
683114	239792	Paloma
683114	244679	Frau von Lodenwald
683114	262753	Karin
683114	275177	Indre Balczus
683114	281743	Lady Keile
683114	281989	Helene Feldmann
683114	290692	Mrs. Brinkman
683114	294089	Lampito
683114	310940	Blue Eyed
683114	325453	Elsa Breuke
683114	338428	Elvira
683114	343485	Denise Dennevy
683114	343487	
683114	343662	Klara Erdmann
683114	345897	Irene
683114	347635	Charlotte
683114	352047	Mathilda
683114	369168	Hildegard Reimund
683114	376381	
683114	376387	Jacqueline Summer
683114	379858	
683114	381864	Luise Bissinger
683114	385276	Nora
683114	387735	Margot Balbeck (1987, 1989-19
683114	387771	
683114	388169	Britt
683114	388244	Lucy Waldvogel
683114	388248	Elli
683114	388252	
683114	389286	
683114	389359	Marlies Holbein, geb. Jacob
683114	389359	Marlies Holbein, geb. Jacob (
683114	389880	Félicité
683114	390993	
683114	394228	Gisela
683114	394536	Friederike von Unruh
683114	397386	Melissa Foster
683114	397763	Fay
683114	397765	Frau Glotz
683114	398083	Annette von Soettingen
683114	401030	Ingebord
683114	401996	Sabine Powenz
683114	404451	Gräfin Sophie von Hohenstein
683114	406160	Elisabeth Sander
683115	273066	Oksana
683116	24447	Betty (The Poodle)
683117	33278	Ursula
683117	44983	Jenny
683117	74339	Vamp
683117	94240	Elvire
683117	111688	Fanny
683117	119751	Une danseuse de 'La Reine Bla
683117	159450	Helen
683117	178467	
683117	211364	Olga
683117	219596	Ursula
683117	275993	Nurse
683117	285768	
683117	307500	
683117	353301	
683117	353921	Carla
683117	376956	La femme sans nom
683117	377715	La religieuse
683117	391927	
683118	374287	Herself (1997)
683119	23058	Young Qulitalik's wife
683120	162312	Older Woman
683121	179493	Mrs. Hashizume
683122	17419	
683122	17430	
683122	23409	
683122	137363	
683122	138066	
683122	148844	
683122	167542	
683122	168103	
683122	168105	
683122	174943	Osei
683122	175592	
683122	177923	Tetsutaro Oikawa
683122	180371	
683122	182492	
683122	182699	
683122	201374	Yajima no tsubone
683122	211892	Kinu, Hanzawa's wife
683122	229771	
683122	229773	
683122	229775	
683122	229779	Oen
683122	233109	
683122	237761	Toshiko Nishiyama
683122	242216	
683122	242221	
683122	243311	
683122	358386	
683122	370341	
683122	374106	
683122	378142	Kazuko Morihara
683123	511	Narumi
683123	168828	Polnareff's Sister
683124	194427	
683125	34642	Japanese Singer
683125	138478	Peasant militia girl
683126	173595	
683127	116380	Shiny
683128	17878	
683129	231168	Neji no Hitobito
683130	182718	
683131	313160	Herself
683132	15073	Jou-Jou
683132	106666	Woman sitting behind Dr. Harf
683132	189609	Jou-Jou
683132	216294	Berti Krögelmann
683132	243024	Herself
683132	250612	German singer
683132	313150	Herself
683132	313160	Herself
683133	201517	Stanley's Mom
683133	313160	Herself
683134	106666	Mother of boy in examination 
683134	160317	Herself
683134	175469	Herself
683134	313160	Herself
683135	1711	Squirt (Floyd's daughter)
683135	30431	Guest at Nora and Capt. Quinn
683135	121538	News camera operator at mass 
683135	201517	Herself
683135	299073	Smoking guest on ballroom cou
683135	313160	Herself
683136	78790	
683137	334574	Narrator
683138	11549	
683139	344280	
683140	374775	
683141	262165	
683142	343751	
683143	51260	Bláhová
683143	268228	Polánková
683144	263652	Ruzena
683145	229589	
683146	202270	
683147	197282	Girl
683148	45723	
683149	90066	
683149	110048	Tereza
683149	180228	Jirina
683149	209265	Woman
683150	29785	Eliska
683150	64666	
683150	181336	Grandmother Berta
683150	226519	
683150	320638	Boat beggar
683150	376567	Franta's Mother
683151	149866	
683152	174523	
683153	330375	
683154	242635	Eva
683155	232659	
683156	366655	Bertha Drake
683157	34497	
683157	202304	
683157	256728	
683157	357342	
683157	370136	
683157	373971	
683158	58893	
683158	274695	
683159	58893	
683159	274695	
683160	274695	
683161	57703	Lupe
683161	82051	Mrs. Rodriguez
683161	106316	
683162	205575	
683163	278878	Katja
683164	168718	Andrea's Friend
683165	322064	Autogramot kérõ lány
683166	99015	Elektra
683167	346364	Zsuzsa
683168	26258	
683169	173034	Julie Novakova
683169	173035	Julie Nováková
683170	381926	Granny Garbanzo
683171	123487	
683172	100370	Isabelle
683173	41252	Sasha's Mother
683173	267008	
683173	363302	Nurse
683174	56036	
683175	361423	Verkäuferin
683176	119137	
683177	119144	
683178	136911	Damla
683179	255602	Young Gburia-Furia
683180	95924	
683181	270138	Penny Gayle
683182	75757	
683183	329484	Flower Girl
683184	84264	Mother
683184	266328	Ela
683184	311255	Maria
683184	322000	Przepiórzyca
683184	364976	
683185	5881	Martha
683185	18823	Cabbage Woman
683185	26397	Lady with Purse
683185	26473	
683185	32626	Frankie's Mom
683185	54726	Mrs. Pirogi
683185	69806	Mrs. Dziedzic
683185	77795	Edna's roommate
683185	81321	Housekeeper
683185	141662	Babysitter
683185	164482	Russian Grandmother
683185	188646	Saleswoman
683185	189237	Blue Haired Lady
683185	251411	Nana
683185	255316	Donut Lady
683185	268211	Mrs. Olden
683185	302584	Grandma
683185	309857	Gramma Soglinski
683185	323611	Lady on the Couch
683185	339369	Elena
683185	345885	
683186	232921	
683187	76126	
683188	181386	
683189	314794	Maggie Stefanova
683190	300500	O-In Mikatsuki
683191	97944	Annastasia
683191	223488	
683191	290089	
683192	86657	
683193	140689	
683194	10270	Albina Palmqvist
683194	387500	Anna Parkkonen
683194	404145	Rauni Koivukuja
683195	229822	Verunka
683195	250446	Katka
683196	41721	Herself
683196	278687	Herself
683197	261385	Magdalena
683197	267951	Kornelie
683197	304119	Pavla
683198	28133	
683198	28136	
683198	125456	
683198	146902	Maya
683198	170891	Koteru
683198	178419	
683198	232526	
683198	232528	
683198	298965	
683199	195272	Nao Yokoi
683200	202825	
683200	344021	Gilage
683201	130528	Kaori, Kaya's daughter
683201	215064	Ginko Kanae
683201	218692	Runa
683202	360841	
683203	213946	Rika
683204	137339	Shima, 1st wife
683204	232703	Prostitute
683204	239481	Youko
683205	280398	
683206	170539	Heather
683207	264230	Panímáma
683208	1474	Herself - Host
683208	1995	Herself
683208	2761	Herself
683208	2787	Herself
683208	11426	Marie
683208	20367	Herself
683208	30108	Dr. Darla Portnoy
683208	65756	Paula
683208	72769	Adrian Wexler-Jones
683208	77673	Millie
683208	92453	Ava
683208	120266	Herself/Phoebe Buffay
683208	137033	Reading Woman
683208	138365	Maddy Mozell
683208	138778	Maimee
683208	161232	Herself
683208	182969	Charmer
683208	192684	
683208	196995	Crystal
683208	201682	Herself
683208	205268	Marci Feld
683208	219904	Linda
683208	222639	
683208	232131	Herself
683208	242938	Lucia DeLury
683208	281254	Michele Weinberger
683208	334356	Friend of Perky Girl
683208	345686	Louisa
683208	368043	Sharon Holmes
683208	382359	Kathy Fleisher
683208	389392	Phoebe Buffay-Hannigan/Ursula
683208	391392	Aphrodite
683208	396350	Ursula Buffay (1993-1995)
683208	398213	Herself
683209	262644	
683210	182036	
683211	283819	Sonya Eriksen
683212	98585	
683213	181271	
683213	394786	
683214	370997	
683215	189225	Fei Fei
683217	138053	One-Eyed Oryuu
683218	41359	Saya
683218	136386	Erika Kobayashi
683218	138101	Fuyumi
683218	141653	Midori
683218	148832	Michiko Sawaki
683218	174944	Kinue Nagai
683218	210537	O-Kabo (Pumpkin)
683218	224813	Mitsuko
683218	255314	Riyo
683218	294312	Yukari Hanafusa/Sakiko
683218	300468	Fusae Saotome
683218	306226	Hatsue Imada Miyamoto
683218	311856	Interviewee
683218	323120	Rie Takami
683219	30131	Linda
683219	255901	Young Drogist
683219	359461	Poolmädchen
683219	378546	Brooke
683220	7695	
683220	108472	B
683220	153082	Girl
683220	216865	
683220	249336	
683220	351945	
683221	389858	Karen Kennedy (1988)
683222	7895	Herself
683222	35610	Herself
683222	47082	Zelda Gilroy Gillis
683222	110998	Liberation Lady
683222	295282	Dorcas' sister
683222	326814	Teenager
683222	382809	Machinist's Mate Selma Kowals
683222	396785	Zelda Gilroy
683222	406768	Jackie Erwin
683223	174179	Woman at accident
683224	126467	Stefanie
683224	325467	
683225	179532	Yvonne
683226	218655	Foreign Messenger
683227	189292	Herself
683228	81640	Herself (Vixen guitarist)
683228	139227	Vixen - Lead Guitar
683229	174258	
683229	174759	Emma Higgins
683229	314849	
683229	336510	Florentine Albrecht
683230	24299	Beecky
683231	122887	
683232	151540	Misty Parks
683232	331206	Cherry
683234	275060	Starchild
683234	284507	Tagun/Ramada 2/Two Ranis
683235	232280	Skin #5
683236	243175	
683236	255796	Lola Cion
683237	381312	Hannah
683238	139216	Smoking Gun Girl
683238	231511	Physically Attractive Woman
683239	371276	Licenciada
683240	226406	Frau Engel
683240	375986	
683241	231396	Wedding Waitress
683242	179486	
683242	239491	Yuki Kobayakawa
683243	230131	Ayumi
683243	351888	
683243	400058	Sayaka Teranishi
683244	949	
683244	17099	
683244	17879	
683244	22697	Reiko
683244	29321	
683244	44767	
683244	122141	Chiyo
683244	130486	Prime Minister's Wife
683244	137360	Ayako
683244	139725	
683244	144432	Matsuko's Mother
683244	144734	Fumiko Mikami
683244	165128	
683244	171627	Senko Minami, prisoner
683244	171745	
683244	174866	Yuki Shiokawa
683244	176627	Yasuko Ashihara
683244	177947	
683244	179399	Michiko Kubota
683244	180049	Hiroko, Ryoichi's wife
683244	180054	Chie
683244	182384	Yasuko Sato
683244	207578	Ono Keiko
683244	211894	Yukiko
683244	222455	Lady who walks
683244	231308	
683244	232513	
683244	239088	Setsuko Arita
683244	239427	
683244	239462	Sute Kagami
683244	242191	Akiko Hayashino
683244	243898	Kobue
683244	287344	Sumi Goda
683244	298837	
683244	298924	Tokiko
683244	323267	
683244	334860	
683244	334896	
683244	348782	
683244	349168	Yukiko Mabuchi
683244	370279	Yuhime
683244	370280	Yuhime
683244	371842	Schoolgirl
683244	372038	Yukiko (episode 1)
683244	373173	Hamako Abe
683244	373335	
683244	374588	
683245	134154	Tina
683245	144452	NIT Journal #4
683246	161323	Herself
683247	275699	
683248	138135	Cyberdoll Rena
683248	209785	Ikhny Allecto
683248	369525	Mary Godwin
683248	378718	Taiki, young Kaname
683248	384233	Brigetta
683248	390536	Brigetta
683248	390892	Alphonse Elric
683248	403477	Rizel Iwaki
683249	234480	
683250	30313	Maren
683250	72670	Frau Bachmann
683250	86108	Molly
683250	120043	Rebekka
683250	178480	Gertrud
683250	211124	
683250	272822	
683250	325526	
683250	325639	
683250	337202	Pest
683250	412110	Marianne Westphal
683251	244567	Simone
683252	140051	Madona
683253	225848	
683254	88716	
683255	381091	Herself (eliminated round 7) 
683256	84595	Erika, the mistress
683256	144022	Heidi
683256	213291	Lene (segment "Himmelbett")
683256	308824	Sabine
683256	381694	Corinne
683257	232798	Ninas Großmutter
683257	259477	
683257	343686	Susanne Reich
683257	377358	
683257	389955	Hilde
683258	325913	
683259	140019	Cookie
683260	182531	Tjej från Norrköping
683260	341815	
683260	394744	Djanali
683261	126395	Mutter
683261	153752	Frau Kress
683261	172856	
683261	179787	
683261	223285	
683261	231623	
683261	319706	Ilse Pacholke
683261	325618	
683261	325834	
683261	352499	
683261	393885	Helga
683262	290571	Monika Huse
683263	188453	Opening Sequence Girl
683264	135236	
683265	325857	Paula Eckstein
683266	10168	Bradamante
683266	57855	Angelina
683266	77375	Cinderella
683266	158871	Ottavia
683266	243656	Alcina, the Sorceress
683266	256511	Polina
683266	278312	Contessa di Ceprano
683266	278963	Penelope
683267	150075	Marge Hildenburg
683268	12950	Mother
683269	4498	
683270	46131	
683270	119163	
683270	137093	
683270	137969	
683270	225271	
683270	289883	Margit
683270	325581	
683270	325921	Frau Köhler
683270	376041	Frau Fuglsang
683270	405696	Frau Kretschmar
683271	213065	Marja
683272	190807	Novice
683273	210002	
683274	71633	Beautiful Woman
683274	144114	Barmaid at Bowling
683274	255362	
683274	294717	Wedding Coordinator
683275	325282	
683276	47077	T.V. Reporter
683276	152426	Edith's Friend
683276	250514	Adelane
683276	337404	Tourist Woman
683276	394780	Kinski
683277	115271	Nurse
683278	404570	Lucia
683279	267807	
683280	181138	Herself
683281	202401	Inès
683282	87755	Pocahontas
683282	188030	Cosette
683282	212067	Maria/Futura
683282	223904	Herself
683282	258509	Pocahontas
683282	258513	Pocahontas
683282	362573	
683283	1411	Marsha
683284	228169	Angie
683285	1300	Extra
683286	223334	Paula's Friend
683287	194647	Rob's Current Girlfriend
683288	356566	Emmi Escher
683289	371374	Waitress
683290	176713	Petite Old Lady
683291	379923	Herself (Eliminated 3rd with 
683292	119598	
683293	97671	
683294	24199	
683294	221924	Antonia
683294	307799	
683296	44929	
683296	64007	Absalon
683296	240279	Marie
683296	353899	Une femme du 'Grand Magic Cir
683296	379841	Petite Pomme
683297	178878	
683298	45867	Andrea
683298	108694	Lolita
683298	185168	Mandy
683298	201579	Wife #2
683299	312265	Boat Girl #1
683300	325192	Dr. Ursula Köster
683301	62934	
683302	279376	Fat woman in basket
683303	157698	Lilly
683304	104744	Herself - Dutch entry (1st pl
683304	228238	Herself
683304	228247	Herself - Jurylid
683304	228250	Herself - Host
683304	228268	Herself - Gastjurylid
683305	62197	Girl on Watch
683306	164638	Marfa
683306	310083	
683306	380319	Nurse
683306	383048	Miss Molar
683306	401131	Sandra Scoddle
683306	403469	Store Clerk
683307	241691	
683308	360919	Paula
683308	383950	Charlotte Sophie
683308	397554	Johanna
683309	349945	Milja
683309	394046	Hanna
683311	87954	
683311	213676	Lawrence
683312	7269	Natacha Los
683313	314430	
683314	410441	Anita Oerlemans
683315	357380	Denise
683316	123164	The Wife
683317	5640	Secretaresse
683317	281395	
683318	171798	Secretaresse van Hornstra
683319	398192	Hellä Lehmus
683319	401278	Hellä Lehmus
683320	239127	Various
683320	248195	Various
683320	349138	
683321	190670	
683321	216397	Old maid
683321	254952	Salme Kaunola
683321	256692	
683322	178376	Statist
683323	243776	Herself
683324	271053	Finnair lentoemäntä
683325	300796	Sibeliuksen tytär lapsena
683326	72139	
683327	95471	Neda
683327	131026	Verna
683327	361237	
683328	153747	
683329	219451	
683330	285801	
683331	156037	
683331	213414	Policewoman
683331	321771	Bank clerk
683332	300056	Child #3
683333	513	Old Lady
683333	5394	
683333	18691	Miyoko Namiki
683333	32331	
683333	49560	
683333	76882	
683333	102435	
683333	125246	
683333	127861	
683333	139405	
683333	149098	
683333	155807	
683333	166025	Hanami
683333	167962	
683333	167964	
683333	167969	
683333	167970	
683333	167971	
683333	179394	
683333	182030	Oyo
683333	182479	
683333	214411	
683333	216357	Emi Tomiura
683333	227823	Orochimaru
683333	233123	
683333	236941	
683333	239336	Mrs. Imamura
683333	243315	
683333	243979	
683333	288187	Ritsuko Oishi
683333	288190	
683333	288191	
683333	294149	
683333	296631	Fukuko
683333	296632	
683333	296633	
683333	296634	
683333	296635	
683333	296636	
683333	296637	
683333	296638	
683333	296640	
683333	296641	
683333	296642	
683333	296644	
683333	327957	
683333	334938	
683333	344293	
683333	358393	
683333	359828	Tamie
683333	375596	Ritsuko
683333	375597	
683333	375602	
683333	375603	Fukuko
683333	375604	
683333	375605	
683333	375606	
683333	375607	
683333	375608	
683333	375609	
683333	375610	
683333	375611	
683333	375612	
683333	375613	
683333	375614	
683333	375627	
683333	392430	Ruru Sanjou
683333	398997	Orochimaru
683334	9560	Nurse Machida
683334	174877	Miyoko Edamura
683335	292091	
683336	28832	Dee Dee
683336	63469	Jane Chan
683336	147048	
683336	152346	
683336	153410	Jo
683336	179951	
683336	325228	Chinese Girl
683336	369771	
683336	370727	Crazy's girlfriend
683336	370838	Sandy
683336	372389	The Ghost
683336	372390	Ching
683337	53327	Good Dancer
683338	176710	Marduk's Ladies
683339	37027	Renuka Thiagarajah
683340	42691	Nova
683341	384768	Mrs. Lundberg (Landlord)
683342	258586	
683343	1987	Sibylla
683343	19507	
683343	87483	Lena
683343	103487	
683343	131630	Anne
683343	207800	Mathilde
683344	13474	Miki
683344	89479	
683344	351341	
683345	396874	Susi Schäfer (2004-)
683346	373698	
683347	146903	Tennis Club Member 'A'
683348	269089	Ai
683348	411725	Higashimurayama Mako
683349	235846	Kiti
683349	354083	Katja Kuusisto
683349	387499	(episode 1: "Ikuinen Vieras")
683349	404782	Aurora Laakkonen
683349	409359	Various characters
683350	380069	Anneli
683351	7889	Party Goer
683352	82771	
683353	253632	
683354	137641	Zenia (dancer)
683354	185809	Lena
683354	375445	
683355	166670	Mrs Sturmer
683356	248062	
683356	272478	
683357	51091	
683358	16200	Charlotte Collierová
683358	126356	
683358	147036	Marketa
683358	168816	Eva
683358	202504	Mina
683358	226507	Nadine
683358	237490	Linda
683358	237496	Princess Jasnenka
683358	237531	Love
683358	257723	Stepánka
683358	257725	Stepánka
683358	259053	Frantina
683358	304119	Anezka
683358	309171	Woman with beard
683358	325488	
683358	339249	Lucie
683358	344040	
683358	346780	Turquoise gypsy
683358	356779	Ruth
683358	373419	Markýtka
683358	373420	
683358	373597	
683358	374098	Consul Chalupská
683358	402368	Evicka
683359	294759	
683360	289872	
683360	356923	
683360	357417	
683361	241244	Angel
683362	188490	Daughter
683363	174880	
683363	181405	
683363	260781	Servant
683363	266336	
683363	366496	Girl on the Bike
683363	373425	Ania
683363	375067	Girl in Bed
683364	140217	Dr. Viktoria Marschall
683364	189666	Dr. Antje Sander
683364	347574	
683365	398874	Baby Amelka Burska (2003-) (s
683366	75964	
683367	247344	Singing Girl
683368	398874	Baby Amelka Burska (2003-) (s
683369	234686	
683370	169736	Miyuki
683371	222441	
683372	222441	
683373	79109	
683373	176146	Kobori's Mother
683374	67209	Une groupie d'Eros
683374	377475	Femme de la plage
683375	352456	
683376	259880	
683377	352446	
683378	341190	
683379	229175	
683379	262676	
683379	322038	
683379	352955	
683380	142199	
683381	181402	
683382	374031	
683383	181358	
683384	216296	
683385	377891	
683386	68966	
683386	328889	
683387	71302	Seamstress
683387	203584	Co-plaintiff
683387	311873	Cassandra
683388	344101	Andula
683389	235882	Cyclist (segment "Alfred Tomb
683389	343565	
683390	38086	Mme Stravinsky
683390	41741	Helene
683390	167704	Keema Woman
683390	238597	Mrs. Farthing
683391	19505	
683392	127446	Mo
683392	251002	
683393	74787	Prisoner Czarna
683393	75978	Anna
683393	131754	
683393	217324	Agata, Wojtek`s wife
683393	262207	
683393	316529	
683393	401156	Danuta 'Dusia' Adamska
683394	21394	Sofia
683394	198177	
683395	167990	
683395	213023	Elizabeth Kucula
683395	342081	Amanda's Friend
683396	250551	
683397	392062	Host
683398	58509	
683399	193643	Lisel Bauer
683400	265233	Lodger
683401	344965	
683402	228368	
683403	97937	
683404	30777	Nurse/victim
683404	45912	Harriett
683404	46682	Nurse 2
683404	158796	Anne
683404	211783	Girl in restaurant
683404	297955	Sue Stern
683405	229574	
683406	143389	Student #2
683406	394123	Florentyna Rosnovski 4-5
683407	396145	Little Girl
683408	347039	Dimuth
683409	404870	
683410	19246	Alla
683411	265521	
683412	84414	
683413	180356	
683414	280566	
683415	341189	
683416	85209	
683417	394756	Herself
683418	997	
683418	78699	Tänzerin
683418	97949	Christine
683418	147186	Gabi
683418	189878	
683418	259526	
683418	275043	Ingrid
683418	276214	
683418	290847	
683418	374378	
683419	35878	
683420	237885	Girl
683421	394585	Jan Rafalski #1 (1998-2001)
683422	64984	
683422	104061	
683422	289080	
683422	380072	Victoria Escalante
683422	380098	Dolores
683422	384372	Fiscal Ana
683422	384772	Regina
683422	384823	Alma Echagüe
683422	385057	Giuliana Spadaro
683422	387778	Nina
683422	388093	Gina Falcone alias Sister Pie
683422	392804	Dra. Ana
683422	398800	Asunción Olazábal
683422	398842	Dra. Lucía Guerrico
683422	403172	
683422	406050	Gina Falcone alias Soledad
683422	409920	Nérnesis Paiva
683423	232129	
683424	160306	Herself
683424	230320	Waitress
683425	171682	
683425	261584	
683425	286884	
683425	297561	
683425	374833	
683426	91198	
683427	131110	Maral
683428	43070	
683429	349321	Bambi
683430	91071	Herself
683431	222363	Biker chick
683432	187661	
683433	328141	
683434	221354	Mira (child artiste)
683435	164292	
683435	170730	Prema
683436	344917	Nani
683437	4420	Jyoti
683437	8645	Anu
683437	16305	Guddi
683437	17893	Priti
683437	21748	Sonali
683437	25976	Sanjana Roy, Journalist
683437	34199	
683437	35090	
683437	36264	
683437	57877	Censor Board member (actress)
683437	61023	Sandhya
683437	62022	Sandhya
683437	86696	
683437	123868	
683437	127020	Sensational appearance
683437	164298	Meena & Meenu
683437	166517	
683437	171856	Sumona Shrivastav
683437	173848	Bindiya
683437	177977	
683437	180727	
683437	180728	
683437	211247	
683437	227882	
683437	259306	
683437	268701	Neeta
683437	271423	
683437	284789	Sunita
683437	333702	
683437	349431	
683437	359157	Mamta
683438	4419	Neena
683438	92406	Dr. Kabir
683439	27388	Soni's mother
683439	76415	Sushila Singh
683439	76463	Widow
683439	85276	
683439	95053	Saraswati Shinde
683439	152815	Jeetu's mom
683439	162687	
683439	175253	Kamla
683439	181482	Sunanda Singh
683439	182339	Rachna Patil
683439	182340	Esha's mother
683439	211421	Gayatri Sharma
683439	271046	Mrs. Singh
683440	8410	Nittilai
683440	46726	Chanda
683440	60467	Cheluvi
683440	76463	The Girl
683440	77573	Lakshmi
683440	86637	Pooja
683440	86684	Gauri
683440	89284	Krishna
683440	92406	Ramabai Ambedkar
683440	170910	
683440	172338	The girl as grown up
683440	178299	Jaya
683440	208545	
683440	215835	Neelima
683440	222092	Mukta
683440	268098	Geeta
683440	357371	Radha
683440	363968	Priya
683440	381125	Ulka
683441	288242	Babhi
683441	350695	Laxmi
683442	53755	
683442	124034	
683442	131298	
683442	180109	
683442	239368	
683442	339749	
683442	370596	
683442	402897	
683443	315975	Friend,
683444	115649	
683445	114766	
683445	376600	
683446	111582	
683446	134948	Helen
683446	136451	
683446	178715	
683446	180100	
683446	242691	
683447	8716	
683447	85282	
683447	86657	Special Appearance
683447	156256	Kanchan
683447	201046	
683447	217147	
683447	220855	Reshma
683447	246089	Jyoti, bhabhi
683448	303706	
683449	319302	Jäätelömyyjä
683450	184890	Sister Stella
683450	238803	Expedit
683450	283694	Teacher
683450	348985	IInger, André's Mother
683450	349027	Eva
683450	398852	Elsie Lovgren
683450	405619	
683451	107882	Pix
683451	122273	Anna Landin
683451	163936	Karin Bökman, Kreuger's secre
683451	287376	
683451	312072	Child-minder at a Day Nursery
683451	326010	Lillemor Hershagen
683451	333050	
683451	389397	Karin, nurse
683452	164782	Veterinary
683453	387766	Fostersyster
683453	400779	Rebecka Ståhl
683454	103734	
683455	174165	
683455	374770	
683456	538	
683457	18607	Emily
683457	124110	Pam
683457	163344	Katie
683457	343201	Tyler
683457	348545	Holly
683458	37117	
683458	111353	
683458	208464	Barnarda Bumke-Bollermann
683458	259601	
683458	290793	
683458	397451	
683459	363261	Irma
683460	96064	Kovács Marika
683461	134145	Mary Katherine
683462	18617	Autograph Seeker
683462	20218	Frou-Frou the Carriage-Horse
683462	35507	Herself
683462	51799	Emma, Drunk's Wife
683462	68695	Parole Board member
683462	68872	Computer
683462	71578	Matty
683462	114632	Susette
683462	117682	Amy, the Maid
683462	118231	Mrs. Morgan
683462	129967	Maxine Spelvana
683462	144782	Miss Matthews
683462	178141	Telephone operator
683462	185710	Miss Willoughby
683462	206476	Edie, Florence's Co-Worker
683462	216802	Hazel Gingras
683462	218725	Nutritionist
683462	232085	Wilhelmina Peterson
683462	235405	Gertrude (hypochondriac patie
683462	248877	Miss Grunecker
683462	250811	Helen (theatergoer)
683462	264568	Aurora
683462	276740	Jane Hathaway
683462	284931	Jenny (maid)
683462	297322	Mrs. Howells
683462	299678	
683462	313321	Boarding house woman
683462	314260	Dolores (waitress)
683462	316025	Aggressive Woman
683462	331354	Mrs. Black
683462	342959	Emily Wilkins
683462	351962	
683462	364357	Emily Rothgraber
683462	372346	Marty's mother
683462	381806	Jane Hathaway (1962-1971)
683462	382738	Mrs. Gruber (1973-1974)
683463	56618	Kerry
683464	329470	Herself
683465	299457	Rosie
683466	367353	Lisa's mother
683467	51051	Mrs. Keller
683468	235487	Tiffany Renschaler
683469	334780	Toi's Grandmother
683470	197758	Engagement party
683471	349322	Margitka
683472	87611	
683472	198229	Jana
683472	258628	Brychtová
683472	336555	
683473	20625	Extra
683474	76484	
683474	88419	
683474	181395	
683474	225868	Nastasia Prokopievna
683475	5036	Mrs. Todd
683475	16114	
683475	65501	Nurse
683475	67565	Martha
683475	129821	Butterfly
683475	175263	Keiko
683475	281443	Deena
683475	313406	Additional Voices
683475	313418	Various
683475	317916	Kim
683475	399423	Quon Lee Robinson (1985-1990)
683476	8767	
683476	76868	Mit-chan
683476	145449	Fumi Uehara (nurse)
683476	180593	
683478	374313	
683479	89940	Yuni Puma
683479	298978	Narrator
683479	381166	Mao
683479	390079	Reira
683480	14593	Tare
683480	54890	Shaoran Li
683480	54891	Shaoran Li
683480	103000	Wolf Girl Jo
683480	298425	
683480	310150	Tomiko
683480	319442	
683480	379521	Tetsurou
683480	381067	Skippy
683480	381166	Takao Kinomiya (Tyson)
683480	383459	Shaoran Li
683480	384133	Sumomo
683480	384233	Hans Kukki
683480	390536	Kukki
683480	407381	Tao
683480	411563	Nataku
683481	150509	
683482	258607	
683483	397302	Suliko
683484	4552	
683484	6417	Cikgu Sharina
683484	31460	
683484	103635	Milah
683484	207875	Yohanis
683484	210924	
683484	214899	
683484	248128	Ruby
683484	252196	
683484	271042	
683484	301492	Mona
683484	332279	
683485	379916	Anne Chan
683486	368060	The Jiving Lindy Hoppers
683487	139983	Fujisaki Reiko
683488	94082	
683488	97561	
683489	147980	Devotee
683490	81272	
683491	113303	Clerk of the Court
683492	386608	Joye
683493	303558	Bank Assistant
683494	115174	Rachna
683494	191979	Krishna's Wife
683494	232031	Hava
683495	239389	
683496	122926	Raj Mata
683497	362177	Herself
683497	382932	First Night Gril
683497	405461	Doctor
683498	341613	Essa
683499	77036	
683499	84746	Lakshmi
683499	193476	Punna
683499	221643	Chellamma
683499	228751	Devaki
683499	229346	Neeli
683499	246323	Chinnamma
683499	246991	Dotty
683499	318646	Saraswathi
683500	67480	
683501	2996	
683502	27642	Durga
683502	91588	
683503	10032	
683503	88630	
683503	285539	
683504	149032	
683505	28304	
683505	165005	
683505	165006	
683505	174612	
683505	177987	
683505	209565	Krishna
683505	227114	Kannamma's Sister
683505	370291	
683506	88485	
683507	18111	Newspaper Editor's Daughter
683507	18145	
683507	19365	
683507	27724	
683507	29065	
683507	35973	
683507	36184	Sarada
683507	36185	
683507	58429	Vasanthi
683507	59028	
683507	61533	
683507	69824	
683507	77278	
683507	81967	
683507	86645	
683507	92433	
683507	116778	Guest role
683507	131888	
683507	135229	
683507	135882	
683507	139426	
683507	141831	
683507	162491	
683507	164288	
683507	165389	
683507	173204	
683507	181607	
683507	183091	
683507	184132	
683507	203871	
683507	217196	
683507	226674	
683507	228809	
683507	229963	
683507	252019	Geeta
683507	256848	Kantham
683507	267138	Vasanthi
683507	284826	
683507	286757	
683507	286774	
683507	297055	
683507	297474	
683507	324059	
683507	333757	
683507	349187	
683507	349674	
683507	350575	
683507	354643	Rukmini
683507	370293	
683507	370710	
683507	370921	
683507	373540	
683508	25298	Avvaiyyar as girl
683508	172862	Abirami
683509	5633	
683509	166503	
683510	4864	
683510	9774	
683510	10513	
683510	15812	Mrs. Sanyal
683510	17361	Lalita
683510	19604	
683510	25668	
683510	86650	
683510	135223	
683510	174633	
683510	178203	
683510	180724	
683510	201237	Sulochana Rai
683510	226680	
683510	227129	
683510	270766	Reetu's aunt
683510	271712	
683510	271729	
683510	282230	Sheetal's bhabhi (sister-in-l
683510	324761	Chachi
683511	4396	Aarti Gupta
683511	4859	
683511	6515	
683511	9388	
683511	9810	
683511	17463	
683511	19940	Chhaya
683511	25667	Shobha
683511	25923	
683511	26594	
683511	27724	
683511	27734	
683511	27743	Bina, as a child
683511	27766	Zeenat Jahan Begum
683511	27838	Gauri
683511	29021	
683511	29067	Usha Sen
683511	33934	
683511	35946	Geeta, Shyam's wife
683511	36224	
683511	36545	
683511	58963	
683511	58980	Shoba
683511	59012	Zarina
683511	59390	Chavli
683511	62309	
683511	62370	Chitralekha
683511	76674	Sheetal
683511	77559	
683511	86630	
683511	86645	Sita
683511	88489	Guest Appearance
683511	95234	
683511	95444	
683511	95445	
683511	98496	
683511	98499	
683511	109107	
683511	116913	Mala
683511	124190	
683511	127029	
683511	131181	
683511	137400	Niloufer
683511	137816	
683511	138592	
683511	156601	
683511	164743	
683511	164841	
683511	165928	
683511	171762	
683511	174310	
683511	177130	
683511	179349	
683511	184142	
683511	184161	
683511	186783	
683511	199635	
683511	199644	
683511	200587	
683511	201022	
683511	201025	
683511	201272	
683511	210492	
683511	211399	Anandi Devi/buaji (aunt)
683511	215587	
683511	226754	
683511	228703	
683511	228849	
683511	234885	
683511	246896	Nargis/Sahibjaan/Pakeezah
683511	248965	Lalita
683511	254831	Radha
683511	256166	
683511	256936	
683511	260123	
683511	262455	
683511	267533	
683511	268072	
683511	283150	
683511	284761	
683511	285498	
683511	285539	Chhoti Bahu
683511	287086	
683511	287522	Gauri
683511	288661	Ramesh's Wife
683511	289077	
683511	297576	Sharada
683511	297591	
683511	297744	
683511	300245	
683511	324167	
683511	351120	
683511	370291	Hannah
683511	375204	
683512	77036	
683512	165996	
683512	318205	
683513	4425	Rukmini, Baiju's daughter
683513	289183	
683514	165188	Krishna Bai, dancer
683515	9439	
683515	13319	
683515	23089	
683515	36573	
683515	138344	
683515	162110	
683515	256158	
683515	271920	
683515	319832	
683516	4169	
683516	36254	
683516	36268	
683516	36305	
683516	49167	
683516	62246	
683516	88481	
683516	140006	
683516	141837	
683516	174368	
683516	181041	
683516	181061	
683516	184700	
683516	229332	
683516	287548	Annapurnamma
683516	287687	
683516	295543	
683516	297460	
683516	302817	
683516	312497	Piyari
683516	335741	
683516	355291	
683517	344054	Maharani
683517	401381	Ranee
683518	7765	Meera
683518	124190	Lata
683518	152612	Rajkumari
683519	24741	
683519	27018	
683519	104938	
683519	104939	
683519	104940	Eve
683519	148835	
683519	179701	
683519	193230	Gina
683519	212660	
683519	214714	Raa
683519	217087	
683519	227643	
683519	228025	
683519	243436	Haruko
683519	295639	
683520	131159	
683521	342189	Herself
683521	411574	Presenter
683522	98292	Rollerfahrer
683523	94761	
683523	231208	
683524	305367	Japanese bus passenger
683525	192902	
683525	217268	
683525	344046	Mother of Violeta
683526	45899	Extra: park
683526	299078	Herself
683527	373507	
683528	4247	
683528	4292	Sunil's Sister
683528	25955	
683528	30543	Radhika
683528	38215	
683528	49918	
683528	51489	
683528	59390	Stella D'Souza
683528	68286	
683528	85290	
683528	85370	Rosie
683528	86636	
683528	95237	
683528	98511	
683528	98541	
683528	113333	Lenne
683528	121875	
683528	123736	
683528	123740	Sumitra
683528	124680	
683528	124951	
683528	126973	
683528	137157	
683528	150862	
683528	165854	
683528	171849	
683528	172553	Herself
683528	179349	
683528	184202	
683528	210492	
683528	215200	
683528	219944	Champa
683528	220774	
683528	221189	
683528	228849	
683528	228851	
683528	268106	Juhi
683528	271424	
683528	283150	
683528	286845	
683528	297591	
683528	300317	
683528	303012	
683528	306784	
683528	308364	
683528	320392	
683528	327074	
683528	344250	
683528	348919	
683529	284932	Model
683529	353907	Femme mannequin
683530	201691	Bobbi Sue
683530	255826	Girl on trampoline
683531	396685	Tracey Peverill (1966)
683532	113516	Constanze
683532	230227	
683532	257715	Herself
683533	10656	
683534	134568	Featured Extra
683535	315999	Grandma
683536	293252	Frieda
683537	365591	Lufthansa-Fräulein
683538	12608	
683538	26105	
683538	41598	
683538	50510	
683538	52300	
683538	53047	
683538	77432	
683538	114737	
683538	123783	
683538	167525	
683538	186777	
683538	234846	
683538	263363	
683538	274066	
683538	286225	
683538	299948	
683538	299949	
683538	306023	
683538	306876	
683538	306910	
683538	317915	
683538	324019	
683539	348994	Spirit of Hakumokuren
683540	100038	Un membre de la famille polon
683540	180251	
683541	181840	
683542	260601	Dominika, Noemi`s sister
683542	357968	Karen
683542	404216	Agnieszka Augustynek-Dunin #1
683543	33225	
683545	252412	Une invitée
683545	280513	Spectator
683545	345136	Patricia
683546	239155	
683547	392164	Sanna (2003)
683548	62625	Belli, Daughter
683549	24270	Kumthekar
683549	124957	Sundari
683549	124958	Sundari
683549	127332	Kumar Umedhsingh
683549	183925	
683549	288286	Dancer
683549	373542	
683550	76913	
683550	172561	
683550	207937	
683551	21845	Pramila
683551	207808	Nationalist
683552	33823	Grandma
683552	175658	
683552	312435	Saikal
683552	356917	
683553	238590	Dragonlady
683554	368737	
683555	258128	
683556	462	Magda, Marias Freundin
683556	43185	
683556	74403	Mary,színésznõ és álfeleség
683556	77586	Anna (aka Ginger)
683556	80550	Mitzi (segment Ventriloquist'
683556	141625	Musette
683556	200823	Cili
683556	209628	Yvonne
683556	229481	Klári
683556	239742	Madame Zero
683556	239745	
683556	281422	Mimi
683556	357831	Magda
683557	324704	
683558	130804	'Swan Lake' solo dancer
683559	90544	
683560	63753	Siostra Felicyta
683560	88410	Matczak's Wife
683560	225876	Model
683560	336217	TV Interviewer
683560	394585	Ewa Kowalik (1997-98)
683560	401665	Bozena Paprocka (2003-)
683561	33673	
683562	20625	Extra
683562	114291	Mrs. Cobb
683562	123913	Sara Henry
683562	131472	Big Woman
683562	147645	Ma Tubb
683562	169807	Bit Part
683562	175405	Bit Role
683562	199304	Guest
683562	289577	Cook
683562	308109	Cleaning Woman
683562	367746	Woman in Bargain Basement
683563	222184	
683564	124096	Ghost 4
683565	374351	Momonga no Mama
683566	185307	Sophie
683567	110633	Girl with Bell #2
683568	290511	
683570	6220	Rositza
683570	22009	
683570	30596	
683570	63575	Vnuchkata Petya
683570	98994	
683570	244624	Dora
683570	258536	Sakvartirantkata na Pavlina
683570	373242	
683571	81674	Vestica
683571	343800	Naca
683572	179846	Dina
683573	144448	Girl
683573	192145	Marvel
683573	198023	Little Blind Girl
683573	252286	Trina (at the Age of 6 Years)
683574	275127	
683575	153570	Sasha
683575	194706	Lauren
683575	242514	Lavender Blue
683576	372389	Boy's Mother
683577	174877	Takako Shinoyama
683578	223971	Maid
683579	351297	Ispettore
683580	170539	Sara
683581	197509	Singer
683582	22675	Herself
683583	12048	Mali
683583	32770	
683583	144155	
683583	254374	
683583	290449	Frau Guggenwieser
683583	356202	
683584	19601	Girlfriend
683584	208080	Karen
683585	129961	Andrea
683585	330563	Sharon Watts
683586	318259	
683587	312732	
683588	4162	
683588	16147	
683588	18926	Mamiji
683588	25554	
683588	25976	
683588	76415	Nurse Lily
683588	86674	Smt. Chopra (Sonia's mom)
683588	95448	
683588	98536	Sweety Aunty
683588	109034	Prostitute
683588	126940	
683588	135779	Female cop in Mauritius
683588	141841	Bhigo
683588	152463	Tutisha's girl
683588	152486	Shanti
683588	160178	Minister Rameshwari Verma
683588	166458	
683588	174299	
683588	176029	Julie
683588	176091	
683588	177563	Kamla, Ashok's mother (Guest 
683588	177977	Banhke's wife
683588	180608	Bindya
683588	200648	
683588	200699	Mrs. Singh
683588	217202	Flora
683588	268091	Suraj's stepmother
683588	271450	Manjula
683588	297735	
683588	303586	
683588	318769	Ms. Morillo
683588	323625	Sheena Vasudev
683588	323674	Prema Malini
683588	324154	
683588	329284	
683588	355300	Sampat's assistant
683588	358381	
683588	367213	
683588	407130	
683589	267397	
683591	95953	
683591	244100	A Prisoner
683591	369375	
683592	203604	
683592	406906	Misa Suzuki
683593	226586	Teacher
683594	403996	Sirpa
683595	70972	Arrowhead Zombie
683596	14146	Rachael Newman
683596	126544	Basin
683596	127351	Gia at Age 11
683596	148906	Jill, Party Guest
683596	181005	Abbey Tournquist
683596	201410	Melinda
683596	214228	Martice
683596	231535	Herself
683596	256528	Susie Grogan
683596	287782	Sarah
683596	292011	Host
683596	335053	
683596	335530	Tina
683596	372583	Herself
683596	388343	Meg Griffin (2000-2002)
683596	407929	Jackie Burkhart
683598	280807	
683599	77676	Professional Latin Dance Fina
683600	353125	
683601	33023	Herself
683601	162533	
683602	325620	Frau Karp
683603	343319	
683604	367083	Running Girl
683605	101442	
683606	245649	Pitjantjatjara Woman
683607	397746	Herself
683608	214835	Hilda Lindfors
683608	242259	
683609	256878	Ritu
683610	404782	Nainen baarissa
683611	393764	Aliisa Valo aka Lamppu
683612	341306	Sumiko
683613	342669	Bar patron
683614	28865	Fuko Hosaka
683614	122236	Tamako
683614	174323	Kinuko
683614	318385	
683614	370005	Shion
683615	114835	Florence (Flame)
683616	45009	PD-4
683617	166403	Jedda
683618	374221	
683619	241036	Herself
683621	372331	Melody-Melody
683622	192634	Joyce
683623	356773	Uhura
683624	404067	Anna Maria Schuhmann
683624	404448	Elisabeth von Hohenfels (ep. 
683625	320104	
683626	318488	Prostitute
683627	4760	Brigitte
683627	11783	Lillian
683627	35176	Inge Kuhn
683627	40758	Mrs. Harper
683627	44200	Susanne
683627	48408	Sandra Fachmin
683627	57562	
683627	71109	
683627	82165	
683627	98293	
683627	101343	Sekretärin
683627	119256	Mutter
683627	120954	
683627	121828	Gerda
683627	132239	Lotte
683627	134936	
683627	138731	Mrs. Futt
683627	142213	Susanne
683627	143516	
683627	146870	Eva Braun
683627	150568	Rita Schnabel
683627	155325	Lore Weber
683627	160404	Erika
683627	174752	Margarete Weiss
683627	178620	
683627	189548	Karin
683627	196394	Christiane
683627	209989	Menzels Mutter
683627	210059	Andrea Loren
683627	215089	
683627	219587	
683627	223461	Anna Braun
683627	225192	
683627	225248	Frau Prof. Lichtenegger
683627	225252	Frau Prof. Lichtenberg
683627	225272	Hertha
683627	225275	
683627	227550	Wilma
683627	243885	
683627	253931	
683627	281653	Gertraud Block
683627	281723	Mary
683627	286575	Frau Pfeffer
683627	290104	Frau Ommer
683627	290453	Vicky
683627	295040	Nora
683627	295419	Direktorin Dr. Finkeldey
683627	300995	
683627	308243	
683627	325488	Carola
683627	325504	Frau Rakuscha
683627	325519	Ilona
683627	325824	
683627	334537	Witwe Queen
683627	334609	Frau Weber
683627	340437	Elisabeth Kovacs
683627	345905	Irene Waldegg
683627	346389	
683627	347704	Johanna
683627	352501	Frau Schneider
683627	361404	Nellie
683627	369374	
683627	376406	Rita
683627	376410	Herzogin
683627	377862	Christa Paeffgen
683627	384393	Dr. Helga Ludwig
683627	387302	Richterin
683627	389943	
683627	390194	Olga
683627	393718	Andrée de Taverney-Maison-Rou
683627	399163	Elsbeth Braun
683628	124987	Second Blonde Girl
683629	165966	Skier
683630	306509	Dagmar
683631	353964	
683632	247144	
683633	82880	Renate
683634	184009	
683635	285117	Golda Meir
683636	407801	Alemoa
683637	128964	
683640	15251	La fille d'Eddy
683641	5134	Parole Board Officer
683642	30646	Bored Woman #2
683643	23058	Young Uttuqiaq
683644	259057	Bubukan
683644	263694	
683645	406710	Additional Voices
683646	34288	Melanie Folkerts
683646	119264	Marie-Claire
683646	142267	Susanne
683646	144145	Maria Schreiner
683646	164817	Ann-Christin Hagen
683646	185854	Redaktionsassistentin (Produc
683646	189604	
683646	189642	Katrin Stengele
683646	281717	Lisa Norton
683646	338437	Petra Hirte
683646	352345	Lucia
683646	361708	Babsy
683646	381694	Christine
683646	386906	Laura Sommerfeld
683646	388798	Tabea
683646	394627	Susanne Hauff (1999-2000)
683646	407324	
683646	409625	Corinna Bach (1994-1997)
683647	70178	Madeline
683647	209757	Female Computer
683648	99893	
683649	98413	Jana
683649	164475	Julia
683649	313671	Katja
683650	257470	
683651	120993	Angela
683651	202418	Woman with gun
683651	210027	Sonja Graf
683651	225650	Dietlinde Mohrauf
683651	281720	Harriet Herndon
683651	290729	Antoinette
683651	325415	Anna
683651	325443	Barbara Cossmann-Germeroth
683651	325860	Regina Hollocher
683651	354056	Lisi Ma
683651	364917	
683651	390291	
683652	226172	Narrator
683653	359543	2nd Council Member
683654	209920	
683654	352174	Angela
683655	82523	Stewardess
683655	328551	Marie
683656	293625	
683657	155338	
683657	265402	
683658	317501	
683659	179005	2. Frau Puff
683659	302786	
683659	353438	Maria
683659	388082	Emma D, Co-Host (2004)
683659	391140	Carmen Krause
683659	397853	
683659	405500	Belinda
683660	119660	Sarah
683661	325640	Pensionsinhaberin
683662	48198	Prinzessin Josefine
683662	90991	Sabine
683662	103122	Anna
683662	257468	Silvia
683662	259522	Evelyn
683662	259557	
683662	284999	Baronesse Pepita von Notritz
683662	364959	
683662	373274	
683662	397451	Elfi
683663	18061	Anschi's Mother
683664	34595	Mrs. Dorfmeister
683664	119122	Waltraud Greve
683664	189443	Sekretärin Petzold
683664	210054	
683664	290811	Jutta
683664	317278	
683664	351892	Carmen
683664	395508	Arbeiterin
683665	147193	
683665	184641	Nedrin
683665	290047	Lea Kaminski
683665	314072	Nina Gräfin v. Stauffenberg
683665	338959	Elke Simon/Sonja
683665	352398	Fanni
683666	119137	
683666	386406	
683667	394668	Designer
683668	8748	Yili
683669	39278	
683669	276770	Little girl
683670	266775	Violetta
683670	406321	
683671	307749	Solveig at age 5
683672	17317	Anita Virtanen
683672	142818	Inka
683672	186148	
683672	213417	Employment agency's official
683672	239979	
683672	251987	Mother
683672	255845	
683672	352920	Sari
683672	377292	Anjelica
683672	392233	Anita Virtanen
683672	392353	
683672	409038	
683672	409931	Hanna Hirsch
683673	9239	
683673	283962	
683674	323140	
683675	178376	Statist
683676	181580	Äiti
683676	181589	Anna Kanto
683676	214839	Hotellivirkailija
683676	319302	Kattis
683676	387647	
683676	409843	
683677	8906	Aila
683677	136899	Essi
683677	144058	Laura Karpalainen
683677	168867	Swedish woman
683677	171588	Waiter
683677	172523	Singer
683677	175759	Sirkku
683677	176621	Eeva
683677	179364	Mirjami
683677	181649	Erna
683677	181745	
683677	182013	Woman in a bachelor apartment
683677	186068	Niina Harjus
683677	186071	Annikki
683677	192647	Aino
683677	198263	Aino
683677	213378	Vormiston Alma
683677	233243	Kustaava
683677	233244	People at the dances
683677	266752	Kirsti
683677	302989	Ruth Viita
683677	336832	Dusinka
683677	349946	Pirita
683677	372965	Selma
683678	350673	
683679	350673	Melartin's wife (Melartinin v
683680	73826	Gloria
683681	397746	Herself
683682	392164	Ulrika Lindhof (1999)
683683	37417	
683683	50380	
683683	128641	
683683	291003	
683684	139175	Attractive Woman
683684	199115	Operator #1
683685	35866	
683685	40214	Anna Savishna
683685	48770	
683685	63586	Vera Ivanovna
683685	89982	
683685	94063	
683685	95683	
683685	95746	Sofya Aleksandrovna
683685	148791	
683685	159915	Directress
683685	188525	
683685	212324	Tamara Skarzhinskaya
683685	228927	
683685	237970	Wizard's wife
683685	238320	Klavdiya
683685	244581	Zilov's wife
683685	261318	
683685	261362	Vyazemskaya
683685	261408	
683685	261938	His Wife
683685	263663	Tatyana
683685	263681	Beryl Stapleton
683685	280771	
683685	281042	Ljuda
683685	313890	Anya
683685	316370	Yevgeniya Mihaylovna
683685	324652	
683685	356117	
683685	357440	
683685	373573	Yelena
683685	376218	Trubetskaya
683685	396236	Empress Mariya Aleksandrovna
683685	399473	
683686	8980	
683687	210960	Calabasas Student
683687	411802	Julie Sanderson (1991)
683688	183445	
683688	389949	Carol
683689	131225	
683690	165076	Malgosia
683691	205723	Louise Umphreville
683691	208878	Ruth
683691	256427	Philippa Wormser
683692	73675	Kuia at Te Wano's Funeral
683693	394619	
683694	79799	Mary Berg
683695	154033	Bella
683695	185841	Sarah
683696	380815	Herself
683697	148638	Nora
683698	29243	Jana Arnhold
683698	33161	
683698	33460	Mette Reinders
683698	126449	Katrin Bohler
683698	177150	Frau Wolfart
683698	203767	Gesine
683698	210079	Sandra Franke
683698	242862	Heike Gerritz/Heike Matthes
683698	256975	Petra
683698	290070	Regina Perlman
683698	290549	Anna
683698	290724	Maja
683698	313676	Simone
683698	317276	Inge Gruner
683698	325429	
683698	325434	Ariane Reimer
683698	325585	Margit Brede
683698	334526	Anne Jannik
683698	350870	Claudia Bach
683698	352219	Marion de Winter
683698	361501	Helga Fruehauf
683698	369167	Katherina
683698	386981	Eva Janssen
683698	388950	Babsy
683698	389359	Sylvia Reichert, geb. Wörner 
683698	389361	Daniela Holm (1995-1996)
683698	389962	Karin Meyer
683699	124997	
683700	259463	
683701	4640	
683701	97479	Fay Weldon
683701	130994	
683701	147507	Anny
683701	209950	Dea
683701	259616	Verkäuferin
683701	295835	Frau Schmidt
683701	310897	Marianne
683701	325464	Dr. Manteufel
683701	343680	Evelyne
683701	391604	Dagmar Friese (1997-1998)
683701	411906	Sabine Wittkugel #1
683702	4772	
683702	10970	
683702	24125	
683702	24423	
683702	26252	His wife
683702	29355	
683702	33104	Konstanze
683702	37507	
683702	40405	Frau Breitsprecher
683702	42618	
683702	55180	Carmens Wirtin
683702	75763	Madame Heye
683702	84549	Witwe Erdmann
683702	86303	Annys Mutter
683702	92860	
683702	93447	
683702	94625	
683702	95394	
683702	108156	
683702	110137	
683702	110644	
683702	119153	Frau Hippolt, Haushälterin be
683702	119169	
683702	119179	Tante Rose
683702	119209	
683702	119283	
683702	121029	Gertrude
683702	121798	Frau Reiner
683702	122561	
683702	125284	Dance Hall Proprietress
683702	129707	Frau Maschke
683702	134912	Mrs. Bolte
683702	147168	
683702	155341	
683702	155405	Mrs.Schmidt
683702	155423	The Governess
683702	164828	
683702	165641	
683702	166764	Wirtin/Landlady
683702	169981	
683702	170509	
683702	172850	
683702	175292	
683702	177170	
683702	178356	
683702	179759	
683702	180004	The Countess
683702	186924	
683702	189567	
683702	189826	
683702	197823	
683702	206672	
683702	207749	
683702	213298	Bit Part
683702	220167	
683702	225195	
683702	225222	
683702	226406	Frau Holzapfel
683702	233438	
683702	238927	Anna
683702	243503	
683702	248203	
683702	259189	Jadwiga Kwasinska
683702	264332	
683702	266162	
683702	268904	
683702	280800	
683702	289215	
683702	290624	
683702	290646	
683702	290802	
683702	301012	
683702	311680	
683702	314330	Bella da Vasco
683702	316872	Mutter
683702	318900	Alte Frau
683702	325187	
683702	343476	
683702	345009	Tante
683702	347009	Frau Apel
683702	351227	Mutter Pietsch
683702	352488	
683702	354079	
683702	359688	Frau Findeisen
683702	360946	
683702	375085	Czipra
683702	375990	
683702	376019	
683702	376025	
683702	376343	
683703	189731	
683703	375224	Zena
683704	336290	
683705	187586	
683706	108182	Iris Raban
683707	289372	Featured Extra
683708	392015	Lawyer/Various Characters
683709	339006	Vasilina
683709	350125	
683709	370176	
683709	375463	
683710	412076	Paulina
683711	240386	
683712	265236	
683713	388563	
683713	400678	Helen
683713	402424	Ivonete
683713	409003	Cissa
683713	412179	Roberta
683714	392072	Cilla Lauters (2003)
683715	166667	La serveuse de Thusis
683715	212278	
683715	282239	Frau Hartmann-Hartmann
683716	36875	
683716	36888	
683716	36929	
683716	44406	
683716	45739	
683716	91630	
683716	128554	
683716	152663	
683716	178998	
683716	210452	
683716	220364	
683716	315855	
683716	333831	
683717	328945	Kivana
683718	361324	
683719	344699	
683720	188522	Anna Mikhajlovna
683720	349325	
683721	303905	Alex Girl #1
683722	3966	Hotel Clerk
683722	34347	
683722	47046	
683722	82419	
683722	98270	Secretary
683722	103276	Bambi
683722	129684	
683722	142321	Helgalein
683722	181459	
683722	208204	Miss Spencer
683722	208458	Eva
683722	233049	
683722	268857	Lady Harriet Ripley
683722	277464	Paula
683722	285383	Dally
683722	290787	Frau Sommerhof
683722	293876	Cecily
683722	310495	Ralf's mother
683722	314565	Sylvie
683722	325387	
683722	325423	Frau von Pechelt
683722	325607	Evi
683722	325773	Ellen
683722	326020	
683722	358887	
683722	361529	
683722	361578	Grete
683722	364922	
683722	367191	Liz
683722	376381	
683722	383402	Joan Landor (voice: German ve
683722	389286	
683722	391078	Lilly
683722	392636	Vera
683722	392836	Dagmar Meinberg
683722	396759	Else Wagenseil
683722	399902	Darková
683722	400063	Biggi
683722	402046	Gabi Köhler
683723	78950	
683724	74786	Kucharka
683725	284442	First Violinist
683726	179326	
683726	373573	
683727	304896	Evelina as a Child
683728	383110	Bahsende
683728	404388	
683728	407308	Ipek (1993-1996)
683729	156234	Dancer
683730	164135	
683730	307032	
683730	370634	
683731	6781	Plesnicka
683731	26177	Grandmother
683731	55880	Mother
683731	85220	
683731	216569	
683731	226732	
683731	229914	Chválová
683731	247866	Babicka
683731	266534	Mother
683731	268216	Farmer's wife
683731	280375	Trísková
683731	283018	Minaríková
683731	284012	
683731	343778	
683731	352779	Marenka, wife from Pavlas
683731	375402	Mariina babièka
683732	172276	Soldier's wife
683733	293678	Sadist Queen
683734	201623	
683734	253497	Herself
683734	367883	Herself
683735	122957	(story 'Shokki')
683736	372632	Miss Carson
683737	174336	
683738	35935	
683739	195628	Shinobu Maehara
683739	195629	Shinobu Maehara
683739	195630	Shinobu Maehara
683739	195631	Shinobu Maehara
683739	382610	Risa
683739	394425	Mayura Lapats
683739	394997	Karinka
683739	402729	Shinobu Maehara
683739	404572	Xeres Adjani
683740	9560	Midori
683740	172116	Koike
683740	174527	Hanae
683740	229813	Fumie Hara
683740	242210	Ohyaku
683740	242229	
683740	243902	Oito
683740	299235	
683741	13395	TV Reporter #1 (segment "Blue
683741	283282	Yip Yap
683741	318781	Kim
683742	124843	
683743	95553	Petite fille
683744	95553	Petite fille
683745	16535	Hideyo Yoshida
683745	77519	Rie
683745	146906	
683745	182058	Asami
683745	275142	
683745	277293	Miki Ikegami
683745	293565	Yoshie
683745	318545	Miki
683746	361045	Marlene Wegner
683747	260599	Khadzhar
683748	60458	Shamama
683749	34707	Head Valley Girl
683750	70419	Partygoer
683751	275169	Ria Hackin
683751	368408	Herself (Pan-Arabic Presenter
683752	406452	Herself - Finalist (2004)
683753	350833	
683754	71474	Dancer
683755	38443	
683755	63985	
683755	87199	
683755	96432	
683755	96484	
683755	140596	
683755	172973	
683755	180227	
683755	322545	
683755	350843	
683755	395012	Salih's mother
683756	304896	Evelina
683757	265545	
683758	180367	
683758	230223	Ksanka
683758	236065	
683759	155997	
683760	66017	Ozana
683761	27598	Herself - Participant
683761	403530	Herself - Participant
683761	403531	Herself - Participant
683761	403535	Herself - Participant (2003)
683761	403536	Herself - Participant (2003)
683762	360841	
683763	130730	Bicycle Shop Woman
683764	372089	Mary
683765	216278	Ärztin
683766	16928	Model
683766	193457	
683767	8756	Servant Girl
683768	177791	Chun Mei
683769	283775	Herself
683770	228154	Milkmaid
683771	192900	Valerija
683772	17556	
683772	381530	Sonya Dolgorukaya
683773	358564	Mrs. Ross
683774	234882	
683775	303798	
683776	9594	Ponta - a Geisha
683776	61106	Joli-Coeur
683776	176611	Murae
683776	176612	Murae
683776	176613	Sumie
683776	182075	Yumeko, Maid
683776	229964	Masahiko's mother
683776	230142	
683776	370419	
683777	194618	Karina
683777	233644	Karina, niña
683778	118814	La Güera
683779	384217	Wickie
683779	397830	Limit
683779	409286	Nana Izumi
683780	387227	Herself - Correspondent
683780	402973	Co-host
683781	229932	
683781	409842	Alice Morino
683782	394466	Haruka Suzumiya
683783	76379	Kana, the school's journalist
683783	137342	Lucy
683783	181971	Erika
683783	212109	Lin
683783	370786	Atsuka Tohno
683784	388225	Mariko Hayama
683785	165202	(segment 'Justice')
683785	394099	Smart Lady
683786	44585	
683786	98585	
683786	137267	Noriko, the 2nd daughter
683786	137341	Hatsuko Kanda (Captain Kanda'
683786	145448	Teacher Miyagi
683786	160096	Omitsu
683786	173275	
683786	174347	Kiyoko Kazuki
683786	203604	
683786	210370	
683786	219725	
683786	244527	Machiko
683786	268749	Oshima Kazuko
683786	287161	Keiko Mitani
683786	294265	
683786	294267	
683786	294312	Yasuko Kazami
683786	296989	
683786	298973	Haruko
683786	299116	Chika
683786	299117	Shino
683786	299254	Komichi
683786	358134	Keiko Kamiyo
683787	49935	
683787	182507	Female Student (ep.1)
683787	244232	Nakamaru Yôko
683788	62606	Aya
683788	179552	Prostitute
683788	181995	
683790	406306	Herself (1998-2001)
683791	260819	
683792	12205	Female TV Reporter
683793	418	Meredith
683793	41586	Herself
683793	67137	
683793	138199	
683793	154425	
683793	169372	Kate
683793	169382	Grace
683793	178866	
683793	197773	
683793	228031	
683793	231069	Geoff's wife
683793	264488	Mum
683793	300518	
683793	302686	Mrs. Herbert
683793	330155	
683793	365531	
683793	366766	Herself
683793	389767	Various
683793	399991	Various Characters
683793	402197	Noeline Bourke (1979, 1980)
683793	410653	
683793	411348	Various Characters
683794	150689	
683794	226644	Ohama
683794	239292	Young Miss
683794	245865	
683794	275061	Tomoko Mizuhara
683794	300470	Tokiko
683794	371832	
683795	384232	Rui Senda/Doctor Mazenda
683795	390397	Gara
683796	9276	Prostitute
683797	177381	Athena Asamiya
683797	381035	Ran Ayukawa/BF Tentou
683798	153891	
683799	167537	Kumi Ikegata
683799	198947	Hiromi
683800	159830	Fuku
683801	98446	
683801	217615	Ryoko
683801	328016	Hitomi
683801	348978	Micki
683802	280398	
683803	65578	Customer with Vaseline and Ru
683804	30988	Takako Chigusa - Girls #13
683804	131290	
683804	161518	Governors Daughter
683804	163846	Noguchi, Yuki
683804	169734	Mizuho Tamura
683804	172987	Reika Dojima
683804	176711	Gogo Yubari
683804	298836	Sayori Hiura
683804	334822	
683804	402714	
683805	95489	Prairie Woman
683806	15202	Anne
683806	195093	Imke Seibel
683806	233174	Regina
683807	193554	Aimo's co-worker
683808	153658	Heidi
683809	218059	
683810	269121	
683811	7610	
683811	33735	
683811	33801	
683811	40209	
683811	63616	
683811	63622	
683811	92325	
683811	120673	Mlynskaya
683811	229035	
683811	262176	Galina
683811	293941	
683811	297458	Yelena Sergeyevna
683811	305294	
683811	343391	Nina
683811	351357	
683811	356118	
683811	357336	Svetlana
683811	374867	
683811	376218	Rayevskaya
683811	411980	Lotta
683812	402348	
683814	151741	
683815	188933	Päivi
683815	393017	
683815	394236	Minttu
683815	394538	Leea Kaila
683817	353499	Herself (Model)
683817	353500	Herself (Model)
683818	261319	
683819	157342	
683819	374430	
683820	75757	
683821	70516	
683822	231216	Angela
683822	397028	Host
683823	344323	
683824	281655	
683825	43021	
683826	258100	Sandra
683827	270622	Irene
683828	324653	
683829	337253	Hilla
683830	97438	Anneliese
683831	5029	Jeannette Kim
683831	13949	Kikusen
683831	25367	
683831	67569	Linda
683831	76496	Vicki
683831	90786	ICU Nurse
683831	95877	Nurse Lin
683831	141425	Dr. Alice Morisaki
683831	183874	Jack's Secretary
683831	185828	Nurse Ruth
683831	230398	
683831	253337	Dr. Nancy Lee
683831	263057	Reporter
683831	297990	Regina
683831	316225	Min
683831	317945	Mrs. Lee Lee
683831	364612	News Anchorwoman
683831	368687	Cory Chu, Ch 5 Anchor
683831	371011	Mrs Lee
683831	411802	Candice Katsumoto (1998)
683832	8678	'Yamanashi-Ya' no tsuma
683832	173872	
683832	201090	Mrs. Kobayashi
683832	233135	
683832	324285	Man in White Suit's Mistress
683832	341275	Sakazaki (head nurse)
683832	386033	Queen Ahames
683832	389393	
683833	255314	Yayoi
683834	104274	Kayo Mishima
683834	348571	Omitsu
683835	390731	Tomoko Nomura
683836	370348	
683837	335271	
683838	99171	Milfa
683838	401393	Keyne Aqua
683839	323886	Mint
683840	359612	
683841	43898	Akiko Kusatsu
683842	17420	
683843	72935	Fudor Sprite
683844	216649	
683845	181971	Mei
683846	379475	Nagaoka Mie
683847	244231	Herself
683848	16537	Ai Konno
683848	21870	Satomi Makiko, the Second Dau
683848	122955	Machiko Kubota
683848	137383	Kirino Takei
683848	138052	Konami
683848	138101	Yuri
683848	139831	Endô, Youko
683848	149125	Yoshimi Matsubara
683848	171425	Harue, Mother
683848	175715	
683848	177122	Hiro Sato
683848	180593	Sumi
683848	181964	
683848	285101	Sada Abe
683848	294181	
683848	299350	Rinko Matsubaro
683848	320463	Fuki Kawamoto (Moe's Mother)
683848	322642	Kiharu
683848	379508	Mami Hirose
683848	390333	Noriko Togashi
683848	392626	Mitsuko Iijima
683848	396534	Kyoko Kurosawa
683848	400618	Miyako
683848	403411	Rieko Miyashita
683848	411641	
683849	179487	Kumi
683850	301685	Kohl
683851	179493	Watabe, Atsuko
683851	384077	Juri
683852	392570	Kamiya, Chiyoko
683853	41790	
683853	137380	Aiko (Harada's niece)
683853	177856	
683853	280603	Rinko Tatsumi
683854	182070	Herself
683855	397129	Claire Kurosawa
683857	146916	Emiko, Taizo's wife
683857	234916	
683857	241920	Reiko
683858	163011	Chihiro Moritani/Isola/et al.
683858	299327	Yoshiko Yamazaki
683859	180053	Fumie
683860	21822	Chouko Yamaguchi
683861	394255	Emily
683861	401245	Rosalie
683861	408485	Emmy
683862	43898	Nagi Kirima
683862	172987	Yuki Kawamura
683863	166378	
683864	45331	Yuuko
683864	174716	Reiko Aoyanagi
683864	174879	Maki
683864	201375	Ohiro
683864	269897	Masumi Kubo
683864	373223	Tsuyako Tukikawa
683864	391367	Miho Takikawa (Pt.1)
683864	391576	Serina Noguchi
683865	95987	
683866	181315	
683866	195037	Ewa
683866	225809	
683866	373795	Marta
683867	76120	
683867	88410	Pregnant Woman
683867	95960	Woman in Supermarket
683867	179708	
683867	181147	
683867	231358	
683867	369017	
683867	398897	Krystyna Michalska (2004-)
683868	183843	Rosalie
683869	17691	Mrs. Petronella Van Daan (Aug
683869	19556	Ali
683869	138092	Voice
683869	150510	Narrator
683869	318789	Mrs. Tanikawa
683869	336581	Narrator
683870	266736	
683871	407109	Herself (2004)
683873	381908	Herself (Winner, season 2)
683873	399180	Presenter
683875	89786	
683876	163038	Susjeda Tanja
683876	356072	Bibi
683877	186897	Baustellen-Chor/Construction 
683878	364376	Double Dutch Girl
683879	224070	Special Extras
683880	251040	Bucky's wife
683881	218669	Herself
683882	2042	Herself (Pretty Funny Female 
683882	67979	Herself
683882	245237	Comic
683883	380739	Tuðçe
683885	17527	Anne-Miggeli Tschudi
683886	162307	Zeliha
683887	104739	Yugoslav entry (13th place)
683887	170211	Herself
683888	249883	
683889	32240	Alison Murphy
683890	49277	
683890	56545	Herself
683890	216297	Sabine Mueller
683890	223110	Clara Schumann
683890	232798	Hermine
683890	259451	Annette
683890	259460	
683890	259684	Annette
683890	317270	Tine
683890	365569	
683891	126346	
683892	290108	Lisa Engel
683893	34508	
683893	63925	
683893	99754	
683893	129135	
683893	136260	
683893	145186	
683893	197428	
683893	225585	
683893	228131	
683893	236935	
683893	237342	
683893	242646	
683893	268812	
683893	300642	
683893	324297	
683893	349763	
683893	371649	
683894	134418	Playmate #2
683894	257633	Herself (2002 Playmate of the
683894	257660	Herself
683894	319454	Herself (2002 Playmate of the
683895	239394	Jane
683896	207266	Mercedes
683897	137016	
683898	213507	
683899	57873	
683900	76550	Elsie Vernon
683901	366070	Additional Hoochie in Limo
683902	322544	Hotline Girl #8
683903	5579	
683903	99191	
683903	335985	
683904	386891	Nurse Zoe Lawton (1965-1966)
683904	396088	Evelyn Corby
683905	209847	
683906	283939	Herself
683907	249585	Herself
683908	355980	Dr. Nadine the Sex Machine
683909	7155	
683909	134655	Squad & Dropship Voices #10
683909	150998	Kathy's Mom
683909	182506	Additional Voices
683909	213448	
683909	244034	Additional Character Voice
683909	265364	Cindy
683909	269596	Julanar/Katrina
683909	289314	
683909	313402	Computer voices
683909	313425	Ingrid/Computer
683909	313465	Leia Organa
683910	398585	
683912	33375	Nurse
683912	43909	Fritzi
683912	44509	Marlene
683912	57929	Emily's Mother
683912	66924	Psychiatrist
683912	69047	Esther Chambers
683912	74247	Russian Girl
683912	81316	
683912	89147	Miriam
683912	120551	Brian's Mom
683912	157720	Mrs. Stein
683912	211698	Rita Teichmann
683912	220973	Renee Isaacs
683912	231900	Eileen
683912	234676	Gretchen
683912	241141	Max's mother
683912	241799	Marcia
683912	247567	Marcie
683912	257921	Jo
683912	276085	Rae
683912	283548	School Clerk
683912	315271	Sheila Morrison
683913	313459	Jawa
683914	48461	Vintage Picture Model
683915	2527	Herself
683915	2762	Presenter
683915	2771	Herself
683915	2779	Herself
683915	2816	Nominee for Best Performance 
683915	8075	Edie
683915	8631	Muriel McComber
683915	16099	Mrs. Johnstone
683915	27952	Doris Steadman
683915	35169	Joan Bixler
683915	47004	Megan
683915	48468	Mrs. Livingston
683915	55045	Ruth Walter
683915	64734	Diane Siegler
683915	74010	Dr. Regina Greenbaum
683915	78093	Madame de Volanges
683915	95328	Jean
683915	112216	Gwen Landis
683915	114165	Marsha
683915	118807	Dr. Sandra Landry
683915	126544	Beverly Landers
683915	135572	Jackie Willis
683915	139788	Veta Simmons
683915	150879	Bananas Shaughnessy
683915	156785	Joanne Winstow-Darvish
683915	161383	Herself
683915	189233	Dana Appleton
683915	191857	Allison Bryant
683915	206356	Jane Tremont
683915	207866	Roberta
683915	224224	Hope
683915	240032	Gwen Simpson
683915	241270	Emily
683915	245506	Rosalee
683915	261290	Marla Harper
683915	265749	Kay
683915	273473	Charlane McGregor
683915	283183	Mrs. Mimi Jared
683915	299469	Leslie Marshall
683915	304528	Shirley
683915	304738	Binny Redwine
683915	313141	Sharon
683915	315774	Queen Evilia
683915	328594	Marcia Hobbs
683915	333349	Patricia
683915	340827	Miss Rollings
683915	345853	Rita Altabel
683915	353314	Tina
683915	358667	
683915	358672	Caria
683915	363977	Mommy Weed
683915	365559	Verna McGrath
683915	365574	Sierra Lambert
683915	368363	The Hooker
683915	380713	Ellie Bradley (1971)
683915	396047	Effie Conklin
683915	396110	Laurie Morgan
683915	397002	Skit characters
683915	398208	Betty Borg Ramsey
683915	398213	Herself
683915	400917	Judy Burkhard (1996)
683915	405494	Alexandra 'Alex' Reed Halsey 
683916	313459	Jawa
683917	322516	
683918	11955	
683918	31902	Joss
683918	86021	Trish Thurston
683918	90800	Jamie Carpenter
683918	130063	Maggie
683918	152960	Kris La Salle
683918	193956	Amy Casella
683918	222216	
683918	230499	Heidi
683918	245020	Casting Director
683918	260138	Psychologist
683918	295619	Chloe
683918	317340	
683918	362774	Sarah Cooper
683918	380997	Rosa Tench
683918	387152	Lindsay Blaisdel (1981) (orig
683919	116053	
683919	179041	Sheila
683920	397843	Lila
683921	27462	
683922	117778	Abused Stranger
683923	203832	
683924	267235	Pooja's Cousin
683924	272493	
683924	312454	Aswathy
683924	409747	Anchor
683925	311132	Brothel Madam
683926	82855	Yôko Yagami/Pink Racer
683926	125249	Yôko Yagami/Pink Racer
683926	389836	Yôko Yagami/Pink Racer
683926	409726	Ikumi
683927	236633	Iti
683929	17835	
683929	343376	
683930	217274	
683931	401665	Halina Lasek Sroka
683932	165408	Dziewczyna Stygmy
683933	66263	Ferde's Neighbour
683933	89474	Judym's Aunt
683933	95981	Weronika Zumpe
683933	138398	Sluzaca Wegrosia
683933	165037	Mother
683933	181408	
683933	215214	Old Woman
683933	220234	Charwoman
683933	234268	Servant Ludwiczka
683933	237443	Nieborak's mother
683933	282762	
683933	282768	Bride Szulc (episode 1)
683933	301097	Grandmother Olenka
683933	305434	Child's Mother
683933	311255	
683933	341070	Woman in Court (segment "Rozw
683933	393306	Antonina Serce
683934	29508	Christie
683934	56100	Madame Charpillon
683934	99362	
683934	106742	
683934	153871	La fille
683934	225456	La fille
683934	258853	Agathe
683934	268388	Phémie
683934	362080	
683934	390520	La jolie blonde (segment "Ren
683935	186649	Herself
683936	101233	Child at Luxembourg Gardens
683937	24459	
683937	46612	
683937	131016	
683937	188749	Bridegroom's aunt
683937	204660	
683937	271885	
683937	284411	Gouvernante
683937	285382	Tante von Harry Reims
683937	316872	
683937	339384	
683937	352389	Princess Alloysia
683938	2440	Hedwig Heizer
683938	5131	Anna
683938	11865	Frau Schütz
683938	17315	Patientin/Rosa Luxemburg
683938	40960	Frau Kowaschewsky
683938	93462	Fräulein Buschwind
683938	145605	Dora Heuss
683938	179608	Frau von Bredow
683938	186606	Frau Brederkopf
683938	193460	Oberschwester
683938	229594	Nekro-gang member
683938	286780	Kundin
683938	313649	Frau Schubert
683938	314570	Nachbarin
683938	325429	Frau Kühnle
683938	325535	
683938	328518	Frau Braun
683938	334621	Spinster (in Friday episode)
683938	336508	Frau Lutz
683938	341781	
683938	355239	Reporterin Carola Schrecksch
683938	388950	Frau Gerrits
683938	393255	Frieda Klütz
683939	249585	Herself
683940	980	Agent July
683940	132530	Whitney the waitress
683941	207677	
683942	35841	Girl
683942	101005	Ewa
683942	159489	Anka
683942	189368	Natacha
683942	242279	
683942	357963	
683943	135195	Opera Singer
683944	180220	Elke
683944	259597	
683944	324322	
683944	324511	
683944	395508	
683945	115196	Dancer
683947	12752	Herself - Nick's mother
683948	412316	Helena
683949	91912	Pauline Monier
683950	305560	
683951	4558	
683951	8593	
683951	9569	Atsuko Yura
683951	17424	Rie
683951	29322	Akiko Katsuragi
683951	37620	
683951	43445	Ikako
683951	61050	
683951	63542	
683951	76877	
683951	76894	
683951	76977	Sobei
683951	121934	
683951	123473	
683951	127857	
683951	130554	
683951	137041	
683951	137299	
683951	138043	
683951	138051	
683951	138099	
683951	139741	
683951	144440	Iyo
683951	149098	
683951	149100	
683951	149132	
683951	149539	
683951	149674	Kyoko Hinatsu
683951	153866	
683951	153867	
683951	161687	Umeko Inugami
683951	164254	
683951	167904	
683951	168102	Otomi
683951	169271	
683951	174881	
683951	176591	
683951	178306	
683951	178311	
683951	179305	
683951	179494	
683951	213007	Ayako, Yumiko's sister
683951	213008	Hisako
683951	225901	Akiko's sister
683951	229582	
683951	232580	Mrs. Togo
683951	233111	
683951	233112	
683951	233124	
683951	234529	Kinuyo
683951	242183	
683951	242184	Miss Kinoshita
683951	242200	
683951	242364	
683951	243314	
683951	277356	
683951	288187	Saiko
683951	288191	
683951	294149	
683951	294547	
683951	296632	
683951	296633	
683951	296634	
683951	296641	
683951	296644	
683951	298837	
683951	298951	
683951	298989	
683951	308894	Reiko Koike
683951	309160	Umeko Nagai
683951	318401	
683951	322740	
683951	334938	
683951	344262	Geisha Kayo
683951	370300	
683951	371986	
683951	375589	
683951	375596	Saiko
683951	375597	
683951	375603	
683951	375604	
683951	375606	
683951	375608	
683951	375609	
683951	375611	
683951	375612	
683951	375614	
683951	379519	Suzuyo Oyama
683951	397985	Oko
683952	348994	Kinuta
683953	123113	Luffy
683953	155714	Uzuki Toreishi
683953	396491	Miki Yumeno
683954	172050	Kiyoko Ogata
683954	275748	
683954	285613	Sodegaki
683954	348979	Oman
683954	373221	Old lady in the comb shop
683955	57929	ABA Student
683956	405275	Makoto Aikawa/Kai Kitazawa
683957	358425	
683958	216649	
683959	9189	Tatsuko Wakai, nurse
683959	9190	Tatsuko Wakai, nurse
683959	375558	Tatsuko Wakai, nurse
683960	401057	Sedussa
683961	411738	Nasutei Yagiyu
683962	37716	Gold Butterfly
683963	232610	Matsue's mother
683964	297182	Mai Kishikawa
683965	14302	
683966	335986	
683967	1882	Misako Kurata
683967	130540	
683967	130541	
683967	176206	Shino Takeuchi
683967	263361	Ikuyo
683967	269089	Yuriko Shirakawa
683967	297182	Tamako Tamura
683967	307595	
683967	323115	Terue (Akihiko's mother)
683967	325208	Iguchi's Mother
683967	393789	
683967	394465	Setsuko Nagai
683968	351967	Vera
683969	232610	Matsue Kawamoto in upper clas
683970	232610	Matsue Kawamoto in lower clas
683971	374104	Ume
683972	410444	Lemon (Japanese version)
683973	394338	Host
683974	139833	Birgit
683975	126420	Gesine
683976	98415	Antonia
683976	325688	Gerda Martin
683976	329022	Hodel
683977	262754	
683978	280016	Additional Party Guests
683979	117344	Tiffany, the Waitress
683979	231835	Sexy Girl
683980	23441	Dotty
683980	37894	Woman #2
683980	68023	Gwen
683980	87223	XTV Reporter
683980	187191	Boutique Saleswoman
683980	366103	Suzanne/Jiggly Wrigley
683980	385174	Cammie/Lisa
683980	386381	Herself (2002-)
683980	396359	Various (1997-1998)
683980	397908	Ms.Peck, Stacey
683980	400688	Herself - Co-host
683981	14620	
683982	357265	
683983	14141	Carol
683983	69895	Scientist
683983	241404	Polly the Postal Worker
683983	257810	Casting Assistant
683984	169884	Bright Flower
683984	204358	16th Floor Nurse
683984	379916	Nancy Chan
683985	343834	
683986	298810	Nataha
683987	154854	Tom Tom Girl Mama
683988	215157	Jill (student)
683988	313087	Lisa Roberts
683989	108854	
683990	119019	Devochka
683991	272440	Extra
683992	399769	
683993	313176	
683994	222784	Basement Girl #5
683995	58273	Anicka
683996	262564	Miss teacher (Na brigade)
683997	324551	Liquid Silver Dancer
683998	58160	Bride
683999	38022	Speed Walking Doctor
684000	345857	TV anchor
684002	381694	
684003	121811	
684003	136222	
684003	381694	
684004	136902	
684005	231358	Hela
684006	189408	Pizza Parlor Waitress
684007	397910	Herself/Host
684008	179198	Jadzka Pawlak
684008	187786	Ulka
684008	231619	Jadzka Kargul
684008	234268	Emilka Niechcic
684008	238815	Girl from train
684008	286652	Jadzka Kargul
684009	405282	Zaenab
684010	206240	Jessica
684011	75207	Harasta, the Poacher
684012	404627	Maria, Parson's Daughter
684013	108933	Koala Klub Dancer
684014	400698	Troupe du Palace
684015	555	Child
684016	267573	Herself - Interviewee
684017	267573	Herself - Interviewee
684018	93391	
684018	122317	Hausmädchen
684018	244197	
684018	244201	Sabine
684018	257715	
684018	272609	Madame Sybille
684018	280309	Eva
684018	387770	Yvonne
684019	309369	
684020	86752	
684020	263755	Ella Louise Harelman
684020	314127	Joan
684020	348592	The Wife
684020	350432	Butter Nygvard
684020	362497	Mrs. Nowinski
684021	281834	Ruth Reichenbach
684022	73744	Hospital Receptionist
684023	64740	Moko/Lezloon
684024	218248	La soeur
684025	11907	Heidi Müller
684025	31915	Mareile
684025	81764	Nightclub receptionist
684025	102385	
684025	119247	Peggy Day
684025	141962	Frau Blöbeli
684025	187521	
684025	211120	Arsinoé
684025	213575	Yam-Yam
684025	237446	
684025	290219	
684025	325802	Frau Bossart
684025	361007	Dolly
684025	386426	Helga Hug
684025	398359	Nannerl Mozart
684026	339925	
684027	266929	
684028	81518	Lisetta
684029	345786	Sample Lady
684030	83766	
684030	132730	
684031	82436	Ada Gobetti
684031	386745	Signorina Linda
684032	40552	Mrs. Dombrowski
684032	45668	Marge (segment "Crush")
684032	74112	Marge
684033	2172	Natasha
684033	130198	
684033	163912	an actress
684033	176048	
684033	180360	Alyona, a stewardess
684033	217284	
684033	299554	
684033	349158	
684033	352805	
684034	265939	
684035	172112	Ine
684036	4130	
684036	21817	
684036	88489	
684036	266964	
684036	287805	Sarala
684036	349168	Tamakoto Dayu
684037	85840	Dyak Dancer
684038	210390	
684039	186960	
684039	295111	
684040	38792	Suryamukhi
684040	85431	
684040	86077	
684040	159241	Bamni
684040	172933	
684040	252811	
684040	275425	
684040	325091	Durga
684040	350749	
684040	359045	
684040	393276	
684040	408314	
684040	409096	Nyai Jayakatwang
684041	149890	Visitor of Salon "Uonome"
684042	61220	Mariyo
684042	125199	Tsuyue
684042	138086	Oume
684042	173105	Sayoko's mother
684042	174872	Kokin
684042	182042	Kane
684042	335317	Landlady
684043	8756	
684043	9297	Yoshiko Masuda
684043	89049	Misao Sawagami
684043	102679	Itsuko Masaoka
684043	121933	Akiko Utsugi
684043	169266	
684043	170337	
684043	172267	
684043	174869	Yoko Kashima
684043	176211	Oren
684043	182056	Hideko
684043	182478	Noriko Tokiyasu
684043	242198	
684043	324640	
684045	190435	Olga
684046	168299	
684046	230904	Angela
684047	64689	Stanislawa
684047	101005	Mother
684047	159489	
684047	293700	Guard I
684048	164016	
684049	320396	
684050	294160	
684051	61261	Maddy
684051	212172	
684051	403389	Glorette Carson
684052	8364	
684052	181510	
684052	210283	Valeriya
684052	265545	
684052	284065	Fox Twin
684053	8364	
684053	181510	
684053	210283	Lyudmila
684053	228113	
684053	243880	Prishchepkina
684053	265545	
684053	284065	Fox Twin
684053	344964	Liza
684053	405272	
684054	226267	
684055	377818	Sári
684056	1311	Madre (Episodio de Marcelo Sc
684056	132719	
684056	197440	Verónica
684056	294352	Fabiana
684056	354107	Zulema
684056	376860	
684056	378958	Eugenia Dalton (Cuca)
684056	379853	
684056	379889	Luz
684056	380106	
684056	383291	(1999)
684056	385402	Julia Rodríguez de Soler
684056	385849	
684056	387098	Claudia Iturbe Montalbán
684056	390504	
684056	390614	Alejandra
684056	391850	
684056	392609	
684056	395252	
684056	396149	Carla
684056	396781	Mariana
684056	397590	Ana Velazco
684056	398842	Claudia
684056	399627	
684056	401358	Sabrina
684056	402151	María del Carmen
684056	402630	Diana
684056	407857	
684057	57613	Majka
684058	260781	Girl in the Wood
684060	163822	
684060	253333	
684060	380363	The mother
684061	104716	Herself
684061	104717	Herself
684062	335938	
684063	349221	
684064	34058	
684064	53870	
684064	136707	
684064	136910	
684064	143178	
684064	148801	
684064	254225	
684064	295505	
684064	303420	
684064	394578	
684064	401244	Perihan
684064	412318	Leyla
684065	34070	Assistente Gâmbolo
684065	356196	
684065	379450	Silmara
684065	384645	Tininha
684065	384922	
684065	386420	Dora
684065	386421	
684065	392747	Student
684065	410348	Dina (episode "Assim é se lhe
684066	55154	Francisca
684066	380331	Helena Ferraz
684066	384117	Maria Gonzaga do Amaral
684066	384711	Rita/Mérilin Monteiro
684066	384922	Samantha
684066	385025	
684066	386123	Carol
684066	397544	
684066	400097	Julia Grilo
684066	402928	Rosa
684066	404947	Carla
684066	409405	Lulu
684066	409814	Scarlet de Araujo Goes
684067	244194	(segment "Quem Seria o Feliz 
684068	13360	Carolyn
684069	286464	Therapist
684070	39626	Andrea
684071	12849	
684071	375979	
684072	42618	
684072	119204	
684073	126461	Postbeamtin Schachner
684074	261372	
684075	76083	
684075	180361	
684075	261336	
684075	374431	
684076	340065	
684077	127022	Yamuna
684078	191933	Jean Cameron
684078	206889	
684079	339476	
684080	392913	Host (2001-2004)
684080	404304	Host
684081	7516	
684081	53294	
684081	110400	
684081	179697	
684082	167691	Anchorperson
684082	195305	Herself
684083	348707	
684084	68300	Commander Kellie
684084	169958	Commander Kellie
684085	291307	Extra
684086	28980	Smidbauer
684086	119028	Rosa
684086	124899	
684086	135004	
684086	142276	Anneliese
684086	152740	Frau Steffek
684086	179839	Margret Lindner
684086	325774	Emilie Obenwald
684086	409613	Tankstellenwirtin
684087	259571	
684087	259683	
684088	184789	Embusken Sinikka
684088	203980	Black Mother
684088	309659	Harriet
684089	322314	Woman at wedding
684090	198711	Armi
684090	236080	
684090	258818	
684091	407109	Herself (2004)
684092	170245	Anoppi (Juha's mother)
684093	155053	
684094	301205	Diana
684095	271607	Jaava
684095	319302	Sanna
684095	392605	Minna
684095	393054	Noora (1999-)
684095	394979	Kaisa Hämäläinen
684095	396485	Peveliina
684096	251953	Äitee
684096	251954	Äitee
684096	251955	Äitee
684096	401118	Äitee
684097	211037	Sari
684098	251945	Girl #2
684098	251946	Girl #2
684099	254952	Taxi driver
684100	226586	Melita
684101	4231	
684101	4447	Liina
684101	9996	
684101	21721	Janitor's wife
684101	28457	Tilda
684101	100453	Seamstress
684101	104277	Mari
684101	136899	Mrs. Jäppilä
684101	137746	Guest
684101	141809	Nurse
684101	142641	Girl's mother
684101	144053	Customer in an employment off
684101	145359	
684101	149634	Old woman
684101	170246	Vieras #18
684101	171009	
684101	171588	Waiter
684101	172143	
684101	172406	Matilda
684101	174477	Eriikka
684101	174478	
684101	174740	
684101	175700	
684101	181592	Eedla, a crofter
684101	181634	Wedding guest
684101	181652	Applicant
684101	181858	
684101	182213	Farmwoman
684101	184796	Washerwoman
684101	200978	
684101	213378	Ahrolan Anni
684101	213419	Hulda
684101	214835	
684101	226787	Eeva
684101	233244	Loviisa's guest
684101	234649	Woman in Pelastusrengas
684101	236795	Woman in laundry room
684101	242257	Kekka
684101	242948	Inmate
684101	250433	
684101	251937	Mattsonska
684101	251939	
684101	251941	Lunkreenska
684101	251945	Mattsonska
684101	255760	
684101	255762	Tattari's wife
684101	258845	Professor's wife
684101	258846	Maid
684101	264291	Suutarin vaimo
684101	267126	A woman in the hut
684101	271604	Eedla
684101	278875	Waiter
684101	283593	Liisa
684101	284025	Neighbor's wife
684101	284752	Saara
684101	285967	
684101	294168	
684101	303708	
684101	319314	Keiju
684101	319316	Jaska's mother
684101	319317	People in a party
684101	319328	Woman in upstairs
684101	320584	
684101	322705	
684101	324606	
684101	324756	
684101	326070	
684101	341793	Gardener's assistant
684101	343399	
684101	343466	
684101	343507	Typist
684101	349734	Maid
684101	349738	Lempi
684101	350822	Katri
684101	354087	Old woman
684101	356116	Waitress
684101	357790	Janitor's wife
684102	174477	Little Mauritz
684102	319314	Fermaatti's kid
684103	170922	Sirkku
684103	188933	Ilona
684103	242260	Eve
684103	246561	Hannele Arhamo
684103	271053	Naomi Jaatinen
684103	281865	
684103	393017	Tiia
684103	394792	Suvituuli Hokkanen-Remes (200
684103	394887	Hanna
684103	407198	Noora Airisto
684103	409269	Susanna Laakkonen
684104	264060	The Princess
684105	356072	
684106	87566	Conchita
684106	380088	Ivonne
684106	390733	Perla
684106	396873	Melissa
684106	398474	Ángela
684106	412123	
684107	223487	
684108	71663	The Maid
684109	370235	Kimi
684110	393259	Marie Hanamura/U6 (Marie Hana
684111	257718	Hara, Yukiko
684112	380605	Maki Agata/Harriet Bartholome
684113	372038	
684114	334572	Tokiko
684115	9190	Michiko
684115	17104	
684115	169127	Michiko
684115	233231	Chinese woman
684115	300470	Setsuko
684115	367193	
684115	375558	Michiko
684116	9276	Onaka
684116	9420	Michiko
684116	12955	Takeko
684116	28046	
684116	144734	Hisako Hirayama
684116	172471	Namiko Komatsu
684116	230139	Nobue Yukiyama
684116	287109	Aya
684116	287344	Sakura Goda
684116	297260	
684116	320053	
684117	169187	Yasuda
684118	21420	Princess Arîte
684118	25749	Kagura
684118	80572	Kasumi
684118	80573	Kasumi
684118	113338	Mireth
684118	161704	Sango
684118	161706	Sango
684118	176532	Yurika Misumaru
684118	211948	Mei Ling
684118	211949	Mei Ling
684118	211950	Mei-Ling
684118	211952	Para-Medic
684118	309469	Seung Mina
684118	309470	Seung Mina
684118	381025	Kagura
684118	381166	Kyouju (Kenny)
684118	381785	Miyako Asami
684118	382289	Marlene Angel
684118	384133	Minoru Kokubunji
684118	384233	Liru
684118	390536	Liru
684118	392964	Sango
684118	393998	Shigure (Japanese version)
684118	394107	Kusakabe Maron/Kaitou Jeanne
684118	394421	Misumaru Yurika
684118	394425	Fllay Allster/Natarle Badgiru
684118	394431	Sai Jounouchi
684118	394997	Nakahito Kagura
684118	397054	Yuriko
684118	397371	Ayako Nanigawa
684118	398464	Aoi Hosen
684118	399784	Kirika Yuumura
684118	402790	Quon Kisaragi
684118	405635	Filia Ul Copt
684118	407389	Uroko
684118	411563	Satsuki Yatôji
684119	344222	
684120	183061	Eclair
684120	195629	Kanako Urashima
684120	394392	Tweedledee
684120	395167	Alistia Agrew
684120	398924	Kirala
684121	350300	Monica
684122	350310	Jennifer
684123	161286	Herself
684124	81790	Mrs. Freeman
684124	226482	Narrator
684124	389570	Narrator
684125	309916	Camp Counselor
684126	348374	Girl in Bar
684127	247590	Stewardess
684128	231068	Reporter #1
684128	274408	Pot thrower
684129	336754	Teacher
684131	89606	
684131	175658	
684131	253645	Koltinai
684132	138183	
684132	172579	Grand Vizier's mother
684133	44547	
684134	316312	Jo
684135	170995	
684135	198948	
684135	209787	
684135	284038	
684136	9454	
684136	268290	Katarína
684137	9467	Eva
684137	162758	Katya
684137	229748	Mladozhenkata
684137	273094	Mladozhenkata (Segment 5 A se
684137	350973	Dana
684138	224323	Alice
684139	384590	Herself
684140	325951	
684141	277302	José's Sister
684142	231616	
684144	71440	Despina
684145	274194	Kiki
684146	202436	
684146	225978	Doroti Lambert
684146	305285	
684147	375394	
684148	46222	
684148	77426	Daneva
684148	95697	Kortinska
684148	126204	Vdovitzata
684148	129753	
684148	130140	Manya
684148	194652	Yaneva
684148	224447	Sheneva
684148	229058	Malchalivata
684148	264557	
684148	286721	Atanaska
684148	401024	
684148	404810	
684148	404811	
684149	375384	Persa ... sluskinja
684150	34274	Dona Teresa
684150	86388	Martha
684150	102453	
684150	107879	Alma Waurich
684150	122315	Lene
684150	140241	Frau Frey
684150	144174	
684150	175572	
684150	226266	
684150	290816	Hermine
684150	314568	Kleebinderin
684150	325621	Karla Seiff
684150	343681	Mme de Pesay
684150	381710	Emma Bertini
684150	404433	
684151	179345	
684152	320488	
684153	397683	
684155	62355	Lyusya
684156	356415	
684157	130010	
684157	390635	
684158	49828	Rat Woman
684158	341217	
684159	95808	
684159	131183	
684159	198172	
684159	228552	
684159	343342	
684160	33801	Gyulchatai
684161	196561	Baba Ksyusha
684162	32454	
684162	60436	Tanya (Nr. 217)
684162	62858	
684162	94739	Mariya Konstatinovna
684162	132070	
684162	180238	Emma Hamilton
684162	209276	Anna
684162	236072	Louise Poirier
684162	238358	
684162	239439	Marika Greshina
684162	244479	
684162	264320	
684162	264983	
684162	283834	
684162	339334	
684162	339748	Commander's wife
684162	343838	Misha
684162	348707	
684162	349374	
684162	357411	Oxana
684162	357649	
684162	374464	
684162	409880	
684163	236061	Princess
684163	357670	
684164	273911	Robbin Foster
684165	258677	
684166	286732	
684166	303789	Sirin-Bird
684167	43138	
684168	402348	Koshka
684169	17556	Agatha
684169	32503	
684169	48742	
684169	91214	
684169	174463	
684169	258430	
684169	268134	Katya
684169	272535	Devotee
684169	280398	
684169	283997	
684169	296763	Baba Yaga
684169	348641	Marina
684169	357333	
684170	103578	
684170	238367	
684170	244716	
684171	163030	
684171	179588	
684171	225812	Annushka
684171	265028	Irina
684171	265839	
684171	300563	Olga Petrovna Kuzmich
684171	303802	
684171	374072	
684172	156922	
684172	283775	Catherine The Great
684172	327173	Krupskaya
684172	396236	Yekaterina Mikhailovna
684173	180357	
684173	268130	
684174	224320	
684174	225914	
684174	262172	Marina
684174	272516	Lyudmila's Friend
684174	334998	Nadya
684174	349300	
684174	374676	Vera
684175	356484	Klava
684176	9516	
684176	35776	Grandmother Mohi
684176	94038	Klava
684176	98585	
684176	98586	
684176	164118	
684176	211884	
684176	217274	
684176	229036	
684176	239958	Présentatrice TV
684176	300810	Girl's tutor
684176	312939	Peasant Woman
684176	343963	
684176	354373	
684176	385990	
684177	382445	Teacher
684178	26254	
684178	163896	A smiling woman in the church
684178	268214	Maid
684178	280374	Dancer
684179	43197	Agafya Karpovna Zhubrin
684179	78254	Knaginya Anna
684179	79471	
684179	82495	
684179	91202	
684179	120673	Old woman
684179	174968	
684179	176047	
684179	176057	
684179	179666	
684179	181176	
684179	198940	
684179	207560	
684179	244253	Natalya Avdeyevna
684179	258437	
684179	259040	
684179	259805	
684179	270221	
684179	297858	
684179	313884	
684179	320483	
684179	334997	
684179	339265	
684179	341025	Kornakova
684179	341518	
684179	344308	
684179	349297	
684179	357661	
684179	371358	
684179	374840	The Old Woman, Gusakova
684179	374883	
684179	375172	
684179	387138	
684180	370406	
684181	18286	
684182	182462	
684182	192625	
684183	60699	
684183	259042	
684183	283993	
684183	312432	
684183	376239	
684185	95945	Adviser's Wife
684186	130214	Nurse Frania
684187	217293	
684188	179259	
684189	321559	Michelle in Pictures
684190	381111	Herself
684191	294676	
684192	935	Joanne Karnegian
684192	18549	Peggy Evans
684192	40683	Cathy Anderson
684192	41875	Nora Keating
684192	43567	Kim
684192	46237	Mrs. Ivanov
684192	74014	Elaine Metcalf
684192	79716	Secretary of State
684192	80607	Donna Harkstrawn
684192	80794	
684192	82049	Camille Preston
684192	82050	Camille Preston
684192	82051	Camille Preston
684192	83110	Nita Chambers
684192	86470	Leslie Quennell
684192	95786	
684192	105113	Carol
684192	107505	Lucille
684192	107990	Nadine
684192	108373	Sara Burke
684192	113294	Thelma
684192	130867	Laura Fromm
684192	140901	Maureen McCullough
684192	143074	Dr. Baskin
684192	152572	Professor Delphine Roux
684192	152910	Barbra Bronfman
684192	154157	Cookie
684192	154302	Laura
684192	158142	Karen Marko
684192	178166	Brenda
684192	185649	
684192	190331	Jessica Saunders
684192	191747	Rita
684192	194706	Eleanor Bannet
684192	200072	
684192	202399	Mrs. Gordon
684192	210867	Gwen
684192	213866	Suzanne
684192	223815	Carol Richmond
684192	232392	Liz McCarren
684192	254608	Diana Holt
684192	310784	Heather Scott
684192	315599	Gloria Chase
684192	316116	Marion Gray
684192	316975	Trisha
684192	333329	Eleanor Grayson
684192	358479	Adele Green
684192	359958	Eve Preedy
684192	367253	Connie Bacarri
684192	382295	Deputy Chief-of-Police Kay Ba
684192	391518	Woman in the Hidden Room (199
684192	396122	
684192	400517	Mila Stiglic
684192	408692	Pauline Drury
684192	411342	Connie Bacarri
684193	289372	Featured Extra
684194	89603	Antonina
684194	165077	Bogo's Mother
684194	394585	Wanda (1997-2002)
684195	214665	Pojarskaya
684195	225818	
684195	225846	
684195	254234	
684195	262674	
684195	266296	
684195	371364	
684196	90996	Iris Ritter
684197	220221	Lala Dumbadze
684198	24027	Veronika
684198	182308	
684199	154020	Little Dina
684199	190823	Vendela
684200	76606	Carol
684200	81539	Caroline Palmer
684200	205171	Margaretha
684200	263792	Lynne Endicott
684200	335332	The Journalist
684200	391254	Fiona Leper
684200	395919	Meg Bartlett
684201	398251	Servitrisen
684202	120082	Frida
684203	381913	Participant, 10th out (2003)
684204	5218	Politi Ruud-Olsen
684205	40137	Frank..
684205	210931	Sister Britt
684205	388554	Solfrid Stokke
684205	391842	Sarah
684205	400008	Dagny Ulrichsen
684206	49828	Dancer
684207	370132	
684208	176923	Sally
684209	57613	Sylva
684209	263883	
684209	266349	Milenka
684209	360071	Mrs. Zawinulová
684210	356598	
684211	374770	
684212	200993	Russian Roulette Girl
684213	26540	
684214	156926	
684214	344316	
684215	58509	
684215	176844	Woman #1
684216	35055	
684216	237468	
684216	243968	
684216	253739	
684217	124468	Mother Parnaozi
684217	214879	Maia
684217	253221	
684217	341241	Iero
684218	9394	Gulkan
684218	79255	
684219	382819	Herself (Buddist)
684220	149866	'Miss' Contestant
684221	198930	Sebestová
684222	29639	Anna Sophie
684222	182626	Jordemoder
684222	259739	Ulla
684222	278332	
684222	333011	The housesitter
684222	398260	Caroline
684222	406755	
684223	172431	
684224	141936	
684225	184626	Herself
684226	190941	Tanja
684226	323651	Veronica
684226	361028	Young Maren
684226	388857	Vanja
684227	95642	
684228	170338	
684228	382528	
684229	7580	Mrs. Jerndorff
684229	12522	Tullepigen
684229	34480	Jannie
684229	101124	Klinikchefen/Clinic leader
684229	171514	Emmy, sygeplejerske
684229	216208	
684229	237303	Susanne
684229	255700	Premierløjtnant Merete Clause
684229	264282	Ekspeditrice
684229	315397	Nina
684229	344071	Kvinde
684229	354739	Gertrud
684229	409349	Karen Petersen
684230	166101	
684230	236048	Hardwarelady
684230	292978	
684230	303627	
684230	351014	
684231	89475	
684231	356942	
684232	178436	En stuepike
684233	385430	Herself (Reporter) (2003)
684234	16583	
684234	28355	
684234	84508	
684234	131272	
684234	156034	
684234	166206	
684234	214832	
684234	215566	
684234	226543	
684234	268146	
684234	371151	
684235	214832	
684236	158773	Big
684237	284816	
684237	286006	
684238	286546	Yeo-Jin
684239	170140	Jang Ok-ran
684240	288170	
684241	390242	Gladys Bloem (2000-2002)
684242	7718	Spielplatz
684243	363526	
684244	344510	
684245	26180	Hospital Receptionist
684246	353425	
684247	4463	Pauline Ko
684247	4469	
684247	15291	Television Crew Director
684247	25908	Bo
684247	60540	Policewoman
684247	62188	
684247	76348	Yim-Fong
684247	115673	
684247	121778	
684247	123973	Bo
684247	127656	
684247	129077	
684247	152119	Teacher
684247	179103	
684247	183104	
684247	184744	Rachel's assistant
684247	196667	Miss Wai
684247	209897	
684247	222071	
684247	252181	Grace Li
684247	284710	
684247	311321	
684247	340610	
684247	340613	Fake Ghost
684247	358924	Liu
684247	369744	Cheung Ka-Lam
684247	372667	May
684247	373088	Ah Fa/Daisy
684247	373101	
684247	373155	Yin
684247	374340	May
684247	374820	Assistant Coroner
684247	376062	Driving Teacher
684248	58455	Mary Kwan
684248	87091	
684248	138630	Dr. Samantha
684248	167787	May
684248	189168	Pauline
684248	268740	Tom
684248	298712	
684248	369088	Fanny
684248	374811	Lee Ching-Yee
684249	190908	Young Lily
684250	172580	
684251	340225	Trish
684251	383208	Samantha 'Sam' Woo (1993-1997
684251	395749	Audrey
684252	410920	Toronto Host (2001-2003)
684253	212804	
684253	212806	Herself
684253	274695	
684254	62635	Richard
684254	95291	Woman Pressed to Buy Vegetabl
684255	2725	Lily Kwan, Newsreader
684255	398940	Anchorwoman
684256	82146	
684257	372198	Cousin
684258	1468	Herself
684258	1727	Herself
684258	11682	Herself
684258	48656	Herself
684258	113828	Herself
684258	133930	Various
684258	155266	Commentator
684258	155276	Herself
684258	161360	Herself
684258	212803	Herself
684258	212804	Herself
684258	212805	Herself
684258	212806	Herself
684258	212953	Herself
684258	222115	Michelle
684258	228977	Herself
684258	231535	Herself
684258	274695	Fa Mulan/Fa Ping
684258	303780	Herself
684258	335566	Herself
684258	335606	Herself
684258	335607	Herself
684258	360143	Herself
684258	364816	Herself
684258	369874	Herself
684258	406243	Herself
684259	16976	Sue
684259	26180	Dr. Liu
684259	40193	Lily
684259	66917	Madame Chang
684259	92847	Gussie Yang
684259	93956	Baby
684259	109768	Sally Fraser (oceanographer/J
684259	115895	Linda Low
684259	117959	
684259	128494	Revel Drue
684259	140446	Rosemary Quong
684259	148947	Lynn Hope
684259	153919	Tina
684259	175839	Dr. Lao
684259	185434	Noriko Sakura
684259	196639	Wednesday
684259	201015	Tessa
684259	208936	Robin
684259	214937	C.B. Lansing
684259	218037	Mei Ching
684259	221062	Mitsuko
684259	224019	Host
684259	231866	Leslie
684259	234236	Nurse Tomiko Momoyama
684259	246219	
684259	265611	Lei Koo
684259	273684	Joni Mitchell
684259	274609	Leslie
684259	280364	Presenter
684259	297309	
684259	304690	Herself (actress)
684259	309522	Ling Li
684259	316765	
684259	324142	Tamahine
684259	329448	Sue Ten Chan
684259	365141	Marjorie Lee
684259	367982	Dr. Tsu
684259	368481	Suzie Wong
684259	368808	Wen Yu-Rang
684259	399595	Claudia Chen
684260	30780	
684260	121094	
684260	121098	
684260	121103	
684260	121104	
684260	374811	
684261	53	Miss Pak
684261	8814	Kwok Hoi-Lam
684261	18666	Miss Tang
684261	63374	Sabrina
684261	75229	
684261	76332	Mona
684261	76385	Lucy
684261	116648	Chi
684261	133528	
684261	138626	Gigi
684261	151982	Snow White
684261	152102	Aunt Yee
684261	152710	
684261	167362	Kwan, Chi-Lam
684261	167769	Winnie Tsang
684261	168027	The Ice Woman
684261	168031	
684261	181445	Coco Xu Liuxin
684261	189518	Vicky Lee
684261	194145	Lorelei
684261	214611	Joey
684261	216646	Monica Kwan/Cammy
684261	270020	
684261	270023	Chin Chin
684261	284724	
684261	296579	Yiu
684261	296936	Lisa
684261	298365	Julia
684261	298419	Ann Chang
684261	299982	Alice
684261	303394	Lotus
684261	323111	Tracy Chan
684261	358235	Fong
684261	367118	Michelle
684261	367156	The Ghost
684261	368062	Aunt Yee
684261	368063	Aunt Yee
684261	368065	Shao Yun, said ' 13-th aunt '
684261	368066	Aunt Yee (segment "Penny")
684261	369077	Sherin Chan
684261	369540	Yu Ji
684261	369546	Mary Chang
684261	369589	Wang Yi-Ching
684261	369592	Michelle
684261	369593	Yvonne
684261	369648	Ren Ying Ying
684261	369817	Butterfly Lam
684261	369958	Jane Li-Su
684261	370725	Noblewoman
684261	371525	Anna
684261	371531	Chei's Wife
684261	374753	Lucy Ching
684261	374825	Bo Bo
684261	376766	Li Lam-Lam
684261	393547	Guest
684262	328272	Passenger
684263	92858	Big Sister (character movemen
684264	60885	Lai Yiu-fai's Girlfriend
684264	107379	The Librarian
684264	135502	
684264	168027	
684264	303002	Herself/Lai Yiu-fai's Girlfri
684265	25903	Dumb Female Cop
684265	28824	May
684265	61993	Pizza
684265	70469	Pauline
684265	85887	
684265	124576	
684265	138305	Jean
684265	141892	Salad
684265	167442	Kwan Shi-han
684265	170256	Chiu's Wife
684265	184741	Suki
684265	194084	Fanny
684265	194086	Ruby Kwan
684265	210969	Dumb Policewoman
684265	212645	May
684265	218677	Mei Mei
684265	230748	
684265	284724	Suki Wong
684265	300380	Li's Wife
684265	300397	
684265	359011	
684265	367177	Joe-Fai's Sister
684265	369786	Lin
684265	371485	
684265	374340	Ann Kwan Oi-Ling
684265	374943	Pao
684267	144295	Ruby
684268	354887	Dancer
684269	130116	
684269	300739	Porn actress
684269	346803	
684270	184353	
684270	251579	
684270	382676	Edna
684270	383907	
684270	393573	
684270	397416	
684270	404078	
684270	408414	Loló
684270	409424	
684271	9536	
684271	35838	Majerowa, Marta's Neighbour
684271	51039	Irena, Tomek's Aunt
684271	179180	Irena's Aunt
684271	181840	High School Headmistress
684271	223220	Aunt Bronka
684271	228691	Aunt
684271	252327	
684271	262207	
684271	322030	
684271	357984	Anna's mother
684271	367198	Mela
684271	374245	
684271	382619	Walukiewiczowa
684271	397007	Mania Zdzieblo
684272	25425	Marysia's Maid
684272	130211	Teresa
684272	165032	Photographer
684272	202571	Magda
684272	213893	Anita Bulakowa
684272	215214	
684272	227611	Anita
684272	244102	Passenger
684272	262509	Zoska
684272	284077	Sgt. Ewa Frackiewicz
684272	359589	
684273	394582	Esha Puri
684274	62709	Lin
684274	128981	Minnares
684274	314851	
684274	317185	Kim
684274	367977	Min
684274	400217	Madelief (1998-2001)
684274	403982	Liu Cha
684274	409572	Lisa (1997)
684275	382052	DC Suzie Sim (2004-)
684276	117134	Hardy
684276	235570	Mom
684276	394247	'Hard Copy' Host (2003)
684277	137081	
684277	161085	
684277	165090	
684277	342782	Inspector Choi
684277	396085	Mother Esther
684278	135886	Sabina
684278	172979	
684278	329215	Thais
684278	364870	
684279	95945	Village Woman/Lady #1
684279	184200	Krzeszowska
684279	244208	
684279	260390	Staniewiczowa
684279	305560	
684280	95950	Nurse
684280	137641	Makowska (buffet attendant)
684280	185809	Aniela
684280	220234	Working Woman
684280	237293	
684280	282756	Aunt Lusia
684280	311893	
684280	343386	Eulalia Wydech
684280	373592	Firlejowa
684280	375648	Aniela Lemiecka
684280	385478	Working Woman
684280	385479	
684280	411335	Zofia Jankowska
684280	412009	Maria Piórecka
684281	63753	Woman in Sopot
684281	255605	
684281	315018	
684282	159489	Basia 'Xena'
684282	179199	Agnieszka Nowak
684282	191156	Agata
684282	196588	Anka, Marek's Girlfriend
684282	217293	Angelika
684282	376518	
684282	412008	
684283	345876	Herself
684283	345877	
684284	62957	The Christmas Angel
684284	303779	Herself
684285	100350	Alice
684287	316926	Model
684288	244099	Maskotka
684289	234668	Clerk 2
684290	200452	Marcysia
684291	388682	
684292	26955	Reporter
684293	116603	Man Yin
684293	222071	Amy Fu
684293	227251	
684293	233594	
684293	371519	Lu Yuen-Mei
684294	80728	
684295	110603	Jackie's Assistant
684295	127776	Policewoman
684295	141925	Carol
684295	167451	Joy
684295	194082	May
684295	293467	Lai King
684296	131341	
684296	189124	Pam
684296	209897	
684296	374943	Christine
684297	60409	Little Katherine
684298	147052	
684298	175768	Mrs. Li
684298	246136	John's Wife
684298	371583	Ka-Ming's Girlfriend
684298	374742	Kennix Lee
684299	151999	Lois
684300	67495	
684301	106723	Cornelia
684301	165436	Kwan
684301	176964	Pam, Stewardess
684301	220917	Melanie
684301	277892	Tommy Wong
684302	61056	The Thief
684302	151954	
684302	152030	13th Aunt Yee
684302	167854	
684302	231234	Tin Tin Tin
684302	284742	Shanon
684302	358924	Sam's Ex-Wife
684302	376065	Wan
684303	60191	
684304	43142	
684304	62518	
684304	218693	Yi-Che
684305	292701	Michelle Duncan
684305	390118	Nadine
684306	59293	
684307	154345	Asian Girl
684308	682	Man Hater, Ms. Stern's Class
684308	128164	Prankster
684308	206486	Lt. Eiko Saito
684308	223923	Doris
684308	226885	Hope
684308	295826	Sex Monster Dancer
684308	359700	Monique
684309	208685	
684310	247248	Hyo-jung
684311	136419	R's mother
684312	14175	Young Sun
684312	163779	Rita
684312	182996	Receptionist
684313	162091	
684313	230224	
684314	50195	TV newscaster
684315	552	
684316	368084	
684317	371459	
684318	81749	Phong Li
684318	158314	
684318	158825	Dr. Warren's receptionist
684319	394957	Herself
684320	279205	Prostitute
684321	232495	Chinese/Vietnamese Woman
684322	61463	May
684323	76424	
684324	258083	Groupie #1
684325	118294	Ling
684325	160885	Handbag Admirer
684325	170585	Xin
684325	280064	Shanghai Hooker
684326	178863	
684326	368071	Winnie
684327	388489	Devushka-kadrovichka
684328	39923	Angela Carfour
684328	155966	Eskimo girl
684329	155053	
684330	4793	Rita
684330	107372	
684331	364860	Funeral Parlour Assistant
684332	196546	Christine Johnson
684333	50203	Fawn
684333	77672	Barbara
684333	353467	Mrs. Horner
684333	380276	Susan's mum
684333	389180	Solange "Chardonneret" Rohr
684333	396932	Pam Butler
684333	406738	Zelda
684333	409649	Louise
684334	129784	Angry student
684335	141226	Waitress
684335	196107	Nikki
684335	283719	Rental Car Agent
684336	12374	Mother
684336	127452	
684336	207764	Tolongay
684336	265945	Dshaidar
684336	286267	
684337	344323	
684338	261665	Sulaika
684339	226571	
684341	116377	Sandy Fadel, Kathy Williams's
684341	137655	Annie Brackett
684341	137674	Annie Brackett
684341	137675	Linda Challis
684341	183590	Doctor
684341	235440	Reporter
684341	291740	Girlfriend
684342	165648	
684342	241975	
684342	305883	Brudgommens mor
684343	149624	Ivonne
684343	207124	Singer
684344	1038	Young Tom-Tom
684344	106493	Megan McCann
684344	157937	Dinah Wolcott
684344	333347	Hannah Brigance
684345	372409	Mrs. Ross
684345	383289	Charlotte Logan
684345	391533	Trudy Bowen
684345	401026	Karen Lampman
684346	242028	
684346	246756	Untitled
684346	277909	Untitled
684347	411011	Marion
684348	291298	Biker Chick
684349	393653	Clare
684350	359543	Ritual Dancer
684351	359526	The Little Reb
684352	360242	Choir
684353	367886	Sharon
684354	11135	
684354	39253	
684354	44406	
684354	50534	
684354	187117	
684354	253623	
684354	339580	
684355	35054	
684356	209754	Narrator
684357	4592	Secretary
684357	43321	
684357	96420	Nanette
684357	108197	Gun
684357	121017	
684357	128079	Gullan
684357	134547	Various Characters
684357	153763	Malin, teacher
684357	180222	Agneta
684357	190995	Girl in the car
684357	192659	Employment agency worker
684357	222473	Mistress Page
684357	320514	Gullan
684357	349075	Gullan
684357	355639	Maria
684357	377318	The mother
684357	393904	Ellen
684357	395763	
684357	396266	Katarina Sjögren
684357	400886	Herself (Blue Team)
684357	401942	
684357	403400	Mona Sahlin and others
684357	403658	Sissela
684357	405587	
684357	412047	Maria Lagerlöf
684357	412207	Bibbi Axelsson
684358	232630	Girl at Locker
684358	372175	Dancer
684359	232630	High School Extra
684360	155888	Student (segment "1974")
684361	47875	Waitress
684361	93974	Janet
684362	242487	Georgia
684363	154315	Julie
684364	1344	
684364	2430	
684364	122619	Monica
684365	94413	Monika
684365	134943	Anki
684365	172579	
684365	182583	Annika
684365	240218	Travel Agent
684365	391361	
684366	151741	
684367	350718	
684368	397978	Herself (2003)
684369	126130	Featured
684369	158320	
684369	161277	Herself
684369	163523	Rachel Meadows
684369	290319	Rachel Meadows
684369	297145	Laura
684369	307974	Clerk
684370	155053	Anna
684371	106310	
684372	42705	Card Girl
684373	213577	Presumed Chorister
684374	268266	Jana
684375	311575	Jean, Malik's Roommate
684376	193577	Jane Alsop
684377	298782	Mari Marimura
684378	21800	Louise
684379	9562	Otama
684379	136392	
684379	358385	Okita
684380	61456	Masako
684380	223971	Amatsu Hisako
684381	1300	Mrs, Lee
684382	407369	Officer Tomoe
684383	45002	
684383	137380	Madoka Iino
684383	137381	Madoka Iino
684383	211825	Yumiko Abe
684383	333264	
684383	373223	Chieko Yamashita
684383	390910	Madoka Iino
684383	394292	Mayu Shinoda (Nao's sister)
684383	403411	Akiko Yoshino
684383	404389	
684383	405186	Sawako Tsukahara
684383	405187	Sawako Tsukahara
684383	405188	Sawako Tsukahara
684384	179377	
684385	370460	Dyavol lazhetz 2
684386	182167	Hisako
684386	244494	Motoko Moriya
684386	359844	Chiyo's sister
684387	101552	
684388	276508	
684389	140964	Mary
684390	27145	Record Executive at Final Gig
684390	75028	
684391	248071	Mevrouw Santamas
684392	2846	
684392	17788	Annita
684392	86404	
684393	95884	
684394	136486	
684395	98686	
684396	261625	
684397	321749	
684398	8408	
684398	10389	Soul
684398	136488	Mother
684398	178459	Mrs. Baras
684398	212043	
684398	212572	
684398	225922	
684398	245857	
684398	265051	
684398	285318	Psychoanalyst
684398	328762	
684398	375285	
684398	375286	Mrs. Fereki
684398	392993	
684398	406538	Aunt Danae
684398	408830	Bebeka
684399	113100	
684400	49028	Dancer
684401	22629	Waitress at Social Club
684402	400363	Programleder
684403	7086	The Princess/Peasant Ladies
684403	63050	Herself
684403	116298	Skovhuggeren Inga
684403	119694	Herself
684404	324608	Various
684404	387958	Herself
684405	100011	Tanhu-ryhmän jäsen
684406	43273	Lída
684407	348008	Herself
684408	2476	Businesswoman
684409	290179	Centa von Vogelschrey, Lady o
684410	6131	
684410	6132	Týna Trnková, chùva
684410	17327	Jeho zena
684410	75993	Brabencová
684410	88746	Mrs. Palivcová
684410	95672	Bábinka
684410	121715	Frantiska Plicová
684410	169110	Vicar's housewife
684410	173557	Madame in the train
684410	189495	Hájková
684410	198232	Hroznata Snytlíková, shopkeep
684410	198374	Brdlicková
684410	200043	Madame
684410	213849	Stefanie, fortune teller
684410	216614	Anna
684410	223573	Ouholicková
684410	225987	Barbora Stetivcová
684410	226158	Chambermaid
684410	247946	Katerina Vomácená alias Kacka
684410	261375	Landlady
684410	262254	Dancer
684410	282765	Fat women
684410	282767	Bety
684410	320731	Landlady
684410	323640	Cashier
684410	342274	Mozná
684410	344974	Marie Nováková
684410	351290	Pestová
684410	351809	Nesvacilová
684410	357685	Krizan's wife
684410	373487	Johanova zena
684411	87409	Saori
684411	87410	Girl 5/Additional Voices
684411	237290	Annabelle
684411	298966	Additional Voices
684411	353735	
684412	302429	Baba Marina
684413	60696	
684413	350252	
684414	180272	
684415	8433	Lina Flerianos
684415	22594	
684416	188887	
684416	332177	
684416	349940	Monica
684416	380416	
684416	380721	
684417	271053	Finnair lentoemäntä
684418	236460	Tyttö metsässä
684419	12705	The young woman
684420	9331	Mickey
684420	12955	Umeko
684420	15303	Nagako Kita
684420	15902	Umeko Ichige
684420	17099	
684420	21330	Herself
684420	21344	Yoko Hayazuki
684420	21577	Setsuko Takashima
684420	21815	Saya Shiozawa
684420	28127	Yuki
684420	29573	Yukiko Nonomiya
684420	31522	Nobukichi
684420	37624	Sakin
684420	43445	Ofuku
684420	61454	Naomi
684420	63541	
684420	121452	Yukiko Ohara
684420	125684	Awaji no ue
684420	125688	Sue Yoshida
684420	144438	
684420	163835	Okatsu
684420	163850	Kimicho
684420	167555	Lady Kesa
684420	167795	Kikuko, Ueno, 1st Daughter
684420	167947	Okatsu
684420	168061	Yuri
684420	168847	Fujiyo Yajima
684420	168877	Omitsu
684420	172116	Ikuko Kenmochi
684420	173261	Michiko
684420	173994	Aiko Takasu
684420	175716	Tsune Tsutano
684420	177720	Prime Minister's wife
684420	180036	Shizu, Takuo's wife
684420	182070	Herself
684420	182075	Mrs. Midorikawa
684420	202295	Yayoi Yamamura
684420	211894	Emmy
684420	238381	Chiyomi Hanamura
684420	242173	Kei
684420	242179	Shikiko Ohba
684420	242210	Ayame/Oito
684420	242792	Herself
684420	243902	Osen
684420	244536	Aya
684420	272491	Masako
684420	283918	Ryuko (Hiroko Aishinkakura)
684420	288353	Sachiko
684420	294051	Chikako Kurimoto
684420	297069	Nandabala
684420	298925	Tomoe
684420	298995	
684420	300481	Shunkin
684420	324536	Mrs. Okuyama
684420	326446	Lotus Blossom
684420	334833	Okaji
684420	341274	Hagino
684420	344162	Lady Wakasa
684420	344285	Sumiko
684420	371790	Oshima
684420	371978	Mari
684420	371991	Akemi
684420	373284	Aya Koyanagi
684420	373365	Princess Yang Kwei-fei
684421	8901	Bandra
684421	103180	Old woman
684421	137298	
684421	161704	Kaede
684421	161706	Kaede
684421	174953	Oh-Baba
684421	212306	Yukari Godai
684421	294163	Mother
684421	348752	Babara
684421	348754	Old Woman
684421	373381	Genkai
684421	378718	Kaname's grandmother
684421	380560	Clarissa
684421	382111	Zirconia
684421	389571	Taiitsu
684421	390964	Rose
684421	392964	Kaede
684421	396573	Ilda
684421	396640	Midori Hanada
684421	397562	Godai Yukari
684421	401116	Darkness
684421	401857	Olive oyl
684421	407389	Sawa
684421	411883	Genkai
684422	43114	
684423	9454	
684423	11326	Old Woman
684423	16965	
684423	43110	Müvezetõnõ
684423	74397	Éva szomszédasszonya
684423	74422	
684423	76015	
684423	89480	Rakodó kofa
684423	96202	Dajka
684423	116395	
684423	137750	
684423	149494	
684423	163128	
684423	171606	
684423	177975	
684423	178424	Bözsi néni
684423	182668	
684423	182805	
684423	182843	
684423	202496	
684423	211727	The Afflicted
684423	237731	Redl's sister
684423	254665	
684423	266468	
684423	276070	
684423	281286	
684423	319239	Mrs. Hackl
684423	322047	
684423	322099	
684423	340280	
684423	343710	
684423	343751	
684423	350833	Nevelõnõ
684423	355244	
684423	357865	
684423	376612	
684423	377228	A feleség
684423	378279	Erzsi, Jóska felesége
684423	387360	Irma
684423	388511	
684423	394977	
684423	404025	
684424	144244	
684425	19393	Szakszervezetis
684425	28538	Pisti mamája
684425	50840	Rózsika, titkárnö
684425	91252	
684425	102541	Bella
684425	138393	Novicia
684425	193338	Bori anyja
684425	226703	Anusi
684425	237384	
684425	276070	Betti
684425	322080	Az öregasszony fiatalkorában
684425	322097	Eszter
684425	322122	Olga
684425	343626	A rendõr felesége
684425	376612	
684425	376615	Emmi, az ügyvéd lánya
684425	382544	Miss Lichtmann
684426	41721	Herself
684427	48521	
684428	350833	
684429	35937	
684429	74455	
684429	108913	
684429	110704	Görgey János felesége
684429	110726	
684429	122384	
684429	136430	Bizsu
684429	137889	
684429	164879	Cvibakné
684429	181090	Delikátné
684429	182732	
684429	198210	Mother of Vera
684429	212825	
684429	214500	
684429	229692	
684429	246974	Derelye felesége
684429	284581	
684429	322083	Agota's Mother
684429	322092	Ágota anyukája
684429	377725	
684429	377807	Mother of Imre Kálmán
684429	378041	
684429	378581	
684429	387360	Gorskiné
684429	393994	Melinda
684430	2944	
684430	375162	
684431	182648	Lány
684432	377815	
684433	348671	
684434	182697	
684435	67236	Alba
684435	152644	Elvira Buraglia
684435	328248	
684435	378974	Christina
684435	379459	Gabriela de Elizondo
684435	382867	Magdalena
684435	383500	
684435	391862	
684435	393364	Alicia
684435	393798	Maria Paulina Caballero de Vi
684435	397243	Helena de Zamora
684435	399900	Rebecca's Mother
684435	400667	Juanita's Mom (2003)
684435	401699	Ligia de Santamaria
684435	402452	Prudencia
684435	408419	Piedad de Pachón
684436	74464	Maya
684437	87612	Lucie
684437	305248	Skopková
684437	305249	Blazena
684438	381344	Brigitta Varga (2004 -)
684439	97986	Kati
684439	107360	Gisela
684439	254294	
684439	377228	Peasant Madonna
684439	394977	
684440	88556	
684441	350519	Alzbeta Tomajdesová
684442	155614	
684443	357819	
684444	278964	La Fortuna/Melanto
684445	85969	
684445	120920	Színésznõ
684445	205728	
684446	44773	Királyné
684446	98027	
684446	357865	Menyasszony
684447	1117	
684447	209839	
684447	357817	
684448	141754	Tamás lánya
684448	178424	
684448	322028	Annamari
684448	354434	Füles
684448	407232	Liza
684449	6501	
684450	177935	
684451	177935	
684452	3197	
684452	99536	
684452	145617	
684452	182879	Busáné
684452	189714	Signora Ualdi
684452	322017	
684453	352258	Tineke
684454	225176	
684455	366554	
684456	189805	
684457	107751	Susanne Doebelin
684458	24068	Friedl Graefe
684458	125308	Lotte Paetsch
684458	178554	
684458	179837	Aemilia
684458	325621	Frau Fink
684458	325868	Gitte
684458	343671	
684458	374552	Magd
684459	198389	His Mother
684459	303659	Switchboard operator
684460	300796	Vauva
684461	108281	Heidi
684461	258127	Nora
684461	284519	Pilar
684462	396256	Tove Nyberg
684462	403084	Emelie Lindberg (1998-2000)
684462	412047	Ambulance Woman
684463	340245	Singer
684463	343515	
684464	306970	Ghost
684465	48258	Erika
684466	109119	Monica
684467	180107	
684467	322307	Karin
684467	348982	Helen
684468	210352	Herself
684468	397396	Herself
684469	119426	Naked woman in the hotel
684470	291653	Herself
684471	409853	The nurse
684472	361411	Louise
684473	394538	Barber
684474	356232	Ulla, Veka's wife
684475	104766	Finnish entry (20th place)
684475	398646	Heli-Maaria Salo
684475	403084	Pirjo Koskinen (1992,1994)
684475	407094	Heli-Maaria Salo
684475	410180	Tiina
684476	6994	Girl at Funeral
684476	172037	Kata Kärkkäinen
684476	201721	Herself
684476	357788	Kauneuskilpailuvoittaja 1
684476	392291	Herself
684476	396194	
684476	409794	Herself
684477	114951	Lisa
684478	284748	Saara Pitkänen
684479	104637	Herself
684480	79060	Extra
684481	104776	Swedish entry (5th place)
684481	210363	Herself
684481	210364	Herself
684481	397395	Herself
684481	397397	Herself
684482	400579	Various characters
684483	137294	Model #3
684484	4507	Service
684485	170677	
684486	182781	
684487	268857	Sarah Spevin
684488	34121	
684488	141962	Serviertochter
684488	223882	Vicky
684489	402484	
684490	378554	Rosi
684491	104769	Finnish entry (11th place)
684492	104769	Finnish entry (11th place)
684493	172549	Girlfriend
684494	347644	Herself - Presenter for Marti
684495	236460	Tyttö metsässä
684496	116457	Young Greta
684497	237399	Tant Gredelin
684498	301889	Young Kiia
684499	391357	Gaia, Connys dotter (2002)
684500	388444	Herself - Participant
684501	135699	Vivi
684502	55098	
684503	212334	Herself - Participant/Perform
684504	376999	
684505	376999	
684506	376999	
684507	355565	Péter felesége
684508	57582	
684508	107021	
684509	210036	
684509	282207	Sylvie
684509	321978	Renate
684510	11326	Pretty Nurse
684510	104051	
684510	108722	Paulette
684510	178232	Claudia Santiago
684510	182692	Cica
684510	357712	Pásztor lánya
684511	10203	
684511	62442	
684511	115358	La femme du livreur
684511	170468	
684511	328391	Pierrette
684511	329863	
684511	350099	
684512	7184	
684512	156487	Delph
684512	288887	Flora
684512	354825	Marine
684513	24715	
684513	74461	
684513	108840	
684513	122599	
684513	144742	
684513	200615	
684513	268430	
684513	322126	Munkásnõ
684513	357712	
684513	377228	Woman
684513	377768	
684513	387360	Ápolónõ
684514	44199	Szunyogh Juli
684514	98748	Anikó
684514	126269	
684514	137757	Margit
684514	214708	Teri
684514	255856	Juli,a cselédlány
684514	335963	Ulka
684514	378278	Kocsmai énekesnõ
684515	326979	A gyáros felesége
684516	72475	Marilyn Curtis
684517	147952	
684518	350833	
684519	377891	
684520	182524	
684521	357936	
684522	350833	
684523	281027	
684524	64744	Peasant Mother
684524	74432	
684524	112911	
684524	137122	Hagymácska
684524	226001	Landlady
684524	394880	Szöcske
684525	403554	Nami Shiba
684526	241952	Nui/Hecuba
684526	411289	Miho Karasuma
684526	411343	Cher Degre
684526	411563	Kanoe
684527	37621	
684528	78790	
684528	176539	Annemarie Bruge
684528	335380	
684528	396503	Yousei Sappari and Toma
684528	411888	Fûko
684529	316625	Cammy White/Juni/Juri
684530	374351	
684531	389820	Hoshirô Tendô
684531	394255	Jack
684531	411890	Mari Sakurano (Episodes 1-26)
684532	28057	Mitsuko Machikura (Episode 4)
684532	299334	Tomoko Kamei
684533	182502	Satsuki Yabe
684533	232611	
684533	298836	Chizuko Oono
684534	210476	Arima Miyako
684535	136431	
684536	136431	
684537	74418	Csapóné, aki nem tehet róla
684537	190793	
684537	343776	Mária nagyanyja
684537	377820	
684538	243800	
684539	232749	Marta
684540	334028	
684541	74407	
684542	122230	
684543	153688	
684544	10717	Friend in New York
684544	17048	Girl in Vienna
684544	34522	Anna
684544	53791	
684544	78956	
684544	189692	
684544	318725	Edda
684544	321978	Malerin
684545	24066	
684545	103083	Sängerin in der Oper
684545	156066	
684546	301496	Marlies
684547	79163	
684547	140266	
684549	365607	
684550	102968	Dame mit Dackel
684551	25880	
684551	43918	Hotel Clerk
684551	51654	Receptionist
684551	93532	Susan
684551	211698	Airport Attendant
684551	229297	The Woman
684551	240865	Anna
684551	321678	Courtroom Extra
684552	49283	Klara Huberer
684552	325469	
684552	325527	Renate Ammond
684552	325544	
684552	325660	Dagmar Braun
684552	325946	Frieda Stadler
684553	94423	
684554	49671	Kind
684555	102369	Frau Schlemm
684555	197115	
684555	325549	
684555	392633	
684555	396874	Francesca Maldini
684555	412110	Frau Moretti
684556	216753	
684557	121040	
684557	347652	
684558	98120	Schwester Blutabnahme
684558	367353	Johnny's bride (in the projec
684559	8942	Lilly Wust (Aimée)
684559	33449	Vera Busch
684559	50159	Jane
684559	149251	The mother
684559	162018	Nathalie Eschenborn
684559	179685	Claire
684559	189828	Maria Kranz
684559	209962	
684559	230207	Frau Offergeld
684559	232387	Barbara Stanwyck
684559	233174	Jettel Redlich
684559	268540	Bettina Pogge
684559	289899	Rasselins Frau
684559	325642	Greta Buck
684559	325951	Petra Odetzki
684559	347807	Eva Braun
684559	361076	Juliana
684559	376298	Agnes Hellmann
684560	271615	Susi
684561	17079	
684561	182870	
684561	309342	
684562	30738	
684562	34260	Frau des Kommandanten
684562	98371	
684562	100930	
684562	115947	
684562	119265	
684562	122572	
684562	130936	
684562	153587	
684562	199329	Madame Labille
684562	266008	Madame Riedel
684562	267326	Wife of Hilarius
684562	272823	
684562	278446	
684562	281207	Bäuerin
684562	303840	
684562	315974	
684562	317102	
684562	322998	Lene Peters
684562	360973	
684562	374332	
684563	293995	
684564	399478	Ingrid (voice: German version
684565	366479	
684566	356814	Odette van der Zee
684567	134967	Andrea Rombach
684567	389119	Dr. Andrea Arnhoff, geb. Romb
684568	83325	
684568	137809	Fusun
684568	139373	Gulbahar
684568	163822	Nilgün
684568	223258	Ceren
684568	259419	Saime
684568	378610	Meryem
684568	380743	Yesim
684568	382135	
684568	387812	Nermin
684568	406893	Asiye
684569	2905	
684569	5697	
684569	7522	
684569	8348	
684569	15390	
684569	20305	
684569	21216	
684569	22079	
684569	25600	
684569	25611	
684569	28837	
684569	30820	
684569	31010	
684569	33247	
684569	34498	
684569	35615	
684569	38470	
684569	38476	
684569	38922	
684569	48436	
684569	58331	
684569	63997	
684569	79501	
684569	85140	
684569	87714	Saziye
684569	87720	
684569	96480	
684569	97099	
684569	97178	
684569	97550	
684569	99394	
684569	102531	
684569	102532	
684569	102534	
684569	107641	
684569	110710	
684569	111474	
684569	118104	Fosforlu Cevriye
684569	118106	
684569	124915	
684569	124917	
684569	125271	
684569	125935	
684569	135732	
684569	136696	
684569	136745	
684569	136766	
684569	136769	
684569	136775	
684569	140618	
684569	140632	
684569	153972	
684569	156205	
684569	163090	
684569	172659	
684569	173412	
684569	173762	
684569	173799	
684569	173857	
684569	174654	Süheyla
684569	176214	
684569	176928	
684569	177113	
684569	178297	Fosforlu Cevriye
684569	178412	
684569	180139	
684569	180320	
684569	183893	
684569	187649	
684569	187650	
684569	189057	
684569	210522	
684569	212072	
684569	212118	
684569	227231	
684569	228885	Naylon Leyla
684569	245860	
684569	245880	
684569	285491	
684569	293406	
684569	293431	
684569	293664	Nevin
684569	294120	
684569	295505	
684569	296386	
684569	308423	
684569	322543	
684569	325347	Naciye
684569	333032	Tilki Leman
684569	342164	
684569	353291	
684569	370337	Serap
684569	370393	
684569	370513	
684569	377497	
684569	377499	Neriman
684569	377500	
684569	377523	
684569	377539	
684569	377559	
684569	377560	
684569	378210	
684569	378216	
684569	378259	
684569	378286	
684569	380744	Firdevs
684570	1688	Ila
684570	2701	
684570	43106	
684570	97975	Panni néni
684570	97982	Rokon
684570	120920	Felleghyné
684570	153679	Trosztné
684570	171609	Cukrászné
684570	174750	Fóti mama
684570	175748	Zsuzsanna anyja
684570	177925	Meluzina
684570	189083	Vendég az eljegyzésen
684570	237395	
684570	253783	Vevõ
684570	284184	Hajnal Ilka, öltöztetõnõ
684570	311805	Klementin
684570	322189	Grófné
684570	326076	Gereben Tibor anyja
684570	333112	Házmesterné
684570	349619	Vendég hölgy
684570	374157	
684570	378304	Szomszédasszony
684570	378518	Ilka néni
684571	137889	
684571	272530	Prostitute
684571	395656	Alíz
684572	176561	
684573	325408	Erna
684573	388783	
684573	411258	
684574	182692	
684575	38839	Herself
684576	394960	Maija Miettinen
684577	352571	
684578	94862	Marie Fessl
684578	104463	Gabi
684578	111770	
684578	136057	Lea Mast
684578	170129	Nanni
684578	226252	
684578	254989	Mme Blonskij
684578	284987	Bärbel
684578	290744	Margusch
684578	325562	Elisabeth Sobeke
684578	393878	
684578	400274	Maud
684578	401353	
684579	17346	Tanjas Veninde
684580	181859	
684580	350673	Ilona's Girlfriend (ystävätär
684580	402792	Seija, Huuskon tyttöystävä
684582	259452	
684583	155491	
684583	225165	
684583	225227	Angela
684584	125285	Francis Lohmann
684584	187798	
684584	350878	Heidrun
684585	107750	Hanna
684585	119264	Anita
684585	361529	Andrea
684585	381679	Jule
684585	388257	Sandra
684585	397370	Bärbel
684586	147190	
684587	182742	Hofdame
684588	404106	Herself
684590	342242	
684592	347766	
684593	259577	
684594	69650	
684594	125710	Hutverkäuferin
684594	156651	
684594	165425	Jane
684594	175289	
684594	189448	
684594	194360	Pritty
684594	204001	
684594	210032	Mariele
684594	213684	
684594	225742	
684594	226333	Dancer in Broadway bar
684594	252314	Frau Steeger
684594	255495	
684594	259436	
684594	279676	Fräulein Sellner
684594	281967	
684594	290536	Verkäuferin
684594	310940	Hannchen
684594	338957	
684594	361408	Frl. Fingerl
684594	361994	
684594	368692	Erna
684594	375226	
684594	402046	Schwester Erika
684597	35206	
684597	225256	Anführerin
684598	17918	Lore
684599	376279	Irinas Tochter
684600	24120	Lili
684601	122543	Pogogirl
684602	153160	
684603	359621	Hamburger-Opfer
684604	325625	Anke
684604	356833	Lily
684604	390812	Christiane 'Chrissie' Lehmann
684605	96201	
684605	102410	
684605	139940	
684606	41721	Herself
684606	281286	
684607	268521	
684608	118631	
684608	204411	Maude Headleigh
684608	325080	Elmire
684608	325846	
684609	95126	Prostituierte
684609	156711	Frau in Kneipe
684610	312876	
684611	364942	Fan 8
684612	11927	Paula Urmann
684612	16245	Mrs. Glatz
684612	24897	Schwester Benedikta
684612	33236	
684612	40585	
684612	44823	
684612	47044	Tine
684612	56008	Peggi Kennedi
684612	77303	Frau Gaspard
684612	109321	
684612	119164	Helene Holl
684612	120132	Wilhelmine
684612	121138	
684612	122567	Frau Mahnke
684612	134599	
684612	134794	Elisabeth
684612	142140	
684612	142189	Frau Stammer
684612	143491	Frau Kurnick
684612	144107	Bettina Clausen
684612	155471	Anne
684612	165116	
684612	180870	Gruschenka
684612	186886	
684612	188767	Fanny
684612	201231	Singer
684612	205594	Maria
684612	209985	Frau Bethke
684612	210038	Betty Joinvlle
684612	210051	Souffleuse
684612	216295	
684612	219332	Irre
684612	225182	Mutter Ingeborg
684612	239102	Burenfrau
684612	250749	Suzanne
684612	279660	
684612	281947	Friederike Aden
684612	286221	Kuhlemanns Freundin Mieze
684612	288840	
684612	302682	Peggy Kennedy
684612	311109	
684612	322519	Ernestine
684612	328980	
684612	336527	
684612	339092	Frau Weide
684612	353075	
684612	361392	
684612	364933	Adele
684613	23992	
684613	35294	Ida Paumbauer
684613	36476	Leontine
684613	48396	Clara Gemmel
684613	60675	Maria
684613	92284	Esther
684613	93438	
684613	95387	Ilse Dölling
684613	119677	
684613	155605	Mabel Chiltern
684613	169845	Herself
684613	188823	
684613	216272	Schwester Claudia
684613	219289	Rose
684613	238883	Irene
684613	277748	Anna
684613	281753	
684613	282178	
684613	308239	Milli
684613	308823	Mrs. Weber
684613	325868	Frau Zöst
684613	325918	Frau Berg
684613	352321	Dorit Lingener
684613	361368	Inge
684613	378567	Käte
684613	383171	
684613	395262	
684614	98305	
684614	134833	
684614	138431	Rosl
684614	203338	Waitress
684614	289826	Young Lady
684615	210347	Herself
684616	167153	Beate
684616	309150	Wolitt
684616	353993	Hero
684617	114761	Poppi
684618	156210	
684618	382095	Adviye
684619	173416	
684620	87978	
684620	173206	
684620	212285	
684620	284812	
684620	284813	
684620	322559	
684620	370373	
684620	374662	
684620	375281	
684620	378258	
684620	378594	
684620	378611	
684621	407596	
684622	336103	
684622	391357	Karin Löfgren
684623	24011	Karin Lauritz
684623	24382	
684623	26972	
684623	30431	Lischen (the German girl)
684623	35049	Jane Mercer
684623	40377	Myrna Emerson
684623	49265	
684623	49272	Dr. Zirner
684623	49273	
684623	49275	Staatsanwaeltin Zirner
684623	49280	
684623	49287	
684623	49297	Dr. Zirner
684623	49299	
684623	49300	Zirner
684623	49301	
684623	49312	Dr. Zirner
684623	102283	Frau von Sell
684623	150599	Dagmar Behrens
684623	150600	Dagmar
684623	150601	Dagmar Behrens
684623	159608	Lotta Olsson
684623	181070	
684623	210019	Emely von Künsthal
684623	215978	
684623	219289	Becky
684623	230229	
684623	243214	Vera
684623	261617	
684623	281727	Elisabeth Belford
684623	281742	Diana
684623	282207	Christine
684623	290255	Marianne
684623	325469	Ulla Flemming
684623	325700	Gerda Buthe
684623	325820	
684623	325840	Monika
684623	335040	Anne
684623	339210	Frau Zakowski
684623	343687	Lydia Kaber
684623	347002	
684623	359696	
684623	361462	Becky
684623	374123	
684623	374622	Judith Hausmann
684623	381349	Annette Bode
684623	387770	Mabel
684623	387771	
684623	389119	Dr. Annegret Richter (2000-)
684623	389942	Anneliese
684623	395265	
684623	395465	
684623	395511	Rosemarie Monk
684623	396782	
684623	397368	Karin Keller
684623	399387	Rita Zell
684623	404224	Hedda Althofer
684623	404422	Lili Fuerst
684623	404440	Hilde Gröndahl
684623	405449	Veronika
684623	406321	
684623	406488	
684623	409858	
684624	177137	
684624	225223	
684626	12629	
684626	40390	Die alte Frau Martens
684626	120154	Gräfin Kollowrat
684626	162446	
684626	187396	
684626	211074	
684626	263376	
684626	337555	
684626	352382	Frau von Aldenhoff
684627	5160	Brigitte
684627	125000	Fräulein Schleinitz
684627	140246	Carmencita
684627	144134	Klara
684627	155598	
684627	175301	Anni
684627	186934	Strupps, Studentin
684627	281894	Midilli Hanum
684627	312748	
684627	337135	Herta Rose
684627	361370	Kati Ertl
684627	374377	Hazel
684627	380199	Katherine Walters
684628	76480	
684629	349775	Birgitta
684630	225176	
684631	49311	Trixi
684631	68164	Judith Wells
684631	101956	Sarah Kaiser
684631	147158	Martina Kilian
684631	150599	
684631	227327	Judith Dunbar
684631	281710	Sheila O'Connor
684631	281751	Vicky
684631	325561	Amanda
684631	338440	Julia
684631	338445	Luise Schulenberg
684631	351968	Vera Kienzle
684631	352070	
684631	374123	Laura Vogt
684631	387964	Eva Sander
684632	42930	
684633	11818	
684633	35498	
684633	101332	Garderobiere
684633	155417	Oma
684633	182743	
684633	230196	Frau Hunke
684633	259541	
684633	264330	
684633	279821	Oma
684633	307652	Liesbeth Meinl
684633	352367	
684634	325409	
684635	308246	
684636	325734	Verena Graf
684637	99740	Titkárnõ
684637	378342	Cigányasszony
684637	378346	
684638	380985	Ece
684639	341876	
684640	394656	Lilo
684640	404454	Lilo Tillmann
684641	252982	Feminist
684641	367823	Herself
684642	49314	Paula Dohm
684642	308226	
684642	313790	Presenter
684642	403442	Rita Kruse
684642	405308	Recurring Host
684643	98389	Prinzessin
684643	155381	Elke
684643	178559	Sissi
684643	205507	Hedwig
684643	209875	Braut Hanna
684643	237717	Beate
684643	259452	Nina Bülow
684643	259504	Tina Rechenbach
684643	290178	Venke Karbow
684643	336507	
684643	353997	Regina
684643	364943	
684643	366563	
684643	375834	
684644	114984	
684645	49671	Tänzerin
684645	122606	Dancer
684645	290194	
684645	324691	Dancer
684645	361391	
684646	147518	Sophie-Charlotte
684647	240337	
684648	17079	
684649	34347	
684650	144158	Hanna
684650	209978	Hanna
684650	220709	Königin einer Nacht (in "Die 
684651	405351	Maria
684652	377615	
684653	334028	
684654	172898	Operator
684655	23502	Fra bandet
684656	2191	Herself - Konsulent
684657	93903	Herself: Phd.-studerende
684658	351276	
684659	74404	Laci anyja
684660	322099	Jutka
684661	3197	
684661	99536	
684662	44573	Lackó
684662	97593	
684662	97968	Herself
684662	99632	Aunt
684662	118823	
684662	143725	
684662	152336	
684662	153683	Ganimed néni
684662	155614	Irén
684662	157335	Head Psysician
684662	171541	Királylány
684662	198884	Lady Macbeth
684662	200619	ügyvédnõ
684662	227534	Erzsi
684662	237177	Psyché
684662	268232	
684662	322002	Szabó Jutka
684662	322011	Adorján Zsuzsi
684662	322079	
684662	322123	Auntie Ibi
684662	343633	A bohóc
684662	343751	Novák Erzsébet (Hungarian voi
684662	357549	Fox girl
684662	357937	Edit, Katus barátnõje
684662	410331	
684663	99233	Herself
684664	17054	
684664	23992	
684664	35098	Anna Maria
684664	101335	
684664	120853	Barbara Kling
684664	120930	Eva Schröder
684664	123960	
684664	126342	
684664	126843	Lea
684664	130934	Franziska Hellmer
684664	136608	Janine
684664	138506	
684664	140241	Christine
684664	140255	
684664	144157	Gerda Peters
684664	173707	Gilda
684664	175325	
684664	178601	Jennifer
684664	187923	
684664	189582	
684664	212730	Michaline Kramer
684664	220709	Constanze Mozart
684664	223183	Maria Bruck
684664	223466	
684664	272825	
684664	275201	Valentine
684664	279001	Isabella
684664	283054	seine Frau
684664	289917	
684664	293866	Gabriele Briggs
684664	311103	Sybille
684664	317614	Sybille
684664	322535	Erzieherin
684664	323010	Anna
684664	324689	Susanne
684664	325784	Else Rosenkötter
684664	338422	
684664	361012	Urschi Holler
684665	219270	Kathrin
684666	361404	
684667	5687	Madame Bock
684667	105521	Zuhörerin
684667	137640	Madame Pamion
684667	144035	Wirtin
684667	147178	
684667	155451	Marianne
684667	210077	
684667	210100	
684667	261781	Bar Singer
684667	352764	Frau Pospischil
684667	358531	Schwester Christina
684667	364899	
684667	374530	
684667	376440	
684668	14284	Frau im Zug
684669	231671	Liane
684670	391604	Paula Vogel (2004-)
684671	170509	
684672	140770	Schülerin
684673	98419	Pearl
684674	95901	Herself - Minister of Agricul
684674	289944	Herself in Audience
684675	79356	
684675	102372	
684675	103140	Else, dessen Tochter
684675	126338	Gertrude, Martins Frau
684675	130932	
684675	140258	
684675	156757	
684675	169981	Judith Trachtenberg
684675	174771	Schloßmagd Regine, Kügnbergs 
684675	177171	
684675	188746	
684675	227776	
684675	306470	
684675	311236	
684675	337553	
684675	360973	
684675	375266	Frau Alexandra Bertrand
684676	189763	Ilse
684677	25939	Anne
684677	31625	Svenja
684677	236039	Mona Thiele
684677	290814	Amelie Seeberg
684677	377340	Ester Vilar
684678	134612	Jaqueline
684678	137412	Ellen
684678	144022	Trinkerin aus dem 'Elefanten'
684678	225306	Die Frauen: Die Ernste
684678	259477	Kati
684678	301032	
684678	308824	FDJ Funktionärin
684678	350660	Gisela
684679	392669	Lara
684680	259625	Antje Schubke
684681	170675	Frau Bernwald
684681	274863	Dina
684681	290521	
684682	200979	Blonde
684683	161022	
684684	102291	
684684	120953	
684684	144014	
684684	186955	
684684	253964	
684684	311078	Maria Aicher, mayor's wife
684684	322527	
684685	166667	La bibliothécaire
684686	144331	
684687	118997	Martha
684687	168964	Lenas Mutter
684687	173166	
684687	177914	
684687	179649	
684687	356198	Die Müllerin von Berkheim
684687	387934	Rosa
684687	400021	Frau Heimreich
684687	401353	Frau Treutle
684687	403133	Frau Maeurer
684687	404491	
684687	404498	
684687	410611	Fräulein Dürner
684688	188623	Mystery Girl
684689	558	
684689	3985	
684689	24056	Singer'Sing Nachtigall Sing'
684689	24471	Florence Cecil Asta
684689	25506	Archediakon
684689	84557	Herself
684689	110114	Secretary at Travel Agency
684689	114972	
684689	122560	Mabel, Micro-Singer
684689	127444	
684689	133118	
684689	134822	Singer
684689	137860	Wirtin
684689	138497	
684689	142081	Sängerin
684689	155336	Herself
684689	155463	Singer
684689	174174	
684689	179875	Wilma, Leichenschauhaus
684689	182765	
684689	185798	
684689	210070	
684689	210097	
684689	218210	Schauspielerin
684689	225131	Frau von Kahlenbach
684689	225315	Singer
684689	230239	
684689	234289	
684689	249635	
684689	281674	Herself
684689	281675	
684689	290801	Frau Aeckerle
684689	324691	Singer
684689	343501	
684689	347431	
684689	352386	Gloria American Jazz-Singer
684689	352527	Singer
684689	364895	
684689	374126	
684689	377365	Nachtclubbesitzerin
684689	389785	
684689	391696	True Speaker
684690	57821	Nina
684691	5595	Helga Lüders
684691	156994	
684692	93282	Katia
684692	148092	
684692	199030	María Luisa
684692	379896	
684692	380096	Valeria
684692	383867	
684692	386170	Laura Esquella
684692	387273	Almendra
684692	388648	La Joyita
684692	393340	Carola
684692	396942	Margot
684692	408724	
684693	125166	
684694	4759	Solange
684694	34347	
684694	93439	
684694	124404	Sora
684694	128992	
684694	182902	Patricia Bertini
684694	285813	
684694	347567	Yelli Ball
684695	307254	
684696	40910	
684697	123008	
684697	188936	
684697	352875	
684698	199118	Viktor anyja
684698	378278	Kocsmai felszolgáló
684699	84549	
684699	110983	Jelena Maikova
684699	111476	
684699	119263	
684699	122609	
684699	147140	
684699	189564	
684699	189655	
684699	225195	
684699	280649	
684699	322939	
684699	337561	Ziska
684699	344772	
684700	97989	
684700	256667	
684701	53751	Maid
684701	92411	Paulette, Hotelstubenmädchen
684701	150625	Hilda Vogel
684701	184396	Mi
684701	335028	Adelina, eine Privatiere
684702	178007	Mannequin
684703	35175	Angelika, seine Tochter
684703	100986	
684703	107950	
684703	116303	
684703	132432	Erzieherin Karin Drews
684703	134786	Frau Gruen
684703	156568	Mutter Janda
684703	166717	
684703	179776	Voice of Babs Lincoln
684703	179779	Voice of Shabana
684703	186935	Marlene
684703	226167	
684703	226300	Mary Castellione
684703	226345	Schwester Gerti
684703	290181	
684703	292103	
684703	317479	Kriminalkommissarin
684703	325418	Helga Seelitz
684703	326050	
684703	334507	
684703	338937	Ursula
684703	350876	
684703	366267	Michèle Mercier
684703	380905	
684703	389948	
684704	4793	Oma
684704	33156	
684704	107372	
684704	182782	
684704	311834	Frau Wenk
684704	325958	Frau Prange
684704	338447	Großmutter
684704	352222	
684705	312687	Zimmer Vermieterin Meta Plump
684706	47407	Rimma
684707	136721	Wellgunde
684707	277461	Wellgunde
684708	394927	Safiye Karahanli
684709	26024	
684709	373615	
684710	38471	
684710	53855	
684710	108868	
684710	136761	
684711	104718	Herself
684712	260940	Enfant Beaumont
684713	157662	Femme soirée de la cave
684714	15113	Zira
684714	300609	Isabelle
684714	380863	Marguerite Lafresnière
684714	398078	Geneviève Langlois (Jeune)
684714	406981	Mélanie Éthier-Major
684715	220502	Charlotte
684717	69040	
684718	33958	Catalina
684718	128472	
684718	150050	Contestant #3
684718	150946	
684718	310994	
684719	329986	Marcy Host
684721	157662	Assistante de Laurence
684721	182930	Herself
684721	307699	
684722	16230	Vivian
684722	18517	Jane
684722	18518	Jane
684722	18519	Jane
684722	18520	Jane
684722	18521	Jane
684722	18522	Jane
684722	18523	Jane
684722	18524	Jane
684722	18525	Jane
684722	18526	Jane
684722	18527	Jane
684722	18528	Jane
684722	18529	Jane
684722	18530	Jane
684722	18531	Jane
684722	18532	Jane
684722	18533	Jane
684722	18534	Jane
684722	18535	Jane
684722	38994	Monika Brandt
684722	49285	Maria Plaschek
684722	124992	
684722	144142	Hilde
684722	173627	Ann-Sophie Jacobi
684722	204418	Irene Klett
684722	223182	Uta Sommertrank
684722	225205	Kirsten Hartmann
684722	225262	Gabi Gessart
684722	229413	Johanna Weiss
684722	281741	Frances Dongen
684722	294840	Girl in uniform
684722	308260	Lisa
684722	311827	Ingeborg
684722	319649	Alice
684722	325425	Regina Finkbeiner
684722	325540	Katrin Grund
684722	338442	Gerda
684722	361424	Erika
684722	367236	Christa
684722	384393	Marina Reinders
684722	389840	Simone
684722	392086	Renate Feller
684722	392855	Verena Becker
684722	397487	
684722	399387	Dr. Stappenbeck
684722	401996	Carola Quiebus
684722	404169	Biggi
684722	404435	
684722	404488	Anja Krischle
684722	405804	Gräfin Schönberg
684722	409627	
684722	409990	
684723	275171	
684724	178781	
684725	147518	Tante Malwin
684725	322564	
684725	329898	
684726	380120	Sharlene
684726	380387	Ângela
684726	395822	Tuca
684726	396886	Vera
684726	401095	Aninha
684726	402506	Duda
684728	68382	Miz Rousse
684729	393228	Cathy
684730	176908	Jill Morton
684730	335891	Jill Morton
684731	385299	Inez Purlis
684732	99410	
684732	160863	
684733	339226	L'infirmière
684734	108087	Nurse
684735	107871	
684736	148696	Infirmière 2
684736	243343	Agente de voyage
684736	249209	Fan de Jeannot
684736	309771	Madame Binet
684737	301570	
684738	224352	Party Kid
684739	196361	Debbie
684740	48159	
684740	302847	
684741	361224	'Operation Redline' Productio
684742	103215	Porcelain Bus Dancer
684743	2819	HIV woman
684744	672	Ricarda
684745	384350	Waitress
684746	389858	
684747	383742	Stacey Cornbread (1998-1999)
684748	29240	
684748	37583	
684748	39040	
684748	95558	
684748	136188	
684748	226980	
684748	284831	
684748	291046	
684748	295713	
684749	1319	Marthe Rose
684749	72475	Julia
684749	247986	
684750	1293	Barbara
684750	23530	La Princesse
684750	33571	Marie
684750	156317	Une femme naïve/Sophie
684750	163820	Victoria, la fille de Sam
684750	248711	Marion
684750	249461	Angéla
684750	275128	Patricia Shermann
684750	337013	Marie Lenormand
684750	345270	Marie-Sophie
684750	370043	Juliette
684751	26222	Subhadra
684751	42437	
684751	135892	Padma
684751	164799	Nagaputrika
684751	200673	Chinna Devi
684751	227815	Uttara
684751	248586	Ranjani
684751	260130	
684751	267138	(guest role)
684751	271904	
684751	312491	
684751	391835	Talking head/soundbites (segm
684753	6690	
684753	6993	
684753	7904	Mrs. Brown (unconfirmed)
684753	11076	
684753	19511	The Wealthy Moor's Daughter
684753	21472	
684753	24301	Aurora Floyd
684753	30565	The Would-Be Baseball Star's 
684753	33989	The Girl
684753	36442	Bianca
684753	37324	A Society Woman
684753	40590	
684753	40719	
684753	42554	The Girl Next Door
684753	47463	Kate
684753	48685	
684753	52610	
684753	54904	Julie de Mortemar
684753	56780	
684753	64060	Cinderella
684753	67704	
684753	71732	Phyllis, the Country Girl
684753	73819	Flo Drake
684753	75878	Imogen
684753	79496	May
684753	79550	Em'ly as a Woman
684753	85852	
684753	88156	Alicia
684753	91524	Dottie's Nurse
684753	92499	Jekyll's sweetheart
684753	96807	Lady Isabel
684753	101556	Teenage Arden Daughter
684753	105356	Sister of Little Boy
684753	106289	The Spendthrift Daughter
684753	110293	Grace Lane/Florence, her daug
684753	112408	The Son's Girlfriend
684753	114620	Flo
684753	116272	The Wealthy Old Man's Daughte
684753	121381	Margery Carew
684753	126655	
684753	128373	The Girl
684753	130060	Beryl Darcy
684753	130665	
684753	135566	The Wealthy Mother
684753	143237	Her Ladyship
684753	143247	Mary Murdock
684753	143375	The Widow's Son's Sweetheart
684753	146103	
684753	151443	
684753	157535	
684753	158125	The Daughter Grown Up
684753	158491	
684753	159068	
684753	166981	Jess's Sister, Bess
684753	167596	
684753	178914	In Kitchen
684753	185487	The Elder Sister
684753	190301	
684753	195932	The Archer's Daughter
684753	196836	
684753	198537	Ma
684753	199373	
684753	203681	Barbara Norton
684753	204279	The Rival's Girlfriend
684753	207453	Rose
684753	207481	Miss Gray
684753	211341	Portia
684753	214101	
684753	214102	Florence Hargreaves
684753	218303	Duchess of Sairmuse
684753	220022	The Loyal Daughter
684753	223692	The Telephone Operator
684753	230600	At Wedding
684753	248468	An Angel/A Maid
684753	254255	
684753	255871	Ruth
684753	259393	
684753	261084	Lady Anne
684753	263486	The Elder Sister
684753	263738	A Servant
684753	275228	The Lighthouse Keeper's Daugh
684753	276676	Margery Carew
684753	278457	Myra
684753	281852	
684753	285750	Florence Stanton
684753	286060	
684753	288799	The Lady
684753	294813	
684753	295440	
684753	297601	
684753	301773	The Young Wife
684753	305850	The Smuggler's Ward
684753	309267	
684753	310315	Gypsy
684753	313340	Mary
684753	316129	
684753	321722	Undetermined Role
684753	324207	
684753	327425	Miranda, Prospero's Daughter
684753	330291	The Girl
684753	331880	
684753	337591	The Wife
684753	340526	The Wife
684753	340600	
684753	343081	
684753	346181	The Silver Pheasant
684753	346385	
684753	359182	Ruth Norton--Braun's Stepdaug
684753	362187	Doris' Sponsor
684753	362934	Eleanor Grayson
684753	364448	Sue
684753	367533	Ann Catherick/Laura Fairlie
684753	376014	
684754	116894	Chorus Girl
684754	126067	Chorine
684754	183663	B Girl
684754	308632	
684754	360837	
684754	363292	Bit part
684755	27631	Nora
684755	45545	Boychick's Mom
684755	183323	Blonde
684755	194761	Receptionist
684756	26694	
684757	330550	Young Jones
684758	221333	Wire Walker
684758	290862	Piero
684760	45285	
684761	45957	Eleanor
684761	96620	Charmonta
684761	131401	Mac
684761	135594	Margaret Ryan
684761	136543	Jane
684761	141293	Helen's Maid
684761	158335	Genie
684761	178952	
684761	190458	Maizie
684761	214099	Olga Perigoff
684761	257611	Jacqueline
684761	278727	French Woman
684761	314775	Masie Mush
684761	315556	Saloon Extra
684761	317173	Muriel Cassano
684761	362628	Rhea Weinstein
684761	364839	Nancy
684763	82928	
684763	140040	
684763	152537	
684764	274314	American Friend (segment "Gir
684765	232847	Dina, Thor's girlfriend
684766	360108	
684767	232847	Stephy Noble
684768	120970	
684768	378680	Femme de quartier
684771	83600	Lucille
684771	168675	Blond Girl
684771	272687	Le Boeuf Woman
684772	372882	Second Nurse
684773	188453	'Dislike' Girl
684774	191039	
684774	197448	
684774	204645	
684774	270912	Sylvia's friend
684774	391869	Natalie Nash (#1) (1998)
684775	2431	
684775	72145	
684775	91943	Lingerie Woman
684775	115055	
684775	281928	La Brindille
684776	330836	Madame Rigaud
684777	70954	
684777	268199	A Fiend in the Party
684777	314470	La cuisinière
684778	225046	Ciberpunk
684778	384427	Gaby
684778	385852	
684778	398165	Veronica
684778	398850	Laura Benavides
684778	399627	
684778	406857	
684778	412311	
684779	51698	
684779	52871	
684779	211982	
684779	315451	
684779	342117	Giulia
684779	386749	Paoletta Malindri
684780	187627	Ayudante maestra
684781	392802	Heidi Fleiss
684782	147885	Anubus' Crew
684783	72239	Lucy
684783	78771	Edna Harper
684783	79604	God Truth
684783	99845	Nurse Fran Richards, dispatch
684783	103317	Gemma Smith
684783	117101	Nora
684783	141399	Lisa
684783	143526	Terpsichore the Muse of Dance
684783	143527	
684783	152656	Nightclub Singer
684783	186681	Georgette
684783	197067	Harriett
684783	203130	Petey Brown
684783	224190	Kelly Jane
684783	281364	Herself - singer
684783	396831	Amanda
684784	240057	la voisine
684784	350670	La mère d'Eric
684785	67218	
684785	115028	Herself
684785	121238	Mrs. Goldman
684785	155196	
684785	268277	La Chunga
684786	127157	Annetta
684786	141314	Edith
684787	37192	
684788	342076	Sisse
684788	403138	Ida
684789	137896	Gertrude
684789	153370	
684789	153759	Troldkvinde/Magician
684790	172658	
684791	218971	Sonja Jensen
684792	268074	
684792	409725	Herself - Sexologist & Partne
684793	252164	Madame Dupont
684794	366869	Victoria Clements
684795	278706	
684795	289424	Mme. Ferrioul
684795	346800	
684796	71903	Hubert
684796	79363	Donald MacGregor
684796	134648	Curé
684796	143394	Chaupin
684797	43913	Kim
684797	205049	Nun
684797	250872	Tiffany Carson
684797	293097	Bridesmaid #1
684797	346413	Kissing woman
684797	386079	Sarah Durelle
684797	386080	Sarah Durrelle
684797	395158	Sarah Durelle
684797	408969	Dolores Landry
684798	128782	Herself
684799	320467	Hanna
684800	368424	
684802	452	Liz/Kitten
684802	350198	Lianna
684803	274702	child
684804	186981	
684805	62466	
684806	274459	Bar Patron
684806	308114	Tracy
684806	309572	Blue Eyed Asian
684807	340858	Courtney Ramsey
684808	81485	Herself
684808	202639	Herself
684808	288465	Demon
684808	409908	Antonia 'Mama Grande' Gonzale
684809	135149	Pornoactress
684810	367061	Waitress
684811	142333	White-Haired Girl
684811	157771	Lady Client #2 at Fabulous Fa
684811	294742	
684812	286873	Holly
684813	184608	White Pawn
684814	44229	
684815	26953	
684816	284544	Ruth Dixon
684817	87152	
684817	145071	Hooker
684817	304650	Zoe
684818	244448	Bessie Horowitz
684819	232207	
684820	101170	La Rouquine
684820	388085	Karine
684821	108660	Angelica
684821	162030	Francesca
684821	166336	Viva
684821	176837	Isabelle
684821	195137	Julie Leduc
684821	195689	Claire
684821	235906	
684821	292350	Léone
684821	337742	Esther
684821	345146	Victoria
684821	346780	Ilonka
684821	399756	Victoria
684822	95328	Don Piper Fan #1
684824	17731	Marie-Louise
684824	108885	La standardiste
684824	262948	Une pensionnaire de l'orpheli
684824	356370	Lotte Lorenza
684825	14379	Moglie automobilista
684825	23588	Madre
684825	34474	
684825	189772	Angelo
684825	202266	Giornalista radio
684825	255061	Marchesa
684825	270824	
684825	281350	madre di Matteo
684825	338648	contadina
684825	351526	Nun
684825	390753	
684825	392740	Olga Sciarra
684825	392741	Olga Sciarra
684825	392742	Olga Sciarra (full time cast 
684825	396157	Giovanna
684826	66991	Taylor Kilbourn
684826	80702	Taylor Kilbourn
684826	108330	Sarah Fein
684826	144544	Girl with Doll
684826	176985	Taylor Kilbourn
684826	195397	Taylor Love
684826	352136	Taylor Kilbourn
684826	358985	Taylor Kilbourn
684827	193609	Molly Smith
684827	210427	Carmel
684828	48800	
684828	74900	
684828	87744	
684828	92444	
684828	222033	
684828	243240	
684828	354449	
684829	41181	Sheba Jackson
684831	28760	Paolina
684831	328210	Alice
684833	148063	
684834	146845	Madeleine
684835	376756	
684836	80288	
684837	70624	Vendedora de Fotos
684837	140701	Gitana 1
684838	104168	
684839	300671	Bernadette
684840	324450	
684841	242105	Receptionist
684843	233348	
684843	263267	
684843	270074	
684844	384780	
684845	239272	
684846	247012	Blank meisje
684847	270083	Johanne
684847	410628	
684848	285819	Une musicienne
684849	188683	Enfant #4
684849	211137	
684849	216233	
684849	283142	
684849	376999	Alice
684850	99356	
684851	56082	Dancer
684851	73298	
684851	79165	La Jana
684851	79179	La Jana
684851	103101	Herself
684851	124617	
684851	144177	
684851	159251	Indira
684851	183336	
684851	186984	La Jana
684851	210111	
684851	211113	
684851	253026	Marquise Hortense
684851	278998	
684851	290148	
684851	314548	Concha
684851	332204	
684851	332804	Indira
684851	341007	Die Tänzerin Yester
684851	359579	
684851	360955	
684851	366518	
684852	225644	Stella
684853	182603	Tove - ven af Else Thorsen
684854	233279	
684854	344630	
684856	10439	Maria Rosa's mother
684856	96537	
684856	128025	
684856	288801	Scintilla
684857	90162	
684857	96519	
684857	202064	
684857	292970	Sandra
684858	6996	Mrs. Belwood
684858	11723	
684858	18411	Clara
684858	33748	Teacher
684858	39562	
684858	44548	
684858	55417	Woman
684858	56098	Clerk's wife
684858	56103	
684858	64090	
684858	67157	Club Woman
684858	69823	French woman
684858	75692	Clerk
684858	83816	Nurse Receptionist
684858	103445	Jack's matronly date
684858	109673	Paris Cafe Guest
684858	115478	Telephone operator
684858	120339	Sightseer
684858	121360	Mrs. Brown
684858	123350	French Maid
684858	123679	Mrs. Jones
684858	125377	Arlene's Mother
684858	127086	Undetermined role
684858	128883	
684858	135596	Mrs. Mason
684858	147383	
684858	147451	
684858	154874	Teacher
684858	159460	
684858	166240	Bit Role
684858	177540	
684858	183679	Woman
684858	190065	Bit Woman, (as Isabel LaMal)
684858	193692	Ma Cameron
684858	199177	Maid
684858	209592	Chamber of Commerce member
684858	210764	Nurse
684858	210833	Miss Wiggins
684858	213626	Receptionist
684858	218734	Bit Role
684858	220852	Mrs. Mason
684858	221124	Woman in Cafe
684858	222604	Martha Denham
684858	224333	Mrs. Olmstead
684858	232033	Mrs. Reilly
684858	233791	Jacquette
684858	237818	Wife
684858	241595	Bit
684858	246787	
684858	249623	
684858	250724	Grand Dame
684858	254486	Mable Corrigan
684858	260285	Mrs. Tommy Lane
684858	263386	Woman in Audience
684858	264153	Gossip
684858	269318	Mrs. Barnett
684858	270667	
684858	273083	
684858	276663	Mrs. James
684858	276664	Mrs. James
684858	283093	Effie's guest in Paris
684858	285441	Mrs. Pierce
684858	292816	Dean Sophie
684858	293103	Woman in Water Gag
684858	297918	Club Woman
684858	297970	Saleswoman
684858	299165	The Baroness
684858	300037	
684858	303303	French Woman
684858	306595	Mrs. Van Cleve
684858	315881	Radio Salesman's Customer
684858	329903	Townswoman
684858	330453	Seasick Female Passenger
684858	330613	Marie's Mother
684858	334403	Woman
684858	346908	Woman
684858	358641	Sob Sister
684858	363248	Woman
684858	366205	Shopper
684858	371072	Woman
684858	372361	Rosita
684859	150996	Rothschild child
684859	176358	Native boy
684860	124113	
684862	6836	
684862	108712	Princess Lena
684862	245184	
684862	304653	
684863	19554	Themar
684863	64095	Kate Gradley
684863	83990	Lady Lou
684863	89864	Mrs. Martin
684863	104296	Donna Roma
684863	104336	Camille Lenoir
684863	114861	
684863	128203	Emilia
684863	139580	Tam O'Shanter Girl
684863	141223	Isabella Echevaria
684863	142556	
684863	143888	Hester Lane
684863	206878	Herself
684863	236949	Claudine Dupree
684863	260234	Laura Bedford/Laura Maberne
684863	264483	Antoinette de Mauban
684863	269921	Lindy Putnam
684863	287232	Sandra Waring
684863	299730	Lady Known as Lou
684863	309581	Leva Lemaire
684863	312555	Agnes Hunt
684863	316321	Anna Valeska
684863	331518	Milady de Winter
684863	332166	Guerita
684863	339647	Jacqueline de Séverac/Zareda
684863	363934	Fleur Forsyte
684863	363935	The White Moth
684864	11385	Lil
684864	44899	Chorine
684865	67139	
684865	239515	College girl
684865	313301	Chorine
684865	329329	A Lucky Star (The Lucky Star 
684866	2545	Chorus girl
684866	115632	
684866	138744	Chorus Woman
684866	171146	Chorus member
684866	176335	Goldwyn Girl
684866	191835	Society Girl
684866	247141	School Girl
684866	274263	Joan McKee
684866	274401	Spanish cigarette girl
684866	339407	Dancer
684867	363857	Wauna
684868	123696	Can-Can Girl
684869	193339	
684870	69474	
684871	285957	
684872	53060	
684873	349847	Concha
684874	8534	presenter
684874	9084	Madre de Konradín (Konradín's
684874	53653	
684874	56011	
684874	80280	
684874	100498	Carola
684874	265158	
684874	266476	Pilar
684874	268248	
684875	80619	Juan's Senorita Elenoia
684876	42968	Musetta
684876	353139	Corinna
684877	400893	
684878	247049	Herself
684879	288438	Mother of Sextuplets
684880	52528	Doll
684880	211601	Maxim Girl
684880	216000	Giggly Girl
684880	289641	
684880	321794	Girl at Park Scam
684880	364773	Tart
684881	169635	
684882	69680	Claudine
684882	115040	Herself
684882	116575	Lorelei (fantasy sequence)
684882	141474	Celeste
684882	143247	Undetermined Role
684882	206866	Undetermined Role
684882	206873	Mrs. Daisy Maughm
684882	271260	Mrs. Palmer
684882	308606	Undetermined Role
684883	45831	Dancer #1
684883	56895	Waitress
684883	84202	Amy
684883	87517	Cathy
684883	115110	Monica Ambrose
684883	141272	Hannah
684883	148902	Reporter
684883	164480	Tiffany
684883	178009	
684883	219530	Carol Donner
684883	222586	Kaki Lamb
684883	290086	Diane
684883	297781	
684883	342491	Kathy Robbins
684883	408127	Bess Bernstein-Flynn Keats
684884	8571	
684884	14672	
684884	14797	
684884	25096	Cantante
684884	43131	
684884	52614	
684884	71211	
684884	100278	
684884	123147	
684884	152643	
684884	179959	
684884	206994	
684884	221979	
684884	222021	
684884	222121	
684884	225699	
684884	251228	
684884	251552	
684884	276971	
684884	277195	
684884	357899	
684884	377104	Singer
684885	70835	Alessia
684886	96366	Ines
684887	133622	Party Guest
684887	247045	B-Girl
684888	213324	Pantomime Dwarf
684889	103642	Nancy
684889	145041	Liz
684890	6197	Narrator
684890	53488	Narrator
684890	171083	
684891	14706	
684893	136843	
684894	55212	
684895	146514	
684895	169743	
684896	10535	Hoochie
684896	85874	Maria
684896	179017	Sandra Lopez
684897	30071	
684898	328752	Marian
684899	247490	Spanish dancer
684899	305362	Prostitute on Street
684900	86893	Elyse
684900	115325	Pan Am Clerk
684900	158372	Susan Rosewell
684900	191524	Lynn
684900	199639	Claudia
684900	222786	Janet Landry
684900	292219	Nightclub singer
684900	357071	Diane
684900	387084	Linda Phillips
684900	393227	Laura Miller
684900	393634	Catherine Merrick (1994-1996)
684900	400323	Linda Phillips
684900	406461	Dr. Elizabeth Newberry
684900	407110	Melanie Bitterman
684900	408460	Dorothy Graham
684901	16098	Ticket taker
684901	47088	Girl
684901	115214	Hostess
684901	117295	Cafe girl
684901	117613	Girl
684901	138804	Showgirl
684901	143577	Photographer
684901	147543	Girl
684901	183706	Office Girl
684901	183760	
684901	195190	Louisiana belle
684901	231962	Miss Louisiana
684901	246215	Salesgirl
684901	262265	Attractive girl
684901	271224	Native Girl
684901	273513	Guest at Ball
684901	278079	Bit Part
684901	279411	Handmaiden
684901	286334	Hostess
684901	313377	Herself - Swing Shift Number
684901	316955	Student
684901	330703	Dancer
684901	372461	Performer
684901	375045	Ziegfeld Girl
684902	16920	Daisy Harris
684902	20613	Rosemary
684902	35350	Glenda Warren
684902	84841	Nina MacCarron
684902	107688	Bit Part
684902	107694	Falcon's Nurse
684902	107698	Mary
684902	107762	Canteen Girl
684902	110412	Laura Keith
684902	127697	Model
684902	128440	Troupe member
684902	130800	Laura Keith
684902	141667	Bit part
684902	162208	Charity Ball Dance Extra
684902	164399	Betty Fairfield
684902	168636	Hatcheck Girl
684902	199136	
684902	199592	Amanda
684902	212216	Bit part
684902	234803	Dancer
684902	239849	Emma Davenport
684902	241433	Girl
684902	247359	Pan-American Girl
684902	262310	Yola
684902	314419	'Daughter' in Reharsal
684902	316345	Maria Hart
684902	321540	Secretary
684902	343203	Nurse
684902	362063	Showgirl
684902	372931	Woman
684902	375719	Entertainer
684903	281463	Mrs. Thomas
684904	32785	Olala
684904	78166	Nanette
684904	114727	Margery
684904	142589	
684904	153203	Maid
684904	192043	
684904	211423	
684904	274986	
684904	281872	Angela
684904	313845	
684904	316277	Betty Lugo
684905	2546	Herself
684905	3141	Genevieve
684905	9928	
684905	20234	Evelyn Palmer
684905	20624	Madge Harlow
684905	26722	
684905	32072	Mary/Maritza
684905	35587	Joyce Bragdon
684905	37275	
684905	37463	Molly Dorn
684905	37464	Mildred Hart
684905	44840	
684905	45917	
684905	50022	Mary Malcolm
684905	50623	Tina Carteret
684905	50625	Dora Collier
684905	52456	
684905	52474	Ruth
684905	54562	Marie Marnay
684905	56686	Annabelle West
684905	63518	Betty 'Miss Church Mouse' Mil
684905	73667	Norine Tyrell/Olive Sloan
684905	78016	Diana Faraday
684905	78083	Ann Church
684905	80466	Alice Mason
684905	83047	
684905	84004	
684905	96983	
684905	105640	Nila Lyons
684905	109535	Connie
684905	109702	Undetermined Role
684905	109879	
684905	112396	
684905	113476	Barbara Hastings
684905	128275	Eve Chandler
684905	130038	Diane Churchill
684905	133611	
684905	143012	Frances Norcross/Daphne Dix
684905	143221	Celia
684905	145954	
684905	147445	Mary
684905	148403	Laura Elliot
684905	167531	
684905	167532	
684905	177401	The editor/The secretary
684905	185753	Doris
684905	192065	Mrs. Glenson
684905	193796	Diane O'Dare
684905	194843	Lady Esmerelda
684905	196124	Joyce Bragdon
684905	196148	Laura
684905	203321	Mary
684905	207701	Mary Newton
684905	209681	Gertrude Lennox
684905	213254	Olga Balashova
684905	239586	
684905	239820	Myrtle
684905	245079	Mae Day
684905	253149	Olga
684905	257540	May Laverne
684905	259022	The wife
684905	271805	Carolyn June
684905	272127	
684905	277873	Betsy Burke
684905	289395	Laura Hunt
684905	291731	Evelyn Inchcape
684905	299697	Mary Randolph
684905	300016	
684905	300061	Magnolia Hawks
684905	300065	Magnolia Hawks (clip from 192
684905	301841	Molly Thornhill
684905	304029	Mrs. Honey Skinner
684905	305803	Dorothy Vale
684905	306806	
684905	311762	Betty Rockford
684905	312003	May Bester
684905	315787	
684905	323618	
684905	326509	Ann Barton
684905	329337	Jenny
684905	331754	Cameo appearance (herself)
684905	337643	
684905	338735	
684905	358694	Prue Nickerson
684905	364850	Nancy Tweesdale
684905	372587	Octavia Lowden
684906	92993	Mrs. Clement
684906	144892	Lina
684906	302264	
684906	364556	Mrs. Roberts
684906	384726	Muriel Maddocks
684906	386604	Molly Dolan
684906	387330	Mrs. Atkins (Marmalade's Mum)
684906	403193	Tamara Novek (1980)
684907	4972	
684907	14653	Candelas
684907	14654	Pastora
684907	31340	Dorothy Parker
684907	42642	
684907	44983	Catharina
684907	53639	
684907	65458	Brida
684907	68969	
684907	70690	
684907	82219	
684907	83397	Juanita
684907	103711	
684907	116428	
684907	140104	
684907	146073	
684907	151597	The Stenographer
684907	153135	Joan's Friend
684907	183516	
684907	224015	Priscilla
684907	246420	
684907	271804	Pansy Price
684907	292709	
684907	300634	
684907	307656	
684907	358761	Carol Grey
684907	378438	
684908	251612	
684909	15891	
684909	121712	
684909	153916	
684909	185794	
684909	187543	
684909	317357	Lyduschka
684909	339384	
684910	92669	Rockgroup Member
684911	87797	Lady #3
684911	335480	Amanda
684912	289691	Lady in Rolls
684913	66947	Grace Inman
684914	301224	Brina
684915	302710	Dancer
684917	388753	Daniela
684918	251012	
684919	329614	Herself (singer/dancer)
684920	183446	Ana
684920	260532	Maria
684920	292729	Lety
684920	381024	Cecilia
684920	383442	Mariana Medina/Aída
684920	384777	Astrid
684920	386126	
684920	390127	María Salome
684920	396132	Luciana
684920	401917	María
684920	402404	Priscila
684920	407850	Fernanda Segovia
684920	408406	Lucía
684921	184263	
684922	367970	Acrobatic Dancer
684923	77643	Amazon Chorus Girl
684924	23552	Little Mary Castle
684924	281773	Young Madge Callahan
684924	329822	
684924	342970	Frances
684924	364455	
684924	367288	Gypsy dancer
684925	9464	
684925	49038	
684925	184647	
684925	206019	
684925	208871	
684925	234966	Party guest
684926	100887	Featured Performer
684927	348594	Jessie
684928	42605	
684928	270425	
684929	299028	Opera singer
684930	74619	
684931	326544	Susy D'Albert, la chanteuse
684932	165631	Advocaat
684933	158179	Mrs. Blaine
684934	201418	Senorita
684935	254014	Julie
684935	288948	Suzette
684935	383863	
684935	395093	Renée Doyon
684935	396334	Geneviève Bordeleau (2)
684935	400386	Suzanne Forget
684935	404018	Monica Gilbert
684936	76104	
684938	387833	
684938	390497	Herself (1st Edition)
684939	48804	
684940	213717	Anna
684940	241517	Juno
684940	377194	
684940	379603	
684941	401514	Sandra, Manfredi's Aid
684943	106615	
684943	151101	Receptionist
684944	347304	
684945	269319	Blossom Terrain
684945	358163	
684948	15991	Gilda
684948	262923	
684948	339934	Nina Bell, Al's third wife
684949	9702	
684952	13253	Lotti Pelgram
684952	26638	Sonya, Mrs. Oliver Denton
684952	41047	Taxi Belle Hooper
684952	44256	Mrs. Rita Browning
684952	60225	Elinor Crawford
684952	67770	
684952	69237	Cora
684952	69797	Nita Strom
684952	78155	Mrs. Barnett
684952	82363	Nydra
684952	90252	The Girl
684952	95832	Good Mixer
684952	113464	Rita Calmette
684952	114729	Patricia 'Pat' O'Connell
684952	115485	Molly, the Cook
684952	120508	Elsie
684952	121360	Sylvia Brooks
684952	124717	Natalie
684952	147426	Lulu Driscoll, Brady's Girlfr
684952	147650	Nella
684952	147852	Millie Coreen
684952	147983	Kitty Carroll
684952	149163	Daisy Tellem, Gossip Columnis
684952	150321	Camille
684952	155028	Girl
684952	177391	Woman at Table
684952	183651	Mabel
684952	186788	Fortune Teller
684952	187095	Vera
684952	190781	Florette
684952	196148	Mary Cadwallader
684952	196532	Louise Endicott
684952	203941	Martha Kirk
684952	207274	Girl
684952	213207	Madeline Austen
684952	220333	Mrs. Hamilton B. Lovelace
684952	227163	Marie Denton
684952	241456	Lola Deveroux
684952	257884	
684952	292678	Sylvia Folsom
684952	294755	Saloon girl
684952	302388	Grace Lawrence
684952	302887	Lil
684952	306397	Mrs. Paula Storm
684952	338550	Daisy
684952	363556	Fifi
684952	363622	Thelma
684952	367593	
684952	371089	Fania
684952	372345	Fashion Editor
684953	20883	
684953	35188	Betta
684953	115638	Henderson
684953	117143	Demimondaine
684954	221012	
684954	247990	
684954	309814	
684955	379454	Mia (2001)
684955	391869	Caitlin Halloway (2002)
684956	9731	
684956	75622	
684956	225704	
684957	104079	
684958	7175	
684958	31795	Mary Lang
684958	35630	Mrs. Langley
684958	40615	Mrs. Lamb
684958	44086	Mme. De Valdee
684958	44538	Rita Morris
684958	78096	Helene Westley
684958	79456	Mrs. Mantell
684958	105850	Mrs. Willy Strong
684958	107562	Mary Beeler
684958	116139	Sybil
684958	122022	
684958	130641	
684958	133661	Princess Eiderstrom
684958	146136	Julia Hewitt
684958	152573	Boka
684958	194948	Elizabeth Erskine
684958	195811	Kate Smith
684958	202932	Countess Petite Florence
684958	241659	
684958	270641	Doria
684958	270679	
684958	292329	
684958	300165	
684958	302921	Rachel Bangat
684958	306734	
684958	336264	Dancing Girl
684958	339651	Wetona
684958	342943	Sita
684958	346051	
684958	347604	Madame Le Quintrec
684958	361657	Celia de la Costa
684958	367630	Yvonne Leclaire
684959	67545	Herself
684959	297909	Frances Kelly
684959	329569	
684959	355688	Herself - Singer
684960	337349	
684961	273127	Bruna
684962	362052	Marvin
684963	280208	Herself
684964	12069	Singer
684964	194831	Slave Girl
684965	114303	Nurse
684965	277471	Woman #1
684966	160416	(segment "Dogs Playing Poker"
684967	29335	Lillian Westbrook
684967	60245	'Pert' Barlow
684967	67246	Laura Gill
684967	112348	May
684967	235186	Helen Dare Sherwood
684968	29049	Sofia
684968	82585	Asistente del arquitecto
684968	201625	Herself
684968	380103	Lena
684968	384771	Zafiro
684968	401917	
684968	410093	
684969	135161	Cassie
684969	158151	Baby Doll Dancer
684969	289059	Amy
684969	310648	Debutante
684970	232847	Great Peretz
684971	106737	Librarian
684972	11446	Red's Dead Wife/Bar Patron
684973	277587	Amica di Enza
684974	273333	Museum Receptionist
684975	286815	Messaggeri filistei
684976	290347	
684976	362356	
684977	121383	Lolita Mendez
684978	196760	Wrestler
684979	72733	Heavy Woman
684979	90357	Clara's Mother
684979	318311	Mrs. Johnson
684980	40690	Crew on Photo Shop
684981	29543	Martina
684981	116596	Paula
684981	202309	
684981	286238	Natalia
684981	396646	
684982	40270	
684982	52966	
684982	143678	
684982	216080	Arlette
684982	353600	
684983	32366	
684983	99336	
684984	74359	
684985	164375	
684985	381888	
684986	8283	
684987	231789	Herself
684988	104667	
684988	217912	Herself ('urope in the Raw' f
684989	151041	Chorus Dancer
684990	32809	Jason's mum
684991	253596	Cantante
684991	340417	La Máquina
684992	124975	Heike Gerlach
684992	185201	Clubgoer
684992	326972	Sex Bomb
684993	42842	Rachel's Hairstylist
684993	358376	Hairdresser
684994	14262	
684994	16046	
684994	19975	
684994	22984	
684994	24302	
684994	24973	
684994	33711	Fortune teller
684994	35395	
684994	37951	
684994	47792	
684994	72297	
684994	85022	Madame Bernstein
684994	134388	Gracie Moore
684994	143132	
684994	149199	
684994	152820	Undetermined Role
684994	195845	
684994	196147	Mrs. Hawley
684994	197939	
684994	201870	Marie
684994	203674	Mrs. Bryan
684994	206342	Martha Douglas
684994	212831	Mrs. Geoffrey Drake
684994	214553	Mrs. Joy
684994	234159	
684994	236872	
684994	239753	Mrs. Guthrie
684994	270950	Her mother
684994	291161	Madame de Merivale
684994	293787	Mrs. Satter
684994	294738	
684994	304094	
684994	343178	
684994	347513	Mrs. Holt
684994	348344	Mary's Mother
684994	350504	Miss Crawley
684994	364398	Aunty
684994	365089	
684995	100199	Ethel
684995	365668	Señora Gonzalez
684996	46386	Olive Lorette
684996	54608	Violet Potts
684996	73405	Faro Kate
684996	88163	Fifi Dupet
684996	332411	
684996	370532	
684997	30549	Fanny Beaucart
684997	30550	Fanny 'La Bascule' Beaupart
684997	63672	Lisa Mauric
684997	135323	Caroline
684997	161424	Paule Galène
684997	287254	
684997	385216	Lieutenant Anna Louviers (200
684997	385683	Sorenza Salvoni
684997	402075	Solange Meyer
684998	248711	La collègue de Marion
684999	350425	Agent secret Pologne
685000	107720	Mauro
685001	253186	Mira
685002	168119	Court lady
685003	138744	Chorus Woman
685004	138744	Chorus Woman
685005	116174	Dancer
685006	186665	Student
685008	176942	Lady 2
685009	45411	
685010	126062	Child
685010	210402	Constance Dupree
685010	230870	Little Girl
685010	252855	Trevor Baby
685010	300061	Magnolia, as a child
685010	329589	Pudge
685011	148994	Mrs. Bell
685012	75483	Annie
685013	1381	Herself
685013	1871	Mrs. Dacklehorse
685013	5083	Midwife
685013	10605	Martha Brenner
685013	13635	Refugee mother
685013	14213	Mrs. Asa Griffiths
685013	33739	Mrs. Briggs
685013	41555	The Bomber
685013	46239	Mrs. Flynn
685013	50619	
685013	133709	Elvira Jarvis
685013	141498	Mrs. Sneider
685013	145858	Aunt Lucy
685013	175627	Aunt Hannah
685013	185413	Innkeeper
685013	185718	
685013	190143	Sarah Harden
685013	191704	Ma Magdalena
685013	213453	Joice Heth
685013	243751	Mother Frochard
685013	245614	Undetermined Role
685013	255828	Mrs. Hatfield
685013	259760	Mandy
685013	262349	Mrs. Eubanks
685013	290328	Miss Keeble
685013	298021	
685013	302888	Ma Delano
685013	306283	Queen
685013	314828	Queen
685013	315988	Miss Sheen
685013	318943	Mother
685013	321231	Lady Maria
685013	323769	The Vengeance, Madame Defarge
685013	327400	Old Mammy
685013	331204	Mme. Batavia
685013	347056	Lucie Villars
685013	347120	Lady with Pipe
685013	363556	Mme. Golden Bonnet
685013	363990	'Auntie' Easter
685013	365301	Ma [The General] Melberne
685013	374197	Aunt Rosa
685015	213324	Fairy
685016	223709	Flo
685017	36773	
685018	110037	
685019	275214	Aunt Rose
685019	364013	Madame Bernard
685020	74810	
685021	302789	Hostess
685022	53116	
685023	24969	Muriel
685023	105201	Shirley Spurgeon
685024	291686	Hairdresser
685025	45662	Indigo Girls' Band #2
685026	292594	Model
685027	81527	Paige
685028	14941	
685028	229649	
685028	341792	
685029	217904	
685030	14735	
685030	63837	
685030	349525	
685031	150524	Flamenco Dancer
685032	235570	Chantal
685033	230126	Kim
685034	348234	Krista Johnson
685034	359715	Diane
685036	253484	Minh Tse
685036	334713	Rosalie
685037	102704	Thursday
685038	25981	Kirana
685038	139360	Old woman at the koubba
685038	261762	
685038	375074	
685039	5930	Hiedi Effen
685039	24993	Antonia Caldera
685039	25868	Eugenia Taris, Tom's dutch Gi
685039	43341	Olga
685039	54619	Sylvie Hamelin
685039	57473	Rita
685039	57542	Nelly
685039	70899	Marcia
685039	73144	
685039	84687	Mariana
685039	89871	Monique
685039	94240	Mathilde
685039	96078	Mme Christiani
685039	103403	Anne-Marie 'Fétiche'
685039	138877	Suzanne Duval
685039	166123	Jaqueline Delbois
685039	215631	Yvonne Pigalle
685039	222409	Isabelle
685039	226631	Geneviève Larguillière
685039	243548	
685039	248954	Germaine, la Parigina
685039	248985	Marie Seoul
685039	265623	Madeleine
685039	267880	Lizzie McKay
685039	268396	Mme de Langeais
685039	268876	Barbara
685039	281886	Claire Claris
685039	338607	
685039	345020	Nina
685039	349498	Barbara
685039	370107	Nelly
685039	375940	Zoé
685039	377486	Michèle Laurent
685039	380836	
685039	396523	Hélène Gardy
685040	354083	Woman at Language Course
685041	103805	Emma
685042	181709	Girl at rally office
685043	37068	Louise
685044	144104	
685044	163185	Widow
685044	174478	
685044	179625	
685044	181745	
685044	181755	
685044	198758	Elli
685044	200978	
685044	225112	
685044	229544	Erkki's mother
685044	233243	Guest
685044	234604	
685044	242948	Opri
685044	255935	Old woman #1
685044	267126	Kunilla
685044	270673	Saimi, Eila's mother
685044	271635	
685044	272694	
685044	302979	
685044	322704	
685044	341560	
685044	349440	
685044	349735	Kauppiaan rouva
685044	349736	
685044	391289	Kaijan äiti
685045	170848	Herself - Participant/Perform
685046	14278	Camilla Jakobsson
685046	156038	
685047	103805	Minna
685048	400356	Marion Skaren
685049	153762	Marjatta
685049	156540	
685049	184108	Hotellin yöportieeri
685049	271630	Ylihoitaja
685049	354083	Erja Penttilä
685049	354286	Consolatory woman
685049	394641	Helena Koskinen
685049	401476	Raija-Sinikka
685049	401477	Piia Määttä
685049	404782	Anneli Laakkonen
685050	2933	Liisa
685050	156038	Anna Lepaa
685050	172404	Taimi
685050	181651	Katariina, Mother
685050	190659	Ellida
685050	197362	Rva Tyynelä
685050	197917	
685050	206063	Marja Maronen
685050	217739	Mona's mother
685050	223257	Anja Holm, Master of Economic
685050	254208	Pankinjohtaja
685050	263202	Anna
685050	270191	Anna-Liisa's mother
685050	271633	
685050	307749	Saara, Solveig's mother
685050	341794	Mrs. Grönfors
685050	349737	
685050	354289	
685050	377292	Äiti
685050	392605	
685050	394539	Ruut Karhunen
685050	394938	Äiti
685050	402088	Päätoimittaja Maarit Tuiskula
685051	388055	Herself (1998/2003)
685052	171584	Huutava nainen
685052	394793	Alli
685052	404053	
685053	394538	Ring Salesperson
685054	319302	Asiakas
685055	168866	Jenni
685056	299040	Ring girl
685057	392705	Levite Girl
685058	344524	Herself
685059	150075	Bianca
685059	187064	Herself
685059	330706	Laura
685060	80835	Alice
685060	176517	Ginny
685061	15187	Shopwoman
685062	211037	Kirsti
685063	209857	
685063	234863	Mother
685063	301428	
685063	374880	
685064	255920	
685064	332521	
685065	204487	
685065	259440	
685065	289931	
685065	347822	
685065	396970	
685066	56903	Fatima
685067	247344	Girl
685069	363433	Delores
685070	132530	Child of the Corn
685071	199806	Mother
685072	271760	
685073	271760	
685074	11704	
685074	30730	
685074	75382	
685074	145126	
685074	174160	
685074	247262	
685074	256102	
685074	297093	
685074	394247	Mischka (2002)
685075	254123	Copine #2
685076	122376	
685077	7889	Party Goer
685078	43114	
685078	102409	
685078	182693	
685078	209842	
685078	214500	
685078	301470	
685078	355244	
685079	198210	
685080	101221	
685080	217727	Une visiteuse
685081	93903	Herself (Nuuk/Århus)
685082	271293	Princess
685083	69812	Henry Finch's Secretary
685083	188511	Meternity Worker
685084	67732	Lead prostitute/Vietnamese wo
685085	10916	Newborn Vocal #1
685086	367073	Munchkin Villager
685087	51232	
685087	106222	
685087	343628	
685088	249746	
685089	5326	
685089	12075	
685089	22642	
685089	25681	
685089	45725	
685089	136846	
685089	197212	
685089	285374	Teresa
685089	302340	
685089	310071	
685090	135120	
685091	20742	
685091	70651	Magna
685091	189041	
685091	202317	
685091	238335	
685093	104936	Kim
685093	347852	Melanie
685094	157406	
685095	48940	Aurore child
685096	28423	Anita
685096	46283	Sonia
685096	163296	Rita
685096	199333	Phyllis
685096	209598	Nina
685096	217412	
685096	284578	Hélène Muriel
685096	292126	Erna Fielder
685096	302707	Maria Santova
685096	326984	
685096	326985	Natalie Trubetzin
685096	337845	Freyda Beyersdorff
685097	156040	
685097	284748	Sosiaalivirkailija
685097	388912	Arbetsförmedlare
685097	403393	Liisa
685097	404782	Sairaanhoitaja
685097	405456	Virpi
685098	257114	Shop Customer
685099	342149	Amiga Ana
685100	242642	
685101	122453	Juli/Juliette
685101	134989	Manuela
685101	224961	
685102	376964	Angélique enfant
685103	14694	
685103	296469	
685103	373125	
685104	166370	Marilyn
685105	136360	
685106	17855	
685107	284590	Ottavia
685108	157036	Ticket Seller
685109	125589	Madonna
685109	142535	Moon Jones
685110	28198	
685111	15025	La lesbienne
685111	19323	Christine
685111	31418	La maquilleuse
685111	72311	
685111	95276	Colombe
685111	124322	
685111	168083	Josiane
685111	199593	Paméla
685111	227317	
685111	229078	
685111	282417	Betty
685111	288297	Hélène Marsan
685111	333692	
685111	345275	Brigitte
685111	389343	Concierge
685112	63851	Jacqueline
685113	94386	Juliette
685114	51826	
685114	54299	
685114	111139	La concierge
685114	157228	La patronne du bistrot
685114	170537	
685114	171346	
685114	204562	
685114	208559	
685114	214923	
685114	215866	
685114	224904	Mme Morel
685114	248031	
685114	277928	
685114	322354	La mère Nave
685115	329663	Whore
685116	8847	Old housemaid
685116	58345	Gundula Valley, "American aun
685116	59717	Rice-Karin
685116	144055	Telephone-Sandra
685116	145099	Frau im Krankenhaus
685116	162988	Unto's mother
685116	171590	Mother
685116	172037	Äite Kyyrölä
685116	178448	Grandmother Saara
685116	180928	
685116	182219	Mom Kyyrölä
685116	241982	Marina
685116	246674	Vanha nainen
685116	248145	Särkan Ruusu
685116	248215	Old lady
685116	285462	Thin Anna
685116	303126	
685116	303197	Agneta's Grandma
685116	303205	Fanny
685116	329663	Old Woman
685116	341604	Maria Lassila
685116	349944	Vanha nainen
685116	387813	Herself
685116	402897	
685117	31548	
685118	81620	Herself
685119	101547	Prostitute
685120	106988	The Tobacco Buyer
685121	129501	Jong meisje
685122	185441	Ichi's Mother
685123	271344	Basketball Coach
685124	146140	Stenographer
685125	228268	Herself
685126	305176	
685127	57457	
685128	237874	
685130	164467	Various voices
685131	395093	Macha Lambert
685131	398096	Cassandre
685131	400386	Charlotte Martinelli
685132	17794	
685133	90078	Donna Anna
685133	90089	Donna Anna (Soprano)
685134	366259	Party Girl
685135	380012	Herself - Finalist #12 (2004)
685137	147453	Les Amoureux
685137	395096	Ginette Létourneau (1986)
685137	400383	
685137	409541	Shirley
685138	43432	Moretti's Waitress
685139	1487	Herself
685139	2046	Herself - Performer
685139	2398	Host
685139	2581	Presenter
685139	2630	Herself/Host
685139	2831	Host
685139	2960	Host
685139	3079	Herself - Host
685139	3818	Herself
685139	18983	Herself
685139	57625	Herself
685139	104994	Herself
685139	113732	Lucille Jacobson
685139	116981	
685139	138717	Herself
685139	146639	Herself
685139	161215	Herself
685139	161228	Narrator
685139	161258	Herself
685139	161357	
685139	175537	Herself
685139	192508	Herself
685139	201537	Herself
685139	220207	Herself
685139	220212	Herself
685139	224169	Host
685139	232776	Patti Labelle
685139	240818	Sister Jasmine
685139	249178	Cartier
685139	249572	Herself
685139	250847	Herself
685139	277699	Herself
685139	287705	Melody Songbird
685139	295007	Herself
685139	302435	Herself
685139	302438	Herself
685139	302584	Mrs. DeVere
685139	303293	Herself
685139	307395	Big Mary
685139	307878	Herself
685139	309552	Herself
685139	321779	Herself
685139	335540	Herself
685139	347446	Jeanette Thompson
685139	352975	Herself
685139	364249	The Acid Queen
685139	368305	Cleaning Woman
685139	382536	Herself (Judge)
685139	386338	Adele Wayne (1990-1993)
685139	400542	Chelsea Paige
685139	403155	Herself
685140	47915	Student
685141	76257	Tracy Raport
685142	56222	Host
685143	259601	
685144	203492	Pianist
685145	203492	Pianist
685146	377240	Chambermaid and Little Girl
685147	17864	Simone
685148	407360	Julie
685149	328406	Jeanne Soubret
685149	377986	Mme Castillon
685150	116580	Lyuba
685151	236733	
685152	266120	Piano player
685152	286295	Ponticelli's Fiancee
685153	214861	
685154	273140	La badessa
685155	410874	
685156	3642	Herself
685157	217225	La soeur
685158	408780	Translator
685159	209582	
685160	126921	
685160	164119	
685161	102479	
685161	110550	Anneth Bekooy
685161	124945	Hoertje Kitty
685161	157588	Lena van Dijk
685161	296902	Christine Wisse
685161	359816	Prostitute
685161	393707	Joop ter Heul
685161	394598	Sherry
685161	401671	Dochter
685161	408603	Dochter
685161	412043	Jet Valkenburg (1992-1993)
685162	154264	Ellen
685163	77833	
685163	112643	Private policewoman
685163	183480	Maria Piermattei
685163	255636	
685163	278951	Maestra Rossi
685163	314304	Housewife
685163	381179	Marcelina Rodriguez
685163	401065	
685163	401066	
685164	348299	
685165	63730	
685166	261818	
685167	148771	
685167	261764	
685167	336642	Une infirmière
685167	346824	
685168	175223	Mother
685170	9536	
685170	75977	Psychiatrist
685170	95949	Jagoda
685170	103538	Mother
685170	104649	Leni's Mother
685170	179179	
685170	181147	
685170	252346	
685170	280588	Nun
685170	340088	
685170	360758	
685170	404216	Dr. Izabela Jaworska (2004-)
685171	112061	
685172	168133	
685173	72055	
685173	73719	Lola
685173	113116	
685173	156321	La jeune skieuse
685173	212152	Irène
685173	236552	Odile
685173	249740	
685173	346447	Récitante/Narrator
685173	357053	Paméla
685173	389004	Thérèse Migaud
685173	393853	Margot
685173	400378	Marianne
685174	68833	La mère de Marie
685174	101226	La mère du Capitaine
685174	377475	Veuve funérailles
685176	231577	La présentatrice journal télé
685176	409277	Herself/Journalist ("Les 4 vé
685177	58416	
685178	55996	Marta
685178	152237	Juglar
685178	237851	
685178	239010	Elvira
685178	263848	
685178	307303	Empleada residencia
685179	228563	Enfant 2
685180	269735	Marie-Jo
685181	108057	
685182	80144	
685182	345998	Nightclub Singer
685182	388095	Casilda
685182	402540	
685182	407648	Clarita
685183	243592	Ship's Stewardess
685183	306695	Zombi
685183	386078	María Dolores 'Mamá Dolores'
685184	921	(segment France)
685184	2252	(segment "I love you")
685184	14353	Pauline
685184	166763	Kai
685184	205674	Marianna Ucria
685184	205771	Inspector
685184	265901	Marie
685184	276546	Louise
685184	314853	Antonia
685184	326579	Marie
685184	345023	Mathilde
685185	13543	
685185	14886	Macha
685185	29626	
685185	33498	
685185	52698	
685185	53861	Adélaïde
685185	66736	Régine, femme de Marti
685185	96151	
685185	135340	Alice
685185	201026	
685185	217705	La troisième secrétaire de Je
685185	219442	Geneviève Chazerand
685185	236568	
685185	248423	
685185	251290	Une cavalière
685185	277339	Juliette
685185	282298	Marie Lesponne
685185	330197	Ninette
685185	340167	Milady
685185	345321	L'amie de Marc
685185	382584	
685185	383997	La Directrice
685185	384210	Mlle Sauvanet
685185	389000	Louise
685185	404153	
685185	407272	
685185	409276	Lola
685186	21626	La cliente du 417
685186	119042	La Sévère
685186	160548	La présentatrice TV
685187	348431	Hews Reporter
685188	17864	France
685188	307499	Mariette
685189	12038	Vanina
685189	25137	Gisèle Lesieur
685189	51379	Simone
685189	63650	Marion
685189	65089	La femme guide
685189	72058	Baronne Adeline Hulot
685189	72069	Mme. Lafont
685189	77420	Agnès
685189	83370	Germaine
685189	92963	Nana, the nurse
685189	99653	Paulette
685189	129216	Simone Darbon
685189	165783	Madeleine Vaindrier
685189	167205	Mme Dandillot
685189	167208	Madame Sinclair
685189	170416	Mme de Lamartine
685189	170421	
685189	193480	Madame Desnoyers
685189	217694	Micheline
685189	218278	Countesse De Latour
685189	218285	La mère
685189	220697	Evelyne
685189	236555	Gaby Farnoux
685189	238465	Clémence Lavaronnière
685189	245556	Catherine Villard
685189	248032	Marguerite la fleuriste
685189	249128	Jacqueline (segment "Sophie")
685189	251117	Denise
685189	257002	Tante Jo
685189	264436	
685189	266402	Cathy Faust
685189	284206	Hortensia
685189	306154	Mme de Saint-Aigne
685189	324753	
685189	334268	Sylvia Gilbert
685189	337447	
685189	340969	Comtesse
685189	354093	Geneviève Labbé
685189	377727	Florence Borje
685189	380358	Espérance
685189	386222	
685190	32012	Pierrette
685190	52771	Jeanne
685190	53014	Marie Bancilhon
685190	58498	Anna
685190	60521	Thérèse Le Vasseur
685190	63681	Catherine
685190	64772	Feminist
685190	69713	Claire
685190	76049	Julie
685190	80185	Catherine
685190	85536	Liliane
685190	104541	Mère Grandet
685190	122124	L'enquêteuse
685190	122421	Irène Grosser
685190	146372	Rose
685190	168961	Marguerite
685190	197542	Jeanine Delouis
685190	202084	Toinette
685190	211663	Jeanne
685190	218250	Viviane
685190	243212	Lydia Bronstein
685190	249751	Marthe
685190	254062	The Maid
685190	276991	Anne Beaufort
685190	284297	Sylvia
685190	285779	Jeanne D'Arc
685190	287619	Alice Desroches
685190	288298	Prue
685190	288893	Cathy Duparc
685190	322588	Elle
685190	327577	Madame Cottard
685190	332200	Thérèse Blum
685190	332211	Herself
685190	371415	Caroline
685190	377472	Marguerite
685190	377901	Jeanne Lombard
685190	383978	Sarah
685190	384535	Clémence Aletti
685190	384855	Amélie Suard
685190	385003	
685190	387617	Virginie Charlet
685190	400051	Martine Massonneau
685190	400869	Mme Belleau
685190	408659	Louise
685190	409454	Griffon, la soeur d'Anne
685191	34574	Mercedes' Mother
685191	155666	
685191	171470	
685191	286880	Mujer del bar
685192	74918	Une Enfant
685193	347367	Shea Landers
685194	64904	Mrs. Adams
685194	186512	Monique
685194	187338	Zoe
685194	230367	Gina
685194	280279	Betty Munroe
685194	295710	Cheryl Hope
685194	385824	Felicity York (1985)
685195	61900	Robin
685196	20050	Jackie
685197	334085	Cynthia
685198	311979	Kristin
685199	252229	Woman Timekeeper
685199	327254	Mrs. Sanchez
685200	4527	
685200	30304	Rosario
685200	153336	
685200	273013	
685200	357507	
685200	384632	
685201	23626	Bailaora
685201	121346	Lotera joven
685202	397616	MDPD ASU Animal Control Offic
685203	237851	
685204	19303	Sasha
685204	48946	Porta Rican Bride
685204	274317	Angelica (segment "Forbidden 
685204	316067	Beach Beauty
685205	53823	Little Girl Doctor
685206	111127	Martine
685207	111127	Typhaine
685208	355507	
685209	129627	Debbie Debutante
685209	390180	Debbie Debutante
685210	16980	
685211	379413	
685211	395706	
685211	401521	
685212	379452	
685212	379630	Eirini Skordili
685212	381009	
685213	182923	Coral
685214	381668	Sen. Diane Hartford (1985-198
685215	108773	
685216	8075	Receptionist #2
685216	203436	News Reporter
685217	70939	
685218	380493	
685219	139558	
685219	245316	
685219	326217	
685220	33571	
685220	51310	L'infirmière
685220	63724	
685220	106988	
685220	164874	
685220	199564	
685220	268463	Keti Le Coz
685220	346760	La Journaliste
685220	377479	Pichot step-daughter
685222	379528	
685223	318809	Caroline
685223	378735	Sunny Capuduca
685224	96026	Lina
685224	336461	Lina
685225	61716	Herself/Chabannes Resident
685226	247305	
685226	387391	Anneta
685226	389459	Yeorgantza
685226	397266	Ellie
685226	412026	
685227	281972	Three Orphans of Noble Family
685228	302793	Gate Attendant
685229	147982	Cindy
685229	398558	Investigator
685230	263760	Mary
685231	71989	Anne
685232	393314	Miss Miller
685233	396239	
685234	35000	Bettina
685234	119197	Josephine
685234	124987	Mrs. Kumnerov
685234	204455	Anita
685234	259449	Frau Seiffert
685234	259592	
685234	379086	Monika Büttner,verehel. Mai
685235	244100	A Prisoner
685236	112771	
685238	200377	Caterina
685239	189350	Florence Lorcy's daughter 3
685240	26381	Woman at Nursery
685241	326410	Sorority Sister
685241	330595	UN Secretary
685242	280653	Funeral attendant
685244	74658	
685245	6395	Michèle
685245	10205	La patronne du restaurant
685245	25112	Isabelle
685245	111746	
685245	165757	Annie
685245	166195	Dorothée
685245	168890	Fille téléscope
685245	199316	La banquière à Hong Kong
685245	205461	
685245	258151	Anne Eschenbrenner
685245	337734	
685245	338328	La belle compagne du juge
685245	339476	
685245	345132	Ghislaine
685245	388160	Anh Hoa Fabre
685246	65892	Barrio Neighbor
685247	223506	Candidate #21
685248	40100	MC
685248	45457	
685248	220023	Nurse Taylor
685248	395165	Lia's Wife
685248	408968	Mediator
685249	192252	Eileen
685250	280615	
685250	354909	Herself
685251	59213	Une prostituèe
685251	69713	La mère
685251	112888	Rose
685251	170359	One of the women
685251	251543	La secrétaire Dominique
685251	266153	
685251	340197	Olga
685251	383862	Fabienne Dulac
685252	312538	
685253	146383	
685254	143753	
685254	199837	
685254	250719	
685254	351264	
685255	217729	Magali
685256	357124	Madame Malou
685258	387530	Miminata Barro
685258	403919	Josée
685259	750	
685259	24530	
685260	334011	Goth
685261	72140	Model
685262	280453	Mrs. Rogers
685263	17794	
685264	10837	Motorcycle Cop Girl
685264	153009	Cocktail Waitress/Lover in St
685264	169176	Female Technician
685265	390750	Neide
685266	232380	Prostitute #2
685266	296266	Chip
685267	328371	Sagan Lear
685268	59825	Midnight
685268	149952	Crying Girl in Officers' Club
685268	186117	Woman
685268	273083	
685268	315680	Amelia, Italian Girl
685269	39234	
685270	236307	
685271	292426	Penny as a Child
685272	358478	Villager of Tullymore
685273	150084	Friday Girl
685275	143747	
685275	193772	
685275	314663	Pumpkin
685275	316401	
685275	347368	
685277	54566	
685277	95803	
685277	102712	
685277	147771	
685277	306883	
685277	321042	
685277	361243	
685278	33259	
685278	161119	
685278	286225	
685278	371586	
685279	159115	
685280	36900	
685280	116013	Herself
685280	252407	Pet
685281	178321	
685282	20625	Extra
685283	11024	Agathe
685284	5747	Rita
685285	199323	La maîtresse du Général
685287	84482	Margareth
685287	352127	Bebela
685288	308750	Herself
685289	124174	
685290	327329	
685291	67659	
685291	101719	
685291	149518	
685291	234245	
685291	278163	
685291	282814	
685292	54759	
685292	104134	
685292	107710	
685292	108728	
685292	110748	(segment "Bolo")
685292	125783	
685292	160728	(segment "Prisão de J.Carmo G
685292	207928	
685292	307200	
685292	322253	Dona Glória
685292	325336	
685292	353644	
685292	353675	
685292	377118	
685292	380330	Alzira
685292	386017	Sumitra
685292	387835	Urânia Camará
685292	396177	Maria
685292	397409	Francisca
685292	397544	Edith
685292	397804	Sarita
685292	402371	Tia Anunciata
685292	402626	Anita
685292	405418	Melinda
685292	408592	Eglantine
685292	409025	Ema
685292	409426	Joana
685293	1344	
685293	92572	Lolita
685293	134573	Theatre Girl/Girl in the Bath
685293	367919	Treatment Girl
685294	114475	Employment Officer
685294	224085	Aunt Eunice
685294	257185	Maude
685294	316904	Coat check girl
685294	330957	Hannah's Aunt
685294	365255	Woman
685294	390948	Esme Murray
685295	11646	Countess
685295	18011	
685295	55418	Florrie Raeburn
685295	56608	Francine Rollard
685295	63834	Granny Trill
685295	71462	Mrs. Stokes
685295	72419	Mother Superior
685295	94528	
685295	112566	Queen Elizabeth I
685295	124375	
685295	154312	Mrs. Robinson
685295	160033	Angela Chesney
685295	169409	Miss Sarah Prinn (episode 'Th
685295	183833	The Nun
685295	203204	Mary's Mother
685295	205292	Princess Kukachin
685295	222331	Haiti
685295	238158	Miss Selby
685295	256292	Miss Porter
685295	258954	Connie Fateley
685295	264747	Woman in wheelchair
685295	280179	Mrs. Waggett
685295	294909	Lady Mounset
685295	296810	Ella Venable
685295	307576	Mrs. Evans
685295	309133	Estelle Monserrat
685295	363042	Almoner
685295	363660	Mrs Waggett
685295	364063	Miss Cater
685295	366118	Bee
685295	405511	Kate
685295	405525	Dowager Duchess of Norfolk
685296	74281	
685297	302575	Christine
685298	31	Female Cop
685298	7681	Victoria St.George
685298	42705	Pretty Lady
685298	49441	Reporter #2
685298	84873	Sophie
685298	114642	Rose
685298	204473	Linthea
685298	212027	T.V. Housewife
685298	310624	
685298	372525	Phone Striper
685299	340320	Cleo Plendor
685300	56773	Jessica Barham
685300	100952	Inga
685300	121839	Tina Taylor
685300	126678	Helen Cross
685300	157785	Elsie 'Mac' MacDonald
685300	207466	Reporter
685300	230329	Sarah
685300	235174	Eleanor Tilney
685300	367695	Helen
685300	387022	Helen Cooper
685300	395955	Sally
685300	404302	Alice
685301	5420	Milly
685302	945	
685303	32089	Reunion Classmate #1
685304	224192	60's Dreamgirl
685305	368675	Goodie Twocharm
685306	154409	Woman Neighbor
685306	394300	Regular
685307	244928	Emily Webb
685307	342556	Lavinia Albatross/Virginia Al
685308	39271	Anne Sewell
685308	40536	Vicar's Wife
685308	47970	Helper
685308	55157	Onlooker
685308	80699	Mrs. Bird, Dobbs' Maid
685308	85871	Mrs. Whistler
685308	101429	Woman in shop
685308	108410	Mrs. Harris
685308	108950	Maryann Money
685308	119811	Kitchen Maid
685308	138844	Miss Dacres
685308	154935	Empire Loyalist
685308	220921	Auntie
685308	242092	1st Pianist
685308	277716	Miss Beale
685308	282254	Miss Rossiter
685308	291886	Woman at first Seance
685308	292593	Mrs. Burgess
685308	305723	Mrs. Williams
685308	320261	Prince's Secretary
685308	329988	Autograph Hunter
685308	370585	Woman at hotel
685308	410728	Edina Dinwoodie
685309	14607	Jitterbug Dancer
685309	41094	Jitterbug Dancer
685309	73392	Girl
685309	118320	Jitterbug Specialty
685309	127086	Jitterbug
685309	199246	National Champion Jitterbug
685309	309588	Patsy
685310	21180	Phillipa
685310	55691	Chiquita
685310	141731	Sue Brown
685310	281037	Housemaid Anna Demidova
685310	305640	Carol Smith
685310	332901	Susan
685310	350500	Daphne Feast
685310	362472	Chiquita
685310	381130	RSPB Officer Claire Armitage
685310	382733	Emily
685310	383631	Dr. Georgina 'George' Woodman
685310	397176	Hilary
685310	398085	Irene Stuart (Series 4) (2002
685310	410068	Dulcie Grimstone
685311	348429	Amanda Winters
685312	405525	Lady Frances
685313	215783	Suzie
685314	191032	Rosie
685314	360626	
685315	411410	Consumer Affairs Specialist
685316	51932	
685316	389602	
685317	178123	Italian Grandmother
685317	307741	School Psycholgists
685318	117903	Majbritt
685318	267642	Betina
685319	22066	Viola
685319	42201	Fnisende pige
685319	78495	Herself - Presenter ('Aldrig 
685319	93526	Irene
685319	130113	Politi
685319	181736	Lise's friend
685319	216208	
685319	408737	Herself - Host (1991)
685320	356792	Rickie Webster
685321	51240	Chorégraphie
685322	51240	Tania
685322	198352	La secrétaire
685322	391631	Judith Gravel
685322	402834	Brigitte Blais
685323	5963	Herself (journalist, describe
685324	249209	
685325	232424	Lori
685326	92694	Ballroom Dancer
685326	210881	Billy
685326	389269	Singer (segment "The Cowboy a
685327	70723	
685327	156329	Belle Soeur
685327	307499	Louisette
685328	258208	Amie de Rita
685328	377243	Claude
685329	10090	Albertine (60 ans)
685329	32277	Évelyne
685329	32285	Voix de maman
685329	54189	Jeanne O'Neil
685329	55488	Giulia Millozza
685329	70723	Suzanne
685329	78370	Madame Côté
685329	90336	Prostitute
685329	94385	
685329	171596	
685329	192438	
685329	198337	Psychiatrist
685329	215260	Célimène
685329	218667	Antiquaire
685329	228565	La femme de George-Henry
685329	229663	Robertine Barry
685329	251291	Emma
685329	254936	
685329	334783	Ernestine
685329	373207	
685329	376906	
685329	378731	Suzanne Mercier
685329	386497	Grand-mère d'Ariane
685329	387530	Gisèle Dauphin
685329	392841	
685329	396525	Françoise Beneix-Deschênes
685329	396839	
685329	398078	Françoise Mercier
685329	398137	Louise Robert
685329	407807	Marie-Thérèse Fournier
685329	410368	Agathe Saint-Janvier
685330	325995	Butterfly Tattoo Girl
685331	107023	
685331	276512	Sophie
685331	354761	Julie
685332	44980	La mère de Raymond
685332	231579	Une Psychologue
685332	377951	
685333	73066	Mme Glais
685333	358172	Une secrétaire
685334	2968	Gardienne hôpital
685334	23873	University Secretary
685334	36669	Sophie
685334	82508	L'hôtesse
685334	87971	
685334	108652	La mère
685334	112889	L'aide sociale
685334	149744	La concierge
685334	333459	Nurse
685334	409981	Micha
685335	34325	Carmen
685335	95277	
685335	225634	
685335	347832	Sandra
685335	359066	Jasmin
685335	361108	Kati
685335	377353	Swantje
685336	54063	
685337	64318	
685338	339476	
685339	85540	Madame Monge
685340	213889	
685340	283262	Mme Morel
685340	386084	Fabienne
685340	402069	Nicole Roman
685340	409523	Dominique
685341	122466	Leo's classmate
685342	10205	La dermatologue
685342	15050	Catherine
685342	23535	Laurence
685342	29415	Mme Radignac
685342	33571	La chasseuse de tête
685342	43696	
685342	49313	Lola
685342	51248	Ingrid
685342	68363	Monique
685342	69342	La femme au chapeau
685342	73071	
685342	83174	
685342	84616	Greta
685342	84651	Babette
685342	88193	Maître Larose
685342	115375	Simone Langlois
685342	115376	Jenny
685342	115433	Barbara, la barmaid du Cormor
685342	123719	Janine
685342	124824	Sopha, the Boss
685342	128618	
685342	133066	Mme de Sauve
685342	135426	Florence
685342	146404	
685342	149202	Claudia
685342	156278	La vieille
685342	156559	Thérèse Picard, femme de Juli
685342	157660	
685342	158877	La fille au bureau des éducat
685342	166144	La camionneuse
685342	166179	L'assistante du réalisateur
685342	170536	
685342	200902	Catherine Olivier
685342	218250	Roseline
685342	218310	Mlle Carpentier/Miss Carpenti
685342	219474	
685342	237311	
685342	251063	Nicole
685342	264951	Madelaine
685342	269136	Ava
685342	281637	Quarante
685342	282292	La Giro
685342	287322	Mme. Grant
685342	301553	Paulette Fromenteau
685342	303541	Carole
685342	336642	Zoa
685342	345039	Aunt
685342	345074	La cliente du salon
685342	345132	Mme Valenta
685342	345442	La femme du bordel
685342	353864	La psychologue
685342	354908	Carla
685342	362080	
685342	377068	
685342	377484	Commissaire Lanvin/Inspector 
685342	380704	
685342	381297	
685342	383832	La Directrice
685342	402577	
685342	407832	
685342	409933	
685343	138544	
685344	378062	Une cliente
685344	380864	Agathe
685345	23841	
685346	74787	Prisoner
685346	112786	Wedding Guest
685346	386654	Wanda Jasinska
685347	323832	Claudia (segment "Trick or Tr
685348	240171	
685349	24671	
685349	155738	Jacqueline Boyer
685350	8942	Ruth
685351	281639	
685351	311215	Lohse's sister
685352	322165	
685353	7124	
685354	332771	Bill's Video Victim
685355	326511	Herself
685356	68609	Paciente da clínica de aborto
685357	230829	
685358	136022	Mexican Wife
685359	92695	Nun
685360	148604	
685361	267547	Kitty Armstron, Matt's Girlfr
685362	178893	Louise Meredith
685362	229098	Mrs. Hardin
685363	16017	
685363	25987	Mrs. Drexel
685363	65660	Mrs. Tarney
685363	128121	Mrs. Millikin
685363	183712	Mrs. Merriweather
685363	186370	Mrs. Baggot
685363	213096	Undetermined Role
685363	215602	Bridget Cassidy
685363	254274	Mrs. Lou Winters
685363	274030	
685363	315145	Mrs. Edmay
685363	342546	Mrs. Flannigan
685363	342567	Marco's Mother
685363	359124	Mrs.l Barton
685363	371021	Mrs. Black
685364	169201	Sally
685364	220783	Pilates Instructor
685364	276328	Karen Ross
685365	374557	Grete
685365	376295	
685366	292275	Jasmine
685367	41178	Jessica Pruitt
685367	66682	Chantelle
685367	106404	Palmer
685367	182975	Det. Anne Coates
685367	195619	George
685367	222194	Carol
685367	222781	Mary Hobbs-Mercer
685367	230509	Dr. Jessica Platt-Trenton
685367	257296	Friend at Leo's Party
685367	384945	Olivia
685367	388923	Alexis (1995)
685367	391869	Roxy Miller (1992-1995)
685367	393946	Alexandra DeMonacco
685367	406144	Gina
685368	82669	Dancer
685369	255501	Charito
685369	378986	Rosalía
685369	381607	Lourdes
685369	382757	Soledad García
685369	386785	Adela (Lela) García
685369	391611	Graciela
685369	393836	
685369	395867	
685369	396333	Josefina Urrutia de Cruchaga
685369	396925	
685369	397735	
685369	403644	
685369	404074	
685369	408180	Iris
685369	408591	Carmen
685369	412183	Marilyn
685370	177219	
685370	356551	Nicole
685371	76782	Nurse
685371	115401	Gunnel
685371	351458	Tourist
685371	368731	Margret, a neighbour
685372	390653	Dancer (1992-1996)
685373	18962	Herself
685374	65664	Herself
685375	94238	Woman at ice cream stand
685376	99375	
685377	102915	
685378	284261	
685379	29489	Ginette, la bonne
685379	265699	Viviane
685380	311448	Cathy Hunter
685382	315131	Young Jessie
685383	83362	Solange
685383	243039	Alix
685385	113126	Voisine
685386	48418	Le sergent américain
685386	392364	Linda
685386	395914	Kim
685386	397827	Linda
685386	402074	Lynda
685386	409750	Lynda
685387	3370	
685387	27191	
685387	80139	Sra Blanes
685387	109264	Dorita
685387	238514	Patricia
685388	293383	Daniella 8 Years
685389	390180	Daisy
685390	245951	
685391	216672	Rock's mother
685392	250764	Pub Patron
685393	84596	Une invitée
685394	80488	Customer
685394	250764	Pub Patron
685395	160981	La prostituée
685396	105805	Vice sergeant
685397	140283	La jeune fille de la soirée
685397	192683	Walker
685397	302988	Cellar Bride
685397	345302	Béatrice
685397	354427	Suzanne - Lab Tech
685397	354854	Henchwoman
685398	246854	
685399	54334	
685399	69251	
685399	114815	
685399	205146	Rosa
685399	349722	Vitória
685400	356521	Femme HLM 1
685401	117910	
685402	61409	La jeune fille
685402	158842	Claire
685402	284666	Mylène
685402	340152	
685403	231149	Gloria
685404	38000	Bird
685405	64452	
685406	149119	Françoise
685406	226793	Germina, l'écuyère
685407	33557	
685407	111080	
685407	153879	
685407	158808	
685407	279900	
685407	340116	
685408	22724	
685408	107706	
685408	395397	Host (1983)
685408	409463	Secretaria (1982-1983)
685409	29591	
685409	161997	
685409	307344	La soubrette
685410	35903	Khomsa
685410	116992	Rosette
685410	285696	Adult Alia
685411	378430	
685412	101198	Herself - Coordinatrice Techn
685413	11024	Sabrina
685413	15071	Elodie
685413	24616	
685413	38170	Sandra
685413	51108	Agathe
685413	71813	Joelle
685413	74336	Angélique
685413	91709	Nathalie Saingeon
685413	96170	La flic en civil 2
685413	123688	
685413	253208	
685413	254073	Aurore
685413	270542	Sylvie
685413	276548	Catell
685413	380859	Gloria Bramont
685413	387081	Julie Bellan
685414	70325	Jocelyne
685415	77629	Illianna
685415	88032	
685415	97351	Judite
685415	109094	
685416	191293	Clémentine
685417	222779	Pearl Sunrise
685417	275791	Teresa Woolcot
685417	387215	Kelly Longstreet (1992-1993)
685417	402379	Natasha Constantine (1996-97)
685418	33585	
685418	91566	
685418	160502	
685418	332956	Mme d'Athys
685418	351554	Mme de Castelviel
685419	22724	
685421	284207	La comtesse
685421	319819	L'Employée ANPE
685422	41197	Phone Red Head
685423	336942	Young Madeleine
685424	55071	Myriam
685425	302304	Une cuisiniere
685426	208993	Trailer Blonde
685427	174023	
685427	249636	
685427	255170	
685427	284521	
685427	287952	Mila
685428	411585	Noviça
685429	40776	Anette
685429	156139	Verpleegster
685429	281371	
685429	408174	Tika
685430	117713	Nurse
685430	217388	
685431	2545	Chorus girl
685431	176335	Goldwyn Girl
685431	350459	Diane Melville
685431	362677	Ruth Davis
685431	369367	Judith Flagg
685432	108523	Daisy
685432	164448	Hiega, Gray Eagle's Wife
685433	342467	Cammy
685434	342391	Attention Deficit Disorder pe
685435	4696	Carol
685435	372134	Sonya
685436	105851	Sophia
685436	285300	
685438	381799	W.P.C. Raymond
685439	135596	Helen Mason aka Helen Wilson
685439	153617	Ballet girl/performer
685439	227697	Lena
685439	279480	
685441	305405	Mrs. Cruse
685442	164542	Shannon
685443	204557	Dancer
685444	66954	Lady's Daughter
685445	9681	
685445	109625	
685446	100768	Sister Lucille
685446	204060	
685446	376817	
685447	79285	Queen Of Mars
685447	305175	
685447	385080	Herself (1990)
685447	385083	Herself - Countdown Dancer (1
685447	388193	Herself
685447	408616	Various (1998)
685448	334112	Susan Sorrell
685449	112786	Buzowska
685449	180106	Ballet Dancer
685449	180634	Danka
685449	394585	Gabriela (2000-)
685450	343822	Marusja
685451	294545	Piroschka´s Mother
685452	357829	
685452	378278	Blanchardné
685453	147929	
685454	162745	
685455	232664	Countess Koniecpolska
685455	247320	Woman
685456	165924	
685456	182692	
685457	108146	
685458	221727	
685459	59075	Their little girl
685459	118379	
685459	223004	Miranda
685459	326555	Nasty
685460	46237	Woman Translator
685460	69194	Mrs. Biferski
685460	75612	Inmate
685460	86959	Mrs. Billings
685460	320815	Delegate
685460	321667	Reporter
685460	330635	Gould's mother
685460	342925	Older Couple
685461	209100	Maha
685462	375258	Tahereh
685463	19109	Hooker
685463	385020	Merle Jackson (2003)
685463	387961	Mandy Cutler
685463	390542	Mand
685463	393018	
685463	400810	Mandy Cutler
685464	103886	
685464	107710	
685464	344709	
685464	401086	Aurora
685465	56545	Herself
685466	221233	Princess Alice
685467	136029	Jane Peterson
685467	243191	Scilla
685467	348008	Herself (child)
685467	372571	Lily Glendenning
685468	286549	
685469	366884	Mrs. Geraldine Stratton
685470	81896	Ann
685471	2278	Herself - Co-host
685471	31186	Herself (ABC Team contestant)
685471	47544	Pam Cheney
685471	59135	Melanie Adams
685471	59666	Herself
685471	60818	Herself
685471	60819	Herself
685471	72602	Diane Halstead
685471	77850	Mary Dannon
685471	80400	Linda
685471	80716	
685471	81117	Hope Masters
685471	89194	Anna Cogez
685471	105165	Connie Hoagland
685471	105397	Zappy
685471	121487	Mary
685471	125511	
685471	128478	Laura
685471	132449	Grace Kelly
685471	136287	
685471	139646	Teenage Girl
685471	139926	Margaret
685471	140183	Ellen Downey
685471	143006	Jane Thornton
685471	161216	Herself
685471	161270	Herself
685471	166635	Sara Crawford
685471	167627	Herself
685471	175632	Maggie Telford
685471	178020	Jean McAvoy
685471	191409	Katherine
685471	193280	Annie Gallagher
685471	212732	Lynn Landon
685471	214037	Louise Baltimore
685471	222493	
685471	236082	Jessie Clarke
685471	252906	Elaine Freedman
685471	253227	Pamela Verlaine
685471	258948	Georgie Cooper
685471	267551	Deborah Solomon
685471	280993	Lily Parker
685471	288472	Jody Keller
685471	294395	
685471	311987	
685471	342261	Herself
685471	357001	Lucinda/Lucy Ann Michaels
685471	363008	Betina 'Teeny' Morgan
685471	379627	Nelly
685471	383943	Kris Munroe (1977-1981)
685471	385296	Liane DeVilliers
685471	394300	
685471	400261	Dawn 'Holli' Holliday M.E.
685471	409121	Herself
685471	411697	Herself
685473	1999	Bobbie Jean
685473	3858	Herself
685473	6272	Irene Davis
685473	7996	Mother
685473	10702	Flo
685473	11362	Helen Dupler
685473	31188	Herself (CBS Team)
685473	34611	Herself
685473	40025	Etta
685473	46237	Aunt Shelly Fein
685473	53318	Nona Gina
685473	55474	Dr. Jane Tiptree
685473	57638	Mrs. Heflin
685473	57815	Lucille Rubin
685473	59685	Jobie
685473	62076	Ida Sessions
685473	63134	Nora Griswold
685473	63185	Alice Henderson
685473	64734	Ruth's Mother
685473	73207	Rose Hayward
685473	76562	Jewel
685473	77285	Mary 'Rhodie' Rhodes
685473	83960	Carol Cameron
685473	84991	Alice Shaw
685473	92583	Charlotte
685473	99800	Martha
685473	109841	Rita
685473	117636	Mabel Normand
685473	127295	Grandma Caroline Moore
685473	132449	Margaret Kelly
685473	132475	Grandmother Louela Lawson
685473	136287	Lynette Jones
685473	147404	Lucille
685473	153205	Edie
685473	154466	Jeanette Bryan
685473	165284	Mama Pierangeli
685473	178028	Mrs. Corliss
685473	186306	Bea
685473	194222	Mary Helen Needam
685473	198988	Girl
685473	201756	Herself
685473	219184	Aunt Edna
685473	219903	Olivia Hendrix
685473	221300	Rose Munck
685473	235953	Laura Taylor
685473	257182	Jane Melway
685473	263755	Mamma Stanton
685473	270969	Sister Kate
685473	271175	Audrey
685473	271817	Mother
685473	273628	Karen
685473	274471	Aunt Helen
685473	275206	Phoebe
685473	280054	Kay
685473	282474	
685473	296768	Emma
685473	297628	Nina's Mother
685473	301066	Irma Coulter
685473	308120	Mrs. Nightshade
685473	308121	Bit Part
685473	311132	Alice
685473	312909	Sister Margaret
685473	314127	Mrs. Forbes
685473	321403	Lucy
685473	329199	Carlotta
685473	361811	Berthe Erica Crow
685473	363900	Maggie
685473	365166	Gaysh
685473	365169	Marietta Fortune
685473	365760	Mae
685473	369178	Barmaid at Railroad Station
685473	379667	Isabelle "Belle" Dupree (1980
685473	382149	Amelia Gordon
685473	384179	
685473	384180	Alice Henderson
685473	384587	Martina Masdon
685473	391835	Herself
685473	394509	Sally Druse
685473	395819	Regina Van Praagh
685473	404694	Kitty Styles #2 (1971-1972)
685474	5328	
685475	5432	Rebecca
685475	34611	Amber Lyons
685475	45637	Summer (segment Inside Out)
685475	47544	Waitress
685475	51639	Karen
685475	51640	Herself
685475	66096	Penelope
685475	79008	Girl #1
685475	80794	Janet Flanders
685475	89169	Arianna
685475	99766	Eliza
685475	105165	Martha Hoagland
685475	128478	Waitress
685475	160410	Summer
685475	161216	Herself
685475	199641	Sara
685475	230324	Gibby Zerefski
685475	236135	Alyssa
685475	253011	Dana
685475	268035	Skye
685475	310646	Nightbird/Shelly
685475	313088	Monica-Bette Davis' Stand-in
685475	323612	
685475	358377	Danielle
685476	128154	Mother at Park
685477	103250	Reporter
685477	120257	Andrea
685477	154943	Lara
685477	196100	
685477	293149	Bonnie
685477	360741	Ruby Sparr
685477	362046	Young Libby
685477	388237	Emma Channing (1981-1989)
685477	388862	Jane Skerba #1 (1964-1965)
685478	78528	Bit in New Inferno
685478	214187	Sally
685478	273781	
685479	286423	Herself
685480	86841	Joseph Langdon
685480	184434	Serge Kosmanski
685480	196386	Oscar Nelson
685481	124225	Young Grindy
685481	155949	Hockey Player
685481	358604	Choir Singer
685481	361907	Mallrat Girl
685482	338465	Frau Möller
685483	55390	
685483	234640	
685483	237216	
685483	377632	
685484	158966	Gail Lightner
685485	191098	Dancer 'Eat the Music'
685486	326192	
685487	380391	Jasmine Cory (1998-1999) (alt
685488	376024	Ilse Kalisch
685489	380391	Jasmine Cory (1998-1999) (alt
685490	380391	Jasmine Cory (1998-1999)
685491	43625	Mme Lassouche
685491	65529	La guichetière de la banque
685491	68378	Madame Bessonet
685491	101578	
685491	102006	
685491	123983	
685491	167214	Jeanne
685491	252424	Une jet-setteuse en cure
685491	257003	
685491	284297	Employée de l'ANPE
685491	336843	
685491	343537	
685491	346599	Thérèse
685491	346819	L'infirmière violentée
685491	353886	
685491	381297	
685491	396472	Huguette Boudin
685491	409440	
685492	164169	A follower of Rasputin
685494	49071	Crack girl
685495	6384	Lili
685496	330409	Mom in Laundromat
685497	133188	
685497	135720	Lady in attendance
685497	226700	
685497	296047	Zuza
685497	322131	Szófia néni
685497	344255	
685498	8649	
685498	15295	Irini
685498	40939	
685498	76712	Chloe as a child
685498	82775	
685498	82780	
685498	99815	
685498	136566	Katerina
685498	147998	
685498	151868	
685498	179456	Anna
685498	182441	
685498	184766	
685498	200404	
685498	209779	
685498	212547	Anna's Mother
685498	217928	
685498	229850	
685498	240384	
685498	248883	
685498	261623	
685498	275396	
685498	312617	
685498	372957	
685498	379856	Altana
685498	380607	
685499	378931	
685500	160633	Meedia
685500	183387	Beautiful Girl
685501	370643	CD Buying Wife
685502	258721	
685503	866	Herself
685503	23441	Virgin Mary
685503	90409	Pam
685503	118627	Herself
685503	168656	Herself
685503	223920	Reynolds' secretary
685503	223967	
685503	230027	Sonya Warshow
685503	362355	Wife
685503	363948	Swap Meet Mother
685503	368314	Tess' Secretary
685503	383502	Elevator lady
685503	396557	Herself
685503	400244	Herself
685504	84678	Solange
685504	169341	Chantal
685504	287323	Récitante/Narrator
685505	2645	
685505	91727	Nana
685505	159198	
685505	162300	
685505	217634	La femme torturée
685505	217727	Patronne auberge
685505	226791	Woman with fishnet stockings
685505	262963	La speakerine de la TV
685505	287279	Julie
685505	389465	
685506	216236	Eponine enfant
685506	216237	Eponine (enfant)
685507	168645	Joanie Dorfman
685508	185524	Judge
685509	230127	Masked Woman
685510	105396	Doris Mason
685511	65100	Claire
685512	69520	Marcello's Daughter
685513	226008	
685514	285421	Charlotte
685515	28347	
685515	35938	Edda hercegnõ,Martino nõvére
685515	44572	Kálmán felesége
685515	48670	
685515	74461	Koháry édesanyja
685515	74468	
685515	91252	
685515	92533	
685515	94225	Deutschne
685515	99523	Patakné
685515	99738	Szakácsnõ
685515	100035	
685515	102541	Szakácsnõ
685515	106687	Róza,Elemér felesége
685515	108073	Julis,a koma felesége
685515	114765	Gáthyné
685515	122455	
685515	122599	
685515	136739	Mujkóné
685515	137890	Paárné barátnõje
685515	139940	Igazgatónõ
685515	141866	Giachinta,Jella anyja
685515	145352	
685515	155545	Ladiszla nõvér
685515	174688	
685515	182654	
685515	182694	Julia
685515	199872	Erzsébet nagynénje
685515	209840	A menyasszony anyja
685515	212825	Fõbérlõnõ
685515	237176	
685515	244323	Pötyike
685515	256679	Cigányasszony
685515	282753	Özvegy Kery Bertalanné
685515	284092	Túróczyné
685515	288119	Alexandra
685515	322188	
685515	326076	Amália, társalkodónõ
685515	326078	A kávéház szépe
685515	335963	Az ezredes felesége
685515	349047	Wereczkeyné
685515	376612	
685515	377121	
685515	377721	
685515	377725	
685515	377762	Özvegy Tardyné,Miklós anyja
685515	377815	Katinka anyja
685515	378276	Kályné
685516	23157	
685517	18712	
685518	104779	Romanian entry (18th place)
685518	104781	Herself
685519	39714	Auxiliar
685519	249464	Lise Dodier
685519	398158	Yolande Belavance
685520	254816	Patineuse
685521	403176	Co-host
685522	131835	Lady with Dog
685523	12558	
685523	44664	Gabriela
685523	48969	
685523	60710	Cecilia
685523	61127	
685523	75180	
685523	99793	
685523	100768	Mother Superior
685523	111996	Doña Julia
685523	139895	
685523	148107	
685523	209015	
685523	215510	
685523	221967	
685523	221992	Jaquelina
685523	225697	
685523	231637	
685523	238325	
685523	265166	
685523	281779	
685523	284841	
685523	376794	
685523	377178	
685524	103721	
685524	112054	
685524	317731	
685524	326297	
685525	189301	Campesina
685525	213618	Himself
685526	134091	Jessie Wexford
685527	18193	Herself
685527	201059	Herself
685527	304048	Rose Two Buffalo
685528	129681	
685529	28480	Russian Girl - Older
685530	218785	Nixon (Dog)
685530	409347	Teca
685531	249579	Guest on Stairs
685531	252521	Octavia DiMare
685531	334385	Contestant
685531	365108	Herself
685532	209795	Herself
685532	332097	Herself
685533	26395	
685534	139451	
685535	291283	
685535	372477	
685537	319623	Niña
685538	279953	
685539	34117	Vocal Backing
685539	34911	Vocal Backing
685539	72760	Backing vocals
685539	381661	Themselves (1969-1974)/Vocal 
685540	352955	
685541	18390	
685541	42891	Maria Alexandrovna "Marinka" 
685541	96858	Various roles
685541	163056	
685541	179722	
685541	181452	Galina Ermolayevna Peresvetov
685541	198120	
685541	293691	Natasha
685541	303792	Natasha Pavlovna Malinina
685541	320688	Glafira Andreyevna "Glasha" N
685541	324908	
685541	337884	Maryana Bazhan
685541	349342	Varya Pankova
685541	357294	
685542	341068	
685543	297641	The Ticket Attendant
685543	306221	Crying Woman
685544	229574	
685544	309289	Prisoner
685544	343442	Herself
685544	355566	
685544	357935	
685545	348427	Pocohontas
685546	11171	Bikini Sunbather #2
685547	99641	
685549	217853	
685551	365868	Reporter (at Wanda's)
685552	6996	Carla Rogers
685552	47357	Oyster shell
685552	92652	Young girl passenger
685552	124456	Maid
685552	147825	Herself
685552	177401	'Rhapsody in Blue' ballet dan
685552	240993	
685552	242616	Herself
685552	254516	Prima Ballerina
685552	279383	Herself/Host
685552	335972	Angel
685552	345826	Bit
685552	347201	Herself
685552	350191	Elder Vampire
685553	142184	
685555	349536	Ragazza sauna
685556	132316	
685557	44373	Charlotte
685557	75868	Ettie Alkmaar
685557	238299	
685557	244964	
685557	278709	La caissière Shéhérazade
685557	291586	Ludmilla
685557	401030	Marie Heegard
685557	403643	Une Suivante d'Isabelle
685558	124110	Kelly
685559	168799	Une femme du club du troisièm
685559	205608	
685559	246306	
685559	256998	La soeur d'Elisabeth
685559	400698	Une gardienne du bon goût
685560	100009	
685561	310	Diane
685561	45118	
685561	59743	La Caissière
685561	108901	Bénédicte
685561	200953	Léa
685561	235811	Solange Dumayet
685561	248975	
685561	251529	La fille menottée
685561	254066	Sandra
685561	254087	
685561	284666	Céline
685561	336985	Annie
685561	351822	Murielle Simonin
685561	395480	L'assistante du directeur pol
685561	408002	Alfreda
685562	232239	Secretary
685563	33316	
685563	41106	Gabi
685563	114829	Yvonne
685563	139475	Pera
685563	234694	Herself
685564	269692	Victim
685565	222597	Rehearsal actress #10
685566	86727	Marcelle
685566	211375	Maryvonne
685566	246470	Martha
685567	86727	Marcelle enfant
685567	211375	Victoria
685568	159599	Béatrice
685569	183036	
685569	275620	Paola
685570	90343	Mrs. Parker
685570	280634	Mrs. Berry
685571	5691	Yvette de Valombres
685571	55066	Nora Sigrid
685571	77334	
685571	108491	I'imperatrice Eugenie
685571	122348	
685571	134828	
685571	218278	
685571	283026	
685571	320067	
685571	339690	Trilby
685571	340170	La reine
685571	364568	Marcia Wainright
685572	13998	Nun
685572	20625	Extra
685572	37318	Studio actress
685572	77685	Nanette, Elinor's Maid
685572	105297	Brunette
685572	138492	Celine
685572	148423	Girl
685572	294577	French Woman
685572	297877	Yvonne
685572	308109	Frenchwoman
685572	334136	Frenchwoman
685573	45451	Paris operator
685573	93576	Woman in Dressmaking Shop
685573	195071	French Can-Can Girl
685573	195968	French Maid
685573	216000	French Maid
685573	223654	French Maid
685573	249022	Manicurist
685573	264153	Woman in French Couple
685574	32213	Doña Perfecta
685574	36789	
685574	44320	Eileen
685574	50623	Mrs. Humphries
685574	56876	Mrs. Archer
685574	68182	Nurse
685574	75857	
685574	79820	Granny Maynard
685574	147633	Grandmother Whitaker
685574	155704	Miss Pepper
685574	157732	Amanda Drake
685574	172374	Grandmother Marcas
685574	203434	Mrs. Mull
685574	206341	Grandma
685574	214941	
685574	219974	Mrs. Standing
685574	235494	Grandma
685574	239671	Granny
685574	254478	Maxwell's Mother
685574	259764	Granny Hope
685574	262032	Mrs. Hammond
685574	283876	Aunt
685574	316165	Mrs. Hemingway
685574	318220	Granny Sue Gordon
685574	331509	Mrs. Masters
685574	334461	Grandmother
685574	335351	Granmother
685574	360725	Mother
685574	371032	Mrs. Blakely
685575	373703	
685576	150680	Rosa Ruttnig
685577	335361	
685578	335361	
685579	366421	
685580	33276	La strip-teaseuse
685581	205909	
685582	156475	Office Worker
685583	336654	Bar Patron
685584	180111	
685585	222412	Vestuarista
685585	379614	Flor Cárdenas de Maldonado
685585	383519	Jaime's Mom
685585	384400	Teresa Salcedo 'mama de hugo'
685585	384655	Beatriz
685585	385502	Lourdes (Naydelin's mom)
685585	386077	Marina
685585	397009	Margarita
685585	402152	Dorita
685585	405868	Betsy
685586	1832	Miss Alice MacDonald
685586	54832	Betty
685586	73709	Lady Florence
685586	81121	Magda Doon
685586	84868	Nyah
685586	90259	Lilian Angel
685586	103323	Irma Brookes
685586	138378	Rosa Warren
685586	144591	Jean Gilson
685586	154581	Bit Part
685586	270025	Poppaea
685586	271612	Miss Fernandez
685586	275362	Kate
685586	282375	Magda
685586	364237	Peggy Osborn
685587	353531	Janet
685588	148758	
685588	252317	La militante MLF
685589	224176	Wife
685589	272648	Rita
685589	305345	Junkie
685589	321306	
685590	277139	Jessica
685590	333423	Magic Bullit
685590	366956	Ms. McGee (Lawyer)
685591	9124	First Woman in Line
685591	64571	Herself
685591	66783	Stewardess
685591	72554	
685591	79915	Beth
685591	157314	Hotel Clerk
685591	177643	Terry Hansen
685591	248113	Secretary
685591	272859	Martha
685591	313441	Chief DiFalco
685591	327250	
685591	360670	Sonya
685592	405209	Theresa Anderson (2001)
685593	42677	Yard Sale Lady
685593	45548	White Committee Woman
685593	89271	Crying Woman
685593	95150	Will's Mom
685593	230743	
685593	234982	Inez Melson
685593	261417	Big Kate
685593	265860	Madge
685593	265864	Madge
685593	281913	Woman
685593	292612	Mrs. Flaherty
685593	309572	Terrence's Mom
685593	310409	Deb
685593	310410	Deb
685593	312592	Bridget
685593	314238	Ada
685593	320378	Nurse Stevens
685593	358593	Maybelle carter
685594	403805	Nicole Roberts (1997-1999)
685595	9498	Camille
685595	61370	Isabella
685595	73079	
685595	87941	Lise
685595	100168	Lucie Dromner
685595	111090	Dominique
685595	122362	Dominique
685595	124322	Coline
685595	189318	Elise
685595	212168	Rose
685595	236602	La vendeuse
685595	238463	Hélène
685595	281434	
685595	293636	
685595	321978	Juliet
685595	339475	Flore
685595	355862	
685596	227300	La directrice
685596	345554	Chanteuse
685597	385500	Marilyn
685598	264215	
685599	83387	
685600	8214	Mme. Pailleret
685600	15008	
685600	16948	Madame Lamaury
685600	20220	Tante Mathilde
685600	84678	Mme. Delgrange
685600	159702	Blanche
685600	202344	
685600	208655	Stephanie
685600	224903	La comtesse Sarah Mac Gregor
685600	231147	
685600	267880	Marie
685600	281580	Valentine Roquevillard
685600	287340	Isabelle Mandine
685600	294565	Mme Signac (segment "Orgueil,
685600	309983	La veuve (episode "Une couron
685600	320420	
685600	345244	Countess Guicciardi
685600	346609	Mme de Mareuil/Mrs. Mareuil
685600	346796	
685600	353853	Madame de Lormel
685600	356514	Isabelle Lagardes
685600	375940	Mme. Pounet
685601	2169	Nath
685601	32035	Mariette Lejay
685601	54794	Vanessa
685601	57530	La femme de chambre
685601	62817	Voix du soap-opera
685601	111002	La femme de chambre du petit 
685601	166346	Hélène
685601	234900	Nathalie
685601	268530	Esther
685601	271069	Nathalie
685601	327542	Sandrine
685601	346420	Noisette
685601	390667	Columnist
685601	390773	
685601	399813	Herself (2000-2001)
685602	130628	
685603	32035	Child
685604	385491	Nicolas
685605	261855	L'infirmière
685606	185873	
685607	232207	Alta
685609	383316	
685610	122422	
685611	66720	Pauline Paradis
685611	254084	Aurore
685611	383319	Marie de la Visitation (segme
685611	390486	Mme Riendeau
685611	401524	Rosa Petipas
685612	402834	Pénélope Cortez
685613	167216	Angela
685614	333464	Dancer/Dorothy
685615	99408	Claudie
685615	380869	Nadia Bouchard
685616	101898	
685616	225100	
685617	302937	Patsy Curran
685617	363680	Blanche Lacoste
685618	129784	Andy
685619	258936	Sylvia Manning
685620	128964	
685622	38819	Amara Teno - Sailor Uranus
685622	38822	Amara Teno - Sailor Uranus
685622	40905	Ideal Woman
685622	79973	Carla
685622	84907	Trish/Dante's Mother
685622	184412	Ansa
685622	207484	Kimberly Lichtenberg
685622	295560	Maid
685622	328261	Sarah Philips
685622	364203	Spin Secretary
685622	372211	Laura
685622	383460	Ruby
685622	391658	Various roles
685622	393228	Marilyn Monroe
685623	128604	Model ("Slumber Party" Segmen
685623	160235	Donna
685623	231835	Lyn
685623	296234	Heidi
685624	10709	
685624	87395	
685626	243150	Dancer
685626	297989	Emerald
685626	363602	Club Dancer #1
685626	392103	Host (2003-
685626	402137	Herself - Correspondent (2003
685627	252281	Undetermined Role
685628	273345	Darlene
685629	23615	Melpomène
685629	198298	Benjamin (mezzo-soprano)
685629	204664	Marguerite
685630	100692	Florence
685630	285722	
685630	285754	
685631	108906	
685631	284257	Catherine Evrard (segment "An
685632	247590	Verpleegster
685632	388299	Rita Van Den Bossche (1992-)
685632	400710	Herself
685633	225389	
685634	29157	
685634	96219	
685634	136974	Léveillé
685634	218276	Lucienne
685634	219468	Evelyne Reboul
685634	234460	La jeune fille
685634	238465	Thérèse
685634	260886	
685634	292668	Alexandra
685634	320274	
685634	332217	Marie
685634	379163	La soubrette
685634	382480	Mme Pinson
685634	384216	
685634	386020	
685634	386021	Sylvette
685634	387764	Marianne
685634	389271	Catherine Lenain (segment "Cé
685634	397506	Mlle Lersun
685634	397969	Cassandre
685634	398985	Marguerite
685634	409532	Nicole
685634	411885	Phenicia #2
685635	397506	La mère de Karin petite fille
685636	353859	
685638	8819	Júlia Steinbruch
685638	9834	Marina
685638	13060	
685638	14751	
685638	21645	
685638	23623	
685638	43609	
685638	53129	
685638	67663	
685638	85599	
685638	99708	
685638	101471	Elza
685638	102669	
685638	104482	Renata
685638	104490	
685638	111284	
685638	121475	
685638	122101	
685638	128948	Ana
685638	159014	
685638	162119	
685638	176254	Flavia
685638	183507	
685638	187573	
685638	197963	
685638	199033	
685638	210692	
685638	219852	
685638	220746	
685638	222168	
685638	237217	
685638	246851	
685638	252595	
685638	262551	
685638	276572	Paula Marcondes
685638	279753	Catarina
685638	286393	
685638	308754	
685638	338236	Glória
685638	341474	
685638	344780	
685638	344810	
685638	380449	
685638	380563	Elizabeth
685638	382690	
685638	382724	
685638	384991	Danúbia
685638	384992	Doctor
685638	386421	
685638	388398	Teresa Fourton
685638	388679	
685638	388998	
685638	393616	Paula
685638	398220	Marina
685638	399140	
685638	400444	
685638	402582	
685638	402593	
685638	404283	
685638	405936	
685638	409780	
685640	205461	
685641	124485	Indian Child
685642	9013	Constance
685642	13113	Sophie Frendo
685642	15007	Marie
685642	15081	Suzanne
685642	28150	
685642	32021	Marie
685642	32284	
685642	38177	Madame Grandbois
685642	42381	Annie
685642	43718	Jane
685642	43757	Sophie (segment "Bons vivants
685642	43982	
685642	51206	Mamina
685642	53869	Ségolène
685642	54183	Mireille Kebadjan
685642	58174	Mayette
685642	60732	Madame Benedetti
685642	68702	La soeur de Georgette
685642	86925	Angie Cross
685642	96078	Simone
685642	97065	Prudence
685642	97852	Léone
685642	104238	
685642	107672	Marie
685642	108223	
685642	111116	
685642	111370	Danièle Ceylan
685642	111867	Marie
685642	113116	
685642	118178	Solange
685642	119046	Herself
685642	120355	Micheline
685642	123941	Bernadette
685642	130117	Ambroisine
685642	135426	Gisèle Brossard
685642	136360	The Queen
685642	136649	Esther
685642	136941	Carmela
685642	144317	Louise
685642	146361	Juliette Louvet
685642	146404	Rosemonde
685642	155743	Soeur Hilarité
685642	160549	Hélène Mons
685642	166205	
685642	171008	Solange
685642	183075	
685642	183497	Appula
685642	184267	Pauline
685642	195665	Madeleine Carver
685642	200965	Désirée Brault
685642	202343	Malou Mulet
685642	202699	Marie
685642	207297	La masseuse/The masseuse
685642	209018	
685642	211630	La gardienne des Sceaux
685642	216122	Bernadette Jouve
685642	218286	
685642	218318	Michèle
685642	219021	Mado
685642	235038	Giula
685642	235825	Corinne
685642	235840	Socrate
685642	238482	Rose
685642	243018	La gouvernante du Père Noël
685642	243284	Louise Delouette
685642	244985	Sarah
685642	244986	Sarah
685642	246306	La belle-mère
685642	249358	Le commissaire
685642	250837	Jacinthe
685642	250898	
685642	252533	Mathilde Pelletier
685642	253237	Sandra
685642	253522	Annie
685642	254153	Mona
685642	256988	
685642	258114	La femme blonde
685642	258123	Rosine
685642	260918	Dominique
685642	261838	Anna
685642	264525	Nelly Roux
685642	265350	Herself
685642	269042	Herself
685642	271236	La mère
685642	273942	Yolande
685642	275596	
685642	276532	Térésa
685642	278151	Mme. Sauvage
685642	278707	Carmen
685642	280530	Denise
685642	284262	The Mother
685642	285819	Jeanne
685642	286463	Lucie
685642	295886	
685642	300676	Denise Lemoine, la concierge
685642	303154	Baronin von Wrangel
685642	309764	Suzanne
685642	313044	Céline
685642	316464	
685642	324501	Lucienne
685642	327894	
685642	328292	
685642	328373	Sabine
685642	333720	Bernadette
685642	334134	Simone
685642	336311	Camille
685642	336935	
685642	340347	Bernadette
685642	340573	Dany Lajoux
685642	345085	Betty
685642	345128	Charlotte
685642	345178	Jacqueline, l'infirmière
685642	345312	Herself
685642	345368	La mère
685642	345440	La mère de Jacques
685642	345523	Marthe
685642	346438	Bernadette
685642	346441	Camille Bliss
685642	346600	
685642	346667	La pharmacienne
685642	350070	Edwarda
685642	351815	Madame Buton
685642	354585	Inspectrice Claire Derain
685642	354588	Fiona
685642	354656	Jeanne Dogson
685642	354911	Cellmate
685642	355883	Herself/Camille
685642	356502	La logeuse
685642	356515	Marguerite, the maid
685642	362080	
685642	373608	Zachie
685642	375078	Pauline
685642	376918	Julie, the maid
685642	377793	Anna
685642	377931	
685642	384015	Solange
685642	387657	Odile Mouret
685642	397158	(segment "Bon petit Jules, Un
685642	397473	Various characters
685642	409732	
685643	131030	
685643	233942	
685643	332908	
685643	353616	
685644	382219	Mathilde enfant
685645	339501	Mary
685645	389271	Francine (segment "Madeleine"
685646	17863	
685646	254085	
685646	268402	
685646	397682	Eugénie
685646	409526	Eugénie
685647	28519	
685647	31441	Janine Chaisson
685647	83179	Madeleine
685647	84659	Cat
685647	123063	Maria-Helena
685647	166096	Elvina
685647	199479	
685647	246306	Anne Beaulieu
685647	248218	Colette Bourdelle
685647	257354	Christiane, l'infirmière
685647	261728	Henriette
685647	286042	Rachel
685647	286047	
685647	307111	La golfeuse
685647	345121	Manu
685647	354656	Une petite fille
685647	355877	Pauline
685647	377986	Lilas
685647	397473	Various characters
685647	401318	Anna
685648	26374	
685649	345243	Amie pique-nique 1
685650	116485	La pied-noire
685650	202343	
685650	235038	Elisa
685650	257354	La patronne du café
685650	264525	Irene
685650	284244	Yoyo
685650	354656	La jeune fille qui pleure
685650	355877	Auto-stoppeuse
685650	409524	Vanina Vanille
685651	287212	Lark
685652	395093	Hôtesse-barmaid
685652	408883	Hannah
685653	343185	Eager Girl
685654	45620	Mère de Ti-Guy
685654	66709	Rita
685654	119053	
685654	123518	Epouse du directeur
685654	132922	
685654	133045	Helene Lesage
685654	156329	Manon
685654	156822	Narrator
685654	173129	Une servante
685654	217640	Madame Brabant
685654	237610	
685654	249209	Grande Admiratrice de Jeannot
685654	260940	Madame Beaumont
685654	307101	
685654	307499	Gisèle Lapointe
685654	332274	Linda
685654	335464	Marie
685654	353900	Claire
685654	377243	
685654	385008	Zénone Veilleux
685654	390486	Martine
685654	396769	Juliette Labelle
685654	398039	Marie-Madeleine Moineau
685654	398096	Reine Langevin
685654	398159	Léonie Grandmont
685654	400856	Étiennette Labelle
685654	403254	Rose Landry
685654	406981	Monique Durand
685654	409452	Reine Langevin
685655	287212	Tina
685656	313562	
685657	59301	L'agent immobilier
685657	345533	Madame Leroy
685657	351788	La femme de la cabine télépho
685657	377630	Adèle
685658	31895	Croix
685659	41269	Alexandra
685660	20070	
685660	118178	Mémé Guérin
685660	249749	Vieille dame
685660	384209	Fanette
685661	65093	Mathilde
685661	168346	Barbe
685661	328406	La vieille
685661	388439	L'épicière
685661	388723	Barbe
685662	80442	Tiger
685664	205586	M. Peyrat
685665	236567	Journaliste
685665	312663	Juliette
685666	72433	
685667	86428	Cléa
685668	261808	Renaude
685669	61360	
685670	2109	
685670	4716	Gilda Bandida
685670	37516	
685670	40066	
685670	46035	
685670	79448	Andrea
685670	92928	
685670	139394	
685670	150060	Florida
685670	173753	
685670	200465	
685670	207523	
685670	216005	
685670	237795	
685670	360445	
685671	70359	Angelo
685672	11280	Susan
685672	379716	Carla "Laurel" Delaney Bannin
685672	400236	Nora Hanen Gannon Buchanan (2
685672	404002	Leigh Kirkland Fenelli (1983-
685672	408039	Valerie
685674	1096	Fanny
685674	3347	
685674	8987	La mère de Marie/Marie's Moth
685674	15118	Mlle Georges (segment "Comédi
685674	24865	Contessa Isabella Spinosi
685674	48970	Elvira
685674	51402	Pétra la vérité
685674	53834	Hélène
685674	57891	Ida
685674	60691	
685674	61415	Françoise
685674	87125	Dominique
685674	87497	Mme Villiers
685674	100013	
685674	112801	La fille
685674	115375	Edmonde Puget-Rostand
685674	116481	La comtesse
685674	119402	
685674	133169	Herself
685674	153846	Sylvie
685674	156279	Louise
685674	164459	Olga
685674	167177	Françoise Gamelin
685674	167247	
685674	169650	Sophie Margelle
685674	188922	Angele
685674	205769	Marie-Chantal
685674	212768	Herself
685674	219235	Hélène Laroche-Fréon
685674	246306	Greta Rousselet
685674	251020	
685674	254051	La Reine
685674	258117	Marge Duval
685674	266413	Thea
685674	269227	Rose, Joeuf's wife
685674	272589	
685674	282285	Mathilde de La Mole
685674	285742	Anne-Marie
685674	286042	Marthe Marboni
685674	307333	
685674	321914	
685674	324510	Mariana
685674	332219	Miss Diamond
685674	342120	La madre di Sara
685674	343331	Eva
685674	354476	Pronia
685674	376891	Agathe
685674	386128	Rama
685674	393026	
685674	396037	
685674	401509	Anna Antinari
685675	73185	
685676	313033	Les collégiennes
685676	396472	DIane
685676	407717	Friquette
685677	56387	
685677	248169	La mère
685677	254075	Mme Collin
685677	346819	
685677	376888	L'infirmière
685677	410074	Anne Zelinsky
685678	395361	Aranka
685679	384400	Herself (2002)
685680	194881	Meredith
685681	376986	
685682	386497	
685684	410252	Waitress "Chez Georges"
685685	215690	Miss Connecticut USA
685686	199078	Américaine
685687	233812	
685688	169545	Gate Agent #1
685689	249910	Amiga Luis
685690	383138	
685691	44355	
685692	97639	La standardiste
685693	286116	Grace
685694	273514	Emma
685695	406381	Herself (2004)
685696	80430	Bridesmaid
685697	157028	Mrs. Malagugini
685697	292996	Francesca Ascalone
685698	380326	
685698	388065	Ivone
685698	397540	
685699	236806	
685700	33376	Frances Bonner
685700	95270	Ruby Pritchett
685700	212982	Female Party Goer #1
685700	336514	Tina
685700	340957	Taylor
685700	379696	Cristina Castelli
685701	402621	
685702	17789	La tante
685703	291109	Blonde at table
685704	140442	Queen Malama
685705	323661	
685706	233337	Monitora 1
685707	17852	Pascaline adulte
685707	40638	
685707	68247	
685707	111780	
685707	116992	
685707	165179	Yolande
685707	168276	Carmen
685707	217214	
685707	225522	L'hôtesse d'accueil
685707	296095	Vanessa
685707	342758	Miss Paulette
685707	345275	Johanna
685707	346546	Agnès
685707	355864	
685707	385347	Maryline
685707	393282	Jennifer
685707	400803	Jennifer
685708	248526	
685709	348792	Adega
685710	127706	Maj, cleaning lady
685711	377044	
685712	98371	
685712	103140	Assistentin
685712	214629	
685713	12203	Negi
685714	151789	Bonnie
685715	404138	Okuma
685716	244036	Alicia
685716	409035	Lucía Parodi
685717	393005	Nita
685718	136979	
685719	52072	Marina
685719	272890	
685719	302821	Sinhá Moça
685719	328366	Dora
685719	344761	
685719	377281	Angela
685720	373216	Model
685721	328366	
685722	55810	
685723	148467	Érica
685723	380097	Luísa
685723	383441	Kica
685723	385522	Roxane
685723	389887	Tatá
685723	394872	Frida
685723	396610	Marina Granato Almeida (1999-
685723	396795	Bia
685723	400670	Ana
685723	401243	Tuca
685723	404178	Regina
685723	407561	
685723	408944	Adrenalina
685724	15357	
685725	25221	
685726	2917	Junge Bedienung Galerie
685727	77873	
685728	102553	
685728	163080	
685728	314960	
685729	284626	Liv
685729	294545	Pirjo
685729	403769	Kerstin Gren (episode Målbrot
685730	80774	
685731	301788	La Madre
685731	388446	Host (2004-)
685732	121011	Kristin
685732	122473	
685733	260623	Dancer
685734	44797	Erika Wass
685734	94256	Rita
685734	94262	Agnes, Indra's daughter
685734	95813	Ann
685734	132182	Karin Kalters
685734	135974	Lena Wahllock
685734	146845	Victoria Ridderstad
685734	147012	
685734	150123	Emma
685734	152637	Rosina
685734	154828	Laura
685734	169976	Rosalyn Ankarcrantz
685734	171580	Lindberg
685734	181166	Leonie
685734	184592	
685734	191576	Margareta Tingström
685734	197785	Viola
685734	198252	Annika Strömberg
685734	217022	Soffi
685734	219237	Karin
685734	236290	The second wife
685734	270495	The Woman
685734	293649	Sara Struel
685734	298474	Teacher
685734	300989	Frej
685734	309292	Line Uldahl-Ege
685734	322001	Rich girl
685734	377305	Karin, Mia's mother
685734	382307	Gabriella Rydbeck
685734	387527	Emma Derkert
685734	396250	Ulrika Marelius
685734	402873	The Mother
685734	404785	Sara Struel
685734	409917	Eva-Britt
685735	169976	Rosalyn 23 år (episodes 1,2)
685735	187652	Birgitta
685735	261151	Versjinskaja's daughter
685735	300989	Eisa
685736	182583	Nurse
685736	198389	His Fiancée
685736	199082	Nurse
685737	47176	Sonja
685737	88392	Elsie Nord
685737	115382	Woman
685737	118696	Barbro Bergström
685737	122333	Birgitta Pilgård
685737	122497	Louise Bergvall
685737	154134	Vera Brandt
685737	182303	Gun Strömberg
685737	182559	Anne-Sofie
685737	198271	Anne-Marie Ström
685737	307763	Miss Hansson
685737	347025	Eva Lindemark
685738	50989	Mother #1 at McDonalds
685738	109857	Check-In Nurse
685738	129218	Joleen Lemon
685738	148214	Christina
685738	162345	Elizabeth Masters
685738	169435	Lady of the House
685738	184099	Mayor Louise Terry
685738	214755	Greta Van Eyck
685738	215794	Serena
685738	234067	FBI Agent in Charge Emily Fuk
685738	274340	
685738	380713	Elaine Hargrove (1986)
685738	381811	Sheila Silver (1995-1996)
685738	387309	Patricia Devereaux (1983)
685738	399011	Inger Dominguez
685738	400236	Carrie Gordon (1988-1989) (se
685739	29561	Violinist at Blå Bävern
685739	303659	Band leader
685739	305885	Musician
685740	102897	Irene's Mother
685741	192929	Mildred
685741	249105	Mrs. Persén
685741	408335	Kerstin's mother
685742	409917	Johanna Louise
685743	142765	Jonna
685744	130070	Miss Siri
685744	138025	Ingrid
685745	395047	Lena
685745	396164	Ippe
685746	35063	Herself
685746	307222	Herself
685747	284138	Tysk kidnappad kvinna
685748	320059	Party Guest
685749	24690	
685749	144056	War Minister's Maid
685749	150732	Anja
685749	163183	Babs
685749	172777	Kaarina Hallermaa
685749	181652	Sirpa Orava
685749	184041	
685749	214712	
685749	229627	Anita Allén
685749	233242	Martta Niskavuori
685749	233243	Aliina Harjula
685749	233247	Martta Niskavuori
685749	234604	Greta, Hannu's Wife
685749	236634	Lilith
685749	258816	Actress, playing mother
685749	302979	
685749	322283	Saara Särkelä
685749	323531	Mrs. Saarinen, Aaro's wife
685749	336832	Pirjo Mela
685749	343399	
685749	343467	
685749	354290	Mirjam Nieminen
685749	403392	
685750	84301	Sanna
685750	287567	Lotta
685751	287567	Lottas mamma
685752	147009	
685753	89470	Eva Mertens
685753	109140	Margit Färlind
685753	120966	Dinner guest
685753	138015	Prostitute
685753	205569	Karin
685754	14686	
685755	217726	Femme notable
685756	217726	
685757	50027	Herself
685758	226413	Martha
685759	240582	Jeanne
685760	16349	Madelon
685761	153846	Mme Campergue
685762	367861	Genevieve
685763	394406	Dancer (1989)
685764	119018	Florist
685765	346793	Corps Chantal
685766	309148	Mrs. Hermansson
685767	72387	Vendeuse Martine
685768	292766	Violeta
685769	12828	Dora
685769	90452	Zizi
685769	205220	Christina
685769	369981	Bruxa Algaz
685769	380097	Sofia
685769	380387	Natália Andrade Pinto
685769	394872	Mercedes Montenegro Camacho
685769	401087	Mila
685769	402582	Abigail 'Bibi' Rossini
685769	402685	Queen Carlota Joaquina
685769	404947	Vicky
685769	409347	Brigite/Alice
685769	410245	Valquíria
685770	322343	Lucy
685771	328154	Bea
685771	353197	Carol
685771	353633	Genia
685771	369996	Herself - Nominee: Best New A
685771	384795	Desiré (2001-2002)
685772	317728	
685773	111402	
685774	2250	Viva Las Vegas Showgirl
685775	212467	
685776	11753	Margarita López
685777	1335	
685777	17815	
685777	57853	The good fairy
685777	252579	
685777	289349	
685777	292267	
685777	338634	
685777	342102	
685777	402302	
685778	228136	
685778	399024	Natacha Cervantes
685779	74842	Kiki
685779	407719	Hostess
685779	409091	
685780	10570	
685780	28022	
685780	49044	
685780	96362	
685780	118166	Ana
685780	121231	
685780	132676	
685780	153829	
685780	158850	
685780	170236	
685780	207773	
685780	223628	
685780	250693	
685780	265816	
685780	272794	
685780	281600	
685780	292775	Voice in off
685780	294334	Bettina
685780	318279	
685780	328639	
685780	339142	
685780	357004	
685780	376637	Inés
685780	379900	
685780	380115	
685780	382978	
685780	385057	
685780	391419	Susana
685780	398800	Rosaura
685780	401913	Gabriela Morales
685781	308744	
685782	404146	Herself
685783	159489	
685783	260781	Landowner's Wife
685784	230126	Church Spectator
685785	98527	
685786	4008	
685786	4172	
685786	4402	Parvati/Pooja's Mom
685786	4423	Mrs. Roy
685786	18926	Mrs. Saxena
685786	24252	Vijayalaxmi
685786	57877	
685786	63506	
685786	81999	
685786	82000	Bunnu's mother
685786	82003	Vishal's mom
685786	86745	
685786	86768	Arun's mother
685786	114166	
685786	122806	Mrs. Saxena (Vijay's mom)
685786	135779	Roshni's mother
685786	137819	Dr. Julie
685786	139999	Shanta (Rohit's grandma)
685786	142831	Chandni's mother
685786	152449	Mrs. Choudhury
685786	152486	Mamta
685786	164928	Jay's mother
685786	166021	
685786	166456	
685786	167351	Savitri Abhyankar
685786	167980	Ganga's mother
685786	169987	Prem's mom
685786	172150	
685786	172539	Aman's Mother
685786	172895	Kiran
685786	173499	Pankaj's wife (Bhabhi)
685786	181480	Mrs. Sharma
685786	182338	
685786	198709	Asha
685786	200648	
685786	201053	Prem Kumar's mom
685786	201088	Kaushalya Choudhary Prem's mo
685786	226067	
685786	231585	Suhasini Nadkarni
685786	233214	Yashoda (Gujral's wife)
685786	250609	Pratap's mother
685786	259263	Servant
685786	262373	
685786	262449	
685786	262824	Sumitra Singh
685786	262919	Parvati (Somen's mom)
685786	268074	
685786	268097	
685786	268116	Sudha Sunderlal
685786	268567	
685786	268605	Kamla (Rashmi's mother)
685786	272104	Mrs. Joshi
685786	278337	Mother of 2 boys
685786	284712	Akash's mother
685786	287087	
685786	287412	
685786	287983	
685786	299601	Sharda (Divya's Mother)
685786	300227	
685786	324835	Suraj's mother
685786	328141	
685786	333712	Sanam's mom
685786	344128	Raja's mom
685786	349446	Shanta (Raghu's mother)
685786	354311	
685786	354314	
685786	370952	Shanti Saigal
685786	371306	Rahul's mother
685786	394367	
685786	405269	
685786	409016	
685787	204594	
685788	12062	
685788	146524	
685788	205712	
685788	228772	
685788	260948	
685789	35410	Diane
685789	231090	Dance Floor Girl 1
685789	235392	Cheryl
685789	273473	Troy Groupie
685789	274184	Jenny
685789	363913	Cheryl
685789	393058	Herself
685790	69470	Dueña del café
685791	55143	
685791	191072	
685792	75141	
685793	74202	
685793	130305	Sister
685793	152947	Mrs. Bernardo
685793	154709	Reporter
685793	252853	Melpomeni Bott
685793	262519	Mother Mama Mary
685794	205005	
685795	4987	
685795	12558	
685795	14783	
685795	61149	
685795	61203	
685795	64046	Sara
685795	101767	
685795	112675	Paquita
685795	113238	
685795	171417	La Chata
685795	196736	
685795	221559	
685795	221567	Erika
685795	233333	
685795	244584	
685795	249301	
685795	251581	
685795	275952	Herself
685795	285240	
685795	292705	
685795	293918	
685795	333699	La Rochel
685795	340875	
685795	376750	
685796	212367	
685797	394713	
685798	232132	
685799	141659	Alafair
685800	51377	Journalist
685800	249680	
685801	384009	
685802	6378	
685802	51948	La mère de Micheline
685802	57848	
685802	60076	
685802	78341	
685802	78448	Luicha aka The Orchid Dancer
685802	96079	
685802	111079	
685802	111872	
685802	148691	
685802	153800	
685802	169879	Jacqueline
685802	178623	
685802	201163	
685802	202580	
685802	205236	
685802	214298	
685802	219484	
685802	225368	
685802	230272	
685802	236201	
685802	236581	
685802	237925	
685802	243451	
685802	254070	
685802	268962	
685802	280784	
685802	283129	Madame Servais
685802	283141	
685802	285781	Carmelita
685802	295502	
685802	300906	Elodie
685802	336261	
685802	340123	
685802	345344	Odette
685802	346504	
685802	350246	
685802	377460	
685803	15019	Fata Morgana
685804	336234	La journaliste #2
685804	353945	La Conseillère 2
685805	350850	Duc d'Ambroise's Sister
685806	24627	Herself
685807	15911	Bianca
685807	24165	Françoise
685807	43400	
685807	46705	Monica
685807	59985	Manuelle
685807	92905	Striptease Girl
685807	119038	Ginette (segment "Virginitè, 
685807	119075	Edith
685807	127646	Gillou
685807	139287	Bianca Farnese
685807	142311	
685807	155743	Rosine
685807	161443	
685807	170537	Juliette Haudouin
685807	191552	
685807	217645	Agathe
685807	218031	
685807	219242	Dona Inez
685807	281315	L'amie de rose
685807	281829	Madame James
685807	285982	Anne de Guize
685807	288800	Trifena
685807	300613	
685807	339482	Alice Ponchabert
685807	345269	Valerie Duroc
685807	345282	Sandra
685807	345381	Louisette
685807	350054	Hermine
685807	360823	FLSO Leader's moll
685807	384979	
685808	338233	Tuta/Pedrinha
685809	66726	Sandrine
685810	1156	Girl
685810	337145	
685811	7921	Undetermined Role
685811	352405	Girl in Park
685812	313825	Mrs. Feldman's Friend
685813	14747	
685813	108882	
685813	211295	
685813	222379	
685813	231695	
685813	242672	
685813	295108	
685813	379135	
685813	390881	
685813	391852	
685813	398489	
685813	398913	Hermana Claudina
685813	400640	
685813	401437	Iris
685813	402587	Pura
685813	407792	
685813	410404	Pura
685814	29345	Siri, Victoria and Hugo's hou
685814	48378	Woman at the tea party
685814	99568	Woman at the ball
685814	115402	Mattias' maid
685814	154249	Girl at BK Stella's Party
685814	164770	Nurse
685814	164781	Tora
685814	174697	Shop assistant
685814	182286	
685814	182302	Girl
685814	182303	Nurse
685814	190807	Operetta Singer
685814	198265	Guest at the nightclub
685814	217451	Helena Anckarberg
685814	237264	Squire's daughter
685814	305303	Student
685814	322271	Mrs. Blomkvist
685814	338708	Woman in the toy store
685815	92155	Nurse Reed
685815	117101	Model
685815	313825	Mrs. Feldman's friend
685815	331370	Waitress
685815	406890	Denise
685816	185237	Herself
685817	78403	Copine de Vanessa
685818	63655	
685819	225460	
685819	382220	Charlotte King
685820	191552	
685820	205752	Blandine
685820	249485	
685821	135535	Herself
685821	336929	Herself
685821	345048	Herself
685821	355880	Cameo at demonstration
685822	390950	Fatima
685823	23382	
685823	96354	Muerta parque
685823	100316	Juana
685823	170092	Ivonne
685823	215148	Graciela
685823	376172	Jacinta
685823	403690	Sara
685823	404989	
685824	128947	
685824	320504	The swan queen
685824	323671	Jacob's Mother
685825	61200	Elisa
685825	108136	
685825	148042	
685825	211043	
685825	252107	Laura
685825	296434	
685825	340689	
685826	84142	Rachel
685827	23369	
685827	111563	
685827	113238	
685827	145179	
685827	251615	
685827	376636	
685827	376734	
685828	32366	
685828	48179	
685828	97658	
685828	108740	
685828	110733	
685828	135301	
685828	170460	
685828	233974	
685828	249770	
685829	10071	Secrétaire avocat
685829	28554	
685829	43697	Edith
685829	82338	Aurore Interligator
685829	148643	Lili
685829	157227	La secrétaire du notaire
685829	166565	Nun
685829	169313	
685829	200964	Assistante dentiste
685829	209944	A woman
685829	240429	
685829	261836	
685829	279430	Sarah
685829	288898	La secrétaire allergologue
685829	340143	Mme Pereire
685829	345287	Mme Suner
685829	345461	Agathe Morel
685829	346738	Bernadette
685829	376580	Madame Chenu
685830	82662	Hamburger Stand Scrap
685830	251314	
685831	379820	Angelita
685831	383471	Irma Valadez 'Hija Adoptiva d
685831	385392	An angel
685831	390404	Isabel
685831	397016	Young Gloria Mendiola
685831	397572	Ximena Rivadeneira Pimentel
685831	410303	Miranda
685832	64672	Josefa
685832	222412	Carmelita
685832	274644	
685833	43201	
685834	49127	
685835	259880	
685837	286651	Salome
685838	191206	
685839	99408	Manon
685840	338730	
685841	370260	Nurse 1
685842	247977	
685843	18320	
685843	37250	
685843	46948	
685843	52721	
685843	64333	Herself (1191)
685843	71828	Bit Part
685843	77390	
685843	87961	La fille sans culotte
685843	98880	Fanny
685843	98902	Fanny
685843	104443	
685843	106474	Martine
685843	107061	
685843	111624	
685843	118757	
685843	142869	Henry's Whore
685843	155082	Ursula Hoffman
685843	156519	
685843	156526	
685843	168716	La prostituée
685843	169587	Joy
685843	225769	La mère du garnement
685843	230100	Young girl at the party
685843	230637	
685843	241211	Brigitte
685843	250954	Brigitte
685843	260760	
685843	261777	L'infirmière
685843	300676	La strip-teaseuse
685843	318515	La femme délaissée
685843	332202	Thérèse
685843	336759	
685843	354759	
685843	395267	
685844	397138	Rollande Richard
685845	372281	Fiona
685845	402000	Kira Ford/Yellow Dino Thunder
685845	405209	Erin Kingston (2000-2001)
685846	69935	Aunt Maiwen
685847	151178	
685848	176863	Real Estate Woman
685848	200457	Rozal
685848	287251	
685849	411296	Herself
685850	23777	Armande
685850	23809	Francine
685850	23818	Caroline
685850	23832	Clara
685850	33569	Diane
685850	45117	
685850	45769	Muscade
685850	68934	Antoinette Vervier
685850	136654	Jeanne
685850	165230	Alice Vertigo
685850	169315	Claire
685850	243022	La femme du bistro
685850	251019	Une danseuse
685850	326322	Florence
685850	356505	La serveuse
685850	398054	Mme Calvimont
685851	251019	Un danseuse
685852	46000	
685852	46961	Doña Flor
685852	59249	
685852	77351	Dame Anglaise
685852	346822	
685852	350919	Madame de Sérizy
685852	412201	
685853	94250	La mère de Mado
685854	405528	Jeanne Villiers
685855	103877	Couturière
685856	236599	Femme Terrasse 2
685857	27247	Helen Stewart
685857	107843	DCI Kate Gunning
685857	128303	The Girl
685857	193926	
685857	366726	Zelda
685857	381121	Helen Stewart (Series 1-3) (1
685857	388363	Jacqueline Cutler
685857	395919	Mary O'Connor
685857	398085	Isobel Anderson (Series 6-) (
685857	408008	DC Lucy McCarthy (1998)
685857	411823	Fiona Johnstone
685858	227818	Nainen kapakassa
685859	53316	Madam Chairman
685859	69845	Nurse
685859	79862	Woman in Street
685859	115250	Iris Vokins
685859	161170	Alice
685859	203185	Miss. Benton
685859	232872	Mrs. Parsons
685859	351802	Woman in #17
685859	385299	Mrs. Baxter
685859	387533	Olwen Inkerman
685859	395647	Maid
685859	410580	Madame Karagina
685860	399510	Bodil Hambro
685861	104524	Lady Hamilton
685862	255169	Jack's Class #6
685862	381079	Mary Anne Spier
685863	359902	Wanda's sister
685864	318488	Prostitute
685865	250721	Patrick's Mother
685866	104774	United Kingdom entry (12th pl
685866	186041	Rain
685866	228503	Irena
685867	69341	Sarah Givens
685867	283193	Michelle/Mom
685868	211926	Villy
685869	94638	Mouna
685870	2	Customs
685871	297991	Elaine
685872	56545	Herself
685872	214193	Inga
685872	281722	Charlotte
685872	284427	Clara
685872	321249	Merle
685872	365917	Silke Buschfeld
685872	389839	Karen
685872	406520	Valery Krämer
685873	202815	Lydia
685874	318793	Clara
685875	240137	
685876	11865	Claudia
685876	52582	
685876	155431	Verena Vogelsang
685876	396874	Sabine Huber (2003-2004)
685876	409958	Tanja (von Anstetten, verw.) 
685877	282781	Pierre
685878	184975	Sgt. Roberta
685879	184273	
685880	5186	Les mannequins
685880	166940	Photo Shoot Model
685881	379136	
685881	408911	
685882	210625	Herself
685883	342760	Biker
685885	218067	Monika
685886	366554	
685887	213417	Member of Salvation Army choi
685888	309927	Amanda
685889	349	Gail Packer
685889	846	Herself
685889	1703	Herself - Presenter
685889	2771	Herself
685889	2788	Herself
685889	13855	Lyssa Dent Hughes
685889	43932	Maylene
685889	72691	Charlotte Bain
685889	83558	Rose Chismore (adult)
685889	88978	Anne MacKee
685889	92600	Tania Reston
685889	105713	Brenda Nicol
685889	110266	Meredith Cole
685889	118277	Dr. Burke/Sorceress Reptanneh
685889	121803	Meg Bergman
685889	131433	Grace
685889	134594	Dr. Rachel Woodruff
685889	142799	Dr. Louise Casimir
685889	144674	Lindsey Harrison
685889	149439	Emma Percy
685889	151196	Sylvie
685889	161220	Herself
685889	161301	Herself
685889	169946	Ellie Nesler
685889	171084	Sandy Dunlap
685889	175548	Herself
685889	183343	Aunt Linda
685889	185707	Carol
685889	186846	Darly
685889	189726	Shaleen
685889	195843	Marilyn
685889	215527	Clara Archer
685889	223932	Mall Patron Walking Past J wi
685889	233864	
685889	242514	Samantha Morrow
685889	245115	Gisella Perl
685889	255399	Ruby
685889	255894	Kathryn Lyons
685889	277083	Rose
685889	283548	Annie Pope/Cythia Manfield
685889	302750	Elsie
685889	312711	Kathleen Morgan
685889	321526	Hazel
685889	331404	
685889	358752	Peg Small
685889	360874	Ruth Oakley
685889	364516	Dr. Clare Scott
685889	367892	Dana
685889	380049	Althea Milford
685889	391107	
685889	393189	Grace McCallister
685890	171009	
685891	152442	
685892	178448	
685893	174477	Margareta's daughter
685893	349150	Girl in a nursery school
685894	407109	Herself (2004)
685895	9996	
685895	10955	Meeri
685895	18402	Matssonska
685895	24151	Nurse in the orphanage
685895	24690	
685895	28457	Helena
685895	98098	
685895	102434	Mrs. Vaahtonen
685895	104545	Delegate
685895	144053	Gypsy
685895	144104	
685895	144339	Selma
685895	149464	Old master
685895	163026	Farmwoman
685895	169099	Woman in a party
685895	171801	
685895	172523	Mandi
685895	174209	
685895	174477	
685895	174478	
685895	175346	Old woman
685895	175689	Mrs. Strömberg
685895	181592	Maid
685895	181631	Abbess
685895	181634	Old gipsy woman
685895	181884	
685895	182213	Old woman
685895	196525	Ruustinna
685895	208955	
685895	213419	Mari
685895	214835	Henriikka
685895	219450	Linda
685895	229544	Mrs. Kullanvaara
685895	232586	
685895	233243	Guest
685895	239154	Karelian wife
685895	242269	Headmistress of the orphanage
685895	250433	
685895	251937	Lundkviska
685895	251941	Mattsonska
685895	255753	Loviisa
685895	255760	Orphanage's manageress
685895	255763	
685895	255764	Ship matron
685895	255935	Old woman #2
685895	258845	Woman in shooting gallery
685895	260056	Maid
685895	266752	Mrs. Arvola
685895	267126	A woman in the meeting
685895	271637	Lokki
685895	271677	Mrs. Westergen
685895	278338	
685895	278349	Mrs. Rantanen
685895	284021	Alma
685895	285959	Anna Jokinen
685895	293630	Kaisa
685895	303708	
685895	319316	Lasse's landlady
685895	321925	Iita
685895	321946	
685895	341543	Woman in the yard
685895	341559	Poro-Pirkko
685895	341793	Martta's landlady
685895	343393	Canteen manageress
685895	346843	Aino
685895	349748	Old woman
685895	350590	Police chief's wife
685895	350822	Maid
685896	168200	Pascale
685897	215651	Snowdrop
685897	403585	Sarah
685898	369800	
685900	25905	
685901	111154	Vivienne
685901	243618	Maria
685901	288941	Maria (Billed as Muriel)
685902	127247	Jing
685903	60887	
685904	251850	
685905	3260	Gigi
685905	27161	
685905	38189	Wendy
685905	39020	Linda
685905	62636	Mona Chin
685905	110625	
685905	121777	
685905	124577	
685905	131343	Smartie/Stammer
685905	135027	Smartie/Stammer
685905	135028	Smartie
685905	135079	Mill
685905	138620	Fai-fai
685905	144297	Ah Gi
685905	174778	Mimi
685905	193936	Yi
685905	197132	Jimmy Wong's Girlfriend
685905	210976	Siu Wan
685905	268547	Eliza
685905	275550	Hsiu-Shuan
685905	284730	
685905	284732	
685905	286469	
685905	287336	
685905	298420	Rong Yu
685905	303401	Cher
685905	340614	Kwok Siu Heung
685905	369068	
685905	369763	Moon
685905	370837	
685905	371513	Chow Chi Yu
685905	373027	Winnie Sung
685905	374758	Jackie
685906	350182	Reporter
685907	159886	Sixpence (fifth child)
685908	216664	
685909	362701	Little Girl
685909	406993	Kerry-Lynn Dawson
685910	42250	Ada Ho
685910	333528	
685910	411703	Chiu Ming
685911	45127	Vietnamese wife
685912	123856	
685913	405291	
685914	73193	Di Lee
685915	23705	Nan Lee
685915	29370	Pulen
685915	73985	Chi-San
685915	95797	Pulan (scenes from "Jungle Ho
685915	117457	Kim
685915	204130	Mowara
685915	233465	Madam Wang
685915	246452	Maraya
685915	277096	Chinese lady of easy virtue #
685915	298056	Bride
685915	344612	Pulan
685915	404148	Hostess
685916	370923	Mrs. Chiu
685917	389061	Herself
685918	185137	Mutter/Mother
685919	40537	
685920	131341	
685920	372390	
685921	23551	
685922	144291	Cameo appearance
685923	268648	Suet
685923	369693	Lan (Cantonese version)
685923	379480	Zhang Jiaxuan
685923	386242	Dexter's Mother (HK Version)
685923	391783	
685923	411592	Peggy
685924	153052	Pretty Ghost
685924	300512	Cher
685925	44343	Sodoma
685926	56545	Herself
685927	68470	Grace
685927	73560	Burly Pro-Lifer
685927	169946	Prison Matron
685927	195523	Older Nun
685927	224021	Slow Moving Nun
685927	226900	Witness
685927	252937	Patsy's mother
685927	272739	Bitchy woman
685927	275360	Waitress
685927	291771	Yuppie detective #1
685927	361229	Townsperson #2
685927	362216	Woman
685928	118970	Dancer
685929	330093	Lupe
685930	11553	Great-Great-Grandma Follett
685931	97457	
685932	329502	Clarke's Fiancee
685933	224680	Audrey Challoner
685934	353652	
685935	197537	La femme de Michel
685936	81503	Zuzana
685936	402369	Dead mother
685936	407278	Reporter
685937	240429	
685938	205992	
685938	287590	
685939	213419	Woman in the Mantila's party
685939	232586	WAC medic
685939	242257	Hairdresser
685939	278875	Prisoner
685940	174779	Työvoimavirkailija (Labour of
685941	63135	Girl at Airport
685942	250445	Asszony
685943	358672	Delia
685944	70368	Prop Boy
685945	26293	Carly
685945	42822	Stacy Curtis
685945	76253	Terry at Party
685945	82837	Sophie
685945	85396	Asha
685945	95449	
685945	141733	Julie
685945	160464	Herself
685945	175448	
685945	185835	Angel
685945	192100	Angel Christa
685945	207905	Tracey Riggins
685945	218868	
685945	221637	'Kalakkal' Shuba
685945	223858	Laura Salsburg
685945	227375	Kalyani
685945	249408	
685945	256866	Manju
685945	320841	
685945	359164	Serina
685945	366576	Laura
685945	409741	Kay Simmons
685946	178433	
685947	249677	La femme belle
685948	329308	Herself
685950	3944	Herself
685950	6720	Herself
685950	6722	Herself
685950	13879	
685950	34928	
685950	34929	Herself
685950	34931	Herself
685950	41486	Herself
685950	50367	
685950	54705	
685950	59850	
685950	75037	
685950	75082	Herself
685950	76932	
685950	81787	Herself
685950	82683	Party babe
685950	82837	Herself
685950	128732	
685950	128832	Herself
685950	129734	
685950	140783	Buffy
685950	163480	Herself
685950	188415	Herself
685950	241066	
685950	243436	Candi
685950	251808	Herself
685950	257620	Herself
685950	257672	Herself
685950	286637	Amy
685950	295884	
685950	319645	Herself
685950	323379	
685950	326431	
685950	336486	
685950	354177	Angel
685951	72578	Ann Thatcher
685951	81194	
685951	318441	Elizabeth Ann Mason, Photogra
685951	372301	Mrs. Hagan
685953	146929	
685954	40227	Gigi (Actress)
685955	7686	
685955	14314	Clara
685955	57825	
685955	77133	Laura Vergiotti
685955	90752	Suor Marina
685955	127994	Giulia Ferrari
685955	187197	
685955	207072	
685955	268995	
685955	328891	
685955	355648	Maddalena
685955	381195	
685955	402780	Barbara
685955	402786	
685955	406004	Stefano's wife
685956	1748	Herself
685956	326664	Herself
685958	129953	
685959	271202	Nurse
685960	124280	
685960	196528	
685961	186064	Chicken Factory Girl
685961	385930	Girl Typist
685963	2861	
685963	133693	Herself
685963	154403	Herself
685963	169641	Herself
685963	185451	Gwen
685963	188021	Herself
685963	280832	Singer
685963	330305	Urchin in Bagdad market
685963	330491	Singer
685963	363309	Nightclub singer
685963	399729	
685963	407939	Herself
685964	346303	
685966	253753	
685967	144052	doña Brinida
685967	144053	Amalia Rantamo
685967	149464	Annette Koskimaa
685967	172290	German woman
685967	172295	Kielo Mares
685967	174209	Mari
685967	175689	Mrs. Tappara
685967	177040	Matron
685967	177897	Riitta
685967	179621	Dora
685967	181937	Emilia
685967	181938	Lyyli Montola
685967	182504	Mimmi Muotonen
685967	184796	Laundry owner
685967	191194	Mrs. Winterloo
685967	200978	
685967	206142	Woman on a beach
685967	214838	Fish saleswoman
685967	219450	Lulu Roine
685967	223512	
685967	229544	Myhkyrä
685967	229626	Karin Timelius
685967	239913	Fanny Heinonen
685967	258847	Alba Takkulainen
685967	260623	Mimmi Järvinen-Laakso-Korhone
685967	285967	
685967	287535	Eveliina
685967	301912	
685967	319314	Mummu
685967	319317	Sofia
685967	319318	Granny
685967	321925	Shop owner
685967	321999	
685967	322704	
685967	349947	Mrs. Luokki
685967	354255	
685968	386140	
685968	409532	Pascale
685969	288667	Herself, singer
685971	27952	Girl At Drive-In
685971	104357	Stunt Player
685971	263334	Girl at prom
685972	86478	Night Club Patron
685973	28457	Mrs. Florin
685973	136899	Leeni's Mother
685973	145359	Hilja's mother
685973	172523	Woman in a restaurant
685973	174478	
685973	179625	
685973	181649	Adele
685973	188932	Housekeeper
685973	198262	
685973	213375	Guest at the engagement party
685973	225112	
685973	226799	Actress
685973	233243	Old Mari, Akusti's mother
685973	236718	Anna-muori
685973	242948	Inmate
685973	255764	Matti's grandmother
685973	264291	Sanna 105-vuotiaana
685973	301864	
685973	320384	Workman's wife
685973	321949	Woman #2
685975	55188	
685975	60117	
685975	119366	Maria Bellanger
685975	121324	
685975	216845	Gianna
685975	263622	Anna
685975	289329	
685975	293356	Emmy
685975	350512	
685976	253796	Kätilö
685978	160	Nurse
685978	166145	
685978	211487	La pharmacienne
685978	261785	La maîtresse d'école
685978	277207	Sophie
685978	377866	La jeune fille
685979	202390	Miss. Wapsworthy
685979	385299	Clara Cannington
685980	324607	Strippari
685981	14132	Girl at Party
685981	211530	June
685981	389858	Sarah Webber #2 (2002)
685982	169542	
685983	328823	
685984	126748	Jenna
685984	264452	Soap Girl
685985	330305	Urchin in Bagdad market
685986	349735	Sairaanhoitaja #2
685987	26127	
685987	87744	
685987	178864	
685987	178868	
685987	243136	
685987	256202	
685988	14642	
685988	29853	
685988	49443	
685988	53604	
685988	61433	
685988	64033	
685988	64037	
685988	73549	
685988	74556	Manicura
685988	74902	
685988	103720	
685988	132719	
685988	132720	Srta. Goyeneche
685988	210172	
685988	221944	
685988	237736	
685988	258533	
685988	287834	
685988	318227	
685988	343727	
685988	350266	
685988	353552	
685988	354228	
685988	354449	
685988	376800	
685989	132744	Une caissière
685990	68724	
685990	378464	
685991	21045	
685991	41984	
685991	72449	
685991	87388	
685991	97315	
685991	102765	
685991	102767	
685991	102781	
685991	105728	
685991	129789	
685991	148893	
685991	187411	Herself
685991	213119	
685991	290348	
685991	290410	
685991	326808	
685991	343119	
685991	355986	Kung fu teacher of women
685991	367830	
685992	194605	Hooker
685993	176322	Margaret
685994	203782	Mari-Luz
685995	398981	Lady Elizabeth Somerville (19
685996	37680	
685996	138397	
685996	165244	
685996	173308	
685996	183137	
685996	243248	
685996	259955	
685996	289297	
685996	300675	
685996	302827	
685996	318735	
685997	144788	Reporter #5
685998	318759	Amanda
685999	285366	
686000	321259	Lady Clivebrook
686001	290812	Schneiderin
686002	17114	Ouvrière
686003	62561	
686004	62561	
686005	378789	Jessifer (Bern Académie) (200
686006	76257	V9
686007	365381	Girl in Brothel
686008	146726	Patty Pauls
686009	63861	Mercedes
686009	105462	Starlet at Audition #2
686010	141159	Jess - in prologue
686011	131227	Charlotte Waters
686011	217815	Woman #1
686011	223658	Mrs. Vannis
686011	288114	Mrs. Parkley
686011	288115	May Parkley
686011	304368	Mrs. Parkley
686011	315171	Gertrude
686012	247143	Party Guest
686013	193775	Mrs. Stone
686013	269454	Lady Bella
686014	324371	Future Inhabitant
686015	135404	Lee Proctor
686016	144406	
686016	159175	Dancer
686016	411330	Dancer
686017	11484	Mary Biddle, Housekeeper
686017	33992	Carrie Stokes
686017	96829	Carnival person
686017	107701	Dowager
686017	126069	Scrubwoman
686017	131594	Mrs. Duffield
686017	150812	Mrs. Gaunt
686017	163485	
686017	203006	Mrs. Hanson
686017	223019	Wardrobe Woman
686017	279381	
686017	321390	
686017	339907	Ma Armstrong
686017	358193	Old Maid
686018	241056	
686019	141558	Susan, the fiancee
686020	24196	Alison Begbie
686020	35578	Trudi
686020	39467	
686020	39731	Sister Honey
686020	69805	Sister Honoria
686020	106005	Ann Grayson
686020	107089	Postman's Widow
686020	140544	Jackie Coryton #1
686020	149807	Madame Fabert
686020	151032	Joan Hallam
686020	171309	Ethel Brown
686020	176315	Susan Richards
686020	184283	Ginger Watkins
686020	185141	Betty
686020	190104	Matron
686020	190895	Jane Marshall
686020	193882	Mrs. Sims
686020	207232	Mrs. Hudson
686020	222732	Sylvia Armitage
686020	246696	Mary Smith
686020	257109	Nan
686020	342823	Mrs. Roberts
686020	354519	Mrs. Harrington
686020	359104	Jeannie McLaren
686020	362093	Daisy Pennyfeather
686020	372891	Mary Baxter, Sam's Wife
686020	388320	Matron
686020	389123	Mrs. Heron
686020	395647	Mrs. Stratton
686020	405217	Matron of Holloway
686021	145822	Undetermined Role
686022	308673	Servant
686023	383036	Tracey Dean
686024	141159	
686025	383631	Comfort Jones/Newton: Paramed
686026	287230	Celebrant #8
686027	115377	Debbie
686028	3163	Dino's Redhead
686028	147404	Tattooed Dancer
686028	297641	The Tatoo Artist
686029	183880	
686030	389141	Lena, age 12-16
686031	3985	Claudia
686031	12845	
686031	315946	
686032	143785	
686033	205717	Eléna, épouse de Safonov
686034	318119	Assistant avocat
686035	192725	Marjorie
686036	145762	Margareta Smith
686037	285801	
686038	404201	Linda
686039	73607	Amanda
686040	198724	
686041	318763	Dot (Atwater's Girlfriend)
686042	68912	Miriam
686042	96269	Madre familia
686042	143757	
686042	189301	Miliciana #6
686042	221756	La chica del 'Directísimo'
686043	109992	Whore
686044	5156	Anne
686044	270290	Waitress
686044	388029	
686044	401081	Mireille Mathieu
686044	402620	Isabelle
686045	198974	Astérix
686046	252141	
686047	390502	Sarah Von Trieck
686048	245603	
686049	319824	Photo 3615
686050	364300	Herself
686051	174155	Belle fille
686052	289372	Featured Extra
686053	297190	Sorority Girl
686054	5105	Vecina
686054	12527	
686054	13023	Duchess
686054	14790	
686054	26120	(Spanish version)
686054	28795	
686054	51920	
686054	52943	Mujer de Arturo
686054	54084	
686054	54332	Marquesa de Villadiego
686054	59250	
686054	64035	Olga
686054	71002	
686054	73270	
686054	74808	
686054	77252	
686054	81409	
686054	89917	
686054	90104	
686054	90189	Second Innkeeper's Wife
686054	91315	Señora de Gordon
686054	92337	Doña Francisca
686054	95024	
686054	100101	
686054	132678	
686054	148045	Mamá Leonarda
686054	153331	
686054	155668	
686054	202178	
686054	202561	
686054	211164	
686054	212345	Rosa
686054	219224	Doña María Teresa Rodríguez, 
686054	221895	
686054	226491	
686054	236021	
686054	243721	Rosa
686054	277235	
686054	281779	
686054	283253	
686054	284096	
686054	291690	
686054	294967	Tía Isabel
686054	326531	
686054	327445	
686054	336249	Madre de la 'Bella Medusa'
686054	353591	María Linz
686054	353600	Madame Dupont
686054	376659	Esperanza
686054	377873	
686054	378411	
686055	74463	Mari Kalmár
686056	142712	Lisa
686056	146998	Signe
686056	398260	Sara Lyhne
686057	81458	
686058	64864	Bar Kep Girl
686059	5447	
686060	231616	
686061	324700	
686062	357737	
686062	377807	
686063	368737	
686064	64756	Aunt Bözsike
686065	176682	
686066	91103	
686066	382692	
686066	386377	Márika
686067	110702	
686067	174974	
686068	3489	Majka Nemnicova
686069	145724	
686069	174452	
686069	265962	
686069	328762	
686070	24364	Svetlana
686070	72740	Jacie
686070	96384	Sarka
686070	374528	Karolina
686071	16697	Goldie
686071	33417	Cutie Cuticle, manicurist
686071	40095	Mary Dawson
686071	42269	
686071	42699	Claire Martin
686071	47311	
686071	47497	Bubbles Revere
686071	47501	
686071	50474	
686071	64502	Lucy Bishop
686071	67913	Velma Gay
686071	69300	
686071	70354	Waitress/Cashier
686071	71745	Schoolteacher
686071	72816	
686071	75338	
686071	77765	'Poppy' Marie Andrews
686071	81235	Lucy Warman
686071	83603	
686071	101990	Sally Dolan, aka 'Chicago Sal
686071	113632	
686071	120336	Bit Part
686071	120829	Little Casino
686071	121559	Felicia Bocaz
686071	124023	
686071	128199	Paige's Manicurist
686071	129227	Secretary
686071	130774	Nita Gordon
686071	131565	Crazy Woman
686071	133883	Mary Smith
686071	139965	Babe Lennox
686071	140151	Martha Gant
686071	143307	
686071	146285	
686071	147488	
686071	147650	Undetermined Role
686071	153145	The Wife
686071	154045	Joan Cameron
686071	159439	Julien Revell/Paula Revell
686071	178194	Betty Ellen Estabrook
686071	186276	Marion Blake
686071	191272	Dorothy stedman
686071	193562	Norah Blake
686071	194770	Countess Zara
686071	206366	Lillian Piggott
686071	213453	Woman in museum
686071	215359	Katie Malloy
686071	216928	Patricia Waddington
686071	218814	Moonshiner's Daughter
686071	218838	
686071	219193	Viola Lorraine
686071	234213	Mary Butler
686071	237759	Belle
686071	238880	Maid
686071	245251	Salvation Army Woman
686071	245683	Kathleen Dexter
686071	245735	Violet Colton
686071	255320	
686071	257748	
686071	263515	Ellen Harden
686071	273815	Wife
686071	274190	Norah O'Neill
686071	279552	Sylvia Summers
686071	282329	Mrs Rough
686071	283215	
686071	283430	Agnes Brady
686071	296709	
686071	299806	Helen Berry
686071	300011	Meta Maxon
686071	304398	Mazie
686071	309581	Celebrity
686071	311007	Paula
686071	311014	Flora Benham
686071	329123	
686071	342519	Mrs. Treejohn
686071	345735	Lucretia Eastman
686071	347341	Jewel Marchmont
686071	347743	Ann
686071	355078	Rosa (her daughter(
686071	358288	A Fair Customer
686071	362055	
686071	364707	Prisoner
686071	367049	Judith
686071	367837	
686071	372520	
686072	217381	Field Mouse Carol Singer
686073	113378	Liz Carson
686073	120653	Shamara the Wicked
686073	195945	Miss Bender
686073	321213	Wedding coordinator
686074	72437	Sauerkraut Vendor
686074	313301	Saddle Maker's Wife
686075	26912	
686075	32939	
686075	85753	
686075	108696	The Nurse
686075	119791	
686075	160218	
686075	194407	
686075	196334	
686075	242073	
686075	279771	
686075	292825	
686075	319458	
686076	22095	
686077	107947	
686078	5286	
686078	6724	Herself
686078	7130	
686078	27222	Herself
686078	41587	
686078	63384	
686078	81924	
686078	93990	
686078	105896	
686078	116013	Herself
686078	117216	
686078	129090	Herself
686078	233711	
686078	233715	
686078	243436	Special Appearance
686078	294728	
686078	316776	
686078	327150	
686079	276869	ER nurse
686080	25398	
686080	102814	
686080	134704	
686081	312342	Party Guest
686081	319285	Sal Cassidy
686081	358437	Joyce
686081	379869	Mum
686081	382206	Herself - Panellist
686081	397142	Various (1967)
686081	402217	
686081	406015	Various (1968)
686082	363544	Lucy
686084	2833	Slavey, the Cook's Helper
686084	10637	Florence
686084	11265	Florence
686084	11266	
686084	13581	Mrs. Wolverson
686084	20959	Florence
686084	26628	Woman in Park
686084	29441	Elderly Waitress
686084	36754	Florence, Edgar's wife
686084	37221	Assaulted Lady
686084	38950	Mrs. Hammond
686084	40345	Florence
686084	43420	Florence Kennedy
686084	44712	Waitress
686084	46702	Florence
686084	47882	Florence Kennedy
686084	53148	Florence
686084	56098	Nurse Phillips
686084	69237	Prisoner
686084	69994	Florence Kennedy
686084	70308	Hattie
686084	72570	Doris, Jean's roommate
686084	79850	Lee Sisters
686084	83909	Mrs. Cameron
686084	86512	Florence
686084	88577	Florence, Edgar's Wife
686084	92959	Factory Worker
686084	94138	Anya Karlov
686084	94558	Florence
686084	95136	Florence
686084	96727	Florence
686084	97467	Florence, Edgar's wife
686084	97475	Florence
686084	109092	Maggie
686084	110369	Florence
686084	114355	Florence Kennedy
686084	114947	Mrs. Binger
686084	118320	Counter Girl
686084	119969	
686084	124393	Florence Kennedy
686084	126069	Mother
686084	127074	Clubwoman
686084	127617	Florence
686084	128331	Computer clerk
686084	130301	Abigail
686084	131040	Florence
686084	131471	Florence
686084	134411	Florence
686084	138883	Florence
686084	140408	Camp Guest
686084	141016	Florence, Mrs.Kennedy
686084	143355	
686084	144447	Secretary
686084	144448	Mrs. Bisbee
686084	144765	Florence Kennedy
686084	147722	
686084	148233	Florence Kennedy
686084	149927	Florence Kennedy
686084	151550	Florence Kennedy
686084	154488	Carol
686084	154865	Florence
686084	157787	Florence
686084	163668	Mrs. Florence Kennedy
686084	167683	
686084	178274	Florence
686084	183409	Mrs. Dace
686084	187695	Florence
686084	191833	
686084	192506	Old friend #1
686084	195647	The 'Ga-Ga' Prospect
686084	195952	Florence
686084	196190	Florence
686084	203074	Martha
686084	208248	Grandma Watson
686084	211339	Florence
686084	213288	Sally Withers
686084	214453	Florence
686084	220067	Florence Kennedy
686084	220068	Florence
686084	220154	Florence
686084	223241	Tony's Girlfriend
686084	224421	Diner at White Horse Tavern
686084	230870	Pearl
686084	231124	Justice of the Peace's Wife
686084	232344	Miss Smith
686084	233796	Florence
686084	234599	Florence
686084	242110	
686084	246227	Miss Smith, Dancing with Crus
686084	249223	Florence
686084	258968	Florence
686084	261422	
686084	268915	Henrietta Turnbull
686084	269866	Florence
686084	270657	Florence
686084	273687	
686084	280474	Nadja
686084	280846	Susan Van Tuyl
686084	282327	Florence Kennedy
686084	282343	Florence
686084	286911	Miss Lake
686084	288939	Mildred
686084	289689	Phoebe Quentin
686084	292618	Miss Caroline Mitford
686084	299392	
686084	302721	Young Woman
686084	304835	Florence Kennedy
686084	306774	Florence
686084	306835	Florence
686084	309884	Florence
686084	311311	Trixie Hayes
686084	312826	Nancy Whitney
686084	316462	Mrs. Appling
686084	321374	Dizzy
686084	327195	Florence
686084	329333	Florence Kennedy
686084	331950	Myrtle
686084	333386	Kathy
686084	334252	Salesgirl
686084	340534	Florence, Edgar's Wife
686084	342850	Florence
686084	343251	Doris Pritchard
686084	347128	Woman
686084	350650	Florence Kennedy
686084	358710	Florence
686084	358880	George's Wife
686084	362213	Florence
686084	362574	Florence
686084	363190	Waitress
686084	365735	Florence Kennedy
686084	366228	Herself
686084	367783	Clara
686084	368933	Florence, Edgar's Wife
686084	372167	Florence Kennedy
686085	252480	Maisie
686086	128700	Dottie
686087	53747	Air hostess
686087	327592	French Maid
686088	12319	Party Guest
686089	242941	Miss Wilson, Girl on Train
686089	271297	Girl
686089	330097	
686089	343199	Noel O'Neill
686089	366182	Nurse
686089	409250	Betty Franklin
686090	55718	Girl with dog
686091	195319	Bimbo
686092	65447	Hostess
686093	81722	Francesca
686093	196619	Mika
686093	278082	Karen's Friend
686094	86706	Segment 5 Girl
686094	130312	
686094	130781	
686094	162863	
686094	319705	Herself
686094	367917	
686095	210960	Newscaster #3
686098	2250	Motorcycle Gang Member
686099	385299	Liz Clarke
686100	260902	Mother-In-Law
686101	79366	
686101	141245	
686101	193857	
686101	194776	
686102	171411	Party Girl #2
686103	245040	Airport Security Guard
686103	300896	Security Lady
686104	54706	Herself
686104	403782	
686105	26473	Grace
686105	30581	Velour
686105	48923	Charlotte
686105	51633	Figurehead
686105	57560	Libby
686105	59828	Tammie
686105	70359	Pia
686105	74259	Pepper Walker
686105	87432	Herself
686105	88101	Herself
686105	108248	Carmen
686105	137259	Tracy Turnblad
686105	157521	Herself
686105	157575	
686105	160373	Bella the Stalker
686105	164587	Herself
686105	185252	Donna
686105	221338	Connie/Patricia Winterbourne
686105	222752	Mary Minor 'Harry' Haristeen
686105	294798	Misty Sutphin
686105	313706	Nicole
686105	313854	Ricki Ross
686105	363399	Brenda
686105	368314	Bridesmaid
686105	384104	Holly Pelegrino (1989-1990)
686105	390534	Cleofatra
686105	403362	Herself/Host
686107	69462	Girl in Peel Hall
686108	1737	Herself
686108	41757	Lena
686108	74029	Ruby
686108	367867	Herself
686109	161739	Anchor woman
686110	41500	Hula Dancer
686110	267165	Hula Dancer
686111	284003	Schoolgirl
686112	218570	
686113	217381	Field Mouse Carol Singer
686114	150937	
686115	205268	Carlita
686116	11609	Jane
686116	41759	Joyce Harwood
686116	47088	Teddy Collins
686116	77767	One of Couple on Motorcycle
686116	94881	Herself
686116	106611	Herself
686116	115271	Dr. Elaine Frederick
686116	116932	
686116	118040	Granville Girl
686116	147391	Movie actress
686116	147412	Sally Martin
686116	150765	Dora Bruckmann
686116	154476	Jennifer
686116	154753	Sally Vaughn
686116	162979	Candy Cameron
686116	215658	Nan Rogers
686116	245209	Dorothy Dodge
686116	271889	Connie Dickason
686116	285605	Susan Neaves
686116	285782	Letty Stanton
686116	304552	Dolores Greaves
686116	306466	Lt. Olivia D'Arcy
686116	309208	Coed
686116	313377	Herself - Sweater, Sarong & P
686116	317181	Mary Stevens
686116	318607	The Girl
686116	330703	Ellen Graham
686116	350645	Herself
686116	368974	The Blonde
686116	372483	Bit Part
686117	386537	Tomoko Saeki
686118	307020	
686119	350191	Tall Vampire
686120	72039	
686121	177525	Fanny Oakley
686122	148924	Helen
686122	294363	Maureen
686122	328607	Nurse
686123	294708	
686123	348134	
686124	42860	Sophie
686124	152274	Heleen
686124	275781	Carolina/Myrthe
686124	314886	Luutje
686126	360055	Scott Child
686127	96872	Belinda Peacock
686127	185422	Angie Salter
686127	387247	Belinda Slater/Peacock (2001-
686127	388321	Charlotte Day (2002)
686128	86668	
686128	201078	
686129	278337	
686130	294559	
686130	400681	Catherine Charron
686131	61200	Leila
686132	319157	Lucia
686133	288690	
686134	33028	Herself
686134	37219	Macy
686134	48564	Becca
686134	67767	
686134	113501	Kelly Harrington
686134	126707	Natasha
686134	130319	Jamie
686134	157817	Christine
686134	194847	Jade, a snotty cheerleader
686134	274559	Joan of Arc
686134	281803	Little Rose
686134	318511	Danielle
686134	324007	Jenni
686134	362598	Sloane
686134	364390	Kate Reeves
686134	406503	Alicia 'Al' Lambert
686135	403805	Rosa Borelli (1999)
686136	367763	
686138	211679	
686139	155013	Party attendee
686140	377768	Éva
686141	17540	
686141	150956	
686141	302140	Judit menyasszony lánya
686142	40375	
686143	300730	
686144	368043	Bartender
686145	362382	Beth
686146	356395	
686147	11994	Vasundhara
686147	28743	
686147	60017	Julie
686147	60874	Durga
686147	62313	Bhagirathi
686147	135664	
686147	166367	Dadi (Grandmother)
686147	166501	
686147	166523	Lavanya
686147	172747	
686147	173335	
686147	174269	Ammini Kutty
686147	174352	
686147	179277	
686147	208107	Raghu's Lover
686147	243547	Lakshmi
686147	243838	
686147	247125	
686147	247891	
686147	252020	Ganga
686147	252233	Ponnamma's Daughter
686147	256941	
686147	262237	
686147	277501	
686147	301473	Ganga
686147	312449	
686147	329224	
686148	98488	
686148	333017	
686149	143822	
686150	270558	Krishna
686151	43978	Shiela Bardez
686151	129439	Sylk
686151	348106	Herself
686151	383449	Malinche
686152	166367	
686152	200677	Krishna's Mother-in-Law
686152	246314	Padaiyappa's Mother
686152	329208	Maradhur's Mother
686152	354121	
686153	332173	Seetha Lakshmi
686154	8389	Kalavati
686154	8389	Sushila
686154	14504	
686154	35986	
686154	36293	
686154	93866	Seeta
686154	138597	Devi
686154	156448	
686154	173500	
686154	181032	
686154	227638	
686154	247128	Dancer in the song O Veera Ka
686154	248585	Leelavathi
686154	250490	
686154	271585	
686154	286791	Manjula
686154	288589	
686154	300261	
686154	312498	
686154	327792	
686154	332173	
686155	36281	Sarojini
686156	110574	
686157	6994	Sorority Girl
686157	355565	Szalagmesterrnõ
686158	21756	Lala
686159	310849	Herself
686160	17751	Kate
686160	44270	Theresa
686160	164292	
686160	265764	Norma
686160	372281	Abby
686160	388080	Herself
686160	395828	Miranda Sanchez (2001-2003)
686160	402862	Herself
686161	185812	News Reporter Voiceover
686161	356472	The Media (Herself)
686161	383753	Correspondent
686161	391028	Reporter (1996-1999)
686162	59592	Peppermint Patty
686162	212370	Carrie Holcomb
686162	244795	Time Traveling Sprite
686163	53157	
686163	122308	Carlos Manuel's mother
686163	191437	
686163	237212	Maria
686163	281628	Rosa do Adro
686164	177514	Mrs. Colby
686165	276492	Herself
686166	197748	
686167	100146	Jeffrey's wife
686169	370460	
686170	226376	Senka
686170	243908	
686171	101133	Audrey
686172	7112	
686173	43443	
686173	243343	Cassiere
686174	324268	
686175	47773	Chez Bippy Customer
686176	245632	Tips Mother
686177	272606	Novinarka II
686178	14345	Eliane
686178	51399	La concierge
686178	108206	Mme. Maurére
686178	258313	Yvette
686178	312946	Nina Trotsky
686178	327293	La conseillère beauté
686178	345261	Mado
686179	14521	Usha
686179	84713	Chandramukhi
686179	173639	
686179	206771	Usha
686179	243817	Rape Victim
686179	412246	Marthe
686180	28194	
686180	84713	
686181	36281	Sarada, Vidradharam's sister
686181	174240	
686182	8490	
686183	2252	(segment "Exclusion, L'")
686183	11934	Joséphine
686183	282721	L'infirmière
686183	390773	
686184	164820	
686185	37700	Jailbait Band Member
686186	2107	Sophie
686186	269227	Nathalie, Joeuf's daughter
686186	336974	Delphine Valance
686186	383356	Sophie
686186	385845	Tina (segment "Amie étranger,
686187	215488	Herself
686187	397888	Herself (2003)
686188	53023	
686188	318515	La naine
686189	107483	Interviewee
686190	304443	Sidewalk Psychic
686191	193061	
686192	118980	Jorge's Girlfriend
686193	102099	Narrator, Nat'l
686193	342185	Narrator, Nat'l
686194	213324	Hippolyte
686195	158865	Miss Tooney
686195	307988	Mrs. Aarons
686195	327006	Nurse
686196	217713	
686197	148205	Dispatcher
686197	345786	Airport Bathroom Lady
686197	363581	Phyllis
686198	68063	Shop Assistant
686198	276363	Margot
686198	299614	Shona
686198	407414	Carol McKay/Wilson
686199	279168	Mrs. Orton
686200	321559	Michelle on Phone
686201	108897	Herself
686202	107896	VR Woman
686203	60012	Jeanne d'Arc
686203	208156	la blonde
686204	288316	Prieuse
686205	351826	Spectatrice
686205	356391	Une voisine
686206	236528	Herself
686207	381139	Daisy Parker
686208	306284	Snow White as a Child
686209	108897	Herself
686209	113116	
686209	175159	Herself
686209	344486	Chinese Woman
686209	353885	Bernadette Le Quesnoy
686210	8710	
686210	47840	
686210	87130	
686210	100579	
686210	102094	
686210	166669	Mrs. Kassandri
686210	182448	Eleni
686210	209759	
686210	237088	
686210	243058	
686210	255786	
686211	33937	Girl 2
686211	79557	Miss Horton
686212	73337	Bernadette
686212	261095	Milly
686213	284010	Girl
686214	76150	Claire
686215	76150	Pauline
686216	44220	La maquilleuse
686216	76150	Elise
686216	235264	La bonne soeur
686216	332195	
686217	78835	Dodie
686217	127351	Booker #3
686217	267568	Hooker
686217	279424	Parimutual
686217	362355	Drunken Lady
686217	363948	Patty
686218	377490	
686219	86649	Child artist
686220	9324	
686221	84439	Girl in Eddy's Dream
686223	117404	Ma Soong
686223	138478	Turnkey #1
686224	187758	
686225	41757	Mrs. Milari
686226	296583	
686226	370464	Cameo appearance
686227	369876	
686227	370598	Yanzhi
686228	77705	Maj. Kwan
686228	121242	Fong
686229	153033	Brooke
686230	161939	
686232	48	Wendy Ho
686233	219749	
686234	185137	Helen
686235	141896	Yan-Yan/Candy
686235	198612	Kwan
686236	167820	Annie's Relative
686237	215695	Golden Palace Girl 2
686238	188396	Zero
686239	48013	Gertie
686240	73198	
686240	106793	Mary
686240	130067	
686240	268734	Ah B
686240	284732	
686240	368070	
686241	60191	Elsa
686242	216664	
686243	114298	Chris' Friend
686245	168031	
686245	179684	Suen Ling
686245	183105	Choy-Lam
686245	189170	Maan
686245	197134	Jane Chan
686245	197221	Karena
686245	300411	Brenda
686245	370923	Cheung Yan
686246	110338	Chinese Dancer
686247	200474	Singer at Night Club
686247	302665	
686247	375693	Yoshie
686247	385531	Shitsu Tonka Newsreader
686247	388860	Mira
686247	391368	Ahn Nguyen
686247	399130	Mai Ling Chan (1995)
686247	407531	Julie Soong
686248	61463	Alice
686248	239146	
686249	25887	May
686249	27794	Ho Lu Hua
686249	268650	Ida Yuen
686249	324338	Wife of Tong Pak Foo
686249	369049	Wah's Wife
686249	369576	Spider Woman
686249	369577	Spider Woman
686249	371584	
686249	394703	Shuet-ngan
686251	29479	
686251	284708	
686253	102848	
686254	8790	Plane's Mother/Crab Beauty
686254	76849	Herself
686254	85499	Inmate 5354
686254	110203	
686254	138626	Servant
686254	152011	Television Reporter
686254	167584	Aunt 10
686254	170996	Reporter
686254	184749	Multi-hand Chick
686254	210970	Scimkovaca
686254	210979	Sgt. Ming
686254	297982	Betty
686254	311963	
686254	333527	
686254	335420	Liang
686254	343177	
686254	369074	Ming
686254	370197	
686254	373675	
686254	374819	Smartie's Sister
686254	404623	Dai-Dee's Wife
686255	25967	
686255	110290	Bo
686255	167880	
686256	335399	
686257	273567	Herself
686257	398974	Herself
686258	372372	T.V. Reporter
686259	155266	Cool Kid #13
686260	16396	Herself
686260	76286	Candy Lam
686260	193912	Slant Eyes
686260	196669	Pao
686260	210979	Miss Bad Luck
686260	270020	
686261	54628	Sister
686261	137930	Attendant to Gertrude
686261	189593	Wang Liyun
686261	297389	China Doll's maid
686261	334112	Ming
686261	358297	Dr. Anna Chen
686261	365560	Chinese girl
686261	379264	Dorgan
686261	380259	Linda Mo (1981-1982)
686261	382838	Caroline Choi (1989-1990)
686261	392200	Anna Lee
686261	395547	Sally Cheung
686261	399554	Susannah
686261	409241	Ida Macasaet
686262	210483	Stewardess (Pamela)
686263	61463	Lai Kai-joe
686264	144297	Ah Gi's Sister
686264	183044	Principal Lam
686265	232630	High School Extra
686266	297299	
686267	311038	Child in Burning Building
686268	60887	
686269	62187	Dynamite
686270	152342	Cameo appearance
686270	374758	
686271	110625	
686271	147330	
686271	172222	Happy Girl
686272	209928	Herself
686273	166510	
686274	122696	
686274	124620	
686275	222357	
686276	211846	Rachel
686277	175934	Manthara
686278	334688	
686279	9482	
686279	244652	Visitor
686279	375944	Landlady
686280	335943	Woman #2
686282	9946	
686282	25629	
686282	42653	
686282	57463	Marta
686282	64377	
686282	64984	Doña Carla
686282	82718	
686282	87836	
686282	100439	Catalina Rossi
686282	100488	
686282	105663	
686282	111841	
686282	113224	
686282	135117	Doña Natividad
686282	149506	
686282	235989	
686282	238150	
686282	249786	
686282	267877	Matilde
686282	280874	
686282	343615	
686282	357004	
686282	378470	
686282	379852	
686282	383770	Cora
686282	384782	Nina Scala
686282	385852	
686282	391174	María Dolores
686282	393478	Doña Dolores Sánchez Alé
686282	397580	Beatriz
686282	398454	Mercedes (grandmother of Vale
686282	398661	Angélica de Di Carlo
686282	398842	Victoria
686282	398983	Amalia Del Molino López
686282	402350	Floria de Villalobos
686282	406050	Rosa
686282	409013	
686282	412120	Hilda Pérez-Campana
686283	232460	Elm Street Kid
686284	20257	Mrs. Kirk
686285	8581	
686286	178693	Gabby
686287	118763	Mental Patient
686287	317946	Tina Johnson
686288	366488	Giulia
686289	117478	Herself
686291	169916	Reporter
686291	310655	Carol Hillary
686291	368942	Miss Crystal Ball
686292	115739	Herself
686292	343201	Elaine Cominsky
686293	45257	Herself, Columbine Student
686294	20892	Isabel
686294	29742	
686294	36652	
686294	54069	
686294	63322	
686294	73273	Diana Sullivan
686294	74530	
686294	74643	
686294	103777	
686294	111635	
686294	115764	
686294	144075	
686294	162304	
686294	167080	
686294	169086	
686294	192992	Ana Xicontencatl
686294	197972	
686294	202228	
686294	210587	
686294	221750	
686294	222013	
686294	225391	
686294	225560	
686294	233757	
686294	240155	
686294	248231	
686294	251566	
686294	279901	
686294	285471	Elena Rivero
686294	332375	
686294	348934	
686294	355953	
686294	357508	
686294	376676	
686295	185429	Lisa
686296	149193	
686297	14212	Marcia Clark
686299	292496	Izzy
686301	280998	Gracia Rangel
686302	363393	Red Cross Nurse
686303	9910	
686303	14833	
686303	25678	
686303	28795	
686303	52943	Elena
686303	56811	
686303	68999	Viuda de marinín
686303	84177	Elena Losada
686303	90104	
686303	94588	
686303	103954	
686303	115755	
686303	125788	
686303	156590	
686303	184934	
686303	199942	Teacher
686303	206977	
686303	235967	
686303	266479	
686303	269544	
686303	285241	
686303	287921	Carmela
686303	320217	
686303	337870	
686303	353599	
686303	378040	
686303	378411	
686304	35476	
686305	60710	
686306	363948	Detective
686307	8581	
686307	17379	
686309	17921	Linda
686309	137224	Maria Feinstein
686311	365259	
686312	117333	
686312	268236	
686314	13390	
686314	105831	Rita
686314	252389	
686314	252390	
686314	252391	
686314	365451	Hooker
686315	298311	Raffaela
686316	68361	L'examinatrice
686317	365526	Woman of Wongo
686318	147877	Eden Gardner
686318	179631	Tina
686318	310423	Card Dealer
686318	330386	Script Supervisor
686319	251514	Isabelle Jarmen
686320	118635	
686320	183064	Pepa Osuna
686320	199818	
686320	266875	
686320	353561	
686321	195508	Samantha
686321	282923	Mailwoman
686321	315335	Detective
686321	362808	Waitress
686322	6045	Yolanda
686322	6464	Bride of Homeless
686322	9643	
686322	12061	
686322	14713	
686322	18076	María
686322	20856	
686322	25648	Luisita
686322	28748	
686322	33686	
686322	34570	
686322	42656	
686322	51524	Nita
686322	52936	
686322	53669	María Maragón
686322	53985	Luisa Lamas
686322	55966	
686322	63887	
686322	63962	
686322	64704	
686322	72959	
686322	74562	María Grever
686322	74628	
686322	77257	
686322	97253	
686322	100335	
686322	103495	Laura Galván
686322	113227	Lola Morel
686322	132659	Mercedes Irigoyen
686322	145233	Alegría Román
686322	145275	
686322	146479	Elena Ramos
686322	151803	Lina Alonso
686322	152252	
686322	159432	Cristina Ferrán
686322	189017	María
686322	193189	Aurora Durban
686322	193196	
686322	199818	
686322	202833	
686322	206280	Cristina Payares/La Marquesa
686322	212365	
686322	215229	Diana Valdez
686322	221975	
686322	221988	
686322	221993	
686322	225010	Grandmother Piedad Bracho
686322	225551	Herself
686322	225699	
686322	229444	Eugenia
686322	236750	
686322	244608	
686322	251567	Ana María
686322	266875	Nina Miranda
686322	275946	Herself/Employment Singer
686322	280900	
686322	281776	Laura
686322	282144	Rosario Velazquez
686322	284942	
686322	300737	
686322	307464	
686322	308907	
686322	326343	
686322	352945	
686322	353573	
686322	371678	
686322	371719	
686322	376739	Elena
686322	379889	Amada
686322	383471	Mother Superior Piedad de la 
686322	387816	Sister Piedad
686322	405228	Herself-Host
686322	405834	Soledad
686322	409719	Grandmother Piedad Bracho
686323	68356	Wanda
686323	116442	
686323	269228	Irma
686324	10461	Gaby
686324	13056	Hedy Windsor/Helen of Troy/Em
686324	42122	Secretary
686324	43992	Karen Vanmeer
686324	47911	
686324	56579	
686324	57665	
686324	67842	Johnny Jones
686324	68879	Golubka, aka Theodore and Liz
686324	69823	Irene Von Mohr
686324	70534	Lisa Roselle
686324	73879	Lucienne Talbot
686324	87707	Madeleine Damien
686324	101729	Herself
686324	103723	
686324	104287	
686324	105975	Alida Bederaux
686324	106197	Eve
686324	106198	Eva
686324	110940	Vanessa Windsor
686324	125296	Young Girl at Night Club Tabl
686324	136816	Marvin Myles Ransome
686324	141665	Vicky Whitley
686324	143191	Princess Veronica
686324	147716	Herself
686324	154652	Georgi Gragore
686324	160637	Movie Goddess
686324	179297	Helene, the Mayor's Daughter
686324	183789	Manon deVargnes Carey, aka Ki
686324	188391	Dr. J.O. Loring
686324	195613	Herself
686324	202942	Käthe Brandt
686324	223913	Lily Dalbray
686324	286808	Delilah
686324	300070	Herself
686324	315697	Joan of Arc
686324	316166	Jenny Hager
686324	329546	Herself
686324	329563	Herself
686324	336299	Dolores 'Sweets' Ramirez
686324	363776	Tondelayo, aka Mrs. Langford
686324	375045	Mrs. Sondra Kolter
686324	411420	Herself
686325	206313	
686326	261236	Make-up Artist
686327	4622	Dancer
686327	200485	Nurse
686327	233930	Relative
686327	254283	August Petty Girl
686327	282711	Dancer in Haiti number
686328	208128	Une Passante
686328	280040	
686328	383306	Claire Pouliotte
686328	390468	Chroniqueuse
686329	111701	Anne
686330	129944	
686331	380100	Josefina 'Jose'
686332	139434	Eula Fillion
686332	194248	Miss Fahey
686333	142527	No. 1 Girl in Bedroom
686335	398937	
686336	246256	
686336	306412	Cafe proprietress
686337	19834	Lana Manana
686337	87019	Jackie Rodriguez
686338	386123	
686338	401900	Marisa
686338	409347	Madá
686339	62338	
686339	127378	
686339	205431	Flora
686339	270612	
686340	18282	Pamela
686340	20091	Ana Epstein
686340	63863	Madre de Lara
686340	145232	
686340	252757	Secretary
686340	378958	Bárbara Villegas
686340	380066	Eugenia
686340	380100	Agustina
686340	384775	
686340	393478	Catalina
686340	398166	Paola
686340	398850	Analía Zamorano
686340	405789	Verónica
686340	408204	
686340	408856	
686340	410453	(2000)
686341	88015	Periodista
686342	159188	
686343	328610	
686345	158611	
686347	10416	Herself
686348	26795	Nurse
686348	39410	Thumper
686348	62787	Emma
686348	84811	Mrs. Jones
686348	125425	Herself
686348	127191	
686348	128735	Herself
686348	228482	Herself
686348	257654	Herself (Miss February)
686348	257837	Herself (Miss May 1996)
686348	257866	Herself
686348	379494	Dominique (1998-1999)
686349	310073	
686350	55382	
686351	403509	Joan Kennedy
686352	5443	
686352	15030	Mireille
686352	52953	
686352	103500	
686352	286237	
686352	287817	Isabel Medina
686352	383242	La tía Cecilia
686352	383250	
686352	383467	
686352	387700	
686352	392848	Natividad
686352	403125	Socorro
686353	387101	Marivi
686353	398474	Carlita
686354	31247	Sylvia Smith
686354	41290	Susan Dalton
686354	41291	Susan
686354	290185	
686354	318182	Patricia Merrill
686354	404454	Sissy Hofer
686355	200457	
686355	292283	
686356	365451	Policewoman #1
686357	401558	Presenter (2001 - )
686357	409124	Presenter
686358	205417	Young Margaret
686359	203034	
686360	133345	Party Guest
686361	276386	Whittlesea Dancer
686362	203143	Louisa
686363	389098	Heather Hartman
686363	396994	Heather Hartman
686364	368190	Mrs. Ackerman
686365	56545	Herself
686366	25874	Sue
686366	28563	Raven
686366	35540	Jessica
686366	81346	Shanna Shallow
686366	96053	Assistant in White Dress (US 
686366	129435	Fire Eater
686366	139234	Chieko
686366	161922	Betty
686366	176942	Hooker 1
686366	213097	Dancer
686366	216707	Janise
686366	245007	Panetti's Dancer
686366	258860	Flame Blower at Party
686366	280023	Tais
686366	288468	Fire Eater/Dancer
686366	357991	Motel Clerk
686366	359431	Harem Girl
686366	365169	Fire Eater at Party
686367	217535	Rep. Carol Hanson
686368	281355	Dance partner of Gil Lamb
686369	185719	Tanya
686370	160857	Mary
686370	400530	Miss Peecher
686371	269607	Herself
686372	360734	Sky's Mistress
686373	134096	Child Solange
686375	315118	Mrs. Hall
686376	37178	Pancake Waitress
686376	211764	Woman on Sinking Boat
686377	157324	St. Jude Student
686378	115062	Serving Girl in Ming's Chambe
686379	141633	Helen Armstrong
686379	190082	Sally
686379	321137	NHS doctor
686379	395924	Cynthia
686380	84829	Jabez Stone's 1940's Book Cha
686380	305692	Woman on Street
686381	47918	Clerk at School
686381	275881	Kildare's secretary
686382	56869	Drama Kid
686383	20625	Extra
686384	324551	Liquid Silver Dancer
686385	187231	Mrs. Kennedy
686386	61156	Female Dancer/Ensemble
686386	157575	Key Dancer
686386	261049	Showgirl Dancer #11
686388	226895	Conjurer
686389	58164	Mrs Hart
686389	90889	The Plainclothes woman
686390	247141	School Girl
686391	47605	Sharlene
686391	226870	Comic
686392	119328	New Maxwell's Employee
686393	42779	Secretary
686393	46297	Tanya
686393	77398	Carol Klein
686393	379738	Herself - Panellist
686393	387213	Catherine Romano
686393	388923	Alexandra Parker-Hampton
686393	400806	Lisa Whitman Barsby (1993-199
686393	401215	Herself - Co-Host (1986)
686394	302014	Housekeeper
686395	284517	
686396	387953	Herself
686396	387954	Herself
686397	104913	Herself
686398	282037	Nurse
686399	16803	Parent #2
686400	239986	Olive
686401	403737	Suzy Loughlin
686402	130835	Oma
686402	148370	
686403	11011	Oude dame
686403	173737	Mevrouw Oudhof
686403	281148	Dame met hondje
686403	309625	Writer in beachresort
686403	314862	Hospita
686403	350311	Mevr. vd velde
686403	355772	
686403	357356	Freule Bobby
686403	357610	Martje
686403	365655	Johanna
686403	367020	Moeder
686403	400507	Mietje
686403	410441	Mevrouw Claus (1994-1995)
686403	411916	Nelly
686404	23732	Herself
686405	94844	Donna Clara
686406	42141	Karen the Stripper
686406	126624	Cheryl
686406	290939	Autograph Seeker
686408	245678	Cocktail waitress
686409	132892	
686410	176525	Colonist
686411	235168	Rosalie
686411	273513	Charleston Lady
686412	111083	
686412	276508	Marcelle
686413	12017	Catwoman/Dancing Babe
686413	73959	Amanda
686414	3459	
686414	10813	Heaven Daily
686414	46536	Beatrice
686414	72049	Phillis Holman
686414	75671	
686414	92993	Mrs. Talmann
686414	133597	Estella
686414	143915	Nancy Davidson
686414	171102	Mona
686414	190774	Mother
686414	227539	
686414	255274	Miranda
686414	293196	Amanda
686414	308033	Joe's mother
686414	382529	Lucrezia Borgia
686414	382590	Trish Freeman
686414	383891	Mary
686414	384962	Jennifer McGregor
686414	386435	Emma Tarbox
686414	388643	Kate
686414	398642	Orsala
686414	399816	Sue Marshall (1973)
686414	407531	Irene
686414	409647	
686415	11192	Caroline Fisher
686415	38882	Hotel Desk Clerk
686415	192171	Mrs. Carmichael
686415	382305	Helen
686415	395408	Maggie
686415	396578	Jill Wycombe
686415	410837	Alex Preston
686416	254175	
686417	346516	Jacoba
686418	192103	Anne
686418	308489	Herself
686419	128724	
686420	29968	Barefoot Model
686421	238503	
686422	10813	
686422	194874	Jazz Singer
686422	227539	
686423	132912	Pedestrian
686424	71915	Mrs. Brady
686424	157819	'Ma' Vernon
686424	171232	Mrs. Septimus Pickering
686424	235640	
686425	1857	Pensionnaire
686425	43767	Alice Dupré
686425	59301	Florence
686425	69342	Sophie
686425	71966	Vanessa
686425	80316	Marthe Mercier
686425	200953	Juliette Keller
686425	205647	Johanna
686425	255573	Christine Baussire
686425	387612	Hélène grande
686426	388150	Amandine Sollers
686427	300236	Hostess
686428	330311	Reception Ghuest
686429	371305	Abby Jamison
686430	16110	
686430	37929	
686430	37934	
686430	49728	
686430	50414	
686430	57756	
686430	117991	Mrs. Willing
686430	160709	
686430	168465	The Governess
686430	196271	Undetermined Role
686430	262064	
686430	278302	Lady of the Court
686430	279339	
686430	286548	
686430	290384	
686430	321362	
686430	333079	Tillie's mother
686430	333415	
686430	362876	
686430	367315	
686431	264179	Juliet
686432	71805	Madame du Coudrais
686432	262942	
686433	337758	Tony's Gang
686434	236733	Lisa (the Resistance)
686434	291886	Mr. Clayton's Secretary
686434	330145	Young Woman
686434	386155	Phoebe
686435	353363	Latimer's Office Nurse
686436	263339	Other Pretty Maids
686437	214361	Hildur
686438	19980	Grandmother
686438	218106	Angry Old Lady
686438	289113	Raccoon Woman
686439	381679	German Tourist
686440	293042	
686441	49941	Sady
686442	381332	Regular
686442	395412	Co-host (1957--1958)
686442	405426	Herself (vocalist)
686443	323442	Make Up Artist
686444	183834	Party Guest
686444	409476	Kate
686445	182288	Guest at the birthday party
686445	190669	Suzanne
686445	204539	Mrs. Walbeck
686445	377297	Mrs. Petterkvist
686446	70814	
686446	241998	Constance Darville
686447	286139	Mary
686448	45050	Other woman (water-swallowing
686448	122076	Vivian Knuckells
686448	139578	Florence
686448	239030	Mrs. Levin (Store Customer)
686449	5114	Alice
686449	348332	Priscilla
686450	176525	Colonist
686451	70110	Dana Turcotte
686451	389858	Deanie
686452	167797	Julia
686452	267213	Reporter
686453	44046	Kid on Bike
686454	14126	Girl on Internet
686456	309759	Child of Mary
686457	3982	1973 Mother
686457	18246	Nancy Pearson, ANN News
686457	160809	Technician #2
686457	168238	Beauty College Woman
686457	268221	Roberta
686457	283171	Becky Skylar
686457	315502	Shelley Newmeyer
686457	351412	The Assassin/Computer Voice
686458	146156	Florenza
686459	364502	Baby Nola
686459	390917	Dallas Hohenhaus
686460	261564	Shakespeare girl
686461	346738	
686462	4536	Female Interviewee
686462	32200	
686463	128727	Dancer
686464	91900	Child
686465	46431	Coops McCann
686465	201993	Dependienta boutique
686466	1675	Themselves (Pretty Funny Sket
686466	405563	Various (Skippy's Rangers)
686467	7049	Natasha Thorn
686467	40222	Josie
686467	67577	Leda
686467	67607	Woman At Bar
686467	78313	Bridgett
686467	84437	Britt
686467	120202	Coach
686467	196085	Allison
686467	280620	Dana
686467	366740	Julie
686467	387303	Victoria
686468	118653	American Matron #2
686468	148753	Louise, une cegepienne
686468	263919	
686468	267031	Tourist in restaurant
686468	380717	France Gauthier
686468	399754	Virtus
686468	412164	Chantal Paradis
686469	25045	
686470	259864	Abortion Picket
686471	132908	
686472	15078	
686472	43657	Mme Destrées
686472	46000	
686472	58310	Headmistress
686472	59745	
686472	76038	Emilie
686472	84678	Une amie
686472	101950	Élisabeth
686472	189162	Mme Rosemonde
686472	205480	L'admiratrice de l'Opéra
686472	206057	Aunt Agnes
686472	210915	La patronne de l'hôtel
686472	231147	
686472	268406	
686472	277213	Anna, la femme du gouverneur
686472	341395	
686472	346609	Invitée
686472	357855	
686472	377810	Madame Cormier
686473	59239	
686474	51975	Inmate
686475	146156	Margaret
686476	71338	Fanny
686476	86911	Clovis
686476	133045	Sylvie Auger
686476	164470	Sandra
686476	199896	Marie-Jeanne Sirois
686476	377912	
686476	389137	Justine Lampron
686476	401608	Anaïs Fontaine
686476	404364	Catherine Dubois
686476	410067	Cathy Barbeau
686477	382702	Host
686478	197951	Mother
686479	119038	Gisele Bazouche (segment "Enf
686480	369480	Herself
686481	348197	Elena D'Ara
686482	54026	Miss Granger
686482	80439	Woman with Poodle
686482	128827	Matron
686483	396344	Margaret Mackinnon
686484	215821	Alien Intelligence #1
686484	269421	Mrs. Zuckerman
686484	330999	Wealthy Woman
686485	399018	Contestant
686486	292018	Elizabeth Bascomb
686487	158149	Bitch/Puppet Prey/Whore/Herse
686488	294249	Young Helen
686489	279509	Mini-Mart Cashier
686490	159705	Businesswoman#1
686490	264723	Immigration Officer
686491	52320	Biker Girl
686492	353440	
686493	244420	Girl with dog
686494	88988	Mary Grey
686494	280737	Vicki Lane
686494	385105	Sandy (1986-1989)
686494	387258	
686494	391248	Christina Milano (1994)
686494	404394	
686495	304759	Jan Hernandez
686496	346618	Personnage d'Othello
686497	323841	Child
686498	171079	Macy Darwin
686499	321632	Store Model
686501	400698	Troupe du Palace
686502	690	Herself
686502	691	Herself
686502	6888	Herself
686502	27565	Herself
686502	88933	Herself
686502	315620	Herself
686502	340945	Herself
686503	61156	Female Dancer
686503	64107	Dancer
686503	132181	Club Dancer
686503	153543	Dancer
686504	385717	Marcie
686505	132892	
686505	346516	Madame Dorsay
686506	354548	Sweeping Girl Who Picks the R
686507	355236	
686508	78976	Dawn
686509	290978	Meredith
686510	70311	
686511	144199	
686512	153635	
686513	144199	
686514	134497	
686515	70763	
686515	296156	
686515	381591	
686515	384778	Arminda
686515	386214	Vina
686515	387803	Madame Lucian
686515	387932	Raimunda
686515	392628	
686515	393791	Sofia
686515	397545	Joana
686515	400597	Ema
686515	402264	Leonor
686515	403308	
686515	404185	
686515	404276	
686515	407279	Dona Benta
686515	408315	
686515	410053	
686515	412257	Maria
686516	134497	Domitila de Castro
686516	144199	
686517	70043	
686517	70763	
686517	156932	
686517	391285	
686517	401201	
686517	401791	
686517	401792	
686517	402264	
686517	402563	
686517	402624	
686517	406054	
686517	407279	Emília
686517	410053	
686518	134497	Noiva do Chalaça
686518	144199	
686519	56545	Herself
686520	98769	
686521	49366	Three Deuces Chorus Line
686522	331421	Susan Whitaker
686523	331421	Patty Whitaker
686524	24042	Herself
686525	105104	Herself
686526	6646	
686526	85637	
686526	172836	Aliki
686526	180295	Marina
686526	182447	Mina
686526	207917	
686526	241305	
686526	246624	
686526	275351	Mrs. Bell
686526	327123	Chloe Pellas
686527	289162	Miranda
686527	341724	
686528	314769	Nurse
686529	390338	Host (1998-2004)
686529	398108	Host
686529	408393	Relief Presenter
686530	109408	
686531	26525	Sally Bartrand
686531	54692	Lauren Taylor
686531	313562	
686532	97928	Béatrice
686532	111018	
686532	276058	
686532	282502	Ève Larréa
686532	377729	Gabrielle
686532	380864	Gabrielle de Plessis-Vaudreui
686533	381750	Hostess
686534	192567	Barbara
686535	193250	
686535	208521	
686536	277927	La copine
686536	372420	Nurse #2
686537	101144	Eloïse enfant
686537	206635	
686537	246291	Cécile
686537	265137	Charlotte
686539	47221	
686540	44755	Phil's Mother
686541	353330	
686542	356988	
686543	292691	Marie's colleague
686544	12497	
686545	392533	Herself
686546	62834	Nina, priyatelka na Rinka
686547	54464	Prostitute
686548	172716	Edit
686548	337039	Katerina
686549	144347	Pedestrian
686550	158767	
686551	212572	
686551	331695	Maria/Natalia/Sofia
686551	350804	
686551	387762	Lida Espieroglou
686551	401242	Anna
686552	326741	Geena
686553	326741	Sally
686554	326242	Bar Patron
686555	114584	Aunt Orianna
686555	308025	Met Benefactress
686556	230972	Mia
686557	86428	Directeur chorale
686558	376772	Lili
686559	86470	Cynthia Cauffield
686560	7394	Woman at Party
686560	13978	Cassandra
686560	52681	Pony Woman
686560	55467	Mom
686560	73325	Madeleine
686560	127928	Mère Raoul
686560	135727	Visiting lady (Bedlam)
686560	137487	Sidney Platts-Williams
686560	151761	Luncheon guest
686560	195771	Isabel Rawsthorne
686560	241605	Mugger
686560	283541	Greta
686560	300871	Linda
686560	345857	Lady in Plane
686560	347447	Sylvia Kedge
686560	366768	Woman in Black
686560	406008	Glenda (1998)
686561	395967	Herself
686561	400228	Presenter
686562	4640	
686563	2556	
686563	15319	
686563	21200	Malika
686563	27478	
686563	104200	
686563	234285	La folle
686563	307686	Third wife
686563	351637	
686563	376980	Lalla Rabea
686564	147541	Herself (Performer at Party)
686564	215668	Performer
686565	117480	Anna
686566	190083	Judge
686567	11921	Mrs. Barker
686568	57139	Monique
686569	279438	
686570	99101	
686570	382373	Bobinette (1973-1985)
686570	396897	Marisol
686570	400383	Jackie Levy
686571	330295	Civilian
686573	252757	
686574	317808	
686575	44989	Laura Graham
686575	66123	Singer
686575	349898	Grueling Greta
686575	391619	Histeria Kid Chorus
686575	403484	Olivia Peru
686576	380313	Additional Voices
686577	208398	Dagda's Court Woman
686578	205752	Clinic nurse
686579	94011	Rain Forsyth
686579	144465	Girl Teen
686579	236145	Sparkle
686579	400621	Carrie Schillinger (2000-2002
686580	190273	Violinist
686581	312264	
686582	59829	Lolly Juniper
686582	274258	Nadine Scott
686582	279386	Taylor
686582	288933	Passer-by
686583	188708	
686584	16330	The Make-Up Girl
686584	72504	Model
686585	21	Customer #2
686585	24267	Accomplice
686585	47565	Birdie
686585	68069	Mrs. Tudburt
686585	69037	Woman #1
686585	69341	Marie
686585	116726	Counter Person
686585	123304	Temperance Woman #1
686585	139135	Donut Lady
686585	178154	
686585	190171	Interviewee
686585	230240	Maid
686585	291302	Sugar
686585	358321	Beautiful Dreamer Auditioner
686585	397756	Wine Store Cashier
686586	365901	Pig Face Martin
686587	288620	Hela
686588	1415	Monique
686588	293646	Ruth
686588	383727	Vitória
686588	404077	Paula Souza
686588	409405	Alice
686589	312217	Frida, the oldest daughter
686589	342299	Lisa
686589	361568	Emilia
686590	53208	Girl in Stands
686591	63070	Matilda Sullivan
686591	67566	Susan Gerard
686591	139646	Girl Clerk
686591	139987	Rose Ann McCoy
686591	163253	Linda Howard
686591	185168	Connie
686591	194406	Andrea
686591	232253	Cindy Lou Barrett
686591	262111	Marvalee
686591	313826	Patty
686591	332080	Girl on Motorcycle
686591	333119	Hype
686591	337313	Betsy Calhoun
686592	312217	Lovisa, the middle daughter
686593	134680	Pippi
686594	25516	Empresaria Yanqui
686594	51567	Madre de Pedro
686594	67368	
686594	74624	
686594	104835	
686594	215589	
686594	380146	
686594	383769	Lucía Verardi
686594	384119	(1999)
686594	387098	
686594	395864	
686594	398661	
686594	401250	Miss Helen Márquez-Montifiori
686594	412194	Martha Linares
686595	339645	Allissandra
686596	17084	
686596	256650	La danzatrice indiana
686597	332807	Paula's Secretary
686598	251016	Bewoner instelling
686599	82166	Vrouw van Hugo
686600	205782	Press
686601	205782	Reporter
686602	35523	Playboy Model
686603	216469	Doctor
686605	286885	
686606	251547	Danseuse
686607	181534	Alice Taylorson
686608	54398	Fortune, a Vision
686608	62526	Trixie
686608	85805	
686608	89690	Lily's Nurse
686608	91788	
686608	105802	Katherine
686608	107083	Rosalind Hammond
686608	109900	
686608	117040	
686608	145008	Mrs. Hall
686608	147959	Miriam
686608	163326	
686608	163342	
686608	165493	
686608	171231	
686608	175231	
686608	187297	
686608	192407	Meg March
686608	194128	The Girl
686608	196976	Ellen, the Maid
686608	201936	Judith Hughes
686608	207839	Vera
686608	215329	
686608	244437	
686608	269047	
686608	279728	Fennel
686608	289414	The Daughter
686608	319771	
686608	329454	Grace Barlow
686608	331866	
686608	354889	Violet Dare, Detective
686608	359098	Betty Lane
686608	362506	Mrs. Winter Green
686609	31738	Bonnie Loo
686609	195455	Missy McGraw
686610	186733	Big Mabel
686611	39518	Supporting Players
686611	122914	Phalinx
686611	186733	Big Mabel
686612	46330	Flower girl
686613	71777	Molly Wilson
686613	381608	Molly Wilson
686614	185277	Auntie Dier
686614	256625	Ruth
686614	283531	Davie's mom
686614	311873	Mrs. Lorna Ball
686614	392467	
686614	399816	Karen Winters (1972)
686615	300326	Mrs. Ridley
686617	202915	Nightclub Worker
686617	408835	Trekker
686618	12614	Red
686618	58481	Flight Attendant)
686620	296107	Party Gooer 3
686621	123434	Laney
686622	196341	Coffee Shop/Restaurant Custom
686623	45846	Doris Powell
686625	20625	Extra
686625	30071	
686625	61306	
686625	95106	
686626	10597	
686626	114522	A Settlement Worker
686626	133785	
686626	140801	The Dove of Peace Center
686626	194392	
686626	194393	
686626	198039	
686626	247219	An heiress
686626	260090	
686626	312025	The maid
686626	312335	The Blacksmith's Daughter
686626	323200	
686626	361772	The Girl
686626	367314	Jane Drew
686627	128707	Convict
686627	148302	Mary
686628	255827	Bit Part in Church Scene
686629	228663	Jackie
686630	88823	Sarah Walton
686630	382838	Adele Murray (2000-2003)
686630	406267	Linda Mullaney
686631	359064	Elderly Female Singer
686631	399130	Mrs. Carlyle (1989)
686633	66632	Jeanie McKenna
686634	96832	Alexandria
686636	10643	Mary Talbot
686636	17961	Mary McCall
686636	25479	Barbara Vance
686636	39539	
686636	47860	Stella
686636	63009	Harriet Rhodes
686636	78793	Lucy Wilding
686636	84841	Ellen Masters Morris
686636	88943	Mrs. Fielding
686636	92520	
686636	114157	Mrs. Gilmartin
686636	116523	Miss Hartford (secretary)
686636	122053	June McCrae
686636	125805	Ann Hallit
686636	138205	Patricia
686636	146311	Cynthia
686636	151119	Doris
686636	162275	Nurse Otway
686636	163961	Bella Crail
686636	165172	Pheasant Vaughn Whiteoaks
686636	169233	Julia Kaye
686636	170803	Ava
686636	185162	Betty Carter
686636	186811	Eve Halliday
686636	188652	Lady Anne
686636	194451	Actress
686636	196947	Lady Moira
686636	206877	Mary Livingstone, Mary's Lady
686636	214782	Caroline (Mother)
686636	218688	Mrs. Any Strickland
686636	221124	Miss Morris, a secretary
686636	222581	Margaret Becker
686636	223241	Nancy Harding, Paul's Daughte
686636	233572	Helen Arnold
686636	239067	Pat
686636	239804	Ada
686636	249051	
686636	280687	Ann
686636	289546	Laura Van Ee
686636	296911	Jill Dexter
686636	306424	Cousin Garnet
686636	308155	Nurse Winifred
686636	309879	Kay Williams
686636	316350	Frances Marsden
686636	316884	Maureen
686636	320269	Edith Simmons
686636	330499	Rosemary Clayton
686636	331991	Welfare Supervisor
686636	346840	Ada
686636	362098	Nora Livingstone
686636	363793	Helen (fiancee at the piano)
686636	363819	Consul's Daughter
686636	365078	Sally
686636	367595	Young Girl with Sick Baby
686637	183357	Miriam
686637	344151	Female Newscaster
686638	130187	Robin
686638	140798	Ruthie
686639	149152	
686639	213188	Molly
686640	276523	
686641	14223	Gloria
686641	24430	Fembot
686641	44301	The Other Woman
686641	51661	Restaurant hostess
686641	55122	Woman at Elevator
686641	115635	Sandra
686641	223858	Stacy
686641	368707	Serenity
686642	296750	Opponent #1
686643	118108	Performer
686644	184346	
686645	28611	Beverly Hills Housewife #1
686646	239568	Juggler
686647	37701	Variety Act
686648	50381	
686648	291003	
686649	80959	
686650	51532	Princesa Alba (Princess Alba)
686651	185413	First Wife
686651	199318	Woman at accident
686651	223654	French Maid
686651	273083	Maid
686652	182951	
686652	306923	Herself
686653	115016	The Mother
686655	28625	
686656	261479	
686657	993	Jenny
686657	41329	Female Shrike
686657	61329	Kelly
686657	82169	
686657	96741	'I'm a Blonde' Dancer
686657	118515	Lisa Gilroy
686657	126619	Pearl
686657	194267	Fran
686657	259904	Natalie
686657	265916	Mona
686657	279853	Catherine
686657	310499	XNN Reporter
686657	403224	Megan Cates
686658	125368	Inès
686659	38517	
686660	342924	Maid in hallway/Big Men Big W
686661	311790	Herself
686662	33583	
686662	78447	Thérèse
686662	104245	Juliette Margenod
686662	116412	Michèle Vernay
686662	118032	
686662	135423	
686662	148677	Marcelle
686662	160543	Elisabeth
686662	204648	Petit rôle
686662	345248	
686663	289055	Mado
686664	238470	La mère
686666	43412	
686667	24936	
686667	38894	
686667	41616	
686667	55288	
686667	115054	
686667	116093	
686667	120007	
686667	128547	
686667	128548	
686667	128694	
686667	139271	
686667	142500	Herself
686667	150043	
686667	154314	
686667	180796	
686667	186509	
686667	228011	
686667	231770	
686667	242057	
686667	249583	
686667	267835	
686667	300520	
686667	306923	Herself
686668	311530	Teenager
686668	363262	Cheire
686669	2940	Herself (Memorial Tribute)
686669	12286	Aloma
686669	16098	Nancy Angel
686669	35725	Tama
686669	36841	Dorothy Wyndham
686669	57169	Antoinette 'Tony' Fairbanks
686669	58419	Albany Yates/Lady Lillian
686669	67139	Coed
686669	72917	Martha Spruce (segment "Old C
686669	81049	Denise Christian
686669	88245	Millie Cook
686669	90801	Miss Lafleur
686669	94881	Herself
686669	106279	Herself
686669	115214	The Countess
686669	116894	Chorus Girl
686669	128194	Carol Maynard
686669	133949	Phyllis
686669	138700	Herself
686669	138726	Herself
686669	143231	Tura
686669	143605	Herself
686669	144994	Molly Fuller
686669	147725	Herself
686669	153146	Marama
686669	168637	Mabel 'Lucky' DuBarry
686669	170803	Ulah
686669	185723	Carmelita Castillo
686669	195613	Herself
686669	197020	Anna Marie St Claire
686669	197320	Lulu Belle
686669	202852	Diana Wilson
686669	204157	Merl Kramer
686669	207287	Angel O'Reilly
686669	209348	Lolita Sierra
686669	217572	
686669	218712	Arla Dean
686669	223906	Carlotta Montay
686669	240610	Gloria Manners
686669	246861	Head Saleslady
686669	254917	Herself
686669	271224	Lona
686669	278079	Ann Castle
686669	279376	Princess Lala
686669	279400	Herself
686669	279411	Princess Shalmar
686669	279428	Lucia Maria de Andrade
686669	279441	Mima
686669	279452	'Skagway' Sal Van Hoyden
686669	279459	Donna Latour
686669	291341	Herself
686669	300070	Herself
686669	304961	Mary O'Leary
686669	310502	Nicky Duval
686669	312584	Norma Malone
686669	313377	Herself - Sweater, Sarong & P
686669	313775	
686669	321501	Anita Alvarez
686669	330167	Christina Hill
686669	331762	Specialty
686669	340370	Manuela
686669	343353	Dea
686669	348008	Herself
686669	350645	Herself
686669	365284	Fay Rankin
686669	367948	Visiting film star
686670	1241	
686671	170469	Vendeuse de boutique
686671	340573	Rachel, la fille de don Pasqu
686674	205696	
686675	129188	Lesbian Roman/Barbarian
686676	90777	Adélia
686676	101922	
686676	340359	
686678	287295	
686679	376740	Silent Movie Senorita
686680	197537	L'amie de Nicolas
686681	57474	
686682	281301	
686682	353886	
686682	375769	
686683	285386	Clairvoyant Medium
686684	198337	
686684	198352	Rose Sansregrets
686685	225476	Jessica
686686	152523	
686687	23718	Une secrétaire
686688	106983	La mère Gaigneux
686689	45769	L'institutrice
686689	393484	
686690	262936	Fatia
686691	105739	
686692	198603	Mother
686692	226517	
686692	293988	Mother
686692	335096	Narrator
686692	341588	
686694	278878	Linda
686695	258769	Charo
686696	129176	Enkefru Salvesen
686696	129504	Gammel-Guri
686696	242449	Theobalds mor
686696	315378	Jomfru jahr
686696	340251	Turi Trefothaugen, mor til Ha
686697	501	
686697	40520	Juliane
686697	108187	Annemarie
686697	134766	
686697	208800	
686697	223476	
686697	249173	
686697	261459	Maria Lebjadkin
686697	264328	
686697	290493	
686697	290721	Maria Sundermann
686697	308230	
686697	361085	Adele Natter
686697	377290	
686698	138491	Margot Brising
686698	138498	Gudrun
686699	234070	Telephone Operator
686700	35436	Policeman's Lady Friend
686701	352677	Wilma
686702	380750	
686703	67871	
686704	109630	Sharon
686705	376969	
686706	9889	Mrs. Liebman
686706	12402	Mama
686706	13798	Louise
686706	50981	Etta Rieff
686706	51892	Esther
686706	61728	
686706	69627	Hannah
686706	97450	Alma Speck
686706	105890	Mary Kinderman
686706	113550	Evelyn Tupperman
686706	128589	Wilma
686706	128590	Miss Wilma Farnham
686706	144405	Sharon
686706	164128	Esther Einstein
686706	183407	
686706	183775	Julia de Paulo
686706	185294	Barbara
686706	185687	
686706	188429	Jessica
686706	216468	Dr. Sarah Allgood
686706	238260	Girl in Bar
686706	241630	Dr. Norah Purcell
686706	242585	Dorothy Victor
686706	251196	Adelina Saulino
686706	261421	Helen Caldwell
686706	307896	Bunny Erickson
686706	313141	Elaine
686706	318462	Sharon Logan
686706	326428	Mrs. Pilikian
686706	382149	Polly Barker
686706	386601	Dr. Norah Purcell
686706	390110	Anne
686706	408278	Greta Powers #1
686706	410977	Ellie Jardin (1970-1971)
686707	341543	Adele Varjo
686708	111117	
686708	214837	
686709	322704	
686710	104860	Ulla Nikkanen
686711	178376	Statist
686712	238508	Host
686713	185764	Center Person #5
686714	14289	
686715	52005	Reporter
686715	59829	Wendy Sorenson
686715	262112	News Reporter
686715	366954	Herself
686716	400	Marsha Williams
686716	7196	Waitress
686716	49320	Attractive Black Woman
686716	49468	Nurse Bascam
686716	92865	Private duty nurse
686716	170713	Madeleine
686716	175190	Mrs. Grant
686716	193701	Celie
686716	215252	Baroness
686716	218017	Dispatcher
686716	392693	Janelle West
686716	400236	Hallie Mitchell (1994)/Prenti
686716	400621	Minister Truman (1999-2000)
686717	165058	A Girl
686718	197499	Extra
686719	96593	Medic
686720	122212	Barbi
686721	9671	
686721	13003	
686721	14697	
686721	22744	Doña Asunción
686721	23368	Doña Vicenta
686721	25793	Doña Tránsito
686721	27966	Doña Antonia
686721	28003	
686721	32366	
686721	33560	Doña Asun
686721	34021	
686721	56387	La mère d'Alicia
686721	66404	Yolanda
686721	67458	
686721	74832	
686721	82232	
686721	85483	
686721	98998	
686721	101894	Sor Rata de Callejón
686721	102206	Flo-Flo
686721	103048	
686721	103433	
686721	103845	
686721	104544	
686721	115759	Leo's Mother
686721	115855	Doña Pepa
686721	135288	Loren
686721	136987	Concierge
686721	165796	María
686721	193511	
686721	207602	Pilar
686721	212490	Sobrina de Chus
686721	215499	Doña Petra
686721	218228	Clara
686721	219424	
686721	221924	Madre
686721	222008	Portera Testiga de Jehová
686721	225079	Josefa
686721	226374	
686721	236748	
686721	248868	Doña Cuca
686721	250731	
686721	251580	Veni
686721	256720	
686721	291691	
686721	301181	Sofia
686721	319655	Avelina
686721	322324	Adela Mora
686721	334687	Chus
686721	336265	Reme, madre de Rafi
686721	336267	Reme
686721	345499	Herself
686721	352152	Mujer visitante de la obra nº
686721	353545	Vecina II
686721	371747	
686721	376851	Abuela (grandmother)
686721	387967	
686721	391441	Hermana Fundadora
686721	395853	Herself - Telefonista (1995-1
686721	401064	
686721	401187	
686721	407859	
686721	410217	
686722	56545	Herself
686722	382855	Annkathrin Grebe
686722	395071	Various
686722	407180	Herself/Sketches
686723	101172	L'écureuil, La chatte
686723	257475	Junon
686724	256636	Meter Maid
686725	8136	
686725	8500	
686725	10959	Amalia
686725	10961	Aliki's friend
686725	100579	
686725	100615	
686725	105912	
686725	154135	Maro
686725	162146	
686725	172728	
686725	173677	
686725	174488	
686725	180299	
686725	181392	Mrs. Nikolaou
686725	199262	Rozina
686725	205584	
686725	237060	
686725	244463	
686725	246613	
686725	246623	
686725	259992	Ketty
686725	260067	
686725	261221	
686725	281228	Hrisanthi (cousin)
686725	287778	
686725	306963	Kathrin
686725	316458	Alexandra
686725	321759	
686725	335999	
686725	340002	
686725	375139	Zozo
686725	375140	Jenny
686725	380160	Mrs. Memari
686725	394219	Stella's mother Athina
686726	97224	Jacquetta
686727	241687	
686727	246742	Sound recordist
686728	233920	Tyra
686729	236599	Soeur
686730	236599	Soeur
686731	271631	kaikki järjestävä 'täti'
686731	343389	Karin
686732	218599	Girl in Castle Anthrax
686733	251016	Koppel in restaurant
686734	306281	Simon's Wife
686735	190242	Celeste
686736	64797	Screaming Teenager
686736	318763	Woman in Car (Victim #9)
686737	134248	
686737	170121	Maxie Lewejohann
686737	184513	Sabine Buschmann-Ratjen, geb.
686737	184551	Waltraut Rohwer
686737	210039	
686737	290570	
686737	320482	
686737	325675	Heike Borcherts
686737	325881	
686737	338940	Do, Sebastians Freundin
686737	344912	
686737	387372	Karin
686737	394764	Elsa Schmidt
686737	401996	
686737	404435	
686737	406321	
686738	19058	Uhure
686738	19059	Uhure
686739	40870	
686739	211921	Irena Trzeciak
686739	247347	Matrona
686739	376524	
686740	47077	Emcee #2
686740	92263	CBS Switchboard Operator #1
686741	118839	
686741	136149	
686741	210580	
686741	212347	
686741	355958	
686742	18258	Elisabeth Fréoli
686742	23766	Jo
686742	46694	La Sirène
686742	192811	Denise
686742	278146	Manu
686742	345338	
686742	355499	Anne Gastini
686742	376933	Pin-up
686742	409445	Alex 'Chouchou'
686743	74115	
686743	191552	
686743	235038	Regine
686745	112818	Kaltoum
686746	402528	La petite Schlumberger
686747	229012	Martine
686748	156280	
686749	119045	La duchesse de montmorency
686749	166335	
686750	266235	
686751	198642	Madame Langrune
686752	104213	
686752	301528	La dame du bus
686752	377635	
686753	325391	
686753	325806	Nina Farell
686754	39193	Girl in Bed #1
686754	105444	Sasha
686755	306221	Beverly
686756	174155	Belle fille
686757	124460	Receptionist
686757	262513	Schöne Frau
686757	352350	Junge Frau
686757	399180	Presenter Alles auf Rot
686757	403792	Schöne Prostituierte
686758	383747	Herself (Series 2) (2004)
686758	406484	Herself
686759	11872	Monika Schall
686759	111955	
686759	226354	
686760	23873	La femme au ministère
686760	36669	Angèle
686760	51411	La femme de ménage
686760	65151	Elisabeth
686760	71959	Colette
686760	99364	Caissière piscine
686760	100249	Annette
686760	112889	Une collègue d'Elodie
686760	125723	
686760	208216	Geneviève
686760	254316	Mafalda
686760	258314	La concierge
686760	261735	Secrétaire mairie
686760	268858	Femme de chambre
686760	288443	Hortense
686760	346730	Minouche, la femme de ménage
686760	350314	Madame Ravoux
686761	379132	Congo Queen (Chapter 1)
686762	40448	Extra
686763	138627	Hsiao Dao-Ying
686764	21040	Ochai's Nymphet
686765	210805	Madam Wu
686766	232955	
686767	181812	
686767	200244	
686767	200311	
686767	332305	
686768	12803	
686769	116385	Herself - Office Executive, D
686770	321851	Louisa Van Link
686771	155138	La serveuse
686772	25933	Yen's Friend
686772	62516	
686772	122685	Nancy
686772	123714	Nancy
686772	198710	
686772	300684	
686773	369060	Young Mistress
686774	102834	Herself (Défi guest)
686774	117375	
686774	125401	
686774	228532	
686774	228637	
686775	75678	
686776	58045	
686777	305013	Fast Bobby
686778	302125	One of Simon Spies' many ladi
686779	95478	
686779	381091	Herself (eliminated round 2) 
686780	384775	Mecha
686781	14741	Chica radical
686781	19467	Carme
686781	147056	
686781	191549	Himena
686781	204643	Madre de Orejones
686781	269825	
686781	318124	
686781	384376	Clara
686782	66589	Emma Smith Harris
686782	275762	Clara Menka
686783	24447	Mary (The Mummy)
686784	33179	Daughter at Puppet Show
686784	264137	
686784	369458	Tommy's Sister
686785	245950	
686786	26728	Peggy Dickinson
686786	37986	Herself
686786	38719	Rachel Jones
686786	68097	Herself
686786	70883	Raquel Watts
686786	125918	Violet Askey
686786	168599	Herself/Interviewee
686786	293198	Coral Atkins
686786	308918	Gertrude
686786	367854	Raquel Wolstenhulme/Watts
686786	382273	Liz Deakin
686786	383859	Ruth Quirke (Series 1) (2000)
686786	384477	Yvonne Kolakowski (Series 1) 
686786	385020	Raquel Wolstenhulme/Watts (19
686786	385342	Meg Bartlet
686786	398691	Trina Lavery
686786	403761	Rose Linden
686786	403803	Barbara Chase
686786	410978	Ruth Goddard (1997-1999)
686787	292637	Monica
686787	317890	Older Jessica
686788	411138	Herself/Guest Host
686789	261197	
686789	381263	Adriana
686789	402266	Analu
686789	409407	
686789	409902	
686790	16909	WAAFS
686790	49637	Grocer's Assistant
686790	55681	Miss Armitage
686790	67801	Mrs. Bryant
686790	81639	Mrs. Grimes
686790	95368	
686790	109942	Mrs. Trivers
686790	150239	Pendleton's Landlady
686790	155029	Woman Shopkeeper
686790	158625	Drinking Club Hostess
686790	169409	Red Queen (episode 'Poor Butt
686790	169948	
686790	200112	Bridesmaid-wedding group
686790	214121	Lady in street
686790	231389	Miss Garland
686790	233985	
686790	271154	Ruth
686790	277492	Mrs. Rhubarb
686790	292527	Angela Pringle
686790	292590	
686790	326363	Rene Barnes
686790	331279	Winnifred Batterfly
686790	333042	
686790	348379	Winnie, in the washhouse
686790	387605	Grusha
686790	411437	Various (1969)
686791	107256	
686792	117615	
686793	13789	Spartanette #4
686793	243150	Dancer
686794	393653	Careers officer
686795	133513	Sophia
686795	316169	Gillian Betts
686798	161708	Clarksburg Gate Guard #2
686799	215905	Waitress
686800	164560	Woman in Flashback
686801	207280	Nun
686802	22651	Dried Up Socialite
686802	32682	Panos' Assistant
686802	163229	Television Reporter
686803	38360	Sitcom Girl
686803	81321	Chelsea Regent
686803	108339	Liddie (12)
686803	176499	Wally's daughter
686803	194566	Nellie
686803	304235	Lisa King
686803	321307	Hope/Ellie Thompson
686804	150175	Rabbit's Foot, the good-luck 
686804	246787	
686804	271224	Native Girl
686804	278055	Carmencita Sanchez
686804	326570	Girl
686804	333062	Girl in Restaurant
686804	336053	
686804	337580	Marie LaFleur
686805	124014	Min
686806	113500	Victoria
686806	127147	
686807	131506	Mrs. Brewster
686807	338155	Miss Mills
686808	314459	Flight Attendant
686809	219420	Stanley's assistant
686810	75783	Nance
686810	206444	Gwen
686810	346933	Corpse
686811	310717	Tanya Woodman
686812	646	Carol
686813	39722	Rylands Receptionist
686814	122204	Mother
686815	177669	Queen Victoria
686816	160832	Computer Student
686817	1832	Miss Marston
686817	294381	Mary Parker
686817	349632	Margaret
686818	409407	Beata
686818	409902	
686819	197922	Christine
686819	280131	Iris Dougherty
686820	55218	Singing Voice
686821	170485	Calpurnia
686822	318607	Churchgoer
686823	54734	Sandra
686823	236954	Marshmallow
686824	51855	Lady
686825	56871	Riverbend Woman
686825	196457	Chloe Grefe
686825	212732	Leslie Landon (age 17)
686825	280169	Carol
686825	309197	Skylar Sinclair
686825	326410	Tracy Carley
686825	386908	Veronica
686825	387989	Madison Kellner (2003-2004)
686826	286356	Self
686827	286129	Female Runaway Slave
686828	233875	Estelle Ferguson
686829	399521	Cecilia Echegaray
686830	392469	Herself - Psychologist (Serie
686831	234637	Lídia de Noronha/Ivone
686832	63651	
686832	126340	
686832	158733	
686832	199236	
686832	224358	Nadine/Woman in clips from Ba
686832	264683	
686833	242544	Solitary Girl
686833	387309	Joanie Lange (1964)
686833	400515	Sophie Greer
686835	350182	Reporter
686837	65717	Mango Seller
686837	242812	Witch Woman, Operator 18
686838	105658	
686839	167049	Gloria Goodbottom
686840	16600	
686841	51582	
686841	269097	
686842	26153	Girl/Une fille
686842	51253	
686842	59249	
686842	73132	
686842	111134	
686842	126319	Adèle
686842	198462	Une fille
686842	216350	
686842	340670	La fille du saloon
686843	26478	
686844	276492	Choreographer
686845	68370	La peintre
686845	70940	
686845	243653	Young French Woman
686845	269822	
686845	316845	
686845	412266	Lt. Caroline Maillas
686846	56922	Un' amica di Elena
686846	94730	La piccola Darma
686847	52107	
686847	269535	Nurse
686847	298566	Mariazinha
686849	103566	
686849	154337	
686850	230377	Basil's Girl Friend
686851	346757	
686852	300901	Silvia the Trapeze Lady
686853	2143	The Bearded Lady
686853	10742	
686853	16408	Megaera
686853	20557	Hester
686853	21777	Girl
686853	33412	Queenie
686853	36985	Louise Patterson
686853	38813	Matilda
686853	40062	Emily Stowecroft
686853	41720	Elsa
686853	46748	Mary Wollstonecraft Shelley/T
686853	48538	Mme. Brizar
686853	67920	Amelia Potts
686853	68060	
686853	68415	The Monster's Mate
686853	69847	Lady
686853	79979	Elsa
686853	86292	Sophie
686853	93240	Dr. Coffey
686853	96927	Madame Neherina
686853	115710	Noah's Wife
686853	117647	Mamie, Hotel Maid
686853	119847	The Countess
686853	127113	Miss Shepperton
686853	128771	Thelma
686853	142448	Lida O'Reilly
686853	148947	Chambermaid
686853	157848	Gertrude Caruso
686853	160566	Maria
686853	163629	
686853	183374	Emily Creed
686853	195616	Mathilde
686853	206881	Katie Nanna
686853	209115	Miss Dennison
686853	215334	Madame Magloire
686853	221131	
686853	222602	Miss Jessica Marbles
686853	223852	Mrs. Formby
686853	224809	Mrs. Smerrling
686853	228639	Madame d'Annard
686853	235212	Princess 'Tanya' Tatiana
686853	238728	Cora Melville
686853	241635	Kitty
686853	246861	Aunt Wendy
686853	253467	Clickett
686853	254283	Dr. Crutcher
686853	261651	Therese
686853	264730	Maid
686853	264733	Anne of Cleves
686853	272466	Mrs. Satterfield
686853	273083	Miss Keith (Princess' secreta
686853	275411	Hendrickje Stoffels
686853	292414	Martha
686853	308354	Bristol Isabel
686853	311250	Mrs. Oates
686853	317166	Thompson
686853	318607	Bit Part
686853	323883	Elsa Smith
686853	328553	The Bride (Bride of Frankenst
686853	328564	Julia Hawthorn
686853	329412	Kipp MacDougall (Mrs. MacDoug
686853	331991	Emma Finch
686853	335466	Elsa
686853	341972	Herself
686853	352829	Martha Jones
686853	365762	Henrietta Stiles
686853	366987	Miss Plimsoll
686853	393628	Miss Margaret Culver
686853	398979	Aunt Henrietta (1971)
686854	112888	
686855	108873	
686855	214858	
686857	66364	Girl
686858	94202	Laughing Nurse
686859	54149	
686860	211375	Madame Ingarra
686861	328116	Maria Virgen Escalande
686862	376889	
686863	13454	Sgt. Shuter
686864	4656	(segment "Mundo mágico")
686865	249903	Susanna Pasolini
686866	43649	
686867	169151	Anna Weeb
686868	264814	
686869	7430	Maureen Patterson
686869	19193	Yvette
686869	24180	Arletty
686869	41122	Lucky Brown
686869	43627	
686869	61622	Beverly
686869	61808	Mother (segment 1)
686869	66709	
686869	68390	Mère
686869	70936	Sweetie
686869	108116	Madeleine
686869	161765	Nurse Carole
686869	164193	Huissier Saisibec
686869	189907	Mrs. Carella
686869	220405	La monteuse
686869	236206	Monique
686869	243343	Sophie
686869	254014	Veuve #1
686869	268945	
686869	309739	
686869	332271	Odette
686869	351712	La Réalisatrice
686869	357053	Daphné
686869	357270	Bernadette
686869	367906	Zef
686869	370853	Julie Duceppe
686869	376941	Herself
686869	383002	Lise Langlois
686869	386091	
686869	393284	Marie-Josée Lafleur
686869	393285	Marie-Josée Lafleur
686869	400139	
686869	401789	Aurore Langlois
686869	404018	Laurence Gagnon
686869	407360	Ariane Rousseau
686869	409452	Huguette Benoit
686870	51137	Gaby
686870	66092	
686870	77420	
686870	107681	
686870	353844	
686871	132607	
686871	216113	
686871	377010	
686871	377011	
686872	105095	Henri
686873	204708	Marilyn
686874	261281	Miss Cummings
686875	90241	Police Woman
686876	134879	Red
686877	110302	Alice
686877	299844	Girl
686878	84206	Nurse
686878	126648	Ferry Woman #2
686878	311173	Natalie
686878	316116	Ginni Lamp Thomas
686879	209608	Faye Morse
686880	319176	Nurse
686881	51991	Pounder
686882	51991	Daly
686882	186447	Hotel Prostitute
686882	264423	Audrey
686882	296020	Brenda Peters
686882	384446	Anchorwoman
686883	24082	
686884	34697	Mrs. Holman
686884	48495	Mrs. Dorrence
686884	50649	Martha Blynn
686884	116196	
686884	161665	Marian Whitney
686884	223653	Maid
686884	269666	Mrs. Elton, Morse's sister
686884	279397	
686884	289246	
686885	143357	Sally
686885	343999	
686886	49464	
686887	70085	
686888	139359	Toblosky
686889	381862	Various
686890	91341	
686890	103721	
686890	334710	
686890	353592	
686891	225628	
686891	231765	Celia
686891	278522	
686892	64090	Bit part
686892	84138	Tin Can's girl
686892	157091	Della
686892	157899	Flower Girl
686892	207138	Flower Girl
686892	222733	Lili Lorraine (hula dancer)
686892	329329	A Lucky Star (The Lucky Star
686893	323591	Spanish woman
686893	348375	Carole Blanca
686894	335850	
686895	352608	Viola, Vertavo Quartet
686896	14710	Carmen, the bolero singer
686896	54791	Antinta
686896	380087	
686896	380249	
686896	398519	
686896	400942	
686896	410385	
686897	282696	Elaine Levinson
686898	264525	Claudine
686899	206790	
686899	213932	
686899	251738	
686899	258501	
686900	96357	
686901	236527	La femme dans la voiture
686902	167312	Anne
686903	93804	Mary
686903	273275	Darlene
686904	87025	Andrey Benedict
686905	161502	
686906	281506	Jessica
686907	110749	Daniela's Grandma
686908	126569	
686909	55132	Anna Torello
686909	64750	Juliet/Zoe
686909	87157	Shelly
686909	97360	Loretta King
686909	119580	
686909	130410	Isabella
686909	134345	Young Lilly
686909	189997	Rachel
686909	229860	Twink
686909	267088	Joni
686909	272846	Sarra
686909	275997	Alison Labatte
686909	329906	Dr. Shade
686909	335757	Julia Cunningham
686910	19829	Whitney
686911	23502	Læge på Rigshospitalet
686912	5925	Aunt Lucy
686912	168907	
686912	316025	Jolly Woman
686912	331768	Mrs. Goethe
686912	387120	Mrs. Corney
686913	127123	Dennison's wife
686913	360165	Anna Moore's mother
686914	196254	Martha Clayton
686915	52687	Extra
686915	323460	Cute Girl
686916	346907	Woman Speaker
686916	349689	Secretary
686917	27107	Girl in Theater
686918	55479	
686918	118349	
686918	319945	
686918	321589	
686918	328213	
686919	188453	Orgasm Girl
686920	323460	Connie's Friend #2
686921	330108	
686922	11902	
686922	389250	Charlotte von Frankenberg
686923	411923	
686924	262129	Alcott Maid
686925	409111	
686926	305223	Girl in Boat
686927	42216	Maria
686928	218857	Mavis Delano
686928	310947	
686929	350310	Chantal
686930	40842	
686931	4786	
686932	183688	
686932	246714	
686933	58876	Hacienda Girl
686933	102726	Rosie (episode "The Painting"
686933	102731	Kara
686933	353298	Rosie
686934	392693	Kristen Walsh
686935	5127	
686936	92248	Cousin Maeva
686936	132181	Sasha
686936	160888	Bianca
686936	176276	Nose Ring Girl
686936	210769	Chloe
686936	218785	Cheryl
686936	278082	Jenny
686937	320607	Juliette
686938	190461	Reporter #2
686939	131219	Scream Voice
686940	210340	Herself
686941	133163	Kiki
686942	330108	
686944	233840	Yin
686946	240480	
686947	1092	Sleeping Girl
686948	350375	Clarisse
686949	330600	Mrs. Baker
686950	96557	Herself
686951	160911	Smith
686951	275682	Dr. Coleman
686951	282022	
686951	392117	Nurse Sally Bowman (1982)
686952	40377	Virginia
686953	5661	
686954	164667	
686955	248884	Student in Hallway
686956	41767	
686957	2449	Peggy
686957	13201	Call-Girl
686957	18254	Mariangela
686957	53860	Maria
686957	67502	Mary Lou
686957	92074	Moglie del presidente
686957	99065	
686957	127968	
686957	131095	
686957	173750	Dr. Holms
686957	260615	Astarita's Lover
686957	294985	
686957	301791	
686957	352226	
686957	373915	
686958	137650	College Kid
686958	238054	Valerie Rogers
686959	379888	Alicia
686959	380054	
686959	384245	Susana
686959	384400	Dora Del Moral 'mama de tatia
686959	384980	Julieta
686959	385368	Ángela
686959	387689	Paloma
686959	387834	Martha
686959	392653	Diana
686959	393833	Lucía Álvarez 'mamá de Lorena
686959	396209	Sor Caridad
686959	396894	
686959	397021	
686959	397604	
686959	398469	Dra, Garibay
686959	402152	Inés
686959	408855	
686960	28603	
686960	135232	
686960	324479	
686961	104295	The baker's wife
686962	3456	
686962	22782	
686962	42109	
686962	75649	
686962	106015	
686962	106319	
686962	222397	
686963	182958	Michelle
686965	128945	Myrtha
686965	324689	Dancer
686966	70704	
686966	320415	
686967	203492	Young Suzie
686968	397888	Organisatrice Miss Vlaams-Bra
686969	100274	Margot
686969	266444	
686970	351281	Ana Edith Martinez
686971	201904	Bikini Girl
686971	244933	Rhonda
686972	1390	USO Girl
686972	31195	Herself - CBS Team Contestant
686972	31197	Herself (CBS Team contestant)
686972	52271	JB
686972	62778	Val Clarke
686972	77151	Afton Cooper
686972	77469	Herself
686972	80850	Polly Morrison
686972	89368	Herself/Afton Cooper
686972	119349	Shannon Nichols
686972	126661	Paige Starson
686972	127238	Angela Reid
686972	168403	Lily
686972	185137	Michelle
686972	200215	Herself
686972	244935	Student-actress
686972	260369	Jill Anneyard
686972	327976	Charlotte
686972	346276	Annie Wenders
686972	352965	Herself
686972	385594	Afton Cooper (1981-1984, 1989
686972	391556	Wendy
686972	392228	Miss Audrey
686972	396145	Marabelle
686972	400236	Charlotte Hesser (1990-1991)
686972	404694	Joanna Morrison Landers #1 (1
686972	405882	Heather Lawrence (1974-1976)
686973	142703	
686974	320798	Uberta
686974	320801	Uberta
686975	89627	Nurse
686975	368640	
686976	278907	Maureen
686976	321601	Weed's Mom
686977	214228	Young Abigail Scott
686978	33944	
686978	118230	
686978	333995	
686979	285205	
686980	20434	Noreen
686980	31188	Herself (NBC Team)
686980	39692	Pattie Mae
686980	64569	Herself
686980	64570	Herself
686980	66105	Angelica Paziotopolous
686980	77469	Herself
686980	80850	Ruth Morrison
686980	88068	
686980	89364	The Bride
686980	92400	Ms. Xenobia
686980	92773	Bride
686980	106007	Lynn
686980	127238	Billie Blaine
686980	130971	Bonnie
686980	142527	Susan
686980	244935	Student-actress
686980	303765	
686980	314631	Sugar Dubois
686980	324055	
686980	327976	Lucy
686980	348851	Merry Redfield
686980	351169	Angie Turner
686980	352965	Herself
686980	373216	Holly
686980	381043	Stacks (1981)
686980	392228	Miss Judy
686980	396371	Sara Joy
686980	409889	Angie Turner (1978-1979)
686981	157324	Diane Miller
686982	392228	Tria
686983	18618	
686984	256540	Caterina
686985	77469	Herself
686985	392228	Kelly
686986	54208	Cross
686987	33290	Saloma
686987	54387	Fat Woman
686987	87800	
686987	88868	Mrs. Blossom
686987	218725	Fat Lady
686987	255878	Fat Girl
686987	260102	Small Face, wife of Natayo
686987	275456	Shirley
686987	321122	'Tiny' Landers
686987	339611	
686987	362135	Concert fan
686987	364357	Girdle Lady
686987	395581	Rosa (1953)
686988	219901	
686989	279693	Diane
686991	290394	Joyce
686992	191994	Stevie's Mom
686993	203774	First Model
686994	124517	
686994	269115	
686994	272890	
686995	116147	Crew member
686996	2250	Viva Las Vegas Showgirl
686997	47004	Runway Model
686997	117101	Model
686998	160610	ballet
686999	160610	ballet
687000	142482	
687000	338750	Alex Barrett-Rosenberg
687000	390771	Cassie Lawrence (1995)
687001	17088	Petit rôle
687001	164169	A follower of Rasputin
687001	248988	
687002	184497	Kate Mayfield
687002	218741	Girl
687002	321448	Julie Ann Hooper
687002	386750	Karen Holmby (1964-1965)
687003	391078	Steffi
687005	409958	Natascha Seeger (1998,1999)
687006	7467	
687006	11896	Katharina Diezmann
687006	16224	
687006	17669	Marianne Grünwald
687006	24067	Ulla
687006	34298	Louise von Hollendorf
687006	35174	Martina Goldbeck
687006	55113	Carla
687006	76465	Anke
687006	90705	Franca Trevisan
687006	111786	Vera
687006	114539	Linda
687006	114829	Eva
687006	125008	Inga Mahler
687006	130994	Isabella
687006	140229	Lena Golborn
687006	140238	Frances Gray
687006	143488	Katrin Klein
687006	144151	Adele Weiß
687006	144185	
687006	144926	
687006	147175	Felicitas, Paula's Mother
687006	155407	Julia Struck
687006	156738	
687006	174761	Jutta Ehser
687006	204418	Hella Mueller-Lalinde
687006	211489	Cornelia
687006	213840	Olga
687006	214035	Dr. Heine
687006	225124	Frau Buchheim
687006	225291	Lilo Maschke
687006	237731	Katalin Kubinyi
687006	240299	Erika
687006	242844	Claudia Röhler
687006	246949	Hannah Bauer
687006	282104	Valerie
687006	290264	Königin
687006	314876	Andrea
687006	317505	Vera Brand
687006	322509	Julia Beerbaum
687006	322515	Laura van Monstedt
687006	325554	Ariane Claasen
687006	325757	Sonja Hold
687006	325806	Anne Corelli
687006	325987	Chantal
687006	326049	Lohmann
687006	339209	Katrin Tresko
687006	339210	Katrin Tresko
687006	339211	Katrin Tresko
687006	348057	Louisa
687006	350147	Ellen Schweizer
687006	352070	Diana Lackner
687006	352350	Klara Waldleitner
687006	354368	Mutter Rosa
687006	361507	Lisa
687006	369156	Hannelore Hoffmann
687006	371289	Yerma
687006	376004	Frau Krieger
687006	376371	Stella
687006	381381	Lisa
687006	385997	Daniela Pierboni
687006	391294	Klärchen
687006	392380	Sylvia
687006	394086	
687006	395503	Anna Lenz
687006	404451	Carla Roth
687006	404489	Sybille
687006	409732	
687007	115382	Woman
687007	119016	Old Woman
687007	182464	Mrs. Holmdahl
687007	209311	Miss Svensson's friend at the
687007	268365	Lina, Ribe's housemaid
687007	296207	Mrs. Karlsson
687007	353013	Clerk
687008	14964	
687008	65207	Maria Wallin
687008	197808	Receptionist
687009	14964	Nurse Clara
687009	28628	Rosita
687009	48361	Journalist
687009	48378	Mary
687009	78399	Elise
687009	84314	Görel Rocke
687009	84315	Greta Treve
687009	93809	Barbro
687009	94253	Ziri Stuart
687009	95066	Camilla
687009	96420	Andreas' Mother
687009	104812	Frida
687009	109128	Ulla
687009	116131	Matilda
687009	130070	Magna Flink
687009	137954	Marit
687009	138490	Metje Brinker
687009	152317	Josefins mamma
687009	175352	Mor i Falla
687009	178743	Young woman at the auction
687009	180392	The Mother
687009	181006	Nelly
687009	182263	Märta Åvik
687009	182298	Mrs. Lobelius
687009	184890	Alma Berglund
687009	187634	Red-headed woman
687009	198277	
687009	201223	Maj
687009	202763	
687009	209368	Birgit Ström
687009	209369	Iris Lindström
687009	214352	Mother
687009	218993	Brita Ljungdahl
687009	225671	Alice Wiegel
687009	237265	Greta Ellius
687009	243264	Ester
687009	245805	Clarice Morrison
687009	248500	Annika's Grandma
687009	248521	Saga
687009	252188	Maria Bergdahl
687009	271688	Hildur
687009	281956	Josefin
687009	303648	Karin, Block's Wife
687009	307306	Agnes
687009	314911	Margareta Svensk
687009	326010	Aunt Agnes
687009	341611	Frida
687009	353022	Berit Sundberg
687009	377304	Mrs. Lewin
687009	388308	Mum
687009	388894	Farmor (episodes 1, 3, 8)
687009	390188	Mrs. Velander
687009	390231	Magna Flink
687009	390639	
687009	396220	Margot
687009	403769	Nurse (episode Målbrott)
687009	405822	Greta
687010	17045	
687010	46597	(segment Je suis un tendre)
687010	86393	Lucie
687010	93502	Inge Schumann
687010	99890	Pony Hütchen
687010	107812	Steffie
687010	119253	
687010	138455	
687010	145348	
687010	159284	
687010	163080	
687010	189617	
687010	198435	Elsie Beckmann
687010	210111	
687010	223484	
687010	290262	
687010	290545	Voice of Annette Galingré
687010	293868	
687010	322427	Christine
687010	336254	Marianne
687010	347640	Inge Webers
687010	359688	Primanerin
687010	366266	Mine-Yota
687010	393409	
687010	394143	
687010	407351	
687011	210767	Diane
687012	229998	Signora Lamont
687013	205529	
687013	341157	
687014	235776	
687015	7961	Selma Landis, Nora's Cousin
687015	12763	Lila Banning
687015	13260	Lady Cleone
687015	35147	
687015	42702	Carla
687015	43144	Françoise-Marie/La Monita
687015	50860	Marie
687015	61718	BinnielLia Monta
687015	70997	Dr. Royce Lee Stockman
687015	71562	Mercedes Yvonne Melanie de Ro
687015	85034	Evelyn Beresford
687015	101695	Lisa Della Robbia
687015	133605	Zita Marishka
687015	147815	
687015	147816	Herself - the Hostess
687015	154460	Vicki Meredith
687015	160281	Velda
687015	179063	Korah Harley
687015	182786	Princess Aurore
687015	193573	Alice Cranston
687015	199184	Peter Dean
687015	203332	Joan Pemberton
687015	207293	Eve Chilcote
687015	217687	Yvonne
687015	263519	Anthea Dane
687015	301261	Mercia
687015	303303	Judy O'Grady aka Blossom Bail
687015	321900	Kersti
687015	330606	Helen Trent
687015	346261	Nell
687015	359548	Antiope
687015	364707	Margot Rande
687015	366946	Jennifer Gage
687015	367514	Laura Ramsey
687015	371089	Marya Kalish
687016	5073	Carmela
687016	18952	
687016	52042	
687016	84149	
687016	84155	Sonia
687016	89833	
687016	102303	Nanda
687016	120321	
687016	134318	
687016	189420	Maria Luisa
687016	213794	
687016	215550	Carla
687016	221966	Olga
687016	234559	
687016	289696	Felga
687016	336605	Contessa al Teatro
687016	342047	
687016	349652	
687016	355708	Bit part
687017	87105	Servant
687017	279480	
687017	285660	Frances Langford double
687017	299166	Marthe
687018	14853	
687018	57852	Cenerentola
687019	13067	Un'amica di Renata
687019	13544	Vanda's mother
687019	64433	(segment "Galop finale al cir
687019	94724	Gilda
687019	135157	
687019	188602	
687019	205271	
687019	213885	Paola
687019	243701	Marta
687019	248221	
687019	255634	
687019	293437	
687019	345593	
687019	351850	Un' amica di Lucy Davies
687020	157698	Wyatt's Daughter
687021	5814	Mary
687021	94501	Anna Monti
687021	114171	Tia Francesca
687021	130824	Maria
687021	149649	Terry
687021	150746	Cecile Stapleton
687021	222627	Marie Aldrich
687021	256614	Bess Standing
687022	30892	Conchita
687022	222177	Gertrudes
687022	237214	
687022	286578	
687022	327326	Sílvia
687022	332460	
687022	351564	
687023	306286	Chorus
687024	292590	
687025	148466	
687026	314957	Extra #12
687027	77676	Salsa Club Dancer
687027	273315	Herself
687027	273483	Herself
687027	381909	Herself (9th Evicted, 68 Days
687028	21053	
687028	41502	Olga
687028	78793	Woman Scrubbing Floor
687028	88245	Mrs. Masters
687028	109843	Woman with Baby Carriage
687028	112508	Nun
687028	123913	Emma
687028	124342	Mrs. O'Brien
687028	126069	Scrubwoman
687028	133675	Maura Sullivan
687028	138383	Czech Patriot
687028	149261	Mae the Spinster at the Times
687028	151634	Mrs. Salem
687028	154553	Aunt Jenny
687028	207137	Mrs. McGaffey
687028	230902	Mrs. Wesley
687028	273513	Dowager in Ballroom
687028	289504	Mme. Frying Pan
687028	297890	Miss McMurtry
687028	318387	Mary
687028	318913	Mrs. Pope
687028	321125	Matrone
687028	321522	Herself
687028	345860	Joshua's mother
687028	346908	Groom's Mother
687028	358777	Mrs. Hutto
687028	360834	Telephone Operator
687028	363288	Mrs. Olsen
687028	363292	Elderly wife
687029	280218	Connie som ung
687030	299402	Zinka
687031	54692	Lauren Taylor
687032	400001	Präst
687032	408589	
687033	92618	Mexican Villager
687034	84149	
687034	119076	
687034	135245	
687034	197616	
687034	246450	
687034	257020	
687034	319300	
687034	320222	Armida, una cameriera
687034	336603	Prostitute
687034	355885	
687035	328399	La chanteuse lyrique/La canta
687036	217054	Bienuda: Pasajero del 86
687037	89217	Camper
687037	388321	Susie Ross (1997-1998)
687038	10835	Nurse White
687038	17605	Jo Taylor
687038	36536	'Miss' Grace Martin
687038	133371	Hooker #2
687038	136031	Susan
687039	17605	Josephine Taylor
687040	10141	Extra
687040	32903	Janet Bradley
687040	41059	Carol
687040	45451	Commissary Cashier
687040	47356	Bit Part
687040	51821	Gene Baxter
687040	56579	
687040	72328	June Jones
687040	77612	Lily Brown
687040	78693	Blanche Granville
687040	79736	Extra
687040	100085	Bit
687040	116077	Blonde at Airport
687040	118321	Herself
687040	118405	Myrtle, Lansford's 2nd Secret
687040	125827	Helen Mason
687040	128827	
687040	130620	Golddigger
687040	140407	Helene Justus
687040	141803	Herself - premiere attendee
687040	147754	Hat check girl
687040	154692	Vicky Lynn
687040	161923	Woman wanting to go with her 
687040	163264	Kathryn Baker
687040	163350	Julia Andrews
687040	196294	Wheel Watcher at Party
687040	204313	Edna Fraser
687040	209672	Herself, Carole Landis
687040	210718	June Cooper, Girl with Jimmy'
687040	218717	Barbara Latimer, aka Miss Sea
687040	223970	Mae Collins
687040	224804	June McCarthy
687040	234891	Linda Medbury
687040	241531	Loana
687040	243206	Natalie Mercer
687040	245121	Mae Earthleigh
687040	245681	Moll
687040	252301	Girl at fair
687040	262138	Kay Evans
687040	275769	Mrs. Humphrey
687040	279361	Penguin Moore
687040	289409	Loretta
687040	291373	Herself - Jimmy Durante-Garry
687040	292331	Jill McCann
687040	300070	Herself
687040	304954	Blonde who talks to Whitewood
687040	313320	Girl in beret at Santa Anita 
687040	331654	Nancy Evans
687040	335955	Ann Carrington
687040	341969	Sally Willows
687040	350704	Dancer with Trout in finale
687040	363220	Ship Passenger
687040	366492	Flossie Fouchere
687040	367781	Cocktail Party Guest
687041	203549	
687042	141425	Computer Operator #1
687042	323975	Ronnie Goldstein
687042	331467	Agnes
687043	131198	Duchess of Plaza Toro
687043	136821	Little Buttercup
687043	162095	Fairy Queen
687043	213582	Katisha
687043	256619	Ruth
687043	282951	Dame Hannah Trusty
687043	371212	Dame Carruthers
687044	92506	Liz
687044	205076	Rossignol
687044	283194	
687044	313514	Eph, a Daffodil Girl
687045	9129	Mrs. Harriet DuBarry Mossman
687045	43425	Countessa 'La Comtesse' DuFre
687045	45684	Ethel Williams
687045	58104	
687045	67587	Mrs. Chadwick
687045	73551	Charlotte Orr
687045	83148	Helen Lorber
687045	127487	Aunt Albertina Blythe
687045	128251	Madeline Sheaffer
687045	131715	Mrs. Van der Besh
687045	154478	Marshall's Mother-in-law
687045	163299	Mrs. Greenleaf
687045	209610	Olive
687045	219917	Mrs. Wright
687045	220793	Grandmother Greher
687045	220830	Mrs. Chase
687045	223943	Martha Winters
687045	224137	Angelica
687045	235062	Clara Thornhill
687045	264906	Elizabeth T. Chapman
687045	320806	Princess Beatrix
687045	334136	Jessie Stevens
687046	241615	Painter
687047	241669	
687048	333856	Little Irish girl
687049	10677	Henrietta Lamb
687049	13191	Colette King
687049	21776	Madeline DeCourcey
687049	34696	Ruth Storm
687049	60263	Addie Smith
687049	66648	Dorothy Nolan
687049	69352	Rose Creighton
687049	73102	May Fielding
687049	101062	Miss Ordway
687049	110558	Dorothy Glenister
687049	112366	
687049	112510	Rae Davis
687049	128269	
687049	139580	Nina Carter
687049	143273	
687049	160623	Carolyn Vaughn
687049	183324	Helen Wilbur
687049	185877	Louise Martin
687049	195489	Frances Collier
687049	206675	Sara St. Ypriex
687049	214122	Sybil Mills
687049	214916	Judy Stanton
687049	220919	Olive Van Tassell
687049	224132	Fern Burbank
687049	229091	
687049	235199	
687049	249392	Helen
687049	281846	Vivienne Raymond
687049	304506	Ethel Davis
687049	310023	
687049	339651	Ruth Deering
687049	361792	Anita Stilwell
687049	362447	Alice Loring
687049	364258	
687049	372908	Mary Ryan
687050	47261	
687051	40105	Stella Anderson
687051	138210	Julie
687051	179791	Annie, Patrick's Aunt
687051	231659	Helen
687051	232470	Judy
687051	278361	Rikky Menzies
687051	334250	Samantha
687051	340812	Affirmation Voice
687051	365667	Narrator
687051	394280	
687051	399948	H.E.L.E.N.
687051	400257	Clare Southern
687051	402145	Kate MacArthur
687051	402197	Michelle Parkes (1981)
687051	408163	Syndia
687052	67871	
687053	144876	Waitress
687054	175621	Candy Counter Girl
687055	29072	Mrs. Moran
687055	43434	Mrs. Andrew Gordon
687055	44309	Mrs. Blake
687055	78527	Mrs. Judd
687055	91946	
687055	124885	
687055	125876	Mrs. Clark Carter
687055	130646	
687055	133798	Mrs. Franklin Curtis
687055	183806	Mrs. Blake
687056	156260	
687057	278328	Herself - Socialrådgiver
687059	344118	Pianist
687060	44416	Charleen
687061	229184	
687062	38051	Lisa Oster
687063	11251	Prostitute #2
687064	205511	
687065	269225	
687066	360945	Tante Erni
687067	215465	
687068	102248	Self
687068	293083	Connie
687069	376987	Giulietta Picelli
687070	102248	Self
687071	96198	
687072	158765	La portinaia
687072	269020	
687072	317527	Journalist
687073	102248	Self
687074	102248	Self
687075	340901	Bar Waitress
687076	42596	
687076	315456	
687077	34238	
687078	121527	Bad Porn Actress
687079	22651	Nurse
687079	70557	Video Clerk
687079	257774	Shirley
687079	282320	Hot Dog Vendor
687080	20913	Powell House
687080	79792	Mrs. Carter
687080	146042	
687080	401525	
687081	188922	Fernande
687081	356985	
687082	195830	Undetermined Role
687083	182958	Jessica
687083	348795	Jennifer Kramer
687084	312785	Cindy
687085	4369	Townswoman
687085	17756	Cowgirl
687085	28938	Girl in Troupe
687085	190947	Extra in dress circle
687085	211602	Girl at Maxim's
687085	262740	Eras
687085	271101	
687085	292129	
687085	300063	Chorus girl
687085	302696	Olga Mara
687086	192685	Danielle
687087	113402	Julie
687087	177696	Laila Reece Landon
687088	344	Molly
687088	9124	Testa, Shuttle Stewardess
687088	13576	Patty
687088	13643	Vena
687088	20439	Deborah
687088	38963	
687088	121549	Blondie
687088	155072	Velda
687088	163492	Sally
687088	280656	Featured Skater
687088	317451	Cameo appearance (in 'Stuff c
687088	364751	Vanilla
687089	161337	Herself
687089	191898	Etta Plum
687089	191899	Etta Plum
687089	191900	Etta Plum
687089	395735	Etta Plum (1982-1983)
687090	10722	Mrs. Purdee
687090	128468	Mrs. Lawson
687090	203673	Aunt Margaret
687090	375275	Mrs. Kendricks
687091	103926	Jemma
687092	178120	Nancy Drury
687093	100008	Louise
687094	156460	Pamela's Party
687095	191896	Young girl in the library
687095	212733	Herself
687096	2009	Herself
687096	165515	Herself/dancer
687096	221434	Herself
687096	277519	Herself
687097	132228	Mechanical Woman
687098	6926	Mrs. Gort
687098	11947	Mrs. Weston
687098	32723	Mrs. Grey
687098	55850	Vera Atkins
687098	74210	Rachel Seymour, Ann's Boss
687098	99753	Miss Ackroyd
687098	103253	Mrs. Weston
687098	106669	Night Sister
687098	114635	Beatrice
687098	123976	Mrs. Wallis
687098	135551	Eva
687098	186751	Reggie's Mother
687098	195691	Amelia Trusslove
687098	223764	Mrs. Martyn
687098	224361	Barbara
687098	235591	Mrs. Horton
687098	242722	Mrs. Mountjoy
687098	242734	
687098	273173	Douglas Bader's Mother
687098	283989	Mrs. Motlock
687098	288476	Isobel Banham
687098	330638	Louisa
687098	330776	Lily
687098	331174	Maud
687098	340730	Valerie Partridge
687098	342868	Mrs. Pater
687098	363797	Sister Jenkins
687098	365977	Second Nurse
687098	366018	Mary Lee
687098	396665	Margaret Brown
687098	397884	Mrs. Haddock
687098	408626	Mrs. Pouncer
687098	411252	Mildred
687099	118788	Mrs. Wynn
687100	161414	Miss Tyson
687100	367903	Caroller
687101	100799	Mrs. Taylor
687102	114206	
687102	158634	Jo McLoughlin
687102	205704	
687102	398020	
687103	59504	Virginia Pitman
687103	114206	Kathy Baker
687103	218798	Aquascutum Shoplifter
687103	285774	
687103	319568	Muffy
687104	13376	Sara Latimer
687104	21173	Guinevere
687104	27263	Britt
687104	84927	Peggy Eaton
687104	88164	Peggy
687104	135166	Allison
687104	165448	Helen Burns
687104	191862	Thelma Morgan Converse
687104	326411	Blue Fairy
687104	338823	Human Female Crew, Townsperso
687104	354564	Blue Fairy
687104	383655	Pru Standfast (1985)
687104	392134	Blue Fairy
687104	396080	Polly Montdore
687104	400616	
687104	403926	Fiona Allways (1983)
687104	407636	Constance Koala
687105	52599	
687105	68994	
687105	74508	
687105	103531	
687105	122517	
687105	216094	
687105	234389	
687105	294858	
687106	109318	
687107	77101	Barbara
687107	250798	Katarzyna, Artur's wife
687107	262511	Annna 'Ania' (wife of Robert)
687107	396286	Mariola Radomska (2003-)
687107	397622	Lucyna
687108	369182	Harpsichordist at party
687109	32134	
687109	32980	
687109	37961	Claire Ducrot
687109	74233	
687109	106627	
687109	109820	Emily Donelson
687109	120462	Princess Corinne
687109	127169	
687109	130051	Undetermined Role
687109	132572	
687109	148343	
687109	205121	Dancer
687109	205671	
687109	215974	Larry Livingston
687109	285058	
687109	292051	Jamond (the dancer)
687109	305166	
687109	343003	Dona Jovita Castro
687109	366569	
687109	370625	Ysobel
687110	325046	Ingrid, age 6
687111	148819	Miss X
687112	337025	
687113	134381	
687113	346584	
687114	40490	Church Folk
687115	122483	The Wife
687115	350605	Mrs. Grünstein
687116	390436	La commère
687117	390436	
687118	201691	Herself
687119	380997	Little Sulie Wheeler
687120	218283	
687121	280663	Stewardess
687122	339226	La femme de ménage
687123	178039	Esmeralda
687124	217102	
687125	12631	Brigitte Lüders
687125	24082	Kamma vo Rüssing
687125	24346	Sabine
687125	81604	Wehrmacht girl
687125	129714	
687125	175773	
687125	251731	Pepita
687126	329158	La cliente de la boulangerie
687127	329158	Laure
687129	347194	Une demoiselle de l'Allée Raf
687130	222381	
687131	107009	Herself
687132	84833	Susie
687133	233912	
687134	2760	Host
687134	31184	Herself (Red Team)
687134	32052	Belindy Lindbrook
687134	161240	Herself
687134	215692	Co-host
687134	245541	Bella
687134	275877	Kate/Repli-Kate
687134	309572	Red Headed Woman
687134	364390	Elissa
687134	379971	Host
687134	387972	Rita Lefleur
687134	388443	Host
687134	406276	Host (2002)
687134	406952	Kenzie (2/14/1997)
687135	103824	Béa
687135	148771	
687135	189907	Patricia
687135	346566	Beatrice
687135	380358	Javotte
687135	380864	Anne-Marie jeune
687135	394395	Catriona Drummond
687135	396867	Mme Royale aux Tuileries
687136	51984	Laura
687137	94115	Dancer
687138	57076	Francine
687139	373207	
687140	108399	Candy Striper
687140	297261	Beauty Shop Customer
687140	381041	Nurse
687141	245541	Clerk
687142	53564	Hipey Zombie
687143	346360	Dancer
687144	142672	
687145	33559	
687145	172077	La bonne
687146	13531	Woman in Bookstore
687146	63113	Clara
687146	77176	Jeanne Bennett
687146	121552	Marianne Jaspers
687146	127522	
687146	141400	Irene
687146	167714	Randi Sacks
687146	204204	Travel Agent
687146	243231	Fahizah
687146	250849	Patti Rocks
687146	253512	Adrienne
687146	278264	Lindsey James
687146	279494	Donna's Mom
687146	400201	Kathy Gallagher
687146	406319	Myra White (1982-1984)
687146	411672	Roseanne
687147	292473	
687148	311005	Mrs. Stanford
687148	380391	Nicole Love #2 (1986-1987)
687150	80691	Megan Stark
687150	93123	Young Shelley Fabares
687150	113304	Jill Zimmer
687150	322920	Kate
687150	339351	ADA #1
687150	395095	Vanessa Faulkner
687151	78341	
687152	6908	Peggy Linden
687152	46729	
687152	107688	Sarey Ann
687152	107698	
687152	107699	Bellhop
687152	107873	Bit
687152	123913	Yvette
687152	127697	Margie Gildersleeve
687152	132323	Girl in Hotel Lobby
687152	162377	Sis Cavanaugh
687152	187951	Teresa Guadalupe Maria Delgad
687152	199592	Eva
687152	212216	Bit part
687152	372931	Hysterical Girl
687153	185268	Julie
687154	188510	Young Woman
687154	277801	Telethon Worker
687155	200108	Glinda
687156	351902	Sam's mother
687157	23782	Jane Suchard
687157	43718	
687157	83387	
687157	86783	Jacqueline
687157	132309	
687157	215313	Madame Lancret
687157	255591	Céleste
687157	256872	
687157	261012	La duchesse
687157	261847	La mère
687157	265223	La première novice
687157	278911	
687157	337787	
687157	339492	Marie
687157	409435	Mlle Bertin
687157	410143	Annie de Climal
687158	31630	Luna
687158	31648	
687158	33260	
687158	37693	
687158	52318	Stephanie
687158	55280	Lauren
687158	82551	Arabella
687158	88167	Loosha
687158	102769	Customer (Segment "Lube Job")
687158	184959	Lea
687158	197807	Naomi
687158	206440	Monica
687158	236326	Herself (as Tamara Landey)
687158	257669	Model
687158	289430	Stripper #2
687158	296261	Bettie
687158	316926	Candy
687158	319910	Fifth Woman
687158	321373	Marla
687158	324422	Girl in Bar
687158	355157	Passion
687158	380039	
687158	391835	Talking head/soundbites (segm
687159	80833	Calusa tribe
687160	259285	Mary Jo
687162	50268	Drayton's Date
687162	126672	Terri
687162	241598	Jane
687163	118897	Herself (columnist, The Toron
687164	284993	
687165	26180	Andrea
687165	29524	Agent #4
687165	31606	Herself
687165	67574	
687165	205080	Annie
687165	235441	
687165	241621	Stacy Schoep
687165	280081	
687165	284003	
687165	328560	Tina
687165	329309	Frannie
687165	339439	Loretta
687165	347688	Maggie Rivera
687165	361167	Miss Day Ashburn
687165	378759	
687165	379715	Lorraine Elder
687165	392094	Cheryl Dolan (1987-88)
687165	411741	Pam
687166	391472	Anästhesistin Susanne
687166	399472	Gabi (2003)
687167	171050	Billie
687168	235286	Seine schwester
687169	98297	
687170	98297	
687171	121386	Wife of doctor at bar
687172	59565	Claudie
687172	376423	Alexandra
687172	405805	Vanessa Haas
687172	409958	Katharina 'Kati' von Sterneck
687173	58133	
687173	172607	Regal
687174	41199	
687174	296534	
687176	51929	Cecilia, waitress
687176	59208	Mari's Mother
687176	94261	
687176	113661	Olga Lundell
687176	114961	Anna
687176	121014	Vivi Lundgren
687176	121018	Vera Blomberg
687176	135211	Hempelmann's housemaid
687176	138433	Monika Hummerberg
687176	138527	Mrs. Enberg
687176	145455	Marit Knutsdotter
687176	154504	Mari
687176	190845	Rosita
687176	191558	Wife in court
687176	192647	Margit
687176	197137	Anna-Stina Karlsson
687176	204532	Lady with cat
687176	209311	Waitress, 1938
687176	209332	Eva
687176	223194	Fru Bjarnehed
687176	225330	Sixten's Mother
687176	225666	Sonja
687176	240313	Monica Falk's housemaid
687176	284104	Woman
687176	284123	Parent
687176	305303	Anna Ekberg
687176	306371	Anne-Marie Blom
687176	377390	Marianne Blomberg
687177	170338	
687178	265534	
687179	321616	Accordian Player With Gorilla
687180	282222	Marie
687181	98248	Inge Kobus
687181	142048	Tina
687182	101219	La jeune adepte
687183	194268	Dancer
687183	298076	Dancer
687183	368289	Girl (segment: "Let Forever B
687184	317	Marie
687184	335492	The archeologist
687185	46321	Woman at party
687185	70282	Ma Simes
687185	90922	Carol
687185	106077	Mrs. Carlyle
687185	117913	Woman
687185	128962	Mrs. Finney
687185	139482	Beatrice Landau
687185	157771	Helena
687185	242738	Frau Hess
687185	281937	Grace Cardiff
687186	346121	Aunt Lena
687187	80646	
687188	342331	Young Sharon
687189	188453	Opening Sequence Girl
687190	336985	Prune
687191	317709	
687192	3388	
687192	14768	
687192	63884	Lucia
687192	317680	
687192	400947	
687193	14431	
687193	124581	
687193	280617	Teresa
687193	379857	
687193	380064	Mother of Carlín Cantoni
687193	384119	Valentina Pereira (1995)
687193	386792	Mercedes
687193	386794	
687193	387171	Clara Sánchez
687193	387810	
687193	397733	Iris
687193	399537	
687193	402428	Mrs. Manero
687193	402675	
687193	403650	Teresa
687194	73332	Bank Teller
687195	3536	Jane
687195	9657	
687195	14265	Teresa
687195	61185	Connie Peters
687195	90506	Herself
687195	111758	
687195	128936	
687195	129024	Plauzia
687195	205036	Elena Holbrook
687195	205889	Manuela
687195	214851	Mafalda
687195	249251	
687195	269022	
687195	277868	Kate
687195	282420	
687195	289488	Herself
687195	320017	Herself
687195	320217	
687195	327496	Dolores
687195	336617	Eva
687195	336624	Dottoressa Brigitte Bellomo
687195	342512	Sr. Stewardess (Segment #4)
687195	366193	Elena Noriega
687195	369502	
687195	391835	Talking head/soundbites (segm
687195	411572	Regular
687196	5725	
687196	5824	
687196	7202	
687196	21421	
687196	22813	
687196	22852	
687196	31723	
687196	49730	
687196	84371	
687196	109691	
687196	112536	
687196	131437	
687196	143334	
687196	157694	
687196	158263	
687196	159157	
687196	159678	
687196	206205	
687196	216897	
687196	239580	
687196	239637	
687196	242589	
687196	245156	
687196	286270	
687196	287156	
687196	292120	
687196	350000	
687196	361728	The Nurse
687196	363306	
687197	183734	
687197	339599	
687198	81076	Cheryl
687198	146780	Yoga student
687198	216162	Phone Room Operator #3
687200	196974	
687201	3958	
687201	30727	
687201	92632	
687201	102924	
687201	207039	
687201	284630	
687201	359356	Alice
687202	187605	Zena Zepplins
687203	83759	Herself
687203	141530	
687203	203957	Journalist #1
687203	302623	Gloria Mundy
687204	247930	
687205	247574	
687205	301777	Lola
687206	130154	Lady Barker
687207	88167	Susie
687208	113771	Dancer
687209	385299	Miss, Dary
687211	367970	Entertainer
687212	148963	Helene Russel
687213	52476	Jitterbug
687213	128173	
687213	168125	Dancer
687213	304876	Dancer
687215	13510	
687215	31880	Herself
687215	52364	
687215	288490	
687215	295813	
687215	358074	
687216	12339	Annabelle Burnham
687216	114840	Alie Baker
687216	230694	Bird Dog
687216	278654	Estelle Morgan
687218	41993	
687219	21157	Cindy
687219	391835	Talking head/soundbites (segm
687221	255156	
687222	330028	Herself
687222	395246	Herself
687223	20262	Mary Grant
687223	49357	Molly
687223	190548	
687223	224816	
687225	33034	
687226	346119	Stripper
687227	355909	
687228	11963	Blond
687229	131987	
687231	240905	Night Club Singer
687232	29968	Barefoot Model
687232	29970	
687232	32061	
687232	102782	
687232	116827	
687232	142703	
687232	150179	Velma
687232	150944	
687232	208169	
687232	236340	Herself
687232	282390	
687232	306841	
687232	307450	
687232	332438	
687232	332444	Captive Model
687232	356652	Herself
687233	122242	Louise Jefferson (Other Playe
687235	68454	Pierced Woman
687236	26891	
687236	39144	
687236	69432	
687236	75191	
687236	78763	
687236	85771	
687236	110971	
687236	128667	
687236	128825	
687236	128826	
687236	140980	
687236	150147	
687236	150325	
687236	228574	
687236	228643	
687236	245475	
687236	272893	Sarah/Janice
687236	295600	
687236	295775	
687236	296076	
687236	296680	
687236	297817	
687236	298220	Jean Evans (Cop)
687236	313287	
687236	318595	
687236	323595	
687236	336661	
687236	355985	
687236	371538	
687237	2202	
687238	32203	Kira
687238	104407	
687238	109485	Stacy
687238	116013	Herself
687238	128770	Herself
687238	158073	
687238	323972	Bonnie
687238	372522	
687238	378928	Devinn
687239	1674	Herself
687239	3053	Herself - Best Actress Nomine
687239	3055	Herself - Co-presenter: Best 
687239	37467	Lorry Dane
687239	57027	Jenny (Little Britches)
687239	59350	Paulette Goddard
687239	61552	Jessica Rae Jacobs
687239	71474	Vera Cicero
687239	83463	Irina Stroia
687239	112051	
687239	136040	Melissa
687239	139009	Elizabeth Wilkes
687239	159131	Beth Warden/Clair Everett (fl
687239	161233	Herself
687239	164364	Karen Powell
687239	169885	Judge Hershey
687239	178906	Kathy Sheppard
687239	183343	Corinne Burns
687239	183586	Katya Yarno
687239	192228	Lauren King
687239	193812	Herself
687239	195560	China
687239	199169	Grace Everly
687239	201706	Herself
687239	215453	Sally Butterfield
687239	222573	Agent Nina Chance
687239	223100	Herself (Ellen Aim)
687239	223250	
687239	223848	Ellen Morris
687239	224190	Debbie Bender
687239	228297	Liza ("Growing Yourself")
687239	239891	Lucy Marsden (age 14-61)
687239	242091	Katherine Fitzsimmons
687239	245537	Sherri 'Cherry' Valance
687239	252976	Christina 'Chris' Cotter
687239	271678	Cho Renko
687239	283248	Patty
687239	291971	Herself
687239	295636	Herself
687239	303501	Breezy
687239	316745	Stella
687239	316760	Ellen Aim
687239	318669	Charity Royall
687239	336754	Karen
687239	346173	Frances
687239	346892	Constance 'Connie'/'Con' Sumn
687239	355104	Molly Stark
687239	355670	Gina Wyler
687239	358581	Pearl Kantrowitz
687239	365183	Susannah Moore
687239	386414	Herself
687239	390922	Gloria 'Glorie' Greenwood
687239	395933	Lorena Wood
687240	121541	Louise
687242	388462	
687243	97611	Old Woman
687244	151575	Herself
687244	200234	Herself
687246	142719	The Actress Witness
687247	126730	Alice Linden
687247	273267	Sabrina Marlowe
687247	279193	Secretary
687248	16643	Dropsy Woman
687249	233674	Diana/Adrianna
687250	192402	Singer
687250	220604	Herself - Singer
687251	94637	Sergente McIntyre
687251	269183	Bonacieux
687252	393695	Pam
687253	87489	Mrs. Gerber
687254	110370	Nun
687254	148994	Mrs. Lambert
687254	199180	Mrs. Stanhope
687254	245814	Mrs. Moore
687254	326161	Lady Devenish
687254	342380	
687255	191432	Radio and Television Shows
687256	151125	
687257	308823	Ina
687257	334528	
687257	365611	
687258	645	
687258	313441	Crew Member
687259	118598	Cristina Forzano
687259	131715	First Maisie
687259	167111	Clara Forrester
687259	206562	
687259	216279	
687259	242789	Bianca Tabori
687260	88927	Dodo Chaplet (Celestial Toyma
687260	88933	Dodo Chaplet
687260	386587	Dorothea 'Dodo' Chaplet (1965
687261	69391	Blonde Bachelorette
687261	106023	Rachel
687262	232293	
687263	261281	Real Estate Receptionist
687264	51986	Linda
687265	86248	Dido
687265	243654	Medoro
687266	240761	Girl #2
687266	323454	Lee
687267	402907	Jenny the Lesbian (2002)
687268	17028	Maria Tassos
687268	19288	Guide
687268	33267	Ginette
687268	49330	Betty
687268	69547	
687268	116975	
687268	123511	Anna
687268	142436	Cathy
687268	158787	Memphis
687268	184497	Luisa Rojas
687268	210796	Mary
687268	260410	Society photographer
687268	279739	Kareen Blain
687268	321695	Princess Amara
687268	330086	Maureen
687268	332440	Pamela Meritt
687268	340969	Saida
687268	342720	Julie
687268	348675	
687268	368012	Pepita
687269	150057	
687269	188461	
687269	372344	
687271	187048	Annie
687271	264676	Mrs. Beavers
687271	386669	Granny Purvis
687272	34370	Lisa
687273	326605	Herself - Band Singer
687274	68120	
687275	320037	Looker
687276	5641	Anna Ashby
687276	292603	June Allardyce
687276	367435	Marta
687276	383376	Roberta (1990)
687276	391247	Christine Ferguson (1994)
687276	397410	Noelle Page
687276	402141	DI Devanny
687278	223882	Receptionist
687279	23936	Francine
687280	331556	
687281	188317	Dancer
687281	396598	McGee's Patron 1996
687282	36400	
687282	66069	
687282	96943	
687282	98858	Constance Bothchilde
687282	98859	Topless dancer
687282	98870	Luana Bwana
687282	98874	College professor
687282	98878	Helen Goodbody
687282	98879	Hortense
687282	98883	Silk Garter girl
687282	98885	Zora Crumb
687282	98887	Dr. Lamarr's assistant
687282	98890	Phoebe Smith
687282	103451	
687282	119508	Nude Girl #2
687282	202787	
687282	228661	
687282	233693	Penis Envy
687282	257519	
687282	260725	
687282	271792	
687282	296329	
687282	313280	
687282	314712	Porn actor's girlfriend
687282	316885	
687282	317862	
687282	325265	
687282	325288	
687282	331726	
687282	332863	
687282	348026	
687282	362602	
687283	42879	
687284	129113	Sexy Bartender
687284	129516	Other Young Woman
687284	263044	Samantha Rekcor
687284	321718	Helga
687284	357386	Voodoo woman
687285	75729	Joan Swanson
687285	125420	Ivana Baiul
687285	160832	Amy Witherspoon
687285	227469	C.C. Babcock
687285	227471	Herself
687285	230027	Blonde
687285	253363	Lauren Kent
687285	261281	Dana
687285	392276	Sgt. Chris Novak (1991)
687285	398982	Chastity Claire 'C.C.' Babcoc
687286	21300	Girl
687286	66549	Undetermined Role
687286	152925	Bit Part
687286	249021	Girl
687286	302629	Bit
687286	329052	Girl
687286	333655	Waitress
687287	383107	Shizue Wakasa, Head Nurse, Ya
687287	394175	Sakura Tsubaki
687288	62948	
687289	137473	Isabelle Pardeau
687290	42582	
687290	98758	
687290	130924	
687290	148487	
687290	184336	
687290	268315	
687291	30788	Lizzie Allen
687291	50954	Laura, Ellen's Friend
687291	56605	Lucrezia 'Lucy' Manderley
687291	68788	Forlorn Woman
687291	78003	Frances Damon
687291	80543	Dr. Anne Bonney
687291	84920	
687291	110410	Vilma Kantos Recard
687291	116963	Dorothy Sawter
687291	117539	
687291	124714	Peg DeForrest
687291	124747	The Wife
687291	127791	Society Woman
687291	128256	Mrs. Whitman
687291	128827	Marge
687291	154063	Novelist
687291	154756	Miss Scott, School Principal
687291	156939	Mrs. Dale
687291	199199	Alice Prentiss
687291	202916	Cataloni's Nurse-Receptionist
687291	204174	Bentley's nurse
687291	222618	Nurse
687291	332027	Guest
687291	360535	Charmion
687291	363541	Mary Miller
687291	367842	Eve
687291	367919	Mrs. Spencer's Friend
687292	35128	
687292	56178	Pepi
687292	78528	Borgio
687292	288698	Pearl
687292	367298	Dance-hall girl
687293	331399	
687295	957	Zoey
687295	48947	Doris, Kevin's Mom
687295	123713	Blonde on Train
687295	242815	Robin, Receptionist
687295	278217	Susan
687296	366743	Nurse #1
687297	30071	
687297	63992	Cousin Bella
687298	314127	Sandy
687299	24299	1st Woman
687300	46734	
687300	73872	Girl singer
687300	130322	
687300	150226	
687300	237138	
687300	295659	
687301	391767	Harriett Heedless
687302	10587	Minna
687302	37052	Shirly
687302	48626	Rita Molyneaux
687302	49920	Marjorie Temple
687302	49921	Marjorie Temple
687302	70301	Hazel Wren
687302	71395	Mollie
687302	79429	Linda Masters
687302	80670	Edna Bartelli
687302	81101	Kay Palmer
687302	105555	Letta Lardo
687302	118264	Thea Lemp
687302	118341	Thea Lemp Crowley
687302	118399	Thea Lemp Crowley
687302	118525	Lila Beaumont
687302	123848	June Whitaker
687302	128188	Joan Anders
687302	128812	Elly
687302	131545	Patricia Bingham
687302	141807	Herself
687302	142356	Platinum Reed
687302	146140	Lola
687302	147754	Mona Marshall
687302	155640	Wanda
687302	157903	Vaudevillian
687302	188380	Marjorie Lorraine
687302	194758	Laura Clark
687302	206168	Dorothy 'Gabby' Marvin
687302	215693	Vera Marova
687302	220881	Jane Mason
687302	222716	Phyllis La Font
687302	224806	Patricia Marshall
687302	260872	Molly Deshon/Molly Clark Chri
687302	266728	Ann McNair
687302	298256	Flip Murdock
687302	310529	Alice Woods
687302	314473	The Duchess
687302	330186	Betty Forrester
687302	332417	Peggy Cummings
687302	336042	Torchy Blane
687302	363220	Nita Kenton (Cancer)
687302	364573	Irene Mitchell
687302	367449	Jane Merrick
687302	367643	Kay Wilson
687302	373926	Jan Browning
687303	39139	
687303	194252	
687303	361914	
687304	335844	Dancer
687305	230933	Groupie
687306	38136	
687307	80949	Saleslady
687307	154467	Bit Role
687307	203270	Chorine
687307	253126	Switchboard operator
687307	257087	
687307	273633	Policewoman
687307	363440	Secretary
687308	323445	Renie De Vere
687309	11486	
687310	5542	
687310	22972	
687310	34614	
687310	44799	
687310	44953	
687310	50883	
687310	54635	
687310	71642	
687310	88572	The Mystery Woman
687310	95831	
687310	107350	
687310	108025	
687310	112511	
687310	112557	
687310	112586	
687310	118410	
687310	135824	
687310	135830	Rose McLoughlin
687310	139118	
687310	144549	
687310	158370	
687310	193271	Audrey
687310	229224	
687310	272095	
687310	274160	
687310	278393	
687310	334370	
687310	337614	
687310	339641	Sally Rogan
687310	361799	
687310	365489	Peggy Norfolk
687311	61954	Hotel Landlady
687311	77188	Maisie Curtis
687311	243160	First ice cream woman
687311	305415	Woman at refuge
687311	357385	Ringe's mother
687311	382384	Rene
687312	2833	Manda, the Maid
687313	1875	Alice Brown
687313	16788	Angela Towne
687313	17807	Diomira
687313	25322	Barbara
687313	42525	
687313	43763	Maryse
687313	81515	Girl in Villa
687313	119723	Argentinian college
687313	132949	
687313	142387	Cafe Singer
687313	146565	
687313	155343	Barbara Ardot
687313	160064	Gloria Delaney
687313	163357	Popsie
687313	167141	Baby Bird
687313	202002	Daisy
687313	218231	Nadine
687313	239015	
687313	246516	
687313	248399	Jenny
687313	253946	Monique
687313	290115	
687313	308082	Film Star
687313	320206	Marilyn, Mark's Neighbor
687313	336148	
687313	338770	Yvonne
687313	348134	Magda
687313	351013	
687313	359672	Nadja Lamar
687314	70653	Marcea
687315	80508	Reporter #1
687316	313583	Cabaret Singer 'Brazil'
687317	116555	Susan Crowther
687318	368310	
687319	77623	
687320	65552	
687320	314058	Mrs. Westbury
687320	388437	Nurse
687322	50081	Anna Kless
687323	236155	Jane St. Claire
687324	211527	
687325	26971	Young Sarah
687327	340957	Betsy
687328	267530	
687329	252873	
687330	106110	
687331	350636	
687332	117259	Mrs. Vickers
687333	114267	
687334	372525	Mrs. Pendergast
687334	380261	Mary Katherine
687334	387063	Andrea Lewin
687334	403318	Tina Molinari (1978)
687335	64533	Fat Woman
687335	232419	Carnival Fat Lady
687335	310259	Fat Woman
687336	37136	Tank Girl #1
687336	81196	Stripper in bar
687337	7967	Florence Blandy
687337	20270	Ruth Browning
687337	23210	Senator's Wife
687337	42013	Salesgirl
687337	44321	Grace Rand
687337	44501	Dignified Woman
687337	54973	Ardis Delafield
687337	60037	Secretary
687337	64671	Sally Benton
687337	64850	Mrs. Grainger
687337	66825	Rose Cohen
687337	77670	Jane Boyden
687337	87798	Gwen Fiske
687337	90371	
687337	96961	
687337	99224	
687337	112582	Kitty (secretary)
687337	116278	Sally Denson
687337	125845	Martha (ranch guest)
687337	135836	Inez
687337	141323	Secretary
687337	142879	Secretary
687337	149433	Nora Blake
687337	153195	
687337	166989	Zerelda Mimms
687337	167707	Sarah Posy Barton
687337	168125	Mrs. Ashley
687337	177514	Muriel Atrmitage
687337	178236	Josefa
687337	184094	Benda's Secretary
687337	186407	Mary
687337	190062	Miss Howard
687337	196968	Emily Parkinson
687337	199272	Zeppelin Reveler
687337	203127	Lady Jane Winston
687337	206295	
687337	207181	Emily Goodell
687337	207185	Secretary [Ch. 7]
687337	232039	Thérèse D'Egremont
687337	232341	Arlene Ogalthorpe
687337	241441	Nurse Josephine
687337	245354	Joyce Rutledge
687337	246215	Nurse in bomb shelter
687337	256424	Mary Baxter
687337	256900	
687337	266765	Miss Jenkins
687337	271194	Grace Conway
687337	279480	
687337	285890	Kettering's Receptionist
687337	286115	Marcia, Mrs. Ten Brock's daug
687337	292882	Fashion Store Saleswoman
687337	293131	
687337	303475	Midge
687337	305395	Customer
687337	305398	Cissie
687337	313076	Toe Dancer
687337	321166	
687337	329119	Ruth Rand
687337	329139	Ellen Briscoe
687337	330882	Mrs. Wainleigh
687337	337468	Nurse
687337	339407	Evelyn Vandeler
687337	346239	Louise Saunders
687337	361723	Polly Lewis
687337	361740	Goldie (aka Gale Masters)
687337	372737	Maggie McGuire
687337	372819	Hilda
687338	131805	Marilyn Monroe
687338	163256	Waitress
687338	220569	Honey Boney, Great Screen Sta
687338	296814	Doctor
687338	362107	Movie Executive's Girl
687339	4691	
687339	39157	Model
687339	115051	
687339	147647	
687339	149399	
687339	195596	
687339	249455	
687339	249593	
687339	295617	
687339	311555	
687339	327399	
687340	151540	Photographer
687341	193900	
687342	20886	Elaine Harper/Elaine Brewster
687342	42068	Ginger 'Character' Powell
687342	42835	Doris Brewster
687342	47894	Joyce Winfree
687342	47895	Joyce Winfree
687342	72255	Jane Hardy
687342	79429	Buff Masters
687342	95474	Mabel Alden
687342	118264	Ann Lemp
687342	118341	Ann Lemp Deitz
687342	118399	Ann Lemp Dietz
687342	121663	Nancy Crane
687342	196294	Barbara Blake
687342	209168	Janie Brown
687342	210718	Linda Lawrence Hall
687342	214080	Pamela 'Pam' McAllister
687342	279570	Jean Sherman, later Jean Hart
687342	284916	Patricia Martin
687342	301988	Coralie Adams
687342	321592	Herself
687342	331319	Maureen Casey
687342	350704	Betty Bradley
687342	371331	Ellen Murray
687343	124017	Hot Babe
687344	68768	Cheryl
687344	239891	Hillary
687345	94	Phone Talker
687346	158818	
687346	220052	
687346	326833	Hilary
687346	385719	Haza
687347	11181	Val Stevenson
687347	12749	Alice Bond
687347	16674	Lydia Weston
687347	40176	Sunny Walsh
687347	45617	Phyllis
687347	60037	Carol Forrest
687347	79429	Tinka Masters
687347	118264	Kay Lemp
687347	118341	Kay Lemp Forrest
687347	118399	Kay Lemp
687347	130620	Kay Morrow
687347	139760	Gilda Parker
687347	147754	Virginia Stanton
687347	183392	Pat Halliday
687347	239404	Jane Hardwick
687347	276671	Joan Vance
687347	302612	Laurie Lang
687347	321592	Herself
687347	333316	Frances Lewis
687347	340084	Judy
687347	350704	Barbara 'Babs' Steward
687348	125486	Blues Singer
687349	38006	
687349	290412	
687349	339380	Russell
687350	99269	
687350	241567	
687351	379397	Herself (2003-)
687352	266547	
687353	410917	
687354	154575	Kit
687354	209169	Elizabeth Garth
687354	410251	Elizabeth Grainger (1966-1970
687356	404562	Contributor (2003-)
687357	33717	Jessica Hopper
687358	239887	
687359	304563	Burtoli's Redhead
687360	228650	
687361	366746	Nurse #3
687362	40343	Kim
687362	134881	Actress in Drive-in movie
687363	35012	Sondra Richardson
687363	51254	Romilda de l'Esperance
687363	115998	
687363	202070	Ursula Drupp
687363	320528	Hanna
687364	20135	Baroness (segment "Un ballo i
687364	347686	Sweet Jane
687365	362081	Fiona
687365	410792	Deirdre Swoop
687365	411500	Deirdre Swoop
687366	89742	Crying girl
687367	177145	Kirsty
687368	2115	Secretary
687370	62486	
687370	228661	
687372	41076	Herself
687372	91825	
687373	92194	Robin
687373	232282	Jackie Coleman
687374	305705	Angie
687375	62053	Alma Spindler, Ted's wife
687377	128682	17-year-old public breast-fla
687380	64670	Julia, the fake Mrs. Page
687380	159561	Devil's Assistant
687380	170737	Paula Dupree
687380	263117	Gwen
687381	201598	Helen/Script Supervisor
687382	12826	
687382	12827	
687382	17379	Lúcia
687382	28873	
687382	43243	
687382	55344	
687382	55362	
687382	76066	
687382	101791	
687382	104179	
687382	104181	
687382	135268	
687382	184824	
687382	222191	
687382	250430	
687382	254240	
687382	269535	
687382	286573	
687382	333693	
687382	341469	
687382	349721	
687382	356035	
687382	356967	
687382	357003	
687382	377224	
687382	377606	
687383	84990	Elvira
687386	40136	Kathy
687386	196320	Iris
687386	385824	Sarah Horton #6 (1989)
687386	411051	Bonnie (1986-1992)
687387	297776	Carolyn
687388	124502	Guest
687389	216236	L'ouvrière lettre
687389	216237	Ouvrière
687390	85968	
687391	124580	
687393	14146	The Real Rachael Newman
687393	230841	Sandra
687393	397280	Samantha (I)
687394	323225	Dancer
687395	178175	Woman Driver #2
687396	217102	Girl
687397	47786	
687398	6871	Becca Hemple
687399	18249	Terry
687399	176892	
687399	350401	
687400	90357	Annika
687401	71487	The traveller
687402	283758	
687403	102334	
687404	324448	Dancer: Don Juan
687405	267323	
687406	52764	Bancaria
687406	161565	Doctor
687407	79450	Newlywed Woman
687408	200283	Waitress
687409	497	
687409	148100	
687409	234011	
687409	239243	
687409	260506	
687409	370075	
687410	35598	Elke Schmitt
687410	136991	Corinna
687411	108087	Musician
687411	348651	Klaus Nomi's band
687412	386295	Judith Wilson
687414	150407	Girl
687414	150980	Ruth Judlow
687414	249576	Ginger D'Amour, Party Girl
687414	361068	Lucy Wallace
687415	47910	Eileen Taylor
687415	171354	Christine Hamilton
687415	238701	Mrs. Platt
687415	242750	DC Joy Brooks
687415	378819	Bill Porter
687415	379792	Agatha Troy
687415	382733	Martha Brett
687415	383040	Sheila Walsh (1987)
687415	383136	Susie
687415	385920	Kate
687415	404646	Liza Macgregor/Ferrari
687415	408362	Beth Marwood/Powlett-Jones
687416	250523	
687417	82551	Conference Room Executive
687418	20078	Elise
687418	73646	Margot
687418	86396	Astrid
687418	249074	Herself
687418	315458	Anita
687418	318515	La future meurtrière
687418	345270	La femme de François Cortal
687419	325113	Ape
687420	9188	Card Playing Woman #1
687420	12414	
687420	22856	Pregnant Lady (Lord & Taylor)
687420	59789	Christa
687420	94392	Girl
687420	182989	Woman on Bus
687420	191065	Anna Hauptmann
687420	199769	Mama
687420	215854	
687420	231533	Stage Performer
687420	281315	
687420	284495	Toni's mother
687420	287322	German female security office
687420	289439	Paula
687420	316674	Nurse
687420	325889	Christa
687420	332912	La fille avec Dobrovsky
687420	356519	Solange
687420	362555	Mrs. Hosquith
687420	363808	Nurse
687420	382466	
687420	397938	Concierge
687421	349509	Young Woman In Hat
687422	63221	Anna Magdalena Bach
687423	235507	
687423	325995	Beautitian-Documentary
687424	60148	Navy Wife
687425	318607	Churchgoer
687425	337178	Yvonne, a Black Servant
687426	120423	Anya
687427	392686	Herself (Fly Girl)
687428	209710	Crystal
687428	347571	Gina
687428	397401	Nurse Dena (1997-1999)
687429	164225	
687429	214783	
687429	288908	
687430	380713	Karen Adams, R. N. (1968-1970
687430	387309	Cynthia Purcell (1960-1961)
687431	185188	Agnes Broadwell
687432	12205	Mrs. Garner
687432	38614	Mother in diner
687432	40847	
687432	44374	Mrs. Hollingsworth
687432	46682	Nurse 1
687432	51653	Vivian
687432	81118	Nurse Pynne
687432	81209	Macy Fingerhut
687432	81271	Mrs. Cottard
687432	127488	Mrs. Willard
687432	134694	Nurse Swenson
687432	151150	Sylvia Wall
687432	190711	Grandma Teresa
687432	215729	Mrs. Evelyn Lincoln, Presiden
687432	232412	Louise
687432	235062	Maggie (Thornhill's secretary
687432	330423	Millie Havemeyer
687432	365316	Mrs. Parsons
687432	368952	Ann James
687433	78435	Young Ilse
687434	318174	Bunny Lady
687436	32052	Dental Nurse
687436	70827	Zoë
687436	199639	Mark's Secretary
687436	217421	Nurse
687436	314131	Court Clerk
687436	362675	AA woman #1
687437	361470	
687438	280530	
687439	139757	Mrs. Johnson
687440	33639	
687441	253846	
687442	377805	Valentine
687443	367303	
687444	98793	énekesnõ a bárban
687444	155796	
687444	377143	Singer (Pa-Dö-Dö)
687445	137453	Model
687445	277071	Leslie
687446	220108	Female Delinquent
687447	302751	
687448	129103	Tania
687448	215577	
687448	333219	Princess Pocohontas
687449	381451	Weather Forecaster
687449	382715	Weather Forecaster
687450	80051	Vika, Chernov's Wife
687451	161472	Hotel Operator
687452	120008	
687452	177401	
687453	113306	Young Woman
687454	109630	Reporter
687454	358881	
687455	428	Liza
687455	171092	Panty Girl
687456	71580	Erica
687457	339858	Nadine
687458	61821	Shirley Reynolds
687458	79278	Madam Docherty
687458	92561	Miss Frayle
687458	274332	Weirdie - A Balletomane
687458	315296	Carole
687458	345970	Susan
687459	233528	Mrs. Henderson
687460	380430	
687461	10520	Princess Miriam
687461	43742	Lorna MacLaurel
687461	54479	Jeanette Dupré
687461	54492	Mary (schoolteacher)
687461	59055	Betty Lou Regent
687461	64887	Helen Hendricks
687461	70301	The Duchess
687461	71718	Mary MacKenzie
687461	80770	Christine Reisner
687461	105178	Bonnie Evers
687461	115256	Angela (story 3)
687461	116897	June
687461	117097	Susan Bannister
687461	154460	Ballet Dancer
687461	160356	Kathleen Dugan
687461	160943	Joyce Parker
687461	162926	Virginia Allerton
687461	190517	Connie Armitage
687461	196135	Bit
687461	203495	Barbara
687461	209645	Judy Davis
687461	223048	Sieglinde
687461	227351	Nancy Steele, aka Sheila O'Ne
687461	236096	Girl at beach
687461	241845	Gale Gibson aka Jennifer Jewe
687461	274113	Dale Carter
687461	279393	Monique La Coste
687461	297950	Girl at dance hall
687461	312774	Herself
687461	331538	Delores O'Toole
687461	335660	Gwenny Miller
687461	348327	Goldwyn Girl
687461	360805	Joyce Williams
687461	363875	Toni Varek
687461	374522	Virginia Reynolds
687462	224128	Herself
687463	361216	Old Purse Woman
687464	253867	
687465	63223	Host
687466	2329	Herself - Performer/Winner
687466	63106	Herself
687466	106520	Hilary
687466	139770	Herself
687466	176979	Herself
687466	192535	Herself
687466	192564	Herself
687466	282582	Herself
687466	286172	Kotzebue
687466	328211	Michelle
687466	347521	Herself
687466	368034	Herself
687466	395166	Dita Tommey
687467	239068	Sonya
687468	398463	Jennifer
687470	1348	Herself
687470	64558	Performer
687470	82522	Jillian
687470	83960	Mary
687470	105456	Suzie Baker
687470	168195	Julie
687470	185548	
687470	199525	Kelly
687470	220857	Widow Marian
687470	232229	Denise
687470	303765	Allison
687470	317816	Deb Danver
687470	333055	Diana Davenport
687470	382419	Brooke Logan Forrester
687470	411802	Gretchen (1981)/Brooke Logan 
687471	77794	Secretary
687471	114862	Miss O'Brien
687471	223733	Bit Role
687472	32529	Waitress at Edgar's
687473	381448	Presenter
687473	381451	Presenter (2002 -)
687473	383896	Herself - Presenter (1998-)
687474	84029	Ragman
687475	394260	Reporter/Correspondent
687476	37691	Stylist on Cliff
687476	82551	Conference Room Executive
687477	77836	Princess
687477	263786	Emily Carstairs
687478	368335	
687479	218428	Anita Gonzalez
687479	253915	Indian
687480	123370	Cheerleader
687480	212837	Student
687480	366585	Stephanie
687481	296990	Car Hop
687481	336484	Dancer
687481	369492	Popcorn Girl/Xanadu Dancer
687482	458	Mizzi
687482	476	
687482	479	Emma
687482	4790	Frau Schimer
687482	15272	Frau Wondrak
687482	18501	Mizzi
687482	24003	
687482	48138	Frau Malzl
687482	91183	
687482	93499	Kathi
687482	98309	Wally Zeitungsfrau
687482	109321	
687482	122550	Berta
687482	125090	
687482	125299	
687482	126364	
687482	126366	
687482	126460	Koechin
687482	129680	
687482	132251	
687482	134835	
687482	134910	Aloisia Bründl
687482	142131	
687482	144140	
687482	144150	
687482	147132	
687482	147165	Liesl Furchtsam, Krämerin
687482	153096	Agathe Weininger
687482	155343	Auguste
687482	167150	Wetti
687482	189679	Bertha
687482	189820	
687482	197413	
687482	203224	
687482	216375	Marei
687482	225136	Maid
687482	226279	Ciboletta
687482	243508	Mizzi Treff
687482	259938	Louison
687482	262433	Putzi Lorrant
687482	275190	Dame mit Hund
687482	285814	Walpurga, Köchin
687482	290748	Marie
687482	308238	
687482	324687	Amalia Strassmeier
687482	329898	
687482	335029	
687482	345012	
687482	347659	Martha von Hahn
687482	347788	Rosa Ferugas
687482	352303	
687482	352655	Frau Linek
687482	361122	Lu
687482	361425	Karoline
687482	364890	
687482	365011	Frau Riesner
687482	367240	Frau Grubmeier
687482	376386	
687482	410813	Nona
687483	324889	Home Buyer Woman
687484	385930	Woman Administrator
687485	358746	Großmutter Waller
687486	84667	
687487	170810	Mai
687488	214808	La jeune fille allongee
687489	128727	Dancer
687490	248931	Madeleine Bricourt
687491	50082	Woman in Car
687491	347692	Tiffany
687492	343185	Angelica
687494	240713	Herself
687495	259266	Pat Morales
687496	206900	Miss Peabody
687497	135673	Gals and Pals
687497	320339	Rita (singer)
687498	199008	Inniga von Zaster-Pehnunz
687499	403356	Herself (Lawyer)
687500	288076	Young Princess Sophie
687501	68805	Herself
687502	3244	
687503	301702	Sheriff's Deputy #1
687503	317536	2nd Assistant Director (role)
687504	107610	Dee Layther
687505	222784	High Chair Girl #1
687506	379392	Nurse Crown
687507	341774	Julia
687507	369156	Hanna
687508	188235	Robin McGrath
687509	173237	Ramona
687510	288854	Goliath
687511	297970	Bit Part
687511	343268	'Target' Saloon Girl
687512	185255	Hadidja
687513	386864	
687514	298173	Party Girl #2
687515	204051	Protestor
687516	48694	Friedche Mai
687517	187222	Girl #1
687518	3169	Bit part
687519	88177	Policewoman
687519	166565	Demented Woman
687519	397947	La logeuse d'Enjolras
687520	52575	Liz, Hunter's Secretary
687520	65681	Nancy
687520	81493	The Entourage #11
687520	90236	Jody
687520	131632	
687520	137570	Cheryl Daleford
687520	183843	Lady Plymdale
687520	214641	Jenny
687520	281441	Alison Trig
687520	329417	Emily Hobhouse
687520	386463	Reporter
687520	395350	Estelle
687520	398990	Mme. de Remusat
687520	410167	Evelyn Goddard
687520	411245	Alison Trig (episode 1: Room 
687521	252905	Waitress
687522	165627	Elsa
687523	66683	Dr. Lau
687524	372174	Rachel
687525	286085	Hilde
687525	404785	Inger Madsen
687526	10051	La Moglie Finarda
687527	41930	
687527	168671	Peggy-Lou
687527	308175	Hat check girl
687528	37312	The Waitress
687529	119803	Showgirl
687529	308382	Raider
687530	205268	Reporter
687531	290191	Gülten
687532	108955	
687532	214371	Vred museumsgæst
687532	226141	Fru Jensen
687532	275265	
687532	310054	Købmandens kone
687532	317651	Fru Bolette Feddersen
687532	344074	
687533	400713	
687534	186057	
687534	366485	
687535	22844	5. Kollegianer
687536	303447	Resort Greeter
687537	109809	TV Reporter
687537	292449	Herself
687537	381972	Herself (2000-2001)
687537	383882	Severity De Sade
687537	400735	Herself (1998-)
687538	233567	Restaurant Patron
687538	315599	Hooker
687539	32061	
687540	306221	Pat
687541	53284	Jesse
687541	349120	Dr. Lee
687542	354563	Club 1,000,000 Lineup
687543	202389	Desk Clerk
687544	62117	Julie
687544	70781	Callie Treadwell
687544	90900	Woman at Reception
687544	110417	Wendy
687544	177660	Skidmark's Squirrel
687544	209112	Dr. Rabinowtz, Charlie's Shri
687544	245507	Mrs. Dunphy
687544	289265	Julia
687544	297190	Deb the Waitress
687544	299925	Annie
687544	300943	Make-Up Girl
687545	7814	Mrs. Wentworth
687545	14264	Senora de Castille
687545	17986	Mrs. Chetwell
687545	22861	
687545	32349	Luela Malvern
687545	41039	Anne's aunt
687545	41343	
687545	60302	Mrs. Grant
687545	64379	Sister Agatha
687545	66354	Mrs. Huntington Palmer
687545	73820	Mrs. Margaret Benson
687545	73951	Madame Levine
687545	76619	Mrs. Pendleton
687545	78735	Mrs. Allen
687545	85928	Marcia Christy
687545	91895	
687545	101764	Mrs. Edward Merley
687545	105333	Mrs. Rhodes
687545	107989	Mrs. Van Dixon
687545	112195	Mrs. Van Loon
687545	115636	Mrs. Kingsley
687545	116498	
687545	116795	Mrs. DePuyster
687545	116895	Nellie Andrews
687545	128091	The Boy's Mother
687545	128403	Mrs. A.H. Monroe
687545	129554	Mrs. Lindley Grant
687545	130413	Miz Gallagher
687545	130460	Mrs. Douglas
687545	133422	Mrs. Winthrop Chase
687545	134293	Mrs. Foster Allen
687545	142147	Mrs. Standring
687545	142532	Helen Harper
687545	146078	Princess Marguerite
687545	149462	Countess Ingestre
687545	154432	Princess del Chinay
687545	159263	Mrs. Chilvers
687545	161542	Mary, the Mother (Judean Stor
687545	167612	
687545	168135	Mrs. Roxanna Adams
687545	177225	Mrs. Jane Burke-Smith
687545	178188	Mrs. Keener
687545	184228	Mary's Mother
687545	185562	Mrs. Batesfoord
687545	190609	Susan Gallant
687545	190988	Mrs. Kelts
687545	196855	Mrs. Vance
687545	206151	Mrs. J. De Barth Breslin
687545	206593	
687545	213449	Mrs. Sloan
687545	214148	Her Mother
687545	214150	Mrs. Wallace
687545	219939	Mrs. Lincoln
687545	220944	Mrs. Goode
687545	234213	Mrs. Myrtle Standish
687545	234800	Mrs. Rich
687545	239037	Mrs. Farringdon
687545	258090	Mrs. Clayton
687545	264492	Mrs. Garrison
687545	266223	Mrs. Melbourne
687545	270753	Mrs. Tilliston
687545	273686	Mrs. Calloway
687545	274873	Reggie'e Aunt Susan
687545	274981	Mrs. Christy
687545	291776	Esther
687545	298771	Mrs. Stanford
687545	306797	Lady Mary
687545	316329	Bride's Mother
687545	320790	Mrs. Biddle
687545	324413	The Mother
687545	331058	
687545	335699	Mrs. Coningsby
687545	339641	Janet's Mother
687545	348955	Lady Dulverton
687545	358717	Mrs. McCooey
687545	359147	Mrs. Worthington
687545	360017	Fay Bittinger
687545	362056	
687545	362197	Mrs. Randolph
687545	362478	Mrs. Penfield
687545	362673	Lady Balfour
687545	364200	Mrs. Craig
687546	383231	Liz Marsh (1970-72)
687547	1497	Donna
687547	3942	Reporter
687547	60564	Casino Waitress
687547	178975	V-Six Secretary
687547	216400	Bo Bo
687547	255872	Jerome's sister
687547	293082	Student in Acting Class
687547	308128	Market shopper
687547	374948	Pearl's co-worker/friend
687548	965	Nymph Chained to Rock
687549	172919	Couple #1
687550	244913	
687550	279407	Pansy
687550	346914	Old Wardrobe Woman
687551	228314	Bookie
687552	47956	Ruth Renaud
687552	78682	Ninette
687552	91558	Vincente Garcia
687552	113892	Alice Acker
687552	131420	
687552	143021	
687552	331952	Marjory Arnold
687552	334599	Marie
687553	167256	Olivia
687554	60950	Opal Ann
687554	105346	Olie Gibson
687554	113550	Miss Walnicki
687554	118979	Mitzi
687554	133665	Eulalie Chandler (warden's da
687554	135513	Mrs. Irma Johnson
687554	140519	Holly Clawson
687554	147409	Cecilie
687554	164581	Herself
687554	202947	Ingrid
687554	230675	Stella
687554	282454	Mary
687554	282463	Madame Mijanou
687554	316325	Daphne
687554	344203	Aunt Esther
687554	350077	Kathy
687554	353402	Edith Jordan
687554	363046	Tess Rawley
687554	366953	Aggie
687554	373989	Miss Burnhart
687554	373990	Rose Burnhart
687554	380640	Lillian Nuvo
687554	381086	Kitty Marsh (1959-1961)
687554	389858	Marge Pulaski (1991)
687554	390519	Rosie
687554	393222	Herself (regular performer) (
687554	410963	Darlene
687555	138724	Cheerleader
687557	39564	Lola
687557	62932	Christina Tarling
687557	122793	Gretchen
687557	145414	Claire Shelton
687557	147687	Herself
687557	223840	Mary
687557	245119	Ann
687557	263461	Amy Rye
687557	295622	Kellie Guthrie
687557	318511	Sarah
687559	124096	Ghost 5
687560	88965	Nurse Zabenko
687560	108353	
687560	150243	Jeanette
687560	192254	Bathing Suit Model
687560	295032	Leigh's roommate
687561	17017	
687561	107879	Alwine
687561	175278	
687562	74189	Ann Weber
687562	108353	Carol Lyman
687562	117101	Anne, Tiffany Saleswoman
687562	121803	Bobbie
687562	158320	
687562	169170	Ellen
687562	186841	Business Colleague
687562	189807	Nurse #1
687562	220985	Therapist
687562	250573	Female attorney
687562	296917	Prostitute
687562	318448	
687562	384706	
687563	228159	Vanessa Schneider
687563	228160	Vanessa Schneider
687564	176522	Christine
687565	7558	Lisbeth Hammer
687566	6378	Clémentine
687566	57508	
687566	161994	
687566	178968	Mariette
687566	258870	La femme Collège
687566	262942	Thérèse Meunier
687566	287398	La mère
687566	300723	Madame Le Guellec
687566	339493	Marie
687566	339501	Mme Smith
687566	382480	Marthe Chevroux
687566	396597	La dame des PTT (segment "Mon
687566	399106	Mme Martinet
687566	403178	
687567	142804	Fru Simonsen
687568	65089	Jeanne
687568	128964	
687568	170107	Cathy Davoust
687568	197385	Carole
687568	218289	
687568	219442	L'employée Chazerand
687568	219474	La fille du vestiaire
687568	292911	
687568	354908	
687568	378866	Cliente des puces (ep.6)
687568	408651	Marie
687569	199715	
687570	323800	
687571	212332	Herself - Participant/Perform
687572	102656	
687573	379325	Raggedy Ann
687573	381676	Sister Bear
687573	389034	Rocki
687573	401303	Wendy Darling
687573	402454	Velma Dinkey
687574	8264	Elsie
687574	14951	
687574	36473	The Queen
687574	68750	Gildo's Wife (segment "Comple
687574	73872	Marla Kugash
687574	88206	Sandra
687574	102692	
687574	115123	
687574	129019	
687574	161859	The Evil Queen of the Kingdom
687574	165306	Clarissa
687574	199506	Silvio's Mistress (segment 5 
687574	208798	
687574	219562	Verushka Wuttenberg
687574	219564	Vanessa Matthews
687574	251996	
687574	252630	Anne
687574	267227	Françoise
687574	269457	
687574	315424	Ghita
687574	347475	Liz
687574	377593	
687575	208144	
687576	56983	Blanche de Clermont
687576	78115	Cynthia Martin
687576	106744	Countess DelRemy
687576	109729	Tilly, pub waitress
687576	110420	Countess Delremy [Ch. 1]
687576	128790	
687576	157887	Waitress
687576	190264	Ellen, 4th Maid
687576	203051	Vera Graham
687576	312981	Mrs. Calhoun
687576	329481	Girl in Ticket Line
687576	346245	Juanita Gillette
687576	365071	Mrs. Wiley
687577	115162	
687578	137224	Eva Von Shmutz
687579	17856	
687579	240322	
687579	371404	Herself
687580	43408	
687580	111699	
687580	208295	
687580	208299	
687580	208356	
687580	208363	
687580	208399	
687580	208434	
687580	208452	
687580	353411	
687580	376873	
687581	292470	Goldwyn Girl
687581	331180	Girl in tailor shop
687581	367970	Goldwyn Girl
687582	325192	Patient
687583	125166	
687584	20994	Dark Haired Woman
687585	198431	
687586	367073	Munchkin
687587	2740	Karen Walsh
687587	3055	Herself (Memorial Tribute)
687587	32693	Helen
687587	34799	Caroline Bender
687587	41988	Mrs. Williams
687587	50097	Elma Duckworth
687587	65501	Senator Mayo
687587	70455	Cassie Willette
687587	73945	Maggie Porter
687587	75910	Roxane
687587	79747	Claudia
687587	80400	Virginia DeSilva
687587	81316	Joanna Kersey
687587	111281	Elaine Wedell
687587	113472	Catherine Smith
687587	117528	Clara Ford
687587	147892	Herself
687587	154044	Elizabeth Farmer/Louise Nolan
687587	154451	Karen Chandler
687587	157783	Andrea Lenaine
687587	167560	Helen Atterbury
687587	171094	Libby Prentiss
687587	190711	Roz Meyers
687587	195482	Elaine Palmer
687587	195735	Millicent
687587	211758	Marjorie Wilson
687587	228969	Herself
687587	232457	Cheryl Walsh
687587	254330	Selena Cross
687587	258051	Madelaine Calvert
687587	258555	Elizabeth 'Queenie' Martin
687587	264830	Mrs. Coles
687587	265266	Anne Stuart
687587	292499	Pat Durant
687587	295636	
687587	329397	Janet Salter
687587	340839	Zee
687587	365316	Mrs. Irene Speery, Psychiatri
687587	372618	Hope Plowman
687587	381098	Herself (1953)
687587	381111	Herself
687587	381802	Deborah Kendrick
687587	390017	Mrs. Carolyn Muir
687587	394658	Gloria Daye (1989)
687588	61617	Mrs. Moss
687589	108956	Party Family
687590	102344	Grandmother
687591	40185	Melinda
687591	126755	Miss Lindsey
687591	131731	Richard III Cast
687591	168216	Phyllis
687591	219909	Marie
687591	295608	Carolyn Fish
687591	380391	Carol Lamonte (1974-1976)
687591	385824	Lola Jasper (1982-1983)
687593	2796	Herself - Best Supporting Act
687593	2894	Herself
687593	2924	Herself - Best Actress Winner
687593	2930	Herself - Presenter: Best Act
687593	7592	Herself
687593	11485	Angelique
687593	13912	Herself
687593	13915	Herself
687593	13923	Herself
687593	34673	
687593	37057	Sandra Bloom (Senior)
687593	41934	Carly Marshall
687593	54209	Leigh Bowden
687593	56748	Maggie
687593	58022	Herself
687593	71683	Jewell Ivy
687593	72034	Mlle. Elisabeth 'Bette' Fishe
687593	73319	Margaret 'Meg' Magrath
687593	90275	Doreen
687593	105226	Babs Rogers Grey
687593	108956	Kate
687593	118763	Frances Farmer
687593	151537	Louise
687593	153204	Martha Baring
687593	167010	Herself
687593	177327	Dwan
687593	194666	Margaret Lewin
687593	201637	Herself
687593	201818	Herself
687593	207171	Nina Veronica
687593	210732	Beth Macauley
687593	223009	Ann Talbot
687593	224504	Herself/Hostess
687593	231776	Helen Nasseros
687593	234150	Host
687593	234989	Irma
687593	235708	Star of 'The Postman Always R
687593	237493	Alexandra Bergson
687593	238613	Herself
687593	243950	Herself
687593	261559	Cora Papadakis
687593	262975	Herself - Honoree
687593	266200	Sarah
687593	279581	Mary MacGregor
687593	310956	Dwan
687593	316745	Blanche DuBois
687593	321182	Patsy Cline
687593	331178	Ginny Cook Smith
687593	334008	Tamora
687593	335799	Julie Nichols
687593	347900	
687593	370011	
687593	383802	
687593	406617	
687594	282043	Rosie's Mom
687595	93492	
687595	174088	Henriette Meinhold
687596	170124	Fräulein
687597	404608	Finalist (2001)
687598	31779	Weather Bear
687598	62790	Mary Louise Borden
687598	80898	Newscaster
687598	137492	Herself
687598	149107	Herself
687598	162449	Anchorwoman
687598	164662	Weatherwoman
687598	168237	
687598	208938	Herself
687598	222737	Newscaster
687598	312141	Herself
687598	383897	Herself - Anchor (1982-1998)
687598	399327	Herself - L.A. Reporter/Ancho
687598	406938	Co-host
687599	348064	
687600	47355	
687601	283543	Dancer
687602	44899	Chorine
687602	133880	Bit Part
687602	176358	1934 Goldwyn Girl
687602	218773	
687602	260223	
687602	280830	Slave Girl
687603	340683	Melody Price
687604	143605	French matron
687605	91595	Young Vera
687606	249461	Salomé en 1985
687607	144772	
687608	76216	Facility Matron
687609	172843	Livet
687609	351797	Kontordame i SAS
687609	353000	(Norwegian version)
687610	316445	Lisa
687611	381908	Herself (season 1)
687612	366782	Couple from Buffalo
687613	35765	Marianne
687613	124591	Maria
687614	64823	Additional Voices
687614	389570	Additional Voices
687614	404137	Additional Voices
687615	42325	Mona Peterson
687615	392015	The Plant Lady
687616	344737	
687618	399507	Fangerfamilie
687619	211677	L'aide-ménagère
687619	240322	
687619	371404	Herself
687620	104681	Game Show Hostess #2
687620	162883	Nurse #2
687621	131970	
687621	148175	
687622	47397	Lina Gabrielsen
687622	144240	
687622	166777	
687622	191565	
687622	214353	Vertinnen
687622	223204	Husmor
687622	240223	
687622	281992	Søster Britt
687622	317650	
687622	320523	Viv Førnes
687622	333671	
687622	341861	Mrs. Hjortron
687622	351797	Kontordame
687623	51378	Herself
687623	261846	En personne/Herself
687623	289439	
687623	336975	
687623	345128	En personne/Herself
687623	407270	Récitante/Narrator
687624	96018	Harpan
687625	92248	Leather Woman
687625	276955	Caroline
687625	298316	Carly
687625	374593	Candy
687626	126614	Mrs. Takacs
687627	193460	Russ. Schaffnerin
687628	34034	Claudia
687628	122315	Frau Pless
687628	132053	Oberin
687628	166712	
687628	172168	Mrs. Smith
687628	184394	Norah Marsh
687628	189612	
687628	198249	Janet Spence
687628	218979	Miss Marple
687628	338168	Helga Burghardt
687628	339777	
687628	353992	
687628	356838	
687628	375225	Millie Trent
687628	375528	Solange
687629	128727	Dancer
687630	64662	
687630	265145	Jans moeder
687631	125166	
687632	399162	
687633	25265	Herself
687634	5892	Leslie
687634	41216	Christine Webb
687634	130672	
687634	363250	Girl on Beach
687635	403356	Herself (Prosecutor)
687636	43877	Nancy Thompson (A Nightmare o
687636	53262	
687636	64559	Herself
687636	82669	Christy Carruthers
687636	121364	Suzanne Hicks
687636	140365	Erica
687636	141307	
687636	230743	Nancy Thompson/Herself
687636	231525	Callie Wells
687636	232455	Nancy Thompson
687636	232458	Nancy Thompson
687636	245537	
687636	283248	
687636	299485	Victim
687636	319454	Herself ("Nancy" - Nightmare 
687636	335563	Nancy Kerrigan
687636	361235	Herself
687636	393964	Marie Lubbock (1988-1990)
687637	325578	Margot
687638	16143	Beth Allen
687638	19775	Laurie
687638	35421	Carla
687638	103286	Utopia
687638	176926	Thomas, the drummer boy
687638	190570	Mitzi Furber
687638	209638	Lt. Jesse Ryan
687638	227502	Girl in wheelchair
687638	240486	J.C. Cain
687638	252478	Alice
687638	276908	Rebecca Snoot
687638	392424	Herself
687638	393112	Lauren Woods
687638	398735	Rayanne Graff
687638	408127	Annie Bernstein-Flynn
687639	112504	Terri
687640	76617	First Girl
687641	326675	Maria Torres
687642	276908	Ms. Mavis Peepers
687643	119173	
687643	137407	
687643	144003	Yvette
687643	278507	Gerda Vanini
687643	284115	
687643	311214	
687644	153885	Irene
687645	321754	Cashier
687646	406083	Inger Jensen
687647	112867	Teutberge
687648	250849	
687648	274333	Shoeshoppe Customers/Confirma
687649	220487	
687649	312380	
687650	216190	Stewardess
687651	1577	Susanne/Pige i grillbar
687652	115651	1. Kollegin, Trauzeugin
687652	172524	
687652	196332	Klosterschülerin
687652	259236	Blondie
687652	280835	Lifeguard's Assistant
687652	308246	
687652	315768	Marion
687652	351945	
687652	369150	Secretary
687652	394536	Bea
687653	362576	Naked Girl with Hat
687654	13004	
687654	13194	Beatriz
687654	48795	
687654	73281	Amparito
687654	121951	
687654	199004	
687654	215148	Miroslava's mother
687654	235998	Raquel Groman, Refke's Mother
687654	243612	
687654	334653	Frida
687654	370089	María Eugenia Calles de Huert
687654	395857	Jackie Lomelí
687654	396898	Carmen
687654	397838	Rosario
687654	397839	Rosario
687654	403257	
687654	408859	Elsa
687654	409282	Maruja
687655	130144	
687655	163038	Ljubica
687655	195247	Opatica
687655	348957	
687655	356072	Renata
687655	405705	
687656	396341	Lisa Isaacs
687657	72740	Anna's mother
687658	49170	
687658	374074	Wardress
687659	112187	Marilena Hexin
687660	19336	Julie
687661	8366	Sister Jeannine
687661	17695	Mrs. Blewett
687661	21466	Partner
687661	41746	Jean
687661	51814	Mrs. Vito
687661	80715	Patient
687661	112304	
687661	116140	Marge Crew
687661	134274	Jenny, Bill's Sister
687661	194025	Dr. Prindle
687661	279984	Mok's computer
687661	309857	Helen
687661	310616	Ruth Gregory
687661	333349	Dr. Ulmer
687662	3113	Debt Collector Woman
687662	113126	Femme braquée 1
687662	296829	Elke
687663	86911	Sandra
687663	345337	
687663	356387	
687664	225690	Solveig
687664	343401	Ekspeditør
687665	31681	Miranda
687665	242866	Tina/Bitch-on-Wheels
687665	381091	Herself (eliminated round 1)
687666	160242	The Butterflies and Moths
687666	255825	Prudence
687667	60770	Older Cherie
687668	687	Herself
687668	41079	Herself
687668	49028	Lena Marelli
687668	68111	Herself
687668	88922	Mel
687668	88924	
687668	215186	Herself
687668	276253	Mel
687668	367766	Felicity 'Kim' Frogmorton
687668	386587	Melanie 'Mel' Bush (1986-1987
687668	392055	Dancer
687668	393925	Herself/Presenter
687668	393965	Violet Elizabeth Bott
687668	408148	Herself - Panellist (2004-)
687669	12905	
687669	29399	Karen
687669	82528	Sally Fraser
687669	102939	
687669	140628	
687669	210250	
687669	233079	
687669	298778	
687669	306275	4th Lady in Waiting
687670	332271	Receptionniste
687671	47191	Demonstrator
687671	270436	Charlotte Highway
687672	153154	Gypsy Girl/Bar Girl
687673	14603	Lady with Letter
687674	11141	Virginia
687674	28782	Louise Anderson
687674	31893	Ann Rogers
687674	42357	Herself
687674	42364	Herself
687674	44479	Peggy Turner
687674	47355	Herself - a Singer (You Are M
687674	54933	Joan Terry
687674	67172	Miss Hay
687674	67710	Herself
687674	72263	Babs Lee
687674	83046	Janet Masters
687674	88257	Susan Jackson
687674	93072	
687674	93284	Alice
687674	101729	Herself
687674	105170	Susan Moore
687674	116521	Herself
687674	128440	Flo Daniels
687674	129379	Herself
687674	141805	Herself
687674	146749	Ruth Allison (nee Ruth Swanso
687674	146750	Patt Abbott
687674	147754	Alice Craine
687674	200097	Herself (offscreen voice sing
687674	201432	Archive footage from The Bamb
687674	210434	Vocalist
687674	210528	
687674	215907	Beth Cornell
687674	230302	Julie Russell
687674	241153	
687674	247141	Joan Smyth
687674	252434	Frances Langford
687674	255337	Herself
687674	255341	Herself
687674	267549	Herself
687674	270672	Sally Baker
687674	271808	Herself
687674	291339	Herself
687674	307870	
687674	317963	Frances Langford
687674	318942	Herself
687674	321511	Patricia Loring and Evelyn Lo
687674	330797	Herself
687674	335638	Eileen Eilers
687674	340392	
687674	353530	Herself
687674	356230	
687674	370555	Singer
687674	389227	Herself
687674	389228	Herself
687674	389229	Co-host (1951-52)
687674	406403	Herself (Co-Host, 1950-1951)
687675	96889	Showgirl
687675	170378	Mannequin
687676	288908	TV Interviewer
687677	120106	Nancy Aubrey
687678	68308	Paramedic
687678	129516	Waitress
687678	138683	Radical Picketer
687678	154796	Second Hand Store Clerk
687678	190328	Intensive Care Nurse
687678	211698	ER Nurse
687678	271198	In Profile Prisoner
687678	273783	Anne Lacher-Holden
687678	311408	Jolene
687678	321262	Edna
687678	354163	Buddy System Coordinator
687679	14603	Postmistress
687680	131232	Extra
687681	80607	Emily
687682	350506	Dancer: Slave Dance
687683	182788	
687684	43904	Flirtatious Schoolteacher
687684	278924	Alissa
687685	147804	Herself
687686	387247	Binnie Roberts (1994-1995)
687687	142234	Berit
687687	153717	
687687	153745	Rosita
687687	169061	Jessica
687687	191566	Dagisfröken
687687	192659	Waitress
687687	321986	Camilla
687687	341815	
687687	396256	Sara Pettersson
687687	397971	Maj-Britt
687687	401515	Moster Bella (episodes 10-12)
687688	209492	Maid
687689	231468	
687690	191653	Jane
687690	200864	Christopher Marshall's Aide
687691	176831	Tina
687691	389058	Herself
687692	15058	
687692	103403	Lola
687693	275381	
687694	306119	Une élève
687695	96303	Profesora
687695	393832	
687696	68894	Madame Morel
687696	218290	Le jeune femme
687696	228943	Simone
687697	107681	
687698	68897	
687698	243757	
687699	16082	Julie
687699	306124	The Mother
687700	82686	Nancy Frazier
687700	83921	Deirdre
687700	192764	June Bradshaw
687700	197065	Maureen O'Hara
687700	222766	Gina Markham
687700	253349	Lisa Blake
687700	312347	Hilda
687700	397055	Eve/Alexandra Blackwell
687701	278361	Laboratory Tart
687702	394359	Anastasia Spencer
687703	94010	Angela
687704	66745	Actress (Ophelia)
687704	288899	La réceptionniste
687704	357124	La serveuse
687705	20011	Page
687705	118525	
687705	368244	Ensemble member
687706	377729	
687707	64329	
687707	69935	Margot
687707	73069	La touriste
687707	80156	Dominique
687707	88084	Amandine
687707	99497	Lulu, la fée des bois
687707	202090	La femme de la brasserie
687707	225360	L'infirmière
687707	251021	Pauline
687707	282017	
687707	287493	Berryl
687707	339870	Janine
687707	378866	La petite fille (ep.2)
687708	378062	Une enfant
687709	133081	Un officier
687709	240429	
687710	131496	Hilda
687710	145323	Hilda
687710	330009	Hilda
687711	160713	Young woman in medical school
687711	381581	Akela
687712	185202	Lizzie
687713	46716	Bride 1
687714	90799	Fuller's Receptionist
687715	187190	Executive Tap Dancer
687716	65184	Robert's mother
687717	208501	Girl on the beach
687718	382402	Yvonne Peemans
687718	383006	Eliane Mertens
687718	400287	Moeder Overste
687718	402315	
687718	411311	Greet Verbiest (2001-2002)
687719	126709	Mel Cafferty
687719	148361	Bar patron
687720	16117	
687720	31104	
687720	47989	
687720	75335	
687720	75590	
687720	99085	
687720	128435	
687720	130842	The Young Prospector's Sweeth
687720	140526	Bob's Sweetheart
687720	143146	
687720	145852	Ramona (superintendent's niec
687720	146208	
687720	146296	
687720	193276	
687720	196314	
687720	203324	
687720	263279	
687720	290966	
687720	307955	
687720	323757	
687720	326436	
687720	329823	The Ford Daughter
687720	342701	
687720	346192	
687720	361750	
687720	362420	
687720	362718	
687720	363199	
687720	367738	
687721	814	
687722	93302	Troy's Dream Girl
687722	102731	Blonde
687722	102732	Blonde (episode "Love Calling
687722	128604	Model ("Olivia's Closet" Segm
687722	156473	Terri
687722	208169	Shawn
687722	226984	Herself
687722	232206	Jennifer Travers
687722	236331	Tina
687722	257670	Herself
687722	273282	Steamy Encounter/Blonde Woman
687723	51296	Josefine
687723	51298	Josefina Torsoeien
687723	180405	Young girl
687723	219879	
687723	303214	Britt Andersen
687723	347005	Milja
687723	392072	Stine Eide (2001)
687723	397312	Ragnhild
687723	401114	Mor Åse
687724	199238	
687725	199717	
687725	217167	Catherine
687726	306421	So Fine Girl
687727	92870	La soeur
687728	388653	Amanda Morgan (Season 2)
687729	135393	Trailer Mom
687729	344652	Jane
687730	183005	Genevieve Mori
687730	348838	French Teacher
687730	395165	Tawny
687730	398096	Maryse
687731	157636	Snow White
687732	80755	Trudy
687732	89377	Rose-Ann Rosenberg
687732	113293	Sara
687732	138724	Amelia
687732	139073	Barbara Holland
687732	163343	Suzanna
687732	169608	Melanie
687732	178760	Gertie
687732	189907	Muriel
687732	203600	Cindy Worth
687732	214515	Sarah Paradis
687732	230089	Elizabeth Johnson
687732	254743	Laura Adams
687732	305221	Aline Cooper
687732	315801	Georgina
687732	316047	
687732	338083	Miranda
687732	354911	Maddy
687732	364039	Joanne Grogan
687733	5186	Les mannequins
687734	249712	Madame Labbe
687734	384622	Henriette
687734	398158	Manon Cadoret
687734	400804	Adrienne Chalifoux-Ferland
687734	406028	Céline Martin
687734	412166	Mme Thivierge
687735	51675	Dealeuse
687735	191500	Procureure de la Coutonne
687736	377464	Neighbour's wife
687737	234278	La femme de Gabriel
687738	309727	
687739	148995	Matt's Mother
687740	205777	
687741	16746	Pamela
687742	5880	Housekeeper
687742	261862	Mme. Lachance
687742	294206	
687742	380860	Phonsine
687742	381504	Une religieuse
687742	383824	Madame Belhumeur
687742	384214	
687742	390715	Mme Rossignolet des Bois
687742	403897	Délima Gagnon
687742	407068	Phonsine
687742	407214	Madame Lamarre
687743	225453	Chairwoman of Pathe Televisio
687744	60030	
687745	268168	
687746	366259	Angie
687747	65351	Herself
687748	225099	La mère de Claude
687749	80782	Cemetery Extra
687750	408755	Herself
687751	209061	Credit Girl
687752	12247	Natalie
687752	367054	The Wiz Singers Children's Ch
687752	380713	Bianca Walsh #2 (1991)
687752	386944	
687752	390771	Tracy (1991)
687752	404471	
687753	321448	Enid Bunker
687754	28859	Dorianne
687754	101606	
687754	238329	Valeria
687755	284433	Kati
687756	35833	
687756	43309	Sanja
687756	217297	
687756	399121	Host
687756	402024	
687757	406316	Gospodjica Savic
687758	80973	Anna
687758	94238	Unemployment Secretary
687758	198642	La jeune femme de la fête for
687759	312760	EMT #2
687760	393803	Mecha
687761	347540	
687762	24779	Olga
687762	96394	Slávinka
687762	116508	
687762	158785	Vivienne Leichner
687762	181341	Nanynka, Pokorný´s sister
687762	192197	Hilde Heller, chief spy
687762	247623	Milena Kacíková
687762	249244	Zuzanka
687762	261539	Babicka
687762	367675	
687762	384929	Lena Fischer
687762	386155	Sylvia
687763	51932	
687763	113471	
687764	364378	Swing
687765	13805	Sandy Wilcox
687765	66909	Dolores Lucas
687765	96750	Luz Sansone
687765	118957	
687765	120202	Jill Anderson
687765	139607	Sarah Henderson
687765	206597	Young Edie
687765	223649	Sandra 'Sandy' Wilcox
687765	321134	Rauchine
687765	321732	Theresa
687765	332101	Casey
687765	383284	Beth
687766	34395	Child in Santa's Castle
687767	28650	Marion
687767	384333	Mrs. Howells
687768	337183	Torill
687769	17964	Jane
687769	62992	Janet Holywell
687769	65554	Calpurnia
687769	73325	Jenny Lamb
687769	80518	Sally Legge
687769	96655	Judith
687769	99918	Lucinda
687769	115597	Jane
687769	135166	Tine
687769	140535	Carol
687769	147931	Angela's Girlfriend
687769	169894	Georgina Channing QC
687769	171354	Miss Bozek
687769	178002	
687769	215335	Cosette
687769	219506	Girl in the Bar
687769	219731	Jane Bewley
687769	230977	Dr. Kathryn Reed
687769	249457	Vanessa
687769	280478	Ash Lewis
687769	297711	Lady Anne Camoynes
687769	297713	Lady Anne Camoynes
687769	342363	Olivia
687769	364190	Loretta
687769	380344	Kitty
687769	382844	Kate Cameron
687769	383881	Joanna Douglas
687769	389146	Bella Niculesco
687769	393818	Georgina Channing
687769	396112	Charlotte Cavendish (1993-199
687769	397938	
687769	399815	Eleanor Eden
687769	402417	Kate Smith/Briggsy
687769	402549	Jenny Martin
687769	403270	Carol (1988-89)
687769	411532	Isabella Linton
687770	18395	
687770	121001	
687771	375411	Emilka Skudlova
687772	392502	Herself/3rd celebrity to leav
687772	402445	Horoscope Presenter (2000-)
687773	89150	Dianne
687773	147833	Deputy #3
687773	148255	Young Adele
687773	224382	Reporter #1
687773	361595	
687774	133682	Dara
687775	182309	Småprinsesse
687776	380397	Herself
687776	395125	Presenter
687776	395978	Presenter (1999-2003)
687776	403010	Herself - Presenter
687776	408075	Stand In Presenter (2000-)
687776	410828	Presenter
687777	203062	Rider
687778	71537	Lena Simon
687778	197405	Mrs. Wallenstein Sr
687778	252914	
687778	253471	Mrs. Wurtz
687779	308382	Tartar Girl
687780	31470	Herself (Tour Manager)
687781	332015	Peaches
687782	318390	Queen Mother
687783	33644	Rosie
687784	369492	Dizzy Heights
687785	117008	Lisa
687785	358364	Amber
687785	383414	Additional Voices
687785	405209	Susan Morris (2000)
687785	406178	Melissa Swann
687787	389629	Additional Voices
687788	31501	Tanya
687788	31677	Caitlin
687788	178136	Nicoletta 'Niki' Sposato
687788	191502	Sarah Ross
687788	216473	Judy
687788	217529	Kim McGill
687788	217533	Elizabeth 'Beth' Knowlton
687788	249503	Lucy
687788	257772	Sabrina
687788	273178	Lise
687788	275871	Annabelle Farrell
687788	305359	
687788	321559	Nikki
687788	328268	Jump Junkie #2
687788	372594	Episode travels with father
687788	388117	Sarah Bowen
687788	388911	
687788	397401	Samantha Reilly Campbell (199
687788	399165	Angela Bennett
687789	55699	Pvt. Alice Easy
687789	55715	Schoolgirl
687789	69405	Ruby Climax
687789	70347	May Fitch
687789	90324	Angie
687789	252741	Maureen Sugden
687789	339362	Ruby
687789	392180	Grandmother
687789	402778	Kathy
687789	406717	Renee (series 2)
687790	314354	
687790	366205	Woman in beauty shop
687791	231872	
687792	136826	Cousin
687792	256625	Kate (The Fabulous Singlettes
687792	385613	Young Matildan
687793	382397	Herself
687794	52536	Show Girl
687795	149444	Pauline Gladroy
687796	190518	Make-up Girl
687797	79402	Margot's Mother
687798	146121	
687799	158757	La suora
687799	229994	Nancy Osgood
687801	410380	
687802	396151	Anne
687803	59581	Helen
687804	61565	Sharon O'Bannon
687806	142394	Becky
687807	153661	Jessica
687808	40297	Pigen på gaden
687808	120091	Miss Daisy
687808	159671	Gunhild
687808	179174	Inge
687808	182460	
687808	190840	
687808	198054	
687808	237083	Yvonne Falk
687808	249737	
687808	259352	Anne Marie
687808	265409	
687808	303679	Gerda Halling
687808	303692	Elly Martin
687809	277222	
687810	178189	Extra
687811	70723	
687811	377478	Madame Dutronc
687812	93074	Rhea
687813	320150	Herself
687814	57504	
687815	238749	Amaryllis
687816	12242	Lula
687817	512	Kyoko Tohno
687817	513	Kyoko Tohno
687817	514	Kyoko Tohno
687817	211383	Carol
687817	212687	Suzanne
687818	295481	Linda
687819	59375	Virginia Sweet
687819	269880	Winona Wedemeyer
687819	307536	Virginia Wulph
687820	329391	
687820	362512	Stripper on Balcony
687821	114656	Dee
687822	147404	Lucille's Mother
687823	304743	Undetermined Role
687824	131717	Pia
687824	158318	Charlotte Swapp
687824	163375	Carrie Pomeroy
687824	220093	
687824	329027	Wanda Peck
687824	345952	Countess Renier
687824	395548	Paige Thatcher (1989-1990)
687826	122778	Gabrielle
687826	151561	Cool Cat #1
687827	145395	Brenda
687827	145396	Brenda Carter
687827	194238	Herself
687827	199405	Peggy
687827	232246	
687827	407238	Sandi Chandler (1977)
687827	408521	Regular
687828	143248	Rosalee
687829	133880	Ziegfeld Girl
687830	220401	Geneviève
687831	319739	Carmen
687832	4751	Karol's mother
687832	25424	
687832	123099	Solska
687832	172416	Magdalenas mor
687832	179342	Solska
687832	180251	
687832	217276	
687832	220234	Kasia Maliniakowa
687832	231644	
687832	232664	Girl under the Bridge
687832	236159	Mrs. Stenia
687832	258803	Mazurkowa
687832	262197	Bartoszekowna
687832	266319	
687832	280586	The Waitress
687832	311838	Basia
687832	317818	Kazimiera
687832	321433	
687832	322725	
687832	322908	Michal's Aunt
687832	341070	Mother (segment "Godzina drog
687832	341071	Maryna (segment "Sprawa konia
687832	341074	Basia
687832	343386	Aniela
687832	374232	Theatre Actress
687832	390710	Zofia Lazanek
687832	394585	Grazyna's mother (1998-2000)
687832	401665	Józefina Lasek
687832	406145	Elin
687832	409032	Jerzy's mother
687833	255605	
687834	37705	Gigi
687834	109395	Arielle
687834	222324	Julie
687834	385612	Carol (Bridesmaid)
687836	255814	
687837	292722	Chic k Schwartz
687838	244200	Inga
687839	92871	
687841	98056	
687842	110991	
687842	210186	
687842	320363	
687842	344253	
687843	286119	
687844	52885	Dory Lansing
687844	126572	
687844	139611	Young Girl
687844	202363	Dina
687844	215793	Sally
687844	216446	
687844	232114	Waitress
687844	238138	Nancy
687844	316606	Jenny Connor
687844	328520	Vickie Stevens
687844	394676	Ginger Ward (1979-1983) (orig
687844	394677	Ginger Ward
687844	398572	Marissa Danforth
687844	410660	Connie Rafkin
687845	59822	Christian Wayborn
687845	135852	Lott Klein
687845	298347	Xie Gao Wen
687846	58475	Piano Player
687847	275233	Elizabeth Warren/The Monster
687847	302219	Nun
687848	258536	
687849	325609	
687850	375377	Zangeres
687851	194525	Student
687852	74987	Woman
687853	89470	Agnes Holm
687853	138433	Woman at the hat department
687853	281039	
687853	322664	Clerk
687854	287595	
687855	307516	Waiting Room Nurse
687856	171663	
687856	189870	
687856	212097	Lady in car/woman of eternal 
687856	254358	
687856	263753	
687856	317494	
687857	4769	Mitzi
687857	21282	Hella Stoll
687857	137142	
687857	142111	Cleo Ass
687857	143513	Vilma von Matera
687857	147189	
687857	182863	
687857	188796	Katinka
687857	189645	
687857	290810	
687857	347001	Dore Wiesinger
687857	360936	Maria
687858	380081	Arlete
687859	234932	La Folle
687860	41071	Harry's Mother
687861	11478	
687861	396948	Melissa Sandler
687862	125540	Bit
687864	190010	Victoria Sellers
687865	236526	Mme de Neuville
687866	214123	Party Guest
687867	64400	Little Girl
687868	28441	Girl in subway
687869	28992	Louise
687870	14781	
687870	77243	
687870	204686	
687870	215223	
687870	282061	
687870	378447	
687871	40187	Russian Woman
687871	41228	
687871	81338	Krysty Wroth
687871	102674	Sally
687871	109395	Tatiana
687871	114694	Audrey
687871	127191	Savanah Starr
687871	165199	Lilac
687871	176932	Valentine
687871	230815	Barbie
687871	284621	Monique
687871	300311	Elaine
687871	314153	Candi
687872	161189	Secretary
687873	275780	Executive Bench Consultant
687874	105851	Street girl
687875	158102	Chorus
687876	324551	Liquid Silver Dancer
687877	23646	Child
687877	270542	Mademoiselle Schmaltz
687877	351697	Steph
687877	403190	Stéphanie (1989-1995)
687878	54061	Marie-Pierre
687878	91910	Sandra
687878	170473	Clara
687878	255590	
687878	296334	Cecile
687878	345049	Julie Lafond
687878	395621	Stéphanie
687879	356921	Shchetinina
687880	38751	
687881	323698	Herself
687882	14220	Miss Alabama
687882	116182	
687883	182949	Hotel Manager
687884	388646	Kriminalvårdstj.man
687885	8876	Jeune fille
687886	138978	
687887	35685	Sally
687887	340812	Female Soap Star
687887	379744	Bessie Griggs
687887	382254	Sanitarium Nurse
687887	383525	Secretary (1984)
687887	407616	Judy Page
687888	1821	Herself - Co-host
687888	1842	Herself - Presenter/Winner
687888	2305	Herself - Winner/Presenter
687888	2330	Herself - Performer
687888	2527	Herself/Host
687888	2542	Host
687888	2551	Herself - Host
687888	2779	Herself
687888	2809	Herself - accepting Best Supp
687888	2904	Herself - Performer: 'Beauty 
687888	2909	Herself - Presenter: Hersholt
687888	3603	
687888	5037	Herself
687888	7585	Herself
687888	7591	Herself
687888	11210	Annabell Willart
687888	13916	Herself
687888	14974	Lady Blystone
687888	15887	Dowager Empress Marie
687888	32178	Mrs. Potts
687888	32185	Mrs. Potts
687888	32186	Host
687888	32494	Eglantine Price
687888	32495	Herself
687888	34781	Herself
687888	40174	Dora
687888	41809	Sarah Lee Gates
687888	42365	Herself
687888	46515	Countess Lina
687888	47382	Herself
687888	47385	Herself
687888	57492	Herself
687888	57561	Herself/interviewee
687888	64567	Ringmaster
687888	68693	Granny
687888	71979	Princess Gwendolyn
687888	78771	Mavis Pruitt, Beauty Parlor P
687888	80970	Phyllis
687888	81239	Salome Otterbourne
687888	87752	Mrs. Potts
687888	87770	Host
687888	99302	Herself
687888	108683	Hostess (segment "Firebird Su
687888	114206	Alice Garrett
687888	117659	Herself
687888	118311	Marguerite Laurier
687888	118857	Herself
687888	124374	Nancy Oliver
687888	127530	Amanda Fenwick
687888	129561	Narrator
687888	132849	Herself
687888	133953	Claudia
687888	139482	Mama Jean Bello
687888	139790	Em
687888	142295	Herself
687888	149261	Dusty Millard
687888	155902	Mabel Sabre
687888	158145	Sybil Logan
687888	159264	Brenda Jarvis
687888	159685	Herself
687888	161202	Herself/Interviewed
687888	175530	Herself
687888	175536	Herself
687888	175543	Herself (Honoree)
687888	177142	Mrs. Edwards
687888	183235	Aunt Hortense Boutin
687888	183834	Miss Froy
687888	185737	Mommy Fortuna
687888	185738	Mommy Fortuna
687888	186415	Tally Dickson
687888	189333	Herself
687888	190051	Doris Hillman
687888	191862	Gertrude Vanderbilt Whitney
687888	194093	Minnie Littlejohn
687888	196037	Agatha McGee
687888	201629	Herself
687888	201810	The teller for 'The Wizard of
687888	203917	Mrs. Iselin
687888	215153	Miss Jane Marple
687888	215987	Gloria
687888	219352	Herself
687888	221221	Mrs. Ada Harris
687888	221318	Mrs. Santa Claus
687888	222711	Jessica Fletcher
687888	222778	Jessica Fletcher
687888	222779	Jessica Fletcher
687888	222780	Jessica B. Fletcher
687888	222781	Jessica Fletcher and Sarah Mc
687888	223061	Herself
687888	223385	Leslie
687888	227470	Great Aunt Adelaide
687888	228314	Edwina Brown
687888	240466	Herself
687888	255327	Sibyl Vane
687888	256622	Ruth
687888	257981	Myra Leeds
687888	264570	Clotilde de Marelle
687888	267559	Madame Valentine
687888	270915	Marchesa Allabrandi
687888	274051	Audrey Quail
687888	275364	Mabel Claremont
687888	275391	Valeska Chauvel
687888	286808	Semadar
687888	298291	Penelope Keeling
687888	299679	Nan Moore
687888	308062	Countess Herthe von Ornstein
687888	310861	Herself
687888	313943	Kay Thorndyke
687888	314828	Narrator
687888	315733	Sister Theresa/Narrator
687888	318770	Pearl
687888	321086	Nellie Lovett
687888	323803	Ann Royce McClain
687888	328066	Susan Bratten
687888	329563	Herself
687888	331522	Queen Anne
687888	333054	London Specialty
687888	346873	Mrs. Emily Pollifax
687888	358825	Herself
687888	368025	Herself/Narrator
687888	368449	Isabel Boyd
687888	372878	Herself
687888	381111	Herself
687888	386414	Herself
687888	398569	Jessica Fletcher
687888	400759	Herself
687888	406402	Regular
687889	154944	Librarian
687890	105069	Paulette
687890	114350	Magistrate
687890	161170	Eleanor
687890	185741	Mrs. Gresty
687890	263556	Charlotte Lucas
687890	385930	Mrs Pridmore
687890	392483	Apicata
687891	29669	
687892	14131	Enthralled Girl
687892	215657	Shelby Sugarman
687892	230324	Tracy
687893	403291	(2003)
687894	207268	Female dancer
687895	171421	Selena
687896	277759	Vrouw in cafe
687897	260144	
687898	21299	
687898	128441	
687898	349632	
687899	202375	Kim Bentley
687900	23335	Julie
687900	37525	Joi Landis
687900	41108	Bathing Girl in Dream
687900	46158	Marion Randall
687900	50448	Bathing Beauty
687900	71652	Art Model
687900	96889	Hat Model/Showgirl
687900	110219	Susan Matthews
687900	113600	Blonde in Bar
687900	118231	Carolyn Coates
687900	119803	Showgirl
687900	128192	Model
687900	145389	Boots Malone
687900	147484	Dorine
687900	150069	Karen Winter
687900	150347	Connie Forbes
687900	163358	Checkroom Girl
687900	170378	Mannequin
687900	191038	Cameo Girl
687900	206385	Lola
687900	211602	Maxim Girl
687900	229938	Linda
687900	240841	Marilyn Turner
687900	255521	The Cocktail Waitress
687900	269340	Larry's Girl
687900	302696	Beautiful blonde
687900	306543	
687900	306546	
687900	306552	
687900	306564	Homer's Girl
687900	306586	Marvin's Wife
687900	308382	Raider
687900	319372	
687900	319601	Sgt. Helen J. O'Hara
687900	323432	Girl on Train
687900	336683	Blonde
687900	343160	Blonde in Black Dress at Boar
687900	362670	Model
687900	364307	Florence Coogle
687900	381806	Galdys Flatt (1963-1968)
687900	394637	Goldie
687901	107745	Pregnant Girl
687902	28751	Aunt Ena/Mrs. Possum
687902	138744	Chorus Woman
687902	171146	Chorus member
687902	339407	Dancer
687903	196536	Susan
687903	278599	Amelita
687903	391835	Talking head/soundbites (segm
687904	7206	Tatyana
687905	218599	Girl in Castle Anthrax
687906	183087	
687907	281413	
687907	331489	Woman Pianist
687907	363792	Mr. Jelks
687908	323564	Heather
687909	323564	Crystal
687910	191152	Woman #2
687911	193622	London Town Dozen & One Girl
687912	193620	Jack Winger
687913	45128	Alliance Secretary
687913	257448	Raine
687914	364866	Prostitute
687915	264872	
687916	370102	
687917	225401	Lydia Lanzi
687918	363561	Tessie Brand
687919	19926	Virginia
687919	54859	Cecilia
687919	56025	
687919	63890	
687919	82413	Barbara
687919	86098	
687919	108112	
687919	188596	Cristina
687919	230074	madre di Nico
687919	247379	
687919	252668	
687919	268986	
687919	310891	Malvina
687919	315439	Silvia
687919	338655	Monica Guarini
687919	357094	
687919	376158	Anna
687919	379902	Magd
687919	380849	Cristina
687919	385284	Federica Stanguellini
687919	395238	Laura Corrente
687919	408842	Federica Stanguellini
687919	409591	
687920	2584	
687920	4786	
687920	10043	
687920	56443	
687920	63836	La marchesa Albina di Rionero
687920	112650	
687920	129036	
687920	197467	
687920	205271	
687920	208796	
687920	248192	
687920	273139	Mirabella
687920	290900	Moglie di Scipione
687920	312257	
687920	315446	Ambassador's Wife
687920	351850	Un' amica di Tom
687921	280803	Lady in Waiting
687922	94645	
687923	99296	Angela Ricci
687923	233792	
687924	147655	Leanne
687925	373990	Tiger Cheerleader
687926	20092	
687926	52754	
687926	69703	
687926	69929	
687926	131137	
687926	170236	
687926	220171	Aunt Rosana
687926	281211	
687926	337574	
687926	357517	
687926	379907	Marcela
687926	380477	Etelvina
687926	383089	Nicolassa
687926	384119	Elena (1997-1998)
687926	385057	Sofía Ucello de Spadaro
687926	389235	Felicitas González Mercante
687926	391860	Inés Zabala
687926	397013	Olga
687926	403404	Victoria Seoane viuda de Del 
687926	404994	Clara
687926	409013	
687928	255108	
687928	293357	
687929	397138	Georgette Richard
687930	104082	
687930	258688	
687931	255640	
687932	155099	Laurel
687933	162573	Nanny Martha
687934	32661	Young Woman
687935	220685	
687936	266332	
687936	379217	Zofia 'Zosia' Kowalczyk
687936	394585	Julia (2001-)
687936	397007	Joanna Romska
687937	360436	New Yorker Listening to Story
687938	360436	Stunned Guest at Wedding
687939	97975	
687940	55852	Companion
687940	140938	Goddess
687940	233479	Cynthia
687940	258074	Woman (segment "Of a Feather"
687941	328970	
687942	260290	Herself - Drummer
687942	316150	Herself
687943	157208	
687944	44418	Victoria
687945	8966	Hallie Campbell
687946	244124	
687947	119429	Cathy
687948	213027	Janet
687950	392382	Host
687950	400886	Herself (Red Team
687951	320033	Fork Girl
687952	22643	Ginger
687953	328273	Camille
687954	171577	Booth Vendor
687955	54088	
687955	56339	
687955	63673	Xaíca
687955	219581	
687955	247390	
687955	386252	
687955	387932	Amélia
687955	393573	Lourdes
687955	397440	Isabel
687955	397512	Guará
687955	397545	
687955	397873	
687955	400099	Ana
687955	400662	
687955	401500	
687955	405915	Odila
687955	406841	
687956	328425	
687957	29669	
687958	21418	Marguerite
687958	23728	
687958	46945	Natasha Kalitjeff
687958	59231	
687958	60076	
687958	61405	
687958	66089	
687958	70596	
687958	84623	
687958	101206	
687958	148711	
687958	153879	Odette
687958	166196	Adrienne
687958	166716	Danielle
687958	167213	
687958	216795	
687958	217673	
687958	225528	Jacqueline
687958	233266	
687958	243076	Gisèle Pascaud
687958	249674	
687958	253213	Femme du Mond
687958	275513	
687958	280562	Antoinnette
687958	281795	
687958	282407	
687958	282494	
687958	292343	Claudie
687958	346509	
687958	346553	
687959	101818	Mme Vidalec
687959	207622	La paysanne du marché
687961	105822	Shane
687962	93084	Little Jenny
687962	135723	Princess Glintchac
687962	187208	Oona
687962	310532	Miss Elf
687962	315719	Ruth (age 10)
687962	382854	Carol Hammond #2
687962	385930	Nell Kerrison
687962	388929	Jessica Carter (1977)
687962	398972	Nancy as a girl
687963	411366	Ann Cutler (episode 4: Lo-Arn
687964	111346	
687964	189669	Barbara Kofler
687964	276632	Vera
687964	381515	OP-Schwester Emily
687965	285984	
687966	24062	Elisabeth Fuchsmaier
687966	102374	Elisabeth Fuchsmaier/Constanz
687966	153751	Kathrin Veit
687966	155370	
687966	248401	Marianne Diringer
687966	259457	Dr. Lisa Marten
687966	289996	Anna Hofer
687966	322622	
687966	325645	Inspektorin Maier
687966	325745	
687966	352340	
687966	379772	Babette 'Afra' Hängsberg (199
687966	404224	Cornelia Althofer
687966	412102	Sabine Gerling
687967	56108	Mujer de la cooperadora
687968	166878	
687969	83901	Tourist girl
687969	116799	Petra
687969	147715	Herself
687969	230130	Adriana
687969	252823	Flavia
687969	308634	Mrs. Tellementez
687969	312150	Newscaster
687969	312151	Park Public Relations
687969	398568	
687971	126673	Dixie
687971	245008	Tequila Girl
687972	23529	
687972	240299	Juliette
687972	337035	L'infirmière
687973	139294	Malinda Reynolds
687973	178206	Rebecca
687974	194835	Hostess at Desert Inn
687975	158881	Nurse
687976	90672	
687977	84494	Deuce Girl
687978	214422	Ginette
687979	47050	Blonde In Bar
687979	177345	
687979	232321	Shep's New Date
687979	274312	Woman in Coffee Shop
687979	316516	Heather
687979	321474	Sandy Scotland
687979	351778	Dylan's girlfriend
687979	360647	1st Sacha
687979	378732	Co-host
687980	25853	
687980	211011	
687980	356608	
687981	255872	
687982	6487	
687982	55259	
687982	67025	
687982	87621	
687982	100791	
687982	118172	
687982	202833	
687982	225397	
687982	233483	
687982	257566	
687982	339099	
687982	371763	
687982	376800	
687982	397256	Rosalía
687982	402158	María Laura
687982	404995	Fermina
687983	257526	Marietta
687983	399160	Silvia Custo
687984	56545	Herself
687985	338930	Lisa
687986	263352	Ingrid Swenson
687987	40509	Nurse
687987	61703	Nurse
687987	105263	Mae Sargeant
687987	154518	Mary
687987	265742	Galina
687987	380997	
687988	53116	
687989	312257	Cristiana
687990	100244	
687991	19186	La petite fleuriste
687991	166340	L'Appariteur, La Mère aux Ton
687991	307138	
687991	356969	Belette
687991	375368	
687992	168326	Kid
687993	168326	Kid
687994	275346	Reporter #3
687995	381091	Herself (eliminated round 1)
687996	249336	
687997	225115	Katharina
687998	282416	
687999	94085	Ashley
688000	225206	
688000	387365	Uschi
688000	409625	Natascha Wilhelm (1996-1997)
688000	409958	Jule Roth (2000-2002)
688001	637	Mujer Cana
688002	94711	Geisha
688003	394392	Mercredi
688004	254943	Jenna
688006	247176	Mujer policia
688007	266443	
688008	376717	
688009	401221	Michelle Dupont (1997-98)
688010	185873	
688010	390477	
688011	345378	Child
688011	377869	Nicole
688012	325549	Reshe
688013	371409	Mimi
688014	175756	Chau-kuen Mak
688015	377611	Beatriz
688016	28589	Marquesa de Albuquerque
688016	273865	
688016	307638	Adelaide Coelho da Cunha
688016	344863	Clara
688016	380272	
688016	387850	
688016	388683	Carolina
688016	396201	
688016	402242	Marquesa de Távora
688016	402791	
688016	407906	
688017	28589	Dra. Filomena
688017	73194	
688017	184298	
688017	205537	Maria's Mother
688017	237010	Teresa
688017	341077	Clara d'Aveiro
688017	381246	
688017	383603	Natacha
688017	384523	Carmen de La Piedad
688017	392261	Berta Perdição
688017	398840	Bé
688018	490	
688018	12020	
688018	20713	Chantal
688018	52754	
688018	96294	Mother
688018	115828	
688018	233625	
688018	380113	
688018	383291	(2000-2001)
688018	384427	Claudia
688018	398995	Mabel
688018	403237	Eladia Moreno
688018	409957	Adelina
688019	364300	Herself
688020	79314	Christina
688020	196845	Skye
688020	222831	Bridal Assistant #1
688020	310997	Nurse Maguire
688021	88540	Olga
688021	180332	Muki
688021	229408	Mija
688021	339752	
688022	1888	Radovedna pevka
688023	390688	Géraldine
688024	43629	Reseda
688024	218577	
688025	229186	Klavdija
688026	248669	Courtney Turner
688027	80300	Sacerdotessa
688027	199787	
688028	73143	Jeanne Plouffe
688028	135989	Woman in China
688028	169652	Juliette
688028	258208	Jeanne Duplessis
688028	271254	Dominique Prieur
688028	286326	Louise Côté
688028	305515	Ginette Cardinal
688028	383964	Arlette
688028	387058	Ginette
688028	387530	Me Agathe Morin
688028	387668	Noëlla Paquette
688028	396769	Madeleine Corbeil
688028	401330	Lucie Germain
688028	405099	
688029	386933	
688030	77676	Professional Latin Dance Fina
688030	330999	Featured Dancer
688031	252516	Pelota
688033	246695	
688034	146943	Melissa
688035	193831	
688035	193832	
688035	193836	
688035	193840	
688035	245633	
688036	143726	
688037	114501	Mrs. Bones
688038	10894	Delilah
688038	44442	Valerie
688038	61544	
688038	81067	Game Player
688038	82702	Elaine
688038	110283	Donna Hardaway
688038	147905	Liz
688038	317902	Pistachio
688039	74914	Madame Lupin
688039	284207	Pauline
688040	113116	
688040	409008	
688041	89796	
688042	197809	Gallery Owner
688042	267637	Studio Executive
688043	247196	La muchacha
688044	298248	
688045	152889	Sylvia
688046	245265	Central Park Woman
688046	363602	Thief
688047	92800	Mrs. Morgan
688047	103255	Mme. Angeline
688047	148368	
688047	203539	Ma Morelli
688047	346030	Hotel Guest
688047	363242	Mrs. Ryngelbaum
688048	79674	Zombie
688048	166655	Lapiduss, Maxxine
688048	366640	Herself
688049	91903	David's Neighbor
688049	93217	Extra
688049	242729	Ariana
688049	316614	Guile's Date
688049	330452	Donna
688050	155888	Clinic Director (segment "199
688050	166697	Deedee Martin
688050	186325	Lila
688050	266084	Bobbie
688050	314778	Herself
688050	389858	Heather Grant Webber #1 (1976
688051	395430	Model
688052	289055	Edith
688053	205932	Marie
688054	292691	Ex-swimmer
688055	273260	Russian Translator
688055	314763	Vernon's Wife
688055	318642	Nemerov's Wife
688056	35653	Jody
688056	87889	Woman at Bank
688056	88453	
688056	90221	
688056	144025	Camilla Bleiss
688056	156942	
688056	223552	
688056	262173	
688056	282824	Pyshka
688056	306647	
688056	396874	Nathalie Jensen (1992-1993)
688056	400448	
688056	409312	Valeria, the singer
688056	411981	
688057	404577	Psikhiatr
688058	397302	Medsestra
688059	96770	Cheerleader #1
688059	190273	Andrews Sister #1
688059	316961	Tinka's Sister
688060	251148	
688061	99635	
688062	91161	Joanne Murray
688063	109662	Frightened Woman
688064	1092	Freyda
688064	70426	Computer Neighbor
688064	303228	Lanalee
688064	323428	Cassandra
688064	360355	Office P.A.
688065	18707	Thérèse
688065	48309	
688065	51411	Alice
688065	64333	Herself (1997)
688065	68387	Le Mérou
688065	93875	Liza
688065	99365	
688065	107457	
688065	108899	
688065	111029	Paule
688065	135348	La mère
688065	193436	Léna
688065	211136	Louise
688065	217216	Reyzele
688065	248483	
688065	325084	Marianne
688065	332232	
688065	336641	Marie
688065	340486	Malécot
688065	352634	Anne
688065	353931	
688065	357114	
688065	377470	Patiente 1
688065	380978	Valerie
688066	24703	Charlotte's Birthday Friend
688066	48040	Hot 97 Receptionist
688066	379076	
688067	313725	Marfa
688068	83877	Camp Counsellor
688068	190927	Jennifer Lucca, 14 Years
688069	31704	Margie
688069	80640	Girl Student #1
688069	266046	Cindy
688069	316191	Young Girl
688070	158102	Chorus
688071	253458	Trish
688072	249209	Fan de Jeannot
688073	99590	Régisseure du show
688074	17696	Colette
688074	114691	Monica, Girl with Roberto
688074	195137	Josee
688074	196337	Michelle
688074	198621	Lucille
688074	212151	Florence
688074	218318	Catherine
688074	404018	Sandra
688075	195137	Scripte t.v
688075	398137	Sophie Robert
688076	83377	L'infirmière
688077	113986	Girl in Library
688078	196350	K.D.'s Ex-Wife
688080	292115	Stand In For Bridget
688081	382486	Mireille Jobin
688082	39852	Minion
688083	302142	Helene
688084	327579	
688085	16746	Fleurette's Mom
688085	66409	
688085	74077	Marguerite
688085	101646	Hotel Receptionist
688085	148753	Huguette epouse d'Armand
688085	186127	
688085	346423	Solange
688085	387530	Mireille Dagenais
688085	396334	Gisèle Turcot-Meloche
688085	410628	Louise Girard
688086	387530	Pascale Dauphin
688087	406381	Herself (2004)
688088	105397	Dolores Viscanti
688089	71357	
688090	316728	Bitchy Businesswoman
688091	376311	
688092	180272	Kimberly
688093	51991	Greekona
688094	68401	
688096	70183	
688096	89661	
688096	112644	
688096	141789	
688096	251049	
688096	255100	
688096	268848	
688096	289359	
688096	309247	
688097	286327	
688098	382486	Nicoletta Jobin
688099	166116	
688100	12370	
688100	110192	Coat Saleslady
688100	116434	
688100	186989	Françoise
688101	148651	Élodie Dumas
688102	228155	Mademoiselle de Maupin
688103	18380	Cleopatra
688103	18383	Charmian
688103	19561	Miriam
688103	22197	Christina Cunningham
688103	30349	Elisabeth Moulton-Barrett
688103	33445	Mrs. Rogers
688103	54605	
688103	72971	Lillianne
688103	78764	Madame La Rougiere
688103	104564	Helen McCann
688103	129117	Hilda Jacob
688103	183722	Princess Mary
688103	198885	Lady Macbeth
688103	222606	Louise Mackey
688103	240459	Jean
688103	241628	Miss Prescott
688103	254967	Edith Piaf
688103	299715	Dylan's Headmistress
688103	302110	Anouk Khoori
688103	314455	Narrator voice
688103	315065	
688103	328853	Claire
688103	330026	Alice Brewer (the old woman)
688103	334132	Irene Neumann
688103	363456	Narrator
688103	379490	Clara von Trapp
688103	381875	Martha Hoyland
688103	382232	
688103	385103	
688103	386235	Aliéner d'Aquitaine
688103	387334	Empress Marie of Russia
688103	391194	Lady Milborough
688103	392696	Actor (segment 4)
688103	393645	Mrs. Sylvia Liberty
688103	396079	Diane Warburg (Series 1-2) (1
688103	396862	Marie Curie
688103	398989	Letizia
688103	401651	Herself
688103	404599	Aunt Miriam
688103	404609	Queen Olympias
688104	291575	La greffière
688105	29512	La violoncelliste
688106	121824	Hooker
688106	150470	Martha
688107	256878	Koiranainen
688108	324482	Viulisti #2
688109	152442	
688110	186174	Wienke
688111	11771	Monika
688112	11009	Herself
688112	122898	Herself
688113	190659	
688115	139757	Betty McDougal
688116	212613	Waitress
688117	83204	Carmen
688117	103454	Mère de Philippe
688117	249625	Journaliste
688117	382583	Léonie Beauchemin
688117	409452	Paule Garneau
688118	176899	Mrs. James
688119	13100	
688120	12776	Lover
688120	185398	Assistant Marshal
688121	373443	
688122	355721	
688123	343957	
688124	11783	
688124	14632	Tante
688124	15102	Miss Erikson
688124	23544	
688124	49308	
688124	129692	
688124	132243	
688124	134903	Schwester Oberin
688124	140229	Wilhelmine Golborn
688124	142037	
688124	164902	Grandmother
688124	186890	Nachbarin
688124	225260	
688124	225287	Alma Biermann
688124	238895	Schwester Barbara
688124	259759	
688124	281743	Nanny
688124	288433	Frau Urbanic
688124	290577	Ma Becker
688124	334547	Annemarie
688124	343486	Amelie
688124	346389	
688124	361048	Mutter Gauditz
688124	361368	Mutter
688124	367052	Ms. Drycunt
688124	376381	
688124	379627	Schwester Mathilde
688124	383108	Katharina Wespe
688124	387625	
688124	399503	
688124	404422	Herta Fuerst
688124	405351	Pferdekraehe
688124	409860	
688124	412101	
688125	155055	
688126	118075	Village Girl
688127	117969	
688127	264322	
688128	115835	
688129	32559	
688129	131205	Helen Lopez
688129	137586	
688129	312531	
688130	91206	Vera
688130	371647	Yixizhuoma (Young)
688131	236387	Audition Woman
688132	144165	
688133	46125	Senora Bello
688134	58409	Gisèle
688135	246510	Isabelle
688135	249753	Une jeune fille
688137	409960	María Luarca Alonso
688138	3275	
688138	48520	Renate (jung)
688138	72341	Alex
688138	72670	Melanie
688138	114481	
688138	149127	Cleonise
688138	187594	Nora
688138	187866	Käthe Katzenberger
688138	189663	Marie Kreuzer
688138	225205	Silke Hartmann
688138	226395	Annette
688138	259649	Meike
688138	290154	
688138	310898	
688138	322504	Sandra
688138	325625	Kerstin
688138	339051	Prinzessin Amélie (Anna Amali
688138	341769	Lotte Lohmann
688138	347807	Traudl Junge
688138	352644	Jennifer Blankenburg
688138	356709	Venus Morgenstern
688138	386589	Tonya Gromyko Zhivago
688138	397452	Pia Mangold
688138	398993	Countess Marie Walewska
688138	406501	
688138	411526	Camilla Senger
688139	221739	Lesbiana
688139	279076	
688140	99205	Various characters
688140	101270	Herself
688140	101272	Herself
688140	116411	Herself
688140	198567	Cameo at the restaurant
688141	90519	
688142	259098	
688142	402676	Over-All Winner
688143	89938	Chica
688143	400343	Coordinadora del Estudio
688144	387587	
688144	408199	
688145	20625	Extra
688146	10030	Prostituta
688146	19486	
688146	43664	
688146	51779	
688146	70662	Madre de el Muchacho
688146	74639	
688146	76107	
688146	83887	
688146	90113	
688146	91271	
688146	101616	
688146	101793	
688146	103719	
688146	105658	
688146	186670	Fermina Morales
688146	222032	
688146	230265	
688146	231638	
688146	234395	
688146	235309	
688146	248296	
688146	249788	
688146	283255	
688146	287712	
688146	287864	Rebeca Ortega
688146	333700	
688146	349856	
688146	354904	
688146	369894	
688146	380476	
688146	385251	Josefina
688146	385875	Amparo
688146	398013	
688146	399568	Gabriela
688147	353984	
688148	118088	
688149	163492	Second Waitress
688150	26324	Mrs. Jayson
688150	67595	Angela
688150	109661	Receptionist
688150	163492	Waitress
688150	217416	Exotic Dancer
688150	305418	
688150	342405	Dancing Starlet
688150	407311	
688151	108882	
688151	228896	Fidelia
688151	272794	
688152	19252	
688153	79991	Christian
688154	86796	
688155	37755	Sibyl Vane
688156	25219	
688156	341779	
688157	103893	
688157	292087	
688157	344854	
688158	159434	
688158	199963	
688158	219327	
688158	238757	
688158	269470	Hermana de Lucha
688158	380084	Amelia
688158	380111	
688158	381153	Rebeca
688158	381224	Amparo
688158	381261	Gabriela Cortes
688158	383157	
688158	383471	Magdalena
688158	385257	
688158	385333	Marisol/Claudia
688158	385374	
688158	385855	Úrsula
688158	386738	
688158	388253	
688158	388647	
688158	393985	
688158	396848	
688158	396883	
688158	397603	
688158	398473	Lucía Ruíz
688158	398801	Úrsula
688158	399556	
688158	399709	
688158	399763	Elena
688158	399942	
688158	400490	Matilde Porugal
688158	402585	
688158	403402	Margarita
688158	403558	
688158	403756	
688158	404710	
688158	406056	Viviana, mamá de Jacqueline
688158	409012	Chole
688159	107531	
688160	86880	
688161	106270	
688162	6469	
688162	53653	
688162	86445	
688162	194622	
688162	286283	
688162	383687	
688162	412149	
688163	59484	Goth Girl
688164	235998	Enriqueta
688165	55758	
688165	79566	Girl
688165	120069	
688165	162031	
688165	310217	
688166	5189	Odete
688166	19686	
688166	25010	
688166	30298	Herself
688166	42582	Guigui
688166	43665	Rita
688166	51685	Paula
688166	70489	Irene
688166	76022	
688166	90456	
688166	90457	
688166	92903	Laura
688166	99670	Neli
688166	103903	(segment "Balbino, o Homem do
688166	104134	
688166	124531	
688166	143553	
688166	168372	Gertrudes
688166	198408	Gisele
688166	204993	Helena
688166	218924	
688166	222185	
688166	225841	Ana
688166	234627	Regina
688166	263822	
688166	264272	
688166	268315	
688166	269011	Herself
688166	271276	
688166	295095	Terezinha
688166	295096	
688166	308741	
688166	322220	
688166	344828	
688166	349722	Heloisa
688166	355887	
688166	382883	Flora
688166	386757	Ester Veronese
688166	387502	
688166	402504	Valquíria Mayrink
688166	410375	Helena
688167	401095	Marta
688168	14782	
688169	288802	
688170	307277	Jefa de Limpieza
688170	371290	Lavandera
688171	74274	Mrs. Chua
688172	72032	
688173	5886	Clara Baum
688173	105170	New Employee
688173	107386	Mrs. Cascio
688173	313301	Chorine
688173	323591	Alcoholic
688173	396088	Toni Prentiss Davis (1969)
688174	377464	Mrs. Legrand
688175	53793	Kid
688176	164467	Various voices
688177	41934	Saleslady
688178	20031	
688178	55343	
688178	91151	
688178	272890	
688178	377608	
688179	324689	Tänzer (Dancer)
688180	148372	Kelly
688181	298279	Carla
688182	302679	Dixi, Tänzerin
688183	224483	
688183	340169	La duchesse de Chevreuse
688184	137568	Flatmate
688184	149828	Cop
688185	409403	
688186	155533	
688186	344629	
688187	409403	
688188	86727	La passante
688189	289217	Song Mimer
688190	182765	
688190	209999	Valerie
688191	40277	La fille dans la chambre du r
688191	283601	
688192	41733	Georgia's Mom
688193	211375	La contrôleuse SNCF
688194	57718	Hobyah's Pack
688195	139174	Newscaster
688195	356472	The Media (Herself)
688196	224091	Person at table in Elaine's
688196	317945	Amelia
688197	224091	Person at table in Elaine's
688198	44795	
688200	287750	
688201	305390	Concert Pianist
688202	177013	Teller
688203	399845	Herself
688203	402907	Herself (2003)
688204	37899	Secrétaire Raoul
688205	99768	Jennifer
688206	86319	Britney Maldonato
688207	336641	Bourgeoise metro
688208	41138	Sally
688208	148244	Leah
688208	154846	The Girl
688208	233831	Suzie
688209	396009	The Montanas
688210	341181	
688211	304644	Ballerina
688212	108633	Ekdahlska huset - Aunt Anna
688212	115967	Mother
688212	314911	Herself
688212	340264	Audience
688213	386222	
688214	72931	Goodyear Chorus Girl
688215	138821	Carolyn (Model)
688216	288889	Une infirmière
688218	48041	
688218	163565	Elizabeth Miller
688218	236307	
688219	381527	Boxing Girl
688220	187451	
688221	136850	
688221	199863	
688222	251619	
688222	261574	
688222	344625	
688223	313174	
688224	54159	
688224	63837	
688224	71216	
688224	84220	Melita
688224	85480	
688224	228764	
688224	275122	Carlotta
688224	282114	
688224	294413	Reformatory school inmate
688224	356898	Elena's chambermaid
688225	342375	Party Girl
688226	278537	Herself
688228	81287	Yo
688228	231949	Charolette
688228	407692	Hostess (2002-2003)
688229	211805	
688230	114271	Caller with 87 haunted cats
688230	215629	Miss Penelope
688231	93776	Cashier
688231	254523	Surf Girl
688232	385296	Southern Woman
688233	285158	
688233	406951	Toimitussihteeri Niina Tarkka
688234	118995	Weathergirl
688234	267213	Nanny
688234	296811	Jeny Hudson
688234	361864	Donna McCain
688234	381238	American Woman at Airport
688235	9392	
688236	172444	(segment Zhenya)
688237	96383	Mejorada Díaz
688238	327903	Jane McKerrow
688239	17575	Anna
688239	86612	
688239	88407	
688239	91202	
688239	95650	Nina
688239	95652	Olivia
688239	95749	
688239	129336	
688239	179105	Kolesova
688239	212822	
688239	217461	
688239	244717	Anna Sergeyevna Odintsova
688239	259196	
688239	285196	Lyubava
688239	292988	
688239	294014	
688239	313889	
688239	318147	
688239	339243	
688239	339332	Natalya
688239	340066	
688239	351063	
688239	354327	
688239	373998	
688240	261368	
688240	394752	
688241	262644	
688242	23054	
688243	351292	
688244	25063	
688245	377099	Soprano
688246	240083	
688246	372712	
688247	216398	
688248	4334	Maanviljelysneuvoksetar
688248	43672	Various
688248	139429	Kati
688248	142118	Helga Alibullen
688248	172404	Anna-Maija
688248	229015	Various
688248	244653	Various
688248	278686	Pirjo
688248	303315	Laura
688248	332518	Marketta (Tutteli) Bööm
688248	349137	
688248	354289	
688248	357592	Kristiina Kivi-Bergh
688248	394023	Ilona Lumme
688248	394436	
688248	404782	Vilma Kaunispää
688249	37781	Susy
688249	205437	
688250	208813	
688250	381504	Mme Pigeon
688250	401151	
688251	45619	Hôtesse de l'air
688252	118268	Beauty
688252	272022	Blake's Date
688253	148686	L'acupunctrice
688253	234783	Mlle Herbillot
688253	287321	Electre
688254	380869	Chloée
688255	331555	
688256	106723	Dancer
688257	354607	Städerskan (episode 1)
688258	26987	Patricia McMullen
688259	235067	Peggy
688260	23474	Linn Jacobs
688260	32986	Dana
688260	57379	Ann Soames
688260	68421	Patricia Allardyce
688260	71675	Roberta Price
688260	78084	
688260	92291	Donna
688260	160472	Herself
688260	176962	Mrs. Kraft
688260	205315	Sandy Welby
688260	213153	Janet Greenville
688260	217536	Doctor
688260	244430	Dottie
688260	288107	Vice Principal
688260	298008	Rena Coughlin
688260	369452	Mrs. Scully
688260	406615	Deborah Sullivan
688261	162055	Barbara
688261	278898	
688262	307457	Karla Davis
688263	173089	Birthday Party Guest
688264	40549	
688266	314448	
688268	67376	Wendy
688269	5533	
688269	18728	The Apache Kid's Sweetheart
688269	21442	
688269	26827	
688269	32812	
688269	39266	
688269	46567	Helen
688269	52858	
688269	65082	
688269	68732	
688269	71750	
688269	79397	Nechia, the Sioux
688269	89715	
688269	96703	Eunice
688269	118266	
688269	120759	
688269	128622	One of the Girls
688269	128625	Louise Mantell
688269	135826	
688269	142992	
688269	143147	Dr. Jacque Bronner
688269	146020	
688269	167652	
688269	183219	Ray Fox
688269	183576	Violet de Ray, Lady Barber
688269	187276	
688269	195437	
688269	201526	
688269	211775	
688269	220264	
688269	224586	
688269	245390	
688269	246411	
688269	253112	
688269	280963	
688269	283845	
688269	297720	Mlle. Dulcie
688269	309558	Mavis
688269	327858	
688269	334242	
688269	350067	
688269	362941	
688269	367698	
688270	254283	July Petty Girl
688271	276429	Bernice Dobbs
688272	362689	Nancy
688272	372600	Rosemary Kennedy
688273	177695	Ellie
688274	301559	Mary Sue
688275	90887	Marguerite Fetzer
688276	9795	Princess Jasmine
688276	9802	Princess Jasmine
688276	9813	Princess Jasmine
688276	9816	Jasmine
688276	9820	Princess Jasmine
688276	9821	Princess Jasmine
688276	9822	Princess Jasmine
688276	9823	Princess Jasmine
688276	9830	Princess Jasmine
688276	30702	Fan
688276	61673	Caroline Ballard
688276	75652	Polly
688276	79010	Skye of Lynlorra
688276	110285	Liz
688276	113385	Trudy Tackle
688276	133959	Princess Jasmine
688276	165843	Princess Jasmine
688276	177632	Princess Jasmine
688276	177633	Princess Jasmine
688276	179041	Annette
688276	200098	Princess Jasmine
688276	223984	Cory Lindross (bride)
688276	231088	Kelly
688276	244918	Melanie Miller
688276	253510	
688276	276690	Princess Jasmine
688276	283410	Gill's Girlfriend
688276	340785	Princess Jasmine
688276	343031	Carrie Boxer
688276	373989	Joanne
688276	379568	Jasmine
688276	392134	Jasmine
688277	60739	Matty Maginnis
688277	71713	Hilary's Friend
688277	123092	Virginia
688277	136007	Mary
688277	150831	Kate Mitchell
688277	160970	Jean's secretary
688277	208915	Cpl. Jean Watt
688277	213276	
688277	246335	Liz O'Boyle
688277	266618	Abby
688277	273084	
688277	345685	
688277	374299	Rita
688277	379411	Mary Mulvane/Mary Garrett
688278	74006	FBI Agent Kiser
688279	49243	Hatcheck Girl
688279	351438	
688280	36694	Girl Friend of Cynthia
688280	44450	Patty Kovic
688281	4536	Female Mogul
688281	7545	Lugene Brooks
688281	20318	Woman
688281	23973	Anita Loos
688281	26081	Mrs; Karlov
688281	45651	Commission Lawyer
688281	51934	Mrs. Baron
688281	72726	Aunt Elsa
688281	73744	Nurse
688281	92513	Mrs. Mintz
688281	100803	
688281	109607	Grandma Maddox
688281	117037	Sheila (Walter's Secretary)
688281	145047	Immigration Woman
688281	145736	Bess Truman
688281	147607	Lacie
688281	162986	Saleswoman
688281	171042	Museum Woman
688281	176918	Lawyer
688281	188929	Woman #2 on Parole Board
688281	213866	Flo
688281	220502	L'Anglaise
688281	240656	
688281	241731	Marybeth
688281	296689	Lucille
688281	296830	Mrs. McTavish
688281	314815	
688281	317812	Flower Shop Woman
688281	318642	Pam Lathrop
688281	342560	Second Party Guest
688281	343147	Gloria
688281	344553	Mrs. Neely
688281	350433	Mrs. Griffin
688281	350622	Mrs. Roosevelt
688281	355519	Officious Nurse
688281	362880	Judge
688281	379902	Mrs. O'Malloy
688281	389561	Claire McAlister
688281	398776	True Crimes Performer
688281	402176	
688281	406120	Mrs. Cromwell
688282	120798	Patricia
688283	239729	Maggie Allen
688284	387309	Laurie Ann Karr Lamont Dallas
688285	385719	Crystal Cabot (aka Angelique 
688286	390778	Tasha
688287	343201	Brooklyn Girl
688288	70429	Preach's Mother
688289	42388	Spottedhorse Art Teacher
688289	341829	Hineata
688290	279604	Dianne Miles
688291	95793	Herself
688292	297871	Handmaiden
688293	102163	Narrator
688294	341931	Choir Singer
688295	163729	Isabella
688295	175544	Herself
688296	118987	Herself/Various Characters
688296	122029	Ammonia
688296	282630	
688296	308598	Mrs. Bjoernson
688296	408877	Jo Bailey (1981)
688296	409644	Ammonia
688297	345650	Lady #1
688298	64932	First Girl
688299	56048	Mme d'Orvier
688299	65529	Une comédienne qui refuse de 
688299	271374	
688299	278146	Françoise, la secrétaire
688299	282781	Pierre (la femme du chef)
688299	294796	La fiancée d'Hakim
688299	337431	Françoise la syndicaliste
688299	348489	La coiffeuse
688299	383373	
688299	390668	
688299	392907	Tromboséliane etc...
688299	399813	Herself (1999-2001)
688299	401531	
688300	309202	D.O.G. Sister
688300	348601	Sauced girl
688301	41191	Ingrid
688301	69402	
688301	92490	Jennifer
688301	92495	
688301	102798	
688301	102828	Esmerelda (Puu-Nanni Tribe)
688301	115281	Cassandra
688301	128445	
688301	129188	Clitoris' Wench
688301	160372	Herself
688301	160938	Greta
688301	194487	Bar Maid
688301	197812	Ruby
688301	216204	
688301	222320	Dr. Humboldt
688301	223928	
688301	224387	
688301	251793	
688301	288474	Phoenix
688301	293027	
688301	296371	
688301	311051	
688301	366736	Lucy
688302	250799	
688302	356027	
688303	93989	
688303	123808	
688305	19199	Agnes
688305	68353	Marie
688305	116992	Amie premier assistant
688305	125741	Anne
688305	199572	Hotel Campanile receptionist
688305	255589	
688305	273933	Véronique Santoni
688305	348798	Blonde Girl
688305	398844	Magali Mélissol
688305	401988	Marie-Rose
688306	84525	Inge
688307	230643	
688308	322353	Virginie
688308	398595	Roselyne Poitras
688308	410252	Patricia Gagnon
688309	268448	Momo's sister
688310	402349	La prof de piano
688311	329322	
688311	400393	Rita Arnould
688313	31511	
688313	197204	
688314	306312	Herself
688315	26583	Other Child
688316	45401	Carrie Brackney
688316	47149	Betty Houston
688316	50974	Doris McAfee
688316	57013	Singer
688316	81640	
688316	108311	Mrs. Linsen
688316	127483	Mrs. Dorothy Lawrence
688316	183445	
688316	191119	Dorothy Bradshaw
688316	242757	Lt. Schmidt
688316	283369	Laura Richardson
688316	321556	Mrs. Olsson
688316	358076	Nancy Collins
688316	394172	Barbara Scott
688316	410616	Anne Marie Lowman
688317	116291	
688318	345288	Nadine Verkamen
688319	62567	Sarah
688319	84696	Madame Lurs
688319	96063	Le président du tribunal
688319	138862	
688319	208335	Gisèle
688319	217648	Yoyo
688319	227300	L'assistante sociale
688319	266403	Martine, la greffière
688319	336234	La chargée de recrutement
688319	346445	Lorette
688319	376963	Agathe
688320	5075	
688320	41661	Manon
688320	53142	Marianne
688320	62564	La prostituée
688320	151892	La fille de la boîte
688320	200930	Colette
688320	217648	Ania
688320	236584	Young woman looking for the c
688320	247161	
688320	336944	Nathalie
688321	366454	
688321	366455	
688322	311527	
688323	104616	Herself (French member of the
688323	124328	
688323	193392	Herself
688323	240049	Herself
688323	406378	Academy manager
688323	406380	Academy manager
688324	153840	Une cliente jolie
688324	351255	Herself
688325	286274	Keyboards
688326	134592	
688327	322648	
688328	164193	Corinne
688329	379341	Leota
688329	409501	Holly Higgins/Mitzi the dog
688330	354933	
688331	31448	Constable Odette
688332	218341	Tuppa Girl
688333	194405	Student
688334	25819	La femme témoin
688335	1699	Herself
688335	25169	La juge
688335	25819	Dr. Salomé
688335	51174	Agathe
688335	58415	Fernande
688335	62781	Michèle
688335	72630	Mme Bergaux Latour
688335	73472	Martine
688335	89281	Jeanne
688335	99587	Hélène Rivard
688335	100738	
688335	101270	Herself
688335	101271	Herself
688335	101272	Herself
688335	101273	Herself
688335	106990	Marcie
688335	107835	Constance
688335	122411	Herself
688335	164149	Arlette
688335	195157	Duchesse de Longueville
688335	198638	Hanna Fabre
688335	202065	Valentine
688335	205485	Adopted Child's Mother
688335	208277	Suzanne
688335	217733	Claire Letellier
688335	220496	Cécile
688335	222514	La speakerine TV
688335	229666	Isabelle
688335	231579	Eva Prudhomme
688335	239219	Alexandra
688335	248678	
688335	253522	Marie-Christine, dite Cricri
688335	257043	Mlle Bertrand
688335	258313	Hélène Monier
688335	268417	Marie
688335	268418	Marie Hagutte
688335	294796	Claire Doste
688335	318512	L'hôtesse de l'air
688335	324437	Hélène Baraduc
688335	346526	Alice Bataille
688335	346542	Marie
688335	346819	La Chasseuse de Têtes
688335	360843	Hélène
688335	376593	Herself
688335	377848	Oriane Roche
688335	383117	Madame Robine
688335	402577	
688335	403253	
688335	408885	Maître Adler
688335	409273	
688335	410309	
688336	29640	Giusi
688337	248258	Tatiana
688338	239891	Neighbor
688339	75799	Ally
688339	80844	Waitress
688340	305157	
688341	274903	
688342	29636	
688343	411623	Nicole Legendre
688344	2743	
688344	206274	
688345	166115	Herself
688346	331377	Woman at Bank
688347	54791	Unica sobreviviente
688348	380082	Preciosa
688348	400942	Cachita
688349	133871	Pretty Young Woman #1
688350	71319	Ute (segment "Space Traders")
688351	191495	Manderville's Widow
688352	68343	Thérèse
688353	231997	Dancer
688354	74277	Mother
688355	392530	Herself - Finalist #3 (2002)
688356	42991	Rosita (cantina singer)
688356	52366	Juan's Wife
688356	57297	Dolores Fernandez
688356	60948	Panela
688356	64729	Bit part
688356	79371	Dancer
688356	82677	Maya
688356	83665	Juanita LaRoux
688356	90161	Carmen
688356	162818	Taiao
688356	271855	Dancer
688356	289054	Seniorita Rita
688356	307191	
688356	308372	Anita Verdugo
688356	313700	Rosita Ruiz
688356	343265	
688357	33547	Julie
688358	68874	
688358	91911	Femme du rédacteur
688358	99375	
688358	111067	Assistante sociale
688358	333692	Madeleine Vasti
688358	345118	Germaine
688359	306844	Lucimar, Brazilians
688360	23862	Alt-Sab
688360	140298	L'infirmière
688360	220218	La femme en crise, Suisse
688360	349815	Simona
688361	18887	Tatie Huguette
688362	353978	
688363	55754	Leslie Bennett
688363	75496	
688363	92345	
688363	103395	Julia
688363	112098	Hallie Hobart
688363	189007	Renee Duval
688363	334570	
688363	376775	Laura Darke
688364	3475	Miss Parker
688364	45376	
688364	51920	
688364	74808	
688364	89917	
688364	108732	
688364	161560	
688364	221950	
688364	243721	Jacinta
688364	296449	María 1ª
688364	317683	
688364	373757	
688365	3388	
688365	8468	
688365	14801	(segment "Seducción, La")
688365	73524	
688365	83887	
688365	87834	
688365	96270	
688365	100931	
688365	115770	Gena Almada
688365	157185	
688365	183160	
688365	192959	
688365	205197	
688365	210173	
688365	222049	(segment El trikini colorado)
688365	233647	
688365	236470	
688365	258484	
688365	261225	
688365	265114	Maria
688365	339451	
688365	373886	
688366	387189	
688366	390459	
688366	404815	
688367	94840	Dancer
688368	101967	Azafata 4
688368	402686	Quintrala de 4 años
688369	101967	Azafata 3
688370	83305	L'Américaine des toilettes
688371	246034	Herself - Presenter
688371	385904	Herself - Host (2004)
688371	409153	Herself - Host (2002-)
688372	187716	Lena
688372	189113	Olvido
688372	198215	Costurera 3
688372	204989	Chica en playa
688372	236465	Herself
688372	253322	Alicia
688372	262611	Beatriz
688373	385947	
688373	398503	Luzia
688373	399645	
688373	402537	Malvina
688373	410054	Maria
688374	29920	Julie Spencer
688374	42696	Carrie
688374	70925	Gloria
688374	92307	Christine
688374	99769	Lizzie
688374	105773	Lisa
688374	147840	Karen
688374	149974	
688374	150965	Melinda
688374	177284	Kathryn Burns
688374	196346	Channi
688374	257668	Herself (Model)
688374	258075	Jodi (episode "His Tale Her T
688374	270705	Dain
688374	320028	Oz
688374	357151	Lisa
688374	368227	Torri
688375	217433	Miss Jensen
688376	307837	
688377	385850	Herself - Hostess
688377	408383	Herself - Host (1987)
688378	49151	
688378	98588	
688378	181109	Lemmya Lofranco
688378	203811	Menchie
688378	318410	
688378	346898	
688378	382906	Herself (2001-)
688378	394773	
688379	387916	
688380	405868	
688381	18802	
688381	27965	Elena
688381	53652	Sor Marcela
688381	82058	María
688381	212467	Florence
688381	328376	
688381	354272	Herself - Presenter: Best Fil
688381	369556	Herself - Presenter: Best Sup
688381	376701	Vera
688381	380488	Herself - Host (1981)
688381	384402	
688381	384811	
688381	389219	Isabel
688381	397283	
688381	401248	Laura Maseras (1997-1999)
688381	404755	Adela
688381	409881	
688382	14933	
688382	43664	
688382	88051	
688382	91419	
688382	171471	Emma
688382	171619	
688382	171620	
688382	198235	
688382	292774	
688382	385399	
688383	207968	Andrea Cervantes
688384	54824	
688384	61341	
688384	65603	
688384	115192	
688384	121952	
688384	165896	
688384	193355	
688384	212475	
688384	234014	
688384	277125	Pepita; Iris
688384	350066	
688384	355757	
688384	409913	
688385	11040	
688386	159188	
688386	221567	
688387	212666	Directora
688388	24554	Ana
688388	67212	
688388	197976	Nurse
688388	299714	Carmen
688388	353973	
688389	219606	
688389	396328	Mme Rinaldi
688390	56525	
688391	13117	
688392	412260	Diane
688393	17857	
688393	43673	Sonia Michaud
688393	62437	Ghislaine
688393	118760	
688393	250780	Ségolène
688393	254317	Lucienne
688393	324966	Juge
688393	355245	
688393	392129	Yvette Caragnac (1991)
688393	410149	Brigitte
688394	225031	Mariana
688395	198550	Sophie Piffard
688396	168570	Teddy Connor
688396	208437	
688396	282656	Irene, the Princess
688396	308157	Dorothy Leigh
688397	31725	
688398	211048	Sra. Urquía
688399	1149	
688399	29513	Beatrice
688399	32003	Armelle
688399	58409	Flo, la coiffeuse
688399	94869	Madame Langevin
688399	101203	Jeanne
688399	162306	La standardiste
688399	162510	Sophie
688399	164167	Betty's Club girl
688399	166120	Françoise
688399	167103	Lydia
688399	189339	
688399	198633	
688399	236203	
688399	245937	
688399	246292	La soeur archiviste
688399	255589	
688399	258316	Estelle
688399	276385	Suzy
688399	322339	Girl at Party
688399	345461	Mimi
688399	410144	Toinon
688400	354761	
688401	257567	
688402	28026	
688402	54098	
688402	55798	
688402	62201	
688402	63873	
688402	83756	
688402	123152	
688402	170090	
688402	227565	
688402	259967	
688402	310071	
688402	351491	
688402	353667	
688402	353982	
688402	377175	
688402	377191	
688403	225696	Herself
688403	232481	Herself/Pianist
688403	363097	Herself (pianist)
688404	5264	
688405	10255	
688405	13451	Emerald Queen
688405	143666	
688405	171618	
688405	215589	
688405	270336	
688405	272794	
688405	289080	
688406	102441	Brigitte
688407	152989	Bit Part
688408	69342	La femme en colère
688409	61354	
688410	26375	
688410	30867	
688410	39047	
688410	222110	Nicole Matias
688410	223936	
688410	318402	Agnes
688410	390069	Yanna Cortez
688410	398494	Nicole Matias
688410	407337	Gail (2000)
688411	222719	Ola Wilkins
688412	13712	Lara
688412	41501	
688412	87936	Young Jeanette
688412	115869	Ardelia
688412	119585	Dora Charles
688412	127295	Reena Evers (age 10)
688412	151625	Little Anna
688412	154876	Adlaine Harper
688412	185759	Raven
688412	190890	Louetta Covington
688412	214228	Kendra
688412	221375	
688412	238283	Angela
688412	333347	Tonya Hailey
688412	336914	Slick
688412	362512	Young Anna Mae Bullock
688412	392459	Adlaine Harper
688412	397171	Wanda Grace
688413	211662	
688414	211662	
688415	17845	Marthe
688415	54652	Hélène
688415	63853	Annie
688415	69345	Geneviève Henchoz
688415	202516	Josette Clotis
688415	234573	
688415	240601	Anaïs Montjaurret
688415	379846	Odile
688415	383523	
688415	396228	Alice Dornier
688416	39097	
688418	153717	Anna
688419	381288	Herself (säsong 3)
688420	109133	Herself - Presumed incest vic
688421	150140	
688422	35121	Sussi
688422	72840	Elisa
688422	274831	BJ-pige
688423	11945	Pauline
688423	139151	Groupie
688423	364292	
688424	397146	Herself - Host/Chef (2000-200
688425	17730	Herself - Cancer patient
688426	59726	Skuespiller
688427	327337	Herself - Woman in street
688428	305575	Woman in Window/Woman on Plan
688429	32861	
688430	87218	Clerk
688431	298650	
688432	42785	Student #1
688432	84739	Pot Couple
688432	120236	
688433	92902	
688434	216772	Rachel Glazer
688435	280729	Hub's Secretary
688436	203436	Chorus
688437	12228	Stripper in Bar
688438	78483	Herself (performing 'Jeg tror
688439	212332	Herself - Participant/Perform
688439	212333	Herself - Participant/Perform
688440	33624	Saloon Girl
688440	46166	Laura MacGregor
688440	72622	Stella Drew
688440	84977	
688440	112571	Julie Sinclair
688440	144562	Valarie Carson
688440	185721	Mary Anne Palmer
688440	245349	Monica
688440	249523	Janice Thompson
688440	299493	Banker's Daughter
688440	302021	Diane Chambers
688440	339417	Bernice, Myra's secretary
688440	349988	Bee Laverne
688440	349993	Ellen Shaw
688440	361290	Casey
688441	268368	Tone
688442	139073	Lucy Kane
688443	213495	Kid
688445	241036	Herself
688446	136733	
688446	336411	Maren-Balle
688447	52804	Dinah
688447	81311	
688447	292249	Suzy
688448	280218	Bennys mor
688449	281170	The Nurse
688449	281176	Juliet's Nurse
688449	315469	Ballet Mistress
688450	5501	Blondi
688450	203481	Street Girl
688450	317958	Air Stewardess
688451	205446	Wilma
688452	242481	Kroværtinde
688453	56545	Herself
688454	40987	
688455	7558	Anne
688455	30170	
688455	64636	Tove
688455	91265	Dorte
688455	108169	Sutte Gelinde
688455	108966	Grete
688455	136635	Leni Rosner
688455	182566	Leni Rosner
688455	198115	Ida Møller
688455	213437	Lissy
688455	213671	Speaker
688455	216285	Lone Smith
688455	237023	
688455	304176	Lisbeth
688455	351275	Eva Nielsen
688455	353010	Dorthe Ryding
688457	94271	Herself - Landmand
688458	326390	
688459	242689	Margarethe
688459	275199	Prinsesse Gulltopp
688460	116995	Speaker
688460	238780	
688461	112005	Young Lady
688462	397955	Laila
688463	268808	Cæcilie
688464	66219	Josephine
688464	124930	
688465	66219	
688466	136360	
688467	394052	Trine
688468	26336	Willems moeder
688468	78214	
688469	43220	Other Extra
688470	213495	Mother
688471	331040	
688472	174665	
688473	330550	Candy
688474	289764	Soldier Daughter
688474	347562	Daughter of Obsessed Roseanne
688475	368929	Trapped Kid
688476	392072	Tove Jensen (1998-2000)
688477	156851	Mother at Tea
688478	276869	Laura Dayton
688479	182457	
688480	182100	Kiosk-lady
688480	182602	Pige på værtshus
688480	203968	Ane
688480	268376	Kassedamen
688480	287375	Genbopigen
688480	334045	Sonja, Vestads stugepige/Sonj
688480	354739	Sygeplejerske
688481	229987	
688482	115079	Sally Ann Lesser
688483	121811	
688483	164819	
688484	20891	Dorthe
688485	92513	Det. Carson
688485	105805	C.S.U. Jessica Reed
688485	175223	Leslie
688485	230906	Phoebe
688485	270231	Julia
688485	285734	River Banks Woman
688486	333006	Herself - Mother to two daugh
688487	43372	Susan
688487	61565	Secretary
688487	169662	Talk Show Guest
688488	397146	Herself - Co-host (2000-2001)
688489	83307	
688490	174444	Politiassistent 2
688490	174445	Herself - Scriptwriter
688491	176930	Dina
688492	198530	Herself
688493	259266	Hysterical Lady
688494	400118	Klassekammerat (Classmate)
688495	78489	Herself (performing 'Stille K
688496	78474	Herself (performing 'En under
688497	78496	Herself (performing: 'Kys mig
688498	13074	
688499	227735	Eva
688499	248424	Mona - 11 år
688499	287375	Nina, elev
688500	173141	
688500	358846	Miss Måneskin-pige
688501	304143	Amalia Karlsson
688501	346968	Borg's Wife
688502	108968	Ida
688503	189801	
688505	43925	Ishmael's Son's Wife
688506	104815	
688506	125279	Susanne
688506	343488	Jeanette
688507	45467	Mrs. Marker
688508	258098	Stripper
688509	110408	Kvindeband - Trommer
688510	395115	Bo (baby) (1994)
688511	182626	Barnesygeplejer
688512	212336	Herself - Participant/Perform
688513	322293	The Daughter
688514	411905	Various roles
688515	40300	Linda
688516	184677	Marianne
688517	264050	Maid 3
688517	268213	Dame i bus
688518	89193	
688518	334310	Frk. Lene
688519	162582	Bente
688521	78289	Herself - Consultant, Deloitt
688522	374198	Tiller girl
688523	384180	
688525	235226	Herself
688525	264158	Ball Reporter
688525	271344	Fashion Show Model
688526	406823	Marita
688527	327241	
688528	178189	Extra
688529	70619	Muriel Debord
688530	1038	Six Chick
688530	199683	Racing Team Girl
688530	278247	Courtney Enders
688530	304838	Liz
688530	310581	Little Angel
688530	402812	Emily Stewart
688531	97351	Waitress
688531	127407	Carol Aitken
688531	215257	Tron Bonne
688531	218360	Shelley Frank
688531	280228	Tron Bonne
688531	280229	Tron Bonne
688531	316116	Andrea Sheldon
688531	363001	Bartender
688531	379162	Cyndi Taylor
688531	380942	The Computer
688531	395742	Sonya Lee
688532	280729	Hub's Secretary
688533	200252	Sara
688534	16631	Angela Hemingway
688534	194546	Molly Walker
688535	72733	Operator #1
688536	172404	
688537	202324	Punk Rock Student
688537	206096	Victim
688538	37696	Boobalonia Guard
688539	16672	Patty Bahr
688539	131225	
688539	293020	Kristen Hadley
688540	44548	
688541	55641	Alex Parker
688541	332530	Twin Girl at Orphanage
688542	267588	Percentage Girl
688542	365271	One of the Golden Girls
688543	126282	Cantina waitress
688543	235052	Eskimo
688544	200925	
688545	49387	Ruby Wall
688545	52580	Casting Director
688545	156501	Donna
688546	20625	Extra
688547	341885	Reporter in Subway
688547	380390	Lori Davidson Martin #1 (1981
688548	3593	Herself/Opal
688548	63682	
688548	201205	
688548	245658	
688548	352618	
688548	364025	Peggy Beaumont
688548	366617	Mrs. Fixer
688548	379716	Opal Sue Gardner Purdy Cortla
688548	380713	Judith Clayton (1986)
688548	400236	Ursula Blackwell (1988-1989)
688548	404282	Garnette (1990)
688549	157295	Herself
688549	254802	Girl
688549	390626	
688550	108386	
688550	120148	Girl #1
688550	158273	Tracy Cole
688550	172703	Teenage Girl
688550	191755	Girl
688550	241762	
688550	400236	Kate McKee (1984)
688550	404002	Lizzie Ransom Ryan (1986-1989
688552	55641	Lucy Parker
688552	332530	Twin Girl at Orphanage
688553	132247	Los Alamitos Dance Team
688553	280438	Patricia
688554	316782	Secretary
688555	194693	Ms. Crisp
688555	212038	Myrna Beavers
688556	362191	Alice
688557	122619	Emily
688558	288943	Dock Kid
688559	111789	Eleanor Parker
688559	293105	Reporter
688559	380713	Mary Hopkins Campbell (1993)
688559	383654	Vanessa Crane (1983-1985)
688559	390771	Calla Matthews (1985-1986)
688559	396123	Bonnie Rescott Davis (1994)
688559	400236	Leigh Malone (2000)
688559	407916	Paige Marshall Carrington (19
688560	92513	Carson
688561	85871	Bambi
688562	303427	Mrs. McAllister
688563	122914	Sissy
688564	265171	Martha
688565	342593	Singer
688566	35658	FBI trainee
688567	118763	Mrs. Hillier
688568	64734	Briana
688568	406710	Additional Voices
688569	73902	Donna Duncan
688570	26258	
688571	236657	
688572	312558	History Student - Ryan Larson
688572	347856	Kirsten
688572	379831	Kimberly Corman #4 (1993)
688573	7891	Sarah
688573	141130	Wendy
688574	39278	
688575	215831	Clerk #1
688576	71440	Fiordiligi
688576	129025	Cleopatra
688576	236182	Cherubino
688577	32512	Dags mor
688577	183997	Hans hustru
688577	183998	Fru Lind
688577	303678	Kvinnelegen
688578	169812	Waitress
688578	195771	Person at the Paris Opening
688579	26360	
688580	142231	Liten pike
688581	382429	Herself - Designer (2003-2004
688582	349575	Annika
688583	180101	Eivor
688584	104807	Marianne Strömdahl
688584	171697	Birgitta P
688584	387963	Marianne Strömdahl
688584	399873	Astrid
688584	406604	Lärarinnan
688585	30749	Kalle's Mother
688586	304408	Elna's mother
688587	406823	Stina
688588	138449	Anna
688589	171636	Hostess
688589	182309	Witch/Heksa
688589	349075	Susanne Flodin
688589	382459	
688589	399850	Paula Santos (75 episodes 199
688591	42200	Majlis Kellerman
688591	96422	Kristin
688591	120066	Greta
688591	153754	Lilly Lilja
688591	190815	Françoise
688591	206209	Ms. Ryttenskiöld
688591	214376	Diana Sundelius
688591	253911	Gunnar's mother
688591	276209	Karin
688591	289783	Student
688591	303200	Ines
688591	390639	
688592	1056	
688592	94258	Margareta
688592	122449	Worried Neighbour
688592	191576	Taxipassagerare #2
688592	198252	Polisens sekreterare
688592	228388	Woman in Bus
688592	298474	Woman in car
688592	400886	Herself (Red Team)
688592	401773	Staff manager
688592	403658	Babben
688593	48368	Wedding Guest
688594	236181	Barbarina
688594	374130	Papagena
688595	120848	fru Lindberg (episodes 2 and 
688595	130070	Mia
688595	355639	Tania
688595	395047	Receptionist
688596	100549	Guest
688596	170838	Girl
688596	171991	Britta Larsson, Olle's fiance
688596	192928	Kerstin Linder
688596	275590	Ellen, Lunds' housemaid
688596	315360	Girl
688596	317619	
688596	349902	Guest at Jensen's party
688597	76782	Dagmar's friend
688597	182540	
688598	120848	fru Jespersson (episodes 2 an
688598	240214	Helen
688598	406331	Jenny
688599	2256	Tobbe's mother
688599	17467	Stella Karlberg
688599	69875	Lotta
688599	87439	Camilla
688599	90109	Dona Elvira
688599	96420	Kajsa
688599	154689	
688599	202075	Madelaine
688599	390854	Elisabet Dohna (segments 1, 3
688599	399850	Åsa Pettersson (184 episodes 
688600	12011	Marta Brehm
688600	29556	English teacher
688600	33098	Lydia Wahlström
688600	33254	dam i hatt (episode 3)
688600	120027	Woman at the party
688600	122504	Ulla
688600	146845	Maria
688600	176770	Berit
688600	182553	Politician
688600	225340	Kaisa
688600	236290	Mother
688600	240213	Maggan
688600	252566	Matilda
688600	268375	Minister of Justice
688600	303664	Margareta, Lisa's mother
688600	315605	Teacher
688600	321972	Eva
688600	351989	Inga-Lill
688600	357752	Teaterchefen
688600	377442	Lena Moltke (episode 2)
688600	385553	Birgitta, Knubbe's mother
688600	388894	Vera (episodes 4-9)
688600	404048	Anita Johansson
688600	408339	Eva Hedman
688601	13614	Annika
688602	223091	
688603	398852	Somalisk anka
688604	256500	Pippi Longstocking
688605	348474	Kristina, nurse
688606	322277	Sara Jönsson
688607	199518	Kristina's grandmother, an ar
688608	88824	Maid
688609	1385	Eliz Zetterberg
688609	33098	Karolina Widerström
688609	96420	Johanna's Mother
688609	120027	Antique Shop Customer
688609	214385	Matilda
688609	252566	Viktoria
688609	289486	Zerbinette
688609	322280	Beryl, Marianne´s sister
688609	351458	Tourist
688609	351889	Exfrun
688609	381311	Glenn's Mother
688609	411580	Annsofi, Xerxes' mother
688610	317363	Britta
688611	305884	Female Police
688611	352940	Police officer
688612	320515	Herself
688613	406823	Maria
688616	409111	
688617	191171	Nurse
688617	401730	Ulla
688618	37769	Vanja
688619	217645	Marilou
688619	354764	Jacqueline, maid
688620	179707	Viola Malm
688621	119462	Kjersti
688622	101122	
688623	170382	
688623	314386	Prostitute
688625	33574	Parthenis, a Courtesan
688625	90087	Zerlina
688626	392072	Martine Bratlie Krogstad (200
688627	159646	Anna Charlier
688627	206246	Hanna
688627	342302	
688628	169061	Waitress
688629	36689	Ella Öhman
688630	119462	Mari
688631	258385	Julia Eriksson
688632	129180	Herself - Dancer
688634	180101	Delivery girl
688635	59717	Maid
688636	255945	Karla Andersson
688636	314385	Mrs. Stensson
688636	314958	
688637	335363	Patricia
688639	386020	
688640	36689	Elsa Öhman
688641	170848	Herself - Participant/Perform
688642	212337	Herself - Participant/Perform
688644	354052	Ellen
688645	84299	
688646	388446	Herself (#Winner 2003)
688647	408800	Moa Lindgren (1996-1997)
688648	166271	Secrétaire 1
688649	1674	Herself
688649	2188	Isobel
688649	14122	Zerelda 'Zee' Mimms
688649	69333	Olivia Averill
688649	93762	Dulcie
688649	113305	Clear Rivers
688649	113306	Clear Rivers
688649	129113	Amber
688649	151106	Sara Wolfe
688649	165977	Chrissy
688649	187191	Brooke Taylor Windham
688649	195021	
688649	205789	Marigold
688649	239065	Herself
688649	309943	
688649	350700	Darcy Sears
688649	372583	Herself
688650	379348	
688650	407819	
688651	342469	Anne Bailey
688652	342469	Carol Turner
688653	87902	Une hôtesse
688654	309752	Morgue attendant
688655	148771	Èva
688655	346638	Odile
688655	346824	Salomé
688656	1348	Herself
688656	3593	Herself/Dr. Maria Santos Grey
688656	29678	Ismene/Kara
688656	72560	Parice
688656	78038	Leslie Cruz
688656	93123	Annette Funicello
688656	127323	Erin Riddle
688656	141179	Peisha
688656	155209	Alison
688656	161295	Herself
688656	187186	Newscaster
688656	192160	
688656	241404	Daphne
688656	245084	Denise Johnson
688656	275480	Serena Principessa di San Tib
688656	279845	Debbie Dix
688656	360751	Host
688656	368586	Host
688656	379716	Dr. Maria Santos Grey (aka Ma
688656	383341	Hostess
688656	391207	Carmen
688656	404282	Margot Collins (1988)
688656	408036	Brooke Carney (2000-2001)
688656	408369	Herself/Guest Panelist
688657	37033	Woman in Car #3
688657	108919	Boston Maid
688658	295728	Lisa (Strip Poker Girl #2)
688660	90371	
688661	232127	
688662	295641	Herself
688663	14999	Nicole
688663	19813	Alice
688663	225481	
688663	283025	
688663	304787	Andrée
688665	67156	
688665	143202	Switchboard Operator
688665	157866	Rosita Alvarez
688665	163233	Ingenue
688665	230693	Shopper
688665	292620	Zara [Ch. 5]
688665	362169	Village Woman
688666	2835	
688666	138699	Foxy lady #1
688666	315872	Herself
688667	244831	
688667	276950	
688668	319495	Herself
688669	273782	Career Day Student #1
688670	26911	
688671	16986	
688671	33947	
688671	34658	
688671	37225	
688671	41650	
688671	93990	
688671	93991	
688671	117103	Sue
688671	167586	
688671	247989	
688671	255397	
688671	274415	
688671	295936	
688671	319673	
688671	329748	
688671	347390	
688672	324162	
688673	11010	Journaliste
688674	18019	Woman Sitting with Nick in Ca
688674	245209	Marimba player
688674	371887	Yolanda's Maid
688675	205746	
688676	128816	Hostess
688676	154466	Dolly
688676	158865	Adrienne
688677	31964	Beatrice Cenci
688677	138475	
688677	175135	Karen
688677	203506	Helen
688677	251649	Kitty
688677	286372	Licia
688677	328523	Janine
688677	383780	Clemma Zendt
688677	385824	Brooke Hamilton #1 (1975-1977
688677	389858	Ida (1983)
688678	117223	Kate
688678	155861	Liz Alcott
688678	236982	Dayroom Woman #2
688679	120063	
688680	252776	
688681	1894	Herself - Host
688681	168446	
688681	390927	Host (1990-1991)
688681	394829	Herself - Host
688681	401800	Herself - Host (1993-1994)
688682	3228	Lydia
688682	41115	Ingrid (Birgitta's sister)
688682	114961	Fransiska's collegue at work
688682	115401	Kerstin
688682	322310	
688683	103535	
688684	69697	
688684	221676	Begoña, Mikel's Wife
688684	410275	
688685	52708	Ana
688685	390244	Ane
688686	377166	
688687	265353	Patron
688688	119256	Flamenco-Tänzerin
688688	308003	Flamenco Group
688689	218227	Marité
688689	255501	
688689	317745	Ana
688689	342149	Amiga Ruth
688689	379001	Paula
688689	379252	Tamara
688689	379648	Pilar
688689	382941	Patricia
688689	396333	Pilar Ponce
688689	403782	Liliana Espina
688689	404074	
688690	88822	
688690	222011	
688691	316716	Waitress
688691	326675	Patricia
688692	115330	Louise Lamontagne
688692	380860	Maria
688692	381504	Guylaine
688692	390715	Grujot
688693	386514	Herself
688694	303211	
688695	216639	Ms. June - Volleyball
688696	51838	Mother
688696	163565	Lily Talbott
688696	283709	Yellow Rose Bartender
688696	343020	Pat Kinchloe
688697	85992	
688698	328630	Melanie/Debbie
688699	187810	Chorus Girl
688700	98440	
688702	62437	
688703	44980	Jacqueline
688703	58811	
688703	77421	Demoiselle d'Honneur de Margu
688703	112855	Irene
688703	123688	
688703	211659	
688703	217652	
688703	276511	Louise
688703	284362	
688703	309955	Prostitute #2
688703	352927	La Malvilain
688704	148886	
688705	55928	Doll
688705	81693	Maika
688705	193512	
688705	317769	
688706	152785	Mrs. Sheppard
688707	74156	
688707	251339	
688708	109633	Body Double
688708	184769	Lapdancer
688709	63862	Paciente
688709	80148	
688709	92813	Mrs. Bolín
688709	211072	Madre de Javi
688709	233361	Rosaura
688709	233760	Sra Guzmán
688709	235254	Señora Barreiros
688709	277391	Laura
688709	384734	Guadalupe 'Lupe'
688710	319001	Featured Player
688711	69806	Deidre
688711	214078	Assistant to Helena Reid duri
688711	216184	Paula Lomax
688711	310878	Emmy
688711	346139	Juliet 24
688711	387237	Zo'or (1998-2001)
688712	26291	Peanut
688712	33721	Shanika
688712	403081	Danai
688713	364792	
688714	9738	
688714	28026	
688714	51743	Madam
688714	56074	
688714	66231	
688714	81472	
688714	91281	
688714	128987	
688714	137985	
688714	150529	
688714	233328	
688714	236000	
688714	265553	
688714	266528	
688714	301177	
688714	308280	
688714	332631	
688714	353201	
688714	354839	
688714	388399	Carlota
688714	402321	Nilda
688714	412148	
688715	207727	
688716	5671	Eva
688716	7777	Laure
688716	18347	Mére Theodora (Mother Theodor
688716	33448	Moeder
688716	108145	Els
688716	114978	
688716	128013	
688716	204573	Meta Ouderkerk
688716	276095	Diana
688716	386797	Nicolle
688716	387581	Liesbeth Sonnema
688716	406557	Eva Eldersma
688716	409572	Charlotte Prinsen (1998)
688716	411927	Jolle Blom
688717	192779	Dancer
688718	396123	Tyler Rescott Alden #1 (1993)
688719	627	Female Newscaster
688720	141484	Carousel Rider at Carnival
688722	32355	SPCA Officer
688722	190171	New homeowner
688722	195844	Breakfast Woman
688722	197729	Hooker
688722	278822	Army Dance Crooner
688722	312977	Mrs. Ward
688722	327627	Heather
688722	336138	Scott's Mother
688723	242103	
688724	364367	Screaming Woman
688725	379831	Patrice #4 (1991)
688727	342900	
688728	153187	Diana Mallabee
688729	374879	
688730	27287	
688730	27288	
688732	335755	(video "Stinkfist")
688733	32061	
688734	283188	
688735	257596	
688735	257602	
688736	183669	Eve
688737	238612	Pretty Little Girl
688738	29630	
688739	254480	Mrs. Manners
688740	186447	Cocktails
688741	323883	Woman
688742	26515	Saffron
688742	381081	Lara
688743	132000	
688743	356945	
688744	42799	Additional Finale Dancers
688745	26507	Chanise
688745	281421	Rachel
688745	342802	Sheila
688746	43157	
688746	88377	
688746	156764	
688746	225938	Marija
688746	227937	
688746	259062	
688746	266249	
688746	343836	
688746	382430	Lela Markovic
688746	382431	Lela Markovic
688746	383458	Georgina
688746	386407	Lizica
688746	397987	
688746	402022	Kristina 'Tina'... kucna pomo
688746	402023	Kristina ... 'Tina'
688746	402024	Kristina ... 'Tina'
688746	402025	Kristina ...'Tina'
688746	402026	Kristina 'Tina'... kucna pomo
688746	404207	
688746	405691	
688747	358219	Mascha
688747	387397	
688748	178291	Reporter
688749	85385	
688749	108196	Teta Kalina
688749	136139	
688749	197286	
688749	237357	
688749	300367	
688750	251148	
688751	174931	
688751	181384	
688751	369008	Uboga
688752	8117	
688752	15802	
688752	23407	Anna Kourouzou
688752	25625	
688752	77029	Ilektra Petridi
688752	97938	Maria
688752	98073	
688752	100562	Mirto
688752	102354	Zoe
688752	136479	
688752	149591	
688752	156416	Elli
688752	163152	
688752	174646	Rea
688752	180310	Jhenny
688752	205791	
688752	211485	Eva Angelou
688752	212567	Anna Massoura
688752	234701	Maria
688752	239923	Olga
688752	314299	Stefania
688752	315194	Prostitute
688752	326624	
688753	39780	
688753	174817	
688753	330358	
688753	381673	
688754	389480	Franca Cipriani
688755	291414	Theresa
688756	57079	Olivia
688757	137195	Helen the Ex-Girlfriend
688758	383770	Secretary
688759	263832	
688759	265147	
688759	332631	
688760	131241	Nancy Parker
688761	247484	
688762	246671	Herself
688763	25741	
688764	15222	Mary Jo
688764	57703	Pheobe
688764	97643	Paula
688764	114377	Vivi
688764	126672	Cassie
688764	134175	Rachel's waitress friend/cowo
688764	140960	Miss Kline
688764	141155	Friend at Party
688764	149939	Jackie
688764	178223	Michele
688764	187251	Danny's Mom
688764	195270	Brenda
688764	200999	Maggie Witkowski
688764	253339	Luanne
688764	316116	Sydney Duberstein
688764	362860	Pam Benning
688764	383987	Marlene Weimaraner
688764	387150	Dynapink
688764	387454	Joyce Lemsky (recurring)
688764	389922	Perdita Shrinks
688764	392692	Karen Collier
688764	398679	Crystal Zilla
688765	230926	Steffi Brooger
688765	401108	Squeak/Beaver Mom/Blue Jay/Ro
688766	15862	Salome
688767	410912	Herself - Panellist
688768	348370	Belly Dancer
688769	49851	Belgian Receptionist
688770	33491	Francesca
688770	67385	New York Assistant D.A
688770	86381	Leith
688770	103304	Larissa
688770	106378	Myrick's daughter
688770	130867	Jean Estey
688770	164482	Irina Lebit
688770	168586	Dr. Ellen Klein
688770	194566	Miss Reeves
688770	215596	Helena
688770	251411	Lillyanna Marinkovitch
688770	273771	Corinne Riggs
688770	277795	Helen Blair
688770	289494	Shannon
688770	289603	Goody Mortimer
688770	318390	Dorothy McGuire
688770	347918	Dana Dobbs
688770	356998	L.J. Berman
688770	363001	Linda Emery
688770	382383	Dr. Rachel Griffen
688770	384367	Talia Onassis
688770	385977	Ms Warner
688770	389092	Sarah
688770	395165	American Woman In Sicily
688770	398209	The Artist
688770	404655	Saratoga Browne
688771	190220	Zorah
688772	254743	
688772	359205	Betty
688773	8657	Young Girl in Car
688774	170223	Herself
688775	40830	Lehrerin
688775	75975	Piechocki's Neighbor
688775	75976	Museum Employee
688775	89474	Village Woman
688775	89790	Gralczakowa
688775	90062	
688775	164061	
688775	181333	Lady Aleksandra
688775	212291	
688775	236159	Woman in Factory
688775	238095	Aunt
688775	244098	She
688775	244099	
688775	259811	
688775	260781	Amelia, Waclaw's Mother
688775	286282	Cecylia
688775	312984	Danka
688775	340088	
688775	369022	Forester's Wife
688775	375060	
688776	266322	
688777	13742	Gail
688778	160589	Angela Lohr
688778	197016	Marsha
688778	245218	Georgie
688778	267146	Mary
688778	333035	
688778	369473	Marsha Velasquez
688778	395489	Marcia
688778	406621	Linda St. Pierre
688779	57561	Herself/interviewee
688780	273771	Myra Klein
688781	301777	
688782	276202	Woman #3
688783	177951	Maya
688784	236194	Dessus de viole
688785	82702	Demon
688785	267351	Secretary
688786	18028	Clara
688787	274344	Canoer
688788	240429	Annabella, séq. Hôtel du Nord
688789	299322	
688790	96150	
688791	68390	Admiratrice de rasoir
688792	247607	
688793	68390	Admiratrice de rasoir
688794	670	
688794	1314	
688794	103965	Beatriz
688794	120718	Maite
688794	186406	Checkpoint Battered Woman
688794	281616	
688794	338160	
688794	378986	
688794	379001	Susana
688794	379210	Trinidad
688794	379648	Isabel Risopatrón
688794	380096	
688794	382691	Cora
688794	386555	Marta Alzavía
688794	389589	
688794	397117	
688794	398806	
688794	403782	
688794	404140	Olivia
688794	409283	
688794	410207	Mara Dupont
688794	410316	Clarita
688795	551	
688795	55086	
688795	59251	
688795	61142	
688795	61203	
688795	70772	
688795	75361	Rubia
688795	82283	
688795	86451	
688795	101630	La Papillón
688795	108581	
688795	177054	
688795	183483	
688795	205889	
688795	233548	
688795	251311	Concha
688795	270795	
688795	307721	
688795	334692	Carmen
688795	336255	
688796	307466	
688797	194938	Villager
688798	140293	Sylvia
688798	196688	Luba
688798	266909	Rita
688799	82684	Herself
688799	82685	Sally Jones
688800	321444	Whaler
688801	58699	
688801	107516	
688801	215313	Jeanine
688801	332213	
688802	99706	
688803	66220	Carole
688804	15089	Basia (segment "Milosc dwudzi
688804	40365	Rosalide
688804	60122	Franca Fossati
688804	94393	Françoise Merigne
688804	95706	
688804	97843	Polnische Köchin
688804	105516	Ewa Bonecka
688804	124855	
688804	140263	Angelika
688804	165076	Holiday-Maker
688804	169572	Agnieszka 'Jowita'
688804	198003	Priscilla
688804	214204	Ania
688804	219713	Fürstin
688804	247320	Iwona Slowikowska
688804	254362	Dagmar
688804	281639	Rosa's mother
688804	290684	
688804	294696	Tamara
688804	312683	Ines
688804	343386	Kasia Wydech
688804	353301	
688804	358217	Herta
688804	374664	Jola Wrona-Wronska
688804	375648	Sabinka Lemiecka
688805	174279	
688805	407651	Edina Lotz
688806	109427	Birthing Class
688807	330108	
688808	377902	Tortured Militant Student
688809	267031	Marlene Dietrich
688810	325798	Katrin Lemke
688810	404448	Katharina Börner (1998-2001) 
688811	159132	Night Nurse
688811	199150	Mothercare assistant
688811	245513	Pat Norris
688811	411014	Ms. Miniver
688812	15071	
688812	166097	Camille
688813	387	
688813	6568	Katia Solvi
688813	7334	
688813	7507	
688813	10646	
688813	14376	Chantal
688813	16341	Andrea
688813	23551	
688813	56336	Annalisa
688813	68908	Ingrid Streesberg
688813	69790	Laura
688813	71166	Marchese di Bermejo
688813	82434	Signora Martelli
688813	99706	
688813	108113	Marika
688813	110992	Mary
688813	118135	Minou
688813	120361	
688813	124565	Lillian Grayson
688813	135150	Meg
688813	156023	Helen Sobiesky
688813	159676	
688813	166908	
688813	197615	Elena Neseri
688813	225647	Jean Dyers
688813	233344	Laura
688813	238021	Ludovica Marchialla
688813	243437	
688813	251604	Irene
688813	255474	Margy
688813	263721	
688813	267807	Doreen
688813	267959	
688813	269091	
688813	269482	Laura Gittleson
688813	270331	
688813	270853	
688813	278950	Rosy
688813	282118	Helen Wood
688813	284519	Maria Luisa Delgado
688813	296523	Paola Valdesio
688813	297649	Sonja West
688813	307279	
688813	310940	Betty
688813	312982	Francesca
688813	316551	Gerti Weber
688813	335940	
688813	336057	
688813	352239	Mascia's mother (Segment 1)
688813	356014	Leonora Anselmi
688813	356748	Karen
688813	357970	
688813	369150	Raphaelas mother
688813	376001	Mara Mencacci
688813	379785	Teacher
688813	383807	
688813	401508	
688813	402781	
688813	402782	Mrs. Conti
688813	411930	
688814	96107	
688815	381238	Miss Howell
688816	134276	
688817	353864	Jeanne
688818	391357	Gabriella, ny familjemedlem h
688819	34113	Herself
688820	385192	Herself
688821	287567	
688822	143640	Herself
688823	27586	Herself/Sidsel
688823	120857	Sidsel
688823	163015	
688823	166598	
688823	181736	Fru Jespersen
688823	253942	Regitze Hammer
688823	351046	Louise Abel
688823	382884	Oda
688824	181071	Herself
688825	239448	Herself - Widow of Gilbert La
688826	6173	Martha Johansen
688826	30170	Anna
688826	48133	Ellen
688826	83089	
688826	84279	
688826	122596	Fräulein Hansen
688826	123502	Fru Sørensen
688826	174016	Martha Larsen
688826	178007	Jokum
688826	181075	Laura Andersen
688826	253878	Jenny Andersen
688826	338696	Pastorinde Gertsen
688826	351042	Fru Emma Rasmussen
688826	353033	Laura
688827	404613	Patti Barron Tate Whiting McC
688828	30624	Pris
688829	40815	Lovisa
688830	17346	Anja Poulsen
688830	17347	Herself/Anja
688830	22065	Herself
688830	22066	Mille
688830	27601	Herself/Anja
688830	34479	Winnie
688830	78267	Herself - Presenter
688830	93381	Iben Ameland
688830	104698	
688830	108170	
688830	153219	Herself
688830	182620	Anja Poulsen
688830	182621	Anja Poulsen
688830	314992	Herself
688830	319087	Anna
688830	382899	Kaffe-Hanne
688831	28876	Nancy
688831	41281	Maddy
688831	66119	Frieda Barber
688831	66783	Susan Edmonds
688831	73326	Helene Trend
688831	105321	Gina
688831	109454	Emily
688831	117065	Beth Doyle
688831	118911	Jeffreys Mother
688831	138683	Mona Jordan
688831	157693	Mary
688831	162980	Blanche
688831	171200	Jane Alofsin
688831	183734	Doris Mundt
688831	186498	Mrs. Muckler
688831	210782	
688831	216920	Greg's Mom
688831	224691	Violet, The Blue Raja's Mom
688831	232321	Mrs. Winkler, Lion's Den Rent
688831	253121	
688831	269421	Martha
688831	276085	Ada
688831	282957	Bonnie
688831	302121	Doris the Computer
688831	302584	Rosie
688831	305086	Mary Fenaka
688831	313583	Sandy Bates' Secretary
688831	318036	Marcy Berns
688831	318174	Dominga
688831	320026	Joyce
688831	323475	Kay Lewis
688831	362558	Dubbed voice
688831	367405	Landlady
688831	386603	Role Unknown (1960s)
688831	393082	Maggie McBurney (1981-1982)
688831	396994	Mary Hartman (1976-1977)
688832	240429	
688833	345434	(episodes 1 and 2)
688834	112880	
688835	345548	L'Esthéticienne
688836	87814	La danseuse
688837	257847	Herself
688839	379275	Waireka
688840	47854	Sophi
688840	60010	Rosebud
688840	66011	Kate Williams
688840	107583	Max, a Dog
688840	116829	
688840	130607	Precious
688840	147673	Heather Norland
688840	157931	Abby Berkhoff
688840	196545	Melody
688840	202399	Laura
688840	213234	Angie
688840	236135	Egg (Polly)
688840	245332	Connie Binoculars
688840	255432	Herself - a Dog
688840	278154	Coranette
688840	281512	Angela Estelle Morales
688840	290867	Herself - a Dog
688840	297008	Francesca
688840	304770	Heather
688840	304870	Frances, Aged 25
688840	314817	Jane
688840	322970	Samantha
688840	334974	Herself - a Dog
688840	344514	Ashley
688840	347852	Karina
688841	148316	Lynn Lacey
688842	168413	
688842	169302	
688842	175730	Lady of the house
688842	178376	Inka
688842	240228	
688842	351366	Helvi
688843	305571	Mother Hen
688844	277635	Blonde temptress
688845	80869	
688845	152943	
688846	233754	Host
688847	224106	The Talent Show - Latin Jazz 
688848	8097	Madame Meyer
688850	137005	
688850	265315	
688851	282440	Drama Coach
688852	181333	
688852	181408	
688853	323871	Black Berkshire Pig
688854	12474	Klatschtante
688854	24602	
688854	31400	
688854	92640	
688854	134511	
688854	259445	
688854	259450	
688854	259464	
688854	259515	
688854	259666	
688854	266935	
688854	302643	
688854	347614	
688854	352367	
688854	375141	
688855	100954	Hotel resident
688855	117908	Girl's mother
688855	147694	Seder Guest
688855	204190	Lillian's Sister
688856	115103	Moderatorin
688857	353236	Godmother
688858	339386	Ghost
688859	232469	Julie Clingstone
688860	361290	Carolyn Crawford
688861	13882	Skinny Girl #1
688862	78403	Copine de Vanessa
688863	289372	Featured Extra
688864	202382	Gloria
688865	165232	
688865	212157	Maria Pereira
688865	337025	
688866	71113	Rita
688867	93043	Vickey Anderson
688868	21408	Christine Brenner
688868	35552	Wirtschaftsredakteurin Christ
688868	55104	Maud von Ossietzky
688868	116993	
688868	119716	
688868	126392	
688868	137878	
688868	147138	
688868	204455	Maja Mayer
688868	252313	
688868	262960	
688868	290629	Christina
688868	327381	Monique Dumont, die Tochter
688868	334533	Dr. Barbara Frei
688868	334539	Monika
688868	338378	Cpl. Doris Graves
688868	343955	
688868	361134	Eleonore von der Lohe
688869	35838	Nurse Maria
688869	411894	Mela Dulska
688870	228434	Emily, Hostage in Motel
688871	10963	Mali
688871	12905	
688871	33333	
688871	129056	
688871	140056	
688871	181853	
688871	214180	The Maid
688872	49320	Cute Girl
688873	389584	Johanna
688874	41246	Susanna
688874	60532	
688874	189488	Funeral Guest
688875	21746	
688875	36206	
688875	76461	Bhishma's mom; Stepmom of Arj
688875	172675	
688875	259253	Revathi (Vijay's mother)
688875	288848	
688875	320373	
688875	370210	
688875	373804	
688875	407374	Maritza Hogg
688876	87054	
688876	268302	
688877	311671	Denise
688878	129639	Agata
688879	42186	
688879	142518	Young Carlotta
688879	153859	Crescence
688879	396239	Natasha
688880	330477	Gipsy Tarot Reader
688881	358078	Townswoman
688883	10986	Zoé
688883	122422	
688883	165746	Young Anna
688883	307101	
688884	72367	Julie
688885	57685	Herself
688886	92871	
688886	198567	Coach
688886	313966	Marianne
688886	350850	Servant with Flowers
688887	224352	Party Kid
688888	98769	
688889	16154	Sita
688889	25697	
688889	195698	
688890	380430	
688891	266714	Liz
688892	45839	Minnie Lee
688892	330338	Lula
688893	98803	
688893	309047	French Maid
688894	190399	Debbie
688894	320266	Vendor
688895	89308	Barbara
688896	405088	Mary O'Reilly
688897	405088	Kate O'Reilly
688898	47192	Blazer, as child
688899	77203	Sally Craig
688899	222879	Haley Smart
688899	295806	Chip Shop Girl
688899	378710	Shepherdess
688899	386963	Natalie Hocknell (1998-1999)
688899	389042	Lucy Milligan (Series 4-) (20
688899	395924	Maddie (2002)
688900	293198	Amy
688900	405088	Sheena O'Reilly
688901	45286	Mrs Calamine
688901	385299	Mrs. Giddings
688901	398965	Gaga
688901	409578	Clara Dawson
688902	165101	Toni New
688902	276217	Radio play background voice
688902	332530	Alex
688903	180158	Herself
688904	3242	Mrs. Skelton
688904	6151	Mrs. Hopper
688904	13293	Fanny
688904	67579	Mrs. Norris
688904	72691	Mae Esther
688904	74008	
688904	93558	Mrs. Loerna Tutwiler
688904	95780	Vi
688904	97161	Mrs. Winemiller
688904	113903	Dulcie (midwife)
688904	127145	Ma Landers
688904	127284	Bettina Buxley
688904	137213	Miss Mirabel
688904	139532	Emma Randall
688904	140162	Mary
688904	150673	Louise Dougherty
688904	157563	Eunice Hickock
688904	158109	Delores Lynch
688904	158329	Sister Mary Luke
688904	195576	Mrs. Enright
688904	195843	Nana
688904	201567	Mrs. Wilson
688904	206255	Bernice Edgar
688904	206823	Forbsie
688904	208938	Cassy Garnett
688904	237931	Mrs. Foster
688904	248431	Catherine Reston Lee
688904	254649	Pamela
688904	262520	Mrs. Oakes
688904	263608	Martha Gordon
688904	288904	Marian Stern
688904	295187	Helen Whately
688904	298288	Mrs. Margolin
688904	314884	Lila Thatcher
688904	315256	Mrs. Schroeder
688904	318388	Mrs. Looby
688904	321358	Lillian Piper
688904	327250	Louise
688904	330376	Mrs. McCormick
688904	336819	Mrs. Griffin
688904	340555	Herself
688904	363900	Martha Culpepper
688904	366417	Doris
688904	372613	
688904	380997	Jary Luckett
688904	381110	Miss Mesbitt
688904	384909	Alma Captor
688904	389356	Ethel Duke
688904	392102	Louise Dougherty
688904	404299	Martha Higgins
688904	404570	Mary Ann Evans
688905	133728	Charkie's Water Ballet Perfor
688905	195518	Claudia
688905	369492	Muse 2
688906	252955	Herself
688907	59350	Silent Movie Actress
688907	70110	Nurse
688907	250440	Studio Tour Guide
688908	143918	
688908	195329	Christine
688908	203507	
688908	389103	
688909	2152	Cindy
688910	147560	Bikini Lady
688911	52134	
688912	1703	Herself
688912	2816	Nominee for Best Performance 
688912	25267	Alexa Woods
688912	34702	Robin
688912	40187	Vanessa Brooks
688912	48040	Sidney 'Syd' Shaw
688912	56937	Nina
688912	87526	Zora Banks
688912	93747	Carolyn Brody
688912	189982	Daisy
688912	195262	Monica Wright
688912	214934	Young Lilly
688912	245219	Ann Merai Harrison
688912	245222	Herself
688912	305707	Roxanne
688912	368110	Alicia
688912	382973	
688912	395229	Briana
688913	67395	Child #2
688913	370422	
688914	356472	Rachel
688915	140421	Baby
688916	366908	Parent
688917	2252	(segment "Teuf d'enfer, La")
688918	141646	Monica
688918	175121	Alison
688918	223819	Valerie
688919	183656	Background puppeteer
688920	164847	Ganju
688920	304149	Malak
688921	846	Herself - #66: Terrible Talk 
688921	1439	Herself
688921	1465	Herself
688921	1737	Herself
688921	1748	Herself
688921	2573	Herself - presenter
688921	2581	Presenter
688921	2894	Herself (Presenter)
688921	2973	Herself
688921	3053	Herself - Performer: 'I Move 
688921	18987	Herself/Host
688921	29746	Gina
688921	32243	Gina
688921	43565	Thelma
688921	47117	Charlene Morton
688921	47130	Dispatcher Love
688921	48040	Francine
688921	61156	Matron 'Mama' Morton
688921	70382	Security Officer
688921	71687	Cha-Cha
688921	103906	Herself
688921	149258	Sulie
688921	151125	Zora
688921	161297	Herself
688921	161364	Herself
688921	170746	Lashawn
688921	185317	Georgia Byrd
688921	192748	Liz Bailey
688921	201512	Herself
688921	202619	Diana
688921	221472	Herself
688921	222497	Auntie Em
688921	224073	Theresa
688921	231536	Herself
688921	256348	Dove
688921	274574	Herself
688921	289668	Aunt Shaneequa
688921	295077	Cleopatra 'Cleo' Sims
688921	310957	Alice 'Teeny' Fletcher
688921	326125	Belle
688921	326664	Herself
688921	352976	Host
688921	364376	Herself
688921	365732	Guest
688921	395815	Khadijah James
688921	395819	Midge Harmon
688921	402600	Herself/Host
688921	403155	Herself
688922	252142	Mak Rose/Isteri Pendekar Must
688923	170167	
688923	204912	
688923	297843	
688924	154893	Louise
688925	128254	A Spinster
688925	206358	Tall Maid
688925	311111	Bearded Lady
688926	16893	Cheri
688926	118275	Dolly Morono, Chip's Wife
688926	217102	Call Girl
688926	281901	Secretary
688926	297261	Girl in Car
688926	304325	Cora
688926	321228	Lauren
688927	157247	Mrs. Owen
688928	255827	Congregation Member
688929	980	Agent May
688930	411008	Lel Hill (2002-2003)
688931	49597	Mary Kent
688931	52360	Mary Porter
688931	90428	Letty Graves
688931	132819	Edith Taylor
688931	222715	Barbara Foley
688931	224168	
688931	258198	Alice Stevens
688931	330003	Janet
688931	342931	Gloria Benton
688931	360532	Mrs. Harry Clyde
688931	366205	Woman
688931	366982	Reporter in Courtroom
688932	276240	Tech #1
688932	400808	Trish Simpkin
688933	127811	Polly
688934	40545	Fran
688935	34395	Bernard's Mother
688935	49493	Sheila
688935	129365	Maggie Brownlee
688935	134295	Duchess
688935	340990	Landlady
688936	321228	
688937	11384	Day Care Leader
688938	164560	Pam's Daughter
688939	257733	Theater Zombie
688940	257733	Theater Zombie
688941	97134	
688941	242079	
688941	275871	Sentinal Cheerleader
688941	356642	
688942	89481	
688943	48457	Ezeni
688943	192891	
688943	237764	
688943	266751	
688943	286645	
688943	397987	
688944	320322	Dancer
688945	77232	
688945	344824	
688946	149753	Fille Catechisme
688947	77232	
688948	115161	Joe's Woman
688949	304159	Marija
688949	356533	Dada
688949	373698	
688949	396292	
688949	401708	
688950	384596	Meg
688951	141677	
688952	191583	Moeder
688953	254153	Louise
688954	120979	Fille de Richard
688955	38141	Paramitha
688955	56852	Sheena
688955	175742	Dini
688955	252187	Santi
688955	278609	Lia
688955	295106	Danti
688956	4080	Shekhar's mother
688957	87397	Drunk American Girl
688958	110772	Danuta
688958	307369	
688959	153712	Paula
688959	354083	Kirsi
688960	89816	Lubinka
688960	266918	Ustiniya
688960	268186	Olga Buinosova
688960	374767	Agafya
688961	59369	Sacrificed One
688961	87942	model in Courrèges sequences
688962	226899	Girl child
688964	20091	Mariana
688964	29543	Martina
688964	281758	Morocha (joven)
688964	349467	Sabrina Sheiland
688965	104761	French entry (17th place)
688966	387189	
688967	38979	
688967	68789	Mónica Ramírez
688968	91404	
688968	103847	
688968	159346	(segment "Romántico")
688968	246872	
688968	269572	
688968	336558	
688968	354449	
688969	323841	Dancer
688971	319805	Julie
688972	301538	
688973	83377	
688974	113116	
688975	4973	
688975	70938	Dancer
688975	111142	
688975	119038	Ginette's friend (segment "Vi
688975	210909	Sylvie
688975	248988	Young Girl with Warren
688975	292380	
688975	300587	Anira
688975	386251	Gili
688975	403557	La Chivotte (1964)
688976	388090	Woman next door
688977	4353	Juffrouw Meyers
688977	351083	Juffrouw Sonatin
688978	33555	Mathilde
688978	103637	
688978	118182	Régine
688978	337030	
688978	353381	Tania
688978	389021	Peppina
688979	57342	
688979	104018	
688979	377632	
688980	365259	
688981	53082	
688981	132638	
688981	169085	
688984	11570	Melissa
688984	37118	Law Bitch
688984	78695	Jennie
688984	170869	Fred
688985	356325	Sandy
688986	334011	Valentine
688987	183779	Lady of the lake corpse
688988	84596	La mère
688988	86814	
688988	101860	Aude
688988	133489	Michelle
688988	148682	Luce
688988	243300	Claire Beauchemin
688988	284257	Louise-Félicité de Croy d'Hav
688988	309564	
688988	345064	
688988	378705	Linda
688988	384214	Virginie Thompson
688988	385503	Edith
688988	388714	Françoise
688988	390486	Claudette
688988	401727	Sylvie
688988	403254	Maggie Caporucci
688988	403897	Georgette Labbé
688988	408173	
688989	225100	
688989	289151	
688990	132890	
688990	410628	Annie Rioux (1990-1994)
688991	15907	Lily
688991	56545	Herself
688992	37473	Heather Weintraub Kramitz
688993	81522	
688994	233953	
688994	322396	Nuera
688995	236381	Mrs. Druple
688995	280016	Sara
688996	306751	Terri
688997	280640	Dorothy Culvert
688997	281052	
688998	26998	Hooker
688998	44488	Janie
688998	97042	Bar Fly
688998	176899	Lorna
688998	213185	Moe
688999	1187	Herself
688999	32580	Herself
688999	62957	Kid in the Living Room
688999	63097	Deenie
688999	240041	Herself (music video: "Winter
688999	240047	Herself
688999	365574	Izzy Wilde
689000	53019	Rosa
689000	112653	Tatiana
689001	235848	Isabelle
689002	2584	La moglie dei sindaco
689002	17483	Mother of Andrea
689002	31962	Lucrezia Cenci
689002	38845	
689002	55058	
689002	56927	Czarina Elizabeth
689002	57301	Ausonia
689002	59805	La princesse Marie-Louise de 
689002	64231	
689002	69939	Queen Maria Antonietta
689002	69944	
689002	70745	Enrico's mother
689002	75242	Nonna Erminia
689002	78558	La baronessa d'Avita
689002	82299	Madre di Alberto
689002	89034	La Semenoff
689002	90676	Massimo's mother
689002	94698	La contessa Diana di Linières
689002	112654	Donna Mercedes, moglie del go
689002	124571	
689002	127380	La contessa Cristina Magnenzi
689002	127774	Violante
689002	127976	La direttrice del collegio
689002	132027	La contessa Matilde di Toscan
689002	135136	
689002	147057	
689002	158704	Dora White
689002	159455	Carla Bellaris
689002	159618	Ispettrice di polizia
689002	184288	
689002	206029	La baronessa Rita d'Isola
689002	217763	
689002	219565	Geltrude Castaldi
689002	243427	Kathryn's Aunt
689002	253072	
689002	263116	
689002	263189	Amelia Fornaciari
689002	264261	La principessa
689002	265193	Moglie del giudice Ranieri
689002	269191	
689002	270813	Madre di Piero
689002	276443	La principessa Korciaghin
689002	281113	Elisabetta
689002	282837	
689002	289649	Sofia Garlandi
689002	294542	Elena
689002	313901	La principale dell'istituto
689002	315445	
689002	316359	Signora Clarkson
689002	316375	
689002	322575	Mrs. Clerici
689002	328200	Empress Carolina
689002	328695	Queen Pasiphae
689002	336123	Matilde Ferrari
689002	340645	
689002	341831	La contessa di Greve
689002	351583	
689002	352230	Sig.ra Bardi
689002	384908	
689003	355762	
689004	190789	
689005	43160	Nefertiti/Lulu LaLouche
689005	317946	Sheila's Mother
689006	177914	Warja
689007	8362	Splash
689008	2630	Herself/presenter
689009	3169	Bit part
689010	122750	
689010	137562	Waitress
689010	210383	
689010	332240	
689010	384618	Anna
689010	392739	
689010	396157	Chiara's mother
689010	402303	Cecilia's Mother
689010	404451	Dominique de Boucher
689011	350916	Officer Mills
689012	82010	Lady #2
689013	302142	
689014	73944	Hawaiian Woman
689015	153747	
689016	407370	Siivooja
689017	297561	
689018	63629	Fay
689018	228713	
689018	341047	
689019	11064	Carol
689019	45636	Carol
689019	63134	Cousin Ruby Sue
689019	109608	Ellen Gallagher
689019	221055	Ada
689019	245658	Casey
689020	20625	Extra
689021	342588	Jana
689022	31915	Beate
689022	107480	
689022	118631	
689022	118997	Annabelle
689022	171571	
689022	289953	
689022	290259	
689022	325753	Jutta Linder
689022	338414	Amanda
689022	353092	Magda, Prokoppné
689022	364930	
689022	379371	
689022	379372	
689022	393400	
689022	403642	Henriette
689022	406321	
689023	343728	
689024	350175	Jasmine Lee
689025	40193	
689025	85885	Lorna
689025	137151	Lotus
689025	212640	Swallow
689025	216628	Alice
689025	275557	Miss Chan
689025	367148	Butterfly Yiu
689026	335978	The Girl
689027	42250	Joyce
689027	48448	Mable, WPC10188
689027	76420	
689027	94914	Club Girl
689027	142978	Skinny
689027	167500	Chan Pai-Wah
689027	212639	Suzi
689027	220245	May
689027	268728	Wu
689027	297500	Bell
689027	298705	Factory Worker
689027	336638	Ching-Ha
689027	358911	Nancy
689027	359008	
689028	92831	2nd Concubine
689029	185808	
689030	53	Beattie
689030	1759	Lulu/Mimi
689030	3378	Leung Fung-Ying
689030	59987	Bing
689030	60133	Laura
689030	62187	Mona Lui
689030	63374	Samantha
689030	63375	Samantha
689030	76426	Kar-Ling
689030	95190	Peach Blossom
689030	121123	Banana
689030	124645	Pet Lady
689030	131264	Lau Po-Yee
689030	135022	
689030	135751	Rose
689030	135752	Rose
689030	136335	Yen (Hong Kong version only)
689030	137161	Pearl
689030	138626	Dancer/Woman at Dinner
689030	142967	Shirley Huang
689030	152114	Huang Chia-Ling
689030	167383	Wan
689030	167387	Chung Siu-Hung
689030	167853	
689030	192480	Tam Yuet-Wah
689030	193911	
689030	194145	Singer
689030	209889	Pearl Chan/White Rose
689030	236231	Wenine Chang Mi-Hua
689030	236499	
689030	268681	Ling
689030	270023	Miss Chu
689030	286998	Maggie
689030	292973	Chou Po-tung
689030	293467	Siu Guen
689030	297372	Ms. Liu
689030	297373	Ms. Liu
689030	297376	Jiao Li
689030	298363	Witty
689030	299982	Carole Chang
689030	300706	
689030	302604	Selina
689030	323111	Ching-Ching
689030	332332	Cameo appearance
689030	367110	Susan Chong
689030	369056	Mary
689030	369057	Mary
689030	369604	Wa
689030	369698	
689030	369764	Tracy
689030	369798	Laura Watt
689030	370756	
689030	371600	Hui Chu
689030	373104	Lily Li
689031	68315	
689032	55094	Lee's Mother
689033	62435	Celine
689033	371633	
689033	374906	Chin-chin
689034	97949	
689035	46368	Chinese Woman
689035	187191	LA Nail Technician
689035	300443	
689036	333508	Supt. Ivy Yip
689037	200832	
689038	242549	Estelle
689039	31654	Female Dancer
689039	196995	Dancer
689039	218180	All-Girl Band Sax Player
689040	333528	
689041	397371	Additional Voices
689042	35253	Child at Pool
689043	130844	Brandy
689043	256215	Ninja Leader
689044	63390	
689045	61042	Kitty
689046	372389	Jake's Girlfriend
689047	184711	
689048	3288	Wah's Wife
689048	63303	Laan
689048	90551	Chin-Hau's Wife
689048	110596	May
689048	111185	Joyce Lau
689048	332286	Ling
689048	336638	Chan Dai-Di/Chi-Sum
689048	369817	Lady Jade Flute
689049	314857	Girl with Trumpet
689049	362588	
689050	388640	
689051	14145	Facialist
689051	323100	Tai Tai
689052	315476	Mrs. Peterson
689053	185137	Secretary
689054	131234	Blonde
689055	96752	Herself
689056	337341	Hayley
689056	406636	Hayley
689057	97842	
689057	194438	Bank employee
689057	354002	
689058	29269	The Face Reader
689059	246730	Specialty Dancer
689060	287025	
689061	304363	Frk. Stein
689062	217111	
689063	235159	Angela
689064	199995	Frk. Mortensen
689064	213439	Sofie
689064	213440	Servitricen Pia
689064	255706	Pige
689064	266365	Kari Johnson
689065	65085	Li
689065	127824	Koral
689065	359901	Paramedic #3
689066	61990	Nurse Maggie
689066	286972	
689067	408627	Hair Salon Boss
689068	106795	
689068	210979	Miss Spiritual
689069	110605	Tracy Wong
689069	110621	
689069	212640	Yan
689069	268933	Yat-Tak's Girlfriend
689069	284709	
689069	370404	
689070	91752	Hostess with Frank
689071	135083	
689072	8789	
689072	63281	
689072	374962	
689073	501	
689074	8777	
689074	373090	Winnie
689075	59295	Siu-Wai/Crab Angel
689075	63477	
689075	136328	Mrs. Cheung
689075	268770	Dumpling
689075	286902	Pinky
689075	298360	
689075	300400	Hsiu
689075	369711	Sweetie
689076	153044	
689077	268709	Court Lady
689078	167426	Siu Wan
689078	210970	May
689079	182498	
689080	19302	Jenny
689081	7449	Madame Tallien
689082	330146	Jane
689083	368244	Ensemble member
689084	119197	Court Lady
689085	150422	Nanny
689086	78267	Herself - Presenter
689087	141973	
689088	353298	Hair Spray Victim
689089	406493	
689090	107143	Seamstress
689091	167197	Maths Teacher
689092	303514	Di
689093	18288	Herman
689093	22681	Cartapus
689093	46703	
689093	56048	La mère adoptive de Casa
689093	64333	Herself (1987)
689093	64949	Odile Deray/Louise, journalis
689093	65529	La femme qui s'accroche
689093	82508	Madame Hattus
689093	86244	Solange
689093	100503	La mère
689093	101269	Herself
689093	178287	Narrator
689093	184053	Odile Rousselet
689093	201115	Yolande
689093	209944	Françoise
689093	247638	La femme
689093	292350	Julia
689093	322651	Herself
689093	327293	Elisabeth Gestin
689093	370043	Denise
689093	379077	Herself
689093	387968	Louise
689093	391627	Eve-Marie Gilet
689093	393179	Herself
689093	399813	Herself (1987-????)
689093	399814	Herself
689093	399930	Panty
689093	400698	Léonie
689095	198572	
689095	353821	
689096	59141	Connie
689097	125166	
689098	58942	Muriel, his first unmarried s
689098	97609	Fanny
689098	157187	Lady Bracknell
689098	239044	Mrs Trimbletow
689098	241104	Aunt Agnes
689098	281165	Nurse
689098	354461	
689098	396787	Patrick's Mother
689099	44892	Gloria
689100	53635	
689101	290400	Student
689102	290400	Student
689103	189857	Herself
689104	263018	
689105	400342	Herself (Finalist #15)
689105	405226	Notera
689106	290895	
689107	78703	Ms. Angela Li
689107	162533	Ms. Angela Li
689107	162534	Ms. Angela Li
689107	385705	Ms. Angela Li
689108	69812	Lady with Dog
689109	41875	Girl #1
689110	279460	Extra
689110	407815	Herself
689110	408610	Herself (2001)
689111	48868	
689112	287378	Sigrid, balldame
689113	342	Frau Rotter
689113	17918	Anita
689113	38991	Frau Kaminska
689113	50300	Mrs. Noah
689113	60490	Martina Höller
689113	71304	Charlotte Steinhöfel
689113	80305	
689113	123945	Carla Gray
689113	125279	Clarissa Zibell
689113	142321	
689113	145496	
689113	155329	Mrs. Starke
689113	170384	Evie
689113	184636	
689113	188806	Aufseherin
689113	188852	
689113	189819	
689113	194360	Voice of Carmen
689113	199558	Thekla, aging call-girl
689113	199559	
689113	225130	Courasche
689113	225629	Harriet Foster
689113	226173	Lisa's Mutter
689113	244677	Dame
689113	244678	Old Woman with Dog
689113	248404	Francoise
689113	258338	(segment "Belle époque, La")
689113	290652	Countess
689113	301028	Großmutter/Grandmother
689113	312889	
689113	313668	
689113	316842	
689113	317614	
689113	325622	Elise Ansbach
689113	336510	Gret Lamm
689113	340091	Kassandra
689113	345924	Frau Schlösser
689113	347047	
689113	347642	Ingrid
689113	359001	Tante Frieken
689113	364470	Dame mit Hut
689113	379771	Gerda
689113	380700	Miss Rottenmeier
689113	389093	Ruth Buchner
689113	394918	Frau Below
689113	403458	
689113	404169	
689113	409611	Martha Hagenbeck
689113	409951	Edda Häusler
689114	123986	Herself
689115	96002	Kei (ADV 2003)
689115	177083	Shirley Anzai
689115	243572	Kei
689115	243573	Kei
689115	243574	Kei
689115	243575	Kei
689115	243576	Kei
689115	243577	Kei
689115	387160	Kei
689115	387457	Lily, Lucy
689116	171389	
689117	2252	(segment "Teuf d'enfer, La")
689118	371004	
689119	106597	Pom-Pom Girl
689120	122550	
689121	409982	
689122	264378	Marie-Thérèse
689123	10396	Lady Driscol
689123	68844	Mrs. Craven
689123	208980	
689123	312145	Mrs. Matthews
689123	330841	Cook
689123	333257	Aunt Laura
689123	364437	Englishwoman
689123	366038	
689123	372642	Queen Charlotte
689124	158107	Cindy Cain (at 5)
689124	245717	Amy Demski
689125	75581	Frida
689125	196117	Vendor at Hotel Dior
689126	45759	
689126	73711	Dora Dough
689126	73956	Isabelle Hart
689126	134293	Bess Allen
689126	235186	Dorothy Dunbar
689126	243233	The patriot's sweetheart
689126	362231	Tommy
689127	73573	Woman
689128	381821	Ensemble (1984-1986)
689129	223087	
689130	240232	Social Worker
689131	367891	
689132	158107	Cindy Cain (at 3)
689133	304444	Bessie Myers
689134	103326	1st Band of Thieves
689135	2243	Nancy
689135	138822	Nadine
689136	358372	Marie D'Arcy
689137	114561	
689138	93821	Pagan
689139	65174	Little Girl
689140	330385	Janitress
689141	213983	Woman in Coupe
689141	248450	Bridge Player
689142	44730	
689142	59219	
689142	83253	Colette
689142	84105	Madame Clary
689142	269148	
689142	350081	
689143	31461	
689144	354934	
689145	308266	Eetla
689146	214837	
689147	10270	Fredrika Runeberg
689147	156040	
689147	215941	
689147	301889	Martha's Mother
689148	214337	
689149	387279	Kimona Wanalaya (1995-1996)
689149	410688	Leia Meow (1999-2001)
689149	410689	Leia Meow (1999-2000)
689149	410690	Leia Meow (1999-2001)
689150	1198	Chicks
689151	739	Herself
689151	29814	Herself
689152	2890	Pretty Young Woman
689152	45781	Molly
689152	49366	Movie Theatre Victim
689152	65605	Della Rivera
689152	84437	Crystal
689152	85834	Amber
689152	97232	Marie
689152	131803	Gino's Girl
689152	199150	Group leader
689152	217896	
689152	234227	Didi
689152	295468	
689152	351187	Mariah
689153	283555	Mrs. Bolt
689153	392693	Denise Lynne Johnson (Dixie)
689154	69181	Herself
689155	63650	
689155	70152	
689155	70509	
689155	94241	
689155	118093	
689155	120974	
689155	149609	
689155	161994	
689155	183800	
689155	214882	
689155	248994	
689155	249707	
689155	261609	
689155	320007	
689156	110125	Mrs. Bock
689156	349492	Mary
689157	275171	Dancer
689158	176923	Nurse
689159	218103	
689160	43769	
689161	958	Herself - Presenter
689161	2573	Herself
689161	42924	Herself
689161	47377	Herself
689161	63042	Herself
689161	67923	Herself
689161	118157	Herself - Performer
689161	138873	Pidge
689161	154722	Herself
689161	161224	Herself
689161	161357	Herself
689161	190273	Geena Briganti
689161	190373	Herself
689161	212716	Herself
689161	219931	Mary (Had a Little Lamb)
689161	221306	Picnic Guest
689161	221408	Herself
689161	221470	Herself
689161	238567	Cyd Morse
689161	242924	Sally Mahon
689161	250847	Herself
689161	280702	Herself
689161	342378	Herself
689161	345633	Herself
689161	352975	Herself
689161	352977	Performer
689161	353265	Sylvia Pickel
689161	358731	Young Pink
689161	360377	Herself
689161	368815	Herself
689161	392422	Herself
689162	45768	Florentine
689162	106364	
689162	123598	
689162	236460	
689162	264683	
689162	264911	
689162	269244	La bibliothécaire
689162	296205	Prostitute #4
689162	378027	Herself
689162	390448	The villain
689162	391547	The Drama Queen
689162	396071	Herself
689162	399755	Candidate
689163	399568	Socky
689164	309407	
689165	379819	Daisy
689166	396898	Rosana Valverde
689166	398458	Isabel
689167	258888	Leona
689168	109661	Receptionist
689169	5447	
689170	30275	
689170	67664	
689170	90457	
689170	298566	
689171	320584	
689172	204168	Voice of the Child/Shoe Shop 
689173	69179	Herself
689173	104970	Karen Spitz
689174	306421	Manicurist
689175	224366	Public Stenographer
689176	305034	Bettina (Animal Activist #3)
689177	272944	Punk
689178	314777	Birthday Girl's Mother
689179	59525	Cynthia Reed
689180	198980	Simone
689182	211657	Professeur du lycée
689183	406030	
689184	16607	Girl
689184	22191	Juliette
689184	23747	Lucie Leblanc
689184	24927	Herself
689184	32004	
689184	40587	Herself
689184	44423	Amy
689184	70936	Rose-Marie
689184	73719	Thérèse
689184	94244	Véronique
689184	97054	Amoureuse
689184	99406	Jess
689184	108773	Lorca
689184	113122	Marie
689184	115331	Suzanne
689184	115486	Dr. Ann Stephens
689184	141411	Liliane
689184	160405	
689184	163985	Shaïra
689184	170536	Armelle Bertrand
689184	200529	Louise Saitta
689184	205525	Maria Chapdelaine
689184	210910	Julie Manet
689184	217680	
689184	219467	Marie Chapdeleine
689184	231997	Judy
689184	236506	
689184	263896	
689184	266392	Solange
689184	272730	Rita
689184	288893	Lola
689184	294803	
689184	316845	Nathalie
689184	320039	Anouk Van Derlin
689184	321167	Eva
689184	321255	Miss Monde 1984/Miss Canada
689184	329322	France Monnier
689184	331192	
689184	343572	Normande St-Onge
689184	353522	Renee, French Underground
689184	353869	Laura
689184	376998	Martine
689184	400698	La cliente à la mouche/Sylvie
689184	401939	Marie Harmant
689185	237648	
689186	260794	
689187	32271	
689188	18320	Mme Arnaud
689188	23548	La concierge
689188	23646	Post office attendant
689188	23804	Athénaïs
689188	43390	Paulette
689188	45769	La seconde musicienne en voit
689188	51378	Herself
689188	76584	Miche
689188	86727	Zoé de la Tresmondière
689188	92048	
689188	122428	Valentine
689188	132815	L'amie de Mario
689188	158831	La patronne
689188	160701	Mme Palladion
689188	165177	Gisèle
689188	183800	La grue
689188	200952	Valentine
689188	202747	Arlette
689188	205736	Françoise
689188	216350	Petite-Chose
689188	217223	Olga, the janitor
689188	225494	Alice
689188	227317	La mère de Christine
689188	258279	Mlle Sozy
689188	258529	
689188	265308	Mamie
689188	268444	Constance
689188	278155	Madame Yvonne
689188	281271	Christiane
689188	292386	Mathilde/Mélanie
689188	345076	Mathilde/Mélanie
689188	345238	Mme Donnadieu
689188	353129	Marguerite Galipeau
689188	354658	Lucette Vallombreuse
689188	355496	Annette, la femme du maire
689188	377660	Amélie
689188	381140	
689188	381245	Marie Lubin
689188	385608	Gigi
689188	387697	Madame Louvet
689188	389940	Mademoiselle Marjon
689188	391933	Louise
689188	402562	Odette Laborde
689188	410143	Mme Dutour
689189	20954	Gabriela
689191	233553	Young Woman Trying Wedding Dr
689191	379867	
689191	384293	
689191	384523	
689191	385488	
689191	392510	Teresa
689191	398881	
689191	399870	Susana Pinto
689191	400095	Maria dos Prazeres Costa More
689191	410088	
689191	410105	Eugénia
689192	13998	Nun
689193	229865	Waiting Girlfriend
689194	327252	Child
689195	333120	Person of the Night
689196	292587	The Hedley Kow Narrator
689197	321953	Mona
689198	149724	Girl in Car
689199	257799	Maggie Turner
689200	297093	
689202	45940	Alice Andrews
689202	193762	
689202	350016	Moira McTavish
689203	377489	
689204	120825	Princess
689204	220033	Miss Flavia de Lorgnette
689204	221596	Pavaloosky
689204	229110	Villager
689204	236987	
689204	253771	A woman in court
689204	283635	The queen
689204	307116	Woman in saloon
689204	346186	Cheroot
689204	362892	Countess Out, a Classy Eve
689204	364806	Calamity Jane
689205	302899	
689206	200037	
689207	36923	
689207	36925	
689207	36926	
689207	36935	
689207	109592	
689207	248484	
689207	381091	Herself (eliminated round 1) 
689207	389061	Herself
689207	407055	
689208	158784	Party Guest
689209	362355	Wedding Guest
689210	164364	Allison
689210	178092	Sandra
689210	289052	Jennifer
689210	347746	Caitlin
689210	374597	Gabrielle
689210	380240	Sophie Harrison
689210	397226	Rose McKenna
689211	84487	Marie Vitelli
689211	252408	
689212	121615	Inmate
689213	264157	Lady Lindenlaub
689213	264158	Lady Lindenlaub
689213	271344	Simone
689214	67896	Camp Singer (Don't Sit Under 
689215	16879	Lilithia
689216	75043	
689217	646	Maggie
689218	264904	
689219	3944	Herself
689219	6720	Herself
689219	6721	Herself - Host
689219	6722	Herself
689219	6724	Herself
689219	34928	
689219	34929	Herself
689219	34930	Herself
689219	34932	Herself
689219	34933	Herself
689219	41645	
689219	81826	
689219	113642	
689219	142500	Herself
689219	163480	Herself
689219	191352	
689219	195886	
689219	216178	
689219	216747	Herself
689219	219872	
689219	227997	
689219	273550	
689219	274183	
689219	295692	
689219	297229	
689219	313573	
689219	313574	
689219	363375	Herself
689219	372540	
689220	118034	
689221	140938	Goddess
689222	20373	Acro-bat
689222	26074	Lisa's Mom
689222	72368	Sonia Castor
689222	92660	Peepshow girl
689222	109741	Flapper
689222	131453	Lolita
689222	144592	Rave girl
689222	148246	Aunt Jolene
689222	167714	Hooker
689222	210730	Gloria
689222	213450	Gina
689222	254605	Joanne Fabric
689222	258039	Sandra
689222	316589	
689222	336479	Linda
689222	353295	Tiffany Berkowitz
689222	353296	Tiffany Berkowitz
689222	353299	Monique McClure
689223	102920	Herself
689224	97522	Katy
689225	366585	Great Neck Girl/Teenage Girl
689226	63275	Mime
689226	68736	Cymbal/Drummer
689226	151758	Bear
689227	235639	Jennifer Smith
689227	302769	Sadie
689228	405636	Additional Voices
689229	330108	
689230	280489	Choir
689231	58940	Hannah
689231	178218	Josh's date
689231	187189	Shauna Kaplan
689232	299794	Policewoman
689233	213105	Pedestrian #14
689236	75195	
689236	93707	
689237	230316	Waitress/Body Double
689238	366749	Vivian Hill
689239	19971	
689239	116523	Telephone operator
689239	143577	Cigarete girl at Cobra Club
689239	168050	School Girl
689239	273786	
689240	160464	Herself
689241	304850	Linn
689242	233492	Jennifer Kirkpatrick
689244	46742	Jennifer Davis
689244	58522	Rachel Burke
689244	73207	Rene Peterson
689244	83949	Lily Becker
689244	99693	Elizabeth 'Lizzie' Stern
689244	101053	Karen
689244	148924	Debra
689244	154576	Lisa Harris
689244	155831	
689244	176392	Diana McNulty
689244	185264	Julie
689244	198489	
689244	199148	Miss Rose
689244	252425	Lisa Yoman
689244	270697	In the Mood; bandleader
689244	314441	Mary Harding
689244	325980	Colleen McNeil
689244	332807	The Young Woman
689244	366684	Alexandra Amberson
689244	380261	Hillary (1979)
689244	381754	Giselle Kraft
689244	385773	Julie
689244	389356	Candy Cane
689244	391898	Ginger Szabo
689244	396960	Det. Dana Doyle (1998)
689244	398245	
689244	400551	Stacey Richards
689244	410571	Jenny Hawkins
689244	411053	Melissa Turner
689245	283250	Elf
689246	128590	Young Wife
689247	14131	Vocal Jazz Girl
689247	59676	Ncki
689247	78936	Sarah Collins
689247	117674	Alice
689247	148569	Hope Seaver
689247	148570	Hope Burnford
689247	293011	Regan Borchardt
689247	385720	Sarah Collins
689247	385824	Cynthia (2001-2003)
689247	403280	Sally Allen
689248	162538	Jane
689249	14273	Gina
689249	41297	Paige
689249	43877	Kirsty Cotton (Hellraiser)
689249	75284	Jennifer Taylor
689249	75897	Brittany
689249	107140	Janey
689249	110916	Laura Bryant
689249	125800	Dakota
689249	125801	Dakota
689249	142489	Kirsty Cotton
689249	142490	Herself
689249	142616	Kirsty Cotton
689249	142618	Kirsty Cotton
689249	142621	Kirsty Cotton
689249	142624	Herself
689249	190559	Jenny Graves
689249	192628	Carla
689249	197714	Cathryn Farrell
689249	213662	Gilder
689249	222699	Janine DeVrie
689249	259904	Harem girl
689249	289007	Mary Parker
689249	335205	(segment "Lurking Fear")
689249	339918	Julia Summers
689249	359423	Kris Miller
689249	383385	Brenda Clegg #2 (1984-1985)
689250	294222	Tracey
689251	39009	
689251	120355	Laurence
689251	131695	Cécile
689251	140300	Marianne
689251	235565	Mme Arturo
689251	281301	
689251	311256	La femme de l'ami
689251	338332	La femme du maire
689251	346674	Bourgeoise
689251	357840	La Vénus finlandaise
689251	392910	Françoise Ferlin
689252	71800	
689252	83353	Jacqueline
689253	94937	Judith
689254	148773	
689256	82918	
689256	104009	Avó
689256	125782	
689256	211022	
689256	222375	Nurse
689256	228141	
689256	235244	Patrícia's mother
689256	248535	
689256	308749	
689256	351269	(segment "Pisada de Elefante"
689256	380449	Catarina
689256	381198	Charlotte de Pomp
689256	382676	Antoniette
689256	383247	Dominique
689256	385629	Solange
689256	386727	
689256	386757	Zoraide
689256	388681	Margot
689256	392747	Solange
689256	396926	Baroness of Goitacazes
689256	404165	Eglantine
689256	407275	Célia
689256	408550	Simone
689256	409003	Alzira
689256	409024	
689256	409426	
689256	412179	Clarice
689257	30890	Marie-Douce
689257	111371	Marie
689257	354524	
689257	377635	
689258	85913	Herself
689258	352974	Herself
689259	185642	Pretty Girl
689259	313514	Billie Carleton
689260	190579	Jane Wright
689260	237670	Dale Kirby
689260	304876	Reporter
689260	337468	
689261	47946	Lani Aveson
689261	141683	
689261	399816	Liz Chalmers Feather (1975-19
689261	402197	Marilyn Mason (1979)
689262	276948	Clothilde
689263	205412	Herself
689263	244856	Herself
689263	310549	Herself
689264	46932	
689264	245711	
689265	183813	Mary
689265	383595	Alice Jones
689266	66049	Waittress
689266	118754	Vieille dame comissariat
689266	337003	La femme aux 2 télés
689266	345443	La dame au cabas
689266	410074	La grand-mère
689267	116966	Cleaning Lady
689267	225440	
689268	163491	Red-Head
689269	60766	Carlotta Ivanova
689269	73833	Diva
689269	113956	Woman Guest
689269	117101	Mrs. Elinor Vigushin
689269	385719	Hannah Stokes (1970)
689270	50207	Police Woman
689270	79775	Ella Bellenger
689270	135987	Miss Belt
689270	168464	Cynthia Lennon
689270	296968	Nurse
689270	389625	Hotel receptionist
689271	104761	Luxembourg entry (3rd place)
689271	384313	Host (1978-1983)
689272	50484	Choir Student
689273	315994	Neighbor
689273	385299	Claudie Metcalfe
689274	69049	Finace
689275	289894	
689276	131473	Nun #2
689277	135430	
689278	404013	Jill
689279	146391	Herself (student)
689279	167234	Narrator
689280	292579	Camille Tremblay
689281	376906	Violoniste
689282	353790	
689283	16617	
689283	57263	
689283	132773	
689283	148729	La fiancée d'André
689283	225538	Suzanne
689283	249722	
689283	275515	Marie Poubennec
689284	270631	Herself
689285	294660	
689285	322938	
689285	364965	Elisabeth Harsefeld
689285	381579	Dora
689285	389361	Elisabeth Harsefeld
689286	23615	Cybère
689286	276492	Mezzo-soprano: 'Plainte de Vé
689287	153578	Alien
689288	56948	Amélie
689288	383788	La sdf
689289	46311	Luana
689289	202395	Elizabeth Arden
689290	46242	Home Sister
689291	3950	Camille
689292	12558	
689292	15118	La femme du gouverneur (segme
689292	67211	Anne-Marie
689292	119811	Madeline The French Mistress
689292	205217	Josette Legrand
689292	206847	Mary Kirk
689292	222409	Therese
689292	268412	Catherine
689292	345036	Monette
689293	84220	(segment "Jeanne")
689293	195702	Lover on the Seine
689295	144816	Monica
689296	75081	
689296	118754	Standardiste hall
689297	68364	
689297	119422	Thérèse
689297	135505	
689297	169653	Lise
689297	389004	Mme Mannecier
689298	112879	
689298	112887	La Perrota
689298	189306	
689298	201185	
689299	56449	
689299	77231	
689299	103476	
689299	132675	Luisa, la coqueta (as Chonet 
689299	170037	
689299	238164	
689299	264392	
689299	353619	
689300	399	Violaine
689300	136974	Une chanteuse
689301	3950	Alice Constant
689301	6416	Christine
689301	53014	Marguerite Combes
689301	59985	Christine
689301	83193	Raphaëlle
689301	100358	Christine
689301	120674	Une vendeuse
689301	146427	Nicole
689301	161649	
689301	170506	Dany
689301	207723	Paillette
689301	219518	Diane
689301	229044	Clémentine
689301	240591	La soeur de Bess
689301	248257	Yseult
689301	258868	Virginie
689301	285778	Clélia
689301	287322	Denise
689301	288893	
689301	306947	
689301	309689	Julie
689301	323042	Claudine Bertrand
689301	332231	L'avocate (segment "Captif, L
689301	335082	Yvette
689301	345037	Cécile
689301	345174	Mme Lucas
689301	379238	Joséphine Leroux
689301	382584	
689301	384887	Joséphine Leroux
689301	390754	Nanon de Lartigues
689301	396366	Evelyne Fleuret (segment "Dos
689301	397506	Karin Bredford
689301	398790	Cécile
689301	401731	Simone Servat
689301	403177	Charlotte
689301	407810	Joséphine Leroux
689302	108506	Boopie
689302	193434	Antoinette
689303	163087	Isabelle
689304	392894	La mère de Florence Moretti
689305	284224	Passagère bus
689306	112864	
689306	256998	Sylvie
689307	45637	(segment Majorettes in Space)
689308	81346	Spaz Girl
689309	265623	Colette
689309	398984	Nanou
689310	339537	Jacky
689311	4935	Berta Chigi
689311	6293	Anna Acquaviva
689311	84681	
689311	84682	Cécile Thibaudier
689311	124396	La fille du geôlier
689311	148707	Mireille
689311	169340	Françoise
689311	169890	Suzanne Cortot
689311	288204	Rose
689311	345113	Hélène
689311	353857	
689312	28099	Shari
689312	43772	Mayriam
689312	78545	Talassa
689312	101896	Camille
689312	161646	Helen Delaney
689312	198980	Renée
689312	243040	Suzy
689312	258250	
689312	268963	Camille
689312	320274	
689312	322670	The woman
689312	371415	
689312	384474	La secrétaire de Haardt
689312	387061	Emina
689312	390436	
689313	336972	
689314	175459	
689315	67244	Sa femme
689315	103226	La veuve joyeuse
689315	111279	
689315	111872	
689315	112180	
689315	234288	
689315	280784	
689315	347130	Sa femme
689316	277738	
689317	205437	
689318	51726	Therese
689318	249061	L'hôtesse à l'aéroport
689318	250780	Cliente 2
689318	357042	Audrey
689319	171008	Yvonne
689320	104759	Herself
689320	104763	Herself
689321	142527	Tony's Tacos Patron
689322	152603	Passer-by
689323	144054	Edit Lahtinen
689323	174477	
689323	188623	Mother 1989
689323	225234	Öhman
689323	255935	Ester von Holten
689323	355641	
689324	57557	Clara
689324	83208	Louise
689324	110025	Isabelle
689324	137215	Sabine
689324	166289	Alice Arguel (jeune)
689324	282488	Francesca
689324	306313	Célia
689324	345437	Lisbeth
689324	366935	
689325	399658	Magda (1995-)
689326	6594	La femme d'Abel
689326	16442	Andrea
689326	116413	Anna
689326	155738	
689326	202751	Hélène
689326	207931	Jeanne un
689326	264952	
689326	392369	Viviane
689327	349494	Gégé
689327	349656	Claudine
689328	300343	Bus Driver - Latisha
689329	325082	Flipote
689330	225448	
689330	279820	Fabienne
689330	356521	Jeune fille maternelle
689331	146421	
689335	317829	
689336	8844	Aida
689337	144930	June
689338	222149	
689339	375123	
689340	15179	
689340	64662	
689340	375123	Moeder/Mother
689341	191738	Marla
689341	218127	Marla
689342	29082	
689343	235038	Charlotte
689344	237167	Kati
689345	357941	
689346	6497	
689346	100786	
689346	194614	
689346	197150	
689346	214624	
689346	225069	
689346	246872	The Girl
689346	255276	
689346	351993	
689346	383287	
689346	387187	Rosario
689346	387446	Gloria
689347	90012	Tebaldo
689348	19069	
689348	56341	
689348	74883	
689348	86064	Mrs. Pulcini
689348	97167	Prof. Bonteschi
689348	98079	Poggendorf
689348	125795	
689348	243362	Corifea (episode "Coefore")
689348	264241	Electoress
689348	291553	Serino
689348	300840	Mrs. Frisella
689348	307063	Old woman
689348	315939	
689348	354936	Cesca (Cremona)
689348	381195	
689349	10871	Ava Zurich
689349	20372	Chyna
689349	35770	Herself
689349	57658	Herself
689349	67829	Chyna
689349	87980	Chyna
689349	118873	Freeda
689349	121593	Chyna
689349	121594	Chyna
689349	152950	Brandy Rose
689349	177489	Chyna
689349	177490	Chyna
689349	177491	Chyna
689349	177492	Chyna
689349	212828	Chyna
689349	217821	Chyna
689349	221480	Herself
689349	234073	Chyna
689349	240786	Herself
689349	257676	Herself
689349	282680	Chyna
689349	282681	Chyna
689349	282682	Chyna
689349	282683	Chyna
689349	318834	Chyna
689349	318836	Chyna
689349	318837	Chyna
689349	320138	Chyna
689349	320139	Chyna
689349	368816	Chyna
689349	368827	Chyna
689349	368830	Chyna
689349	368831	Chyna
689349	368834	Chyna
689349	369239	Chyna
689349	369240	Chyna
689349	369242	Chyna
689349	369255	Chyna
689349	369266	Chyna
689349	369272	Chyna
689349	369275	Chyna
689349	369276	Chyna
689349	369278	Chyna
689349	369279	Chyna
689349	369280	Chyna
689349	369281	Chyna
689349	369290	Chyna
689349	369291	Chyna
689349	369307	Chyna
689349	402907	Chyna (1997-2001)
689349	403549	Herself (2002-)
689349	406933	Chyna (1998-2001)
689349	411545	Chyna (1999-2001)
689350	1520	
689350	15041	Girl in love
689350	43697	
689350	66746	Valérie Bouquet
689350	113560	Vanessa
689350	136645	Pénélope
689350	279803	Isabella (20 ans)
689350	346560	Judith
689350	346656	Vanessa
689350	393885	Sarah (1992-)
689350	396805	(1988-1990)
689350	403474	Virginie à 13 ans
689350	409527	Frédérique Beaumont (1992-???
689351	386603	Dr. Karen Werner (1967-1969; 
689352	173613	Advocate's wife (segment "Gia
689353	281756	Elisabeth
689354	302316	
689354	379628	Betty Verdoodt
689354	409928	Sandra Coppieters
689355	16798	
689355	20221	
689355	23370	
689355	70896	
689355	78242	
689355	89573	
689355	129928	
689355	193218	
689355	233475	
689355	251606	
689355	260734	
689356	69986	
689356	127899	
689356	207070	
689356	243303	Un' allieva
689357	353066	Rosetta
689358	68653	La domestica della casa Mella
689358	68925	
689358	94661	L'ancella Maria
689358	205304	
689358	206667	
689358	266386	
689358	273142	
689358	348141	
689358	351523	
689358	353856	
689358	377576	
689359	249853	
689360	372972	Jaunkahns
689361	9172	Marjatta
689361	92082	Bobrikoffin tytär
689361	141887	Marja, Wilhelmin vaimo
689361	156037	Vaatemyyjä
689361	168790	
689361	172294	Elokuvatuottaja Heidi Ahola
689361	180175	Herself
689361	180176	Various
689361	190658	Mandi
689361	193554	Brita
689361	206324	Raija Syysmäki
689361	214845	Herself
689361	226806	Looginen nainen
689361	255765	Valma Rögstrand-Ylä-Liimanen,
689361	272834	Tuuran sihteeri
689361	283591	Dekadentti nainen
689361	319302	Annan äiti
689361	341798	Neiti Männistö
689361	349137	Vanhainkodin johtajatar
689361	349138	Marina Kaarna
689361	349139	Lisbeth Tuura
689361	349142	Pääministerin sihteeri
689361	349143	Lehtinainen
689361	349147	Tarmon anopin sihteeri
689361	349148	Gunhild Donnersdotter
689361	391434	Various
689361	392335	Virpi
689361	392555	Tiina Kouranka
689361	393017	
689361	394932	Jutta Kinnula
689361	400857	Tiina Kouranka
689361	405456	Tarja
689361	406130	Various roles
689361	406132	Various/Herself
689361	410018	Various
689362	109139	Passenger on train
689363	51447	
689363	90168	
689363	117966	
689363	218541	
689363	352918	
689364	302979	
689365	386742	La cameriera
689366	298443	
689367	379132	Ernestina (Chapter 6)
689368	215611	Miss' Cousin
689368	379132	Edelmira (Chapter 3)
689369	141730	Molly
689369	144376	Italian Woman
689370	270971	Girl #1
689371	353563	
689372	252745	
689372	345498	Q-Bec
689372	400051	
689372	412250	Georgette Metayer
689373	11623	Maskenfrau
689373	338426	
689374	77412	Herself
689375	110741	Herself
689376	76757	
689377	77412	Herself
689378	105226	Baby Sitter
689380	111793	Woman Client
689380	191279	Josephine Heatherington
689381	297974	Baby, Shim's girlfriend
689382	117556	Jo Masters
689382	276804	Girl in Boat
689382	395181	Hilda Evans
689382	396235	Pandora
689383	396088	Cindy Craythorne (1959)
689384	405679	Herself in 'Flesh Freak' (199
689384	406361	Herself - Host
689385	1481	Herself - Presenter
689385	1962	Herself
689385	5903	Herself
689385	8961	Sarah Hatfield
689385	12293	Lillie Dawson
689385	19168	Emily Boynton
689385	49605	Magda Goebbels
689385	53627	Herself
689385	55625	Margaret White
689385	61707	Mrs. Norman
689385	63068	Jennie
689385	73835	Helen Booth
689385	78108	Louise Graham
689385	78736	Herself (interviewee)
689385	79659	Rannah Hayes
689385	81490	Herself
689385	87896	Margot Caldwell
689385	93054	Gena Ettinger
689385	104549	Charlotte 'Grandma' Collins
689385	107265	Mrs. Karen Olson
689385	112485	Judge Edna Burton
689385	118805	Frances Travers
689385	129832	Margo
689385	130717	Princess Khairuzan
689385	139800	Millicent Blaisdell
689385	153275	Sarah Packard
689385	153277	Herself
689385	158113	Kay Trafero
689385	158329	Julie Quinlan
689385	159709	Sarah Brady
689385	160778	Miriam Braynard
689385	168676	Liz Fielding
689385	175405	Mina Van Runkel
689385	185103	Mrs. Potter
689385	195162	Cathy Norton
689385	196302	Margaret Kinsey
689385	196320	Christine Groda
689385	198882	Lady Macbeth
689385	199877	Matilda West
689385	204926	Ida Highland
689385	210209	Herself
689385	213358	Cheryl Visco
689385	213976	Chris Abbott
689385	215909	Angelique 'Leia' Dureau
689385	220059	Martha Cousins
689385	233057	
689385	233930	Lee Kingshead
689385	244379	Bea Sullivan
689385	247151	Evangelist
689385	261425	Aunt Hanna
689385	264094	Tina
689385	265738	Annie Gilbert
689385	270933	Margaret White
689385	271205	Ethel Gumm
689385	276873	Aunt Em Blue
689385	277637	Vera Delmage
689385	278824	Martha Robinson
689385	279367	
689385	279390	Wanda Kirkman
689385	282918	Ruby Claire
689385	296935	Ellis Snow
689385	303680	Jo Skagska
689385	305693	Laura Evans
689385	308338	Kiki
689385	312592	MaryPat Donnelly-McDonough
689385	315784	Constance Fowler
689385	328553	Margaret White (Carrie)
689385	332807	Frances Warsaw
689385	333127	Mary Horton
689385	336819	Darlene Marsh
689385	338403	Adriana Petrescu
689385	342549	Catherine Martell
689385	347855	Delia Leslie
689385	367718	Margaret Sanger
689385	368853	Georgia
689385	389857	
689385	390922	Miriamne Esdras
689385	400911	Roberta Stahler
689385	401646	
689385	405546	Jo Skagska
689385	407831	Mrs. Speers
689385	408096	Anne Mueller
689385	408750	Cora Trapchek
689385	409210	Catherine Packard Martell
689386	366697	Vivian aged 5
689387	217419	Stella
689387	335301	Postie
689388	405165	Laughing Clown Woman
689389	61830	Ghoul
689390	189864	Herself
689391	64333	Herself (1986)
689392	1578	Laurie
689392	8366	Young Prostitute
689392	26510	Nadine
689392	43629	Yvonne
689392	43755	Manon
689392	77366	Agnes Laberge
689392	140972	
689392	153636	
689392	164193	Maude
689392	218581	
689392	228565	Marielle
689392	249625	Alexandra
689392	260940	Bonne
689392	268871	
689392	269507	Sarah
689392	346618	Soledad
689392	351816	Marie
689392	393352	Corinne Santinori
689392	408321	Madeleine Lambert
689393	17709	Sarah
689393	51451	Chili
689393	64333	Herself (1986)
689393	68390	Cassandre
689393	85551	
689393	90381	Vanessa
689393	133045	Eve Beauchemin
689393	142850	Liliane
689393	164182	Winnifred
689393	191500	Valérie Savard
689393	196337	Danielle
689393	222292	Pretty Coed
689393	292152	
689393	314763	Lena
689393	353955	
689393	383863	Caroline #1
689393	388690	Young Emilie
689393	410252	Karine Constantin (2003)
689394	43755	Cousin
689395	145666	
689396	102398	Slave Girl
689397	394938	Bändin jäsen
689398	184789	Sporafriidu
689399	350353	Gerli
689400	208128	Julie Laviolette
689400	379876	
689401	332198	The Nun
689402	49828	Rat Woman
689402	72853	Susan Delambre
689402	193761	Seven Deadly Sins
689402	324020	Jeanne
689402	383385	Tina (1987)
689402	389269	(segment "The Cowboy and the 
689403	71263	Marta
689404	259186	Daphne, Cullingham
689404	263989	Carabine
689404	373419	Princess Eufrozína
689404	394751	Bobina Havránková
689405	396978	Hélène années 50
689407	17173	Dean's secretary
689407	48906	
689407	255731	Mom
689408	71861	Mindy Hamilton
689408	82695	Amy
689408	84854	2nd Girl
689408	114625	Angela
689408	131731	Cynthia Fine
689408	279733	Sis
689409	83960	Diana
689409	190705	Mellissa
689409	350077	Beth
689410	3563	Elvira Sciaccaluga
689410	51925	
689410	125037	
689410	208799	Luisella
689410	234768	
689410	246520	
689410	248929	Susanna
689410	252779	
689410	294409	
689410	327908	Clara Cordelli
689410	328349	Rosetta
689410	343988	Massaia
689410	386398	
689410	392977	
689411	302427	Pige i omklædningsrum
689412	209117	
689413	147267	
689414	61067	Ulla
689415	286880	Maquilladora
689416	338369	
689417	248954	Germaine's Maid
689418	87885	
689418	188453	Lena's Mother
689420	16857	
689421	82692	Jeannie
689422	59726	Pernille
689422	111557	Birthe
689422	208284	Louise
689422	240099	
689422	284443	Mother
689422	315397	Lene Sommersted
689422	351045	
689422	358847	Babara
689423	192643	Herself
689423	395800	Herself (2001-2003)
689424	64633	
689425	403535	Herself - Participant (2004)
689425	403536	Herself - Participant (2004)
689426	78487	Herself (performing 'Sket ige
689426	351368	Herself
689426	406568	Herself - Member of jury
689426	406569	Herself - Member of jury (sea
689426	409929	Herself - Singer (2001-2002)
689427	51253	
689427	199581	
689427	214882	Hermance
689427	270404	Toni
689427	289435	
689427	306343	Margot
689428	51253	
689429	219431	Assilayell
689430	74166	
689431	341601	Metermaid
689431	399224	Big Ethel
689431	401865	Additional Voices
689432	18388	Vrouw van de burgemeester
689432	48159	Huisbazin
689432	93615	Weduwe Mersi
689432	101344	Tante Emma
689432	142744	Bonneke
689432	165624	Melanie Peeters
689432	165625	Melanie Peeters
689432	198476	Tante Wies
689432	210124	Moeder Lauwers
689432	211909	Mevrouw Dingemans
689432	213555	Schoonmoeder
689432	214356	Huishoudster
689432	243293	Dame (I)
689432	275656	Grootmoeder
689432	290075	Schoonmoeder
689432	302847	Tante Ida
689432	311877	Rosa
689432	314847	Tante Fien
689432	366699	Tante van Raymond
689432	375752	Tante Fien
689433	42877	Betty
689433	48159	Juffrouw Plank
689433	213555	Olga Denneboom
689433	214356	Rosa
689433	275656	Wed. Fien Appel
689433	311877	Anna
689434	73902	Candy Bottoms
689434	157672	Realtor
689434	257401	Ruth
689435	88583	Lilinka, old maid
689436	351290	Weberová
689437	198222	Zora Nestorová
689437	306099	Vera Wernerová
689438	244949	Hélène
689439	234826	Nonne/Nun
689440	185321	Beach Girl
689441	313033	Les collégiennes
689442	117454	Featured dancer
689443	68583	
689443	81616	
689443	197088	
689443	199032	Herself
689444	282474	Bernice
689444	367446	Bathing Cap Girl
689445	71603	Herself
689446	301797	Camilla
689447	236827	
689447	248394	Verkaeuferin (Seller)
689447	376464	
689448	376362	Maya Mattuschke
689449	9498	Erika
689449	198846	
689449	226322	
689449	276383	Nina
689450	12587	
689450	103066	
689450	117667	Countess Esterhazy
689450	121029	Boarding School Director
689450	138458	
689450	150630	
689450	155456	
689450	170638	
689450	171664	
689450	174636	Une dame de la cour
689450	181499	
689450	204520	
689450	225213	Lady Lansdowne
689450	234486	
689450	237734	Gräfin Amalie von Sensheim
689450	303174	Gräfin Esterhazy
689451	78971	Rachel Lowery
689451	367335	Elizabeth Glasgow
689452	399881	Herself
689453	311923	Women's Shelter Extra
689454	248258	La jeune femme brune
689455	50865	The Woman
689455	99164	NY 1 Reporter
689455	150891	
689456	15035	
689457	343554	Nathalie
689458	72311	
689458	148650	Waitress
689458	291584	(segment "Bistrot, Le")
689458	403089	(segment "Cons, ça ose tout, 
689459	231468	
689460	54244	
689461	39564	Jane
689461	113352	Girl in Bar
689461	147944	Corporate spokesperson
689461	185589	Anna
689461	232114	Eckhart's Babe
689461	232126	Marion
689461	311367	Beth
689461	315774	Queen Benevolence
689461	321096	Amy
689461	334354	Nurse Ellen
689461	342742	Carla
689461	362453	Gigi's Friend
689461	374597	TV Announcer
689462	347855	Local Girl
689463	260794	
689465	394128	Snus
689466	264950	Médecin Bossy
689467	5509	
689467	14347	Mme Lamar
689467	23773	Sabine Carlier
689467	194598	
689467	199944	Aline
689467	219606	La curiste
689468	388296	Yoko Oudenrijn
689469	104753	Dutch entry (13th place)
689469	228247	Herself
689470	405654	Valerie
689471	315521	Kaatje Lemmens
689472	186017	Jenny Bush
689473	34321	
689474	392509	
689475	318531	Teacher
689476	62491	Ann
689476	117640	Shubert, Zooey
689477	10653	Hannah
689477	119706	Maddy
689477	144193	Isa
689477	146873	
689477	223477	Anne
689477	307091	Tibby
689477	308824	Girl at Party
689477	325633	Kim
689477	325639	Chris Domnik
689477	373131	Anna
689478	215104	Norade
689480	50982	Fanny
689480	51451	La Puce
689480	72550	Amélie April
689480	134205	Daphné
689480	400384	Isabelle Laflamme
689480	410252	Véronique Bernier
689481	295006	Additional Muppet Performer
689481	381926	Jim Foley
689481	384894	Marie
689482	86470	Tolland Twin Girl #1-10 Years
689483	86470	Tolland Twin Girl #2-10 Years
689484	136693	
689485	75030	
689486	181618	
689487	33494	
689487	191208	
689487	199921	La terza maestra
689487	336624	
689487	349524	
689487	403449	
689488	17349	
689488	343370	
689489	166169	
689490	356362	La mère de la petite fille
689491	14406	Sonia
689492	116226	Telegraph agent
689492	277965	
689492	306482	The Girl
689493	51431	Mme Peretti
689493	226818	Fauchon, Paul's wife
689493	286043	L'infirmière
689494	14631	
689494	22642	
689494	76004	
689494	77235	
689494	208848	
689494	212469	
689494	307833	
689495	212084	Kid in classroom
689496	324448	Dancer: La cumparsita
689497	89311	Model
689498	396781	Dorothy
689498	397589	Lina
689499	332595	Adriana
689500	72140	Model
689501	194706	Flutist
689502	166126	Autograph Seeker #2
689503	1766	Chantal
689503	32266	
689503	83367	Jacqueline
689503	99408	Brigitte
689503	120970	
689503	174154	Linda
689503	174155	Linda
689503	202727	Mélanie
689503	236535	Geneviève
689503	377937	Geneviève
689503	378761	Dominique Lazure
689503	380863	Azalée Gadouas
689503	390486	Catherine
689503	397157	Barbara Bigras
689503	401331	Thérèse Paré (Minou)
689503	410153	Ariane Raymond
689504	78320	Charline
689504	398864	Belle Pitoune
689505	247607	
689507	346428	Xavières
689508	2107	Mme. Rapons
689508	8249	Catherine 'Karen' Dariller
689508	14404	Marguerite
689508	17871	La bourgeoise
689508	23539	Solange
689508	38084	Madame Achere
689508	45000	Vanessa
689508	47784	Christiane
689508	47785	Herself
689508	47786	Christiane
689508	52698	
689508	57232	Michèle, l'ex-femme de Franço
689508	60889	Marie-Jeanne, la sage-femme
689508	68336	Yvette
689508	71807	L'aboyeuse
689508	71828	Mireille
689508	71846	
689508	71904	Mathilda
689508	81427	Mireille
689508	85616	Le professeur de maths
689508	96031	Marguerite Balicourt
689508	96097	
689508	96229	Henriette
689508	100738	Imogène Ledantec
689508	103932	Mme Lavanant, la restauratric
689508	105694	Hanae
689508	118624	Claire's mother
689508	120983	Une flic
689508	123064	Marie Pape, la prostituée
689508	134605	Dominique Lavanant
689508	135426	La fille de la chambre verte/
689508	148771	Arlette
689508	153875	Jacqueline
689508	157070	Imogène Ledantec
689508	157071	Imogène Ledantec
689508	157072	Imogène Ledantec
689508	157073	Imogène Ledantec
689508	157074	Imogène Ledantec
689508	157075	Imogène Ledantec
689508	160548	Marie-Anne Prossant
689508	166096	Miss Davis
689508	173072	Laure
689508	192228	Mme. Cormier
689508	198348	Pauline Fitzgerald
689508	199332	Rose
689508	205635	Adrienne, l'attachée de press
689508	205776	
689508	219518	Hazel Bronsky
689508	219830	Jolanda Taccone
689508	224889	
689508	227317	Evelyne
689508	229078	Imogène Ledantec
689508	235717	Imogène Le Dantec
689508	238453	Simone Perron
689508	240288	Teacher
689508	248218	Bernadette Bourdelle
689508	248353	
689508	249281	Florence
689508	252552	Plume
689508	261840	Jacqueline Puiset
689508	269518	Madame Fonfrin
689508	275635	Gertrude
689508	284961	L'infirmière
689508	292890	Jacqueline Vidart
689508	301553	
689508	305327	Pierrot/Rita
689508	306942	Soeur thérèse
689508	307111	La femme de l'amiral
689508	307748	
689508	345162	Mme Goutilleux, la pharmacien
689508	345297	Léonie
689508	345404	La jeune femme
689508	350741	La voisine
689508	354585	Eva Montier
689508	356385	
689508	356981	La Reine Madeleine
689508	356991	Imogène Ledantec
689508	370057	Ginette Alcazar
689508	384301	Clara Moranti
689508	392642	Imogène Ledantec
689508	400698	Une responsable de 'Tourisme 
689508	411548	Soeur Thérèse
689509	76190	Mrs. Garbo
689509	344264	Carrie
689510	88102	Pique (6 years old)
689510	185463	Indian Girl
689511	21982	
689512	33667	
689513	166370	A student
689514	41838	Mme Morin
689514	132982	Mme Martin
689514	217406	Mme. Dufresne
689515	25158	
689516	194380	Girl in Jaguar
689517	274734	Undetermined Role
689518	68360	
689519	160613	Adri
689519	378996	Host
689519	379147	Liliana
689519	379820	Juanita (1999)
689519	395886	Remedios
689519	397018	
689519	398794	
689519	402404	Dora Luz
689519	410327	Adriana
689520	52614	
689521	3399	
689521	5000	
689521	5356	
689521	6047	
689521	9626	
689521	13186	
689521	20730	
689521	21072	
689521	25218	
689521	48178	
689521	53649	
689521	55081	
689521	55082	
689521	55955	
689521	57978	
689521	63320	
689521	64043	
689521	68251	
689521	69652	
689521	70686	
689521	74137	La nena Saldívar
689521	74361	Servant
689521	77250	
689521	83137	
689521	83544	Tia de Elena
689521	90113	
689521	91416	Genoveva
689521	95420	Esposa de Fulgencio
689521	101808	
689521	103508	
689521	104123	
689521	111560	
689521	123186	
689521	124519	
689521	143755	
689521	143794	
689521	145256	
689521	145264	
689521	148122	Rosa Martinez
689521	148173	
689521	149513	
689521	169084	
689521	170091	
689521	183496	
689521	183949	Blanca
689521	193021	
689521	200541	
689521	206996	
689521	207975	
689521	209036	
689521	210581	
689521	211044	
689521	217025	
689521	218102	
689521	221912	
689521	221935	
689521	225051	
689521	225390	
689521	233949	
689521	234424	Maura
689521	235988	
689521	236418	
689521	247412	
689521	248285	
689521	250475	Old Women
689521	252063	Reportera
689521	252751	
689521	252770	
689521	253319	
689521	257013	
689521	265165	
689521	267409	Don~a Antonia Espinoza Corcue
689521	273848	
689521	275946	
689521	276480	
689521	277408	
689521	287033	
689521	287712	
689521	291602	
689521	291643	
689521	292928	
689521	300681	
689521	301186	
689521	309091	
689521	310026	Leonor Davila
689521	324318	
689521	328536	Madre de Luis
689521	332642	
689521	339086	Marbella
689521	339146	
689521	342160	
689521	350066	
689521	355926	
689521	370170	
689521	371343	
689521	371729	Pina Aguado del Rincon
689521	376713	María, nana de Lucía
689521	377172	
689521	379834	Concepción
689521	380265	
689521	380842	Fidela
689521	384400	Doña Cuquita Domínguez Vda. d
689521	384980	Gudelia
689521	384988	Mother Superior
689521	387314	
689521	387587	
689521	388096	Jacinta
689521	390439	Doña Pepa
689521	391421	Estela
689521	392960	Rosalía de Limantur
689521	397596	
689521	399707	Aída
689521	400953	
689521	403402	Martha
689521	403752	Úrsula Valdez #1
689521	409908	Socorro
689521	410319	Madre de Adriana
689521	410474	
689521	411710	
689521	412193	Brigida
689522	199564	Veronica
689523	380911	Herself - 7th Place (2003)
689525	346016	Inmate
689526	6720	Herself
689526	6723	Herself
689526	34879	
689526	34900	
689526	38892	
689526	69774	
689526	82448	Herself
689526	87390	
689526	91832	
689526	102825	Herself
689526	116013	Herself
689526	129734	
689526	165923	
689526	167586	
689526	188045	
689526	188066	
689526	232787	
689526	237135	
689526	243436	Greek Porno Actress
689526	297851	Secretary in cable installati
689526	302251	
689526	306910	
689526	316777	
689526	316894	Dominatrix
689526	320027	
689526	338348	
689526	343050	
689526	360309	Nurse
689527	365320	
689528	87351	Cathy
689528	167068	Dead Man's Wife
689529	234457	Másenka
689530	67209	Une groupie d'Eros
689530	234148	
689531	132899	Mme Morin
689531	292353	Nathalie
689532	31632	Polly
689532	301558	Specialty Dancer
689533	180025	
689535	248085	Nurse
689535	339937	Renee
689536	221776	
689537	22104	Landlady
689537	73746	Wife of Henpecked Man
689537	91779	Large Woman
689537	252489	Bella
689537	342810	Grandma Sarah Irwin
689539	164485	
689540	72104	Specialty Dancer
689540	123717	Specialty Dancer
689540	209660	Miriam
689540	295293	Hazel
689541	354953	Hostage Woman
689542	59715	Sophie the Telephonist
689542	343006	Emma Fraser
689543	104045	Christel
689543	183868	
689543	355184	Louise
689543	406458	Carly
689544	183868	Mairead
689544	277634	Jackie Skinner
689544	346156	Woman at phone box
689545	10887	Polly Wannakraker
689546	291495	
689547	135245	
689548	167866	Christmas Caroler
689549	187560	Herself
689549	353904	Herself
689550	239871	
689551	10535	Maid
689551	100047	Mary
689551	194130	Courtesan
689552	331249	Tionne
689553	270931	Mother
689554	44185	Woman in Boozecan
689555	104770	Herself
689556	102006	
689557	401699	Natalia
689557	402055	Mónica
689557	405798	Valeria Sabina
689558	110295	The reporter
689559	333731	Chloe
689559	334299	
689559	410252	Julie Constantin
689559	410628	Sandra Poulain
689560	411623	Charlotte Belleau
689561	13100	
689562	20625	Extra
689562	77908	Dolores
689562	168119	Peasant
689562	200886	Maid
689562	249621	Bit Part
689563	148696	Amie de Patty
689563	153636	
689563	288844	Alice
689564	408883	Femme du couple
689565	22681	Amazone César
689566	81665	Airline Girl/Sorority Girl
689567	230643	
689568	69848	Susan Sanger
689568	101427	Girl at Dance
689568	108619	
689568	346922	Mary Esterhazy
689569	7488	Specialty Dancer
689569	94972	Princess Maria
689569	115264	Martha Knox
689569	116505	Judy
689569	125923	Mary (Larry's Wife)
689569	136512	Sarah Deverill
689569	308375	Deering Hood
689569	309964	Margaret
689569	372907	Nightclub act
689570	154379	Herself
689570	249592	Presenter
689570	266693	
689570	328807	Herself
689570	391215	Panellist
689570	393661	Herself
689570	395767	Herself - Presenter
689570	396120	Herself/Presenter (2000)
689570	401846	Presenter
689570	403325	Reporter (2002)
689571	368857	
689572	108543	Jeune fille 2
689572	397857	Isaure (1970)
689573	91914	Young Lisa
689574	91914	Young Caroline
689575	389931	Maid
689575	405611	Nurse
689576	21523	The Widow
689576	26658	Gladys O'Toole
689576	46999	Violet 'Vi' Madison
689576	53207	Pearl
689576	54539	Queenie
689576	61306	
689576	85828	Barmaid
689576	108435	Minnie Moody
689576	115213	Betty
689576	115849	Violet
689576	121388	Mame
689576	131693	Mlle. Jeanne
689576	133565	Verna
689576	146273	
689576	190781	Gertie
689576	220085	Sadye Noonan Williams
689576	264497	
689576	289610	Carlotta Cortez
689576	306491	Mary Malone
689576	324417	Mrs. Hall
689576	364602	Jackie
689577	151628	Herself
689578	241340	Irish Free State
689579	133695	Herself
689580	200864	Reporter
689581	120355	La jumelle Annick
689582	120355	La jumelle Marike
689583	212799	Party Girl 2
689584	5910	Raquelle
689584	46416	Phoebe Pratt
689584	81105	Tracy Haiden
689584	139234	Nora
689584	214467	Sonja
689584	313594	Dianna Briggs
689584	355028	Mrs. Murphy
689585	2919	Herself
689585	3856	Herself(High Priestess)
689585	85076	Priscilla Corbis
689585	146676	
689585	221386	Herself
689585	238030	Herself
689585	288496	Herself
689585	291237	Herself (High Priestess)
689587	66945	Kirstie
689588	59517	Narrator
689589	196434	Lion's Mane Woman
689590	42577	The Detainer (007) [from "Cas
689590	46621	
689590	53744	Cunégonde
689590	56314	The Detainer/007
689590	56980	Rosita
689590	75915	
689590	82721	
689590	120897	Nevenka Menliff
689590	122425	Nathalie Conrad
689590	134804	Sekretärin
689590	142789	Professor's Daughter
689590	156736	Maria Sabrehm
689590	194464	The Girl
689590	234207	Maria Cholon
689590	239792	Paloma
689590	266947	
689590	280167	Madelaine
689590	290845	Irina Badoni
689590	301558	Tina aka Cowboy
689590	307888	Baroness Helga Hagen
689590	312171	Princess Natasha Romanova
689590	327707	Ilona Bergen
689590	343199	Veronica
689590	345486	Marie
689590	387079	
689591	14141	Madame Monique Danielle D'Ast
689591	174920	Rachel
689591	212753	Hanna Gonen
689591	271600	
689591	280773	Hadara
689591	301008	Ruth
689591	364367	Entourage Saleswoman
689592	193080	
689593	369453	(video sequences)
689594	224980	Herself
689595	169348	
689595	198315	Angélique
689595	393487	Joséphine
689596	198936	
689596	334524	Ronit
689597	143512	
689598	211794	
689599	175010	Herself
689600	208656	Marinka
689602	1726	Herself
689602	1738	Herself
689602	1743	Herself - Performer
689602	2287	Herself - Performer
689602	2303	Herself - Performer
689602	2573	Herself
689602	3252	Herself - Performer
689602	46192	Herself/Performer
689602	47173	Performer
689602	130423	Herself
689602	170848	Herself (greetings for the sh
689602	221413	Herself
689602	221426	Herself
689602	221435	Herself
689602	221482	Herself
689602	221483	Herself
689602	221488	Live performance
689602	231536	Herself
689602	288101	Guest Performer
689602	361062	Interviewee
689602	390309	Herself
689602	395768	
689603	344809	Santinha
689604	90131	Trinidad
689605	8988	
689606	378858	Barbie Bessette
689607	403475	Mélissa Augustin
689608	404947	
689609	45154	
689609	45156	
689609	45168	
689609	45170	
689609	70264	
689609	217594	La Filoche
689610	104770	Herself
689611	64166	
689611	191436	Samara/Monga, the Gorilla Wom
689611	294820	
689611	344809	
689611	380386	Marli
689611	382724	Vânia
689611	384922	
689611	388065	Soninha
689611	396126	Renata
689611	402504	Flávia
689611	409780	Daniela
689612	245507	Chaps
689613	301155	La jeune fille
689614	210931	Neighbor
689615	339126	Julia
689616	392911	Enfant
689617	383799	Carey Naismith
689617	399379	Ruth Edmonds
689618	91351	
689619	192574	Fighting Neighbor Woman
689619	277746	Sitcom Mom
689620	22	Ellen Lissick
689620	2261	Herself
689620	2289	Herself
689620	2563	Herself - Presenter
689620	18030	Terry DeBray
689620	31185	Herself (CBS Team)
689620	57492	Herself
689620	67058	Ruth Steiner
689620	68004	Herself
689620	77449	Gloria Thorpe
689620	93123	Virginia Funicello
689620	117188	Marilyn Killane
689620	137392	Herself
689620	154736	Lena Apthrop
689620	157464	Herself - Co-host
689620	161356	Herself
689620	168491	
689620	187732	Lena Kuchler-Silberman
689620	190705	Althea Gruen
689620	190887	
689620	191044	Herself
689620	205691	Mrs. Gannett
689620	208054	Nurse Joy Ufema
689620	219370	Toni
689620	222495	Kermit's Doctor
689620	232017	Herself
689620	257108	Liz Gavin
689620	278496	Ruth Liebman
689620	293126	Sidney
689620	315131	Earline
689620	319187	Herself/Hostess
689620	327189	
689620	364106	Teacher
689620	368458	Herself
689620	379667	Alice Hyatt
689620	381316	Det. Janice Wentworth (1975-1
689620	383711	Co-host - part VI
689620	384888	Florie Bloom
689620	403717	Edie Kurland
689621	215831	Pet Therapist
689622	64489	La femme à la galerie
689622	99912	
689622	214020	
689623	6415	Mother
689623	197537	Une gitane
689624	6194	Police matron
689624	51975	Visiting Room matron
689624	199304	Woman
689624	329437	Nurse Boswell
689625	228307	
689626	256620	Singer
689627	165417	Soap actress
689627	294717	Bloomingdale's Stock Girl
689628	160987	
689628	170848	Herself - Participant/Perform
689629	70615	
689629	386757	
689629	390737	
689629	402504	
689630	9239	
689631	396126	Flávia
689632	21040	Lotus Girl
689632	62540	Nurse
689632	83367	Ma Tante
689632	183779	Debra
689633	282102	
689634	7184	Child
689635	203622	Party Chorus Dancer
689635	282711	Dancer in Haiti number
689635	335638	Coed
689635	367970	Dancer
689636	18029	Nurse
689636	319521	Missy
689637	84436	
689638	79279	Mrs. Matlock
689638	199499	Nurse (1952)
689638	276937	Woman at Party
689639	39219	Catherine
689640	87660	Ewa
689641	224296	
689641	332830	Feather Siren
689642	343294	6-9 Month Old Jennifer
689643	309759	Marthe
689644	134205	La petite fille
689645	377260	Mme. Mollé
689646	51451	Mère de l'enfant au foulard
689646	198621	La femme de l'épicier
689647	99590	Deuxième journaliste
689648	209210	Cultist
689649	238424	
689650	41063	Herself
689650	97462	Herself
689650	257652	Miss August
689650	361853	Herself
689651	261431	Karen
689652	139227	Jogging Hardbody
689652	403805	Kate Roberts (2003-)
689653	6955	Queen Cinderella
689653	230857	Peaches
689653	291247	Dana Lewis
689654	211746	
689655	75629	Mlle Bissonnette
689656	132405	
689657	344524	Herself
689658	84888	Madeleine Fournier
689659	320421	Go Go Dancer
689659	382486	Monique Brion
689660	26583	Fanny age 5
689661	356381	
689662	190994	Groupie
689663	355496	La femme de chambre
689664	213142	
689665	25845	Herself - Burlesque Dancer
689667	12776	Charla
689668	125773	
689669	31641	
689669	264872	
689670	405882	Hildy James (1972)
689671	88027	
689672	176142	
689672	238315	Zhenya
689672	341329	Masha
689673	26207	
689673	122158	
689673	124157	
689673	212172	
689673	357663	
689674	156386	
689675	17556	
689676	180743	
689677	163058	
689678	3179	Lyolya
689678	9534	
689678	32848	
689678	88450	
689678	89589	
689678	131119	Ahtyrskaya
689678	177770	
689678	211195	
689678	263388	
689678	303217	
689678	323217	Lena
689678	337466	
689678	355308	
689678	357349	
689678	357479	
689678	357649	
689679	376218	
689680	36850	Herself
689680	36852	Herself - Participant
689680	381899	Herself
689680	381903	Herself - Participant
689681	228167	Peasant's Wife
689682	51573	Mrs. Trask
689683	91351	
689684	6468	
689685	328899	
689686	411769	
689687	32519	Jobeth
689687	257293	Rich girl
689687	310877	Madame
689687	320039	Maggie Simpson
689689	59062	Cher
689689	60191	
689689	94435	
689689	103822	Eva
689689	110625	
689689	172217	Bonnie Lam
689689	217139	
689689	369813	Chu Chung
689690	219638	Bereaved Fan
689691	61156	Perfume Lady
689691	308038	Mandy
689692	107990	Guard #3
689693	381799	Natalie
689694	351914	
689695	323100	Mistress
689696	108314	
689697	167283	Nora Foster
689698	285370	Driver
689699	2555	Kate
689699	44894	Ursula
689699	62584	Santo
689699	100034	Francine
689699	196995	Teen Girl
689700	3260	Mrs. Ting
689700	25943	
689700	35453	Li's mother
689700	63303	
689700	63364	
689700	82832	Han
689700	95302	Chicken's Wife
689700	123690	Mrs. Chong-Fong On Sum
689700	125629	The Chief Secretary
689700	136328	Game Show Hostess
689700	137313	Sai's Mom
689700	167365	Bobby's Mother
689700	184609	Ken's Mother
689700	184744	Rachel Tam
689700	197221	Miss Kim
689700	212640	Streetwalker
689700	236264	Lan Sun
689700	275557	Mrs. Leung
689700	286902	May
689700	332282	Millie
689700	340615	Fa
689700	358924	Mrs. Wong
689700	367111	Chika
689700	367148	Lulu Gold
689700	370761	
689700	370803	Aunt Lan
689700	371631	Sister
689700	374671	Tommy's Mother
689700	374811	Prosecutor
689701	3288	Jogger
689701	4463	Sam's Mother
689701	4470	Mrs. Lung
689701	4471	Mrs. Bud Lung
689701	25903	Mrs. Wong
689701	25967	Granny
689701	27795	Wu Tang Clan Elder
689701	62518	
689701	63299	Mysterious Neighbor
689701	76286	Mrs. Mo
689701	84914	
689701	85887	Ms. Kam
689701	88275	
689701	95507	Mother
689701	97003	Aunt Gim
689701	103822	Aunt Ha
689701	104320	
689701	106785	Mrs. Chan
689701	107201	
689701	123714	Granny Lone
689701	127124	Jealous Wife
689701	135027	Granny
689701	137316	
689701	142816	Friend at Mahjong Table
689701	144291	Auntie Lone
689701	144297	Ah Gi's Mother
689701	152347	Shing's Mother
689701	167423	
689701	172226	Oi-Chee's Mother
689701	179951	
689701	184744	Referee
689701	189168	Nancy
689701	196644	Single Hand Nun
689701	209897	
689701	210969	Old Woman
689701	210976	
689701	210979	Woman at Police Station
689701	212429	
689701	227277	Si-Man's Grandmother
689701	231233	Miss
689701	238700	
689701	239138	Ng's Mother
689701	252181	
689701	268651	Aunt Lung
689701	268652	Lung
689701	275564	
689701	280930	Queen's Escort
689701	297505	
689701	298406	Aunt Szeto
689701	300513	Aunt Nan
689701	300756	Miss Tsui
689701	303405	
689701	340606	Mrs. Bud Lung
689701	340607	Mrs. Bud Lung
689701	340608	Mrs. Bud Lung
689701	340609	Mrs. Bud Lung
689701	340610	Mrs. Bud Lung
689701	340611	Mrs. Bud Lung
689701	340612	
689701	340613	Granny (Old Ghost)
689701	340614	Heung's Mother
689701	340615	Granny Ping
689701	340616	Mrs. Bud Lung
689701	340617	Mrs. Bud Lung
689701	347185	
689701	359019	Aunt Lan
689701	370145	
689701	370404	Gigi's mother
689701	370753	Grandmother Ghost
689701	370758	Aunt Nun
689701	370760	
689701	370803	Chi
689701	370927	
689701	371571	
689701	371583	Spooky Old Lady
689701	371584	
689701	372390	
689701	374761	Madam Lung
689701	374974	Wu Ying's Mother
689701	374982	Council Spokeswoman
689701	404623	Fong
689702	185307	Sangoma
689703	207512	
689704	54598	
689705	133437	Mary MacDonald
689706	55718	Shop assistant
689706	116975	Girl in the Office.
689706	385901	Peggy Simpson
689706	396015	Janet Campbell
689707	92232	Fur Protester
689707	301626	Hostess
689708	77792	Saleslady
689708	96614	Girl
689708	96985	Helene
689708	186402	Vicky Harding
689708	227151	Herself
689708	298070	Mary
689708	335469	Frenchie
689708	335638	Coed
689709	84860	Woman with Garrett
689709	305413	Girl
689710	11412	Mrs. Timpson
689710	13063	The grandmother
689710	17556	Vronskaya
689710	32726	Anne's Mother
689710	40760	Bella Black
689710	41725	Marie's Mother
689710	48237	Maria
689710	48917	
689710	99951	Mrs. Bates
689710	104948	The Wife
689710	107550	
689710	146870	Fräulein Manzialy
689710	151430	
689710	154749	Woman at Hairdresser #1
689710	154860	
689710	170843	Dr. Talbot
689710	190008	Lady Faulconbridge
689710	199150	Lady Drake (Alex's Mother)
689710	200327	Lady Margaret
689710	213947	Veronica
689710	221536	Ursula
689710	227470	Viscountess Cumbermere
689710	244480	Jean
689710	253950	Vera (Housekeeper), Paul's Mo
689710	258965	
689710	289099	Margaret Sutton
689710	333278	Mrs. Watchett
689710	335782	Mrs. Claus
689710	338901	Julia
689710	343006	Faith
689710	359973	Mrs. Coogan
689710	366405	Elspeth
689710	381278	Mrs. Vesey Stanhope (1982)
689710	384008	Olivia Esholt
689710	384658	Aunt Gwen
689710	385978	Margot
689710	388269	Aunt Lizzie
689710	388631	Lady Broughton
689710	391318	Edith Makepeace
689710	392129	Edith Duglass (1991)
689710	397676	Felicity Dinsdale
689710	401421	Mrs. Beauchamp
689710	401623	Presenter
689710	402657	Mrs. Blandy
689710	406549	Marjorie Tollworth
689710	407141	
689710	407952	Babs
689710	408095	Various roles
689710	408234	Madame de Lancel
689710	409596	Marjorie Phelps
689710	411382	Eve
689711	249068	
689712	170803	Lin
689713	185422	Fiona
689713	241484	Justine
689714	97517	Grubber
689715	129573	Norah
689715	194528	Girlfriend
689715	249611	Sharon
689715	365881	Mother
689715	367879	Sarah, Duchess of York
689715	380540	Mrs Baxter
689715	408277	Receptionist
689716	316802	
689717	241226	Mira DelForna
689718	29164	May
689718	29475	Miss Ho
689718	152120	Kuen
689718	153023	Cat
689718	184617	Lisa Wong
689718	217138	
689718	369661	Shun
689718	374819	Mable
689719	161807	Miss Hogan
689720	109631	Receptionist
689721	142985	Corrections Officer
689722	273852	Police Analyst
689723	63146	Evangeline Burns
689723	106542	Mrs. Lee
689723	223091	
689723	223857	
689723	341459	Bennington's secretary
689724	165448	Amy
689725	139273	Elsa Friend
689726	348383	Jean
689727	161865	Chorus Girl
689728	34281	Marjorie Frant
689728	73348	Betty Walker
689728	84933	Agnes Smith
689728	123136	Cynthia
689728	125905	Dorothy Snell
689728	152571	Alma Hastings
689728	188318	Mrs. Pembrook
689728	195468	Contessa Campanella
689728	196953	Lady Mary Cardigan
689728	218173	Rose
689728	231859	Bit Part
689728	239587	Phyllis Larne
689728	276728	Mary Watson
689728	292822	Sylvia Merritt
689728	312774	Herself
689728	315104	Helen Tuttle
689729	116565	Herself - Initial Daisy
689730	80469	Hotel desk manager
689731	187048	Florrie
689732	116565	Herself
689732	270272	Molly's Grandmother
689733	116565	Herself
689733	270272	Maud, Molly's mother
689734	124115	Person in Bar
689735	13882	Karen
689736	283434	Reporter #3
689736	290086	TV Newscaster
689737	179198	Wanda Pawlak
689737	231619	Wanda Pawlak
689737	256947	
689737	311255	Psychologist
689737	343339	Woman in Bar
689738	333120	Person of the Night
689739	108244	Suzi
689740	209592	Bit part
689741	277564	Javelin
689742	269053	Minna
689743	331733	Neighbor
689744	394406	Becky
689745	3251	Presenter
689745	174518	Herself
689745	381910	Herself (Series 3) (2002)
689745	403325	Presenter (2003)
689746	168301	
689747	203323	
689747	360488	Office Girl
689748	69671	Wang Khan's wife
689748	161752	Irene
689749	185065	Assistant Druggist
689750	47355	Waitress
689750	129810	Telephone Operator
689750	154063	Prisoner
689750	206836	Hostess
689750	210764	The Redhead
689750	215634	Third Nurse
689750	249253	
689750	301829	Second Tart
689750	333433	
689750	362213	
689751	369415	Yuzuriha Nekoi
689751	387533	Karen Johnson (1997) (8 episo
689752	68450	Imelda's Sister
689753	128286	Policewoman
689754	388209	Gina Cassidy
689754	393001	Julia (1983-1985)
689754	396744	Mollie
689754	403415	Colette Comerford
689755	264452	Cross Eye
689756	38977	Nurse 1
689756	43873	Mary Jensen
689756	91639	Herself
689756	100838	Joe's Girl
689756	104699	Madame Vandersexxx
689756	127822	Announcer on School's PA Syst
689756	129206	Narrator
689756	143531	Lysia
689756	143535	Xena
689756	154887	Herself
689756	158032	Herself
689756	197075	Herself/Xena
689756	251423	Peach
689756	271255	Jane Redmond
689756	288710	Herself/Various Characters
689756	288718	Herself/Various Characters
689756	311037	Punk rock girl
689756	336482	Herself
689756	343352	Mink Tertius
689756	366890	Verity
689756	389067	Helen
689756	389527	Various (1989)
689756	407577	Kathleen Clayton
689756	410600	Host
689756	411577	Xena
689757	224691	Dancer
689758	8945	Reporter
689759	273333	Ticket Clerk
689760	72236	Peacock
689761	321339	Denise
689762	93290	
689763	131787	Herself
689763	235016	Herself
689763	399054	Herself - Presenter
689763	399484	Herself - Newsreader (1982-19
689763	400516	Herself
689763	404328	Herself
689763	405518	Herself - Newsreader (1984-19
689763	407493	Herself
689763	408507	Herself - Presenter
689764	14603	Grandmother
689764	62793	Eliza
689764	69834	Mrs. Willard
689764	81116	Mrs. Fitzgerald (Carl's mothe
689764	140177	Great Grandmother Scholar
689764	143532	Peasant Woman
689764	143538	Old Woman in Market
689764	191057	Mrs Molloy
689764	213028	Miss Reidy
689764	244352	Alice
689764	282921	Ruby
689764	289523	Miss Fitzherbert
689764	309608	Sarah Fuller
689764	335310	Mabel Noyes
689764	343352	Ainsley Starling
689764	383882	Heather McGlashen
689764	390178	Olivia
689764	405209	Kitty Forsyth (1997)
689765	108314	
689766	384102	Katherine Hilderbrand
689767	313970	Narrator
689768	240024	Match Girl
689769	346121	Peggy O'Driscoll
689770	152195	The Bully
689770	292944	
689770	302082	
689770	302282	Sim
689770	302283	Sim
689770	302287	Sim
689770	302289	Sim
689770	302290	Sim
689770	318108	Elizabeth Goodman
689771	224070	Child
689772	131545	Connie Lane
689772	299749	Doris Powell
689772	367498	Gypsy Child
689773	115686	Floyd's 'Mother'
689773	201832	Herself
689773	364750	Parthenia Sunderlin
689774	60764	Alison True
689775	59536	
689776	217448	Elizabeth
689777	309039	Sophie's Child
689778	199148	Folk Singer
689779	360150	Vampire Victim #2
689780	2709	Tan Friend
689780	69457	Katie
689780	150075	Sasha
689780	407815	Herself (Single) (2001)
689781	5908	Herself
689781	74215	Sally Lowe
689781	116056	Sally Cooper
689781	154087	Nurse Conrad
689781	231108	Carol
689781	277889	Jenny
689781	301945	Helena
689781	342759	Anonymous
689781	362533	Angela Burke
689781	382291	Rev. Grace Curtis (2001-2004)
689781	388473	Pat
689781	391869	Pippa Fletcher/Ross (#2) (199
689781	395180	Maggie Kelly
689781	402197	Daphne Graham (1985-1986)
689781	405960	Lisa Cook (1983-1984)
689781	406891	Prue Waterman
689782	11158	Nancy Flynn
689782	46964	Princess Teresa
689782	54518	Pocahontas
689782	108366	Lee Pearson
689782	150379	Dora May
689782	186773	Pearl Gorman
689782	207148	Maria d'Orsini
689782	267545	Joan Macnamara
689782	289589	Kathy
689782	308348	Lynn Utterson
689782	312837	Dr. Ann Thompson
689782	327764	Mahla
689783	200532	
689784	18101	
689784	29943	
689784	40625	
689784	96877	
689784	141270	
689784	191931	
689784	192351	The Little Wanderer
689784	215865	
689784	269333	Little Pauline
689784	272241	
689784	306049	The Little Girl
689784	316713	
689785	70805	Hyacinth
689786	75612	Nurse
689786	280229	Yuna/Matilda Caskett
689786	321348	Olivia Olivy Bailey
689787	61303	Nicole/Dream Girl
689787	132185	Katie Farkas
689788	176874	Marie (Marie's sister)
689788	193260	Ming
689788	335799	Amy
689789	56967	Inmate at Holm Lea
689789	71664	Ziza, Shepherd's Inn Whore
689789	117210	Sandra
689789	118934	Brassy girl
689789	154984	Mrs. Nutbrown
689789	202849	Miss Bird
689789	240706	Betty
689790	118369	Cissie
689790	196134	Norma
689790	202849	Miss Bird
689790	361600	
689791	177352	Cleo
689792	5874	Bit
689792	5882	Bystander
689792	10561	Actress
689792	16654	Cigarette Girl
689792	25868	Party Guest
689792	39205	Girl clerk
689792	74711	Screaming Patient
689792	77138	Mrs. Bill Walters
689792	131594	Salvation Army Girl
689792	152656	Florence as a Girl
689792	183710	Party Guest
689792	190273	Concerned Woman
689792	196404	Cigarette Girl
689792	228660	Girl in garter gag
689792	282394	Barbara, ages 9-11
689792	283394	Operator
689792	294176	Girl
689792	298050	Telephone Operator
689792	346248	Guest
689793	87411	Laura
689793	184854	Rachel
689794	112021	
689795	286168	
689796	20034	Sylvia Lorgan
689796	54478	Luisa De Carvajal
689796	85822	Showgirl
689796	129093	June Norwick
689796	143429	Barbara Dunning
689796	143575	Barbara
689796	166996	Kate Manning
689796	168236	Myrna Weaver
689796	181154	Vera Hunter
689796	188577	Georgiana 'Babe' Finney
689796	203199	Helen Sadler
689796	203650	Ann Wakefield
689796	205449	Marybelle
689796	219950	Louise Sharpe
689796	239414	Gertie Cummings
689796	249039	Marta Jensen
689796	251855	Susan Brookfield
689796	313517	Herself
689796	316735	Judy Stiles
689796	330345	Polly Faber
689796	343160	S.F. Rogers
689796	346901	Barbara
689796	372275	Louise Crane
689797	26515	Dionne's Posse
689798	11606	Birdie
689799	236713	Herself
689800	207238	Gail
689801	397182	
689802	61672	Guest #3
689802	272326	Lisa Stewart
689803	387533	Mrs. Dunn (1998) (July)
689804	274346	Nichelle
689804	282935	Katie Washington
689804	296019	Sandy
689805	99999	Showgirl
689806	14914	
689806	47385	Herself
689806	100680	Natalie
689806	128589	Sarah
689806	138726	Herself
689806	140354	Mrs. Fairchild
689806	154849	Herself
689806	164663	Miriam
689806	178067	Lilli Vanessi/'Katherine'
689806	230620	Herself
689806	242955	
689806	272488	
689806	297773	Sylvia
689806	316210	Leslie Bryant
689806	329401	Claire's Mother
689806	331550	Joan
689806	357488	Catherine
689806	360245	
689806	379318	Mrs. Pryce, Nick's Principal 
689806	385915	Regular (1967 & 1971)
689806	389858	Angela Eckert (1991)
689806	390607	Bathsheba
689806	397694	Pearl Pureheart (1955-1967)
689806	398370	Sonia Dracula (1980)
689806	404373	Miss Wentworth (1989-1991)
689806	409798	Bernice Stein
689807	56900	Snowflake
689807	167697	Cindy Vortex
689807	167698	Cindy Vortex
689807	167699	Cindy Vortex
689807	167710	Cindy Vortex
689807	191987	Sorority Girl
689807	201696	Herself
689807	249620	Ornery Sue
689807	272651	Mother/Child
689807	311601	Sandy Cheeks
689807	311602	Sandy Cheeks, Mermalair, Comp
689807	311603	Sandy Cheeks
689807	311605	Sandy Cheeks
689807	311606	Sandy Cheeks
689807	311607	Sandy Cheeks
689807	312195	Zoe, Additional Voices
689807	312196	Zoe the Fairy, Additional Voi
689807	350238	Penelope
689807	379311	Cindy Vortex
689807	406210	Sandy Cheeks
689808	273282	
689809	54114	Nathalie
689809	56230	Sister Helen
689809	75613	Carol
689809	81584	Dina
689809	110196	Lisa
689809	221306	June
689809	289788	Lori Hendricks
689809	305917	Cynthia
689809	305920	Powell's Aide
689809	313562	
689809	374401	Molly Bishop
689809	406063	T.J. Davenport
689810	100680	Teacher
689810	254631	Radio Actress as 'Cynthia'
689810	331374	Girl
689810	339355	Mrs. Eunice Webson
689811	305571	Young American Miss
689813	19792	
689813	82481	Miss Chiaromondo
689813	86819	
689813	309404	Bibi
689813	332259	Santa
689813	342118	Vecchia assatanata
689813	380366	Mrs. Vanderbull
689813	386701	
689813	386811	
689813	409358	Italia
689814	331620	Herself
689816	371824	
689817	279887	Sophia Quintana
689818	7847	Lora's Interpreter
689818	178221	Nancy L. Slaughter
689818	305746	Woman 2
689818	312357	Darlene
689818	317260	Janet/Katerina
689819	24521	
689819	29631	Jean Larson
689819	31879	Greta
689819	40725	Yvonne
689819	41274	Chelsea, a model
689819	49637	First Mother at School
689819	69286	Joyce Mitchell
689819	70556	Rich lady
689819	91590	Anna Krassin
689819	94764	
689819	98981	Lisa
689819	107827	Joan Overton
689819	109052	Janice Marlon
689819	110996	Pat Martin
689819	118467	Nina Stewart
689819	130636	Pearl
689819	163589	Mrs. Dixon
689819	171211	Mrs. Daviot
689819	185130	Marie Webster
689819	191491	Airport Stewardess
689819	203481	Margo Phillipe
689819	209615	Effie
689819	240861	Yvonne
689819	295334	Natalie Worth
689819	308375	Sylvia
689819	312281	Mrs. Prosser
689819	316272	Margot Sanders
689819	335636	Beryl
689819	384929	Adele Charlustin
689819	385343	Louisa Kovacs
689819	396697	Lisa Deutsch
689820	308018	
689821	57681	Herself
689822	134037	Angela
689822	367471	Bridesmaid
689823	37136	Mrs. Sartore
689823	65650	Miss Metzger
689823	183542	Lady Henrietta
689823	203002	Nurse
689823	296975	Clerk
689823	324383	Maid
689824	67156	
689824	94134	Rosa Maria Dominguez
689824	144482	Marina, the servant-girl
689824	193681	Marina, Joan's Maid
689824	271855	Dancer
689824	271997	Rita Ross
689826	50484	Grammy D'Arbo
689826	73989	Rebecca Nurse
689826	118298	Mrs. Prozor
689826	162986	Mimsy Hastings
689826	190796	Patient
689826	277880	Clara Age 80
689826	304822	Chloe Williams
689826	345690	School Nurse
689826	360524	Mrs. Blair
689826	379716	Myra Murdock Sloane (1979-199
689826	380713	Evelyn DeWitt Lewis (1991)
689826	386603	Virginia Dancy (1976-1978)
689826	387309	Constance Johnson (1961-1963)
689826	390771	Bess Lowell (1993-1994)
689826	403483	Francie Brent
689826	411419	Betty Kahlman Barry #1 (1970)
689827	75031	
689827	117148	
689827	241448	
689827	241670	
689829	123815	
689829	178320	
689829	349386	
689830	47980	Counter Girl
689831	31838	Mary
689833	21387	Maya
689833	34247	Reni
689833	38825	Laras
689833	64253	
689833	122816	
689833	122817	
689833	152390	
689833	184296	
689833	216041	
689833	278554	
689833	280336	Novy
689833	293806	Ena
689833	397144	
689834	278546	Dancer
689835	6013	The Actress
689835	6782	Dr. Jane Bixby
689835	7807	Margie
689835	7858	Mrs. John Davis
689835	8199	
689835	11228	
689835	11566	
689835	12756	
689835	14613	
689835	16036	
689835	16722	
689835	18381	Cleopatra
689835	21055	
689835	22888	At Wedding
689835	23174	
689835	24219	The Niece
689835	24594	
689835	25380	Bess
689835	25399	
689835	25466	Mrs. Mowbray
689835	26453	The Poor Mother
689835	29095	
689835	30070	
689835	31781	Mrs. George Rand
689835	33008	Mrs. Bailey
689835	35161	Myrtle Vane
689835	35382	Betty
689835	40655	The Nurse
689835	40707	
689835	45537	
689835	45804	The Guard's Sweetheart
689835	46688	
689835	47537	
689835	52122	
689835	52479	
689835	52535	Gladys Penrose
689835	52564	
689835	54906	The Princess
689835	56579	
689835	58948	
689835	62972	Mrs. Martin
689835	65871	Florence Ashleigh
689835	66169	Bridget/Dinner Guest
689835	69050	Mrs. Brown
689835	69451	Nellie Burton
689835	70602	
689835	70718	In Tenement
689835	71258	
689835	71565	The Heiress
689835	71647	
689835	71648	
689835	71716	Mrs. Harcourt
689835	73341	The Maid
689835	73795	
689835	75351	
689835	75608	Mrs. Edwards
689835	77699	
689835	78225	Boones' daughter
689835	81437	
689835	81585	Mabel Colton
689835	83884	
689835	85101	A Model
689835	87112	Flo
689835	87609	
689835	87681	
689835	88958	
689835	88969	Florence Lund
689835	93757	Mignon
689835	94161	In the Play
689835	94940	
689835	95413	The Country Girl
689835	97075	
689835	99482	Margie
689835	99541	Isabel Thorne
689835	102323	Flora, Aunty's Ward
689835	104341	The Wife
689835	107136	
689835	107993	Florence Gould & Amy St. Clai
689835	109328	
689835	109331	Visitor
689835	109835	First Couple
689835	111714	Nellie Caufield's Sister
689835	115660	Flo
689835	116734	
689835	117609	The Forest Ranger's Daughter
689835	119773	Nurse
689835	123359	Polly Barker
689835	123374	Mrs. Henderson
689835	123391	
689835	128094	Florence Kingsley
689835	128114	Woman
689835	128354	Mab Hawkins
689835	128614	
689835	128623	Doctor Payson's First Daughte
689835	130826	
689835	131656	
689835	132343	
689835	133841	Herself
689835	133887	
689835	136564	
689835	139087	The Sister
689835	140934	
689835	141288	O'Yama
689835	142688	Wedding Guest
689835	142991	
689835	143037	
689835	143055	Flo Ballard
689835	143117	Mrs. Jones
689835	143151	
689835	143200	The Reformed Woman
689835	143360	
689835	143431	
689835	144222	
689835	144739	
689835	145806	
689835	145836	
689835	145958	The Wife
689835	146215	
689835	146224	
689835	146279	The Reverend's Ward
689835	146297	Flo
689835	146308	Mrs. Jones
689835	147650	Undetermined Role
689835	148591	
689835	148984	Florence Blair
689835	149158	
689835	149170	Rachel Einstein
689835	151814	
689835	154144	
689835	158075	Flo Armstrong
689835	159567	
689835	159673	Parthenia
689835	159677	The Trapper's Wife
689835	162440	
689835	165420	Jane
689835	166246	Mrs. Jim Brooks
689835	167594	Mary, Frank's Sister
689835	168783	
689835	168976	Mrs. Jones
689835	168978	Mrs. Jones
689835	168994	Mrs. Jones
689835	169952	
689835	170484	
689835	171353	
689835	183676	Lady Helen
689835	183725	Lady Jane
689835	183737	Leone Mervyn
689835	186378	Flo
689835	188185	
689835	190237	The Local Girl
689835	191115	
689835	191981	
689835	192190	
689835	193795	
689835	195538	
689835	195797	
689835	196266	The Girl
689835	196957	Wedding Guest
689835	197675	Veronica
689835	198861	Banquet Guest
689835	199202	
689835	199893	
689835	204259	Flo
689835	207704	The Young Governess
689835	209419	Mrs. Ross
689835	210930	Rising Moon
689835	213986	Flo
689835	213987	
689835	215320	The Miser's Daughter
689835	215950	
689835	217973	Bank Customer/Landlady
689835	219958	
689835	220986	Mrs. Jones
689835	220987	Mrs. Jones
689835	220988	Mrs. Jones
689835	221280	Mrs. Jones
689835	221282	Mrs. Jones
689835	224622	Miss Lawrence
689835	227283	Nan
689835	229229	
689835	230309	Mrs. Henpecker, Temperance Cr
689835	230802	
689835	231442	
689835	235455	Flo
689835	235539	Ella Berling
689835	236931	
689835	239601	
689835	239646	
689835	241131	
689835	241261	Customer
689835	241678	
689835	241703	Bit
689835	241783	Mrs. John Murray
689835	242928	
689835	251169	Flo
689835	251434	Mrs. Jones
689835	256590	
689835	257372	Tomboy Nellie
689835	257701	Flo Lakewood
689835	259393	
689835	263220	
689835	265437	
689835	265558	Mrs. John Whalton, wife of er
689835	266241	The Maid
689835	273685	The Rebellious Daughter
689835	273831	The Wife
689835	274105	The Red Girl
689835	274469	June Martin
689835	274772	
689835	275774	
689835	276417	Katusha
689835	277675	
689835	278215	
689835	278232	
689835	279446	Mexican Woman
689835	280907	Ruth Simonson
689835	280910	
689835	280939	
689835	281155	Juliet
689835	281770	
689835	282271	Noblewoman
689835	283659	Myrtle
689835	285063	Mrs. Hardluck
689835	286175	Salome
689835	288618	Sylvia
689835	288853	
689835	290276	Mrs. Schneider
689835	292692	
689835	292782	
689835	293782	
689835	294042	
689835	297797	Moya
689835	298487	
689835	300082	
689835	302798	
689835	302799	
689835	302887	
689835	303271	
689835	304620	Nerada
689835	304654	
689835	305701	Mrs. Bibbs
689835	306014	
689835	308648	Woman
689835	309650	Second Woman
689835	310868	
689835	312796	
689835	313925	
689835	314463	Flo
689835	315117	Mrs. Jenkins
689835	315717	Rosie
689835	318322	
689835	319955	
689835	321098	
689835	321131	Alice's Sister
689835	323556	Mrs. Flo Mills
689835	324215	
689835	324226	Katharina
689835	324413	Florence the Governess
689835	327828	Extra
689835	328785	Jennie Colman
689835	328813	Miss Gillman
689835	329382	
689835	331078	Theatre Audience
689835	331080	The Maid
689835	331863	
689835	332476	
689835	333387	
689835	333761	Mary Flinn
689835	337503	The Maid/In Factory
689835	338095	
689835	340619	In Crowd
689835	341035	The Nanny
689835	342828	
689835	342989	Party Guest
689835	342990	The Orphan
689835	346928	Katherine Nevin
689835	347955	Esther Stern
689835	349900	Nurse
689835	350498	The Wife
689835	350557	Wedding Party/In Bar
689835	354336	Theckla, the Viking's Daughte
689835	354527	
689835	360203	Mabel Jarrett
689835	362189	Mrs. Alfred Lucas
689835	363390	At the Beach
689835	364858	
689835	365075	The Wife
689835	366312	Lady-in-Waiting
689835	366342	
689835	366343	
689835	367663	Florence Lloyd
689835	367735	
689835	368125	Claire
689835	368769	Mrs. John Goodhusband
689835	376110	The Boer's Wife
689836	167797	Model
689837	29903	
689837	34711	
689837	41913	
689837	63766	Angelica
689837	128708	
689837	131653	
689837	187411	Herself
689837	195842	
689837	213156	
689837	242063	Herself
689837	264665	Herself
689837	306421	Nun
689837	319458	
689837	329603	
689837	340793	
689837	366829	In 'Coming of Angels'
689838	150571	Suse
689839	80425	Sue
689840	115432	Jodie
689841	20033	Margot
689841	31146	Georgie
689841	133511	Catherine the Great
689841	194451	Lady Camber
689841	210715	Barbara Halson
689841	214289	Mimi
689841	233607	Yvonne
689841	275411	Geertje Dirx
689841	300070	Herself
689841	312774	Herself
689842	382128	Jules
689843	222638	Undetermined Role
689844	51855	Slave Girl
689845	358596	
689845	359874	Paula Sheridan
689846	332014	
689847	32907	Ida
689847	326681	Dustin's Mother
689848	285660	Clementine Brown
689850	112232	Miss Astorocks
689851	9032	
689851	210814	Woman
689852	131061	Jennifer - Pennytree Girl #5
689853	215690	Miss South Dakota USA
689854	50440	Alice
689854	64797	Evelyn
689855	356293	Bill's Ex-Girl Friend
689856	88998	Mrs. Archer
689856	137195	Denise the Receptionist
689856	372847	
689857	330005	Terri Terrific
689858	100663	Lottie Wilkins
689858	115553	Debbie Bennett/Mary
689858	134075	Lucy
689858	138721	Herself
689858	153646	Herself
689858	206410	Natalie
689858	234929	Singer/Dancer
689858	278001	Guerillette
689858	302337	Kate
689858	383285	Linda Prentice
689858	386614	
689858	386865	Sophie
689858	388486	Julia Fleshman
689858	389367	Herself/Various
689858	393235	Ryveeta Tusk
689858	393727	Herself
689858	396786	Camilla, Elly's landlady
689858	399732	Janet Wilkins
689858	400585	Maggie Costello
689858	406421	Various Characters
689858	411068	Herself (1988-1997)
689858	411069	Herself
689859	383059	Casey/Finnegan/Alexander/Mira
689859	398386	Casey/Finnegan (1967-1992)/Al
689860	139227	Nicki
689861	400805	
689862	231884	
689862	379831	Michelle Tarvares (1990-1991)
689863	311975	
689864	46572	Myra
689865	58507	Carmel
689865	196084	Female Impersonator
689865	324020	Julie
689866	379600	Louise Todd
689866	382052	WPC Claire Brind (1988-1989)
689867	312266	Farm Woman
689868	196341	Coffee Shop/Restaurant Custom
689869	138912	Pageant Judge
689869	187518	Bette
689869	290082	Rosemary
689869	320779	Mary Richmond
689869	329968	Mrs. Nichols
689869	334365	Mary
689869	368949	Receptionist
689870	311496	
689871	39591	Mrs. Desmond
689871	62944	Mrs. Michael Knight
689871	68476	Martha Neville
689871	73447	Mrs. Kate Wimbleton
689871	96800	Mrs. Benson
689871	107867	Mrs. Parrish
689871	109390	Mrs. Ridder
689871	123167	Mrs. Blaine
689871	128568	Lady Dysart
689871	133322	Countess Halfont
689871	195426	Marcia Stevens
689871	201916	Mrs. Ramson
689871	249120	Countess Oudoff
689871	278852	Mrs. Fanshaw Renwick
689871	294203	Tibbett Sister
689871	306760	Mrs. Ridgeway
689871	314361	Lady Blount
689871	331252	The Girl's Mother
689871	356245	Lady Gilbert
689871	364009	Mrs. Pitman, Her Mother
689872	52043	Woman in Library
689872	78079	Old Maid
689872	116894	Spinster, 'Honeymoon Hotel'
689872	118314	Little Old Lady
689872	131426	Teacher
689872	190061	Hog Caller
689872	224568	Townswoman
689872	246730	Spinster
689872	249253	
689873	28563	Leopard Lady
689873	67880	Clarice Wilson
689873	81081	
689873	83842	Undercover Cop
689873	124349	Betty
689873	222620	Girl #1
689874	275449	
689875	79530	Lola
689875	273555	Alison
689875	276169	Hillary Samuels
689875	308316	Lisa
689875	346929	Anastasia
689875	380713	Sarah Kasnoff (1996)
689875	408882	Melinda Cox
689876	191420	Lisa
689876	298323	
689877	265527	Leslie
689878	141323	Secretary
689878	190579	Jane Wright
689878	256376	Kitty Collins
689878	311630	Lucy Warren
689878	360866	Miss Bailey, Craig's Sectrear
689878	371857	Witness at wedding
689879	324548	Jean, the nurse
689879	385299	Linda Nolan
689880	396353	Bibi
689881	130434	Bessie
689882	11503	Flora Collins
689882	40536	Alma
689882	55701	Serving Maid
689882	60146	Madge
689882	96696	Woman in negligee
689882	138248	Dolly
689882	154984	Caretaker's Wife
689882	155068	Annie
689882	160556	Peggy
689882	184218	Separtment Store Assistant
689882	184853	Granny
689882	206541	Tosca
689882	240683	Crying Lady
689882	242092	Girl in Bus
689882	245199	
689882	255013	
689882	271262	Ethel
689882	275479	
689882	299040	Aunt Connie
689882	310446	Girl
689882	312345	Beryl
689882	316214	Brenda
689882	327232	Guest
689882	329990	Mrs. Pride of Jutland
689882	347447	Celia Calthrop
689882	385643	Mrs. Baker
689882	410728	Hazel Westcott
689883	71639	Cinema Cashier
689883	257110	Sally
689884	18620	Dorothy Stuart
689885	20034	Young Woman
689885	26777	Marge Claypole
689885	34701	Mrs. Merwin
689885	74216	Madge Taggart
689885	93220	Louise Malvine
689885	231970	Waitress
689885	233684	Lucy Hunt
689885	237818	Bird Lover
689885	309626	Kathy
689885	316462	Dot
689885	325199	Ruth Rankin
689885	330097	Mrs. Callahan
689886	251408	Tilly
689887	41278	Rawhide
689887	131753	
689888	312592	Millicent
689889	73838	Jessica Farrell
689890	71789	
689891	121829	Emma
689891	222691	
689891	230558	Gloria
689891	231829	Sandra
689892	121135	Funeral Attendee
689893	128142	Indian Nurse
689894	28173	Judy Allen
689894	33579	Nan Henshaw
689894	154190	Inez McDowell
689896	7977	Knitted Hat Lady
689896	41890	Mavis
689896	47060	Mrs. Bates
689896	107800	
689896	111457	Miss Kneave
689896	141056	Margaret Fisher
689896	145715	Mrs. Hansen
689896	147429	Mrs. Padgett
689896	151761	Wedding guest
689896	189529	Mrs. Jameson, Housekeeper
689896	190933	Mrs. Carson-Clark
689896	192000	Maud
689896	211747	Gillian Player
689896	237465	Clinic receptionist/Miss Hunt
689896	257551	
689896	281446	Mrs. Butterworth
689896	308369	Procla
689896	327964	Sister Ulrica
689896	330197	Petunia
689896	331677	Lady Henrietta Verdayne
689896	377398	Barbara Heynes
689896	380344	Princess Shcherbatsky
689896	381327	Miss Price
689896	392938	
689896	400529	Mrs. Wilfer
689896	407779	Celia Hawkins
689896	407838	Sister Ulrica
689896	408362	Ellie Herries
689896	409840	Lady Southdown
689897	106632	Aunt Caroline
689898	365609	Bingo Lady
689899	58774	Michelle Wallace
689900	67553	Guest at Wake
689901	16697	Dancer
689901	19739	Miss Lawrence
689901	44352	Miss Lawrence
689901	47292	Undetermined Role
689901	59623	Alice Lowell
689901	69616	Bit Part
689901	77670	Bit part
689901	87798	Bit Part
689901	125540	Louella Blanchard
689901	133880	Sally Manners
689901	141478	Miss Jones, the teacher
689901	157551	
689901	175438	
689901	183764	
689901	215990	Maizie Merriweather
689901	223054	Shirley De Valle
689901	229501	Rosina
689901	234211	Yvonne Cortez
689901	240933	Mrs. Chase
689901	247326	
689901	248613	Chorus Girl
689901	255146	Cecilia Moore
689901	273781	Bit Part
689901	276950	Miss Jones, the teacher
689901	311653	Miss Jones
689901	327693	Dorothy Converse
689901	331613	Miss Lawrence, Teacher
689901	343176	The teacher
689901	360235	Mary Roberts/Stan's falsetto
689901	361154	Susan Adams
689901	372887	Ethel Church
689902	16004	Counsellor
689903	50639	Mrs. Halpern
689903	286162	Lulu Sweets
689903	293108	Signing Woman
689903	395819	Interpreter
689903	407421	Carol Clarke
689904	121135	Chastity Anderson
689905	117858	Dancer
689906	129219	Tim's Ma
689907	390523	Mel Adams (2003-)
689908	368687	Chloe Broudy
689909	8023	Dori Thorell
689909	10663	
689909	23339	Corrine Maquire
689909	41371	Jewelry Store Clerk
689909	41875	Cass Medieros
689909	57682	Herself
689909	107135	Sada Sands
689909	114612	Clair Ballard
689909	116087	
689909	120205	Nina Talbert
689909	132181	Detective Kelly
689909	141965	Jill
689909	155100	
689909	158321	
689909	191653	Mom
689909	229126	Mrs. Ash
689909	242091	Joleen Quillet
689909	297008	Beth Daniels
689909	308014	Sharon
689909	347111	Pattie Johnson
689909	368226	Marcy McClure Tyson
689909	385977	Mary Carelli
689909	388768	Gwen Leonard
689909	395054	Donna Stiles
689909	411339	Vivian Cates
689910	113152	Fermentia
689910	133212	Jogger/Granny's Friend
689910	154051	Nurse Gretta
689910	253529	Flo
689910	273869	Monk
689910	329986	Hetty Pitts
689910	360509	Irene Weston
689910	406255	Guest Appearance
689911	84964	Shirley
689911	110996	
689911	288508	Ellen
689911	292374	Gretchen
689911	305360	Lily Dale
689911	348532	
689911	365762	Guest
689911	404685	Ann Newman
689912	387247	Diane Butcher (1988-1991,1993
689912	411556	
689913	304618	Screams
689914	23935	Herself - audience member
689914	34116	Various characters
689914	50275	Franny Reynolds
689914	237465	
689914	254519	Carlotta
689915	80986	Carrie Wasserman
689915	187847	
689915	386901	B.J.
689915	394848	B.J. Masterson (in 'Dr. Shrin
689916	82468	Nurse at hospital with hair u
689916	232093	Peep show girl #1
689917	245113	Daughter
689918	162301	Irma
689918	375532	Herself
689919	29619	Security Guard
689919	109619	Mara Serino
689919	258917	Tracy
689919	342784	Assal
689920	35704	
689920	76594	Lynn Webster
689920	198489	Marilyn Sabin
689920	307457	TV Actress
689920	363250	Madelyn
689921	121135	Trixie Anderson
689922	21447	Duty Nurse
689922	236713	Herself
689922	307620	Sue
689923	23441	Herself
689923	31199	Herself (NBC Team contestant)
689923	31200	Herself (NBC Team contestant
689923	55500	
689923	55502	Herself
689923	55503	Herself
689923	55504	Herself
689923	99601	
689923	104554	Thelma 'Mama' Harper
689923	139703	Nora Kingsley
689923	140399	Grace Fontreil
689923	143796	Flo the Lyin' Fly
689923	161394	Herself
689923	174672	
689923	236782	
689923	250936	
689923	282536	Member of The Young Americans
689923	372417	
689923	383494	Various
689923	383495	Skit characters
689923	383496	Skit characters
689923	389185	Host
689923	393529	
689923	396643	Mrs. Thelma 'Mama' Crowley Ha
689923	397078	Herself/panelist
689923	397081	Herself/panelist
689923	410072	Host
689923	411209	Hostess, Daytime Edition (198
689924	79972	
689925	400236	Maggie Vega (1992)
689926	281244	Davey's Grandmother
689927	152513	Zannah
689928	313104	Female Bank Teller
689929	221007	Mrs. Mendoza
689930	254043	Dancer
689931	38045	
689932	372574	
689933	406988	Courtney Love, others
689934	168298	Ms. Maxwell
689935	73883	Nurse #6
689936	252183	Stewardess
689937	112400	Mrs. Baldwin
689937	224106	Miss Haskell
689938	321154	Frug dancer
689939	161674	Miss Hamblen
689940	161674	Miss Hamblen
689942	58170	Oh My God Woman
689943	265772	
689944	124541	Cornelia, Hat Check Girl
689945	301393	Carrie Alder
689946	251646	Sneaky Customer
689947	50645	Wife
689948	85922	Princess Anne
689949	50466	Chastity
689949	84005	Mother in Park
689949	177481	Stand up comic
689949	319381	Sassha
689950	254522	Ballet Girl/Masquerade Dancer
689951	128825	
689952	91935	Sally Carter
689952	213013	Edwina
689952	393776	Herself
689952	400524	Anne Gibson (1963)
689952	403349	Marta
689953	308928	Molly as a Child
689954	355411	Desdemona
689956	37219	Darien Stompanato
689956	43596	Cynthia
689956	46355	Helen Sharp
689956	80373	Kate
689956	110321	Harmony Kaye
689956	263755	Loretta McHollister
689956	289024	Nikki
689956	327625	Diana Ross
689956	388545	Anna Bella Monroe
689956	390365	Bianca Goode
689956	405493	Rhonda Coley (1994-1996)
689956	410932	Co-host
689957	408347	Pam
689958	382294	Gillian Rogerson
689959	104772	Portuguese entry (24th place)
689960	21756	Nana Benz 2
689961	115562	Kitty
689961	126745	Ticket clerk
689961	128164	Tanya
689961	146930	
689962	188078	
689962	202532	
689962	342550	
689963	80581	Jane Doe
689963	273826	Kate
689963	354683	Claudia Lee
689963	355212	Pretty Woman in Media Zone
689963	411146	Silk
689964	318716	Annie
689965	185828	Kissing Couple
689965	363478	Waitress
689966	14240	Yuko
689966	34913	Karen Banning
689966	41366	Milly McKenzie
689966	296875	Concubines
689967	242980	Laundry Lady
689967	306989	Claudine
689969	13454	Willie
689969	21664	
689969	77815	Irma
689969	147633	Margaret Whitaker
689969	163187	First Welfare Worker
689969	183358	WAF
689969	190606	Mrs. O'Tandy
689969	203673	Louise Hammond
689969	211634	Mrs. Patterson
689969	220046	Mrs. Ryde
689969	255167	Matron
689969	275600	His Mother
689969	306735	April King
689969	323389	Freshman
689969	342434	Paula
689969	372295	Gabby Lawson
689970	57208	Movie Studio Secretary/Abused
689970	159201	Donna Sumners
689971	148783	Judith
689972	23757	Coralie
689972	58748	
689972	84650	La jeune fille noire
689972	112889	Cindy
689972	155740	La femme-flic
689972	231286	Entraîneuse 3
689972	251527	Amira
689972	312259	Désirée
689973	302932	Cynthia Wesley
689974	18544	Party Girl
689975	47430	Woman
689976	252974	Old Woman
689977	79269	Margaret
689978	16898	Tyler
689979	23221	Rayenne
689979	32532	Janet
689979	288507	Catherine
689980	405209	Joanne Worrall (1999)
689981	114590	
689981	127225	
689982	10901	Receptionist
689983	261502	Neighbor
689983	368537	Sadie
689984	6984	
689984	16078	Mrs. Torrington
689984	46769	Gemma
689984	64922	Prison Matron
689984	87549	Rawboned Country Woman
689984	105689	Woman in fight
689984	112745	Clara
689984	114291	Annie Peachpit
689984	128183	Koda
689984	128827	Matron
689984	134557	Witness
689984	143429	Martha, Oliver's Maid
689984	163190	
689984	168119	Marquerite
689984	169406	Woman in Fight
689984	177444	Mrs. Smedley
689984	187951	Senora Delgado
689984	192130	Mrs. Bergen
689984	196487	Woman Relative
689984	209682	Jail Matron
689984	230289	Mama Flores
689984	230953	Landlady
689984	240470	Woman
689984	254515	Landlady
689984	275452	Jail Matron
689984	277521	Fat Woman
689984	280056	Mrs. McCoy
689984	292867	
689984	308595	Nurse
689984	314237	Mrs.Kreechow
689984	317980	Musicale Guest
689984	330179	Tillie
689984	336044	County Jail Guard
689984	361681	Elderly Nurse
689984	363599	Woman on Steps
689984	363999	Native Woman
689984	372364	Female Bath Attendant
689985	160832	Evetron
689986	248931	Elodie
689987	155920	Part of couple
689988	390771	Beatrice Reardon (1981-1987, 
689988	396088	Barbara Sterling #2 (1961-196
689988	400236	Wanda Webb Wolek (#2) (1977-1
689989	53313	Featured Singer
689990	18734	Dawn Gillis
689990	188389	Justine
689990	232254	Mora
689990	308136	Jan Stamper, Joe Ben's Wife
689990	331237	Gerri
689990	386706	Pat Perry
689991	109686	Student #5
689992	232777	Herself
689993	72912	
689993	257724	
689994	60212	Julie Merkel
689994	141226	Amanda Maddox
689994	155020	Debbie Murdock
689994	196024	Kelly
689994	216804	Alex Burroughs/Janine Adams
689994	227335	Nancy Drew
689994	231396	Meghan
689994	257922	Lisa Anne
689994	277083	Rachel
689994	298216	Michelle
689994	388354	Hope
689994	392869	Eve Morris
689994	393098	Liz Stoddard-Banks
689995	138656	
689996	35213	Gwen
689997	53311	Mary Warner
689997	67242	Susie
689997	71481	Joan
689997	76178	Toinette
689997	113798	Betty
689997	150807	Angela Macgregor
689997	238870	June Messenger
689997	270654	Mary
689997	291486	Poor man's wife
689997	330407	Mary Fytte
689997	334135	Anne
689997	334802	Deruchette
689997	340464	Ann Brent
689997	372942	Susan Grierson
689998	283561	Ponytail
689999	281937	Portia Haynes
690000	152570	Laura's Baby
690001	191372	Neurovid Reactors
690001	249548	
690002	63046	Eileen
690002	80786	Kristyn
690002	321632	F & B Model
690002	345952	Eva Schanzee
690002	346947	Woman in Bar #1
690003	70215	
690004	185996	Jean Forrest
690005	169600	Herself
690005	389101	Presenter
690005	392416	Herself
690005	399414	Herself
690006	31327	Mud Wrestler
690007	85698	Herself
690008	5531	Hat Check Girl
690008	20910	Switchboard Operator
690008	38042	Bessie (barmaid)
690008	67139	Student
690008	78168	
690008	90307	Bridesmaid
690008	91917	Felice, Margit's Secretary
690008	114131	Mary Brown, Lynn's Secretary
690008	115060	Princess Aura
690008	115061	Princess Aura
690008	115065	Princess Aura, in flashback [
690008	128372	Nina Martinez
690008	133662	Maid
690008	143933	Madeline Reynolds
690008	146140	Hatcheck Girl
690008	160971	Nurse
690008	177391	Grace
690008	185286	Girl in Dive
690008	254547	Dance Hall Girl
690008	281810	Florence Taylor
690008	310207	Princess Aura
690008	320376	Woman
690008	328794	Mable
690008	331324	Frau Brunner, Sanatorium Cler
690008	331469	Gertie, at the Party
690008	337178	Dark Woman
690008	367046	Laboratory Assistant
690008	367919	First Hairdresser
690009	191778	Little Dragon
690010	162450	Girl Hood
690011	33056	Irene Phillips
690011	189254	Sarah Carleton (1939 version)
690011	193625	Miss Bufton
690011	209502	Annette
690011	298453	Miss Grange
690012	31100	Skipper's wife
690012	41903	Gwyneth Thomas
690012	48059	Betty Carstairs
690012	84927	Marie Eaton
690012	163589	Anne
690012	191189	Clare Mills
690012	209617	Louie Knowles
690012	232054	Frankie Callum
690012	232337	Diana Martin
690012	240861	Helen Carr
690012	307576	Ann
690012	316604	Joyce
690012	317327	Anne Khaled
690012	331330	May Wescott
690012	331625	Dorothy
690012	368532	Elizabeth
690012	372193	Betty
690012	395350	Myra Gargan
690012	399965	Judy Gardiner
690012	408932	Sarah Pilgrim
690012	411300	Prison Governess (3) Sarah Ma
690013	17696	Elsie James
690013	19295	Sally Conway
690013	26514	
690013	29531	Rhea
690013	43551	Corrie
690013	45529	Mother
690013	50607	Ann O'Dwyer
690013	65736	Shannon
690013	72398	Anna
690013	85006	Dori Vogel
690013	107069	Emily Jones
690013	108330	District Attorney
690013	117666	Emily, Julie's Mother
690013	134596	Janet Spencer
690013	141767	Sheila Neufeld
690013	151117	Amy
690013	185114	Sarah Kroll
690013	189913	Bank Teller
690013	261425	Phyllis Mannheim
690013	273772	Alma Flood
690013	289530	Camille Fenton
690013	299830	
690013	304797	Viviana Doughty
690013	326460	Cindy
690013	334293	Jane Michaels
690013	359195	Peg Parnum
690013	362701	Deena Drake
690013	382240	Edith Kelsey
690013	384367	Marly Lamarr
690013	404152	Bridget Bishop
690014	65102	Lynn
690014	71286	Icecream woman
690014	99075	Teacher #1
690014	112182	Dr. Ross
690014	137693	Vampire mother
690014	162427	Cop #1
690014	252874	Young Boy's Mother
690014	323440	Suburban woman
690014	385887	Lauren
690015	41400	Mrs. Owens
690016	380750	
690017	41575	
690017	114267	The Subway Stalker
690017	115083	
690017	242063	Herself
690017	260723	
690017	260726	Herself
690018	380884	Danni
690019	267844	
690020	11171	Breathtaker
690020	78145	Susan
690020	106121	Model #8
690020	135163	Yellow Bikini
690021	92695	Gargoyle/Nun
690022	194513	Susan
690023	99164	Carolyn
690023	195541	Vanessa
690024	289668	Sweet Tabitha
690024	306278	Child #2
690024	360688	Mary Pinkham
690025	183804	Nurse
690025	206881	Mrs. Corry (old woman in park
690025	223798	Mary Pascoe
690025	223867	Flower Girl
690026	14275	Sherri
690027	134037	Secretary
690027	340220	Sandra
690027	367623	Sylvia's Maid
690028	56545	Herself
690028	223763	Emily Valento
690029	73926	Newscaster
690029	310800	2nd Guitarist's Girlfriend
690029	329411	Newscaster on TV
690030	1189	Herself (Jagged Edge dancer)
690030	2040	Nelly Dancer
690030	129791	Venom
690030	202359	Beautiful girl on beach
690030	309535	Flight Attendant #3
690030	313951	Bikini Girl #2
690031	220080	Decent Mom
690032	168526	Muriel Glayde
690033	229506	Party girl
690034	41197	Mina Principal
690035	364533	Paula
690036	31060	Columbia
690037	42788	Carrie
690038	318218	Sue's Mother
690039	188965	Herself (descendant of Twiste
690040	366910	
690041	410935	Bob's Secretary
690042	18828	Mrs. Lieberman
690042	102932	Bit Part
690042	108309	Airline Passenger
690043	42831	Mrs. Kahn
690044	252483	Reporter
690044	387497	Mrs. Harvey
690045	25586	
690045	145119	
690045	156101	
690045	156159	
690045	200183	
690045	214771	
690045	398494	Atty. Elaine Regalado
690046	356503	
690047	315319	Angelina
690048	1333	
690048	4403	
690048	17409	
690048	27710	
690048	29064	
690048	36196	
690048	43377	
690048	58680	
690048	59392	
690048	76950	
690048	77051	
690048	124192	
690048	139993	
690048	164808	
690048	165643	
690048	171502	
690048	171883	
690048	177980	
690048	228864	
690048	243317	Karupayi
690048	281482	
690048	288818	
690048	303412	Chittu
690048	318993	
690049	23134	
690049	198687	
690049	202135	
690049	203905	
690049	218670	Avva
690049	262376	
690050	28259	
690051	34666	Mayflower Terrier Judge Ruth 
690052	236321	
690052	326220	
690053	407138	Herself - Runner-Up
690054	136360	
690055	8216	'No Sweat' Dancer
690056	351181	Jane The Computer/La La Galax
690057	313479	Ewok
690058	173800	
690059	91397	
690059	99709	
690059	376808	
690060	129008	
690062	363004	
690063	245907	Bar patron/mutant
690064	279481	Spittle (by Standing Waves)
690065	105110	
690066	125819	
690067	68245	
690067	85204	Goddess Seetha
690067	138597	Sangeetha
690067	179873	
690067	199870	Shanti
690067	204628	Usha
690067	215706	
690067	278839	Mother on Fire Escape
690067	303410	
690067	320856	
690068	86274	Girl in Window
690068	139467	Honey
690069	116053	Suzanne
690069	158609	Gloria Rudnick
690069	196995	Process Server
690069	224691	Reporter
690069	316675	Merideth
690069	319682	Helen Lewengrub
690069	380523	
690069	385552	Susan Cole
690069	403419	
690069	403953	Various
690070	268074	Dancer
690071	92244	'Henny' Clark
690072	7061	
690072	26100	
690072	27488	
690072	27489	
690072	36787	
690072	36881	
690072	39226	
690072	41068	
690072	50354	
690072	50683	
690072	71378	Blonde
690072	71379	
690072	91630	
690072	133745	
690072	150112	
690072	207862	
690072	223835	
690072	264877	
690072	295979	
690072	306029	
690072	333833	
690072	354801	
690072	361878	
690072	364669	
690073	280778	Mlle Helouin
690074	46268	Dorothy Evans
690074	77219	Mrs. Hopkins
690074	121541	Bee
690074	293198	Mrs. Desmond
690074	360908	Queen alien
690074	387533	Sandra Fowler (1997)
690074	403453	Veronica
690074	408053	Mrs Sykes
690075	286687	Eva's Baby
690076	253385	
690077	152352	
690078	10750	Governess
690078	41890	Bridget
690078	46709	Isobel
690078	50983	Beatriz de Bobadillo
690078	53301	Interviewee/Various Character
690078	55686	Anthea Meeks
690078	55694	Flo Castle
690078	55697	Mavis Winkle
690078	55714	Lila
690078	71666	Saleswoman
690078	76578	Monica
690078	88856	Mrs. Hackett
690078	89160	Edith Scarman
690078	115876	
690078	139181	Mrs. Sparsit
690078	155698	Renee
690078	170414	Herself
690078	207715	Jean
690078	240683	American Lady
690078	252848	
690078	254268	Sue
690078	257987	Millicent Jones
690078	311306	Marie Blin (segment "A Hand W
690078	336105	Violt Crier
690078	340439	Trottie as a Child
690078	348532	Agency Girl
690078	356314	Mrs. Heseltine
690078	360091	Mrs. Daly
690078	381529	Dilys (Series 1) (1965)
690078	381552	
690078	384112	Dottie Nelson
690078	385020	Isabel Stephens (2000-2001)
690078	386854	Irene Furnell
690078	387247	Maxine Palmer (1994-1995)
690078	393542	(1975)
690078	396147	
690078	398364	Margaret
690078	408506	Herself - Presenter
690079	105033	Madame Irela (Maggie O'Neil)
690079	154915	Herself
690079	196873	
690079	201430	Cameo appearance
690079	230370	Millie
690079	231974	Elizabeth Katherine Anne 'Lis
690079	241402	Lilli
690079	264149	Princess Elaine
690079	289231	Woman's mother
690079	318910	Mrs. Whicker
690079	329693	Madame Angelique
690079	358875	Rosalinde Eisenstein
690079	367482	Lady Cunard
690079	398706	
690080	254170	Une danseuse
690081	21967	
690081	52293	
690081	125601	Lisa
690081	133499	Herself (4th Place)
690081	158462	Lina Lovatón
690081	263830	Marina Iturriaga Camargo
690081	342639	
690081	372766	
690081	379653	Violinist
690081	380099	
690081	384390	Valentina
690081	393833	Paulina 'Pau' de la Mora
690081	402059	Bit Part
690081	402152	Marina Iturriaga Camargo
690082	317338	Lois
690083	158320	
690083	211753	
690083	215786	Dawn Hope
690083	261290	Mickey Harper
690083	289222	Saleswoman
690083	380391	Michael Joseph 'M. J.' McKinn
690083	391250	Casey Stafford
690083	396850	Brandis LaSalle
690084	127616	
690085	127129	Librarian
690086	266515	
690088	236691	Marta
690089	204747	Lucy
690090	366096	Annie Smith
690091	263916	Gambler
690092	28493	Townspeople
690092	40301	Mrs. Appleton
690092	255273	Mrs. Hawkins
690093	326755	Mrs. Bingenheimer
690094	35517	
690094	158209	Herself
690094	161087	
690094	190738	Herself
690095	346740	Maud Smith
690096	128772	On Air Talent Springfield, MO
690097	155912	
690098	51758	Cissy
690098	128331	Lee Ann
690098	282628	Gwen
690098	380391	Chris MacAleer (1988)
690098	387309	Camilla Devereaux (1983)
690099	55536	Charlotte
690099	109449	Alexandra Lowell
690099	121799	Jenna McMartin
690099	157324	Sister Joan of Arc
690099	304759	Toni Richards
690099	318692	Vivi Parrish
690099	360616	Mercedes Woman
690099	363225	Celebrity Client
690100	127483	Joanne
690100	283429	Betsy
690101	162533	Lisa
690101	385705	Lisa the cheerleader (recurri
690103	257633	
690104	206477	Emma
690104	338538	
690104	386760	Nurse Curly Spaulding
690105	232063	Davenport
690105	289260	Annie
690105	364516	1st Nurse
690106	111698	
690107	219496	
690108	277839	
690109	2545	Chorus girl
690109	130622	Gold Digger
690109	143607	Girl visiting Navy Yard
690109	151097	Sextet Girl
690109	154458	Annette, the Maid
690109	167707	Brunette
690109	169362	Third Chorus Girl
690109	173526	Cashier
690109	191835	Society Girl
690109	194892	Young Matron
690109	211610	Telephone Operator
690109	276808	Maid
690109	300912	Helen
690110	65417	Chris Monroe
690111	61312	Office Worker
690111	61977	Bit Part
690111	71794	Nurse
690111	107859	Miss Layton, Billy Gilbert's 
690111	147804	Herself
690111	246254	Bridesmaid
690111	255167	Peggy
690111	372596	Dorothy Layton
690112	15139	Kate
690112	149247	Misty Whitley
690113	128727	Dancer
690114	356284	
690115	204741	
690115	264202	Mother
690115	283541	Deborah
690116	21481	Claire's Maid
690117	311609	Maid
690118	204575	Recorders & Percussion
690119	208544	Sister Helen
690120	405367	Det. Holly Rawlins (1995-1996
690121	212334	Herself - Participant/Perform
690122	269722	Secretary
690122	359539	Jo
690123	270878	
690124	32791	
690124	81253	Flight Attendant
690124	81320	Girl in TV Soap Opera
690124	109524	Playmate
690124	117674	Waitress at Diner, 1992
690124	158175	Cynthia Manning
690124	165907	Samantha
690124	212662	Jessica
690124	222690	Janice Wells
690124	228495	Blue
690124	232213	Sharon
690124	263057	Reporter
690124	280281	White Hunter
690124	289558	Woman at Babylon Club
690124	363332	Sheila
690124	404282	Santana Andrade #1 (1984)
690125	218152	Maggie Rich
690126	5748	
690126	13626	First SS Officer's Wife
690126	15339	
690126	16801	Angela
690126	28281	
690126	38229	Prison Director
690126	73973	
690126	88203	
690126	92891	
690126	94153	
690126	227516	
690126	238108	
690126	254569	Bar Girl
690126	285753	Helenka
690126	286272	
690126	293999	
690126	300350	Ramona
690126	315289	
690126	317876	Old Woman
690126	324331	Florica
690126	345559	
690126	346673	Mme Gomez
690126	350105	
690126	367271	Poodle Lady
690126	389221	
690126	403515	
690127	38229	
690128	297862	Brigitta
690129	111024	La femme de chambre
690130	13626	Rachel
690130	346726	Cafe Patron
690131	7538	
690131	8920	
690131	9653	
690131	34538	Piano Buyer
690131	38396	
690131	56329	
690131	96545	Martha
690131	127844	Suzanna Del Piero
690131	144171	Grandma Zambiasi
690131	155628	Carla
690131	159480	The Nurse
690131	162042	Hungarian judge
690131	197475	Marina
690131	204696	Lilja Iljascenko
690131	298321	Nun
690131	302517	Marie's mother
690131	344631	Rosa
690131	352559	Margherita
690131	392654	Ljubka
690132	168776	Navi Computer
690133	210406	Herself - Dancer
690133	343879	Melody
690134	56545	Herself
690135	202088	
690135	235677	Woman at Dinner
690135	240603	La brune éléphant rose
690136	70944	Karen
690136	102944	Agnès
690136	132743	Aline
690136	199572	Wedding witness 1
690136	401377	
690136	406030	Nina
690137	78836	Funeral Singer
690138	45851	Mrs. Woods
690138	116118	Nurse
690138	189916	Edna
690138	206335	Cheryl
690138	209790	
690138	241496	Marion Galbraith
690138	401026	Mrs. Brookfield
690139	372514	Teacher
690140	133223	
690140	187411	
690140	321014	
690141	34349	Secretary
690142	340202	
690143	280146	
690144	231718	Herself
690145	9625	
690145	10223	
690145	14677	
690145	14801	(segment "Tú serás mio")
690145	18077	Begonia Mayoral
690145	20856	
690145	23064	
690145	30396	
690145	52036	Invitada a fiesta
690145	52302	
690145	53121	
690145	55959	
690145	56021	
690145	57907	Minerva de la Mora
690145	59781	
690145	61208	
690145	61341	
690145	68639	
690145	69206	
690145	70858	
690145	73529	
690145	82345	Madre superior
690145	82992	
690145	83491	
690145	89737	
690145	90113	
690145	100931	
690145	101884	
690145	103482	Sra. Balbuena, esposa de mMar
690145	104078	
690145	104123	
690145	104846	
690145	107838	
690145	119303	
690145	121306	
690145	124657	
690145	135306	Celia Vidal
690145	139897	Kitty
690145	149700	Lucy Ossorio
690145	159526	
690145	169084	
690145	170084	
690145	171461	
690145	171615	
690145	186545	
690145	189268	
690145	189375	Mariana Ruvalcaba
690145	192937	
690145	202217	
690145	202618	
690145	206996	
690145	209029	
690145	209045	
690145	217306	
690145	222029	
690145	222123	
690145	222401	
690145	223218	
690145	223611	
690145	233364	
690145	239260	
690145	248284	
690145	248289	
690145	251588	
690145	252545	
690145	253257	
690145	253551	(segment "La Búsqueda")
690145	258496	
690145	262214	
690145	269963	
690145	272349	
690145	287427	
690145	288258	
690145	288802	
690145	292926	
690145	296499	Maria
690145	319733	Silvia
690145	324279	
690145	328425	
690145	328509	
690145	328536	Gabriela Narvaez
690145	332918	Margarita Rodríguez
690145	334646	Doña Carmen
690145	337677	
690145	337964	(segment "La sorpresa")
690145	338948	Rosa
690145	339198	
690145	339451	
690145	339755	
690145	347497	Lydia Howard
690145	349665	Raquel
690145	349836	
690145	351648	Paty
690145	355200	
690145	355919	
690145	370624	
690145	376635	
690145	377189	
690145	378485	
690145	381224	Casilda
690145	383268	Adelina
690145	383273	Gigi
690145	383471	
690145	383532	
690145	383688	Hilda
690145	384770	
690145	387552	María Teresa Montenegro
690145	388649	Helene
690145	389790	Mónica
690145	392651	
690145	392799	Alma
690145	395839	
690145	397201	
690145	397593	Yolanda
690145	399522	Judith Rincón del Valle 'mama
690145	399570	
690145	399709	
690145	401203	Carmen Tagle
690145	401916	Adelaida Zambrano
690145	402059	Regina de la Riva
690145	403786	Lina
690145	404702	Paulina
690145	407641	
690145	408211	
690145	408723	
690145	409289	Mercedes
690145	409782	Alicia
690145	410303	Adelina
690145	412186	
690145	412197	
690146	383273	
690146	396898	Alejandra
690147	159915	Barbara (Waitress)
690147	229003	
690147	312939	Stalin's Housekeeper
690147	375330	Raisa
690147	397302	
690148	349364	
690149	299421	
690150	77571	
690151	3519	Cupka
690151	34189	Herself
690151	235001	Irena
690151	262761	Narodna pevaljka
690151	295647	
690151	396771	Mina
690151	401927	Biljana Cupka Gavrilovic
690151	401928	Biljana Cupka Gavrilovic
690151	401994	
690152	95925	
690153	9354	
690153	11070	
690153	20117	
690153	180558	
690153	180562	Vera
690153	190868	Lilly
690153	239929	
690153	248646	Roula
690153	314744	
690153	328234	
690153	402244	
690153	406690	
690153	407634	
690154	276521	
690155	101820	Dancer
690156	225876	
690157	402231	Host and Reporter
690158	149128	Flor
690158	160731	Cautiva
690159	68271	White House aide
690160	234310	Abuela de Daniel
690161	397682	Anne
690162	220733	Mimi
690163	160687	Elenka
690163	230043	
690163	265011	Katya
690163	305285	
690164	183913	Dimana- dete
690165	9353	Dancer
690166	159196	Nyamata
690167	173689	Rumyanka
690168	370460	Lyulyu, Fyufyunko, Zelenata v
690169	163884	
690169	320529	
690170	142524	Mae West
690171	386970	Lakota Woman
690172	286294	
690173	232071	
690174	345432	
690175	36871	Moramax employee #2
690175	157580	Ruth
690175	233567	Patient's Sister
690176	5833	Reporter #2
690176	138348	Harassed sister
690177	327904	The girl of his dreams
690178	311933	Claire
690179	383633	
690179	384771	Sofía
690179	387068	Graciela
690179	391570	Vanessa Sotomayor
690179	395872	
690179	410246	Jimena de Alba
690180	387533	Dr. Archer (1997-1998) (4 epi
690181	107947	
690182	68697	The Company
690183	346240	Rosa Rocco
690184	223892	Nahama
690185	272194	
690185	293807	
690185	320551	Zivkica
690186	306384	
690186	355548	
690186	395832	
690187	405848	Gittan Björk
690188	6486	Neighbor
690188	52708	Mujer
690188	66403	Tía Dora
690188	251599	Vicepriora
690188	284911	
690188	322233	
690188	357187	Guidadora Residencia
690189	288696	
690190	154937	Femme enceinte
690191	845	The Bus
690192	43982	Sofía
690192	104762	Host
690192	110050	Meeva
690192	132404	Betty
690192	168214	Marie's mother
690192	292340	Maina
690192	293323	
690192	301078	Michaela 'Mike' Ott
690192	309961	Sofía
690192	330329	Himself (Glamour Sequence)
690192	336993	Roselyne
690192	338332	Karima
690192	353855	Samira
690192	387959	Herself - Presenter (1987)
690192	404258	Beverly Richardson
690194	174405	
690195	25090	
690196	103657	
690197	220593	Virgin
690198	353506	
690199	39410	Constance Mainwaring
690199	245988	Serena Gomez
690199	252967	Elle
690199	348429	Mackenzie Michaels
690200	160882	Dancer
690201	23944	Gingivitis Girl
690201	337406	Amy Glass
690202	273344	Check Out Girl
690203	7393	Fina
690204	14420	
690205	146571	
690206	21682	Florencia
690206	44571	
690206	131128	Samara
690206	171131	Carmen
690206	225072	
690206	254340	
690206	257463	Sindia Santos
690206	328349	Noemi
690206	380106	Elvira
690206	380249	Herself
690206	384925	
690206	385865	Antonieta
690206	386109	Ana Luisa
690206	386149	
690206	390310	
690206	390748	Brigitte Castro de Boni
690206	392971	Inés Guerra
690206	397578	Eva Lanz de Villanueva
690206	397588	Alejandra
690206	401067	
690206	404181	
690206	408389	Celia Martínez
690207	377169	Amiga di Lorena
690208	396582	Herself (2002)
690209	238866	
690210	314174	Margie Lazock
690211	6327	
690211	8429	
690211	17306	
690211	122782	
690211	126264	
690211	178301	Ellie
690211	178530	
690211	179635	
690211	182446	
690211	258171	
690211	258836	
690211	340002	
690212	307755	
690213	1400	Svetla
690214	281639	Josef's daughter
690215	379985	Herself
690216	337301	Johnni K
690217	8277	Véronique Lipovsky
690217	10671	
690217	28994	La prof d'anglais
690217	33546	Marie-Ange van de Reeves
690217	56447	Lisetta
690217	57510	Anna
690217	73254	Sybille Berger
690217	80244	Hélène
690217	100456	
690217	101457	
690217	110141	Bela
690217	111034	Laurence
690217	113126	Marijane
690217	121338	Vicky
690217	121786	Mara
690217	139818	L'automobiliste
690217	148376	Narrator
690217	149142	Erika
690217	165776	Joan Hopkins
690217	169206	Pauline Shapiro
690217	185651	Julie
690217	190340	Molloy
690217	195245	Jeanne
690217	225459	
690217	232510	Kate
690217	236164	Jeanne
690217	254601	Martine
690217	264951	Marianne
690217	266149	Nathalie Crespin
690217	273689	Nadine, l'ouvreuse sexy
690217	279249	La femme de Jésus
690217	282101	
690217	284257	Marie-Thérèse de Savoie-Carig
690217	288087	Marie/Sarah
690217	302406	Joanna
690217	309985	Hélène
690217	368736	
690217	390476	Sophie Jansen (2002-????)
690217	396714	
690217	408321	Simone Fontaine
690218	180101	Homeless child
690219	386212	
690219	387732	Beata
690219	388681	
690219	409814	
690220	152641	Maggie
690221	51362	
690222	10529	
690222	362856	Dari
690222	401970	Viola Bruni ( 2001- present)
690223	84155	
690223	133389	Bianca
690223	147051	
690223	222200	
690223	234729	
690223	276444	Zia Sofia
690223	379901	Livia Castelli
690223	386744	Barbara Bennet
690223	397868	
690223	398504	
690223	402302	
690224	300846	Customer
690224	302925	Persis Meade
690224	331147	Lucille
690225	338003	
690226	55483	Peppinuccios Mother
690226	355660	Woman #1 at Grand Hotel
690227	14834	Violinista
690228	344883	
690229	219575	Anestesista
690230	7420	Party Goer
690231	344883	
690232	330285	Attaglia's Receptionist
690232	331871	2nd Spinster
690233	300920	Mrs. Tyler
690234	28269	Prostituée
690234	261756	
690234	282280	Henriette
690234	351717	
690235	186152	
690236	409609	Rebecca Schulz (1994-1995)
690237	106987	
690238	105736	
690239	243151	Mme Blavignac
690240	101183	Chloé
690240	104538	
690240	206648	Viviane
690240	357052	Marie
690240	371624	French girl
690241	396428	Maggie
690242	144454	Rosa Marinello
690243	230271	
690244	162618	Wilma
690244	406678	Marie-Hélène Ronsin
690244	406680	Marie-Hélène Ronsin
690245	34115	Various characters
690245	34729	
690245	125077	Trudi
690245	340919	Maria
690245	354516	Alisa Marcio (A Daughter)
690245	381661	Various Roles (1971-1972)
690246	127389	Virginia
690246	161841	L'informatrice
690246	322575	Sonia
690248	71291	Herself; Sondra Huxtable Tibi
690248	151742	Maresha Fisher
690248	228970	Herself
690248	385055	Sondra Huxtable Tibideaux (19
690248	388502	Norma Bindlebeep
690249	32035	Young Conti Girl
690249	80335	Marie
690249	98954	
690249	125738	Camille
690249	254129	
690249	271048	
690249	324517	Edith jeune/Edith (young)
690249	337032	La femme directe
690249	339967	Christine
690249	345092	Santa
690249	353880	Sandrine
690249	355126	Lili
690249	357490	Assistante
690249	377805	Paula
690250	6386	Anouk
690250	6591	La lingère
690250	14467	
690250	62565	Elodie
690250	64333	Herself (1987)
690250	70608	
690250	72387	Laurence
690250	78345	La jeune fille
690250	80284	
690250	83335	La belle fille qui passe
690250	112888	Gwen
690250	181448	
690250	183242	Hermine (8 ans)
690250	214023	Sandrine
690250	236537	
690250	264220	Eugénie Bonaparte
690250	266748	Marion
690250	269506	Lilou
690250	275862	Young prostitute
690250	279709	Léa
690250	285150	Emilie de Lancris
690250	345371	Betty
690250	349503	Melody
690250	377052	Lili
690251	3106	
690251	17856	Prune, une enfant
690251	24674	Joan
690251	70608	
690251	91727	La fillette
690251	112205	Diva Plavalaguna
690251	123481	Carole Lambert
690251	125723	Shaa
690251	125724	
690251	125725	Shaa
690251	140292	Alex
690251	154937	Isabelle, la mère
690251	183242	Hermine
690251	198338	Blond Babe
690251	206298	
690251	225369	
690251	239219	Diane
690251	244033	Une amie à la fête
690251	377989	Elle enfant
690251	388317	
690252	17088	La Desoeillet
690253	285754	Lucie (child)
690254	29706	Européenne revendeuse de Peug
690255	318488	Prostitute
690256	219849	
690257	268820	Matti
690258	70954	
690259	224854	La vieille dame
690259	387237	Lt. Dumay
690260	3942	Casting asst. Val
690261	189185	
690261	246855	
690262	13100	
690263	54879	Cassandra
690263	195318	Stripper
690264	308128	Hamptons Nurse
690265	185844	Yet Another Girl
690266	23933	Herself/Audience Member
690266	57061	Herself
690266	153001	Herself
690266	295557	Catwalk model
690266	388199	Host
690267	378063	Maïté
690268	111143	Enfants Nadine-Martin
690269	111143	Delphine
690270	30155	
690271	190994	Examiner
690271	222586	
690271	245073	Lily
690272	162038	
690273	294287	
690274	135862	Fran
690274	170155	Wealthy Matron
690274	241241	Wrestling Fanatic
690274	308030	Waitress
690275	17778	Mrs. J.G. Nottingham
690275	89381	Bridget McCann O'Dowd
690275	93195	
690275	95022	
690275	107543	Mrs. Stimson
690275	202650	Bundy
690275	210278	Mrs. Sanders
690275	281873	Mary
690275	331915	Mrs. Tressler
690275	365362	
690275	372937	Mrs. Disbrow
690276	2868	Virginie
690277	246292	Gaëlle/Sarah à 14 ans
690278	248894	Joséphine
690279	343189	Mammogram Tech.
690280	8851	
690280	51412	
690280	66794	
690280	101147	
690280	101149	
690280	103226	Mme Filoche
690280	110147	Rosa, la femme de chambre
690280	111279	
690280	111874	
690280	111875	
690280	118416	
690280	125466	
690280	128978	
690280	153873	
690280	168198	
690280	198344	Poupette
690280	262228	
690280	300740	
690280	308264	Mme Jujubier
690280	309368	
690280	341376	Mme Braquet
690281	278155	Femme salle d'attente
690282	18006	Mrs. May Beamish
690282	57224	Mrs. Rodney
690282	59551	Ela Delahay
690282	66387	Jenny
690282	68060	
690282	73396	
690282	129551	Rosemary
690282	130055	
690282	136518	
690282	150985	French Maid
690282	154047	Corrine Stanton
690282	154811	
690282	192054	Miss Nobody
690282	196220	
690282	196419	Julia Daw
690282	216120	Lady Agnes de Clifford
690282	261759	Alesia
690282	280701	Nell
690282	309556	Maggie Rackstraw
690282	322688	The Girl
690282	331130	Shirley Norton
690282	331856	Christine de Rhoda
690282	335509	Louise Allington
690282	363934	Victorine
690282	377732	
690283	19725	
690283	66078	
690283	105612	La préposée de la mairie
690283	164658	Muriel
690283	288899	Madame Reno
690284	146069	Specialty Act
690285	370580	Nanny
690286	86451	
690286	170037	
690286	357533	
690287	73683	Cafe Waitress
690288	16996	
690288	101147	
690288	125466	
690288	153873	
690288	156533	Sa femme
690288	168198	
690288	214185	Phémie
690288	308264	
690289	35314	Jenny
690289	292504	Sarah Stanley
690289	342546	The Governess
690289	359124	Mrs. Fanning
690290	404663	Marinette
690291	285757	Paulette
690292	1473	Une cliente
690292	16950	Une vieille dame dans l'églis
690292	17818	La dame aux urgences
690292	45736	Mamie
690292	58409	Madame Renée
690292	112889	La concierge
690292	160206	Mme Legros
690292	190745	La vieille dame de l'hôpital
690292	212148	Grand-mère Fouly
690292	212724	Mémé
690292	254316	La voisine
690292	268448	
690292	301522	
690292	377475	Une consommatrice au Mistific
690293	145662	
690293	225407	Lucie
690293	291584	(segment "Mots attendront, Le
690293	336968	
690293	357124	La jeune fille rousse
690293	387919	
690294	101788	Sophie
690294	111680	Catherine
690295	94250	La mère de François
690296	9984	
690297	101033	
690298	166238	Renee
690298	190543	Mrs. Leonard
690298	339829	Herself
690299	80734	Kimberly
690299	368892	Karin
690300	345406	
690301	350097	Dancer
690302	27030	Alison Tyson
690302	66049	Chevalier's Secretary
690302	84888	Simone
690302	117072	Kitty
690302	206331	Marj
690302	224155	Sue
690302	292667	Helen
690302	342362	Maid
690302	372544	Marie Curie
690302	403144	Sarah Russell
690303	211375	Un policier
690304	251798	Lover in garden
690305	250961	Marie
690306	21180	1st Pub Landlady
690306	21549	Audrey
690306	380344	Annushka
690307	56304	Anna Scott
690308	211375	La pianiste
690309	78352	Child
690310	280523	La garçonne
690312	316614	Studio News Anchor
690313	7438	
690313	20867	
690313	23750	Une pensionnaire de la Maison
690313	59239	
690313	68360	Marie-Angélique, mariée
690313	153243	
690313	205767	
690313	294607	Mme. Souchon
690313	300648	Récitante
690313	339500	Anne
690313	377989	
690314	13108	Juliette
690314	193445	Juliette
690314	269743	
690315	111039	
690316	10144	Thétis/Diane/Nymphe de la Mer
690316	276492	Mezzo-soprano: 'Rejoyce' from
690317	64949	Nana couloir
690318	316125	Jackie Hart (segment "End of 
690319	28269	La contractuelle
690319	357052	La marraine
690320	157662	La gardienne
690320	208225	
690320	217650	
690320	261116	Make-Up Artist
690320	287598	Eric's Mother
690320	345096	La femme odieuse
690320	356399	la banquière
690320	385003	Gardienne Sonia
690321	52725	
690322	5898	Gaëla
690322	76061	Fanny
690322	108616	Fanny
690322	159599	Juliette
690322	205765	Marie
690322	206045	Fanny
690322	288297	Juliane
690322	296334	Marion
690322	357074	Claire
690322	397857	Anna
690323	285759	
690324	189366	
690325	275367	Baby Weems (segment "Baby Wee
690326	16980	
690327	217855	Family at the Supermarket
690328	140445	
690329	44537	
690329	50531	
690330	79678	Zombie Cadre Member
690331	174584	Katherine, age 7
690332	74077	Gertrude
690332	112838	
690332	119053	
690332	171596	
690332	217640	Mme Michaud
690332	272730	Olga
690332	353840	Agathe
690332	353927	Virginie
690332	380941	Julie Soleil
690332	387048	Catherine Lemay
690332	388690	Félicité Pronovost
690332	396835	Isabeau de Rouville
690332	401320	La belle-mère
690332	401331	Bobonne
690332	401727	Harmance Potvin
690332	403919	Michèle Lauzon
690333	379831	Patrice #1 (1989)
690334	196084	Renee
690335	91460	La duchesse d'Arbrantès
690335	100243	Une amie
690335	301321	
690335	346567	Mme de Montcornet
690335	347850	Friend of Xavier
690335	380410	Jocelyne
690335	392369	Marlène
690335	393487	Geneviève du Courseau
690335	396817	Antoinette Chambarcaud
690335	396867	Mme de Lamballe
690336	136649	L'infirmière
690336	240429	
690337	309581	Motion Picture Crew
690338	217830	Christelle
690339	166270	Eva, Lorraine's best friend
690340	17646	Dany Carrel
690340	68378	La soeur
690340	130724	
690340	261468	Isabelle
690340	350154	
690340	386674	Alice Pichon
690340	402251	Marie
690341	261641	
690342	24479	Wife of accused
690343	42139	Destiny (Escort)
690343	95568	Lysette
690344	350500	Florist Assistant
690344	405461	Health Spa Assistant
690345	337787	Jocelyne
690346	9240	
690347	84691	Pamela Brique
690347	164149	La cliente
690347	219442	L'employée de Poinsot-Dubreui
690347	309327	Catherine
690347	336964	Aurore
690348	92044	La lectrice
690348	101854	Maryse
690348	217842	Une paysanne
690348	263620	Christine
690349	166139	L'accouchee
690349	268463	Madame Charlot
690350	10520	Dancer
690350	19557	Dresser
690350	38685	Black girl in jail
690350	43596	Window Granny
690350	47007	Martha Swife
690350	47355	
690350	87709	Cabaret Dancer
690350	91644	Nita
690350	96889	Essie, Nadine's Maid
690350	116790	Specialty
690350	129233	Maid
690350	144457	Minnie
690350	148288	Wanda Fuch
690350	149376	Herself - the Ballerina
690350	154097	Annie
690350	154595	Veronica, Cynthy's Maid
690350	154695	Dancer
690350	224333	Lambie
690350	319061	Miriami
690350	323445	Helen Stanley
690350	363575	Myra
690351	369416	
690352	387113	New Id.
690353	104667	
690353	217912	Herself ('Europe in the Raw' 
690354	41197	Phone Exotic
690355	349399	Maid
690356	273428	Drunk Girl
690356	393826	JD Girl
690356	411517	School Girl #2
690357	181326	
690358	399813	Herself (2000-2001) (Morning 
690360	154434	Nicole
690361	217830	Valérie
690362	59713	Adelaide
690362	90943	Cat
690362	101121	
690362	101221	Mireille
690363	23973	Vegetable Seller
690363	30182	Miss Goldfinch
690363	59878	Bank Teller
690363	153645	Psycho Girl
690363	187301	Innkeeper's Wife
690363	314763	Customs Woman
690363	315484	Aid Worker
690363	364424	Waitress
690363	366740	Female Paramedic
690363	386295	Ben
690363	398208	Douchebag's Mother (Heather)
690364	32035	Franklin's Majordomo
690365	6697	(segment "La dernière mouche"
690366	170423	Yvan's wife
690366	310061	La femme de Thomas
690366	409981	Cerise
690367	215136	L'infirmière
690368	81519	
690369	259870	Marie-Claire
690369	378858	Kim Nguyen
690370	124328	
690371	57389	Young Lulu
690371	302932	Sarah Collins
690372	363526	
690373	346819	Emilie
690374	236552	Mme Herlebach
690376	397094	Herself/Host (2004-)
690377	25128	
690377	32280	Tania
690377	55876	
690377	57544	
690377	59212	George Sand
690377	66221	La conductrice du taxi
690377	73183	Dounia
690377	79553	Mrs. Steefarth
690377	102943	
690377	106297	
690377	108885	Lady Beltham
690377	120975	
690377	124143	Mme M.M.
690377	148727	La salutiste
690377	160543	La Marquise de Bussange
690377	188692	Dame Hibbins
690377	201183	La mère Raffin
690377	205735	Mme de Vigny
690377	207271	
690377	218289	
690377	218310	Mme Ferral/Mrs. Ferral
690377	224902	Sarah
690377	225463	
690377	235832	
690377	238465	Jeanne Anguerny
690377	258529	
690377	258868	Mère de Danièle
690377	265223	Soeur Marie-Gabriel de la Con
690377	275650	La vieille fille
690377	282497	
690377	346796	
690377	357123	
690377	357833	Gisèle
690377	372016	Namo
690377	380864	La duchesse
690377	381628	La concierge
690377	396240	
690377	412260	Marceline
690378	76174	
690379	27189	
690379	40668	Freeway lady #2
690379	41812	
690379	75191	
690379	150926	
690379	187411	
690379	231882	
690379	242063	Herself
690379	305401	Cindy
690379	312935	
690379	366829	Hooker
690381	964	Katy
690381	40097	2nd Girl
690382	234932	L'Infirmière
690383	101547	Prostitute
690384	346937	Herself
690385	376904	La secrétaire de la clinique
690386	2252	(segment "Teuf d'enfer, La")
690387	5186	Copine Safrane 1
690387	193444	Marie-Martine
690388	72055	
690388	87941	Camille
690388	101896	Josiane
690388	156321	La jeune femme sacrifiée pour
690389	280530	Une enfant
690390	397473	Several characters
690391	406378	Herself
690392	58414	Valérie
690393	377304	Guest
690394	101036	Jewish Beauty
690396	2073	
690396	61855	Dr. Joyce Gould
690397	284259	Jeune fille 3
690398	353885	Emmanuelle Le Quesnoy
690399	406785	Herself/Panelist
690400	143080	Ethel Wardley
690400	195308	Rita Lawson
690400	195363	Rita Lawson
690400	311734	Kitty Le Lange
690401	57718	Debbie Burke
690401	100041	Helen Tunkley
690401	119552	Margie
690401	166738	Welfare officer
690401	219190	Lydia
690401	399130	Barbara Hill (1985)
690401	402197	Sandy Edwards (1981-1982)
690402	259212	Infirmière
690403	138848	
690404	248886	Naked girl
690405	69342	La fille anecdote
690405	80314	Jeanne
690405	84695	La couturière
690405	186215	La femme
690405	246291	Brunette prostitute
690405	248886	Naked girl
690405	283031	Isabelle
690405	378082	Aurélie
690405	410074	La femme PF 2
690406	10558	Cécilia
690406	25788	Marie
690406	63843	Michèle
690406	65730	Mle Putet
690406	66723	Annette
690406	80156	Baby Sitter
690406	100469	Bordenave
690406	120971	Mme de Moteron
690406	132403	Valérie, l'habilleuse
690406	170423	Emilie Monk
690406	191467	Véronique, la secrétaire d'An
690406	198605	Madame Chastaing, l'assureuse
690406	205150	
690406	211375	Marie Pelloutier
690406	211665	La femme bourgeoise
690406	217830	Laurence Bellac
690406	219465	Sylvie Merten
690406	225526	Isabelle
690406	246292	La soeur infirmière
690406	249208	Amélie
690406	254119	Léone
690406	291682	Nathalie Poussin
690406	319822	La juge d'instruction
690406	345434	Rosalie (episodes 1 and 2)
690406	352635	La mairesse
690406	357124	Mme Clédes, la banquière
690406	396804	Alice Tourneur
690406	409531	Sylvie
690407	100431	Martina
690407	396328	La gouvernante
690408	139219	Prisoner's Wife
690409	345332	Young Mathilde
690410	18960	Claudine (Redux version)
690411	380815	Herself
690413	120237	Jeremy's lover
690414	219825	
690416	267024	Anne Lacombe
690417	211657	Sæur
690418	331162	
690419	15241	Clara
690419	92899	
690419	249045	
690419	337017	Extra
690420	273340	Stewardess
690421	5159	La femme de Guy
690421	23778	Marie
690421	23791	Suzon, la fille aînée
690421	43758	Gloria
690421	66564	Stella
690421	83179	Mme Follenfant
690421	94249	Solange
690421	100018	Patricia Forsyth
690421	166184	Myriam
690421	206841	Varai
690421	258942	Elisabeth
690421	260118	Isabelle
690421	266167	
690421	303615	Gabrielle
690421	336981	La fille
690421	345301	
690421	346567	Florine
690421	391928	
690421	396867	Mme de Polignac
690421	399082	Mady
690421	404191	Sally (1978)
690421	405508	
690421	406196	Esther
690421	410376	
690422	18165	Herself
690422	217943	Maitresse de Landau
690422	254144	Monique
690422	346525	Mme Cramusel
690422	381078	Catherine
690422	395493	Marie-Claude
690422	411699	Françoise
690423	66408	
690424	51067	Une danseuse
690425	65639	
690426	92044	Alexandrine
690426	108901	Clémence
690427	125715	Marie
690428	57557	La mère de Clara
690428	58230	La prostituée
690429	116315	Papagena
690429	135545	Jemmy
690429	158811	Corinne
690429	159016	3ème - Les Fleurs, Fête persa
690429	217654	Angèle
690429	340662	Ascagne
690429	341367	Une jeune femme
690430	9179	
690431	404943	Emma le Roux (2002-)
690432	47834	Lian
690432	91259	Karin
690432	135716	Oekje
690432	140396	Borks secretaresse
690432	149111	Sofie
690432	165354	
690432	181120	Inez
690432	181902	Agente Keesje
690432	204573	Jeanette
690432	243011	Marikska
690432	243624	Brils vriendin
690432	276518	Noortje van Oostveen
690432	293641	
690432	357360	Mother of Stef
690432	376257	Verbeek's Mother
690432	379739	Maartje
690433	32907	Woman at Party
690433	74247	Cora Merrill
690433	404002	Hannah Harcourt (1981)
690434	231711	
690435	377014	
690436	61577	Mrs. Putnam
690437	354974	
690437	356976	
690438	102398	Slave Girl
690439	183638	Can-Can Dancer
690439	339391	Madeleine
690440	139675	Herself
690441	273838	Cadet
690442	12286	Handmaiden
690442	130623	Girl
690442	374198	French girl
690443	315899	Girl
690444	377792	
690445	2252	(segment "Anniversaire, L'")
690445	5899	Angélique
690445	14342	Francette
690445	43767	Annie Dupré, Alice's mother
690445	60889	Anne-Marie, la mère
690445	83381	Louise
690445	91975	Mère de Frédéric
690445	119044	Jeanne
690445	205735	Louise
690445	229491	Delphine
690445	236585	Justine
690445	248506	Lucette
690445	255573	Suzanne
690445	269223	Hélène de Lambilly
690445	275657	Aline
690445	311671	Simone Lemorne
690445	341379	Raphanel mère
690445	345125	Sophie
690445	345458	La réfugiée
690445	346811	
690445	354656	La monitrice
690445	355867	
690445	377238	Éliane
690445	383997	
690445	387697	Yvonne
690445	390491	
690445	400681	Cathie
690446	77753	Geneviève
690447	350084	Emma
690448	409277	Herself/Journalist
690449	208277	La nurse
690450	273306	Herself
690451	264024	La comtesse d'Osterwick
690452	208719	Maypole Dancer
690453	224814	Espéranda
690453	309764	
690454	248888	Chloé
690455	46329	Herself, Anna Le Sueur, Joan 
690456	387466	
690457	214253	Marie-Laure
690458	215136	Participante #1
690459	17845	Rosine
690459	43767	Juliette Delvaux
690459	51408	Lauriane
690459	62277	Pia
690459	197547	Catherine
690459	283031	Sophie
690459	340872	Régine
690459	355369	Carole
690460	381514	Herself (2000-2003)
690461	73301	Jane
690461	89184	Suleika
690461	94459	Selina
690461	205555	Emily Corder
690461	227194	Finn McQuillen
690461	299827	Joy
690461	329661	Hermia
690461	347112	Joanna Ball
690461	381478	Briony
690461	381795	Sarah Teale (1994)
690461	382595	Helen
690461	382830	Elizabeth Robinson
690461	388320	Jane Barnes
690461	389700	Charlotte Kean
690461	391254	Rachel Heath
690461	396772	Fanny Price
690461	397182	Alice
690461	398020	
690461	408090	Carol Shaw
690461	409841	Lady Jane Crawley
690461	410846	Samantha Ryder
690462	356508	La laborantine
690463	161812	
690463	346541	Girl in Swimming Pool
690464	136023	Arlette
690465	259236	
690466	132451	Herself (sister)
690467	134923	Jeannette
690467	353886	
690468	309678	Fire Knife Dancer
690469	242556	
690470	56658	Oahn's Mother
690471	82469	
690472	60542	
690472	189206	
690472	370805	
690473	30750	Tony's Mother
690473	74010	Mai-Lee
690473	80539	Sgt. Mia Yan Chun
690473	134028	Thuy Hoa
690473	141605	Le Ly
690473	228310	McDuff's Secretary
690473	276878	Charity
690473	297641	The Tutor
690473	359972	Water Ghost
690473	370604	Lian
690474	330221	Kimono Girl 1
690475	254614	
690476	291457	Ticket agent
690477	311616	The girl
690477	411435	Kim Le
690478	114181	
690479	21902	
690479	130744	Tammi
690479	141605	Steward
690479	161015	
690479	228679	
690479	363614	
690479	367248	
690480	141605	Viet Cong Cadre Woman
690481	89412	
690482	121538	V.C sniper
690483	372432	
690484	115460	Nancy Sands
690484	212371	Eli
690485	181135	Operations room staff
690486	221511	
690487	56658	Oahn/Girl on Bus
690488	68274	GDI Lab Technician (Firestorm
690489	66584	Apartment Security
690489	187689	
690490	127381	Trieu
690490	341009	
690491	281244	Tiger's Mate
690492	9879	Woman Shopper
690493	132260	Kvindelig
690493	319214	
690493	411522	Xiao Yun
690494	222136	Herself
690495	151047	Francine, the maid
690495	184519	Willow
690495	185202	Margaret
690496	375823	Salon Customer
690497	273676	
690498	203549	
690500	316295	Violinist
690501	99999	Judy
690502	301589	Ana
690503	279339	
690507	26838	Baby's Mother
690508	149948	Carol Cleaves
690508	166345	Young Ingenue
690508	291942	
690508	324037	Mary
690509	150347	
690509	239416	Girl
690510	17934	Second Bartender
690510	75799	Protester
690510	231940	Club Photographer
690510	274361	Royce's secretary
690510	274459	Mindy
690511	188502	Waitress at Ricks/Pool Girl
690512	68225	Stream's Friend
690512	275836	Prostitute
690513	166997	Angel Botts
690514	146723	Anita
690514	241368	Girl
690515	351794	
690516	14489	Mrs. Greer
690517	215601	
690518	21690	
690518	56022	
690518	57978	
690518	61866	(segment "Compadres, Los")
690518	71269	Linda Fair
690518	106995	
690518	162784	
690518	163766	
690518	213410	
690518	221751	
690518	223618	
690518	255551	
690518	258175	
690518	324841	
690518	354782	
690520	197518	Susan
690520	320094	Sally
690522	113553	Young Girl
690522	136461	Connie
690522	308120	Young Miss Foley
690522	350077	Julie
690523	64801	Blonde In Parking Lot
690524	405970	Programleder
690525	131052	Miss Williamson
690525	149854	Mrs. Black
690526	144879	Herself
690527	83988	
690527	188567	Tracy
690527	196357	
690528	190698	Sonya
690529	195588	Princess Linetta
690530	404795	Valkyrie
690531	219030	Girl in Bus
690532	233632	Autograph Hunter
690533	110100	Nurse Ida
690534	175175	Mary Carter
690534	201151	
690534	223019	
690534	277963	Ellen Taylor
690534	330634	Girl
690535	117585	
690537	74771	Jennifer
690538	90932	Birthday girl
690539	359914	Jamie Reed
690540	366728	Tender
690541	190317	
690541	299071	Tanya
690541	308011	Nia, Young Female Intern
690541	318854	Christine
690541	323838	Margaret (segment "Lover's Vo
690541	352441	Baby Dee
690541	381079	Jessi Ramsey
690541	384397	Olivia DuPris
690541	405152	Tanya (1990-1991)
690542	331910	Night Sister
690542	396073	Mrs. Richardson
690543	185756	Schoolteacher
690544	5831	Connie Robinson
690544	6986	Dulcinea/Aldonza
690544	11648	Widow of Florence
690544	17070	
690544	26728	Mrs. Dickinson
690544	34379	
690544	41140	Nan
690544	46545	Mrs. Henshow
690544	46893	Mrs. Gaines
690544	61856	Miss Scope
690544	63834	Mother
690544	73555	Mrs. Dangle
690544	78910	
690544	87824	Sister Agnes
690544	107099	Mary Bell
690544	127127	Kate
690544	140518	Mrs. Marsh
690544	172574	Esther
690544	224714	Mrs. Tope
690544	244311	Emilia
690544	257169	Vera
690544	264095	Queen Elizabeth
690544	281446	Mrs. Honeychurch
690544	284583	Mrs. Odgen
690544	297184	Mrs. Alcock
690544	314780	Eleanor Trundle
690544	320759	Mrs. Barrable
690544	320760	Mrs. Barrable
690544	327835	Mary
690544	329541	Mrs. MacLaine
690544	333102	Mrs Forefoot Meadows
690544	333683	
690544	334771	
690544	342049	Mrs. Charlie Inchcliff (landl
690544	347006	Mavis Hunt
690544	362586	Harold's Mother
690544	363206	Clara Soppitt
690544	365246	
690544	366377	Violet
690544	381685	Nanny Collins
690544	382912	Lady Brightlingsea
690544	383953	Joan Plumleigh-Bruce
690544	384100	Mrs. Leslie (episode "Toby")
690544	386481	Queen Victoria
690544	389944	
690544	390692	Joan Craddock
690544	393491	Aunt Fenny
690544	395543	Katy Bunting
690544	399583	Rosemary
690544	399772	Laura (1971-1973)
690544	399966	Velma
690544	401229	Vera
690544	401997	Susan Weldon, Wilder's mistre
690544	402168	Laura
690544	403499	Marcelle
690544	404094	Sadie Potter
690544	406541	Grandma
690544	406912	Nancy Leadbetter
690544	408331	Dot Curdle
690544	408478	Gladys Toms
690545	92505	Dowager in Church
690545	213453	Old Dowager
690545	369182	Guest
690546	355267	
690547	2560	Herself - Best Supporting Act
690547	2572	Herself - Co-presenter: Best 
690547	2768	Herself - Co-presenter: Best 
690547	2787	Herself
690547	3021	Herself - Past Winner
690547	3053	Herself - Past winner
690547	5750	Nurse Betty Nelson
690547	7199	Maggie Dale
690547	10309	Grandmother
690547	13320	Dolly
690547	13682	
690547	17630	Aunt Agnes
690547	27344	Grandma
690547	32305	Old Woman on Plane and Bus
690547	35409	Anna Collura
690547	35506	Daisy Mae 'Granny' Moses
690547	40612	Fran Sato
690547	45912	Victoria Douglas
690547	46340	Bess Dischinger
690547	52376	Eileen Boatwright
690547	55393	Extra
690547	59366	Miss Selby
690547	59535	Nettie Appleby
690547	72721	
690547	72724	Melba
690547	73136	Hilary Kelton
690547	76966	Mrs. Ezra Miller
690547	80783	Charlotte Raynor
690547	81269	Mrs. Singleton
690547	81271	Susan Davies
690547	82686	Joan Greenway
690547	86749	Anna Sage
690547	88264	Sister Eugenio
690547	90474	Herself
690547	91932	Aunt Agatha/Aunt Sofia
690547	95780	Jean Mitchell
690547	98144	Herself
690547	102591	Mary Kovacs
690547	107258	Beverly Ann Stickle
690547	107286	Ruth
690547	113558	Ruth Fine
690547	116741	Samantha
690547	125420	Helga
690547	127410	Narrator/The Elder Amy
690547	128336	Old Mam Hawes
690547	130441	Mrs. Haldane
690547	138365	Pat Mozell
690547	138563	The Witch
690547	138857	Ronda
690547	140197	Ellen Blunt
690547	143499	Aunt Louise Trends
690547	144760	Institute Head Nurse Charlott
690547	146661	Madame DeFarge
690547	146815	Claire Stevens
690547	157541	Ruth Westerman
690547	161218	Herself
690547	162352	Mrs. Lynley Tensedge
690547	163286	Clara Oddbody ('ASC'), Mary's
690547	178061	Christina Bailey
690547	183407	
690547	185537	Ruth Popper
690547	185538	Herself
690547	192157	Edwina 'Ed' McKevin
690547	193956	Laura Casella
690547	194123	
690547	195483	Iris Havlicek
690547	195640	Ruth Weaver
690547	195763	Mrs. Anglin
690547	196447	Bernice Henderson
690547	204522	Helen
690547	206897	Herself
690547	213516	Viola Barlow
690547	214919	Doc Betty
690547	215453	Agatha Blaine
690547	220415	Euterpe
690547	221267	
690547	221313	Ruth Randell
690547	222483	Lord's Secretary
690547	223084	Assunta Guaspari
690547	223752	Maggie The Zombie Expert
690547	224109	Hydia
690547	224339	
690547	230422	Olive
690547	230751	Queen Hippolyte
690547	234229	Laura Evans
690547	235059	Claire Porter/Phantom Fox, Ir
690547	236083	Grandma Albertson
690547	238546	Mary
690547	239892	Maureen
690547	252454	Tina Hoffman
690547	255355	Herself
690547	262386	Mrs. McFarland
690547	270492	Caroline
690547	284583	Margaret 'Molly' Brown
690547	289691	Mildred Cruthers
690547	291300	Performer
690547	296842	Millie Crown
690547	298015	Herself
690547	301682	Ginny
690547	307047	
690547	308005	Laura Hyatt
690547	310262	
690547	311127	Pamela Beale
690547	314127	Rita Weiss
690547	318189	Joanne Hackett
690547	327967	Dola (2003)
690547	329151	Ruth Popper
690547	330818	Herself
690547	332153	Lois Ellison
690547	340249	Queen Gnorga
690547	358576	Margaret Shand
690547	360245	
690547	365760	Darla Jean
690547	366904	Mrs. Samuels
690547	367662	May Lemke
690547	369178	Philomene
690547	371366	Mrs. Kramer
690547	372551	Frau Blücher
690547	381110	Mrs. Jaffray
690547	382334	Regular (1952)
690547	383941	Effie Perrine
690547	387482	Dot Richmond
690547	388195	Beverly Ann Stickle (1986-198
690547	391762	Herself/panelist
690547	396999	Phyllis Lindstrom (1970-1975)
690547	399841	Ms. Frick/Mrs. Nutt
690547	401397	Phyllis Lindstrom
690547	407927	Grammy Winthrop
690547	410562	Emily Collins
690548	304313	Charlie
690549	192110	Clara
690550	13095	Barbara
690550	25318	Ilia
690550	80755	
690550	160061	Kate
690550	193775	Carol
690551	163465	Angel
690551	216311	
690551	362633	
690552	2899	Herself - translating for win
690552	77728	Pretty Shield
690552	201654	Herself
690553	114051	Cheryl
690553	285286	Tessa
690553	383631	Sadie Tomkins: Receptionist (
690553	384135	Chock-a-girl
690553	388861	Dorothy
690553	394355	Lynda
690553	395226	Penny Johnson
690553	401623	Presenter
690553	411804	Barbara Charlton
690554	191244	
690554	191246	Sarafina
690555	48870	Margaret (Bill's woman [opera
690556	104045	Hinde, The Daughter of Love
690557	195704	Herself
690557	200324	Herself (film director)
690558	149396	
690559	251477	Nurse
690559	319567	Mona
690561	114075	Lucretia
690561	311632	Joy
690561	390771	Sharina Tamerlane (1984)
690562	393	
690563	87989	The Pooch
690563	88050	Dany's Friend
690563	255160	
690564	128797	
690564	129112	
690565	114718	Cherry
690566	328593	Nancy
690567	280279	Bridesmaid
690568	13789	Spartanette #5
690569	65022	Reporter
690569	158873	News Anchor
690570	61320	Marla Mann
690571	200150	The Queen of the Night
690572	224001	Mary
690573	230321	Meg Hughes
690573	256240	Danny's Mother
690574	192783	
690575	222212	Party-goer
690576	401828	Street Neighbour #1
690577	321206	Eunice Wimert
690578	331252	The Girl
690579	131227	Bailiff
690580	81767	Zoo Employee
690581	326389	Sophia
690582	293094	Miss Weston
690582	342746	Mum
690583	297993	
690584	8243	Helen Pope
690584	106522	Poor Dear
690584	158951	Deena Ferrin
690584	194806	Bee Jay Caldwell
690584	372901	Colleen North
690584	380391	Olive Gordon Randolph (1976-1
690584	382770	Elaine Bancroft (1971)
690585	267530	
690585	308184	Tonya
690585	378829	Robin (1983-1986)
690586	221049	Breast Thief
690587	196134	Lil
690587	202849	Tweedy Lady
690587	381714	Wully Harris
690587	382771	Mrs. Pickles
690588	80550	Mrs O'Hara (linking narrative
690588	90287	Mrs. Brand
690588	106621	Margaret
690588	110996	
690588	138188	Gran
690588	145899	Tea shop lady
690588	177138	Miss Waterman The Schoolmistr
690588	196490	Mrs Luckhurst
690588	222753	Mrs. Hilda Stainton
690588	224303	Bit Part
690588	245134	Gambler's Wife
690588	288076	Maria, Clara's Maid
690588	317430	Mrs. Hudson
690588	331622	Mrs. Hoensby
690588	345846	Emma
690588	372120	
690589	369492	40's Singer #2
690590	31789	Mary Harmon Bryant
690590	113728	Teegra
690590	133728	Charkie's Water Ballet Perfor
690591	281413	
690592	118648	Librarian
690592	392970	Fighter Controller
690593	2231	Herself
690593	228287	Herself
690594	18999	Pension Lady
690595	260429	
690595	394872	Celeste
690596	285076	
690597	118171	
690597	252057	
690597	276472	
690598	287483	Aunt Marta
690599	51548	
690600	293972	
690601	114322	
690601	253304	
690602	70699	
690602	78579	
690602	343966	
690603	377609	
690604	324869	
690605	275090	
690606	272623	
690607	87622	
690608	3396	
690608	9665	
690608	9786	
690608	55011	
690608	69296	
690608	82723	
690608	87086	
690608	114784	
690608	272670	
690608	281607	
690608	296148	
690608	334568	Muchacha Final
690608	350261	
690609	379257	
690609	381859	
690609	387886	
690609	396163	
690609	396956	
690609	401697	Candelaria
690610	383250	Carla Ruggeiro
690610	392848	Sagrario Montero
690610	395861	
690611	205696	
690613	328866	Adélia
690614	57443	Bebel (Bebel Gilberto)
690614	60048	Lola
690614	86049	
690614	148483	Sílvia
690614	244137	Marcela
690614	353168	Sinhá
690614	382684	Margarida
690614	385184	Bianca Batista
690614	388065	Ianca
690614	390495	Viviane
690614	391674	
690614	392792	Young Lúcia Helena
690614	398549	Beatriz Ataide
690614	400981	Otália
690614	401087	Clarelis
690614	404834	Maria Cláudia Tedesco
690614	409419	Ursula Schmidt da Silva
690615	77580	
690616	70053	
690616	205131	
690617	201986	Maria da Luz, Pedro's sister
690618	392747	
690618	401208	Josefina
690618	402537	Ana Maria
690619	161773	Abuela travesti
690620	81615	
690620	339147	Laura
690620	401097	Libia
690621	55933	
690621	63786	La Gringa
690621	64984	Juana
690621	213370	
690621	243614	
690621	249787	
690621	302238	
690621	357543	
690621	376788	
690621	379900	
690621	380840	
690621	388162	Mariana
690621	389780	
690621	390504	María
690621	391113	Host
690621	394017	Sister Catalina 'Cata'
690621	401101	
690621	403237	Claudia
690621	410453	Lidia (2000)
690622	17071	
690622	22772	Regina
690622	34551	
690622	58045	
690622	58047	La patrona
690622	65412	Señora autoritaria
690622	69474	
690622	76011	
690622	84177	Benita Arnal
690622	86444	
690622	90099	Viuda
690622	90189	La Molinera
690622	94839	
690622	96321	Señora Pacheco
690622	108732	La domadora
690622	123275	
690622	132688	
690622	135276	
690622	136844	
690622	148106	
690622	160121	Señora de Andía
690622	183504	Mujer de Benito
690622	186965	
690622	191039	
690622	199781	
690622	206986	
690622	212414	Martina
690622	213766	
690622	222418	
690622	234357	
690622	236027	
690622	249804	
690622	266805	
690622	272399	
690622	273018	
690622	275076	
690622	275090	Doña Betaza
690622	279707	
690622	281293	Lola
690622	292733	
690622	292747	
690622	296470	
690622	296500	
690622	328864	Juana
690622	339151	
690622	352021	Susana's aunt
690622	354378	Doña Elvira
690622	357504	
690622	371698	
690623	380332	Inês
690624	381442	Brooke (1991-1992)
690625	402504	Juraci
690626	74866	
690626	266164	
690627	107144	Tracie
690627	382556	Marilyn Sudor
690627	390771	Dahlia Crede (1996-1999)
690627	395343	Marita
690628	219600	
690628	407798	
690629	18478	
690630	48529	
690630	56065	
690630	116392	
690630	221863	
690630	252768	Nurse
690630	380777	Laura
690630	381634	
690630	384117	Celeste
690630	386730	Regina
690630	387804	Carmen
690630	389643	Olga
690630	390752	
690630	391674	Biga
690630	391901	Angela
690630	393005	Yolanda
690630	396718	Olívia
690630	396722	Mercedes Junqueira
690630	399766	Isabel
690630	402623	
690630	402808	
690630	403733	Odete
690630	404798	Jane
690630	404814	Carmem
690630	407275	
690630	407830	Cesarina
690630	408381	Zilda
690630	409898	
690630	410104	Beatriz
690630	411585	Marquesa Carlota
690630	412179	Suely
690631	74219	Mary-Louise Bradnick
690632	33190	Constance
690633	162426	Ella Mae
690633	296238	
690634	79010	Additional Voices
690634	311888	
690634	330323	Thugs #3
690635	118108	Performer
690636	403644	
690637	128393	Kate Ross
690637	145835	Claudia
690637	283177	Edith Burton
690638	359086	Charley
690640	69167	Herself
690641	186217	
690642	104771	Swiss entry (16th place)
690643	24897	Karin Twerdy aka Maria Tallan
690643	33107	Filmstar
690643	40390	Julia Martens
690643	40406	Désirée
690643	40415	Ilona
690643	74683	Arabella
690643	77303	Vera Meiners aka Gloria O'Con
690643	78533	Singer
690643	79165	Herself
690643	103132	Katharina Alexandrowna, seine
690643	108053	Marguerite Lebon
690643	122766	Gabriela
690643	126839	Olga
690643	134802	Hanna Holberg
690643	136922	Astree Sternhjelm
690643	142018	Magda von Schwartze
690643	144135	Maria Stuart-Mary Queen of Sc
690643	166078	Zarah Leander-Singer
690643	174563	(unfinished)
690643	186984	Zarah Leander
690643	189840	Grace Collins
690643	217740	(unfinished)
690643	224078	Herself
690643	262954	Carmen Daviot
690643	314996	Zarah Leander
690643	324619	Vocal-Valse des Souvenirs
690643	336590	Zarah Leander
690643	341112	Clara Schumann (Unfinished)
690643	354059	Singer
690643	354439	Herself
690643	360927	Antonia Corvelli
690643	366518	Zarah Leander
690643	375986	Gloria Vane
690643	377298	Tora Diidiken
690643	391294	Zarah Leander
690643	391696	Herself
690644	127380	Lisa, sorella di Giacomo
690645	119966	Anna
690646	17061	
690646	21069	Cremilda (segment "A Honestid
690646	43756	Nena (segment "Sábado Quente"
690646	55340	
690646	103441	Mother
690646	103851	Maria
690646	135443	
690646	196662	Assunta
690646	211018	
690646	222191	Boca de Caçapa
690646	233807	
690646	244976	(segment "O Método")
690646	254240	
690646	256780	Pequenina
690646	285580	
690646	333693	
690646	341157	
690646	382676	Ju
690646	383247	Lili Bolero
690646	383717	Lamparina
690646	398819	
690648	352130	Fidela
690649	23147	Host
690649	104742	Luxembourg entry (4th place)
690649	104747	Luxembourg entry (1st place)
690649	216959	Herself
690650	39865	Twin
690651	2723	Cafe Patron
690651	21630	Natalia
690651	45825	Beth
690651	102674	Coffee Shop Patron
690651	144612	Stripper #2
690651	221267	Catholic School Girl
690651	229826	Psych patient
690651	252832	
690651	272970	Beach Dancer
690651	279460	Girl on pool tire swing
690652	158138	Laser Model 3
690653	54167	
690653	191437	
690654	65595	
690655	224173	Lizzie, Dr. Bob's maid
690655	235541	Willa
690655	286129	
690656	197755	Schoolgirl
690656	342597	Schoolgirl
690657	117292	Stacey
690658	3311	(segment "Dans la décapotable
690658	38170	Gina
690658	96080	Birgit
690658	134643	Dr. Ludmilla Nerovna
690658	229019	
690658	346548	Françoise
690658	375234	La cantante
690658	378789	Herself/Panelist (2003-2004)
690658	390670	Herself
690658	401112	Host (1995)
690658	407518	Host (1st episode, substitute
690659	226397	
690660	145415	Linda
690660	319542	Jane- Hairstylist
690660	407371	Herself
690660	409616	Nyleen (1987-1992)
690661	48870	Nina Cavalini (singer)
690661	240905	Madame Dilyovska
690662	199114	Fan
690662	367093	Bubblegum Girl
690663	391509	Ramona (Series 2-9) (1981-198
690664	61673	Megan
690664	231900	Girl in Restaurant
690664	384366	Lucy Dolan (1996; 1997)
690665	382715	Weather Forecaster (2002- )
690666	151742	Lisa Hynes
690666	348237	Lisa
690667	159933	Our gang member
690668	145415	'No' Person #5
690669	15861	Anchorperson
690669	41063	Herself
690669	93217	Sorority Sister
690669	109530	Herself
690669	257649	Miss August
690669	257682	Herself (Playmate)
690669	257815	Miss April 1991
690669	296353	Herself
690669	303282	Herself
690670	5772	
690670	124201	Una ragazza del convento
690670	243303	Un' allieva
690670	328210	Un'orfanella dell'istituto
690671	108288	Valerie Brewster
690672	152947	Student
690673	19403	
690674	403737	Síle Nic Pháidin
690675	5415	
690675	5492	
690675	5826	
690675	6017	
690675	19134	
690675	24251	
690675	30441	
690675	33390	
690675	46258	
690675	57220	
690675	59684	
690675	64497	
690675	69453	
690675	75441	
690675	77713	
690675	105177	
690675	109914	
690675	117166	
690675	128374	
690675	143161	
690675	145969	
690675	146098	
690675	151510	The Girl
690675	162865	
690675	168566	
690675	178362	
690675	186611	
690675	192127	Papinta
690675	192128	The Little Organist
690675	194744	The Burglar's Girl Next Door
690675	200876	
690675	206644	The Ward
690675	245620	
690675	256131	
690675	258211	Jenny Strong
690675	269298	
690675	269669	Clarice
690675	276311	
690675	280967	Alice (squatter's niece)
690675	287716	
690675	299911	
690675	315744	
690675	319717	
690675	327458	Eloise
690675	331931	Jane Dinsmore
690675	336586	
690675	347505	
690675	347717	
690675	352734	
690675	356769	
690675	363006	
690675	366218	
690676	337121	Maggie
690677	114311	Zoe
690678	73607	Counter Attendant
690679	138220	Nun
690680	2261	Herself
690680	8000	Irene
690680	11344	Kate Keller
690680	14158	Abigail Adams
690680	34903	Herself
690680	57492	Herself
690680	63146	Zoe Jensen
690680	80715	Ann
690680	92847	Vivian Emery
690680	109832	Edna Humphreys
690680	117223	Mary Lou
690680	136054	Mike Yardner
690680	150673	Dr. Marie Teller
690680	153119	Lee Jackson
690680	163232	Janet Walters
690680	175221	Marion Mahoney
690680	188483	Elsa
690680	190078	Beth Hudler
690680	192067	Eleanor 'Teach' Tennant
690680	193411	Sheridan
690680	211394	Skipper
690680	220018	Olivia Walton
690680	222651	Judy Smart
690680	232017	Herself
690680	236870	Mary Benjamin
690680	248386	Rachel Kirby
690680	255268	Rosemary Sidney
690680	259411	Narrator
690680	261986	Washington Gov. Andrea Stanna
690680	281540	Amelia
690680	327187	
690680	336754	Dr. Bell
690680	358865	Olivia Walton
690680	358866	Olivia Walton
690680	358867	Olivia Walton
690680	364832	Lynn Caine
690680	383711	
690680	392102	Dr. Marie Teller
690680	395807	Trish Carlin
690680	399832	Nurse Mary Benjamin
690680	400463	
690680	410568	Olivia 'Livie' Walton (1972-1
690681	96288	
690681	187627	Madre en escuela
690681	202735	Leonor
690683	3177	Dimitri
690683	311609	Amy Whitaker
690683	326602	Guest
690684	31189	Herself (NBC Team)
690684	31190	Herself (NBC Team)
690684	93156	Doris Kessler
690684	238625	Jenny
690684	342027	
690684	358814	Co-Host
690684	358822	Herself
690684	381047	Nurse Susan Webster (1978)
690684	387851	Interviewer (1990)
690684	401344	Host
690685	5152	Lynette Gummer
690685	41915	Tammy
690685	73928	Stacey
690685	171278	
690685	242044	Kellie
690685	342464	Tina Taylor
690686	28482	Prairie Whipple
690687	306181	Sally Brown
690688	155912	
690689	139800	Charleston Dancer
690689	198539	Sally Kettle
690689	198541	Sally Kettle
690689	198542	Sally Kettle
690689	198544	Sally Kettle
690689	198545	Sally Kettle
690689	309204	
690690	84956	Babs Coleman
690691	295456	Ruth Chester
690692	408959	Host
690693	34896	Girl Victim
690693	346198	Movie Mom
690694	38512	Hattie
690695	365291	Letty Noon
690696	79807	Laura Keene
690696	90316	Suzanne, pickup girl
690696	165095	Teacher
690697	97348	Jenny Kildair
690698	300814	Young Marjorie
690699	50240	Restaurant Attendant
690700	92685	Jodie
690700	295299	Linda
690701	96681	Abused Woman
690702	114708	Wife No. 1
690702	247493	Herself
690703	105881	Sue Gauger
690704	90429	Screaming Woman
690705	299784	Sadie
690706	45893	
690707	68505	Traci
690708	228164	The Muddy River Cloggers
690709	99288	Herself
690710	194483	The Lord of the Dance Troupe 
690711	74283	
690713	43487	
690716	402020	Peggy Lee Leather
690716	411367	Thug
690717	71171	Herself
690718	65757	Woman Teacher
690718	217955	
690718	266618	Woman in Police Station
690718	403777	WPC Brenda Whatmough
690719	313951	Tonya
690720	201506	Herself
690721	154629	Judge
690722	71171	Herself
690723	303501	Waitress
690724	246221	Sea-Wind
690725	214971	Tricia
690726	134077	Hammersmith's Daughter
690727	217171	Julie
690728	313938	Vivian
690729	199525	Crew Cab Owner
690730	80617	Second photo receptionist
690731	228164	The Muddy River Cloggers
690732	387029	Pam Matson
690733	257610	
690734	309153	Nurse Jackson
690734	410229	Winnie
690735	196706	Cheer Coach
690736	106461	Woman on Phone
690736	182963	Karen Allen
690736	323043	
690736	355670	Cynthia
690736	389858	Vanessa (1991)
690737	137200	Children at Party
690738	17679	Mrs. Devlin
690738	28652	Madge Dowding
690738	50476	Dublin Cafe Woman
690738	68450	Unemployment Official
690738	116796	Mrs. Sweeney
690738	125557	Mrs. Duggan
690738	141799	Juliane Tesman
690738	149755	Helen Garvy
690738	217411	Widow
690738	241563	
690738	311196	Mrs. Doyle
690738	330771	Farmer Woman
690738	388209	Hannah Finnegan (1990-2003)
690738	400999	Mrs. Doyle
690738	403415	Mrs. Murphy
690739	206795	Clarissa Lester
690740	299644	Receptionist
690741	285076	
690742	409092	
690743	296552	Our Guests at Heartland
690744	43023	Adelaide
690745	45046	
690745	49080	
690745	65654	
690745	95824	
690745	108798	
690745	139217	
690745	150148	
690745	150889	
690745	188171	
690745	210279	
690745	232452	
690745	244339	
690745	263075	
690745	325072	
690745	337080	
690745	338293	
690746	134603	La serveuse
690746	273673	Adeline Mourrail
690746	390436	Mme Robin
690746	396370	
690746	409760	Hélène Fontaine
690746	410139	
690747	97206	Prospective Roommate
690748	229186	
690749	281211	
690750	325791	
690750	361997	Ines Voitle
690751	270410	
690752	236972	Toy Soldier
690753	165582	Mary
690754	9884	Juana
690756	31018	Extra: Metro
690757	78365	Renée Lebas
690758	33581	Enfant
690758	167228	Sophie à 8 ans
690758	376933	Clémentîne
690759	283023	Mme de Marijave
690759	388141	Mme Boucq
690760	33395	Believer
690761	347795	
690762	119328	Drunk Girl
690763	10056	Doctor
690763	14912	Prof.ssa Pistoiesi
690763	33501	Marisa Cavedoni
690763	43768	
690763	55482	First Salina Couple
690763	56929	Signora girotondista
690763	111336	Betta
690763	127979	Barbara
690763	222856	Giornalista
690763	223117	
690763	248513	Segretaria di Stefano
690763	249249	Portiera
690763	252749	
690763	262699	Miriam
690763	355660	Elena
690764	65041	Najat
690764	198757	
690764	361592	Hala
690764	392548	Elmo (1990-)
690765	126035	
690765	363953	Marcia
690766	61808	Natasha
690766	383959	Solange
690767	244202	
690768	26831	Hot Tub Girl
690768	34637	Herself
690768	35532	Drummer
690768	37686	Candy
690768	57946	Herself
690768	87018	Virgin Sacrifice
690768	98870	Sunny
690768	98878	Penelope Bestweller
690768	98881	Swimwear model
690768	98885	Bikini girl
690768	140907	Bimbo
690768	155852	Herself
690768	160453	Nancy
690768	163671	
690768	165101	Girl in van
690768	169692	Liza
690768	202366	Census Taker
690768	222361	Pizza Screamer
690768	222362	Chased Woman
690768	232933	Nudist
690768	235471	Happy Birthday Girl
690768	238612	Shower Girl
690768	256086	
690768	258888	Margaret
690768	290389	Hogs & Hogettes
690768	302910	Sandy
690768	306990	Herself
690768	306991	
690768	338199	Rita
690768	346206	Ginger Bronsky
690768	352968	Herself
690768	396076	Herself
690769	200498	Telephonist
690770	145415	Mary
690771	150616	Mr. Martin's Daughter
690772	138837	Anchorwoman
690773	349689	Juror
690774	61418	Hooker
690775	3169	French Actress
690775	17090	La Grande Demoiselle
690775	25142	Fanny Lacour
690775	51826	Marguerite de Beaufort
690775	51965	Marie
690775	56044	Yvonne
690775	60506	Flora
690775	62816	Marie de Verneuil
690775	95342	Malou
690775	104227	Aurélie Lambrusque
690775	118032	Tonia
690775	125857	Anna Held
690775	147391	Anni
690775	167200	
690775	198325	Jacqueline Vermorel
690775	203948	Françoise Delanglade
690775	223019	Jane
690775	227595	Emilie Pellapra
690775	248980	Collette
690775	248996	Gisèle
690775	251301	La pharmacienne
690775	268493	La corregidora
690775	268876	
690775	292358	Marguerite
690775	296517	Jennie Lee
690775	346710	Monique Wilson
690775	353938	Peggy
690775	356983	Gloria
690775	357522	
690775	377945	Eliane
690776	119215	Erzsi
690776	155493	
690776	189804	Jennifer
690776	225131	Gisela M.
690776	244197	
690776	272609	Jennifer
690777	284224	L'infirmière
690778	346819	
690779	404577	Devochka
690780	44392	Xenia
690781	17432	
690781	204385	
690781	352955	
690782	237878	
690782	316429	
690782	341217	
690782	374833	
690783	82492	
690783	180180	
690783	244046	
690783	327330	
690784	179722	
690784	258638	
690785	196338	
690785	373061	
690786	65424	Margot
690787	39191	
690788	35933	
690788	176075	
690788	197466	
690788	340431	
690789	237202	Jana's Mother
690790	258831	
690791	357435	
690792	315814	
690793	83184	
690794	23865	Ginou
690795	46933	Martine Sartet
690795	111142	Gertrude
690795	195240	Olga
690795	253569	
690795	349542	Grassu's Secretary
690795	376901	Monique
690796	339796	
690797	62815	
690798	156568	
690799	316429	
690800	137419	
690801	151365	Amy
690801	245236	Kerri
690801	263057	Missy
690802	403014	Baby Elizabeth Montgomery
690803	403014	Baby Elizabeth Montgomery
690805	276309	La femme d'Alain
690806	25103	
690807	58220	Femme couple
690808	275349	Margaret Morgan
690809	280333	
690810	123076	
690811	397158	(segment "Point d'honneur, Le
690812	126430	
690812	167134	
690812	173151	
690812	250637	
690812	343476	
690812	360973	
690813	167210	Yvette Dagenais
690814	367775	Karen's Party Guest
690815	228650	
690816	188683	
690816	346611	
690817	240428	
690818	344524	Herself
690819	64801	Vangie
690820	43551	Psychologist
690820	166663	Jennifer's Mother
690820	183730	Dr. Sachs
690820	189916	
690820	199759	Ruth Novak
690820	239069	Dora
690820	263283	Ocee, a blind woman
690820	330561	The Nun
690820	389561	Frances 'Frannie' Alicia Ligo
690820	398208	Frances 'Frannie' Alicia Ligo
690820	407176	Elizabeth Robinson
690821	197072	The Drawer
690821	265698	Herself
690822	159727	Claire Lescot
690822	198866	Lady Macbeth
690824	17602	
690824	192438	Layal
690824	319110	
690825	51571	
690826	59863	Moira
690826	196920	
690826	245112	Maggie (singing voice)
690826	287781	Lenny the Camera Person
690826	299870	Cass
690826	305978	Eliza Hunt
690826	311516	Lana
690826	346408	Aisha
690826	401610	Kari
690826	401654	Robin Taylor
690827	232064	Concert Joe
690828	5754	
690828	44794	
690828	55943	Maria La Pompadour
690828	57246	Laura
690828	58066	
690828	74556	Gloria
690828	74625	Nora
690828	74963	
690828	76114	
690828	82346	
690828	83134	
690828	100931	Female vampire
690828	103392	
690828	115752	
690828	121225	
690828	121962	
690828	206999	
690828	221989	
690828	222016	Pilar/Kitty
690828	234429	
690828	239935	
690828	253280	Renee de Johnson
690828	255510	
690828	266508	
690828	288804	
690828	293571	
690828	313094	
690828	328885	Blondie
690828	351919	
690829	135338	Mme Sirois
690830	115432	Gina
690830	290996	Maria
690831	107288	Mandi
690832	42711	Zombie Cathy (segment "Eye")
690832	52318	Tracy
690833	258479	
690834	280663	Petrovich's Girlfriend
690835	235625	Tracy
690836	247977	
690838	21617	Rose
690838	31176	
690838	140309	Sarah Ménard
690838	196820	
690838	378858	Paméla Lalonde
690838	385008	Bella Cormoran
690838	389304	Mado
690838	402734	
690838	403898	Fifine Touchette
690838	407807	Rosanna St-Cyr
690839	102581	Trolls
690840	325021	
690841	377799	
690842	96973	Girl #3
690843	10619	
690843	11157	
690843	57703	Amanda
690843	92022	
690843	126544	Jamilla
690843	132181	Erica
690843	164984	Marilyn
690843	194638	College Girl
690843	208088	Girlfriend
690843	230843	Breathless
690843	272661	Hippie girl
690843	285729	Amanda
690843	293097	Amanda
690844	353180	
690844	376693	
690845	291988	Grace Farnie
690846	83276	Helen
690846	284257	Rosalie Larmolière (segment "
690846	345125	Agathe
690847	256768	Sandy
690848	196700	Yvon
690849	190506	Cara
690849	405073	Head Nurse
690850	190273	Cristin
690850	223815	Tracy Fletcher
690850	287285	Melanie
690850	296807	Cindy Andrich
690850	378939	Jenna
690850	398704	Tracey Thompson
690851	208870	Marta Gideon
690852	8063	
690852	10376	Jeannie
690852	17534	Natasha
690852	19724	
690852	20201	
690852	24680	Baheyya
690852	86216	
690852	109098	
690852	123923	Hobba
690852	187577	
690852	198653	
690852	214130	Daughter
690852	226082	Dr. Fatma
690852	226670	
690852	252809	
690852	262209	Galia
690852	297467	Singer
690853	225840	
690853	266480	
690853	386168	
690853	395400	
690853	397440	
690853	397545	
690853	397547	
690853	400597	Dalva
690853	403747	
690853	404185	
690853	411579	Helena
690853	412270	Joana
690854	60027	
690854	63691	
690854	110023	Mme Chouya Barca
690854	325062	
690855	34707	Joan
690856	252141	
690857	69522	La vendeuse des pompes funèbr
690858	132709	
690859	378735	Cody Meyers
690859	407356	Isabelle Jobin
690859	410252	Évelyne Boivin
690860	261777	
690861	365574	Samantha
690862	6397	Gilberte
690862	15083	Impresario
690862	15126	
690862	19322	
690862	43676	
690862	69987	
690862	86794	Monique
690862	112845	
690862	113112	
690862	118032	
690862	124357	Mauricette, une serveuse
690862	132066	
690862	132984	Une employée au bordel
690862	132995	
690862	148677	
690862	149609	Jacquotte
690862	169648	
690862	199328	
690862	205213	Sophie
690862	220500	
690862	224904	
690862	225615	Mireille
690862	249360	
690862	260947	Marianne
690862	350083	Dame D'Honneur
690862	396617	
690863	5279	Alice
690863	15123	
690863	29594	Elvire
690863	42977	Milady
690863	53894	
690863	54060	
690863	57284	
690863	57305	
690863	59264	Annie
690863	63686	Norette
690863	63691	Odette
690863	71824	
690863	84105	Julie Clary
690863	88059	Roberte
690863	127461	Maud Wilcox
690863	132709	
690863	148706	Gracieuse
690863	156277	
690863	205646	Minna Lévy
690863	205909	Lise
690863	206793	Donna Carmela
690863	212778	Nadia Fédor
690863	216048	Sarah
690863	218280	Angèle Grégoire
690863	220473	Madeleine
690863	225060	
690863	236620	
690863	247314	Mme Tallien
690863	280871	Jeannette
690863	281129	Nine
690863	294540	Queen Tegi
690863	309023	Mme Gontcharoff
690863	337030	
690863	344363	Giunone/Juno
690863	353381	Claudia
690863	375928	Claire
690864	339226	Léa
690865	274913	Himself
690866	268311	La petite fille
690867	363259	Trouble
690868	258113	
690869	142869	Prostitute Brushing Long Hair
690870	337025	
690871	116479	Madame Rozoy
690871	265716	
690871	282015	Fired Woman
690871	346711	Claudine
690872	2968	La mariée
690872	51418	Ginou
690872	61423	Nathalie
690872	164187	Lovely Rita
690872	198567	Young sexy girl
690872	217652	
690872	258895	
690872	268820	Christelle
690872	275665	
690872	278708	La pute du Gypsy
690872	303141	
690872	315454	Beatrice
690872	322760	Nora
690872	346417	Marcelle
690872	346760	La Jeune candidate
690872	382577	Maryse
690872	396042	Marie Richard
690872	402577	
690872	412266	Marion
690873	126755	Matron
690874	27324	Marjorie
690874	70224	Kirsten Wilson
690874	80691	Debbie Vanetti
690875	339268	Herself
690876	42125	
690877	6768	Mary
690877	102932	Bit part
690878	18598	Mother
690879	1780	Herself
690879	87418	Herself (Special Appearances 
690879	276237	Herself
690879	368712	Commentator
690879	399295	Herself
690880	80446	Lauren Fabian
690881	78865	Rose
690882	94312	Elisabeth
690883	245484	
690884	167197	Sunny
690886	342688	Ring Girl
690887	149753	Geneviève
690888	92934	
690888	193526	
690889	14570	Impertinent
690889	97809	Maid
690889	101890	Ana
690889	103630	Clienta
690889	212406	Recepcionista
690890	124824	Secretary #2
690890	158842	Mélanie
690891	91298	
690892	164688	La petite refugiee
690893	23687	Charlotte
690893	78340	Pauline
690893	96091	Marie-Hélène
690893	202701	
690893	251524	Isabelle Lefrançois
690893	270083	Julie
690893	384242	Catherine
690893	391935	Valérie Lepage
690893	396321	Snoro
690893	410628	Geneviève St-Pierre
690894	112882	
690895	351884	Girl
690896	392911	Mère de Vanessa
690897	240429	Femme du miroir
690897	284961	Vendeuse station-service
690897	318515	
690897	381430	La réceptionniste de l'hôtel
690898	38170	Employée aéroport
690898	72533	Shon
690899	386397	
690900	2809	Herself (Co-Presenter)
690900	35144	Una
690900	57663	
690900	79555	Clara
690900	110187	Herself
690900	127680	Herself
690900	139023	Donnie
690900	139199	Andy Stewart
690900	201811	Herself
690900	309127	Morgana
690900	337337	Claire Hawkner
690900	361068	Lisa
690900	367512	Charlotte
690900	368997	Lauren Goodhue
690900	374616	
690901	77457	Maid of Honor
690902	381200	Renatinha
690902	384118	Lila (1999-2000)
690903	44380	Christine's Aunt
690904	249579	He-He-Hello Trio
690904	308291	
690904	340116	Beggar #2
690905	117945	Renée Brancourt
690906	190970	
690907	77144	Mrs. Vandermeer
690908	26470	Anne-Laure Grumeau
690909	2814	Alexandre's mother
690909	5158	Mme Deschanel
690909	11711	La secrétaire
690909	14354	Hélène de Sceez
690909	20070	La Prostituée
690909	22191	Florence Rouvier
690909	23824	Adrienne
690909	33581	Josette
690909	42874	Mme Berthaud
690909	51227	Bérénice
690909	52909	Rose Beuret
690909	66226	La comtesse Louise de Cléramb
690909	69933	Paulina
690909	71827	Irène
690909	72058	Hortense Hulot
690909	83257	Léopoldine
690909	83381	Jeanne
690909	91756	Sylvia
690909	94245	Marthe Mere
690909	96021	Myriam
690909	100342	Woman in red
690909	101222	Martine
690909	106286	Edith
690909	107062	
690909	120982	Grouchenka
690909	166169	Betty
690909	191470	Marion
690909	196707	Sophia
690909	197306	Lulu
690909	199384	Laetitia 'Madame Mère' Bonapa
690909	200965	Madame Gouin
690909	202084	Béline
690909	220498	Gisèle
690909	223034	Freval
690909	237335	Nina Sidowski
690909	258314	Ginette Maurey
690909	262936	Madeleine
690909	278910	Gisèle Moreau
690909	288042	Sara
690909	288298	Jancis
690909	309698	Germaine Lapuy
690909	314967	Jeanne Stirn
690909	336303	
690909	337024	La mère
690909	345290	Madame Dehousse
690909	346550	Dalbine
690909	346552	Marie Bonnet
690909	348578	Mme Archambaud
690909	356990	Hélène
690909	357116	La duchesse
690909	377472	Sophie
690909	384216	Cécily
690909	384288	Aude
690909	391621	Herself
690909	393731	Joséphine de Beauharnais
690909	395492	Catherine Berteau
690909	397192	Alexandre's mother
690909	397200	La baronne
690909	398042	Mme. Reine Levasseur
690909	398075	Céleste de Chateaubriand
690909	399757	Baronne de Saint-Gely (1971-1
690909	412201	
690910	19839	(segment "Pornoscopie")
690910	24314	Bérénice
690910	33892	Ben/Benedict
690910	63646	
690910	96197	Marguerite
690910	98958	Psychiatrist
690910	100358	Michèle
690910	100364	La concierge
690910	111041	
690910	148682	Cécile Delvert
690910	157325	Lady Witney
690910	159045	Voix de la réception
690910	159691	La mère
690910	198558	Le femme médecin
690910	202516	Yvonne de Gaulle
690910	202699	Veronika
690910	217660	Clara
690910	225362	Lisbeth
690910	240428	Rose
690910	261792	L'infirmière
690910	267024	Sophie Volland
690910	286324	Herself
690910	309975	Augustine jeune
690910	332211	Herself
690910	345440	La mère de Fabienne
690910	346682	
690910	346757	
690910	354588	Lolotte
690910	377068	
690911	51500	Doris (21-29)
690912	249209	
690913	284224	Chloé, enfant
690914	241404	Harriet the Hairdresser
690915	412201	Mme Alberti
690916	26470	Anne-Sophie Grumeau
690917	265775	ICU Nurse #1
690918	112888	
690919	62415	Chloe
690920	159599	La fille sondage
690921	53087	
690921	124534	
690921	199914	
690921	199956	Voice
690921	243685	
690922	346512	Fille de René
690923	179225	Aunt Tanya
690923	256677	Vakulyna
690923	258590	Evgeniya Fyodorovna
690923	374855	Masha, a gypsy
690924	86470	Tolland Servant
690925	17488	Marie
690925	22191	
690925	89469	
690925	266153	
690925	312220	Mme Maurin
690925	346536	Isabelle
690925	349740	Cymothoé
690925	380864	Marguerite, femme d'Odon
690926	37317	Fifi
690927	156150	Campsite owner
690928	376999	
690929	132594	Monique
690930	345243	Infirmière
690931	240444	La Rousse sur le toit brûlant
690932	35320	Herself
690933	326178	Javiera
690934	219257	
690935	217850	Sa femme
690936	364180	Co-Author, Le Flambeur: The T
690937	67761	
690937	92043	Claire
690937	225496	
690937	279110	Marie
690937	346674	Mme Dupuy
690938	10051	Mother
690939	160622	Herself
690939	254043	Dancer
690939	261799	
690939	261800	
690939	316067	Cindy 'Vita' Minh
690940	377243	
690941	265101	Bridal Shower Lady
690942	87802	Girl on Bike
690943	87802	Blond Bombshell
690944	301923	Maria the Maid
690945	68815	
690945	90676	
690946	165061	Teacher
690946	166662	Moravcová
690946	265139	Stupková
690947	388506	Himself
690948	235756	Teresina, la cameriera
690949	336601	
690950	85601	
690950	268308	
690951	11787	Kona til Granlund
690951	48130	Stockholmsfarerens frue
690951	104253	Fru Neslund
690951	105364	
690951	322471	
690951	334256	Anna
690952	266333	
690953	346524	La religieuse
690954	285754	Anne (child)
690956	389224	
690957	93410	
690959	30638	Fara
690960	33893	Julie
690961	62918	
690961	352367	
690962	4660	
690962	170123	
690962	244124	
690962	374325	
690963	210010	Reporterin
690964	272440	Market Square Extra
690965	308246	
690966	28617	Amelia
690966	99018	Die Aufseherin
690967	6649	Tatjana Sassmann
690967	23731	La femme du linguiste
690967	25161	Journalist
690967	33459	Renate Botting
690967	59703	Charlotte
690967	65105	Diana
690967	70952	Chase Dellal
690967	84625	Bella
690967	100350	Schwester Clara
690967	115602	Greta
690967	115603	Greta
690967	126335	Gesche Gottfried
690967	157040	Josephine von Brunsvik
690967	169283	Ariane
690967	189547	Elsa Süßeisen
690967	189615	Schwester Ina
690967	211362	Gudrun
690967	225657	Corinna
690967	278496	Effie Zelt
690967	289508	Lotte Zimmer (jung)
690967	290046	Ilse Bonner
690967	290048	Oberstaatsanwältin Ilse Bonne
690967	290050	Ilse Bonner
690967	290070	Majola
690967	335715	Pola
690967	400353	
690967	404748	Helen
690968	364992	
690969	36676	Beamtin
690969	322504	Bankangestellte/Bank Employee
690970	2841	Mother
690970	116522	Liz
690970	160373	Observation Psychiatrist
690970	284526	Sandy Hooten
690971	181341	
690972	389280	Contessa
690973	24790	Faye as a Young Woman
690974	378661	Host/Herself
690975	181134	
690976	58510	Female Guard
690976	209457	Female Guard #1
690977	362650	Scum woman #2
690978	346159	
690979	311785	Herself (Make-up artist)
690980	273828	Car Thief Victim #2
690981	8152	
690981	224814	L'assistante de l'avocat
690981	240606	Mathilde
690982	185552	Judy Grant
690983	14002	Rachael
690984	8627	Jeannine
690984	15111	Catherine Berton
690984	23750	Une pensionnaire de la Maison
690984	51427	La passagère du train
690984	55532	Marie-Anne de Forbin
690984	55533	
690984	83391	Gisèle
690984	118093	Evelyne
690984	123274	
690984	129216	
690984	254152	Pauline Cardinal
690984	258529	
690984	287595	La petite jeune fille (Raymon
690984	324184	Nicole Gambier
690984	382584	Jeanne Paul
690985	12772	Court reporter
690985	145658	Hope
690985	189406	Hostest
690985	329933	Gina
690985	356952	Vanessa Adams
690986	106205	H. La Brette's secretary
690986	127992	
690986	170103	Nelly
690986	287598	Evelyne
690986	345292	Rossberg's Secretary
690987	286229	Femme U.V.
690988	395893	Herself
690989	251007	
690990	186224	
690991	65474	Murdered girl
690992	357045	
690993	38520	
690993	332274	La Tante
690994	268393	Femme médecin
690995	206601	Pauline's sister
690995	219518	Cric Briand
690995	294599	Zoé
690995	305327	Lulubelle
690996	248685	Aunt Élise
690997	2684	
690998	6399	Marietta
690998	13116	Maria
690998	23870	
690998	25137	Béatrice Webb
690998	26580	Zita
690998	28157	Hortense
690998	28958	
690998	30353	Mme Bouroche
690998	33528	
690998	47158	Graziella
690998	57377	Léa Lepicard
690998	57517	Lulu
690998	58311	
690998	59232	Dolorès
690998	59239	Gina, la vieille
690998	60525	Inès
690998	62437	L'habilleuse
690998	62441	
690998	63722	Zozotte
690998	68701	
690998	70709	Denise Saillens
690998	71886	
690998	82375	
690998	83229	Marcelle Levasseur
690998	91702	Manu
690998	94395	
690998	96066	Une des deux poules
690998	96094	Nina Vermillon
690998	97073	
690998	99362	Madame Blin
690998	100053	Client
690998	100170	Fanny
690998	100353	La mère de Marcel
690998	111036	Aurélie Castanier
690998	111847	(segments "Delitto" & "Castig
690998	114760	Rose
690998	119233	Viviane
690998	123685	Ginette
690998	123873	
690998	124357	Mme. Scoppo
690998	124835	Fanny
690998	132236	Gonasta
690998	132778	Mother
690998	132814	
690998	132998	Rose
690998	148654	Romilda Pescatore Pascal
690998	148707	Clara
690998	153882	Victoire
690998	156563	
690998	168101	
690998	195167	Lucienne
690998	195217	
690998	200374	Odette
690998	201167	Germaine
690998	210915	Ginette
690998	211641	
690998	214182	
690998	214794	
690998	216124	Stella
690998	225538	Viviane
690998	236600	
690998	238457	
690998	248257	Madame Cerise
690998	255931	Manon
690998	257212	Flora (segment "La Maison Tel
690998	258528	
690998	260433	Madame
690998	264436	Renée
690998	275531	Nina
690998	283142	
690998	321989	La Douairère
690998	336547	La petite femme
690998	339617	Fanny Bombance
690998	340372	Madame Hamilton
690998	341120	L'épicière
690998	345273	Madeleine
690998	346443	Raymonde
690998	349782	Marthe
690998	353920	Ginette
690998	356496	Félicie
690998	377659	
690998	396650	
690998	401319	
690998	405529	Henriette
690999	45619	Odile Tremblette
691000	333192	Cyrus Sweeny
691001	384386	Amalia Jacinto
691002	111682	
691002	124326	
691002	132735	
691002	155738	Sheila
691002	251532	Mlle Gauthier
691002	258250	
691002	337787	
691002	379805	
691002	409760	
691003	278137	
691004	358876	
691005	234576	Madame
691006	24683	Isabelle
691007	390670	Herself
691008	60965	
691009	24683	Solange
691010	377477	La journaliste
691011	85693	Soeur Gertrude
691012	77346	
691013	158556	
691013	169658	
691013	184632	Daphne
691013	376596	Rachida
691014	294628	
691014	353095	
691015	28566	Schöne 'Frau'
691016	370424	Truck driver
691017	691	Herself
691017	366640	Herself
691017	407699	Miss Blazeby
691018	59213	Une prostituée
691018	71828	
691018	85693	Soeur Marthe
691018	134616	Suzy
691018	207723	Prostitute
691018	225574	Alice
691018	388633	Victoire
691018	408651	Ernestine
691019	400681	Une vieille dame
691020	5895	
691020	125738	Magali
691021	377913	
691022	280520	
691023	255658	Marité
691025	238590	Nurse
691026	263804	Jean
691027	1140	Femme de la ferme
691028	201175	
691029	269742	Volsine maison verte
691030	257886	Young Tourist's Friend
691031	42213	Margot
691032	205535	
691032	227300	La femme de chambre
691033	249059	Agathe
691034	35351	The head nurse
691034	250664	Script Girl
691035	261478	Charlotte Faucher
691035	297929	Narration, French Version
691035	393894	Yoyo
691036	158614	
691037	103929	
691038	149753	Juliette
691039	345461	Femme luzerne
691040	253213	A Woman in Misery
691041	28237	Marie-Jo
691041	29414	La Guitoune
691041	67209	Luciana
691041	132743	Madame Bourriech
691041	140289	Mme Berthoux
691041	236814	Mathilde
691041	248415	
691041	249138	Agnès
691041	249293	La claustrophobe
691041	370059	Sandrine Bouchard
691042	345042	Sybille Chapelier
691043	26042	French version
691043	38084	
691043	380501	Khadafi
691043	381051	Arthur/Alexandre
691043	386922	Goten (French version)
691043	388973	
691043	399751	Nicolas
691044	140291	Sylvie
691045	321526	Peggy age 3
691047	57400	Ilva
691048	239280	
691048	383138	Ricky
691048	387573	Jimena 'Gigí' García Monet
691048	393478	Rosario Sánchez Alé
691048	397731	Magdalena Prado Calets
691048	409957	Teresa Villanueva (1998-1999)
691049	115362	
691050	33892	La nourrice
691050	83157	Elyane
691050	93606	Récitante/Narrator
691051	91769	Bidder
691052	140283	Médecin Anesthésiste
691053	349909	Snowflake/Brunnhilde
691054	165177	Sabine
691055	47130	Neighbor Woman
691055	55766	Beatriz Carranza
691055	70468	Spanish Woman
691055	72292	Pawn Shop Woman
691055	130354	Mama
691055	162955	
691055	199303	Felicidad
691055	213752	
691055	252049	Blanquita
691055	258495	
691055	294858	
691055	301393	Mrs. Castanho
691055	378037	
691055	400236	Carmen Medina (1986-1987)
691056	107527	Pauline
691057	105883	Doña Pervertum
691058	231638	
691059	18641	Alejandra
691059	273948	
691061	27912	
691061	146381	Mimi-Pinson
691061	217385	
691062	251007	
691063	120887	Anna
691063	179316	Voyka
691063	262966	Françoise
691063	321801	Sylvie
691064	285499	Ismene
691065	33063	Stacy
691065	82046	
691065	121512	
691065	208478	Model
691065	263392	Jessica
691065	271344	Tinka
691066	384842	Augusta Gorme
691067	214961	Woman
691067	330240	Mrs. Oaks
691068	55958	Lola
691068	57311	
691069	311953	Presenter
691069	395764	Herself - Presenter (1999-200
691070	65532	Helen
691070	307566	Young Woman on Tube
691070	405885	Various roles
691070	406345	
691071	390410	Agneta (1999)
691072	284916	Tatania, the Fat Woman
691073	185659	Corporal
691074	187918	Herself
691075	373856	
691076	310129	Tania
691077	114661	Ben and Edna's Daughter
691078	157437	Herself
691078	367883	Herself
691079	125157	Nadine Treibel
691080	63693	Barbara
691081	197758	Donna
691082	326192	
691083	5493	
691083	7963	
691083	20686	
691083	20841	
691083	30467	
691083	32213	Juana Toya
691083	39493	Zoldene
691083	42429	Velma Vrooman
691083	43468	Francesca Taft
691083	50215	Celeste St. Jean
691083	61972	Mary Ellis
691083	73105	The Cricket's Mother
691083	88900	Christine Hall
691083	91951	
691083	99832	
691083	116722	
691083	120637	
691083	133259	Lady Holmhurst
691083	133889	'Seattle' Lou
691083	141486	Elinor
691083	145830	
691083	146034	
691083	146245	
691083	152863	Bessie Dupont
691083	155865	Mrs. Ardrath
691083	171021	
691083	172374	Bertha von Neigle
691083	175611	Miss Morgan
691083	184048	Margaret Dennis
691083	191801	Cousin Elsa
691083	192138	Mrs. Billy Hardwick
691083	192162	Virginia Baird
691083	194465	Undetermined Role
691083	194466	
691083	196151	
691083	206088	Mrs. Wilson
691083	206653	
691083	207199	
691083	214147	
691083	216801	
691083	216826	Mrs. Stanley
691083	218939	Hilda
691083	221786	
691083	224096	Clara's Mother
691083	230711	Marie Beauchamp
691083	236668	
691083	250545	
691083	251170	
691083	254565	
691083	256114	
691083	259766	Lady Osterley
691083	263526	
691083	264204	Mlle. Sari
691083	274414	Katherine Newman
691083	276181	Nell Jerrold
691083	277819	Blanche Dillon
691083	301652	Miss Summerville
691083	309712	
691083	311875	Sonia Maroff
691083	327607	
691083	327998	
691083	337133	
691083	343003	The Duchess
691083	345955	
691083	354919	Violin Maker's Wife
691083	360227	Mrs. Nevill
691083	360631	
691083	365057	Gretchen Barker
691083	367387	
691083	370625	Señora Esteban
691083	371855	
691084	68111	(EastEnders segment)
691084	78018	(segment "Kinky Sex", "Babysi
691084	109590	Hysterical UN Woman
691084	143646	Herself
691084	153646	Herself
691084	153647	Herself
691084	154368	Herself
691084	209464	
691084	307566	Cop
691084	379125	Catriona (3 series)
691084	384814	Herself
691084	391008	Flossie
691084	391332	Various roles
691084	393191	Various roles
691084	395722	
691084	397788	Herself
691084	398944	Various roles
691085	54889	Argine
691085	107413	
691086	169892	Ruby Bates
691087	8631	Belle
691087	221255	Shirley Elias
691087	237908	Karen
691087	261985	Catherine
691087	277114	Dr. Billings
691087	367878	Lt. Gail Polson
691087	381737	Maeve Rafferty
691087	382419	Joan Anderson (1987)
691087	387392	Carol Wright
691088	345890	
691089	65172	Clara
691090	33398	Rhonda
691090	45505	First Prostitute
691090	80693	Irene
691090	109613	Detective Chenko
691090	113474	Judy Wheelen
691090	134333	Vivian Enderby
691090	176969	Nancy
691090	177232	Amber
691090	202510	Coral Davis
691090	219208	C.W's Mum
691090	278476	Pauline
691090	304916	Sally
691090	323717	Lydia
691090	346216	May
691090	366427	Jenny
691090	383882	Jennifer Parsons
691090	391774	Angela Scott
691091	84492	Waitress
691092	207440	Texas Wife
691093	142417	Tina
691094	14813	
691094	22642	
691094	24890	
691094	53871	
691094	56058	
691094	70064	
691094	74569	
691094	77752	
691094	80247	
691094	205857	
691094	208848	
691094	210446	
691094	248234	
691094	252065	
691094	273663	Graciela Aldonso
691094	294087	
691094	300755	
691094	307720	
691094	326297	
691094	355747	
691094	378439	
691096	243712	Elena
691097	52942	
691097	94837	dancer
691098	378362	
691099	3504	
691099	12021	
691099	17744	Aunt Francesca
691099	96360	
691099	96380	
691099	115732	Interlocutor
691099	139896	
691099	146504	
691099	148037	
691099	151800	
691099	212407	
691099	243614	
691099	253384	
691099	269581	
691099	284318	Voice in off
691099	292910	Mendy Milford
691099	293578	
691099	334448	Ema
691099	334677	
691099	339165	
691099	345028	
691099	357004	
691099	378470	
691100	243712	Diwata
691100	370855	Tiger Lily
691100	382126	Lyrica Luna
691101	48522	
691101	172739	
691101	250654	
691101	284521	
691102	233682	
691103	376866	Rosa Lauri
691104	277498	Herself
691105	393946	Peggy Tran
691105	404112	Tai-Tai
691106	233856	Heathen Biker
691107	32940	Candy Spelling
691107	82662	Fiber Op Girl
691107	110038	Lynn McAllister
691107	114260	Kelsey Innes
691107	155259	
691107	158964	Elaine Croft
691107	162462	Heather McNeill
691107	171093	
691107	176940	Celena
691107	185568	Mermaid
691107	223642	Blanche Peterson
691107	247571	F.A. Charlene Davis
691107	252371	Herself
691107	252382	Model
691107	255523	Alex
691107	272602	Vicky
691107	316090	Christine (segment "Disco Inf
691107	360355	Ultimate Woman
691107	360497	Molly Lasch
691107	374282	Wendy Barnet
691107	380218	Doyle (2004-)
691107	381442	Dawn Masterton (1999-2000)
691107	388476	Mimi Chandler
691107	392983	Alex Monroe (2001-2002)
691108	245625	Paddleball Player #2
691108	269844	Evelyn
691108	364189	Julia North
691108	379010	Carla (1986)
691109	283938	
691110	378882	Presenter/Reporter
691111	280279	The Transylvanians
691111	411794	Katy O'Rourke
691112	307463	Cranky neighbor
691115	334227	Wendy Miller
691116	161841	Barbara Wood
691117	303176	Ludovica
691118	94238	Barbara, TV character
691118	219459	Commissaire Bonatti
691118	328433	Danièle
691118	404127	Saori
691118	405972	Virginie
691119	63662	La servante du pont
691120	405395	Herself
691121	304123	
691121	405395	Herself
691122	38	Carola's Mutter (Carola's Mot
691122	4759	Monique
691122	9526	
691122	12379	Lieschen
691122	16219	Johanna
691122	18831	
691122	35041	
691122	91261	Klara Gruber
691122	91262	Anne Edelhofer
691122	109502	Renates Mutter
691122	109504	Theres Fiala
691122	109505	
691122	122486	Vroni
691122	122493	Zenzi
691122	141954	Aunt Dete
691122	147518	Margd bei Kirschbaum
691122	153176	
691122	170679	Gastwirtin/Innkeeper
691122	170705	
691122	172976	Susi
691122	184276	Andrea
691122	189866	
691122	190790	Marie
691122	208449	Lizzy
691122	210049	Karin
691122	226252	
691122	237723	
691122	265653	Rosina
691122	275175	Irmi Steinbeis
691122	289853	
691122	290643	
691122	290701	
691122	294167	Johanna
691122	303730	
691122	314357	
691122	316522	Marisa
691122	348041	Poldi
691122	361443	Mathilde Wegner
691122	404454	Anna Kofler
691122	410813	
691123	34515	Terezka
691124	356418	
691125	279495	Lizard
691126	402158	
691127	119702	
691128	340403	
691129	363243	Mexican Waitress
691130	68390	Secrétaire-école primaire
691131	351710	Enfant
691131	387697	
691132	48227	
691132	178467	
691133	109093	Victim in Car
691134	63712	Wendy Ryder/Additional voices
691134	124244	Reiko Chiba
691134	244234	
691135	162085	Giulia
691136	19322	Sister
691136	22191	
691136	30890	
691136	32284	
691136	73186	
691136	85532	Madame Jaubert
691136	96235	
691136	97071	La mère de Louis
691136	125668	Marie de Lados
691136	167091	Antoinette Mammes
691136	169227	Mme Jessicaud
691136	198314	Mme Bertrand
691136	204339	
691136	205776	
691136	273671	Mme Roussel
691136	308305	
691136	345145	L'habilleuse
691136	353833	Nina
691136	354024	La retraitée
691136	381521	Mareka
691136	381628	Mme Pinolet
691136	382466	L'infirmière
691136	384787	Mme Robin
691136	385609	
691136	389271	Mme Clerjoux (segment "Louis"
691136	396622	Mme Olga
691136	400869	
691136	401939	La marchande
691136	404129	La cartomancienne (1968)
691137	3094	Suzon
691137	31702	Françoise
691137	43423	Camille
691137	76058	Melinda
691137	80174	Maria
691137	97060	Christine
691137	100469	Cécile Maudet
691137	106048	Berthe
691137	112854	Valérie Sergent
691137	113216	Anne
691137	116431	Charlie Léger
691137	153846	Johanna
691137	166346	Jeanne
691137	198534	
691137	200771	Marthe
691137	201143	La femme de ménage
691137	205678	Marianne
691137	206252	Samantha
691137	214283	Mima
691137	265347	Herself
691137	284143	Violette
691137	285753	Anna
691137	294295	
691137	307380	Billy's Mother
691137	319802	
691137	345312	Herself
691137	356498	Gabrielle
691137	397947	Cosette
691137	410144	Marianne
691137	410149	Joëlle
691138	347455	
691139	230841	Bonnie
691140	350084	Miss Tube Cathodique
691141	202607	Beautiful Legs Sister
691142	307478	Dame brocante
691143	361710	Friend at Wedding
691144	206691	New born baby
691145	29489	
691146	120088	Young Frida
691146	159413	
691146	193157	Party Guest
691146	197152	
691147	106723	Bettina
691148	222133	
691149	206622	Katou
691150	218580	Madame Drapeau
691150	385008	Flavie Bellavance
691151	10986	Julie
691151	21617	Gabrielle (40 ans)
691151	82407	Dominique Cossette
691151	196337	Dolorès
691151	229663	Idola St-Jean
691151	277217	Julie
691151	383664	Hélène Bèges
691151	387668	Caroline Langlois
691151	404018	VP Comm.Groupe Plus
691151	407812	Mireille Farley
691152	28528	La petite fille
691153	110065	
691154	83258	
691154	247606	Irma
691155	58898	Carrie Harlich
691155	295619	Stephanie
691156	16600	
691156	320426	
691157	135341	Matr
691159	236544	
691160	269753	
691161	257077	Bonne/Maid
691162	28681	La mère de Jeanne
691162	37891	Marthe
691162	53069	Madame Veber
691162	101171	
691162	120674	Mme Lepieux
691162	122838	La comtesse
691162	190970	
691162	195215	Mme Grand-Monault
691162	198549	Madame Billaumont
691162	318492	Mme Martinaud
691162	327545	Noémie
691162	353885	Madame Mavial
691162	377985	Amélie
691163	132568	
691164	44776	Nosál
691165	145170	Production secretary
691166	251456	Woman
691167	108709	Patsy Teeling
691169	356551	Silvie
691170	170933	Le femme de projection
691170	313787	Performer (TicTacToe)
691171	369821	Pauline
691172	110038	Reporter-Sandra Blacker
691172	385697	Mother
691173	166939	Friend #3
691174	206928	Mary
691175	37883	Mrs. Turner
691175	80050	Mrs. Kramer, Mitch's Mother
691175	81330	Psychiatrist
691175	139135	Bachelorette Party Guest
691175	148260	Nurse #2
691175	149448	Teacher
691175	187226	Donna Davy
691175	195640	Bridesmaid #1
691175	215507	Russian Waitress
691175	242091	Mother
691175	261454	Teacher
691175	309471	Woman in Ambulance
691175	316186	Jeanine
691175	329094	Groupie
691175	334234	Pittman Nurse
691175	336165	Mrs. Peck
691175	340864	Ester Lockhart
691175	347692	Mrs. Hawkins
691175	350700	Old Miss Logan
691175	358476	Quiet Woman at Restaurant
691175	402955	
691176	1436	Herself
691176	40721	Mrs. Dance
691176	41393	Reporter #1
691176	189403	Loti
691176	257646	Miss February
691176	257835	Miss May 1988
691176	257859	Herself
691176	305987	Professor Huan
691176	335254	
691176	361850	Herself
691177	378830	Hostess (1984-1987)
691178	58457	Yuen
691179	228493	Jenna
691180	315627	Sister number 5
691181	62787	Betz
691181	109530	Herself
691181	125425	Herself
691181	159012	Iris
691181	184829	
691181	186207	Laura
691181	257618	Herself
691181	257655	Herself
691181	257834	Miss March 1996
691181	257866	
691181	303447	Bathing Suit Girl
691181	354164	Janette
691181	358146	Lisa
691181	396616	Traycee Banks
691182	208501	Aerobic dancer
691183	34116	Various characters
691183	34729	
691183	34911	
691183	72760	
691183	153187	Pearl Billingham
691183	186040	
691183	199638	Carol
691183	305036	Milkmaid
691183	339877	Christine
691183	353728	Various characters
691183	381660	Various Roles (1968)
691183	381661	Herself/Various Roles (1971-1
691183	385299	Vicky Wade
691183	397070	Miss Moneypacker
691183	397793	Maria Papandrious (Series 4) 
691184	60630	Yu-mi
691185	193411	Linda
691185	360171	Birdie
691186	229250	Cult member
691187	363895	Alice
691189	10586	Mrs. Browning
691189	35797	Mrs. Du Bois
691189	38660	Mrs. Lincoln
691189	43097	
691189	46550	Mrs. Lake
691189	50649	Mrs. Blynn
691189	60177	Nurse
691189	61779	Mrs. Cavanagh
691189	107989	Anna
691189	118438	Mrs. Hardy
691189	121238	Mrs. Spalding
691189	161542	Wife of the Kindly Neighbor (
691189	175343	Mrs. Murphy
691189	190449	Aunt Deel
691189	190881	Undetermined role
691189	190988	Mrs. Wills
691189	192005	Jacob's Mother
691189	192025	Margaret Dishart
691189	192421	
691189	192602	Mrs. Harding
691189	193798	Mrs. Pendleton
691189	195811	Mrs. Halloway
691189	196253	Marie Bretans
691189	200466	Mrs. Fontaine
691189	203605	Undetermined Role
691189	206593	Nurse
691189	219914	The Wife
691189	227348	Martha
691189	235433	Martha
691189	239602	The Housekeeper
691189	246716	Mrs. Wayne
691189	266223	Mrs. Ogilvie
691189	273305	Mrs. Dugan
691189	274391	Mrs. Hogan
691189	274873	Agnes' Mother
691189	279382	Mrs. Bird
691189	282277	Aunt Lucia
691189	303241	Miss Ruth
691189	318170	Mrs. Burns
691189	359883	Mrs. Weaver
691189	364455	
691189	366676	Grandmother Havenith
691189	367286	Mary's aunt
691190	37525	Female Bigfoot
691190	110943	Sadie
691190	195610	Sherry
691191	12327	Lindsey Kennington
691192	97447	Alyssa (age six)
691193	116471	Shirley
691193	178085	Jennie
691193	217583	Brooke
691193	224342	Claire
691193	224360	Kirsten Beck
691193	270771	Karen Toms
691193	279330	Ashley
691193	362453	Woman in Sweater
691193	389905	Margie Polakowski
691193	400921	Callie Martel (1996-1997)
691193	402477	Darlene
691193	406127	Detective Kate Benson
691195	141863	Patron
691196	203942	Undetermined Role
691197	194971	Nurse
691197	270912	Corporate Fast Tracker
691197	274381	Nurse
691198	225560	
691199	41889	Angela Lee (2000)
691200	203549	Girl in Airport
691201	410020	Herself
691201	410024	Herself
691202	321546	
691202	340467	Alta Lee (Shrum)
691203	215902	San Francisco girl
691204	173330	
691205	3249	Mandy
691205	3260	Monalisa Kam
691205	8770	Ching Ga Mei
691205	48423	Sorry
691205	63299	May Chan
691205	85885	Cat
691205	110584	
691205	110595	Amanda
691205	117681	
691205	121778	
691205	124574	
691205	124577	Maid
691205	129077	
691205	135485	Snack Bar Vendor
691205	144291	Anita Li
691205	179103	Chung Lai-Hung
691205	185971	
691205	252181	
691205	287029	Lai-Man
691205	293469	
691205	300639	Informant
691205	340613	Mrs. Fat
691205	340614	Cheung Mo
691205	340615	Amanda
691205	369956	
691205	371567	
691205	371585	Anita
691205	373109	
691205	374756	Mad
691206	7309	
691207	383550	Luzia
691207	384992	Laura
691207	409419	Moema
691208	139157	
691208	224595	
691210	265171	Brooke Genavaisse
691212	354952	
691213	91760	
691213	300524	
691213	306920	
691213	315047	
691213	353743	
691214	2581	Performer
691214	120665	Herself
691214	221426	Herself
691214	221483	Herself
691214	326664	Herself
691215	293904	
691216	297484	
691217	334189	Nadine Murphy, age 8
691218	17749	Dancer
691218	61697	Girl 2
691218	71605	Sandie
691218	143587	Little Girl
691218	162570	Lucy van Pelt
691218	163517	Lucy van Pelt
691218	178642	(US Version, 1984)
691218	326596	Girl at Party
691218	345851	Kid #6
691218	383928	Lucy van Pelt (1983-1985)
691218	391740	Brenda Walker (1990-1991)
691218	408044	Lucy Van Pelt (1988-1989)
691219	1607	Xiao Jie
691219	8748	Fei-Fei
691219	123257	
691219	167418	Mun
691219	179684	Chi Ching
691219	295241	Ling
691219	371403	Katy
691220	65796	Tanya
691221	122183	COPS officer
691222	368068	
691223	63481	Ellen Cheng
691223	117520	Sampan Girl
691223	135482	Dicky
691223	138014	Fan
691223	167787	May's Friend
691223	196667	Bella Chung
691223	268681	Candy
691223	296936	Crystal Chang
691223	332332	Salon Girl
691223	367148	Bar Girl
691223	369546	Ann
691223	369797	Cola
691223	369798	Kan
691223	374827	Mona
691223	374961	Ivy
691223	376766	Michael's New Girlfriend
691226	84828	Infant
691227	63992	Aunt Cassandra
691227	88916	Maid
691227	184884	
691227	271811	Herself
691228	339355	Gail Wiltse
691229	59296	
691229	286998	Moon
691229	322699	Pently
691230	338678	Dancer
691231	344699	
691232	100230	
691233	116100	Dr. Jainway
691233	205411	Sally
691233	241772	The Woman
691234	2275	Herself
691234	3005	Mrs. Russell, Mission Staff
691234	3745	Herself
691234	31859	Mrs. Jackson
691234	32496	Nell Bowen
691234	34380	
691234	34685	Nancy Smiley
691234	35775	
691234	37234	Mrs. Turner
691234	52815	Anita Rodgers
691234	60463	Hon. Muriel Maxton
691234	68324	Judith Bowen
691234	73413	Mac
691234	97083	
691234	98803	Laura Delano
691234	98804	Laura Delano
691234	107174	Madeleine Pelham
691234	114046	Princess
691234	115256	Rowena
691234	116271	Brooke Elliott
691234	117281	Laura Pruitt
691234	117647	Cornelia Trimble- Pomfret, Br
691234	117906	Mrs. Emily Collingwood
691234	118324	Arm Lodge
691234	122674	Linda Powell
691234	127075	Mrs. Miles Fairley
691234	127481	Mrs. Kate Gideon
691234	138383	Nasha Novotny
691234	141566	Jane Allison
691234	144776	Marie Correl
691234	146050	Scrub Girl Chorine
691234	149796	Mrs. Buford
691234	151339	Bronwyn Morgan
691234	157771	Elisabeth
691234	164498	Lady Costance
691234	167098	Ursula Leverett
691234	168112	Herself
691234	177542	Kathleen 'Kathy' O'Brien
691234	177574	
691234	185335	Gert Minihan
691234	191513	Garson's Grandmother
691234	196974	Ursula Hamilton
691234	203476	Dr. Clare Wyatt
691234	203573	Mrs. Prescott (widow in stage
691234	204551	Babette
691234	208657	
691234	220547	
691234	223811	Judge Barbara Hanline
691234	224086	Caroline Mason
691234	232189	Lady Earl
691234	234789	Jennie Carr
691234	237602	Sally Briggs
691234	255323	Elsie Kornwald
691234	264445	Elisa Burnell
691234	265005	American Reporter
691234	276907	Carol
691234	278218	Worn woman
691234	280690	Lady Eggleby
691234	289247	
691234	295370	Dorothy Henderson
691234	309634	Sister Margaretta
691234	309636	Herself (interviewee)
691234	313514	Hostess
691234	318793	Nadena
691234	330689	Charlotte Rambeau
691234	343104	Mrs. Malaprop
691234	347681	Titanic passenger in lifeboat
691234	362160	Elderly Woman
691234	362192	Mrs. Bates
691234	371330	
691234	372635	Ada
691234	379065	
691234	385743	Dora Foster (1951-1952)
691234	389858	Lila Quartermaine (1978-2004)
691234	401930	Lila Quartermaine (1997-2003)
691234	404570	Aunt Wilhelmina
691235	255169	Joan the Model
691236	305367	Cat
691238	391869	Mrs. Degroot (2004)
691239	167913	Sanato Sakuragi (English vers
691239	274353	Marilyn/Aunt
691239	398189	Penelope Betteredge
691240	141514	
691241	44093	Mrs. Gibson
691242	74267	Bordello girl
691243	65796	Jenny Kim
691243	151628	Herself
691244	97037	Reporter
691246	102460	
691247	52320	Monica
691248	282620	Napoleon's Mother
691248	320308	Isobel Sedbusk
691249	155915	Huntress 1
691250	1230	
691250	72361	
691250	75030	
691250	107871	
691250	326724	
691251	41858	Kim Chuang
691251	222330	Tina Kim
691252	167047	Woman
691253	320990	
691253	320994	
691254	350699	Marjorie
691255	35148	Jessie
691256	53053	Prisoner
691256	316141	
691257	102704	Wednesday
691258	109427	Dixie
691259	149025	
691259	232469	
691260	186626	
691261	63197	
691261	262536	Coroner
691262	65717	Clive's Daughter
691263	24703	Michelle
691264	33644	Amanda
691264	37216	Gloria
691264	46658	Mary Moore
691264	56154	
691264	57508	Lina
691264	71383	Fausta
691264	78059	Virginia Traill
691264	92899	Ghislaine
691264	106669	Penny
691264	108748	Eileen
691264	110996	Susan Richards
691264	111152	Adriana Bressan
691264	116930	Elizabeth Travers
691264	129035	Henet
691264	190274	Violet Hemingway
691264	197567	Anna Barilari
691264	200429	Paula Mayer
691264	203322	Sonia
691264	205734	Marie Bonnard
691264	209615	Jenny Appleby
691264	211804	Messaline
691264	214931	Julia Gozzi
691264	217879	
691264	222613	Phyllis Brunner
691264	233970	Miss Tonkins
691264	234894	Alice Lang
691264	235780	Lucretia Borgia
691264	283412	Janie Grey
691264	288436	
691264	292592	Molly Wilson
691264	300829	
691264	351580	Aphrodite
691264	358230	Rosemarie
691264	364158	Frankie Mayne
691265	380591	Lift Girl
691266	124115	Villager
691267	46532	Club Girl in Bathroom
691268	146273	
691269	114013	Girl
691269	272916	
691269	395937	Helen
691269	399816	Penny Snow (1975)
691269	402197	Andrea Hennesey (1981)
691269	406891	Christine
691270	231821	Madelena
691271	78849	Drum Majorette
691271	251651	
691271	340033	Venus
691272	188278	Herself
691273	164381	Baby Sarah
691275	116443	Girl in shell dance
691275	157870	Bit
691275	273781	
691275	297970	Saleswoman
691276	7350	
691276	15391	
691276	16579	
691276	48526	
691276	89548	
691276	102031	
691276	102039	
691276	102079	
691276	136421	
691276	138427	
691276	147335	
691276	153416	
691276	222222	
691276	224470	
691276	226005	
691276	286095	
691276	287363	
691276	287381	
691276	288146	
691276	288181	
691276	288864	
691276	294459	
691276	294484	
691276	371273	
691277	2611	
691277	13748	
691277	26212	
691277	63369	
691277	77087	
691277	102023	
691277	126877	
691277	136323	
691277	156570	
691277	166808	
691277	187023	
691277	222143	
691277	226667	
691277	370088	
691278	348654	Mi-ryeong
691279	17178	
691279	158875	
691279	348105	Jim's girlfriend
691281	126797	
691281	222430	
691282	151629	Herself
691283	41202	Shiela Swain
691285	87786	Herself
691285	187391	Herself
691285	305716	Nice lady
691285	316316	Herself
691285	342959	Tina Davis
691285	361246	Herself
691286	369492	Xanadu Dancer
691287	366322	Herself
691288	34448	Mail Carrier
691289	295715	
691289	354801	
691290	99969	Laurel Grange
691292	12299	Samantha
691293	38248	Karl's Victim/Banquet Guest/Z
691294	215680	Herself (Reporter)
691294	215687	Herself (pageant backstage co
691296	141067	
691297	152962	Korean Chld
691297	187078	Girl singing 'My Old Kentucky
691297	195743	Oh-No
691297	309858	Ngana
691298	78076	Chinese Girl
691299	43545	Liz Killey
691299	50487	
691299	62981	
691299	69048	Flo Merrivale
691299	79098	Paquette
691299	108377	
691299	143080	Longshoreman's wife
691299	269370	The Queen
691299	276054	Mrs. Berste
691299	277677	Queen Elizabeth
691299	286800	Elise Vernette
691299	331531	Milady, Cardinal Richelieu's 
691299	362241	Leading Lady
691300	76426	Gum Tso
691300	110594	May
691300	122685	Kelly
691300	135482	Fei-Fei
691300	149068	Tong
691300	153033	Tou-Tou
691300	178975	Detective Ling Ho
691300	184609	Gloria Chan
691300	189199	The Girl
691300	268728	So Yau-May
691300	268756	Lau Heung-Ching
691300	298705	Annie Chan
691300	358911	
691300	369097	Lau's Wife
691300	369725	
691300	369805	
691300	370608	Loh/Shira/Orchid
691300	371475	Prostitute
691300	374682	Wai-Yee
691300	376056	Koo May
691301	1703	Herself
691301	35255	Augustine
691301	59858	Kim
691301	72319	Dana
691301	93025	Cassidy
691301	119466	Laura
691301	165977	Redhead beauty
691301	216782	Alley Prostitute
691301	230324	Rob's Girlfriend
691302	80646	
691303	296586	Jenny Ho
691304	53731	Party Girl
691305	89308	Jenny
691305	109832	Brittany Marie Lussier (10 mn
691305	147565	Woman in car
691306	388765	
691307	17692	Mrs. Barry
691307	25397	Rosaline Fothergill
691307	70541	Grandma Perley
691307	115511	The gypsy's mother
691307	163321	Grace's mother
691307	195073	Lizzie Roberts-Mrs Peytons pe
691307	215891	
691307	224110	Madame Aurore
691308	38685	Aunt Phoebe Cobb
691308	148949	Rosie, Daughter of Bill's dyi
691308	221336	Europena Wiggs
691308	355082	Pretty Ellott
691309	92740	
691311	56256	
691312	390714	Annie Mapin (1989)
691313	109832	Brittany Marie Lussier (10 mn
691314	65555	Monja
691315	115673	Mrs. Chan
691316	309718	Lynn
691317	327463	Venus
691318	6954	Jane
691318	151977	
691319	117314	Girl at Pool
691319	133728	4th Model
691319	217873	Dr. Emy Wong
691319	269305	Native guide
691319	289999	
691319	381661	Various Roles (1973)
691319	389737	Lily Li Tang (1978)
691319	406087	Main Mission Operative (1975)
691320	28808	Herself
691320	49656	Sherry
691321	212850	The Singer
691321	232441	
691322	399130	Debra Fleming (1986)
691323	401930	Nancy Neumann (1998-2003)
691324	178176	Agent West
691324	178987	Janelle
691325	209630	Ingrid
691326	138780	Hae-min Lee
691326	230217	
691326	319098	
691327	13978	Kammi
691327	329914	Tina
691328	211577	
691329	1902	Secretary
691329	39706	
691329	41581	
691329	43253	
691329	97115	
691329	228085	Herself
691329	236307	
691329	303211	
691329	388071	Herself
691331	115895	One of Sam's girl friends
691331	312837	Ah Ling
691331	379916	Suzie Chan/Mimi Chan
691332	126663	Leggy Blonde
691333	70753	
691333	90801	Sally Dedham
691334	90353	Topless swimmer
691334	92482	Robot
691334	131647	Mordicus' Girl
691334	139565	Dancer
691334	209492	
691334	321556	Model #11
691334	340582	The Hooker
691334	362558	Dancer in credits
691335	139265	
691335	149401	
691335	319940	
691336	77508	
691336	287041	Amy
691337	151988	
691338	365980	child
691339	252371	Herself
691340	22802	Blues Waitress
691340	80879	Larry's Wife
691341	196948	Wendy
691342	236944	
691343	167098	Young Miss Lanyard
691343	228517	
691344	75764	
691345	243133	
691346	223329	Chuckles The Clown
691347	271331	Reporter #4
691348	89632	Ellen
691348	308007	Helen Glendenning
691348	308012	Helen Glendenning
691349	252594	
691349	383130	Eleonora
691349	412306	Sofia
691350	3044	Herself - Performer: 'A Love 
691350	84210	Herself
691350	375011	Tang Luhua
691350	398446	Herself
691351	138019	
691353	236871	
691354	94225	Mrs. Fraser
691355	232812	Clothing saleswoman
691356	59110	Angela Rowe
691356	83099	Ma Cobb
691356	114281	Grandmother
691356	224299	Apple Lady
691356	391117	Maggie Hatch
691356	406667	Raxl
691357	128741	Carol Rice
691357	145710	Armwrestler
691357	150297	Alice
691357	230933	Porno Star
691358	7273	
691358	199884	
691359	340968	Blossom Carr
691360	33006	Takahashi's servant
691360	130653	Moy, Rosanne's Chinese Maid
691360	192331	Mrs. Satsuma
691360	292306	Foy Toy, Landlady
691361	305375	Shopkeeper
691362	108033	College Student
691363	176833	Teacher
691364	51801	Dancer
691364	243150	Dancer
691364	298076	Dancer
691364	317309	Dancer #2
691364	396696	Juggy Dancer (2000-2002)
691365	219182	Jolene
691366	47744	Bank Teller
691367	366617	Birthday Guest
691368	356653	
691368	369881	
691369	116507	
691370	1487	Herself
691370	196586	Woman at bar
691371	400087	Kay
691372	43931	Juliana
691373	15374	Dr. Rho Bowman
691373	289103	Spc Shoshana Johnson
691374	314946	
691374	367208	Mrs. Walker
691375	90117	Night Duty Nurse
691376	302494	Sinderella
691377	116398	
691377	137166	
691378	20625	Extra
691378	95853	
691378	116398	
691378	369043	Yeuk-Chee
691378	376057	Ping
691379	398731	Sally
691380	39495	Ms. Lee
691380	213325	Jessica
691381	37258	Kitty Collins
691381	60305	Margie
691381	76518	
691381	118525	Lead Dancer In Fashion Number
691381	138744	Herself - Lead Dancer in 'Cra
691381	139519	Rita Joyce
691381	178952	
691381	188380	Dixie
691381	195673	Violet Downey
691381	204178	Geraldine Stewart
691381	231985	
691381	233664	Dotty 'Dodo' Potter
691381	269779	
691381	274502	Ginger Blair
691381	291374	Herself (Mrs. Bing Crosby)
691381	364602	Billie
691382	5539	Mrs. Harrison
691382	187122	Mrs. Lee
691383	351502	Rosie
691384	158424	
691384	186315	Aileen Allison
691384	363275	Alice Desmond
691385	228651	
691386	74288	Garter Girl
691386	133718	Betty Morton
691386	154476	Girl
691386	313377	Herself - Swing Shift Number
691387	32496	Cockney Girl
691387	42811	Street singer
691387	107084	Leader, Donna Lee Trio
691387	302632	Terry
691388	109613	Celia Boon
691388	403244	Joyce Davis
691389	232424	TV Reporter
691391	57192	Peggy Norton
691391	72451	Betty Harrington
691391	74765	Anita
691391	75606	Dot Scorsby
691391	88241	Nanny, Pewee's Girl
691391	128151	Patsy
691391	137497	Annette Marshall
691391	145671	Daisy Maxwell
691391	149300	Mary Marsh
691391	158446	
691391	183331	Bridesmaid
691391	185989	Miss Alice Austin
691391	193201	Julia Winters
691391	239654	Elsie Wilson
691391	251430	Prudence Bruno
691391	257254	
691391	262700	
691391	271290	Margie Spencer
691391	275859	Flip Sales Girl
691391	278606	Dolly
691391	279539	Frances
691391	284582	Mable
691391	290328	Dorothy Bosworth
691391	301328	Herself
691391	301868	Mary Blake
691391	305042	Herself - giving autograph
691391	321897	Peggy
691391	323373	Consuelo Raleigh
691391	335621	Lorene La Rue
691391	335631	Alice Cook
691391	342376	Thelma
691391	366915	Carol Cole
691392	143085	Trixie
691392	321098	
691393	203084	
691393	250610	
691393	286250	
691394	230754	Stripper
691395	42705	Pretty Lady
691395	80803	Nurse
691395	236328	Model #3
691395	321688	Acolyte
691396	67361	Marking Room Cast
691397	646	Doris
691398	34723	Herself
691398	77148	Mrs. Winthrop
691398	89339	Freda Bell
691398	131233	Grace Ferguson
691398	236681	Vera Collins
691398	318645	Woman on Train
691398	319674	
691398	380468	Madam
691398	382458	Drusilla Owens
691398	382985	Joan Collins
691398	390164	Margaret Gibson
691398	399816	Vera Collins (1972-1976)
691399	276878	Uzi
691400	63482	Anna
691400	377397	Mrs. Godeman
691401	336026	Sales Woman
691402	8816	Jade Chow Wong
691402	131270	Fiona
691402	151995	King Ghost
691402	155254	Hooker #1
691402	167830	Mimi
691402	167853	
691402	181445	Leung's Girlfriend
691402	187536	
691402	298683	Judy Yu
691402	303403	
691402	332311	Mona Fong
691402	369625	
691402	369762	Siu-Yi
691402	373688	Tsin Siu-Fung
691403	217433	Jeanie
691404	308117	Ellen Parker
691405	11384	Jewish Woman
691405	344183	Keeper of the children
691406	392026	Additional Voices
691407	277897	
691408	83436	
691408	296502	
691410	76217	Oriental Tourist
691410	199405	Esther, the maid
691411	92831	1st Concubine
691412	20625	Extra
691413	24246	
691413	118531	Mother-in-law, Mrs. U. Newit
691414	52903	Mataloti
691414	62150	Girl in Gambling Den
691414	65717	Slave Girl
691414	160930	Hotel Hostess
691414	188393	Manicurist
691414	224615	Lusan, Moonflower's Attendant
691414	245257	
691414	275499	Liu Po-Yat
691414	323787	Ah Fah
691414	330297	Rosa's Maid
691414	330304	The Slave of the Sand Board
691414	335013	Second Gossip
691414	340569	Maid
691414	347727	Ah Moy
691415	373296	
691416	132378	Ohn-jo
691417	365681	
691418	17841	Kyeong-woo
691418	34185	In, Tae-hee
691418	137077	
691418	138296	Kim, Young-ju
691418	140590	Han Su-jin
691418	238981	Jae-Hoon
691418	322901	Young-shin
691418	371221	Kyeong-hee
691419	226544	
691420	138608	
691421	61532	
691421	363760	
691421	371174	
691422	76583	
691422	76893	
691422	166804	
691422	169043	
691422	226590	Ha-yeong's Mother
691422	227199	
691422	308692	
691423	132378	Bi-ryu
691424	167534	
691425	31018	La Visitor of the Museum
691426	305005	Prostitute
691427	46981	Sexy Bar Maid #2
691428	142889	Lawyer
691428	306744	Grace
691429	119001	Jacky
691430	222719	Flo
691431	5820	Mrs. Revelle
691431	11639	
691431	26363	Mama
691431	34691	First Bridesmaid
691431	35397	
691431	37801	Bill's Wife
691431	41322	
691431	42028	
691431	47074	
691431	47615	Mrs. Hollister
691431	60350	
691431	61387	Indian
691431	64833	The Blind Girl's Grandmother
691431	65800	Woman in Lynch Mob
691431	75423	Harassed Woman
691431	75638	
691431	87536	In Front of Hotel
691431	88109	A Bather
691431	88202	Madame de Brionee
691431	96844	Old Lady
691431	97735	At Ball
691431	101555	On the Beach
691431	110562	Harry's Mother
691431	114840	Mrs. Sparks
691431	117256	In Garment Factory
691431	144783	On Street
691431	144824	Mrs. Oaks
691431	145778	Mrs. Jinx
691431	156500	
691431	164456	Mrs. Miller
691431	166678	Jenks' Wife
691431	171165	A Pupil of the Academy
691431	176399	
691431	178219	At Church Fair
691431	188156	In Laundry
691431	190713	On Street
691431	190959	At Resort
691431	191700	Mrs. Durking
691431	194185	In Cabaret
691431	196853	Roy's mother
691431	203393	Mary Wilsn
691431	206878	Her Mother
691431	207108	The Girl
691431	216441	The Nursemaid
691431	220948	A Friend of the Grouches
691431	237792	Extra
691431	239691	Woman at picnic
691431	240978	
691431	245350	Annabelle Darnell
691431	262063	Townswoman
691431	275229	
691431	278767	First Miss McNeil
691431	279298	
691431	285446	
691431	293182	
691431	310764	Grandma Smithers
691431	326437	Outside Theatre
691431	327784	In Crowd
691431	329783	On Street
691431	329982	At Mountain
691431	335857	Jerry's Aunt
691431	339742	One of the Fair Speeders
691431	340626	Mrs. Selden
691431	348436	Dora
691431	355209	Mrs. Cane
691431	356242	On Roller Coaster
691431	360186	
691431	363569	The Young Woman
691431	365831	The Artist's Sweetheart
691431	367928	At Dinner
691432	2731	Fran Lee
691432	192409	
691433	6191	
691433	33384	
691433	47454	Betty Brown
691433	55305	Doris Whitely
691433	61252	Babe Lorraine
691433	69388	
691433	88168	Eileen Stanley
691433	92262	
691433	115625	Blonde
691433	131355	Jane Laurier
691433	143406	Natalie
691433	192294	Alice
691433	205259	
691433	231737	
691433	254567	Judy Lane
691433	255324	
691433	273816	Peggy
691433	300103	
691433	304935	Susan
691433	305038	
691433	315294	Susan
691433	317165	
691433	321398	
691433	322720	
691433	330094	Mae Lercombe
691433	338557	Secretary
691433	362084	Betty
691433	371337	Bobby's Sweetie
691434	6988	Go Girl (Jennifer)
691434	128663	Helen
691434	364113	Sandra
691435	63834	Marjorie
691436	252998	Snake Lady
691436	282923	Lily, Grocery Store Clerk
691437	311230	Bit Girl
691438	63371	
691438	372389	Miss Wong
691439	28814	
691440	205268	Woman in Audience
691441	360391	Wilma
691442	196586	Barmaid
691443	340808	Student
691444	36723	Mrs. Kingston
691444	131546	Flo
691444	141184	
691444	253540	Cora Nicklin
691444	276366	Mrs. Winton
691444	296809	
691444	321657	Lace's Mother
691444	366584	Alice Vaus
691445	312906	Aki, Astarisk
691446	217002	Troupe
691447	79835	Tucker's Wife
691448	226571	
691448	309093	
691449	153452	Seung-jae's Mother
691450	88276	
691451	201598	900 Girl
691453	285271	Woman at bar
691453	285979	Princess Magusari
691454	358659	Mrs. Ong
691455	5527	Courthouse Reporter
691455	43373	
691455	65118	Oga
691455	299669	FBI Agent
691455	316206	Intern #1
691456	34700	
691456	256382	Janet Bruce
691457	301558	Oriental Girl
691457	335603	Miss Chow
691458	181005	College Student #1
691459	69732	Mrs. Sellers
691459	164217	Annie
691459	175621	Guest #2
691459	290082	Bruce
691459	343010	Mrs. Diller
691460	5198	Western Union Operator
691460	6019	Avonia
691460	6145	Gwen De Vere
691460	7867	Maizie
691460	10589	Blossom
691460	26307	Jessie
691460	45419	Pettie Wilson
691460	45475	
691460	47373	Mrs. Myrna Wallace
691460	53705	Drowzina
691460	57193	Manicurist
691460	59889	Peggy
691460	64908	Maizie, the hooker
691460	71132	Mae
691460	85818	Cecile
691460	91917	Woman in Crowd
691460	94971	
691460	106294	Sally
691460	109435	Rosie La Clerq
691460	119473	Bedroom Scene
691460	123205	Irene Courtland (Buddy's wife
691460	129097	Telephone Solicitor
691460	141629	Claire
691460	143456	Daisy
691460	146221	Clara Bayne
691460	147825	Herself
691460	160618	Gaby
691460	161636	Daisy
691460	183761	Gwen
691460	183786	Molly's friend
691460	186005	Lucretia
691460	186419	Kitty Adams
691460	193737	Liane De Lorme
691460	194450	Bessie 'Bess'
691460	196899	Mrs. Ellis
691460	202904	Viola
691460	203799	Young Woman at Fight
691460	204552	Flo, Jessie's Co-Worker and W
691460	213203	Dora Cobb
691460	223825	Hat Saleswoman
691460	231793	Cashier
691460	241443	Kitty Kennedy
691460	243215	Ermintrude
691460	244778	Miss Dardinelle, a Mannequin
691460	246480	Gwen Willis
691460	246596	Bertha
691460	249272	Binnie Bell
691460	257392	Carl's girl
691460	263335	Fay
691460	297701	Flossy
691460	300079	Nita Dugan
691460	308625	Nails' Girl
691460	329985	Anita Grant
691460	330300	Flo
691460	333218	
691460	338550	Mabel
691460	342383	Hulda
691460	347730	Marjory 'Marge'
691460	348529	Dixie Mason
691460	361617	Maizie
691460	367834	Roberta Klein
691461	164359	
691462	10520	Sultana
691462	20631	Herself
691462	26120	Zohara
691462	31103	Linda Lee
691462	33610	Belle Devalle
691462	136549	Herself
691462	224127	Marcelle
691462	245693	Cassie
691462	286154	Joyce Taylor
691462	291272	Joann 'Gypsy'
691462	312774	Herself
691462	340542	Mrs. Mabel Dowling Phipps
691462	364177	Proprietress
691462	365970	Mrs. Bradford
691462	372133	Lulu Riley
691462	390841	Herself
691462	390842	Host (1965)
691462	402354	Regina Wentworth (1966-1967)
691462	408026	Herself/Host
691463	176898	Secretary
691464	63487	Hyangdan
691464	159808	
691464	248641	Hye-mi
691464	282829	
691465	180261	
691466	239514	
691467	17842	
691467	112010	Sun Yi
691467	153444	Mani, the temptress
691468	78200	
691468	126773	
691468	368080	
691469	300941	
691470	328289	Nellie Wong
691471	82697	Claudia
691472	271810	Herself
691472	271814	Herself
691472	375044	Singer
691473	32182	Babette
691473	32184	Babette
691473	242938	Tricia Delury
691473	335563	Reporter
691474	7062	
691474	34627	
691474	37168	
691474	43263	
691474	50370	
691474	50573	
691474	51637	Brenda
691474	83807	
691474	147723	
691474	149328	
691474	149400	
691474	165003	
691474	188337	
691474	190738	Herself
691474	191337	
691474	236877	
691474	295765	
691474	306916	
691474	323210	
691474	339580	
691474	353744	
691476	127723	
691478	331681	Old Welsh Woman
691479	355682	
691479	355683	
691480	398020	(Woolf segment)
691481	27795	Yip Pak-Chow
691481	76358	
691481	138626	
691481	151984	Sheng's Mother
691481	167408	Grandmother
691481	302634	
691481	369068	
691481	372991	Ka-Chun's Mother
691482	319347	
691483	60659	Hie-Young
691484	322487	La China
691485	368071	Linda
691486	38176	
691487	62642	
691488	5646	
691488	28819	
691488	147571	
691488	153519	
691488	162091	
691488	162620	
691488	319291	
691489	104558	
691489	144264	
691490	6717	Herself
691490	6719	Herself
691490	27258	
691490	98858	Herself
691490	142627	Dancer
691490	153476	
691490	153477	
691490	163480	Herself
691490	176966	Annie Warbucks
691490	187412	Herself
691490	261527	
691490	280204	
691490	295945	
691490	305947	
691490	321007	
691490	321050	Herself
691490	321564	
691490	361941	
691490	362181	Herself
691491	131191	
691491	155129	
691491	229877	
691491	333642	Young-ja
691491	344333	
691491	376545	
691492	90604	Yeon-jung
691493	167585	Sang-hui
691494	36542	
691494	104557	
691494	144264	
691494	166803	
691494	170634	
691494	177115	
691494	286599	Eliza
691494	308286	
691494	322892	
691494	373139	
691495	358103	
691496	9244	Ye-jin
691496	94441	
691496	95731	
691496	122828	
691496	125953	
691496	126885	
691496	136420	
691496	136422	
691496	137227	
691496	155813	Dr. Ha-yeong
691496	166208	
691496	180269	
691496	222143	
691496	224472	
691496	227138	
691496	255385	Kyeong-seon
691496	256920	
691496	284816	
691496	332404	
691496	344217	
691496	371270	
691497	372800	
691498	226595	
691498	371248	
691499	63487	Chunhyang Sung
691500	166791	
691500	288149	
691501	127723	
691502	82055	Woman in Past Lives Pavillion
691502	133130	Grandmother
691502	135888	Parishioner
691502	159717	Granny
691502	196085	Inn Keeper
691502	224344	Grandma Bumpus
691502	280668	'Mom' Anderson
691502	315471	
691502	351181	Nueva's Handmaid
691503	126798	
691504	2211	
691504	15392	
691504	17840	
691504	51032	
691504	63464	
691504	149023	
691504	169667	
691504	239443	
691504	286015	
691504	287468	
691504	319291	
691504	370284	
691505	47311	
691505	219786	Bit Part
691505	255327	Patron
691505	364453	Survivor
691506	3254	
691506	15395	
691506	19049	
691506	76669	
691506	89768	
691506	131107	
691506	136419	R's elder sister
691506	199902	
691506	286006	
691506	286878	Ryeo Jin
691506	318087	Eun-ok's mother
691507	155133	
691508	130348	Young Sam's Wife
691509	238508	Wedding Participant
691510	239776	
691511	38803	Iris, Trollop Outside Mission
691512	41581	
691513	385523	Seto
691513	411522	Yang Meina
691513	411583	Yue Lingshan
691513	411777	Zhang Li
691514	29229	
691514	49189	
691514	122863	
691514	370284	
691514	373146	
691515	76547	Polce Officer
691515	175839	Thugette
691515	332327	
691516	137567	Asian Dancer
691517	53329	Ritchie Family
691518	80493	Car Yard Woman
691520	227605	
691521	165090	Eun Ah
691521	228443	Cyon
691521	234927	Yu-na
691521	238856	Mi-yeon
691521	293316	So-ryeong
691522	300524	
691523	293017	
691525	13806	Jane
691525	61607	Jane
691525	65534	Janet
691525	68135	
691525	70531	
691525	78683	Irene's Child
691525	79382	Little Prince Omar
691525	84989	Little Beata
691525	89381	Janie O'Dowd
691525	123167	Dolores
691525	143080	Naughty girl
691525	178976	Woman
691525	190112	Baby Webb
691525	195308	Willie Sterling
691525	195363	Willie Sterling
691525	200305	
691525	239776	
691525	242013	Baby
691525	246762	
691525	250805	Janie
691525	270941	Little Jane
691525	281158	
691525	302016	
691525	303227	Alice Reynolds
691525	305400	Jane
691525	305585	Jane
691525	309510	Her daughter
691525	320898	Jane Sheldon
691525	324410	
691525	327222	Jane Williams
691525	335531	Rosa
691525	340528	Jane
691525	342963	Jane
691525	348078	Hudson's Child
691525	355685	Herself
691525	360455	Jane
691525	365082	Marie Magnetti
691526	296188	
691527	1497	Korean Female CIA
691527	268865	Mi Lei Yew
691528	385299	Rose Hill
691528	390714	Mrs. Grucock
691529	97256	
691530	254992	Ha-rin
691531	387075	Mimi
691532	40812	Kathryn Baker
691532	161422	Summer
691532	404282	Belinda Bradley (1990)
691533	126282	Apache woman
691534	79450	Peazant Baby
691534	232630	High School Extra
691535	42791	
691536	115673	
691536	222831	Chinese waitress
691536	270384	
691537	181833	Patron
691538	2250	Motorcycle Gang Member
691538	40030	
691538	244421	Black Widow, Pool Player
691538	355168	Black Widow
691539	278833	William Parker & Patricia Nic
691540	68064	Weather person
691541	12201	In Audience
691541	21267	
691541	31050	Waifs' guardian
691541	37271	Buck's Mother
691541	37820	Aunt Martha Jenkins
691541	38660	Mammy
691541	48274	Rejected Mate (The Old Days)
691541	61594	Madame Dufrane
691541	61824	Susan, their governess
691541	65590	Mrs. Mary Keyes
691541	68183	Teresa's Mother
691541	109635	Mrs. Spear
691541	141508	Grandma Dunnivan
691541	143033	Muriel's Mother
691541	143293	
691541	143296	The Mother
691541	143324	Aunt Lydia
691541	143393	Ben's mother
691541	146106	The Mother
691541	160019	Mammy
691541	160031	Mother Ellis
691541	161542	Woman at Jenkins' Employees D
691541	169978	Bethulian
691541	191955	Boardinghouse Keeper
691541	199300	Housekeeper
691541	220076	The Wash Customer
691541	232788	Nina's grandmother
691541	235083	Dane's mother
691541	241504	Mrs. Koppel
691541	263905	Cavewoman
691541	274747	The Mother
691541	277938	Jim's Mother
691541	278008	Harry's Mother
691541	287277	Aunt Melvy
691541	292422	Aunt Soiphie
691541	304590	
691541	309269	On Shore
691541	309593	
691541	312805	Mrs. Teedles
691541	324250	The Widow
691541	343004	Old Indian Woman
691541	346054	
691541	367676	Mammie
691541	370620	Yaqui Woman
691541	372587	Grandma
691542	119779	
691542	155064	
691543	2138	Miss Griswald
691543	26282	Lee Wong's mother
691543	33395	Calder's assistant
691543	94525	Trollop
691543	116925	Doreen
691543	215738	Smartly dressed woman
691543	264669	Ethel Brunette
691543	304644	Polly
691543	319253	Helen Clark
691543	360538	
691543	365396	Madeline True
691544	54364	Cappuccino
691544	128089	Topless Dancer
691544	192219	Waitress
691544	312062	Veronica
691544	343387	Keisha
691545	41477	Dancer
691546	30646	Talk Show Audience
691548	137621	
691549	398446	Herself
691550	63275	Ticket Lady
691551	73712	Bank Manager
691551	258939	Hairstylist
691551	289666	Reporter
691551	305832	Mother
691551	320156	Reporter #3
691551	400548	Woman with Big Glasses
691552	183872	Carmelita Chu
691553	18854	Flossie
691553	24953	
691553	72882	Jean
691553	191074	
691553	383813	
691553	386435	Mrs. McBride
691553	387247	Mrs. Woods (1986)
691553	399816	Ethel Brinkman (1972)
691553	409578	Dora
691554	51033	
691555	153517	
691555	371190	
691556	318593	
691557	227405	
691558	102041	
691559	155190	
691560	321141	Herself (stripper)
691561	113320	Melanie's Friend
691562	308079	Women's Quartette
691563	30582	Cheerleader
691563	109530	Herself
691563	128772	Promo Girl WXTB 98 FM Clearwa
691563	224863	
691563	257616	Herself
691563	356649	Herself
691563	361853	Herself
691564	152346	
691565	60409	Jing
691565	334295	
691566	175763	
691566	248641	Jin-a
691566	282829	Nana
691566	293316	
691567	44702	Choi Ri
691567	156368	
691567	212419	
691568	220888	
691569	126776	
691569	136378	Miss Seoul
691569	171491	
691569	248494	
691569	299054	
691569	371368	
691570	102052	
691570	102085	
691571	344215	
691572	144281	Jin-hie
691573	127723	
691574	280884	
691575	149091	
691576	199885	
691577	218444	
691577	289268	
691577	308282	
691578	277258	Amy
691579	158818	Cheerleader #1
691579	171274	Mrs. Swanson
691580	68084	Herself
691581	45833	Alice Summers
691581	257231	Tanna
691582	251789	Exotic Dancer
691583	166652	
691584	7621	Helen de Semiano
691584	27031	Flo
691584	47306	Blossom Royal
691584	53201	Gwen
691584	94196	Lina
691584	105225	Barbara Potter
691584	143131	
691584	178040	Secretary
691584	196124	Paula
691584	196148	Bunny
691584	206387	Sybil
691584	207172	Lola Dugan
691584	231821	Redhead
691584	234089	Flora
691584	248983	Anastasie
691584	289242	Fay Demarest
691584	297363	Shanghai Rose
691584	319146	Showgirl
691584	327729	Sharon Lee
691584	331458	Lady Leicester
691584	342519	Mazie Dolan
691584	372659	Brunette
691585	45827	Herself
691586	410444	Drum/Electone
691587	279871	Executive No. 2
691588	27841	Athena
691588	66766	Good Twin
691588	66767	Customer #1
691588	73703	Aunt Maxine
691588	88623	Jade
691588	109929	Lois
691588	126535	Jindal
691588	128089	Switchboard Operator
691588	178028	Cathy
691588	194666	Marie
691588	201504	Herself/Jade
691588	216669	Indigo Downes
691588	236137	Joie
691588	253510	
691588	290319	Lizzie Life
691588	297937	Gloria Reid
691588	298090	Clorinda Bradford
691588	318763	Bed Stuy Woman Interviewed
691589	58507	Susie
691589	196365	Lisa
691589	201919	Tracey Hoover
691589	213153	Sandy Matthews
691589	218371	Mary Lou, sorority girl
691589	269082	Tiffany
691589	286477	Bonnie Barnes
691589	297776	Pauleen Anderson
691589	341973	Lorraine
691589	380391	Julia Shearer #2 (1983)
691589	390903	Muffin Stryker
691589	400476	Gina Sterling
691591	6261	
691591	6722	Herself
691591	36363	
691591	41752	
691591	58502	
691591	64654	
691591	72778	
691591	77432	
691591	92568	Nicky
691591	127641	
691591	130619	
691591	134690	Jordan
691591	139310	
691591	162458	
691591	187169	
691591	213049	Hula Dancer
691591	240840	
691591	302890	
691591	306029	
691591	321032	
691591	365849	
691592	370863	Dragon girl
691593	99845	Nurse Mitzi
691594	319923	Waitress #2
691595	232251	Mrs. Hornsby
691595	320782	
691595	344628	Kelly Michaels, fourth victim
691596	305375	Chinese Student Club Member
691597	153447	
691597	371203	
691598	107045	
691599	319400	
691600	371270	
691601	2443	
691602	229260	Ransacked Family Member
691603	173929	(U.S. version)
691603	314927	Ruth, sunbather on dock
691603	374923	Li's sister
691604	113993	Glaring Dragon Lady
691605	82384	Herself (singer)
691606	134418	Another Hot Girl
691606	142486	Lauren
691606	145414	Lisa
691606	202915	Spa Receptionist
691606	242866	Ophelia
691607	99999	Kate Benson
691608	8816	Murderess
691608	25908	Pearl
691608	123973	
691608	127247	Jing
691608	167183	
691608	183100	Lu Lu
691608	189211	
691608	203388	Hongyi
691608	203389	Ki Dan-Fung
691608	209907	Hooker
691608	225845	
691608	227278	Chusie
691608	333644	Eva
691608	368064	Hooker
691608	369623	Hoi's Wife
691608	369940	Chi
691608	369941	Linda Li
691609	65386	Asian Woman
691609	158207	Ginger Biscuits
691609	178693	Fiona
691609	313188	Julie
691610	38022	Nicki Marriott
691611	215760	Bar Girl
691612	50531	
691613	177550	Narrator
691613	292545	Grace Park
691614	61963	
691614	126893	
691614	139575	Su-yeon
691614	205688	
691614	282481	
691614	287111	Barmaid
691614	335185	Evian
691614	379625	Chimera
691614	380602	
691615	260359	Soo-hyun's mom
691616	183103	Linda
691616	184745	Miss Chan
691617	11963	Connie Alvarez
691617	106542	Lorrine Hollars
691617	132449	
691617	177406	
691617	275522	Patricia
691617	278259	Young Widow
691617	279477	Jesse Duran
691617	312557	Welfare Woman
691617	322631	Woman #2
691618	32682	Marian Raynor, Prosecutor
691618	65022	Mrs. Granger
691618	68825	Scotty Hughes
691618	74932	Charity Camber
691618	108474	Douglas' Sister
691618	130903	
691618	142541	Miss Lee
691618	153204	Sister O'Shaughnessy
691618	198828	Mrs. Stunder
691618	213350	Martha Ballard
691618	245092	
691618	293032	Angela
691618	312711	Connie Van Buskirk
691618	368363	Chief Ellen Jamesian
691618	374425	Nora
691618	384072	Mrs. Butts
691619	160058	Jane Kellog
691620	156116	
691621	141938	
691622	40631	Party Guest
691622	121829	Ziegfeld Girl
691622	178167	Jerk's Friend
691622	222797	Slaygirl
691622	237138	
691622	258858	Waitress
691622	301558	Slaymate
691623	361218	Herself (publicist, Tupac Sha
691625	41464	Shina
691625	298425	
691625	404112	Jing
691626	335472	
691627	127097	Dorothy
691627	279871	Mrs. Ito
691629	165558	High School Girl
691630	81320	Nirvanas Girl 1
691631	258098	Fran
691632	5991	
691632	13806	Katherine
691632	16046	
691632	41662	Rose Evendorr
691632	70531	
691632	78683	Irene's Child
691632	79382	Nydia
691632	89381	Kate O'Dowd
691632	141340	
691632	143080	Longshoreman's daughter
691632	183762	
691632	185483	
691632	190112	Baby Robbins
691632	195308	Myrtle Sterling
691632	195363	Myrtle Sterling
691632	200305	
691632	207411	Dot
691632	213905	
691632	229937	Princess Olga
691632	234800	Kitty
691632	239776	
691632	246762	
691632	270941	Little Katherine
691632	276822	Little Rosa
691632	281158	
691632	289362	Alice Dexter
691632	300906	Evadne
691632	302016	
691632	305585	Katherine
691632	320898	Kaatherine Sheldon
691632	327222	Katherine Williams
691632	328071	
691632	340528	Katherine
691632	342963	Katherine
691632	348078	Hudson's Child
691632	355685	Herself
691632	360455	Katherine
691632	363110	
691633	211510	Claire
691633	313507	Rebel Pilot
691634	400646	Gemma Patterson
691635	160787	Renee
691636	122175	
691636	182727	
691636	301702	Biker Mama #2
691637	350172	Patty Santoro
691638	150048	
691639	285575	
691640	33195	Phantom/Ceci
691640	37020	
691640	41477	Kat
691640	97661	Alice
691640	123849	Chinese Dancer
691640	274067	Katie Wong
691641	140967	Party Girl
691642	241347	Night nurse
691643	41757	
691644	304540	Dancer
691645	371529	Ting-Ting
691647	183720	Valerie
691647	271167	Mrs. MacPhail
691647	292867	Rena Harka
691647	302388	Miss Munson
691648	57929	Jazz Class Dancer
691649	367208	TV Production Assistant
691650	144261	Yang Dal-su
691651	198518	
691651	209259	
691652	233688	Anna Wong
691653	175621	Prisoner
691654	177705	Porno actress
691655	32243	
691655	37387	Dick Miyaki's Hair Model
691655	48040	Herself
691655	57061	Herself
691655	82015	Herself
691655	347907	
691655	348106	Herself
691655	379978	Herself/Judge (2003)
691657	274713	Christina
691659	130278	
691660	127723	
691661	16585	
691661	19046	
691661	28799	
691661	59170	
691661	63486	
691661	76672	
691661	89549	
691661	90518	
691661	91434	
691661	102053	
691661	102085	
691661	126807	
691661	126816	
691661	126898	
691661	153411	
691661	156405	
691661	160194	
691661	165537	
691661	166835	
691661	167088	
691661	170325	
691661	187034	
691661	187040	
691661	199904	
691661	204113	
691661	217370	
691661	226664	
691661	284665	
691661	284816	
691661	286468	
691661	286725	
691661	288180	
691661	299099	
691661	299138	
691661	307777	
691661	322903	
691661	371264	
691661	373166	
691661	373285	
691662	169012	
691662	239306	
691662	373250	
691663	2058	
691663	94288	
691663	126791	
691663	153456	
691663	204852	
691663	216405	
691663	226579	
691664	17374	
691664	213547	
691667	131914	
691667	172303	
691669	252286	Chinese Waitress
691670	130467	Peggy Freeman
691670	208635	Betty
691670	273513	Southern Belle
691670	333154	Phyllis Wilson
691670	335886	Babs Green
691671	40744	Office Worker
691671	114734	Judge's Girlfriend
691671	166652	
691671	332530	Aide
691674	84451	Gospel singer
691676	404002	Unknown (1985)
691677	2669	Frontiera
691678	328396	
691679	221075	
691680	235417	
691681	10894	Elektra
691682	35239	Slapper
691682	106115	Missy
691682	115888	Yel Fan
691682	128893	Chloe
691682	209436	Incompetent Nurse
691682	217499	Sarone
691682	272857	Lisa
691682	299798	Naomi
691682	330706	Alison
691682	368414	Neighbor
691682	371011	Janet
691682	408836	Jodi Chang
691683	183669	Edith
691684	45639	Girlfriend
691685	175219	Narrator
691685	191432	Lisa
691686	381952	Nurse
691687	114693	Morning After Girl
691688	10068	Roza Gysen
691688	20415	Pachteres
691688	42877	
691688	48159	
691688	49756	Jeanneke
691688	76718	Merence
691688	98627	Mevrouw Mertens
691688	102289	
691688	104961	Mieke
691688	126859	Cordulle
691688	126860	Moeder van Paemel
691688	147236	
691688	152363	Lucie
691688	157495	Wasvrouw
691688	168956	
691688	202700	Dame in café
691688	203447	Meid
691688	211919	De moeder
691688	213555	Annie
691688	213564	
691688	242321	Zulma
691688	257105	
691688	265303	
691688	275660	Edmée
691688	279646	
691688	288117	Bakkersvrouw
691688	303163	Naaister
691688	335773	Journaliste
691688	357394	Veronika
691688	358948	Justine
691688	359436	Hilde Hartmann
691688	359630	Francesca
691688	374631	Regie-assistente
691688	390408	Mariette Roelandts
691688	391030	Roze
691688	394142	Zangeres Kitty
691688	397445	Dame 1
691688	401670	Marie Vanbrabant - Van Mechel
691688	403517	Serafien
691688	405653	Valerie
691688	410401	Zwart Gat
691688	411116	
691689	382743	Frances, aged 8
691690	195632	Nazi Girl
691690	257571	Pushy Reporter
691691	6614	Marion Dorsey
691691	7953	Eileen
691691	17990	Helen Brand
691691	20114	Mary Morgan
691691	26729	Mary Thorne
691691	38854	Fola Dale
691691	39322	Norma davis
691691	39803	Eugenie Bromley
691691	41141	Carmen
691691	47492	Ruth Esterin
691691	58814	Natalie Morton
691691	59741	Elsie
691691	68228	Alice Rand
691691	71484	Viola Zickafoose
691691	71723	Mrs. Louise Heath
691691	72749	Annabelle Landis
691691	74051	Bessie Meggison
691691	78966	Katie Dean
691691	79418	Annette Ainsworth
691691	86208	Juanita
691691	89659	Peggy Bruce
691691	91601	Mary Carlyle
691691	92708	Dot
691691	96977	Ella Klotz
691691	97082	Ruth Attwater
691691	100089	
691691	105571	Miss Prentiss, Bradford's Rec
691691	106144	Doris Corbin
691691	107091	Sharon Hadley
691691	108002	Georgia Rand
691691	109334	Guest
691691	109470	
691691	115461	Elinor Murray
691691	124387	Sal Jo Banty
691691	127081	Maria Theresa, a Spanish Heir
691691	132058	Alice Denby
691691	140541	Princess Irma
691691	141339	Josephine Darchat
691691	147633	Cameo appearance
691691	148565	Mary Brent
691691	149103	Beth (her daughter)
691691	154091	Mae Nichols
691691	157791	Sharon
691691	161636	Connie Wayne
691691	162387	Janet Stillman
691691	162547	Margaret Saxby
691691	165452	
691691	171195	Victoire
691691	192390	Marie Cleste
691691	193644	Eleanor Jones
691691	195074	
691691	196277	Molly
691691	196309	Margharita
691691	202246	Tweeny (scullery maid)
691691	203147	Ann Harris
691691	206334	
691691	213145	Anna
691691	213301	Daisy Osborne
691691	214099	Florence Grey
691691	215277	Princess Ellen
691691	222764	Jeanne Baldwin
691691	228218	Mona Franklin Burtis
691691	229092	Chiquita
691691	230694	Evelyn Lane
691691	232034	Trudie Morrow
691691	238726	Doris Dane
691691	239651	Ethel Harmon
691691	241370	Molly McIntyre
691691	241453	Elizabeth Glade
691691	252495	Catherine
691691	263978	Claudia (age 18)
691691	267377	Gloria O'Connell
691691	269366	Bea Walters
691691	270651	Sue Kennedy
691691	275786	Barbara Teller
691691	281845	Rose Wiley
691691	283876	Emily
691691	285030	Stella Taylor
691691	291081	Donna Devore, actress
691691	291402	Herself
691691	292259	Florence Wendell Fairchild
691691	292413	Mary Lennox
691691	300103	What Became of the Floradora 
691691	309533	Vera Hamilton
691691	313076	Zelda
691691	318026	Patricia Wolf
691691	328566	Beverly West
691691	331127	Nora Brady
691691	332100	Enid Bryant
691691	335883	The girl
691691	343212	Ethel Harriman
691691	347057	Jane Bradford
691691	347066	Rosie O'Grady
691691	347181	Molly Malone
691691	358975	Diana Moreland
691691	359213	Julie March
691691	363622	Helen Morrison
691691	367485	Judith Temple
691691	367755	Louise Halliday
691691	372108	Patricia Berry
691692	176487	Girl at Party
691693	80640	Mother Tran
691694	233802	Donald Walling's Sister
691695	363780	Housekeeper
691696	75031	
691697	211473	Lynn Lee
691698	373687	Lily
691699	118527	Herself
691699	335606	Herself
691700	41211	Party Guest
691700	110319	Flight Attendant #5
691701	186849	Bianca
691701	207706	Campaign Assistant
691701	239713	Lucy Floyd
691702	218833	
691703	331965	Donna
691704	336488	Jeremy's Co-Worker 2
691705	41890	Miss Brenner
691705	64506	Gladys Vavasour
691705	133816	Miss Brenner
691705	138656	Tanya/Josephine
691705	183670	Singer
691705	267449	Miss Brenner
691705	340517	Mrs. Hunt
691706	31892	Us Girls
691706	370863	Jade Cobra girl
691707	50240	Restaurant Attendant
691707	194648	Regina Cornelius
691709	327836	Tough Beach Girls
691710	19202	Jasmine
691711	57164	Waitress
691711	186681	Angel of Mercy
691712	42877	
691713	90438	The Sweetheart
691713	191022	Marian Calvert
691713	254495	Paulette
691713	264483	Countess Helga
691714	8736	
691714	16940	
691714	48431	Jenny
691714	61071	Loletta Lee
691714	81793	
691714	85455	Margaret
691714	85489	Edna
691714	103822	Winnie Tsang
691714	111184	Jane Ma
691714	121094	Wai-Dai
691714	121098	Wai-Dai
691714	121103	Wai-Dai
691714	121104	Wai-Dai
691714	129077	
691714	135025	Bo Ji
691714	136327	Jane Li
691714	138626	Girl at Table
691714	138629	
691714	149006	Pearl
691714	167408	Foon's Girl
691714	167428	Jane, the good ghost
691714	167449	Ching-Ching
691714	172217	Juliet
691714	172220	Cameo appearance
691714	181429	Bi-Qi
691714	181566	Tan's Sister
691714	184617	Annie Cheung
691714	189171	Icy
691714	194042	Loletta
691714	198591	
691714	198592	
691714	210971	Jane
691714	212510	Jane
691714	221498	Maggie
691714	255020	Coco
691714	268626	Oscar
691714	268682	Sow
691714	275547	
691714	275568	Li Sin-Yi
691714	296570	June
691714	297352	Mabel
691714	297394	Shu-Shu's Assistant
691714	298353	Cha Shi
691714	300639	Minnie
691714	316635	FBI Agegnt #6
691714	358920	Panzer's Wife
691714	367167	Mildred Lo
691714	368073	Restaurant/Cart Noodle
691714	369591	Janet
691714	369711	Batman's Lover
691714	369744	Maggie
691714	371591	Chu-Chu
691714	373013	Yiau
691714	376046	Lina
691714	376057	Mimi
691716	150275	
691717	296105	
691718	19302	Businesswoman
691719	333354	Housekeeper
691720	170308	Lulubelle
691721	84987	Rose
691721	117992	Angie
691721	188173	
691721	240832	Maid
691721	363632	Mrs. Danzart
691721	367745	Harriet Plummer
691722	214112	Sumuru Guard
691723	29953	
691723	41588	
691723	128635	
691723	306911	
691723	330054	Herself
691724	177617	Liz
691725	177989	Harem Showgirl
691725	330097	Stenographer
691726	271297	Girl
691727	1792	Miss January 1987
691727	35523	Playboy Playmate
691727	52312	Herself
691727	257645	Herself (Miss March)
691727	328258	Bruce's Girl
691727	356472	The Media (Herself)
691727	361862	Herself
691727	399428	Herself
691728	104021	
691730	393482	Additional Voices
691731	33034	
691731	75031	
691731	75059	
691731	106485	
691731	154187	
691731	332851	
691732	75031	
691732	296293	
691732	332850	
691732	372458	
691733	401828	Lick's granddaughter
691734	26328	
691734	93257	
691734	97131	
691734	237577	
691734	274647	Mabel
691734	320813	
691735	158625	Striptease Dancer
691736	16093	Drebben's Mother
691736	66557	Impatient Woman
691736	110298	
691736	189221	Supermarket Customer
691736	192409	
691736	241008	
691736	248389	Bertha
691736	281927	Camille (The Peabody)
691736	289030	Receptionist
691736	329484	Woman at Sidewalk Café
691736	368712	Commentator
691737	117616	Isabel King
691738	1327	
691738	51007	
691738	227419	
691739	135097	
691739	195253	
691739	272927	Gun Moll
691739	297992	
691739	394311	Ann Gargan
691741	141859	Ilse's Friend
691741	221043	Reception clerk
691742	367866	Herself
691743	28751	Mrs. Rabbit
691743	47137	
691743	69388	
691743	116543	Babs Bascomb
691743	145773	Betty
691743	175142	
691743	195288	Blonde Flirt
691743	199185	
691743	203787	
691743	239669	
691743	281904	
691743	305467	
691744	3369	Helen Alexander
691744	6575	
691744	8256	Evelyn
691744	19218	Terrorist girl
691744	20747	Baby Eva
691744	25301	
691744	28544	La contessa
691744	30743	Karen
691744	33815	
691744	35014	Cheryl Hume
691744	55332	Linda
691744	56079	Lolly
691744	64243	Helga Richter
691744	64553	Gina
691744	65552	
691744	67517	
691744	67518	
691744	70522	Mara a.k.a. Eva
691744	76261	
691744	88390	
691744	91137	Gwendolyn
691744	94686	
691744	94705	Floriana
691744	94711	Segretaria
691744	94714	
691744	114634	Magda
691744	118834	Daisy Smith, Widow, Grandmoth
691744	119213	Paoline Bonaparte
691744	156911	Adelina (segment "Medico e fi
691744	157691	
691744	162077	(segment "La danza delle ore"
691744	183486	
691744	188644	(segment "00-Sexy, missione b
691744	191556	Carmela
691744	199047	Moah
691744	204262	
691744	206955	Segretaria dell'editore
691744	218955	
691744	219828	Christine
691744	230893	Cynthia Fulton
691744	231684	Aïcha Melik
691744	234647	
691744	244873	Samia Voss
691744	248150	
691744	269633	
691744	269638	Sayonara
691744	269709	
691744	270887	
691744	285576	
691744	287647	Amanda, Maciste's girlfriend
691744	290901	
691744	291687	Grace
691744	294290	
691744	295042	Lady Jane
691744	300785	
691744	307489	Betty
691744	313136	Fanny Fonseca
691744	318141	KinaSandra
691744	332935	Pamela Mitchum/Patricia Johns
691744	336601	
691744	338689	Sonia, la Bionda
691744	338692	Christina
691744	351073	Susanna Andreoni
691744	353083	
691744	354720	
691744	376744	Lucia Barrett
691745	55477	Pagan Knight
691745	196361	
691746	97446	
691746	141596	Wealthy Woman
691746	154094	Avril Williams
691746	161515	Zra Marlow
691746	169372	Editor
691746	257048	May Ryan
691746	277889	Lucy Rossingdale
691746	313828	Pearl
691746	333127	Mrs. Harrington
691746	397380	Miss Dawson
691746	402470	
691746	403929	
691746	406625	
691748	267862	Undetermined Role
691749	150973	Duchess of Bellshire
691750	65561	Cleopatra Wong
691750	95855	Cleopatra Wong
691750	211324	
691750	251197	Cleopatra Wong
691751	16915	Mary Wilson
691751	26742	Patsy
691751	30224	Bubbles Martin
691751	55524	Patsy Stanhope
691751	72233	Chip Williams
691751	124582	Patsy Halloway/Marybelle
691751	209672	Herself, Mary Lee
691751	209674	
691751	210388	Ginger
691751	210432	Penny
691751	227338	Mary Nickerson
691751	234223	Janie Farnsworth
691751	271997	Patsy Dodge
691751	277916	Patsy Randolph
691751	278042	Patsy Evans
691751	297478	Liz Gorty
691751	302644	Judy
691751	302716	Patsy, Orphan Girl
691751	308597	Kitty Hanley
691751	309849	Patsy
691751	331451	Sue Scott
691753	297101	Mary
691753	331193	Li Yuan
691754	27866	
691755	301539	Mary Rintel
691755	307900	Nurse
691756	187078	Bit part
691756	281889	Mamma Shigura
691757	223349	Girl Playing
691758	49455	Muffy
691759	167760	
691760	385060	Sylviana
691760	394051	Meimi/Saint Tail
691760	411289	Toko Masaki
691763	380730	Host
691764	109460	Kathy
691764	224314	Tiffany
691765	63711	Nataruma
691765	217377	Sayuri (English version)
691765	271676	Mew Fumizuki
691765	385200	
691765	387419	
691766	404282	Cassie Phillips (1989)
691767	51015	Hero
691767	221656	
691768	147299	
691768	149009	
691768	166206	
691768	247024	
691768	308961	
691768	346981	
691768	371185	
691769	2964	Newscaster
691769	7212	Newscaster #1
691769	88919	KKBE News Anchor
691769	209526	TV Announcer 3
691769	236222	News Anchor
691769	369486	News Reporter
691770	51577	
691770	299009	
691770	308445	
691771	408	Mi-suk
691771	28805	
691771	34514	Young-hee
691771	49421	
691771	78274	Su
691771	94441	
691771	122836	
691771	125953	
691771	126769	Su-ji
691771	130569	Chun-ja
691771	136422	
691771	162218	
691771	170630	So-Hyun
691771	217618	
691771	226566	
691771	226592	
691771	242383	
691771	259982	
691771	289399	Madam Jo
691771	364701	
691771	369413	
691772	37506	
691772	126815	
691772	137085	
691772	144261	Son Ji-hye
691772	159133	Lee, Shin-young
691772	164757	
691772	169726	Lee Hae-suk
691772	170636	Eun-su
691772	219870	
691772	222144	Ae-ryun
691772	226550	
691772	234103	Hyun-Ji
691772	236764	
691772	286055	
691772	371143	
691773	76645	
691773	76648	
691773	76651	
691774	29112	Los Angeles Anchor
691774	40533	Newscaster
691774	385060	Silviana
691774	395167	Narrator, Lady Mad-thane, Add
691774	402137	Herself - Reporter/Co-Anchor 
691774	409831	Rebecca (Season 2)
691776	723	Herself
691776	2262	Herself
691776	2355	Herself
691776	2376	Herself
691776	12338	Vivian Feffer
691776	31193	Herself (CBS Team)
691776	37024	Dottie West
691776	47315	Blanche
691776	47385	Herself
691776	48652	Anne Costello
691776	57492	Herself
691776	64567	
691776	64570	Herself
691776	67374	Dina Blake
691776	68119	Mary Gibson
691776	78987	Dolores Marsh
691776	90215	Herself
691776	109658	Barbara Brennan
691776	133123	Cousin Mel
691776	151675	Rosemary Pilkington
691776	154396	
691776	161286	Herself
691776	161342	Herself
691776	161373	Herself
691776	168129	Herself
691776	175528	Herself
691776	179042	Herself
691776	180652	Mrs. Lane
691776	188578	Rita Phipps
691776	195494	Carole Bennett, Thorndyke's S
691776	200217	Herself
691776	201435	Herself
691776	222721	Barbara Traynor
691776	224328	Mary Anne
691776	232017	Herself
691776	236956	Narrator
691776	238546	Diana Devereaux
691776	242106	Jill Garrett
691776	279689	Stephanie
691776	289456	Jacqueline Susann
691776	302783	Susan Parmel
691776	362966	Jessica Cochran
691776	372165	Herself/Host
691776	381111	Herself
691776	394676	Karen Cooper Fairgate MacKenz
691776	394677	Karen MacKenzie
691777	345798	Pan Pan
691778	155674	D.S.S. Woman
691779	45021	Woman
691779	138700	Herself
691779	144406	
691779	280478	Susi
691779	319753	Maid I
691780	124026	Kid
691781	61328	Queen Demon
691782	315909	Terri
691783	16466	Mimi, a Student
691784	104320	
691784	167880	
691784	370734	Miki
691785	2427	
691785	11274	
691785	11435	
691785	13276	
691785	13277	
691785	13283	
691785	13284	
691785	14114	
691785	21915	
691785	21940	
691785	21969	
691785	24647	
691785	27012	Miko
691785	31816	
691785	33945	
691785	34825	
691785	41645	
691785	44124	
691785	44864	
691785	50580	
691785	54430	
691785	54566	
691785	61260	
691785	61894	
691785	74078	Asian Nympho (Miko Lee)
691785	75039	
691785	81925	
691785	87303	
691785	102793	
691785	104403	
691785	110294	Malia
691785	123610	
691785	123615	
691785	123809	
691785	128690	
691785	138201	
691785	224254	
691785	240824	
691785	247991	Blonde Asian Babe
691785	266185	
691785	298005	Lady On Boxcover
691785	305736	
691785	306923	Herself
691785	310908	
691785	330051	Herself
691785	334143	Blonde Asian
691785	348825	
691786	123427	Mildred Colburn
691786	151731	
691787	7358	
691787	15391	
691787	16583	
691787	60628	
691787	89456	
691787	89548	
691787	90587	
691787	90615	
691787	126779	
691787	126819	
691787	144313	
691787	218639	
691787	227079	
691787	230254	
691787	295226	
691787	371258	
691788	3072	
691788	8294	
691788	9613	
691788	20063	
691788	29438	
691788	38277	
691788	60616	
691788	62555	
691788	62627	
691788	78278	
691788	102059	
691788	102084	
691788	122832	
691788	131277	
691788	136321	
691788	137354	
691788	138424	
691788	159876	
691788	160196	
691788	162680	
691788	165332	
691788	165520	
691788	167934	
691788	177079	
691788	199898	
691788	214284	The widow
691788	218640	
691788	226565	
691788	239084	
691788	243896	
691788	256921	
691788	285231	
691788	294436	
691788	294494	
691788	295227	
691788	298737	
691788	329015	
691788	359036	
691788	371153	
691788	371195	
691788	371253	
691788	373147	
691789	371174	
691790	409364	
691790	411684	Choi Ha-rim
691791	370863	Jackie Wong
691792	287025	
691793	225194	
691794	388977	Pam Am assistant
691794	399130	Pat Horrocks (1998-2001)
691794	399816	Sharon Stevens (1972)
691795	112126	Herself
691796	391239	Co-Host
691797	125586	Aunt Edna
691797	217375	Dianne Kennedy
691797	329088	Nurse
691798	156030	
691798	160562	Middle Aged Woman
691798	206331	Female Barrister
691798	212032	Sadie McConnell
691798	269368	Mum
691798	278842	Bruised Woman
691798	294702	Blanche
691798	405960	Christine Matthews
691799	79081	Nurse Sweetie
691799	87588	Kastby Kickers
691800	65184	Clarence's classmate
691801	25891	Feng
691801	25902	Madam Lee
691801	42929	Fanny
691801	61058	Moon
691801	63278	Siu-Fung
691801	81295	
691801	126808	Ting-Ting
691801	130844	
691801	149038	Herself
691801	153050	Chitty
691801	167450	Gigi
691801	167754	Mona
691801	167759	Moon
691801	167845	
691801	189512	Bing
691801	191885	
691801	210997	Silver Fox
691801	212644	Li Min-Feng
691801	215841	
691801	216655	May
691801	266050	Soo Ling
691801	296587	Yau Li
691801	298372	May
691801	300453	Angel Sui
691801	318526	Mu Sang, Countess's Guard
691801	332325	
691801	332326	Moon, Angel #2
691801	332327	Moon
691801	332328	Moon
691801	341409	Rose Wong
691801	360990	Anna Wong
691801	368068	
691801	369041	CID Agent's Girlfriend
691801	369795	Li Feng
691801	370819	Wawa Chai
691801	375778	
691802	38405	
691802	130832	
691802	233003	
691803	214452	Mother
691804	178758	Blind Woman
691805	1381	Herself - a Story Reader
691806	318921	Hak-cheol
691807	32111	Woman
691808	348817	
691810	60643	
691810	204115	
691811	72912	
691812	237214	
691813	294458	
691813	294475	
691814	16555	Han Yi-yeon
691814	60645	ShoSho
691814	186844	
691814	364142	In-ju (Byoree)
691814	371230	Na, Yeong-ju
691815	299798	Cafe Waitress
691816	63368	
691817	234660	
691818	108087	Asian Student
691818	117992	Josie Lockwood
691818	137965	
691818	238227	
691818	327760	Ruth Sulke
691819	26563	Maenad (chorus)
691821	301745	
691822	14175	G
691823	359344	
691824	33940	Hounslow Harrier
691824	379873	Kimberley Taylor
691825	67135	Herself
691825	108477	Dawna
691825	257765	Anaesthesiologist
691826	123792	
691827	89391	Customer
691829	246181	Herself - Dead Rat floorshow 
691830	86780	Old m.j. player
691831	114303	Nurse
691832	41843	
691832	71637	Rose Shelly
691832	366613	Kate Bence
691832	367046	Miss Turner
691833	33517	
691833	49890	
691833	61866	(segment "Infidelidad, La")
691833	68559	
691833	68845	
691833	224966	
691833	229442	La diosa del amor
691833	246881	
691833	296148	
691834	30224	Orphan Girl
691835	155734	
691835	267896	Nancy
691835	267897	Nancy
691835	294035	Finance officer
691835	370001	
691836	126905	
691836	229878	
691837	100906	Cleaning Woman
691839	42062	Hattie
691840	357086	
691841	339915	
691842	220514	Jenny Arden
691843	16050	Inmate
691843	260663	Stripper
691843	313715	Bracero Wife
691843	372569	Janey
691844	67372	Sydney
691844	195842	
691844	313692	
691844	373216	Auditioning Actress
691845	20287	Dancer
691845	26439	
691845	77805	Chorus girl
691845	78732	Blonde
691845	126067	Chorine
691845	147388	
691845	157870	Bit
691845	163544	Dancer, Cuban Girl
691845	195071	Dancer
691845	223054	Dancer
691845	241444	
691846	409105	Regular (1951)
691847	311537	Joan
691847	400535	Herself
691848	183038	
691849	185567	Patti
691849	408234	
691850	315923	First little girl
691851	263076	Mrs. Lin
691852	3296	Memorial tribute
691852	13682	
691852	34113	Herself
691852	87758	Si/Am
691852	94943	Herself
691852	137682	
691852	165862	Voice only
691852	166034	Herself
691852	166072	Judy Lane
691852	175522	Presenter: Ella Fitzgerald
691852	175525	Herself
691852	183549	Darling/Si/Am/Peg
691852	213236	
691852	221044	Herself
691852	253847	Rose Hopkins
691852	262138	Herself - Peggy Lee
691852	269951	Herself
691852	312774	Herself - Goodman Band Singer
691852	313319	Herself
691852	402964	Herself
691852	409150	Regular (1951)
691853	183430	Herself
691854	117656	
691855	8029	Alisa Stair
691855	37155	
691855	155594	Mrs. Marchmont
691855	220638	Partridge
691855	257169	Lynn Driver
691855	319602	9th Elder
691855	335204	Rowena's maidservant
691855	388887	Lucy Flaxton (1969)
691855	393427	Daisy Warwick
691855	395647	Lady de Grey
691855	403112	Dr. Mary Mitcheson/Gaunt
691855	409840	Mrs. Haggistoun
691856	411563	Additional Voices
691857	196902	Woman at Party
691858	148531	Beng Soon's Mother
691859	36839	Woman in Auto
691859	47470	Nurse
691859	64835	Girl in Car
691860	370402	
691861	264207	
691862	268709	Court Lady
691864	347346	Portia
691865	337814	Wig Store Owner
691866	206884	Farraday Girl
691866	368675	Prefect
691866	383998	Debra
691866	397536	Jaye
691866	398574	Hannah
691866	406464	Joy Cipriani
691866	407759	Po
691866	411850	
691867	401973	Whore #4
691869	122113	
691869	316626	(English version)
691869	394016	Additional Voices
691870	144568	
691870	154060	
691870	207489	
691870	300520	
691870	306908	
691871	41587	
691871	143072	
691872	97390	Singer #2
691872	127417	Stella Della
691872	135989	Singer
691872	358479	Woman from Fielding's campaig
691873	260119	Marie
691873	379893	Regular Performer (1999-2000)
691873	402343	Nubia Gross
691874	94913	
691875	176989	Mrs. Joiner
691876	125689	Shunsen
691876	215380	Kiyomi
691876	318789	Relko
691876	359353	Matsu
691876	372000	
691877	20260	Lisa
691878	20330	Doris
691878	217004	Chanteuse
691878	272602	Witness in Crowd
691879	144594	Interviewee
691880	69049	Eva
691881	116212	
691881	122625	
691882	14966	Singer in the nightclub
691882	63820	Sunda Morgana
691882	86050	Mary Shadow
691882	95432	Tia Julieta
691882	116391	Woman making pik-nik
691882	239926	Eva Perón
691882	248236	
691882	278897	Herself (singer and guitar)
691882	278931	Herself
691882	280501	Herself
691882	324621	Raul Seixas
691882	368098	Rê Bordosa, Lady Jane
691882	383727	Herself
691882	404119	Herself
691882	408550	Belatrix
691882	409184	Lita Ree, Mabel Marcondes, Ad
691882	409814	Lita Ree
691883	36723	Polly
691883	191047	
691883	224364	Doreen
691883	271213	Twink/Shy Violet/Indigo/La La
691883	321657	Lace
691883	402800	Twink/Shy Violet/Indigo/Lala 
691883	404354	Q*tee, Q*val (segment 'Q*bert
691884	41987	Actress
691884	389244	Regular (1950-1951)
691885	6027	
691885	7937	
691885	12419	
691885	26941	
691885	34759	
691885	66069	
691885	67130	
691885	68986	
691885	75045	
691885	81264	Sam
691885	81382	
691885	81383	
691885	81851	
691885	93310	Dreaming woman
691885	122625	
691885	127616	
691885	144421	
691885	144616	
691885	147756	
691885	149980	
691885	150411	
691885	152672	
691885	185889	
691885	208493	
691885	214109	
691885	221316	
691885	228661	
691885	233693	Lady in Black
691885	241655	
691885	251201	
691885	260725	
691885	264034	
691885	271298	Susie
691885	276673	
691885	295927	
691885	295933	Nurse #2
691885	296329	Virgin who has sex with footb
691885	312373	
691885	312374	Tommie (The Squirt)
691885	318501	
691885	327137	
691885	332433	
691885	336661	
691885	339774	
691885	363998	
691885	364159	
691886	155294	Ice-Capades Skater
691887	147740	Ms. Finley
691888	315246	Iaenni Queen of the Fay
691889	1038	Rachel
691889	12203	Miss Brown
691889	75282	Ellen
691889	82445	Bethany Dandrige
691889	140310	Leigh Darling
691889	146780	Cressida
691889	228310	Denise
691889	283464	Cecily Monroe
691890	149458	Shauna
691891	306785	Ferguson's Gang
691892	102771	Nude Model
691892	410768	
691893	310759	Muriel Hodge
691896	149247	Joon Kojimo
691898	177988	Handmaiden
691898	348327	Goldwyn Girl
691899	308350	Girl
691900	232495	Fung Mei Fun
691901	82923	Maggie
691902	91768	Lab Tech
691903	215855	
691904	25845	
691905	128469	Girl under the table
691906	199150	Mama Joy
691906	389701	Herself - Host (1984-1985)
691906	390336	Herself - Cookery expert (198
691906	392469	Herself - Winner (Series 2)
691907	3788	Herself
691907	18617	Girl
691907	49326	Lottie
691907	63123	Grandma
691907	80921	Herself
691907	90882	Dr. Marion Turner
691907	99585	Su-Su
691907	121808	Laura Fawkes
691907	121819	Lettie
691907	122788	Denise
691907	127284	Ernestine Di Gonzini
691907	135811	Marleen
691907	149394	A.G. Bannister
691907	151779	Sharon
691907	159199	Phyllis Dorfman
691907	197077	Herself
691907	206069	Imogene Norman
691907	242738	Anna Kemp
691907	252449	Faye Converse
691907	263359	Antique Store Patron
691907	266647	Mrs. Poole
691907	280639	Evelyn Danton Kane
691907	281511	
691907	290943	Revolta
691907	294760	Amelia Parent
691907	295282	Ruth Jebson
691907	302436	Herself
691907	306649	Herself
691907	321147	Sally Powers
691907	329560	
691907	342575	Dancer
691907	366987	Diana
691907	378759	Dona
691907	384729	Pauline Spencer
691907	391544	Hostess (1974-1976)
691907	400759	Herself (1962)
691907	405718	Additional Voices
691907	410914	Herself/guest panelist (1969-
691908	6908	Mrs. Linden
691908	17773	Mrs. Nesbitt
691908	21552	
691908	32952	Woman
691908	70976	Mom Christi
691908	72122	Mrs. Abbey
691908	73139	
691908	73246	3rd police broadcaster
691908	74711	Woman on the Table
691908	77177	Mrs. Bohannon
691908	78849	Mrs. Aldrich
691908	86910	Laura Cooper
691908	88149	Liz Smith
691908	117769	
691908	122656	Mrs. Barton
691908	126513	Woman
691908	130301	Mrs. Wentworth
691908	131532	Paula
691908	142469	Mrs. Moffit
691908	142948	Schoolteacher
691908	143565	Miss Holford
691908	144109	Miss Crawford
691908	144448	Mother
691908	144936	Ruth (Jazz Festival organizer
691908	147536	
691908	150347	
691908	151563	Mrs. Doakes
691908	151674	Mrs. Doakes
691908	151685	The Wife
691908	154913	Ethel
691908	155586	Abigail Hawthorne
691908	157202	Mrs. Doakes
691908	160711	Miss Pringle
691908	163299	Miss Collins (Greenleaf's sec
691908	167099	Mother
691908	169906	
691908	175175	Classroom instructor
691908	183824	Miss Brand
691908	184826	Patricia Carson
691908	194095	Mrs. Tewitt
691908	200472	Mrs. Gallentine
691908	200488	Lita Andrews
691908	201069	Helen
691908	202631	Mabel
691908	203594	Aunt Harriett
691908	203708	Mrs. Doakes
691908	212216	Mrs. Fred Walters
691908	213045	Mother
691908	218330	Gossipy Woman Hanging Clothes
691908	218782	Miss Evans
691908	223019	Nurse
691908	224368	Mrs. Doakes
691908	228660	
691908	235381	Jennie Purcell
691908	235589	Mrs. Benchley
691908	240470	Helen
691908	240650	Barbara
691908	249518	Miss Thurston
691908	251279	Aunt Edna
691908	277521	Miss Widdicomb
691908	277628	Undetermined Role
691908	292470	Commentator
691908	294212	Mrs. Gustafson
691908	296767	Mrs. MacCurdy
691908	296835	First Nurse
691908	301998	Mrs. Martin
691908	302632	Bridget's Mother
691908	304096	Mrs. Yarbrough
691908	309505	Woman in Sedan
691908	321522	Bit
691908	321570	Landlady
691908	329442	Mrs. Doakes
691908	330097	Miss Adelaide Finch
691908	331558	Receptionist
691908	337122	Lucille Conway
691908	340553	Mrs. Doakes
691908	341461	Hannah Rogers
691908	360834	The Woman
691908	362840	Bully's Mother
691908	363623	Miss Hall
691908	364554	Mrs. Doakes
691908	365329	Guest
691908	367003	Mrs. Doakes
691908	372633	Relator
691908	372891	Miss Hubert, Heywood's New Yo
691909	355013	Jennifer
691910	370278	
691911	183213	Ballroom Dancer
691911	256141	Woman Warrior
691912	62187	Peggy
691912	63371	Mi
691912	63375	Candy
691912	172217	Venus
691912	179951	Jo Jo
691912	218036	
691912	231226	Susan
691913	163347	Teenager
691913	342873	Jean, age 1
691914	135116	
691915	346039	Mrs. Chang
691915	360032	Korean Singer
691916	378438	
691917	408627	Sewing Factory Boss
691918	18603	Mother
691919	19054	
691919	127718	
691919	166798	
691919	202331	
691919	370397	
691919	396531	Choi Mi-joo
691920	61944	
691921	1921	
691922	60577	
691923	153520	
691923	320193	
691924	123841	
691924	136420	
691924	153442	
691924	155191	
691925	34946	
691925	50378	
691925	50379	
691925	50393	
691927	190798	Herself
691929	406778	Herself
691930	110751	Bathhouse girl 2
691930	238225	Bar girl
691931	42234	Cooky
691931	149006	Queenie
691931	152114	Youngest Huang sister
691931	167366	Hooker
691931	181429	Lam Bi-Sheng
691931	302613	
691931	324735	2nd in Command
691931	324738	Jacky
691931	332502	Stella
691931	369956	Kwok Siu-Chun
691932	34740	
691932	44652	
691932	50374	
691932	50379	
691932	50381	
691932	105428	Misty
691932	128639	
691932	133921	
691932	333832	
691932	333835	
691932	335949	
691932	356649	Herself
691933	29745	Korean Woman
691934	407084	Herself (Yasur Tribe)
691935	49660	Lee Yu-jin
691935	137077	Young-woo
691935	385546	Yeol-I
691936	8700	Jang Woo-rim
691936	385546	Young Geum-yeong Choi
691937	130282	
691937	372982	
691938	73314	Page
691938	73850	Marcy Houston
691938	80372	Lucille Clay
691938	80934	
691938	194638	Hi Ro Student
691938	244770	Janelle Jones
691938	282935	Pretty Girl
691938	388545	Marguerite Metoyer
691939	18158	Doctor 2
691940	267195	
691941	38187	Sun-hwa
691941	59081	
691941	216415	Na Su-jeong
691941	392507	Shin Su-young
691941	409678	
691943	107378	Apple
691943	383833	Seven Treasures
691944	40187	Resident
691944	45979	Herself
691944	48100	Herself
691944	51960	Mi Lo
691944	75539	Herself
691944	92847	Party Singer
691944	102182	Pamela
691944	136332	Mandy
691944	144987	Jane Logan
691944	190016	Herself
691944	250564	Herself
691944	411324	Host
691945	344183	Trish Balder
691946	296266	Crystal
691947	398179	Herself - Green Team
691949	4627	Blonde
691949	61163	Chorus girl
691949	103328	
691949	141166	Blonde in Car
691949	220159	Jessica Fannin
691949	274728	Blonde
691949	292819	Rita Wilson
691949	365194	Waitress
691950	235067	Party Guest
691951	346195	Group cast appearance
691952	296665	Bitch In The Black Dress
691953	253511	Anna
691953	273282	Up on the Roof/Voyeur
691954	87427	
691955	16767	Angelica Chaste
691955	26885	Astrid Kirchherr
691955	40836	Maria
691955	41276	Fiona
691955	61820	Elinore
691955	78531	Sam
691955	79518	Bathsheba
691955	90280	Michelle
691955	107823	Patty/Carol
691955	116535	Mary Ingles
691955	135622	Guinevere
691955	146807	Eve Robbins
691955	148003	Lucy Samuel
691955	154446	Girl
691955	166938	Tara
691955	178140	Andy
691955	196303	Patti
691955	219972	Helga Noth/Resi Noth
691955	235553	Liza
691955	256188	Pink Chiquita
691955	274323	Kate Lyons (segment "Jake's S
691955	274324	Kate Lyons (segment "Jake's S
691955	330951	Lois Archer
691955	342549	Laura Palmer
691955	342552	Laura Palmer
691955	350235	Katrina
691955	364206	Lucie Fairwell
691955	364230	Lucie Fairwell
691955	365169	Good Witch
691955	394510	Marlene McDillon Cadena
691955	395020	Dr. Sarah Church
691955	409210	Laura Palmer/Madeleine Fergus
691956	335406	Pie's Girl Shirley
691957	154256	Helen Richmond
691958	273826	Chinese Madam
691959	326016	
691960	388139	Herself (News Reporter)
691961	178975	V-Six Model/Cheerleader
691963	289399	So-ok
691964	76649	Teenage hooker
691965	196496	Annetta
691966	89572	Ballerina in Spoleto
691966	253915	Tiger Lily
691966	256343	Gepetto's Cat
691966	402245	Tiger Lily
691966	407348	Dance Performer
691967	14489	Demons
691968	63424	Her Mom
691969	105028	Member of The Dixie Chicks St
691970	97314	
691971	50268	Darlene
691973	297389	China Doll
691974	118007	Fortune maker
691975	21042	Alessa Woo
691975	27195	Waitress
691975	45457	Judy
691975	134025	Mai-ling
691975	141815	Kwahng-Yi
691975	275322	Jennifer
691975	304945	Pat
691975	390309	Host
691975	399260	
691976	164381	Baby Sarah
691977	44083	Linda
691977	56618	Tracy Kerrigan
691977	137563	Corri Neale
691977	140765	Nina
691977	147980	Yvonne
691977	149956	Joanne
691977	222831	Tania Degano
691977	324660	Mickey Falstaff
691977	343352	Maia Tertius
691977	388978	Penny Wellings (1990-91)
691977	402718	Penny Wellings
691977	404953	Herself - Host (1992)
691978	135707	Herself
691978	215691	Miss Michigan USA
691978	390827	The S-Kid (1998-2002)
691978	390828	The S-Kid (1998-2001)
691978	390829	The S-Kid
691979	115679	Young Ichiume
691979	389858	Young girl (2001)
691980	41197	Phone Strawberry
691981	17840	
691981	28355	
691981	28356	
691981	29521	
691981	49197	
691981	51577	Heo In-ae
691981	137859	
691981	147328	
691981	166014	
691981	166788	
691981	243897	
691981	286663	
691981	288013	
691982	258938	
691982	371850	
691983	105630	Herself/Sign Language Interpr
691984	370500	Jackie
691985	85491	Fang
691985	268651	Shuet
691985	298427	Cheung Fung
691985	371509	Mandy
691986	166822	
691987	167788	
691989	292092	Gong Seung-ho's sister
691990	161911	Do-hee
691991	199888	
691992	170320	
691993	21913	Herself
691993	58481	Iris
691993	63135	Muka Laka Miki
691993	81287	Hoo-Chi
691993	97460	Herself
691993	102951	Toni
691993	128350	Ferrari
691993	213090	Streetwalker
691993	232142	Phoebe
691993	236873	Jasmine
691993	257683	Herself
691993	303538	Beautiful Woman
691993	329515	Jackie
691993	330701	Kobi
691993	405212	Fortune Cookie (pilot)
691994	222216	Kimmy
691994	289222	Girl #2
691995	234661	Paul's Mom
691996	71856	Chris
691997	29225	
691998	190461	Knowles' Kid
691999	258017	
692000	132140	Slave Aggy
692000	283462	Edy
692001	347839	
692003	136073	Ann
692004	227198	Hee-kyoung
692005	367588	Dominque
692006	31526	
692006	37198	
692006	44426	
692006	56745	
692006	147620	
692006	242510	
692006	258065	
692006	292334	
692006	295795	
692006	306991	
692006	324161	Herself
692006	324162	Herself
692006	344481	
692007	89061	
692008	348386	Bibs
692008	362538	Charlene Barker
692009	324265	
692010	380511	Herself (season 1)
692011	845	Cruise Director
692012	68232	Dancer
692012	290319	Tanya
692012	363528	Althea
692013	53042	Pam
692014	77949	Susan Robertson
692015	321746	
692016	57138	
692017	25822	
692017	62388	Gi Gi
692017	63472	Apple
692017	110621	
692017	135016	Reimi
692017	135752	O
692017	167383	Wai
692017	167417	
692017	197530	April
692017	268649	Chu
692017	287035	Phoenix
692017	297500	Brenda Lee
692017	370752	Reporter
692017	373395	Cherry/Ying-er (Chinese pinyi
692017	375367	Cheryl
692018	393495	Herself
692019	139677	1st Daughter
692020	133334	Cheerleader
692021	42792	
692022	117656	Cashier #1
692023	122204	Auntie Carla
692023	164128	Mrs. Pearlman
692023	177369	Woman in Telephone Booth
692023	315619	1st Woman
692023	330177	Rich Lady
692023	356313	Secretary
692024	209709	Religious Woman
692024	248086	Nurse Betty
692025	114350	Junior Barrister (Prosecutor 
692026	62840	YY
692026	76420	
692026	123256	
692026	230748	
692026	231199	Priscilla
692026	286446	Zhou Kit-Yu
692026	372389	Carmen
692027	128663	Tara Jones
692027	171717	Girl In The Dream
692028	32761	Singer
692028	184100	
692029	370923	Little Chiu
692030	306616	Mamasan
692031	283722	Alma
692032	189977	Lady C. Chang-Stimson
692033	272021	Chicken Head #2
692034	82655	
692034	295083	
692036	309546	Dancer
692037	308960	
692038	409609	Una (1994)
692039	254417	Harriet
692039	254418	The Ratwoman
692040	34079	
692040	77838	Marilyn
692040	89363	
692040	98823	
692040	239855	
692040	333314	
692042	6859	Trustee banker's wife
692042	311530	Little Girl
692043	139790	Dance-hall girl
692043	143191	Page Girl
692043	147552	Dancer
692043	154182	Dancer
692044	53336	Gabrielle
692045	203942	Cherry Blossom
692046	362551	'Baby'
692046	369411	Young Girl Patient
692047	251454	Vicki
692048	106721	Cheryl Wang
692048	206410	
692049	353529	
692050	11371	Herself
692050	54750	Wet Nurse
692050	112130	Herself
692050	188090	Secretary
692050	231357	
692051	257609	
692052	223139	Herself
692053	81538	
692053	289378	
692053	306022	
692054	192442	Mother
692054	365779	Asian Woman
692054	382458	Suzie Ling
692055	304540	Cleo
692056	306814	Nikki Best toddler & infant
692057	6614	Roberta Arnold
692057	35760	Ruth Lane
692057	35786	Henrietta Greeley
692057	79419	Sue Harrison
692057	84212	Lola Whitaker
692057	109673	Brazilian Opera Troupe
692057	117095	Antoinette Gerard
692057	118008	Governor's daughter
692057	135708	Millicent Dunston
692057	155901	Miss Winifred
692057	155904	Donna Wayne
692057	163290	
692057	196852	Laura White
692057	239035	Adele Butler
692057	279375	Antoinette Gerard
692057	287286	Molly Kirby
692057	291150	Beatrice Lee
692057	294908	Muriel Merrick
692057	328614	Annie Mangan
692057	363632	Miss Danzart
692057	363922	Olga Swenson
692058	40033	Joyce Winters
692058	76238	Jeanie
692058	79368	
692058	92883	Helena Vanderhyde
692058	249269	Glenda Palmer
692058	282711	Dancer in Haiti number
692058	307821	Joyce Winters
692059	115895	One of Sam's girl friends
692059	145389	
692059	276665	Doreen Chan
692059	279636	Specialty dancer
692059	307368	
692060	86808	Mute Girl
692060	140490	Mei Li
692060	194823	
692060	223811	Phyllis
692060	379916	Suzie Chan
692060	389858	Mai-Lin (1974)
692061	35453	Prostitute
692061	43373	
692061	327020	Disco girl
692061	354683	Young/Old mother Po
692062	252180	Ho Wai Lai
692062	367114	Nancy
692062	369821	Regina
692063	326016	
692064	62516	
692065	323459	Big Sister
692066	46515	
692066	115711	Clarissa Weathersfield
692066	128407	Shirley Smith
692066	179958	Janet Kenton
692066	336694	Clara's Daughter
692067	510	BlackRose
692067	515	BlackRose
692067	516	BlackRose
692067	517	BlackRose
692067	9433	Kei
692067	12945	Marie Kim, Pandora
692067	19768	Kukuru, News Anchor/Boy (ep. 
692067	20458	Flight Attendant, Julie Blans
692067	20459	Additional Voices
692067	20460	Reporter, Flight Attendant
692067	26086	Yuka Osenji
692067	30736	Tia Note Yoko
692067	31053	(English version)
692067	38338	Rolls
692067	45009	Leann Caldwell/PD-4
692067	46135	Wanda
692067	49714	
692067	50184	Jo/Mikado
692067	54891	Kerberos (small), Sonomi Daid
692067	63711	Torria, Narrator
692067	72237	Faye Valentine
692067	74268	Emu
692067	74269	Emu
692067	74270	Emu
692067	74271	Emu
692067	74272	Emu
692067	86545	Young T.K./Party Girl #1/Litt
692067	87408	Julie/Yuri
692067	92718	Faerie
692067	96002	Yuri (steamline 1994)
692067	96415	Juliet 1
692067	98676	Additional Voices
692067	102951	Voice-over
692067	110257	Hana Tsu-Vachel
692067	122109	Yui Hongo
692067	122110	Yui Hongo
692067	122111	Yui Hongo
692067	122112	Yui Hongo
692067	122113	Yui Hongo/Yui's mother
692067	126438	Ohri
692067	130514	(English version)
692067	137049	Shinji Nakaoka,Eiko Nakaoka
692067	138135	Cyberdoll Sara (English versi
692067	143921	
692067	147362	Pillage victim
692067	156103	Maria, Tarf
692067	171653	Kagero
692067	171655	Frol
692067	175725	Diao Chan
692067	176631	Mari/Bijinder (voice: English
692067	181965	Emu
692067	182040	Angela
692067	194530	Announcer
692067	195629	Kaolla Su, Tama
692067	199109	Reporter/hotel clerk
692067	213445	
692067	217377	Elizabeth (4-6) (English vers
692067	230457	Various
692067	252839	Rumi
692067	262090	Alpha 6
692067	272997	Umi, Emeraude
692067	279879	Stacy Embry
692067	283895	Additional Voices
692067	286864	Child B
692067	287404	Lu Ling Qi
692067	294105	Oichi
692067	298985	Da Qiao/Zhen Ji/Xiao Qiao
692067	298986	Da Qiao/Zhen Ji/Xiao Qiao
692067	307189	April
692067	309470	Chai Xianghua
692067	310087	Dominique
692067	310106	Dominique
692067	313338	Nel Zelpher
692067	325314	Iczer-One
692067	327006	Yukiko
692067	327802	Kiyone
692067	327803	Kiyone
692067	342448	Alice
692067	347074	Akuma no ko (Beezle)/Chao
692067	350189	Charlotte
692067	369525	Mary Godwin
692067	373380	
692067	373381	
692067	373382	Additional Voices (Media Blas
692067	373384	Ayaka Kisaragi
692067	374352	Iria
692067	378651	BlackRose (Episode 28)
692067	378652	Michi, Additional Voices
692067	378718	Gyokuyou, Kourin
692067	379484	Tina Foster
692067	379485	Answering Machine Message, Ti
692067	379517	Amy
692067	379625	Euclid, Olympias (eps 5-13)
692067	380605	Joan
692067	381401	Yanagida
692067	381960	Patricia 'Angel' Lovejoy (Eng
692067	382767	Marin Asagi/Lolo/Moto Asagi/J
692067	384133	Takako Shimizu
692067	385060	Maetel
692067	385151	Faye Valentine
692067	386345	TK Takaishi (1999-2000)/Marin
692067	386396	Ronnie (Kaito's little brothe
692067	387049	Mitsuki Rara/Miss Rah
692067	387419	Additional Voices (English ve
692067	389791	Ruriko Ikusawa
692067	390730	Nanako's Mother, Takahama, Az
692067	391257	Janis, Dr. Antonia Bellucci, 
692067	393552	Miyuki
692067	394016	Sato's Wife
692067	394423	Chris
692067	396440	Umi Ryuuzaki/Princess Emeraud
692067	396484	Young Suguru Misato, Teacher 
692067	396497	Female Scientist, Radio Newsc
692067	396923	Rumi Koishikawa, Chigusa, Sch
692067	397031	Rupslutien, Additional Voices
692067	397187	Yoko Asahina, Little Yayoi
692067	397348	Kiva (2004-?)
692067	397693	Scorpina (1993-1994)
692067	398074	Batch, Ms. Loon
692067	400143	Lani, Moe's Mother
692067	400268	Nacchan/Hatsuho Kazami
692067	400576	Kei Pirate/Twilight Suzuka (E
692067	401287	Alice
692067	402001	Alpha 6
692067	402003	Alpha 6
692067	402729	Kaolla Su
692067	403550	Vanessa Leeds
692067	403965	Female Acrobat/Yumi Komagata
692067	404060	Luches
692067	404228	Ryoko Mitsurugi
692067	405146	Kiyone
692067	406702	Linko, Newscaster, Linda
692067	407828	Kiriko Masaki
692067	407847	Miruru, Additional Voices
692067	408487	Penny Round
692067	409323	Shara Carter
692067	409817	Reiha/Additional Voices (Engl
692067	409831	Buzem A. Calessa
692067	411289	Miho Karasuma
692067	411563	Karen Kasumi
692068	354520	Nurse #5
692069	154594	Francesca
692069	163443	Agnes the Manicurist
692069	183824	Telephone Operator
692069	254283	Cloak Girl
692069	347724	Party Guest
692070	238252	Commercial Woman
692071	71762	Herself
692072	372389	Sue's Friend
692074	144282	Mi-yang
692075	155554	
692076	36624	
692076	60601	
692076	94288	
692076	95731	
692076	126783	
692076	136409	
692076	167518	
692076	167571	
692076	187038	
692076	199891	
692076	204852	
692076	226538	
692076	226666	
692076	236737	
692076	294429	
692077	62181	
692077	167827	
692077	167854	
692078	151561	Spokesmodel
692079	7258	
692080	322898	
692081	43957	Yeong-ju
692082	43386	Eun-su
692082	131275	Maj. Sophie E. Jean
692082	160286	
692082	178038	
692082	318921	Jung-Yeon Park
692082	385546	Jang-Geum Seo
692082	409364	Cha Min-joo
692083	126811	
692084	136322	
692084	227398	
692085	236488	
692086	138341	
692086	287936	
692087	1094	
692087	19083	
692087	26215	
692087	51031	
692087	60601	
692087	62851	
692087	63406	
692087	84511	
692087	91435	
692087	126884	
692087	131955	
692087	136424	
692087	138299	
692087	165538	
692087	165548	
692087	199891	
692087	226562	
692087	227397	
692087	229825	
692087	236737	
692087	241916	
692087	295554	
692087	319108	
692087	323233	
692087	371172	Yun Mi-ja
692087	371224	
692088	126893	
692088	322901	
692089	152798	Chanel
692090	200536	
692091	49715	Additional Voices
692092	61771	Mi Ling
692093	215831	Chick
692094	540	Yu-ri
692094	7694	Jin-a
692094	126127	Choi Mi-jeong
692094	318952	
692094	319996	
692095	292092	Flower-shop proprietor
692096	43612	
692096	126774	Opsunne
692097	16657	Death Tribe Warrior 2
692098	226554	
692099	49660	Kim In-suk
692100	7694	Yo-won
692100	132378	Hye-ju
692100	171491	Ggal-chi
692100	227204	
692100	285845	Mrs. Jang (story 3)
692100	319996	Wang Ha-yeong
692101	8806	Elaine
692101	167731	Neesa
692101	252180	Yin
692101	268714	May
692101	293442	Tracy
692101	368075	
692101	369821	Mamasan
692102	209928	Christine
692103	284016	Eun-jeong
692104	44702	
692104	62852	Mi-su Kang
692104	76483	
692104	138009	
692104	198805	
692105	62498	Performer in Gypsy Café Seque
692106	790	
692106	60338	
692106	284533	
692106	306897	
692106	306909	
692108	199167	Barmaid
692109	273077	Horse Riding Lilith
692110	78038	Pageant Girl
692110	158272	
692110	158273	Deputy Turillo
692110	158274	
692110	158275	
692110	158276	
692111	285752	Private hotel receptionist
692111	347112	Sarah Armstrong
692111	364252	Naomi
692111	367695	Monica
692111	383285	Dee Vincent
692111	383998	Janice Blackstock
692111	394671	Diane Ralston
692112	41644	Gospel Singer
692113	14282	
692114	45013	
692115	67940	Elizabeth
692116	98783	
692117	134568	Body Painter
692118	307357	Tina
692119	41347	Reporter #2
692119	46270	Badge Casting Director
692119	67565	Deirdre 'DeeDee' Ross
692119	163625	Mrs. Riley
692119	213234	Reba
692119	253352	Karen Thatcher
692119	280194	Eleanor Hooperman
692119	313407	Yraxys
692119	316606	Willie Gee
692119	319175	Thelma Todd
692119	385824	Bianca Torres (1988)
692119	397106	Kate Monday (1987-90)
692119	406300	Kate Monday
692120	162275	Girl
692121	314062	Herself
692122	287414	
692123	331380	
692124	230394	Girl hostage
692125	158393	Barbara
692126	9487	
692127	76526	Jane
692128	304756	Judith Herman
692129	23603	Ruth
692130	21664	
692130	26629	Student Occupations Bureau Cl
692130	42940	Maid and Governess
692130	67778	Evvie Glasgow
692130	71573	
692130	78528	Anna, Maid to Betty
692130	96762	Ellen Desborough
692130	99224	
692130	117754	Salesgirl
692130	131005	Hazel Dawes
692130	163225	Laura
692130	188562	Katherine Martin
692130	190093	
692130	218734	Salesgirl
692130	273310	Linda Hartley
692130	308657	Betty Hobson
692130	312773	Kaye Hamilton
692130	320812	Jane
692130	330212	Ann Lawson
692130	372932	Helen Brown
692131	169906	
692132	25406	
692132	49919	Betty Scott
692133	96763	Teva
692133	133510	Hallie
692133	187317	Sara Powell
692133	224405	Bette Davis
692133	351169	Marilyn
692133	367512	Girl #3 at Club
692133	379716	Brooke English Cudahy Chandle
692133	380391	Hope Bauer Spaulding (1966)
692133	386781	Cissy
692133	387309	Lisa (1976)
692133	389858	Steffi Brand (1984)
692133	390771	Hope Bauer Spaulding #3 (1968
692133	392185	Rachel Bachman
692134	171094	Reporter
692135	233973	Jane
692135	256965	Tawnya Vallone
692136	12784	Blonde
692136	64784	
692136	134026	Eurasian Girl
692136	150798	
692136	183710	Receptionist
692136	218811	Julie
692136	297998	Anne Lester
692136	300124	Flo
692136	306535	Veronica Vacuum
692137	34945	
692138	243889	Kathy
692138	406382	Queen Starsha (Eps. 1-26)/Tre
692139	31715	Hillary Whitney Essex (age 11
692139	141614	Mady McKeon
692139	229106	Sarah Colton
692139	245137	Claudine
692139	351534	Young Nancy
692139	362655	Stephanie
692139	363044	Melody Quinn
692140	50614	Irate woman
692140	226899	Nurse
692141	318138	Handmaiden
692142	17756	Cowgirl
692142	33599	One of Frenchie's girls
692142	96861	Lee Party Guest
692142	190179	Party Guest
692142	211602	Girl at Maxim's
692143	152580	Marion Daley
692144	965	1st Tutor
692144	48704	Reporter #3
692144	67570	Reporter #1
692146	37261	Woman in Restaurant
692147	116527	A Girl
692147	216954	Mother
692147	230622	Elaine Dorset
692147	334403	Mlle. Fleurique
692148	60166	Bond girl
692149	401282	Herself - Host
692150	187819	
692151	9113	News Woman
692151	56656	Sally Anzio
692151	72140	Zara
692151	73851	
692151	99586	Press
692151	106676	Newscaster
692151	114223	Reporter #3
692151	143831	TV announcer
692151	148952	Anchorwoman
692151	154301	Reporter #1
692151	204214	Sherry Washington
692151	212960	Newscaster
692151	214976	Nan Callahan
692151	242942	TV Presentator
692151	281911	Tabloid Reporter
692151	294789	Reporter #2
692151	310624	
692151	313325	Gloria Glyde
692151	313818	Phi
692151	324777	News Anchor
692151	359138	Herself
692151	363265	News Reporter
692151	364643	Julia Martin
692151	367925	
692151	404507	Host
692152	1333	
692152	9345	Devaki
692152	9346	Devaki
692152	29064	
692152	53218	
692152	92998	
692152	139993	
692152	165194	
692152	199658	
692152	200709	
692152	271783	
692152	285804	
692152	350058	
692153	297588	Husband's Office Colleague
692154	24858	Anu's Mother-in-law
692154	36208	Kochamma
692154	125227	Aparna
692154	183923	
692154	351143	Princess Mandara Male
692155	322128	A fiatal Lenke
692156	10228	
692156	243959	
692156	316732	
692157	169389	Bobbi (age 10)
692158	150189	
692159	183559	Mary
692160	71694	Lucinda May
692161	5030	Make
692161	12472	
692161	42032	Anita
692161	49756	Mevrouw Van Melle
692161	63151	Isabella
692161	76447	
692161	78515	
692161	86715	Stem van moeder Vincke
692161	102289	
692161	102449	Eileen
692161	126381	Cornelia Balieu
692161	126382	Njoera
692161	178447	Verkoopster
692161	184526	Slagersvrouw
692161	203450	Miriam
692161	205577	Celine Malfayt
692161	205807	Mariken
692161	211920	May
692161	240394	Liliane
692161	245608	Anna
692161	268950	La mère de Dries
692161	288117	Onderwijzeres
692161	289876	
692161	310825	Roeckeloose
692161	324642	Tante Victoire
692161	340642	Vrouw
692161	352485	Mevrouw Pilatus
692161	354457	Aline (meid)
692161	357393	Eerste vrouw
692161	357566	Isabelle 'Belle-Tet'
692161	366688	Katryn
692161	374394	Lea
692161	375142	Jenny
692161	375525	Maria
692161	395123	Magda Smeets
692161	400876	Gaby
692161	401670	Bertha Bank
692161	408151	Leflo (2002)
692161	409084	Linda Glas
692161	410163	Madame Delmarque
692161	411180	Maria van Hongarije
692161	411214	Moeder van Walter
692162	48159	
692162	89103	Herself
692162	113428	Herself
692162	360782	Herself
692162	381652	Herself
692162	383368	Jurylid
692162	387342	Herself
692163	104757	Host
692163	292431	
692163	362586	Herself
692163	387959	Herself - Presenter (1982)
692163	401082	Presenter (1974-1979)
692164	181781	
692165	98374	Herself - Host
692166	9540	
692166	13870	
692166	81835	
692166	89994	
692166	199319	Leading Dancer/Waitress
692166	245782	
692166	273550	
692166	295692	
692166	299804	
692167	407166	Saartje (1960-1963)
692168	196384	Daphne
692168	374303	Titia
692168	394794	Tineke (1998-2002)
692169	242903	
692170	70096	
692171	129427	Soprano
692172	289284	Tao
692173	286423	Eating Date
692174	295006	Mommy Dodo (performer)/Board 
692174	389217	
692175	382496	Zazi
692175	382682	
692175	390683	Additional Voices
692176	297190	Patron
692177	323427	Melanie
692178	224838	Loma
692179	407166	Juffrouw Petronella[1970-1975
692180	41725	Lover
692181	18607	Connie
692181	43933	Erica Geerson
692181	147694	Actress
692181	191608	Heather
692181	220714	Bronwin
692181	390741	Amanda Bowles (2001-2002)
692182	204551	
692183	307374	Loyalist refugee
692184	217957	
692185	158779	Sharon
692186	178204	Minnie
692187	147673	Female Newscaster
692187	375515	Charlotte
692188	8483	La signora misteriosa
692188	17582	
692188	28680	
692188	33660	
692188	43461	
692188	54144	
692188	54154	
692188	57319	Countess Margot Le Brun
692188	64782	Woman Sketched by Marchi
692188	69987	
692188	71216	Lysia
692188	90719	Manolita
692188	107687	Clotilde di Tuscolo
692188	113206	Diana
692188	120321	Criside
692188	147047	
692188	157260	
692188	158707	
692188	197637	
692188	204767	
692188	206465	
692188	211292	
692188	219677	
692188	234557	Fausta
692188	252772	
692188	255421	Dinner Guest
692188	269456	Rosana
692188	281081	Anna
692188	293354	
692188	294707	
692188	310213	Ottavia della Rocca
692188	310219	
692188	324076	Sonia
692188	328363	L' Amante
692188	332250	Clara
692188	333703	
692188	334032	La sacerdotessa di Iside
692188	336148	
692188	336612	Antinea, la regina di Atlanti
692188	338369	Clara
692188	338716	
692188	340439	
692188	352238	M. Finzi
692188	355616	Franca
692188	363573	Manicurist
692188	377574	
692189	359426	Klyn
692189	383071	Emma Bowen/Skinner
692189	387518	Nurse Jones
692189	396965	Mrss. Jones
692189	411300	Janet Harker (1974-76)
692190	127290	Ms. Johnson
692190	155301	Sondra
692190	310835	Eunice
692191	25939	Maja
692192	5240	
692192	56948	Isabelle de Grancourt
692192	144146	Iris Stein
692192	144161	Ilona Gerstenberg
692192	149879	
692192	156623	Carmen Suhrer
692192	172704	Sissi
692192	223461	Inge Reger
692192	225281	
692192	225643	Danica
692192	259643	Pia Zucker
692192	261480	Dr. Charlotte Wilms
692192	281656	Andrea Vorburg
692192	281725	Jennifer
692192	284125	Meereskundlerin
692192	286236	Doro
692192	314555	Annika Loos
692192	317278	Isabelle Tourelle
692192	317505	
692192	325451	Jasmin
692192	325459	Jutta
692192	325530	Angi
692192	325582	Alice Schirmer
692192	325620	Steffi Dellwo
692192	325728	Eva Bertsch
692192	325734	Simon Just
692192	325768	
692192	352164	Eva
692192	376126	Lizzie
692192	377356	Irene Pop
692192	395049	
692192	404489	Eva Korda
692192	406517	Annika Loos
692194	117390	Dancer
692195	379851	Host (1999-2001)
692196	43551	Carol Maxwell
692196	66324	Jayne Biebel
692196	68064	Renee Becker
692196	72783	Herself
692196	72784	Herself
692196	72785	Herself
692196	72786	Herself
692196	72787	Herself
692196	72788	Herself
692196	72789	Herself
692196	72790	Herself
692196	85813	Fabric Store Clerk
692196	127822	Nurse Ferry
692196	168630	Mrs. Hathaway
692196	176499	Scientist
692196	220954	Waitress
692196	230926	Customer at Ma Bang's
692196	240664	Woman in Store
692196	242529	Fielding Rep #4
692196	251800	
692196	294140	Peggy, Hotel Clerk
692196	331664	Sandy
692196	335285	Reservationist
692196	368610	
692196	368942	Denise
692196	388984	Marcus Snarkis
692196	392660	Herself
692197	310647	Screaming Woman
692198	204926	Grace
692199	79060	Saleswoman
692200	53329	Dancer
692200	209170	Dancer
692201	37469	Mildred Riggs
692202	203428	Jean, as a child
692203	136832	Pi Girl
692204	412043	Klant
692205	33625	Louise
692206	25958	Lisa
692206	33625	Charlotte
692206	96158	
692206	130230	Directrice
692206	134882	Lowiezeken
692206	169022	Jessy
692206	174407	Vrouw in geel
692206	181902	Mw. Kramer
692206	189887	
692206	195030	Hoertje
692206	213559	
692206	241918	Simone
692206	342335	Mrs. De Vries
692206	396460	Elza
692206	409084	Betty
692207	9168	Saija
692207	75837	Oona
692207	175481	Jemina
692207	213377	Jenna Salomaa
692207	214584	Stiina
692207	341591	Helena 14 Years
692207	394933	Anna Brown
692208	7155	Margaret Beetle
692208	27567	Presenter
692208	34971	Holly
692208	90314	Juliet Gosling
692208	105035	Mona
692208	119056	Herself
692208	152844	
692208	161391	Herself
692208	165252	Ladybug
692208	171100	
692208	209170	Christmas in Heaven dancer
692208	214971	Alberta Leonard
692208	221182	Wylie
692208	223084	Dorothea von Haeften
692208	223919	Herself
692208	247500	Rachel Sherwood
692208	274075	Holly
692208	334235	Serena
692208	342238	Herself/Hostess
692208	353728	Hill's Angel/Various characte
692208	381661	Hill's Angel (1983-1984)
692208	386831	Blue (1984)
692208	389275	Daphne Moon/Crane
692208	390599	Caroline Webb
692208	393948	
692208	398213	Herself
692208	398571	Audrey Cohen (1989-1993)
692208	408144	Blue
692209	75696	Receptionist
692210	151082	Ghost
692211	26953	
692212	386219	Finalist #2
692212	396874	(2003)
692213	235848	
692214	26470	Mère de Justine
692214	333720	Annie
692214	398042	
692216	136974	Clara
692216	236516	
692217	46945	
692217	206506	Mme Elisabeth
692218	208811	Lisa
692219	205727	Karine
692220	346720	Animatrice du tirage
692221	164415	Court clerk
692221	337123	Postal Worker
692222	382583	Léonie Bérubé
692223	69120	Nathalie Sirois
692223	103454	Nathalie
692223	382196	
692223	387668	Mélissa Théberge
692223	410628	Ariane Leclerc
692223	411186	Danielle
692224	211846	Ruth
692224	291574	
692225	24856	
692226	183426	Alexis
692227	121962	
692229	7244	
692229	33803	
692229	55070	Julie
692229	58235	La cliente
692229	64224	
692229	101152	
692229	153804	Irma
692229	166258	
692229	205337	
692229	211645	
692229	215062	
692229	224483	
692229	268397	La marchande des quatre-saiso
692229	281305	
692229	285081	
692229	294945	
692229	296081	
692229	309768	
692229	336992	
692229	336995	
692229	356405	
692230	105612	Mélanie
692230	113138	
692231	195969	Cherry
692232	213862	
692233	337206	Child at the World Choir
692234	208260	
692235	332198	The Nun
692236	205717	Kalmykova, la femme de chambr
692237	2161	Exotic Girl
692238	205159	Donna mercato
692239	124326	
692240	276309	Une ouvrière
692241	4536	Eager Beaver
692241	37392	Sarah
692241	69391	Tuvia, Age 25
692241	80394	Randi Baum
692241	81584	Denise
692241	140016	Hyacinthe Marquez
692241	140943	Alice
692241	187234	Etta Place
692241	187301	Katrina Van Tassel
692241	190109	Kristy Carswell
692241	255231	Georgia
692241	279133	Carlin Leander
692241	293097	Eloise
692241	313562	Catherine
692241	382001	Stacey Hanson (1999)
692241	403143	Lily
692242	128755	
692243	410444	Parfait
692244	93694	Whitney
692244	219118	Flight Attendant
692245	16891	Herself
692246	89866	Grace
692246	207847	Maizie Blossom
692246	362232	Gloria
692247	72325	
692248	272602	Pierced Girl
692248	300554	Heather Jameson
692248	323148	Hemp Girl
692249	164637	Slime Squad
692250	95606	
692251	368679	
692252	327405	Guard
692253	85184	Marie
692253	157899	Graffina's Daughter
692254	202387	Monster
692254	240746	Cheryl
692254	291165	Lisa
692254	304342	Jill
692255	110458	
692255	122622	
692255	163714	
692255	171733	
692255	221771	
692255	313819	Titania/Marsinta Drewbish, th
692256	137223	Dancer
692257	194525	Mah Jong Player
692258	335277	Handmaiden to the Acid Queen
692258	364378	Handmaiden to the Acid Queen
692259	79912	Herself
692260	233878	Little Girl
692261	7796	
692261	142394	Cathy
692261	191502	Dolphin Woman
692262	313522	Coffee Shop Girl #1
692263	50006	Sherry
692263	386926	
692264	141290	Claire Pachmann
692265	194701	Radio Voice
692265	337990	Mrs. Santorini
692266	353744	
692267	301984	Fille de rêve 1
692268	259221	Buxom Assistant
692268	292307	Alex Westmore
692268	316225	Rosita
692269	23817	Lampino
692269	346428	Joëlle Latour
692269	387615	La suppléante
692270	275435	Mime Troupe Artist
692271	104231	Marie
692272	29701	
692272	40364	Lucrezia, die Italienerin
692273	284196	Micheline Bluteau
692274	269742	Fille supermarché
692275	55404	Fanny
692276	136360	
692276	351816	Marie-Louise
692277	170443	Julie
692277	183010	Sophie
692277	198342	France
692278	23784	
692279	13039	Marion
692279	51431	Lanie
692280	43427	
692280	99358	Charlotte
692280	412266	Femme scierie
692281	171158	Christine James
692282	124229	
692282	181403	Girl
692282	198129	
692282	280396	
692282	332996	
692282	339263	Tonya
692283	109856	Annie Banks (At 3 Years Old)
692284	393814	Innocence
692285	49934	Additional Voices
692285	405144	Additional Voices
692286	78745	Nancy
692287	90891	
692288	78745	Boy Victim
692289	152205	Miss Watson
692290	13884	Model 4
692291	136360	
692292	76584	Dame Hopital
692292	262963	La mère de Max
692293	85714	
692294	23502	Afdelingsleder
692294	48382	Birthe Jespersen
692294	101314	Kammerpigen
692294	102878	Inger
692294	109298	Yngre dame i apoteket
692294	154142	Student
692294	169973	Birgitte
692294	182100	Ebbe's mother
692294	228123	Pige
692294	238784	Jytte
692294	307507	Liza
692294	408340	Various roles
692295	284362	
692296	48210	
692296	169305	Thérèse
692297	378659	Herself (2002-2003)
692298	260947	
692299	275652	Myrta
692299	400681	Mariette
692300	23365	
692301	134699	
692301	188687	
692301	383649	Jacquette Legoix
692301	393489	Herself (regular guest)
692302	5186	Mannequin défilé Gaultier
692302	104616	Host
692302	134605	Estelle Hallyday
692303	8876	La Dame au buffet
692304	81300	
692304	113598	
692304	317863	
692304	317864	
692304	368641	
692304	372190	Elizabeth
692305	403530	Herself - Casting panel: Robi
692305	403531	Herself - Casting panel: Robi
692305	403532	Herself - Participant
692305	403534	Herself - Participant
692305	403536	Herself - Participant (2001-2
692307	159929	
692307	247992	
692308	7553	Frau Glatzel
692308	9923	
692308	21408	Mutter Brenner
692308	25122	La grand-mère
692308	34362	Hans' Mutter
692308	95265	
692308	98370	
692308	101338	Nachbarin
692308	107347	Minna Brosowski
692308	107834	
692308	125099	Gräfin von Seckentorff
692308	134785	
692308	177752	
692308	182782	Mother Seifert
692308	186921	Professor Wolle
692308	187402	
692308	189653	
692308	206559	ältere Patientin
692308	207804	
692308	226403	Referentin
692308	259448	
692308	259456	Oma
692308	259490	Gerda
692308	259492	Mutter Werker
692308	259493	Frau Kuster
692308	259505	Oma Ziehlke
692308	259511	Oma Kramer
692308	259513	Grete Schindler
692308	259515	Frau Scholze
692308	259522	Frau Felsch
692308	259539	
692308	259544	
692308	259546	Ruth Hinze
692308	259568	
692308	259580	
692308	259583	Frau Buschmann
692308	259592	Frau Breit
692308	259600	
692308	259601	
692308	259616	Frau Weimer
692308	259639	
692308	259641	Gertrud Reichenbach
692308	259662	
692308	259678	Frau Peukert
692308	268129	
692308	284999	Gräfin von Lamas
692308	289822	
692308	290200	Elisabeth Bröker
692308	290712	Witwe Zierlich
692308	301014	Hilde
692308	308831	
692308	312642	Hedwig Karsunke
692308	312646	Wilhelmine Gerlach
692308	312651	Pauls Großmutter
692308	325551	
692308	325572	Rebecca Schwarzkopf
692308	343684	Zeugin
692308	352660	Witwe Rühling
692308	361134	Auguste Paroschlitz
692308	361514	Frau Armgart
692308	400040	Frau von Brauchitsch
692309	361710	Pharmacist
692310	10742	White Queen
692310	38962	Grandma James
692310	84995	Mrs. Dudgeon
692310	264064	Gertrude in 'Hamlet'
692310	276424	Grandma Pearl
692310	282628	Fanny Cavendish
692310	387120	
692311	174234	Sunbeam
692312	206201	
692313	222632	Nadine
692313	289749	Dress Shop Saleswoman
692314	75629	Mlle Gratton
692315	254084	
692316	97054	
692317	356503	
692318	73477	
692318	97654	Alejandra
692318	183501	Andrea
692318	293373	Farmaceutica
692318	379602	Adriana
692318	379603	Adriana
692318	380542	
692318	381145	
692318	384806	
692318	392213	Host (1998-2000), (2003-)
692318	399570	
692318	405398	Ivonne D'Angelle
692318	405868	
692318	409782	
692318	410303	Maestra Lupita
692319	8696	Blanca
692319	162787	Loreley
692320	284652	
692320	313563	
692320	325361	
692320	360107	
692321	57346	Clara (Steve's girl)
692322	273876	Cafe Server
692323	44456	Salsa club dancer
692324	403805	Billie Reed #3 (1999)
692325	138161	Seattle Today Host
692326	273869	Nowhere Girl
692327	288844	Cliente bistro
692328	211746	
692329	99966	L'entraineuse du bar
692329	208217	La fille au bar
692329	333459	Christine
692329	343557	
692330	113900	Buffalola
692331	83367	Corinne
692331	85551	
692331	195137	Infirmiere
692331	220502	Femme de 40 ans
692331	278863	
692331	400139	Michèle Vallieres (1996)
692331	400141	Michèle Vallières
692331	406029	Céline Martin
692332	254075	Fanny
692332	332210	Aeglé
692334	33327	
692334	287735	
692335	225377	La grand-mère
692336	11068	
692336	252808	Lala
692336	374994	
692337	43628	
692337	57505	
692337	72894	
692337	107162	
692337	159442	
692337	164170	Baroness of Calix
692337	208218	
692337	354692	
692337	356452	
692337	375080	
692338	51154	
692338	56388	
692338	73180	
692338	94241	
692338	111295	Yvonne
692338	235709	Madame Eugène
692338	239218	
692338	248996	
692338	264219	
692338	283142	
692338	287596	
692338	300735	
692338	347757	
692338	357058	
692338	377749	La dame au chien
692339	227300	Mannequin
692339	335252	Laetitia
692340	335252	Sophie
692341	186936	Apartment manager
692342	309759	Mouchette's Mother
692343	377002	Geraldine
692344	208834	Sabine
692345	33638	
692346	36885	
692346	50385	
692346	106545	
692346	133920	
692349	308905	
692350	9642	
692350	9730	
692350	12910	
692350	13081	Anciana ("Los Amantes frios")
692350	14674	
692350	14757	
692350	18800	
692350	19457	
692350	25104	
692350	27987	Enfermera
692350	30393	
692350	33967	
692350	42655	Doña Eugenia
692350	45763	
692350	48798	
692350	51908	
692350	52598	
692350	53613	
692350	54323	
692350	54716	
692350	54717	
692350	55775	
692350	55964	Justina
692350	56518	María Luisa
692350	58915	
692350	63860	
692350	66080	
692350	68959	
692350	69652	
692350	70857	
692350	74564	
692350	74573	
692350	74583	Anciana
692350	74956	Celadora
692350	76013	Guardia
692350	80163	
692350	80269	
692350	81414	
692350	85732	
692350	85960	
692350	91398	
692350	92346	Beata
692350	97374	
692350	101044	
692350	101897	
692350	103756	Beata
692350	103782	
692350	103808	
692350	103940	Mujer en Salon de belleza
692350	104846	
692350	108721	Anciana en espiritismo
692350	108736	
692350	111418	Mujer en fiesta
692350	120908	
692350	123188	
692350	134436	
692350	145161	
692350	145256	
692350	148066	
692350	159528	
692350	160087	
692350	162776	Misha
692350	167071	
692350	167807	
692350	167815	
692350	171461	
692350	183506	
692350	193346	
692350	197160	
692350	198239	
692350	199915	
692350	202618	
692350	204276	
692350	206280	Carcelera
692350	207877	Anciana en Villa
692350	212366	
692350	212389	Delfina Martinez, Mama de Cri
692350	214694	Cliente
692350	221569	
692350	221943	
692350	221988	
692350	221996	
692350	222006	Monja
692350	227560	
692350	228560	
692350	234014	
692350	235262	
692350	235307	
692350	236036	Anciana en tienda
692350	237814	
692350	238855	
692350	246415	Mujer de Pueblo
692350	248075	
692350	249879	Rodrigo's mother
692350	249888	Vecina
692350	250795	
692350	251567	
692350	252517	
692350	254349	
692350	257900	Anciana en reunion
692350	260559	
692350	260563	
692350	262216	
692350	265458	
692350	265548	
692350	272993	
692350	273848	
692350	275809	
692350	278422	
692350	280429	
692350	280867	Madre de Patricia
692350	281760	
692350	283138	Invitada a fiesta
692350	284897	
692350	287459	
692350	294285	Sirvienta de Aurora
692350	296498	
692350	301179	Invitada a fiesta
692350	301190	
692350	301386	
692350	301422	
692350	302380	Tia
692350	306672	
692350	308446	
692350	309370	Madre de paciente
692350	317798	
692350	318010	
692350	322852	
692350	327363	
692350	332576	Housekeeper
692350	332596	
692350	333576	
692350	334710	
692350	335943	Woman #4
692350	339105	
692350	340432	
692350	341405	
692350	343603	
692350	343734	
692350	351998	Invitada a boda
692350	353239	
692350	353468	
692350	355756	
692350	370164	
692350	371684	
692350	371708	Celadora
692350	373886	
692350	376703	
692350	377099	Dona Tencha
692350	377180	
692350	378039	
692351	233479	Cathy
692352	284267	
692352	382475	Michèle Dalpé-Martin
692352	397043	Nicole Mallette
692352	410628	Nadine Caron-D'Amour
692353	61707	Child
692354	29505	
692354	206294	
692354	217896	Marilyn Monroe
692355	277637	Laura Migo
692356	91790	
692356	135561	Granddaughter
692357	270752	Interviewed
692358	202805	Luka
692358	315302	Girl
692359	402125	Hannah (serving girl)
692360	69416	Marcia
692360	223066	Chorus
692360	362216	Libbie
692360	379165	Kat Adams
692360	382242	Misty
692361	10743	Queen of Hearts
692361	45530	Mrs. Howarth
692361	54882	Mrs. Cotterill
692361	72353	
692361	79861	Miss Coker
692361	100730	Freda Ramsay
692361	108950	Mrs. Hurst
692361	131715	Alice
692361	131771	Headmaster's Wife
692361	143569	Miss Perks
692361	145715	
692361	163551	
692361	206465	Miss Beamish
692361	214710	Mrs. Foley
692361	230410	Martha
692361	232859	Freda
692361	234888	Mrs. Langdon-Humphries
692361	235591	Mrs. Brewster
692361	241817	Mrs. Groomkirby
692361	295409	Mrs. Hudson
692361	330708	Aunt Sylvia
692361	336652	Alice Fairbright
692361	360072	Ruby
692361	367592	Emma
692361	387334	Duchess of Kent
692361	387337	
692361	404249	Sister Ursula
692362	188745	Junge Frau im Café
692363	382332	Suzie Motts
692364	32800	
692364	45999	
692364	144698	Erika
692364	158514	Barbara
692364	221215	Daphne
692364	263556	Miss Anne de Bourgh
692364	366463	Dorcas
692364	401307	Iris Jennings (Series 1) (199
692364	405461	Bella
692365	2955	Vox Populi
692365	255939	Connie Lingos
692365	255940	Crystal Cathedral
692366	11542	Rhoda Grover
692366	40127	Pickles
692366	138903	Audrey Oxford
692366	155895	May Barton
692366	241133	Mary Gwynne
692366	311462	Dora Dundas
692366	330567	Pickles
692366	341863	Olga Bell
692366	362616	
692367	376906	Violoniste
692368	399377	Herself (English candidate)
692369	393604	Rita "The Drunk"
692370	315064	Herself
692371	43606	Gospel Singer
692372	366918	Dr. Pungree
692373	69732	Ronnie
692375	82464	
692375	212612	
692377	247977	Patronne bar de nuit
692378	181530	Amela, djevojcica
692379	82776	Camilla
692380	253364	Hooker #1
692381	263938	Dasha (voice: 'Kaplya v more'
692382	353314	Salesperson
692383	38503	
692383	213885	Paquita
692384	54288	
692385	51243	Rosette
692385	272745	Anna Elder
692386	272745	Anna Elder
692387	253255	Jakub's mother
692388	25788	Young girl at the café
692389	382005	Herself
692390	121263	Mamen
692391	96373	Fanny Granados
692392	57747	Biker
692393	145176	
692393	258481	
692393	345599	
692394	352813	Concert Performer
692395	80335	Infirmière urgences
692395	268820	L'hôtesse resto
692396	332198	Violinist
692397	328114	Dueña de casa
692398	71952	
692398	130269	Loulou
692398	254147	La réceptionniste/Receptionis
692398	329322	Satan
692398	332194	Mme Fautrel
692398	340304	
692398	356362	Madame Labruyère
692398	376987	La directrice des Eglantines
692398	387039	Mme Wattier
692399	15019	
692400	92044	L'écrivain
692400	108901	Viviane
692402	264764	
692402	283036	La petite prostituée
692403	6408	
692403	82643	Judith
692403	169716	
692403	248685	Madame Emery
692404	24855	La première servante
692404	44998	Cécile
692404	64489	Martine
692404	65165	Marie-Claude
692404	66078	
692404	99375	La fée Huguette
692404	121809	Gaby
692404	128977	Mme Binet
692404	153847	Marceline Cain
692404	166095	
692404	169156	Deuxième sorcière
692404	219442	Arlette Guibert
692404	255814	Zepp
692404	300676	Eva
692404	309687	Catherine Lemouette
692404	327892	Mathilde
692404	354024	Daphné
692404	375769	
692404	388894	Rosilda (episodes 4-9)/Lydia 
692404	403472	Denise
692404	408656	Zoé
692405	71811	
692405	127623	
692405	201165	
692405	249260	
692406	104819	
692407	208811	Angélique
692407	247634	Ursuline
692407	412246	La nounou
692408	27247	Rita Dockley
692408	112023	Deborah Miller
692408	116884	Janette Dunkley
692408	150876	Augustias
692408	241360	Liz
692408	341846	
692408	359932	French business executive
692408	389042	Janette Dunkley (Series 1-2) 
692408	399415	Melanie Bradshaw (2002)
692408	406458	Marji
692409	14314	Vieille Dame
692409	20667	
692409	23744	
692409	23818	Madame de Talhouet
692409	25088	
692409	43628	
692409	44998	
692409	54818	
692409	57289	Belle maman
692409	63641	
692409	63682	
692409	65384	
692409	69987	
692409	76063	
692409	82920	
692409	92680	
692409	99912	
692409	100013	
692409	106286	La marquise de Beaulieu
692409	120813	La Hongroise
692409	158830	Hélène
692409	192228	Theater Cashier
692409	195689	Old Lady at the Hotel Raphael
692409	199315	La mère d'Elizabeth
692409	199715	
692409	200517	
692409	202181	
692409	202591	
692409	206729	
692409	214239	
692409	215519	
692409	217670	
692409	217672	
692409	235882	Old lady (segment "Promenade,
692409	235883	
692409	243296	La secrétaire
692409	248264	Maria Paulovna
692409	263980	
692409	266424	Madame Bernardeau
692409	270353	
692409	282282	
692409	283025	
692409	286317	
692409	301563	La libraire
692409	314083	La secrétaire du Professeur P
692409	324067	Une femme
692409	337787	
692409	346512	Dame Agée
692409	346979	
692409	352135	
692409	354661	La femme du malade
692409	378017	Une cliente du salon
692409	392366	Mme Beaupré
692409	396175	Mme Poitevin
692410	838	
692410	43663	
692410	296129	
692410	324868	
692413	24650	
692414	103824	Bernadette
692414	116413	
692414	332231	Renée (segment "Prétendant, L
692416	2224	
692416	6561	
692416	14761	
692416	28026	
692416	34560	
692416	56448	
692416	63950	Secretary
692416	64027	
692416	65215	
692416	68611	
692416	68982	
692416	80216	
692416	88984	
692416	92337	Doña Francisquita
692416	100365	
692416	103743	
692416	103810	
692416	140563	Niní
692416	206571	
692416	206981	
692416	212469	
692416	249801	
692416	250693	
692416	252148	
692416	252607	
692416	268494	
692416	276577	
692416	285374	Irene Benavídez
692416	296472	
692416	310071	
692416	322220	
692416	339038	
692416	351491	
692416	353234	
692416	353659	
692416	379824	
692416	396296	
692417	104870	
692419	271255	Antoine Riverol
692419	405209	Dr. Pierre Lavalle (1997)
692420	59709	L'infirmière
692420	385151	Edward Wong Hau Pepelu Tivrus
692420	389774	
692420	398136	Les Madames
692420	400422	
692421	111046	
692421	408940	
692422	128977	Manvelita
692423	6044	
692423	28026	
692423	44794	
692423	53164	
692423	55938	
692423	65215	
692423	140563	
692423	169765	
692423	170049	Silvia, la señorita
692423	225041	
692423	236462	
692423	301185	
692423	310071	
692423	317682	
692423	328157	
692423	383162	
692423	412140	Laura Strassberg
692424	68586	
692425	307478	Femme boîte 2
692426	55404	
692426	111088	Prune Armandon
692426	211140	Yuppie 3
692426	219465	Céline Berthod
692426	236605	
692426	256745	Iris
692426	322587	Sylvie
692426	345275	Lili
692426	377069	(segment "Welcome")
692426	380501	Zoé
692426	400762	Èva (1980)
692427	198558	Madame Portet
692427	243345	
692427	257002	
692427	318515	
692427	343544	
692428	245588	Virgin
692429	152603	Student at Brasserie
692430	146324	
692431	186681	Angel of Mercy
692432	223493	Frau in Schwarz
692433	45196	Une paysanne
692434	113134	
692435	15046	Amélie
692435	17852	Pascaline
692435	26470	Amandine
692435	44946	Angélique
692435	87692	Isabelle Martineau
692435	101155	Cécile
692435	112880	
692435	258335	Françoise
692435	263212	Sarah
692435	264212	Gisèle
692435	345501	Vanessa Lambert
692435	346772	Emilie Carles (adolescente)
692435	381143	
692436	335028	Zofe der Olschinskz
692437	336936	
692438	53142	La comédienne
692438	353934	Noella Bucquoy (mother)
692439	110192	Jungle Woman
692440	85552	
692442	233279	
692443	46957	
692443	197088	Lucia III
692443	204826	
692443	213389	Madre
692443	333707	
692445	76058	
692445	205152	
692446	148015	
692446	148027	
692446	151796	
692446	204686	
692446	335524	Misiá Patricia
692446	371767	
692447	29116	Loulou's wife
692448	57929	ABA Girls' Class Teacher
692448	59151	Gina Gugliotta
692448	105280	Hospital Dancer
692448	113261	Bookstore Clerk
692448	313100	Toddler's Mother
692448	364378	Nurse/Ensemble
692448	380256	Nurse
692449	386783	Josefina
692450	80086	
692450	159006	
692451	356039	
692451	357450	
692452	46415	Reporter #1
692453	77901	
692453	181804	
692454	154040	Lucy 4 Years
692455	123114	Stewardess No. 1
692456	15375	
692456	53669	Mujer barbuda
692456	53985	Enfermera
692456	63320	
692456	74569	
692456	100386	Cliente de Karin
692456	101627	
692456	111635	
692456	132659	
692456	143763	Enfermera Histerica
692456	145233	Fan de Alegria
692456	160587	
692456	160824	
692456	171461	
692456	199798	
692456	206280	Sra. Millonaria
692456	209366	
692456	212492	
692456	215229	Miss Helen, maestra de Alicia
692456	221979	
692456	222044	Amiga de Maruja
692456	244621	
692456	257431	
692456	267406	
692456	291602	
692456	301186	
692456	307720	
692456	378474	
692457	337889	
692458	74569	
692459	127748	
692460	49945	Stacy
692461	385993	Hagarie
692462	147507	Baby Max
692463	212126	Toimittaja
692464	6269	Aggie
692465	101163	Marcelle
692466	6384	Appelé d'Alger
692467	47898	
692468	19639	Mère Stéphane
692470	4818	
692470	30160	Frk. Thomsen
692470	114827	Henriette 'Henry'
692470	147018	Herself
692470	153946	Elise
692470	170829	
692470	171513	Gerd
692470	218975	Receptionist
692470	225683	Anna
692470	284399	Minas mor
692470	303133	Ditte
692470	303695	Præstefruen
692470	307601	
692470	322477	Various roles
692470	322478	Herself/Various roles
692470	322479	Herself/Various roles
692470	332462	Lea
692470	352117	Bente
692470	358833	Prostitueret
692470	358847	
692470	388891	Ruth
692470	390217	Various roles (1990)
692470	390857	Kulsoen
692470	393858	Various Roles
692470	394136	Bitten
692470	394621	Various roles
692470	394757	Various roles (1998, 2000, 20
692470	395115	Mille
692470	399508	Pil
692470	407264	Herself - Actress
692471	255672	
692471	281991	Bolette
692471	303695	Penelope
692471	312018	Rosa
692471	391722	Sofie
692471	393418	Majbritt
692471	394757	Various roles
692471	397955	Irma/Zindy Rella
692472	178376	Statist
692473	178376	Statist
692474	278876	
692474	373373	
692475	387031	
692476	377044	
692477	339510	Nurse
692478	38512	Mrs. Byler
692479	27037	Mother Abbess
692479	32182	
692479	308489	Herself
692480	256823	Caren
692481	274332	Dancer
692481	293793	
692482	7174	
692483	9965	Florence
692483	40506	Kathleen Strauss
692483	40836	Scope/Steps Woman
692483	86959	Sarah Billings
692483	89199	Keiran
692483	97351	Tina
692483	189520	
692483	316168	Dr. Sidney MacMillan
692483	352136	Shannon Blackwell
692483	360211	Francesca Chidduck
692483	383798	Lee May Bristol
692483	390201	Miss Eastwood
692483	401796	Kristin Adams (1998-1999)
692483	406674	Dr. Sidney MacMillan
692484	15944	Head Nurse
692484	42786	Judge Burnham
692484	72217	TV newsreader
692484	82055	Daniel's judge
692484	157784	News Anchorwoman
692484	157824	
692484	161267	Herself
692484	185270	
692484	214963	Anne Compton
692484	232282	Mrs. Hodges
692484	263174	Genesse
692484	289185	Lt. Heineman
692484	295351	Librarian
692484	310643	Resident Doctor
692484	310689	Fran Mullins
692484	314015	
692484	327790	Ruth Tenafly
692484	388521	Letty Gilmore
692484	406952	Lena Hart #1 (1997-1998)
692484	407824	Ruth Tenafly
692485	135171	
692486	344183	Lydia
692487	30071	Woman
692488	209198	St. Helen's Street Girl
692489	362414	Little girl
692490	20537	
692490	34722	Herself
692490	89585	Mrs. Price
692490	154357	Marge
692490	178335	Big Lil
692490	245277	Mrs. Montaubyn
692490	292321	Colleen
692490	365616	Vet
692490	381608	
692490	389140	Bert's Mother (part III: 'Jou
692490	402012	
692490	402197	Bea Smith (1979-1983)
692491	384434	
692492	209630	Cocktail Waitress
692493	59703	Galeristin
692493	91020	
692493	236814	Ulli
692493	281149	Monika
692494	53753	Julia Carberry, Everard's Hou
692494	96710	Lady Renee Chatteney
692494	121854	Domina's Mother
692494	127198	The Mummy
692494	175813	Housekeeper
692494	190933	Blanche Terraine
692494	240755	Lady Edith
692494	261038	Mrs. Touchett
692494	265875	Dr. Susan Calvin
692494	266546	Mrs. Crawford
692494	272616	Marguerite
692494	312168	Tribunal President
692494	312908	Charlie's Mother
692494	316324	Elfrida
692494	368057	Mother
692494	385220	Pawnbroker
692494	396073	Aunt Bertie
692494	406261	Volumnia
692494	410580	Maria Dmitrievna
692495	125599	German Girl
692496	2016	Fay
692496	27310	
692496	53751	Susan Foster
692496	71462	Helen Barrington
692496	108098	Lettice/Lady Liskeard
692496	116199	Sydney Kelly, Reporter for Ma
692496	235157	
692496	241023	Estelle
692496	285691	Jane Davies
692496	292492	Michele de Carnot
692496	306489	Elinor Draper
692496	323942	Jacqueline Marlow
692497	94424	
692497	138534	
692497	195057	
692497	308483	Sibylles Mutter
692497	352367	
692497	410774	The Old Habersaat
692498	244676	Gisela
692498	325429	
692498	392086	
692499	265708	Ella
692500	26799	2. Gayanerin - German version
692500	261480	Sophie Wiegand
692500	390812	Tanja Marein (1992-1993)
692500	409609	Marion Fröse (1994-)
692501	87009	Additional Voices
692501	371824	
692501	389858	Katherine Delafield (1989-199
692502	206260	Malika
692503	211117	
692504	356697	
692504	360950	
692505	279120	
692506	315402	Herself - Production Designer
692507	166763	Sekretärin in Musikhochschule
692508	11814	Kiki
692508	78330	
692508	134786	Inge Piesch
692508	184513	Kerstin Mattiesen
692508	370700	Susanne
692509	36971	Mrs. Feldman
692509	187858	Herself
692510	210040	Ex-Girlfriend
692510	284433	Kind
692511	323666	Interviews
692512	24082	Frieda
692512	55148	
692512	89706	
692512	199355	
692512	216841	Mutter Krause
692512	289897	Ein dickes Mädchen im Tanzlok
692512	322945	Gardobiere
692512	345893	
692512	348677	
692512	354366	
692512	361514	
692513	259548	
692514	379627	Marion
692515	298483	Die Frau
692516	209965	Laura Leitner
692516	211126	Julia Gebsattel
692517	103085	1. Frau am Eßtisch
692518	136899	Suomela's Widow
692519	177047	Karjakko
692519	181751	Everstin leski
692519	319129	Eulalia, Resepténin sisar
692520	177047	Karhunheimon tytär
692520	181751	Everstin lesken palvelijatar
692520	319129	Kerttu, metsänvartijan tytär
692521	220756	
692522	204518	
692523	48326	Young woman
692524	189775	
692525	102374	Jüngere Frau
692526	173180	
692527	152791	Housekeeper
692528	386	Sabine
692528	14733	Narrator
692528	64862	Eva
692528	71073	
692528	129879	
692528	140247	
692528	152846	Lehrerin
692528	183862	
692528	309018	
692528	342428	Marianne
692528	361445	Bruni
692528	376875	
692528	403987	
692529	199396	
692530	97951	Karo
692530	119125	Lena
692530	314876	Fraum am Fluss
692530	325379	Nicole
692530	325652	
692530	325766	Nico Lischka
692530	366511	Anke
692530	376455	Marion
692530	405500	Sophie Makkai
692531	105713	Sue
692532	11251	Prostitute #4
692533	225724	Mutter
692534	115688	Toet Flodder
692535	17576	Dancer
692536	104051	
692536	395006	Ancsa
692537	3542	Jenõ's mother
692537	118170	
692537	153860	
692537	237167	
692538	225876	Maja
692539	144104	
692539	170246	Vieras #1
692539	214837	
692539	229543	
692539	233242	
692539	236793	
692539	242948	Inmate
692539	251937	Woman with flower pot
692539	251948	Mrs. Riuku
692539	271605	Madame Tisdall
692539	301816	Nukarin emäntä
692539	371442	
692540	17685	Elisabeth 'Bep' Voskuijl
692541	302062	
692541	380211	
692541	387358	
692541	387391	Vicky
692541	388676	
692541	393403	Maria
692541	400835	
692542	32471	Mrs. Newlywed
692542	33668	
692542	38664	
692542	48975	Mary
692542	52472	
692542	58521	Edith Sturgis
692542	59340	
692542	60173	Naomi
692542	61557	Catherine Bell
692542	65049	Berna
692542	65910	
692542	67401	Mary, Doyle's wife
692542	72505	Lola Forbes
692542	79024	Marion Dinsmore
692542	116998	Edith Osborne
692542	132574	Doris Ames
692542	143706	Marion Melton
692542	148397	Letty Thompson
692542	167058	Mary, the mother of Jesus
692542	170820	Wanada
692542	178103	
692542	186015	Ponotah
692542	192091	
692542	209977	
692542	210695	Laura Burton
692542	220818	Marina Paoli
692542	224229	Agnes Churchill
692542	242496	Mary Burke
692542	244438	Mrs. Harrington
692542	248881	Mrs. Brown
692542	283092	Mrs. Belknap-Jackson
692542	300010	
692542	302212	
692542	316353	Jeanne Guerin
692542	324976	Mrs. Brent
692542	332087	Eleanor Brewster
692542	338896	
692542	340956	Janet Preece
692542	345860	Woman
692542	348521	Juliet Pim
692542	349984	Annice
692542	351236	Margaret Fallon
692542	353517	Helen Gordon
692542	364001	Wehnonah
692542	371088	Mary Varenka
692543	32812	
692544	243695	Zuleima
692544	287817	Ibelise
692544	380088	Pastora Alicia Rubilar
692544	383472	Pilar
692544	403125	Elsa
692544	412123	Carlota
692545	74422	
692546	182948	Mombi
692546	188968	The White Rabbit
692546	267684	Mrs. Daugette
692546	274333	Old Lady
692547	6994	Lydia
692548	82528	Rosalee Bilicki
692549	174219	Shifra Lerer
692550	102112	Script Supervisor
692551	304360	Darling
692552	194428	Teacher
692553	175700	
692553	320383	
692554	293510	Maija
692554	371656	Helka Meller
692555	94871	
692555	100011	Rebekka
692555	168321	Sirpa, Erkin vaimo
692555	170922	Ulla Nieminen
692555	182218	Karita
692555	343327	
692555	393054	Salla (1999-)
692555	394792	Mimmi Kallio (2000-2002)
692555	404782	Satu Hannula
692556	168413	Esteri
692557	79060	Extra
692558	9996	
692558	102327	Askon ja Eskon äiti
692558	165803	Lyyti Porstua
692558	173407	
692558	174478	
692558	174740	
692558	207892	Keppilän anoppi
692558	265452	
692558	274905	Aili Räsänen
692558	307749	Famu (grandmother)
692558	336584	
692558	349735	Maj-Lisin ystävätär #1
692558	400857	Oili Kaamanen ent. Senni Karv
692558	402792	Vanha rouva
692559	400871	Herself, the host
692560	211038	Vaalea tyttö Hietsussa
692560	404145	Katri Sievinen
692561	104792	Finn lány
692562	392307	Herself - the host
692563	349728	
692564	102205	Johanna
692565	285801	
692566	174779	
692566	387647	
692566	393981	Kirsin äiti
692567	340264	Maid
692568	271630	
692568	319302	Laulava trio
692569	175333	
692570	223256	
692570	256880	Katri
692570	373371	Bankclerk
692570	394793	Tyyne Mattila
692570	403412	
692570	407885	
692571	144083	
692572	248735	
692573	153547	
692574	153547	Prostitute
692575	145762	Indian girl
692575	172142	Clerical employee
692576	145424	Hiltu
692576	355136	
692577	174439	
692578	211433	
692578	267931	Missus Vilhunen
692579	406961	Herself (Team Sribuat/Tengah,
692580	392287	Various characters (Season 2)
692580	394576	Aino
692581	178376	Statist
692582	97983	Hella (énekhang)
692583	7719	
692583	84453	
692586	62187	Baby
692588	6730	
692588	30038	
692588	75030	
692588	96924	Asian Girl
692588	106340	
692588	168069	
692588	291899	
692590	1308	
692590	7744	
692590	7751	
692590	21915	
692590	21941	Hooker
692590	40430	
692590	44864	
692590	67354	Asian Nymphette From the 70's
692590	75039	
692590	104407	
692590	107275	
692590	128851	
692590	192531	
692590	202376	
692590	230539	
692590	233739	
692590	255183	
692590	273389	
692590	294281	
692590	306908	
692590	306916	
692590	306923	Herself
692591	1230	
692591	21930	
692591	71631	
692591	123856	
692591	160995	
692591	241448	
692591	326364	
692591	326880	
692591	332850	
692591	364497	
692591	370026	
692591	372754	
692592	53959	Beautiful Girl
692593	76400	Jiang Junbiao
692594	81162	Julie Chin
692594	88867	Jasmine Wu
692594	137972	Crystal Ling
692594	158773	Mila
692594	259285	Irene
692594	353307	Coco
692595	167413	Wei Suzhen
692596	66890	Sue
692597	374959	Housewife
692598	354139	Herself
692599	35657	Native Dancer
692600	35657	Native Dancer
692601	95695	
692602	95282	
692602	148341	Lena
692602	178509	Sandra
692602	325432	
692602	337202	Vivien
692603	126221	
692603	356770	Yvonne
692604	365342	Nun in Shower
692605	230385	Barmaid
692605	405209	Linelle Taylor (1998)
692606	46149	Chorus
692607	89572	Yvonne's Companion in Miracle
692607	294255	Wife of Austrian General
692608	216039	
692608	216048	
692608	235770	
692608	290462	Uriat's Mother
692608	336607	La contessa
692608	359174	Vera
692609	264752	Young Karen
692610	119484	Sharon
692611	42910	Vendedora (segment "La Venus 
692611	378974	Adriana Hoyos
692611	389233	Sonia Patiño (2001-2002)
692611	400667	Juana María 'Juanita' Ibañez 
692612	51310	La vendeuse Lancel
692612	51406	Cécile
692612	119792	Olivia
692612	346774	Julie Leibowitch
692613	97256	
692613	323895	
692613	347710	
692614	45855	The Spiderwoman
692615	119484	Sharon
692616	368913	
692617	248717	L'avocate
692618	337091	Guest
692619	130333	Anna's Mum
692619	177311	Pam
692619	246249	Thelma
692619	388306	Jane Richards
692619	408636	Anna Keller
692619	408638	Ann Keller
692620	240677	
692621	151183	Counter Girl
692622	57613	Barbora
692622	181336	Roza
692622	258644	
692622	266643	Margita
692622	374284	Polly
692623	105596	Bianca Endicott
692624	173728	Frau Tober
692625	251867	Reunion receptionist
692626	18635	Josh's Wife
692626	65606	Margo
692627	224959	Klára
692628	7931	Grace
692628	41335	Tiffanie
692628	61888	Vaughn
692628	66937	Julia
692628	78023	Carla
692628	82837	Deborah
692628	145171	Shayna Loring
692628	178921	Hannah
692628	194530	Lady Leisen
692628	263737	Jennifer 'Jen' Tate
692628	296238	
692628	397401	Shelly Hanson (1995)
692628	409585	Tracy Stone
692628	411577	Callisto (1996-2000)
692629	41778	
692629	268993	
692630	66936	Hooker #2
692631	324795	Leader
692632	10887	Landlady
692632	93139	Carnival Woman
692632	117127	Mrs. Potter
692632	336034	Maitre D
692633	321228	Vickie
692634	83860	Polônia
692635	386339	Student Waiter
692636	145494	Sailor Rutzmoser
692636	233174	Inge
692637	136721	Woglinde
692637	277461	Woglinde
692637	301092	Waldvogel
692638	95391	Eva
692638	328643	Eltern
692639	91767	Mrs. Koontz
692639	247491	Landlady
692639	326753	Check cashing lady
692639	375508	Car hood murder victim
692640	2034	2gether Fan
692641	231140	Bit Part
692642	105385	Mel
692643	126556	
692643	231396	TV Testimonial #1
692644	9891	
692644	84002	Party Guest
692644	98186	Herself
692644	118627	Herself
692644	166921	Herself ('The Funeral' sequen
692644	166922	Cast Member
692644	184906	Herself
692644	209527	Angry Mom
692644	235571	Herself
692644	319607	
692644	379845	Carol Lerner
692644	383505	Host
692644	390545	Herself - Contestant
692644	392421	Herself
692644	406358	Herself
692644	406398	Judge (2002)
692645	283272	Junge Frau
692646	377736	Infirmière
692647	289055	Magda
692648	1102	Cornelia
692648	49271	Isabell Wolff
692648	59904	
692648	111646	
692648	125143	Katharina Philipp
692648	225636	Laura
692648	236643	
692648	242555	
692648	281727	Serena
692648	281736	
692648	290081	Tina
692648	338428	Gina
692648	387964	
692648	388798	Sophie
692648	403792	Luna
692648	406318	Susanne
692648	407543	
692649	291273	Claudia
692650	223920	Fran
692651	211506	Antique Store Clerk
692651	281235	Judith Fase
692652	291273	Lydia
692653	6161	Herself
692653	79627	Joanna Reeves
692653	410513	Frau Heim
692654	27263	Gorgeous Blonde
692655	114584	Shauna
692655	142618	Sandy
692655	277801	
692655	283581	
692656	27228	Laughing Woman
692658	32440	Jan
692658	88820	Millie
692658	109024	Barbara
692658	206818	Patricia
692658	275346	Effie
692658	305013	Joy
692658	335406	Bonnie
692659	400463	Billie Reynolds
692661	12506	May Walsh
692661	314934	Edith Whiting
692662	330237	Marika
692664	389977	
692665	50256	
692667	297242	Sadie
692668	132217	Cabaret Singer
692669	316028	Paula
692670	28462	Mia
692670	44681	Miss Pruitt
692670	58501	
692670	62898	1st Starlet
692670	170845	Charmagne
692670	216165	Laura
692670	263174	WAF
692670	263339	Jean McDrew
692670	295272	Alexa
692670	305584	Mildred
692670	314605	Herself
692670	317346	Priscilla
692670	321444	
692670	328262	Bunny
692670	391087	
692671	340633	Trousers as a child
692672	104331	
692672	138240	
692672	294682	Policewoman Scott
692674	375808	Jenny
692675	68669	Ellen
692675	289467	Field Reporter Brenda Carothe
692675	294789	Press Person #
692676	399018	Contestant (2004)
692677	231090	Hip Bistro Blonde
692678	370402	
692679	244779	Herself
692680	201433	Warrington's Secretary
692681	35523	Herself
692681	41288	Thomas' Girlfriend
692681	113553	Extra #2
692681	291452	Bowler
692682	191359	Dream girl
692683	49652	
692683	305918	
692684	218345	Cute Teenage Attendant
692685	48043	Miss Barton
692685	83113	Mrs. Bones
692685	87709	Miss Tapp
692685	138555	Singer
692685	255825	Talkative and Diffidence
692685	292123	
692685	329306	
692685	372199	Miss Tanner
692686	141591	
692686	278086	
692686	340404	
692686	344481	
692687	314111	Mandalay Model
692688	113507	Gretchen
692688	263170	Stacy Anderson
692689	158818	
692690	382838	Vicki Cleary (1985-1987)
692690	395794	Sue Sullivan
692691	84433	Candi
692691	128540	Cleo
692691	142718	Kathryn 'Kitty' Lutesinger
692691	283466	Sherry
692691	393460	Willa Conklin (series regular
692692	92844	
692692	150937	
692693	51694	
692693	307343	
692693	318604	
692694	176261	Cindy
692694	235403	Janey Briggs
692694	390117	Sarah Mickle
692694	394484	
692694	402032	Claire Wyatt (2003)
692694	403607	Cassie
692694	404102	Jamie Martin
692694	404376	Grace Smith
692694	407930	June Tuesday
692694	411162	Rip
692695	142623	Crime Scene Cop #1
692695	171700	Ward patient
692695	206488	Female journalist
692696	315164	Marie
692697	260305	Alma
692697	274093	Tangier
692697	328317	Mala
692698	82693	
692699	50383	
692699	291024	
692700	177025	Candy
692701	344928	
692702	346230	Carrie
692703	131239	
692704	196706	Mary Ellen
692706	93800	Tied Up Office Worker
692707	29887	
692707	35548	
692707	44469	
692707	77558	
692707	88179	
692707	128729	
692707	147622	
692707	147747	
692707	150217	Woman who sucks on bottle
692707	152796	
692707	159911	
692707	159939	
692707	196896	
692707	249455	
692707	260725	
692707	289381	
692707	309048	
692707	310845	Ginger
692707	331303	
692707	351177	
692707	358074	Herself
692708	168586	School girl outside hospital
692708	261992	Starlet
692708	262010	Fooks
692708	286637	Barbara
692710	140651	Mrs. Hayseed
692710	288432	
692710	360278	Mums Wayback
692711	84648	
692712	292051	La Pompadour
692712	310874	Show Girl
692713	40901	Hari Beausoleil
692713	87432	Gay Woman #2
692713	105596	Grocery Shopper
692713	143562	2001
692714	372443	
692715	34658	
692715	41586	Herself
692715	50684	
692715	69774	
692715	123643	
692715	130323	
692715	150620	
692715	154060	
692715	188941	Herself
692715	220487	
692715	242556	
692715	269341	
692715	300519	
692715	300520	
692715	314694	
692716	207477	Amanda
692716	408285	Jen
692717	279400	
692718	92566	Amy
692719	5285	
692719	26785	
692719	27350	
692719	39287	
692719	39751	
692719	43519	
692719	60291	
692719	117216	
692719	224145	
692719	277846	
692719	294209	
692719	295917	
692719	296676	
692719	325230	
692720	277936	
692721	846	#85 Psycho: The Remake
692721	3733	Herself
692721	5882	Edith Enley
692721	6077	Mary Ann
692721	7584	Herself
692721	7585	Herself
692721	11688	Herself
692721	13872	Cherry McMahon
692721	13922	Herself
692721	13931	Herself
692721	16900	Jennifer Paige
692721	34813	Herself
692721	34835	Interview
692721	39903	Lady Anne
692721	42278	Florence Cohen
692721	50974	Rosie DeLeon
692721	57678	Herself
692721	64572	Herself (performer)
692721	67582	Grace Wheeler Willis
692721	69485	Connie Bedloe
692721	74724	Herself
692721	80742	Laurel Hanley
692721	80921	Herself
692721	88853	Evelyn 'Taffy' Heldon
692721	98101	Das Ei
692721	108805	Herself
692721	109777	
692721	110297	Herself
692721	110324	Abby Ames
692721	116377	Kathy Williams
692721	137663	Norma Watson
692721	138700	Herself
692721	139565	Susan Harper
692721	142552	Vivian Miller
692721	145402	Margit Mitchell
692721	147515	Connie Ennis
692721	147876	Herself
692721	148972	Sandra Latham
692721	149712	Herself/Presenter
692721	150723	Bess Houdini
692721	151104	Marian Ord
692721	151666	
692721	151751	Herself
692721	155902	Effie Bright
692721	157840	Kay Connor
692721	161244	Herself
692721	163414	Rosa Szabo Xenophon
692721	166915	Herself
692721	167099	Lt. Anna Marladovna/Olga
692721	171285	Lucille Duncan
692721	176370	Nora
692721	192410	Margaret 'Meg' March
692721	192735	Wally Cook
692721	192840	Herself
692721	201737	Herself/Marion Crane
692721	203917	Eugenie Rose Chaney
692721	206879	Herself
692721	215173	Millie Gorman
692721	218114	Janice Barnes
692721	222595	Karen Weese
692721	222820	Laura Talbot
692721	224305	Eileen Sherwood
692721	227008	Lina Patch
692721	232017	Herself
692721	232097	Gerry Bennett
692721	241454	Gert Meredith
692721	252528	Cameo appearance
692721	252883	Lt. Vicki Loren
692721	253847	Ivy Conrad
692721	264090	Princess Aleta
692721	266574	Marion Crane
692721	274051	Maria Buhlen
692721	280465	Karen Stephanson
692721	280942	Lissy Anne MacBean
692721	285265	Linda Latham
692721	289504	Aline de Gavrillac de Bourbon
692721	302436	Herself
692721	312147	Miss Diketon
692721	313319	Herself
692721	316890	Isabelle Perry
692721	323849	Herself
692721	327172	Elaine Cotten
692721	328553	Marion Crane (Psycho)
692721	329421	June Forsyte
692721	331549	Dr. Elizabeth Acord
692721	336683	Susan 'Susie' Vargas
692721	343160	Nancy Peterson
692721	347420	Herself
692721	354346	Morgana
692721	358649	Chris Hall
692721	364307	Ann Wilson
692721	367040	Bertie Austin
692721	368245	Dorothy Feiner Rodgers
692721	379011	Herself
692721	402888	Herself
692722	81196	Wilma Smith
692722	210485	Wanda
692722	304994	Milkbar Waitress
692723	260791	The Cheerleader
692724	258752	Beauty college instructor
692726	37670	
692726	81862	
692726	123829	
692726	128549	
692726	133147	
692726	332877	
692727	78839	Angela
692728	8417	Herself
692728	16653	Kristy Teeter
692728	17796	Sally Nash
692728	26955	Jennifer Vaitkus
692728	30734	Anney Boatwright
692728	32136	
692728	34673	Casey Powell
692728	37261	Lydia Johnson
692728	49840	Joanna Goodman
692728	57665	
692728	61860	Suzanne Burns
692728	73677	Marriet
692728	73811	Karla Faye Tucker
692728	89742	Selena St. George
692728	96958	Allison Capuletti
692728	105823	Allegra Geller
692728	106617	Tracy Harris
692728	109524	Stacy Hamilton
692728	113843	
692728	114284	Bonnie
692728	115235	Agnes
692728	126104	Sadie Flood
692728	128816	Carol Heath
692728	133182	Candy Webster
692728	140354	Andrea Fairchild
692728	141282	Carol Rivers
692728	144363	Bridget
692728	146811	Nash Galveston
692728	152222	Amy Archer
692728	154662	Laurie
692728	158151	Pauline
692728	164566	Dr. Lorenson
692728	173516	Blondie O'Hara
692728	176972	Amy Wheeler
692728	177317	Gina
692728	185252	Tralala
692728	195812	Elizabeth Whitcomb
692728	196876	Herself
692728	198068	Brenda Bartlett
692728	198981	Stevie
692728	201662	Herself
692728	201742	Herself
692728	210881	Teensy
692728	212614	Susie Waggoner
692728	221306	Dorothy Parker
692728	240871	Herself
692728	247093	Aviva
692728	255268	Madge Owens
692728	265684	Lana
692728	269800	Lisa
692728	279420	Annie Sullivan
692728	283709	Kristen Cates
692728	299846	Lois Kaiser
692728	302777	Hedra 'Hedy' Carlson
692728	303263	Lucy Bonnard
692728	304059	Lydia Callahan
692728	310500	Lilly
692728	329342	Teri Small
692728	331178	Caroline Cook
692728	334524	Girl playing with a rubber ba
692728	345976	Tanille Lareoux
692728	359753	Catherine Sloper
692728	368712	
692728	368949	Young Girl
692728	372730	Heather
692728	406113	Lilly
692729	188114	Hellish Temptress
692730	291488	
692731	178693	Shop Assistant
692731	276345	Gen. Hauer's Secretary
692732	11327	Sheri Shrooms
692733	109764	Young Circe
692733	157833	Andie
692733	254804	Melissa
692735	42531	Coed No. 2
692736	321702	Daughter
692737	26079	Kitten
692737	129453	Various
692737	134390	Bibi/Makeup Woman
692737	224109	Fizzy/Baby Sundance
692737	274729	McCarthy Girl
692737	379325	Sunny Bunny
692737	379345	Little Prince (II)
692737	382371	Additional Voices
692737	383280	Iggy
692737	385727	Honker Muddlefoot
692737	387108	
692737	387114	Sheila the Thief
692737	390793	Sunni
692737	398542	Rowlf (1984-1991)
692737	398717	Fizzy/Baby Sundance
692737	400731	Peggy
692737	403353	Richie Rich, Irona
692737	405648	Jason (Junior Ghostbuster)
692737	408622	Alex (2001-2003)
692739	84007	Amber
692740	264158	Music Teacher Wells
692741	80653	Hope
692742	185516	Young Carol
692742	190000	Miss Ledrock
692744	231904	Dottie Walsh
692745	55297	
692745	81382	
692745	105150	
692746	327137	
692748	80515	Pat
692748	92621	
692748	119588	Julie
692748	206164	Maisie
692748	248665	Woman #1
692748	323964	Lucy
692749	176498	
692750	193264	Girl on Rum Boat
692751	75636	Mrs. Percy
692752	5285	
692752	43883	Uncle Floyd's girl #1
692752	129734	
692752	139251	
692752	139307	
692752	139309	
692752	153594	
692752	188986	
692752	242551	
692752	253441	
692752	267517	
692752	279929	
692752	306910	
692752	314698	
692753	87445	
692753	89058	
692753	177733	
692753	238697	
692753	295796	
692753	295825	Sex Mistress
692755	14229	Mrs. Van Allen
692755	54390	Maria Baker
692755	117409	Mrs. Byrne
692756	380713	Natalie Snyder (2003-present)
692757	41407	Jill
692757	123397	Stephanie
692757	274198	The Doctor
692758	67099	Mrs. Cregan
692758	234107	Mrs. Tickle
692759	200324	Herself
692760	13320	Laura
692760	209206	Amanda
692760	248878	Fencing Girl
692760	298853	Samantha
692760	365960	Schwing Sister #3
692761	46354	
692761	128723	
692761	128853	
692761	144420	
692761	147699	
692761	149989	
692761	159939	
692761	164957	
692761	173927	
692761	177735	
692761	188357	
692761	199492	
692761	200263	
692761	201546	
692761	215294	
692761	233693	Best Friends
692761	242063	Herself
692761	261043	
692761	278284	
692761	291454	
692761	295803	Tina
692761	304700	Mrs. Chandler
692761	309217	
692761	310354	
692761	321050	Herself
692761	361910	
692761	366662	
692761	367625	
692762	47130	Surgeon
692763	7500	Jealous Woman
692764	156460	Aunt Beth
692764	346016	Jessica
692765	403805	Helena Carmichael (2002-)
692767	184627	Laura
692768	149974	News Reporter
692769	300524	
692770	270434	
692771	61563	Elizabeth
692771	273769	Emma
692772	169644	Bachelorette Friend #1
692773	154051	Jet Dempsey
692774	292293	Karen
692775	196833	Karla Maxwell
692776	329938	Judge
692776	333327	Jason's Nurse
692777	16422	Becca
692777	86017	Cathy
692777	150944	
692777	257438	Stella Crenshaw
692777	355116	Nina/Serena
692778	75789	Deep Throat
692779	2250	Naomi
692779	4944	Alaina Charles
692779	299974	Zoe
692780	35362	
692782	44442	Kimberley
692782	82702	Bonnie
692782	270135	Julie Jensen
692782	304568	Liz Borden
692782	411683	Annie
692783	344928	
692784	110980	Wheel Girl
692784	128785	
692784	356652	Herself
692785	137223	
692786	408924	
692787	42856	Vicky Hawkins/British United
692787	43261	
692787	80656	Grace
692787	80704	Vicki Robbins
692787	112032	Paddy Lynch
692787	194784	Unity Webster
692787	197755	Janet Playfair
692787	202902	
692787	243947	Extra
692787	248496	Judy Hudson (Friday)
692787	258036	Dee
692787	308350	Amber
692787	317900	Donetta
692787	323786	
692787	335130	Extra in 'Dancing Shoes' sequ
692787	384075	
692787	386571	Laura
692788	42904	Starlet
692788	212009	Sherry Griffen
692788	240798	Jane
692788	266047	Felice
692789	51989	Warden Loren McBride
692789	52415	Margaret Castleman
692789	192748	Fifth Avenue Parent
692789	231811	Sharon Weston
692789	233577	Newscaster
692789	321702	Mom
692789	346016	Slash
692791	365169	Mr. Reindeer's Resident Valet
692792	12738	Air Hostess
692792	94856	Diane Sanders
692792	382590	Fanny Adams
692793	1785	Wanda
692793	17544	Anna Karenina
692793	35719	Scarlett O'Hara
692793	47911	Herself
692793	51855	Cleopatra
692793	78857	Madeleine Goddard
692793	79106	Herself
692793	81732	Hester Collyer
692793	106279	Herself
692793	113838	Cynthia
692793	125916	Phil Stanley
692793	131240	Scarlett O'Hara
692793	131677	Herself
692793	139798	Herself
692793	147917	
692793	178660	
692793	184899	
692793	186166	Herself
692793	187407	Herself
692793	194202	Marjorie Belfer
692793	201844	Herself
692793	216670	Scarlett O'Hara
692793	264104	
692793	280832	Karen Stone
692793	291301	Herself
692793	299174	Mary Treadwell
692793	300938	Liberty 'Libby'
692793	315520	Victoria Gow
692793	316742	Blanche DuBois
692793	323880	Herself
692793	329438	Emma Lady Hamilton
692793	329560	
692793	329563	Herself
692793	329565	Appearance
692793	330407	School Girl
692793	354538	Rose Venables
692793	360068	Myra Lester
692793	370530	Mrs. Elsa Craddock
692795	2161	Hostess
692795	8228	Femme fatale
692795	11171	Marina #3
692795	154042	Casting Assistant
692795	293099	Cashier
692795	380654	Beth Williams
692796	34202	Catherine 'Catty' Matcham
692796	34463	Lady Mabell Airlie
692796	34683	Mrs. Fanshawe
692796	37995	Vice-Principal
692796	97209	Mrs. Deacon
692796	119872	Brenda Blaney
692796	142930	Catherine Parr
692796	175163	Mrs. Wisbeach
692796	194130	Dodo Gould
692796	196230	Rosaline
692796	206691	Mrs. Heath
692796	239034	Margaret
692796	241341	Mrs. Phillips
692796	248116	Celia Mumford
692796	257169	Farmer's Wife
692796	294027	Helena
692796	341670	Jean Lawrence
692796	350506	Lady Bareacres
692796	364222	
692796	382830	Mrs. Gaskell/Narrator
692796	401214	Iris Fleming
692796	401651	Herself
692796	402125	Lady Catherine de Bourgh
692796	404612	Isabel Burton
692796	410513	Queen Mother
692796	411316	Lady Cumnor
692797	113480	Harriet Frizzoli
692798	47462	Sonya Simmonds
692798	53363	Narrator
692798	53403	Narrator
692798	172666	Eileen Miller
692798	355519	Patricia Ellis
692798	358764	Karen
692799	318726	Leanne
692799	402935	Kay Gough
692800	171079	
692801	137546	'Cherry Pie' Polowski
692801	314951	Zombie Girl
692802	81562	Herself
692803	364205	Susan - Journalist
692804	58170	The Landlady
692805	116523	Magic Maid
692806	230316	Girl #2
692807	200860	2nd Woman Applicant
692808	316325	Mrs. Ramsey
692809	116772	
692809	238878	Helen Frohman
692810	144683	
692811	392167	Moderator
692812	365200	Herself
692813	317957	Mrs. Mullins
692814	16923	Jessica
692814	65452	Marie
692814	80749	Joanne Sanders
692814	158354	Laurette Wilder
692814	161262	Herself
692814	161290	Herself
692814	226900	Gerry Millar
692814	244445	Carolyn
692814	295320	Anabeth
692814	304293	Amber Lee
692814	353394	Travel Agent
692814	360497	Fran Simmons
692814	397401	Sydney Andrews Mancini Field 
692816	26	Mrs. Miller
692816	11382	Mrs. O'Mara
692816	19125	
692816	22952	
692816	23005	
692816	25401	
692816	27249	Bess, Kitty's Landlady
692816	29674	Redwing
692816	31615	Mrs. Schwartzkopple
692816	32528	Mammy
692816	35367	
692816	38986	Missionary
692816	41527	
692816	46259	
692816	47139	
692816	47920	
692816	48027	Mrs. Kenyon
692816	50948	Silly McShane
692816	52250	Duenna
692816	52477	Mrs. Hutter
692816	56621	Brian's Sister
692816	64061	The Stepmother
692816	64919	Ma Ennis
692816	66188	
692816	66640	Mrs. McDow
692816	66644	Ma Thurman
692816	67082	
692816	67157	Fat Lady
692816	70074	Mrs. Churchill
692816	72749	Sarah De Morgan
692816	73447	Abigail
692816	77749	Ma Budd
692816	85112	
692816	100217	
692816	104340	Housekeeper
692816	107413	Housekeeper
692816	107420	
692816	107987	Mrs. Flannigan
692816	110553	Mrs. Tanner
692816	112588	Aunt Sally
692816	114916	Mother
692816	119375	Bird Woman
692816	120776	Mrs. Andrew Jackson
692816	121531	Mrs. Fleming
692816	126694	
692816	127118	Mary Ellen Clancy
692816	128184	Notawa
692816	128334	Hannah
692816	128386	Bit Role
692816	129819	Gilda's Aunt
692816	132855	Madam Stitch
692816	134866	
692816	142242	Clarissa
692816	143003	Madame Poulard
692816	143052	The Cook, Lena
692816	145788	
692816	145944	
692816	147633	Cameo appearance
692816	149946	Marienka
692816	151079	Aunt Clara
692816	151516	
692816	158350	Mother Dufrayne
692816	162547	Martha Saxby
692816	164541	Widow Potter
692816	168131	Isambeau
692816	174768	Mrs. Katzenjammer
692816	183732	
692816	183856	Mrs. Haines
692816	184534	
692816	184600	Marie
692816	185178	Ma Kelly
692816	188202	Irish Woman
692816	191594	Angela's Great Aunt
692816	194948	Matilda
692816	195182	Aunt Cassandry
692816	195912	Mrs. Cavanaugh
692816	202246	Mrs. Perkins
692816	203035	Juanita
692816	206449	Anne Mullins, the Maid
692816	210892	Mrs. Weeks
692816	213088	
692816	213301	Caretaker's Wife
692816	214187	Fat Lady
692816	214556	
692816	239841	Maid
692816	241992	Mrs. Peters
692816	246597	
692816	246730	German Teacher
692816	249116	Frouchard
692816	251642	Ma Peck
692816	253191	
692816	254484	Mother Meg
692816	258216	Stoddard's Mother
692816	258264	
692816	260247	Ma Perkins
692816	263978	Aunt
692816	264449	
692816	274154	Mammy
692816	275786	
692816	279369	Louise Jardee
692816	283092	Ma Pettingill
692816	287278	Isabel McNeil
692816	288683	Mrs. Ferguson
692816	292617	Martha
692816	292639	Mrs. Simmons
692816	299634	
692816	301261	
692816	305398	Mrs. Pruitt
692816	310965	Mother Werner
692816	321100	Ma Clancy
692816	321112	Adeline's Ma
692816	327973	
692816	329124	Stage passenger
692816	330621	Mignon Brunner
692816	331147	Cook
692816	331668	The Landlady
692816	332112	Mrs. Clark Hudnall
692816	332487	Martha Lillian
692816	333048	Margot
692816	333069	Sarah Oberholtzzer
692816	336258	Isabella, La Brunna's Maid
692816	338291	Mrs. Leary, Apartment house m
692816	341679	Widow Riley
692816	343073	La Frochard, The Hag
692816	343251	Mrs. Mason
692816	346130	Tant Anna Vanderberg
692816	356527	
692816	359516	
692816	359793	Mrs. Jonathan Adams
692816	360844	Mrs. James Corbin
692816	362237	Matilda Brown
692816	362652	
692816	363616	Aunt Jane
692816	366741	Nokomis
692816	368021	
692816	372853	
692818	3005	Agatha Andrews, Head of Missi
692818	21547	Rosalind
692818	22619	Leonora Vail
692818	34202	Lady Frances Nelson
692818	34701	Alice Russell
692818	43738	Flora MacDonald
692818	52657	Sgt. Helen Smith
692818	55644	Valerie Carrington
692818	69845	Miss Chesterman
692818	99545	Marguerite Blakeney
692818	118958	Francoise DuVal
692818	120459	Madame Orloff (segment "Eleme
692818	123092	Elderly Court Lady
692818	129865	Mrs. Maudsley
692818	131410	Eve Ravenscourt
692818	133592	Miss Havisham
692818	137915	Gertrude
692818	147616	Margaret Gregory
692818	148215	Janet Preston
692818	155594	Mrs. Cheveley
692818	169444	Arra
692818	183596	Lady Melbourne
692818	186003	Dorothy
692818	196352	Mrs. Helen Kenton
692818	199871	Constance, the Madwoman of Pa
692818	309607	Caddy Compson
692818	326584	Helen Teckman
692818	330547	
692818	339362	Ma Gore
692818	345970	Milly
692818	358872	Emily Fitzjohn
692818	366373	Catherine Winslow
692818	374299	Gladys
692818	387120	Millie Crocker-Harris
692818	409659	Lady Seacroft
692819	380074	
692820	178937	
692821	77695	Librarian
692821	338906	Avril
692822	291408	Polly Piecan
692822	346115	
692823	30310	Liza Williams
692823	72140	Dee
692823	282022	Druscilla Gerard
692823	385824	Ginger Dawson (1991-1992)
692823	389858	Shirley Pickett (1983)
692823	411802	Cassandra 'Casey' Reed (1978-
692824	367758	Susan Curtis, the redheaded v
692825	151461	Agatzi Girl
692826	130894	Helen d'aubeterre
692826	148397	Martha
692826	306760	Madge Ridgeway
692826	331915	Bessie
692827	7016	Jane
692828	80206	Ange-Marie
692828	101139	La conductrice
692829	126863	
692830	379033	Jean Jacques (puppeteer)
692831	16264	Ferry Passenger
692831	24164	Mrs. Klara Månsson
692831	47607	Woman at cocktail party
692831	97088	Mrs. Andersson
692831	115431	Woman in court
692831	119016	Fröken Svensson
692831	123494	Mrs. Rosenblad
692831	174046	
692831	216985	Maid
692831	222444	Mrs. Karlsson
692831	303855	Mrs. Lundbom
692831	305304	Woman in court
692831	331007	Concierge
692832	51116	
692832	153745	Waitress
692832	210356	Herself
692832	210358	Herself
692832	255866	Angelica's Friend
692832	408800	Pernilla 'Pilla' Frisk/Lindgr
692833	177170	
692833	182322	
692833	242855	
692833	288487	(3. Episode)
692833	336084	Anna
692833	352585	
692834	304108	Lily Andersen, Andersens datt
692835	112912	
692835	191762	Mother
692836	13271	
692836	13272	
692836	13278	
692836	13280	
692836	50535	
692836	129441	
692836	147699	
692836	212799	Ginger
692836	228658	
692836	236307	
692836	285325	
692836	298100	
692836	365127	
692836	369472	
692837	43756	Laura (segment "Sábado Quente
692837	64658	Single-Handbalancing performe
692837	385629	Herself
692837	396651	
692837	397416	
692838	73147	
692838	149230	
692839	82696	Funeral Girl #2
692841	390812	Kaline Bessemer (1997)
692842	108522	Annie
692843	157672	Sissy Dalrymple
692844	330269	Girl
692845	17386	Milene
692845	54815	Rosirene
692845	351966	
692845	396722	Eurídice
692845	409814	Branca
692845	410096	Sara
692846	364300	Herself
692847	53649	
692847	145251	Lupe
692847	209366	
692847	214820	
692847	235262	
692847	246154	
692847	270015	
692847	276480	
692847	355789	
692847	396811	
692848	144577	Exercise Class
692849	80549	Zombie Squad Unit 319 zombie
692850	290667	
692851	213375	Liisa Mäkelä
692852	401440	Raitolan tytär
692853	254208	Hellströmin vaimo
692853	268533	
692853	319302	Äidillinen nainen
692853	334820	Hilja
692853	377312	Wino II
692854	276125	
692855	4445	Old woman
692855	209912	
692855	228997	Cottager
692855	234567	Selma's Mother
692855	239914	Selma Hallavuo
692855	282516	Innkeeper
692855	321781	Elin Grönkvist
692856	237243	
692857	375704	Marjo
692858	101010	Student
692858	301900	Eva
692859	79163	
692859	290521	
692860	12602	Frau Mudra
692860	380577	
692861	229593	Prostitute
692862	336899	
692863	170836	Krankenschwester
692864	40403	Marie
692864	132254	Esmeralda
692864	165756	The Sitter
692864	168214	
692864	179875	Hooker
692864	323005	
692865	211489	Jana
692865	213291	Julia (segment "Die Goblins k
692865	279080	
692865	281719	Portia
692865	338430	Nicola
692866	181082	Prestekona
692867	63861	
692867	255103	Leda
692868	273872	Brittany Whittle
692869	57447	Maria, José's daughter
692870	321255	
692871	61408	
692871	76190	André's mother
692871	97850	La prostituée
692871	166565	Patient
692871	248717	Micheline
692871	302901	Mrs. Yvon
692871	338112	Nadine
692871	388141	Mireille
692872	15115	Flaminia
692872	15118	Louise de La Vallière
692872	96198	
692872	99912	
692872	166186	Henriette
692872	249045	
692872	251290	Sylvia
692872	261815	Ginette
692872	270225	
692872	271597	Denise, l'infirmière
692872	285062	L'entraîneuse
692872	288893	
692872	290893	Annette
692872	345144	
692872	353886	
692872	354941	La comtesse
692872	377896	Nelly Pointard
692872	384287	
692872	398786	La Chouette
692872	400869	La patronne d'Annick
692872	402588	
692873	197091	
692874	55906	
692874	82565	Margot
692874	197091	
692874	251579	
692874	269115	
692874	344855	
692875	197091	
692876	197091	
692877	181842	Une jeune
692878	178279	Bill's Kid
692879	153625	Wife
692879	254748	Sarah
692879	283323	The Jogger
692879	329986	Delilah
692879	347115	Ashlyn
692879	360509	Patt Kerr
692880	59765	Jitterbug
692880	126544	Stripper #2
692880	161060	Ann
692881	334543	
692882	177422	Waitress
692883	183872	Woman #2
692883	204210	Employment Office Clerk
692883	253344	Buyer
692884	183872	Woman #2
692884	277897	
692885	68013	Luciana
692886	202239	Sister
692887	243744	Alice
692887	257344	Cathy Townsend
692888	97350	Shirley Tolman
692889	131760	Mike's Ex-Girlfriend #3
692890	369255	Farmers Daughter Singer
692891	97948	Gerti
692891	392086	
692891	394673	Herself/Co-Host (1986-1992)
692891	411937	Herself/Host (1993-1999)
692892	143113	
692892	281870	
692893	325078	Mariane
692893	387309	Dr. Phoebe Smith Jameson #4 (
692893	394311	Elizabeth Pozen
692894	81276	Dr. Southern
692894	197306	Countess Geschwitz
692895	30646	Student
692896	38064	Mina
692896	86590	
692896	279779	Claire Robins
692896	342324	Zuster Clarissa
692897	144054	Mother-in-law
692897	144058	Loviisa
692897	172523	Innkeeper
692897	175759	Fortune-teller
692897	213378	Pälä's wife
692897	214838	Priskilla Paukkaja
692897	229544	Mari
692897	341793	Fiina
692897	344376	Sameli's wife
692897	349948	Old woman
692897	350584	Aunt
692898	348003	Herself (worm farmer)
692899	364176	Mariel
692900	46420	Megan
692900	67529	Lucy Calloway
692900	79981	Simone
692900	139048	Mary The Fan
692900	163188	Libary Aide
692900	164483	
692900	175819	Kuriyagawa Sakura
692900	178906	Mother
692900	215274	Serena
692900	233509	Robin Jenkins
692900	240325	Sister Yvonne/Felicity
692900	276413	Eliza
692900	277175	Martha
692900	293083	Gigi Devito
692900	301564	Nina
692900	310583	Robin Beck
692900	363161	
692900	369451	Samantha Mulder
692900	402863	Midori (season 4)
692901	47078	Cheerleader
692902	52772	
692902	100726	Shop Assistant
692902	201145	Isabel
692902	328337	
692902	356614	Teresa
692902	390489	
692902	398498	Adelaide (1996-1997)
692902	409422	Catarina
692903	99664	(segment "O Filho da Televisã
692903	405914	
692904	212137	
692905	116388	
692905	215550	Nadia
692906	113673	Toy
692907	85595	
692908	14924	
692908	44225	
692908	67663	
692908	104490	
692908	205008	
692908	217564	
692908	247876	
692908	327325	
692909	108455	Laurita
692909	197953	
692910	20029	Leonor
692910	25781	
692910	52933	
692910	108068	Madalena
692910	108728	
692910	158827	
692910	160728	
692910	197964	
692910	225102	Adalgisa
692910	302535	
692910	306639	
692910	328365	
692911	388262	Contender
692912	134488	
692913	377610	
692914	404888	Cecília
692915	338242	
692916	62513	
692917	201986	Marianada Luz, Pedro's sister
692917	212142	Inês
692917	222162	Senhora do Comité
692917	249397	Dulcinéia Du Valle
692917	328061	
692917	341077	Decorator
692918	9254	Sonya
692918	66918	Carmella
692918	319568	Betsy
692919	57981	
692920	46116	Comandante's wife
692921	167150	
692921	290553	
692921	293623	
692921	365011	Resi
692922	109559	
692923	70686	
692923	104022	
692923	123544	
692923	388937	Marianela (1989-1990)
692923	397593	
692924	27160	Fondled Salvo
692924	31286	Dora
692924	31838	Nellie
692924	54519	Joan
692924	79691	Barmaid
692924	178125	Jules in the Gym
692924	208930	Dottie Prendergast
692924	240681	Betty (Holmes party)
692924	246214	Lady Blandings
692924	288050	
692924	338693	Annie
692924	360882	Kathy Nolan
692924	396668	Barbara Smith
692925	107930	Couple
692926	192413	Boston Matron
692927	381514	Herself (2001-2002)
692928	38761	Nora Oliveira
692928	64933	Prostitute 2
692928	74215	Jenny Richards
692928	75650	Margaret
692928	139098	Chris
692928	203297	Drusinda Highwire
692928	299833	Alison Wilkins
692928	346216	Alice
692928	391070	Francie
692928	401828	Francie
692928	405447	
692929	40024	Claire Amberly, Nanny's Roomm
692929	45846	Jan Compton
692929	69263	Carolyn Garver
692929	75612	Screamer
692929	110246	Young Girl
692929	114165	Mrs. March
692929	178027	Ellen Kingship
692929	240902	Pat Lange
692929	302641	
692929	337058	Connie Mitchell, Gen. Banner'
692929	354859	Linda Sherman
692929	363830	Ann Magruder
692930	130063	Debi
692930	214456	Jessica Turner
692930	215347	Blonde Bus Babe
692931	260902	She-Devil
692931	375694	Jules
692932	305341	
692932	305571	Young American Miss
692933	316739	
692934	7243	
692934	268407	
692934	353821	
692935	190387	
692936	16984	Irmi
692936	43659	Traudl
692936	49304	
692936	93404	Uschi
692936	98069	
692936	98320	Anna Meier
692936	123886	Monika
692936	124618	Zenzi
692936	125340	
692936	125572	
692936	126362	Kathi
692936	129689	Martha
692936	142136	Vroni
692936	142181	Leni
692936	145467	Rosa
692936	166410	
692936	174217	Ilse Bauernfeind
692936	175311	Susanne
692936	178641	Amalie
692936	181657	
692936	186958	
692936	189586	Theres
692936	214067	Emmi
692936	223490	
692936	233301	Kathrin
692936	254351	
692936	290688	
692936	290777	Dorothea
692936	294143	
692936	312051	Elsa Korneder
692936	312598	Monika
692936	313646	Kathi
692936	316816	Klara
692936	322530	
692936	325863	Krankenschwester
692936	345912	Mutter
692936	347812	Anni Hässler
692936	358540	
692936	358748	Marianne
692936	367036	Ursula
692936	369391	Anni
692936	374327	Dora
692936	375165	Rosa Ferstl
692936	383181	Hilde Dorfler
692936	392380	Franzi
692936	392997	Hanna Gschwendtner
692936	393360	
692936	398083	Anneliese
692936	411155	Eva Neureuther (1994-1997)
692936	411956	Karoline
692937	313334	Bar Patron
692938	306973	Dina age 6
692939	55206	Frasquita
692939	281976	Eine Modistin
692940	320125	Herself
692940	320149	Herself
692940	407079	Herself (30 Days, Rotu/Solian
692941	29650	Phone Councilor
692941	96832	Natalia
692941	190096	Carmen
692941	224226	Annettte
692941	289372	Waitress #1
692942	247343	Gypsy Dancer
692943	20989	Herself
692944	107501	Ozma
692945	122308	
692946	43591	
692947	245844	Alice
692948	380332	Rosário Medeiros
692949	246593	
692950	252756	Joana
692951	202033	Madre de Carlos
692952	379252	
692953	25069	
692953	44659	Hermana Moucha
692953	57782	
692953	68971	
692953	75444	
692953	84050	
692953	101467	
692953	104060	
692953	114881	Lotera
692953	120992	
692953	121254	
692953	136149	
692953	155196	
692953	207032	
692953	209034	
692953	275274	
692953	283137	
692953	376717	
692954	257636	Additional Cast
692955	48800	
692955	91404	
692955	278936	
692956	355846	Monja revista
692957	168327	Nosey Woman
692958	131210	Nurse #2
692958	251742	Joan
692958	367083	Murial Bookman
692959	6033	
692959	6034	
692960	182268	
692960	217262	Agrapina
692960	268574	
692960	344094	
692961	9252	
692961	326269	
692962	179601	Mother of Varlami
692962	344270	Mother of Mito
692963	69839	Stefan's Wife
692963	220685	
692963	305560	Bartender Stenia
692963	306107	
692963	406644	Ola
692964	356362	La petite fille
692964	357093	
692965	68920	
692966	12372	Élise adulte/Élise as an adul
692966	15084	
692966	42523	Catherine Modave
692966	58699	
692966	100364	La directrice d'école
692966	125668	Mathilde
692966	166205	
692966	207796	La mère
692966	244741	Anne
692966	249044	Félicienne
692966	249205	Mme Bourget
692966	269223	Madame de Sabran
692966	275652	Jeanne
692966	353833	Odette
692966	353909	
692966	380410	Mme Roméo
692966	383860	
692966	387848	Mme Moreau
692966	393718	La supérieure
692966	403643	Clémence de Hongrie
692966	409800	Madeleine Dubois
692966	412264	Claire-Maric Elissalde
692967	42032	Nicole
692967	180730	Présentatrice TV
692967	345522	Femme enceinte
692968	181250	
692969	241461	After-Care Kid
692970	155847	Oluf
692971	303240	Sylvanya, the Gun Mol
692972	229006	
692973	208753	Chanteuse berbère
692974	110130	
692975	84962	Girl
692976	92922	
692977	8982	
692977	178459	
692977	385537	Mary
692977	394761	Panagiota'Pegi Karra'Karahisa
692977	399857	
692977	406476	Ketty Kolessidou-Gioulbaba
692977	410408	
692978	355639	Martha
692979	380203	
692980	16321	Erika
692981	388619	Herself
692982	8650	
692982	23089	
692982	82136	
692982	162110	
692982	256158	
692982	271920	
692982	271921	
692982	288329	
692982	319832	
692983	328151	Devojka na rolsuama
692984	334500	
692985	12838	
692986	357383	
692987	215691	Miss Massachusetts USA
692988	227103	Christina as a child
692989	176256	Tribal Dance Group
692990	174399	Sprugata na saseda/Wife of a 
692991	95640	Peycheva
692991	253715	Boyka
692991	305903	
692992	33178	Mrs. Philippopilis
692993	1311	(Episodio "La comedia divina"
692994	366657	Margaret (aged 7)
692995	79812	Pigtailed Madonna
692995	147845	Hostess
692995	369458	Cerebro, the Voice of Moira M
692996	366657	Margaret
692997	163258	Helen Fletcher
692998	340647	
692999	184403	Baby Barry
693000	161278	Herself
693001	215623	
693002	300010	Grace Roberts
693003	307126	Emily
693004	43606	Woman in Restaurant
693004	55122	Woman at Grand Central
693004	118763	Mental Patient
693004	137223	Party Guest/Lady in White
693004	191809	Marcy
693004	216737	Wedding Guest
693004	222195	Woman in Night Club
693004	328130	Woman in Phone Booth
693004	346101	Party People
693004	372078	Super Nun Sister Immaculata B
693005	51249	
693006	400380	Herself (2002)
693007	43327	Two Ladies
693007	151188	Mrs. Khanna
693008	396286	Natalia (2004-)
693009	231646	Wanda's Friend
693009	232664	
693010	273020	in Cherbourg
693011	149114	Une prostituée
693012	273020	in Cherbourg
693013	1266	
693013	376379	
693014	246482	Tani
693015	386803	
693016	124843	
693016	373573	
693017	21120	
693017	52577	Bruna
693017	55968	
693017	69262	Rosetta Scarfi
693017	71146	Vito's Grandmother
693017	111159	Nonna di Vera
693017	189158	
693017	212499	Vecchietta
693017	215123	
693017	223600	Sister Clementina
693017	230296	Argia
693017	327486	
693017	363261	Perfetta
693017	399160	
693018	58049	
693018	113446	Sorceress
693018	312521	Lager caretaker
693019	171536	
693020	361710	Mr. Letour's Secretary
693021	246510	
693022	176207	
693022	237169	
693022	268520	
693023	180824	
693024	97957	
693024	97958	
693024	181090	A kanonok úr unokahúga
693024	182662	
693024	277214	
693024	355133	
693024	379094	
693025	55188	Isabella
693026	399657	
693027	36513	Carolina O'Hara
693027	69152	Herself
693028	68914	Jeanne-Marie
693028	99232	Astrid Roux
693028	148647	Young Woman in Street
693028	240429	
693028	345467	Francine
693029	305734	Jewels
693030	170444	La Logeuse Paris
693031	3155	Clara
693031	396201	
693031	399872	Mónica/Bernardo's wife
693032	309764	Lila
693033	291584	(segment "Tube d'un jour")
693034	86037	Sukeena
693034	403763	Sukeena
693035	345557	Enfant
693036	264730	Second Wife
693037	101163	Chantal
693038	234282	Juliette
693038	357175	Martine
693039	295214	
693040	108901	Le premier amour
693041	23530	
693041	337013	Vendeuse de blouson
693041	356509	
693042	19471	First Singer
693042	125723	
693042	135429	
693042	148775	Lola Dufour
693042	156317	
693042	163820	Une petite fille
693042	216239	La fille Ziman
693042	268938	Jessica
693042	278910	Anna
693042	337013	Salomé
693042	340681	Fille 4
693042	345270	
693042	346564	Olivia
693042	377954	Thérèse
693043	125723	Victoires de la Musique co-pr
693043	345270	
693043	384743	Herself (2003)
693043	385679	Co-Host
693043	389130	Herself/Co-host (2003-2004)
693044	125723	
693045	159599	Le modèle de l'académie
693046	40594	Clara
693046	180081	Armande
693046	196821	Yvette
693046	409887	
693047	136360	
693048	394750	
693049	35137	Restaurant Fortune-teller
693049	41273	Amah
693049	49912	Mrs. Wong Lee
693049	84140	Farmer's Wife killed by the J
693049	103283	Newspaper Vendor
693049	177368	
693049	183654	Chinese Woman
693049	246232	Japanese Woman
693049	308155	Chinese Woman
693049	309880	Mama Ching
693049	334948	Soon Hee
693051	188915	
693052	68513	
693053	119383	Corinne
693053	234900	Marion
693053	251544	La fille de Georges
693053	292338	Monique
693053	376580	Nathalie
693053	392911	Cécile
693053	402720	Bernadette
693054	77958	Nicole
693054	400804	Lise Lesieur
693055	110143	Cléa
693056	94330	Claude
693057	286110	Doctor's Daughter
693058	21418	Violette
693058	96066	Un amie d'Odette
693059	15013	
693059	53248	
693059	217655	
693060	69182	Herself
693060	104759	Herself
693060	294737	Herself
693061	345555	Julie
693062	148726	Huguette Durandeau
693063	169341	Séraphita
693064	91900	Flemish Clerk at Hotel Olympi
693065	43656	Aline
693065	66835	Louise
693066	158938	La belle hôtesse de l'aéropor
693067	96172	
693067	101216	
693067	199717	
693068	292843	Last maid
693069	389304	Carole Pilon-Poupart
693071	118782	Saint Clair
693072	104121	Gabriel/Gabriela
693072	131128	Lucía
693072	267404	
693072	275134	
693072	343530	Miriam
693072	377112	Miriam de Oquendo
693072	383335	Carmela Daza
693072	387781	
693072	397243	Silvia de Falcon
693072	405324	Carlota
693072	412124	Margarita Leal
693073	217728	Estudiante de la entrevista
693074	21078	Narrator
693074	100651	Narrator
693076	396000	
693077	37001	
693077	80479	
693077	123280	Lighter Fluid Saleswoman
693077	129456	Panja
693077	142426	Jamila
693077	177592	Zucco's Troop
693077	185415	
693077	329518	Irene Barrett
693079	165037	Bride
693079	165619	Maryna
693080	389996	
693082	7546	
693085	148686	La voix de la mère
693086	258957	Herself - in opening credits
693087	360355	Kendra
693088	366683	Studio Gate Guard
693089	230857	Pinecone
693090	83237	Isabelle Parenteau
693090	96091	La Femme en lui
693090	202701	
693090	224909	Madame Juneau
693090	320066	Angélina Desmarais
693090	378074	Geneviève
693090	383592	Carmen Tranchemontagne
693090	391935	
693090	408883	Brigitte David
693091	383090	
693092	372574	
693093	286274	Performer
693094	406381	Herself (2004)
693095	90357	Clara
693096	292346	
693097	83204	Herself/Elle-même, native de 
693098	395893	Herself
693099	6719	Herself
693099	7062	
693099	31180	
693099	34829	
693099	35538	
693099	37168	
693099	39056	
693099	57118	
693099	81382	
693099	81839	
693099	82667	
693099	82668	
693099	85784	
693099	116594	
693099	151129	
693099	152668	
693099	154701	Herself
693099	158977	
693099	195596	
693099	198077	
693099	232120	
693099	243121	
693099	245783	
693099	252842	
693099	258017	
693099	295613	
693099	303924	
693099	311452	Herself
693099	317395	
693099	317938	
693099	320452	
693099	334717	
693099	342445	
693099	362426	Woman in Tub
693099	365494	
693100	364438	Olivia
693101	245958	La patissière
693102	209210	Cultist
693103	190388	
693103	326453	Vroedvrouw
693103	406203	Jeannine Somers (2002)
693103	409886	Yolande Tourrel
693103	411311	Michelle De Koninck-Coullier 
693104	1938	Estelle
693104	96063	La mère/La prostituée
693104	100176	L'infirmière
693104	147068	
693104	201113	
693104	236193	
693104	238929	
693104	268310	
693105	54182	Narrator
693105	87672	
693105	120970	
693105	161866	
693105	398158	Janine
693106	353927	Isabelle
693106	377647	
693107	118972	
693107	159514	Jennifer
693107	183755	Anna
693107	237604	Journalist/Interviewer
693107	241065	The Mother
693107	248591	Lt. Holcomb
693107	283282	Lisa Modesta
693107	361145	Herself
693107	394848	Loraine in ('Magic Mongo') (1
693107	410797	Judy Borden (1975-77)
693108	216427	Monika
693109	6936	TV Anchorwoman
693109	63275	Poet
693109	93191	
693109	143248	Female Cabbie
693109	195969	Bonnie
693109	224164	Sharon
693109	297788	Mother
693110	279974	L'infirmière
693111	19222	
693111	61368	Ragazza di Dick
693111	67933	Lucy
693111	90665	
693111	127960	
693111	129011	TV announcer
693111	270819	Fabiana
693111	294338	
693111	327911	Edith Jones
693112	376864	Maria
693113	78469	Herself (performing 'Et event
693113	104737	Danish entry (10th place)
693113	114809	Adèle, pige hos Eisenstein
693113	154142	Lillian
693113	171513	Fru Bang-Bendix
693113	173141	Gerda
693113	181736	Tante Valborg
693113	184553	Louise Havermann
693113	213336	Gerda
693113	303643	Else
693113	322469	Grethe Martin
693113	393869	Trisse
693113	397074	Minna Varnæs
693114	389643	Crisalina
693115	377632	
693116	357192	
693117	356196	
693118	300820	Herself
693119	358674	Duane's Daughter
693120	70743	Fille Bouvrette
693121	17923	Gabrielle Watson
693121	185859	Mary Anne
693121	271342	Jenny Purdy
693121	389519	Penny Funkhouser
693121	398506	Stephanie
693122	84486	Carol
693122	258860	Miss Terry Jennings
693123	148624	Nicole à 13 ans
693123	207806	Woman at the Snack Bar
693123	267510	La fille au charbon
693124	5503	Anjelica
693125	111624	
693126	400681	Toinon
693127	51602	
693127	73284	
693127	84163	
693127	151804	
693127	236012	
693127	387099	Host
693127	401912	
693127	402428	Mara Salerno
693127	404995	Señorita Maestra Jacinta Pich
693128	169716	
693128	333613	
693128	341913	La mère supérieure
693128	399751	Oscar
693129	276506	
693130	212795	
693131	19319	
693131	24926	Interviewee
693131	56387	Laurette
693131	64949	Veuve Mr. Jacques
693131	83305	Frédérique/Frédéric Sénèque
693131	101269	Herself
693131	214253	Mrs. Boutelleau
693131	243021	Marie-Laurence
693131	246986	Armelle
693131	268858	Paulette Nanteuil
693131	282781	Pierre (la prof de guitare-co
693131	284932	Martine
693131	296094	Maud Le Chesnay
693131	351549	Laure
693131	355513	Frénégonde de Pouille/Béatric
693131	400698	Lady Palace
693133	1857	Femme médecin
693133	31018	The Subway Passenger
693133	51377	Nurse
693133	70325	Edith (Jocelyne's mother)
693133	108635	Léona
693133	198349	
693133	211140	La mère du Juif
693133	268970	
693133	282781	Pierre (la Maman du Blond)
693133	336234	Jacqueline
693133	346420	La mère de Jean-Jacques
693133	346653	Sophie
693133	353922	Village Woman
693133	383486	
693134	234576	Old Female Guest
693135	240057	Babette petite
693136	97060	
693138	143551	
693138	205131	
693138	274904	Regina
693139	33401	
693139	104486	
693139	157077	
693139	225995	
693140	18288	La bourgeoise
693141	243344	
693142	107510	Francoise
693142	161626	
693142	164166	
693142	201098	
693142	261754	
693142	269716	
693142	353345	
693143	198337	Regina
693144	13026	
693144	16598	Juge
693144	381189	Elise
693144	382777	Claire Théorêt
693144	384214	Nicole Bégin
693144	396542	Bibiane
693145	38818	Young Darien (2000)
693145	38822	Peruru
693145	215651	Bounce
693145	274544	Sela the Healer Fox
693145	280626	Coochie, Coo
693145	379162	Coroner
693145	380246	
693145	381166	Dizzi/Mariah
693145	382104	Sleepy
693145	388871	
693145	391378	Darwin/Margaret The Dog
693145	393240	Renee
693145	394334	
693145	394503	Ex-Princess Populah
693145	395742	Michael, Mail carrier Kelley
693145	397147	Louise
693145	397280	Brass, Peppercat, Neutranurse
693145	398140	Warren Patterson
693145	401100	
693145	401131	Julie Smockford
693145	402010	
693145	403090	Sela
693145	404127	Kiki (2003-?) (Voice: Knights
693145	409511	
693146	45619	Maîtresse de Laurent
693146	146384	Karine
693146	408883	Sosie de Sam
693147	101040	Baby Masha
693148	148696	Secréatire d'Estelle
693149	400804	Violette Papillon
693150	217602	Jessica Ann
693150	217603	Jessica Ann
693150	273414	Anna
693151	62491	Ann
693152	224909	Marie Laforest
693152	406981	Joséphine Caillé
693153	138735	Bombshell Yvette
693154	189907	Helene Beck
693154	249209	
693154	326038	
693155	69531	Androgynous Girl
693156	86307	Guest
693156	309213	
693157	211746	
693158	1087	Townswoman
693159	139123	Leila
693161	410725	Meteorologist
693162	360946	
693163	352126	
693164	106365	Bianca
693165	332772	Fighter/Soldier/Performer
693166	134582	
693167	283558	Aide
693168	198570	Vanessa 70% cuir
693168	207261	
693168	265797	La seconde collaboratrice
693168	406030	Valentine Dulac (1997-)
693169	231771	Susan Nash
693171	8021	
693172	11892	Die Guten: Wachtmeisterin: Kü
693172	16219	
693172	89849	Nun
693172	132174	Klara Schmeebinder
693172	156711	Mildred Scheel
693172	169872	Annette von Droste-Hülshoff
693172	176561	
693172	179787	
693172	204418	Doctor
693172	229879	
693172	325480	Ulla
693172	325595	Frau Scherbel
693172	325900	Birgit Ruperti
693172	336499	
693172	352540	
693172	352659	
693172	375068	
693173	77337	Ania
693174	157066	Katia
693174	380869	Mathilde Cadieux
693174	408883	Vendeuse
693175	61861	Cayetana Fortuna
693175	245854	Mariana
693176	411014	Maxine
693177	310990	Herself
693178	5767	Nara
693178	14776	Joana
693178	14966	
693178	23622	Maria
693178	25043	
693178	33153	
693178	70615	Patricia
693178	70744	
693178	73518	Bia
693178	149523	Lúcia
693178	166675	Julia
693178	168134	Joana
693178	196659	Lindinha
693178	204149	Joana
693178	229680	Lourdinha Bittencourt
693178	250705	
693178	258737	Narrator
693178	333695	Antonia
693178	341146	Maria Francisca
693178	344717	
693178	349726	
693178	379244	Bia
693178	379937	Maria Luiza
693178	380081	Angela
693178	380196	Lúcia Helena
693178	381583	Marta
693178	383479	Micaela
693178	383727	Noêmia Assunção
693178	387932	Adriana Cantomaia
693178	390752	Flávia
693178	392589	
693178	394121	Sílvia
693178	396741	Carolina
693178	398040	
693178	398817	
693178	398884	Teresa
693178	399490	Mariana
693178	401944	Genésia Pereira
693178	402626	Débora
693178	404078	
693178	407830	Luiza
693178	411932	Fabiana Dumont Pietro
693179	10271	
693179	13073	
693179	14966	
693179	17378	Raquel
693179	30514	
693179	55078	
693179	70490	
693179	70744	Cordélia
693179	70899	
693179	83521	Eleonora
693179	84535	Angela
693179	98757	(segment "O Artesanato de Ser
693179	102669	
693179	165516	
693179	192870	Fraulein
693179	207928	
693179	246851	
693179	250705	
693179	328035	
693179	378494	
693179	381144	Helena Seixas Miranda
693179	388728	Maria Luiza
693179	391900	Flávia
693179	397440	Débora
693179	399147	
693179	400902	Nancy
693179	402644	Helena
693179	403733	Margarida Malta
693179	404185	
693179	407639	
693179	407801	Bibiana Terra Cambará
693179	407802	Eugênia
693179	407856	
693179	408414	Matilde
693179	409914	
693179	411579	Nancy
693180	286277	Viviane
693181	72747	Wizard's Mother
693181	134395	Old Indian Woman
693181	173933	Restaurant Manager
693181	205788	Landlady
693181	248568	Organist
693181	301716	Rooming House Lady
693181	302492	Fanny
693181	314631	Butch
693182	110037	
693183	371319	Virginia O'Hanlon
693184	287704	
693185	223850	Mrs. Dodd
693186	263	Angenelle
693186	964	Hostage
693186	1703	Herself - Presenter
693186	7979	Carol North
693186	37246	Melanie Bryant
693186	43877	Bernadette Walsh (Candyman)
693186	53821	Bernadette 'Bernie' Walsh
693186	71996	Rachel
693186	93974	June Vanderpool
693186	110278	Nina Blackburn
693186	114642	Cookie
693186	127517	Subaya
693186	134315	Madonna
693186	139169	Det. Marie Mitchell
693186	189249	Teresa
693186	245769	
693186	290319	Perry
693186	301540	Ardelia Mapp
693186	303288	Herself
693186	321402	Herself
693186	350221	Jackie
693186	375842	Grace
693186	380713	Nella Franklin #2 (1986-1989)
693186	409489	Alex Robbins
693187	78541	Julie Danton
693187	89670	Daisy
693187	223463	Mrs. Hofmann
693187	230229	
693187	272751	Pauline Piperkarcka
693187	281639	Gertrud
693187	333045	Nanny
693187	389287	Wilma (1997)
693187	393978	
693187	396874	Fanny Ginster
693187	404440	Marianne
693187	409588	Justina
693188	112280	Gräfin
693189	397473	Various characters
693190	328844	A Lover
693191	289634	Christophine
693191	400110	Young Rose Fleming
693192	32713	Journalist #1
693192	269738	Lydie
693193	400159	Herself/Panelist (2003-)
693193	405285	Herself
693194	17818	Elle-même
693194	43636	Marie-Sophie
693194	400149	Herself (2001-)
693195	251176	
693196	168701	Dancer
693197	300739	Porn actress
693198	76216	Trudi
693199	85153	Isabelle
693200	111117	
693201	309448	Julie
693202	137487	Soft-voiced Woman
693202	185838	Nurse
693202	380259	Ayo Lapido (1983)
693202	397182	
693203	23076	Florence
693204	192870	Laurita
693205	379831	Kimberly #2 (1990-91)
693206	198638	
693207	397888	Herself (2002)
693208	51388	Lise Drouin
693208	51586	Peste
693208	237306	Josée
693208	251547	Religieuse
693208	383959	Germaine
693209	112725	
693209	124326	Marie
693209	390436	
693210	84667	La maman 'bébé Nobel'
693210	130724	
693210	198574	Marion Audefey
693210	224894	Marie Chapsky
693210	254125	Cécile
693210	324526	Isabelle
693210	327888	
693210	335252	Sonia
693210	339226	Mireille
693210	345365	Sarah
693210	388313	Marion Ferrière (2001-????)
693210	406785	Herself/Panelist
693211	79309	Evy
693212	47542	Kathy
693212	93776	Glowie Hudson
693212	140912	Announcer
693213	19303	Rita
693213	75421	Funeral Attendant
693213	90986	
693213	100034	Vic's bartender
693213	114288	Margaret
693213	187191	Claire
693213	216473	Shelli
693213	269296	Pamela
693213	321559	Dresden Lady
693214	80782	Cemetery Extra
693214	81185	
693215	395073	Hava
693216	37141	Beth Draper
693216	38103	Julie
693216	147980	Rahi
693216	197185	Debbo
693216	255009	Nessie
693216	261521	Nola
693216	307001	Josie
693216	321394	Dawn aka Sweetie
693216	361291	Jen Bordern
693216	379395	
693216	391251	Fiona Lovell
693216	399130	Brenda Riley (1991-1992)
693216	402197	Marlene Warren (1984-1985)
693216	404927	Envy
693216	405960	Jennifer Hickson (1982)
693216	411809	Nurse Zelda Baker (1982)
693217	36700	Marilyn
693217	251202	Mom
693218	147980	Woman with trolly
693219	138521	Antoinette LaGrange
693220	313562	
693221	272405	Stadek
693222	239496	
693223	162529	Twin 1
693224	162529	Twin 2
693226	70311	
693227	307840	La troisième femme
693228	120971	Hilde
693229	106474	
693229	345290	Violin Player
693230	6378	La garde de nuit
693230	28913	Mme. Dubars
693230	33630	
693230	43236	Miquette
693230	45131	
693230	51238	
693230	53060	
693230	57264	Ginette
693230	59968	
693230	126089	
693230	134045	Madame Piotet
693230	136957	Brigitte
693230	156277	Jacqueline Cordier
693230	166099	Henriette
693230	198620	
693230	208481	Eva Allison
693230	218268	
693230	220752	Lia
693230	229027	Renée Lancel
693230	261779	Colette Monnier
693230	264214	
693230	278147	Nicole Regnier-Lambert
693230	279111	
693230	302168	Simone
693230	306951	
693230	317362	
693230	340208	
693230	345485	Monique Lepage aka Ninon
693230	346499	
693230	346718	Irène Pommerois
693230	346823	Herself
693230	355266	
693230	357855	
693231	365491	Cotton
693232	261290	Annette
693233	273663	Julieta
693234	363488	Video Store Clerk
693235	386812	Martina
693236	237209	
693237	143757	
693239	392747	
693239	404165	
693240	237209	
693241	380713	Ruby Frank (2000-2001)
693242	42976	
693243	10225	Abuela
693243	19455	
693243	24623	
693243	39937	
693243	44342	
693243	51728	Abuela
693243	61142	
693243	64048	
693243	74370	
693243	74600	Abuelita
693243	75999	
693243	91270	
693243	91376	
693243	113238	
693243	121254	
693243	127602	
693243	132707	
693243	143757	
693243	192981	Senora Villar
693243	193195	
693243	205430	
693243	209034	
693243	222907	
693243	226437	
693243	229802	
693243	236451	
693243	237413	
693243	243613	Madre Marcela
693243	258619	Mujer 3ª mercado
693243	306694	
693243	307656	
693243	309086	
693243	339181	
693243	375875	
693243	376796	
693243	376844	
693243	387821	
693243	397467	Felisa
693243	412125	
693244	383441	
693245	388263	Contender
693246	169570	
693246	205163	
693247	23267	
693248	338242	
693249	105318	
693250	196820	
693251	3788	Herself
693251	19109	Greta
693251	21303	
693251	24315	Rose Melrose
693251	24686	Marie-Antoinette
693251	42913	Babette
693251	67719	Carole Valmer
693251	71838	Catherine Gless
693251	93416	Marianne
693251	99301	Herself
693251	156514	
693251	157972	
693251	166274	Arlette Simon
693251	167520	
693251	182097	
693251	212744	Voice
693251	235458	Mozart
693251	243600	
693251	255582	Anna
693251	265913	Anna
693251	265979	Ceres
693251	266419	Albertine
693251	270905	
693251	279137	Eva Kline
693251	331181	
693251	349004	Chanteuse
693251	349005	
693251	358731	The Mother (act one), The Wif
693251	368357	
693251	387735	Peggy Brinkley (1987)
693252	83336	Lou
693253	106810	Bordellmutter
693253	204766	Toos
693254	259676	
693255	40533	Detective
693255	276196	Mrs. Inowlocki (segment "Mari
693255	287781	Ellen, Claire's Secretary
693255	391331	Teensie Weensie
693255	403585	Mum
693256	308057	Laurie
693257	308057	Laurie
693258	269503	Vendeuse robes de mariées
693259	76619	Angelina Gwendolin Rosalind '
693259	141339	Mildred
693259	152203	Johanna
693260	10270	Charlotta Lönnqvist
693260	27408	Työkkäri
693260	324808	Salli
693261	260902	Friend
693262	48790	Enfermera
693262	237851	
693263	120088	
693264	18735	Dancer
693264	331333	Cuban Singer
693264	342503	Girl on Balcony
693265	14222	Herself/Presenter
693265	18544	Reporter
693265	272026	Female Clerk Tides Hotel
693265	301574	Elena Yepes
693265	383776	Herself/Host
693265	396873	Cecilia
693267	186708	
693268	122811	Vicky
693268	246558	Maria
693269	15208	
693269	60678	
693269	97054	Cliente de Carmen
693269	107919	Stripper
693269	164220	Aunt Demerise
693269	237610	
693269	249209	Fan de Jeannot
693269	332274	
693269	363680	Girl with Brancourt's Keys
693269	390486	Corinne
693270	269743	
693271	319553	Various characters
693272	199441	
693272	251610	
693272	255637	Barbara
693272	290000	
693272	336149	
693273	251811	Eine Bäuerin
693273	284517	
693273	290113	
693273	341765	Miss Brown
693273	352602	
693274	188453	'Dislike' Girl
693275	14919	
693275	19217	
693275	56350	Pina
693275	56929	Segretaria della Scuola
693275	155085	
693275	236806	Lia
693275	240143	
693275	252663	
693275	269023	Elena
693275	355357	
693276	71766	Albertina
693276	145170	Raragwanath nurse
693276	371369	
693277	73374	Stripper
693278	126277	Nandile
693279	391262	Green Grass Woman
693280	400288	Herself
693282	282756	
693283	266019	
693284	238001	
693285	205149	Ottavia
693286	4618	French girl in restaurant
693286	20536	Undetermined role
693286	27935	
693286	47294	Bit Role
693286	78017	Middle-Aged Woman
693286	84991	Second Woman
693286	116039	Mrs. Lane
693286	118546	Rose
693286	119782	Betty Ryan
693286	128812	Stella
693286	138806	
693286	149129	Soubrette
693286	154652	Belle
693286	154756	Wife
693286	164977	
693286	168741	Woman Informer
693286	203006	Woman in Trailer
693286	203766	Girl
693286	214166	Marie Brody
693286	235162	Woman on bridge
693286	238566	
693286	241134	Telephone operator
693286	248993	Marie
693286	257856	Madeline
693286	269295	Mrs. Rinaldi, High Diver segm
693286	292819	Jo Jo
693286	299939	Alexsos' wife
693286	301935	Queenie Canfield
693286	316900	Woman
693286	319076	Sally
693286	330173	Waitress
693286	335882	Lucy
693286	372152	Grace, Vera's Friend,
693287	244268	Desdemona
693287	244269	
693288	84270	Actress
693288	84318	Guest
693288	100549	Guest
693288	125894	Mrs. Strömberg
693288	142729	Madame Cora
693288	171991	Prostitute
693288	209311	Waitress, 1938
693288	268365	Guest at Olle's party
693289	388646	Officershustru
693290	176957	Receptionist
693291	21119	Tuzia
693292	79290	Olga
693293	208985	Denise
693294	8480	Alda
693294	66869	
693294	77705	Sylvina Rejas
693294	82296	Maria das Mercês
693294	101876	Woman
693294	107718	Lígia
693294	112753	Lilita
693294	113210	Maria do Carmo
693294	157079	Maria Antónia
693294	198190	Laura Albuquerque
693294	209515	
693294	222162	A Presidente
693294	223337	L'assistante sociale
693294	246818	Narrator
693294	276100	Bárbara
693294	341077	Banker's Lover
693294	341156	
693294	352632	Inês Machado/Marta Gouveia's 
693294	369501	Carla
693294	380152	Ana
693294	380533	
693294	381246	Isabel
693294	398840	Clara
693294	399872	Vitória Palma Reis/Senior Edi
693294	403429	Lídia
693294	403867	Guiomar
693294	409023	
693295	409463	Secretaria (1984-1985)
693296	27984	
693296	46920	
693296	78556	Vicenta
693297	229186	
693297	262669	Marjan
693298	120241	Vicky
693298	185365	Village Gossip
693299	178091	Herself
693300	398816	Camila
693300	409957	Maia (2000)
693301	231110	Mrs. Isabella
693302	10901	Plant reporter
693303	49832	
693303	85718	
693303	377913	Claudie Delabarre
693304	15042	
693304	122133	Suzanne
693304	236230	
693305	223334	Wanda
693306	71787	Julie Williams
693306	236706	
693306	265384	The bride
693307	346567	Moïna de St Herein
693308	316881	New Steps Family
693310	40694	Barpige
693310	225351	Bankrøveren Lene
693311	178749	
693311	178753	Mrs. Andersson
693311	225684	Christine, møllerens kone
693311	308229	Skolelærerinde
693312	144244	Lili
693312	175708	
693312	200056	
693312	229477	
693312	252381	Speciality Dancer
693313	217912	Lucious
693315	343780	Rachael
693316	6219	Kaufman's Mother
693316	13620	Radio Show Hostess
693316	26355	Dinah
693316	56871	Carol Strong
693316	60735	Sister Faith, Love Gang
693316	90911	
693316	93255	Harriet Alvena Baum Neal
693316	97419	Teacher
693316	99850	Young Woman
693316	121528	Woman on Plane
693316	122756	Magentia Moonbeam
693316	133743	Waitress
693316	152555	Puff's Mother
693316	158920	Guard
693316	166637	Mother in Supermarket
693316	190690	Waitress in desert diner
693316	190951	Lady on Plane
693316	212834	Vivian
693316	215786	Judy Miller
693316	244373	
693316	245229	Miss Clayton
693316	248879	Mrs. Harris
693316	257922	Marge Jenkins
693316	272238	Temperance Lady 1
693316	279509	Vegas Motel 9 Desk Clerk
693316	280005	Connie
693316	283426	Blanche
693316	298091	Cynthia
693316	305716	Ramona
693316	317341	Mrs. Barton
693316	319012	Receptionist
693316	334356	Mother
693316	388197	Daisy Skelnick
693316	388202	Georgette
693316	390593	Beverly
693316	396935	Sandy Kelly
693317	383206	Josefina
693318	100391	Copera
693319	150973	Mrs. Peniston
693320	224685	
693321	106025	Nurse
693321	184101	Featured
693321	230947	News Reporter
693321	261986	Cocktail Waitress
693321	344197	Little Old Lady
693321	359800	Secretary
693321	392802	Liza Minelli
693322	689	Herself
693322	49389	Francesca
693322	305082	Girl on Swing
693323	388193	Herself
693324	160981	L'enfant
693325	20625	Extra
693326	20625	Extra
693327	369841	Wu Ying's Stepbrother
693328	132823	Herself
693329	42561	
693330	254765	Helga
693331	21187	Emily
693331	252912	Amy Pearl
693331	272776	Marci Kornbalm
693331	358377	Natasha
693331	379997	Roxanne Bojarski
693331	380590	Vange
693331	380692	Emily
693331	389046	
693331	390545	Herself - Contestant
693331	395737	Annie Inch (second season)
693331	401892	Vanessa (1999-2000)
693331	402750	Sarah Leigh
693331	406211	Herself
693332	272665	Blondje in auto
693333	228492	Loulou
693334	245957	
693334	330407	Marthe Bombarde
693335	164178	Samantha
693336	98027	
693337	34331	Sanitäterin
693338	144577	Exercise Class
693339	17080	
693339	43114	
693339	48670	
693339	50840	Szomszédasszony
693339	108840	
693339	110915	
693339	129672	Landlady
693339	136576	Szomszédasszony
693339	137122	Retkecske
693339	163132	
693339	175466	Mrs. Huszár
693339	182873	
693339	209810	
693339	211656	
693339	212992	
693339	229710	
693339	348997	
693339	376559	
693339	378577	
693339	387360	Pócsikné
693339	407241	
693339	412290	I.asszony (ep.3)
693340	74468	
693340	144244	Dr.Szabó Elekné
693340	182830	
693340	378518	Jolán,Lukács felesége
693341	334028	Anna, a lengyel király lánya
693341	399860	
693341	407236	Vica cica (1990-1999)
693342	11836	Nicole
693342	11852	Tessa
693342	34993	Nicole
693342	42151	Lisa Schneider
693342	42184	Franziska Dorn
693342	89849	Angelina
693342	91930	Lisa Eck
693342	103070	Janni
693342	204581	
693342	207151	Alyssa de Espella
693342	218972	Franziska Dorn
693342	218980	Franziska
693342	226508	Nadine
693342	256957	Maria Grazia
693342	281746	
693342	288377	Franziska Dorn
693342	290202	Friseur-Girl
693342	290452	Eva
693342	290741	Franziska Dorn
693342	308838	
693342	325469	Sandra
693342	347581	Franziska Dorn
693342	394627	Dr. Barbara Wendland (1999-20
693342	409861	Beatrice (1998-2002)
693343	334028	Anna, Fabricius lánya
693344	391604	Conny Starck (1998-2000)
693345	48166	Zoe
693345	313345	Katarina
693346	6247	Melinda Adams
693346	23704	Jenny Morgan
693346	23706	Jenny Morgan
693346	40773	Young Girl
693346	44415	Laura
693346	73607	Mia
693346	80832	Marie
693346	113270	Beth
693346	128478	Betty
693346	210960	Gail
693346	269859	The Neighbor
693346	274215	Mia
693346	296799	Patty Abruzzi
693346	383208	Jenny Garrison (1992-1993)
693346	387222	Kelly Jenar
693346	388270	Suzanne Carson
693346	391948	Haley
693346	411075	
693347	188615	Supporter #1
693347	189991	Shannon
693347	266091	Chandra Kerkorian
693348	278962	Giunone
693349	190422	Bobby
693350	129656	Roza
693353	397518	Psychiater Leniere
693354	379923	Herself (Eliminated 6th with 
693355	193499	Lola
693355	392270	
693356	389412	Nurse
693356	399124	Wendy Nelson
693357	390827	CEO Mary Kate Lenihan (2001-)
693357	390828	CEO Mary Kate Lenihan (2001-)
693357	390829	Herself
693358	167558	Mrs. Hartley
693359	110421	BBQ Woman #1
693359	202727	Ruta Lee
693359	366898	Humane Society Volunteer
693360	300189	Englishwoman
693361	209365	Jai's Nurse
693362	247160	Goldwyn Girl
693363	347070	Miss Mannis
693364	56545	Herself
693365	96201	
693365	122599	
693365	266468	
693366	43114	
693366	343776	Baba
693367	160580	Elaine
693367	368040	Policewoman
693367	406464	Woman PC
693368	58542	Baby Edison
693369	219331	Morita
693370	37918	Adele Colin
693370	173936	Show Girl
693370	222459	Millie
693370	267449	Millicent
693370	335865	Reporter
693371	84258	Asistente teatro 2
693372	390928	Laura Lehnhardt
693373	264043	Lady in waiting
693373	318792	Stock company member
693374	279353	Techgeists Leaders
693375	314385	Stina
693376	255656	Lotta
693377	304408	Kitta Sladdermaska
693378	155326	Trude Krüger
693378	156047	Lore Brenner
693378	231675	Lewin's Bride
693378	361470	
693379	439	
693379	11817	Frau des Vaters
693379	24093	Marie Kedennek
693379	34996	Frau von Humboldt
693379	51334	Irmgard Behrend
693379	94000	
693379	101338	
693379	156974	Rienhard's mother
693379	160262	
693379	168400	
693379	182752	Königin
693379	182782	Katja
693379	189831	Mariechen
693379	195057	Charlotte, Lotte's daughter
693379	210235	
693379	211697	Elsbeth
693379	259541	
693379	301041	
693379	312676	
693379	326019	Schallplattenverkäuferin
693379	343686	Lisa Plache
693379	352676	
693379	376476	
693379	404427	Marie von Clausewitz
693380	410596	
693381	101216	Charlotte
693382	109009	Ung kvinna
693382	122325	The Daughter
693382	283274	
693382	303649	Ebba
693382	405539	Annie Stenström (1999-2000, 2
693383	332080	Secretary
693384	124260	Herself
693385	326086	
693386	331099	Liz Burns
693387	26478	Roz
693387	160897	Newscaster
693387	220985	Registrar
693387	267351	Technician #2
693387	331377	Reporter One
693387	387728	Nurse Shirley (1995-)
693387	388752	Friday
693387	392545	Shirley
693388	126492	Mrs. Petrossian
693388	355519	Fay Marcus
693388	408956	Tracy's Mother
693388	410675	
693389	225043	Gloria
693390	11915	Mrs. Thompson
693390	18029	Detective Washburn
693390	40206	
693390	67385	Angie
693390	71897	Sally De Salvo
693390	80482	Mrs. Chase Woodward
693390	99296	FBI Woman
693390	147557	Deirdre
693390	157595	Iris
693390	183730	Liz
693390	200999	First Lady
693390	260369	Toni
693390	276168	Kathy
693390	287285	Angie Wyman
693390	314351	Airline Reservation Clerk
693390	326460	Nancy
693390	334293	Emma Little
693390	355539	Stranger #3
693390	367588	Mary Selby
693391	160383	
693392	160383	
693393	113371	Jeanne Kilgor
693393	147206	Leipert's Girlfriend
693393	378846	
693394	88451	
693394	206024	
693394	278416	
693395	16512	Themselves
693395	138730	Group cast appearance
693396	177347	Goneril
693397	156874	Herself
693397	381501	Herself
693398	194483	The Lord of the Dance Troupe 
693399	138730	Herself (The Lennon Sisters)
693399	186443	Herself
693399	393533	
693399	395290	The Lennon Sisters (1955-1968
693400	229902	Wake Musician
693402	365344	'It's Only Plastic' Chorus Gi
693403	138730	Herself (The Lennon Sisters)
693403	186443	Herself
693403	393533	
693403	395290	The Lennon Sisters (1955-1968
693404	93064	Young mother
693405	109992	Mrs. Zodsworth
693405	388037	Various
693406	138730	Herself (The Lennon Sisters)
693406	186443	Herself
693406	393533	
693406	395290	The Lennon Sisters (1955-1968
693407	92453	Waitress
693407	222780	Police Woman
693408	138730	Herself (The Lennon Sisters)
693408	393533	
693409	41478	Bella
693409	73863	Marie
693409	84955	Linda Belmont
693409	105342	Aine McBride
693409	115379	Kay
693409	143341	Amelia
693409	159573	Roisin McAnally
693409	239449	Linda
693409	390416	Andrew's secretary
693409	397614	Donna
693410	186443	Herself
693411	395290	The Lennon Sisters (1955-1968
693412	150054	Herself - Contestant
693412	158590	
693412	186129	
693412	245307	
693412	264683	
693412	296705	
693412	306026	
693412	323186	
693413	77676	Salsa Club Dancer
693414	3055	Herself - Best Song Winner/Pe
693414	17767	Herself
693414	20213	Herself
693414	30588	Mrs. Sands (segment "The Room
693414	45910	
693414	97718	Singer
693414	104786	Herself
693414	104787	Herself
693414	104788	Herself
693414	104789	Herself
693414	104790	Eurythmics
693414	119411	Herself
693414	163623	Herself
693414	221474	Herself
693414	226814	
693414	229681	Herself
693414	232873	Cameo
693414	249555	Herself/Performer
693414	251088	Guest Performers (also as Eur
693414	277258	Liberty Woman
693414	288703	Herself
693414	333548	Herself
693414	389997	Herself/Interviewee
693415	188453	'Likes' Girl
693416	116905	
693417	26651	Israfel's Sweetheart
693417	73969	Dorothy Oldacre
693417	280495	Rose
693418	178840	Blonde in Photo Booth
693418	260206	
693419	20625	Extra
693419	346630	
693420	389088	Little Girl
693421	351430	Clara
693422	75906	
693422	312285	
693423	252389	
693423	252399	
693423	252406	Model
693423	339580	
693423	355167	Herself
693423	380005	Lace (1992-1993)
693424	382743	Anne Fitzgerald
693425	100860	Flo
693425	151344	Aurora Bompas
693425	158470	Housewife
693425	269324	
693425	299543	
693425	333095	Amelia Mainwaring
693425	363089	Betty Painton
693426	84955	Prison Warder
693426	330377	Justice of the Peace
693427	109669	Muffy
693427	129817	
693427	390116	Series Regular
693428	111624	
693429	32203	Liz
693430	156331	Alexandra Buxtehüde
693431	43001	Louise
693431	55370	Daughter Butcher
693431	96142	Corinne
693431	140283	Infirmière
693431	167214	Lina
693431	200931	Lise
693431	212148	Hélène
693431	227483	Gaëlle
693431	248246	La surveillante
693431	258316	Blandine
693431	295210	His Daughter, Cynthia
693432	286224	
693434	171107	
693435	205756	Marie
693436	62568	
693437	352835	
693438	1833	
693438	2102	Monique, la mère de Dan
693438	68378	La mère
693438	68425	Françoise Dessantis
693438	70954	
693438	254520	Florence
693438	258788	Béatrice Dupasquier
693438	264950	Édith Mesniel
693438	277434	
693438	277726	
693438	357851	Joëlle
693438	385216	Marie-Odile (2000-????)
693438	400698	Une serveuse
693438	408957	Annie
693439	22681	Guimieukis
693439	131170	Gina
693440	131984	Gordon's wife
693441	32026	Pingre #8
693441	44576	
693441	100240	
693441	171321	
693441	217652	
693442	84218	
693443	186192	La Môme Fromage
693444	17567	Stella
693444	34120	
693444	36777	
693444	46670	Judge
693444	47875	Mama
693444	75603	Herself
693444	78217	Prison Matron
693444	109829	Mrs. Clements
693444	120369	
693444	190889	Rosanna
693444	219692	The Judge
693444	282628	Della
693444	289443	Herself
693444	319253	Odessa, Willy's nurse
693444	329325	
693444	362594	Millie
693444	372149	Rheba
693444	379948	Leola Forbes (1987-1989)
693444	380391	Gloria Metcalf (1972)
693444	388348	Estelle 'Mother' Winslow (198
693444	390070	Mother Maybelle Harper (1986-
693444	390771	Leona Herbert (1971-1972)
693444	404002	Miriam George #1 (1977-1978)
693444	404613	Unknown (year unknown)
693444	411419	Matilda
693445	20643	Ginny
693446	35814	Zizi's Friend
693447	54398	Premiere Danseuse
693448	385299	Elaine MacIntyre
693449	2730	
693450	169692	Nurse Tubitt
693451	162425	Dr. Helen Williams
693451	333857	1st Victim
693452	28994	Serveuse à l'Isle-Adam
693452	100533	Héléna
693453	8928	
693453	11930	
693453	39094	
693453	91474	
693453	92923	
693453	93116	
693453	97615	
693453	98210	
693453	102354	
693453	102685	
693453	180293	
693453	240198	Daughter
693453	248520	
693453	282923	Miss Abousief, Cairo Passport
693453	318738	Aspa
693453	341192	
693453	350659	
693453	379378	
693453	380493	
693453	380499	Stella
693453	387404	
693453	392217	
693453	406537	
693454	348458	Mrs. Blake
693455	164688	La tapissiere Mme Bredin
693456	245542	Rock Video Singer
693457	91839	
693457	117683	Girl in Strip Club
693457	240818	Sister Emma
693458	7462	La fille rousse du cinéma
693458	111003	Anaïs
693459	184608	Black Pawn
693460	101344	Nini
693460	124901	Mevrouw Cholakow
693460	126826	Mrs. Scott
693460	168956	
693460	174842	Mathilde
693460	180081	Mevrouw Malfait
693460	249735	Mevrouw Blok
693460	268384	
693460	275660	Huiseigenares
693460	282736	Dame
693460	312014	Greta Muller
693460	335773	Mrs. Parson
693460	381006	Ida Talboom
693460	393451	Madame Hollebeck
693460	411116	Madame Scheurs
693461	35362	
693462	81642	
693463	149250	
693464	15264	
693464	17609	Paula
693464	290434	Newsroom Secretary
693464	310828	Mother
693464	314862	
693464	352029	Mw. Merckelbach
693464	356815	Carrie
693465	10415	Louise
693465	69405	Receptionist
693465	80759	Luisa
693465	83784	Gilda Farrell
693465	107629	Sylvia Creat
693465	163228	Rita
693465	220949	Bride
693465	248459	Dee Perry
693465	269305	Luce Habit
693465	270402	Godess
693465	282630	Helga
693465	295312	Countess Radzsky
693465	306989	Louise
693465	310986	Narrator
693465	384528	Mrs. Peacock (Series 2) (1991
693465	394146	Zeta
693465	402212	Frau Gertrude Steiner
693465	403523	Morgwyn of Ravenscar
693465	403574	Q
693465	403575	Nancy 'Q' Cunard de Longchamp
693465	407398	Joan Warner
693466	156331	Anna Magdalena Bach
693466	378789	Elena ('La basse-cour des cél
693466	399377	Herself (Russian candidate)
693467	176139	
693467	279089	Tezma
693468	90450	Karen
693469	134488	
693470	282711	Dancer in Haiti number
693471	545	Marije
693471	1161	Kim
693471	7625	
693471	65720	Laura
693471	229237	Go
693471	229410	Ellis
693471	260099	
693471	314858	Laura
693471	367362	
693471	375524	Angelina
693471	376257	Mies
693471	394609	
693471	397358	Paula van Rechteren
693471	400031	Katherine van Tuyll
693472	189894	Betty
693473	2730	
693474	99089	
693474	231503	Nurse Bambi
693475	253499	Young Fay
693476	127394	Luz II at Age 2
693476	307900	Woman
693477	127394	Luz II, age 2
693478	393845	Herself
693479	205542	Child
693479	247984	Bambina
693480	55928	Doll
693481	243204	Jane Webb
693481	379996	Rachel Nash
693481	407610	Winnifred Tattinger (1988)
693482	341984	Bride
693483	11828	Sig.ra Borlotti
693483	25152	
693483	54779	Valeria, Amica Marron
693483	68429	
693483	82434	
693483	88345	
693483	124124	
693483	127964	Lola-Ivan
693483	135290	
693483	293819	Miss Sheba
693483	317572	
693483	328872	
693483	349534	Mandrilla di Porto Recanati
693483	350421	Irene (Penelope's mother)
693483	377580	L'ereditera
693484	107536	Martine
693484	170103	Élodie
693484	217651	
693484	287598	Anne
693484	288696	
693484	345126	Mona
693484	345535	
693484	352635	Dominique
693484	356362	La collègue de Diane
693484	389224	
693485	250891	
693486	5936	VW Driver
693486	35523	Playboy Mansion Receptionist
693486	40632	Muggette #3
693486	82662	T.V. Reporter
693486	170982	Judge Swartz
693486	196281	Nun #1
693486	253358	Elise Franco
693486	277801	Reporter
693486	279323	Bandstand Babe
693486	283489	Wife #1
693487	3231	Thelma
693488	49345	Barb Leslie
693488	266200	Sheryl
693488	313914	Reporter
693489	347398	Mother
693490	188934	Sanna
693490	372625	Johanna
693490	391214	Sara Immonen
693490	401440	Ilona
693491	116476	(segment "Mon copain Rachid")
693491	217664	
693492	95236	Stephanie
693493	89224	Trashy
693494	108033	Perreault's Girlfriend
693495	225122	
693495	351945	
693496	51118	Wahrsagerin
693497	348612	
693498	35542	Waitress
693498	45357	Nurse Diane
693499	82454	Finicky Customer
693499	189911	Hysterical Patient
693499	389628	Additional voices
693499	402899	Rionette
693499	404517	Additional Voices
693500	60323	Ophelia
693501	384783	Rosemary
693502	2392	Jenny
693502	19174	Emma Valadier
693502	34476	
693502	120574	Rosa Klebb
693502	126019	Narrator
693502	195058	
693502	200646	
693502	280832	Contessa
693502	293961	Clara Pelf, Institute of Musc
693502	327669	The Gypsy
693503	247977	
693504	256825	Finale Woman
693505	79065	Paula
693505	276779	Mindy
693507	47078	Marni Potts
693507	154453	
693507	206833	Rose Cronin
693507	330477	Linda Halleck
693507	390771	Teenage Reva clone (1998)/Mic
693507	400260	Haley James Scott
693508	363969	Paula Davis
693508	380390	Liz Cummings (1981-1982)
693509	225732	
693510	10263	
693511	406611	Herself - Finalist
693511	406612	Herself - Participant
693512	7093	Detective Hill
693512	8098	Lisa
693512	13963	Jane, Girl at Dance
693512	46581	Edith Alice Breezerman ('Bree
693512	81318	Karen Sheldon
693512	103241	Barbara Chilcoate
693512	106746	Shirley
693512	107902	P.J. Parks
693512	109538	Moke
693512	110241	Sharon Haden
693512	133795	Thursday
693512	135860	Peep/Madge
693512	135915	Linda Yarnell
693512	140993	Katherine Hall
693512	141307	
693512	146855	Leona Crawford Gordon
693512	150792	Sandy
693512	153266	Jenny O'Rourke
693512	159765	Sarah Goodwin
693512	169389	Sherry Williams
693512	169435	Marvelle
693512	191431	Lisa Schilling
693512	209132	Linda Ramsey
693512	220681	Cam Johnson
693512	222608	
693512	241870	Shirley
693512	254923	Deborah Quinn
693512	264514	Carrie
693512	264568	Bonnie Green
693512	287135	Carol Bain
693512	293149	Sarah Burns
693512	297122	Viola
693512	297232	
693512	309946	Claire Coleman
693512	316752	Sargent
693512	318810	Ruth Hailey
693512	320796	Odille
693512	338300	Gillings
693512	339372	
693512	346281	Sue Crandell
693512	348070	Vicky Simmons
693512	360880	Audree Prewitt
693512	363905	Jerri Kane Hummer
693512	385141	Detective Lisa Ramone
693512	392177	Doreen
693512	403013	Maggie Zombro (1992-1993)
693512	403335	Kate Jordache (1976-1977)
693512	403336	Kate Jordache
693512	408181	American Maid (1994-1997)
693513	175305	Unhappy Wife
693513	189603	
693514	142269	Yvonne Anders, 10
693515	386922	(Season 5)
693515	397371	Hotel Owners Wife, Additional
693515	411884	Additional Voices
693516	69457	Nicole
693516	257616	Herself
693516	257658	Herself (Miss April)
693516	274148	Herself
693516	275785	
693516	293192	Miranda
693516	361854	Herself
693517	135291	
693518	388202	Green Woman #2
693519	49763	Waitress at Parker's on Fifth
693519	92736	Baitmate
693519	126011	Chorus Girl
693520	16363	Nanndl (12)
693522	8266	
693522	16868	
693522	37825	
693522	73467	
693522	82411	
693522	85977	
693522	87044	
693522	90671	
693522	127953	
693522	157028	Nurse
693522	211322	
693522	228362	Prostitute
693522	238013	Concetta Licausi
693522	265813	
693522	270823	Maria Kransiski
693522	278015	Francesca
693522	278530	Stella
693522	295166	Susan Leclerc
693522	311062	
693523	8369	Maria
693523	17746	Andreina
693523	17810	Edda Marty
693523	25318	Flora
693523	204166	New York Woman
693523	238015	
693523	269095	
693523	400407	Antonella
693524	89558	Mary Valdi
693524	124564	Nightmare Victim
693524	282113	
693525	309249	
693526	74114	Mamma
693526	171332	Alison Warner
693526	176969	Veronica Baxter
693526	195685	Mrs. Donizetti
693526	366427	Girl in Bookshop
693527	309310	
693528	368721	Dianna
693529	236828	Rebecca
693529	399387	Benita Hansen
693530	47588	Old Folks Home
693531	291974	Screaming Woman
693532	106324	
693532	145231	
693532	148115	
693532	196736	
693532	376790	
693533	37270	Ada
693534	316122	Linda
693535	276179	Carol
693536	375521	Eileens baby
693537	205534	
693538	1787	Marianne Jordan
693538	1870	Dr. Suzanne Pincus
693538	12743	Peggy
693538	13967	Louise
693538	15929	Sgt. Kay Howard
693538	28480	Beatrice Grey
693538	46740	Mary Margaret
693538	55526	Cassie
693538	66615	
693538	69333	Agnes Lessor
693538	80876	Judith 'MaMa' Baer
693538	110285	Sigrid Anderssen
693538	114074	Detective Waxman
693538	120551	Miriam
693538	124074	Elizabeth
693538	144663	Laura
693538	148594	Sgt. Kay Howard
693538	156957	Hannah
693538	158315	Carol Manning
693538	185683	Trish
693538	228002	
693538	283408	Lisa Addler
693538	301769	Patti Mullen
693538	316793	Cookie
693538	331300	Rachel
693538	333287	Josie Larraneta
693538	346098	Kathy
693538	351778	Peggy
693538	364186	Herself
693538	379716	Linda Warner (1984-1985)
693538	404409	Suellen O'Hara Benteen
693538	411827	Emma Shannon (1989-1990)
693539	90525	Greengrocer
693540	266546	Susan
693541	5718	
693541	68512	
693541	310751	
693542	322760	Jeanne
693543	217465	
693543	218760	
693544	42705	Card Girl
693545	389858	Brook Lynn Ashton #2 (2004-pr
693546	355009	Prostitute #2
693547	73129	Mildred
693548	321266	Hospital Administrator
693549	78832	Meritt
693550	19162	Mrs. Pamela Greeno
693550	55850	Lillian Rolfe
693550	100952	First Patient
693550	221152	Mrs. Tamise
693550	273173	Sister Thornhill
693551	54628	Pine
693551	117343	Erica von Kirdorf
693551	149444	Grandma
693551	281413	Janet
693551	294216	Mrs. Jennings
693552	116277	Stella, Fred's wife
693554	7097	Saxon woman
693554	11323	Maid
693554	16074	Hester
693554	17506	Beebe
693554	33006	Tama's mother
693554	43320	Chambermaid
693554	43374	Ma Sing
693554	47029	Mayor's Wife, Mrs. Clive
693554	50469	
693554	56749	Woman
693554	65717	Ayah
693554	110363	Woman
693554	117647	
693554	133620	Woman in Audience
693554	138387	Maid
693554	148949	Bill's Houskeeper on Bali
693554	170378	Woman in Street
693554	190490	Flower woman
693554	193295	Tina (Bonner maid)
693554	193375	Woman
693554	195816	Nurse
693554	214695	Lady Purchaser of Cake
693554	218704	Villager
693554	219747	Seamstress
693554	221297	Simpson, Beldon Maid (Train)
693554	223783	Housekeeper
693554	224332	2nd Landlady
693554	251492	Ellen Carey
693554	263966	
693554	271293	Nurse
693554	273786	
693554	302669	Suwa, David's Plantation Maid
693554	305498	Mary, Angie's Maid
693554	308576	Woman
693554	321290	Charwoman
693554	329388	Miss Jane, Merryman Resident
693554	331645	Flower Woman
693554	332009	Ellen
693554	360369	Mrs. Hart, a Cockney Patient
693554	361543	Millie, Yogami's Housekeeper
693554	361806	Lily Langtry's maid
693554	363288	Housewife
693554	367288	Mrs. Wykes
693554	367535	Village Woman
693555	67400	Melanie Welles (Ivory Snow)
693555	273944	Valveeta
693555	341939	Girl in Headshots and Auditio
693555	365344	Dani
693556	313583	Sandy's Cook
693557	127098	Rea, Indian Girl
693558	207658	Daniela Guereno
693560	202239	Blind Woman
693561	124441	
693562	187045	Ruth
693563	215885	Princess Leilla
693564	335160	The French Woman
693566	281413	
693567	33754	Dolly Arden
693567	135839	Unidentified Role [Script Nam
693568	10233	
693569	80399	Reporter #2
693570	178286	23rd Waitress
693570	327279	Young Woman
693571	1434	Herself (Babes In Toyland)
693572	41186	Cute Girl
693573	240037	
693574	8961	
693574	18552	Casino Patron
693574	27215	Mrs. Hardy
693574	44465	Caine's Secretary
693574	47311	
693574	74711	Screaming Patient
693574	107181	Woman Juror
693574	119803	Farellie Customer
693574	122967	Guest
693574	128152	Committee Woman
693574	128168	
693574	134675	Party at Table
693574	154652	Martha, Georgi's Maid
693574	166240	Bit Role
693574	166241	Secretary
693574	210814	Woman
693574	219786	Bit Part
693574	241595	Bit
693574	244863	Bridge Player
693574	253126	Reporter
693574	261423	Wedding Guest
693574	294176	Woman
693574	302469	
693574	330180	Mrs. Van Camp
693574	358031	Hairdresser
693574	364434	
693574	364453	Survivor
693575	173700	
693576	72851	Cheerleader
693577	386787	
693578	27583	Herself/Mille
693578	27666	Mille
693578	34479	Ann-Sofie
693578	42685	Herself
693578	215349	Agnes, Espen's sister
693578	319087	Sofie
693578	343719	Maj-Brit
693579	266419	Kiki Simpson
693579	312141	Masseuse
693580	165719	Julija
693581	11560	Miss Hardwick
693581	41195	Margaret Fuchs/Queen Tera
693581	53316	Miss Hampton
693581	55681	Deirdre
693581	55686	Miss Dobbin
693581	55689	Serving Wench
693581	55700	Paula Perkins
693581	55707	Jane Darling
693581	55716	Leda
693581	55719	Hospitality girl
693581	154368	Herself
693581	155887	Nurse
693581	160317	Herself
693581	163713	Receptionist, Royal Lancaster
693581	203522	
693581	230394	Lady in Bahamas
693581	233960	Susan
693581	269305	High priestess
693581	277096	Tanya
693581	278777	Tanya
693581	305514	
693581	312170	Hotel receptionist
693581	348518	Redhead
693581	362472	Interviewee/Various Character
693581	365263	1st Girl Dealer
693581	374638	Atropos
693582	12495	
693582	83995	Miss Parker
693582	93569	Herself
693582	381091	Herself (eliminated round 1) 
693583	51135	Herself - Scriptwriter
693584	330388	Melanesian woman with child
693585	81286	Reporter #4
693586	295411	Nurse
693586	362529	Lab Technician
693587	32968	
693587	69634	Herself
693587	118041	Lil, Showgirl
693587	209650	Princess Zarina
693587	223018	Miss Goodwin, the Bride
693587	223854	Herself
693587	312773	Actress
693588	405209	Miria Kawaka (2001)
693589	65973	Little Girl
693590	299692	Shopping Girl
693591	315665	
693592	240232	Philomena Skelton
693593	196294	Barbara, as a child
693594	283250	Mishka
693595	21664	
693595	23181	
693595	32191	Girl With Dog
693595	32586	
693595	59607	Lola
693595	64922	Esther March
693595	72600	Celeste, Linda's French Maid
693595	83809	Margaret, Gray's Maid
693595	92915	Georgia
693595	103780	German Telephone Operator
693595	115625	Girl
693595	116441	Antoinette
693595	116443	Antoinette
693595	170459	
693595	183415	Dimples Revere
693595	186700	Barbara Haley/Daughter
693595	195302	Felice
693595	197183	
693595	203097	Steve's girl
693595	210815	Nedra Ruskin
693595	211601	Melissa, Maid to Sonia
693595	218296	
693595	218297	
693595	241424	Mitzi's Maid
693595	241706	Mitzi
693595	248613	Chorus Girl
693595	291079	Nurse Cecilia
693595	296467	
693595	304807	
693595	308391	Mabel
693595	317980	Pauline, The French Maid
693595	346604	
693595	352929	Maid
693595	363758	Minna
693596	72065	Bernadette
693596	80784	Sheila
693597	137514	Showgirl
693598	360269	Herself
693599	195545	Helen
693599	240918	
693599	248858	Violet
693599	306997	Elsie
693599	364633	
693601	72377	Delbert's Wife
693602	79973	Young Girlfriend #1
693603	151777	Mourner
693604	109667	
693606	347530	
693607	51377	Featured Victim
693608	363491	
693609	411080	Verity
693610	60332	Herself
693611	254291	Prostitute
693612	39070	
693612	49908	
693612	87388	
693612	105728	Model agency manager's mistre
693612	128859	
693612	161174	
693612	171050	Meg
693612	183410	
693612	187411	
693612	200158	
693612	217908	Herself
693612	273292	
693612	318676	
693612	340571	
693612	366683	Palmist
693613	49536	Fortune Teller
693613	274242	Seedy woman listening to radi
693613	309505	Woman in Bar
693614	190000	Opera Singer
693615	132574	Mrs. Ames
693616	3033	
693616	59350	Yankee Doodle Dancer
693616	96873	Lorraine
693616	155087	Jaq
693616	210514	Gwen
693616	330026	Kath
693616	331502	Sara
693616	386599	Dr. Caroline Powers (2000-200
693616	387247	Lorraine Wicks (1996-1997)
693616	401077	Sarah Preston (1993-1995)
693616	408277	Theresa Kennedy
693617	141646	Rita
693618	163450	Cassie
693619	47078	Cheerleader
693620	84326	The warden's daughter
693620	92581	His assistant
693620	137455	Shipwrecked woman
693620	203940	
693620	221596	Caramel
693620	228812	Grenadine
693620	306236	Storekeeper's daughter
693620	308179	The farmer's daughter
693620	342591	Stan's girl
693620	361627	The sheriff's daughter
693621	382726	Brendan's Older Sister
693622	11570	Mrs. Kelly
693622	343227	The School Teacher
693623	138744	Chorus Woman
693624	269848	Dolores Calloway
693625	17749	Mrs. Pugh
693625	40301	Udowitz
693625	46353	Head Nurse
693625	64461	Juice
693625	65632	Winnie
693625	181545	Harriet
693625	185473	Heavy Woman
693625	192426	Scribe
693625	199475	Sperm Bank Nurse
693625	203328	Dee Dee Sweatman
693625	212960	Nurse Verbeck
693625	264129	Fräulein Stinkenschmidt
693625	281912	Aunt Grace
693625	296971	Mrs. Cutter
693625	313046	Mrs. Whitehead
693625	313715	Roadhouse Waitress
693625	366970	Sandra's Manager
693625	372134	Miss Frigget
693625	393265	Gertrude (1987-1988)
693626	76546	
693627	179071	Sidney
693628	233070	Helen
693628	263571	Princess Ottilie
693629	7400	
693629	16036	The Mother
693629	20485	
693629	21469	George Forrester's Sweetheart
693629	22888	Minnie, the Daughter
693629	22916	Daughter
693629	22973	The king's mother
693629	25384	
693629	25466	Fiammetta, Matteo's Wife
693629	29095	Kidnapped Woman
693629	45804	Dancer
693629	47518	Mexican Woman
693629	49795	Mrs. Newman
693629	52551	Regina, the Lord's Wife
693629	52564	
693629	55177	Carmen
693629	61841	
693629	62972	Customer
693629	65776	Elsa, the Mother
693629	67704	Clear Eyes
693629	70272	
693629	70718	Galora's Wife
693629	73341	The Man's Fiancee
693629	79718	Mrs. Hilton
693629	80599	
693629	81083	The Catholic's Wife
693629	82044	
693629	92827	
693629	93757	Madame Lebrun
693629	94161	In the Play
693629	94976	Flametta, the Duke's Daughter
693629	97075	Mercedes
693629	100830	
693629	106022	Helen Waterbury, John's Wife
693629	107299	
693629	109331	Mrs. Francis
693629	109653	
693629	109835	
693629	111714	Nellie Caufield as an Adult
693629	116734	The Daughter
693629	116794	Fanny Webster
693629	117049	
693629	127463	Nanette Ranfrea
693629	128623	At Black & Tan Ball
693629	130651	Mabel, the Heiress
693629	130678	
693629	130826	Reveller
693629	133378	
693629	133416	Mildred West
693629	141240	The Outlaw's Wife
693629	142688	Wedding Guest
693629	143117	Biscuit Victim
693629	144222	
693629	145562	The Woman
693629	145890	Womanin store
693629	146022	The Woman
693629	146057	The Sister/At Wedding
693629	150771	
693629	157748	
693629	157775	Marie Cadrone
693629	157864	Perdita
693629	157906	
693629	158475	Mrs. John Whitney
693629	158491	Mrs. Wallace
693629	159118	
693629	167594	Dorothy Kirk
693629	168994	Mrs. Trouble
693629	186619	
693629	186775	One of the Colonel's Nieces
693629	190475	
693629	190484	
693629	190494	
693629	191115	The Second Wife
693629	193795	Mrs. Robert Cullison
693629	194703	
693629	195315	The Lady
693629	195577	Their Daughter
693629	196957	Gertrude
693629	197675	Isabelle
693629	204250	Mrs. Holland
693629	209419	Mrs. Parker
693629	214216	Nellie
693629	219961	
693629	230830	The Woman
693629	235539	Factory Employee
693629	236931	The Wife
693629	237663	
693629	240836	Grace Wallace
693629	241783	Sicilian Woman
693629	245618	The Daughter
693629	251434	Gypsy
693629	259393	Peter, the Cartoonist
693629	262392	Ethel
693629	265558	Herself - wife of drunk and a
693629	266241	Lady Florence
693629	274758	
693629	276388	Mrs. Morley
693629	276417	A Prisoner
693629	279282	From 'The Sealed Room (1909)'
693629	280303	
693629	281848	
693629	282271	Sculptress
693629	282964	Mrs. Leffingwell
693629	283662	In Crowd
693629	285063	At Wigmaker's
693629	286331	
693629	291846	
693629	291861	The Countess
693629	293146	The Mother
693629	306478	
693629	309277	
693629	321287	Paul's Fiancée
693629	324407	The Gypsy
693629	326080	Daughter
693629	326489	
693629	328785	Guest/Woman at Wigmaker's
693629	328812	At the Hotel
693629	330373	
693629	331149	Laura Edmonds
693629	331860	
693629	331868	
693629	331880	Mrs. Nostrand
693629	332156	
693629	333761	Landlady
693629	337503	In Factory
693629	338211	Helen Rogers
693629	341035	Extra
693629	342761	Red Rose
693629	342989	Marion Francis
693629	343081	
693629	346007	
693629	347320	
693629	354917	The Judge's Companion
693629	356286	The Girl Advocate
693629	356295	Helen Walker
693629	356999	
693629	357002	
693629	360203	Wedding Guest
693629	361147	Alice Pierce
693629	362148	
693629	363362	
693629	363390	
693629	366312	Noblewoman
693629	366814	Adele Alletta
693629	368769	
693630	278692	Flag Lady
693631	367844	Diedre
693632	166871	Saloon girl
693633	151777	Mourner
693634	170848	Herself - Participant/Perform
693635	123874	Mel
693635	150642	Chambermaid
693635	306600	Nana Gibson
693636	316142	Rose
693637	88978	Nancy
693638	154581	Liverpool Hotel Clerk
693639	34826	
693639	136822	Chorus - contralto
693639	136827	Mrs. Cripps
693639	219121	
693639	256626	Ruth
693639	274232	Lily Pepper
693639	299169	
693639	334757	Voice (archive)/Presenter/Pit
693639	339370	The Counsel for the Plaintiff
693640	20625	Extra
693641	308115	Norma Leggett
693642	1832	Miss Schuyler
693642	10741	Bird in the Tree
693642	11502	Nurse
693642	16128	Ethel Rogers
693642	66201	Weller
693642	69490	Daisy, C.P. Switchboard Opera
693642	76195	Corporal on Train
693642	96644	Lankershire Blonde
693642	117647	Maid
693642	121620	
693642	139954	Nurse
693642	140353	
693642	148423	Nurse
693642	174514	
693642	177142	
693642	177440	Ruth
693642	177609	Apothecary's Wife
693642	183374	Sister Agatha
693642	190179	Hotel Matron
693642	190264	Maggie
693642	190946	Queenie
693642	193295	Woman Singer
693642	193375	Daisy
693642	193731	Lily
693642	194582	Gweeny
693642	214098	Mrs. Craves, John's Mother
693642	214183	
693642	215334	Valjean's maid
693642	217426	Lily
693642	218793	Margit, Broman's Neice
693642	219121	
693642	223867	Cockney Bystander
693642	224177	Alice
693642	224228	Bit Part
693642	227798	Mrs. Troll
693642	235694	Woman
693642	240886	Minn Lee
693642	241428	Princess
693642	244842	Maid
693642	253763	Lady April
693642	265005	Miss Fawley
693642	278464	Tillie, Wardrobe Mistress/For
693642	280894	
693642	292536	Maid
693642	300086	
693642	304371	Maggie Hicks
693642	330257	Diana Turriot
693642	330664	Violet Worthing
693642	331991	Janie Brooke
693642	332026	Miss Huggins
693642	332042	Mrs. Smithson
693642	335469	Cockney Woman
693642	347109	Mrs. Taylor
693642	362107	Lady Kensington
693642	364213	
693642	405258	Mrs. Cratchit
693644	61156	Acrobat
693645	20625	Extra
693646	51955	Possessed Daughter
693647	382715	Health Expert
693648	27602	Herself
693648	114236	Herself
693648	206350	Mrs. Daniel Chester
693648	292217	Herself
693649	151537	
693650	56222	Tyler
693650	326117	Host
693651	78182	Diane
693652	331672	Younger Sister
693653	92695	Arthur Holmwood
693654	199210	Aunty's Guard
693654	389980	
693655	346142	Studio Lot Actress
693656	307969	
693657	13066	
693658	135317	(segment "Núpcias com Futebol
693659	2447	Anna
693659	26683	
693659	128931	
693659	342121	
693660	204386	Captive Girl
693661	215332	La sorvegliante della fabbric
693662	313915	
693664	208810	Dancer
693665	60186	Whitney Young Cheerleader #4
693666	18479	
693666	88671	
693666	132102	
693667	64057	Cassandra
693668	127724	
693670	108339	Sarah (3)
693670	194638	Dancing Kid
693670	344474	
693671	233934	Flora
693672	394078	Magda Koumoundourou
693672	395090	Vera Korizi
693673	5800	
693673	78259	
693673	238866	Agave
693673	275408	Marika
693674	135622	Midwife
693675	16404	
693675	107663	
693676	281166	
693677	241149	Herself
693678	119094	Extra
693678	264432	Slave Girl #2
693679	52187	
693679	90743	
693679	113674	
693679	205306	
693679	211982	Anitina
693679	234741	
693679	238015	
693679	248889	Gina
693679	293888	Cinzia
693679	313898	Gigliola
693679	392979	
693679	396305	Angela
693679	403263	
693679	404824	Lucilla
693681	211800	
693682	74156	
693684	290862	Bambina
693685	241141	David Bailey's girlfriend
693685	241149	Herself
693685	252667	Crying baby
693686	283400	Lisa
693687	92688	Car Rental Agent
693688	130666	
693689	55977	Lisa's friend
693690	106666	Lisa
693691	38553	Sales Clerk
693691	315190	Dancer
693692	1870	Cable Executive #1
693692	64869	Joann
693692	131780	Tuddy's Wife
693692	151187	Sr. Cupertino
693692	219558	Aunt Rita
693692	330372	Teresa Turko (Re-Enactments)
693692	340803	Carmella
693693	243446	
693694	149899	
693695	269185	Sherry Smith
693696	355722	Miria
693697	241149	Herself
693699	96537	
693700	90752	
693701	12973	
693701	90752	Angelina, child
693702	57936	Herself
693702	80835	Hot Tub Hussey
693702	102784	
693702	224863	
693704	317721	Herself
693705	29676	Fashion Show Model
693706	197306	Lulu
693707	92736	Baitmate
693708	15988	
693708	78015	Courtesan
693708	246416	
693709	11362	Luigi's Diva
693710	107576	Maria
693710	168238	Beauty College Woman
693710	178136	Maria
693710	267440	Stella
693710	278187	Woman in Bar #2
693710	282320	Wendy
693710	359792	Denise
693712	7241	Maryse Ale
693712	403826	
693713	72065	Chinese Fish Salesperson
693715	67758	
693716	16751	Mr. Park's Connection
693716	17934	Angel Lee
693716	32347	Lucy
693716	42799	Smoothtalker Dancers
693716	127255	Spengler's Assistant
693716	151007	Donna
693716	201350	Alison Leong
693716	275796	Dancer
693716	308014	Office Manager
693716	359075	Linda
693716	363965	Mai Lin
693716	367083	Dancer
693717	20625	Extra
693718	3100	Waitress at Chin Tiki Club
693719	69053	Club Patron
693720	277104	
693721	100130	Amah
693721	256141	WPC Rainbird
693721	276264	Chinese Waitress
693721	305082	Abigail
693721	392681	
693722	91737	Linda Taylor Wong, Ch. 4 News
693723	380430	
693724	63221	Catherina Dorothea Bach
693725	29332	Norma
693725	75450	Roke
693725	91039	Tina
693725	226304	Doris
693725	273360	
693725	290452	Jessica
693725	302774	
693725	313666	Julia
693725	318081	Laura
693725	325493	Jennifer Müller
693725	325890	Susanne Scheffler
693725	343674	Elke
693725	352177	Claudia Broglia
693725	376265	Tanja
693725	380334	Nikki
693725	389823	Sascha
693725	392669	Tina Spengler
693725	409625	Klara Bosbach (1998)
693726	7580	
693727	317277	
693728	120046	
693728	376423	Frenzy
693729	142189	Lydia Stammer
693730	26311	Nurse Ursula
693730	204415	
693730	230166	
693730	259582	
693730	378540	Anni
693731	65981	
693731	252636	
693731	265444	
693731	269452	Olga
693732	17061	
693732	43243	Ivete
693732	67655	Angela
693732	67664	
693732	82989	Carmem
693732	98758	
693732	104179	
693732	124238	
693732	183507	
693732	187944	
693732	197989	
693732	205529	
693732	349721	Léa
693732	356035	
693732	381328	Edite
693732	386123	
693732	389786	Ester
693732	398793	
693732	401944	
693732	402580	Marlene
693733	13685	Maryam
693733	115861	Neda
693733	264137	Zayn
693734	292890	La scripte
693735	796	
693735	34879	
693735	41594	
693735	50789	
693735	102792	
693735	106340	
693735	123805	
693735	128740	
693735	138132	
693735	266185	
693735	306908	
693735	313363	
693735	327774	
693735	348387	
693736	104508	
693737	71449	Soldier from Sardinia
693738	123494	
693738	137733	Lena Söderholm
693739	396506	Adélia
693739	396610	Tuca (1995)
693740	68140	Maria Vitoria
693741	326495	Taylors Frau
693742	355357	
693743	1674	Herself
693743	27168	Julie Mott
693743	71633	Gina Leonarda Nardino
693743	81776	Jenny Lerner
693743	108319	Kate Reynolds
693743	115635	Tina
693743	147694	Ellie
693743	150891	
693743	186650	Racine 1st-base player
693743	252445	Jilli Hopper
693743	310262	Deborah Clasky
693743	321632	Connie the Dream Girl
693743	330019	Landeene
693743	369336	Sally
693743	388975	Alicia
693743	398942	Nora Wilde (1995-1998)
693743	404282	Lisa DiNapoli (1989) (tempora
693744	69159	Herself
693744	236322	
693745	381364	Miss Molly
693747	33985	Zoe
693747	76606	Emma Cooper
693747	78250	Kerry
693747	116380	Annette (16 years)
693747	144406	
693747	215188	Helena
693747	358703	Tracy Broughton
693747	371303	Grace
693747	399415	Della Wells
693749	7893	Tamah
693749	23564	
693749	253035	
693749	301913	
693749	329213	Bianca Stagno-Bellincioni
693750	132090	
693751	99222	Leentje
693751	215767	Member Seance
693751	339855	Moeder
693752	265113	
693753	203460	Vera Zeberlieff
693754	208451	
693755	124142	La Lodoïska
693756	209279	
693756	396238	Karla
693757	89792	
693758	43216	
693758	98576	
693758	154540	
693758	268215	Klava
693758	336133	
693758	375177	
693758	404218	
693759	223558	
693760	49828	Rat Woman
693760	60550	Lika
693760	217280	
693761	229022	
693762	3605	Herself
693763	142195	
693763	202522	Herself
693763	202523	Herself
693763	202524	Herself
693763	202529	Herself
693764	68432	
693764	236806	
693764	351069	
693765	18606	Anna Godiedze
693765	118382	Frau Bernie
693765	148584	Helga
693765	210753	Marie
693765	271294	Maharani
693765	368410	Anna Selanova
693766	88027	Sonja's daughter
693767	55006	
693768	7336	Bailarina
693768	14715	
693768	54085	
693768	153333	
693768	236420	La muchacha
693768	351264	
693768	352020	
693768	376700	
693769	270499	Herself
693769	368872	Herself
693770	359939	Lisa
693772	121297	Aurora
693772	219604	
693773	30313	Katherina
693774	11569	Party guest
693774	12863	
693774	16455	
693774	16467	Sirocco Club Dining Extra
693774	16910	Cigarette Girl
693774	26871	Hope
693774	28441	Nursemaid at park
693774	35591	Pretty Girl
693774	37268	Irma Acacia
693774	52198	
693774	52641	Nurse
693774	58795	
693774	64803	Irene, Dressing Room Blonde
693774	77414	Chorus Girl
693774	77767	Flapjack Waitress
693774	91668	
693774	91795	Club Patron
693774	120452	
693774	122673	Jessie
693774	126069	Showgirl
693774	130620	Blonde Golddigger
693774	130623	
693774	133561	Blonde secretary
693774	133610	Undetermined Role
693774	133644	Burton's girlfriend
693774	140849	Secretary
693774	147754	Undetermined role
693774	150271	
693774	158456	Baska
693774	190723	Artist
693774	191833	
693774	194892	Blond Dancer
693774	196195	
693774	197702	Nightclub Singer
693774	199246	Bombshell Secretary
693774	218349	Party Girl
693774	231317	Bit
693774	234090	
693774	236999	Waitress
693774	239504	Girl in Restaurant
693774	246650	Show Girl
693774	252576	
693774	253760	Party guest
693774	270383	
693774	273251	Blonde in Balcony at Show's O
693774	302361	Blonde
693774	306803	Blonde in Outer Law Office
693774	309588	The Hitch-hiker
693774	312001	
693774	313328	
693774	315322	Nurse
693774	317306	
693774	321384	Chorus Girl
693774	331713	Dancer
693774	335621	Secretary
693774	335868	Dancer
693774	337366	Ethel
693774	340487	
693774	356800	Kidnapped girl
693774	360803	Harem Girl
693774	363274	Girl fighting Opal
693774	372116	Blonde at party
693775	367657	Patty Cauldron
693776	119822	Child
693777	14650	
693778	131380	Demented Hills Dancer
693779	137439	Waitress
693780	282295	Reine
693781	48808	Lucia
693781	54002	Signora Daspurro
693781	56534	
693781	215220	Mercedes Bertolin
693781	239811	
693781	240440	Yvonne's grandmother
693781	326337	
693781	339101	
693782	138767	
693782	361458	
693783	235870	Performer
693784	321483	Miraldo's wife
693785	120970	Femme dans la gare
693786	161179	Sam
693787	100146	Julie
693788	220218	L'amie, Quebec
693789	61418	Irene
693789	157922	The Countess
693789	234279	Gaby
693789	326038	La Gilbert
693789	380860	Rose-de-Lima Bibeau
693789	385123	Madame de Pompadour
693789	385503	Solange
693789	393279	
693789	396839	
693789	400804	Claire Cousineau
693789	402734	
693789	403897	Laurence Harvey
693789	407068	Rose-de-Lima Bibeau
693789	409677	(1996)
693790	148624	Mme Allard
693791	151528	Self
693792	151528	Self
693793	69370	Evelyne
693794	69370	Jeanne d'Arc
693794	259870	
693795	198082	
693795	217281	
693795	225948	
693795	237969	
693795	356126	Lena
693796	14366	
693796	25299	
693796	52897	
693796	54860	
693796	55174	
693796	163067	Duchess of Crouchy
693796	197047	Lucrezia
693796	240270	
693796	244267	Desdemona
693796	286200	
693796	301357	
693797	254163	Liza
693798	228317	Cécile
693799	188623	Palace Receptionist
693800	9840	
693800	10003	
693800	14435	
693800	14801	(segment "Adulterio formal, U
693800	21697	
693800	21701	
693800	30319	
693800	30521	
693800	34554	
693800	51593	
693800	53684	
693800	57432	
693800	61127	
693800	70007	
693800	83864	
693800	100654	
693800	111320	
693800	123148	
693800	124248	
693800	124655	Rosa María
693800	134961	
693800	145189	
693800	159432	Angela
693800	159526	
693800	170091	
693800	171376	
693800	171467	
693800	176383	
693800	183496	
693800	193068	
693800	193152	
693800	212475	
693800	215036	
693800	215344	
693800	218436	
693800	222049	(segment El trikini colorado)
693800	222415	
693800	225561	
693800	228762	Gamma
693800	233647	
693800	233768	
693800	235262	
693800	249888	Rosita
693800	250795	
693800	251558	
693800	253565	
693800	255500	
693800	262610	
693800	269832	
693800	270069	
693800	273645	
693800	277125	Carmela; Nefertiti
693800	287847	Virginia
693800	287850	Virginia
693800	287877	Virginia
693800	296498	
693800	307805	
693800	310028	
693800	317813	
693800	328455	
693800	328715	
693800	328736	Konga
693800	333534	Konga
693800	333576	
693800	340408	
693800	349933	
693800	351668	
693800	356000	
693800	376770	
693800	384770	
693800	386795	
693800	397593	Lolita
693800	398457	Ticha
693800	399084	Reina
693800	400655	Margot
693800	404851	Teresa
693800	412192	Lorenza Chávez
693801	317813	
693801	333576	
693802	379551	Linda
693802	407706	Natalia
693803	135055	Edther
693804	284350	Herself
693805	106205	Nurse
693806	255830	Mother
693807	353499	Herself (Model)
693808	152364	
693808	160820	Une entraîneuse
693809	65381	
693809	65897	
693809	132173	
693809	153089	
693809	209118	
693809	275528	
693809	375728	
693809	377981	
693809	378003	
693810	285759	
693811	43214	
693812	58744	Brothel doorman
693812	339967	Monique
693812	345137	Mason's Wife
693813	19199	Child in flat 48
693814	19199	Child in flat 48
693815	354934	Fleischmann's daughter
693816	328374	
693817	171596	
693817	389304	Olga Svater
693818	377048	
693819	105116	Laughing Woman
693819	278484	Groupie
693820	14852	Sonia as a child
693821	14852	Alice as a child
693822	144053	Tipuli Niemi
693823	155768	
693823	179666	Aurika
693823	240503	
693823	244133	
693823	352448	
693823	370231	
693824	30497	Student
693826	32562	Ballet Teacher
693827	66216	Copain Clément
693828	292327	First Secretary
693829	370460	Dyavol glavatar 1, Violetovat
693830	148604	
693830	377068	
693831	322274	Nurse
693832	405209	Luisa (1998)
693833	97792	Meisje in café
693833	104760	Belgian entry (19th place)
693833	187066	Nele
693833	188913	
693833	251016	Actrice operette
693833	334480	Hippolita
693833	376252	Zangeres
693833	400801	Rozeke
693833	409162	
693834	356811	
693835	268250	Institutriz
693835	336266	
693835	357523	
693836	77256	
693836	85557	
693836	103720	
693836	113230	
693837	245237	Herself
693837	249599	Herself
693837	249600	Herself
693838	365657	Newswoman
693839	107037	Shalimar
693839	380993	Gaia
693840	7507	
693840	199821	
693840	342105	Cinzia
693840	383549	
693840	392654	
693841	56364	Monica
693841	82433	Johanna
693841	97705	
693841	160514	
693841	247511	Adele
693841	406347	Mariangela Navone
693842	64206	Nadia
693842	86065	
693842	91534	
693842	112677	
693842	202064	
693842	214754	
693842	227585	
693842	247961	
693842	265980	
693842	266012	
693842	280744	Marta Assante
693842	310081	
693842	352235	Gianni's Secretary
693843	89938	Marta
693843	328929	La de las tetas
693844	106219	Mugged Woman
693844	232385	Subway hostage
693845	129785	Sammy
693846	23105	Marie
693846	38838	Anita
693846	44220	Angélique
693846	44738	Manu
693846	61340	La vierge/La chanteuse de fad
693846	110144	Sylvie
693846	116431	Lotte
693846	120984	Chloë
693846	169317	
693846	198567	Journalist 1
693846	215264	Eliante
693846	261712	Isabelle
693846	294796	Mme Woodstocker
693846	324517	Ingrid, the mean babysitter
693847	388723	Gersendre de Brancas
693848	356418	
693850	268323	Helja
693851	195999	Nurse Rached
693852	389140	Mary (Part IV: 'Providence' (
693853	266977	Village matron
693854	160494	Lesbian
693854	392349	Host, Herself (1992)
693855	256878	Lapsi 3
693856	256878	Lapsi 2
693857	265668	
693857	377312	Official i
693858	282516	Eeva Ekström
693858	283592	
693859	100453	
693859	144104	
693859	156032	
693859	156039	Mettälän Santra
693859	174477	Elisabeth Gerhard
693859	177898	Raili Salmio
693859	181745	
693859	182013	Beautiful woman
693859	184796	Elsa
693859	211031	Kerstin Fader
693859	215112	Aunt Anta
693859	222903	
693859	234567	Elsa
693859	239914	Aili Viheroja
693859	242267	Eeva
693859	250433	Lindgreenska
693859	253075	Saara Salonen
693859	255763	
693859	258813	
693859	302979	
693859	303708	
693859	319315	Zuleima Johansson
693859	321999	Emmi Hytönen
693859	323628	Irma Aaltonen
693859	326641	Anni Kuronen
693859	343467	
693859	343509	Housewife of Töyry
693859	354087	Astrid Jönsson
693859	371441	
693859	373371	Rita's mother
693859	373379	
693860	43672	Various
693860	137720	Various
693860	142328	Various
693860	153657	Various
693860	173270	Various
693860	181740	Various
693860	200086	Various
693860	201219	Various
693860	209063	Various
693860	210153	Various
693860	213413	Herself
693860	229015	Various
693860	237234	Various
693860	239127	Various
693860	244653	Various
693860	247136	Various
693860	248195	Various
693860	267454	Various
693860	285799	Various
693860	324608	Various
693860	341788	Various
693860	355137	Herself
693860	371361	Various
693860	392596	
693860	394206	
693861	99642	Mother of Kalle
693861	163021	Emäntä
693861	197493	Tsutsunen 2
693861	236797	Mother of Kalle
693861	281038	Vanha rouva
693861	312950	Weinende Mutter (Crying mothe
693861	321771	Kaarina Anttila
693862	234223	
693863	222378	
693863	353636	
693864	100249	
693865	127487	Fontana Model
693865	243316	Claudia
693866	26283	Alexandrine
693866	37781	Helen
693866	57289	Valentine
693866	62442	Mathilde
693866	103203	Florence
693866	234577	Coretta
693866	243283	Marie-Catherine Touret
693866	251007	Joseph
693866	256998	Francine Vanneau
693866	269823	
693866	287588	Christiane Gantelme
693866	318134	Virginie
693866	345196	Nathalie
693866	355877	Viviane
693866	385845	Claire (segment "Soucoupe de 
693866	386476	Katherine Kovacs
693866	394379	Christine
693866	397136	Nicole Chaumont
693866	400384	Delphine Chardigny
693866	404666	
693867	11952	
693867	20330	Brigitte
693867	51243	Rosalia
693867	74912	Agnes
693867	76035	
693867	82636	Madame pélissier
693867	108206	Jacqueline
693867	148685	Mme Vendel
693867	184800	
693867	205150	
693867	218415	French version
693867	237790	Mme Hervieux
693867	253994	Natacha
693867	269737	Sophie
693867	280546	La Morel
693867	293694	Muriel
693867	320789	Monique de la Meuse
693867	336930	Muriel
693867	357490	Evelyne
693867	379801	Mado
693867	392894	La pute
693867	401329	Martine Loison
693867	410074	La femme du planning familial
693868	26939	
693868	26943	
693868	26944	
693868	26945	
693868	26946	
693868	30610	
693868	34726	
693868	34850	
693868	35067	
693868	69439	
693868	85783	
693868	85785	
693868	85791	
693868	102822	Herself
693868	117960	Elizabeth
693868	131521	
693868	162832	
693868	162833	
693868	166227	
693868	174318	
693868	232782	
693868	262618	
693868	329490	
693869	248260	
693871	409531	
693872	360951	
693873	306020	Bente
693874	184557	Catherine Landru
693875	10078	
693875	22062	
693875	67715	Cécile
693875	69933	Hermione
693875	104220	
693875	129216	Marianne
693875	184557	Landru's Daughter
693875	205758	Elise
693875	219524	Pia-Xave
693875	240429	
693875	346429	Martine
693875	346650	Jadwiga
693875	386096	Annie Tirane
693876	87331	
693876	354759	
693877	281825	
693877	292379	Miralda at Alcazar club
693877	353905	
693878	258314	Une ouvrière à Drancy
693879	38170	Employée St Gratien
693880	41182	Razor Baby
693880	105901	Cleopatra/Redhead Courtesan
693880	169859	Captain Desiree
693881	80723	Student
693881	309525	Rhonda
693882	217713	
693883	51201	Anita
693883	58749	La jeune fille
693883	103828	Sylvie
693883	112852	Véronique
693883	112878	Plume
693883	156487	Christina
693883	197540	La mère
693883	205973	Marion Cormier
693883	249713	
693883	262934	Nanette
693883	264451	La petite voleuse
693883	293850	Eric's wife
693883	313084	La fille de ménage
693883	346777	Magalie
693883	361710	Guenaelle
693883	383864	Suzon
693884	43638	
693884	201115	Prof l'Espoir
693884	211487	Mzabo
693885	108897	Herself
693886	79842	Shirley
693886	94255	Herself
693887	401789	Mme Sculska
693888	110357	Maggie
693888	176984	Leeza Russo
693888	304568	Michele
693888	330405	(segment "Thing in a Jar")
693889	396781	
693890	364461	Goldwyn Girl
693891	120993	Kathi
693892	292479	Virgin
693893	78494	Herself (performing: 'Mit hje
693894	240089	Yvonne
693895	185794	
693896	264336	
693899	44941	Anne-Marie Chloe, his maid
693899	206506	Une Paysanne
693900	11250	
693900	37592	
693900	85797	
693900	140404	
693900	147869	
693900	186626	
693900	241655	
693900	249563	
693900	258056	
693900	258065	
693900	273231	
693900	296360	
693900	318501	
693900	321173	Woman pool player
693900	363998	
693900	367808	
693901	215057	
693901	238471	Mme Delvaux
693902	14345	Lisa
693902	44946	
693902	88084	La fille à la moto
693902	133164	La fille de Cox
693902	164679	Nadège
693902	248914	Cintra Barmaid
693902	303533	La caissière du bowling
693902	322339	Laurence
693902	345261	
693902	384434	Martine Delheure
693903	351484	Princesa Isabel
693904	24790	Nellie Krichinsky
693904	46532	Kathy's Grandmother
693904	81649	Dolly/Harry's Character
693904	130062	Freda, his older niece
693904	179712	Herself
693904	316179	Yiddish Woman #1
693905	311055	News Anchor
693905	375250	Female Reporter
693906	313915	
693906	376001	
693907	169650	Mme Mathieu
693907	266413	
693908	76403	Carmen
693908	111016	Blanche
693908	234730	Angela
693908	249445	Sonia
693908	263413	
693909	349534	Roberto's sister
693910	103207	Une écuyère
693911	309977	
693912	377067	La cliente
693913	404051	Nieves
693914	354968	Henriette
693915	297880	Christmas Party Guest
693916	314199	Carol
693917	99681	
693918	17749	Kate
693918	134741	Menstruating Girl
693918	192058	Cindy
693918	277087	Andrea
693918	280016	Alex
693918	383923	Lila Pembroke (1984-1985)
693919	242565	Herself
693920	102504	Biblical Naomi
693921	119155	
693921	129328	
693921	187644	Marianne
693921	284424	Bettina
693923	371908	Bar Person
693924	217054	Buscado: Pasajero del 86
693925	74156	
693926	286191	Gittel Stein
693927	379450	Juju
693927	404834	
693928	200521	Librarian
693929	374131	Second Lady
693930	63191	Rose
693931	57614	
693931	301641	Lisa Garland
693931	301644	Lisa Garland
693932	10530	Sorella Federica
693932	94305	Sekretärin
693932	139709	
693932	175324	Sevgi
693932	211489	Polizistin
693932	223284	
693932	223285	
693934	240429	
693935	286655	La responsable du supermarché
693936	257229	Burnadette
693937	88067	Madame Graton
693938	386233	Journalist
693939	15041	Marie
693939	23904	La serveuse du bar
693940	18317	L'employée de l'hôpital
693940	201115	Bibliothécaire
693941	87692	Madame Le Gouen
693942	240429	
693943	23867	La Bonne du curé
693943	149214	Marite
693944	276505	Nanette
693945	151714	Angel in black dress
693946	104903	
693948	83361	Caroline
693948	314451	Caroline
693948	351902	Linda
693949	169941	Dawn Blushak
693949	176537	Chan Agi
693949	176540	Nina Purpleton/Christina Mack
693949	287727	Teacher
693949	317121	Abby
693949	360769	Student
693949	397054	Helen
693951	83305	La serveuse des puces
693952	23541	Laetitia
693954	359783	Anne
693955	157606	Voices
693956	398046	Herself (1999)
693957	123719	
693957	259980	
693958	61984	
693958	127992	
693958	208753	Amie de Géricault
693959	131777	Receptionist
693959	131805	Receptionist
693960	207092	Mlle 19 ans de 'Mademoiselle 
693961	377464	Café owner
693962	219821	(segment "Sacrificato, Il")
693963	11619	Nana Sebastin
693963	30056	Grandma Moses
693963	41364	Sylvia
693963	41843	
693963	42822	Mrs. Matthews
693963	50446	Trixie
693963	65747	Gracie
693963	66978	Lotty Davenport (Masseuse)
693963	70392	Ida
693963	76526	Opera Diva Nanny
693963	79850	Mrs. Loomis
693963	107144	Grandma
693963	113313	Velvet
693963	115068	Pearl
693963	123703	Ida
693963	130346	Toni
693963	149107	Fish Restaurant Waitress
693963	158230	Norma Addison
693963	164366	Mrs. Goodman
693963	232250	Mae Harris
693963	252242	A Prostitute
693963	267107	Gracie
693963	277745	Hooker
693963	297397	Mah-Jongg Voice (South)
693963	300871	Granma (Spungen)
693963	305987	Nurse
693963	309153	Peggy Ingram
693963	310423	Maxine
693963	314631	Grandma Polk
693963	316142	Saleslady
693963	354955	Elderly Bank Lady
693963	359443	Waitress
693963	361182	Ginger
693963	392043	Millie
693963	394251	Mary Parnell
693963	404570	Rosie
693964	387611	La patronne du bistrot
693965	26140	Cookie Factory Worker
693966	41063	Herself
693966	257651	Miss June
693966	257824	Miss February 1993
693967	366316	Woman asking life's purpose
693968	58409	Mannequin
693969	20625	Extra
693970	352086	
693971	378705	Nicole
693972	104616	Herself (Singer "I will alway
693972	313194	Herself
693972	406378	Herself (Winner)
693973	154937	Sage-femme
693974	202592	
693975	261729	La serveuse
693976	3101	Nurse
693976	4919	Shirley
693976	27228	Widow Matilda Clayborne
693976	52007	Milly
693976	64409	Florence McLane
693976	76554	
693976	80504	Cafeteria Worker
693976	88978	Ward Nurse
693976	97508	Marie Dubs
693976	110301	Miss Brody
693976	115161	Waitress
693976	116971	Mrs. Gelder
693976	121365	Bonnie the Waitress
693976	127295	Thelma De La Beckwith
693976	133743	Juanita
693976	183874	Mrs. Pepic
693976	277643	Gray-Haired Waitress
693976	283492	Sister Martha
693976	292462	
693976	340901	Bar Patron
693976	347712	Mrs. Kantruitz
693976	368944	Pancake House Cashier
693976	389356	Houselady
693977	1293	Sylvia
693977	2107	Sylvia
693977	17137	Miriam
693977	17855	Stéphanie
693977	20135	(segment "Les Boréades")
693977	33626	Florence
693977	53023	Camille Renaudin
693977	66227	Marie
693977	71838	Jeanne Eberlen
693977	77869	La tragédienne
693977	84634	Marianne
693977	97439	
693977	101217	Rosa
693977	102616	Annalori Ambrosoli
693977	111701	Constantine Duparc
693977	114786	Fanny
693977	143520	Marie
693977	166116	Lily
693977	166347	Jeanne
693977	166565	Head and Heart Game
693977	201201	Virginie
693977	211666	Pat
693977	228155	Natalia Gronska
693977	230206	Mathilde
693977	230291	
693977	231145	Clémentine
693977	253999	Claire
693977	261459	Lisa
693977	264941	Elsa
693977	284166	Janson
693977	284257	Marie-Anne-Charlotte De Corda
693977	307113	
693977	319995	Anne Lambert
693977	329167	Sylvia
693977	340121	
693977	342758	Mrs. Normandin
693977	350850	Duchesse de Longueville
693977	356362	Jeanne
693977	357849	Isabelle
693977	377697	Lorraine
693977	378059	Florence
693977	397938	Fauve
693977	398075	
693977	404257	Sandra Villiers
693978	78480	Herself (performing 'Længsel'
693979	7580	Den unga Asta Nielsen
693980	180160	Larn
693981	21724	
693982	182620	Pige 1, Festen
693983	31327	Mud Wrestler
693984	75914	
693984	161992	
693984	202421	Jean-Marie's Mother
693984	377951	
693985	384787	L'infirmière
693986	202038	
693986	215355	Catwoman
693986	272606	Zena III
693986	273093	
693986	357555	Woman
693987	312092	Cocktail Waitress
693989	5477	La voisine
693989	24914	
693989	30423	
693989	33630	
693989	46945	
693989	55595	La concierge
693989	63695	
693989	64444	Lontine De Bouic
693989	65729	
693989	77351	Lady Johnson
693989	101684	La fille du concierge
693989	111366	L'infirmière
693989	124324	
693989	148707	La malade
693989	205774	La surveillante
693989	206602	
693989	210915	
693989	217412	
693989	218243	La caissière
693989	248422	Une ouvrière
693990	14404	La secrétaire TV9
693991	406792	Herself
693991	409166	Host
693992	305948	Dorothy
693993	249537	
693994	42867	Fien
693994	218859	Secretaresse
693995	389130	Ariane
693996	295719	Joy
693996	295725	Woman #1
693997	18411	Bit Role
693997	23207	Undetermined Role
693997	35461	
693997	47424	
693997	64485	Gertrude Innes
693997	73172	Woman
693997	78195	
693997	107873	Woman in Street
693997	134285	
693997	164548	
693997	166240	Bit Role
693997	168119	Domremy peasant
693997	186646	
693997	192345	
693997	193869	Donna Corblay
693997	194465	Maida Odell
693997	194466	Maida Odell
693997	200881	Bit Part
693997	209636	Widow
693997	210599	Marjorie Scott, Professor Sco
693997	226609	
693997	231780	Elderly Woman
693997	235184	Ellen
693997	245205	Ruby Sheldon
693997	245550	
693997	249621	Bit Part
693997	253126	Switchboard operator
693997	267560	
693997	276597	
693997	277732	
693997	311339	
693997	316053	
693997	319777	Molly Phelan
693997	321519	
693997	324242	Mrs. Gardner
693997	331360	
693997	331385	Ruby Merrill, 'The Mojave Lil
693997	346240	Woman
693997	356291	
693997	359769	Ruth Cahill
693997	365062	Woman
693997	372145	Neighbor
693998	250752	Pelman's colleague 3
693999	91312	
693999	247057	Valería Segal
694000	395373	Arolkys
694001	323250	
694002	2224	
694002	7234	
694002	267043	
694002	293579	
694003	45769	Une petite fille
694004	390812	Ärztin (1996)
694005	339324	Queen
694005	374145	Müllerstochter
694006	304293	Regina
694007	31643	Beach girl
694008	134511	Convent Girl
694009	3101	Hector's Wife
694009	47004	Additional Voices
694009	54688	Gladys
694009	141192	Ellen Jr.
694009	152718	
694009	184543	Mrs. Inez
694009	190209	Suellen
694009	231832	Consuela
694009	253000	Greta Molina
694009	271192	Voiceover
694009	281512	
694009	322631	Maria
694009	340757	Girl
694009	343017	Motel Maid #1
694009	346079	Singer
694009	406300	
694010	79163	
694011	333147	
694012	215148	Miroslava's relative at Pragu
694013	147186	Third Engaged Girl
694014	135154	Noreen
694014	233918	
694015	144135	Die vier Marien
694015	144183	Königin
694015	311234	Singer
694016	171003	Renée
694017	135343	
694018	106737	Nurse Assistant
694019	136360	
694019	375077	
694021	150054	
694022	30679	Ellice
694023	351756	Sheryl Cimo
694024	37867	Wanda Gomez
694024	153538	Head Nurse
694026	113489	
694026	278082	Townie Girl #2
694027	388428	Anjuli aged 5
694028	299423	
694029	377228	Julis
694030	210044	
694031	124860	Boss of Design Office
694032	357555	Starving woman
694033	7285	
694034	53422	Narrator
694034	80769	
694034	215260	Éliante
694034	247607	
694034	381613	Denise Lacerte
694034	381617	Nanette
694034	390486	Louise
694034	400804	Bérénice
694034	403328	Prunelle
694035	68334	Célia
694035	83256	Berthe
694035	102238	Denise/Hélène
694035	111046	
694035	111092	Colette
694035	146404	La suivante d'Arabelle
694035	244309	Desdémone
694035	248895	
694035	271371	
694035	339080	Amélie
694035	345272	
694035	356974	Madeleine Menzano
694035	386224	
694035	391931	Catherine
694035	392579	Sonia
694035	393486	
694035	393718	Marie-Antoinette
694035	402349	Sylvie
694035	402622	
694035	403170	Mariève, l'épouse de Gilles
694035	408651	Madeleine Chaumont
694035	409453	Olivia
694036	40497	
694038	34324	
694038	42047	Woman in store
694038	126486	
694038	220512	Armin's Wife
694038	223476	
694038	391078	
694039	229061	
694040	104636	Member of the jury
694040	104772	United Kingdom entry (1st pla
694040	104773	Herself (Previous Winner)
694041	324808	Lapset
694042	199956	Voice
694043	170921	
694044	250502	Katriina
694045	181630	Maatalon emäntä
694045	215941	
694046	88102	Forward
694047	265602	
694048	321746	
694049	42386	School Teacher
694049	142479	
694049	317312	Blonde
694051	223558	
694051	265993	
694051	324135	
694052	201569	Herself
694052	380798	Ciara Pickering (2003)
694052	391759	Nurse Kelly Yorke (2003-2004)
694052	410978	Bella Scott (2002)
694053	263448	
694054	254989	Violinist
694055	88883	Kitten Strudwick
694055	99753	
694055	234049	Lova
694055	242712	Pvt. Marge White
694055	261599	Wendy
694055	301953	Una as a Child
694055	330086	Dinah Brown
694055	331558	Susan
694055	362108	Charlie Pinner
694055	367494	Hilda
694056	141284	Jessica
694056	291114	Lidda
694056	397280	Kam Kamizake, Blakbeetle
694057	210401	Dawn
694058	245668	
694059	362106	Sherrie
694060	215892	Mission Girl
694061	226482	Tower Of Babel Voice
694061	375765	Rachel
694061	389570	Countdown Announcer, Gargoyle
694061	396019	Grandma, Flight Announcer, Ph
694062	80395	Sister
694063	418	Suy Williams
694063	8026	Lyn Brown
694063	58491	Gloria
694063	85840	Jenny Vandover
694063	171234	Cathy
694063	191680	Dorrie
694063	191811	
694063	231069	Ellie
694063	276249	Jean Skilling
694063	277889	Olivia Asche
694063	295193	Joycie
694063	313172	Sheryl Benton
694063	320144	Susan
694063	336722	Glenys Mathieson
694063	399816	Glanda Vasseline/Emma Robinso
694063	405165	Marge
694063	408664	Rose
694064	49236	Peggy
694064	232272	
694065	140005	
694065	305413	Girl
694066	382060	Themselves - Dancers
694067	21466	Woman #A
694067	135176	Lorraine
694068	122113	
694068	307189	President Kate McDaniel
694068	385151	Sister Clara
694068	403550	Lisa Hayes/Marlene
694069	58775	Gabrielle
694069	67198	Girl at Photo Store
694070	367073	Munchkin
694071	2861	Judy
694071	277061	Gerda
694072	381059	Dianne aged 12
694073	17283	Co-narrator
694073	35650	
694073	54556	Mrs. Helene Winston
694073	92436	Essie Bullitt
694073	127528	Agnes
694073	157563	Bess Hartmann
694073	162439	Librarian
694073	173513	Nana
694073	185694	Inez Haynes
694073	193888	Mary Tyrone
694073	211764	Marta Land
694073	217434	Mrs. Kehoe
694073	239542	Mrs. Van Til
694073	270267	Abby Colt
694073	270926	Amy Hollister
694073	285726	Mrs. Dulcimer
694073	328594	
694073	347101	
694073	379716	Claudia Conner (1991)
694073	386603	Dr. Maggie Powers #2 (1965-19
694073	390122	Cornelia Otis Skinner (Jan-Fe
694073	396088	Ellie Crown (1956)
694073	400236	Ethel Crawford (1994)
694073	403343	Regular
694074	15852	Susie/Hannah
694074	107166	ER nurse
694074	343031	Blow-Off Girl #3
694075	131392	
694075	340439	Clara as a child
694076	48083	First Dieter
694076	258554	Mother
694077	256355	
694078	247926	
694079	188408	
694080	41987	Gussie
694080	56105	
694080	134026	Sister Angelique
694080	167529	Mary
694080	171134	Mrs. Atwater
694080	197297	Nurse
694080	264661	Aggie the Nurse
694080	274412	
694080	297890	Nora
694080	365740	
694081	65508	Aunt
694081	93153	Mrs. Chance
694082	134025	Connie
694082	154893	Sophie
694082	194212	Ruthie
694082	246987	Receptionist
694082	398730	Ruth Schellenbach
694083	381436	Laura Surrett (1990)
694084	115106	Blonde skater
694085	37870	Bride
694086	150575	
694086	168981	Celia
694087	104901	Francesca
694088	312341	
694089	36856	Maid
694089	130677	Woman in dance hall
694089	194193	Modiste
694089	274503	Miss Crisp
694090	13298	Marcia Schuyler
694090	33753	Betty
694090	35150	Carolyn Wingham
694090	47326	Mary Karger
694090	50497	
694090	55828	
694090	55829	
694090	55830	
694090	61557	Ruth Gardner
694090	79102	Lizzie Callahan
694090	101037	
694090	118010	
694090	128593	Belinda
694090	130024	Marie
694090	130860	Mary Kane
694090	133379	June Wheeler
694090	137434	Adele Ormsby
694090	143002	Dorothy, Sylvia's Friend
694090	146165	Molly Conway
694090	155901	Effie Bright
694090	163293	Adele
694090	163320	His secretary
694090	167642	Agnes Ralston
694090	192051	Patty Baring
694090	192234	Ann
694090	202910	Dolly Perkins
694090	207870	Nancy Fanne
694090	213094	
694090	215518	Dulcie Culpepper
694090	237113	Emmy Chaney
694090	251494	
694090	272243	Miss Perry
694090	303276	Cherry Strickland
694090	306136	Lois Dickerson
694090	306617	Marjorie Sanford
694090	314976	Phoebe-Ann
694090	315880	Dorcas
694090	319799	
694090	333491	Miss Dora
694090	335633	Boston Fanny
694090	353288	Sophia Primrose
694090	362934	Vera Hargreave
694090	365406	Primrose Standish
694090	368199	Princess Pat
694091	333370	Councilwoman
694092	9	
694092	20686	
694092	21794	
694092	31451	
694092	37329	
694092	66629	
694092	66630	
694092	75410	
694092	109780	
694092	120636	
694092	120637	
694092	130596	
694092	146034	
694092	146035	
694092	155865	Patricia Landon
694092	175625	
694092	190050	
694092	190292	
694092	191180	
694092	191846	
694092	206653	
694092	228518	
694092	251170	
694092	256114	
694092	265870	
694092	300306	
694092	306816	
694092	306855	
694092	308328	
694092	327607	
694092	331185	
694092	335014	
694092	339591	
694092	361064	
694092	367387	
694093	345765	Chloe
694094	88300	Curly's wife
694095	158102	Chorus
694096	261107	Faculty Wife #2
694097	79314	TV Station Girl
694098	258188	Irene
694099	10722	Alice Purdee
694099	44465	Donna Foster
694099	52904	Marie Jeanette
694099	59536	Sandy Hannah
694099	64090	Judy Jones
694099	113803	Ruthie
694099	115496	Lt. Polly Davis
694099	117557	Jones' sister
694099	130339	Herself
694099	133727	Mary Clover
694099	139214	Katherine 'Katie' Chernen Bla
694099	142469	Sarah Moffit
694099	142523	Ellen Hanley
694099	144896	Patsy
694099	144931	Velma 'Pat' Baughmam
694099	147663	Herself
694099	165561	Janie Conway
694099	169817	Garnet Hale
694099	175100	Mary Keegan
694099	183331	Shelley Stanton
694099	188214	Herself
694099	195303	Autograph Seeker
694099	202248	Patricia Stanley
694099	203195	Laurie Bidwell
694099	210871	Patricia Falconer at Age 11
694099	213909	Marjorie Blake
694099	227338	Mayme, Journalism Student
694099	232833	Newspaper Receptionist
694099	235216	Christine 'Honey' Johnson
694099	275855	Sheila Page
694099	277222	Annalee
694099	277447	Julie Adams
694099	291346	Herself - 'House Party' radio
694099	294755	Gracie Williams
694099	304065	Daphne Lattimer
694099	304347	Joan Manion
694099	313295	College Girl
694099	320197	Party Guest
694099	329329	Pat Dixon
694099	330336	Mary Matthews
694099	330797	Eileen Dibble
694099	335726	Sally Sawyer
694099	336814	Mary Kimber
694099	341928	Party Guest
694099	342901	Connie Reed
694099	343156	Wendy Conway
694099	358191	Mary Coster
694099	363292	Sally Smith/Prudence/Katrina
694099	366395	Betsy Phillips
694099	367616	Sally Maris
694099	370555	Mary
694099	372483	Girl
694100	359264	Young wife
694101	224086	Helen
694102	48569	Camp Hostess
694102	161945	Model
694102	220911	Pretty Girl
694102	329102	Marge Adams
694102	363288	Secretary
694103	306286	Dancer
694103	346902	Ballet Dancer
694104	185722	Townswoman
694106	306370	Mrs. Van Ryder
694107	18551	Mrs. Ann Barton
694107	30562	
694107	33187	Mrs. Winship
694107	34866	Lady Blanche Westamere
694107	41943	Eileen Marlowe
694107	42027	Mrs. Beech
694107	43459	
694107	50649	Mrs. Trend
694107	52546	
694107	59124	
694107	65465	
694107	79444	Grace Crosby
694107	114191	Mrs. Cleveland
694107	117643	Mrs. Wayne
694107	117979	Princess Sophie Zobraska
694107	120686	Suzanne Gorham
694107	123333	Isabel Emerson
694107	124690	Aunt Bessie
694107	126669	Teddy's Aunt
694107	133370	
694107	135574	Ida Seabury
694107	150697	Mrs.Carol Chadwick
694107	153006	Mrs. William Gladding
694107	168772	Lillian Dupre
694107	175233	Mrs. Warburton
694107	185236	Mary MacDonald
694107	191217	Mrs. Gordon
694107	191687	Muriel Evers
694107	195948	
694107	196217	Eleanor Hamilton
694107	203580	Miriam Lee
694107	210829	Lady Firth
694107	216962	
694107	217422	Marion Sutherland
694107	236682	Renee Etherington
694107	272656	
694107	288434	Marjorie Sinclair
694107	292650	Mrs. Kyler
694107	301780	Mary Lowery
694107	303070	
694107	304029	Mrs. Wilkins
694107	304370	
694107	330505	Mrs. Howard Jeffries, Sr.
694107	356327	
694107	359493	Anna Denman
694107	362447	Mrs. Van Dusen
694107	362545	Mrs. Rogers
694107	364613	Betty Phillips
694107	368711	Clare Duval
694108	256468	Maryalyce
694109	292141	
694110	1046	Blinta
694110	105407	Debra
694110	267038	Mamie van Doren
694110	307983	Taxi Dancer
694110	309804	Harley
694111	270272	Miss Thomas
694112	62788	Mary Willis
694112	167641	Nina L'Estrange
694112	216316	
694112	269694	Grace Hamilton
694113	262235	
694114	92482	
694115	54451	Mrs. Baynes
694115	62983	Bess's Mother
694115	177610	Amalia
694115	361543	Mrs. Charteris
694116	57153	Fay Kingman, blonde bait
694116	59931	Blonde
694116	70301	Jullie
694116	71326	Gang Moll
694116	90872	Miss Reed (Cyrus' secretary)
694116	96852	May, Mileaway's Girl
694116	121366	Kate Shelly
694116	139790	Dance-hall girl
694116	150797	Prisoner's Wife
694116	154481	Willie's Evening Lady
694116	162283	Moll
694116	183760	Dancer
694116	186010	Florence
694116	193684	Linda (Keno's girlfriend)
694116	201151	Girl at party
694116	224333	Girl Reporter
694116	240887	Gerry Dailey
694116	245736	Blondie
694116	277973	1st Nurse
694116	279539	
694116	298093	Rita Kelly (uncredited)
694116	298504	Janet, Casino Singer
694116	341677	Marge
694116	348341	Stella
694117	90201	Dulcinea
694117	112591	Housekeeper
694117	196078	Maggie Peterson
694117	235423	Mrs. Lovell
694117	251417	Widow Smith
694117	276316	The Friend
694118	77191	Monica Clements
694118	400450	Daisy
694118	402124	Anne de Bourgh
694119	2019	Party Girl #1
694120	8961	
694120	20274	Laura Butler
694120	28787	Dorothy Vetry
694120	32496	Cockney Girl
694120	72582	Trinka (Atansan's wife)
694120	73943	Bev
694120	84933	Beulah Zorn, alias Carol Demm
694120	107702	Bit part
694120	120645	Girl
694120	126069	Showgirl
694120	136021	Judy Jason
694120	154895	Western Union Girl
694120	159060	Ellen Wheeler
694120	162394	Nancy Sawyer
694120	214964	Joanne Tashman
694120	233899	
694120	256422	Susan Forester
694120	265104	Claire Harris
694120	278392	Ruth Lambert
694120	303232	Nurse
694120	337780	Marie Bell
694120	346170	Lucy Dennison
694120	346195	Prudence
694120	358955	Bit
694120	361752	Beth Winston
694120	365302	Sue Melbern
694120	367582	Eve Geddes
694120	383214	Martha McGivern (1957-1958)
694120	389566	Stella Lambert
694120	394514	Randy Monaghan (1955-1956)
694120	403604	Trinka
694121	128303	Bridesmaid
694122	13677	
694122	62983	Plump Girl at Fred's Party
694122	282631	
694123	215783	Mrs. Harris
694123	366988	Mrs. French
694123	385299	Vi Carstairs
694124	373216	Eunice
694125	99706	
694126	120015	Professor Miller
694126	167043	Latesha Baker
694126	206388	Candy Stevenson
694126	342909	
694127	32243	Mother
694127	160885	Vacationer
694127	177307	Vet
694127	222779	Deputy
694127	242938	Policewoman Judy Zale
694127	292015	Female Guard
694127	304851	Officer #3
694128	149716	Louise
694129	321177	Frances
694129	367899	Lady Jane
694130	151761	Blue-stockings
694130	303696	Alan`s Wife
694131	335868	Dancer
694132	265365	Mabel
694132	291807	1st Typist
694132	308917	Connie
694132	335636	Girl Journalist
694132	335826	
694132	404402	Kim Stevens
694133	81244	
694133	214641	Girl in Pub
694133	337180	Fräulein
694134	207710	Gabrielle Williams
694135	272325	Chocolate Swirl
694136	156460	Swimming Pool Party - Girl #3
694137	223619	Marisa
694138	223113	Herself
694139	158528	Female Cadet
694139	295420	Trinka
694140	369238	Herself
694141	236194	Haute-Contre
694142	19736	
694143	392551	
694143	394620	Yelena
694143	397302	Dezhurnaya medsestra
694144	217321	Jezierska
694144	340029	Kapo Hilda
694144	358390	
694145	151183	Jane Jordon
694146	13852	Carp
694146	108244	Rachel Rosen
694146	214488	Father's Girlfriend
694147	40870	
694147	180677	
694147	231362	Woman
694147	237983	
694147	255497	Angel Official
694147	262185	
694147	304250	
694147	321425	
694147	327752	
694147	340721	Nalepianka
694148	262669	Jasmina
694149	46065	Dasha/Marilyn
694149	265069	Grunia
694149	411977	Nadya
694150	7206	Lada
694151	194544	Brigitte
694152	217760	
694153	125318	
694153	126352	Amarza
694154	71329	Porcia
694155	141887	Parturi-kampaaja
694156	236544	
694157	124326	
694158	206112	Old Woman at Inn
694159	84682	Une des jeunes filles
694160	18479	
694161	131170	
694161	168895	Heidi
694163	280266	Lindsey
694164	67662	
694164	379814	Gabriela
694164	380531	Neide
694164	384117	Feliciana
694164	384480	Deusa
694164	386105	
694164	404834	Rita de Cássia
694164	407868	Naná
694165	67656	
694165	155177	(segment "Roy, o Gargalhador 
694166	353344	(segment "Fuga, A")
694168	56241	
694168	344706	
694169	162204	Young Salma
694170	43904	Woman in the Green Dress
694170	66274	Pretty Woman
694170	280081	Nina
694171	249494	Telephone Operator
694172	236602	Première souris
694173	131015	Gabrielle
694174	92914	Melly
694174	304850	Maria
694175	35660	Tipper Taylor
694175	113352	Roxy
694175	185589	Feather
694175	253500	Bonnie Blackwell
694175	267640	Mimi
694175	316782	Melody Sails
694176	267640	Eva
694177	111097	La pianiste
694178	64511	
694178	91615	
694178	140734	The Maid
694178	307882	
694178	332905	
694178	362736	Bess Martin
694178	362827	The Cook
694179	379627	Caroline Lopez
694180	118376	Hannah Lesser
694181	113927	A.D.
694182	245051	Magistrate
694183	74638	
694183	100763	
694183	209366	
694183	279060	
694183	300753	
694184	69137	Carla
694185	40006	Homeless Hanna
694187	354154	Viviane
694187	392579	Jacqueline
694188	121414	Sophie
694188	160821	Lucie
694188	217728	
694188	227678	
694189	301165	
694190	146075	Countess Casanova
694191	171134	Specialty Dancer
694191	218717	Member of Jack Cole & Co. Spe
694192	391843	Sofia Alatri
694193	50300	Ellen
694193	160050	Jenny
694193	182897	
694193	225121	
694193	247974	Marta Von Papen
694193	259632	
694193	281149	Staatsanwältin
694193	312162	
694193	325473	Frau Reuter
694193	395011	
694193	412110	Olga Mueller
694194	288980	Narrator
694195	367150	Lolotte
694196	10587	Nurse
694196	11323	
694196	37469	
694196	39844	Maria, the chambermaid
694196	52676	Mrs. Fritz Snauble, Vance's F
694196	56104	Anna Willcox
694196	88999	
694196	92295	Antoinette, Maid to the Count
694196	92558	Mrs. Swiegart
694196	112531	
694196	134781	Ruth Winter
694196	188393	
694196	213820	Waitress
694196	215862	Telephone Operator
694196	241595	German Girl
694196	274423	Miss Bee Lee
694196	291994	Anna Marie Von Steuben
694196	323769	Aristocrat (We Must Be Brave)
694196	367843	Gretchen
694197	127109	La serena
694200	133625	Mother Grogan
694201	325589	
694202	59409	Lauren Newman
694203	323728	Moltovoce, a
694204	81193	Connie Eagle
694204	396123	Cheryl (1993-1995)
694205	211828	Frau Schurig
694206	390486	Geneviève
694207	13800	Cigarette Girl
694208	29968	Barefoot Model
694208	251739	
694209	270346	Ghetto Victim
694210	270346	Ghetto Victim
694211	85458	
694211	317725	Ratna
694211	393276	
694211	397460	
694211	404054	
694212	70705	
694212	248046	
694213	9575	Succubus
694214	246709	Mita
694215	195117	
694215	255640	
694215	344699	
694215	377617	Maricota
694217	347731	Judy
694218	32438	Saleslady
694218	55635	Marie
694218	69409	Karen Grimes
694218	193701	Molly
694218	193716	Marie
694218	296935	Kerry
694218	356896	Barbara Griffin
694218	359499	PMRC Receptionist
694218	366959	Nurse
694219	88766	Housewife
694220	5913	Herself
694221	49893	Herself (Taylorette)
694222	190337	Violin
694222	253857	
694223	104752	Dutch entry (12th place)
694223	147240	Dutch entry
694223	228246	Herself
694223	228247	Jurylid
694223	338009	Mother
694224	112301	Jennifer Wilkes
694225	141323	Betty, Schoolgirl
694226	42705	Pretty Lady
694226	297754	Kitchen Dead
694227	176893	Elizabeth
694227	188350	Young Tart
694227	346086	Penny
694227	399383	Hannah
694228	266714	
694228	269324	Mrs. Perkins
694228	279387	Miss Lurcher
694229	78976	Debbie O'Brien
694230	83853	Caroline Bonaparte
694231	6950	Mme. Fairfax
694231	31998	Lady Miora
694231	32104	Mrs. Van Courtlandt-Van Allst
694231	32125	Mrs. Cornelius Westervelt
694231	35180	Mrs. Vernon
694231	39781	Jane Ogelthorpe
694231	43550	Mrs. Cunningham
694231	47577	Mrs. Fleminng
694231	53263	Mrs. Grant
694231	64852	Mrs. Sterling Barry
694231	69309	Mrs. King
694231	73407	Mrs. Banniman
694231	73662	Mrs. Hadwin
694231	73736	The Cardinals Housekeeper
694231	75274	Lady Webling
694231	78035	Mrs. Noxon
694231	79027	Katherine Karischeff
694231	84214	Mrs. Calvin
694231	88163	Mrs. Safford
694231	89381	Mrs. Velma Vanderspent
694231	90360	Mrs. Hunt McLane
694231	96761	Miss DeWindt
694231	104308	Princess de Vlamont-Chaurray
694231	118024	Madame Bourcet
694231	118438	Aunt Letitia
694231	118463	Mrs. Rector
694231	124736	Lady Owbridge
694231	127728	Mrs. Roland Ferris
694231	129554	Head Nurse
694231	130051	Mrs. L'Hommedieu
694231	130894	Countess d'Este
694231	130961	Mrs. Bellmore
694231	131440	Mrs. Burkshaw
694231	138124	Mrs. Dale
694231	141208	Mrs. Lansing
694231	142981	Mrs. Gray (his aunt)
694231	146205	Princess Diana's aunt
694231	152720	Madame de Condelaurier
694231	178159	Grandma Van Vechten
694231	186805	Mrs. Masters
694231	192407	Marmee
694231	194439	Mrs. Vokins
694231	195905	Mrs. Gaythorne
694231	196147	Mrs. Lyndon
694231	199497	Mrs. Royce
694231	202890	Mrs. Johnston DeLong
694231	206366	Miss Whitcomb
694231	209376	Mrs. Gilmore
694231	216928	Mrs. Rutherford
694231	217435	
694231	238706	Mrs. Burton
694231	238914	Kathleen McEchran
694231	241833	Mrs. Wynnn
694231	247100	Mrs. Austen
694231	263503	Mrs. Schuyler
694231	269921	Mrs. Sawyer
694231	270753	Lady Amersteth
694231	273560	Duchess of Glastonbury
694231	275477	Mrs. Grout
694231	275697	Mrs. Stanford
694231	277330	Mrs. Penfield
694231	281846	Lady Maggie
694231	288618	Mrs. Brown-Potter
694231	302232	Lady Octavia
694231	306768	Mrs. Von Puyster
694231	307581	
694231	315312	Mrs. Carr
694231	317171	Señora de Cordova
694231	323183	Mrs. Stanlaw
694231	331923	Mrs. Carter
694231	334390	Mrs. Farington
694231	345663	Margaret Landicutt
694231	348530	Mrs. Barrison
694231	356634	Tabitha Mendenhall
694231	360239	Mrs. Thornton
694231	365053	Mrs. Converse
694231	365393	Mrs. Furth
694231	367513	Lottie Hanson
694232	254412	Lady in Lavender
694232	254415	Attending Nurse
694233	68505	Lori
694233	99424	Lea
694234	62994	
694235	31021	Helen
694235	40184	Juanita Jones, Cabbie
694235	70558	Secretary
694235	151126	Aunt Lucy
694235	163541	Mother
694235	164480	Barbara
694235	171119	Herself - Ketty Lester
694235	195140	Mrs. Thomas
694235	232247	Mrs. King
694235	252726	Grandma Katie
694235	264469	Unemployment Clerk
694235	299018	Herself
694235	316647	Lucinda
694235	348390	Alma
694235	348547	Irma Franklin
694235	385824	Helen Grant (1975-1977)
694235	389628	Satin
694235	390008	Nana
694235	395735	Hester-Sue Terhune (1978-1983
694235	398245	Nora Blake
694235	408058	
694236	152935	
694237	202897	Alice
694238	166871	Additional cast
694239	207032	
694240	7998	
694240	12175	
694240	12546	
694240	13799	
694240	19262	Martha Fagan
694240	22863	
694240	22926	
694240	22976	
694240	27442	
694240	30338	
694240	35734	
694240	38115	
694240	39516	
694240	40082	
694240	41654	
694240	46290	
694240	47285	
694240	52124	Calamity Anne
694240	52125	Calamity Anne
694240	52126	Calamity Anne
694240	52127	Calamity Anne
694240	52128	Calamity Anne
694240	52129	Calamity Anne
694240	52130	Calamity Anne
694240	52131	Calamity Anne
694240	52132	Calamity Anne
694240	52133	Calamity Anne
694240	52134	Calamity Anne
694240	52135	Calamity Anne
694240	52136	
694240	52137	Calamity Anne
694240	52138	Calamity Anne
694240	52824	
694240	79828	
694240	83597	Bridget
694240	95466	Mina's mother
694240	97208	Mrs. Grant
694240	105399	The Mother
694240	117190	The Mother
694240	123217	Mrs. Moore
694240	128276	
694240	130846	
694240	141258	Nita
694240	141492	
694240	143365	Consuelo
694240	149153	
694240	158265	Miriam Stern
694240	191949	
694240	196869	The Landlady
694240	200905	Boss-Lady on Ranch
694240	208695	Belle Glover
694240	220326	
694240	241858	
694240	245299	
694240	257759	
694240	265494	
694240	267553	
694240	273830	Mrs. Schram
694240	274436	
694240	278266	
694240	298512	
694240	315869	Woman
694240	335067	Tom's Mother
694240	343144	
694240	358972	
694240	362773	
694241	85692	Une carmélite
694242	40657	Charlene
694243	151620	Dr. West's Dream Girl
694244	271287	Murder Scene Bystander
694245	339165	
694246	11376	Herself
694246	257621	Fax Girl
694247	37141	Susie Peters
694248	53164	
694248	355781	
694249	20218	Duchess
694249	121816	Polly Plum
694249	276195	Bianca
694249	287722	Jessica
694249	321695	Various female voices
694249	386238	Additional Voices
694249	388366	Various Characters (1964)
694250	166871	Additional cast
694251	220484	Woman in house
694252	20536	
694252	338894	Flossie Gaddis
694253	217419	Gina
694254	134698	
694255	178469	Herself
694256	41301	Beauty Contestant
694257	116790	
694257	133755	Helen Carver
694257	140408	Camp Guest
694257	154356	Keefe's secretary
694257	193685	Laura Hicks
694257	199217	Kit Beverly
694257	200900	Adele
694257	214936	Helen Gibbs
694257	250647	Nurse Taylor
694257	304278	Edna (the colonel's secretary
694257	304876	Blonde
694257	324054	Sales Girl
694257	330846	Nancy Holcomb
694257	356230	Model
694257	372355	Sonya Varney
694257	372360	Mrs. Adalaide Parks
694258	157314	Matt's Mother
694259	83599	Harem girl
694259	128192	Model
694259	176321	Goldwyn Girl
694259	302454	Dancing Girl
694259	330004	Junior executive
694260	37948	BBC secretary
694260	60746	Robot at Slim's
694260	404282	Gretchen Richards #1 (1990)
694261	123014	
694262	317598	Naoma
694263	74150	Nora
694264	254522	Flamenco Dancer
694265	99792	
694266	176761	
694267	64744	Peasant
694268	90173	
694269	379805	Une enfant
694270	297895	Little Kyra
694271	13800	Cigarette Girl
694272	254163	Marie
694273	361076	Dancer
694274	231658	Room Owner Natalia
694274	234268	Bogumil's mother
694274	262185	Grandmother
694275	186384	Lady
694276	369008	Julka
694277	345461	Marylène
694278	71474	Child in street
694279	201569	Herself
694279	368060	Loretta
694279	381080	Pauline
694279	381081	Pauline
694279	388321	Donna Lewis (1999)
694280	169296	Evelyne Letawe
694281	91646	Mum
694281	199207	
694281	220484	Jeanie's neighbor
694281	381608	Edna
694281	396892	
694281	402012	Housekeeper
694281	406891	Grandma Sullivan
694282	222699	Police Officer
694283	226997	Cynthia
694283	372130	
694283	379716	Margo Flax Martin (1972-1976)
694283	396088	Sharon Ferris (1966-1967)
694284	303094	Eve
694285	84154	
694287	377484	La caissière
694287	384030	Hughette
694287	406783	Sophie Rajot
694288	251775	
694289	381911	Herself (2002)
694290	61693	
694291	70916	Consuela
694292	26176	His wife
694292	57610	Marie
694292	84756	
694292	181355	
694292	203705	Sluzka Anezka
694292	214255	Zelinárka Amálka
694292	219455	
694292	262568	
694292	265045	Pavla
694292	305300	Renata Repová
694292	373404	Sluzka Anezka
694292	374534	Alzbeta
694293	349194	
694294	72901	
694295	268310	
694296	248895	
694297	235532	
694298	201691	Killbilly Bride
694298	305004	Joan Jensen
694299	199162	
694300	15146	
694300	58744	Adrien's sister
694300	84222	Anna
694300	97193	
694300	112829	Catherine
694300	115137	Ann Lee
694300	173187	Ineke
694300	184632	Anja
694300	202692	Julie
694300	226232	
694300	238924	Young woman
694300	261011	Michèle
694300	290822	
694300	336953	
694300	337029	La jeune fille du train
694300	370391	
694300	387631	Vera
694301	24793	Stephanie Chase
694301	44498	Sally
694301	91903	Beach Bunny #1
694301	109474	Honey
694301	294080	Angel
694302	86279	Rent-A-Car Girl
694303	36536	9 Year Old 'Miss' Grace Marti
694303	65754	Kelly Gibbs
694303	335791	Molly
694303	355096	Virginia Lofton
694303	389858	Georgianna "Georgie" Jones #5
694304	3555	
694304	26263	
694304	41430	Joyce Russel
694304	47423	Lori Davis
694304	47935	Tina
694304	67026	
694304	67027	
694304	79719	Denise Dahlberg
694304	117100	Betty
694304	131093	Maria
694304	207424	
694304	207899	Charlene Matlock
694304	209174	
694304	257445	Karen Masters
694304	271798	
694304	276857	Callie Cassidy/Sarah Walker/S
694304	360124	Laurie
694304	400341	Herself (2003)
694305	324841	
694306	402197	Jacko (1982-1986)
694307	231537	
694308	38170	Elisabeth
694308	214621	
694308	354246	Aunt Lozinska
694308	397498	Leticia
694309	280270	Marie
694309	280305	Marie
694310	355660	Woman #2 at Grand Hotel
694311	229740	Licia Carbone
694312	338981	Herself
694313	397040	Patsy
694314	158141	Coffee house patron
694315	58876	Hacienda Girl
694315	229402	Carla
694316	120851	
694317	6621	Jacky
694317	22583	
694317	57475	Marie/Olga
694317	119050	
694317	134581	Clarina
694317	156341	
694317	268389	Ginette Dupont
694317	377923	Agonsa
694317	378731	Michelle
694317	388316	Flora Plouffe
694317	398158	Chantal Maurette
694317	400804	Ghislaine Caron
694318	392894	L'animatrice
694319	200938	Jeanne
694320	163466	Peppermint Patty
694320	302281	Sim
694320	302283	Sim
694320	302290	Sim
694321	100893	Receptionist
694322	3791	Herself
694323	1578	Ex-amante
694324	134028	Q. Hai's Wife
694324	175040	Lan
694325	82157	
694325	378743	Ann-Kristin (2004-)
694326	84437	Gracie
694327	281455	Party Girl
694327	296646	Lisa
694328	162529	Maria
694328	383484	Presenter
694329	46899	Herself
694329	199150	Browser in mothercare
694330	38872	Extra
694331	292150	Hairdresser
694332	199892	Valerie
694333	372198	Young Laurie Robinson
694334	268992	Clarinda
694335	185533	Tamara
694336	185533	Lamar
694337	191301	Homeless Child
694338	99827	Mother
694338	385824	Rosa Barelli (1999)
694339	94722	
694341	119819	
694342	406381	Herself (2004)
694343	155254	Little Kay
694344	18382	Cleopatra
694344	38663	Frieda Waring
694344	106523	Servant
694344	118398	Mrs. Ruddock
694344	124678	Lady of Lyonesse
694344	128408	Mrs. Cox
694344	140979	The Mother
694344	256292	Louise
694344	340227	Woman
694344	348518	Mother
694344	384783	Marion Layne
694344	387533	Eileen Bowker
694344	395625	Maggie Chaffey
694344	399383	Mrs. Crummles
694344	400081	Miss Monflathers
694344	400197	Tony's Mum (II) (Series 2-3) 
694344	400591	Miss Sybil Banner
694344	408299	Mrs. Pope-Graham
694345	74044	
694345	194219	Hedda Lettuce
694345	274200	Bonnie
694346	399482	Varya
694347	199126	
694347	263813	
694347	344703	
694348	204584	Ms. Steiner
694349	276282	
694350	314853	Nun
694351	78530	Babysitter
694352	220519	Truck Driver
694352	259826	Bulldozer driver
694353	220890	Herself
694354	98310	Claudia
694355	400236	Shelley Johnson (1983)
694357	309755	
694358	8908	
694359	325976	Waitress
694360	393547	Guest
694361	76288	Jane
694361	127776	Policewoman
694361	138626	Policewoman
694361	142813	Tomboy
694361	152114	Huang Chia-Jui
694361	167387	Kiki
694361	298363	The Medium
694361	298380	
694361	369068	
694361	369104	Cherry
694361	371494	Lung Fei-Fung
694361	374982	Mable
694362	167442	Icy
694363	289024	Ballet Dancer
694364	231201	
694365	286441	Christine
694366	131061	Christy - Pennytree Girl #7
694367	58921	Martin's girlfriend
694367	131341	Fiona
694367	162334	Fion
694368	410920	Toronto Host (2001-)
694369	8790	Carrie/Mandy Chan
694369	25932	Fong-Fong
694369	25933	Emma
694369	27789	Chung-Chung
694369	63281	Tap
694369	63374	Lena Li
694369	63375	Lena
694369	91543	Kent Hing
694369	110588	Minnie Kwan
694369	144295	Eve Choi
694369	168031	
694369	181541	Erika
694369	189510	Annie
694369	190665	Gigi
694369	192457	May
694369	194086	Sandy Leung
694369	197133	Annie
694369	227122	Siu-Yu
694369	239139	Xiao Jia
694369	239151	
694369	288417	Kiki
694369	288420	
694369	367133	Qi Sitian
694369	369771	Sheo-rou
694369	370754	Gigi
694370	111184	Bobo
694370	152342	J.J.
694370	167495	Tina
694370	167584	Beauty Salon Customer
694370	216627	
694370	227277	Cheung Si-Man
694370	281332	Kitty Yuen
694370	296583	
694370	369600	
694370	369744	Ping
694370	369770	Tung-Tung
694370	370809	
694370	371583	
694370	374761	Chow's Wife
694371	187073	Woman in Church
694372	48234	
694372	61461	Cheng Hsuen
694372	63481	Jade Leung
694372	75227	Miss Yeung
694372	76840	Pearl/Joyce
694372	116176	Liu Yun-long
694372	141893	Erica Leung/Catherine
694372	141894	Catherine
694372	254947	Feng Tin
694372	358923	Sunny
694372	371631	Jade Wong
694372	374820	Kenny/Ken
694373	139652	Cho Chang
694374	41409	Mrs. Tanaka
694374	380647	Empress
694375	62516	
694376	291675	
694377	319096	Jenny
694377	410920	Host (1999-2001)
694378	369646	Mrs. Leung
694379	334227	Sammy
694380	371644	
694381	135452	Cheung's Wife
694382	363355	Restaurant Patron
694383	61990	Deborah
694383	153548	
694383	297299	Winnie
694383	322699	May
694383	334295	
694383	373105	
694384	184753	
694384	298427	
694385	141917	
694385	324714	Irene
694385	370757	
694386	325598	
694386	325913	
694387	202418	Melanie
694388	110069	Lieschen
694388	290843	Mary Springfield
694388	380199	Judy
694389	352126	Lettie Werner
694390	25254	Stien
694390	78214	
694390	204766	Lies
694390	247132	Charlotte
694390	357381	
694390	359816	Nel (Haar van boven)
694390	381672	
694390	386642	Juffrouw Toby
694390	393707	Directrice
694390	401807	Ieke Maris
694390	410341	Sylvia
694391	5075	Lucie
694391	31433	Noelle
694391	51803	Hôtesse
694391	53142	Ulrique, la terroriste
694391	69522	Valérie
694391	77817	
694391	83337	Annie
694391	124424	Violette
694391	149745	Isabelle
694391	152378	Serveuse du snack
694391	156297	La boulangère
694391	156532	L'assistante de Jocelyne
694391	198638	
694391	200930	Marguerite van de Weeil
694391	205719	Carine
694391	226791	Young girl at restaurant
694391	231145	Rosine
694391	242424	Karen
694391	248820	Diana
694391	261843	
694391	269244	Marie-Claire
694391	282299	Marie Rouget
694391	327658	Marie
694391	336931	Eliane
694391	336953	
694391	345443	Francine
694391	345522	Jeune femme doct.
694391	353443	Sandrine
694391	353934	Adjani
694392	226317	Rote
694392	259821	
694393	79252	Mariska
694393	130224	Jessica
694393	138013	Verpleegster Kast
694393	277759	Medeleerling
694393	385145	Kitty van Doorn (episode 1-7)
694394	78778	
694395	14590	
694395	122559	
694395	124998	Angela
694395	157498	
694395	204757	Frauenärztin
694395	325467	
694395	343331	
694396	198499	Madame's Girl
694397	290871	Frau im Reihenhaus
694398	178792	Jordana Steel
694399	140177	Claire Palmer
694399	151039	Babara Anders
694400	344524	Herself
694401	384432	Designer
694402	149111	Soeur Clara
694403	353221	
694404	10650	Dr. Maria Rohn
694404	24057	Franziska
694404	37757	Nicole
694404	91219	Dorothea Angermann
694404	93502	Evelyne Winterthur
694404	99168	Tina Rodenbach
694404	119138	
694404	125322	
694404	130912	
694404	134833	Hilde
694404	140247	Marianne Nägler
694404	141793	Hedda Gabler
694404	144157	Sybilla Zander
694404	155600	Fanny Becker
694404	156998	
694404	182774	
694404	182779	Imma Spoelman
694404	189819	Renate Mueller
694404	197121	Kaiserin Elisabeth (Sissi)/Em
694404	233046	Ninotschka
694404	281953	Effi Briest
694404	282214	Franziska Lukas
694404	317503	Vera
694404	322969	Maureen
694404	323123	Hanna Dietrich
694404	338262	Baronin von Trapp
694404	338263	Maria
694404	345905	Valerie Steinfeld
694404	347506	Frau Gerda Cornelius
694404	350851	Susanne Meister
694404	361084	Genia Hofreiter
694404	382931	Elisabeth
694405	204477	
694405	210051	
694405	308245	Titania
694407	76602	
694408	141750	Herself
694408	207636	
694409	3046	Herself - Performer: 'Hoops'
694409	10241	'Sassy' (Hula Hoop Girl)
694409	64657	Manipulation: Hoops
694410	384364	Michal Peleg
694411	98227	
694411	208730	
694411	382327	Daphne (Dafi) Brown
694411	397635	Noga Peled
694412	178830	
694413	148120	Chela
694414	298129	
694415	387058	Woman bureaucrat
694416	229311	Hooker 2
694417	85162	
694417	323341	
694417	328707	
694417	382430	Ruzica ... sekretarica kod Ja
694417	382431	Ruzica
694417	390388	
694418	304243	Coxie
694419	384306	Dancer
694419	384507	Dancer
694419	396527	
694419	403904	Dancer
694419	406972	Dancer
694420	328722	Possessed Woman
694421	79310	Little Girl
694422	79310	Little Girl (Speaking Role)
694423	142481	
694423	176733	Beth
694424	53755	
694425	395329	Iris Kedmy
694426	96738	Nancy
694427	263212	Nurse
694428	374667	
694429	102227	Ullas Mutter (Mother of Ulla)
694430	163334	Ticket Purchaser 1
694431	155468	Maya
694432	277088	TV Aerobic Instructor
694433	95365	Megan
694434	84601	Muriel enfant
694435	50979	Emma Cooper
694435	241552	Patty Reed
694435	346949	Penny Munny
694436	3149	
694436	6392	
694436	7449	La femme Grossetête
694436	8214	
694436	8915	
694436	19322	Voisine
694436	20465	Une actrice
694436	26559	La concierge
694436	33629	Une locataire
694436	43633	La concierge
694436	54298	Une femme du peuple
694436	55406	
694436	65729	Babette Manapoux
694436	70709	Une commère
694436	71841	
694436	83270	
694436	88840	
694436	91972	La patronne de l'hôtel
694436	99653	
694436	103207	Madame Masson
694436	110051	Patron of bistro
694436	119233	Mélanie
694436	119751	Une blanchisseuse
694436	132995	La cuisinière
694436	149193	
694436	153804	La patronne du bistro
694436	153839	L'hôtelière
694436	153849	La logeuse
694436	158839	La concierge
694436	173053	
694436	205742	
694436	216235	
694436	220473	La mère
694436	223174	
694436	229002	La cliente laide
694436	244230	Mme Rossignol
694436	248259	Une cliente
694436	263003	
694436	268414	La cuisinière
694436	301404	La blanchisseuse
694436	339617	La bonne
694436	340670	
694436	345027	
694436	345229	Une commère
694436	346609	Tireuse De Cartes
694436	377809	La religieuse
694436	377810	L'Habilleuse
694437	205967	Marion's pal
694438	340216	
694439	171742	Gostya
694441	183670	
694441	270847	
694442	190172	Bag Lady
694443	185624	Dawn
694444	154866	Nurse Olive Denning
694445	1899	Herself
694445	347627	
694445	347652	
694446	301559	Crissy
694446	337166	Andy's little sister/Addition
694446	358865	Susan
694447	368374	Whitworth
694448	69905	Herself
694449	67863	Reporter #2
694449	106597	ADR Voice
694450	24476	Devil/George's Mother/Most Ba
694451	371539	Hanna, his wife
694452	379173	Yael Yangeldorf, Reporter
694454	321729	Beth
694455	44581	Landlady
694456	50203	Literary Guest
694456	82035	Trudy Markham
694456	105135	Chandler's secretary
694456	155692	Saunders
694456	159132	Paris Mourner
694456	166569	
694456	198474	Frau Baden
694456	222510	Sybil
694456	273328	Carla
694456	280279	The Transylvanians
694456	307916	Creampuff, Hippie
694456	365942	Mrs. Rossdale
694456	379582	Various roles (1984)
694456	384101	
694456	395919	Nancy Parker
694456	401143	Janna
694456	406738	Jeanette Mayne
694456	408637	Philippa Edwards
694456	411012	German secretary
694457	18351	Rosa Gluberman
694457	205194	Mrs. Pearce
694458	350125	
694459	220347	Herself
694460	103440	
694461	236512	The women/Sarah
694461	256088	Filipa
694461	296671	Michelle Miller
694461	348598	Samantha
694461	352402	Nurse Martine
694461	406203	Anneke Wiels (2000-2002)
694462	236550	La fille de salle
694463	1868	Assistant
694463	160857	Nikki
694464	168093	Esther
694465	171853	
694466	325198	Moeder Evelien
694467	29516	Une fille de Bébé
694467	104241	Prof 2
694467	153842	La patronne du vidéo-club
694467	199350	Marguerite
694468	220529	Movie producer, Flower Girl
694469	144452	NIT Journal Revolutionary
694470	59375	Girl in Window 1
694471	7959	Beatrice Richardson
694471	56144	Teenager's Mother
694471	82445	Woman in Crowd
694471	136836	Mrs. Clydesdale
694471	190453	Ms. Linkletter
694471	207709	Bank Clerk
694471	207858	The Large Female
694471	387309	Tango Humphries #2 (1970)
694472	206639	Jeanne Martin
694472	394357	Veronica Carter
694473	63070	Carie
694473	81062	Lise
694473	95510	Party Woman
694473	107846	Jane Rizzo
694473	127351	Woman at Funeral
694473	128526	Mrs. McCallister
694473	135591	Alicia Bell
694473	150468	Hospital receptionist
694473	161495	Rebecca Winston
694473	192628	Woman in Library
694473	194007	Annie Ralston
694473	195818	Edith Andrews
694473	214999	Mother in Hospital
694473	233663	
694473	241276	Pauline
694473	284538	
694473	320082	Mrs. Blake
694473	339363	Margie Preston
694473	391834	Julie
694474	31281	Liotta
694474	97277	Asylum Inmate #7
694474	107896	Rene Lazard
694474	176804	Asia Gardner
694474	211385	Terry Ross
694474	222752	Boom Boom Craycroft
694474	223849	Sue
694474	349870	Alma
694474	362310	Coulter Receptionist
694474	395165	Lara
694475	221338	Vera
694476	338623	Annia
694477	315799	
694478	22652	Toni Scott
694478	244453	Winnie
694478	257730	Mary
694478	277908	
694478	287171	Ruth Watson
694478	328562	Mrs. McCann
694478	348375	Social Studies Teacher
694478	379612	Eleanor
694478	411811	Eve Dunbar (1960-1963)
694479	101182	Child at farm
694480	161473	Herself
694481	230904	Rosie
694482	45853	Nora Matheson
694482	116924	Madame
694482	118623	Mrs. Carpenter
694482	303972	Alice Barrett
694483	378788	Dr. Maxine Rich
694483	392763	Various
694484	392586	
694485	53937	Judy- Sheriff's Secretary
694486	209210	Cultist
694487	118623	Mrs. Carpenter
694488	274196	Emily
694489	144954	Mrs. Leonore Gregory
694489	325978	
694490	328555	Taylor Lambert (The Original 
694491	232425	Additional Voices
694492	393215	Cécile enfant
694493	355652	Magda
694494	5066	Monarch Cheerleader
694495	360635	
694496	103565	
694497	106710	Miryam
694498	334382	Jenna
694499	374322	Herself
694500	138002	Hava
694501	23578	Lulu
694501	229311	Homeless Woman
694501	233827	Louise Tolliver
694502	105116	Party Person
694502	196281	Bank Teller
694503	23370	
694503	249853	
694503	251600	
694503	270836	
694503	287995	
694504	388041	Herself (Host)
694505	25924	Mädchen in Bar
694505	248483	
694506	159132	Dancer
694507	57471	
694509	115161	Little Girl
694510	313477	Senator Fema Baab
694511	270443	Laban's Wife
694512	214562	
694513	22053	
694514	287978	Opera singer
694516	71452	Lisa
694516	270808	Nicole
694517	411933	Noga
694518	21372	Herself
694518	383830	Anchor (2002-)/Reporter and N
694519	81059	Herself
694520	177237	Zsoka
694520	180187	Az énekes felesége
694520	211702	Cselédlány Cassiuséknál
694520	214496	
694520	328305	
694521	198917	
694522	100557	
694523	156308	Toune
694524	2008	Herself - Best Screenplay Win
694525	344703	
694526	87024	Jackie Bird
694527	109530	
694529	406267	Pat Lombard
694530	235052	Operator
694531	302065	Scout Board Leader
694532	45357	Flashback Party Woman #2
694532	291155	Polly
694533	314390	Lady
694533	381054	Secretary
694533	405458	
694534	309636	Herself (interviewee)
694535	255169	Jack's Class #7
694535	297222	Lizzie
694536	37263	Yuppie Girl
694536	81894	Irene Hayes
694536	149707	Susie Sumerian
694537	47258	Malke, wife of Shimen
694537	361577	
694539	206496	State Attorney
694540	201962	
694541	6248	Fauna Amor
694541	6249	Fauna Amor
694541	142623	Twin #1
694542	61819	
694542	190370	Shannon
694542	333442	
694543	92248	Carbs Girl
694543	185771	Lelah Madison
694544	314958	Guest at the dinner
694544	322297	
694545	2550	
694546	155585	(segment "Ultima carta, L'")
694547	65555	Guionista T.
694548	63019	Melissa
694549	80776	Mrs. Katherine Cartowski
694550	62885	Stewardess
694550	213334	Frk. Nathansen
694551	41204	
694551	137520	HEV Suit/Hazard Course Hologr
694551	137522	
694551	299557	
694551	312137	Bea Bear, Mata Hairy, Goon #3
694553	338151	Jogger
694556	63424	Bistro Waitress
694556	221366	Linda Davis
694556	222686	Rita
694557	338151	Elderly Woman
694558	6248	Flora Amor
694558	6249	Flora Amor
694558	142623	Twin #2
694559	389678	Letter girl (1992-1993)
694560	81155	
694561	66936	Female Soldier
694561	141823	Angela
694562	34402	Amelia
694562	142836	Sosietetsdame
694562	242694	Nanette
694562	298650	Carla, en jødisk flyktning
694562	394894	Programleder
694563	397553	
694564	277772	Ada
694565	364390	Mandy
694566	67758	
694567	83094	Catherine
694567	86017	Leslie Anderson
694567	311055	Loretta Martindale
694567	318899	Taxan
694567	332402	Booking Clerk
694568	307380	Poker Player, Paris
694569	410631	Betsy
694570	333383	
694571	97806	
694572	115426	Woman at the hot dog stand
694572	120137	Girl at the shooting gallery
694572	182542	Young woman at Kragknappen
694572	198391	Lola
694572	302139	Waitress
694572	345994	Guest at Hammar's party
694573	311579	
694573	349085	
694573	357637	
694574	348819	
694575	36760	Office Girl
694576	32089	Waitress at Moonlight Mile
694576	134655	Annie-1, Squad & Dropship Voi
694576	134886	Assistant at Dog Pound
694576	150488	
694577	203600	Nymphet
694577	380192	Herself (Series 2) (1986)
694578	16791	Mae
694578	17067	April Thomas
694578	22810	Barroom Dancer
694578	26442	Mrs. McCray
694578	27168	Francine
694578	38515	Audrey
694578	38957	Herself
694578	41297	Tanya Borgman
694578	46875	Bridget
694578	51886	Erica Steele
694578	73504	Monica
694578	73926	Darla
694578	80467	Audition Receptionist
694578	80484	Edie Meyers
694578	84002	Crystal
694578	94167	Tanya
694578	109454	Bella
694578	109608	Secretary
694578	113685	Fiona
694578	132311	Véra
694578	138118	Laura
694578	141656	Little Dot
694578	154593	Iris
694578	160888	Antoinette De la Paix
694578	164716	Alexandra 'Alex' Arnold
694578	187908	Nurse Carvalho
694578	190209	Janie
694578	205590	Kathy
694578	220062	
694578	222883	Wanda
694578	244433	Amy Skully
694578	257764	Michou
694578	260357	Waitress at Country Inn
694578	278711	Prostitute
694578	303521	Annibelle
694578	308122	The Girl in 3F
694578	316998	Ashley
694578	318218	Sue
694578	323970	Woman at Basketball Game/Deni
694578	337286	Herself
694578	340531	The Butcher's Wife
694578	340824	Lucy
694578	345853	Carter
694578	346949	Delilah Fitzgerald
694578	358708	Elevator person
694578	359422	Pastor's Wife
694578	363869	Heather
694578	384582	Anna Rostov (1986-1987)
694578	407610	Marti (1989)
694578	408679	Various roles (1988-1989)
694578	411354	Ilona
694579	343130	
694580	11837	Pearl Fishbein
694580	51836	Woman Customer
694580	124378	Mrs. Munson
694580	167704	Fireplace Woman
694580	288051	Edna
694580	305005	Ruby
694581	238494	Girl on the train no. 1
694582	38696	Extra
694582	40504	Pool Party Person/Holly
694583	372806	Swing Dancer
694584	231779	Person in Bondage
694585	366640	Herself
694586	86922	Storyteller
694587	193260	Commitee Member #3
694588	26439	
694588	120340	Rebecca Patricia Lapidowitz
694589	49854	Publicist
694589	93955	Pamela Berry
694589	171190	Gwen
694589	171191	Norma De Lorenzo
694589	178218	Laurie (Helen's new girlfrien
694589	194247	Sandi (Vic's Date)
694589	206240	Patty
694589	208992	Jealous Woman
694589	281464	E.R. Nurse
694589	313100	Marcy
694589	315781	Onlooker #2 ('Non-fiction')
694589	395594	Nancy Linstrom
694589	407545	Andrea Spinelli
694589	407547	Andrea Spinelli
694590	341842	Bethel/Yara
694591	20987	Rita
694591	63746	Coroner
694591	182987	Evelyn
694591	208665	Sandy
694591	232126	Judge
694591	364189	Nurse
694592	352405	Child on Beach
694593	130178	Sandra Shaw
694593	196522	US Weekly Reporter
694593	241872	
694593	263747	Babe 1
694593	273926	Blonde
694593	362860	Darlene
694593	382155	Sarah Pearson
694593	382240	Laura
694593	388476	Wendy Servine
694593	388545	Aglae Dazincourt
694593	389092	Allison
694593	393267	Molly
694594	147759	Tina Reed
694596	17490	Woman #6/Woman in Turban
694597	390771	Lizzie Spaulding #1 (1990-199
694598	161367	Herself
694599	89288	Miss Price, Woman in Boardroo
694599	206831	Anne Rosenblum
694600	79584	Sandra
694601	104329	
694601	146305	Golde Blumberg
694601	147977	
694602	38406	Tanya
694602	256188	Pink Chiquita
694603	245498	Bar Regular
694605	308104	Herself
694606	353	
694606	45357	Patricia
694606	87924	Nurse Leslie
694607	141662	Girl in Locker Room
694608	133475	Kreme Cup Girl
694608	168326	Locker Room Girl
694610	126709	Melissa Mindlin
694610	313914	Girl Pictured in Magazine
694611	30963	
694611	71489	
694611	178011	
694611	227505	
694611	227508	
694611	325103	Jane
694612	164352	Susie
694613	36781	Adulterous woman
694614	213964	Jane
694615	277541	Diane
694616	193644	Esther
694617	97532	Aunt Marha
694618	20957	Actress
694618	194765	Hannah
694618	247093	Aviva
694618	379716	Lilly Benton Montgomery #2 (2
694619	42056	Woman on Cutting Room Floor
694619	175621	Tourist
694619	290162	Woman Onlooker
694620	352405	Electrocuted Child
694621	248838	Tagalong
694621	264603	Tagalong
694621	308022	Patricia
694621	362491	Tag-a-long
694622	148472	
694623	366078	
694624	313583	Friend of Sandy's Sister
694625	35523	385 North Waitress
694625	120121	Bus monitor
694626	216474	Club Patron
694627	306275	2nd Lady in Waiting
694628	142950	Louisa
694628	336654	Courtney's girlfriend
694629	80910	Family Member
694630	151672	Beach Girl
694630	294742	
694631	353294	Academy Girl
694632	177369	Roberta Posner
694633	11384	Woman in Temple
694634	358114	Faye
694636	360436	Horrified Theater Patron
694637	223563	
694637	374431	
694639	199735	Dancer
694639	264158	Cheerleader Lupe
694640	47022	Dolly
694641	154168	Angela Garbaldi
694641	186633	Penelope Streck
694641	409212	Additional Voices
694642	217745	Dancer
694643	63273	Mahbubah
694643	118003	Jessie
694643	215808	
694643	300911	
694643	331681	Old Welsh Woman
694644	88205	
694645	388364	Head Housekeeper
694646	280835	Pianist
694647	33454	Ludmilla Komarowa
694648	17760	Alvy's Classmate
694648	204024	Mandy
694649	169148	
694651	179062	Lisa
694652	10958	Sarah
694652	66274	Amanda
694652	154876	Francie Bedford
694652	176505	Tina
694652	198042	Dana
694652	298076	Melissa
694652	313329	Stacey Griffith
694652	343387	Jamie
694652	388322	Nicki Lerner
694652	392459	Francie Bedford
694652	405394	Frederica Campbell
694653	362277	Jane Duane
694654	198127	
694655	7269	
694655	268214	Elderly Nun
694655	320483	
694656	373979	Odarka Karas
694657	48935	Woman in Restroom
694658	65474	Girl with ball
694659	14137	Nancy
694659	89147	Maria
694659	364184	Susan
694659	400236	Cathy Craig Lord (#2) (1969-1
694660	108711	Bianca
694661	161922	Scientist
694662	66928	Cynthia
694663	212759	Susan Collins
694664	157562	Mrs. Hartman
694665	67349	
694665	218850	Intrepid Commander
694665	313396	Doctor #2
694665	313399	Military aide
694665	313420	El Aurian Survivor
694666	99055	Girl Helium Visits in Hospita
694667	242515	Sara Berkowitz
694668	1361	Drunk Girl 1
694668	158609	Bridesmaid #2
694668	295420	Gothic Girl
694668	365326	Make-up Salesgirl
694669	138784	TJ's Bartender
694670	194025	Young Ann
694670	385262	Jennifer
694671	382050	Ensemble cast member
694672	7489	Mary
694673	48618	Gladys
694673	80305	Rose Keller
694673	82029	
694673	152753	Dorothy Cornick
694673	167094	Teddy
694673	225138	Martina
694673	233046	Stubenmädchen
694673	237828	Heidi, the prostitute
694673	242833	Samantha
694673	290652	Uta
694673	291224	Jane
694673	293625	
694673	325701	Olivia
694673	347048	Lola
694674	163058	
694675	373699	Alla
694676	173353	Mrs. Randall
694676	381990	Fran
694676	399311	Bev Roberts
694677	145171	Tara Leyton
694678	399850	Thelma Petterson (50 episodes
694679	138744	Chorus Woman
694680	161839	Sgt Chrissie Edgeworth
694680	220430	Arlene Heddon
694680	276082	Eva
694680	381113	PC Gill Copson
694680	410978	Alison Storey (1999)
694681	355117	Purity
694682	188933	Accident victim
694683	70402	J.J.
694685	87582	
694686	346857	Nicky
694687	346857	CarolAnne
694688	291109	Brunette at table
694689	74259	Dupree's Girlfriend
694690	355267	
694691	92087	
694691	277238	
694691	304454	Slovene teacher
694692	225918	
694692	263256	Teoretièarka
694693	13001	Tall woman
694693	135270	Ida
694693	175359	Mother
694694	160595	
694694	164014	
694694	173018	Svetlana
694694	174968	
694694	178701	
694694	182226	
694694	182240	
694694	190873	Tsarevna-Lyagushka
694694	225818	
694694	226693	
694694	226857	
694694	250802	
694694	258682	Belogurochka
694694	261323	
694694	263134	Zhena Gleba
694694	263423	
694694	265046	
694694	267804	
694694	270741	
694694	280396	
694694	293713	
694694	323332	
694694	340065	
694694	349302	
694694	351981	
694694	356064	
694694	357340	
694694	357710	
694694	371344	
694694	373274	
694694	375737	
694694	410332	
694695	208448	Florida
694696	235998	Mati
694697	286116	Dr. Dunn
694698	255879	
694698	321563	Wife
694699	18800	
694699	48851	
694699	70662	
694699	100787	
694699	103745	
694699	222677	Nurse
694699	228560	
694699	244642	
694699	249879	Young girl
694700	265100	
694701	279703	
694702	217054	Abril
694703	24809	Michale
694703	136988	Silvia
694703	175714	Nelly
694703	299363	
694703	343425	
694703	383005	Orna
694704	321699	Gen. Harrari
694705	199467	Group Member
694706	37263	Dotie Fields
694706	110993	Barbie
694706	146768	Inga Swensen
694707	100193	Punk 2
694708	12309	Bunky
694708	62791	Party Guest
694708	191065	Mrs. Long
694708	241795	Receptionist
694708	359149	Girl in Black Vette
694709	213494	Secretary
694710	66131	Zerbe's Girlfriend
694710	157772	Stewardess
694711	234204	Chena
694712	138434	Dafna
694713	56006	Hollwood Kid #2
694714	32626	Make Up Girl
694714	282957	Wanda
694715	108728	
694716	107792	First Priestess of Quetzal
694717	152570	Nanny
694718	183467	
694718	281243	
694719	188453	Opening Sequence Girl
694720	186207	Samantha
694721	38370	Rebecca Chambers/Computer Voi
694721	40225	Blair Billingsley
694721	47865	Additional Voice/Valley Girl 
694721	223720	Greek Wedding Girl
694721	308557	Shazee Kornpepper
694721	345788	Pam
694721	380715	Chet Zipper
694722	12080	
694723	220083	Mabel
694724	87118	Tomberlin
694725	148335	Herself
694725	235998	Abuelo, 1927
694726	59872	Renee
694727	203600	Lady in Hallway
694727	218547	Herself
694728	49468	Woman in Suburbs
694728	79679	Jenny
694729	308	Mother
694729	204210	Sherry Elms
694730	63019	Gladys
694730	113933	French Maid
694730	161463	Jane Masters
694730	194528	Teresa
694730	221534	Hero
694730	236672	Louise Pratt
694730	384092	Sandra
694730	389011	Lynn
694730	392483	Young Livilla
694731	19798	Young Wife
694731	359899	Karen Aylwood (uncredited in 
694731	385781	Little Emily
694731	411255	Mary Churchill
694734	90117	Harem Girl
694734	320928	
694735	113925	Smith
694735	301614	Elise DeGroot
694736	342156	Nurse #2
694737	286198	Anna May
694738	307473	Grand-mère Rachel
694739	21280	La statue
694740	79353	
694741	14970	
694741	70686	
694741	272421	
694741	308462	
694741	380107	Josefina De Icaza de Peñalver
694741	381029	Nancy
694741	381650	Carolina
694741	382197	Alma de Castro
694741	383273	Patricia
694741	383568	Elisa White viuda de Villarre
694741	385392	Guadalupe 'Lupita'
694741	387552	Dulce Olivia Montenegro
694741	395404	Leonela Ferrari Mirabal
694741	396983	
694741	399799	
694741	402540	Lupita López
694741	402917	
694741	403741	Linda
694741	410319	Veronica
694741	410450	Carmelita Romero Rubio (joven
694741	411710	Jimena
694741	412302	Estelita
694742	349467	Florencia
694742	409465	Host
694743	10535	Journalist
694744	5677	
694744	371537	
694746	279703	
694747	341773	
694748	1567	Gea Roth
694748	84440	Queen Freak
694748	152563	
694748	350212	Jenna
694749	41797	Nun
694749	202265	Sen. J. McBrine
694750	252751	
694750	324067	Une femme
694751	57654	Lenore Upshaw
694751	301616	Tamara
694751	379038	Various characters
694752	384117	
694753	132887	Anna Bronstein
694753	357107	Mme. Sonia
694754	105851	Christine
694755	239265	
694756	72967	
694757	69290	Hygenist
694757	134175	Social Worker (Marie Esteban)
694757	166663	
694757	368610	
694758	285271	American Housewives Team memb
694759	366908	Marcia Menetti
694760	33172	Olivia
694761	84667	
694761	169335	Consuelo
694761	211136	Girl at Party
694761	225370	La femme Indienne
694761	318488	Prostitute
694762	250	Herself
694763	195262	Shayla
694764	249745	Esther
694765	243218	Woman on Bicycle
694766	269427	Roberta
694767	108902	Louba as a teenager
694768	36669	Marie
694768	68347	Christelle
694768	86244	
694768	86427	Jessica, François's mother
694768	104645	Vera
694768	211658	Nathalie
694768	218332	Dr. Arthur Glass
694768	310456	L'animatrice
694768	376974	Catherine Dupuis
694769	94330	Annette
694770	106016	Russian Newsperson
694772	38000	Small Creature
694773	350718	Kaisa Keskitalo
694774	335901	Fanny
694775	131885	Mrs. Wang, Data's Mother
694775	188511	Cheng's Receptionist
694775	276869	Jennie
694775	291495	Foo-Ling
694777	394406	Connie (1987-1988)
694778	238227	
694778	296875	Concubines
694779	297382	Chinese Worker
694780	188502	Pool Girl
694781	109610	Chinese Mother
694781	177253	Princess Ying Yaawolak
694782	36833	Miss Wong
694782	127209	
694782	138821	Chinese Reporter
694782	264432	Slave Girl #3
694782	277910	Killer Wife
694782	299653	Woman on the Roof
694782	336452	Charming Hostess #2
694782	346280	Sushi Mama
694782	367891	
694783	1300	Mrs. Lee
694784	20625	Extra
694785	20625	Extra
694785	33006	Servant
694785	52163	Mrs. Smith's Assistant Hairdr
694785	115478	Mrs. Yokahata
694785	175805	Elevator Operator
694785	360834	Chinese Girl
694786	24531	Child Aya
694787	145525	Uschi
694787	325449	
694787	325720	
694787	325754	
694787	325791	
694787	365922	
694787	383292	Ursula 'Uschi' Ewermann (1998
694788	196889	Nun
694790	211921	
694790	256947	
694791	281348	Drömflicka
694792	401666	
694793	325192	Patient
694794	174028	Politic
694795	235730	
694796	276345	Passerby
694797	287729	Wayne's Mother
694797	350176	
694798	126221	
694798	375276	
694799	203918	Newscaster #8
694800	92573	Photographer
694800	160295	Herself
694801	154898	Irene, at age 6
694801	279376	Lala age seven
694802	376687	Baronesa Lewe Van Award
694803	149459	Betty
694804	391369	Karen
694805	115882	Girl at Los Caracoles
694806	152793	Sanna
694808	77855	Interviewee
694809	189764	
694810	385609	
694810	409454	Katie
694811	99287	Arundel's Housemaid
694812	46734	Landlady
694812	113150	
694812	316138	
694813	116280	Bonnie
694814	371544	The Widow
694815	232470	Sue
694815	411366	Receptionist (episode 4: Lo-A
694816	196902	Music Student
694817	25103	
694817	102237	Isabel
694817	134437	Jovenes Cerro
694817	247296	Clara Montes
694817	287448	Carmila
694817	322229	Blanca
694817	377169	Angel Cruz
694817	388648	
694817	392992	Tiare
694817	397826	Belinda
694817	401481	Samira Abbu Kassemm
694817	402411	Deborah Castro
694817	403674	
694817	408180	Macarena
694818	44323	The Old Lady
694819	64672	Spy for the Cause
694820	211698	Ruth Goldberg 1942
694821	378738	Magdalena Arias
694822	201686	Herself
694823	73989	Townswoman
694823	157636	Kindly nurse
694825	222375	May
694826	65681	
694827	223882	Talkshow Hostess
694828	380391	Victoria 'Vicky' Hudson Frame
694830	403808	Herself - ethnobotanist
694831	385299	Miss. Pinkerton
694832	311703	Herself
694832	378882	Weather Forcaster (2002-)
694833	266304	Koscieniecka, Laura
694833	394585	Martyna (1999-2000)
694834	154927	Cafe person
694835	108647	
694836	37806	Herself
694836	96555	Herself
694836	142600	Herself
694836	218062	Herself
694836	295636	Herself
694836	398116	Herself
694836	398401	Herself - Host
694837	115957	Geburtshelferin
694837	337559	Mother Herzog
694838	82016	
694839	68490	Storyteller (story subject: D
694840	366316	Woman with cheating boyfriend
694841	385705	Andrea (recurring) (1997-1999
694842	5852	Julia Minton
694842	92436	Dora Ludlow
694842	372130	
694842	380713	Mrs. Jackson (early 1960s)
694842	405882	Lena Andrews (1975-1976)
694842	409795	
694843	143340	Mrs. Colvin
694844	141454	
694844	344176	Old Time Dancer
694845	326389	Sara Kane
694846	96026	Dee
694846	336461	Lili
694847	75366	Aphrodite
694847	302769	Lola Mae's Patron
694848	379706	Rosie Herriot (1990)
694849	196085	
694850	357873	Waitress
694851	47059	Hostess
694851	106643	Sabata
694851	117391	Nita
694851	139571	Kitty Canon
694852	80735	Waitress
694852	136270	Girl in Bank
694853	1487	Herself
694853	13744	Co-Host
694853	56456	Herself - Co-host
694853	84209	Host
694853	214190	Host
694853	221464	(host)
694853	221481	Herself - Presenter
694853	221485	Host
694853	240786	Herself
694853	359055	Co-Host
694853	364126	Host
694853	380164	Host
694853	383755	Herself (1st Executed)
694853	398437	Host
694853	408610	Herself (1999-2001)
694854	51823	Carla Hall
694854	92150	Cassandra
694854	147554	Autumn
694854	170872	Girl Scout #1
694854	192674	
694855	129241	
694856	60186	Whitney Young Team Member #6
694857	290319	Attendant
694858	400566	Adventure Girl
694859	59879	
694859	89652	
694859	248984	
694859	272320	
694860	379518	Kei
694861	170328	Woman who shoplifts
694862	128583	Dance Therapist
694863	152394	Jane Jernhånd
694863	214479	Woman
694863	279042	
694864	56198	Mrs. Price
694865	26238	ADP Commander
694865	219248	Mary Costella, Emily's Mother
694865	278065	Semmerling
694866	213577	Katisha
694867	216479	Small Husband's Wife
694868	292463	Woman at Reception Table
694868	316263	Secretary
694869	175616	
694870	368944	Richard's Mom
694871	21154	Lady in Coffee Shop
694871	53329	Bread Woman
694871	142985	Rose
694871	146729	Cousin Rosalie
694871	149394	Claudia Hoffer
694871	160980	Gwen
694871	163462	Pilot's wife
694871	171278	Mrs. Dolmatch
694871	178080	Waitress
694871	212614	Edna Damrosch
694871	241799	Muriel
694871	248132	Anna
694871	283548	Home Ec Teacher
694871	288888	Miss Mark
694871	299071	Midge Smoot
694871	360277	Esther Davenport
694871	363531	Bland's Wife
694871	365396	Wilma
694871	405152	Midge Smoot (1990-1993)
694872	257760	Lady who Finds Cheap Steaks
694873	304570	Babysitter
694874	85117	Porn Girl 2
694875	239891	Castalia (Age 12)
694876	79340	Herself
694877	83952	College Girl
694877	93148	Robin
694877	171179	Annie
694877	234464	The Succubus/Sister Mercer
694877	282908	Poster Girl
694877	303902	Contact Lens Girl
694877	347070	Hospital Receptionist
694877	406363	Arlene
694878	2781	Ricko's Girl
694878	55265	Sexy Bar Girl
694878	66590	Angelica
694878	94099	Sister Angelina
694878	109030	Cassidy
694878	202915	Body Shot Girl
694878	246272	Roselle
694878	263547	Louise
694878	283181	Tori
694878	333602	Melanie
694878	341667	Candy
694879	246006	Fathers Friend
694880	345784	Girl Who Was A Sofa
694881	392119	Presenter (2002)
694881	408276	Herself - Archaeologist
694882	233957	Herself
694883	121135	Cooler Girl 2
694884	33742	Janey Wagon
694884	79899	Anita
694884	118038	Black Woman
694884	128828	Second Sorority Sister
694884	184974	Unemployment office interview
694884	200283	Nurse
694884	203918	Abby
694884	216449	Woman Cop
694884	311153	1st Junkie
694884	319493	Eleanor
694885	346119	Barmaid
694886	168763	SCABIES' WIFE
694887	29745	Young Mom
694887	196015	Meghan
694888	84838	Matron
694888	91898	Peggy Whitmore
694888	92524	Flo
694888	92527	Nurse
694888	152208	Radio Voice
694888	176343	Bessie Wright
694888	192096	Western Union Operator
694888	216822	Salesgirl
694888	249558	Mrs. Nickerson
694888	304959	Salesgirl
694888	306602	Ruthie
694888	315700	Jan, Molly's Roommate
694888	360488	Office Girl
694888	366167	Personnel Clerk
694888	388634	Molly McGee
694888	391184	Deidre Thompson (1961-1965)
694888	398694	Jane Stacy (1952-1953)
694889	223059	Dance Teacher
694890	131780	Marie #2
694891	29888	Tarita the Native Girl
694891	81659	Katya
694891	99766	Sarah
694891	105127	Jill
694891	105618	Anita Gilmour
694891	130740	Kee Nang
694891	142935	Mrs. Morgan
694891	144374	Thai
694891	191350	Roberta Dailey
694891	210827	Loki
694891	223503	Louise Collier
694891	228725	Elizabeth Wyako
694891	256603	María-Dolores de la Jenya de 
694891	270991	Jenny Cooper
694891	274326	The Woman
694891	303860	Leese
694891	315784	Lee
694891	339952	Trudy
694891	382823	Priscilla Mather
694891	390523	Samantha
694891	391835	Herself
694893	38045	
694893	346331	
694894	232475	Janice
694895	85611	Lisa Campos
694895	143824	Sylvia, Autograph Girl
694895	238688	Grace
694895	277643	Nora Golden
694895	291071	Ilsa
694895	335123	Amy Lawrence
694895	387483	Audrey Penney
694895	388975	Megan
694895	396423	Rachel Tomlinson
694895	401191	Nicky Little
694896	139273	Market Woman
694897	362365	Wedding Guest
694898	185202	Mrs. Richards
694898	220951	Mrs. Andersen
694899	403822	
694900	168615	Susannah Wesley
694900	263554	Elizabeth Bennet
694901	88167	Victoria
694902	185964	Hostess/Thanksgiving Dinner G
694903	252907	Ruth Morrisson
694904	329198	
694905	139009	Ellen
694905	163478	Fear Factor contestant
694905	228310	Woman at Impound Yard
694905	330314	Maxie Davis
694906	56880	Blonde
694907	2046	Herself - Presenter
694907	27205	Sandy Tierra
694907	31198	Herself (NBC Team)
694907	32708	Paula
694907	48224	Di Archer
694907	59721	Bessie
694907	60735	Stagecoach Mary, Love GAng
694907	129209	Additional Voices
694907	154959	Cheryl
694907	200347	Herself
694907	231554	
694907	260119	Marigold Ballard
694907	270386	Minnie
694907	311046	Detective Terri Lee
694907	315190	Ella Fitzgerald
694907	368110	Woman in Cleaners
694907	373210	
694907	378710	Blabberwort the Troll
694907	382873	Di Archer
694907	386338	Jaleesa Vinson Taylor (1987-1
694907	390982	Robin Dumars (1992-1993)
694907	390998	Princess Senge
694907	398213	Herself
694907	404670	Additional Voices
694909	51603	Radio Voice
694910	154673	Gabby
694911	92302	Maid
694912	100816	Emily
694912	154822	Star Stripper
694912	229243	Emma De Lapoer (part 1)
694912	274329	Precious (segment "Love at Fi
694913	134112	Herself
694913	311702	Herself
694913	406731	Herself (Series 2) (2004)
694914	16467	Daphne Fowler
694914	37255	
694914	38982	Jane
694914	74182	Nydia Joyce, Nurse Aide
694914	101695	Operator
694914	114200	Ann Blakeley
694914	118040	Marcia
694914	129836	Eve Wilson
694914	130620	Golddigger
694914	132897	
694914	140755	Iris Mabby
694914	163437	Miss Dunk
694914	168681	Judy Sanford
694914	195904	The Bride
694914	210718	Telephone Operator
694914	241416	Her Daughter
694914	252480	Fay Lennox
694914	295380	Mrs. Nugent, a Newlywed
694914	363742	Ellamae Downs
694915	218393	TV Anchorwoman
694915	230340	Reporter
694915	280270	TV Commentator
694915	280305	Reporter
694915	312347	Reporter #1
694916	290373	
694916	348828	
694916	360901	
694917	83361	Stephanie
694917	314451	Stephanie
694917	351902	Mila
694918	42743	Glenda
694918	90323	
694919	69257	Rose
694919	84113	Street Girl
694919	132454	Girl in Howard's Bed
694919	167068	Driver's wife
694919	343087	Eve
694920	44337	Joy
694920	141767	Waitress Meg
694921	155293	Marie
694921	298239	Mrs. Tilton
694922	320453	Harriet Spencer
694923	45500	Ann Marie, R.N.
694924	52311	Passenger
694925	351877	
694926	84356	
694927	178159	Society Girl
694928	16124	Rebecca
694929	19561	Sultana
694929	59350	Production Assistant
694929	73913	Fiona
694929	138440	Cousin Evi
694929	139181	Sissy
694929	211500	Elissa
694929	262591	Female Hack
694929	275390	Elsa
694929	343700	Pas de six
694930	109852	Marie, French maid
694930	148368	
694930	330420	
694931	45619	La voisine
694931	124398	
694931	171596	
694932	62789	Merab
694932	152720	
694932	298193	
694932	363266	
694933	154984	Party Guests
694934	278091	
694935	41712	Lily
694935	58543	Elaine Beckwith
694935	59584	Operator #2
694935	79729	Melissa
694935	87501	Pompon
694935	91877	Sheila
694935	92579	Diana Trobridge, Darius' Girl
694935	92656	Lucy Westerna
694935	94096	Augusta Chauvet
694935	110339	Magda, the Maid
694935	118115	Charlotte de Rohan
694935	122076	Dr. Susan Charles
694935	159959	Dr. Margaret Canker
694935	168136	Miranda De Hyde
694935	191547	Marie d'Agoult
694935	244480	Lin
694935	305685	Elizabeth
694935	316028	Gwen Parkinson
694935	316111	Waitress/Avon Lady
694935	317533	B.J. Parswell
694935	333618	Patricia
694935	354550	Venetia
694935	358941	Dorothy Deerfield
694935	363490	Edgworth Bess Lyon
694936	241590	Background Vocals
694937	33366	Ann
694937	99859	Angela
694937	107351	TV Announcer
694937	278478	Marjorie Shaw
694937	312171	Lady Warburton
694937	396623	Jane Radlet
694937	397789	Miss Belman - Series 2
694937	398406	Drusilla Lamb (1967)
694938	346060	Lady hostage
694939	285	Little Eva
694939	11074	
694939	11223	
694939	14594	Reggie's Sweetheart
694939	31871	
694939	34691	The Bride
694939	47513	
694939	62153	The Daughter
694939	75416	The Daughter
694939	79943	
694939	96877	
694939	97735	Bessie
694939	116770	
694939	130588	The Wife
694939	140788	Extra
694939	143444	Wedding Guest
694939	144783	In School
694939	157102	
694939	167923	Mrs. Jinx
694939	178219	Kissing Kate
694939	186642	
694939	186655	Madeleine
694939	188156	In Laundry
694939	193135	The Doctor's Fiancée
694939	194185	In Cabaret
694939	210652	
694939	215805	
694939	234603	Bella Donna
694939	245626	
694939	252734	
694939	263215	Caroline
694939	269441	The Sheriff's Daughter
694939	274844	
694939	311999	The Innkeeper's Daughter
694939	316450	Ann
694939	329982	The Employer's Assistant
694939	361172	Mary King, His Daughter
694939	362292	The Widow's Daughter
694940	80660	Older Nun
694940	195452	Madame Zamboni
694941	106617	Debbie
694941	190274	Mrs. Wimple
694941	198088	Mrs. Wimple
694941	245663	Mrs. Small
694941	399442	Woman on train
694942	10667	
694943	65447	Julia Matthews
694944	312265	Jimmy's Mom
694945	200324	Herself (editor)
694946	183815	
694947	24476	Future Single Mom - The Quest
694947	171335	Helena
694948	77793	Housing Authority Cop #2
694949	256627	Xerox Project Manager
694949	308114	Stage Manager
694950	165871	Michelle Chapman
694950	399336	Claire
694951	10915	The nurse
694951	10975	Mrs. Lansing
694951	11392	
694951	20437	
694951	33709	Catherine
694951	41707	Mrs. Valiant
694951	41845	
694951	47438	
694951	52124	
694951	52129	
694951	54857	
694951	78166	Mrs. Burton
694951	152620	Aunt Elvira
694951	160451	Mrs. Henry Sherman
694951	186307	
694951	200870	Serafina Dods
694951	203745	Mother Jenks
694951	203746	Mother Jenks
694951	206902	Mrs. Merrivale
694951	207869	Miss Fitch
694951	219196	Mrs. Deering
694951	246715	David's Mother
694951	249018	Mrs. Miller
694951	250763	Mrs. MacTavish
694951	251408	Mrs. Brown
694951	302752	Undetermined Role
694951	302887	Grandmother Blake
694951	307952	Gossip
694951	321112	Ma Wilson
694951	347953	
694951	360759	Mrs. Merrill
694951	364117	Mrs. Van Wye
694952	77607	
694952	368060	Shuffle Dancer
694953	273239	Amanda
694954	38006	
694955	113286	Child
694956	160562	Reporter
694957	130056	Naomi, as a Child
694958	55715	Pat Gordon
694959	292247	2nd Receptionist
694960	1401	Herself
694960	66381	Lois Demuth
694960	69671	Girl in bath
694960	119803	Model
694960	163433	Mabel Maycroft
694960	200445	Stewardess
694960	205107	Hannah Ferber
694960	264090	Queen Guinevere
694960	265265	Uba
694960	271297	Barbara Drake
694960	279150	Saloon dancer
694960	295282	Lem's girlfriend
694960	327847	Jessica
694960	358035	Specialist
694960	367746	Woman in Bargain Basement
694961	24571	Jasmine Ridgewood
694961	29745	Jennifer Palmer
694961	29746	Jennifer
694961	31906	Tawanna
694961	47443	Raven
694961	82445	Lori
694961	119093	
694961	151530	Pookie
694961	342235	Herself
694961	390348	Venita Stansbury (1997-1998)
694962	110957	Monica Madison
694962	315538	Mrs. Cooper
694963	46779	Second Peasant Girl
694964	87578	Denise's mother
694965	148288	Millie
694966	151106	Price's Secretary
694966	390148	Mum
694967	274984	Mrs. Murphy
694968	18436	Aunt
694968	31715	Diva
694968	40334	Dr. Nina Aron
694968	47993	Louise Smith
694968	56431	Becca Twig
694968	70382	Lady Em
694968	71110	Jevina
694968	77793	Judge Warner
694968	80585	Mrs. Curtis
694968	80675	Denice Cooper
694968	81652	Betty
694968	128089	Boss #1, Lil
694968	164587	Jackie Washington
694968	171485	Aunt Ruby
694968	192219	Muh Penniman
694968	212027	Mrs. Williams, Lewis' Mother
694968	213504	Mrs. Addison
694968	224691	Lucille, The Shoveler's Wife
694968	234913	Nora
694968	247882	Rita
694968	249500	Detective Lancy
694968	258752	Annie
694968	259969	Narcissa Wingfield
694968	262589	Margueritte Coleman
694968	274119	Judge Jenifer Lewis
694968	275602	Mrs. Coleman
694968	279021	
694968	297097	Amanda
694968	303225	Michelle
694968	303226	Vegas Backup Singer #1
694968	319020	Taylor Chase
694968	327625	Mama Rose
694968	346223	Cab Driver
694968	362512	Zelma Bullock
694968	385128	Judge Rosetta Reide
694968	386338	Dean Dorothy Dandridge Davenp
694968	389350	Aunt Helen (1991-1994)
694968	390998	Female Black Widow Spider
694968	401552	Bebe Ho
694968	406760	Receptionist Lana Hawkins
694969	320099	Jenna
694969	320122	Herself
694969	320150	Herself
694969	320151	Herself
694969	320152	Herself
694969	387277	Herself (Team Mad River)
694969	407075	Herself (27 Days, Pagong/Ratt
694969	407078	Herself (38 Days, Saboga/Chap
694970	401689	Hazel Griffiths
694971	346871	Camille
694972	26381	Tuesday
694972	37092	Corinne
694972	70300	Shelley Forbes
694972	76556	Melissa Watson
694972	90237	Sara
694972	118548	Rita Faldes
694972	120268	Inge Dournenvald
694972	191085	Ellie
694972	191676	Traci Connor
694972	223900	Maya
694972	253342	Melanie Benson
694972	257922	Christin
694972	283422	Laura
694972	283426	Marcia
694972	297455	Neala Shannon
694972	321339	Jade Larson
694972	323974	Kelly Reilly
694972	337379	Yvonne Rhonda Nottingham
694972	340320	Hannah Nefler
694972	345828	Evangeline 'Little Eva' St. C
694972	364164	
694972	367093	Haley
694972	382835	Katie Monahan
694972	395580	Becky McGibbon
694972	405055	Neala Shannon
694973	14173	
694973	289442	
694974	79049	Vampire
694975	163517	Ruby
694976	70972	Pvt. Crisp/Zombie
694977	28581	Irene Dale
694977	50664	
694977	74672	Becky King
694977	78953	Fifine
694977	108273	
694977	196207	Mat
694977	230811	Bessie Fitzhugh
694977	245614	Caroline
694977	256822	Page
694977	319772	Katye Morgan
694979	239629	
694980	47945	Student #2
694980	280634	Miss Crocker
694981	143340	Myra Agnew
694981	165576	
694981	299701	
694981	308439	May Brown
694982	8465	The Beatchick
694983	33435	Woman
694984	124026	Beauty Shop Lady
694985	64389	Mrs. O'Connell
694985	65209	Herself
694985	242708	Dream Siren
694985	309909	
694985	332016	Lili Arnold
694985	364832	
694985	389858	Barbara Vining (1975-1976, 19
694985	394575	Molly Scharf
694985	400577	Connie Masters (1961-62)
694985	404694	Susan Ames Dunbar Carver #6 (
694985	405877	Herself (episode 2)
694986	188236	
694987	243620	Carol
694987	283496	Police Woman
694987	319568	Gloria
694987	381327	Julie Underwood
694987	402900	Abigail Trumble
694988	213299	Fairy
694989	235541	Davanee
694990	846	Herself
694990	2632	Jane Emelin
694990	7581	Himself
694990	20460	Naomi Armitage
694990	23950	
694990	24296	Kate
694990	30686	Diane Moody
694990	42030	Maria Sullivan
694990	54209	Danielle Bowden
694990	59875	Libby
694990	63134	Audrey Griswold
694990	66913	Ruby
694990	73677	Cassie
694990	101573	Ginny
694990	104999	Melanie Horton
694990	120478	Kate Fuller
694990	121578	Herself
694990	124591	April
694990	134377	
694990	147715	Herself
694990	148245	Maty
694990	153190	Rain
694990	153651	Beth
694990	172703	Adele Corners
694990	201637	Herself
694990	209647	Cindy Hollowhead
694990	216469	Gracie Barzini
694990	219173	Herself
694990	224117	Dorie Kay
694990	224336	Lexie
694990	228434	Mallory Knox
694990	239786	Heidi
694990	244421	Carla Tate
694990	255316	Claire Beaucage
694990	281193	Sheri
694990	281442	Linda
694990	283506	Amy Curtis
694990	292455	
694990	307886	April
694990	313825	Kitty
694990	316067	Faith Justin
694990	329477	Sheryl O'Connor
694990	335724	Amanda Sue Bradley
694990	360211	Robin
694990	388340	Holly Bankston #2 (1990)
694990	389319	Paula
694990	392422	Herself
694990	392423	Herself
694990	392427	Kate Farrell (1987-1988)
694991	382938	Mrs Endell
694991	385299	Paula Randall
694992	362330	Jenetta Warner
694993	153248	Josie
694994	59350	Yankee Doodle Dancer
694994	78772	The child
694994	188220	Mother of Girl
694994	191081	Head Teacher
694994	258139	Brock's Maid
694994	276264	Alice Skelton
694994	296900	Hotel Receptionist
694994	390523	Mrs. Roz Partridge (1986-1987
694995	80037	Betty Branscom
694995	90282	Marie Braban
694995	105288	Helen Gray
694995	116904	Edna Thursday
694995	140516	Jeannine Duperre
694995	159269	Margery Travers
694995	175551	Undetermined Role
694995	203273	'Frisco' Rose
694995	206874	
694995	214483	
694995	219119	Rose
694995	236961	Hortense
694995	273866	Mrs. Donovan
694995	282544	The Heiress
694995	309494	Ruth Carroll
694995	342518	Amanda Tate
694995	346956	Mrs. Harrington
694995	355226	Mrs. Teake Jr
694995	363087	Nanette Henley
694995	372890	Winifred Martin
694995	372908	Phyllis
694996	96939	Stenographer
694997	294004	Drill Instructor
694999	312846	
694999	388264	Herself (Series 1) (2002)
695000	8630	
695000	78116	
695000	82626	
695000	107053	Babette, the maid
695000	120680	
695000	183815	
695000	191881	Sales Clerk
695000	241061	Susan Walker
695000	331604	
695001	39927	
695001	151633	
695002	3980	Sarah
695002	13960	Nellie
695003	40148	Rhonda
695003	65809	Michelle
695003	249595	Newscaster
695003	278842	Child's Mother
695003	312391	Ida Pender
695003	403244	Julie Scott
695003	405960	Jill Taylor O'Donnell (1981-1
695004	235453	Stacey Wheeler
695005	215573	
695006	140967	17-Year-Old Amanda
695006	148569	Stacy
695006	362261	Nora Van Dyke
695007	183298	Girl at Counter
695008	203364	Lily Gatehouse, Underwood's G
695008	392169	(1950)
695010	59093	Brenda
695011	291449	Tammy
695012	75360	Laura
695013	351412	Apple Girl selling one to Sto
695014	366244	Lovely Lady
695015	124345	Little Old Lady
695016	272437	Bette
695016	362984	Maid of Honour
695017	18953	Helen Hannah
695017	169941	Helen Hannah
695017	277010	Helen Hannah
695017	334138	Kate Bristow
695017	339480	Helen Hannah
695018	190503	Mattie
695019	257182	Weeping Girl
695020	79973	Socialite Woman
695020	187072	Old Drunk Lady
695020	221049	Tish's Receptionist
695020	253339	Customer
695021	10857	Shawn Michaels
695022	389157	Linda
695023	241726	Sarah Mann
695024	39415	Sandra
695024	314965	Mrs. Kozac, Debbie's Mother
695024	318110	JJ's Girlfriend
695025	67938	Tessa
695026	87165	Prod. Asst. Lisa
695027	65184	Henry's mother
695028	232469	Anne
695029	396402	Liv Albrigtsen
695029	407085	Pet Simpson (1976-1977)
695030	41234	Miss Branding
695030	67593	Mrs. Gompertz
695030	81587	Mrs. Greenbaum
695030	154780	Principal Ferguson
695030	194907	
695030	208938	
695030	214948	Desk Nurse
695030	242585	Kelly
695030	252844	Aunt Agnes
695030	307003	Bag Lady
695030	313542	
695030	340757	Older Nun
695030	350229	Mrs. Miller
695030	360668	Perfume Lady
695030	375047	Wardrobe Woman
695030	385653	Minnie Wells
695030	389858	Mrs. Taylor (1992)
695031	6122	Janine
695032	351233	Rena Walden
695033	45871	The Bikini Army
695033	151633	Victoria
695033	174918	
695033	212732	Screaming fan
695033	363778	
695033	406952	Ally (1997, 1998)
695034	77767	Miss 'Toots' Barton, Specialt
695035	136838	Merchant
695036	42446	Miss Hanrahan
695036	133658	Mrs. Gilmour
695036	155263	Frog Lady
695036	218026	Woman at Global
695036	232253	Mrs. Barrett
695036	232304	Margie
695036	243766	Nurse Porter
695036	363008	Gloria
695036	390373	Irma Coolidge
695036	411053	Mitzi Logan
695037	32569	
695038	67054	Agent Davis
695038	129850	
695038	244379	Executive Scretary
695039	245513	Pinky Owen
695040	391835	Talking head/soundbites (segm
695041	176930	Mr. Mahoneys Sekretärin
695042	73978	
695042	113503	
695042	292496	Doris
695042	362984	Adult Mary/Adult Noreen
695043	21627	Mrs. Barnett
695043	23977	Widow #2
695043	67593	Mavis
695043	118432	Aunt Bernice
695043	118541	Gladys
695043	120202	Nurse
695043	172605	Melanie Rosen
695043	176306	Woman on Ferry
695043	191344	Court Clerk
695043	258083	Claudia's mom
695043	303362	
695043	303819	Mrs. Harris
695043	309153	Ethel
695043	334289	Helen
695043	354163	Laura Whitaker
695043	408058	
695044	257057	Mrs. Johnson
695045	123306	Bonnie D'Arcy
695045	270383	
695045	271231	
695045	297891	Crooner
695046	81296	Devon
695046	92263	Astronette #2
695046	113726	Mel
695046	120528	Dancer
695046	127627	Beach Dancer
695046	243150	Dancer
695046	313825	Cheerleader
695047	60179	
695048	135562	Lee
695048	139588	Eliza
695048	151608	Kate
695048	153538	Cassie Scarcitelli
695048	251691	Lauren
695049	74012	Alison Lebray
695049	393605	Ashleigh Rivera (2003)
695050	113808	Mary Rogers
695051	44337	Winnipeg Family
695051	53945	Ma Gruont
695052	383912	Herself/panelist
695053	323983	
695054	22733	
695055	7414	Janet Boothe
695055	9128	Anne
695055	45370	Francesca
695055	59548	Beverly
695055	69137	Gretchen
695055	76227	Burt
695055	80477	Mrs. Von Heisenberg
695055	96771	Barbara
695055	105300	Sybil Meriden
695055	105689	Daisy Lou Shultzer
695055	157008	Mrs. Whittier
695055	160436	Cafe Singer
695055	236786	
695055	280665	Tourist Mother
695055	314656	Female Vocalist
695055	314923	Band Singer
695055	374596	Aunt Clara
695055	385299	Ada Fairweather
695056	67943	1st Girl
695057	33383	String Saver
695058	160784	
695058	195375	Dancer
695059	111409	Elder #2
695059	313026	(segment "Fandango!")
695059	387533	Elsa Feldmann (????-1991)
695059	388915	Additional Voices (1963-1966)
695059	403726	Rootie Kazootie/El Squeeko/Po
695060	93318	
695061	118927	Elizabeth
695061	395025	Herself
695063	244332	Mary's nurse
695064	202522	Herself
695064	202523	Herself
695064	202524	Herself
695064	202526	Herself
695064	202527	Herself
695064	202528	Herself
695064	202529	Herself
695065	8901	Valerie
695065	214588	Patris
695065	297223	Japolo, Teacher, Priestess
695065	328012	Arachine
695065	401393	Pocheeni 1-28, Aun's Sister, 
695066	80436	Old Lady
695066	317248	Mom
695067	155635	Sue the Secretary
695067	199162	
695067	306421	Buyer in Lobby
695068	365651	Woman at Olema
695069	78808	
695070	106176	Woman Columnist
695071	169579	Jo-Ann Williams
695072	13884	Model 2
695073	392520	Various Characters
695073	405220	Various Characters
695073	405920	Various Characters
695074	73891	1st Dance Hall Girl
695075	313626	Person
695076	94115	Dancer
695077	142994	Edith Vandiwert
695078	278069	Waitress
695079	348535	Adrienne
695080	231904	Libby Grant
695080	292779	Graduate
695080	360855	2nd Beach Girl
695080	361611	
695081	62057	Karla Croninch
695081	160219	Angel
695081	208526	Brandi
695082	315707	
695083	213517	The Woman
695084	381909	Herself (AOL internet corresp
695085	2470	Mrs. Brogan
695085	24143	Mair Davies
695085	61545	Hilda
695085	77212	Mrs. Stevens
695085	78764	Mrs. Rusk
695085	196047	Lyn
695085	215154	Mrs. Brogan
695085	238645	Woman at School
695085	258550	Mrs. Brogan
695085	261442	Caffie
695085	308001	Emma Patrick
695085	346020	1st Woman/Waldo Wife Four
695085	382733	Flora Evans
695085	385020	Lilian Smith (1969)
695085	385930	Miss Willard
695085	386657	Louisa Chick
695085	395122	Mrs. Hilda Howarth
695085	395989	Mrs. Ridd
695085	399815	Margaret Lloyd George
695085	401246	Mrs Magwitch
695085	401497	The Blue Fairy
695085	404698	Nesta
695085	407354	Beth
695086	349982	Blanche Hanson
695087	385635	Mrs. Davies
695087	397182	Mary Benson
695088	317148	Corrine
695089	230869	Mollie
695089	383078	Eve Johnson
695090	263740	Stenographer
695091	183824	Miss Clark
695091	269340	Disintegrator Amazon
695091	363282	Nurse Collins
695092	308069	Herself (daughter)
695093	40824	Flashy
695093	80783	Barbara
695093	121561	Matt's Mom
695093	192254	Michael's Assistant
695093	406319	Dr. Jacqueline Wade
695094	390523	Georgina Hayes (1986-1991)
695095	216449	Teatro Actor (Actress)
695096	6985	Party Damsel
695097	241148	Lillie Short
695097	245263	Nurse
695098	313100	Suzy
695099	33718	Herself
695099	184222	Shari
695099	184223	Shari/Lamb Chop (Voice)/Charl
695099	228969	Herself
695099	255333	Host
695099	368997	Lambchop
695099	380557	Princess Nida
695099	381205	Princess Nidor (1968-1970)
695099	383936	Shari/Lambchop/Hush Puppy/Cha
695099	395086	Host
695099	405060	Host/Lamb Chop/Hush Puppy/Cha
695099	405061	Host
695100	97016	Tidy Girl
695101	188294	Buyer Juror
695101	188562	Bridge Player
695101	306803	Gangster's Moll
695101	321384	Chorus Girl
695101	340755	Yvonne Bolero
695102	150268	
695102	155909	Helga
695103	29752	Barbie
695103	270343	Sophia Tutu, Broo
695103	270344	Sophia Tutu
695103	402732	Sophia Tutu (1985-1988)/Broo
695103	403553	(1978 English dub)
695104	204957	Chamele
695104	220778	Leeanne
695104	282928	TV Weather Anchor
695104	282954	Rude
695104	317595	
695105	197292	Creation Woman
695106	362025	Karen
695107	11447	Herself/Performer
695107	33940	Mel
695107	47171	Performer/Herself
695107	144682	
695107	297995	Herself
695107	305488	Herself
695107	311223	Herself
695108	368265	Molly
695109	75804	Tech #3 - Corridor
695109	359425	Church Woman
695110	80427	
695111	7742	
695111	7743	
695111	39256	
695111	236307	
695111	319346	
695112	245337	High School Student
695112	383851	Peggy McCullough
695113	338889	Sara
695114	93784	
695115	5960	Ticket agent
695115	66394	Linda
695116	132912	Radio Caller
695117	72624	Paula Conway
695118	6985	Party Hostess
695119	12862	Joan Freeman
695119	45526	Mme. Deborah Martin
695119	47568	Grace 'Gracie' Williams
695119	130352	Effie, Genevieve's Maid
695119	213199	
695119	214928	Alice Adams
695119	224676	Cleo Ellis
695119	277113	Rosella
695119	352752	Hope
695120	131232	Choir member
695121	32499	Female Devil/Helen Blazes
695121	58359	Nita Munay
695121	69671	Solo dancer
695121	94141	Mawaii
695121	138492	Danseuse/Corps de Ballet
695121	149298	Karlotta Hammercher
695121	167099	WAC Corporal
695121	171134	Ensemble dancer
695121	183445	Sylvia
695121	184955	Guest
695121	189957	Takitoff
695121	274102	Ensemble dancer
695121	302696	Female tango dancer
695121	303069	Solo dancer
695121	393456	Regular Sketch Performer
695121	410986	Sylvia
695122	154940	
695122	218472	Young Whore
695123	299958	
695124	173089	Birthday Party Guest
695125	347119	Evelyn
695126	118431	Stripper
695127	148594	Det. Terri Stivers
695127	380713	Valerie Murphy (2002)
695128	251347	Herself
695128	290319	Counter Girl
695128	331533	Song Girl
695129	245337	High School Student
695130	176969	Woman Police Officer 2
695131	6802	Mrs. MacPherson
695131	7968	Hanna Luber, a Cleaner
695131	10587	Party guest
695131	11582	Queen Amélia of France
695131	12749	Second Old Maid
695131	13351	Juror
695131	16674	Mrs. Gates
695131	16916	Soapy's mother
695131	20103	
695131	21518	Ike's Wife
695131	27315	Mrs. Jordan
695131	35356	Mrs. Hastings
695131	38855	Mrs. Abigail King
695131	40176	Hospital Desk Nurse
695131	41480	Floss's Aunt
695131	42731	Mrs. Moggs
695131	45451	Studio Cleaning woman
695131	47297	Mrs. Smith
695131	47358	Landlady
695131	47480	Invalid
695131	49340	Charles' wife
695131	50244	Henry's Bossy Wife
695131	52646	Mrs. McGillicuddy
695131	54399	Miss Smyth
695131	56713	Cora Williams
695131	64090	Woman in courtroom
695131	65620	Mrs. Marshall
695131	68055	Mrs. Appleton, Bill's Mother
695131	68279	Queen Elizabeth of Kordovia
695131	70600	Miss Jenkins
695131	70823	Mrs. Wells
695131	71928	Mrs. Stewart
695131	73233	Aunt Liz
695131	73755	Mrs. Van de Veer
695131	77834	Orville's mother (dancing cla
695131	78732	Bit
695131	78973	Mrs. Quinn
695131	83815	Mrs. De Witt Harlan
695131	85026	Gaudet's Housekeeper
695131	85078	Leading lady
695131	89050	League member in polka-dot dr
695131	90307	Spinster
695131	92915	'Miss' Drake
695131	96608	Juror
695131	97493	Woman
695131	99329	Ma Cinders
695131	101764	Mrs. Blake
695131	103781	Militant Woman Tourist
695131	104937	Duchess
695131	109843	Carrie the Bowers' Maid
695131	118264	Mrs. Ridgefield
695131	118341	Mrs. Ridgefield
695131	118399	Mrs. Ridgefield
695131	121531	Aunt Penelope
695131	124767	Courtroom Visitor with dog
695131	127681	Mrs. Ralston
695131	129554	Miss Hart
695131	132047	Landlady
695131	133210	Aunt Carrie
695131	139190	Mrs. Petewyler
695131	139214	Actress as 'Aunt Vera Elliott
695131	142463	Sarah Krispan
695131	143588	Mrs. James, the Landlady
695131	147446	Mrs. Gargan (reformatory offi
695131	147639	Fanny, the Landlady
695131	148392	Mrs. Calhoun
695131	148940	Book Club Member
695131	151569	Mrs. Bancks
695131	153630	Parishioner
695131	154759	
695131	157657	Diana Lansdale
695131	157870	Witness
695131	161542	Mary T. Jenkins (Modern Story
695131	162384	Madame Peronne
695131	163246	Mrs. Brown
695131	163283	
695131	163451	Hortense Dimwitty
695131	164384	The Giantess
695131	171146	Census taker
695131	176361	Woman Crashing Vase
695131	176912	Ma Hirsch (landlady)
695131	177325	Theater patron
695131	177482	'Widder' Gasper
695131	177511	
695131	179013	Mrs. Turner
695131	183543	Woman
695131	183664	Ma Silsby
695131	184221	Mrs. Robert Derby
695131	184833	Woman
695131	190911	Mrs. Arnaud Sr
695131	192064	Accident Spectator
695131	193562	Mollie
695131	193964	Charlotte Allen
695131	193969	Archduchess Annuncita
695131	194873	Mrs. Flint
695131	200881	Bit Part
695131	203470	Woman
695131	203585	Woman
695131	204708	Wife of the Justice of the Pe
695131	206366	Mrs. Piggott
695131	206416	
695131	209166	Woman at Mayor's Outing
695131	209631	Head Housekeeper
695131	211625	Mrs. Pomeroy
695131	214080	
695131	215637	Elvira Pennywinkle
695131	215754	Ma Barton
695131	216822	Mrs. Leahy
695131	217946	Mrs. Leslie, First Bank Depos
695131	218849	Mrs. Simpson
695131	219914	Miss Mary Jenkins
695131	221124	Wife of Justice of the Peace
695131	221130	Mrs. Edwards
695131	224092	Gossipy Woman in Curlers
695131	227336	Miss Van Deering
695131	227337	Miss Rosemary Turnbull
695131	227348	Mrs. Kelly
695131	228588	Aunt Annabella Hardwick
695131	228829	
695131	230420	Mother Hartley
695131	231780	Maidy, Wardrobe Woman
695131	232012	Miss Dillon, Superintendent o
695131	232833	Mrs. Slocum, the Landlady
695131	235633	Miss Sedgewick
695131	236884	Duchess of Donegal
695131	240960	Mrs. Leeds
695131	241349	Mrs. Simpson
695131	242090	Princess Erek
695131	246337	Aunt Flora
695131	251827	Mrs. Chichester
695131	253770	Housekeeper
695131	260253	Mrs. Adams
695131	263505	
695131	264171	Matilda, Wife
695131	264644	Mrs. Widner, Testifying Neigh
695131	270497	Jordan's Neighbor
695131	271854	Señora Moreno
695131	275451	Teacher
695131	276421	Aunt Marya
695131	276671	Miss Sweetman
695131	277538	Mrs. Squimp
695131	279570	Mrs. Gray, Landlady
695131	288425	Mrs. Leone Daingerfield
695131	297886	Mother Hogan
695131	297889	Pansy Hawkins
695131	303307	Dowager at Ball
695131	305330	Mrs. Waddington
695131	305606	Mrs. Crockett
695131	308022	Aggressive Miss Green
695131	311618	Mrs. Grimm
695131	312981	Mrs. Pelton, Engagement Party
695131	314353	Mrs. Tibbets
695131	319262	Mrs. O'Brien
695131	320269	
695131	321102	Mrs. McCarthy, the Landlady
695131	323401	Mrs. Forsythe
695131	330153	Head nurse
695131	330159	Landlady
695131	331381	Clubwoman
695131	331990	Mrs. Hale
695131	333386	Scrubwoman
695131	336041	Dowager Attending Engagement 
695131	336043	Woman at Schmidt's Pet Store
695131	336044	Landlady
695131	340477	Mrs. Westfall
695131	354229	
695131	360166	Mrs. Poole
695131	360603	Aunt Hattie Taylor
695131	362232	Mrs. Bradberry
695131	364144	Grandmother Ludlow
695131	364800	Agatha's Mother
695131	365066	
695131	367827	Farmer's Wife
695131	367833	Pierre's Wife
695131	370555	
695131	371331	Mrs. Dibble
695131	373347	Aunt Marie Provost
695132	291293	Reporter
695133	46334	Grace Le Sabre
695133	50975	Gloria Rasputin
695133	106444	Beret Girl in Cafe
695133	113504	Deb/Flo
695133	113505	Deb/Flo the Black & Blue Fish
695133	130201	Dr. Elsie Chapman
695133	153008	Myrna Factor
695133	154869	Millie
695133	220427	April Smuntz (Lars' Wife)
695133	228984	Herself
695133	267653	Tina Leary
695133	391835	Herself
695133	397908	Posey Tyler/Natalie Leibowitz
695133	399334	Beth
695133	408127	Nora Bernstein-Flynn
695134	13432	Antony & Cleopatra - Theatre 
695134	61626	Social Worker #2
695134	366271	Bridey
695134	394676	Peggy, Mack's secretary (1986
695134	394677	Peggy
695134	411802	Doris Collins #1 (1994)
695135	20000	Joan Manning
695136	401028	Regular
695137	232630	High School Extra
695138	367054	The Wiz Singers Adult Choir
695140	32531	Cafe Customer
695141	22729	Angela Woodsborough
695142	103301	Daughter of Teresa Stamper
695143	296118	
695144	135000	Herself (Boston)
695145	254488	Dancer
695145	363999	Specialty Dancer
695146	94312	Voiture Voiture
695146	167159	Louisa
695146	201181	Eva
695146	219608	Dounia
695147	54114	Female skinhead
695148	375300	Lab Technician #2
695149	274521	Zombie
695150	358478	Villager of Tullymore
695151	292175	Customer
695152	342677	
695153	156047	Else
695154	101922	
695154	148487	
695154	184336	Amazon #1
695154	196046	
695154	341136	Luizinha
695154	345895	
695155	52385	Caesonia
695155	65175	
695155	70757	
695155	77139	Getuige
695155	124901	Verloofde van Dmitri
695155	142743	Sonja Wilke
695155	142744	Nina
695155	144234	
695155	156137	Celia Jones
695155	203996	Dolores
695155	210531	Sarah Bernhardt
695155	213555	Susanne Lang
695155	214356	Waardin
695155	217057	Anna Freiling
695155	218217	Zij
695155	221247	Mrs. Dally
695155	243293	Bella/Arabella
695155	275656	Eva Cordell
695155	275660	Barbara
695155	282736	Mevrouw Wilson
695155	302847	Godelieve
695155	311877	Rita
695155	352771	Denise
695155	374085	Rosa
695155	379791	Herself
695155	388157	Margot
695155	397704	Mevrouw Botteldoorn-Sas
695155	400989	
695155	409193	Host
695156	253225	Madeline
695157	20625	Extra
695158	305303	Student
695159	131375	Wilson
695159	303187	
695159	303211	
695159	350422	
695159	380203	
695160	367853	
695161	34259	
695161	216375	Miss Spleen
695162	109610	Stripper
695163	201828	Herself
695163	356555	Esmé
695163	390242	Charlotte 'Charlie' Fischer (
695163	390410	Eva Prins (1998-2001)
695164	53630	Grace
695165	255156	
695165	395749	Seymour
695166	89720	Herself
695167	384771	Lolita
695167	396880	
695167	401917	Gloria
695168	169296	
695168	345406	
695168	357827	L'épouse Stopodor
695168	389264	Lili
695168	408677	Tracey McBean
695169	84808	
695169	84809	
695170	34299	
695170	134968	
695170	144081	
695170	329000	Bessie
695171	195117	
695172	64618	
695172	64624	
695173	93596	
695173	120945	
695173	126134	
695173	129491	
695173	141945	Röschen
695173	153732	
695173	188857	
695173	197946	
695173	235792	
695173	278158	
695173	293560	
695173	293867	
695173	336501	
695173	366523	
695174	180412	
695175	339062	
695175	356873	
695176	96011	Magdalena
695177	23937	
695178	3113	Nun
695178	26747	
695178	72391	Fantasy Critic
695178	296829	Drunken Woman
695178	342335	Woman in bus #1
695179	253660	
695180	17567	Blanche
695181	380066	Emilce
695182	114878	
695182	134371	
695182	182332	Hostess
695182	399410	
695182	409366	Margot
695182	412045	Katrien Meersman
695183	59350	Inmate
695184	220072	Mrs. Preece
695185	12382	
695186	192248	Jamie
695187	251776	Fern
695188	299873	Evicted woman
695189	368913	
695190	351816	Villageoise
695191	159993	Debra Ryan
695191	184219	Pleasent
695191	211382	
695191	280081	Marjorie
695191	314622	Mother
695192	97419	Bridget Simons
695193	189010	
695193	318240	Ana
695194	192206	
695194	235170	
695195	296671	Script girl
695195	395451	Herself
695195	407173	Herself (1996)
695196	388531	Saartje Dubois (2003-)
695197	27997	
695197	81472	
695197	105664	
695197	143666	
695197	212360	
695197	238150	
695197	249865	
695198	388299	Ilse (2002)
695199	157495	Suzy
695199	181326	Anne-Marie
695200	325026	Young Girl
695201	118994	Girl In Gallery
695202	5880	Johane Foss
695202	122369	Herself
695202	197400	Monique Fontaine
695202	386092	Laurence Trudel
695202	387660	Mlle Claire
695203	102541	Nusika
695203	125222	
695203	361401	Steffie
695204	188683	
695205	193738	Young Girl
695206	91932	Witch #3
695207	136618	Herself
695208	10641	Mrs. Foster
695208	40121	Lydia Rankin
695208	59100	Mrs. Gerald Mockby
695208	59599	Nellie Farrell
695208	59610	Pamela Gray
695208	59620	Paula Graham
695208	216795	
695208	222655	Myrtle
695208	305398	Felicia
695208	350034	Sally Sanderson
695209	74383	
695210	51624	Woman in Giants Village
695211	74515	
695212	363507	Mrs. Watling
695213	5270	Condesa Lucrecia de Ritchmon
695213	7336	
695213	16531	
695213	45376	
695213	88324	Marquesa
695213	129526	
695213	143754	
695213	166895	
695213	198848	
695213	199785	
695213	202149	
695213	203884	
695213	204275	
695213	222907	
695213	225395	
695213	235981	
695213	243721	Blasa
695213	248294	
695213	258492	
695213	278424	
695213	354903	
695214	215691	Miss Alaska USA
695215	42911	Herself
695216	54345	
695217	388139	L.A. Co-Anchor (1995- )
695218	55772	
695219	375847	Elena
695220	356947	
695221	3439	
695221	13514	
695221	19493	
695221	34558	
695221	56989	
695221	67218	
695221	82219	
695221	121476	
695221	139910	
695221	143757	
695221	189379	
695221	197886	
695221	218228	Rafa's mother
695221	221932	
695221	246209	
695221	301183	
695221	341871	
695221	377079	
695222	78570	Woman with baby
695223	121280	
695224	18813	Luisa/Alfonso's Wife
695224	81465	Daisy Dominguez
695224	205540	Customs Inspector
695224	407374	Titi Rosa
695225	70087	
695225	164350	
695225	186545	
695225	186978	
695225	258499	
695225	263211	
695225	269232	
695225	302343	
695225	332696	
695225	371741	
695226	209824	Girl in the Church
695226	340775	Young Angela
695226	382848	Lorena Garcia
695226	388502	Skye (2004 - ??)
695227	140569	
695227	222008	Ana
695227	238514	Evangelina
695227	275067	
695227	317811	
695228	1380	
695228	14664	
695228	21676	
695228	73286	Emilia
695228	124453	
695228	127602	
695228	132369	Woman in Andalucia
695228	135280	
695228	140701	Lola Robles
695228	143756	Abuela
695228	148088	Anciana 1
695228	197441	
695228	199946	
695228	216303	Cuñada de Don Pedro
695228	218093	
695228	234400	Viuda de militar
695228	245584	
695228	249910	Mujer #2
695228	266871	
695228	300736	
695228	307656	Raúl's mother
695228	328094	
695228	340689	
695228	349847	Doña Luisa
695228	376671	
695228	398914	Carmen
695228	404711	Candela
695228	407859	
695229	74584	Marisa
695230	357318	
695231	350424	Skyscraper Girl
695232	25214	
695232	50127	Justa
695232	52916	
695232	55240	
695232	56011	
695232	74558	
695232	75995	
695232	90530	
695232	94810	
695232	106326	Angelines
695232	113095	
695232	146475	
695232	168149	Rosita Murieta
695232	251573	Madeleine
695232	307794	
695232	324894	Juana
695232	344598	
695232	347474	
695232	398814	
695233	373941	
695234	373941	
695235	24954	Pamela
695235	88799	
695235	228338	Peggy, housekeeper
695236	103185	
695237	399396	
695238	50133	
695238	55911	Amelia
695238	76111	Pilar
695238	122226	
695238	136182	
695238	216303	Hermana de Rosa
695238	252519	Carmen
695238	314715	
695238	393911	Estrella
695238	407859	
695239	118634	
695240	29519	Barbie
695241	21062	Actress
695241	28503	The invalid's wife
695241	35848	Zinaida Kibrit
695241	49128	Zinaida Kibrit
695241	49477	Zinaida Kibrit
695241	63619	Zinaida Kibrit
695241	82785	
695241	87032	Zinaida Kibrit
695241	88617	The Lady
695241	88627	Zinaida Kibrit
695241	163737	
695241	164012	Zinaida Kibrit
695241	174355	Blagikhy
695241	176071	
695241	198132	Zinaida Kibrit
695241	200002	Zinaida Kibrit
695241	219147	Varvara
695241	225877	
695241	230038	Zinaida Kibrit
695241	240503	Zinaida Kibrit
695241	244723	Zinaida Kibrit
695241	251103	Rita Ustynovich
695241	258468	Zinaida Kibrit
695241	258653	Zinaida Kibrit
695241	259837	Zinaida Kibrit
695241	261925	Zinaida Kibrit
695241	262200	Zinaida Kibrit
695241	266288	Emma
695241	278844	
695241	284476	Zinaida Kibrit
695241	297465	Zinaida Kibrit
695241	299428	
695241	320684	Zinaida Kibrit
695241	348874	Zinaida Kibrit
695241	350791	Zinaida Kibrit
695241	352892	
695241	356481	
695242	131154	
695242	385634	Herself (segment "Dance Cente
695243	71279	
695243	103810	
695243	121230	
695243	199786	
695244	255732	Stacey
695244	304736	Natalie
695245	345292	Stewardess
695246	390497	Herself (4th Edition)
695247	238010	
695247	409092	
695248	44723	English Student
695249	379244	
695249	392629	
695249	408414	
695250	395089	
695251	155550	Brahms' Wife
695251	187573	Herself
695251	328334	Silvia
695251	385629	Herself
695252	207621	
695253	401087	Sheila
695254	83416	Herself
695254	108079	Herself (1966 telecast footag
695254	123750	
695254	124235	
695254	143553	
695254	220746	
695254	269011	Mimi
695254	344758	
695255	19614	Lúcia
695255	386123	Dorinha
695255	401900	
695255	409405	Carla
695256	264537	
695258	52618	Tina
695258	65011	Julia
695258	108532	
695258	215148	Eugenia
695258	247174	
695258	270255	
695258	341338	
695258	380083	Mayra
695258	405868	
695259	119250	
695259	160602	Carola Brombeck
695259	312878	Brigitte Schrader
695259	315893	Sanna
695259	325649	Carmen Scholten
695259	389616	Dr. Alicia Reinsberg (2002-20
695260	184054	Cindy
695261	87086	
695263	61145	
695264	74557	
695264	124051	
695264	155196	
695264	249821	
695264	339030	Lorenza
695264	400660	Periodista
695265	412138	Panelist
695266	74973	
695267	390449	Herself
695268	98440	
695269	159188	
695269	294586	
695270	43130	
695271	357189	
695272	139898	As herself
695272	234308	Herself
695273	24622	
695273	52916	
695273	55916	
695273	56001	
695273	57782	Emilia, la amiga de Marcela y
695273	58036	
695273	58445	
695273	62350	
695273	68954	Liliana/Paca
695273	71281	
695273	90098	Monja
695273	91171	Encarna, la estanquera
695273	104057	Asun
695273	118839	
695273	132703	
695273	137115	
695273	140425	
695273	153828	
695273	160136	
695273	193083	
695273	208709	Margarita
695273	209075	Gloria
695273	212450	Miriam
695273	213715	
695273	221686	
695273	221927	
695273	238330	
695273	239264	Nicole
695273	244584	
695273	249789	
695273	249898	Monja
695273	280731	
695273	296450	
695273	353349	
695273	355123	
695273	357496	
695273	384270	Asistenta (1999-2003)
695273	392074	
695274	54791	Daisy
695275	54006	Herself
695276	183949	
695276	234328	
695276	332696	
695276	375740	
695276	380095	Alejandra
695276	380104	Azucena
695276	386791	Ana María
695276	398458	Esther
695276	398490	Yolanda Jiménez
695276	398534	
695276	402077	Rebeca
695277	12083	Carmencita
695277	12146	Socorro
695277	13047	Vicenta
695277	14671	Esperanza
695277	63819	Urraca
695277	83486	Katy
695277	88707	
695277	90146	Coreógrafa castañuelas
695277	95348	Rosario
695277	103157	Lila
695277	122985	Herself
695277	134498	Marta Peña
695277	136150	
695277	136987	Presentadora de TV
695277	163880	Herself - Presenter: Best Dir
695277	163980	Herself - Presenter: Best Edi
695277	189301	Charo
695277	218899	Lola Fuentes
695277	222008	Secretaria
695277	233336	Trini Morenos
695277	237851	Catalina
695277	249883	Paulina
695277	282095	
695277	283198	Mujer 5
695277	294010	Minga
695277	294705	
695277	338684	Consuelo
695277	345499	Herself
695277	353017	Herself - Presenter: Best Mus
695277	354265	Herself - Presenter: Best Sup
695277	369437	Herself - Presenter: Best Edi
695277	369556	Herself - Nominee: Best Suppo
695277	369754	Herself - Nominee: Best Suppo
695277	369870	Herself - Presenter: Best Sou
695277	369989	Herself - Co-host
695277	369999	Herself - Presenter: Best Sup
695277	371760	
695277	376760	Lola
695277	378987	Herself
695277	380551	Paloma (2003-2004)
695277	383271	Pepa
695277	385353	Herself
695277	387908	Herself - Host
695277	412128	Co-Hostess
695277	412151	Teresa
695278	70599	Mamá de Pablo
695278	103537	Mama de rosita
695278	397572	Elena Pimentel
695279	384126	
695279	395300	Eugenia
695280	406894	Ujier
695281	264264	Pujarita
695282	74342	Farmacéutica
695282	189005	Hermana de Juan
695282	307291	
695282	353017	Herself - Presenter: Best Cin
695282	388442	Pili (1990-1992)
695283	146501	
695284	70090	Herminia de la Fuente
695284	149557	
695284	237899	Elvira
695285	105110	
695285	118166	Mariana
695286	69572	
695286	91308	
695287	280878	Herself
695288	206995	
695289	270612	
695290	96557	Herself
695291	70065	
695291	74500	Herself
695291	84052	Herself
695291	90098	Madre superiora
695291	384708	
695292	74144	
695292	159188	
695292	307462	
695292	373757	
695293	247179	Evelia
695293	386015	
695294	6642	Niña desaparecida
695295	378974	Soledad Rivas
695295	380091	Victoria
695295	386790	Carolina Urdaneta
695295	397257	Margarita 'Margara'
695295	399557	Laura
695295	400946	Rosario Montes
695296	295314	Her self
695297	338568	Sonam
695298	119571	Herself
695299	30887	La mère de Philippe
695299	33279	Marthe
695299	190798	Herself
695299	345160	
695300	59774	La vieille dame qui meurt
695300	113252	Madame Philémon
695301	116628	Young woman
695301	280519	
695301	314748	Liliane
695302	54638	Joan Martindale, the Wild Gir
695303	45150	
695304	229029	L'institutrice
695305	64431	
695305	247296	Libertad Navarro
695305	401481	Rosario Sotomayor
695305	402411	Romina Quezada
695305	403674	
695306	189306	
695307	71827	Florence
695307	133167	Céline
695307	259970	Clémence Garnier
695307	267145	Marie
695307	311256	Valerie
695307	345058	Laurence
695307	384209	Isabelle
695307	385216	Berger (2001-2002)
695307	390222	Virginie
695307	400389	Marina (1989)
695308	66596	Child
695309	167798	Jindra Jarýnová
695309	373942	Zaláková, widow
695310	64007	
695311	237178	Dancer
695312	261384	
695313	174911	Farmer's Wife
695314	96219	
695315	169360	Interviewee
695315	321352	Reader #3
695316	59062	Scarlet
695316	127124	The friendly ghost
695316	131270	Lychee
695316	149006	Chime
695316	149016	Lily
695316	167386	Cindy Chan
695316	167854	Feng Mu-Jen
695316	193048	Marydonna
695316	193945	Mimi
695316	194088	Mistress of a mafia chief
695316	215473	Guest appearance/adjudicator
695316	215474	Guest performer/singer
695316	216643	Ah Kim
695316	216666	Lucy
695316	268631	Siu Hung
695316	270021	Ping
695316	270023	Yim Hung
695316	293467	Chin Pui Ling
695316	298365	Tam Lan Hing
695316	298666	Fang Yi Ling, a deaf woman
695316	300405	Tammy
695316	300617	Movie Star
695316	302893	Butterfly
695316	326353	The manager of the Ocean Park
695316	367118	Nina Lee
695316	369581	Sorcerer's Sister
695316	369715	Li Chi
695316	369826	Sister Thief
695316	373055	Girl drinking champagne
695316	374983	Colleague Sister
695316	386283	Diao Chan
695316	393547	Guest
695317	220608	Isabella
695318	27806	San's Master
695319	31054	Dr. Arnn
695319	43543	Chinesische Chef Agentin
695319	180372	Second Girl Islander
695319	307921	
695319	355258	Girl Croupier
695320	56929	Lani, la domestica
695321	203626	Young Girl
695322	69428	Ping Toy
695322	242708	Third Native Girl
695322	312837	Mai Lei
695323	80649	Nurse
695323	101646	Oriental Girl
695323	103454	Amie riche de Joe
695323	110338	Loritza
695323	191500	Greffière
695323	261551	La Chinoise
695323	340754	Noreen
695323	396479	Medical Assistant
695324	184311	Granny
695324	296759	Empress Ci Xi
695324	367130	Grandmother
695325	25935	Li Mo Shau
695325	94447	Liu Rong
695325	136079	Chen Jie
695325	192467	Yue Hua
695325	301965	Jane
695326	16995	
695326	60025	Rosa Maria Dolores
695326	64333	Herself (1995)
695326	96080	Elena
695326	124824	Cliente Sopha 1
695326	160535	Rosi
695326	176630	Asesinada (Murder victim)
695326	215083	Miranda
695326	255657	Divine
695326	269127	Jolie fille discothèque
695326	390477	
695327	61808	Sun Red Guard (Part 2)
695328	90592	
695328	196694	Cha-Mey
695329	138537	Joacy
695330	193923	Daughter
695332	332773	Karen
695333	21965	
695334	216664	
695335	152013	Jin Huisu
695336	121421	
695336	169697	Ghost actress
695336	203794	Enomoto, Saki
695336	222089	
695336	251928	
695336	370008	
695337	212993	
695338	124867	Teacher Yang
695339	326313	Fang's Mother
695340	61808	Red GUard 4 (Part 2)
695341	63482	Female cop
695341	303407	Witch
695342	309426	
695343	268729	
695344	25935	
695344	62388	
695344	131185	
695344	231226	
695344	370727	Fan's Grandmother
695346	141898	Yige's Wife
695347	236250	Hung Yu-Ian
695348	44270	Mei Ling Kwong
695349	184604	Wife
695349	198619	Interpreter
695350	92858	Pretty Student (character mov
695351	169594	Matchmaker
695352	63451	Huang's Wife
695353	268725	Teacher Shi
695353	370845	Liang Fengxian
695354	62106	Black Moon Hostess
695354	303399	Girl on the Street
695355	82149	Karen Li
695357	63451	Song's Wife
695358	236258	Chunxing
695358	298688	Xiao Jin
695359	236259	Liu Ping
695360	118995	Bargirl
695361	383882	Lilli Lo
695362	95286	Ding Langmei
695362	374898	Wang Xiuqin
695363	33118	Ren Shufeng
695363	236247	Wu Yueer
695363	372239	Su, Ruijuan
695363	374942	Zhuhua
695364	90243	Carolynn Kwan
695366	167377	Lin Sisi
695366	181441	Shanmei
695366	216641	Wenwen's Mother
695367	234839	Waitress LI LI
695368	308510	The Girlfriend
695369	151893	
695369	371596	
695370	77179	Jasmine
695370	112343	Mrs. Tsefang
695370	153054	
695370	184612	
695370	332352	
695370	369708	Pearl
695370	371483	
695371	604	Lily
695371	3103	
695371	29479	
695371	65119	Aunt Hung
695371	76271	
695371	111167	
695371	111206	
695371	123971	Jenny
695371	131260	Quming
695371	141871	Wet Nurse
695371	144292	
695371	152092	
695371	152797	Wan Yung-Chun
695371	167852	
695371	193939	
695371	194016	
695371	195474	
695371	198646	May
695371	210995	
695371	216401	
695371	231213	
695371	246594	
695371	254951	
695371	258411	
695371	287945	Tsui Yen
695371	291619	
695371	297494	Wu Mei
695371	297753	Mai-Mee
695371	298329	
695371	298365	Shih's Assistant
695371	298671	Sang Kung's dautghter
695371	300663	Hooker
695371	302606	Kwai
695371	324340	Chi-Chi's Mother
695371	333644	Lily [cameo]
695371	358921	
695371	359030	Chung's Mother
695371	361343	
695371	367149	May, Tsai's Daughter
695371	369061	Yang Matriarch
695371	369088	Fatty's Wife
695371	369704	
695371	369721	Hsiao Yi/Little Beggar
695371	371574	
695371	371930	Mousy's sister
695371	372181	
695371	372286	
695371	373104	Herself
695371	374341	Chiang Fei-Hsia
695372	94447	Zhang Lin
695373	370171	
695375	331723	Narrator
695376	371595	Xiulan (Koko as a child)
695377	135048	Madame Fang Tao
695378	159	Luo Ming
695378	369723	Erxiao's Wife
695379	38999	Nude Cellist
695380	151948	Hua Bilian
695380	216660	
695380	369086	Gu Yaping
695381	189212	Tian Xiuxiu
695382	44610	Mother Liu
695382	63491	Sister Afang
695382	110600	Xiaolan's Mother
695383	220677	Herself
695384	171990	
695385	30780	
695385	85485	
695385	369681	
695386	187170	Maid
695387	373224	Kana
695388	111191	Ye Biqiu
695388	196649	Wang Mei
695389	77895	Xiuying
695389	358927	Li Fenglian
695390	110635	Yanzi
695390	171737	
695391	343648	Wang, Qin/Younger sister of S
695392	135090	Cheng Yuejing
695392	152136	
695392	225950	Rich man
695393	8781	Xie You's Mother
695394	85469	Aunt Hetao
695394	210121	
695395	103026	Xiao Dou
695396	219401	Herself
695397	6062	Herself
695398	179902	
695399	12271	Mrs. Kalani
695399	16114	Hana Murata
695399	53318	Japanese Woman
695399	58430	Madame Wu-Tsaung
695399	194137	Ono
695399	215987	Dice Player
695399	389858	Noriko (1992)
695400	111197	
695401	194083	Auntie Wang
695402	52021	Liu Qing
695402	210986	Nina
695402	296575	Zhang, Lili
695403	268807	Li Pui Wai
695404	332344	Sister
695405	3583	Li Wei
695405	374760	Xu Xiu
695406	133853	Lili Chao
695406	171737	Yang Li
695406	371613	Yijinna
695407	184321	Lin Xiaobing
695408	1715	Rain
695408	38847	
695408	61987	Jennifer
695408	124575	Ms. Mung
695408	152813	
695408	197133	May
695408	247954	
695409	95042	Feng
695410	195331	Daisy #1
695411	47588	Mr. Chen's Secretary
695411	248976	Asian Woman at Golden Gate
695411	327659	Mei
695412	303399	
695413	9597	Count's Wife
695414	251982	
695415	212993	
695416	229995	Lio Coyne
695417	76356	Yang Xu
695417	141882	Su Jia
695417	268749	Xiuxiu
695417	341399	Liu Bingbing
695418	141935	Mother
695419	8597	
695419	116340	Yu Guiqin
695419	359028	Shu Kui
695419	374800	Zeng Ming
695420	17446	Mysterious woman
695421	8781	Xiao Lan's Mother
695422	374895	Wen Huaqiang
695423	140746	Wu Feng
695423	272053	Song Qi
695424	192444	Hu's Wife
695425	210992	He Xiaoyang
695426	60538	Liu Xiaoyin
695426	167490	
695426	360993	Liang Yun
695426	374809	Zhen Zhu
695427	300458	Gu, Xiao Wen (daughter)
695428	61808	Little Sister (Part 2)
695429	63491	Chunmiao
695429	149050	Yuanchun
695429	268801	Qiu Jin
695429	297304	Lin Nan/White Shoe
695430	268753	Zhen Yulan
695431	323107	Li Wenling
695432	208838	Guest at birthday party
695433	332344	Nurse A
695434	245670	
695435	369657	Bai Ying
695436	90546	Ke Shi
695436	214625	Li Shuchun
695436	359028	Lan
695436	372987	Bai Shan
695437	150927	
695437	382903	Coco's mother
695437	411522	Beehoon-sao
695438	236259	Shen Xiaoqing
695438	236849	Yanzhi
695439	195807	
695439	370411	Rin
695440	136079	Yu Xiaoqin
695440	332329	Bai Yun
695441	214625	Luo Lan
695442	335413	Pingping
695443	51480	Haier Director & Engineer
695444	291823	Chinese Woman
695444	319568	Argonian Citizen
695445	88038	Jennice Green
695445	126562	Honey with braids
695446	287489	Moglie Resta
695447	348181	Pinuccia
695449	58026	Herself
695450	314687	Waitress
695451	68328	La cliente de la boulangerie
695452	176126	
695452	244047	(segment Obyezdchik)
695453	316327	Lian
695454	292427	
695454	383417	Harmony Angel
695455	88011	
695455	166668	
695455	168387	
695455	176549	
695455	182212	Elsie
695455	213940	Vanda
695455	214712	
695455	239445	Anita Järvinen Roiha
695455	242853	Schoolgirl
695455	271606	Mirku
695455	341603	
695455	343468	
695455	377313	Huijarinainen
695456	397781	Vendela
695457	410740	Yellow Female Contestant
695458	52039	Lin Meishan
695458	372384	Sister
695459	185241	Lady Aisin-Gioro, Pu Yi's Mot
695460	9188	Card Playing Woman #2
695460	340418	Beachnik chick driver
695461	8771	
695462	315476	Woman with briefcase
695463	94363	Mother
695463	131268	Director Chen
695463	367180	Sun Yuanqin
695463	369924	Grandma Jiang
695464	153547	
695465	199311	Suzuki
695466	184712	Lin Yuezhen
695467	76910	
695468	268733	Li Chun
695469	184751	Zhao, Qiaoying
695469	369923	Chu Ruiyuan
695469	381091	Herself (eliminated round 1)
695470	397923	Hostess
695471	370615	Qi Shan
695472	18953	Janet Shutt/Voice Over
695473	154866	Sister Victoria
695474	91573	Lady Bartender
695475	97940	Byron Bradley's Assistant
695476	181422	
695477	167765	Xiaoyun Chan
695478	369653	Shen Xiang
695478	369974	Widow
695479	184751	
695480	401774	Maria
695481	340669	Young Tru
695482	135122	
695483	135122	
695484	18219	
695484	18313	Greek-american Daughter
695484	139717	Nina Economidou
695484	174632	
695484	178735	
695484	180310	Efi Ramoglou
695484	211485	Mary
695484	234701	Dolly
695484	266502	Rena
695484	270551	
695485	321167	Jane
695486	312154	Waew
695487	327727	(segment "Lifeline")
695488	152237	Chica
695488	183162	
695488	231291	
695488	393549	
695489	20738	
695489	42640	
695489	51532	
695489	103845	
695489	136979	
695489	159877	
695489	189298	
695489	190409	
695489	213718	
695489	284337	Estrella
695489	326007	
695489	332605	Carmen
695489	353180	
695490	58045	
695490	99869	
695490	197449	
695490	279957	
695490	328741	
695490	377164	
695491	7481	Gail Melville
695491	26342	Edith
695491	26426	Jane Scott
695491	43469	Maizie
695491	69389	Mildred
695491	149387	Martha Means
695491	166691	Louise Kane
695491	199310	Peach Blossom
695491	203564	Jenny
695491	222716	Kay Deving
695491	252850	Mona Stewart
695491	255315	Mary Lee
695491	375802	Rosita
695492	239785	Mama de l'orphelinat
695493	232845	Sean's Friend #4
695493	333007	Brunette
695494	139489	Cris
695495	16181	Esther
695496	52784	
695496	252579	
695496	286346	Nonna di Tonino
695496	289488	Clelia
695496	307447	Edvige
695497	126021	Narrator
695498	257232	Receptionist
695498	359901	Margaret Benton
695499	385824	Beauregard Isaac Theo 'Zack' 
695500	150853	Call Girl
695500	282463	Sexy girl
695501	299832	Sara
695502	355980	Dr. Natasha Shavsen
695503	385824	Beauregard Isaac Theo 'Zack' 
695504	45289	Curious Waitress
695505	17132	Extra talent
695506	310694	
695507	57525	Madame Dumon
695509	7888	Bertha
695509	51635	Frightened Woman
695509	141655	Danielle
695509	194075	Jo
695509	223642	Emily
695509	287126	Waitress
695509	314163	Nancy Sinatra, Jr.
695510	953	Young Sara
695511	360452	Nina Ortiz
695513	189266	
695514	189266	Herself
695516	254958	
695516	308886	La moglie (Rosaria Cirillo)
695517	310647	Bathroom Bimbo
695518	243307	
695518	270842	Loretta
695519	2106	Enviada do Diabo
695519	53852	Olívia
695519	89397	Teresa
695519	104491	Isabel
695519	383365	Teoxipe
695519	384480	Amina
695519	385947	Raquel
695519	391674	Ana Raio
695519	392792	Paraguaia
695519	396035	Soninha 38
695519	400656	
695519	402582	Rosa
695519	408212	Young Tonha
695521	258336	La femme du patron
695522	381200	
695525	386188	(episode "System")
695526	307195	
695527	67473	Tisha
695528	228298	Pyramid Team
695529	359554	
695530	43400	
695530	59635	
695530	59985	Anne
695530	71875	Barbara
695530	94249	Une cliente de l'hôtel
695530	140267	Ilona
695530	175677	Elvire the painter
695530	258250	Mademoiselle Prudent
695530	294882	Vivi
695530	325036	
695530	353301	
695530	370105	
695531	111118	
695531	169156	Troisième sorcière
695531	218808	Mademoiselle Deradier
695532	286042	
695533	223409	
695534	282274	Une serveuse
695535	399614	
695536	225065	
695537	7103	Waitress
695538	99740	
695538	153690	
695538	248214	Manci
695538	268428	
695538	343631	Panni, modell
695539	36521	Olivia
695539	112720	Michela Donelli
695539	141612	Younger Daughter
695539	212394	Claudia
695539	376467	Sabine
695539	384243	
695540	57574	Angela
695540	154061	
695541	104659	
695543	78829	Vampire
695543	106116	Lingerie Model
695543	289578	Vicki
695544	78829	Host
695544	89943	Author Lia Scott Price
695545	144403	Tracy
695546	2964	SimPal Cindy
695546	16327	Mary May
695546	91099	Penny
695546	134572	Additional Voices
695546	192413	Kitty Kirk
695546	195102	Jo Spittle
695546	198021	
695546	261270	Julia
695546	272209	Shitamachi Martial Artist
695546	320247	Teri Sands
695546	329844	Angelic Girl/The Nomad
695546	350190	Anita
695546	386777	Chi-Chi
695546	386922	Additional Voices (1996-1998)
695546	386923	Chi-Chi (1994)
695546	386928	Emmy
695546	394550	Cookie
695546	395762	
695546	396378	Madeline (1995)
695546	396526	Ikuko Otonashi
695546	399208	Madeline
695546	402863	Tomari (season 5)
695546	403028	AndrAIa (young) (1995-1996, 1
695546	411643	Lemony
695548	34401	Martirio
695549	47422	Fayette Newsome
695550	178455	
695551	82523	Vietnamese Woman
695552	12469	Tom Poes
695552	381674	Maatje
695552	388155	Lamaar Snoespoes (1973-1974)
695553	51978	Louise
695553	106223	
695554	315444	
695555	22629	Soula
695555	221055	Nurse Chalmers
695556	17207	
695557	178975	Buddha CIA
695558	87975	Female Friend
695559	349221	
695560	135236	Ane Kirstine Liløre
695561	83292	
695561	391021	Herself - Announcer
695562	248685	Geneviève Emery
695563	43581	
695563	237936	Suzy
695564	31465	
695564	37517	
695565	374495	
695566	85979	
695566	355649	
695567	408695	Carpenter
695569	360146	Lisa
695570	253499	Girl on swing
695571	89726	Mother, Estupro
695573	68771	Biker
695574	370460	
695575	158684	Jodie Brooks
695576	99558	Brooks
695577	42831	Dorene
695578	106219	Herself
695579	376036	(beim Wettbewerb)
695580	156048	
695580	189787	
695580	289915	Burga
695581	306271	The King
695582	367535	Ann Hartright
695583	290509	
695584	198435	
695584	212097	Working woman
695584	225208	
695584	376409	Inderin
695585	236300	Madre de Emanuel
695586	119256	Hannibal Bronsky: Zebra
695587	395455	Grete
695588	277109	Danny's Mother
695589	79762	Vendor
695589	88174	Millie
695589	309679	Waitress
695590	47237	Mother
695590	63342	Bank Teller
695591	63079	Jill Atwood
695591	109682	Little Eileen
695592	108897	Herself
695593	108897	Herself
695594	231305	La Jeune Fille
695595	120717	Sandrine
695595	198349	
695596	33171	Claudine Bloomberg
695596	177290	Charlene
695597	10138	Dr. Mellos
695597	50444	Extra
695598	123265	
695599	201597	Newscaster
695600	231036	
695601	408298	Zeefje
695601	409847	Zeefje
695602	158818	
695604	3163	Video Girl
695604	11231	Sonja
695604	25234	
695604	26892	
695604	27232	
695604	31140	
695604	33188	
695604	37696	Veronica Labinsky
695604	41615	
695604	41620	
695604	45026	
695604	70213	
695604	74004	
695604	82837	
695604	119853	
695604	126109	Herself
695604	127641	
695604	128472	
695604	129798	
695604	131314	
695604	134690	Jacklyn
695604	154060	
695604	161122	
695604	187752	
695604	226883	
695604	228020	
695604	242551	
695604	243436	Special Appearance
695604	361875	
695605	59759	Restaurant Patron
695606	59759	Restaurant Patron
695607	59759	Restaurant Patron
695612	223895	Sophia
695613	23382	
695614	58493	Myra
695614	404355	Presenter (1985-1987)
695614	404740	Various
695614	405651	Dottie
695614	408030	Sally
695614	409840	Miss Swartz/Lady McMull
695614	411322	Gate Keeper
695615	136360	
695616	124177	Kulani
695616	273333	Flight Attentant
695617	56314	Eliza
695617	107807	Tauna
695617	143989	Clio
695617	168864	Eve
695617	185626	Grant
695617	191399	Corale
695617	199388	Nun
695617	231521	Samantha Trout
695617	279443	Girl
695617	306989	Simone
695617	346831	Julie Davidson
695617	372212	Annabelle Nash
695618	86870	
695619	32512	Russprinsessen
695619	281992	Elsa Wenner
695620	184012	
695621	199082	Kicki
695622	152757	Eva Strandberg
695622	197186	Neighbor
695622	248425	Lena
695622	284553	Berit
695622	287568	Lena, Nora's mother
695622	319088	Karin Andersson
695622	322840	Herself
695622	325079	Dorine
695622	355639	Eva
695622	386183	
695622	386209	Isabella Brodsky (1996-1997)
695622	396533	Sven-Olof's mother
695622	398852	Eva Strandberg
695622	402043	Herself
695622	403084	Alexandra Remmer (1998-2001)
695622	406946	Karin Andersson (20 episodes)
695623	315975	Friend,
695624	160421	Mother
695625	5830	Rema
695626	138658	
695627	41987	Denis' Wife
695627	280473	Eileen Reid
695627	305399	Betty
695627	361837	Ruth Benjamin
695627	367586	Police Woman Following Eleano
695628	160421	Young Lydia
695629	297125	Mrs. Carla Buckingham
695630	220276	Parisian Dancer
695631	160421	Young Stefan
695632	37387	Margaret Sim
695633	294289	Nidia
695633	294708	
695634	340542	Priscilla
695635	223873	Kaydee
695636	403876	Herself - Host (1978)
695637	191881	Older Charley
695638	5786	Rose
695638	302269	Club patron
695639	263273	
695640	377287	Girl at restaurant
695640	385629	Herself
695641	131029	
695641	143514	
695642	354656	Une petite fille
695643	393443	Clue Crew member (2001- )
695644	31823	Young Ellie
695645	200191	Gwendolyn
695646	228881	Jurga
695647	374397	
695648	11985	Mamma
695648	32383	Berencroft
695648	115389	Marie-Louise
695648	120236	The Blonde
695648	122448	Sandra's Mother
695648	159631	Annelie's Mother
695648	164786	Lena
695648	168951	Bibi
695648	179679	Flickvännen
695648	198256	Pia
695648	204540	Anki
695648	216361	Ingemars mamma
695648	219840	Yvonne
695648	245228	Brigitta
695648	259159	Lena Sjöberg
695648	281940	Monica
695648	303847	Rita, Lars' wife
695648	320611	Canita
695648	354743	Lisbeth, Elisabeth's mother
695648	355702	Linda Matthei
695648	378897	Yvonne Ander
695648	388309	Fanny Holde
695648	396220	
695648	405553	Karin Eldh (2002-)
695648	406626	
695648	407118	Siv
695648	410462	Karin Sundin
695649	407817	Herself - Swedish Participant
695650	378273	Switchboard operator
695651	84297	Ada
695652	249671	Chica Joven
695652	315970	Susana Sánchez
695653	153383	Miss Dean
695653	268376	Journalist
695653	305308	Stuepige
695654	47397	Fru Windenes
695654	180711	Marie Thorsen
695655	107334	En gatepike
695656	163450	Sandy
695657	35765	Vivian
695657	187471	Geena
695657	201711	
695657	204264	Gang Girl
695657	294248	Cathy
695658	42807	Mrs. Drofsky
695658	49619	Aunt Elsie
695659	391916	Herself (1987-1992)
695660	115323	Assassin #2
695660	211508	Mordred personal bodyguard
695660	297635	Woman in the Bikini
695660	359407	Jones
695661	113066	
695661	193474	
695661	204470	Mrs. Pivonka
695661	216262	
695661	225296	
695661	225319	Emmi Werner
695661	225645	
695661	325411	Mrs. Dr. Franke
695661	325709	Dagmar
695661	325874	Renate von Deeling
695661	325928	Lilo Lobeck
695661	351892	Doris
695661	367143	
695661	379772	Elisabeth von Wettenberg, geb
695661	388468	
695661	389785	Ellen Kettlich
695661	409609	Lehrerin Seelig
695662	303980	Jameela
695663	191425	
695664	173166	
695664	283113	
695664	290282	Frau Sauter II
695665	49441	Mrs. Liebowitz
695665	71110	Rita Lang
695665	118903	Molly
695665	127126	Marta
695665	133401	Dancer
695665	171072	Gracie
695665	182979	Elaine Cerrito
695665	185567	Mimi
695665	193357	Lady Olivia
695665	232213	Linda
695665	296552	Dancer
695665	334356	Yuppie Woman
695665	363946	Liza Manchester
695665	365609	Snake Lady
695666	130071	Shop clerk
695667	110357	Soap Opera Gal
695668	344105	Pettite 1
695671	58662	Anthony's mom
695672	380430	
695673	149258	Female Prison Guard
695674	404471	
695675	252960	Terry Williams
695675	392529	Herself (segment "Babes in Bo
695677	215148	Pianist at dance class
695678	120635	Office Manager
695679	257747	Cafeteria Kid #2
695680	360682	Sharon Epstein
695681	6708	Model
695681	137487	Dutch
695681	146619	Jane McIntosh
695681	238449	Theban Citizen
695681	301392	Vice Chancellor
695681	387247	Ruth Lyons
695682	348016	Herself
695683	220709	Papagena (in "Die Zauberflote
695684	162885	
695685	159691	
695686	5689	Vanessa
695687	350833	
695688	49306	Juliane Kolka
695688	72670	Malen
695688	100968	Valerie
695688	107539	Sina
695688	179766	Folrence Barat
695688	189821	
695688	209773	Maja Hansen
695688	251003	Julia
695688	325886	Anne
695688	325913	
695689	144789	Alien Stormtrooper
695690	472	
695690	155443	
695690	184505	Beamtin
695690	211100	
695690	275175	Mayerhoferin
695690	283054	Alte Leni
695690	284993	Beerenweiberl
695690	290173	
695690	325934	Muatterl
695690	325945	
695690	365906	Grandma Josephine
695690	401996	
695690	404796	Frau Burgmüller
695691	395071	Various
695692	395644	Monika
695692	401672	Narrator
695692	405947	
695692	408828	Gundula
695693	363602	Girl
695694	208535	May
695694	321635	Carrie
695695	36858	Herself (interviewee)
695695	310561	The mom
695696	130291	Herself
695697	395071	Various
695698	157437	Herself
695699	275525	
695699	368712	Presenter/narrator
695699	391187	Herself
695700	210144	
695700	259538	Anette Fleck
695700	385660	
695701	308233	
695702	332208	
695702	358045	Serviertochter
695702	377918	
695703	171019	Lynette McKee
695703	196872	Eileen
695704	201114	Sophie
695704	271884	Voisine
695704	291584	(segment "Rampe, La")
695705	137487	Jamaican Escort-girl
695705	192702	Ava
695705	223698	Girl in Disco
695705	315585	Carol
695705	383219	Julie Columbus
695705	387247	Sheena Mennell (1985)
695705	390523	Precious Matthews (1981-1985)
695706	49671	Großmutter
695706	98044	Frau Hallwig
695706	181497	
695707	94413	Stora Systern
695707	138748	Kia
695707	182553	Pia
695707	322840	Herself
695707	333082	Anna
695707	351989	Penny
695707	353025	Daughter
695707	377311	Kia
695707	403084	Stina Björklund (2001-2002)
695708	386272	Nomsa
695709	80848	
695710	65418	Maria
695710	120481	Beggar Woman
695711	142780	Harriet
695712	37	
695712	95666	
695712	104255	Anita
695712	225848	
695712	228115	Oliya
695712	258811	
695712	261325	
695712	314217	
695712	354373	
695712	357225	
695713	306778	Herself
695714	84315	Woman at Li's work
695715	152534	Linda Kinsdale
695716	35750	Herself
695717	109822	
695718	155494	Betty
695719	110251	Lounge Lizard
695720	383864	
695722	196478	Doña Mercedes
695723	81517	(segment "The Rendevouz")
695724	105285	
695725	184405	Hexe
695725	311106	Unica Zürn
695725	313672	Lisa
695725	392669	Elli Hauser
695726	179475	Mannequin
695726	297922	Sandra Van Rompaey
695726	381544	Herself
695726	389129	Herself
695726	407173	Herself (1996-2002)
695727	215488	Jurylid
695727	397315	
695727	403043	Herself (2000-)
695727	411092	Presentator
695727	412093	Herself
695728	167047	Roman Soldier
695728	219707	
695729	305375	Bill
695730	225205	
695732	124705	
695733	342588	Donaulandvertreterin
695734	79340	Herself
695735	403537	Participant (2001)
695736	392023	Elisabeth
695736	392072	Ninni Krogstad Anker-Hansen (
695737	13978	Davina Vinyard
695737	191244	Adult Vitani
695737	282864	Nurse
695737	304691	Sandy
695737	313450	Kes
695737	380391	Hannah Moore #1 (1991-1992)
695737	381403	Alora
695737	397422	Elle (#1) (1997-2000)
695737	401362	Roanne
695737	406409	Kes (1995-1997)
695738	90277	Anh
695739	65386	Chole's Mother/Olga
695739	117522	Sandy
695739	360480	Army wife
695740	373538	Girl camper
695741	331595	Grandmother
695741	371053	Old Woman
695742	2250	Vegas Babe
695743	269742	Marie as a teenager
695744	389264	Béatrice
695745	255548	
695745	282118	Vicky
695746	168466	
695747	43127	
695747	322221	
695748	233841	
695749	173087	Fru Sørgaard
695749	173088	Fru Sørgaarden
695750	142392	Debbie
695750	142394	Debbie
695751	389948	
695751	401783	
695752	325730	Gerda Kalinke
695753	93883	
695753	166264	Amandine
695753	204657	Amandine
695753	251296	
695754	377490	
695755	40844	
695755	84469	
695755	126267	
695755	313882	
695755	316371	
695755	373270	
695756	15071	Anissa
695756	80335	Vendeuse animalerie
695757	374715	Alvina
695758	149866	'Miss' Contestant
695759	263693	Kristine
695760	305010	Nina
695761	33671	
695761	153904	Belli
695761	225237	Eva
695761	234291	Anne
695762	92104	Charlotte Moosman
695763	2691	
695763	11782	Susi
695763	11818	
695763	92640	Frau Melzer
695763	119031	
695763	125570	Anne
695763	136615	
695763	142209	
695763	174088	Pauline Münchmeyer
695763	231465	Paule
695763	252326	Ida
695763	259478	Doris
695763	259494	
695763	259592	Wilma
695763	279821	Mutter
695763	290178	
695763	308815	Doris
695763	340294	
695763	352567	
695763	364943	
695763	366528	Annegret
695763	388967	
695763	391152	
695763	406269	
695763	406270	Renate Habermann (Mutter)
695764	138292	TV Reporter
695764	382138	Host (1997-1998)
695764	394673	Herself/Co-Host (2002-)
695764	402843	Host (1999-2001)
695764	406244	Host (2004-)
695765	251810	Anitra
695766	5671	Wanda
695767	72391	Vampire Actress
695768	213765	
695768	220709	
695768	378367	
695769	122769	
695769	145508	Tante Hermine
695769	152790	
695769	155456	
695769	290442	
695769	293555	
695769	321825	
695769	344390	
695769	348064	
695770	153160	
695771	88219	
695772	230147	Maria Luiza
695772	239234	Mari
695772	351365	
695773	306472	
695774	22181	
695774	56082	
695774	143996	
695774	155326	Gretes Kollegin
695774	179759	
695774	189815	
695774	376346	
695775	98256	
695775	102983	
695775	153175	Ursula Knax
695775	225148	Mädchen aus dem Volk
695775	284517	
695775	328847	Lilli
695775	352392	
695775	376337	
695775	376462	
695776	162071	Checchina
695777	252710	La Soeur du roi
695778	259565	
695778	259625	
695778	259687	
695779	139582	Paige Hong Fat
695779	197312	Khuyen
695780	369731	Little Sister
695781	128478	Chinh
695781	185524	Girl Prisoner
695782	80186	Catherine
695783	175243	
695783	177711	Ellie Bosman
695783	364914	Honey
695785	9625	
695785	13189	
695785	50128	
695785	106994	
695785	106995	
695785	187932	
695785	187933	
695785	207977	
695785	212245	
695785	231277	
695785	234025	
695785	252517	
695785	277405	Dolores del Rivero
695785	357538	
695785	376703	Dolores
695785	376768	
695785	379554	Zuilma
695785	401088	Fanny
695785	410319	Sandra
695786	42911	Herself
695787	204452	Laura
695788	126380	Dancer
695789	343023	Sally Carroll
695789	371025	
695790	79249	
695791	268998	
695792	259212	Mme Lievre
695793	369	Tearoom owner
695793	44226	Maitresse
695793	59327	
695793	94312	Infirmière-surveillante
695793	226610	Une prostituée du Jo Bar/Pros
695793	247979	Annie
695793	261752	La mère
695793	270046	Jacqueline
695794	196574	Vera
695795	106795	
695796	119163	
695797	24732	
695797	64224	
695797	71945	La secrétaire
695797	221777	
695797	334818	
695798	349288	
695799	283691	Deuxième nymphe
695800	262591	Trapeze Artist
695801	45622	Herself
695802	190854	Social worker
695803	7848	Susan Johnson
695803	13712	Sarah (segment "Long Black So
695803	15231	Irene Barris
695803	26064	Sheep
695803	41347	Jaye Winston
695803	44511	Latanya
695803	51203	Additional Voices
695803	56654	Additional Voices
695803	65782	Claire Barnes
695803	67445	Mrs. Craig
695803	71719	Robyn Carver
695803	87979	Geraldine
695803	102575	Mrs. Green
695803	107002	Background Voice
695803	132756	Deborah
695803	135788	
695803	158321	Jean
695803	165976	Additional Voices
695803	168286	Cassandra Taylor
695803	183357	Patty
695803	188615	Elizabeth
695803	194566	Rita Claiborne
695803	203957	Winnie Mandela
695803	217052	
695803	230676	Recovering addict
695803	236982	Lawyer #2
695803	247559	Dr. Leavitt
695803	249067	Mary Sayers
695803	251194	Principal
695803	283341	Jackie Joyner-Kersee
695803	292797	
695803	316745	The Neighbor
695803	327625	Haze
695803	360760	Policewoman
695803	378627	Aunt Olavee
695803	385246	Tess Robinson
695803	390109	Sharon
695803	391375	Karen LaGretta
695803	394676	Tina (1986-1988)
695803	406037	Joan Mosely
695804	170036	Lucia
695805	359055	Herself (Contestant- Third Pl
695805	404384	Herself/Co-Host (1999-2000)
695806	268826	France 7 ans
695807	295185	Amber
695808	289003	Wendy
695809	153670	Guest
695809	402154	Health Reporter
695809	410101	Health Reporter
695810	261151	Flower girl
695811	275225	Tarmfolkskvinde/Mission Contr
695812	16434	Vivianne
695813	16434	Odette
695814	7252	Ava
695814	24877	Alesia
695815	99017	Crisotemis
695815	115440	Senta
695816	117654	Bitchy Pageant Mother
695816	152319	Radio Newscaster
695817	78287	Ilonka anyja
695817	98770	Pongrácz anyja
695817	210315	
695817	293990	Semmelweis anyja
695817	322111	Zsófi
695817	322557	Sámson édesanyja
695818	196574	Anna
695818	285752	Rat Clubparty girl
695818	372119	
695819	20625	Extra
695819	288208	Madame Begue
695820	87429	Gloria
695821	363602	Girl in Park
695822	271314	Diane
695823	252296	
695823	292717	Josephine
695824	27243	Board
695824	57817	
695825	76216	Plump Woman
695826	79963	Lady in Laundromat
695827	8098	Alice Needham
695827	35145	Barbara Noel
695827	55641	Maj. Carmen Travis
695827	153185	Lisa McKeever
695827	157595	Laura Simmons
695827	161165	Marsha
695827	161194	Herself
695827	161311	Narrator
695827	169155	Zuleika
695827	183730	Janice Mitchell
695827	190373	Herself
695827	210733	Laura MacAffrey
695827	222582	Irene McNair
695827	223751	Vickie Vine
695827	250949	Herself
695827	284003	Jeanne White
695827	313002	Cathy Proctor
695827	314427	Anna Lerner
695827	335579	Diana Donahue
695827	342234	Herself
695827	365088	Marie Hilley/Robbi/Teri
695827	395275	E.A.D.A. Elizabeth Donnelly (
695827	400236	Karen Wolek (#3) (1977-1983)
695827	401362	Dianne Doolan
695827	405394	Sara Campbell
695827	406590	Barbara Stone
695827	411051	Angela Bower
695828	344149	
695829	363464	Salesgirl
695830	315160	Katie O'Malley
695831	332910	
695832	363602	Hot Freak
695832	367405	Woman In Red
695833	158336	Girl With French Heels
695833	213167	Beautician
695833	240723	
695833	347855	Local Girl
695835	266627	Girl in Sauna
695837	7884	Ice Cream Lady
695837	11450	Judge's Secretary
695837	115842	Michelle
695837	244918	Customer #1
695838	264079	Herself
695839	26081	Student
695839	269626	Child #2
695840	395091	Woman Journalist #2
695841	67968	Herself
695842	2760	Herself - Miss Hawaii USA
695843	284527	Extra
695844	368687	Ticket Seller
695845	400516	Bernadette Cox
695846	267546	Angelina Fooshway
695847	54277	Nikki Holt
695847	335472	
695847	351502	Wanda
695848	337853	
695849	245093	Tramp 1
695850	37557	Chrystal Furnon
695850	150554	Maid
695850	168813	
695851	344524	Herself
695852	154180	Stripper
695853	319876	Lucy
695854	286195	Child
695855	198489	Woman Reporter
695855	398213	Herself
695856	77805	Rosette Henrietta LaRue
695856	130625	Mabel
695856	130633	Gertrude 'Gertie' Dale
695856	147396	Toots Breen
695856	154874	Elizabeth
695856	190204	Flo
695856	204191	Doris Roberts
695856	257559	Georgine Hicks
695856	297887	Winnie Harper
695856	297932	Maizee
695856	300103	Pingo Pongo' and 'Singing in 
695856	300900	Pat
695856	303319	Doctor Winnie O'Neil
695856	305042	Herself
695857	2135	Jo
695857	2862	Paula Cooper
695857	185133	Wynnona 'Winnie' Whitefeather
695857	185134	Wynnona 'Winnie' Whitefeather
695857	185135	Wynnona 'Winnie' Whitefeather
695857	289103	Pfc Lori Piestewa
695857	292519	
695857	326594	Star Watcher
695858	27003	Mary Lou
695858	63046	Louise
695858	72290	Brenda
695858	127097	Tani
695858	168695	Georgina
695858	223759	Mother
695858	258513	Additional Voices
695858	289203	Lucy
695858	386970	Crystal Heart
695859	121615	Kid
695860	2087	
695860	5092	Abraxas' Answer Box
695860	17695	Miss Stacy
695860	17697	Miss Stacey
695860	40683	Dr. Lathrop
695860	43629	Rose-Anna Lacasse
695860	82900	Alice Mitchell/Martha Wilson
695860	129920	Crasher
695860	132915	Madame Iovine, Time Tourist L
695860	138737	Muriel Pettibone
695860	141580	
695860	141706	Whore/Queen
695860	157922	Klari
695860	162347	Dr. Francis Gully
695860	189916	Annie Herman
695860	195290	Marilyn (segment "Love on You
695860	199568	Miss Higginsbottom
695860	206832	Anna
695860	276196	Johtje's Mother (segment "Aar
695860	300583	Narrator
695860	310485	Dr. Claire Rothman
695860	320039	Dr. Foreman
695860	365403	Sarah
695860	378727	
695860	383849	Crasher
695860	386055	Alice Mitchell/Martha Wilson
695860	391260	Sonja
695860	391261	Sonja (1984-1987)
695860	392897	Additional Voices (1985-1986)
695860	394558	Additional Voices
695860	403490	Muriel Stacey Pettibone
695860	406982	
695861	372175	Dancer
695862	177309	Belly Dancer
695862	225490	Elena
695863	122241	
695863	132981	
695863	134488	
695863	287889	
695863	307215	
695863	334468	
695863	336994	
695863	361081	
695863	397545	
695863	405418	Madre
695864	80803	Woman in Video Dating Service
695865	25726	Mimi
695865	34567	Joëlle
695865	118176	Jeanine
695865	186218	Rosejeune
695865	292348	Rose Caussemille
695866	144062	Gerd, Berger's Daughter
695867	180101	Leena at stress rehab
695868	119608	Athlete
695868	306341	Athlete
695869	395466	Herself - the host (2002-2003
695870	144318	
695870	170358	Nini
695870	183735	'High society' girl
695870	258279	Mme Arès
695870	387848	Nicole
695871	43415	
695871	69468	La mère
695871	74913	Marinette
695871	119820	Madame Levert
695871	214923	
695871	268455	Madame Laval
695871	309697	Laurence
695871	340372	Ginette
695871	345071	Mariette
695871	385490	Théolinde
695871	387039	Mme Grignières
695872	379224	Fanny
695872	400772	Linda O'Connor (1978)
695873	195415	Jennifer Prescott
695873	327632	Maggie
695874	386618	Contestant
695874	396696	Juggy Dancer (2003-)
695875	168289	Fooseball Girl
695876	388964	
695877	32649	Eveline
695877	178228	Katrien
695877	356811	Stem
695878	376443	Dion
695879	3105	
695879	247642	
695880	161126	Star
695881	146446	
695882	105805	Gina Uzielli
695883	198751	Samehe
695883	206378	Mariamu
695884	114606	Old Woman
695884	202319	La Menou
695884	217228	La grand-mère paternelle
695885	170974	
695886	36705	
695886	189206	
695886	246047	Empress
695887	369467	Kerstin
695888	342054	Herself
695889	394792	Kerttu Söder #2 (2003-)
695890	172141	Ellu
695891	168866	Johanna
695892	171583	Leena Kokkonen
695892	324607	Minna
695892	387500	Salla Kunkainen
695893	141887	Pirkko Liinamaa
695894	211863	Nina Rönkkö
695894	247008	Aino Kallas
695895	174779	Tarjoilija (waitress)
695896	104638	Herself
695897	104635	Herself
695897	104636	Herself
695898	301205	Mariann
695899	367014	Anna Page
695900	312345	Mrs. Delgado
695901	32754	Jamaican lady
695901	68492	Woman
695901	160780	Mrs. Azakwale
695901	187861	Wailing Lady
695901	256211	Smash & Grab Lady
695901	263227	Bopsie
695901	359932	Delgado's mum
695901	402778	Jo Jo
695902	265829	Evelien
695903	183082	Ninotchka
695904	175524	Herself
695905	127021	Chitti
695905	172863	
695905	208620	
695906	370166	
695907	88457	Luba
695907	104437	
695907	293942	Galya
695907	357481	
695908	261366	
695909	277355	Marketa
695909	283564	
695909	359553	Selma
695909	380904	Yvonne (1995)
695909	384085	Sabiha
695909	396874	Anna (2000)
695909	398993	
695909	400110	Injured Girl
695910	358593	Female journalist/extra
695911	21930	
695911	123820	Red Haired Maid
695911	245065	
695911	364497	
695912	131991	Sophya Famusova
695912	154685	
695912	179805	The Czarina
695912	188471	
695912	350731	Lidiya
695913	189443	Nachrichtensprecherin
695913	370422	
695914	58409	Owner of the Bar des Tailland
695914	84767	
695914	310302	Italian Couple
695915	128077	
695915	270572	
695915	287489	Ragazza albanese
695916	280803	The Raikuuari
695917	178508	Læge
695918	367435	
695919	129961	Lori Miller
695920	360855	Girl on Dock
695921	176885	
695922	85659	Ann Curry
695922	236895	Charley Harrow
695923	80956	
695923	84929	Jennie
695923	104616	Herself (Portuguese entry) (4
695923	166897	
695923	175761	Manu
695923	255751	Marie
695923	284171	Herself (singer)
695923	289650	Rita
695923	308364	
695923	391674	Herself
695923	407943	
695924	383977	Patty
695925	191491	Proprietress
695925	304787	Italian Policewoman
695925	337310	
695925	367903	Inmate
695926	95758	Leah, Sender's daughter
695926	112840	Isabelle Amoretti
695926	179558	Jenny Dorfman Grossman
695927	368348	Herself
695928	151892	Petite fille 1
695929	151892	Petite fille 2
695930	151892	Petite fille 3
695931	405069	Lois
695932	179708	
695932	254986	
695933	336289	
695933	395713	
695934	134548	Margaret
695935	349292	Matriona Ivanovna
695936	89586	
695937	82474	Zac
695937	190802	
695937	344473	
695937	356657	
695937	356658	
695937	369884	
695938	41376	Mexican Woman
695938	312714	Jean Dennison
695939	14964	
695939	182305	Teaterfolk
695940	323671	Nurse
695941	253078	
695942	361568	
695943	214844	Violin Player
695943	281676	
695944	31783	Lola
695944	122448	Sandra
695944	237268	Nina
695944	298474	Sanna
695944	396250	Mally Marelius
695944	406946	Sophie Blixt (10 episodes)
695945	182543	Dagny
695946	17473	Eve
695946	91137	Sybil Vane
695947	238742	Babysitter
695948	121020	Delia
695948	170708	Solange
695948	182545	
695948	198012	Anita
695948	270935	Girl at Solliden
695948	278997	Norah
695948	284057	Eva
695948	326044	(episodes 1, 2)
695948	408335	Liv's mother
695949	122483	The maid
695950	348495	
695952	405570	Lillemors testamentsexekutor 
695953	115401	Student
695953	276130	The girl in Johansson's truck
695954	84393	Ung Camilla
695955	338719	Lisa, Hallman's housemaid
695956	141664	
695957	57564	Tore, hennes venninne
695958	475	Lani Gutmann
695958	157618	Mimi Orlandini
695959	31961	
695959	68652	
695959	227572	
695960	14829	Singing Girl
695960	34446	Herself
695960	52603	Clerk
695960	79166	
695960	79169	Britta Lund
695960	100448	Eva Schmidt
695960	104736	Swedish entry (14th place)
695960	116106	Lill Svensson
695960	156726	Herself
695960	157078	Singer
695960	162994	Gesang
695960	204542	
695960	210327	Herself
695960	210337	Herself
695960	226586	Robi's mother
695960	247532	Dockan
695960	317413	Singing Girl
695960	320339	Pia, en tjej som vill opp
695960	320608	Lollo, pangbrallis
695960	333671	
695960	336081	Herself
695960	343761	
695960	375983	Lill Babs the artist (not her
695960	392092	Herself
695960	395506	Herself
695960	397394	Herself
695960	398623	Herself
695960	407388	Herself
695960	409911	Host
695961	238992	
695963	88692	Sygeplejerske
695963	142864	Frida
695963	146596	
695963	166774	Lily Eriksen
695963	255675	Lis
695964	399881	Herself
695965	389307	Bulder
695965	392318	Herself - Host (2002-)
695965	394128	Perle
695966	51134	Lis
695966	153946	Fru Ehrlers
695966	154828	2. Borddame
695966	264282	Hysterisk dame
695966	303747	Majbritt
695966	305020	Lise
695966	322680	
695966	394071	Jacob
695966	403379	Woman in Bed
695967	104639	Herself
695968	158582	Tess
695969	381026	Alejandrina Vallecilla
695969	383555	Matilde Herreros
695969	386402	Ofelia Richerdson
695969	400485	Soledad
695969	400944	Delfina Fonseca de Estevez
695969	400946	Gabriela de Elizondo
695970	105165	Dispatcher
695970	142621	Bound Cenobite
695970	191502	Catherine
695970	191677	Ease dropping cashier
695970	197530	Customs Officer #2
695970	289113	Bearded Lady
695970	319516	Greta
695970	411517	Calvin's Mom
695971	264095	Diana
695972	59244	
695972	169382	Emily
695973	162100	Fairy
695973	213588	Schoolgirl
695973	256626	Daughter
695974	375823	Zooey
695975	61683	Mother
695975	114085	Granny
695975	291503	Nun
695975	404575	Mum
695976	18589	Mrs. Dobson
695976	37969	Billy's Mother
695976	113388	Grandma
695976	196548	Teacher
695976	211843	Maureen Fleet
695976	263606	Sister Kevin
695976	315719	Vicky Rippere
695976	379600	Brenda Rigg
695976	385222	Pawnbroker
695976	387461	The Sibyl
695976	390523	Mrs. Knuckle (2003-)
695976	391978	Elaine Rawlings, school secre
695976	402776	Sister Mary
695976	404882	Jeannie Finn
695977	56885	
695978	257490	Linda
695979	409725	Herself - Vicar
695980	334409	Cally
695981	5771	Fiorella
695982	199954	
695982	219039	
695982	283881	Homa
695982	381256	Herself ( Evicted 7th, 51 Day
695983	363326	Alice Gross
695984	64750	Devora
695984	276838	
695985	78915	Gypsy
695985	78916	Lovers' Lane Monster
695985	150792	Zealous Fan
695987	20011	Shirley Travis
695987	20625	Revivalist
695987	42361	Herself
695987	47344	Herself
695987	92589	Mrs. Lorelei Dodge-Blodgett
695987	105847	Violet
695987	240446	Maria Wislack
695987	248600	Herself
695987	300103	'Recitations' sketch
695987	331065	Mrs. Meers
695988	52602	Angela
695989	359701	Rebecca
695990	394236	
695991	163181	Anja Keinonen
695991	169028	Leila
695991	294545	Pirjo´s Mother
695991	394236	Birgit
695991	399700	Anja Keinonen
695992	108771	Elderly Woman
695992	118763	Mental Patient
695992	189911	Landlady
695993	17016	
695993	38769	Geesche
695993	157648	Putzfrau
695993	162466	Frau Ludwig
695993	259554	
695993	272796	Orion-Raumüberwacherin Helga 
695993	290099	Gisela Pförtner
695993	334507	
695993	402895	Helga Legrelle
695994	117083	Gladys Trinkle
695995	78067	Ziggy
695995	80643	Beth
695995	199210	Guardian
695995	381207	Amy (1992-1993)
695995	391869	Stacey Macklin (1988-1989)
695995	399311	Marnie Phelps
695995	407150	Christine Yates
695996	13367	Herself
695996	24252	
695996	252927	Black Shirt
695996	284704	Cheena
695996	373720	
695997	311557	Joan Milna as a Child
695998	8901	Adjutant
695998	40491	Lisa
695998	62571	Omni Exist
695998	76857	Purin a.k.a. "Jigglypuff" (En
695998	79067	Old Woman
695998	123107	Catty
695998	123108	Catty
695998	123112	Catty, Captain Nebulart
695998	125942	Takami
695998	127780	Old Woman, Dairy Woman, Marce
695998	139476	Fricka
695998	179108	V-Sion
695998	186849	Nadine
695998	199950	Queen La Andromeda Prometheum
695998	233054	Jigglypuff
695998	259003	Misty/Jesse of Team Rocket
695998	259032	Misty, Jigglypuff, Horsea
695998	259088	Misty/Jesse
695998	259090	Misty/Jessie
695998	259091	Misty/Jesse of Team Rocket/Ji
695998	259092	Jigglypuff
695998	259095	Jessie
695998	259096	Misty/Jesse of Team Rocket
695998	259097	Misty/Jesse/Jigglypuff
695998	259098	Misty/Jesse
695998	259109	Misty/Jesse of Team Rocket/Pi
695998	259111	Misty/Jesse of Team Rocket
695998	259113	Misty/Jesse
695998	259120	Misty/Jesse of Team Rocket
695998	272997	Various schoolgirls
695998	288331	
695998	293476	Ashura
695998	297223	Mimi Joyma, Suzanna White
695998	300594	Utena Tenju
695998	342557	Erala, Number 3
695998	350723	Jelanda/Lysaria/Mystina
695998	381403	Kyra
695998	383107	Nanaka Kisaragi, Nagi Kirima
695998	386537	Ami Kurimoto
695998	390537	Ayaka Usami
695998	392619	Boo
695998	394175	Miyako Miyazawa
695998	394325	Charlotte
695998	394660	Tot, Michiru Hayasaka, Miyu Y
695998	394976	Jewel Princess
695998	398579	Yuriko Star
695998	401740	Misty Williams (1998-2003), J
695998	405047	Pirika
695998	405278	Utena Tenjô/Chu-Chu
695998	405633	Martina
695998	405635	Queen, Princess Sera
695998	405636	Cally/Paula
695998	407519	Ben
695998	411261	Tecna
695998	411449	Kanaka Nanase, Kazuto's Mothe
695998	411648	Additional Voices
695999	125666	
696000	101967	Jueza Redistro Civil
696001	236013	
696002	5373	
696002	14865	
696002	16855	Flora
696002	24840	
696002	327913	Juanita Escaril
696003	91839	
696003	126714	AAA Lady
696004	265687	Marcela
696004	401096	Julita Herrera
696005	86279	Information Booth Girl
696007	251987	Little girl
696007	404782	Emma Kaunispää
696008	39365	
696008	52294	
696008	144867	
696008	346209	Helena Wikblad
696009	93023	Ms. Jones
696009	209497	Grandee
696009	277109	Mary Jo
696010	232787	
696011	271868	Eileen Tippetts
696012	116981	
696014	393826	JD Girl
696014	396022	Kate
696015	75794	
696015	271198	Micka Goldring
696015	293126	Robin
696015	316515	Tessa Jarrett
696016	316515	Tessa Jarrett
696017	2781	Little Girl
696018	110185	Jobeth
696019	170852	Girl #1
696020	35597	Cleo Carr
696020	210960	Gun Saleswoman
696021	13432	Prostitute (segment "Bullshit
696021	26394	Nurse #1
696021	45639	Female Officer
696021	134195	Reporter in Lobby
696021	187518	Meredith
696021	289115	Lila
696021	292299	Queen
696022	54378	Young Dancers
696023	257869	Tiger Lilly
696025	203358	Rockette
696026	30959	Board Member
696026	43688	Madame Félix
696026	90044	Adèle
696026	337028	
696026	338448	Lilo
696026	374199	Zaza
696027	19522	Adelaide
696027	99018	1. Magd
696027	127911	La Cieca
696027	236183	Marcellina
696027	352931	Braskowia
696028	4334	Jolly Boy
696028	9344	
696028	41790	
696028	172462	Yukie Miyamori
696028	175188	Girl at the tavern
696028	187191	Rufus
696028	191098	
696028	231433	
696028	232904	Sachiko
696028	234508	
696028	243497	
696028	248350	
696028	281060	
696028	281575	
696028	292074	Miyaoka Yôko no Haha
696028	299556	
696028	355666	Hiroshi's mother
696028	374182	Yoko
696028	380472	Sumiko Okayasu (Yoshimori's m
696029	348229	Waitress
696030	170558	Natalie
696031	33940	Herself
696033	32761	Penny Second
696034	370537	Stretcher Bearer
696035	77901	
696036	192070	Amanda
696037	117656	
696038	112263	Maid
696038	159290	Vieille chinoise
696039	153562	Deborah Tan
696040	85485	
696040	85500	Pearl
696041	9371	
696041	78701	
696041	89544	
696041	132121	
696041	246199	
696041	286661	
696041	359038	
696042	159734	Mi-na
696042	267078	Min-hee
696042	300844	Song Yi
696042	319098	Little Match Girl
696043	229507	Poetry Performer
696044	20625	Extra
696045	27121	
696045	117825	Female Workout Partner
696046	60602	
696046	371946	
696047	7275	
696048	305387	Trini
696049	326830	Sissy Song
696050	43387	
696051	159734	Jeong-ki
696052	235272	
696053	89537	
696053	368084	
696054	66584	Tester with Couple
696054	267511	Rockstar's girlfriend
696054	280478	Kim Wong
696055	136415	
696055	156368	Yu-jin
696056	43044	Ryu's Sister
696056	108230	
696056	136866	
696056	350481	
696057	224463	
696057	229893	Hwa Ni-ri
696057	267189	
696058	285717	Judy
696059	280478	Singapore Letting Agent
696059	292427	
696060	37682	Bistro Patron
696061	180272	Stephanie
696062	369727	Tiong Meng's mother
696063	324648	
696064	124364	
696064	371158	
696065	333120	Person of the Night
696066	16126	
696068	152962	
696069	91695	
696070	24434	La mère de Saturday
696071	285717	Ling Ling
696072	310726	Addtional Bus Passenger
696073	7349	
696073	371150	
696076	28257	
696076	214269	
696077	19561	Aladdin's Mother
696077	53310	Sister
696077	72782	Hotel Maid
696077	129198	C-2
696077	194797	Granny monkey
696077	199388	Nikko
696077	215081	Mrs. Wang
696077	258139	Madame Aung
696077	379600	Ly Nhu Chan
696077	385162	Wei Wei
696077	387518	Nurse Kwe Kim-Yen/Kwei
696077	389147	Chinese waitress
696077	397793	Chung Su-Lee (Series 1-3) (19
696077	398821	
696077	405992	Suzy
696078	110338	Prostitute
696079	199888	
696079	229849	
696080	127723	
696081	294501	
696082	20198	
696083	106286	Serveuse restoraoute 2
696084	408	Gang Min-a
696084	165539	Bae Soo-mi (Janghwa)
696084	254992	Han Yeong-hie
696084	284016	Herself
696085	139409	
696086	176898	Bride
696086	301888	
696087	15195	
696087	60662	
696087	78193	
696087	162217	
696087	166822	
696087	167884	
696087	167885	
696087	167886	
696087	229854	
696087	246559	
696087	266989	
696087	294468	
696087	308962	
696087	371147	
696088	51029	
696088	60601	
696088	166806	
696088	370334	
696089	126886	Yu-jin
696089	128039	
696090	244038	
696091	230230	
696091	402555	
696091	405110	Guo Xiang
696092	145693	The Wife
696092	353499	Herself (Model)
696092	353500	Herself (Model)
696092	353501	Model/Herself
696093	70899	
696094	40244	Macumba Lady #1
696095	369982	(group 'Paquitas')
696095	411605	Paquita (1995-2000)
696096	249256	Jeune fille télégramme
696097	127721	
696098	245480	
696100	85184	French Student
696101	128948	Anna
696102	294791	Aluna2
696103	64154	
696103	86241	Adult Sandrinha
696103	90449	Maria Helena
696103	317309	Herself playing tv show chara
696104	169713	D. Carolina
696105	156944	
696105	329917	Julie's Colleague
696105	397536	Gerri
696106	83535	Zeladora
696107	99998	
696107	401882	Participante
696108	273724	
696109	385365	Daysi Chacón
696109	391173	
696109	393802	Brandy Yuleisy
696109	398488	
696109	405776	Petra
696109	410297	
696110	408747	Mayerling
696111	356033	
696112	74000	Crude Oasis Bar Patron
696113	68573	
696114	402086	Amélia
696115	175590	Tira
696115	239922	Lígia Prestes
696115	322218	Art Producer
696115	386123	Antonia
696115	403118	Liliana
696115	404888	Branca Bela
696116	277562	
696117	124236	
696117	251025	Herself
696117	284087	
696117	379450	Herself
696118	284208	
696119	221737	Mujer de taberna
696120	110750	
696121	393615	Samanta
696122	386214	Malu
696123	377871	
696124	155953	Herself
696125	396	Doctora
696126	127721	
696127	26544	Zuzu
696128	380326	Kátia
696128	388721	Dalva
696128	404947	Patrícia
696129	97353	Silva's wife
696130	397198	
696131	1866	
696131	12822	
696132	385450	Girl Group Vienna (herself)
696133	294628	
696134	135163	Lynn
696134	275796	
696134	318783	Student
696135	113673	Belinha
696136	349750	
696137	380089	Silvia Hernandes
696137	386105	Jezabel
696137	386420	Basília
696137	386726	Isabel
696137	387901	Patrícia
696137	391675	Zeres
696137	397553	
696137	408316	Cláudia
696138	406847	Leonor
696139	352855	
696140	380612	Taís
696140	403617	
696140	408414	Teresa
696141	63700	Claire
696142	299534	Vilka
696143	107731	
696145	219431	Carmen/Beth
696146	178016	
696147	320059	Suzie Shaw
696148	250888	Tornász
696149	197243	
696149	197256	
696149	197257	
696149	197260	
696150	136514	Little Rozie
696151	12975	Cantante
696152	51546	
696153	2676	
696153	12569	
696153	18747	
696153	30130	
696153	42956	
696153	59700	
696153	90785	Direktrice
696153	94625	
696153	100983	
696153	108181	
696153	119279	
696153	120793	
696153	120936	
696153	125144	
696153	133319	
696153	136724	Director's woman
696153	144047	Anna Bertram
696153	144153	Leontine Diersberg
696153	144156	
696153	149873	Mrs. Deuter
696153	153109	Olga Limburg
696153	155409	
696153	169971	Olga Tatschowa
696153	178546	Begleiterin des Fräulein von 
696153	184392	Madame Revelli
696153	186185	Frau Himmelsteig
696153	189585	Die Herzogin
696153	189876	Mrs. Warner
696153	197832	
696153	199302	Madame Lefrancois
696153	204454	
696153	205725	
696153	209973	Mutter
696153	210077	
696153	210080	
696153	216258	
696153	225147	The Duchess
696153	225212	Duchess of Kent
696153	225215	
696153	225246	
696153	226244	Direktrice
696153	227390	Frau Klose
696153	227552	Madame Prunelle
696153	254360	
696153	261556	Freifrau Hannelore
696153	264332	
696153	268150	Mrs.Hill
696153	273751	
696153	274885	
696153	275606	
696153	289215	
696153	289951	
696153	290443	
696153	290649	ältere Dame
696153	290669	
696153	290810	
696153	293800	
696153	301027	
696153	322555	Die Dame aus Niza
696153	324686	
696153	341103	
696153	343475	
696153	345654	Maid
696153	347575	Frau Lehmann
696153	347678	Frau Bergmann,Annies Mutter
696153	347761	
696153	352363	
696153	352914	Großtante Rosa
696153	356751	
696153	359579	
696153	360940	
696153	364899	
696153	375080	
696153	376473	
696154	358547	Tanga meisje
696155	126663	Secretary at Elevator
696156	144910	Joyce Martin
696156	154780	Arlene Logan
696156	196558	Sally
696156	271285	Snookie Maguire, Jim's Girl
696156	310739	Peggy Hendrix
696156	347753	Baby
696156	388495	Dotty Snow (1954-1957)
696156	391017	Sally Day
696156	396785	Melissa Frome (1959-1960)
696157	95042	Molly's sister
696158	294796	Invitée d'Alice
696159	67205	Jazz singer
696159	220369	Sorceress
696160	17564	Maj
696160	134965	Lillan's Friend
696160	178745	Anne-Grethe
696160	192647	Malm's maid
696160	303734	Girl at the birthday party
696160	322664	Gun Larsson
696160	346962	Telephone Operator
696161	183489	
696162	259175	Lisei as child
696163	288667	Hilkka Suominen
696164	333425	Michelle
696165	390105	Herself
696166	33908	Teacher
696167	91888	Zoe Gold
696167	97899	Jamie Vecino
696167	177284	Teen Girl
696167	240785	Esperanza Gomez
696168	10090	Albertine (30 ans)
696168	15108	Roselyne
696168	16871	Isabelle
696168	54189	Barbara Kruger
696168	98789	Loulou
696168	100735	Sophie Turcato
696168	174155	Petronia
696168	319110	
696168	378761	Esther Fennec
696168	383818	Anna Jaworski
696168	393279	
696168	400134	
696168	409677	(1996)
696168	410153	Claire
696168	410368	
696169	62650	Kiwi Condito
696170	301679	Extra
696171	339967	La jeune victime
696172	179821	Margarita
696173	102448	
696174	175479	Peaches
696174	184904	Herself
696174	318250	Blanca
696174	326757	Judith
696175	102006	
696176	402993	Herself/New Orleans (2000)
696176	402995	Herself/RW: New Orleans
696177	17315	Hospital analyst
696178	201346	Marie Morgan
696179	91351	
696179	95421	
696179	183512	
696179	190997	
696179	354846	
696180	266164	
696181	186670	
696181	324093	
696182	82359	
696182	169775	
696182	252064	Gloria
696182	335517	
696183	10246	
696184	371529	Li-Li
696185	79049	Vampire
696186	214924	May Lin
696187	393496	Jiang Furen
696187	411592	Mediterranean's wife
696188	128884	Hostess
696189	110627	
696189	374924	
696190	1761	
696190	77554	
696190	130490	Azumi Princess Nami
696190	341934	
696190	393262	Mommy (Omma)
696190	398102	Arkana (Japanese and Korean d
696190	403553	
696190	403645	
696191	25898	
696191	335412	Tian Xiujuan
696192	8771	
696192	8789	
696192	17446	Yun Zhifan
696192	25886	Yang Hui-min
696192	27794	Lian Nichang
696192	27795	Lien Ni-Chang
696192	36380	
696192	48449	
696192	50890	
696192	60559	
696192	62573	
696192	62635	Woman in blonde wig
696192	78590	Samurai
696192	82676	
696192	88546	Tsao Wan
696192	95190	Mu-rong Yin/Mu-rong Yang
696192	95191	Asia the Invincible (or 'Dong
696192	95294	Leung, May-Fung
696192	123260	To Cai-Mei
696192	127775	Selina Fong
696192	130844	Black Fox
696192	135029	Su-Su/Yau Ying
696192	135947	Shen Shao-Hua
696192	136333	Jo Jo
696192	141871	Chin Chin
696192	142813	Sister Maria
696192	153049	Fire Dragon
696192	167830	Jane Lin
696192	170016	Eva More, daughter of Eva
696192	189169	Shen Rong
696192	192480	Snow
696192	194109	
696192	196400	
696192	196643	Lone-er
696192	196644	Lone-er/Mr. Dragon No. One
696192	200828	Lily
696192	210120	The Narrator
696192	211000	Cheung Yuet-Heung
696192	254773	
696192	256215	Jackal
696192	261086	
696192	268687	
696192	292973	Third Princess
696192	300459	
696192	318526	Countess
696192	353423	
696192	367119	Bridget
696192	369648	Asia the Invincible (Dong Fan
696192	369794	Yau Mo-yan
696192	369812	Li Chou-Shui/Li Chong-Hoi
696192	370483	
696192	371601	May
696192	372195	Chiu Meng
696192	374736	
696192	374974	Ching Siu Tung/Yuk Hing
696192	393547	Guest
696193	393496	Amy Xu Anni
696193	411589	Ma Furong
696193	411907	Lin Yumei
696194	33910	
696195	300705	
696196	63451	Liu Guiying
696196	268724	Chen Jingwen
696197	43931	Lisa
696198	300703	Lu Jing
696198	372180	Dali
696199	8773	
696199	8775	
696199	8782	
696199	8784	
696199	27802	
696199	29477	
696199	36383	
696199	48421	
696199	52026	
696199	52027	
696199	59294	
696199	59297	
696199	60559	
696199	62632	
696199	63735	
696199	74887	Li Meng-Lan
696199	76366	
696199	94362	
696199	110578	
696199	110623	
696199	111205	
696199	111245	
696199	138029	
696199	140895	
696199	144455	
696199	151916	
696199	151947	Xia Yu-Lian
696199	152018	
696199	167779	
696199	167828	
696199	168026	
696199	171734	
696199	184605	
696199	193891	
696199	197600	
696199	203394	
696199	227253	Ming-Ming
696199	237415	
696199	268746	
696199	287339	
696199	297482	
696199	318434	
696199	324344	
696199	326300	
696199	332303	
696199	359005	Shen Yun-Bai
696199	359027	Cheng's girlfriend
696199	367125	
696199	367161	
696199	367166	
696199	367170	
696199	369095	
696199	369575	
696199	369580	
696199	369590	
696199	369652	
696199	369779	
696199	370461	
696199	371463	
696199	372188	Fang Yi-Ting
696199	372256	
696199	372257	
696199	373046	
696199	373249	
696199	373929	Kao Wen-ying
696199	374674	
696199	374936	
696199	376150	
696200	33113	Fanlang, Wang's wife
696201	195549	Amber
696202	160897	Dina
696202	173932	Tahitian Girl #1
696202	177705	Tokyo subway girl
696203	371577	Sister Chang
696204	151895	Guest
696204	159713	Alice
696204	187533	Jennifer
696204	220924	Joan
696204	248878	Navajo Bunk Girl
696205	281244	Kitchen Hand
696206	67758	
696207	77567	
696208	121546	Waitress
696209	4465	Teresa
696209	27161	Angel
696209	38189	Sandy
696209	58692	Cindy
696209	61993	First Love
696209	63366	Chin
696209	63376	Octopus
696209	94436	Betty
696209	191553	Kelly
696209	231226	
696209	300389	Amnesia
696209	374943	Hung
696210	1946	
696210	206348	Ming
696210	324720	
696211	274037	People's Housewife Assessor
696212	227247	The Mother
696213	357151	19 Year old girl
696214	150927	
696215	159886	Mai Da (second child)
696216	22651	Shelly Carter
696216	27195	Additional Voices
696216	108319	Executive #1
696216	109662	Prison Reporter
696216	154427	Kim's Friend
696216	176965	Newscaster
696216	198492	Newswoman
696216	235052	Female Newscaster
696216	256146	Cat 2
696216	283497	Chinese Dealer
696216	283545	Reporter B
696216	283712	Exposition Official
696216	283713	Heaven on Earth Hostess
696216	291222	E.R. Doctor
696216	296785	Dr. Truong
696216	359908	Researcher #2
696217	317947	Restaurant Hostess
696218	39906	
696218	62018	
696218	83820	
696218	85800	
696218	86706	Segment 4 Girl
696218	114945	
696218	129081	Herself
696218	150068	
696218	195596	
696218	240196	
696218	242063	Herself
696218	243524	Pregnant Woman in Waiting Roo
696218	243526	
696218	243537	
696218	243543	
696218	271831	
696218	296045	
696218	296260	
696218	297688	
696218	301836	
696218	311555	
696218	319705	Herself
696218	320966	
696218	320983	
696218	321012	
696218	321051	
696218	358074	Herself
696219	113914	
696220	208589	Herself
696222	411777	Chen Yi
696223	309470	Seung Mina
696224	149050	The Dowager
696225	12402	La Tropicana Girl #2
696225	164128	
696225	380713	Lorrie Moore (1988-1989)
696226	48099	
696227	255021	Mrs. Luo
696227	369647	Xiao Xiao (child)
696228	7684	Singer/Dancer
696228	30582	Felons Cheerleader
696228	45591	Dancer
696228	150075	Palace Girl
696228	225777	Denise
696229	76398	
696229	187533	Ruby Lin
696229	198739	Mandy
696229	208073	
696230	354683	Lois
696231	298682	
696232	135537	
696233	346346	Mail-Order bride
696234	64864	Buddhist Nun
696235	295710	Lana, the masseuse
696235	328581	
696236	213252	Sad Vamp
696237	78902	Cathy
696238	283713	Gambler
696239	207440	Big Bottom Girl
696241	410883	Auckland Correspondant (2004-
696242	111209	Mei Rong
696242	236263	Pregnant Woman
696242	297353	Liang Yiyun
696243	346039	Plumber
696244	393496	Liu Yitai
696244	411592	Xinyi
696245	150998	Wife Buyer
696246	60049	Ko L-Sheng
696246	117354	Fong Yi
696246	175256	TV show hostress
696246	218141	The Teacher
696246	232740	Lin Hsiao-yang
696246	283712	Consul Secretary
696246	302835	
696246	369760	
696247	131254	Liu Yemei
696248	131265	Yoyo
696249	41198	Blood Gnome Vocals
696250	36938	
696250	367180	Madame Qin
696250	399350	Herself (eliminated round 3)
696251	355085	Daisy
696252	139475	
696252	344914	
696253	39165	Sandy McKenzie
696253	41142	Guest of Dona Sol
696253	41502	Mrs. Bedlow, in Court
696253	47088	Commander's Wife
696253	48558	Brenda Tracy
696253	59598	Joan Karnoff
696253	59613	Mrs. Wayne Russell
696253	59614	Barbara Cardozo, alias Helen 
696253	59622	Linda Pendleton
696253	64099	Madame Dolores
696253	65798	Margo Rogers
696253	72437	Mrs. Fleming
696253	94129	Mrs. Demooth
696253	96956	Carol Carter
696253	119536	Mrs. Crane
696253	128193	Jeanie Barton Foster
696253	128217	Vicki
696253	134055	Woman
696253	138804	Suzanne
696253	141650	Nurse
696253	143577	Pretty woman
696253	144572	Sonia
696253	150575	Jane
696253	153996	Linda
696253	161945	Showroom buyer
696253	178342	Veronica, Wyn's Wife
696253	183706	Liza's Mother
696253	185754	Carla Rodriguez
696253	186117	Woman
696253	188341	Canteen hostess
696253	202852	Receptionist
696253	206414	
696253	210801	Mrs. Olsen
696253	210833	Eloise Palmer
696253	219189	Miss Allen
696253	222701	Sally Keating
696253	224804	Flossie La Mare
696253	231812	Hedda Smythe
696253	243206	Margie
696253	245323	Lois Borden
696253	253476	Flo Sampson
696253	256899	Sdecretary
696253	264776	Helene
696253	275451	Society reporter
696253	279317	Barbara Winston
696253	287296	Mrs. Porter, Writer's Wife
696253	330148	Barbara Murdock
696253	337366	Grace
696253	343203	Mrs. Carmen
696253	359218	Joan Allen
696253	366492	Wife
696253	372641	Mrs. Edwards
696254	24259	
696254	269233	
696254	405415	Mother Violeta
696255	189306	
696256	395900	
696257	105134	
696257	105265	Angry White Waiter
696257	220062	
696257	298311	Ray's Mother
696257	361591	Puerto Rican mother
696258	6319	
696258	8433	
696258	8474	
696258	20215	
696258	22595	
696258	112181	
696258	137866	
696258	156414	
696258	162121	Aliki Mavroyialourou
696258	172822	Liza
696258	178301	Anna
696258	181389	Student Xanthopoulou
696258	185872	
696258	185873	
696258	201974	
696258	240080	Polyxenni
696258	244239	
696258	246620	
696258	259882	
696258	281228	Fofo
696258	327383	
696258	329171	Eleni
696258	343325	
696259	69023	
696260	66194	Lucy Hernandez
696260	70359	Carmen
696260	114298	Theresa
696260	141416	Juanita
696260	274805	Rosella
696260	343864	Jamilla
696261	70689	
696262	218228	Antoñita
696263	334687	Cubana
696264	106458	
696264	114873	(segment "Tatanta")
696264	350144	
696265	218518	
696266	12101	Herself
696267	160504	Sarah's Friend
696267	252974	Sheila
696268	9694	Olga
696268	50137	
696269	273121	
696270	222530	
696270	371693	
696271	145232	
696271	383770	
696271	384119	
696271	384782	Andrea
696271	385852	
696271	387171	
696271	387187	Chuqui
696271	398267	Cristina
696271	401250	
696272	14642	
696272	57463	
696272	57912	
696272	99439	
696272	132476	
696272	160092	
696272	199786	
696272	226184	
696272	266058	
696272	302301	
696272	336396	
696273	80139	Maid
696274	406050	Martina
696275	400733	
696276	81040	Butch's Mom
696277	117546	
696278	357189	
696279	202063	Chica en la calle
696280	7952	Young Mother
696280	12722	Lilly, Audrey, Dart Girl
696280	26644	Dr. Green
696280	120609	Edna
696280	194268	Selma Hinson
696280	211950	Computer Voice
696280	211951	Computer Voice
696280	241955	Jujudormah
696280	313415	Terrell/Dejar/Obsidian Order 
696280	313434	Admiral Arai/Additional Voice
696280	345851	Reporter
696280	369460	Marrow
696280	379230	Morticia Addams
696280	379279	Additional voices
696281	201216	
696282	325859	Frau Lincke
696282	347622	Frau Konsul Steensand
696283	102374	Adelige Ehefrau
696283	184552	
696283	290183	Pepi
696283	332551	
696283	375093	
696283	376125	Kitty
696283	394049	(1997-1998)
696283	404454	Pepi Maybach
696284	356405	Jeanne
696285	376817	
696286	383727	Zaíra
696286	409405	Jô
696287	222033	
696288	292226	Receptionist
696289	388307	Madonna Birkeland (1997-)
696290	300817	
696291	112926	
696292	212477	
696293	41794	Lana Lin
696294	383784	Irma De Felice
696295	142535	Andrea
696296	324749	The Girl
696297	22723	Herself (Kazakhstan Russian r
696298	4613	
696298	55397	Herself
696298	117086	Ivy Moore
696298	128145	Herself
696298	166087	
696298	216669	Lillian Gilliam
696298	235579	Josie
696298	299900	Dorella
696298	316093	Herself
696299	264157	Wedding Guest
696299	292796	Mrs. Avery
696299	292797	
696299	300902	Connie
696300	45867	Alex's secretary
696301	41813	Polly Entwistle
696302	26775	Bit Part
696302	59620	Leading Lady
696302	75848	Rose Comstock
696302	99224	
696302	128266	Girl from Liverpool
696302	130754	Farmer's wife
696302	142549	Diana Cody
696302	164605	Susan Wertheim
696302	176358	1934 Goldwyn Girl
696302	184446	Nita Madero
696302	190210	
696302	194965	Kate Bland
696302	195903	Mrs. McNab
696302	203041	Sally Langton
696302	203272	Irene Sherman
696302	211601	Maid to Sonia
696302	219917	Mrs. Raymond
696302	239346	
696302	242110	
696302	269789	Rose Campbell
696302	311031	Audience
696302	324404	Sally Martin
696302	329538	Secretary
696302	331551	Guest at Captain's Tea
696302	331769	
696302	337316	Molly Butterfield
696302	359288	Grace Carlysle
696302	365482	Ruth Thorndyke
696302	367270	Ellen
696303	366600	Woman on Street
696304	39895	
696305	297802	Zombie
696306	40878	Young Woman in Town Hall
696307	232019	Zombie
696308	82626	Marianne
696308	346030	Marianne
696309	30646	Student
696310	57465	
696311	160116	
696311	192406	Meg March
696311	213870	Rose Sibley
696311	238449	Theban Citizen
696311	385299	Joanna Freeman (1984-1985)
696311	385627	Mrs. Simpson
696311	396929	Susanna
696312	3752	Herself
696312	384378	Herself
696313	15937	Pat
696313	333567	Lucy Stevens
696313	335799	Secretary
696313	386603	Doreen Aldrich (1977-1979)
696313	396088	Felicia Fleming Lamont (1974-
696313	411419	Gloria (1970-71)
696314	227502	Toddler Ashley Judd
696315	5161	
696315	327256	Woman at the wake
696315	342887	Dolores
696315	363575	Co-ed
696315	363622	Maid
696316	72931	Goodyear Chorus Girl
696317	388993	Presenter
696318	362191	Rebecca
696319	244036	Chica Pizzería
696320	3370	María
696320	14407	Raquel
696320	14716	
696320	18827	Mrs. Treniev
696320	44197	Elsa
696320	51567	Natalia
696320	125759	Magdalena
696320	170237	
696320	194134	
696320	204564	
696320	222005	
696320	227015	Mama
696320	258483	Juana
696320	267290	
696320	269269	
696320	281210	
696320	307202	
696320	335196	Tomasa
696320	338945	Laura's mother
696320	370081	
696320	398157	
696321	187842	Cura
696322	123463	
696323	23502	Escortpige
696323	110408	Eva
696323	117742	Signe
696323	317814	Jon's Groupie
696323	405582	Henriette Mertz
696324	404145	Riitta Ruukki
696325	47397	
696326	141335	Alma Dale Briggs
696327	67577	Trish
696327	236154	Candi
696327	256123	Anne Walker
696327	257527	Anjelica
696327	392176	Erika Hanks
696328	22844	Elis Veninde
696329	294753	Lenore Bliss
696330	77553	Ms. Söderlund
696330	120091	One of Hasse's girlfriends
696330	123494	Gullan Storm
696330	140393	Sigrid Bakken
696330	181006	Ingeborg
696330	182568	Bouncer's Mother
696330	198015	Elisabeth
696330	217008	The dresser
696330	237264	Mrs. Hellman
696330	248521	Alma
696330	270293	Aunt
696330	293314	Mrs. Persson
696330	333046	Grandmother
696330	354691	Mrs. Tornelius
696331	257684	Herself
696332	146738	Mayhew's Secretary
696332	218821	Waitress Lorna
696332	231391	Nurse
696332	283341	Nurse
696332	289377	American Woman #3
696332	303860	Woman #1
696332	342496	Additional Voices
696333	200506	
696334	148614	Soprano
696335	205725	
696336	33140	Eva
696336	34354	Dirne
696336	60061	Stephanie
696336	82369	
696336	119208	
696336	153926	
696336	156044	Irmgard Burger
696336	164272	
696336	172850	
696336	197417	Fiffi Tänzerin
696336	303856	Daisy Köhler
696336	322945	Frau Mia
696336	364932	Lissy
696336	364949	
696337	16073	Aunt Edith
696337	24209	Doris Hilton
696337	65718	Margaret Maskelyne
696337	69235	
696337	81071	
696337	90401	Mrs. Painter
696337	110265	Mrs. Beamish
696337	141317	Mrs. Carter
696337	151603	Various
696337	203380	Ann
696337	232860	
696337	240886	Maria Pouliski
696337	242490	Maysie
696337	243071	Jane Bond
696337	399772	Mother (1973)
696337	402123	Mrs. Bennet
696338	550	Charlotte
696338	84557	Herself
696338	147142	Singer
696338	189854	Herself
696338	223189	Singer
696338	290122	Singer
696338	303710	
696338	322500	Singer
696339	102118	Gitte
696340	283006	Mary
696340	379716	Katie Kennicott, R. N. (1990-
696341	205724	Nurse
696342	31735	Katie Pinkerton
696342	35144	Autumn West
696342	40029	Young Blanche
696343	319736	Glückliche Mutter
696343	391471	Herself/Host (1997-1998)
696345	72697	Mother of Black Buffalo woman
696345	286172	Nonyak
696345	367323	Native American
696345	403280	Many Tears
696346	360837	
696347	302454	Dancing Girl
696348	82449	Martha Washington
696350	343456	Herself (tourist guide)
696351	34700	
696351	36571	
696351	220165	
696352	142833	Juanita Silva
696353	360834	Telephone Operator
696353	371887	Yolanda's Maid
696354	40083	Mrs. Wayne, Hospital Supervis
696355	456	Margot
696355	5124	Mutter Gastl
696355	119146	Pechmarie
696355	129685	
696355	189630	Ina's mother
696355	307093	Klara
696355	397451	
696356	17705	Anne Carstensen
696356	88692	Eva
696356	153386	Rigmor
696356	153560	Lotte
696356	153951	Various roles
696356	221088	
696356	268373	Tulle
696356	293698	Datter
696356	304393	Redaktion
696356	305883	Bruden
696356	333108	Else
696356	352116	
696356	397074	Jenny
696357	10977	Helen Drake
696358	225728	
696358	293875	
696359	56623	Diana Wynne
696360	340745	Flirt
696361	51106	
696361	338659	
696362	312229	Martin's daughter
696363	14619	
696363	26854	
696363	71641	
696363	108036	
696363	117708	The Other Girl
696363	143132	
696363	145982	
696363	183860	The pretty beach dancing girl
696363	200914	
696363	227333	Nancy Worthing
696363	233803	
696363	256117	
696363	257854	
696363	315862	
696363	354502	Teacher's Pet
696363	364518	
696363	366256	Betty Edwards
696363	370562	
696364	115385	Man with accordion
696364	222444	Accordion Player and Singer
696365	360301	
696366	305521	Herself - Member of board, Me
696367	34700	
696368	26637	
696368	365259	
696369	194789	Young Laurie 14 years
696369	265109	
696369	267146	Liz
696369	387312	Jen MacMahon
696369	392244	Edith
696369	392763	Various
696369	397465	Dee Sampson
696370	82449	Mammy
696371	288080	
696372	115377	Debbie Jordan
696373	390145	Cheerleader
696374	117585	
696375	49026	Natalie St. Clair
696375	51833	Missy
696375	56085	Heidi
696375	66126	Simone LaFontanne
696375	66609	Monica Gordini
696375	100887	Cat
696375	120286	Alex
696375	138220	Janine
696375	148783	Charlene
696375	171483	
696375	216806	Jae
696375	220622	Natalie
696375	223752	Missy McCloud
696375	224106	Alice
696375	233956	Sam
696375	233987	Sara Robbins
696375	274215	Connie
696375	279456	Nurse Graves
696375	304285	Dawn
696375	310852	Yvette
696375	320090	Olivia
696375	332821	Penny
696375	404002	Pru Shepherd (1984-1985)
696376	368740	TV3 Oplæser
696377	245099	Sarah
696378	1280	
696378	12479	
696378	38369	Rebecca Chambers
696378	38377	Rebecca Chambers
696378	69160	Herself
696378	110801	
696378	130888	
696378	157675	Mavis
696378	183621	Bikini Girl
696378	212334	Herself - Jury Spokesman - Jy
696378	215039	
696378	333831	
696378	372458	
696378	405984	(Pledge, USC)
696379	315627	Eldest sister
696380	6748	
696380	12795	
696380	20552	
696380	26015	Amapola
696380	28054	
696380	28077	
696380	37583	
696380	49035	
696380	61710	Ba Day
696380	79116	
696380	94894	
696380	122705	
696380	137586	
696380	138333	
696380	138648	
696380	162638	
696380	163177	
696380	163765	
696380	164866	Mother
696380	177969	
696380	189275	
696380	190414	
696380	194543	
696380	197425	
696380	204107	
696380	207048	
696380	223781	
696380	226980	
696380	284672	
696380	289171	
696380	303246	
696380	323363	
696380	325357	Lucia
696380	326251	
696380	382126	Rustica
696380	400738	Puring San Juan
696380	404051	
696381	79120	
696381	207480	
696381	330121	
696382	388445	Participant (2001)
696383	187468	Nina De Bernay
696384	23407	Hershelf
696384	343320	
696385	245160	Mrs. Mallon
696385	333219	Queen Elizabeth
696386	341138	Isabel Belforte
696387	51275	
696388	192825	
696389	93809	Elin
696389	99819	Hanna Högqvist
696389	129661	Aina
696389	135674	Mrs. Olsson
696389	147015	Eva Bergström
696389	159671	
696389	161156	Margit Barring
696389	164770	Mrs. Tomsen
696389	173188	Sonja Lindström
696389	182582	Hilma
696389	217007	Welfare Officer
696389	303851	Alice Blom
696389	322309	Hjärtsilla
696389	343471	Greta Knutsson
696389	345994	Maud Billing
696389	347025	Lisa Lindemark
696389	354688	Salvation Army Officer
696389	357762	Dagmar Udd-Odalman
696390	99568	von Scharfen's dancing partne
696390	115382	Marianne
696391	23515	
696391	218534	Secretary
696391	342258	Ann
696392	356186	
696393	612	Party Guest
696394	251944	director Leino's secretary
696394	271634	
696395	142231	Sykesøster
696395	337183	Tante Agnete
696395	337184	søster Agnete
696396	64038	
696397	17089	
696397	271850	
696398	248425	
696399	95768	Kadi
696399	226797	
696399	234863	Employment officer
696400	9996	
696400	174740	
696401	99467	
696402	252207	
696403	94384	Line
696403	237293	
696404	39124	
696405	49199	
696405	209321	Herself
696406	276139	Singing girl
696407	399847	Herself - Cafémedhjælper, Caf
696408	138525	Mrs. Hyltenius
696408	174092	Kerstin Ulfclou
696408	174094	Kerstin Ulfclou
696409	350584	Robert's mother
696410	320725	Svärmor
696411	21409	Edeltraut
696411	198428	
696411	334540	Eve Cunnings
696412	3238	Bloodsample nurse
696412	17318	Anita
696412	23515	
696412	62935	Mushroom Host
696412	106097	Lena Svensson
696412	122097	
696412	200866	Inga
696412	261211	
696412	284382	Anna Bella Gustafsson
696412	290521	Barbara Heinbach
696412	296032	Frigga/Madeleine
696412	305658	Annie
696412	320629	French mistress
696412	322280	Eva
696412	329958	
696412	359679	
696412	373311	
696413	106492	
696413	206491	Stewardess Abducted by Martia
696414	387963	Malin
696415	285801	
696417	115395	Charlotta
696418	42954	Blå Stjärna
696418	76734	Nurse
696418	99887	Vibergskan
696418	155621	Waitress
696418	181848	Nurse
696418	209327	Shop assistant
696418	303666	Creditor
696418	357796	Waitress
696419	148816	Extra
696420	338660	
696421	361423	Frau Lemke
696423	41917	
696423	72733	Stephen's Secretary
696423	78670	Cecily
696423	86467	Elaine
696423	107135	Mrs. Shields
696423	143068	
696423	144697	Waitress in Diner
696423	147967	Dr. I. Peck
696423	178020	Molly
696423	196209	High School Principal
696423	196339	
696423	220042	Guard
696423	250779	Mrs Sanderson
696423	284003	Factory Worker
696423	285726	Churchwomen
696423	289683	State Prison Matron
696423	291922	
696423	292698	
696423	308052	Mimi
696423	342491	Policewoman
696423	352856	TV Host
696423	360855	Authoress
696423	362407	Miss Shaw
696424	40907	Young woman in the compartmen
696425	153766	
696425	322433	Helena
696425	394863	Maria
696425	394884	Marianne
696425	404435	
696426	29556	Make-up artist
696426	88824	Maid
696426	181638	Ellen Karlberg
696426	310493	Flower girl
696426	320517	Kristin
696427	174726	Annika
696427	303706	
696427	320629	Abbess
696428	341026	Karin
696429	115385	Agathe Bengtsson, singer
696429	214220	Svea
696429	346962	
696430	229414	Ulla
696431	27091	Additional Voice Talent
696432	237236	Herself
696433	355631	Klärchen Hinzelmann
696434	305310	Lena
696435	151741	
696436	84319	Mother at the café
696437	287568	Sabina
696438	232350	
696439	14009	Herself
696439	191063	Herself
696440	62579	Margaret
696440	223963	Co-Worker
696441	191063	Herself
696441	383803	Herself (segment "Lindbergh's
696442	11564	Eileen
696442	17769	Brooke
696442	26387	Lisa
696442	50975	Traingirl #3
696442	87926	Kathy - Blue Ribbon
696442	91099	Bulma 1
696442	92759	Bulma
696442	92760	Bulma
696442	92761	Bulma
696442	117230	Heather
696442	125588	Kalya
696442	137336	Princess Fuse (English versio
696442	161706	Hari
696442	168766	Debbie Tesky
696442	222582	Katie Whitehead
696442	232928	Mana
696442	257982	Alice Sakaguchi
696442	272209	Natsume
696442	284935	Katy Lemore
696442	301613	Sue Lovic
696442	326479	Dinner Guest
696442	382648	Additional Voice
696442	386777	Becky, Bulma
696442	386922	Bulma (I) (1996-1998)
696442	386923	Bulma (1994)
696442	395762	
696442	398718	
696442	399495	Venus De Milo
696442	402863	Natsume
696442	403541	Additional Voices
696442	404080	Katy
696442	411738	Mia Koji
696443	2299	Inga Ferm
696443	268343	Märta's friend
696444	394538	Ring Salesperson
696445	78399	Lilly
696445	109122	Anita
696445	116134	Mrs. Hansson
696445	122462	Marianne
696445	138015	Admitting Nurse
696445	164770	Nurse
696445	174432	Tant Bella
696445	174697	Student friend of Greta
696445	225314	Sonja Eriksson
696445	268338	Sonja Eriksson
696445	268343	Maj
696445	307763	Girl at the office
696446	2223	Kristina Kalling
696446	42209	Carmen
696446	182583	Eva
696446	204532	Monika, model at the fashion 
696446	284102	Anita, maid
696446	284104	Ingrid Sanner
696446	315971	
696446	338659	Eva
696446	338660	Britta/Sonja
696446	352999	Annika
696446	377422	'Myran' Jonsson
696447	39554	
696448	182257	Maj
696448	182282	Marie
696449	28092	Bente Sanders
696449	34071	The sister
696449	35127	Narrator
696449	43388	Alma Andersson
696449	48356	Lena Holmberg
696449	48370	Marinette
696449	54324	
696449	78395	Elena
696449	107305	Laura
696449	115401	Ingrid
696449	115425	Gunilla
696449	120314	
696449	129259	Queen Anna
696449	130072	Margit
696449	141800	Juliane Tesman
696449	154562	Herself
696449	170707	Ingeri
696449	181281	Inga
696449	182544	Rebecka Andersson
696449	192927	Herself
696449	214351	Nini Ahlgren
696449	215559	
696449	225348	Nina Mihajlovna Sarjetjnaja
696449	226516	Grandmother
696449	228419	Karin Persson
696449	237292	Anna
696449	238093	Doris
696449	241179	Maria
696449	241980	Professor's wife
696449	245805	Phyllis Hayes
696449	270293	Jenny
696449	272410	Karen
696449	276209	Anna
696449	276291	Lizzie
696449	286137	Nora
696449	289731	Eva
696449	303648	Girl
696449	304221	Mabel
696449	305863	Charlotta Borg
696449	305875	Olga
696449	318612	Ylajali
696449	320611	Eva
696449	322310	Kerstin
696449	343388	Anna
696449	351599	Valeria
696449	371670	Anna Månsdotter
696449	377304	Adele Holmström
696449	377337	Ellen Ringmar
696449	390784	Margareta Kallin
696449	394197	Isabell (episodes 2, 4, 7, 9,
696449	408998	Maria Jonsson
696450	182576	Julia
696451	35065	Shop assistant
696451	45943	Nurse
696451	94413	Kristine
696451	342316	Herself
696451	387196	Mia Martinsson
696451	405570	Ylva Strandberg (1996-1999)
696452	275790	
696453	336488	Spa Hostess
696454	99528	
696455	40946	Fritiof's Mother
696455	115883	Mrs. Nilsson
696455	136628	Ulrika Mård
696455	148817	Grandmother
696455	153768	Old Villager
696455	168389	Lisa
696455	181638	Grandma
696455	286103	Steinunn
696455	303645	Selma
696455	315549	Reinhold's mother
696455	357749	Lady
696456	48339	Hilma
696456	107881	Hamnbojan
696456	109132	Hotelluppasserka
696456	120023	Lillan
696456	130071	Viola, Greta's friend
696456	138433	Woman dancing with Johansson
696456	154563	Linnea
696456	182288	Woman
696456	187662	Guest at wedding
696456	237149	Kajsa Wester
696456	264277	
696456	281039	Ann
696456	315362	Flora
696456	322664	Sonja
696456	353013	Girl in the carnival booth
696456	377389	Miss Granlund
696457	204543	Journalist (episode 2)
696457	237035	
696457	320611	Maggan
696457	378897	Midwife
696457	395047	Kristina
696458	111836	Fia's mother
696458	388424	Trine
696458	400008	Linn Berg-Johansen
696459	154620	Elderly Lady
696460	36704	Mrs. Dingley
696460	38259	Mrs. Wallaby (old lady in gre
696460	54629	Dot
696460	55588	Edith
696460	94655	Mrs. Pevely
696460	102572	Miss Boyd
696460	137536	Sister O'Hara
696460	138797	Elderly Woman
696460	140967	Polly
696460	154854	Older Lady on Bus
696460	176792	Sissy
696460	183346	Casino Old Lady
696460	191747	Saleslady
696460	219556	Mrs. Duffy
696460	223745	Coffee Customer
696460	224820	Mirabelle Houle
696460	230505	Mary
696460	245218	Sarah Laughlin
696460	252924	Theodora
696460	292472	Mrs. Cardona
696460	304820	Margaret
696460	373577	Jean Wishart
696460	382160	Elderly Woman
696461	294142	Dana
696462	108169	
696462	322678	Primadonna
696463	79041	Charlotte Avenel
696463	385824	Ali McIntyre #2 (1998-1999)
696464	123397	Waitress
696465	147966	Bimbo #2
696465	197040	Stripper #1
696466	164362	Harriet
696466	357764	
696467	337183	Barbro
696468	315417	Elin
696469	43876	Neighbor
696470	2587	
696470	241975	Rosa
696472	48345	
696473	187806	Gerda Bratt
696474	48162	
696474	104961	Mevrouw Ruyter
696474	142513	Engel
696474	152367	Angelina
696474	195030	
696474	227361	
696474	373797	Magda
696474	400287	Sidonie
696474	410401	Dienster in de bolbaan
696475	191565	Ida
696476	17951	
696476	87401	Mrs. Crawford
696476	104943	Girl Photographer
696476	135992	Ace
696476	289030	Ula
696476	371565	
696477	230526	Mona
696478	53927	Carrie
696479	88824	Lillan Pall
696480	126745	Jenn
696480	385824	Jan Spears #2 (2004 -present)
696481	264279	Child
696482	289486	Hyacinte
696483	113287	Blondie
696484	408800	Ulrika Koriander (1997-1999)
696485	163288	Bus passenger
696486	24690	
696486	233243	Guest
696486	283232	Manager
696486	302989	Nurse
696486	320400	Anni Salonen
696486	324756	
696486	354255	
696487	2351	Dutch girl
696488	17615	Anna-Liisa
696488	99219	Ebba Fincke
696488	320385	Anna Santala, kyläompelijatar
696488	351947	rouva Lolan
696489	339884	The Solas Sisters
696490	339884	Chiquita Solas
696491	339884	Pepita Solas
696492	339884	Lolita Solas
696493	10270	Amalia Rosencrantz
696493	18417	Savina Iivena
696493	42099	Laila
696493	142792	Sirkka
696493	156040	
696493	225234	Head-waitress
696493	400356	Fru Forsius
696494	29523	Barfly
696495	395603	Herself
696495	406117	Herself
696496	56946	Catherine Dunbar
696496	117072	Clara
696496	151761	Dolly Wilcox
696496	190774	Jewel
696496	232372	Boffin
696496	279611	Jeannie
696496	351238	Nina Jago
696496	353480	Victoria
696496	362220	Elizabeth
696496	397380	Ruby Otway
696496	400697	Ruth
696497	301666	Mother
696498	271845	Tier (in song Tier)
696499	34400	Maria Josefa
696499	178601	
696500	6719	Herself
696500	6720	Herself
696500	6721	Herself
696500	11358	
696500	26485	
696500	34437	Allison Spencer
696500	34928	
696500	34930	Herself
696500	34931	Herself
696500	34932	Herself
696500	34933	Herself
696500	40809	Herself/Enema Nurse
696500	40962	Herself
696500	41076	Herself
696500	41486	Herself
696500	47543	Angel
696500	50179	
696500	81787	Herself
696500	81826	
696500	81835	
696500	82837	Herself
696500	95801	
696500	95803	
696500	100899	Fantasy girl
696500	116013	Herself
696500	117216	
696500	129090	Herself
696500	139209	
696500	160240	Herself
696500	163480	Herself
696500	165563	Herself
696500	177468	
696500	177707	
696500	183715	Sharon Masters
696500	184773	Samantha
696500	227997	
696500	241066	
696500	252371	Herself
696500	252382	Model
696500	252403	Herself
696500	257620	Herself
696500	261289	
696500	264785	Camp director's wife
696500	274415	
696500	304784	
696500	323379	
696500	347390	
696500	349969	
696500	363375	Janine
696500	363376	
696500	365676	Herself
696500	367803	
696500	369908	Herself
696500	408160	Manager
696501	259096	
696502	6001	Herself
696502	389172	Herself/panelist
696503	191084	
696503	355987	Betty
696504	136824	Cousin Hebe
696505	177613	Other girl
696506	313828	Backup Singer 1
696507	70215	
696508	34116	Various characters
696508	41362	Attractive girl
696508	148222	Carol
696508	365560	Mavis
696508	380591	Old Mr. Grace's Secretary (Se
696508	385156	Doreen (1980)
696509	207268	Female dancer
696509	238991	Chorus Girl
696510	123240	Bus Girl
696510	145379	Julie James, Waldo's Daughter
696510	183358	Hilda
696510	264836	Cindy
696511	176713	Tall & Short Couple
696511	408128	Pigeon Malloy
696513	185000	Sini
696514	35206	
696514	40999	
696514	47844	
696514	101355	
696514	142319	Ärztin
696514	341100	
696514	352379	Hedwig Plotten
696514	376408	Frau im Zug
696515	18993	Woman in bar
696515	26769	Ingrid
696515	101040	Party Goer
696515	131835	Fatima
696515	217505	
696515	217943	Secrétaire du Turc
696515	274445	Beatrice
696516	16070	Maid
696516	59649	Edith
696516	71183	Countess Wolski
696516	81285	Sister Mary/Penny Stacey
696516	82130	Josie
696516	88933	Herself ('Barbara')
696516	92627	Barbara
696516	100952	
696516	141787	Mrs. Elvsted
696516	149256	Eve
696516	167014	Mrs. Edmonds
696516	191963	Mrs. Errol
696516	192000	Mrs. Fairbrother
696516	210908	
696516	232410	Janet
696516	256821	Pam Seymour
696516	258777	Linda Channing
696516	263102	Daphne Stillington
696516	279107	Lydia Languish
696516	295489	Georgie Hands
696516	349876	Agnes Ayres
696516	350160	Angela
696516	367816	Ursula Brangwen
696516	391879	
696516	395311	
696516	395647	Patsy Cornwallis-West
696516	408716	Angela Healy
696516	411401	Herself - Narrator of compila
696517	101721	Gloria
696518	78911	Anne
696518	203707	
696518	274332	Dancer
696518	358876	
696519	143135	Marian Strong
696519	177375	Janice Blair
696519	183721	Airline Stewardess
696519	194052	Bumboat Girl
696519	302603	Ticket Girl
696520	20882	Inga Larson
696520	84315	Guest at the restaurant
696520	142337	Eivor Wahlman
696520	182079	Roger's secretary
696520	198265	Astrid
696520	217451	Louise Holmqvist
696520	306380	Hanna
696520	322297	Gunilla Gripclou
696521	163453	Herself
696522	94858	Gail
696523	134648	Corinne Branch
696523	146002	Annabelle Jesson
696523	230919	Caroline Dwight
696523	236875	Nurse Cavell
696523	355225	Minerva Crowninshield
696523	359129	Gloria Green
696523	367711	Miss Jane Wilson
696524	6791	Woman with Gus in bar
696524	16468	Mrs. Townsend
696524	175175	Capt. Sanders
696524	201151	Winifred 'Wini' Ashbourne
696524	272025	Jill (sister)
696524	293084	Mrs. Holliday
696524	313058	Mrs. Mary Collins
696524	321529	Emmy Lou Grogan
696524	331205	Nurse
696524	331398	May Elton
696524	331616	Schoolmarm
696524	370529	Mrs. Carlton
696524	372819	Edith Lyons
696524	411358	
696525	397537	Riitta Vanhanen
696525	401477	Anneli Niiranen
696527	374638	Angvisa Girl
696528	187066	Machteld
696528	385299	Nurse Glebe
696529	41224	
696530	151778	Policewoman #10
696531	314491	
696532	64391	Mary Carr
696532	64590	
696532	294173	Adele Thorne
696533	315736	
696534	78108	Mrs. Brown
696534	184955	Guest
696534	292129	Seductress in Bar
696535	222750	Young Zoey
696536	326769	Margo Rossi
696537	347035	(segment "A Murder Out of Jea
696538	35000	
696538	35052	
696538	40417	Frau Linde
696538	143967	
696538	186921	Secretary
696538	259478	Frau Beck
696538	259481	
696538	259486	
696538	259509	Maria Gau
696538	259571	Frau Bremer
696538	328987	
696538	376415	
696538	385660	
696539	24021	Claudia Wassiljewna
696539	94803	Maria Sergejewna
696539	214682	Haushälterin
696539	310273	
696540	271857	
696541	341913	Une cousine
696542	42201	Sangerinden
696543	388051	Herself (2000)
696544	261850	
696545	36480	Edwina
696545	38994	Eva Brandt
696545	156687	Charlotte
696545	210048	Charlotte Mueller
696545	295986	Ines
696545	345678	
696545	347637	
696545	352534	Caro
696546	26884	Dionysos
696546	108060	Mrs. Meg Page
696546	182579	The Mother
696546	220723	Dorabella, Fiordiligi's siste
696546	236181	Contessa d'Almaviva
696547	197490	Blacksmith Woman
696547	230386	Mrs. Viccaro
696547	242731	Mrs. Berman
696547	242732	Hiram's Wife
696549	193304	Wirtin
696550	388038	Jennifer
696551	69619	Jodi
696552	129171	Hostel Guest
696552	181494	Mother
696552	181848	Nurse
696552	227740	Woman in laboratory
696552	322310	
696552	350564	Nurse Ingrid
696553	30144	Lena Olofsson
696554	19942	
696554	57255	Liu
696554	65603	
696554	69369	Ser Lappolo's wife
696554	81512	
696554	99065	Elena
696554	119261	Bridget
696554	122558	
696554	127948	Gwen
696554	132316	
696554	149362	Actress
696554	149513	
696554	157185	
696554	158901	Laura
696554	161770	Erika
696554	170068	
696554	179778	Gisela
696554	179780	Pamela Hudson
696554	189788	Britta
696554	195039	Stella
696554	207968	
696554	212354	Laura
696554	218765	Ulriche Pabst
696554	225591	Leonor
696554	229436	Anita
696554	234343	Christa
696554	250772	Maria Luisa
696554	256539	
696554	263727	
696554	264258	
696554	270329	Fiora
696554	279790	
696554	303223	
696554	325703	
696554	340423	
696554	342113	
696554	344130	
696554	349665	Angela
696554	352103	Mi Mo
696554	357888	Eva
696554	369400	Jane Wilkins
696554	377099	Sirene Martinez
696555	31390	Bäuerin
696555	90327	
696555	161426	
696555	186945	Liesi
696555	186946	Liesi
696555	187682	Sigrid Leuwen
696555	350624	
696556	97951	Frau auf Domplatte
696557	625	Aicha
696557	24046	
696557	33218	
696557	93581	Herself
696557	153110	Mareen
696557	162608	
696557	179777	Phyllis Leighton
696557	189577	Coco
696557	243305	
696557	316356	
696557	324157	Cora
696557	347656	
696557	361528	Senta
696558	165958	Customer
696558	224313	Waitress
696558	301680	Nurse
696559	198541	Sara Kettle
696559	198542	Sara Kettle
696559	198545	Sara Kettle
696560	257232	Ghost
696561	7408	Angry Demonstrator
696562	317599	Girl
696562	322422	Aina
696563	63049	Herself
696563	71456	
696563	411802	Esther Valentine (1982-)
696564	129693	
696564	209999	Linda
696565	8021	
696567	148620	narrator
696568	314958	Customer in the store
696569	381436	Sarah (1998-)
696570	319088	Stina
696571	131539	Catherine
696572	82327	
696574	277648	Lisa
696575	64630	Karin
696575	109544	Ballet girl
696575	181850	Lisa Ek, prostitute
696575	307221	Britta
696575	314385	Barbro
696575	342304	
696576	112984	Herself
696577	284932	Model
696578	377442	Sjukvårdsbiträdet (episode 3)
696579	317811	
696580	234828	Deetle
696580	350488	Denise Cousins
696581	107879	Sängerin
696582	302290	Sim
696584	387533	Marieke Van Der Ende (1997) (
696585	215686	Miss Spain
696585	379566	Nines (1999)
696586	404898	Natasja/Athena/Diewertje/Flo 
696587	122320	Make-up Artist at Film Studio
696588	284553	Tävlingsledaren
696588	405734	Christina Eriksson (8 episode
696589	113252	Madame Varenne
696590	170106	La secrétaire de Lutz
696591	354607	Dolores
696592	293625	
696593	388894	Louise (episode 1)
696594	52603	Vamp
696594	94257	Sabina Nilsson
696594	104741	Swedish entry (2nd place)
696594	104760	Host
696594	147240	Swedish host
696594	156616	Sabrina
696594	210331	Herself
696594	245943	Agda
696594	264559	Della
696594	304469	Receptionist
696594	350607	Cassandra
696594	351798	Singer
696594	378804	Herself
696594	387959	Herself - Presenter (1985)
696594	397974	Sanna Sohlman
696595	238803	Sjuksyster
696596	280841	Gisella
696597	151741	
696598	31936	Lastenkodin hoitaja
696598	184286	German Woman
696599	2930	Herself (Memorial Tribute)
696599	6984	Queen Margaret
696599	7409	Victoria
696599	12010	Lydia Stille
696599	17472	Ann's Mother
696599	17564	Anna Lans
696599	26967	Lysa Randolph
696599	27065	Mrs. Robovit
696599	34673	Madame Seurat
696599	45866	Doctor Elizabeth Larstadt
696599	48367	Emma
696599	53082	Marta
696599	56030	
696599	61576	Ida Walsh
696599	67004	Tania Badulescu
696599	68144	Monica
696599	72916	Bedelia Grantham (segment "Fa
696599	77463	Freya Neilson
696599	78787	Victoria Winant
696599	86032	
696599	86388	Ada
696599	88174	Barbara Harper
696599	88965	Mrs. Kristina Karlberg
696599	90673	
696599	100086	
696599	105807	Dr. Helena Lindenhaim
696599	105890	Nurse X
696599	116233	Karin Hansen
696599	117065	Rachel Loring
696599	117512	
696599	128598	Beatrice
696599	130299	Helen
696599	135674	Nurse Doris
696599	137630	Aleta Burris
696599	138165	Doctress
696599	153986	Lucie Dreyfus
696599	154205	Vellamo Toivonen
696599	154533	Angelica Jansson
696599	159904	Ami
696599	160469	Gypsy woman
696599	164784	Jenny Ahrman
696599	169406	Christine Thorssen
696599	177404	Claudia
696599	185683	Helena
696599	191152	Miracle
696599	191206	Ambassadress
696599	194289	
696599	196688	The Madame
696599	205569	Maria
696599	205851	Natasha Lytess
696599	208039	Grandma Rosenberg
696599	215438	Zofia
696599	217490	Grandma Bergman
696599	218757	Mrs. Minton
696599	219294	Maj-Lis Wassberg
696599	228447	Doctor Baker
696599	229153	Maria Rosai
696599	232285	Ann Gracy
696599	233583	Inez
696599	233934	Chris Radna
696599	234028	Anna Svoboda
696599	235088	Rosa Andretti
696599	243961	Isabel
696599	248414	Mrs. Paradine
696599	251876	Barónka von Frankenstein
696599	257764	Frau Schmidt
696599	268026	Paula Galba
696599	269662	Dr. Rosen
696599	270437	Harriet White
696599	271111	Elena Ortega
696599	283338	Helga Swenson
696599	283339	Senator Anderson
696599	292668	Aunt Rosa Koslov
696599	301660	Mrs. Collins
696599	302796	Singoalla
696599	306371	Lisa
696599	313601	Catherine Langford, PhD
696599	315718	Eleilat
696599	319876	Professor Taub
696599	320521	Maerta Lind
696599	321783	Irma Olanski
696599	322818	Sirkka Lind
696599	327441	Catherine II
696599	327565	Narrator
696599	328075	German lady
696599	330878	Evelyn
696599	331697	Dr. Rice
696599	334371	Christine Lund Lestrac
696599	343471	Eva Örn
696599	346912	Helena
696599	354061	Franziska Idinger
696599	356313	Mrs. Lemon
696599	360270	Paula
696599	360741	Ingrid Hellstrom
696599	360749	Bea
696599	361226	Susan Moore
696599	371059	Mrs. Bellinger
696599	373874	Tatta
696599	374401	Madame
696599	387120	
696599	388894	Storråda (episodes 6, 8, 9)
696599	389253	Frankenstein's aunt
696599	396220	Paulene
696600	161947	Nicky Jones
696600	208632	Make-up Artist
696601	97864	Gudrun
696601	366761	Lenox School Band
696602	213435	
696603	387522	Berättare
696604	42190	Stina
696604	289783	Cleaning lady
696604	303645	Hulda
696605	341094	Madeleine
696606	198758	Elle
696607	187563	Journalist #5
696608	401882	Participante
696609	102897	Preben's Model
696609	120892	Snooping housemaid
696610	23193	
696610	150613	Young Rosa
696610	237149	Mrs. Ericson's double
696610	317471	Eva
696611	169542	
696611	293958	Clerk
696611	324482	Makeup designer (Herself)
696611	371658	
696611	397925	
696612	73491	
696614	96422	Jenny
696614	190995	
696614	198033	Vera Lind
696614	303674	Berit
696614	305528	Inger
696614	340268	Karin
696614	377397	Kamfergumman
696615	314873	The little girl
696615	372525	Usherette #1
696615	380389	Kelly Gardner
696615	389858	Kathy Summers (1980)
696615	401746	Tess
696616	138528	Åsa
696616	187624	Karin
696616	260500	Signe
696616	303847	Pia
696616	333082	Elisabeth
696616	409080	Amanda (2002)
696617	133309	Herself: Viola (Orkester)
696618	397779	Svea Brodén (episode "Ett ste
696619	149974	Lila Barkley
696620	115402	Woman at the harvest celebrat
696620	305519	Woman singing at the meeting
696621	172428	Kajsa
696622	227042	Female Friend
696622	342316	Herself
696622	405570	Sofie Johansson (1996-1998)
696623	170848	Herself - Swedish vote announ
696624	30144	Social worker
696624	164788	Sonja Lindgren
696625	89330	Pandora
696626	312228	Curt's Cousin
696627	108052	Mrs. Lalla Grönroos
696627	222903	
696627	239914	Sanni Heinonen
696628	142765	Elinor, Amanda's sister
696629	237087	Foreign Minister of Sweden (1
696630	378256	One of the Lindgren sisters
696631	141610	Nightclub Dancer
696631	351896	Venus
696632	60278	Female priest
696632	141751	Anna
696632	215269	Arsinoé
696632	284386	Pearl Bryant
696632	309341	Gretha
696632	353442	
696632	354743	Majken
696632	382893	Klara, Gunnar Bring's daughte
696633	343700	Pas de six
696634	78398	
696634	244206	Teacher
696634	315563	Ariel
696634	341815	
696634	353436	Victor's mother
696634	388582	Filippa Storm
696635	118743	
696636	301222	Secretary
696637	409172	Herself - Reporter (2003-2004
696638	20546	Krogdam: Kattis/Progbrud: Ylv
696638	32379	Anita
696638	94256	Secretary
696638	101611	Sonja
696638	153758	Dagisfröken
696638	320623	Annika
696638	322943	Eva
696638	355702	Eva Kipchoge (episodes 1, 2, 
696638	389600	Linda
696638	402840	Mrs. Sillén
696638	404048	Lotta Cedermark
696638	407127	Annika (1996)
696639	26884	Alfa
696639	266776	Fourth Short Extra
696640	385904	Herself - Host (2004)
696640	401141	Herself - Host (2004-)
696640	409153	Herself - Host (2001-2004)
696641	211433	
696642	197785	Olga
696643	28099	Stripper
696644	375704	
696645	197755	Peasant girl
696645	342597	Young Girl at Stake
696645	386584	Ingrid (Series 2) (1970)
696646	27480	
696646	40289	Batsy
696646	40919	The Bride
696646	109121	Laila
696646	114961	Girl
696646	182560	Jessie Sjövall
696646	214385	
696646	284137	Woman
696646	408335	Economy teacher
696646	410281	fru Kolmodin
696647	266776	Third Short Extra
696648	261439	Marta Benson
696649	182368	
696650	401607	Julietta Aranda
696651	315685	Irene Jacobs
696652	248425	
696652	350772	Various
696653	11286	Marsha
696653	281549	Mardel
696653	293192	Girl kissing Ed
696654	284578	Dolly
696655	106617	Mother
696656	23108	Krankenschwester
696656	178613	
696656	186959	Waitress
696656	193504	Doris
696656	205761	
696656	213568	
696656	231677	Irene
696656	325572	Frau Ingholm
696656	352188	Lisa
696656	356682	Lilly
696656	361130	Sylvia
696656	376264	Astrid
696656	383108	
696657	76387	
696657	76388	
696657	76389	Frau Brunner
696657	124999	
696658	1658	Carla
696658	8987	La jeune femme sur la terrass
696658	24315	Mary de Perceval
696658	28510	Jeanne
696658	43751	
696658	68425	Cécile
696658	78349	Clothilde Chambord
696658	91886	Kathryn Quinn
696658	97074	Bénédicte Lambert
696658	101139	Hélène
696658	211658	Carla
696658	212966	Annie
696658	231286	Caprice
696658	242038	Denise
696658	248888	Béatrice
696658	252530	Alexandra
696658	269503	Virginie
696658	275644	Delphine Frénel
696658	336944	Dan
696658	345155	Isabelle
696658	345548	Cécile Lefort
696658	346521	Laetitia Laroche
696658	353443	Hélène
696658	379420	Margaux (2003-????)
696658	382404	Sylvie Kaan (1995-1996)
696658	388120	
696658	399164	Hélène (1991-1993)
696658	412266	Hélène De Graf
696659	182101	Member of Ladies' Orchestra
696660	392318	Herself - Host (1991-1994)
696660	397684	Herself - Television Host
696660	401673	Herself - Host (2003-2004)
696660	402429	Herself - Host (1997-1998)
696660	403994	Herself - Host (2003)
696661	5201	Anne Zusselman
696661	11678	Herself (for "Three's Company
696661	34656	Ann Babson
696661	46813	Lulu
696661	53916	Fauna
696661	54030	
696661	70965	Monica/Edna's Mother
696661	78185	Nurse
696661	79891	Evangeline Adams
696661	80675	Jean/Edna's Mother
696661	83600	Frances Parker
696661	126696	Catherine Lawrence
696661	139699	Katherine Kendrick
696661	141403	Mrs. Corcoran
696661	171207	Elizabeth Thompson
696661	202248	Student
696661	204708	Nurse
696661	230508	Sandi Rego
696661	230710	Mae Allen
696661	241349	Mother
696661	253349	Mrs. Chaney
696661	275330	Dr. Zwiezic
696661	277106	Barbara Parkinson
696661	299664	Blanche Gaskins
696661	301659	Laura Hope Crews
696661	303284	Irene
696661	304397	Billy
696661	310838	Mrs. White
696661	313002	Grammy
696661	318164	Mrs. Ferrara
696661	319012	Aunt Joan
696661	323443	Rebecca
696661	323594	Ann Lockston
696661	323844	Mrs. Sternholt
696661	340320	Frances Temple
696661	363243	Ceil Ryder
696661	375809	
696661	380391	Elizabeth 'Aunt Liz' Matthews
696661	382747	Amy Fitzgerald
696661	386564	Janet Scott (1976)
696661	387309	Barbara Barnett (1962)
696661	388521	Lillian
696661	389417	Laura Tompkins (1958-1961)
696661	401079	Lily - General's Wife
696661	403732	Helen Roper
696661	404613	Sue Knowles (1962)
696661	408135	Helen Roper (1977-1979, 1981)
696662	34729	
696662	63530	Jenny Jerome
696662	92656	Dracula's wife
696662	123467	Girl at swimming pool
696662	170496	Slave
696662	267410	
696663	94623	Helen Crosby
696664	326456	Betty Jackson
696665	100033	Mrs. Smith
696665	126571	Stripper
696665	218371	Jimmy's Mother
696665	362629	
696665	363421	Second Woman
696666	117454	Princess
696666	284538	
696667	29909	Mary
696668	12394	Cassie St. Clancy
696668	14157	Carrie
696668	23501	
696668	26750	Craft Service Girl
696668	72418	Jesse
696668	82703	Teresa Burns
696668	176882	German Newscaster
696668	317397	Dominique
696669	143387	Ermine
696669	191536	
696669	311829	
696669	324401	
696670	163978	
696671	108199	Mrs. Wallander
696671	153760	Grandmother
696671	218996	Mrs. Ståhlfors
696671	225332	Markdanner's Wife
696671	284135	Widow
696671	312226	Constance Brage
696672	43248	Karin Månsson
696672	274833	
696673	115391	
696673	303648	Flagellant
696674	388646	Flygofficers dotter
696675	99161	Mariana
696675	179617	
696676	129859	Anna
696677	132182	Programledare TV4
696678	28167	
696678	155326	Cornelia Seidelbast
696678	189876	Tante Leonie
696678	273669	General's wife
696678	281954	Herzogin
696679	346387	Andrea
696681	264060	Assan
696682	60342	Mrs. Davis
696683	49304	
696683	67958	Garderobiere
696684	376352	Neele
696684	381864	
696685	149198	Casey
696686	325825	
696687	399175	Anna
696688	474	Emmi
696688	11873	Mühlenwirtin
696688	43655	Frau Hierl
696688	49303	
696688	82874	Frau Salzer
696688	93402	Urschi
696688	93406	
696688	98068	Bürgermeisterin
696688	103075	seine Frau
696688	111671	
696688	123886	Erni
696688	125210	
696688	125572	
696688	132541	
696688	138956	Mutter
696688	175249	Elfriede Deutelmoser
696688	178640	Amalie
696688	180883	Hebamme
696688	198268	
696688	275758	Sofie Hartinger
696688	288813	Nanni
696688	322530	Stasi
696688	324443	Elsbeth
696688	325543	
696688	325817	Elsa Rothermund
696688	325918	Frl. Seufzger
696688	334489	
696688	352036	Frau Schulz
696688	352313	Nanni
696688	361379	
696688	369167	Omili
696688	378554	Fanny, Kellnerin
696688	389943	
696688	392997	Frau Gruber
696688	394144	Mutter Anna Harmsen
696688	396874	Rosa Sievenich (1992-1993)
696688	403925	
696689	18240	Tamara Gabhart
696690	125210	
696691	81644	
696692	230392	Patti Donovan
696693	12539	Fanny
696694	325677	Gaby
696695	23065	Rosario
696695	25796	
696695	42643	Herself
696695	51733	Violeta
696695	63862	
696695	204642	Cardona
696695	211072	Presentadora
696695	257362	Enfermerita
696695	258133	Locutora Radio
696695	263860	Cardona
696695	302403	Analista (Psychoanalist)
696696	36640	Sister Inés
696696	233948	Drug-addict at disco
696696	268282	
696696	385052	Laura
696696	393028	Alejandra Marina
696697	80852	Female Reporter
696698	10632	Mlle. Loureau
696698	32469	Mrs. Bennett
696698	56172	Mrs. Perry
696698	78999	Eleanor
696698	79803	Mabel Thatcher
696698	92439	Clare Arditti
696698	106232	Mrs. Bliss
696698	129086	Lady Hester
696698	154581	Mrs. Edwards
696698	160555	Sybil Birling
696698	185347	Mrs. Holt (Emily, Bob's wife)
696698	201430	Mrs. Burgess
696698	231824	Mrs. Coleman
696698	235157	Mrs. Rance
696698	237911	Mrs. Humphries
696698	254554	
696698	271338	Aunt Maud
696698	271612	Woman in Palais de Danse
696698	276907	Grace Sambourne
696698	280891	Madame Vlandermaere
696698	282607	Tourist
696698	287999	Mrs. Harris
696698	296723	Nell Baker
696698	313797	Mrs. Sunley
696698	330420	Hilda Prescott
696698	337759	Mrs Bailey (segment The Priso
696698	342416	Olive Tavy
696698	363203	Maria Helliwell
696698	367494	Manageress
696698	371547	Senior Matron Hill
696698	385780	Mrs. Gummidge
696698	402060	Mrs. Beguildy
696699	281421	Shaquita
696700	191558	Girlfriend of Fredrik
696700	320607	Barbara
696701	192777	Teacher
696702	97023	Layla
696703	299410	
696704	148735	Soeur noire
696705	236381	Miss Stucco
696706	305007	Herself
696706	344140	Lalia, the Looli
696706	402732	Julie (1985-1986)
696706	411759	Vanessa (1982-1989)
696707	119710	Franziska
696707	142319	Bettina
696707	244201	Susanne
696708	70774	A Revolutionist
696708	243301	Rita Trestka
696708	247351	Queen Barbara
696708	258177	Krystana Smigielska
696708	284352	Grzegorzowa
696708	338886	Rita Barska
696708	341073	Michalinka Zurda
696709	30282	Oldfrue Tora
696709	37904	
696709	51291	Moderen
696709	87949	Signe
696709	99443	Frk. Jørgensen
696709	122462	Mrs. Madsen
696709	123502	Krokone
696709	135686	Martha
696709	145457	
696709	153101	Pastorinden
696709	178750	Alvildas mor
696709	182601	Kokkepigen Kristina
696709	184553	Gæst på godset
696709	275257	Fru Rasmussen
696709	284407	Malvine
696709	287375	Eksamensvagt
696709	293699	Karla
696709	322681	Fru Berg
696709	346992	Fru Nielsen
696710	33228	Røverkællingen
696710	33511	Judith og Annes mor
696710	48360	Mother
696710	55126	Senile Woman
696710	84277	
696710	117001	
696710	143219	Posekonen
696710	162657	Ludvigsen
696710	168430	Fru Jensen
696710	238780	
696710	242451	
696710	259049	Fru Nielsen
696710	322466	Laurine
696710	342243	Moder
696710	343953	Husbestyrerinde
696710	383948	Ældre Dame
696710	407294	
696711	173138	
696712	22845	Anders' Mother
696712	50242	
696712	117900	Karen
696712	120273	Agafja
696712	138930	Bankassistent
696712	151071	Maid
696712	154151	Mozartdamen
696712	155684	Karen's Mother
696712	181750	Ekspedient i renseri
696712	190840	Toms kone Else
696712	203398	Elly
696712	242102	Sygeplejerske/Nurse
696712	262961	
696712	278332	Dame på Asylcenter
696712	291638	Woman
696712	303747	Nina Nymann
696712	311175	
696712	322680	Ellens kollega på kontoret
696712	340079	Bjørn's mother
696712	341115	
696712	341116	
696712	349081	
696712	354882	Tv-journalist
696712	373433	Mother
696712	373985	Bjørn's mother
696712	378897	Krista Haberman
696712	394007	Edvard Knudsens sekretær
696712	398260	Kirsten Stillebæk
696712	398855	Fru Vesterdal
696712	406815	Various roles
696713	27312	Waitress
696713	166559	Big Kenny's girlfriend
696713	167564	Louise
696713	214267	Woman in photo
696714	65134	Party Orchestra
696715	187621	Nato's Sister
696716	275265	
696716	324329	
696717	233912	
696717	236657	
696718	403771	Anna Andersson
696719	682	Sign Language Girl
696720	176884	Aerobics dancer
696721	99311	Connie
696722	233912	Holly
696723	326755	Catgirl in River
696724	72504	Model
696724	72562	Becky
696724	310462	Swedish Reporter
696725	122320	Anna
696725	357801	Inga
696726	354607	Maria Fredman
696727	213937	Inger Harden
696727	314388	Hildegard
696728	1537	
696728	17616	Farmwoman
696728	28457	Woman in the premiere
696728	145131	Cashier
696728	174477	Granny Jahnukainen
696728	191194	Cook
696728	207223	Picture buyer
696728	229544	Mrs. Pellinen
696728	232586	Tour entertainer
696728	242948	Inmate
696728	271632	Saara
696728	319315	Russian woman
696728	319316	Canteen matron
696728	320400	Anna
696728	341793	Woman in the courtroom
696728	349150	Barsinger
696728	349748	Old woman
696728	350822	Old woman
696729	237399	Husan
696729	248425	
696730	207440	Bartender
696731	164279	
696732	22822	Mrs. chaffin
696732	109640	
696732	299277	Mrs. Magen
696733	185000	Nyrkkeilijätyttö
696733	322287	Sirkka
696733	323062	Jasmin
696733	334821	Mia
696734	214201	
696735	319923	Camp Counselor
696736	175350	Warder
696737	304850	Traffic Warden
696738	105	
696738	22957	Mme. Souroff
696738	23145	
696738	23971	Mrs. Darden
696738	31088	
696738	31097	
696738	31147	
696738	31238	
696738	39399	
696738	45939	
696738	48979	
696738	51580	
696738	54699	
696738	60847	
696738	67322	
696738	69461	Mrs. Bland
696738	73686	
696738	79099	
696738	79363	Miss McGrim
696738	83933	
696738	90003	Queen Mary Louise
696738	94118	
696738	98189	
696738	109147	
696738	109889	
696738	112367	Mrs. Hawarden
696738	120631	Martha
696738	128280	
696738	133783	Olga Marie
696738	146102	
696738	146226	
696738	150925	Mrs. Stanley Cartwright
696738	152638	Henrietta Rutherford
696738	152871	Nanny
696738	159437	
696738	160015	Undetermined Role
696738	165909	Kate Vollar
696738	175687	
696738	176681	Mrs. Leigh
696738	183802	
696738	192053	Charlotte Wharton
696738	197709	
696738	251863	Aunt Agatha
696738	258456	
696738	258894	Aunt Caroline
696738	260084	
696738	260256	Mrs. Dunning
696738	263285	Undetermined Role
696738	270396	
696738	271130	
696738	278286	The Mother
696738	289063	
696738	289199	
696738	295413	Mrs. Baxter
696738	296941	Lady Betty Heathcote
696738	297798	
696738	301071	
696738	307361	
696738	308539	Marsha Lane
696738	310463	Mother
696738	311030	Undetermined Role
696738	320805	Amphirosa
696738	332471	
696738	335004	
696738	338736	
696738	342005	
696738	345951	
696738	347030	Aunt Louise
696738	347553	Mrs. Brown
696738	347590	Mrs. Arkwright
696738	350391	Inez
696738	351877	
696738	353385	
696738	356333	
696738	359350	
696738	359991	
696738	360182	Mrs. Lawlor
696738	367047	
696738	367322	Wolfe's mother
696738	367432	Grace Poole
696739	1056	
696739	94258	Emily, 'Em'
696739	228388	Eva
696739	357757	Agnes
696739	382115	Isabella
696740	174697	Ekvall's maid
696740	348728	Mrs. Halvarsson
696741	114997	Elmina Buttons
696742	40917	Johanna
696743	293318	
696744	395791	Melissa Mathews
696745	37669	Pam
696745	69385	Chloe
696745	69396	
696745	78796	Margaret (as teenager)
696745	83460	Dee
696745	106039	Angel
696745	106116	Angelle Taylor
696745	110981	Terry
696745	113319	Kristen Neal
696745	117424	Molly Malone
696745	128786	Herself
696745	151116	Isadora
696745	161163	
696745	219129	Brittany Johnson
696745	253065	Lisa
696745	258075	Tanya (episode "Foreign Affai
696745	261039	Miss Molyneux #1
696745	270627	Dr. Whitney
696745	292815	J.J.
696745	314501	Becca
696745	359507	Cindy Lake
696745	382168	Olivia Hartley
696745	390778	Wind (Winifred Winters)
696746	361072	
696747	106532	Mother
696747	272031	Merrilee Doovis
696748	348366	Butch Officer #1
696749	234083	Tina
696750	291602	
696751	226985	Luau Dancer
696751	297920	One of the Hula Dancers
696754	83113	
696754	384783	Miss. Fraser
696756	186033	Duchess of Lorraine
696757	50126	Herself
696757	116894	Swimmer
696758	41795	Girl #1
696758	85070	Lynette
696758	91646	Junior secretary
696759	363777	Girl
696760	18897	Aphrousa
696760	32354	Ms. Maris
696760	65200	The Real Lady Betty
696760	103593	Carleton warden
696760	145312	Tweedy Woman
696760	155596	Lady Basildon
696760	221233	Society lady
696760	224714	Nun's Maid
696760	289657	Alice, burgomaster's daughter
696760	381685	Amelia Mansfield
696760	382128	Gaby
696760	385342	Judge Philippa Jenson
696760	385659	Mrs. Arrowpoint
696761	306220	Patty
696762	261281	Cooking Show Host
696763	332413	Edith Groves
696763	405121	Mrs. Hudson (1965)
696764	347132	
696765	308920	Sarah
696766	20625	Extra
696767	35707	
696767	223937	Mum
696767	303972	Rita Warner
696768	9254	Lady Geraldine Choat
696768	16317	Phoebe
696768	56158	Mrs. Quin
696768	69429	Dowager Queen Maria de Medici
696768	79083	Felicity Prosser-Jones
696768	87837	Queen Yolande
696768	94501	Mary O'Callaghan
696768	99327	Madeleine's Mother
696768	165448	Miss Temple
696768	215876	Female Executive in Train
696768	218418	Esmee Pulford
696768	222709	Mrs. Harlowe
696768	241260	Mrs. Hayward
696768	249486	Helen Douglas
696768	250448	Fan 1
696768	257741	Marjorie
696768	292788	Mother
696768	316410	Neighbour
696768	339464	Emily's Mother
696768	390571	Estella
696768	395736	Lady Constantia
696768	400709	Mrs. Carbuncle
696769	167057	Cheryl Rose
696769	252974	Mrs. Morris
696770	145174	Jane Pearson
696771	327232	Guest
696772	41471	Mary Donaghy
696773	381091	Herself (eliminated round 4) 
696774	298184	Young Sheena
696775	44759	Bobbie Eden
696775	193406	The Woman Runner/Computer Voi
696775	321288	Martha
696776	136510	Geraldine
696777	69385	Reese
696778	276376	Heather
696779	63422	Bit Role
696779	109415	Miss Springfield
696779	114851	Young Girl
696779	128173	
696779	130620	Golddigger
696779	130624	Chorus girl
696779	155908	Guest
696779	179083	Bathing Beauty
696779	183767	
696779	210718	Anita
696779	231317	Bit
696780	108	Miss Kay McCord
696780	1648	Ann Rogers
696780	7101	Ann Mitchell
696780	7622	Bit part
696780	9962	Roxie
696780	11665	
696780	25868	'Apples' Sandler
696780	26337	Ann Carter
696780	26737	Arline Wade
696780	44336	Dale Elwell
696780	44884	Hannah Cady
696780	47217	Helene Von Lorbeer
696780	47358	Isabel 'Isabelle' Dowling Pey
696780	54707	Monica A. Allison
696780	56200	Rhoda Montaine
696780	57260	Edith Harris
696780	58430	Elly
696780	63170	Autograph Seeker at Party
696780	65798	Nikki Porter
696780	66111	Rosalind
696780	73168	Grace Fielding
696780	77998	Gail Armitage
696780	83932	Nikki Porter
696780	84859	Betty Roberts
696780	91565	Sue Casey
696780	92798	Bernice Stamm
696780	93078	Herself
696780	99396	Nikki Porter
696780	99397	Nikki Porter
696780	99398	Nikki Porter
696780	99399	Nikki Porter
696780	99845	Dr. Janet Carey
696780	101051	Nikki Porter
696780	115810	Florence Ballau
696780	116375	Valkyr 'Val' Bradford
696780	118457	Molly O'Rourke
696780	120336	Jean Barrat
696780	120504	Lou Winton
696780	124102	Toni Blake
696780	125896	Joan Harper
696780	130653	Rosanne McCooey Ferris
696780	134070	Frances Ogilvie
696780	142463	Beth Avery
696780	143397	Renee DuBois Gordon
696780	147788	Herself
696780	148933	Janet Payne Farradene
696780	151067	Hepzibah Pyncheon
696780	151097	Eleanor Van Tyle Burgess
696780	162933	Lucille Gordon Stevens
696780	167098	Mrs. Lanyard
696780	167311	Amy Bradford Dillard
696780	183609	Gerry Mannerly
696780	183728	Lois Underwood
696780	186293	Mary Wentworth
696780	188387	Florence Blake
696780	195183	Alvern Adams
696780	209682	Ann Larkin
696780	211610	Madge Hammond
696780	233858	June Terry
696780	239346	Ruth Drake
696780	240960	Mae Strickland
696780	241060	Dr. Lewis' Secretary
696780	246340	Eileen Adair
696780	253472	Mrs. Joan Smith
696780	255338	Herself
696780	257963	Mona James
696780	264645	Janet Reynolds
696780	266705	Judith Maroc
696780	276381	Dorothy Henderson
696780	289631	Millie Ray
696780	295341	Connie Lane
696780	302870	Lorraine Lampier
696780	304990	Cally
696780	308622	Angelina Romandi
696780	311565	Helen Chester
696780	324262	Rachel Colman, Head Nurse
696780	330010	Sylvia Worth
696780	330059	Mrs. Nacelle
696780	337468	Beth Sherman
696780	346204	Mrs. Cooper
696780	354226	Kitty
696780	356610	Nanette Calas
696780	361638	Shelby Worrell
696780	363220	Doris Kane (Leo)
696780	368383	Jennifer Clinton Nordholm
696780	407397	Herself/panelist
696781	65973	Woman in Restaurant
696782	69615	Liz
696783	77148	City Clinic Woman
696783	230963	Hat Check Girl in Meadows
696784	395791	Melissa Mathews
696785	321451	
696786	62362	Mary
696787	382838	Sammy Rogers Daniels (1987-19
696788	228048	Karen
696789	282592	Tsarevna
696790	1744	Herself
696790	133412	Herself
696790	154379	Herself
696790	163647	Herself
696790	253902	Herself
696790	385019	Herself (Series 1) (2003)
696790	385020	Shelley Unwin/Barlow (2001-)
696791	52894	Lauron Tinscheff
696792	385299	Sara Briggs (1985-1988)
696792	398296	Sandra
696792	403454	Lisa
696792	404664	Barbara Boyer
696793	247932	
696794	17641	Annajanska
696794	174571	Bianca
696794	301928	An unknown lady
696794	310842	Diana Hilton
696794	327426	Iris
696794	342354	Olivia
696796	313978	Caroline
696797	36985	Elevator Operator
696797	215915	
696798	45743	Nora
696798	126340	Herself
696799	362966	Female Officer
696800	41123	Sarah
696800	49441	American Politics Host
696800	58632	Lee Kaplan
696800	71138	Louise Deng
696800	120595	Herself
696800	185266	
696800	231118	Lucy Bidwell
696800	323898	Tiki
696800	383084	Healani Douglas
696800	384104	Mai (1988-1989)
696801	33643	Miss Nelson
696801	190103	
696801	203535	Lady Clarke
696801	264447	Mlle. Renard
696802	190171	Interviewee
696803	194938	Spanish woman
696804	132756	Cathy Fox
696805	122210	Mike's gang member
696806	122210	Mike's gang member
696808	37681	Elizabeth
696809	122619	Daizy Duke
696810	372514	Linnet
696811	358593	Rosie Carter
696812	295724	
696813	42805	Scrubwoman
696814	39844	A Bridesmaid
696814	110363	Woman
696814	119507	
696814	132793	Office Girl
696814	193738	Baby
696814	220548	Sound Stage Girl
696814	241892	Girl
696814	246181	
696814	266715	Stenographer
696814	297891	Bit Part
696815	321390	
696815	361841	Pioneer Woman
696815	367616	Rose
696816	5883	Old Woman
696816	47945	Old lady
696816	62665	Woman on Bus
696816	64815	Bordello Maid
696816	90943	Old Woman
696816	92302	Woman in window
696816	106493	Parent of Murdered Children G
696816	118677	Aunt Hazel
696816	127073	Apartment Woman
696816	162449	Inez
696816	278830	Grandma Otis
696816	334356	Cleaning Woman
696816	337995	Mom
696816	350337	Nurse
696816	367444	Rebecca
696816	411221	
696817	309533	Herself
696818	236137	Naomi
696819	207294	Helen Lardendie
696819	222311	Ruth
696820	222194	Backup Singer #4
696821	372750	
696822	391357	Annika, socialassistent (2002
696823	46978	Tua-Tua
696824	13855	Quincy Quince
696824	26877	Patch
696824	46686	Raeburn
696824	56655	Waitress
696824	66335	Redhead
696824	89327	Birdie Essig
696824	126680	Tina
696824	129397	School Teacher
696824	134654	Wife
696824	154822	Ticket Girl
696824	222194	Backup Singer #2
696824	313427	K'Mpec
696824	313820	Katrina McIntire
696824	321559	Girl with Cigar
696824	333289	
696825	22849	Colorful Friend 1
696825	327627	Jenny, Girl Outside Bar
696827	374352	Bandit Girl, Sniper Woman A
696827	403965	Kasumi
696828	92122	Young Girl
696829	305004	Bartender
696830	174779	Vanha pariskunta (Old couple)
696831	153547	
696831	178767	Tanja Rantala
696831	393981	Kirsi
696832	284377	
696833	320692	Journalist
696834	240794	Nina
696835	361179	Paige Donner
696837	218522	
696838	201704	Herself
696839	114667	Dancer
696840	19220	Eva
696841	191354	
696842	107069	Girl
696843	13596	Slaygirl
696844	405720	Herself
696845	272835	Hovinainen
696846	91521	Edit Kristina, Inger's daught
696846	103581	
696846	304161	
696846	377422	Brita
696847	311536	Mira, Metin's girlfriend
696848	130069	The gossip
696849	397784	Marianne
696849	401515	Rosalinda
696850	42208	Svea
696850	129179	Hanna
696851	290036	
696852	272835	Hovinainen
696853	388055	Herself (2003)
696854	212337	Herself - Participant/Perform
696856	103581	
696856	129662	Friend of Ellen
696856	355631	
696856	412228	
696857	313015	Ulla-Britt Svensson
696858	164649	Filippa Fernström
696858	234664	Kriminalassistent Annika Stee
696858	375223	Tina, porn actress
696858	405570	Louise Nyman (75 episodes 199
696859	59717	Jaquette Ekenstedt
696859	109953	Terapeuten
696859	134943	Viveka Stenström
696859	149242	Mother
696859	155555	Mary Lessler
696859	172428	Rosa's Mother
696859	182279	Ulrike Innings (episodes 2 an
696859	206209	House-maid
696859	217017	Radka, Erik's girl
696859	233075	Marianne Hellman
696859	240214	Mona
696859	241217	Berit
696859	255866	Dr. Bergström
696859	256500	Mrs. Settergren
696859	308199	Stor-Eva
696859	312072	Christina Furhage
696859	320689	Alessandra
696859	320956	Astrid, Bo's fiancé
696859	322431	Helen's mother
696859	326010	Dietist
696859	382307	Eva Lessler
696859	382891	The waitress
696859	388894	Sofia (episodes 6-9)
696859	394744	Lareda Weitz
696859	396266	Kerstin
696859	398251	Irma Fagergren
696859	403769	Judge Lena Nordberg (episode 
696859	405594	Charlotte Sundin
696859	409080	Gunnel
696859	409853	Karin Forss-Lundholm, sales m
696860	1050	Flirting Lady #2
696861	18899	Sirje
696861	303846	Mari
696862	174120	Lill-Babs
696863	48258	Stina
696864	10389	Peasant Girl
696864	21530	Herself (interviewed)
696864	56047	Herself
696864	90669	Adriana
696864	109794	Claudia (segment "Fata Elena"
696864	159685	Herself
696864	207961	Cashier
696864	283694	TV Reporter
696864	399327	Herself - NY Anchor/Film-Thea
696865	55192	Micaëla
696865	260406	Drusilla
696866	340272	Prompter 2
696867	136619	Grevinde
696867	182850	
696867	198052	Mathilda
696867	322678	Baronesse
696867	323346	En tante
696867	340426	
696868	369156	Rotkreuzhelferin
696869	107364	Elly
696870	125284	Vera
696870	207086	
696871	381	
696871	28544	
696871	44229	Moglie di Gualtiero
696871	54024	Cristina
696871	61037	Gabriella
696871	68659	La fille russe
696871	81512	
696871	102398	Slave Girl
696871	111155	
696871	119213	Bertha
696871	119214	Bertha
696871	127884	(segment "Miracle, The")
696871	166153	
696871	181804	
696871	205573	
696871	259704	
696871	268998	
696871	270329	Moglie di Nicolo
696871	320231	Berthe
696871	336932	
696872	290700	
696873	153956	Bestemor
696873	317509	Pernille
696874	166046	Jean Weston
696874	388982	Rita Bradley (1987)
696874	407838	Daisy Robertson (1982)
696874	411353	Fanny
696875	253970	
696876	72391	Dragonfly/Valentine
696876	88401	Angela
696876	230948	Angela
696877	91521	Maj, office clerk
696877	337888	Trumpet player
696878	115062	Cytherian Girl
696878	405660	
696879	10334	Filippa Ottesen
696879	122468	
696880	16266	Makjen
696880	109278	Katrin, housemaid
696880	190808	
696880	275884	Doris' Friend
696880	355630	
696881	377302	Sussie
696882	181638	Vera, age 8
696883	397395	Herself
696884	99422	Singer
696885	84293	Woman at the court
696885	165616	Stina
696885	346987	Kickan
696886	322431	Marcella
696887	404782	Kulttuuriministeri
696888	129204	
696888	381913	Participant, 3th out (2002)
696888	382007	Une Gafette
696888	412047	Vera Tupolova
696889	15036	Servante du curé
696890	11024	Sandra
696892	147067	
696893	54026	Leslie's Mother
696894	388628	Lydie
696895	64953	
696896	8455	Aleksandra Fyodorovna
696896	237830	
696896	357461	
696896	374714	
696897	158691	Cashier
696898	15214	Stacy
696898	41644	Lizzy
696898	46530	Leroy
696898	64797	Bree
696898	76526	Sam Fielder
696898	148446	Melissa McKee
696898	198828	Young Alice
696898	279273	Gloria
696898	375515	Sarah
696899	225589	
696900	125557	Reporter
696901	285031	Maid Marion
696902	5013	Peggy
696902	11338	
696902	50476	Mrs. Canning
696902	60234	From "Happy Days"
696902	69041	
696902	116796	Aunt Fitzeustace
696902	134906	Lena
696902	138749	Winnie
696902	144467	Mrs. Matson
696902	149953	Brenda Gilham
696902	199133	Mrs. Burns, Dance Teacher
696902	207706	Millie O'Dowd
696902	261095	May Dedalus
696902	275433	Sheila
696902	285734	Rosie
696902	297709	Bess Nugent
696902	305952	
696902	318194	Sister Felicity
696902	344683	Nurse Callan
696902	404409	Mrs. Fitzpatrick
696903	158056	Baroness Ghislaine d'Auxerre
696904	311534	Couple at Restaurant
696905	55906	
696906	333176	The Lucky 7 Girl
696907	344815	(segment "Vida Nova Por Acaso
696908	60739	Painted Lady
696908	116045	Lola
696908	130128	Lucy Mancini
696908	130130	Lucy Mancini
696908	141621	Lavinia
696908	381703	Ana Morales
696908	392043	Suzy Marta Rocket
696909	135878	
696910	114051	Receptionist
696911	116767	Jane
696912	205268	Woman at Auction
696912	212837	Caroline Cromwell
696912	305742	Casting Director
696913	167866	Turbo Shopper
696913	328555	Model (Original Version)
696914	175007	Herself
696914	378735	Meghan O'Connor
696914	383186	Caillou (2002-2004)
696914	410930	Lori (2003- )
696915	128154	Lindsay
696915	379831	Patrice Spencer #3 (1991)
696916	22735	Sandra
696916	46293	Mary
696916	241360	Mary
696917	116857	Tamara
696917	118686	Angela Dauphin
696917	221305	Rosie
696917	222725	Marthe Daubreuil
696917	349571	Julia
696917	392705	Rachel
696918	2781	VIP Patron
696918	398050	3rd Eliminated (2001) (2001)
696919	122655	
696919	362588	Screaming Geisha
696919	365245	
696920	232242	Waitress
696920	277616	Windy
696921	368068	
696922	4790	Senta
696922	12568	
696923	321702	Bookstore Saleslady
696924	277096	Chinese lady of easy virtue #
696924	313082	Juicy Lucy
696925	49345	Blind Girl
696926	405640	Molly Tan
696929	2351	Chinese girl
696929	52676	Ling Toy, Archer's Maid
696929	54704	Joy Ling
696929	62104	
696929	111195	
696929	123261	Witch Queen
696929	129921	
696929	137215	Grandma
696929	153020	
696929	160930	Cigar Counter Clerk
696929	189206	
696929	213492	
696929	214607	
696929	219902	
696929	268646	
696929	274401	Chinese dancer
696929	287045	
696929	298704	
696929	308567	
696929	369562	Empress
696929	369570	
696929	369743	
696930	40478	
696932	26753	Tom's girl
696932	252741	
696932	325276	Chinese girl
696933	336786	
696934	318432	
696935	3378	Nurse
696936	1632	Herself/Hostess
696936	161379	Herself
696936	392423	Herself
696936	399036	Host (2003-)
696936	399038	Host
696936	404551	Co-Host
696936	410171	Herself (1999-2002)
696937	52442	Hyacinth
696937	58544	Stewardess
696937	130953	Mei-Lei
696937	372233	2nd Bath Girl
696938	326831	
696940	279400	Ming Toy
696941	17504	Shipping dock woman
696942	273431	Herself/San Francisco
696942	273432	
696942	273433	
696942	273434	
696942	273436	
696942	402993	Herself/San Francisco (1994)
696943	105396	Coven Member
696944	109077	Prostitute
696944	156565	Katsina
696944	348427	Limehouse
696945	178120	Susan Bradley
696946	115895	
696946	242711	Tai
696947	32809	Jason's sister
696948	371217	
696949	212025	Chinese fisherman's wife
696950	33145	Yueyue's Grandma
696950	63451	Lu's Wife
696950	85880	Old Mrs. Fang
696950	141905	Yu Huangshi
696950	151950	Little Backstage Director's M
696950	369550	Grandma
696950	374760	Grandma Gong
696951	155430	Maxi
696952	7551	
696952	16787	
696952	111360	Therese
696952	126385	Estelle
696952	145522	Prinzessin Marina/Lilly Dore
696952	156687	Winnie
696952	168425	Ramona, Miss Spanien
696952	227931	Daisy
696952	274916	
696952	282203	Rosa Luxemburg
696952	324679	Inez Cavalcante
696952	325956	
696952	335996	
696952	360928	Frau Ehrenberg
696952	381327	Hilde Gruber
696952	382203	Ellen Nicholaison
696952	404763	
696953	32409	
696954	391697	Herself
696956	253876	Duck
696957	82756	Sara Wainwright
696957	264747	Girl
696957	374638	Edwina Strain
696958	317942	Square Dancer
696960	355613	
696961	371053	Woman
696962	19065	
696962	357098	Aure
696963	44723	Reporter
696963	68609	Júlia
696963	384137	Nádia (2003)
696963	384480	Elba
696963	384711	Maria
696963	388065	Natasha
696963	396035	Carla de Holanda
696963	396610	Alice (1998)
696963	402504	Luciana
696963	403616	Tamires
696963	404077	Marina Castro
696963	409347	Lulu
696963	411585	Noviça
696964	394872	Bilma
696965	90452	Norminha, Flor's Friend
696965	401944	Plontina
696966	269570	
696967	407024	
696968	409780	Suzana
696969	183528	
696970	150476	Mina's Victim #1
696971	68607	
696972	78139	Female Trainee
696973	381821	Ensemble (1978-1979)
696974	153322	
696975	18630	Young Woman
696976	359744	Had a Hard Week Girl
696977	172841	Zimmermädchen
696977	259693	Noy
696978	316782	Drug Waitress
696979	253820	Teenage Girl
696980	161114	Neighbor
696981	90651	
696982	357468	
696983	324795	Classmate of Thomas
696984	35052	Dancer
696985	259454	Elke Siebert
696985	259584	
696986	209809	Kovácsné,Lacika anyja
696987	222831	Press Member at Muriel's wedd
696988	223462	
696989	199148	Folksinger
696990	325515	Regie-Assistentin
696991	76216	Sherie Lee Fox
696991	333237	
696991	363209	Jenny Pennoyer
696991	395467	Kelly Lewis
696991	397930	Robin
696991	406302	Lauren Hutchinson
696992	235867	
696994	212060	Anna
696995	358476	Young Girl Playing Paper Game
696996	246829	Mary Donoghue
696997	29639	Madmor
696997	50977	Rannvá's grandmother
696997	203961	
696998	392142	Co-host (1969)
696999	233243	Maid
696999	301816	Kamraatin emäntä
697000	267122	
697000	301816	Laina
697001	269735	Une jeune
697002	346574	
697003	142152	Mrs. Montgomery
697004	27269	S & M Girl
697005	388321	Gabby Johnson (1999-2000)
697006	12605	Alice, 1983 (child)
697007	12605	Alice, 1986 (child)
697007	313815	School child
697008	57747	Officer Oregon
697009	316953	Little Evie
697010	208395	Dancer
697010	228640	Dancer
697010	239414	Dream Laurey
697010	329560	
697010	411859	Regular Performer (1952-1954)
697011	155248	Additional Soul
697012	12584	
697012	171559	
697012	315828	Krankenschwester
697013	162455	Alfa
697014	58930	Rachie
697015	374419	Russian Schoolteacher
697016	198922	Mary
697017	304443	Bike Rider with Nice Shoes
697018	292717	Mrs. Cutler
697019	273275	Female Mechanic
697019	313211	
697020	147287	Bessie
697020	178813	Evie
697021	314631	Stewardess #2
697022	126589	Herself
697022	186443	Herself
697022	216986	Herself - Singer
697023	309064	
697024	70932	Herself
697025	270628	Waitress at coffee shop
697026	126538	Back Up Singer (segment "I'm 
697027	12275	Mary Jean
697027	64558	Performer
697027	107938	Amanda McCord
697027	110959	
697027	267440	Becky
697027	380367	Giulia Colombo
697027	382419	Kristen Forrester (#1) (1987-
697027	390478	Hostess
697028	381585	Melanie
697029	179625	
697029	233243	Guest
697030	145417	
697031	117579	Punk Thug
697032	31936	Raili
697033	47914	Chandler Academy Student/Coff
697034	250721	Virgin of Christ
697035	257674	Herself
697035	274148	Herself
697036	9533	Nurse
697036	18402	Nurse
697036	171587	Aino
697036	186071	Kyllikki Moisio
697036	229544	Lahja Hyrkäs
697036	236790	Laura
697036	258847	Nurse
697036	267123	Laughing lady
697036	284021	Nightclub singer
697036	302825	Woman in club
697036	349734	Maila
697036	350590	Ester Ippo
697036	356116	Woman in a park
697037	104277	Justiina
697037	142641	Aino Sihvola
697037	142708	Maikki Mattila
697037	144052	doña Camilla Maria Teresa Esc
697037	149638	
697037	172406	Regina Berg
697037	174477	Katariina
697037	178370	Raili
697037	181634	Rosinka, gipsy girl
697037	181743	Vappu Lampaanpää
697037	181938	Maria Lichter
697037	184796	Kaisu
697037	186225	Party woman
697037	188932	Sylvi
697037	191194	Anna Littow
697037	213374	Virma Suokuma
697037	223273	Riitta Maras
697037	232586	Hertta Perävalo
697037	236790	Silja Salmelus
697037	239921	Rea
697037	242269	Eeva
697037	255760	Anna
697037	255761	
697037	271632	Riitta
697037	301890	
697037	302825	Woman in restaurant
697037	319328	Suotorpan Helga
697037	323247	Anni
697037	349735	Sisar Magda, ylihoitajatar
697037	356116	Marja
697037	373379	
697038	182218	TV-journalist
697038	392553	Kikka
697038	404145	Kukka-Maaria Kujala
697039	15063	Béatrice
697039	101854	Janine
697039	205088	
697039	205248	Genuflessa
697039	234783	Lulu
697039	261756	Sylvia
697039	291571	Eva
697039	318492	Brigitte
697039	389469	
697039	396328	Carla
697040	92648	Marie
697040	382138	Host (05.01.2004 - ????)
697040	389619	Stars (November 1998 - April 
697041	232446	Kayla
697042	31672	Redhead
697042	289558	Woman at Babylon Club
697043	199171	Herself
697044	317929	
697045	225306	Die Frauen: Raffazis Braut
697046	369142	Carola
697047	182609	Herself
697047	394986	Herself
697048	182577	
697049	1208	Audhild
697049	6512	Tove
697049	13327	Apoteker
697049	48324	Dyveke Holm
697049	48671	Betsy
697049	54338	
697049	99415	Johanne
697049	110927	Vivecas venninne
697049	154020	Housekeeper
697049	159637	Anne
697049	178191	Wenche
697049	181314	Journalisten
697049	184121	
697049	200451	Maid
697049	214353	Anne-Lise
697049	399659	
697049	409930	Ragnhild Sunde
697050	129174	
697051	78288	Eurydike Jensen
697051	343520	Herself
697052	211159	Menthe
697053	184593	Inger
697053	306456	Choir
697054	125586	Erica
697055	1703	Herself
697055	2805	Herself - Best Guest Actress 
697055	2816	Presenter for Best Revival of
697055	5197	Kate Whitney
697055	26474	Mary Ann Singleton
697055	40726	Phoebe
697055	69549	Dr. Karen Ross
697055	79478	Randi
697055	79745	Herself
697055	105885	
697055	150974	Bertha Dorset
697055	177792	Clara Kinsey
697055	184822	Sherry Johnson
697055	190171	Constance Harraway
697055	194564	Young Teacher
697055	195300	Sarah
697055	195822	Melissa Gardner
697055	197729	Rachel Van Dyke
697055	208739	Callie
697055	220099	Connie Parker
697055	224842	Annabeth Markum
697055	224843	Herself
697055	224844	Herself
697055	246021	Louise Harrington
697055	263740	Janet Venable
697055	283546	Lauren Hartman, Campaign Mgr.
697055	291969	School Teacher
697055	302235	Nancy Newland
697055	312355	Joan
697055	340901	Meryl
697055	365326	Iris Bravard
697055	368146	Nellie Wilson
697055	372097	Samantha Prescott
697055	372098	
697055	389561	Mary Ann Singleton
697055	398208	Mary Ann Singleton
697055	407470	Mary Ann Singleton
697056	60829	
697057	163183	
697057	172516	
697057	197383	
697057	214712	
697057	215112	
697057	217468	
697057	233243	Guest
697057	242257	Waitress
697057	251937	Nurse
697057	251940	
697057	251941	Linkreenska
697057	271634	
697057	302826	
697057	323141	
697057	354598	
697057	356116	Woman at the dances
697057	371442	
697058	139429	Office Manager
697059	313173	Maja, Mats' daughter
697059	322437	Lillan
697059	412047	Sara Lagerlöf
697060	322313	Passenger
697061	98098	
697062	390505	Herself/Apresentadora
697062	402150	Herself/Pivot
697063	12080	
697063	134487	
697063	205696	Clementina
697064	243388	Proserpina
697064	278156	Adriano
697065	153875	La clientèle inconnue
697066	40530	Val Willis
697067	274332	Dancer
697068	143553	
697069	402504	
697070	391900	Young Sônia
697071	88805	Interviewer
697072	55389	
697073	52928	
697074	237874	
697075	14799	Cléa
697075	23390	
697075	269268	
697075	286275	Karina
697075	317719	Laura
697075	354484	
697075	384137	Elvira (2004)
697075	385024	Hilda
697075	386142	Marta
697075	386757	Vanda
697075	387902	Lucrécia Espíndola
697075	388591	Laurinda Mota da Costa
697075	396610	Bárbara (1997)
697075	401208	Lali
697075	401597	Gisela
697075	402456	
697075	402728	Santinha
697075	403733	Mocinha
697075	404178	Angela
697075	404272	Helena Rezende
697075	408316	Isabel
697075	410054	Estela
697076	124533	Andorinha
697077	48303	
697078	265832	
697079	221287	Gloria Strauss
697080	383365	
697080	383907	Maria do Carmo
697080	384709	
697080	388941	
697080	400445	Noêmia
697080	404220	Luísa
697080	409419	Elvira
697081	251579	
697081	384118	Elza (1999)
697081	388458	Irma
697081	396899	Sofia Lima do Vale
697081	412304	
697082	403200	
697083	255902	
697084	73146	
697085	126166	Bia
697085	166379	
697085	246026	
697085	294113	
697085	328359	
697085	333696	
697085	369982	Dona Laura
697085	379182	
697085	380536	Eugênia
697085	380946	
697085	381773	
697085	383370	
697085	384265	
697085	384871	Margarida
697085	384922	
697085	386252	
697085	387730	Denise
697085	387929	Dama de Azul
697085	388416	Guiomar
697085	389154	Amália
697085	391674	Candinha
697085	392031	Aurora
697085	392607	
697085	392793	Débora
697085	393791	Antônia
697085	393793	
697085	394121	Dona Zulmira
697085	395302	Nilda
697085	396337	Josefa
697085	396651	
697085	397393	Marlene
697085	397439	
697085	399140	
697085	399645	Dona Eulália
697085	400445	Lucrécia
697085	400673	Teca
697085	400678	Irene
697085	400686	Verônica
697085	401089	
697085	401092	
697085	402108	
697085	402563	
697085	402728	
697085	403200	
697085	403758	
697085	404261	
697085	404272	Mariana Rezende
697085	404799	Berenice
697085	405100	Valentina
697085	405401	Mirtes
697085	407856	
697085	408220	
697085	409412	Olívia
697085	409417	Maria Antônia
697085	409424	
697085	410099	
697085	410287	Madame Moglianni
697085	410375	
697085	412258	Maria
697085	412270	Magda
697086	396017	News Anchor #1
697087	26751	Mary Margaret
697087	37141	Liz Dixon
697087	151778	Bahloo
697087	203584	Co-plaintiff
697087	236494	Bunny
697087	385159	Heather
697087	398553	Dr. Imogene 'Tootsie' Soamses
697087	402197	Rita Connors (1985-1986)
697088	364249	Percussion
697089	11492	
697089	57647	Percussion
697089	190337	Percussion
697089	207499	Musician
697089	253857	
697089	313061	Herself
697089	364247	Percussion
697089	364409	Musician
697090	313782	Performer
697091	140770	
697092	94426	Ulrike
697093	225732	
697094	311210	
697095	10342	
697096	378556	Autostopperin
697097	409609	Lydia
697098	196824	
697098	196825	Aanvoerders
697099	336428	
697100	257830	Miss June 1991
697100	257846	Miss June 1991
697101	310816	
697102	306126	Woman
697103	39443	Emily
697104	396239	
697105	35626	
697105	139558	
697105	212043	
697106	16810	Sulu
697106	339882	Toi
697107	39863	Darcy Walker/Black Scorpion
697107	285049	Agent Hildebrandt
697107	314931	Darcy Walker/Black Scorpion
697107	382164	Detective Darcy Walker/Black 
697107	400154	
697108	193430	
697108	377896	L'assistante sociale
697109	26077	Jump's Child
697109	215603	Margie
697110	7408	Madame Briffault
697110	191783	Lucy
697110	210835	Therapist
697110	405024	Mrs. Grandt
697111	254645	Alexis
697112	201346	Little Majorette
697113	102112	Janine/Clotho
697114	375715	Coral Fairchild
697115	278482	Lola
697116	55555	
697116	93741	
697116	133034	
697116	175054	
697116	288182	
697117	60186	Pineapple Girl
697118	392715	Host (1994-2002)
697119	135195	Carlo's Secretary
697119	137259	Trinklette #1
697120	63676	
697120	73497	
697120	75202	
697120	250693	
697120	355950	
697120	387686	Luisa
697121	97643	Parishioner
697122	11377	Herself
697122	98873	
697122	326820	
697122	326821	
697122	364097	
697123	330570	Go-Go dancer
697124	161163	
697124	346271	Debbie
697125	2460	Kate
697125	131797	Nurse Green
697125	405526	Catherine Parr
697126	394938	Trion jäsen
697127	394938	Trion jäsen
697128	394938	Trion jäsen
697129	397746	Herself
697130	175681	Mary
697130	184521	Kerry Wells
697131	21372	Herself
697131	32615	
697131	144208	
697132	126686	College Girl in Dorm
697133	67568	Mrs. Hayward
697133	73562	Nan Forrester
697133	120609	Dr. Ann Morgan
697133	122743	Ria Gable
697133	130106	Joanna
697133	151104	Connie Durstine
697133	165278	Hedda Hopper
697133	278233	Rosalind
697133	291041	Sarah Cross
697133	292786	Helen Warner
697133	293047	Dr. Weston
697133	313323	Freddie
697133	348851	Elena's Mother
697133	381576	Zina Willow
697133	387120	
697134	340707	
697135	316410	Andrea
697136	42877	
697136	147242	Caroline
697136	178469	
697136	213555	Vrouw van Theofiel
697136	265949	Herself
697136	275656	Frie
697136	375752	Tinneke Pauwels
697138	5264	
697138	8257	Elsa Freeman
697138	10229	
697138	10287	
697138	10944	
697138	10956	
697138	10969	
697138	11629	Fabienne
697138	12535	Choni
697138	13065	
697138	13088	Solange
697138	14707	
697138	17861	
697138	18808	
697138	19323	Marianne
697138	19880	Matilde
697138	21692	The countess
697138	25069	
697138	33815	
697138	42633	
697138	48296	Ursula
697138	49676	
697138	51408	Charlène
697138	52420	
697138	53064	
697138	53653	
697138	54078	
697138	54798	
697138	55268	Betty
697138	56037	
697138	56336	Lola
697138	57437	Sue
697138	57439	
697138	58148	
697138	58755	Marie
697138	61151	
697138	62004	Cottrell's Wife
697138	63408	
697138	63924	
697138	67520	
697138	69767	
697138	71006	
697138	71159	
697138	71436	Helene Valmont
697138	74821	
697138	86434	Gabrielle
697138	90536	Nicole
697138	91424	
697138	94480	Maria
697138	96351	
697138	99497	Elsa, number one
697138	101472	Mrs. Russo
697138	102394	
697138	103671	Mabille DeLancré
697138	105964	
697138	110989	
697138	113239	
697138	124253	Lorelei
697138	125389	
697138	130756	Mado
697138	131090	Fatma
697138	132678	
697138	135361	High Priestess
697138	139910	
697138	140564	
697138	149701	
697138	149711	Natasha
697138	159433	
697138	161858	
697138	161860	Lydia
697138	163820	Yvette, la première femme de 
697138	165177	Camille
697138	166180	La voyante
697138	176731	
697138	180951	Inge & Trude
697138	183161	Toraya
697138	183511	
697138	187961	
697138	189005	Madre Antonio
697138	193350	
697138	197216	
697138	199773	Clara
697138	199794	Maite
697138	201397	
697138	204782	Clara
697138	205260	Mara Gitan
697138	205647	Micky
697138	210229	
697138	210580	
697138	212966	Brigitte
697138	215399	
697138	215898	Hilde
697138	216038	Gloria
697138	225060	
697138	225591	Elvira Coro
697138	225640	Prisca Sampton
697138	228899	Maria da Nazaré
697138	229453	
697138	233337	Françoise
697138	233569	
697138	236029	
697138	236031	
697138	240301	
697138	241743	Deborah
697138	242829	
697138	243018	La fiancée de Bugs Bunny
697138	243486	The Countess
697138	247161	
697138	248866	
697138	249074	Herself
697138	251608	
697138	252559	Nené
697138	253522	Marie
697138	257561	
697138	258340	Annie
697138	260976	Young girl
697138	266035	Laetitia
697138	267051	Marlene
697138	279258	Aspasia
697138	280125	Goldie (French version)
697138	280315	
697138	281597	Berta
697138	283052	
697138	285384	Munia
697138	286276	Delmirinha
697138	287618	Anne
697138	287848	Sara
697138	293325	
697138	296477	
697138	300638	
697138	302310	
697138	317686	Eleonor
697138	339194	
697138	339753	
697138	339805	Moluya
697138	351645	Zenifer
697138	353654	
697138	376767	
697138	384596	Marguerite Moreno
697138	409956	Luisa
697139	68895	
697139	183036	
697139	254023	
697139	275620	
697140	58605	Mathilde
697140	66727	
697140	101806	Tante Louise
697140	114832	
697140	166335	
697140	167632	Maid-servant
697140	202697	
697140	217836	
697140	218243	Mme de Ponthieux
697140	249674	
697140	254311	
697140	266949	
697140	283142	
697140	353789	
697140	357268	
697140	377910	
697141	69047	Jury Foreman
697141	170522	Baker
697144	140937	Angel Lyndon
697145	478	
697145	1891	Frau Köhler
697145	4785	
697145	7458	Aména Lafarge
697145	8883	Fanny
697145	10655	Dany
697145	13102	Madame Michaut
697145	15130	Mme. Platz
697145	17086	
697145	29010	Planche-à-Pain
697145	36648	Mme Floiral
697145	52120	
697145	65383	
697145	70521	Mme Slassinka
697145	78405	La servante/La cameriera
697145	85549	Pépita
697145	85692	Une carmélite
697145	86439	
697145	88837	La mère de Françoise
697145	94353	Mme. Binder
697145	110129	La Teuse
697145	110140	
697145	115338	
697145	116410	Marie-Louise
697145	118182	La mère Ballanchon
697145	132815	L'essayeuse
697145	134773	Juliane
697145	146425	
697145	148654	Mlle. Caporale
697145	152621	La patronne de l'hôtel
697145	153726	Die lange Lotte
697145	155369	
697145	158808	
697145	166092	
697145	166123	Mme. Gimelet
697145	166716	Madame Vrack
697145	167200	La mère de Thérèse
697145	170429	Mme. Lavigne
697145	171008	Mlle Dozier
697145	174636	La surveillante de l'institut
697145	179297	Viola Volant
697145	189316	Mme Martinelli
697145	189841	Manager of Ferraro
697145	190629	Governess
697145	193480	Jeanne, Michel's Mother
697145	202593	La soeur tourière
697145	206663	Martin's Sister
697145	224879	Mère Agenoux
697145	231627	
697145	234366	
697145	243013	Jenny
697145	254039	Mme Fadillon
697145	268872	
697145	283654	Parque#1
697145	300662	
697145	324619	L'infirmiere
697145	346703	
697145	352651	Fanni Langkofler
697145	353899	Mme Chantereille
697145	356411	
697145	380410	Mme Euréka
697145	384746	
697145	388310	
697145	389004	Pauline Chassebon
697145	391622	
697146	281072	Sylvia
697148	388713	Thalia Ioannidou
697149	27883	
697149	101179	
697149	132310	
697149	210937	
697149	224901	
697149	338477	
697149	339969	
697149	354674	Mlle de Saint-Estelle
697149	375759	
697149	377698	
697150	29774	giudice
697150	270800	
697151	89567	
697151	107282	
697151	252675	Luisa
697151	338341	
697151	344584	
697151	355612	Marina
697151	386771	
697151	392739	
697151	392990	Paolino's mother
697151	406347	Milla Bottolenghi
697152	85742	Orangello
697153	119966	Anna's Mother
697154	330298	
697155	16677	Voodoo Musician
697156	11764	
697156	90839	Oude vrouw 3
697156	341908	
697156	359816	
697156	408174	
697157	163258	
697158	318488	Prostitute
697159	13051	
697159	104770	Israeli entry (8th place)
697159	175008	Herself
697160	236612	Marianne
697161	15069	Eva Levisson
697161	63644	Tante rose
697161	64228	Marie de Conzagues
697161	65958	Monique
697161	70608	
697161	71802	Hélène
697161	71966	Thérisia
697161	94244	L'institutrice
697161	96206	Mère de Bêth
697161	101222	Marianne
697161	101235	Maria
697161	112826	Sophie
697161	122375	Anna
697161	129499	Tante rose
697161	134559	Elise
697161	156274	Nathalie
697161	162300	Liliane
697161	202401	Anne-Madeleine/Delphine
697161	206601	Rose Bireau
697161	216434	
697161	217809	Florence
697161	219506	Tracey
697161	223212	Chouchou
697161	240297	Catherine
697161	249713	Mme Guérin
697161	257208	Récitante
697161	258121	Evelyne
697161	265901	Hélène Hunt
697161	269518	Regine
697161	270883	Mariuccia
697161	292911	
697161	337743	Suzanne
697161	340184	La mère de Pauline
697161	346466	Suzanne
697161	346820	
697161	354024	Françoise
697161	376888	Mrs. Hervy
697161	377952	L'aboyeuse
697161	381614	Denise Gazan
697161	384033	Marguerite
697161	384434	Dominique Pujol
697161	384786	Sophie
697161	387044	Françoise Fuselier
697161	391632	Jeanne
697161	391634	Grette (segment "Marchand de 
697161	398054	Catherine de Surlis
697162	111581	Starlet
697163	217413	
697164	283281	James as Infant
697165	54360	Angela Torlo & Madre di Angel
697166	51375	Infanta
697166	197581	
697166	315446	Nadia
697167	215123	
697168	327669	
697169	274361	Newswoman
697170	25367	
697170	44385	Maid
697170	54946	Additional Voices
697170	56654	Additional Voices
697170	102247	Mom
697170	109856	
697170	148952	JFK Agent
697170	165976	Additional Voices
697170	168087	Nightclub patron
697170	184978	Franny Walton
697170	211439	Baglady
697170	232456	Nurse
697172	263424	(segment "Trofim")
697173	392911	
697174	345327	
697175	275750	
697176	179643	
697177	114766	
697178	106810	Die Selow
697179	24038	
697180	247347	Miss Podkomorzanka
697180	315018	
697181	247592	
697181	350739	
697181	375233	
697182	110134	
697182	166143	La femme du rêve
697182	355971	La mère de Stéphanie
697183	71835	
697184	75962	
697184	77480	Anna
697184	89603	Tomaszek's Mother
697184	129604	
697184	131952	
697184	174489	
697184	179182	
697184	215605	Wiktoria, Wladyslaw's Neighbo
697184	226420	Emilia Korczynska
697184	231743	Mother of Judyta
697184	238815	
697184	255497	Angel Woman
697184	282768	Alina Borowska
697184	286282	Helena
697184	290863	
697184	319660	Yanek's Mother
697184	364700	
697184	375023	Janina Karasiówna 'Haka'
697184	395084	Helena Stawska
697184	397820	Alina's mother
697185	265884	Herself
697186	24212	Fannie's Model
697187	1468	Herself
697187	11682	Herself
697187	22839	Herself
697187	57642	Herself
697187	63043	Herself
697187	87983	Herself
697187	87985	Herself
697187	96560	Herself
697187	113828	Herself
697187	120646	Herself
697187	145641	Herself
697187	155215	Tracy Hanibal
697187	155283	Herself
697187	155284	Herself
697187	155286	Herself
697187	212084	Natalie Jordon
697187	212805	Herself
697187	291090	Herself
697187	326663	Herself/Presenter
697187	326664	Herself
697187	335606	Herself
697187	335607	Herself
697187	352963	Herself
697187	367869	Herself
697187	368407	Herself
697187	388383	Herself
697187	388672	Herself/Panelist (2000)
697187	389865	Jessica
697187	411802	Marnie Kowalski (1999)
697188	247978	L'assistante
697189	33799	
697189	179588	
697189	190955	
697189	217216	Rachel
697189	228802	Ganka
697189	244087	Tina
697189	370639	
697190	46937	Jessica
697190	166175	La fille
697190	217827	Louise
697190	345251	Marina à 5 ans
697190	345441	Chloé
697191	30582	Fan
697192	170215	Host
697193	79862	Mary Brent
697193	127996	Paola Toscanini
697193	177294	Abigail
697193	185321	Screening Room Jury
697193	386481	Sarah
697194	687	Herself
697194	689	
697194	5162	Marge
697194	5239	Jane Hopcroft
697194	23935	Herself - audience member
697194	54490	Barbara Bostock
697194	55691	Countess Esmeralda
697194	66918	Shani Whittle
697194	78045	Ena Lind
697194	97681	Trish
697194	103593	Shani
697194	104681	Lady in the Bed
697194	104857	Sarah
697194	104997	Herself
697194	105655	Tamara
697194	112743	Liz Morris
697194	121860	Herself
697194	135781	Naomi
697194	177569	
697194	179065	Brenda Weller
697194	190525	Audrey Davidson
697194	192171	Miss Minchin
697194	193887	Cathleen
697194	196232	The Princess of France
697194	208186	Herself
697194	239415	Aunt Eller
697194	245501	Maggie
697194	254986	Mother
697194	274787	Annie
697194	277701	Performer
697194	280469	Freda
697194	290352	Sarah
697194	293093	Miss Skillon
697194	307687	Rezl
697194	313119	Larry's wife
697194	319726	Dora Breslauer
697194	348380	Sylvie
697194	359932	Prime Minister
697194	365560	Miss Higgs
697194	366441	Marcia
697194	372302	Marjorie
697194	379447	Jane Lucas
697194	379448	Jane Lucas
697194	379703	Sheila Haddon
697194	385020	Lillian Spencer (2002)
697194	399931	Val
697194	405696	Stella Craven
697194	405795	Alison Holmes
697195	40543	TSB Worker
697195	171344	
697195	189520	Rabbi
697195	191933	Mrs. MacNeill
697195	199557	Madeleine
697195	205969	Valerie
697195	291085	Mrs. Lenox, Duncan's Waitress
697195	321319	
697195	345847	Talia Rona
697195	408968	Host
697195	411220	Tim's mom
697196	27877	Gina
697196	80708	Lorraine Peever
697197	208149	
697197	389365	Barbara
697198	271603	Swanilda
697199	238345	
697199	369378	Girl
697199	397007	Beata
697200	397122	Deborah
697201	236786	
697202	291449	Nun
697203	266980	
697204	342391	Amber Duggan
697205	120392	Jane 'Wombat' Walker
697206	356186	Tanssija (dancer)
697207	170848	Herself - Participant/Perform
697208	94889	
697208	124061	
697208	147464	Konobarica
697208	189303	
697208	192880	
697208	206500	
697208	230487	
697208	259316	
697209	54421	Tadzio's aunt
697209	109715	Nurse 1
697209	236019	
697209	375316	
697209	397410	Sophia
697210	119183	Die Amme
697210	339977	Brangäne
697210	358690	Fricka
697211	4946	Daughter at Park
697212	225973	
697213	139868	Kacperska
697213	178804	Housemaster's wife
697213	191155	Elzbieta Gorczyn
697213	234268	Stacha Luczakówna
697213	236159	Barbara
697213	237869	Bozena's Mother
697213	238815	
697213	255613	Young Girl
697213	257147	Jagna
697213	266342	Mother
697213	284077	Sgt. Danuta Pawlak
697213	304128	
697213	317818	Fredzia
697213	322138	
697213	325373	
697213	369012	
697213	375440	Elzbieta Zalewska
697213	381186	Neighbour Karolakowa
697213	387159	Aunt Ola
697213	394585	Helena Fraczak (1999-2000)
697213	396286	Barbara Mostowiak
697213	397114	Pawelec
697213	403627	Bigielowa
697214	390410	Therese Segaar (2000)
697214	393180	Jet
697215	54910	Soloist
697215	281974	Jungfer Marianne Leitmetzerin
697215	347705	
697216	18612	Cashier
697216	80904	Lucy Rahlston
697216	154308	Rhonda
697216	158183	Ms. Pierce
697216	161051	Step Magazine
697216	165309	Barb
697216	192413	Mrs. Hummel
697216	192593	
697216	192857	Parent #2
697216	235088	Tour Guide
697216	241058	Nora Eberbaum
697216	334903	Sandy
697216	335257	Randi
697216	367081	Dorothy
697216	386709	Puppeteer
697217	7889	Melissa Serington
697217	223776	Suzette J. Lippard
697217	348601	Tina
697218	232831	Nurse
697219	181326	
697220	326453	TV Journaliste
697221	59878	Cindy
697221	80394	Vicki
697221	87975	Tina
697221	134723	Assistant director
697221	382240	
697221	409586	Beth Van Doren
697222	281654	
697223	100922	Irma Zenk
697223	157617	
697223	178569	
697223	191426	
697223	259452	
697223	259459	Claudia
697223	290138	Karin
697223	290472	Esther
697223	325886	
697223	379635	
697223	386637	Mrs.Schwarz
697223	391152	
697224	178558	
697225	158056	Baroness Maestra Morgana Elis
697226	179889	Eva
697227	56069	
697227	97856	
697227	160728	(segment "Ladrão, O")
697227	171532	(segment "O Noivo")
697227	225840	
697227	338234	
697227	354988	Lenita
697227	377224	
697227	381263	Babi
697227	382741	Leonor
697227	382776	Vânia
697227	384002	Vilma
697227	397440	Lila
697227	400678	Aline
697227	401095	Cris
697227	401199	
697227	402365	Lady Jane Grey
697227	402455	Young Margarida
697227	403308	Norma
697227	403747	
697227	405101	
697227	405337	Cris
697227	407639	
697227	408230	Cristina
697227	409003	Maria Augusta
697227	409407	Maria Isabel
697228	133306	
697229	107846	
697230	57654	Second Examining Room Patient
697230	192254	Joan
697230	221174	Hannah
697230	222666	
697230	260966	Hannah Portnoy
697230	270622	Aunt Ceil
697230	313583	Sandy's Press Agent
697230	329522	Beautician
697230	330773	Arlene
697230	348386	Connie
697230	382356	Michelle Nardo (1973-76)
697230	389318	Ida Gewertzman
697230	396850	Linda Grincato
697231	194130	Narrator
697232	177660	Amish Bellringer
697233	290562	Steinhauserin
697233	312204	
697233	338386	Inge
697233	403791	Pauline Boetzkes
697234	131739	Joan
697235	12209	Lorraine
697235	154592	Amy
697235	280205	Nicky's Friend
697236	16130	Anna
697237	6265	
697237	6266	Tricia
697237	16130	Anna
697237	230596	Penelope
697237	270922	Lisa
697238	142260	Frau
697239	94305	Assistenzärztin Barbara
697239	164815	Catherine
697239	236821	
697239	280508	Sonja
697239	282104	Stammgast und Personal Rossin
697240	319568	Billy-Jo
697241	241349	
697243	34862	
697243	36936	
697243	37417	
697243	50377	
697243	50395	
697243	128636	
697243	128639	
697243	133920	
697243	139196	
697243	152648	
697243	198518	
697243	209259	
697243	210302	
697243	258016	
697243	291009	
697243	291021	
697243	295884	
697243	333831	
697245	104733	Host
697245	228231	Host
697245	228232	Host
697245	387959	Herself - Presenter (1958)
697247	12231	
697247	314201	
697248	110916	Dancer
697249	172504	
697250	93514	Ulla
697250	149121	
697250	233284	Frk. Durant
697251	361282	Herself
697252	366780	Fong Qual
697253	239756	Car 54 Passenger
697254	107353	Herself
697255	28635	Marcy
697255	90349	Joanne Smith
697255	192250	Laurel
697256	366744	
697257	238508	Child Playing Game
697258	20684	Grace Glass
697259	41743	
697260	148878	
697261	108600	Medusa
697262	221114	Other screaming girl
697263	333915	Anna
697264	129426	Katerina "Katinka" Kern, as a
697265	189987	Vicki
697266	11525	Reporter
697267	194940	Anastasia
697268	213112	At the Party
697269	313818	Dorothy
697270	306286	Greta's Mother
697271	278288	Tara
697272	261049	Showgirl Dancer #13
697273	194696	Child
697274	200122	Extra
697274	274200	Pepper's Salon Hag 3
697275	24862	
697275	306646	
697275	352805	
697275	356191	
697275	374427	
697276	69926	Dealer
697276	200613	King Béla's mistress
697276	299954	Post Office Woman
697276	349794	Anikó
697276	377889	
697276	384425	Host
697276	385357	Herself/Host
697276	385361	Herself/Various (1998-2001)
697276	400940	Erika, sexy neighbour #2 (200
697276	407236	Claudia, Julcsi's friend (199
697277	331100	Dancer
697278	47232	Dancer
697278	47233	Dancer
697278	120528	Dancer
697279	52675	Norma Rice
697279	324029	Sandra
697279	330903	Effie
697280	100877	Nun
697281	154115	Mandy
697281	189973	Queen Zurline/Wife/et al.
697281	208280	Lynne
697281	218647	Voice of Mooch
697281	386944	
697281	408161	Cheetara/Wilykit/Luna
697282	4671	Herself
697282	6259	Assistant DA
697282	39756	Mother
697282	41666	Laurie Kramer
697282	78183	Mother ('Black or White' vide
697282	80854	Nancy Weston
697282	109617	Jane Sims
697282	154959	
697282	160888	Roxanne Rochet
697282	164600	Janice
697282	171348	Carol Mills
697282	177705	Kathleen Crowe
697282	219667	Oralee Prentiss
697282	261564	Ellen March
697282	267563	Mom
697282	276787	Julie Barnes
697282	304059	Laurabel Pierce
697282	311005	Helen Stroud
697282	340791	Rita
697282	342549	Norma Jennings
697282	342552	Norma Jennings
697282	359311	TV Correspondent
697282	378627	Gloria Steinem
697282	380240	Hadley Larson
697282	393628	Joanna
697282	398007	Julie Barnes
697282	404727	Olivia Owens
697282	409210	Norma Jennings
697283	46353	Mrs. Snyder
697283	81117	
697283	232458	Mrs. Lantz
697283	293258	Deidre (Governor's Wife)
697283	301539	1st Mourner
697283	322638	Saleslady
697284	169433	
697285	395698	Reporter (2002-2004)
697286	313722	
697287	119581	Parent
697288	405459	April
697289	318873	Child
697290	19486	
697290	33967	
697290	211065	
697290	294710	
697290	328194	
697290	349464	
697291	247643	Margit néni
697292	186129	
697292	198508	
697292	239888	
697293	198341	
697294	387946	Contestant (2003)
697297	65214	
697298	85416	Rita
697298	162882	Stasya
697298	222563	Carol Shipton
697298	403235	Elspeth Nut
697299	252862	Maria Velez
697300	88805	Tatiana Lins
697300	379450	Gardênia
697300	380097	Matilde
697300	381198	Orsina
697300	384117	Suzana
697300	384645	Teresa
697300	384992	Matilde
697300	385024	
697300	388681	Dalete
697300	390752	
697300	391673	Vandinha Furtado Diniz
697300	396610	Carla (1995)
697300	397645	
697300	401243	Manuela
697300	402685	Rita
697300	403171	Valquíria 'Kika'
697300	409347	Suzy
697301	202505	
697302	193344	Vaquerita 1
697303	222152	Vendedora
697304	397541	
697304	400584	
697305	5110	Ferreira Family Member
697305	57981	Ana
697305	269969	Cordolina
697305	377223	
697305	401944	
697306	100496	Amiga Brenda
697307	65006	
697307	347346	Maria
697308	83904	
697309	10238	
697309	278585	
697310	243763	Eurydice
697311	389224	
697312	11441	Paul's Sister
697312	172607	Lover
697312	373587	Servant maid
697313	258379	
697314	36899	
697314	36923	
697314	36924	
697314	39874	
697314	50389	
697314	88196	
697314	130776	Morgane
697314	170273	
697314	227996	
697314	248484	
697314	253260	
697314	284209	
697314	350144	
697314	396071	Herself
697315	228298	Pyramid Captain
697316	118382	Bridesmaid
697316	146835	Bertha
697316	147426	Corrine Hill, Movie Star
697316	291942	
697318	104777	Belgian vote presenter
697318	184185	Herself
697318	238477	Andrea
697318	315835	Tamara
697318	381858	Herself (2001-)
697318	387953	Vote presenter
697318	387955	Jurylid
697318	395083	Herself (1996-1999)
697318	395516	
697318	397456	Herself
697318	399052	Herself (2001)
697318	399843	Herself
697318	401348	(1999-2002)
697318	401852	Herself
697318	406558	Cathy Vanbrabant
697318	407173	Herself (1999-2001)
697318	410339	
697318	410413	Herself
697318	410622	Betty Joy (1995-1997)
697318	411598	Herself
697318	412022	Herself
697319	88157	Ishtar Lane
697319	131590	Nell Norcross
697319	235674	Dorothy Wedderburn
697319	301939	Pauline
697319	318102	Princess Karami
697319	334273	Leila
697319	335718	Mrs. John Daly
697319	362560	Sophia
697320	41233	Lolita Zalasar
697320	49035	
697320	52044	
697320	117451	
697320	160290	Tonia
697320	163815	
697320	177969	
697320	219942	Mother Ignacia (elder years)
697320	243712	Lola Desta
697320	245478	
697320	246556	
697320	281088	
697320	334024	
697320	385651	Francisca Monzon
697321	50761	
697321	54455	
697321	69376	
697321	75059	
697321	76232	Mrs. Lancaster
697321	85824	
697321	95879	
697321	183383	
697321	188069	
697321	197750	
697321	243475	
697321	264052	
697321	264910	Herself
697321	280294	
697321	342541	
697322	32024	
697323	118293	
697324	41071	Patricia Martin
697325	87325	
697325	170216	Herself
697325	170217	Herself
697325	170229	Herself
697325	358744	Singer
697326	132148	
697327	5358	Host
697327	11124	Lisa
697327	60166	
697327	65023	Frances Shepard
697327	69251	
697327	79268	
697327	123696	Maria
697327	129791	Belinda/Star
697327	257696	Diana Armstrong/Diamond
697327	273568	
697327	277442	Victoria
697327	344496	Diane Armstrong/Diamond (The 
697327	368110	Lisa
697327	379723	Neesee James
697327	393059	Herself
697327	406026	Host
697328	80129	
697329	315777	Student
697330	212334	Herself - Participant/Perform
697331	75721	Pep Rally Leader
697332	202130	
697333	104179	
697333	135268	
697334	285729	Grandmother
697335	21069	(segment "A Garçonière de Meu
697335	35492	
697335	103869	
697335	212163	
697335	261197	
697335	263121	
697335	269214	
697335	273654	
697335	320415	
697335	380525	Dulce
697335	387903	Augusta
697335	389587	Marta
697335	390506	
697335	396838	
697335	397550	Veridiana Pires Camargo
697335	399498	Virgínia
697335	401818	
697335	403329	
697335	404291	
697335	405914	
697335	410287	Esmeralda
697335	411739	
697335	412256	
697336	307835	Amalia
697336	404077	Fátima Oliveira
697337	63831	
697338	212162	
697339	400670	Brásia
697340	43756	(segment "Primeiro de Abril")
697341	205696	
697342	55812	Vitória
697342	386123	Gabriela
697342	402086	Anita
697343	318181	Celena
697344	63633	
697344	181446	Extra
697344	400842	Hostess
697345	409975	
697346	396610	Aline Coimbra (2004-)
697347	78034	Alice Parks
697348	78493	Herself (performing 'Julian')
697349	170392	Juliane Jensen
697349	178731	Juliane Jensen
697349	212116	Herself
697349	212117	Herself
697349	388533	Herself - Host
697349	390213	Herself - Host (2001)
697349	394669	Herself - Host
697349	395673	Herself - Host (1996-1997)
697349	399592	Herself - Team Captain
697349	406570	Herself - Host (1995)
697349	409331	Herself - Host
697349	409351	Herself - Host (1997-1998)/Te
697350	274346	Student
697351	359086	Peg
697351	361291	Lover
697352	52887	
697353	189305	(segment "Angélica")
697353	189309	
697353	344811	
697354	185101	Lori Beth Cleavis
697355	354869	
697356	17626	
697357	165132	Guri
697358	29890	
697358	315379	Astrid
697359	23388	
697360	192487	Den lille jenta
697361	311523	Girl in Nightclub
697362	82686	Trisha Miller
697362	91994	Judy Funnie/Mrs. Funnie/Conni
697362	162533	Lisa Goldwin
697362	366761	Mrs. Nelf
697362	382669	Judith 'Judy' Anastasia Funni
697362	386840	Judith 'Judy' Anastasia Funni
697363	296768	Mrs. Granville
697365	392214	
697366	116079	Older Girl
697367	40954	
697368	52892	
697368	311675	
697369	86334	(segment "Non commettere atti
697370	387	Giulia Betocchi
697370	9650	Elisabeth Nietzsche
697370	10529	
697370	10530	Sorella Alberta
697370	13203	Principessa Maria
697370	19521	Arabella
697370	19749	Catherine
697370	28724	Madame de Berny
697370	28779	Luisa (segment "Telefonata, L
697370	42020	Elga
697370	43717	Gina Bianchi
697370	48972	Luisa Herrighe
697370	49677	Elvira
697370	54912	Maria di Pietramelara
697370	56079	Gigliola
697370	56928	Caterina Sforza
697370	57894	Herself/Extra
697370	63784	Wilma Malinverni
697370	64156	
697370	64241	
697370	69941	Greta Tramontana, figlia di R
697370	70521	Ingrid Carlsen
697370	70719	
697370	73510	Sanna
697370	83769	
697370	86114	
697370	89578	Luisa
697370	90668	Liliana
697370	90669	Tilde
697370	90697	Anna
697370	90781	
697370	96523	
697370	96528	
697370	96542	
697370	102583	Ernesto's Mother
697370	104814	Francesca
697370	123060	Alny
697370	127882	Claude
697370	127985	Naja, una spia austriaca
697370	151638	Mrs. Ford
697370	153243	Elisa
697370	154411	Anna Cotone
697370	155857	John's Beautiful Cousin in Ro
697370	188599	Anna
697370	197463	
697370	199506	Virginia (segment 3 'La Donna
697370	209832	Rosa Minitti
697370	213907	Anita Rossi
697370	217872	Laura Damiani
697370	235518	Julie Ferris
697370	238798	Dorothea (segment "L'ora di p
697370	246429	Claire de Beaulieu
697370	255128	
697370	257015	Irene
697370	270827	Ada
697370	270860	Edit Horváth
697370	270864	Madre di Ettore
697370	275124	Catherine de Médicis
697370	278728	
697370	278976	Sister Evangelina
697370	281234	Julia
697370	282097	
697370	287992	Adriana
697370	292535	Caterina Malatesta
697370	294845	Annabel Lee
697370	301366	Milena Zulian
697370	314058	Rhonda
697370	314378	Herself
697370	317718	Silvia
697370	319296	Yolanda
697370	327562	Stella
697370	336622	
697370	341599	Caroline Plantin
697370	345075	Nathalie
697370	349422	Olga anziana
697370	351535	
697370	352231	Giulia
697370	352917	
697370	354696	Suzanna Moritz
697370	354880	Laura, Marco's daughter
697370	355700	Anna
697370	373912	Sister Evangelina
697370	381622	Miranda Spadoni
697370	384175	Dona Moniz Perestrello
697370	386128	Christine Duvivier
697370	397408	Elena Satta
697370	397932	
697370	404588	Livia Bandini
697370	409591	
697371	306976	
697372	68841	
697372	276327	
697372	310690	
697373	385478	Mariolka
697374	32855	Ana
697374	33251	
697374	85168	
697374	232599	
697374	254219	Ruskinja
697374	312626	
697374	320548	
697375	68325	Esperoa's mother
697376	97438	Child
697377	126492	Chef #2
697377	137470	Henchwoman
697377	241038	Girl at bar
697377	340742	Tina
697377	387237	Reacurring cop
697377	406712	Gang leader
697378	11069	
697378	43189	Ági
697378	110702	
697378	140671	
697378	181090	Szobalány
697378	243878	
697378	250888	Jutka
697378	349132	Paula
697379	165966	Girl in tunnel
697380	400505	Milja Rautakoura
697381	51362	
697381	127887	Alina
697381	235756	Jenny
697381	265711	Carola
697381	341747	Hellen
697381	392742	Laura Gellini
697381	406000	Irina
697381	410050	Anneke
697382	59883	Drunk Girl in Club
697383	58243	
697384	136720	Gutrune
697385	3536	
697385	128645	
697386	7821	Vivienne Roberts
697386	106009	Marian Steele
697386	213083	Carol Cheyne
697386	214779	Angela
697386	246697	Olive Lennox
697386	281073	
697386	310588	Sheila Pearson
697386	342354	Maria
697386	342455	Betty Hamilton
697386	365062	Woman
697387	99081	Merrick's Mother
697388	184654	Aunt Vicki
697389	523	Voice in off
697390	312714	Dealer
697391	217403	Motrya Kochubei
697392	185960	Glos Nathalie
697392	283831	
697392	352865	
697392	357651	
697393	2621	
697394	63593	
697394	86857	
697394	198138	Lyoda
697394	229021	
697394	238820	
697394	255900	
697394	259200	
697394	264925	
697394	356869	
697394	373514	
697394	411976	
697395	266293	
697396	405853	Martyna (1985-1987)
697396	408422	Spökflickan
697397	190324	Mall Person #1
697398	362132	Fashion Student
697399	48833	Magdalena
697399	53163	
697399	61128	Alcira
697399	80350	
697399	124578	Marga, la gaucha
697399	210257	
697399	221551	
697399	247188	Elena Carter
697400	34353	Frau Hellmer
697400	57714	
697400	57715	
697400	102564	Mariella Barger
697400	118766	
697400	129708	
697400	186890	Hannchen Sülz
697400	207062	Frau Dorn
697400	219289	Frau Fogerty
697400	249102	Gladiola
697400	254372	
697400	263370	
697400	284519	
697400	346846	
697400	347813	
697400	390417	Josepha
697400	399503	
697401	213150	Dr. Talbots Asst.
697402	356792	Student
697403	347772	Direktionssekretärin
697404	7529	
697404	16993	
697404	46014	
697404	52722	
697404	56081	
697404	57506	
697404	91566	
697404	100485	
697404	112853	Jacqueline Gervoise
697404	122546	
697404	134185	
697404	171341	
697404	175052	Countess de Keofeld
697404	177218	
697404	181629	
697404	191227	
697404	212777	Nadia
697404	214010	
697404	232670	
697404	236520	
697404	236618	
697404	244727	
697404	265654	
697404	272537	Frau Tatarinoff
697404	278706	
697404	288484	
697404	293799	
697404	323213	
697404	327657	
697404	351005	
697404	366419	Cuban Singer
697404	406058	Dolores
697405	3073	Tatiana
697406	80070	Herself
697407	89851	Luciana
697407	94684	Vanda
697407	159663	Barbara Soldani
697407	183148	Baby's Sister
697407	187926	Bruna
697407	228764	Carmen
697407	305540	
697407	310468	
697407	336593	Adelina
697408	60436	Klava
697409	15041	Model
697410	24818	
697411	197577	
697412	110645	
697412	223358	Ammu
697414	94283	
697415	1051	
697415	75936	Countess Stasi von Planitz
697415	103064	
697415	147195	
697415	155405	Camilla
697415	180643	
697415	188834	Zofe
697415	208793	Hilde
697415	264349	Mian Li
697415	301286	Nina Bernini
697415	312203	Steffi von Angerspang
697416	201201	Une femme du 'Necro's club'
697416	204118	
697417	224533	Mrs. Stenersen
697417	271893	Herself
697417	334176	Sandra van Dijk
697417	376116	
697418	154499	Herself - Plejemor
697419	69597	Aurora
697419	380713	Lucinda Marie 'Lucy' Montgome
697420	251607	
697421	383291	
697421	397731	
697421	398661	(1999)
697421	402158	
697421	405916	(2003)
697421	409957	Sol Vega (1999-2000)
697422	29523	Barfly
697423	274729	Kathy Patterson
697424	139781	Store Customer
697425	38599	Lady Susan
697425	64845	Amber
697425	128286	Ruby
697425	129403	Marion Fielding
697425	153489	
697425	210828	
697425	233665	Rita
697425	319243	The Secretary
697425	321088	Johanna Oakle
697426	190247	Second French Girl
697427	326584	Waitress
697428	162984	
697428	194690	
697428	199498	
697428	263973	Lottie
697428	270757	Dowager of Melrose
697428	331489	Lady Walker
697429	260630	Bess
697430	8339	Joan Shackleton
697430	18009	Jennifer
697430	74021	Elaine Morell
697430	81732	Dawn Maxwell
697430	90026	Telephone Operator
697430	91784	Mrs. Carrington
697430	112747	Joanna Goring
697430	113515	Grandmother
697430	120152	Frieda
697430	132839	Babs Coates
697430	168330	Lady Thameridge
697430	168453	Dora
697430	191000	Pauline French
697430	196067	Carol
697430	217715	Diana
697430	223646	Joan Mackenzie
697430	235466	Maude Bodley
697430	241028	Dotty Liz
697430	260143	Maisie
697430	283349	Jo
697430	295392	Edith Middleton
697430	299191	Rita
697430	306412	Kitty Feathers
697430	308082	Diana Haverstock
697430	316214	Mrs. Flower
697430	327708	Ethel Mae Rodgers
697430	340512	Peggy Drew
697430	346838	Corinne Alardyse
697430	359104	Miss Willis
697430	363797	Dolly Clark
697430	371070	Lady St. Simeon
697430	378710	Grandmother
697430	410010	Jacqui Villiers
697430	410011	Jacqui Villiers
697430	411015	Janet Pugh
697431	27263	Claire's Friend
697431	53329	Dancer
697431	104357	Wench/Sean's Secretary
697431	212691	Sheila Masters
697432	184854	Lara
697432	222713	Nurse
697433	140855	
697434	32400	
697434	62886	Aunt Ulla
697434	75572	Yvonne
697434	83980	Ruth Sanders
697434	186470	Prostitute
697434	336713	Sheila
697434	382586	Doreen Bowler
697434	385020	Jean Stark (1961)
697434	386711	Jenny Lawrence
697436	194810	Herself
697437	151422	
697438	79382	Zarrah's Mother
697438	212227	A Neighbor
697438	229937	Jailer's mother
697438	240013	Mrs. Maylie
697438	324410	
697438	337414	His Wife
697440	159646	Dancer
697440	281336	
697440	338678	Dancer
697441	247572	Angie Fitch, Raymond's Wife
697442	88454	Anya Klimenko
697442	91485	
697442	95652	Maria
697442	102996	
697442	162758	
697442	187786	Krupskaya, Lenin's Wife
697442	197999	
697442	207999	
697442	235231	
697442	259925	
697442	266750	
697442	270722	Malluchikha
697442	293854	
697442	313624	Akulina Ivanovna
697442	351336	
697442	352801	
697442	356591	
697443	47054	Gorbunkov's Daughter
697444	86702	Herself
697445	86702	Herself
697445	120478	Bar Dancer
697445	264205	Wet T-Shirt Girl
697445	330550	Saunders
697446	88412	Partner's Wife
697446	396286	Zuzanna (2003-)
697447	78828	Businesswoman
697448	21552	
697448	26420	Mrs. Crump
697448	41105	Mary, Dithers' Receptionist
697448	42128	
697448	52579	Phone Girl
697448	57217	Woman
697448	93220	Woman Cab Driver
697448	134675	Frieda Melburne
697448	141820	
697448	147422	
697448	149319	
697448	150796	
697448	158815	The Boy's Sister
697448	160057	
697448	190179	
697448	234230	Wally's Wife
697448	253760	Mrs. Castor
697448	258073	
697448	319112	
697448	335788	Miss Beebe, his comely assist
697448	343199	Liz
697448	360527	Radio actress as 'Irene'
697449	81784	Waitress
697449	300909	Woman
697449	349988	Virgil's mother
697450	97983	Rika
697451	58129	Pioneer
697452	56010	Specialty act
697452	236972	Dream Mouse
697453	166370	A student
697454	26011	
697455	9369	Singir
697455	98027	
697456	293082	Producer in Bathroom
697457	409451	La bonne des Walder (1977-197
697459	211440	Libby
697460	191463	Guest Artist
697462	314058	Lady of easy virtue
697463	162416	Becky
697464	168948	Message from the Lord Choir
697465	28481	Extra
697466	192645	Annie
697467	143538	Woman in Elysian Fields
697468	366260	
697469	410281	Nanna Kolmodin
697470	2299	Mrs. Ferm
697470	108199	Generalkonsulinnan
697470	182806	Worker's wife
697470	347017	Mrs. Bodin, Kerstin's aunt
697471	408335	Tone
697472	136688	
697473	242898	
697474	350789	
697475	151461	Agatzi Girl
697475	364189	Reporter
697475	372901	Hospital Nurse
697476	51077	Siri
697477	298764	
697478	9172	Maire
697478	9602	Kaija Lehtola
697478	152361	Herself
697478	153762	Liisa
697478	168870	
697478	170922	Kalliolahti
697478	181935	Hoitaja
697478	190659	
697478	194430	
697478	200955	Female Guard
697478	254208	Aila Kantola
697478	271630	Maire
697478	282466	Aune
697478	283478	Taiston Äiti
697478	284105	Enni
697478	284751	
697478	325184	
697478	350552	
697478	388258	Sakari's mother
697478	391615	
697478	392608	Leila Toroskainen/various voi
697478	394792	Anja Partanen (1999-2002, 200
697478	394933	
697478	398651	Various
697478	401476	Ingrid
697478	404782	Kaarina Paloaro
697478	409904	Various characters
697479	332772	Fighter/Soldier/Performer
697480	113461	
697481	229553	Child
697481	386132	Princess Selvaggia at age 8
697482	167029	Leah
697483	383217	Contributor (2004)
697484	405539	Agneta Björklund (1999-2000)
697484	405570	Lisa Sandin Berg (1997-1998)
697484	412047	Sekreterare Anki
697485	387704	
697485	408319	
697486	67890	Modesty Bluff
697487	163895	Anna Pavlik
697488	349309	
697489	13852	Arlene
697490	320708	
697491	158151	Angela Sands
697491	276085	Big Tim Party Girl
697491	307002	Sandra/Hooker
697492	68270	Tanya Adams
697493	101086	Goth Cashier Girl
697493	110315	Nurse #2
697494	96500	Lisa
697494	133023	
697494	204812	
697494	272855	Gemma Mirtilli
697494	290924	Beatrice
697494	320698	Woman in Lift
697494	324324	
697494	342116	Post office clerk
697494	342118	Compagna di stanza di Stella
697495	85178	
697495	105374	
697496	19127	Big Foot
697496	38068	Copeland's Squaw
697496	63993	Arita Red Feather
697496	94753	Chata's wife
697496	184127	Grandma Moore
697496	327775	Indian woman
697497	5066	Waitress
697497	45548	Rosa Parks
697497	93974	Desiree
697497	105265	Erin's Mother
697497	117065	Seductive Lady
697497	128594	Ms. Martinez
697497	200860	Helen
697497	202195	Follower at Temple #7
697497	244919	Clinic Counselor
697497	284621	Bank Supervisor
697497	296878	Reena's Mother
697497	330274	Bureaucrat
697497	382050	Ensemble cast member
697498	26750	Shayla
697498	130597	Raina
697498	141023	Lori
697498	141859	Karen Christy
697498	152555	Chester's Waitress
697498	223745	Sheryl
697498	251040	
697498	257657	Herself
697498	257819	Miss August 1998
697498	283713	Tex's Girlfriend
697498	310801	Bombshell #2
697499	50376	
697500	40889	Joni
697500	137254	Alyssa
697500	231426	Lisa
697500	337699	Girl in car
697500	363821	Clarabelle's Mom
697501	5489	
697501	10590	Elaine Debaux
697501	12547	
697501	21524	
697501	25407	
697501	29421	
697501	31119	
697501	31204	Silver Moon
697501	33391	Dolly Kamman
697501	33611	
697501	37329	
697501	39305	Lenore MacDougal
697501	40480	
697501	41798	Ann Calvin
697501	47285	
697501	47583	The Indian Girl
697501	48974	
697501	51749	
697501	52611	Pauline March
697501	58473	Peggy Pomeroy
697501	59122	
697501	62770	
697501	64380	
697501	72345	
697501	72493	Rose Tierney
697501	73490	
697501	75642	
697501	77467	Calanthe
697501	88946	
697501	96654	Enid Markham
697501	100219	The Cowboy's Sweetheart
697501	105688	Dorothy Ward Walden
697501	112905	
697501	113918	Esme Falconer
697501	117200	
697501	117201	
697501	117268	
697501	131933	
697501	132589	
697501	133786	
697501	133938	Velma Wright
697501	143245	
697501	146123	
697501	146192	
697501	148001	
697501	150880	
697501	151031	Toinette Rogers
697501	156971	Beulah
697501	159092	
697501	159096	Red Feather
697501	161719	Sky Star
697501	176366	
697501	184415	Bobbie Moore
697501	188131	Nellie Reid
697501	189959	Indian Girl
697501	190558	Kate Arnold
697501	196909	
697501	203007	Janice Williams
697501	203789	Myrtle Manners
697501	215411	
697501	227263	Nan Morgan
697501	227265	Nan
697501	240641	
697501	240839	
697501	240917	
697501	240920	Red Feather
697501	242572	Sylvia Lacey
697501	245289	Taluta, the Sioux Chief's Dau
697501	246511	
697501	261488	
697501	264032	
697501	266184	
697501	267169	Kate Bowers
697501	268870	
697501	269332	
697501	272116	
697501	273832	
697501	278410	Mary Fortune
697501	279566	Dorothy Ward
697501	292625	
697501	296825	
697501	301663	Jacqueline
697501	306643	
697501	306755	
697501	308102	Jane Remwick
697501	309716	Svea Nord
697501	312275	Mary Bransford
697501	312322	Naturich
697501	331901	
697501	334980	Rachel Hardy
697501	346003	Argyl Crawford
697501	356235	Clara Morrison
697501	365723	The Wife
697501	368402	Fieda Druse
697501	372747	
697502	71310	Alien Female
697503	46534	Nadia
697503	75587	
697503	186207	Janis
697504	167797	Mother
697505	980	Agent January
697505	14104	Jessie McClain
697505	84394	Tracey
697505	99691	Ally Poe
697505	137650	Jill Tremaine
697505	139967	Stella
697505	190171	Motel waitress
697505	317928	Deborah Rosenblad
697506	113886	Princess #3
697507	141613	Ilsa Blutlieber
697507	144246	Simulation Coach
697507	153538	Dumb Nurse
697507	310634	Waitress
697509	120488	Indian Mother
697510	45421	Dulcie
697510	137462	Dancer
697510	197755	Isabel
697511	409400	
697512	406955	Kris
697513	196572	Waitress
697514	222620	Marilyn
697515	286702	
697516	346121	Aunt Nano
697518	149570	
697519	293021	Sue
697519	312270	Doreen Hadley
697520	158313	Farmer
697520	190171	Religious woman
697521	313522	Granddaughter
697522	191799	Amy Thatcher
697523	144558	Dinner Party Guest
697523	154102	Mother
697523	178020	Dr. Garnett
697523	183843	Lady Windermere
697523	383631	Dr. Mary Tomlinson: SHO (1987
697523	408866	Pathology Assistant)
697523	408870	June (path lab)
697523	410649	WDC Jane Long
697524	381514	Herself
697524	397721	Herself
697524	398316	Herself
697525	201845	Isabella
697525	289260	Prostitute
697525	319202	Lauren
697525	383385	Sarah Caruso (1986)
697525	385824	Amazon Ayla (1984)/Vanessa Wa
697525	402204	Pvt. Rayleen White (1981)
697526	115717	Doctor 1
697526	296261	McClurry
697528	46981	S. Markham
697528	50611	Mrs. Carpenter (Scott's Mom)
697528	292041	Daniel's Mother
697529	348	Nurse Kim
697529	12155	Dr. Ginger
697529	41429	FBI Agent
697529	42982	Ann
697529	99971	Sue
697529	105394	Marilyn Monroe
697529	146774	
697529	150786	Olivia
697529	165474	Jane White
697529	176900	Heather
697529	176903	Heather
697529	242587	Jane
697529	244489	Nami Kikushima
697529	280016	Bre
697529	289520	Sheriff Deputy Rachel Lander
697529	292160	Laura
697529	306751	Mary Ellen
697529	316286	Susan
697529	356802	Bridgit Foodfight
697529	365650	Audrey Hobbs
697529	372806	Norma
697530	128529	
697532	329914	Alicia
697533	248133	Lady Pendlewood
697533	304022	Granny
697534	223084	Violin Student (1988)
697535	44337	Barb
697536	18979	Jane Conrad
697536	19170	Carol
697536	21198	Nurse Pierce
697536	41175	Katy Bane
697536	42108	Monica
697536	68768	
697536	123304	Amanda
697536	161305	Herself
697536	185470	Anita
697536	223833	Denny
697536	224667	Stella
697536	245040	Crystal
697536	252910	Melissa
697536	270684	Rusty Mars
697536	276801	Laura Wells
697536	321283	Lee
697537	245122	Girl in Car
697538	104965	Salsa Singer
697540	115300	Cheryl
697541	16846	Lucy
697541	17978	Edith Thompson
697541	65134	Fanny
697541	73361	Sarah Maitland
697541	73682	Lisa Talbot
697541	79763	Amanda
697541	108951	Fanny Robin
697541	134126	Primrose Woodhouse
697541	162877	
697541	175784	Anne Boleyn
697541	202880	Gina Silver
697541	229135	Herself
697541	269343	Peggy Pretty
697541	319753	NCIS-Reception
697541	350506	Lady Jane Sheepshanks
697541	382002	Saffron(adult)
697541	383086	Augusta Leigh
697541	395924	Jenny
697541	396082	Amanda (episode "Masturbation
697541	406212	Dr. Vicki Westbrook (2003-)
697541	408070	Rachel (1997)
697541	409841	Becky Sharp
697542	28709	Dingo
697542	59592	Sally Brown
697542	148385	Alice Parkinson
697542	195274	6-Year-Old Michelle
697542	274471	Cassie
697542	298115	Dolly
697542	337168	Additional Voices
697542	395691	Judy Lionheart
697542	395848	Francine Nebulon
697543	346310	Hotel Housekeeper
697544	50275	Sally
697544	79716	Lanson (SSL)
697544	97696	Mrs. Higginbotham
697544	162986	Leslie Barnett
697544	164838	Norma 'Meltdown' Jessop
697544	164839	
697544	229499	Rebecca
697544	296690	Heavy Metal Singer
697544	364732	Nicole's lawyer
697544	383186	Grandma
697544	395732	Jasmine; Lotus
697544	395737	Mrs. Moppet
697544	397877	Dinah
697544	397969	Maya (1988)
697544	404230	Francine Manx, Junior and Abi
697544	406006	Jackie
697545	84925	
697546	303964	Producer 2
697547	368929	School Kid
697548	264131	Asst. Swim Coach
697549	35239	Steve's Barbie
697550	6266	Victim #2
697550	172717	Kalin's girlfriend
697551	273316	Lilly - TV Show Kid
697552	79299	Edna Hackett
697553	316225	Skanky Ho
697554	7093	Clydette Parker
697554	32184	Hostess
697554	218005	News Reporter
697554	280281	Reporter
697554	322631	Reporter #2
697554	379021	Host
697556	360150	Party Babe
697557	170671	Begonia
697558	1168	Mother Third Home
697559	145414	Carrie
697559	309172	Momiji Kagariya
697559	326604	Patricia Garber (Victim)
697559	390900	Kana
697559	392430	Girl, Makato
697559	399405	Chiaki Komatsu
697560	284003	Mitzi Johnson
697561	31823	Gloria
697562	13389	
697562	26896	
697562	37503	
697562	42744	
697562	54927	
697562	54928	
697562	87462	
697562	117348	
697562	148557	
697562	149106	
697562	165510	
697562	165517	Herself
697562	191777	
697562	192424	
697562	192722	
697562	195916	
697562	202787	
697562	214109	
697562	237120	
697562	243119	
697562	270438	
697562	273535	
697562	280308	
697562	288490	Satania
697562	296061	
697562	313284	
697562	313688	
697562	313811	
697562	323441	
697562	335933	
697562	339916	
697562	366831	
697563	2572	Herself - refusing Best Actor
697563	69790	
697563	119541	
697563	168685	Nenya
697563	186036	
697563	299665	Navajo Woman
697563	339380	Patsy Littlejohn
697563	366469	Pale Flower (Guthrie's squaw)
697564	350191	Coffin Vampire
697565	49788	
697565	370620	Yaqui Child
697566	140786	
697566	146087	
697567	96755	'50s girl
697568	1870	Lynn Shapiro
697568	37490	Laurie Laemke
697568	70424	Suzanne
697568	76918	Herself
697568	224820	Janice Pettiboe
697568	255353	Patty
697568	274574	Host
697568	345857	Morning Chicago TV Host
697568	385577	Correspondent (1996-2000)
697568	392422	Herself
697568	392424	Herself
697568	397524	Nancy Blaford
697569	411367	Riot
697570	150054	
697571	366300	Indianapolis Queen
697572	367782	Smiling Woman
697573	18017	Jeannie
697573	196474	
697573	282313	Sheila
697573	310866	Vivian Nicholson
697573	315762	Carol Mclain
697573	332839	
697573	357076	Miss Cox
697573	395564	Janice Butcher
697573	408896	Judy, The Judy
697574	38878	Lorena
697575	84808	
697575	84809	
697576	201661	Herself
697577	105826	Penelope
697577	124351	Dianne McCain
697578	81168	Twyla
697578	81320	Diner
697578	120301	Actress in Commercial
697578	131210	Girl #1
697578	201845	Amanda
697578	244443	Daphne
697578	283944	Model
697578	292820	Model
697579	229687	Susanna Bolton
697580	383078	Stella Reece (2001-)
697581	31555	Herself
697581	196391	Herself
697581	346944	
697582	12275	Monica
697582	35252	Chris Cummins
697583	2613	Herself - Best Documentary Sh
697583	236698	
697584	210036	
697585	347035	(segment "Thou Shalt Not Comm
697586	184086	Teen Irene
697587	173512	Friend of Mrs. Bayles
697588	42114	Princess Lia
697588	79167	
697588	93395	Dancer
697588	93465	Laja Patacki Tänzerin
697588	95251	
697588	125279	
697588	125335	
697588	132053	Gloria
697588	173469	
697588	182766	Margarita, Tänzerin
697588	189786	
697588	204452	Liz
697588	219702	
697588	234897	
697588	265402	Tänzerin
697588	284099	Tänzerin
697588	294144	
697588	294202	Dancer
697588	352527	Maja
697588	364900	
697589	236657	
697590	60316	Timmy's Girlfriend
697591	340647	
697592	373216	First Model with Cat
697593	209772	Christen Giddings
697593	223920	Witnaur's girlfriend
697593	365142	Tanna
697593	393280	
697594	92660	Impaled dancer
697594	194410	Secretary
697594	232067	Angelique's best friend
697594	280054	Fan
697594	283426	Military wife
697594	297763	Roller-waitress
697594	342938	Military wife
697595	216368	Marlies
697596	65086	
697596	148771	
697596	271368	
697596	275403	Julie
697596	348730	
697597	287448	Pancha
697598	384201	
697600	89792	
697601	58343	
697601	201976	
697601	210238	
697601	229193	Lena
697601	244651	
697601	264983	
697601	323366	
697601	350923	
697601	373443	Khimka
697602	88419	
697602	318149	
697602	371364	
697603	180123	(segment "Duet of Odarka and 
697603	228166	Natalka
697603	373980	Odarka
697604	875	
697605	3112	Kseniya
697605	95644	
697605	130108	Faina
697605	227993	Lina
697605	229194	Lara
697605	339303	Ofelia
697605	341622	Constance Bulitsky
697605	349156	
697605	390525	Albina Voron
697606	403494	Herself
697607	11836	
697608	350343	Hotter Friend
697609	167029	Tsippe Nukhem
697609	184607	Hanne Jelin
697609	333445	Old Woman Rachel
697609	334048	Esther Kornblit
697610	7933	Jude Gare
697610	104953	Evelyn
697610	110306	Ellen
697610	114691	Rachel Seraph
697610	144593	
697610	196107	Phoebe
697610	213504	Girl in Diner
697610	266692	Terry
697610	277480	Ann
697610	298765	
697610	307964	Helen Murphy
697610	326712	Flo
697610	404152	May Walcott
697611	11171	Volina
697612	179041	Andrea
697612	383471	Singer at the Church
697612	385663	Daniela Gamboa
697612	386531	Laura Martinez(1999-Feb 20 20
697613	410740	Green Female Contestant
697614	49468	Nurse Li
697614	73416	Brenda
697614	100055	
697614	211698	Chinese Singer
697614	231090	Dance Floor Girl 2
697614	236145	Chinese woman
697614	297937	Oni's Girlfriend
697614	303549	Alik Silens
697614	314459	Ad Executive
697614	318218	Lisa
697614	367254	Party guest
697614	375798	Medical Examiner
697615	181833	Patron
697616	21913	Herself
697616	79863	Alice
697616	88574	Silk
697616	114546	Silk
697616	139088	Silk
697616	182998	Silk
697616	252382	Model
697616	296353	Herself
697617	28039	Chan Hung
697617	302606	Cocktail barmaid
697617	371563	
697618	298684	Shinko
697619	94363	Du Juan
697619	141911	Director Liu
697619	268710	Xiujuan
697619	369969	
697620	341544	Yi Ci
697621	11124	Wendy
697621	242078	Nancy Loo
697621	277582	Betty
697621	318099	Professor
697621	401930	Josie (2000)
697621	406850	Professor
697622	341544	Yi Ci
697623	282805	Liu, Suxian
697623	370758	
697624	35264	Tam
697625	371467	Zhang Huike's mother
697626	210966	Xia Ying
697627	400386	Jennifer Marlow
697628	370923	Yan's Mother
697629	197611	Sai Hua
697630	231213	
697631	72568	
697631	370495	Ko Mei Mei
697632	81702	Shelter Volunteer
697633	141898	Zong Ni
697633	141905	Yu Qiulan
697633	151926	Wan Xia
697633	360993	Lin Jianping
697633	369791	Liu Wei
697634	21818	Ashima's Mother
697634	135487	Mrs. Yang
697634	194083	Er Chun
697634	197602	Gu Azhu
697634	268725	Mother Wang
697635	263349	Lorelei
697635	361222	China aka Blossom
697636	81302	Mystery hand
697636	306616	Maya Kim
697636	328601	Amy
697637	208544	Babe
697638	153562	Lisa
697639	225844	Nia Ya Sao
697640	298401	
697641	371608	Qu Ping
697642	220247	Da Feng
697643	136079	Tao Lan
697644	7035	Visahka
697644	18615	Chinese Dancer
697644	131418	Lotus
697644	154230	Lotus, Stella's Theatre Maid
697644	235090	
697644	239176	Secretary
697644	337366	Shanghai Clerk
697644	358255	Suki
697645	1674	Herself
697645	1681	Herself - Presenter
697645	1717	Herself - Presenter
697645	1737	Herself
697645	1748	Herself
697645	3619	Herself
697645	7584	Herself
697645	13751	Herself
697645	16821	Herself
697645	28612	Agent Sever
697645	28827	Donna
697645	29156	Hooker
697645	57665	
697645	59664	Alex Munday
697645	59665	Alex Munday
697645	61156	Kitty Baxter
697645	64871	Cathi Rose
697645	75896	Rita
697645	116290	Dot
697645	126668	Herself
697645	134315	Cee-Cee
697645	136261	Woman at newsstand
697645	150524	Kawika
697645	164578	Herself
697645	166917	Former Girlfriend
697645	176711	O-Ren Ishii
697645	176712	O-Ren Ishii (Cottonmouth)
697645	195788	Kashi
697645	196992	Lyndsey
697645	201646	Herself
697645	201701	Herself
697645	201702	O-Ren Ishii
697645	207398	Herself
697645	207858	The Female's Friend (Lydia)
697645	217421	Brenda
697645	221426	Herself
697645	251239	Pearl
697645	257522	Lia
697645	266092	Ari
697645	278626	Boomer's Girlfriend (segment 
697645	297382	Princess Pei Pei
697645	312540	Elise Riggs
697645	340765	Toy Shop Girl
697645	352972	Herself
697645	372584	Herself
697645	379802	Ling Woo (1998-2002)
697645	389710	Raquel Smashenburn
697645	392421	Herself
697645	401080	Amy Li (1996-1997)
697645	402862	Herself/#23
697646	62112	Ying-Tai
697647	111207	
697648	84516	
697649	410920	Vancouver Host (2002-2004)
697650	309426	
697651	315956	Japanese Girl
697652	45338	
697652	151893	
697652	332523	
697653	369886	Martial Artist
697654	124867	Lu Xiaoduo
697655	115673	Apple
697655	192442	Anna, age 16
697655	359568	Amythis
697655	391248	Stephanie Tan/Mai Hem (1996-1
697655	404678	Chloe (2003)
697655	410795	Tia
697656	167824	Yuan Jingwen
697657	348396	DJ Night 2
697658	332355	Dragon-Lady classes/Black Mag
697658	341544	News Reporter
697659	86313	Wu Pei
697659	371503	Li Xiaodan
697660	151950	Fang Xiaohua
697660	369028	Danzhu
697661	332357	Xiao Yu
697661	375010	Luo Mingyan
697662	1607	Xiang Xiang
697662	110611	
697662	150718	
697662	167765	Xiaoqi
697662	209896	Mei-li Chen
697662	227440	Shuqin
697662	297508	Lin Siao Yu
697662	300407	Ching-fang
697662	367131	
697662	369693	Xiaodie
697662	369770	Liu, Mei-Ying
697662	369807	Yang Shao
697662	370812	Wei Ying Er
697662	374755	Dr. Du Jia-zhen
697662	403165	Zhang Youyi
697662	408601	Rook Castle
697663	268925	Zhang Xiaowei
697664	7885	Zhong Lili
697665	90548	Xiao Hua
697666	382838	Michelle Tan (2000-2001)
697667	167820	Channel 7 Reporter
697668	374893	Lin
697669	170635	Princess Dragon Mom
697669	236250	Mako
697669	369641	
697670	219401	Herself
697671	371576	Mother
697672	374701	Liu's Wife
697673	63445	Chunhua
697673	76378	Empress Ci Xi
697673	121118	Wu, Yuyin
697673	149050	Wang Xifeng
697673	153039	Yulan
697673	268698	Zhang Lan
697673	369563	Cixi
697673	369673	He, Cuigu and Yongsheng's mot
697673	369792	Ouyang Lan
697674	332320	Jade
697675	370815	Li Ming
697675	376050	Madwoman
697676	215695	Xiao Mei
697677	184311	Shujuan's mother
697678	76356	Jin Ling
697678	189522	Long Xinru
697679	326313	Yue Guang
697680	110620	Kang Di
697681	371471	Zhao Dahai
697681	391572	
697682	60722	Magdalena
697682	152173	Sisa
697682	164083	Tzveta
697682	256733	Medenata snaha
697683	71198	
697684	84254	
697684	139913	
697684	157158	
697684	196740	
697684	322395	Silvia Silva
697684	357501	
697684	385873	
697684	409782	Debora
697685	87166	Duck Dancer
697687	100011	Tanhu-ryhmän jäsen
697688	156354	Oqsana
697689	289164	Oqsana
697689	299322	
697689	341244	Oqsana
697690	211038	Matkatoimistovirkailija
697691	40729	Mother
697692	12520	Herself (first wife)
697692	282793	Mariya
697693	260783	
697694	315444	
697695	351762	
697696	381245	
697697	375307	
697698	369	Madeleine's cousin
697698	102238	Héloïse
697698	105738	
697698	160549	Woman
697698	169980	
697698	215021	La dame violette
697698	246306	La snob
697698	248151	
697698	256998	Aurélie
697698	345251	Madame Charitat
697698	345329	Anne-Marie Minecci
697698	376998	
697699	380559	
697699	388713	Iro
697700	13210	Rena Asteriou
697700	13220	
697700	18871	
697700	20658	
697700	96976	
697700	98210	
697700	100558	
697700	102094	
697700	102185	
697700	162136	
697700	174456	
697700	198447	
697700	204242	
697700	212572	
697700	241899	
697700	248388	
697700	253982	
697700	323915	
697700	326216	Nurse
697700	341181	Eleni
697700	375285	
697700	379378	
697700	380474	
697700	398131	
697700	409808	
697701	277690	
697701	284056	
697701	350789	
697701	356600	
697701	370188	
697701	370189	
697701	375667	
697702	131297	
697703	94845	Leonora
697703	244728	
697703	264323	
697703	357257	Alliluyeva
697703	370997	
697703	379585	
697704	321952	
697705	256074	Prostitute
697706	246906	
697707	369884	
697708	147972	T.V. Hostess #2
697708	399399	Announcer
697709	287212	Trixie/Tooth Fairy
697709	303266	Bridget Vreeland
697710	240838	Salon Girl
697711	305722	Herself
697712	276908	Molly Moodock
697713	360490	Singer
697714	80615	Jill
697714	119484	Leila
697714	132915	Kleph, Time Tourist
697714	232066	Lori
697714	276908	Singing Tree
697714	287212	Kim Doll
697715	232424	Student
697716	2019	Girl in Tent #1
697717	7168	Nancy Stratemeyer
697717	18001	Andrea 'Andie' Chase
697717	34937	Jaki
697717	48595	Buckeye Thatcher
697717	72691	Franny Peyton
697717	93056	Rachel Holfield
697717	122245	Stevie
697717	158061	Holly
697717	173932	Jessica Andrews
697717	188133	
697717	235486	Becky Carson
697717	235487	Becky Carson
697717	262626	Wendy McBride
697717	276908	Fairy
697717	286438	Laura Anders
697717	287781	Claire Dreyer
697717	318761	Sharon Bergen
697717	326655	Gas Station Attendant
697717	326741	Louise Miller
697717	365559	Alice Needham
697717	379409	Jill Clemons
697717	382507	Amanda
697717	386760	Nurse Michele Faber (1991-199
697717	389353	Molly Flynn
697717	389905	Casey Wagonman (Episodes 9-22
697717	404371	Lane McKenzie Collins
697718	79428	Waitress
697719	14693	Pilar Guerra
697720	356221	Seconda figlia camper
697721	113354	Katherine Freyer
697721	190269	Wardrobe assistant
697721	358729	Medic (segment "The Pencilhol
697721	409511	
697722	173089	Cafe Customer
697722	332328	Passing Girl
697723	139594	Reporter
697724	308851	Mattie
697724	311262	Spiritualist
697725	411531	Cathy
697726	272604	
697727	53937	Coroner's Assistant
697728	93293	Baby Rachel
697729	393268	Beth, auxiliary nurse
697731	350641	Maggie Boyd
697732	85850	Nanny
697733	65683	
697734	299544	Clare Debenham
697734	302014	Elsa Gresham
697734	371547	Prison Nurse
697735	10058	La cameriera di casa Pupini
697735	12975	
697735	14838	Renata's mother
697735	28760	
697735	52147	
697735	53863	
697735	53895	Maria Addolorata
697735	57330	
697735	61077	
697735	69560	A nun
697735	77228	
697735	84170	
697735	87822	
697735	112645	The nurse
697735	118615	Serafina
697735	124552	
697735	148654	
697735	161841	La direttrice dell' hotel a B
697735	183148	The sister
697735	270815	
697735	281110	
697735	307509	The governess
697735	327909	Marianna
697735	328688	Giulia's future mother-in-law
697735	336123	
697735	336149	
697735	337378	Signora Soldani
697735	338670	
697735	339635	
697735	341831	
697735	356144	
697735	356151	
697735	356898	Infermiera
697736	83493	
697737	17814	Girl at party
697737	75236	
697737	76269	Lulù Saila
697737	162087	
697737	164434	
697737	213793	Vanessa
697737	283244	Rachel
697737	316853	
697737	386847	Ines
697737	388671	
697737	392741	Martina Morante
697737	403363	Viola
697739	27757	Lenka Rákosníková
697739	30835	Zdenka Uherová
697739	63969	Lea
697739	88746	Mrs. Wendlerová/Mrs. Kakonyov
697739	102898	Attendant at beauty parlor
697739	151890	Mimi
697739	169110	Manetínská, actress
697739	172327	Irena
697739	181354	Maricka Holá
697739	217037	Dancer in the night club
697739	349088	Sylva Mauerová
697739	349238	Julinka
697739	350995	
697739	378508	Maud Goldová
697740	385804	Host
697740	388058	Reporter
697740	389422	Herself (1993-1994)
697741	87989	Bitch 2
697742	27184	Dolores
697742	116084	Nurse
697742	139841	Isabel
697742	403248	Yolanda Santiago
697743	340413	
697744	298216	Vogel
697745	187712	Ashten
697746	114720	Herself
697747	366970	Hippie Girl
697748	29966	Jenny, private detective
697749	100157	Stenographer
697750	92957	Actress at Ford's Theater
697750	169229	Maid
697751	121528	Miramax Receptionist
697752	1492	Technical Awards Presenter
697752	69803	C.G. Mother
697752	406089	Waitron 9000 (2001-2002)
697753	411759	Libby (1986)
697754	47022	Waitress
697755	333875	Daisy Cashmore
697756	186512	Dancer
697756	253248	Groupie
697757	5777	Marian
697757	7864	Alma Lathrop
697757	10975	Florence
697757	11613	Ethel Goodwin
697757	13787	Mrs. Gillespie
697757	18745	Sonya
697757	33513	Mimi Bellamy
697757	34951	Millie Montgomery
697757	35568	Miss Pfeffer, the vamp
697757	37214	Mae
697757	41782	Mrs. Mary Rohan
697757	46563	Marietta Rawdon
697757	47286	Mabel Robinson
697757	48279	The Native 'Taupou'
697757	50180	
697757	50625	Violet Van De Wort
697757	52427	Molly
697757	53609	Margaret Odell
697757	54275	Mona Caldwell
697757	58468	Elizabeth King
697757	59497	Florence
697757	62777	Patricia O'Brien
697757	67411	Angela Featherstone
697757	88148	Gloria Gayne
697757	97443	Connie Demarest
697757	117203	Eleanor Cartwright
697757	128182	Gertie
697757	130038	Tania Donaliff
697757	133905	Molly Montrose
697757	137257	Effie Wainwright
697757	140190	Marian Deveraux
697757	140414	Violet Deering
697757	142428	Evelyn Vance
697757	143279	Estelle Winslow
697757	146190	Yvette Bérgere
697757	148355	Molly
697757	154901	Lucille Pemberton
697757	160067	Madame Renard
697757	176640	Paulette Vaile
697757	183808	Berthine Waller
697757	185753	Evalinda
697757	190552	Dot Deal/Little Eva
697757	196277	A Maid
697757	198046	Lelia Dodson
697757	199185	Maid
697757	206412	Amy Duxbury
697757	222729	Marcia
697757	238692	Lillian Tracy
697757	249109	Agnnes Cassidy
697757	289248	Irene Gordon
697757	289583	Olga
697757	292650	Nina Clark
697757	295338	Myra Thornhill
697757	304638	Goldie
697757	305459	District Attorney's girl
697757	306734	Princess Elise
697757	306765	Gloria
697757	316788	Sadie
697757	319170	The Woman from the City
697757	331881	Diane Garrett
697757	335471	Nan Stoddard
697757	339835	Alicia Cuyer
697757	343035	
697757	348381	Helen Newhall
697757	358149	Carol Bixby
697757	358975	Marilyn Foster
697757	360017	Martha Beecher
697757	360218	Marie
697757	362109	Valli
697757	362567	Madge Mitchell
697757	362614	Josie Drew
697757	362628	Elsie Dixon
697757	363090	Mrs. Grenfal
697757	366885	Undetermined role
697757	367740	
697757	367764	Dot
697757	370577	Flora
697758	389570	Gonzalez's Moll
697759	154409	Stephanie @ 1-Baby
697759	408465	Donna Toma (1973-74) in origi
697760	368244	Ensemble member
697761	2275	Herself
697761	37047	Girl at movie premiere
697761	260430	Mary Brighton
697761	306626	Herself
697761	361618	Matty Jenson
697761	389858	Emily Bowen Quartermaine #2 (
697762	44989	Stewardess
697762	76542	
697762	152968	Penny Ballard
697762	269847	Blonde Flasher
697762	308174	TV Interviewee
697763	27630	Waitress
697763	151540	Marjorie
697764	219901	
697765	323018	Elaine
697766	35809	Matron
697766	141664	
697766	221638	Maggie Marie
697766	266917	
697766	365259	
697768	325078	Flipote
697768	379716	Harriett McFadden (1970s)
697768	404002	Saleslady (1976)
697769	58171	Catherine
697769	206069	Betsy
697770	238508	Child Playing Game
697770	337649	Beck's Children
697771	9744	Lee
697771	343158	Bea Miller
697772	198956	Vivian Drake
697774	127730	Falcons Dance Squad Member
697774	128727	Dancer
697774	367083	Skatelady
697775	303228	Young Blue
697776	131199	Gianetta
697776	276826	Love (Prologue)
697776	371213	Kate, Dame Carruthers' Niece
697776	371214	Elsie Maynard
697777	55036	
697778	48558	Herself
697778	67159	Usherette
697778	147716	Herself
697778	163562	Herself, Mary Livingstone
697778	164411	Herself
697778	220445	Mary
697778	220864	Herself
697778	291377	Herself
697778	330908	Maxine Barry
697778	393193	Herself (1950-1959)
697779	311037	Girl on bus
697779	385163	Hope Fitzgerald
697780	379454	Herself
697780	400806	Kirsty (1993)
697781	226929	Third Weird
697782	400680	
697782	409862	Stella
697783	63991	Mother
697783	374779	
697784	348615	Bishop's Babe
697786	219511	Dancer
697787	219511	Dancer
697788	130128	Theresa Hagen
697788	130129	Theresa Hagen
697788	130130	Teresa Hagen
697789	370072	Rhiannon
697790	404870	
697791	18143	
697791	18279	Eurydice
697791	18313	American Wife
697791	21482	
697791	77030	
697791	82483	Rena Hatzilluka
697791	82780	
697791	84028	
697791	87130	
697791	93999	
697791	100579	Evelyn
697791	100610	Popi Dekavalla
697791	100625	Erinaki
697791	102354	
697791	105870	
697791	125696	
697791	126248	
697791	127442	
697791	132624	
697791	138977	
697791	156416	Kostas' mother
697791	172836	Fifi
697791	174472	
697791	174473	
697791	180777	
697791	198034	
697791	204641	
697791	224857	
697791	232637	
697791	243441	
697791	245316	Popi Makrykosta
697791	247096	
697791	251909	
697791	265278	
697791	266523	
697791	287778	
697791	294783	
697791	312627	
697791	314085	
697791	327110	
697791	330963	
697791	375140	Lela
697791	380498	
697792	198053	Sygeplejerske
697793	289372	Featured Extra
697794	223506	Candidate #14
697796	134191	Singer
697796	169340	La chanteuse
697796	263980	Madame Bréchaud
697796	280871	Madame Lourmel
697796	333713	
697799	339445	Lixie
697799	380850	Kombat Opera Singer
697799	387398	Herself
697800	57289	Pompon
697800	59696	Juliette
697800	202340	Vanou, la fille d'André et Yv
697800	240541	Carol
697800	380864	Pascale
697800	387650	Mina
697801	43390	Caroline
697801	76063	
697801	111876	Claire
697801	219442	Véronique Chazerand
697801	353886	
697803	60794	College Freshman
697803	81862	
697803	119930	
697803	297333	
697803	330049	New Employee At The Office
697803	355064	
697803	359897	
697804	41594	
697804	130318	Biker Girl #2
697804	228001	
697804	306917	
697809	2435	
697810	179776	Champa
697811	361136	The servant
697812	258285	
697812	264941	Infirmière 1
697812	389097	Herself
697813	111284	
697813	138537	Marabá
697813	211013	Ana Clara
697813	265213	
697813	383441	Debbie
697813	386728	Noêmia
697813	401087	Gigi
697813	402928	Júnia
697813	403616	Eloá
697813	404888	Amélia Paiva
697813	409347	Patrícia
697814	6001	Herself
697814	150345	
697814	177660	Bar Girl
697814	240975	
697816	381901	Herself
697816	381904	Herself (Runner up 2004/I)
697816	399799	Host
697817	230175	Gisela
697818	305778	Muscular Girl
697819	307712	Music Box Girl
697820	6022	Maria Caminal
697820	54805	
697820	57716	Alisa
697820	163881	Herself - Winner: Lead Actres
697820	219311	The Suicidal Woman
697820	253277	Submissive Woman (segment "Su
697820	257908	
697820	263860	Madre de Joselito
697820	286315	
697820	288047	
697820	309961	Elvira
697820	322851	Margarita
697820	327084	
697820	353290	Sor Meliflua
697820	378980	Marga
697820	386093	Patrícia vieja
697820	395256	
697821	36502	Aurora
697821	104122	Garcia
697821	127727	Angelines
697821	309961	Lola Marcos
697821	318260	Brunilda
697821	401688	Victòria
697822	263862	Paulina
697822	393798	María José
697822	397737	Xiomara Corrales
697822	400067	
697822	400667	Laura (1995-1998)
697822	411709	Bettina Lucetti
697823	253083	
697824	240819	Ms. Herrera
697825	14091	Julie's Mother
697825	192629	Herself
697826	194727	Student
697827	19945	Nurse
697827	52708	Enfermera
697827	197199	
697827	379006	
697827	392027	Dra. Cristina Laguna (2002-20
697827	402409	
697828	96357	
697828	111426	Ana
697829	53635	
697830	388044	Herself
697831	72264	
697832	229913	Granddaughter
697833	91705	Sister Theresa
697833	132217	Muffy
697833	207901	Cassie Phillips
697833	207907	Cassie
697833	222652	
697833	264825	Rita
697833	305721	Cindy
697833	328620	Bass Player New Age Nazis
697833	358374	Dorcy's date
697833	397116	Cassie Phillips (1987-1988)
697833	400343	Herself
697833	406928	Diana
697833	409822	Chris Burgess
697834	405687	Herself
697835	218848	Ruby
697836	356022	Christine
697837	266149	
697837	352011	La vieille dame
697838	243814	Omana
697838	276993	
697838	329233	Anitha
697838	351391	Deepa
697838	367878	Woman #1
697839	39992	
697839	217760	
697839	229738	Gap girl
697840	18	Dog
697841	309858	Nurse at Nurses' Beach
697841	309882	Marlene Hunter
697842	387953	Herself
697842	387954	Herself
697842	406266	Katrijn Van Asten (2002-)
697843	148660	
697843	229033	Luce
697844	73633	Femme
697844	111009	Gabrielle Petit
697845	78437	Studente 2
697846	254312	Elke
697847	402534	Capucine
697847	402535	Capucine
697848	225420	La reine des Lilliputiens
697849	170459	
697850	165892	
697851	112897	
697851	181962	
697851	184265	Factory's manager
697851	228131	
697851	233460	
697851	264273	
697851	282775	
697851	282776	
697851	282783	
697851	327099	
697851	349763	
697851	355712	
697852	316428	
697853	263781	
697854	20787	Laura
697854	40144	Mrs. Oster
697854	77821	Nita
697854	85846	Megan Marlow
697854	98149	Mother
697854	230127	Nona
697854	263234	Samantha Cole
697855	198586	Malang
697856	212458	Fat girl
697857	327370	
697858	350860	Rosa
697859	253729	
697859	375342	Milanova majka
697860	198260	Agnes
697861	32374	Laundry-woman
697861	105385	Barbara
697861	107236	Britt-Marie
697861	145623	Amanda's mother
697861	163936	Servant girl
697861	175352	Klara-Fina (episodes 1 and 3)
697861	190810	Fröken Rask
697861	238661	Margareta
697861	252007	Maja
697861	303195	Holmgren, Lisa, journalist
697861	308199	Vendela Mattsson, waitress
697861	322307	
697861	322840	
697861	357612	Rosie
697861	375867	Ida
697861	377442	syster Magdalena (episode 3)
697861	401128	Maja Gräddnos
697861	403084	Peggy Svensson (1994)
697861	412208	Amanda Östberg
697862	278346	Lena
697862	394744	Karin Malmström
697863	210351	Herself
697864	287569	Carol
697865	131776	Ingrid
697866	325837	Barbara
697867	109711	Michelle
697867	283806	Alexandra
697867	302034	
697867	330562	Polis exteriört München Plaza
697868	23193	
697868	174172	Dancer
697868	276139	Woman in musical number
697868	322279	Sofie
697868	346970	Ballet-girl
697869	23414	Mamman
697870	397395	Herself
697871	239659	
697872	274911	
697873	142841	Mia
697874	164770	Hospital patient
697875	154150	Miss China
697875	185966	Meta
697875	209327	Bathing beauty
697876	377286	
697877	397397	Herself
697879	238803	Modell
697880	82397	
697880	99338	
697880	125462	
697880	212346	
697880	224996	Veronica
697880	235297	
697880	247465	
697880	277237	Amiga de Aida
697880	332613	
697880	378476	
697881	159870	Rosalia
697882	1041	
697882	9623	Amanda
697882	31546	Laura Toledo
697882	70685	
697882	80352	Eva Figueroa
697882	136960	Andrea
697882	341372	
697882	380083	Angela
697882	395857	Alex Palacios
697882	397839	Verónica
697882	408406	Raquel
697883	8579	
697883	63409	Lolita, prostituta
697883	74640	
697883	75486	
697883	199845	
697883	263267	
697883	280731	
697883	376707	
697883	389219	Gloria
697884	103234	
697885	237192	Conchita
697886	101890	Funcionaria 3
697887	213507	
697888	33517	
697888	209298	Young girl in the group
697889	52598	
697889	57420	Dra. Campos
697889	73357	
697889	86097	La Tucita
697889	91359	
697889	97367	
697889	124514	
697889	233395	
697889	293372	
697889	293971	Tucita
697889	339150	Tucita
697890	16844	Girl
697890	211044	
697890	370179	
697891	351471	
697892	70646	
697892	71105	
697892	80266	
697892	104157	
697892	206921	
697892	215023	
697892	265883	
697892	266528	
697892	268250	Dueña de Maison
697892	280414	
697892	283071	
697892	385366	Doña María
697893	215023	
697893	265158	
697894	9727	
697894	13085	
697894	19486	
697894	29621	
697894	29742	
697894	51914	
697894	53000	
697894	53125	Lupita
697894	53680	
697894	55899	
697894	59782	
697894	69710	
697894	73511	
697894	74551	
697894	74589	
697894	80109	
697894	86900	
697894	90535	
697894	91318	Lolita
697894	101316	
697894	103838	
697894	122442	
697894	125464	
697894	135059	
697894	140557	
697894	143787	Prostituta
697894	156378	
697894	157244	
697894	203921	
697894	209035	
697894	213709	
697894	221886	
697894	233549	Marielba
697894	234355	
697894	245581	Marielba
697894	248075	
697894	252536	Amalia
697894	273661	Aurea
697894	275946	Cándida, servant
697894	292759	
697894	293054	
697894	332373	Adela
697894	336214	
697894	351656	
697894	371701	
697894	377621	
697895	383867	
697895	389589	
697895	404287	
697896	278024	Mère de Léornard
697897	121345	
697898	145145	
697899	12054	
697899	243708	
697899	294730	
697900	114526	Kate
697901	379559	Miriam
697901	401251	Julieta
697902	207726	
697902	212163	
697902	412148	
697902	412149	
697903	197089	Luna
697904	206995	
697905	61873	
697906	28089	
697906	200508	
697906	287506	Young Milessa
697906	302797	
697907	197972	Narrator
697908	139902	Jazmín
697908	385852	Dolores
697908	395997	
697909	287695	Bailaora
697910	252554	
697911	9642	
697911	10030	Madre de Isidro
697911	11695	
697911	13081	Mujer III (segment "Los Amant
697911	14641	
697911	21680	
697911	22672	
697911	25792	Viuda
697911	37911	
697911	53684	
697911	55910	
697911	61989	
697911	63905	
697911	71269	Ana Carrillo
697911	73654	
697911	74628	
697911	80239	
697911	83308	
697911	83489	
697911	96337	
697911	97367	
697911	99806	
697911	101615	The governess
697911	103042	Prostitute
697911	103111	
697911	110231	Melesia
697911	111418	Conchita Fernandez
697911	113204	
697911	124657	
697911	135248	
697911	136288	Lida ,Commune member
697911	146508	
697911	148073	
697911	153820	Don~a chonita
697911	159529	
697911	189011	
697911	189020	Sirvienta
697911	192340	Barmaid
697911	205102	
697911	212246	
697911	213721	
697911	216056	
697911	219863	
697911	221672	Doña Mariana
697911	221948	Natalia
697911	234318	Mama de Tulia
697911	237194	Pasajera
697911	244642	
697911	247050	
697911	247462	Madrina
697911	248300	
697911	252627	
697911	256367	
697911	260503	Delfa
697911	266842	
697911	268199	Woman No 1
697911	268271	
697911	269259	Refugio
697911	279585	
697911	322852	Empleada en tienda
697911	324093	La presumida
697911	332945	
697911	332970	
697911	335525	Don~a Trini, Mama de Mariano
697911	345998	Woman in shanty town
697911	349668	
697911	351569	La Bruja
697911	355752	
697911	391523	Sacra
697911	393801	
697911	396244	
697911	396983	Cleofas
697911	401161	
697911	402077	Anita
697911	404172	Anita
697911	404701	
697911	407862	Gudelia
697911	410384	
697911	411712	Luigina
697912	82585	Teresa
697912	100309	Marta
697912	345587	Gloria Gamal
697912	376172	Ernestine
697912	386787	Mica
697912	398915	
697913	268018	
697914	14803	
697915	148080	
697916	395814	Sandra
697916	409872	Various characters
697917	221910	
697918	74745	Glòria
697918	119188	Juanita
697918	132470	Mare
697918	170920	Directora
697918	201499	
697918	234004	Judith
697918	270057	Mari Pili
697918	351780	
697918	386093	Sixta
697918	391015	Genoveva
697918	399505	Lluïssa Solano
697919	90098	Infanta de Sicilia
697920	311354	
697921	51113	Forensics Assistant
697921	251340	
697921	252564	
697921	388420	Inès de Carthagène
697922	386166	
697922	401688	Emília
697923	146569	
697923	157325	Jennifer
697923	248077	
697923	291692	The Old Woman
697924	115424	
697925	287446	
697926	397573	
697927	238449	Theban Citizen
697927	385299	Mrs. Hammond
697927	388863	Miss Raymond
697928	314155	Girl #2
697929	265897	Drover
697930	133636	Kerry Philp
697930	381608	(1976-1977)
697930	382590	Babs McArthur
697930	404932	Meg Wolcott
697930	411825	Julie Lambert (1977)
697931	106650	Peggy Huston
697932	265897	Drover
697933	77667	Aunt Mabel
697933	129403	
697933	178137	
697933	263595	
697933	279580	Mother MacGregor
697934	65973	Woman St. John Meets in Resta
697935	75572	Marquesa
697936	66949	Television Reporter
697937	22931	Cameragirl
697937	242504	Nikki
697937	318222	Cameragirl
697938	316153	June
697939	265897	Drover
697940	37495	Prostitute
697940	368416	Paul's Backing Group
697942	16642	June Frame as Child
697943	26515	Rose
697943	117133	Lobby Girl #2
697943	203972	Flora
697943	210908	Poppy
697943	283541	Carol
697943	286687	Vivia
697943	361169	Anjela McBride/African Woman
697943	382838	Yvonne 'Vonnie' Johnson (2000
697943	391978	Clare Jensen, Ian George's fi
697943	407058	Sister Cheryl Patching
697943	411089	Carla
697944	139073	Mrs. Joan Hergruder
697944	157290	
697944	315218	
697946	257113	Kerry
697946	393208	Katie
697947	105747	The Girl
697947	399417	Monique
697947	400109	Charlotte
697948	230354	Mrs. Pearlstein
697949	129227	English Lady
697949	210897	Cynthia Bastion
697949	241553	Vi
697950	40029	Victoria
697950	175221	
697950	263485	
697950	309896	Laura Lee
697951	362347	Herself (The Editor)
697952	409959	
697953	14697	
697953	75444	
697953	190424	
697953	233344	
697953	233759	
697953	234384	Nina
697953	240152	
697953	266871	
697953	282118	Betsy
697953	294286	Encarnita
697953	340689	
697953	353654	
697953	404983	
697954	28678	Voz en off
697954	63908	Elvira
697954	70118	Vicky
697954	80139	Myrna
697954	169967	Mirta
697954	193078	
697954	204994	Luisa
697954	253779	Stripteaser
697954	302371	
697954	310045	Amanda Cañete
697954	334577	Enfermera
697954	353236	Weather Forecaster
697954	382951	Stella
697954	389775	
697954	389780	Chula
697954	394017	Bernarda Eusebia 'Bernie' Est
697954	400700	
697955	337143	
697956	88548	Kristen
697956	193653	Hostage
697956	263498	Runaway
697956	337143	Patient
697957	19748	Miquel
697957	244590	Padre Germán
697958	210558	
697959	353598	child
697960	235254	Sara
697961	52966	Child
697961	103500	
697961	273030	Isabel Churruca, niña
697961	378399	
697962	170382	
697963	12083	
697963	76110	Pepita
697963	101890	Funcionaria 1
697963	322851	Funcionaria 1
697963	323961	Ana
697963	376760	Montadora
697964	108634	
697965	3446	
697965	56343	
697965	171374	
697965	235046	
697965	343723	
697966	221566	
697966	243418	Cascabelito
697967	103165	
697968	42640	
697969	48282	Phylis
697969	355877	Fille front de mer
697970	127487	Fontana Model
697971	376802	
697972	24179	Isabelle, la mariée
697973	24297	
697974	191549	Vesta
697974	202055	Luz
697974	267877	Lola
697974	391015	Marina
697975	67943	2nd Girl
697975	132529	Laura Ramstead
697976	68401	
697976	119755	Denise
697976	240449	La scripte
697976	249708	
697977	14431	
697977	379853	
697977	380477	
697977	384115	
697977	384775	
697977	388274	
697977	388859	
697977	391443	
697977	398227	
697977	398801	
697977	403366	
697977	405917	
697977	410326	
697977	412194	
697978	199803	
697978	200039	
697979	268016	
697980	9640	
697980	67952	
697980	226153	
697980	377872	
697981	56634	
697982	207006	
697983	207743	
697984	220755	Asuncioneta
697985	79411	The Sun Goddess
697986	17073	Medic (new movie)
697986	193483	Paraja vovica
697987	204594	
697988	26666	Latina Bride
697988	46156	Party Woman
697988	177422	Kelley
697989	190453	Ms. Sanchez
697989	389165	Linda (1998)
697989	411802	Adelia Guitterez (2002-2003)
697990	282607	Marie Lloyd
697991	18953	Camera Person
697991	160780	Denis' mother
697992	18197	
697992	37236	Betty Trent
697992	49361	Switchboard Operator
697992	49364	Woman in curlers who won
697992	56229	Helen Berkley
697992	67096	Nurse
697992	77998	Nurse Behind Counter
697992	120009	Sandra
697992	130712	Telephone Girl
697992	154468	Fern Winters
697992	155846	Colette
697992	167683	Mary
697992	302721	Receptionist
697992	306327	Silent Secretary in Outer Off
697992	308642	Jen Coburn
697992	333434	Blonde Information Desk Clerk
697992	363758	Nurse
697993	299903	Tamsin
697994	194410	Ann
697995	387518	Staff Nurse/Sister Jane Beatt
697996	78884	
697996	129623	Jennifer
697996	212662	Mary
697996	269355	VW Passenger
697996	296752	Mickey
697996	398213	Herself
697996	400263	Jane Blake
697997	255274	Pupil
697998	16654	Miss Dean
697998	96670	Cigarette Girl
697998	112582	Chorine
697998	143610	Penny Blake
697998	168119	Court lady/Camp follower
697998	256761	Dancer
697998	301687	Mary Price
697998	302646	Beverly
697998	332810	Constance Grey
697998	348972	Wanda
697999	62679	Engaged Woman
698000	5128	
698000	195400	Carol
698001	195519	Girl gang
698002	131753	Disco Girl
698002	303972	Waitress
698003	91793	Child at Burke's House
698005	264	Louise
698005	2164	Mrs. Dewsbury
698005	10141	Miss Marquand
698005	10741	The Rose
698005	11978	
698005	23902	Esther Levi
698005	26618	Mrs. Julia Webb
698005	26775	Saxel's wife
698005	30277	
698005	30350	Mrs. Ward
698005	32404	Duchess of Richmond
698005	39444	Laura Leland
698005	39798	Lillian Webster
698005	39903	Dame Ellen
698005	40072	Limehouse Polly
698005	44951	Mrs. Barry
698005	45617	Woman
698005	47052	Mrs. Allison
698005	47198	Lady Carrister
698005	47743	Teresa Brady
698005	49245	Nurse
698005	54968	Mabs
698005	59551	Donna Lucia D' Alvadorez
698005	59933	Mme. De Gabry
698005	61304	Mrs. McGinty
698005	65717	Mrs. Nixon
698005	67918	Renee Parsons
698005	69823	Mrs. Benson
698005	69850	Miss Hamilton
698005	78029	Maude Mockridge
698005	85183	Pansy
698005	85184	Mrs. Ingraham
698005	87845	Mrs. Agatha Travers
698005	90307	Mrs. Van Ronesoleer
698005	92505	Mrs. Marley
698005	92915	Mrs. Drake
698005	103317	Mrs. Cooper (London landlady)
698005	105847	Olga
698005	106652	
698005	109057	Nurse
698005	110363	Liz Vanning
698005	114164	Mrs. Parker
698005	115256	Mrs. Carrington
698005	116523	Nurse
698005	116527	Mrs. Courtney
698005	117647	Trimble Maid
698005	118943	Nurse
698005	119848	
698005	122674	Beatrice Moraski
698005	127150	Martha
698005	129227	Nana
698005	133688	Bertha, Sandra's Maid
698005	133755	Mrs. Jamison
698005	147536	Cady Millicent Owen
698005	154952	Mrs. Arthur, Duchess of Crick
698005	157129	Woman in Theater Balcony
698005	158711	
698005	160946	Mother
698005	161041	Volunteer worker
698005	161915	Maud, the barmaid
698005	162580	Sue Parker
698005	166345	Mrs. Corliss
698005	168930	Alice, the maid
698005	169387	Mrs. Barrie
698005	175111	Lady With Lipstick
698005	177141	Mrs. Lucy Weston
698005	177142	Rose
698005	177565	Marie Antoinette
698005	178015	Mme. Durand
698005	178332	Woman fish monger
698005	183848	Teacher at Miss Humbert's Sch
698005	183866	Fannie St. Clair
698005	188562	Charlotte
698005	188586	Mrs. Cooper
698005	190268	Mrs. Anderson
698005	193375	Jennie
698005	193822	Helen Wayne
698005	193974	The Blonde Widow
698005	194302	Mrs. Lil Benton
698005	194462	Hostess of Party
698005	196220	
698005	196881	
698005	199330	Madame of Dear Park
698005	202952	Miss Hopkins, Dean Agnes Scot
698005	203059	Madame Lee Blanc
698005	203567	Lulu
698005	206112	
698005	206877	Fisherman's Wife
698005	206881	Depositor
698005	213166	Ellen Atkins
698005	213167	Nora, The Housekeeper
698005	215862	Mrs. Churchill
698005	217426	Mrs. Graham
698005	220123	Mrs. Fleming
698005	222685	Pauline Drake
698005	223399	Cockney moll
698005	224177	Mrs. Mackie
698005	232002	Sarah Judd (the housekeeper)
698005	233858	Mrs. Harris
698005	235694	Lady Fallott
698005	238505	Landlady
698005	239587	Mrs. Rosamund Larne
698005	239700	Miss Ford (Ralston's aristocr
698005	240018	Nancy Sikes
698005	241029	Lady Ellen
698005	241327	Customer
698005	251276	Woman Exchanging Foreign Curr
698005	251828	Mrs. Grace Brent
698005	252886	Kate
698005	253898	Mrs. Dorian
698005	254488	Madame Kettisha
698005	258209	Woman at Barricades
698005	260880	Customer
698005	264485	Lady Topham, the British Amba
698005	264759	Handmaiden
698005	274051	Mrs. Omicron
698005	275768	Lola Fealy
698005	277632	Mrs. O'Grady
698005	279599	Prossie
698005	282042	Sedalia
698005	288091	Mrs. Ashmore, Vanning's siste
698005	291080	Miss Harcourt
698005	291082	Ma Todworthy
698005	292470	Mrs. Follinsbee
698005	292782	Susan Channing
698005	296724	Marian West
698005	298024	Alice Vane
698005	298578	Bessie
698005	299072	Mrs. Foster
698005	299935	Lucille Coates
698005	301266	Mrs. Woolton
698005	303232	Matron
698005	303303	Elinor Yates
698005	307355	Shepherdess
698005	308348	Lottie Sorelle
698005	309634	Baroness Ebberfeld
698005	310840	Mrs. Burke
698005	315869	Miss Carter
698005	316164	Mrs. Sleeper
698005	317426	Annabelle Merring Murphy
698005	320308	Miss Wetherby
698005	320806	Countess Sibenstoyn
698005	325102	Mrs. Cutten
698005	325112	Miss Wetherby, School Superin
698005	325139	Mrs. Cutten
698005	330184	Mrs. Williamson
698005	330664	Sergeant
698005	331615	Guest
698005	331645	Mrs. Proctor
698005	333276	Mrs. Watchett
698005	334162	Miss Pringle
698005	335649	Mrs. Downing
698005	337041	Madame Chauffourier-Dubieff
698005	337589	Locasto's procurer
698005	338097	Paula Vrain
698005	342859	Lady Ralston
698005	342879	Miss Timoney
698005	343161	Emmie
698005	343379	Elizabeth Blake
698005	346204	Mrs. Binns
698005	354201	Mrs. Bowley
698005	356610	Mme. Clairon
698005	359747	
698005	360067	Kitty
698005	360172	Flossy
698005	360369	Mrs. Jaeggers
698005	362112	Drama coach
698005	363793	Plump lady at boarding house
698005	367288	Mrs. Williams (Jenny's mother
698005	367511	Mrs. Casserly
698005	367595	Mrs. Seaton, at Party
698005	372490	Mother Jack
698006	47132	Bit
698006	124260	
698006	147973	Parrot Voice Imitator
698006	194209	Maisie/Matilda
698007	123386	Mrs. Janet Weston
698008	139547	Herself - Harold's mother
698009	217602	Bus driver
698010	23922	Herself
698010	43878	Hester
698010	57894	Une actrice muette à Hollywoo
698010	61175	Betty Jones
698010	70359	Carmela 'Cookie' Voltecki
698010	80467	Mother
698010	144384	Angela
698010	148998	Catherine
698010	157574	Samantha Hughes
698010	192628	Lisa
698010	207094	
698010	245769	Avis
698010	279173	Jessie Burns
698010	279218	Alice Lidell Hargreaves
698010	290990	Splendid
698010	346125	Betty Wall
698010	361237	Annie McGee
698010	362996	Annie Doherty
698010	366657	Lynda
698010	368722	Kim Patterson
698010	386034	Jerry
698011	17779	Hannah
698011	18979	Susan Lovell
698011	148255	Brittany Lace Wedman
698011	177204	Jennifer
698011	215657	Kelly Bell
698011	323227	Katie
698011	358866	Katie
698011	394676	Elizabeth 'Betsy' Gibson Ewin
698011	394677	Betsy Ewing
698011	405892	Sarah Kramer
698012	319902	Ester
698013	32257	
698013	63115	
698013	108637	
698013	115845	Jane
698013	192034	Mrs. Dennison
698013	196247	
698013	220043	Marie Stanley
698013	239609	
698013	272241	Sarah Osborne
698013	335641	
698014	7919	Sally Ashcroft
698014	34463	Alah
698014	46427	Clare
698014	47191	Private Nurse
698014	104048	Esther Waters
698014	107427	Auntie Alice
698014	108951	Mrs. Twill
698014	114127	Elizabeth Trent
698014	118648	Nancy Manville
698014	141497	Matron
698014	142925	Simpcox's Wife
698014	196538	Agatha Burch
698014	259165	Jane Gimlet
698014	273943	Isobel Thomson
698014	279734	Gammer Tanzie recent Widow
698014	304862	Dr. Lancaster's Wife
698014	342985	Ross Trollope
698014	350506	Nursemaid
698014	378710	Barbara Peep
698014	388496	Sharon
698014	389844	Joy
698014	393938	Mary Matthews
698014	396363	Felicite
698014	400412	Agnes Clements
698014	402935	Mrs. Lake
698014	407587	Evelyn Matlock, aka 'Mattie'
698015	65717	
698015	114695	Miss Edwards (Hinchecliffe's 
698015	139960	Fan Yi
698015	191704	Guest
698015	305459	Second cigar stand clerk
698015	343118	Woman
698016	327585	Jean McCormick
698017	346193	
698018	6552	Jean Stallybrass
698018	19987	Eva
698018	107899	
698018	327431	Juno
698018	365203	Marjorie warren
698019	319218	Herself
698020	93762	Pretty Girl
698020	278315	Bonnie Nelson
698020	366653	Caitlin Sheinbaum
698021	324028	'Elephant' Chorus
698022	184518	Mom
698022	200875	Marianne
698023	94963	Janis Joplin
698024	166565	Julia
698024	391206	Alice Willoughby
698025	395647	Lady Brooke (Daisy)
698026	317415	New Year's Eve Party Girl
698027	123036	
698028	408704	(Episode 4: The Criminal)
698029	239033	Bea Shelton
698030	104512	Brie Klinger
698031	162099	Fairy
698032	34960	Annie
698032	52555	
698032	54754	Lauren
698032	62536	Elaine
698032	102209	Jesse Rogan
698032	116084	Kate
698032	139646	Marilyn Bedestrum
698032	144858	Lee
698032	158796	Louise Trenier
698032	163316	Jody Scott
698032	166007	Carol Sue Peters
698032	183305	Kate Lacy
698032	201424	Millie Barash
698032	203669	Lillian
698032	215923	Jane Braxton
698032	237908	Wendy
698032	245819	Gloria Leatherberry
698032	299742	Laura
698032	302931	Louise Bertolli
698032	303753	Millicent Broderick
698032	308014	
698032	323390	Jill Branish
698032	343908	Connie Stevik
698032	383228	Elly Thomas
698032	387718	Jesse Rogan
698032	389736	Stella
698033	57665	Herself - Contributor
698033	174621	Herself
698033	174622	Herself
698033	257588	Herself
698033	382361	Herself - Hostess
698033	394220	Herself
698033	407502	Presenter
698034	52681	First Old Woman
698034	112031	Amelia Adams
698034	193581	
698034	224566	Dorcas
698034	292593	Nurse
698034	383627	Mrs. Waters
698034	385781	Mrs. Gummidge
698034	387528	Mrs. Ford
698034	405217	Wardress 3
698034	411089	Elderly lady
698035	292474	Police Officer
698036	56895	Margaret Mason
698037	196341	Coffee Shop/Restaurant Custom
698038	4702	Blondie
698039	4699	Lady O'Rourke
698039	322921	Valerie Gibson
698039	388209	Hazel Hendricks (1996-1998)
698039	393268	Passenger
698040	51955	Blonde
698040	96684	
698041	6273	Coffee girl
698042	364692	Pottery Girl
698043	365177	Suzy Schwarz
698044	269351	June
698045	165966	Pirate girl
698046	199683	Girl
698046	313474	Princess Ellie
698047	195753	Mrs. Culperrer
698047	362840	Volunteer Nurse
698048	192414	Amy March
698049	6926	Mrs. McKenzie
698049	58491	Molly
698049	346216	Mayor's Wife
698049	399816	Jessie Blanchard (1972)
698050	203554	Herself
698050	205743	
698050	205744	
698051	235357	Mrs. Rod
698051	350646	Marie Lloyd
698052	203009	Kerstin McLeod
698053	139547	Herself - adopted daughter
698054	20325	Annunziata
698054	249921	
698054	282985	Herself
698055	10305	Mrs. Archer
698055	73857	Peg
698055	122198	Gospel Singer
698055	267213	Julie Castle
698055	354897	Sharon
698055	383882	Sue Barkley
698055	396921	Laurel Spence
698055	399130	Leanne Sterling (1988)
698056	150244	DS Sally Markham
698056	263737	Malikel
698056	367673	Jane
698056	380632	Various roles
698056	381081	Sonia
698056	383363	Mandy Briggs (The Pardoner's 
698056	385342	Linda
698056	398291	Dee Delores
698056	405461	Woman Mourner
698058	334011	Lavinia Andronicus
698059	131232	Extra
698060	131232	Maypole dancer
698061	124048	Foster Mother
698062	72104	Cover Girl: Mademoiselle
698063	381514	Herself (2000-2002)
698064	380713	Edwina Walsh Cabot (1992-1993
698064	387309	Toby Marshall (1962-1963)/Jes
698064	388862	Leslie Farrell
698064	390771	Lucille Wexler (1978-1980)
698064	396123	Millicent Whitehead (1984)
698067	160278	Gail
698067	185471	Herself
698067	364147	Jenny Skellen
698067	365263	Heather
698067	397182	
698067	402657	Elizabeth Gough
698067	411315	Cynthia Kirkpatrick
698068	32992	Pianist
698069	316750	Andrea
698070	46456	Kara
698070	58483	Melissa
698070	59682	Sarah
698070	71869	Annie
698070	79763	Tracy
698070	90955	Sarah McCaulley
698070	109841	Kelly Charles
698070	128200	Cecile
698070	162245	
698070	195949	Sarah Thompson
698070	210269	
698070	224296	Amy
698070	240486	Becky Brooks
698070	304945	Wade Welles
698070	329477	Jeanette
698070	358995	Amanda
698070	395601	Heidi Leiter
698070	396381	Wendy Lipton
698070	405643	Wade Kathleen Welles (1995-19
698070	406235	Natalie Hurley
698071	387601	Cast - Finalist (Yellow Team)
698072	164539	Elizabeth Stride
698073	203329	Sylvia
698073	283546	Reporter #4
698073	300919	Female Ninja
698073	351928	
698073	353294	Academy Girl
698074	141497	Maisie Noyle
698075	130184	Reception Nurse
698076	44899	Chorine
698076	62013	Eadie, Horn's Secretary
698076	67096	Shipboard Girl
698076	128168	
698076	129082	Party Guest Giving Patrick a 
698076	130028	Secretary
698076	130624	Chorus girl
698076	130712	Miss French, Party Guest
698076	134070	Nurse
698076	176358	Goldwyn Girl
698076	210394	Carlson's Secretary
698076	259789	Guest
698076	306327	Blonde Answering Phone
698076	321491	Herself
698076	329463	Mabel, Girl with Murdock
698076	333434	Marie, the Hat Check Girl
698077	383202	Weather presenter (1989)
698077	392165	Presenter (1997)
698077	392463	Herself (Series 2) (2003)
698078	114145	Local Weather Person
698079	23476	Sue Wilson
698079	38882	Vanessa Grant
698079	55046	Lucky Dyson
698079	71133	Lynn Nolan
698079	73896	Herself
698079	97023	Val
698079	129790	Angel Montgomery
698079	153642	French Girl
698079	160006	Joanna Benson
698079	162124	Agent Jean Courtney
698079	183797	Comtesse Gabrielle de Poligna
698079	234098	Sister Jane
698079	252275	
698079	252728	Bernice
698079	276712	Maxine Powell, Lennox's Secre
698079	277096	Claude Russo
698079	282313	Female Guest
698079	310298	Janet Scott
698079	312342	Receptionist
698079	317327	Vanessa Grant
698079	329622	Miss Peach
698079	342587	Ursula
698079	343881	Judge
698079	348518	The Blonde
698079	363490	Lady Darlington
698079	381320	Cordelia Winfield
698079	382100	Lolita
698079	385299	Barbara Brady/Hunter (1975-19
698079	391617	Kay Sherwin #1 (1970)
698080	229259	Kate Kelly
698080	315198	Tart
698082	220465	Nancy
698082	252528	Carmen
698082	289439	Evelyn
698082	295393	Lucinda
698082	329501	Claudette
698082	364306	Diane Heath
698083	185516	Ray's Prostitute
698084	97727	Teenage Girl
698085	288983	Teresa
698086	203210	Singer
698087	55686	Verna
698087	183843	Lady Stutfield
698087	314507	Bride
698088	395743	Presenter
698088	408555	Herself - Presenter (1990-199
698089	78947	Additional Voices
698090	67593	Rosa
698090	106767	Receptionist
698090	131915	Marisole
698091	138565	Mother
698092	320309	Mrs. Jenner
698093	367385	Polly
698094	136822	Chorus - contralto
698094	213581	Chorus
698094	220419	Mother
698094	250638	Aesthetic maiden
698094	334757	Special Guest
698094	396009	Lady Speaker
698095	141666	Miss Digby
698096	134178	Cheerleader
698097	334308	
698098	48193	
698098	378790	Natalia de la Cruz
698099	121392	
698100	58288	
698101	348524	Julia
698101	351289	Angeles
698102	213507	
698103	55091	
698104	395041	Andrea
698105	14803	
698105	103665	Wife
698106	28955	Vecina #2
698107	77068	
698108	99068	Head Teacher
698109	106188	
698110	89391	Kate
698110	108319	Executive #2
698110	117558	Christina
698110	184770	Ginger
698110	221158	Lisa
698110	222759	Dara
698110	283713	Receptionist
698110	313406	Additional Voices
698110	313410	Kiska LoMar
698110	313418	Various
698110	384366	Jocelyn Roberts Brown (1995-1
698110	396123	Jocelyn Roberts Brown (1995)
698110	400236	Sonia Toledo (2004-)
698111	322066	
698112	392212	Andrea
698112	398471	Sagrario del Toro
698112	399793	Host/Dalina (1995-1996) (Vene
698113	129034	
698113	134400	
698113	197342	
698113	236806	
698113	401507	
698113	404393	Nora
698114	49679	Woman on the Train
698115	227963	
698116	61071	May
698116	138626	Waitress
698116	151995	Shih Erh's beloved
698116	167509	Mei
698116	167842	Ling
698116	172218	May Kan
698116	172220	Cameo appearance
698116	236231	May
698116	268739	
698116	275553	May Law
698116	298380	
698116	299982	Cindy
698116	300406	May Lo
698116	369104	Rabbit
698116	369604	Yuen Ling-Yuk
698116	372991	Charmy
698116	373688	Siu-Lung
698116	374822	Miss Tsang
698116	376046	Gabriel
698117	384637	Cin-Cin Girl
698118	396649	
698119	69365	
698120	384618	
698121	57964	
698121	173613	Sara (segment "Giara, La")
698122	113682	
698123	198499	Madama
698124	109619	Mrs. Chin
698124	113641	Chinese Interpreter
698124	185266	
698124	248085	Old Woman
698124	318186	Mrs. Chow
698125	297647	
698126	62812	May-Chu May
698126	317307	Adrianna
698126	319096	Doctor
698126	327659	
698127	61987	Godzilla
698127	76420	Anna
698127	121778	
698127	146946	Ching Wai/Sum Wai
698127	167418	Yee
698127	168031	
698127	183103	May Lam
698127	197134	Tina
698127	197221	Candy
698127	220246	Lam Doi
698127	295242	Jane
698127	295248	Ah Hui
698127	297543	Heman
698128	167364	Ting-Ting
698128	167365	Ting-Ting
698129	195976	
698130	141284	Mother
698131	236250	Huang Hsia
698132	52008	Sharon Hanaker
698132	119316	Nurse Fran
698132	124049	Ms. Vanderpool
698132	153185	Mrs. Horvath
698132	187889	Reporter
698132	197312	Immigration Lawyer
698132	218581	Les invites
698132	333902	Restaurant Customer
698132	334154	Reporter
698132	369473	Assistant
698133	110519	Gymnastic Amy
698134	243196	Waitress
698135	7615	Party Guest
698136	110669	Miss Sung
698137	63477	
698137	106779	
698137	127775	Television Interviewer
698137	151982	Snow White's Servant
698137	184617	Television Reporter in Green
698137	203116	Herself
698137	210963	Mistress of Ceremonies
698137	213360	
698137	213361	Dong Huan
698137	231617	
698137	268651	Cardin
698137	283609	Ka Lok Cheung
698137	298707	Candy
698137	332260	
698137	369549	Yin Li
698138	33717	Lulu
698138	60124	
698138	60409	Student murdered in Cage
698138	110584	
698138	231231	
698138	250893	
698138	334295	
698139	297513	
698140	224106	Hospital Nurse
698141	340738	
698142	169882	News Reporter #2
698142	215761	Hooker
698142	286702	Schoolgirl
698143	118662	Lucy
698143	189063	Marta
698143	213514	Rosita
698144	121778	
698144	131185	
698144	284710	
698144	373109	
698145	87409	Kumi Kazamatsuri
698145	87410	Kumi Kazamatsuri/Additional V
698145	123029	Yuri
698145	123932	Tira
698145	127779	Yuri's Yuna's Sidekick
698145	206618	Izumi Maki
698145	298966	Chokkei Hayami
698145	309117	Tira Misu
698145	309119	Tira Misu
698145	316615	Chun Li
698145	381163	Tira Misu
698145	394421	Izumi Maki
698145	403909	Ihrie
698146	105613	Porn Star #1
698147	33316	
698147	51410	Rroby Selavy/Claire/Fischerle
698147	83880	Elsie
698147	93730	Ilse Hoffmann
698147	155360	Caroline
698147	193482	Rosa
698147	210097	
698147	223460	Terroristin
698147	269557	Mädchen
698147	288498	Lana von Meyerbeer
698147	290801	Carolin
698147	381689	Ilse
698147	387445	
698147	404440	
698148	372389	Cher
698149	8791	
698150	289650	
698151	321810	Christina
698152	55444	Gina
698154	215148	School girl
698154	400380	Herself (2002)
698155	201311	Doctor
698155	342018	
698156	194928	
698156	336134	Woman
698157	55937	Socorro
698157	73281	Getsemaní
698158	37056	Ceri
698159	392771	
698159	394003	Presenter
698160	386339	Madame Germaine
698161	155674	Lani
698161	308174	Shiva
698162	82161	Claudine/Simone Auger
698162	160981	Axelle
698162	380349	Pascale
698163	170848	Herself - Participant/Perform
698165	343310	Natasha
698166	271104	Sierra
698167	10993	
698167	58240	
698167	177910	
698167	248849	
698167	284634	
698168	342270	
698169	299404	
698170	376236	Liza
698171	63574	
698172	30513	
698172	222162	Senhora do Comité
698172	252756	Luísa
698172	319826	Madame Rosa
698172	341077	Countess Furgel
698172	399139	Carolina
698173	104110	
698174	134487	
698175	379653	
698175	401698	Secretary
698176	29713	
698177	351484	Heloísa
698178	398501	Selma
698178	402685	
698178	404834	
698178	409347	Josefina
698179	12441	Mujer uranio
698179	27784	
698179	157321	Girl in the park
698180	102631	
698181	20093	
698181	42109	
698181	112096	
698181	213404	
698181	236302	
698181	291244	Marla Williams
698181	351610	
698181	379852	
698182	388065	Dirce
698183	107898	Carrie
698184	107898	Carrie
698185	22955	Maid
698185	40795	Woman in the Laboratory
698185	57389	Librarian
698185	85143	Woman with Camera
698185	86959	Mom
698185	114734	Zofi
698185	142870	Matilda
698185	146855	Nurse
698185	194248	Mrs. O'Connor
698185	194405	Hilda Von Blow
698185	204947	Wilma Becker
698185	273835	Reporter
698185	287781	Shopper #2
698185	296867	Jeffreys Mom
698186	145010	Mom
698187	13122	Marthe
698188	216235	Azelma
698189	385235	Chris Riland
698189	409398	
698190	174760	Maria
698190	189582	
698191	325237	Swiss Air Hostess
698192	12100	
698193	328741	
698194	348083	Blanche Scott
698195	12100	
698196	148952	Airport Passenger
698196	162986	Receptionist
698196	163229	Korean Deli Customer
698196	245988	Anna
698197	134418	
698198	187753	Liza
698199	6462	
698201	40564	Caissiére
698202	395294	Herself - Presenter
698202	405616	Janet Patterson
698203	195458	Matron #1
698204	223324	Josie
698205	241523	Kayla
698206	109386	Sasha
698206	241523	Kelly
698206	257919	Girl
698206	281145	Lycosian Troop
698206	334853	The perfect note taker
698206	366751	Dead prostitute
698207	387138	Katya Tatarinova
698208	63593	
698208	224436	
698209	83230	Young Girl
698210	211601	Gypsy Violinist
698211	165719	
698211	175359	Tinka
698212	141419	Marissa
698213	383471	Chiripa
698214	65501	Ritter's Wife
698214	169036	
698214	334653	Tere
698214	385663	Ana
698214	386016	Alma
698214	395061	Celia
698214	398915	Alma
698214	408406	Martha
698214	411633	Laura
698215	51614	
698216	388591	Belmira
698216	388721	
698216	388939	Gana Ganância
698216	393006	Margarida
698216	401944	Vênus
698216	409347	Gorda na lanchonete
698217	90839	Oude vrouw 4
698217	207051	Golden Woman
698217	352371	
698217	352376	
698218	266604	Psycho-lette
698219	5753	
698219	5894	Woman
698219	162778	
698219	320091	Angela
698219	339479	
698219	349956	Lydia Zamarripa
698219	375740	
698220	176731	
698221	18795	Betty
698221	220171	La Negra
698221	222026	
698221	384119	Ginette Monier (1995)
698221	392030	Dra. Florencia Lozano
698221	392609	Elsa
698221	392805	
698221	397571	
698221	398476	
698221	399402	
698221	401771	
698221	404993	
698221	405917	
698221	406857	
698221	408857	Silvia
698222	390751	
698223	9340	Tucha
698224	392031	
698224	398877	
698225	382946	Silvina
698225	383089	María
698225	402630	Magdalena
698225	412198	
698226	350343	Hot Indian Girl
698227	124650	Laetitia
698227	155740	Caroline
698227	284207	Nathalie 11 ans
698227	395480	Caroline
698227	412266	Audrey De Graf (10 ans)
698228	34446	
698228	381706	(episodes 1-5, 8, 9, 12)
698229	212336	Herself - Participant/Perform
698230	74617	
698231	212336	Herself
698232	55006	
698232	64979	Mama de Alicia
698232	212395	
698232	339172	Cristina
698233	240294	
698234	20067	Julien's grandmother
698234	58754	Mme Rambaud
698234	84601	Porter
698234	87941	
698234	336311	La mère de Paul
698234	346529	Anna, la bonne
698235	375694	Bikini Zombie
698236	34493	Museum employee
698236	355545	Spectator
698237	35854	
698237	76083	
698237	229036	
698238	25291	
698238	33314	
698238	36539	
698238	40209	
698238	95694	
698238	121140	
698238	156942	
698238	174967	
698238	188127	
698238	210238	
698238	210379	
698238	215110	
698238	307683	
698238	374086	
698239	396239	
698240	110666	
698241	79185	
698241	118114	
698241	356614	Woman in Boarding House
698242	409463	Secretaria (1982)
698244	60695	
698245	687	Herself
698245	9113	Kayla
698245	27271	Carly Campbell
698245	41934	Alex Marshall
698245	43624	Jennifer
698245	55635	Catherine Wheeler
698245	73340	Keli
698245	74259	Allison Vernon-Williams
698245	96601	
698245	97101	Erica Marlowe
698245	100822	Alice
698245	128236	Beth
698245	130302	Buddy Porter
698245	142170	Lucy
698245	157180	Ann Campbell
698245	187328	Margaret Trelawny
698245	194727	Cheryl Anderson
698245	224818	Tracy Stenning
698245	233956	Jennifer
698245	245215	
698245	262704	Nancy Alleman
698245	282482	Sally Hogan
698245	290394	Sally Wheeler
698245	292715	Lee's Sister
698245	397401	Sandy Louise Harling (1992)
698245	406146	Andrea Winger
698246	72719	Gina
698246	198349	Gina
698246	199943	Paola
698246	207051	Orfeo
698246	207806	Mathilde
698246	242424	La prostituée
698246	247994	Félicie
698246	257335	La serveuse
698246	268310	Stella
698246	322767	
698246	337025	
698247	277587	Amica di Enza
698248	68436	
698249	76374	
698249	326369	
698249	356811	
698250	4614	
698250	13202	Nicoletta
698250	63806	Maura
698250	68140	Artemisia
698250	125776	
698250	230075	Linda
698250	392654	
698251	26672	Mrs. Davis
698251	27347	Rita Daigler
698251	34656	Nellie Ballou
698251	48939	The Airline Operators' Superv
698251	66795	Priscilla
698251	80046	Doris
698251	114956	Ruth Willis
698251	123460	Kitty
698251	138699	Sandy Hanover
698251	233777	Sally Hendricks
698251	250546	Ms. Werner
698251	286686	Marilyn Redding
698251	297672	Mabel
698251	330716	Mrs. Pierce
698251	332011	
698251	371375	Marie
698252	61089	
698252	162033	
698253	47405	
698254	363752	
698255	351788	Lucie
698256	346596	Valerie
698257	319322	Anna
698258	233643	
698259	316170	Reporter
698260	337033	Etudiante 68
698261	108087	Dancer
698262	110974	Juror
698262	217913	Snob #2
698263	257526	
698263	305351	Librarian
698264	171079	Girl in Theater
698265	35098	Thérèse
698265	325584	Nina Großmann
698266	342974	
698267	105076	Girl who finds gun
698268	411176	Bohemian Lady
698269	47844	Margot
698269	68303	
698269	71433	Claudia Coswig
698269	81764	Kathy
698269	98269	Sonja
698269	102970	Catherine Hilton
698269	132655	
698269	147270	Gustchen
698269	178808	Alice
698269	186925	Sascha
698269	225267	Sigrid Köck
698269	317666	
698269	325478	Petra
698269	325614	Vera
698269	325901	Simone Hansen
698269	343487	
698269	345897	Christine
698269	359685	Lehrerin
698269	361510	
698269	387161	
698269	398095	Jane Verinder
698269	410777	
698270	79049	Vampire
698271	11157	Young Laurie Kinmount
698271	16899	Young Laurel
698271	33004	Young Natalie
698271	79675	Vivian
698271	99296	Mary Katherine Smart
698271	100771	Mandy
698271	147454	Little Girl
698271	161018	Shannon Crowe
698271	252354	Young Mary Ellsberg
698271	287133	Jo Ellen at age 7
698271	328261	Hannah, Alien Girl
698271	404152	Dorcas Good
698271	408692	Elizabeth Baker
698272	11281	
698272	115925	Harriet
698272	204947	Audrey Collins
698272	214441	Amy Berrick
698272	219440	Michelle
698272	252354	Mary Ellsberg
698272	262387	Jamie
698272	272661	Shrieking girl
698272	276196	Hetty (segment "Aart and Joht
698272	287133	Jo Ellen at age 10
698272	362310	Young Kelly
698272	366680	Young Girl
698273	15374	Stiletto Anyway
698273	84516	Nicolette DuClare
698273	84523	Nicolette Duclare, Generic Ci
698274	126351	
698274	198938	
698274	290839	Frau Kohsiek
698275	68835	Emma
698275	86534	Sr. Citizen
698275	141412	Party Guest
698275	259219	Old Lady
698275	303755	Sally
698276	47521	Dr. Viski
698277	64070	Ensemble
698277	313333	
698278	5162	Evelyn
698278	184403	Lady in Charge
698278	283767	Jacky
698278	321263	Susy Fearon
698278	380259	Sarah Lloyd-Smith #2
698279	281145	Lycosian Troop
698279	347550	Diner Patron
698280	255399	Dancer
698281	55262	
698282	147560	Mrs. Wrong
698283	119521	Nadie Ann Theos
698284	30282	Tjenestepigen Gerda
698284	37905	Hun
698284	83089	Ditte
698284	84279	Lone
698284	102878	Jensen
698284	109298	Yvonne
698284	168936	
698284	178750	Lilli Haller
698284	182273	Eva
698284	198062	Nancy Hansen
698284	203398	Dagservitrice
698284	214365	Annelise
698284	241971	Kate
698284	305311	Stasia
698284	326982	
698284	334045	Gunhild Hamre
698284	338696	Bodil Lercke
698284	348960	Leanders usynlige
698284	353050	Annie
698284	395824	Fru Frandsen
698285	59749	Suzanne
698286	405159	Sandy Leong
698288	229865	Paula
698289	315024	
698290	278855	Shower Girl
698291	78759	Young Max
698293	58171	Mme. Vallon
698293	115259	Mrs. Hollis
698293	252489	Miss James
698293	295439	Mrs. Sauer
698293	305934	Margaret
698293	309626	Hazel Weatherwax
698293	315874	Gail Pyne
698293	365926	Helen Bones
698294	366762	
698295	138735	Amorous Amber
698295	314457	Russian Daughter
698296	866	Herself
698296	13995	Herself
698296	66238	Performer
698296	220209	Herself
698296	380012	Herself - 2nd Runner Up (Fina
698298	112592	Judith Edwards
698299	2382	Mrs. Havilland
698299	66993	Dr. Tate
698299	80374	Linda
698299	104916	Catherine Simmons
698299	149931	Nicole
698299	233935	Roberta
698299	263360	Olsen Sister (Polo Game)
698300	395961	Interviewer
698301	308738	Purvis
698302	75530	Jennifer
698302	183009	Sharon Sheeley
698302	381745	Theresa Falcone
698304	151703	Clinic Receptionist
698305	109839	Jenny
698305	154575	Tess
698305	241525	Elizabeth Peale
698306	18570	Lynn Halsey-Taylor
698306	47744	Antoinette Lilly
698306	65452	Betsy Brand
698306	72115	Melisse
698306	81103	Agatha Jackson
698306	105188	Lynn Halsey-Taylor
698306	120272	Jessie
698306	124627	Gus Mally
698306	131196	
698306	141183	Mick
698306	196542	Mother Emaculata
698306	245363	Laura Lee
698306	265873	Adele Highsmith (adult)
698306	272647	Nikki Morrison
698306	274669	Marguerite
698306	282046	Rosemary Clooney
698306	292153	Suzanne
698306	296778	Drucilla Wilcox
698306	318171	Jennifer Spencer
698306	323903	
698306	365762	Joan
698307	218364	Jenny
698307	310262	Malibu Girl
698308	122214	Beautiful Girl
698309	12319	Party Guest
698310	209608	
698310	241037	Kathy Pedak
698310	398134	Amy Monroe (1966-1967)
698311	21014	Isabel 'Izzy' Bloom
698311	278511	Neely
698311	313207	Ens. Meg Dundee
698311	314225	Norma
698311	345689	Cleola
698311	384422	
698311	402812	Vice-Principal Liz Taylor
698311	405643	Dr. Diana Davis (1999-2000)
698312	222739	
698313	980	Agent December
698313	215507	Kelly Beth Kelley, Miss Nebra
698313	223709	Candy Andrews
698313	242091	Girl at Pool
698314	51302	Herself - Participant/Perform
698315	985	Rosel Fuchs
698315	15908	
698315	18976	Agnes
698315	23887	Frau Ahrens
698315	29103	Joan
698315	42993	Jacqueline
698315	91261	Elisabeth Bergmann
698315	91262	Linda
698315	94803	Nadja Fjedorowna
698315	115201	
698315	115814	Anais
698315	119249	
698315	124993	Erika
698315	137642	
698315	142108	Hanna
698315	142109	
698315	144103	Eva Berger
698315	145523	
698315	147317	Liesel/Cherubin
698315	147592	Anna Blasl
698315	153106	Julia Schumann
698315	155343	Daisy Manning
698315	155606	Lady Chiltern
698315	156044	Josefine
698315	170705	
698315	172379	Maria Theresia
698315	174080	Anna von Österreich
698315	184398	Mi
698315	203257	
698315	208182	Elisabeth
698315	209967	Ruth Kelly
698315	210106	Patricia Roland
698315	219289	May
698315	225135	Eva
698315	225218	Kathrin
698315	243438	
698315	254361	Hanni
698315	254374	Gertrud Zirngibl
698315	261145	Millicent Bishop
698315	289853	Leni
698315	290011	Lizzie Kiel
698315	292063	
698315	302483	
698315	314550	Antonella
698315	323011	Anna
698315	348061	
698315	356202	Christel
698315	368692	Schwangeres Mädchen
698315	389785	
698315	403410	Poldi
698315	412082	Constanza Berin
698316	396084	Nikki Cabot (1969)
698317	226899	Girl child
698318	38599	Cook
698319	158903	Nell MacKenzie
698319	383354	Mary Malone
698319	396422	Additional voices
698319	398777	Mrs. Hodge
698321	245632	School Kid
698322	211499	Forest children
698323	39287	
698323	41587	
698323	134690	Erika
698324	73855	Mme Rougeron
698325	131232	Extra
698326	24702	Lara
698327	363560	Girl at Club
698328	266004	Jean
698329	351696	
698330	40800	Admitting Nurse
698331	185211	Nurse O'Brien
698331	219420	Nurse 2
698331	394456	Millicent Thorne
698332	65458	
698334	35637	Additional voice
698334	36721	Lady Police Officer
698334	36968	Miss Connors
698334	38404	Carolyn MacNamara
698334	48943	Cammie Griffin
698334	52017	Sylvie
698334	76617	Additional voice
698334	78977	Elaine
698334	79962	Mrs. Warner
698334	81992	Additional voice
698334	87603	Jackie
698334	89256	Mary Webster
698334	113829	Karen Jorgenson
698334	127491	Larue Powell
698334	137845	Roberta Radcliffe
698334	169091	Dora
698334	169674	Cindy Young
698334	171275	Kris
698334	185581	Dave's Mom
698334	191431	Elizabeth
698334	192017	Additional Voices
698334	200362	Mary Rose Cougan
698334	215661	Teacher/Barmaid
698334	215827	Lt. Sheba
698334	237654	Anna
698334	244034	Additional Character Voice
698334	282476	Radio Dispatcher
698334	289749	ADR Voice
698334	294837	
698334	302116	Megan Glenneyre
698334	304541	Tina
698334	314601	
698334	336458	Additional Voices
698334	340246	Young Eunice St. Clair
698334	346127	Additional voice
698334	360514	Diana Fairchild
698334	372774	Lucy
698334	381421	Sheba
698335	221059	Mrs. Gusty
698336	17697	Gossip at Ball
698336	191862	
698336	194277	Chief's Secretary
698336	200999	Operator #1
698336	259214	Mrs. Lassard
698337	87522	Woman Customer
698337	156970	Rich Woman
698338	2445	Herself (Neighbor of Cynthia 
698339	30959	Young Rachel Dawes
698339	104930	Renee
698340	160958	Judge
698341	90876	Human Agent Brown
698342	81040	Marcie
698343	6162	Vance
698343	11142	
698343	11582	Isabelle
698343	13394	Mildred (segment "The Pumpkin
698343	23706	Grandma Nell Grayson
698343	27935	Nora
698343	37261	Janet Kingsley
698343	50071	Barbara Carlin
698343	50443	Hope
698343	51483	Gracie
698343	54673	Liz Hawkins
698343	57492	Herself
698343	62983	Belinda Cratchit
698343	67348	Mrs. Billingsley
698343	75530	Mrs. Lockwood
698343	77940	Kate
698343	80633	Ma
698343	80771	Marge Lawrence
698343	84409	Secretary of State Clift
698343	86945	Helen Hocker
698343	91780	Noreen Cole
698343	96990	Barbara 'Babs' Norvell
698343	108836	Herself/Host
698343	117647	Girl in Air Raid Shelter
698343	127528	Constance Schuyler
698343	133518	Herself
698343	163451	Mary Lou Claghorn
698343	171275	Mrs. Taylor
698343	175175	Sarah Swanson
698343	194849	Principal Cartwright
698343	194850	Herself
698343	209605	Lucille Ballard
698343	215469	Stella Bainbridge
698343	230392	'Mo' Donovan
698343	232252	Mrs. Claus
698343	245241	Donna
698343	251931	Emily
698343	252936	Esther
698343	275796	Archie's Mother
698343	294755	Rosie York
698343	298165	Phyllis Allenby
698343	304752	Caroline
698343	316111	Mrs. Bigelow
698343	322607	Mary Genaro
698343	332106	
698343	333263	Mrs. Cargill
698343	333767	Mrs. Livingston
698343	340246	Eunice St. Clair
698343	358588	Herself
698343	358672	Ruth Moore
698343	363666	Winifred 'Winnie' Rogers
698343	363793	Betsy (age 18)
698343	364195	Mrs. Fowler
698343	370892	Twink Weatherby
698343	389858	Maria Ramirez (1984-1986, 198
698343	395974	Irene Evans
698343	396011	Maureen Robinson
698343	400028	Herself
698343	401346	Dr. Janet Craig (1968-1970)
698343	407991	Martha Day
698343	411036	Herself (Panelist) (1952-1955
698343	411166	Vesta
698344	19960	Laura AtterburV
698344	35603	Mrs. Ellis
698344	37104	Mrs. Parkford
698344	41080	Mrs. Miller, Blondie's Mother
698344	46802	Mrs. Ella Robinson
698344	54949	Mrs. Milt Clark
698344	62983	Mrs. Cratchit
698344	69485	Mrs. Martha Magruder
698344	84898	Mrs. Murphy
698344	125884	Mrs. Jessie Minify
698344	129079	Mrs. Hawks
698344	129379	Mrs. Miller
698344	131430	Mary Hilton
698344	154840	Mrs. Brock
698344	183710	Mrs. Grayson
698344	194721	Mrs. Catty, Music Teacher
698344	195539	Mrs. Bristol
698344	203279	Mrs. Allen
698344	210718	Mrs. Dalton
698344	215862	Lady Chilston
698344	215990	Aunt Penelope 'Penny' Winfiel
698344	219996	Mrs. Clarkman
698344	244863	Mrs. Barker
698344	245518	Miss Thornton
698344	252301	Mrs. Schofield
698344	258375	Mary Brewster
698344	267545	Nun
698344	282394	Mrs. Henrietta Louise Randall
698344	300864	Martha Deems
698344	308113	Miss Amy Robbins (newspaper c
698344	316166	Mrs. Partridge
698344	321384	Aunt Amelia
698344	333434	Lottie Bancroft
698344	343234	Mrs. Gordon Stewart
698344	358649	Mrs. Millard
698344	362087	Miss Pike
698345	342568	Muriel Trigger
698346	80606	Mrs. Reducci
698346	90423	Ann Carver
698346	100820	Doctor
698346	112301	Mrs. Randall
698346	277648	Charlotte Hancock
698346	301679	Ann
698347	171275	Hotel Clerk
698348	358959	
698349	321024	
698350	201123	Nell
698350	316904	Big T assistant
698351	298119	Sweat Shop Worker
698352	340764	Girl #2
698353	366316	Tanya
698354	314534	Dana
698354	384767	Series Regular
698355	198083	Finance Minister's Mistress
698356	73857	Gail
698357	346016	Inmate
698358	1453	Herself - Host
698358	2761	Herself/Presenter, Outstandin
698358	2787	Herself
698358	2805	Herself - Co-presenter: Best 
698358	3643	Herself
698358	11683	Herself
698358	31196	ABC Team Contestant
698358	31197	Herself (ABC Team contestant)
698358	31199	Herself (ABC Team contestant)
698358	31200	Herself (ABC Team contestant)
698358	31201	Herself (ABC Team)
698358	35515	Herself
698358	37337	Rita
698358	42772	Betsy
698358	57651	Herself
698358	64830	Andrea McKnight
698358	68106	Herself
698358	91884	Katherine
698358	95875	Herself
698358	95877	Samantha Josephine 'Sammy Jo'
698358	107286	Victoria
698358	113985	Vicky McGee
698358	114298	Gil Griffin's New Wife
698358	143455	Melody Shepherd
698358	145086	Alex
698358	156513	Jan Sanderson
698358	161262	Herself
698358	170983	Rita Burwald
698358	185847	Herself
698358	194332	Dusty Tails
698358	218005	Grace Cipriani
698358	241047	Alex Wingfield
698358	252912	Jean Hamilton
698358	276732	Abby Arcane
698358	276740	Heather
698358	277648	Tori
698358	280005	Darcy X
698358	297781	Suzy(Bonnie/Ginger/Victoria/D
698358	322632	Stacy Sheridan
698358	323903	Pat Ward
698358	329094	Priscilla Davis
698358	342186	Host
698358	342605	Cherie Sanders
698358	348545	Roma Schleine
698358	360291	Herself
698358	381571	Herself
698358	387152	Samthana Josephine 'Sammy Jo'
698358	390258	Alex Burton
698358	395293	Harley Random
698358	397401	Amanda Woodward Blake Parezi 
698358	406177	Caitlin Moore (1999-2002)
698358	407323	Officer Stacy Sheridan (1982-
698359	6720	Herself
698359	26485	
698359	34929	Herself
698359	34932	Herself
698359	37145	
698359	39754	
698359	41076	Herself
698359	41645	
698359	75030	
698359	81378	Debbie
698359	81826	
698359	139209	
698359	140463	
698359	195625	
698359	304784	
698359	312709	
698359	317591	
698359	319461	Model
698359	323379	
698359	336708	
698360	4694	Andrea Coster
698360	56869	Melissa Hanson
698360	82837	Art's Date
698360	117957	Karen B. Brennick
698360	232292	Dr. Sally Powers
698360	242790	Estelle
698360	252888	Sarah
698360	280193	Cindy Carteret
698360	299649	Lea
698360	323568	Jewel Bentley
698361	358959	Girl at Baccanal
698362	170522	Pianist
698363	127073	Apartment Woman
698364	391835	Talking head/soundbites (segm
698365	234055	
698366	222599	Victim
698367	267315	Puppeteer
698368	87521	Miss Moultrie
698368	128475	Jessie Blane
698368	177585	
698368	215503	Philippe
698368	255862	Diana Dorf
698368	260873	
698368	302955	Lady Athol/Nadine
698368	364023	
698368	367596	Felice Annaway
698369	10596	Woman in China Coast Cafe
698369	27499	Bess Benson
698369	34977	Counter Girl
698369	35573	Mary the switchboard operator
698369	41089	Mary, Radcliffe's Receptionis
698369	41091	Mary, Radcliffe's Secretary
698369	41093	Mary, Switchboard Operator
698369	41099	Mary, the Switchboard Operato
698369	41100	Mary, Radcliffe's Secretary
698369	41101	Mary
698369	41103	Mary Reynolds
698369	41104	Mary the Switchboard Operator
698369	41107	Mary, Radcliffe's Secretary
698369	41108	Mary, Radcliffe's Receptionis
698369	44289	Mrs. Standish
698369	46798	Former girlfriend
698369	57041	Rosa, saloon girl
698369	67860	
698369	73170	
698369	121672	
698369	165004	Woman
698369	166345	Rosalie Satori
698369	190262	Mary, Dither's Receptionist
698369	206887	
698369	248827	Petunia
698369	362051	
698370	246012	Kathy
698371	292321	Young Colleen
698373	190273	Ballerina
698374	262620	
698374	346243	
698375	16041	Receptionist
698376	245272	Fiona
698376	353371	Diane Kennedy
698376	384962	Valerie Johnson
698376	387203	Sally McKinnon (1993)
698376	399816	Ros Halliday (1977)
698376	405960	Jenny Turner (1984-1985)
698377	554	Mary Beldon
698377	116183	Angela
698377	141953	Heidi
698377	141968	Heidi
698377	152878	Fanny's Daughter
698377	224361	Poppet Carr
698377	233649	Vanilla
698377	257987	Jo Halliday
698377	307576	Maggie
698377	364063	Norey
698377	382103	Samantha
698377	384783	Anthea Keen
698377	386720	Julia Dean
698377	388985	Carol Manning
698377	403852	Carol Miller (1958)
698377	405522	Martha Barlow
698378	411884	Additional Voices
698379	13857	Sheila
698379	204169	Elsa
698379	229941	Woman #2
698380	264914	
698381	198043	Leslie
698382	157004	Elizabeth
698383	10632	Helene Ardouin
698383	13260	Georgina Huntstanton
698383	29304	Catherine Lawrence
698383	32469	Bedelia Carrington
698383	33766	Blanquette
698383	54886	Nell Gwynne
698383	56172	Mildred Perry
698383	56424	Freda Jeffries
698383	80996	Penny Randolph
698383	88915	Imogene Clegg
698383	128299	Anne Graham
698383	128333	Leslie James
698383	129103	Nina
698383	145065	Frances Gray
698383	149227	Ann
698383	152878	Fanny Rose Flower
698383	154863	Edie Story
698383	162269	Ellen O'Hare
698383	170987	Betty Stanton
698383	183833	Iris Matilda Henderson
698383	186008	Laughing Anne
698383	194173	Ann Markham
698383	194581	Annie Ridd
698383	196067	Lissa Campbell
698383	199712	Lydia Garth
698383	203143	Hesther
698383	203321	Vera
698383	210389	Margaret Williams
698383	213287	Donna Agnes
698383	232276	Anna Bomasch
698383	245815	Jeannie McAdam
698383	257095	Annette
698383	268153	Eliza Doolittle
698383	269882	Janet Royd
698383	283179	Mary Shaw
698383	305036	Stepmother
698383	307993	Emily
698383	313797	Jenny Sunley
698383	316714	Jenny Green
698383	320223	Vicky Standing
698383	339077	Margaret Manderson
698383	340519	Marissa Mengues
698383	364063	Lucy
698383	364400	Mimi
698383	364730	Barbara Worth
698383	388985	Mollie Manning
698383	393975	Harriet Peterson
698383	403852	Mollie Miller
698384	303426	Miranda
698385	176487	Kim
698386	95847	Teacher
698387	14002	A'an
698387	210639	
698388	69053	Child Ada/Claire
698389	235465	
698390	215801	Astronauta
698390	341926	Daryl
698391	221259	Alice
698391	266564	Madam Tikunov
698391	327227	Singer in Park
698392	305036	Dancer
698393	322837	Additional Voices
698394	8243	Mama Matera
698394	9795	Additional Voices
698394	120014	Aunt Angelina
698394	159514	Rose
698394	165422	Rosa Cortino
698394	195751	Donna
698394	219555	Italian Lady
698394	245016	Mrs. Madano
698394	283305	Matilda
698394	302432	Aunt Josie
698394	303553	
698394	311537	Rosa Napoliani
698394	340775	Mrs. Calisuano
698394	388388	Philomena
698394	401930	Eleni Kanelos (1998-1999)
698394	404002	Marian 'Schultzie' Schultz (1
698395	62898	Last Party Guests
698395	301558	Slaymate
698396	138902	Francine Fortune
698396	204522	Young Inez
698396	333624	Poetess
698398	52698	
698398	57284	
698398	57516	Edwige
698398	307312	Une jeune fille
698399	412251	Violette Vizetelly
698400	349778	Herself
698401	182233	Barbs
698401	204603	
698401	204604	
698401	301211	
698401	302791	Samantha
698401	384447	Charley
698401	392560	Mariella
698402	358505	
698403	184181	Belen
698404	11036	
698404	28719	
698404	31462	Trining
698404	37726	
698404	38500	Darna/Narda
698404	52734	(Episode 1)
698404	64785	
698404	138647	
698404	158617	
698404	159745	
698404	172306	
698404	181821	
698404	184184	
698404	222110	Corazon
698404	266900	
698404	284840	Lita
698404	288113	Amelia
698404	314505	
698404	318392	
698404	368320	
698404	383054	Lance's Mother
698404	392560	
698404	398494	Corazon Rodrigo
698405	251016	Actrice operette
698406	114655	Herself
698407	114655	Herself/pianist
698408	77151	Debbi
698408	92618	Tiffany
698408	135967	Reporter
698408	175832	Karen Myers
698408	265100	Nun #2
698408	282350	Kane's girl
698409	14852	Sandra
698409	45889	Maria
698409	90683	
698409	159619	
698409	163733	Agata
698409	240143	
698409	307553	Ada
698409	313182	Rosalia
698409	348181	Beata
698409	356464	Laura
698409	404313	Rosaria Barresi
698410	128585	Betsy Thornton
698410	389206	Tracey Stephens
698410	395887	Zoe
698411	1123	Philip Berman's girlfriend
698411	7625	
698411	26484	Sara
698411	32652	Yvonne
698411	42860	Police officer
698411	115606	Kim
698411	152274	Esther
698411	240034	Shelly
698411	248020	Hooker
698411	266157	Girl, working at bank
698411	275781	Moniek
698411	302124	Sharon
698411	311139	Emma
698411	315320	Overvalster
698411	338962	Merel Dankmeijer
698411	354458	Radsky
698411	356547	Trixie
698411	379191	Ellie
698411	397554	Ellen Portengen
698411	406032	Iris
698411	409572	Karin Prinsen (1998)
698411	410850	Susanna Vlieger
698412	107295	
698412	358936	Wanda
698412	365420	Betty Jackson
698412	387754	Regular (1956)
698412	408497	Herself (Mondays and Tuesdays
698413	39653	Det. Fay Howard
698413	63038	Betsy
698413	79045	Receptionist
698413	90344	Ellie Foster
698413	108339	Celeste
698413	162347	Communication Officer
698413	165498	Tiffany
698413	167893	Donna Schuster
698413	170831	Whitney
698413	190324	Drew
698413	236222	Sara P.
698413	269046	Mary Beth Connors
698413	275360	Carla
698413	308565	Liz Martin
698413	321176	TV Newscaster
698413	336459	Carla
698413	370118	Controller
698413	381980	Michelle Sutton (2000 - 2001)
698413	387073	Stella Kowalski
698413	391559	Sophie Becker
698414	247568	Waitress
698415	229412	
698416	37022	Lucian
698416	118564	Katherine Wall
698416	232127	Cassandra
698417	210818	
698417	239050	Louisa
698417	303319	Mrs. Willoughby
698417	307391	Gretchen Rittner
698418	325822	
698419	79526	
698419	224299	Mrs. Gribley
698419	241692	The Divorcee segment
698419	244301	Desdemona
698419	276872	Glinda, the Good Witch of the
698419	396422	Additional voices
698419	406957	Zena Pepperleigh
698419	407484	The wicked Witch of the West
698419	410675	
698420	18526	
698420	395644	
698421	303776	
698422	303776	
698424	111154	Katie
698424	196701	Ursula
698424	260749	
698424	288941	Lorna
698425	5526	
698425	39628	Queen Guinevere
698425	40134	The Nurse
698425	45993	Petronilla Brand
698425	75526	Mrs. Lomas
698425	81202	Ann Marlow
698425	92561	Cynthia Mason
698425	106621	Geraldine Wheeler
698425	113268	Laura Robens
698425	129170	Celia Forester
698425	135598	
698425	142520	Lady Netherden
698425	144843	
698425	161725	Barbara Gough
698425	168722	Sally Erskine
698425	207268	Scarlatti's wife
698425	328597	Vivian Bolton
698425	363797	Night Nurse
698426	5420	Brenda
698428	217745	House Matron
698428	289260	New York Woman
698429	112005	Grumpy Lady
698430	19770	
698431	136828	Relative
698431	264161	Courtier/Girl Graduate
698432	50239	Harriet Vane
698432	151047	Nurse Jeanne Baudin
698432	223764	Mrs. Craig
698432	233861	
698432	269429	Marie-Sidonie Cressaux
698432	386518	WP Sgt. 'Scotty' Scott (1961-
698432	396697	Marta Gellman
698433	164840	Reporter
698433	203436	On-Camera Reporter
698433	365527	Bat Girl
698434	19883	
698434	29582	
698435	14435	
698435	54235	
698435	55917	
698435	61197	
698435	66077	
698435	87071	
698435	124512	
698435	128930	
698435	167810	
698435	170916	
698435	193068	
698435	213399	
698435	213724	
698435	216086	
698435	249888	Recepcionista
698435	256784	
698435	258481	
698435	265548	
698435	276449	
698435	277237	Vecina nueva
698435	277386	
698435	301190	
698435	306705	
698435	328724	Dona Tona
698435	349667	
698435	376646	Tia de margarita
698436	311500	Woman in Gallery
698437	198229	Pavel's sister
698438	96052	
698439	199871	Poule
698439	359827	
698439	408001	Frau Hültz
698440	292238	
698441	408002	La patronne de l'hôtel
698442	217389	Young Patient
698443	217389	Little Laura
698444	187060	Jaaks moeder
698445	381821	Ensemble (1977-1979)
698446	51919	
698447	225689	Herself
698448	90889	Angel
698448	157920	Betty Mervyn
698448	209170	Nurse #1
698448	219893	
698448	346942	Herself
698448	379167	Lillian 'Lulli' Palmer (1970-
698448	383631	Jan Goddard: Chief Executive 
698448	384071	Dr. Elizabeth Stafford
698448	387334	Princess Mary of Teck/Queen M
698448	389859	Dr. Helen Sanders
698448	390369	Celia Kemp
698448	391879	
698448	397899	Alison Reynolds
698448	403292	Jessica Rattigan
698448	405448	Pamela
698448	406073	Cmdr. Kathryn McTiernan
698448	411390	Alice Lee
698448	411698	Diane
698449	224024	Receptionist
698450	31245	Herself
698451	292596	Joanna
698452	96141	
698452	126258	Jeanne Deneulin
698452	234900	
698452	399082	Isabelle
698453	195409	Florence Ehrlich Stone
698454	26470	Martha
698454	66753	
698454	110192	Shabby Cafe Waitress
698454	111029	Julie
698454	114974	Barbara
698454	167693	
698454	183797	
698454	202699	
698454	211679	
698454	216794	Herself
698454	217224	La prostituée
698454	227317	Adèle
698454	236596	
698454	240279	Liliane
698454	269088	Nun
698454	286046	Serveuse patisserie
698454	384789	(1989-1990)
698455	11989	Sabine Amre
698455	110651	Frau Kassel
698455	123954	Verkäuferin
698455	178016	Max's Mother
698455	376298	Psychologin
698455	396874	Gynäkologin (1999)
698456	45357	Laura
698456	92306	Jolene
698456	93837	Girl at Temple
698456	141674	Young Emily
698456	196005	Alison
698456	232248	Jenny
698456	253819	
698456	258947	Sara
698456	279845	Teenage Yuppie
698457	108411	
698458	90915	Margie
698459	89462	
698460	357072	Herself (passenger, S.S. St. 
698461	39374	Angry Woman
698461	133115	Lutina
698461	151106	Channel 3 Reporter
698461	190798	Herself
698461	283104	Newborn Baby
698461	294795	Sasha Fitzgerald
698461	322777	
698461	363351	Self
698461	387145	Herself
698461	392423	Herself
698461	395578	Herself
698461	406158	Mary Jane Watson
698462	215265	Arsinoé
698463	352333	
698463	358519	Melanie Pröschle
698464	31	Francine
698465	34598	
698465	226326	Tochter des Hausmeisters
698465	329931	Frau Leitner
698466	372759	Herself
698466	411830	Herself (1980-1983)
698467	184573	
698467	389359	
698468	2767	Serbinowa
698468	6211	Oma
698468	12470	Mutter Stammer
698468	12474	Zigeuneroma
698468	44595	Fritz Lemkes mother
698468	98044	
698468	98316	Muhme
698468	101331	
698468	102983	
698468	119290	
698468	134868	
698468	134986	Alte Frau
698468	136214	Julia
698468	136215	Julia
698468	142509	
698468	162234	
698468	165339	
698468	172847	
698468	174214	
698468	188825	Tina
698468	198435	Isenta
698468	204487	
698468	210012	Gärtnersfrau
698468	210235	
698468	218861	
698468	223283	
698468	264330	
698468	290200	Die alte Sikora
698468	293995	
698468	300999	
698468	312639	
698468	312739	Lehrerin
698468	316550	
698468	326019	Lindas Mutter
698468	328987	
698468	336543	Grandmother
698468	345933	
698468	360972	Herself
698468	369408	Grandmother
698469	166408	Evelyn
698470	334148	Sax Quartet in Park
698471	361907	Counselor
698472	259467	Kramer, Sabine
698472	308483	
698473	162244	Anna
698473	187049	Pien
698473	269750	Pien
698473	390410	Willemijn Laroux (1996)
698473	403723	Adrienne
698474	194564	Conference Parent
698475	261236	Bimbette
698476	291014	
698477	97437	Liesl
698478	198256	Sofi
698479	365782	Captain
698480	183779	Viviane
698480	209626	Jane
698480	267653	Diner Waitress
698480	299870	Siobhan
698481	157036	Woman reading newspaper
698482	16076	Soleil
698482	51505	Carole Dussier-Belmont
698482	61423	Valérie
698482	74912	Suzanne
698482	125723	
698482	136645	Christian's mother
698482	165177	
698482	225494	Brigitte
698482	244756	
698482	294601	Assistante de Nico
698482	353836	Florence
698482	383305	Carole Dussier-Belmont
698482	388120	Mathilda
698482	397689	Sylvie
698483	5677	
698483	281777	
698484	55096	Frøken In
698485	336527	
698486	391604	Jutta Elisabeth Adler (1997-2
698487	205021	German Woman
698488	190320	Claudia
698489	105228	Jessica McClure
698489	361167	Baby Sarah Webb
698490	105228	Jessica McClure
698490	361167	Baby Sarah Webb
698491	34092	Newscaster No. 1
698492	210514	Tea Room Guest #3
698493	50886	Stiffy Bing
698494	177904	Gertrud
698495	242900	Turkse vrouw
698496	96117	Young Couple in Cafe
698497	169497	Bernice's Maid
698497	258955	Marion Stanley
698498	224399	
698499	12071	
698499	67627	Suzi Merzheim
698499	113230	
698499	133858	Princess Pauline Metternich
698499	147153	Witwe Zart
698499	160596	Karla Felbermeier
698499	184276	Heidi
698499	186885	
698499	224644	Frau Stein
698499	243783	
698499	248767	
698499	290837	
698499	314864	Ältere Frau
698499	325699	
698499	347826	
698499	352545	IreneTruebner
698499	361991	Louise
698499	410048	Tante Susi
698500	1038	Carla
698500	13742	Larry King Producer
698500	243150	Party Girl
698501	323162	Sandra
698502	282096	
698503	29817	Cool Barcelonan
698503	102283	Maria
698504	177781	Anna
698505	182782	
698506	29753	Lorena
698506	82332	Robed Wife
698506	90911	Woman with Larry
698506	97101	Rebecca Gordon
698506	103180	Merle
698506	176537	Quess Paraya
698506	176540	Maureen Kitamura
698506	191677	Bride
698506	205904	Dollyce
698506	272776	Doorknob Shopper
698506	383460	Chelsea
698506	387775	Merle
698506	390961	Pashmina
698506	394425	Fllay's Friend #2
698506	397346	Yai Ayano
698506	398464	Kozue Izumi
698506	402863	Scribbled Panda (season 6), S
698506	406012	Komugi Nakahara
698506	412028	Tracy
698507	22856	Salesgirl (Lord & Taylor)
698508	160887	Buxom Nurse
698508	344524	Herself
698509	126619	Extra Talent (segment "Gett O
698510	2042	Herself
698510	40089	Laura
698510	50815	Susan
698510	93768	Dorothy Dashton
698510	133967	Dr. Margret Levinthal
698510	176792	Riley Muir
698510	195345	Audrey
698510	223840	Sue Cannon
698510	294140	Lisa Perkins
698510	335863	Sandy Fawkes, Motel Owner
698511	259615	Prostituierte
698511	259687	
698511	392669	Dr. Kathrin Globisch
698512	293554	
698513	65523	Agent Crew
698513	291466	Receptionist
698514	210355	Herself
698515	187240	Dominique Lopez
698515	277232	Betsy Crain
698516	360647	1st Girl On Street
698517	17653	Betty
698517	34110	
698517	39164	
698517	44937	Greta
698517	94947	
698517	112618	Alice Malden
698517	115622	
698517	118052	Ruth Walling
698517	144672	Blonde #2
698517	147385	Helen
698517	147848	Herself
698517	177401	specialty singer
698517	195983	Jeanette Stewart
698517	203685	
698517	203798	Marjorie
698517	214079	Rita Ray
698517	215924	Lou Morrison, the St. Louis W
698517	223951	Marion aka Ruth Brooks
698517	249575	Ellen Powell
698517	270506	Millie Chapman
698517	309054	Barbara Lange
698517	345826	Bit
698518	134039	Bit Part
698520	68780	
698520	73542	
698520	276295	Grandmother
698520	383815	Raversi
698521	240334	
698522	62106	Baby-Lin
698523	191106	Sacrificial Victim
698523	304751	Anne
698524	205327	
698525	64932	Second Neighbour
698526	401082	Presenter
698527	104209	
698527	210938	
698527	217348	
698528	154874	Washerwoman
698528	175812	Irish Woman
698529	218398	Booter
698529	319913	Ellen Perry
698530	209170	Dancer
698531	394663	Mellisandre (1989-90)
698531	411293	Essie Firkettle
698532	364246	
698533	118046	The Girl
698534	13450	Marge Webster
698534	55587	Evelyn Cook
698534	63127	Bridgette
698534	68276	Nancy Danelli
698534	113472	Osborne's secretary
698534	122660	Baroness, Maj. Juanita Hooper
698534	122664	Baroness
698534	169692	Mrs. Rutter
698534	231817	Mom
698534	336458	Additional Voices
698534	341889	Bridgette
698534	363533	Bridgette
698534	389628	Baroness, Mongolian Warrior
698534	389629	The Baroness
698534	397272	
698534	406156	
698534	408730	Moonracer (1985)
698535	345752	School Child
698536	157672	Mavis Dalrymple
698537	363953	Supermarket Checker
698538	257639	Additional Cast
698539	290936	Dancer
698540	39342	Henrietta Winslow
698540	41698	Granny Tyl
698540	85906	Diana
698540	88999	Aunt Amelia
698540	96816	Cornelia Carlyle
698540	163431	Sara Frankenstein
698540	183763	Clorinda Wildairs
698540	196998	Mrs. Alice 'Jenny Wren' Sylve
698540	239700	Grandmother Henrietta Lovell
698540	240482	Mrs. Neeley
698540	241055	Duchess
698540	372737	Mrs. Sinclair
698541	352146	Herself
698542	241320	SalIy
698543	381602	Sonja
698543	400112	Charlotte
698544	107832	
698545	42223	Scores girl
698545	153379	Extra
698545	322392	Extra
698545	339599	
698546	44005	Wife
698547	132335	Ruth
698547	256578	Sister
698548	58799	Horse Owner
698549	327241	Mother Moon
698549	342810	Nancy Hewitt
698549	343160	Chorus Girl
698550	338981	Herself
698551	41940	Rookie #1
698551	48939	Sheila
698551	161108	Tavern girl
698551	161301	Herself
698551	164641	Emergency Ward nurse
698551	171311	Tory, Danny's Girl
698551	220062	
698551	224506	Melinda
698551	255345	Ad Agency Receptionist
698551	365169	Beany Thorn
698551	387728	Nurse Kit (1996-)
698552	294717	Hair Stylist
698554	310716	Susan
698555	247488	Infomercial Girl
698556	66218	
698556	182949	Lulu's Mother
698557	386922	Additional Voices
698558	2773	Betty
698558	116217	Edna Mulcahy
698558	131005	Glory Wood
698558	291328	Herself
698558	335868	Dorine
698558	367447	Judy
698559	1728	Host
698559	23932	Herself
698559	116869	Herself - Interviewee
698559	215171	Presenter
698559	311703	Presenter
698559	400172	Presenter
698559	402076	Occasional Presenter
698559	409868	Presenter (Series 3) (2004)
698559	411796	Host
698560	7884	First Tribe
698561	10337	Martha Washington
698561	16623	Woman With Maria
698561	52514	Mrs. Henry Andrews
698561	52904	Governess
698561	63170	Bradford, Cynthia's Maid
698561	73933	Margaret DeHaven
698561	87845	Duchess of Glastonbury
698561	92505	Mrs. Courtland
698561	100662	Mrs. Bristed-Lee
698561	117557	Bit part
698561	157129	Dowager
698561	165444	Dowager
698561	202992	Maid
698561	241029	Mrs. Fenwick
698561	263555	Mrs. Stubbs
698561	278540	Miss Calahan
698561	321794	Concerned Woman
698561	346185	Lady Cairn
698561	360430	Aunt Sophia
698561	365087	Mrs. Herts
698562	26263	
698562	72217	Olga
698563	202244	
698564	398463	Moira
698565	62679	Dining Couple
698566	26621	Joyce
698566	40615	Angela Marshall
698566	41305	Mary
698566	47332	Eve Delmar
698566	50005	Lizette
698566	66640	Jenny Hayden
698566	70475	Mary Monks
698566	79664	Glad
698566	95859	Kitty Gray
698566	97082	Tehura
698566	107627	Rita Martin
698566	112539	Helen Leigh
698566	114908	Jerry Malone
698566	116731	Girda
698566	116912	Marian
698566	117064	Ruth Barton
698566	124690	Lilah Deane
698566	125506	Countess Carola
698566	147633	Cameo appearance
698566	151095	Corinna Endicott
698566	155863	Nadia
698566	165909	Nettie Vollar
698566	177405	Mary Magdalene
698566	177466	Diana Martin
698566	187950	Paula
698566	190489	Bessie Broke
698566	194193	Dixie Mowbray
698566	203255	'Mops' Collins
698566	204162	Mary Malone
698566	213040	Mary Carlton
698566	213177	Norma Forbes
698566	217441	Miriam Manchesteer
698566	220843	Suzanna Juárez
698566	235650	Jackie Standish
698566	236449	Monica Salazar
698566	241419	'Jerry' McKay
698566	245196	Mary Lawrence
698566	245525	Leontine Sturdee
698566	252857	Mary Oliver
698566	257807	Bricotte
698566	261984	Lorraine LaRue
698566	279184	The Duchess
698566	286199	Salomy Janee
698566	289048	Mary Stafford
698566	292817	Mrs. Donovan
698566	296911	Fay Melville
698566	299206	Johanna Hearne
698566	300103	The Pirate Number
698566	303570	Mamie Smith, his sweetheart
698566	304319	Lucille Ward
698566	313631	Irene
698566	315052	Patsy
698566	321850	Leslie Fullerton (US version)
698566	323183	Corinne Stanlaw
698566	329314	Diane Lee
698566	335550	Grace Percival
698566	358149	Nell Bailey
698566	363090	Teresa de Fontenac
698566	363754	Andrée Duphot
698566	363930	Inez Rojas
698566	366638	Jenny Lou
698567	333443	Monster Hand-Mirror
698568	21488	
698568	92443	Dr. Mary Robinson
698568	150559	
698568	242570	Margaret Nichols
698568	346227	Margaret Hopkins
698568	362087	Miss Shea
698569	275434	
698570	689	Herself
698570	97611	Doris, on the road
698570	249457	Lady Selwyn
698570	386518	WPC Sally Reed (1968-1969)
698570	400875	Margaret Jackson
698570	401145	Irene
698571	87166	Tenniebopper
698572	308168	Kate
698574	233693	Best Friends
698575	258881	Nina
698576	390195	Herself - Reporter & correspo
698577	352441	Jeanne
698578	5150	McAdam's assistant
698578	259360	Helga
698578	259829	Elevator Woman
698579	2766	Lady in Hall
698579	314631	School Instructor
698580	26657	Mabel Howard
698580	32161	Ethel Smedley
698580	46002	Helen Caerlyon
698580	111440	
698580	143038	Mrs. Clode
698580	151043	Ethel Morley
698580	186453	Celia Rose
698582	53930	Girl in Car
698583	52204	Highgyll W.I. Lady
698585	168694	Herself
698585	270659	Singer (herself)
698586	407170	Herself
698587	30119	Jena
698587	350197	
698588	206536	Herself - Pianist
698589	293078	Woman on Bus
698590	116140	Dillian Crew
698591	2266	
698592	56992	Nurse
698594	112447	Alice Denton
698595	10635	Linda Brentwood
698595	11516	Mary Beck
698595	16037	Helen
698595	18022	Janie
698595	33985	Shilling
698595	37243	Mrs. Wilde
698595	58493	Alison
698595	60153	Elsie
698595	74129	Bill's Girlfriend
698595	77189	Det. Sgt. Jenny Ettrick
698595	82110	
698595	88852	Elizabeth Rock
698595	97848	
698595	105175	Agnes Scott
698595	112023	Rachel Greenlaw
698595	119025	Frau Bunofsky
698595	119408	Nessie
698595	130947	Ann
698595	143606	Anna Spalinsky
698595	158755	Claudia Procula
698595	160582	Miriam Whitelaw
698595	178284	Janet Graham
698595	187393	
698595	208904	Anne
698595	228989	Inspector Anne Warwick
698595	232873	The Telescreen Announcer
698595	258932	Nurse Hopkins
698595	273320	Mrs. Austen
698595	274071	
698595	291067	Various
698595	292779	Monica Purley
698595	299715	Mrs. Ross
698595	301614	Nancy Muir
698595	307019	Karla
698595	307441	Lawyer
698595	383040	Sheila Walsh (1986)
698595	384100	Anna Spalinsky (episode "Here
698595	391759	Mrs. Muriel McKendrick: Consu
698595	391978	Annie Gilbert, deputy head (2
698595	392970	Squadron Leader Helen Knox
698595	396057	Lou Larson
698595	396112	Lady Jane Felsham (1986-1993)
698596	235618	Lunarcruiser
698597	61631	
698597	88005	
698597	94789	
698597	159825	
698597	183762	
698597	193270	
698597	227794	
698597	239701	
698597	276696	
698597	346112	Pearl as a child
698598	241284	Ruby
698599	72140	Topsy
698599	116140	Stacy
698599	154000	Young Lover
698600	78908	
698601	275602	Female platoon drill sergeant
698602	34354	
698603	34117	Various roles
698603	72689	Polly Baker
698603	215793	Elissa Dandridge
698604	2890	Toots Shor's Niece
698604	75733	Gabriella
698604	126707	Amanda
698604	165977	Convenience Store Girl
698604	236387	Audition Woman
698604	286438	Blonde
698605	209125	
698606	17506	Wife of King
698606	123882	Ruth Lane
698606	152208	Girl at Inn
698606	346248	Model
698607	5152	Tracy
698607	282482	Lingerie Salespeople
698608	359425	Model
698609	42842	Girl on Stairway
698610	278470	Bad Girl Gang
698611	2742	Anna Letizia Kohler
698611	7169	Giulietta
698611	82430	
698611	105606	Secretary #1
698611	109642	Rebecca
698611	127967	Longhi
698611	177628	
698611	204261	Giusy
698611	270858	Eva
698611	309171	Alisea
698611	344630	
698611	348138	Anna
698611	352292	Giulia
698611	385067	Ottavia
698611	399657	Herself (1991)
698611	409358	Ketty
698611	410311	Chiara Bonelli
698611	411009	Maggie
698612	55477	Ticket Seller
698614	230693	Shopper
698614	318673	Mrs. Bassett
698615	65966	Smiles
698616	194566	Loretta at Age Five
698617	99013	
698618	175359	Mojca
698619	59384	
698619	205213	
698620	325914	
698621	42220	Johanna
698621	107749	
698621	133314	Clarissa
698621	138460	
698621	275170	
698621	293252	Emma
698622	84202	Alice
698623	27207	Unity Member #5
698623	62699	Jojo
698623	191152	Gayle
698623	196580	Andy's Sister
698623	230868	Stella
698623	241375	Irene
698623	330704	Cynthia
698624	114283	Screen Tests
698624	155453	Sales Lady
698625	305956	Petrol Attendant
698626	185860	Jane
698626	186383	Anna Damon
698626	215796	Patricia Flint
698626	236118	Rosie
698626	346271	Raver's Friend
698626	386963	Zoe Baker (1997-1998)
698626	387993	Cat
698626	390118	Anna
698626	396147	Lucy Sullivan
698627	107125	Maria Bonvissto
698627	194510	Ravenna
698628	284939	Girl in wheelchair
698629	15204	
698630	74311	Kim
698630	267242	Herself
698631	401506	
698632	349860	Young Dorothy
698633	118744	Cynthia
698634	28168	Betty
698634	34398	Simone
698634	54019	Mme Smith
698634	55869	L'assistante
698634	96216	Béatrice Dupré
698634	137920	Ophélie
698634	235730	L'inspectrice Béatrice Dupré
698634	261735	Marie-Jeanne Desanges
698634	294836	
698634	346419	Femme 1
698634	351863	Sage-femme
698634	375767	Marie-Aline
698634	392579	
698635	404175	Sabine Rivière
698636	132464	
698636	174967	
698637	274125	Pretty Girl
698638	32757	
698638	35931	
698638	44359	
698638	82487	
698638	86597	
698638	91190	
698638	132734	
698638	163058	
698638	163903	Vanya's Mother
698638	179105	
698638	180790	
698638	307348	
698638	320681	
698638	339261	
698638	341194	Saburova
698638	352447	
698638	352871	
698638	352892	
698638	357230	
698638	374180	
698638	374731	
698638	382445	
698639	375660	
698640	286604	Rauna
698641	415	Jozefka
698641	96495	Markéta
698641	221869	
698641	268290	Jozefka
698641	349194	Robert´s mother
698642	249910	Reportera guarderia
698643	84477	
698643	89685	
698643	122438	Fatimja
698643	242646	
698643	244000	Nëna
698643	324297	
698643	334836	
698644	380559	
698644	393396	
698644	394076	
698645	96775	Susan
698645	153162	Courtenay's Mom
698645	223719	Athena
698645	273771	Maureen Purdy
698645	323974	
698645	380942	The Scarlet Witch (Wanda Maxi
698646	76989	
698647	37452	Web Girl
698648	140442	Noelani
698648	230620	Herself
698648	238342	Matae
698649	178281	
698650	72290	Reporter
698650	81547	Sorority Girl
698650	171078	Debbie McCuan
698650	214755	Technician
698650	316225	Fran
698650	362439	
698651	245950	
698652	226012	
698653	303791	
698654	102949	
698655	153562	Tutorial Mate
698656	117656	
698657	153562	Ning
698658	122526	Jenova
698658	145646	
698658	182328	Misa, the black seraphim
698658	187823	Arisian mentor
698658	239936	Su Jin
698658	279632	Robby
698658	282998	Meifa
698658	286096	Little Girl
698658	359542	Princess Adel
698658	376542	The School Nurse
698658	389567	Pinky (the girl Koala) (Korea
698658	390963	Lun Lun (Korean version)
698658	405862	Ryuhai
698659	155384	Girl
698660	99580	
698660	289162	Old woman
698661	1738	Herself
698661	1748	Herself - Host
698661	2805	Herself
698661	69416	Mary Elizabeth Cep/Lola
698661	92954	
698661	109396	Vig
698661	119358	Anna Coleman
698661	126492	Lexy Gold
698661	132185	Blair Waldorf
698661	143505	
698661	183745	Connie Albright
698661	190324	Casey
698661	209133	Cady Heron
698661	231536	Herself
698661	240877	Herself
698661	248878	Hallie 'Hal' Parker/Annie Jam
698661	326664	Herself - presenter
698661	347917	
698661	380391	Alexandra 'Alli' Fowler #3 (1
698661	381775	Rose #1 (2000)
698662	139569	Mrs. Brusis
698662	338788	Gran
698663	130887	
698664	182157	Conni
698665	142732	Sjukgymnast
698666	23108	
698666	224644	Sara
698667	22198	
698668	9507	Crofter's wife
698668	14738	
698668	17616	Riikka
698668	18402	Miettiskä
698668	18452	
698668	25204	Mrs. Makkonen
698668	25266	Mrs. Kieronperä
698668	28457	Nina Pacius
698668	141809	Erkki's mother
698668	153721	
698668	153756	Mari
698668	169226	
698668	170519	Eetla
698668	171439	
698668	172295	Liinu
698668	175729	
698668	180444	Liikuttunut nainen
698668	182213	Elsa
698668	182504	Aunt Sandra
698668	184070	Cook
698668	198758	Head nurse
698668	206142	Tilda Väre
698668	213374	Alfred's wife
698668	213376	Shop assistant
698668	213416	Martta Koskinen
698668	214838	Helvi
698668	219451	
698668	229627	Saimi Palomaa
698668	233244	Telefuuni-Sandra (telefon ope
698668	236795	Mrs. Mäkinen
698668	239153	Berta Hukari
698668	255935	Mrs. Liljefelt
698668	258813	
698668	258845	Nurse #1
698668	258846	Mrs. Simola
698668	266752	Sister Laurila
698668	267123	Ottilia Mähönen
698668	267126	Tiina Kettuvaara
698668	272247	Tiina
698668	282146	
698668	301816	Sofia
698668	301864	
698668	307139	Malviina
698668	319314	Ritva's mother
698668	319315	Kerttu
698668	319316	Lady of Mattila
698668	319318	Mäki-Penttilä's wife
698668	320400	Yrjänä's wife
698668	321782	Mari
698668	321924	Lumberjack's wife
698668	321926	Mrs. Karpalo
698668	322283	Emmi Särkelä
698668	336545	Elna Hiekkamaa
698668	336580	Eriikka Logren
698668	343393	WAC
698668	343467	
698668	349734	Liisa
698668	349738	Riitta Takala
698668	349948	Alma Ranta, Auli's mother
698668	350590	Lady of Homi
698668	354259	Mrs. Sarma
698668	354274	Irma's mother
698668	372965	Josefiina Turunen
698669	247007	Psychologist
698670	251987	Coffee shop keeper
698670	341867	
698671	142765	Jonathan
698672	352031	Buurvrouw
698673	10317	Camelia
698673	24476	Teen Rosemary - Elliot's Film
698673	37057	Sandra Bloom (Young)
698673	37489	Tiffany
698673	82460	Ms. Madeline
698673	174953	Nausicaa (Disney 2004 Dub)
698673	180633	Curtis
698673	207709	Angela
698673	214094	Courtney Hunter
698673	257307	Patrolman Curtis
698673	297628	Beth Moss
698673	330610	Honey Bear Girl
698673	339605	Herself
698673	363449	Karen O'Connor
698673	363768	Amy
698673	363948	Astrid Magnussen
698673	372584	Herself
698673	400933	Lily McAllister
698673	409019	McKenna Reid
698674	242113	Girl at Pool
698675	238495	Waitress
698676	21388	Zalnashh - Shany
698676	119565	Eve, Nuclear Winter's Ice Que
698676	230458	
698676	245507	Secretary
698676	334011	Clown
698677	78015	Venetian Wife
698677	79986	Young Woman
698678	52358	California Club Poker Player
698679	24519	
698679	199396	
698679	248540	
698679	361400	
698680	78493	Herself (performing 'Mayday M
698681	1826	Nachrichtensprecherin/Newsrea
698682	381583	Pandora de Montmartre
698682	384711	Teca
698682	396610	Gabriela 'Gabi' Ferreira (200
698682	409419	Antônia
698683	21213	Pleasure Mecha
698683	24503	Dallas Girl
698683	48468	Cult Member
698683	79081	Lap dancer
698683	80602	Heather LaBow
698683	99769	Goth Girl
698683	114039	Hottubber
698683	137541	Female Barber
698683	144988	Herself
698683	150075	Polecat Stripper
698683	150088	Jolle, Dancer
698683	160464	Interviewee: Girlfriend/Playm
698683	178897	Club Guest
698683	219128	Tiffany
698683	222330	Isis
698683	228298	Dream Girl
698683	295669	Chloe
698683	296357	Stacey
698683	304494	Rowdy Girl #1
698683	323972	Jenny
698683	335258	Centerfold
698683	386197	Go Go Dancer
698683	392246	Face Model
698684	36850	Herself
698684	36852	Herself - Host/Participant
698684	42201	Gyda
698684	305004	Healer Ulla
698684	315377	Emilie
698684	381899	Herself
698684	381903	Herself - Participant
698684	405537	Herself - Host
698685	41883	Laatste meisje op feestje
698686	345585	Una
698687	178703	
698687	392086	
698688	196332	Susi Burg
698688	394795	TV speaker (1977-1983)
698688	408428	
698689	18524	Anwaeltin Fauser
698689	126467	Rita Franke
698689	144160	
698689	216329	
698689	240040	Erika Pilhar
698689	343756	
698689	347819	Doris Schlegel
698689	396920	Young Marga
698690	200133	
698691	310270	Katruse
698692	279371	3rd Nurse
698692	393880	Mrs. Smith
698692	395736	Lodgekeeper
698693	105258	Allison
698694	46752	Sally/Thelma Crump
698694	176848	Sally
698695	295550	Demonstrator
698695	295551	Demonstrator
698695	295552	Demonstrator
698695	295553	Demonstrator
698696	404280	Sanne Bender
698696	404898	Lot (1988-)
698696	412033	Zus
698697	12750	Dowager
698697	17544	Princess Scherbatsky
698697	20033	Lady Frinton
698697	55157	Lady Carlton-Browne
698697	71628	Mrs. Coles, Richard's Old Fri
698697	93318	Helen von Waldenau
698697	103222	Stella Hampden
698697	112596	Mrs. Barbara Rivers
698697	117547	Mrs. Cope
698697	125889	Mrs. Handside-Lane
698697	125985	Alice
698697	127283	Lottie
698697	133513	Dowager Lady Gorse
698697	163664	Constance Gilbert
698697	178137	Emma Blood
698697	183685	Lady Brockley
698697	191628	Mrs. Maddox
698697	200110	Countess de Vermond
698697	201306	Lady Britomart
698697	217663	Modiste (English Version)
698697	239013	Lady Pye
698697	240658	Lady Falconbridge
698697	245134	Rich passenger
698697	268152	Mrs. Higgins
698697	271612	Lady Parks
698697	273404	Murdered
698697	273562	
698697	279321	Lady Hamble
698697	282607	Mother
698697	295392	Dorothy Knudson
698697	301621	Lady Clandon
698697	305357	Mrs. Samson-Fox
698697	309872	Mrs. Beddows
698697	337107	Mrs. Dudley Frost
698697	342489	Lady Chetwood
698697	353524	Barbara Rowntree
698697	361474	Mrs Fraser
698697	364454	Empress
698697	366373	Grace Winslow
698698	151732	Showgirl
698699	259593	
698699	312887	
698699	325781	
698699	354069	Kellnerin
698699	356740	
698699	376351	
698699	377353	
698700	133728	Charkie's Water Ballet Perfor
698701	388734	Merijn
698702	204636	Leonie, Portierstochter
698703	119803	Model
698703	308382	Raider
698704	308229	Admiralinde
698705	155344	Rebecca Krollmann
698705	182896	Julia
698705	394477	Julia "Hexe" Clement
698706	399978	Pheb
698707	359971	Kristy
698708	8284	
698708	353245	
698709	285717	Rosie
698710	82710	Kate
698710	244711	
698711	202772	Biancofiore
698712	290477	Eva Braun
698713	319001	Featured Player
698714	186516	Waitress
698715	96173	
698715	97065	Florence
698716	19182	Gloria
698717	7184	Cécile
698717	100342	Victoria
698717	110216	La dame de l'annonce
698717	219605	Traffic warden
698717	328273	Noimie Legret
698717	336931	Nadine
698717	345049	Marie
698718	29116	Hélène
698718	33578	Cécile
698718	58305	Femme piscine
698718	61440	Emma
698718	64333	Herself (2000)
698718	66596	Amadou's Friend
698718	99403	Rita
698718	161651	
698718	202706	Julia
698718	225369	
698718	248416	
698718	249089	Béa
698718	254087	
698718	258327	Juliette 2
698718	261103	Anaïs
698718	261116	Emmanuelle
698718	284224	Gaelle
698718	284666	Coralie
698718	294601	Chloé
698718	295215	
698718	315280	Julie
698718	327566	Nathalie Azoulay
698718	340486	Christelle
698718	345243	La femme en panne
698718	351549	La jeune fille du flipper
698718	353428	Ludivine
698718	378129	
698719	349141	Pikkuveli
698719	398646	Eeva Pajulahti
698719	402484	
698719	407094	Eeva Pajulahti
698720	393034	Elina
698721	144457	Herself (dancer)
698722	172072	
698723	131431	Maple's Cousin
698723	276968	Matty
698723	406007	Charlene
698724	382219	Isabelle Delcourt-Malet
698725	158831	La greffière
698726	86794	Soeur Marie des Anges
698727	83131	Las Grecas Karaoke singer
698728	376919	La directrice auto-école
698729	354028	
698730	28179	Le jeune frère de l'ouvrière
698731	69761	Une jumelle
698732	69761	Une jumelle
698733	80183	Audrey
698733	160724	Marie/Yann
698733	338593	Marie/Yann
698733	386572	
698734	371415	Dominique
698735	370643	Susan
698736	45189	Yvonne
698736	92045	Rose-Alma Corriveau
698736	101230	Narrator
698736	119053	
698736	156341	
698736	205645	Maria
698736	208156	Mother
698736	217702	Madame Poulin
698736	218581	Madeleine (segment "Dernière 
698736	243300	Marie Boudreau
698736	245959	Andréana
698736	261478	Madame Faucher
698736	284196	Mrs. Desaulniers
698736	309760	
698736	332618	
698736	337268	Narrator
698736	346789	Narrator
698736	358563	
698736	383372	Clémence Vigneau
698736	390636	
698736	400381	Tanagra
698736	406031	Lisette Tanguay
698736	410252	Renée Gagnon
698736	412166	Marie-Ange Mathieu
698737	219736	Megan the new Park Ranger
698738	124328	
698739	377905	
698740	331285	French nurse
698741	273672	Mme Morel
698742	355273	
698743	404242	
698744	187877	
698744	212648	
698745	233190	Spiros' mother
698745	388860	Tessa Worker
698746	24149	Ballettmeisterin
698746	42599	
698746	103098	Juanita
698746	103132	Elsa Siebeneiner
698746	107369	
698746	120930	Trixi
698746	130940	
698746	134794	
698746	155466	Mrs. Polikow, Marie's mother
698746	156047	Mrs. Meyer
698746	165362	Frau Professor Warncke
698746	175399	Frau Schmidt
698746	178680	
698746	183056	
698746	198928	
698746	225149	
698746	275412	
698746	281104	Wife of cafe proprietor
698746	352536	
698746	359627	Herself
698747	333430	Nurse Joan
698748	267932	Lady Beaver
698749	16195	
698749	62438	Eliska
698749	174067	Ivona
698749	261875	Irena
698749	305247	Ing. Tejfarová
698749	352794	Eliska
698749	357420	Eva
698749	384131	Edita
698750	28228	Justina
698750	32855	Marija
698750	83431	Milanova sestra
698750	156592	
698750	178740	Sonja (episode "Cekati")
698750	234153	Mama
698750	270681	Rich Lady
698750	339752	
698751	56100	Mechanical doll
698752	89572	Servant at Steiner's house
698752	121898	Caterina's mother
698752	128027	
698752	253200	M.me Tournè
698752	277808	Marcella
698752	279036	Marisa Sabatini
698752	355660	School principal
698752	384275	
698752	384908	Mercedes
698752	390090	Jessica Hunter
698753	69262	Irene Marrone
698754	272743	Dame
698755	228267	Herself
698756	137216	
698757	198474	Red Guard Dancer
698758	1152	
698758	303405	
698758	340607	
698759	28038	
698760	298427	
698761	394752	Psikhiatry
698762	111431	Simone
698762	350904	La troisième amie rupture
698762	391632	
698762	400869	
698763	236617	
698764	5332	Linda Baker
698764	31316	Iphigenia, Lethe
698764	41404	Rayne
698764	123789	Angie
698764	160313	Herself
698764	177634	Brunnhild
698764	232271	
698764	247560	Josie
698764	322654	T-X
698764	328280	T-X
698764	328281	T-X
698764	328282	T-X (achieve footage)
698764	379676	Tiffany Kindall
698764	380713	Danielle 'Dani' Andropoulos #
698764	385517	Sarah Logan
698764	398257	Taja (1998-1999)
698764	401147	Janine Kelly (1997-1998)
698764	409558	Sable O'Brien (1996-1997)
698765	358547	Tanga meisje
698766	399130	Mandi Rogers (1997)
698767	270151	R2's Girl
698768	209327	Dancing at the restaurant
698768	322311	Girl at Britt's graduation pa
698768	377287	Bathing woman
698769	217518	Herself
698770	217518	Herself
698771	375662	
698772	755	
698772	767	
698772	786	
698772	16882	
698772	19786	Herself
698772	27258	
698772	34879	
698772	41586	Herself
698772	70374	
698772	75195	
698772	93707	
698772	95801	
698772	115054	
698772	117103	Coleen
698772	129204	
698772	152974	
698772	155877	
698772	184173	
698772	185946	
698772	188198	
698772	192383	
698772	210539	
698772	227159	Herself
698772	228025	
698772	233711	
698772	242068	
698772	242553	
698772	242555	
698772	242556	
698772	247359	Specialty act Harold and Lola
698772	250651	
698772	257200	Dancer
698772	263787	
698772	273298	
698772	275485	
698772	300103	
698772	306908	
698772	337862	Winnie
698772	354799	
698773	351494	
698774	99333	Herself
698774	341902	Herself
698775	139804	Cabaret Dancer
698776	75028	
698777	298325	
698778	105368	Lisa Ballard
698779	71665	Lilith
698779	122865	
698779	184582	Young Linda
698779	190976	
698780	53841	Herself
698780	114873	(segment "Poema por bulerias"
698780	194229	
698781	269954	
698781	320458	Polizistin
698781	393878	Polizistin
698782	361606	Mireille
698783	1261	
698783	40382	Singer
698783	98252	Singer
698783	128549	
698783	156726	Walpurga Fux
698783	162994	Monika
698783	182864	Singer
698783	193436	
698783	210032	Singer
698783	210320	Singer
698783	281257	Romy
698783	290011	Singer-Sailor
698783	290121	Singer
698783	290126	
698783	318773	Singer in German version
698783	347658	Singer
698783	352312	Singer
698783	361132	Singer
698783	386616	Olivier's dog
698783	394943	Herself
698784	78807	Louise
698784	108899	
698784	113116	
698784	189903	Nadia
698784	228563	Anne, la copilote
698784	288885	
698784	321991	
698784	345501	Gina
698784	377199	Natalia
698784	400389	Laura (1990)
698784	407550	
698786	49966	Cop #1
698786	117292	Featured
698786	236140	
698787	78266	Herself - Performer
698787	279619	Herself (audience)
698787	376103	Herself
698787	392343	Herself
698787	401872	Herself - Participant (2001)
698787	401878	Herself - Participant (Winner
698788	189770	
698789	217689	Mélissa
698790	392364	Nathalie
698790	397827	Nathalie
698790	409750	
698791	404576	Bakunetsumaru
698792	381532	Herself - Managing Director, 
698793	338610	Annina
698793	399845	Herself
698794	1398	Herself
698794	2301	Herself - Presenter: Best Dir
698794	10983	Alina
698794	12689	Mariantonia
698794	14759	Gina
698794	17520	Anna
698794	19476	Una ragazza alla festa
698794	27305	Alicia
698794	28779	Beatrice (segment "Monsignor 
698794	31897	Maria Dannreuther
698794	33638	Leila/Cashier
698794	33659	Ippolita
698794	33676	Cettina
698794	33723	Herself
698794	42357	Herself
698794	49689	Carla Campbell
698794	53089	Agostina
698794	57894	L'épouse médium du professeur
698794	58193	Giulia
698794	60301	Herself
698794	64782	Daniela, Paolo Ex Girl
698794	67897	Lisa Helena Fellini
698794	75264	Donata Sebastian
698794	81588	Princess Alessandra
698794	82428	Party Guest
698794	90699	
698794	90719	Lina Cavalieri
698794	99246	Adina's girlfriend
698794	101597	Stella
698794	108542	Adeline La Franchise
698794	116496	Dora Scala
698794	127982	Frine
698794	129813	Guilietta Cameron
698794	132815	Sylvia Sorrego/Helena Ricci
698794	150616	Marcelle Cotte
698794	159455	Lulla Possenti
698794	162083	Titta
698794	177615	Martha Dreyer
698794	187440	Marietta
698794	192840	Herself
698794	196782	
698794	198051	Herself
698794	199932	Francesca
698794	202850	
698794	205367	Margherita
698794	212710	Herself
698794	215550	Lisetta Minneci
698794	217118	Ottavia
698794	219583	Anna
698794	230407	Carla Vesari
698794	232017	Herself
698794	235710	Esmeralda
698794	246541	Nedda, wife of Canio
698794	247513	The Girl 'Frisky'
698794	247514	Maria 'la bersagliera'
698794	251615	Netty, aka 'Tani', the photog
698794	254965	Domicilla
698794	261076	Herself
698794	264773	Maria
698794	266151	Gemma Foresi
698794	280840	Adriana
698794	280841	Martherita, sua madre
698794	293356	
698794	303574	
698794	307688	Sheba
698794	311813	Donata
698794	314378	Herself
698794	316025	Toni Vincente
698794	317527	Evelyn Lake
698794	318637	Lisa
698794	323731	Maria Severini
698794	351583	Paulette Bonaparte
698794	355616	Margherita
698794	367567	Maria Marcello
698794	367802	Herself
698794	370013	Gaby Berrebi
698794	380989	Fatina Azzurra
698794	388237	Francesca Gioberti (1984)
698794	399939	
698795	75028	
698795	75030	
698795	183285	
698796	239284	
698797	191278	Moordenares
698798	376994	Doris
698799	34581	Ashley
698800	250804	
698801	204117	
698802	1069	Ladylay
698802	43418	Eliza Karadushieva, mayka na 
698802	54725	
698802	132371	Koenigin Maria Luisa
698802	174382	
698802	198159	
698802	201396	
698802	230451	
698802	242467	
698802	244468	Damata s kuchentzeto
698802	250880	
698802	253992	
698802	261330	Zara Shishkova
698802	261331	
698802	266657	Kavradakova
698802	273052	Babata
698802	300373	Vlastnata
698802	303117	Toteva
698802	304712	Mrs. Abraham Cohen
698802	305213	Bratovchedkata Minka
698802	318583	
698802	325055	Tashtata na Blagovest- Blagov
698802	335937	Upravitelkata
698802	352888	
698802	376228	Sultana Syarova
698802	392017	Babouchka
698802	404810	
698803	132641	
698804	231300	
698805	214002	Ida
698806	252293	Mom
698807	223054	Young Dancer
698808	171672	Nadya
698809	35127	The woman
698810	61162	Housewife
698811	236124	Belly Dancer
698812	56810	Redhead
698813	69174	Herself
698814	286571	
698815	118021	Cheeky serving girl
698815	379620	
698815	382537	Tiffany De Lysle
698815	383056	Woman in Park
698815	405502	Tiffany
698816	117874	Black Student
698817	16642	Mrs. Chandler
698818	318265	Cajera1
698819	166345	Teenage Girl
698819	196558	Bit part
698820	306785	Extra
698821	370854	Sally
698822	41197	Alexandria of the Night
698822	344183	Lydia
698823	101778	Student
698823	328839	Woman
698824	109662	Reporter
698825	132140	Slave Betty
698826	49493	Margaret
698827	1796	Baby
698827	107896	Gillian
698827	240879	Dancing Teacher
698828	222644	Tara James
698829	16909	
698829	32930	Ernestine
698829	123228	(1939 version)
698829	152782	Eulalia
698829	165715	
698829	183208	Elsie Radfern
698829	189254	
698829	193625	Miss Hooper
698829	281073	
698829	298453	Florrie Miller
698829	360551	
698830	33639	
698830	62423	
698830	169298	
698830	241211	Martine
698830	254160	
698832	137223	Electric Blues
698833	360588	Newscaster
698834	13078	Otto's girlfriend
698834	183485	
698834	198204	Mac
698835	196835	
698836	16262	Fiken
698837	15037	Olivia
698837	99736	Alexandra
698837	337031	Stéphanie
698837	345284	Sabrina Bouttier
698838	139211	Rosalind
698839	312141	Singing nun
698840	3039	Herself
698840	20263	Virginia Hoyt
698840	31665	
698840	34700	
698840	36571	
698840	37230	Margaret Banks
698840	37255	
698840	42357	Herself
698840	43121	Helen Hathaway
698840	46902	Abby Fane
698840	47911	Herself
698840	53192	
698840	53218	Carole
698840	65208	Herself
698840	73303	From Mr. and Mrs. Smith (1941
698840	88091	Millie Claudert
698840	90302	
698840	95361	Ellen Boyd
698840	95832	
698840	96627	The Beautiful Lady
698840	109372	
698840	109417	Alice O'Neil
698840	112458	
698840	116790	Kay Winters
698840	120508	Colly Tanner
698840	124695	Mary Magiz
698840	128180	
698840	128207	
698840	130591	
698840	130613	
698840	130646	Bit
698840	130703	
698840	138230	Regi Allen
698840	141474	Sybil Estabrook
698840	144985	Billie Davis
698840	146273	
698840	147716	Herself
698840	147802	Herself
698840	149374	
698840	152189	
698840	154651	Kay Dowling
698840	157847	Julie Eden
698840	160336	Herself
698840	163341	Mary Grayson
698840	183442	Rachel Fendley
698840	183591	'Alabam' Georgia Lee
698840	195468	Kay Colby
698840	195613	Herself
698840	199466	Jane Mason
698840	201844	Herself
698840	203326	Mary Kendall
698840	206354	Celia Hathaway
698840	207707	Phyllis
698840	208470	Young Maxie (in silent film)
698840	209108	Blonde Rosie
698840	220165	
698840	220779	Ann Krausheimer Smith
698840	223718	Salesgirl
698840	224136	Irene Bullock
698840	229262	Jennie
698840	233683	Connie Randall
698840	233795	Annie Holt
698840	233825	Penelope Newbold
698840	235633	Hazel Flagg
698840	236079	Toni Carstairs
698840	252857	Griggs' Sister
698840	255337	Herself
698840	257392	Extra
698840	261984	Another Dame
698840	264153	Princess Olga (Wanda Nash)
698840	270506	Rhoda Philbrooke
698840	279392	Bit Part
698840	283236	Diana Harrison
698840	283381	Norma Nurmi
698840	285350	Pauline
698840	291369	Herself
698840	291396	Herself
698840	300070	Herself
698840	300076	Cleo
698840	302887	Doris Blake
698840	305623	
698840	305632	
698840	305633	
698840	319650	Roma Courtney
698840	321443	The Swim Star
698840	321501	Maggie King
698840	329563	Herself
698840	330173	Amy
698840	334102	Maria Tura
698840	340755	Helen Bartlett
698840	342394	Lily Garland, aka Mildred Plo
698840	348359	Anne Merrick
698840	354201	Anne Lee
698840	355203	Mae
698840	360526	Doris Worthington
698840	364085	Judith Denning
698840	374418	Herself
698841	109834	Little Old Granny
698842	24827	Herself
698842	104743	Belgian entry (7th place)
698843	132606	
698843	279900	
698845	404943	Sandra Theron Stutterheim (20
698846	245698	Tiari
698847	4997	
698847	97071	Esther
698847	145352	
698847	155432	1. Callgirl
698847	239228	Rita
698847	294882	
698847	395334	Wah-ta-Wah
698848	37164	Liz
698848	81582	
698848	90932	Warhol actress
698848	106157	Amber Collins
698848	114017	Young Woman on Beach
698848	135161	Ketherine Kross
698848	181636	Zareta
698848	185388	Felina
698848	187418	Isabel Decker Ludlow (a.k.a. 
698848	222586	Inspector Renee Reno
698848	395016	Marina Ferrer (2004)
698848	404941	Royan
698848	410238	Anna Temaru
698848	412281	
698850	351491	
698851	32279	
698852	218811	Dancer
698852	312913	
698852	342503	Girl on Balcony
698853	7947	Emma
698853	16880	Lucy
698853	40005	Lucy Gallmington
698853	65078	Ellen Brachman
698853	86542	Rachel Blackmon
698853	104042	Esther
698853	117806	Kristina
698853	130650	Mary
698853	144536	Lady Anne Davenport
698853	189426	Catherine
698853	224046	Kath
698853	292208	Dr. Harriet Fellows
698853	297108	
698853	323748	Samantha Turkel
698853	342471	
698853	359324	Gayle Phelan
698853	382395	Liz Shaw
698853	383881	Anna (1991) (series 2)
698853	392129	Evangeline Eliott
698853	397534	Charlotte
698854	316511	
698855	193618	Young lovers - girl
698856	235878	Fabienne
698856	254306	
698857	388723	Chrétienne
698859	134656	Rachel Morton, Units #10
698859	222810	Mrs. Gruttadaro
698859	259829	Helen Moyer
698859	397902	Barbara McAuliffe
698860	17532	Anna
698860	385716	Jessica
698861	8627	
698862	14077	Nurse
698863	29182	Lena
698863	34446	Svea Olsson
698863	48373	Svea
698863	84297	Sophie Gesping
698863	84319	Elisabeth
698863	104414	Vassia
698863	115878	Lily Persson
698863	115882	Gullan Polander
698863	116131	Saga Saxholm
698863	120966	The young wife
698863	135944	Kristina
698863	147016	Margareta Lieven
698863	152637	Malvine Lieberman
698863	154203	Ulla Berg
698863	172982	Tina Bergwall
698863	173190	Abel
698863	180221	Signe Dorff
698863	180475	Maja Boman
698863	187621	Lady in Mauve
698863	187662	Susanne Melin
698863	191576	Hasse
698863	209316	Vera Alm
698863	225668	Woman-friend
698863	232736	Dunfin
698863	259425	Geske
698863	272501	Märta Olin
698863	272642	Charlotte Nibbing
698863	307770	Kate
698863	308191	Heidi Horneberg
698863	310493	Dolly
698863	313637	Elvira
698863	320609	
698863	322271	Greta, Peggy's friend
698863	332779	
698863	375867	Mrs. Gardner
698863	377336	Kerstin Gustafsson
698863	378245	Sara
698863	379595	Den Svenske Fruen
698863	381706	Mormor Svea (episodes 1-8, 10
698863	387888	Hedvig Bolin
698863	392432	
698863	402873	Annas Mother
698863	405734	Alma Grip (11 episodes 1993-1
698863	406646	Birgit Löf
698863	411580	Dagmar
698864	378102	
698865	127957	
698866	53850	
698866	234619	
698866	266446	
698866	316851	
698866	380196	Frida
698866	380612	Estela
698866	380946	Anamaria
698866	385853	Betina Lopes Jordão
698866	388721	Gardênia
698866	389884	Herself
698866	390507	Diadorim
698866	396036	Patrícia Dumont
698866	397416	Lu
698866	402685	Branca Camargo
698866	403618	Lúcia Brandão
698866	404803	Carla
698866	409412	Mariana
698867	13047	Hada
698867	357066	
698867	379854	
698868	194666	School Play Singer
698869	124661	Monica
698870	352755	Molly Wilson
698871	232785	Susanna, governante di Nina
698872	358786	
698873	243257	Little Girl
698873	328897	
698874	333478	Amazon
698875	107159	Paula
698875	360480	Reporter
698876	7420	Kelly
698877	76253	Photo Shoot A.D.
698878	25367	
698878	110301	Susan
698878	122207	Susan Cummings
698878	164235	Angelena
698878	210620	Soap Opera Nurse
698878	218850	Mera
698878	222875	Stewardess
698878	240612	Peggy Williams
698878	270599	Margaretha Sattler
698878	292041	Martha Richards
698878	332821	Marcia
698878	365341	Stewardess #2
698878	399947	Anne Devon (2002-2003) (origi
698879	401691	Aurelia
698880	165307	
698880	197569	
698880	255036	
698880	386744	Prima giornalista
698880	402302	
698881	55122	Diamond Room Dancer
698881	335570	
698882	64773	Lidia
698882	295136	
698884	327648	La gitane
698886	367054	The Wiz Singers Children's Ch
698887	249548	
698889	83777	Old Woman
698890	74828	(segment "Amigos, Los")
698891	185600	
698892	352755	Molly Wilson
698893	219572	Maria Bakunin
698894	159487	Receptionist
698895	212094	
698896	397862	Eloiza Dóaz de Ortega
698896	412133	Beatriz
698897	370869	
698898	25799	
698898	57245	
698898	220171	Chichina's Friend
698898	391849	
698898	403237	Vanina Cortez
698898	403651	Pilar Mancini
698899	355660	Gigliola
698900	301681	Roxanne
698901	397408	
698902	246000	Calamari Salesgirl
698903	895	Karen
698903	43936	Beth Howard
698903	109633	Alex Neville
698903	252967	Lauren
698903	336452	Wanda
698903	372174	Elizabeth
698904	196341	Coffee Shop/Restaurant Custom
698905	246000	Bookkeeper
698907	387071	Niki
698908	29580	
698909	3465	
698909	94728	
698909	319026	(segment "Armando's Notebook"
698910	138309	Nun #2
698911	24420	Kramerowa
698911	237701	
698911	275250	Van Worden's mother
698911	367242	Rafala`s Mother
698912	379132	Martina (Chapter 4)
698913	196341	Coffee Shop/Restaurant Custom
698914	1191	Kate Romero
698914	122768	Maria
698915	3465	
698915	17208	
698915	84360	Sonia
698915	94728	
698915	103555	
698915	118164	
698915	204525	
698915	255537	Professoressa
698915	255538	La signorina Mazzacurati, la 
698915	307054	Marina
698915	352235	Gianni's Other Secretary
698915	376001	
698916	142347	Rainbow
698916	310656	Nina Schmale
698917	20713	Periodista 3
698917	149933	Snatch Woman 1
698917	410453	(2000)
698918	87935	
698919	103773	
698919	247057	Jimena
698919	353596	
698919	353670	Periodista joven
698919	386127	Mariana
698920	7189	
698921	121392	
698923	93247	Herself
698923	401891	Herself - Eden's Crush
698924	139837	
698925	15061	Une jeune fille
698926	2657	Teacher
698927	73477	Reportera
698928	77430	
698928	82397	
698928	112054	
698928	193380	
698928	218519	
698928	233624	
698928	306683	Ángela Peralta
698928	319581	
698928	335943	Mother of Master #2
698929	215409	
698930	385496	
698930	385502	Elena Cantú
698930	392213	Host (2001-2004)
698930	397883	Lidia Rendon
698930	398803	Host
698930	399763	Gabriela Treviño
698930	401659	(2003)
698930	403173	Mayté's friend
698931	137195	DaVonne
698931	177427	Laura
698931	305575	Karaoke Act 3
698931	321266	Beatrice
698931	362188	Woman in Car Accident
698931	367589	Zeke, the Cabbie
698932	154051	Jenny Al Hughes
698933	19064	La fille
698933	19257	Terry Lopez
698933	59710	La mère de Léa
698933	108964	Eulalie Turner
698933	127748	Gina
698933	159768	Christine
698933	163954	Valerie Lamont
698933	178166	Aunt Irene
698933	196541	Diane
698933	206270	
698933	257168	Margo Simar the Carrier
698933	261862	Gisèle Gagnon
698933	284196	Manon
698933	291682	Sarah
698933	301693	Elaine
698933	311288	Consuelo de Saint-Exupery
698933	351712	Mme Malamour
698933	377478	Lise Marquis
698933	406120	Simone
698933	408009	Isabelle
698934	313136	
698935	20888	Elaine
698935	25725	
698935	40819	Oma
698935	42032	Lea Weemaes
698935	49753	
698935	69497	Josée
698935	77139	Getuige
698935	77368	
698935	86109	
698935	89103	Herself
698935	89463	Truus
698935	90839	Chris
698935	93620	Milady De Winter
698935	93627	Spelonken Jenny
698935	98243	Maria
698935	98246	Ellen
698935	99268	Madame Jamar
698935	107004	
698935	110548	Herself
698935	112036	Fientje
698935	125224	
698935	126612	Catharina
698935	141798	Hedda Gabler
698935	142746	Zij (Agnes)
698935	153319	Kate White
698935	173037	Betty
698935	174842	Florella
698935	198746	Natalia
698935	202700	Bankdirectrice
698935	205577	Emma
698935	205726	Mevrouw Van Rapenburg
698935	208749	Truus
698935	210128	Mevrouw de Ruyter
698935	213344	Nora
698935	213567	Hilda Halverwege
698935	217057	Katrien
698935	227360	Hélène
698935	235543	
698935	240211	
698935	244307	Desdemona
698935	249736	
698935	265303	Ann
698935	279646	
698935	282504	Frieda
698935	282736	Mej. Andrews
698935	285011	
698935	297922	Voorzitter Deferm
698935	303728	Silvana
698935	303956	Maria
698935	314854	
698935	320003	
698935	331968	Cafébazin
698935	335773	Clare
698935	337025	
698935	342328	
698935	352336	Katrien
698935	352673	
698935	356811	Stem van de Figuur
698935	357378	Anna
698935	359630	Teresina
698935	365585	
698935	365672	Sybil
698935	367022	Rosette
698935	367194	
698935	375117	Stem
698935	375755	Emma
698935	381006	Sonja
698935	382975	Angry Peasant Woman
698935	387143	Louise Drieberg
698935	391030	Mie
698935	393617	Simone
698935	397654	Betty
698935	398025	
698935	400287	Trien Hox (1995)
698935	400294	Eva (1991)
698935	403043	Herself (2000-)
698935	404444	Marieke
698935	408246	Ilona
698935	409886	Mevrouw Thompson
698935	411311	Madeleine Jacobs-Schoonaerts 
698935	411972	
698935	412092	Rikki
698936	245725	Nurse
698937	78221	Petra
698938	94168	
698938	98047	Agathe Hübner
698938	111956	Lilo Weissmantel
698938	134820	Verkäuferin Flora Tietze
698938	137093	Kesses Mädchen
698938	142053	
698938	144035	Lona
698938	155470	Frau Sommer
698938	171567	Mathilde Zoppel
698938	189771	
698938	204501	Elvira Sauer
698938	208181	
698938	210077	
698938	210080	
698938	225227	
698938	225727	
698938	290679	
698938	293871	Elvira Sauer
698938	326203	
698938	347626	
698938	361457	
698939	346209	Nina
698940	10068	Juffrouw De Bruyn
698940	40594	Zuster Véronique
698940	113103	
698940	152363	Vrouw van Valerius
698940	178447	Beatrix
698940	178481	
698940	382551	
698940	400801	Eufrasie
698940	409980	Herself
698940	410401	Cieltje
698940	411116	Gabrielle
698940	411916	Suzy Van Os
698941	128598	Rebecca
698942	162881	Nurse
698943	261124	Adjaratou
698944	12372	
698945	213545	
698946	192286	Black Cat dancer
698946	395290	Champagne Lady (1955-1959)
698947	211871	Federico's courtesan
698948	131780	Frenchy's Wife
698948	217100	
698948	230947	Woman at Blind Alley
698949	217559	Maria Teresa
698950	28511	Carmen
698950	33559	
698950	89871	Madame Claude
698950	212150	
698950	296049	La femme d'Albert
698950	389004	Sophie
698951	101446	
698952	169346	
698953	115016	The Wife
698954	11628	Helen
698954	45405	Susie
698954	45890	Berta d'Avignone
698954	56079	
698954	58049	
698954	70839	Ursula, the nudist
698954	72105	Anna
698954	75241	
698954	81517	(segment "The Magic Pear Tree
698954	84787	Magda
698954	86734	
698954	90735	
698954	92356	Slavka Cvijovic
698954	94062	Vera Djuric
698954	95665	Jovana Zrnic
698954	119272	Eva Möllmer
698954	119431	Anita
698954	120874	Tita
698954	127950	Christine
698954	143764	Livia
698954	160992	
698954	188644	(segment "Quel porco di Mauri
698954	191579	
698954	192885	Sonja Ilic
698954	194027	Gerda
698954	204004	
698954	209362	
698954	218955	
698954	246909	
698954	252721	
698954	259703	
698954	269472	Janet
698954	269480	
698954	269487	Vedova Adami (segment "L'Asce
698954	270807	Helen
698954	270882	
698954	272365	Svetlana Golyadkin
698954	291559	Aunt Lidia
698954	297690	
698954	301366	Noemi Castellan
698954	304473	Helen
698954	307467	
698954	307888	Pandora
698954	319026	Marisa (segment "Armando's No
698954	328687	Olga
698954	344000	
698954	354454	Martha
698954	374452	
698954	391729	
698955	125635	Indian Girl
698956	353070	
698957	181301	
698957	236048	Vinko's Secretary
698957	343835	Stefica Cvek
698957	373503	
698958	4737	
698959	74172	Lidija
698959	125569	
698959	180699	
698959	374156	Stella
698960	6651	Nurse
698961	23673	Laetitia
698962	2149	Kate
698962	7408	Madame de Largo
698962	29909	Sonia
698962	32370	Therese
698962	43192	Susan
698962	192998	Trudy King
698962	335594	Stella
698962	363469	Carol Rich
698962	402139	Rachel
698963	365942	Tennis Player
698964	76092	
698965	202759	Tsira
698966	68833	
698966	83344	La mère Perchoc
698966	205778	Louise
698966	276548	Rose
698967	45847	
698968	9324	
698969	6442	Fille casting Sabrina
698969	20916	Real estate agent
698969	43636	Zig Thivart
698969	68353	La manucure
698969	124313	Marinette
698969	189350	Albertine Monot
698969	201122	
698969	205617	Avocate de Nadine
698969	217210	La maîtresse d'école
698969	225767	Sandrine
698969	236584	Julie
698969	244742	
698969	251529	Annie
698969	253520	Un amour sincère
698969	269738	L'hôtesse de l'hôpital
698969	276538	Isabelle
698969	283653	Cordelia
698969	291682	Isabelle 2
698969	319596	Brigitte Doradée
698969	346446	Colette
698969	346646	Gisèle
698969	353917	
698969	357093	La standardiste
698969	377247	La mère
698969	378742	Inès Pérec
698969	379655	Soeur Filomena
698969	383246	Maryse (2002-)
698970	155921	Bar girl #2
698971	5093	Abuela de Ariel
698971	273298	
698972	24315	Simone
698972	43636	Géraldine Bergeade
698972	48196	Mary Collins
698972	59322	
698972	73068	Aude
698972	84222	Louise Desca
698972	104541	Eugénie Grandet
698972	120984	Julie
698972	164153	Marie
698972	199323	La nièce du Général
698972	206008	Brigitte
698972	225464	Sophie
698972	249089	Claire
698972	261839	Ariane
698972	350314	Marguerite (Gachet)
698972	410074	Alexandra adulte
698973	31654	Teen Fan
698974	8955	Daisy Dooley
698974	11080	Princess
698974	17566	Woman in bar
698974	25410	
698974	26192	
698974	26870	
698974	28642	Fat Girl at The House of Trou
698974	31617	
698974	40441	Undetermined Role
698974	49547	Fat Woman
698974	52546	
698974	69614	Fat Woman
698974	74288	Tandem Rider
698974	77794	Hula Girl
698974	79944	His Seasick Wife
698974	106004	
698974	117993	Waitress
698974	129835	Woman in department store
698974	130751	Strong Woman
698974	131472	Fat Inmate
698974	138286	A house guest
698974	140676	Matron
698974	142348	Fat Girl on Passing Boat
698974	143577	Window washer
698974	147609	Lady with Orchid
698974	152398	
698974	162558	Winnie Nash
698974	168119	Camp follower
698974	168947	
698974	169906	
698974	176429	
698974	193998	Wedding Guest
698974	211426	Rosie Leadbatter
698974	219917	Mrs. Hadley
698974	220911	Fat Girl
698974	223951	Fat Woman in Shower
698974	230730	Buxom Peasant Girl on Ship
698974	244937	Dulcy
698974	247045	Woman on wagon train
698974	252880	
698974	258073	
698974	261705	
698974	264159	Princess Sonia Alexandernova 
698974	279428	Woman
698974	291140	Nora
698974	291142	
698974	292141	
698974	295798	Miss Cadwallader
698974	303483	Dance Student
698974	328753	
698974	330892	Fat Lady in Theater Balcony
698974	331421	
698974	333077	Strong Woman
698974	335625	
698974	360547	Party guest
698974	362993	Sally Brackton
698974	363076	Switchboard Operator
698975	39051	Babs
698975	52358	Lady on the bus
698975	59970	Diana Midnight
698975	118980	Night Waitress
698975	195719	Roz
698975	220637	
698975	246307	Waitress
698975	266545	Sadie
698975	365341	Sales Girl
698976	13971	Flo
698977	40281	Molly
698978	147620	
698978	364419	
698979	347419	Christi
698980	157541	Cindy Rowan
698981	173318	Waitress
698982	39288	Mrs. Valdez
698984	128331	Anesthesiologist
698986	87309	Belle's girl
698987	89627	Kim Luval (Doll Squad member)
698987	313332	
698988	385464	Co-Host (2000-2002)
698988	411941	Correspondent (1998-2000)
698990	5033	Maria
698990	279376	Handmaiden
698991	8216	Woman in Shopping Mall
698991	39714	Guard
698991	164637	Second Mean Lady
698992	2402	Corey Scott
698992	73122	'Slacks' Bennett
698992	85822	Girl
698992	92983	Shelby Ransom
698992	99857	Nurse Dixie McCall
698992	99858	
698992	109587	Pat Boyd
698992	112429	Janet Wales
698992	126044	Sheila
698992	128145	Herself
698992	133705	Carol Larson
698992	142333	Laurie Sebastian
698992	203325	Billie Ellis
698992	226144	Doreen Stockwell
698992	231964	Palace Maiden
698992	232113	Ginny Nelson
698992	240650	Vivian Carlton
698992	269650	Mary Loring
698992	274163	Tibby R.
698992	276762	Janie Martin
698992	285138	Joan Blake, Tony's fiancee
698992	307521	Herself - Band Vocalist
698992	324745	Aven Dabney
698992	325199	Barbara McKinney
698992	356251	Ellen Burton
698992	367992	Helen Colton
698992	387516	Nurse Dixie McCall
698992	389227	Herself
698994	297935	
698995	11704	Linda Logan
698996	264189	Handmaiden
698997	380012	Herself - Finalist #4 (2004)
698998	365527	Bat Girl
698999	276439	Nurse
699000	12614	Mrs. Middle America
699000	39722	Redhead
699000	79447	Desirae
699000	81157	Big Mans Girlfriend
699000	92736	1982 Redhead
699000	113995	Reporter
699000	130183	Busty Secretary
699000	135992	Rocky
699000	136832	O'Hara
699000	160415	June/The Right Number
699000	187167	Sherry
699000	219859	Wayne's Girlfriend
699000	226891	Abbey
699000	263395	Alice
699000	264818	Alice
699000	288907	Rocky
699000	318171	Young Hooker
699000	339720	
699000	369911	Melissa Meed
699001	106271	Herself
699002	99999	Showgirl
699002	206871	Party guest
699003	308657	Marie
699004	144657	
699004	206259	Suzie
699005	42992	
699006	236972	Toy Theater
699007	304806	Tricia
699008	1228	
699008	6971	
699008	7051	
699008	13869	
699008	37421	
699008	39080	
699008	39081	
699008	40949	
699008	57127	
699008	59739	Tax collector
699008	83619	
699008	95803	
699008	117418	
699008	134690	Nicole
699008	139200	
699008	207862	
699008	232950	
699008	233715	
699008	239878	
699008	247991	
699008	293638	
699008	305713	
699008	311160	
699008	311161	
699008	335815	
699008	347685	
699008	348389	
699008	359740	
699008	363614	
699009	80782	Cemetery Extra
699010	195618	
699013	38045	
699013	249611	Sally
699013	283500	Deborah
699013	382659	Mrs. Kelly
699013	393653	Pauline
699015	19024	Church Woman
699015	104924	Hilary
699016	410881	Herself - fashion guru
699018	326808	
699019	226891	Martha
699019	403550	Rook
699022	125666	Police Chief Devine
699023	291449	Dancer No. 3
699024	194468	
699024	354521	Georgette
699025	342082	
699026	352000	Laura
699027	404888	Lígia das Graças
699027	404915	Flávia
699027	411932	Jacqueline
699028	58841	
699028	302822	María Fernanda
699028	378412	Marcelina
699029	335169	Herself
699030	387681	Karina
699030	389233	Juliana (2002-2003)
699030	393798	Lucrecia 'Lucas' Caballero
699031	355004	
699032	323300	
699033	386107	Herself/Survivor Team
699034	364320	Herself (University of Missou
699036	132786	Baroness van Krakenfeldt
699037	127737	Tina
699039	119501	
699039	161641	Courtney
699039	234515	Joy
699039	280453	Amy Rogers
699039	330370	Chelsea
699040	411089	Nurse
699041	324028	Stage Manager - Rubberface
699041	328906	Ward nurse
699041	389167	Dawn Starkie
699041	396507	Marian
699041	397436	Det. Sgt. Blane
699041	407878	Rene
699042	58647	Herself
699042	183813	Goldie
699042	361841	Maggie O'Malley
699042	363726	Abbie
699042	391773	(1950)
699043	91854	Sister Arnott
699043	193775	
699044	72571	Susan
699044	133475	Rebel Room Dancers
699044	157978	Green Eggs and Ham player
699045	291038	Mrs. Hughes
699045	302710	Dancer
699046	45334	The Victim (Rainbow Avenger)
699046	142405	
699046	271208	The Victim
699047	90983	
699048	7177	
699049	404931	Nell Woolcott
699050	229259	Grace Kelly
699051	87421	Model
699051	98895	Ballet Dancer
699051	98897	
699051	161181	Model Kelly
699051	228535	
699051	228536	Amanda
699051	258024	
699051	271295	
699051	277905	
699051	288459	
699051	335831	Herself
699052	80508	Opossum kid #3
699052	167324	Virginia Garrison
699053	195722	Asian Child
699054	27014	Herself (Angel Long)
699054	46348	
699054	50537	
699054	57242	
699054	75028	
699054	75030	
699054	75031	
699054	75059	
699054	102790	
699054	118293	
699054	123815	
699054	128905	
699054	136240	
699054	170787	
699054	200271	
699054	224187	
699054	228577	
699054	228578	
699054	228600	
699054	253650	
699054	273277	
699054	273300	
699054	273403	
699054	291281	
699054	291439	
699054	305728	
699054	312383	
699054	320824	
699054	349388	
699054	407194	Presenter (3rd Series) (2003)
699056	230085	
699057	10674	The Queen of Hearts
699057	123435	Lawyer #2
699057	194495	Additional Voices
699057	254625	Maj. Benz
699057	301066	Eve Marks
699057	313470	Trader
699057	342331	Nancy
699057	342635	Cop
699057	346198	Jane
699057	357001	Pamela Lewis
699057	360618	
699057	368497	
699058	6730	
699058	27014	
699058	75028	
699058	75030	
699058	75031	
699058	75059	
699058	92207	
699058	93990	
699058	102790	
699058	118293	
699058	191938	
699058	197751	
699058	228578	
699058	236944	
699058	253614	
699058	267084	
699058	273300	
699058	291281	
699058	291899	
699058	297338	
699058	349386	
699058	349387	
699059	6998	Penny Gray
699059	9035	Lorraine Carter
699059	10602	Lorraine Connors
699059	41711	Sue
699059	44485	Georgia Staples
699059	57353	Claire
699059	79579	Betty Iverson
699059	83920	Mrs. Anne Randall
699059	94960	Jane Cunningham
699059	96644	Nurse
699059	123390	Ellen
699059	133663	Anna
699059	148590	Iris Duluth
699059	159144	Norma Clemson
699059	160711	Nancy Sullivan
699059	202248	Student
699059	215019	Mary
699059	232023	Erica Drake Latham
699059	247359	Jo Anne
699059	248838	Girl on bus with Tommy
699059	253105	Audrey Latham
699059	253115	Judy Gage
699059	254283	Mrs. Connie Manton Dezlow
699059	261484	Clara Kelso
699059	274051	Countess Cressanti
699059	308595	Amalya
699059	312811	Nancy Howard
699059	319145	Gloria Pelley
699059	324030	Clara Cardell
699059	339417	Myra Peters
699059	358955	Jeanie Collinshaw
699059	370555	Dietz & Goff's receptionst
699060	21554	Marge
699060	134109	Renie
699060	165283	Herself
699060	273633	Helen
699060	274508	Herself
699061	235509	Lucrezia Borgia
699062	142341	Bowling Ball Brittany
699063	11171	Stunner #1
699063	127627	Beach Dancer
699063	243150	Dancer
699063	281794	Symphony
699064	219875	
699065	251685	
699066	58493	Rosemary
699066	339927	Eloise (Season 1)
699066	404470	
699067	44355	
699068	193364	
699069	206442	Candace
699070	82385	Waitress
699071	232496	Maria
699072	8362	Mary Dowdall
699073	97529	Connie Barker
699074	18635	Casting Executive
699074	362355	Janice
699075	150243	Mary
699076	238278	Writer in Office
699077	102213	Boze
699078	337701	L.A. Woman
699079	112601	Church Usher
699079	408690	Cassandra (Pilot)
699080	339445	Sarah Young
699081	214661	Girl
699082	197701	Dorothy
699082	246925	Millie
699083	144347	Intro reporter
699084	160979	
699084	315457	
699085	112485	Cold Hooker
699086	321821	
699087	193403	Molly Jacobs
699088	33179	Ballet Dancer
699089	363191	
699090	162883	Nurse #3
699090	338276	Rape Victim
699091	141372	Wu Soy Fa
699091	311031	Audience
699092	210837	Brunette
699093	63929	La cliente
699094	236950	Girl in park
699095	190019	Herself
699095	408555	Herself - Presenter (1990-199
699096	342822	Sphinx Girl
699097	312141	Singing nun
699098	390523	Anna Wright (1994-1996)
699099	87038	
699100	272847	Landlady
699101	188388	Penelope
699101	383034	
699102	10670	Park Avenue Couples
699102	14987	Wendy Wong
699102	32529	Cocktail Waitress
699102	44450	Reporter #1 - Democratic Conv
699102	57654	Father Gladen's Fan
699102	105890	Dream woman #1
699102	113994	Linda Chong
699102	145772	Corey Chang
699102	150075	Keecia's Korean Mother
699102	151529	Mrs. Yamata
699102	151636	
699102	222645	Secretary, Helen
699102	230815	Feng Shui Woman
699102	230947	T.V. Interviewer
699102	236870	Gail
699102	250873	Wendy Yoshimura
699102	255235	Yakimoto Yakimura
699102	274375	Mrs. Wong
699102	279845	Nikko's Mom
699102	280729	Betsy Okamoto
699102	309741	
699102	311428	Reporter
699102	316979	Officer Kim Lee (River Rescue
699102	379756	Katherine Kim
699102	383166	Madame Ybarra
699102	397892	Claire
699103	117851	Secretary
699104	257460	Mother With Child
699105	164572	Chicks who Love Guns
699106	7747	
699107	364459	Guest
699108	344149	
699109	73850	Tiger Captain
699109	82122	Pauline von Goetham
699109	363080	Young Julie
699109	411211	Doris Bailey (Season 1-4)
699110	411296	Herself
699111	111422	
699111	178932	Nea
699111	270903	Fros-T
699111	281254	Kick Boxing Instructor
699111	316284	The Stranger
699111	346119	Lisa Kruse
699112	36858	Herself (interviewee)
699113	104898	EVE
699114	91554	Little Girl at Zoo
699115	35597	Townspeople
699117	293030	Star City Dancer
699118	224070	Child
699119	184318	Zhu Yuping
699120	72344	Lily
699120	239567	Sally Brass
699121	14124	Maid
699121	51511	Wealthy Yuppie
699121	54688	Cindy
699121	56431	Lisa Madden
699121	67863	Mrs. Brady
699121	126011	Chorus Girl
699121	185385	Carol
699121	187193	Congresswoman
699121	191244	Additional Voices
699121	224639	Mrs. Lackey
699121	296799	Alice
699121	299657	Supporting
699121	348066	Supporting
699121	362453	Sloane/Curtis Executive
699121	385824	Norma Redgrave (1996)/FBI Age
699122	6989	Susan
699122	63012	Susan
699122	295006	Susan
699122	295007	Susan
699122	404897	Susan (1969-)/Roosevelt Frank
699123	103589	Iva
699123	116271	Children's matron
699123	116963	Ann Kuo
699123	185496	Lileo
699123	221177	Princess Lin Hwa (murder vict
699123	224615	Moonflower, Wong's Niece
699123	224725	Drina, the Maid
699123	254499	Win Lee, Benton's Secretary
699123	281875	Eskimo girl
699123	291796	Marie
699123	302620	Li Sung
699123	330453	Lela Liu
699123	334948	Tokyo Rose
699124	329481	Italian Woman
699124	330836	Stout woman
699125	112899	Bulbul
699126	281811	Member of the Queen's Court
699127	59278	Herself
699128	224853	Mullen Family
699129	168850	Lucia
699129	169976	Den franska servistrisen
699129	387262	Philips mamma (segments 1, 3,
699129	388646	Mouna
699129	403084	Irina Gornitzka-Jonasson (199
699130	149448	Waitress
699130	220024	Black Hawk Town Woman
699130	240697	Farmer's wife
699130	278217	Mrs. Abernathy
699130	340864	
699131	11344	Lydia
699131	38818	Young Fiore (2000)
699131	45457	Aunt Zia
699131	109723	Louisa
699131	157734	Mrs. Klips
699131	190056	Mrs. Fagnano
699131	224184	Santa Li Causi
699131	272413	Marge
699131	289456	Sylvia
699131	315218	
699131	336140	Penny
699131	381166	Jim
699131	381809	Larke Tanner
699131	382110	Melanie
699131	383125	Officer Tina 'Mainframe' Cass
699131	384689	
699131	396422	Maggie Muggins (1959-1962)
699131	398275	
699131	398728	Additional Voices
699132	406081	Mrs. Winter
699133	278909	Rita's Mother
699135	37674	Beach girl
699136	195722	Asian Woman
699137	34966	
699138	1674	Herself
699138	2290	Herself
699138	10414	Lonette
699138	19980	Suzanne Kingston
699138	25876	Darla Perkins
699138	34702	Jordan Armstrong
699138	37210	Sherry
699138	39620	Jaqueline 'Jaq' Blackman
699138	42983	Abbie Halpert
699138	45707	Brandi
699138	47496	Leslie
699138	50599	Carmen Jones
699138	120093	Debbie
699138	120219	Herself
699138	140310	Trudy
699138	142258	Rae
699138	155890	Karen (segment "1972")
699138	158528	Myra
699138	195785	Nina Mosley
699138	199475	Zora Mathews
699138	225774	Herself
699138	292446	Nimi Da Silva
699138	301231	Lou
699138	309477	Bird
699138	314745	Donna Chadway
699138	379950	Herself
699138	389350	Lisa Wilkes (1994-1995)
699138	390771	Katherine 'Kat' Speakes (1991
699138	395781	Ramona Greer
699138	408036	Sasha Monroe (2003-)
699139	200314	Herself
699139	407916	Ashley Linden (1981-1982)
699140	73479	Billie Hobbs
699141	49905	Herself
699142	362837	Matron
699143	162289	Mara
699144	162289	Manananaan
699145	221603	Eunice
699146	156851	Theatre Manager
699147	58774	Denise Marshall
699147	105412	Jannette
699148	44309	Isabella Cordova
699148	112195	Greenwich Village Girl
699148	112418	Betty Gregory
699148	130426	Estelle Summers
699148	145858	Claude's Sweetheart
699148	176374	Ann Howe
699148	177459	
699148	203196	Laura Mayhew
699148	331774	Marie St. Claire
699148	337419	
699148	358904	Herself
699148	362739	Eva Gwyn
699150	76603	Nurse
699150	109620	Jane
699150	139487	DEA Tech in Office
699150	177598	Shoemaker's Wife , Gypsy Fort
699150	315085	Pamela Wagner
699151	142930	Mary
699151	354519	Evelyn Harrington
699151	401623	Presenter
699152	1792	Miss October 1988
699152	128657	Herself
699152	257647	Herself (Miss November)
699152	257659	Herself (in bonus retrospecti
699152	257842	Miss October 1988
699153	7093	Sam
699153	30659	Fay Sommerfield
699153	34783	Herself
699153	45780	Carol Brady
699153	45781	Carol Brady
699153	57384	Tala
699153	60345	Diane Chambers
699153	60346	Diane Chambers
699153	60347	Herself
699153	68091	
699153	68099	Herself
699153	68101	
699153	72458	Clara
699153	86467	Elizabeth Gates
699153	90407	Lizzie Potts
699153	92618	Carolyn
699153	109682	Eileen Franklin Lipsker
699153	119056	Herself
699153	119357	Ellen Andrews
699153	127139	Jenny Clifford
699153	142541	Lucy Chadman
699153	161315	Herself
699153	162449	Lucy Van Patten Brodsky
699153	167875	
699153	175814	
699153	194653	Kathy
699153	210271	Mother
699153	210617	Host
699153	211753	Kate
699153	217993	Anna Crowley Beissart/Anna Fi
699153	223919	Herself
699153	228970	Herself
699153	232213	Belinda Keaton
699153	245468	Lauren Ames
699153	263384	Herself
699153	264132	Carol
699153	265747	Lorraine
699153	287777	Molly Emerson
699153	296036	
699153	305341	Alice
699153	320247	Penny Sands
699153	340320	Phyllis Nefler
699153	350437	Elizabeth
699153	352701	Carol Brady
699153	356351	Truddi Chase
699153	367865	Anne
699153	383994	Diane Chambers (1982-1987)
699153	390313	Susan DeRuzza
699153	391835	Herself
699153	394294	Kelly Novak/Kelly
699153	398213	Herself
699153	409113	Herself
699154	371043	Dumb Model
699155	118925	Woman in Labour
699155	128849	
699155	188490	Store woman
699156	29923	
699156	45072	
699156	116827	
699156	124280	
699156	141589	Tied Delivery Girl
699157	59828	
699157	112399	Rosemary
699158	233840	Jake Steel Groupie 2
699159	178134	Cleo
699159	215754	The Maid
699160	67569	Real Barbara Baylor
699160	266758	Bobby
699161	74000	Crude Oasis Bar Patron
699162	168675	Female Butler
699163	35735	Arresting Officer
699163	142526	Ellen
699163	151183	Sister Mary Winters
699163	190078	Doris
699163	310646	Reporter
699163	337699	Her Sister
699163	359060	Valerie Rudener
699164	164966	Bess
699166	243276	Choir Director
699168	390733	Violeta
699169	26528	
699170	56144	Young Nurse
699170	224150	Kelly
699170	224157	Cici
699170	232073	Linda
699170	239030	Becky Landers
699170	266764	Rowena
699170	321746	
699170	358866	Aimee Godsey
699170	363291	Kelly
699170	403728	Caroline
699171	64013	
699172	89572	Miss Steiner
699172	157028	Guilia Masini
699173	115465	
699173	402141	Girl w/child
699174	117037	Snobbish saleslady
699174	294206	
699174	381613	Norma Landry
699174	403898	Janine Jarry
699174	410252	Germaine Samson
699175	34759	
699175	51515	Tina
699175	96544	
699175	159939	
699175	159940	
699175	171187	
699175	233793	
699175	249455	
699175	253013	
699175	310936	
699175	313086	
699175	319428	
699176	251062	
699177	10889	Page
699177	70893	Emma
699177	87006	Diane Harper
699178	16512	Herself
699178	151669	Michelle Chivot
699178	208908	Andrea Bouchard
699178	249627	Michele Monet
699179	15061	Une interpètre
699180	176933	Maureen
699180	256211	Groupie
699181	6154	Dinah Morris
699181	35188	Alesky
699181	52733	Lady Pamela Stevenage
699181	57706	
699181	116949	Ella Morgan
699181	123287	Joan Danvers
699181	134450	Cora Jager
699181	147978	Jacynth
699181	159091	Princess Nadira
699181	199372	Mmme. Recamier
699181	206865	Mary Latimer
699181	219882	
699181	229675	Lady Hamilton
699181	231928	Lydia Major
699181	254908	
699181	280932	Emma Cadogan
699181	315740	Venetia
699181	329837	Thelma
699181	347410	Jenny Allington
699181	358976	Granella
699181	365731	
699182	21503	Grace Allen, Gilbert's Daught
699182	29338	Alice Bourne
699182	35270	Elizabeth Parker
699182	61387	Indian Woman
699182	61653	Mrs. John Walton
699182	69741	Mrs. Howard Raymond
699182	70292	The Convict's Friend's Wife
699182	73688	The Wife
699182	75423	Harassed Woman
699182	97828	Mrs. Wilkens
699182	102323	The Maid (unconfirmed)
699182	109791	John Lawson's Fiancée
699182	115080	The Older Sister
699182	143103	Ann Southcomb
699182	146016	The Minister's Housekeeper
699182	157102	
699182	157770	Clara, as an Adult
699182	157775	At the Ball
699182	188158	Ruth
699182	195315	
699182	195693	Edith
699182	195930	Party Guest
699182	199373	
699182	203780	
699182	211777	The Woman
699182	229229	
699182	264373	Alice
699182	273924	The Heiress
699182	280303	Ben's Wife
699182	286331	Mrs. Randall
699182	316129	Mary Rollins
699182	317291	
699182	318718	Cora
699182	331149	
699182	331606	
699182	342014	Mrs. Peck
699182	343223	
699182	365778	Woman at the party
699182	366311	Mrs. Frederick Wallace
699183	97809	Receptionist
699183	409505	Police Photographer
699184	3681	Herself
699185	75235	Lina
699185	92072	Augusta (segment "Le vacanze 
699185	96496	
699185	100663	Costanza
699185	213793	Sora Lella
699185	224022	Signora Barcini
699185	263014	Marisa
699185	323813	Signora Buffi
699185	380366	Aunt Jole
699186	240322	
699186	371404	Herself
699188	312289	Agnes, the Housemaid
699189	160209	
699191	65809	
699191	391869	ConstableTeri Garner (#2) (19
699192	293037	Siobhan O'Grogan
699193	67922	Cat's Friend
699193	166568	Mother
699193	202880	Triage Nurse
699194	390917	Ms Payne
699195	293037	Leena O'Grogan
699196	53278	Vera Ball
699196	53316	Mrs. Bristol
699196	58830	Alice Faversham
699196	69421	Jacqui
699196	89380	Herself
699196	128652	Sue
699196	175140	Lady Cockshute
699196	197755	Schoolgirl
699196	245687	Sue
699196	292817	Penny
699196	390286	Hostess (1974)
699197	295608	
699198	164688	La charcutiere Luce
699199	131232	Extra
699200	2781	Kissing Trio
699200	293097	Opera Woman
699201	274427	Wedding Party in Philadelphia
699202	52311	Heather
699202	182966	April
699203	21630	Mrs. Walker
699204	222815	Member of Repertory Company
699205	26659	
699205	34758	
699205	34779	
699205	39906	
699205	81747	
699205	83820	Lost Love
699205	91741	
699205	106625	
699205	131508	
699205	139193	
699205	141067	
699205	183404	
699205	228615	
699205	252933	Therapist
699205	253459	
699205	295823	
699205	296177	
699205	304700	
699205	319482	
699205	325264	
699205	326099	
699205	330885	
699205	334246	
699205	358074	Herself
699205	371538	
699206	104925	Model #3
699207	10912	Elizabeth Parsons
699207	40101	Therese Ricci
699207	57718	Alice Tanner
699207	73258	Carver
699207	77148	Rosalind Sommers
699207	85893	Pauline Challinor
699207	97463	Bea
699207	113496	Meg
699207	140643	Hilary Weygate
699207	154094	Amanda
699207	219190	Geraldine
699207	323936	Julia Strong
699207	342048	Sancha
699207	386339	Giselle McKenzie
699207	386435	Kate/Nancy/Sarah
699207	395104	
699207	397477	Georgi Singer
699207	404927	Lust
699207	411172	Virginia King
699208	126700	Chinky
699208	144644	Elaine/Madeleine
699208	220084	Lorraine
699208	384686	Various roles (1990)
699209	335332	Julia (Beggar Woman)
699209	405964	Mo from Market, Soo's voice
699209	405965	Soo
699209	405966	Soo (1981-1992)
699210	102010	Michelle Bourdet
699211	31058	Lt. Jane Franklin
699211	49340	Nora Madison
699211	252489	Mabel
699211	342008	Carmelina
699211	366793	Nurse
699213	323841	Swimmer
699214	68437	
699215	329484	Flower Girl
699216	190034	Fat whore
699217	5292	
699218	230972	Female part of lovers
699219	6568	Frau Marlene
699219	8049	Rosalia
699219	14961	
699219	16545	
699219	17816	Halla
699219	28957	
699219	29141	
699219	31006	
699219	32677	Mother Lucrezia
699219	33446	Caterina
699219	40782	Mail-order bride
699219	51372	
699219	51449	
699219	52253	
699219	54786	
699219	81519	
699219	81524	
699219	88348	
699219	89870	Esther
699219	91529	Giovanna Punzone
699219	97566	
699219	98680	
699219	99493	Elsa Ackermann
699219	99698	White Emanuelle
699219	102704	Sunday
699219	119102	
699219	124564	Katya Schwarz
699219	127880	
699219	135290	Lois
699219	135361	Leuthera
699219	135878	Marga
699219	160123	
699219	162036	Cristiana
699219	162607	Ensemble
699219	168235	Herself
699219	202790	
699219	206076	Isa
699219	210991	Italian Beauty
699219	213801	
699219	214008	
699219	217810	
699219	221666	
699219	233548	
699219	236362	Girl
699219	255544	
699219	270820	
699219	294424	
699219	295170	
699219	319729	Akela
699219	326220	
699219	331033	Slave Girl
699219	333664	Rosa
699219	338259	
699219	348216	
699219	373914	Connie
699219	375891	
699219	375895	Carmen de Mendoza
699220	394903	Ronda Rios
699222	332160	
699222	364223	First Hooker
699223	215690	Himself - Celebrity Judge
699224	127943	Concetta
699225	401185	Herself - the Court Officer (
699227	324448	Dancer: La cumparsita
699228	290107	Mädchen/Girl
699229	55118	Carlita
699229	150421	Herself
699229	306134	Gabby
699229	386144	Gabrielle Solis
699229	386920	Det. Gloria Duran (2003)
699229	407443	Host
699229	411802	Isabella Braña Williams (2001
699230	16029	Anna Paccione
699230	55444	Nick's girlfriend
699230	127121	Andrea Riley
699231	35526	Waitress
699231	93981	Stewardess #1
699232	300609	Secretaire
699233	65200	Cousin Charlotte
699233	67922	Woman in Gallery
699233	100130	British Prisoner
699233	148998	Receptionist
699233	151589	Nurse
699233	194116	Fiona/Tun Luiec
699233	316410	Secretary
699233	390672	
699233	409840	Miss Saltire
699234	131692	Miracle Beater Lady
699235	69037	Woman #2
699235	149439	Mother at Theater
699236	128583	Connie
699236	244330	Cassie
699237	128657	Herself
699238	124504	Joanna
699239	13882	Bobbie Ann
699239	37261	Susan Rawlings
699239	69395	Corina
699239	82327	Susan Delgato
699239	116152	Ramona
699239	127730	Falcons Dance Squad Member
699239	139227	Girl on Skates
699239	161495	Ember Swallow
699239	263334	Kate
699239	264818	Patti
699239	278824	Carol
699239	305147	Pam Draper
699239	313211	
699239	335480	
699239	335724	Jean
699239	366575	Rebecca
699241	201135	Béatrice
699242	70954	
699243	349842	Florence
699244	153804	Raymonde
699244	235822	Herself
699245	80553	Amy
699245	81052	Chagall receptionist
699245	216737	Showgirl
699245	274318	The First Lady (segment "Temp
699245	291037	The Woman
699245	297242	Audrey
699245	359792	Sasha
699246	213452	Chorus Voice
699246	224813	
699247	62889	Herself
699247	186078	Herself
699247	186086	Herself
699247	264010	Herself
699248	123986	Herself
699249	330017	Ems
699250	183760	
699251	33743	
699251	279339	
699252	265057	
699253	30004	
699253	50537	
699253	75028	
699253	97360	Choir Member
699253	128156	
699253	273300	
699254	133949	Herself
699255	235549	Lisa
699256	402867	Various characters
699256	405347	
699256	409931	Maija Halonen
699257	248133	Mabel the Airline Attendant
699258	124335	Fenway's Secretary
699258	368023	
699258	411378	
699259	15018	Hélène
699259	63774	Nicole
699259	88193	Eva
699259	91457	Myriam
699259	150560	
699259	180313	Annabel
699259	195343	Olga
699259	218808	Museum Guide
699259	219922	
699259	250902	Susannah
699259	270547	
699259	321208	
699259	321931	
699259	345641	Swiss Photographer
699259	378866	Leya (ep.3)
699259	389880	
699259	397938	Perry's Secretary
699259	401030	Mette Sophie Arosa
699259	407809	Carole
699260	17132	Extra talent
699261	88177	Maid
699262	90377	Shirly Felcker
699262	93981	Peggy McCall
699262	97035	
699262	329346	Toni
699262	358052	Pam Graves
699262	394676	Diana Fairgate (1979-1984, 19
699262	394677	Diana Fairgate
699263	34973	Elder Van Pelt's Girlfriend
699264	185422	Lena
699264	293267	Donna
699264	319015	Herself
699264	379727	Mel
699264	385020	WPC/Sgt./Insp. Emma Taylor/Wa
699264	388758	Suzie
699265	122029	Erotica
699265	383719	Anne Bourne
699265	384657	Technician
699265	407956	Angie Price
699266	145710	Sivi
699267	363729	Disciple
699268	225800	Bumbling Woman
699269	85186	Sheila's Friend
699269	119502	Marilyn Baker
699269	163363	Michelle
699269	299870	Joan
699269	362690	Center woman #1
699270	323377	Party Guest
699270	410522	Eva Krause
699271	74450	Guest woman #2
699271	99739	(segment "Jégárpa")
699271	110702	
699271	153686	Anfisza
699271	171547	Id.klobusinszkyné
699271	171604	Anna néni
699271	237169	
699271	309354	Mrs. Deutsch
699272	232427	Crazy Girl
699273	204182	Irish Woman
699274	51137	
699275	117656	Sharon
699276	195743	Mei Loo
699276	324975	Sue
699277	105971	Lisa
699278	251108	Old Lady Wu
699279	186561	Annie
699280	26872	
699280	131418	
699280	221177	Lilly May (Princess Lin Hwa's
699281	276517	
699282	104633	Herself
699283	116429	
699284	175839	Madame Chan's Girlfriend
699286	354683	Young Po
699287	293100	
699288	69342	La fille eurasienne
699289	128480	Margo
699289	245649	TV Reporter
699289	293094	Lily Morton/Cassidy
699289	316295	Anna
699289	365779	Katya
699289	381059	Louise
699289	385033	Caroline Fielding
699289	385105	Anna 'Lacey' Newman (1992-199
699290	297653	Joanie
699291	56113	Schoolteacher
699291	131454	Old Maid
699291	133856	Deaf Old Lady
699291	151067	Town Gossip
699291	205448	
699291	249513	
699291	340755	Juror
699291	346914	Class Pianist
699292	109772	
699292	264913	Fourth Assassin
699292	359405	Tau Control
699292	366697	Nurse
699292	397299	Dr. Annie Chung, medical stud
699293	302965	Chinook Piet
699294	24875	Girl Raver
699294	30108	Psych Ward Receptionist
699294	80844	Mei
699294	283712	Foo Chow Waitress
699294	339020	Lu Wan Chang
699295	238590	Whore #1
699296	271344	Devon's Friend
699296	317309	Marianna Trench
699297	137657	Dead Penney's Gas Waitress
699298	117908	Hooker #1
699299	294804	Ultra Sound Baby
699300	29971	
699301	41153	
699301	117540	Doll
699301	143536	Helen Camden
699301	385719	Tessie Kincaid
699302	58162	Grammy
699303	74987	Child
699304	223084	Vanessa Klein
699305	194468	Mrs.Neuhauser
699306	314108	Dancer
699307	22912	Menda Mendoza
699308	12759	Camilla Joyt
699308	33415	Kitty Clyde
699308	44841	
699308	52488	Sheila Hepburn
699308	69735	Roslind
699308	105332	Modesty
699308	138245	Emma Gammell
699308	139854	O. Noto San
699308	144615	Tahona
699308	178045	Nymph
699308	186327	Fanutza
699308	213980	
699308	218019	Caroline Carter
699308	224188	Kathlyn Jordan
699308	302925	Jeanette Adair
699308	316329	Bride
699308	331386	Betty Reed
699308	334980	Talapa
699308	341965	Jessie Strong
699308	351232	Diana Barker
699308	359793	Madge Richards
699308	362237	Cissy Smith
699308	362673	Yuri San
699308	364650	Julie
699309	95328	Old Biddy #1
699309	220891	Martha
699309	319050	Lydia
699309	362493	Old Woman at Airport
699310	191653	Grandma
699311	192254	Bathing Suit Model
699312	24476	Cop
699313	78849	Drum Majorette
699313	372328	Drum majorette
699314	311938	Imaginary Blonde
699315	26140	Cookie Factory Worker
699315	89239	
699316	26053	Tina Babbitt
699316	258045	Undetermined Role
699316	275767	Ivy Tappan, Emily's daughter
699317	381451	Singapore Correspondent (2002
699318	215426	Moeder
699319	360251	1st Girl in Casino
699320	400737	Herself - Panelist
699321	297777	Streetwalker #1
699322	118970	Dancer
699323	217648	Guichetière
699323	349488	Soeur Portière
699323	383523	
699324	382864	Boerenvrouw
699325	155227	Specialty Skating
699326	305778	Anesthesiologist
699327	190869	Additional Voice
699328	105535	Maria Geistinger
699328	145508	Susi
699328	178663	Alice Berger
699329	294673	Ümmardaja
699330	226586	
699331	108146	
699332	76252	Herself
699332	391836	
699333	11334	Mrs. Markham
699333	41010	Secretary
699333	54471	Undetermined Role
699333	105077	Messenger
699333	136284	Secretary
699333	138448	Sheriff's Wife
699333	146854	N.S.V. worker
699333	165206	Neva Canendish
699333	175175	
699333	186799	Mary the Switchboard Operator
699333	221170	Girl
699333	223065	Stella Jackson
699333	223811	Miss Markham
699333	230391	Marie
699333	241134	Sarah (Jerry's secretary)
699333	241566	Newstand clerk
699333	245589	Mrs. Dumbrowski
699333	255881	Mrs. Pudge Corliss
699333	267656	Teller
699333	282387	WAC
699333	307518	Blessington's Secretary
699333	309505	Nurse
699333	334754	Young Woman
699333	343120	Designer
699333	367530	Stenographer
699334	15916	Gretchen
699334	91017	Petra
699334	119295	Linda Boyle
699334	136725	Jana
699334	137730	Rita
699334	152759	Daniela
699334	153930	Maike Falkner
699334	153932	Maike Falkner
699334	172213	Esther
699334	189579	Angelika
699334	216119	Pauline's Mother
699334	230207	Christiane und Julia
699334	301034	Karen Siebert
699334	302774	
699334	322534	Annemarie/Angela
699334	325447	Lissy
699334	325449	Lissy
699334	325467	Lissy Pütz
699334	325564	Lissy
699334	325566	Lissy
699334	325716	Lissy
699334	325720	Lissy
699334	325722	Lissy
699334	325780	Lissy Pütz
699334	325791	Lissy
699334	325856	Lissy Pütz
699334	325898	Lissy
699334	325941	Lissy
699334	338412	Uli
699334	352263	Anna-Clara
699334	407324	Various roles (1996)
699335	24447	Barbara (Virgin Mary)
699336	4958	Exotic Dancer
699336	151909	Sister Ann
699337	127279	Reporter
699338	203323	Mannish Woman
699338	228639	
699339	281905	Corn Queen
699339	317354	Dolores
699340	281650	Chica 3ª
699341	76670	Daens' Daughter
699343	265829	Gertie
699344	347705	
699345	9764	Cindy, the Bellydancer
699345	189531	
699345	225121	
699345	288236	
699346	358170	Muse
699347	11791	Gouvernante
699347	101344	Rosalie
699347	211909	Moeder van Stoefke
699347	344226	Treze Buedts
699347	367021	Vrouw van Mulder
699347	373534	
699348	273085	Female Newscaster
699349	103326	Kovarick's Soldiers
699350	103326	2nd Band of Thieves/The Resis
699350	159164	Lieutenant
699351	176684	Journalist #1
699352	127970	Caterina
699353	119133	Charlotte
699354	232798	Sibylles Mutter
699355	80876	Grandma
699356	238311	
699357	134896	
699357	229835	
699357	351354	
699358	160064	
699359	95907	Anna
699359	250798	
699360	61357	
699360	192933	
699361	86989	Gloria
699362	389233	Clara Arango (2000-2003)
699362	393023	Monica Dachardy Leon
699362	412189	Martina Luna/Aurora Luna
699363	386140	
699364	14347	Irène
699364	15250	Hélène
699364	17522	La cliente
699364	18188	
699364	20797	Licina
699364	23535	Tanya
699364	44983	Zelda
699364	57230	La mère de Léa
699364	58285	The Ambassador's Wife
699364	63849	La Fleuriste
699364	68702	Mme Garaudy
699364	70116	Josette
699364	85546	Cookie (La minette)
699364	92043	Danielle
699364	111142	Louise
699364	124608	Death
699364	148635	Francine
699364	156317	The buyer of the restaurant
699364	160068	Mrs. Klotz
699364	167007	
699364	167174	Julie
699364	183735	Agneau
699364	188594	
699364	215313	Marthe
699364	220494	Martha
699364	228562	Yolande
699364	228728	Maria (saloon girl)
699364	231262	Antoinette
699364	234368	
699364	238299	Jenny Linden
699364	240493	Jennifer
699364	241074	Eve Carling
699364	245953	Psychiatrist
699364	249677	Fred
699364	254075	Colette
699364	266136	Miss Lister
699364	268822	Une conceptrice
699364	269518	Madame Maillotte
699364	270334	
699364	270810	Contessa Medioli
699364	282967	Maya
699364	288801	L'imperatore
699364	291559	Flavia Menobo
699364	308121	Shopgirl
699364	315437	Elide
699364	315459	Vicky
699364	322581	Solange
699364	336969	Rita
699364	340384	Evelina
699364	345270	Tanya Lopert
699364	345377	Mary
699364	346773	Une amie de Lucky
699364	350184	Une fille
699364	355806	Julia
699364	356502	Une Consomatrice
699364	358277	Sister Celia
699364	375368	La première dame
699364	377726	English Teacher
699364	403813	Edith
699364	408317	
699365	341156	
699366	2968	Camille
699367	224992	Herself
699368	224992	Herself
699369	55075	
699370	315919	Carmen
699371	68609	Paciente da clínica de aborto
699372	27702	
699373	113673	Lucy
699373	156411	
699374	234022	
699376	355764	
699378	383247	
699379	15072	Mere d'Ali
699380	212059	
699381	132999	
699382	30515	
699383	264284	Moren
699384	4514	
699384	286573	
699385	118090	
699385	386419	Tina
699385	392629	
699385	393286	Irmã Margarida
699385	393876	
699385	396899	Dolores
699385	400445	Marlene
699385	402539	Luzia
699385	403617	
699385	404272	Bentinha
699385	412257	Durvalina
699385	412258	Durvalina
699386	57287	Luísa
699386	70116	
699386	389591	Hostess
699387	402539	Angela
699388	12822	
699389	113208	
699390	135136	
699390	202129	
699392	43756	Roberta (segment "Primeiro de
699392	113023	
699393	168317	
699393	237214	
699394	386142	Carol
699394	387694	Maria Isabel d'Alcântara Bras
699394	390737	
699394	396610	Rosa (1997)
699394	396810	Creuza
699394	403118	Suzane
699394	403171	Prof. Lu
699394	408944	Olívia
699395	529	
699395	62713	
699395	101442	
699395	225913	
699395	236380	
699395	344799	
699396	1449	Herself
699396	1674	Herself
699396	2539	Herself (performer, as TLC)
699396	2721	Herself
699396	151126	Sex as a Weapon
699396	221476	Herself
699396	221479	Herself
699396	385450	Hostess
699397	12130	
699398	103857	Esteticista
699398	276294	Professora
699399	196046	
699399	341702	
699400	293332	
699401	269570	
699402	55075	
699403	377281	
699404	17391	
699404	68609	
699405	411072	
699406	75485	
699407	407906	
699408	110211	
699409	343634	
699409	385629	Jandira
699409	409426	
699410	12931	
699410	14690	
699410	44218	
699410	85514	
699410	104488	Vedete
699410	234644	
699410	252335	Ismênia
699410	268993	
699410	338644	
699410	340433	
699410	379822	Leonor
699410	383269	Carmem
699410	384266	Fada
699410	390506	
699410	390507	
699410	395405	
699410	397440	Clara
699410	397787	Dulce
699410	398548	
699410	399489	
699410	401197	
699410	404801	
699410	408509	
699410	409914	
699410	411579	Condesa
699411	241249	Extra
699412	19451	
699414	89402	
699414	110159	
699414	205701	
699414	341473	
699415	58812	Maid
699416	70116	
699417	387640	
699418	344778	
699419	395865	
699420	400289	Luzia
699420	402579	
699421	15240	
699421	33152	
699421	43666	
699421	70683	Lilith
699421	79184	
699421	116641	
699421	134179	Mulheres de Rua
699421	183463	
699421	210693	
699421	308748	
699421	308754	
699421	377095	
699421	386727	
699421	395302	Glória
699421	396610	Laura (1996)
699421	398501	Leila Gonçalves
699421	399766	Lia
699421	411932	Marina
699422	199576	Cliente 2
699423	67060	
699424	58433	
699424	86899	
699424	202181	
699424	209004	
699424	233349	
699424	243783	
699425	364431	Mexican Woman
699426	20188	Dancers
699427	380345	Nayda (1998-2002)
699428	406103	Atoua
699429	77292	Ruby
699429	96978	Samantha
699429	203696	Harper Lee
699429	299798	Club Girl
699429	379288	Elissa
699429	401894	Poppita 'Poppy' Fresh (1999-2
699430	387946	Contestant (2003)
699431	148420	Alma
699432	89972	
699433	367792	
699434	196872	Bonnie Lopez
699434	318866	Nice Girl
699434	398337	Herself (2002-)
699436	273698	Cynthia Douglas
699437	304863	Foxy Student
699438	121552	Hunter Jaspers
699439	383780	Janice Welch
699440	301984	Passagère bus
699442	149237	Mme Marco
699443	68690	Little Girl
699444	80495	'Bebe' Boone
699445	364300	Herself
699446	361486	
699447	284674	
699448	74354	Enfermera II
699448	244087	
699449	253665	
699450	264158	Cheerleader Fontana
699450	302769	Younger Rose
699451	170678	
699452	176465	Ericka
699453	158517	Edith Madison
699454	20625	Extra
699454	212196	Mexican Girl
699456	10996	
699457	49455	Bikini Girl
699458	38972	Model
699459	52577	Mercedes (sequence "Carmen")
699462	10996	
699463	293105	Puerto Rican Woman
699464	76952	Herself (interviewed)
699465	132912	Pedestrian
699466	175191	Maggie
699467	100106	Waitress
699468	263860	Margarethe
699469	134395	Indian Girl
699469	197373	Sofia's Mother
699469	362493	Grandma Avila
699470	132247	Girl A
699471	162779	Estefania
699471	383470	Melani Santuario
699471	384507	Estefania
699471	392971	Máryuri Briceño
699471	393839	
699471	396902	Andreina Reyes
699471	397862	Esmeralda
699471	398471	Cordelia Araujo Ramírez
699471	400942	Alambrito
699472	247359	Mexican Flower Girl
699473	60274	Circus acrobat #1
699474	116502	
699475	38972	Brunette
699475	110108	La Fiancée de Max
699475	156532	La réceptionniste
699475	200965	Louise
699475	278911	
699475	287598	Cindy
699475	345233	
699475	351424	Infirmière
699476	341454	
699477	364431	Mexican Woman
699478	18840	
699478	18842	
699478	30859	
699478	30862	
699478	50995	
699478	103654	
699478	137588	
699478	173308	
699478	242695	
699478	300675	
699478	324599	
699478	325369	
699479	410726	On-Camera Meteorologist
699480	694	Herself/Host
699480	846	Herself - #55: Thing They Sho
699480	1674	Herself
699480	1707	Herself - Performer
699480	1743	Herself
699480	2009	Herself - Performer
699480	2043	Herself
699480	2719	Herself
699480	2721	Herself
699480	2894	Herself
699480	3021	Herself
699480	3044	Herself
699480	3046	Herself - Presenter
699480	3053	Herself - Presenter: Best Art
699480	13784	Herself
699480	13854	
699480	15377	Terri Flores
699480	16668	Sharon Pogue
699480	18441	Azteca
699480	20213	Herself
699480	41148	Gabriela
699480	57735	Catherine Deane
699480	96555	Herself
699480	101573	Slim Hiller
699480	110517	Herself
699480	120665	Herself
699480	127627	Ricki
699480	142600	Herself
699480	161279	Herself
699480	164364	Miss Marquez
699480	165506	Herself/dancer
699480	166706	Herself
699480	166939	Gertrude Steiney
699480	184232	Booker
699480	185915	Herself
699480	200864	Marisa Ventura
699480	208475	Herself (#5) (Interviewee)
699480	212713	Herself
699480	218017	Grace Santiago
699480	218403	Charlotte "Charlie" Honeywell
699480	219173	Herself
699480	221422	Herself
699480	221424	Herself
699480	221426	Herself
699480	221434	Herself
699480	221462	Herself
699480	221480	Herself
699480	221481	Herself - Performer
699480	221482	Herself
699480	223871	Maria Sanchez, in the '20s
699480	224106	Myra
699480	225774	Herself
699480	231536	Herself
699480	234150	Herself
699480	236924	Rosie Romero
699480	245103	Karen Sisco
699480	282702	Performer
699480	293744	Selena Quintanilla
699480	297181	Paulina
699480	317594	Herself
699480	326662	Herself
699480	340074	Herself
699480	343864	Grace McKenna
699480	346918	Jean Gilkyson
699480	348900	Herself
699480	352985	Herself
699480	360713	Maria 'Mary' Fiore
699480	392084	Melinda Lopez
699480	392686	Herself (Fly Girl)
699480	404635	Melinda Lopez
699480	406037	Lucille
699481	32420	Geena Toblerone
699481	32987	Mandy Mounds
699483	347303	
699484	45854	V.O. Phone
699485	273423	Veronica
699486	192948	
699487	29240	
699487	32559	
699487	247605	
699487	284675	
699487	285402	Purita
699488	204354	Miriam Moreno
699489	13843	Mitchell's wife
699489	160254	Cora
699490	384507	Mini Animadora (1998)
699490	403904	Hostess for the 'Miss Teen Ti
699490	406972	Hostess
699491	255170	
699492	50502	
699492	62495	
699492	291024	
699494	66744	
699495	205166	Jack's Girlfriend
699496	32052	Dancer
699496	203358	Tony Clifton Dancer
699497	335258	Stripper
699498	222001	
699499	80619	Barmaid
699500	205639	Cécile
699500	208224	Sophie
699500	255589	
699500	392364	Adeline
699500	397827	
699500	406030	Marion de Boissière (1998-200
699500	409750	Manuela
699502	236368	Miss Mexico
699502	305413	Girl
699504	207047	Young Koala
699505	384507	
699506	12795	
699506	31369	Anita
699506	31420	
699506	66366	Sioni
699506	95188	Miranda
699506	103446	
699506	142569	
699506	152170	
699506	153255	
699506	162641	
699506	162759	Isla
699506	169587	Milaka
699506	171867	
699506	184803	Ming Ming
699506	204317	Diana
699506	207047	Bashia
699506	215836	Jessie
699506	216112	
699506	217371	
699506	295713	
699506	301814	Tonya
699506	319343	
699506	368320	
699507	113259	
699508	45899	Extra: neighbourhood
699509	304863	Shannon
699510	231118	Flight Attendant
699511	18544	Party Girl
699511	188453	Pepper Girl
699511	295853	Herself
699511	330057	Cuban Dancer
699512	30463	Rosie
699512	70428	Red-Lady Craps Player
699513	397022	Cristina Cortés
699514	67847	
699515	37583	
699515	77073	
699515	211778	
699516	104079	
699517	397555	Hostess
699518	318251	
699519	12317	
699519	57929	Jazz Class Teacher
699519	60164	Theresa
699519	63559	Loretta
699519	91959	Nelly Gardato
699519	117230	Mary Ayala
699519	161417	Wanda Orozco
699519	166986	Martha
699519	200864	Veronica Ventura
699519	217535	D.A. White
699519	223904	Herself
699519	232017	Herself
699519	273920	Irene
699519	277090	Aldonza
699519	302208	Dr. Gail Gitterman
699519	310608	Herself the Elf
699519	335530	Mrs. Vitale
699519	388559	Rita
699519	392704	
699519	394246	Rosa Villanueva, RN
699519	406300	
699520	148552	Mexican Girl
699520	212196	Mexican Child
699520	277899	Girl
699520	280636	Dancer
699520	366947	Mexican girl
699521	28387	
699521	31454	
699521	124035	
699521	215396	
699521	234966	
699521	246551	
699521	254795	
699521	300949	
699521	320368	
699522	45854	Susan
699523	5056	Theater Clerk
699523	20571	Sybille
699523	40813	Sophia
699523	83013	Ophelia Ramos
699523	108306	
699523	122768	Gabriela
699523	185575	Rita
699523	197373	Cindy
699523	212524	Mousie
699523	223871	Lena, Chucho's Girlfriend
699523	283590	Carmela
699523	293744	Deborah
699523	300153	Gina
699523	307624	Agela
699523	316513	Tanya
699523	324646	Luz
699523	337814	Dreamer
699523	380000	Laura
699524	108543	Enfant de Tranche Montagne
699525	74700	Nila/Indian Woman
699525	106376	Rosa Rodrigues
699526	6187	HR Hack
699527	289024	Les Presages Dancer
699528	29614	Patricia Dubois-Dumas
699528	102397	Queen Omphale, of Lidia
699528	102615	Miriam
699528	112675	Carmen di Montélimar
699528	218935	
699528	322713	Florence
699529	1145	TV Newscaster
699529	192100	Herself - Anchorwoman
699529	402137	Herself - Anchorwoman (1992-)
699530	243345	
699531	261976	Body Doubling
699532	336341	
699533	195050	Baker's wife
699534	293082	Student in Acting Class
699535	95556	
699536	101216	
699538	64912	Bag Lady & Voice of Divine
699538	409491	Denise
699539	184181	Diding
699540	147982	Rachel
699541	39142	Carmela
699541	44432	Dolores
699541	46274	Linda
699541	49812	
699541	50007	Ilzamar
699541	64417	Hilga
699541	65501	Venezuelan Telephonist
699541	72691	Alcira Zavala
699541	81750	Belinda Chacon
699541	89688	Debi Alejandro
699541	101924	Laura
699541	102906	Rosie (segment "Let's Talk Ab
699541	105807	Marla Soto
699541	154271	Molly Corn
699541	190572	Pilar
699541	195327	Anna
699541	259284	Lydia Chacon
699541	299649	
699541	305362	Jenny
699541	315251	Manuela Reyes
699541	336458	Additional Voices
699541	341812	Katie
699541	360670	Pregnant Woman
699541	363492	Penny
699541	365220	
699541	387299	Aunt Rosa
699541	393828	Miss Nunez
699541	395601	
699542	80689	Cyth, Cyth Captain, Human Ser
699543	62302	Luisana Maza
699543	102947	Mía
699543	384119	Luisana Maza (1999-2000)
699543	384120	Luisana Maza
699543	401152	Kathy/Martina
699543	403021	Mía Colucci
699543	404712	Camila
699544	73214	Manfred Hauptmann
699545	239116	
699545	325584	Ingeborg Ahlfeld
699545	408292	Tilly
699546	73214	Manfred Hauptmann
699547	73214	Manfred Hauptmann
699548	4944	Gwen Christopher
699548	140798	Joanne Carlton-Gamble
699548	178691	Ms. Hall
699548	265873	Rose Highsmith
699548	378955	Charmin Cunningham (1986-1987
699548	386603	Missy Roberts Dancy (1978-198
699548	400236	Samantha 'Sam' Vernon Buchana
699548	404697	Barbara Mack
699549	282156	Herself
699550	78903	Dancer
699550	293793	Herself - Storyteller
699551	99638	
699551	255513	Keittäjä
699552	257746	Helene Wolfe
699553	99251	Sausage seller
699554	99251	Chambermaid Renata
699554	308448	Herself
699555	35052	
699556	44416	Fiona
699557	62298	
699557	212485	
699557	379903	
699557	380113	
699557	385378	
699557	387871	
699557	396131	
699557	398489	
699557	402158	
699557	405396	
699557	408726	
699558	49443	
699558	52760	
699558	63688	
699558	301121	
699559	255424	Bob's Mother
699560	219830	Cassiera
699561	377174	
699562	312541	Prima Ballerina
699563	336759	
699564	200782	
699565	85992	Jane Woods
699565	381963	Herself (featured singer)
699565	387018	Herself/panelist
699565	389768	Regular Performer
699565	404920	
699566	346710	
699567	10323	
699568	37690	Party Girl #1
699569	20625	Featured player
699569	41397	Jeanne Perry
699569	197684	Evie Dee
699569	309204	
699570	70624	Terrorista 7
699571	293770	Mel
699571	347180	Hotel Waitress
699572	141282	Carol as a child
699573	55094	Yolanda
699575	64660	Vis Versa
699576	366936	Herself
699577	72311	Olga
699577	232385	Suzanne Marigny
699577	245625	Elizabeth's Assistant
699578	51442	Vovonne
699578	186127	Vovonne
699578	231327	Lucille
699578	288948	Colette Plamondon
699578	401320	Vovonne
699578	410252	Soeur Jacinthe Lacroix
699579	198847	Mademoiselle Marguenon
699580	15108	Hélène
699580	51442	Mme Tardif
699580	148384	Karen
699580	156329	Francine
699580	157716	Debra Turner
699580	161765	First Lover
699580	184348	
699580	194681	Beth Barker
699580	202701	Alice Malenfant
699580	202727	Pina Lunetti
699580	238426	Alice Tremblay
699580	268871	
699580	301256	Miss Morstan
699580	313562	Italasia Reporter
699580	364165	Rebecca Reece
699580	378705	Michèle
699580	384042	Michèle Dussault
699580	389137	Anne Fortier
699580	400139	Denise Deslongchamps
699580	400141	Denise Deslongchamps
699580	409670	Sylvie Belanger
699580	409677	Helene Cote
699581	133519	
699582	47193	Bessie Bolton
699582	279321	Belle Larrimore
699583	313915	
699583	354233	
699584	13050	
699584	29713	Margarida
699584	54103	Natália's friend
699584	99662	Dona Helena
699584	124241	Ninon Ervilha
699584	162118	
699584	248046	
699584	265397	
699584	302535	
699584	380081	Frosina
699584	384117	Beata
699584	387799	Sara Rebeca
699585	2107	Guilaine
699585	53245	Madeleine Breban
699585	63681	La préposée poste
699585	136312	La barmaid
699585	202421	Tante Anne
699585	205617	Jacqueline
699585	238453	
699585	251532	Une jeune fille dans la grang
699585	281960	L'assistante de Me Bloch
699585	309327	
699585	343647	Marthe
699585	345431	
699585	346720	Germaine Depreux
699585	346756	Arlette
699585	353898	Solange de Boisancourt
699585	353958	Annie
699585	379808	Mlle Moreau
699585	389021	Geneviève
699585	389271	Evelyne Larpin (segment "Mich
699585	392602	
699585	392750	Christine
699585	393397	
699585	393487	Marie-Thérèse du Courseau
699585	396366	Marthe (segment "Monsieur Bia
699585	401939	Margot
699585	402528	Simone Keller
699585	410139	
699586	14712	
699586	56501	
699586	74352	Vera
699586	221709	
699586	284334	
699586	301164	
699586	317693	
699586	341654	
699586	350255	
699587	99017	Die Autsenherin
699587	375095	Ilona
699588	397886	Herself
699589	55756	Marowska
699589	117941	Véra
699589	349899	
699590	118769	Samaritana
699591	353472	
699592	78997	Gail Pauling
699593	108289	
699594	149457	Marguerite
699595	69933	Elise
699596	88560	The Wife
699596	115890	Nurse
699597	166763	Bettina
699598	150461	Ronnie
699599	138895	Flaky
699600	161437	
699600	214624	
699600	296150	
699601	148127	
699602	266100	Carmela (the dancer)
699603	14649	
699604	320215	
699605	16830	
699606	162134	Kachina
699607	104235	
699607	277235	
699608	268195	Karja
699608	289906	Karja
699609	1859	
699609	71992	Laura
699609	104835	
699609	222378	
699609	383138	Corina
699609	387187	Trini
699609	394017	Ángela Guerrero
699609	398661	Martha 'Martita'
699609	402350	Leticia Irigoyen
699610	125682	
699610	337252	
699611	347534	Amy
699612	35655	Dead Dreamer
699613	259461	Antonios Mutter
699613	294802	Helen Kutoski
699613	387385	Kriminalraetin Katharina Esch
699614	157444	Karen Oliveria
699615	163652	Bird Fancier
699616	41431	Ellie
699617	196147	Beatrice
699617	252299	George Hemingway 'Georgie' Ba
699618	43693	Mme Blanchard
699618	101247	
699618	135991	Marie
699618	164187	Mamou
699618	193444	Mme. Begassat
699618	264525	Solange
699618	268420	Clémentine
699618	328406	La grand-mère
699618	345557	Léonie
699618	346566	La réligieuse de la Morgue
699618	353852	Ginette
699618	377014	
699618	384290	Fidèle
699619	308664	Helen's Dresser
699620	9128	Stewardess #2
699621	35143	Nurse
699621	89321	Amina's Mother
699622	191420	Cindy
699623	69406	Virginia Marcus (Psycho-Cat)
699624	33398	Mandy
699625	142245	
699625	282204	Kathi
699625	312065	Schulze
699626	209644	Blanche Blake
699627	391835	Talking head/soundbites (segm
699628	81297	Woman
699628	206355	Fitter
699628	231131	
699628	309578	
699629	154087	
699630	7948	Mrs. Parchevenko
699630	224154	Sister Bernadette
699630	301945	Matron
699630	399816	Mrs. Buxton (1977)
699630	408664	Miss Carter
699630	411245	Mrs. Pearl (episode 8: Tarflo
699631	5873	Ann Longman
699631	80656	Miss Ashenden
699631	88881	New matron
699631	111911	Galaxy Rose
699631	158785	Diane Graydon
699631	165447	Blanche Ingram
699631	192570	Coral Wentworth
699631	204245	Grace
699631	216032	Lady Dorothea
699631	231762	Helena Lomax
699631	251278	
699631	264489	
699631	278478	Christina
699631	316213	Paula Wild
699631	324142	Diana
699631	359273	Street Girl
699631	384783	Kay Livingstone/Babbage
699631	385299	Angela Kelly (1975)
699631	386604	Dr. Liz MacNiel
699631	408960	'Steve' Thornton (1965-66, 19
699632	236155	Vanessa Snow
699633	86017	Nurse
699633	90792	Servant
699633	136194	
699633	188572	Bill Collector
699633	293164	
699633	295320	Tiffany
699633	307975	Lula
699633	379716	Maureen Duvall (1999)
699633	389858	Antoinette (1996)
699633	401930	Graceland 'Grace' Reese Sulli
699633	411802	Gabrielle (2000)/Carol Chen (
699634	101427	
699634	141625	
699634	254554	
699634	329408	Ellen
699634	361261	Katherine Willoughby
699635	24447	Demonstrator
699636	47292	Lil Rice
699636	99451	
699636	128199	Wardrobe woman at party
699636	142666	Mrs. Foster
699636	241402	Liska
699636	286067	
699636	315869	Blowsy Mother
699637	5017	Betty Marlowe
699637	7111	Janet Thompson
699637	9035	Jennifer White
699637	20115	Marla
699637	44248	Janet Barry
699637	45533	Mrs. Martha Meade
699637	57492	Herself
699637	58463	Rita McKelvey
699637	92158	Valerie
699637	103283	Valarie Hale
699637	115256	Justine (story 1)
699637	118041	June
699637	128894	Nan
699637	144449	Mary Parker
699637	144673	Joan Peterson
699637	144813	Arlene Arlington
699637	168669	Jane
699637	194984	Ruth Gordon
699637	207191	Gale Trevett/Diablo Kid
699637	212200	Sheila Barton
699637	213045	Babs
699637	215738	Mrs. Robertson
699637	218780	Patsy Clark
699637	230753	Grace Voiselle
699637	240437	Florence Cole
699637	256593	Mrs. Mason
699637	260870	Kay Walker
699637	273615	Jane Dudley
699637	278080	Mary Winslow
699637	297478	Virginia Allen
699637	298594	Nancy Partridge
699637	300892	
699637	315301	Mary Thomas
699637	316132	Gina Crane, alias of Jenny Hd
699637	331523	Queen Anne
699637	332045	
699637	333149	Yvette Lacour
699637	350069	
699637	396559	Mrs. Kathy Williams 'Clancy' 
699637	396560	Kathy 'Clancy' Williams (1970
699637	407160	Joyce Holden
699638	149261	Mary
699638	175175	WAC Mary
699638	285654	Office Worker
699638	349983	Julia Gaylord
699638	360834	
699639	288682	Herself
699640	360153	Lizzie
699641	247935	
699641	257214	
699641	268436	Aïcha
699641	347757	
699641	377279	
699641	377916	
699642	110363	Clarissa Phelps
699642	221335	Mrs. Wiggs
699643	101427	Girl at Dance
699644	790	
699644	2217	
699644	6722	Herself
699644	11358	
699644	11457	Herself
699644	29889	
699644	29948	
699644	37145	
699644	60970	
699644	83962	
699644	87322	
699644	91832	
699644	106624	
699644	127641	
699644	147723	
699644	150949	
699644	153247	
699644	161017	
699644	165923	
699644	165925	
699644	165926	
699644	168069	
699644	186129	
699644	195273	
699644	246637	
699644	260816	Herself
699644	264843	
699644	266674	
699644	271300	
699644	294209	
699644	296101	
699644	301306	
699644	319460	Model
699644	332885	
699644	336107	
699644	336708	
699644	355033	
699645	273429	Herself/Seattle
699645	273436	Hostess
699645	402993	Herself/Seattle (1998)
699645	403001	Herself/Real Worlders
699646	52580	Woman At Cleaners
699646	206149	Gail
699647	220606	Mrs. Ames
699648	80699	Witch #3
699648	84409	Female Translator
699648	92514	Marie
699648	276645	Woman in Museum
699648	385824	Margaret Donovan (1998)/Mary 
699649	234890	Cabaret Girl
699650	42438	Candi
699650	276601	Susan Nichols
699650	337399	Daughter
699651	191575	Woods Nymph
699653	126606	SO19 Officer
699654	166087	
699655	124240	Paula Nélson
699656	68097	Lynne Hobbs
699656	96872	Lynne Hobbs
699656	107042	Sally
699656	165289	Simone
699656	238649	Baggy's Ex 4
699656	330957	Kate
699656	372505	Cora
699656	387247	Lynne Slater/Hobbs (2000-2004
699656	399379	Dawn
699656	409020	Michelle Passmore
699657	16686	Mrs. Corby Gresham
699657	73595	Witch
699657	90970	
699657	92445	Spiritualist
699657	113903	Mrs. Bertha Littlejohn
699657	120455	
699657	122242	Mrs. Jefferson (Other Player)
699657	151584	Agnes
699657	194433	
699657	209242	Old Woman
699657	221604	
699657	279726	
699657	303989	Margaret
699657	325254	Widow
699657	350432	Kate McGuinness
699657	390606	Betty Matthews (1954-1955)
699657	400239	Judith Richardson (1950)
699657	401486	Various characters
699658	32711	Herself
699658	99835	
699659	331464	Adult Kate
699660	30756	Bibliothecaresse
699663	122191	
699663	139157	
699663	193772	
699663	243121	
699663	274002	
699663	364261	
699664	150098	
699664	332739	
699664	332740	
699665	687	Herself
699665	21447	Nicole Grace
699665	29100	Angel Austin
699665	39702	Chameleon
699665	40187	Racquel
699665	41227	Wendy Monroe
699665	43878	Shonda
699665	57936	Herself
699665	58162	Kathleen
699665	62786	Ms. Sultry
699665	63424	Sam
699665	74259	Wanda Woodward
699665	75189	Herself
699665	76249	Lena Brant
699665	80523	Miranda Prescott
699665	81338	Lady Rachel Cawdor
699665	82043	Commander Kyoto
699665	85767	
699665	85769	
699665	92842	Herself
699665	98845	
699665	98846	Suzy/Jane
699665	98852	Nikki
699665	102115	Amanda Foster
699665	106266	Elizabeth
699665	109066	Max
699665	109449	Dixie Love
699665	118312	Pestilence
699665	118563	Round Girl
699665	121497	Lindsay Lord
699665	147655	Herself
699665	148192	Lorna
699665	150099	
699665	150282	
699665	152279	
699665	155208	Ellen
699665	160785	Vickie
699665	184976	Barbara Fleck
699665	204204	Actress
699665	208993	Waitress
699665	222639	Diane
699665	235471	Nadine Story
699665	236135	Valley Chick #1
699665	236995	Miss Tress
699665	237781	
699665	258235	Norma
699665	260092	Daphne
699665	260095	
699665	260713	
699665	272935	Gina Clayton
699665	278933	Laura
699665	294798	Carl's Date
699665	296369	Miss Georgia (segment "Gimme 
699665	299451	Lindsay Roberts
699665	314962	Kelly Bekins
699665	321011	
699665	321012	
699665	321016	(segment "Student Bodies")
699665	330217	Mira
699665	333340	Jackie
699665	335310	Nancy Voss
699665	337290	
699665	337291	Herself
699665	337292	Herself
699665	337344	Herself
699665	340568	Traci
699665	346361	Anna
699665	355212	Media Zone singer
699665	359457	Herself
699665	372343	Laura Engles
699665	372443	
699665	372878	Herself
699665	388810	Jordan Radcliffe (2000-2001)
699665	392423	Herself
699665	402270	Sharon Lesher (Jill of All Tr
699665	409385	Herself (Special Guest)
699667	103297	Eda
699668	219933	Mary (Gardener)/Old Woman In 
699670	100458	
699670	106205	Madame Duval
699670	254094	Woman on TV
699670	279250	Nun in Convent
699671	21212	Stacy
699671	55411	Una impiega della manifattura
699671	60340	
699671	82917	Giulietta
699671	97170	
699671	99245	Cristina
699671	99873	Maria Bordoni
699671	112674	Neala
699671	117865	Maria Dovizi da Bibbiena
699671	127888	Elena Vandor
699671	131195	Marina
699671	133111	
699671	155669	
699671	223119	Elena Landi
699671	227870	
699671	273154	Diana Di Saint Vallier
699671	276981	
699671	279902	
699671	289446	Un' ancella
699671	301380	Lulù
699671	308809	
699671	315445	
699671	344572	Neala
699673	273119	
699674	7958	Malay Dancer
699674	12070	Doctora
699674	52157	Señora Hardy
699674	67806	Mrs. Laurel
699674	103961	
699674	133633	
699674	170089	
699674	259420	Señora Hardy
699674	270698	Sra. Hardy
699674	296491	
699674	353617	Mrs. Laurel
699674	376699	
699675	20625	Extra
699675	205739	Cabaret Entertainer
699676	158920	Newscaster
699677	347652	
699678	256153	
699679	373351	Studentka
699680	27667	Tonya Krugman
699680	33958	Kris
699680	119233	Julia
699682	373577	Fiona
699683	151730	Representative, Telephone
699684	91973	Terroriste
699686	25746	
699687	81057	Jill
699687	301701	Dr. Springs
699690	31643	Donna
699690	37674	Donna
699690	57666	
699690	147829	Herself
699690	222931	Donna
699690	246861	Vikki
699690	294742	Susan
699690	397776	Regular (1966)
699690	405149	Regular (1964-1966)
699691	204706	
699691	281405	
699691	364019	
699693	19793	M'in Gorad
699693	48924	Buffy Summers
699693	48925	Buffy Summers, Anya
699693	54994	Elizabeth Santoz
699693	227335	Police officer
699694	245477	Herself
699695	194468	
699696	59488	
699698	144384	Holly
699698	208478	Model
699701	20916	Lila
699702	330548	Judith Grant
699703	29970	
699704	32346	Backing Vocalist - Exposé
699704	296875	Cobalt Club Singer
699705	2257	Herself - Presenter: Best Dir
699705	2326	Herself - Presenter: Best Act
699705	2364	Herself - recalling her award
699705	2761	Herself
699705	2909	Herself
699705	3027	Herself - Presenter: Best For
699705	3077	Herself/presenter
699705	3864	Herself
699705	7645	Barbara Lama
699705	8834	Aida
699705	16790	Angela Kincaid
699705	17483	Night club assistant
699705	19538	Yasmin Azir
699705	23565	Honoria
699705	33494	Carmela
699705	35439	Olivia
699705	36459	Hermana Germana
699705	39760	Rose Bianco
699705	42597	Zoe (segment "La riffa")
699705	45477	Phaedra
699705	46515	Princess Olympia
699705	46893	Anna Jesson
699705	51375	Isabella Candeloro
699705	55545	Sisina
699705	59625	Herself
699705	63740	Marisa
699705	64348	Cesira
699705	64349	Cesira
699705	71666	Natascha
699705	71897	Marianna Miraldo
699705	72069	Lisa Macklin
699705	75267	Extra
699705	83839	Anna Cabot
699705	89853	Ines
699705	90667	Nives Mongolini
699705	94690	Cleopatra/Nisca
699705	97726	Herself
699705	98653	Jimena
699705	102303	Odalisca
699705	107807	Lucilla
699705	109980	Titina Paterno
699705	110177	Leonora
699705	113956	Adele Tasca
699705	117970	Antonietta Fallari
699705	118771	Francesca Montorsi
699705	127938	Antonietta
699705	127982	Anna
699705	128071	Giovanna
699705	134886	Maria Ragetti
699705	142508	Angela Rossini
699705	147841	
699705	151173	Cinzia Zaccardi
699705	155809	Adelina Sbaratti/Anna Molteni
699705	162066	Segretaria del Dittatore
699705	163356	Lucia Curcio
699705	169974	Judith
699705	175813	Stella
699705	183735	Lady L/Louise
699705	186863	A girl in the boardinghouse
699705	187323	Dita
699705	191306	
699705	195613	Herself
699705	198051	Herself
699705	199383	Madame Sans-Gene
699705	200540	
699705	203295	Aldonza/Dulcinea
699705	207961	Filumena Marturano
699705	212716	Herself
699705	213797	Extra
699705	214167	Epifania Parerga
699705	215340	Gemma
699705	217105	Valeria Billi
699705	219526	Maddalena Ciarrapico
699705	235708	Herself
699705	242721	Nora
699705	243693	Sofia (Pizze a credito segmen
699705	243950	Herself
699705	246427	Ballerinetta
699705	246450	
699705	247515	Donna Sofia
699705	251609	Lina Stroppiani
699705	252011	
699705	252550	
699705	266419	Isabella de la Fontaine
699705	267309	Pupa
699705	268897	Aurora
699705	269638	Maria Lojacono
699705	270025	Lygia's Slave
699705	284829	Rosa Priore
699705	293324	Agnese
699705	293451	Ragazza rapita
699705	294623	Johanna
699705	300187	Herself
699705	302433	Herself
699705	303574	Herself
699705	307073	
699705	307473	Maman Lévy
699705	309011	Herself
699705	309012	Herself/Romilda Villani
699705	309015	Herself
699705	327452	The girl
699705	329446	Kay
699705	336614	Una tarzanide
699705	338369	Elvira
699705	352135	Teresa Leoni
699705	353162	Adriana de Mauro
699705	355485	Herself
699705	356961	Extra
699705	366833	Herself - Hostess
699705	377574	
699705	389141	Lucia
699705	395798	Teresa Innocente
699707	5074	
699707	9197	
699707	13264	
699707	13265	
699707	13278	
699707	13279	
699707	13280	
699707	13311	
699707	13399	
699707	13401	
699707	13866	
699707	19825	
699707	23466	
699707	26785	
699707	26911	
699707	26940	
699707	26944	
699707	26945	
699707	26983	
699707	31217	
699707	31880	Herself
699707	34310	
699707	34758	
699707	34760	
699707	34780	
699707	34817	
699707	36882	
699707	36928	
699707	36932	
699707	37194	
699707	37197	
699707	37198	
699707	37200	
699707	37203	
699707	37425	
699707	37428	
699707	37450	
699707	37505	
699707	41034	Psychiatric patient
699707	43501	
699707	45013	
699707	45078	
699707	45279	
699707	46341	
699707	48469	
699707	49454	
699707	49500	
699707	52313	
699707	53272	
699707	56934	
699707	57123	
699707	57124	
699707	66114	
699707	70176	
699707	71872	
699707	71873	
699707	75191	
699707	81737	
699707	81825	
699707	88886	
699707	89357	
699707	91632	
699707	95148	
699707	97504	
699707	100956	
699707	101017	
699707	101028	
699707	102757	
699707	102817	
699707	102821	Herself
699707	102823	
699707	102824	Herself
699707	109955	
699707	109956	
699707	110554	
699707	115059	
699707	116211	
699707	121834	
699707	127827	
699707	128729	
699707	128802	
699707	131628	
699707	132301	
699707	132302	
699707	149106	
699707	149672	
699707	150063	
699707	150151	
699707	150410	
699707	154444	
699707	178117	
699707	183302	
699707	183381	
699707	186462	
699707	186511	
699707	187103	
699707	188078	
699707	189067	
699707	189470	
699707	192227	
699707	196554	
699707	199234	
699707	201574	
699707	213220	
699707	218616	
699707	218618	
699707	219151	
699707	219199	
699707	220178	
699707	232783	
699707	237712	
699707	238255	
699707	244377	
699707	252977	
699707	260725	
699707	270439	
699707	271722	Herself
699707	288677	
699707	294305	
699707	295680	
699707	295795	
699707	295927	
699707	296061	
699707	302496	
699707	306605	
699707	309217	
699707	313214	
699707	313245	
699707	313690	
699707	316634	
699707	319458	
699707	321160	Herself
699707	321487	
699707	323199	
699707	325268	
699707	327619	
699707	327622	
699707	327781	
699707	330859	
699707	332450	
699707	333829	
699707	333904	
699707	338034	
699707	339767	
699707	339772	
699707	339774	
699707	342492	
699707	342550	
699707	348369	Herself
699707	353720	Diane
699707	355984	
699707	365494	
699707	366729	
699707	369902	
699708	103282	
699708	125814	Jewelry Girl
699708	173132	
699709	101864	
699709	259327	Edith
699710	21681	Elena Palmer
699710	148035	
699710	148158	
699710	207754	
699710	317668	
699711	18657	Female Prison Guard
699711	183510	Soap Opera Woman
699711	293905	A Estrangeira
699711	356614	Carteirista
699712	249301	
699713	55906	
699713	332460	
699713	344871	
699714	18872	
699714	90534	
699714	160611	
699714	353659	
699715	31425	
699715	37147	
699715	49041	
699715	75382	
699715	76814	Esperanza
699715	153269	Sonya
699715	158618	
699715	172305	
699715	172309	Consuelo Duran/Mamay
699715	173631	
699715	181774	
699715	190695	
699715	191329	Babaing Lawin (Hawk Woman)
699715	197424	
699715	202353	
699715	213531	
699715	223936	
699715	232976	
699715	234016	
699715	243177	
699715	243712	Nena Ojeda
699715	293401	Mrs. Librada
699715	296553	
699715	303246	
699715	325241	Maria
699715	334241	Raffy's mother
699715	353635	
699715	358511	
699715	359143	
699715	400738	Doña Benita Buenavista
699716	226613	
699716	281765	
699716	344200	
699717	214238	
699718	106723	Miriam
699719	34575	Maruxa
699719	71457	Lola
699719	73063	
699719	121697	
699719	128988	Castaña
699719	236014	Lucía
699719	266445	Madre
699720	178140	Fantasy girl
699721	70537	Michelle
699721	80660	Prostitute
699721	196328	Art Pro #1
699721	363982	TV Interviewer
699721	382130	Various Characters
699723	47914	Chandler Academy Student
699724	324483	Woman Opening Door
699725	18152	
699725	163038	Ljecnica iz hitne
699725	193186	
699725	233253	
699725	241009	
699725	242951	
699725	295874	(segment Pice)
699726	180040	
699726	198231	Zdena
699727	74395	
699728	380430	
699729	378396	
699729	378432	Carmen Beltrán
699730	117468	Aerial Phenomenon Research Or
699731	287128	Connie
699732	63954	Joanna
699732	309456	Télephoniste #1
699732	405528	Sophie
699733	249461	
699734	55225	
699735	91643	Criela
699736	13003	Mayor's fiancee
699736	23065	Laura
699736	50147	Purita Pérez Pérez
699736	74646	Lola
699736	102241	Sargento Mulligan
699736	103116	
699736	104060	Claudia
699736	104063	Martirio
699736	119232	
699736	137026	
699736	150548	Primera vedette
699736	204642	Alicia
699736	205200	Gloria
699736	221970	Sibil
699736	233344	Patro
699736	242670	
699736	249671	Benilde
699736	327923	Lourdes
699736	370156	Adela
699736	381216	Asunción
699736	382418	La Bombi (1986-1987)
699736	386677	
699736	404975	Aurelia
699736	409091	
699736	409463	La Bombi (1983-1993)
699737	240057	la droguée
699737	240428	
699737	249461	
699738	61141	Doña Chucha
699738	111327	
699738	133215	
699738	205713	
699738	301134	
699738	339139	
699738	353230	
699739	72628	
699740	67212	
699740	72628	
699740	127602	
699740	168099	
699740	202734	
699740	236748	
699740	353180	
699741	348578	
699741	376987	Enfant
699742	332640	
699743	336267	Otra camarera
699744	53652	
699744	67006	Secretaria
699744	82590	La rubia
699744	91372	
699744	207032	
699744	221932	
699744	245584	
699744	334685	
699745	348578	
699746	14798	Esposa de piloto
699746	302304	Aicha
699747	253517	
699748	30091	Apartment Owner
699748	123099	Grandmother Wolanska
699748	165082	Woman Buying the Dog
699748	179342	Grandmother Wolanska
699748	196692	Aunt
699748	232664	Dobicinska
699748	238404	
699748	258570	Wajszycowa
699748	361573	
699748	361575	Mrs. Councillor
699748	410485	Anna Suchecka
699749	392268	Herself (segment 8)
699750	344291	Caroline
699751	102639	Old Woman (segment Scherzo al
699751	212650	Ptasinska
699752	162581	
699753	182849	
699754	99519	
699755	225689	Herself
699756	4597	
699757	205498	Make-up artist
699758	180070	Herself
699758	190823	Kristin
699759	151341	Herself
699759	333189	Hazel
699760	103072	Richterin
699760	284424	
699761	100087	Dr. Kelly Ryan
699761	343201	Deirdre
699762	109323	
699762	211074	Magd
699763	23890	
699763	145506	Carmen
699763	259672	
699764	136118	
699764	225745	Frau Dr. Grellmann
699765	155491	
699766	223340	Leaving guest in restaurant
699767	109251	Herself
699768	173076	Krankenschwester
699768	193482	Saleswoman
699768	247620	
699768	293415	Secretary
699768	381689	Official
699769	144577	Exercise Class
699770	29150	Acting Student
699770	74125	Anne
699770	87175	Nancy
699770	88561	Fantasy Hooker
699770	105390	Nina
699770	231426	Lila
699771	325465	
699772	162129	First Priestess
699774	245134	Leah Roche
699775	35629	Herself
699775	189719	Herself
699776	45257	Herself, K-Mart Official
699777	80900	
699777	204517	Ulrike Hjolund
699777	314323	
699777	334529	Sektretärin
699777	344770	Staatsanwältin
699777	358937	Brigitte
699778	17669	Sonja
699778	33126	
699778	223940	Barbra
699779	216677	
699780	44498	Bride
699780	115549	Jasmine Lee
699781	102985	Marlis
699781	320000	The Woman
699781	332621	Katja
699781	341207	Groupie
699781	396874	(1992)
699782	398653	
699782	408314	
699783	376864	Nati
699784	96344	
699785	193069	Young Executive
699786	51362	
699786	78015	Courtesan
699786	278933	
699787	214962	Royal Marsden Nurse
699787	291036	Alice
699788	106802	Artista
699789	48554	Saloon Girl
699790	162999	
699791	28546	
699791	54859	Angelina
699792	68980	
699793	335943	Mara
699794	129485	child
699795	89336	Deng's Girl
699796	367856	Herself
699797	194836	
699798	179049	Neighbor Friend
699799	198533	
699799	226312	Katrin
699800	101216	Inès
699801	179049	Little Girl #1
699802	77568	Herself
699803	153069	
699804	233357	
699805	57929	ABA Student
699806	194836	
699809	101907	
699809	121888	Luna
699809	335942	Ella
699810	52966	
699811	367856	Herself (Carey's Sister)
699812	8832	
699812	101205	
699812	133050	
699812	135439	
699812	197202	
699812	234972	
699812	337508	Bianca
699812	339981	
699813	28375	
699814	56108	Beatriz
699814	61861	Malena Marlene
699814	207652	Coca
699814	228429	
699814	252061	
699814	252757	
699814	373941	
699815	137033	Mrs. Danny
699815	304080	
699816	18112	
699817	405341	La concierge
699818	55544	
699818	200505	Vittoria
699818	292962	Jeanette Moreneau
699818	327451	Susan (American tourist)
699818	328695	Amphytrite
699819	3465	
699819	3956	Donna Ines
699819	14890	
699819	71447	La capo reparto della Rinasce
699819	73600	
699819	113574	1ª Tintora
699819	155085	Agata
699819	214858	
699819	253711	Sig.na Benincasa
699819	300636	Padrona mansarda
699819	400142	
699820	114873	Dancer: Grupo Cobo de la Peña
699821	48185	
699821	164237	Secretaria
699821	190645	
699821	193316	
699821	225029	
699822	94840	dancer
699823	170075	
699824	74622	
699824	85568	
699825	63633	
699825	71378	
699825	71379	
699825	248547	
699825	326943	
699826	33893	Party Girl
699827	73165	Mme Marceroux
699828	12080	
699828	84783	
699829	52928	
699829	57800	
699830	104111	Prostituta 3
699830	165788	
699830	379559	Pilar
699830	379602	
699830	397593	Josefina
699831	412123	
699832	24980	Maria
699833	31998	Lady Manly
699833	47003	Connie King
699833	66320	Valerie Toske
699833	66354	Rosa Minardi
699833	101036	Anna
699833	143318	Artist (Paul's friend)
699833	169673	Mrs. Denham
699833	219258	
699833	230114	The Vamp
699833	235178	Senorita Mendez
699833	269342	Queen Amrath
699833	272097	Teresa
699833	291565	Señorita Juanita Bonneller
699833	303073	Ardita
699833	306493	Mrs. Stuyvesant Lane
699833	307482	
699833	331676	Mitze
699833	346148	Daisy
699833	351572	Suzy Gloria
699833	377864	
699834	356682	Tramperin
699835	2944	
699836	13637	Hooker
699836	219692	Wanda
699836	264068	Ann Mascone
699837	109452	Jodie Foster Freeze
699838	200948	La patronne de l'auberge
699838	345288	La secrétaire
699839	309759	Estelle
699840	313350	
699841	28149	Florence
699841	381091	Herself (eliminated round 1)
699842	8306	
699843	107031	
699844	374211	Signora Ernestina
699848	293637	Little Girl
699850	7505	
699851	243595	Margo
699852	53236	La soeur de Mlle de Guény
699852	57284	
699852	117912	
699852	198341	
699852	220395	Renée
699852	260918	Marie-Laure Méribel
699852	265223	La soeur lectrice
699852	324625	La directrice
699852	357863	La mère de Véronique
699852	386476	Mme Clerval (segment "Rumeurs
699853	100404	Margara
699854	148677	
699855	83558	Shelly
699856	41971	
699856	45013	
699856	83857	
699856	85787	
699856	98890	Virginia
699856	108702	
699856	128752	
699856	128758	
699856	130778	
699856	131628	
699856	150402	Woman who wishes to be mediev
699856	183404	
699856	192208	Busty Pub Wench
699856	242063	Herself
699856	242073	
699856	260149	
699856	298220	Midnight Fantasy Girl
699856	304833	
699856	321009	
699856	330885	
699856	365643	
699856	369913	
699857	256971	Debbie
699858	256971	Debbie
699859	83364	Nicole
699859	152378	Fabienne
699859	156297	La femme du taxi
699859	217642	L'inspectrice Vanier
699859	217723	Cécile
699859	227300	Jeanne
699859	247994	Marie/La tutrice
699859	336554	Thomas' Mother
699859	345274	Adeline
699859	396042	Marlene
699860	251599	Postulanta Guineana
699861	237802	
699862	63231	
699862	131018	Le Mère d'Opra
699862	254316	Madeleine
699863	101270	Herself/Elvis Presley
699863	116411	Herself
699863	353718	Melissa Rivers
699864	28753	
699865	133540	Herself
699866	357843	Blandine
699867	232858	Amy Verge
699868	402139	Sandra
699869	176335	Goldwyn Girl
699870	79261	
699870	306414	Carol
699870	333133	Sheila Riordan
699870	402403	Una
699870	402797	Phyllis
699871	47729	Elsa Lorimer
699871	107560	
699871	127685	Geraldine
699871	131700	Gertrude Chapin
699871	170740	Chaperone
699871	183692	Clara Sedgewick
699871	244369	Mrs. Peyton-Andrews
699871	269315	Mrs. Ramsey
699871	303427	Mrs. Hammond
699871	330176	Mrs. Curtis
699871	335664	Mrs. Comby
699871	335668	Mrs. Dathis
699872	45901	Brand's Mother
699872	71569	
699872	113462	
699872	138238	Mrs. Reece
699872	152574	
699872	366990	Mrs. Temple
699872	396001	
699872	398289	Bunty Creighton
699872	399816	Mrs Harvey
699873	10396	Frankie Driscol
699873	11284	Kitty
699873	22013	Emily Martin
699873	47193	Maud
699873	54737	Molly
699873	73958	Molly
699873	109061	Betty Temperley
699873	138790	Robina Hutt
699873	161036	Edith Hobson
699873	163576	Montague's typist
699873	167253	
699873	224206	Valerie Paraday
699873	239592	Lucy Brunning
699873	243261	
699873	277488	Cartwright's Fiancee
699873	316898	The Girl
699874	222619	Peg Welsh
699875	312309	Biddy
699876	231915	Jack's Secretary
699877	331	Lady Wilson
699877	2655	Mrs. Frank Wells
699877	18552	Parent
699877	37104	Mrs. Johnson
699877	62560	Fox
699877	68835	Mrs. Straus
699877	72768	Mrs. Hirsch
699877	88943	
699877	105557	Secretary
699877	108343	Ida Cookson
699877	109868	Mrs. Jones
699877	116155	Mary Adams/Ames
699877	116538	Mrs. Clinton
699877	117801	Bit part
699877	122967	Mrs. Logan
699877	123881	Molly Kelly
699877	125884	Miss Miller
699877	157234	Mrs. Celia Fish
699877	165695	Harriet Sterling
699877	196871	Augur's Secretary
699877	204174	Nurse
699877	206255	Mrs. Strutt
699877	207708	Martha Ward
699877	214098	Nurse
699877	215993	Mrs. Vollard
699877	219917	Nurse
699877	224809	Mrs. Shanway
699877	230435	Col. Fullbright
699877	232338	Mrs. Carter
699877	234225	Society Woman
699877	241078	Mrs. Fraser
699877	246251	Martha Coleman
699877	252426	Mrs. Peg O'Hara
699877	266179	Motel Manager
699877	266689	Secretary
699877	269372	Lady in Park
699877	308065	Mrs. Winthrop
699877	309268	Nurse-Receptionist
699877	309286	Nurse
699877	316117	Mrs. Wallace
699877	318926	The Warden's Wife
699877	330004	Chic Lady with dog
699877	331159	
699877	334252	Nurse
699877	363440	Mrs. Jackson
699877	372346	Teacher
699878	233861	
699878	372193	Jasmin
699880	254089	Infirmière institution
699881	150887	
699882	5198	Zelda 'Zel' Tadema
699882	279743	Señorita Juanita de la Cuesta
699882	396088	Tammy Forrest (1956-1970)
699883	6395	L'amie de Carboni
699883	6999	
699883	23513	
699883	25746	
699883	42879	
699883	83216	
699883	384123	Jacqueline Reignier
699883	409932	Odile
699884	130596	
699884	177718	Nochita
699884	305365	
699885	381821	Ensemble (1979)
699886	379243	Regular Performer
699887	110829	Felix's Wife
699888	64569	Herself (performer)
699888	70302	Janice Huggins
699888	259284	Kate Devers
699888	380391	Herself (1987)
699888	385824	Liz Chandler (1980-1986)
699889	41798	
699890	191799	Erin (Age 12)
699891	202367	Margie Hill
699892	255233	Store manager
699892	316263	Sylvia
699892	331697	Nurse
699893	191799	Patty Cake Girl #1
699894	40609	
699895	61616	Herself
699895	137684	Wednesday Friday Addams (Seni
699895	155303	Jeanette
699895	288929	Roxey
699895	379228	Wednesday Addams
699895	380713	Cricket Montgomery Ross (1981
699897	7921	Girl with Mabel
699899	39738	Lorna keyes
699899	83971	Jill
699899	90982	Sharon Ross
699899	149708	Manya
699899	263232	
699899	310594	Jeannie Evans
699899	388149	Barbara Erskine (1965-1966)
699899	388210	Patty Walker
699899	393392	Daughter
699899	403281	Betty Anderson Harrington Cor
699899	404613	Patti Barron Tate Whiting McC
699900	210673	Abigail
699901	179063	Blanche
699901	235502	Diane
699901	263519	Daphne
699902	284916	Young mother
699903	155029	Lady Bentley
699904	359486	
699905	213040	Nancy Hewitt
699905	223960	Princess Helma
699905	272515	Lucia Masterson
699906	7498	Girl
699906	11978	Connie Seymour
699906	20246	Laramie Carson
699906	39696	Evelyn Barrett
699906	42019	Francine
699906	43374	Lucy Dell
699906	45217	Cathy Smith
699906	47088	Girl
699906	78750	June Harley
699906	82378	Sally Higgins
699906	91758	Pacific All-Risk Telephone Op
699906	107755	Lois Walter
699906	115214	Hostess
699906	124342	Colleen Flanagan
699906	139020	Eleanor Williams
699906	142877	Cigarette Girl
699906	147543	Cigarette Girl
699906	154376	Bit
699906	223903	Young girl
699906	249518	Janet
699906	262138	Model
699906	276737	Anne Gilmore
699906	278097	Raquel
699906	313118	Office Girl
699906	321388	Loretta
699906	340570	Thin Girl
699906	365071	Mildred Kayes
699906	372461	Performer
699907	234774	Rosanna as child
699908	206831	Jefferson H. S. Teacher
699909	36746	Marie the Waitress
699909	80537	Evil Cheerleader #1
699910	304688	Queen
699911	70325	Saxophonist
699912	73157	
699913	108256	Mud Wrestler
699915	121367	Guard #2
699916	51089	Débora
699917	3400	
699917	14649	
699917	23369	
699917	28759	
699917	53650	
699917	61203	Marion
699917	90099	
699917	90536	Carmen
699917	96280	
699917	191581	Marta
699917	204690	Teresa
699917	212363	
699917	238479	Susan Lee
699917	253706	
699917	266443	
699917	282136	
699917	283052	
699917	318230	
699917	337949	
699917	343733	Estrella
699917	353640	
699917	376851	Ingrid Muller
699918	43203	Natasha
699919	16297	
699919	261942	
699920	162473	
699921	74934	
699921	108537	Sister
699921	172910	Janicka
699921	175016	
699921	257725	Zrubecká
699921	262219	Anynka
699921	292975	
699921	304659	Young Woman
699921	305814	
699921	352820	Pulpánová
699921	387031	
699921	410338	
699922	138744	Chorus Woman
699923	186304	Undetermined Role
699924	9840	
699924	53684	
699924	222035	
699924	225565	
699925	75611	Sarah Stebbins
699925	241849	Mrs. Proudfoot
699925	295489	Miss Hernshaw
699925	403249	Princess Sophia
699926	224346	Neighbour #3
699927	91277	
699928	128441	Aunt Clara
699928	132525	Miss DeWitte
699928	316323	Mrs. Anthony
699928	381814	Aunt Clara (1964-1968)
699928	389769	Regular
699928	398400	Mrs. Gurney
699928	404158	Myrtle Banford
699931	354088	Verkoopster boekhandel
699932	120982	
699933	402302	
699934	49622	
699934	130181	Woman in Red Towel
699934	183038	Trish
699934	316661	
699934	323410	
699934	337151	
699935	32277	
699936	217833	
699937	30964	Marita Banzon
699937	79111	Themselves
699938	12305	Mrs. Burnaby
699938	25574	Meg Gudgeon
699938	90938	Mrs. Skipps
699938	133423	Mrs. Shawn
699938	224204	Undetermined Role
699938	336675	Duchess
699938	338987	Mrs. Telfer
699939	25128	
699939	46656	Monique
699939	101501	
699939	112843	
699939	260584	
699939	264520	
699939	340117	
699939	346688	
699939	349743	La femme de chambre
699940	87729	Lady Drug Dealer
699941	37648	Herself
699941	52312	
699941	110981	Xeda
699941	125425	Herself
699941	128735	Herself
699941	257668	Herself (Model)
699941	367792	
699942	32564	Suzanne
699942	67154	
699942	142360	
699942	176335	Goldwyn Girl
699942	247160	Goldwyn Girl
699942	249623	
699942	274401	Slinky
699942	303303	Chorine
699942	309579	Bit Part
699942	362725	
699943	89691	Judy Bower
699943	259828	Kane's People
699944	201169	
699945	85742	Harmony Sunshine
699946	128469	Runner
699947	5426	Teacher
699947	54588	Mrs. Marshall
699947	75636	Perennial Prue
699947	75761	Sarah Oliver
699947	124753	Eva Dodd
699947	141270	
699947	251189	Mrs. Fenton
699948	26	Follies girl
699949	166153	Antoine
699949	336932	
699950	38986	Missionary
699950	46239	Committee Person
699950	241595	Judge
699950	274308	
699951	133565	Polly
699951	213820	Woman
699951	286334	Herself
699951	361300	Bit
699951	365394	Ann
699951	368244	Showgirl
699952	19960	Bit
699952	31566	Carlotta La Mere
699952	38583	Guest
699952	45215	Sybil Stuyvesant
699952	79415	Sarah Malcomb
699952	83609	Julia Wharton
699952	110558	Marie Marat
699952	113586	Edith
699952	120645	Woman
699952	128160	Pinkie le Rue
699952	128481	Iris Stanley
699952	134675	Dowager at Friday Club
699952	142988	Miriam Faversham
699952	143138	Chorus Girl
699952	146175	
699952	156940	Bit part
699952	158711	
699952	159452	Ronny's Sister
699952	172371	Dorothy Robinson
699952	179050	Lillian
699952	179056	
699952	196492	Florence Crosby
699952	196855	Beth Vance
699952	206675	Hermia Martinache
699952	215359	Edith Gilsey
699952	231768	Wife
699952	235676	Woman
699952	253770	Blanche Fisher
699952	257783	'Babe' Fleur de Lis
699952	265752	Miss Baker
699952	273513	Woman in Ballroom
699952	283093	Mrs. Belknap-Jackson
699952	297100	Guest
699952	298088	Female Creditor
699952	302633	Prima Donna
699952	312061	Spanky's mother
699952	327271	Mrs. Lane
699952	330231	Officer's wife
699952	342007	
699952	367489	Lois Parker
699952	372819	Woman
699953	84359	Miss Steele
699953	94498	
699953	107047	
699953	114914	
699953	157005	Lora
699953	193810	Martha Forrest
699953	229098	Annette Ilington
699953	239768	
699953	257783	
699953	300008	La Belle Rose
699954	7124	Jane
699954	12552	Joie Malet
699954	26386	Helen
699954	35761	Barbara Ringold
699954	36789	
699954	41946	Inez Del Rio
699954	44543	Sheila Conroy
699954	49527	
699954	51611	
699954	59186	
699954	62084	Annie Gordon
699954	64587	La Belle
699954	77946	
699954	85833	Doris Killner
699954	91941	
699954	99458	Edith Stillwell
699954	105847	Phyllis Tichnor
699954	112410	
699954	113382	
699954	113779	Martha McCarthy
699954	114914	Helen
699954	120776	Athalie Burgoyne
699954	125844	Carmen Navarro
699954	126592	
699954	133519	Trixie Tremaine
699954	135603	
699954	139075	Betty Barnes
699954	164700	Helen Morgan
699954	179027	
699954	186349	
699954	187483	Annette
699954	190563	Bobbie Van Tyne
699954	192205	
699954	208905	Julie Montreau
699954	213223	
699954	218768	
699954	220386	Bonita Coy
699954	220536	
699954	229098	Annette Ilington
699954	229116	Ruth Wilson
699954	243337	Rosita Velasquez
699954	245402	
699954	247213	Molly Markham
699954	256633	
699954	270641	Ruth Leyden
699954	281390	Zella Fay
699954	291789	
699954	296949	Molly
699954	301632	
699954	301638	Jessie Stevens
699954	313077	
699954	315150	Mary Jane
699954	321392	
699954	331414	Lorraine Estes
699954	339660	
699954	340737	
699954	348344	Mary
699954	350023	
699954	352142	Carol Kingsley
699954	363755	
699954	365267	Pattie
699954	366258	Mimi
699954	366850	
699954	367404	
699954	368877	Helen
699954	371042	
699955	60188	Paula Marsh
699955	108963	Cherry Carson
699955	168215	Barbara
699955	246697	Evelyn Shaw
699955	331133	Lola Quayle
699955	343014	
699956	143651	Dancer
699956	157870	Bit
699957	11352	Jocasta
699957	75535	Woman with whip
699957	308350	Gorgon Woman
699957	348518	Jenny Elgin
699957	354333	Nubian Girl Slave
699957	374638	Angvisa Girl
699958	145007	Sarah, Keatings' Maid
699958	178132	Donald's mother
699958	215534	Jennie Meyers
699958	221068	Receptionist
699958	223798	Pascoe Daughter
699958	308348	Woman
699958	367733	Maisey
699959	100060	
699959	268389	
699960	202594	
699960	278144	
699960	294946	
699960	320012	
699960	345120	
699960	345485	
699960	346718	
699961	321268	Nina
699962	4693	Dawn Pierce
699962	5786	Tara
699962	50376	
699962	102833	Miss Manners
699962	194487	Drusilla
699962	277086	
699962	288474	Linda (Investigative Reporter
699962	302933	Morgan Reynolds
699962	311051	
699962	327906	Morgan Reynolds/Susan
699962	329378	
699962	350206	Female Escort #2
699962	360509	Newscaster
699962	367345	Selene
699963	9653	
699963	140289	L'Infirmière
699963	153241	
699963	207723	Prostitute
699963	346674	Greffière
699963	397857	Conseillère
699965	125425	Herself
699966	141094	Mrs. Barclay
699966	324014	Woman with cat
699966	405042	(segment "Macbeth")
699967	374650	
699968	247359	Miss Honduras
699969	69406	
699970	64073	The Fairy Summer
699970	335880	Madam Bergerone
699971	12743	Party Guest
699971	17941	Marilyn Monroe
699971	37261	Cleopatra
699971	40632	Court Stenographer
699971	288929	Party Girl
699971	338638	Celeste
699971	386393	Charlene Sinclair
699972	27263	Band Member
699972	92115	Shade
699973	68336	La femme de l'estivant
699974	291233	Brenda Bohle
699975	183357	Psychologist
699976	209222	Tula Washington
699976	319149	Student
699977	144996	Country Singer
699977	385110	Regular
699978	367719	Missie
699979	37233	Marion Rostina
699979	46836	Pepita
699979	70786	Bessie Watty
699979	123884	Dorothy
699979	131594	Shirley Mae
699979	156905	Angela, a lonely woman
699979	194915	Amelia
699979	213190	Judy
699979	244357	Celestine
699979	308604	Sonia
699979	331645	Icey
699979	352143	Lottie Rawson
699979	399666	Helen Norby
699979	404002	Anna Pavel (1979-1980)
699979	409795	Bonnie Withers #1 (1954-1955)
699980	59700	
699980	94489	Mannequin
699980	124970	Yvette
699980	153098	
699980	155388	
699980	155438	
699980	155486	Helga
699980	168433	
699980	180153	
699980	187544	
699980	205302	
699980	213781	
699980	244948	
699980	266162	
699980	290669	
699980	293528	Tilly
699980	293546	
699980	317252	
699980	352183	
699980	360957	
699980	361384	
699980	365004	Dolly
699980	376576	Wilhelms Frau
699981	71822	Mme Berthier
699981	112826	La prostituée
699981	169577	Inebriated woman
699981	201201	Une femme du 'Necro's club'
699981	281301	
699981	357115	La baronne
699981	396845	Angèle
699982	105185	Esther
699983	307473	Marie-Lea Lévy
699984	13875	Embassy Guest #4
699984	28340	
699984	78403	Professeur de danse
699984	96397	
699984	132838	Lolita
699984	217651	
699984	240429	La mère nue du rêve
699984	345270	
699984	384560	Herself (Cocogirl) (1984-1985
699984	395094	Natascha
699985	336217	Krystyna
699986	121811	
699986	132243	Sonja
699986	136222	
699986	140265	Gudula Hansen
699986	140267	Pamela Stevenson
699986	140268	Hildegard Schmitz
699986	140269	Gudula Hansen
699986	170675	Sybille
699986	177194	
699986	222467	Johanna Fozzato
699986	286117	Sally
699986	290455	Sara
699987	28145	
699987	208315	
699987	208356	
699987	208452	
699987	269241	
699987	356384	
699988	105298	
699989	73744	Dancer
699990	18	Garden Party Host
699990	18598	Old Bat
699991	301381	Un' altra figlia del professo
699992	99362	France
699992	102915	
699993	410215	
699994	23363	
699994	57263	La marquise du Huron
699994	58605	Augustine
699994	62801	Marie Chotard
699994	94235	Mrs. McPhearson
699994	178989	Madame Mousquet
699994	216233	
699994	218266	
699994	236611	Madame Bobinine
699994	243076	
699994	249204	
699994	345224	
699995	340372	Mme. Hamilton's Girl
699995	357099	Georgia
699996	28697	
699996	96066	Une des deux poules
699996	155970	Annette
699996	268405	
699997	12591	Margharita
699997	33552	
699997	60516	
699997	189979	Tournela
699997	199379	Madame deBulow
699997	219504	
699997	251540	
699997	280518	
699997	287589	
699997	289437	
699998	27305	Dolores
699998	33493	
699998	42614	
699998	51522	
699998	52253	
699998	54999	Indian girl
699998	64991	
699998	67679	
699998	71165	
699998	85116	Yasmin
699998	85560	
699998	88349	
699998	90188	Moza del juicio ante Sancho P
699998	111563	
699998	125391	Fanny
699998	126529	Princess Elizabeth Maria
699998	135922	Gitana, Daylight's Girl
699998	147374	
699998	168149	Kate
699998	170076	
699998	187479	Janine
699998	190644	Juanita
699998	196625	
699998	202298	Bertha Zemis
699998	205458	
699998	211165	
699998	233550	Matilde
699998	236027	Conchita
699998	237616	Galina Samarav
699998	239264	Claude
699998	242665	Capt. Patricia Flanagan
699998	252066	
699998	265157	
699998	273141	
699998	274939	
699998	279256	
699998	286291	
699998	301164	
699998	308897	
699998	329152	Kit O'Neal
699998	338661	Muia
699998	343998	
699998	348174	Huguette
699998	348931	
699998	349812	Indian
699998	351997	
699998	354471	Emilita
699998	377626	
699999	51290	
699999	65021	
699999	75938	
699999	78206	
699999	89725	A polgármester lánya
699999	110726	
699999	122131	Gizike
699999	136393	
699999	144742	
699999	153854	A cirkuszigazgató felesége
699999	164879	
699999	209810	
699999	211700	
699999	214495	
699999	216250	Szelistyei asszony
699999	226712	Szitáné
699999	229710	
699999	322082	
699999	327033	Lanke
699999	377123	
699999	377762	Pallay Pannika
699999	378577	Vásárló a könyvesboltban
699999	378931	
699999	394990	
700000	107672	
700001	27153	Stephanie
700001	72376	Girl at the Surprise Party
700001	74011	Sarah
700001	199243	Jennifer
700001	287789	Beth
700001	303788	Hostess
700002	87414	Talking to Rubia
700003	184691	
700004	12473	Marianne
700005	152237	Hija 'actriz'
700005	328154	
700006	336265	Putilla
700007	14712	
700007	24670	
700007	42659	
700007	50127	Leandra
700007	51530	
700007	55085	
700007	55925	Jacinta
700007	80223	
700007	86451	
700007	90189	
700007	94593	Gregoria
700007	94827	
700007	103160	Madre Lucía
700007	106267	
700007	110233	
700007	145136	Trini
700007	146510	Josefina
700007	147375	
700007	148142	
700007	202555	
700007	221950	
700007	233759	
700007	243466	
700007	243961	
700007	266805	
700007	268248	Madre
700007	273018	
700007	275952	Herself
700007	276234	Mlle. Desprez
700007	302399	
700007	306694	
700007	318016	
700007	318253	
700007	336322	
700007	339979	Citizen
700007	353180	
700007	353672	Catalina
700008	162104	Garbi
700009	219325	
700010	266768	Open Mic Emcee
700011	21079	
700011	108844	(segment "Los tres pelos del 
700012	52247	
700012	111181	
700012	143552	
700013	268277	Mari
700014	234412	
700015	82495	Klavdia's Aunt
700015	241936	
700015	374427	
700015	405850	
700016	120170	Lehrerin #2
700017	19448	Monja TV
700017	292089	
700018	12271	Christian Nilsson
700019	390943	Newscaster
700020	94766	Chavez's wife
700020	124085	Irena
700020	131418	Lotus
700020	134837	Herself
700021	104777	Maltese entry (2nd place)
700021	202526	Herself
700021	202527	Herself
700022	57394	
700022	235296	Alicia
700022	407808	Nuria Ribalta
700023	405209	Dayna (1992)/Nurse Ana Fa'aso
700024	2662	Rosie's Girls
700025	46641	Katja
700025	184396	Liesa
700025	304346	Mme. Isobella
700026	358125	
700028	20957	Lindsey
700029	26241	
700030	26241	
700031	140019	Party Guest
700032	294790	Victim
700033	330197	Revolting
700034	268074	Dancer
700035	29128	
700036	316500	Student
700037	76229	Majka's Grandmother
700038	259649	Juliane Becker
700038	388640	Anna
700039	48211	Herself
700040	39404	Train Passenger #7
700041	208754	Maria
700042	171742	
700042	356122	
700042	357344	Olga
700043	124096	Ghost 3
700043	302175	Lehrerin
700044	77152	Webster
700044	113732	Clint Smith
700045	523	Voice in off
700046	31675	Terry
700047	177975	
700047	187512	Magdi anyja
700048	119703	Hannos Mutter
700048	120154	Magdalena Bach
700048	120940	
700048	156973	Mutter Torsten
700048	186886	Frau Carius
700048	251810	Solveig
700048	294691	Frau Leuthoff
700048	337549	
700048	339384	
700048	352046	
700048	354111	Frau Svanborg
700048	375986	Prison overseer
700049	81693	
700050	357490	L'Hôtesse production
700051	367951	Herself
700052	119216	
700053	338981	Herself
700054	405209	Samantha Cross (1998)
700055	314885	
700056	346707	Belle-soeur
700057	246896	
700057	270767	
700057	307099	
700057	350833	
700058	70184	
700059	43283	Mira
700059	66787	
700059	72154	
700059	81483	
700059	179780	
700059	231353	Gudrun
700059	231354	Gudrun
700059	272555	
700059	300808	
700059	303629	Toni
700059	351337	
700059	400892	Striptizeta
700059	402233	
700060	213544	
700060	236158	
700060	277167	Herself
700061	230663	Highland High Student
700062	309759	Child of Mary
700063	133347	Bar Lady
700064	379810	Herself/Winner
700064	381908	Herself (season 5)
700065	196436	Teacher
700065	344244	Zuster Staats
700065	350315	Lily
700065	390242	Tracey Peters (1993, 1995)
700065	410441	Belinda Milton (1993-1994)
700066	166739	Laura
700067	411258	
700068	3119	Marion Hansen
700068	5128	Hanne Brandt
700068	13626	Alexandra Baltz
700068	18532	Dorothe Kalisch
700068	34243	Lena
700068	40412	Britta Hansen
700068	42164	Anna
700068	43651	Sabine Leibholz
700068	82650	Friederike
700068	93497	Sonja
700068	98278	Renate Reimann
700068	98388	
700068	101352	Ramona Schneider
700068	121828	Anna
700068	125093	Eliane
700068	126398	Livia
700068	127994	Angelika Balabanoff
700068	137949	Gertrud #3
700068	147596	Sylvia
700068	163033	
700068	197311	Lulu
700068	225639	Dr. Julia Engelhardt
700068	254989	Mrs. Schober
700068	290183	Frieda
700068	290250	Hilma
700068	290278	
700068	307088	Carmen
700068	317505	Luise Barnfeld
700068	325660	Nina Radovanovic
700068	325893	Hanna Hebbel
700068	334186	Woman
700068	356695	Petra Maier
700068	365966	Aline
700068	377353	Ellen Jacob
700068	389286	
700068	409287	Vera
700068	412110	Esther Goldbaum
700069	132414	
700070	39010	
700070	48211	Cinema Cashier
700070	178773	Piotrowski's Friend
700070	231620	Korbaczewska
700070	236159	Female Clerk
700070	237869	Kazia Szymczak
700070	237983	
700070	259811	
700070	261670	Terka Gasztowtówna-Paculanka
700070	275216	Young Girl
700070	305833	
700070	343339	Monika Kulig
700070	348704	
700070	358683	Girl in the Window
700070	401793	Urszula Kuras
700071	342314	'Ugglan'
700072	95632	Herself - Presenter
700072	195626	Hadley
700072	387141	Hostess
700072	397169	Herself/Host
700072	397906	Jenny Hill
700073	342454	Mary Magdalene
700074	25018	
700074	59562	Ulla Bergström
700074	65378	Miss Kabak
700074	80140	
700074	142134	
700074	176886	
700074	204682	
700074	354479	Manuela
700075	251294	Juliette
700076	174016	
700076	179975	
700077	5585	Officer
700078	134780	
700078	201185	Mimie
700078	272637	Emmy
700078	345357	
700078	346803	
700079	313329	Mom
700080	14219	Dream Vampire Girl #2
700080	59749	Gloria
700080	122768	Staci
700080	294795	Marni Greenstein
700080	336663	Monica
700081	384119	Romina (1995)
700082	87033	
700083	202323	Valerie
700083	316191	Waitress
700083	344662	The Secretary
700084	290397	Nancy Kramer
700085	28591	Nana
700085	68468	
700085	76945	Mrs. Carmichael
700085	88769	Justine Walker
700085	88770	Justine Walker
700085	238065	Joan Lawrence
700085	249624	Almoner
700085	255872	Jerome's Mother
700085	331604	
700085	337338	Mrs. Simpson
700085	342355	Viola
700085	347409	Mrs. Winstanley
700085	378819	Auntie Pearl
700085	382824	Delia Freeman
700085	397182	Mrs. Gilbert
700085	403409	Mrs. Bennett
700085	404965	Mrs. Bardell
700085	405993	Mrs. Phyllis Lumsden
700085	410580	Nadia Galenkova
700086	311051	
700086	364297	
700087	34753	
700087	34754	
700087	34778	
700087	36393	
700087	39076	
700087	42732	Girl #2 in bathroom
700087	61995	Sandy Morgan
700087	66112	
700087	75191	
700087	75192	
700087	81851	
700087	84003	
700087	85776	
700087	85796	
700087	87340	
700087	102701	
700087	106483	
700087	117594	
700087	120345	
700087	120575	Natasha
700087	129081	Herself
700087	129238	
700087	131508	
700087	154342	
700087	158729	
700087	183368	
700087	190738	Herself
700087	224244	
700087	243125	
700087	244891	
700087	248098	
700087	251201	
700087	289785	Woman who invents cocktails
700087	292710	
700087	295617	
700087	295656	
700087	296680	Drapery factory worker
700087	306143	
700087	310936	
700087	313247	
700087	315126	
700087	319398	Herself
700087	330885	
700087	344499	Herself
700087	345658	
700087	347733	
700087	358074	Herself
700087	359861	
700087	367900	
700088	33576	Hélène
700088	110754	Soprano
700088	160876	Christine
700088	213319	Helena
700088	220724	Pamina
700088	271613	Anne Truelove
700088	281976	Marschallin
700088	380344	Adelina Patti
700089	2027	Julie (usherette)
700089	17992	Ann
700089	46415	Sandy
700089	91881	Julie
700089	331541	Nurse
700089	364431	Bar Patron
700090	379357	Miss Becky
700091	185736	Nurse
700092	190171	Berlin's classmate
700093	212141	
700094	372847	
700095	309637	Goat
700097	378659	Herself (2001-2002)
700098	204182	Irish Woman Talking with Popp
700099	336900	Tour guide
700100	56350	Rita Martello
700101	57853	
700101	132699	Olga
700101	248224	The maid
700101	260044	Ginevra
700101	274483	
700101	282166	
700101	348145	Gina
700101	348167	
700101	348175	
700101	378367	Tina
700102	5772	Ilse, sua moglie
700102	20804	
700102	25327	La fatina
700102	54094	Maria Cristina
700102	54303	
700102	57303	Luisa di Cerchiara
700102	57309	Isabella
700102	86063	
700102	86334	(segment "Ricordati di santif
700102	90657	
700102	109099	Anna
700102	112639	
700102	112654	Isabella
700102	113703	Giovanna Aroca
700102	119081	
700102	119366	Nicoletta Dossena
700102	121603	Lina, Corrado's sister
700102	127983	Suor Bianca
700102	132027	Spina di Pietro. La Gorgona
700102	135136	Lindita
700102	160056	Elena Artesi
700102	162086	Anna
700102	163034	Irene, sua figlia
700102	166344	
700102	175053	Anna Demby
700102	202074	Maria Stella
700102	205304	Bice Del Balzo
700102	206029	Emma d'Herrera
700102	207752	Lalla d'Eleda
700102	230080	Xenia
700102	231147	Hélène Josias
700102	256652	Countess Mercedes de Lopez
700102	260044	Eleonora Grado
700102	264246	
700102	265189	Giulia Spicacci
700102	269494	Maria Algardi
700102	301105	Margaret, l'americana
700102	301368	Sua figlia
700102	301790	
700102	306820	
700102	307667	
700102	312252	Elena, la crocerossina
700102	315427	
700102	341831	Silvia
700102	352918	Maria, sua figlia
700102	377589	Margot, Bacchi's wife
700103	83929	Bridesmaid
700103	196407	Sally/'Bambi'
700105	352502	
700106	3273	
700106	23996	Benda Ardschir Mirza
700106	106711	
700106	153917	
700106	156611	
700106	190758	
700106	227608	
700106	262431	
700106	290445	
700106	290856	
700106	334620	Benda Ardschir Mirza
700106	361080	
700107	399657	
700108	14219	Dream Vampire Girl #2
700109	50380	
700110	159201	Martina
700110	324013	Nina
700111	26484	Louise
700111	42860	Jennifer
700111	92095	Nurse #2 (Hospital)
700111	106298	
700111	124014	Kina
700111	125367	
700111	130556	Aya
700111	152274	Floor
700111	167913	Natsumi
700111	173737	
700111	208397	
700111	232956	
700111	275781	Anja
700111	338114	
700111	358547	Prostituee met Michel
700111	373360	Dee
700111	386537	Kotomi Takanashi
700112	70015	Aunt Dorothy
700113	13546	
700113	70703	Linda
700114	153113	
700114	170675	Kundin im Schönheitssalon
700115	5645	
700116	404138	Additional Voices
700117	42732	Adult film actress #1
700117	321536	News Anchor #1
700117	396123	Ava Rescott Forbes Alden Mast
700119	71600	Herself
700119	71602	Herself
700119	104778	German entry (12th place)
700119	265849	
700119	266725	
700119	325602	Eva Odenthal
700120	40999	
700120	125318	
700120	341100	
700120	374126	
700121	401028	Regular (1951-1974)
700122	132207	Toni's Bridesmaid
700122	168928	Prostitute
700122	244656	
700122	381380	
700122	394247	Charlotte (2002-2003)
700122	404050	Julie
700123	369832	Peach Boy
700124	312702	
700124	369885	
700125	358711	Herself
700126	8581	
700126	67664	
700126	70701	
700126	95325	
700126	96533	
700126	135268	
700126	165737	
700126	195117	
700126	234045	
700126	237208	
700126	278585	
700126	293388	
700126	308273	
700126	356035	Pompéia
700126	377604	
700127	129550	Old Servant
700128	164140	Flo
700128	356504	
700130	231082	
700130	234004	
700130	364461	Matafay
700131	69053	Club Patron
700131	185653	Abby Newman
700131	193890	Sarah Cooper
700131	215791	Valerie Scott
700131	231966	Suzie Middleberg
700131	239032	Tracy Richards
700131	386197	Judith Pallacio
700131	391547	The Homecoming Queen
700131	409229	Shelby Armstrong
700132	175621	Klahn's Harem
700133	216774	Une manifestante
700133	225523	Une collègue
700134	268304	
700135	12937	Czechoslovakian actor
700135	185261	Woman
700136	95150	Heather
700137	141759	
700138	68775	Loic's mother
700138	117952	
700138	129499	Mademoiselle Guimard, l'insti
700138	166274	
700138	200961	Sister Eudice
700138	204339	
700138	217267	Emilienne
700138	220258	Bernadette
700138	220926	
700138	268450	Lorna
700138	269753	
700138	340143	La secrétaire du notaire/Lawy
700138	376985	
700139	370013	Mémé Perret
700140	400803	Clara
700141	87905	
700141	202460	Teen ager
700142	117683	Bar Patron #2
700142	144956	Strattan Receptionist
700143	59094	Serveuse bar Ramadan
700143	326031	
700144	57811	
700144	331309	
700145	367874	Herself
700145	372513	Herself
700146	111268	
700146	396639	Aische
700146	404224	Isabella Cortez
700146	404478	Nina
700146	405500	Silvia Röder
700146	409958	Nicole Büchner (1996-1997)
700146	410839	Katja Klaasen
700147	202065	Sophie
700148	380001	Herself
700149	160141	Shopper
700150	6985	Party Goer
700150	380001	Herself
700151	13904	
700151	380001	Herself
700152	120119	Extra counselor
700153	74935	Fanny
700154	161754	Blind Mother
700155	68342	
700155	354909	Herself
700155	385609	
700156	304713	Nataliya Noykova
700157	34801	Herself
700157	124056	Sonya Apollinar
700157	213159	Serena Dawes
700157	223904	Herself
700157	232017	Herself
700157	308489	Herself
700157	386781	Dorothy Banks
700157	389769	Regular (1962-64)
700157	393074	Secretary
700157	395242	Herself/panelist
700158	112914	Tricycle Rider
700160	387533	Emma Cairns (1997-1998) (122 
700161	38986	Mrs. Meigs
700162	313477	A Senator
700163	132407	
700164	219371	Salon Customer
700165	313593	Betty Lyon
700166	139611	Girl Friend #4
700167	12311	Agent 'Krash' Krashinsky
700167	78759	News Anchor
700167	88919	Wheeler
700167	109629	Jean, Teal's Assistant
700167	113389	Passenger #3
700167	115668	Young Nurse
700167	117230	Nurse #1
700167	176777	Girl #2
700167	182993	Cashier
700167	190230	Morning Show Hostess
700167	191051	Paris Restaurant Patron
700167	191688	Sonja
700167	217536	Lt. Janet Potter
700167	220646	Maid of Honour
700167	233509	Secretary
700167	235482	Nurse
700167	236222	Secretary
700167	251247	Scientist
700167	269046	Agent Pelitere
700167	290936	Reporter #2
700167	291730	Anna Davis
700167	292472	Applicant #1
700167	298596	Resucitation Nurse
700167	306320	Paramedic
700167	370118	Passenger #1
700167	403600	Sgt. Grace Harris
700167	408703	Building Manager
700167	409598	Sadie Winters
700168	406363	Young woman
700169	402732	Lisa Raccoon (1988-1991)
700170	4618	Venusian Guard (Miss U.S.A.)
700170	76227	Annie
700170	98177	Ava Norton
700170	103328	
700170	149998	Mandy Wilson
700170	215909	Bridesmaid
700170	227012	Francie
700170	248817	Dolly Riley
700170	266681	Phyllis Baines
700170	323435	Dancehall girl
700170	347236	
700170	351256	Handmaiden
700170	387229	Assistant
700170	393822	Lettie Bean (1956)
700170	398384	Miss Miller
700170	404920	
700171	7889	Indian Lee's Girl/Hooker 2
700172	65085	Beggar Girl
700173	361864	Ginnie
700174	4544	Gerri Jensen
700174	14485	Susan Baxter
700174	26185	Kelly
700174	26838	Sandi
700174	47918	Christie
700174	56386	Sheila Fistergraff
700174	89388	Allison
700174	96913	Sukie
700174	100198	Jane Morgan
700174	158314	Jill Erickson
700174	209526	Dr. Linda McCoy
700174	230692	Abby McWilliams
700174	231817	Tara Mitchell
700174	233771	Sally
700174	235061	Candy Cassidy
700174	241621	Toni Stroud
700174	257108	Jenny Gavin
700174	263485	Leslie
700174	270522	Christian Hollings
700174	292291	Toni
700174	300961	Jill Castle
700174	318110	Donna
700174	318823	Ava Gregory
700174	323847	Kay Cork
700174	327235	Jess Koster
700174	334177	Win-O-Lotto Lottery Hostess
700174	335126	Linda Craig
700174	335586	Judith Maple - age 14
700174	387309	Jody Travis #1 (1980-1983)
700174	389501	Rebecca 'Becky' Donaldson Kat
700174	392226	Melanie Clifford
700174	406914	Ava Gregory
700175	99825	Caroline
700176	211815	Ruth Beecham
700177	87509	Pop Video Dancer
700177	392463	Presenter - ITV2 (Series 1) (
700178	141695	
700179	329342	Reed receptionist
700180	97689	Tennis Coach
700180	109632	Alan
700180	189248	Sheriff
700181	65578	Heather Jones (Alyssa's siste
700181	89288	Woman in Elevator
700183	115379	Florist
700184	155912	
700185	321925	Pia as a child
700186	182486	
700186	395257	Laura
700187	338194	The Maiden
700188	411176	Rhetta Dorr
700189	113994	Stephanie Chong
700190	149010	Prospective Market Buyer
700191	35809	Hippie girl
700191	66795	Helen
700191	67553	Policewoman
700191	105144	Sarah
700191	142516	Gumdrop
700191	154569	
700191	167061	Gang Member
700191	175839	Madame Chan
700191	196639	Native girl
700191	300896	Maid
700191	389411	Raven
700191	389412	Raven
700192	20625	Extra
700192	183654	Chinese Girl
700192	285605	Woman in Tea House
700192	360834	Chinese Girl
700193	151196	Woman on Train
700194	18436	Jeannette
700195	255314	Kei-chan
700196	74182	Frightened Child
700197	334235	Ticket Agent
700199	20625	Extra
700200	297382	Opera Performer
700201	62126	Nurse
700202	61153	
700202	130149	An Inmate
700202	177405	Adulterous woman
700202	199403	Girl
700202	215977	Bit Role
700202	347128	Lil
700202	356527	
700203	73122	Irene Crescent
700204	19421	Additional Voices
700206	5314	
700207	100873	Mrs. Robinson
700208	294808	
700210	372525	Party Guest
700211	58848	
700212	202195	Herself (with her husband)
700213	199401	Rose Dubois
700213	304604	Fanny Sullivan
700214	7839	Mrs. Martin
700215	330212	Woman in Line
700216	127101	Pelu Rico
700217	292388	Carole
700217	375108	Française
700218	37239	Sarah
700218	264785	College Student
700218	386001	Stacy (1997)
700219	304544	Cheerleader
700220	66834	
700220	204983	
700220	269158	Nadia
700221	11670	Herself
700221	17168	Mollie
700221	48950	Atta
700221	63134	Margo Chester
700221	81649	Leslie/Harry's Character
700221	109938	Carrie Lawrence
700221	126130	Blue Fairy
700221	138444	Mary
700221	164493	Peggy Etinger
700221	193621	Debra Dolby
700221	227622	Herself
700221	235052	North's Mom
700221	269373	Judge 1
700221	288702	Consuela
700221	309489	Lisa Stinson
700221	310526	Various
700221	340246	Jeanette Cooper
700221	380677	Rachel (1986)
700221	385806	Eileen Swift (1988-1989)
700221	398213	Herself
700221	404337	Various (1982-1985)
700221	404775	Elaine Benes
700221	410639	Eleanor 'Ellie' Riggs
700222	93203	
700222	100431	La grand-mère
700222	318119	Marthe Rose
700223	685	Herself
700223	6090	Ada
700223	59144	Herself
700223	79533	Herself
700223	195178	
700223	200849	Herself
700223	221417	Eternal-presenter
700223	249588	Herself
700223	305488	Herself
700223	305489	Herself
700223	408567	Herself - 'Pop Princesses' Pr
700224	26544	Hanelore
700225	187941	
700226	132109	Jessie
700227	2420	Louise as a girl
700227	18197	Maria
700227	19977	Norma Bockner
700227	26629	Mimi Smith
700227	29078	Lady Catherine Maitland
700227	41101	Miss Gary
700227	46802	Hazel Robinson
700227	49243	
700227	52431	Joan Collett
700227	56098	Madge Ferris
700227	73782	Clara Grattan
700227	78017	Julie Taylor
700227	85036	Janet Mitchell
700227	92244	
700227	93078	Herself
700227	105329	Rosie Droop
700227	112508	Amelie de Montrevel
700227	113885	Mariette Pointer
700227	114155	Emmy Page, Stephen's Neice
700227	115864	Vibrat child
700227	129233	Ann Powell
700227	129804	Margaret Ricks
700227	130360	Ellen Parker
700227	132059	Norma Denby, Steven's Niece
700227	133709	Betty Hall
700227	134070	Phyllis Dexter
700227	139503	Peggy Adams
700227	141630	Towhead
700227	141807	Herself
700227	143651	Lydia Lubov
700227	143838	Sylvia Higgins
700227	154238	Lorna March
700227	169902	Ellie May Gillespie
700227	171182	Mimi
700227	183831	Wynne Howard
700227	187740	
700227	192174	Rose Hamilton
700227	195816	Helen Wentworth
700227	199330	Marie Antoinette
700227	201065	Honey
700227	201840	Herself
700227	205724	Princess Therese DeLamballe
700227	206387	Blanca Wheater
700227	213309	Titania, Queen of the Fairies
700227	214068	Constance 'Connie' Maitland
700227	219786	Patty O'Day
700227	223069	
700227	223723	Muriel Colbrook
700227	232822	Paula Canfield
700227	244775	Elizabeth 'Bessie' Saunders
700227	253472	Diana Abercrombie
700227	253504	Laura Howard
700227	254500	Esther Wren
700227	254563	Madeleine Neilson
700227	275769	Mrs. Joanne Ryder
700227	276590	Ruth Hansen
700227	296883	Carol Johnson
700227	303307	Helen Elliott Johnson
700227	303555	
700227	311346	Toodles Ewing
700227	312294	Mary Jane
700227	312810	
700227	315695	Annette Pasteur
700227	324010	Herself
700227	329399	Florence 'Flip' Carson Merric
700227	330087	Daphne 'Daph' Graves
700227	330490	Milly Morton
700227	337041	Helene Dupont
700227	342930	Bonnie
700227	354556	Mary Wilson
700227	358194	Phyllis O'Conover
700227	362091	Marion Kilbourne
700227	367441	Helen Weston
700227	367547	Diana, as a Child
700227	367974	Lottie
700227	398693	Nell McLaughlin
700228	403805	Margo Snyder (2003-)
700229	240568	Laura
700230	34705	Woman in Crowd #2
700231	153248	Customer, Bunie's
700232	269305	Native guide
700232	368416	Mercedes Benz
700232	396353	Nurse
700233	95875	Herself
700234	220165	
700234	368244	Ensemble member
700235	55683	Nudist (as Helli Louise Jacob
700235	69405	Eva
700235	76782	Dagmar's friend
700235	96455	
700235	131786	
700235	139235	Third 'Men Only' Girl
700235	190817	Martha Magdalene
700235	306989	Prostitute
700235	344104	Susanne, datteren
700235	348518	Newsagent's Daughter
700235	368416	Paul's Backing Group
700236	105898	Marian Leslie
700236	191732	Stripper #4
700236	294272	
700236	326754	
700237	218411	
700238	307020	Carrie
700239	75612	Inmate
700240	279510	
700241	319454	Herself (Comedian)
700242	1191	Gang Babe in Van
700244	368224	
700245	309861	Minty
700246	233479	Dawn
700247	146359	Madame Baa
700249	52294	
700250	38849	Carol Bird
700251	161523	Grandmother/Cinderella's Moth
700251	243568	Herself (Susan)
700252	60928	
700252	93705	
700252	160777	
700252	290377	
700252	372752	
700253	123885	Anja
700254	396874	Antonia "Toni" Port, ehemals 
700254	409625	(1997)
700256	274200	TV Newscaster 2
700257	238898	
700257	238899	
700257	238906	
700257	238908	
700259	381634	Cremilda
700260	257962	Bobbylee
700261	45423	
700262	7199	Diane Marsh
700262	20476	Alexandra Bastegar
700262	50443	Miss Spencer
700262	52554	April Tierney
700262	53869	Noémie Blue
700262	57492	Herself
700262	79852	Helen Crane
700262	79907	Mary Jo Alfieri
700262	81269	Hilda Murray
700262	88258	Violet Hunter
700262	105455	Cora
700262	108548	
700262	112980	Herself
700262	114332	Dr. Immer Mehr
700262	117281	Topaz McQueen
700262	120272	Joan Holmes
700262	127714	Herself
700262	130049	Griselda Walden, Ty Ty's daug
700262	131464	Mrs. Carmel Flannagan (Wilker
700262	134713	Mrs. Pip
700262	138379	Selah Jennison
700262	138772	Helen Bricker
700262	142625	Claire Delaney
700262	151551	Laverne Baker
700262	168743	Mrs. Fontaine
700262	175621	Voice In Feel-O-Rama Movie
700262	192160	
700262	194204	Marjean Dorn
700262	195782	Herself/Woman
700262	209132	Donna Lacey
700262	214234	
700262	232438	Greer
700262	235708	Herself
700262	237600	Florence Beaugereaux
700262	285371	Sappho
700262	286342	Herself
700262	312536	Mae
700262	314444	Charmaine Wimperis
700262	320108	Herself
700262	338226	Linda Anderson
700262	355791	French Journalist
700262	361260	Bella
700262	361604	Celeste Clark
700262	366617	Birthday Guest
700262	368808	Lola Medina
700262	379716	Tish Pridmore (1994)
700262	385594	Julie Grey (1978-1979)
700262	390066	Ginger Grant
700262	393305	Singer
700262	403452	Taylor Chapin Field von Plate
700263	401885	Herself/L5
700264	178459	Party guest
700264	247305	Maria
700264	259419	Soultana Iakovidou
700264	285318	Anna
700264	334101	
700264	379405	
700264	380475	Renia Louizidou
700264	387025	
700264	387917	Anna
700264	394026	Hara Haska
700264	394037	Aliki Akamatou
700264	400508	
700264	401338	
700264	407738	
700264	408319	
700265	407199	
700266	345092	Mother
700267	138978	
700267	257158	Zineb
700268	217842	Lucie
700268	344118	Singer
700269	252571	Stefanos' mother
700269	333446	Rini
700269	379436	Zoi Apergi
700269	379530	Froso
700269	390039	
700269	398041	
700270	235579	Effie Simms
700271	202516	Sophie de Vilmorin
700271	361710	Cafe Patron
700272	355808	La bonne Sassi
700273	249367	Young Wendy
700274	254522	Young Madame Giry
700275	53848	
700275	53849	
700275	56299	Esther
700275	83732	
700275	205714	Simone
700275	248047	
700275	252594	
700275	268993	
700275	269167	
700275	269528	
700275	380154	
700275	380327	
700275	380328	Tânia
700275	380448	Lúcia
700275	386168	
700275	386418	Isabel Cristina
700275	389587	Iolanda
700275	393463	
700275	395400	
700275	398310	
700275	399498	Norminha
700275	400581	Cibele
700275	402564	
700275	403025	
700275	405915	Ruth
700275	406842	
700275	412256	
700277	63805	Herself
700277	155921	Singer
700277	385587	
700279	160717	
700280	20625	Extra
700281	166020	Godmother
700282	154899	Zombie
700283	385030	Marcela
700284	52070	Dancer
700285	28589	Dra. Berta
700285	103857	Mãe de Pankas
700285	109948	Luísa
700285	246292	La gardienne de prison
700285	251700	
700285	384995	
700286	5110	Widow
700287	18809	
700287	82296	Mulher Jovem
700287	84595	Julia/Young girl in Paris
700287	113673	Julia
700287	251917	Leninha
700287	273894	Mafalda
700287	339015	Marta
700287	349750	Marina
700287	380152	Mafalda
700287	406313	Mafalda Mayer (Fuca)
700288	380328	
700289	384922	
700289	393006	Branca D'Avila
700289	397415	Laura
700289	402506	Mariana
700289	404160	Chica
700289	404799	Olga
700289	405936	Miriam
700289	408727	Vilma
700290	354191	
700291	390242	Yasmin Fuentes (2002-)
700292	109948	Senhora Café
700293	396506	Spanish Woman
700294	378456	Dancer
700295	36554	Dani
700295	70067	Soninha
700296	243443	
700297	410360	
700298	255009	Angel
700299	29447	La montagne
700299	129513	
700299	217223	
700299	219606	
700299	327564	L'Américaine
700299	356974	
700300	155301	Tilly
700300	220674	Judge
700301	201205	Cathy
700302	247486	Doctor
700303	280998	
700303	344801	
700304	149522	Woman at scene sex with Mario
700304	381891	Helena
700304	385024	
700304	396610	
700304	402685	
700304	409057	
700305	67642	Florinda
700305	75367	
700305	80346	Luiza
700305	103901	Gertrudes
700305	131133	
700305	135268	
700305	155177	(segment "Ibrahim do Subúrbio
700305	248046	Vera
700305	350142	Madame Pixoxó
700305	357192	
700306	198215	Costurera 5
700306	396827	Paula Couto
700307	52928	
700307	57465	
700307	195117	
700307	255640	
700307	334565	
700308	195117	
700309	309759	Child of Mary
700310	150054	
700311	160492	Mississippi Court Stenographe
700312	61405	L'hôtelière
700312	73471	Mme Bernouillin
700312	128979	La femme de Charles
700312	198625	
700312	199606	Mme Pascoureau
700312	227526	Aunt Theresa
700312	240427	
700312	263017	
700312	294556	
700312	335898	Baronne Pitart Vergolles
700312	337012	
700312	339919	
700313	235986	Maidservant
700314	10300	Meretrix
700314	140396	Havincks dochter Eva
700314	381647	Cockie Versteeg
700315	14747	Julia
700315	14810	
700315	24545	
700315	30722	
700315	48801	
700315	54111	
700315	64696	Nélida
700315	88198	
700315	101260	
700315	105663	
700315	129611	
700315	132646	
700315	140558	
700315	140823	
700315	145675	
700315	148071	Novak
700315	150529	
700315	158850	
700315	193059	
700315	199780	
700315	212360	
700315	222036	
700315	222822	
700315	243240	
700315	249786	
700315	253670	
700315	255903	
700315	265154	
700315	279240	
700315	322220	
700315	324077	
700315	343628	
700315	354448	
700315	355942	
700315	376726	
700315	380094	
700315	380209	Gladis
700315	384115	Otilia
700315	387810	
700315	400945	Mariana
700315	402151	Clara Eugenia
700315	402675	
700315	403023	Valentina
700315	405242	
700316	83447	
700317	250898	
700318	397599	Secretaria
700319	67922	Check-in Agent
700319	99287	Lady in Waiting
700319	135402	Young bride
700319	158684	Nicole Miles
700319	184812	Air Stewardess
700319	385770	Jeneane
700320	217705	Janine adolescente
700321	155201	Daphne
700322	98099	
700322	153658	Anja
700322	153739	Levykaupan myyjä
700322	261537	Mother
700322	341786	Travel agency official
700322	349136	Myyjä levykaupassa
700322	387499	(episode 4: "Jatkoaika")
700322	400454	
700322	400848	Various
700322	404782	Asianajaja Haatanen
700323	409915	Mandy
700324	214909	Doc's Wife
700325	271053	Ministerin avustaja
700326	293212	Young Renata
700327	287414	
700328	113286	Bar Patron
700329	341363	
700330	260096	
700330	260097	
700330	377464	Guegdan's mother
700331	43703	
700331	201189	
700331	243017	Louise
700333	251608	
700335	100470	
700336	336759	
700337	35054	
700338	387574	Pato
700338	391417	
700338	395857	Julieta Rivas
700338	398472	Silvia
700338	409683	Gloria
700339	293322	
700340	72289	
700341	230444	Indian
700341	262086	Ms. Fairweather
700341	262087	Ms. Fairweather
700341	262088	Ms. Fairweather
700341	262089	Ms. Fairweather
700341	402002	Ms. Angela Fairweather
700343	129799	Herself
700344	4980	
700345	387098	
700346	376070	Galina
700347	84065	
700347	302379	
700348	21438	
700348	46961	Ginesta
700348	65383	
700348	78445	
700348	225432	Marie
700348	235861	
700348	236533	Josefa
700348	263882	
700348	284247	Marie-Luce
700348	341826	
700348	353882	
700348	376994	
700350	91322	Betty
700351	35668	Herself
700351	78690	Herself
700352	129033	
700353	5375	Piccola cantante
700354	294160	
700355	266091	Bar Prostitute #1
700356	381312	Angela
700357	46532	Larry IV
700358	126551	Heidi
700359	305148	Lisa's Office
700360	307049	Airport Check-in Girl
700361	317309	Portuguese American Club
700362	37858	Mother
700363	228339	Bessie's Friend
700365	37145	
700365	60795	
700365	81826	
700365	117216	
700365	184773	
700365	191356	
700365	219109	
700365	260173	
700365	306910	
700366	86702	Herself
700366	252871	
700366	372847	
700367	96994	7 Year Old She Wolf
700368	41603	
700368	97314	
700368	361886	
700369	25398	
700370	75028	
700371	80835	Eric's Neighbor (Read Sweater
700372	236384	Joan Stanton
700373	346121	Woman sweeping
700375	401224	First Lovely
700377	361959	
700379	367903	Scrubber
700381	358658	Carlita Garrison
700382	5776	Helen Carter
700382	13287	(unconfirmed)
700382	14246	
700382	18586	Mitzi Lavelle
700382	21393	Mary Jane Garth
700382	23224	Begonia Baggot
700382	29956	Mrs. Eubanks
700382	31054	Matron
700382	32000	Bit Part
700382	38660	Piedmont girl
700382	43734	Bonnie May
700382	47357	Hank Mahoney
700382	49237	Gloria Phillips
700382	55540	Carolyn May Cameron
700382	56980	Mrs. Frost
700382	59889	Carlie
700382	60308	Judy
700382	61771	
700382	69797	Margaret Holt
700382	75301	Geraldine Farleigh
700382	79396	Rose Eastman
700382	79684	Sue Prescott
700382	83687	Anna Moore (the country girl)
700382	93559	Janet Cleghorne
700382	95859	Violet
700382	100664	Shirley Hollister
700382	104340	Hilda Gray
700382	112436	Alannah Malone
700382	116274	Hulda
700382	117708	Ann, The Girl
700382	120690	Mrs. Grant
700382	125810	Julia
700382	126111	
700382	127181	Effie Kugler
700382	128310	Hattie Hartley
700382	130315	Marie
700382	131365	Amy
700382	131545	Diixie 'Babe' O'Day
700382	133424	Rags
700382	134127	American tourist
700382	135726	
700382	139560	Nora Banks
700382	142146	Waffles
700382	142478	Briar Rose Dawson
700382	147825	Herself
700382	151293	Caroline Rogers
700382	152589	Mary Finnegan
700382	152844	Lillybelle
700382	154351	Kathleen Vernon
700382	154665	Narrator
700382	154890	American tourist
700382	155701	Helen Thayer
700382	161542	The Bride of Cana (Judean Sto
700382	162617	Mrs. Duncan
700382	165414	American lady
700382	169493	Mrs. Mary McWilliams
700382	177522	Bessie Humphreys
700382	183601	Flora
700382	191667	Peggy Winston (The Little Bos
700382	192281	Celeste Janvier
700382	193617	Herself
700382	194991	Miss Paula White
700382	196523	Lovey Mary
700382	200112	Bride's mother-wedding group
700382	206279	
700382	206878	Herself
700382	207844	Ginger Bolivar
700382	209663	
700382	213064	Aurelie Lindstrom
700382	218938	Helen Huston
700382	220465	Mrs. Richardson
700382	224755	The Little Fish Blower
700382	230548	Geraldine Marsh
700382	231127	Becky Wiener
700382	231984	Herself
700382	232788	Nina
700382	233632	Plane passenger
700382	236143	Harriet P. Jefferson
700382	240521	American guest
700382	245641	Peggy Gordon
700382	251848	Pegeen O'Neill
700382	252278	Penny
700382	259757	Polly Ann
700382	259778	Mrs Snow
700382	260410	
700382	265740	Pet Shop Customer
700382	267541	Mui Far
700382	271003	Old Lady (T.O.C.)
700382	274525	Mrs. Partlow
700382	274873	Agnes
700382	279030	Maurine
700382	280832	Bunny
700382	282857	Mary Ellen Stack
700382	286139	Sally Rand
700382	289192	Janet Magie
700382	291322	Herself
700382	291753	Blossom, a Nymph
700382	293073	Ellen
700382	301761	Mary, his wife
700382	303241	Prudence
700382	304598	Pauline Gaudin
700382	308359	Nora Shea
700382	308539	Leola Lane
700382	309559	Teita
700382	309581	Celebrity
700382	312555	Edna Earle
700382	315675	Matron in Art Gallery
700382	315952	The Girl
700382	319006	Operator
700382	319060	Ellen Crawley
700382	320790	Mary
700382	330174	Mary Collins
700382	331126	Veda Carney
700382	331683	John Caspar/Virginia Cartwrig
700382	335455	Lahleet
700382	335728	Mrs. Busch
700382	336104	Marie
700382	336652	Mrs Baxter
700382	352406	Hyacinth
700382	354500	Rosemary, His Daughter
700382	360542	Prisoner
700382	360791	Wee Lady Betty
700382	365141	Marjorie's Mother
700382	366676	Joy Havenith
700382	367584	Grace Pierce
700382	370574	Patsy O'Reilly
700382	372147	
700382	372464	Victoria
700382	387332	Lady Cunand
700382	391836	
700383	51452	
700383	58855	Dot
700383	100248	Gloria Green
700383	129501	Loulou
700383	289436	
700384	114277	
700385	44158	
700387	34739	
700387	34740	
700387	34892	
700387	36901	
700387	44651	
700387	44652	
700387	150051	
700387	208454	
700387	291018	
700388	278692	Maxine
700389	42834	
700390	368310	
700392	36918	
700392	327780	
700394	147655	Door Gunner
700396	796	
700397	128241	
700397	360814	
700399	1434	Herself
700399	1462	Herself
700399	1664	Lucy
700399	26804	Herself
700399	30702	Big Pink
700399	31868	Joan Vollmer
700399	45003	
700399	57651	Herself
700399	65161	Herself (Narrator)
700399	73868	Herself
700399	110523	Rhonda the Waitress
700399	170427	Claire
700399	182094	Herself
700399	185529	Herself
700399	203358	Lynne Margulies
700399	203360	Herself
700399	215564	Lady Macbeth
700399	221478	Herself (with Hole)
700399	233477	Herself
700399	235407	Herself
700399	238613	Herself
700399	252483	Althea Leasure
700399	300871	Gretchen
700399	315901	Velma
700399	324777	Norman's Spanker
700399	338278	Cheryl Hickey
700400	60796	
700401	47221	Herself
700401	59099	Backup singer in opening scen
700401	188507	Trish Murtaugh
700401	188509	Trish Murtaugh
700401	188510	Trish Murtaugh
700401	188511	Trish Murtaugh
700401	280026	Herself
700401	299018	Blossoms singer
700401	314778	Herself
700401	352749	Musical Perfomance
700401	380391	Judy Burrell (1993)
700401	405149	Regular
700403	159921	
700404	12276	
700404	51990	Kitchen Matron
700404	127074	Clubwoman
700404	158909	Helen
700404	329502	Lola Nelson
700405	161242	Herself
700406	1153	
700407	100209	Blonde Woman
700407	194268	Flower Girl
700407	359712	Kid's Mother
700408	194648	Nancy (court stenographer)
700409	226954	Herself
700410	7750	
700410	219039	
700410	319390	
700411	209747	
700413	295998	Susie, Sagittarius
700417	33395	Tribal dancer
700418	313342	Walla Group
700419	178868	
700420	58860	
700420	71917	Yvonne Travis
700421	315198	Skunk
700422	75040	
700422	264738	
700422	279953	
700423	88344	
700424	79272	Dater
700424	395028	Beatrice
700425	123804	
700428	50384	
700429	247991	
700430	278716	Exotic Dancer
700431	207238	Shower woman
700433	131686	
700436	72462	Hotel Guest
700436	207445	Video girl
700437	351914	
700438	6219	Orlean Dinner Guest
700440	150421	Herself
700440	309535	Shaniece
700440	392421	Herself
700440	392422	Herself
700440	392424	Herself
700441	27287	
700441	27288	
700441	109956	
700442	405159	Louella Docherty
700444	347710	
700445	13457	Eraglia
700445	14837	
700445	33446	Ippolita
700445	40782	Mail-order bride
700445	52179	La regina di Cipro)
700445	59527	
700445	67528	Janet
700445	76299	
700445	86059	Margaret
700445	92486	Debra Kate
700445	94659	Lola
700445	111259	Mike Shevlove
700445	112668	
700445	113682	
700445	171720	
700445	244077	Lucia, her mother
700445	251852	Vanessa
700445	255033	
700445	266012	
700445	268997	
700445	270828	
700445	289445	
700445	301371	
700445	309165	Groper's Niece
700445	320343	
700445	349752	
700445	374495	Zenabel
700447	157516	Rose Whitelands
700448	29307	
700449	231078	Hotel Maid
700449	265288	Lady
700450	133972	Mary Patterson
700451	379376	Herself
700452	130477	Haley
700452	276617	Girlfriend
700452	291170	Simone
700453	349894	Lori
700454	1308	
700454	2433	
700454	13818	
700454	26159	
700454	26167	
700454	41545	
700454	41586	
700454	41636	
700454	41641	
700454	55580	
700454	60286	
700454	60330	
700454	74184	
700454	81812	
700454	87274	
700454	87311	
700454	87314	
700454	99129	
700454	106430	Short Latin Teen
700454	119919	
700454	127766	
700454	139266	
700454	147730	
700454	150177	
700454	242553	
700454	247989	
700454	296182	
700454	300518	
700454	306921	
700454	347286	
700455	193138	Mrs. Slimp
700457	393988	Karen Mizuki/Heart Queen(Pink
700458	106491	
700459	316411	Yvonne
700459	364376	Vanessa
700461	14914	
700461	106193	Milly Putnam
700461	109633	Gene
700461	215347	Herself
700461	221047	Corinne
700461	342561	Penny
700461	356472	Traffic Cop
700461	389106	Hostess (1998-2000)
700461	407470	Motherly Waitress
700461	408369	Herself/Guest Panelist
700464	41623	
700467	349386	
700468	81817	
700468	118293	
700468	282963	
700469	8235	Woman
700469	25480	Mary Deare
700469	50203	Prostitute
700469	50499	Female Student
700469	78764	
700469	118021	Mrs. Riordan
700469	180787	Iris
700469	193917	Carol
700469	314202	Josie
700469	328517	Hannah
700469	329541	Sandra's Friend
700469	397659	Mrs. Plymdale
700469	410599	Tasca
700470	120225	Martha 'Mattie' True Birdwell
700470	207403	Kaja
700470	220793	Nurse
700470	306587	Young delinquent
700470	372527	Mrs. Alexander
700473	29511	
700473	39097	
700473	72812	
700473	75085	
700473	107168	
700473	107169	
700473	111666	
700473	152888	
700473	196377	
700473	196378	
700473	260097	
700473	269436	
700473	269437	
700473	326691	
700473	326859	
700474	11135	
700474	35517	
700474	39248	
700474	50355	
700474	63384	
700474	117576	
700474	147652	
700474	187169	
700474	219146	
700474	236877	
700474	265771	
700474	295715	
700474	360102	
700475	169136	Chorus
700476	37225	
700476	76932	
700476	140952	
700476	235417	
700476	295715	
700477	36886	
700477	36924	
700477	327782	
700478	287732	Cleopatra 'La Sata' Love
700479	15224	Herself
700480	231919	
700481	244275	Emilia
700482	75195	
700482	91761	
700482	93717	
700482	97538	
700482	188034	
700482	290377	
700483	158592	
700485	40302	Lizzy
700485	43874	Lacey
700485	43875	Lacey
700485	45875	Kaylie Bedford
700485	66390	Lucy
700485	85176	Jenny Scanlon
700485	137223	Debutante #2
700485	240039	Olivia
700485	276744	Lacey
700485	277107	Kelly
700485	305574	
700485	316311	
700486	29241	
700487	153809	
700488	406007	Kelly Chadway
700491	350700	Collette Harbour
700492	3452	
700492	4689	
700492	31641	
700492	69502	
700492	70785	
700492	147723	
700492	182951	
700492	353680	
700493	294137	
700494	133610	Chorine
700494	274502	
700494	312041	Sylvia Parker
700494	313076	Dancer
700494	321616	
700494	372928	Maizie
700500	407138	Herself - The Swan
700501	10862	Susan Reed
700502	219168	
700502	219201	
700503	186207	Rachell
700504	245612	Angelica
700505	42732	Vampire movie actress
700505	233577	Ali Weston
700505	254418	Marianne Craig
700505	357129	Lara Hawke
700506	189167	Jane Samuels
700507	147882	Herself
700508	108941	Marlene
700508	195276	Aubrey
700508	235052	Operator
700508	318174	Waitress
700509	43204	
700510	113690	
700511	267084	
700513	218160	
700514	68901	
700515	224314	Beverly Modina
700515	236691	Jean
700515	252926	Detective Linda Arndt
700515	272026	Officer Isabel
700515	323813	Fighting Neighbor
700515	330594	Student Teacher
700515	394510	Laura's Lawyer
700515	411272	Asst. State's Atty. Rhonda Pe
700518	48075	Zoe
700519	200371	Thin Woman
700520	112424	Lisa
700521	71740	
700521	116837	
700521	122865	
700521	306841	
700521	333650	
700522	102575	Gloria
700523	362512	Choir Member
700525	231972	Liesje von Klaveren
700526	164572	Steakhouse Waitress
700526	267038	Waitress
700527	36922	
700527	128777	
700527	133920	
700527	188475	
700527	327782	
700527	333833	
700528	41978	Herself
700528	41986	Herself
700528	69435	Herself
700528	105900	Herself
700528	160339	Herself
700528	191047	Herself
700528	191049	Herself
700528	213092	Herself
700528	224358	Herself
700528	278645	Herself
700528	295636	Herself
700529	329757	Nunkie
700530	194765	Norrie
700531	359553	Sandra Skeet
700531	382838	Melanie O'Leary (1997-1998)
700532	112221	Lil T
700533	83987	
700534	367866	Herself
700535	222638	Undetermined Role
700535	311024	
700536	206448	Grace Blaine
700537	23418	Herself
700537	132845	Herself
700537	132846	Herself
700537	218479	Herself
700537	242957	Herself
700537	281530	Herself
700537	384538	Herself
700538	382654	Presenter
700538	401647	Little Alex
700539	11926	La bonne du dentiste
700539	32217	Angela
700539	138146	Air Hostess
700540	178020	Child's Mother
700541	18982	Herself
700542	16878	Elaine Alabaster
700543	337478	Consular Official
700544	178125	Felicity
700544	207238	Marcie
700544	300772	Michelle
700545	47474	Nina & Eddie's Daughter
700546	23963	
700546	39865	Ursula
700546	41063	Herself
700546	54705	
700546	59183	
700546	65606	Susan
700546	82660	Student led to safety by Core
700546	93108	
700546	102782	
700546	105901	Star
700546	110980	Sun
700546	117874	Football fan
700546	125425	Herself
700546	128785	
700546	139171	Star
700546	140955	Lorretta
700546	144684	Sheila
700546	145019	Student in quad when sniper a
700546	146079	Narrator (1996 version)
700546	155010	Alisha
700546	175804	Ring
700546	176811	Rita
700546	193523	Lolita
700546	200134	Narrator (1996 version)
700546	201793	Herself/Rita
700546	215508	Las Vegas cocktail waitress
700546	231566	
700546	231894	Runaway
700546	236331	Barbie
700546	236340	Herself
700546	250523	Narrator (1996 version)
700546	256260	Cocktail Waitress
700546	257058	Rita
700546	257672	Herself
700546	257673	Herself
700546	278829	Goddess
700546	296020	Laurie Hunt
700546	340949	Girl that boys whistle at
700546	355153	Kika
700546	364207	Cindy
700546	367066	Narrator (1996 version)
700546	367873	Charlotte
700546	384446	
700547	79059	Nurse Alexandra
700547	123172	Waitress
700547	137578	Mrs. Anderson
700547	154094	Debbie
700547	255274	Blanche
700547	402197	Jenny Hartley (1985)
700548	16878	Edith Alabaster
700549	41169	Herself
700550	127295	Bridge Lady
700550	276667	Theresa Jordon, Singer
700551	18979	Onlooker at Launch Site
700551	18982	Herself
700551	194918	Herself
700552	82696	Rheya
700552	298318	Jenna
700553	2174	Magazine Girl
700554	148572	Lisa's Mother
700554	158909	Nora
700554	262519	Mormon Wife
700554	372198	Receptionist
700555	209617	
700555	279758	Joan
700555	379327	Joan
700556	18982	Herself
700556	194918	Herself
700557	17692	Diana Barry
700558	157516	Phillippa Tracy
700559	388765	
700560	35284	Bettina Scott
700560	41223	
700560	42429	Bobbie Brent
700560	50649	Bessie Morgan
700560	67098	The Colleen
700560	69605	
700560	79343	
700560	89717	Dolly Clare
700560	90267	
700560	109820	Bessie Brayton
700560	112012	Laura Sheldon
700560	118473	
700560	121382	
700560	127512	Rokaia
700560	127693	Leonita & Elisa
700560	128512	Joan Tracy
700560	133259	Alice Gordon
700560	134451	Virginia Grant
700560	134452	
700560	138225	
700560	141322	Patricia Graham
700560	143165	
700560	143412	
700560	167283	Elaine Fleetwood
700560	168772	Anne Travers
700560	169673	Beatrice Corlin
700560	185464	Jenny Lee
700560	190282	Mary Austin
700560	190295	Nan Cumberland
700560	191872	Beverly Arnold
700560	193711	Ray Longstreth
700560	203126	Helen Garfield
700560	209190	Pattie Batch
700560	234243	Hope Ross
700560	239753	Kate at 21-31
700560	241437	Judith
700560	243741	Helen Shields
700560	245347	
700560	246717	Lou McTavish
700560	249519	Helen Meriless
700560	261897	Grace Donaldson
700560	274553	Helen Reed
700560	277640	Julie Le Fabrier
700560	297769	Diana Chichester
700560	303095	Lorelei
700560	304400	Virginia Ames
700560	306733	Marjorie Woods
700560	317167	
700560	323742	
700560	324405	Vera Lane
700560	330568	Eleanor Steele
700560	332410	Mrs. Fallon
700560	332414	
700560	342599	Little Casino
700560	348955	Beatrice Clive
700560	363570	Mary Franklin
700560	366194	Iris Deane
700560	367258	Bess Nolan
700560	367393	Isabel Hollins
700560	368778	
700563	73303	Wedding Guest
700564	127290	Present Girl
700565	218820	
700566	320883	As Herself
700567	114283	Relations
700568	4369	Showgirl
700568	150398	Uranian female officer
700568	184955	Woman
700568	343160	Showgirl
700569	39256	
700569	88335	
700570	80969	Regular Customer
700570	94539	Hip Designer
700570	342499	Farm Girl/Auditioner
700571	159674	
700572	269235	
700574	407537	Herself/Parihaka
700575	394453	Sharon
700576	230841	Red Haired Woman
700577	385299	Mrs. Benson
700578	376785	
700578	383438	Rosita
700580	28481	Extra
700581	130459	
700582	22622	Audrey Marie Hilley
700582	155636	Mandy
700583	282563	Mrs. Hawkins
700584	105851	Officer Martha
700585	52543	Mary (Mitzi in credits)
700585	71928	Judy Price
700585	92435	Judy Price
700585	114729	Circus Member
700585	116222	
700585	134058	Frances Grayson
700585	194209	Marge
700585	196928	Norma
700585	204799	Jane Mason
700585	209588	Judy Price
700585	250516	Woman
700585	261973	Sally Dean
700585	275431	Judy Price
700585	302633	Carol Brewster
700585	315748	Bit Part
700585	329605	Mr. Delmore's Secretary
700585	330087	
700585	330188	Judy Price
700585	342376	Cigarette girl
700585	364625	Mrs. Benson
700586	72733	Girl in Booth
700587	43373	
700588	316692	Laura Hildebrand
700589	215527	Little Delmount
700590	232888	Rachel Blake
700591	2766	Nude Model
700591	39646	
700591	44907	
700591	85774	
700591	87249	
700591	119754	
700591	233693	Games Women Play
700591	243124	
700591	295586	Sex probe 'z'
700591	323138	
700592	313828	Policewoman
700592	346216	Miss Barton
700592	361864	Mrs. Bonnick
700592	405960	Ruth Castle
700593	19362	Agnes Bowden
700593	35164	Mrs. Walaschin
700593	38572	Matron
700593	65501	President's Secretary
700593	76556	Agnes Feighan
700593	108477	Stanford Woman
700593	141859	Mrs. Farber
700593	220985	Nurse
700593	242866	The Stitcher
700593	263782	Evelyn
700593	266575	Woman Customer
700593	282482	Earl's Mother
700593	298037	Margaret
700593	317264	Aunt Paula
700593	335799	Salesgirl
700593	362355	Neighbor Woman
700593	362716	English Lady I
700593	387540	Eileen Lambert
700594	239069	Girl
700595	61842	Ila Jo
700595	388217	Miss Olcott (1952)
700596	137462	Dancer
700597	197481	Layla
700598	5411	
700599	155880	
700599	276399	
700600	36902	
700600	50385	
700600	70785	
700600	81378	
700600	97194	Cassandra
700600	116013	Herself
700600	125489	Girl on First Porno Tape
700600	134690	Lovette
700600	138132	
700600	149401	
700600	186129	
700600	190047	Young Woman
700600	195625	
700600	210452	
700600	232286	1998
700600	254698	
700600	311160	
700600	311161	
700600	314720	
700600	320449	
700600	331995	
700600	351807	
700600	365495	
700600	370027	
700601	26633	Herself - Angel and The Rerun
700601	164180	
700602	372343	Mrs. Laury
700603	282434	Wired Jaw Lady
700604	231109	Mrs. Foster
700605	83201	
700605	268982	Cathy
700605	318516	
700605	345036	
700606	196559	Alice
700606	411199	Poppy
700607	58357	
700607	77873	
700607	280011	Lola
700608	191740	Bertha Bicknell
700609	361577	Gitele
700610	257684	Herself
700610	257867	Herself
700610	313583	Tony's Girlfriend
700610	344524	Herself
700613	185228	Sho's Woman #3
700613	307403	Mudwrestler
700613	339602	
700615	30247	Amelia
700615	176920	Morris' Wife
700615	208661	Pamela
700615	373216	Auditioning Actress
700616	359933	
700617	213826	
700617	228592	
700618	14972	Marguerite
700619	40864	Nick Cave Fan
700620	139778	Edna Fitzpatrick
700621	349291	Evica
700622	2340	Elsa (minister's housekeeper)
700622	9129	
700622	32362	Mrs. Rossano
700622	41800	May (blind flower woman)
700622	46993	Dressmaker
700622	54458	Countess de Cresci
700622	58793	
700622	61164	Mrs. Schleffler
700622	68695	Parole Board member
700622	72578	Mrs. Ortega
700622	81194	Mrs. Sabourin (Clementi's mot
700622	90879	Elderly woman
700622	94774	Celeste Tulane
700622	114926	Bertha Polacheck
700622	118543	Minna Ludenbach
700622	118546	Princess Saba
700622	124224	Tulio's mother
700622	125486	Mother
700622	133953	Woman behind railings
700622	137982	
700622	139483	Marie Ouspenskaya
700622	146832	Frau Angela Raubal
700622	154495	Mrs. Sante
700622	176872	Mrs. Kowalski
700622	185711	Mama Janette
700622	188547	Flower Vendor
700622	201418	Mother
700622	203270	Mrs. Chaney
700622	208985	Madame Arle
700622	230902	Mama Lupo
700622	231970	Mrs. Niemoller
700622	242941	Lutsi
700622	252426	Mrs. Korvac
700622	262118	Mrs. Hallson
700622	277440	Frau Sigerlist
700622	283251	Anna Smigelski
700622	289555	Mrs. Barrington
700622	291864	Mrs. Emma Steigmann
700622	305934	Gertrude
700622	310059	Exchange Leader
700622	329098	Mrs. Gantz
700622	331323	Baroness
700622	340327	Senora Sandoval
700622	342487	Ida Morris
700622	363567	Miss Dodd (Kyne's nurse)
700622	376405	
700623	331575	Voices (All Characters)
700624	229543	
700624	255512	
700625	141605	Supermarket Shopper #1
700626	151055	BBC announcer
700627	48063	Rowena Baxter
700627	50499	Female Student
700627	334634	Daniela Mertens
700628	3148	Maxine's Mom
700628	127204	
700628	282628	
700629	206445	Student in Pageant
700630	402740	
700631	360798	Squirell
700632	13061	
700633	110299	Jennie
700633	227006	Model
700633	333391	Penny Evan's Assistant
700634	132122	Sarah
700634	194378	Laurie
700634	258550	Patricia Fortescue
700634	297188	Doctor
700634	396050	Sally
700634	401224	Topsie
700636	411592	Celia
700637	369958	
700638	225844	Chan Huay
700639	77829	Hospital assistant
700640	47355	
700640	78528	Cleopatra
700640	273781	
700640	279687	Fashion Model
700641	50041	Gloria
700641	261528	Mother
700642	405110	Wan Yanping
700643	16878	Dancer
700644	290771	
700645	317941	Little Florence Gordon
700646	117656	
700648	212749	
700649	278153	Cashier
700650	32809	Sophie
700650	103926	Nicole
700650	292213	Vera
700650	383136	Elizabeth
700650	387993	Zoe
700651	360690	
700652	17592	TV Newscaster
700652	133346	Daisy May
700652	308184	Desk Nurse
700652	328458	Lady with Dog
700653	364094	Party Girl
700654	64333	Herself (1978)
700655	329545	Herself
700656	199685	Madison Rye
700657	300009	Nina Starr
700658	389770	Madeleine Wool/Liz Asher
700659	361068	Girl in Upside Down Bathroom
700660	359971	Grad
700661	66121	Sarah
700661	112023	W.P.C
700661	215761	Hooker
700661	247435	Edith Southey
700661	304764	Donna
700661	399069	Claire Whitaker
700661	403228	Melanie Woods
700662	323454	Patricia
700663	77464	Veronica Wallace
700663	80653	Dora
700663	309829	Jenny
700664	190796	Nurse
700665	214422	Beauty Class Teacher
700666	383774	Sra. Matienzo
700666	397117	
700667	85840	Woman #2
700668	327240	Laura as a Child
700669	274427	Wedding Party in Philadelphia
700670	58507	Cellmate
700670	93357	Tech Aide #3
700670	303611	Waitress in diner
700671	61769	Tiffany
700671	126505	Girl #1
700671	154614	Beautiful Girl
700671	160524	Kay Connell
700671	196110	
700671	287126	Virginia
700671	292472	Cheerleader
700672	147628	Izzy Cornwell
700672	391786	Izzy Cornwell Davies (2000-20
700673	33748	Anna
700673	39494	Maid, Midtown Hotel
700673	40906	Chief's companion
700673	44339	Abigail
700673	63158	Maid
700673	64729	Miss Townsend
700673	77834	Miss Ponsonby
700673	123852	Mrs. Tutters
700673	131806	Caryl's Landlady
700673	144425	Flory, the Maid
700673	146753	
700673	155558	Townswoman
700673	177364	Miss Meredith
700673	222701	Nurse Foster
700673	223917	Weissmuller inquirer's compan
700673	231768	Nurse
700673	242533	Betty Locke
700673	255887	Mrs. Pritchard
700673	260864	Miss Jones/Jonesy, Barton's s
700673	271997	Effie Tinker
700673	275057	Marie Blanchard, Farmer's Wif
700673	282041	Stella Prouty
700673	285147	Aunt Amanda
700673	300909	Mrs. Rivers
700673	303379	Effie
700673	304865	Mrs. Sims
700673	305398	Sally, third Nurse
700673	305934	Patient
700673	342154	
700673	358183	Amanthy (Whopper's girl)
700673	372081	Eva
700673	372588	
700675	149467	Wendy
700676	149467	Wendy
700676	154661	Sarah
700677	87979	Tanya
700678	81563	Mrs. Victoria Sorleyson
700678	223059	Sharon
700679	13990	Harriet (D.A.'s Secretary)
700679	31073	Doctor
700679	239394	Sue
700679	282022	Georgia
700679	301659	Woman in Red
700679	311252	Heather (Blind girl)
700680	123925	
700680	297378	Golden Almond
700681	59375	Squinting Lady
700683	27247	Monica Lindsay
700683	189922	Nancy's Mother
700683	310866	Public Relations Woman
700683	323825	Toni Spuhler
700683	354548	Brown-Eyed Girl
700683	381121	Monica Lindsay (Series 1, 3) 
700683	382253	Millicent Lake
700683	385299	Mrs. Coburn
700683	389167	Mrs. Pagel
700683	393695	Mam Briggs
700683	406660	Mrs. Harris
700683	410846	Paula Harvey
700683	411829	Mrs. Cunliffe
700684	197718	Lurlene
700685	308048	Mean Executive #1
700686	146729	Renee
700686	157436	Awards Event Model
700686	284932	Redhead
700686	380391	Denise (1998)
700687	383619	Herself
700687	393471	Cook
700688	38728	Angels
700689	5736	Marjorie
700690	348535	Kitty Kat girl
700691	10330	Margaret
700691	49389	Lovely Lady on Train
700691	106666	Illona
700691	112049	Assistant Hotel Manager
700691	291233	
700692	306431	Butchershop Customer
700693	37696	Adonna, Boobalonian Guard
700695	51800	Pre-deb
700696	43087	Receptionist
700696	46529	Eleanor
700696	124123	Reporter #2
700696	380526	Sid
700697	199685	Young Madison
700698	231907	Margaret
700699	220574	Polo player
700700	97581	Annie Oakley
700701	410020	Herself
700702	211603	Valencien
700703	329484	Bridesmaid
700704	49733	Maid
700705	28592	Herself
700707	55678	Madame Fifi
700707	72031	
700707	143522	Stella
700707	150631	Fatima
700707	232608	Signora Cecchetti
700707	239082	Lady
700707	277826	Frau Dollmann
700707	306438	Florine
700707	313954	Baba 'Robinson', taller singe
700707	314508	Percy's wife
700707	352695	Herself
700707	363300	Lt. Anne-Marie Kernitser
700707	386708	Maria (1975)
700708	240026	Mrs. Morris
700709	406491	Lee
700710	85176	Myrtle Pendleton
700711	224070	Special Extras
700712	32809	Hettie
700713	257111	Linda
700714	120298	Student
700715	274427	Wedding Party in Philadelphia
700716	54615	Mrs. Cheyne
700716	203687	Mrs. Cameron
700716	224213	Nurse
700716	301660	Dr. Anderson
700717	48556	Esther's girl
700718	3750	Herself
700718	57560	Family Lady A
700718	74259	Night Court Parent
700718	83961	Mole McHenry
700718	110974	Vikki
700718	137259	Angry Mother
700718	157521	Herself
700718	184562	
700718	217913	Asylum Inmate
700718	222254	Cavalcade pervert
700718	251646	Hairdresser
700718	259864	Mall Victim
700718	294798	Court Groupie
700719	88878	Mrs. Parker
700720	401828	Sharlee
700721	330231	Gardner's girlfriend
700722	232239	Matron
700723	196558	Bit part
700724	34646	Herself
700724	43451	Herself
700724	43877	Kate (The Guardian)
700724	66131	Fashion Model
700724	78184	Julie
700724	92249	Maxine
700724	94963	
700724	100117	Francine at 40 years
700724	112049	Cub Felines
700724	135177	Kate
700724	155453	Janet Anderson
700724	160303	Herself
700724	165265	Herself
700724	186841	Bank Teller
700724	189403	Pam Bouvier
700724	195305	Martha
700724	219181	Joan Brock
700724	279430	Jessie Tailor
700724	304829	Maggie Abbott Baldwin
700724	395273	ADA Jamie Ross (1996-1998)
700724	395276	Jamie Ross
700724	395309	Dottie Hinson
700725	13952	Helen Davis, later known as C
700725	309501	
700726	37504	Martha
700726	49597	
700726	56208	Elizabeth Walker, Cartwright'
700726	84859	Ma Roberts
700726	92612	Ma Ganson
700726	92798	Mrs. Stamm
700726	118272	Mrs. Bassett
700726	129804	Mr. Luce's Mother
700726	131896	Aunt Julia Hamilton
700726	144994	Mrs. Lippincott
700726	154841	Mrs. Bancroft, Sr.
700726	162983	Grandmother
700726	192747	Aunt Martha Prentiss
700726	196249	Mother
700726	199330	Countess de Berne
700726	208636	Mrs. 'Mother' Halevy
700726	211568	Amelia 'Grandma' Frink
700726	212746	Hettie
700726	213081	Abigail Ardsley, The Old Doll
700726	246512	Dawn Glory's Mother
700726	249621	Nettie Putnam
700726	251215	
700726	270507	Mrs.Thornton
700726	281213	
700726	297931	Farmer's Wife
700726	300912	Tillie
700726	306327	Liza Canterbury, Tanner's Hou
700726	316946	Hattie 'Ma' Carson
700726	331342	Hadj
700726	338104	Matilda Branham
700726	349917	Mrs. Wadsworth
700726	355220	Mrs. Fleury
700726	365208	Aunt Sue Prentice
700727	130947	Harley Street Nurse
700727	178693	Guest at Dinner Party
700728	6797	Herself/Narrator
700728	45950	
700728	66948	
700728	130677	Georgia's friend/Woman in dan
700728	196551	Madge Barlow
700728	309581	Motion Picture Crew
700729	83985	Janet Heldon
700729	330018	Katy Donahue, age 8
700729	347732	One of maria's children
700730	108087	Musician
700731	29149	Mona La Rue
700731	134652	
700731	224337	Bonnie Winstead
700731	331463	Donna
700732	154747	Girl
700733	152534	Agnes Fonseca
700734	358291	Prostitute
700735	51661	Karaoke party guest
700736	292266	Cafe Cook
700737	78915	Shltzy the Pinhead
700737	78916	Louise, the barmaid
700737	142716	'Family' girl
700737	150468	Polly
700737	259898	Miss Pritchitt
700737	343263	Eileen
700738	409823	Juliette Van Loc (1997)
700739	274315	Assistant Director (segment "
700740	314619	Movie Patron
700741	95633	Herself (guest editor)
700743	89308	Chainsaw baby
700744	304737	Tanya DeCarlo
700745	106721	Jamie
700746	200443	
700747	321213	Carrie Lee
700748	307105	
700749	30962	Chelsea Cunningham
700749	381392	Chelsea Cunningham (I) (1999-
700750	353421	Sarah
700751	271192	Bank officer
700752	131805	Psychiatrist
700753	291915	Alabama Beauty winner
700754	270752	Interviewed
700755	230418	Helen Bentley
700756	381091	Herself (eliminated round 2)
700757	53821	Stacey
700757	186030	
700757	238168	Dr. Lisa Finch
700757	256359	
700757	265102	Dr. Gray
700757	353364	Andrea (Andie) Hunt
700757	387303	
700757	407470	Hillary
700758	223380	Nurse With Tray
700760	154354	
700761	380713	Monica Lawrence Eldridge #1 (
700762	81319	Ruby
700763	968	Nurse
700763	2075	Ruby
700763	21154	Harriet, Martha's Maid
700763	115326	Selma
700763	171200	Stranger
700763	186665	Mrs. Richards
700763	230676	Woman in hallway
700763	262589	Anna Eldridge
700763	292122	Nurse
700763	316411	Fast Food Customer
700763	319471	Bag Woman's Daughter
700763	353273	Nurse
700763	362115	Betty (switchboard operator)
700763	366908	Sgt. Rocco
700763	384350	Ms. Karen Coretta Noble
700763	390035	Grandma Jenkins
700764	164560	Pam
700765	325269	Sara Lively
700766	383486	
700767	143915	Gabrielle Lyon
700768	131753	Leslie Morris
700769	78223	Customer At Store
700770	220710	
700770	220726	Mozart's Mother
700771	309574	Dance Partner
700772	123114	Pilot
700773	7099	Average Mom
700773	265100	Mrs. Henderson
700774	85574	Anya
700774	119466	Barfly
700774	169895	Tracey
700774	219819	Sunny Deal
700775	292415	'Lizabeth Ellen
700776	11410	Party-Girl
700776	120817	
700776	187811	DC Kerry Allen
700776	330830	Nurse at Birth
700776	356764	Leisl 'Lee' Moogan
700776	383018	Jane (Series 2-) (2003-)
700777	109361	Herself
700778	371381	Bridget O'Brien
700779	175860	Blond Woman
700779	245036	Cassie Carver
700780	126707	Friend of Madison
700781	87591	Bitch
700782	116924	Prostitute
700782	164400	Trish
700783	35812	Child In Dream Sequence
700784	385862	Herself
700785	253819	Newscaster
700786	256619	Isabel Stanley
700787	21509	School Teacher
700787	244698	
700787	244702	
700788	41697	Mummy Tyl
700788	69655	Miss Brice
700789	224157	Esther Drew
700790	45829	Barbara
700791	272234	Mayor's Wife
700792	1048	Peasant woman
700792	16251	Mrs. Hathaway
700792	16445	
700792	66978	Odie Turman
700792	97826	Nanny
700792	153187	Stuart's grandmother
700792	183871	Grandmother
700792	214955	Nurse
700792	214984	1st Crone
700792	232250	Mother Annie
700792	240410	
700792	260387	Old Woman
700792	319544	Mother Barlow
700792	321154	
700792	332785	
700792	340542	Sister Prudence
700792	350012	Aunt Amy
700792	401397	Sally Dexter
700793	221304	
700794	56750	Ruthie
700794	59577	Mother
700794	68728	Julie
700794	72668	Kathy Bolman
700794	74979	Herself
700794	112545	Lorene Maddox
700794	154202	Carrie
700794	196284	Alta Leigh/Julie Kent
700794	299393	Nurse Forsythe
700794	299649	Lucy Sanders
700794	318346	Alta/Julie
700794	321281	Rita
700794	392185	Sandra Henderson (entire run)
700795	59665	Treasure Chest Dancer
700795	76221	Dominique
700795	194332	Dancer
700796	1692	Herself
700796	154379	Herself
700796	360269	Herself
700796	378883	Presenter
700796	380285	Herself (Reporter)
700796	399045	Presenter
700797	67096	Receptionist
700797	130712	Woman
700798	37017	Herself
700798	378881	Newsreader
700798	379449	Presenter
700798	381886	Herself - Newsreader (2000-20
700798	395698	Reporter (2003-)
700799	81177	Herself
700801	26885	Hooker
700802	379255	Justine
700803	264837	
700805	367799	
700806	367903	Inmate
700807	113461	Wilma Waldron
700807	223062	Wife
700808	94685	Inger
700808	200515	Evelyn Wilkins
700808	274907	
700808	344598	
700808	351536	
700809	8262	Segretaria
700809	19493	
700809	74968	
700809	94714	
700809	137430	
700809	204691	
700809	206018	
700809	221673	
700809	260592	Herself
700809	269180	
700810	41400	Girl
700811	2538	Herself - Presenter: Best Sho
700811	2899	Herself - Honorary Award Reci
700811	3039	Herself
700811	5839	Roma
700811	7961	Nora Charles
700811	9131	Mrs. Devaney
700811	17183	Cecilia 'Cee' Henry Collier
700811	18019	Nora Charles
700811	19282	Grace Greenlaw
700811	20851	Joyce Lanyon
700811	26606	Margaret
700811	27308	
700811	29675	Diana 'Di' Standing
700811	33646	Mrs. Lillian Gilbreth
700811	33922	Hedonist (Bit Part)
700811	34977	Milly Stephenson
700811	35577	Juanita Sheldon
700811	37255	
700811	38946	Belinda White
700811	40017	Yasmani
700811	42702	Alice Lester
700811	46764	Sophie
700811	47311	Alice Higgins
700811	52823	Lea
700811	57390	Maid
700811	60162	Mrs. Lillian Gilbreth
700811	65663	Countess Veya
700811	67620	Lizzy Fielding
700811	69616	Morgan le Fay
700811	69792	Elaine Brandon
700811	71861	Mrs. Flanagan (Mother)
700811	73398	Isobel/State Street Sadie
700811	81282	Selena Chapman
700811	83652	Azuri
700811	84936	Mary Crayle
700811	88564	Evelyn Tryon
700811	90103	Mai, Lady in Waiting
700811	91917	Margit 'Baby' Agnew
700811	99134	Amanda Kenyon
700811	99949	Countess Isabelle 'Izzy' Smit
700811	100893	Maureen Lawson
700811	104950	Evelyn Prentice
700811	105349	Native Girl
700811	106192	Living statue
700811	108511	Myrna
700811	113594	Vamp
700811	120639	Martha Eaton
700811	127687	Inez Quartz
700811	128177	Mary Carlton
700811	128266	Girl in China
700811	133565	Manuella
700811	133880	Billie Burke
700811	137772	Fifi
700811	139232	Rose Duhamel
700811	141278	Mulatta
700811	142888	
700811	147822	Herself
700811	153207	Flo Curtis
700811	154439	Katherine 'Kay' Wilson
700811	155849	Joan Whitley
700811	159199	Judge Christine Tayloy
700811	160336	Herself
700811	162930	Moira
700811	163253	Ethel Adams
700811	163629	
700811	166043	Mildred Vane
700811	166071	Chorus girl
700811	171274	Stella Liberti
700811	175531	Herself (Honoree)
700811	185466	Bland's wife
700811	189255	Connie Allenbury
700811	193799	Florence Shrike
700811	195539	Susan Ireland
700811	195613	Herself
700811	195883	Countess Valentine
700811	196142	Bit Part
700811	196990	Cora Jordan Overton
700811	203799	Mimi Swift
700811	204182	Eleanor Packer
700811	207142	Fah Lo See
700811	209606	Mrs. Smith
700811	210764	Laura Hudson
700811	213167	Aunt Bea
700811	213258	Gertie Fairfax
700811	220849	Muriel Blandings
700811	224504	Herself
700811	228612	Linda Gregory
700811	230734	Myra
700811	231905	Wife of Brazilian pilot
700811	232017	Herself
700811	234124	Dancer/Slave Girl
700811	235206	Herself
700811	249235	Mrs. Katie O'Shea
700811	251185	Yvonne De Russo
700811	252368	Gertie Waxted
700811	254260	Irene Campton
700811	263335	Bit Part
700811	265010	Belle Mercer Morgan
700811	271293	Lady Edwina Esketh
700811	273703	Evie Lawrence
700811	274244	Alice Tiflin
700811	275733	Eleanore
700811	280471	Carmita
700811	285673	Claudette Ralston
700811	289620	Herself
700811	291396	Herself
700811	294038	Cameo appearance (Mrs Ashton)
700811	296827	Nora Charles
700811	300070	Herself
700811	300103	What Became of the Floradora 
700811	302231	Edith Van
700811	304375	Paula Lambert
700811	306424	Jane
700811	306495	Maid
700811	307940	Ming
700811	308656	Nora Charles
700811	311755	Chorus Girl
700811	312262	Nubi
700811	312989	Annemarie, aka Fräulein Dokto
700811	313955	Isobel
700811	318790	Margaret Turner
700811	328794	Ann Barton
700811	329408	Lady Cathy Brooke
700811	329563	Herself
700811	329565	Appearance
700811	330384	Nora Charles
700811	330385	Nora Charles
700811	330507	Bit Part
700811	330514	Margot Sherwood Merrick
700811	330602	Ursula Georgi
700811	334252	Mary Wallace
700811	335599	Alma Harding
700811	335897	Coco
700811	338040	Kay Graham
700811	340970	Kara, the Firefly
700811	341929	Tiza Torreon
700811	345957	Lolita Romero
700811	350505	Becky Sharp
700811	352124	Herself
700811	358959	Girl at Baccanal
700811	361927	Eileen Pinchon
700811	362356	Vamp
700811	362674	Convict Extra
700811	362893	Mary Howard
700811	363616	Vivian Palmer
700811	364569	Sally Short
700811	365068	Linda Stanhope
700811	366168	Sheila Mason
700811	367514	Sari Loder
700811	397564	Herself
700812	31861	
700813	127910	
700814	301940	Giant Cook's Helper
700814	328754	Sue
700814	400696	
700814	411625	Frankie Oliver
700814	411850	
700815	113453	Conchita
700816	197624	
700816	255619	
700817	73531	
700818	41490	Kate Blore
700819	259266	Marie Bonds
700820	263747	Babe 2
700821	19024	Sister Johnson
700822	20135	(segment "Les Boréades")
700822	40277	La prostituée à l'auberge
700822	124399	Rose
700822	144389	Sarka
700822	164149	La vendeuse
700822	201143	Ginger
700822	234573	Paméla
700822	275651	Young Woman
700822	307121	
700823	248423	
700824	256315	
700825	330479	Dana Newman, The Angry Prince
700826	273030	Luis' daughter
700827	42631	
700828	395885	Rosalya
700829	8728	
700829	29621	
700829	53649	
700829	53682	
700829	91088	
700829	108554	
700829	112105	
700829	145251	Lola Gómez, La Torcasa
700829	193343	
700829	243415	
700829	280867	Patricia
700830	160728	(segment "Dois Dedos")
700830	380777	Nilza
700831	319626	
700832	52572	
700833	111994	
700833	218227	Isabella
700833	229423	
700833	317745	Mercedes
700833	380126	
700833	396333	Soraya Salcedo
700834	404608	Finalist (2001)
700835	401900	Herself
700836	55112	
700837	54431	
700837	79113	Impakta
700837	133404	
700837	145543	
700837	162114	
700837	173632	
700837	173646	
700837	246501	
700837	255751	
700837	326251	
700837	359108	
700837	394247	Brigitta (2002-2003)
700838	9475	
700838	10993	
700838	19305	
700838	25590	
700838	49887	
700838	122861	
700838	137107	
700838	171866	
700838	199779	Irene
700838	284634	
700838	293401	
700838	355667	Lina Balang
700838	380345	Becky (2000-01)
700838	387832	Belinda Montejo
700838	388282	
700839	162769	
700839	206979	Model
700840	162183	Courtney
700841	62579	Hitcher's Girlfriend
700841	197866	Herself
700842	23384	Lucy Singer
700843	83336	Evelyne
700843	114978	
700843	346707	Fanny
700844	269235	
700844	351619	MP #1
700845	281365	Older Sister
700846	380125	Imperio
700846	383250	
700846	387089	Purificación Burgos
700846	392212	Eusebia Robles
700846	398483	Yolanda de Valladares
700846	401694	Roberta Sancho-D'Ávila viuda 
700846	405835	Alma Castillo de Díaz
700847	380087	
700848	376140	
700849	44270	Nanny #2
700849	147745	Duran's Housekeeper
700849	300343	Ticket Taker
700850	233909	
700850	248905	
700850	382906	Herself (1995-1997)
700851	25271	Le mère de Bérisha
700852	263774	
700852	277377	
700853	322345	Encarnación
700854	68567	Consuelo de Cristancho
700854	131128	Joana
700854	339147	
700854	378974	Samantha
700854	384985	
700854	386402	
700854	401106	Nidia Pacheco
700855	379614	Allisson Rebolledo
700855	397883	Diana Lozano
700856	268250	Mabel Vologna
700856	355751	
700857	77705	Vera
700857	117722	Katie
700858	3555	
700858	5268	
700858	5443	
700858	10483	
700858	51625	
700858	52763	
700858	52881	
700858	55768	
700858	61360	
700858	64048	
700858	74557	
700858	74834	María
700858	74903	
700858	90119	Superiora
700858	96314	
700858	103118	
700858	104089	
700858	148011	Bombón
700858	152237	Madre 'actriz'
700858	152241	Mujer Felix
700858	170460	
700858	205690	
700858	233555	
700858	258619	Cajera
700858	266805	
700858	266871	
700858	273652	
700858	276560	
700858	280315	
700858	296450	
700858	307722	
700858	324924	
700858	328203	
700858	343608	
700858	371760	
700858	376794	
700858	378432	Laly
700858	407859	
700859	28792	
700860	55653	
700861	250514	Passerby
700861	302699	
700862	220755	Corista
700863	39004	Wendy
700863	400236	Téa Delgado Manning (1997-200
700864	79050	Girl 2
700864	341084	
700864	378736	Lídia Bofill (child)
700865	106772	
700866	74983	
700866	90535	
700866	95346	
700866	212420	
700866	221569	
700866	235988	
700866	292758	
700866	294329	
700867	410082	Sarah
700868	6439	
700868	14793	Matilde Suárez
700868	14928	
700868	34085	
700868	69325	
700868	74137	
700868	83138	
700868	83308	
700868	90113	
700868	96270	
700868	110415	
700868	127599	Anis
700868	148063	
700868	193070	
700868	206996	
700868	209470	Aurorita Pérez García
700868	217025	
700868	222124	
700868	233330	
700868	253551	(segment "la Obsesión")
700868	261225	
700868	273653	
700868	279829	Lola
700868	281776	Alicia
700868	287434	
700868	292926	
700868	334675	
700868	343448	
700868	371343	
700868	376672	
700868	378463	
700868	379131	
700868	380080	Déborah
700868	380084	Betty
700868	380114	Matilde Suárez
700868	380265	
700868	380322	Alicia
700868	381169	
700868	383268	Evelia
700868	383471	Altagracia Rivera
700868	384630	
700868	385400	
700868	386076	
700868	386647	
700868	388283	
700868	389790	Vickie Suárez
700868	391638	
700868	391962	
700868	391966	Toña
700868	392960	Laura de Rivadeneyra
700868	393852	
700868	393985	
700868	396245	
700868	396393	
700868	396841	Graciela
700868	396854	
700868	396898	Sofía Ledesma
700868	397303	
700868	397304	Aurorita Pérez García
700868	397604	María
700868	398229	Carmen
700868	398491	
700868	398522	Rosario
700868	399525	Aunt Pilar Serranos
700868	401696	Josefina
700868	403741	Paulette
700868	403873	Maribel Cuevas
700868	410323	Rosa Merisa Obregón
700868	411693	Luisita
700869	102441	Profesora 1
700870	352019	
700871	398473	Antonia Linares
700872	29049	Rosalia
700872	83868	
700872	141762	
700872	201625	Herself
700872	262980	Herself
700872	384864	Marilu
700872	396713	Bárbara Luna
700872	399522	Isabela Soriano
700872	402404	Braulia
700872	404702	
700872	405281	Teté
700872	408855	Fátima
700873	135357	
700874	215522	Herself
700874	379004	Tertuliana
700874	390450	Tertuliana
700874	390451	Tertuliana (2003-)
700874	404166	Entrevistadora (2004-)
700874	409284	Entrevistadora (1997-2004)
700875	9692	Candela
700875	40323	Mata-Hari
700875	70650	Ana
700875	86708	Cris
700875	133083	Vanessa
700875	217728	Audrey
700875	228152	Gianna Ciulla
700875	248868	Faustina
700875	249671	
700875	333640	
700875	383557	Mari Luz
700875	385497	Marga
700875	395059	Reme
700875	395473	Camino Arrieta
700875	403912	Host (1991-1992)
700875	405968	Patricia
700875	409881	
700876	268923	Sister
700877	12527	
700877	12944	
700877	28695	
700877	29626	
700877	33676	Amalia
700877	50050	
700877	56354	Nora Moro
700877	68980	
700877	73263	Dona Emilia
700877	82717	
700877	84055	
700877	85970	Bianca
700877	86355	
700877	90157	
700877	96308	
700877	96321	
700877	109284	Tina
700877	110734	
700877	111388	Fernanda
700877	127991	
700877	131526	The Venetian
700877	143776	
700877	148053	
700877	159533	
700877	166264	Baptistine
700877	173613	Mariagrazia (segment "Altro f
700877	186532	Antona
700877	204275	
700877	204657	Baptistine
700877	211744	Mother of Don Giulio
700877	214283	Grandma
700877	216303	Abuela
700877	217759	Sister Benedetta Homati
700877	234368	
700877	235254	Luisa
700877	235760	Concetta
700877	238144	Doña
700877	252683	Consuelo Baxter
700877	260617	Madame Klotz
700877	262604	
700877	263189	Erminia
700877	278910	La nonna
700877	294626	Marras' mother
700877	307203	
700877	307440	Sergio's Mother
700877	324894	Isabel
700877	328202	
700877	355120	Ramona
700877	377178	
700877	395979	Dona Vicente
700877	396162	Marga
700878	378452	
700879	237899	Niña
700880	221963	
700881	62684	Frankie
700882	307277	Mujer Centro Social
700882	371290	Cuñada
700883	397599	Suegra
700884	202834	Alazna Pascual
700885	202834	(Alazne Pascual)
700886	411709	Doña Vicky
700887	234025	
700888	153817	
700888	158874	
700889	188502	Nurse #2
700890	57782	
700891	334479	
700892	381650	Marypaz
700892	383471	
700892	387685	Goya
700892	392960	
700892	397016	Olivia
700892	401918	Abigaíl Caldero
700892	410303	Liliana
700893	186144	
700893	229441	
700893	248311	Maruja
700893	277389	
700893	318260	Bibliotecaria
700893	334687	Periodista
700893	379464	Ofèlia
700893	395884	
700894	384063	Herself/Hostess
700894	395860	
700894	401152	Violeta
700894	405317	Host (2002)
700894	405916	Eva (2003)
700894	407092	Hostess
700895	62618	
700895	110415	
700895	152628	Child
700896	121945	
700896	332978	
700897	361632	Therese
700898	274067	Medical Intern
700898	367384	Market Girl 1
700898	384767	Series Regular
700899	176313	Young Girl #2
700900	5913	Herself
700900	117540	Mary Ellen
700900	373216	Auditioning Flasher
700901	366228	Dancer in 'It's Just That Kin
700902	182036	
700903	14580	
700903	15061	Olga
700903	51223	
700903	83174	Thérèse
700903	86835	
700903	87814	Gertrud
700903	92356	
700903	101225	Femme atelier
700903	118181	Anne
700903	200934	Lana Custencu
700903	245562	
700903	245915	
700903	256808	Tania
700903	262994	Mother
700903	353952	Claude's Mother
700904	78516	
700904	129533	Operazangeres
700905	23051	
700906	75757	
700906	88410	Adam's Mother
700906	91510	Doctor's wife
700906	133187	Justyna
700906	178804	Kaska
700906	217420	Anya Kowalska
700906	247344	Miss Wierzchon
700906	257321	
700906	284026	
700906	304250	
700906	369374	
700906	374074	
700906	382238	Anna Pasternik
700906	385592	Bronka
700906	410485	Joanna Racewicz
700906	411110	
700907	131954	Cywikowa
700907	178457	
700908	49828	Rat Woman
700909	351550	Anna
700910	351550	Anna
700911	77880	
700911	132386	
700911	148583	
700911	199010	
700911	248067	
700912	268251	
700913	51109	Zénobie
700913	52698	
700913	64772	
700913	192874	
700913	398785	Mary
700914	16928	Angel
700914	341474	
700915	410740	Black Female Contestant
700916	363262	Miss Indiana
700917	283713	Heaven on Earth Hostess #2
700918	41220	
700919	86317	
700920	297382	Chinese Water Woman
700921	90609	Little Sister
700921	236252	Female Messenger
700921	300640	Li Li
700922	108605	Lee Jiu Jin
700922	175757	Aiko
700922	298383	Rosa
700922	358932	Chuen Yen
700923	209885	
700924	235377	Bar patron
700924	343201	Deli Employee
700925	5029	Mrs. Suhr
700925	32660	Mrs. Florence Rutledge
700925	233567	Mrs. Kim
700925	241471	Grandma kim
700926	37474	White Tiger
700926	41347	Mrs. Kang
700926	60735	Ma Lee
700926	69428	Lotus
700926	197373	Lu's Mother
700926	210902	Grocery Store Woman
700926	236087	Empress
700926	310572	
700926	359972	Grandmother
700927	371011	Aunt Omi
700928	294837	
700929	65796	Young Jenny
700930	138627	Mrs. Hslao
700931	108560	Prostitute
700932	212635	Meizi
700932	374813	Wei Weian
700933	8995	
700933	141935	Dongjia
700933	152111	Mujing
700933	167410	
700933	184311	Chen Shujuan
700933	184751	Duan, Xifeng
700933	255021	Jiao
700933	296759	Madame Ren
700933	300458	Xie, Yuting (mother)
700933	333529	Yan
700933	335412	Sister Luo
700933	360994	Dalisha
700933	373935	
700933	410776	Sun, Roujia
700934	40787	Mrs. Hong
700934	62064	Narrator
700934	82695	Soon Yen
700934	90277	Sister Marie
700934	90555	
700934	110575	
700934	137972	Miss Cameron's Assistant
700934	145743	Mrs. Sato
700934	154427	Mrs. Virgina Hervey
700934	169594	An-Mei Hsu
700934	185241	Dowager Empress Tzu Hsui
700934	220345	Madame Sue-Mei Hung
700934	277944	Ming
700934	285717	Mrs. Yates
700934	295549	Narrator
700934	323114	
700934	328564	Madame Yang
700934	335199	Mrs. Wang
700934	367763	Li Sheng
700934	369562	Empress Dowager
700934	372255	Shi's Mother
700934	376053	Li Tong
700934	380342	Lady Thiang
700934	391148	Hey Girl (1960-1961)
700934	399595	Ah Tam
700935	332344	Wenxiu (Xiu Xiu)
700936	95318	
700936	259730	
700937	221855	Mui Age 10
700938	61325	Fighter in Silhouette
700939	181836	Mother
700939	236087	Aunt Jiang
700940	37252	Aerobics Teacher
700940	75777	Tiffany Greenberg
700940	155696	News Reporter
700940	162937	Doris
700941	226890	
700942	52018	Mrs. Shen
700942	268765	Grandma Du
700943	214612	Wang To-li
700944	411593	Herself
700945	342372	Princess Bai Ma
700946	380795	Mercedes Sepúlveda Saavedra a
700947	141284	Young Adrienne
700948	373256	Zyuko/Zhuzi
700949	231260	Ding Shuiyun
700949	374913	Hou Mengqin
700950	8997	Waitress
700950	48427	
700950	58341	Mother
700950	140805	Mother
700950	231279	Mother
700950	332353	
700951	25509	Jimei
700951	167379	Liu Yinyin
700952	136083	Leah
700952	369124	Aiyue
700953	167462	
700954	153057	
700954	184311	Mrs. Lan
700954	374701	Gao's Wife
700954	374725	
700955	115833	
700956	273910	Maid
700957	70011	Prostituta
700957	302356	Limpiadora
700958	38542	
700959	4615	Elsa Nardecchi
700959	6627	Catherine
700959	12540	
700959	14727	
700959	14879	
700959	14955	Carla (segment "Napoli '43")
700959	16345	
700959	19216	
700959	20797	Ermione
700959	24840	
700959	33267	Vera
700959	36510	Haydée, la schiava turca
700959	53863	Lia
700959	54157	
700959	54159	
700959	54361	Vittoria, la figlia del sinda
700959	56336	Rita Vaccagnino
700959	56444	Maddalena Fumaroli
700959	57862	
700959	57960	
700959	63701	Yvonne
700959	63837	Beatrice di Rionero
700959	63864	Laura Sandri
700959	66577	
700959	67630	Andrada
700959	68263	Herself
700959	82299	Elsa Foresi
700959	82423	
700959	87201	
700959	87801	Mali
700959	90090	
700959	94719	
700959	96137	Lucille Aitken
700959	97451	Alessandra's mother
700959	112650	
700959	112673	
700959	115022	Herself
700959	127949	
700959	127956	
700959	127985	
700959	128001	Lucia
700959	132964	Margaret Carruthers
700959	136850	Mirella
700959	143764	Brunelda
700959	149039	
700959	156911	Sister Celestina (segment "Su
700959	159900	Adriana
700959	164199	Lizbeth Shannon
700959	187436	Anna Javocella
700959	204262	
700959	215013	
700959	217666	Maria
700959	218050	Amina
700959	225409	
700959	229386	
700959	234709	
700959	234757	
700959	235736	Supplizia
700959	240580	Mme Blaizeau
700959	246417	Giulia Blasi
700959	248223	Luisella
700959	252410	
700959	252637	
700959	252772	
700959	255637	Bianca
700959	259344	Irina
700959	264043	
700959	270795	Janine Kohler
700959	275848	Francoise
700959	281110	
700959	282284	Mathilde de La Mole
700959	291669	Fiancee
700959	301382	Maria Teresa
700959	301383	Maria Censi
700959	307667	
700959	311198	Adélaïde Biotti
700959	317676	(segment "il marito d'agosto"
700959	319862	Margaret Carruthers
700959	324449	Tanya
700959	334487	(Italian version)
700959	338715	Anna Maria
700959	342120	Sig.ra Tpscano
700959	344452	
700959	346787	Gilberte de Fourcheville
700959	348146	
700959	348691	
700959	353077	Donata
700959	354661	Julia, Paul's Wife
700959	365815	
700959	374584	
700959	376918	Léda
700959	377574	
700959	377589	Maria
700959	385002	Comtesse de Claudieuse
700959	385003	
700959	385003	Lucia
700959	385509	Milady
700959	388141	Carole
700959	396135	Madame d'Hocquincourt
700960	223936	
700961	120779	Amma
700961	237790	Sarah Dialo
700962	106205	Halfcaste
700962	211014	
700962	283554	Transvestite III
700963	198838	
700964	140478	Luana
700964	175111	Herself - a Dancer
700964	197950	Herself
700964	337366	Hawaiian Hairdresser
700964	375162	Lucia
700965	174160	Soling
700965	236738	
700966	231208	
700966	333007	Dr. Almy
700966	355711	
700967	280772	
700968	134549	Mazura
700968	367373	
700969	289366	Bar Slut
700970	320789	La Vouivre
700971	84323	
700972	375025	Annet
700973	135518	Glyniss
700974	215911	Teacher
700975	154937	Mère casting
700976	217268	
700977	20480	
700977	299105	Kagari Ubusuna
700977	374642	Karen Morris
700978	128727	Dancer
700979	99189	Jennie
700979	220092	Breindl 'Beatrice' Boxer
700979	329021	Zeitel 'Tseytl'
700980	345702	Young Girl in Bar
700981	31913	Beate Linden/Lydia Wendlandt
700981	108102	Nanà Brambilla
700981	119266	
700981	157558	Gabriella & Angela
700981	175774	Marlise Haselhuhn
700981	184968	Veronica "Vroni"
700981	226315	
700981	310272	Sekretärin
700981	347575	Ruth
700981	355658	
700982	325398	Kathi
700982	397370	Frau Reinicke
700983	174442	Mieszkanka dworu
700984	74129	Cleaner
700984	104045	Colleague in the match factor
700984	391254	Marianne
700985	284993	Wirtin
700985	325398	Kathi
700985	325945	
700986	159490	Mary Johnson
700987	47429	Mother (Herself)
700987	54897	Marie Hamilton
700988	40630	The real Jacqueline Cousteau
700988	232261	Polish girl
700988	292170	'Tahiti' Waitress
700988	333381	Jennie Cole
700989	369010	
700989	375648	Kamilla
700990	132414	
700991	95953	Ewa
700991	95954	Ewa's mother
700991	95966	Hania
700991	119446	Irma
700991	181384	Wladislawa Majewska
700992	225603	
700993	117186	Nurse
700993	133835	Little Girl (Telegrapher's da
700993	230765	
700994	131988	Marlene
700995	252825	Stewardess
700996	264335	Isabel
700997	323594	Audition Singer
700998	139170	Beautiful Blonde
700999	266540	
701000	182805	
701001	20203	Nuri
701002	325673	
701003	186602	
701003	209099	Vedoche
701003	338109	
701004	157036	Girl on Sidewalk
701005	164169	A follower of Rasputin
701006	257474	Thalie
701006	355847	La prof de chant
701006	392580	
701006	400698	La cantatrice
701007	248772	
701007	355028	The Academy's Blessed 'Virgin
701008	175863	
701009	40209	
701010	348509	
701011	333698	Nedji
701012	220171	Schatzie von Puttkamer
701012	233343	Mirta
701012	386127	Ingrid
701013	4832	Christa W
701013	6300	Louise
701013	10263	Tessa
701013	19863	Franziska Scharf
701013	24332	Friederike Voß
701013	29343	Beate
701013	35095	
701013	90145	
701013	98420	Mutter
701013	110883	Sinas Mutter
701013	119031	
701013	129685	Fräulein Broder
701013	134986	Roberts Mutter
701013	189624	
701013	193504	Mutter
701013	225176	
701013	226403	Regine
701013	231479	Gerichtsmedizinerin
701013	251024	
701013	259442	Frau Permoser
701013	259485	Frau Bornmüller
701013	259539	Frau Briener
701013	259591	
701013	259616	Anja Reiher
701013	259674	Christiane
701013	289931	
701013	308845	
701013	325695	Dr. Hildebrandt
701013	325910	
701013	364950	Helena
701013	366587	Conception
701013	376278	
701013	376367	
701013	379635	Mutter Zitterbacke
701013	398827	
701013	404308	
701014	26077	Julia
701014	158151	Laundry Room Murder Witness
701014	175223	Daughter
701014	315897	Girl
701015	118515	Mrs. Fletcher
701015	217816	Mrs. Amsden
701015	232356	Reporter #2
701016	324983	Woman in car at drive-in
701017	217481	Lora
701018	220092	
701019	178180	Herself
701020	35454	
701020	365591	FDJ Mädchen
701021	331694	Holman Daughter
701021	394676	Elizabeth 'Betsy' Gibson Ewin
701021	408460	Charlotte Graham
701022	331694	Holman Daughter
701022	394676	Elizabeth 'Betsy' Gibson Ewin
701022	408460	Emily Graham
701023	404608	Judge (2001-2002)
701024	289265	
701025	66596	Camera Assistant
701026	139783	Rachel Pierce
701026	159490	Wendy
701026	327055	Sales Clerk
701027	338638	James' Wife
701028	319997	Julie the Ex
701029	123883	Edith
701029	157045	Stella Woods
701030	404092	Kristi Cavanaugh
701031	248286	
701032	80134	
701033	64714	
701034	336643	Malou
701035	61832	Herself
701036	182307	
701037	196372	Changing room friend
701038	4741	Christine
701038	5667	Loes
701038	164265	Zuster Klivia
701038	170968	Blind woman
701038	187972	Oma Koppenol
701038	197181	
701038	198745	Voice of Ingrid
701038	210128	An
701038	213551	Midwife Willems
701038	214743	Tante Moortje
701038	234879	Fat Willy's Mother
701038	290434	Girl in Bar
701038	305225	Roxy
701038	310947	
701038	329894	Masochistische huishoudster
701038	351293	Ada
701038	356107	Automobiliste
701038	364874	
701038	367977	Herself
701038	394634	Various parts (1991-)
701039	375108	Marie et la dame dans l'auto
701040	181306	
701040	181954	
701040	229061	
701040	268485	
701040	282776	
701040	326029	
701040	339058	Nëna
701040	373816	
701041	57026	Dora
701042	111096	
701042	340441	Dominique
701043	235615	Blonde Secretary
701044	176712	Trixie
701045	121578	Herself
701046	148594	Herself
701047	57401	
701047	73586	
701047	74776	
701047	170965	
701047	187970	Bolnicarka
701047	212458	Julijana Vladic
701047	215443	
701047	243805	Dara
701047	271379	
701047	327103	
701047	375477	
701048	166435	Cocaine
701050	199921	La piccola Annina
701051	367767	Prostitute
701052	100106	Nurse
701052	346930	Adrianna
701053	56360	
701054	188453	'Lena' Girl
701055	303584	
701056	197081	Lynn I. Lovitt
701056	244420	Reaper #2B
701056	312977	Cheree
701057	252756	Marta
701057	395865	
701058	381608	Glenda Chan
701058	402197	Faye Quinn (1982-1983)
701058	411809	Sister Eve Turner/Steele (197
701059	380299	ASPCA Special Investigator fo
701060	65809	Ma Koh
701060	92496	Head Nurse
701060	362081	Dancer
701061	345	Mrs. Taggart
701061	12625	Melanie's Mother
701061	33688	
701061	35489	Mrs. Trenbow
701061	112035	
701061	166186	Regina
701061	168382	Evelyn
701061	219206	Mrs. Finkel
701061	223940	Helen's Mother
701061	313172	Lady Dunstan
701061	330103	Eight
701061	362211	Mrs. Malden
701061	379744	Janet Raeburn
701061	383813	
701061	388328	
701061	395185	
701061	400646	Vonnie Wentworth
701061	402197	Clara Goddard (1979)
701061	402442	
701061	403355	Mavis Roberts
701061	403938	The Hag
701061	407531	Lady Bradshaw
701061	407616	Faith Drysdale
701061	411187	
701062	308598	Pianist
701063	40564	Attachée de Presse
701064	350916	Milla Vadden
701065	14179	Mary Jane
701065	56871	Student Stewardess
701065	159861	Anastacia
701066	388335	Sub-Host (1980)
701067	326424	Waitress
701068	27247	Selena Geeson
701068	86539	Berney
701068	238913	Emily
701068	381121	Selena Geeson (Series 5-) (20
701069	401875	Herself - Finalist (2002)
701070	15214	Young Isabelle
701070	59375	Kelly Glover
701071	399130	Jan Daly (1989)
701072	144557	Marie Loskiel
701072	193841	
701072	197248	
701073	401344	Danielle
701074	69773	Birthday Party Girl
701075	109758	Sylvie
701076	305778	Bar Girl #4
701077	127194	Christy
701077	392341	Noriko 'Max' Matsuda
701077	404177	Dina Alexander
701078	7850	Nicole Hutchinson
701078	391869	Jane Doe/Tasha Andrews (2003-
701079	55046	Aunty Johnson
701079	68126	Delroy's mother
701079	193519	Louise (Haze's maid)
701079	202628	Narrator
701079	214931	French girl
701079	245340	Nurse
701079	382306	
701079	387247	Alice Alexander (1994-1995)
701079	387490	Stella
701079	389157	Pearl Foster
701079	397176	Sonia (1989-1993)
701079	398707	Pearl
701079	398972	Aunt Liza
701079	399931	Matron
701080	405839	Herself (Solid Gold Dancer, 1
701081	157824	
701081	215583	
701081	221114	Karen (casting director)
701081	392247	Joan McMurtry
701082	400004	Sheila
701084	42213	Lisette
701085	24957	Shopping Cart Sally
701085	274609	Zena Zoft
701086	77285	Tasha Peeno
701086	137694	Vampire Girl
701086	378788	Jakki Kaan
701086	395540	Sue
701087	24667	
701087	51393	
701087	64772	
701087	119321	Bunny
701087	280530	Une secrétaire
701087	318515	
701088	54026	Passerby
701089	126276	Woman Whose Car is Stolen
701090	32822	Herself
701090	313476	Lunae Minx (Purple Twi'lek Gi
701090	313477	Senator Chi Eekway
701091	363012	Mother
701092	6272	Addie Mills
701092	96891	Addie Mills
701092	117395	Pamela
701092	137068	Linda Johnson
701092	141164	Mrs. Reilly
701092	147558	Addie Mills
701092	151162	Addie
701092	165102	Girlfriend #1
701092	213516	Molly Barlow
701092	252915	Julie Larson
701092	342009	Janina
701092	347414	Patti
701092	379224	Abigail 'Nabby' Adams II
701093	230926	House of Bling Customer
701094	190620	Herself (vocalist)
701094	248606	Herself (vocalist)
701096	148460	Student #3
701097	184369	Townsperson
701098	132770	1ere Plumeuse
701098	275110	
701099	55334	
701099	205644	
701099	205992	
701100	2750	Herself - Editing Award Winne
701101	388091	Naïa
701103	55432	
701104	119047	Herself
701104	211323	Mme. Bussier
701105	346119	Louise
701106	77016	Bankbediende
701108	195771	Person in French Pub
701109	263440	Rubber Girl
701110	361841	Pioneer Woman
701111	66305	Loretta & Mooney's child
701112	334595	Beth the Cheerleader
701113	106120	Model #3
701114	311428	Reporter
701114	316728	Wife In Car
701115	101208	Une femme de la chorale
701116	271224	Native Girl
701117	24667	
701117	51393	
701117	64772	
701117	119321	Bunny
701117	280530	Une secrétaire
701117	318515	
701118	185764	Reporter
701119	5279	
701119	6402	La patronne de 'La Confiance'
701119	18319	La mère de Lucas
701119	24735	Mme Bastide
701119	46597	
701119	55406	
701119	56388	
701119	94241	
701119	132998	La mère de la paysanne
701119	157125	
701119	158845	Une mère au tribunal
701119	183800	La marchande de journaux
701119	195167	
701119	201159	
701119	205213	
701119	206006	
701119	208559	
701119	214809	
701119	218266	
701119	220497	Mariette
701119	235710	Rongeoreille
701119	237912	Mme Brisset la concierge
701119	249720	
701119	250708	Rose
701119	256463	
701119	258322	
701119	275647	
701119	281300	
701119	282409	
701119	282410	
701119	282495	
701119	289432	La logeuse
701119	309748	Une cliente chez Malingret
701119	336934	
701119	340202	
701119	340670	
701119	356963	
701119	357861	
701119	377727	
701120	274900	
701121	184059	
701121	198567	Photo man's girlfriend
701122	16220	
701122	47844	Frau Baum
701122	147153	Frau Thut
701122	235798	
701122	343756	
701122	376249	
701122	380905	
701123	42743	Beverly
701124	176999	Language Tape Italian Voice
701125	56069	
701125	382676	Simone Marie
701125	384647	
701125	384709	
701125	386726	Matilde
701125	387732	Eulália
701125	388941	
701125	390503	Jô
701125	393004	Lúcia
701125	404261	Carolina
701125	408381	Maria Mocinha
701127	379464	Anna
701128	115235	Tongueless Girl
701128	253284	
701128	399505	Clara Bellmunt/Isabel Pomer/M
701129	298433	Adora, David's Adopted Sister
701130	311923	Prison Extra
701131	331188	Infant Danny
701132	67896	Dance Hall Singer
701132	95796	Annabel
701132	178092	Singer
701133	380989	
701134	331188	Infant Danny
701135	1348	Herself
701135	2010	Self
701135	2022	Herself
701135	2259	Herself
701135	2275	Herself - Presenter
701135	2788	Herself
701135	3593	Herself/Erica Kane
701135	4671	Herself
701135	7586	Herself
701135	11106	Host/Erica Kane
701135	15892	Darya Romanoff
701135	35410	Vivian Conrad
701135	41266	Isabelle Collins
701135	46740	Rose D'Amore-Malloy
701135	91705	Maggie Dutton/Carmen Moore
701135	97091	Elizabeth 'Ebbie' Scrooge
701135	119827	Claire Laurent
701135	131764	Wedding guest
701135	140087	Karen Beckett
701135	161379	Herself (Narrator)
701135	161977	Jessica Jones
701135	183755	Laurel Castle
701135	190373	Herself
701135	199982	Antoinette Giancana
701135	293009	Victoria Landers
701135	306626	Erica Kane
701135	372525	
701135	379716	Erica Kane Martin Brent Cudah
701135	383743	Herself
701135	385594	Hillary Taylor/faux Sheila Fo
701135	392620	Host
701135	396084	Bit role (1969)
701137	331188	Infant Danny
701138	376972	Soeurette enfant
701139	67224	
701140	67224	
701141	7434	Prostitute
701141	12043	Edmée Ponthivier
701141	23827	Dora
701141	43757	Carmen, une pensionnaire (seg
701141	48209	La secrétaire
701141	60506	
701141	65203	Rosine
701141	73721	Nénette
701141	83276	La dame de compagnie
701141	87902	Madame Gastier
701141	91277	La postière
701141	99360	Lucette
701141	126319	Clemence
701141	133175	Christiane Armand
701141	168078	Françoise
701141	192820	Madame Bellanger
701141	200935	Arlette
701141	201343	Arlette
701141	208481	Liliane
701141	236553	Maria
701141	240591	La mère de Bess
701141	251063	Liliane N°2
701141	251541	L'employée des postes
701141	261609	Valerie Vabre
701141	263018	Germaine
701141	266947	La speakerine
701141	286515	Rosy
701141	294386	
701141	307129	Caroline (segment "Gros chagr
701141	325961	
701141	343576	Suzanne
701141	345525	Germaine
701141	355867	Madame Armand
701141	356228	Marion
701141	356984	Gina
701141	376905	
701141	377664	Georgette
701141	377749	Yolanda
701141	381521	
701141	381628	Sarah
701141	397158	
701142	3482	
701142	6295	Mercante's governess
701142	6743	
701142	14884	Amalia
701142	17745	
701142	54838	
701142	58955	Donna Angela
701142	60120	
701142	69985	Donna Zenobia
701142	71296	
701142	81522	Peronella
701142	88205	
701142	92074	Una prostituta
701142	94676	Santuzza
701142	123879	Marina
701142	124426	Ivonne
701142	127890	
701142	148781	Maid
701142	157030	
701142	158759	Emilie
701142	162076	Annalise
701142	183288	
701142	188657	La soubrette
701142	198554	
701142	202424	Widow Corallo
701142	205273	La contadina
701142	219570	Franca
701142	233068	
701142	238331	Conchita
701142	246177	
701142	250387	Jolanda
701142	252312	Countess Stefania Varaldi
701142	252666	La donna del Ranch
701142	270852	
701142	291519	
701142	301375	Prassede
701142	309250	
701142	310391	Beautiful Woman
701142	310640	Valencia
701142	311815	Margherita
701142	316363	Madame Masson
701142	328321	Sig.ra Assunta Macrì
701142	336618	
701142	351075	
701142	355663	
701142	356581	
701142	402621	
701143	186560	Kitty McCarthy
701143	188401	Viola Vanders
701143	245616	Pamela
701143	346053	Gaby, Rene's Girl
701143	348383	Judy
701143	354734	Nina Popinot
701144	141233	Little Girl on the Fence
701146	203978	
701147	103276	Captain
701148	194136	Herself
701149	252211	Gotta-go Gal
701150	96113	Dancer
701150	183722	Wedding Dancer
701150	221534	Dancer
701150	276386	Court Dancer
701151	200859	Madge
701151	294059	Marie Ruck
701152	297764	Edith
701153	219875	
701153	251685	
701154	193325	Idalia
701155	55195	
701156	48801	
701156	50132	
701156	52155	
701156	52588	
701156	55943	Madame Lulú
701156	55957	
701156	61951	
701156	64027	
701156	99565	
701156	104150	
701156	123153	
701156	169568	
701156	183064	Cecilia
701156	196660	Bruja Viviana
701156	214210	
701156	222822	
701156	227565	
701156	234311	
701156	234389	
701156	236462	
701156	268254	
701156	282900	Nelly
701156	349845	
701156	351463	
701156	355750	
701156	377158	
701156	387127	Tona
701156	401437	Angélica
701157	113209	
701158	94661	La madre di Jacopo
701158	243634	
701158	243701	
701159	187727	Casting Director
701160	14261	Santina
701160	212083	
701161	3333	Doña Inés
701162	82126	Bambina
701163	70599	Rocio
701163	82345	Lucerito
701163	82374	Cecilia Suárez
701163	103537	Lucerito
701163	111989	
701163	269973	Manuelita/Manuel
701163	339119	
701163	373950	Esperanza
701163	384116	Various roles (1982-1983)
701163	384126	Chispita (Isabel)
701163	385368	Isabel
701163	395300	María Guadalupe Salas/María F
701163	397572	Andrea San Vicente Fernández 
701163	400860	Margarita Santos
701163	407758	Presentadora (1997-)
701164	80065	Elderly Woman #1
701165	388463	Dancer
701166	321559	Derby Dancer
701167	10899	Coed
701168	228177	
701169	350235	Hooker
701170	321367	Susie
701171	44432	Rudy's sister
701171	126538	Aerobic Girl (segment "Get Ou
701172	66714	Herself
701172	83233	
701173	32900	Dorothy Lucey
701173	223920	News anchor
701173	356472	The Media (Herself)
701173	390316	Herself - Entertainment Repor
701173	392189	Hostess (1992-1994)
701173	402144	Co-host
701174	257764	Ladislaus' mother
701175	33801	Katerina Matveyevna
701176	4599	Anna
701176	57263	Junie
701176	59264	
701176	69518	Claire
701176	83234	Cora
701176	96209	Marie
701176	264436	Nelly
701176	264447	Suzanne
701177	23750	Julie
701177	219498	Flo-Flo
701178	221338	Wedding guest
701178	329484	Senator Marks' Wife
701179	35855	
701179	77096	
701180	184942	Bambi
701181	311476	Giovanna
701182	269520	Mère Clara
701182	309752	Pharmacist
701183	383291	
701183	385403	
701183	399523	Mica Iraola
701183	403237	Carolina Dobal
701184	23578	Anya
701184	229311	Masha
701185	176942	Antonio's Girl
701186	32503	
701186	43197	Lida Zhurbin
701186	76481	
701186	90542	
701186	95652	Viola/Sebastian
701186	95749	
701186	129338	
701186	129751	
701186	129971	
701186	132205	
701186	156005	
701186	174163	Solomatin's second wife
701186	180751	
701186	181452	Dasha Shelest
701186	184839	Madeleine Locart
701186	217454	Marina
701186	224440	
701186	225948	Doctor
701186	226836	
701186	229911	
701186	238364	
701186	242485	
701186	264539	
701186	265049	
701186	283996	
701186	306104	
701186	307613	
701186	322102	Marie D'Agoult
701186	324135	
701186	339262	
701186	339344	
701186	343342	
701186	349362	
701186	354327	
701186	354725	
701186	357241	Natalya
701186	373560	
701186	374832	
701186	402259	
701186	409010	Klavdiya
701186	410361	
701186	410424	Klavdiya
701187	78218	
701188	50333	Linda
701189	31643	Beach girl
701189	37674	Beach girl
701189	114593	Althea Richards
701189	140141	Victim
701189	206385	Bunny
701189	222931	Beach girl
701189	250811	Checkroom girl
701190	99075	Teacher #2
701190	387638	Sue
701191	82323	Delia Velez
701191	328353	Herself
701192	9691	Vanessa
701192	102653	(segment "Filo pericoloso del
701192	113097	
701192	161538	(segment "In conclusione")
701192	396305	
701194	62106	Amanda Everheart
701195	368335	
701196	185777	Izzy Wright
701197	290079	
701198	306008	German junkie
701199	92606	
701200	386864	
701201	86114	
701202	70634	
701202	91547	
701202	113248	Luciana
701202	133949	Themselves
701202	197158	Chica estancia
701202	235049	
701202	247050	
701202	325003	
701202	338967	
701203	8359	
701203	352559	
701204	187437	Marisa
701205	84644	Corinne
701206	307067	
701207	398843	Virginie
701208	409092	
701209	344591	Micòl as a child
701209	402007	Alpha-6
701210	5447	
701211	388159	Ruth
701212	275019	
701213	8658	Fanny
701214	93338	Penelope Cabot
701214	126649	Patsy Ramsey
701214	249548	
701214	298091	Cameo appearance
701214	380391	Paulina Cory Carlino #2 (1991
701214	385824	Adrienne Johnson (1987-1991?)
701214	390771	Beth Raines #1 (1983-1986)
701215	272927	Hooker
701216	199272	
701217	74599	
701219	399767	
701220	343818	
701221	156010	
701222	297190	Soda Shop Waitress
701223	317309	Hottie Highlands Waitress
701224	20371	Extra in Underwater Simulatio
701225	55483	Girl
701225	78015	Courtesan
701226	39097	
701226	260097	
701226	406389	Herself-Grand Finalist
701227	5671	
701227	92464	
701227	375228	Rechercheur
701228	269771	Shut-Up Lady
701229	277205	
701230	254614	Denise Marie
701231	143436	Camille
701232	191394	Model in Fashion Show #6
701232	278082	Amelia (Age 6)
701232	327231	Princess Naga
701232	357040	
701233	10230	Mrs. Rocha
701233	30336	
701233	57212	
701233	134179	
701233	219568	
701233	293646	
701233	328866	Dona Jóia
701233	380563	
701233	387802	
701233	394121	
701233	398501	Rita 'Pérola' De Cassia de Da
701233	404272	Beatriz
701234	104485	
701235	10499	
701235	17071	
701235	25024	
701235	86444	
701235	90189	
701235	145160	
701235	170277	
701235	193340	
701235	219223	Frasquita
701235	234174	
701235	234357	
701235	277234	
701235	296449	Tomaseta
701235	339139	
701236	39484	
701236	313677	Caril-Ann Fugate
701237	214932	Accordionist
701237	229611	Chiara
701237	310739	Ella
701237	347753	Margaritia
701238	25739	Indira
701239	52476	Guitarist
701239	128894	Dotty
701240	154615	Scotty's Secretary
701241	191000	Sandwich Lady
701241	234891	
701241	385299	Hester Fields
701242	274322	Secretary (segment "Double Da
701243	56222	Herself
701244	213159	Woman at Club
701245	154984	Mrs. Hildebrand
701246	252931	
701247	389959	
701248	391869	Tamara Simpson (#2) (2003)
701249	238612	Muffy
701249	379392	Nurse Weber (1984)
701250	365587	
701251	112182	Nurse
701252	249708	
701253	209950	
701255	1744	Herself/Audience Member
701255	27567	Presenter
701255	46213	Busty Babs
701255	116884	Herself/Tanya Turner
701255	228312	Herself
701255	339353	Catrina Roberts
701255	389042	Tanya Turner/Laslett (2002-20
701255	394453	Carol
701256	68221	Ruth Ellis
701256	244345	Estelle Kittredge
701256	311333	Helene Ford
701257	143436	The Girlfriend
701258	52376	Mary Ann
701259	1674	Herself
701259	35543	Girl #3
701259	84210	Herself
701260	154864	
701261	23583	Beverly
701262	314276	Mrs. Freeman
701263	347128	Lulu
701264	80480	Herself
701265	17757	Winnie Tate
701265	55550	Louise Bigelow
701265	81784	Arabella Bell
701265	223065	Zaneeta Shinn
701265	278221	Herself
701265	329560	
701266	326814	Madeleine Johnson
701267	189266	Herself
701268	73255	Eve
701269	330204	Herself (rescuer, Germany)
701271	194809	Nurse one
701271	384097	Keely Johnson (1989-1996)
701271	384346	PC Kate Foster, radio operato
701271	393730	Shaz
701272	5737	Major Tina Catastrophy
701272	101528	
701272	264734	
701273	129768	Alley Cat
701274	164501	Bessie
701275	23065	Cari
701275	132679	
701275	150266	
701275	293374	
701275	396192	Herself - Host (2003-)
701276	38378	
701277	1106	
701277	8163	
701277	16704	Chin's Girlfriend
701277	265605	Razzberry
701277	290902	Lucy
701277	307903	Chicken Crossing Road
701277	363355	Student
701278	378454	
701279	1734	Herself - Presenter
701279	27210	Julie Bale
701279	30084	Ann Bourke/Anne Burke
701279	72464	Nancy Brown
701279	132014	Hermoine
701279	171123	Host
701279	245599	Herself
701279	291918	Herself
701279	368392	Herself
701279	368394	Herself
701279	395225	Interviewer
701279	395225	Various (1993)
701279	397638	Herself
701281	240970	
701282	46297	Detective
701282	270008	NBC Page
701282	296980	Trey's Friend
701282	305692	Duane
701283	124563	
701284	260781	Cook
701284	284347	
701285	322775	Ludka
701286	25424	
701286	57796	Mrs. Rozalia
701286	85265	Karolkowa
701286	91509	Janka
701286	95726	Marta
701286	95981	"Astoria" Owner
701286	129604	
701286	146534	Halina's Mother
701286	165082	Wasiak's Wife
701286	166419	
701286	171438	
701286	173735	Jacenty's Wife
701286	174026	Jasia Rosiakowa
701286	178477	Housekeeper
701286	178773	Woman who want to see a Mirac
701286	208725	Kowalska
701286	212322	
701286	231658	Room Owner
701286	234268	Arkuszowa
701286	255497	Wiktoria
701286	303739	Dominik's Wife
701286	306107	
701286	321425	
701286	340721	
701286	373552	
701286	410524	Lichoniowa
701287	104757	Spanish Entry (10th place)
701287	234730	Mara (the swan)
701288	104141	Anuxa
701289	21069	(segment "A Garçonière de Meu
701290	149193	Lily
701290	199333	La princesse
701290	216795	
701290	328399	Madame Laurent/Le signora Lau
701291	119519	
701291	121529	
701292	108976	Melanie/Narrator
701292	152447	Riley O'Connell
701293	147885	Tina
701294	262699	Madre di Luigi
701295	194055	Singer at Car Lot
701296	30931	
701296	80970	Miss Carmichael
701296	101062	Janet
701296	141009	Mary Jackson
701296	143387	Mae
701296	183549	Lady
701296	194806	
701296	204859	Kanga
701296	241428	Rover
701296	279733	Mother Rabbit/Mother Church M
701296	281874	Cecilia Kirby
701296	291856	Alice Howard
701296	293128	
701296	297136	Screaming woman
701296	304773	Merryweather
701296	322038	
701296	328494	Mrs. Hawley
701296	365690	
701296	366275	Kanga
701296	366276	Kanga
701296	366277	Kanga
701297	315814	
701298	30257	
701299	160252	Secretaresse
701300	12564	Julchen
701300	204482	Frau Dr. Nerlinger
701300	314568	Sepherl
701300	338386	Helga
701300	396874	Karin Wagner (1992-1995 or 19
701300	403506	Puppet player - Voice
701300	403666	
701301	408562	
701302	71	Member of Music Maids
701302	149382	
701302	371887	Vocal Effects: Will You Marry
701303	300998	
701304	248940	
701304	264526	
701304	306946	
701304	377275	
701305	86218	Child
701306	281777	
701307	188227	Race Track Bettors
701307	260032	Le petite fille
701308	17760	Grammy Hall
701308	214984	3rd Crone
701308	255697	Old Lady on Train
701308	318808	Grandmother
701309	143531	Alcmene
701309	343352	Annie
701309	385387	Petunia
701309	401624	Herself (?-1987)
701309	402145	
701309	402197	Janice Grant (1985)
701309	405960	Micki Baker (1986)
701309	410653	Ann Logan
701310	99767	Paige
701310	194659	Girl
701310	280013	Blonde
701311	26860	Ora, The Maid
701312	71905	Gudrun
701313	65754	Rave Dancer
701314	31484	Effie Taylor
701314	45650	Donating Woman
701315	43372	Lilian
701315	265266	Martha
701316	295326	Elderly Woman
701316	342459	Susie
701317	232174	
701317	379514	Flávia
701317	407867	
701318	10704	Laurence
701318	167168	Sophie
701318	337735	
701318	380381	
701318	402074	Marie Girard
701319	8483	
701319	9423	Anita Colasanto
701319	23503	Nunziatina
701319	23903	Floriana
701319	64241	
701319	86870	Carmela
701319	126156	Maddalena
701319	213907	Mary Carletti
701319	214391	
701319	237769	Paola
701319	253713	
701319	289442	
701319	355646	
701320	352632	Gambler
701321	67207	
701321	248898	Madeleine
701322	313790	Performer
701322	395586	Host (spin-off-season)
701323	79049	Vampire
701323	150472	Christy
701323	328557	Christy
701324	278255	Librarian
701325	320511	
701326	34107	
701327	343520	Herself
701327	409271	Herself
701328	392524	Fourth place (2003)
701329	178013	Cynthia
701330	151777	Karen Marie White
701330	223526	
701331	356	
701332	126130	Featured
701332	330591	Yumi
701333	195296	Physics Professor
701334	38830	
701336	372829	Cashier girl
701337	62966	
701338	53742	The Old Lady
701338	61214	Mezzo-Soprano
701338	129040	Mrs. Quickly
701338	136720	Waltraute
701338	199286	Suzuki, Cho-Cho-San's servant
701338	200781	
701338	277460	Fricka
701338	358688	Fricka
701338	372678	Herself
701340	18267	Ismene
701340	184276	
701341	68170	
701341	182752	Prinzessin
701341	312634	Marion Pittwein
701342	229167	Lisa Gebhardt
701343	64724	Ethel Rosenberg
701343	80993	Paula
701343	204163	Connie
701343	313141	Melissa
701343	316209	Annette
701343	330595	Operator Margaret
701343	385580	Maria Gross
701343	394676	Dr. Ellen Stern (1992-1993)
701344	126040	Oompah Band Member (s)
701345	142710	Old Lady
701346	205426	Miss Tall Tanny Puppet
701348	276366	
701349	34996	
701349	259540	Silke Tanner
701350	102983	
701350	137640	The Hostess
701350	181497	
701350	225641	Sonja
701350	285381	Frau Holzer
701350	316550	Erikas Mutter
701351	29150	Acting Student
701352	366933	
701353	14002	Park Patron
701353	22622	Fair Patron
701353	137650	Costumed Patron
701353	176883	Courtroom
701353	264452	Prisoner
701353	375694	Zombie
701354	964	Sally Taylor
701354	64836	Frankie
701354	81203	Vera
701354	156970	Anna
701354	213226	Rental agent
701354	245632	Cory
701354	247032	Lori
701354	265605	Lenore
701354	270364	Jenny
701354	283722	Toni Daniels
701354	311514	Jane
701354	329025	Connie
701354	346101	Girlfriend
701355	59054	Betty Regent
701355	98151	
701355	163272	Undetermined role
701355	177322	Kelly's Affairs Girl
701355	276663	Betty Regent
701355	276664	Betty Regent
701355	309934	
701356	315893	Journalistin
701357	104815	
701357	116017	
701357	231874	1st Store Clerk
701357	258777	Betty Miller
701357	325843	
701357	392380	Gloria Gottinger
701357	395667	Lydia Nolte (1993-1994)
701358	157015	Michele McDivitt
701358	379831	Shelley #6 (1991-92)
701359	143514	
701360	118971	
701360	186149	Bella Völlenklee
701361	64355	
701361	94523	Mrs. Otis
701361	95950	Przebóg-Laska
701361	130211	Genowefa
701361	133187	Mrs Ziembiewiczowa
701361	165082	Ms. Klara
701361	175662	Lengyel rokon
701361	178773	Grandmother
701361	234268	Jadwiga Ostrzenska
701361	260600	Roxana's Mother
701361	293700	Julia Novack
701361	317818	Maria
701361	322775	Ludka's Aunt
701361	360758	Zydowka
701361	376253	
701362	324371	Gen Corp. Executive
701363	39840	She Manitou
701363	44975	ICU Nurse
701363	137449	Nurse Susan
701363	155219	Sarah Kemp
701363	243236	Kim Lee
701363	299870	Lady 3
701363	340742	May Lin
701365	183899	
701366	136270	Female Extra One
701366	194510	Amanda
701367	77712	Betty Sue
701368	24774	Susan Maxwell
701370	93291	Pualine
701371	2917	Susi
701371	24481	Hauptdarstellerin
701371	49289	Nicole
701371	57753	Gaby
701371	134601	
701371	135435	Jessica
701371	138156	Antje
701371	153083	
701371	157618	
701371	355241	Gaby Schuster
701371	361048	Claudia
701371	376362	Melissa
701371	379372	Renate
701371	386906	Sonja Offenberg (1998-2001)
701371	388798	Janine
701371	395001	Rita
701371	406335	Alexandra Baaden (1996-1998)
701372	194666	School Play Pianist
701373	280115	Female tourist
701374	384400	Pilar 'Pili' Arellano (2003)
701375	42910	Mamá (segment "Zapping")
701375	172694	Bank Manager
701375	383682	Carlota
701375	387681	
701375	396216	Paulina Estrada
701375	400667	Ana Maria Franco (1992-1999)
701375	403126	
701375	409922	Yolanda Díaz (Yaya)
701375	411709	Tatiana Martin
701376	122985	Herself
701376	400952	Dolores 'Lola' Fernández
701377	220755	Corista
701378	235318	
701379	272783	
701380	115814	Klara
701380	166712	
701380	186919	Tochter Alwine
701381	9494	First secretary
701381	18501	
701381	75936	
701381	77303	Junge krankenschwester
701381	111343	
701381	119168	
701381	136902	
701381	153109	Freundin von Peter
701381	216299	
701381	289897	Junge Mädchen auf der 'Jungen
701381	324489	
701381	336254	
701382	249573	Leggy Lady #4
701383	38086	Tough Woman
701383	92095	Janet
701384	7003	Meriam
701384	7682	Lita Sebastian
701384	17506	Wife of King
701384	28461	Felina
701384	76238	Marla Rakubian
701384	115895	TV Mexican girl
701384	170752	Onatta
701384	176866	Maria
701384	177058	Laluli
701384	249039	Lisa
701384	262740	Tigri
701384	303069	Orena
701384	346901	Hatcheck Girl
701384	379305	Karamaneh
701385	372890	Tabitha Tubbs
701386	306870	Psychologist
701387	279546	Prima donna
701388	107833	Doctor Roman
701389	407742	Herself (1989-1995)
701390	339386	Pink Doll
701391	258392	
701392	2328	Herself
701392	2592	Herself/performer
701392	2781	Elaine's Patron
701392	2872	Herself
701392	7591	Herself
701392	47304	Herself
701392	110301	Doris
701392	133402	Paulette Rebchuck
701392	138700	Herself
701392	147768	Herself
701392	154114	Extra on boat
701392	168130	Herself
701392	169999	Herself
701392	170000	Narrator
701392	185205	Herself
701392	190269	Cameo appearance
701392	190270	Herself
701392	223977	Joanne
701392	286691	Herself
701392	363370	Carole Singer
701392	368025	Herself
701392	405877	Herself (episode 3)
701392	408749	Nurse Libby Kegler (1985-1986
701393	162451	2. Arzthelferin
701393	194343	Beatles-Mädchen
701393	204417	
701393	344737	
701393	352067	
701393	388798	Nora
701394	354928	Anutschka, trapeze-artist
701395	77348	La mère
701395	91445	Madame Auphal
701395	101896	Mamie
701395	107681	Anne-Marie
701395	118960	La mère
701395	158836	La mère
701395	169345	Madame Monteil
701395	184557	Madame Landru
701395	218250	Peggy
701395	219460	Iris
701395	219473	Lucienne Falavier
701395	225408	Janine Lambert
701395	248158	Tina
701395	254085	La vieille dame
701395	257178	Norah
701395	266242	Lucie
701395	301523	Thérèse Fortier, la mère de J
701395	309150	Jane Putnam
701395	340372	Iréne
701395	351056	Herself
701395	395259	
701395	410143	Mme de Fare
701396	15023	
701397	72894	
701398	400681	
701399	214921	
701400	30303	Simne Delpierre
701400	84637	Mlle. de Bersanges
701400	214921	
701400	332956	Jane d'Athys
701400	351554	Marthe
701401	258337	Sarah Rozinski
701402	339440	Kasey
701403	222467	Erika
701404	23810	Myriam
701404	51381	Gaby
701404	381683	
701405	161571	Thelma Avery
701406	151777	Young Girl
701407	246880	
701408	108051	Party Guest
701409	287560	Sara
701409	406271	Madde's friend (2002)
701409	408800	Sirpa 'Bimbo' Koskinen (1994-
701410	404779	Mausi
701411	357189	
701412	215409	
701413	383261	
701413	383471	Selene Gallardo
701413	398490	Lucy
701413	399525	
701413	409908	Gloria
701414	246530	Café Patron
701415	69294	
701416	93217	Extra
701417	9786	
701418	384861	Seductive
701419	33679	
701420	246530	
701421	93754	Susan
701422	334028	
701423	197169	Herself
701424	345394	La girl
701425	84414	
701426	124847	
701427	376895	
701428	332598	Cliente 2
701429	8611	Rosine
701429	17731	Gigi
701429	36655	Noémie
701429	46000	
701429	83370	Georgette
701429	107681	Cousin
701429	167200	
701429	199570	Lisa
701429	217643	Irma
701429	250784	
701429	262948	Angèle
701429	268391	La jeune fille
701429	301404	Arlette
701429	321831	Charlotte Martens
701429	354695	Madeleine Barbier
701429	384787	La concierge
701430	56505	
701431	125187	Marie
701431	259613	
701432	343780	Karen
701433	230353	Charlie Boucher
701434	215831	Girl #1
701435	109455	Jamie
701435	141284	Adrienne
701435	151170	Kika
701435	169916	Marcie Jelkes
701435	392908	E.J. (2004-??)
701436	372946	Chris
701436	375921	
701437	27794	Female Ji Wushuang
701437	140838	Ling
701437	151925	Elaine
701437	216666	Eko
701437	332326	Elaine, Angel#3
701437	332327	Elaine
701437	332502	Female Operative
701437	350189	Camilla (HK version)
701437	369042	Liang Lai-Di
701437	379625	Snake Goddess (Cantonese vers
701437	386242	Laboratory Computer Voice (HK
701437	408600	Sofia
701438	224192	Chen
701439	292662	Mrs. Lee
701440	41310	
701441	337149	Sleeping Girl
701441	402477	Operative #2
701442	62196	
701442	268717	Jane Shaw
701443	95507	
701443	135478	
701445	170629	
701446	177989	3rd Princess of Ababu
701447	6311	
701447	112784	
701447	161532	
701447	161533	
701447	183060	
701447	197368	
701447	197370	
701447	320183	
701448	169323	
701449	26336	
701449	97235	Tessa's aunt
701449	105832	
701449	134642	Werkster
701449	197181	
701449	205988	Secretaresse
701449	244467	Tante Mies
701449	255629	tante Cato
701449	255630	Tante Cato
701449	325198	Buurvrouw Roos
701449	352877	Bankbediende
701449	390242	Madeleine DuPont (2003)
701450	302333	Mama de Heraclio Chuc
701451	111877	Guen LeMeur
701452	302965	Rode Dame
701453	338009	Slaughterhouse staff
701454	403982	
701455	141400	Cheryl
701456	351047	
701457	349951	Vaike/Maret
701458	233080	Kati
701459	37672	Bandit
701460	145270	Dwarf mother
701460	335943	Small woman
701461	361611	Sue's friend
701462	273650	child
701463	251575	
701465	402506	
701466	89557	
701467	222033	
701468	397540	
701469	6159	Adrienne
701469	64006	Laure
701469	109658	Maid
701469	254999	Marie
701469	352930	Sylviane
701470	19354	
701470	222357	
701471	50806	Josephine Milak
701472	257929	
701472	380332	Anabela
701472	407906	
701473	388262	Contender
701474	402626	
701474	404272	Imperatriz Tereza Cristina
701475	220746	
701475	241011	
701475	292087	
701476	166376	
701477	347119	Child in Crowd
701478	347991	Herself
701479	96741	Butch Girl
701479	262129	Neighbor
701480	80439	Milty's Sister
701481	177332	Travens Witwe
701482	403622	
701483	105462	Young Eva
701484	12917	
701484	21982	
701484	24998	
701484	51645	
701484	61192	
701484	65216	
701484	65404	
701484	74521	
701484	74651	
701484	84458	
701484	101894	Monja B
701484	103463	
701484	103500	
701484	108844	(segment "Los tres pelos del 
701484	153827	
701484	170048	
701484	233977	
701484	257129	
701484	265157	
701485	46658	
701486	16841	
701486	263830	Sabrina Luna Guerra
701486	385502	Mariana Cantú/Silvana Del Val
701486	386284	Daniela Monroy 'Danni'
701486	390404	Daniela
701486	396209	Luz Clarita
701486	401659	Maria (1997 - 2003)
701486	402152	Sabrina Luna Guerra
701487	277004	
701488	21076	
701489	286069	Mayme
701490	283903	
701490	307198	
701491	10462	
701491	13079	
701491	55515	
701491	70595	
701491	82399	
701491	121957	Karen
701491	129012	
701491	147373	
701491	178300	
701491	190644	Emilia
701491	197216	
701491	233548	
701491	233759	
701491	248666	
701491	307341	
701491	333616	
701491	336265	Mujer alcalde
701491	339450	
701491	378483	
701491	381216	Doña María
701491	390420	
701492	185137	Angie
701493	214112	Sumuru Guard
701494	14180	Girl Student
701495	178975	Han's Assistant
701495	327020	Lok's girl
701496	2627	Herself
701496	26514	HCG Technician
701496	41266	Reporter #2
701496	73560	Patient #1
701496	78025	Receptionist
701496	78058	
701496	80592	Lecture Hall Nurse
701496	84206	Photographer
701496	93211	Admissions Nurse
701496	114734	Anchorwoman
701496	119502	District Attorney
701496	127679	Woman in Washroom
701496	149912	Dr. Lee
701496	168586	OR Nurse
701496	169916	Janis
701496	171124	Herself
701496	176804	Female Technician
701496	188235	
701496	223248	Sabrina
701496	265506	Dr. Pearl Judd
701496	295420	Health Teacher
701496	297267	Morgue Attendant
701496	315132	Nurse Carr
701496	329342	Nurse #1
701496	349870	Gloria
701496	363001	Nurse
701496	366680	Dr. Kim
701496	374659	Dr. Sakamoto
701496	391839	
701496	401787	Host (1992)
701497	232934	
701497	232972	
701497	257600	
701497	257603	
701498	4585	
701498	4586	
701498	27516	
701498	89041	Mrs. Kahana
701498	271599	
701498	299520	
701498	338109	
701499	26011	
701499	103016	
701499	174920	Mrs. Feldman
701499	193036	
701500	324487	
701501	363	Fee
701501	33460	Leiterin
701501	91016	Frau Seeger
701501	92643	Frau Kahnt
701501	125005	
701501	129741	Armgard Schöne
701501	129742	Armgard Schöne
701501	164832	Renate
701501	180097	Lilly
701501	189607	
701501	214193	Stellas Mutter
701501	263551	
701501	295986	Frau Hitzeroth
701501	310892	Staatsanwältin Anton
701501	325649	
701501	354066	Luise Herz
701502	267933	
701503	340486	Chambermaid 3
701504	115203	Ida
701504	190791	
701504	359645	
701504	365019	
701504	410813	Reni
701505	210193	Svetlyo
701506	91067	Herself
701507	198043	Angelika
701508	366517	Kommunarde
701509	284442	Flutist
701510	129722	
701511	6581	Herself
701512	95327	
701513	336232	
701514	220693	
701515	376216	Vera
701516	107340	
701517	107340	
701518	40638	
701518	153788	
701518	198986	Julie
701519	186389	
701520	64689	Ewa
701520	109004	Celina
701520	238833	
701521	88410	
701521	255611	
701521	262147	
701521	334199	Zofia Wyskocz
701522	202572	M.'s Friend
701522	223220	Yopi
701522	237442	
701523	266019	Miriam
701524	134524	
701525	67593	Saleswoman
701525	401079	Wife #3
701526	140798	Professor's wife
701527	104210	La Black du supermarché
701528	238448	Xemene
701529	34666	Mayflower Hound Judge Eadie F
701530	40745	Dr. Gilroy
701530	46981	Judy
701530	91767	Building Supervisor
701530	301677	Other Mother #1
701530	310647	Snack Shop Clerk
701531	114642	Matthew's Kids
701532	99919	Emily
701533	104790	Gospel Choir
701534	169136	Anna: Gad's Wife
701535	238448	Antigone
701536	5753	
701536	23854	
701536	71280	
701536	74567	
701536	89964	Travel Woman
701536	113225	Angela
701537	2472	Sophia
701537	179017	Isabelle Alvarado
701537	198044	Sylvia
701537	310462	Agent
701538	73217	Sue Henderson
701538	105101	Political Secretary
701538	364502	Jess Jenkins
701539	97030	Miss Hattie's Girl
701540	375714	Young woman
701541	232238	Attendant's Girlfriend
701542	129440	Gladys
701543	97532	Anna Clarke
701544	27037	Maria
701544	32185	Chorus
701544	75282	Annette
701544	175544	Herself
701544	223904	Herself
701544	223905	Herself
701544	280365	
701544	307878	Herself
701545	10331	Roxane dancer
701546	8578	Niece
701546	48124	Caroline
701546	131484	Magda Turek
701546	141660	Young Girl in Apartment
701546	174405	Josephine
701546	356441	Anezka
701546	375136	Barbora Lukesova
701547	181300	Narrator
701547	229561	
701547	285551	Demjanova
701548	328217	Gita
701549	166443	Andrea
701550	276646	Clare
701551	144368	
701552	286022	
701552	311362	
701552	386526	
701552	404144	
701553	34169	
701554	226413	Mara
701555	154070	
701555	246858	Pevacica
701555	394111	Pevacica
701555	399008	
701556	35027	
701556	78207	
701556	126292	Staka
701556	132504	
701556	155982	
701556	166646	Vera
701556	173101	Gasina snaja
701556	216511	
701556	238193	Lela
701556	258671	
701556	263642	
701556	271379	
701556	310654	Rosa
701556	311362	
701556	323307	
701556	338863	
701556	383805	
701556	386526	
701556	394110	Ruza
701556	394813	Paulina Djordjevic
701556	395832	Jagoda Jovanovic
701556	404207	
701556	404391	Jela
701557	48756	
701557	171911	
701557	173667	
701557	229923	Marina
701557	261940	
701558	376226	Ana
701559	350198	Mistress Diana
701560	410513	Madame Tedesco
701561	141257	Carrie
701562	383273	
701563	115884	
701564	373699	Marina
701565	223639	Partier
701566	171274	New Baby
701567	348377	Can Can dancer
701568	209133	Jessica Lopez
701569	381898	Reporter (2001)
701569	382298	Herself
701569	408397	Herself (weather girl) (2002-
701569	408623	Reporter
701570	152952	Kassandra Cheyung
701571	14303	
701571	78207	
701571	139546	Mod
701571	147567	
701571	166448	
701571	173544	
701571	180275	
701571	181269	
701571	205799	Veronika-sluzavka
701571	209362	Simina supruga
701571	227840	Emily
701571	227841	
701571	232597	Komsinica
701571	261951	
701571	267946	
701571	272194	
701571	293807	Deda Milojka
701571	295063	
701571	303113	
701571	304510	
701571	305527	
701571	305820	
701571	305904	
701571	318206	Mrs. Murphy ... svedok
701571	320235	
701571	320492	
701571	320551	Deda Milojka
701571	343783	
701571	350679	
701571	381182	
701571	381239	
701571	382431	Ivona
701571	386659	Komsinica
701571	390388	Katarina Antonic-Milchause, u
701571	390909	Zozon
701571	395082	Mis
701571	395834	
701571	396202	
701571	396589	
701571	397529	Ujna
701571	397988	
701571	398887	
701571	398888	
701571	400481	Slavkova majka
701571	401991	Ruskinja
701571	406315	Marija Piscevic
701571	409311	
701572	244653	Various
701572	341788	Various
701573	265935	
701574	344524	Herself
701575	341217	
701576	387960	Herself
701577	54921	Good Luck Bear
701577	54922	Playful Heart Monkey
701577	54923	Playful Heart Monkey
701577	161603	Donna Cherry
701577	197545	Sally
701577	372409	Suzanne
701577	374589	African Green Monkey
701577	379644	Additional Voices
701577	383462	Playful Heart Monkey
701577	401100	
701577	406982	
701578	344524	Herself
701579	292070	
701580	241067	Jennifer
701581	4721	
701582	227120	Musician
701583	220529	Rosemary Raccooney
701584	344344	
701585	212650	Sobczakowa's Friend
701585	322138	
701586	305861	Pasdame
701587	381821	Ensemble (1985-1986)
701588	368737	
701589	104792	Nyaraló
701590	43107	
701591	350833	
701592	350833	
701593	51220	
701594	51221	
701594	78287	Rózsi
701594	97967	Marja
701594	97974	
701594	110697	Anita,kalandornõ
701594	129672	Mother superior
701594	175600	
701594	182876	Mrs. Batthyányné
701594	224968	
701594	225083	Éva, Bálintné lánya
701594	227521	
701594	322048	Anica
701594	326341	A grófnõ
701595	104792	Nyaraló
701596	350833	
701597	177975	
701598	312138	A Girl
701599	48124	Line
701600	257674	Herself
701600	274148	Herself
701601	25220	Sandra
701601	103201	Herself (Winner)
701602	300056	
701603	160731	Enfermera Planta
701603	337676	
701604	132995	Claire
701605	352882	
701606	10829	Alice
701606	23919	Herself
701606	34872	Herself
701606	43986	Herself
701606	47173	Herself
701606	60771	Nancy
701606	74766	Lulu the cook
701606	82097	Herself
701606	96867	Performer/Herself
701606	104744	United Kingdom entry (1st pla
701606	120578	Herself
701606	131301	Herself
701606	147240	United Kingdom entry
701606	165265	Herself
701606	208335	La voisine de Gisèle
701606	210754	Lulu
701606	223079	Herself
701606	227159	Herself
701606	235398	
701606	245256	
701606	254076	
701606	265605	Ethel
701606	273234	Herself
701606	287326	
701606	311839	Lulu
701606	314498	Performer/Herself
701606	316794	
701606	316856	Lulu
701606	323465	Herself - Performer
701606	334307	Barbara 'Babs' Pegg
701606	334308	Barbara Pegg
701606	360248	Herself
701606	362346	Herself
701606	362586	Irene Smith
701606	389654	Herself - Presenter (Season 2
701606	393113	
701606	395406	Herself/Various Characters (S
701606	395435	
701606	396169	Herself
701606	396170	Herself
701606	396172	Herself
701606	399045	Presenter
701606	402916	Regular Performer
701606	404664	Pauline Mole (1987)
701606	408122	Various roles
701607	172053	
701608	556	Number Two
701609	175621	Klahn's Harem
701610	109395	Manicurist #2
701611	158588	
701612	263740	WGN Location Reporter
701613	41366	Suzie
701614	168063	Audrey Chan
701614	298762	Trixie
701615	20625	Extra
701616	881	
701616	42402	Deputy Spunkmeyer
701616	170727	
701616	177632	
701616	325146	
701617	68242	Annie
701617	211385	Boutique clerk
701617	283554	Girl on Yacht
701617	314697	Blackjack Dealer
701618	375235	
701619	67496	
701620	121341	Cristina
701621	345964	Nurse
701622	79197	
701622	181953	
701622	233459	
701622	237356	
701623	55690	Vestal Virgin
701623	55714	Amazon Guard 3
701623	81457	Gaby's rival
701623	92627	Thal
701624	409037	Mira
701625	409037	Signe
701626	218845	Penelope
701626	309820	Leila
701626	385627	Judy
701626	407667	Sheila
701626	409505	Miss Crook
701627	29320	Monica
701627	73857	Jenny
701627	75648	Reporter
701627	137575	Tania Westin
701627	360899	Margo
701627	390100	Angela
701627	398674	Sandra Solomons
701628	302359	
701629	277360	
701630	355946	
701631	16076	Herself
701631	36670	La présentatrice TV
701631	148648	Présentatrice TV
701631	209944	Herself
701631	264943	La journaliste
701631	384743	Herself/Host (2004)
701631	409277	Herself/Journalist (1993)
701631	411614	Host
701632	218507	Nurse
701633	257170	Herself (Zairian medical stud
701634	405534	Miss Helen
701635	405534	Grandma Gussie
701636	227287	Nana
701637	295179	
701638	186186	Lina
701638	248398	
701639	81352	Stage Newsboy
701639	89055	Claudette Mitty
701639	105213	Stage 4
701639	268541	Nancy Bosch/Mrs. Bobby Texado
701639	283548	Music Girl
701639	336808	Pam
701640	182945	Herself
701641	78485	Herself (performing 'Fordi je
701643	323966	Series Regular
701644	123986	Herself
701645	266166	Sook Hee's Sister
701648	197386	Herself (from 'Repas de bébé 
701648	275847	
701649	155336	
701649	256692	
701650	160252	Vortex of Passion - vrouw
701651	16671	
701652	104291	Empress Teodora
701653	690	Patricia 'Patsy' Stone
701653	5209	Patsy Stone
701653	10750	Tiger Lily
701653	27261	Herself
701653	31556	
701653	46384	
701653	56773	Elinor Glyn
701653	66912	Mrs. Mary Smiling
701653	68109	The (Female) 13th Doctor
701653	68112	Herself
701653	68164	Diana Carey-Lewis
701653	70959	
701653	75556	Chandra
701653	90324	Giselle Parkyn
701653	99330	Dame Olga
701653	104699	Hostel Clerk
701653	117792	Annie
701653	123467	Fanny Hill
701653	127122	Lady Drayton
701653	129573	Helen
701653	151139	
701653	151532	Patsy Stone
701653	160016	Lady Helena Graves
701653	165252	Aunt Spiker
701653	199150	Gillian
701653	200270	Ermintrude
701653	208632	Sheila
701653	215186	Jackie Riviera
701653	227327	Diana Carey-Lewis
701653	240521	The English Girl
701653	249457	Freda
701653	257341	Hitchhiker
701653	264091	Morgana Le Fey
701653	272675	Liz Franks
701653	288493	Jessica Van Helsing
701653	299287	Marjorie Majors
701653	307888	Bit Part
701653	313119	Last in Line
701653	315642	Herself/Patsy Stone
701653	323737	Mrs. Lovett
701653	324117	Georgia
701653	337632	Marie Jouvet
701653	360594	Kate
701653	363723	Half Tusk
701653	379125	Patsy Stone
701653	384528	Mrs. Elizabeth Peacock #5 (Se
701653	385020	Elaine Perkins (1973)
701653	386869	Donna Sinclair
701653	389108	
701653	389204	Sims
701653	390098	
701653	393102	Samantha Ryder-Ross
701653	393575	Presenter
701653	397938	Lally Longbridge
701653	399227	Purdey
701653	400616	Gigi
701653	401214	Loretta Stone
701653	402216	Interviewer
701653	404293	Sapphire
701653	409642	Madison Blakelock
701654	136556	Tania
701655	71479	Theresa MacIntosh
701655	165556	Young Violet
701655	166167	Minne
701655	382253	Child Diana Doors
701656	49629	
701656	212738	Colleen O'Brien
701657	232860	
701657	297185	Mrs. Preen
701658	270255	
701658	381799	Phillippa
701658	389125	Cherry
701659	273837	Rachel
701660	47149	Sherry
701660	288472	Martha Sayres
701661	189898	Giselas Kommilitonin
701662	9239	
701663	37068	Pretty nurse
701663	43672	Various
701663	104760	Finnish entry (9th place)
701663	142328	Various
701663	153657	Various
701663	173270	Various
701663	181740	Various
701663	201219	Various
701663	209063	Various
701663	210153	Various
701663	229015	Various
701663	247136	Various
701663	267454	Various
701663	308804	Herself
701663	341788	Various
701663	380406	Herself
701663	393465	
701664	404782	Kissan emäntä
701666	336796	Brown Haired Girl
701667	75299	Rosita Manners
701668	49028	Dancer
701669	196372	Office #3 typist
701670	116074	
701671	411759	Simone (1982)
701672	301693	TV Newswoman
701673	2429	
701673	61067	
701673	81925	
701673	139261	
701673	243094	
701673	291278	
701673	332857	
701673	372475	
701674	19658	
701675	49887	
701675	140657	
701675	174498	
701675	202096	
701675	217371	
701675	325371	
701676	212392	Bambina
701677	69206	
701677	355757	
701678	237899	Adriana
701678	301577	Madre del novio
701679	10819	
701680	37728	
701680	41682	Chorus Girl
701680	46606	Luisa Santamaria
701680	60140	Anita Marquez
701680	74246	Tina
701680	84838	Camille
701680	86804	Juanita
701680	99449	Prostitute
701680	113903	Meli
701680	114704	Makia
701680	116732	
701680	124523	Leona
701680	125816	Gayle
701680	138324	Soledad Villegas
701680	141380	
701680	174886	
701680	183536	Lily Norton
701680	187264	
701680	200991	Marietta
701680	234966	Mama
701680	258018	Gayle Tyler
701680	299174	Amparo
701680	321883	Mary
701680	324547	Nikko
701680	330198	Receptionist
701680	365962	Meriden
701680	367523	
701680	367807	Leila
701680	400236	Maria Vasquez Roberts (1986-1
701680	404613	Anna Ryder (1985)
701680	406952	Sydney (1998)
701681	104770	Herself
701682	118149	Víctima #4
701683	57469	
701684	52117	
701685	314233	Lolita
701686	48820	
701686	132695	
701687	244588	Vecina
701688	7336	
701688	14649	
701688	29820	
701688	33506	
701688	51913	
701688	61138	Asunta
701688	64977	
701688	103167	
701688	143748	
701688	166895	
701688	193513	Muchacha
701688	202213	
701688	206018	
701688	206041	
701688	214825	
701688	220701	
701688	256944	
701688	268526	
701688	280315	
701689	341349	
701690	53032	
701690	269753	Model
701690	280708	Herself
701690	286181	Salome
701690	286356	Self
701690	288801	Enotea
701690	291411	Himself
701690	291412	Herself
701690	303928	God's Mistress
701690	335489	Herself
701691	10819	
701692	159038	Miguel's mother
701692	203927	Waitress
701693	103745	
701694	36509	Costanza, dama della regina
701694	269709	
701694	279913	
701695	100543	
701695	103699	
701695	146566	
701695	195573	
701695	306668	
701696	20733	
701696	86451	Dancer
701696	169567	Palomita
701696	384975	Catalina
701697	357895	Sirvienta
701698	188999	Rita
701699	26014	Paquita
701700	7879	
701700	389233	Marcela Mejia (1999-2002)
701700	397243	Angela Zamora
701700	397737	
701701	395846	
701703	33517	
701703	33518	
701703	49372	
701703	121320	
701703	252518	
701703	287855	Mabel Moon
701704	103837	
701705	371290	Muchacha campo
701706	134436	
701707	304553	Girl at Pool
701707	359338	Asian girl
701708	72379	
701708	74144	
701708	97658	
701708	135196	
701708	204644	
701708	279707	
701709	193189	
701709	379043	Dominga
701709	379552	Doña Paz
701709	384395	
701709	387817	Epifania
701709	396880	
701709	401698	Cook
701709	401916	Hilaria
701709	401918	Yolanda Uribe
701709	402049	Esther
701709	402404	
701709	407648	Rosa
701709	409719	Francisca Reséndiz
701710	193701	Waitress
701711	249402	
701711	356153	Antonia
701713	356605	Penny Magtoto
701713	396887	Isabel Ballesteros
701714	318006	
701715	233757	
701716	204688	
701717	53277	Cannibal
701717	113900	Harriet
701717	119320	Host
701717	200365	Party Goer
701717	296752	Performace Artist
701717	358902	Herself
701719	390442	Herself
701719	390444	Herself
701719	390445	Herself
701719	396987	Herself (2002)
701719	409809	Herself
701720	347686	Virgin Mary
701722	310262	
701723	9868	
701724	27429	
701724	207245	
701724	280082	
701725	81038	Julie
701725	144863	
701726	263709	The grandmother
701727	15214	Julie McGinn
701728	13903	Narrator
701728	32198	
701728	39300	
701728	74026	Herself
701728	76231	Interviewee
701728	113598	
701728	135254	
701728	135815	Herself
701728	141185	Nurse
701728	161940	
701728	178091	Herself
701728	217896	Prologue
701728	238648	
701728	248533	Herself
701728	262073	
701728	267843	
701728	278257	
701728	279395	Herself
701728	297927	
701728	317863	
701728	317864	
701728	317960	
701728	355518	Sitter
701728	356887	Angel Powers
701729	14994	Kulmandens kone
701730	114487	Fiskerens kone
701731	142774	
701731	178788	
701732	218598	Virgin
701733	16153	Herself
701734	34448	Artist's Model
701735	119538	Greta Mae Hansen
701735	209310	Mike's Girl
701735	221112	First Girl
701735	265005	Blonde (Nightclub)
701736	209335	Herself - grand daugther of K
701737	26379	
701738	381970	Dancer
701739	350172	Female Paramedic
701740	90407	Annabelle
701741	82710	Jennifer, bodybuilder
701742	388445	Participant (2001)
701743	311181	Herself
701744	85878	Susan Stewart
701744	238645	Child at School
701744	290352	Nicki Johnson (Age 9)
701745	86808	Miss Sweet
701745	92482	Robot
701745	99558	Kirsten's mother
701745	128255	Mrs. Andrews
701745	128460	
701745	137965	
701745	138351	
701745	139296	Millie
701745	153250	
701745	154374	Hope
701745	168746	Louise
701745	217102	
701745	237904	Kathryn
701745	241101	
701745	243954	Bit
701745	245101	Tuff Bod
701745	247568	Blonde
701745	248496	Bit part
701745	274400	Jane Beckum
701745	299460	Herself
701745	311230	Redhead Beauty
701745	314656	Diane
701745	314927	Jessica, honey blond
701745	316802	
701745	321556	Bit
701745	335549	Georgia McKay
701745	338199	Teacher
701745	389858	Peggy Lowell (1976)
701745	395105	Valerie Scott
701745	400236	Virginia Keyser (1980-81)
701746	263779	Mrs. O'Brien
701747	63123	Julie
701747	72319	Young Girl
701747	75562	Heather
701747	170572	Wanda
701747	171179	Samantha Sandwich
701747	209206	Pearl
701747	217994	Stacy
701747	346947	Heidi Hegstrom
701747	381549	Heather
701747	381871	Heather
701748	179531	Lauras datter
701749	196558	Candy
701750	124340	Girl
701751	17838	Grossererens kone
701752	170562	Woman in Restaurant
701752	199140	Townsperson
701753	172517	Kari som voksen
701753	181082	Anne budeie
701754	90329	Sunny Everett
701754	118929	Carolyn Hayes
701754	144910	Connie Harris, aka Connie Ros
701754	150066	Janice Wheeler
701754	196558	Daisy Bricker
701754	206448	Helen Newton
701755	294287	
701757	357571	
701757	390950	Paula
701758	124602	
701758	209591	Drew's Secretary
701758	305390	Linda Rhinelander
701759	239902	
701759	369392	
701760	114771	
701761	89973	
701762	312886	Irene
701763	178436	Else Simonsen, kalt Simonowsk
701764	99513	Sabrina's friend
701765	381645	Regular Performer
701766	237037	Sister
701767	2095	Daisy Waysie
701767	25465	
701767	37351	Mrs. Chase
701767	39341	Karen Werdegast Poelzig
701767	40235	Duchess
701767	40236	The Duchess, a Gang Moll
701767	47355	Showgirl
701767	52643	
701767	73377	Ruby
701767	84901	Dolly
701767	90307	Bridesmaid
701767	112340	Mabel
701767	112617	Lucille Lund
701767	116443	Bar Girl
701767	128651	Jane Harmon
701767	141132	Gold-digging widow
701767	149827	Iris
701767	154680	Herself
701767	163267	American Girl
701767	178015	Magda
701767	197169	Herself
701767	247577	Cigarette girl
701767	256585	Dorothy Craig
701767	264437	Claire Thomas
701767	272101	Sue Callahan
701767	278594	Rose Carter
701767	288746	Myra Blaine
701767	313833	Flossie
701767	330059	Receptionist
701767	333163	Sally Martin
701767	362378	Babe Foster
701767	372431	Wampas Baby Star
701768	265005	Swedish Woman
701769	389138	Tjenestejente hos Løvdahl
701770	398388	Herself
701771	199592	Helene
701771	207478	Mrs. Matchet
701772	40297	Hanne
701772	144223	
701773	187346	
701774	391786	Eve Crawford (2001-2003)
701775	134522	Nicole (Nicole Marks)
701775	187346	Kerrie Haynes
701776	49199	
701776	109139	Marie
701776	139647	Sonja #2
701776	163936	Tuula
701776	181166	Journalist
701776	182576	Stella Måne
701776	192659	Sabina
701776	198380	Hitchhiker
701776	201670	Herself/Marie
701776	249105	Agneta Pligberg
701776	303664	Lisa
701776	322840	Herself
701776	326516	
701776	380752	Ulrika
701776	403084	Mona Kjellgren (1994-1995)
701776	405746	Ms. Knausing
701776	405840	Charlotte Dahl
701776	406775	Girl at shool
701777	114725	Jessica
701778	90407	Annabelle
701779	255894	Rita
701779	298120	Boomer Mom
701780	149242	Festdeltagare
701780	387628	
701780	401774	miss Simonsson
701781	213628	Nurse #1
701782	390272	Golddigger
701783	222599	Next Victim
701784	319633	Herself - Psychologist
701785	290412	
701786	352368	Barbara Cleving
701787	56084	Marianna
701787	181755	Liina
701787	187568	Sylvi Krakström
701787	237243	Ester
701787	268330	Lotta Markovilla
701787	353487	Gräfin Victoria
701787	354602	
701788	318778	Kristina
701789	117862	Frk. Suenson
701789	181161	Bente
701789	225690	Amanda Bokken
701789	406286	Mrs. Starvik
701790	204168	Mary
701790	251367	Narrator
701791	137733	
701791	303848	Young Swedish Girl
701791	315548	Fia Sjölund
701791	347018	Stina, maid
701792	347005	
701793	209335	Herself - daughter of Kaj Mun
701794	93290	Caroline
701794	106188	Belinda Maloney
701794	138118	Zelda
701794	141720	Herself
701794	151184	
701794	168955	Herself
701794	310589	Andrea/Elaine
701794	328553	Thana (Ms. 45)
701794	392102	Chickie
701795	308212	
701796	42956	
701796	42958	
701796	68652	
701796	71333	
701796	119263	
701796	127589	
701796	189775	
701796	206696	
701796	240134	
701796	284098	
701796	292269	
701796	296527	
701796	344580	
701797	122466	Leo's Class Mate
701798	234826	Pige/Girl
701799	223514	Tyttö polttareissa
701800	210337	Host
701801	381288	Herself (säsong 3)
701802	343459	
701803	322313	Magician's assistant
701804	302793	Sister
701805	331310	Class Girl
701806	284029	Tina
701807	394864	Märta Ekelund
701808	120892	Housemaid
701808	142760	Waitress on boat
701808	153285	Karin
701808	198391	Young woman hitting on Gösta
701809	405731	Herself
701810	190805	
701811	380203	Inga
701812	405570	Petra Magnusson (1997)
701813	333364	PTA Lady
701814	28092	Sophie van der Berg
701815	28569	Jannis mor
701815	104817	
701815	303747	Foreman
701815	342243	Datter
701815	398855	
701815	405540	Birte Mogensen
701816	16264	Anderssonskan
701816	43250	Mrs. Frida Boman
701816	121010	Maid
701816	131180	Vvrdinnan på Ballingsholm
701816	164787	Maria
701816	171991	Mrs. Lindberg, Olle's mother
701816	173201	Mother Karin
701816	174201	Landlady
701816	182288	Vicar's wife
701816	182552	Mrs. Gustafsson
701816	184577	Stina Andersson
701816	225671	Irma's and Barbro's mother
701816	244073	Tenant
701816	272642	Queen
701816	277817	Housewife of Ubbetorp
701816	305303	Miss Lundberg
701816	312022	Gugge's mother
701816	315365	Miss Johansson #2
701816	321928	Ingeborg Granliden
701816	322422	Mrs. Munter
701816	338674	Guest at Marianne's birthday 
701816	343471	Knut's mother
701816	343514	Mrs. Forsberg
701816	353042	Woman
701816	357773	Guest at the party
701816	357805	Mrs. Jansson, Åke's mother
701816	377298	Guest at Tora's party
701817	241226	Melissa
701817	366956	Evie McAllister
701818	134943	Småtta Carlsson
701819	11716	Moa
701820	11716	Hanna
701821	170710	Lina
701823	311233	
701823	317587	Enken
701824	252188	Gypsy woman at the cafe
701825	381894	Herself (season 1-2001)
701825	381897	Herself (season 1-2001)
701825	381914	Herself - Participant (season
701826	87492	Maria
701827	139234	Sharon
701828	80448	Opal Brande
701828	108333	Irene (Waitress)
701828	204386	Maria Rosetti
701828	207267	Colette
701828	242500	
701828	250873	Newscaster
701828	328258	Bimbo
701829	84321	Unni Borg
701829	109137	
701829	117902	Solveig Brand
701829	144061	Claire, fru Niehlsens datter
701829	154496	
701829	237072	Rigmor, hans datter
701829	324632	Ruth, datter
701829	352204	Gunda
701830	253	Marie
701831	87409	Zingorah/Additional Voices
701832	173810	Turid
701833	314843	(Norwegian version)
701834	206355	Bridesmaid
701834	255327	Beautiful young woman
701835	47364	Autograph Seeker
701835	146814	
701835	209660	Show Girl
701835	348327	Goldwyn Girl
701837	167866	Christmas Caroler
701838	248425	The wife
701839	73374	Girl at Desert Party
701840	340803	Photographer's Assistant
701841	321940	Abby
701842	4671	Herself
701842	69812	TV Announcer
701842	119533	Herself
701842	358813	Host
701842	358820	Host
701842	358821	Host
701842	362115	Herself
701842	381565	Host
701842	382088	Host (2001- )
701842	388139	New York Reporter/Anchor (197
701842	390334	Herself - Co-host (1980-1997)
701842	402980	Host
701843	31704	Sunday School Kid
701844	127581	
701844	274165	Nurse
701844	286158	Svensk selskapsdame
701844	363121	Irina
701844	388307	Billeba Birkeland
701844	392072	Desirée Johannesen (1999)
701845	341939	911 Operator
701846	132182	Liselotte Andersson
701847	127569	Her Royal Highness
701847	136711	Mrs Margaretha Samzelius
701847	198276	Grandma
701847	205515	The old one, Dubois' mother
701847	228384	Beckius
701847	242311	Mathilde Hallencreutz
701847	284101	Mrs. Branzell
701847	315360	Karolina Koger
701848	107305	Emma
701848	142214	Dam i hissen
701848	377429	Miss Björkemo's friend
701849	162582	Den nye jenta
701850	62927	Hovdamen/Kammarjungfrun Maria
701851	357612	Gustav's Girlfrend
701852	77403	Marianne
701852	100477	
701852	179095	Frideborg Dahlström
701852	278346	Marianne
701852	357764	Christina Ek
701852	405539	Dolores Karlsson
701852	405822	Ella-Hemtjänsten
701853	43388	Sonja Persson
701853	334740	Bittan
701853	350772	Gustav Vasa's mother/Olaus Pe
701854	76754	
701855	236163	Woman 7
701856	56545	Herself
701857	135672	Waitress
701858	3161	Child at the swimming school
701859	115880	Marianne
701859	354569	Hjenni
701860	3017	Katrine's mother
701861	192495	Mysterious Girl
701862	204543	Advokat (episode 1)
701862	375867	Linnéa
701862	391722	Marie
701862	403702	Bianca
701863	257961	
701863	315923	Beautician
701864	32382	Secretary
701864	136176	Sofia Albertina
701865	388055	Herself (2003)
701866	381054	Pia Lena Willard
701866	386174	Sofi
701866	397783	The music teacher
701868	254250	
701868	337184	søster Reidun
701869	178920	Sandy
701870	159672	
701871	273004	Woman with Dog
701872	182806	Maria
701872	308200	Mrs. Almgren
701873	56903	Rinpoche
701874	342	Ursula
701874	26533	Mutter
701874	34034	Lisa
701874	49295	
701874	107950	Susann
701874	121031	Vivien
701874	129879	
701874	134980	Ursula
701874	173703	Anette Breitenbach
701874	218983	Franziska Körner
701874	258182	
701874	281660	
701874	284424	Anna
701874	313782	Performer
701874	317497	Emilia
701874	325692	Ulrike Hentsch
701874	336542	Ellen
701874	352178	Friedel (segment "Fata Morgan
701874	360754	
701874	361510	
701874	376008	Franziska
701874	376421	Isabel Anders
701874	379772	Ingrid (1995-2000)
701874	380587	Fine
701874	381053	Hilde Giesing
701874	390190	
701874	396874	Kommissarin Wegener (1992)
701874	397765	
701874	398863	
701874	410390	Bibi
701874	411929	
701875	181494	Annika
701875	346971	Marianne
701876	284123	Parent
701877	111625	Herself
701878	314390	Nina
701879	214691	Guest
701880	187563	Baby 'Russin' Volt III
701881	177660	Bowling Biker Babe
701882	296813	
701882	334149	Becca
701883	136632	Annika
701883	333082	Lena
701883	405825	Woman in Crisis
701883	406604	Garderobiärskan
701883	409080	Annelie
701884	347013	
701885	377435	Girl at party
701886	320611	Lena
701887	33254	Susanne (segment 1)
701887	248425	
701888	134258	Cecilia Grane
701888	343712	Helga's Mother
701889	124795	
701890	399123	Radio reporter
701891	154927	Party person
701892	44519	Bankdame
701893	47997	Alcohol Cashier
701893	88392	Miss Greta, waitress
701893	88824	Maid
701893	120922	Woman in the village
701893	154504	Woman at the market
701893	191172	Björn's mother
701893	192926	Pharmacy customer
701893	217451	Woman at the Fors farm
701893	228397	Woman in car
701893	289783	Cleaning lady
701893	304161	
701894	138024	
701894	174172	Ulla
701894	180392	Mimmi Ståhl
701894	225232	Karin
701894	317608	Estelle
701894	339758	
701894	340434	Marianne
701895	254845	Temp Gal
701896	301681	Saleslady
701897	16565	
701897	17705	Gitte
701897	96455	
701897	109141	Teis mor
701897	117458	Nurse
701897	120968	Nabokone til Frida
701897	182456	
701897	187789	Liza/Fyrstinde Zenia
701897	213436	Majbritt
701897	221088	
701897	249743	Kerstin
701897	266370	Mine
701897	287375	Synnøve
701897	304060	
701897	305010	Lis
701897	305565	
701897	307714	
701897	314845	Jeanne
701897	315397	Snob
701897	354882	Mille Tusindpik
701897	388891	
701897	391722	Fru Rager
701897	400118	Frk. Clausen (Miss Ragnhild C
701897	403138	Kirsten Jørgensen
701897	406552	Herself - Regular participant
701898	212337	Herself - Participant/Perform
701899	78495	Herself - Presenter ('Mon du 
701899	291654	Herself (episode 3 "Som at pi
701900	6586	Greta
701901	205809	Mona
701901	374541	Mor til Nina
701902	159646	The Girl With The Eyes
701902	222458	
701902	305834	
701902	377287	Girl at the office
701902	381054	Nurse karin
701902	394937	Märta Åvik
701902	403408	Maid
701903	149479	Girl
701904	136171	Daughter
701904	324423	
701905	89330	Diana
701906	222458	
701907	394736	The studio hostess
701908	76733	Monica
701908	77403	Tillfälliga Sylvia
701908	108197	Mona Bendricks
701908	122466	Clara
701908	179095	Hedvig Elisabeth
701908	218221	Star
701908	248500	Eva-Britt Qvist
701908	303664	Agnes, Lasse's wife
701908	312072	Eva-Britt Qvist
701908	320623	Maja
701908	377291	
701908	390950	Anita the welfare assistant
701908	392356	
701908	394942	Gunnel
701908	400886	Herself (Blue Team) (2003-)
701908	401773	Anita Löfstedt
701908	404159	Sally Santesson
701909	351889	Nunnan vid dårhuset
701910	286137	Mia
701911	181709	Kettu's girl
701912	65938	Hannah
701913	41959	
701913	119077	
701914	401773	Kina's sister
701915	171094	Slumber Party Girl
701916	83059	Erna
701917	53829	Anabella
701917	212628	Anabella
701918	219842	Sigrid Bergström
701919	311923	Katy
701920	357302	
701921	320629	French mistress
701922	195012	Jennifer
701923	337551	Baronin Elsa Hartwig
701924	42954	Blå Stjärna
701924	135219	Villager
701924	192647	Malena, Mattias' wife
701924	225314	Margit
701925	188623	Human Chain
701925	198724	
701925	261411	
701925	287560	Woman at the Archive
701926	78400	
701926	343700	Maternal grandmother/Pas de s
701927	169136	Chorus
701928	47004	Theresa
701928	51801	Kate Hartounian
701928	82837	Bonnie
701928	154427	Flight Attendant
701928	171035	Terianne
701928	176854	Carol Graham
701928	185647	Rachel Tullis
701928	199639	Bernice
701928	245611	Nikki Page
701928	280156	Julie Ford
701928	302777	Talkative Applicant
701928	317551	Joan Stupid
701928	350221	Sharon
701928	381076	Susan Davis
701928	391977	Gloria Utz
701928	400600	Nikki Page
701928	404639	Denise Palmaro
701928	405876	Meryl Doogan
701929	26180	Samantha
701929	113994	Susie
701929	194009	Mary Ellen Robertson
701929	273552	Zuleika
701930	222745	Kate's Friend
701931	17189	
701931	109711	Kim Brown
701931	122448	Catti
701931	129662	Catti
701931	134644	Jane
701931	153729	Catti
701931	153943	Catti
701931	199145	Potier
701931	311980	Catti
701931	315040	Nillan
701931	346180	Eva
701931	348493	Louise
701931	377305	Mia
701931	378176	Catti
701931	395047	Elin
701931	403702	Ester
701931	405378	Kajsa
701932	80710	Sara Lunden
701932	297940	Singer
701934	1304	
701935	284932	Ticket taker
701936	215690	Miss North Carolina USA
701937	346516	Ghislaine
701938	392682	
701939	64560	Herself (performer-comedy acr
701939	69414	Sabrina Masterson
701939	120230	Model
701939	210458	Herself
701939	217532	Donna
701939	217537	Diana Moffitt
701939	285049	Naomi Cohen
701939	312607	Lootie
701939	331740	Dr. Savannah Bailey
701939	341049	Mindy
701939	359529	Eldoran's Girl Friend
701939	393964	Cindy Lubbock (1988-1990)
701939	397401	Lexi Sterling Cooper Cooper (
701939	402270	Rachel Burke (1999-2000)
701939	404371	Peyton Richards Massick
701940	67665	Nurse
701941	188144	
701941	294046	Mrs. Armstrong
701942	261306	
701943	1294	Yu-fei Pai
701943	66208	
701943	76428	
701943	77804	Peng-erh
701943	85890	
701943	94296	Wu Xiao Die
701943	94783	
701943	112390	
701943	123392	
701943	218796	
701943	265238	
701943	297524	
701943	319435	Nancy
701943	332828	
701943	371622	Blind sister
701943	372581	
701944	124017	Freddy's Babysitter
701944	151085	
701944	229255	Cindy
701944	251437	Steph
701944	327591	Carmelita
701944	384950	Carmelita
701945	138715	Tracy
701946	189131	
701946	287046	
701947	16950	
701948	56885	
701949	9897	Myrna Smithee
701949	26860	Lady Mary Craven
701949	43593	Jenny Parker
701949	54034	Lucille Otis
701949	66323	Susan
701949	68011	Ephesus Townsperson
701949	79556	Mrs. Steerforth
701949	80524	
701949	88006	
701949	105597	Guenevere
701949	118925	Victor's Mother
701949	139357	Usta
701949	149643	Duchess of Wharfedale
701949	160576	Sarah Gordon
701949	161576	Adriana
701949	164381	Anna
701949	175057	Anna Danby
701949	177294	Michal
701949	183858	Jennet Jourdemayne
701949	188636	Helene
701949	190724	Merie Kirschman
701949	192382	Julia
701949	204205	Noreen
701949	215869	Carlotta
701949	221534	Beatrice
701949	240023	Nancy
701949	262534	Beatrice Manceau
701949	267846	Dinah Sternhold
701949	269663	Helen West
701949	272232	Claire Stein
701949	292037	Titania
701949	301254	Mary Morstan
701949	301614	Audrey
701949	316303	Margaret Davidson/Eliot
701949	334215	Halina
701949	353358	
701949	354968	Miss Chilton
701949	382038	Alex Ferguson
701949	382751	Cleo Steyn
701949	382830	Student
701949	382912	Laura Testvalley
701949	385148	Lady Elizabeth
701949	387332	Lady Thelma Furness
701949	387490	Una Marbury
701949	396698	
701949	396710	Gabriella Benson
701949	397055	Margaret Van der Merwe
701949	398062	Dr. Sarah Bateman
701949	398127	Dorothy
701949	402169	Princess Charlotte
701949	406687	Joan
701949	406695	Jetti
701949	407473	
701950	314119	
701951	186496	Charlotte Ryder
701952	1699	Herself
701952	101270	Herself/Malilyne Monroe
701952	101271	Herself
701952	101272	Herself
701952	101273	Herself
701952	111024	Eloïse
701952	124068	Camille
701952	219511	Charlotte
701952	245935	Anne
701952	276505	Marcolina
701952	282280	Rosa
701952	337734	
701952	376593	Herself
701953	80173	
701953	193480	Nelly
701954	25816	Chica terraza
701954	233952	Terapeuta
701955	80354	
701956	87850	Director
701957	130717	Tavern Dancer
701958	147402	
701959	253972	
701960	272440	Market Square Extra
701961	106617	Annette
701962	294038	Girl in Elevator
701962	348328	Guest
701963	69610	Dondi Owen
701964	23441	Nancy's Double
701965	272953	Minty Hallenbeck
701966	130441	Hostess
701966	142935	Charlotte Black
701967	20281	Melissa
701968	72651	Patsy Townsend
701968	161638	Ella McDaniel
701968	166693	Jenny Peckingpaw
701968	329482	Betsy Bowden
701968	404694	Amy Ames Britton Kincaid #2 (
701969	240865	Waitress
701970	163368	Indian Woman
701971	102591	Kippy Kovacs #1
701972	282766	
701973	20537	Wendy
701973	37136	Lisa
701973	89308	Grant's Girl
701973	316726	Receptionist
701974	363416	Herself
701975	108617	Doctor Barker's patient
701975	215789	W.P.C. Alice
701975	380190	Mrs. Giggs
701976	117653	Julie
701977	193123	Waitress
701978	308483	
701979	255872	
701980	255442	Lee Wai Yam
701981	185241	Chang Chinghui's Secretary
701982	110577	Xu Chayin
701982	149071	
701982	251108	Madame Wu Ailian
701982	297292	
701983	32781	
701983	36373	
701983	66777	
701983	68054	
701983	108564	
701983	111630	
701983	114685	
701983	116607	
701983	143970	
701983	152103	
701983	152807	
701983	153038	
701983	176983	
701983	189202	
701983	234469	
701983	236281	
701983	244776	
701983	257593	
701983	260217	
701983	265263	
701983	276158	
701983	280930	
701983	280931	
701983	295381	
701983	310378	
701983	321716	
701983	330597	
701983	343357	
701983	363907	
701984	48954	Madam
701985	53056	Cindy
701986	233246	
701987	349148	
701988	1537	Neiti Jansson
701988	2933	Dentist
701988	9996	House-owner
701988	14738	
701988	99471	
701988	104860	Tauno's mother
701988	172143	
701988	175729	
701988	181562	Eeva
701988	181745	
701988	214843	
701988	233243	Heta Harjula
701988	233246	Loviisa Niskavuori
701988	236795	
701988	280559	Anna Roinila
701988	328685	
701988	349737	
701988	354255	
701988	354290	Hostess Emma Harava
701988	371441	
701988	373379	
701988	394206	
701989	387647	
701990	44410	Female Guard
701990	99198	Mummo
701991	184041	
701991	201219	Various
701991	307163	Eijan äiti
701991	354768	Viola
701991	372625	History teacher
701991	392334	Various characters
701992	174478	
701992	175593	
701992	177898	Marja Blomqvist
701992	236795	Irmeli Fridell
701993	1524	Midori
701993	80504	Pammy, Girl in Bed
701993	114181	Linh
701993	134028	Second Wife
701993	152827	Ylayali
701993	215741	Tuyet
701993	311368	Linh
701994	37474	Tara
701994	129347	Tina Trac
701994	160896	Molly Tram
701995	147534	Principal Model
701996	14834	Seconda ragazza ristorante
701997	137224	Wanda
701998	214042	Herself - Council for Unity, 
701999	396063	Allison Donnelly/Matleena Lep
702000	187790	
702001	404145	Elina Ekholm (née Taalasmaa)
702002	90932	New York journalist
702003	126709	Foxine Brocker
702004	13457	
702004	311819	
702005	104751	Israeli entry (6th place)
702005	141750	Herself
702005	175000	Herself
702005	175004	Herself
702005	175006	Herself
702005	175008	Herself
702005	389805	Herself
702006	16677	Oyster Cajun #1
702007	92338	Olga
702007	217550	
702008	288803	
702009	149515	
702010	15204	
702010	49176	
702010	53158	
702010	86854	
702010	96501	
702010	105820	
702010	106203	
702010	109599	
702010	155119	
702010	261921	
702012	195758	Laotian Princess
702013	206667	
702014	19471	Nurse
702014	157079	Rosa
702014	233553	
702014	407867	
702015	118623	Police officer #1
702015	396061	Clare Grainger
702016	179703	Sal
702017	396649	
702018	222330	Handmaiden #1
702019	22126	
702019	73486	
702019	132129	
702021	287728	Kid #2
702022	130712	French Maid
702022	183741	Maid
702023	110338	Girl Scout
702024	287217	The Singer
702025	4711	Becca
702025	42913	Girl at Party
702025	69804	Amy Markowitz
702025	73560	Becky
702025	82452	Young Elaine
702025	140183	Patricia
702025	194212	Julie Ubriacco
702025	275480	Vanessa (Age 4)
702025	275791	Molly Ward
702025	287728	Future ballet girl
702025	329484	Flower Girl
702025	385977	Young Terri
702025	402947	Phoebe
702026	81116	Despino
702027	78254	
702028	390761	(2003)
702028	398017	(2003)
702029	304734	Hallway Hallucination #2
702030	221906	
702031	145818	Pat
702031	308159	Jean Rivers
702031	308180	Toni Beaumont
702032	367595	Lady Gaythorne
702033	7108	Ann Brandon
702033	18615	Hope Harcourt
702033	21297	Paula Sewell aka Paula Monter
702033	27071	Mama Dolores
702033	35596	Mrs. Helen Gordon
702033	37165	Marion Castle
702033	37511	Phyllis Martin
702033	67608	Doris Buckner
702033	67611	Edna Brown
702033	67858	Esther Smith-Hamilton
702033	80654	Herself
702033	81949	Libby Saul
702033	85076	Mrs. Preston
702033	85184	Emily Bronte
702033	103317	Gemma Smith
702033	110941	Martha Lindstrom
702033	112095	Herself
702033	112319	Marietta
702033	116676	Mrs. Skinner
702033	117647	Jenny, the Maid
702033	124716	Jane
702033	127085	Mary Elton
702033	139214	Mrs. Helen Chernen
702033	139221	Seabright Tennis Match Specta
702033	143112	Anne
702033	144806	Jill
702033	144931	Marie Garson
702033	147663	Herself
702033	154358	Ada Wallis
702033	154374	Randolph Cheyne
702033	157899	Jennifer Whittredge
702033	166694	Agnes Langley
702033	170845	Elvira Bonner
702033	183374	Ellen Creed
702033	183545	Lila Thorne
702033	188354	Paula Quinn
702033	188642	Mrs. Forrester
702033	190060	Kathy Thomas
702033	190490	Bessie Broke
702033	193739	Val Carson
702033	196012	Uncredited
702033	197760	Julia Thomas
702033	203130	Petey Brown
702033	217957	Jane
702033	218849	Anna
702033	223754	The Mother
702033	240470	Mary Malden
702033	240793	Narrator
702033	241703	Monique Pelerin
702033	245159	Stella Goodwin
702033	249022	Mignon de Charelle
702033	253898	Agnes
702033	255881	Jean Howard
702033	264030	The Princess
702033	264709	Lilli Marlowe
702033	267033	Herself
702033	273225	Marigold Tate
702033	279322	Lily Stevens
702033	291713	Doris Malone
702033	291812	Ruth Brewster
702033	291915	Barbara Hilton
702033	305454	Pat Reynolds
702033	316110	Alice Carmichael
702033	316307	Iris Sawyer
702033	329329	Herself
702033	330159	Lana Carlsen
702033	363567	Mildred Donner
702033	367504	Deborah Chandler Clark
702033	367807	Claire Tyson
702033	367913	Amelia van Zandt
702033	372898	Gert Malloy
702033	389176	Alternate Lead Player
702033	398368	Eve Drake (1957-1958)
702034	36899	
702034	46214	Dancer
702034	85184	Giselle
702034	207287	Specialty dancer
702034	230339	Josie
702034	235515	Joan
702034	245457	Stella Carter
702034	274412	Dancer
702034	333369	Prostitute (1871)
702034	365425	Faith
702035	121520	Young Sarah Archer
702035	147793	Joanne Jennings
702035	176964	Nancy
702035	248149	Molly Darrow
702035	301983	Tivoli
702035	339669	Hotel Clerk
702035	348643	Abigail
702035	359958	Nurse
702036	291052	Warrior Woman
702037	230075	Angela
702037	351976	
702038	256412	
702039	68771	Woman with Handbag
702040	246272	Gym Teacher
702041	316661	
702042	365241	Herself/panelist
702043	36925	
702043	128630	
702043	327782	
702044	1390	Lydia Hedberg
702044	1870	Joan Marshall
702044	2313	Herself - Performer/Best Actr
702044	2542	Performer
702044	2771	Herself/Performer
702044	27213	Van Klerk
702044	43432	Miss C. Canzinarra
702044	47382	
702044	47386	
702044	64797	Maggie
702044	68284	
702044	93837	Florine Werthan
702044	105019	Herself
702044	108350	Aunt Nan
702044	112400	Lisa D'Angelo
702044	142165	Betty Croft
702044	143240	Joanna Saxen
702044	157464	Herself
702044	161293	Herself
702044	171191	Sylvia Levine Polinsky
702044	175534	Herself
702044	177451	
702044	186578	Lady Bird Johnson
702044	217820	Emmy Cosell
702044	254967	Narrator
702044	308489	Herself
702044	308673	Zantalalia
702044	313914	Sherry Bailey
702044	318763	Helen
702044	321089	Mrs. Lovett
702044	333303	Kitty Duval
702044	353407	Sandy
702044	359963	Rita Lang
702044	366617	Wanda Valentini
702044	366974	Elaine
702044	388238	Francesca Gold
702044	395548	Elizabeth 'Libby' Thatcher
702044	400621	Stella Coffa (2003)
702045	241552	Bonnie Reed
702045	383186	Rosie
702047	309114	
702047	399795	
702048	67012	
702048	252075	
702049	49127	
702049	222992	
702049	257136	Polina Raspyatova, an actress
702049	390181	
702050	79272	Dater
702052	200170	Teacher #1
702052	350194	Rebecca
702053	393408	
702054	371674	
702055	391852	
702056	1034	Venezuela
702057	487	
702057	6562	
702057	38275	
702057	42633	Lidia
702057	60468	
702057	70671	
702057	104057	Loli
702057	108847	
702057	124705	
702057	132689	
702057	160136	
702057	160725	
702057	205140	
702057	208192	
702057	218093	
702057	221727	
702057	252559	
702057	255438	Sylvia Costa
702057	266871	
702057	269560	
702057	325177	
702057	370064	
702058	351428	
702059	243509	The Andalusian Student
702060	270732	
702061	53678	
702061	196702	Mónica
702062	12029	
702062	20733	
702062	28277	
702062	48800	
702062	61351	
702062	82228	
702062	90139	
702062	135308	
702062	146524	
702062	148061	
702062	212469	Herself
702062	269236	
702062	287460	
702062	291677	
702062	328159	
702062	340363	
702062	353552	
702062	355942	
702062	395487	
702063	82175	
702064	10296	
702065	130358	Miss Cuba
702066	55224	
702067	63962	
702067	103808	
702067	146478	
702067	211044	
702067	213724	
702067	221759	
702067	247418	
702067	307726	
702067	357899	
702068	9731	
702068	13138	
702068	14672	
702068	14772	Lourdes
702068	21681	Actriz
702068	25522	
702068	30481	
702068	52156	
702068	52959	
702068	68623	
702068	94873	
702068	103639	
702068	111418	Blanquita
702068	134500	
702068	135200	
702068	144075	
702068	160893	
702068	162918	Alejandra
702068	167805	
702068	209404	
702068	212433	
702068	215224	
702068	218092	Beatriz
702068	221959	
702068	235300	
702068	251566	
702068	262607	
702068	318001	
702069	134888	Susan
702070	380430	
702070	391659	Herself
702071	396299	Michal Levinstein
702072	523	
702072	407760	Herself
702073	47587	
702075	215101	
702076	308139	Mary Lou
702077	23539	Pauline
702077	353864	Marie
702079	356503	
702080	104061	
702080	253670	
702080	396149	
702080	402427	
702080	405816	Mucama
702081	44659	Rosina
702082	10296	Psycholoque, Chercheur CNRS
702083	29385	
702083	90101	
702083	125047	
702084	64657	Fast Track
702085	196572	Female lovemaker
702085	391835	Talking heads/soundbites (Seg
702086	17935	Herself/Audience Member
702086	23932	Herself
702086	98851	Herself
702086	98861	Herself
702086	374582	Lou Bayliss
702086	382361	Hostess
702086	382838	Frankie (1999)
702086	389721	Herself (Series 2) (2004)
702086	390195	Herself - Health & Fitness Ex
702086	393103	Presenter
702086	394475	(1990-1991)
702087	366205	Woman washing dishes
702088	7740	
702088	7952	Survivor
702088	347053	Gloria
702089	15929	Herself
702090	295487	Girl (segment, "opening title
702091	410048	Klara
702092	396108	Contestant
702093	709	Justina
702093	312409	
702093	328505	Helga
702094	232311	CIA systems expert
702095	42952	Wirtin
702095	93455	Hildegard
702095	121062	Elise
702095	125137	
702095	172524	
702095	207933	Woman with Black Hat
702095	290798	Sandra
702095	359679	Woman at pool
702095	376368	Loreley
702096	300917	Andrea Hicks
702097	15031	
702097	17555	Annushka
702097	120199	Miss Roberts
702097	158514	Maura
702097	191963	Mrs. Mellon
702097	229728	Lavinia Glynne
702097	253081	Lychorida
702097	380185	Auntie Flo
702097	380186	Auntie Flo
702097	389342	Madame Remoleux
702097	389931	Lady Cecilia
702097	397182	
702097	398186	Aunt Mary
702097	408638	Mrs. Weller
702098	60753	Kim
702098	318866	Blonde Girl
702098	384455	Nina
702098	389917	Carmen Consuelo Lopez
702099	91149	
702099	129155	
702099	317255	Beko's Mother
702099	330577	
702099	350100	
702100	350506	Dancer: Slave Dance
702101	41071	Dakota Beaver
702101	74304	Jill
702101	75794	Sandy
702101	152563	
702101	196894	Tanya
702101	232293	
702102	222330	College Student
702103	286168	
702104	12319	Party Guest
702106	171419	Herself/Carlos Eduardo's moth
702107	285098	White Rice
702108	1038	Six Chick
702108	291946	Casey
702109	335160	Twila
702109	355366	Lilith Pratt
702110	238125	
702111	80782	Restaurant Extra
702112	83253	
702112	94535	Madame de Lestorade
702112	155516	
702113	356813	Balletdanser
702115	247607	
702115	249209	
702116	310963	Isabelle
702117	408883	Mme Rivard
702118	49335	Forest Child
702119	169522	Karine
702120	156329	Belle Soeur
702121	38930	Tanya
702121	117091	Baseball player's
702121	123303	Businesswoman
702121	129435	Extra
702121	201495	Erin Hunter
702121	223787	Party girl
702121	232229	
702121	283351	Victim
702121	283581	Jack Hutton's assistant
702122	251547	Postulante
702122	386091	
702122	389304	Jeanne Beaulieu
702123	119209	
702123	122488	Sali
702124	348601	Amy
702125	57782	Caridad
702125	106313	
702125	236029	
702125	328147	
702125	334692	
702129	367028	Herself
702131	220814	Mr. B Natural
702131	404920	
702132	27091	Additional Voice Talent
702132	70476	Evelyn
702133	337178	Black Servant
702134	222861	Kalibo
702135	377169	Participacita especial de 'Cr
702136	248508	Cosima
702137	176724	Suzan Holloway
702137	272859	The Last Monologist
702138	9871	Eva Logan
702138	28375	Maddalena
702138	29640	Serena
702138	113663	Maria
702138	127896	
702138	199792	
702138	219705	Ptira's servant
702138	227963	
702138	243044	Irene Picciafuoco
702138	265981	Gloria
702138	266931	
702138	284552	Alba
702138	355643	Paula
702139	7103	Jessica Cole
702139	22107	Maria
702139	34581	Kristen
702139	84829	Jabez's Normal Woman
702139	146729	Andrea
702139	193175	Karen
702140	252982	Feminist
702141	252075	
702142	17685	
702142	70979	Zora
702142	166181	Maid
702142	261875	Petra
702142	294570	Waitress
702142	303632	
702142	313640	Amelia
702142	360071	Majka
702142	387113	Fremen Woman
702143	291229	Anna
702144	223503	Woman At Party
702145	397540	
702146	127587	
702147	269534	
702147	328155	Reporter
702147	354484	
702147	398501	Margareth
702148	398501	Inês Oliveira
702149	50378	
702149	128641	
702149	333833	
702150	234237	Tennis Opponent
702151	305847	Mama Tan
702152	163688	
702152	238937	Housekeeper
702152	307332	
702152	319325	
702153	181408	Tailoress
702153	213812	
702154	262372	Inge
702154	325485	
702154	356090	
702154	399141	Mrs. Adámková
702155	214339	Waitress
702155	306973	Mrs. Hjortekar
702156	319149	Herself
702157	97541	Blonde with German Officer
702157	323288	
702158	114099	Sports Clerk Girl
702158	122626	The Hag
702158	331732	Photographer Assistant
702159	164265	Trudie 2
702159	181120	Charlotte
702160	33565	Dancer
702161	212666	Raton 2
702162	30163	Brita
702162	34267	Maid
702162	42190	Mildred Andersson
702162	59208	Maraton's Mother
702162	95273	Teodor's maid
702162	107881	Nurse Kerstin
702162	115382	Klas' secretary
702162	122494	Journalist
702162	154205	Swedish woman on the train
702162	164781	Woman
702162	167056	
702162	173188	Housemaid at Tuna
702162	182302	Policewoman
702162	191566	Farmor
702162	214220	Stina
702162	237035	Edith
702162	252566	Augusta
702162	303734	Lena
702163	42854	Jo Jo Jones
702164	4896	Firdaus
702164	9456	
702164	12965	
702164	25639	Keshta
702164	25982	
702164	38326	Nadia
702164	76441	
702164	100901	Madiha
702164	124213	Gina
702164	126990	Yasmin
702164	152174	
702164	174413	Zanouba
702164	174905	Pickpocket
702164	175978	Suhair
702164	186489	Nehad
702164	202062	
702164	222298	Zeena
702164	226461	Maghi
702164	227898	Luisa
702164	286509	Riri
702164	294635	
702164	309598	
702164	358013	
702165	378897	Krista Haberman as young
702166	166588	Herself
702167	368195	
702168	110268	Flight Attendant
702168	123342	Anna
702168	155297	Allison
702168	281414	Client Boss
702168	331290	Maddy
702169	305188	Andjeo
702169	308698	(video "Heaven or Hell")
702170	248263	La duchesse de Bourgogne (seg
702171	30910	
702171	31844	Mildred Manning
702171	56098	Woman at baby window
702171	59124	
702171	73696	
702171	96987	Hotel guest
702171	109702	Aline Moreton
702171	132342	Katherine Strickland
702171	133611	Aline Moreton/Nell Moreton
702171	143287	Katinka Veche
702171	154955	Mercy Archer
702171	162846	
702171	162925	
702171	170820	Mary Lamar
702171	197717	Phyllis Charlton
702171	210467	Jane
702171	218930	Beatrice Covington
702171	267594	Julie Dexter
702171	289591	
702171	302886	Mimi
702171	309464	Katinka Vechez
702171	327667	
702171	329948	Customer
702171	340967	Letty Lorraine
702171	354543	
702171	360302	Bit
702171	362923	
702171	364687	Dorothy Pemberton
702171	367315	
702171	367639	
702171	367754	Madame Cecile Langdorf
702172	272920	Herself
702172	404549	Herself (2003/2004)
702173	379999	Herself (interviewee)
702174	81604	Woman
702175	135237	
702175	137705	2. telefondame
702175	154236	Ebba
702175	178007	Gitte
702175	181304	
702175	198069	Sekretær Else Henningsen
702175	206580	Rengøringsdame
702175	322300	Viceværtinde
702176	380430	
702177	78250	Gillian
702178	282928	Nursey Family
702179	78916	Girl at Lovers' Lane
702180	114943	
702181	350729	
702182	317953	Woman with bag
702182	377013	
702183	294588	
702184	23956	Jenny Marino
702184	346598	
702185	134254	Lady Chetwynde
702185	198027	Mrs. Stracey
702185	307417	Hope Langham
702185	363217	Phyllis
702186	172295	Dancer
702186	234882	
702187	406203	Lutgard (2002-2003)
702187	408151	Josiane Pelckmans (2004-)/Elk
702188	131171	
702189	305118	Oude Chinees
702190	297389	Prostitute
702190	381661	Various Roles (1976-1977)
702191	18855	Darcy/Bigfoot
702192	6177	Herself
702192	304230	Herself
702193	364942	Alfa-Mädchen
702194	302584	Clarissa
702195	180443	Väkeä seuroissa
702195	320385	Nainen kylänraitilla
702196	212524	Chucky
702197	92669	Mrs. Donnelly
702198	78058	Teresa Collier
702198	80932	Spicy
702198	148906	Jody, Party Guest
702198	218774	Drew Morrow
702198	382496	Alysha
702198	385771	Candy/Queen Glimia/Dinky
702198	396447	Keesha Franklin
702198	399240	Emilie Robeson
702198	405152	Kara (1991-1993)
702199	202947	Ingrid's Girl
702200	71897	Bobbys Daughter
702200	105270	Dee
702200	120588	Herself/Teyla Emmagan
702200	157240	Scan Room rurse
702200	168307	Girl in Bar
702200	253461	
702200	263387	Herself/Teyla
702200	313602	Teyla Emmagan
702200	315317	Nicky
702200	388545	Lisette
702200	406419	Teyla Emmagan
702201	187151	Receptionist
702202	391869	Carrie Taylor (2000)
702202	399130	Rachel Sutherland (2000)
702203	68674	
702203	350114	
702204	35696	Aung San Suu Kyi
702204	38761	Makiko
702204	60251	Dr. Helmsley
702204	80464	Mari
702204	301540	TV anchorwoman
702204	308122	Rose
702204	358708	Janet
702205	194833	Samantha
702206	325586	
702206	325743	Secretary
702206	325955	Elke
702207	120047	
702208	40901	Luvin Puddles
702209	176525	Colonist
702210	27918	Catherine
702210	193480	Claire, the bar owner
702210	333738	Mammy
702211	176525	Colonist
702212	197452	
702213	176525	Colonist
702214	150924	X-Ray Patient #2
702215	272858	Maggie
702215	395667	Franziska Brenner (2001-)
702215	397362	Angie (2004-)
702216	28426	Rosita
702216	38768	Tina
702216	94374	
702216	119688	
702216	122550	Lilly
702216	125335	
702216	142093	
702216	155458	
702216	170663	
702216	177214	Evelyn
702216	178844	Lisa
702216	279005	
702216	285381	Hedi Holzer
702216	290508	
702216	293561	Bärbel
702216	323009	
702216	324628	Lilo
702216	338448	Violetta
702216	350884	
702216	352527	
702216	352599	Elli Ornelli
702216	376183	Ilona
702217	30581	O/R Nurse
702217	80834	Sharte
702217	96994	Novice Nun
702217	118938	Candy Striper Patty
702217	122793	Kara Gacy
702217	208889	Mom
702217	245542	
702217	342457	Candy
702217	399423	Lisette Hocheiser (1990-1992)
702217	399457	Jill
702218	146672	Herself
702218	146681	Herself
702219	185964	Angel Impersonator
702220	10909	Aunt
702220	31635	Mollusk's Mom
702220	89365	Nurse
702220	95525	Crazy Lucy
702220	100820	Mrs. Gross
702220	138837	Lakeside Security Guard #2
702220	215347	Hilda Hindenberg
702220	280000	Mrs. Snotgrass
702220	301787	Housedress woman
702220	310130	Female Seer
702220	314631	Laughing Woman
702220	315573	Stormqueen
702221	182752	Prinzessin
702222	27841	Barfly
702222	78988	Pyramid girl
702222	168299	
702222	245055	State nurse
702222	258936	Hazel Lamprecht
702222	343201	Lucy's Assistant
702223	39959	Aunt May
702224	7550	
702224	15279	Charlotte
702224	33112	Oma Winter
702224	40365	
702224	86372	
702224	94375	Romeos Mutter
702224	103130	
702224	110034	Trudi Gisler
702224	116706	
702224	116707	
702224	126837	
702224	144139	
702224	157618	
702224	207059	
702224	223450	Yvette Pottier
702224	226174	
702224	247147	Lilly Frobisher
702224	281735	Cathrine
702224	289917	
702224	292103	
702224	325411	Mrs. Zernes
702224	338598	
702224	352379	Else Woltersheim
702224	354076	
702224	376458	
702224	387373	
702224	392086	
702224	394480	
702224	411198	Luise Ziegler
702225	94198	Her
702227	480	
702227	130934	
702227	174780	Voice of Inge König
702227	188753	Voice of Alice Munroe
702227	239816	Judith
702227	303713	Tänzerin
702227	314541	Voice of Helga Held
702227	366265	Ann
702228	37756	Trinkerin vom Zoo
702228	180961	
702228	199408	Betty Brille
702229	352075	
702230	238553	Young Lover
702231	44941	
702231	279900	
702232	89119	Thuy Lan
702233	257672	Herself
702234	87961	Alba
702234	238590	Lanh, Nguyen's Sister
702234	247241	The Hetaera
702234	300632	Celine
702234	355261	Sonia
702235	198542	Masseuse
702235	277020	Herself - Physician/Parasycho
702236	278686	Maker-up
702236	404164	Herself
702237	175731	Nurse
702238	292497	Monique
702240	11621	
702240	12475	
702240	12477	
702240	12486	
702240	29952	
702240	29953	
702240	30036	
702240	55298	
702240	67117	
702240	67137	
702240	128606	Herself
702240	167590	
702240	228030	
702240	233715	
702240	247924	
702240	256747	
702240	257930	
702240	359897	
702240	363800	
702240	372564	
702241	170787	
702243	72360	
702243	75031	
702243	75032	
702243	93711	
702243	160776	
702243	326726	
702246	93717	
702248	264207	
702248	298157	
702250	23961	
702250	128156	
702250	339599	
702251	39195	
702252	109956	
702253	105725	
702253	294281	
702254	26118	
702254	41866	
702254	95752	
702254	296182	
702254	330049	Business Woman At The Train S
702255	6730	
702255	128740	
702255	228598	
702255	372474	
702256	244411	Marvis Hensher
702258	283543	Elderly lady
702260	178534	Antje
702261	125478	
702262	46372	Bonnie Jo
702263	104102	Herself
702264	179712	Herself
702265	12447	
702265	92926	Mary Land
702266	101444	
702266	148732	
702266	234484	
702266	377831	
702267	105519	Herself
702267	174084	Herself (Archivmaterial)
702268	81053	Sharon
702269	213345	Announcer
702270	52002	
702270	53060	
702270	87811	
702270	103200	
702270	236581	
702270	340151	
702270	354974	
702271	44261	Mary Maitland
702271	116178	Melissa
702271	117820	Magda Lee
702271	162387	Diana
702271	177141	Rose, Mary's Maid
702271	177452	Nancy Dorance
702271	183356	Jeannie
702271	194843	Diana
702271	199203	Bob
702271	209381	Mildred Crawford
702271	242571	Edna Derwent
702271	264057	Marion Nord
702271	278727	English Girl
702271	282296	Mamie Dugan
702271	317980	Mary
702271	321794	Woman in Bathing Suit
702271	329415	Conchita Ramériz
702271	332816	Clare Bagsby
702271	342583	
702272	188551	News Reporter
702273	46852	Julia
702273	256743	
702274	13882	Nurse
702275	119025	Party Girl
702276	78759	Blonde at Party
702276	161472	Michelle
702276	161537	Santa Fe Tart
702276	208415	Ruby
702276	215274	Myrna Casey
702276	223642	Virginia
702276	297382	Fifi, Carson City Hooker
702276	399677	Lisa (original pilot)
702277	18567	Journaliste
702278	288117	Sarah
702279	120080	Isolda
702280	189185	
702280	246855	
702280	263121	
702280	320415	
702281	14631	
702281	19459	
702281	21585	Julian's Mother
702281	48191	
702281	54111	
702281	57779	
702281	72433	
702281	74513	
702281	80202	
702281	83548	
702281	83756	
702281	100530	
702281	101465	
702281	121978	Esposa
702281	132720	
702281	134503	
702281	148129	
702281	149229	
702281	170236	
702281	187628	
702281	193310	
702281	202835	
702281	206554	
702281	212469	Herself
702281	212485	
702281	247054	
702281	248234	
702281	251557	
702281	255507	Paulina
702281	258495	
702281	266225	
702281	283071	Berta
702281	302109	
702281	316743	Stella
702281	322220	
702281	324077	
702281	352129	
702281	353234	
702281	354448	
702281	376823	Agustina
702281	378464	
702281	379544	
702281	387810	
702281	388859	
702281	395494	Aída
702282	213751	Milagro Townsperson
702283	317680	
702283	331304	Herself
702284	70615	
702285	225560	
702286	71368	
702286	237212	
702286	356008	Maria
702286	356010	Maria
702287	388275	Mariana
702287	408406	Graciela
702288	113238	
702289	14783	
702290	54260	
702291	161775	Lucia
702291	380331	Andréa Lúcia
702291	391580	Lurdinha
702291	392510	
702292	383471	Nieves
702292	385855	
702292	398801	Adela
702292	403752	Becky Rosas
702293	185684	Melissa
702293	406890	Ellen
702294	298586	
702295	387275	Catalina Angel
702295	389233	Dora de Samper (2000-2004)
702295	401975	Victoria Ahumada
702295	411714	Catalina Angel
702296	266410	
702296	284323	
702296	339119	
702296	389233	Leonor de Ramirez (2004)
702296	393798	Helena Caballero
702296	398072	
702296	398478	Martha Soler
702296	401258	Carmen de Brando
702296	402452	Eva María
702296	405846	
702296	407649	
702296	409779	Celina
702296	410290	Doña Perfecta Albarracín vda.
702296	412153	Purita de Carbonell
702297	390244	Mertxe
702298	379132	Tere (Chapter 5)
702299	379132	Laura (Chapter 5)
702300	43196	
702300	60428	
702300	60434	
702300	89588	
702300	92598	Eva, Irene
702300	129337	
702300	129935	
702300	131302	
702300	163039	
702300	176141	
702300	182462	
702300	198151	
702300	225948	Svetlana Ivashova
702300	226204	Lilo Rochmann
702300	229191	Nadezhda
702300	263671	
702300	300370	
702300	312508	
702300	321968	
702300	323332	
702300	323349	
702300	333782	
702300	352640	Larisa, doctor
702300	356119	
702300	357450	
702300	374731	
702300	399150	
702301	129155	
702302	14548	
702302	25301	
702302	156911	(segment "Medico e fidanzata"
702302	235771	Patient
702302	254981	
702302	328056	
702302	352570	Teenager
702303	201194	
702303	300836	
702304	57981	
702305	327329	
702306	264785	Betty Jean Rushton
702307	90263	Flamenco Dancer
702307	200498	Spanish Dancer
702307	220273	
702307	239082	Dancer
702307	271857	
702308	229408	Mlado dekle
702309	175008	Herself
702310	348386	Gupa
702311	4016	Wapspite Attendent
702311	270697	P.A.
702311	322417	Warspite Attendant (vol.3)
702311	323134	Miyuki Kobayakawa
702312	96382	Waleska
702313	321420	Rich Lady
702313	390092	
702313	410311	Eva Bonelli
702314	12674	
702315	336650	Magistrate
702316	187837	Kurva
702317	109948	Olimpia
702317	268940	Serveuse
702317	349482	Josepha
702318	19471	Isabel
702318	52772	
702318	66869	
702318	100729	Laura
702318	113210	Alda
702318	148468	
702318	155551	Aunt
702318	212142	
702318	222162	Senhora do Comité
702318	233553	
702318	284580	Marta
702318	341077	Suzette Almeida
702318	385339	
702318	395865	Daisy
702318	401805	Rita
702318	402638	Maria Augusta `Migusta' Rosad
702318	405383	Ana Branquinho
702319	110666	
702320	341137	Estrelas (stars)
702321	6347	Mother
702321	17377	Lúcia
702321	113208	
702321	265196	Nun in Convent
702321	302419	Mercedes
702321	390489	Teresa Marques Leal
702321	395379	Inês
702321	396241	Marta
702321	401805	Eduarda
702321	402543	Cristina
702322	302065	Youth
702323	236362	Miss Clay
702324	399195	Zelyonoglazka
702325	132071	
702325	300370	
702325	371425	
702326	46064	
702326	261321	
702326	340724	
702327	8616	Claire
702327	118754	Monique
702327	156532	La soeur
702327	198567	Nathalie
702327	280563	
702327	345448	
702328	392693	Kayaga Mukasa (Kaya)
702329	285717	Swastika Girl
702330	261052	
702331	83929	Suzie
702331	144374	Herself
702331	291982	Herself
702332	184397	
702333	50791	
702334	74267	Bedroom yakuza
702334	79794	Dealer
702335	208630	
702336	148009	
702336	166321	La directrice
702336	258635	Jacqueline
702337	260603	
702338	182036	
702339	282845	Trish
702339	321466	Grocery Woman
702340	88666	
702340	92687	Nurse
702340	297970	Bit Part
702341	330563	Marina Kid
702342	120806	Safvak
702343	148255	Woman at Party
702344	21475	1st Bobbysoxer
702345	69342	La jeune maghrébine
702346	23550	Vika
702346	77096	
702346	340659	
702347	230165	
702348	129924	Virginie
702349	186225	Doris
702350	382909	
702351	336559	Jill
702352	174817	Kavafis' mother
702352	212572	
702353	177702	Fairy #1
702354	14941	
702354	44529	
702354	52246	
702354	83538	
702354	91397	
702354	100267	
702354	223619	Paquita
702354	260770	
702354	285934	Brigida
702354	296140	
702354	353353	
702355	93903	Herself: Forstander (Maniitso
702356	139227	Photo Session Hardbody
702357	41930	Singer
702357	105130	Model
702357	321522	Joanne
702357	346204	Penguin Girl
702358	173114	Anställd hos jägmästaren
702358	182561	
702358	239473	
702358	322284	
702359	84469	
702359	172431	
702359	374845	
702360	303664	Lisa as Child
702361	48258	Aunt Ebba
702361	100451	Malin
702361	178827	Saleswoman
702361	197142	Marianne
702361	197819	Berta, waitress
702361	199082	Kenneth's Mother
702361	322433	Alma
702361	406646	Barnavårdsassistenten
702361	409853	Aina Lindgren, staff manager
702362	94230	Bank clerk
702363	54245	Brigitte
702363	82844	Une femme
702364	409565	Greek columnist (2001-)
702365	144968	Violet Gage
702365	163560	
702365	195691	
702366	112005	Pamela
702367	393939	TV Reporter
702368	146273	
702369	54853	Mary Eloise Williams
702369	214967	Dutch Girl
702369	306126	Woman
702370	31715	Actor 1
702370	80969	Crystal Fricker
702370	214100	Barbara Briggs
702370	235615	Mishi
702370	245699	Gertie
702370	399738	Norma Starr
702371	184562	
702372	322301	Værtshusgæst
702373	2063	Sonja
702373	28531	Elianna, stuepike
702373	180449	Sykesøster
702373	240093	Kate, jobber hos Connie
702374	339820	Herself (judge, Miss World pa
702375	41048	
702375	48532	Liline Schneider
702375	104774	Spanish entry (23rd place)
702375	108137	
702375	128034	
702375	152196	Charlotte
702375	181002	
702375	225187	
702375	264639	
702375	289142	
702375	317724	
702375	321149	
702375	353604	dancer
702375	356618	
702375	370002	Shima
702375	401313	
702376	13430	Lara
702376	81533	Chris
702376	164572	Chicks who Love Guns
702376	171050	Sherrie
702376	199273	Cop 1
702376	211357	Gretchen Carter
702376	257673	Herself
702376	338757	Elvie
702376	350241	
702376	362597	Fitness Competitor
702377	73862	
702378	222635	Receptionist
702378	257613	Susan
702379	403801	Self
702380	333430	Sleez Girl
702381	382875	Sandra
702382	7876	Miss Janus
702382	39161	Mrs. Barclay
702382	59180	Singer
702382	106811	
702382	108099	Thomasin Darling
702382	109242	Thirza Tapper
702382	147125	Maggie Hobson
702382	162984	Aunt Jane
702382	163599	Hearty female
702382	188241	Angela Hunter
702382	191903	Miss Edwards
702382	194517	Evelyn Lovejoy
702382	206266	Sarah Roberts
702382	206464	Frau Krause
702382	221075	Mrs. Comber
702382	231998	
702382	233861	
702382	245643	Gladys
702382	250650	Nurse
702382	259388	Mary Smithers
702382	269882	
702382	293091	Miss Skilton
702382	320282	Mrs. Beamster
702382	359104	Mabel Cooper
702383	52681	Second Old Woman
702383	304339	Village Woman
702384	185	Eileen Delmont
702384	24437	Beatrice Evans
702384	54550	
702384	54584	
702384	63516	Eileen Shannon
702384	86932	Nell Garvin
702384	90267	
702384	109726	Mabel Wilson
702384	127812	Doreen
702384	190195	
702384	198580	
702384	204942	
702384	213270	Princess Astrea
702384	223394	Nessy Heywood
702384	259924	
702384	281071	Margaret Catchpole
702384	282948	Nell
702384	294353	Doreen
702384	301533	Marion, Henry's sister
702384	320739	
702384	323579	
702384	332472	Sylvia Grey
702384	340326	
702384	360502	
702384	367612	Marjory Manton
702385	315863	Jenny
702386	23502	Sygeplejerske i bil
702387	398050	(6th Eliminated) (2003)
702388	263076	Mrs Petruniak
702389	107828	
702389	380170	Maria
702389	380474	
702389	387651	Martha
702389	400998	Jenny Arseni
702390	171431	Elisabeth
702391	78496	Pia, Grand Prix Fan
702391	344108	Catherine
702391	401235	Simone (episode 1.1 "Fødselsd
702392	212332	Herself - Participant/Perform
702392	355667	Stripper
702393	343010	Sutton's child
702394	78483	Herself (performing 'Det' oka
702395	76757	Marie
702396	241611	
702397	140388	Gunhild
702398	193383	
702399	12512	Ingelise Eriksen
702399	12635	Fru Rasmussen
702399	17705	Fru Hernøe
702399	39127	Eva Kristoffersen
702399	42212	Elvis mor, Dagny
702399	87949	Sørine
702399	105047	Dagny
702399	105068	Dagny
702399	108171	Bedstemor
702399	108172	Bedste
702399	108173	Bedstemor
702399	120310	Louise Kildal
702399	136619	Fru Hermansen
702399	142505	Fru Andersen
702399	153197	Moderen
702399	153399	
702399	166607	Kamma Rahbek
702399	181750	Rengøringsdame Danielsen
702399	182100	Johansen's mother
702399	190825	Kustode på lille museum
702399	190843	Vibeke
702399	198115	Fru Møller
702399	202944	
702399	203407	
702399	213437	Villaens værtinde
702399	214197	Bess
702399	214491	
702399	237304	Dagmar Larsen
702399	237404	Maldrubine
702399	249743	Tante Anna
702399	251143	Fräulein Bo
702399	255673	Rigmor Vollesen
702399	264294	Majs mor
702399	268373	Bine
702399	268376	Alvilda Andersen
702399	278197	Præstefru Holm
702399	308229	Else
702399	315054	Hustruen, der har 19 års bryl
702399	317649	Fru Feddersen
702399	322475	Frk. Olga Thorsen
702399	338728	Regna Toft
702399	345985	
702399	351462	Laura Rasmussen
702399	353004	Fru Jensen
702399	393859	Nissemor
702400	35362	
702401	352786	
702402	26397	Harriet
702403	112207	Francine
702403	119096	Mavis
702403	293145	Sandy
702404	41047	Grace
702404	134088	Mrs. Prohack
702404	156494	Consuelo
702404	156939	Woman at Funeral
702404	192435	Mammy
702404	302721	Mammy
702405	207238	Woman singing
702406	323717	Rabbit
702407	82449	Younger Anne Sullivan
702407	87915	
702407	100695	Fairy Tale Queen
702407	109822	
702407	128520	Elsie Travers
702407	289604	Mrs. Barnes
702408	281441	Andrea Trig
702408	370854	Lisa
702408	411245	Andrea Trig (episode 1: Room 
702409	184482	Milo's Girlfriend
702410	10877	Ruscheinsky
702411	153226	
702412	8366	Helen the Receptionist
702412	219371	Secretary
702412	239636	Librarian
702412	313141	Muriel
702413	385299	Angela Sutcliffe
702414	191773	Mrs. Merdle
702415	331853	Leila Leighton
702416	185964	Restaurant Patron
702417	335642	Ruth
702418	294595	Additional Voices
702419	85105	Rose
702420	1470	Danny's Mom
702420	50249	Carol
702420	68225	Vivien Simon
702420	91920	Lola Fontaine
702420	108425	Leslie Fitzgerald
702420	108934	Aunt Emily
702420	148244	Carol
702420	163719	Kathy
702420	178028	Mrs. Roussell
702420	183323	Roseleen Morrison
702420	185201	Sally
702420	185209	Pat
702420	203358	Janice Kaufman
702420	217745	Housing Director
702420	224360	Elaine Boomer
702420	249420	Mrs. Wiley
702420	254876	Zora
702420	302256	T.J. Russo
702420	310515	Hairwoman
702420	340510	Lola
702420	358358	Therapist
702420	358708	Natalie
702421	16144	Aide
702421	70393	Vivian
702421	109722	Nurse
702421	183815	Whore
702421	230558	Helen
702421	367807	Bea
702421	367864	Marion
702422	81470	Bonde
702422	119732	Mona
702423	129528	
702423	242898	
702423	244574	Céleste
702424	163183	
702424	196525	Vallesmanska
702424	236718	Martta
702424	332521	
702425	322313	Tomas' wife
702426	22645	Kristin
702428	2243	Jean
702428	41518	Judge (Chicago)
702428	53041	Millie Schector
702428	86955	Rita
702428	154427	Suzie, Chronicle Employee
702428	164493	Mrs. Morris
702428	232093	Nurse Jenny
702428	240071	Ralph's Mother
702428	252425	Ruth
702428	282928	Mildred Chambers
702428	310717	Mrs. Tanner
702428	318701	Dr. Nancy Brannigan
702428	326479	Dorothy
702428	372566	Sarah Good
702428	379716	Opal Sue Gardner Purdy Courtl
702428	380391	Gwen Parrish Frame (1976-1980
702428	382359	Patty Fleisher
702428	382419	Bonnie Roberts (1991-1992, 19
702428	387309	Elly Jo Jameson (1972-1973)
702428	389867	Rebecca Whitmore #2 (1991)
702428	395548	Mrs.McKenna (1991-1993)
702428	396643	Naomi Oates Harper
702428	411419	Julie Stark (1971)
702429	362481	
702430	12094	Cassandra
702430	92704	Layla
702430	190379	Kira
702431	366390	Herself
702432	61571	The Mother
702432	104873	Evangeline
702432	211425	
702432	316174	Grace Howard
702432	368217	Grace, the Judge's Daughter
702433	32565	Wife As Old Lady
702433	390771	Agnes (1995)
702434	271882	Lila Bishop
702435	336475	Anne
702436	133880	Ziegfield girl
702436	192611	Movie Star
702436	330375	Member of Girls Band
702437	45867	Realtor
702437	81270	Agnes Bottomly
702437	232300	
702437	276937	Club Woman
702438	235633	Salome
702439	36729	Vanya
702440	35867	
702440	349340	
702441	64661	Icarian games/Body Skating
702442	160583	Lab Assistant
702443	9602	Saara
702443	163186	Herself
702443	163844	
702443	170922	Helena Virtanen
702443	226798	Laura
702443	235846	Katri
702443	246584	Teresa Nyström
702443	278366	Kristiina Pahka
702443	324808	Tiina Leiwo
702443	354289	
702443	393054	Henrika (1998)
702443	397748	Oona
702443	398919	
702443	400872	Various characters
702443	410455	Elina
702444	2135	Theresa
702445	213164	Body Double
702446	3317	Striking
702447	12271	Blind Girl
702447	74190	Indian child
702447	84935	Moe
702447	113275	Dwana Pusser
702447	114625	Cornelia
702447	154409	Stephanie at 5
702447	299658	Decky
702447	358662	Dwana Pusser
702447	358664	Dwana Pusser
702447	398740	Dodie Harper Douglas (1969-19
702448	15431	Galema
702449	309287	Levine's Girl
702451	1866	
702452	40533	New Dawn Kid
702452	82445	Margaritte
702452	95786	Torri
702452	209594	Julie
702452	240943	Young Tai
702452	387747	Prue
702452	388545	Marie Ste. Marie
702452	402837	Susan
702452	406773	Emily Roberts
702453	330750	Priscilla Presley
702454	354866	Beverly
702456	336320	
702457	181897	Witch from the West
702458	23510	
702458	120025	Mitzi Freud
702459	239756	Railcor Employee
702460	384656	Anchor/reporter
702461	133883	Rosie
702461	134103	Duchess de Chazarin
702461	195727	Mrs. Meredith
702461	207693	Madge Lariane
702461	224060	Lady Annesley-Seton
702461	362457	Lily Brainerd
702461	363681	Mrs. Deane
702462	255827	Bit Part in Church Scene
702463	336242	Herself
702464	165556	Young Janice
702465	11573	Maya
702465	14813	
702465	22642	
702465	35008	
702465	54995	Ana
702465	69328	
702465	100383	
702465	212526	Novia de Andrés
702465	221964	
702465	266863	
702465	269966	Catalina de los Ríos y Lisper
702465	318239	
702465	332676	
702466	319257	Gabrielle
702467	321306	
702468	147677	Annie
702468	280065	Kelly Phalin
702469	316315	Zombie
702470	154943	Patient
702471	279193	Beth Garvey
702472	57665	Herself - Contributor
702472	410879	Presenter
702473	258455	Mag Kehoe
702473	265420	Moll Flanagan
702474	208390	Extra girl student
702475	138363	Gail
702475	402197	Jackie Donahue (1982)
702476	256578	Isabel
702476	409488	Susan Quaife
702477	97489	Berry's Mother
702477	201663	Herself/Berry's Mother
702478	50020	Police officer
702479	185155	Betty Hutchins
702480	17032	Neechee
702481	229506	Student
702482	399845	Bobcat (2002)
702482	402907	Hardcore Ho (2000)
702482	411545	Hardcore Ho (2000)
702483	185853	Laurie Diamond
702483	293011	Sue
702483	309563	Yoga Instructor
702484	87012	Cavegirl
702485	121359	Lonely Girl
702486	62568	
702487	147252	Barbara Hoffa
702488	25835	Herself
702488	195090	Herself
702488	305489	Herself
702488	360398	Herself
702489	35471	Island Girl
702490	151751	Herself
702491	64869	Dawn
702492	299028	Jessica
702492	366262	Baby
702493	148308	Little Girl
702494	195086	
702495	120807	
702496	59873	
702497	315140	
702498	64437	
702498	103527	
702498	148035	
702498	221914	Juan Antonio's Wife
702498	378038	
702499	62778	Taxi Passenger
702500	29099	Easy
702500	207904	Patty Locke
702500	220894	Young Ellen Jane Ripley
702500	315131	Teen #2 (Melanie)
702500	365648	Bertha
702501	116741	
702501	359569	Lizzie
702502	7864	Lucille Spencer
702502	14088	Gloria Winthrop
702502	20283	Nell Savery
702502	24966	Mary Kirkham
702502	27072	
702502	50209	Her Daughter
702502	50337	Helen Merritt
702502	57219	Ruth Metcliffe
702502	60182	Marion Carter
702502	64805	Girl on train
702502	78010	Bebe Nash
702502	99447	Ruby
702502	99841	Telephone Operator
702502	104340	Miriam Barnes
702502	112197	Maid
702502	116786	'Blondie' Clark
702502	125507	Betty Rossman
702502	142477	Waterfron Cafe Girl
702502	149140	Claire Vincent
702502	151144	Kitty Estabrook
702502	153192	Maid
702502	157730	
702502	157862	Woman
702502	183413	Marie
702502	192515	Lillian Boland
702502	195381	Rosie
702502	209167	Kitty Crockett
702502	213066	Grace Astor
702502	214734	Stepsister
702502	224050	Eva Johns
702502	224225	Trixie Tremaine
702502	239023	Maid
702502	240623	Nan Miller
702502	244413	
702502	270782	
702502	276685	
702502	280977	Blondie Nell
702502	289654	
702502	300166	Goldie
702502	302713	Maid
702502	305593	Alice Arnold
702502	305803	Kate Brown
702502	310529	Speakeasy Patron
702502	310791	
702502	315125	Ruth
702502	331678	Dolly Withers
702502	332100	Alyce
702502	335057	Pandora Golden
702502	335242	Sweetie Higgins
702502	346358	Meg, Mulligan's Girl
702502	349992	Maurine Foster
702502	362478	Girl in the Retrospect
702502	364544	Marie
702502	367905	Susie
702503	34610	Receptionist
702504	25192	Amelia Earhart
702504	34666	Christy Cummings
702504	37413	Miss Rush
702504	52376	Sybill Platt
702504	67054	Agent Russo
702504	106115	Julie Gross
702504	109662	Prison Reporter
702504	112246	Doreen
702504	121386	Dr. Kathy Wahlund
702504	144695	Diane Moffet
702504	158107	Gwen Hatcher
702504	191655	
702504	210543	Blanche Monroe
702504	213502	Laurie Bohner
702504	231395	Mom
702504	274200	Final TV Newscaster
702504	304838	Gabby
702504	315897	Gladys
702504	320106	Maude Silver
702504	326171	
702504	336663	Counselor
702504	353314	Ms. Lindstrom
702504	362355	Doreen
702504	397238	Aileen Poole, RN, Ph.D
702505	168120	Loire Village Woman
702506	102344	Little Girl
702506	168969	Herself
702506	263308	Herself
702506	379011	Herself
702507	28480	Helen Monaghan
702508	159573	McAnally Baby #2
702509	18	Party Guest
702509	18598	Old Bat
702510	230954	Carmilla
702510	245331	Kiki
702510	316283	
702511	266768	Julie
702512	366758	Cindy
702513	363421	Drummer - Wet T-Shirts
702514	8861	Narrator
702514	15222	Roseann
702514	17472	
702514	17697	Pauline Harris
702514	57811	Becky
702514	66324	Nessle Carroway
702514	75612	Receptionist
702514	82017	Jordan
702514	91789	Stewardess
702514	96970	Fran Altman
702514	97390	Lyndsay
702514	129119	
702514	129944	
702514	135176	Fran
702514	140183	Ann
702514	157290	
702514	189520	
702514	192634	Greta Storey
702514	207509	Vivian
702514	209218	Roxanne
702514	222656	Eleanor
702514	222751	
702514	222786	Eleanor Sterling
702514	235627	Audrey Seltzer
702514	263076	Angie
702514	273794	Lauren Gartner
702514	285177	Angela Pedroza
702514	300173	Sheila
702514	304237	Janet
702514	309678	WPCP Receptionist
702514	318811	Kathy
702514	323567	Angie
702514	369473	Louise Foster
702514	385445	Sheila Ann Murphy
702514	385977	
702515	246260	Henke's Wife
702516	336782	Fort Worth Ring Girl #3
702517	25835	Herself
702517	195090	Herself
702517	305489	Herself - B*witched
702517	360398	Herself
702518	1435	Herself - Presenter
702518	1440	Herself - Presenter
702518	22849	Sara Wood
702518	31738	Roberta Bean
702518	47004	Elaine
702518	47921	Susan Martinez
702518	59664	Vivian Wood
702518	66899	Jude Law
702518	75479	Grey Ellison
702518	77143	Mary
702518	83952	Nancy Breyers
702518	94088	Dianne
702518	116966	Catherine Vernet
702518	141659	Annie Robicheaux
702518	148440	Lucy
702518	148460	Jean Murray
702518	156851	Valery Weiler
702518	164566	Jean
702518	168286	Callie Scheffer
702518	221005	Luanne LeSeur/Prunella Pegula
702518	243889	Osa
702518	253527	Amanda
702518	260950	Elite Model
702518	279323	Dr. Elizabeth Clay
702518	291971	Herself
702518	304560	Evangeline Chutney
702518	331541	Connie
702518	355212	Dr. Madison Carter
702518	359454	Kate
702518	363913	Marsha Pinnock
702519	264811	Maddy Nielsen
702520	185388	Doyle Gang Member
702521	37393	Waitress
702522	385824	Annie Peters #2 (1974)
702523	403376	Cathy
702523	405209	Nurse Sarah Donnelly (1996)
702524	318171	Hostess
702525	112096	
702526	70461	Sarah Smith
702527	108141	
702527	353187	
702528	13005	
702529	23569	Galen
702529	32080	Sheena
702529	337830	Lizzy
702529	390432	A&E Doctor
702529	398463	Linda
702530	34610	Receptionist
702531	12410	Girl
702531	102344	Person Digging in the Alley (
702531	299858	Girl ("The Alphabet")
702532	9829	
702532	256113	
702532	326400	
702532	387923	Ethel
702533	89188	Aeisha Heavens
702534	313432	Allison Morel
702535	205913	Maisie King
702536	32080	Dorothy
702536	35647	Herself
702536	50998	Woman
702536	55937	Eileen
702536	64405	Clare Bartel
702536	78091	Maura Ryan
702536	92301	Chrissy
702536	95152	Beth
702536	101001	Rachel
702536	120506	Liz Stride
702536	127903	Corinna
702536	138864	Tina Trent
702536	161108	Paris vampire
702536	166435	Maria
702536	204961	Jane Bates
702536	212965	Torch Woman
702536	219344	Ann Morlang
702536	234901	Nora Barnacle
702536	274293	Catherine Doyle
702536	282689	Caroline of Brunswick
702536	283541	Receptionist 2
702536	292534	Selkie
702536	303550	
702536	321286	Madelaine
702536	340990	Mel
702536	358478	Maggie O'Toole
702536	380073	Maggie
702536	380456	Stevie McCutcheon
702536	382381	Dr. Maria Orton
702536	393162	Rebecca
702538	57381	Locker room student
702539	61250	Herself - Funeral Guest
702539	399298	Vocal Coach
702540	10502	Flight Attendant
702540	120722	
702540	309547	
702541	82114	Tina
702542	379923	Herself (2nd place with Wil)
702543	35735	Bag Lady on Bus
702544	198897	Wendy/Third Witch
702545	130434	Mrs. Sharpe
702546	35735	Elderly Lady
702546	117804	Ruth Marshall
702546	194987	Opera singer
702546	308605	Soprano
702547	44439	Luanne Barkley
702547	128893	Beth
702547	374039	Proctor
702547	406279	
702548	5385	Roisin McAteer
702548	68239	Ann
702548	208034	Ann
702548	335616	Ann
702548	389089	Madge
702549	65043	
702549	324448	Elena
702549	404182	La Loba
702549	406057	Host
702550	99768	Anna
702551	298239	Lady Nick
702552	153154	Audition Girl No. 1
702553	340857	Jade Gate girl #4
702554	366763	Betty Parris
702555	166360	
702555	220366	Nikita Findley
702555	337845	Florrie McGowan
702556	18552	Ellen
702556	51885	Millie
702556	115472	Josephine
702556	133703	Bettina Sempler
702556	134553	
702556	140024	Ginger Connolly
702556	143588	Flo
702556	176336	Mabel Dobbs, Bertie's Upstair
702556	178342	Girl in Elevator
702556	193739	Marie Templeton
702556	196998	Ethel
702556	210400	Blonde
702556	218780	Daisy
702556	222658	Dolly, Gabby's Fiancée
702556	231124	Cynthia Bloomar
702556	231962	Blonde Elevator Passenger
702556	238522	Susie
702556	262011	Giggly Blond
702556	279441	Society girl
702556	306466	Lt. Elsie Bollenbacher
702556	309852	
702556	316482	Josephine Miller
702556	321323	Dot Frost
702556	321592	Lorna, an Actress
702556	326638	
702556	330059	Pearl
702556	346908	Woman
702556	363167	Mrs. Herbert
702556	363190	Waitress
702556	372360	Miss Ames, scatterbrain secre
702556	372932	Girl
702557	43469	
702557	73746	The German Girl
702557	118382	Bridesmaid
702557	144672	Hilda (the maid)
702557	154652	German Girl
702557	195757	Paula
702557	208719	Peasant
702557	213453	Swedish Servant Girl
702557	242110	
702557	330375	
702557	372050	Swedish waitress
702558	11477	Angela Burrows
702558	121571	Jean Hunter
702558	130420	Peggy Edwards
702558	156455	Ann Turner
702558	196874	Letty Jackson
702558	235624	Miss Bradley
702558	252902	Anne Burnett
702558	278200	Carol
702558	311032	Nurse
702558	316350	Rosie Platt
702558	321588	Joan Swid
702558	350496	
702558	352140	Paddy
702558	354538	Mary Hollis
702559	206374	Hostess at Inn
702560	327743	Mary Morgan
702560	383471	
702561	35657	Alma Martin
702561	89388	Judy
702561	103224	
702561	104986	Girl at Palais
702561	106746	Bernice Griffiths
702561	158089	Madam
702561	190208	Washington Woman #1
702561	206397	Alice
702561	211606	Zozo
702561	215793	Marion
702561	232493	Lilly
702561	241461	Evelyn Gray
702561	308047	Narrator/Voice of Adult Robbi
702561	313422	Anij
702561	317902	Newscaster
702561	335866	Josie
702561	380391	Tracy DeWitt #2 (1979-1981)
702561	389858	Gloria #3 (1990)
702561	400236	Laurel Chapin Coronal Wolek (
702561	411802	Leslie Brooks Foster #1 (1973
702562	2422	Herself - Interviewer
702563	50510	
702564	346314	Dial-a-Date-Voice
702565	30071	
702565	31665	
702565	34700	
702565	36571	
702565	49364	Old lady
702565	61306	
702565	220318	Charity Topping
702566	18	Miss Hatter
702566	36975	Roberta
702566	75587	Mavis
702566	88181	Jane
702566	129435	Missy
702566	192777	Laura
702566	193975	Barbara
702566	197758	Mary Robinson
702566	213262	Tracey
702566	231951	Eve
702566	238283	Spinelli, Ann
702566	246243	Meredith Barrington
702566	304642	Lydia Schnell
702567	308048	Pub Patron #1
702568	394311	Rita Dallas
702569	375719	Dancer
702570	58172	Emma
702571	109608	Party Guest
702572	128286	Phyllis
702574	48156	Blanche/Jeanne
702576	133678	Old Lady at Station
702576	383953	Milly
702576	395924	Nanny Ray
702577	379700	Herself/Contestant (Top Six F
702578	10746	Oyster
702578	221318	Elf #1
702578	412066	Herself ( 1999 )
702579	74110	Physiotherapy nurse
702580	273278	Extra
702581	392524	Fourth place (2004)
702582	373726	Girl in train station
702583	86572	
702584	401772	Ulrika
702585	225084	Dísa
702586	12522	Pige der giver Hugo penge
702586	249743	Pige i kollektiv
702587	14994	Datteren
702588	4589	Herself
702588	4592	Herself
702588	4593	Herself
702588	4594	Herself
702588	4595	Herself
702588	104689	Herself
702588	104730	Herself - Extra in ABBA-clip
702588	104749	Swedish entry (1st place)
702588	136621	Anna
702588	147240	Swedish entry
702588	168863	Louise
702588	210334	Herself
702588	210337	Herself
702588	210338	Herself
702588	223025	Song Performer "Chiquitita"
702588	240038	
702588	355072	Herself
702588	388268	Herself - ABBA
702588	411241	Herself
702589	324257	Herself - Direktør, Lægemidde
702590	27218	Molly Golden
702590	28309	Erin Blakely
702590	31859	Dr. Claire McCauley
702590	34819	Marjorie 'Marge'
702590	35594	Leslie
702590	40138	Esther Boyle
702590	41772	Janet Willard
702590	49637	Ann Lake
702590	54910	Mona Fermoyle/Regina Fermoyle
702590	64565	Herself - Performer
702590	70558	Dr. Alice Alcott
702590	71463	Leah
702590	73801	Kathy Cooper
702590	74978	Herself
702590	77961	Jocelyn
702590	78977	Tilly Ambrose
702590	81278	Cathy Webster
702590	94019	
702590	99134	Irene Turner
702590	108817	Elizabeth 'Liz' Hollander
702590	115708	Abbie Adams
702590	116290	Housewife in kitchen
702590	118275	Wendy Rittenhouse, the Girlfr
702590	139483	Jean Harlow
702590	140400	Sally Magee
702590	142333	Annie
702590	147524	Betsy Dean
702590	150754	Dony
702590	151787	Miss Eddington
702590	155855	Suzy Martin
702590	157056	Sylvia Cartwright
702590	157920	Sylvia Daly
702590	185686	Missy Breckenridge
702590	190453	
702590	190454	Shenandoe
702590	202533	Robin Sherwood
702590	229869	Faith
702590	232228	Gail Foster
702590	235227	Yvonne Phillips
702590	238613	Herself
702590	241165	Diana
702590	258067	Maggie Williams
702590	261237	Nonnie Parry
702590	262974	Herself
702590	276876	Allison MacKenzie
702590	296833	Abigail 'Abby' Tyler
702590	297549	Nikki
702590	299470	Cynthia
702590	300553	Susannah Kelton/Sarah
702590	305857	Jo Hudson
702590	311367	Sister Jillian
702590	346178	Robin Austin
702590	353278	Mary
702590	359733	Barbara Nicholson
702590	360883	Sister Meredith
702590	365883	Claire Hastings
702590	380391	Judge (1990)
702590	387120	Judy Graves
702590	392639	Sylvia Cartwright (1970-1971)
702591	44080	Leola Gauldin
702592	34911	
702592	36899	
702592	381661	Hill's Angel/Various Roles (1
702592	399552	Nadia
702593	202359	Sherri
702594	82886	Officer Reily
702595	244831	
702596	163362	
702597	147972	Nordic Track Girl
702598	2766	Party Goer
702598	3915	
702598	13389	
702598	13494	
702598	13495	
702598	13501	
702598	13503	Herself
702598	13508	
702598	13509	
702598	13510	
702598	34715	
702598	34920	Herself
702598	38790	
702598	39519	
702598	40996	
702598	42673	
702598	53321	
702598	56312	
702598	57667	
702598	57941	
702598	59971	
702598	60277	
702598	64519	
702598	67370	
702598	68282	Herself
702598	68317	
702598	73608	
702598	75192	
702598	81787	Herself
702598	91836	
702598	97505	
702598	98861	Ms. Thompson
702598	98872	Girl at the movies
702598	98879	Girl on video monitor
702598	102781	
702598	105455	Joyce
702598	111650	Herself
702598	113193	
702598	113579	
702598	114945	
702598	118402	
702598	120555	
702598	126689	
702598	127810	Herself
702598	127818	Herself
702598	128529	
702598	128826	
702598	128832	Herself
702598	128859	
702598	135521	
702598	149989	
702598	150172	
702598	153477	
702598	154386	
702598	154387	
702598	159761	
702598	171280	
702598	187412	Herself
702598	188026	
702598	188027	
702598	188068	
702598	190991	Herself
702598	194722	
702598	195502	Woman who comes to life from 
702598	196008	
702598	196554	
702598	197747	
702598	197848	
702598	202787	
702598	204886	
702598	233693	The Big Surprise
702598	242071	
702598	242073	
702598	243116	
702598	243120	
702598	245783	
702598	252933	
702598	253459	Track athlete
702598	253482	
702598	254796	
702598	257519	
702598	260713	
702598	260714	
702598	280308	
702598	282871	
702598	291310	
702598	291435	
702598	295681	
702598	296285	
702598	296647	
702598	298215	
702598	310674	
702598	311442	
702598	311458	Herself
702598	313258	
702598	313689	
702598	319705	Herself
702598	321012	
702598	321022	
702598	321051	
702598	325257	
702598	325265	
702598	329870	Herself
702598	330404	Amber Lynn
702598	331104	Herself
702598	334246	
702598	335803	Herself
702598	337207	
702598	339531	Herself
702598	341514	
702598	344499	Herself
702598	355985	
702598	358074	Herself
702598	367904	
702598	368749	
702600	11417	The Daughter
702600	20006	
702600	26373	Amy Quayle
702600	39985	Diane
702600	69354	
702600	88882	Mrs. Whittaker
702600	114842	Judy Gomez
702600	117157	Biddy
702600	118316	Girl
702600	136818	Young wife whose husband is p
702600	146870	Fräulein Junge
702600	152531	Lady Betty
702600	154890	Carla
702600	177341	Regan
702600	217520	Pauline
702600	226931	Stella
702600	244410	
702600	244456	Claire Williams
702600	249624	Libby
702600	255087	Mouse
702600	291296	Lena
702600	294527	Woman
702600	299937	Dudu
702600	312175	Grace
702600	317183	Rose Taylor
702600	321982	Ella
702600	345846	Sally
702600	365996	Josie
702600	367717	
702600	393951	Rita Pinner
702600	410846	Jan Ryder
702601	42771	Dianne Jackson
702601	302841	Model
702603	107698	
702603	144799	Doris Lynch
702603	323883	Mary
702603	324054	
702603	329480	Singing Secretary
702604	213299	Fairy
702606	405153	TV Announcer (episode 2)
702607	16464	Herself/Thelma Lou
702607	16483	Herself
702607	18820	Wife
702607	32971	Anne MacGregor
702607	45512	Lottie Ladare
702607	60162	Deborah Lancaster
702607	109868	Connie Cooper
702607	135803	Claire
702607	160481	Herself
702607	170608	Barbara 'Boo' Brinker
702607	195189	Lili Guillot
702607	204883	Sissy Crawford
702607	209604	Young Bride
702607	214098	
702607	219950	Susan Abbott
702607	251279	Martha Ramsey
702607	276868	Thelma Lou
702607	303379	Ginger
702607	323389	Marge
702607	380225	Thelma Lou (1960-65)
702607	407912	Viola Slaughter
702608	50254	
702610	281923	
702611	277846	
702612	368860	Herself
702615	148481	
702616	288494	Dominatrix
702617	254522	Female Masquerade Dancer
702618	78775	Nicolette
702618	87924	Tina
702618	141592	Martha 'Dumptruck' Dunnstock
702619	55628	
702620	109857	Matty's Friend
702621	214123	Blonde in Porsche
702622	116985	Popsicle Girl
702623	87579	Herself
702624	99695	Molly Ballantine
702624	104357	Commercial Actor
702624	109758	Chelly
702624	332061	Jilly
702625	40165	Cary
702625	221366	Newscaster Voice
702626	273003	Ellen
702627	227994	Tom's Girlfriend
702628	287215	Ozzy's Friend
702630	32562	Frieda
702630	42326	Herself
702630	127488	Dispatcher
702630	391741	Helga (1965-1966)
702631	9197	
702631	26906	
702631	26923	Herself
702631	31027	
702631	34899	
702631	41001	
702631	42809	Herself
702631	52266	
702631	60760	
702631	68141	
702631	77558	
702631	79889	
702631	81382	
702631	87422	
702631	95148	
702631	115294	
702631	124825	
702631	139193	
702631	149980	
702631	150172	
702631	151586	
702631	171085	
702631	183989	
702631	191322	Jackie
702631	197770	
702631	197857	
702631	200263	
702631	207697	
702631	228008	
702631	235584	
702631	249549	
702631	257444	
702631	258055	
702631	292525	
702631	295933	
702631	297823	
702631	297824	
702631	309612	
702631	311633	
702631	313192	
702631	320466	
702631	337288	
702631	359439	
702631	361971	
702631	364338	
702632	40046	Art Student
702632	155816	Bunny
702632	194269	
702632	199700	Suzanne Coleman
702632	250869	Patty
702632	330209	Suzanne Coleman
702633	58858	
702633	287144	
702634	61995	
702634	81971	
702634	127806	Herself
702634	319428	
702635	72474	Hazel
702636	159754	Tangi
702636	169843	
702636	363864	
702637	253168	Nurse
702638	16098	Josie Angel
702638	17657	Peggy Lord
702638	32550	Jane Linden
702638	46777	Mary Lou Medford
702638	68692	Edwina DeSalles
702638	94881	Herself
702638	96926	Connie Donovan
702638	105130	Julie Hudson (Howard in credi
702638	142873	Phyllis Michael
702638	142875	Phyllis Michael
702638	147889	Herself
702638	175605	Susie
702638	201305	Lucy Hill
702638	209602	Zerelda Wing
702638	214955	Emmy Kockenlocker
702638	223952	Jane Stacy
702638	223953	Jane Stacy
702638	244841	Emily Kimbrough
702638	244842	Emily Kimbrough
702638	245209	Betty Miller
702638	246603	Nancy Langley
702638	251855	Peggy Brookfield
702638	252426	Virginia 'Ginny' Curtayne
702638	254655	Tracy Lord
702638	258291	Julie Barnes
702638	280493	Lady Marianne
702638	283940	Martha Burnside/Mallory Flagg
702638	291405	Herself
702638	313377	Herself - Dolly Loehr
702638	329148	Perry Dunklin
702638	330010	Herself - Dolly Loehr
702638	330212	Girl at Piano
702638	337306	Gwen Williams
702638	350645	Herself
702638	368381	
702638	372346	Nancy Collins
702638	387120	Ellen Curtis
702639	164430	
702639	287722	Child
702639	315733	
702640	147739	Kiki
702640	147905	
702640	264756	Satan's Sinner
702641	329527	Model
702644	66105	Make Up Artist
702644	328809	Teaching Droid
702645	21453	Peggy Sykes
702645	114131	Receptionist
702645	121389	Ann Wray
702645	147417	Theater Cashier
702645	163564	Dorothy
702645	200355	Dolores Murdock
702645	299803	Sally, the Waitress
702645	372353	Geraldine 'Jerry' Lane
702646	40449	
702647	338909	Olive
702648	8879	
702648	43641	
702648	53226	
702648	84103	
702648	84666	
702648	88268	Eve Dinant
702648	101137	Liane Orland
702648	110126	
702648	176425	Francoise Regnard
702648	191555	La comtesse de Verrières
702648	198573	Gladys Spring
702648	207748	Manon Berliac
702648	235866	
702648	275778	
702648	284225	
702648	346625	
702648	352294	
702648	352630	
702648	354095	
702648	355272	
702649	365425	Ella
702650	7447	La princesse de Lamballe
702650	184447	Mrs. Colwyn
702650	346528	School Mistress
702651	80728	
702652	621	
702652	128851	
702652	260773	
702652	320097	Gina Lynn
702652	360898	Herself
702652	361874	
702653	11322	Marge
702654	26757	
702655	37225	
702655	42413	
702655	42414	
702655	306911	
702655	372564	
702656	26100	
702656	32344	
702656	41614	
702656	75549	
702656	127616	
702656	128543	
702656	150306	
702656	324258	
702658	108777	
702659	353424	
702660	387120	
702661	244339	
702662	59577	Sharon
702662	82731	Susan Covington
702664	64075	Prince's Dancing Girl
702665	52293	
702665	106433	Girl With A Camcorder
702665	114277	
702665	150088	Cameron, Dancer
702665	196880	
702665	298222	
702665	321242	
702665	333650	
702665	347291	
702665	370126	
702666	71740	
702666	150560	
702667	171092	Female Reporter
702668	196390	Model
702668	232370	Model
702669	33094	Aunt Paula
702669	70407	Carol Thatcher
702671	126684	Miss Sin, a starlet
702671	306102	Prologue
702671	396054	Jennie Baker
702673	152876	
702673	306197	
702673	339429	Robin
702673	339860	
702674	27145	Kelly Foster
702674	160801	Questioner
702674	311703	Herself
702674	340948	School Girl
702675	249573	Doglady
702676	133972	Helen Moore
702676	332415	Mrs. Willoughby
702677	188453	'Dislike' Girl
702678	140951	
702678	335608	
702680	105898	Theme Vocalist
702680	360877	First Girl
702681	263397	Woman
702683	66593	Bank Teller
702683	218219	Additional Voices
702683	312539	
702683	327040	Anita
702683	346274	
702684	290355	Dardy Waldehast
702686	114651	Betty
702686	335807	Sally Peters
702686	405428	Singer
702686	408134	Vocals (Jun-Sep)
702687	372421	
702688	243473	
702690	366780	Patty Ann
702691	300871	Punkette
702692	204260	Child in Park
702694	232457	Patty
702695	39108	
702695	272235	Young Girl
702697	6722	Herself
702697	81816	
702697	147771	
702697	178998	
702697	228044	
702698	296178	
702699	31691	Surfer
702699	222931	Beach girl
702700	132212	Angel #2
702701	297253	Cathy
702702	190179	Party Guest
702702	280208	Herself
702703	7008	School Girl
702703	16915	Leni Lord
702703	26119	Dody Martin
702703	122903	Florence Stevens
702703	129086	Toni Martin
702703	141625	Joan Sedley
702703	152433	Judy Merriweather
702703	154439	Maurine
702703	312005	Vera Dale
702703	367919	Edith Potter's Daughter
702705	37669	Traci
702706	14098	Herself
702706	37024	Herself
702706	71702	
702706	118033	Herself
702706	125997	
702706	132845	Herself
702706	175546	Honoree
702706	190027	Herself
702706	227929	Herself
702706	227930	Herself
702706	281530	Herself
702706	302434	Herself
702706	379977	Herself
702706	385913	Herself (1973)
702706	407935	Guest Performer
702707	198114	
702709	69353	
702709	122657	Pilsnick
702709	185722	Minnie, Gun Hill Saloon Girl
702709	186816	Myrna McAllister
702709	188404	Lily Nyles
702709	200925	
702709	262740	Arva, the usurper
702709	276684	
702709	304283	Sally
702709	335807	Dancer
702709	365136	Lillian
702711	105971	Penny, Bank Teller
702711	160980	Samantha
702711	249052	Celeste Gambon
702711	294753	Rose Miller
702711	308352	Wife in Commercial
702711	370572	
702711	405169	Jellia Jamb
702713	35763	Ilse Fuchs
702714	37233	Singer, Terry Angeleus
702714	55218	Sally
702714	228117	Herself - Singer
702714	232338	Singer
702715	66304	
702716	27350	
702716	60291	
702716	139206	
702716	154732	
702716	183363	
702716	206450	
702716	209750	
702717	38104	Georgiana
702717	40509	Ruthie
702717	117522	Debbie
702717	128315	Samantha Mayerofsky
702717	147745	I.A. Detective Jackson
702717	151595	
702717	154450	Janet
702717	187191	Enid Wexler
702717	191244	Additional Voices
702717	194638	Dog Loving Girl
702717	231798	Credit Vixen
702717	296324	Voice 4
702717	305869	
702717	313114	Erika
702717	323382	
702717	362753	Jennifer
702717	385542	Samantha Walker
702717	388195	Ashley Payne (1988)
702717	395582	Myra
702717	396948	Leslie Barash
702717	401191	Poison
702717	402474	Jean
702719	6722	Herself
702719	13257	
702719	19825	
702719	29766	Tammy
702719	30394	
702719	41616	
702719	50179	
702719	81378	
702719	128472	
702719	134690	Micky
702719	146717	
702719	147842	
702719	157982	
702719	171170	
702719	193543	
702719	214062	
702719	219146	
702719	235576	
702719	245782	
702719	273298	
702719	295375	
702719	306883	
702719	306916	
702719	306923	Herself
702719	317954	
702719	336486	
702721	209365	Astrologer
702722	35362	
702723	155463	
702724	109251	Herself
702725	160784	
702725	236385	Aunt Meg
702725	306414	Dormitory Wardress
702725	330841	
702726	259360	Extra
702727	247160	Goldwyn Girl
702728	82114	Gretchen
702731	326781	
702732	81062	Dutch Villager
702733	32778	Maud Villiers
702733	128507	Vesta Le Clere
702733	208973	The Hon. Margaret Atkinson
702733	269374	Ligeah Dupont
702733	271611	The Hon. Margaret Atkinson
702733	299800	Flossie de Vigne
702734	75031	
702734	188035	
702736	246923	Chinese Dancer
702737	90922	Gert
702737	107181	Singer
702737	143746	Herself
702737	227699	
702738	239669	
702738	283727	Lady Sussex
702740	113773	Patsy Hamill
702741	71474	Dancer
702741	306421	So Fine Dancer
702742	235698	Honor Tregarthen
702742	245416	Belle
702742	330167	Wardrobe Woman
702743	113773	Betsy Hamill
702744	309213	Sister Diana
702744	367866	Herself
702745	1790	
702745	6719	Herself
702745	6720	Herself
702745	6723	Herself
702745	27353	
702745	29644	
702745	31331	
702745	37560	
702745	39964	
702745	41076	Herself
702745	44466	
702745	45279	
702745	46713	
702745	49500	
702745	52267	
702745	52419	
702745	54224	
702745	59993	
702745	83159	
702745	92106	
702745	93575	
702745	97695	
702745	101008	
702745	102756	
702745	102834	Herself (Dressed to Thrill Ba
702745	108243	
702745	108798	
702745	113193	
702745	114945	
702745	116807	
702745	128855	
702745	128857	
702745	134690	Porsche
702745	139217	
702745	140973	
702745	142521	Mistress Mabel
702745	147699	
702745	150220	
702745	187412	Herself
702745	187413	
702745	192722	
702745	235385	
702745	241116	
702745	243541	Flower Store Worker
702745	260792	
702745	260844	
702745	264450	
702745	269338	Leona
702745	270981	
702745	297688	
702745	302927	
702745	309217	
702745	312611	
702745	317862	
702745	321047	
702745	325263	
702745	331104	Herself
702745	336347	
702745	352745	Dancer who quits school
702745	358074	Herself
702745	366662	
702745	367625	
702745	368654	Poinsettia
702745	369475	
702746	150017	
702746	150055	Chef
702746	150056	
702747	56427	Hortensia
702747	66646	Pepita
702747	96861	Sistina Wife
702747	168236	Rosa Vizzini
702747	199679	Rita Bonaro
702747	220958	Mazie
702747	329388	
702747	360307	Midge Brackett
702747	361752	Dance Hall Girl
702749	220569	Countess
702749	266554	Melissa Borden
702750	273278	Herself (in segment "Pool Gam
702751	123864	Kafe
702754	7602	Inez Carillo
702754	36842	Mona
702754	37037	Miss Healy
702754	60734	Helen Flynne
702754	65129	Leah Cohen
702754	72203	Alicia Van Orden
702754	72745	Marion Sars
702754	76511	The Girl
702754	87555	Mrs. Sibley
702754	101695	Flora Preston
702754	118525	Ann Foster
702754	129066	Foreman's daughter
702754	129810	Nellie Lahey, the Blonde Show
702754	138744	Herself
702754	165103	Sarah Levine
702754	188380	Virginia Gordon
702754	190543	Mrs. Lower
702754	203435	Trixie
702754	210831	Mary Burton
702754	234797	Paula
702754	241855	Boat passenger
702754	274401	Miss Scott
702754	308392	Alice Calhoun
702754	310529	Mazie
702754	319147	Jane Worth
702754	330965	Ivy Winter
702754	335151	Lucille Rogers
702754	335631	Ella Mayer
702754	348383	Edith LaVerne
702754	360235	Lola Marcel
702754	365233	Sally
702755	161970	
702756	116002	Mom
702757	512	Yuki Aihara
702757	513	Yuki Aihara
702757	514	Yuki Aihara
702757	4017	Skuld
702757	9795	Additional Voices
702757	32178	Additional Voices
702757	38381	Sayaka
702757	47865	Additional Voice
702757	48950	Additional Voices
702757	54891	Naoko Yanagisawa
702757	92718	Manah
702757	100096	Additional Voices
702757	113332	Shelinda
702757	113333	Shelinda
702757	113336	Linaly
702757	122113	
702757	140193	Children
702757	143526	Additional Voices
702757	154709	Cafeteria Girl #2
702757	162352	Additional Voices
702757	176534	Letz
702757	176535	Letz/Fed officer
702757	176536	Zena Zabi, Letz
702757	181996	Additional Voices
702757	192098	Bon Bon
702757	201302	Additional Voices
702757	208907	Camille
702757	218219	Iron Town Woman/Emishi Villia
702757	218415	Additional Voice
702757	244034	Additional Character Voice
702757	266585	Yuki
702757	294028	Additional Voices
702757	313338	Peppita (Souffle) Rosetti
702757	316626	
702757	325098	Additional Voices
702757	327801	Kiyone/Sasami
702757	327802	Sasami
702757	327803	Kiyone/Sasami
702757	327804	Sasami
702757	337166	Additional Voices
702757	337168	Additional Voices
702757	338821	Additional Voice
702757	369525	MOMO
702757	379485	Maho
702757	381960	Tami
702757	385151	Young Faye
702757	387049	D
702757	389791	Saemi Ukiya
702757	390003	Portia Porcupine
702757	390004	Woolma Lamb
702757	394016	Rinko
702757	394427	Woman
702757	396497	Kiyone/Sasami
702757	400576	Additional voices (English ve
702757	401487	Chatta
702757	402234	Additional Voices
702757	404228	Student With Rice Omelet, Tea
702757	404879	Little Girl with Teddy Bear (
702757	407441	Additional Voices
702757	407829	Sasami, Kiyone Makibi, Pretty
702757	408893	Moore
702757	411343	Cheza
702757	411563	Yuzuriha Nekoi
702758	298440	Sammy Lane
702759	30646	Student
702760	146783	Lisa
702761	26114	
702761	44178	
702761	50534	
702761	147723	
702761	306883	
702761	353735	
702761	355909	
702761	360102	
702762	46327	Starlet
702762	309206	Denise
702763	167084	Muju (female guerrilla leader
702763	187078	Pao Chu (woman who dies in ch
702763	195743	Wife
702766	32046	
702768	17085	
702768	31537	
702768	51588	
702768	62349	
702768	70598	
702768	74849	
702768	77257	
702768	100386	Cliente rubia de Karin
702768	120908	
702768	148173	
702768	159870	La seductora
702768	206989	
702768	221978	
702768	233373	
702768	234014	
702768	243784	
702768	252751	
702768	259946	
702768	266893	
702768	269220	
702768	273780	
702768	286419	
702768	351836	
702768	371730	
702768	396243	
702769	379716	Danielle Stephanie "Dani" Fry
702770	147548	Joyce
702770	292817	Mrs. Bell
702770	323385	Margaret
702771	4945	
702771	67144	
702771	75060	
702771	93716	
702771	293945	
702772	278894	Kim Novak
702773	344499	Herself
702774	32241	Countess's Girl
702774	82661	Biker Girl
702774	83012	Nurse StillbornNarrator/cameo
702774	230838	
702774	230904	Babes
702774	264785	Orgasm woman
702774	266600	Jane
702774	350216	Shirley
702775	1270	
702775	75031	
702775	128747	
702776	401079	Young Mother
702778	37686	Sorority Sister
702778	363953	Hostess
702779	161061	Lisa
702779	178171	
702779	270152	Tonia
702779	360703	
702780	150048	
702781	164986	
702782	162067	
702783	23919	Herself
702783	47079	
702783	107763	Herself
702783	135707	Herself
702783	241330	Vera Baker
702783	277540	Ann Martin
702783	282624	Herself
702783	308736	Presenter
702783	351910	Herself
702783	360496	Peggy Brown
702783	409948	
702783	409949	
702783	411420	Herself
702784	396	Julie
702784	14921	
702784	33468	Madre Rachel
702784	146554	Milagros
702784	187615	
702784	221990	Adriana
702784	234422	
702784	248753	Mirta
702784	251961	
702784	281636	
702784	353704	
702785	170538	Mercy
702785	303223	
702786	343160	Chorus Girl
702787	115838	Horsewoman
702788	12252	Missy Trowel
702788	52688	Casey Shaw
702788	92618	Dr. T's Patient
702788	294980	Girl in elevator
702789	168464	Nurse
702790	47433	Jenny Bartman
702790	120385	Suzy
702790	120429	Susie
702790	135783	Emily Sherman
702790	264568	Lindy
702790	280005	Emma
702790	307902	Laura's Friend
702790	314441	Cindy
702790	380339	Robin Winkle
702790	402813	Marcine
702791	10915	Mrs. William Griswold
702792	38583	
702793	27282	Signora Segati
702793	80538	Nina
702793	119798	Dorothy Glennister
702793	129234	Vicki
702793	163598	Yvonne
702793	221113	Conchita
702793	241104	Mlle. Louise
702793	250711	Marie
702793	261023	
702793	288724	Ann
702793	323402	Lilli Maguet
702793	329617	Fifi
702793	354958	Gaby Toulong
702793	359100	Doris
702794	37687	Mandy
702794	72098	Kelly
702794	82703	Michele Long
702794	140168	
702794	142455	Monique
702794	147982	Julie
702794	206441	Lisa
702794	236387	Audition Woman
702794	253019	Marci
702794	253511	Jessie
702794	257606	
702794	328601	Cindy
702794	354752	Sam
702794	375695	Marsha
702795	147660	Bonnie
702797	236383	Carol
702798	22085	Jane Smythe
702798	127226	Jackie Winthrop
702799	124026	Digital Reaction Girl 2
702800	106193	Officer White
702801	315186	
702802	128923	Newsreader
702803	5829	
702803	11418	
702803	12172	
702803	12199	
702803	13409	Claire Winston
702803	19968	
702803	37575	Marjorie Trent
702803	45492	
702803	46803	
702803	50924	
702803	53305	
702803	56902	
702803	105073	The Stranger
702803	139112	
702803	140732	
702803	140897	
702803	143035	
702803	143148	
702803	151522	
702803	165571	
702803	179056	
702803	186694	
702803	195325	
702803	269877	
702803	307864	
702803	329741	
702803	359128	
702803	359130	
702803	362707	
702803	362902	
702803	363127	
702804	51872	Cafe Hostess
702804	114845	Martha, Morell's Secretary
702804	215748	Showgirl
702804	358163	
702805	292017	
702806	687	Herself
702806	50060	Herself
702806	144406	
702806	185390	Gaskin's Girl
702806	201430	Cameo appearance
702806	207431	Marianne
702806	213312	Puck
702807	297290	Singer/Herself
702808	87012	Monga
702809	46348	
702809	75030	
702809	75060	
702809	91760	
702809	128905	
702809	253616	
702809	273300	
702809	291899	
702809	326364	
702810	370555	Singer
702811	133475	Party Doll
702812	35489	Woman Officer
702812	131233	Kathleen
702812	399816	Gloria Gould (1972)
702812	411809	Dr. Susan Richards (1976-1980
702813	231964	Singer
702815	168326	Lady at Doo Wopp Party
702816	226965	Titweiler #2
702817	81302	Voice of the Mute Girl
702818	129218	Grandma
702819	35688	Nurse
702819	40700	Elisa
702819	69917	Health Service Nurse
702819	80784	Cindy
702819	87375	Waitress
702819	131052	Female Customer
702819	141893	Prison Guard
702819	214976	Yolanda
702819	224179	Lisa
702819	306320	CHP Sergeant
702819	321176	Jewel
702819	338278	Hotel Operator
702819	355343	Clara Henson
702819	359381	Mavis
702819	392244	Airport Immigration Officer
702820	33094	Chandara
702821	274773	Baby Carter
702821	361681	Jennifer as a Baby
702822	2549	Herself
702822	17996	
702822	67923	Herself
702822	175541	Herself
702822	358593	Carrie Cash
702822	365841	Herself
702824	85086	Margie Ballantine
702825	122183	COPS officer
702826	274100	Mary
702827	154194	Reporter #2
702828	42421	Rhonda
702829	96424	Margot
702829	405984	(Sister, USC)
702830	92742	Doctor
702831	383631	Vicky: Paramedic (1990)
702832	4536	Mousy Julie
702832	50444	Hilary Vandermuller
702832	60769	Dunyasha
702832	65394	Lauren
702832	72376	Gloria
702832	84457	Beth Bumsteen
702832	90811	Susan
702832	105069	Jacqueline De Ghent
702832	117558	Melody
702832	120297	Deputy
702832	141666	Pauline Yvonne (Parker) Riepe
702832	209195	
702832	229144	Zoe Cadwaulder
702832	299689	Marie
702832	305956	Alice
702832	321213	Lurlynn
702832	403763	Rachel 'Sister' Wheaton
702832	409215	Rose
702833	272026	Reporter #4
702834	10415	
702834	101296	Woman
702834	231132	Claudia Hastings
702834	269305	Girl
702834	371379	
702834	379582	Various roles (1984)
702834	385299	Helen Booth
702834	388861	Amy Masters
702834	403436	College Principal
702834	404795	Valkyrie
702834	408809	Herself - Adjudicator (1984)
702834	408867	Greta Bertram
702834	411022	Various roles
702835	362748	Rock Mother
702836	75477	Ardda
702836	137393	Ardda, in 'Curly'
702836	364212	Ardda
702837	21922	
702837	21923	
702837	21924	
702838	270975	Janie Broadhurst
702841	382296	Charlotte Lewis
702843	149724	Elaine Gavin
702844	253915	Indian
702844	402245	Indian
702845	190274	Barbara Lyon
702845	198088	Herself
702845	395584	
702846	404147	Model (1969-1972)
702847	161067	Ellie
702848	333875	Lady Georgia Lambeth
702850	85547	
702851	86207	Mrs. Bowie
702851	120842	Undetermined Role
702852	161922	April
702853	106310	
702854	46444	Phillippa McFarlane
702854	50598	Jane
702854	195982	Sandy
702854	383998	Alice (1994)
702855	112302	Jill
702856	4680	Cindy
702857	258082	Joanna Mosscroft
702858	17751	Cecile
702858	32052	Dancer
702858	45591	Dancer
702858	194136	Cheerleader
702858	235403	Dancer
702858	362453	Showgirl
702860	46270	Rights Casting Assistant
702860	224074	Michelle
702860	280000	Margaret
702862	81152	Reporter
702863	24467	
702863	32712	Cafe patron
702864	183532	Herself
702864	340122	Mathilde
702864	350145	Cimmaron
702865	14031	Herself
702866	80926	
702867	45001	Ellen Seitz
702868	133815	Egan's Hostage
702869	176335	Goldwyn Girl
702869	191536	
702869	313301	Chorine
702870	382296	Charlotte Lewis
702871	41570	Lady in garage
702872	233955	
702873	33748	Sylvia
702873	92700	Suzanne 'Suzy' Haslett
702873	94775	
702873	183706	Little Girl at Circus
702873	195768	Blonde Girl
702873	196294	Girl Playing with Young Ted
702873	196915	
702873	203133	Bit Role
702873	244830	
702873	255736	
702874	99829	Daisy
702875	26666	Questioning Bride
702876	348614	Nayomi
702877	3005	Emma Clark, Mission Staff
702877	11941	ABC Newswoman
702877	20887	Elaine Harper
702877	50443	Laura
702877	72595	Kim Denne
702877	90376	Wendy Sutherland
702877	100877	Sylvia Boran
702877	104943	Linda
702877	115547	Bonnie Lee Packard
702877	118366	
702877	132213	Anna
702877	161936	Miss DeLong
702877	193519	Dolores 'Lolita' Haze/Mrs. Ri
702877	232090	Charlotte Goodall
702877	240912	Herself
702877	295636	Herself
702877	305497	Burnsey
702877	325036	
702877	335549	Diana Pines
702877	337096	Lynn
702877	396778	Herself/panelist
702878	11342	Minnie
702878	18820	Nurse
702878	134107	
702878	137469	Mrs. McCarey
702878	176912	Mrs. Grimes (housekeeper)
702878	177041	Landlady
702878	185830	
702878	188542	Mrs. Jackson
702878	196295	Miss Hopkins
702878	213976	Bradley Maid
702878	218330	Jeannette, the Verdoux Maid
702878	223065	Dolly Higgins
702878	233934	Elderly Lady
702878	305934	Patient
702878	316345	Dark-haired Woman
702880	312171	Lift Attendant
702881	133932	Mrs. Godfrey Kelland
702881	222676	
702881	254005	
702882	17695	Prissy Andrews
702882	46237	Mrs. Baskin
702882	79023	
702882	88032	
702882	96970	Oklahoma Girl #2
702882	116356	Elsie
702882	142572	Vicki Carpenter
702882	144544	Donna Barnes
702882	167711	
702882	283886	Sharon
702882	287285	Mrs. Erickson
702882	327060	
702882	383289	Rebecca Sims
702883	42842	Best Song Winner
702884	129125	
702885	6378	
702885	33584	
702885	51137	Madame Dourthe
702885	58237	
702885	77420	
702885	89946	Tante Jeanne
702885	224903	Madame Pipelet
702885	247606	La cliente
702885	250784	
702885	269157	La mère Léonard
702885	282065	
702885	355861	
702885	357855	Mme Lafitte
702885	377907	
702885	377950	La directrice
702886	8256	
702886	15003	
702887	13656	Vera
702887	14131	Jessica
702887	14132	Jessica
702887	24476	Rosemary Olson - Finalist
702887	40203	
702887	50444	Megan Bloomfield
702887	68085	Judy
702887	82899	Polly
702887	84457	Christine
702887	85077	Candy
702887	86321	Edith Sussman
702887	105280	D.J. Berlin
702887	109509	Tamara Jenson
702887	118807	Nainie Naughton
702887	119625	White Girl (Crystal Van Meuth
702887	134288	Rosa
702887	141416	Rachel's Niece
702887	155890	Jeanne (segment "1972")
702887	174503	Darci
702887	181005	Shelly Krippendorf
702887	199641	Alice
702887	202954	Arab Girl
702887	208300	Grace
702887	215282	Herself
702887	216970	Rachel
702887	231790	Amber
702887	249600	Brooke
702887	257233	Kaye
702887	272593	
702887	289667	Megan Voorhees
702887	305244	Vivian Abromowitz
702887	311852	Herself
702887	362708	
702887	375113	Jenna
702887	401107	Opal (1986-1987)
702888	388046	Herself (Finalist #6)
702889	301536	Mrs. Alexander
702890	68825	Kate Singer
702891	228164	Barn Dance Party Guest
702892	213430	Jennys väninna
702893	80782	Cemetery Extra
702894	309860	Keller
702895	34630	
702895	75035	
702895	81925	
702895	136154	
702895	163864	
702895	163866	
702895	241448	
702895	291279	
702895	306908	
702895	312381	
702895	316381	
702895	326674	
702895	326735	
702896	127290	Jenny
702897	233676	Girl in Bar
702898	155301	Summit Restaurant Patron
702899	311298	
702900	222586	Gillian Anderson
702901	43358	Katie Hayes
702902	2773	Minnie
702902	41037	Sheila
702902	41100	Norma Addison, Dillon & Slack
702902	77592	Bobbie Benson
702902	89711	Flo Daly
702902	120339	Mickey Finn
702902	150577	Genevieve Stern
702902	193730	Marta Frisbie
702902	273629	Rita Leland
702902	276876	Mrs. Sarah Bingham, Telephone
702902	331654	Lillian
702902	358031	Beulah
702902	363249	Nan Doran
702902	367413	Patsy
702903	305722	Herself
702904	140836	Wife
702904	174699	Katrina
702904	249189	Ticketed car's owner
702905	293076	Mrs. Cooper
702906	399567	Peg McFadden
702907	66096	Stacy
702907	85073	Fawn
702907	87391	Cindy
702907	107144	Claire
702907	212996	Mistress Eva
702907	281402	Woman from Elevator
702907	303538	Rahab
702907	319281	Kelly Parker
702907	409697	Lauren Fontaine
702908	126577	Dogwalker's Girlfriend
702908	170540	Waitress
702909	67119	Edna
702910	315493	Receptionist
702911	386709	Puppeteer
702912	203374	
702912	280180	Celia
702913	301230	World War II Ghost
702914	193211	Herself
702915	313127	Natalie
702916	3290	MTV Veejay
702917	53323	Rachel, Girlfriend #3
702917	85073	Samantha
702917	94985	
702917	164433	
702917	228298	Lynne
702917	239716	Customer
702917	255332	
702917	281455	Nicole
702917	306721	Shana
702917	328127	Angela
702917	332778	Stephanie
702917	334214	Make-up Girl
702917	408496	Various Characters (1997-)
702918	387309	Sarah Albright (1979)
702919	128592	Alice Mervin
702920	368900	Nuala
702921	68450	Deco's Fan
702923	218371	Reporter
702923	233967	Wedding Cocktail Waitress
702924	233510	Tracy
702924	299487	Marie
702924	390627	Naughty Rachel
702925	85002	Hip Hop Witch
702926	308698	(video 'Mysteries of Love')
702927	130129	
702927	333618	Cynthia
702928	310175	
702929	11529	Mary Catherine's Friend
702930	140400	
702931	163286	Zuzu Hatch
702931	235059	Bette Sims
702931	345066	Sarah
702932	126714	Pilar Jones
702932	153266	Herself
702932	350145	Cimmaron
702933	386236	Additional Voices
702934	152530	
702934	254540	Radar Officer
702935	106654	Myra Willard, Symbol
702935	133380	Dona Maria Saltonstall
702935	183974	Mrs. Gledware
702935	271853	Señora Moreno
702935	364526	
702936	3935	
702936	65722	Woman in Bank/Double
702936	72400	
702936	218257	Signora Gonzales
702936	248841	
702936	256111	
702936	270666	
702936	298209	Clara Von Zell
702936	343033	Mrs. Lane, 'Buttercup'
702936	358749	Secretary
702936	360671	Zorita
702937	224070	Musicians - Piano
702937	281170	Juliet's Friend
702939	175832	Secretary
702939	294980	Amanda
702940	98904	
702941	26238	Naomi, Vision, Reika
702942	231118	TV News Anchor
702943	29386	Stephanie
702943	46871	Betty
702943	56656	Mary Jo Buttafuoco
702943	90772	Anne Fisher
702943	135161	Susannah Lightman
702943	154969	Dentist's Wife
702943	155888	Audrey (segment "1952")
702943	196291	Louise Farentino
702943	272600	Pat Kennedy Lawford
702943	309202	Polly
702943	330580	Allison
702943	379716	Arlene Dillon Vaughan Chandle
702944	316099	Betty
702945	183405	Gertie
702945	232341	Miss Allenby
702945	239346	Phyllis Martin
702945	278276	Alice
702946	306281	Woman in Alley
702948	153142	Little Old Lady
702949	144481	Sara, Bulgarian Voices
702949	334227	Lanie Saperstein
702951	57929	ABA Student
702952	345	Caroline
702952	39194	Dr. Thompson
702952	67833	Dallas McIntyre
702952	72469	Hilary
702952	97096	Alison
702952	117261	Sarah
702952	131664	Mrs. Fielding
702952	145175	Ruth
702952	157474	Helen Stevens
702952	189986	Jean Gregory
702952	206649	Grace
702952	227539	
702952	234083	Ellen Bell
702952	277829	
702952	280737	Sandra Burnett
702952	328501	Anne McCabe
702952	338693	Martha Graves
702952	366087	Diana Venness
702952	386622	Vicki Santorini
702952	387357	Jill
702952	397477	Nell Roberts
702952	406743	
702952	406918	Ellie Gunther
702953	411050	Herself/panelist
702954	80610	Mrs. McCarthy
702956	26831	Cashier
702956	213976	Bit Part
702957	37263	Mona
702957	81894	Coral Chandler
702957	149707	Yves-Nine
702957	172451	Anika
702957	359149	Candi
702958	216892	
702959	407076	Herself
702960	236972	Servant Child
702961	158873	Map room operator
702962	259360	Kaszia
702963	77844	
702964	170950	
702966	104019	(segment "Louca de Ipanema, A
702966	196662	
702966	380081	Helena
702966	381144	Letícia Maia Rodrigues
702966	382776	Carmem
702966	386757	Almerinda
702966	387424	Márcia's friend
702966	387804	Ester Almeida
702966	388565	Idalina
702966	391673	Silvana Furtado
702966	395302	Cleide
702966	396722	Estela
702966	396886	Anita
702966	398220	Luiza
702966	398501	Marta's friend
702966	399766	Virgínia
702966	401900	Mafalda Andrade
702966	405810	Irene
702966	412173	Marta Caldas
702967	28861	
702967	44723	English School Receptionist
702967	70311	
702967	84121	Sweet D Pie
702967	102669	
702967	106228	
702967	176254	Branco's Wife
702967	222159	Helen
702967	264389	Helen
702967	301331	
702967	344741	Ana
702967	393615	Dóris Gumm
702967	396582	Herself (2002)
702967	399490	Pietra
702968	84107	
702968	272256	
702968	314359	
702968	377278	
702969	240113	Dolly
702969	382895	Bikini girl
702969	391581	Programleder
702969	398285	Trine
702969	404790	Karin
702969	409874	Inga Toppen
702970	385184	Berenice (Joana's friend)
702970	388721	Elisa
702970	395044	Nair
702970	405936	Júlia
702970	411932	Tânia
702971	70595	
702971	74378	
702971	209007	
702972	51241	
702972	94245	La voisine
702973	236598	
702974	140567	
702974	353201	
702975	294287	Karina
702976	225935	
702976	328749	Susana
702977	36830	
702977	50295	
702977	65500	Eugenie
702977	69403	Erika Wolf (Credits)/Erika Wo
702977	126067	French Girl
702977	133610	Luba
702977	167683	Pola Wenski
702977	192631	Girl on Train
702977	218931	
702977	222658	Hilda Riker, aka Mrs. Steve S
702977	223825	The Queen
702977	276671	Angela Merrova
702977	349633	Pat, Tony's Friend
702977	352929	Newswoman
702977	372589	Lucille
702977	377240	Young Girl
702978	153882	Marcelle Paillardin
702978	214796	
702979	91298	
702980	382	
702980	9671	
702980	10233	
702980	22702	Viuda Anglada
702980	25214	
702980	52775	
702980	67531	
702980	70650	Marga
702980	83435	
702980	83541	
702980	90107	
702980	99323	
702980	102912	
702980	108115	Sole
702980	108581	
702980	120992	
702980	140660	Pastora
702980	152257	
702980	159742	
702980	170048	
702980	172629	
702980	202055	Puri
702980	205458	
702980	209034	
702980	221899	
702980	221999	
702980	234340	
702980	236447	
702980	242285	
702980	242286	
702980	249918	Novella Ferraris
702980	256368	Tania
702980	276789	Duchesse de Longueville
702980	287907	Doña Pura
702980	295832	
702980	299919	
702980	322228	
702980	326121	Reme
702980	338064	Lona
702980	347502	
702980	349473	
702980	349954	
702980	354775	
702980	378483	
702980	378492	
702980	390420	Lula
702980	396653	
702980	402409	
702980	404107	Lula
702980	409463	Azafata (1972-1973)
702980	409881	
702981	269725	Chaton
702982	412075	Sylwia
702983	349342	Fekla, aka Fenya
702984	115689	
702985	48132	Inga
702986	346513	The Woman
702987	412218	Herself - Clairvoyant (2002)
702988	261135	
702989	167483	Jasmine
702990	12332	News Anchor
702990	18550	Donna
702990	25364	June
702990	26308	Roz
702990	35145	Bobbie
702990	41377	Reporter #1
702990	118970	Mayor's Assistant
702990	224667	Mrs. Lusky
702990	251285	Mac's Mother
702990	252906	Leslie Montgomery
702991	109118	Bank Customer
702992	179694	
702992	198172	
702992	252815	
702992	266134	
702992	349336	(segment "Bolshaya lyubov Che
702992	356922	
702992	357216	
702992	357661	
702992	370140	His Mother
702993	43013	
702993	320490	Yarinka
702994	58265	Vanková
702994	247529	Kotrbcová
702994	268228	Secretary
702994	339328	Bozena
702995	387963	Kajsa
702996	322265	
702997	172979	
702998	34231	
702999	34236	Mama Bear
703000	404785	Søster Berit
703001	44416	Model
703003	125323	
703004	23110	Katharina Friedrich
703004	122313	Mareike
703004	166434	Buhlschaft
703004	186149	Irmi Schadewald
703004	227778	Sylvia Kessel
703004	230198	(segment Heilige Kühe)
703004	275124	Marie Touchet
703004	290183	Olga
703004	325752	
703004	340662	Andromaque
703004	359660	Ellie Sternberg
703004	377290	
703005	139006	
703006	1813	Syerske
703006	33842	Ann
703006	51298	Frk. Finckel
703006	82152	Rigmor
703006	99510	Frl. Andresen
703006	106806	Sangerinne
703006	119463	Oddveig
703006	120022	Ollvars kone
703006	120082	Ellinor Svendsen
703006	129181	
703006	134974	Topsy Lorck Mathiesen
703006	153100	Fru Salvesen
703006	153767	
703006	178433	
703006	180100	
703006	192487	Damen i vinduet
703006	197274	
703006	198272	Selskapsgjest
703006	201230	Grandma
703006	204542	
703006	229281	Suzanne
703006	240116	Ragna, Bennys forlovede
703006	248190	Sykegymnasten
703006	257413	Kioskdame
703006	293841	Selma
703006	305858	Jenny
703006	321404	Marta
703006	344292	
703006	347004	Sersjant-Petra
703006	381283	Dr. Torp
703006	388554	Fru Horn
703006	389317	Oddveig
703006	391715	Programleder
703006	405713	Ophelia
703006	408803	Birgitte
703007	154020	Maid #2 (Manor)
703007	190941	Lisbeth
703008	33445	Shopper #1
703008	385299	Janice Gifford/Jarvis
703009	18248	
703010	92372	Herself - Host
703010	92387	Herself/Speaker
703010	92391	Herself/Speaker
703010	92397	Herself/Speaker
703010	383073	Herself - Reporting Co-host
703010	389151	Narrator
703010	394727	Herself - Host
703010	406219	Herself - Travel Reporter (20
703011	64400	Nun
703012	213417	Member of Salvation Army choi
703013	191435	Girl
703014	59211	Madame Pategg
703014	62296	
703014	77344	
703014	83280	
703014	127634	Mme de Margemont
703014	134270	
703014	153805	
703014	170533	Mme Tapin
703014	174635	
703014	205616	La dame vieille-france
703014	236611	
703014	260040	Madame de Mareilhac
703014	269106	
703014	276493	Aglaé
703014	281688	
703014	346551	
703014	346602	
703014	356229	
703015	172919	Narrator
703016	2540	Herself
703016	2626	Herself
703016	9897	Sista Tu Lumumba
703016	18983	Herself
703016	65023	Sgt. Cervantes
703016	110939	Herself
703016	116086	Akusa
703016	154711	Nominee Commentator
703016	197920	Aklia
703016	257571	La Quinta
703016	337768	Katrina Daniels
703016	391781	Guest
703016	392422	Herself
703016	406398	Judge (2004)
703017	32534	Undetermined Role
703017	113634	Ruth Wallace
703017	169362	Chorus Girl Lighting Cigarett
703017	249623	Betty Decker
703017	368241	Mabel
703018	18606	Madame Greshkin
703018	29580	
703018	68879	Olga Milanava
703018	151111	Karin
703018	241110	Anna (hotel maid)
703019	364818	Bored Waitress
703020	149834	Lucy
703021	187191	Extra
703021	239786	Mom at pool party
703022	177660	Odor Eater Babe
703023	190723	Artist
703024	16045	Young Mary #2/Extra
703024	56266	Meghan
703025	133337	Skateboarder
703026	239756	Angel
703027	358690	Siegrune
703028	164788	Lena's friend
703028	164789	Ulla, Lena's friend
703029	24434	Saturday Pierson
703029	115628	Jean Thomas
703030	91232	Vocal on 'a special place'
703030	124048	Girl #2
703030	150215	Roxanne
703030	199877	Mae - age 13
703030	203198	Melissa
703030	261062	Jessica West
703030	354215	Molly Arnold
703030	385824	Melissa Phillips Anderson [#3
703030	399251	Anneliese Larsen
703030	404299	Debbie Higgins
703031	41696	Milk
703031	223384	Diana
703031	302766	Mrs. Worthington
703032	347757	
703033	26851	
703033	273870	
703034	123395	Queen of Hearts
703035	7391	
703035	145967	Mrs. Stapleton
703035	235423	Virginia Strangeway
703035	280388	June Pickard
703036	29333	
703037	35941	Ekskurzovodka, kelnerka
703038	156000	Lili
703038	174379	
703038	371694	Dashteryata na Nepriyatniya
703039	313866	
703040	356017	
703041	374867	Masha
703042	174541	
703043	237466	
703044	124843	
703045	95934	
703046	238322	
703047	43217	
703047	299404	
703048	63618	
703048	176550	Elvyra
703048	226427	
703048	256728	
703048	261594	Anna-Maria
703048	280610	
703048	328341	
703048	341356	
703048	356542	Lekarka
703048	373483	
703048	374874	
703048	389747	Anastasiya Yaguzhinskaya
703049	37225	
703049	48667	
703049	56595	
703049	103931	Femme de l'invalide
703049	200431	
703050	91521	Nurse at the maternity ward
703050	125543	Woman at the pub in Wismar
703050	137734	Air Raid Warden
703050	165613	Elin
703050	165614	Stina Fjällman
703050	182298	Woman at bakery
703050	190835	Woman at the party
703050	192657	Guest at christmas party
703050	227740	Nurse
703050	305303	Knitting Woman
703050	314385	Miss Lind
703050	314765	Guest at dinner
703050	343511	The young man's girlfriend
703050	377434	Hulda Karlsson
703051	17317	Anita's Sister
703051	153658	Helena
703051	184042	Noora Lehtinen, malli
703051	190659	Viivi
703051	252046	Laura Lyyra
703051	255766	
703051	283961	
703051	392233	Anitan sisko
703051	394576	Eija Valenius
703051	400785	Tyttöystävä 1
703051	403996	Ilona
703052	211863	Asta Tyrni
703053	271053	Stina Lundström
703054	104730	Ukranian entry (2nd place)
703054	104779	Herself/Ukrainian entry (Winn
703055	225846	
703055	350738	
703055	352456	
703057	179889	Anna
703058	97988	Mom
703059	14429	
703059	52600	
703059	55558	
703059	132705	
703059	193331	
703059	343621	
703059	344117	
703059	379651	
703059	380113	Laura
703059	380947	
703059	385380	
703059	391176	
703059	402301	Leonor
703060	182726	Anya
703060	216250	
703060	237187	Polgármesterné
703060	237189	
703060	284184	Almády Júlia grófnõ
703060	322111	Pálossy felesége
703061	43107	
703061	64757	Tina
703061	231141	Cherry Coke
703062	294160	Grandma
703063	248214	Lili
703064	83888	
703064	339192	
703065	89506	
703066	237162	
703067	200056	
703068	322126	
703069	333801	Lici
703069	377815	Piri
703070	162745	
703071	294160	
703072	122599	
703073	198440	
703073	404058	Presentadora sección botánica
703073	404805	Host
703074	52779	Lilí
703074	74492	
703074	76000	Thais
703074	148113	
703074	160536	
703074	236026	Vero
703074	237383	Sara
703074	248543	
703074	291611	Angeles
703074	307641	Mujer
703074	383271	
703074	385463	Cybercelia
703074	386847	
703074	392027	Leonor (2000-2002)
703074	407329	Hostess (1994-1995)
703074	409463	Secretaria (1993-1994)
703075	352019	
703076	143670	
703077	131075	
703078	112056	
703079	268521	
703080	19393	Wife
703080	51221	
703080	74432	Ernesztin
703080	74437	
703080	99786	Kati
703080	101550	
703080	137308	
703080	149494	Elvira
703080	155796	Ilona, Halasi's wife
703080	173966	Hedi
703080	189357	Bagoly
703080	201967	
703080	209826	Malvin
703080	210385	
703080	214709	Chambermaid
703080	225077	
703080	247644	Péter's mom
703080	263237	Blanka
703080	276933	Csilla (Rózsi)
703080	281286	
703080	284357	Róza
703080	309289	Mrs. Fleischmann
703080	309354	Csocsó's wife
703080	322002	Girl
703080	322025	Tyúk
703080	322150	Gizike
703080	322158	Sister Olga
703080	322215	
703080	348999	
703080	357712	Pásztorné, anya
703080	357825	The girl
703080	361533	Sorter
703080	377143	
703080	377144	Kati
703080	377889	Narrátor
703081	937	Vera Komarowska/Olga Komarows
703081	1699	Herself
703081	28053	Bodroginé
703081	48670	
703081	96387	Gohrmanné
703081	97985	Mária Terézia
703081	99738	Ágnes,Soltész felesége
703081	101270	Herself
703081	101271	Herself
703081	116411	Herself
703081	122387	Elena El Prado
703081	126269	Anasztázia
703081	137760	Lovasdyné
703081	143725	
703081	153690	Tatár Anna
703081	181090	Kegyelmesasszony
703081	188936	
703081	200054	
703081	243878	
703081	267823	
703081	272164	
703081	350661	Gloria McLean
703081	378342	Corinna
703082	78533	Match
703083	207892	Keppilän lapsi
703084	153095	Tarja
703084	193559	Lentokenttävirkilija
703084	211038	Hoitaja-Sari
703084	404145	Camilla Mustavaara (2001-)
703084	409040	Maria Kyheröinen
703085	387709	Various characters
703085	394938	Bändin jäsen
703086	17614	
703086	17615	Husso
703086	222903	
703086	228997	Mat-dusting woman
703086	239914	Manta Mäkinen
703086	240074	Matleena, Kaarlen äiti
703086	258813	
703086	282516	Old woman in bus
703086	320385	Kaisa Wiemerö, talonpoikaiseu
703086	351947	Ruokarouva
703087	284862	Sabine Kleist
703088	189817	
703088	361038	Tini
703089	223514	Tyttö polttareissa
703090	24690	
703090	142721	
703090	182014	Löpö
703090	185004	Mirja, "Mirri"
703090	278560	
703090	356234	
703090	377294	Gloria
703091	405724	Herself/Co-Host (2003)
703092	17371	Frau Schäublin
703092	61520	
703092	138602	
703093	129179	Old woman
703094	93520	Little Girl Bear
703094	99161	Hockeyblondinen
703095	173201	Maj, Anna's sister
703096	68920	
703097	408883	Yori Mishima
703098	3219	
703098	11556	
703098	26983	
703098	91616	
703098	95197	
703098	109526	
703098	123631	
703098	156958	
703098	171103	
703098	178324	
703098	188045	
703098	188066	
703098	208521	
703098	228040	Herself
703098	228044	Herself
703098	236350	Francesca
703098	236352	Francy
703098	252871	
703098	260792	
703098	363389	
703098	365598	
703098	395893	Herself
703098	400380	Herself (2002)
703099	375077	
703100	198193	
703101	157662	Femme soirée de la cave
703102	148696	Femme sûreté
703103	383861	(segment "Présumé meurtrier")
703104	281315	
703105	80303	
703106	60517	Aline
703106	264526	
703107	33576	Parthoenis
703107	69087	Soprano
703107	338621	Annina
703108	393486	La locataire
703109	148735	Mère Suzanne
703110	204946	Voice artist
703110	292115	Desk Clerk
703110	309719	
703110	346720	Mireille Matthieu
703110	383186	Sarah (French language versio
703110	383964	Gaby
703110	388690	Antoinette
703110	389137	Médecin légiste
703110	401046	Geneviève
703111	292351	Modeste Bourneuf
703111	337034	
703111	382583	Gabrielle Lévesque
703111	404111	La Sagouine
703112	2646	
703112	28995	
703112	30890	
703112	44919	
703112	44983	
703112	56297	Caroline
703112	60493	
703112	68396	Palmyre
703112	73075	
703112	83256	
703112	111688	
703112	132815	
703112	227595	La nourrice
703112	237471	Mme Jonas
703112	253213	
703112	260861	
703112	261760	
703112	283021	M'Man Tine
703112	285962	
703112	309150	
703112	332216	Dinah
703112	332219	Belinda
703112	336874	
703112	340123	
703112	344631	Concierge
703112	345027	
703112	345362	
703112	357816	
703112	377749	Lolo
703112	388170	
703112	389271	Datifa (segment "Pierre")
703113	23750	Dédée
703113	29408	Siska van Moll
703113	53250	Corba de Perella
703113	53251	Corba de Perella
703113	60493	
703113	223216	Violette
703113	273026	Isabelle
703113	275344	Mme Simonin
703113	309690	Careen
703113	309748	Marie-Thérèse
703113	345273	Georgette
703114	23750	Une pensionnaire de la Maison
703115	68353	Martine
703115	88067	
703115	132751	Caroline
703115	208513	La vendeuse
703115	240444	The tenant
703115	240617	
703115	370102	
703116	244742	
703117	180946	La toxico
703118	285768	
703119	208335	Nadia
703120	101216	The educator's wife
703121	1654	Erika
703121	15101	Monica Reed
703121	94367	Margot Weitling
703121	103029	
703121	128993	Voice of Marina
703121	160269	Erika
703121	179776	Voice of Michèle
703121	179778	Voice of Joyce Sellers
703121	179779	Voice of Selena
703121	188810	Beates Mutter
703121	219012	Voice of Sophie Latimore
703121	239112	Voice of Marion Keyser
703121	325631	Fräulein Melchinger
703121	325945	Frau Welponer
703121	346979	Wanda
703121	347787	Voice of Annie
703121	385680	Annette Seidelmann
703121	398273	Elfriede
703122	174155	Julie Cazavant
703122	353815	Sophie Lavergne
703122	377937	Marie-France
703122	392367	Julie Galarneau
703122	396334	Dr Marthe Grondin
703122	398172	Aurise Blondeau
703122	403898	Mimi Jarry
703122	407873	Annick Jacquemin
703122	408674	Bulle
703122	409444	Sylvie
703122	409452	Louise
703122	410067	Nicole Rivest
703123	236584	Neighbour
703123	354930	Sylvie
703125	166117	Jeanne
703125	170468	
703126	199305	Artémise
703127	376964	L'aide soignante
703128	2968	Ariane
703128	20906	Duchesse
703128	33581	Nathalie
703128	33804	Suzanne Dupré
703128	64223	Madame Lénignac
703128	101938	
703128	123688	
703128	184053	Hélène, la soeur d'Odile
703128	189304	Madame Diderot
703128	211665	La journaliste
703128	236207	La mère
703128	239219	Lise
703128	243601	Inspector
703128	248055	Press
703128	266201	Odile
703128	337021	The Lady
703128	345535	
703129	43625	Fille des compagnons de la ch
703129	93878	Maquilleuse Cyrano
703129	379610	
703130	380162	Iris Balcarce
703130	408591	
703131	98015	Dorogi Mancika
703131	328969	Wife
703131	336360	Marika
703131	349834	
703132	17080	
703132	96201	
703132	108913	
703132	110691	Laci anyja
703132	122599	
703132	229692	
703132	343776	
703132	377784	Ambrusné
703132	378027	Herself
703133	6398	Mimi
703133	20679	Louise
703133	24585	Eve Duchesneau
703133	25777	Carole Vincent
703133	72475	Ellen
703133	73143	Rita Plouffe
703133	77421	Madame de la Riviere
703133	78444	Irène
703133	85551	
703133	91750	Lydia
703133	99497	Yvonne, star 1960
703133	111273	
703133	114786	Josy
703133	148647	Catherine
703133	149747	Nadine
703133	228565	La femme de Joseph
703133	249209	Jeune Chanteuse prometteuse
703133	258208	Rita Toulouse
703133	284257	Madame Elisabeth
703133	326038	
703133	333792	
703133	346591	Maïté
703133	349741	
703133	351712	Mme Bouchard Dupont-Lévis
703133	381615	Valentine
703133	389304	Mariette Dubois
703133	396525	Carla Marshall
703133	408321	
703133	408883	Myriam Sirois
703133	411623	Odile Brunelle
703134	177936	
703135	98027	
703136	172898	Krisztina
703136	377143	
703137	146957	Christiane
703138	72140	Dancer
703139	356391	Une voisine
703140	149939	Girl Diane
703141	363550	Niamh 'Neeve' Kearny (child)
703142	19257	Karen
703142	204043	Manette
703143	400804	Lucie Aucoin
703143	411623	Claire
703144	249719	
703144	332618	
703144	377647	
703144	380981	Gracie Daveluy
703144	387530	Alice Pagé
703144	388714	Monique
703144	390468	Chroniqueuse
703144	402627	Toinette
703144	405811	Isabelle
703145	278749	Carmen
703145	328741	
703145	338677	
703146	2252	(segment "Sidapolis")
703147	380867	Juliette
703148	14466	Christiane
703148	64949	Carole, la présentatrice des 
703148	71807	Maria
703148	110192	Baker's Wife
703148	141662	Woman Interviewer
703148	161424	Claire
703148	236574	
703148	345511	
703148	350425	Touriste française
703149	283242	Sarah Schumacher
703149	345152	La Dattilografa
703150	217223	Schoolgirl
703151	353912	La petite fille
703152	262994	Arlette
703153	2252	(segment "Teuf d'enfer, La")
703153	243602	
703154	58285	Hospital Employee
703156	228202	Marie
703157	240429	
703158	15105	Mme Rousset
703158	33892	La première infirmière
703158	63954	Une psychologue de la DDASS
703158	64274	La femme du fakir
703158	66225	
703158	71813	La gérante de la boutique enf
703158	99375	La mère Thénardier
703158	120971	L'aumônière
703158	132288	La Bigote
703158	158836	
703158	166168	
703158	167240	Yvonne
703158	188917	Une bonne
703158	197542	Antoinette
703158	198570	Laurence Tatin
703158	200947	Didine Hulot
703158	218276	La patronne
703158	231146	La femme du général
703158	232931	Mme Duboquet
703158	245954	La concierge
703158	247157	
703158	251063	Irène N°2
703158	256745	L'animatrice
703158	258868	Paulette, la garde-malade
703158	265797	La femme de F.O.
703158	268400	
703158	287607	Françoise
703158	309310	La mère Velin
703158	327551	Françoise Mourioux
703158	345641	
703158	348578	Andréa
703158	356379	La mariée
703158	357092	Chapeau
703158	376933	Commère #1
703158	378866	Sylvie (ep.4)
703158	379240	Mme Manin
703158	380501	Jacynthe
703158	383832	
703158	384288	La Vieille Bretonne
703158	392369	Janine
703158	396368	Danièle Zarka (1994-)
703159	211375	Isabelle
703160	55254	
703160	183278	
703160	197072	The first girl who looks the 
703160	265698	Herself
703161	268480	
703162	268984	
703162	269532	
703162	377281	
703162	387928	
703162	393791	Lúcia
703162	399490	Olímpia
703162	412241	
703162	412257	Emília
703163	180940	
703163	375406	
703164	53846	
703165	204674	Mother superior
703166	53697	
703166	198241	
703167	3485	Marta
703167	21645	Claudia
703167	35492	
703167	67663	
703167	68624	(segment "O Terror das Empreg
703167	88801	Ana
703167	103885	Beth
703167	132985	Helena
703167	188832	
703167	204263	
703167	212136	Rosinha
703167	248535	
703167	268987	Meg
703167	277323	Ana
703167	279149	Cleo
703167	291597	Crambola
703167	307830	
703167	356607	Rita
703167	381633	Anita Medrado
703167	387424	Mário's friend
703167	401460	Princesa Von Rolambach
703167	407798	
703168	387640	Janete
703168	394872	Anabela
703168	396810	Cíntia
703168	397522	Lia
703168	402685	Mariana
703168	404077	Branca Jardim Malta
703168	406833	Maria Antonia
703168	410245	Pietra
703168	411932	Lavínia Dumont Pietro
703169	99827	Martha
703170	70065	
703171	70090	Niña robada
703172	125661	
703173	143757	
703174	16093	Carmen
703175	36667	Still Photographer
703175	67435	Irene
703175	147306	Alejandra
703176	52987	Uca Uca
703177	50844	
703177	102240	
703178	87511	Dancer: Sacromonte
703179	25217	Natalia
703179	34576	Rocío
703179	46837	
703179	51089	María
703179	74584	Lidia niña 2
703179	132723	
703179	169794	Joan
703179	233359	Hermana
703179	248758	
703179	369557	Herself
703179	369994	Herself - Winner: Best Lead A
703179	369999	Herself - Presenter: Best Lea
703179	379566	Carlota (1997-2000)
703179	397467	
703179	411722	Aranua
703180	51736	
703181	247159	Niña
703182	165334	Puticlub Parrot
703183	83138	
703183	304553	Aunt
703184	150657	
703185	317949	
703185	380098	Georgina
703185	380113	Matilde
703185	387686	Amalia
703185	409920	Agustina
703186	14833	
703186	80140	
703186	88795	
703186	131073	Irene Heredia
703187	215148	Flamenco dancer 2
703188	80241	
703189	27313	Alma
703190	8274	
703190	14833	
703190	55741	
703190	57866	
703190	102336	
703190	115862	
703190	146447	
703190	147376	
703190	152352	
703190	169798	
703190	233904	La condesa
703190	251586	
703190	258125	
703190	335515	
703190	353548	Madre de Josefina
703190	353626	
703190	378482	
703191	88015	Hija de Daniel
703192	80139	Gladys
703193	118814	Estudiante Universidad Veracr
703194	370089	Ana Morelos
703195	44794	
703196	397256	
703197	19461	
703197	90527	
703197	93859	
703197	108126	
703197	132720	
703197	171470	
703197	355000	
703197	357543	
703197	400717	
703198	334673	Juanita
703199	135642	
703199	202560	Teresona
703200	258769	Lola
703201	398481	
703202	159444	Señora 2
703203	328388	
703204	256944	
703205	206974	Emma
703206	206974	María
703207	55170	Madre del torero
703207	401657	
703208	14810	
703208	19460	Eugenia de Montijo
703208	52760	Ana
703208	56504	
703208	57711	Elicia
703208	63688	Cósmica
703208	67673	Marcela Cobian
703208	68982	
703208	96373	Marcela
703208	104859	
703208	121285	Chemist's wife
703208	140566	
703208	145225	Ofelia
703208	145673	
703208	147976	Prostitute
703208	148090	
703208	150529	
703208	152642	Fabiana Ocampo
703208	171618	
703208	174101	Karla
703208	189295	
703208	202309	
703208	230245	
703208	251982	
703208	252063	Genoveva
703208	266669	(segment "Una cena de navidad
703208	269572	
703208	269829	
703208	278427	Governess
703208	328386	Vicky
703208	335988	
703208	351487	
703208	354449	
703208	378460	
703208	387473	Etiene
703208	387904	Laura
703208	392751	
703208	398470	Ofelia
703208	399764	Bernarda
703208	401690	Liliana
703208	401691	
703209	377193	Bombón
703210	36664	Doña Matilde
703210	96218	
703210	266805	
703211	159411	
703212	29543	Marcela
703213	57384	Folg's younger daughter
703214	25079	
703215	53654	
703215	56523	
703215	58043	Vecina
703215	70862	
703215	73283	
703215	74721	Adivina
703215	95024	Cristola
703215	103165	
703215	103558	
703215	121250	
703215	149232	
703215	170082	Carmela
703215	193513	Gitana vieja
703215	204275	
703215	204301	
703215	206977	
703215	206995	Portera
703215	209073	Tía de Rosita
703215	212522	
703215	233331	
703215	236021	
703215	256720	Doña Martina
703215	266805	
703215	293052	
703215	296470	
703215	309087	Hermana cocinera
703215	353664	
703216	68974	
703216	324305	
703217	249790	Sra. Miralles
703218	334699	
703219	236622	Samy's Mother
703220	64044	
703221	143911	
703221	191054	Tita
703221	234405	Verónica
703221	248473	Dulce
703221	301206	Herself
703221	380059	Ofelia
703221	383261	Mónica
703221	389788	Karina Rios
703221	395885	Carmen Ruelas
703221	398473	Lucrecia Santibáñez (Luz)
703221	404987	
703221	405416	María Elena
703221	408848	
703222	171475	
703222	204686	
703223	322395	Girl at the building
703224	397029	
703224	402055	Claudia
703224	402898	
703224	412153	Lili Chaparro
703225	56316	Telefonista 4
703226	65555	Chica kermesse
703226	384861	Seductive
703227	41276	Rosella
703227	120080	Lupe's Maid
703227	410246	Malinali
703228	237899	Secretaria
703229	60138	Herself
703230	387817	Maribel
703231	237899	Mariza
703233	89938	Celia 10 años
703234	65063	Isabel
703234	370089	Lucero Carranza
703234	379899	Camila
703234	396392	Cecilia Suárez Caicedo
703234	399900	Inés Mercedes Videla 'La Rana
703234	405866	
703234	408706	
703235	383242	Myledis
703236	103804	Una Compañera
703237	73924	The Squaw
703237	274529	Yina
703237	367298	Louisa
703238	83311	
703239	253665	
703240	55208	Primi ballerini ospiti
703240	197550	Lino's Daughter
703240	371290	Mujere fuente
703240	387811	Raquel
703240	399803	Lorena
703241	113646	Go-go
703242	385367	
703243	225019	Jéssica Sanz
703244	14161	Assuncion
703244	37473	Airport Stern Security Woman
703244	41148	Head Nurse
703244	75395	Lourdes
703244	107428	Angry mother
703244	113980	Family Member
703244	163344	Rosario
703244	189294	Prison Guard
703244	212614	Woman in Sports Car
703244	244919	Rita Hernandez
703244	250573	Martha Morales
703244	265808	Bail Bond Lady
703244	281547	Asst. Public Defender
703244	289377	Waitress
703245	59254	Reportera
703245	307199	
703246	192948	
703247	133604	Mexican Dancer
703247	206862	
703247	247359	Miss Paraguay
703247	278175	Hula Dancer
703248	243695	Atanasia
703248	253305	Sarita (niña)
703248	379892	
703248	380145	Clara
703248	384781	
703248	387101	Magalí
703248	387666	Victoria
703248	387698	
703248	391272	Beatriz Gutiérrez
703248	392958	
703248	392989	
703248	397011	
703248	397566	
703248	398218	María Luisa Vanoni
703248	398519	Brigitte Perdigón de Bustaman
703248	404988	Silvina
703248	408408	Coral Machado
703249	74351	Cake
703249	225532	Margarita
703249	226496	Amiga Módulo 11
703249	379905	
703250	98695	
703250	161548	Tina
703251	12052	
703252	4525	Herself
703252	6496	
703252	6742	
703252	17133	Anima
703252	23378	
703252	29056	
703252	67212	Nati Robles
703252	73286	Nuria Costa
703252	74651	
703252	76103	Nekane
703252	80104	
703252	84369	Duchess
703252	87942	
703252	90119	Doña Elvira
703252	90232	
703252	96319	
703252	96343	Balbina
703252	102206	Laína
703252	104152	
703252	106317	
703252	111995	Mimí
703252	115043	Herself
703252	132707	
703252	146573	
703252	148077	
703252	152261	
703252	160851	
703252	176630	Rafaela
703252	184871	
703252	189032	Leonor
703252	193052	Clara
703252	198360	
703252	199817	
703252	204827	Manuela
703252	209015	
703252	236400	Lola
703252	248769	
703252	249319	
703252	249790	Carmina
703252	250394	
703252	257129	
703252	257242	
703252	258133	Carmen
703252	262983	Herself
703252	272793	
703252	274861	
703252	277389	Carmen
703252	307185	
703252	307471	Elena
703252	332584	Charo, la madre de Matías
703252	332598	Doña Chonchín
703252	339168	
703252	353638	
703252	353973	Paloma (de adulta)
703252	357022	
703252	369748	Herself - Winner: Best Suppor
703252	369754	Herself - Presenter: Best Sup
703252	373793	
703252	378109	
703252	378403	
703252	382950	Herself
703252	384402	
703252	389139	Mauricia
703252	390420	Clara Aldán
703252	394999	Divara
703252	397242	
703252	398814	
703252	401064	Sabel
703252	402541	Mergelina
703253	385267	Annie Salinas
703254	73516	
703254	135051	
703254	216087	
703255	68927	
703255	149114	Une prostituée
703256	170035	
703257	9702	
703257	244635	
703257	378372	Helen Carstairs
703258	384373	Julio's Girlfriend
703259	397011	
703259	403753	
703260	384507	Dancer
703260	384925	
703260	385365	
703260	385367	Carolina
703260	387666	Emilia
703260	395030	Azucena
703260	398471	Lila
703260	398807	Jennifer
703260	401090	
703260	408389	Yusmeri
703260	412133	Xiomara Caballero
703261	53010	
703262	54791	Aixa
703262	380083	Rocío
703262	380249	Tibisay
703262	383472	Francoise Pabuena
703262	392971	Sofía Reyes Galié
703262	393802	Enriqueta
703262	399521	Eme Eme
703262	401884	Herself/- Finalist
703262	405776	Felipa Linares
703263	387536	
703263	398482	Ivonne
703263	403753	
703264	266445	
703265	323533	
703265	389589	
703265	391611	
703265	396333	Alicia
703265	403644	
703265	403686	María Paz Sulivan
703265	412183	Carmen
703266	206790	
703267	193069	Doña Zoila
703268	73528	
703268	292707	
703269	115760	
703269	281767	
703270	19710	
703270	56980	Sara
703270	253593	
703271	3446	
703271	101846	
703271	148015	
703272	242045	
703273	3502	Ella misma
703273	74545	
703273	89754	Juanica
703273	103475	Ama carmen
703273	250699	
703274	160081	
703274	286237	
703274	379458	
703274	385367	Inés de Jesús Leal
703274	388567	Mara
703274	391272	Natasha
703274	392971	María Teresa Aldana
703274	394006	
703274	397011	Irania Paniagua
703274	398471	Ricarda Araújo
703274	401896	
703274	402688	Manuela Echeverría Salazar
703274	403753	Marielba
703274	404075	
703274	405809	Katiuska
703275	120375	
703275	162713	
703276	104835	
703277	412147	Entrevistadora
703278	405857	Valeria
703279	152237	Azucena
703280	152234	Comensal III
703281	210868	Mother
703282	100391	La Flaca
703283	392844	Gema
703284	3095	Maid #2
703284	30647	Maid
703284	37178	Pilar
703284	37472	Lopez' Receptionist
703284	40327	Anglea Garcia
703284	45831	Pedestrian
703284	60864	Rosamaria
703284	63010	Rosa
703284	65756	Coffee Lady
703284	70778	Mrs. Hernandez
703284	78107	Woman #1/School Office
703284	90792	Carmen
703284	90984	Night Nurse
703284	102514	Mrs. Morales
703284	107895	Angie's Mother
703284	113359	Francis
703284	115325	Maid
703284	132217	Rosario
703284	158975	Gage's maid
703284	161412	Sex Phone Operator
703284	177530	Mrs. Rojas
703284	186732	
703284	195305	Annie
703284	196434	Spanish Maid
703284	208326	Grocer's Wife
703284	217421	Carmen
703284	224405	Mexican Madam
703284	236873	Rosa's Mother
703284	238228	Cafe Waitress
703284	242111	Maid
703284	242942	Detective
703284	245137	Mexican Woman
703284	264131	Nun
703284	300180	Personnel Woman
703284	313049	Lupe's mother
703284	313929	Maris Alvarez
703284	314982	Hispanic Woman
703284	319175	Asuncion Maria Romero
703284	359443	Nurse
703284	360149	Maid
703284	396145	Maid #1
703285	272641	Carolina
703286	291673	
703287	239266	
703288	55772	Maria
703289	110764	
703289	276304	
703290	91388	
703291	74865	Filemón's mother
703292	187768	Aurora
703293	96323	Emergency Lady's Voice
703294	29817	Nuria (Ted's assistant)
703295	52945	
703295	225561	
703295	235662	
703296	55357	
703296	80619	Fiesta Dancer #1
703296	293087	Narrator
703296	293090	Narrator
703296	387209	Herself/Correspondent (2003-)
703297	398482	
703298	56316	Remedios
703299	220497	Azitad
703300	100370	Lorena
703301	236968	Hot Chocolate
703302	9692	
703302	24206	Toñi
703302	48790	Enfermera en el nacimiento
703302	83486	
703302	101809	Carmen
703302	187767	Plump Nun
703302	213759	Madre de Joselito
703302	221752	Elvira
703302	307125	
703303	273659	
703304	101890	Pilar
703305	291673	
703306	8468	Ana
703306	8705	Marga
703306	14661	Valentina Méndez
703306	14711	Marga
703306	14758	María
703306	20676	Rosita
703306	20677	
703306	20730	Irene
703306	23402	Eloísa Reina
703306	25680	Felicia
703306	27987	Marta
703306	52614	Clara
703306	54867	Esposa de Garza
703306	55775	Victoria
703306	55948	Nora
703306	64975	Luisa
703306	67011	Cándida
703306	68995	
703306	70857	Refugio Chavero
703306	73065	Margarita
703306	74505	Lina
703306	74802	Patricia
703306	77250	Adela
703306	80109	Linda
703306	82223	
703306	84047	Rosa Rivero
703306	85590	Laura
703306	85960	Merida Valdes
703306	88200	
703306	92341	
703306	94873	Isabel
703306	96272	Rosario
703306	97365	Lisa
703306	101920	
703306	104527	Eugenia Grandet
703306	108736	Berta Sandoval
703306	110889	
703306	139897	Bernarda
703306	145230	Mesera del Cabaret
703306	148032	
703306	171473	
703306	189375	Julia Septién
703306	202836	Lucía Prados
703306	209403	Rosita
703306	210306	
703306	211166	Verónica Castillo Blanco
703306	212344	Clementina abuela/Clementina 
703306	212387	Esposa
703306	212388	Luisa
703306	212389	Cristina Martinez
703306	212434	Consuelo Moreno de Manterola
703306	213753	Rosita
703306	221560	Lucila
703306	221948	Lucero/Alicia
703306	221986	Soledad
703306	221988	
703306	223611	Elena
703306	225551	Ella misma
703306	228776	
703306	228902	Beatriz
703306	229443	
703306	243784	Elena
703306	247412	Panchita
703306	251582	Olga
703306	253596	Marta
703306	265318	
703306	269219	Ramona
703306	273842	Lic. Suarez (segment 'La Pros
703306	278426	Marga
703306	281760	Rosario del Carmen Trejo de R
703306	286421	Mercedes Gomez
703306	307464	Evangelina
703306	307790	Soledad
703306	318291	
703306	328166	Margarita Luján
703306	332576	Mariana Sampedro
703306	336252	Juliana
703306	339137	Lupita Smith García
703306	339145	Carmen
703306	341362	
703306	357540	Lupita
703306	371741	Vicenta
703306	376794	
703306	378417	
703306	379834	Leticia
703306	380963	Urraca Valdepeña
703306	381028	
703306	381153	Esther
703306	383268	Aurora
703306	383471	Madre General Asuncion de la 
703306	383568	Serena Rivas
703306	384845	
703306	385475	
703306	387685	Josefa Villareal
703306	393935	
703306	395300	Mercedes de Iturbe
703306	396713	Madre Superiora
703306	398069	
703306	398815	
703306	402219	Ana Joaquina Velarde
703306	407648	Monserrat
703306	409913	
703307	80189	Chavo Banda La Raza
703308	276303	
703309	385353	Tertuliana (2001-)
703309	390443	Marta
703309	390450	Herself
703310	198993	
703311	74856	
703312	7248	
703312	14783	
703312	35011	
703312	47588	Onlooker
703312	95009	
703312	132674	
703312	220520	
703312	246722	
703312	271855	Servant
703312	344654	Maria Soler
703312	351490	
703313	386015	
703313	387965	
703313	393028	Olga
703313	410108	Nurse
703314	281769	Mrs. Jimenez
703314	307199	
703315	384400	Jenny (2002)
703316	302333	
703317	302333	
703318	233369	
703319	56351	
703319	280317	
703320	28035	Mujer tosti
703322	285076	
703323	494	
703323	8540	
703323	22784	
703323	22792	
703323	25681	
703323	55966	
703323	67952	
703323	75378	
703323	83756	
703323	88799	
703323	100335	
703323	115191	
703323	118635	
703323	119859	
703323	140563	
703323	149959	
703323	162955	
703323	197962	
703323	220740	
703323	266875	
703323	272639	
703323	293053	
703323	301189	
703323	339200	
703323	371678	
703324	174301	
703324	318232	Madre de Maritxu
703325	309961	Señora Motomiya
703326	19467	Cristina
703326	28914	Ana
703326	61952	
703326	82512	Sílvia
703326	100367	Irene
703326	111995	Emilia Llopis
703326	119618	Sílvia
703326	160731	Sara
703326	168178	
703326	220755	Anna
703326	244626	Sara
703326	252519	Marisa
703326	254987	
703326	309961	Compañera de Rita
703326	334656	Beatriz
703326	369999	Herself - Nominee: Best Suppo
703326	377077	Alicia
703326	380206	
703326	391906	
703326	399505	Abril Montsolís
703326	401105	Jessica
703327	379137	Herself - Contestant
703328	268496	
703329	115605	
703329	287467	
703329	389233	Camila (2004)
703330	378359	Nelly
703331	164400	Middle Sister
703332	24623	
703332	177054	
703333	324448	Dancer: La cumparsita -2
703334	120906	
703335	243689	Quinceañera Sotano
703336	212524	Whisper
703337	114873	Dancer: Escuela Flamenca Mati
703338	52074	Funcionaria
703338	377156	
703338	400660	Secretaria Navarro
703339	410303	
703340	50846	Uta
703340	200864	Marisa's Mother
703340	253667	Loló
703340	287448	Elizabeth
703340	380126	
703340	401096	Miranda Ahumada
703340	402463	Amanda
703341	84067	Carmencita
703341	111994	Isabel
703341	287448	Elizabeth
703342	83135	María Martín
703342	167691	Newscaster
703343	21075	Madre Clara/Clara's Mother
703343	22702	Madre de Pedro
703343	25795	María
703343	43982	
703343	48934	Antònia
703343	83507	Isabel
703343	99668	Teresa
703343	116674	Gypsy
703343	126242	
703343	132710	
703343	143778	Viuda Minguez
703343	193483	Isabel
703343	236400	
703343	253277	Wife (segment "Wisdom")
703343	263859	
703343	275067	
703343	309961	Dori
703343	317810	Cati
703343	327536	
703343	353637	
703343	377079	
703343	380639	Agra
703343	390526	Serafina
703343	395041	Isabel Rubió
703343	404715	Isabel
703343	412151	
703344	94840	Dancer
703345	52074	Giannina
703346	384118	Polly (1998)
703346	384119	Mora (1997)
703347	121242	Sang Yu
703348	55937	Caseworker
703349	59811	
703349	145446	Silvia
703349	337676	
703350	42632	Ana Montero
703350	294020	
703350	409922	Judge
703351	279830	Dependienta Aeropuerto
703352	55110	Carla's Mother
703353	202044	Mariana
703354	14929	Rocío
703354	284096	
703355	384400	Alejandra Bornet 'amiga de ta
703356	110894	
703356	404887	Yoli
703357	55259	
703358	52620	
703359	9671	Niña
703360	162104	Novicia
703361	216303	Pinche
703361	221932	
703362	410303	Wendy
703363	3446	
703363	234179	
703364	210376	
703364	226436	Concha
703365	210445	Cantante
703365	225565	
703365	269832	
703365	357914	
703366	309061	Woman in swimming pool
703367	102949	
703368	3438	
703368	128966	Doncella 2
703369	42911	Herself
703370	253306	Mujer facil
703371	249774	
703372	80241	
703372	385599	Grecia
703373	385401	Enfermera 2
703374	165718	Carmen
703375	7825	Medium
703376	24906	Maria
703376	110890	Elena
703376	251509	
703376	396211	Yolanda
703376	402404	Josefina
703376	403752	Natalia
703377	357866	Anya
703377	381344	Dr. Orsolya Ferenczy (2003 -)
703378	18712	
703378	56080	
703378	78206	
703378	96201	Böõsi Anna
703378	97989	
703378	141865	Marta, molnárlány
703378	182898	Postáskisasszony
703378	187771	Beatrix,Drackege lánya
703378	190758	Antoinin
703378	224968	
703378	268430	
703378	289902	
703378	293991	
703378	318411	Sugárka
703378	322049	Clementina
703378	324096	
703378	334029	Claire
703378	343776	
703378	344772	
703378	352183	
703378	370433	Ninette,a házmesterlány
703378	377779	Sibyl Vane
703378	407837	Csöméné
703379	229574	
703380	155472	
703381	5160	Magda Lehmann
703381	5602	Frau Bell
703381	12206	Frau Fiala
703381	36632	Babette
703381	37179	Gerda
703381	42993	Berthe
703381	47095	Anna
703381	55529	Isabella Trench
703381	86372	
703381	93488	
703381	93496	
703381	101330	
703381	102521	Agnes
703381	114325	
703381	120956	la Martiniére
703381	123890	Hanni
703381	134248	
703381	134813	
703381	134967	Herta Bieler, verw. Stolze, g
703381	137435	
703381	142054	
703381	153937	Herself
703381	157629	Clara Röhrl
703381	166715	Oma Charlotte
703381	170686	Anne-Liese Gründel
703381	175292	
703381	179913	
703381	180637	Panse
703381	182146	Miss Schebesta
703381	186984	
703381	188852	
703381	189734	
703381	202482	Frauke
703381	203401	Friedel
703381	210109	
703381	225152	Magda
703381	226289	Monika
703381	250896	Frl. Selinski
703381	261145	Miss Rhoda Grant
703381	266643	Jadwiga/German Version
703381	269195	
703381	290196	Actress, herself
703381	290765	Françoise
703381	290830	
703381	312736	Susi Ecker
703381	322946	
703381	350851	Lotti Hellwig
703381	351912	Jessie Dill
703381	356692	Lila
703381	359658	Maria
703381	361411	Schellebelle
703381	364902	Frau Schneider
703381	366566	Reni Romana (Irene)
703381	376026	
703381	376354	
703381	389119	Herta Bieler, verw. Stolze, g
703381	392503	Frau Rabe
703381	393431	Oma Charlotte
703381	401784	Frau Schöninger
703381	408291	Schwester Agatha
703381	410817	
703382	24543	
703382	33107	Secretary
703382	34520	Straßenbahnschaffnerin Betty 
703382	48675	
703382	48676	
703382	49671	Emma
703382	62924	
703382	76137	Bauernmagd Lina
703382	77410	Frau Musonk
703382	82156	
703382	90981	Helen
703382	92580	
703382	93395	
703382	98055	
703382	99887	Krösa-Maja
703382	99889	Krösa-Maja
703382	111343	Frau Mohr, Wirtschafterin
703382	112971	Frau Schichtholz
703382	115650	
703382	116322	Frau Hellerle
703382	119163	
703382	119203	
703382	119688	
703382	119724	Dienstmädchen Mona Pilten
703382	120371	Anni Angermann
703382	121003	
703382	122575	
703382	126836	Lotte
703382	132432	Frau Quast
703382	134336	Mrs. Vermeeren
703382	134782	
703382	134793	Frau
703382	141941	Luise Nettebohm
703382	141947	Minna, Mädchen bei Diewen
703382	142090	
703382	143798	Marta, Maid
703382	147167	
703382	147191	
703382	147585	Frau Schmidtchen
703382	155390	Junge Magd
703382	156057	
703382	156691	
703382	160269	Stine, Frau des Gendarms
703382	165116	
703382	171990	
703382	173176	
703382	177913	Hintertupferin
703382	178610	
703382	178810	
703382	180640	Stine
703382	181497	Wanda Merian
703382	182533	Küstersfrau
703382	182590	Mutter John
703382	186886	
703382	187461	
703382	197832	Meta
703382	201334	
703382	204443	Sekretärin
703382	210034	Frau Wenzel
703382	219283	Amalie Schramm
703382	223375	Holm
703382	225177	
703382	225307	
703382	230202	Grandma
703382	237033	Krösa-Maja
703382	237737	Emmy Sperling
703382	241972	
703382	248206	
703382	261781	Gerda Fabian
703382	275044	
703382	290283	Mrs. Prietschke
703382	290802	
703382	293866	Frau Lemke
703382	303721	Frau Kleef
703382	312206	
703382	312996	Marie
703382	314897	
703382	317477	Marianne Ebeling
703382	343489	
703382	343878	
703382	352613	
703382	354059	Lotte
703382	354076	
703382	356543	
703382	361371	
703382	361378	Stine
703382	361520	
703382	367037	Frl. Nessel
703382	367186	Adele Schild
703382	376459	Frau Gertie
703382	378533	
703382	387522	Krösa-Maja
703383	115074	Elisabeth D. Riis
703384	153720	
703385	11315	Brita
703385	40913	Svea
703385	115427	Ester
703385	168885	Karin Jeppsson
703385	182302	Vivan
703385	184000	Nurse Gerda
703385	217451	Elisabeth Rydberg
703385	305991	Young woman
703385	326127	Mrs. Vestman
703386	153713	Kind
703387	395714	Host (1988-2000)
703388	120170	
703389	210329	Herself
703389	210333	Herself
703390	32369	
703390	202828	Nursing Staff
703391	227042	Juniorcopy
703392	267016	Sari
703392	394793	Tuula
703393	425	Countess de Chaufresnes
703393	28628	Gunlög
703393	29558	Mrs. Törnestad
703393	43248	Sara Kroogh
703393	84299	Jeanette
703393	84300	Greta Isakson
703393	84317	Vera Lund
703393	95829	Ottilia Axelsson
703393	97883	Mrs. Johansson
703393	99568	Mrs. von Scharfen
703393	100337	Rosa
703393	107881	Kristin
703393	109131	Margit Smith
703393	109132	Miss Kahlén
703393	109976	Karin Jönsson
703393	114961	Patient
703393	115382	Journalist
703393	115388	Gullan Wiklund (actress)
703393	115879	Cecilia Söderquist
703393	115881	Berta
703393	119016	Rut
703393	120066	Hilda
703393	120966	Mrs. Ingeborg
703393	121005	Alva Rosengren
703393	122320	Mrs. Bohlin
703393	122327	Mrs. Pålman
703393	122497	Rose
703393	124449	Elin Persson
703393	125894	Svea Fager
703393	129171	Bojan Malmgren
703393	131180	Isabella
703393	135211	Birgit
703393	137734	Miss 'Lotta' Strand
703393	138529	Noppan Larsson
703393	142337	Anita Torring
703393	144001	Duchess
703393	148826	Secretary
703393	149488	Juttan Järpe
703393	153754	Mrs. Johansson
703393	164651	Hildur Törnberg
703393	164770	Mrs. Berg
703393	164784	Nurse
703393	164795	Elsie
703393	170838	Åsa
703393	172420	Countess Ekenhjelm
703393	173540	Mrs. Haglund
703393	175351	Jenny
703393	181006	Jenny
703393	181850	Dolly, prostitute
703393	182263	Selma Åvik
703393	182278	Mrs. Blom
703393	182282	Charlotte
703393	182286	Sally
703393	182302	Ms. Wester
703393	182466	Actress
703393	184585	Klara
703393	184586	Maja Andersson
703393	190822	Mrs. Slamse
703393	190835	Mrs. Klint
703393	190845	Kaj Lind
703393	192648	Elvira Persson
703393	192655	Agneta von Hake
703393	203102	Alice
703393	209311	Anna Bergström
703393	209368	Bojan Olsson
703393	217007	Mrs. Clarin
703393	228386	Lätthammar
703393	237262	Kåre's Mother
703393	248189	Matilda Hallman
703393	254252	Agnes Torstensson
703393	266755	Louise Haglund
703393	268365	Kajsa Ribe
703393	275590	Gun Morell
703393	281956	Erika
703393	284387	Olga Sundbom
703393	286103	Tordis
703393	291664	Rosita
703393	302152	Mrs. Spalding
703393	303659	Stina
703393	303662	Belle Pallin
703393	305991	Marna
703393	307600	Amanda
703393	307760	Mrs. Sandeman
703393	314999	Tilda Svensson
703393	315352	Mrs. Strömbeck
703393	315360	Märta Blom
703393	315362	Molly
703393	317599	Blenda Svensson
703393	320605	Hanna Andersson-Tiger
703393	322298	Dinner Guest
703393	322309	Laine
703393	337888	Herself
703393	340434	Lisa
703393	341611	Aurora
703393	342304	Helen Sinner
703393	346970	Mrs. Lövenhagen
703393	346971	Helga's landlady
703393	349586	Gertrud Blomkvist
703393	350397	Valborg Snäckendahl
703393	377310	Aunt Bibbi
703393	377417	Ida Pettersson
703394	397397	Herself
703395	400112	Bellan
703396	276437	Janitor/Naked girl
703396	296032	Rape victim
703396	380337	Flight Attendant (Extra) (Epi
703397	9521	Jan's Wife
703397	281955	Mrs. Efraimson
703398	386911	Sanna
703399	334821	Laura Lehtipuro
703399	404201	Titti
703400	119287	
703400	170136	
703400	361011	Mari
703401	312216	Freundin
703402	136899	Leeni Haavisto
703402	153721	
703402	182213	Sinikka
703402	214835	Charlotte Raa
703402	229627	Anna-Liisa Hakenhjelm
703402	282146	Gunvor
703402	319321	Mirjam Rantala
703402	321924	Aino Lahti
703403	407109	Herself (2004)
703404	126183	Frau Faltermayer
703405	314717	
703406	182794	
703407	263352	Jennifer Ziegler
703408	308210	Marie
703409	179738	
703411	11817	Frau Göpfert
703411	12474	
703411	29343	Frau Röder
703411	40386	Kammerfrau
703411	129685	
703411	165339	
703411	259461	Frau Leitner
703411	259530	
703411	284862	
703411	301032	Frau Kraenkel
703411	326021	
703411	352367	
703412	90069	Donna Elvira
703412	302678	
703413	26799	E.N.I.A.C.
703413	178669	Schwester/Schwester 'Fettsupp
703413	325499	Claudia Ruhland
703413	388735	Frau Wipplinger
703413	389119	Tina Frank (1989)
703415	339699	Kind
703416	255668	
703417	18085	
703418	18085	
703419	322307	
703420	282177	
703421	159958	Mädchen in der Schule
703421	259531	
703421	325880	Ingrid Gürtler
703421	390812	Astrid Seiter (1997-1998; 199
703422	79040	Rose
703422	274661	
703423	13224	Sofia Ludens
703423	17967	Mia
703423	30702	Annina Nosei
703423	90824	
703423	111870	La Fiancée
703423	115603	Nurse
703423	126577	Cindy
703423	154988	Clara Lemlich
703423	158390	Rachel Heller
703423	161663	Klara
703423	166113	Magali
703423	208219	Lucie
703423	223658	Antonia
703423	226515	Nadja
703423	255370	Lucinda
703423	261117	
703423	261843	
703423	269806	Vannessa
703423	279709	Françoise Cottaz (on photos)
703423	290070	Diana Reiter
703423	301522	Lucie
703423	302219	Elina
703423	303521	Iris
703423	307840	Claire
703423	329913	
703423	358464	
703423	366602	Anne Labels
703424	360949	Herself
703425	198384	Karolinna Lindekvist
703426	215467	Emma Modig
703426	304174	Len
703426	305658	Annika
703426	307765	Secretary
703426	354440	Inger
703426	391435	Girl
703427	156996	
703427	175772	
703427	189159	Die Seewirtin
703427	349881	
703427	356835	
703428	43343	Mitzi
703428	183265	Mitzi
703428	184620	Angela
703428	285816	Vroni Staudinger
703428	324687	Franziska
703428	347660	Evi
703429	91121	Magd Kati
703429	175772	
703429	183265	Duelhofer
703429	189159	Mirzl
703429	189577	Josefa Vogel
703429	349881	
703430	91004	
703430	91121	Vroni
703430	93403	
703430	119213	Serafine
703430	119215	Marika
703430	145485	
703430	156995	
703430	179760	
703430	189159	Burgei
703430	189577	
703430	270283	
703430	347616	
703430	352359	
703430	361382	
703431	120966	House maid
703431	122776	Stewardess
703431	148817	Mary Ann, Göran's girlfriend
703431	153754	Ragni Lilja
703431	259007	Ingalill
703431	284372	Gunnel Hagert
703432	324482	Cabaret dancer
703432	394792	Pirkko Karppinen (1996-2002)
703433	96425	Clara Bodin
703433	153717	Linda
703433	322294	Siv
703433	377442	läkaren (episodes 2 and 3)
703433	394736	The receptionist
703433	397783	The gymnastics teacher
703434	172804	
703435	181077	
703435	247319	Edvarda's Friend
703436	183106	Fru Thomsen
703436	255679	Costumieren
703436	312234	Portnerkone
703436	351462	
703437	142231	En kvinne i nattklubben
703438	48381	Camilla
703438	117742	Bianca
703439	181152	
703440	39128	Johanne Olesen
703440	64630	Paula Bohlin
703440	136619	Frk. Schmidt
703441	46249	Third Nurse/Alien/Hooker outs
703442	46249	Woman in radioroom
703443	46249	Girl going into anus/Second a
703444	408192	Vibeke
703445	263731	Frøydis, Megtigsson
703446	305858	
703447	35894	
703447	83076	
703447	105827	Maria
703447	117862	Else Kant
703447	126114	Guest
703447	152210	Vilde
703447	153956	Eva
703447	192487	Liv
703447	195776	Espen's mother
703447	198402	Lise
703447	225340	Anna
703447	377404	Young woman
703448	407387	Herself - Host
703449	406735	Herself
703450	256275	Model
703451	114770	Fru Weiss
703451	153987	Line
703451	398496	Various roles
703452	388307	Mette Myklebust (1998)
703453	121457	Kvinden ved bordet
703453	134976	Kunde i kø
703453	137402	Kvinden med fisken
703453	153354	Kvinde på bænk
703453	333011	Passager
703453	398260	Kvinde
703453	403379	Patient
703454	354882	Herself
703455	409168	Herself - Reporter (?-1998)
703456	114827	
703457	229298	Kim
703458	55172	
703459	32860	Nelly Fischer
703459	83078	Forsvarer
703459	83090	
703459	120312	Mortens mor
703459	125432	Rikke
703459	136463	Tandlæge Ester Henningsen
703459	136619	Asta
703459	192653	Mette
703459	214336	Fru Tyksen
703459	226104	Laura
703459	241971	Helga (Nuser/Svigermor)
703459	262961	Else Michaelsen
703459	284393	Ellen Frandsen
703459	303688	Speaker
703459	304176	Agnete Wørner
703459	305010	Jurist
703459	322678	Blomsterpige
703459	366562	Frau Hansen
703460	6173	Prostitueret
703460	28518	Fru Clausen
703460	108179	Margit Schmidt
703460	117459	Ung pige i Engstrøms opgang
703460	136619	Inger
703460	138540	Else Tofte
703460	178007	Joan Møller
703460	181083	Minna
703460	182271	Nana
703460	187618	Eva Jessen
703460	219005	Stuepigen Poula
703460	239454	Ny ung pige på kontoret
703460	252193	
703460	258746	Vera
703460	258747	Vera
703460	258748	Vera
703460	268371	Solveig
703460	284407	
703460	320224	Helene Drewes
703460	343374	Ullas veninde Else
703460	368123	Kamma
703460	392299	Mrs Clausen
703460	397074	Violet Vinter
703461	129933	Tanya
703462	2063	Ingrid
703462	77413	Marie Petersen
703462	99510	Skolelærerens kone
703462	240092	Prostitueret
703462	240096	Fru Hansen
703462	240099	Sekretær
703462	240103	Fru Hansen
703462	240105	Fru Jochumsen
703462	307507	Avdotia
703462	310054	Barneplejerske
703462	315579	Kroværtinden Oda
703462	397074	Miss Mikkelsen
703462	402370	Lolita
703463	132981	
703464	43756	Cláudia (segment "Sábado Quen
703465	380777	Nurse
703465	381222	
703465	393005	Margarida
703465	396847	Nenen
703466	379182	
703467	269535	
703468	103459	
703469	334575	
703470	401089	
703471	13074	
703471	20696	
703471	21069	(segment "A Honestidade da Me
703471	30153	
703471	43665	
703471	69239	
703471	77232	
703471	149518	
703471	155792	
703471	205709	
703471	234641	
703471	251840	Prima
703471	269536	
703471	278617	
703471	327329	
703471	341152	
703471	377606	
703471	391286	Heidi
703471	402568	
703472	104500	Dedé
703472	116426	
703472	269169	(segment "Anjo, O")
703472	382690	
703472	383584	Alice Souza Lins
703472	387654	Liliane
703472	393792	Norma
703472	399842	
703472	407024	Maria Elvira
703473	351489	
703474	56316	Cabaretera
703475	386906	Katja
703476	326178	Carolina
703477	119163	
703477	134130	Wife
703477	137730	
703477	165425	
703477	227783	Omma Bützer
703477	399162	
703477	405500	Else Kampmann
703478	310228	Nina's Sister
703479	310228	Nina
703481	128980	
703482	356882	Frau Steffenhagen
703483	88367	Girl in the cherrywood
703483	193901	The girl
703484	352493	Susanne Behringer
703485	111351	Fräulein Fitzmann
703485	111352	
703485	120056	Bride's fashion dealer
703485	138907	Mutter Krippo
703485	312637	
703485	352240	Frau in Tankstelle
703486	33140	Frau Oberauer
703486	100983	
703486	210074	
703486	290175	
703486	293800	
703487	7804	
703488	47407	Yoko
703489	126331	Eva Reinhard
703489	216284	
703489	225268	
703489	259472	Tanja Ryglewsky
703489	350857	Ines
703489	352343	Isabel
703489	364881	Twini
703489	366517	Inge
703489	376182	Woman (Offenbachstuben)
703489	376573	Katja
703489	389359	Gisela Alsfeld
703489	389359	Gisela Alsfeld (1992-1994)
703489	389361	
703489	390706	Tanja König (1995-1998)
703489	392669	Sandra Esser
703489	392855	Corinna
703489	397753	Dr. Kathrin Stern
703489	398905	Sabine
703489	412102	Marie Fischer
703490	391604	
703491	204414	
703491	290812	Redakteurin
703491	387364	Host/Herself (1992-1996)
703492	119197	
703492	147186	Model
703493	159562	
703494	93455	Vivi
703495	173054	
703496	173628	
703497	147010	Old Lady
703498	48357	Elsa, nurse
703498	115423	Karin's colleague at work
703498	182284	Miss Willman
703498	237260	Julia
703499	470	Frl. Susanne
703499	11857	
703499	18535	Elke Hinrichs
703499	33464	Bettina Schäfer
703499	51287	Elisabeth Hämmerle
703499	95277	
703499	98265	Sonja Kubanek
703499	100986	Marie Lehning
703499	120791	Geraldine
703499	153713	
703499	169075	Jorinde
703499	202743	Heike Roeder
703499	206599	Martha
703499	217414	Elke
703499	254356	Hermine Kluge
703499	289931	
703499	289947	Tanya
703499	312068	Schwester Magdalena
703499	325832	
703499	347617	Maria Schneider
703499	352071	
703499	352546	Irene
703499	377366	
703499	384387	Heide
703499	389359	(1999)
703499	392681	Grete
703499	405500	Britta Sauter
703500	189634	Buchhändlerin
703501	114329	Anna
703502	94367	Nanni
703503	199828	Anja
703504	41880	Melanie
703505	364824	Miss Killicat
703506	19819	
703507	381694	
703508	178878	
703509	149251	Katja
703510	67209	Nena
703510	96037	Post Office Employee
703510	179960	Angèle
703510	205771	Lagos
703510	277726	
703510	284293	
703510	343523	Muriel
703510	346465	Maryline
703511	213036	
703512	168958	La grand-mère de Lila
703513	195313	Cook
703514	381911	Herself (2002)
703515	278316	Maddalena
703516	127059	Halouma
703517	127059	Hédi
703518	37140	Themselves
703518	164993	Themselves
703518	231271	
703518	365400	Native Dancers
703519	407138	Herself
703521	139078	
703524	229594	Monika
703524	290441	Marianne
703525	381908	Herself (season 4)
703526	65794	
703527	9427	
703527	10993	
703527	11035	
703527	26016	
703527	28081	
703527	38716	
703527	41082	Elsa Vergara
703527	68067	
703527	77080	
703527	88117	
703527	110188	
703527	144251	
703527	172457	
703527	173219	
703527	183922	
703527	184929	
703527	198656	
703527	201387	
703527	226613	
703527	286030	
703527	286584	
703527	296548	
703527	323678	
703527	341566	
703527	349133	
703528	135761	
703528	165726	
703528	174158	Kunthi
703528	174161	Kunthi
703528	254619	Herself
703528	286787	
703528	351284	Amrita
703528	371821	
703529	84838	Dancer
703529	127486	Dancer
703529	145831	Dancer
703530	291697	Mother
703531	173088	Stor Peders mor
703532	372039	Bazoom
703533	176969	T.V. Producer's Assistant
703533	223882	Asian Actress
703533	224201	Wai Kuin Chan
703533	236082	Kit
703533	396013	Su Ying
703534	286988	
703535	190037	Hoochie Mama
703536	20625	Extra
703537	369791	Xiao Yu
703538	60139	Siu-ching
703539	32660	Guest #3
703539	65796	Joanne Kim
703539	178138	Chinese Mother
703539	193966	Ada Lai
703540	111194	Xiao Lizhi
703541	60633	
703542	198590	Helen Ma
703542	260174	
703542	268720	
703542	371596	
703543	124574	
703544	29393	
703544	29394	
703544	84508	
703544	94522	
703544	131278	
703544	131283	
703544	165548	
703544	165642	
703544	173360	
703544	177071	
703544	199879	
703544	199885	
703544	204723	
703544	219697	
703544	222210	
703544	227199	
703544	267189	
703544	322892	
703544	324649	
703544	346981	
703544	371165	
703544	371252	
703545	170022	Gan Ge
703545	369692	Wen Shanfu
703546	371608	Lin Xiaolan
703546	373032	Danli
703547	36469	Cui Hua
703548	268612	Lin Na
703549	36438	Noodle stall owner's wife
703549	236258	Yu Xiaoyan
703549	332322	Yao Lan
703550	137162	Dali's Wife
703551	210120	
703552	14145	Dry Cleaner Woman
703552	70198	Mrs. Thiu
703552	198474	Song's Maid
703552	214299	Chinese Woman
703552	216806	Chinese Woman
703552	306250	Six-Feather Seneca
703553	25901	Douzi as a Child
703553	332355	Faeries/Elemental creatures
703554	367149	Female Performer
703555	185789	Barbara Saunders
703556	48439	Communist Demonstrator
703556	85499	Yuk
703556	86851	Teacher
703556	106786	Mei-Lan
703556	152115	Waitress
703556	204936	Bonnie Leung
703556	333559	Heung Gite
703556	336625	Cam Nuong
703556	369589	Tour Girl
703557	391563	Tao Li Lempert
703558	3921	Xiangzhu
703558	33143	
703558	76399	
703558	110635	
703558	167488	
703558	189136	Xiao Feng
703558	209908	The Girl
703558	231260	Shuihua
703558	358929	Liu Meiping
703558	369550	Xiao Qing
703558	371516	Yingying
703558	375007	Su Ming
703559	110618	Zhou Wenjuan
703560	59568	Guitar player
703561	347013	
703562	10899	Center Stage Dancer #2
703563	10899	Center Stage Dancer #1
703564	32282	Anahita
703565	266381	Frau auf dem Bansteig
703566	273402	The Woman
703567	250838	
703567	385732	Host (1999-)
703568	184789	Tyyne
703569	65041	Souad
703569	124460	Refugee mother
703569	173583	Leila
703570	278335	
703571	267642	Rita's Friend
703573	35830	
703573	211901	Mariana
703574	4467	
703574	27795	Lyre
703574	63744	Kiddy
703574	393550	Yuki
703575	261866	
703576	396412	Host (1954-1957)
703577	172654	Leilas svoger
703578	78808	Mathilde
703579	160885	Anklet Admirer
703580	97489	Sweetie
703581	160781	Coma Patient #2
703582	116041	Majorette
703583	60901	Hortense
703583	72055	Diane
703583	100130	Mrs. Hug
703583	156321	Geneviève, l'amie de Brigitte
703583	177480	Elizabeth
703583	300676	
703583	357053	Nelly
703583	388932	Dany
703583	395334	Alice
703583	397938	2nd Lady
703583	402357	
703584	409887	
703586	395334	Alice
703587	5160	Frau Kroll
703587	19819	
703587	38769	
703587	110648	Agrafena
703587	126857	
703587	129727	Gertrud Flink
703587	153096	Frau Schulz
703587	186934	
703587	225152	Dienstmädchen
703587	230031	
703587	312890	
703587	325701	
703587	325758	
703587	341110	Marie
703587	347772	Pauline
703587	354076	
703587	366509	Altes Weib
703587	389959	
703587	392509	
703588	11558	Tanya Orloff
703589	88893	Tiny Hutchkins
703589	201362	Lena Du Toit
703589	265377	Katya Skorzeny
703590	124987	Black Girl
703591	129755	
703591	233080	
703592	236633	Mann
703593	128952	
703594	965	Woman in Drugstore
703594	34705	Dorothy
703594	154482	Mattie Earp
703595	340554	Rebecca
703596	217850	Soraya
703597	217850	La mère
703598	299991	Carlie
703598	382324	Herself
703598	382325	Herself
703599	378614	Piercing vrouw
703600	188934	Heidi
703601	231468	
703602	42296	Swedish Suntanning Team Membe
703603	138013	Nellie
703603	165354	Ali
703603	332609	
703603	406166	Marianna
703603	407179	Joyce
703605	68381	
703605	121344	Christina
703605	248151	
703605	254108	Sister Alda
703605	392910	Josette Desanges
703606	354935	
703606	377280	Maddalena
703606	380587	Mère Théophane
703606	398787	Mme Mac Barlott
703607	82350	Toscha
703608	14109	Bender Girl
703609	10813	Mabel
703609	193334	
703609	231745	Ugly Sister
703609	390180	
703610	6525	Lady Agatha Lasenby
703611	119560	Schoolteacher
703612	16990	Kay
703612	23955	Lucy Carrington
703612	105539	Christine
703612	113506	Wendy Darling (in "Peter Pan"
703612	120271	Ira
703612	129913	Pippa Worsfold, Colin's daugh
703612	131911	
703612	135727	Glumdalclitch
703612	184654	Dinah Catherine Bellman
703612	185451	Young Madeleine
703612	220096	Vanessa
703612	224539	Granddaughter
703612	292419	Mary Lennox
703612	302159	Jennifer
703612	353467	Princess Alice
703612	385659	Kate Meyrick
703613	384086	Linnet Oldknow
703613	402125	Kitty Bennet
703614	157716	Interpreter
703615	321517	
703616	387359	Amber (2003-)
703617	189991	Christine
703618	257156	
703619	310	Marie
703620	133212	Extra
703622	31999	
703622	161046	
703623	2726	Herself
703623	13358	Grace
703623	37415	
703623	42268	Moms
703623	100066	Marcella
703623	163673	Herself
703623	176806	Vaudeville Star
703623	216670	Herself
703623	225774	Herself
703623	257684	Herself
703623	350906	Herself
703623	362329	Herself
703624	120237	Daphne
703625	394003	Presenter
703626	75505	
703627	213325	Mia
703627	230663	Courtney
703627	310649	Sara
703627	370037	Charlie
703628	378910	Herself
703629	64215	
703630	308089	Midwife
703630	354160	Maid
703631	298001	Lela, The Other Woman
703632	43933	Hiker in Woods
703632	80513	College Co-Ed
703632	189987	Morgan Hall Coed
703632	201326	Field Press Photographer
703632	275871	Fan in the stands
703632	298119	Sweat Shop Worker
703632	310648	Hooker
703632	342384	Prostitute
703633	326083	INS Clerk
703634	234659	Leo's Secretary
703635	35193	Vocalist
703635	315295	Backing Vocals
703635	324777	Flygirl
703636	399845	Herself (2002)
703637	137380	Fuyumi Tachibana
703637	137381	Fuyumi Tachibana
703637	145449	Hatsue Kuroshima
703637	256142	
703637	390731	Yoshiko Uchiyamada
703637	390910	Fuyumi Tachibana
703638	21348	Old woman
703638	61106	Milligan
703638	149892	Hideo's mother
703638	174342	
703638	208017	Tokiyo Oki
703638	244520	Kinuko
703638	263361	Yoriko
703638	323125	
703638	334960	Okyo
703638	335317	Tsui
703638	341286	Rie Munakata
703638	344026	Kimiko
703638	373226	Mine
703638	373386	Sonoko
703638	379516	Higashiyama's wife
703638	399496	Oshige
703640	77518	Toshiko
703640	77524	Junko
703640	77531	Misa
703640	77532	Sayo
703640	77533	Sayuri
703640	300601	
703641	68387	Tatie
703641	254085	La psychiatre à la queue de c
703641	353861	Jeanne Fitzsimmons
703642	274344	Canoer
703643	213840	
703644	69635	Ronan Conneely
703645	196436	Naomi
703646	411609	Herself
703647	310522	Ruby, Age 14
703647	381130	Wilf
703647	382723	Carol Breeze
703647	403228	Alice Jackson
703647	409237	Kate (2004)
703648	313424	Wingmen
703649	109759	
703650	278607	Club Woman
703650	333779	Spinster
703650	363745	Mrs. Kendall
703651	217896	Rapping & Rocking
703652	350882	
703653	337214	Blanche Griswold
703653	359204	Amelia
703655	26448	
703656	125166	Hornette
703657	245600	Jeri
703658	331763	Betty
703659	169151	Diner Waitress
703659	274344	Group Walla
703660	90363	Grandmother
703660	117805	Mrs. Callingham
703661	87393	Seller at Swapmeet
703661	359424	Agnes Abercrombi
703662	151173	Laundromat attendant
703662	166345	Mrs. McPhail
703662	202952	Mrs. Ferguson
703663	14660	
703664	9001	Nightclub Singer
703665	114212	Kim
703666	297970	Under secretary
703667	265705	Pélagie, the Maid
703668	290086	Personal Assistant
703669	235201	Mrs. Young
703670	93820	Jessica
703671	275813	Lucia Mondella
703672	190740	Jillian
703673	191244	Young Vitani
703673	364378	Tommy, Age 4 Alternate
703674	193701	Anglo Mother
703674	261962	Nurse #1
703675	196131	
703675	206026	Irina
703676	114873	(segment "Villasico")
703677	99268	Mira
703677	248410	Vriendin van Remi
703677	411311	Monica (2001)
703678	313164	
703679	332550	
703680	202643	
703681	204868	Herself
703681	358502	Herself
703682	14809	
703682	29055	
703682	320327	
703683	58047	dancer
703684	38259	Reporter
703684	107906	Anchor Woman
703684	207765	TV Host
703685	68970	
703685	262807	
703686	18975	
703686	48925	
703686	64969	
703686	86285	
703686	87834	
703686	121280	
703686	135378	
703686	187932	
703686	187933	
703686	192678	Gate Attendant
703686	204739	
703686	207977	
703686	212460	
703686	217788	
703686	248747	Chabelita
703686	250986	
703686	256658	
703686	350322	Villager
703686	379909	Clara Santacruz
703686	380839	Rita
703686	380842	Hanna Rivas Montaño
703686	384390	Lucia
703686	385392	Maria's friend
703686	386531	Prudencia Rincon
703686	386789	Macaria
703686	387170	
703686	387577	
703686	387682	Doris
703686	393801	
703686	393837	
703686	395060	
703686	399084	Angelita
703686	399572	
703686	399823	Berenice Cordero
703686	400490	Fátima de Salazar
703686	401134	Pelusita
703686	402050	Adelina
703686	404702	
703686	407851	
703686	409812	María Elena
703687	19348	The journalist
703687	318212	Irina
703688	367271	Kick Line
703689	304972	Diner Extra
703690	275277	
703691	222790	Lauren
703692	274525	Russian Nurse
703693	292089	
703694	383217	Web consultant (2004-)
703695	360741	Ruteledge Child
703696	363043	Audrey Campbell
703696	382524	Margaret Ker
703696	386581	Izabel
703696	394395	Mistressmini)' (1979)
703696	395569	Joan Andrews
703696	404252	Lady Wellingham
703696	406954	Jean Guthrie
703696	407105	Dr. Judith Roberts (1974-76)
703696	407414	Elizabeth Cunningham (1980)
703697	226938	Train Lady #2
703697	235635	
703698	308121	Bit Part
703699	388656	Herself (with her husband)
703700	34818	
703700	81370	
703700	235147	
703701	244306	
703701	381608	Adeline Phillips
703702	134177	Margo
703703	41004	Hotel Receptionist
703703	213875	Linda Fisher
703704	29513	
703705	117634	Mrs. Wagner
703706	208742	Daisy Frode
703707	148200	Santa's Elf
703707	148203	Flight Attendant
703707	242081	Stewardess
703708	122217	Hotel Patron
703708	154614	Vegas Showgirl
703709	182758	Mieke
703709	345911	Lisa
703709	379596	Sybille Ross
703710	252173	Pinky
703711	190724	Jenny
703711	235016	Tory lady 3
703711	355184	Monica
703712	130037	Barmaid
703713	202255	Karen
703713	367966	Tyquesia
703714	70415	Joy Bannock
703715	381568	(1985)
703715	382846	Latifa Etienne
703716	284233	
703717	62460	Madame Pouget
703717	91463	La marquise
703717	249698	La soeur de Betty Reinders
703717	321284	Actress #1
703717	325343	Madame Lemoine
703717	349488	Madame Lourceau
703717	385135	Anne
703717	409823	Martine Van Loc (1992)
703718	35524	Floyd Fox
703719	110527	
703720	107947	Narrator
703721	641	Mother
703721	125586	Drunk Woman
703721	167043	Cynthia Morinstore
703721	280458	Amade
703721	329638	Mom
703722	10915	The cashier of the flower sho
703723	216312	Rich lady
703723	251748	
703723	319535	Old Lady on Plane
703724	312302	Policewoman
703726	308664	Helen Maxwell
703727	383784	Francesca Bettini
703727	410311	
703728	315982	
703729	97101	Mary Scrooge
703729	151501	Leona
703730	291265	Desk Nurse
703731	128027	
703732	408816	Herself (series 2 - 2002)
703733	409093	Valentina
703734	299846	Josette Kaiser
703735	30463	Paramedic #2
703736	163000	Girl on Boat
703737	107897	Jacinta
703738	140643	Weygate Children
703738	303090	Honey
703738	343291	Alice as a child
703739	80554	Zoe
703739	217410	Meg
703739	263556	Louisa Hurst
703739	396692	Magda Hessling
703739	400709	Kate Vavasor
703739	406308	Carol
703739	409941	Dorothy Ayrton
703739	410580	Julie
703740	102915	
703741	185640	Marcie Mangan
703742	177634	Queen Siegland
703742	305083	Bonnie
703743	15015	Agnès
703743	30549	Sylvie Denvers
703743	248886	Naked girl
703743	258316	Brigitte
703743	378938	Eva
703744	141027	Elsa Vanderdonck
703745	59239	
703746	278170	
703747	31001	
703748	157786	Bianca
703748	196718	Elena
703748	249249	Malvi
703748	269712	Marta
703748	386771	
703749	353056	
703750	348190	Mariella
703751	233831	Liza
703752	364879	Herself
703753	47922	Witch
703753	70753	Mollie Schultz
703753	80765	Emma
703753	194406	Ma
703753	262111	Grandma
703753	328520	Mrs. Shaw
703753	372901	Housekeeper #1
703754	37070	Mae Robbins
703754	127635	
703754	129233	Peggy Davis
703754	129836	Lulubelle, Red's Girl
703754	131529	Eve
703754	170617	Eileen Fletcher
703754	231316	
703754	273181	Kitty, Aero Girl With Long Ea
703754	347061	Blonde in Miami
703755	195462	Jean Dale
703755	213144	
703755	238965	
703756	260391	Ella 'Popje'
703756	316962	Karin
703756	381058	Leonie
703757	7618	Blind Woman
703757	96545	Liza Merril
703757	112874	Sue
703757	112875	Sue
703757	113139	La photocopieuse
703757	140510	Eliane
703757	166670	Lady Lowe
703757	183797	Oscar Françoise de Jarjayes
703757	202971	Deborah
703757	220697	Grace
703757	234577	Mme Genson
703757	251055	Mary Woodhouse
703757	251534	Foedara
703757	258121	
703757	258967	Nun
703757	262019	
703757	266122	
703757	269482	Lucy Boyle
703757	285753	Francard
703757	307380	Mrs. Smith
703757	340188	Betty Miller
703757	385134	Carol
703757	395163	Julia
703757	406296	Flt. Ct. Dr. Susan Young
703757	410649	Margaret Fallows
703758	155840	Herself - Song "Fairytale of 
703758	190019	Herself
703758	258807	Guest Performer
703758	389339	Herself (1990)
703759	366750	Coat Check Girl
703761	244379	Camerawoman
703762	85992	Cynthia Brooks
703763	187255	
703763	397969	Grimelda (1988)
703764	60360	Stewardess
703765	63000	Mouse
703766	303776	
703767	38531	Young Margaret/Heather
703767	41875	Emma
703767	116928	Lauren
703768	128061	
703768	243257	Sister Franca
703768	247642	
703768	342116	
703768	379549	Caterina
703769	10046	Peppina
703769	108872	Mariangela Fantozzi/Uga
703769	162040	
703769	334429	3° Donna di servizio
703770	56610	Mrs. Trundle
703770	183196	Mrs. Slade
703771	271341	Donjule
703772	175140	Christabelle St. Clair
703772	202849	Hazel Lovett
703772	234098	Anna
703772	245256	
703772	292826	Dancer
703772	323376	Wendy
703772	350160	Woman in Hotel Room
703772	351525	Lily
703772	380802	Various Characters
703772	393624	
703772	403193	Suzi Starlight (1984)
703773	273316	Little Girl
703774	26877	Beatrice
703774	37393	Kristie
703775	41154	Amy Phillips
703775	45540	Fan
703775	109759	Lab Assistant
703775	185297	Woman in Restaurant #1
703776	26514	Mrs. Smith
703776	35257	Frances
703776	120248	Mother at School
703776	126648	Martys Party Guest #3
703776	143074	Teacher
703776	155031	Mary Joseph
703776	161125	
703776	161603	Merilee
703776	246683	Inge Von Nerthus
703776	255848	Narrator
703776	297790	Diana Marsden
703776	335579	Dr. Sawyer
703776	341992	Narrator
703776	346909	Paula
703776	359573	Rowena Ross
703776	363414	T.V. Reporter (Stock Exchange
703776	363442	Kathleen Gwillimbury
703776	407589	Portia
703777	44498	Woman's Friend
703777	74267	Kari
703777	112485	Janey
703777	178906	Mary Albert
703778	76241	Timbuk 3
703779	264718	Barbara
703780	114693	Extra
703781	43922	Yoga Instructor
703782	31441	Nurse
703782	230841	Fry Cook #2
703782	381774	Various roles
703782	395688	
703782	403370	Regina Gallant
703783	25364	Kitty
703783	99164	Nun
703783	221005	Opera Patron
703783	223773	Homeless Woman
703783	250379	Older Woman
703784	405073	Senior Student
703785	61830	Ghoul
703786	196775	Luci D
703787	113498	Tribune Assistant
703787	141226	Nurse #2
703787	230841	Darlene Pottie
703787	279203	Student
703787	336644	Laurel
703787	408968	Lin
703788	168926	TV Host
703789	87409	Bear-Bot, Trouble Consultant 
703789	87410	Girl 4/Additional Voices
703789	123029	Marina, Computer, Classmate, 
703790	117913	Daughter
703791	21800	Teller
703792	176306	Lisa (soap opera)
703793	364647	Mary Field
703794	392657	
703794	400171	
703795	137462	Dancer
703796	380280	MHS Investigator
703797	273718	Sammy Rebus
703798	393080	Herself - Host
703799	107782	Angela Benda
703800	53535	Herself (with Clark, Mulroney
703800	86346	Herself (at funeral service)
703802	347996	Herself (librarian)
703803	208021	Matt
703804	292019	Penny
703804	373989	Voluptuous Woman
703805	405882	Margaret (1973)
703806	203593	June Rance
703807	218471	Cowboy
703808	17629	Annabelle Leigh
703808	38982	Sarah Millick, later Sari Lin
703808	47370	Mary Hale
703808	52062	Marcia Warren
703808	56691	Shirley Sheridan
703808	90257	Jeanne Drake
703808	113920	Nina Maria Azara
703808	116523	Herself
703808	128372	Mary Robbins
703808	147716	Herself
703808	147799	Herself
703808	149374	
703808	154481	Anna Zador/Briggitta
703808	188378	Joan Wood
703808	195068	Jenny Swanson
703808	195613	Herself
703808	195883	Princess Jeanette
703808	195985	Queen Louise
703808	208719	Marcia Mornay/Miss Morrison
703808	211601	Sonia
703808	214960	Herself
703808	217572	
703808	218506	Countess Helene Mara
703808	228639	Marietta
703808	229677	Herself
703808	230731	Marianne de Beaumanoir
703808	239028	Carlotta Manson
703808	241424	Colette Bertier
703808	248613	Cameo appearance
703808	280365	
703808	281905	Marie de Flor
703808	286929	Mary Blake
703808	305600	Kathleen/Moonyean Clare
703808	318913	Helen Lorfield Winter
703808	321384	Gwen Marlowe
703808	329562	
703808	329563	Herself
703808	329565	
703808	331333	Louise Rayton Morgan
703808	346604	
703808	349631	Katherine
703808	352929	Missia
703809	382281	Self
703810	53133	Valerie (segment "The Honeymo
703810	80630	Amelia D
703810	141024	Candy
703810	243623	Corinne Cavanaugh
703810	274320	Juliet Sanders (segment "The 
703810	322606	Mandragora
703810	354955	Ray Ann
703810	366136	Lt. Robin 'Flint' Peters
703811	65474	Nicole Winter
703812	162099	Celia
703813	276799	Stacey
703813	366761	Lenox School Band
703814	189221	Theda
703815	119581	Connery's Waitress
703816	128320	Laura
703817	70936	Betty
703818	65474	Girl in rain
703818	73989	Townswoman
703818	232203	Carol
703818	243724	Janie
703818	341813	Brownie Wise
703818	362543	Washington real estate agent
703819	31348	Poliet's daughter
703819	32104	Helen Haynes/Elsie Parmelee
703819	32218	Amelie Thorndike
703819	59969	Norma O'Neill
703819	75597	Nancy Bradshaw
703819	89864	Barbara Benton
703819	141010	The Girl
703819	143400	Marion Hoyte
703819	143908	Susanne Danbury
703819	144875	Joy Blythe
703819	146160	Carol Landis
703819	159508	Lola Daintry
703819	193787	Betty Austin
703819	218019	Priscilla Hobbs
703819	220919	Georgiana Burroughs
703819	224060	Annesley Grayle
703819	235696	Gaenor Lisle
703819	239680	Lady Elinor Carew
703819	274753	Nadia
703819	277819	Kathleen Harkness
703819	289604	Dora Mason
703819	297645	Marjorie Hilton
703819	310813	Mary Dillman
703819	311278	Flora Edwards
703819	312322	Diana, Henry's Wife
703819	316234	Diane Drexel
703819	332086	Ruth Pomeroy
703819	340936	
703819	342007	
703819	347442	Flora Brookes
703819	364009	Virginia Pitman
703819	367450	Ninon Le Compte
703819	367618	Mary MacNeill
703819	367722	Mary Gray
703820	48237	Aletta
703820	72034	Hortense Hulot
703820	99287	Isabel Knollys
703820	101942	Pia
703820	113506	Peter Pan (in "Peter Pan")
703820	115933	Amy Ogilvie
703820	132122	Mary Maceachran
703820	151166	Linda
703820	160884	Deirdre
703820	194684	Susan
703820	201678	Herself
703820	224085	Elspeth Pettigrew
703820	227470	Evangeline
703820	307968	Laura
703820	311477	Mike
703820	314358	Stella
703820	316904	Irene
703820	337830	Diane
703820	341442	Emma (Segment Mr Cool)
703820	342824	Mary O'Neary
703820	406464	Della Smith
703821	126648	Halloween Kid #2
703822	188446	Lazy Wayne
703822	222713	PC Gleeson
703823	92880	Gloria
703823	113509	Claire
703823	230841	Betty-Anne Pottie
703824	60240	Babe #1
703825	15929	Jogger
703826	177645	Baby
703827	230841	Charlene
703828	30440	Herself
703829	405217	Kittell Sister 1
703829	408091	Lady Emma Barking
703830	202642	
703831	85742	The Raving Surfette
703832	313408	
703833	177668	Mary Tudor
703834	85742	The Raving Surfette
703834	117131	Marie the maid
703835	190028	Dorreen Boyd
703835	222751	
703836	32066	Freddie (age 6)
703837	206090	Mrs. White
703837	221075	Mrs. Dormer
703838	119581	Fishercats #8
703839	246221	Voice-of-the-Tide
703839	276874	Turia
703840	18000	Sylvie Leblanc
703841	131225	
703841	167087	Boon's Aunt
703841	270522	Mrs. Grey
703842	68235	Mrs. Banner
703842	79742	Marina Galt (air crash victim
703842	88522	Vanessa
703843	80691	Mrs. Moseley
703843	314503	Mary
703844	107490	Grandma
703844	359914	Ms. Hanson
703845	343780	Janet
703846	401883	Herself
703847	112471	Nurse
703848	89742	Sheriff
703849	223499	Jamie Rhubar
703850	223499	Jamie Rhubar
703851	55695	Herself/Narrator
703852	260362	Violet
703853	198835	Elizabeth (special edition)
703853	262655	Tatiana Smirknova
703853	350271	Elizabeth Asher
703854	2855	Pizza Girl
703855	18953	Kerry
703856	81438	Catriona
703857	164353	Jill
703858	185844	Gail
703858	222745	Marie's Friend
703858	231422	Sandra
703858	280160	Catriona Mackay
703859	285737	Emma Walker
703859	308019	Ex Girlfriend
703859	311224	Lisa
703859	333299	Anna MacKenzie
703859	346224	Wendy
703859	382242	Kiki Barnes
703859	405073	Dr. Barbara Paxton
703860	406212	Sam Buxton (2003-)
703860	406464	Sonia Baker
703861	407992	Claire Monroe
703861	408711	Officer Erica Miller (2003)
703862	354936	Ruselsky's Companion (Montréa
703863	71616	
703863	276604	
703864	270896	Thomas's mother
703865	97595	Katharina
703865	119118	
703865	125323	
703865	167682	
703865	325642	Sybille Bauer
703865	365591	Yün-Sin
703865	377348	Cornelia Roeder
703865	389287	Marlene Merthin (1994-1995)
703866	293228	Zoe's Cousin
703868	40250	Gloria Aaron
703868	144858	Mrs. Ellis
703868	213190	Elaine
703868	359138	Louise Quintz
703868	387309	Jinx Avery Mallory #2 (1981-1
703868	405882	Jill Grant Farmer (1970-1972,
703869	363981	Dixie
703870	55719	Khasi's wife
703871	217628	Herself
703872	218599	Girl in Castle Anthrax
703873	13800	Connie
703873	44547	
703873	78949	Alex McInny
703873	80482	Mrs. Carl Lanley
703873	80844	Barmaid
703873	141564	
703873	157291	Gabby
703873	162462	Carolyn Wetherby
703873	176888	Susan
703873	182961	Diane
703873	187186	Verna Wheeler
703873	192779	Rookie Policewoman
703873	208665	Rachel
703873	226981	Saundra Carlyle
703873	253349	Jobeth
703873	296681	Head Nurse
703873	302877	Fran
703873	365218	Abby
703873	404282	Rachel (1988)
703874	291972	Dorothy
703875	326119	Dottie
703875	329437	Grace Gateley
703875	389073	Herself
703875	390097	Herself
703875	391763	Host
703876	404880	Elaine
703877	20050	Lila
703877	92269	Julie Harrington
703877	109741	Sara
703877	241166	Hand Stamper
703877	398465	Margaret "Muggsy" Malloy
703878	141194	Cheri Mathis
703878	264480	Ann Broder
703879	272440	Livestock Husbanders
703880	323016	Dr. Poole
703880	388758	Charlie
703880	409840	Lady Jane Sheepshanks
703881	79428	Barbara
703881	145013	Julia Reeves
703881	155077	Station nurse
703881	222582	Brenda Sanders
703881	396087	Co-Host/Announcer
703882	304548	Del Downer
703882	399130	Sarah Richards (1985)
703883	137567	Receptionist
703884	65134	Choir singer
703885	388209	Yvonne Doyle I
703886	388209	Suzanne Doyle (1988-2002, 200
703887	900	Herself
703887	2909	Herself
703887	2924	Herself
703887	3027	Herself - Co-presenter: Score
703887	27228	Eileen Spenser
703887	32243	
703887	74113	Kate Scales
703887	86988	Karen
703887	100887	Page Stockard
703887	118393	Carrie (Wedding one)
703887	127844	Jessie
703887	134017	Brontë Mitchell Faure
703887	134295	Jane Porter
703887	134672	Rita
703887	134673	Herself/interviewee
703887	139597	Sarah Lloyd
703887	152219	Anna Baragli
703887	168079	Jo
703887	171278	Linda Palinski
703887	185649	Kathy
703887	196876	Herself
703887	212687	Dorothy Winters
703887	222265	Laura Kinney
703887	222492	Shelley Snipes
703887	222947	Laura Phillips
703887	237779	Tina
703887	240734	Lisa (segment "Reaching Norma
703887	257689	Herself
703887	273185	Lisa
703887	278096	Rachel
703887	282923	Elizabeth 'Bessie' Faro aka R
703887	296024	Ann
703887	296972	Trixie Dabney
703887	299846	Ann Finnigan
703887	312557	Dale Biberman
703887	337098	Eugenie Claybourne
703887	347712	Selma Lidz
703887	367767	Emily Meadows
703887	404686	Anthea
703888	312165	
703889	40334	Betty
703889	42913	Florence, the Flight Attendan
703889	110319	Cindy Dickens
703889	155219	Claire Furinski
703889	158106	Liz
703889	223026	Roberta
703889	230398	
703889	310715	Michelle Kortz
703889	314131	Betty Myers
703889	319647	Lucy
703889	362675	Detox nurse
703889	366131	Parmenter
703890	143831	Boutique owner
703891	154783	Jennifer
703892	113900	Baby Linda
703893	382176	Model
703894	262138	Model
703894	278079	Jean Holbrook
703895	11	Ginger
703895	11141	Celery Queen
703895	12286	Handmaiden
703895	19557	Harem girl
703895	132821	Nurse
703895	133443	Bit
703895	183358	WAF
703895	195190	Girl jester
703895	200478	Undetermined Role
703895	231317	Bit
703895	244899	Receptionist
703895	262310	Girl on bus tour
703895	279411	Handmaiden
703895	330703	Young Girl in Reeption Room
703896	40552	Auditioning Actor
703897	75583	Jacky
703897	316789	Shelley
703898	90890	
703898	261090	
703899	385252	Marlene
703899	386788	Isabel
703899	398519	Reina Bayón
703899	401697	Ana Julia
703899	404988	Débora Luján
703900	229443	
703901	328155	
703902	205696	
703903	57870	Woman at party
703903	380100	Eugenia Ferrarotti de Domeq
703903	388946	Delfina
703903	397731	Carmen
703903	398661	Ana
703903	409957	Felicitas (1998-1999)
703904	55654	Adalgisa
703904	302090	
703904	309425	
703904	322265	
703904	381634	Zuzinha Cajazeira
703904	382676	Ester
703904	387915	Eulália
703904	389786	Televina
703904	404803	Orozimba
703905	391901	Vera
703905	404798	Clarice
703906	19503	Maribel
703906	209079	
703906	381024	Julia
703906	395885	Ruth Quintana
703906	397598	
703906	402190	
703906	405415	Reyna
703906	406056	Irene, Carlos' wife
703907	341157	
703908	205696	
703909	326008	
703910	83732	
703910	387928	
703910	390499	Rosana
703910	392629	
703910	399481	Antonela
703910	403219	Imperatriz Teresa Cristina
703910	404799	Maria Amélia
703911	28188	
703911	29061	
703911	29842	
703911	49328	
703911	55899	
703911	56518	Beatriz
703911	63880	
703911	64044	
703911	64047	
703911	70656	
703911	71113	Lourdes
703911	94828	
703911	100385	
703911	101615	Patricia Terrazas
703911	103736	Trinidad
703911	103788	
703911	104145	Teresa
703911	110766	
703911	121394	
703911	123156	
703911	129482	
703911	148048	
703911	148155	
703911	159291	Ines Alday
703911	159525	
703911	160893	
703911	167071	
703911	169636	
703911	169793	Woman
703911	202203	Thelma
703911	204683	
703911	209366	
703911	212346	
703911	212438	
703911	221886	
703911	221956	
703911	228902	Andara
703911	230265	
703911	235309	
703911	241125	
703911	244578	
703911	244617	
703911	250986	
703911	255619	
703911	260534	
703911	260559	
703911	266846	Lucina Flores (mexican episod
703911	269918	
703911	275077	Cacica
703911	275624	
703911	281544	
703911	281602	
703911	281965	Rosenda
703911	286420	
703911	286920	Rosalia/Maria
703911	296456	
703911	317181	
703911	343735	
703911	351569	Jaime's Grandmother
703911	353468	
703911	377165	Mujer en Te Deum; Woman in Ca
703911	377170	
703911	377189	
703911	378396	
703911	379603	Virgina
703911	383556	
703911	387682	
703911	391421	
703911	391444	
703911	392655	
703911	395657	Emma
703911	396711	
703911	397568	
703911	397734	
703911	398013	
703911	398477	
703911	398534	
703911	398815	
703911	399806	Elena
703911	400489	Señora Grose
703911	400718	Teresa
703911	400943	
703911	401659	Mama
703911	404709	
703911	405834	Rebeca
703911	408211	
703911	408708	
703912	110666	
703913	328191	
703914	83340	Sarah
703915	388721	
703916	303385	
703917	396810	Teresa
703918	8582	
703918	25216	
703918	43756	Avó (segment "Sábado Quente")
703918	52107	Pancrácia
703918	52820	Possidônia
703918	55078	
703918	55344	Justina
703918	56069	
703918	67653	
703918	68624	Employer ( segment "O terror 
703918	80346	Madame Frou-Frou
703918	85599	
703918	90457	
703918	96532	Prudência
703918	98799	
703918	103046	
703918	103049	
703918	103441	Maiden
703918	103901	Augusta
703918	104480	Etéia
703918	110642	
703918	116391	
703918	124241	Inocência
703918	131986	
703918	133049	Fifina
703918	148473	Cleci
703918	184336	
703918	195118	
703918	199126	
703918	201133	
703918	202547	
703918	204751	(segment "A B... de Ouro")
703918	214591	Melita
703918	218426	
703918	218427	
703918	228141	
703918	238933	
703918	241011	
703918	251716	
703918	254240	
703918	269536	
703918	275024	
703918	277798	
703918	278585	
703918	278617	
703918	279753	
703918	286393	
703918	287889	
703918	292087	
703918	295100	
703918	295103	Rina
703918	302535	
703918	325336	
703918	327326	
703918	333693	
703918	337252	
703918	339269	
703918	341136	
703918	354984	
703918	355131	Biluca
703918	377605	Biluca
703918	383247	
703918	393792	
703918	398219	
703919	8566	
703919	8582	
703919	12080	
703919	54074	Garrincha
703919	67659	
703919	70701	
703919	71223	
703919	89971	
703919	90457	
703919	102318	
703919	104018	
703919	104082	
703919	104179	
703919	104181	
703919	108056	
703919	158868	
703919	197964	
703919	205529	
703919	205696	
703919	237875	
703919	267494	
703919	280998	Zizinha
703919	308273	
703919	328191	
703919	333693	
703919	334467	
703919	337252	
703919	341469	
703920	237194	Sofia
703920	256545	Sofia
703922	13626	Ingrid
703922	161948	Kidnapped Girl
703922	197708	
703922	292444	Catherine
703922	300350	Lori's Mom
703922	356051	Stefana
703923	355660	Queen
703924	17520	Rosina
703924	332259	Serenella Marini
703924	336564	
703924	351586	
703925	340221	Landlady
703926	222597	Velma
703926	316959	Mom
703927	317309	MV Villagers Goodbye
703928	367775	Karen's Party Guest
703929	215697	Miss Venezuela
703930	116907	Eleanor Dunbar
703930	156466	Ruth Harrison
703930	330108	Amy Lester
703931	101278	Madam
703931	144760	Screaming Woman
703932	193207	Switch Board Operator
703933	127739	Cindy
703933	410887	
703934	133887	Marie
703934	162207	Mrs. Gilmour
703934	207200	Matron
703935	45050	Liz Johnson
703935	166879	Disco Party
703935	176972	Girl
703936	40100	Nicky Stern
703936	50816	Angela
703936	131431	Regina Riggs
703936	178986	
703936	187072	Irene Steele
703936	187073	Irene Steele
703936	278839	Alice
703936	310396	Sheila
703936	321678	Reporter
703936	335686	Client
703936	335859	Lucy Ripley
703937	232250	Minsky's Girl
703938	195021	Woman at Gallery
703939	299819	Woman on street
703940	158781	1st Newsperson
703940	358277	Mrs. Helmer
703941	138322	Female Specimen
703942	66279	
703943	187263	Viane
703944	405962	
703945	203535	Lady in audience
703946	137623	Child
703947	317146	Herself (Children's Institute
703948	195149	Betty Sue Powell
703948	265762	Jenny
703949	379991	Hayley
703949	390647	Mindy/Eris (The Greek Goddess
703950	303972	Motel Manageress
703951	337482	First Witch
703952	297626	
703953	330375	
703954	327432	Ariel
703955	34953	
703955	74195	Mrs. Bennett
703955	116011	Mrs. Claridge
703955	118311	Dona Luisa Desnoyers
703955	169881	Hostess
703955	201349	Mrs. Putnam
703955	308352	Mrs. Edna Daggett
703955	358076	Mrs. Westerfield
703955	381806	Mrs. Margaret Drysdale (1962-
703955	390288	Mrs. Brandon
703955	391184	Mother Baxter
703955	405711	Mrs. Costello (1965-1966)
703956	301558	Slaymate
703957	177142	
703957	308348	Woman
703958	39270	Mrs. Blake
703958	46761	Mme. Van Heusen
703958	65746	Luncheonette Lady
703958	117647	Bit Part
703958	119848	Lady Godolphin
703958	124267	Violet Grimshaw
703958	134026	Mrs. Metivier
703958	165444	Dowager
703958	177142	Mrs. Harkley
703958	215116	Miriam Rozella
703958	215334	Nun
703958	223867	Lady Boxington
703958	228314	Woman
703958	235611	Margery Rose
703958	255327	Duchess
703958	264576	Marchesa Dolce
703958	285654	
703958	300000	Woman on the Rack
703958	315993	Hester
703958	329148	Pearl Cheever
703958	331333	Mrs. Smith
703958	347109	Mrs. Coatsworthy
703958	347681	Lady Prindale
703958	366157	Mrs. Gardner
703959	57260	Young Edith
703960	311347	Martha
703961	293232	Chloe
703962	291447	McAllister
703963	141226	Erin
703964	141236	Karyn Lewis
703965	124225	Grindy's Mother
703966	288933	Pretty Woman
703967	63146	
703968	155840	Herself
703969	79703	Maeve
703969	210541	Jill
703969	222593	Lettice Protheroe
703969	292461	Daphne
703969	292593	Patience
703969	350458	Lawrence's Secretary
703969	398556	Nora Hession
703969	409836	Lawrence's Secretary
703970	11270	Joan
703970	26781	
703970	97730	Eileen Perrin
703970	209598	Sarah
703970	268152	Clara Eynsford Hill
703970	285749	Valerie
703970	298012	Miss Hardcastle
703970	331312	Woman in the House ("In the P
703970	364454	Josefa Weber
703970	380398	Herself/panelist
703971	64600	Anna
703972	2538	Herself (Presenter)
703972	2759	Herself (Co-Presenter)
703972	3046	Herself
703972	10542	Herself
703972	62044	Rose
703972	70322	Melissa
703972	126603	Carol Ainsley McCoy
703972	129218	Lynn Travers
703972	131764	Brenda Patimkin
703972	136055	Uncle Jane Merkel
703972	147703	Herself
703972	165266	Herself
703972	168129	Herself
703972	171274	Bones Burton
703972	176379	Herself/Actress in Clips of L
703972	196068	Jennifer Cavalleri
703972	196392	Melody
703972	222626	Diane Baker
703972	228442	Fran Jakes
703972	237572	Herself
703972	257694	Nicole Boucher
703972	286454	Herself
703972	314605	Herself
703972	320096	Claire Carpenter
703972	337631	Narrator
703972	356350	Herself - Choir Member
703972	365841	Herself
703972	387152	Lady Ashley Mitchell (1985)
703972	387851	Herself (1989)
703972	410582	Natalie Jastrow
703972	411221	Natalie Jastrow
703973	124378	Extra
703974	271341	Julie Arbogast
703975	119508	Jill's Friend
703975	232425	Additional Voices
703975	395298	Beth Jaren
703976	70298	Mary Allen
703976	222685	Hatcheck Girl
703976	310600	Daisy
703977	215690	Miss Colorado USA
703978	140938	Goddess
703978	188977	Dai
703978	309572	Mollie
703978	388764	Firefighter Greta 'Garbo' Faz
703979	395165	Sister Agnes
703980	356350	Herself
703980	361604	Lead Singer in Convict Reunio
703981	164539	Jenni
703982	396050	Selina
703983	72206	Marjorie Harcourt
703983	152518	Mary Madden
703984	267315	Puppeteer
703985	123160	
703986	148236	Casey
703987	271341	Julie Arbogast
703988	365068	Ellen, Stanhope's Maid
703989	81214	Nora Queen
703989	128760	Rose Beckwith
703989	191896	Harriet Olesen
703989	191898	Harriet Oleson
703989	191899	Harriet Oleson
703989	191900	Harriet Oleson
703989	261999	Maria
703989	317346	Miss Boswell
703989	327250	Marge
703989	338547	Alice Thorn
703989	395735	Harriet Oleson
703989	396088	Tammy Forrest #1 (1956)
703990	131100	
703990	157214	
703990	204344	
703990	379559	María
703990	383273	
703990	384771	
703990	396983	Luisa
703990	402181	Francesca
703992	163256	Second Attendant
703993	380430	
703994	114618	Twinky
703995	214467	Louise Beddow
703996	330635	Herself
703997	362347	Herself (The Art Director)
703998	286644	Sami
703998	322331	Carla
703999	45899	Extra: park
704000	45899	Extra: park
704001	77640	Harem Dancer
704002	103723	
704003	96557	Herself
704003	234324	Herself
704003	262980	Herself
704003	387878	Mari
704003	392806	Marian Ordiales
704003	396644	Canela
704003	404203	Samantha del Llano
704003	404703	
704004	403232	Filipa
704005	234630	
704006	141878	Herself
704006	268992	
704007	269534	Ana Lúcia
704007	383441	Clara
704007	396126	Olívia
704007	401208	Jessica
704007	408550	Jane Fonda Kundera
704007	409814	Dorothy de Araujo Goes
704008	10238	
704009	234630	
704010	401086	
704011	322222	
704012	382692	
704012	399490	Lia
704013	391609	Jurema
704014	55654	Josefa
704014	268308	
704015	10234	
704015	171532	(segment "O Noivo")
704015	252420	
704015	322222	
704015	377095	
704015	378108	Shirley Paquete
704015	383172	Lúcia Esparadrapo
704015	384303	Guiomar
704015	385629	Herself
704015	387830	Lenita Esper/Neide
704015	387915	Glorinha
704015	390494	Bebel
704015	398856	Clarissa
704015	399766	Laureta
704015	401820	Bianca
704015	402149	Glorinha
704015	403740	Conchita
704015	409024	Marilu
704015	409025	Lourdes
704015	410476	Maria Eduarda
704016	45899	Extra: park
704017	384711	Sonya 'daughter of Andrei Iva
704018	104777	Spanish Backing Vocal
704018	244222	Herself
704018	400341	Herself (2001-2002)
704018	408914	Herself
704019	392629	Henriette
704019	401932	
704020	308741	
704021	410217	
704022	23043	
704022	91402	
704022	233337	Limpiadora
704022	293367	
704023	22873	Pindi
704024	352632	Susana
704025	21213	Assistant
704025	92865	Oncology desk nurse
704025	113306	Isabella Hudson
704025	116563	Paula Ormida
704025	121528	Linda's Friend in Kitchen
704025	168665	Marisol
704025	191827	Natalia
704025	233829	Val Cho
704025	298115	Carmen Rodriguez
704025	314681	Maria
704025	320756	America
704025	336239	Agent Henderson
704025	360830	Marita
704025	378665	Sunny Estrada (2003-2004)
704025	392421	Herself
704025	405512	Vanessa Diaz
704026	28769	Teresa
704027	40901	Karista Ba'haa
704028	222188	
704029	384934	Host (1995-2000)
704031	205696	
704032	21138	
704032	135317	(segment "Poderoso Cifrão, O"
704032	284842	
704033	169808	
704034	313583	Young Girl Fan
704035	14232	Chief Bonnet
704035	18210	La mère
704035	59702	Frau Schwartz
704035	64011	Miss Knudson
704035	69968	Mara
704035	83106	Aline
704035	217237	
704035	218300	Béatrice
704035	228155	Inge Schwarzwald
704035	228944	Germaine
704035	248988	Stella
704035	265739	Nathalie Lissenko
704035	281918	Else
704035	326165	Edmée Pontonnier
704035	338112	
704035	377989	Eva Braun (Eliane's Mother)
704035	386222	
704036	57325	Velha-Que-Viu
704036	377281	
704036	382776	
704037	160689	
704038	183467	
704038	378400	Carla
704039	211043	
704040	164220	A Dancer
704041	110666	Dancer
704042	124242	
704043	108581	
704044	18670	
704045	72579	College Student
704045	321225	Girl at the Bar
704046	69299	
704047	376696	
704048	12275	Judy
704050	155550	
704051	189894	Elzbietha
704051	322820	
704051	401665	Krystyna Cieplak Walencik
704052	366617	Race Track Bettor
704053	349895	
704054	325606	Herta Fischer
704054	389614	
704054	394795	Sissy Kottan (1977-1980)
704055	204576	Lucrecia
704055	346206	East Indian Woman
704056	135835	
704057	334382	Secretary
704059	169121	Clementine
704059	169125	
704059	178781	
704059	219595	
704059	226402	Roswitha
704060	62346	
704060	171497	Zurikela
704060	202256	Gio
704060	298274	
704060	341197	Nunu
704061	33280	Bela
704062	100868	Dawa
704064	86289	Frau Kienzel
704064	97842	
704064	119031	Gräfin von Gundolskirchen
704064	147138	
704064	243767	Juno
704064	347043	Frau Scalander
704065	181145	Greta
704066	386516	Marisol
704067	7213	Secretary
704068	35148	Terry
704069	17435	
704069	188799	Luise
704070	140283	Infirmière Chambre Stérile
704071	25425	Ms. Tanska
704071	248000	Sstasiowa
704071	321766	
704073	225255	Cilli
704074	37787	Buffy
704075	51533	Teresa Panza
704075	83486	Carmela
704075	103499	Camarera rombo
704075	136987	Head Nurse
704075	248282	Vania
704075	262983	Herself - Performer
704075	277393	Estrella
704075	296660	Periodista Telek
704075	302403	Invitada a la fiesta de Mario
704075	336257	Clienta Peluquería
704075	378929	Aida (2000- )
704076	9650	Amando
704076	13054	
704076	17857	Carla
704076	35508	
704076	53762	Marquita
704076	56451	Teresa
704076	57057	Anja
704076	70546	
704076	89578	
704076	111155	
704076	121427	Fiama
704076	127439	Lulu 'Giarrettiera Colt'
704076	148619	Héléna
704076	197564	Maya
704076	202417	Melisa
704076	207702	Tipsy
704076	214821	Laurinda
704076	218512	Dominique
704076	219007	Sylva
704076	228728	Estella (Mrs. Lynne's maid)
704076	229249	
704076	235365	Roberta (segment "Il marito d
704076	238308	Peggy Savalas
704076	259294	
704076	269697	Domenicangela Piras
704076	289499	
704076	291687	Sylvia
704076	293564	Mrs. Rilson
704076	315462	Caterina di Ronciglione
704076	327586	
704076	335538	Anna Arzenta
704076	340690	Mara
704076	397486	Amalie
704077	412126	Reporter
704078	9331	Yorie
704078	19636	Mariko
704078	51083	Haruko's mother
704078	169198	
704078	182021	Hiroko
704078	202295	
704078	212530	Mrs. Matsudo
704078	213283	Mitsuyo Tsuburagi
704078	236851	
704078	237761	Raku, foster mother
704078	238381	Landlady
704078	244682	Mitsue Tsumura
704078	299406	Nurse Imai
704078	371991	Yuki
704079	161685	Sonoko Bonomia
704080	271292	Herself
704081	255238	Young Woman
704081	374395	Riko
704082	408109	Beris
704083	163071	Obahan
704084	171327	Etudiante
704085	304742	Lisa
704085	339361	Nuna
704086	271910	
704087	3229	Anne-Marie
704087	40381	Calamity Elsa
704087	48362	Badflicka
704087	136613	Guest
704087	204532	Model
704087	206209	Waitress 1
704087	391435	Eva
704088	351975	
704089	84570	Polskin
704090	40185	Connors
704090	62536	Janice Marker
704090	67555	Dr. Anita Borden
704090	127100	Betty
704090	217434	Girl at Football Game
704090	298288	Susan
704090	365220	
704090	403941	Karen Wingate
704091	357843	La maman sympa
704092	169721	Lenka
704092	171531	Brunet
704092	243892	Vrtilka
704092	257137	Klára (segment "Modrá chryzan
704092	270949	Peg
704092	327373	Terrorist
704092	341830	Herself
704093	207714	Little Girl
704094	24470	Carmen
704095	113134	
704096	390317	Traffic Anchor
704097	35925	
704097	89603	Akulonisowa
704097	177691	Ewa's Mother
704097	369380	Woman in Museum
704097	397622	Aleksandra
704098	96115	
704098	177691	Ewa
704098	349402	
704098	373554	
704099	166117	Charlotte
704100	16243	Gekke
704101	205967	Little girl (on the beach)
704102	205967	Little girl's mother
704103	51052	
704103	174470	Lenka
704103	179711	Majdalenka
704103	220238	Alex's Mother
704103	257483	Ilona
704103	261382	
704103	306377	Anita
704103	320542	
704103	354724	Dobesová
704103	378510	
704103	384319	
704103	403860	Chambermaid Hedvika
704103	412004	Marie Králová
704104	266426	Berta
704105	318372	
704105	326014	Jana
704106	38229	
704106	235352	Madame Auberligne
704107	16950	
704107	55784	
704107	68331	Gisèle
704107	167172	Tania
704107	356445	Balbine
704107	386095	Louise Vialhe
704107	389595	Mariette
704107	402577	
704108	80871	Woman
704109	92618	Mexican Villager
704110	212242	Flower Girl
704110	371887	Gardener's Daughter
704111	301248	Laura
704112	67822	Ora
704113	8725	
704113	338605	
704113	380194	
704113	381176	
704113	383471	Verónica Medina Rico 'Prima d
704113	385502	Clara 'Clarita' Torres (I)
704113	392146	The Rival Puppy
704114	222330	Shiva
704115	179583	Julia's teatcher
704115	259083	
704115	266019	Car Kawioru's Assistant/TV Pr
704115	288044	Matka Sary
704115	290064	Viollina
704116	62886	Blonde Woman
704116	100952	Lady
704117	218272	Une danseuse
704118	181840	Irena's Daughter Kasia
704120	64709	Charo
704120	165013	
704120	252529	Charo
704120	252531	Charo
704120	252532	Charo
704120	341089	
704120	396201	
704120	407906	
704121	382883	
704121	390499	Lenita
704122	288257	
704123	233932	Chica del piano
704124	66068	
704125	386127	Pepa Katy
704126	396506	Servant
704127	57487	
704127	373793	
704127	396417	
704127	397600	
704128	262302	
704130	272636	
704131	360810	Retirement Home Mgr.
704132	381200	Clarian
704133	27613	
704134	168139	Dorinha
704134	263822	
704135	379450	Alice
704137	408747	María de Lourdes Lobo
704137	412133	Anita
704138	380531	Zezé
704139	305571	Sandra Kay
704140	253920	Sleeping Children
704141	69761	Monique
704141	84667	
704141	124326	Anita
704141	167159	Eléonore
704141	197546	La femme de la voiture
704141	226818	Clara, Paul's friend
704141	264944	Nadine Legoff
704141	345133	
704141	345461	Gynécologue
704141	346521	Nurse
704141	346805	Sylvie
704141	377976	Laura
704142	346016	Model
704143	92505	Young Woman
704143	128152	Checkroom Girl
704143	139316	Sylvia, Hatcheck Girl
704143	149261	Pert Secretary
704143	215002	Magician's Assistant in Magic
704143	360068	Violent 'Vi' (a dancer)
704145	335704	Nurse Johnson
704146	123110	
704146	201985	
704146	296855	
704147	243273	Messenger
704147	400516	Francine Volker
704147	410550	Zoe Lessard
704148	298761	Second Woman
704149	262085	Dana Mitchell/Pink Lightspeed
704149	262086	Pink Ranger
704149	262087	Dana Mitchell/Pink Lightspeed
704149	262088	Dana Mitchell/Pink Lightspeed
704149	262089	Dana Mitchell/Pink Lightspeed
704149	402002	Dana Mitchell/Pink Lightspeed
704150	276838	Norma Talmadge
704151	80794	Mom Flanders
704151	82326	Virginia
704151	116079	Reporter
704151	126492	Mrs. Sommerville
704151	140347	Nurse Bradsaw
704151	195397	Vivian
704151	311005	Woman
704152	944	Jenny
704152	68470	Laura
704152	224117	Hazel
704152	265083	Jackie
704152	272602	Lucy
704152	293020	Judith Dowd
704152	315998	Karen Hees
704153	120344	Party Goer
704154	241225	Sarah Jenkins
704154	320209	Waitress
704155	314631	Woman in Plane
704156	214641	Supermarket girl
704157	7089	Widow Jenn
704157	35535	
704157	41843	
704157	79811	Mrs. Rehnquist
704157	99585	Mrs. Thompson
704157	140187	Caroline
704157	141097	
704157	158796	Court Clerk
704157	162678	Music Hall Singer
704157	164243	Housewife
704157	169016	Mrs. Eareckson
704157	206138	Dr. Hastings
704157	222704	Mrs. Andrew
704157	266537	Mrs. Fawley
704157	294142	Lucille Reed
704157	296552	Mrs. Fields
704157	340536	Mrs. Martin
704157	363313	Barbara Anders
704157	383780	Emma Lloyd
704157	391834	Celeste
704157	405959	Lucille Reed
704157	406793	
704158	69357	Jane Lofgren
704158	87062	
704158	115079	Nan Haas
704158	119928	Jenny Larkin
704158	191019	
704158	244927	Woman in graveyard
704158	380391	Marsha Cantrell (1992)
704159	25417	Teacher
704160	40334	Cute Girl
704160	264785	MTV award presenter
704160	309941	Clare
704161	68821	Mrs. Munsey
704162	280668	Sid's Bimbo
704163	253067	Shopper (female)
704164	218702	Blanaid
704166	50076	The Woman
704166	244864	Teacher
704166	270697	Bubble bath announcer
704166	274069	Valerie Leeds
704166	385827	Abby Day
704166	404864	Kay Wilde
704167	117653	Mrs. Cranmeyer
704167	167086	The Princess
704168	159201	Wynn's Assistant
704169	104646	
704170	230841	Canteen Clerk
704171	314138	Unknown Woman
704172	188476	Heather Stewart
704173	330891	Young Gabby
704173	387272	Bridgid
704173	387524	Emily Byrd Starr
704174	341	Osvald's mother
704174	65987	Olga Scheinpflugová
704174	147224	
704174	151830	Kunhuta
704174	196818	Osvald's mother
704174	202589	
704174	204905	
704174	213847	Hilda
704174	214281	
704174	237537	
704174	243397	Nella
704174	266349	Mother
704174	283163	Schellerov&aacute
704174	286736	Hanka's mother
704174	301900	Mother
704174	349259	Sybila
704174	351370	
704174	357289	Ljuba Králová
704174	373755	Lída Marková
704174	378509	Aunt
704174	383856	Vlasta Makovcová
704174	394847	Ance
704174	396134	Frau Richter
704174	399141	Mrs. Blazejová-Bártová
704174	399142	Blazejová
704174	411960	Oli
704175	26955	Retirement Party Schmoozer
704175	205933	
704175	223009	Secretary #1
704176	53050	Heather
704176	54920	Bess Townsend
704176	76526	Andrea
704176	148906	Jenny Szalinski
704176	154301	Nettie
704176	192682	
704176	211753	Ida
704176	220041	Wendy Sanders
704176	224021	Nik Faulkner
704176	231896	Natalie
704176	233552	Monica Cochran
704176	252844	Little Stephanie
704176	259219	Little Girl
704176	264761	Terri Finkbine
704176	315131	Katie
704176	321660	Normia Twigg, Age 6
704176	326663	Herself - Presenter
704176	391587	Brooke
704176	400371	Kate
704176	405680	Chloe Sullivan
704176	405681	Chloe Sullivan
704177	65818	Syvil
704177	72745	Julia
704177	127207	Isobel Lee
704178	163267	Claudette Colbert Double
704179	131460	Darcy
704180	5460	Passenger
704180	18027	
704180	32232	Lou
704180	59842	
704180	69431	Bidder
704180	72450	
704180	96956	Telephone Operator
704180	112607	Rita Walsh
704180	118055	Virginia Hawkins
704180	118351	
704180	119507	
704180	123220	Janice Warren
704180	130025	Rose
704180	130624	Chorus girl
704180	131719	Woman at Theatre
704180	137246	Jane Elkins
704180	141006	Mary Courtney
704180	154909	Betty
704180	163287	Betty Void
704180	185457	Edith Elkins
704180	186346	Judy Lanning
704180	190210	Della, Laura's Maid
704180	191588	First Woman
704180	195647	Girl
704180	195757	
704180	197532	Betty
704180	203000	Ann
704180	213304	Betty
704180	220852	Miss Feathrewell
704180	233872	Mrs. Pawley
704180	238616	Telephone operator
704180	241349	Thurstons' Maid
704180	245377	Kay Lathrop
704180	246922	Queenie
704180	249525	Ruby Gerard
704180	264420	Prisoner
704180	266718	Mona's Maid
704180	273789	Diane Madden
704180	279480	
704180	282365	Ethyle Horne
704180	289571	Ellen Walker
704180	294173	Bunny Stafford
704180	303363	Corabell
704180	308093	
704180	335010	Jean Streeter
704180	367908	Liz
704181	20917	
704181	31329	
704181	53949	
704181	140787	
704181	141360	
704181	241282	
704181	254483	
704181	255393	
704181	347364	Gypsy
704181	362398	
704182	92302	Amy Curren
704183	260789	Kelly
704184	321522	Connie
704185	109753	Marge Tucker
704186	241036	Herself
704187	386813	Herself
704187	401028	Regular
704188	241788	Guest
704188	295085	Woman
704189	11385	Eve Haron
704189	16074	Angeletta Gallo
704189	40605	Rose Thorne
704189	52366	Dolores Ramirez
704189	52649	Judy Fox
704189	54486	Susan Ann aka Matie
704189	63158	Susan
704189	67156	June Cort
704189	88149	Martha Phillips
704189	88943	
704189	109095	Helen Dayton
704189	114534	Jane Hamilton
704189	118314	Helen
704189	123355	Mollie Riley
704189	128812	Mickey
704189	134481	
704189	145961	Molly Malloy (Earl Williams' 
704189	154545	Mary Lang
704189	154617	Alison
704189	177479	Mary Ellen Stephens
704189	178015	Anne
704189	185723	Lola
704189	187690	Alice Deering
704189	192215	Bit Part
704189	210392	Laurie Marlowe
704189	213983	Mae Sullivan, Burleigh's Sist
704189	224784	Nurse Carole Dale
704189	255452	Child
704189	262011	Betty Coles
704189	276717	Catherine
704189	292821	Katherine MacDonald
704189	297870	Tanya Dugmore
704189	301767	Sylvia Pierce
704189	308367	Hilda
704189	316099	Secretary
704189	317223	A Catty Girl
704189	317970	Ruth
704189	321099	Mamie
704189	346145	
704189	363556	Manon Costaud
704189	368972	Ruth Holden
704189	372080	Florette Faxon
704189	372115	Betty McKay
704189	374197	Daughter
704190	16654	Mother
704190	163485	
704190	279745	Guest
704191	316693	
704192	1153	Tanya Miles
704192	39689	Sharah
704192	80864	Attorney Jo Keys
704192	85873	Jordan
704192	87458	Jazmine
704192	223722	Amber
704192	302748	Disgusted Girl
704192	316725	Dean Berry
704192	318191	The Woman with the Donuts
704192	331963	Mecca's Aunt a/k/a Ms. Johnso
704193	149939	SWAT Two
704194	115634	Other Death
704195	411941	Correspondent (1998-2001)
704196	7066	Brittany
704196	144406	
704197	161594	Ava Gardner
704198	307468	Angry Woman
704199	33988	Junkyard Sal
704200	51605	
704201	262727	Mrs. Wup
704202	262727	Mrs. Wup
704203	383897	Herself - Correspondent (1995
704203	395557	Hostess
704204	75648	Policewoman
704204	83875	Joanna
704204	100192	Hildegard
704204	108824	Donna
704204	144785	Kathleen O'Keefe
704204	149930	Christine Maresch
704204	247453	2nd Twin
704204	312391	Vi Mathews
704204	385159	Mary
704204	393606	
704204	395091	Chubbie Miller
704205	182309	Older princess
704206	359310	Nicoma
704207	92913	Various Voices
704209	50291	Herself
704209	55436	Nanette
704209	125554	Annabelle Lee
704209	133515	
704209	206878	Mary
704209	241637	Sarah Levin
704209	356270	Herself
704209	391836	
704210	136516	
704211	46327	Aerobic Pool Girl #2
704212	81033	Mary (segment "Folklore")
704213	188453	Topless Table Girl #2
704213	303316	Jessica Cooper
704214	30616	Tristy
704215	59729	Fisherman
704216	90958	
704217	139560	The Clock Woman
704218	201060	Mrs. Haydock
704219	330199	Mindy
704220	241830	Ms. Watts
704221	119597	Waitress
704221	140405	Mildred
704221	178693	Sylvia
704221	188143	Inez
704221	194663	Traci
704221	202619	Pearl (1913-1919)
704221	232393	Evelyn
704221	240626	Sweet Mary
704221	281803	Molly
704221	293843	Margaret/Singer
704221	302211	Evelyn
704221	309544	Melissa
704221	360616	Reynolds
704221	363225	Nurse
704222	164619	Groupie 2
704222	309812	Girl in Club
704223	146273	
704224	195789	Sally
704225	379027	Horrifica
704226	317517	Rainbow
704227	100846	Wife
704228	319554	Spanish Hooker
704229	163325	Tootsie
704230	30112	Lou
704230	38934	
704230	46844	Linda Harper
704230	46999	Louanne 'Lou'
704230	47589	Constance Morley
704230	49242	Doris
704230	60183	Mabel
704230	61314	Chickie
704230	61391	Dixie Dean
704230	61804	Angela Pennington
704230	70320	Sylvia Dodge
704230	74299	Gita Carteret
704230	75598	Lola Cresmer
704230	77702	Consuelo Cox
704230	107051	
704230	107412	Camilla
704230	112407	Thomsine Musgrove
704230	115631	Miss Celia Faraday
704230	133565	Ruth Jordan
704230	139189	Bobby Martin
704230	140446	
704230	145831	Anna Janssen
704230	145835	Sheila
704230	159936	Sally
704230	162929	Eleanor Warburton
704230	168135	Joanna Manners
704230	171060	Jeanne Cavanaugh
704230	175647	Dorothea 'Dot' Parker Brunton
704230	183447	Helen Slocum
704230	183580	Mary
704230	195101	
704230	195302	Carol Owen
704230	196013	Betty Brown
704230	197503	Beatrix Staynes
704230	201878	Lucille Thayer
704230	202961	Clarissa Janeway
704230	203435	Joan
704230	203467	Marcelle
704230	213470	Rose Duncan
704230	214556	Marta Hillgrove
704230	229520	
704230	231093	Elsie Maury
704230	233683	Kay Everly
704230	238698	Anne Murdock
704230	241032	Diana Barry
704230	241867	Marthe
704230	246713	Violet
704230	249586	Laura
704230	255315	Mame Smith
704230	272244	Mary Cahill
704230	273798	Margaret Nichols
704230	285303	Gilda Carlson, aka Gilda Eric
704230	291317	Herself
704230	299808	Connie Martin
704230	305581	Mildred Marvin
704230	316778	Sally Ann
704230	316902	Kate
704230	317961	Sadie Hermann
704230	329793	Emily Stanley
704230	336040	
704230	336054	
704230	339829	Herself
704230	342434	Lynnie Willis
704230	343202	Kitty Weaver
704230	360039	Peggy Ann Andrews
704230	362387	Jeanie Andrews
704230	363598	Lady Diana
704230	367745	Sally Plummer
704231	360798	Sara
704232	311428	Young Madison
704233	45650	Nurse
704233	271206	Dressing Room Woman
704233	396479	Ground Hostess
704234	109607	Helen
704234	271206	Wichita Luggage Woman
704235	31654	Female Dancer
704235	47077	Aaron's Lover
704235	356997	Miss Edwards
704236	88889	Extra
704237	644	Coffee Girl #2
704237	346005	Francis
704238	398447	Host
704238	402433	Co-anchor (2004-)
704238	404793	Host
704239	275004	Jamie
704240	408893	
704241	349125	Organist
704242	194513	Blowzy Lady
704242	266004	Mrs. 'T'
704242	279371	Working Class Woman
704243	293194	Herself
704244	7809	Libby McHenry
704244	164352	Carole
704244	187301	Mrs. Van Der Veen
704244	213866	Andrea
704244	219391	
704244	274084	Mary Ann
704244	276821	Mrs. James
704244	296807	Shelly Andrich
704244	328272	CBP Officer
704244	366740	Dora
704244	366898	Emily's Mother
704244	367487	Nancy Soddenfeld
704245	321794	Bit Part
704246	270669	Alison Starr
704247	265353	Patron
704248	240575	Evi
704249	169136	Child Chorus
704250	266191	Middle Aged Woman
704251	350440	Bar Girl
704252	65099	Administrator
704252	93211	Henry's Wife
704252	139751	Bridget Barnes
704252	202195	White Woman in market
704252	206818	Novice
704252	241799	Dr. Cohen
704252	364025	Middy Gieg
704252	379716	Leora Sanders (1980-1981)
704252	395601	Margaret Mire
704253	243620	
704254	12625	Mrs. Millbank
704254	51794	Mater
704254	139461	Miss Edith Twist
704254	304556	
704254	346216	Spinster
704255	220276	Parisian Dancer
704256	325098	Additional Voices
704257	68144	Amy
704257	149911	Sheilah
704257	247567	Penny
704257	380027	Sarah Nast
704257	396088	Nurse Candy Lowe (1972-1973)
704258	49805	Sister Sara
704259	116994	Fantasy Woman 2
704259	168300	Julie the Waitress
704260	94977	Mrs. Denbeigh-Smith
704260	96798	Mrs. Carrington
704260	104037	Vashti
704260	131703	Rosalie
704260	148938	Mme. Alova
704260	159991	Lady Maude
704260	211429	Mrs. Quiltuck
704260	257093	Mrs. Raleigh
704260	328904	Lady Yetty
704260	367661	Duchess
704262	265669	
704263	79691	Dawn
704264	315410	Woman
704265	164384	
704266	382706	Herself - Presenter (? - 1998
704266	399333	Reporter
704267	223734	Customer
704268	228209	
704269	358290	Guest
704270	20598	
704270	27149	
704270	27151	Mrs. Fraser
704270	29942	Martha Whittaker
704270	45489	Mother
704270	56226	Stella Kenwood
704270	60343	Miss Patton
704270	73233	Mrs. Burke
704270	78791	Mrs. Hale
704270	79833	
704270	82379	Judge Edith Ellis
704270	87549	Abbey Tennant
704270	92162	Miss Abby
704270	92700	Mrs. Mary Haslett
704270	110413	Mrs. Thompson
704270	115622	
704270	123851	Kansas Kate Conners
704270	132473	Secretary
704270	133727	Mrs. Barnes
704270	133836	Mrs. Logan
704270	144908	Jane Andrews
704270	149126	Middle Telephone Operator
704270	190268	Sattherwaite's Secretary
704270	192333	Mrs. Wanamaker
704270	199744	
704270	203568	Ma Beebe
704270	250377	Mary Holmes
704270	262138	Mrs. Hendricks
704270	293132	
704270	302004	Townswoman
704270	302005	Mrs. Davis
704270	316664	Mrs. Webb, the Landlady
704270	319067	Lucy Randall
704270	331356	Mrs. Welles
704270	342713	Martha Carstairs (Gloria Pemb
704270	350015	Mrs. Lorimer
704270	363190	Waitress Who is a Grandmother
704270	367905	Juror
704271	288979	
704272	84895	Madame Brissaut
704273	258034	Miss Wheeling
704274	252839	Additional Voices
704275	46731	Emma
704275	50097	Elderly Passenger
704275	116120	Cook at Gas Station
704275	123682	Landlady
704275	144989	Patient awaiting discharge he
704275	183358	
704275	187691	
704275	209604	
704275	222683	Landlady
704275	293189	
704275	306411	Mrs. Ammers
704275	318793	Woman With Umbrella
704275	335660	Grandmother Sutton
704275	365062	The Twin
704276	14157	Bess Stevens
704276	326604	Vicky Cassidy
704277	117957	Woman Prisoner
704278	231915	The Hookers
704279	2487	Girl at the window
704280	228312	Herself
704280	392166	Herself - Dirt Detective
704280	408528	Presenter
704281	318715	Mrs. McComber
704282	187404	Jessica
704283	199311	The Family
704284	133154	Herself
704285	131359	Customer in Cal's
704286	278065	Rally Vincent
704287	359552	Janice Neal
704288	342985	Frances Trollope
704288	407190	Mrs. Tickeridge
704289	200925	
704291	346222	Claire
704292	280833	Maid
704293	71795	Sue
704293	73361	Maggie
704293	122686	Rachel
704293	150244	Jackie Haggar
704293	169856	Mary Magdalene
704293	261434	Paola
704293	340924	Tara Reeves
704293	378774	Zoe
704293	382522	Ronnie
704293	408342	Nurse Judy
704293	408868	PC Alison Daniels
704293	409505	Hotel Receptionist
704293	409645	Harriet Revell
704294	241538	Agatha
704294	400759	Herself (1962)
704294	411843	Herself (vocalist; 1953-1957)
704295	183749	Herself
704296	90336	Teacher
704297	73193	Nealy Legrange
704297	394003	Presenter (1990-2000)
704298	360708	
704298	372120	Mrs. Baggerley
704298	372354	Nellie
704299	206889	
704299	405073	Young Mother at Dartmouth Cab
704301	140518	Eileen
704301	278169	Singer
704301	367695	Kathy
704301	383461	Staff Nurse Caroline Richards
704302	1578	Jeune recrut
704302	43432	Joe's Dance Partner Camille
704302	67093	Junkie
704302	313562	Tina's Sister
704303	308041	Kid
704304	29879	Model (Herself)
704305	47434	Terry, Scatfly Proprietress
704305	80669	Katherine Garrison Geary
704305	84132	Laura Mansfield
704305	119803	Myrtle Brown
704305	176321	Goldwyn Girl
704305	216802	Doris
704305	219917	Helen Porter
704305	232338	Laura Harkness
704305	237598	Hazel
704305	240841	Mimi
704305	252489	Gussie
704305	270502	Mary McQuigg
704305	271153	Helen Shanessy
704305	314343	Peggy Denny
704305	325118	Jane
704305	332425	Ruby
704305	335329	Cherry Davis (Pudge's sister/
704305	342388	Nurse lieutenant in hospital
704305	358273	Bessie Jordan
704306	392571	Sybil Bryan
704306	396117	Laurie Brewster (1977-1978)
704307	60864	Bride
704307	223639	Kayla Phillips
704308	190907	
704309	123921	
704310	265892	Party Guest
704311	163048	Paranormal Investigator
704312	74105	Trina Jenkins
704313	134178	Cheerleader
704314	15222	Linda
704314	24960	Society Matron
704314	195331	Dresser
704314	241798	Gloria
704314	316116	Yuppie #3
704315	395675	Hostess
704316	134664	Mrs. Denton
704317	288738	Miss Flynn
704318	94764	
704318	183845	Nurse Johnson
704318	193984	Gladys
704318	203204	Betty Harris
704318	203539	Hester Waring
704318	203603	Mrs. Lucas
704318	207476	Miss Gray
704318	242718	Kyra Gabaine
704318	269650	Nurse Parsons
704318	291081	Marilyn Durant
704318	315083	Lily Conover, before surgery
704318	337310	Mrs. Norman (Baby's Mother)
704318	340519	Kate Kurnoch
704318	359104	Girl at Fair (first victim)
704318	371547	Matron
704319	408893	
704320	123696	Saloon Girl
704321	56967	Inmate at Cumbermere Lodge
704321	108314	
704321	348379	Woman, in the factory
704322	174745	Madre naturaleza
704322	385417	
704322	387825	
704322	396418	
704322	402405	
704322	409717	
704322	410474	
704323	178975	V-Six Office Girl
704324	47544	Mrs. Garcia
704324	78977	Maria
704324	81081	
704324	82063	Ann Denton
704324	112400	Lilly Morelli
704324	131777	Ruth Latimer
704324	131805	Ruth Latimer
704324	132529	Anne Ramstead
704324	150814	Edith Baskin
704324	163492	Robbins
704324	213653	Marj
704324	232493	Redhead
704324	294786	Stella
704324	357994	Cumquat
704324	379919	Mrs. Beauford
704325	115673	
704325	387783	Anna
704325	403279	Anna
704326	99604	Receptionist
704327	100118	Chuck
704328	257344	Kirsty Hennessy-Boyd
704328	305370	
704328	323026	Doctor's Receptionist
704328	381305	Tracey Simpkins
704329	329309	Tony's friend #3
704330	41400	Michelle
704330	80610	Wendy
704330	153142	Rochelle
704330	211393	Vanessa Cross
704330	274501	Prostitute
704331	286929	Faust
704331	330010	Himself, Tandy MacKenzie
704332	55716	Gong Lubi
704333	27065	Lucy
704334	291503	Eva
704335	315978	Mine
704336	141606	Fat Girl on TV
704337	61156	Female Dancer
704338	138784	Laura
704338	303092	Virginia
704338	319682	Cheerleader
704338	333329	Flight Attendant
704338	336459	Paula
704338	344484	Mother
704339	17183	Partygoer
704340	63623	
704341	49455	Buffy
704342	271154	Aunt Emma
704342	400538	Mrs Orpington-Hunt
704342	401275	Lady Dalrymple
704342	406678	Mrs. Gough
704342	406680	Mrs. Gough
704343	13186	
704343	392290	Dolores
704344	62422	Chloe Quinlan
704345	66583	Girl on the roadside
704345	126551	Cinema Girl
704346	279843	Surgeon
704347	108365	Aunt Mandy
704348	199238	
704348	248878	Hallie/Annie Acting Double
704348	372336	Jenna
704349	47364	
704349	278854	Child
704349	372819	Gloria
704350	310880	TV Newsreporter
704351	312544	Bernadette
704352	97890	Kettle Child
704353	74935	Sonia
704353	132233	Rachel Parsons
704354	130873	Arabella
704355	62422	Samantha Cates
704356	200283	Woman in Curlers
704357	62422	Catherine Quinlan
704358	206831	Birthing Class Instructor
704359	80695	Dancer in Nightclub
704361	44565	Victoria Lender
704361	68097	Herself
704361	129203	Dwyfuc
704361	159075	Penny
704361	365138	Tara Adair
704361	366843	Deidre
704361	379447	Debra
704361	381243	Narrator
704361	381478	Kirsten
704361	381538	Faith (Series 2) (2002)
704361	382333	Various roles
704361	384715	Herself
704361	385815	Collaterlie Sisters
704361	386709	Lucy
704361	390148	Various roles
704361	391945	Narrator
704361	394681	Shona McGough/Wanda Harvey/Li
704361	400530	Sophronia Lammle
704361	405558	
704361	405664	Various Characters
704361	406729	Maria, Alison
704362	14987	Anchorwoman
704362	120242	Cheryl
704362	127351	Red Dress Designer
704362	164480	
704362	186836	Ashley
704362	197714	Ms. Marlowe
704362	243592	Augusta Jordan
704362	244933	Sheila
704362	273544	Ilene Thorpe/Ilene's Sister
704362	285734	Dime Tipper
704362	289978	Beth Stewart
704362	305087	Naomi Singer
704362	309563	Diane
704362	316287	Kate
704362	346408	Melanie Vega
704362	387303	Liza
704362	401967	
704363	382838	Megan Brindley (1998-1999)
704363	386963	Karen Boyle (2003)
704364	38719	Dr. Kate Morris
704364	68109	The Questioner in French and 
704364	77209	Gillian Brewer
704364	390485	Mrs. Harvey
704364	408053	Mrs Browne
704365	65717	Maid
704366	32509	Herself
704367	305465	
704368	17749	Dancer
704369	395647	Jenny Colet
704370	51070	Passer-by
704371	115933	Hostel Supervisor
704371	141018	Chambermaid
704371	171314	
704371	294220	Malkie´s wife
704371	364782	Daisey
704372	209198	St. Helen's Street Girl
704373	209170	Dancer
704374	232398	Robin's mum
704375	289686	Rhumba Dancer (uncredited)
704376	406145	Mel
704377	31092	
704377	73403	
704377	292512	Deborah, Wife of Fothergill
704378	42393	Bob's Aunt
704378	307390	Sister Superior
704379	245462	Agnes Riordan
704380	185451	Carol
704382	305148	Lisa's Office
704383	191049	Herself
704384	207095	Shelley
704385	144428	Mrs. Endicott
704386	284196	Stella
704387	334154	Sexy Woman
704388	23569	N'Kara/Ildico
704388	78995	Robin Turner
704388	79314	Doctor's Assistant
704388	81893	Dr. Anne Fletcher
704388	95481	Mel
704388	268222	Nadia
704388	381442	Allie Reese (1999-2000)
704388	397230	Stevie Hall (2003-)
704389	308041	Therapist
704390	402996	Women/Road Rules
704390	403001	Herself/Road Rulers
704390	403487	Herself/Semester At Sea (1999
704391	236154	Flowershop Thief
704392	21447	ER Volunteer
704393	183213	Ballroom Dancer
704394	9117	Passenger Writing Postcard
704394	39329	Housekeeper
704394	46076	Lena
704394	61314	Mrs. Dunne
704394	88999	Mrs. Kent
704394	92229	Mrs. Phillips
704394	110313	Ma Tumble
704394	113653	Aunt Letty
704394	139191	Mrs. O.H.P. Weston-Parks
704394	153207	Housekeeper
704394	185989	Mrs. Cassandra 'Cassie' Palfr
704394	191834	Mrs. Dansey
704394	191835	Mrs. Cass
704394	254542	Sen. Sarah Scranton
704394	257504	
704394	278276	Mrs. Copeland
704394	285635	
704394	330170	Mrs. Bradford
704394	348383	Mrs. Massey
704395	184403	Child at Christening
704396	41734	Mrs. Oakshott
704396	101036	Dancer
704397	38000	Soloist
704398	152518	Mrs. Madden
704399	55348	
704400	371374	Old lady
704401	27303	
704401	47625	The Storekeeper's Wife
704401	47632	Mother
704401	47640	The Outlaw's Mother
704401	47678	Sheriff's Wife
704401	47697	Jordan's Wife
704401	47702	Mrs. Barclay
704401	77585	
704401	117739	The Minister's Wife
704401	138403	
704401	192263	The Widow Felton
704401	193128	The Loafer's Mother
704401	193129	Mrs. Joe Simmons
704401	218484	Mrs. Mackley
704401	219980	Mrs. Hart
704401	240808	Mrs. Jim Murray
704401	245396	Mrs. Jim Barton
704401	265971	
704401	271975	
704401	279301	
704401	280983	
704401	298212	Mrs. Harper, Tom's Mother
704401	298522	
704401	298531	Sophie Clutts, Mail Order Bri
704401	298532	The Sheriff's Wife
704401	298535	The Widow
704401	298554	The Sheriff's Wife
704401	299970	The Widow Morgan
704401	315702	Mother
704401	367548	Mrs. Hardy
704402	79339	Mrs. Brown
704402	161542	Self-Styled Uplifter (Modern 
704403	66308	Pam
704403	410688	Ms. Jones (2000-2001); Nitro 
704403	410689	Ms. Jones (2000)
704403	410690	Ms. Jones (2000-2001)
704404	51855	Lady
704405	47940	
704406	195271	Regina Perez
704407	228202	Hôtesse du bar
704408	91720	April
704409	77940	Maria
704410	450	Mary Price
704410	26355	Cathy
704410	37312	Welfare Worker
704410	37350	Bank Manager
704410	45498	Mrs. D'Gregario
704410	59110	Elizabeth Dickson
704410	72100	Ruth Washington
704410	75700	
704410	78987	Eileen
704410	79018	Noreen
704410	108288	Judge Delaney
704410	117061	Miss Giles
704410	117284	Mildred
704410	137696	Lorraine Nash
704410	141164	Agnes Miller
704410	158276	Nedda Losey
704410	164663	Alva Solazarno
704410	176332	Linda Killian
704410	176828	Nurse Stoddard
704410	195140	Lil Hardin Armstrong
704410	203781	Wanda
704410	208193	Dorothy
704410	222875	Dr. Lovell
704410	224064	Dr. Francis
704410	244430	Sgt. Debbins
704410	256356	Judge Allen
704410	264565	Cynthia
704410	280634	Mary Logan
704410	283426	
704410	298094	Sgt Reed
704410	308110	
704410	309047	Diane Walker
704410	309657	Camille
704410	329946	Lottie
704410	330610	Ellen
704410	332151	Nurse Judy
704410	332897	Dr. Yarlofsky
704410	336819	Bess Dawson
704410	340481	Naomi Speare
704410	342079	Hannibal's mother
704410	348390	Jeannie
704410	389391	Mrs. Jane Summerfield
704410	396104	Jackie Bruce
704410	404282	Dr. Montclaire (1985)
704410	408688	Mrs. Morris
704410	411132	
704411	101726	Woman in Jail
704411	224492	Milka
704411	295077	Ursula
704411	326467	Carrie
704411	400209	Victoria (1999-2001)
704412	399458	Ghost Camp Kid
704413	185841	Nina
704414	59613	College Girl
704415	113808	Nurse
704416	846	#68 Foul Follow-up Films: Can
704416	2304	Herself - Co-host
704416	2364	Herself - Presenter: Best Dir
704416	2574	Herself
704416	2589	Herself - Co-host
704416	2759	Herself - Co-presenter: Best 
704416	2804	Herself - Best Actress Winner
704416	2809	Herself - Presenter: Best Act
704416	2872	Herself
704416	2904	Herself - Co-presenter: Music
704416	7583	Herself
704416	7592	Herself
704416	11288	Katie Robbins
704416	13912	Herself
704416	13919	Herself/Host
704416	13922	Herself
704416	13923	Herself
704416	13924	Herself
704416	18828	Fran Kubelik
704416	20625	Princess Aouda
704416	21299	Bessie Sparrowbrush
704416	22016	Meg Wheeler
704416	30501	
704416	33190	Eve Rand
704416	35605	Iris Smythson/Endora
704416	40841	Harriet Blossom
704416	47385	Herself
704416	48217	Helen
704416	53336	Simone Pistache
704416	53959	Veronica
704416	54741	Herself
704416	54930	Sharon Kensington
704416	55520	Grandma Mirabeau
704416	57645	Herself
704416	57766	Herself
704416	58022	Herself
704416	59114	Karyn Evans
704416	61843	Martha Dobie
704416	65921	
704416	68000	Herself/honoree
704416	82055	Herself
704416	83934	Sophie Bentwood
704416	99302	Herself
704416	99303	Herself
704416	104999	Aurora Greenway
704416	117659	Herself
704416	123280	Nicole Chang
704416	126502	Herself
704416	135195	Tess Carlisle
704416	136533	Herself
704416	138717	Herself
704416	142402	Mary Kay
704416	150379	Virginia Duval
704416	154396	
704416	155890	Footage from The Children's H
704416	157464	Herself
704416	157683	Herself
704416	157720	Ella
704416	161331	Narrator
704416	162302	Irma La Douce
704416	168120	Madame de Beaurevoir
704416	168531	Jenny Ericson ('Strife' Magaz
704416	190089	Herself/Hostess
704416	195173	Herself/Narrator
704416	196544	Evelyn
704416	199390	Madame Sousatzka
704416	207705	Irene Molloy
704416	221338	Grace Winterbourne
704416	223971	Lucy Dell/Yoko Mori
704416	238071	Tipsy girl
704416	243950	Herself
704416	244349	Herself
704416	245228	Herself
704416	261439	Norah Benson
704416	261530	Doris Mann
704416	262940	Herself
704416	276190	Herself
704416	286692	Herself
704416	298213	Dell Payton
704416	299278	Herself
704416	299279	Herself
704416	299280	Herself
704416	299281	Herself
704416	299282	Herself
704416	300881	
704416	302433	Herself
704416	305575	Martha
704416	307137	Herself
704416	307863	Ginny Moorhead
704416	314252	Ouiser Boudreaux
704416	321154	Charity Hope Valentine
704416	328301	Aurora Greenway
704416	329560	
704416	330091	Kate Westbourne
704416	333408	Herself
704416	340552	Jennifer Rogers
704416	342009	Deedee Rodgers
704416	342857	Gittel Mosca
704416	342983	Anna Vorontosov
704416	343026	Sara
704416	347339	Herself
704416	347924	
704416	348838	Pearl Berman
704416	358339	Aunt Zena
704416	361689	Margaret Mary Elderdice
704416	362107	Louisa May Foster
704416	367620	Paulette/Maria Teresa/Linda/E
704416	368458	Herself
704416	368853	Helen Cooney
704416	370877	Herself
704416	371070	Mae Jenkins
704416	372367	Herself
704416	384590	Herself (with Khrushchev)
704416	395531	Herself
704416	402888	Herself
704416	402964	Herself
704416	404152	Rebecca Nurse
704416	405171	Shirley Logan
704416	406617	
704417	130316	Ellen
704418	155453	Village Guide
704418	267568	Movie Goer
704419	210850	Herself
704420	9005	Andrea Framm
704421	17779	
704421	226868	Woman in Window
704422	14914	Cherry Cream Pie
704422	72109	May
704422	92862	Dark Servant
704422	183715	Roxie
704422	257647	Herself (Miss January)
704422	257826	Miss January 1989
704422	257859	Herself
704422	296352	Herself
704422	344524	Herself
704422	361855	Herself
704423	328614	Maggie Connelly
704424	61582	The Lady
704424	76601	Mildred Montrose
704424	326480	Mrs. Greer
704425	304744	Old Woman
704426	264	Woman
704426	5817	Louise Fowler
704426	7877	Patterson's Maid
704426	8179	Maid
704426	10587	Nurse
704426	13409	Cicely Osborne
704426	18729	Settler's Wife
704426	20613	Nurse
704426	36841	Woman
704426	41502	Bidder
704426	43742	Undetermined role
704426	46243	Candace Newby
704426	47370	Costumer
704426	52536	Dawson Townswoman
704426	54492	
704426	59620	Mother Bit
704426	60036	Woman in Audience Jenny Talks
704426	65551	
704426	65717	Nurse
704426	71927	Jerry Luther
704426	72772	'Dearie' Lane
704426	73818	Mrs. Laswell
704426	75849	Mrs. Sullivan
704426	78973	Mary Robinson
704426	79736	Nurse
704426	87688	
704426	93101	Judge Allerton's Wife
704426	94967	Nurse
704426	103221	Nurse
704426	107085	Mary Dawson
704426	109096	Mrs. Sarah Winters
704426	112626	Ma Donovan
704426	117695	Peggy
704426	120734	Sarah Moran
704426	127231	Townswoman
704426	128199	
704426	134009	Mrs. Patton
704426	138230	Chambermaid
704426	139525	Mrs. Wade
704426	141037	Murderess
704426	142999	Irma Stanton
704426	143020	Sales Clerk
704426	154623	Nurse
704426	155705	Molly
704426	157847	Nurse at desk
704426	169362	Dinner Guest
704426	175812	Street Walker
704426	177364	Woman in Audience
704426	177483	Mrs. Clayborn
704426	178332	Maid to Duke Malmunster
704426	183359	Maid
704426	183706	Librarian
704426	186424	Martha Lance
704426	187951	Nun
704426	190210	Nurse
704426	195950	Department Store Clerk
704426	203279	Woman
704426	203517	
704426	203712	Mrs. Strong
704426	210750	Nurse
704426	210764	Nurse
704426	211610	
704426	215276	
704426	216234	Nurse
704426	216826	Iva Seldon
704426	217976	Ethel Fuller
704426	224228	Woman in Hut
704426	224617	Phyllis Woodman
704426	224812	Nurse
704426	228735	Stella Ramsey
704426	230634	Mrs. Shaw
704426	232023	
704426	236706	
704426	237575	Nun
704426	240679	Yvonne
704426	245281	Valentine Moreland
704426	246730	Motherly Woman
704426	253837	Stella Schump
704426	254441	Beth
704426	258218	Mary MacTavish
704426	258914	Mary Murphy
704426	262325	Martha Nelson
704426	270768	Supervisor
704426	273809	Mary Allen
704426	274924	Dickie's Mother
704426	276694	Radio Actress
704426	276939	Mrs. Ogden
704426	277651	
704426	279382	Mary Bird
704426	280292	Mrs. Foster
704426	282277	Becky
704426	285122	Mrs. Sabot
704426	285713	Hotel maid
704426	289119	Estelle Ryan
704426	292487	Mary MacLaren
704426	294744	Hospital visitor
704426	296874	Nurse Plunkitt
704426	299546	Eva Meyer
704426	303471	Mrs. Mary Daley
704426	312833	Stagecoach passenger
704426	313085	Naomi, Former Actress
704426	319197	Rancher's wife
704426	319215	Party guest
704426	327271	Bit
704426	329399	Nurse
704426	331425	Customer
704426	331518	Queen Anne of Austria
704426	335358	Woman on Sidewalk
704426	345981	Alumna
704426	346145	Anne of Austria
704426	347106	Irene Carlton
704426	347128	Official's wife
704426	347513	Gudrun Trygavson
704426	350149	
704426	350508	Marna Royal
704426	359127	Mina Rogers
704426	360488	Nurse Bringing Twin
704426	360554	Abby Hopkins
704426	361835	Ma Wyatt
704426	362154	The Governess
704426	363264	Walton's Maid
704426	364352	
704426	365277	Diana Manneers
704426	365828	Miss Schwarzenheimer
704426	367490	
704426	372531	Lodger Bringing Blanket
704427	185639	Wedding Guest
704428	26320	Jean, Heather's Mum
704428	217411	Allworthy Girl
704428	365138	Young woman
704429	392970	Sarah
704430	109666	Daughter
704430	215288	Girl at Drive-In
704430	269859	The Nurse
704430	308018	
704431	46270	Party Crasher
704431	53323	Language Lab Girl
704431	174095	Sharon
704431	176796	Spidergirl
704432	147738	Herself
704433	346204	Penguin Girl
704433	372819	Ann
704434	323811	Deborah Klein
704435	65191	Clarice II
704436	10635	Steph
704436	41701	Wendy
704436	67482	PC Bethel
704436	385646	Debby Miller (1999)
704436	411164	Liz
704437	389368	Herself
704437	395198	
704438	361907	Alexa
704439	364647	Pearlie Sinclair
704440	55305	Lucille
704440	59763	Alice
704440	116790	Valerie
704440	125873	Cloakroom Girl
704440	155844	Catherine Evers
704440	315294	Jimmie's wife
704440	367415	
704441	178149	Female Jogger
704441	313464	Frigate Commander
704441	313465	Frigate Commander
704442	365123	Irene
704442	405073	Teacher
704443	82695	Joan Kemp
704444	313479	Ewok
704445	252854	Museum Child
704446	63112	Gwen
704447	163727	Zulma
704448	72376	Open Mic Singer
704449	224691	Dancer
704450	72560	Sandra
704450	267348	Carolyn Bramwell/Elsa
704450	404282	Greta MacAdams (1989-1990)
704451	40543	Renee
704451	56857	Brenda
704451	63103	Receptionist
704451	250380	DeeDee
704451	292818	Hooker #1
704451	298120	Joan Hartman
704451	315925	Janet Knight
704451	365123	Deena
704452	18836	
704452	48774	
704452	86083	Mujer asistente
704452	121333	
704452	356056	
704452	398816	
704452	401358	
704452	405407	
704452	405916	
704452	408204	
704452	410453	
704453	60919	
704453	222745	Woman Patient
704454	60919	
704454	138248	Mrs. Wilson
704454	141281	Madge Wildfire
704454	150841	Verity Henderson
704454	168136	Nurse
704455	224429	Girl in Church
704456	152297	Herself (sister)
704457	300973	Host
704457	300974	Host
704458	42806	Empire Band
704458	117666	
704458	139591	Woman
704458	141632	Lorna
704458	151556	Sharon Sherwood
704458	231915	Ad Agency Woman
704458	274476	Mrs. Moore
704458	383964	Sugar
704459	292818	Saleswoman
704460	6845	Grace Randall
704460	9831	
704460	11216	Elsie
704460	12162	
704460	21252	
704460	24227	
704460	26314	
704460	26463	
704460	31252	Runt's sister
704460	31999	
704460	32105	The Other Girl
704460	42252	May
704460	46159	The Sheriff's daughter
704460	49571	
704460	49572	
704460	49573	
704460	49574	
704460	55179	Michaela
704460	68548	
704460	69964	
704460	80925	
704460	111898	
704460	115615	
704460	130608	Edna Lawson
704460	151325	
704460	168475	
704460	186311	Nan
704460	188144	
704460	188580	
704460	192749	
704460	199349	Charm
704460	199878	Mae
704460	206070	
704460	230978	
704460	233525	Second Art Student
704460	238670	
704460	242926	Felice
704460	262060	
704460	278286	His Sister
704460	289974	Elsie
704460	300171	
704460	306764	Miss 'Nobody Home'
704460	308167	The Banker's Daughter
704460	312824	
704460	314690	
704460	315665	
704460	330627	
704460	343210	
704460	347332	
704460	352734	
704460	359957	
704460	362528	Mrs. Plump
704460	364168	
704461	282580	Kaz
704462	122214	Beautiful Girl
704463	350158	Juno
704464	40142	Katy
704464	408300	Susan (2000-2001)
704465	68492	Charlotte
704466	222661	
704467	279582	Wedding feast singer
704468	128727	Dancer
704469	19808	Baba
704469	44337	Aunt Thelma
704469	80460	The Widow
704469	259956	Roulette Ruby
704469	305702	
704469	312034	
704469	323841	Amma
704470	279582	Wedding feast singer
704471	849	Nanny
704471	7315	Mary
704471	47058	Valerie Holdsworth
704471	47191	Casualty Sister
704471	77193	Jane Scotby
704471	101462	Mrs. Armstrong
704471	109248	Mary
704471	109993	Snootle's Sister
704471	113380	Nurse
704471	141056	June Wade
704471	141140	Librarian
704471	150974	Mrs. Haffen
704471	154749	Woman at Hairdresser #2
704471	155928	Mrs. Kemp
704471	184536	Mrs. Tamm
704471	199308	Madame Lefrancois
704471	237465	Mrs. Ball/Salvationist/Vicar'
704471	243653	First Older Woman
704471	255466	Maidservant
704471	276386	Midwife
704471	299193	Ivy Lomas
704471	331490	Pathetic Woman
704471	351930	Miss Sangster
704471	382744	Nurse
704471	390362	Mrs. Farrell
704471	396797	Godiva 'Diva' Plaistow
704471	398463	Ruth
704471	404409	Mrs. Boswell
704472	329397	Woman
704472	333205	Norris' Wife
704473	261868	
704474	132891	Armande
704474	301729	The Subject
704474	347119	Woman In Bar
704475	176713	A Customer
704476	192857	Franca DiMontecatini
704477	193606	TV Interviewer
704477	216835	Narrator
704477	395224	Herself - Presenter
704477	406329	Herself
704478	91768	Pam Hill
704478	105704	Eileen White
704478	185228	Margo
704478	195331	Social Worker
704478	223896	Esther Houk
704478	367879	HRH the Princess Margaret, Co
704478	389976	Narrator
704479	241692	Miss Dom, 'Average Man' segme
704480	125939	La réceptionniste
704481	9031	
704481	12737	Tina
704481	33688	
704481	156513	Nurse
704481	346276	Waitress
704481	381326	Diana Parker
704481	382100	Abigail
704481	392090	
704482	8629	Lily Davis
704482	11552	Aunt Hannah
704482	18273	Nurse
704482	26054	Myra Babbitt
704482	26711	Miss Williams
704482	37504	Elizabeth Kainess
704482	63993	Mrs. Mavis Pegler
704482	85819	Kappa Lani Kahanna
704482	92814	Ling Tan's wife
704482	97392	Grandma Esther
704482	114695	Miss Taylor
704482	114836	Nonna Bartoli
704482	117265	Bess
704482	130622	Trixie Lorraine
704482	135404	Aunt Martha
704482	141286	Bessie, the Neighbor
704482	141555	Olga
704482	143913	Mary Dennis
704482	154114	Ida
704482	154355	Betty Collins
704482	177141	Mary Herries
704482	183721	Buddy
704482	190057	Miss Bowers
704482	190181	Auntie, aka Mrs. Moore
704482	203026	Kate Canady
704482	206861	Ellen Preston
704482	209384	Nurse
704482	211568	Hattie 'Mom' Frink
704482	213475	Mamie Steeple
704482	220490	Miss Hickey, Day's Secretary
704482	241060	May Daniels
704482	245159	Florence Goodwin
704482	277334	
704482	281909	Sarie McCoy
704482	291960	Mrs. Murray
704482	293158	Odessa Citizen
704482	300912	Bertha Krasnoff
704482	301954	Sarah Martin
704482	312774	Herself
704482	333779	Lizzie Wilkins
704482	360838	Agnes
704482	363248	Marianne Woods
704482	363571	Nurse Sarah Keate
704482	368383	Anna Nordholm
704482	372527	Dr. Lucy Grainger
704483	88300	Secretary
704484	10638	The Maid
704484	142944	
704485	409565	Irish columnist
704486	639	Muriel Eady
704486	154180	Nun
704486	187861	Blonde Whore
704486	200052	Sister Augusta
704486	297802	Bernie
704486	401145	Street Whore
704487	73280	
704488	404681	Marie Tarver
704489	64735	Frances Cabrini
704490	61843	Bit Part
704490	149768	Catherine
704490	361168	Danny's Mother
704490	367545	Mrs. Gibbs
704490	372461	Muriel Foster
704490	397926	Winnie Kirkwood (1963-1965)
704490	398740	Mrs. Florence Pearson (1960-1
704491	156970	Girl at Puppet Show
704492	254788	California Girl
704493	328594	Mother Superior
704494	382844	Angie McPhee
704495	221227	Jan
704496	342552	Angel in Red Room
704497	360267	
704498	3932	Kokette
704498	5642	Kokette
704498	10749	Narrator
704498	10758	
704498	19546	Kokette
704498	21323	Kokette
704498	26338	Kokette
704498	28634	Kokette
704498	36748	Kokette
704498	36862	Mrs. Rumpert
704498	36871	Nanny Lewis
704498	42026	Kokette
704498	42126	Kokette
704498	43271	Kokette
704498	64077	Narrator
704498	65622	Kokette
704498	67583	Mrs. Martinson
704498	68078	Kokette
704498	78084	Eula Winter
704498	89173	Kokette
704498	92231	Kokette
704498	97892	Kokette
704498	100681	Kokette
704498	106236	Kokette
704498	108465	Kokette
704498	109550	Kokette
704498	110325	Kokette
704498	114479	Kokette
704498	116250	Kokette
704498	116909	Kokette
704498	121866	Kokette
704498	127608	Kokette
704498	131222	Kokette
704498	134719	Kokette
704498	140398	Kokette
704498	140967	Gladys
704498	141958	Narrator
704498	145378	Kokette
704498	158090	Kokette
704498	161930	Kokette
704498	162507	Kokette
704498	170733	Kokette
704498	178927	Kokette
704498	179478	Kokette
704498	179481	Kokette
704498	179489	Kokette
704498	179491	Kokette
704498	179498	Kokette
704498	179516	Kokette
704498	188217	Kokette
704498	195025	Kokette
704498	195458	Aunt Deliverance Jones
704498	195674	Kokette
704498	199230	Kokette
704498	201446	Kokette
704498	208690	Kokette
704498	209139	Kokette
704498	209140	Kokette
704498	209141	Kokette
704498	209142	Kokette
704498	209143	Kokette
704498	209144	Kokette
704498	209145	Kokette
704498	209146	Kokette
704498	209147	Kokette
704498	209148	Kokette
704498	209149	Kokette
704498	209150	Kokette
704498	209151	Kokette
704498	209152	Kokette
704498	209422	Kokette
704498	217050	Kokette
704498	220645	Kokette
704498	221255	Miss Fry
704498	222332	Kokette
704498	223225	Kokette
704498	224671	Kokette
704498	232463	Mrs. Beacher
704498	233972	Kokette
704498	236123	Kokette
704498	240979	Kokette
704498	257261	Kokette
704498	259140	Kokette
704498	260082	Kokette
704498	261957	Kokette
704498	269299	Kokette
704498	274667	Kokette
704498	274749	Kokette
704498	279172	Kokette
704498	280163	Kokette
704498	280349	Kokette
704498	280898	Kokette
704498	285513	Kokette
704498	302592	Kokette
704498	304781	Kokette
704498	306276	Narrator
704498	306443	Kokette
704498	307286	Kokette
704498	310519	Kokette
704498	313990	Kokette
704498	316896	Kokette
704498	317976	Kokette
704498	329608	Kokette
704498	332381	Kokette
704498	342208	Kokette
704498	348069	Kokette
704498	362038	Kokette
704498	363532	Kokette
704498	364360	Kokette
704498	365484	Kokette
704498	367081	Narrator
704498	372068	Kokette
704498	380872	Peter the Skunk
704498	383849	Additional Voices
704498	385774	David 'Davey' Hansen (1965-??
704498	390791	Goo, additional voices
704498	392201	Heidi Doody
704498	396422	Fitzgerald Fieldmouse
704498	397132	Casper
704498	399232	Casper/Wendy/Various (1963)
704498	405718	Additional Voices
704498	408443	
704498	409509	Sweet Polly Purebred
704499	78530	News Stringer
704500	69424	Anne
704500	176881	Dorothy
704501	58618	Mrs. Williams
704501	75404	Mrs. Donald
704501	128075	Mrs. Macie
704501	169161	Mrs. McFee
704501	215077	
704501	242733	
704501	362403	
704502	21255	
704502	45284	Violet
704502	71700	Claribel
704502	128510	Nancy Grimm
704502	141276	
704502	146079	Dorothy, a Kansas girl who is
704502	152858	
704502	157637	Violet
704502	190684	Violet
704502	200106	Claribel
704502	200134	King Timothy 'Bud' of Noland
704502	221308	Betty Van Zant
704502	224692	Violet Bronson
704502	250523	Ojo, a Munchkin Boy
704502	289067	Amy Hickman
704502	349635	
704503	380642	Herself (Boston Globe panelis
704504	284538	Tammy Taylor
704505	98659	Bit part
704506	332026	Mrs. Harrison
704507	297121	Portia
704508	273307	Girl at Party
704509	90351	Princess Stephanie
704510	162262	Moira Barry
704511	154044	Produce Lady
704512	7213	Libby
704512	224085	Marnie
704512	385714	Mrs. Polson
704512	395350	Library assistant
704512	400709	Mrs. MacPherson
704513	363282	Girl
704514	44333	
704515	26293	Rita Hoyt
704515	30581	Kitten
704515	65501	Greer's Nurse
704515	92302	Mrs. Sweet
704515	192248	Lauren
704515	222947	Anne
704515	313426	
704515	343044	1st Nurse
704515	346060	Assistant
704515	360116	Lauren
704515	378684	Lisa Taylor
704515	385824	Pat Hamilton (1993-1995, 1997
704516	104749	Dutch entry (3rd place)
704516	210102	Singer
704517	299458	The Singer (segment "The Inje
704518	42044	Android
704518	179041	Party Girl
704518	214527	Joanna Miller
704518	260639	The balloon maker
704518	344652	Madame/Cheerleader/Extra Voic
704518	382880	Sully
704518	411081	Zizza
704519	363660	Mrs McCormac
704520	17697	Myra Pringle
704521	114886	Pretty Face who kisses Coach 
704522	75717	Nationals pair #3
704523	53793	Winnie
704524	381978	
704524	403438	Host
704524	403439	Hostess
704525	292	Lucy Ricardo (Ricky)
704525	294	Lucy (Ricky)
704525	295	Lucy Ricardo (Ricky)
704525	17231	Dot Warner
704525	17232	Dot
704525	17280	Housewife/Kenny (segment "Bey
704525	17630	Hens
704525	30951	Additional Voices
704525	30962	Ms. Winston
704525	35631	Housewife and Kenny
704525	55659	Penelope
704525	62259	Chip/Gadget
704525	64089	Anastasia
704525	65436	Taffy/Lady Liberty of the Scu
704525	68745	Francine/Lucy Ricardo
704525	79723	Additional Voices
704525	99573	Anchorwoman
704525	103288	Daisy/Mabel the Tourist
704525	107940	First Citizen Lynette
704525	107942	Jain
704525	115571	Wilma Flintstone
704525	117783	Edwina/Senityilli/Lady Tiana
704525	117785	Additional Voices
704525	121575	Suzi, Leader of the Vultures
704525	122173	Mom/Linda
704525	126040	Tiger
704525	131987	
704525	143543	Clotho
704525	144363	Grandma Gertie 'Pookie'/Mayor
704525	147629	
704525	148569	French Poodle
704525	154970	Dot Warner
704525	163489	Barbara Ann 'Babs' Bunny
704525	177632	Daisy Duck/Queen of Hearts
704525	181996	Additional Voices
704525	183550	Aunt Sarah/Am (Siamese Cat)
704525	184372	Mother Maiasaur
704525	184373	Stegosaurus/Spike & Ducky's M
704525	184374	Ali's Mother/Dil
704525	184375	Ducky's Mom
704525	184378	Ducky's Mother
704525	184380	Ducky's Mom/Petrie's Mom
704525	191243	Additional Voices
704525	192098	Elevator Creature
704525	201302	Osono
704525	212859	Daisy
704525	212902	Daisy Duck/Queen of Hearts/Si
704525	212908	Daisy Duck, Chip 'n' Dale
704525	212924	Chip/Daisy/Aunt Gurtie
704525	218219	Additional Voice/Ironworker
704525	219624	Baboon, Elephant, Elf Owl, Lo
704525	220464	Daisy Duck
704525	236997	L'il Pea; Broccoli Floret
704525	239997	Mrs. Claus/Mrs. Eskimo
704525	256327	
704525	273745	Ms. Lemon/Lunchlady Irma/Oper
704525	282519	Additional Voices
704525	283099	Charlotte Pickles
704525	283102	Charlotte Pickles
704525	283104	Charlotte Pickles
704525	283105	Charlotte Pickles
704525	283106	Charlotte C. Pickles
704525	283355	Scout
704525	290948	Sarah Ravencroft
704525	291929	Daisy Duck
704525	302276	Agnes Skinner/Others
704525	302277	Additional Voices
704525	308029	Mother Chill, Nuke, Ms. Dish,
704525	313432	Additional Voices
704525	314980	Additional Voice (s)
704525	319625	Mrs. Stevenson
704525	327967	
704525	333631	Barbara Ann 'Babs' Bunny/Babs
704525	333632	Barbara Ann 'Babs' Bunny
704525	333634	Barbara Ann 'Babs' Bunny
704525	335063	Margaret and Mom
704525	335772	Fluffy Fluffy Bun Bun/Ms. For
704525	358488	Dot Warner/Hello Nurse/Mindy'
704525	358816	Chip, Polly Roger, Otto Plugn
704525	364134	Answering Machine
704525	366298	Kanga
704525	366651	The Chicken
704525	379568	Additional Voices
704525	379710	Charlotte Pickles
704525	379868	Additional Voices
704525	380313	Dot Warner/Hello Nurse/Marita
704525	380715	Robert Joseph 'Hoodsey' Bisho
704525	381547	Alice Newton/Ginger
704525	382474	Cheryl Germ/Francine Kanifky/
704525	383419	Additional Voices
704525	383849	Additional Voices
704525	384113	Chip/Gadget/Zipper
704525	385262	Other Character Voices
704525	385272	
704525	385771	Fang/Cheesette
704525	386064	
704525	386350	Carol/Various Guests
704525	388913	Additional Voices (1986-1990)
704525	389288	Debbie Douglas/Cobra Queen
704525	389573	Mom/Linda the Newsanchor/Tinn
704525	389759	Margot Yale
704525	390793	Lady Bane
704525	391485	Grandma 'Pookie' Gertie/Miss 
704525	391619	Toast/Pepper Mills/Cho-Cho/Wo
704525	392134	Daisy Duck/Chip 'n' Dale/Quee
704525	393915	Mahra
704525	395298	Mrs. Jaren
704525	395848	Mrs. Bolt
704525	397038	Mrs. Peenman
704525	397641	Daisy Duck/Chip 'n' Dale/Addi
704525	397690	Max's Mom
704525	397908	Mrs. French
704525	398378	
704525	398717	Additional Voices
704525	400255	Billy
704525	401528	Additional Voices (season 2)
704525	402454	Additional Voices
704525	403038	Ms. Lemon/Bertha/Lunchlady Ir
704525	403484	Colleen
704525	403874	Additional Voices
704525	403907	Charlotte Pickles (1992-2004)
704525	404063	
704525	404517	Additional Voices
704525	405177	Wife
704525	405405	Jimbo Jones/Agnes Skinner/Oth
704525	405718	Additional Voices
704525	407021	Ma Kent
704525	407144	Deputy Mayor Calico 'Callie' 
704525	407441	Additional Voices
704525	407700	Kala the Neutrino
704525	407701	Kala the Nutrino
704525	408293	Shenzi the Hyena/Additional V
704525	408305	Barbara Ann 'Babs' Bunny/Rhub
704525	410378	Merla
704525	410379	Lafitte
704525	411088	Additional Voices
704525	411319	The Wicked Witch of the West
704525	411533	Mrs. Pedigree
704525	411931	Ms. Devine
704526	342140	
704527	28791	Anna
704527	50076	The Comic
704527	124225	Grindy Malone
704528	242625	Nancy
704529	390507	
704529	403219	
704530	5186	Infirmière Glaieul
704530	24734	La Tenancière
704530	38170	L'éditrice
704530	48003	Henriette
704530	60063	Marthe
704530	63644	
704530	109735	
704530	112819	Chief guard
704530	160819	
704530	200945	Ernestine
704530	208830	Bijoutière
704530	211146	Françoise
704530	231579	Bourgaud
704530	250752	Brenner's mother
704530	254089	Consoeur
704530	278155	Madame Dujardin
704530	314305	Catherine
704530	340143	Le procureur/Prosecutor
704530	346418	Caroline
704530	346420	La mère de Noisette
704531	48555	Isaia
704531	55033	Testa di rapa
704531	71214	(segment "Doom")
704531	88841	Anna
704531	108093	Interpreter
704531	149934	Eveline
704531	201368	
704531	290070	Ingrid
704531	316443	
704531	401512	
704532	284004	Edith
704533	20625	Extra
704534	409066	
704535	362481	
704536	131202	Casilda
704537	21201	Crew member
704538	393833	
704539	196110	
704540	131988	Fourth Go-Go Dancer
704541	404942	Host
704541	408014	Host
704542	103287	Remi
704543	243262	
704544	846	Herself - #101: Supermodels: 
704544	2543	Herself
704544	10670	Model
704544	30952	Julie Madison
704544	32146	Herself
704544	79936	Herself
704544	97535	Mickey Morse
704544	138716	Herself
704544	155862	Jane Lindquist
704544	161348	Herself
704544	165449	Blanche Ingram
704544	215157	Candice
704544	215680	Host
704544	243146	Herself
704544	282595	Herself
704544	290827	Herself
704544	303090	Sheela
704544	309820	Camilla
704544	311780	Herself
704544	360143	Herself
704544	366811	Samantha Mastandrea
704544	372875	Herself
704544	383758	Herself
704544	390109	Lauren Travis
704545	387533	Joanna Barton, Kims's solicit
704546	7400	
704546	25403	
704546	40719	
704546	42554	On Street
704546	47463	Boarder
704546	50487	
704546	52564	
704546	54653	Milka
704546	55178	Gypsy girl
704546	57561	Herself
704546	61387	Indian
704546	61630	Well-Wisher
704546	61653	The Secretary
704546	62972	Customer
704546	66169	Dinner Guest
704546	68882	The Maid
704546	69050	Dinner Guest
704546	69451	
704546	69741	A Maid
704546	70811	Banquet Guest/Visitor to the 
704546	73341	Party Guest
704546	73688	In Pawnshop
704546	75608	Party planner/Nurse with bugg
704546	79718	Party Guest
704546	81083	One of the Wife's Companions
704546	85101	
704546	101555	On the Beach
704546	101556	Ray's Maid
704546	104325	In Field
704546	107299	
704546	109653	
704546	109835	
704546	114391	At Wedding
704546	115080	
704546	121376	Woman in Farewell Crowd
704546	127080	Juanita, Carmen's rival
704546	128369	Nina
704546	130665	A Friend
704546	130877	Flower Girl
704546	141168	At the Ball
704546	142656	
704546	143117	Secretary
704546	146231	Wedding Guest
704546	146260	Woman at farewell
704546	146261	Woman in wedding group
704546	147633	Cameo appearance
704546	155528	
704546	157102	
704546	157451	Couple on Road
704546	157473	
704546	157770	
704546	157775	At the Ball
704546	158491	Caller
704546	163702	At Ball
704546	177225	Mrs. Burke-Smith's French Mai
704546	178914	In Kitchen
704546	183676	Second Maid (unconfirmed)
704546	185234	In Wagon Train
704546	187973	
704546	188158	A Friend
704546	191115	
704546	191599	At Work
704546	193747	In Payroll Office
704546	195693	
704546	199373	
704546	202981	
704546	203768	
704546	206849	Teacher
704546	209419	
704546	211342	Nerissa
704546	211777	At Reception
704546	211784	
704546	213075	
704546	213192	
704546	215804	
704546	217186	Indian
704546	217973	Bank Customer
704546	219910	First Daughter
704546	220986	Guest at Ball
704546	220987	Guest
704546	221280	The Maid
704546	230600	At Wedding/At Market
704546	231025	
704546	237663	Aristocrat
704546	239814	In Factory
704546	240458	
704546	241783	
704546	242503	One of Hetty's Relatives
704546	245019	The Young Widow
704546	245373	Mary
704546	251434	In Store
704546	257194	Storemate
704546	265827	Edith Norton, John's Wife
704546	281866	
704546	282964	Maid (unconfirmed)
704546	283083	
704546	286331	A Friend
704546	291803	The Girl
704546	295440	
704546	310315	Mariana
704546	318718	At Party
704546	319271	Sweatshop Employee/Piano Stor
704546	321287	Alice Baross, the Second Fian
704546	324226	Wedding Party
704546	328785	
704546	331880	Caller/At the Soiree
704546	334292	In Audience
704546	337503	
704546	339581	At Gallery
704546	340600	
704546	341035	
704546	342971	A Maid
704546	343081	At Party
704546	348952	At Luncheon
704546	350557	
704546	353390	
704546	354508	Villager
704546	354888	
704546	358282	A Maid
704546	360226	
704546	366311	A Servant
704546	366312	Page
704546	366814	
704546	368769	At Stage Door
704546	368770	A Friend of the Bride
704546	368800	
704546	368804	
704547	202402	Cleo
704547	215902	L.A. woman 4
704548	177614	The Queen/Chief Plotter
704549	1020	Dallas
704549	111283	Linda
704550	277112	Herself
704551	81750	Miranda
704551	348795	Shawna Kramer
704552	67921	Lynn
704553	365866	Tough Chick
704554	211431	Herself
704554	222612	Woman Speaker
704554	234593	
704554	265678	Henri-Anne
704555	33717	Sara Winthorpe
704556	13620	Putnam's Secretary
704556	73214	Shouting Crowd
704556	88766	Woman with Spider
704556	158435	Lois
704556	220427	The Mayor's Wife
704556	232394	Alice
704556	279878	Lisa Hayes/Kiyora
704556	332530	Waitress
704556	335380	Kanta's Mom (Troma version) 
704556	366271	Verla Mae
704556	403280	1st Whore (Too Thin)
704556	403550	Lisa Hayes/Marlene
704557	134295	Bit Part
704558	70248	Meredith
704558	97390	Reporter #3
704558	105325	Susie Penrose
704558	117098	Marsha
704558	158910	Ladyfish
704558	195652	Jackie
704558	365328	Queenie
704558	365490	Crystal Plummer
704558	385824	Phyllis Anderson #3 (1977)/Ba
704558	389858	Med Bentley #2 (1969-1970, 19
704558	390301	Lou-Ann Poovie (1967-1969)
704559	29175	Holly Wiggen
704559	69627	June McGruder
704559	105321	Helen Lacey
704559	190273	Mrs. Tobin
704559	252853	Mary
704559	253121	
704559	273741	
704559	292888	Lynn Briskin
704559	364271	Heather
704559	384397	Aunt Mafalda
704559	405103	Co-host (1971)
704559	411419	Linda Peters (1971)
704560	37918	Nurse Webb
704560	194269	Operator
704561	4536	Mrs. Harrison Hobart
704561	4711	D.A. Alexander
704561	7809	Katherine Lilly
704561	91798	
704561	145047	Interviewer
704561	151299	
704561	191253	
704561	233474	Anchor Woman
704561	273398	Maid
704561	292115	T.V. Anchor
704561	313562	
704561	359552	Loretta Vail
704561	368023	
704561	381938	Mimi
704561	389046	Additional Voices
704561	395719	Voice
704561	396378	Danielle (1990-1992)
704561	396479	Reporter #2
704561	396952	
704561	411202	Bo
704561	411378	
704561	411565	Lil Midge
704562	100661	Ms. Robbins' Assistant
704563	31691	Beach girl
704563	37674	Animal
704563	50919	
704563	52201	Herself
704563	57888	Martha
704563	62112	Carolyn Moore Fong
704563	96763	Lara
704563	116932	
704563	132820	Nancy Williams
704563	154957	Susan Barker
704563	163554	Guest
704563	223965	
704563	235227	Kay
704563	303872	
704563	314602	Hippie
704563	331550	Valerie Owens
704563	357585	Dr. Baker
704563	361545	Kendy
704563	374901	
704563	396778	Herself/panelist
704563	398740	Sally Ann Morrison Douglas (1
704563	401346	Willimena Josephine 'Billie J
704563	405103	Co-host (1971)
704563	410914	Herself/guest panelist
704564	393427	Lady Curzon
704604	142703	Gagged Girl
704564	411300	Prison Officer Norris (1975-7
704565	69773	Rehab Counselor
704566	338536	The 'Traveler'
704567	26967	Bonnie
704567	37674	Secretary
704567	51975	Helen
704567	130972	Cuddles
704567	151672	Secretary
704567	164581	Herself
704567	226891	Bank Teller
704567	253121	
704567	263313	Peggy, Morley's Secretary
704567	292664	Phillis
704567	295616	Board Member
704567	313319	Herself
704567	389858	Madelyn Richmond (1991)
704567	393225	Herself (Alice Kramden/variou
704567	400853	Marilyn Buckman
704567	405103	Co-host (1971)
704568	70717	Delivery Woman
704569	33625	
704569	127571	Friend
704569	382864	Treesje
704569	392674	Nina Berrevoets
704569	410084	
704570	390488	Captain Flint
704571	214671	Reporter
704572	386295	
704573	880	Agnes
704573	62989	Mrs. Cratchit
704573	63834	Baroness
704573	110347	Miss Plunder
704573	117672	Brenda
704573	124594	Miss Martin
704573	151726	Kath
704573	194513	Miss Martin, the Dean
704573	196538	Mrs. Walsh
704573	209098	Wendy
704573	221274	Doctor's wife
704573	222682	Mrs. Pierce
704573	222796	Anna
704573	253093	Milly Croft
704573	256622	Pinafore company
704573	269901	Sister Noirceuil
704573	273943	Celia Harper
704573	289615	Mme. Duval
704573	290228	Dorothy
704573	300342	Gloria
704573	313166	Mrs. Batley
704573	324234	Katherina
704573	368060	Mrs. Wilson
704573	379792	Mrs. Ives
704573	382379	Mrs. Dribelle (1996-97)
704573	385645	Mrs. Atkins
704573	388863	Mrs. Nimmo
704573	390030	Elizabeth
704573	396797	Daisy Quantock
704573	403273	Cook
704573	405525	Amalie
704573	408951	Margaret
704573	409562	Elizabeth Steel (Red Betty)
704573	409593	Nancy Bowshott
704573	411353	Mrs. Michelson
704574	71580	Babette (the nurse)
704575	44539	Diana Arbuthnot
704575	117227	Stella Rees
704575	128389	Enid
704575	151119	Jessica
704575	196532	Betty Duncan
704575	204891	Dolly Sales
704575	224202	Valerie
704575	251770	Norah Joyce
704575	282607	Landgirl
704575	286135	Lady Daphne
704575	289614	Lady Q
704575	366667	Grace Elliott
704576	55034	
704576	79148	Emma Wedgewood Darwin
704576	260329	Sister Nunciata
704576	265753	Like Vasilyevna
704576	388846	Gilda Farren
704577	2662	Hillary
704577	16130	Rebecca Reibolt
704578	11157	Sharon
704578	346139	Michelle
704580	234705	
704581	208630	Kay
704582	120228	
704582	323039	Jane
704582	367886	Doctor
704583	195163	Isabelle
704584	18617	French Baroness
704584	100075	Inn Proprietress
704584	334162	Belle Ingram
704584	350645	Proprietress
704585	351516	
704586	273140	Grazia dei Bardi
704587	381514	Herself
704588	12115	Alma
704588	128216	Loute Sedaine
704589	61802	Mary Nield, Reporter #3
704589	175788	
704589	243934	Society Gossip
704590	328823	
704591	64260	
704591	249301	
704592	10440	María José
704592	14655	
704592	70206	
704592	111563	
704592	112672	
704592	136858	Churri
704592	186532	Hilandera joven
704592	249792	
704592	327201	
704593	360221	Paula
704594	77468	Hermione
704595	96836	Mrs. Horrobin
704595	384196	Gran
704595	405217	Miss Roper
704596	34661	Alice
704596	43565	Rhyme's Niece
704596	81785	
704596	126492	Karen
704596	223248	Heather
704596	404092	Carole Hanson
704597	11450	Evelyn
704597	62456	
704597	125907	
704597	189475	
704597	190692	Maureen
704597	297692	Supervising Nurse
704597	356244	Receptionist
704598	204747	Tanya
704599	208369	Mother
704600	29519	Monica Thurman
704600	242027	
704601	80619	Candle Girl #2
704602	220027	
704602	303227	Mrs. Martin
704603	236494	Dalton's Girl
704605	254294	
704606	132609	Mala Cyrkowka
704607	87494	Olivia
704608	117862	
704608	345990	Ellinor
704609	70648	
704609	251228	
704610	193483	Dependiata
704610	233619	
704611	25034	
704612	59782	
704612	210167	
704612	210169	
704612	332918	Juanita
704613	28955	Niña rica
704614	55945	
704614	64435	
704614	197972	
704614	213409	
704614	253033	Lucy, the Jealous Girl
704614	354997	
704615	145446	Mónica
704616	232985	
704616	396394	
704617	70090	Cantinera Tere
704618	202045	
704619	116086	13 Year Old Girl
704619	302304	Cuisiniere
704619	319519	
704620	248775	Lucinha
704621	9735	
704622	280998	
704623	5977	Madalena
704624	14434	
704625	200613	Waitress
704626	20625	Extra
704626	154785	Pressa
704626	220593	Virgin
704626	344987	(segment 2)
704627	36277	
704627	49316	
704627	176032	
704628	161505	Hasi
704629	204354	Prison Scene Cast
704630	40145	
704630	137413	Nora
704630	159206	Krankenschwester
704630	272721	
704631	46767	Maria Mahler (Age 5)
704632	339268	Herself
704633	349894	The Vampiress
704634	110706	
704634	136576	Margitka, Bodó titkárnõje
704634	136600	
704634	140049	Kofa
704634	175699	
704634	250888	
704634	268430	
704634	322069	
704634	349781	
704635	50006	Guest Princess
704635	322025	Mûkedvelõ színjátszó
704636	377818	Zsuzsa
704637	59397	Sona
704637	127336	Anik
704638	100186	
704638	131308	
704638	213731	
704638	280520	
704638	340169	Madame Bonacieux
704638	354692	
704639	162040	
704640	510	Terajima Ryoko
704640	515	Terajima Ryoko
704640	516	Terajima Ryoko
704640	517	Terajima Ryoko
704640	31053	Tanya
704640	49714	Pinoko
704640	49715	Plane Owner
704640	54891	Meilin Li
704640	61763	Rachel
704640	123053	Elsa/Woman in Distress/Comput
704640	127412	Sanny the Magician
704640	156103	Lilian
704640	182040	Haruka
704640	190883	Nancy
704640	195629	Sarah MacDougal, Girl
704640	262090	D.E.C.A.
704640	271676	Additional Voices
704640	283895	Additional Voices
704640	313338	Welch Vinyard
704640	325242	Voice of Caller
704640	325314	Mami
704640	327803	Mayuka
704640	334152	Paula Higgins
704640	369335	Hitomi Misaki
704640	373380	
704640	373381	
704640	373382	Koashuhara (Media Blasters 19
704640	373384	Makiko Mizuno
704640	378718	Syoushun
704640	381401	Tanya
704640	384133	Yumi
704640	385151	Hologram
704640	387419	Ura
704640	389791	Kazu
704640	396440	Hikaru Shidou
704640	397187	Yuki's Friend
704640	402001	D.E.C.A.
704640	402003	D.E.C.A.
704640	402729	Sarah McDougal
704640	404060	Lime
704640	404122	Cynthia
704640	404228	Student With Rice Ball, Tamak
704640	404879	Knight Member's Son
704640	405146	Sakuya
704640	408487	Kassie Carlen, Super Pig
704640	408893	Jessica (English dub)
704640	409323	Tina Corman
704640	409831	Dita Liebely
704640	411289	Young Methuselah
704640	411343	
704641	32917	Herself
704641	230743	Herself
704642	57735	Stargher's Victim
704643	255938	Ladybug
704644	72465	Marion Kelly
704644	80461	Security Centre Operator
704644	304795	Stocker
704645	93978	Janet
704646	188262	
704647	32365	Renee Beccerra
704648	154781	Cindy Faithful
704649	31824	Davina Gilmore
704649	42768	Adelaide Jefferson
704649	89184	Pamela
704649	107788	Isabel Longstaffe
704649	124678	Linet
704649	137915	Ophelia
704649	206433	Clare Strickland
704649	221533	Hero
704649	240835	Madame Knorr
704649	294215	Marianne Dashwood
704649	321515	Frau Berger
704649	389146	Angela Hooper
704649	392899	Mme Maigret
704649	393162	Urfried
704649	398738	Livia
704649	406272	Jazz
704650	194583	Young Lorna
704651	277088	Pi-Delta-Pi
704652	158508	June
704652	360682	Hairdresser
704653	153142	Sally Mae Smith
704654	127481	Miss Courtney
704654	278820	
704655	45953	
704655	113974	Cora Hayes
704655	116165	Ann
704655	128362	Madelin Stewart
704655	157312	Virginia Howard
704655	167600	Suzette Sparks
704655	193562	Clothilde
704655	193834	
704655	206532	Mandie St. Claire
704655	219977	Beatrice Arnold
704655	245633	
704655	276695	
704655	360442	
704655	367513	The Girl
704656	345584	Stewardess
704657	291778	Patricia 'Pat' Collins
704657	312810	Ruth Williams
704657	323807	Doris Pierce/Mary Brannigan
704658	79761	Party Guest
704658	79765	Reba
704659	51839	Joni
704660	72373	Stripper
704660	147607	Dancer
704661	380610	Young Lady Sarah
704662	220493	Diane Huygom
704663	387533	Chantelle Burgess (2002) (5 e
704664	274427	Cindy Logan
704665	241774	Angela
704666	48006	
704667	194405	Pig Pen Girl
704668	33179	Featured Character Voice
704668	136270	Female Extra Two
704669	185589	
704669	192779	Jasmine
704670	161352	Herself
704670	166643	Delaware Student
704671	151207	China Shop Proprietor
704671	211529	Perfect Family Mother
704672	160633	Client
704673	612	Girl in Hallway
704674	40813	Counselor
704674	66589	Gloria Connelly
704674	127522	Charlotte
704674	164840	City Editor
704674	185903	Mrs. Donnelly
704674	222611	Nurse
704674	222786	Dr. Johnson
704674	249611	Steph
704674	279137	Lady in Gallery 2
704674	319012	Redhead
704674	341984	Mrs. Kathy Harper
704674	343017	Caterer
704674	366655	Hortense
704675	411507	
704676	149226	Rebecca-Jane Thompson
704676	381878	Various Characters
704677	251016	Souffleuse
704678	241687	
704679	189417	Hotel Maid
704679	210387	Girls' Group
704680	265100	
704680	313189	Editor
704680	331541	
704681	20808	Renée April
704681	23635	Clara
704681	24725	
704681	66725	
704681	85715	Nora
704681	101644	
704681	103200	
704681	128983	La Gitanilla
704681	153809	Ginette
704681	160105	
704681	243682	
704681	288203	
704681	307227	Marianne
704681	347757	Aglaé
704681	354674	Blanche Césarin
704682	19808	Worshipper
704682	31551	
704682	72208	Grandma
704682	136271	Herself (mother)
704682	323841	Patient
704683	19808	Child
704683	54953	Townsperson
704683	80460	Little Girl II
704683	151815	
704683	323841	Child/Dancer
704684	382491	Kessie (season 2) puppeteer, 
704684	395301	Trixie (Episodes 106-118)
704685	190468	Florence Kingsley
704686	17132	Extra talent
704687	41270	Cathy Thompson
704687	184369	Kim, militia member
704687	314358	Carol
704687	359553	June
704687	382052	PC Cass Rickman (1999-2002)
704687	391478	Janet Frazer (Series 3-4) (19
704687	393042	Sandra
704687	393268	Teenage Girl
704688	194039	Mandy
704688	304395	
704689	8932	Rosalee
704690	318759	Briana
704691	281705	Herself
704692	29745	Prison Guard
704692	29746	Angry Woman
704692	175792	Martha
704692	241830	Mrs. Parker
704693	167643	Belle Cartwright
704693	222574	
704693	401502	
704694	222661	Song Vocalist
704694	258034	Bess
704694	329600	Commissioner's Wife
704695	78311	
704695	278839	Mrs. Thompson
704696	49361	Mayne Schwartzman
704696	147754	Hotel maid
704696	214080	
704696	217946	Mrs. Young
704696	241349	First Mother
704696	264644	Cleaning Woman
704696	270497	Woman Angered at Truck Strike
704696	297889	Phone Gossip #6
704697	93974	Interviewer
704698	3642	Herself
704699	113319	Terri Walker
704699	219129	Hot tub girl
704700	204021	Leonie
704700	250811	Waitress
704701	74311	Vermilion
704701	150876	Magdalena
704701	194028	
704701	241341	Avril
704701	277839	Voice Off
704701	360094	Clover
704701	404664	Ms Fossington-Gore
704701	406763	Hil
704701	408091	Violet
704701	411201	Lingalonga Boccherini
704702	41987	Mrs. Tappan
704702	99856	Mrs. Crain
704702	274347	Nurse Ruth
704703	310760	Young Woman
704704	144467	Grandmother
704704	368170	
704705	94983	Lois
704705	199499	Pat
704705	302769	Rose
704705	304759	Anita Bircham
704705	352833	Nurse
704706	367083	Running Girl
704707	49734	Mrs. Drake
704708	8064	The Dying Woman
704708	186979	
704708	329094	Suzanne
704709	120905	Madeleine
704709	153879	
704709	157217	Jeanne
704709	167201	Yvonne
704709	287974	
704709	345215	
704709	354242	
704709	357037	Jacqueline Lenner
704710	96068	
704710	101950	Denise
704710	264436	
704711	171092	Drinking Fountain Girl
704711	248357	
704711	349416	Madeleine
704712	52070	Dancer
704713	221863	
704714	358373	
704715	16928	Ewaldowa
704716	21265	
704716	189857	Herself
704716	315516	Annalise
704716	407656	Bev (2001)
704717	351619	
704718	33130	
704718	62911	
704718	119265	
704718	124890	
704718	147164	
704718	199553	
704718	290459	
704718	303840	
704718	347668	
704719	26725	School Girl
704719	36909	
704719	65370	Little Girl
704719	266725	
704719	364577	
704719	403849	Nurse Samantha Beaumont (Seri
704720	67191	Vera Madeline
704721	293855	Granny
704722	359620	Schwester des Chefs
704723	174203	
704724	215290	Herself
704724	363909	Extra
704725	313951	Leslie Tucci
704726	40200	Additional Voices
704727	119976	Consoling Woman
704728	33669	Fátima
704728	81701	Lena
704728	110888	Ana/Angela
704728	161775	Claudia/Fernanda
704728	208243	May
704728	280038	
704728	296152	Ana
704728	380386	Lurdinha
704728	380387	Maria Lúcia Damaceno
704728	383727	Maria Clara Diniz
704728	385023	Beatriz 'Bia' Fraga Dantas
704728	386757	Márcia
704728	387932	Dóris Cantomaia
704728	388592	Cláudia
704728	389153	Ester Delamare
704728	393977	Diana Maciek
704728	395044	Paula Lee
704728	396795	Wanda Machado
704728	400584	Glorinha da Abolição
704728	403414	
704728	408330	Valquíria
704728	408550	Maria 'Duda' Eduarda
704729	13960	Aunt Cornelia
704729	146780	Kim
704729	214301	Carmen
704729	275876	Belinda Brown
704729	379716	Morgan Gordon (2003)
704729	400236	Margaret Cochran (#1) (2004)
704730	279830	Periodista Reina Sofía
704730	304478	Recepcionista
704731	96938	Helen
704733	17685	
704733	57613	Kristýna
704733	259055	Alena
704733	384085	Otheym's Caretaker
704734	12060	
704735	342951	Marianela
704736	84464	
704737	38963	
704738	365213	Margaret
704739	95606	
704739	262285	
704739	310227	Professor
704739	339339	Gacková
704739	374263	Mána, audio typist
704740	155347	
704741	222597	Cathy
704742	39086	Michelle
704742	261440	Gale
704743	121997	Herself (Volume I: Elders)
704744	8358	Mary Matthew
704744	9447	Gopinath's Wife
704744	9508	Annie
704744	16277	Saqiya (Guest Appearance)
704744	18794	Meenakshi
704744	18935	
704744	29066	
704744	37518	
704744	43292	Rosy
704744	59045	
704744	60022	
704744	60874	
704744	90573	
704744	91475	
704744	98488	
704744	107673	
704744	124220	
704744	124642	Gauri
704744	126138	Insp. Geeta Sinha
704744	136886	
704744	137835	
704744	161456	Jaya
704744	175886	Madhulatha
704744	179217	Celin
704744	180502	
704744	181052	Anjali
704744	181588	
704744	184996	
704744	193417	
704744	199666	
704744	202169	Girija
704744	206256	
704744	207810	Wife of Murder Victim
704744	209580	Rugmini
704744	216514	Bhadra/Bhama
704744	217851	
704744	226601	Geeta
704744	242250	
704744	242392	Gopika
704744	242409	
704744	243126	Gopika Menon
704744	243669	Susanna
704744	243860	Unniyarcha
704744	246366	
704744	249139	
704744	253555	Ganga
704744	260133	
704744	267006	Ganga
704744	267268	
704744	268068	Radha
704744	270175	Nancy
704744	271648	
704744	282027	
704744	283606	Gopika
704744	285112	
704744	297315	
704744	302102	
704744	320859	Sahabji's wife
704744	326232	Aruna
704744	327960	Devootty
704744	329253	
704744	330357	Ammu
704744	330362	
704744	332984	
704744	347433	
704744	351400	Pankajam
704744	373708	
704745	215487	Herself
704745	397888	Herself (2002-2003)
704746	11759	Poet
704746	25700	
704746	27465	
704746	45803	
704746	60401	Simran
704746	86736	Shabnam
704746	88279	Asha
704746	98743	Mohini
704746	135659	
704746	137101	Durga
704746	139996	Rani
704746	152463	Marya
704746	162499	Special Appearance (Song "Nar
704746	165167	Koyal
704746	171996	
704746	172897	
704746	204091	Mena
704746	211419	Vandana Nehle
704746	221109	
704746	233210	
704746	251877	Tina
704746	254830	Ajay's wife
704746	262870	
704746	272851	
704746	276693	Madhoo
704746	280567	Roja
704746	288041	
704746	294342	
704746	299570	
704746	344050	
704746	348924	
704746	349437	
704746	359550	Woman singer
704746	371347	Raagni Lohar
704746	371797	Aswathi
704746	373536	Madhu
704746	376091	
704747	4292	Madhu
704747	4343	Leela
704747	13128	Anju
704747	13130	Bijli
704747	13150	
704747	17313	
704747	19240	
704747	20357	
704747	27385	Ratna
704747	27662	
704747	27777	Chandrakanta
704747	30453	Shabnam
704747	30541	Manju
704747	32764	
704747	34201	Usha
704747	45414	Sangeeta
704747	45811	
704747	58686	Renu
704747	58964	
704747	62383	
704747	67126	
704747	79460	
704747	85284	
704747	85299	
704747	86687	Rajkumari
704747	88630	Madhu
704747	95006	Dulari
704747	95031	
704747	98538	Usha
704747	98539	
704747	101541	
704747	124483	Anju
704747	137502	Asha/Rajini
704747	138580	
704747	151790	Edna
704747	157341	
704747	160184	Gauri
704747	164294	Renu
704747	164927	
704747	165643	
704747	167359	Anjana
704747	168369	
704747	171502	
704747	172538	Madhu/Bela
704747	172619	Asha
704747	175863	
704747	175991	
704747	176150	
704747	176651	
704747	181041	
704747	183963	
704747	184160	
704747	186615	
704747	199649	
704747	200656	Kamini
704747	209861	Asha
704747	211401	
704747	211405	
704747	216379	
704747	220774	Anita
704747	221801	Anarkali
704747	222347	
704747	226115	
704747	226446	
704747	227618	
704747	228928	
704747	229332	Ganga
704747	229576	
704747	231954	
704747	233151	Poonam
704747	233210	
704747	234862	
704747	234870	
704747	244668	
704747	246471	Parvati
704747	248548	
704747	248692	Priya
704747	248798	Chanda
704747	248808	
704747	250841	
704747	254400	Banani
704747	254841	
704747	259211	
704747	260128	Vija (Balraj's niece)
704747	266957	
704747	270766	
704747	271120	Chanda
704747	271387	Raja Beti
704747	271568	
704747	273061	
704747	285825	Saiyan
704747	287365	Kamal
704747	288037	Rukhsana
704747	288200	
704747	288411	
704747	297571	Kamala
704747	299258	Shirin
704747	302654	
704747	303010	
704747	303328	Sadika
704747	323275	
704747	324877	Tarana
704747	326953	
704747	329223	
704747	330974	Radha
704747	335743	
704747	337070	
704747	351101	
704747	370293	
704747	370974	
704747	371797	
704748	4276	Kiran
704748	15163	
704748	19056	
704748	27731	
704748	32764	
704748	45814	
704748	165643	
704748	169739	
704748	217157	
704748	228704	
704748	229336	
704748	248743	
704748	287160	
704748	288313	
704748	293261	
704748	298629	
704749	377961	Yasmina
704750	53746	Hermione
704750	103869	
704750	108455	
704750	226454	
704750	245456	
704750	302821	
704750	332460	
704750	344871	
704751	49103	Ayu, Adik Zaiton (Zaiton's yo
704751	294128	Ayu
704752	6556	Martha Brighton
704752	9879	Glory
704752	13588	Molly Slavin
704752	16127	Roxy Ventola
704752	37098	Herself
704752	47009	Mary Jane Vann
704752	72747	Marilyn
704752	78835	Liz Beaumont
704752	79719	Alison Ransom
704752	87610	Beth Walker
704752	110967	Madelyn 'Maddie' Stephens
704752	112008	Annie Kinsella
704752	140405	Amy Hill Hearth
704752	149563	Other Voices
704752	158298	Arlyne
704752	158361	Connie Murphy
704752	171019	Cindy Wilder
704752	184822	Reggie Fluty
704752	186103	Deedee Johnson
704752	195518	Terry Jean Moore
704752	195818	Wendy
704752	196350	Brett Amerson
704752	196918	Kari
704752	201502	Herself
704752	206128	Other Voices
704752	223100	Herself (McCoy)
704752	236147	Barbara Cutter
704752	257132	Viola Kelsey
704752	259749	Peggy Guggenheim
704752	264056	Carla Headlee
704752	271961	Mary
704752	277223	
704752	277988	Jane Withersteen
704752	280421	Sarah Weddington
704752	299944	Bessie Gilmore
704752	304870	Maggie
704752	316760	McCoy
704752	333226	Jackie (Sam's Mom)
704752	338630	Billy Jean Bailey
704752	342459	Sunny
704752	345752	Chanice Kobolowski
704752	353416	Chloe Brill
704752	360272	Voice
704752	366811	Hannah DiMartino
704752	374353	Woman at funeral
704752	378891	
704752	379999	
704752	381356	Herself
704752	383490	Iris Crowe
704752	385280	Carmel Cantrell
704752	387939	Sarah Jamieson
704752	393379	Voices
704752	399719	
704753	69417	Priscilla
704753	119826	
704753	154414	
704753	187411	
704753	221376	Carol
704753	245615	
704753	261424	Rose
704753	321784	Sheila
704753	326429	Nancy
704753	361935	
704754	846	Herself
704754	168842	Herself
704754	367874	Herself
704754	368393	Herself
704754	395159	Herself (7th Eliminated)
704754	395160	Herself
704754	409712	Herself
704755	45486	Mom
704756	155072	Bonnie
704757	319001	Featured Player
704758	161741	Bee lady
704758	297955	Dr. Wellman's nurse
704758	340704	Nurse
704759	139543	Girlfriend
704759	310156	Mary Smith
704759	317353	Cindy Shine
704760	26385	Maggie
704761	387471	Irish Peasant
704762	252294	Mrs. Wela
704763	228546	Felix Dobermann
704764	281666	Betrunkene frau
704765	49268	
704765	97482	Blonde
704765	391604	Barbara 'Blondie' Koschinski 
704766	200940	La mère de Louis
704767	39753	
704767	104635	Herself
704767	114277	
704767	379831	Office Worker (1990)
704768	41435	
704768	75566	
704768	274198	Girl In Hotel
704768	287729	Laura Britton
704768	291251	
704768	350176	
704769	273276	Herself
704771	311527	
704772	84432	Chelsea
704772	92767	Nurse
704773	5726	
704773	8365	
704773	9940	Jess, the Fishermaid/The Merm
704773	10572	
704773	10575	
704773	12350	
704773	28270	
704773	39761	Marie de Severac/Zoraida
704773	48542	
704773	50210	
704773	51774	
704773	54523	
704773	58613	Lorelei
704773	73443	
704773	73776	
704773	73777	
704773	74321	
704773	77467	Hermion
704773	77714	
704773	78010	Mary Emerson
704773	80454	
704773	80637	
704773	80677	
704773	85907	
704773	87607	Jane Frazer
704773	89743	Dolores D'Arada
704773	94531	
704773	98809	Eleanor McGrady
704773	106290	
704773	107567	
704773	109341	Lisette
704773	111725	
704773	112066	
704773	114858	
704773	115518	
704773	123317	
704773	128205	Gal
704773	128272	
704773	128496	
704773	130660	Olga McGee
704773	133771	Countess Nada
704773	133841	Herself
704773	140099	
704773	141202	
704773	141452	
704773	143016	Rethna
704773	143073	Adeline Gabler
704773	145409	
704773	146169	
704773	146200	
704773	152554	
704773	165480	
704773	183391	Mrs. Lincourt
704773	186309	
704773	191373	
704773	196163	
704773	197298	Mrs. Marvin
704773	197699	Florentine Fair
704773	202935	
704773	207414	
704773	212234	
704773	219947	
704773	219998	Alice/Jen
704773	224788	
704773	224819	
704773	252466	
704773	256126	Grace Milton
704773	262042	
704773	263507	Anne Steel
704773	264376	
704773	278462	
704773	280948	The Other Woman
704773	282397	Anne Delaney
704773	286799	Jamin, the Philistine
704773	290967	
704773	291859	
704773	295485	
704773	296937	
704773	302369	
704773	309138	
704773	309476	Jane
704773	309583	The Chameleon
704773	316839	
704773	329780	
704773	333072	Tillie
704773	334089	
704773	338219	
704773	339267	Rose Trine/Judith Trine
704773	340032	
704773	340731	Mrs. Parry
704773	346094	
704773	347310	
704773	347604	Mataoka
704773	355081	
704773	360293	
704773	360631	
704773	363171	
704773	363621	
704773	365327	
704773	367664	
704773	367680	
704773	367745	Iris Starr
704774	368600	Follower
704775	43733	Jeannie Douglas
704775	91775	Mrs. Burton
704775	108516	Eighth Wonder
704775	286358	
704776	1784	Cindy
704776	41473	Treasure
704776	73898	Prostitute
704776	75543	Rox Ann
704776	98652	Starlina
704776	123030	Monica
704776	137808	Marian
704776	140699	Daphne
704776	156524	Jenny
704776	191324	Carla
704776	222330	Carrie
704776	223807	Jogger
704776	273563	Brandy
704776	297242	Calle
704777	130995	Sally
704778	399130	Kellie Jamison (1996-1998)
704778	399867	Sally Huxley
704779	329451	Maud Brightlights
704780	379924	Herself
704781	84869	Babs
704782	228338	Bessie Mears
704783	152537	The Human Fish
704783	311705	Herself
704783	359548	
704784	185106	Miss Lady Bright Eyes
704785	50385	
704785	291023	
704786	122113	Additional Voices
704788	139050	Tracy Jo
704789	1884	
704790	2861	
704790	32876	Jeanie
704790	55708	Miss Winn
704790	55712	Sheila
704790	144845	Kitty
704790	226931	Carol
704790	257987	Cashier
704790	294810	Mary Williams
704790	388320	Christiana Van Meergeren
704790	400519	Marcia Hatton
704791	282416	
704792	32241	Kristina
704793	296677	Kira McGovern
704794	117483	Customer
704795	188615	Jury foreman
704796	37354	Ginger Malloy
704796	44951	Natalie Ransome
704796	58956	Ruth
704796	68248	
704796	68779	Herself (interviewee)
704796	116443	Girl in secretary dance
704796	130622	Water Ballet Swimmer
704796	143267	Fred's Sister, Elli
704796	154680	Herself
704796	199176	Olga Chekova
704796	215634	Second Nurse
704796	220490	Elaine
704796	236096	Waitress
704796	257513	Bit
704796	257559	May, a Salesgirl
704796	273781	
704796	273798	Rita
704796	274502	
704796	277628	Undetermined Role
704796	305459	Irontown blonde borrowing $10
704796	306397	Julie Hempel
704796	319147	Chorine
704796	327872	Cafe Maid
704796	347120	Waitress
704796	368244	Ensemble member
704797	255589	
704797	380381	
704797	402074	Annette
704798	410868	Jennifer (recurring)
704799	257597	
704799	257598	
704800	75430	Ames
704801	174503	Office Woman
704801	385824	Isabella 'Belle' Black #7 (20
704802	102581	Parent
704803	163932	Naomi
704803	337699	Another Woman
704803	337814	Female College Passenger
704803	355114	Tabitha
704803	358845	
704804	40615	Angela's Mother
704804	105103	Mrs. Gaynor
704804	114305	Mrs. Livingston
704804	141293	Madame Bezanne
704804	145783	Mrs. Welling
704804	178026	Mrs. Hale
704804	190449	Mrs. Horace Dunkelberg
704804	301839	Mrs. Cooper
704805	73674	Amber St. Pierre (Miss April)
704805	79675	CDC Reporter
704805	143613	Girl #2
704805	151616	Mrs. Sawyer
704805	361229	Laurie Smith
704806	42822	Jenny
704806	73340	Letra
704806	256528	Betsy
704806	268201	Syd
704806	313829	Nancy
704806	342653	Girl #2
704806	345702	Ceil
704806	355173	Woman at Restaurant
704806	360032	Lucille
704807	217023	Nurse of Amedeo Modigliani
704808	285000	Singer
704809	279509	Kitty
704810	149114	Première voisine
704811	29126	
704811	149114	Deuxième voisine
704812	176256	Tribal Dance Group
704813	135402	Saucy wood nymph
704814	32088	Elizabeth
704814	126544	Corrine
704814	137766	Nurse, NicoPatch Commercial
704814	148874	Honey's Friend
704814	196948	Maureen
704814	223691	Hot Latina
704814	342156	Fast Food Girl
704815	196706	Teacher
704816	33772	Lisa
704817	94096	Mary Ruth Rowe
704818	57665	
704818	73815	Moll
704818	111928	Fruma Sarah
704818	169420	
704818	247036	Sybil Stamfordis
704818	253331	Gladys Pugh
704818	346020	Mrs. Dai Bread Two
704818	352682	Mrs. Ifans
704818	391509	Gladys Pugh
704818	392279	Betty Smith
704818	393208	Jean Pryce
704818	395729	Dafydd's Mum (Series 2-) (200
704818	397809	Miss Buthaven
704818	400111	Mrs. Evans
704818	403312	Various Characters (2004)
704819	222693	Frankie
704820	220951	
704821	687	Herself
704821	846	Herself - #26: Things They Sh
704821	1469	Herself - Performer: 'The Pow
704821	1743	Herself
704821	2526	Herself/Performer: "Nothing R
704821	2542	Herself
704821	2549	Herself (performer)
704821	2562	Herself
704821	2581	Presenter
704821	2721	Herself
704821	2899	Herself - Performer: 'Sooner 
704821	2924	Herself - in 'Cabin Boy' audi
704821	2940	Herself - Performer: 'You Mus
704821	3021	Herself - Presenter: Best Son
704821	40329	Herself
704821	41379	Hortense Hathaway
704821	41829	Singing Telegram
704821	42786	Rebecca Carlson
704821	47166	Herself/Performer: "Bedtime S
704821	57665	
704821	58170	Bruna
704821	84002	Susan
704821	86263	Verity
704821	96555	Herself
704821	105203	Herself
704821	105462	Eva Perón
704821	118367	Elspeth (segment "The Missing
704821	120107	Herself
704821	120665	Herself
704821	128089	Boss #3
704821	129992	Herself
704821	138717	Herself
704821	142584	Texas Guinan
704821	145692	Star
704821	146635	Herself
704821	158505	Herself
704821	161641	Nurse
704821	165810	Herself
704821	176493	Herself/Voice
704821	186650	Mae 'All-The-Way-Mae' Mordabi
704821	192508	Herself
704821	199725	Herself
704821	199735	Herself
704821	199736	Herself
704821	199748	Herself
704821	199755	Herself
704821	199756	Herself
704821	199757	Herself
704821	199758	Herself
704821	199760	Herself
704821	199762	Herself
704821	199763	Herself
704821	199764	Herself/Various Personas
704821	199765	Herself
704821	199766	Herself
704821	221408	Herself/Performer "Like A Vir
704821	221413	Herself
704821	221416	Herself/Performer "The Power 
704821	221420	Herself/Performer (song: "The
704821	221422	Herself
704821	221426	Herself
704821	221472	Herself
704821	221476	Herself
704821	221478	Herself/Performer: "Shanti/As
704821	221479	Herself
704821	221483	Herself/Performer
704821	223003	Herself
704821	230713	Herself
704821	230786	Herself
704821	231088	Abbie Reynolds
704821	243950	Herself
704821	257640	Herself
704821	262959	Herself
704821	280702	Herself
704821	288715	Herself
704821	296917	Marie
704821	297389	Gloria Tatlock
704821	321420	Amber Leighton
704821	327197	Herself
704821	330027	Herself
704821	336242	Madonna
704821	355347	Singer at club
704821	362301	The Chick
704821	364367	Nikki Finn
704821	368287	
704821	388268	Herself
704822	381091	Herself (eliminated round 3) 
704823	34702	Stripper
704824	208128	Voyou du village
704825	87672	
704826	83868	
704826	381900	Herself
704826	381904	Herself (2nd Evicted 2003)
704826	387805	Isabelita
704826	397210	Secretaria (2000-2002) (segme
704827	234371	Rosario
704828	237439	
704829	132253	Claire
704829	155618	
704829	325521	Frau Kutschner
704829	361111	Clara Huber
704829	395644	Susi
704830	220142	Angela
704830	262094	Secretary
704830	381091	Herself (eliminated round 2)
704831	221894	
704832	76113	
704832	151806	(segment "Viernes")
704832	210868	Angela, Dr. Fuentes' Daughter
704832	231571	Clara
704832	354995	Imelda
704832	390127	
704832	397838	Marcela
704832	401068	Yaya
704832	407850	
704832	408406	Marlene
704833	30418	
704834	89586	
704834	212347	
704835	386618	Contestant
704836	84230	Death House Doll
704837	229246	Barbara
704838	324889	Women's Sewing Circle
704839	385353	Co-Hostess (2003-)
704840	55209	Encargada
704840	169794	Brigitte
704840	248282	Secretaria
704840	384734	Chari (1999-2001)
704841	7811	Bondage Queen
704842	17667	
704842	167127	Schöne an der Bar
704843	100306	
704844	70090	Norma Mendoza
704844	105945	Prison Guard with Keys
704845	243415	
704845	258500	
704846	367792	
704847	174794	
704848	285071	
704849	253318	Mesera
704850	293334	
704851	293334	
704852	149821	Ingrid
704853	405936	Taboinha
704854	341077	Young Prostitute
704854	409026	Rita
704855	191440	
704856	318331	Patty
704857	375736	Carla
704857	402638	Beatriz `Bia' Coelho
704858	10370	
704858	13117	
704858	22180	Olimpia
704858	55003	
704858	76154	
704858	78362	Rosa
704858	85517	Ana Plácido
704858	88580	The Woman
704858	104110	
704858	118813	Franzina (frail)
704858	123914	Celestina
704858	132220	Alice
704858	156411	
704858	197155	Marta
704858	197976	Teresa
704858	207663	
704858	213402	
704858	245844	Tina
704858	246292	La matonne
704858	269054	Julieta
704858	287958	Ercília
704858	302048	Susana
704858	309375	Portiera
704858	349815	Simona
704858	386803	
704858	402791	Nun
704858	407867	
704858	409026	Cecília Brito
704859	275708	Herself - Politician, Dansk F
704860	305861	Rene
704861	268349	Herself (Oversygeplejerske)
704862	83090	
704863	354683	Nancy Stone
704864	191688	Native woman
704865	220622	Young Wife
704865	241256	Lee Freeman
704866	9965	Mrs. Ben
704866	289668	Native American #3
704867	55126	Esther's Mother
704868	116362	Lise Lotte Dahl
704869	166847	Nille
704869	305307	Jensens skolekammerats kone
704869	354739	Fru Holm
704870	30160	Ismejeridame
704870	64634	Sangerinde
704870	138930	Medhjælper I døgnkontakten
704870	280218	Connie
704871	83086	
704871	83087	Kvinde på markedsplads
704871	90167	Husbestyrerinden
704871	95698	
704871	109134	Patient
704871	110771	
704871	117459	Husholderske Thomasine Vollmo
704871	122596	Anni
704871	139380	
704871	147395	Campist
704871	153759	Nonne/Nun
704871	159641	kolonialforretningsejer Fru. 
704871	178007	Fru Knudsen
704871	178749	
704871	182460	
704871	203922	Fru Mortensen
704871	213437	Helena
704871	231669	Skruk-Hanne
704871	303643	Eriks værtinde
704871	303920	Gudrun
704871	331994	Enkefru Svendsen
704871	334045	Pensionatværtinden/The Landla
704871	345985	
704871	346965	Fru Pedersen
704871	351462	
704872	378907	Herself - Expert in life styl
704872	394309	Herself - Co-host/Expert in l
704873	406823	Malin
704874	42208	Student
704875	209328	Gammel dame i 1740
704876	387293	Sangerinde (Hos Johs)
704877	44519	Bartender
704877	53764	Candy
704878	212332	Herself - Participant/Perform
704880	238555	
704881	217785	Kollega, Trine
704881	317472	Gitte
704882	181736	Lille tvilling
704883	282904	
704884	253471	Personal Maid
704885	50328	Joanna
704885	383045	Joanna
704886	35121	Sussi
704886	184660	Nøgen kvinde #1
704886	266984	Gretchen
704886	291686	Stripper
704887	255441	
704888	7890	Traci
704888	12248	Clare
704888	13595	Lucy Monroe
704888	13966	Penny Tillman
704888	18963	Karin De Vries
704888	21321	Emma Becker
704888	28492	
704888	32409	Polaire
704888	38988	Annie Westford
704888	41957	Gina Hayes
704888	43877	Helen Lyle (Candyman)
704888	46153	Wanda Lovell
704888	53821	Helen Lyle
704888	54706	Herself
704888	55531	Susan Prince
704888	61737	Ingrid Bast
704888	68779	Herself
704888	72850	Barbara
704888	73827	Anne Rodney
704888	95181	Princess Irulan
704888	95183	Princess Irulan
704888	98912	Madeline Robistat
704888	113857	Lisa Taylor
704888	115811	Molly
704888	121520	Brenda
704888	127295	Dixie DeLaughter
704888	132225	Rachel Carlyle
704888	140193	Jane
704888	141155	Marion Davies
704888	141253	Delia
704888	145045	Herself
704888	145046	Louise Marcus
704888	150390	Dolly Harshaw
704888	160567	
704888	162426	Betty Stuart
704888	171078	Brenda Kniffen
704888	171315	Kim
704888	191036	Linda Cowley
704888	193915	Dixie Lee Boxx
704888	195787	Rebecca Bishop
704888	198044	Vera Miller
704888	208065	Lou Ellen 'Ellie'
704888	216905	Kelly
704888	221055	Sally Boffin
704888	222806	Carolyn Warmus
704888	234196	
704888	265864	Katherine Henley
704888	271287	Jackie Lemanczyk
704888	300945	Maya
704888	304480	Yolanda Caldwell
704888	321402	Herself
704888	327628	Emma
704888	330503	Anne Scholes
704888	353391	Carla Simmons
704888	375698	Andrea
704888	379997	Rebecca Sandstrom
704888	398642	Claretta Petacci
704888	409616	Co-Host (1998-1999)
704890	121004	Siri
704890	214690	Irina Lindbaum
704890	239237	The Princess
704890	303675	Anita
704890	315041	Lena
704891	121541	Horse's Sister
704892	408212	Jussanã
704893	387897	Clementina Borosfky
704893	397578	Ninfa
704893	403125	Dayana
704894	15247	Queen
704895	317335	Punker
704896	15062	
704896	38667	Cynammon Jones
704896	95271	Kimberly
704896	276686	Cynthia Cross
704897	90456	
704897	165941	
704897	222055	
704897	244086	
704897	285577	
704897	344828	
704897	370974	
704898	35832	
704898	126988	
704898	143762	
704898	165647	
704898	174465	
704898	183088	
704898	216702	Mother
704898	289281	
704898	324996	
704898	375553	
704899	8449	
704899	8923	
704899	14348	
704899	57519	
704899	85195	
704899	101179	
704899	101205	
704899	103785	
704899	217708	
704899	240290	
704899	252310	
704899	308291	
704899	326130	
704899	357058	
704900	110399	Yayla
704901	9353	
704902	373567	
704903	9467	Neli
704903	235291	
704903	304734	Loatian Cashier
704904	110890	Gladys
704905	255159	
704906	199875	Herself
704908	133345	Party Guest
704909	326869	
704911	189863	Herself
704912	123029	Erica Kosaka
704914	150057	
704915	19561	Princess Zobeide
704915	354915	
704916	377708	La voisine
704917	81644	H-burger employee
704918	345136	Infirmière #3
704919	30987	Shiori Kitano (Transfer Stude
704919	30988	Shiori Kitano
704919	123446	Ayana
704919	130499	Cameo appearance (Twin girl i
704919	334822	
704920	176711	O-Ren (anime sequence)
704920	294105	Oichi/Edit Woman
704920	369525	Shion Uzuki
704920	381067	Marin
704920	385980	Mimi Tachikawa
704920	385981	Mimi Tachikawa
704921	30987	Noriko Nakagawa
704921	30988	Noriko Nakagawa - Girls #15
704921	122955	Mayuko Fujii
704921	122957	Ayumi (story 'Shokki')
704921	123446	Young Ayana
704921	130499	Cameo appearance (Twin girl i
704921	168084	Mina
704921	180056	Ryoko Yoda
704921	229583	Yuki
704921	294164	Kataiko
704922	231341	Sueko, younger sister
704923	44271	
704923	167985	
704923	334830	
704923	373222	Ai Asaka
704924	153481	Ruby
704924	172286	Riko (Saeko) Matsumiya
704924	214398	
704924	276621	
704924	324536	Singer in Bar
704924	350189	Carmila
704925	390799	Tanabe Maki
704926	46251	Teresa
704927	391575	Momoko/Pink-Mask
704928	238167	Rieko Mizuori
704929	176206	Mikiko Nakagawa
704930	400053	Hazuki's Mom
704931	195628	Tama-Chan
704931	384220	Carlos/Arcee
704931	402729	Onsen Tamago/Sachiyo Matsumot
704932	330405	(segment "The Wrap-Around")
704933	141653	Truck Stop Waitress
704933	245272	Female Reporter
704933	328501	Medical Examiner
704933	402197	Petra Roberts (1983)
704934	398900	Yuka, et al.
704935	267324	Marianne
704936	60638	
704938	378862	Herself
704939	189672	Christa
704940	240230	
704941	369136	
704942	265092	Novice
704943	17056	Dr. von Unruh
704944	189851	Herself
704945	72391	Vampire Actress
704946	18347	Ander kind van Letta (Letta's
704947	24393	
704947	56125	Schauspielerin
704947	56545	Herself
704947	279969	Chèrie
704947	365917	Britta Windhorst
704947	379372	Vicky Fleming
704947	379779	Dr. Heike Burkhart
704947	390703	
704948	352216	Roza
704948	388299	Mieke Van Den Bossche (#2) (2
704948	395326	Chantal Decoster
704948	406203	Iris Welvis-Van Hamme (2000-2
704948	409928	Kathleen Biesemans
704948	411311	Maggie (1998)
704949	222972	
704949	383368	Host
704949	386671	Host
704949	409159	Host
704949	409160	
704949	412021	Host
704950	204536	Ariane
704950	304441	
704951	377617	
704952	356855	Anina
704953	5412	Crazy Woman
704954	78515	Angelien
704954	125366	Jenny
704954	134148	Andrea verachtert
704954	134371	
704954	152366	Secretaresse
704954	178447	Agnes
704954	179814	Verpleegster
704954	184354	Sanderijn
704954	241204	Pam
704954	242897	Liesje
704954	278661	
704954	319998	Lizette
704954	375791	Mathilde Verlaine
704954	400801	Onze Lieve Vrouw van Vlaander
704954	406558	Rita Muyshondt
704954	408151	Lilianne De Roep (1996-2000)
704955	152378	Nathalie
704956	99268	Commissielid 1
704957	18347	Ander kind van Letta (Letta's
704958	409887	
704959	104752	Belgian entry (7th place)
704959	228239	Herself
704960	104752	Belgian entry (7th place)
704960	228239	Herself
704961	152962	
704962	379043	China
704963	231704	Moeder van Dik Trom
704964	104690	Herself
704964	104745	Dutch entry (7th place)
704964	104752	Belgian entry (7th place)
704964	104757	Belgian entry (4th place)
704964	228239	Herself
704964	387950	Herself
704964	400710	Herself
704965	80959	
704966	384795	Duna (2001-2002)
704967	390735	Lina
704967	398072	Remedios
704968	393549	
704969	20452	
704969	36514	Athena
704969	67897	Maria, Maid
704969	94701	
704969	104659	
704969	197180	
704969	205294	
704969	237999	
704969	252772	
704969	278858	Irene
704969	313901	Un ospite dell'istituto
704969	328210	Un'orfanella dell'istituto
704969	336593	La nera australiana
704969	336617	La signora del treno
704969	341791	
704969	351532	
704969	353152	Pallina
704969	357971	
704970	57312	Odilia
704970	75235	Grazia
704970	383784	Virginia Forti
704970	410311	Martina Rossi
704971	288888	
704971	327098	
704972	94250	L'epicière
704973	143757	
704974	22615	Mujer
704974	81979	Iris
704974	117093	Marianela
704974	118327	Kay
704974	120080	Cristina Kahlo
704974	150524	Cariola
704974	158462	María Teresa 'Mate' Mirabal
704974	204769	
704974	220171	Chichina Ferreyra
704974	233343	Inés
704974	255234	Carla
704974	292935	Carla
704974	324502	Elena Flores
704974	333391	Ana Pauls
704974	351773	Danilla
704975	207769	
704975	281817	
704976	194818	Party Girl
704977	393360	Maximiliane
704978	225115	Schoolgirl
704979	102441	Rocío
704980	7062	
704980	42605	
704980	125635	Concubine
704980	273298	
704980	322331	Cynthia
704981	276821	Maara
704982	293600	
704983	18663	
704984	242417	
704985	375736	Suraida
704986	33148	Boarding house's owner
704986	155177	(segment "Ibrahim do Subúrbio
704986	204751	(segment "O Homem dos Quatro 
704986	208143	
704986	302303	Lucélia
704986	308273	
704986	379008	Damásia
704986	380531	Margarida
704986	380563	Zuleide
704986	380777	Consolação
704986	381222	Zulmira
704986	381583	Carmen
704986	382405	Gonzaguinha
704986	382684	Conceição
704986	382776	Edith
704986	383130	Emily
704986	383172	Margarida
704986	383866	Adélia
704986	384480	
704986	385023	Guiomar da Silva Motta
704986	385992	Celeste
704986	389643	Maria Machadão
704986	390494	Nenê
704986	390499	Elvira
704986	390658	Maria do Socorro
704986	391609	Gioconda
704986	395044	Sarita
704986	395882	Joana
704986	396387	Efigênia
704986	397540	Delfina
704986	398503	Manuela
704986	400838	Mariana
704986	401095	Zoraide
704986	401104	Gioconda
704986	401460	Ester
704986	401678	Zeny
704986	401900	Leonor Batalha
704986	401944	Celeste
704986	402370	Dinorah
704986	402626	Kitty
704986	403733	Pombinha Abelha
704986	404306	Maria Paradeira
704986	404960	Francisquinha
704986	407801	Arminda Terra
704986	412179	Irene
704986	412241	
704987	338403	Reggae Band
704988	229027	Angélica
704989	12401	Amelia
704989	15907	Waypoint Hula-Hoop Girl
704989	191799	Erin's Voices
704991	47172	Herself - So Solid Crew/Perfo
704991	311953	Herself/Performer
704992	13798	Marie
704992	82050	Julie Bishop
704992	87576	Catherine Alvarez
704992	91769	Margaret Skolowski
704992	102341	Claire Isaacs
704992	141965	
704992	143051	Sally Canter
704992	143068	Officer Caldwell
704992	147500	Carla Morengo
704992	154040	First Family Court Judge
704992	160896	Diane
704992	178138	Dr. Ruocco
704992	206447	Angie's First Customer
704992	216184	Laurie Meisinger
704992	230857	Virginia VanUpp
704992	231511	Ms. Jones
704992	248132	Carmen
704992	282482	Agent Ellen Marks
704992	305638	Prostitute
704992	330443	Debbie (segment "Love Waits F
704992	338751	
704992	399502	Liz Cruz (2004-)
704992	402270	Grace Alvarez
704994	337839	
704995	389224	
704996	205213	
704997	272257	La femme flic
704998	312259	Leila
704999	8915	
704999	18319	Antoinette Moulin
704999	69723	
704999	86437	Jeannette Thévenin
704999	160204	
704999	258317	Anne-Marie Berthillot
704999	262948	Une pensionnaire de l'orpheli
705000	59244	
705000	281800	Adelaide Rose
705000	411366	Ivy Anderson (episode 3: Neri
705003	165102	Hostage
705005	344831	The woman
705006	14924	
705006	71224	
705006	104490	
705006	122767	Sinhazinha
705006	127587	
705006	387640	
705006	394872	
705006	400902	
705006	401900	Santa
705006	402504	
705006	402626	
705006	412179	Nurse
705007	104082	
705008	380326	Lurdes
705009	191404	Belly Dancer
705010	160273	
705011	7460	
705011	8214	
705011	33615	
705011	42020	Marka
705011	43415	
705011	44964	La Vieille Fille
705011	55877	Céline
705011	58224	
705011	63722	
705011	66092	La dame du rendez-vous
705011	66715	
705011	74913	Mme Rose
705011	78076	Woman
705011	84599	
705011	117974	La dame dans le cimetière
705011	118586	
705011	124397	La Perrine
705011	125461	La postière
705011	133047	
705011	152329	Marie
705011	157278	
705011	159017	Mac Failane
705011	160550	
705011	183800	L'habilleuse
705011	199582	Isabeline
705011	216235	
705011	218527	
705011	225410	
705011	240607	Mme. Vincet
705011	254016	
705011	264311	La première commère
705011	268462	La grand-mère
705011	268881	
705011	283048	La dame à l'auto
705011	300760	
705011	339498	L'infirme
705011	340160	Marquise de Botarin
705011	354243	Marie
705011	354658	Mme Mangeaviaca
705011	354875	
705011	379103	
705011	383454	La mère Bertile Pacouli
705011	385602	La commère
705011	402357	
705012	309452	Aurore
705013	404272	
705014	387309	Cheri Colton (1962)
705015	61558	Dying Woman
705015	246292	Santa
705016	282242	Eka
705017	285089	Raisa
705018	86252	Queen Mariami
705019	114564	Opera Singer
705020	16000	
705020	20696	
705020	68573	Seboipepe
705020	82349	(segment "Os Divinos Sons da 
705020	85598	
705020	88794	(segment "O Torneio")
705020	124235	
705020	155550	Aurora Madalena
705020	168139	
705020	214629	
705020	225111	
705020	244194	(segment "Perigo Negro")
705020	248680	Lurdes
705020	269011	Virgínia
705020	269539	
705020	273287	
705020	285420	
705020	291678	
705020	295097	Aurora
705020	328035	
705020	334575	
705020	338242	
705020	344230	Maíra
705020	344695	
705020	382405	Ana
705020	387424	
705020	389643	Glória
705020	403738	Natália
705020	404306	Dalva
705020	408550	Mercedes
705021	314340	
705022	75485	
705023	166378	
705024	369982	(group 'Paquitas')
705025	256153	
705026	389643	Pretinha
705027	385184	Benedita (Batista's maid)
705027	385947	
705028	2839	
705028	25158	
705028	103903	(segment "O Milhar Seco")
705028	104497	
705028	148481	
705028	174739	
705028	225110	
705028	251561	
705028	252759	
705028	256153	
705028	308741	
705028	344699	
705028	344782	Rosa
705029	104134	
705030	30983	
705030	63633	
705030	201626	Herself
705030	201647	
705031	53889	
705031	68044	
705032	350141	
705033	121342	
705035	205008	
705035	324869	
705036	318279	
705036	341136	
705037	133049	
705037	278585	
705037	341473	Geraldina
705038	301335	
705039	61345	
705040	229706	
705041	10238	Sílvia
705041	84514	Rosa
705041	242878	Herself
705041	256750	
705041	306794	
705041	371954	Herself
705041	379450	Sofia
705041	380081	Maria das Graças 'Grace'
705041	380326	Ivete
705041	383677	Pepita
705041	385030	Valquíria
705041	385385	Fátima
705041	386017	Suzana
705041	386142	Lola
705041	387640	Geni
705041	387732	Anita
705041	387830	Nora Pellegrini/Assunta
705041	387929	Maria Teresa
705041	388681	Violante Ventura
705041	389662	Maria Emília
705041	389787	Meggy Parker
705041	390507	
705041	390658	Kátia
705041	392628	Mercedita
705041	392629	Mercedes
705041	397198	Lia
705041	397539	Valentina Venturini
705041	400584	India do Brasil
705041	400670	Úrsula
705041	401820	Leonor Dantolo
705041	402263	
705041	402371	Carmela Ferreto de Vasconcelo
705041	403733	Matilde
705041	404306	Zélia
705041	404814	Adriana
705041	404834	Flaviana
705041	405100	Janette Legrand
705041	405401	Maria
705041	405418	Talita
705041	405864	Suzuki
705041	405936	Magnólia
705041	408212	Tonha
705041	408997	
705041	409419	Lígia do Amaral
705041	409426	Nara Paranhos de Vasconcellos
705041	410096	Lalá
705041	410190	Bibiana
705042	30253	
705043	171470	
705043	228896	Griselda
705043	316282	Actress
705044	324448	Dancer: La cumparsita
705044	407815	Herself (Single) (2002)
705045	35009	Dr. Ellen Kratsch
705045	102704	
705046	16964	
705046	27738	
705046	32106	
705046	182233	Grace
705046	204602	Young Elisa
705046	302797	Vik
705046	385540	Donna
705047	51372	
705048	100296	
705048	104755	Luxembourg entry (9th place)
705048	163024	Isotta Fraschini
705048	315829	Cantante Tersifone
705048	398794	
705049	342980	The Assistant
705050	144075	
705051	292637	Dr. Bernis
705052	27243	Bad girl
705053	403805	Dr. Erica Page (2002-2004)
705054	345040	Tango dancer
705054	371416	Accordionist on truck
705055	337366	Tea House Proprietess
705056	67485	
705057	193858	Amanda
705058	41454	Sophie
705059	59978	Lyubov Aborina
705059	88414	Anna
705059	95615	Nina
705059	95648	Yelena Belova
705059	132088	Marie Uhrbach
705059	174435	Margarita
705059	207161	Baroness
705059	227915	Lyubov Aborina
705059	236072	An actress
705059	261206	
705059	284620	Vishnevskaya
705059	289867	Suzi
705059	293685	Levina, engineer
705059	294664	
705059	304575	Martha Frost
705059	343965	
705059	357259	Tatyana Lugovaya
705060	65555	Mujer policia
705061	24960	Housekeeper
705061	58807	Alice
705061	96958	Woman in Wedding Party
705061	220894	Other Bartender
705061	227926	Hillbilly
705061	232481	Debbie
705061	241294	Jill Fowler
705061	243930	Lucy
705061	248441	Fat Lady
705061	252884	Women in Audience
705061	263755	Woman in Street
705061	304437	Laura
705061	340946	Marsha
705061	350155	Waitress
705062	80241	
705062	379000	Fátima
705062	379615	Ileana
705062	380123	
705062	386109	Severa
705062	387816	Dominga
705062	392848	La Abadesa
705062	395373	Cruz
705062	398519	
705062	398662	Doña Coromoto
705062	400942	Renata
705062	402772	
705062	403289	Providencia
705062	405813	
705062	412084	
705064	321206	Lois Clarent
705065	387574	Esmeralda
705065	391570	Lucero
705066	70091	
705066	223618	
705066	267050	
705067	8727	
705067	10003	
705067	13139	
705067	17135	
705067	19382	
705067	19462	
705067	22766	
705067	22773	
705067	24624	Beggar
705067	27846	
705067	51233	
705067	51914	
705067	54720	
705067	56130	
705067	57869	Andrea
705067	59776	
705067	59793	Mexican artist
705067	61435	
705067	63809	
705067	74551	
705067	76095	
705067	77227	Chinese Woman
705067	77274	Velia
705067	88194	
705067	90094	
705067	91318	Socorro
705067	91413	
705067	103159	
705067	103719	
705067	103771	
705067	108721	Minerva Ruiz
705067	111320	
705067	125757	Tilón
705067	131057	
705067	132685	
705067	134500	
705067	135282	
705067	140553	
705067	145177	
705067	145195	
705067	145230	
705067	145233	Sofia
705067	145275	
705067	146478	
705067	148075	
705067	159870	Severina
705067	160893	
705067	162797	Antonia
705067	183948	
705067	193025	Mati, madre de Mike
705067	212474	
705067	212528	
705067	218092	Elvira
705067	231696	
705067	233342	
705067	234424	Hermana Nana
705067	235311	
705067	235312	La Tostada
705067	252344	
705067	255056	
705067	255057	
705067	256784	
705067	259018	
705067	262702	
705067	265166	
705067	269259	Casimira
705067	269470	Pecosa
705067	275079	
705067	275946	Margarita
705067	281297	
705067	283138	Agrippina
705067	286989	
705067	287452	Gladys, Lya's friend
705067	288803	
705067	291643	
705067	292750	
705067	293971	Pita
705067	296134	
705067	301179	Chole
705067	306704	
705067	307212	
705067	307676	
705067	309092	
705067	322855	
705067	328536	Tia de Rita
705067	332613	
705067	332915	
705067	339108	
705067	341342	
705067	344654	Tia Catalina
705067	347082	
705067	348938	La Tostada
705067	349933	
705067	350066	
705067	355926	
705067	356156	
705067	357539	
705067	370095	
705067	371728	
705067	373879	
705067	373956	
705067	376677	La Bicha, mesera
705067	397304	
705067	399618	
705067	400413	
705067	404827	Nana (Nacha)
705067	406844	
705068	16338	
705068	319512	
705068	351480	
705068	387882	
705069	263861	Rosita
705069	379905	Brenda Montero Bustamante
705069	383261	Laura
705069	383568	Sofía Visconti
705069	391572	
705069	393833	Fernanda 'Fer' Pacheco
705069	397594	Mariana
705069	401916	Brisa Montalvo de Zambrano
705069	401918	Loreta Mendiola
705069	410477	Alicia Betanzos Martínez
705070	329938	Vanessa
705071	16554	Nawaem
705071	19948	
705071	28897	Salwa
705071	32707	Santería Dancer
705071	33164	
705071	36935	
705071	73132	
705071	76795	
705071	88342	
705071	107607	
705071	110725	
705071	115062	Cytherian Girl
705071	127005	
705071	136943	
705071	140430	Mona
705071	161455	
705071	180542	Mira
705071	183969	Sana
705071	206325	
705071	212606	
705071	236615	
705071	249706	
705071	270993	Mabrouka
705071	297741	
705071	315919	Airport Girl
705071	324998	
705071	329938	Vanita
705071	333831	
705071	376113	
705072	104199	
705072	138970	
705072	182653	
705072	216250	
705072	301470	
705072	343747	
705072	350830	
705072	378042	
705072	402164	
705072	409728	Mrs. Rados
705073	152453	Teacher
705074	41120	
705074	208497	
705074	384303	Julieta
705074	388728	Pat
705074	392792	
705075	117093	
705075	147972	Control Booth Technician
705075	257451	Constancia
705075	380495	Regular Performer (1993-1994)
705075	399343	Various
705075	404102	Deputy 'Stuckey' Lopez
705076	55194	Artistas invitados
705077	4283	
705077	12796	
705077	13525	
705077	14985	
705077	18291	
705077	30872	
705077	31421	
705077	93857	
705077	104876	Evangeline
705077	138639	
705077	140004	Magda
705077	145553	
705077	156906	
705077	171758	
705077	173125	Cassandra
705077	173681	
705077	176674	
705077	201093	
705077	201387	Karla
705077	202714	
705077	203837	
705077	207035	Almira
705077	207047	Peewee
705077	207126	
705077	207923	
705077	208539	
705077	237937	
705077	255922	
705077	266974	Lydia
705077	267670	
705077	287067	
705077	323060	
705077	325363	
705077	329237	
705077	359139	
705078	183201	
705078	294311	
705078	355073	
705078	359360	
705079	33395	Woman at newstand
705080	207828	Matilda at 4 Years
705081	12918	
705081	17752	Anne
705081	114903	Leslie
705081	127724	Ese
705081	139956	
705081	144365	Abigail
705081	148207	Joey
705081	181773	
705081	181821	Rosalie
705081	183204	
705081	267669	
705081	270664	
705081	341710	Meiling a.k.a Tintin
705081	342200	
705081	379023	
705081	380659	Winona Arriba
705081	387832	Karen
705081	390069	Ese Aragon
705081	394036	
705081	398996	Antonina San Victores/Isabell
705082	8324	
705082	30864	Sharmaine
705082	89764	
705082	324388	
705082	324389	
705082	359069	Ana
705082	381852	Shaina
705082	394005	Violeta 'Bullet' Garcia
705082	394247	Guinivere 'Gwen' Martinez (20
705082	398494	Jennifer
705082	404049	Young Carmela
705082	407538	
705083	236039	
705084	404812	Renata Cavalieri
705085	80186	Henriella
705086	302486	
705086	341565	Susan
705087	188634	Little Andrée
705088	161948	Alexa
705088	189399	She
705089	262253	Marijka
705090	30680	Mage Arthur
705091	196589	Herself
705092	26711	Carol Evans, as a child
705093	103326	1st Band of Thieves
705094	50417	Mrs. Fessel
705094	143536	
705095	402968	Co-host
705096	210150	Eva
705096	234275	La Contesse Almaviva
705097	309202	Talk Show Guest
705098	124225	Poncho Model
705098	202323	Marylin
705099	114841	
705101	359920	Rhonda Faber
705102	73891	Basketwoman
705103	354866	Brenda
705104	59741	Sally Boyd
705105	130957	Reporter
705106	43449	
705106	257595	
705106	264844	
705106	308850	Crosby Twin
705107	278647	Lanea
705108	84634	Une lavandière
705109	384201	
705110	123133	Miss Young (Red Cross girl)
705110	342924	Big Men Big Women Dancer
705112	117136	Sarah
705113	349360	
705114	15332	Solveig
705114	35550	Leontine Wolff
705114	40594	Beate
705114	42859	Lisbeth, adult
705114	86442	Juliette
705114	126860	Celestine
705114	152366	Verpleegster
705114	211919	Adèle
705114	215085	Ortensia
705114	231693	Wivina
705114	248412	Kokette/Engel Gabriël
705114	257105	
705114	258170	Rosie Redmond
705114	273756	Maria Beert
705114	371288	
705114	383180	Vera (2000-)
705114	386631	Agnes De Poorter
705114	395326	Rita Vanekelsbeke
705115	380008	Herself
705116	395302	Nina
705116	402685	Princess Maria da Glória (chi
705117	200966	La dactylo de la P.J.
705118	386977	
705119	26507	Monessa
705119	116985	Popsicle Girl
705120	212681	
705120	227152	
705121	12062	
705121	25678	
705121	52599	
705121	53120	
705121	68748	
705121	69124	
705121	80266	
705121	82269	
705121	88984	
705121	104061	
705121	104180	
705121	106319	
705121	120715	
705121	121230	
705121	145530	
705121	150529	
705121	212464	Lita
705121	219416	
705121	222033	
705121	222039	Woman 3
705121	226184	
705121	226495	
705121	244639	
705121	252078	
705121	253706	
705121	285943	
705121	307792	Diana
705121	309245	
705121	332908	La Tigra
705121	351833	
705121	353204	
705121	357186	
705121	357543	
705121	376726	
705121	377193	Pinky
705121	382951	Elba
705121	398489	
705121	405242	
705121	412194	Doña Zule
705122	344606	
705123	207961	Lucia, maid
705124	69270	Catarina Sforza (also Italian
705124	133181	
705125	68645	
705125	96500	Antonia
705125	97176	
705125	244065	Claudia
705125	269094	Francesca
705125	293441	
705125	301128	Esther Bonanni
705125	324324	Camilla
705125	355614	Fiorella
705125	386749	
705126	138311	
705127	111854	
705127	217099	
705127	227159	Herself
705127	286381	
705127	349646	
705130	135930	Amy James
705131	228558	
705132	90156	
705133	343145	Jennifer
705134	94099	Sister Mary Catherine
705135	154715	Little girl
705135	181996	Additional Voices
705135	401930	Christina Gail Baldwin #2 (20
705136	81505	
705136	91903	Hooker #1
705136	267112	Mute Girl
705136	333055	BBQ Guest
705137	3509	Madre di Marcella
705137	13178	Miranda Biondi, Titta's Mothe
705137	17914	
705137	36473	Noahs wife
705137	54838	
705137	64348	Farmer
705137	109763	Giustina
705137	127945	Rosa Cuomo
705137	183288	
705137	206028	
705137	209439	
705137	209440	Mrs. Parise
705137	217100	
705137	236806	Maria (Old)
705137	265310	Antonietta Parisi
705137	269179	Arturo's Mother
705137	280841	
705137	284829	Zia Memé
705137	307071	
705137	328626	
705137	349789	Mrs. Reina
705137	400729	
705137	403330	
705138	17745	Donna nunzia
705138	61097	Suor Resurrezione
705138	83769	
705138	90664	Lucia Marcani (segment "La di
705138	92929	
705138	94731	
705138	94734	
705138	108751	
705138	112651	
705138	127376	
705138	127984	
705138	135129	Amalia Scognamiglio
705138	188599	Concetta
705138	199506	Another Guest (segment 2 'Il 
705138	210917	Stella's Mother
705138	234748	Old Lady
705138	246520	
705138	249231	
705138	336622	
705138	384758	
705139	183480	Friend
705140	256981	Ballerina
705141	9724	
705142	23595	Ticket Lady
705143	276295	
705144	276295	
705145	194405	Student
705146	404243	Hostess
705147	102101	
705147	385984	Mitsi's daughter
705147	397729	
705147	400998	Panidi's Girlfriend
705148	68775	La jolie modèle noire nue
705148	183426	Miss Kate
705149	218893	Ruzan as a child
705150	212598	Zia july
705151	198609	
705152	1262	
705154	51986	Bette
705155	164663	Resident Psychiatrist
705155	232456	Physics Teacher
705155	280054	Sophie
705155	293644	Waitress
705155	316281	
705156	70316	
705156	225769	
705156	257354	
705156	286318	
705157	338566	
705158	95946	
705159	257634	Additional Cast
705160	42932	
705160	365021	
705161	367023	Schoolgirl
705162	58170	Susan Porter
705163	42311	Flatty
705164	97463	Little Miranda
705165	77983	Tebi, Scott's Wife
705166	353871	Sonia
705167	96198	
705168	326383	Giulia Meyer
705169	21448	Daughter at Table
705171	286423	Fighting Date
705171	302748	Girl at Buffet
705172	344118	Teacher
705173	326428	Alvado
705174	30108	Squating Woman
705174	118981	Mother
705175	125471	
705176	86240	Sopio
705176	123488	
705177	203358	Irate 'Merv Griffin' Spectato
705178	98625	
705178	216384	
705178	222467	Karin Kunz
705178	322670	Tomboy, the mechanic
705180	77019	Anne
705181	20055	Carola
705182	391359	
705183	1366	
705184	5794	Elena
705184	8146	Agata
705184	14884	Young Amalia
705184	197468	Irene
705184	219572	Emilia
705184	229611	Stella
705184	229643	
705184	238831	
705184	247511	Rosalba Barletta
705184	272513	La Madonna
705184	283285	Donna
705184	405814	Nora Castria
705185	66837	Morgan's Little Girl
705186	47045	
705186	53929	Myrna Strand
705186	69136	Nicole Brody
705186	158947	Mr. Desmond's Secretary
705186	204130	Alma
705186	259710	
705187	365910	Wilma, age 12
705187	387438	Samantha, member of the Short
705188	158877	Une petite fille de Raoul
705189	367054	The Wiz Singers Children's Ch
705190	21727	Aunt Zezé
705190	33152	
705190	52052	
705190	56071	
705190	70489	Isabel
705190	90452	Filó
705190	101471	Laura
705190	106228	
705190	189309	Virginia
705190	208143	
705190	215939	
705190	220746	
705190	222375	
705190	237933	
705190	248236	Nono's Mother
705190	266121	
705190	269533	
705190	275304	
705190	307782	
705190	324868	
705190	344763	
705190	344810	(segment "Mocinha de Luto")
705190	344813	
705190	344854	Cartomante
705190	344865	
705190	349722	
705190	353100	
705190	378102	
705190	382690	Marta
705190	383464	
705190	383469	Esmeralda
705190	384991	
705190	388562	
705190	388592	Dulce
705190	388998	Siabé
705190	391901	Clara
705190	393615	Natália
705190	394872	Cotinha
705190	396847	Maria Rosa
705190	397541	Guiomar
705190	400678	Adélia
705190	401820	
705190	402149	
705190	402371	
705190	403733	Ciana
705190	404798	Maria Amélia
705190	407275	Olga
705190	409003	
705190	409414	
705190	410014	Cota
705190	410476	
705190	412179	Edith
705191	320451	La fille de l'agence
705192	3093	Prima Lavandaia
705193	390085	Analía
705194	153840	Une passante effrayée
705195	15003	L'auto-stoppeuse
705195	111098	
705195	111431	Marina
705195	133170	Janine
705195	178303	
705195	333689	Solange Ferrand
705195	346572	Janine Magnan/Martine
705195	353886	
705195	353946	Janine
705196	322331	Linda
705197	1395	Jolanda (infermiera)
705197	2008	Herself - Presenter: Best Scr
705197	14915	The Woman (segment "Una voce 
705197	24595	
705197	24834	Ada
705197	25307	
705197	29109	Lidia
705197	33672	Maddalena Cecconi
705197	52889	Anita Garibaldi
705197	53170	Elide
705197	55542	
705197	55656	Camilla
705197	57330	Fanny
705197	63836	Anna, la sua amante
705197	71009	
705197	103723	
705197	113443	Ninetta alias "Lulù"
705197	113703	Maria Comasco, l'attrice
705197	117973	Zizì
705197	121340	Wanda Reni
705197	121359	Lady Torrance
705197	162065	Herself
705197	184288	Ivana, l'amante di Max
705197	199506	Adelina (segment 5 'La Famigl
705197	200575	Josefa
705197	202772	Mamma Roma
705197	205521	Herself
705197	217470	
705197	229644	Egle
705197	242300	Angelina
705197	264259	Lady's Maid
705197	269096	Elena
705197	269451	
705197	278750	Gioia
705197	280364	Herself (Oscar show)
705197	280740	Herself
705197	280762	Pina
705197	281889	Serafina Delle Rose
705197	289385	
705197	290864	Flora Torres
705197	290930	Liana, la prostituta
705197	292535	Rosa Bombolini
705197	300778	As Herself
705197	319323	Sister Letizia
705197	322575	
705197	328210	Loletta Prima
705197	339078	
705197	344416	La canzonettista Mary
705197	348203	Adele
705197	355658	Virginia
705197	357563	Maddalena Natoli
705197	365329	Gioia
705198	2027	Madeline Pesce
705198	86558	Linda
705198	102182	Reporter
705198	113497	Seductress neighbor
705198	185704	People at Sermon
705198	194985	Cheryl Roberts
705199	119321	Reporterin
705200	12772	Waitress/Prosecutor
705200	81033	Aimee (segment "Folklore")
705200	189406	Holly
705201	69759	Sofia
705201	205674	
705201	379549	Laura
705202	356523	
705203	19089	Mary nucci
705204	88174	Pat
705205	321397	Park Bridesmaid
705206	106109	Maya
705206	392580	
705207	256530	Myrna
705208	11353	Nurse #2
705209	27917	Agnès
705210	380203	Asta
705211	408347	Debbie Kozenczak
705212	396626	Zouina
705213	130666	Amazon Warrior
705214	390523	Evelyn Wright (1997-2001)
705215	92742	Aleese
705216	249500	Blonde Woman
705217	2107	La brune
705217	51807	Charlotte Legueden
705217	94239	Morgane Deleuze
705217	96031	Jocelyne
705217	100021	Annie Jacquet
705217	112895	Geneviève
705217	268388	Mme Cérès
705217	335083	Hélène
705217	345070	Marie, la cousine de Jean-Bap
705217	345286	Marie-Thérèse
705217	346788	
705217	377983	Pascaline
705217	392370	(1987-1988)
705217	401252	Micheline Prot
705218	94082	Maykata
705219	54142	Signora Bardelli
705219	119364	Stagehand's fiancée
705219	199933	Widow Nanini
705219	248203	Lidia Bonelli
705219	263190	
705219	270805	
705219	294848	Diomira
705219	305541	Erminia's niece
705220	141612	Cleaning Woman
705221	385408	Co-host (1987-1995)
705223	26043	Marie-Jo
705223	43625	Professeur Josette
705223	51426	L'attachée de presse
705223	60274	Female courtier #2
705223	84085	La vendeuse blonde
705223	99375	La méchante reine
705223	110192	Mother in Subway
705223	111876	Francette
705223	128977	
705223	135335	La directrice d'école
705223	205150	
705223	218448	Une curiste
705223	229078	Solange
705223	256360	Craquette
705223	265736	
705223	268402	Madame Leble
705223	326035	La voicine
705223	338003	La mère de Cécuke
705223	346642	Michèle
705223	355513	Rejuvenate's Old Woman
705223	378062	L'infirmière
705224	384290	Véronique
705225	124236	
705225	211022	Patrícia Monteiro
705225	263122	
705225	381523	Gilda
705225	383866	Mariah
705225	386757	Flávia
705225	388565	
705225	388592	Vick
705225	388682	
705225	388728	False Bartira
705225	397539	
705225	398817	
705225	403618	Vera dos Santos
705225	405936	Josefina
705225	408212	Silvana
705225	409024	Carmen
705225	409418	Regina
705225	410310	Maria Eduarda
705226	11122	Herself
705226	107044	Kelly
705226	129816	Herself/Various
705226	249539	Herself
705226	249632	Herself
705226	273544	Popoff Nurse
705226	303226	Classroom Kid
705226	397991	Herself (Seasons 1-4)
705227	184353	
705228	373433	Informer
705229	317507	Inge Bauer
705230	67933	
705230	85463	
705230	86493	Letizia von Ausberg
705230	87831	
705230	112640	
705230	159499	Rita
705230	199291	
705230	200819	
705230	213803	Floriana
705230	213804	Teresa
705230	309166	Ursula
705230	320322	Olga
705230	383143	
705231	396718	
705232	256454	
705233	79865	Attendant's Wife
705234	145878	Olive
705234	196523	Australia
705234	243729	Mary Jane Perkins
705235	105922	Nurse
705236	379958	Anchor
705236	398430	Anchor (1996-1998)
705236	409308	Anchor (1988-1989)
705237	19386	
705237	56442	
705237	234354	
705237	269973	Mariana
705237	272635	
705237	353697	
705237	383519	
705237	397593	Carmelita
705237	401696	
705237	402181	
705238	311132	KGB Code Clerk
705239	1455	
705239	178428	Tina
705239	245619	
705240	95710	
705241	29960	
705241	32682	Terry Taverner
705241	51633	Calli
705241	57389	Moira Leppenraub
705241	60251	Connie Hagen
705241	65501	Moira Wolfson
705241	73569	Analyst
705241	84002	Cigarette Girl
705241	120230	Katherine
705241	127263	Barbara Rosen
705241	129439	Kelly
705241	134574	Lalasha/Mom/Zazzy
705241	141720	Herself
705241	151177	Brandy
705241	152319	Drowning Matron
705241	152844	Young Woman from Disco
705241	154822	Loan Secretary
705241	188928	Sarah
705241	192542	Squeaky
705241	195274	Monique Steinbacher
705241	195455	Doris
705241	201597	Frankie Stone
705241	217896	Poetry Reader
705241	222461	Lily Munster
705241	231790	Sally
705241	231822	Herself (interviewed)
705241	231966	Joyce Fickett
705241	234694	Herself
705241	242515	Sarah Jane Tibbett
705241	247579	Lydia Lynch
705241	252982	Malda
705241	304843	Isabelle
705241	305379	Irene Abernathy
705241	314777	Elaine
705241	323843	Darlene
705241	324551	The Madam
705241	328130	Shaleen McKussic
705241	347180	Karen Pollard
705241	350387	Various Roles : Shirley Macla
705241	356887	Pamela Fleming
705241	363514	Herself
705241	380461	Catherine Hughes
705241	385612	Paula
705241	389416	Nurse Dee O'Hara
705241	410571	Rita Dahlberg (2003)
705242	92479	Nurse #1
705243	302246	Hildegarde, seine Tochoter (S
705244	26563	Maenad (chorus)
705245	11171	Marina #6
705245	70110	Gina Morgan
705246	186444	Sarah Fitch
705247	16660	
705248	250376	Gerrie Graymark
705249	127779	Mirage, Additional Voices
705250	187623	Mari [Britta]
705251	201230	Maja
705252	108655	Johannes mor
705253	289375	Ellen Corman
705254	140410	
705254	223255	Anja, nurse
705254	237243	
705254	387500	Katri Nissilä
705254	393361	
705254	394793	Eeva Anttila
705255	147008	Joddlande damen
705256	279804	Herself - Producer
705257	120847	Gårdspike
705257	170710	Meter Maid
705257	237261	aunt Karin
705258	153766	Lotta Wahlberg
705258	210336	Herself
705258	259159	Siri
705258	306381	Snövit
705259	95798	Eva Nordbeck
705260	16672	
705261	283343	Presenter
705261	382710	Herself - Presenter
705261	399331	Presenter
705261	405934	Presenter
705262	23415	Susanna
705262	45943	Putte Beck
705262	96425	Eva Westling
705262	110094	Lollo
705262	136849	Jenny
705262	154688	
705262	159902	Sanna
705262	204537	Putte Beck
705262	235040	Barbro
705262	259353	Putte Beck
705262	266776	Director
705262	281908	Putte Beck, Martin Beck's dau
705262	320512	Mikaela Holm
705262	327476	Mother
705262	380203	Sofia
705262	390725	Beatrice Galik
705262	392265	Various Roles
705262	397294	Malin Leander
705262	409267	Petra
705263	187806	
705264	58738	
705264	87523	Melanie
705264	90336	Diane
705264	94319	Narrator
705264	96231	Narrator
705264	100493	Narrator
705264	115362	
705264	164203	Narrator
705264	192377	
705264	255026	Monique
705264	300656	Narrator
705264	319865	Narrator
705264	326038	Denise Beaudoin
705264	368307	Narrator
705264	377243	
705264	378127	La mère
705264	382475	Catherine Girard
705264	396510	
705264	398158	Louise Ménard
705265	127938	Officer's Daughter
705266	8627	Frédérique
705266	59384	
705267	142337	Hotelluppasserska
705267	178743	Maja
705268	224503	Þórkatla
705269	311681	Disa
705269	354601	
705270	110387	
705270	235327	
705270	338321	Nurse
705272	270321	
705273	178841	Bahr Ulman
705274	27676	
705275	266587	Dead Girl
705277	395647	Cicely Courtneidge
705278	327172	Jean
705279	1868	Yvette Wilson
705279	40192	Doctor Grant
705279	162529	Carmen
705279	163374	Dr. Gray
705279	163501	Sonia
705279	193572	Claudia/Girl at Serpentine
705279	226783	Denise
705280	43591	Madame Pechincha
705281	42559	
705281	43366	
705281	43591	
705281	52928	
705281	87185	
705281	104181	Carmem
705281	267494	Marga
705281	280998	Tamar
705281	293067	
705281	377609	
705282	150554	Suzy
705282	367266	
705282	399948	Zoe (1994-1995)
705282	405178	Stephanie Thom (2002)
705282	410682	Charlene
705283	50859	Valmai Powell
705283	61738	Valentine
705283	113628	Reneé
705283	146157	Dorothy Ashton
705283	193774	Cissie
705283	299536	Cherry
705283	337110	Millie Earnshaw
705284	244421	Gloria, Store Clerk
705284	311358	Ms. Sokolov
705285	6627	Telephone operator #1
705285	10114	Hélène
705285	12038	Carmen Corail
705285	13122	Maggy Thiebaut-Leroy
705285	16339	Renata
705285	18258	Madame Marty Mère
705285	23802	Mme Bertolier
705285	23819	Marie-Octobre
705285	23831	Mrs. Cheveley
705285	32014	Anna
705285	34278	Edith
705285	44924	Barbara
705285	53065	Hermance
705285	53239	La marquise de Verneuil
705285	54255	La copine
705285	57284	Gina
705285	59985	Woman with the little dog
705285	65729	
705285	82944	Une secrétaire
705285	83209	Camille
705285	84634	Une anatomiste
705285	85692	Rose Ducor
705285	91756	Flaminia
705285	101127	
705285	101166	Edith Schomberg
705285	103403	
705285	111703	Huguette Cavaillon
705285	125726	Mme Jacquot
705285	132982	Colette
705285	133067	Louise de Savoie
705285	133081	Emilienne
705285	135505	Mme Ash
705285	148676	Simon's mother
705285	148744	Éva
705285	148769	
705285	152365	Inès
705285	152371	Mme Malicorne
705285	166186	Irina, la mère de Liliane
705285	166356	Jeanne Harvilliers
705285	167230	Éliane Fournier
705285	168199	
705285	169307	Eva Kalinska
705285	171596	Dubbing actress
705285	199328	
705285	208559	
705285	211154	Geneviève, la mère de Richard
705285	214065	
705285	217660	La femme cachée/Angry woman
705285	217694	
705285	220256	Arkadina
705285	228202	La mère de Catherine
705285	245844	Françoise
705285	248031	
705285	248900	Léo
705285	254113	Tilia
705285	256516	Olga Steg
705285	261609	Rachel
705285	275944	
705285	277555	Roselyne
705285	278136	Béatrice
705285	286327	Mathilde, la mère de Minou
705285	301401	
705285	309720	Antoinette, la femme de Ludov
705285	311256	Falconnetti
705285	337028	Restaurant Owner's Wife
705285	337030	
705285	338479	Yvonne
705285	345132	Mme Thérèse
705285	345248	
705285	345431	Odile
705285	346710	Irma
705285	348648	Roselyne
705285	354513	
705285	355867	La mère
705285	357175	Mme Gallois
705285	367620	Bitter Thirty
705285	377639	Éliane
705285	377943	Solange Morana
705285	396290	
705285	408001	Anne de Battaincourt
705286	117946	Queen Mary
705287	243487	
705288	33227	Eloise
705288	58493	Tasha
705288	71905	Clarissa
705288	243213	Young Joan
705289	62442	
705289	266480	Luna
705289	269580	
705289	299483	
705289	379244	
705289	380081	Rosemary
705289	385992	Belinha
705289	386105	
705289	386727	Maria Sampaio
705289	389786	Babi
705289	391313	Eugênia
705289	399490	Marinalva
705289	400445	Lourdes
705289	401932	
705289	402928	Olga
705289	403618	Helena Villar
705289	404078	
705289	404160	Mônica
705289	404178	Camila
705289	412258	Justina
705290	119803	Seamstress
705291	101182	Countrywoman
705291	235771	Mrs. Gherardini
705291	344631	Jeanne's Mother
705292	284969	
705293	242114	
705294	377472	
705295	243618	
705295	288941	Prisoner
705296	12087	
705297	147122	
705297	156494	Fat Lady
705297	300900	Jen
705297	331725	Fat Woman
705297	342843	The Fat Lady
705298	293961	Linda
705299	46863	Girlfriend
705299	316563	Mother
705300	185226	
705301	404608	Finalist (2001)
705302	64955	
705302	74345	
705302	103207	Madame Le Verrier
705302	206663	
705302	216124	
705302	266386	
705302	281816	Madame Néel
705302	345147	
705302	378024	
705304	57457	
705304	328365	
705305	235630	Susan
705307	79557	Young Emily (age 9)
705307	105069	Young Danielle
705307	118442	Joanne Elgin
705307	138494	Matchgirl
705307	166856	Young Girl
705307	186041	Melusine
705307	289109	Jean's Daughter, Jacqueline
705307	366441	Lucy Marchmont
705307	381968	Jo
705307	385659	Isobel Davilow
705307	386394	Samantha Waldo
705307	411316	Young Molly
705308	260950	Elite Model
705309	68157	Cynthia
705309	92193	Beth
705309	93211	Diana
705309	165635	Anna
705309	189241	Linda
705310	113685	Anita
705311	153874	L'anglaise du train
705311	377014	
705312	42260	The Older Woman
705312	168554	
705313	332133	Emmanuele
705313	385659	Bertha Davilow
705314	276998	Counter Woman
705315	208878	Townswoman
705316	12319	Party Fox
705316	37788	Mrs. Florence Archer, Prescho
705316	44374	Ruth
705316	58430	Valerie Chadwick
705316	69137	Mary Parker
705316	79805	
705316	97520	Ellen Wilson
705316	115586	Martha Ricks
705316	365827	Mrs. Sutherland
705316	388862	Kate Austen (1964-1965)
705316	400236	Anna Wolek Craig (#2) (1977-1
705316	408128	Mary Claire 'Poco' Thurmond M
705316	410669	
705316	411419	Adrian Sims (1970-1971)
705317	279200	Assistant Dance Captain
705318	61171	Herself
705319	54957	Hailey Miller
705320	203143	Sally Campbell
705321	11521	Cindy
705321	133442	Lib Girl
705321	342851	Waitress
705321	381806	Susan Graham (1969-1971)
705322	363274	Gang Girl
705323	77127	
705323	392391	Mom
705323	402197	Meryl King (1984)
705324	1743	Themselves
705324	2573	Herself
705324	88248	Herself
705324	96555	
705324	105028	Herself
705324	352977	Herself
705324	369874	Performer
705325	10141	Annabel 'Ann' Brady
705325	39467	Tanya Petroff
705325	69338	Hildegard
705325	101433	Betty Brown
705325	116172	Jenny Rutherford
705325	143708	
705325	175161	Avis Maguire
705325	224611	Ann Richman
705325	245527	Lalage Sturdee
705325	294747	Mary Lou Carruthers
705325	329463	Nancy Lee
705325	330904	Blossom Leroy, Butch's Girl
705326	333514	Nurse
705327	150920	Restaurant hostess
705327	194406	Mama Coppola
705328	180263	
705329	235641	Check-in Girl
705330	402956	Miss Beatty
705331	222495	Elevator Passenger
705332	103370	Nurse 1
705333	372663	Girl at Clinic
705334	351919	
705334	377142	
705335	53635	
705336	96730	Magus
705336	387230	L. Magus
705337	19681	Anna
705337	206980	
705337	387922	Aleli
705338	405850	
705339	83287	
705340	56937	Mother
705341	228494	Trudie Flaubert
705342	111313	
705343	322025	Mûkedvelõ színjátszó
705343	401000	
705344	104051	Házmesterné
705344	186122	
705344	346326	Magyar, Marta
705345	404097	
705346	107954	Sultánka
705346	135750	Ucitelka
705346	205578	
705346	356779	
705346	357676	
705346	380048	
705347	12979	
705347	288291	
705347	368226	Vuetnamese O.R. Nurse
705348	236952	Dancer
705349	144386	Vasantha Mami
705350	354683	Prisoner
705351	115919	Mama
705351	126060	Tyler's mom
705352	364030	Sandra
705353	411053	Memphis O'Hara
705354	7809	Virginia Hytner
705354	65197	Grace
705354	86959	Susan
705354	101066	Mrs. Stockman
705354	143389	Becky
705354	170713	Jan Kempster
705354	223939	
705354	248243	Pecan Hegelman
705354	253354	D.A. Barbara August
705354	278776	Alice
705354	291825	Annie Howard
705354	294140	Miss Tracy Milford
705354	327233	Alexandra/Sarah
705354	330102	Chris Samuels
705354	333043	Gail Bugliosi
705354	366711	Trudy
705354	367878	Lt. Katherine R. Grace
705354	386603	Ashley Bennett (1979-1981)
705354	389356	Tiffany Kensington
705354	402018	Caitlyn Van Horne
705354	411365	Jennifer Malone (Episodes 1-4
705355	321367	Park Ranger
705356	172081	
705356	379618	
705356	387348	Foni
705357	177354	
705358	114835	Nyasha (Liberty)
705358	221142	
705358	348988	
705359	17461	
705360	15824	
705360	81816	
705360	128871	
705360	128872	
705360	197864	
705360	240740	
705360	275702	
705361	222879	Diane
705362	5007	The teacher's wife
705363	355808	La jeune fille du taxi
705364	137221	Petite Fille
705365	408252	Elsie Mackay-Solms, 'Gran'
705366	295833	Maggie Nel
705367	30545	Basanti
705367	85441	
705368	306341	Athlete
705369	90772	Joanie James
705369	164432	Featured
705369	186707	
705370	4057	
705370	4065	
705371	313188	Suzanne
705372	379924	Herself
705373	10727	Maggie
705375	93064	Doctor
705376	123986	Herself
705377	140914	Dr. Adrienne Walker
705377	298634	Manika
705377	336792	
705378	67473	Mia
705379	398046	Herself (1999)
705380	244961	
705381	37694	Lisa
705381	46705	
705381	85729	Jeanette May-Wong
705381	111688	
705381	179776	Michèle
705382	16746	Mrs. Rozenberg
705382	248579	Judith Del'Assandro
705382	385099	Joy Burnham
705383	141181	Mary Alice Doyle
705383	142572	Virginia Carpenter
705383	314528	Voice
705384	87498	Talkative friend
705385	112946	
705387	23258	
705388	399298	Herself - Finalist #9 (2004)
705389	390735	
705390	222613	Lita Huntley
705390	316193	Joan Merrill
705391	29023	
705391	79240	
705391	86663	
705391	123737	Guest appearance
705391	152494	
705391	160738	Indu
705391	167276	
705391	222097	
705391	223232	
705391	258549	Asha
705391	268105	
705391	284777	Prema
705391	287391	Kundan's sister
705391	288660	
705391	344907	
705391	348887	
705391	358019	Meena's mom
705391	406879	Babli
705391	407130	Ranjana Devi
705392	304829	Clarise
705393	391558	Student
705394	241465	Sylvie
705394	380190	Theresa
705394	385020	Debbie Nuttall (1981-1982)
705394	385299	Patsy Harris (1984-1985)
705394	389847	
705394	405448	Di (1988)
705394	407398	Brenda
705395	391018	
705396	41478	Mina Purefoy
705396	42293	
705397	279456	Doorman
705397	338564	Bartender
705397	340546	Man One
705398	254649	Radio Operator
705399	52570	Phone Sex Voice
705399	81534	Chica
705399	128429	Cass
705399	132212	Reporter
705399	161611	
705399	204793	
705399	214430	Cassandra
705399	256632	Scarlett
705400	304735	Nada
705401	242525	Gabby
705402	64400	Eve age 10
705403	189473	Party Goer
705404	77793	Writer Two
705404	124225	Reporter
705405	241551	Young Sarah
705406	83515	Sister Rita
705406	350219	Secretary
705407	15317	
705407	126929	
705407	173844	Salwa
705407	184306	
705407	270279	
705407	373761	
705408	210754	Toni
705409	270301	Dina
705410	195689	Additional Model #7
705411	76536	Ammukutty
705411	85254	
705411	106702	
705411	135676	
705411	174262	Rosy
705411	181454	
705411	209577	Ammini
705411	267235	Unnikrishnan's Mother
705411	320408	
705411	327960	
705411	330357	
705411	350130	
705411	350690	
705412	88489	
705413	32624	Woman in Sari
705414	63855	
705415	341126	
705416	372389	Sue
705417	21897	
705417	21899	
705417	50349	Pregnant Indian Women
705417	262715	Pregnant Indian Woman
705418	274770	Black girl
705419	175761	Une cliente
705420	289372	Featured Extra
705421	383147	Colaboradora
705421	390443	Sabrina
705422	96047	
705422	135402	Gina Carbonara
705422	376886	
705423	346569	La femme affolée
705423	406030	Maryline (1996-)
705424	15027	Mme Morel, la mère
705424	25116	
705424	25263	Madame Brunet
705424	43708	Fernande
705424	59748	
705424	68663	Mme Martin, voisine des Lelou
705424	96052	
705424	102006	
705424	107537	Poupette
705424	108898	L'hôtesse à la réception mond
705424	132991	Mme Delaroque
705424	148758	Madame Rachel
705424	149119	
705424	157235	
705424	169278	La gouvernante
705424	200575	Une villageoise
705424	220250	Mme Chischull
705424	254042	
705424	306154	Mme Dufaut
705424	354908	
705424	388507	Mme Veuve Dabert
705424	396617	
705424	397506	Mme Roques
705424	398054	Une dame du Saint-Sacrement
705424	399106	
705424	410376	
705425	127039	Daughter (segment "Door, The"
705425	281542	Rival Cyclist
705427	13025	
705427	355267	
705428	152483	
705429	60824	
705430	405247	Movie Reviewer
705431	47021	Dr. M
705431	254645	Miguel's Mom
705432	59105	Cathy
705432	92187	Becky Deem
705432	162853	Sow Lady #2
705432	190774	Alma
705432	262348	Darren's Girlfriend
705433	145339	Princess Hildur
705434	166938	Cookie's Salon Patron
705434	270697	Mildred (Johnny Ace's secreta
705435	33178	Thalia
705435	44191	Thokozile Machikano
705435	74258	Nurse
705437	35187	Kitty
705437	60372	Katja Steffen
705437	119186	
705437	119239	Alma
705437	122574	Meta
705437	136204	Lene
705437	137854	
705437	138572	Doris
705437	142035	Renate Hollenstedt
705437	144105	Gerda
705437	175276	Lisa Franzen
705437	181500	
705437	182776	Lieschen
705437	194434	Gertud
705437	195064	
705437	204446	Marie
705437	211080	Friedel
705437	212781	Ingrid
705437	221617	
705437	223456	
705437	223473	Karin Kroeger
705437	225247	
705437	231485	Elke Hansen
705437	244704	Uschi
705437	254237	Emma
705437	283223	
705437	283475	Irmgard
705437	290269	Anna
705437	290819	Karla Rathjen, Serviererin
705437	338465	Traute Becker
705437	351938	
705437	352615	
705437	352616	
705437	361008	Annegret
705437	361380	
705437	361416	
705437	365031	
705437	365772	
705437	376305	Bessie
705437	384368	Karla Hinsch
705437	387736	Katja Boysen
705439	115606	Ankie
705439	226350	Trolley Girl
705439	316962	Inge
705439	388734	Eva
705440	99768	Sybil
705441	27424	Uschi
705441	40361	Frau Ponelli
705441	43234	2. Animierdame
705441	49305	
705441	49505	
705441	62178	
705441	93581	Emmi
705441	101345	Elli
705441	101355	Frau bei Anzeigenaufnahme
705441	102881	
705441	125211	Zenzi
705441	144333	
705441	169125	
705441	189805	Leni
705441	193462	Marie
705441	210137	Haushälterin im Schloss
705441	211087	Frl. Quecke
705441	222467	Therese Gutschi
705441	223199	Dr. Schickedanz
705441	223490	Frau Pichler
705441	290524	Frau Tontonelli
705441	324785	
705441	325381	Lisa
705441	325555	Frau Leidl
705441	325688	
705441	325918	
705441	348687	
705441	361528	Inge Neuhaus
705441	377346	
705441	377350	
705441	381382	Kneipenbekanntschaft
705441	386982	
705441	389943	
705441	395644	
705441	397765	
705441	398201	Sekretärin Fräulein Bietl
705441	398863	
705441	404426	
705441	404462	Hotelfrau
705441	404482	Frau Haimerl
705442	203687	Miss Fletcher, Children's Aid
705443	7518	
705443	125665	Pembroke's Daughter
705443	238285	Esther Tauber
705443	285003	
705443	325692	Rosita
705443	347789	
705443	391843	Woman with Infant
705443	409613	Frl. Hasselgruber
705444	235863	Sophie
705445	204260	Sanitarium Patient
705445	328602	
705446	153718	Hämmerle's Mother
705447	204581	Herself
705448	18344	
705449	191013	Scholz
705449	398429	Tante Martha
705450	152744	Pim
705451	380421	Host
705452	117483	Bystander
705453	63248	
705453	139360	Mistress
705453	174316	Vecina
705453	319726	Mother Tedesco
705453	345382	La grossiste
705454	370462	
705455	343470	Tennis player
705456	25982	
705456	186390	
705457	139809	
705457	198653	
705457	220686	Madiha
705457	285535	
705458	100350	Martha
705458	173847	Johanna Wiese
705458	259460	
705459	10169	Oberto, auf der Suche nach se
705460	141859	Christie's Pretty Friend
705460	155504	Naomi
705461	87046	
705461	88335	
705461	223686	Herself
705461	353680	
705462	281182	Erika
705463	225313	Josefa Swell
705464	228313	Pedestrian
705464	345690	Extra
705465	74712	
705466	311465	Eileen McBride
705467	108225	Una
705467	390163	Michelle Haughey (1985-2000)
705468	195458	Belinda Upton
705468	294519	Annie Moore
705469	395315	Beth (1988-1989)
705470	50235	Mother with Buggy 2
705471	51984	Lila
705472	348599	Student
705473	353298	Sailor #2
705474	22036	Young Elizabeth
705474	407139	Sandy Swan
705475	190434	Meg
705476	149704	Grace Salo
705476	157436	Classroom Student
705477	300351	Attacked Woman
705478	72555	Maggie
705478	123975	The Woman
705479	57163	Julie
705479	68243	Denice Cooper
705480	121741	Florie
705480	379633	Flo Shumway
705480	379644	Flo Shumway
705480	389257	Denise
705480	395422	
705480	401026	Miss Michaels
705480	403662	Regular
705480	411211	Iris Barlow
705481	84925	Kathy Holiday
705482	390523	Ronnie Birtles (1985-1991)
705483	188486	Bambi McFlyswatter/Mona Dervi
705484	195518	Cecily
705484	219692	Gorgeous Black Girl
705485	17183	Additional Cast
705486	388321	Susan MacKenzie (2004-)
705487	48762	Girl #1
705487	243715	
705488	388321	Susan MacKenzie (2004-)
705489	115562	Audience Woman
705490	33773	Jean
705490	232250	Minsky's Girl
705491	69179	Herself
705492	345702	Hooker on Street
705493	55706	Gay
705493	88885	Ms. Dailey
705493	151771	
705493	223402	Susy
705494	122657	Hilda
705495	142881	Ms. Mueller
705496	196833	Lisa
705497	113362	Village Woman
705498	334343	Aralon Singer
705499	63019	Kathy
705500	7889	Lolita
705501	295826	Bartender
705502	11652	Shereen Bealer
705503	6994	Sorority Girl
705504	358476	Viola Player
705505	327726	Doctor (segment Addicted to t
705506	155912	
705507	227664	Calvess' Daughter
705508	161382	Herself/Interviewed
705509	41746	Chicken
705509	206335	
705510	39456	Airline hostess
705511	40064	Reporter
705511	42822	Dream Girl in white bodysuit
705511	77673	Sherilyn
705511	345702	Dancer
705512	136055	
705513	358270	Lisa Jones
705514	327307	Lombardo's Customer/Telephone
705515	190328	Student
705515	231090	Pomposello Receptionist
705516	81277	Woman
705516	104943	Girl at Rodeo
705516	188642	Stewardess (The Andersons Epi
705516	321154	Dancer in 'Rhythm of Life' nu
705517	23237	Antinea
705517	26736	Java
705517	45453	
705517	114045	Chantal
705517	187191	Reporter
705517	267288	Veronica
705517	321632	Felicia
705517	365381	Mary
705518	142809	Jane
705519	314141	Little Girl
705520	396005	Mrs. Arden
705521	400236	Ellen Spivak (1994-1995)
705522	3523	
705522	8577	
705522	10440	
705522	25504	Ebba
705522	30344	
705522	42614	
705522	52778	
705522	65194	
705522	75361	María
705522	96280	
705522	111996	Nicky
705522	119261	Dorothy
705522	145179	Mari Pepa
705522	147376	
705522	148167	
705522	162712	
705522	165412	
705522	187481	Marianne
705522	205111	
705522	209233	
705522	210306	
705522	215510	
705522	218499	Macrina
705522	221666	
705522	234020	Micaela
705522	252555	
705522	252615	
705522	266443	
705522	273011	
705522	279707	
705522	281614	
705522	301110	
705522	301566	
705522	326144	Concha
705522	334692	
705522	334698	
705522	375891	
705523	35586	Mahoro, Florence
705524	259454	Sabine Berghoff
705524	259571	Leutnant Berghoff
705525	369172	
705526	138572	Alicia
705527	5594	Dame im Speisewagen
705528	156	Margaret
705529	352201	Mädchen
705530	404448	Laura Marwege
705531	199587	Marchesa
705532	211117	
705533	339699	Prinzessin Auguste
705534	12019	
705534	51329	
705534	86344	
705534	119186	
705534	122574	Fieken
705534	124433	Line Goebel
705534	189670	Meid
705534	193463	
705534	244704	Waitress
705534	252328	Henriette
705534	310275	Marie
705534	312205	Christine
705534	338465	Olga
705535	150587	
705536	131739	Girls' Chorus Member
705537	264991	Whiteys girl
705537	358658	Maria Garrison
705538	212048	Karen (now deceased)
705539	211255	
705539	251216	
705540	108782	
705541	37027	Dania Muluk
705542	172470	
705543	65539	Annio
705544	217830	Loraine
705545	352588	Neighbor
705546	180372	Airline Clerk
705547	48205	
705548	122796	Rhian
705551	203389	Scholar's wife
705552	6618	Laure
705552	15077	
705552	68328	La boulangère
705552	69522	La logeuse
705552	74336	Bigote 2
705552	162206	La vieille dame
705552	164157	Victim
705552	189906	
705552	198605	La concierge
705552	214020	
705552	225471	Germaine
705552	238453	
705552	240429	
705552	248263	Une commère (segment "Le para
705552	268826	
705552	276991	Suzanne
705552	291682	Cécile
705552	321483	Max's grandmother
705552	348647	
705552	353886	
705552	353912	La grand-mère
705552	384816	Old woman in Marseille No. 1
705552	393401	Mme Potier
705552	397949	
705552	403474	Marguerite
705552	412260	Mme Valatte
705553	155687	La prostituée
705553	220476	le terroriste
705553	269143	Une journaliste
705553	351847	
705553	375077	
705554	168165	The Little Girl
705555	242711	Sawbu
705556	43416	Nanthilde, la reine
705557	111268	
705557	325720	
705557	404224	Helga
705558	32075	Wa
705559	32216	Murdered Girlfriend
705560	102926	
705560	137189	Julia
705560	144161	
705560	170463	Polizeibeamtin
705560	174088	Emma Pollmer
705560	259438	Claudia Wöllner
705560	259551	Angelika Kolm
705560	259568	Karla
705560	259606	
705560	259611	Johanna Schade
705560	259633	Sonja Rehberg
705560	259656	Frau Dörfler
705560	266358	Residella
705560	325613	Frau Gohlke
705560	325644	Gabrielle Eilbrook
705560	389616	Elke Richards (1995-2003)
705560	396874	Hilde Möhlmann-Poppel, geb. M
705560	397367	Frau Treschanke
705561	181435	Tiandai
705562	28529	Medvirkende
705562	34123	Havfrue
705562	105884	Daniel's Mom
705562	323107	Xiao Yang
705563	135132	Ceci
705563	169710	
705563	353579	
705564	394121	
705565	396718	Mariá
705567	34070	Recepcionista
705568	104181	Iracema
705569	400902	Creuza
705570	387050	Housekeeper
705570	388683	Marília
705570	396265	Nídia
705570	402148	
705571	82989	
705572	24889	The fisherman's fiancee
705572	53258	Leonor
705572	58137	Teacher
705572	61526	Luísa
705572	176731	
705572	183511	Lena
705572	246593	Tatão
705572	294868	Maria
705572	307201	Leonor Gama
705572	344887	Dionísia
705573	286571	
705574	67655	Malu
705574	278616	
705574	377605	
705575	269969	
705576	60062	
705576	66834	
705576	111007	
705576	292341	
705576	345112	Helene
705577	232169	
705577	385023	
705577	385853	
705577	390751	
705577	400584	Selma
705577	402593	
705578	71142	
705579	269555	Herself (audience)
705580	193172	Rita
705581	404803	Cleonice
705582	205462	
705582	409412	
705583	70770	
705583	276576	
705584	211726	
705585	53853	Mortalha's mother
705585	70771	
705585	184299	
705585	205714	
705585	269115	
705585	352159	
705586	101189	
705586	286571	
705587	254719	
705587	377044	
705588	28281	
705588	65144	Dora
705588	80114	
705588	338566	
705588	345941	
705589	130129	Pentangeli's wife
705590	65099	Claire's mum
705592	15003	La servante du restaurant
705592	17194	L'infirmière chef
705592	32032	
705592	44963	
705592	51067	La femme de chambre italienne
705592	52698	
705592	53600	La femme d'Emile
705592	83201	
705592	87902	La mégère
705592	88838	
705592	91075	Magdelène, la bonne fée
705592	122871	
705592	149812	Secretary
705592	152333	Marie Lagoutte
705592	166179	
705592	166186	La mère de Liliane
705592	199524	Woman Who Gives Paula Informa
705592	201183	
705592	202832	
705592	220926	Herself
705592	251541	La prostituée
705592	257886	Mr. Schultz's Companion
705592	264378	Une paysanne
705592	300613	
705592	327549	La marchande de journaux
705592	332188	Maguy
705592	346541	Madame Celine
705592	350099	
705592	353946	Prostitute
705592	354154	Madame de Cassam
705592	356364	Une fille de Priscillien
705592	356984	Madame Paradole
705592	383915	La femme du maire
705592	386211	
705592	387039	Mme Rubinstein
705592	387611	Mme Aldebert
705592	388141	La concierge de Jean-Marc
705592	389145	Mme Alvarado
705592	391927	
705592	391930	
705592	396370	
705592	402588	
705592	409537	
705593	65757	Laura Wisely
705593	83031	Cherry
705593	116728	Jackie McAvoy
705593	300964	Mother
705593	401224	Millie
705594	230815	Susan
705595	375045	Group Performers
705596	72242	Singers
705596	92163	Singing group
705597	94291	Themselves, Vocalists
705597	146751	Themselves, Singing Group
705597	247372	Performers in "Hattie in Pana
705599	334901	
705600	201346	Barbara
705601	17745	
705602	63730	
705604	244200	Heidi
705604	279000	
705605	401890	Herself-Choreographer-Collabo
705606	45377	3rd Girl at Bar
705606	159337	Rita
705606	351908	Actress
705607	200142	Mariana
705607	324679	Lola Quandtner
705608	335353	Newscaster 3
705609	26616	Buddie
705609	89632	Emmy
705609	310752	Little Girl
705610	119033	
705611	85849	Gloria
705611	102770	
705611	151460	Brigitte
705611	160398	Nurse
705611	187411	Herself
705611	196433	Bonnie
705611	197863	
705611	205439	
705611	263358	Brigitte
705611	267689	
705611	321554	Ginny
705611	340859	Susie Martin
705611	355022	Prostitute
705612	5028	Madge
705612	343201	Helen Wade
705613	232676	Patron at Concession Stand
705614	52201	
705615	162292	
705616	84450	Mira
705617	474	Kathrin
705617	18305	Leni
705617	40379	Franzi
705617	76161	Burgl
705617	93404	Fanny
705617	122563	Monika
705617	123886	Kathi
705617	174822	
705617	189626	Vroni
705617	233306	
705617	265093	Cilli
705617	275758	Moni
705617	290167	Margot Hellberg
705617	293443	Lydia
705617	352310	Sabine Hilger
705617	369391	Susan
705617	375165	Rita
705618	158818	
705619	226937	Banquet Woman #2
705619	226939	Herself
705621	13626	Woman 3
705621	99572	The Maid
705621	241696	Alley Woman
705621	252725	
705621	286272	
705621	389221	
705622	135685	Nurse
705623	101894	
705624	5381	Miss Fanchette
705624	16910	Bit Part
705624	178342	
705624	372360	Girl Reporter
705625	389164	Herself
705626	122653	Marla
705627	223448	Julia Behringer
705627	388166	Gianna Seidler (2000-2002)
705628	99021	Elektra
705628	171569	Maria
705628	226252	
705628	303730	
705628	314910	Felicitas Gerber
705628	338469	Frau Köhrer
705628	352055	Constanze
705629	334631	Herself
705630	361992	
705631	223400	Tahitian
705632	7758	
705633	288315	
705634	23750	Margot
705634	70709	Rolande Saillens
705634	76030	Nouchi
705634	83391	Cécile
705634	91453	Florence
705634	201196	
705634	204648	Petit rôle
705634	235709	
705634	240607	Étiennette
705635	313699	Salvation
705636	402484	
705637	44077	Junko
705637	92914	Nina
705637	99218	Marta
705637	178186	
705637	195749	
705637	213377	Nuori nainen
705637	324808	Jonna Ritola
705637	325184	
705637	343606	
705637	392164	Katri Seppä (2002)
705637	401440	Lilli Koponen
705637	408194	Kaisa Dengström
705637	409931	Aino Sibelius
705638	2150	Hotel Concierge
705638	82666	Elia
705638	313706	Annette
705638	324264	Michelle
705638	358438	Gina
705639	85215	
705639	104636	Herself
705639	104637	Herself (Backing vocal)
705639	104639	Herself
705639	263892	
705640	98591	
705640	211868	Woman
705640	328862	Suicidal girl
705641	143606	
705641	245089	Susan
705641	285286	Sammy
705641	382838	Marcia Barrett (1990-1992)
705641	384100	(episode "Here Comes The Mirr
705641	388664	Yvonne Sharpe
705641	395585	Carol
705641	402959	Vicki
705642	181589	Tarjoilija (Waitress)
705643	189433	
705643	281972	Three Orphans of Noble Family
705644	252809	
705644	357637	
705645	29266	
705646	75576	The tribe chief's wife
705647	82499	
705649	177345	Herself
705649	302311	
705650	62117	
705650	105713	Lu-Ann
705650	106109	Restaurant Customer
705650	271003	Lady with Stanford White
705650	357873	Susan
705652	264123	Margie/Princess
705653	96234	Cecile
705653	245935	Jeanne
705654	240428	
705655	260940	Enfant Beaumont
705656	332270	
705657	21941	Hooker
705657	27258	
705657	156584	María José
705658	8611	La directrice du théâtre/Thea
705658	12041	Charlotte Chardon
705658	19105	
705658	19836	Mme Marjorie
705658	23786	Amanda
705658	23818	Catherine Hubscher
705658	43705	
705658	46705	
705658	53744	La mère puritaine/American Mo
705658	63693	L'espionne Natacha
705658	68400	Mme Rondeau
705658	68405	Mme. Varangeot
705658	70150	Mme. Yvette
705658	71818	Valentine
705658	84633	
705658	100016	Coco Baisos
705658	111057	Edma Bautet-Lebrêche
705658	111683	Mme Catherine
705658	133081	Jeanne
705658	153810	Chantal
705658	161568	La femme de ménage
705658	218300	Thérèse Bonneval
705658	219849	Le professeur de danse
705658	239218	Antoinette, madame le ministr
705658	240628	Madame Follavoine
705658	248218	Héléna Bourdelle
705658	258928	Herself
705658	260034	Sarah Jacoby
705658	260936	
705658	261717	Cynthia
705658	269240	Adelia
705658	285819	Jacqueline Garibaldi
705658	307129	Mme Moulingrin (segment "Boul
705658	325063	Madame Bézuquet
705658	332231	Herself/En personne (témoigna
705658	351259	Elisabeth Duchemin (segment "
705658	353864	Mammy
705658	354472	
705658	354585	Delphine Martinet, la pharmac
705658	355879	
705658	356983	Mme Dupont
705658	357851	Libby
705658	370057	Madame Fluck
705658	400698	Docteur Swift
705658	404038	Herself
705659	33742	One of 'The Thirty Women'
705659	116981	Lu Anne
705659	137620	Ms. Harris
705661	86575	Elsa
705661	109957	
705661	111274	Annie
705661	208822	Evelyne Arago
705661	266379	La cantatrice
705661	288887	La belle-mère de François
705661	333759	Yasmina
705661	346417	Monique
705661	377964	La femme de l'appartement
705662	51478	
705662	118420	La Comédien
705662	148700	Dancer 2
705662	284666	Jeune fille sleep-in
705662	291575	Prostituée Fabian
705663	269141	(segment "72 ans-Angèle")
705664	61845	Fairy/Leprechaun
705665	20664	
705666	111045	
705666	280513	Marie-Thérèse
705668	217640	Femme de jacques
705668	257434	Classy Woman
705669	208646	Bruce girlfriend #2
705669	375936	Salesgirl
705670	103956	Herself (Acadian writer)
705671	101217	Carla
705672	238435	[N+1] (2003)  La tueuse
705672	324483	Yellow Model
705673	261811	La Suédoise
705674	361028	Mrs. Ingebretson
705675	217406	La seconde précieuse
705676	53069	Julie
705677	96245	Odette, l'hôtesse
705677	104222	
705679	83260	Prune
705679	107538	
705679	122873	Genviève
705679	217843	Patricia
705679	240589	Corinne
705679	286229	Françoise
705679	340181	
705679	345274	Nathalie
705679	390663	Edwige Dupinson
705681	5361	Mary Lou
705682	267165	Rhonda
705683	301933	Stella's Mother
705684	63691	La Soubrette
705685	328047	La jeune fille
705686	377002	Anne
705687	27978	Esposa
705687	32707	María Luisa Lima
705687	54821	Annette
705687	68554	Gertrudis
705687	74365	Eugenia
705687	119302	
705687	145358	Micaela
705687	221713	
705687	235998	Oshi Mataraso
705687	318019	Gerente de Fábrica
705687	322395	Burbus
705687	389881	
705687	411633	Marcela
705688	249204	
705689	20664	
705689	103203	L'Amie de Vanessa
705689	142869	Frail Prostitute
705689	217219	
705689	247978	La postière
705689	265801	Constance
705689	282053	Francine
705689	309456	Flora
705689	316848	Isabelle
705689	336985	Témoignage "douche"
705689	346516	Catherine
705689	346683	
705689	346788	Vava
705689	377002	Martine
705690	39370	Herself
705690	80951	Cathy
705690	218169	Lou
705690	270272	Mavis, Evans' Servant
705690	270586	Nona
705690	292449	Herself/Interviewer
705690	292469	Kelly Lewis/Narrator
705690	330534	Tina
705690	382458	Herself
705690	401624	Herself (1998-2001)
705690	404678	Kelly Lewis
705691	205710	
705691	341881	
705692	306199	Sabina
705693	168114	
705694	28857	
705695	388041	Herself (Host)
705696	73885	Tessie Heath
705697	50814	Ellie
705698	82709	Nancy (Horror Film)
705698	96053	
705698	124566	
705698	246493	Kate
705698	259718	Renate
705698	289450	
705698	349534	Evelina
705699	56087	Engelsk Dame
705699	99592	Meta
705699	181736	Tante Karen
705699	199995	Sygeplejerske
705699	203398	Annie
705699	218898	Deltager i tv-diskussion
705699	322680	Demonstratør af skønhedsmidde
705699	393859	Louise
705700	160859	
705700	167660	
705701	148636	
705702	255009	Angel
705703	119328	Jennifer #1
705704	398554	DC Alison Bain
705704	408864	Nurse
705705	7493	Mrs. McKessic
705705	16913	Mrs. Arkelian
705705	18019	Mrs. Dolley, Landlord Chester
705705	21053	Woman Who Sits on Painting
705705	27135	Abbey Hanks
705705	30156	Marge Cavendish
705705	33599	Mrs. Phineas Hill
705705	37148	Flapjack Kate
705705	45473	Mrs. Brennan
705705	48977	Susie
705705	54487	Sarah May Willett
705705	64806	Mrs. Ward
705705	78791	Mrs. Cantrell, aka Mrs. Adams
705705	80439	Mrs. Martin
705705	97890	Ma Kettle
705705	109437	Ma Parkson
705705	111736	Maribel Mathews
705705	120225	Widow Hudspeth
705705	125797	Annie Goss
705705	128894	Miss Armstrong
705705	139790	Sonora Cassidy
705705	141620	Martha's Mother
705705	149104	Mrs. Varner
705705	150321	A gossip
705705	150824	Townswoman at Wedding
705705	154652	Gertie
705705	163414	Mrs. Wrenley
705705	168669	'Gashouse' Mary McGovern
705705	175749	Ma Kettle
705705	175750	Ma Kettle
705705	177479	Mrs. Stephens
705705	186277	Julia Wortin
705705	188544	Mrs. Wrenley
705705	192333	Mrs. Boylan
705705	194095	Mrs. Hittaway
705705	195647	Miss Emma Bisbee
705705	196990	Mrs. Briggs, the Landlady
705705	198539	Ma Kettle
705705	198540	Ma Kettle
705705	198541	Ma Kettle
705705	198542	Ma Kettle
705705	198543	Ma Kettle
705705	198544	Ma Kettle
705705	198545	Ma Kettle
705705	203490	Amelia Bradley
705705	209605	Katie (the maid)
705705	220970	Mrs. Cabot
705705	221304	Harriet 'Hattie' O'Malley
705705	222775	Mamie Johnson
705705	223048	Anna
705705	228639	Casquette Girl
705705	230590	Herself
705705	252218	Katie
705705	264420	Chief Matron Brand
705705	272691	Iris Tuttle
705705	277804	Pansy Jones
705705	280959	Nora
705705	281841	Lady Jane Dunstock
705705	296873	Hannah Gillespie
705705	298438	Granny Becky
705705	300124	Mrs. Fisher
705705	314354	Mrs. Martin
705705	318792	Esme
705705	320197	Mary Maloney
705705	323373	Woman
705705	327972	Mrs. Maude Fisher
705705	328794	Landlady
705705	329948	Irate customer
705705	330212	Mrs. Miller
705705	331324	Old Woman by Phone
705705	333779	Miss Letitia 'Tish' Carberry
705705	335599	Miss Kitty Wayne
705705	339394	Mrs. Collins
705705	341969	Nora
705705	343156	Hildegarde Carey
705705	346089	Sara
705705	346248	Lucy
705705	360479	Judge Sidney Hawkes
705705	365350	Irma, the Cook
705705	366696	Widow Hawkins
705705	367686	Emma Kristiansdotter
705705	367905	Mrs. Lowery
705705	367919	Lucy
705705	368427	(in clips from The Wistful Wi
705705	368972	Martha Foster
705705	369358	Mehitabel
705706	23339	Gail Clark
705706	141054	Jude
705706	405209	Chrissy Hunt (1998)
705707	405159	Madeleine Mabbs
705708	142527	Mud Girl
705708	342662	Jennifer
705709	83982	Maori Warrior
705709	255009	Angel
705710	267503	Celeste
705711	80966	Serious Girl
705712	83477	Mrs. Nelson
705712	98757	(segment "A Radionovela")
705712	389674	Elizabeth Whitman/Rhinestone 
705713	62779	Woman in Theatre
705713	120477	Di Stevens
705713	185211	English Correspondent
705714	224352	Party Kid
705715	38780	
705716	392	
705716	44229	Luciana Muccioli
705716	44522	
705716	52180	
705716	55987	
705716	68428	Concierge
705716	73380	
705716	85978	
705716	96519	Teresa Valegnani
705716	112638	
705716	158758	Signora Raison
705716	158765	Domestica casa Palmari
705716	158772	Joulienne
705716	162037	Teresa, the waitress
705716	188645	
705716	202266	
705716	205248	Moglie di Gasperino
705716	233068	
705716	235778	
705716	255029	
705716	265441	
705716	277569	
705716	280740	Pharmacist's wife/Cinema spec
705716	287648	
705716	288801	Arianna
705716	327486	
705716	328389	
705716	338017	
705716	341517	madre di Matteo
705716	347471	
705716	351530	
705716	374495	Amica di Zenabel
705717	23588	Gianna
705717	78247	
705717	82436	
705717	83768	
705717	156964	
705717	183912	
705717	205570	
705717	212552	
705717	233643	
705717	255544	
705717	263621	
705717	293438	
705717	332936	
705718	181606	Latha
705718	384590	Herself
705719	60274	Narrator
705719	366298	Additional Voices
705720	16989	
705720	95636	
705720	120697	
705720	188530	
705720	223566	Aldona
705720	322875	
705720	351405	Jurga
705721	409853	Maria (1987,1988-1989)
705722	286162	Mother
705722	314688	Female Teller
705723	1743	Themselves
705723	2573	Herself
705723	88248	Herself
705723	96555	
705723	105028	Herself
705723	132768	Fiona/Kmoodj
705723	352977	Herself
705723	369874	Herself
705724	367782	Smiling Woman
705725	63837	
705726	59010	
705727	151237	Roza
705727	239234	Anorexic girl
705727	334988	Guida
705727	384921	Mariana 2
705728	137730	
705729	149450	Candy
705730	53895	Maddalena
705730	158771	Juliette Boynet
705731	1296	
705732	52647	
705732	141620	Mary, Age 9
705732	239855	
705732	367573	Annie Logan
705733	378687	Herself
705734	53163	
705734	124578	Judith, la víctima
705735	321614	The Girl
705736	58148	
705737	106441	Rhubarb
705739	3468	Lena
705739	26374	
705739	68644	Vera
705739	69369	
705739	74879	
705739	156964	
705739	197578	Bertha
705739	252636	
705739	259717	
705739	265464	
705739	275504	Ersilia
705740	90782	The girl
705741	33559	
705742	195151	Herself
705743	381821	Ensemble (1982-1983)
705744	381821	Ensemble (1978-1979)
705745	25116	
705745	59748	Guerilla
705746	14834	Ragazza albergo
705747	131431	Mary
705747	308929	Dismayed Clerk
705748	19614	Tininha
705748	146714	
705749	354765	
705750	354765	
705752	260222	Bianca
705753	367503	
705754	256188	Cast Member of Zombie Beach P
705755	40385	Lucia
705756	332555	Die Müllerin
705757	125519	Mary Ellen
705757	162275	Ward Nurse
705758	130344	Vember
705759	192171	Janet
705760	17555	1st Parlormaid
705760	129913	Scientist
705760	141464	Mo
705760	243653	Favilla
705760	258057	Anne
705760	325081	Flipote
705760	381568	Trolly Molly (1985)
705761	378496	
705762	388044	Herself
705763	66227	
705763	83233	Epiciere
705763	83305	Colette, la mère de Marc
705763	84692	La tante
705763	123688	
705763	134957	Woman at stationer's
705763	166127	Geneviève
705763	200931	La cuisinière
705763	269159	
705763	280564	La concierge de Macha
705763	312305	
705763	346730	Georgette
705763	357124	La patronne du tabac
705763	376919	Madame Dubreuil
705764	94238	Alexandra, TV character
705765	216266	Laura Wilkens
705765	262753	Cara
705765	308254	Anke
705765	322544	Yasemin
705765	409963	Jule
705766	66759	Jacqueline
705767	119044	Yvonne enfant
705767	251532	La princesse de Monthion
705768	404663	Hélène
705769	387143	Sofie
705770	346466	La mère de Pomme
705771	6416	Fille cocarde
705771	8495	Natacha
705771	13621	Ginette
705771	16442	La bonne
705771	26470	Sylvie
705771	29447	Isabelle Morizet
705771	43068	Valérie
705771	51426	Valérie
705771	52698	
705771	64317	Herself/Actress in 'Offret'
705771	69522	Rosa
705771	71828	Sylvette dite Bunny
705771	72630	Marie-Cécile Mesange
705771	77338	Prudence
705771	81427	Mademoiselle
705771	84645	Une prostituée
705771	91075	Valentine
705771	91432	
705771	100013	Etiennette
705771	101805	Loren
705771	102002	Mercedes
705771	105566	Véro
705771	110141	Juliette
705771	120435	Elizabeth
705771	120983	Brigitte
705771	121809	Flo
705771	139537	Marie
705771	167693	
705771	195204	Marie
705771	212545	Rosa
705771	212771	Herself
705771	225360	Hélène
705771	238743	Julia
705771	240449	Pierrette
705771	243299	
705771	257208	
705771	275825	Martine
705771	276058	Esther
705771	282292	Célia
705771	292890	Astrée
705771	294560	
705771	300676	Catherine
705771	319329	Isabelle
705771	333845	Zita
705771	339537	Marilyn
705771	345156	Claire
705771	345162	Magali
705771	345254	Nelly
705771	345468	Muriel Olivier
705771	346466	Pauline alias Pomme
705771	346660	Natacha
705771	346820	
705771	353908	
705771	354585	Elmire
705771	393892	
705771	397857	Jeanne
705771	398836	
705771	400149	Herself (2001-)
705772	282416	
705773	286949	
705774	70104	Secretary at Transmission Reb
705774	90409	The Temp
705774	245361	
705774	309946	Dolores
705774	337384	Hooker #1
705775	292089	Enfermera Trompetista
705776	327903	
705777	385824	Noelle Curtis #1 (1983)
705778	36631	Anna
705778	312879	
705779	287240	Herself
705779	313791	Performer
705779	378654	Herself - Host (1992)
705779	390629	Herself - Host
705779	396521	Herself - Host
705779	397453	Herself - Host
705779	407490	Herself - Host (1991)
705780	252493	
705780	290321	
705781	213581	Chorus
705781	250638	Aesthetic maiden
705782	2674	Dame på indkøb
705782	55126	Mrs. Nielsen
705782	304416	
705782	407294	
705783	305883	Brudens søster
705784	358567	U.S.O. Woman
705785	278607	Woman
705786	31196	ABC Team Contestant
705786	60227	Sally
705786	160885	Skirt Wearer
705786	406396	Jennie Lee Krebs
705787	18556	
705787	152400	
705787	186392	Dancer
705787	215451	Shirley Rockwell
705787	239049	
705788	94755	
705789	6018	
705789	7943	
705789	16714	
705789	30192	
705789	31602	
705789	45914	
705789	48577	
705789	50901	
705789	71892	
705789	75310	
705789	75816	
705789	78192	
705789	79366	
705789	81280	The Nautch Girl
705789	88188	
705789	95082	
705789	95093	Elvira
705789	119380	
705789	128388	
705789	133841	Herself
705789	134393	
705789	141214	
705789	141347	Ann Purdy
705789	142983	
705789	143245	
705789	155719	
705789	158064	
705789	167263	
705789	174516	
705789	177264	
705789	188154	
705789	192291	Alice Hardson, the Captain's 
705789	195933	
705789	196272	
705789	204521	
705789	207193	
705789	208702	
705789	211342	Jessica
705789	216930	
705789	219898	
705789	224607	Undetermined Role
705789	227264	
705789	239544	
705789	240488	The Spanish Girl
705789	241516	
705789	241859	
705789	242984	
705789	246433	
705789	251500	
705789	256860	
705789	257852	
705789	265825	Alma Field, Dick's Wife
705789	273854	
705789	277640	Madame Ricardo
705789	277718	Marion de Lormer
705789	278796	
705789	281995	
705789	294043	
705789	303170	
705789	310683	Mistress Von Landshort
705789	312177	Katie
705789	315509	
705789	317217	
705789	320287	
705789	323223	
705789	329787	
705789	329848	
705789	330804	
705789	331320	
705789	331844	
705789	338078	
705789	346108	Princess Zohna
705789	346386	Lady Berthelda
705789	350493	
705789	350911	
705789	354495	Mrs. Newton
705789	360188	
705789	362233	
705789	362872	
705789	367496	
705790	32207	
705790	133602	
705790	216034	
705790	221059	Miss Kippy
705790	223347	Undetermined Role
705790	317139	
705791	45914	
705793	166105	Régine à 7 ans
705794	100391	Copera
705795	371374	Extra
705796	243151	Julia
705797	199717	
705798	54953	Townsperson
705799	260861	
705800	10760	Little girl at the gas statio
705800	88841	
705800	211662	
705800	278143	
705801	16877	
705802	16877	
705803	319847	Mother of Nino and Osman Aqa
705804	282104	Stammgast und Personal Rossin
705805	281916	Aicha Morelli
705806	223400	Tahitian
705807	81665	Gwen
705808	16878	Six Month Old Twin #1
705809	230840	
705810	220960	Deaf School Principal
705810	257904	
705810	411802	Traci Abbott (1982-1996, 1999
705811	83814	Fedora
705811	213143	Helen Legrande
705811	234216	Countess Althea
705811	327644	Mrs. Tredgett
705812	240631	Mary Ingleton
705813	16878	Six Month Old Twin #2
705815	16050	Jenny
705816	218003	Mrs. Blumberg
705816	372585	Julia Cragworthy
705817	145639	
705817	150425	Herself
705817	194574	Lorna
705817	217912	Herself ('Lorna' screentest f
705817	221638	Clara Belle
705818	20032	Selina Potter
705818	23008	Madame Dauvray
705818	32431	Mimosa Dunning
705818	109241	Mercy Bassett
705818	130331	Mother
705818	163296	Lady Rapscombe
705818	239741	
705818	239743	
705818	242021	Marianne
705818	280687	Mrs. Murray
705818	292202	Mrs. Bush
705818	311828	Mrs. Watney
705818	333511	Mrs. Schroeder
705818	360500	
705819	368445	Mrs. McDermott
705819	382838	Amanda 'Mandy' Jordache (1993
705820	35362	
705821	147560	Green Widow
705822	133138	Mother
705822	299858	Mother ("The Grandmother")
705823	381449	Presenter
705823	382715	Presenter (2004-)
705823	405607	Newsreader (2002)
705823	411515	Guest Host (10/27/2003-10/31/
705824	264254	
705825	162034	
705826	285680	D.D. Girl #3
705827	48820	
705827	85482	Actuante
705827	218515	
705827	228329	
705827	376739	Herself
705828	37862	Maizie, the Dog
705828	53883	
705828	54362	Casting Woman
705829	88410	Woman on the Phone
705829	88412	Kozlowska, Teos' Mother
705829	97547	Maly's Wife
705829	180763	
705829	217324	Magda's mother
705829	245094	Pani Donata
705829	250798	Marysia's mother
705829	258791	Jareczka
705829	262709	Elder Teacher
705829	266309	Mother
705830	51039	
705830	170669	Gerda
705830	257870	Dr. Petrovic
705830	293700	Radio Operator II (as Beata M
705830	363512	
705832	7482	Nurse
705832	191736	Liz
705832	192587	Phyllis Gwynne
705832	196056	Stenographer
705832	303427	Mrs. Blair
705833	147056	
705834	43425	Shamra
705834	127394	Petra
705835	248914	Yvonne Jacquet
705836	168321	Natalia, Paulan äiti
705836	178376	Alma
705836	182595	Iitamaria Aholainen
705836	253549	Liisa
705836	282111	La cassiera di banca
705836	302191	Juoksevansalon vanhapiika
705836	380703	Vieno Leijonhufvud
705836	387813	Herself
705836	392355	Lahja
705836	394797	Ruusa Viitala
705837	9239	
705837	99203	
705837	210961	
705838	15062	
705839	395238	Milena Rumiz
705840	84427	
705840	406096	Katka
705841	95700	Marta/Sylwia
705841	95962	
705841	108543	Wanda
705841	174880	Wilhelm's Wife
705841	181581	
705841	197219	Nastka
705841	215410	Actress from 'Tytania'
705841	220685	
705841	238833	Hostess
705841	247287	
705841	247344	Marysia 'Mary'
705841	270037	Kalia Kryspinilla
705841	271577	Monika
705841	313032	Ewa
705841	322012	Hanka
705841	369373	Schwudtke's Secretary
705842	108913	
705842	175662	Jolán
705842	182514	Gizi
705842	268284	Bori
705842	343776	Mártika
705842	355244	
705843	1164	Marcina`s Mother
705843	15915	Ewa's Mother
705843	25425	Marysia
705843	64964	Grazyna's Mother
705843	75942	
705843	89813	Adas' Mother
705843	90062	
705843	94222	
705843	95981	Waitress in "Astoria"
705843	179180	Jacek's Housewife
705843	181145	Cecylisa's and Olimpia's Moth
705843	181332	Petrakowa
705843	185809	Krzyztoporski's Aunt
705843	231652	
705843	255450	Waitress
705843	255497	Daughter-in-Law
705843	284077	Delegacy Member
705843	321432	Dressmaker
705843	375067	Grosglückowa
705844	41197	Widow Von Hagar
705845	181408	
705845	374231	Herself
705846	29126	
705846	317248	
705847	180824	Monori Ildikó
705848	145170	Zama's girlfriend
705849	370029	
705849	397747	Presenter
705851	169536	La jeune voisine
705852	412260	Fernande
705853	225603	
705853	231618	Woman on the Street
705853	341067	
705853	367373	Elsa
705854	190464	Bar patron
705854	224366	Stripper
705855	124328	
705856	334387	
705857	380346	Dolly's Child
705858	380346	Dolly's Child
705859	95960	(uncredited)
705860	164639	Lucy
705861	281751	
705862	223022	Herself
705863	142837	Maj
705864	173388	Ketty Keller
705865	76333	Ekscentricna slikarica
705865	201483	Jessica
705865	231402	
705865	267949	Tina
705865	351341	Heni Krstulovic
705866	195829	Michelle
705867	11895	
705868	73832	Girl Outside Bathroom
705868	131473	Nun #1
705869	330354	
705870	10545	Latifah a.k.a. Tipah
705871	177761	Beansman
705871	358132	
705871	394422	Miharu Ratokie, Kum
705871	394522	Beansman
705871	408264	Gen
705871	410509	Tadashi Monono
705871	410570	D´Artacán
705872	83027	
705872	236070	
705872	248063	
705872	373704	
705872	374764	
705873	124843	
705873	286216	
705873	350126	
705873	373573	
705874	104778	Polish entry (7th place)
705874	136365	Herself
705875	189443	Polnische Frau an der Tür
705877	25516	Niní Marshall
705877	384775	
705877	385852	
705877	403006	Herself
705877	408204	
705877	409957	Ana (1999)
705878	1117	
705878	74415	
705878	182873	
705878	209842	
705878	237731	Kubinyi grandmother
705878	399160	
705879	171853	
705880	82453	Deliverance Dancer
705880	245183	Hotel Manager
705880	330701	Indian wife
705881	234269	
705882	94638	Danzatrice
705883	16860	
705884	84472	Majorie enfant
705885	160970	Lab assistant
705886	45799	
705886	229644	
705886	289939	Zaira
705887	352559	
705888	127992	
705889	256450	
705890	72141	Juweliersvrouw
705890	390242	Antoinette Balk (1993, 1994, 
705890	394912	Prinses Gale
705890	407096	Suske
705891	235870	Performer
705892	171178	Gerald's Secretary
705893	234128	Herself - Scientist
705894	72808	Mother
705895	83293	Herself
705896	381017	Luce Lalumière
705897	123380	
705898	306098	Maureen Snell
705899	333443	Mary Prescott
705900	113672	Arminda
705902	38572	TV Reporter
705902	178138	TV Reporter
705902	183590	Reporter #2
705902	229428	Reporter
705902	269809	Cindy Chapman
705902	276686	Reporter #3
705902	356244	Reporter #2
705903	58405	Alíz
705903	153859	Countess Batthyányi
705903	212509	Emmi
705903	238644	Sophia, Gräfin de Morny
705903	377129	Pirkóviki
705903	405251	Various
705905	161631	Customer #4
705906	53798	Lisa
705906	156338	Marianne
705907	27841	Steve's widow
705908	408880	Patsy (series 1-3)
705909	205265	
705910	58505	Girl
705910	364016	Girl #3
705911	205265	
705913	10750	Alice
705913	16327	Toni Whitney
705913	32737	Avocet Abigail 'Bird' Jackson
705913	71110	Molly Singer
705913	211563	Janie Bailey
705913	227549	Deb
705913	230906	
705913	287740	Crystal Thomas
705913	330462	Sal
705913	340864	Euphemia Ashby (young)
705913	360100	Enola
705913	362675	Jessica Green
705913	383284	Sophie Wilder
705914	213681	
705915	154470	Flower Girl
705916	322065	Gyerekszereplö
705917	322025	Vidéki színésznõ
705918	377143	
705919	339284	
705919	341189	Princess Olga
705920	160982	Amazon
705921	2309	
705921	3335	
705921	33824	
705921	35890	
705921	95690	Valentina
705921	174271	
705921	180237	
705921	201396	
705921	210283	Vershina
705921	238311	Dasha
705921	238323	
705921	248324	
705921	257384	
705921	261408	
705921	264925	
705921	280377	
705921	304170	Olga Korneyeva
705921	316369	
705921	350126	Katya's neighbour
705921	352955	Tatyana Bolshakova
705921	356941	
705921	357227	Verka
705921	373573	Lyusya
705921	373738	
705921	374087	Anna
705921	375188	
705922	98637	
705922	176046	
705922	223561	
705922	256725	
705922	259872	
705922	261260	
705922	296528	
705922	374734	
705922	394620	Raisa
705922	399344	Mat Semiryadina
705923	131665	Krystyn
705924	28667	
705925	213164	Reporter
705926	212629	
705927	402020	Bambi
705927	411367	Herself
705928	223817	Nurse (Maputo)
705929	97983	Fiatal nõ
705929	134547	The dog
705929	164754	Anci
705930	82200	Ola
705931	374734	
705932	102947	Candela (1 año)
705933	102947	Candela (1 año)
705934	255640	
705934	275023	
705935	33182	Anu
705936	30540	
705936	62332	Damayanti
705936	138935	
705936	267141	
705936	308452	
705936	326678	Manimalika (segment "Monihara
705937	181698	
705937	287658	
705937	287659	
705937	287679	Durga
705937	287685	
705938	9316	Durga
705938	62585	Jadunath's Widow
705938	77483	
705938	98484	Minu (Younger sister)
705938	98527	
705938	175939	
705938	175965	Sreeja
705938	203976	Phoolmani
705938	248704	Alhadi
705938	262418	Pritha
705939	77890	Uma
705939	286493	
705940	330338	Coca-Cola Girl
705941	163038	Bolnicarka Nada
705941	164028	Sonja Boskovic
705941	171919	
705941	180695	
705941	266522	
705941	374081	
705941	390660	
705941	394138	
705941	399020	
705941	407442	
705941	409296	Anica Kicmanovic
705941	409909	Ane
705942	284748	Jaakkola
705943	43143	Tiger Sing
705943	108469	Angel 8
705943	369771	
705943	369837	Chubs
705943	374743	
705944	4536	Waitress
705944	21040	Anna
705944	117564	
705944	145047	Hooker
705944	161765	Nurse
705944	233474	Dr. Woo
705944	266166	Prostitute
705944	271206	Street Girl #2
705944	323501	Cop #2
705944	366898	Lazy Prisoner
705945	367179	Jenny
705946	392671	Kanya
705947	66390	
705947	66394	Mrs. Lynpo
705947	93357	Tech Aide #2
705947	138478	Hanoi Hilton
705947	154762	Japanese Woman
705947	160375	Waitress
705947	221021	Herself
705947	273307	Girl at Party
705947	289558	Woman at Babylon Club
705947	293047	Lisa
705947	314982	Oriental Girl
705947	373216	Model
705948	167820	Annie's Relative
705949	1152	Kit
705949	4470	
705949	48234	
705949	61091	
705949	63376	Goldfish
705949	76420	
705949	106793	Office Girl
705949	116649	
705949	135025	Little Star
705949	138315	
705949	167851	Woman in Bathtub
705949	192448	
705949	193936	Shan
705949	200834	
705949	204937	Gucci
705949	224620	
705949	227251	
705949	231268	Fei
705949	251804	
705949	275578	Princess
705949	298342	
705949	300448	
705949	300513	Kate (Kiki)
705949	334295	
705949	340607	
705949	369571	Chunto
705949	369615	Dee
705949	370755	
705949	371583	Virginal Girl/Jojo
705950	162334	Sandy
705950	368067	Anna Yeh
705951	192485	Fan
705951	369757	Fan
705952	369757	Man, Fan's little sister
705953	246479	Princess Nani Maka
705954	101487	
705954	232697	
705955	324487	
705956	76481	
705956	77103	
705956	179225	Anya
705956	215110	
705956	229837	Anotchka
705956	241943	
705956	253649	Anna
705956	257385	
705956	262668	
705956	263669	
705956	283692	
705956	286216	
705956	298640	
705956	299411	Verka, peasant girl
705956	318149	
705956	321870	
705956	350793	
705956	352453	
705956	357246	
705956	357645	
705956	357706	
705957	154089	Hartley
705958	322005	
705959	186122	
705959	385370	Bernabé
705960	14744	
705960	202057	
705960	221568	
705960	288326	
705960	293402	
705960	408720	Laura
705961	112517	Marie Mendoza
705961	146305	
705962	391747	Marina
705962	392291	Herself
705962	396551	Herself
705963	100367	Ana
705964	285017	Guardian angel
705965	9752	
705965	33835	
705965	83040	
705965	176126	
705965	179726	
705965	179819	
705965	217456	
705965	225976	
705965	238367	
705965	243972	
705965	244255	
705965	252795	
705965	259802	
705965	265942	
705965	273069	1st class passenger
705965	280396	
705965	285099	
705965	300369	
705965	320679	
705965	323329	
705965	348555	Old woman
705965	350729	
705965	350991	
705965	381631	
705966	35924	
705966	43196	
705966	46074	
705966	84469	
705966	84759	Nadya
705966	86832	Lyudmila
705966	91212	
705966	139690	Natalia
705966	180115	
705966	188005	
705966	198154	
705966	202295	
705966	206043	Zupan's Mother
705966	217454	Lyubov Shertsova
705966	227904	
705966	229541	
705966	235964	
705966	251636	
705966	263260	
705966	283837	
705966	293855	
705966	312537	
705966	348709	
705966	350739	
705966	357241	Frosya
705966	357668	Katya
705966	373270	
705966	374769	Anfisa
705966	374784	
705966	374845	
705966	398757	
705967	59979	
705967	135748	
705968	85145	
705968	95585	
705968	95603	
705968	175956	Khanuma
705968	209517	
705968	244017	
705968	261953	
705968	323312	
705968	344365	
705968	372025	
705968	373213	
705969	82495	
705970	43217	
705971	86597	
705972	13779	
705972	31025	
705972	68284	
705972	78400	
705972	229761	
705972	312183	Princess Florina
705972	320794	Odette/Odile
705972	350644	Navigator
705972	390558	Prima Ballerina (segment "Tch
705973	43198	
705973	48758	Herself
705973	85267	Newsgirl for the 'Red Courier
705973	85622	Svetlana
705973	88815	Elena Alexeievna
705973	91202	
705973	173016	The Queen of Copper Hill
705973	179813	Natasha Solovyeva
705973	188870	Sofia
705973	198125	Aleksandra Vasilyeva
705973	198130	
705973	198170	
705973	207161	Nina
705973	217454	Oleg's Mother
705973	229904	
705973	236072	Can-can dancer
705973	247312	
705973	253644	
705973	256895	Xenia, his wife
705973	261905	
705973	289867	
705973	293685	Lerving's secretary
705973	293855	Dr. Tatyana Kazakhova
705973	293955	Dr. Zhenya Okhrimenko
705973	339344	
705973	344012	Agrafena "Grunya" Shumilina
705973	348570	Anna Sviridova
705973	349302	
705973	352800	
705973	373274	
705973	374993	
705974	70550	Metla/Coprnica Zofka
705975	215214	Mrs. Krysia
705976	293700	False Albert
705977	283718	Hot Chick (Frat Party)
705978	283718	Hot Girl in Classroom
705979	27656	
705980	273719	
705981	224436	
705982	195127	Katerina Papadopoulou
705982	254411	
705983	8942	Klärchen
705983	15917	Viktoria
705983	17825	Rumour
705983	104665	(segment "Ich hab Musik dabei
705983	125290	Floris Blinker
705983	134464	Prinzessin
705983	136725	Katinka Sirena
705983	153757	Maja
705983	185844	Madeline Zozzocolovich
705983	189563	Isolde
705983	192624	Helen
705983	194130	Queen Charlotte
705983	195300	Mia
705983	225258	Judith
705983	225306	Maren Krummsieg
705983	226336	Katharina Lumis
705983	226395	Emilia
705983	237917	Miriam Auerbach
705983	276239	Dr. Lisa Addison
705983	309647	
705983	360896	
705983	369146	Renate Reger
705983	376772	Vera
705983	379372	Silke Semmeling
705983	382689	Host (1995-1996)
705983	383271	Tea
705983	392913	Host (1993-1996)
705983	401831	Herself
705984	272384	Chistachka v kukleniya teatar
705985	229035	
705986	1117	Nagymama
705986	19668	Tmea,Csorbadzsi lánya
705986	28538	A kaposi nagymama
705986	34215	
705986	50982	Rear Grand-mother
705986	98023	Lugossyné
705986	102539	Adlerné
705986	102541	Kelepei néni
705986	138393	Leona
705986	140326	
705986	173965	
705986	182523	Radics Olga
705986	182662	Sándor nagyanyja
705986	182828	Mater Renegia
705986	199118	Paula
705986	200606	Eszékiné
705986	225435	
705986	227603	Náday anyja
705986	322391	
705986	343776	mother of Maria
705986	357943	Ónodi Jánosné, történelemtaná
705986	378304	Eleonora Taccani
705986	378516	
705987	204257	Sabrina
705988	252862	Roxanne
705989	205636	Moui Lalla
705990	187243	Rose
705991	12999	Herself
705991	14580	Joséphine
705991	61708	Herself
705991	67792	
705991	140360	
705991	250966	Herself
705991	250967	Herself
705991	288081	Angelina
705991	356345	Herself
705991	363215	Herself
705992	67792	
705993	67792	
705993	169352	Billie
705994	250886	
705995	341189	Crying Woman
705996	222784	Bus Rider
705996	236950	Girl at mall
705997	6269	Customer #1
705998	26461	Herself
705999	21369	Elam
705999	192175	Sara
705999	384109	Alison Frazer
705999	387334	Helena
705999	401143	Isabella Clay
706000	256220	Ms. Fargus
706001	7206	Nastya
706002	59772	Sekretarsha
706002	239371	
706002	258432	
706002	357128	
706002	398757	
706003	396236	
706004	223350	
706005	129249	Herself
706007	19400	
706007	63592	Maka
706007	77572	
706007	106162	
706007	136594	
706007	156260	
706007	164729	
706007	208007	
706007	220221	Francesca Coty
706007	268574	
706007	341827	
706008	248647	
706009	216513	
706010	297635	Maid
706011	124460	Nisha
706011	204980	Sameera (Abbaji's Daughter)
706012	105817	Leila
706013	370043	La première prostituée
706014	45547	
706014	88495	
706014	334424	
706015	36580	
706015	148777	Herself (réalisatrice)
706015	189069	Herself
706015	286664	Herself
706016	43072	
706017	79534	Gayane
706017	89799	Maro
706017	127657	Nani
706017	252563	Kekel, his sister
706017	298273	Mansume
706017	303058	
706017	357217	
706018	131144	Elya
706019	367384	Ajmani
706020	265943	
706021	77103	Tonya
706021	207560	
706021	223558	
706021	294765	Sofia Nikolayevna
706021	356420	
706022	231165	Mamura
706023	228540	Ninole
706024	217780	
706025	202322	Barmaid
706025	380059	Alejandra
706025	386531	Sandra
706025	393833	Tania Vidal
706026	97614	
706026	137378	
706026	138086	Geisha Shirayuki
706026	216785	Mrs. Takarai
706026	229772	
706026	299001	
706026	299109	Tamo
706026	325332	
706026	335265	
706026	371851	
706026	373188	Townswoman
706026	374113	Yoshi/Hanji's wife
706027	138073	
706027	371989	
706028	132094	
706028	137006	
706028	163847	Ami Nagayama
706028	220228	
706028	373218	
706028	374618	
706029	102869	Okuyama's Girlfriend
706030	251691	
706031	309284	Candy
706032	174359	Masako
706033	170803	Native
706034	182704	
706035	334912	
706036	89871	Amie de Kyoko
706037	287553	Fusako Taguchi
706037	359819	
706038	8620	Hostess
706038	43031	
706038	122961	Mariko
706038	218642	Midori
706039	299081	
706040	97453	Setsuko Masukawa
706041	117685	Su-Hong
706041	198847	Le secrétaire de Ying Tchaï
706041	216002	Maki
706041	223404	
706041	223971	Shiga
706041	354695	
706043	279884	Girl (segment "Presence")
706044	371848	Eiko Mizushima
706044	408434	Masako Kodama
706045	30987	Maki Hayada
706045	173537	
706045	300495	Aya
706046	89049	2nd Wife
706046	137006	
706046	276310	Ming
706046	299596	
706046	372034	
706046	373218	
706047	328284	Backlash Dancer
706048	9320	
706048	156196	
706048	222330	Doubles
706048	334889	Video Girl
706049	58770	IBI Agent
706049	256839	Dead Crew Member
706050	90154	African Woman
706050	148594	OR Nurse
706050	192252	Amaralis
706051	160569	
706052	358236	Hope's Assistant
706053	241605	Receptionist
706054	303107	Diver
706055	396488	Tomika Tomido
706056	384224	Hikaru Katsuragi/Pink Five
706057	244528	
706059	243273	Mayor's Daughter
706060	393604	Eleanor "The Weeper"
706060	408892	Various (2003)
706061	9570	
706061	9571	
706061	9591	
706061	28117	Souji Okita
706061	61451	
706061	71337	
706061	91148	Keiko Akiyama/Atsuko Izumi (p
706061	130552	
706061	136542	
706061	137324	Naoko Kaibara
706061	138037	Keiko
706061	149093	
706061	161688	
706061	170542	Sanae Suzunoki
706061	173604	
706061	216506	Tsuyu Takase
706061	223300	Haruka/Shiori Akizuki
706061	232612	
706061	244519	Nao Kawai
706061	285831	
706061	293634	
706061	298922	Kume
706061	299093	
706061	322698	Mori Maki
706061	323629	
706061	334861	Yoneko Yamauchi
706061	334956	
706061	341537	Tugumi Yamamoto
706061	349095	Miyako Kawai
706061	349866	
706061	353275	
706061	370750	
706061	371953	Chinami Kogure
706061	408564	
706062	145653	Junko Nakahara
706062	341228	Taeko Aochi
706063	208014	666 Conductor
706063	365959	
706064	330778	Magi Tanaka
706065	193426	Edelknaben
706066	237323	Kati
706067	2409	Woman
706067	9004	Jackie Framm (Mrs. Framm)
706067	39675	Sally
706067	53050	Dr. Celeste Dunbar
706067	80389	Brenda
706067	81055	Wynn Burkholder
706067	98164	Kate Jackson
706067	113507	Rhonda Portelli
706067	189913	Patty
706067	240644	Nadine Jacobs
706067	252507	Jean Leary
706067	294976	Mary Newcombe
706067	303225	Sister Mary Robert
706067	303226	Sister Mary Robert
706067	393577	Karen McNeil (2001-2002)
706067	395309	Mae Mordabito
706067	395709	Dana Kleinman
706067	400103	Charlotte Caraline Beene
706067	404282	Katie Timmons (1986)
706068	269142	Herself
706069	152643	
706069	356156	
706070	29670	King Kandor's People
706071	28395	
706071	139101	Promiscuous Lesbian
706072	400698	Troupe du Palace
706073	21341	The Beauty Shikimu (segment "
706073	242197	Yoko
706073	285867	
706074	96593	Medic
706075	388974	Herself
706076	388974	Herself
706077	41106	
706078	318019	Lumila
706079	216406	Ground Hostess
706080	25055	
706080	48303	
706081	252524	Julie Thurman
706082	356420	
706083	201750	Herself
706084	134549	
706086	6278	
706086	14500	Ophelia
706086	20801	
706086	52053	Eve
706086	75965	
706086	86305	
706086	87970	Herself
706086	106818	
706086	110047	The princess
706086	111844	
706086	111846	
706086	119284	Jane Williams
706086	127909	
706086	151891	
706086	169971	Gravin Judith
706086	179207	
706086	187452	
706086	196714	
706086	199052	
706086	199054	
706086	216988	
706086	264239	
706086	264248	
706086	270223	
706086	281080	
706086	290445	
706086	307069	
706086	324903	
706086	332775	
706086	349783	
706086	349935	
706087	160591	Maniuska Kowalska
706087	173652	Maniuska Kowalska
706087	232664	Countess Czarska
706087	247320	Maniuska Kowalska
706087	254201	Barmaid
706088	196341	Religious Woman
706089	400566	Adventure Girl
706090	87948	Monica Dahlberg
706091	18838	
706091	145186	
706091	229024	
706091	300203	
706091	300642	
706091	343593	
706092	283102	Pre-School Kid
706093	23160	
706093	121076	
706093	174582	
706093	246629	
706093	275885	
706093	354947	
706093	387711	
706094	390955	Fitness girl
706095	188199	
706096	401521	
706097	379361	(2001-2002)
706097	381673	
706097	392005	
706097	397889	Vasia
706098	18399	
706098	43011	
706098	82796	
706098	84260	Miss Emily Brent
706098	88453	
706098	179910	Sofi
706098	188708	Rosalinde
706098	221508	Barynya (The Lady)
706098	225999	
706098	229909	
706098	243967	
706098	244728	
706098	252792	
706098	258172	Nadezhda Fyodorovna
706098	258406	
706098	262174	Zoya Pavlovna
706098	263693	Tamara Fabrizius
706098	265641	
706098	265847	Nastya
706098	324129	
706098	326524	Klara Gazul/Woman-Devil/Peric
706098	374840	Nina
706099	43214	
706100	300810	Girl student
706101	261944	
706102	126292	
706103	35867	
706104	28503	The mother
706104	34229	
706104	60730	
706104	88451	
706104	104429	Galina Petrovna
706104	174686	
706104	187785	Laura Lafargue
706104	219343	Lt. Galya Zorina
706104	225829	
706104	243495	Bystrykh
706104	244271	Emilia
706104	259047	
706104	263664	Natasha
706104	265937	
706104	341025	
706104	342272	Yelisaveta Kondratyeva
706104	374727	
706104	376234	
706105	237466	
706106	273073	
706106	352817	
706107	237969	
706108	89872	The widow
706108	131994	Mother
706108	237877	
706108	374781	Anna's mother
706109	155673	Aglaya Yepanchina
706109	220695	
706109	350991	
706110	319847	Gaiane
706111	18632	
706111	59365	
706111	121286	
706111	123007	Eliza Doolittle
706111	236966	
706111	313726	
706111	338614	Dancer
706111	374829	
706112	3564	
706112	7317	
706112	26410	
706112	35864	
706112	35923	
706112	48742	
706112	63356	
706112	63581	
706112	88354	
706112	95585	
706112	134896	
706112	163039	
706112	163058	
706112	163903	Grandmother
706112	174163	
706112	176139	
706112	219147	
706112	244253	Markarikha
706112	244651	
706112	259806	Lozhkina (segment "Zolotye ri
706112	260425	
706112	266918	Praskovya
706112	288363	
706112	297458	
706112	297858	Kolodchka
706112	307614	Pelageya Ivanovna
706112	323320	
706112	323635	
706112	332989	
706112	332990	
706112	349345	
706112	357461	
706112	357668	
706112	371425	
706112	373268	
706112	374456	Natalya, Vasili's Fiancee
706112	375233	
706112	375859	Catherine Millard
706113	23362	
706113	34322	
706113	36532	
706113	43154	Isidora ... pevacica
706113	48757	Jelena
706113	54173	
706113	77263	
706113	81408	Sestra Pija
706113	91217	
706113	95926	
706113	132151	
706113	137287	
706113	137292	Jelena
706113	139811	
706113	144368	
706113	147567	
706113	155659	
706113	174972	Plavusa
706113	180698	Cana
706113	181474	
706113	192899	
706113	211887	
706113	215355	Lady of the Night
706113	215997	Nina
706113	217407	
706113	226150	
706113	227952	
706113	228172	Direktor skole
706113	234260	Dara
706113	234261	Ljubica/Nada
706113	235001	Herself
706113	244226	
706113	260764	
706113	265659	Marija
706113	272044	Kurva
706113	273093	Matilda
706113	284865	
706113	301503	Kristina
706113	305813	Rada
706113	312618	Sasa
706113	328705	
706113	328706	Mira Pantic
706113	328708	
706113	339325	Sluzbenica
706113	343867	Zaga
706113	357400	
706113	375744	Persa
706113	386659	Seka
706113	392446	
706113	393419	Jelena
706113	395082	Lisica
706113	395704	Zaklina
706113	401749	
706113	402119	
706113	406316	Vida... Scepanova bivsa zena
706113	407129	Anka Ninkovic
706113	409294	
706113	410442	Prodavacica
706114	166392	
706115	170848	Herself - Participant/Perform
706116	176888	Kid at Ice Rink
706117	176888	Kid at Ice Rink
706118	3123	
706118	95945	Maid #1
706118	258664	Young Waitress
706119	225965	Klimzowa
706120	131166	
706121	248594	Herself
706122	44191	Nemah
706123	50006	Old Sweeper Woman
706123	85866	Bev
706123	174240	
706124	75721	Additional Player
706125	387466	
706126	279259	
706127	128062	Blind Woman
706128	124378	Extra
706129	217102	
706130	7641	
706131	52656	Ice
706132	138969	Malick
706133	53180	Madre
706134	29772	Berta
706134	244272	Emilia
706135	205163	
706135	221863	
706135	295097	
706136	25216	
706136	82991	
706136	222375	Freddy's mother
706136	278585	
706136	377606	
706136	407279	Dona Benta
706137	38191	Marianna
706138	162103	
706139	132155	
706140	245513	Huxley's Nanny
706141	16406	Ticket collector
706142	219459	Josiane
706143	169017	News Anchor
706144	33471	
706145	244277	Emilia
706146	76892	Azizalsaltaneh
706146	100416	Malala
706146	175947	
706146	215088	
706146	277424	Reza's mother
706146	324342	Prostitute
706147	59574	Winnie Mandela
706148	108087	Ballet Assistant
706149	212666	Maestra
706149	280412	Enfermera
706150	111997	Nina Jr.
706150	261607	Talitha
706151	333327	Dancer
706152	41393	Jacy 5-9
706153	68980	
706154	64261	
706154	155186	
706154	358379	
706155	87961	
706156	237310	Félicité
706157	374425	Child on School Bus
706158	123099	Grandma's Friend
706159	215680	Herself
706159	215687	Herself
706160	74156	
706161	259303	Vanaja
706161	272530	Grand Duchess Olga
706162	20625	Extra
706162	285521	Ganga
706162	320181	
706163	86261	Eine Altastin
706164	83380	Young Girl
706164	198629	La Fille du Groupe
706165	16046	
706165	16711	
706165	32101	
706165	35989	Bhagya Laxmi
706165	41531	
706165	66851	
706165	69351	
706165	71579	
706165	116721	
706165	128213	Mrs. Miller
706165	207500	
706165	216021	
706165	224764	
706165	280938	
706165	287659	
706165	291161	Louise
706165	294738	
706165	298551	
706165	318646	Parvati
706165	360602	
706165	365083	
706166	28259	
706167	188665	Mangi
706168	72004	La nièce
706169	306154	Marie-Rose
706170	28904	
706170	111096	
706170	201052	La collègue de Weber
706171	162779	Dancer
706171	384306	Ballet
706171	384507	Dancer
706172	272724	Reenactment Cast
706173	846	Herself
706173	188453	'Likes' Girl
706173	388102	Host
706173	399345	Host
706173	404379	Host
706174	15824	Bhairavi
706174	34576	Chon
706174	90146	Prostituta del coche
706174	189301	Una prostituta
706174	227316	
706174	252694	
706175	56887	
706175	279022	Bride
706177	96115	
706177	357208	
706178	65892	Joyanne
706179	65892	Nanding's daughter
706180	44816	Verochka
706180	59900	
706180	75030	
706180	75195	
706180	241448	
706180	357145	Lady In A Bar
706182	124057	Petite fille
706183	366763	Abigail Williams
706184	126305	Kanning's mother
706185	16328	Katrine Madsen
706185	116978	Speaker
706185	117001	
706185	154227	
706185	182628	Fru Sørensen
706185	303950	
706185	315374	
706185	317652	
706186	76148	
706186	345150	
706187	46698	Dina
706188	206008	Martine
706189	112763	
706189	112770	
706189	174050	
706189	252595	
706189	302077	Luciana
706189	328760	
706189	338242	
706190	79187	
706190	141948	
706190	170663	
706191	404995	Eloísa
706192	275822	La mère de René
706193	345461	Inès
706194	275822	Anne
706195	249336	
706196	108882	
706196	150558	
706196	168748	
706196	193354	Profesora Susana
706196	212468	
706196	214210	
706196	294997	
706196	322853	
706196	397589	
706196	404994	Anita
706197	339332	Irina
706198	222467	Marlen Berg
706199	297561	
706199	299426	Veronika
706200	274313	Lenia (segment "Strip Poker")
706201	11876	Fifi
706201	111757	
706201	122769	
706201	134813	
706201	203341	Konradine
706201	225137	Elfie Meyen
706201	264996	Girl on Plane
706201	279069	Manuela
706201	293561	
706201	345932	Bettina
706202	22845	Eva
706203	44474	Gorilla Team
706203	119334	Sockhead
706203	147214	Headless Billy Butcherson
706203	177584	Rachel
706203	335310	Tommyknocker
706204	134178	Greg's pupil
706205	195685	Michelle
706206	45435	Aunt Gert
706206	80841	
706206	125987	
706206	233482	
706206	239034	Elderly Lady
706206	398158	Mme Collins
706207	215287	Pat Crawford
706208	199485	
706209	105315	Shopper
706210	8954	
706210	32499	Heavenly Switchboard Operator
706210	72256	Cora
706210	72576	Secretary
706210	72715	Auditioning Actress
706210	77681	
706210	88310	Girl In Hanger
706210	88974	Nurse,
706210	96614	Show Girl
706210	116039	Hostile woman in corridor
706210	122673	Tessie
706210	125923	
706210	141668	Heavenly Switchboard Operator
706210	148931	Louise, receptionist
706210	150480	Passerby
706210	170984	
706210	212974	Receptionist
706210	215540	
706210	221181	
706210	233561	Stella Pumpernickle
706210	238566	
706210	248832	
706210	255145	
706210	315322	Radio Station Receptionist
706210	331394	Show Girl
706210	343033	Passerby
706210	360671	
706210	371856	Bit Girl
706210	372278	
706211	216320	
706212	407569	Presenter
706213	8961	
706214	1705	Joey
706214	279460	Tour Group Member
706215	83786	Commere
706215	384660	Herself - Presenter
706216	52496	Violet
706216	289498	Muriel Randall
706217	101133	Journalist at the airport
706218	248122	
706219	40795	Skinny Woman
706220	26672	Gordy's Girl
706220	274069	Dinner Guest
706221	5168	Betty
706221	43873	Katie
706221	138716	Herself/Nurse Ellen Crozier
706221	194502	Morwen
706221	252984	Aileen
706221	321788	1st Woman in Ted Hughes' Lect
706221	380827	Violet Profusion
706221	392949	Herself (Host)
706221	404880	Pauline
706221	405209	Nurse Ellen Crozier (1994-199
706222	17967	Bartender
706222	21213	Patricia in mirrored room
706222	24476	Siobhan Meehan
706222	26256	Julia
706222	95271	Bellman #4
706222	134077	Marjorie Detterick
706222	137932	Marcella
706222	170602	June
706222	201503	Herself
706222	269950	Ruth
706222	280216	The Woman
706222	335245	Allie Earp
706222	337988	Bartender
706222	385908	Trixie
706223	398267	Laila
706224	219830	Saleswoman
706225	323841	Swimmer
706226	322128	Orgonáló lány
706227	91912	
706228	175189	Hotel Guest
706229	283006	Maintenance Worker
706230	341712	Sayuk, Eskimo Child
706231	400566	Natasha
706232	344244	Zuster in mimespel
706233	389695	Card Dealer (1980-1981)
706234	289396	Jilly
706235	76508	Herself
706236	110645	
706236	257724	
706237	28375	
706238	16861	
706238	238828	La nuova padrona di casa
706239	82930	Maria
706239	241605	Caterer's Assistant
706240	380084	Vera
706240	380095	Mayra
706240	385855	Sara
706240	390300	Nancy de Prado
706240	397604	Irena
706240	403741	
706240	408848	Gabriela
706241	262810	
706241	266800	
706242	377112	Secretaria
706243	75721	Ms. Burns
706243	82245	
706243	86796	
706243	369894	
706243	398452	Deborah
706243	403402	Bettina
706243	411248	Winona
706244	71287	Teresita child
706245	160882	Dancer
706246	91280	
706247	53010	
706248	114621	Donna
706248	271363	Donna
706249	332680	
706250	56332	
706251	47080	Theresa
706251	397579	
706252	384507	Dancer
706252	402676	Herself - Choreographer Assis
706252	406972	Dancer
706252	406994	Dancer (1990-1994)
706253	12073	
706253	70660	
706253	90127	
706253	100298	
706253	139894	
706253	216305	
706253	310067	
706253	332944	
706254	402965	Co-Host
706255	93261	Mandy
706256	332680	
706257	207710	Linda Lewis
706259	57781	
706259	73976	
706259	257564	
706259	352152	
706260	62032	Enid
706260	67572	Latina maid
706260	128760	Wanda
706260	176919	Carmenita
706260	187729	Maria
706261	363126	
706262	268993	
706263	303447	Dancer
706264	66105	The Spanish Maid
706264	100150	Joan
706264	102514	Woman #1
706264	135860	Adele/Bunny
706264	185916	Mrs. Vega
706264	326602	Cop #5
706264	333288	Mrs. Cuervas
706264	346079	Singer
706264	389858	Marina Rojas (1994-1995)
706265	672	Aunt Hortensia
706265	395861	Julieta Sulbarán
706265	403290	Lupe
706266	8708	
706266	20678	
706266	57978	
706266	70833	
706266	82237	
706266	124042	
706266	225591	
706266	235999	
706266	255056	
706266	260588	
706266	267408	
706266	270447	Elisa
706266	287005	
706266	296126	
706266	323083	
706266	383555	Escolástica García
706267	68567	Esperanza de Brochero
706267	335169	Nurse
706267	379459	Sarita Elisondo
706267	401258	Rosario Sierra de Santana
706268	385847	
706269	211357	Rachel
706269	309213	Muffy
706270	96280	
706270	116633	
706270	184934	
706270	249890	
706270	307466	
706270	341371	
706271	12132	
706271	25001	
706271	103903	(segment "O Milhar Seco")
706271	147339	
706271	158941	
706271	188883	
706271	213738	
706271	224971	
706271	260819	
706271	308273	
706271	322386	
706271	328973	(segment "Um Homem Debaixo da
706271	349669	
706272	384400	Tatiana 'Tatis' Del Moral
706272	384980	Diana Antillón de la Reguera
706272	393833	Lorena 'Lore' Álvarez
706273	212056	
706273	252057	
706273	294973	
706274	99107	
706275	284220	Mrs. Patisson
706276	157177	
706277	344611	Egle
706278	93594	Party Guest
706279	386608	Nicole
706279	390242	Psychiater van Lisette (1997-
706279	395035	
706279	412043	Jose
706280	106298	
706281	59193	Mary-Francis
706281	283549	Sky Montgomery
706282	353464	Mick's Mother
706282	409462	Maraîchère
706283	95946	
706283	225601	
706283	267008	
706284	324115	Lieutenant Lesien's Secretary
706285	46671	
706285	206072	
706285	261404	Mrs. Stambuk
706286	191394	
706287	309472	Joy
706288	219533	Sonya Blade
706288	219538	Sonya Blade
706289	16791	Sleepwalker
706289	17490	Woman #1/Woman Named Gloria
706289	28480	Shopkeeper
706289	44028	The Android Sisters
706289	51482	Mrs. Monroe
706289	51654	Cathy's Mother
706289	73989	Goody Osborne
706289	80449	
706289	95518	Dutch Housekeeper
706289	158440	Mrs. Rollo
706289	198828	Burgess
706289	208992	Person on Ferry
706289	217902	
706289	287211	
706289	304765	Woman at Subway Station
706289	323876	(segment "Dutch Master, The (
706290	119822	Hooker
706291	317316	Detective 2
706292	64781	Lina
706292	68015	Courtesan
706292	139062	Emma
706292	181414	Unci Vuncia
706292	185567	Maria
706292	211347	Jessica
706292	229650	
706292	243285	
706292	337426	
706292	347119	The Contessa
706292	373216	Carmen
706292	401798	Gemma (1970)
706293	328695	
706294	411329	Host and sketches (2001-2002)
706295	239453	
706295	410491	Kim De Hert (2002-)
706296	178811	
706296	211885	
706296	243892	Hrabalka
706296	317626	Navrátilová
706297	132247	Rolling Hills Dance Team
706298	397949	
706299	68481	
706299	288043	Simi
706300	117010	Co-Starring
706300	143455	Iberian Airline Clerk
706300	348303	American Airlines Boarding Ag
706301	77436	Fille de Palais/Speakerine TV
706302	41877	Shirley (Dana)/Jana
706302	44816	Helena
706302	230049	Halyna Dydyk
706303	46617	
706303	85818	Musa
706303	197183	
706303	212333	Herself - Jury Spokesman - Fy
706303	274455	
706303	327403	Tamara's friend
706303	332123	
706303	335776	
706303	340371	Koki
706303	360172	
706303	376773	
706304	116417	
706304	370460	Violetovata veshtitza, Dyavol
706305	343080	Phyllis
706306	133190	Gabriela
706307	62918	
706308	261850	
706309	139216	Pizza Waitress
706310	410311	Lisa Bonelli
706311	17432	
706311	89589	
706311	134620	
706311	155989	
706311	160814	Alla Sergeyevna
706311	187382	Sootkin
706311	220689	Tamara
706311	262186	
706311	266173	
706311	270741	
706311	273089	
706311	323318	
706311	324135	
706311	349251	
706311	352802	
706311	357468	
706311	357708	
706311	374177	
706311	401710	
706312	116808	
706313	156003	Tzanka
706314	411500	Fenella Feverfew
706315	6911	Dora
706315	16073	
706315	240761	Jenny
706315	288477	Janice
706315	399383	Mrs. Lenville
706316	192432	Celita
706317	16007	Lana Turner impersonator
706317	37511	Phone Operator
706317	41060	Hotel Stenographer
706317	44536	Pretty Blonde Neighbor
706317	47364	Autograph Seeker
706317	47980	Jean
706317	92230	Muse
706317	93751	Marge
706317	135839	Blonde Barfly
706317	136020	Lucy Conover
706317	136520	Pat
706317	139790	Dance-hall girl
706317	152526	Jean
706317	154148	
706317	154747	Gladys
706317	157945	Girl in 303
706317	159023	Francine (blonde stripper)
706317	183813	Midge
706317	192539	Sue Hawkins
706317	203362	Alma Doran
706317	209660	Show Girl
706317	213249	Veda Pinelli
706317	218757	Tenant
706317	239352	Ricki Hart
706317	301065	Sally (showgirl)
706317	302467	
706317	324911	Blonde at Bar
706317	330634	Bit role
706317	331764	Show Girl
706317	342873	Girl
706317	365064	
706317	365373	Mildred
706318	151545	
706319	5800	
706319	216115	
706319	349942	
706319	350808	Elena Fodor
706319	388675	Aliki
706319	392993	
706319	394038	Sofia
706319	407921	Valeria Poulopoulou (singer)
706320	11876	Olga von Pleskow
706321	33486	
706321	39623	Sarah Collins
706321	51375	Olimpia Capce Latro, princess
706321	52879	Valeria
706321	77269	Franziska Wildenbrück
706321	78307	Luciana
706321	81517	(segment "The Jealous Husband
706321	113682	Deborah Lagrange
706321	121906	Rosanna
706321	158762	Nina Moinard
706321	162083	
706321	189076	
706321	235737	Gladys Cunningham
706321	235751	
706321	252638	Nora
706321	256772	Jessica Dublin
706321	257027	
706321	262479	Nina Genovese
706321	265813	Annalisa
706321	278972	Norma
706321	287609	Isabelle
706321	295160	Kathy Adams
706321	328830	
706321	342121	Mary Weil
706321	346574	
706321	348162	Wilma
706321	351543	
706321	378390	
706321	378998	Chiara
706321	379627	Sonja
706321	388509	
706322	80928	
706323	23599	Tosca, soprano
706323	24102	Jenny Smith
706323	65538	Servilia
706323	165297	Herself
706323	199289	Cio-Cio-San
706323	208945	Trina Sieppe
706323	250707	Herself - Donna Elvira
706323	273343	Trina Sieppe
706323	314733	Lina
706323	316693	Rose Maurrant
706323	336374	Floria Tosca
706324	36713	Aunt Lucy
706325	206488	Nun
706325	212238	Diner patron
706325	292018	Dance Teacher
706326	89851	Ines
706326	114209	Jemm
706327	103954	
706327	221951	
706328	106474	
706329	28852	Reema
706330	111153	
706330	387932	
706331	226498	Maestra de gimnasia
706331	273583	Rebeca
706331	294731	Dulce
706332	57456	
706333	4250	Francien
706333	4741	Zus
706333	4753	Moeder Roef/Mrs. Cocklesmith
706333	134403	Farmer´s wife
706333	170968	Woman with gun
706333	178631	Keet
706333	193386	Farmer woman
706333	195017	
706333	214743	Jakkepoes
706333	234879	Martha
706333	242429	Mien
706333	352126	Tante Masha
706333	358043	His Wife
706333	376185	Annet
706333	379080	Moeder Roef/Mrs. Cockle Smith
706333	391469	Nilgun (1999)
706333	392493	Moeder
706333	393554	Hildegonde van Hirstenvoorde
706333	393555	Juffrouw Jannie
706333	394479	Moeder Leemhuis
706333	398575	Mus
706333	411949	
706334	138495	Hansje
706335	52724	
706335	153089	
706335	184893	
706335	209118	
706335	236196	
706335	238458	
706335	268312	
706335	275528	
706335	371420	
706335	378003	
706336	193183	Adhikari's wife
706336	370966	Shaheen
706337	252974	Narrator
706338	269421	Girl Kissing in Bar
706339	128595	
706340	12983	
706340	27410	
706340	127329	
706340	141841	
706340	176109	
706340	177563	
706340	268077	
706340	271422	Lucky
706340	288665	
706340	350719	
706340	367213	
706341	98502	
706341	201331	Laxmi (Nisha's friend)
706342	394967	Tulsi Mihir Virani
706343	240968	Laurence
706344	85416	Renu
706345	68681	Kannu
706345	79119	Anjali
706345	124783	
706345	141394	Andrea
706345	176030	Monica
706345	201047	Chutki
706345	207376	Nisha
706345	262879	Divya
706345	279296	Lakshmi
706345	405163	Malia
706346	217892	Bakul
706346	232716	
706347	51070	Passer-by
706348	340197	Irina
706349	105891	Karras' Mother
706350	55270	
706350	109526	
706350	188066	
706350	206451	
706350	292394	
706352	343819	Kika
706353	91063	Herself
706353	91064	Herself
706354	386930	Various
706355	213164	Corpse #2
706356	154866	Organ Lady
706357	252852	Sweetness
706357	308609	Michelle
706357	392968	Recurring
706358	71479	Bunny Rogers
706358	136128	Lexi's Birthday Party Dancer
706358	141985	Rachel
706359	2787	Herself
706359	14141	Susan Sloan
706359	18978	Pat Collins
706359	31500	Gayle Buchannon
706359	49026	Woman on train
706359	52017	Diane
706359	63043	Herself
706359	88180	Terry
706359	95877	Carol Marshall
706359	100095	ChiCha
706359	100096	ChiCha
706359	121803	Nurse Nancy
706359	139704	Sarah Powell
706359	151641	Stephie
706359	160464	Herself
706359	166893	Jane
706359	171050	Charlotte
706359	192254	Philomena
706359	199759	Camille Barbone
706359	204522	Inez
706359	221021	Herself
706359	228984	Herself
706359	235160	Shimma
706359	240486	Mildred Tilman
706359	252841	Janet Bradley
706359	264830	Tippi
706359	271343	Nancy Nestor
706359	276686	Pat Lafferty
706359	291495	Wendie Cross
706359	319532	
706359	323440	Esther Lederer aka Ann Lander
706359	340225	Beverly Kimble
706359	380391	Henchwoman (1986)
706359	386959	Judith Tupper Stone (1990-199
706359	388694	Principal Folsom (2002-)
706359	390315	Zoe Hellstrom (1996)
706359	393962	Nina Van Horn/Clair Noodleman
706359	398213	Herself
706359	398715	Emily Zebrowski
706359	408765	Dr. Brigitte Blaine (1983)
706360	30091	Cleaning Lady
706360	231633	Alma
706360	247351	Twardowski's Mother
706360	349170	Lena
706361	374	Stella
706361	62976	Ghost of Christmas Yet To Com
706361	70116	Helga
706361	229052	Le Prince Noir
706361	280530	Sabine
706361	281301	Mara
706361	302304	La Dame de feu
706361	340877	Mariline
706361	375817	Ivy, l'androgyne
706362	75576	Alina, the price servant
706363	310806	
706364	284175	Emilie
706365	31507	
706365	249038	
706366	106721	Jackie
706367	191340	Ary
706368	85459	Zainab
706368	165088	
706369	286418	Female Victim
706370	56545	Herself
706370	78303	Maike
706370	91026	Monika
706370	267809	Das Mädchen
706370	296903	Karen
706370	312868	Sabine Steinhoff
706370	325553	Verkäuferin
706370	343689	Jasmin
706371	64872	Young Patient (Houston)
706371	211840	Isabel Emerson
706371	330433	Sheera
706372	111405	
706373	58684	Friend
706373	181481	
706374	223776	Mr. Wolinski Woman
706375	358608	Peasant Girl
706376	175918	Hina
706377	43174	Twinky Seth
706377	115174	Chandramukhi 'Candy' Unadkat
706377	359934	Snehlata
706378	148460	Assistant Principal
706378	273772	Reporter 3
706379	175918	Courtesan
706380	16928	Frau Hitlera
706381	7607	Sonia
706381	145432	
706382	328185	
706382	370949	Pinki
706383	103298	Abu
706383	174799	Dadi-Ma
706384	17504	Lady of Court No.5
706384	21401	Sabhi
706384	28891	
706384	174613	
706384	217909	Danza del ventre
706384	251217	
706384	281491	
706384	283880	
706384	287526	
706384	304288	Penny
706384	308358	
706384	319840	
706385	9500	Anastasia
706385	259419	
706385	379630	Eleni
706385	380770	
706385	387711	
706385	390837	
706385	396360	
706385	404236	Bessy
706385	407920	
706386	180739	
706387	234435	
706388	179747	
706389	359590	
706390	39334	Secretary
706391	271339	Arizona quint
706392	7891	Marion
706393	345165	
706394	705	Mermaid
706395	77144	Cowboy's Hostess
706395	86274	Hostage
706395	101060	Cowboy's Hostess
706395	135992	Kym
706395	169692	Lola
706395	213654	Beautiful Girl #1
706395	257847	Herself
706395	279323	Party Girl
706395	361068	Girl Playing Piano
706396	271339	Arizona quint
706397	107843	Operator
706397	186383	Dawn Trent
706397	387533	Bev Mansfield (2000)
706397	387992	Lorraine Silver
706397	394671	Lynn Hickson (1997-98)
706398	317946	Housewife
706399	107895	Prendergast's Daughter
706399	160125	
706400	344474	
706401	6249	Grandma
706401	25417	Rose
706401	82321	Vincenza Amico
706401	85954	Herself
706401	89147	Mrs. Wortzik
706401	99839	
706401	101040	Masha's Mother
706401	146420	
706401	151187	Carmela Santangelo
706401	194289	
706401	210767	
706401	223026	Clara Klammer
706401	233854	
706401	270622	Mrs. Waldbaum
706401	276247	(herself)
706401	292526	Mrs. Meacham
706401	301303	
706401	306221	Grammy
706401	383893	Herself
706402	212196	Dagmar
706403	334382	Maxwell's Daughter
706404	285610	Young Girl
706404	391933	Joëlle
706405	297635	Mrs. Rhodes
706406	233033	
706406	242431	Stacy
706406	317792	
706406	334260	Emily Cutter
706406	336556	Daughter
706406	408515	Michael 'Mickey' DiMeo
706407	4274	
706407	4309	
706407	4320	
706407	4405	
706407	4886	
706407	10625	Marjina
706407	14454	Soni
706407	16183	Sheetal
706407	16277	Inspector Durga Devi Singh
706407	17356	
706407	18919	Geeta
706407	18924	Seema
706407	25668	Rajkumari Seema
706407	26228	Kammo
706407	26232	
706407	26234	
706407	27641	
706407	27643	Pooja Malhotra
706407	29068	Madhu/Chanchal
706407	35964	
706407	36008	Roopa
706407	50017	
706407	57877	Radha, Vikramjeet's wife
706407	58400	
706407	58595	
706407	59425	
706407	61018	Herself (Guest Appearance)
706407	61022	
706407	78647	Seema
706407	83739	
706407	83741	Asha
706407	83757	
706407	85362	
706407	85420	
706407	86656	
706407	86743	
706407	88476	Miss Shalu
706407	88505	
706407	88625	
706407	91466	Kaajal/Kaju
706407	93103	
706407	95035	Radha
706407	95401	Durga
706407	95437	Sunderi/Rosy
706407	98473	
706407	98520	
706407	98523	
706407	109310	
706407	123104	Billoo
706407	125156	
706407	131948	
706407	136891	
706407	137158	Reshma
706407	144386	Ambujam
706407	145432	
706407	152458	
706407	152492	
706407	164299	Mona
706407	164312	
706407	164885	
706407	165214	Durgeshwari Devi
706407	165401	
706407	168712	Rekha
706407	169194	
706407	170168	Seema
706407	171339	Ramu's Mom
706407	171523	Gauri
706407	172187	
706407	174311	Sapna
706407	176184	Kusum
706407	177129	
706407	180724	Raj Kumari Minakshi
706407	181112	Phoolvati (Guest Appearance)
706407	181515	Chandramuki/Paro
706407	181517	Bharti
706407	181925	Self (Guest)
706407	184167	
706407	187658	Tara
706407	198667	
706407	198709	Kamini
706407	198735	
706407	209567	Meera
706407	211451	
706407	217147	
706407	222273	
706407	226041	
706407	227881	Asha
706407	227990	Gauri
706407	228868	Seema Choudhury
706407	246099	
706407	247106	Mohini
706407	247446	Dancer
706407	248742	
706407	254409	Herself (Guest Appearance)
706407	262461	Radha
706407	262843	
706407	262848	
706407	271414	
706407	271446	
706407	271563	
706407	271742	
706407	272701	
706407	273060	Razia
706407	278337	Taku
706407	284985	
706407	286765	
706407	287915	Kavita
706407	287931	
706407	287987	
706407	288665	Indu
706407	293277	Seeta/Geeta
706407	297583	
706407	297584	
706407	297589	
706407	297613	
706407	299249	
706407	299603	Basanti
706407	319085	
706407	319834	
706407	324832	Chandni
706407	326961	
706407	328180	Malatimala (Guest Appearance)
706407	339963	Sheetal Varma
706407	341635	
706407	351139	
706407	354295	Suman Bhardwaj
706407	359418	
706407	373078	Nafisa Khatun (Special Appear
706408	4059	Mother-servant-hooker
706408	200629	
706408	297174	Tribal Dancer
706409	76530	
706409	86632	Blackmailer's associate
706409	86650	Geeta Anand
706409	98488	
706409	172593	
706409	228697	Shobha
706409	234862	
706409	268064	
706409	370960	
706409	375198	
706410	111760	Prof. Fiala
706410	125222	
706410	125323	
706410	314309	Sylvia
706410	325606	
706411	346060	
706412	314276	Vera
706413	118484	Helen
706414	220484	Cashier
706415	205771	Maïna
706415	326324	
706415	409879	Vasilka, mladata Sarandovitza
706416	163891	
706416	293907	
706416	307311	
706416	349240	
706417	356418	
706417	398902	
706418	3335	Kseniya Vorobej
706418	15402	
706418	20461	
706418	24862	
706418	33800	
706418	47402	
706418	60438	
706418	63579	
706418	63581	Pelageya
706418	79471	Agrafena Kozulina
706418	91212	
706418	95933	Mother
706418	134299	
706418	160113	
706418	174196	
706418	174541	
706418	178823	
706418	179329	
706418	200418	
706418	209517	
706418	224320	
706418	258172	
706418	261313	
706418	263406	Nedyalkova
706418	265939	
706418	283837	Antonina
706418	293942	Grandmother
706418	324275	
706418	341326	Grandma
706418	344278	
706418	349251	
706418	349269	Anfisa
706418	349298	
706418	349315	Mother
706418	350729	
706418	356426	
706418	357227	Kseniya Vorobei
706418	357461	
706418	370176	
706418	373694	Rayechka
706418	374716	
706418	374790	
706419	60430	
706419	63578	Frosya
706419	81699	
706419	136778	
706419	176139	
706419	179619	Dunja
706419	209535	Yulka
706419	261690	
706419	357427	
706419	360059	
706420	95933	
706420	265274	
706421	223212	Chouchou ainée
706422	288452	
706423	24420	
706425	380430	
706426	356467	Vela
706427	348752	Benton
706428	47004	Runway Model
706428	57332	
706428	111448	
706428	119070	
706428	228165	
706428	284969	
706429	78015	Courtesan
706429	94632	
706429	402780	
706429	410311	Rebecca Sarpi
706430	38696	Young Rebecca
706431	195	Operator
706431	44471	Claire
706431	70300	
706431	74204	Rebecca Palmer
706431	88111	
706431	141411	Marilyn
706431	153187	Stuart's wife
706431	208631	Lois
706431	220622	Helen Frederick
706431	232429	Ellen
706431	261290	June Sofar
706431	301668	
706431	338796	Mrs. Monday
706431	342924	Indian juror
706431	389412	Dr. Anne Brewster
706431	400236	Dr. Dorian Cramer Lord Callis
706432	39349	Orwen
706432	39692	Woman at cemetery
706432	73572	Woman #1
706432	88766	Woman with Glasses
706432	177643	Betty Johnson
706432	197018	Gran'ma
706432	236152	Miss Cuvvyduck
706432	289115	Church Follower
706432	289260	Docent
706433	27598	Herself - Participant
706433	403530	Herself
706433	403531	Herself
706433	403536	Herself - Participant (2003)
706434	26127	
706434	41626	
706434	81860	
706434	108823	
706434	112900	
706434	116093	
706434	150032	Herself (Malitia)
706434	154060	
706434	154061	
706434	171170	
706434	235417	
706434	288044	Dziewczynka z Pieniazkiem
706434	323540	
706434	325373	Kasia
706434	361243	
706434	361877	
706434	369908	
706435	60982	
706435	61024	Bhramar
706435	94919	
706435	184159	
706435	202570	Kurani
706435	232747	
706436	287215	Police Officer
706437	178376	Statist
706438	24295	Aurora
706438	156433	
706438	221340	Limenova bivsa devojka
706438	372973	Sonja
706439	33728	Kurva I
706439	49177	Biljana
706439	88541	Maja
706439	183911	
706439	229980	
706439	231278	Ana
706439	236169	Milica Jankovic
706439	355199	Tanja
706439	394691	
706439	394813	Vojka
706439	395704	Stefanija
706439	400502	Ana Andjelic
706439	405775	Tijana
706439	410452	Ruza Karadzic
706440	278337	
706441	399379	Woman on Train
706442	6201	
706442	102939	
706442	179177	
706442	179554	
706442	256910	
706443	32201	
706443	251524	
706443	389304	Ti-Lou
706444	376919	Maitre Dubois
706445	98647	
706446	8043	Neighbor
706447	10704	Tania
706448	82490	
706448	99330	Young Areida
706449	47391	Iris
706449	96111	Chloé
706449	112818	Rallia
706449	134559	Astrid
706449	169538	Nathalie
706449	205771	Laurence
706449	218308	Vanessa
706449	219458	Myriam
706449	254052	Le bras droit de Jambe-de-Fer
706449	257007	Sandra
706449	282405	Cindy
706449	288900	Nina
706449	291575	Prostituée Gomez
706449	353922	Waitress
706449	354825	Eva
706450	137353	Machshemashot Sisters & Witch
706450	227921	Anat
706451	89810	Sister Teofila Mikulowska
706451	171438	
706451	195037	Countess
706451	238404	
706451	249815	Oberaufseherin Madel
706451	255411	Car Passenger
706451	260389	
706451	261629	
706451	311880	Aunt
706451	338886	Melania Barska
706451	363512	Hulanicki's mother
706451	369381	
706451	373795	Krysia's Mother
706451	375735	
706452	97360	Secretary #1
706452	170243	Elizabeth
706452	220985	Susan
706452	340904	
706453	152172	Stud Owner's Wife
706453	294662	Elzbieta Borzecka
706453	343801	Gabriela Turwida
706454	183046	Narrator (English version)
706454	297929	Narrator
706455	382074	Bim
706456	139739	Sari
706457	7086	Woman in laundry
706457	282824	
706457	313640	Waitress
706457	314403	Roza
706457	344278	
706457	356120	Grandma
706457	373704	
706457	381631	Pobiyakho
706457	400448	Frida
706457	401686	Etel
706458	129974	Rhoda
706458	171261	Sister
706458	196318	Angie
706458	257729	Sunday
706458	368987	Gail
706459	195249	
706460	187800	Valentina Nikolayevna Orlova
706461	374746	
706462	222644	Hysterical Lady
706462	247319	Malu
706462	384587	Kaya
706462	385162	Secretary
706462	387533	Diwata Margharita de la Cruz/
706463	64964	
706463	75981	Mrs. Richards
706463	90062	
706463	367373	Nowakowa
706463	376253	
706464	11986	
706465	24010	Singer
706465	86328	Singer (Tausendundeine Nacht)
706465	134822	Singer
706465	142007	Singer
706465	142094	Singer
706465	179768	Singer
706465	193284	Singer (Warum zählen die Matr
706466	128606	Herself
706466	128757	Herself
706466	213262	French Woman
706467	344299	Martin's mother
706468	166270	Jay
706469	386618	Contestant
706470	137570	Linda Hall
706471	28098	
706471	30545	Queen
706471	85300	
706471	175934	Manthara
706471	202684	
706472	152246	Amiga Rosa
706473	214814	Jewish Mother
706474	372632	Moll
706475	117755	
706476	40572	Petite fille 1
706477	387533	Dawn Woods (2003-)
706477	407406	Maggie Chambers
706478	160882	Ensemble
706479	314252	Nurse
706480	64750	Afro Woman
706481	89320	Jake's Girlfriend
706482	137258	Kid in Airport
706483	243712	Estrella
706484	32677	
706484	197615	
706485	370053	
706485	382867	Victoria 'Toya'
706485	383555	Constanza Herreros
706485	386516	Soledad
706485	395330	
706485	396601	
706485	397737	Virginia
706485	404580	
706485	408419	Greta
706486	249908	Elena Miranda
706486	402055	Laura Sofía de Bayona
706486	403262	
706487	213978	
706487	320018	
706488	25434	
706488	192813	Sonali Jayasinghe
706488	209543	
706488	259999	
706488	288515	
706489	93903	Herself: Blomsterpige, Vugges
706489	162292	Wedding Guest
706490	17570	
706490	17571	
706490	26105	
706490	26985	
706490	27082	
706490	31331	
706490	39080	
706490	39081	
706490	41486	Herself
706490	50528	
706490	50529	
706490	50531	
706490	50555	
706490	50682	
706490	55279	
706490	63209	
706490	66070	
706490	68839	
706490	70213	
706490	70917	
706490	70922	
706490	72778	
706490	76932	
706490	81495	
706490	81741	
706490	81840	
706490	81917	
706490	81923	
706490	83619	
706490	83962	
706490	87293	
706490	89882	
706490	91627	
706490	91942	
706490	93119	
706490	93537	
706490	93538	
706490	93539	
706490	101020	
706490	102825	Herself
706490	105431	
706490	106111	
706490	128235	
706490	128472	
706490	129090	Herself
706490	147652	
706490	150635	
706490	161506	
706490	169614	Porn Actress on Cable TV
706490	186129	
706490	188418	
706490	196530	
706490	199034	
706490	208289	
706490	219094	
706490	230770	
706490	232651	
706490	252832	
706490	266674	
706490	267482	
706490	295580	
706490	295715	
706490	297812	
706490	299948	
706490	302249	
706490	303451	
706490	304784	
706490	311161	
706490	316777	
706490	369332	
706490	372540	
706491	203343	Sam
706492	310571	Andrea
706493	113116	
706494	12402	Karen
706494	128002	Consuelo
706494	147660	Martine
706494	203343	Prostitute
706494	291559	Sveva
706495	188551	Intruder
706496	351293	Moeder Schippers
706497	87886	Rose
706498	231426	Cafe patron
706499	11469	Margot
706500	378861	Herself
706501	378861	Herself
706502	353637	
706503	366751	Elevator girl
706504	249872	Medico
706505	77036	
706505	232240	Maria
706506	105441	Christine Redfern
706506	379872	Dr. Kate Brady (5/4/2000-)
706506	382381	Dr. Polly Grey
706506	385646	Al Dangerfield (1996-1997)
706506	407656	Penny Neville (2002-)
706506	410070	PC Lorraine Johnstone (2003)
706507	291584	(segment "Tube d'un jour")
706507	352927	Governor's Child
706508	31872	Constance
706508	323069	Diary Voice
706509	264525	Denise
706509	389143	La villageoise
706510	184053	La bombe blonde
706511	80303	
706512	206056	
706513	60011	Fonzi
706513	196687	Alizee
706513	247022	Women in Elevator
706513	299683	Monica
706514	19873	Herself
706514	23801	Mlle Suisson
706514	23831	Lady Markby
706514	51379	Elizabeth
706514	64951	la Pieuvre
706514	71834	
706514	84100	Mrs. Davies
706514	100016	Maggy Fauchois
706514	101198	Herself
706514	115343	La duchesse d'Anche
706514	135426	Mme de La Tournerie
706514	196822	Mlle Vorbe
706514	225477	Berthe Rossini
706514	244309	Émilia, épouse de Iago et ser
706514	251063	Hélène
706514	283242	La dame distinguée
706514	286515	Jacqueline
706514	301090	Eva
706514	332201	
706514	340181	
706514	345422	Pierrette Debard
706514	346538	
706514	389005	La princesse Metternich
706514	396864	Madame Bonnefon
706515	6378	La bonne de l'asile
706515	8611	
706515	71800	
706515	89946	
706515	121411	
706515	160064	
706515	268391	Adèle
706515	309023	
706515	332226	
706515	341368	Célestine
706516	33032	Herself
706516	130953	Tilly Masterson
706517	84691	
706517	248848	Herself
706518	11553	Catherine Lynch
706518	53612	Hannah
706518	71309	Grandma
706518	157290	
706518	195452	Grandma
706518	235627	Little Old Lady
706518	321130	Mrs. MacDonald
706518	321255	PDG/Chastity Belt Lady
706518	349022	Dr. Martha
706518	371050	
706518	381970	
706518	398777	
706519	135623	Birthday Singer
706520	1766	Denise
706520	21617	Amélie
706520	78390	
706520	111089	Young Paulette
706520	124801	
706520	222963	Isabelle Tanguay
706520	346637	Marthe
706520	390502	Gastonne Belliveau
706520	390839	
706520	407360	Sarah
706522	33170	Yves's Sister
706522	198635	Rose (La Poune) Ouellette
706522	216242	
706522	380970	Vickie
706522	388690	Berthe
706522	390502	Simone Letendre
706522	391631	Dominique Parent
706522	410067	Danielle St-Pierre
706522	410368	
706522	411186	Jeannette
706523	81193	Stg. Charlie
706524	97273	D.J.
706525	45819	Shibani
706525	77890	Bani
706525	88489	
706525	94918	
706525	137988	Sumitra
706525	179349	
706525	248391	
706525	326962	
706525	344066	Sumitra
706526	283031	Femme trio radio-crochet
706527	139360	Kahina
706528	10743	Alice
706528	24555	
706528	152486	
706528	202478	Young Malliswari
706528	339962	
706529	13318	
706529	82136	
706529	139952	
706529	193604	
706529	271920	
706529	271923	
706529	287360	
706529	288141	
706529	302742	
706530	130979	Myrna McKay
706531	206828	Herself - Former Editor-in-Ch
706532	293383	Matron
706533	194278	Principal
706534	61354	
706534	265816	
706534	319793	La mère de Floreal
706534	322853	
706534	379879	Celina Carransa L.
706534	380145	Carmen
706534	397013	Matilde
706534	398816	Mother Superior
706534	398995	María
706534	401358	Mamina
706534	404073	Herself
706534	408895	Asunta de Scarpelli
706534	409957	Victoria Vázquez (1998-2000)
706535	43959	Narrator
706535	256333	Narrator
706535	361827	Narrator
706535	368307	Narrator
706536	231776	Freida
706537	33638	Edmee's daughter
706537	42213	
706537	43670	Liselette
706537	120863	Pellegrin's daughter
706537	160064	
706537	205480	Lucienne
706537	205767	Mme Royale
706537	220497	Une petite fille
706537	308304	
706538	225606	Amparo
706538	338065	
706538	350123	Luïsa
706538	386093	Patrícia adulta
706538	404715	Montse
706539	82232	
706539	215499	Lili
706539	379432	M30
706539	402542	Colaboradora
706540	128727	Dancer
706541	41004	Barbara Crane
706542	392015	Vampira
706543	25877	Car Rental Girl
706544	7547	
706544	150080	Sheila Lieberman
706544	201597	Teenage Girl
706545	206388	Maddie Richards
706546	404931	Bridget Woolcott
706547	177083	Madoka Ayukawa
706547	259864	Porno Picket
706548	9125	Religious zealot #2
706548	41253	
706548	117083	Rachel Marcoli
706548	128760	Marilyn
706548	129772	Marie
706548	134731	Frances Whitfield
706548	142716	'Family' girl
706548	169016	
706548	241276	
706548	276163	Cindy Smith
706548	334596	
706548	352700	Mrs. Powell
706549	37273	Patricia
706549	55445	Penny
706549	138204	Helen Barlow
706549	142609	Peggy
706549	143638	Kay Lanning
706549	147804	Herself
706549	152601	Nancy Moore
706549	261981	Carolyn Sibley
706549	302620	Ellen Croft
706549	321616	
706549	367269	Irene Courtney, known as Iren
706550	46154	Miss Trotsky
706550	158230	Sally
706550	176810	Rita
706550	194278	Marvella
706550	280432	Kate Wilson
706550	314224	Charlene
706550	314444	Kit Sundersen
706550	323478	B-Jo
706550	410953	
706551	198026	Claireine
706552	65929	
706553	257939	Beryl Robinson
706553	331306	Woman prisoner
706554	184955	Waitress
706555	75906	
706556	41093	Ruth Evans
706556	196299	
706556	362076	
706557	74218	Grandma
706558	303760	Bicycle Girl
706560	355696	Herself - Tennis Champion
706561	185817	
706562	154379	Herself
706562	379152	Presenter
706564	345612	
706564	404282	Dr. Denise Foxworthy (1990-19
706564	411802	Leslie Brooks #2 (1977-1984)
706565	418	Sarah
706565	213278	Maria Mintos
706565	253015	Italien Babysitter
706565	408549	
706567	26921	
706567	321031	
706567	321038	
706568	166917	Herself
706569	184948	Gloria Stafford
706569	253932	Favorite of Charles II
706569	326186	Helen Hunt
706570	307903	Knock Knock People
706571	262589	Jessica (Mary - Nativity Choi
706572	22701	Angie
706573	41390	Rosemary
706573	122186	Eve
706573	217745	Dancer
706574	252212	
706575	405209	Opera Singer (1997)
706576	110302	
706576	211602	Girl at Maxim's
706577	232069	Diane
706578	333054	Showgirl
706578	348327	Goldwyn Girl
706578	367970	Entertainer
706579	157324	Young Football Player/St. Jud
706580	368244	Ensemble member
706581	109686	Student #6
706582	79165	Secretary
706582	98044	Ruth Hallwig
706583	391604	Nina Teubner (#2) (????)
706584	4752	
706584	17054	
706584	18533	
706584	25520	
706584	290620	
706584	290665	Babs
706584	359067	The Secretary
706585	87961	
706585	166184	L'infirmière
706585	205266	Mme Kapchak
706586	65097	Claire
706586	210237	Rosa Altamira
706586	379086	Ulla Lindig (part 3)
706586	410154	
706587	48368	Wedding Guest
706587	190809	Husan
706589	326617	Bully
706590	109361	
706591	40942	Dancer
706592	401	Anne-Sofi
706592	16318	Kerstin
706592	16332	Margot
706592	18266	Ismene, Antigone's sister
706592	32845	Stina Bergman
706592	60371	Ingeborg Balzar
706592	76490	Karin Månsdotter
706592	84287	Marianne
706592	84306	Docklisa
706592	94262	The mother
706592	100448	Telephone Operator
706592	104784	Eurydike
706592	105362	One of Signe's daughters
706592	108633	Ekdahlska huset - Alma Ekdahl
706592	115401	Britt-Marie
706592	120138	Lisa Dahlman
706592	122334	Ingrid Fredrikson
706592	122448	Vendela
706592	122456	Cecilia
706592	126306	Gertruds mother-in-law
706592	129259	Abigail
706592	129662	Vendela
706592	130070	Alma Bergman, Henrik's mother
706592	133202	Aurora Styf
706592	135672	Berit
706592	142219	Hanna Jung
706592	153943	Vendela
706592	158685	Angelique
706592	158686	Beline, Argan's second wife
706592	166943	Eva Gunnarsdotter
706592	172982	Ann-Mari Flodén
706592	182277	Anita
706592	182566	Barbro, girl next door
706592	182580	Marianne
706592	202774	Gittan Broms
706592	202779	Hillevi
706592	206197	Lovisa
706592	213343	Lina
706592	228410	Pia Bolt
706592	245803	
706592	264278	Sonja
706592	268351	Tatiana
706592	276141	Jessie Sjövall
706592	281199	Judith
706592	281907	Siv Lundberg
706592	284057	Kerstin Renman
706592	302146	Janet
706592	303162	Louise
706592	303199	Girl in school
706592	303648	Young pregnant woman
706592	304221	Cecilia
706592	308197	Gertrud
706592	308200	Maid
706592	311980	Vendela
706592	312229	Victoire
706592	315000	Susanne
706592	326010	Ester Hershagen
706592	326518	Bruscon's wife
706592	334739	Sheila
706592	337514	Gertrude
706592	346969	Jane Raeburn
706592	346971	Girl at the debutant's ball
706592	351459	Martha
706592	354710	Farmor
706592	357747	Vera
706592	357774	Lotta
706592	357802	Malin's Maria, orphan girl
706592	377431	Mona
706592	378162	Hedda-Lisa Ryselius
706592	389363	
706592	390231	Alma Bergman
706592	391463	Fru von Hancken
706592	394744	Siv Winter
706592	401289	
706592	402277	
706592	408801	Ester Nilsson
706593	249105	Jimi
706594	381615	Clémence
706595	398767	Melitta Olsson
706596	69053	Anne Isabelle Byron
706597	210361	Herself
706598	255516	Reeta
706599	354421	Herself - Consultant, Socialm
706600	191566	Ina
706601	401773	Journalist
706602	227042	Women at Fancy Restaurant
706603	322671	Dancer
706604	108197	Eivor
706604	134966	Görel
706605	185321	Screening Room Jury
706606	14852	Màrja
706606	139429	Model
706606	153547	Helena Pääkkönen
706606	182218	Laura
706606	188933	Tiina
706606	209063	Various
706606	281038	Tyttö juhlissa
706606	350602	Eeva
706606	393017	Venla
706606	394792	Tuija Kangasharju (2002-2004)
706606	404201	Anne
706606	409264	Annika Leino
706607	84554	Herself
706607	93429	Singer
706607	104735	Swedish entry (10th place)
706607	104744	Herself (German entry (9th pl
706607	117585	Maj Lindquist
706607	189858	Herself
706607	210326	Herself
706607	210327	Herself
706607	210351	Herself
706607	210359	Herself/Host
706607	252007	Gammel-Maja
706607	350688	Eivor
706607	352502	
706607	391363	Eva Riberfjaerd
706607	397397	Herself
706607	408935	Dorabella/Marabella
706608	6586	Old Woman in Search of Employ
706608	16264	Lindkvistskan
706608	29345	Woman on the street outside t
706608	29559	Concierge
706608	78384	Dinner Guest
706608	84270	Prompter
706608	88824	Boarding house manager
706608	119016	Kund i bageriet
706608	120922	Emma
706608	121019	Cleaning-woman
706608	145520	Malena
706608	148826	Hulda
706608	154504	Woman at the poor-house
706608	159635	Woman at Henriksson's
706608	164651	Mrs. Blom, customer
706608	165613	
706608	170838	Woman in the courtoom
706608	174046	
706608	175351	Farmer's wife
706608	192647	Aino's mother
706608	192926	Protester
706608	209311	Miss Grönberg, journalist
706608	210310	Landlady
706608	225671	Guest at the party
706608	237260	Peasant woman
706608	264277	
706608	268348	Shop customer
706608	284136	Hilda
706608	305885	Woman who wants to have her p
706608	312224	Beata, cook
706608	315549	Curious woman
706608	316909	Lady at Newsstand
706608	317642	Newspaper Lady
706608	322271	Lady in the Katarina Elevator
706608	322311	Cleaning-lady
706608	338674	Woman who does not want a vac
706608	346210	
706608	348728	Mrs. Svensson
706608	377298	Curious lady at the square
706608	377388	Mrs. Månsson
706609	152721	Helene, first to see Quasimod
706610	396218	Eva Björklind
706610	411580	Jenny
706611	174697	Greta, Gustaf's and Serafia's
706613	154236	Kontorassistent
706614	315606	Child
706614	377397	Godeman's Child
706616	187563	Older woman
706617	181765	Gymnastiklærerinden
706617	184924	En lærerinde
706618	130450	Girlfriend
706619	134472	Malin Siljeberg
706620	341861	Elisabeth Hjortron
706621	355091	Ma Fisher's Customer
706622	355091	Ma Fisher's Customer
706623	357772	Annika
706624	174684	
706624	253720	
706625	301428	
706626	399437	Pammy
706627	341810	Cecilia
706628	64631	La Foletta
706628	303854	Mrs. Blom
706628	377391	Mother-in-law
706629	1050	
706629	314390	
706630	261153	Herself
706630	393752	Maija
706631	203600	Tour Guide
706632	187810	Kitty (age twelve)
706633	121785	Carmella
706634	7441	Elizabeth Drummond
706635	308100	Herself/Interviewer
706636	11284	Kay Slott
706636	90918	Glenda Baker
706636	123698	Marie
706636	131569	Frieda
706636	146054	Mabel van Morgan
706636	157462	Nina
706636	163441	Joan
706636	177495	Victoria
706636	190894	Eileen O'Connor
706636	224334	Kleeberg's Brunet
706636	245616	Dolly Jordan
706636	264730	Pepita, Another Dancer of Equ
706636	278514	
706636	309929	Mary Rowland
706636	316940	Mary
706636	332861	
706636	343056	Frances Wilson
706636	358875	Adele
706636	363459	Goldie Kelly
706636	366011	
706637	386497	Estelle Ste-Marie
706637	393352	Jasmine Rocheleau
706637	401983	Malorie Mura
706637	404018	
706637	410252	Sophie Lapierre
706638	383568	Tania
706638	385401	Lulú
706638	387552	Estefanía
706638	393833	Marisol Robles 'media hermana
706639	72367	Secretaire de M. Poireau
706639	122780	
706639	400768	Pascale Doyon
706640	386512	Pamela Hoyt - Court Reporter 
706641	112654	Un educante
706642	46110	
706642	78258	
706642	85166	
706642	89986	
706642	94069	
706642	164477	
706642	166402	
706642	172021	
706642	213874	Ruzica Drazic
706642	229895	Branilac 2
706642	232599	
706642	258595	
706642	266249	
706642	280827	
706642	282973	
706642	294369	
706642	320367	
706642	328708	
706642	339023	
706642	375341	
706642	382430	Sanjina majka
706642	386362	Jelena Petrovic
706642	392446	
706642	393168	
706642	393359	Hristina Kurtovic
706642	394876	Jelena
706642	402119	
706642	403668	
706642	404733	
706642	404734	
706642	405656	Danica
706642	407668	
706642	408837	
706642	410260	Simona Sljivic
706642	410442	Bobova supruga
706642	410452	Kneginja Sara Karapandzic
706643	394003	Presenter
706644	154783	Little Girl
706645	398874	Magdalena Kalicka (2003-)
706646	105851	Angela
706646	145019	Flyer Girl
706647	180361	
706648	1271	
706648	75195	
706648	181321	
706648	292477	
706648	297338	
706648	318091	
706648	320941	
706650	292413	Martha Sowerby
706651	290470	Terri Perko
706652	235571	Hooker
706653	400241	
706655	155301	Hotel Guest
706656	256598	Edith
706657	398920	Mor
706658	365372	Herself
706660	161270	
706661	2021	Herself - Best Supporting Act
706661	4696	Mrs. Prescott
706661	21299	Abigail Parker
706661	22826	Martha Wright
706661	30647	Hazel Dobkins
706661	31059	Mrs. Elaine Yarborough (USO m
706661	31691	Marianne
706661	33197	Marge Smith
706661	37334	Acme Bookstore proprietress
706661	50199	Cathy Sharpe
706661	67417	Julie Ann Winslow
706661	69263	Molly Denniver
706661	70299	Kay Knowland
706661	79915	Ana
706661	107688	Dororthy, Co-ed
706661	107698	
706661	109420	Connie Adair
706661	109768	Lisa Bond (Savage's ex-fiance
706661	111155	
706661	114638	Shalee
706661	115180	Nora Carson
706661	120732	Martha Mercer
706661	127697	Model
706661	130848	Mrs. Skinner
706661	131506	Mildred
706661	140912	Dr. Sullivan
706661	145007	Bridesmaid
706661	147663	Herself--Junior Hostess
706661	164486	Virginia Dale
706661	165561	Sgt. Spud Lee
706661	174644	Myrtle Cutler
706661	176872	Alice Lorie
706661	185686	Belle Breckenridge
706661	185748	Laurie Henderson
706661	186271	Jeannie
706661	191945	Maggie
706661	193654	Charlotte Downing
706661	194354	Ruthie Donovan
706661	203270	Cleva Creighton Chaney
706661	203612	Paula Stafford
706661	203613	
706661	221304	Lola Gillway
706661	222653	Constance MacKenzie
706661	230289	Karen Galt
706661	231768	Nancy
706661	235953	Dawn Archer
706661	238637	Shelley Delaine
706661	241566	Eileen Daley
706661	241752	Amy Lind
706661	254332	Constance MacKenzie Carson
706661	255694	Elaine Hagen
706661	255864	Calla Gaxton
706661	264709	Francey Farnham
706661	267656	Ann Stewart
706661	269026	Chaney
706661	285131	Dr. Ann F. Rollins
706661	289537	Rosie
706661	292946	Donna Weeks
706661	295293	Betty (pianist)
706661	300068	Bit
706661	302469	Linda Curtis
706661	309845	Deborah Miller
706661	314419	Telephone operator
706661	324034	Corinna Willard
706661	325027	LaVerne Shumann
706661	328031	Lorna Miller
706661	333647	Phyllis Tredman
706661	334371	Miriam
706661	335702	Diana Barrymore
706661	335726	Mary
706661	336218	Lt. Susan Peabody
706661	342902	Joan Winston
706661	359421	Lily Dollar
706661	366419	Emma Kegan
706661	368918	Marylee Hadley
706661	372484	Fran Tuttle
706661	391533	Mrs. Herzog
706661	401350	Constance MacKenzie Carson (1
706661	403336	Irene Goodwin
706662	158393	Shop Assistant
706663	31283	Mrs. Hortense Dale
706663	207411	Jean Rallston
706663	291805	Mrs. Chester
706663	317179	Claire Harle
706663	317941	Helen Fisher
706663	371057	Princess Nadice
706664	154554	Herself - victim in Punta Gor
706665	218091	Mrs. Jordan
706666	83982	Bar Singer
706667	83982	Chorus #11
706667	116924	Nun
706668	364330	
706669	13954	Rena Grubb
706669	27447	Ashley Hardwick
706669	28476	Supporting Role
706669	28482	California Morning 'Lucy' Whi
706669	30734	Ruth Anne 'Bone' Boatwright
706669	43935	Mary McGuire
706669	59403	Herself
706669	60186	Jolie Fitch
706669	66947	Ferry Girl
706669	69895	Young Ellie
706669	70781	Emily Rasmussen
706669	78097	Margie Flynn
706669	90772	Gretchen Ross
706669	99386	Ellen Foster
706669	117091	Heather Aubrey
706669	144593	Willa
706669	146871	Geli Raubal
706669	149439	Lilly Kate Burns
706669	190047	Alyssa Beck
706669	201712	Herself
706669	263558	Lydia Bennet
706669	289074	Mary
706669	314459	Anna Harrison
706669	347180	Becky Pollard
706670	345741	Hemmingway's Secretary
706671	126755	Judy
706672	107928	Kinky Kitty Couple
706673	19362	Student
706674	384614	Herself
706676	274679	
706677	380391	Blaine Ewing Frame Grove Cory
706678	89970	Friday
706679	191331	Chocolate Brown
706680	168529	Herself
706680	310112	Herself
706683	194251	
706683	303282	Herself
706683	342590	Herself
706686	43559	
706686	50032	Marisa
706687	244034	The Zoo Visitors & Staff
706688	281156	Juliet
706688	379612	Mary Aldrich #2 (1950-1952)
706688	390122	Emily Kimbrough
706689	200463	Passenger on Model T
706690	360881	Judy
706691	303282	Herself
706691	342590	Herself
706692	224648	Martha
706692	339389	Marina Oswald
706692	366088	Elizabeth Mayfield
706693	5819	Ruth
706693	7177	
706693	26771	Strongman's Assistant
706693	27300	Alice Hardy
706693	29072	Sylvia Morton
706693	30467	
706693	31341	Molly Coshgan
706693	40433	Molly Melody
706693	48599	Helen
706693	48611	Corona Baldwin
706693	54735	Wanda Heimstone
706693	67837	
706693	78721	Helen Courtney
706693	83603	
706693	87129	
706693	91946	
706693	117140	
706693	119989	Violet Blakely
706693	124023	Garage Owner's Daughter
706693	128290	
706693	128296	
706693	128496	
706693	130870	
706693	140648	Rural girl
706693	143077	
706693	145773	The woman next door
706693	163444	Eloise Randall
706693	165972	
706693	171233	Caroline Pickering
706693	179022	Jenny Jenkins
706693	186458	
706693	191927	Edith Smythe
706693	197669	(Chapters 1 thru 5)
706693	199497	Elizabeth Royce
706693	203050	
706693	206160	Molly Young
706693	217446	
706693	217447	
706693	220304	
706693	230355	
706693	235433	Margy Ellison
706693	239753	Molly McLeod
706693	254549	Molly Grant
706693	254579	Jane Elliott
706693	255324	
706693	260245	Scallops
706693	267060	Molly Capels
706693	272954	Nan
706693	274038	Jane Reedly
706693	274354	
706693	276181	Betty Jerrold
706693	282446	
706693	286148	
706693	289584	Molly Calvert
706693	309481	
706693	311402	Vaudevillian
706693	315312	Joan
706693	315486	
706693	315895	Joan Sims
706693	319871	Marian Hoffman
706693	327257	
706693	330303	
706693	330344	Alice Norris
706693	332082	
706693	333166	
706693	334108	
706693	337600	Mary Stockdale
706693	348091	Nadine
706693	361654	
706693	361697	Evelyn Vaughn
706693	365508	The Princess
706693	367694	Jessamine Buckner
706696	7409	Claire
706696	54405	Mrs. Phyllis Peaker
706696	120279	Ann Summers
706696	128760	Sara's Mother
706696	161161	Virginia Hawley
706696	176972	Lois Carter
706696	190705	Jackie
706696	196711	Nancy Howell
706696	203546	Sudie
706696	245531	Honora Dundas
706696	286948	Tina Scott
706696	295081	Shirley Hammond
706696	304399	Ann Leonard
706696	338895	Aunt Sissy
706696	339404	Mary Moylan
706696	354823	Debbie Baumgarden
706696	382773	Babby Dennis (1959-1960)
706696	388792	Margy Martin
706696	389098	Eva
706696	390771	Robin Lang Bauer Bowden Fletc
706696	395948	Clara Varner (1965-1966)
706696	398930	Libby (1960-1963)
706697	42230	Guitar
706697	194753	
706698	189238	Midwife
706699	30582	Cheerleader
706699	117424	Dancer
706699	291884	Vickie
706699	318743	Bikini Contestant
706699	403060	Co-Host
706699	411561	Co-Host
706700	262726	
706701	41004	Mrs. Crane
706701	142929	Nurse
706701	193884	Edna
706701	206410	
706701	302322	Chrissie
706701	382838	Moe McGee (1993-1997, 1998)
706701	384766	Moira
706701	399069	Jane
706701	408644	Mrs. Smith
706702	145659	Herself
706702	277257	Herself
706703	10900	Gertrude Van Ness
706703	83604	
706703	191596	Mary Morrison
706703	367707	Larry's Sister
706704	73493	Herself - a Negro Student
706705	291449	Dancer No. 2
706706	5013	Customer 2
706707	79162	Voice on Walkie-Talkie
706708	256206	Party Guest
706709	26633	Jean Store Customer
706709	27207	Unity House Nurse
706709	104916	Bartender
706709	120202	Teacher
706709	157931	Judge Pat Antonio
706709	263496	Customer #1
706709	278498	Mourner #1
706709	332530	Security Guard #2
706709	372525	Jones
706710	139642	Gail Force
706711	153142	Mrs. Smith's Maid
706712	92692	Demon Bride
706713	184546	Rose-Marie
706714	157436	Classroom Student
706715	301842	
706715	302696	
706715	336032	
706716	236494	Dalton's Girl
706717	77793	Restaurant Woman #1
706717	261992	Woman
706718	169895	Kali Carter
706719	400223	Annie Horvath (1983-1984)
706720	371381	Bobbi McElvein
706721	17695	Fairview Nurse
706722	75707	Polly
706722	261634	
706722	300856	Rene
706723	196341	Pregnant Woman/Liz
706723	271704	Cindy Callabaro
706724	347300	Brooke
706725	400223	Annie Horvath (1983-1984)
706726	139359	Secretary
706727	6249	Lois Addams
706727	13394	Alien (segment "Fine Tuning")
706727	30197	Tom Thumb
706727	64516	
706727	90250	Creature
706727	102580	Thisbe
706727	155263	Waitress
706727	267148	Mrs. Stilts
706727	290943	Tanis the Mummy
706727	300901	Thelma Tiny
706727	313463	Lumpy
706727	321526	Laverne
706727	342537	June
706727	346142	Rosie
706727	379018	B.I.T.
706727	387108	
706727	388425	Honk
706727	398087	
706727	405206	Various
706727	405718	Additional Voices
706728	166874	Female Singer
706729	100814	Nurse
706730	147882	Herself
706730	225674	Herself
706731	87281	Dirty dancer
706731	216737	Dancer
706732	151608	Barbara
706732	315896	Nurse
706733	354905	Erin
706734	121836	
706734	153119	Amelia
706734	331714	Madge Bagby
706735	354905	Kathleen
706736	290346	
706737	380005	Hostess (1993-1995)
706738	408550	Magali
706738	409780	Marieta
706739	23977	Charlotte
706739	64842	Hannah, Messinger's Granddaug
706739	90772	Susie Bates
706739	102514	Annabelle Daniels
706739	125829	Ally
706739	169859	Friedman's Daughter
706739	185736	Cloe
706739	217421	Small Girl
706739	292473	Erica
706739	298115	Rosie
706739	328789	Erika
706740	300350	George's Mom
706741	263	Gwen's Daughter
706741	90772	Emily Bates
706741	124123	Little Girl
706741	273851	Michelle Morgan
706741	330388	Marina
706741	381775	Rose
706741	388319	Chelsea
706741	399964	Elizabeth Whitney
706742	87429	Krisi
706742	214516	Amy
706743	90801	Lelani Dedham
706743	203573	Lietta Appleyard
706744	381755	Herself
706744	408022	Herself
706745	293015	
706746	17021	Jade
706747	358592	The Waitress
706749	90108	Mathurine, une paysanne
706749	92920	Arlette
706749	388439	Hélène
706750	34321	Ludmila
706750	46907	Bahr
706750	160599	Lara Weiss
706750	172858	Sandra
706750	234954	Tamara
706750	374397	Marie Gorcíková
706750	393878	
706750	397298	Stella Contini
706752	318022	
706753	229869	Lulu
706754	78670	Little girl
706755	187506	Student
706755	388871	
706755	394422	Icelina Echonbach
706756	411509	Herself - Co-Anchor (1988-)
706757	224942	Teacher#1
706758	88063	La jeune serveuse
706759	139999	
706760	23673	Eloïse Michel
706760	388689	Wendy
706761	354164	Rita
706762	133792	Cheerleader
706763	62618	
706764	90056	Marie
706764	157239	Marianne
706764	328273	Catherine
706764	395480	La jeune fille en fleur
706765	82643	Nun
706766	13035	La femme de chambre
706767	87863	Julie
706768	10071	Soeur Pinsec 1
706768	106988	One of the Twins
706768	340304	
706769	10071	Soeur Pinsec 2
706769	106988	One of the Twins
706769	340304	
706770	284296	Zwangere vrouw
706770	388909	Carla (1999-)
706770	408151	Suzanne (2002)
706771	134097	Nurse
706772	103293	
706772	185671	
706772	260800	
706772	316661	
706773	33152	
706774	381908	Herself (season 1)
706775	2898	Melina
706776	10193	Anna
706776	56889	Old woman in whorehouse
706776	78246	Isa
706776	90756	Pressenda
706776	94718	Marilyne Gould
706776	108503	
706776	111858	
706776	158718	Marcus's Mother
706776	158760	La signora Le Cloaguen
706776	159449	Serpieri
706776	161787	Anna
706776	162086	Eva
706776	166344	
706776	199820	Alessandra Improta
706776	217758	Badessa Inbeserco
706776	218522	Gianna
706776	229743	Silvia Harle
706776	234557	Madre di Lucia
706776	235767	
706776	246379	Luisa
706776	246429	Marchesa di Beaulieu
706776	251610	Paolo's mother
706776	255130	Lucia
706776	265724	La monaca di Monza
706776	269632	Federico's mother
706776	289446	Bianca Alviano
706776	291057	
706776	294542	Elisa
706776	303178	La signora Valdata
706776	306820	
706776	307542	Anna, la Governante
706776	344362	
706776	344429	
706776	351583	
706776	354745	Claudio's mother
706776	356144	
706777	97054	L'Acadienne
706778	11950	Mother
706778	176804	Homeless Woman
706778	248079	
706778	281899	
706779	63865	
706779	215123	
706779	397297	Susi
706780	41123	Bruised Prostitute
706781	82682	Hillary Jackson/The Sorceress
706782	154854	Tracey Wilkinson
706782	264158	Extra on Beach
706782	303284	Gail (Age 9)
706782	314501	Heather Hartman
706782	372341	
706782	374523	Margie Hammond
706782	374524	Margie Hammond
706782	374525	Margie Hammond
706782	398337	Herself (1999-2001)
706783	63424	Studio Executive #2
706783	110180	Matron Guard
706784	167047	Woman
706785	19797	
706785	76209	
706785	107965	Gusti Gewitsch
706785	117552	Anna
706785	119109	
706785	146868	Greta
706785	283955	
706785	290674	
706785	291864	German hospital desk nurse
706785	295439	Elsa Hermann
706785	322995	
706785	324472	
706785	372490	Woman
706786	12883	
706786	125128	
706787	293067	
706788	117522	Sunseeker
706789	307457	Rita
706790	57630	Herself
706791	1840	Insp. Bertrand
706791	59634	Lili Pioncette
706791	66804	Marie Lilette
706791	72056	La toxico
706791	170443	Micheline
706791	195245	Denise
706791	226824	
706791	251544	L'assistante pub
706791	284271	Soeur surveillante
706791	407501	Lucile
706792	155013	Girl/Jack's movie
706793	80430	Wedding Guest
706794	87410	Girl 3/Additional Voices
706794	347385	Jeanne Maure
706795	218218	
706795	240384	
706795	285318	Maria
706795	329174	
706795	335369	
706795	379452	
706795	380481	Roza
706795	387391	Vera
706795	388201	
706795	393051	
706795	397345	
706796	4815	Receptionist
706796	152704	
706796	164460	Nurse
706796	220096	Ilse
706797	2476	Girl in Bed
706797	25364	Rebecca
706797	59306	Gina
706797	78759	Redhead at Party
706797	85021	Michelle
706797	87926	Mary Jo Copeland
706797	99022	Typhoid Mary
706797	136277	Melanie
706797	137688	French Maid
706797	184093	Janine
706797	208478	Model
706797	303361	Emily
706797	313633	Stacie
706797	338277	Marisa
706797	360688	Lula
706797	366658	Georgie
706798	2018	The Old Lady
706799	12437	Angela Sullivan
706799	16209	
706799	24105	Baerbel Menzel
706799	40365	
706799	42156	
706799	50797	Regula
706799	90707	
706799	98052	Lena Hoffmann
706799	98367	Mutter
706799	98978	Siri
706799	101663	
706799	102976	Barbara Drost
706799	103037	
706799	125381	Karla
706799	126351	
706799	138123	Petra Andresen
706799	144186	Charlotte Brandis
706799	155494	Michelle Schubert
706799	167709	Dr. Scheuven
706799	175785	Gala
706799	176455	
706799	177185	Kathrin Henk
706799	181943	Renée Behring
706799	189622	Lulu
706799	219459	Zina Makowski
706799	226180	Barbara Rittberg
706799	234900	Charlotte
706799	246949	Inge
706799	248926	
706799	255129	Alice
706799	259563	Antonia Reiser
706799	281657	Brigitte Potzner
706799	289881	
706799	290286	Ellen Reiss
706799	290689	Julia
706799	301139	
706799	325750	Katrin Mertineit
706799	332412	Lisa
706799	336529	
706799	336896	Karen Lanz
706799	338416	Esther
706799	343679	Silvia Grothe
706799	344229	
706799	344626	
706799	344912	Judith
706799	345097	Louise
706799	345678	Marquise de Pompadour
706799	346853	Marianne
706799	352057	Ivana Zwirner
706799	355241	Dr. Simone Stenzel
706799	365918	Juliane Kuhn
706799	374126	
706799	377373	Dr. Rebecca Schreiber
706799	381691	
706799	390701	Gudrun Lange
706799	392855	Charlotte Brand
706799	398792	Barbara Frazier
706799	402896	Isabelle von Heim
706799	403146	Andrea
706799	404440	Nina
706799	406814	Belle
706800	213324	Commedia Dell'Arte Troop
706801	101322	Mücke
706801	383109	Yvonne Günther
706801	404478	Lolle
706801	404899	Various (1995-1998)
706801	406318	Rosi Lüttke
706802	297794	
706803	95651	
706803	95933	
706803	200418	
706803	294371	
706803	308425	
706803	341194	Dunyasha
706804	244479	
706805	23578	Francesca
706805	229311	Francesca
706805	289966	Francesca
706805	317110	Francesca
706805	337106	Driver woman
706805	342331	Maria Jensen
706806	64264	
706806	86060	
706806	125773	Giulia
706806	133307	Evelyn Maloney
706807	124608	
706808	275664	Ellen
706809	17064	
706809	107343	Rumpoey
706810	82203	
706811	147695	
706812	5150	Donna
706813	107920	Police Woman
706814	265669	Karen
706815	121013	
706816	129036	
706817	160751	Nandini
706818	100703	Chica del club
706818	212406	Lucy
706819	197709	
706820	226992	Gina
706820	245447	Drunk Woman
706821	263632	Un' amica di Carmela
706822	129034	
706822	173613	Sidora's mother (segment "Mal
706823	352222	
706824	352222	
706825	94592	
706825	103664	Agnes
706825	111418	
706825	159525	
706825	169560	
706826	25516	Elisa Duarte
706826	342057	
706827	529	
706827	15361	
706827	53849	
706827	69054	
706827	74906	
706827	101265	
706827	103884	
706827	122392	
706827	148518	Tânia
706827	148658	
706827	170055	Wife (segment "HO")
706827	268315	
706827	351476	
706827	353096	Pandora
706827	397416	
706827	400099	
706828	8213	
706828	89060	
706828	89068	
706828	89070	
706828	89076	
706828	159148	
706828	264223	Bit Part
706828	300887	Siddeshwari
706828	346520	Nicole Serin-Ledoux
706828	357833	Marceline
706829	9870	Germaine
706829	17871	La femme de l'oncle
706829	27823	Hélèna
706829	51399	Clotilde
706829	72402	Thérèse
706829	78349	
706829	136645	Raoul's mother
706829	148771	Carole
706829	166160	Chantal
706829	189161	Tardy
706829	206252	Judith
706829	208217	La spectatrice
706829	212158	Lavergne
706829	230206	
706829	268946	Eva
706829	274802	Cliente à la Poste
706829	284156	
706829	286042	
706829	307570	Brigitte
706829	316306	Sophie
706829	327551	La présidente
706829	327888	
706829	370043	Mathilde
706829	377935	Arlette
706829	384212	
706829	384288	Mathilde
706829	402577	
706829	403896	Sylvie
706829	406030	Catherien Lorenzi (1998, 2002
706830	176243	Marion
706831	332188	
706832	198148	
706833	25291	
706834	132734	Anna Nikolayevna
706834	162747	Herself
706834	246343	Galimova
706834	261938	Albina
706834	349255	
706834	382821	
706835	82811	
706835	104432	
706835	163931	Masha
706835	179330	Dina
706835	180357	Angela
706835	217274	
706835	223550	
706835	225999	
706835	243973	
706835	244252	
706835	253635	
706835	309393	
706835	324132	Vera
706835	341726	Natasha
706835	348709	
706835	349078	
706835	357664	
706836	246343	Sosedka Galimovoj
706836	307615	
706837	77144	Dancer #1
706838	307751	
706839	30498	
706839	95981	Magda's Aunt
706839	231658	Heiress
706839	255028	Radziszewska
706839	321425	
706839	321766	
706839	341067	Helena
706839	375064	Slemien's Wife
706840	5055	Walmer Hotel proprietor
706840	8629	Nora, the Maid
706840	17946	Mrs. Farnold
706840	18197	Mother Superior Maria José
706840	20314	Widow Smithers
706840	30350	Mrs. Little, Head of Mission
706840	44490	Nurse
706840	52043	The Old Maid
706840	52904	Therese, Maid in Country Hous
706840	54949	Miss Brinkerhoff
706840	58657	Kitty Fyffe
706840	65717	Mrs. Clifford
706840	69403	Mrs. Mary McLaughlin
706840	85109	Laundry Proprietress
706840	85184	Mrs. Thornton's friend at the
706840	85828	Organist
706840	92687	Miss Peabody (nurse)
706840	98151	
706840	109209	
706840	114867	Murdock, Lillian's Housekeepe
706840	115810	Frau Fredericka the Mask Make
706840	115937	Cashier
706840	117557	College Arms Hotel cashier
706840	117885	Mrs. Gordon, Customer
706840	130352	Mrs. Carmody
706840	133589	Sarah Pocket
706840	134474	Mattie
706840	145975	Jenny
706840	146760	Cathy Crookshank
706840	150745	Mrs. Barryman
706840	154230	Ship's Clothing Clerk
706840	154476	Tabitha
706840	165444	Mrs. Scatcherd
706840	176447	Mrs. Campbell
706840	177141	Mrs. Edwards
706840	190944	Woman Who Finds Pug
706840	191962	Landlady
706840	192026	Lady Evalina Rintoul
706840	192174	Mrs. O'Connell the Cook
706840	194302	Mrs. Munsey
706840	196453	Landlady
706840	203002	Sarah (Aggie's maid)
706840	203122	The Postmistress at Lyme Regi
706840	203208	Abbie Addison
706840	206112	Sick Woman
706840	210404	Sister Maria
706840	216234	Mother Superior (Convent)
706840	227290	
706840	231863	Hungry woman in court
706840	232008	Village Nurse
706840	240457	Demetria Riffle
706840	241703	President of Purity League
706840	249068	Madame Martin
706840	249235	Irish Woman with Dead Child
706840	272532	Woman yelling, 'Blessed among
706840	273183	Landlady
706840	273600	Mrs. Turner
706840	280892	Miss Evans
706840	282394	The dean
706840	289536	Mrs. Cooke
706840	289689	Mrs. Grimes
706840	292426	Miss Hunter
706840	295439	Fräulein Bachmann
706840	296767	Librarian
706840	298047	Spinster
706840	298165	Hannah, the housekeeper
706840	315956	Old Maid
706840	323769	Mrs. Cruncher
706840	331495	Miss Burns, a Nurse
706840	334590	Wendy, the Maid
706840	346414	Mrs. Walton, the housekeeper
706840	347731	Mrs. Sarah McGavity
706840	360369	Archdeacon's Wife
706840	361927	Irish drunk's wife
706840	363758	Sister Colomba (Sister Colomb
706840	364837	Lady Maynard
706840	367595	Miss Piper, the Governess
706840	372360	Mrs. Appleby
706840	372589	Sarah
706840	372769	Miss Lavina Howard, School Te
706841	346940	Herself
706842	88451	
706843	174272	
706844	26745	Flight Attendant #2
706844	27684	
706844	51079	
706844	176052	
706844	206291	Madame de Montreuil
706844	217279	
706844	238100	
706844	258796	Vera
706844	261137	
706844	262498	
706844	264323	
706844	294678	
706844	308425	
706844	315003	
706844	315934	
706844	341518	
706844	357216	
706844	370176	
706844	398757	
706844	404811	
706845	17837	
706846	17837	
706847	400449	
706848	43011	
706849	198146	
706850	7206	
706851	325456	
706851	380904	Gretel
706851	384162	
706852	115706	Beverly
706852	128294	Dancer
706852	144905	Woman at race
706852	203270	Chorine
706853	58930	Woman In Bar
706854	225871	
706854	266975	Franc's daughter
706855	182525	Milka
706855	206637	Little girl
706856	178803	Gabriela
706856	179898	Eliska
706856	284055	
706857	124550	Baby Ryan
706857	132942	
706857	159897	
706857	289860	Nun
706857	324868	
706857	326009	Herself - Performer
706857	327329	
706858	32088	Miss Highland Park
706858	46153	Angela
706858	69416	Robin
706858	78058	Dena Collier
706858	80934	Rosie Hamilton
706858	109455	Tiffany
706858	192674	Pam
706858	203186	Janet Jackson
706858	220023	Little Jo
706858	277010	Davis Daughter
706858	340669	Ali
706858	366680	Celia
706858	382155	Tara
706858	392908	Katerina (Kat)
706858	397465	Glae
706858	403185	Carmen Rodriguez
706858	412005	Zixx
706859	334385	Lola
706860	340009	Secona cercatrice (Suor Angel
706862	204921	
706862	249633	
706863	307468	Townsperson
706864	318488	Receptionist
706864	356335	
706865	184227	Mary Maloney
706865	191504	Gail
706865	314777	Slightly Elegant Girl
706866	226380	Basilia
706867	181594	
706868	378391	Bailarina
706869	58044	Thelma
706870	44191	Teacher
706870	58598	
706870	233173	Kaveri
706871	367353	Klara
706872	33406	
706872	237466	
706872	266750	
706872	349254	
706872	350991	
706872	370937	
706873	101581	Vanina
706874	110116	
706874	123267	
706875	21557	
706876	86726	
706876	238099	
706876	374461	
706877	371027	Linda Karombo
706879	55122	Girlfriend
706880	61830	Val
706880	348994	Otanu
706880	358936	Girl in Roadhouse
706881	397540	
706882	25780	Marly
706882	47154	
706882	51685	Maria do Socorro
706882	75367	
706882	80346	Mara
706882	98759	
706882	103901	Arlete
706882	124241	Zizi
706882	167050	
706882	247074	Lídia
706882	256371	Zilá
706882	285578	
706882	377224	
706882	377603	Rosa Flor
706882	393615	Odete
706883	357235	
706884	132000	
706885	344304	
706886	91056	
706887	86593	
706888	196892	Young Amy
706889	377940	Asphiodèle
706890	310462	Billy's Daughter
706891	236953	Mother Fairfax
706891	321486	Josephine Wall
706891	333007	Landlady
706892	248572	Shannon
706892	310462	Bedouin Woman
706893	262644	
706894	57654	Teenage Obese Acrobat
706895	94711	Geisha
706896	263426	Marina djevojcica
706896	405984	(Sister, USC)
706897	161159	
706898	57308	
706899	384233	Anya
706899	389663	Miyanoshita, Keiichirou
706899	390536	Anna
706900	255314	Kei-chan
706901	79982	Nargess
706902	196203	Rosetta's Mother
706903	90726	
706904	50993	Rhida
706904	68351	Christian
706905	380193	Herself (Co - Host)
706906	301248	Paranoid neighbor
706907	33433	Elena Ardizzone
706907	51832	Vittoria
706907	70163	Maria
706907	111852	Norina
706907	135136	
706907	274902	The True Mother
706907	282114	
706907	301237	
706907	336615	
706907	384908	Mrs. Villefort
706908	119123	
706908	203237	
706909	117358	Dancer
706910	30497	Student
706910	159489	
706910	173673	
706910	186384	Governor's Wife
706910	225876	Nun
706910	247347	Podkomorzyna
706910	282756	
706911	301641	Dahlia Gillespie
706911	302280	
706912	89032	Emilie
706912	286542	Mother
706913	339	
706914	356907	
706915	104771	Belgian Background Singer (16
706915	387951	Herself
706915	390409	Herself
706916	263880	
706916	375202	
706917	64153	
706918	208109	
706919	136428	Anya
706920	201011	Saida
706921	82636	Nathalie dumont
706921	115345	Journalist
706922	179684	
706922	216628	
706922	374812	Cheung Siu-Fa
706923	54628	Kim
706923	65820	Maid
706923	80911	Riki
706923	112049	Parrot Keeper
706923	130110	Pun
706923	204473	Li-Li Chan
706923	241366	Chinese Student
706923	335336	Newsreader
706923	385162	Nurse
706923	386963	Kitty Wyatt (2000-2001)
706923	389248	Karen Lai (1993)
706923	399595	Mary Li
706923	400432	Rikako
706924	254948	Sai Mui
706925	8815	
706925	102906	Ann (segment "Wonton Soup")
706925	296986	Marlene Fujiyama
706926	316635	Burton
706927	189223	Aunt Chiu
706927	189225	Pai So-So
706927	203118	
706928	175009	Host
706928	389678	Letter girl (1995-1996)
706929	187948	
706930	275563	
706931	152028	Maid servant
706931	170635	Chan's Daughter
706931	226015	
706931	390180	
706932	281145	Lycosian Troop
706933	267016	Kuvaamataidonopettaja
706934	360028	Mrs. Sakuma
706934	398961	Maki Kimura
706934	410647	Mrs. Sakuma
706935	334881	
706936	293635	
706937	122183	COPS officer
706938	78280	Evdokiya
706939	374471	Stanka
706940	103565	
706940	180766	Staritzata
706941	14659	Sra. Cortés
706941	14723	
706941	18112	
706941	51678	Madre
706941	183985	Mare Rebeca
706941	240266	
706941	252531	Alma Pondal
706942	11202	Stella Dallas
706942	39411	
706942	50203	Bianca
706942	65228	Stygian Witch
706942	71742	Mrs. Burns
706942	109660	Mrs. Griffith
706942	141140	Mrs. McGlinchy
706942	141638	
706942	203304	Mrs. Grace
706942	238506	Waitress
706942	240733	Cat Woman
706942	297906	Maggie Murphy
706942	323771	The Vengeance
706942	344683	Bella Cohen
706942	354333	Shopkeeper's Wife
706942	367457	Answering Service
706942	381188	Theresa Halligan
706942	393001	Mrs. Cadogan
706942	395319	Mrs. O'Brien
706942	397261	Mrs. Kennefick
706943	18009	Nora
706943	116930	Rose Moresby
706943	185390	Senior Sister
706943	242092	Mrs. Jenkins
706943	285793	Sheila Flaherty
706943	295298	Ann Willingdon
706943	295392	Woman on raft
706943	315675	Esther's mother
706944	179493	Aiba, Shino
706944	211768	
706945	117797	Village Midwife
706946	72376	Girl at the Surprise Party
706947	381312	Min
706948	27390	
706949	66078	
706949	370102	
706950	172309	Criselda 'Chrissy' Duran
706951	105292	Mrs. Papadopoulos
706952	410628	Lili Bernard
706953	6208	La contessa
706954	336475	Blonde #2
706955	59079	
706955	99262	Aurelie
706955	166428	Trudel Baumann
706955	187924	Lena
706955	410813	Margot Kessler
706956	176711	Crazy 88 #6 (Girl)
706956	407855	
706957	161692	Herself
706958	109686	Cheryl Wright
706958	208602	Prabha
706958	213233	Delores
706959	349366	
706960	7900	Wife
706960	150606	Schwanger
706960	162346	Reporter
706960	214515	Dr. Harriet Mendel
706960	333349	Mangie
706960	367588	Dr. Swales
706961	14803	
706961	56501	
706961	58068	
706961	113300	
706961	117333	
706961	251586	
706962	376490	
706963	345243	Infirmière
706964	334678	
706965	61558	Ana
706966	71683	Band Member
706967	27212	
706968	108064	Mrs. Quickly
706968	108065	Mrs. Quickly
706968	119068	Nina
706968	324312	Tancredi
706969	63890	
706971	64782	Sandrina Girosi, Luigi's Daug
706971	97465	
706972	200437	
706972	294644	2nd Washerwoman
706973	152976	Connie Baxter
706974	371092	Cynthia Slatering-Levy
706975	160421	Cleaner 2
706976	117362	Cami
706976	126056	Wallace Girl
706977	82643	Nun
706977	166172	Une invitée de la réception
706978	238506	Girl Patient
706979	204559	
706980	332585	
706981	46167	Marta
706981	231511	Young Hispanic Girl
706981	372332	Melissa
706982	237443	
706982	406644	
706983	401377	
706984	384119	Cinthia (1995-1996)
706985	224487	Herself/Singer
706986	958	Herself - Presenter
706986	1820	Herself
706986	2768	Herself - Performer: 'Through
706986	117162	Corrine
706986	119385	Herself
706986	126000	Herself
706986	154396	
706986	170000	Herself
706986	183550	Angel (singing)
706986	189333	
706986	240180	Song Performer: "You Should H
706986	308724	Herself
706986	311976	
706986	329619	Herself/Performer
706986	356350	Herself - Choir Member
706986	382277	Maddy Russo (1993-1995)
706988	404471	
706989	374471	Maykata na Tzveta
706990	244482	Maykata na Asen
706991	111991	
706992	390381	
706993	18282	Partera
706993	57870	Woman
706993	105463	
706994	41171	Lupita Rosario
706994	87848	Mrs.Freelance
706994	265443	Susy Kaminski's secretary
706994	350217	Luxxette
706996	333120	Person of the Day
706997	48556	Esther's girl
706997	308049	Stagecoach lady
706997	323956	Herself
706999	48755	
706999	49177	
706999	132044	Miki Miki/Lenin
706999	163052	
706999	179663	
706999	181474	Spomenka
706999	188683	Elle à Belgrade
706999	227175	
706999	236049	Nada
706999	258523	
706999	303822	Devojka
706999	324481	
706999	395607	
706999	398921	Masa
706999	399000	Desanka ... 'Dejzi'
706999	401927	Katarina Kaca Jesic
706999	401928	Katarina Kaca Jesic
706999	411900	Bilja
707000	54173	Herself
707000	170229	Herself
707000	228787	
707000	255774	
707000	375125	
707000	392088	
707001	64957	
707001	200947	Lise
707001	312260	Mariette
707002	58059	
707002	58735	La fille de Chavagnac
707002	97844	Anne Pascal
707003	318712	Gyp
707004	170843	Scanner Guard
707005	169778	
707006	226380	
707007	234264	
707007	260616	
707008	64264	
707009	14501	Kate
707009	90071	
707009	219825	
707009	235349	Margherita/The Saint
707009	278404	
707009	286181	Erodiade
707010	94711	Geisha
707010	164139	Jean's Mother
707010	217701	
707011	127390	Ada, Gian's sister
707011	399657	
707011	409093	Giulia
707012	286346	Fidanzata di Teddy Reno
707012	348124	Elena Nurus
707012	355651	Bianca
707013	351506	Francesca Marchesi
707014	92052	La signora Teresa
707015	14859	
707015	16856	
707015	33495	Maria
707015	54196	
707015	54829	Lena
707015	57968	
707015	82421	
707015	88121	
707015	196797	Aldo's sweetheart
707015	235764	Anna
707015	236187	Immacolata
707015	277608	
707015	278892	
707015	289649	Maria
707015	339066	Adele Gerini, la crocerossina
707015	348175	
707015	354117	Nilde
707016	362	Lisetta
707016	9651	Indian Woman
707016	11973	
707016	13051	
707016	13090	
707016	13545	
707016	14397	
707016	14862	
707016	14881	
707016	14967	
707016	15987	
707016	17062	
707016	17201	
707016	17611	
707016	19738	
707016	26008	
707016	26693	
707016	32677	
707016	33446	Una suora
707016	33508	
707016	33674	
707016	33813	
707016	36456	
707016	36457	
707016	51049	
707016	51376	Lena
707016	52177	
707016	54024	
707016	54801	
707016	61060	Mrs. Francis
707016	63736	
707016	67516	
707016	67531	
707016	69790	
707016	70025	Girl at countess' party
707016	71143	
707016	71264	Girl in Enrico's class
707016	73513	
707016	74882	
707016	77269	
707016	81517	(segment "The Magic Pear Tree
707016	81519	
707016	82425	
707016	82426	
707016	83698	
707016	86059	
707016	90005	
707016	94738	
707016	99065	Trojan Slave Maid
707016	102503	
707016	112648	
707016	112677	
707016	113446	
707016	113456	
707016	115172	
707016	115279	Farmer
707016	124552	
707016	127880	
707016	128025	
707016	158860	
707016	159740	
707016	170990	
707016	176346	
707016	183575	
707016	189262	
707016	193041	
707016	196783	Ancella
707016	197114	
707016	198554	
707016	204587	
707016	204601	
707016	207082	
707016	208794	
707016	212121	Laura
707016	213801	
707016	214008	
707016	214009	
707016	214865	Mother
707016	214867	Conchita
707016	217864	
707016	229650	
707016	233083	
707016	235743	
707016	235786	
707016	236686	
707016	240343	
707016	249463	
707016	249918	
707016	250772	
707016	251322	
707016	252631	
707016	252719	Short-haired woman in elevato
707016	255475	
707016	260405	
707016	261228	
707016	261576	
707016	263189	Footballer's Wife
707016	263936	
707016	265511	
707016	265513	Natalina
707016	269461	
707016	269471	
707016	270329	
707016	277292	
707016	278967	Diana
707016	278976	
707016	279113	
707016	290926	
707016	292970	
707016	294775	
707016	295049	
707016	295160	Anna's maid
707016	301360	
707016	301365	'Cantanapoli', a prostitute
707016	303223	
707016	308889	
707016	309400	
707016	312251	
707016	315425	
707016	315429	
707016	315432	
707016	315449	
707016	319729	
707016	320627	
707016	324893	Client at beauty parlor
707016	326303	
707016	328687	
707016	333664	
707016	340423	
707016	341792	
707016	342121	
707016	343990	Girl in street
707016	343993	
707016	344130	
707016	344437	
707016	344632	Prostituta
707016	346293	
707016	348149	
707016	348204	
707016	348211	
707016	351069	
707016	352455	
707016	355662	
707016	362576	
707016	373912	
707016	376747	Woman
707017	56444	Singer
707017	118072	Leonora
707018	2447	
707019	23233	
707020	64348	
707021	29965	
707021	45052	Bound Translator
707021	62431	
707021	122865	
707021	247932	
707021	306841	
707022	391835	Talking head/soundbites (segm
707023	58407	
707023	205710	
707023	410155	
707024	12970	
707024	30317	
707024	54814	
707024	103480	
707024	145216	
707024	159666	
707024	169768	
707024	285374	Langosta
707024	287425	
707024	291677	
707024	293579	
707024	353561	
707024	371689	
707024	377097	
707025	247932	
707026	83824	Party Guest
707027	96519	
707028	383122	Various
707029	159431	
707029	351829	Iris
707030	120427	
707030	224153	Woman on Fire Escape
707031	399	Marianne
707031	127384	
707031	294882	
707032	404812	Nina Cavalieri
707033	335563	Harding Supporter
707034	347963	Nikki Simmons
707035	194248	Mrs. Salvatore
707035	195549	Angela Cazzoverdi
707036	182360	Herself (dancer)
707036	206140	Giulia
707037	318195	
707038	394872	Maria
707039	370643	Cassie Lawson
707040	18795	Mucama
707041	33669	Ismália
707041	124240	Sofia
707041	380089	Arminda
707041	380097	Ximbica
707042	51362	Ragazza foto nude
707043	113575	Antonietta
707043	350251	
707044	222856	Giornalista
707045	146501	child
707046	379898	La Chocolate
707046	380125	Constanza
707046	383480	
707046	384925	Daniela Borges
707046	385058	Camila (2004)
707046	386149	
707046	401067	Mariana Campos Gómez
707046	404075	
707046	405809	Sandra
707047	295131	Second midwife
707048	235609	Canadian junkie
707049	289052	Mrs. Sarpa
707050	109395	Big show dresser #3
707050	148853	
707050	188553	Cathy Russo
707050	196327	The girl
707050	280169	Newlywed Wife
707050	307854	Laura
707053	287433	
707054	366974	Little girl
707055	7545	Woman Driver
707055	34616	Woman
707055	105316	Prosecutor Mary Ann
707055	147607	Sequin
707055	202727	Angelo's Boss/Rosetta's Voice
707055	238082	
707055	313948	Jane
707055	360775	Cop #1
707055	360779	
707055	368327	
707055	396479	Ticket Agent
707056	404878	Ísis/Isidora/Iris/Marcondes
707057	1413	Makoto's wife
707057	124037	Satoko Okinaka
707057	150504	Tokiko
707057	195634	Cameo appearance
707057	201199	
707057	215380	Mariko
707057	248696	Etsuko Odagiri
707057	299136	Oko
707057	300427	
707057	320463	
707057	370748	Haruyo Tajimi
707057	371827	Tsutae
707058	367866	Narrator
707059	379625	Diogenes
707060	71291	Herself
707061	108477	Fan
707062	49176	
707062	56112	
707062	80099	
707062	80112	
707062	80134	
707062	155119	
707062	254214	
707062	265780	
707062	282033	
707062	355607	
707063	30636	
707063	46222	
707063	97561	Meri Li
707063	173988	Glasat na Mimi
707063	174661	Lyuta
707063	266655	Lelyata na Hristina
707063	337222	
707063	357432	Sestrata na Ivan
707064	4191	
707064	8356	Aiyusha
707064	18924	Ila
707064	68311	
707064	77599	
707064	83739	
707064	140494	Leela
707064	146334	
707064	152494	
707064	164291	
707064	166481	Julie
707064	166485	
707064	170626	
707064	172127	
707064	183318	
707064	193417	
707064	198722	
707064	226039	
707064	226055	
707064	248584	Bijli
707064	268076	
707064	268080	Devika
707064	271744	Ganga
707064	298629	
707064	299641	
707064	304720	Maykata na Pesho
707064	329161	
707064	375857	
707064	404810	
707065	36608	
707065	179688	Jaya
707065	191701	Ascetics
707065	250589	
707066	12260	
707066	287932	
707066	300422	
707067	383948	Sygeplejerske 1
707068	75028	
707069	131490	Rose
707069	252210	Robin Pillage
707070	365259	
707071	140964	Alex
707072	140964	Betty
707072	242077	Alex
707072	402905	Sarah Tomic
707072	408163	Jett
707073	355052	Extra
707074	14432	
707074	20736	
707074	20856	
707074	25812	
707074	74573	Marcela
707074	74625	Virginia Lascurain
707074	76106	
707074	90113	
707074	99912	
707074	101263	
707074	149564	
707074	161627	
707074	171614	
707074	215401	
707074	377190	Laura
707075	261537	Marjukka
707075	271636	
707075	285155	Children's nurse in the tram
707078	95949	
707078	375023	Maria
707079	251850	
707080	162292	Wedding Guest
707081	282781	Pierre
707082	408893	Additional Voices
707083	23750	Une pensionnaire de la Maison
707084	261281	Woman at Maildrop
707085	5271	Leonor
707086	48939	Brian
707086	300195	Producer
707086	313362	Martha Cole-Dashell
707087	28707	Waitress
707087	60866	Suzi
707087	156565	Harem girl
707087	196072	
707087	316661	
707087	322638	Linda
707087	362052	Slave Girl
707087	366081	Prostitute
707088	136514	Lauren
707088	368797	Erin
707089	267221	Desert semi-militant
707090	1136	
707090	234412	
707090	353599	
707091	368797	Sam
707092	379886	
707092	405012	Ruby
707093	327307	Allison's Friend
707094	350276	Gisele
707095	211615	A Bar Lady
707096	6906	1st Tennis Girl
707096	69393	Mrs. Hargreaves
707096	216165	Secretary
707096	257580	Lena
707096	264664	Hilda
707096	321688	
707096	372317	Anthea
707096	381661	Various Roles (1977)
707097	60172	Sian
707097	236697	Rachel
707097	265620	Jake's Right Hand Girl
707098	144870	Melanie Warner
707099	123691	Toddler on the Beach
707100	3810	Herself
707100	12999	Herself
707100	61708	Herself
707100	70932	Herself (with Nelson)
707100	203956	Herself
707100	310709	Herself (applauds Mandela)
707101	310709	Herself (at inauguration of M
707102	168634	Outback Moocher
707103	247057	Fanny Mandelbaum
707103	390517	Host
707104	1064	Angèle
707104	68498	Élève de l'école religieuse
707104	110136	
707105	38838	Kim
707105	68498	
707105	166125	Pauline
707105	377466	Blandine
707105	381383	
707106	224835	Nikki
707107	237931	Soap Production Assistant
707108	297788	Mrs. Donovan
707109	109856	Bridesmaid
707110	36856	Maid
707110	195473	Teacher
707110	281159	Rosaline
707111	139711	Bäckerin
707112	223740	Crying Girl
707113	211498	
707113	219420	Mary
707113	307105	Mum
707113	319613	Waitress
707113	319614	Mrs. Stokis
707114	193775	Kim
707114	218798	Wrangler Shop Assistant
707114	224336	Kat
707114	291233	
707114	319568	Myra
707115	68490	Storyteller (story subject: D
707116	353525	Young Mother
707117	380196	Noviça
707117	386535	Merinha
707117	394872	Soledad
707117	396610	Fernanda 'Nanda' Lemos (2001-
707118	74617	
707119	60026	
707119	63927	
707119	67181	
707119	90178	
707119	112876	
707119	118613	
707119	144312	
707119	152330	
707119	155778	
707119	169977	
707119	198302	
707119	198307	
707119	219480	
707119	219486	
707119	225361	
707119	261436	
707119	264312	
707119	289082	
707120	90510	Mathilda
707121	395196	Suzie Jackson
707122	222773	a 'Bird'
707123	75672	
707124	229248	Lijk #1
707125	290073	Wife of the mayor
707125	290074	Mayor's Wife
707126	362855	
707127	183077	The wife
707128	215087	
707129	43330	Anne (9 Years Old)
707129	91067	Herself
707129	324608	Various
707130	51454	Meryem
707131	211926	
707132	73472	Conception
707132	184053	La mère de Kader et Idir
707132	258313	Mère de Mouloud
707132	292349	Fatima Ben Bouali
707132	355972	
707133	323647	Devojcica
707133	399133	Marlena
707134	1358	
707135	191479	
707136	322643	Psiholog
707137	188683	Elle à Sarajevo
707138	35696	Aung Ko's Daughter
707139	218977	
707139	225648	
707140	183868	
707141	194993	Imana
707142	46767	Klimt's Model
707143	35532	
707144	23034	Alice Machová
707144	42193	Dida Kanská-Valentová
707144	51262	Jana Dubanská
707144	57556	Rozina
707144	84755	Vlasta
707144	84764	Manekýnka
707144	85627	Helena Bernhardová
707144	94090	Fan Tobisová
707144	94537	Julie di Rispaldici
707144	95602	
707144	96463	
707144	116694	Moura
707144	147573	
707144	150603	Milada Landová, bride
707144	153362	Emilka
707144	155458	Ellinor Deinhardt
707144	174460	Nasta Borková
707144	179717	Lexová
707144	180576	Marie Ungrová
707144	181073	Zuzana Rendlová
707144	181115	Eva Hallerová
707144	182310	Katynka Svatá
707144	208788	Marcella Johnová
707144	221197	Eva Karasová
707144	230483	Jarmila Cerná-Nováková
707144	231170	Liduska
707144	234457	Anca alias Kiki
707144	239435	Milada Janská
707144	246211	Karla
707144	247528	Lili
707144	261208	Mathilda von Kiesewetter
707144	261242	Manzelka
707144	266462	Julinka Svobodová
707144	282749	Eva Randová
707144	306662	Luisa Herbertová
707144	313910	Prodavacka Helena Truxová
707144	320494	Mici
707144	320536	Holanová, Káta
707144	320543	
707144	320643	Markétka
707144	329164	Helena Rohanová
707144	343827	Vera Hornová
707144	349356	Apolenka Dudková/Komtesa Lube
707144	351291	Nina Stepánová
707144	351374	Irena Berková
707144	357632	Mása Lírová
707144	373404	Tanecnice Lola
707144	375343	Eva Durdysová
707145	8366	Sister Genevieve's Family
707146	90209	Damsel
707146	104778	Greek Entry (17th place)
707147	104754	German entry (4th place)
707147	189843	Herself
707148	236290	The little girl
707148	237245	Lisa
707149	309786	
707150	198838	
707151	3919	
707152	74230	Party guest
707152	405525	Francesca de Carceres
707153	958	Herself - Performer
707153	1801	Herself
707153	1820	Herself
707153	1927	
707153	11685	
707153	29651	Herself
707153	31193	Herself (NBC Team Captain)
707153	42347	
707153	42354	Herself
707153	50000	Kate Bishop
707153	64560	Herself (ringmaster)
707153	69197	Herself
707153	71743	Herself
707153	126572	Herself
707153	131424	Herself
707153	132846	Herself
707153	161200	Herself/Subject
707153	168590	
707153	187359	Herself
707153	190036	Herself
707153	197071	Herself
707153	198075	Herself
707153	222649	Herself
707153	242957	Herself
707153	282569	Herself
707153	304013	
707153	313075	Herself
707153	315085	Ruth Wagner
707153	330818	Honoree
707153	368941	Angela Fischer
707153	381269	Host
707153	406952	Alexandra Mitchum (6/1997-7/1
707154	161200	
707154	330818	Herself
707154	381269	Host
707154	391281	Herself (1984-1992)
707155	31193	Herself (NBC Team)
707155	161200	
707155	330818	Herself
707155	380391	Herself (1983)
707155	381269	Host
707156	248148	
707157	65443	Julie
707158	357859	
707159	18943	
707159	173717	
707161	14956	
707162	1269	
707162	42889	Herself - Producer
707162	191092	
707162	264729	
707162	296205	Prostitute #8
707162	393599	Herself (eliminated round 2)
707163	139652	Gabrielle Delacour
707163	350506	Young Becky
707164	148420	Girl shot in driveway
707165	112966	Herself/Kata
707165	222441	Kata
707165	355199	Senka
707165	376226	
707165	392654	
707166	66592	Toni
707166	187151	Sia
707166	217465	Celia
707167	143486	
707168	385984	
707168	386445	Fouli
707168	387358	Flora Prosoutsani-Mitropoulou
707168	387477	
707168	389459	
707169	174810	
707169	181858	
707169	219451	
707169	234604	Birgit Suomaa
707169	284752	Liisa
707170	187151	Sia's Mother
707171	25720	
707171	125396	Prostitute
707172	81984	Woman in village
707173	365425	Annabelle
707174	203918	Choir Soloist
707175	174810	
707176	295673	
707176	295674	Kelly
707177	85431	
707177	271782	
707178	20465	
707178	35104	
707178	59435	
707178	326087	
707179	11977	
707179	185873	
707180	227082	
707180	250625	
707181	230103	
707181	390242	Anne de Jager (1992-1993, 199
707181	407166	Freule[1973]
707182	171717	Tina
707183	150973	Gertie Farish
707184	86334	(segment "Io sono il Signore 
707184	108506	Maid
707184	158762	Una vicina
707184	158771	Cameriera
707184	286395	
707184	404750	Una bibliotecaria
707185	231685	
707186	340104	Z
707187	54360	Nipotina di Don Vincenzo
707188	170698	
707188	356699	
707188	362530	
707189	20469	Elisa
707189	51951	Andrea Charrier
707189	53143	Carol
707189	56049	Nanny
707189	61025	Chiara
707189	68650	Gloria Montanari
707189	69039	L'autostoppista
707189	70044	Lisa
707189	111428	
707189	124566	
707189	189077	
707189	275715	Petula
707189	295176	Matilde
707190	203999	Rhoda Todd
707191	15319	
707191	53654	
707191	353202	
707192	356222	
707193	249335	
707193	251586	
707194	979	Jackeline Bom Bom
707194	68789	Secretary S.E.C.T.O.R. 4
707194	205863	Marina
707195	176453	Lady Jogger
707195	219635	Mortuary Customer
707195	330258	Jenny
707197	8844	Amneris
707198	1796	Female convict #2
707199	18221	
707200	56948	
707200	136312	Irène
707200	161672	L'infirmière
707200	166144	Irène
707200	222897	Mme Cernay
707200	264378	The Naiad
707200	264953	
707200	284367	Catherine
707200	288042	Aglaé
707200	308688	La fée
707200	319969	Virginie
707200	346756	Martine
707200	396617	
707200	404663	Vera
707200	404914	
707201	71887	Béatrice
707202	42568	Minouche
707202	51400	Maryse Gillet
707202	124325	Ginette
707202	153843	Nina
707202	215145	Véronique Vauzange
707202	225409	
707203	170355	
707203	274799	
707204	57397	
707204	116195	Michele
707204	242757	Madame LaFour
707204	252528	French woman
707204	304961	Nicolette
707204	355861	
707205	31269	
707206	236511	Jocaste
707207	83157	La femme du médecin
707207	206563	
707207	387611	L'employée de la mairie
707208	91075	Dora
707209	286744	Little Girl
707210	305293	Lelya Nadya
707211	25293	Momicheto
707211	30596	Dora
707211	45764	Saprugata na dotzent Stefanov
707211	49516	Uchitelkata
707211	54725	
707211	60727	Zhana
707211	76300	Maria
707211	77426	Pehlivanova
707211	82488	
707211	90153	
707211	97605	
707211	131158	Greys
707211	145746	Panova
707211	163901	Dusa
707211	164037	Milkana
707211	164087	Maykata
707211	172827	Denitza
707211	191492	Lelya Gichka
707211	209277	
707211	209282	Vera Blagoeva
707211	211281	Tasha, Bela Itza
707211	214249	D-r Filipova
707211	226190	Mariya
707211	228846	German secretary
707211	229059	Maycheto
707211	229220	Sofkina majka
707211	229817	Blagovesta Radeva
707211	235290	Diyana Peeva
707211	235292	Milka
707211	242467	
707211	244471	Sestra Nikolova
707211	257422	Markizata
707211	258590	Mariya
707211	258693	Mira
707211	261216	
707211	261305	Uchitelkata
707211	261330	Yordanka
707211	300564	Zhenata na Blago
707211	305285	Tzaritzata
707211	318153	Father's friend
707211	320534	Ana
707211	325006	Maria
707211	325056	Maykata
707211	339228	Liya
707211	340720	Ekaterina Naumova
707211	350946	
707211	352075	
707211	354641	Snezha Harieva
707211	357173	Dobreva
707211	370460	Maykata na Yan Bibiyan
707211	373444	Nestorova
707211	373568	Maria
707211	384026	
707211	393169	Vera
707211	397471	Tasha, Bela Itza
707211	401024	
707211	401701	Vasilena
707212	95695	
707212	121290	
707213	136828	Relative
707213	264161	Courtier/Girl Graduate
707214	232508	Old Squaw
707215	280111	Arabella
707216	235646	Mrs. Deturo
707217	140445	
707218	110224	Víctima
707218	392080	Herself
707219	141863	Mother
707219	317248	
707220	315422	La signora
707221	44522	Rossella
707221	142710	Stella
707221	380882	Cinzia
707221	384757	
707221	385845	Suzy (segment "Soucoupe de so
707222	300527	Checkout Girl
707223	328922	Tourist Mother
707224	322218	
707224	404261	Irene
707225	159449	
707226	257522	Herself (ringside fan)
707227	46747	The Diva
707228	343993	
707230	386123	
707230	394872	Fiametta
707230	401087	Creuza
707230	402685	Carmem
707230	409347	Penha
707231	177660	Grandma Boorg
707232	236181	Marcellina
707233	1569	Woman in basement
707234	409419	Maria Laura Souza Borba (chil
707235	41196	Louise
707235	386212	Sabrina
707235	394872	Gersia Crespo
707235	401087	Rose
707235	409419	Gilda Arantes
707236	257522	Fantasy Girl
707237	83068	Sprogskoleelev
707238	218345	Justy
707238	258301	Michelle
707238	394306	Janet (1997)
707239	14976	
707239	70633	Anne
707239	78745	TV Reporter
707240	41374	Marilyn
707241	355626	
707242	199564	Chantal
707243	409093	
707244	17483	Lucia Manzi
707245	17483	Luisa
707245	356218	Luisa
707246	1398	Herself
707246	2654	Jovanka
707246	17483	Anna
707246	29580	Rachel
707246	39671	
707246	46969	Mara
707246	54379	Bambinaia (segment "Bambinaia
707246	73262	Marina
707246	76146	Elena
707246	81522	Madonna
707246	82428	Dancer
707246	95181	Rev. Mother Ramallo
707246	97568	Jocasta
707246	99246	Adina's girlfriend
707246	129011	Signora Matteoni
707246	132986	Costantina
707246	134904	Marchesa Bianca Brumonti
707246	162083	Silvia
707246	170116	
707246	197114	Cosima Von Buelow
707246	197638	Rosaria
707246	202724	Giovanna Masetti
707246	219561	Tadzio's mother
707246	238129	Elisa, Romano's Wife
707246	243693	Teresa
707246	257020	
707246	278858	Silvana
707246	290899	Emilia
707246	290977	Antonia
707246	291561	Emanuela
707246	316804	Gloria (segment "Strega Bruci
707246	327441	Masha
707246	328105	Lucia, the mother
707246	330665	Suzanne Dufresne
707246	344362	Circe/Penelope
707246	348125	
707246	348140	
707246	355626	Herself
707247	176256	Hotel Clerk
707247	310019	Thandeka
707248	199794	Mrs. Millas
707249	56632	
707249	82225	
707249	92335	
707249	92343	
707249	103721	
707249	145139	
707249	205603	
707249	212492	
707249	221929	
707249	235298	Gloria
707249	236418	
707249	263875	
707249	273780	
707249	275079	
707249	286420	
707249	300753	
707249	318286	
707249	353592	
707249	355852	
707249	357527	
707249	376855	Ruth
707250	70925	Pernilla
707251	126619	Extra Talent (segment "Gett O
707252	183234	Ragazza in automobile
707253	248916	Daphné
707254	45150	
707255	100146	Mother
707256	213313	Dancer
707257	6582	Girl at Dance #1
707257	10788	Squirrel
707257	55683	Woman with salad
707258	172553	Herself
707258	266966	Herself
707259	17073	Nurse at Clinic #1 (old movie
707260	141594	Liz
707260	149026	Li
707261	363948	Guard at X-ray Machine
707262	256976	Wendy
707263	116563	Deanna
707266	349823	Student With Books
707267	409462	La greffière
707268	17743	
707268	23586	
707268	51832	Bice
707268	54092	
707268	97170	
707268	112175	Lady on train
707268	157127	Emanuela
707268	157500	Olga
707268	163889	
707268	184972	
707268	237615	Sophonisba, the Sorceress
707268	246450	
707268	252011	
707268	266151	Elvira Coceanu
707268	336590	
707268	336592	Amalia, la moglie de Lomacchi
707268	336606	La signora nel negozio
707268	350512	
707268	377573	Moglie del Ministro
707269	11626	
707270	217167	Directrice bijouterie
707271	3169	Aging Relative from the Count
707272	11806	Titti
707272	108106	Malvina Bartolla
707273	34201	
707273	355660	Eleonora
707274	195296	Eduardo's Waitress
707275	56937	Kitten
707275	121829	Ziegfeld Girl
707275	222797	The Slaygirl
707275	301558	Specialty Dancer
707276	127966	
707277	47405	
707278	479	Liane
707278	4790	Mizzi
707278	16218	Mizzi
707278	17668	
707278	24079	
707278	31390	Burgi
707278	32712	Palm reader
707278	40359	Franzi
707278	40882	Großmutter Johanna
707278	42118	Anna Breitwieser
707278	49272	
707278	90064	
707278	93418	
707278	94865	
707278	97434	Vera Dorfmeister
707278	98041	
707278	101337	Martha Monica Alt
707278	107959	
707278	115814	Baronin
707278	119207	Liz
707278	122486	Karin
707278	125114	
707278	134855	
707278	138602	
707278	140255	
707278	144148	Macie Mell
707278	145595	Frau Reindl
707278	152742	Mutter Blum
707278	155479	Mutter
707278	159686	
707278	177194	Thussy
707278	184239	
707278	186226	Susanne
707278	188779	
707278	188797	
707278	188799	Franzi
707278	189581	
707278	198420	
707278	208181	Gutsituierte dame
707278	268921	
707278	303721	Mientje
707278	325739	Kora Wiesiewicz
707278	325763	Viktoria Leon
707278	335027	Mannequin Ingrid Mai
707278	343746	
707278	347567	Lisa
707278	352656	
707278	354718	Nelli
707278	356201	Ernestine
707278	359624	Tante
707278	359645	
707278	361428	Wanda
707278	361508	Mutter Claire
707278	391479	Mutter
707278	404432	
707279	272796	Starlight casino dancer
707280	84578	
707280	204474	
707280	216329	
707280	294840	Mikaela
707280	325610	Magda
707280	340242	
707280	404486	
707281	304303	
707281	330060	Voice
707282	379831	Allyson #2 (1990)
707283	177207	Angel
707284	34838	Toni
707284	80563	Reporter
707284	241732	
707284	276708	Dancer
707285	138253	Herself (contestant)
707286	63510	Frutera
707287	286285	Maite
707288	79050	Old Woman 3
707289	68772	Dylan
707289	102011	Lydia
707290	23960	Nurse
707290	84005	Fan
707290	300361	Ballroom dancer
707290	408563	Secret agent
707291	89256	Featured Extra
707292	13951	Addison
707292	81330	Ghost Girl
707292	92618	Dr. T's Patient
707292	107621	Claire Owen
707292	113320	Melanie
707292	135170	Goth Girl
707292	160885	Skirt Admirer
707292	198966	Gayle
707292	257750	Victoria
707292	275881	Pvt. Poontang
707292	278856	Drama Queen
707293	341796	
707294	90184	Lebedame
707294	275050	
707294	302761	
707294	323001	
707294	392509	
707294	394743	Ingrid Scholz
707295	209739	Pantalis
707297	6720	Herself
707297	187058	
707297	296041	
707297	316861	
707297	319345	Unhappy wife
707298	122914	Martine
707300	741	Narrator
707300	901	Snow White
707300	2048	Herself/Presenter
707300	32717	Barrett
707300	43606	Poe Picketer
707300	72474	
707300	78992	
707300	79604	Gwen
707300	80863	Betty
707300	96826	Agatha
707300	102341	Nurse
707300	116726	Patricia
707300	138683	Kristina
707300	161318	Herself
707300	164587	Herself
707300	166567	Single Woman
707300	166671	Nurse
707300	168289	Mrs. Basil
707300	171184	
707300	178085	Samantha 'Sam' Berger
707300	184822	Rebecca Hillicker
707300	194566	Janet McFarland
707300	205830	Lisa Gobar
707300	211382	Dr. London
707300	279456	Virginia Cranehill
707300	281254	Toby Walters
707300	289668	Trooper Champlin
707300	318171	Girl in Elevator
707300	332376	Mrs. Swensrut
707300	342635	Lisa
707300	346918	
707300	362355	Alison
707300	364794	Sister Sophia
707300	372070	
707300	378710	Snow White
707300	390109	Suzanne Nabor
707300	402032	Ellenor Frutt
707300	409121	Herself
707301	177451	
707301	317152	
707301	362322	
707302	30515	
707302	169291	
707302	219229	Paula
707302	236376	
707302	269011	
707302	381222	Gracinha
707302	382405	Martinha
707302	383172	Neusa
707302	393464	
707302	396938	Elizeth
707302	400597	Lavínia
707303	11911	Billie
707303	24957	Janie Soon Lee
707303	349022	Social Services office worker
707303	389411	Tawny
707304	227311	
707304	256893	Annapurna
707304	287091	
707305	96210	La présidente
707306	359550	Riaz
707307	43126	
707307	95743	
707307	115329	
707307	237356	
707307	270700	
707307	315069	
707307	327079	
707308	218818	Ivy
707309	46000	
707310	345382	Yasmina
707311	216984	
707312	10194	
707312	28256	The female Yeti
707312	96976	
707313	162641	
707313	281405	
707313	306664	
707314	226830	
707314	295057	
707314	402118	
707315	221340	Ana, cerka narkomanke
707315	260764	
707315	261255	Devojcica
707316	224217	Nurse Bradley
707317	238127	Winkelmeisje
707317	289970	Eline Schemer
707318	269460	Nina
707319	392483	Iris
707320	244964	
707321	380511	Herself (season 1)
707322	332845	Lolita
707323	234814	Rosa
707324	2996	Sapna
707324	251745	Roma
707325	58532	
707325	219471	La serveuse du restaurant
707326	186156	Felicity
707327	87981	Narrator
707327	202474	
707328	119127	
707328	240428	
707329	69165	Herself
707329	352532	Ima
707330	159045	Voix de la mendiante
707331	220162	Second Wife
707331	253173	Valli
707332	94206	Soweto Girl
707333	210710	Herself
707334	7560	Marianne
707335	81463	Leslye
707336	41552	Dancing coed
707337	334799	Udo's Boss
707338	101726	Catholic Worker Woman
707339	12221	Jessica at 7/9
707340	87804	Mom
707341	18929	
707341	227129	
707341	282923	Melina, Athens Bank Clerk
707341	387508	
707341	393051	
707341	395608	Iro
707341	397729	
707342	11439	Akiko
707342	29395	Akiko
707342	48490	Linna
707342	68738	Compiler
707342	68739	Compiler
707342	92777	Venus
707342	123029	Kyoka
707342	123932	Big Momma
707342	177083	Girl ABCB/Madison's Sister/Ad
707342	206618	Haruka Minato, School Girl
707342	209804	Raina (ADV 2004 Dub)
707342	267200	Nanase Aasu
707342	285831	West Sanbutsushin
707342	298966	Additional Voices
707342	302414	Additional Voices
707342	304684	Naga The Serpent
707342	304685	Naga The Serpent
707342	304686	Naga The Serpent
707342	304688	Nahga
707342	309117	Big Momma
707342	309119	Big Momma
707342	311935	Margaret
707342	316615	Floozy/Additional Voices
707342	348870	Gamin Mother
707342	379014	Xenia Collins
707342	380900	Additional Voices
707342	382908	Linna Yamazaki
707342	386536	Emiko Niwa
707342	387456	Airi (English)
707342	387457	Airi
707342	388022	The Great Will of the Macroco
707342	389778	Rin Ataka
707342	394421	Haruka Minato
707342	394431	Shoko
707342	394976	Scorpion
707342	396548	Mariabelle
707342	398924	Madame, Employee, Daniela, Ad
707342	399784	Henri's Mother, Shaoli, Addit
707342	402175	Keiko Himuro
707342	402790	Sayoko Nanamori
707342	403909	Rasha
707343	70588	Amelfa
707344	104885	Maria Santo
707345	4438	Pappi
707346	17298	Passenger in bus
707347	197152	
707347	203344	Newscaster
707348	402077	
707349	19920	Daro
707349	319082	Suryanarayanan's Daughter
707350	320162	Indian Woman
707351	4102	
707351	4522	
707351	6521	
707351	12009	
707351	31432	
707351	59388	
707351	61521	
707351	79463	
707351	87701	
707351	122697	Lali
707351	131886	
707351	135882	
707351	139830	
707351	143821	
707351	152487	
707351	166519	
707351	168358	
707351	171845	
707351	171883	
707351	180428	
707351	183432	
707351	199649	
707351	200655	
707351	201056	
707351	204672	
707351	208614	
707351	211253	
707351	219006	
707351	227129	
707351	248965	
707351	271120	
707351	272741	
707351	288778	
707351	373714	
707351	375198	
707352	281756	Clarissa
707352	334498	
707352	410497	PM Sarah Jansen (1994-1995)
707352	411161	Geraldiene Einstmann
707353	364300	Herself
707354	44738	Karima
707354	51726	Fatiah
707354	65995	Redhead Girl
707354	101418	Arab Nurse
707354	236567	Noria
707354	291575	Jeune femme archives
707354	345444	Sabrina
707354	345564	Meriem
707354	396222	Malika (nurse)
707354	396261	Claire
707355	390812	Susanne Münch/Sabine Manke
707356	262515	The Nurse
707357	69428	Catatonic Girl
707358	65568	Herself
707359	66265	Kazia, maid
707359	95965	Zosia Grzybekowna
707359	204048	Baroness Kolmar
707359	247553	Minister Zuzanna/Lola, her tw
707359	248347	Barbara
707359	305185	Krzysia, as an adult
707360	83600	Casino Waitress
707361	28857	
707362	114902	Pauline Keith
707363	265142	
707364	248177	
707364	310037	
707364	326223	Marisa
707364	379905	
707364	380065	Amanda Naredo
707364	383261	Natalia
707364	383471	Marfil de los Cobos
707364	387805	Miss Mankita
707364	405416	Katy
707364	405868	
707364	409908	Yara
707364	410303	Paola Molina
707365	236460	Tanssityttö
707366	38000	Small Creature
707367	26467	Judith
707367	29175	Joe's Wife
707367	41188	Judge Burnita Shelton Matthew
707367	114613	Mrs. Miller
707367	134321	Loretta
707367	192067	Duchess of Kent
707367	232238	Aunt Vera Willis
707367	316210	Marge Trent
707367	320825	Doveena
707368	72931	Goodyear Chorus Girl
707369	10360	Herself - Mother to Princess 
707370	78226	Jemina Boone
707371	26839	Jack
707371	118527	Herself
707371	155280	Herself (World Team)
707371	339399	Red Riding Hood
707372	56871	Ashley
707372	65754	Security Officer
707372	123034	Shy Girl
707372	358114	Teenage Girl
707373	17685	Margot Frank
707374	170539	Catherine
707374	199148	Rachel's Mother
707374	232845	Pregnant Woman #5
707375	27332	Janet's girlfriend
707376	77489	
707377	9108	
707377	46627	
707377	57202	
707377	74227	
707377	78919	
707377	87705	
707377	160044	
707377	341533	
707377	342570	
707378	10360	Herself - Sister to Princess 
707379	399685	Brett Main - as Minor
707380	309597	Karen
707381	10360	Herself - Sister to Princess 
707382	80995	
707382	139486	Tracey Miller
707383	55702	Girl at Dirty Dick's
707384	250512	
707385	20643	
707386	11687	Herself (performer)
707386	32419	Herself
707386	37178	Nihilist Woman
707386	221470	Herself/Singer (Til Tuesday)
707386	234188	Herself
707387	121783	Katie
707387	128515	Cornelia
707387	194183	Herself
707387	244458	Anne
707387	369994	Herself - Nominee: Best New A
707388	78318	Sandra Craig
707389	69300	Pretty girl
707389	108271	Louise Dinsmore
707389	109609	
707389	116747	
707389	142675	Eve Pendleton
707389	146285	Alice
707389	154873	
707389	238880	Vamp
707389	244702	
707389	246785	Florence Cole
707389	253186	Helen Moore
707389	291150	Connie Chiverick
707389	330520	Cecille
707389	347553	Betty Brown
707389	359978	Genevieve Conners
707389	361661	Pal
707390	230863	Theater Staffer
707391	40700	Lily
707391	72065	Rosanna
707391	81321	Hoyle's Wife
707391	81587	
707391	116100	Cute Girl
707391	156970	Spanish Woman's Daughter
707391	194211	Salesgirl
707391	240325	Lisa Roselli, York's nurse
707391	246987	Shirley
707391	251285	Delia
707391	275322	Mrs. Ziegler
707391	409618	Norma McWhirter (1989)
707392	78832	Birch
707393	209170	Second guest's wife
707394	51334	Renate
707394	187552	
707395	195375	Dancer
707395	329346	Choreographer
707395	384014	Dance Captain (Fall 1975-1976
707396	122183	COPS officer
707397	338546	Girl with menu
707398	11440	Sister Libertine
707398	32982	Edwards
707398	40789	Claire Langdon
707398	57115	Lena Harris
707398	109906	
707398	113312	Mrs. Conroy
707398	119494	Helena
707398	191587	Miss Hemingway
707398	367553	Red Cross Nurse
707399	275597	Angela Newbright
707400	314812	Tourist's Wife
707401	127241	Nurse
707402	326754	
707403	321141	Herself (singer) (cut from US
707404	87699	Betty the Bush Poet
707404	178335	Doris de Salle
707404	245272	Edith Fraser
707404	313626	Dixie Tyron
707404	390335	Herself (1993-1999)
707404	399130	Cheryl Stark (II) (1995-1996)
707404	402197	Doreen Anderson-Burns (1979-1
707405	81193	Sally Simpson-Kanger
707405	128727	Dancer
707405	165309	Nicole Wilson
707405	379027	Dizzle
707406	97948	Frau Stovel
707406	124616	
707406	175572	
707406	210033	
707406	247182	Sonny
707406	287312	Susanne Kamper
707406	389959	
707407	364271	
707408	222670	Janet
707409	256074	Prostitute
707410	356325	Alyson
707412	12737	Shirley
707412	12738	Woman Cricketer
707412	253976	Robin
707412	304916	Barbara
707412	388977	Mrs. Watson
707412	399816	Debbie Chester (1975-1977)
707413	109831	Woman In The Park
707413	222460	Mrs. Furnstrom
707413	233930	Cousin Susie
707413	363238	Student
707414	302467	
707416	22046	Herself
707417	12470	Kathrin
707418	220276	Parisian Dancer
707419	79922	Gerda
707420	228298	Pyramid Team
707421	158625	Hudson's Secretary
707422	48376	
707422	114961	Assistant
707422	121016	
707422	122334	Dinner guest
707422	127569	Girl at the ball
707422	178484	Farmor Skogsmus (Grandma fiel
707422	178827	Saleswoman
707422	180076	Mannequin
707422	181281	Britta
707422	204532	Curious lady
707422	268348	Doris
707422	284057	Veterinarian's wife
707422	289486	Nerine
707422	303198	Kristina
707422	303647	Woman
707422	303706	Prison guard
707422	322436	Mrs. Karlsson
707422	338729	Ellen
707422	355638	Girl at Centralen
707423	285610	Beth
707424	66131	Girl in Singles Bar
707424	129435	
707425	63223	Herself - Reporter
707425	182779	Oberschwester Amalie
707425	204581	Herself
707425	225141	Fräulein von Attems
707425	253944	
707426	387309	Iris Schultz (1961)
707427	170	
707427	18066	
707427	30377	Kitty
707427	31157	Bessie Caxton
707427	65661	Jessie Hunter
707427	77616	
707427	104879	
707427	117951	Jimmy Jeffries
707427	118010	
707427	133787	Brenda Elsmere
707427	136551	
707427	143298	
707427	143417	Clarice Lee
707427	150857	Esther Jacobson
707427	168593	Maid
707427	215762	
707427	229138	
707427	240944	Mrs. Spinks
707427	257103	Celeste Furnier
707427	279339	
707427	281518	
707427	295811	Rose Bernton
707427	296955	Molly
707427	298760	
707427	304957	
707427	311748	Annette Donnelly
707427	331858	Postmistress
707427	337672	
707427	345863	Millicent
707427	358284	Mabel
707427	367315	
707427	372905	
707428	132037	Freddie
707429	56104	
707430	258860	Fierce woman
707431	310679	Dancer
707432	57193	Sophy
707433	215304	Office Woman
707434	100156	Josie, a Salesgirl
707434	116443	Girl in secretary dance
707434	117215	
707434	138744	Chorus Woman
707434	140898	
707434	171146	Chorus member
707434	183435	Prisoner Blondie
707434	183865	
707434	191835	Frankie
707434	310753	
707435	8043	Childhood Friend (Ilana)
707436	78610	Lacoe
707436	82879	Sekretärin Charlotte
707436	111344	
707436	122596	Madeleine
707436	188797	Dancer
707436	205859	Irene
707436	307246	
707436	313782	Performer
707436	347658	
707437	178096	Congetta
707437	281415	Jane
707437	396641	Dagmar (1949)
707438	1895	Maria
707439	38719	Natalie
707440	350191	Fortune Teller
707441	249716	
707442	124506	Emma Kirkman
707442	135402	Charlene Nice
707443	318712	Callie
707444	168087	Madam
707445	41518	Nurse (Cape Cod)
707445	69263	Secretary
707445	161890	Woman in Bathroom
707445	230873	Phone Girl
707446	236972	Toy Soldier
707447	129093	Bit Part
707448	122653	Waitress
707449	204581	Herself
707450	254412	Double Lavender
707451	404517	Additional Voices
707452	344810	(segment "Mocinha de Luto")
707453	37002	Corinne Maloney
707453	51661	Robin Harris
707453	71286	Laurie
707453	126039	Ursula Stanhope
707453	185388	Wanda
707453	201631	Herself
707453	243150	Krista
707453	253059	Camille
707453	298117	Connie
707453	314156	Elaine Warner
707453	333391	Cherine
707453	355028	'Squiggle' Girl
707453	382096	Nurse Mary
707454	88767	Betsy Dorsey
707455	63065	Sister Gertrude
707455	190783	Sister Gertrude
707456	315225	
707457	256220	Hair Salon Patron
707458	364376	Receptionist
707459	358007	Dolorosa Sister #1
707461	117600	Lena
707462	335807	Dancer
707463	17764	Second Midwife
707463	26627	Mrs. Price
707463	31787	Mother
707463	33739	Countess von Brandenburg
707463	39267	Mrs. Blomefield
707463	42940	Arnheim's mother
707463	43742	Housekeeper
707463	46076	Housekeeper
707463	47286	Huntington Hotel Guest
707463	52465	Gerry's Mother
707463	69498	Ma Blake
707463	83559	Mrs. Thornton
707463	87845	Queen Victoria
707463	90438	Aunt Jane
707463	105952	
707463	106011	Photo of 'Ma' in Watch
707463	110419	Mrs. Ganter
707463	115849	Old Lady
707463	116107	Grandma
707463	117340	Hospital Visitor
707463	118381	Mother Bernle
707463	121362	Old Lady
707463	135596	Juror
707463	141265	Widow Patricia
707463	142686	Mrs. Margaret Mack (storekeep
707463	150544	
707463	153183	
707463	154256	Ma
707463	155837	Idylwood resident
707463	169902	Governess
707463	175609	Mrs. Bradley
707463	186368	Mrs. Lewis
707463	188285	
707463	190236	Flower vendor
707463	192008	
707463	195706	Mrs. Horton
707463	196135	Housemaid
707463	203567	Granny
707463	203802	The Mother
707463	214158	Grandmother
707463	221130	Nun with cheering orphan boys
707463	224634	Mrs. Morgan
707463	230598	Marion Fanning
707463	238703	Nurse
707463	241095	Mother Meredith
707463	246730	Mother Superior
707463	247575	
707463	254547	Homesteader's Wife
707463	255828	Mrs. Quincannon
707463	267588	Tourist
707463	272532	Nurse
707463	274176	Undetermined Role
707463	278267	Mother Hardy
707463	279190	Widow Thompson
707463	289600	
707463	292490	
707463	305468	Mrs. Haskins
707463	336031	Miss Thomas, Little Sally's N
707463	345979	Mrs. Grady
707463	348546	
707463	361617	Justice of Peace's Wife
707463	368424	Housekeeper
707463	372145	Neighbor
707464	205426	Counter Girl
707465	327235	Barbara Gambala
707466	1784	Carrie
707468	11541	Mrs. Lorimer
707468	74215	Dinner Party
707468	137577	Bridget
707468	173513	Clara Mason
707468	248491	Mrs. Cronje
707468	289217	Landlady
707468	331042	Mrs. Smith
707468	358305	Antoinette's Mother
707469	103447	Emma Gouldman
707470	129743	
707471	317301	Jennifer
707471	358860	Woman in closet
707472	55626	Estelle Horan
707472	141236	Slow White
707473	39404	Loretta
707473	79830	Dr. Catherine Frye
707473	109475	Nelson's Chef
707473	248715	Party Guest
707473	321660	Laura
707474	138209	Hustler's Mother
707475	380185	
707475	380186	Jane Redway (1972-1973)
707475	390523	Jackie Heron (1978-1979)
707476	121831	Barbara
707477	316153	Freaked out zombie
707478	175621	Susan Joyce
707478	231916	
707479	37761	
707480	77421	Louise de Charenconnay
707480	84667	
707480	101938	
707480	132309	La femme blonde
707480	211136	Marie
707480	217809	Chambaz
707480	225464	
707480	278024	Comtesse de Blancfagot
707480	284222	
707480	319824	Femme décapotable
707480	323042	L'inspectrice Chameau
707480	338572	Vicky
707480	346431	Léa/Nicolas
707480	377976	Alexandra
707482	108083	Meta
707483	171395	Mona Fresca
707483	213262	Sally
707483	343387	Doris Cayton
707484	79991	Woman
707485	87195	
707486	41475	Daughter
707486	160228	
707486	295600	
707486	296076	
707486	313265	
707488	253481	
707489	9893	Herself
707490	331206	Banff Girl
707491	367792	
707492	199248	Voice only
707492	329430	
707492	370885	Mother Nature
707492	379065	
707493	306132	Townie
707494	21304	Herself
707495	294197	
707496	73193	Susie Webb
707497	131400	Mary Clemente
707498	321743	
707498	349403	Tasha
707498	384565	Aelita
707499	78817	
707499	98008	
707499	271750	Irina Turgenyev
707499	321743	
707500	208207	Dr. Roni Logan
707501	310183	
707502	132530	Female Minister
707503	322777	Margaret Murdock
707505	233875	Dance student
707506	34977	Announcer
707508	338276	Woman across street
707509	177630	Lady #2
707509	199540	Cora
707511	54620	Sandra
707511	103369	
707512	381917	Herself - Evictee #6 (2004)
707513	11426	Donna
707513	45001	Karen
707513	397981	Hostess
707514	45299	Tina
707514	48240	Faye Curnow
707514	109513	Sharon Hart
707514	118337	Jill Webster
707514	130316	Karli
707514	139092	Samantha
707514	140010	
707514	151717	Gail
707514	254942	Newsreader
707514	257699	
707514	273800	Miss Twisty
707514	289523	Prudence Poindexter
707514	380565	Susie Blair
707514	382590	Tina
707514	385159	Sally Murphy
707514	385474	Connie
707514	391774	Wendy Robinson
707514	391869	Jill Lawson (2001)
707514	393335	Tina Bertram
707514	399586	Deb
707514	402197	Georgie Baxter (1981)
707514	405578	
707514	406264	
707514	406891	Angelique
707514	407150	Carol Howard
707514	407189	Esse Rogers
707514	408971	Tess Ross
707514	411809	Gael Hogan (1980)
707516	146324	
707516	209237	Tactical Officer Diaz
707517	160401	Victim
707518	106542	Mrs. Magnuson
707518	305571	Shirley's Mother
707518	319012	Sally
707518	327227	Hannah
707519	104337	Billie
707519	115271	Miss Powell
707519	148963	Waitress
707519	246479	
707519	308139	Mrs. Adams
707520	83822	Shopper
707521	204581	Herself
707522	119284	Jane's stiefmoeder
707522	142514	Mevrouw Van Wijck
707522	169971	Charles Delcourts moeder
707522	265043	Graaf Louis de Prébois Grancé
707523	331642	Amber
707524	10331	
707524	14891	
707524	48219	
707524	390753	
707525	124351	Pro-Choice Woman
707526	21201	Crew member
707527	99698	Judith
707527	312521	
707529	306952	Lucia
707530	147366	Airi
707531	89071	Danielle
707531	148575	
707531	183352	
707531	186750	
707531	279920	
707531	367887	
707531	382021	Biker Annie
707533	109686	Voice of Mrs. Alexander/Chape
707534	403239	Ruth
707535	199398	Cook
707536	381821	Ensemble (1969-1970)
707537	75509	
707538	319323	
707539	102624	
707539	219821	Olimpia (segment "Presa dalla
707540	248425	Maria
707541	390753	
707542	6994	'Pussycats' band
707542	34448	Dancer
707542	68232	Boring girl/Dancer
707542	110189	Harem Girl
707542	110311	Mindy
707542	114642	Sandra Tillman
707542	127238	Female Dancer #1
707542	132562	Glam Slam Dancer
707542	160885	Boob Admirer
707542	257760	Dancer (Silk's Fantasy)
707542	275796	Dancer
707542	290319	Monique 'Mo-Freak'
707542	331541	Daphne
707542	336940	Gloria
707542	388947	Teresita
707543	346361	Stripper
707544	103040	
707544	175728	
707546	409431	Herself (2004-)
707547	217451	Louise's and Valter's daughte
707548	352940	Nurse
707549	170508	Lill-Märta
707550	368195	
707551	65731	Serpolette
707551	273404	Messenger
707552	147104	CopWoman
707553	47029	Cashier
707553	135939	Girl at party
707553	183358	WAF
707553	205905	Audrey, Ellen's friend at clu
707553	224332	2nd Maid
707553	241531	Shell Person
707553	251492	Body of Teacher
707553	255327	Lady Alice Goodbody
707554	194835	Couple in Trailer Park at Saf
707555	163233	Louise
707556	129551	Lady Beatrice Fair
707556	133695	
707556	355053	Queen Elizabeth
707557	5823	Helen
707557	124263	Sue's Friend
707557	251155	Mrs. Levi
707557	306324	Snowdrift
707557	353461	Teddy Walters
707558	138670	Jenny Wilson
707558	385824	Carrie Spencer (1971, 1975, 1
707559	44764	Maid
707560	57606	Tall Girl
707560	302721	Undetermined Role
707561	371955	
707562	30224	
707563	57098	Goldie
707563	163341	Miss Burke
707564	152920	Arline Marsdon
707564	183576	Mary Spriggs
707564	201526	
707564	297720	Margaret Wiley
707565	221234	Pub Singer
707566	188404	Maria Callas impersonator
707567	5472	Evelyn Price
707567	37322	Mitzi
707567	40463	Helen Barstow
707567	49957	
707567	119790	Betty Winslow
707567	139760	Jane
707567	155640	Nurse
707567	231909	Ellen Smith
707567	251277	Myrtle
707567	282855	Lila
707567	329135	Dallas Conroy
707567	329585	Miss Wilson
707567	340084	Marge
707567	341677	Linda Slade
707567	361730	Mary Arnold
707568	299463	
707569	104516	Madeleine Lester
707569	278607	Woman
707569	280895	Woman
707570	271012	
707571	215936	
707572	37213	Noreen O'Mara
707572	81574	Tuesday North
707573	67731	
707573	311703	Herself
707573	318384	Sugar Sugar
707573	336655	Sue
707573	383631	Rebecca 'Bex' Reynolds: Recep
707573	386599	Joanna Helm (2000-2001)
707573	391788	Sam Marsden
707573	397740	K.C. (Katherine Cassandra) Gr
707573	406731	Herself (Series 2) (2004)
707574	118122	Mary Gerwyn
707574	348380	Hotel Receptionist
707574	367903	Mason
707574	385299	Celia Warren
707574	395647	Lady Wharncliffe
707575	412210	Herself/Host
707576	169542	
707577	88826	A waitress
707579	322433	A lady
707580	94239	Anne Matton
707581	106250	Madre di Renato (episode "La 
707581	290579	
707582	131448	
707582	313225	
707582	323163	
707583	33236	
707583	37319	Teresa
707583	91126	Anja, Dorfwirtin
707583	98041	Hilde
707583	103097	Louise
707583	107879	Trude
707583	125335	
707583	134817	Kathrin Sedlmaier
707583	134833	Sylva
707583	142053	
707583	147176	
707583	175774	Pussy Angor
707583	182533	Manuela
707583	207504	Bertha Tors
707583	219283	Anita Kyffland
707583	219701	Dorette Sorel
707583	226177	
707583	251056	Luisa Vidor, alias Johann Sch
707583	279120	
707583	282159	Frau Droege
707583	322528	
707583	347824	Renate Kern
707583	352395	Inge Hermann
707583	352579	Yvonne Gaubert
707583	365679	
707583	365907	Erna Knörschkes
707584	2371	Miss Annabella Smith
707584	21404	
707584	23238	Monica
707584	24459	Aenne
707584	28450	Jeanne Kampf
707584	31788	Madam Popov, a widow
707584	35738	Frau von Seefeldt
707584	49637	The Cook
707584	60675	Carlotta
707584	78535	Louise Gely
707584	96821	Marguerite Carter
707584	98404	Marie Hartmann, his wife
707584	119268	
707584	125513	
707584	126445	Mrs. Bieringer
707584	144775	Diana Cloam
707584	150625	Mme Suzanne Koch
707584	155598	
707584	156044	Clementine Burger
707584	177195	Misia Cayetana
707584	188806	Frau Bernhardy
707584	199399	Luise
707584	203603	Maria Popinga
707584	226333	Anna, Schlueter's wife
707584	264348	
707584	267336	
707584	289910	Beate
707584	306438	Lotte Schönberg
707584	308208	
707584	312736	Karina
707584	314324	
707584	326100	Russian Sniper
707584	340841	
707584	371025	Madame Orlock
707584	404406	Countess la Valliere
707585	386209	Jutta Wägner (1998)
707585	386675	Intervjuare
707585	392265	Various Roles
707586	171581	
707586	305242	Inga
707587	248188	
707588	71169	
707588	97147	Cristina
707589	57568	
707589	82728	Helena
707590	374126	
707591	215854	
707592	74746	
707593	188865	Herself - Børne- og ungelæg
707594	81644	
707595	123326	Secretary
707595	240327	Nurse
707595	292788	Miss Lightfoot
707596	392344	Herself - the celebrity repor
707597	21729	
707598	9255	Helen Morrow
707598	32088	Rachel Wasserman
707598	104290	Wildcat
707598	192588	Lu Baker
707598	206639	Patti Lewis
707598	263955	Krista
707598	279203	Georgia Hawkins
707598	395784	Lu Baker
707598	401610	Olivia Ross
707599	189473	Bathroom Girl.
707600	32263	Aunt Cynthia Whitney
707600	45419	
707600	46844	Mrs. Smithers
707600	101764	The Old Maid
707600	105252	Mrs. Willing
707600	141335	Aunt Lucy
707600	141354	Aunt Meta
707600	143206	Dr. Henrietta Carter
707600	143279	Spinster
707600	148358	Mrs. 'Pat'
707600	148403	Mrs. Elliot
707600	151095	Aunt Maggie Endicott
707600	152204	Abigail Martin
707600	192259	Cousin Lucy
707600	196464	Miss Mealy
707600	201060	Mrs. Stowbody
707600	203787	
707600	216454	Mrs. Molly Crutcher
707600	234234	Prue Kimball
707600	240186	Physical Instructress
707600	262049	Ysabel Almeda
707600	270999	Purist League member
707600	272081	Indian Woman, Ruth's attendan
707600	274981	Mrs. JHoratio Grimm
707600	302765	Mrs. Farley
707600	306151	Lottie
707600	314361	Mary Heaton
707600	321393	Miss Twill
707600	323183	Miss Shayn
707600	329314	Hannah
707600	330490	Orphanage Matron
707600	345826	Miss Ophelia
707600	346148	Mrs. Fleck
707600	348311	
707600	349559	His Mother-in-law
707600	360721	Ester Quinn
707600	364433	Mrs. Van Loon
707601	191321	Wife #2
707602	306600	Sandra Hoey
707603	271237	Rose, the fat lady
707604	261564	Pineview woman
707605	131234	Passenger III
707606	298222	
707607	171310	Violet Elizabeth
707608	330163	
707609	316926	Model
707610	208503	Woman in Vault
707613	20625	Featured player
707614	190798	Herself
707615	20625	Featured player
707617	10851	
707618	101730	
707618	230694	Flamingo Applegate
707619	283186	Sarah Hodges
707620	122865	
707620	247932	
707621	37310	Lorna Fleming
707621	83653	Margot
707621	92007	Mrs. Sylvia Cadman
707621	103312	Lora Tedder
707621	147663	Herself
707621	154354	U.S.O. Singer
707621	201460	Mrs. Vivian Whirtle
707621	212746	Leslie
707621	239559	Eleanor Spencer, aka Jane Edw
707621	279454	Herself
707621	299035	Blanche Mallory
707621	312159	Pam Mitchell
707621	343212	Ellen
707621	370555	Fay Templeton
707622	275104	Lab Assistant
707623	396084	Jean Hurley Garrison (1968-19
707623	396088	Julie Murano (1965)
707624	90316	Girl in Store
707625	87166	Sarah's Friend
707626	135618	
707627	202727	Woman (help line)
707628	194940	May
707629	300180	Reporter
707630	103215	Kid on school bus
707631	88929	Jo Grant
707631	90324	Damina
707631	197775	Herself
707631	210485	Estelle
707631	269624	Mrs. Cannon
707631	276253	Jo Grant
707631	329696	
707631	363354	Herself
707631	386587	Jo Grant (1971-1973)
707631	403878	Herself
707632	127173	Rachel
707632	310302	American Woman
707632	345570	
707632	395923	Mrs. Robinson
707632	396770	Tania
707632	405227	Host (1992-1993)
707632	409463	Secretaria (1983-1988)
707633	130311	Dancer
707633	334104	Lady
707634	388212	Reporter
707634	390338	Host (2004-)
707634	391840	Reporter
707634	397966	Host
707634	400242	Reporter
707635	100884	
707635	151009	Margery Gordon
707635	321414	
707636	360068	Mary
707637	97765	Roxy Miller
707637	285188	Judy Bradshaw
707637	362551	Candy Cotton
707638	71356	
707639	280311	Miss Carinthia Underwood (193
707640	394311	Angela Novello
707641	241444	
707641	313301	
707642	143387	
707643	63122	Louise Hockmeyer
707643	184104	Muffin
707643	224157	Victoria Martin
707643	293085	Kathy Quinn
707643	308978	Caroline
707644	95789	Mrs. Massey
707645	5775	Mrs. Crown
707645	50892	The Oil Magnate's Daughter
707645	58932	Raffles' Woman
707645	101077	Jeanotte
707645	116760	Sheila Hopkins
707645	120254	Mrs. Kingman
707645	128091	The Visiting Cousin
707645	130684	
707645	134027	
707645	178352	Lola
707645	185364	
707645	195988	
707645	205990	
707645	206392	Clara Wilton
707645	206860	Mary Jane
707645	219998	
707645	231098	Nancy Fane
707645	250378	The Girl
707645	264178	Margot
707645	294950	
707645	317888	
707645	330400	
707645	330520	Hetty
707645	339741	
707645	345737	Emily Madden
707645	361808	Prue Welch/Molly Lafond
707645	363555	Bebe Larvache
707647	283248	Patty's Mom
707647	330772	
707648	84487	Al's hot date
707648	380390	Andrea Summers (1983)
707649	111068	Tawny
707649	327836	Heather
707649	341939	Calendar Girl
707650	144683	Ann Russell
707650	150853	Call Girl
707650	273613	
707651	39906	
707651	55300	Mrs. Upchurch
707651	67149	
707651	75191	
707651	128761	
707651	167312	
707651	194270	
707651	208493	
707652	340812	Country Singer
707653	379978	Herself (eliminated 7th) (200
707654	5883	Rich Woman
707654	16144	Mrs. Marquardt
707654	23975	Customer in Store
707654	35472	Clarice
707654	37948	Levin's mother
707654	56738	Mrs. Murkil
707654	57157	Woman in Bank
707654	60251	Dr. Duffin's Receptionist
707654	76603	Mrs. Hemp
707654	83571	Lady in Rest Stop
707654	84833	Mrs. Davis
707654	133333	Dr. Kathleen Thorpe
707654	135572	Older Woman
707654	185264	Charlotte Braithwaite
707654	190091	Helen
707654	194229	Shannon
707654	233545	Miss Murdock
707654	239829	Lick It Granny
707654	282022	Emma
707654	302931	Peggy
707654	314631	Nurse
707654	323487	Casting Director
707654	336475	Ruth
707654	364446	Landlady
707654	372198	Mrs. Rothenberg
707654	390356	Sally
707654	403773	Emma
707655	195418	Record store girl
707656	70632	Herself
707657	99630	Girl
707658	19127	Celia Bradley
707659	401836	Herself (Series 2) (2003)
707659	401837	Herself (Series 2) (2003)
707660	3100	Janeane
707660	66947	Shyla
707660	67863	Groupie
707660	72766	Maddy
707660	73887	Mimi
707660	77865	Danny Voss
707660	153249	Nola
707660	178149	Tatooed Dancer
707660	195021	
707660	196542	Annabelle
707660	196890	Sam
707660	238234	Devon
707660	310646	Autograph Hound
707660	310801	Girl in Car
707660	345648	Sandy
707660	363948	Niki
707661	157870	Carrie Donahue
707662	400341	Herself - Profesora de la Aca
707663	189473	Bathroom Girl
707664	241551	Michael Angello, Frank's dog
707665	207771	Marie Coeuret
707666	80533	Nora Mae Edwards
707667	141282	Swinging couple
707668	93579	Beryl
707668	384333	Mary
707669	387601	Winner
707670	386518	WP Sgt. Grace Millard (1956-1
707671	35253	Child at Playground
707672	71441	Dorabella
707672	116314	Pamina
707672	232330	Soprano
707672	243654	Dorinda
707672	253542	Concert Opera Singer
707673	43941	Street Woman 1
707674	342145	Tarjoilija
707675	358476	Older Artist in the Park
707676	118304	Nurse
707676	254543	Telephone Operator
707677	26417	
707677	37246	1st Operator
707677	79441	Sister Mary Robert
707677	80786	Local Woman
707677	87542	Debbie Fox
707677	103266	Emily Martin
707677	115157	Georgina
707677	126696	Paula
707677	130050	Waitress
707677	133442	Shirley
707677	149938	Julia
707677	297693	Jill
707677	341758	Mother
707677	363871	Audience Member
707677	381736	April Morrison
707677	389858	Heather Turner (1972)
707677	404694	Wendy Porter #2 (1966-1969)
707678	177504	Bird Trainer
707679	401079	Waitress
707680	40029	Mammography Nurse
707680	57157	Cashier
707680	90423	Bailiff
707680	99217	Bayou Betty
707680	197528	Bertha
707680	245265	Sweeper Woman
707680	292463	Customer
707681	186614	Margaret Judd
707683	48552	
707684	103157	Señora restaurante 1
707685	385	Sally Kennedy
707685	67526	
707685	251087	Guest Performer
707685	293438	
707686	84554	Himself
707686	98098	
707686	122500	Mother
707686	135944	Nurse
707686	139491	Juskan äiti
707686	156032	
707686	162649	Irma Tömstet
707686	162738	
707686	162739	Pirkko
707686	170921	Marja
707686	172516	Pirkko Järvinen
707686	178733	
707686	187568	
707686	188421	Ilona Helokoski
707686	213940	Miss Repola
707686	214712	
707686	232772	Nina
707686	242853	Ritva Laakso
707686	326954	
707686	334044	Mother
707686	334825	
707686	343394	Mirja
707686	343468	
707686	371650	Sirkka Mäkelä
707686	373373	
707686	377395	Herself
707686	392553	Maire
707686	394641	Margit Routavuori
707686	401440	Hilkka Tuomi
707686	405483	
707686	409853	Harriet Forss (1987)
707687	256530	Lisa
707688	195519	Girl gang
707689	195519	Girl gang
707690	195519	Girl gang
707691	92070	School Principal
707691	229997	Mary
707691	307440	Sergio's Mother
707692	129019	Susy's mother
707693	57853	La prima sorellastra di Cener
707693	121295	Rina, l'attrice
707694	18544	Party Girl
707695	65184	Girl after school
707696	34913	Choir member
707697	216190	Alex' Mutter
707697	281663	Marie Konietzke
707697	359066	Lucy Lee
707697	409609	Ramona Bischof (1996)
707698	65184	Girl after school
707699	272900	
707700	123437	Mutter
707700	179005	Bankangestellte
707700	204494	
707700	223448	Inge
707700	225284	Unknown
707700	288994	Iris
707700	317506	
707700	332834	The Count's Daughter
707700	374333	
707700	411095	Actress (1997-)
707701	50833	Daughter-in-law
707701	235760	Signora Naldini
707702	36508	Madame Gruzinskaja
707702	36509	Milady
707702	36510	Mercede Herrera
707702	36511	Jane Osborne
707702	36512	Margaret Blakeley
707702	36513	Rossella O'Hara
707702	36514	Penelope
707702	111427	Herself
707702	205038	Cowgirl/herself
707702	270833	Herself
707703	26681	Margherita
707704	281270	Mort (Danseuse)
707705	137119	Yumi Katagiri
707705	179398	Rikako Sarashina
707705	299596	Kanae Sawaki
707706	3113	Mio
707706	6635	
707706	49322	
707706	248788	Hanako/Park CM
707706	287556	
707706	319964	
707706	334910	Girl in quarrel
707706	373223	Aiko
707707	144443	Keiko Kagaya
707708	29003	
707708	30303	La petite Odette
707708	84637	Gaby
707708	96212	
707708	121410	
707708	144007	
707708	169877	Le petit Jean
707708	201163	
707708	235872	Le petit Jean
707708	243758	
707708	338477	
707708	351554	
707709	130480	Shinkichi no okâsan
707709	239384	
707709	344817	Mrs. Sakuma
707710	103723	Young woman in the square
707710	133034	
707711	184808	
707712	13320	Denise
707712	26180	Laura
707712	26969	Jill
707712	41379	Maud Milligan
707712	55507	Marla
707712	61643	Maggie Peterson
707712	72106	Denise Danielovitch
707712	105213	Stage 7
707712	115470	Priscilla Tirado
707712	117065	Mary Louise
707712	133401	Marty Maraschino
707712	154530	Libby
707712	161308	Herself
707712	194765	Helen
707712	200853	Tibby Bloom
707712	208067	Glennis
707712	232238	Attendant's Girlfriend
707712	243276	Karen
707712	261427	Celia
707712	271063	Rachel Sager
707712	293028	Mary
707712	314113	Lois Cook
707712	322761	
707712	352961	Herself/Marty
707712	361167	Evelyn Whittacher
707712	375109	Marge
707712	381571	Herself/Marty
707712	383768	Missy Craymore
707712	387546	Carol Weston
707712	405769	Elaine Lefkowitz-Dallas (1978
707712	406463	Evelyn Rayburn
707713	143648	
707713	146749	Member of the 'tic toc girls'
707713	327143	Herself - Member of the Tic-T
707714	324471	
707715	71479	Wellington hospital nurse
707716	239300	Lynn
707717	324446	Sestra Selena
707718	284683	
707719	192885	
707720	156433	Anica
707720	272606	Sminkerka
707720	304159	
707720	401708	
707721	319914	Zina
707722	395457	
707723	81483	
707723	164848	Bakica
707723	187014	Zoricina majka
707723	230098	
707723	272044	Svabina baba
707723	308003	Bayo's Mother
707723	376226	
707723	386407	
707723	394110	Baba
707723	400481	Zrikijeva majka
707723	402765	
707724	25863	
707724	28695	
707724	67630	Zia
707725	48632	1st Victim
707725	89307	Molly
707726	205596	Maria
707727	73597	
707728	166559	Megan
707729	339757	
707730	247183	
707730	360775	David
707730	377479	Elodie
707732	11522	Liz
707732	154409	Prostitute
707732	199228	Edna
707732	259013	Saloon Girl
707732	266561	Cathy, a Therapy Group Member
707732	305289	The Contessa
707732	365906	Mrs. Cruthers
707732	367537	Holly
707733	11637	Vera
707733	13191	Woman in dance hall
707733	44311	Esther Meier
707733	54532	Marion Fisher
707733	65414	Mrs. Valetta
707733	79418	Jean Burroughs
707733	117432	Glory Prada
707733	128474	Dorothy Burton
707733	133887	Kaethe, his wife
707733	141629	Aunt Jeanne
707733	149946	Eunice
707733	157876	Barbara Holten
707733	171359	Wamba
707733	183391	Nancy
707733	190307	The Dope Fiend
707733	195074	Nora
707733	196309	Sylvia
707733	200068	Alice Keane
707733	207292	Lady Lillian Astrupp
707733	239841	Viola
707733	241546	Maria Riccardo
707733	264449	Felice Rossa
707733	288970	Aimee Ducharme
707733	303969	Sadie Doyle
707733	314360	Louisa Risca, also spelled Lo
707733	328787	Ruth Curtis, Mrs. Ferris
707733	330168	Miss Mason
707733	350462	The Apron Woman
707733	367481	Esther Levinsky
707733	367542	Doris Steele
707734	270840	
707735	102618	
707736	357107	Young Girl
707737	138135	
707737	389791	Additional Voices
707738	410126	Herself
707739	4184	Kumudam
707739	4277	
707739	4298	
707739	4326	Asha's mum
707739	4400	
707739	4843	
707739	4853	Manada Mashi
707739	6758	
707739	11759	
707739	15904	Jai's Wife
707739	15969	
707739	16166	
707739	17636	
707739	17644	Annamalai's mother
707739	17662	Annapurna
707739	18459	
707739	19010	Muniyamma
707739	19244	Governor
707739	21357	
707739	24798	
707739	25566	
707739	25584	
707739	26678	
707739	27389	
707739	27515	
707739	27526	
707739	29068	Mrs. James
707739	29195	
707739	29402	
707739	32764	
707739	36019	
707739	36239	Dasrani
707739	37885	
707739	38504	
707739	43056	
707739	43328	Mother of young girl at back 
707739	43384	
707739	58402	
707739	58969	
707739	58999	
707739	59422	
707739	59847	
707739	61017	
707739	62209	Vijayakant's mother
707739	62218	Kannamma
707739	63466	
707739	86632	
707739	86652	
707739	90903	
707739	95034	
707739	95035	Mamiji
707739	95241	
707739	95436	
707739	95443	
707739	98437	
707739	100363	
707739	101293	
707739	101309	
707739	101378	
707739	104401	
707739	121437	
707739	123010	
707739	123295	
707739	125404	
707739	126960	
707739	127469	
707739	129745	
707739	130550	
707739	132364	
707739	132578	
707739	132588	Landlady
707739	135778	
707739	136124	
707739	136884	
707739	137387	Sefali's mother
707739	137502	
707739	137988	
707739	138580	
707739	145458	
707739	149896	
707739	154382	
707739	155651	
707739	155769	
707739	159058	
707739	159241	Jamuna Thandidi
707739	162195	
707739	164122	
707739	164910	
707739	164955	
707739	165643	
707739	165988	
707739	166477	
707739	167332	
707739	167464	Geeta's aunt
707739	168443	
707739	171775	
707739	171995	
707739	171996	
707739	173266	
707739	173295	
707739	173451	
707739	174149	
707739	174352	
707739	174361	Pishima
707739	175917	
707739	175928	
707739	175994	
707739	178399	
707739	180032	
707739	181524	
707739	181757	
707739	181925	
707739	181946	
707739	183134	Auntie (Courtesan)
707739	183457	
707739	183458	
707739	195475	
707739	198662	
707739	198677	Krishnadevi Sahay (Bishan's w
707739	198691	
707739	198775	
707739	199777	
707739	200595	
707739	200624	
707739	200748	
707739	201022	
707739	202174	
707739	202702	
707739	203887	
707739	204028	Vaishnavi
707739	204528	
707739	204677	Herself
707739	204912	
707739	205044	
707739	205045	
707739	206775	
707739	207382	Mrs. Rosa Daniels
707739	207879	
707739	208545	
707739	209554	
707739	211266	
707739	211405	
707739	212736	Ganga Bai
707739	216504	
707739	217141	
707739	217157	
707739	217172	
707739	222055	
707739	222312	
707739	223370	
707739	226069	
707739	226084	
707739	226091	Andal
707739	226092	
707739	226501	
707739	227136	
707739	227137	
707739	227376	
707739	228414	
707739	228416	Parijatham's Mother
707739	229336	
707739	229359	
707739	229811	
707739	243864	
707739	244714	
707739	246145	
707739	247410	
707739	247449	
707739	248390	
707739	248965	
707739	249843	
707739	250851	
707739	252677	
707739	252694	
707739	253170	
707739	256675	
707739	259050	
707739	259226	
707739	260185	
707739	260190	
707739	260272	
707739	261463	
707739	266787	
707739	266920	
707739	267918	
707739	267919	
707739	268088	
707739	271422	Madame
707739	271544	
707739	271575	
707739	271664	
707739	274997	
707739	275977	
707739	278370	Bamma
707739	278800	
707739	281479	
707739	284728	Bhuvana's Grandmother
707739	284956	
707739	284981	
707739	285558	
707739	286794	Kannamma
707739	287190	
707739	288133	
707739	288663	
707739	293265	
707739	293273	Kaushalya
707739	293277	Aunt Kaushalya
707739	296600	
707739	297173	
707739	297438	
707739	297576	
707739	299447	
707739	299804	Victoria (Shanta's mom)
707739	302655	Thaiamma
707739	303416	
707739	306066	
707739	312449	
707739	312452	
707739	317796	
707739	318425	
707739	318586	
707739	319085	
707739	324882	
707739	329208	
707739	329252	
707739	329288	
707739	329292	
707739	329708	
707739	330360	Jil Jil Sundari
707739	341633	
707739	341690	
707739	344066	
707739	347439	
707739	349428	
707739	349450	
707739	350358	
707739	350966	
707739	351388	
707739	353779	
707739	354121	
707739	359078	
707739	359418	
707739	360242	Choir
707739	363724	
707739	370744	
707739	373713	
707739	373838	
707739	375199	
707739	379028	Aachi
707739	398639	
707740	313522	Survey Girl
707742	194229	
707742	256593	Mrs. Riad
707743	232066	Blair
707743	263334	Girl at party
707743	326743	Dina
707744	285205	
707745	228267	Herself
707745	310952	Grilletta (soporano)
707745	340009	Una novizia (Suor Angelica)
707746	59278	Herself
707746	380355	Clara
707747	53241	Rosalie
707747	83396	
707747	314303	Concia
707748	180718	Triebhafte Nymphe
707749	66726	Chanteuse opéra
707750	106988	Nymphomaniac woman
707750	224903	Une religieuse
707750	368736	
707750	402790	Haruka Shitow
707751	19361	Sanja
707751	44008	Olga... Mikijeva supruga
707751	129162	
707751	177820	Katica ... cerka
707751	232674	Angelina Opalic
707751	302057	Sylvia
707751	395607	Jeca
707752	365915	Komshiyka
707753	93971	Marion Niplowski [Nippelsuse]
707753	145482	Young Prostitute
707753	204757	Sabine
707753	226169	Connie
707753	229593	Betty
707753	229594	Betty
707753	325885	
707753	332826	
707753	339814	Candy
707753	361985	
707753	390888	Nana
707753	394478	Eva
707753	404792	
707753	409485	Eddie
707754	405036	Ngazana
707755	193990	Herself
707756	367446	Little Girl in Field
707757	14723	
707757	56357	Luci
707757	101468	
707757	143778	Sra. Carli
707757	169565	
707757	170100	Madre Julián
707757	193334	
707757	193483	Robert's secretary
707757	256454	
707757	280576	Berenice
707757	384376	Celia
707757	401105	Glòria
707757	401688	Helena
707758	379898	Maruja
707758	396644	Yajaira
707759	77705	
707760	103745	
707761	379248	
707761	385367	Doris Yépez
707761	387101	
707761	404703	Lluvia
707761	408389	
707762	401067	
707763	52937	
707764	379552	Señora Galvez
707764	383519	
707764	384982	Leonor
707764	388095	Marisela (1988-1989)
707764	397009	Mamá Pirueta
707764	397019	Carlota
707764	397021	Justa
707764	397594	Gloria
707764	402540	
707764	409719	Genoveva 'La Tamales'
707765	6625	
707765	12664	
707765	42949	
707765	50128	
707765	54081	
707765	54716	
707765	55669	
707765	56446	
707765	69298	
707765	86879	
707765	99914	
707765	100412	
707765	101852	
707765	101984	
707765	103951	
707765	117330	
707765	121771	
707765	128930	
707765	135378	
707765	145255	
707765	170099	
707765	211148	
707765	212245	
707765	216081	Rina
707765	221723	
707765	223218	
707765	226414	
707765	239260	
707765	239273	
707765	253370	Maria Elena
707765	284322	
707765	287427	
707765	292927	
707765	351626	
707765	353975	
707765	379909	Ana Maria Fernandez Del Ara
707765	382378	Armida
707765	386077	Tete
707765	386126	
707765	387685	Rosalía
707765	392651	
707765	392960	Elena Roldán
707765	395043	Sara
707765	400490	Marta de Guillen (joven)
707765	402050	Ana Luisa Galván
707765	402219	Luz María
707765	402404	Jovita
707765	403786	
707765	407276	Leticia
707766	186680	Youny Debby
707768	326496	Refugee
707769	101881	
707770	29615	
707770	58991	
707770	66735	Récitante/Narrator
707770	84601	Madame Roc
707770	132862	Simone Favrel
707770	199715	Jacqueline
707770	227595	Mme Bertrand
707770	229495	Suzy Holtz
707770	266405	
707770	268874	Irma Rochet
707770	268882	
707770	273917	
707770	300735	Mme. de Kerlor
707770	327540	Mme Calvagnac
707770	345513	La femme
707771	148200	French Woman
707772	395990	Hostess
707773	321141	
707774	405760	Frau Kolka
707775	380941	Mandoline
707776	185702	Herself
707777	42050	Bar Girl
707777	113893	Cassie
707777	120765	
707777	220959	Ellen, the Receptionist
707777	259258	Irene Kersey
707777	342381	Cynthia
707777	358665	Stenographer
707777	372571	Martha Jane Canary
707778	46270	Phillip's Way Casting Directo
707778	71495	Mrs. Blair
707778	94539	Frances Chase
707778	138365	Woman Who Recognizes Maddy
707778	158311	Collette Marshall
707778	295194	Bookstore Cashier
707778	326604	Mrs. Myers
707778	329833	Waitress
707778	386856	Ethel MacDoogan
707779	66837	Prostitute
707780	18744	Armande
707780	138770	Phyllis Harding
707781	194405	Hotel Clerk
707782	140192	Abigail at age 6
707783	91579	Wife
707783	335342	
707784	118811	Female MP
707785	234966	Nun
707786	4731	Ann Rutledge
707786	154756	Teacher
707787	75358	
707788	41175	Margaret
707788	359202	Midwife
707789	307365	English girl
707790	364300	Herself
707791	1371	Mrs. Houghton
707791	305036	Lady in Waiting to the Queen
707792	16104	Mrs. Reynolds
707792	93666	
707792	202894	Undetermined Role
707792	274223	
707793	364302	Dorothy
707794	14893	Herself
707794	14953	Queen Dianira/Hippolyta
707794	23219	Herself
707794	42357	Herself
707794	47079	
707794	49805	Gladden
707794	53703	Herself
707794	57665	
707794	58658	Billy
707794	89159	Darlene
707794	109591	Junior
707794	110957	Candy Price
707794	126044	Lisa Lang
707794	128145	Jerri Jordan
707794	135513	Technical Adviser (Girl with 
707794	142096	Evelyne
707794	142400	Blonde Woman
707794	147841	Herself
707794	156456	Angel O'Hara
707794	163261	Eleni Costa
707794	165282	Herself
707794	178141	Alice Kratzner
707794	184944	Tawny
707794	198051	Herself
707794	217884	Herself
707794	235708	Herself
707794	247563	Angela
707794	253847	Cigarette Girl
707794	257628	Herself
707794	257867	Herself
707794	265779	Sandy Brooks
707794	295636	Herself
707794	298497	Kate
707794	299746	Herself
707794	311921	
707794	319046	Robin
707794	335601	Midnight Franklin
707794	360302	Camille Oaks
707794	365545	Herself
707794	365740	Rita Marlowe
707794	386859	Herself (Regular Panelist) (1
707795	240075	
707796	24447	Tracey
707797	251801	Sexy Neighbor
707797	257912	Venus
707798	105729	Alderson's Secretary
707798	128192	Party Guest
707798	148423	Mrs. Lovette
707798	229938	Woman
707799	231879	Business Woman
707799	327535	Angela the consultant
707800	143623	Claire
707800	195673	Edith Bowen
707800	358954	Lady at card game
707801	109215	
707802	47310	Muriel Latham
707802	65036	Florence Lanham
707802	92501	Millicent Carew, Sir George's
707802	116371	Mildred Van Buren
707802	127688	Hester Thorpe
707802	138124	Katherine Dale
707802	145817	Helen Harding
707802	162550	Mrs. Justine Pelham
707802	185227	Helen Rogers
707802	186827	Mary Leavenworth
707802	192215	Mercy Brent
707802	203311	Lady Fortescue
707802	208318	
707802	208382	
707802	208437	
707802	220091	Paulette
707802	252909	Mavis Morgan
707802	261615	The Head Model
707802	269365	Rosalie Anjou
707802	300005	
707802	301611	Peg Williams, the vamp
707802	311552	
707802	333060	Henrietta Carter
707802	359526	Agatha Warren
707802	367499	Claudia Marvelle
707802	367838	Ruth Gibson
707802	367989	Peggy Winton
707802	372940	Lois Brooke
707803	46397	Ernest's Secretary
707803	319006	
707803	329456	Party guest
707805	35773	Vena Ray
707805	40337	Vena Ray
707805	66968	Vena Ray
707805	72582	Vena Ray
707805	94763	Vena Ray
707805	102932	Bit Part
707805	117402	Vena Ray
707805	117655	Young Hopeful
707805	136539	Vena Ray
707805	186773	
707805	200446	Vena Ray
707805	204211	Vena Ray
707805	210901	Vena Ray
707805	254631	Miss Comstock
707805	275724	Vena Ray
707805	279866	Vena Ray
707805	301985	Vena Ray
707805	381086	Connie (1961-1962)
707805	403604	Vena Ray
707806	389026	Host
707807	93821	Zola
707808	20625	Extra
707808	196381	Lead Singer (herself)
707809	178975	V-Six Office Girl
707810	244778	Mannequin
707811	236823	
707812	357257	
707812	373483	
707813	38095	Mum
707813	253065	Girl in the Courtesan's House
707813	380259	Valerie Price (1979-1981)
707813	386488	Nesta Mogg
707814	58053	
707815	356186	Tanssija (dancer)
707816	135366	
707817	401879	Herself - Bellepop
707818	328159	
707819	43174	Mrs. Singh (Sunita's mom)
707820	58207	Tac-Choa
707821	146359	Widow with dog
707822	11546	Gallery Owner
707823	263314	Fanny
707824	271882	Mrs. Barbara Davis
707825	10484	
707825	12034	
707825	20092	
707825	44197	Antonia, La Rabadilla
707825	44224	
707825	55934	Audrey
707825	58044	Margarita
707825	64984	Zulema
707825	70118	Francisca
707825	74326	
707825	80105	
707825	115732	Rosino
707825	149512	
707825	193225	
707825	199478	
707825	206921	
707825	236301	
707825	250799	
707825	250994	
707825	265147	
707825	278324	
707825	284543	
707825	301178	
707825	309246	(segment "Corazonada")
707825	341800	
707825	377152	Luciana
707825	378391	Francisca
707825	381390	
707825	382978	
707825	384809	Various
707825	395477	Renata
707825	395871	Olga Spinelli
707825	403237	Gloria Provenzano
707825	410453	María Elena Soria
707825	412139	
707825	412312	
707826	399606	Staff Humorist (2002-2004)
707829	388321	Charlotte Cockerill (1997-199
707830	351712	Mme de la Poivrière
707831	286949	
707832	6945	Josephine
707832	8249	Madame Sackman, la directrice
707832	15118	La duchesse (segment "Comédie
707832	23746	La tante d'Adrian
707832	29515	
707832	36655	La bonne
707832	43670	La cousine
707832	55875	L'infirmière
707832	58737	Augusta Henderson, housekeepe
707832	65203	Mme Fénigan
707832	68326	Tante Ernestine
707832	70631	
707832	70709	Nurse Marie Corbin
707832	83270	
707832	83363	Mme Germaine
707832	84678	Mme. Delbez
707832	91453	La femme du procureur
707832	100170	
707832	101194	
707832	101983	Mme. Roumégoux
707832	103206	Mme. Delecluze
707832	103207	Mademoiselle Michaud
707832	107382	Mother Superior
707832	110436	
707832	111076	Mlle Berthe
707832	111368	La Michel
707832	112850	
707832	120981	Fénia
707832	121935	
707832	129216	Une dame du jury
707832	132267	Tante
707832	132769	La guide polyglotte au Louvre
707832	144047	
707832	148621	Agathe
707832	148645	Madame Maloin
707832	156905	Grocery Store Clerk (victim)
707832	158845	Madame Manu
707832	166128	
707832	169367	Madame Le Goard
707832	173053	Rose
707832	188692	Une commère
707832	193227	Head Nurse
707832	193501	Lieutenant James' Sister
707832	195241	Alphonsine
707832	197403	
707832	199131	
707832	199301	First Madame Bovary
707832	204648	Une comère/Normandy Peasant
707832	205774	Madame Limousin
707832	206008	Mère dentiste
707832	211536	Madame Mermoz
707832	216236	La logeuse Gorbeau
707832	216237	Logeuse Maison Corbeau
707832	217705	La logeuse de René à Cholet
707832	218293	
707832	224884	
707832	234783	Mme Dereine
707832	236600	
707832	237314	
707832	238467	
707832	246839	Johanna
707832	248984	Concierge
707832	252321	
707832	255299	La bonne
707832	256610	Mme Teysseire
707832	256992	L'infirmière
707832	257212	Marie Rivet (segment "La Mais
707832	266405	Madame Taupin
707832	276545	
707832	284216	
707832	292342	
707832	302207	Mlle Procope
707832	308305	
707832	317558	
707832	324185	Mme Kermeur
707832	334786	Amélia
707832	336296	La gouvernante
707832	340670	Nana
707832	345348	Mme Lourmel
707832	345422	
707832	345514	
707832	354735	Eugénie
707832	356137	
707832	377062	Julie
707832	386251	Mère Cassette
707832	386696	The housekeeper
707832	391931	Alphonsine
707832	393486	
707832	396187	Mme Mèri
707832	407211	Adrienne
707833	16004	Trainee
707833	384388	Eva Baron
707834	70465	Maggie Reardon
707834	91779	Girl in Lobby
707836	645	Margo
707836	5793	Ingrid, l'Américaine
707836	43750	La Star
707836	70952	Béatrice
707836	87401	Ruby
707836	104754	Luxembourg entry (13th place)
707836	150425	Kitten
707836	232427	Jean
707836	337260	La femme du Carnaval
707836	372663	Kitty
707836	384388	
707836	403113	Henriette
707836	403177	Rusty
707836	403472	Sybella
707837	75542	Judith
707837	190101	Jill Shadwell
707837	365560	Mayfield Headmistress
707838	29533	Sylvia
707838	240761	Greek Brothel Keeper
707838	281413	
707838	383868	Mrs. Lloyd
707838	395529	Mrs. Ivan
707838	405217	Woman at the London Pavilion
707838	405991	Sybil
707839	34646	Herself
707839	175685	Herself
707839	221426	Herself
707840	26946	
707841	240859	Herself
707842	319682	Reporter
707843	35696	Checkpoint Soldier #2 at Trai
707844	180797	Maeve
707845	118110	Djemila
707846	189270	Jacquelin Arkgoth
707847	278335	Amina
707848	51223	
707849	361606	Mademoiselle Flocon
707850	152220	Reporter
707851	96249	
707852	6119	Eve
707853	53056	Nurse
707854	11913	Melona Miller
707854	17045	
707854	17613	Young Woman
707854	23261	Rita Grey
707854	43354	Texas Ros
707854	77406	Nichette
707854	108200	Astrid Holten
707854	127568	Lady from the train
707854	138496	Faucigny
707854	138519	Eva Linde
707854	142837	Gloria
707854	147014	Birgit Storm
707854	148827	Inez Maria
707854	154533	Birgitta Vendel
707854	155621	Lady Alice Peabottle
707854	164780	Mrs. Rosenberg
707854	193289	
707854	202768	Mrs. Lena Helling
707854	217047	Lola Wall
707854	237081	Cecilia Lundberg
707854	237262	Liv's Mother
707854	249130	Nita Duval
707854	255656	Karin Halling
707854	258990	Sonja Waller
707854	284135	Klara
707854	296112	Stina Bluhme
707854	314843	Sally Garbel
707854	317599	Woman in hotel room
707854	322270	Ingrid Martenson
707854	324698	Lona
707854	338719	Anna Hallman
707854	349586	Annie Kron
707854	350397	Marie, actress
707854	353041	Joyce Roamer
707854	377382	Theresa Palditska
707854	377389	Karin Bergfeldt
707855	96420	Sanne
707856	366549	
707858	31420	
707858	284650	
707858	312531	
707859	105216	Customer in Salon
707860	279076	
707860	379909	Pascuala Ocampo
707860	380059	
707860	384980	Patty
707860	395885	Rubí
707860	399522	Chofi Peña
707860	401916	
707860	408855	
707861	14292	Melek
707861	76052	
707861	174203	
707861	232516	
707861	237439	Saliha
707861	389814	Nilüfer
707862	276572	
707863	412179	Cristina
707864	337972	Betty
707865	356802	Wrenfield Hardup
707866	72769	Merchant's Wife
707866	83984	
707867	93721	Rashmi (Sandhya's daughter)
707868	356934	
707869	356417	
707870	64153	
707871	91212	
707871	221191	
707872	176255	Vicky
707872	196981	Belle
707872	199754	Laura
707872	277114	
707872	396142	Belle
707873	144790	Kathleen
707874	154434	Camelia
707874	321239	Lisa Leguard
707874	399811	Joséphine
707875	12545	Una Señora
707875	19444	
707875	24297	
707875	30388	
707875	42947	
707875	45376	
707875	47065	Soledad
707875	52604	
707875	52943	
707875	53662	
707875	54230	
707875	56465	
707875	58047	Madre de Anselmo
707875	65412	Esposa viejecita
707875	73516	
707875	74545	
707875	84177	
707875	89917	
707875	95024	
707875	95345	
707875	99341	Marquesa
707875	103534	Francisca
707875	103558	
707875	104139	Dolores
707875	112133	Madre
707875	121250	
707875	135642	Señorita Menchioti
707875	136964	
707875	143754	
707875	146455	
707875	160121	Abuela de Shanti
707875	197448	
707875	202555	
707875	205697	
707875	206977	
707875	226491	
707875	229453	
707875	233904	Doña manolita
707875	239272	Encargada del teléfono
707875	253870	
707875	277002	
707875	277371	
707875	287921	Campesina
707875	306697	
707875	353600	Escolástica
707875	353664	
707876	119334	Nun
707876	187984	Mrs. O'Grady
707876	283542	Margaret Webster
707876	315493	Mrs. Stanton
707876	344683	Kitty
707876	395750	Cook
707876	396145	Miss Vane
707876	403415	Clair Howard
707877	379716	Amanda Maureen Dillon #4 (199
707878	144661	Maureen
707881	335492	Sprinter Inter Club
707882	169121	Frau Hofrat
707883	143757	
707885	1038	Gina
707885	345786	Gina Micelli
707886	14881	
707886	26674	
707886	75261	
707886	82422	
707886	189076	
707886	251613	
707886	351543	
707887	21182	Mrs. Sarah MacGrady
707887	21187	Sarah MacGrady
707887	26769	Judge
707887	30197	Queen Victoria
707887	64904	Sarah Watts
707887	70342	Mrs. Dudley
707887	72140	Claire Carlson
707887	72726	Anne's Mother
707887	132233	Irene
707887	147278	Mrs. Ramble
707887	156511	Anne Desmond
707887	157922	Woman in Cafe
707887	169206	Mrs. Friar
707887	190331	Gaylene Janus
707887	219972	Campbell's Mother
707887	238551	Florence
707887	241496	
707887	256093	Mrs. Linden
707887	271206	School Principle
707887	277270	
707887	292671	Greta Bowie
707887	296698	Kitty
707887	313562	
707887	317351	Helen Davis
707887	343879	Nurse
707887	356314	Madge Ryan
707887	368023	
707887	380284	Additional Voices
707887	380692	Mrs. Sarah MacGrady
707887	393262	Pamie, Miss Lewis (voices)
707887	398078	Pasteure anglicane
707887	402176	
707887	406120	Ilse Fuchs
707887	410930	Additional voices (2003- )
707887	411378	
707887	411828	Hagalah, The Good Witch
707888	96382	Ms. Graves
707889	17197	Elkerton Police Officer
707889	45781	Alice Nelson
707889	59885	Desk Clerk
707889	90377	Stand-Up Performances #13
707889	196542	Sister Maria
707889	197809	Sam's Mom
707889	352701	Alice Nelson
707889	390313	Henriette (1994)
707889	398697	Madame Baboushka
707889	405085	
707890	324294	Empleada del mes
707891	264436	
707892	154472	Ozma
707892	158017	Herself
707892	245889	Granddaughter of L. Frank Bau
707892	363585	Herself
707893	224243	Mary Brandon
707894	326536	Amica alla festa
707895	311940	Weaver
707896	384265	
707896	398856	
707896	402266	
707896	404912	
707897	90682	
707897	92073	
707897	242301	
707897	269478	
707897	278697	
707897	308228	
707897	313135	
707897	356006	
707898	244077	
707900	278708	La préposée du PMU
707900	377905	
707901	275610	
707902	71146	Policewoman
707902	236164	Laura
707903	279681	Herself
707904	188452	
707905	159233	
707905	207025	
707906	74143	
707906	121949	
707907	412123	
707908	55162	Allia
707908	94983	Gabriela
707908	96403	
707908	379147	Lorena
707908	380524	Julia Montaño 'La Potra'
707908	389881	María
707908	412196	Adriana Vega
707909	17305	Kasia, Jan's Daughter
707909	181367	
707909	186384	Maid/Angel
707909	410485	Nina (1991)
707910	153118	Jessica de Boissiere
707910	409343	Nina Barry
707910	409578	Caroline Hillarette
707911	316635	Car Buyer #2
707912	321444	Whaler
707913	62422	Judy
707913	84198	Jen
707913	190968	Evan
707913	292011	Co-host
707913	320123	Herself
707913	320146	Herself (sitting in audience)
707913	320149	Herself
707913	320150	Herself
707913	329401	Claire
707913	388104	Sideline Reporter
707913	407067	Herself/Season 1 (2003)
707913	407078	Herself (24 Days, Saboga/Mogo
707913	407083	Herself (27 Days, Ogakor/Barr
707914	132540	
707915	244680	Mädchen mit Kätzchen
707916	52415	Woman
707916	57934	Sandra
707916	86307	Girl #2
707916	152528	Woman
707916	156474	Lili Brunette
707916	161167	Debbie
707916	184769	Monica
707916	215295	Stripper (Precious)
707916	296735	Susan
707917	213324	Medusa
707918	11191	Mrs. Seaton
707918	39600	Mrs. Carter
707918	43422	Mrs. Teitelbaum
707918	98805	Frau Marx
707918	110911	Landlady
707918	119802	Lady on train
707918	154167	Herself/Mrs Warboys
707918	157729	Margaret
707918	157785	Emilia
707918	188587	Madame Joyce
707918	202390	Hilda
707918	203699	Mrs. Norton
707918	220369	Mrs. Speke
707918	264931	Miss Crawford
707918	306500	Clairvoyant
707918	308612	Frau Czepanek
707918	320453	Nona's Friend
707918	341946	Doreen
707918	371131	Mrs. Shaemen
707918	399379	Jean Thompson
707918	400227	Jean Warboys
707918	400516	Mrs. Wilson
707918	402124	Mrs. Reynolds
707918	406936	Mrs. Venables
707918	411130	Granny
707919	133954	Herself
707920	17574	Anna, morsian
707920	103155	Kätilö
707920	156540	
707920	163841	Various characters
707920	163842	Various characters
707920	181935	Toimittaja
707920	237236	Herself
707920	392164	Sofia Ingberg (2003)
707920	392608	
707920	393146	Various characters
707920	402792	Leimun leski
707920	406786	Speaker
707921	6280	Mariska
707921	16860	Maria
707921	49681	Vanda
707921	75260	Roberta Lanzi
707921	88042	
707921	234564	Mariska
707921	238828	La divetta del varietà
707921	276981	
707921	281690	
707921	344625	
707921	360466	Marisha
707922	41253	
707924	400004	Emma
707925	68842	Joy
707926	401812	Tad, Poll
707927	307028	
707928	96036	Helene as a Child No.1
707929	265714	
707930	224319	Mother Of The Bride
707932	34574	Mujer Pensión
707932	57870	Ángela
707933	66397	
707933	85734	La governante
707933	111157	
707933	127376	
707933	128001	Lily
707933	274900	
707933	285371	Cleide
707933	348736	Slave
707933	351604	Anna
707933	361096	Nancy Lee
707934	52784	
707934	56078	
707934	67176	Velia
707934	90028	
707934	90727	
707934	107033	Zublema
707934	116633	
707934	124233	
707934	127997	Olga
707934	279259	Marcello Segre
707934	334429	Vedova
707935	88657	Herself
707936	402302	Una donna dell'osteria
707937	173079	Herself
707937	354734	
707938	348853	Usha
707938	348854	Usha
707939	145418	Girl from Post Office
707939	171801	Iiri Salmia
707939	179736	Alli Rygseck
707939	181650	
707939	270673	Waitress in restaurant Torni
707939	283959	Kiplie von Waldenburg
707939	321946	
707939	343463	Mrs. Vadenblick
707940	33461	
707940	100923	Mrs. Faerber
707940	126447	Frau Schwaikhardt
707940	129701	
707940	152738	Mrs. Winter
707940	175298	
707940	177185	
707940	225261	
707940	225264	
707940	256536	
707940	307554	
707940	307556	
707940	356740	
707940	378172	
707940	389361	
707940	401058	Charlotte Salten
707941	376379	
707942	105280	Groucho Party Dancer
707942	149258	Rent Party Dancer
707942	202195	Roseland Dancer
707942	290319	Delphine
707944	232626	Nike of Samothrace
707945	3696	Herself
707945	207970	
707945	208260	
707945	267807	Sara
707946	211863	Jalkasen tytär
707946	223514	Katja
707947	96300	Soledad
707947	383291	Fini
707947	386882	
707947	397731	Miranda
707948	18503	Anush's grandmother
707948	59397	Zarnishan
707948	127336	Yeghsan
707948	139743	Mother
707948	227229	Shpanik
707948	252563	Natel
707948	299816	Yeghso
707948	374029	Nano
707949	263974	Maid
707950	307687	Jewish Woman
707951	29241	
707952	201145	Girl in the república
707952	407906	
707953	202766	Virginie
707954	1007	L'infirmière
707955	377635	
707956	402752	Pinkhead
707957	104066	
707958	140928	Molly
707959	110242	Salesgirl (Mall Victim)
707960	131008	Indian Woman
707961	55852	Diana Wardale/The Angel
707961	107896	
707961	113503	Bernadette Buchans
707962	219241	Irmã da Anica
707963	380597	(2003)
707963	406817	(2003)
707964	275435	Mime Troupe Artist
707965	261137	
707966	89799	Sona
707967	132281	Eva
707968	33818	Tolik's mother
707968	162675	
707968	318149	
707969	25289	
707969	151845	Lusine
707970	175972	Margarit
707971	276219	
707972	128154	Lisa
707973	374126	
707974	1226	
707974	40117	
707975	132056	
707976	98434	
707976	233418	
707976	268489	Gjyshja
707976	282776	
707976	326029	
707976	374467	
707976	375785	
707977	210928	Katya
707978	127658	
707978	219259	
707978	309999	Nazlu
707979	3395	Paquita
707979	19719	Doña
707979	28948	
707979	42577	Lucy
707979	48184	Rita
707979	48796	Alicia
707979	50150	Ana
707979	51533	Ama (Housekeeper)
707979	55932	
707979	61200	
707979	68912	Dolores
707979	71284	Azucena
707979	75594	Marisa
707979	80148	
707979	96383	Virtuosa Díaz
707979	115759	Manuela
707979	136979	
707979	165718	Lagarta
707979	174019	
707979	183470	
707979	197441	
707979	197977	Adela
707979	221888	Alicia
707979	221925	Manolita
707979	222008	Paulina Morales
707979	233952	Nely
707979	234358	
707979	248868	Anita
707979	249898	
707979	252551	La chica que es modelo y cant
707979	275067	
707979	276448	
707979	283258	
707979	285933	Consuelo
707979	293000	
707979	293055	Aurora
707979	324509	Valentina
707979	326307	Rosa
707979	327201	
707979	332600	
707979	334673	Verónica
707979	334699	Esther
707979	348936	
707979	353017	Herself - Winner: Best Suppor
707979	369996	Herself - Presenter: Best Cos
707979	376843	
707979	376851	Juani
707979	378110	Ana
707979	391643	La esposa
707979	393932	Rosa
707979	396869	
707979	397467	Lola (1996)
707979	402238	
707979	410092	Toñi
707979	410217	
707980	324551	Liquid Silver Dancer
707981	11410	Penny
707981	27221	
707981	77672	Maryanne
707981	79557	Mrs. Micawber
707981	94459	Joanna
707981	114016	Sue
707981	134751	Mandy
707981	144837	Laetitia Boothe-Brain
707981	144930	Carol
707981	213947	Fiona
707981	257189	Dora Bruce
707981	258754	
707981	265793	Capt. Annie Sullivan
707981	273422	Karen
707981	273424	Karen Turner
707981	286687	Margy
707981	292779	Social Worker
707981	335982	Lucy Gilbert ('Kitty')
707981	337152	
707981	351972	Mrs Wells
707981	379489	Melissa Quigley (1994) (serie
707981	382120	Ellie Shannon
707981	382997	Helen Wyatt
707981	383683	Villy Cazalet
707981	387521	
707981	387533	Rosemary Kendall (1974-1976)
707981	390245	Rosalind Killin
707981	391769	Hilary
707981	394488	Nikki
707981	395741	Judith Silver
707981	398582	Margot
707981	399686	Maria Hale
707981	399931	Liz
707981	400466	Nadine
707981	400684	Susie Peel
707981	405829	Rachel Elliot/Fortune (1992)
707981	407667	Beattie Freeman
707982	218345	Bar Lap Girl
707982	348527	Darlene
707983	245468	Ballet Dancer (Lauren)
707983	367083	Dancer
707984	1923	Herself
707985	143880	Devon Mainwaring
707985	264808	Ann Carlyle
707986	18794	Devi
707986	168854	Kamala
707986	271648	
707986	320816	Malavika
707986	320841	Kurjith
707986	344061	Anitha
707986	349770	
707986	356029	
707987	305205	
707988	44191	Mrs. Machikano
707989	126243	
707990	1089	
707990	66365	Newscaster
707990	301818	Wendy
707991	36520	Magdalena
707992	42278	Girl Satan
707992	48703	
707992	80015	Linda
707992	123435	Christine's Roomate Amy
707992	135772	Solomon's Mom
707992	177451	
707992	194135	
707992	214891	
707992	243736	Sarah
707992	245122	Cebe aka Cindy Barnes
707992	358964	Peewee
707992	386781	Frankie
707992	388202	
707993	266614	
707994	231607	Ilona
707995	26487	
707995	102527	Frau Lust
707995	102528	Mama Lust
707995	115958	Farmer woman
707995	120039	
707995	178849	Kräftige Krankenschwester
707995	223490	
707995	230247	Mutter
707995	236039	
707995	248040	Frau Schulze-Ligouris
707995	281149	
707995	334551	
707995	345906	Oma Knie
707995	377347	
707996	352068	
707997	80106	Suzy
707997	380147	
707997	384480	Odete
707997	385522	
707997	391580	Nevita
707997	394872	Agatha
707997	401087	Alzira
707997	404165	Sexta-feira
707997	404834	Janice Ferreira
707997	410054	Edméia
707997	412283	Cráudia
707998	380097	
707998	401087	Zuleika
707998	402685	
707999	292089	
708000	14775	Isabel
708000	124052	C
708000	197042	Reportera TV
708001	61360	
708002	225034	Susana
708002	269976	Alejandra
708002	379566	Clara (1999-2001)
708002	393036	Herself (2004)
708003	166547	
708004	251012	
708005	29061	
708005	37910	
708005	64044	
708005	64996	
708005	135196	
708005	159528	
708005	183506	
708005	255619	
708005	355852	
708005	357524	
708005	380080	
708006	255485	Carmen
708007	14939	
708007	25513	
708007	67011	
708007	68062	
708007	73083	
708007	74628	
708007	84047	
708007	100510	
708007	119860	
708007	148061	
708007	186163	
708007	190984	
708007	204276	
708007	209366	
708007	222559	
708007	233624	
708007	236036	Mama de Irene
708007	265165	
708007	266830	
708007	269918	
708007	307814	
708007	339157	
708007	378476	
708007	380516	Lupe
708007	383556	
708007	387935	
708007	389642	
708007	390514	
708007	396855	
708007	397304	
708007	397596	Doña Mercedes
708008	222172	
708008	383293	Mariana
708009	12816	
708009	71248	Señora portal
708009	88015	Mujer en la ventana
708009	187768	Neighbour #2
708009	223517	Felicidad
708009	274784	Hortensia
708009	348792	
708009	402045	Señora Carmen
708010	233760	Berta
708010	379566	Blanca (1999-2000)
708010	387119	
708010	390244	Pilar
708011	3462	
708012	74555	
708012	281181	
708013	202296	Macu
708014	63192	Bar Girl
708015	108141	
708015	135632	
708015	351452	
708016	121489	
708017	12083	
708018	97364	Teacher
708019	6989	Maria
708019	63012	Maria
708019	81316	Grocery clerk
708019	99456	Maria
708019	113956	Air Hostess
708019	295004	Maria
708019	295006	Maria
708019	295007	Maria
708019	310626	Maria
708019	404897	Maria (1973-)
708020	309083	
708021	12910	
708021	34559	
708021	83129	Madre de Luis
708021	91332	
708021	91360	
708021	97367	
708021	121960	
708021	123170	
708021	193077	
708021	204276	Madre Enriqueta
708021	206994	
708021	209029	
708021	215336	
708021	254349	
708021	268495	
708021	273659	
708021	292759	
708021	302131	
708021	309081	
708021	327016	
708021	376746	Dona Beatrix Corcuera
708021	380585	
708021	383267	
708021	384551	
708021	391742	Mariana Velarde 'Abuela'el
708021	393851	
708021	396244	
708021	396391	
708021	397304	
708021	397501	
708022	39040	Alice
708022	49112	
708022	49151	
708022	56035	
708022	114266	
708022	123525	
708022	172945	
708022	202714	
708022	207633	
708022	284651	
708023	348814	Herself
708024	4501	Frau Schmiedt
708024	19035	Dorit Meissen
708024	33460	Karin Harmsen
708024	68202	Tanja
708024	72670	Juliane Lebert, Benjamins Mut
708024	98272	Charlotte
708024	102387	Jutta
708024	107978	Walli van der Molen
708024	118967	Doctor
708024	130215	Grete Zipfel
708024	131171	
708024	170673	Mother
708024	175406	Petra Kelly
708024	186920	Manja Grüneberg
708024	189607	
708024	226170	Karin
708024	226196	Dora
708024	259537	Sibylle Weigbrecht
708024	259591	
708024	268005	Frau Dr. Schwarz
708024	290477	Biggi
708024	312637	Claudia
708024	324671	Claudia
708024	325905	Karla
708024	338382	
708024	338385	
708024	352171	Regina
708024	365773	Vera
708024	374368	Herself
708024	394619	Frau Klemperer
708024	395049	Mutter
708024	406140	Gretel Speer
708025	18955	
708027	192680	Herself (Student at School of
708028	267455	Girlfriend at Hotel Bar
708029	127953	
708030	81320	Diner
708030	202728	Amanda
708030	218162	Jogger
708030	232483	Tracy
708030	309812	Undercover Cop
708031	384861	Herself
708032	68992	
708032	213714	Hippie #1
708032	301863	
708033	289650	
708034	34574	Raquel
708034	42109	
708034	277376	
708034	294997	
708034	307228	
708034	350137	
708034	376785	
708034	390394	
708035	204212	Pedro's Wife
708036	281644	Young Rosa
708037	225032	
708038	15067	
708038	23875	
708038	29812	
708038	30890	La patronne
708038	33497	
708038	43441	Joséphine de Beauharnais
708038	46941	
708038	55406	La Ventouseuse
708038	57397	Ginette
708038	66732	
708038	72074	
708038	73132	
708038	77354	Mme. de Saint-Luc
708038	78445	
708038	85539	
708038	88059	Dora
708038	101644	
708038	108218	
708038	117918	
708038	132172	
708038	134535	Bianca
708038	142010	
708038	148634	
708038	148732	
708038	194361	
708038	195220	
708038	197403	
708038	201054	Huberte de Pontault
708038	201192	
708038	205213	Mathilde Grigou
708038	205532	
708038	205633	
708038	208655	Marinka
708038	214295	Une vielle dame
708038	217412	
708038	219523	La Tonia
708038	224908	
708038	227594	Josephine de Beauharnais
708038	227596	Josephine de Beauharnais
708038	235341	Olga
708038	236597	Ginette Lesparre
708038	236618	
708038	249082	L'Alouette, la chiffonnière d
708038	251176	
708038	262942	Une commère
708038	269102	
708038	270765	
708038	276116	
708038	276493	Mélie
708038	284167	Maria
708038	284202	
708038	284578	
708038	284880	
708038	286293	
708038	290035	
708038	307482	
708038	309747	
708038	321900	Henriette Mauclerc
708038	328052	
708038	332204	Thérèse Raquin
708038	337773	
708038	341484	
708038	343568	Edna Reichberg
708038	345107	
708038	346442	
708038	355280	
708038	356366	
708038	370719	
708038	377259	
708039	215148	School girl
708040	242845	Helga Bodo
708041	111202	Wu Yani
708042	34923	
708042	42236	
708042	48092	
708042	48101	
708042	63295	Fei Fei
708042	63498	
708042	84863	
708042	94783	Chu
708042	94833	
708042	95193	Guerilla Girl #2
708042	96543	Queen of Cambodia
708042	101700	Su Lin
708042	116232	
708042	135484	Lan Feng
708042	136080	
708042	138642	Chinese martial arts student
708042	141890	Hei Lu
708042	161862	
708042	161871	
708042	183727	
708042	184613	
708042	198590	Ying
708042	212537	
708042	218796	
708042	233014	Anna
708042	258410	Lotus Lin
708042	276812	
708042	290995	
708042	298053	Brothel Madam
708042	323096	
708042	332079	
708042	332306	
708042	332513	Angela Li Shou-Hua
708042	332539	Miss Tien
708042	342882	
708042	370470	Fang Chu/Lui Ying
708042	371596	
708042	374921	
708043	214755	Girl on Metro
708044	41249	
708045	271092	
708046	117927	
708047	240429	
708048	6321	
708048	115698	Dancer
708049	302065	Scout Board Member
708050	14576	
708051	2657	Trick-Or-Treater
708052	2657	Trick-Or-Treater
708052	2658	Insane Asylum Nurse
708053	100502	
708054	20681	Fanny Power
708054	67097	Mrs. Cregan
708054	116767	Ella Swanson
708054	129590	Dolores
708054	183312	Aileene's mother
708054	340647	Azucena
708055	139050	Drums
708056	330818	Herself
708057	101504	Mrs. Crosby
708058	35576	
708058	37318	Miss VanEvery (Ford's fiancee
708058	112242	
708058	131618	
708058	202933	Helen Vincent
708058	279546	Doris Moore
708058	329877	
708058	364461	Goldwyn Girl
708059	303288	Herself
708060	33432	Gossip
708061	193915	Midge
708062	216916	
708063	12217	Flight Attendant
708063	17197	Elkerton Police Officer
708063	28635	FBI Operator
708064	3668	Herself
708064	39193	Muffy
708064	63066	Faith
708064	63123	June
708064	84203	Herself
708064	105723	Nancy (flight attendant)
708064	117136	Cynthia
708064	138683	Ann Chambeau
708064	201605	Herself
708064	206216	Herself
708064	208494	2nd Woman
708064	277746	Mrs. Van Dough
708064	301222	Samantha Blake
708064	343052	Joan Michaelson
708064	368823	Herself
708065	193858	Sexy Waitress
708066	307264	Mrs. Steve Kelso
708067	40024	Model
708067	360837	
708067	365641	Judy Gordon
708068	158272	Lucy Dobbs
708069	403826	
708070	321446	Petite Nurse
708071	369461	Herself
708072	141164	Samantha Barclay (age 3)
708073	401648	Herself (2001)
708073	404324	Presenter (1990-1996)
708074	234033	Maya
708075	46334	Mailwoman
708076	303195	Judy Sontanga, the african
708077	208618	
708078	174707	Tatiana Aleqseevna
708079	315469	Littel Match Girl
708080	109001	Savri
708081	211033	Henriettes Mor
708082	169743	
708083	306670	
708084	80106	Janete
708084	148472	
708084	206797	Nhá Tomasa
708084	388940	
708084	396899	Maria Bonita
708084	397548	Estefânia
708084	403118	
708085	335689	Jack's Mother
708085	400343	Ella misma
708086	19383	
708086	212435	
708087	148418	Mrs. Chan
708088	55654	Clotilde
708088	124531	
708088	379812	Madre
708088	383445	
708088	386418	Madre
708088	388488	
708088	404276	
708088	412270	
708089	173931	Girl in Video Store
708090	345556	Sylvia
708091	343476	
708092	30415	
708093	235618	Lunar Maiden
708095	132466	
708095	377111	
708097	27866	
708097	86095	
708097	134500	
708097	214209	
708097	229431	
708097	260933	
708097	266887	Luisa
708097	334710	
708098	102318	
708098	254240	
708099	360957	
708100	61611	Lola
708100	63103	Kate Layton
708100	66969	Joanne
708100	86017	Vita
708100	97247	Sarah
708100	173087	Castillo
708100	173088	Petra
708100	189283	
708100	218821	Ethel Miller
708100	252354	Carol Ellsberg
708100	263481	Rita Ortega
708100	277295	Dancer
708100	304240	Det. Valdez
708100	323201	Melanie Quint
708100	327060	Sam Houston
708100	382295	Insp. Victoria Castillo (2001
708100	387215	Martha Antonelli (1989-1991)
708100	397479	Dr. Haylen Breslauer
708100	403147	Julia Cordoza
708100	403542	Sara Cable
708100	406706	Laura Crosby (1991-1994)
708100	407716	Sam Houston
708101	105041	Julia
708103	106268	
708103	307303	Luz
708103	332605	Capitana
708104	256146	Agent Ellen
708105	190037	Hoochie Mama
708106	34034	Irene Kaufmann
708107	117358	The 'Chinese Sohie Tucker'
708108	66222	
708108	189860	Herself
708108	194133	
708108	278537	Herself
708108	319519	
708108	390994	Herself
708108	399562	Herself (Model/Hostess)
708108	405234	
708110	10565	Eve Sanders
708110	16684	Raquel Chavez
708110	23210	Adele, Barmaid
708110	24954	Maria Moreno
708110	26717	Maria Alvarez
708110	33698	Patty Phillips
708110	36969	Maria 'Mama' Colino
708110	40022	Ruthie Dawson
708110	40113	Sylvia Duane
708110	41087	Babs Connelly
708110	52523	Aritana
708110	53205	Bessie Ormsbee
708110	56983	Marguerite Duval
708110	71575	Gracie Sager Vern
708110	73168	Nurse
708110	75541	Maria Fiorillo
708110	106107	Belinda Prentice
708110	107181	Gertrude
708110	109204	
708110	112582	Twinkles Tucker
708110	114845	Marie
708110	123138	Catalina
708110	128790	Harriet, singing inmate
708110	131507	Welder
708110	133632	
708110	134474	Maribelle
708110	136266	Bernice
708110	145963	
708110	149129	
708110	154084	Dental Secretary
708110	155017	Senorita Fortaleza
708110	155061	Marga-Jane Hastings
708110	159914	Geraldine Travis, alias Gerry
708110	161904	Marie Ravelle
708110	178023	
708110	185165	Bonnie
708110	196973	Secretary
708110	200488	Sugar Lee
708110	201064	Gloria
708110	232256	Joan Andrews
708110	232274	Constance
708110	274498	Check Girl
708110	277000	Evelyn Ross
708110	277981	Gabrielle Renaud
708110	279745	Julie
708110	280056	Constance Strong
708110	281384	
708110	285391	
708110	287256	Allison Bromley
708110	291743	Suntan Radford
708110	300515	Conchita Montoya
708110	306842	
708110	308594	
708110	331061	Sally Crandall
708110	332810	Sharon Winslow
708110	337411	Silk Cantrell
708110	342503	Elena Del Rio
708110	350220	Lisa
708110	351748	Anita Morell
708110	358445	Teleia Van Schreeven
708110	360613	Peg Mallory
708110	372277	Lita Acuna
708110	384955	Elena
708110	410953	Teresa Chapman
708111	144661	Betsy
708112	41319	
708113	255798	
708113	258626	
708113	395405	
708114	248047	
708115	146704	
708116	350140	
708117	47422	Alma Jr.
708117	52376	Zoe Tripp
708117	168289	Allyson
708117	252511	Jessica Anderson
708117	272026	Jessica Chandler
708117	322886	Miranda Spear
708118	223776	Mr. Wolinski Woman
708119	67664	
708119	101442	
708119	124237	
708119	206770	
708119	224965	
708119	341157	
708120	103002	
708120	161529	
708121	15270	
708121	17541	Anna Karenina
708121	18748	
708121	23985	
708121	35002	
708121	122489	
708121	125320	
708121	126343	
708121	166423	
708121	183258	
708121	198030	
708121	209986	
708121	282187	
708121	317329	
708121	324693	
708121	351937	
708121	360649	
708121	361519	
708121	375084	
708122	225913	
708123	41940	Wife
708123	45022	Sue, Bartender
708123	65022	Kathy Boyer
708123	87700	Narrator
708123	99657	Linda
708123	100109	Nancy Kraus
708123	139216	Detective China, NYPD
708123	158113	
708123	159200	Detective Jane Hoag
708123	170528	Kiki
708123	171190	Alicia
708123	171700	Abby
708123	193000	JoAnn (Lloyd's mom)
708123	196005	Marisa
708123	221114	Susan
708123	245182	Trisha
708123	263057	Susan Bird
708123	285739	Munkar
708123	316225	Tanya
708123	321661	Judy
708123	340752	Sophia Palmeri
708123	362310	Marcy Hackman
708123	399011	Bryn Carson (1996-1997)
708124	6322	
708125	286578	
708125	341477	
708125	344793	
708125	377607	
708126	117943	
708126	393616	
708127	30344	
708127	317702	
708128	68772	Joan
708128	152860	Hortense
708128	327756	Sam
708128	338546	Jessie
708129	184353	
708130	200084	
708131	25019	
708131	280998	
708132	396873	Zuleima
708133	18436	Older Lady
708133	124504	Mary, the Maid
708134	51585	
708134	55810	
708134	71224	
708134	98799	
708134	148488	
708134	183528	
708134	218426	
708134	248775	
708134	344824	
708135	271276	
708136	47198	Countess Romano
708137	265265	Ram
708139	382177	Misty Moon
708140	348596	
708141	61625	Miss Prothero
708141	359573	Lady of Easy Virtue
708142	381909	Herself (2nd Evicted, 19 Days
708143	398661	Herself
708144	383718	Sofia
708144	398661	Herself
708144	401358	Rosana
708144	403651	Laurita
708145	398661	Herself
708146	277811	Alina 4
708147	54464	Eleni (Pelagia's Friend) (The
708147	380499	Afroditi
708147	394603	
708147	411974	Zoe
708148	265892	Party Guest
708148	410628	Noemie Ferland
708149	5794	Agente immobiliare
708149	76164	
708149	344534	Herself
708150	25255	Marleen
708150	54161	Herself
708150	104689	Herself
708150	104691	Herself
708150	104754	Belgian entry (18th place)
708150	383368	Zangeres
708150	410449	Herself (1989-1995, 1997-2000
708151	26507	Rhonda
708153	219238	
708154	41412	Regina
708155	244767	Alice Petheridge
708156	38343	
708157	281551	South African Veldt Singer
708158	376036	
708159	44330	Waitress
708159	129460	Sasha
708159	245230	Amy
708159	317602	Doreen
708160	63954	La petite fille
708160	99369	
708161	316211	
708162	6489	
708162	84043	
708162	93859	
708162	205710	
708162	212468	
708162	244594	
708162	258616	
708162	277376	
708162	380145	Alegría
708162	380146	Alegría Soriano
708162	387187	Fabiola
708162	392609	Sarita
708162	403683	
708162	411735	Mara Benavídez
708163	386696	
708164	69890	
708164	183507	
708164	197986	Ivete
708164	250376	Social Worker
708164	378102	
708164	387932	Kátia
708164	407275	Arminda
708165	163502	Herself
708166	394247	Attorney Liza Goma (2003)
708167	280064	Shanghai Hooker
708168	390090	
708169	25192	Thelma
708169	191653	Lulu Fritz
708169	202488	Mallory
708169	320911	Susan
708169	350321	Marishka
708169	350322	Marishka
708169	350324	Herself
708170	371759	
708171	47915	Student
708174	47800	Tasha
708175	156317	
708175	337013	Fiancée de Poncet
708175	356509	
708175	400698	Troupe du Palace
708176	8256	
708176	25098	
708176	27100	
708176	28544	
708176	112638	Margherita
708176	123879	July
708176	127487	Receptionist
708176	127892	
708176	130952	
708176	148781	Giusy
708176	162651	
708176	165306	
708176	165307	Barbara
708176	187934	
708176	196671	Isabel
708176	202224	
708176	243191	Slave
708176	248978	
708176	300785	
708176	328628	Tiona
708176	336564	
708176	339128	
708176	351510	Sabina
708177	75245	
708177	89853	
708178	174155	Échangiste
708179	199035	
708180	281446	Miss Pole
708181	51657	Croessa, Cabiria's Nurse
708182	25311	
708183	206696	
708184	384861	Herself
708185	125008	Laura
708185	156655	
708185	189542	Gisi
708185	200205	Micky
708185	225304	Angelika
708185	338400	Christina
708185	347789	
708186	350973	
708187	30328	Cota
708187	42975	
708187	61342	
708187	123750	Dandara
708187	124235	
708187	132959	
708187	132981	
708188	411597	Paquitita I
708189	215939	
708190	55811	
708191	381328	Mariana
708192	19792	
708192	54024	Suor Agnese
708192	63784	Egle
708192	115279	Blonde prostitute
708192	132792	Le patron du bar
708192	160979	
708192	202040	
708192	213796	
708192	268998	
708192	295166	
708192	314083	La provinciale/La belle incon
708192	328246	
708192	328891	
708192	341791	
708192	349789	Donna friend's
708192	374292	
708193	129627	Americana
708193	266176	
708193	304540	Tori Raines
708193	389416	Connie
708193	390180	Americana
708194	109719	Paolo's lover
708195	164566	Little Jackie
708196	116053	
708196	136774	Sexy girl
708196	204168	Diner Customer
708197	186021	Attendant
708198	96496	
708199	47796	Young Brooke Ellison
708199	96920	Little Jamie
708200	16438	Isabella
708200	82884	Karina Stern
708200	90705	Regina Ceroni
708200	96003	
708200	101341	
708200	105547	Karin Schnitter
708200	147194	Marion
708200	177213	
708200	179784	Ingrid Kurten
708200	189644	Lea Spielhagen
708200	203767	Renate
708200	208458	Sonja
708200	228175	Dr. Halm
708200	230179	Ulli Degen
708200	231457	
708200	237230	Gast
708200	240568	Lupe Valdez
708200	259680	Jo
708200	301014	Hanna
708200	312207	Heide Klenz
708200	313648	Verena
708200	313649	Verena
708200	313650	Verena
708200	313651	Verena
708200	313652	Verena
708200	313653	Verena
708200	313654	Verena
708200	313656	Verena
708200	313657	Verena
708200	313658	Verena
708200	313659	Verena
708200	313660	Verena
708200	313661	Verena
708200	313662	Verena Bertold
708200	313663	Verena Berthold
708200	313664	Verena
708200	313665	Verena
708200	313666	Verena
708200	313667	Verena
708200	313668	
708200	313669	Verena
708200	313671	Verena
708200	313672	Verena
708200	313673	Verena
708200	313674	Verena
708200	322985	Sarah Lenhart
708200	325496	Corinna/Nora Zech
708200	325553	Lisa Pietsch
708200	325779	Steffi Neuhaus
708200	325900	Ute Bernett
708200	343670	Nadine
708200	347022	
708200	353761	Annette Caspari
708200	379372	Katja Aschberg
708200	385997	Milena
708200	393680	Annette
708200	395001	Mizzi
708200	403458	Sylvia Gruber
708200	404431	Michelle Berger
708200	409470	Sylvia
708201	7236	Herself
708202	27841	Young Elaine
708203	110474	Jennifer
708204	262677	
708204	273071	
708204	314157	Marie Duroc
708204	397701	
708205	78991	Adele
708205	86707	
708205	185841	Business Woman
708205	191677	Jack's Wife
708207	235449	Marie
708208	74785	Bispectacle Girl
708209	74785	Margaret
708210	248268	
708211	8355	Marie
708211	25169	La soeur de Serge
708211	33279	Suzanne
708211	87497	Eva
708211	96190	Nicole Seban
708211	101805	
708211	148775	
708211	205755	Marie
708211	205778	Anaïs Delauney
708211	206252	Lola
708211	234900	Nora
708211	278910	Pasqualina
708211	281334	Girl Hostage
708211	307473	Sarah
708211	353942	Sylvie
708211	376890	Noémie
708211	395492	Marie Berteau
708212	166347	Camille
708212	388587	Alice Brochène
708212	399082	Rita Dufrêne
708213	223698	Nasser's Elder Daughter
708214	130720	Dancer
708215	245513	Jilly Grant
708215	380373	Laura Dashwood
708215	404404	Etiennette
708216	276295	
708217	2692	Corinne Hauff
708217	67905	Rosalina
708217	162077	(segment "Il plenilunio")
708217	240301	
708217	331279	Francesca Bianchini
708217	335813	
708217	351585	L'amante di Shakespeare (segm
708217	375883	
708218	222133	
708219	30515	
708219	99316	
708219	118088	
708219	125787	Esmeralda
708219	199033	
708219	213736	
708219	234635	
708219	239926	Petra Petrova
708219	250430	
708219	256935	Debora
708219	264468	Frank
708219	269011	
708219	275022	
708219	280850	
708219	286416	
708219	300725	
708219	324347	
708219	327812	
708219	369730	Hortensia
708219	369982	Iara Macedo (Macedão)
708219	397416	Madame Yara
708219	401087	Herself
708219	410375	
708220	154899	Zombie #9
708221	213324	Pantomime Dwarf
708222	7330	
708223	14386	La Turca
708223	14834	Fede
708223	68435	Maria Stella Cosentino
708224	303904	Young Woman
708225	24032	
708225	30283	
708225	62911	
708225	93434	
708225	134811	
708225	281942	
708225	358257	Lady Fairfax
708226	74351	Julieta
708227	8876	Un Invitée
708227	16948	Une religieuse
708227	43762	Simone
708227	51253	
708227	56388	
708227	59249	Solange
708227	63677	
708227	84190	Blanche (segment "Clé est sur
708227	91453	
708227	94345	
708227	114760	
708227	133081	La préfète
708227	148630	Mme Delmar
708227	148677	
708227	174636	Mlle Trépeau
708227	255493	
708227	263980	
708227	290783	Fürstin Metternich/Princess M
708227	292358	Jeanne Hallu
708228	323962	Adore Renée
708228	352723	The Dancer
708229	13042	La mère de Lise
708229	48210	Anne Lasseray
708229	85693	Soeur Mathilde
708229	285707	Thérèse
708229	388688	
708229	396867	
708229	399106	Solange
708230	135330	A Kid
708231	57463	Laura
708232	61142	
708232	90099	
708232	197452	
708233	13050	
708234	301797	Fräulein Munk
708235	65102	Amy
708235	85030	
708235	110185	Kansas
708235	164609	Kim
708235	166639	Celia Flagstaff
708236	250449	Herself (sports star)
708236	327988	Herself
708237	403280	Millie
708238	361159	Chrales' Mother
708239	361159	Dancer
708240	597	
708240	325390	
708240	356550	Oma Seifert
708240	361368	
708241	235882	Ecologist (segment "Passage d
708242	279804	Herself
708242	403536	Herself - Participant (1999)
708243	2252	(segment "Appel d'un ami, L'"
708243	14349	Yolande
708243	28553	
708243	35302	Elda
708243	37899	Jeune Fille Golf
708243	70750	Mélissa
708243	93876	Claire
708243	96216	Sandy
708243	101221	Emilie
708243	218253	La fille de Balboss
708243	219511	Isabelle
708243	245954	Maman
708243	258838	
708243	268455	Colette
708243	327551	Agate Benoît
708243	356379	Zoé
708243	383371	Dom (1999-2000)
708243	384288	Véronique
708243	384577	
708243	392894	Noémie
708243	396805	Stéphanie (later episodes)
708244	94217	Tiffany
708245	289523	Hadley Twin
708246	223009	Judit Hollo
708247	18516	
708247	63254	
708248	189922	Sara
708249	220831	Mrs. Gross
708251	48540	
708251	68549	Carrie the Maid
708251	105954	Habit
708251	252900	Flossie Day
708251	363327	The maid
708252	277712	Herself
708253	170826	Marija
708253	227263	Nita
708254	187629	
708255	132771	Lucie
708256	365	La mère de Léon
708256	10371	
708256	101129	Meme
708256	132735	
708256	148658	
708256	286029	La mère Salavin
708256	353846	Dimanche's Housekeeper
708256	396523	Tante Marie
708257	42170	Nurse
708257	93581	Luise Biddinghaus
708257	140265	Erika Nickel
708257	140269	Erika Herbert
708257	225194	
708257	303937	Else
708257	308823	Katrin
708257	364824	Serena
708257	365611	Susi
708257	375978	Girl on wall
708258	104731	Belgian entry
708259	34683	Nurse Lewis
708259	58164	Lois Costello
708259	292461	Anna Skolowmoska
708259	379193	Herself
708260	213932	
708261	408001	Mme Chade
708262	208096	
708263	359540	Amazon
708264	282772	Karl's secretary
708265	28282	
708266	114209	Edwige
708267	199285	Singer
708268	979	Reina
708270	86286	
708271	25318	
708271	113362	Paola
708272	6627	
708272	10080	
708272	12372	
708272	15096	
708272	16950	Mère Angelina
708272	30252	Une femme dans l'aérodrome
708272	33638	
708272	41446	Cliente vampire
708272	48229	
708272	51453	
708272	54061	La vieille de l'immeuble
708272	59249	
708272	65131	Madame Zebelin
708272	69878	
708272	82944	
708272	84220	(segment "Jeanne")
708272	85693	Mère Jeanne (la doyenne)
708272	88842	Madame Valéry
708272	94345	
708272	99368	
708272	101163	La gouvernante
708272	101511	Mme Genet
708272	101716	La concierge malade
708272	102941	
708272	107537	Une habitante du quartier
708272	111117	
708272	119042	La Zabette
708272	133090	La pompiste
708272	134605	Femme 1
708272	135428	
708272	135961	
708272	136360	
708272	164161	Une religieuse
708272	167209	
708272	171321	
708272	183242	
708272	191499	La réceptionniste
708272	192834	Maid
708272	197398	La geôlière
708272	199323	La mère du général
708272	199331	Mademoiselle Guérand
708272	200961	La gardienne des toilettes
708272	201105	Mme. Catherine
708272	205358	Mère Guillette
708272	205437	
708272	211824	Poitiers' Inquisitor
708272	218250	Mme Masure
708272	219605	Librarian
708272	220492	
708272	222828	
708272	247980	La bonne
708272	248165	Sébastien Grandmother
708272	254601	Mme Chaussois
708272	261814	La grand-mère
708272	267879	Cook
708272	282417	Jacqueline
708272	283039	Mado Bidois
708272	300670	
708272	309758	La mère de Malorthy
708272	313304	
708272	318516	
708272	319866	
708272	338331	
708272	345020	
708272	345075	
708272	346713	
708272	353845	Brocanteuse
708272	376933	Commère #2
708272	377614	Mme Berton
708272	377792	
708272	377825	Julie
708272	380410	La servante Orsola
708272	383375	
708272	388141	Agnès
708272	388688	La soeur tourière
708272	394166	Mme Muret (segment "Club de l
708272	401972	
708272	404663	Miss Saunders
708272	412203	
708272	412276	Sidonie Archignat
708273	251614	Grazia
708274	383441	
708275	19186	La femme de l'adjoint
708275	20068	Secrétaire Chevalier d'Aven
708275	22634	Rolande
708275	28995	Martine Pichon
708275	29415	
708275	34398	Françoise Quesnay
708275	88837	
708275	91445	Liliane Auphal/52
708275	104244	
708275	129432	Soeur Julia
708275	201140	
708275	214020	La secrétaire de Kerjean
708275	245953	
708275	343569	
708275	357099	La cliente
708275	375077	Simone
708275	377067	Elisabeth
708275	379793	Fanchon Navarre-Bonnegarde
708275	384210	Laurence
708275	384822	Murielle
708275	389784	
708275	391934	Mme Maréchal
708275	392602	Ève Chardon
708275	402103	La speakerine
708275	402177	Marie
708275	409440	
708276	286624	Virginia
708277	342245	Herself
708278	242567	Frances Forrester
708278	365362	
708280	285098	Sister
708281	133849	Babette
708282	356499	
708283	164152	Yvonne Fluch
708284	36902	
708284	47250	
708284	116827	
708284	150944	
708284	161970	
708284	163965	Jennifer McKenzie
708284	163966	Jennifer
708284	282390	
708284	304929	Receptionist
708286	238965	
708287	227317	Une cliente gym-center
708288	223789	
708289	223	Girl on street, finds Dexter 
708289	9653	The Girl
708289	10309	Polina Delacroix
708289	17556	Anna Karenina
708289	18206	Chiara Manzoni
708289	33804	Lisa/Belphégor
708289	44998	Vic Beretton
708289	45000	Vic Beretton
708289	46169	Princess Isabelle
708289	62815	Céline
708289	65529	La clapman
708289	83480	Lola
708289	108540	Fanfan
708289	109029	Herself
708289	112812	Eloïse d'Artagnan
708289	113933	Elisabeth
708289	117927	Madeleine of Saint-Ilette
708289	166127	Marie-Dominique
708289	169650	Julie
708289	194687	Lila Dubois
708289	201812	Herself
708289	206300	Marquise
708289	213324	Hippolyta
708289	246230	Bernardette
708289	259212	Noria
708289	261794	Laura
708289	345312	Herself
708289	368418	Elektra King
708289	368419	Elektra King
708289	376892	Nelly
708289	377976	Valentine
708290	29792	Rosalinde
708290	243191	Slave
708290	260410	
708290	264378	Mlle de Chemerault
708290	339875	
708291	383718	Andrea
708292	52536	Show Girl
708293	282147	Waitress
708293	313756	Kim, Kathy's Friend
708293	355365	Anna
708295	19085	Elsie Quimby
708295	33074	
708295	49998	
708295	64062	Fairy Godmother
708295	124753	Carrie Dodd
708295	191871	
708295	215293	Madame Briand
708295	261996	Mavity Bence
708295	305400	
708295	338102	
708295	343117	
708295	347318	Her Assistant
708295	353399	Undetermined Role
708296	125682	
708297	78744	Young Vera
708297	133475	Teenage Girl #2
708297	201094	Sarah
708297	317148	Phillipa
708297	341846	
708297	410898	Elaine
708297	411133	Melissa Stride
708298	371674	
708299	147739	
708300	101922	Anabela
708300	133049	Vilma
708300	341473	Salomé
708300	344706	Gilda
708301	82461	
708301	238973	
708301	257188	
708302	56607	Dina
708302	150587	Receptionist
708302	153565	Tavy
708302	360594	Daughter
708302	385822	Donna Palmer
708302	390692	Lisa Hollingsworth
708302	402092	Sophie (series 2-5)
708302	404698	Donna
708302	410070	PC Kirsty Morgan (2001-3)
708303	37701	Sandy
708303	278470	Bad Girl Gang
708303	328748	
708303	382197	Irene O'Neal
708304	351494	
708305	384980	Sofía Rivadeneira
708305	397009	Lucrecia
708305	399525	Lala
708305	401435	Rosario
708305	411710	Narda
708306	114278	
708306	291901	
708306	364495	
708307	21911	
708308	34572	Elvira
708308	210178	Beatriz/Lali
708308	310240	Lola
708308	380849	Anna
708308	384202	Laura Fussi
708308	392027	Dra. Paula Herrero (2001)
708308	407305	Mercedes
708309	148735	Madame Janvier
708310	60688	Protagonist
708311	92095	Hairdresser #2
708312	46116	Anoã's sister
708313	106298	
708314	204341	The Moviestar
708315	46116	Anoã
708316	48838	
708316	54663	
708316	91316	
708316	211295	Julian
708316	287734	
708317	130341	Waitress
708318	83082	Stripteasedanserinde
708318	153273	
708319	196332	
708320	770	
708320	11436	Herself (Jade Marcella)
708320	13818	
708320	21017	
708320	21911	Jade Marcella
708320	21916	
708320	21925	
708320	21967	
708320	27013	Herself
708320	36708	
708320	41588	
708320	44868	Herself (Jade Marcella)
708320	54633	
708320	59893	Herself
708320	61260	
708320	75028	
708320	75039	
708320	87384	
708320	106031	
708320	106433	Adopted Indonesian Girl
708320	123646	Prostitute (Jade Marcella)
708320	128690	
708320	138132	
708320	138201	
708320	189064	
708320	202376	
708320	215635	Indonesian Miss Piss
708320	223687	
708320	228025	
708320	230541	
708320	242055	
708320	243094	
708320	257930	
708320	260773	Indonesian Whore
708320	273300	
708320	282962	
708320	294044	
708320	296707	Herself (Jade Marcela)
708320	297842	
708320	300518	
708320	300519	
708320	306908	
708320	334143	
708320	334146	
708320	339648	
708320	346102	
708320	347286	
708320	349880	
708320	353685	
708320	360412	
708320	361873	
708320	364495	
708321	85458	
708321	122816	
708321	130075	
708321	175456	
708321	186960	
708321	207550	
708321	216051	Asih
708321	253070	
708321	272191	
708321	300103	
708321	320349	
708321	340116	Baker
708322	33742	Abu Snake Charmer
708323	247992	
708325	26385	Italiann Mother
708325	33060	
708325	38130	
708325	45921	
708325	85927	Carlotta Orsini
708325	99541	Señorita Rodriguez
708325	107808	Sonia
708325	299999	Rachel Cohen
708326	102795	
708327	337699	Woman
708328	63740	
708328	270321	Ada
708329	88867	Players Ball Dancer
708329	130311	Dancer
708330	186633	Waitress
708331	69025	Michela
708333	266303	Mrs. Wieloslawska
708334	2234	Pam
708334	61812	Maggie Glass
708334	80385	Sylvia Smother
708334	114069	Kate
708334	139001	Jenny
708334	153804	L'épicière
708334	201758	Boat Woman #1
708334	293640	
708334	327185	Annie
708335	406389	Herself-Grand Finalist
708336	75531	Herself
708337	73472	Sylvia
708337	105550	Nicole
708338	66596	Child
708339	62569	
708339	101171	
708339	198339	Constance
708339	346819	
708339	381297	Grand-mère Lucie
708340	206380	Mrs.
708341	41329	Woman Guest #2
708341	83695	Val Manufort
708341	123303	Prairie Kate
708341	177693	
708341	261106	Marguerite Chirac
708341	313420	Lursa
708342	317517	Angela Drackett
708343	51986	Jackie
708344	55716	Lubi Lieutenant
708345	67871	
708346	104305	Yvonne de la Roche
708346	279387	June Eastman
708347	288695	Bartender
708347	308092	Lisa
708347	309678	Blind Date
708347	348594	Becky
708347	404002	Mirabelle Posnick (1981)
708348	45624	Mrs. Smith
708348	55681	Hospital Board Member
708348	59649	Mrs. Heiderman
708348	76027	Mary, a woman of Magdala
708348	90351	Lady Binder
708348	92439	Mrs. Jackson
708348	99208	Lady Blanche
708348	116518	Astrid Larsen
708348	131771	Mrs. Summersthwaite
708348	145899	Mrs Fernando
708348	200353	Yadwiga
708348	213167	Woman
708348	214993	Sister Dominica
708348	220916	Rose Cooper
708348	257613	Widow Quin
708348	265739	Fat Woman
708348	266546	Mme. Valadier
708348	270025	Miriam
708348	273590	Mrs. van Hopper
708348	278777	Mrs. Ferret
708348	280832	Mrs. Barrow
708348	331359	Beatrice Richman
708348	331465	Thomasina
708348	342868	Mrs. Borrows, Ethne's Mother
708348	367620	Annette
708348	395419	Mother
708349	6194	Grace (Amanda's secretary)
708349	32352	Secretary
708349	47294	Mary
708349	52685	Mrs. Culver
708349	53975	Mrs. Bauer
708349	75533	Miss Callahan, Amy's teacher
708349	78317	Ruthie Johnson, Jackie's Mom
708349	135553	Nurse
708349	151339	Meillyn Lewis
708349	168119	Peasant woman
708349	176846	Mrs. Martin
708349	185335	Young Politican
708349	216802	Miss Eddy
708349	295470	Mildred Gilchrist, Highcliff 
708349	308615	Miss Murray
708349	316786	Joyce Quinn
708349	318927	Mallie Cramp
708349	330231	Nurse
708349	365373	Dorothy (telephone operator)
708350	355519	Florie
708351	371692	
708352	40330	Brandi
708353	67096	Miss Graham
708353	186812	Joan
708353	206266	Mary Roberts
708353	306327	Girl
708353	331488	Peggy
708353	333434	Cigarette Girl
708353	361275	Mary McNab
708354	62791	V.E. Day Woman
708355	13043	The Young Girl
708355	32180	Freya
708355	67390	Rose
708355	78900	Lidia
708355	126340	
708355	230337	Amanda Trevane Murray
708355	266166	Sook Hee/Miya
708355	325113	Jane Porter
708356	279721	Woman
708356	309540	
708357	49763	Mrs. Kirschman
708357	128382	
708357	159713	Woman In Bathroom
708357	275290	Grey Peg
708358	110998	Patty Regan
708359	218823	Ma Basham
708360	292499	Didi
708360	387309	Tracy Carroll
708361	190689	Tury Martin
708361	372736	Tury Martin
708362	168249	Sister of Mercy
708362	179297	Eve Lune
708363	196445	Ann
708363	272239	Elizabeth Stannard
708363	380390	Barbara
708363	380713	Nurse Harris (1963-1965)
708363	382773	Lenore Bradley (1956-1958)
708363	400236	Adele Huddleston (1977-1979)/
708363	404694	Valerie Hill Ames Northcoate 
708363	407916	Mildred Canfield (1982)
708363	408128	Jennifer Alden
708364	122914	Mabel
708365	280895	Girl
708366	57573	Mrs. O'Bede
708368	126152	Mrs. Venable
708369	6072	
708369	7876	Miss Hooper
708369	49258	Gladys
708369	129070	Karen's friend
708369	138227	
708369	163413	Mis Parsons
708369	193625	Miss Hopper (1939 version)
708369	204892	
708369	263785	
708369	272616	Rose
708369	299169	
708369	359100	Mabel
708370	330377	Lisa
708370	378865	Anita
708370	379600	Colette Johnson
708370	384766	Denice Andrews
708370	395385	Claudette
708370	395924	Carmen (2000)
708370	398698	Maria (Series 2) (1996)
708370	403373	Aggie
708370	406197	Aretha
708370	409505	Fiona
708371	55474	Gaien #2
708372	111349	Singer
708372	147539	
708372	189858	Herself
708372	189863	Herself
708372	223751	Herself
708372	326059	
708373	52204	Trudy
708373	65825	Liz
708373	78250	CPS Lawyer
708373	96799	Helen Karim
708373	105441	Mrs. Castle
708373	190000	Miss Knag
708373	210835	Elaine
708373	292158	Woman Driver
708373	365616	Eleanor
708373	390360	Mary
708373	395585	Amanda (Series 1 & 2)
708373	395919	Liz Kemp
708373	400110	Mrs Corney
708373	402743	Madge
708374	319166	Miss Garroway
708375	20264	Laura Radford
708376	81192	Miss Forsythe
708376	140953	Nikki
708376	220805	
708376	306744	Kay
708376	395275	A.D.A. Alexandra 'Alex' Cabot
708376	410870	Host
708377	123380	Nancy
708378	128154	
708379	208834	L'infirmière
708380	170933	L'infirmière
708381	24725	
708381	37758	
708381	41035	Blanche
708381	44506	Belle of Paradise Bar
708381	44938	
708381	56777	Riza Dorina
708381	63667	
708381	87105	Countess Zicka
708381	90179	The Duchess
708381	99545	Contesses de Tournai
708381	101684	La reine Alexandra
708381	111069	
708381	111093	
708381	112268	
708381	117820	Ina Blaine
708381	125873	Yvonne Dufour
708381	152395	Mrs. Bane
708381	169367	Jeanne Marchal
708381	199379	Queen of Naples
708381	205237	
708381	217708	
708381	254058	
708381	256755	Mrs. Shaw
708381	261726	
708381	268406	
708381	276119	Jeannette
708381	287595	Mme Forestier
708381	288203	
708381	304115	Userti
708381	311868	Maggie Courtney
708381	328436	Mrs. Gauthier
708381	334445	
708381	339829	Herself
708381	351592	Lola Astoni
708381	366161	Celeste
708382	2333	
708382	123896	Laurence Weber
708382	250780	Bérengère
708382	345080	
708383	397888	Herself (2003)
708384	156612	Katharina
708384	171660	
708384	282196	
708384	352535	Cheristane
708384	374142	
708385	265797	
708386	198305	
708386	354912	
708387	85474	
708387	99705	Gloria Clifton
708387	127884	(segment "4 Wives")
708387	197578	Isabelle
708387	263936	
708387	295166	Paola Whitney
708387	315449	
708387	349789	Mary-Lou
708387	353162	
708387	356002	
708387	356725	German scientist
708388	387963	Saida
708389	108773	
708390	229663	Chanteuse chez Barry
708391	263919	
708392	56367	Ketty
708392	315456	
708393	345243	Amie pique-nique 2
708394	220273	Marie Charlet
708394	248264	Princess Caroline
708394	281074	Shop Girl/Dancer
708394	346979	Caroline von Say-Wittgenstein
708395	176942	Dancer
708396	20245	Jane
708396	23530	La Sainte Femme
708396	44576	Mrs. Rinaldi
708396	51381	Mme de Pompadour
708396	51826	Une danseuse
708396	53596	Maria
708396	65611	
708396	66221	Florence, 'Cléo Victorie'
708396	71822	Madame Sivardière
708396	73140	Geneviève Masson
708396	73160	Laure Beissat
708396	75868	La reine des neiges
708396	84100	Lady Abdeen
708396	94379	Valérie
708396	127621	
708396	142855	Mathilde
708396	144300	
708396	159700	Élisabeth
708396	189344	Anne
708396	192834	Giorgio's wife
708396	193480	Daisy
708396	195184	Anne Mac Gregor
708396	229053	Françoise
708396	230100	Clara Nox
708396	231146	Irma
708396	236759	Jacqueline
708396	247154	Madame Schutz
708396	248914	Tilleuls Patron
708396	280793	
708396	294566	Girl on the Street (segment L
708396	318637	Mireille
708396	338582	Louise
708396	379809	Rigoletta
708396	383375	Mme Leroy-Boucher
708396	390520	La reine (segment "Lettre vol
708396	399082	Mylène
708396	403896	Armelle
708396	406030	Colette
708396	409440	
708396	409446	Suzanne d'Estienne
708396	409448	Marthe Jumié
708396	409523	Hélène
708396	412268	Anne d'Autriche (segment "Eva
708397	233014	
708398	41737	Model
708398	276892	Fem fatale
708399	224214	Streetwalker
708400	26526	
708400	42867	Weduwe
708400	48160	Irène
708400	69497	Clara
708400	86715	Alice
708400	91255	Rozeke
708400	93620	Constance Bonacieux
708400	93627	Polly
708400	110551	Rita Malfliet
708400	111106	
708400	112036	Karolien
708400	113205	Lucia
708400	124416	Weduwe Brouwer
708400	126859	Germaine de Saint Sifride
708400	132272	
708400	139041	
708400	153319	Daphne Dawson
708400	171798	Dame bij kaaswinkel
708400	179475	Echtgenote van Azère
708400	203447	Juffrouw Grals
708400	209732	Buschauffeur
708400	213344	Sekretaresse
708400	217057	Yvette Pottier
708400	234270	Fine
708400	242864	
708400	242897	Dame die kind verloren is
708400	249735	Martha
708400	279646	
708400	281187	Angelica Lombardi
708400	282736	Tweede meisje
708400	286314	Françoise
708400	326282	Minouchon
708400	328679	Meisje
708400	328680	Meisje
708400	339681	Trijntje
708400	344238	
708400	357388	
708400	357566	Rozelien
708400	359815	Caroline
708400	360831	Meisje
708400	373877	Mia
708400	374085	Virginia
708400	375755	Clementine
708400	381006	Nora Pintens
708400	388157	Melle
708400	388299	Bianca Parducci (1995-1996, 2
708400	389315	Madeleine
708400	389783	Verpleegster
708400	394142	Dienster (1968)
708400	394204	Karin Oste
708400	394333	Orna
708400	397484	Sjaan Testers
708400	399658	Moeder van Annette (2000--
708400	400801	Manse Lappers
708400	400989	
708400	403417	Florence Schraeyen
708400	408151	Erna De Wolf (1998-2000)
708400	408224	
708400	409162	
708400	409192	
708400	411116	Lucieke
708400	411916	
708400	412036	Georgette (1993-1994)
708401	26683	
708401	340423	
708402	51808	
708403	211918	Els Willekens
708404	15058	
708404	66221	
708404	71800	
708404	198341	
708404	214204	Germaine Palette
708405	200442	
708406	80645	2nd Waitress
708406	108119	
708406	135074	Cassandra
708407	346857	Clock Woman
708408	353840	Fille du fermier
708409	2304	Herself - Award Winner
708409	2313	Herself - Presenter
708409	2541	Herself/presenter
708409	7923	Rose, Quentin's Mother
708409	26636	Julie
708409	33705	Sister Michael
708409	44764	Mrs. Burrage
708409	45831	Lillian Oglethorpe
708409	80969	Judge Kits Van Heynigan
708409	120623	Roberta Winnaker
708409	130829	Vera Andreyev
708409	149911	Mrs. Christie, Head of Nurses
708409	166565	Abbesse
708409	177022	Dr. Martha Trenton
708409	178177	
708409	183871	Mrs. Andrews
708409	206710	The Girl (Clara)
708409	209115	Mrs. Miller
708409	226939	Mayor Barkley
708409	241106	Mrs. Demerjian
708409	273783	Grandmother
708409	274805	Headmistress
708409	284932	Maude Larrabee
708409	307386	Mrs. Krebs
708409	307900	Ruth Nicoff
708409	310425	Lucilla Drake
708409	327241	Nurse Oxford
708409	336714	Nora Melody
708409	349972	Auntie
708409	365760	Mrs. Stanch
708409	379224	Mrs. Smith
708409	380391	Irene Kimbalt (1972)/Therrese
708409	381468	Mary Lassiter
708409	387309	Edna Mae Carroll (1962)/Judge
708409	389326	Margaret Chase Smith/Lucy Sto
708409	396033	Margaret Jones Pynchon
708409	396088	Vinnie Phillips (1970-1974)
708409	396117	Edith Cushing #1 (1977) (orig
708409	399684	Dorothea Dix
708409	405976	Livia Soprano (1999-2000)
708409	406120	Claudine Roux
708410	230108	Cassius, Sandre
708410	381017	Tania Lajoie-Dufort
708411	275653	Little Danielle
708412	180633	Alma James
708412	257307	Alma James
708412	342909	Sheryl Rockmore
708412	394306	Sheryl Rockmore
708413	331309	
708414	75562	Bunny Bodell
708416	218570	
708417	213751	Milagro Townsperson
708418	333182	Dolores
708418	362952	Adult
708419	311944	Fleurette
708419	394676	Toni Fields (1992-1993)
708420	266403	Nadine Valéra
708421	381911	Herself (2003)
708422	72417	
708422	295025	
708424	3311	(segment "Tout n'est pas en n
708424	336988	
708425	20113	Nan Thornton
708425	299999	Lydia
708426	236601	
708426	345302	Hélène
708427	38397	
708427	52187	Brunella
708427	68873	
708427	75242	Elena
708427	76153	Olga Ossani
708427	82416	
708427	197207	
708427	219575	
708427	235794	
708427	260900	Marina
708427	277806	Marta
708427	291556	
708427	341345	Nicole
708427	353080	
708427	356221	
708427	386749	
708427	392741	Giancarla
708427	400092	
708427	402745	
708427	406000	Elena
708427	410311	Letizia Visconti
708428	129004	
708430	42931	
708430	76126	
708430	174880	Regina's Mother
708430	200439	Missy
708430	231653	
708430	234255	
708430	258803	Andrzejewska
708430	259083	Abbess
708430	266293	Drunkard
708430	293700	Secretary
708430	340088	
708430	358199	
708430	367198	
708430	374245	
708430	374664	
708430	396863	Henriette Perrin
708431	383437	
708432	358547	Tanga meisje
708433	33833	Nastenka
708433	35864	
708433	60458	Nina
708433	88492	Vera
708433	130198	
708433	188126	Kuts
708433	217281	
708433	244253	Tanya
708433	273091	
708433	317241	
708433	349239	
708433	350991	
708434	235816	
708435	232413	Jogger/Candy
708436	202576	
708437	49028	Dancer
708438	74284	Zuvembie #1
708438	82519	Young Rhonda Cooper
708439	212437	
708439	256958	
708439	284829	
708440	127895	
708442	235460	Parent
708443	87898	
708445	133306	
708446	3465	Miss Pierotti
708446	402304	Lucia Mondella/Agnese/Perpetu
708447	70163	
708447	402302	
708448	43287	Travel agent
708448	198499	Madame's Girl
708448	234730	Mel (the kitten)
708448	238378	
708448	344593	Ballerina
708449	336605	Signora Sconocchia
708450	3348	Carmela
708450	6699	Maid
708450	14956	Astrologa
708450	138851	Second Solo Danceuse
708450	158701	
708450	207088	
708450	217795	
708450	234765	Zia Erminia
708450	291622	Zia Ester
708450	332251	Petro's Mother
708450	336146	Gina
708450	348209	Rosaria
708451	51540	
708452	132944	Singer in Lesbos Nightclub
708452	412258	Leontina
708453	197091	
708454	55174	
708455	351604	Eva
708456	86453	
708457	14936	
708457	17381	Maria
708457	42559	
708457	98759	
708457	122910	
708457	133056	
708457	166378	
708457	187609	
708457	197091	
708457	233841	
708457	241194	Lúcia
708457	246850	
708457	268993	
708457	340278	
708457	344869	
708457	383269	Madre Angélica
708457	384871	
708457	392591	
708457	397439	
708457	400214	
708457	400289	Irene
708457	405100	Julieta
708457	412238	Governanta
708458	60811	
708458	156000	Bistra
708458	179795	Lena
708458	200408	Sekretarkata Mimi
708458	264535	
708458	280589	Zhenata na Vlado
708458	311386	
708458	373213	
708458	394139	
708458	409263	
708459	133614	
708459	154267	
708459	263595	
708460	215465	Maria Desamparo
708460	386479	
708460	409961	
708461	62474	Célia
708462	336617	Caterina
708463	145247	
708464	274872	
708465	394392	Tour Guide, Director, Additio
708465	397371	Nicky
708465	411884	Additional Voices
708466	204594	
708467	14684	
708467	29580	
708467	36459	Madre de Giacomino
708467	52784	
708467	55809	
708467	74746	
708467	98667	Mother Superior
708467	155525	Voice
708467	158760	La cameriera
708467	158763	La signora Ducrau
708467	229644	
708467	270819	
708467	355621	Mathurine
708467	356214	
708468	51362	
708468	217122	
708468	269499	
708469	87039	
708470	229981	2nd handmaiden
708471	1284	
708471	74169	
708471	75028	
708471	75955	
708471	87054	
708471	135137	
708471	160100	
708471	268302	
708472	142809	Sexy Girl
708473	48827	
708473	159412	Alex
708473	255357	Parking Lot Couple
708474	82844	Élodie
708475	216774	La fille
708476	261841	L'américaine
708477	54397	Dorothy Golden
708477	346708	Miss Smithson, la nurse
708478	401329	Juliette (age 8)
708479	4614	Silvia's mother
708479	5363	Deborah
708479	72973	Sergio's mother
708479	270840	Rosa
708479	294526	
708479	316443	
708479	377795	Irina
708479	385386	
708479	396649	Postina (4)
708481	65926	Woman in park with little gir
708482	6575	
708482	6743	
708482	77228	La signora al vagone ristoran
708482	90678	Diana, zia di Zosi
708482	196776	Soubrette
708482	198555	
708482	252688	
708482	269110	Donna Lina Rigotti
708482	289696	Marilena Vellardi
708482	294399	
708482	301364	
708482	327911	Prima infermiera
708483	71225	La signora Ipanoff
708483	94698	Madame Frochard
708483	124201	La suora insegnante di musica
708483	230080	Donna Ines
708483	234738	Donna Virginia
708483	265724	Agnese Mondella, madre di Luc
708483	269110	L'affituaria della villa
708483	282103	Anna Guidarini, madre di Ross
708483	301384	
708483	313901	La madre di Maria
708483	322575	A patient's mother
708484	250669	
708485	51791	Medical Student
708486	18948	
708487	74882	
708488	38779	Ortensia
708488	301790	
708489	302549	
708490	60137	
708491	30723	
708492	210427	
708493	52204	W.I. Administrator 2
708494	373782	
708495	88465	Herself/Hobbit Extra/Homemake
708495	192195	Mrs. Fogel
708496	375874	
708497	77805	Chorus girl
708498	104692	Herself
708499	41820	
708500	75531	Herself
708500	314686	6 News Anchor
708501	16857	
708501	107037	Anita
708501	284830	
708501	328891	
708501	356221	
708502	346641	L'Actrice jouant le page
708503	328045	
708504	55905	Francesca
708504	249919	Carolina
708504	278971	
708504	342111	Ilaria
708505	10071	La gitane
708505	246510	
708505	254133	Nourith
708507	338242	
708508	387071	Vanna
708509	15254	Woman militant
708509	31833	Sherina
708509	88284	
708509	191783	Rachel
708509	233259	Pnina
708511	105035	Lilian
708512	112074	
708512	146458	Estrella
708512	209005	
708512	225034	Patricia
708512	246871	Loli
708512	252516	Chica 1
708512	293379	Alicia
708512	384202	
708513	256661	
708514	29517	One kid
708515	23973	Nazi Sympathizer
708515	67093	Hotel Clerk
708515	83230	Waitress At The White Fox
708515	277042	Gina
708515	277949	Hostess
708515	358701	Wife #1
708515	359381	Amber
708515	386295	Waitress Lucy
708516	265272	Christy
708517	1348	Herself
708517	2275	Herself - Hostess
708517	3267	Danielle
708517	35515	Herself/Gina Kincaid
708517	114383	
708517	161392	Herself
708517	231396	Erin
708517	280115	Carla Pestalozzi
708517	315547	Tess Woodward
708517	330881	Maggie Harty
708517	334244	Sydney Carpenter
708517	346335	
708517	379058	Host
708517	381811	Gina Kincaid (1998-2000)
708517	389858	Brenda Barrett Jacks Morgan (
708517	395145	Samantha Jane "Sam" Marquez
708518	336725	Martine
708518	389666	Marion
708519	43007	Une vieille femme
708520	384988	Dolores
708521	55937	Celia's Mother
708521	70641	Ruth
708521	385401	Connie
708521	393363	Ana
708521	406861	
708522	59717	Göran's daughter
708523	25426	Basia Bzowska-child
708523	380998	Basia Bzowska-child
708524	245115	Woman
708525	229046	
708526	216366	Herself
708527	197509	Basia
708527	232680	Lucyna
708528	72664	Student
708529	126571	Miss Parsons
708530	7457	Marine à 15 ans
708530	108220	Elisa Sapajou
708530	287954	Elisa Sapajou
708530	384754	Anne (2002)
708530	388587	Caroline (2003)
708530	402559	Stéphanie (2002)
708531	326755	New Catgirl #2
708533	154828	Leopardbukserne
708533	181736	Frk. Hansen
708533	403380	Young Nurse
708534	70916	Kimberly
708535	310303	Two-Timer
708536	5110	Clara
708537	64750	Kissy
708538	353637	
708539	140315	Stripper #1
708540	73269	
708541	123462	
708542	68062	
708542	103738	Elena
708542	252562	
708542	283140	
708542	292774	
708542	308462	
708542	379834	Trini
708542	380517	Perla
708542	381839	Guillermina
708542	383519	
708542	384126	
708542	385251	Paulina
708542	385413	
708542	386517	
708542	387817	Crisanta
708542	388568	
708542	390816	Anita
708542	395060	
708542	396394	
708542	396631	Lucero
708542	398550	
708542	402181	
708542	402540	
708542	404284	
708542	404851	Donata
708542	409011	
708542	412197	
708543	360960	
708544	68566	
708544	86451	Dancer
708545	202055	Juani
708545	378736	Cati Serrano
708545	399506	Neus Cànoves
708545	402380	Marta
708546	62014	Lotus
708546	64790	Half caste woman
708546	65431	Mrs. Minoto
708546	75659	Miss Kung, spy
708546	154785	Fely
708546	230435	Pvt. Teresa Tonoku (Hawaii)
708546	335870	Koora
708547	13182	
708547	25793	Pepita
708547	74846	
708547	76110	Teresa
708547	197338	
708547	353545	Periodista
708548	3438	
708549	352626	La princesse Vadioff
708550	377174	Giulia
708551	379889	Herminia
708552	266508	
708554	144083	Prästbarn
708555	399642	La standardiste
708556	244069	Diane
708557	21200	Lawyer
708557	30726	
708557	81597	
708557	86093	
708557	269172	
708557	269699	La Maestra
708557	315439	Renata
708557	379549	Locandiera
708557	402160	Valeria
708558	31018	Extra: Metro
708559	222856	Giornalista
708560	140289	France
708560	275611	
708561	402624	
708562	384118	Clarice (2000)
708563	62513	
708564	17387	
708565	52928	
708565	57800	
708565	350140	
708566	25045	
708566	351489	
708566	376587	
708567	148472	
708568	57747	Biker
708569	390497	Herself (4th Edition)
708570	404662	
708571	24721	
708571	68932	
708571	81453	Marie Duplessis
708571	85534	Mme Grand
708571	166099	Therese Verdier
708571	227595	Marie Walewska
708571	300695	Marie-Antoinette
708571	300735	Marie Antionette
708571	337223	Ecaterina
708571	341125	
708571	341368	La marquise de Pralognan
708571	353839	La 'comtesse'
708572	315444	
708573	214185	La fille Fleur-de-Nave
708574	238334	Juana
708575	138889	Dory
708576	355261	La secrétaire de la morgue
708577	408098	Katina Pappas
708578	284830	
708579	9615	
708579	19945	Girl with Blue Hair
708579	70011	Anabel
708579	70684	Lola
708579	101890	Julia
708579	118158	Herself - Presenter: Best TV 
708579	159533	
708579	160535	Eva
708579	163880	Herself - Presenter: Best Pro
708579	163980	Herself - Winner: Best Lead A
708579	202834	Ana Cooper
708579	205113	Maravillas
708579	221922	
708579	238755	
708579	259959	Belinda
708579	266476	Ana
708579	275067	
708579	302359	Police officer
708579	308799	
708579	322851	Paula
708579	328337	Ermelinda
708579	334699	Yoli
708579	369437	Herself - Presenter: Best Lea
708579	369989	Herself - Presenter: Best Eur
708579	369996	Herself - Presenter: Best Ani
708579	384202	Raquel
708579	386164	
708579	390722	Gloria Moncada
708579	393369	Marina
708579	403109	Petra
708580	3721	Herself
708580	156918	Herself
708580	358502	Herself
708580	381501	Herself
708580	384105	Herself
708580	403878	Herself
708581	217676	
708582	85999	Brenda
708582	132139	Bride
708582	331740	Peg
708583	186708	
708586	62043	
708586	212494	
708586	213528	
708587	324918	
708588	400341	Herself - Profesora de la Aca
708589	233359	Rebeca
708590	229213	Trudy
708590	405152	Becky (1991-1993)
708592	129916	Ginette
708593	23687	Roxanne
708593	51675	Louise
708593	72550	Agathe Phillips
708593	83237	Maggy
708593	229012	Lisa
708593	398078	Isabelle Sauvageau
708593	408883	Dorothée Leduc
708594	384645	Foquinho
708595	387901	Karina
708596	74512	
708597	295181	Segretaria
708598	209492	Media person
708599	269626	Nanny
708600	386497	Chloée Desmarais
708601	396868	Laurence
708601	407068	Laurence
708602	31950	Helen Hart
708602	54032	Lucy
708602	69137	Alicia Rogov
708602	120699	Florence Barrett
708602	138165	Anne Lansdale
708602	164493	Elizabeth Leary
708602	177667	Terrorist
708602	201787	
708602	236895	Ruth Harrow
708602	246267	Rita Baumgarten
708602	305584	Jennifer English
708602	307900	Maggie Nicoff
708602	308018	Helen Eugene
708602	310195	Chalmers (Wolff's android cre
708602	311888	Samara
708602	317451	Nicole
708602	349555	Barbara
708602	351422	Erica Mueller
708602	359963	Singer in Dance Hall
708602	364186	Herself
708602	381703	Gloria Berrenger
708602	396084	Dr. Betsy Chernak Taylor (197
708602	408749	Fran Brennan Gates (1985-1986
708603	32281	Mado
708603	124650	Nathalie Chabrière
708603	217682	Nicole
708603	228317	Florèle
708603	246291	Jeanne Roulier
708603	264525	L'educatrice
708603	346596	Betty
708603	353871	Madame Poiret
708603	357074	Charlotte
708603	409799	Julie
708604	328922	La Luna Hostess
708605	150780	Woman in Coach
708606	60524	Myriam
708606	67755	Lesbian #2
708606	84692	Jeune femme matelas
708606	105913	La prostituée
708607	358358	Casting Director
708608	153009	Young Tara
708609	367271	Kick Line
708610	18469	ADA
708610	313442	Ensign Tamara Butler
708610	375764	ADA
708611	48781	
708611	51581	
708611	83496	Primera victima
708611	275070	
708611	353557	
708613	108657	Caterina
708613	192380	Anne
708613	384618	
708614	392787	
708614	401970	Beatrice
708615	393424	Additional voices/Backup sing
708616	280653	Combat sister
708617	5967	
708617	12263	
708617	57553	
708617	64131	
708617	81628	
708617	87118	Mrs. Pratt
708617	122436	
708617	153572	
708617	173169	Aspa
708617	173170	Aspa
708617	212155	Patronne
708617	346673	Mme Fiorini
708617	355607	
708618	297558	Thug #1
708619	262286	Sona
708620	156851	Edgemont Girl #2
708621	42386	Miss Philadelphia
708622	147252	Woman in Cabin
708623	149382	Member: Three Shades of Rhyth
708624	329207	
708625	8711	
708626	302863	Woman
708627	139564	
708627	220136	
708627	299332	
708628	110967	Old Lady on Bus Bench
708628	286516	Mrs. Schtumer
708628	328584	Bank Manager
708629	329021	Perele
708630	152570	U.S. Reporter
708632	182958	Grandma Bubby
708633	49026	Fan at train station
708633	139567	Holly Taylor
708633	139841	Maggie
708633	142527	Stooge #2
708633	154943	Therapist
708633	169608	Mrs. Fish
708633	280000	Cook
708634	81694	Secretaria Saravia
708635	54344	
708636	214814	Jewish Bride (Home Movie Wedd
708637	97224	
708638	170706	Landlady
708639	187886	Mrs. Gutterman
708639	320453	Hope Levine
708641	210336	Host
708642	161708	Escort
708643	116053	
708644	177660	Sexy Senior Bowler
708645	361848	Girl in Dungeon
708646	155301	Overdressed Skier
708647	332377	Star
708648	21446	
708648	55232	
708648	109789	
708648	168541	
708648	181168	
708648	352033	
708648	375789	
708648	376189	
708649	452	Trixey
708651	216406	Dora Bloch
708652	107578	Sarah
708652	320186	
708653	138778	Annette
708653	290988	Faith Beckett
708654	93581	
708654	365282	Mama
708655	204462	Schwester
708655	409958	Karin Michels (1995)
708656	179649	
708657	106424	
708657	298085	
708659	350333	Violin
708660	316886	Young Mother
708661	203716	Annie
708661	241605	Party Guest
708661	242790	Leo's Mom
708661	271287	Jewelry saleswoman
708661	319206	Marisa
708662	54108	Saul as a young boy
708662	329021	Shloimele
708663	10930	Zee
708663	32562	Pretty Girl
708663	194992	Native Girl
708663	230361	
708663	324904	Gypsy princess
708664	68898	
708664	238296	
708665	394406	Dancer (1991-1993)
708666	51451	Petite fille loucheuse
708667	388321	Sarah Dormand (2004)
708668	78492	Herself (performing 'To hjert
708670	53830	
708670	61285	Airplane hostess
708670	214873	Mary
708670	336970	Andrea
708670	342118	Fan di Don Leone
708670	383448	Andrea Sepi (3rd series)
708670	407852	Det. Fabiana Sasso
708671	43762	Lise Élise
708672	2545	Chorus girl
708673	173516	Telegraph Operator
708674	6402	La marchande de mouron
708674	23730	
708674	30252	La vieille paysanne
708674	91972	La vendeuse de cierges
708674	107681	
708674	111366	La clocharde
708674	276508	La fermière
708675	23648	Martine
708675	31016	
708675	35233	Nanny
708675	43703	La confiseuse/The Candy Girl
708675	44575	
708675	90132	Petit rôle
708675	115376	Petit rôle
708675	128964	Petit rôle
708675	193229	
708675	217727	Madame Naurouze
708675	261777	
708675	266153	
708675	267878	La serveuse du cabaret
708675	276530	
708675	287975	Machaume
708675	377068	
708675	380436	Présidente du Tribunal
708675	389242	Maryse Melfi
708675	392894	Andrée
708675	409457	Valérie (1984)
708676	396622	La caissière du café Vauban
708677	82201	Elzbieta
708677	93598	
708677	98022	Mother
708677	270037	Miriam
708677	319741	Musician`s Mother
708677	344039	Malgorzata
708677	361076	Judge
708677	375466	Mikolaj's mother
708677	385985	Elzbieta
708678	237324	
708679	231681	
708679	401665	Wiera
708680	12969	Señora Dupasquier
708681	55942	
708681	55947	
708681	100641	
708681	208848	
708681	301886	
708682	207773	
708682	339185	Modista 2
708683	422	
708683	33264	Mme. Walter
708683	92963	Kay Murphy, cabaret singer
708683	103023	Kaiserin
708683	103064	
708683	115813	Baronin Pamela v. Sarabant
708683	121057	Madame Hartmann
708683	122769	
708683	156748	Josepha Voglhuber
708683	156998	
708683	164275	
708683	170638	Toni
708683	178612	
708683	179830	Josefine Gallmeyer
708683	188797	
708683	211113	
708683	225213	Duchess of Kent
708683	262433	Karoline Doppler
708683	272825	
708683	281091	
708683	281103	Helga Leonhardt
708683	293866	Eveline Briggs
708683	315174	
708683	345012	Fritzi Strass
708683	364890	
708684	354994	
708685	56033	Susan
708686	14200	
708687	38578	Mrs. Woodrow Wilson
708687	65502	Amanda Shamokin
708687	71578	Mrs. Swallow
708687	78032	
708687	106729	Molly Carter
708687	107388	Librarian
708687	117222	Hilda
708687	125884	
708687	133705	Voice of Mrs. Fuller
708687	157848	Mother
708687	159478	Emory's Secretary
708687	178201	Miss Higgins
708687	203001	Mrs. Tillman
708687	214187	Girl
708687	230499	Sister Agnes
708687	241309	Marjorie Huggins
708687	251279	Mrs. Garrin
708687	300312	Miss Raymond
708687	306126	Woman
708687	309607	Effie Mansfield, Maud's Old M
708687	313301	Katherine Lind
708687	319611	Nurse
708687	330598	Ann McKenna
708687	348977	
708687	358583	Eva Gerard
708687	362635	Art Gallery Patron
708688	365642	Amanda
708689	31541	Doble Leticia
708690	199393	Woman
708690	242110	
708690	255396	
708690	272532	
708691	272532	
708692	301489	Sally Oates
708692	372940	Marie Choisuil
708693	74129	Shaz Smyth
708694	66068	
708695	81033	Anne (segment "The Doll's Hou
708696	373381	Genkai (Manga Video English D
708696	411883	Genkai
708697	213662	Katherine
708698	360635	
708699	367823	Herself
708700	57557	Charlotte
708700	213654	Cafe Worker #1
708701	381806	Helen Thompson (1969-1971)
708702	169099	Opera patron
708702	207223	Anna
708702	269390	
708702	285959	Anjushka
708702	319317	Stenographer
708702	336545	Woman in a party
708702	350727	Office girl
708702	373379	Office girl with pretty legs
708703	294294	Laila Walk
708704	272894	Herself
708705	169512	Young Eve
708706	117496	Strippers
708707	33504	
708707	41324	
708707	50915	
708707	73358	
708707	108273	
708707	115725	Grace Burton
708707	177554	The Sweetheart
708707	192434	Mrs. Carey
708707	203485	Elizabeth Bradford
708707	213992	
708707	334140	Helen Crane
708708	139048	Little Billie
708708	160590	Stamp Girl
708708	161712	Classroom Girl
708709	316942	Prostitute
708710	340582	Sal's Secretary
708711	244392	Girl's Mother #2
708712	208497	
708713	84439	Filmmaker at party
708714	56545	Herself
708714	73989	Rachel Buxton
708714	157436	Classroom Student
708715	23735	
708715	26042	La vielle dame (french versio
708716	81640	
708717	175071	Vlado´s granny
708718	266349	Grandmother
708719	342246	Herself
708720	66936	Plague Woman
708720	151056	
708721	133212	Extra
708722	41237	Vicky
708722	266576	Vicky
708723	24551	
708723	105521	Junges Mädchen
708723	175289	
708723	290634	
708723	365018	
708723	410813	Dr. Kindl
708724	405209	Herself (2002)
708725	217729	La maîtresse
708726	15136	Angèle
708727	57547	
708727	62826	Madame Leminois
708727	64215	
708727	68399	
708727	100060	Josette
708727	111114	
708727	199336	
708727	253995	
708727	253996	
708728	80558	Jake's Cashier
708729	197909	La fille de Migaut
708730	394620	
708731	31499	Beach Girl
708732	339699	Kind
708733	9540	
708733	9541	
708733	102725	
708733	208497	
708734	124349	Aunt Harriet
708735	180680	
708736	35552	
708736	125314	Henriette
708737	79973	T-shirt Woman
708738	35175	
708739	5186	Herself/En personne
708740	59161	Lisa Chase
708740	188638	Gia 'Boom-Boom' Slater
708740	260902	Business Woman
708740	310112	The Database Administrator
708741	122125	Lisbeth
708742	205389	
708742	308839	Party/Offstimme
708743	66231	
708743	135051	
708743	260608	
708744	58658	Striptease Artiste
708745	92899	Une fille à l'aérogare
708746	100625	Mayor's daughter
708747	100625	Mayor's daughter
708748	92899	Une fille place Saint-Sulpice
708750	390306	Midget
708751	12206	Sister-nurse
708751	184398	Franzi
708752	42122	Lisa
708753	1432	Biker chick
708753	115083	Flashdancer
708753	331824	Marsha
708754	197433	Luna
708755	2676	Mabel
708755	9924	
708755	79187	
708755	98045	
708755	104262	
708755	119179	Annemarie/Rosemarie
708755	120154	Antonia Kollowrat
708755	125054	
708755	134809	
708755	137634	
708755	162476	Angelika
708755	165377	
708755	180340	
708755	223279	Margret
708755	259174	Frau Paulsen
708755	317611	
708755	359691	
708755	361469	Hedwig Kempenich
708755	361514	Susanne Redlich
708755	364933	Käthe Westhoff
708755	365674	Vika von Demnitz
708755	366590	Erl Bell
708755	374530	
708755	376025	
708755	379882	Frau von Zehdenitz
708756	302841	Model
708757	78933	Librarian
708758	116366	Denise
708759	10058	Invitata all ballo
708759	28760	La signora sul treno (the Lad
708759	55656	Vieille Comedienne
708759	56443	Un'Ospite
708759	64264	
708759	82917	
708759	86060	
708759	94661	Una spettatrice al processo
708759	124201	La signora Colombelli
708759	162143	Claretta
708759	175053	Una donna del circo
708759	197051	La nutrice di Barbara
708759	199444	La professoressa di geografic
708759	205038	
708759	234765	Una impiegata del banco del l
708759	260604	
708759	265197	Una donna al processo
708759	328210	La maestra Ricci
708759	377576	Una donna al ballo di fine an
708760	86334	
708760	353066	
708761	116041	Majorette
708762	92669	Rockgroup Member
708763	63099	Jeanette Scalzetti
708763	66011	Lorraine Sedgewick
708764	33557	
708765	225080	Estrella
708766	198215	Marisa niña
708767	68554	Rosaura de niña
708768	81628	Ioana
708768	157670	
708768	219417	Ilinca
708769	182977	Bride at Brunch
708770	26696	
708770	96519	La mère de Dorothy
708770	128031	
708770	161964	
708771	102872	
708772	56881	
708772	379116	Ángela Mazzini
708772	380146	
708772	383291	(2000-2001)
708772	385701	
708772	392769	
708772	392847	Anabella
708772	395487	
708772	398267	Luisa Beilín (I)
708772	398800	Encarnación Olazábal
708772	401250	Renata Álvarez-Toledo
708772	402172	
708772	403366	Bertha Ortigoza de Marco/Merc
708772	411636	Mercedes Chávez de Gallardo
708773	17084	
708773	38503	
708773	57309	
708773	265724	Donna Prassede
708773	273140	Anna Buondelmonti
708774	89850	
708775	259209	Amelia Pancarano
708776	245950	
708777	82418	
708778	21736	Saleslady
708778	243362	Erinni/Coro (episode "Eumenid
708778	252680	
708778	265462	
708778	284971	
708778	327485	
708778	406888	
708779	335528	Une fille
708780	61416	Lucienne Pelletier
708780	202592	
708781	108543	Jeune fille 1
708782	108537	Woman in white
708782	165058	Lejskova
708782	387031	
708782	410338	
708783	281214	Neighbor
708783	327763	Nurse
708784	251048	La piccola Claretta
708785	377940	Koukouli
708786	265593	Eurydice
708788	193338	Král Bori
708789	62412	Alexandra Grigorievna Sokolov
708789	82489	Natalya
708789	89798	Paranya Pitunova
708789	95609	
708789	179722	
708789	180519	The Doctor
708789	198082	
708789	198139	
708789	207560	Pelagea Nilovna Vlassovna, th
708789	215149	
708789	241008	Paskovya 'Pasha' Ivanovna Luk
708789	259066	Varvara Postnikova
708789	259886	
708789	293854	Varvara "Varenka" Vasilievna 
708789	312434	Mikhaylina
708789	320483	Midwife Zmeyukina
708789	370934	
708789	373750	
708789	374854	Prostitute
708789	375859	Mother Pinchot
708790	94670	Lica
708790	380293	Young Kim
708791	136957	
708792	52698	
708792	72074	
708792	77341	
708792	84188	
708792	90132	
708792	94700	
708792	96052	
708792	99375	
708792	133175	
708792	135423	
708792	166330	La cliente
708792	206507	Mme Scipion
708792	212154	Lola
708792	244961	
708792	248259	
708792	260939	
708792	337030	
708792	346566	La mère supérieure
708792	412165	Mme Riou (segment "Gros calib
708793	13037	
708793	58222	
708793	62818	
708793	66722	
708793	123055	
708793	153805	
708793	170291	
708793	170293	Annette
708793	205644	
708793	215537	
708793	235253	
708793	240287	
708793	251540	
708793	254091	
708793	259017	
708793	307123	
708793	319808	Gaby
708793	345116	Young girl
708794	157845	French reader
708794	187750	Dora
708794	285754	Madame de Brinon
708794	349488	Soeur Aurélie
708795	125494	
708795	189830	
708795	400341	Herself (2002-2003)
708796	57079	La directrice d'école
708796	346738	
708797	359550	Blind woman
708798	409463	Secretaria (1983-1984)
708799	51137	La chanteuse
708799	255438	
708799	378452	Irene
708800	230004	Atte
708800	269476	Pierina
708800	292969	
708801	42439	
708801	92471	
708801	177468	
708801	362534	
708802	21972	
708803	14886	Pupella
708803	53735	
708803	149554	
708803	150529	
708803	215589	Mama Victoria
708803	225397	
708803	254239	
708803	324902	
708803	339165	
708803	344124	
708803	353231	
708803	376637	Nercilia Martínez de Rivera
708803	387808	
708803	399083	Elena
708803	405242	
708804	32654	Mother at Pet Store
708804	227575	
708805	411101	Panellid
708806	54346	María Elena
708806	77392	Janice
708807	46203	
708807	82233	
708808	186670	
708808	273645	
708809	383972	Rebbetzen Sheindel Ruttenberg
708809	397878	Nira Berger
708810	157039	Herself (pianist)
708811	212427	
708812	87730	Diana
708812	101890	Olga
708812	187842	Esther
708812	328697	Vanessa
708812	345570	
708812	410257	
708813	42779	Bag Lady
708814	227123	Suriya
708815	316153	Convulsing girl/spooky vampir
708816	302160	Marcelle
708817	321104	
708818	226903	
708819	219017	Dagmar Lorne
708820	1866	
708821	16704	Chin's Girlfriend
708821	43757	Une pensionnaire (segment "Fe
708822	212397	
708823	81534	Woman in wheelchair
708823	155953	Herself
708823	254999	Travesti
708824	401791	
708824	406053	
708825	101894	
708826	393351	
708827	15306	
708827	40864	Nick Cave Fan
708827	206547	Marsinah
708827	230934	Bills Secretary
708827	284209	
708827	341088	
708828	412161	Juana Peña
708829	69023	
708829	84245	
708830	380054	Carolina
708830	380065	Patricia 'Patty' Loyola
708830	385502	Priscila Rico
708831	100385	
708832	185873	
708833	377792	
708834	98898	
708834	108627	Masked Woman #1
708834	112123	Herself
708834	296995	
708834	313972	
708835	86367	Noone
708836	389130	
708837	68643	
708837	74351	Secretaria
708837	100653	
708837	193184	
708838	107261	Jamie Bonner
708838	127679	Young Judy
708838	166671	Young Meredith
708838	194638	Paul's Sister
708838	319682	Little Mary
708838	330891	Missy (young Melissa)
708838	338297	Chloe Hanson
708838	390123	Dot
708839	320	The kissing girl
708840	65069	Herself
708840	410294	Herself - Bam's Mom
708841	339089	Chris' girlfriend
708841	355085	Virginia
708842	362426	Party Guest
708843	278082	Janet (Age 8)
708843	321884	Young Girl
708843	400554	Celine
708844	130144	
708844	141785	
708844	163038	Bolnicarka Vlasta
708844	192905	
708844	197224	
708844	348909	
708844	356072	Mirjana
708844	392903	Referentica Ivona
708844	399767	
708844	402392	
708845	215119	Zora
708846	231331	
708847	46067	Lana
708847	94015	Receptionist
708848	240924	
708849	291179	Hog Heaven hug-a-pet Farm Own
708850	7119	
708850	16686	Mrs. Chase
708850	18569	Nurse
708850	128479	Second Matron
708850	227542	Man
708850	319760	Mrs. Dinwood
708850	397222	Mrs. Osgood
708850	409250	Una Fields
708851	156683	Frau Fouquet
708851	167147	Mrs. Frencham
708851	226175	Frau Aaron
708851	350853	
708852	7155	
708852	98932	Janet Dixon
708852	388270	Liz Clark
708853	401514	Piera, Manfredi's Aid
708854	146888	
708855	16928	Zyga's girl friend
708856	403515	
708857	62331	
708857	386188	(episode "System")
708858	5720	
708859	280305	Woman in Dressing Room
708860	128154	Trish
708861	385942	Chaco, Miki
708862	200431	Margritte (19th Century Girl)
708862	405209	Frances Allen (2001)
708863	1261	
708863	10425	Woman selling flowers
708863	17525	
708863	28538	Csóka
708863	33006	Tama Shimamura
708863	64551	
708863	74393	
708863	75028	
708863	78206	
708863	79346	
708863	81339	Old Woman
708863	89480	Teréz
708863	98026	
708863	99560	Mrs. Bársony
708863	104760	Luxembourg (13th place)
708863	107831	Eva
708863	114763	Zsizsi
708863	118823	
708863	120510	Mrs. Bradley
708863	123913	Lisette
708863	138440	Professor Ravas
708863	152385	
708863	154868	Selma
708863	165123	Miss Esther
708863	175089	Hajdúné
708863	177931	Szvetics Berta
708863	182873	
708863	187951	Clo-Clo
708863	194822	Maria
708863	208301	Wanda
708863	211727	Grand Lady in Paris
708863	213756	Maria
708863	214977	
708863	227534	Kardos Judit
708863	228598	
708863	229707	
708863	253781	
708863	266547	Cindy
708863	278687	Klári, Ede felesége
708863	279743	Rosa F. 'Rosita' de Murrieta
708863	283236	Carmelita
708863	284356	Mrs. Waltz
708863	322011	Fussbaum Aranka
708863	322069	Minka
708863	322079	
708863	322105	Szerencsésné
708863	322122	
708863	322208	Erzsi
708863	322245	Mohos tanárnõ
708863	343704	
708863	343776	
708863	349486	Olga
708863	355831	Soldadera
708863	357817	
708863	364341	Roza
708863	366484	Miriamne Esdras
708863	378042	Anna
708863	401704	
708864	398217	Kika
708864	412161	Carmen
708866	46944	Chimène
708866	116439	
708866	124419	L'amie de Barbara
708867	80533	Cicely Matthews
708868	279400	
708870	100971	
708870	200398	
708871	134004	Lisa Hughes
708872	374729	
708873	35455	Susan
708874	17760	Robin
708874	49689	Gia Campbell
708874	50096	Judy
708874	67593	Theresa Goren
708874	79528	Lisa Brandt
708874	87880	Barbara Lambert
708874	101692	Wanda
708874	108287	Carol Rutledge
708874	127255	The Prosecutor
708874	133953	Mary of Bethany
708874	184696	Miriam Small
708874	185147	Karen Miller
708874	185239	Ellie Fabian
708874	219333	Esther Levy
708874	222619	Maye Walsh
708874	222653	Betty Anderson Roerick
708874	230286	Neesa
708874	239252	Inés
708874	257269	Harper-Smythe
708874	258371	Judith Longden
708874	262518	Krissie Kincaid
708874	297693	Carol
708874	323475	Louise
708874	327669	Esmerelda
708874	335480	Chris
708874	339439	Rose
708874	372882	Betty
708874	395128	Miriam Small
708874	411087	Susan Browning
708875	211136	Mathilde
708876	360794	Sillywhim
708877	205658	Nurse
708878	2009	Herself - Presenter
708878	24430	Fembot
708878	47838	Herself
708878	58542	Tennis Instructor
708878	67994	Fembot
708878	307206	Angie
708878	318743	Bikini Contest Judge
708878	369297	Herself
708878	384268	Host
708878	390545	Herself
708878	392424	Herself
708878	392732	Herself
708878	408369	Herself/Guest Panelist
708879	92324	Sally
708880	293575	
708881	105341	Bartender
708882	115161	Joe's Woman
708882	133346	Nordello
708882	297775	Lucy
708882	360150	Zombie Killer
708883	318763	Lady in Window
708884	235998	Hija de Oshi
708885	17965	Hannah
708886	69053	Club Patron
708887	41278	Dorothea
708888	52361	At the Hotel - Autograph Seek
708888	152947	La Maze Leader
708889	7549	
708889	328850	La petite fille
708889	332216	Eva
708889	345470	Marie
708889	409000	Mimi
708890	2498	Herself
708890	8183	Mrs. Mingott
708890	12295	Caseworker
708890	17935	Herself/Audience Member
708890	19138	Alphie's Landlady
708890	21550	Audrey
708890	25412	Dr. Kadira
708890	26064	Fly the Female Sheepdog
708890	26079	Fly the Female Sheepdog
708890	28708	Grandma Rosy/Extra Voices
708890	31094	Tour Guide
708890	33180	Dolly de Vries
708890	40057	Queen Victoria
708890	42725	Tony's Mother
708890	50484	Gina
708890	53764	Gisella
708890	56992	Sophie
708890	59883	Maria
708890	66912	Mrs. Beetle
708890	74311	Newsreader
708890	80379	Lady
708890	86463	Pamela
708890	93281	Signora Caldoni
708890	97347	Mabel Chilton
708890	98912	Ticket Girl
708890	100816	Mabel
708890	113515	Poll
708890	114246	Sean Seamus Aloisious Dermot 
708890	116709	(Voice)
708890	120084	Narrator
708890	128780	Jane Wright
708890	131429	Jane Powell
708890	139650	Professor Sprout
708890	146619	Melissa Tordoroff
708890	151166	Beth
708890	154446	Joey's Mother
708890	156903	Sugar Plum
708890	157040	Nanette Streicher
708890	158018	
708890	165252	The Glowworm/Aunt Sponge
708890	183370	Dorcas
708890	187081	Mrs. Goldman
708890	189277	Narrator
708890	190010	Peg Sellers
708890	191774	Flora Finching
708890	192171	Miss Amelia
708890	192268	Dental nurse
708890	194066	
708890	200521	Faye Barringer
708890	217023	
708890	219420	Doctor Wallace
708890	221006	Wilhelmina Worlock (Seasons 1
708890	222112	Matchmaker
708890	222796	Mrs. Rajzman
708890	235393	
708890	239607	Nellie
708890	243766	Vee Talbot
708890	246222	Realtor
708890	257094	Miss Cole
708890	258207	Thelma & Selma
708890	260229	Elsa Maxwell
708890	278398	Dorothy Wordsworth
708890	281150	The Nurse
708890	291067	Various
708890	291503	Jones
708890	310484	Rose Finn
708890	312939	Krupskaya
708890	313082	Elephant Ethel
708890	319239	Rose Sonnenschein
708890	360007	
708890	371131	Sarah
708890	380678	Gertrude Jekyll
708890	388249	Anna Vyrubova
708890	389266	Frannie Escobar
708890	389357	Baroness
708890	394378	Various Roles
708890	394579	Mrs. Doe
708890	395529	Nurse Hopkins
708890	396018	Queenie
708890	397891	
708890	398184	Old Elspeth
708890	400109	Mrs. Corney/Mrs. Bumble
708890	401382	Cook
708890	404134	
708890	407047	Edna
708890	407398	Maria
708890	409841	Miss Crawley
708891	314853	Verkäuferin Modesalon
708891	396285	Natalie Rohner (1999-2001)
708892	6569	Melle Gaby
708892	12366	Vivianne
708892	18317	Madame Bombel
708892	30758	Vanessa
708892	44373	Sancia
708892	45117	Nicole
708892	57751	Mathilde
708892	64228	Marion Delorme
708892	66728	Léontine
708892	70939	Karine
708892	71528	Madame Lumeau-Péricard
708892	87815	
708892	100166	Véronique, la journaliste
708892	101448	La mère de Mario
708892	106464	Véronique
708892	112874	Françoise
708892	112875	Françoise
708892	126084	Claudine
708892	153241	The farmer's wife
708892	195300	Eleonore
708892	211146	Evelyne
708892	211672	Monique
708892	231579	Mariette Savigneau
708892	235819	Daisy, Bouly's fiancee
708892	248263	La princesse Jabirovska (segm
708892	255591	Bathilde
708892	265372	Jeanne Baumont
708892	286229	Mme de Stael
708892	286896	La première dame/The First La
708892	296141	Lolita
708892	346760	Janine
708892	353863	
708892	377012	Claudia
708892	380058	Gina
708892	391934	Ottavia
708892	392753	
708892	396366	Camille (segment "Monsieur Bi
708892	397200	Sylvana
708892	404662	Julia
708893	189079	
708894	37781	Girl
708894	229441	
708894	264677	
708894	316312	Elena Alvarez
708894	327551	Le bébé
708894	334479	
708895	212213	Beauty Contest Winner
708896	170358	La cliente
708896	205610	
708897	215862	
708898	6722	Herself
708898	7061	
708898	11150	
708898	25873	
708898	36703	
708898	37421	
708898	81835	
708898	82667	
708898	82702	Beautiful Demon
708898	95803	
708898	129734	
708898	133745	
708898	178029	
708898	178324	
708898	254790	
708898	258025	
708898	261289	
708898	263798	Girl in Shower
708898	304788	19-year-old Girl
708898	305523	
708898	311367	Nun Demon
708898	317111	Bride
708898	332006	Tiffany
708898	342645	Hitchhiker
708898	353315	
708898	364669	
708898	390180	Tiffany Mellon (1987-1989)
708900	63764	Mr. Verdeccio
708901	42643	Herself
708901	78308	Herself
708901	93900	Herself
708901	93902	Herself
708901	93903	Herself
708901	93904	Herself
708901	93905	Herself
708901	93906	Herself
708901	93907	Herself
708901	93908	Herself - Queen of Denmark
708901	93909	Herself
708901	93910	Herself
708901	93911	Herself
708901	93912	Herself
708901	93913	Herself
708901	93914	Herself
708901	93915	Herself
708901	93916	Herself
708901	93917	Herself
708901	93918	Herself
708901	93919	Herself
708901	93920	Herself
708901	93921	Herself
708901	93922	Herself
708901	93923	Herself
708901	93924	Herself
708901	93925	Herself
708901	93926	Herself
708901	93927	Herself
708901	93928	Herself
708901	93929	Herself
708901	93930	Herself
708901	93931	Herself
708901	93932	Herself
708901	93933	Herself
708901	93934	Herself
708901	93935	Herself
708901	93936	Herself
708901	93937	Herself
708901	93938	Herself
708901	93939	Herself
708901	93940	Herself
708901	104762	Icelandic entry (16th place)
708901	116460	Herself
708901	119458	Herself
708901	122515	Herself
708901	164239	Herself
708901	179965	Herself
708901	179969	Herself
708901	179972	Herself
708901	179976	Herself
708901	179977	Herself
708901	179983	Herself
708901	181156	Herself
708901	181160	Herself
708901	182853	Herself
708901	206828	Herself
708901	209340	Herself/Speaker
708901	209341	Herself
708901	211228	Herself
708901	264293	Herself - Former Protector fo
708901	264295	Herself
708901	264299	Herself
708901	274859	Herself
708901	306055	Narrator
708901	315384	Herself
708901	327352	Herself
708901	333107	Herself
708901	340306	Herself
708901	376107	Herself (from "TV2 Nyhederne"
708901	376108	Herself
708901	377410	Herself
708901	377411	Herself
708901	377413	Herself
708901	377414	Herself
708901	377415	Herself
708901	382885	Herself
708901	386871	Herself
708901	387017	Herself
708901	394755	Herself
708901	394756	Herself
708902	258331	Natacha
708902	303874	
708903	334156	Actress
708904	2252	(segment "Id")
708904	306500	Kissing Quartet
708905	297190	Sorority Girl
708906	23624	
708906	44733	Bergues
708906	98346	
708906	101221	The manager
708907	50215	Germaine Lechat
708908	43965	Street bookseller, Strong wom
708908	306751	
708909	46006	Delphine
708910	329278	La seconde jumelle
708911	329278	La première jumelle
708912	56328	La segretaria di Rossi
708913	238658	Drug Park kid #5
708914	51594	
708914	194618	Monja 1
708914	215148	School girl
708914	231360	
708915	213231	Car Rental Clerk
708916	64689	Technomaniac
708916	412076	Barbie
708917	694	Herself/Host
708917	2818	Herself
708917	37010	Sara
708917	87009	Neera
708917	102247	Nurse Carol Hathaway
708917	104949	Bernadette Beattie
708917	127195	Maureen Epps
708917	146871	Helene Hanfstaengl
708917	166671	Jenifer's Psychiatrist
708917	203005	Dena Tiller
708917	231078	Louise Brown
708917	245016	Rica
708917	248491	Topsy Merritt
708917	263439	Rachel
708917	279444	Herself
708917	291971	Herself
708917	305013	Karen
708917	338564	Jean
708917	362493	Carla
708917	363335	Cathy Crimmins
708917	367883	Herself
708917	387728	Nurse Carol Hathaway (1994-20
708917	390643	NSA Agent Maren Jackson
708917	397941	Morgaine
708918	7999	Sarah
708918	16477	Herself
708918	203360	Herself
708918	372793	
708919	272026	Dinner Guest
708920	248508	Wahrsagerin
708921	399	Daniella
708922	319340	Joven fan
708923	67346	Mary
708924	119679	Brautjngfer
708925	44238	Waitress
708926	108148	Anneliese Hesselbach
708926	108149	Anneliese
708926	144357	Mary Lenley
708926	179837	Adriana
708926	180996	
708926	182774	
708926	212728	
708926	216262	
708926	216535	Maria
708926	256769	Niña
708926	281194	Jutta Hoffmann
708926	325474	Ilsemarie Lorenz
708926	325534	Dina Rositz
708926	376398	Mariane
708927	69218	
708927	71218	
708927	336605	Figlia di Ercole
708928	244563	
708928	370310	Noriko Yajima
708929	329329	Duenna (Good Neighbor Number)
708930	58052	Anna
708930	129008	
708930	227572	
708930	255127	Carolina
708930	301384	Gisella
708931	169698	
708931	179544	Ayako
708931	233106	Julie
708931	373908	Mari
708931	373909	
708932	21824	Party Guest
708932	91143	
708932	122083	
708932	180374	Misako
708932	298750	
708932	329666	
708933	90004	Council woman
708934	38780	
708935	132677	
708935	135073	
708935	300099	Woman in Cemetery
708935	400791	
708936	7318	Lola
708936	33558	Lola
708936	54147	Bianca
708936	54149	La Figlia
708936	84149	
708936	94713	
708936	112676	
708936	213883	
708936	216045	Ada McPherson
708936	219602	Mary McLaren
708936	234713	Eleonora Cosentini
708936	246417	Rita
708936	263411	
708936	275122	Henriette
708936	300786	Sonia
708937	119089	Madre di Giovanni
708937	197342	Teresa
708937	316801	Madre Miria
708939	18818	Kiki
708939	35451	
708939	78941	Naomi
708939	107833	
708939	113773	Darlene
708939	113990	
708939	114296	Rebecca
708939	124019	
708939	155861	Dancing Brunette
708939	163958	Tammy
708939	231798	Saturday Night Fever Girl
708939	234040	Chloe
708939	243341	Rachel Thorpe
708939	279494	Wanda
708939	304293	Sarah
708939	316445	Mira
708939	317297	Woman
708939	321688	Young Alana
708939	400399	Rachel Thorpe
708939	409943	Venus
708940	82590	La portera
708940	152250	
708940	328642	
708941	210837	Helena
708941	228714	Dr. Michele Ang
708942	33444	
708942	355654	Wanda, la generica
708943	164186	
708944	96415	Druidess
708944	121347	Rita
708944	130487	Miki Fujiyama
708944	145646	
708944	156364	
708944	323269	
708944	394032	Princess Chimera (1984)
708944	394972	
708944	397969	Maya
708944	406964	Rie 'Rita' Endo (1972)
708944	407106	Rita
708944	412285	Mariko (1982-)
708945	80926	
708946	335264	
708946	347488	
708947	16867	Silvia Prinzivalle
708947	90699	
708947	354443	
708948	125760	La biondina
708949	242244	Otsuta
708949	375633	Otane
708949	375635	Ofude
708950	155667	
708951	70779	
708952	110757	
708952	198585	
708952	344573	
708953	345567	
708954	700	Little Peaches
708954	165853	Lola
708954	171072	Roxy
708954	188963	Nefertiti
708955	210185	Yuri Yamamoto
708956	21655	Barbara
708957	345567	
708958	1273	
708958	6907	Miss Walker
708958	9540	
708958	45741	
708958	75040	
708958	137699	
708958	155953	Herself
708958	172747	
708958	212162	
708958	228532	
708958	253755	Herself
708958	265712	Joaquina
708958	285189	
708958	322097	
708958	381913	Participant (2002)
708959	147009	
708960	267640	Cousin
708961	352159	
708962	237209	
708962	344712	
708963	197989	
708964	53889	
708964	95325	
708964	377607	
708965	529	
708965	13661	
708965	55312	
708965	55344	
708965	61338	
708965	67659	
708965	67664	
708965	91151	
708965	104497	
708965	106228	
708965	110642	
708965	110667	
708965	122240	
708965	208520	
708965	212059	
708965	261197	
708965	269535	
708965	275023	
708965	278585	
708965	278616	
708965	282814	
708965	283255	
708965	286578	
708965	333693	
708965	357197	Interviewee
708965	382676	Herself
708965	384117	Herself
708966	219241	Mariana
708967	24312	Knacha
708968	383518	
708969	322265	
708970	100723	
708971	133056	
708971	212135	
708971	267524	
708971	344704	
708972	388364	Herself
708973	53889	
708974	85524	
708974	158827	
708975	130111	
708975	249743	Pige i kollektiv
708975	373433	Telescreen Operator
708976	64367	Guardian Angel
708977	136848	
708977	350166	
708978	383561	
708978	392629	
708978	398856	
708978	404078	
708978	409937	Rosaura
708979	100723	
708979	344721	Rita Maria
708980	357408	Singer/Isidora's voice
708981	55343	
708982	233841	
708982	409925	
708983	234614	
708984	96508	
708985	14966	
708985	70763	
708985	85514	
708985	101575	
708985	255798	
708985	256372	Wanda
708985	263268	
708985	269115	Alice
708985	319626	
708985	341133	
708985	402108	
708986	108879	Herself
708986	388417	Reporter/Host
708987	122308	Madalena
708987	246593	Gracinha
708987	260976	
708987	268301	Suzana
708988	30513	
708988	55776	
708988	89398	Little Girl
708988	99942	Brunélia/Mariana
708988	143485	Première vendeuse
708988	233553	Mother of Young Woman Trying 
708988	265712	Maria do Mar
708988	294723	Inês
708988	352850	
708988	388683	Emília
708988	398881	
708988	399872	Simone/José Maria 1st ex-wife
708988	402625	Joana
708988	409026	Amélia Castelo Branco
708988	409423	
708989	380089	Regina's servant
708989	398501	Cleide
708989	404915	Lena
708990	274904	
708991	41867	
708992	363488	Floozy
708993	41211	Party Guest
708994	148472	
708995	214629	
708995	234627	
708996	61345	
708998	210691	
708999	71431	
709000	344760	Lena
709000	398360	Adelaide
709002	354988	Maninha
709003	67659	
709003	125783	
709004	25158	
709005	43440	Mariana, the widow
709005	58070	Suzette, Lopes' friend
709005	74139	
709005	212162	
709005	288273	
709005	339674	
709005	392261	Rosalina
709005	395865	Dores Venâncio
709005	400095	Zulmira Cunha Guerra
709005	402242	
709005	407867	
709006	125787	Denise
709006	269214	
709006	379646	Lene
709006	380089	Rosinha
709006	380525	Marina
709006	381591	
709006	382676	Leonor
709006	383293	Dora
709006	383717	Sílvia
709006	386214	Sofia
709006	386215	Veridiana
709006	386377	Flávia
709006	386420	Teresa
709006	392846	Marina
709006	393791	Júlia
709006	397550	Walquíria
709006	398502	Andréa
709006	401897	
709006	402455	Margarida
709006	402568	Veridiana
709006	410053	
709006	412305	
709007	61338	
709007	147339	
709007	222191	
709007	377605	
709007	395366	Sílvia
709007	398362	
709007	408315	
709008	133036	
709008	410188	
709009	25769	Bar owner
709009	245480	
709009	344735	
709011	353632	
709012	14705	
709012	215939	
709012	263929	
709012	355131	Marli
709012	377603	Cristal
709013	380386	Beatriz
709013	382724	Zilda
709013	383130	Elisa
709013	383550	Maria
709013	383727	Corina Diniz
709013	384480	Edna
709013	384991	Roberta
709013	385030	Vânia
709013	386730	Rosália
709013	387052	Hebe
709013	388065	Alícia
709013	388562	Maria Rosa
709013	389643	Jerusa
709013	389887	Joana
709013	392793	Branca
709013	393832	
709013	393977	Augusta
709013	395822	Bia
709013	396610	Antônia (1995)
709013	396741	Vanessa
709013	396847	Maria/Maria Dusá
709013	397393	Miriam
709013	397539	Berenice Castro
709013	398220	Carolina
709013	398361	
709013	400094	Olívia
709013	400580	Patrícia
709013	400662	
709013	401104	Ximena
709013	402109	Tula
709013	402149	Helena
709013	403219	
709013	404271	Cíntia
709013	404814	Soninha
709013	405936	Elisa
709013	406833	Emiliana 'Nana'
709013	407872	Donana
709013	408944	Soledad
709013	409426	Terezinha
709013	410096	Gema
709013	410190	Adélia
709014	218924	
709014	285004	Emília
709014	400703	
709015	12505	
709016	42564	
709016	131127	
709016	201986	Woman resident
709016	272289	Mother
709016	302048	Marta
709016	307810	Maria
709016	353652	
709016	380962	Raquel
709016	381084	Perpétua
709017	127721	
709017	155177	(segment "Ibrahim do Subúrbio
709017	403083	Young Marisa
709018	353926	La première infirmière
709020	282268	
709021	55112	
709022	169709	
709023	23621	
709023	103049	
709023	224971	
709023	393792	
709024	55236	
709025	280622	
709026	72774	Cameo
709028	132217	Heidi
709032	212132	
709032	263121	
709032	320415	
709033	143479	
709034	252348	
709035	9933	
709035	23459	
709036	211911	Berengere
709037	284180	
709038	181304	
709039	2434	
709039	7546	
709039	7750	
709039	11621	
709039	29955	
709039	41588	
709039	41640	
709039	54566	
709039	58823	
709039	59904	
709039	97118	
709039	107276	
709039	125584	
709039	127405	
709039	142912	Herself
709039	149250	
709039	153547	Taavi's "Mother"
709039	181304	
709039	192383	
709039	223675	
709039	242555	
709039	242556	
709039	255157	
709039	255158	
709039	255160	
709039	296338	Strip Dancer
709039	302881	
709039	303187	
709039	303211	
709039	306911	
709039	306923	Herself
709039	319330	
709039	323084	
709039	326938	
709039	330054	
709039	352939	Maria
709040	26051	
709040	75030	
709040	75031	
709040	75059	
709040	87236	
709040	123275	
709040	139261	
709040	178321	
709040	273300	
709040	293946	
709040	391998	Modelo
709041	259868	Ruth Miller/Ann Miller, her m
709042	114384	Reddas friend
709043	24602	Heidelinde
709043	38765	Connys Freundin
709043	125275	Frl. Lorenz
709043	144175	Mia
709043	156687	Maggie
709043	174258	
709043	197098	Frieda
709043	227550	Isabel
709043	259534	Marlies Schmauch
709043	259662	
709043	285001	Gräfin von Teschen
709043	312640	Sigrid Merz
709043	325890	Claudia Peuckert
709043	338442	Helga Scholz
709043	348056	Harriett Koenig
709043	352604	Marie, Magd
709043	364939	Lena Mahler
709043	377367	Rita
709043	377370	Rita
709043	379362	
709043	386905	Claudia Sommerfeld (1997-1998
709043	391152	
709043	397766	Mrs. van der Meer
709043	406225	Rita
709043	411100	Martine Menuet
709043	412212	Rita
709044	78900	Maria
709045	78780	Doctor
709046	79929	
709046	165640	Karl
709046	332912	
709046	354634	Ioana
709047	265738	Beth
709048	236056	
709049	16808	
709050	14922	Cíntia
709050	57443	Talita
709050	384866	Diana
709050	396126	Patrícia
709050	401104	Olimpia
709051	7037	Becky Thatcher
709051	59109	Roslyn Flexner
709051	65146	
709051	77850	Beautician
709051	87007	
709051	137693	Pincushin-secretary
709051	158314	
709051	296842	Lois
709051	323970	Rhonda/Elderly Woman (voice)/
709051	374573	Maid
709051	403907	Additional Voices
709051	410988	Additional Voices
709052	91388	
709053	390300	Laurita Prado
709053	395854	Marcela
709053	403690	
709054	26559	
709054	183206	Manisah
709054	227946	
709054	268001	
709054	332752	Hamidah
709055	404712	Luli
709056	159536	
709057	290697	Nurse
709058	97940	Girl on Treadmill
709059	223084	Violin Student (1998)
709060	133181	
709061	159685	Herself
709062	174975	
709062	390430	Diana de Monsoreau
709062	409520	
709062	409521	
709063	90004	Nurse
709064	1145	Restaurant Guest
709064	26666	Questioning Bride
709064	97644	Meg
709064	115943	Fan With Broken Leg
709065	69378	Petite fille
709065	94339	Albertine
709065	96141	Véronique
709065	99369	
709065	110157	Mathilda
709065	112819	Celine
709065	356388	Camille Decourt
709066	24889	
709067	14943	Dandara
709067	232767	Alice
709067	341146	Maria Pia
709067	386123	Xana
709067	396610	Isadora (1998-1999)
709068	280744	Vedova Assante
709069	54005	
709069	90748	Margherita
709069	200835	
709069	270842	Gina
709069	291693	
709069	294255	Clara
709070	214629	
709072	295146	
709073	14349	Maria
709073	20861	Rosie
709073	28681	Cricri
709073	86786	
709073	104249	Tatiana
709073	116472	L'amie
709073	116476	L'amie (segment "Folle de mec
709073	170360	Marion
709073	214987	
709073	217827	Social worker
709073	257151	Adeline
709073	294601	
709073	346760	L'Hôtesse salon
709073	356362	La femme de Bruno
709074	196702	
709074	215433	Staff Redacción
709075	282105	
709076	8285	Samantha
709076	56300	Adalgisa
709076	111891	
709076	293318	
709076	401970	Gloria Monetti
709077	56926	
709077	260890	
709078	18504	
709078	104752	Greek entry (5th place)
709078	129784	Marianna
709078	135369	Zaira
709078	183104	
709078	215305	Margo
709078	231569	Waitress
709078	258151	Matinka
709078	403132	Herself
709079	333120	Person of the Night
709080	240819	Suzette Williams
709081	90117	Nun
709082	342148	
709083	120138	Woman at Kvinnogillet Dinner
709083	190821	Member of 'Kvinnogillet'
709083	410281	Fru gradin
709084	133056	
709085	77679	
709086	220865	Josie, as a girl
709087	54333	Amélia
709088	137294	Model #4
709088	289731	Eva, 12 år
709088	355545	Agnes as a child
709089	18567	Danseres
709089	263934	
709090	188453	'Dislike' Girl
709091	87086	
709092	393859	Karoline
709092	405401	
709093	17716	Charlotte Marcieux
709093	294891	
709093	353913	
709094	101547	Girl in disreputable bar
709094	104759	Dutch entry (13th place)
709094	228249	Herself
709094	228252	Herself
709094	305387	Carmen
709095	173625	
709096	16320	
709096	164849	Goca
709096	205797	
709096	217391	
709096	263256	Lenèa
709096	312426	
709096	344256	
709096	375034	
709096	390660	Goca
709097	345943	Marion's Ex-Wife
709098	315846	
709098	382431	
709098	386407	
709098	386526	
709098	394813	
709099	1888	Barbara
709100	199466	Nurse
709101	329151	Bille Anne
709101	339834	Blonde on Bus
709102	61767	Rosa Nock
709102	65452	Arlene Riley
709102	121487	Aunt Mabel
709102	121550	Lois
709102	158354	Mrs. Jennings
709102	186681	Mrs. Hawkins
709102	193718	Ellie Thelma Betty Lou
709102	253010	Farmer's Wife
709102	255273	Mrs. Potts
709102	283739	Mrs. Guggenheim
709102	297914	Mrs. Johnson
709102	302219	Mom (Meg)
709102	313778	Adult Pauline narrator
709102	343020	Melba
709102	411355	Mama
709103	18975	
709103	108057	
709103	108535	
709103	193189	
709103	204739	
709103	207736	
709103	256658	
709103	266669	(segment "Una cena de navidad
709103	266886	
709103	383827	Dominga
709103	386795	
709103	387551	
709103	393986	
709103	396880	Corazón
709103	396898	Dolores
709103	398522	Caridad
709103	408586	
709103	408860	
709104	231266	
709105	57468	
709105	154937	Fille casting
709106	131086	
709107	91065	Herself
709107	104772	Croatian entry (17th place)
709108	349684	Branina cerka
709109	109715	Hospital Receptionist
709109	164867	
709109	229745	
709109	260356	1st Journalist
709109	263056	Ana's Mother
709109	267667	
709109	267947	Ljubavnica
709109	394876	
709110	32210	Eve Harrington
709110	68055	Janet Eaton
709110	75600	Miss 'Smitty' Smith, Crandall
709110	92523	Mrs. Brownlee
709110	139214	Laura Britton, a Playwright
709110	154355	Undetermined Role
709110	168681	Miss Mines
709110	169889	Mrs. Maria Horton
709110	190065	Millicent Bonham
709110	193733	Baroness Cambrell
709110	199217	Sheila Lane
709110	224237	Mrs. Priscilla Anstey
709110	224273	Riette Van Orman
709110	237575	Cora O'Shaughnessy
709110	239515	Julie Broadbank
709110	249267	Anna Gregg
709110	289409	Owner of Dress Shop
709110	308022	Mrs. Fielding
709110	329903	Agnes Grant
709110	330889	Ruth Howland
709110	345958	Mme. Burke
709110	366947	Baldwin's secretary
709110	367447	Nina Tennyson
709110	367857	Carol Coulter
709111	244923	Miss Picard
709112	158673	Thea
709112	217642	La jeune infirmière
709113	11253	
709113	48681	
709113	93612	Mo
709113	97647	
709113	104748	Monegasque entry (8th place)
709113	163373	Herself
709113	184772	
709113	380971	Herself (1st Banished, 3 days
709113	381912	
709114	124502	Guest
709114	311831	Sara
709115	177001	Rachael
709116	231426	Stacie
709117	30866	
709117	183922	
709117	247262	
709117	251737	
709117	301484	
709117	308874	
709118	170745	
709119	18207	Club Patron
709120	386618	Contestant
709121	193325	Carmen Eva
709122	33988	Eufaula Roop
709122	315271	Nightclub Singer
709122	319734	Fisherman's wife/Pink bikini 
709123	93712	
709123	121555	
709123	305233	Ann
709123	323943	Violet
709123	349388	
709124	233702	
709124	293024	
709124	317592	
709124	365133	
709125	171310	Masseur
709127	189384	
709128	387605	Dancer
709129	97517	Frieda
709130	105901	Venus/Courtesan
709130	110980	Girl Toy/Meditation Woman
709130	125425	Herself
709130	257673	Herself
709131	340033	Cupid
709132	245137	Hooker #2
709133	200371	Ursula
709134	192340	Cocktail Waitress
709135	56546	
709136	208078	
709137	324518	Kendra
709138	160235	Majorie
709138	227032	Sam/Samithia
709138	296234	Carol
709139	18623	Cindy
709141	159201	Angie
709141	284530	Store Employee
709143	107848	Cigarette Girl
709144	111097	Une convive
709145	140291	
709147	350347	Sally
709148	1018	Joan Zevo
709148	77793	Theresa Lopez
709148	109439	Liz Shelby
709148	162820	Connie Sealle
709148	185398	Rosa
709148	190373	Herself
709148	223871	Toni Sanchez
709148	286228	Dancer
709148	293108	The Neighbor
709148	293744	Marcela Quintanilla
709148	336301	Yolanda
709148	346370	
709148	380000	Nina Gonzales
709148	386437	Penny Johnson
709148	389917	Angie Lopez
709148	392421	Herself
709148	392423	Herself
709148	392424	Herself
709148	404282	Nikki Alvarez (1989-1990)
709148	409567	Gabriella Diaz
709149	60866	
709150	899	Doreen
709150	108586	Heather
709150	218555	Biddy McCabe
709150	363583	Sarah
709151	321526	Piper Girl
709151	364164	Carol
709152	292307	Secretary
709153	313382	
709153	329477	Girl One
709154	217701	Neighbor
709154	268386	
709156	75028	
709156	123815	
709156	123857	
709156	363949	
709156	402215	Herself
709157	24734	Elisa
709158	111384	Lucienne
709159	160722	Vendeuse
709160	147791	
709160	147792	
709160	292497	Lisa Ann
709161	321040	
709162	60776	
709164	85630	Assistant
709164	320283	Correspondence 2
709164	368772	Herself
709165	249358	
709166	84100	Priscilla Davies
709166	135326	Cassandre
709166	158829	Yette
709168	270433	Sarah
709168	359827	
709169	189987	Stripper #1
709170	24476	Teen Maria - Elliot's Film
709171	26477	
709172	71477	Sophie
709173	14241	Counselor
709174	14157	Karen
709175	158275	Maid
709177	400666	
709178	72664	Grahame's Mother
709179	358486	Woman on Roadside
709180	16753	Jackie
709181	335463	Dancer
709182	162845	Lyn
709184	205152	
709184	266378	
709184	306941	Zoé
709185	78991	Rachel
709185	84943	Samantha
709185	191051	Heather (Age 7-10)
709185	215860	Child at Party
709185	221136	Secretarial Elf
709185	272602	Kimberly Pear
709185	290375	Patty
709185	355343	Donielle at 8 yrs. old
709185	384586	Pam
709185	392244	Scarlet
709186	400533	Eve Eldridge
709186	404002	Judy Johnson (1978)
709187	114008	Laura
709187	173318	China Doll
709188	232460	Baby Jacob
709189	39752	
709189	72360	
709189	75033	
709189	123823	
709190	63021	
709190	128338	
709190	290377	
709190	331380	
709190	339766	
709190	401923	
709191	379831	Allyson #4 (1991)
709192	50390	
709192	113687	
709192	240551	
709192	240556	
709192	312703	
709193	319709	Mary
709194	106409	Girl Watching A Fish Tank
709194	273298	
709194	305231	
709194	321242	
709194	326729	
709194	372813	
709195	321275	Tishona
709196	126619	Extra Talent/Cage Guest (segm
709197	155880	
709197	226994	
709197	310025	
709199	72410	Police woman
709199	90154	Stripper
709199	122778	Nicole
709199	230343	Dominatrix
709199	257696	Dancer
709199	314766	Nicole
709199	315887	Mocha girl/bodyguard
709199	345788	Kat
709200	88660	Judy
709200	175139	Kathy
709200	178692	Mother
709201	10670	Office Xmas Party Guest
709201	31885	
709201	59915	Claire Oberon
709201	97360	Vampira
709201	120427	Myrna
709201	155927	Judy
709201	188351	Herself
709201	206488	Martian girl
709201	257296	Nova
709201	304862	Ichabod's Mother
709201	323148	Kitty
709201	368479	Match Girl
709201	388077	Host (2001-)
709203	80374	Hitchhiker
709203	280653	Bod sister
709203	389858	Jennifer Smith #1 (1980)
709203	397938	Angel
709204	1267	
709204	33034	
709204	75031	
709204	150107	
709204	235417	
709204	235418	
709204	264814	
709204	326875	
709205	381913	Participant, 5th out (2002)
709206	159085	Red Deer at the Age of Eight
709207	18979	Whiz Kid's Mom
709207	108919	Social Club Woman #2
709207	248132	Sentinel Receptionist
709207	248884	Woman Teacher #1
709207	272234	Woman at Party
709207	311428	Girl at Wedding
709208	97644	Party Girl
709208	269658	Waitress
709209	8944	La domestique
709209	21170	La mère de Rimbaud
709209	48003	La vieille femme
709209	51107	La grand-mère
709209	52909	Victoire
709209	54393	La vieille dame
709209	58409	La dame qui se perd
709209	78406	Marie
709209	94536	
709209	109408	La vieille dame
709209	120989	Ida Faber
709209	124057	Gouvernante de Weber
709209	153885	
709209	169980	
709209	240057	La grand-mère
709209	251815	La mère de Sovejg
709209	261820	Élisa Agée
709209	264953	Mère Tisserand
709209	275635	
709209	300670	
709209	345297	Henriette
709209	345558	Ophélie
709209	346417	Albertinie
709209	352011	Madeleine
709209	355513	
709209	376987	Marie Cadeau
709209	386803	
709210	78182	Dancers In Club
709212	363224	Girl on Dock
709213	347322	
709214	156460	Night Club Dancer
709215	269850	Jana
709216	151187	Cindy Zagarella
709218	84808	
709218	84809	
709219	216803	Lily White Girl
709220	90161	Dolores
709221	126538	Illegal Alien (segment "Born 
709222	105905	Janice
709223	58758	
709223	83301	
709223	346598	
709224	391900	Anita
709225	6251	Herself
709225	9891	The Secratary
709225	22961	Herself
709225	26408	Herself
709225	26732	Herself
709225	36751	May Gordon
709225	46818	Alma Bellock
709225	48115	
709225	52007	Mitzi Glass
709225	57492	Herself
709225	60164	Ida Bracken
709225	80479	Margaret Kirby
709225	90437	Annie
709225	147853	Herself
709225	160930	Herself
709225	164571	Doris
709225	194687	Clara
709225	197528	Mrs. Schmeckler
709225	202997	Sister Mary
709225	210662	Housekeeper
709225	220848	Herself
709225	271807	Herself
709225	271814	Herself
709225	287210	Car saleswoman
709225	299288	Herself
709225	300304	Mrs. Tingle
709225	302638	Herself
709225	319951	Cameo
709225	320017	Herself
709225	330818	Herself
709225	335807	Betty Dillon
709225	337285	Rose Marie
709225	350906	Herself
709225	366738	Mrs. Moses
709225	368032	
709225	386778	Myrna Gibbons (1969-1971)
709225	391039	Mitzi Balzer
709225	391827	Herself
709225	391950	
709225	398732	Bertha
709225	402964	Herself
709225	404531	Mrs. Edna Bracken
709226	106335	Pedicurist
709228	123702	Kris' Mother
709229	56571	
709230	22596	Zoe Dodd
709230	318866	Funny Girl
709231	355513	Princess Kathlyn, mistress of
709232	37691	Jenny
709233	258285	
709234	107504	Judith
709235	128638	
709237	2626	Herself
709237	3297	Performer
709237	403493	Herself/Judge
709238	212624	Vivi Stein
709239	41213	Katie Pershing
709240	70198	Receptionist
709241	240497	Fille du bus 2
709242	325898	
709243	2800	
709243	9852	Herself
709243	13119	
709243	30242	La chanteuse
709243	33268	
709243	33581	Prostitute
709243	38084	Miss Peggy
709243	44998	
709243	45000	
709243	55784	
709243	57397	La chanteuse
709243	62945	
709243	64220	Henriette
709243	64444	Madame Cinq de Canne
709243	66213	
709243	71952	
709243	79401	Duquesa
709243	83248	
709243	84639	
709243	91972	La chanteuse
709243	94843	
709243	96080	La cliente bourgeoise
709243	96396	Mme durban
709243	101181	La réceptionniste
709243	108884	Marquise de Langrune
709243	123478	
709243	123481	Marilyn
709243	128755	
709243	129879	
709243	156564	
709243	160068	La chanteuse
709243	161581	
709243	164198	Bijou-Love
709243	166565	Card Players
709243	174635	
709243	175761	L'entraîneuse blonde
709243	188753	Alice Munroe
709243	190796	Patient
709243	214809	Simone Richard
709243	227526	
709243	243021	
709243	248055	Mrs. Lefèvre
709243	248931	Mme de Luynes
709243	257715	Herself
709243	258529	
709243	272355	
709243	280515	L'aïeule
709243	281306	
709243	283044	Vocals
709243	302161	
709243	308293	La grand-mère
709243	308304	Zita
709243	309748	Colette Malingret
709243	309823	Yasmin
709243	343577	
709243	345403	La rédactrice
709243	362108	Marie
709243	376580	La belle mère
709243	377792	
709243	377839	
709243	395893	Herself
709244	19100	Suzanne Blanchette
709244	23905	
709244	29813	Mme. le Kerdec
709244	45758	La détective
709244	47262	
709244	51199	
709244	63643	
709244	66716	
709244	71805	Madame Martigny mère
709244	73471	
709244	101149	
709244	112817	
709244	113231	
709244	142672	High Priestess
709244	155778	
709244	166196	Madame Duchêne
709244	168180	
709244	202705	
709244	211528	Marie-Louise
709244	217404	
709244	217685	
709244	219520	
709244	224483	
709244	234288	
709244	236199	Sa soeur
709244	243758	
709244	245957	
709244	249090	
709244	254049	L'ogresse
709244	260946	Madame Darrier
709244	261018	
709244	268312	
709244	272387	
709244	280519	
709244	281826	
709244	286048	
709244	317558	
709244	324160	Maria Fedorovna
709244	332204	
709244	340151	
709244	345368	
709244	349743	Mme. Kurtner
709244	355264	Servant
709244	364368	Girl in dream fantasy
709244	376994	Mme. Lintz
709244	377010	La mère de Lucie
709244	377460	
709244	384866	Béatrice
709244	387560	La mère
709245	52892	Paola
709245	54153	
709245	54159	
709245	197334	Teresa
709245	223317	
709245	324076	INfermiera
709245	349935	
709246	3520	Sonia
709246	354847	Novia Erick
709246	372477	
709246	386787	Lourdes
709246	407529	
709247	257168	Karen Fuller, Bill's Daughter
709247	313818	TV Interviewee
709247	331309	Sandy
709248	43440	Bina, Bento's daughter
709248	113975	
709249	259868	
709250	217219	
709250	343541	
709251	35162	
709251	50789	
709251	234279	Alexa
709251	264748	(special edition only)
709251	411623	Diane
709252	95262	
709252	221558	Maria Fuentes
709253	377044	
709254	235264	Chantal, la serveuse
709255	112119	
709255	190079	
709255	371276	Infirm girl
709255	381156	
709255	390244	Olga
709255	391109	Olga
709255	401916	
709256	78015	Courtesan
709257	94638	Rosa
709258	89572	Woman at Castle
709259	84616	La femme malfrat
709260	238601	Lilly Wellington
709261	71004	
709262	26777	Caroline
709262	185748	Jill Henderson
709262	306102	Prologue
709262	332039	Laurie Detweiler
709262	368033	Pauline Grimm
709263	15181	
709263	149282	
709263	400217	Gina Rodriguez (1997-1999)
709265	160760	Star gazer
709266	29147	Banduk
709266	32482	
709266	51746	Banduk
709267	16950	
709267	264801	
709268	201303	Yumi Hanazono
709268	396487	Yumi Hanazono
709269	8133	
709270	10270	Amanda
709270	101631	Viulisti
709270	146617	Travel Agent
709271	100841	Pornstar #1
709271	341136	
709272	405596	Gail Rice
709273	207961	
709273	253713	
709274	104853	
709275	23527	
709275	148769	
709276	41171	Girl in Church
709276	274200	Kasandra Kay
709276	390121	
709277	35282	
709278	329326	
709279	166381	
709279	184824	
709280	54165	The Mother
709280	169713	
709280	371087	Susie
709280	372238	Telephonist
709281	10761	Julie
709281	24201	La prof de philo
709281	218255	Voisine train
709281	243082	La prof
709281	336985	Témoignage "mère"
709282	125264	
709282	370006	Yu
709282	370705	Minami no Onna
709283	344524	Herself
709284	104779	Romanian vote presenter
709285	70169	Darco
709285	87418	Teacher
709285	142809	Linda Keith
709285	291252	Screaming Townsperson
709285	344484	Woman at Mall
709285	350437	Neighbor #1
709286	104066	Minerva
709286	218914	
709286	387832	
709287	101266	
709288	103301	Agent Hynde
709288	163334	Laura Baxter
709288	183872	Woman #1
709288	253352	Reporter #2
709288	253363	Female guest
709289	185822	Herself
709289	378910	
709289	402397	Correspondent
709290	229441	
709291	146751	Herself - Speciality Dancer
709291	203636	Juanita
709291	247359	
709293	51864	Mother of Bebo's Girlfriend
709294	381890	Herself
709294	381911	Herself (2000)
709295	387088	
709296	65523	Graciela
709296	147967	Camila
709296	181534	Mrs. Cara
709296	279845	Cop with Body Armor
709297	312151	Spy Girl
709298	82757	Julie Crafton
709299	239284	
709300	383438	Josefa
709301	20999	Herself
709302	14766	
709302	25102	
709303	73276	
709304	383392	Flora
709306	1145	Maggie
709306	35720	Herself
709307	55344	
709309	132735	
709310	211132	
709311	63806	Dancer
709312	60273	Gloria
709312	60274	Princess II
709312	124349	January
709312	194406	Commie Lady
709312	201781	Herself
709312	231386	Blonde in Car
709312	330409	French Girl #2
709314	227762	
709314	357364	
709314	357556	
709315	260783	
709316	196617	Beatrice
709317	10144	Céphise/La Gloire
709317	33581	
709317	55090	
709317	68609	Capoeirista
709317	119970	
709317	167188	Saskia
709317	359568	Keo
709317	384780	
709318	21435	
709319	320689	La Lagarta
709320	682	Rhonda, the Eyebrow Picker
709320	149440	Mouse
709322	123729	
709323	69985	
709323	351611	
709324	296261	McClurry
709325	195611	Jan Marina
709326	384992	Sofia
709326	411603	
709329	151055	Muslim nurse
709330	63931	
709331	12827	
709331	55075	Nina
709331	104166	
709331	222146	
709332	196387	Sister Marina
709333	100723	
709334	182958	Ugly Ass/Sexy Hot Girl
709334	279460	Tour Group Member
709334	412257	
709335	327776	Barbara Coldwell
709336	235338	
709337	296677	Bridget's Mother
709338	404950	Elena Visinescu
709339	65611	
709339	101930	
709339	402577	
709340	330446	Elementary Girl
709341	1293	Zouzou
709341	11834	
709341	14360	Tina
709341	19106	Thérèse
709341	46169	Nicolette, Princess Isabelle'
709341	66804	Martine
709341	68922	Marion
709341	123686	Marie
709341	154434	Prostitute
709341	163820	La première fiancée de Al
709341	193442	Alice
709341	200959	Julie
709341	213840	Lisa
709341	218478	Patty
709341	243345	Léa Stagnari
709341	251007	Paulette Gulderbilt
709341	255583	La femme de chambre
709341	261434	University Secretary
709341	283043	Mathilde
709341	336974	
709341	396804	Charlotte Miquel
709342	3991	Elizabeth
709342	226894	Peggy
709342	291220	Laura
709343	213186	Tania
709343	287254	
709343	287586	
709343	409529	Claire Saint-Alban
709344	223114	
709344	248865	Inma
709344	398088	Nieves
709345	323584	Woman in Gallery
709346	6452	
709346	104749	Greek entry (11th place)
709346	180947	Hershelf
709346	393051	Marika Souez
709347	84808	
709347	84809	
709348	328320	
709348	351297	Maria
709349	93956	First Maid
709350	390497	Herself (2nd Edition)
709351	102429	Sisina
709352	40631	Girl in Bikini
709353	165516	
709353	383561	
709353	404912	Nicinha
709354	338715	
709355	14378	
709355	93956	First Maid
709355	363490	Lady Clarissa
709359	159599	Le mannequin fnac
709360	28233	
709360	57237	
709360	65013	
709360	112700	
709360	158630	
709360	160647	
709360	294651	
709360	345019	
709361	95124	
709362	83531	
709362	205596	Mirabela
709363	89977	Simina
709363	177035	
709363	250879	Mouthy
709363	273905	
709363	346546	Arlette
709363	346673	La nouvelle assistante de Lau
709364	161531	
709365	14706	
709365	100431	Valérie
709366	359848	Catherine
709367	128277	
709367	379098	Helena
709367	387104	
709367	387424	Maria
709367	389587	Zuleica
709367	392629	Maria Rita
709367	392846	
709367	397198	
709367	398502	Luiza
709367	405401	
709367	409902	
709367	410053	
709367	412257	Marion
709368	53889	
709369	14936	
709369	70763	
709369	166376	
709370	17381	
709371	334575	
709372	400678	Lindaura
709373	18792	Judite
709373	28589	Ricardina
709373	57287	Cristina
709373	89399	2nd Friend
709373	99405	Dan
709373	112761	
709373	113681	Inês
709373	121294	Marília
709373	155551	Mario's Friend
709373	201145	Teresa
709373	204809	
709373	205719	Lucia
709373	209515	
709373	233553	
709373	268940	Madame Duhamel
709373	269569	Lurdes
709373	276100	Claudia
709373	344886	Paula
709373	384995	Mercedes
709373	386523	Fernanda Palma de Carvalho
709373	386567	Various Roles
709373	390489	Ana Maria Cardoso Ramos
709373	408405	
709374	195115	Alice Mary/Alice D.
709374	246026	
709374	408414	
709375	97647	
709375	334575	
709376	393711	Herself/Jornalista
709377	205696	
709378	168114	
709379	75252	Herself
709380	127941	
709381	277811	Martina
709382	76812	Jam
709382	222110	Mariel
709382	287062	
709382	398494	Mariel
709383	289372	Featured Extra
709384	3916	Marthe
709384	19197	L'inspectrice au magasin
709384	25083	Marguerite
709384	54037	
709384	59213	La femme du seigneur
709384	112233	
709384	114974	La mère de Barbara
709384	121233	
709384	157245	Mrs. Heredia
709384	167233	La comtesse Dolingen de Gratz
709384	200960	Gigi
709384	227317	Mariana
709384	254133	Suzanne
709384	267298	
709384	278151	Ana
709384	284207	Mathilde
709384	286463	Tatiana Gracchi
709384	301406	Marie-Jo
709384	340486	Friessen
709384	354788	
709384	371416	Vincent's mother
709384	377696	
709384	383997	Agostina
709385	281464	O.R. Nurse
709386	34142	Serena
709386	68980	
709386	375301	
709387	205392	
709388	65981	
709389	29610	Frau Zellner
709390	4638	Bea
709390	11705	Charo
709390	50845	Ana maria de Zayas
709390	51094	Mina 'Bambola'
709390	70650	Virginia
709390	131011	Sabrina Marticati
709390	143778	Charo
709390	157936	
709390	158855	Federica Pescatore
709390	243789	
709390	247066	Angela Solari
709390	252530	Charo
709390	252533	Charo
709390	252534	Charo
709390	309171	Fountain Spirit
709390	322779	Lori's Friend
709390	388612	Host
709390	388613	Herself - Assistant (1998)
709390	404941	
709391	14369	Silvana
709391	111336	Agnese
709391	291553	Deborah
709392	282000	
709392	349935	
709393	339673	Minka
709394	323341	Vanja
709394	355996	
709395	35491	
709395	74172	Lijeènica
709395	89415	
709395	98614	
709395	109715	Stewardess
709395	174400	
709395	180699	
709395	181301	
709395	207800	
709395	229190	Mrvica
709395	234262	
709395	263056	Woman Clerk
709395	267667	
709395	283751	
709395	286642	
709395	295874	(segment Sex)
709395	320497	
709396	303124	Sekretarica Vipersona
709397	197880	
709397	328707	
709398	350680	
709398	375125	
709398	382787	Nada
709399	197096	
709399	212458	Milan's wife
709400	222441	
709401	21529	Amelia
709401	411367	Jacklyn Hyde
709402	375508	Helen McDerry
709403	218375	Carmen Dancer #2
709404	231759	Alana
709404	241481	Laura
709404	350216	Girl on Stage
709405	257648	Miss June
709405	257832	Miss June 1990
709405	300901	Susan Janis
709406	77135	
709407	367865	Jenny Winger
709408	305734	Agent Ross
709409	384781	
709410	301589	Yoy
709411	84439	Babysitting 80s Teen
709411	131760	Nick's Prom Date
709412	301351	
709413	199917	Maria Sole
709414	161865	Chorus Girl
709415	355801	
709416	74691	Elisabetta
709417	87171	
709418	279996	Woman at Church
709419	117496	Strippers
709420	74156	
709420	339037	
709421	68433	
709421	90744	
709422	168100	Jo-Jo
709422	296666	Anna
709423	282923	Miss Hakim the University Stu
709423	333856	Syrian woman
709425	126203	La piccola Panzetta
709426	82589	
709426	187627	Madre en escuela
709427	236155	David's Girl
709428	141142	Museum Guard
709429	224430	Lippie
709429	280131	Bee-Hive
709430	71449	Mother from Foggia
709431	384775	
709432	272439	Conchita
709432	299174	Rac (Child)
709433	6406	Sylvia
709433	21419	Thérèsa
709433	160550	La chanteuse
709434	145395	Katy
709434	145396	Katy
709435	123193	Ex-Mrs. Warren
709435	208944	Trina Sieppe
709435	217981	Jenny Moran
709435	229295	Lady Tenny
709435	230883	Edna Macey, the Chorus Girl
709435	241629	Julie Fonblanque
709435	278784	Marie
709435	347723	Castelene
709436	7539	Marchesa
709436	24833	Angela Bellini
709436	68140	Serena
709436	75242	Michela
709436	153241	Carla
709436	189273	Anna
709436	219575	Maria Celano
709436	256451	Augusta
709436	390092	
709437	40165	Sharon
709437	117665	Roman's mom
709437	363486	Waitress
709438	99013	
709439	261330	
709439	288358	
709440	274332	Dancer
709441	272384	Zhozefina
709442	6220	Evelina
709442	98639	
709442	339314	
709443	104831	
709444	285119	Veronika I
709445	263691	
709445	344295	
709446	379008	Suzy Lee
709446	380563	Arlete
709446	381198	Cristina Galhardo
709446	381523	Sininho
709446	382684	Estefânia
709446	391609	Carola
709446	391673	Joyce Assunção
709446	392792	Dinorah
709446	394872	Oleana
709446	396795	Elisa Souto
709446	401104	Eliane
709446	401944	Judite dos Reis
709446	404960	Gigi
709446	408944	Dalila
709446	410190	Nancy
709449	233806	
709450	233806	
709451	240314	Italian Reporter
709451	383784	Rosa Bianco
709452	253667	Vanesa
709452	277798	
709452	355823	Herself
709453	247592	
709454	397933	Luana
709455	246950	Princess
709456	10298	La bambina
709456	28282	
709456	30153	
709456	55362	
709456	82991	
709456	104018	
709456	120978	
709456	124237	
709456	210539	
709456	237208	
709456	237221	
709456	269535	
709456	293388	
709456	322498	Herself
709456	333693	
709456	339996	
709456	377604	Marina
709456	377606	
709457	248605	Herself - Singer
709458	8961	
709458	24979	Mary Mortimer
709458	35417	Gail Winters
709458	105276	Marian Henry
709458	117254	Penny Carson
709458	120760	Mary Ann Norris
709458	121370	June Roberts
709458	154355	Stenographer
709458	171210	
709458	254474	Mary Davis
709458	254526	Jeanne Moore
709458	278653	Betty Rose Hayden
709458	302004	Peggy Wyman
709458	337607	Judy Baxter
709458	365306	Ruth Williams
709459	167684	Mariya
709460	127086	Jitterbug
709460	138223	Dancer
709460	367970	Dancer
709461	5650	
709461	7802	
709461	11234	
709461	30196	Maid
709461	36981	
709461	46271	
709461	47308	
709461	50430	
709461	52539	The Girl
709461	76686	
709461	78659	
709461	83681	Nora
709461	89090	
709461	98179	
709461	108297	
709461	112332	
709461	116182	Cavewoman
709461	117064	Gertie Long
709461	120583	Maid
709461	140100	
709461	143061	
709461	145962	
709461	148967	
709461	175211	
709461	177432	
709461	190512	
709461	190989	The Bride
709461	199225	
709461	206391	
709461	220543	
709461	222814	Mignette
709461	223670	
709461	230413	
709461	236097	
709461	236916	
709461	258142	
709461	261978	
709461	267981	
709461	273207	
709461	280980	Mary Winters
709461	289246	
709461	298097	
709461	300023	Blonde girlfriend
709461	302872	Connie Adams
709461	304024	Neighbor's Wife
709461	310520	
709461	314775	Drina Fay
709461	314930	Edna
709461	315954	
709461	318347	Daughter
709461	334582	Gloria Vernon
709461	345833	
709461	358904	Herself
709461	360193	
709462	93217	Co-ed
709463	195736	Jackie the Lesbian
709464	84692	Jeune fille blonde
709465	180730	Mathilde
709466	43003	
709466	55872	
709466	346633	
709467	128403	Rosanna Danford
709467	366936	Herself
709468	216234	Peasant Child with Jean's Sis
709469	80924	Judy, his assistant
709470	35239	Gina Nabham
709471	39657	Mary Charrington
709471	80528	Viola de Vetheuil
709471	91916	Daisy
709471	117285	Clare Chester
709471	130420	
709471	143320	Goldie
709471	154680	Herself
709471	185577	Elizabeth
709471	191810	Cynthia Knowles
709471	194489	Kitty Carvell
709471	210437	Mary
709471	245177	Frances Dane
709471	262955	Lydia Lavalle
709471	279128	Sally
709471	294194	Mrs. Grainger
709471	311134	Dorothy Houghton
709471	315136	Diana Hunter
709471	324402	Anne Wilmot
709471	327688	Denise
709471	335512	Angela Shaw
709471	339784	
709473	378814	
709474	75914	Mother Superior
709474	96052	
709474	198873	La seconde sorcière
709474	247977	Flora, la mère
709474	259009	
709474	309569	La religieuse
709474	328850	Juliette
709474	377870	
709474	410144	La Supérieure
709475	278709	La bouchère
709475	353886	
709477	143658	
709478	114540	
709479	51400	Léa
709479	254056	
709479	377660	
709480	126067	Mrs. Dude Oliver
709480	154063	Prisoner
709480	239601	Agatha Sprague/Mary Wilson (P
709480	294919	Olga, the Cook
709480	375802	Frieda
709481	119431	
709481	324616	
709482	192936	Photo model
709483	78563	
709484	279038	
709484	397408	
709485	115032	Herself
709485	199748	Herself
709485	384434	
709485	399562	Herself (Model/Hostess)
709486	1524	Detective Carla Valenzuela
709486	5028	Carmen
709486	97899	Laura Vecino
709486	185950	
709486	214976	Petra Beruman
709486	264131	Sirena's Mother
709486	382848	Sonia Garcia
709486	399834	Gina Cuevas (1991-1994)
709486	410864	Maria Conchita Lopez
709487	8908	
709487	33559	
709487	42523	Woman in Gas Station
709487	148758	
709487	184055	
709487	205461	
709487	245953	Rachida
709487	280561	
709487	288888	
709487	343569	
709487	346713	Louise
709487	353915	Louise
709487	392580	
709488	202724	Barbara
709489	114708	Maid
709490	282233	
709491	256693	Stella
709492	162772	
709493	258947	
709493	278824	Wife
709494	352031	Valerie
709495	197	
709495	344577	Julia
709496	81767	Cheerleader
709496	104549	Louise
709496	351767	Carla
709497	280998	
709498	8919	Maria
709498	23802	Luisa
709498	33559	
709498	248158	Assunta
709498	288888	
709498	409799	Concetta
709499	234005	
709500	18744	Lisette Blanchard
709500	20263	Lorita
709500	21664	
709500	24954	Yvonne
709500	34313	Carla
709500	51531	Lady Elena
709500	52890	La Perichona
709500	54002	Teresa
709500	54287	Olga Nicolaievna
709500	74519	
709500	74861	Raquel
709500	79293	Rita Mara
709500	81149	Mrs. Avery
709500	82235	
709500	83598	Princess Azala
709500	84946	Rosita Fernandez
709500	93411	
709500	107696	Raquel
709500	115483	Ketti Moret
709500	122605	
709500	141386	Ambassador's Wife
709500	154481	Marika
709500	178015	Countess Rita
709500	186354	Rita Marshall
709500	187539	
709500	192151	Lucia Morelli
709500	202946	Lilaya
709500	206289	Czarina
709500	210442	Peggy
709500	218257	Marquisa Velasquez
709500	221904	
709500	223970	Countess Rossini
709500	233543	Sra. Lucrecia Delfi
709500	241060	Phyllis Fontaine
709500	241493	Rosario
709500	246232	Olivia Kerlov
709500	258173	
709500	262605	
709500	280971	Manuelita
709500	283955	
709500	291994	Fraulein Lolita
709500	292782	Senora Lolita Martinez
709500	309855	Consuela
709500	324278	Dolores
709500	339101	Lola Duval
709500	345957	Lolita Roberto
709500	346262	Fräulein Gessner
709500	355755	
709500	363853	Leilani
709500	371781	Ella
709501	187406	Herself (Judy Garland imperso
709502	265194	Clara
709502	312252	Una crocerossina
709503	142367	Black Woman
709505	28769	Maria
709505	98912	Woman at Airport
709505	145312	Spanish Admirer
709505	156882	
709505	229673	Carmelita
709505	340883	Maura
709505	342118	Suocera di Leone Stella
709505	346164	Maria
709505	387429	Rosario Fernandez
709505	388363	Senorita Fernandez
709506	170975	
709506	252782	
709507	363497	Bit Part
709508	148493	Rosa
709508	196682	
709508	269535	
709508	282900	Lucía - Niña 1
709508	287484	
709508	333693	
709509	88011	
709510	275019	
709510	383717	
709510	398819	
709510	402580	Verinha
709510	404271	Bentinha
709511	13023	Vera
709511	19458	
709511	24670	
709511	26556	
709511	51619	
709511	55152	
709511	64197	
709511	68999	Armandina
709511	74592	
709511	80240	
709511	80252	
709511	88796	
709511	95024	Aldonza
709511	96321	Madre Lucía
709511	100279	
709511	101465	
709511	111327	
709511	115028	Herself
709511	115862	
709511	121247	
709511	132678	
709511	140558	
709511	147374	
709511	148127	
709511	154543	Herself - Presenter: Best Sup
709511	166895	
709511	170044	
709511	200415	Signora Bonellli
709511	205708	
709511	215240	
709511	219224	Abogada defensora
709511	234408	
709511	237950	
709511	238029	
709511	246299	Isabel Espinosa
709511	249841	
709511	250666	
709511	259726	
709511	264117	Ana María de la Tremouille
709511	266479	
709511	269926	
709511	273030	Marisol Mendoza
709511	275076	
709511	293382	
709511	301119	
709511	307813	
709511	324179	
709511	352846	
709511	353602	
709511	353665	
709511	354038	
709511	354265	Herself - Presenter: Honorary
709511	354903	
709511	357869	
709511	376664	
709511	376716	
709511	378450	
709512	285071	
709513	82726	
709513	83465	
709513	103719	
709513	108535	Lis
709513	334695	
709514	302982	
709515	40270	
709516	2441	
709516	4915	
709516	33484	Serera/Lencha
709516	60423	
709516	68962	Lucila
709516	76224	
709516	80288	
709516	84225	
709516	87078	
709516	91365	
709516	96274	
709516	96298	Petra
709516	124442	Cristy
709516	124445	Concina/Princesa Yashim
709516	125393	
709516	132690	
709516	145243	
709516	152264	
709516	164350	
709516	187736	
709516	187737	
709516	212058	La Metiche
709516	217305	
709516	229801	
709516	253717	
709516	255059	
709516	292931	
709516	294973	
709516	306705	
709516	370070	
709516	381024	Fina
709516	395886	Camila
709516	409782	
709517	140701	Chica del cojo
709517	276404	Invitada (Guest)
709518	8564	Actriz casting
709518	10943	Sara
709518	14817	Rosa
709518	74584	Lidia
709518	258396	Mujer
709518	276404	Invitada (Guest)
709518	291625	Cuñada
709518	392027	Dra. Andrea Valverde (2000-20
709518	400484	
709519	51737	
709519	61989	
709519	83544	Silvia
709519	101864	
709519	115822	
709519	121280	
709519	146474	
709519	170034	
709519	192997	
709519	206988	
709519	252042	
709519	275809	
709519	287890	Justa Méndez
709519	349956	Margarita
709519	353468	
709519	355745	Patricia, novia de Gustavo
709519	379179	
709519	379653	Silvia de Nájera
709519	379834	Mercedes
709519	380517	Martha
709519	380795	
709519	383392	
709519	383777	
709519	384139	
709519	393833	Sara Domínguez 'mamá de Juan 
709519	396131	Teresa
709519	396244	Cecilia
709519	397463	Leticia 'Lety'
709519	397572	María Suárez de Galindo
709519	397734	
709519	399084	Doña Isabel
709519	403403	
709519	403749	
709519	409908	Leticia Robleto
709519	410098	Daniela
709520	325592	
709521	31412	Inge Vogel
709522	186394	Kitty
709523	12459	Juliane Gebhard
709523	146871	Blandine Ebinger
709523	152742	Dagmar Paar
709523	157602	
709523	179876	
709523	290871	Anja
709523	316545	Jaqueline Nader
709523	325886	
709523	329854	Gabi
709523	354718	Steffi Winkler
709523	361501	
709523	382631	Herself/Host
709523	388798	Laila
709523	395701	Bluhm's Sekretärin
709524	10525	
709524	83424	
709524	121215	Isabella Blanco
709524	378039	
709525	2416	Marisol
709525	42660	
709525	51308	Marisol
709525	51679	Chica
709525	55194	Pepa Flores
709525	55515	Carola
709525	55928	Doll
709525	56323	Isabel
709525	61144	
709525	71122	Chris Miller
709525	96375	Juana
709525	136858	Marisol
709525	146448	
709525	191762	Dancer in Bar
709525	206018	Marisol/Mariluz
709525	217311	
709525	236435	Marisol
709525	258619	Juna
709525	273011	Marisol
709525	307701	Marisol
709525	326144	Herself
709525	343629	Marisol
709525	348737	
709525	355485	Herself
709525	369492	Xanadu Dancer
709525	383027	Herself
709525	402238	Mariana Pineda
709526	35657	Lea Solomon
709526	283040	Sandra
709527	371724	Mariano's mother
709527	378958	
709527	380106	
709527	383770	Rosalía
709527	396646	Directoria del Reclusorio
709527	398983	Dora
709527	402586	Florinda
709527	411735	Matilde
709528	185000	Nuori Hietsussa
709528	202521	Herself
709529	318006	
709530	328972	Luisa's mother
709531	390244	Teresa
709531	391109	Teresa
709531	394452	Enara
709532	304347	Bit Part
709533	128718	
709533	134563	Chirpy Girl #1
709533	218942	
709534	32431	Anne Entwhistle
709534	73425	Alida Hoffman
709534	105032	Lela Fischer
709534	117751	Anya Sorin
709534	133992	Anna
709534	143387	Waffles
709534	160930	Carol Fortescue
709534	183859	Cecily Withers
709534	218510	Queen Yola
709534	233651	Greta Gherkinski
709534	278280	Lee Joyce
709534	359974	Lily Bell
709534	412266	Dame magasin radio-télé
709535	91943	Pirate Juggs
709535	160835	Latina Neighbor
709535	201784	
709535	336750	
709536	99137	Dancer
709537	43447	
709537	186372	
709538	43591	
709539	401882	Participante
709540	529	
709540	43366	
709540	46027	Olga
709540	74390	(segment "Iniciada a Peleja")
709540	98759	
709540	103851	
709540	123729	Marcos's Wife
709540	148487	
709540	166897	Marivalda
709540	211012	
709540	229695	Ninfomaníaca
709540	286571	
709540	357192	
709540	377224	
709541	1473	
709541	2252	(segment "Teuf d'enfer, La")
709541	8616	La serveuse
709541	62817	La vendeuse supermarché
709541	80335	Isa
709541	217691	L'assistante
709541	244955	Pauline
709541	256512	
709541	258635	Anne
709541	288898	Ines "Sophie" Berthault
709541	300654	Dany
709541	353957	Une étudiante
709542	15094	Sandrine's mother
709542	321953	Surprise Girl
709543	125230	
709543	168084	
709543	223300	
709543	373232	Tomoyo Wakiya
709544	13949	Shizue
709544	88978	O.R. Nurse
709544	105650	Doctor
709544	122245	Teacher #3
709544	171395	Commentator
709544	213466	Ticket Clerk
709544	230508	Sue
709544	278264	
709544	281911	Secretary
709544	296875	Mrs. Roy Tam
709544	301392	Agent Sung
709544	313413	Ops Officer
709544	321632	Nurse
709544	326602	Rose
709544	387728	Nurse Lily Jarvik
709545	42894	
709545	123938	
709545	163109	
709545	199263	
709545	204597	
709546	22769	
709546	28232	
709546	29853	
709546	42280	Herself/Fadista
709546	54111	
709546	64031	
709546	92444	
709546	104110	
709546	162764	
709546	221578	
709546	285989	
709546	296471	
709546	332631	
709546	370181	
709546	383974	Roberta
709546	387904	Mirta
709546	396608	
709546	398157	
709547	44913	
709547	66670	
709547	77260	
709547	209737	
709547	225070	
709547	266057	
709547	353100	
709547	383269	Rosária
709547	392793	Rosa
709547	396838	
709547	397439	
709548	388299	Mieke Van Den Bossche (#1) (1
709549	267877	Prostituta
709549	342148	
709549	378958	
709549	384119	Chiche (1999)
709549	384775	
709549	389780	
709549	396180	Lucía Arismendi
709549	398661	New Wife of Néstor Miranda
709549	398850	Mariana Zamorano
709549	398983	María del Carmen Espada del M
709549	403021	Dolores Mitre
709549	405789	
709549	409959	
709549	412120	Viviana López C.
709550	70085	
709551	4748	
709552	350074	Odry
709553	123150	
709554	412203	
709555	89506	
709555	377796	
709556	377616	Srác a buliban
709557	175730	Photographer
709558	124896	Schwester Regina
709558	126918	
709559	35048	Ingeborg
709559	98310	Renate Bauer
709559	101752	Helga Beimer
709559	102528	Helga Beimer
709559	156568	Kellnerin
709559	235798	
709559	247060	
709559	305650	Elivra Rykalla
709559	322936	
709559	325508	Helga
709559	325567	Lu Lay
709559	325894	Doris
709559	356882	Frau Burgsmüller
709559	374549	
709559	381689	Dörchen
709559	384162	
709559	387372	Helga Berger
709559	392635	Anita
709559	393517	Frau Waas
709559	394287	Lisa
709559	395667	Helga Beimer (1985-) (origina
709560	84639	
709560	99653	La chanteuse de rue
709560	111695	La chanteuse
709560	195702	Singer in french version
709561	200281	Mandy Smith
709561	257870	Kaley
709562	16297	
709562	90509	
709562	217300	
709562	272187	Katica
709562	287011	
709562	402326	Nusa
709562	402392	
709562	409296	
709563	34547	Partizanka
709564	192885	
709565	192879	Sara
709566	83999	Herself
709566	158921	
709567	82231	Herself
709567	91268	
709567	344662	The Girl
709568	320850	Godman's lady assistant
709569	252250	Various
709569	401885	Herself/L5
709570	61427	Heinrich's Wife
709570	390091	
709571	393878	
709572	27168	Police Technician
709572	213114	Person on Dock
709572	238567	April
709572	248884	Audrey
709572	257451	Cuban Soldier
709572	309803	Suzi/Pebbles
709573	162083	
709574	26142	Herself
709574	27117	Annie Banks
709574	31498	Holly
709574	52312	Herself
709574	80675	Bebe Quinn
709574	169916	Brittany Hill
709574	203329	Carol
709574	257654	Herself (Miss August)
709574	257672	Herself
709574	257829	Herself (Miss July 1995)
709574	274316	Rebecca (segment "Mercy")
709574	280081	Kirk's Wife
709574	314232	Amber
709574	321474	Amber Montana Dakota
709574	332020	Alison
709574	381410	Herself (Feature Reporter) (2
709574	396064	Cruise Director Nicole Jordan
709574	408155	Allison Wilson
709574	411802	Sharon Newman #2 (1994)
709575	16703	Delilah
709577	129439	Demo Tape Woman
709578	218017	Punk girl
709579	31499	Siren
709581	139645	
709582	288936	Mary
709583	276422	
709586	91760	
709587	343462	
709588	362081	Newspaper Reporter #2
709589	326496	Refugee
709590	63398	
709591	109457	June Wolsky
709591	230743	Patrice Englund
709592	164605	Mary Vogel
709593	124378	Extra
709593	400442	Herself/Singer (2nd part)
709594	401613	
709595	379361	(2002-2003)
709595	394078	Stasa
709595	394227	
709595	395090	
709596	248318	Company 'C' Girl
709597	29081	Mad Woman
709598	189505	Probationer Nurse
709599	265841	Vasso
709599	380355	Sofia
709600	229006	
709600	231220	
709600	262398	
709600	349763	
709601	368335	Paula Rector
709602	6510	Prinzessin Anna Luise
709602	11785	
709602	42529	Marietta
709602	93486	
709602	94304	Nina
709602	102286	
709602	130649	Dolly
709602	142824	Marianne
709602	156748	Ottilie Giesecke
709602	179019	
709602	301797	Ellinor
709602	312015	
709602	345653	
709602	347009	Susi Moor
709602	356901	Erna Kabisch
709602	361313	
709603	211657	Pharmacienne
709604	33350	Herself
709604	104740	Belgian entry (15th place)
709604	383368	Zangeres
709605	2299	Jenny Ferm
709605	48368	Ester Hansson
709605	84315	Guest at the restaurant
709605	96015	Vivan Borglund
709605	101639	Lydia Kvist
709605	122334	Mrs. Antonsson
709605	127570	Lina
709605	135671	Boarding house keeper
709605	138032	Maria Barke
709605	170838	Miss Vanja, journalist
709605	181845	Anette
709605	182547	Greta Tranman
709605	182585	Viola Wall
709605	197137	Gerda Rosén
709605	198007	Lola del Prado
709605	204532	Elsa Magnusson, Lennberg's ho
709605	209311	Lisa
709605	214220	Birgit
709605	237256	Alice Broman
709605	248196	Elsa
709605	252333	Lotta Bergström
709605	275590	Eva Berg
709605	305304	Karin
709605	305874	Grumpy old woman in the park
709605	314389	Betty
709605	317471	Black Sheep
709605	320726	Dolly Deje
709605	341169	Laura Camillus
709605	342306	Elsa
709605	371670	Stina Edvards
709605	377298	Märta Larsson
709605	377330	Martina
709605	388308	
709606	322335	Voice
709607	2632	Ashley
709607	12614	Reporter
709607	20050	Cynthia
709607	86017	Kelly May
709607	131347	Secretary
709607	163932	Francesca Knight
709607	240694	Sherree
709607	245506	Secretary
709607	289490	Faith
709607	336334	Amber St. Claire
709608	9044	Heather
709608	81290	Crystal
709608	106653	Lt. Justine Evers
709608	108319	Neighbor/Party Guest
709608	114097	Hannah Davis
709608	163932	Agent
709608	272728	Naomi
709608	347708	Maggie
709608	348229	Funeral Goer
709609	88406	
709609	244133	
709610	968	Teacher
709610	93955	Peggy
709610	96875	Wilma Ransom
709610	147694	Andrea Ford, Writer for Esqui
709610	155453	Eileen
709610	160519	Veronica Treadwell
709610	167691	Casting assistant
709610	223979	Hilary Mitchell
709610	224813	Sun Studio Guide
709610	234582	Margaret
709610	258883	Female Student
709610	269427	Inez
709610	285287	Anita
709610	338278	Mary McDill
709610	350221	Joke Girl
709610	368655	Clinic Attendant
709611	122639	Coovy
709611	281196	Po's Girlfriend
709611	340058	Casino Call Girl
709611	360497	Administrative Assistant
709612	36484	
709612	320420	
709612	336845	
709612	377916	
709612	377922	
709613	100908	Strip Club Hostess
709614	6679	Madame Hortense
709614	14352	
709614	14915	Madame Dufour (segment "Mirac
709614	14999	Madame Jobic
709614	19813	Mme Pelpail
709614	23871	Mme. Portafaux
709614	32025	
709614	43710	Mme Alphonse
709614	45727	Irma
709614	54255	Mme. Cauchard
709614	55532	Cathy, la nourrice
709614	55533	
709614	57508	Mme. Féraud
709614	58224	
709614	58417	Mme. Lepage
709614	60517	Catherine
709614	61424	La déléguée
709614	62826	Chouquette
709614	63690	Charlotte Peloux
709614	65729	La baronne de Courtebiche
709614	68648	Mme. Anita
709614	70509	La concierge
709614	71956	
709614	75909	La duègne
709614	77334	
709614	83353	Mme. Cassini
709614	84678	Mme. Dubreck
709614	84682	Tante Valérie
709614	86890	Mme. Pinchard
709614	95342	
709614	96070	Germaine
709614	101228	Mme. Hermine
709614	104212	Madame Morin
709614	104245	Amélie
709614	107681	Aunt
709614	111295	Madame Bertimey
709614	113711	Anny Dorleville
709614	124324	
709614	135422	Madame Cailloux
709614	136660	
709614	148621	The Mother
709614	148646	Emma
709614	152621	
709614	153884	Louise Lecouvreur
709614	155680	Naria
709614	160545	Nène Thierry
709614	178968	Mme. Parpalaïd
709614	183800	Mme Gambier
709614	187509	Mme. Leguignon
709614	197388	Madame Martinet
709614	198610	Mme. Deply
709614	204916	Dora's mother
709614	205736	Madame Josselin, la patronne 
709614	205767	Mme Victoire
709614	207778	
709614	208481	Coco Naval
709614	214182	
709614	215145	Madame vauzanges
709614	218304	Mme. Leguignon
709614	218325	Louise
709614	227596	Marie-Anne
709614	236591	L'hôtelière
709614	236610	
709614	243013	
709614	248422	Madame Bonneron, La concierge
709614	250507	Berthe
709614	251300	
709614	254157	Madame Chaussin
709614	254236	
709614	256873	Mme. Edith
709614	260939	Mme Germaine
709614	261609	Eléonore Josserand
709614	264527	La belle-mère d'Alice
709614	272338	
709614	275513	
709614	276545	
709614	282497	
709614	287596	
709614	292342	Rosa
709614	292357	
709614	332218	Mme Grinev
709614	340142	Georgette
709614	340203	
709614	340448	Augustine Lemoine
709614	345244	Esther Frechet, cook
709614	345512	
709614	346520	Madame Béghin
709614	346712	Madame Dufour
709614	346765	
709614	353938	Mme. Fourneau
709614	377915	Anne
709614	403527	Jenny
709615	409153	Herself - Weather Forecaster 
709616	190376	Mary
709617	107939	
709618	198003	
709619	381341	Riekie
709620	142726	
709621	63908	Various carachters
709622	361224	Garage Sale Vice Buyer
709623	361224	Bottled Water Buyer
709625	39278	Julie Morgan
709625	85629	Jackie Cole
709625	352730	Stephanie Belefano
709625	395166	Christie Vanguard
709627	323612	Angeline
709627	386427	Nanny (1998-1999)
709628	12273	Kalaniweo
709628	31119	
709628	35416	Lina Hampdon
709628	41345	Nora North
709628	44695	
709628	44759	Edna
709628	49853	
709628	54639	Lolomi
709628	54880	
709628	60209	Mary Garvin
709628	64855	The Governor's Sister
709628	65044	Katheryn Haldemann
709628	67327	
709628	69669	Viva Madison
709628	75276	Ruth Fiske
709628	75514	Eva Stanley
709628	79011	Ruby McGraw
709628	84031	Sylvia Damien
709628	84999	Naomi Tarleton
709628	110964	Marcia Dorn
709628	116764	
709628	158459	Millie
709628	162407	Octavia Van Ness
709628	167624	Bill Grimsby
709628	189928	Ysobel Ventura
709628	207869	Daisy Arnold
709628	220055	
709628	226899	Mrs. Edgar Hylton
709628	234093	Lucia Andrada
709628	254581	Avice Bereton
709628	280948	Jane
709628	282396	Avis Hilliard
709628	298084	
709628	298286	Adrienne von Altman
709628	302849	Princess Alexia
709628	303508	Susan Allenby
709628	305898	Aunt Emily
709628	323457	Clara
709628	323589	
709628	325135	Jane Porter
709628	370579	Princess Alexia
709628	374544	The girl
709628	382783	Aunt Violet
709629	20626	'Miserable' Madge
709629	66385	Doris
709629	97463	Conductress
709629	382343	Ida Downe (2000-2001)
709630	342904	Liz Campanella
709631	7003	Touareg
709631	72623	Girl in Bar
709631	244441	Actress
709631	264064	Young Lady
709631	333851	College girl
709631	367746	Daughter
709632	24147	Mevrouw Houtknecht
709632	76416	Letty
709632	141735	Vrouw van de schoolmeester
709632	147128	Mrs. Hepworth
709632	180018	Goneril
709632	226332	Francine
709632	273735	Mary
709632	357394	Vrouw van Pilatus
709632	410401	Barones de Sauvegarde
709633	379769	Julia
709634	4016	Urd
709634	12242	Kim
709634	74123	Announcer
709634	308052	Reynold's Receptionist
709634	323134	Additional Voices
709635	300063	Chorus girl
709635	361841	Pioneer Woman
709636	6408	
709637	9087	Bertha
709637	132210	Margaret Carmichael
709637	151086	Mrs. Wakehurst
709637	183834	Madame Kummer
709637	319006	
709637	394214	Lillian Coates
709638	53825	Gwynne
709639	147722	
709640	21226	
709640	31909	
709640	40197	Linda Cavendish
709640	41242	Katherine
709640	47928	Jane Burden
709640	49637	Nurse
709640	65975	Sara Coleridge
709640	84601	Ann Brown
709640	87333	Geraldine
709640	91637	Helen/Carol
709640	104045	Trish
709640	122170	The Niece
709640	144971	Helen
709640	160049	
709640	160579	Corrine Payne
709640	176960	Mrs. Blanchard
709640	215450	
709640	235038	Erika
709640	242726	Curda's Wife
709640	245340	Carol O'Niel
709640	281171	Juliet
709640	352702	Helen
709640	367435	Regine Moszkiewiez
709640	367536	Madame Fosco
709640	368040	Eileen
709640	379590	Emma Hackett #1 (1970)
709640	382165	Julie Smythe
709640	383363	Leila King (The Man of Law's 
709640	387332	Freda Dudley Ward
709640	395532	Frances Stevenson
709640	399598	Rachel Austin
709640	405511	Lucy Walters
709640	407438	Lucie Manette
709640	408638	Elizabeth Walker
709641	197700	
709642	1711	
709642	53076	
709642	54839	American guest
709642	65883	Matriarch
709642	118501	Beth
709642	281058	Mrs. Wilson
709642	300956	
709642	349876	
709642	389858	Beatrice LeSeur (1984)
709642	411255	Nancy Astor
709643	7849	
709643	18854	Loola
709643	80699	Daughter at theatre
709643	118653	Schoolgirl #1
709643	126504	Doreen
709643	145715	Edith
709643	176820	Helga
709643	196232	Katharine
709643	245056	Edna Walker
709643	270977	Mary
709643	277634	Bella Beasley
709643	307908	
709643	319006	Designer's girlfriend
709643	379167	Mikki Diamond (1972)
709643	379590	Lydia Hackett
709643	379675	Pet
709643	384090	Alice Beverley
709643	387247	Rose Chapman (1993)
709643	401675	Grace Foster
709644	50690	Nettie Linsey
709644	194410	Grand Central Commuter
709645	79474	
709645	95808	
709645	180115	
709645	180179	
709645	225976	
709646	113658	Celebrant
709647	99013	
709648	26295	
709648	82707	Jo
709648	156627	Maureen
709648	231673	Suzy van Wielligh
709648	232112	Jenny
709648	320093	Rachel
709649	29147	Aunt
709651	158226	Extra
709652	284077	Pvt. Halina Nowak
709653	194074	Psychological Counsellor
709654	220685	
709655	185811	The Fable
709656	86396	Bobo
709657	329938	Prosecuting Attorney
709658	4983	
709658	135746	
709658	259056	
709658	349252	
709658	401314	Christina
709658	402924	Christina
709659	95575	
709659	261332	
709660	134227	
709660	160110	
709660	253635	
709660	267838	
709660	278844	
709660	398757	
709661	97438	Bar lady
709661	327056	
709661	398902	
709662	25539	Sakurako
709662	373369	Ayame
709663	394436	
709664	160494	Woman in the bar
709665	394436	
709666	186072	
709666	210961	Antta
709666	302191	
709667	14278	Timo's wife
709668	349142	Herself
709669	23886	Second witch in initiation ce
709669	24644	
709669	27424	Madeleine
709669	140265	Frau Steineder
709669	207933	
709669	286117	
709670	34325	Performance Artist
709670	40191	Vampire with Exposed Spine
709670	148875	Hades woman
709670	351898	Himself/herself
709671	3948	Studio Girl
709671	77197	Amanda
709671	78780	Sarah
709671	145022	Miss Hope
709671	343006	Daphne
709673	161962	Jennifer
709674	46425	Toby
709674	68144	Elaine
709674	308133	
709674	311744	Sheilah
709674	336140	Norma Conti
709675	80592	Operating Room Nurse
709676	53056	Karen
709676	260500	Communist girl
709677	381436	Jennifer Baines (1994-1995), 
709678	59222	Dolly
709679	294150	
709680	246479	
709681	201346	Little Majorette
709682	9005	Lady with Broom
709682	72065	Cosmetic Customer
709682	82332	Murray's Mom
709682	160590	Mrs. Wilson
709682	178906	Miss Greenwell
709682	261431	Frankie's mother
709682	275322	Hairnet
709682	374523	Agnes
709683	24351	
709684	97644	Panel Member
709684	406925	Roving Correspondent
709684	409126	Herself (Correspondent) (1994
709685	10886	Comm. Officer
709685	81320	Prostitute
709685	158898	
709685	372525	Emilia
709685	402682	Diane (1980-1983)
709685	404667	Princess Tara (02/79-04/79)
709687	185796	
709688	115931	
709689	115931	
709690	365752	
709691	228164	Barn Dance Party Guest
709692	154311	Lead
709693	309039	German Child
709694	39685	Karen Brent
709694	140533	Theresa Ruth Colman
709694	150060	Lynn Forrest
709694	263339	Polly
709694	283377	Meg Felton
709694	314526	
709694	329962	Number Eleven
709695	88356	
709696	57646	Herself
709696	308560	Herself
709697	6445	
709697	357324	
709698	397302	Zoya
709699	307844	Tzigankata
709700	89814	Maykata
709700	244469	Selyankata s praskovite
709700	247276	Slyapata
709700	305478	
709701	310475	
709702	20228	Iznenadata
709702	83094	Scared Woman
709702	178835	Velichka
709702	314467	Elena
709702	357434	
709702	401705	Rada Gospozhina
709703	228113	
709704	384433	Dr. Malkova
709705	204739	
709706	50959	Lina
709706	231153	Marta
709706	323646	Blonde Ira
709706	373213	
709707	3564	
709707	7388	
709707	19737	
709707	26475	Nadehda Petrovna
709707	34231	
709707	40209	
709707	60424	
709707	95356	
709707	155771	
709707	172440	Herself
709707	174967	
709707	181312	Shura
709707	215110	
709707	224390	
709707	226012	Aunt Lena
709707	229218	
709707	231142	Matilda
709707	234435	Darya, Witch
709707	234436	Darya
709707	236165	
709707	237878	
709707	239440	Panka's Mother
709707	244582	
709707	246343	Vera Fyodorovna
709707	258651	
709707	258996	
709707	259076	
709707	259805	
709707	261362	M-me Nesselrode
709707	262660	
709707	280398	
709707	283821	
709707	299432	
709707	304253	Frau Leben
709707	313529	
709707	313881	
709707	321877	
709707	343342	
709707	370940	
709707	374867	
709707	374992	
709707	404577	Pozhilaya medsestra
709707	409880	
709708	103552	Zhenata na Kiril Dechev
709708	180044	Kalina
709708	237039	Lilyana Mineva
709708	259973	Sekretarkata
709708	272903	
709708	276219	Dima
709708	279031	Zhurnalistkata
709708	304162	
709708	304501	
709708	357433	
709708	409430	Doris
709709	291593	
709710	28503	Liza (Pavlov's wife)
709710	174272	
709710	339232	
709711	3585	
709711	82261	Natasha
709711	287977	
709711	343310	Student
709712	112062	Mother Superior
709712	359175	Matryosha/Vasilisa
709713	171922	Ljubica
709714	209362	
709715	202046	
709715	273093	
709715	318156	
709716	305188	Oficir andjeo
709717	209362	
709718	405775	Danijela
709719	79621	Devojka agent
709719	259834	
709719	288986	
709719	292091	Cica
709719	305188	zena Fedje Davidovica
709719	318649	
709720	136523	Old gypsy woman
709721	202347	
709721	258792	Branka Kovac, cerka
709721	261351	
709721	410431	Herself (interviewed)
709722	80549	Anna
709722	279865	Gody Sanchez
709723	85266	
709723	155969	
709724	209362	
709725	385931	Herself
709726	171913	
709727	278517	Caja
709727	303418	Barbara
709727	395704	Branka ... menadzerka
709728	2738	Jela cistacica
709728	23346	
709728	28401	Tetka
709728	28402	Tetka, pijanistkinja
709728	35493	Madre di Betìa
709728	36532	
709728	43154	Gazdarica
709728	43157	Bubica
709728	43175	
709728	44203	Herself
709728	45752	
709728	49177	Draganova majka
709728	49703	
709728	52976	Berta
709728	72166	
709728	77097	Olga
709728	78258	
709728	86734	Fema
709728	88446	
709728	89295	Tetka
709728	92356	Pevacica u baru
709728	94041	Gina ... udovica
709728	95662	
709728	129162	
709728	131151	
709728	132162	Tetka Savka
709728	132610	Marjana
709728	134763	Rajka Cvetkovic
709728	137291	Jeka, travarica
709728	144073	Lia
709728	154668	
709728	155622	Velinka... starica
709728	163928	Savisna
709728	164113	
709728	172510	
709728	173544	
709728	180253	Baba
709728	180612	
709728	181269	
709728	192888	
709728	201359	Kristina, nastavnica biologij
709728	202350	Baba na groblju
709728	209509	
709728	215443	Tetka Buba
709728	215997	
709728	217290	Kosina majka
709728	217300	
709728	221340	Baba u vozu
709728	222899	
709728	223224	
709728	225824	Dr Jasna Rajic
709728	226376	Smilja, Floydova majka
709728	227937	
709728	230036	
709728	233326	
709728	235978	
709728	237707	
709728	237855	La Mamma
709728	246309	Ljubisina majka
709728	248773	
709728	252789	
709728	254219	Vlajna Ana
709728	255770	
709728	258671	
709728	261351	Olga
709728	261353	Mara ... 'keva'
709728	262559	
709728	262573	
709728	263528	
709728	265660	
709728	267844	Pevacica u baru
709728	270527	
709728	270714	Staka
709728	272194	
709728	272506	(segment "Magija")
709728	273093	Kosina majka
709728	284867	Angelina
709728	286715	
709728	293807	Uciteljica Nata
709728	294659	Herself
709728	295051	
709728	300808	Katerina
709728	301503	Nata
709728	301902	
709728	305283	
709728	305526	
709728	307238	Sajka
709728	309991	
709728	312426	
709728	318868	Sobarica
709728	318869	Andja
709728	328708	Tetka
709728	333928	Baka
709728	339282	
709728	343867	Vidina majka
709728	348701	Rajna
709728	348715	
709728	349198	Liba
709728	351007	Zivana
709728	351295	
709728	351322	Koviljka
709728	351329	
709728	351345	
709728	353716	Radmila
709728	356069	Ike
709728	356094	
709728	357555	Blackhaired witch
709728	373563	
709728	375126	Klozetarka
709728	375315	Akademski slikar
709728	376193	
709728	381061	Violeta
709728	381182	Tetka
709728	382430	Buba Radovic-Djordjevic
709728	382431	Buba Radovic-Djordjevic
709728	383458	Rumenka
709728	390182	Herself
709728	390660	Olivera, Banetova majka
709728	394854	
709728	395834	
709728	397701	
709728	399007	
709728	399008	
709728	399182	Kuvarica
709728	399958	
709728	400338	
709728	400502	Angelina Savic
709728	401749	
709728	401750	
709728	401926	
709728	401927	Listerova tasta
709728	401928	Listerova tasta
709728	402119	
709728	403622	
709728	405691	Herself (interviewed)
709728	405693	
709728	406315	Jovanka Soldatovic
709728	406316	Jovanka Soldatovic
709728	407668	
709728	409102	Bisa Pejic
709728	409311	Savina zena
709728	410431	Herself (interviewed)
709728	411900	Upravnik doma
709729	118298	Old Lady in Cemetery
709730	43309	Marija
709730	81480	
709730	129266	
709730	137303	
709730	169554	Vaska - kci
709730	322424	Sitopanaki
709730	342510	Kristina
709730	344265	
709731	3924	Martini Girl 1
709732	180253	
709733	170212	Host
709734	38751	
709735	328707	Pevacica
709736	153864	Grandmother of Márton Csorba
709736	303743	
709736	315359	Granny
709736	324127	Lékarka
709737	322069	
709738	48521	
709738	246974	
709738	348999	
709739	70936	Katie
709740	24777	Anna
709740	87540	Jenna
709740	117164	Deanna
709740	238169	Anna Lee
709740	297651	Tesha
709741	339328	Petr's mother
709742	82802	Teacher's Wife
709742	95062	Magda's mother
709742	265233	Clerk
709743	57613	Helenka
709744	276391	Self
709745	276391	Herself
709746	5186	Amie fac de Safrane
709746	62277	
709746	288898	L'aide soignante
709746	337735	Véronique Lantier
709747	9679	Hospital patient
709748	179049	Neighbor's Wife
709748	230126	Post Receptionist
709749	263314	Gussie
709750	249281	Leslie
709751	117483	Tourist
709752	105035	Amelia
709753	227534	
709754	12244	Party Goer
709755	362952	Child
709755	394406	Dancer (1987)
709756	236697	Jacq's mum
709757	122626	The Hag
709757	217745	Art History Student
709757	346373	Jenny
709758	41479	Teddy
709758	80019	Zila
709758	96117	Woman in Cafe
709758	142251	
709758	179764	Sylvia Litman
709758	202954	Sister Roxanne
709758	248429	Rachel
709759	326769	Cassandra Leigh
709760	31950	Red Head
709760	80807	Elaine Starkov
709760	102736	Hilary (episode "Partners, Th
709760	177676	Tara
709760	258235	Jeannie
709760	330477	Ginelli Bar Girl
709760	331467	Claire
709761	100209	Young Blonde Child
709762	358299	Bobbi
709763	102514	Beth (8 months)
709764	188030	Factory Girl
709764	254522	Female Ensemble
709765	13968	Herself
709766	213581	Chorus
709766	250638	Aesthetic maiden
709767	11171	Marina #1
709767	227032	Nola
709767	295556	Molly
709767	316330	Pearl
709768	305778	Pregnant Woman
709770	102514	Beth (8 months)
709771	51536	
709772	86706	Segment 7 Girl
709773	116443	Model
709774	13968	Herself
709775	96053	
709775	129852	
709775	143427	Sue
709775	164593	Heiress
709775	253154	
709775	292474	Probation Officer
709776	69961	Sheila
709777	129209	Additional Voices
709777	313489	Additional Voices
709779	67880	Sophie
709780	126508	Nada Band
709780	301765	Patricia Woods
709781	37947	Ming
709781	114528	
709781	348427	Chesty Young Thing
709781	365461	Flower
709781	368949	Suzy
709782	232224	
709782	240437	Secretary
709782	319501	Hairdresser
709782	334403	Check Room Girl
709783	147988	Senora Pina
709784	72532	
709784	334595	Jenny
709785	313127	Kathy
709786	213517	Woman 2
709787	327592	Rita's Personal Assistant
709788	230410	Nurse
709789	223746	Little Girl
709790	138013	Verpleegster Skelet
709790	281494	Anneke
709790	375943	Aletta
709791	342499	Mrs. Stein
709792	149961	Conny
709792	259638	Studentin Gerti
709793	361611	Checkout Woman
709794	385659	Rebecca Cohen
709795	78898	
709796	41063	Herself
709796	41813	Candy
709796	72114	Candy Jefferson
709796	79863	Tiger
709796	125425	Herself
709796	182998	Tiger
709796	196063	Jasmine
709796	257652	Herself (Miss October)
709796	257662	Herself
709796	257835	Herself (Miss May 1994)
709796	257866	Herself
709796	273282	
709796	356649	Herself
709796	361855	Herself
709796	382164	Babette
709797	333423	Norma Jeane
709798	148562	
709798	288454	Sharon
709799	37480	Party Girl #5
709799	202363	Margie
709800	315581	Girl
709802	337130	Jeffy's Mom
709803	324691	Sylvia
709804	2440	Lilli
709804	229158	Mary
709804	354076	
709804	374552	Brigitte Tümpel
709804	377353	
709804	408770	Mutter
709805	313334	Other Tourist
709807	197118	
709808	226310	Taxigast
709808	229929	
709808	352061	Haushälterin
709808	382931	Erica
709808	408949	Grete
709809	15268	Hofrätin Welser
709809	15290	
709809	17737	
709809	24082	Frl. von Benzon
709809	46641	Mayor's woman
709809	77303	Dr. Gloria O'Connor
709809	82155	
709809	107779	
709809	107813	
709809	132535	
709809	155470	Hedwig Wiegand
709809	179611	
709809	179653	
709809	186901	
709809	209975	
709809	274886	Herzogin
709809	275684	
709809	283056	
709809	294202	Prof. Feldmann's wife
709809	301079	Anunziata
709809	306422	
709809	314540	Frau Bachinger
709809	346851	
709809	365007	
709809	366590	
709810	272530	Lady #3
709811	260305	Nick's Crew
709812	107966	Blume Singer
709813	347794	
709814	80015	Vaudeville Dancer
709815	92082	Woman in Castrén's party
709815	172142	Marjut Tässäpuro
709815	175727	Anne
709815	211863	Muotitoimittaja Latva
709815	213939	
709815	223514	Mirjami
709815	267142	
709815	283960	
709815	310810	Rita
709815	343509	One of military executed wome
709815	392164	Maija Seppä (2003)
709816	9937	
709816	12579	
709816	27677	Cyprienne
709816	32802	Susanne Reval
709816	45907	Juana
709816	48411	Toni Wagner
709816	85899	
709816	86393	Eva Surén
709816	86398	
709816	87140	
709816	94374	Elisabeth
709816	103062	
709816	107365	
709816	119268	
709816	119709	
709816	125013	
709816	125168	Afra
709816	134816	
709816	134822	
709816	144143	
709816	147132	
709816	156714	
709816	157758	Sybille/1. Geschichte
709816	172382	Valerie
709816	172387	Luise Pichler - Lehrerin
709816	175399	Marina
709816	178619	
709816	179758	Sabine Viborg
709816	181164	Gräfin Larisch
709816	189679	Henriette
709816	189745	Sybill Berg, Pianistin
709816	189766	
709816	199494	
709816	203224	
709816	203259	Maria West
709816	210320	Cameo appearance
709816	219332	Maria Bronek
709816	220720	Constanza Weber Mozart
709816	223485	
709816	225151	Vera von Hoff
709816	231483	
709816	254669	Philine Dorn
709816	263613	Herta
709816	278869	
709816	280801	Beate
709816	308238	
709816	308819	
709816	324683	
709816	326057	Ebba
709816	328980	Sabine
709816	335392	
709816	352246	Brigitte Sudeny
709816	352311	
709816	352764	Christine Schweiger
709816	359639	Elisabeth Brandt
709816	361333	Konstanze Weber Mozart
709816	364964	Dorothea
709816	376364	Hermine Heininger
709816	376459	Annette Rodenwald
709816	380057	Angela's grandmother
709816	381679	Rica Althäuser
709816	412104	Hermine Schwaiger, verw. Hein
709817	169617	
709818	409769	Herself - Madmor
709819	305612	Smilla's mother
709820	165472	Penelope Catlin
709820	171930	Gloria
709820	203614	Officer
709820	222565	Anne Ryder
709820	274400	Cashier
709820	279836	Molly Douglas
709820	397917	Casey Randall (1988-1989)
709821	24038	
709822	342822	Maria
709822	344176	
709823	61765	The Children of the Corn
709824	24681	Enfant mal-voyant 2
709825	192725	Policewoman
709825	408638	CID Detective
709826	214089	
709827	67678	
709827	82530	
709830	192286	Kevin's friend
709831	104774	Herself - Participant/Perform
709831	104775	Herself - Dutch vote presente
709831	104776	Dutch vote presenter
709831	104778	Herself - Dutch vote presente
709831	228264	Herself
709831	228267	Herself - Gastjurylid
709831	264683	
709832	335456	Mme. Sternberg-Reese
709832	365274	Mrs. Wright
709833	91177	
709833	155376	
709833	347771	
709834	166193	
709834	391907	
709834	398840	Laura
709834	407780	
709834	410189	
709835	26350	Janka
709835	140943	Evicted Woman
709835	190994	Edie
709835	292671	Juliet Stoker
709835	368151	Other Girl
709836	205504	Maria
709837	15054	Constance
709837	17709	Alix
709837	18268	
709837	20679	Céline
709837	23743	
709837	30278	The Duchess
709837	39714	Green Eyes
709837	43755	Mrs. Viau-Vachon
709837	68902	Angèlie Temporel
709837	69927	Colonel Stella Holmes
709837	74077	la divine
709837	77609	
709837	85542	Helene
709837	106224	Marianne Raymond
709837	111021	Estelle David
709837	115339	Louise
709837	125622	Louise
709837	128618	Mme. Flavin
709837	157325	Dominique
709837	157922	Woman in Elevator
709837	215057	Maria Tümmler
709837	228565	La femme de Richard
709837	251291	Cornélia
709837	307249	
709837	345064	
709837	346618	Florence
709837	373207	
709837	376906	
709837	381504	Lucie Grégoire
709837	381612	Sylvia Lambert (1968-1970)
709837	382220	Désirée Fraser
709837	383002	Madeleine Lacroix
709837	383319	Thérèse Baby (segment 5: Une 
709837	385503	Danielle
709837	389137	Jeannine Ross
709837	390480	Jeanne Corbet
709837	393279	
709837	393285	Carmelle Lassonde
709837	393718	La Du Barry
709837	400381	Luce
709837	403132	Herself
709838	48159	Mary
709838	217066	Christine, een verkoopster
709838	275656	Nini
709838	388287	
709839	255585	Charlotte
709840	16007	Woman
709840	35350	Woman
709840	42318	Sally Wright
709840	44254	Carol Condon
709840	65746	Girl under the clock
709840	143577	WAVE
709840	167288	Student
709840	186117	Woman
709840	214568	Jimmy's Sister
709840	245209	Woman
709840	308066	Woman
709840	310777	Woman
709840	321197	Susan Adams
709840	329616	Secretary
709840	340480	
709840	372093	Flower Girl
709840	372914	Betty Webber
709841	6482	
709841	28282	
709841	33139	
709841	44326	
709841	52933	
709841	54104	Irene
709841	55312	
709841	57465	
709841	70705	
709841	91884	Waitress
709841	98066	Hanni
709841	101012	
709841	103953	
709841	107365	
709841	110175	
709841	144256	Fanny Resch
709841	155349	Erika
709841	155456	
709841	159487	Lola
709841	170008	
709841	170683	
709841	178652	
709841	178810	
709841	186984	Trude Marlen
709841	189645	
709841	195117	
709841	198429	
709841	207660	
709841	210074	
709841	242840	
709841	248398	
709841	255640	Maria
709841	262235	
709841	265490	
709841	269535	
709841	281103	Tänzerin (Dancer)
709841	289819	Eva Huegler
709841	298572	Maria Iretzkaja
709841	311094	
709841	334704	
709841	335038	
709841	341469	Maria Clara
709841	344699	Marlene
709841	352305	
709841	352544	
709841	356607	
709841	361425	
709841	361504	Rosl
709841	380120	Mayra
709841	381222	Marlene
709841	384117	Herself
709841	410310	
709842	66715	
709843	18618	
709843	26895	
709843	31880	
709843	81971	
709843	85993	
709843	89376	
709843	119801	
709843	128608	
709843	128826	
709843	149981	
709843	150165	
709843	187268	
709843	192273	
709843	194275	
709843	232005	
709843	242066	
709843	243113	
709843	243534	
709843	272893	Marion
709843	295812	
709843	302328	
709843	304833	Stevie Farnsworth
709843	309051	Wealthy lady
709843	332865	
709843	353714	
709843	357158	Herself
709843	367625	
709843	372272	
709844	300304	Guitar Player
709845	127834	Tattooed Bartender
709846	189309	
709847	57981	Dora's Client
709848	101471	
709849	229506	Party girl
709850	339707	Aunt
709850	379068	Aunt
709851	87414	La Charmeuse
709851	110247	Miss Gilda Slow
709852	34965	Prostitute
709852	106298	
709853	230693	Cardin Model
709854	117101	Model
709855	183209	Hoertje
709856	215305	Penny
709857	63949	
709857	66401	
709857	76109	Prostitute
709857	88198	
709857	152642	
709857	233483	
709857	250501	
709857	252048	
709857	268499	
709857	273651	
709857	322249	
709857	354448	
709857	383438	Emeria
709858	168331	Cyann Worthington
709858	178446	Inspector Lovelace
709858	213494	Eliza
709859	390983	Molly Phelan
709860	234594	Additional Stagehand (Miami)
709861	184953	Herself - Matty Malneck Trio
709861	195702	Tandemist
709861	324385	
709862	127086	Jitterbug
709862	367970	Dancer
709863	166368	Maren
709864	56299	Carlota
709864	267524	Carmem
709864	351489	
709864	380112	
709864	397553	
709865	147777	
709866	335072	Mrs. Arnold
709867	42377	Herself
709867	42379	Vocal
709867	61708	Herself
709867	157895	Herself
709867	206226	Herself
709867	213494	Wedding Singers and Band
709867	241492	Herself/Performer
709868	323036	WPC Heather McIntyre
709868	323039	WPC Heather MacIntyre
709869	30889	La parasite
709869	43694	Florence
709869	58226	
709869	96052	
709869	112801	Sonia
709869	146433	Claude (segment "Metzengerste
709869	166172	Nicole
709869	187448	Lavinia, Latino's Daughter
709869	207594	Chambermaid
709869	225430	Brigitte
709869	269183	Constance Bonacieux
709869	374208	Albertine
709869	377735	
709870	8619	Francine
709870	122414	Secrétaire
709871	261011	Danielle
709871	370391	
709872	183872	Singer
709873	292266	Billie Jo
709874	302931	Saleslady
709875	18090	Mark's mother
709876	47171	Herself
709876	234151	Herself
709877	253058	Linda
709878	47374	Chorine
709878	52043	
709878	77805	Chorine
709878	109402	Chorine
709878	130624	Blonde chorus girl
709878	209631	Chorine
709878	210392	Chorine
709878	252368	Lottie a Chorine
709878	265010	Chorine
709878	313076	Fashion Model
709878	335868	
709878	367962	Chorine
709879	20625	Extra
709879	151041	Bit Role
709880	10663	Sandra
709880	362598	Shyla
709880	368092	Niece
709881	36022	Waitress
709883	135805	Elena
709884	178781	
709884	180980	
709884	189788	Caroline
709884	225138	Karins Mutter
709885	71578	
709885	292178	Sarah 'Ma' McClure
709886	84965	
709886	128489	Martin's sister Ruth
709887	183412	Whitney
709889	256139	Hanni
709889	376251	
709889	403794	Nelly Milroy
709890	106205	Student on train
709890	377985	Fille
709891	93748	Sam
709892	71447	La figlia di Bellavista
709893	264581	Vocalist at wedding
709894	41615	
709894	96111	Porn actress
709894	142914	Herself
709894	150044	
709895	226899	Girl child
709897	57654	Singing Nun
709898	105266	Furniture woman
709898	110739	Old Woman
709898	117210	Second Mourner
709898	118369	May
709898	120477	Mrs. Stibbs
709898	192125	Ted's Mother
709898	194413	Mrs. McLeavy
709898	196508	Crazy Woman
709898	199485	Job Centre Woman
709898	246494	Mrs. Pitmore
709898	260300	Mrs. Carpenter
709898	323376	Mother
709898	346944	Herself
709898	347709	May
709898	400082	Mrs. Jintwin
709898	407587	Beryl McBride
709899	381129	Mrs. Rudge
709899	386279	Thirza
709899	392019	Agnes Matthews
709900	198523	Herself
709901	37470	Daisy's girl
709901	223943	Spectator
709901	372116	2nd Debutante
709902	44561	Nurse Wilson
709902	81289	Yolanda Sanchez
709902	147844	Hooker #2/Reporter
709902	231817	Whore
709902	236696	Hooker
709902	334313	Cherry Bell
709903	47094	Marge Stevenson
709903	140800	Rosemary Lebeau
709903	196987	Party Guest
709903	224305	Helen
709903	269282	Jennifer Stewart
709903	313321	Lola Lavery
709903	332880	Prison Girl
709904	159495	
709904	231353	Kriemhild
709904	231354	Kriemhild
709905	80750	Angela
709905	138509	Karoline
709905	140211	Lieschen
709905	147946	
709905	225277	Angelika Denneburg
709905	281668	Anja
709905	388640	Dr. Katja Heinrich
709905	403269	Oberstabsarzt (w) Dr. Sabine 
709905	411161	Lilli
709906	256996	
709907	91903	Mrs. Larson
709907	140407	Guest
709907	302632	Patsy
709907	304966	
709908	226899	Girl child
709908	400239	Betty Carter (1950)
709909	79910	Woman in Crowd
709910	248258	La jeune femme au casino
709911	2174	Kidnap Victim
709911	90937	Alison Campbell
709912	61286	Durell's Bitch Momma
709913	90840	
709914	37696	Hera
709916	62932	Nurse
709916	87926	Shannon's mom
709917	14885	
709917	67891	Samantha
709917	108748	
709917	128030	
709917	228561	Maria
709917	243307	
709917	266874	Marietta
709917	271927	
709917	293320	Lupita
709917	293355	Leonora
709917	294127	Margherita
709917	319300	
709917	375881	
709918	276638	Drugpacking Woman
709919	20114	Kitty
709919	360192	Gwen
709920	35657	Harlot
709921	115091	Amelia
709922	215608	Singing Student
709923	236697	Brothel madam
709924	11672	Herself (Pinup Girl)
709924	138387	Barbara Chapman
709924	168671	Sally
709924	170856	Ellen Curtis
709924	183490	Francesca Disani
709924	275694	Annie Dolan
709924	311033	Delilah 'Lila' Neilsen, alias
709925	18606	Luba Godiedze
709926	10019	The Blonde
709926	116136	City girl
709926	291142	
709927	68505	Girl in store
709927	213852	
709927	302858	Gail
709928	141183	Bubber
709929	214226	Christine Brown
709929	269663	Annie
709929	403238	WPC
709930	119581	Peggy
709931	78086	Jackie
709931	168271	Rosie Palooka
709931	175180	The Orphan
709931	191912	Little Iodine
709931	203058	Ginny Hate
709931	213820	Kay Pierce
709931	230303	Sister
709931	231768	Tina
709931	280688	
709931	282394	Louise Jr., ages 5-6
709931	289409	Mimi De Pierremont
709931	313803	O'Rourke Child
709931	370555	Josie Cohan, age 6
709932	11635	
709932	52007	A Secretary
709932	289578	Josie the Bartender
709932	297126	Mrs. Longfellow
709932	391822	Grandmother
709933	220802	
709934	107180	
709934	160064	
709934	395724	Miss Stevens
709935	10603	Nancy
709935	33785	May Barton
709935	45957	Louise
709935	65230	May Barstowe
709935	66622	Helen Carson
709935	84917	Mary Moore
709935	90103	Trusia
709935	95396	
709935	108590	Janet Morgan
709935	109533	Herself
709935	112411	Bit Part
709935	113469	Carolina Blair
709935	117569	Gabrielle
709935	118446	Marjorie Miller
709935	119493	Ann Baldridge
709935	134455	Sheila O'Neil
709935	190192	Molly O'Rourke
709935	191750	Miss June Crabtree
709935	193646	Dolores Valdez
709935	194891	Constance Ogden
709935	195500	Miss June Crabtree
709935	203680	Ann Sherman
709935	231875	Mrs. John Martin
709935	239799	Ina Heath
709935	240897	Doris Bainbridge
709935	248845	Warden's Daughter
709935	258014	Helen Ripley
709935	263203	Warden's Daughter
709935	273205	Miss June Crabtree
709935	290396	Miss June Crabtree
709935	293868	Thea Carter
709935	299388	Miss June Crabtree
709935	326407	Miss June Crabtree
709935	328082	Rose Ann Brainherd
709935	329781	Peggy
709935	337322	Joan Hardy
709935	362680	Kitty Reid
709935	365072	Mary Paterson
709935	365179	Nancy Cunningham
709936	56075	
709936	71157	Honorata
709936	125758	
709936	210443	
709936	216856	
709936	252065	
709936	277831	Helen
709936	304587	
709937	165222	Woman in Coach
709938	127281	
709939	89100	Emily Dodsworth McKee
709939	128812	
709939	277844	Girl
709939	291713	Bit part
709940	45096	Saloon Girl
709940	91779	Audience Member
709940	107755	Woman
709940	114291	Model
709940	114594	'Faro' Kitty Brewster
709940	124224	Model
709940	128517	Mari Lou Waverley
709940	152551	Unidentified player [Script N
709940	156456	Blonde Girl
709940	189957	Gloria
709940	246859	Holly
709940	254619	Mamie
709940	269340	Venus Girl
709940	277222	Zelda
709940	280183	Reporter
709940	285095	
709940	310287	Pitts, the maid
709940	318160	
709941	14255	Pat
709941	32389	Farmer's Daughter
709941	37495	Harriet Zapper
709941	43586	Girl
709941	77196	Stephanie Windibanks
709941	95823	4th girl
709941	111785	
709941	134075	Joyce
709941	150974	Madame Regina
709941	157092	Diana
709941	203381	Dorothy
709941	204300	Stella Vargas
709941	212001	Mrs. Samsa
709941	221000	Barbara
709941	231762	Jenny Rowan
709941	252164	Lady Charterley
709941	279603	Debutante at Nightclub
709941	304800	Rose Farriner
709941	310194	Dr. Helen Thomas
709941	321727	Harriet Zapper
709941	329445	Janet Bates
709941	359771	Gloria
709941	368532	Penny
709941	388363	Jean
709941	396079	Andrea (Series 3) (1994)
709941	405088	Ester Freeman
709941	407826	Helen's Aunt
709943	114288	Eve
709943	280628	Francesca
709943	311922	Eve
709944	191394	Stylist
709945	380685	Herself (regular performer, 1
709946	254631	Secretary
709948	97388	Dancer
709949	103281	Mrs. Pete Sands
709950	11322	
709951	213773	Rita
709951	243196	Claire
709953	61163	'B' girl
709953	107695	Mail clerk
709953	127086	Jitterbug
709953	247359	Pretty Office Girl
709953	329533	Party Girl
709953	343034	Hatcheck girl
709953	362063	Showgirl
709954	7413	Gladys, Terry's Maid
709954	66783	Mrs. Fitzgerald
709954	98167	Arthur's Wife
709954	122914	
709954	131778	Autograph seeker
709954	149948	Selma Morton
709954	154868	Nurse
709954	158793	
709954	176797	Nurse Maggie
709954	178316	Clara, Matron
709954	221099	Mrs. Callahan
709954	235062	Anna (housekeeper)
709954	269372	Emily
709954	329063	Emma (Gabe's wife)
709954	329423	Woman at Phone Booth
709954	330682	Mrs. Gretchma
709954	330998	Marcie
709954	361848	Hostess
709954	390414	Sara Andrews
709954	395283	Martha Commager
709954	410568	Flossie Brimmer (1972-1977)
709955	33742	Carnival Kid
709956	19797	Scrub nurse
709957	116330	T.V. Interviewer
709958	4017	Belldandy
709958	12945	Gaia
709958	19768	Iris
709958	30736	
709958	31053	(English version)
709958	45009	Dominique Cross
709958	49714	
709958	73326	Nun
709958	79044	Computer Voice
709958	89305	Ruth
709958	91721	
709958	98675	Rune Venus
709958	98676	Rune Venus
709958	122109	Miaka Yuki
709958	122110	Miaka Yuki
709958	122111	Miaka Yuki
709958	122112	Miaka Yuki
709958	122113	Miaka Yuki
709958	123054	Lilia
709958	135897	Michelle
709958	138135	Cyberdoll Kei (English versio
709958	141695	
709958	143108	Reporter #1
709958	152718	
709958	152909	Shukuno
709958	152952	Samantha Alexander
709958	167820	Australian Group #5
709958	176535	Miharu
709958	176897	
709958	195629	Shinobu Maehara
709958	224181	Additional voice
709958	252839	Mima Kirigoe
709958	257182	Student Announcer
709958	271676	Shoko Aida
709958	283570	Receptionist
709958	283624	Clarisse d'Cagliostro (Manga 
709958	284843	Cherry
709958	299125	Rune Venus
709958	300044	Additional Voices
709958	301601	Micino Tifone
709958	307189	Jun
709958	307371	Taylor
709958	313338	Tynave
709958	323588	Mrs. Panos
709958	333366	Madeleine Hart
709958	369525	KOS-MOS
709958	381401	Anna
709958	384133	Chitose Hibiya, Additional Vo
709958	386345	Jeri (2001-2002)/Additional V
709958	387419	
709958	389791	Fen Feiring (English dub)
709958	394016	Luke's Wife
709958	396440	Fuu Hououji (1)
709958	396484	Mahoro Ando, Chinese Saleswom
709958	397187	Megumi Otsuka, Schoolgirl, Yu
709958	400268	Mizuho Kazami
709958	400576	Melfina I (English version)/C
709958	402729	Shinobu Maehara
709958	403965	Iori
709958	404060	Cherry
709958	404228	Azumi Kiribayashi
709958	404879	Lain Iwakura (English Dub)
709958	406702	Big Woman, Dorothy, Vega Fan
709958	408893	Rem Saverem
709958	409831	Ezra
709958	411343	Cole
709958	411563	Hinoto
709960	176415	TV Show Assistant
709960	232248	Woman with Hawkins
709961	365970	
709962	40821	Glenda
709962	394401	Janice
709963	300341	Vampire
709964	197243	
709964	197252	
709964	197260	
709964	197267	
709965	394311	Girl Worker
709966	224578	Prostitute
709967	103487	
709967	160966	
709968	308264	La dame timide
709968	345202	
709969	7458	Emma Pontier
709969	10655	The Blonde
709969	46945	Isa Ostrowski
709969	51919	Estelle
709969	69324	
709969	83234	Madge, la dompteuse
709969	92445	Tana
709969	113227	
709969	123456	Baroness, Party Guest
709969	129921	Soyna DuBois
709969	180680	Princess Wilhelmina Hagen
709969	201192	
709969	208162	Hilde Garosi
709969	255507	Fedora
709969	269317	Alien Queen
709969	291864	Themis DeLisle
709969	310098	
709969	334911	Steffi Novak
709969	334919	Trina Pechinkov Landis
709969	346303	Leila, gang moll
709969	353231	
709969	378038	
709970	218331	
709970	284249	La poule
709971	40575	La Femme De Chambre
709972	377635	
709973	74303	Janice
709973	109661	Rosie
709974	160375	Mickey
709976	11906	
709976	97236	Ursula
709976	124998	
709976	181950	Caro
709976	225283	Ines Harding
709976	325597	Vera
709976	325621	
709976	325717	Laura
709976	325815	
709976	347432	Frau Liebig
709976	365874	Christine Zeissler
709976	395399	Nelly
709977	380479	Nora
709978	11088	Cora
709978	96973	Madame
709978	358591	Mrs. McVea
709978	359192	Old Hag
709978	362135	Secretary
709979	111063	Special Guest Cannes Film Fes
709980	212796	
709981	73938	Eve
709981	107629	Maria
709981	117999	Ambrosine
709981	120685	Julie
709981	142301	Andromache
709981	154763	
709981	196609	Joan Stewart
709981	206847	Angie
709981	234033	Sister Davies
709981	318193	Nurse Benson
709981	411185	Mrs. Brown
709981	411459	Vivien Gilmore
709982	217692	
709983	104825	Eva Lindström
709984	383170	Tali
709984	397879	Or Dagan
709985	41127	Heather Dyson
709985	113303	Philip's PA
709985	190342	Ann Conwell
709985	399192	Jessica
709985	401110	Toni
709986	306870	Dalia
709987	259539	Claudia
709987	259608	
709988	56301	Bubble Lady
709988	205851	
709989	235723	
709989	249085	Jane Diamond
709990	353499	Herself (Model)
709991	196446	
709991	345741	Sondra the Half-Caste
709992	83373	Marie-Christine
709993	84955	Gina
709994	53955	Bettina
709994	53956	Princess Vera
709994	106666	Waitress at Gillespie's
709994	215876	Kiev Room Agent
709994	221214	Pamela Storbin
709995	326251	
709996	139698	Attendant #2
709996	154202	Mildred Nash
709997	337005	
709998	48461	Callie
709998	201634	Herself
709998	220083	Wendy Hausman
709998	252898	Donna Traynor
709998	254416	Jennifer
709998	260137	
709998	279484	Jane
709998	353302	Chrystal
710000	218177	Mrs. White
710001	328048	
710002	201191	
710002	353905	
710003	151460	Girl in Bean Bag Chair
710004	340116	Door-keeper
710005	57263	Isabelle
710005	118016	
710005	249096	Suzette
710005	249752	Huguette
710005	345027	
710006	62296	
710007	240315	Radio Dispatcher
710008	165852	VR teen girl #2
710009	197618	
710010	215728	Leila
710011	68430	
710012	219457	Rosangela Romeo
710013	312992	
710014	9006	Baby Noah
710015	9006	Baby Noah
710016	4772	
710016	30739	
710016	93411	
710016	119691	
710016	144038	
710016	155604	
710016	189703	
710016	197831	
710016	223484	
710016	223486	
710016	225299	
710016	235731	
710016	268535	
710016	307307	
710016	307665	
710016	359641	
710017	118933	Vampire
710018	84439	Veronica
710019	49740	
710019	184073	
710019	219575	Jana
710019	261944	
710020	104773	French entry (24th place)
710021	12629	Rosemarie Türke
710021	93493	Monika Schramm
710021	188833	
710021	292101	
710021	325298	
710022	70835	
710023	367073	Munchkin Villager
710024	181354	Joza
710025	45723	Devecka
710026	170218	Herself
710027	327370	
710028	368356	Amber
710029	129683	Polizistin
710029	410497	PHM Jasmin Löwe (1998-2000)
710030	186178	Evi Halster
710031	65170	Libby
710031	178841	Maya Ulman
710031	193037	
710031	209521	Esti
710031	320340	
710032	351898	Himself/herself
710033	84142	Journalist
710034	113575	La nonna
710035	388680	Luiza
710036	60138	Herself
710037	338048	
710038	177975	Kismaszat's mom
710040	160218	
710041	88540	
710041	143697	
710041	273090	Petrova teta
710042	78631	Reporter
710043	234218	Girl Student #2
710044	194858	
710045	114781	
710046	260615	
710047	149611	Ágnes
710048	65809	
710048	388255	Anita Malouf
710048	395783	Presenter
710049	66902	Barbra
710050	80911	Taxi Passenger
710050	126688	Sheila
710050	191291	Hag
710050	191783	Pam
710050	236779	Hysterical Bank Manageress
710050	382838	Deborah 'D-D' Dixon (1990-199
710050	411090	Gloria
710051	73472	Marie
710051	111689	Cécile
710051	253994	Aurélie
710051	254305	Petit Chaperon
710051	268463	Marie
710052	46767	Nanny
710052	114606	Dieter's Wife
710053	274118	Barbara
710054	236435	
710055	51535	
710055	71002	
710055	353600	
710056	9103	
710056	352021	
710057	144728	Herself
710058	254073	L'infirmière
710059	236801	
710060	90071	
710062	305091	Chloe
710063	15179	Barends vrouw
710063	51598	Jeanne
710063	56107	
710063	64662	Hendriks dochter
710064	7184	
710065	8514	
710065	18215	
710065	20125	
710065	84026	Vicky
710065	100553	
710065	136482	
710065	172728	
710065	174646	Maria
710065	188887	
710065	204108	
710065	212594	
710065	229957	
710065	243080	
710065	244953	
710065	261220	
710065	326624	
710066	395644	Natali
710068	396622	La femme
710069	267811	Filmska diva
710070	163131	Anika
710071	136616	Sonja
710072	12531	Ada
710072	20427	Eveline
710072	49129	Lucie
710072	51221	
710072	74933	
710072	99656	Bartos Juli
710072	104051	Bécsi asszony
710072	120040	Anna
710072	129506	Ilona
710072	138439	Hanna Wende
710072	153689	(segment "Az utolsó elötti cs
710072	160602	Swetlana
710072	174764	Elsa
710072	182891	Tabatha
710072	198217	Lárá
710072	225263	Carmen Esteban
710072	241291	
710072	243800	Mariska
710072	247644	Léna
710072	258735	Klinger
710072	284093	Dóra
710072	284357	Mrs. Pálfi
710072	306122	Sophia
710072	322053	Lilla
710072	322210	Katinka,Õri felesége
710072	327466	Junge Frau
710072	338429	Ilona Lauritz
710072	354012	Eva
710072	374333	Almut Hilfers
710072	377886	
710072	406140	Marion Riesser
710073	122227	
710074	24141	Alunna
710075	411759	Robin (1979)
710076	117101	Model
710076	124115	Person in Bar
710077	112207	Jinny
710078	60521	Mme de Franqueville
710078	71836	Mathilde
710078	165778	Madame
710078	254051	La femme de l'ogre
710078	264378	Mme de Motteville
710078	267015	Louise Mathon, la mère de Ran
710078	275124	La nourice
710078	275381	
710078	391924	Mme Etchekarian
710079	96078	
710080	96078	
710080	344631	Olympia
710080	346641	La Mère Rousseau
710081	378063	
710081	410074	Séverine
710082	410074	Une femme à la réunion
710083	303208	Herself
710084	161537	Santa Fe Tart
710084	180533	Scarlet Salenger
710085	129218	Stripper
710085	206204	Reporter #2
710086	1550	Rosa
710086	98313	Lisa Jacobsen
710086	202633	Lea Brandt
710086	325576	Anna Santiago
710086	364876	Bibi Jurak
710087	55529	Caroline Ashley
710087	124993	Christa Ritter
710087	125317	Anita. Zirkusdirektorin
710087	132255	
710089	148205	Girl on Sidewalk
710090	84595	Claudia
710091	512	
710091	513	Hotel Receptionist
710091	141695	Extra #6
710091	389858	Various roles
710091	393552	Additional Voices
710092	70927	Photo model
710093	388262	Contender
710094	23746	Adelaide
710095	28589	Girl
710096	28589	Girl
710097	380089	Patrícia
710098	204035	
710099	205163	
710100	243390	Sheila
710101	20385	
710102	387694	Imperatriz Dona Amélia de Bea
710103	80270	
710104	306639	
710105	216542	Rosa
710106	99107	
710107	35116	
710109	36554	Insurance Speech
710109	46024	
710109	402456	
710110	306844	Quixada Christo, Brazilians
710110	309375	
710111	396795	Ligia Amaral
710111	404261	Prof. Ludmila
710112	52070	Dancer
710113	251579	
710113	253662	
710113	296314	
710113	380447	
710113	380525	Vitória
710113	402503	
710115	340343	La fille
710116	308095	
710116	361224	Girlfriend at Audition #5
710117	70067	Regina
710117	83860	Giralda
710118	387632	
710119	124098	Adriana's daughter
710120	397616	MDPD ASU Police Officer
710121	284350	Herself
710122	291233	
710122	398040	
710122	411579	Clara
710124	402582	
710125	129673	Glória
710126	380777	Luiza
710126	384991	Bartira
710126	400678	Clarinha
710127	19468	Criada Acores
710127	307638	Maria dos Anjos
710128	83520	
710129	307758	Girl
710130	8566	
710131	340191	Sofia
710132	340191	Sofia
710133	241011	
710133	292087	
710134	223817	Nanny (Maputo)
710135	384118	Bel (1998-1999)
710136	411585	
710137	41817	Herself
710138	24623	
710139	2154	
710139	84642	
710139	113252	Madame Marcellin
710139	148691	
710139	346581	
710140	3149	Madame de la Chambrière
710140	20908	Elisabeth de Moldavie/Queen M
710140	23837	L'hôtelière
710140	43703	La tante/The Aunt
710140	48227	Le mère de Michel
710140	56100	Casanova's mother
710140	57536	La Duchesse
710140	94241	Mme. Aglae
710140	94242	La grand-mère volante
710140	111369	
710140	118586	Mme. Barbentin mère
710140	133047	Upper mother
710140	148764	Mme. Ledragon
710140	160817	
710140	165775	Dora
710140	184557	Madame Guillin
710140	193431	Madame Blain
710140	202417	Madame Mère
710140	209393	
710140	211649	La duchesse
710140	214797	La grand-mère
710140	218285	La dame prof' de diction
710140	220492	
710140	235820	La propriétaire
710140	243022	La centenaire
710140	248257	La propriètaire
710140	248995	Mme. Bernemal
710140	254937	Oenone
710140	257011	
710140	269485	La colonelle Dupont
710140	287974	
710140	292365	La supérieure de Marseille
710140	300735	Mme. de Maintenon
710140	345306	Estelle de Marsans
710140	346566	La grand-mère
710140	353846	Charlotte
710140	355496	Clara
710140	357125	
710140	387659	Mme Armorelle
710140	396135	Mme de Marcilly
710140	401029	La tante
710140	402619	Tante Léa
710140	404129	La mère de Pierre (1968)
710140	409440	
710141	283021	Une enfant
710142	249283	
710143	310090	Mom with Stroller
710144	267545	Daisy
710145	287866	
710146	4528	Beth
710146	77247	
710146	87946	Ningning
710146	123788	
710146	148905	Pauline
710146	155002	Carmela
710146	156181	
710146	234848	Bernadette
710146	287383	Camila
710146	319343	
710146	380345	Samantha 'Sam' (1999)
710146	385703	Ella
710146	404050	Lani
710146	407919	Billie
710147	227035	
710147	360436	Judy
710148	307479	Chanteuse de mariage
710148	333845	La Patrone du Bar
710148	345042	Badaud
710149	85960	Angelica, Nin~a
710150	1179	Amiga de Jenny
710151	41082	Lyra
710151	162157	
710151	173630	
710151	219857	
710151	284521	
710152	2078	Hottie 2
710153	240049	Herself
710153	313195	Singer
710153	406380	Herself (10° eliminated, 70 d
710154	394650	Herself
710155	129791	Maria Conchita Sanchez Ramire
710155	195467	Marsha
710155	400019	Herself (2001-)
710156	381686	Penelope
710157	11428	
710157	30790	
710157	30859	
710157	30862	
710157	50098	
710157	81424	
710157	165244	
710157	188328	
710157	189358	
710157	205061	
710157	208552	
710157	249794	Lupe's Mother
710157	259955	
710157	287270	
710157	300923	
710157	324600	
710157	325362	
710158	103580	
710158	145678	Nieves
710158	158673	Gemma
710158	319343	
710160	358339	Waitress
710161	244656	
710162	96834	
710163	173134	
710163	263364	
710164	70390	
710165	241145	Pera
710166	1265	
710167	122184	Amazon Queen
710168	11317	Yvonne Valesquez
710168	45044	Montana's Daughter
710168	102247	Goldman
710168	109841	Delores
710168	113720	Wanda Hernandez
710168	193280	Yo-Yo
710168	313049	Ana Delgado
710168	313929	Violetta
710168	342403	Melanie
710168	346079	Singer
710168	387728	Nurse Wendy Goldman (1994-199
710169	360436	Jake's Sister (10 years old)
710170	321268	Christina
710172	369979	Maria
710172	369985	
710172	380147	Maria Flor
710172	389889	Various (2002)
710172	398501	Salete Machado
710173	85601	
710173	205709	
710174	294705	
710175	113299	
710176	11026	Jenny
710177	213252	Vampire Hunting Biker Chick
710178	163894	Client
710178	283221	Linda de Leon
710178	304799	
710179	84377	Carol Linjack
710179	255328	Madame de Ferrol
710180	61326	Felli Carelli
710180	161518	Jewel
710180	330701	Moon
710181	69631	Woman #2
710181	256999	Inspectrice
710182	115062	Sandmoon Girl
710183	7492	
710183	8629	Bit Role
710183	45933	Verna Matlock
710183	87798	Child
710183	98151	Elizabeth
710183	103445	June Ashley
710183	108240	Polly Benedict
710183	115471	Student
710183	131532	Girl
710183	185510	Mary Burns
710183	195968	Bit Part
710183	224211	Lisbeth's Kid Sister
710183	252299	Marjorie 'Margie' Jones
710183	316955	'Antony and Cleopatra' Girl
710184	104873	Shawnee Indian woman
710185	106597	Popular Girl
710185	108044	Little Red Riding Hood
710185	228298	Dominique the Student
710186	168926	Studio Presenter
710187	62513	
710187	101617	
710187	111577	
710188	107009	Herself
710189	49364	Specialty
710189	52043	Delilah
710189	96786	Telephone Girl
710189	130624	Sally LaVerne
710189	206168	Florrie Liggett
710189	312810	Miss LaReno, Chorus Girl
710189	323807	Bernice Fox
710189	329399	Hatcheck Girl
710190	366585	Mary
710191	141625	
710192	24479	Daughter
710192	72055	
710192	156321	La vieille dame aux poubelles
710192	225523	La vieille dame
710192	229666	Madame Toux
710192	261855	La centenaire
710192	327577	Old woman at Gilberte
710192	345292	Woman in Building
710192	357827	L'habitante
710193	29745	Samir's Wife
710194	266747	The Movie Star
710195	86911	Renee
710195	345064	
710195	383664	Michelle
710195	401789	Violaine Langlois
710195	403899	Jacinthe Dompierre
710195	406981	Léa
710196	385301	Mandy Stocks Dobbs (2001-2002
710197	33596	Betty Parker
710197	37672	
710197	405984	(Sister, USC)
710198	125660	
710198	320327	
710199	42564	Dulce
710200	3467	
710200	5857	Kamiah (Blackfoot princess [M
710200	13585	Navaho Girl
710200	22787	
710200	35023	
710200	44531	
710200	53649	
710200	54722	
710200	55081	
710200	56059	Alicia
710200	64022	
710200	64030	
710200	67011	
710200	74543	
710200	91307	
710200	91360	
710200	92332	Marisela
710200	97374	
710200	101833	
710200	125411	
710200	146478	Rosa
710200	165791	
710200	169560	Margarita Maza de Juárez
710200	192993	
710200	193071	
710200	202179	
710200	204902	
710200	205700	
710200	206992	Herself
710200	207772	
710200	209030	
710200	209035	
710200	210445	Regina Solares
710200	229430	Angustias
710200	234307	
710200	235988	
710200	246870	
710200	248752	
710200	253198	Juana
710200	266809	
710200	266996	The Princess (Ogre's Wife)
710200	269219	
710200	273112	Blanca
710200	273647	
710200	275946	Gabriela
710200	281208	Julieta
710200	281622	
710200	323665	
710200	328867	
710200	339088	
710200	357524	
710200	371729	Leticia
710200	376803	
710200	377190	Angelica Torres Aranda
710200	380092	
710200	380119	
710200	380265	
710200	383517	
710200	387082	
710200	391637	
710200	391962	
710200	395859	
710200	397501	
710200	398069	
710200	398848	
710201	12055	
710202	155551	Little Girl
710203	185430	Audrey DuPont
710204	185430	Audrey Dupont
710205	410813	
710206	125896	Nurse
710206	312586	Mr. Harris' Secretary
710207	98969	Tilly
710208	300057	Saloon Woman
710209	303761	
710210	36760	Anita
710210	168087	Showgirl
710211	170501	Lisa
710211	223407	Inge
710211	369152	Cornelia
710212	97643	Ballerina
710213	41757	Surf Rep
710214	1711	Russian scientist
710215	131227	Kate Bonham
710216	368675	Pixie Brown
710217	1761	
710218	80729	Helen
710219	333904	
710220	357086	
710221	97643	Ballerina
710222	54026	Peasant
710223	42727	
710223	63344	Bridgette
710223	73207	Mrs. Rodgers
710223	88656	Receptionist
710223	118763	Doctors, Nurses and Orderlies
710223	176496	Mildred
710223	178980	Aunt Frances
710223	203670	Older Nurse
710223	302944	Receptionist
710223	321526	Ladies' Room Inspector
710223	345850	Mrs. Beecham
710224	407369	Additional Voices
710225	78028	Drug Dealers Girlfriend
710226	364048	'Rotten' Rita
710227	93643	Renee
710228	77616	
710228	84833	Mrs. Gromlev
710228	93096	
710228	105144	Ida's mother
710228	107260	Claudia
710228	113852	Jackie
710228	139610	Celia
710228	150814	Mrs. Meyers
710228	185271	
710228	187814	Herself
710228	191732	Buxom Lady
710228	204736	Landlady
710228	222216	
710228	231386	Nut #5
710228	281511	The K.C. Hooker
710229	41701	Mrs. Kemp
710230	139751	Thelma
710231	161179	Danielle Duffy
710232	232799	Lauren Whitney
710233	359145	Passenger
710234	32601	Happy Reader
710235	287489	Madre Giovanni
710236	82728	Sabine Noak
710236	243940	Tania
710236	249903	Giornalisti
710237	29523	Barfly
710237	186650	Racine pitcher
710238	83768	
710239	324822	Lori Cable
710240	153836	Conductora TV
710241	5794	Teresa
710242	324889	Women's Sewing Circle
710243	6408	
710244	200470	Insurance Receptionist
710245	107558	Paramedic #1
710246	100034	Louise
710247	66745	Nurse 1
710247	113216	Acheteuse de l'appartement
710248	54405	Sandy Brubaker
710250	53244	Thérèsa Cabarus
710251	63004	Turtle
710251	191865	Saggy Baggy Elephant
710251	274352	Cherry Pie
710252	386817	Assistant
710252	388334	Production Assistant
710252	406998	Assistant
710252	410896	Herself (1991-1993)
710253	199892	Keziah
710253	300486	The blindfolded woman
710254	379248	Pierina
710254	380085	
710254	381623	Sara
710254	387101	Minerva Cardoso
710254	397578	Camelia Rivero de Lorenz
710255	152894	Calendar Girl
710256	270138	Student
710258	194671	Herself
710258	343328	Herself
710259	83486	Nona
710260	360891	Local girl
710261	333857	Extra
710262	106321	
710262	273676	
710263	213389	Aeropuerto
710264	14693	Ex jefe de Marcelo
710265	10985	Aline
710266	391869	Tiegan Brook (1997-1999)
710267	279836	Commando
710268	32529	Secretary
710269	53316	Lesley
710269	69410	Susan
710269	368416	Girl in Hotel
710269	381661	Various Roles (1977)
710270	357966	W2's Wife
710271	305495	
710272	354200	
710273	75535	Party girl
710273	146661	Lady Marie
710274	12338	J.C. Superstar Singer
710275	150872	Maria
710275	215892	Emily, Fitzbanks' Maid
710275	355349	Third Journalist
710276	323727	
710276	390523	Miss. Bates (1987-1991)
710277	211499	Siren
710278	45006	Barmaid
710279	122185	Evi
710280	22720	Asylum Head Nurse
710280	33702	
710280	45127	Meg
710280	56224	Janet Nicholls
710280	73304	Laurie Fairlie/Anne Catherick
710280	84601	Mrs. Brown
710280	95771	Customer
710280	100130	Mrs. Partridge
710280	138146	Mrs. Petty
710280	146359	Mrs. Saunders
710280	154918	Joan Tremayne
710280	163598	Jane
710280	230394	French Minister
710280	241428	
710280	276650	Mary
710280	350913	
710281	22612	Elsa
710281	311432	
710282	262731	She-of-the-Tireless-Tongue
710283	118398	Headmistress
710283	153118	Matron
710283	165447	Grace Poole
710283	396361	Madame Bovary
710284	245331	Alice
710285	211796	
710286	383628	Grandma
710287	198894	Lady Macbeth
710288	198894	Lady Macbeth
710289	270840	
710290	105200	Mercedes
710290	121858	Doreen
710290	212524	Giggles
710290	398182	Billie
710291	267932	Air Conditioner Girl
710293	5372	
710294	37137	Rainbow
710294	150061	Dr. Harris
710294	196444	Susan
710294	323460	Connie
710295	100193	Jogger
710296	116750	Bedsheet Girl
710296	366070	Additional Hoochie in Limo
710297	8724	
710297	74551	
710297	211044	
710297	248075	
710297	275079	
710298	341488	
710299	143686	Doña María Oropeza
710300	319340	Brasileira
710300	354847	Hermana del comandante
710301	284332	
710301	285241	
710301	300778	(segment "Emma Danieli e Anna
710301	336624	
710301	339143	
710302	222607	Marta
710303	48556	Esther's girl
710304	95842	Ruby
710304	185228	Mama Green
710305	81070	Mrs. Keeler
710305	306421	Nun
710306	74470	Gwendoline Launder
710306	78795	Additional Performer
710306	118442	Annie
710306	400808	Eve Russell
710307	141537	Diane
710308	301386	
710309	361025	Patient
710310	301292	Ellen
710311	10095	Juliette
710312	47970	Barmaid
710312	132326	Marya
710312	307648	Sue Warren
710313	215148	Flamenco dancer 1
710314	282280	
710315	43753	Esmeralda
710315	99912	Emilienne
710315	104747	French entry (11th place)
710315	223180	Marguerite Moreno
710315	254966	Vocals for Ariel
710315	300613	Herself
710316	302143	Shifrah
710317	215141	Linda
710318	24735	Marcelle Marinier
710318	55009	
710318	82944	Lina-Zina
710318	124325	Nichette
710318	187509	Rita
710318	210900	
710318	215132	
710318	307841	Singer
710319	348768	
710320	682	Old Lady
710321	207943	Tipperary
710323	121359	Attendant's Wife
710323	331610	
710323	348375	Miss Gordon
710323	399666	Wahleen Johnson
710324	74348	La femme de Paul
710324	204656	Nathalie
710324	322750	
710326	334591	Extra
710327	2743	
710328	359766	Secretary
710330	316661	
710331	13352	
710331	24851	Elise - Harpagon's daughter, 
710331	33056	Jill Henley
710331	46892	Mary Norton
710331	73909	Ottillie
710331	116555	Helen Masters
710331	118523	Judy Valdazar
710331	200859	Mary Loo
710331	296798	Lucia Emerald
710331	312155	Anna
710331	312285	
710331	323446	Mrs. Newcombe
710331	371080	Iris Selton
710332	339834	Rosella
710333	389762	Jennifer
710334	28995	La mère de Richard
710334	80876	Waitress
710334	156551	La caissière du cinéma
710335	84841	Myra Arnold
710336	682	Maureen, the Hair Girl
710336	130335	Coed
710336	155921	Kim
710336	252483	Tovah
710337	101303	Waitress
710338	93962	
710338	140645	
710338	170706	Ramona
710338	245245	Himself
710338	351898	Himself/herself
710339	153804	La voisine
710341	20348	
710341	40387	
710341	46622	Lilo de La Roche
710341	52120	
710341	197118	
710341	231627	
710341	290685	
710342	13553	Pascale Mauduit
710342	34461	Berthe
710342	36680	
710342	54396	Marianne
710342	58750	Marie
710342	83365	Violette
710342	88084	L'hôtesse du restaurant
710342	101153	Vanda
710342	146744	Monique Roux
710342	148739	Claire
710342	159523	Juliette
710342	161108	Mortal woman on stage
710342	166565	Young Duchesse
710342	200929	Claire Point
710342	252533	Maria
710342	256591	L'enfant
710342	269165	Lily
710342	271236	Isabelle
710342	275124	Antoinette
710342	292388	Véronique/Ludivine
710342	326148	Carole
710342	341701	Claude
710342	345090	Lena
710342	345466	Claire de Tallert
710342	345526	Nathalie Belfond
710342	346774	Narrator
710342	387081	Ariane Roux
710342	387167	Sophie Delauney
710342	389762	Claire
710343	222133	
710344	99356	
710345	29255	
710345	96545	Jill
710346	47130	Bridge & Tunnel Girl
710346	82095	Liz
710346	193357	Sasha
710346	212837	Carla, Johnny's Girlfriend
710346	230815	Plastic Productions Reception
710346	258099	Sophia Maldanado
710346	323780	Denise
710346	363948	Julie
710346	409826	Rev
710347	70186	
710348	180173	
710349	91062	Herself
710349	170222	Himself
710350	80230	Une jeune archiduchesse
710350	101950	
710350	217674	
710351	140279	La remplaçante de Lise
710352	166349	Hermine
710353	400804	Une adolescente
710354	7427	
710355	96496	
710355	255124	Laura
710355	262405	
710355	269496	
710355	284590	Flavietta
710355	381854	
710356	134904	Lietta Brumonti
710356	243284	Virginia
710356	289444	Justine
710356	349719	Vera Sampioni
710357	153539	
710357	270312	
710358	211657	Copine du lycée
710359	331017	Noémie
710360	58417	
710360	108889	
710360	248953	Praline
710360	248996	
710360	289435	
710361	82907	
710362	240429	
710363	12601	
710363	23111	
710363	23887	Krankenschwester
710363	121055	Clemenza Wieck
710363	130935	Lissy Berner
710363	376165	Anita
710363	396759	
710364	2696	Regine
710364	31853	Agnes
710364	49284	
710364	49307	
710364	66087	Lena Schmidtbauer
710364	80662	Linda Larsen
710364	90014	Elisabeth von Valois, seine G
710364	115457	Helene Buch
710364	122132	Hilde Pollak
710364	140271	Vic
710364	182591	Kätchen
710364	189555	Christiane
710364	189825	Ally
710364	223459	Ellen
710364	223462	Kirsten Bitzer
710364	223463	Kirsten Bitzer
710364	249180	Anna Stein
710364	251460	Cilli Schuster-Braun
710364	264340	Lorena
710364	266486	Mother of Noah
710364	281664	Gerlinde Koch
710364	288356	Diane
710364	290240	Doris Konz
710364	290502	Helen
710364	290638	Irene Ravinski
710364	312103	Eva Kolberg
710364	312119	Gabriele Jäger
710364	316545	Innensenatorin
710364	317279	Sylvia Mars
710364	325462	Ela
710364	325712	Felicia Branding
710364	325879	Anita Herboldt
710364	334512	Brigitte Wismuth
710364	338135	Anne/Marie
710364	345918	Anette Rehlingen
710364	352351	Sophie
710364	356738	Patricia Hey
710364	369168	Regina Marquardt
710364	388950	Esther
710364	392634	Dr. Christina Berthold
710364	396920	Hanna Folkmann
710364	399161	Hanna Schneider (1992)
710364	404017	Isabel Catolica
710364	404451	Baronesse Elsa von Trauberg
710364	409861	Helen Hunter (2001-2002)
710365	386069	Herself - Psychiatrist Nurse
710366	396267	Schipp
710367	186174	Zwillingsschwester
710367	198210	
710367	199873	
710367	322238	Maszk
710367	353092	Boltoskisasszony
710368	3364	Udvarhölgy
710368	186174	Zwillingsschwester
710368	353092	Boltoskisasszony
710369	166406	
710370	405806	Oberkommissarin Ina Zimmerman
710371	274100	Henrietta
710372	359849	Anne Markham
710373	26975	Zorro
710373	119633	Stephanie
710373	195274	Peaches
710374	141329	Girl
710374	328869	Mara
710375	388813	Herself (2002-2003)
710376	178137	
710376	213994	
710376	223764	Mary, 1946
710376	231861	Mrs. Paxton
710376	366373	Cook
710377	5196	R. B. Monody
710377	15892	Princess Troubetskaya
710377	34663	Felicity
710377	37008	Mabel Jackson
710377	45690	Mrs. Herne
710377	47191	Hermione
710377	55686	Harriet Potter
710377	55709	Mata Hari
710377	93579	Violet Manning
710377	106670	Madame Robiac
710377	186751	Dot's Mother
710377	188355	Miss Kaplan
710377	191774	Mrs. Phoebe Barnacle
710377	205451	Margie
710377	210533	
710377	211503	Moravic
710377	231775	Undetermined Role
710377	252848	
710377	271892	Florrie Ramsbottom
710377	272616	Zelia's Maid
710377	299208	Jean
710377	304322	Miss Quarm
710377	355517	Mother
710377	365141	Mavis Cook
710377	372627	Mrs. Forrester
710377	381552	
710377	383136	Lillian
710377	389339	(1987)
710377	392470	Dolly Binns
710377	398212	Norma Dunk
710377	398365	Miss. George
710377	400176	Various Characters
710377	411256	Esme
710377	411437	Various (1968)
710378	66227	
710378	101646	Concierge
710378	117989	
710378	211668	
710378	230123	
710378	321284	Actress #3
710378	325343	Nurse Frédérique
710379	215632	
710379	233830	Anna, Bailey's girl
710380	24430	Go-go dancer
710380	67348	Amanda
710380	107396	Elatia
710380	188476	Sam Stewart
710380	214443	Michelle
710380	297640	Cheryl
710380	329522	Dancer
710380	367300	Troy
710382	69410	Hippie
710382	95698	
710383	33056	
710384	154771	Blair
710384	176538	Fraw Bow
710384	274559	Five & Dime Teen
710384	303266	Olivia
710384	316090	Goth Girl
710384	394422	Frau Bow
710385	26285	Midwife
710386	317144	
710387	13769	Jo-Ellen Carter
710388	183213	Ballroom Dancer
710389	130685	Principal Secretary
710390	148886	Restaurant Patron
710391	107504	Lucy
710392	16642	Katie
710393	285623	
710394	195781	Stewardess
710395	77612	
710397	279705	Sara
710398	325789	
710399	245628	
710400	224248	Cole
710400	355013	Danni
710401	389000	Soeur Saint-Clair
710402	261866	
710403	86808	Spanish Girl
710404	396098	Arta
710405	179461	
710406	293254	
710406	293553	
710406	356873	
710407	169894	Dr. Paula Dundas
710407	405526	Anne Boleyn
710409	190004	
710410	82321	Donna
710410	146729	Geraldine
710410	153651	Trina
710410	215157	Girl student #1
710410	255345	Snack Lady
710410	264785	Blind coed
710410	273544	Alison Rothman
710410	285310	Sherry
710411	72760	
710412	381091	Herself
710413	333440	
710413	333441	
710415	28480	Mrs. Dupree
710416	409629	
710417	64199	Herself
710418	21464	
710418	101554	
710418	136535	
710418	148404	The Baby
710418	149266	
710418	165576	
710418	206737	
710418	216898	
710418	353397	
710419	80660	Martha Lessey
710420	85998	Dancer
710421	6984	
710421	228729	Winnie McMasters
710421	231768	Young customer
710421	292823	Audrey Scott
710421	305498	Bobby-Soxer
710421	365284	Natalie
710422	10740	Alice
710422	47028	Rose Brown
710422	92653	Lucy
710422	142715	Susan Graham
710422	202859	Kathy Riddle
710422	206465	Doris Pearson
710422	264711	Georgie
710422	281052	Patricia
710422	286336	Fay Gretton
710422	291487	Fan Scrooge
710422	403852	Carol Miller (1957)
710423	94044	Herself - a singer
710423	223006	Herself
710424	379851	Host (2002-2004)
710425	348	Marilyn (picketing nurse)
710425	50246	Sam's Mother
710426	29965	
710426	333650	
710427	333440	
710428	18349	
710428	325835	Frau mit Halstuch
710428	387964	Sue Young
710428	403792	Janine
710429	57140	Chambermaid
710429	116934	
710429	119922	
710429	125901	Spectator
710429	126638	Girl in Park
710429	133865	
710429	146113	Miss Poor
710429	146132	Nephew's Girlfriend
710429	146186	Sum-Babee, Low-brow's Favorit
710429	146262	Clarice
710429	186023	Patient
710429	207291	Actress
710429	216488	
710429	265854	Garlico's assistant
710429	273922	Girl
710429	282453	Diner
710429	283705	
710429	307851	
710429	311397	
710429	328490	
710430	367023	Gretyl Wittgenstein
710431	117728	Gabby
710431	206884	Screaming Girl
710431	390084	
710432	2305	Herself - Presenter
710432	5885	Eliza Crowther
710432	6155	Lisbeth Bede
710432	7972	Herself
710432	26781	
710432	27038	Herself
710432	33227	Barbara
710432	59126	Joanna Russell
710432	64569	Herself (performer)
710432	65552	Octavia
710432	69615	Morgana
710432	71183	Mazzere
710432	73758	
710432	77982	Margo Robertson
710432	78329	Miss Hunter
710432	78896	Victoria
710432	86025	Fred
710432	88927	Joanna (Crusade segment)
710432	92628	Sara Kingdom
710432	96634	Joanna Grey
710432	107099	
710432	109924	Anna Von Hagen
710432	119872	Monica Barling
710432	131093	Dr. Goldman
710432	141356	Peggy Mann
710432	149821	Andrienne
710432	165448	Mrs. Rochester
710432	190934	Dilys
710432	191000	Landlady's Daughter
710432	208694	Furmity Woman
710432	217784	
710432	218689	Ata
710432	247036	Thyrza Grey
710432	276873	Nurse Wilson/Princess Mombi
710432	278496	
710432	280832	
710432	293078	Sally Hackman
710432	295007	Herself
710432	303971	Madeleine Walsh
710432	346831	Miss Ballard
710432	348534	Herself
710432	362510	
710432	365881	Queen Bavmorda
710432	378954	Roz Keith (1982-1983)
710432	379718	Matron of Psycho Ward 11
710432	380678	Jekyll's Housekeeper
710432	390032	Mrs. Croker
710432	392817	Sylvia Parrish
710432	392922	Presenter
710432	397055	Mrs. Talley
710432	399561	Rosie Tindall
710432	409666	Rose Buck, housemaid (54 epis
710433	164539	Street Urchin
710434	11440	Poster Girl
710434	17543	Lili
710434	19999	Honey O'Neil
710434	26638	Eva Mills
710434	30264	Janet Blake
710434	43463	Cupid
710434	47052	Madge Allison
710434	54532	
710434	58814	Vivian Morton
710434	59618	Joan Wendall, Photographer
710434	76619	
710434	77682	Sylvia
710434	77777	Judy Jones
710434	78718	Betty Cummings
710434	109418	Bobby Neville
710434	116533	Milly McGinnis
710434	141436	Child
710434	144819	Anne Merritt
710434	150479	Bebe Montaine
710434	151294	Morley Child
710434	154680	Herself
710434	155678	Elaine Messiger (Les Blondes 
710434	160618	Madeleine Dorety
710434	163544	Toots
710434	168410	
710434	175119	Lela
710434	177401	Bit Part
710434	183759	June Lane
710434	190064	Cuddles
710434	191587	Doris
710434	191961	
710434	192173	Child
710434	199200	
710434	201479	Dorothy
710434	203208	Yvonne
710434	203495	Joan
710434	204876	Florence Allen
710434	209681	Doris Bellamy
710434	221035	Brenda Murray
710434	241434	
710434	259227	Donna Wells
710434	259402	Daisy
710434	259776	
710434	271231	Judy Chibbins
710434	279459	Dimples, Helper in Human Cann
710434	292620	Janet Blake
710434	299195	Mary Lou
710434	310741	
710434	318213	
710434	323174	Beanie
710434	329562	
710434	329587	Co-ed
710434	330129	Receptionist
710434	331147	Ellie Prescott
710434	331383	Marcia Tallant
710434	331721	Kitty
710434	345771	
710434	360535	Carolyn Page
710434	361927	Evelyn Fessenden
710434	362154	Marion Worthington
710434	367918	Nicholas Jr.'s Sister
710434	372361	Pauline Bisbee
710434	372645	Rosie
710435	75524	Herself
710435	389721	Herself (Series 2) (2004)
710436	28436	Young Mother
710436	113507	Car Rental Agent
710436	185821	Val Lumpkin
710437	53641	
710437	225561	
710437	367992	Entertainer at fiesta
710438	1883	Diner Patron
710439	387518	Nurse O'Keefe
710440	144876	Ann 'Toby' Tobias-Garazda
710441	136052	Cathy
710441	273275	Jim's Henchman
710441	347059	Angel
710442	3251	Performer/Herself
710442	47171	Performer/Herself
710442	68097	Herself
710442	141147	Herself - Hear'say
710442	141148	Herself/Hear'Say
710442	182371	Herself
710442	249591	Performer
710442	273900	Herself
710442	282702	Performer
710442	311953	Herself/Performer
710442	330027	Herself
710442	364227	Herself
710442	391238	Herself
710442	401877	Herself - Hear'say
710443	13747	Thomna Sinnikoglou
710443	60140	Tania
710443	76212	Rochelle DeHaven
710443	119541	Freebie's Girl
710443	137910	Ophelia
710443	148413	Miss Pollack
710443	218114	Lisa Daniels
710443	315275	Lee
710443	385718	Maggie Dodd
710444	40536	Myra
710444	49874	Liz
710444	53316	Gigi
710444	55678	Aeroplane Hostess
710444	55707	Shapely Nurse
710444	230367	Air Hostess
710445	113291	Lisa
710446	17749	Dancer
710447	279694	Maggie
710448	147060	
710449	2104	Mrs. Perley Sweet
710449	6810	The Girl
710449	10738	The Sheep
710449	11605	Susan Sweeney
710449	19133	
710449	19520	
710449	24964	The Maid
710449	26629	Mrs. Mary Barth
710449	31050	Sallly (a waif)
710449	31820	The Young Woman's Friend
710449	33622	Preacher's Wife
710449	33763	Mary Garland
710449	37154	
710449	38660	Flora Cameron
710449	38730	
710449	39498	Mrs. Mary Novak
710449	42013	Mrs. Toby
710449	42049	Anna Swenson (Lynne's houseke
710449	43511	Barbara Grey
710449	47446	
710449	47594	
710449	48270	The Young Woman
710449	48274	Priscilla Mayhew (Prologue)/L
710449	50892	Sister Owner
710449	60938	Woman
710449	61594	Julie/the child-wife
710449	61602	
710449	64092	Marjorie Caner
710449	74244	Woman in Elevator
710449	76549	Ruth Atkins
710449	76964	Woman Leaving Apartment
710449	81953	Molly Thatcher
710449	88250	Mrs. Sloan
710449	89711	Annie, flower lady
710449	90801	Family council member
710449	94129	Pioneer woman
710449	103351	Jennie Joyce
710449	107083	Jane Ridgeway
710449	109756	Mother, Loving Family
710449	112024	Marie Messereau
710449	112408	
710449	112527	Sister Hattie
710449	117200	
710449	117256	The Young Woman
710449	117906	Mrs. Gates
710449	120639	Sandy's Governess
710449	128091	The Girl
710449	128581	
710449	128706	'Grandma' Edwards
710449	129550	Carey Wethersbee
710449	131534	Woman in Bank
710449	133643	Aunt Martha
710449	133685	Mary Gibbs
710449	135918	Mrs. O'Brien
710449	142400	Landlady
710449	143296	In Church
710449	143393	Mae Carter
710449	144579	Peggy Murray/Louise Parke
710449	146039	A Visitor
710449	146106	The Daughter
710449	147650	Carlotta Blakeford
710449	148248	At Barn Dance
710449	148404	Apple Pie Mary
710449	149266	Hoodoo Ann
710449	151339	Miner's wife
710449	155898	
710449	157091	Mrs. King
710449	158331	Emma
710449	159136	The Widow's Daughter
710449	159145	Juan
710449	159568	The Young Woman
710449	159913	
710449	161542	The Dear One (Modern Story)
710449	163264	Aunt Mae, Team Co-Owner
710449	163299	Greenleaf's maid
710449	163535	Bit Role
710449	165444	Leah
710449	169978	Naomi
710449	170401	Hysterical passenger
710449	171173	In Club
710449	171217	Elderly Woman
710449	175623	Bob's Sister
710449	183547	Undetermined Role
710449	185830	Maid
710449	186795	Fisherwoman
710449	187718	The 'Adopted' Daughter
710449	188137	The Young Woman's Companion
710449	188577	Miss Jenkins
710449	191585	Cecilia Carne
710449	191955	Maggie
710449	191990	Wife of Karl Goebbler
710449	192322	The Little Tease, as an Adult
710449	193377	First Mexican Couple, the Wom
710449	195613	Herself
710449	195666	Angelina Millingford, a Maid
710449	196489	Mrs. Phillips
710449	203615	Mrs. Stetson
710449	203732	Lillywhite
710449	206379	Molly-O
710449	216802	Talkative patient
710449	217974	Elsie Dean
710449	218704	Villager
710449	218822	
710449	219914	The Little Dear One
710449	220076	Undetermined Role
710449	220526	Herself
710449	220657	Herself
710449	223733	Maid
710449	223810	Simpson's Sister
710449	229118	One of Gato's Sweetheart's Fr
710449	230918	Second Gossip
710449	232338	Maid
710449	234231	Mary Cary
710449	239517	
710449	241455	
710449	245290	The Girl
710449	245394	The American lover
710449	245648	Ma Shelby
710449	246339	Paddy
710449	248712	
710449	253036	Mary
710449	259760	Polly
710449	263905	Lillywhite
710449	264064	Witch in 'Macbeth'
710449	269861	Father Paul's mother
710449	269868	Miss Hartwig
710449	270481	Lucille Cameron
710449	270483	
710449	271852	
710449	272615	Odile Etrange
710449	273599	Aunt Jane
710449	274747	The Daughter
710449	275451	Teacher
710449	279636	Jerusalem woman aiding Demetr
710449	287252	Mary
710449	290390	Schoolgirl
710449	291964	Dark Cloaked Woman at Fort Gu
710449	294750	Nellie
710449	294813	
710449	303072	
710449	305934	Tommy's mother
710449	308354	Mrs. Purdy
710449	308576	Woman
710449	309269	On Shore
710449	311264	The Renegade Farmhand's Sweet
710449	311867	Sadie Sullivan
710449	313321	Malibu Party Guest
710449	318608	Woman
710449	318927	Old lady at ball
710449	319244	Nell
710449	320785	Mrs. McCord
710449	323883	Molly
710449	324035	Emigrant
710449	327151	The Telephone Girl
710449	327529	A Murdered Settler
710449	327826	The Tender-Hearted Boy's sist
710449	329587	Mom Scott
710449	331096	At Party
710449	331376	The Wife's Friend
710449	333060	Marion Bates
710449	333411	
710449	333851	Woman to whom Norman gave his
710449	334416	County Clerk's assistant
710449	338894	Tynmore Sister
710449	342790	
710449	343004	
710449	343104	Hanna Clegg
710449	353397	Mary Hastings, Frank's Wife
710449	356242	On Beach
710449	358958	The Other Parents' Daughter, 
710449	362056	Polly
710449	362881	At Court
710449	363226	Mrs. Fettles
710449	363567	Mrs. Manners
710449	363990	Bessie 'Teazie' Williams
710449	365265	The Wild Girl
710449	366182	Nurse Crumley
710449	372676	Maria Liggett
710450	244034	The Zoo Visitors & Staff
710451	279571	Herself (Temple University)
710452	14263	
710452	14264	
710452	16088	
710452	18985	
710452	31820	
710452	44010	Annie
710452	47625	The Storekeeper's Daughter
710452	48571	
710452	55792	Anita Carver
710452	56248	His daughter
710452	57038	The Cattle King's Daughter
710452	69655	Nora Carrigan
710452	85047	Wynne Mortimer
710452	104322	Elizabeth Bradshaw
710452	107147	Helen Marsley
710452	112024	Helene
710452	143032	
710452	146159	Purity League Member
710452	155724	Gloria Waldron
710452	161542	Debutante/Woman Wearing Feath
710452	162411	Anne Kirby
710452	171173	In Club
710452	186631	A Boarder
710452	191278	Olga Beverley
710452	192005	Meena's Cousin
710452	205425	Margarita
710452	207423	Eva Brent
710452	210935	
710452	219914	Guest at Ball
710452	220944	Evelina Good
710452	230918	Windowshopper
710452	238914	Susie
710452	239517	At Audition
710452	244867	Angie Martin
710452	254477	Betty Truesdale
710452	263505	
710452	263738	At Party
710452	282615	
710452	283433	Tommy Thomas/Marie the Apache
710452	293162	
710452	304936	
710452	320204	
710452	329765	In Crowd
710452	331227	The nun
710452	345967	At Farewell Party
710452	356242	The Girl
710452	361749	Mabel
710452	361764	Alice
710452	366930	Hope Frenchman
710452	367014	Helen Marsley
710452	367838	Evelyn Hunter
710453	10605	Lotti Brenner
710453	32191	Susie Sachs
710453	39844	Thea Hassel
710453	67807	Peggy Woods
710453	71630	Verna Maxwell
710453	73124	Sonya
710453	78718	Terry Cummings
710453	83926	Ann
710453	90253	
710453	99150	Corinne Ross
710453	114695	Jenny Townsend
710453	121352	Ann Baldwin
710453	125846	Margaret Terrill
710453	128377	Elnora Comstock
710453	133610	Ann Randall
710453	142433	Girl Selling Kisses
710453	150908	The Inventors Daughter
710453	154335	Joan Anderson
710453	158071	Sally Sullivan
710453	183767	Joan
710453	195457	Juliet
710453	199176	Nana Carlova
710453	203307	Julia Wilkens
710453	203541	Janet Haydon
710453	215748	Josie Lamonte
710453	222604	Nora O'Brien
710453	228612	Kay's Friend
710453	235685	Jennie Jones
710453	245643	Mary
710453	255338	Herself
710453	255341	Herself
710453	264426	Judy
710453	279442	Rene March
710453	288744	Frances Thomas
710453	309054	
710453	311701	Irene Stewart
710453	316115	Rose Abbott
710453	320596	Trilby O'Farrell
710453	345989	Margie Evans
710453	347357	Helen Griffith
710453	352390	Lilian Williams
710453	363255	Jerry Grant
710453	364461	Harriett Underwood
710453	372928	'Bobbie' Blake
710454	61576	Sister Dominica
710454	81587	Librarian
710454	110170	Ladies at Church
710454	113363	Barbara Saticoy
710454	132915	Mrs. Caldwell
710454	141142	Mrs. Paley
710454	148570	Laura's Mom
710454	154352	Interviewer
710454	222619	Helen
710454	232186	Mrs. Kramer
710454	252874	Mrs. Brophy
710454	265738	Mrs. Post
710454	269082	Mrs. Upchurch
710454	327376	Shopper
710454	366921	Mother Francke
710455	276422	
710456	7011	Mrs. Loftus
710456	34002	Carol
710456	80700	
710456	105437	
710456	111928	Hodel
710456	129942	
710456	157008	Anna Lavetta
710456	185485	Cora Morgan
710456	210643	Nell
710456	272868	Mrs. Wilkes
710456	299679	Jane
710456	336788	Newscaster
710457	214971	News Anchor
710458	315577	Girl on Bike
710459	71722	The other flapper
710459	78686	Sue Tomlinson
710459	275507	
710460	360815	The Streetwalker
710461	35314	Lyda
710462	18197	Nun
710462	26606	Miss Wells
710462	45413	Mrs. Murphy
710462	47358	Matron at the Jail
710462	54614	Chester's Wife
710462	54949	Housewife
710462	66381	Miss Gavney
710462	84898	Joe Wilson's Mother
710462	88916	Lydia Johnson
710462	92224	Mrs. Downes
710462	109907	Mrs. Stewart
710462	125811	Mrs. Atwater
710462	129233	Mrs. Midddleton
710462	146868	Miss Grange
710462	161975	Maternity Nurse
710462	173534	Duenna
710462	175162	Head Schoolteacher
710462	189255	Secretary
710462	203073	Ma Anders
710462	218797	Mrs. Anderson
710462	219166	Sour-Faced Woman
710462	228819	Nurse Gordon
710462	232038	Police Nurse
710462	246337	Matron
710462	264776	Miss Sheaffer
710462	272470	Nurse
710462	281909	
710462	282927	Ma Corey
710462	304305	
710462	313320	Assistant to Oliver Niles
710462	330105	
710462	330179	Mrs. Schaeffer
710462	365068	Miss Clark
710462	367756	Mrs. Fuller
710462	372413	
710462	372887	
710463	341939	Attractive Actress
710464	34384	
710465	176710	Marduk's Ladies
710466	74207	Helen Suzman
710466	129164	Suzanne Polignac
710467	72760	
710468	342390	Copy Machine Worker
710470	63654	Gina
710470	119518	Kelly (aspiring actress with 
710470	264135	
710470	382379	Vicky (1996-97)
710470	390523	Cecile Lefevre (1996)
710471	151608	Margaret
710471	318337	Lucy Whitman
710472	355028	The Academy's Blessed 'Virgin
710473	41809	Specialty Dancer
710473	120507	Naomi
710473	199156	Tahitian Dancer
710473	308632	
710474	32529	TV Newswoman
710475	61767	Sandra Atkins
710475	405209	Annette De Brett (1998)
710476	38254	
710476	89179	
710477	67810	Girl
710477	191611	Joan
710477	315682	Second bride
710477	316604	Elsa
710477	411778	Madge Cartwright
710478	299071	Claire
710478	328289	Betty Marshall
710478	392692	Grace Kiley
710479	125723	
710480	140400	Jenny Cooper
710481	81119	Hotel Receptionist
710482	52160	Mags Livingston
710482	120817	Tracey
710482	124501	Peggy
710482	150790	Lottie Hope
710482	308918	Miriam
710482	372773	Ethel Monticue
710484	230499	Peter
710485	74311	
710486	97611	Social Security Clerk
710486	385299	Christine Fuller
710486	393811	Arabella Down
710487	100838	Molly
710488	1726	Herself
710488	400198	Herself
710489	63103	Lily Layton
710489	99296	Elizabeth Smart
710489	276240	Daughter
710489	402011	Tracey Battle
710489	406993	Ally
710490	5488	Gloria
710490	31184	Herself (Blue Team)
710490	215688	Herself
710490	317262	Will's Mom
710490	379716	Belinda Keefer #2 (1996-1999)
710490	390771	Gilly Grant Speakes (1989-199
710491	267932	A Little Keranga
710491	382838	Sarah Banks (1994-1995)
710492	390410	Joyce Zuidgeest (2000)
710493	317176	Debbie (Student)
710493	319544	
710493	398686	Angela Brown (1963-1964)
710494	56206	Nora
710494	196177	
710495	16050	Ann Marshall, Action 2 News
710496	130296	Painted Lady
710497	267932	A Little Keranga
710498	276780	Special Zombie
710498	342938	Client with Dog
710499	187062	
710500	31715	ICU Nurse #2
710500	80969	Sister Charlotte
710500	105851	Shy student
710500	118980	Helen's Nurse
710500	244421	Guest Cynthia
710500	264157	Lady Jerome
710500	264158	Lady Jerome
710500	271344	Neighbor
710500	283410	Polly (Woman in bridal shop)
710501	226873	Bit part
710502	274449	Hairdresser
710503	331681	Mrs. Bevan
710504	399816	Geraldine
710505	395091	Very Wealthy Woman
710506	203459	Betty
710506	337363	The fiancé
710507	51955	Moll
710507	210758	Hattie
710508	26978	Tamara Zaleshoff
710508	54617	Emily Foster
710508	69850	Toni Sanger
710508	96843	Laurie Romayne
710508	103781	Brenda Ballard
710508	116929	Rita Warren
710508	145106	Claire Foster
710508	162444	Marion Thorne
710508	203585	Celia Farrady
710508	217946	Barbara Patteson (Patterson i
710508	248980	Yvonne Blanchard
710508	291344	Herself
710508	291742	Dona Maria Alvarez de Cordoba
710508	302669	Vicki Moore
710508	305606	Lil Barstow
710508	309846	Katharine Sheffield
710508	316105	Nora Goodrich
710508	363696	Marian Sinclair
710508	366211	
710508	372121	Laurie Abbott
710509	398050	The Winner (2001)
710510	164541	Jane
710511	14830	La femme du P.D.G.
710511	25116	
710511	133047	Nun
710511	295886	
710512	399816	Bernadette (1975)
710514	363547	Louise Culpepper
710515	337399	Mother
710516	82682	Isobelle Elliot
710516	102568	Betty, Rene's serving mate
710516	149931	Sister Eugenia
710516	376104	Mrs De Witt
710517	54214	Penny Scott
710517	61844	
710517	242732	Ruth Long
710517	267497	Ruth Arnold
710518	158311	Bernice Worden
710519	76964	Marie O'Mara
710519	92883	Katrine Van Ryn
710519	134091	Abigail Matthews
710519	148406	April Carstairs
710519	176755	Suzie Johnson
710519	219996	Miriam 'Mikie' Burt
710519	220849	Betsy Blandings
710519	280465	Frances
710519	285452	Flora Tourney
710519	294357	Mehitabel, aka Hitty Weatherl
710519	319010	Mary Osborne
710519	343295	Offended Phone Operator #2
710519	358452	Nella Cairn
710519	386561	Daughter Corkle (1952)
710520	336475	Brunette #2
710521	190006	Sybil
710522	310404	Margaret
710524	96842	
710524	108256	Betty
710524	116994	Mary
710525	350494	Mrs. Scott
710526	96927	Jo Symington
710526	311230	Susan
710527	132360	Undetermined Role
710528	142517	
710529	133962	Sponsor's Wife
710530	56798	Cat-Woman
710530	58816	Frosty
710530	119803	Model
710530	280473	Judy Haven
710530	292128	
710531	345650	Lady #2
710532	187190	Ann Smith
710533	86226	
710534	20625	Extra
710534	103328	
710534	279493	Sally, Waitress
710535	155099	Administrator Jaynes
710535	224192	Acting Teacher
710535	399091	Additional Voices
710536	63034	
710538	159131	Young Kelly
710539	158918	Nurse
710539	189957	Mildred Wilkins
710539	318160	
710539	325970	Reporter
710540	159128	Singer
710541	239082	Lady
710542	67372	Mrs. Carter
710543	71484	Dreama Sue
710544	108257	Doris
710545	130624	Chorus girl
710546	10596	Secretary
710546	36985	Secretary
710546	41930	
710546	96926	Neighbor
710546	100075	Tyrolean Girl
710547	102116	Agnes
710547	168254	
710548	13884	Model 3
710549	82468	Passenger with change on bus
710550	133802	
710550	138661	Maid
710550	148584	Emily
710550	149768	Mimsey
710550	192539	Judy Tobin
710550	194269	Miss Devine
710550	297261	Mrs. Schumann
710550	324262	Pamela
710550	382426	Sailor Duval
710551	71348	
710552	159862	The New York Dream Machine
710553	61844	
710554	138188	Clio
710555	97035	
710555	177475	Big Tom's girl
710555	221259	Miranda's Attorney
710555	258963	Lynda
710555	360618	Detective Adrienne Hays
710555	369492	Muse 5
710556	81601	Caroline Hartford
710558	21447	Crosswell Receptionist
710558	31715	Delivery Room Nurse #1
710558	62285	Darlene
710558	80969	Whispering Wendy
710558	97644	Hygienist
710558	105851	Susan (stewardess)
710558	114955	Adventurer's Inn Hostess
710558	119622	ER Nurse
710558	126648	Student #1
710558	186650	'Mumbles' Brockman (outfield)
710558	230324	Sun Times Worker
710558	235615	Tour Guide
710558	244421	Greetings Girl
710558	263360	Day Desk Clerk (Hotel)
710558	264157	Charlotte Kutaway
710558	264158	Charlotte
710558	271344	Mrs. LaGambina
710558	272602	Reporter
710558	281911	Third AD
710558	283410	Cousin Cindy
710558	283558	Waitress
710558	342499	Debby Klein
710558	372525	Usherette #2
710559	366811	Armand's Niece
710560	2816	Winner for Best Choreography 
710561	336789	Topless Girl
710562	231108	
710563	73561	E.R. Clerk
710564	404092	Lisa Atwood
710565	219772	Herself
710566	348358	Sutra
710567	185771	Miss Winters
710567	190313	Radio D.J. #1
710567	281402	News Anchor
710567	407394	News Reporter
710568	306226	Strawberry Girl
710569	128828	Cynthia
710569	324263	Gloria Tate
710569	407527	Gloria Tate
710570	226894	Cynthia
710571	41640	
710572	184956	
710573	56971	Old nun
710574	52886	Shona Cameron
710575	31715	Tavern on the Green Patron
710575	105851	Tourist
710575	118980	Party Guest
710575	264157	Teacher Seacliff
710575	271344	Brownie Mom
710575	372525	Football Playing Maid
710576	155028	Girl
710576	210767	
710577	7637	Fat Woman
710577	10870	Fat Lady
710577	232494	
710578	348358	Rent-a-Girl
710579	19272	Lady Diana Mannister
710579	120650	Margaret Worth
710579	193102	Ethel Mason
710579	302928	Betty Townsend
710580	158312	Dee
710580	210503	Emmaline Williams/Voice of Ca
710582	309546	Dancer
710583	65161	Herself (Clara's friend)
710584	266617	
710585	58940	Patty
710585	119601	
710585	168326	Kid
710585	244432	Headset
710585	278484	Melody
710585	297101	Muffy
710585	382072	Mary Springer MacGregor
710586	18820	Ruth
710586	76964	Law Office Telephone Operator
710586	77794	Myrna
710586	125884	Guest
710586	135973	Daisy Jane
710586	137697	Nurse
710586	154083	Terry
710586	154740	Rita
710586	154763	Lt. Kitty Lawrence
710586	196108	Dawn O'Day
710586	196871	Secretary
710586	223733	Bit Role
710586	279322	Millie
710586	285637	Hilda Jones
710586	303379	Secretary
710586	305934	Young girl
710586	314343	Mary
710586	315266	Frecklehead Tait
710586	316735	Singer
710586	329588	Terry Howard
710586	332425	Annie
710586	346901	Maisie, Second Telephone Oper
710586	353077	Grace
710586	358031	Chorus girl
710586	362959	Girl
710586	372275	Bit Part
710587	273276	Herself
710588	331128	Cecilia Thorne
710589	262758	Beth Hanson
710590	298127	Mary's Party Guest
710590	314745	Nun
710591	64932	Woman on Train
710591	229259	Mrs. Barry
710592	29923	
710592	45072	
710593	112400	Secretary
710594	128230	Jenny Kelly
710594	382393	Helen Lang
710594	390099	Jenny Kelly
710594	390100	Jenny Kelly
710595	86033	Margot Frank
710595	161642	Ruth Kennedy
710595	362873	
710596	267932	A Little Keranga
710597	363997	Rodeo Singer
710598	349898	Lucy
710599	510	Kite
710599	515	Kite
710599	516	Kite
710599	517	Kite
710599	6818	Rusty
710599	9433	
710599	12945	Pupil, Mother
710599	19551	
710599	19768	Poco
710599	20460	Julian Moore
710599	30736	Young Gara
710599	31053	Additional Voices
710599	46135	Musashi
710599	49714	
710599	54891	Shaoran Li
710599	63344	Rusty/Bluebell
710599	86545	Izzy/Terriermon
710599	92718	Seere/Red Dragon
710599	98675	Charville
710599	107610	Cindy
710599	122110	Boushin
710599	122113	Chuei
710599	129453	ScuttleBug
710599	133220	Gandor
710599	138135	Masota
710599	143571	Mrs. Evans
710599	170832	Ongo
710599	171655	Tada's Mother
710599	172089	Jimmy
710599	174325	Rei Yuuki
710599	178642	(US Version, 1984)
710599	182040	Spike
710599	195629	Motoko Aoyama
710599	213445	
710599	215878	Jasmine Curry
710599	218415	Additional Voice
710599	271213	Red Butler/Witch/Spectran/Cas
710599	272650	Helpdesk Girl, Edwina, Qwark'
710599	272651	Help Matron, Operator
710599	272997	Ascot
710599	294028	Additional Voices
710599	313338	Niklas/Roger S. Huxley
710599	313548	Kallie
710599	316626	(voice: english version) Shun
710599	338821	Additional Voice
710599	378651	Kite (Episode 28)
710599	378652	Aisuke, Additional Voices
710599	381960	
710599	383414	Additional Voices
710599	384133	Minoru Kokubunji
710599	385151	Wen [Episode 6]
710599	385569	Additional Voices
710599	386345	Izzy Izumi (1999-2000)/Terrie
710599	387222	Mickey Dugan
710599	389218	Mokey/Cotterpin
710599	389791	Young Shun
710599	393221	Po Kong, the Mountain Demon/B
710599	393293	Additional Voices
710599	393552	Boy A
710599	394051	Additional Voices
710599	394423	Telcott, Chay
710599	394427	Additional Voices
710599	395167	Luciola
710599	395758	
710599	396440	Ascot
710599	396484	Feldrance, Little Boy, Young 
710599	396532	Toad
710599	397187	Little Kasumi
710599	397695	Additional Voices
710599	402729	Motoko Aoyama
710599	402800	Red Butler/Patty O'Green/Cana
710599	402833	Kat
710599	402899	Plue
710599	403965	Suzame/Soshi Okita
710599	404060	Additional Voices
710599	404517	Additional Voices
710599	404572	Akira Terada
710599	406042	Sheila Broslofski/Wendy Testa
710599	406186	Katerina Anastasia/Dutchess D
710599	406702	
710599	408730	Aron/Hassan (Prince Jumal)/Lu
710599	408893	Kaite (English dub)
710599	409817	Matsukaze (English dub)
710599	409831	Meia's Fama
710599	411343	Toboe
710599	411563	Nataku, Mitsuru, Ken, Girl, M
710600	335601	Dancer
710601	8021	
710602	189692	
710602	319569	Mädchen an der Bar
710603	107483	
710604	195736	Waitress
710605	66121	Vanessa
710605	405708	Sally
710606	22732	
710606	118942	Karen Grant
710606	334212	Schoolteacher
710607	41875	Neighbor
710607	49851	Luba
710607	51835	Maire
710607	190261	Bernice Wamboldt
710607	195345	Corey's Mother
710607	246683	Receptionist
710607	273316	Custumer -Pool Store
710607	315925	Lucy
710608	46067	Mrs. Pringle
710609	10222	
710609	14674	
710609	48820	
710609	55187	Carmen
710609	56075	
710609	56978	Catita
710609	57779	Cándida
710609	65558	
710609	76003	Cándida
710609	76004	Cándida
710609	76005	Cándida
710609	87071	
710609	88197	
710609	103530	Loli
710609	123147	
710609	123148	Cándida
710609	123149	
710609	140563	Niní
710609	197446	
710609	199381	Madame Sans-Gêne
710609	211172	Cándida
710609	212365	
710609	219734	
710609	221985	
710609	222037	
710609	222039	Catita
710609	228772	
710609	235928	Carolina
710609	243781	
710609	260948	
710609	275946	
710609	287734	Cándida
710609	350137	
710609	370181	Doña Sofocación
710609	371715	
710609	371727	
710609	376722	
710609	407670	
710609	411624	
710610	189957	Chorus girl
710611	131546	Pat McClellan
710611	264469	Woman Upstairs
710612	46270	Alice on cell phone
710612	60163	Tina Shenk
710612	108382	Karen
710612	115095	Iris West
710612	121521	Liza
710612	135860	Deborah/Girl In Photograph
710612	142618	Terri
710612	230508	Alison Gale
710612	236924	Jill Houston
710612	253338	Margo/Debra Walters
710612	329484	Molly De Mora
710612	332146	Christine
710612	357998	Dr. Abby O'Reardon
710612	359425	Samantha Ellison
710612	384057	Lindsay Sutton
710612	384945	Brett
710612	385420	Dr. Claire Allen
710612	385438	Katie
710612	391516	Janine Barber
710612	405738	Dana Plant
710612	411136	Shelly Thomas
710613	112566	Princess Ineen
710613	167565	Polly
710613	315232	Bar lady
710613	333133	Mrs. Riordan
710613	367567	Wardress
710614	1390	Miss Fitzroy
710614	4671	Herself
710614	7582	Herself
710614	30432	
710614	31183	Herself (ABC Team)
710614	31185	Herself (ABC Team)
710614	31186	Herself (ABC Team contestant)
710614	55627	Herself
710614	58632	Nora Schoonover
710614	64564	
710614	71861	Paula
710614	73678	Waitress
710614	101736	Laverne De Fazio
710614	105420	Bank Teller
710614	110998	Liberation Lady
710614	125511	
710614	126555	Herself
710614	138752	Herself
710614	139216	Angie, Nick's Agent
710614	147214	Master's Wife
710614	151290	Theresa
710614	151461	Tour Girl
710614	161222	Herself
710614	161361	Herself
710614	161370	Herself
710614	164587	Herself
710614	186232	Herself
710614	188447	Alice Wright
710614	196130	Linda
710614	219176	Matty Perlman
710614	220519	Reva
710614	232017	Herself
710614	238230	Myrna
710614	241801	Herself
710614	288700	Theresa DeCastiglione
710614	288702	Herself - Audience Member
710614	288703	Herself - Audience Member
710614	288957	Tina
710614	298091	Cameo appearance
710614	310581	
710614	313971	Lt. Chevetone
710614	342234	Host
710614	342264	Herself
710614	358076	Mayor's Secretary
710614	382356	Miss Larson (1972-73)
710614	395271	Laverne DeFazio
710614	395272	Laverne DeFazio
710614	398233	Laverne
710614	399961	Myrna Turner (1971-1975)
710614	401037	Janice Dreyfuss
710614	409121	Herself
710615	222484	Catgut
710615	356282	
710615	381970	Regular
710615	385288	Regular
710615	401026	Connie Walker
710617	179071	Laurie
710618	263206	Lawrence's Secretary
710618	271868	Sally Ann
710618	312563	Girl at Table
710619	150468	Tante Ethel
710620	112484	King's Favorite
710621	88763	Donna Dewitt
710621	89293	Maddy
710621	89742	Secretary
710621	137449	Nina Angstrom
710621	195267	Candy
710621	224937	Mimi
710621	327061	Kylie Roman
710621	335579	Adrienne
710621	358330	Evelyn
710621	386565	Donna Dewitt
710621	393518	Voodoo
710622	34902	
710622	38884	Herself
710622	89063	
710622	128720	School Girl
710622	188037	
710622	367887	
710623	25250	Lucille
710623	214648	Fran
710623	310303	Oedipus Mom
710624	379344	Buzzwang
710625	359753	Therese (maid)
710626	47162	Kitchen maid
710626	49605	Mrs. Junge
710626	78107	Librarian #2
710626	79478	Diane
710626	119827	Mary Catherine
710626	188589	Dorothy Joyce
710626	194093	Agnes Stewart
710626	194468	Miss Schwartz
710626	252449	
710626	252481	Suzanne van der Vreken
710626	270926	Connie
710626	326756	The Blond Maiden
710626	365153	Pamela
710626	404570	Susan Arvey
710627	296334	Jenny
710628	316067	African Dancer
710629	37924	Jazz-a-lyn Hunter
710629	392802	Flight Attendant
710630	6151	Rosalie
710630	70882	Herself
710631	70882	Herself
710632	247574	Bobbie Johnson
710632	316643	Della Martinson
710632	322922	Rosa Wynn
710632	327231	Julie
710632	372828	Ann Younger
710632	398242	Katy Elliott
710633	399018	Contestant (2004)
710635	34913	Choir member
710636	123708	Millie
710636	300158	Blonde Bar Girl
710637	49894	
710638	213884	
710638	265446	Lilli Buonocore
710639	273076	
710640	404282	Maggie Gillis (1985)
710641	260950	Elite Model
710642	258546	
710643	401108	Beaver Boy
710644	45431	Catherine ridgeway
710644	45921	
710644	54274	
710644	54949	Maid
710644	59741	Europia
710644	78085	Farmer
710644	84901	Sander's Maid
710644	117063	
710644	144896	Sour Teacher
710644	149151	Flossie Payton
710644	171444	Davey's Mother
710644	190268	Wife
710644	200579	
710644	203216	Eleanor
710644	241557	Crying Woman
710644	313076	Boy's Mother
710644	318078	Woman in Department Store
710644	321232	Megrim
710644	371057	Mary Manning
710644	372145	Neighbor
710644	372887	
710645	19839	Françoise (segment "Remue-mén
710645	30816	
710645	32022	Brigitte
710645	53065	Nathalie
710645	58845	Jenny
710645	60894	Priscilla Chesterfield
710645	64758	Frédérique
710645	66753	
710645	84042	Herself
710645	84684	
710645	99376	
710645	112862	Florence
710645	115343	Mimi d'Hayange
710645	135428	La journaliste radio
710645	219018	L'institutrice
710645	226822	Young Woman
710645	239218	Mlle Boudard
710645	249072	Claire (segment 4)
710645	258864	
710645	261792	Juliette
710645	278136	L'infirmière, La jeune fille
710645	309773	Catherine Jumaucourt
710645	336964	Anna
710645	345195	
710645	346735	Herself
710645	356984	Micheline, AKA Sandy
710645	362080	
710645	376999	Herself
710645	378017	La présentatrice de Bobino
710645	397473	Several characters
710645	398650	
710645	400698	La cliente à la tartine
710645	403772	
710645	408317	Juliette
710645	409540	
710646	166871	Native American
710647	10594	Corky Corcoran
710647	29692	Anne Ridgeway
710647	34313	Bit Role
710647	44746	Irene
710647	64505	Agnes Hannon
710647	69302	Girl friend
710647	72570	Telephone Operator
710647	77814	Trudy Harlan
710647	87539	Jerry Hansford
710647	89711	Lenore Baldwin
710647	92883	Elizabeth Van Borden
710647	116897	Secretary
710647	121557	Nora Gregory
710647	121586	Sara Franzen
710647	128468	Miss Kennedy
710647	141620	Jane, Jack's Wife
710647	164662	Myrna
710647	168266	Nina
710647	175809	Marge Andrews
710647	183418	Carol
710647	202988	Woman at Party
710647	206102	Barbara Bentley
710647	206448	Susan Newton
710647	243206	Irene
710647	263169	Jane Donaldson
710647	267550	Mrs. Ross
710647	280448	Gloria
710647	292306	Bit Role
710647	294357	Ruth
710647	297269	Carol Judson
710647	312042	Marilyn Crothers
710647	318608	Genevieve Sullivan
710647	323940	Toni Marlowe
710647	335654	Phyllis Hamilton
710647	365760	Lady Trucker
710648	531	Car Computer
710648	27616	Mrs. Sirol
710648	41465	Jenny/Uranus
710648	58889	
710648	68275	Soviet Amphibious Transport
710648	82054	The Booster
710648	87002	Sonya Hart
710648	95182	Narrator
710648	96733	
710648	100099	Filmbook, Unit Reponse Voice
710648	107943	Wasteland Prostitute (Ruby), 
710648	113274	
710648	117780	Eldrith
710648	117786	
710648	117787	
710648	119564	
710648	161286	Herself
710648	165260	Additional Voices
710648	165261	
710648	190870	Nani
710648	191247	Nala
710648	191302	
710648	211950	Olga Gurlukovich
710648	211951	Olga Gurlukovich
710648	241954	Vega Donna
710648	246675	Catherine, Eve
710648	256646	Mermaid, Valkyrie
710648	274093	Female Voice 2
710648	300231	Wicked Witch/Cinderella/Grand
710648	306844	H.Q.
710648	313487	Jan Ors
710648	319656	Sweetie
710648	324471	Lipstick
710648	340767	Additional Voices
710648	368768	
710648	386206	Melissa Docona
710648	390647	Irwin/Mandy's Mom/Additional 
710648	400180	Annoucer (2004)
710649	330709	Edie
710650	333488	Herself
710651	344176	Kitten
710652	20292	
710652	76608	Janet
710652	96815	Little Isabel
710652	101062	Baby Janet
710652	151269	Mary Baxter
710652	186559	Kit as a girl
710652	224225	Jill
710652	245419	Mary as a child (prologue)
710652	328784	
710652	337161	
710653	127486	Lucy
710653	131534	Mrs. Meggs
710653	242941	Girl
710653	331710	Saloon Singer
710653	367913	Dotty LaRose
710654	50925	
710655	187048	Young girl
710656	5865	
710656	26968	Pauline Logan
710656	27282	An Italian Woman
710656	33032	Herself
710656	34382	Chris Walters
710656	40699	Christine Stevens
710656	51855	Lady-in-Waiting
710656	73901	Rina
710656	78854	Sonia Jordan
710656	80805	Ann Farrington
710656	92573	Miss Taro
710656	99753	Mrs. Forrest
710656	100853	Sante
710656	116931	
710656	131641	Annie Farrell
710656	135598	
710656	142387	Honeychild
710656	142715	Giselle
710656	188316	Helene
710656	194934	Anna
710656	196194	Fritzi Villiers
710656	206465	Marcelle
710656	209629	Lisa Colville
710656	210706	Elizabeth
710656	215077	Secretary
710656	219381	WREN
710656	224414	Hilda
710656	264489	
710656	289635	Laura Vane
710656	304787	Suzanne
710656	306318	Italian Girl Flirting with Jo
710656	306412	Lisette
710656	306440	Nina
710656	307102	Dora
710656	315667	Naomi
710656	321648	Caroline Markham
710656	328649	Sandy Lund
710656	331105	Countess Sophia Ponticelli
710656	331312	Beautiful Blonde (segment "Lo
710656	352144	Carola
710657	10217	
710657	92694	Young Lover at Picnic
710657	385301	Tracey Booth
710657	388637	Norma
710657	402114	Hostess (1984-1988)
710658	264157	Princess Grace
710658	264158	Kid Autograph Seeker
710658	271344	Kindergarden Kid
710659	264157	Princess Camille
710659	264158	Kid Autograph Seeker
710659	271344	Kindergarden Kid
710660	39334	Little Girl
710660	243213	Young Stella
710661	72918	Viola (Warped)
710662	87891	Female Customer
710663	39012	Devushka na parakhode
710664	161633	Molly Beauchamp
710665	5873	Pauline
710665	82924	Lolita Roughage
710665	120290	Averil
710665	245663	Blonde
710665	381738	Sheena
710665	402777	Sandra (1963)
710666	7498	Brooklyn Girl
710666	25868	Miss Dudley
710666	26070	Blonde
710666	32537	Mrs. Mary Hastings
710666	37343	Angie Burke
710666	41759	Friendly blonde at party
710666	73412	Daisy 'Dizzy' Nelson
710666	77674	
710666	77967	Amanda Matthews
710666	79634	Mrs. Simms
710666	84973	Stuttering Blonde
710666	90311	
710666	126670	Anna, the Maid
710666	131545	Blonde girl
710666	143577	Undetermined role
710666	147609	Woman
710704	141230	
710666	152208	Gloria, West Coast Secretary
710666	177392	Lorraine
710666	185080	Blonde
710666	199272	Call of the Wild
710666	208888	Woman
710666	215599	Hortense
710666	218330	Mrs. Vicki Darwin
710666	237818	Helen
710666	254498	Ginger
710666	255143	
710666	261484	Bubbles
710666	289568	Woman
710666	310104	Frieda Johnson
710666	319610	Harriet Harper
710666	331087	Dot
710666	336117	Mrs. Hubbard
710666	360234	La Belle Rosa
710666	361774	
710666	363464	Hazel O'Brien
710666	372179	Mae
710667	228256	Herself
710668	411296	Herself
710669	177309	Irma
710669	260663	Waitress
710670	88075	Jenny
710671	150594	
710673	8369	Moglie di Walter
710673	127870	Vera
710673	229993	Tammy Baxter
710674	90652	
710675	328530	
710676	23368	Carmen
710676	71267	Elisa
710676	74689	Calypso
710676	79867	Carmen
710676	100467	
710676	115235	Clara
710676	122724	Jacqueline
710676	184864	Raven Bigelow
710676	213392	Cecillia (Jessica)
710676	218093	
710676	221908	Astra
710676	244636	Monica
710676	255061	Ponzia
710676	260117	Coat Check Lady
710676	280726	
710676	385497	Merche
710676	387798	Hostess
710676	390480	
710676	404755	Ángela
710677	198	Actress
710677	1380	Isabel
710677	6562	
710677	30243	Valeria
710677	30418	Valeria
710677	73286	Mariana Costa
710677	90741	
710677	104088	Lucía
710677	105185	Sarah
710677	122724	Young Marie
710677	127945	Sandra Bandelli
710677	205019	
710677	206320	Teresa
710677	242607	Betty
710677	258625	
710677	270864	Cugina di Ettore
710677	290022	
710677	334685	
710677	339071	
710677	378403	
710677	404483	Rita Blum (1994)
710677	404755	Elvira Beltrán
710677	404983	
710678	266929	
710679	52345	
710679	280016	Party Guest (Streaker)
710680	64951	Schoolchild
710681	309406	Iris
710682	50465	Lady Barber
710683	375469	Olga Prokopa
710684	194836	Annabelle
710684	385145	Chantal
710685	235315	
710686	26470	Secrétaire du pédiatre
710686	30549	L'infirmière du collège
710686	101156	Charlotte
710687	69631	
710688	321559	Derby Dancer
710689	39703	Jean McTavish
710689	134085	Joan Thurston
710689	148939	Yvonne Daumery
710689	192700	Vera Kennedy
710689	196974	Kathleen Willoughby
710689	211580	Maid Marian
710689	224334	Mary Newberg
710689	279321	Kitty Hamble
710689	282607	Lady
710689	307998	Sally Martin
710689	311981	Barbara Clayton
710689	327719	Betty Findon
710689	328076	Anne Etchingham
710689	360229	Carol Bonnard
710690	11750	Queen Nyleptha
710691	293360	
710691	370865	University Girl #2
710692	4683	Ebba Sparre
710692	27360	Dr. Schneider
710692	217410	Phillipa
710692	231434	Olga
710692	267355	Astrid Lemay
710692	305415	Lazareva
710692	383582	Anne Roman-Coupier
710692	387528	Jane Fairfax
710692	406696	Olga
710692	407568	Ros (1977)
710694	274344	Canoer
710695	281528	
710696	78693	Nurse Benson [Chs. 5-6]
710696	302723	KFWB Switchboard Girl
710696	333316	
710697	27356	Veronica
710697	86971	Vanessa
710697	99601	Restaurant Manager
710698	159175	Dancer
710699	312238	
710700	78182	Starlett
710701	381592	Aida
710702	212996	Emily Baskins
710702	389858	Mrs. Lansbury (2003-present)
710703	105649	Reporter
710703	330514	Woman at Railroad Station
710704	26135	Mrs. Hamilton
710704	37256	Melisande's mother
710704	41141	Encarnacion
710704	56113	Woman
710704	65590	Rena Varsey
710704	101694	Bice
710704	105389	Marcia Lamar
710704	114854	Madame Marsini
710704	114900	Suzette De Pouges
710704	118457	
710704	131566	Madame Julie
710704	144805	Mrs. Mathilda Vanderpool
710704	147536	Maria, Iturbi's Housekeeper
710704	150154	Fifi's Mother
710704	154121	Mrs. Silva
710704	157791	Brouquet
710704	160031	Madame De Coeur
710704	191282	
710704	196413	Charwoman
710704	196857	Paula Lucas
710704	199327	Mother Savord
710704	212242	Matron
710704	216034	
710704	218927	Maruja de Costa
710704	233837	Carmelita's Aunt
710704	240914	
710704	245519	Mrs. Cambridge
710704	263745	La Belle
710704	264456	Toru
710704	266102	Vicente
710704	274451	Mère Michi
710704	281859	Mamacita
710704	281934	Mrs. Preston-Carr
710704	294689	Maria's mother
710704	296939	Madame Vali, A Poetess
710704	323767	Madame Therese Defarge
710704	330836	Mme. Flambertin
710704	332783	Mrs. Philip Remington
710704	351232	Mlle. Hortense
710704	360358	Mrs. Albertini
710704	362994	Caius' bride
710704	364422	
710704	364834	Mme. Gilligan
710705	40004	Half-Pint
710705	59715	Pregnant Mother
710705	245605	Daphne
710705	391194	Priscilla Stanbury
710705	391325	Sylvia Sands
710705	391666	Susan
710705	399192	Anasthesia
710706	88291	Rhumba Dancer
710707	131511	Reporter
710708	72051	
710708	73101	
710708	91082	Lady Earle
710708	109728	
710708	196255	Mrs. Lester
710708	214133	Marion Ocumpaugh
710708	217939	
710708	262068	
710708	346112	Judas
710709	209499	
710709	220100	Undetermined Role
710709	262068	Mrs. Harold Norwood, aka Juli
710709	367495	Zenda, The Woman in Black
710710	200521	Julia's Mom
710711	8217	Diane Haisley
710711	32660	Hayley
710711	200521	Julia
710711	329470	Herself
710711	333328	Daphne
710712	197758	Lisa
710713	403688	Miss Beverly (1962-1967)')
710714	191709	Caroline
710715	132414	
710715	165844	Village Woman
710715	261231	Bronka
710716	47764	
710716	51260	Jandová
710716	55882	Verunka
710716	165054	
710716	189491	Kostecková
710716	244138	Mother
710716	247529	Stríbrná
710716	292992	
710716	335562	
710716	374237	Malíková
710716	375428	
710716	376553	Správcová
710717	196731	Dornicka
710718	3455	
710718	14817	Ana
710718	36502	Ana
710718	68765	Ascen
710718	74492	
710718	90504	
710718	103218	
710718	132703	
710718	199794	Blanca
710718	235296	Paula
710718	236474	
710718	293883	
710718	344863	
710718	351631	Juana
710718	369755	Herself - Presenter
710718	380155	Alexia Vázquez De Castro (200
710718	383347	Rita (1994-1995)
710718	396770	Noelia (1997-98)
710718	400840	Lucía (2000)
710718	404068	Host (1985)
710718	404755	Mari Paz
710718	407733	Herself - Hostess (1990-1991)
710718	409073	
710718	409463	Secretaria (1983-1984; 1987)
710718	411619	Host (1984)
710719	22180	Anna
710719	244087	
710720	192712	Darcy
710720	331276	Alicia
710721	85292	Mara
710721	145134	Mara
710721	270255	
710721	383442	Lourdes Alcántara
710721	390127	Milenka
710721	399807	Helena
710722	2118	Morgan School Teacher
710722	41155	Jo
710722	53950	Girl at Holly's house
710722	56145	Marti Stevens
710722	67619	Frances
710722	73207	Lucille
710722	114223	Nun
710722	116907	Lulu Warnicker
710722	125606	Harper-Smythe
710722	142653	
710722	148566	Mary Jo Lawson
710722	158230	Ricki
710722	168253	Elma
710722	211758	Nurse #2
710722	270349	Matron
710722	274343	Venery Ann Cloyd
710722	304821	Judge Eberhardt
710722	333288	Mrs. LeDoux
710722	400208	Celia Harrodson
710722	411802	Tina Long (1997)
710723	168326	Swim Instructor
710724	194106	Maria João
710724	344098	Yonta
710726	318848	Sandra
710728	315533	
710729	308386	Meriem as a young woman
710729	367308	
710730	18587	Ginger
710730	44293	Gloria
710730	44560	Julia
710730	57115	Madelynne Cabrond
710730	59889	Daphne
710730	89185	Babbette
710730	183580	Madison
710730	194742	Russian girl
710730	282589	Gail Morton
710730	330490	Mamie
710730	342519	Bobby Dolan
710730	343269	Kitty
710730	346023	Blondie
710730	367594	Rita
710731	63730	
710731	336970	
710732	67104	Silvia
710732	132807	Fatima
710732	243381	Membro del gruppo
710732	290926	
710732	386297	Leda
710733	63318	
710734	3507	Angelica
710734	20392	Nora (niña)
710734	46922	
710734	51714	
710734	51812	Kimberly
710734	52617	Sandra
710734	63878	Dulce
710734	67363	
710734	91393	
710734	104165	Fermín's daughter
710734	125664	Cleo
710734	227701	
710734	378444	Shaila
710735	163450	Lydia (Soultanglers bassist/v
710736	114621	Amanda
710736	240819	Oz
710736	271363	Judy
710737	164619	High School Girl
710738	155422	
710739	268514	
710740	356521	Jennifer Barnier
710741	54652	Young girl
710741	82580	Copine café 1
710742	228482	Herself (Hostess)
710742	230316	Carrie
710742	257654	Herself (Miss October)
710742	257819	Miss August 1995
710742	313345	
710743	148085	
710744	358701	Susan Glover
710745	206154	Young Stripper
710746	7067	Flo
710746	16892	Ginger
710746	67579	Tanya Baker
710746	67613	Gloria West
710746	69810	Leslie Horowitz
710746	92688	Maj. Hessel
710746	98810	Madame Jahar
710746	159199	Mrs. Ann Lansing
710746	165282	Herself
710746	362176	Sugar Mom
710746	411802	Mavis MacDonald (1986)
710747	105280	Nurse/The Helen Miles Singers
710747	189973	Chorus
710747	358604	Choir Singer
710748	348004	Herself
710749	4523	
710749	7233	Eve
710749	30798	
710749	63905	
710749	70687	
710749	103989	
710749	157089	Consuelo
710749	159527	Yvonne
710749	169793	
710749	186968	
710749	192240	Nanoa
710749	239287	
710749	259018	
710749	271153	B Girl
710749	281602	
710749	296498	
710749	306496	Christiane
710749	333662	
710749	348675	
710749	370572	Harem girl
710749	371719	
710749	376746	Patricia Morlaine
710751	223787	Georgia
710752	78984	Sheena
710752	147660	Dawn
710752	328130	Sin Sister #1
710753	335238	
710757	47132	Cigarette girl
710757	116193	Katherine 'Kay' Conrad
710757	194943	Rita Carroll
710757	243728	Ann Gelbert
710757	287741	Molly Bates
710757	343016	Pat Meredith
710758	135338	Julie
710759	20267	Sue Bixby
710759	92612	Young Woman
710759	112634	Betty Wilson
710759	117821	Ina Blaine
710759	120687	Olive Wilson
710759	130336	Sandy Long
710759	143202	Betty Thomas
710759	232038	Barton
710759	287748	Nancy Carson
710759	303376	Young Wife
710759	365305	Alice Harkley
710760	162886	Girl #1
710761	37959	Billy
710761	57530	Maisie
710761	88067	Sarah
710761	91432	
710761	111103	Alice
710761	214283	Annunziata
710761	217723	Laura
710761	292350	Anna
710761	346772	Justine adolescente
710761	357848	Isabelle
710761	392911	Sandrine Loisel
710761	403474	Marie à 13 ans
710762	235300	
710763	87198	Interviewee
710764	372757	
710765	314761	Blonde at Casino
710766	32202	
710766	174154	Dame Église
710766	194265	Immigration Officer
710767	6377	La danseuse
710767	8916	Betty
710767	33557	
710767	36610	
710767	258842	
710768	248358	
710769	19248	
710769	23369	
710769	30851	
710769	42614	
710769	115034	Herself
710769	132675	Paula, la maestra
710769	135380	
710769	138021	
710769	205429	
710769	207794	
710769	233550	Isabel
710769	250712	
710769	279256	
710769	281614	
710769	339122	
710769	343733	
710769	351637	
710769	357533	
710770	34963	Sensational Sherri
710770	152429	Herself
710770	282673	Sensational Sherri
710770	282674	Sensational Sherri
710770	282675	Sensational Sherri
710770	318827	Sensational Sherri
710770	318828	Sensational Sherri
710770	318829	Sensational Sherri
710770	320126	Herself
710770	320128	Sensational Queen Sherri
710770	344531	Sensational Sherri
710770	368819	Peggy Sue
710770	368820	'Sensational' Sherri
710770	368821	Sensational Sherri
710770	368822	Sensational Sherri
710770	368823	Sensational Sherri
710770	368824	Sensational Sherri
710770	380994	Herself
710770	410688	Herself (1995-1997)
710770	411543	Sensational Sherri (1993)
710770	411546	Sensational Sherri (1986-1993
710771	357832	Herself
710773	394572	
710774	341559	Leena
710775	90317	Artist's Child
710776	44786	
710776	230435	Pvt. Penny North (London)
710776	392186	Herself/panelist
710777	256217	
710778	386977	Uschi Sobotta
710779	5356	
710779	13014	
710779	14435	
710779	73524	
710779	83424	
710779	103846	
710779	209000	
710779	233949	
710779	236036	Alicia
710779	284338	
710779	302240	
710779	335517	
710779	370170	
710779	371343	
710779	388094	
710779	402585	
710780	176884	Marsha
710781	4626	Betty Crandall
710781	18735	Rosa Vega
710781	37465	Marion Harrison
710781	40337	Moana
710781	72369	
710781	98012	Lady in waiting
710781	99093	Lola
710781	127083	Laura
710781	128186	Maggie
710781	129062	Janet Hallson
710781	130803	Emilie Savonez
710781	132449	Mrs. Austin
710781	142398	Giselle Renault
710781	145410	Nola French
710781	156459	Maria, cigarette girl
710781	177058	Haikun
710781	185462	Alita
710781	185721	Nawob's daughter
710781	194915	Pretty Girl
710781	195743	Suchen
710781	212196	Girl
710781	230288	
710781	251855	Contestant
710781	265591	Col. Briteis
710781	273240	Angelita
710781	279744	Lolita
710781	289213	Flower girl
710781	292318	Young Mexican Girl
710781	309843	Beth Anderson
710781	327772	Maria Segura
710781	342503	Telephone Operator
710781	361727	Ruth Eaton
710781	367464	Flo-Flo
710781	403604	Muana
710782	395675	Hostess
710783	66042	Dancer at Audition
710783	297478	
710784	879	Concierge
710784	57216	Joan Webster
710784	72034	Portress
710784	171691	Lilly Gregson
710784	183772	Prudence
710784	250713	Mrs. Johnson
710784	322598	Emily Scrumptious
710784	382602	Mrs. Baverstock
710784	383843	Rose Finn
710784	388982	Moira
710784	392108	Mrs. Barrymore
710784	396772	Mrs. Rushworth, senior
710784	400109	Mrs. Maylie
710786	379132	Petunia (Chapter 4)
710786	384373	
710787	140855	
710788	147186	Second Engaged Girl
710789	402083	
710790	373886	
710791	396604	Alma Bauer
710792	66042	Dancer at Audition
710792	297478	
710793	386126	
710793	390404	Genoveva
710793	397009	Pirueta
710793	399522	Betty
710793	404869	Lulú
710794	69160	Herself
710794	69163	Herself
710794	69164	Herself
710794	104749	Swiss entry (14th place)
710794	189845	Herself
710795	199602	Une petite femme
710796	133949	Herself
710797	368559	Yvonne
710798	105462	
710798	110749	Street neighbour
710798	371271	Empleada de la facultad
710798	384782	Cristina
710798	384823	
710798	389780	Silvia
710798	395310	Dina
710798	397498	
710798	398983	Bernarda 'Bernardita'
710798	412120	Antonia
710798	412198	Esther Tacone
710799	128594	Gym Coach
710800	284552	
710801	218292	
710801	370717	
710802	334798	
710802	373986	
710803	399655	Donata
710804	57255	Gia
710805	297817	
710806	328210	Un'orfanella dell'istituto
710807	55809	
710807	196715	Social assistant
710808	328321	
710809	157785	Isabella Caracciolo
710809	328321	Sara
710810	25846	Kathy
710810	68614	
710810	199030	Silvana
710811	69180	Host
710812	396506	Consuelo
710812	401900	Paula Medeiros
710813	23549	
710813	86093	
710813	113709	Livia
710813	197584	
710813	235760	Ivana
710813	235761	
710813	313174	Norma
710813	315829	Megera
710814	20666	
710815	78141	Darby's Grandma
710816	42296	Swedish Suntanning Team Membe
710817	26644	Grace Jefferson
710817	40726	Holly
710817	47586	
710817	61627	Thelma
710817	95271	Ms. Pink
710817	124554	Cavendish
710817	165498	Cory
710817	175171	Dr. Havice
710817	216879	Ellen
710817	236873	Chief Nurse Iris Foster
710817	246604	Dora
710817	274805	ICU Nurse
710817	280475	Susan Holt
710817	363265	Terry Hill
710817	368110	Mike's Mother
710817	375842	Rachel
710817	406666	Richter
710817	409986	Maggie Hayes
710818	207723	Prostitute
710819	374784	
710820	3405	Emily Haigh
710820	35481	Ellen Hardy
710820	62886	Freda
710820	81446	Gwen Dresner
710820	112188	Hannah Kelly
710820	115249	Barbara
710820	131746	Jean Humphry
710820	148090	
710820	218552	Mrs. Sykes
710820	233528	Katharine Freeman
710820	381212	Mrs. Richards
710820	382332	Carol Cooper
710820	383631	Staff Nurse/Sister Eve Montgo
710820	388486	Liz Ashburn
710820	391092	Harry's ex-wife
710820	392697	Tabitha Aykroyd
710820	395535	Ada Pratt
710820	396057	Mel Lynch
710821	5483	Bella Bland
710821	37112	Helen Myers, Francis' Sister
710821	45374	
710821	56157	Anna, the Slavey
710821	59406	The Ingenue
710821	71131	Grace
710821	73403	
710821	95319	
710821	116967	
710821	133842	The Indian Maid
710821	138228	Nurse
710821	149150	Naturige
710821	153983	Eloise Landman
710821	155725	Marion Mitchell
710821	157468	Anna, Betty's Sister
710821	158164	Strongheart's Mother
710821	163237	
710821	164684	Helen, Big Bill's Daughter
710821	179245	Kodak Kittie
710821	188172	
710821	203045	Ruth Ward
710821	213356	
710821	214990	The Lame Girl
710821	224268	
710821	233961	The Sister
710821	249489	The Indian Servant
710821	251493	The Maid
710821	262587	
710821	277031	
710821	289032	The Girl
710821	308659	Mildred Hale
710821	308922	
710821	310683	Sophie
710821	337637	Fawn Afraid, the Indian Girl
710822	325653	
710823	170128	
710824	316760	Woman in Diner
710825	407361	Host (1981-1984)
710826	388051	Herself (2002)
710827	170541	Cheerleader
710828	51077	Guri
710828	136630	Sara
710828	172785	Mona
710828	178438	Gertrude
710828	390848	Sara
710829	58954	
710829	63697	
710829	345262	
710829	349492	Anna
710830	186952	Maren
710830	409625	Svenja Lindström (2004-)
710831	368356	MCore receptionist
710832	20435	In-Field-Reporter
710833	264434	Roberta
710834	177119	Boom Operator
710835	394776	Herself (1999-2000)
710835	400136	Herself (2000-)
710835	412034	Herself
710836	3126	Nina
710837	458	Rosi
710837	122769	
710837	177137	
710838	312887	
710838	409625	Romy Minz (2003-)
710838	412106	Sina Krallert
710839	17131	Kate
710839	45289	Doris
710839	56672	
710839	58483	Woman in pearls
710839	192728	Cora
710839	267339	Gloria
710839	361248	Mrs. Grissom
710840	176848	Shampoo Girl
710841	156565	
710842	362453	Marshall Field's Shopper
710843	103215	Porcelain Bus Dancer
710844	128583	Druggy Chick
710845	67361	Mother in 'Cheerful Day: Intr
710845	91351	
710845	99370	
710845	152289	
710847	253373	Cazadora
710848	39083	
710848	246669	Herself
710849	140411	Inkeri
710850	46249	Third Nurse
710851	388860	Parade Model
710852	212154	La femme du garagiste
710854	6280	Lidia Argounova
710854	7506	
710854	28760	Dada
710854	69364	
710854	108723	
710854	188602	
710854	234564	Lidia Augounova
710854	236187	Lina
710854	360466	Lydia Argounova
710855	220080	Decent Babe
710856	198634	
710857	3973	Stutz' Girlfriend
710858	90759	
710858	199380	La Roussotte
710859	55108	La petite fille
710860	225493	
710861	20378	
710861	157235	
710861	243022	Madame Glaisu
710862	239279	
710863	234136	Herself
710864	91277	
710865	155350	
710865	293696	
710865	395358	Grete
710866	15187	Prostitute
710866	17749	Dancer
710866	31606	Marta
710866	46353	Kid
710866	59797	Gloria
710866	106157	
710866	176503	Gloria
710866	194836	Princess Carmen
710866	282467	Penny
710866	394406	Gloria (1984-1986)
710866	411278	Dahlia Mendez (1990)
710867	18223	Maria
710867	102101	
710867	136438	Tamtakos'mother
710867	163152	
710867	212553	
710867	212594	
710867	226750	
710867	246625	
710867	329735	
710867	335367	Vana Yapahaki
710867	403251	Thalia Sekeri
710868	181708	Nainen elintarviketehtaalla
710869	256878	Mankkatyttö 1
710870	211038	Vaalea tyttö Kuopiossa
710871	392292	
710873	178376	Statist
710874	136645	Marie-Hélène
710875	195812	Mrs. Reed
710875	380390	Blair Simpson
710876	78980	Jen Armstrong
710877	43333	
710877	282781	Pierre
710878	104616	Herself (Belgian entry) (7th 
710879	77348	Dorina
710879	253588	
710879	256487	
710879	278150	
710879	345354	
710880	20928	
710881	293222	Sara
710882	14005	Hugh
710882	52443	Member of the congregation
710882	269617	Mannerjay's Scribe
710882	303226	Classroom Kid
710882	315999	Maria
710883	115911	
710884	311448	Alice
710885	395625	Mrs. Overs
710886	29513	Bar's owner
710887	304838	Gabby's Friend
710888	310869	Nellie
710889	185197	Desert Waitress
710890	309896	Whitney
710890	405038	Girl #2
710891	22664	Moe
710891	265761	Pamela Parker
710891	280174	Patsy, Little Girl at Airfiel
710892	2988	
710892	25104	
710893	184769	Steph
710893	196981	Saloon Girl
710893	396142	Saloon Girl
710894	386790	Esperanza Blanco
710894	400485	Silvia
710895	36751	Nikki Collins
710895	111792	Laura Mayberry
710895	183823	Nikki Taylor
710895	330397	Linda Madison
710895	348357	Sally Johnson
710895	371108	Wahleeah, Sayapi's Arapaho Ca
710896	2762	Performer and Nominee Feature
710896	11280	Olivia
710896	11426	Dr. Ellen Wyckoff
710896	15887	Phlegmenkoff/Old Woman
710896	16354	Edith Prickley/Yolanda Devill
710896	30478	Baba Yaga
710896	33372	Muriel Twyman
710896	39372	Phyllis Carlson
710896	42913	Penny
710896	44385	Toots
710896	53930	Gloria Wellaby
710896	66131	Linda White
710896	79555	Aunt Betsey
710896	118576	Girl next door
710896	119525	Herself
710896	120258	Herself
710896	120807	Miss Carbuncle
710896	135640	Mirth Meadows
710896	136510	Miss Cratchitt
710896	139591	Diana Moon Glampers
710896	141815	Phyllis Stein
710896	157464	Herself
710896	157978	The Ad Woman
710896	159959	Waiting Room patient
710896	163603	Wife
710896	163852	
710896	167697	Ms. Fowl
710896	167698	Mrs. Fowl
710896	168843	Various SCTV Characters
710896	171124	Edith Prickley
710896	176371	Kathy Tudor
710896	176411	Witch
710896	177074	Mrs. Stoppable
710896	194638	Professor
710896	206597	Ruth
710896	206664	Yolanda Devilbis
710896	223719	Aunt Voula
710896	223967	
710896	230926	Senator Anne Lipton
710896	263983	Serena
710896	273745	Lunchlady Harriet
710896	278412	
710896	279659	
710896	282957	April
710896	283104	Aunt Miriam
710896	295007	Herself
710896	309678	Concord Seductress
710896	314484	Dorothy
710896	326602	Bag Lady
710896	335692	Bitsy
710896	336140	Steffie Conti
710896	339399	Grandma
710896	358114	Liz Butsky
710896	363514	Herself
710896	364446	Zipporah
710896	368687	Clair Broudy
710896	379311	Ms. Fowl
710896	383280	
710896	383496	Skit characters
710896	384765	Frances Wilder
710896	384803	Mrs. Freebus
710896	385616	Carol Czynencko
710896	385796	Julie Liverfoot
710896	387240	Queen Slug-For-A-Butt
710896	389906	Martha
710896	391096	
710896	395594	Christine
710896	396972	Alice
710896	398670	Voula
710896	403038	Lunchlady Harriet
710896	403836	Roxie Brinkerhoff
710896	404573	Edith Prickley/Edna Prickley-
710896	404574	Edith Prickley/Lorna Menelli/
710896	404637	Edith Prickley/Lorna Minelli/
710896	404897	Additional Voices (Elmo's Wor
710896	406956	Regular
710897	316979	Newcaster
710898	122757	Gerde
710899	83377	
710900	17749	Mrs. McKracky
710900	338766	Aunt Ruth
710901	394650	Herself
710902	171712	Mrs. Markham
710903	240305	Une danseuse
710904	383895	Anchorwoman (1994-)
710904	388139	L.A. Anchor (1980-1994)
710905	238274	Mrs. Hunicutt
710906	20480	
710907	335586	Girlfriend
710908	252524	Holly Wilson
710908	271282	
710909	178455	
710910	43871	Jessica Ford
710910	80865	Nancy
710910	88998	Diana
710910	92613	Clea Lake
710910	137674	Darcy Essmont
710910	265678	Wendy Richards
710910	283398	Hooker at Bar
710910	288930	Wendy
710910	297549	Kim Smedley
710910	358252	Penny
710910	385824	Gwen Davies (1982-1985)
710910	386602	Nurse Diane Cooper
710910	402773	Nurse Koscinski (1977)
710910	405638	Dori Doreau
710911	134637	
710911	211366	
710911	392750	Geneviève
710911	403643	Une nonne/Une Dame de Parage
710912	137946	Gertrude
710912	310376	Motel Woman #2
710912	355331	
710913	115163	Woman in Car
710914	41185	Marcy, girl on beach
710915	330784	Juney
710916	351914	
710918	228164	Barn Dance Party Guest
710919	335472	
710920	412161	Sharon
710921	28158	
710922	395280	
710923	72045	Amy Spencer
710924	55897	Francinete
710925	368997	Mary Lincoln
710926	49944	
710927	390757	Regular
710931	366418	Denise
710932	60323	Hanna
710933	155920	Part of couple
710933	164596	Violet
710934	73606	Claire
710934	323978	Gina (aka The Ginger)
710934	362716	Chris Evert
710935	279619	Herself - Interviewee (audien
710936	207149	Sarah
710936	361774	
710937	12799	
710937	31459	Carla
710937	52044	
710937	102925	
710937	117315	
710937	150288	
710937	155128	
710937	172158	
710937	184928	
710937	211185	
710937	211778	
710937	334288	
710937	358509	
710937	368320	
710937	392569	
710938	131347	Herself
710938	143832	TV Newscaster
710938	270752	Bartender
710938	401185	Herself - the In-Studio Ancho
710938	405997	Host (1999-2000)
710939	28158	
710939	327564	Patty
710940	160579	Celia Matheson
710940	258933	Midge Hardcastle
710940	391194	Dorothy Stanbury
710941	359425	Model
710942	3046	Herself - Best Art Direction 
711000	326753	Bank representative
710942	231856	Herself/'Production & Costume
710943	152676	La vendeuse bourrue
710944	294558	Catherine
710945	186017	Lisa Casey
710945	269071	Abbie Hammer
710945	310303	Scarlett
710946	363756	Hunting Montage
710947	88067	Une soubrette
710947	285819	La pisseuse
710948	293198	Smith
710949	224667	Sandy
710950	281463	MRI Technician
710951	278870	Josette
710952	365452	Patroller
710953	154071	Prostitute
710953	393934	Petra
710954	220276	Parisian Dancer
710955	194136	Girl Walking Dog
710956	381764	Guest Host (2001-2002)
710956	395304	Hostess (1992-2002)
710957	366070	Hoochie
710958	89065	
710960	147539	
710962	337033	Etudiante 68
710963	321622	
710964	291697	
710965	362073	Elsie
710965	409532	
710966	73504	Termina
710966	300919	Female Student
710967	117281	Sue Lewis
710967	127125	Lulu
710967	303891	Susan Halsey
710968	294909	Girl
710969	390916	Regular
710970	273001	
710971	199150	Maid
710972	48564	Firefighter
710972	51639	Girlfriend
710972	154363	Wendi
710972	348592	The Friend
710973	80806	Denise
710973	236137	Darnell
710974	364577	
710975	104773	Irish entry (9th place)
710976	80921	Herself
710976	286691	Herself
710976	316304	
710976	372492	Evie Cushman
710977	345964	Phil's sister #2
710978	161293	Herself
710979	37682	Bistro Patron
710980	340320	Housewife
710981	35709	Daniella Matzo
710982	80050	Shavonne Wright
710982	87865	Annie
710982	272020	Dawn
710982	321559	Christy
710983	233955	
710984	150887	
710984	196483	
710984	202268	
710985	54114	Stripper
710985	163405	Denise
710986	46215	Telegram Girl
710986	243620	
710987	45619	Mère de l'enfant
710987	99590	Première journaliste
710988	381398	Diane Martin/Miss America I
710989	185369	June Carrington
710990	7405	Girl at Coal Mine
710991	43586	Nina
710992	247565	
710993	289024	Momma Dean
710994	6144	Woman Scrubbing Floor
710994	18009	Lady in park
710994	21475	Elderly Fan
710994	27150	Mrs. Bryan
710994	39836	Elderly Lady
710994	82609	Miss Winnifred Tisdall
710994	90398	Postmistress
710994	99292	
710994	100861	Gloomy Gertie
710994	109047	Mrs. Bulger
710994	110368	Blanche
710994	116505	Old Lady
710994	125620	Guest
710994	129365	Miss Lindrum
710994	133590	Mrs. Whimple at river house
710994	143608	Mrs. Galloway
710994	146631	Lady on roof
710994	163199	Mrs Watson
710994	163560	
710994	169641	
710994	176451	Woman on the bridge
710994	183845	
710994	183878	Lettice
710994	186230	Miss Evesham
710994	186736	Miss Calthorp's Friend
710994	203212	Mrs. Watson, Sidney's landlad
710994	209616	Deaf lady
710994	223771	Churchgoer Shaking Hands
710994	224361	Miss Ellis
710994	227022	Lady in Autograph Crowd
710994	232306	
710994	239741	
710994	240019	Annie
710994	257095	Cook
710994	276650	Mrs. Stevens
710994	281424	
710994	285638	Little Woman in Church
710994	311828	
710994	330236	Cook
710994	333245	Mary Wade
710994	333897	Emily
710994	335636	Gordon's Mother
710994	346146	Maria
710994	347529	
710994	360900	Lodgekeeper's Wife
710994	363042	Customer
710994	368017	Mrs. Gustick
710995	343117	
710996	21600	
710996	84332	
710996	104180	
710996	106309	
710996	193067	
710996	210172	
710996	221944	
710996	243614	
710996	265115	
710996	269706	
710996	283071	Isabel-Florelle
710997	279201	Dancer
710997	279202	Dancer
710998	12229	Lucy Vernon
710998	35661	Estate Agent
710998	385646	WPC Georgie Cudworth (1995-19
710999	133759	Maid
711000	97940	Priscilla Pavlove
711000	307410	Pvt. Dixon
711000	361248	Mrs. Iannone
711002	307410	
711002	309718	Reese's Mother
711003	242544	Mimosa
711003	397376	Herself
711004	82682	Dorothy Goodman
711004	175595	Mrs. Biggs
711005	98818	Girl in Crisis
711006	337478	Beate Franzki
711007	274332	Dancer
711008	127290	Birthday Party Kid
711009	384932	Herself/Co-host
711009	393770	Co-host
711010	281873	Lady Cunningham
711011	240841	Trio Dance Team Member
711012	210209	Herself
711013	142716	Le Page
711013	363900	Sister Linda Fay
711014	103281	
711015	117409	Barbara Reynolds
711015	123055	
711015	190502	Jeanette
711015	214140	Dorothy Wright
711015	215532	Alice Altwold
711015	291150	Bessie
711015	301611	Her Maid
711015	309512	Romaine's wife
711015	332808	Marion Harding
711015	346251	Lacy Duncan
711015	362948	Elsie Henner
711016	129691	Schauspielerin
711016	171706	
711016	242842	Mizzi Schuster
711016	278159	
711016	347659	Francis
711016	353998	Sabine
711016	354073	
711017	364382	Selina
711018	313995	Polly
711019	236164	
711020	385913	Herself (1969)
711020	385915	Regular (1967 & 1971)
711021	391774	
711021	405616	Mandy MacFarlane
711021	405960	Prue Armstrong
711022	222657	Shirley
711022	360962	
711025	5925	Melissa
711026	27331	Director's Aide
711028	202195	Roseland Dancer
711028	290319	Greta
711029	240322	
711030	244841	Lowell schoolgirl
711031	186207	Jessica
711032	14989	Mrs. McKenzie
711032	16251	
711032	22821	Miss Ella
711032	35232	
711032	35524	Grandma
711032	49441	Momma Doll
711032	64117	Flower lady
711032	71476	Church Sister
711032	80898	Baptist #3
711032	81316	Alma Lee Brown
711032	88766	Maddie, Welcoming Committee
711032	95133	Mrs. Harrod
711032	143829	Mrs. Bell
711032	147844	Bobby's Grandmother
711032	151125	Mrs. Deevers
711032	154940	Mrs. Alberta
711032	164242	Mrs. Hill
711032	178138	Nana Cross
711032	186425	Mrs. Cartwright
711032	231779	Sadie
711032	254619	Helen Ward
711032	256842	
711032	270910	Mrs. Canfield
711032	271335	Mrs. Johnson
711032	275889	Mrs. Parks
711032	302468	Old Lady
711032	308114	Elderly Woman
711032	322631	Mrs. Sears
711032	358052	Harbinger's mother
711032	363497	Job Applicant
711032	378801	Pearl Shay
711032	381077	Luzelle Carter
711033	404608	Judge (2001-2002)
711034	217741	Peep Show Girl
711035	29363	Margot
711035	79165	Sabine
711035	108158	
711035	140277	Inge Perlacher
711035	156983	
711035	189688	
711035	197824	
711035	210101	
711035	290786	Vroni
711035	308216	Anni
711035	352503	
711036	43343	Ludmilla
711036	91122	Die Rote
711036	144148	
711036	174391	Erna
711036	182146	Mrs. Janisch
711036	270546	Eva
711036	361118	Anni
711036	366495	
711037	16073	
711037	16144	Teacher
711037	108314	Barbara Baildon
711038	60323	Cheerleader
711039	401443	Jeanne
711040	40250	Baby Nicholas
711040	344663	Young Violet
711041	122245	Girlfriend
711042	77198	Diana Alderman
711042	227327	Jenny
711043	5987	Mrs. Murray (Actor's Blood se
711043	46769	
711043	171134	Member of USO Troupe
711043	285637	Girl
711043	319611	Esther Pomfrey
711043	323389	Marcia
711043	327685	
711043	342889	Rocking Chair Lady
711043	346240	Woman
711044	142501	Dee
711044	352750	Sandra
711045	71819	La Femme Au Cimetière
711046	81005	Checkout Girl
711047	262589	St. Matthew's Choir & Band Me
711048	247926	
711050	68688	Betty Crichton
711051	33698	Rosarita
711051	52198	Tessie
711051	52523	Princess Tahia
711051	78980	Jen
711051	138223	Rosita Morales
711051	141337	Virginia Galtry
711051	177392	Jean Lacey
711051	183546	Singer
711051	184094	
711051	201064	Jill Jones
711051	215862	Natasha
711051	311742	Specialty
711051	337778	Beatrice
711051	371072	Showboat Singer
711052	299070	Opera Singer
711052	361246	Herself
711053	311601	Pizza Fishie
711054	308112	Dan Howard
711055	19995	Nurse
711056	165246	Cindy Styles
711057	358486	Rose Douglas
711058	80469	Tango dancer
711058	282928	Dairy Twist Employee
711059	80921	Herself
711059	166915	Herself
711060	368036	Mrs. Decker
711061	243331	Cubicle Dweller
711062	388860	Parade Model
711063	51603	Jenni
711063	92215	Mickie Dunmore
711064	204695	Rita
711064	220099	Coffee Shop Cashier
711064	262132	Sara Bellum
711064	383538	Sara Bellum
711064	397422	Elle (#2) (2000-)
711064	402016	Miss Sara Bellum/Additional V
711065	364782	Myrtle Morrison
711066	153458	
711067	124113	Singer
711067	144406	
711067	311419	
711067	380192	Herself (Series 1) (1985)
711067	384969	Various Impressions
711067	401074	
711067	406193	Various Voices
711067	409146	Herself (1987) (series 1)
711068	363883	Tess
711069	166643	Delaware Student
711070	107331	Helen/Skrawk
711071	144406	
711071	188030	Old Prostitute
711072	41415	Kelly Shaver
711073	289400	Isabella
711074	60296	Zoe
711074	117133	Pearl
711074	168905	Tina
711074	222713	Cheryl Stoley
711074	384695	Various roles
711074	385306	Natalie Crouch
711076	304863	Student
711077	84869	Dee
711078	138812	Josephine
711079	322353	Mère de Séraphin
711080	89586	Dolemite Girl
711082	196627	Herself
711082	282671	Herself
711082	320126	Herself
711083	275674	The wife
711084	389786	Verinha
711086	15929	Herself
711087	223695	Tina Murray
711087	363395	Verity
711087	371087	Liz
711088	294796	Invitée d'Alice
711089	342662	Nicole
711090	195866	
711091	53039	Pony
711092	368667	Missy May
711093	127237	Snotty Girl (Art Class)
711094	14141	Flower Girl
711095	18979	Tracey
711095	117162	Victoria Lee
711095	203358	Rockette
711095	273863	Nora Cook
711097	24626	Herself (producer)
711098	54953	Townsperson
711099	65552	
711099	185505	Duval's Companion
711100	319078	Burgundy
711101	24360	Lina
711101	51289	Braut
711101	98130	Katharina
711101	170124	Lehrerin
711101	180156	
711101	204507	Gaby Piesold
711101	208429	Fräulein Zahn/Lehrerin
711101	259504	
711101	259592	
711101	259620	
711101	259654	
711101	290261	Rosenrot
711101	314878	
711101	347639	Martina
711101	352367	
711101	352767	Christa Nowack
711101	361511	Prinzessin
711101	376622	Marie
711102	93237	Hostage-Minded Cat, Inganok S
711103	331019	Mrs. Tyler
711105	287142	Marina
711106	67387	Lily-Joe (Age 6)
711107	164619	La Toya 1
711108	5036	Mary Beth McCaffrey
711108	11619	Beth Starnes Sebastin
711108	31500	Chelsea Carroll
711108	42808	Missy Roberts
711108	46424	Laura Keyes
711108	63176	Christy Huddleston
711108	89365	Sheila
711108	107135	Jennifer Sands/Janie Jessmon
711108	114956	Lauren Brody
711108	120202	Angela Delvecchio
711108	131852	Roxanne (Girl in School)
711108	142668	Linda
711108	143188	Billie Calhoun
711108	143240	Alex Saxon
711108	144595	Fusia Podgorska
711108	155879	Katie Liner
711108	161293	Herself
711108	170562	Kristi Carlson
711108	202387	Jen
711108	207838	Sherry
711108	218480	Samantha Wheeler
711108	224818	Samantha Kinsey
711108	240746	Zoe Tyler
711108	242515	Debbie Delaney
711108	277731	Veronica
711108	283443	Karen
711108	292677	Jennie Thomas
711108	340320	Emily Coleman
711108	379568	Sadira
711108	384178	Christy Huddleston
711108	385246	Kathy Goodman
711108	387728	Lucy Knight (1998-2000)
711108	388404	Additional Voices
711108	388759	Detective Fiona Fitzgerald
711108	395548	Rebecca 'Becca' Thacher
711108	402454	Daphne Blake
711108	407636	Molly Tasmanian Devil
711109	172717	Young Kalin
711110	100952	Katia
711111	258860	Fiberglass
711112	190724	Librarian
711112	408637	Lucy Bond
711112	408864	Phoebe
711113	362453	Woman in Park
711114	53821	Baby Anthony
711115	63257	Allison
711116	192769	Herself (Palau researcher)
711117	402790	Additional Voices
711118	177676	Mary
711118	188453	Bathroom Girl #1
711118	363260	Susan
711118	380391	Jenkins (1996)
711118	380713	Camille Bennett (1997-2000)
711118	390771	Nurse Sheryl (2004 -present)
711119	1064	
711119	111063	Nathalie
711119	309752	Apartment seller
711119	357093	
711120	16050	Shirley
711121	130011	Nurse Jackson
711121	364223	Mary
711122	287719	Momar
711123	409795	Diane Emerson Soames #4 (1956
711125	35659	Joy
711127	40250	Baby Nicholas
711127	54988	Woman
711127	96117	Lady Jeweller in Paris
711128	234363	
711130	104640	Herself - Member of the jury
711130	104759	Irish entry (2nd place)
711130	104767	Irish entry (1st place)
711130	104768	Herself (Previous Winner)
711130	147240	Irish entry
711130	401887	Judge
711130	411786	Judge
711131	93238	
711131	99176	Robin
711131	298315	Abby
711131	351907	Gretchen
711131	375808	Billy's Blonde
711132	26860	Doris
711132	52686	Girl on Playground
711132	231439	Ribbon Girl
711133	382220	Dulcinée Sanchez
711133	410252	Soeur Rose-Marie
711134	192941	
711135	17021	Diane Patton
711135	54208	Nancy Bowden
711135	59826	Cutie
711135	73065	Princesa Caramelo
711135	198976	Sherryl Vito
711135	399050	Velvet Brown (1960-1962)
711136	234071	Maori dancer
711137	223646	
711138	345997	Nurse
711139	196571	Party Goer
711140	262732	
711141	63834	Phyllis
711141	90324	Principal Bridesmaid
711141	152910	Colette Weaire
711141	192634	Mrs. Best
711141	297790	Mary Ann Callahan
711141	346139	Michelle's Mother
711141	393228	Maude Shaw
711142	98828	Ellen Parker
711142	201598	Auditioner #7
711143	205540	Doctor
711144	29690	
711145	23699	
711145	70556	Grace
711145	230692	Fay McWilliams
711145	387309	Tiffany Whitney Douglas (1970
711145	394323	Voices
711147	41390	Brittany
711147	131394	Victoria
711147	272518	Betty
711148	355692	Herself - Singer
711149	300671	
711150	204919	
711151	265458	
711152	393669	JoJo
711153	375045	Ziegfeld Girl
711154	72790	Nominee
711155	326202	Colegiala
711156	325276	Snake girl
711157	250525	Neighborhood Kid
711158	326467	
711159	131240	Cathleen Calvert
711159	203568	Daphne Turner
711159	361662	Carol Barnet
711160	405882	Frances Wheeler (1975)
711161	351767	Sasha
711162	48539	Wife
711162	48867	Indian servant
711162	73475	Indian Woman
711162	83573	Squaw
711162	96628	Marguertia, Madeline's Maid
711162	130677	Squaw
711162	178208	Rosita
711162	223810	Woman
711162	223917	
711162	279442	Ayah
711162	303068	Handmaiden
711162	324278	Proprietor
711163	13507	
711163	113480	Flo Humberside
711163	258371	Woman with Groceries
711164	210890	Angel's mother
711164	241819	Frasca
711164	316769	Maria
711165	88936	Gentlewoman
711165	275751	
711165	278303	
711165	351652	
711165	380114	Leonela
711165	387468	
711166	227309	Nanako
711166	234668	Lucy's Friend
711166	309172	Erutron: Red Snappers
711166	405982	Erutron
711167	213581	Chorus
711167	213586	Chorister
711167	250638	Aesthetic maiden
711168	191842	Tella
711169	38838	Léa
711170	7061	
711170	26921	
711170	71378	
711170	71379	
711170	150635	
711170	188040	
711170	188069	
711170	273298	
711170	284934	
711170	306916	
711170	332740	
711170	353746	
711171	223900	Mouzetta
711172	213520	La journaliste
711173	4619	Miss Milbane
711173	9045	
711173	16728	Mrs. Bentley aka Rosie Morgan
711173	37362	Peggy Arden
711173	37364	Mrs. Venus
711173	39205	Millie
711173	40255	
711173	41024	Wanda 'Baby'
711173	41058	Blondie, Jewel Thief
711173	43992	Whitey
711173	52543	Attractive blonde on tour
711173	64090	Burlesque queen
711173	67920	Manicurist
711173	72452	Flashy blonde in corridor
711173	77025	Blonde
711173	80674	Laura
711173	96614	Rose Allure
711173	99399	Cornelia
711173	116120	Blond Nurse
711173	123852	Rita
711173	127699	Terry Vance
711173	128790	Dixie, blond inmate
711173	133712	Kitty Tremaine
711173	137498	
711173	139746	Oomphie
711173	145900	Gypsy McCoy
711173	145961	Evangeline, Louis' blonde ass
711173	155917	Steve's Lady Friend
711173	161975	Lola Snow
711173	162267	Prima Donna
711173	163297	Nurse
711173	169406	Diana
711173	175805	Emmy
711173	183643	Gertie
711173	183760	Alice Angel
711173	183814	Ruby, aka Mary Jordan
711173	190517	JoJo, the blonde
711173	195448	Liza Hatrack
711173	203176	Louise de la Vallière
711173	208902	Myrtle (Marcia's friend)
711173	211579	Gladys
711173	211589	Soubrette
711173	212212	Fifi Russell
711173	212215	Fifi
711173	212217	Diana De Corro
711173	221159	The Blonde
711173	223854	Blonde at Club Babita
711173	224767	Celeste Eltree
711173	230856	Mitzi, tavern wench
711173	234199	Blonde
711173	239076	Big Blonde
711173	239391	La Belle La Tour
711173	240650	Bubbles
711173	252381	Irma King, Junior's latest co
711173	253476	Girl in Office
711173	254558	Betty Hanzel
711173	256638	Kitty (gang moll)
711173	261973	Sue, Blonde Piano Player
711173	269319	Lola Cassell
711173	277534	Party Guest
711173	294744	Charlotte LePage
711173	298099	Miss Brooks
711173	300018	
711173	302885	Iris Compton
711173	313377	Herself - Wife in Bob Hope Sk
711173	313943	Blonde Girl
711173	315557	Jane, Bar Girl
711173	320294	Shooting Gallery Blond
711173	321388	Josephine
711173	321593	Blonde
711173	323883	Squirrel
711173	324054	Dawn
711173	329388	Marion, Natalie's Girl Friend
711173	329592	Pepper
711173	330167	Gloria
711173	332028	Pearl
711173	342947	Marcia's Friend
711173	347731	Girl
711173	360662	Mrs. Errol
711173	360866	Mrs. Gloria Weatherby
711173	367573	Daisy Davenport
711173	367833	Starr's Date
711173	372932	Girl on Beach
711174	72208	Mrs. Maddin
711175	70302	
711175	130305	Sister
711175	147732	Betty Anne
711175	185568	Betty
711175	199525	Ma Frazier
711175	203572	The Maid
711175	221067	Candy Woman
711175	289691	Kay
711175	299485	Woman Couch Potato
711175	312092	Truck Stop Clerk
711175	344151	Fat Housewife
711175	372264	Casting Director #4
711176	154040	Starbucks Woman
711177	140400	
711178	42721	Lane Goodwin
711178	217816	Maria
711178	401645	Ginny (recurring)
711179	3894	Herself
711179	11676	Herself
711179	13929	Herself
711179	17757	Annie Oakley
711179	38238	Herself
711179	38243	Herself
711179	38685	Betty Lou Cobb
711179	109361	Herself
711179	117526	Herself
711179	125512	Nellie Forbush (segment "Sout
711179	133848	Louise Hall
711179	138804	Marjory Stuart
711179	178134	Cindy Lou Bethany
711179	196129	Mary Allen
711179	200313	Herself/Cinderella/Peter Pan
711179	201068	Herself
711179	206869	Herself
711179	206870	Herself/Dolly Levi/Narrator
711179	230953	Alexandra Curtis
711179	231768	Herself
711179	232017	Herself
711179	253915	Peter Pan
711179	270918	Drama Teacher
711179	277531	Cherry Lane
711179	313377	Herself - Hit the Road to Dre
711179	340853	Bonnie Porter
711179	349859	Gracie Schwartz
711179	400599	Host (1981-1983)
711179	402245	Peter Pan
711179	402245	Sabina
711180	16669	Patient
711181	47510	Isobel Berner
711181	78683	Irene
711181	83154	Rose Hare
711181	104333	Mrs. Drummond
711181	133892	Janet Rand
711181	140693	Undetermined Role
711181	141213	Margaret Danforth
711181	289597	Hester Prynne
711181	332808	Mrs. Edwin Harris
711181	350228	
711181	355983	Helen Drummond
711181	367988	Eleanor Davenport
711182	278036	The Cook
711183	263	One Big Happy Family Member
711184	65453	Cheryl Ann
711184	399769	Carla
711185	201063	Miss Wilson
711186	15058	
711186	23778	Tante Anna
711186	43680	
711186	45140	La femme à la valise
711186	51409	Mlle. Machu
711186	51954	
711186	65380	
711186	65382	Mélie
711186	65384	
711186	65385	Mélie
711186	70597	
711186	75627	
711186	96052	
711186	100353	
711186	101194	
711186	118840	La directrice
711186	122376	Mere Anselme
711186	132066	La concierge
711186	138877	Mme. Fallere
711186	169648	
711186	171008	La mère Soulage
711186	187509	
711186	200575	Maryse
711186	216350	La Concierge
711186	218246	Justine
711186	218258	Clémence
711186	235822	Maman Terrine
711186	240484	La fermière
711186	248995	Germaine
711186	248996	
711186	254039	Mélanie
711186	265719	
711186	278136	Une paysanne
711186	286048	
711186	292380	
711186	309023	La serveuse aux saucisses
711186	309689	Veleda
711186	377660	La patronne du 'Lapin du Morv
711186	382195	Perrine
711186	384009	
711186	387848	
711186	393486	
711186	396370	La voisine
711186	399396	Mme Aubrac
711186	404358	
711186	404861	
711187	330563	Marina Mom
711188	252450	Diana Ford
711189	50207	Joan Sankey
711189	77198	Penny Highsmith
711189	79106	Vivien Leigh
711189	92509	Rachel Carew
711189	221221	
711189	259165	Demelza
711189	269923	Rebecca
711189	292226	Frances Ingham
711189	321085	
711189	324014	Jennifer Creevey
711189	335155	Alice Long
711189	347447	Deborah Riscoe
711189	363877	Mrs. MacGregor
711189	379287	Lady Ann Howard
711189	379571	Valerie Harkness
711189	380972	
711189	384100	Sophie Cramer (episode "The M
711189	385139	Deborah Riscoe
711189	388324	Barbara
711189	389440	
711189	389711	Fiona Samson
711189	392779	Linda Patterson
711189	396073	Lydia
711189	397380	Mrs. Otway
711189	397433	Jane Carleton
711189	400402	Jenny
711189	400709	Violet Effingham
711189	400909	Diana Barrister
711189	401275	Henrietta Musgrove
711189	406643	Persephone
711189	406912	Rosie Fortinbras
711190	330563	Marina Kid
711191	76384	Mary Bain
711191	80584	Pirate Tug Reporter #2
711191	81052	Sobbing nun
711191	86558	Pilot #2
711191	261431	Madeline
711191	353707	B-Movie Housewife
711191	363666	
711192	30933	
711192	41518	One of Derek Foreal's party g
711192	93312	
711192	106597	Popular Girl
711192	113402	Angela
711192	114349	Denise Towers
711192	176903	Emma
711192	265100	Friend #2
711192	309718	Ashley Bainbridge
711192	387981	Molly Newton (1990-1991)
711193	105422	Nurse
711194	243229	Sissy Mudd age 7
711195	42577	
711196	401301	Leslie Lindsey
711197	16885	Nude
711197	34729	
711197	76552	
711197	288493	Vampire girl
711197	381661	Various Roles (1971-1972)
711198	281755	
711198	409612	Helga Zeuner
711199	625	
711199	202151	
711199	352251	
711200	139283	Family Member
711201	59126	Kathy Russell
711201	113286	Bar Patron
711201	255370	Student #1
711201	335880	Der Pizzahaus Girl
711201	372884	Maryvonne
711201	380259	Janet Dickens (1982-1983)
711201	384457	Emily
711201	403469	Michelle
711202	193534	Michelle
711203	123322	
711204	61793	Ginger
711205	67250	
711205	103177	
711205	170116	
711205	198251	(French Version)
711205	249706	
711205	326087	
711205	345229	Mme Renaud
711205	376969	
711206	4663	
711206	10413	Siddie
711206	128413	Billie Bennett
711206	144406	
711206	149821	Joan
711206	161756	Sister Kay Manning
711206	189253	Maisie
711206	213621	Herself
711206	221305	Mrs. DeSalis
711206	235591	Ann Horton
711206	282700	
711206	315311	Evie/Anya/Ara/Ginnie
711206	331105	Hostess
711206	385824	Lili Faversham (1998-2000, 20
711206	386863	Harriet Conover
711206	389408	Millie Grover
711206	397758	
711206	398180	Gladys Moon
711206	407939	Herself
711206	407940	Herself
711207	79419	Gloria Raymon
711208	217988	Henderson's Mother
711209	120807	
711209	163529	
711209	176888	Kid at Ice Rink
711209	314439	Tiffany
711211	209061	Credit Girl
711212	62542	Young Woman
711212	135989	Rosalyn
711212	139073	Helen Bundy
711212	147278	Polly
711212	158951	Mandy Pullman
711212	387542	Amy
711213	94613	Alien Jumpsuit Chick #1
711213	139467	The Woman
711213	168238	Miss Clipper
711213	194136	Mrs. Pryce
711213	284628	Premiere Audience Member
711214	72055	
711215	52457	Housekeeper
711216	131232	Extra
711218	170751	A Chimp
711218	245680	A Chimp
711219	131587	Flapper
711220	282545	Madam
711221	74402	Nurse
711221	101550	
711221	162974	
711221	211707	
711221	357737	
711221	407241	Margit néni
711222	11386	Divorce lawyer
711222	17156	Mrs. Norton
711222	21003	Margo
711222	37033	Widow Thayer
711222	50096	Mrs. Nichols
711222	50290	Edna
711222	56431	Kelly's Mother
711222	61587	Barbara
711222	64389	Doris Fleming
711222	67597	Rose Walker
711222	77760	
711222	81016	Karen Lipner
711222	88867	Margaret Skridlow
711222	96663	
711222	117086	Doris Austin
711222	117664	
711222	130807	Cora Hartsell
711222	131764	Mrs. Ben Patimkin
711222	137912	Gertrude
711222	148245	
711222	154648	Doris
711222	159889	M
711222	164612	Allison
711222	174644	Aunt Isabel
711222	185287	Mrs. Hardwick
711222	196544	Walter's Nurse
711222	203175	Polly Lawrence
711222	208080	
711222	219979	Beatrice
711222	221313	Mrs. Berson
711222	221784	Claire Townsend
711222	232455	Sister Mary Helena/Amanda Kru
711222	236687	
711222	244407	June Kinmont
711222	244408	June Kinmont
711222	245498	Allison
711222	263789	Sonia Lindstrom
711222	266103	Laura
711222	275456	Annie Hodges
711222	297190	Nurse Tanya Peeler
711222	305341	Mrs. Baxter
711222	308634	Mrs. Nathanmeyer
711222	328556	Ivy
711222	331416	Dean Nazarin
711222	337211	Charlotte Warkins
711222	366426	Mrs. Baker
711222	372663	Woman Reporter
711222	398411	Grace D'Angelo
711222	401528	Additional Voices (season 2)
711222	404282	Abigail Beckwithe (1992)
711222	408096	Sister Agatha
711222	411354	Diana Vreeland
711223	215761	Hooker
711223	307898	Hilda Munson, Nursing Home Di
711224	146856	
711224	224287	
711225	142373	
711226	34463	Young Lillibet
711226	193993	Angela
711227	370062	Marina
711228	83340	La boiteuse
711228	410074	La prostituée
711229	72490	Ring Girl
711229	194332	Wooden Nickel Waitress
711229	309202	Tri Pi
711230	189849	Herself
711231	147663	Herself
711232	63122	Lollie Hockmeyer
711233	44689	Herself (singer)
711233	186004	Singer
711233	271997	Herself (singer, Pals of the 
711233	282526	Singer, Pals of the Golden We
711233	301935	Nora (singer)
711233	312817	Herself (singer, Pals of the 
711234	161415	
711235	10748	Alice
711235	55471	
711235	253918	
711236	373990	Tiger Cheerleader
711237	41363	
711238	5527	TV Commentator
711238	63113	Newscaster
711238	80381	TV Reporter
711238	85629	Newscaster
711238	140843	A.M. Baltimore Host
711238	190230	KQMO Anchorwoman
711238	190927	News Anchor
711238	207505	Female TV Reporter
711238	283320	News Anchor
711238	333393	TV Commentator
711238	336653	Bank manager
711239	31445	Linda Lebon
711239	50276	Margie Hooks
711239	74218	June Robeson
711239	95875	Herself
711239	115432	Liz Stone
711239	128760	Gail Dorn
711239	135789	Sally Underwood
711239	142752	
711239	152536	Verna Gold
711239	183698	Polly Franklin
711239	244923	Abigail (Abby) Reed
711239	261237	Susan Shelby
711239	285775	
711239	304336	Doctor Spencer Jenkins
711239	317153	Celia Grey
711239	334170	Rosalind McCarthy
711239	336039	Lillian Weller
711239	387152	Fallon Carrington Colby (1981
711239	391055	Nancy Drew #1 (1977-1978)
711239	406390	Herself
711240	61697	Beth's Mother
711240	65895	Mrs. Lock
711240	71742	Martha
711240	240232	Woman at Wake
711240	270631	Herself
711240	346873	Lady Palisibury
711240	362722	Mrs. O'Shaughnessy
711240	403415	Mary Dwyer
711241	173353	Mrs. Burrowes
711241	210485	Matron
711241	366827	Jean
711241	399130	Wendy Baker (2000)
711241	408074	Mrs. Braithwaite
711242	73891	2nd Flower Girl
711243	71732	Undetermined Role
711244	136509	Hollywood Blonde
711245	183879	Gawain's Mama
711246	63639	Arpège
711246	171596	
711246	218333	Docteur Perron
711246	346423	Angèle Meilleur-Maheux
711246	379430	Dolorès Poitros
711246	380981	Ginette
711246	387118	Garde Thivierge
711246	389471	Yvonne
711246	390486	Lili
711246	398847	Chantal Cardinal
711246	410252	Suzanne Simoneau
711247	120806	Theresa
711248	50904	
711249	223065	Lila O'Brink
711250	365760	Lady in Welfare
711251	40813	Landlord
711251	45426	Ice Cream Girl
711251	328432	Fille Quick
711252	58939	Hairdresser
711253	199405	Young Elizabeth
711253	208661	Tory
711254	10592	
711254	42542	
711254	70604	Doris Cadwell
711254	362815	
711255	308246	
711256	305375	Professor's Party Goer
711256	321559	Derby Dancer
711258	73479	Carlotta Walls
711259	344628	
711260	136832	Brandy
711261	402998	Herself/Road Rulers
711261	402999	Herself/Road Rulers
711261	403487	Herself/Northern Trail (1998)
711262	121135	Rose Murdoch
711264	41490	Pam Sangster
711264	46427	Marcia
711264	47191	Casualty Nurse
711264	51375	
711264	56158	Mrs. Cutforth
711264	73843	Janet Pierce
711264	93594	Mrs. Manders
711264	94206	Mrs. Beachley
711264	118337	Mrs. Lambert
711264	158634	Mrs. Bardsley
711264	160713	Miss Weber
711264	163354	Mrs. Dalby
711264	186064	Sylvia, The Continuity Girl
711264	194479	Janie
711264	200074	Allie
711264	237779	Mrs. Doughty
711264	257205	Mrs. Sawsbury
711264	270949	Becky
711264	290922	Jane Merryman
711264	292593	Mrs. MacKenzie
711264	295557	Loretta
711264	301490	Dolly Winthrop
711264	304689	Dr. King
711264	323727	
711264	328751	Mrs. Durbeyfield
711264	343148	Alison
711264	347165	MP
711264	365685	Mrs. Willett
711264	380373	Gwyneth
711264	382038	Winnie Scoular
711264	383845	
711264	387008	Donna Hewitt
711264	387247	Marianne (1997)
711264	389203	Renie Fox
711264	390149	Sarah Frodsham (1982)
711264	392172	
711264	392190	Doreen Cropper (1975)
711264	395178	Mrs. Partridge (1973)
711264	395543	Jill Simpson (1978)
711264	400029	Vera (1)
711264	400585	Sonia
711264	401145	Marjorie
711264	401413	
711264	404598	Sarah Wickham
711264	407838	Verna Johnson (1982)
711264	408091	Mrs. Burridge
711265	306834	Betty
711266	23830	La fille
711266	354586	La femme en rouge
711267	251610	
711269	134680	
711270	16643	Mother
711270	356230	Model
711271	377979	Clémence
711272	289221	
711273	27279	Belinda
711273	30369	Molly
711273	154652	Murphy Kid (scenes deleted)
711273	170803	Ulah as a child
711273	175209	Second Stooge
711273	176895	Young daughter
711273	234220	June
711273	333493	Gay
711274	107258	Gwenn Pitt
711274	222636	Charity Foster
711274	262101	Blue Ranger
711274	402004	Tori Hanson/Blue Wind Ranger
711275	387247	Vicki Fowler (II) (1987-1995)
711276	319568	Selena's Astral Image
711278	11934	
711278	82508	Une Candidate
711279	1762	Shiela
711279	2597	Policewoman
711279	5056	Waitress
711279	30056	Janice
711279	55587	Peggy Ryan
711279	62035	Gun Saleswoman
711279	70302	
711279	76554	Ultrasound Receptionist
711279	106461	Officer Sudow
711279	108001	Sandy
711279	109276	Newswoman
711279	110967	Trudy, License 2 Flirt
711279	127528	Jan's Mother
711279	159200	Deputy Phyllis
711279	165958	Nurse
711279	175582	Mrs. Dickey
711279	181005	Nurse
711279	191842	Violet Young
711279	206221	Louella Parsons
711279	227549	Grandma
711279	240785	Bartender #1
711279	241583	Bingo Vendor Woman
711279	241718	Gloria
711279	250713	1st Woman
711279	259278	Mona Ramsey
711279	273307	Mrs. Meredith
711279	303608	Freda's Assistant
711279	310423	Ed
711279	310726	Bartender
711279	316225	Mrs. Johnny Cochran
711279	330146	Hazel
711279	351502	Kay Butler
711279	380390	Blair Simpson (1983-1984)
711279	380775	Abercrombie
711279	389356	Middle Aged Woman
711279	392545	Gladys (guard)
711280	142594	
711281	356301	Celia
711281	406723	Alice
711282	33531	
711283	39927	
711283	192302	Kristi
711284	264785	Howard's daughter
711284	390771	Marina Cooper #3 (1996-2000)
711285	210233	Kiki
711286	385659	Phoebe Meyrick
711287	168948	Message from the Lord Choir
711288	46393	Joanne
711288	51883	Blonde at Party
711288	68891	Connie
711288	91595	Sharyn
711288	120123	Tamara Mason
711288	224667	Suzette
711288	267455	Nurse
711289	65887	Jenny
711289	266647	Jenny Chandler
711289	405494	Teenage Alex
711290	137224	Marissa Tomms
711291	304787	Françoise
711291	372124	Mary Laffey
711292	236385	Jane Robinson
711293	115996	
711294	288628	Sylvia
711295	53975	Judith
711296	5009	Cute Waitress
711296	31702	Beach Community Member
711296	210436	Paris
711296	361169	Chrisele/African Woman
711296	408866	Susie Harrow
711297	75242	Lalla
711298	379831	Lianne Barrigan #7 (1993)
711299	113825	Fire Maiden
711300	8657	Sandy
711300	257902	Lisa
711300	274118	Evelyn
711300	287978	Rina/René
711300	318852	
711301	381690	Marina Dahlmann (2002-2004)
711302	44755	Blonde in Nightclub
711303	178114	Hooker
711303	330563	Marina Kid
711304	364577	
711305	73902	Police Dispatch
711306	335472	
711307	44332	Beth's Mom
711307	108257	Mrs. Hubert
711308	11668	Training Team Member
711310	186207	Erica
711311	316356	
711312	70109	Franco's Prostitute
711313	265678	Mrs. Cunningham
711314	166358	
711315	338300	IPNN Newscaster #2
711315	391869	Tracey Turner (1991)
711316	137673	CeCe
711316	168776	Tangerine
711317	176388	Girl in the Museum
711318	68505	Woman at door
711319	92882	Mrs. Cosgrove
711319	186697	
711319	187208	Nell
711319	293217	Nurse
711319	310851	Maeve
711320	204747	Blonde Woman
711320	224352	Susan Miller
711321	394329	Missy Lewis
711322	117957	Woman Prisoner
711323	185297	Margaret
711323	266625	Prostitute
711324	9004	Party mom
711324	44385	Psychiatrist
711324	112263	Liz Powell
711324	242096	Grace
711324	396548	Telga, Townspeople (ep14)
711325	271855	Guest
711326	99370	Gloria
711326	240057	Babette
711327	152208	Girl at Inn
711327	234889	Elevator Girl
711327	253126	Switchboard operator
711328	257133	
711329	184905	Herself
711330	20771	Perpetua
711330	50654	Peggy Admaston
711330	107411	Octavia Bassett
711330	116443	Usherette
711330	117410	Mildred Thornton
711330	128123	Jean Hilton
711330	129109	Becky Knight
711330	143052	Dorothy Grant
711330	143105	Frances Fletcher
711330	146144	Monica Trant
711330	148389	Nell Fanshawe
711330	153189	Olive Thurston
711330	159995	Lindy
711330	165452	Jane Neill
711330	178036	Susie Nolan
711330	191740	Genevieve Rutherford Hale
711330	191785	Little Dutch, 'Bebie'
711330	191976	Lili Breval
711330	192034	Betty Brown
711330	192057	Mazie-Rosie Carden
711330	195182	Louisiana Rogers
711330	211425	Mary Ann
711330	215086	Mirandy Judkins
711330	216962	Thelma
711330	217431	Molly Shawn
711330	219919	Alice Baldwin
711330	239585	Violet Streussand
711330	245614	Mrs. Elsie Darling
711330	248828	Polly
711330	254267	Mary-'Gusta
711330	278211	Polly Eccles
711330	307115	Mary Brown
711330	308652	Barbara Seaforth
711330	311314	Abby Lou Maynard
711330	317162	Nell Serviss
711330	319227	Bess Aiken
711330	330522	Missy
711330	340477	Michelna Libelt
711330	345743	Betsey Burke
711330	355925	Viviette
711330	360142	Mulie Davenant
711330	366677	Sally, The parson's daughter
711330	372228	Marty McKenzie
711331	21475	Kay
711331	24209	Maid
711331	33644	Arabella
711331	55644	
711331	131393	Elsie Longstaff
711331	343194	Fred's Wife
711331	381660	Various Roles (1961)
711331	386502	Edna
711331	391527	Miss Baxter
711331	394273	Yvonne Bannister
711331	401661	Miss Petting (1971-72)
711331	404188	Janet Marshall (II) (Series 2
711331	406286	Mrs. Franklin
711332	40626	Dancer
711333	379504	Herself (Customer Service Sup
711334	158528	Lisa
711335	313699	Desk nurse
711335	405209	Rosemary Buchanan (1999)/Liz 
711336	188786	Mädchen
711337	147980	Devotee
711338	18096	The Lonely Woman
711338	139213	Lilah Chertsey
711339	24683	Diana
711339	407624	Herself
711340	387741	Livia Zandbergen
711340	410441	Winnie Schoentouw (1993)
711341	363442	Sarah
711342	23113	Tina's mother
711342	98229	The woman physician
711342	124893	Frau Fasching
711342	186943	Lehrerin
711342	211122	Gertrud
711342	226175	Betty Ralf
711342	314864	
711342	361991	Agnes
711342	375093	Gisela
711342	391479	Monika
711343	104778	Bosnian entry (16th place)
711343	104779	Bosnian vote presenter
711344	38371	
711344	38378	
711345	278155	Secrétaire
711346	376084	Zulaika
711347	190218	Justine
711347	362716	Candace
711348	75207	The Woodpecker
711348	268442	Mastrilla, Manuelita
711349	173388	Ive
711350	326260	
711351	51041	Bozenka
711351	51042	Bozenka
711351	51043	Bozenka
711351	72465	Winona
711351	165078	Dagmara
711351	313594	Barbie
711352	162183	Sandy
711353	147646	Mimi Carbone
711354	400	Marjean
711354	1999	Betty
711354	2816	Nominee for Best Performance 
711354	34964	Ms. Mason
711354	61611	Alma
711354	73559	Constance 'Connie' Potter
711354	80031	Donna
711354	80508	Sister Colleen
711354	96770	Libby
711354	99956	Jenny
711354	106514	Dorothy
711354	114017	Nina Huff
711354	127295	Clara Mayfield, Bobby's Secre
711354	130903	
711354	150790	Mrs. Latch
711354	152572	Psychologist
711354	157636	Nurse Floyd
711354	162364	Harriot Blatch
711354	163496	Betsy
711354	184822	Trish Steger
711354	194564	Wendy Gimble
711354	206818	Dr. Charlotte
711354	234227	Birdy
711354	252926	
711354	257204	Mrs. Beckman
711354	262261	Linda Bennett
711354	265824	Ivy
711354	277909	Wilma Brown
711354	280174	Millie, Bull Dog Cafe Owner
711354	281549	
711354	282929	Frankie
711354	284932	Nurse
711354	342481	Gloria Lamar
711354	346872	Maggie
711354	362216	Lainey
711354	390109	May
711354	395933	Plump Ogallala tart
711355	297686	
711356	298129	
711357	70391	Announcer
711357	190128	Gloria Galvantine
711357	242939	Bartender
711357	313432	Jessie Owens
711359	141664	
711360	159175	Dancer
711361	257724	
711362	306834	Susan
711363	51990	Dream Guard
711364	176989	Shirley Smith
711365	249256	La mama
711366	6377	Une duègne
711367	120863	
711368	376969	
711369	117115	
711370	232836	Herself
711371	72398	Nurse
711372	372968	Lilia
711372	404354	Katy (segment 'Kangaroo': 198
711373	276548	Lélé
711374	408883	Lili
711375	80802	
711375	99584	Lisa Marie Presley, age 4
711375	185318	Jeanie
711375	193280	Lisa
711375	235052	Kid in Airport
711375	244445	Lara
711375	409472	Maizy Russell (age 6)
711376	190197	Queen Elizabeth
711377	50494	Alice
711377	331722	Kate
711377	362975	
711378	116069	Johanna
711378	312749	Püppi
711378	369156	Babsi
711379	48692	Meike
711379	118724	Dana
711379	126463	Lisa
711379	138273	Gaby
711379	145720	Lisa
711379	153748	Lena
711379	164816	Susanna Beckert
711379	166771	Sophie
711379	181502	Anabel
711379	186188	Gerwin
711379	204423	Alexa
711379	204493	Kate Moor
711379	204494	Kate
711379	210055	Cornelia Möhring
711379	218435	TV- Girl
711379	230222	Nina
711379	281659	Caroline Graf-Dittmann
711379	284430	Sarah
711379	290561	Rita Bluhm
711379	300189	Trainee
711379	312887	Anna Wagner
711379	352340	Angela
711379	356695	Maria Matuschek
711379	361507	Marta
711379	376377	Angelika
711379	382203	Tina Neddelbeck
711379	394619	Eva Theissig
711379	395701	Steffi Reize
711379	399825	Iris
711380	407095	Lulu
711381	386782	Lis
711381	399497	Laura
711382	111154	
711382	288941	Prisoner
711383	229743	Violetta Webster
711383	316359	
711383	377576	Rosa
711384	147339	
711385	224485	Herself/Dancer
711386	74450	
711387	349754	Giannina
711389	14367	
711389	14835	Fulvia
711389	19710	
711389	20803	
711389	31017	Mascha
711389	51658	
711389	53762	Livia
711389	54299	Gisèle d'Angoulême
711389	55648	
711389	60520	Martine
711389	63771	
711389	71357	Doriana
711389	80173	Mathilde
711389	81596	Olga
711389	85728	Juliette
711389	90506	Donatella
711389	104231	Georgia Monteverdi
711389	106985	Woman with the Whip
711389	118303	Maria Antonelli
711389	124233	
711389	126839	Rallye driver
711389	139954	Anna Maria 'Dallas' D'Allesan
711389	155857	Maria, Woman on Venetian Brid
711389	159078	Onahti
711389	166198	Sylvia
711389	202242	Gilberte de Baer
711389	204654	Annie
711389	204825	Manuela Hunt
711389	206259	Claudia
711389	210909	Lucile
711389	214223	Vic Shaw
711389	214388	
711389	214856	Belle Starr
711389	235736	Anna
711389	241102	Carla, Julian's Agent
711389	243039	L'étrangère
711389	244069	Elsa
711389	249360	Annie
711389	252008	
711389	254962	
711389	255689	Antonella Massimo
711389	258338	Domitilla (segment "Nuits rom
711389	265227	Hilda
711389	268161	
711389	268901	
711389	271865	Anna
711389	278749	Elena
711389	282284	
711389	291693	Anna (segment "L'indossatrice
711389	308891	
711389	341738	
711389	345605	Jane
711389	349404	Gloria Gritti
711389	367620	Pretty woman
711389	379785	Carlotta Pirri
711389	381321	Maria de Martigny
711390	349754	Margherita
711391	127842	Maria
711391	263124	Mrs. Perez
711392	308471	La femme de Trukhacevskij
711393	223649	Lulu
711394	129027	Una fanciulla indigena
711394	132027	Celeste
711394	344590	Una ragazza nel locale nottur
711394	352636	Clementina, la cameriera di c
711394	354910	L'amica di Alda nel palco
711395	57023	
711396	254976	Ada
711397	35116	
711397	97856	
711397	159510	(segment "Tuba, A")
711397	382883	Nancy
711397	392031	Neusa
711397	393791	Quitéria
711397	393793	
711397	405401	Branca
711397	408509	
711398	354683	Prisoner
711399	243701	
711400	379015	Apicata
711401	19926	ragazza
711402	105606	Reporter
711402	218549	Maria
711402	242113	Alitalia Gate Attendant
711403	79841	Featured Zombie
711404	52320	Leta
711405	334780	Toi
711406	129036	
711406	252688	
711406	319293	
711406	328399	
711407	1052	Herself
711407	14564	Virginie
711407	16076	Françoise
711407	67444	
711407	67504	Paola
711407	90000	Marchesa Barolo
711407	97384	Edda Ciano
711407	108657	Fantaghiro
711407	108658	Fantaghiro
711407	108659	Fantaghiro
711407	108660	Fantaghiro
711407	108661	Fantaghiro
711407	125723	Alessandra Martines
711407	125724	
711407	139820	Miriam
711407	148775	Docteur Nitez
711407	164149	Anaïs
711407	197394	(segment "Claude Lelouch")
711407	211375	Madame Socoa
711407	215472	Marta
711407	216239	Elise Ziman
711407	269520	Juliette
711407	288237	
711407	337013	Allessandra Barrucq
711407	346730	Maxime
711408	51447	L'amica della baronessina
711408	69364	Grazia Hörn
711408	247875	Margherita Ambrus
711410	217505	
711410	357032	
711411	33893	Party Girl
711412	409277	Herself/Panelist ("Conso")
711413	91489	Maria
711414	287414	
711415	277295	Dancer
711416	316262	Diane
711417	403099	Herself - Host
711418	65167	Clara enfant
711418	345378	Child
711419	9666	
711420	246604	Girl in Car
711420	248057	Reporter
711420	342050	
711420	359499	Morning TV Show Host
711421	529	
711421	252596	
711422	1870	Angie Martinez
711422	40450	Micky
711422	48040	Herself
711422	208249	
711422	246604	Girl in Calvin's car
711422	248125	Parole Officer
711423	148443	
711424	286573	
711425	68319	Anita
711426	14799	Beatriz
711427	117564	
711427	154823	
711427	224089	
711428	23452	Space Worm
711429	32707	Dancer in the Convent
711430	193701	Paloma Cruz
711431	211680	Woman with shopping cart
711432	215838	Susan
711433	136269	Masseuse
711434	379552	
711435	168295	Boss Hog Band Member
711436	13074	
711436	246026	
711436	279701	Neuza
711436	324869	
711436	386505	Lu
711436	392031	Silvinha
711436	395405	
711436	408509	Clara
711437	190139	Bank Teller
711438	29395	Eimi
711438	123029	Yuna Kagurasaka
711438	127779	Yuna Kagurazaka
711438	149886	Mikako Nagamine
711438	206618	Hikaru Amano, Lady Message A
711438	267200	Poemi Watanabe/Puni Puni Poem
711438	304684	Lina Inverse
711438	304685	Lina Inverse
711438	304686	Lina Inverse
711438	304688	Lina Inverse
711438	380900	Silkie Mau, Additional Voices
711438	381025	Additional Voices
711438	384233	Brigitta
711438	387457	Tatrise, Carrie
711438	388022	Little Boy, Child A: Nobeta, 
711438	390536	Brigitta
711438	394421	Hikaru Amano
711438	398924	Head Maid, Natsuyo
711438	399784	Additional Voices
711438	402175	Hikaru Yoshimoto
711438	402790	Hiroko Asahina
711439	203344	Sanchez Kid 3
711440	215813	Maria Nunez
711441	3246	
711441	327055	Visna
711441	354520	Cindy, Young Wife
711442	201518	
711444	13515	
711444	236414	
711445	155931	
711446	348880	Julie Whace
711447	191573	Cecilia Morales
711448	229444	Marian
711449	340250	Antay
711450	244676	Hooker
711451	73561	E.R. Nurse
711451	108474	Elsa
711451	163229	Jesu's Mom
711451	230899	Carmen
711452	61929	
711453	210242	Herself
711453	390523	Rachel Burns (1994-1998)
711454	230583	Ironhead's Gang
711455	26507	Lola
711456	352853	
711457	130685	Bank Teller
711458	406283	Grisella (2004)
711459	12863	
711459	18411	Maid
711459	150271	
711460	191343	Herself
711461	191054	Aunt Zoila
711461	395329	Eti
711461	395852	(two seasons)
711462	178981	
711463	379905	Juanita
711463	380795	
711463	400860	Telefonista
711463	409908	Zoila Ramirez
711464	30418	
711465	112812	Duke of Longueville
711466	333340	Hooker
711467	29736	Lucy Waters
711468	370060	Jeanne
711469	194726	Woman in Stills
711470	316640	Welfare Worker
711471	311310	Sonia
711472	105905	Trina
711473	234324	Herself
711473	383054	Carmelita
711473	384934	Host (2000-)
711473	390382	Reporter (1999-2000)
711473	402154	Reporter (1997-1999)
711474	264748	(special edition only)
711475	50444	Cheerleader
711476	35093	Ruby Derain (older)
711477	197499	Model
711478	234269	
711479	125478	
711480	35647	Herself
711480	55937	Sor Juana
711480	193701	Girl
711480	210868	Montoya
711480	301327	Cathy
711480	305153	Petra Going
711481	3163	Prostitute
711482	162779	Dancer
711482	379000	Patricia
711482	384507	Lourdes
711482	388567	Lissette
711482	395373	Mildred
711482	398488	Ana Luisa
711482	398662	Adriana
711482	403904	
711482	406972	(Co Host)
711483	329116	Indian
711484	247876	
711485	399082	Femme ascenseur
711486	62664	Landlord
711486	98683	Sexy Voice Woman
711486	150421	Herself
711487	356796	
711488	381261	
711488	402633	Cecilia
711489	272776	Heather
711490	299689	Runners kid
711491	231900	Legal Aid Attorney
711492	314777	Birthday Girl
711493	48040	Meghan
711493	107044	Sue
711493	184717	Lisa
711493	244919	Maria Hernandez
711493	296878	Reena
711493	317893	Student
711494	87012	Cavegirl
711495	174508	Maid
711495	289228	Second Night Nurse
711496	162516	Miranda
711497	9734	Madre niño dormido
711498	368721	Mom
711499	74749	
711499	328349	Celina
711499	379000	Erika
711499	398488	Carmen
711500	65754	Sunshine
711500	202387	Escalade Dancer #1
711500	215507	Buffy O'Cattrell, Miss Montan
711501	405561	Herself/Various characters
711503	97830	Beatrice
711503	136053	Bright Water, Jake Flagg's Da
711503	358580	India
711503	366269	Kish-Kao-Ko
711503	376740	Carmen
711503	412073	Victoria Escalante
711504	98976	Child
711505	405834	Tere
711506	88841	
711507	356802	Exploding Vampire
711508	92742	Zone cab driver
711509	381901	1st evicted
711509	381904	Herself (1st Evicted)
711509	387805	Roxanita
711509	403024	Mia`s mother
711510	223380	Pam
711511	121322	
711512	163568	Steve's friend
711513	403487	Herself/Latin America (1999)
711514	202195	Student in Harlem Classroom
711515	121322	
711516	363560	Nurse
711517	309546	Dancer
711518	116741	
711519	81185	
711520	271363	Judy's Mom
711521	110149	
711522	360690	
711524	35647	Herself
711524	55937	Asunción
711524	190930	Noelle De Angelo
711524	193701	Young Pilar
711524	307589	Michele
711524	406719	Teresa Garza
711526	36818	Salcito's secretary
711526	85084	Carmen Alvarado
711526	135074	Rosa
711526	385041	Elena
711526	396462	Antonieta
711526	412161	Adela
711527	376661	
711528	340771	Times Square girl #1
711529	176712	Hooker #4
711530	57778	Madre de José
711530	148036	
711530	249750	La bonne de Gabo
711531	144180	
711532	213324	Female Monster
711533	194129	
711534	402332	Herself
711535	96834	
711536	97644	Interview Teenager
711537	43663	
711537	409532	Anne
711538	391907	
711538	402625	Inês
711539	14964	
711539	40315	Woman opposite
711539	65210	Sylvia
711539	136849	Hanna's mother
711539	137953	Kaelkestad
711539	138449	Hannah's mother
711539	164649	Vera Masinski
711539	225342	Mona
711539	287569	Suze
711539	303205	Journalist
711539	322299	Matron
711539	322943	Måna
711539	382307	Ilse Adler
711539	388259	Elsa Klimowskij
711539	390784	Ottine
711539	397784	Shop assistant
711539	404159	Eva
711539	405378	Henrietta
711539	405570	Vicky Abrahamsson (1997-1998)
711540	53160	
711541	234363	
711542	100893	Old Man's Daughter-in-Law
711543	298985	Yue Ying
711543	298986	Yue Ying
711543	403965	Mitsu
711544	3023	Maria
711544	16556	Doris
711544	80463	Lady of Easy Virtue (leichte 
711544	142065	
711544	152791	The Ex-Wife
711544	156666	
711544	283957	
711544	336469	
711544	341774	
711544	395370	
711545	172713	
711545	179574	
711545	180305	
711545	237093	
711545	254398	Heleni
711545	261612	
711545	266532	
711546	14875	
711547	48969	
711548	348011	Herself (zoo nursemaid)
711549	239922	Sarah
711549	294995	
711549	344834	Dona Alma
711549	380147	Odaléia
711549	382683	Augusta Messinari
711549	382692	
711549	383550	Dona Antônia
711549	384480	Zoraide
711549	388398	Marion Leik Fitzgerald
711549	388565	Noêmia
711549	391674	Vitória Imperial
711549	396506	Eugênia Silveira
711549	404272	Rebeca
711549	412258	Genu
711550	164260	Kicia Zurek-Zurkowska
711550	322036	Cisowska
711551	26041	Young Celeste
711551	395723	
711552	11988	
711553	18155	
711553	150940	
711553	159984	
711553	232787	
711553	292866	
711553	339914	
711553	349495	
711554	408036	Uniform One (end credits co-s
711555	4765	Gianna
711555	12906	
711555	20419	
711555	28696	Blumenhändlerin
711555	81764	Prostitute
711555	84569	Mama
711555	94317	Helga's mother-in-law
711555	98362	Anna Wischnewskij
711555	100970	Mascha
711555	105784	
711555	107480	
711555	107778	Mata Hari
711555	107814	Regine Krause
711555	119673	Mrs. Pol
711555	124148	Luise
711555	147153	Monika Gall
711555	180988	
711555	189629	Frau Arndt
711555	189631	Britta
711555	202815	Corinne
711555	203224	
711555	215978	
711555	225229	Madame Storch
711555	235959	
711555	248029	Oma Elfi
711555	250646	
711555	265389	
711555	274862	Rosmaries Mutter
711555	281738	Dr. Martha Green
711555	281746	Mollie Bayliss
711555	290217	Dorothea Kohler
711555	302246	Schnapslotte, Inhaberin der a
711555	304451	Anna
711555	307650	
711555	311235	
711555	317496	
711555	317505	Ruth Barnfeld
711555	325661	Frau Kollmann
711555	325756	Frieda Klumpe
711555	354056	Lore Mu
711555	360655	Miranda
711555	367237	
711555	376393	Charlotte
711555	378564	
711555	388035	Anna Trautwein
711555	388623	Tin Ravida
711555	389119	Daphne Schreihagel (1991)
711555	389361	
711555	389942	Tante Jutta
711555	392086	
711555	392902	
711555	392997	Dr. Elisabeth Hardt
711555	394832	
711555	398359	Mme Mozart
711555	404431	Hanna Schachmann
711555	408428	
711556	309158	Headnurse McComb
711557	376829	
711558	199362	Jumelle 1
711559	104752	Italian entry (13th place)
711559	104767	Italian entry (4th place)
711560	253711	
711560	263710	
711561	129440	Karen
711562	41459	
711562	211321	
711563	55648	
711564	33675	Toni
711564	46658	Angela
711564	90088	
711564	98667	Zaida
711564	199932	
711564	291622	Valeria
711564	295159	The Handmaiden of Darkness
711565	24082	
711565	29156	Joey
711567	13456	
711568	73651	
711569	387202	
711570	81640	
711571	77439	
711571	162953	
711571	222040	
711571	248747	
711571	318639	
711571	357914	
711572	328321	
711573	363752	
711574	169303	Sirkka Suomalainen
711574	178376	Loviisa
711574	180841	Leena
711574	206063	Eila Mäkinen
711574	343405	
711575	169303	Leena Suomalainen
711576	58130	Asa
711577	132730	Paoletta
711578	53835	
711578	55969	
711578	67518	Fanny
711578	70184	
711578	84378	Emmanuelle
711578	98640	Simona
711578	118618	
711578	127373	
711578	183497	
711578	188533	Hanka
711578	196777	
711578	235794	
711578	252630	Mary
711578	264258	
711578	270814	Erika
711578	278968	
711578	279207	Erzika
711578	353156	Susan
711578	379591	
711578	381193	Maddalena
711578	384535	Silone
711579	85547	
711580	48506	Head Angel
711580	189520	Portuguese Sister #2
711580	339669	Maid
711581	42959	Musetta
711581	57335	Lola
711582	375076	
711583	163263	
711584	334354	Charlene
711585	58811	
711585	79938	Nurse Jackie
711585	352554	Moderator
711586	4542	
711586	159525	
711586	159870	Lucia
711586	222040	Perla
711586	234306	Lucrecia
711586	251552	
711586	261252	Lupe
711587	69795	Melody
711587	71649	Darline Giordano
711587	161927	
711588	53016	
711588	157177	
711588	219326	Gioia
711588	235735	Tina
711588	409075	Loredana, the radio operator
711589	7457	Marine Kergalen
711589	24823	
711589	28554	
711589	73636	
711589	120972	Delphine Billard
711589	162510	Eve
711589	211152	Isabelle
711589	212157	Nathalie
711589	219613	
711589	260942	Madame Sanchez
711589	261836	
711589	284271	Sarah à 18 ans
711589	292338	Aude
711589	307478	Mado
711589	396262	Zoé
711589	400631	Marie Lopez (1997-2000)
711589	402251	Véro
711589	409462	Sophie Soubeyrand
711590	290473	Lilian Amado
711591	183598	Anna
711592	76384	Little Girl at Funeral
711592	334354	Flower Girl
711593	334354	Mary Bambino
711594	307788	
711595	6297	Patrizia
711595	14261	Nella Daipos
711595	25301	
711595	54155	
711595	87039	
711595	106745	
711595	125037	
711595	247958	
711595	292997	
711595	328871	
711595	336588	
711595	345043	La mère d'Elvire
711596	24141	Alunna
711597	193955	Barmaid
711598	40864	Nick Cave Fan
711599	186447	Mr. Marino
711600	238252	Girl at Bar
711600	291452	
711601	380256	Mennonite Choir Member
711602	121223	
711602	124447	
711602	149554	
711604	350673	
711605	124087	
711606	200404	
711607	382469	Colette Morency
711608	86472	Amanda
711609	253831	
711609	263776	
711609	286777	
711609	303115	
711610	404577	
711611	404577	
711612	44343	Gomora
711613	91063	Herself
711613	91066	Herself
711613	104770	Croatian entry (6th place)
711613	104773	Croatian entry (5th place)
711614	294659	Herself
711615	91071	Herself
711616	88386	Ruza
711616	109715	Woman in Street
711616	172493	
711616	197093	
711616	197100	
711616	237775	
711616	240087	
711616	324190	
711616	375353	
711616	392903	Suzana
711616	398998	
711616	402486	
711616	402735	Rose Bethe
711617	262559	
711618	143264	Marching Girl
711619	322064	Girl in the underpass
711619	349794	
711620	50994	Herself
711621	179714	Olga
711621	189345	Devce
711622	180224	
711623	262568	
711624	90082	Donna Anna
711624	236184	La Contessa d'Almaviva (sopra
711627	15306	
711628	169258	Herself
711629	381144	Sandra
711629	387424	Helena's servant
711630	129992	
711630	308504	
711631	205716	
711631	252693	
711632	387833	Mafalda
711633	14688	Mrs. Rita Preciosa
711634	213707	
711635	296382	Andréa
711636	396506	Spanish Woman
711636	396718	Venância
711637	340191	
711637	351486	
711638	159014	
711638	286393	
711639	398219	
711639	400666	
711640	21609	
711641	18670	
711641	68809	
711641	338235	Diana
711641	401932	
711642	325336	
711643	232288	
711644	43243	Nair
711645	380196	Constancinha
711647	237216	
711648	30275	
711648	53889	
711648	351564	
711649	380081	Magali
711649	380387	Kira
711649	385023	Shirley Neves
711649	385522	
711649	386728	Mãe de Santo
711649	386757	Judite
711649	387052	Shirley
711649	389153	Socorro
711649	391674	Yolanda
711649	391900	Silvinha
711649	396651	
711649	402504	Gracinda
711650	205696	
711651	237874	
711652	88011	
711652	225102	
711653	354985	
711654	397396	Herself
711655	171483	Willie Mae
711656	63534	
711656	384992	Ana
711656	389786	Sueli
711656	394121	
711656	396610	Isabella 'Bela' Bittencourt (
711656	403326	Dora
711656	409814	Esmeralda
711656	411932	Lúcia
711657	66573	Susi
711658	126544	Dancer
711659	18478	
711660	395044	
711661	404165	
711661	410104	Manuela
711661	411585	Maria Benguela
711662	19471	Bello
711662	273724	
711662	328866	Dindinha
711663	344703	
711664	205696	
711665	178745	Flapper #2
711665	180076	Telephone Operator
711665	347025	Vivi Svensson
711666	220593	Woman At Party
711667	134488	
711668	213738	
711669	396610	Sheila (1997)
711670	133003	
711671	12080	
711671	205696	
711672	28873	
711672	29713	
711673	17381	
711673	51614	
711673	205598	
711673	295100	
711674	33154	
711674	43243	Ana Maria
711674	88800	
711674	103903	
711674	124237	Nelly
711674	212059	Irene
711674	268411	Elisa
711674	341135	
711674	341473	Maria da Graça
711674	385494	Nina
711675	53284	Wet T-Shirt Contestant
711676	401882	Herself - Rouge
711677	83007	
711678	64428	
711678	92042	
711678	222148	
711678	234616	
711678	302302	Marcolina
711678	361081	
711678	379491	
711678	381263	Zazá
711678	383130	Marta
711678	385494	
711678	386213	Vina
711678	397804	
711678	400444	Virgínia
711678	401199	Amazília
711678	401460	Carola
711678	402370	Lurdes
711679	33283	Rita
711679	89397	
711679	402456	
711680	77232	
711680	98740	
711680	103046	
711680	189309	
711680	205598	Maria
711681	57465	
711682	384709	
711683	13315	Maya
711683	217635	Jojo
711683	229052	La réceptionniste de l'hôtel
711683	239224	Olga
711683	248246	Maria
711683	395621	Sandrine
711683	401756	Julie
711684	322222	
711685	210694	Esposa
711686	14570	Barwoman
711686	76087	
711686	101890	Paloma
711686	239010	Cora Zapata
711686	378989	Julia
711687	67650	
711687	84480	
711688	197986	
711688	222187	
711688	344813	
711689	20391	
711689	55343	
711689	70701	
711689	72551	
711689	258688	
711689	344888	
711689	402580	Mariana
711689	408230	
711690	272890	
711691	53135	
711691	56063	
711691	103791	kidnapper
711691	104486	
711691	251579	
711691	262302	
711691	294995	
711691	385021	
711692	400838	
711692	402506	
711692	408330	
711692	410377	
711694	410203	Participant (2000)
711695	162582	Unn
711699	38769	
711699	132432	
711699	155491	
711699	182533	Schwarze Witwe
711699	204449	
711700	403537	Winner (2001)
711701	59876	Receptionist
711701	170558	Terry
711701	223713	Hippie Girl
711701	245437	The destructive youth
711702	355332	Herself
711703	355332	Herself
711704	384882	Host
711705	283579	
711706	18347	Ander kind van Letta (Letta's
711707	163041	
711707	179728	
711707	236064	
711707	278844	Krasnushkina
711707	283819	Tania
711707	296422	Tanya
711707	349077	
711707	350126	
711708	97035	
711708	308018	
711708	337335	
711710	161865	Woman
711711	118151	
711711	163031	
711711	179331	
711711	239368	
711711	258811	
711711	323326	
711711	357417	
711711	375273	
711711	397852	
711712	349128	Child
711714	399383	Morleena Kenwigs
711715	119735	Susanne
711716	365695	
711717	225848	
711718	54809	Olga
711718	107037	Lawyer
711718	217760	
711718	248509	Veronica
711718	281114	
711718	289647	
711718	291553	Ostia
711718	291647	Ernestina
711718	380366	Addolorata
711718	380367	Assunta
711719	260430	Reporter
711719	263755	News Anchor
711719	356472	The Media (Herself)
711719	389199	Reporter
711719	390316	Substitute Co-Host/Reporter
711719	399318	Host
711720	229506	China
711721	23057	Small daughter
711721	375233	
711722	320701	Djevojcica
711723	147234	
711723	184195	Paula
711723	256494	
711724	19499	Recepcionista
711725	145412	Vicki Hicks
711725	391786	Sarah Andersen (1995)
711726	17544	Princess Nathalia
711726	47192	Milly Lauderdale
711726	74213	
711726	127283	Maybella
711726	186033	Lady Langley
711726	269883	
711727	410513	Frau Müller
711728	133684	
711729	28563	Toeshoe Tina
711730	108036	
711730	359451	
711731	117579	Fullee/Rumanian
711732	143118	Mrs. Graham
711733	227608	
711734	16349	Maddalena di Coigny
711734	51097	Gertrúd, Queen
711734	99018	Elektra
711734	119183	Sein Weib
711734	127911	La Gioconda
711734	324588	Elisabeth
711734	336371	Tosca
711734	340651	Duchess Leonora
711734	341819	Turandot, chinesische Prinzes
711734	341820	Turandot
711734	341821	Turandot
711735	116905	
711736	234953	Rita Nora
711736	293620	Lupita
711736	315533	Mrs. Faber
711737	16965	
711737	43114	
711737	44773	Boszorkány
711737	98027	
711737	107831	Hedvid
711737	120268	Frau Mueller
711737	227533	
711737	322129	Dada
711737	334015	
711737	350833	Juli nõvére
711737	377807	
711738	156038	
711738	214839	Akin äiti, Kerttu
711738	233246	Martta Niskavuori
711738	255513	Vanhempi hoitaja
711739	290162	Nurse
711740	45866	
711740	137626	Loretta
711740	138235	Eileen Hunter
711740	330502	
711740	358583	Prostitute
711740	372731	
711740	375914	Secretary
711741	211533	
711742	56929	Herself (Special Guest)
711743	397563	Zangeres
711744	94639	
711744	125667	
711744	234777	
711744	269181	La Baronessa Cimino
711744	301375	Luisa
711744	353079	
711745	135282	
711745	179959	
711745	192933	
711745	309089	
711746	386166	
711747	184870	Enfermera
711748	7234	
711748	61350	
711748	64027	
711748	69328	
711748	97253	
711748	140559	
711748	146507	
711748	193326	
711748	225041	
711748	252065	
711748	293579	
711748	320348	
711749	384972	Pepita Queralt Cebrian (2004 
711750	326755	Timtee
711751	6496	
711752	376716	
711753	148470	Dolores
711754	54164	
711754	249770	
711755	307673	Vendedora de Flores
711756	57723	
711757	187614	
711758	74657	
711759	288899	Becky
711760	80202	
711760	197457	
711761	176525	British soldier
711762	321952	
711763	321952	
711764	170852	Margie Amsterdam
711765	18900	Suvi´s Friend
711766	349574	Mikaela
711767	316153	Bong packer in red dress
711768	303282	Herself
711769	303282	Herself
711770	355703	
711771	81348	Zaptiah
711772	101216	
711773	61984	
711773	208753	Mouste
711774	171702	Madame Treboul
711775	311938	Waitress
711776	68381	
711777	375728	
711778	44964	Louise
711778	55877	
711778	63722	
711778	66715	
711778	113252	Madame Chavanot
711778	149214	
711778	204656	Sidonie
711778	206506	La Mère de Bomier
711778	258851	Honorine
711778	264311	La deuxième commère
711778	322750	Heloise Miloin
711780	269270	Nelly
711781	369755	Herself - Presenter
711781	400952	Ingrid Muñoz
711782	356400	
711783	97507	Syra
711783	108623	Hortense
711783	113601	Syra (blonde model)
711784	76500	Mum
711784	76504	Mum
711784	270472	Mrs. Perry
711784	295342	Mary Hassel
711784	367612	Marion Masters
711785	176893	Deirdre
711786	274017	Mrs. Colbert
711787	113490	
711787	151726	Katherine
711787	222291	Princess Pink
711787	358703	Carol Huggins
711787	387247	Janice (1998-)
711787	395470	Marjorie (2000-2000)
711788	233929	
711789	42024	Wife
711789	145004	Alice Van Slake
711789	303555	Marion Calhoun
711789	362919	Vera Clark
711790	183229	Cygnet
711791	60270	Kate
711792	113461	
711793	375446	
711794	104437	
711795	176126	
711796	275485	
711797	151540	Brittany
711798	159418	
711798	293373	Asistente del Director
711798	379909	Renata Quiroga
711798	380107	Pilar Piquet de Márquez
711798	383471	Domenica Rossi
711798	386078	Leonor Castro
711798	393833	Gina Guzmán
711798	398490	Adriana
711798	402059	Alma San Roman
711798	403885	Lorena Rivera
711799	328555	Sarah Maxwell
711800	112652	Hospital's Employee
711801	2474	
711801	54332	Doña Teresa
711801	75498	
711801	97658	
711801	192968	
711801	204633	
711801	275333	
711801	324922	Doña Julia
711801	332603	
711801	335515	
711802	29548	
711803	398490	Bertha Valladares
711803	405415	Sra. Laboratorios
711804	294705	
711805	43982	
711805	119232	
711805	225065	
711805	276303	
711805	294709	
711806	380948	Host (1989)
711807	47065	
711808	324841	
711808	341645	
711808	406861	
711809	2224	
711809	61350	
711809	86342	
711809	202119	
711809	216094	
711809	252607	
711809	267293	
711809	377097	
711810	391636	Hostess
711811	207736	
711812	6630	Magda
711812	24373	
711812	25742	
711812	35004	
711812	51737	
711812	55607	
711812	75199	
711812	121320	
711812	124512	
711812	158937	
711812	222006	Magda
711812	246396	Laura
711812	287857	Eloisa
711812	287897	
711812	357536	
711812	378975	
711812	380103	Carolina Alvarado
711812	380105	
711812	381023	María Clara Berriozábal
711812	383344	Eugenia
711812	384771	
711812	387550	Jessica
711812	390300	Natalia de Garrido
711812	391570	Guadalupe
711812	393935	
711812	396245	
711812	397734	Mili
711812	398452	Denisse
711812	402585	Ana Lía
711812	402704	Isabel
711812	407276	
711812	407304	Tía Susana
711812	407529	
711813	326344	
711814	267281	
711815	108119	
711815	357729	Hermana de Ana
711816	71364	Anna Junior
711817	3502	Ella misma
711818	247159	Niña
711819	143757	
711820	339096	
711821	123150	
711822	336386	Floria Tosca
711823	100433	
711823	126322	
711824	25521	
711824	68959	
711824	101044	
711824	101513	
711824	103989	
711825	5357	
711825	41767	
711825	41769	
711825	43136	
711825	51811	Criada
711825	70641	Celina
711825	70857	Consuelito
711825	71113	Luz María
711825	95019	Nora
711825	100339	
711825	108069	
711825	113225	Raquel
711825	131074	
711825	136596	
711825	151803	Rita Linares
711825	158462	Mama
711825	159291	Rosa
711825	197160	Japonesita
711825	198200	
711825	212255	Herself
711825	213705	Claudia
711825	221711	
711825	221930	
711825	246304	Teresa
711825	254475	
711825	263846	
711825	265458	Rosita
711825	268268	(segment "Pánico")
711825	272636	
711825	273653	
711825	276764	Anisa
711825	281008	
711825	301117	(segment "Rosa")
711825	322852	Lupita
711825	339797	(segment "Cuarteto")
711825	352005	
711825	353468	
711825	355948	
711825	376813	Santa
711825	377180	
711825	377183	Rosa Solorzano
711825	379820	Clara Hernandez
711825	379905	Sra. Beltrán
711825	380107	Rosario Aranda
711825	380842	Sabina
711825	385401	Cuquita
711825	389639	Gabriel/Gabriela
711825	389881	
711825	395839	
711825	397596	Baby
711825	397734	
711825	398452	
711825	398534	
711825	399084	Teófila
711825	400947	Isabela
711825	401093	Oyuki
711825	403885	Refugio Ocampo
711825	409288	
711825	412192	Delia Bellati Roldán
711826	24206	Loli
711827	326338	Señorita Beatriz
711828	212402	
711829	208844	
711830	76011	
711830	87920	
711830	96341	
711830	162765	
711830	250793	
711830	320327	
711830	354041	
711831	376817	
711832	256769	Madre de la chica
711833	101867	Azafata
711834	145145	
711834	315301	
711835	158804	
711836	376859	
711837	8266	
711837	63838	Isabella di Rionero
711837	166664	
711837	214731	Nancy
711837	252654	
711837	333062	Orphan
711838	24297	
711838	215499	Betita
711838	402542	Colaboradora
711839	225046	Go-go
711840	42577	
711840	383271	
711840	407305	
711841	25025	
711842	86817	Espejo
711843	162022	
711843	385252	Gloria
711843	387101	
711844	100405	Anna
711845	304744	First Maid
711845	353444	Agatha
711846	30389	Cajera guapa
711847	208712	
711847	296197	
711848	318006	
711849	207654	
711850	391847	Bianca
711851	318258	Eloísa, la maestra
711851	328154	Julia
711851	333640	
711851	398838	Juani
711851	402702	Chirla
711851	405968	Carmen
711851	409463	Various characters (1993-1994
711852	108954	Bit part
711852	142462	
711852	166839	Mexican Mother
711852	241883	Mexican vendor
711853	91298	
711854	291673	
711855	5443	child
711855	48260	Ingrid
711855	51541	
711855	52986	La Uca
711855	53082	Esther
711855	56005	
711855	58036	
711855	80280	
711855	94843	child
711855	103653	Isabel
711855	108135	
711855	108739	Rosy
711855	108844	(segment "El mago de Oz")
711855	132675	La traductora (as María Isabe
711855	154543	Herself - Winner: Best Film
711855	169788	
711855	233346	Victoria
711855	235991	Susan
711855	240152	
711855	251615	Marián
711855	252526	Genoveva 'Veva'
711855	276127	Sarah
711855	276234	Isabelle
711855	287907	Miriam, Señora Marquesa's dau
711855	339122	
711855	339127	
711855	353243	
711855	376796	
711855	378403	Teresa
711855	389139	Jacinta
711855	390420	Mariona
711855	393846	
711855	404107	Mariona
711856	339161	
711857	28970	
711857	379879	Lescano
711858	309961	Recien nacida
711859	80253	Madre de Freddy
711860	10005	
711860	12527	
711860	14708	
711860	14793	
711860	28957	
711860	29058	Betty Starr
711860	37733	Maria
711860	48291	
711860	51619	
711860	53683	
711860	57866	Clara
711860	66348	
711860	67527	
711860	68636	
711860	73263	
711860	73283	
711860	73516	
711860	74001	Kitty
711860	74153	
711860	74903	
711860	88196	
711860	91076	
711860	96369	
711860	100529	Rosa María
711860	111984	
711860	114864	Angela
711860	115017	Herself
711860	118366	
711860	148044	
711860	148174	
711860	149901	
711860	152263	The producer's wife
711860	159187	
711860	160851	
711860	204591	
711860	204690	Juan's friend
711860	205926	
711860	212367	
711860	221934	
711860	222815	Madam Adolphe
711860	225065	
711860	228722	Madre de El Jaro
711860	229599	
711860	231284	
711860	234408	
711860	237950	
711860	239455	Mrs. Gerson
711860	245484	
711860	246299	Jacqueline
711860	248248	
711860	249301	
711860	249780	
711860	249802	Anna Braun
711860	270822	
711860	275090	Blanca
711860	277135	Mary MacMurray
711860	278530	Virginia
711860	292745	
711860	294712	
711860	296503	
711860	301124	Mary
711860	302555	
711860	307813	
711860	318141	
711860	340050	
711860	341833	
711860	344587	Girl in the institute
711860	353202	
711860	370178	
711860	376664	
711860	376867	
711860	377166	
711860	377193	Rosi
711860	400846	
711861	383347	
711861	409565	Spanish columnist (2000-2001)
711862	13071	Girl in the village
711862	400943	Prudencia
711863	54288	Ballerina
711864	101848	
711864	155931	Maria Eugenia Alonso
711864	231993	Charlie's Mother
711864	379892	
711864	380123	
711864	383480	Carmen Celcilia
711864	385058	Lara
711864	387966	
711864	393802	Ana María Pérez
711864	401905	Euridice
711864	404988	Irina Perdomo
711865	22675	Herself
711866	85626	
711867	307641	Desnudo
711868	318016	
711869	103776	
711870	147877	Marcy Michelle
711871	71193	
711871	403753	
711872	383303	Arantxa
711873	25793	Hermana 4
711874	34574	Abuella Mercedes
711875	286291	
711876	302239	
711877	21676	
711877	44660	Morriña/Ratón
711877	229318	
711878	74558	
711879	387177	Colaboradora (2004-)
711880	100336	
711880	162604	
711880	193326	
711880	212353	
711880	221580	
711880	228772	
711880	328157	
711880	371727	
711881	51375	Pretentious princess
711882	48790	
711883	71160	Corsaria
711884	9681	
711885	307835	Blanca
711886	165022	Edurne
711886	236026	Novia 2
711887	6478	
711888	384508	Hostess (1996-2000)
711889	146485	Secretaria
711890	160805	
711891	82586	
711891	189301	Carmen
711891	197462	
711891	229207	
711891	231291	
711891	268289	Paciente 3/Patient #3
711891	377167	
711891	380546	
711891	384594	Celia
711891	387881	Alma
711891	402639	Clara
711891	405417	
711892	76001	
711893	54764	
711893	55948	
711893	74562	
711893	248291	
711893	258481	
711893	261681	
711894	9718	
711894	10123	
711894	20729	
711894	192977	
711894	221969	
711894	235311	
711894	379820	Evangelina
711894	380084	Laureana
711894	380095	Martina
711894	383471	Tia Domitila 'Tia de Sonia'
711894	384775	
711894	390404	Candelaria
711894	397016	Chole
711894	397018	Cleta
711894	398469	Rafaela
711894	400797	Eulalia
711894	404186	
711894	410303	Pancha
711895	124510	Bajo
711896	170042	Luisa
711897	143757	
711897	322851	Bailarina
711898	124510	Saxofon y primera
711899	121374	Casino Patron
711900	6498	
711900	14809	
711901	159342	
711901	276304	
711902	383548	Dra. Ponce
711903	40267	
711904	65778	
711905	3426	
711905	5264	
711905	5976	
711905	14908	
711905	19499	Señora Vips
711905	22653	
711905	25049	
711905	48182	
711905	51645	
711905	54234	
711905	55941	
711905	58145	
711905	60468	
711905	64023	
711905	74557	
711905	74649	
711905	74651	
711905	75444	
711905	75471	
711905	76104	
711905	88199	
711905	90032	
711905	101630	
711905	104057	Teresa
711905	104089	
711905	104852	
711905	111005	
711905	116599	
711905	124705	
711905	133394	
711905	135122	
711905	141409	Minnie
711905	148138	
711905	155196	
711905	158947	Senora Ascenor
711905	170095	
711905	171617	
711905	183029	
711905	193195	
711905	207960	
711905	209034	
711905	226437	
711905	235315	
711905	246376	
711905	251615	
711905	252107	
711905	280731	
711905	296450	
711905	319655	Avelina's Mother
711905	332913	
711905	339130	
711905	351997	
711905	376734	
711905	376807	
711905	377894	
711905	378483	
711906	378361	
711907	285076	
711908	257892	
711908	379879	Sol Hardoy
711908	383032	Carolina
711908	384119	Dolores Agüero (1995)
711908	385852	
711908	399627	
711908	401250	Ariana
711908	402721	Paula
711909	392960	
711909	395300	Bertha
711909	396898	Genoveva
711910	318232	Maritxu
711911	390442	Herself
711911	390444	Herself
711911	390445	Herself
711911	409809	Herself
711912	26324	Maria
711913	29686	Juanita
711913	44432	Gloria
711913	45693	Therapist
711913	89701	Alva
711913	93558	Hedge's secretary
711913	123303	Sonora Sue
711913	131354	
711913	219773	Nurse In Hall
711913	247370	English Voice-over
711913	269856	Dolores Rosales
711913	289390	Susan Alverez
711913	297773	Gloria's Mother
711913	345998	Isela
711913	375847	Lupe
711913	379446	
711913	382541	
711913	383633	
711913	389858	Sharon Garcia (1982)
711913	407304	Chelita
711914	19448	Niña Calle
711915	52197	Guest
711915	346139	Violet 25
711916	3447	Cashier
711916	19448	Niña Calle
711916	70231	
711917	48187	
711917	80278	
711917	403753	Esther de Santaevo
711918	383444	
711918	391272	Sonia
711918	396320	
711918	398482	
711918	401122	
711918	401211	
711918	404203	Querubina
711918	408408	Sebastiana
711919	379821	
711920	51306	Dependienta #1
711921	70599	
711921	324294	Ramona
711921	379252	
711921	380074	
711921	381861	Myriam Sinclair
711921	383812	
711921	384984	
711921	386555	
711921	387475	Marcia
711921	388278	Ita
711921	389589	
711921	389590	
711921	392959	Susi
711921	396925	
711921	401634	
711921	404074	
711921	408562	
711922	18836	Enfermera
711922	384063	Herself/Hostess
711922	386148	Hostess
711922	389235	Florencia
711922	400728	Lucy
711922	404072	Various Characters
711922	411636	Luisa
711923	247168	Abuela
711923	384972	Cari
711924	11694	
711924	21684	Catalina
711924	21688	
711924	69248	
711924	108715	
711924	121305	
711924	143687	Lorena Alba
711924	171380	Martha Franco
711924	260572	
711924	268270	
711924	274945	
711924	328189	
711924	332671	
711924	337439	
711924	351690	María
711925	28020	
711926	209032	
711926	379552	Eugenia
711926	381650	Amelia
711926	384771	
711926	387479	Marga
711926	387689	Aurora
711926	388095	Clarita
711926	396211	
711926	410384	
711926	410450	Archiduquesa Sofía
711927	80250	
711928	64988	Representante asociación veci
711929	74969	
711929	103219	Acompañante
711929	146567	Monja 1º
711929	269746	
711929	302333	Television reporter
711930	268245	
711931	13518	
711932	14929	
711932	378506	
711933	74842	Paciente desquiciado
711933	96269	Secretary at Big Warehouse
711933	213389	Embarcadero
711933	293744	
711934	212993	
711934	383564	Edith
711935	153671	
711935	390735	
711936	13013	
711936	155931	Abuela
711936	279271	Yolanda Sotillo
711938	98440	
711939	146514	
711940	243613	Madre Cayetana
711941	379118	(2000)
711942	22740	
711942	25218	
711942	113245	
711942	260563	
711942	287878	
711943	143807	
711943	219225	
711944	52962	Reina
711944	322607	Dancer in club
711945	269243	
711945	271856	
711946	357867	
711947	340875	
711948	30317	
711948	44661	Beatriz
711949	404995	Señora Matateu
711950	211435	
711951	159870	
711952	194052	Bumboat Girl
711952	329116	Maria
711953	29630	
711953	204813	María Gómez
711954	91388	
711955	292266	Chicano Mother
711956	380074	
711957	14813	
711957	148100	
711957	355006	
711958	135368	
711959	286283	
711960	6488	
711960	12203	Delsa
711960	21680	
711960	50822	
711960	70662	
711960	75183	Pasajera en camion
711960	82722	
711960	103111	
711960	129541	
711960	157281	
711960	194129	
711960	207877	Don~a Carmen
711960	215148	Rosario
711960	228560	
711960	236416	
711960	249879	Miss Linares
711960	267296	
711960	279585	
711960	370157	Maria, Criada
711960	376820	
711960	385401	Madre Elvira
711960	387100	Estela
711960	389483	
711960	396209	Prudencia
711960	400663	Miriam
711960	401898	
711960	402404	
711960	405416	Gertrudis
711960	407276	Clotilde
711960	408390	
711961	296134	
711962	90525	Tango dancer
711963	383390	
711963	391452	Bianca
711963	401258	Ana María Brando
711963	401699	Silvanna
711964	92306	Maria
711964	155011	Melissa
711964	265824	Linda
711964	281764	Rosario Tijeras
711964	292479	Female Patient
711964	309061	Golondrina/Pilar, the dead wo
711964	386516	Eva
711964	395330	Imelda
711964	396645	
711964	397010	Imelda Santos
711964	400485	Isabel
711965	24909	
711965	89923	
711966	48790	Niña comunión
711967	322233	
711968	354479	Flamenco Dancer
711969	386788	
711969	387666	Sebastiana
711969	390220	
711969	392848	Mercedes Montero
711969	396163	Victoría
711969	396902	Anna Mercedes
711969	397014	María/Miriam
711969	398217	Antonia Campos Miranda
711969	398483	Carlota Zanetti de Landaeta
711969	398807	Perpetua de Fajardo
711969	401438	
711969	401693	Emilce
711969	402772	Rosalba Martínez
711969	408408	Ángela Zavala de Villagrande
711970	30418	
711971	108956	Party Family
711971	202215	Alicia Del Fuego
711972	110319	Tia
711973	9692	
711973	146567	Lulú
711973	236746	Bride friend
711974	412123	
711975	24907	
711975	129486	
711975	132681	
711975	160893	
711976	318290	Delegada
711977	73549	
711977	200537	
711977	247167	
711977	408672	
711978	491	
711978	6562	
711978	6742	
711978	12558	
711978	14892	Gina
711978	19252	
711978	43307	
711978	55741	Pietro's wife
711978	55941	
711978	74842	Adela
711978	83438	
711978	84050	
711978	103118	Gloria
711978	108136	
711978	110733	
711978	121479	Esperanza
711978	136964	
711978	140572	
711978	149904	
711978	190644	Julia
711978	216303	Cuñada de Don Pedro
711978	226491	
711978	236028	Daniel's Mother
711978	250700	
711978	251590	
711978	281293	Rosita
711978	302431	
711978	328154	
711978	337869	Marie
711978	357504	
711978	377193	Luisa
711978	378423	
711978	383558	
711978	392034	Virginia
711978	407858	
711979	302822	Lía Santos
711979	380077	Diana McKenzie
711979	400067	Marcelita
711979	400667	Ximena (2000)
711979	405798	Sofía Santero
711980	212524	Trendy Girl
711981	228560	
711981	353559	
711982	49431	Samantha
711983	3439	
711983	80164	
711983	378843	Host (1981-1982)
711983	385053	
711983	400491	
711984	64238	
711984	70310	Daniele's Wife
711984	74878	
711984	111906	
711984	159449	
711984	160130	
711984	160979	Sister Martina
711984	162051	
711984	233643	
711984	255029	
711984	262405	Signora Mareghetti
711984	278697	
711984	280740	Loredana
711984	289445	
711984	291556	Gertrude
711984	402098	Esmeralda (1997)
711985	387817	Sor Lucila
711985	401105	Mariona
711986	12621	
711986	21007	
711986	158431	
711986	169812	Escort to Borgia
711987	73646	
711987	332577	
711987	355259	Adolfo's mother
711987	412124	Roxana de Miranda
711988	55970	
711988	228560	
711988	260596	
711989	103756	Eustolia
711990	69242	Lupe
711990	70011	Prostituta
711990	139797	Concha
711990	284340	Maestra
711991	28290	
711991	115791	
711992	318006	
711992	390614	Silvia
711993	401280	Herself (season 4 winner)
711994	8564	Actriz ataque de risa
711994	17073	Hysterical Woman (new movie)
711994	143778	Enfermera residencia
711994	252531	Mme Conesal
711994	377199	
711995	382378	
711995	393837	Catalina
711995	398522	Toña
711995	409833	Cristina
711996	3520	Gente Bar #1
711997	33679	
711997	371744	
711998	14803	
711999	274216	Herself
712000	119865	
712001	149551	Madre
712002	308424	
712003	221932	
712003	402633	Cecilia
712004	376796	
712005	29742	
712005	74970	
712005	262607	
712006	13166	
712006	156547	La Caleña
712006	234337	
712006	377112	Rubiela
712006	383390	La Violetera
712006	383500	
712006	393798	Berta
712006	397257	Dolores Collazos (Lolita's Mo
712007	302320	Andrea
712007	383390	Bernarda Lorenza Pinzon 'La P
712007	384876	Sarah
712007	393798	Lina Villa Caballero
712007	401097	Esperanza
712007	403126	Adriana
712007	405798	Tatiana
712007	412153	Cata
712008	273664	
712009	197550	Employment Office Clerk
712010	198236	
712010	287434	
712010	341488	
712010	371786	
712011	1859	
712011	48825	
712011	51232	
712011	85222	Gloria Holden
712011	252549	
712011	307233	
712011	332927	Diana
712011	351480	Celina Núñez
712011	384775	
712011	397574	Rosita
712012	7598	
712013	166089	Herself
712013	339043	
712014	355958	
712015	87309	Belle's girl
712015	174508	Maid
712015	199679	Woman
712015	241883	Margarita
712015	289228	Second Night Nurse
712015	403088	Linda Martinez
712016	170451	Teenage Girl
712016	277606	Herself
712017	255445	Mrs. Rios
712018	142935	French Officer #4
712018	212467	
712018	259958	
712018	284899	Sanitaria
712018	386287	Hostess
712018	386664	Colaboradora (2003-2004)
712018	390464	Host
712018	402684	
712018	405232	
712019	384782	
712019	389780	
712019	398165	
712019	401771	
712019	412040	
712019	412194	Vecina
712020	349890	Valeria
712021	307291	
712022	28196	
712022	36640	Mother
712022	100308	
712022	103005	Carmen
712022	203344	Arms Dealer 2
712022	259849	
712022	265824	Norma
712022	292754	Blanca
712022	387807	Malena Navarro
712022	399620	Leticia Molina
712022	399943	Lorena Muñoz
712022	404713	
712022	406864	Beatriz Beltrán
712023	247845	Joven Embarazada
712024	70322	Maria
712024	95421	
712024	380084	Zenaida
712024	380095	Olga
712024	380107	Camelia de Corona
712024	380795	Caridad
712024	380842	Refugio
712024	383261	Chayo
712024	385502	María (Omar's mom)
712024	395885	Belén Gómez
712024	397598	Amanda
712024	398484	Guest Star
712024	399522	Trinidad 'Trini' Osuna
712024	401916	Josefina
712024	402190	
712024	403173	Flor
712024	410384	Ágata
712025	93074	Young Woman in Truck
712025	397016	Matilda
712026	267050	
712027	101260	
712027	318604	
712027	389780	
712027	403687	
712028	74501	
712029	2865	Rosa
712029	11753	María Rosa Martín López
712029	52763	Bookseller
712029	67458	
712029	87730	Esperanza
712029	101890	Izaskun
712029	103499	Blasa
712029	119059	Ángela
712029	161847	Justa
712029	202021	Mother
712029	226484	Encargada del Archivo de Indi
712029	236014	Madre de Alfredo
712029	273125	Clara
712029	286369	Conchita
712029	322397	
712030	247049	Herself
712031	546	
712031	355760	
712032	145145	
712033	31534	Woman in window
712033	277391	Benita
712034	16844	Singer
712035	202034	
712036	270499	Herself
712036	368872	Herself
712037	397578	Fabiola
712038	296481	
712039	77377	Doncella
712039	102206	Journalist
712039	161957	
712039	207646	
712039	253284	Berta
712039	280726	
712039	354924	
712039	378828	
712039	383268	Tere
712039	387563	Host
712039	404058	Host (1983-1985)
712039	404755	
712040	97267	
712041	211435	child
712042	247178	
712043	311310	
712044	227870	
712045	258483	
712046	386785	Jimena
712046	408724	
712047	77430	
712048	187627	Ayudante maestra
712049	96382	Reportera #3
712050	29006	
712051	50086	
712051	371767	
712051	378442	
712051	381861	
712051	389480	Elba
712051	392959	Nana
712051	396389	La Muda
712051	396942	
712051	399612	
712051	404990	Raquel
712051	408722	
712051	409919	Doña Hilda
712051	412301	
712052	251581	
712053	118838	
712054	2474	
712054	22792	
712054	48789	
712054	52155	
712054	100279	
712054	193342	
712054	206895	
712054	302301	
712054	355006	
712055	90146	Atracadora
712055	240260	
712055	253318	Mujer en cantina
712055	352163	
712055	393549	
712056	147035	Eva
712056	156166	Stephanie, Mark's pregnant wi
712056	165047	Tikalová
712056	175030	Provazniková
712056	180673	Kloucková
712056	181347	
712056	266454	Koryntová
712056	284012	
712056	322252	
712056	326292	
712056	339290	Vokálková
712056	351381	
712056	375408	
712056	376553	Jitka
712056	376603	Rozárka
712056	387031	
712057	408863	Hanka's mother
712058	8569	Manzelka
712060	247159	Niña
712061	182498	Yuki Segawa
712061	182718	
712061	334881	
712062	125011	
712063	11895	Veronika
712063	381218	Maruja (2001-)
712064	411714	Herself
712065	278588	The singer/dancer
712066	370062	Erika
712067	22702	Teresa
712067	51934	Alicia Delgado
712067	121346	Tony
712067	191440	Verónica
712067	209026	Nerea
712067	211072	Bea
712067	256537	Africa
712067	258149	Catalina
712067	263859	
712067	273075	Tiffani
712067	307783	Patricia
712067	326307	Pilar
712067	353195	Isabel Ulloa
712067	356153	Elisa
712067	369755	Herself
712067	369989	Herself - Winner: Best New Ac
712067	369999	Herself - Winner: Best Lead A
712067	387869	Esther
712068	89744	
712068	116596	Chica en la calle 1
712068	378664	Host
712068	380838	Notera
712068	389780	
712068	394017	Bárbara
712068	401358	Maca
712069	89744	
712069	234390	
712069	324502	
712069	378664	Host
712069	380838	Notera
712069	389780	
712069	401358	Mica
712069	408184	Herself/Hostess
712070	97054	
712071	309314	
712072	126130	Resident of Villagio
712073	132128	Waitress
712074	26238	Meg
712074	31544	Girl
712074	38818	Chibi Fiore
712074	92757	Zangya
712074	123111	Solnoid Soldier
712074	135982	
712074	176537	Anna
712074	177084	Fukami Reiko
712074	177085	Horikoshi
712074	182499	Student Treasurer Mizusawa
712074	278065	Waitress
712074	394423	Chay
712074	396640	Tamae Mori
712074	408736	Fire, Lami
712075	371789	
712076	191252	Joko's Girlfriend
712078	245361	
712078	257267	Asaki
712079	341217	
712080	142063	Sanja
712081	4202	
712081	4309	
712081	10038	
712081	10513	
712081	19353	
712081	25952	
712081	58401	
712081	58966	
712081	59042	
712081	60051	
712081	62749	Guest Appearance
712081	68286	
712081	89994	
712081	91466	
712081	98500	
712081	108987	
712081	122942	
712081	126947	
712081	135400	
712081	140006	
712081	141849	
712081	143524	
712081	145368	
712081	152490	
712081	160552	
712081	164302	
712081	164315	
712081	174368	
712081	175863	
712081	175929	
712081	183091	
712081	184165	
712081	184700	
712081	201048	
712081	207379	
712081	208019	
712081	211268	Guest Appearance
712081	211465	
712081	226675	
712081	227618	
712081	242618	
712081	248720	Tipu
712081	262461	
712081	268119	
712081	270766	
712081	273060	
712081	276229	
712081	280233	Split Mushroom
712081	283882	
712081	286757	Dancer
712081	288792	
712081	297024	
712081	308358	
712081	330976	
712081	335735	
712081	355299	
712081	370219	
712081	370715	
712081	392570	Ryuko Inugami
712081	394164	Sayuri
712081	394428	Maheria Meryl
712082	4420	Batwoman
712082	24252	Vijayalaxmi's Secretary
712082	27411	
712082	29070	
712082	58711	
712082	62725	Jayaprada
712082	82000	Suzie
712082	85316	
712082	86674	Komal Singh
712082	86681	Momo
712082	88150	Chakram's to-be bride
712082	95040	Mrs. Azghar Singh
712082	97773	Bauji's daughter
712082	122917	Annu/Anita Pormal Thormal Cha
712082	126951	
712082	143851	Girl in photo
712082	152446	
712082	156256	Guddi
712082	160224	Dharamdas' wife
712082	166456	
712082	176029	Chandramukhi
712082	177563	Guddi (Guest Appearance)
712082	211270	
712082	217155	Student
712082	226680	Banumati
712082	227650	
712082	246099	
712082	250609	Sridevi
712082	285699	Guddi
712082	324914	Lajjoo
712082	359157	Guddi
712083	359816	
712084	326974	Fumiko Omori
712085	201302	
712085	386537	Momonari Hiroko
712086	14141	Leo's Secretary
712086	40200	Fish Dealer
712086	64461	Biker Bandit
712086	67574	Maid
712086	95271	Telephone Operator
712086	125160	
712086	238227	
712086	267038	Gawker #1
712086	289185	Polito
712086	330620	Mrs. Nelson
712086	337177	
712086	383419	Shao Lin
712086	390824	Kim
712086	391267	Yoji Kirakowa
712086	402849	Herself
712086	411068	Herself (1997-1998)
712086	411069	Herself
712086	411423	Team player
712087	384144	Rie Aoi/Maria
712088	285919	Tamaki Nakamura
712089	201302	Additional Voices
712089	335380	Kanta no okâsan
712089	348752	Rose
712089	394031	Various characters
712089	394193	Mock
712089	396488	Kenda Tarou
712089	396535	Roko
712089	405279	Florist
712090	90828	Zangeres
712090	179507	Mitsuro's Mom
712090	379791	Herself
712090	383368	Herself
712091	168929	
712092	57779	
712092	239243	
712092	266820	
712092	308280	
712092	343722	
712093	151126	Veda's Mom
712094	245600	Charla
712094	404506	Stella
712095	327700	Caroline Shepard
712095	386489	Officer Nancy Parras
712095	411176	Diana
712096	43010	Micika
712097	10655	La danseuse
712098	43010	Lonica
712099	66828	Dancing Girl
712100	84121	Crystal
712101	152202	Mary Sawyer
712101	335117	Mary Sawyer
712102	141322	Rosa De Brac
712102	312278	Edith Van Dyke
712103	11304	
712103	12255	
712103	49570	
712103	50688	
712103	53147	
712103	69196	
712103	77286	
712103	104318	Madame Blanc
712103	121637	
712103	133367	Mammy
712103	137467	
712103	141360	
712103	149819	Esmeralda
712103	150819	
712103	185879	
712103	193870	Soft Wind
712103	195607	The Maid
712103	207153	Marybelle Judson
712103	215491	
712103	234082	Molly Brandeis
712103	254516	Martha
712103	255152	
712103	307375	
712103	309436	
712103	358304	
712103	358760	
712103	362418	
712103	372826	
712104	143989	
712105	259347	School Child
712106	57751	Miarka
712107	51754	Helen Ware
712108	52536	Stage Heroine
712108	266706	Jane
712108	372247	Armstrong's Secretary
712109	274669	Nurse
712110	349876	
712111	297839	Herself
712112	329835	Lady Clara Ashley
712113	63660	Marianne
712113	69636	La reine
712113	95441	Herself
712113	159695	La fille à bicyclette
712113	235875	Brigitte, la journaliste
712113	307473	Laurence Lévy
712113	346503	La lieutenante
712113	351711	La danseuse
712113	386837	Nathalie
712114	40887	Irma
712114	82379	Dancer
712114	127305	Bridesmaid
712114	176312	Kay, Muggs' Dance Partner
712114	221035	Dancer
712115	133682	Henrietta
712115	151608	Brenda
712115	347741	Caroline's mom
712116	310274	
712117	6131	
712117	234259	
712117	373506	
712118	3580	Suzanne
712118	6131	
712118	63359	Marie Ruzová
712118	149573	
712118	151887	
712118	151891	
712118	234259	Míla Rychnovská
712118	244210	Zuzana
712118	258474	
712118	268297	Frantina
712118	284098	
712118	295054	Albína Auerhahnová
712118	295060	Karla Richtrová-Sister Angeli
712118	350612	Klára, foster-child
712118	357416	Vera
712118	373506	Maryša
712118	375361	Helena Simková
712119	275367	Baby Weems' mother (segment "
712120	380391	VJicey/Marley Double (1988)
712121	286691	Herself
712122	198571	Elsa
712124	386254	Pregnant Woman (1996)
712125	211727	The Afflicted
712128	1273	
712128	52819	
712128	75031	
712129	201035	Excercise teacher
712130	135006	
712130	214178	Außenreporterin 'TETV'
712130	305650	
712131	147612	Suzie
712132	120063	
712133	14558	
712134	34906	
712135	40250	Yvonne
712135	188683	Bébé #3
712136	110155	Yvonne
712136	293694	Kiné
712137	365285	
712138	302714	Television Guest
712139	93716	
712140	18028	Young Marion
712141	156566	Anna
712141	195788	Woman in the Desert
712142	203049	
712143	77767	Girl
712143	92959	Student
712143	118304	Telephone Operator
712143	206821	Herself
712144	171227	Waitress
712144	321266	Art Dept. Coordinator #4
712144	392927	Correspondent (1998-2000)
712145	378551	Linda
712145	396874	Dorothea 'Doro' Stockner (-20
712146	50974	Teenager
712146	213580	Peep-Bo
712146	233544	Hilary
712146	315697	Early Christian Child
712146	354855	Juanita
712147	376657	Doctora Müller
712148	98423	
712149	258022	Cocktail hostess
712150	340765	Waitress
712151	18810	Herself
712151	67361	Girl in 'Cheerful Day: Introd
712151	69177	Herself
712151	75030	
712151	86631	
712151	92943	dancer
712151	178864	
712151	178868	
712151	218279	
712151	320388	
712151	393599	Herself (eliminated round 1)
712151	407055	
712152	45758	La soeur
712152	51145	Fonfon
712152	51155	
712152	51196	
712152	51199	
712152	112836	
712152	121409	
712152	340638	
712153	263572	Admissions
712154	76552	
712155	342887	Herself
712156	269743	
712156	353888	
712157	2224	
712157	6561	
712157	12029	
712157	22767	
712157	23396	
712157	28034	
712157	30416	
712157	51777	
712157	55966	
712157	74513	
712157	74531	
712157	74541	
712157	75179	
712157	77256	
712157	84332	
712157	88984	
712157	103810	
712157	115191	
712157	118635	
712157	145238	
712157	146509	
712157	159597	
712157	193342	
712157	199922	
712157	203979	
712157	206571	
712157	221964	
712157	234314	
712157	235989	
712157	236034	
712157	239276	
712157	243783	
712157	246497	
712157	248234	
712157	254239	
712157	260521	
712157	278306	
712157	291644	
712157	296472	
712157	300755	
712157	306698	
712157	317698	
712157	339185	Aurora de la Fuente
712157	356665	
712158	94482	
712158	104488	
712158	124242	
712158	212137	
712158	248680	
712158	284842	
712159	356654	
712160	204739	
712161	17330	Meisje
712162	92406	Rosa Epstein
712164	1349	Themselves
712164	104994	Herself
712165	119822	Mary
712165	263314	Odette
712166	25648	Mariluz
712166	53124	
712166	123152	
712166	193327	
712166	199818	
712166	276456	
712166	307196	Perla
712166	317694	
712167	222214	Adele
712168	63977	
712169	8581	
712170	119822	Granddaughter
712170	126755	Tina
712170	207970	
712170	357833	Mireille
712172	78368	
712172	384474	La petite fille
712173	402103	Nina
712174	16977	
712174	25627	
712174	199301	Madame Homais
712174	207770	
712174	278368	
712174	333719	Madame Blandin
712174	357059	
712174	384116	Various roles (1986-1988)
712174	399823	Precilda
712175	306278	Lady in Waiting #2
712176	1072	Kathryn
712176	79562	Mrs. David Cross
712176	138841	Woman in Park
712176	403985	
712177	19808	Veronkha
712178	14706	
712178	64012	Poupette
712178	113532	Mara
712178	189354	Brigitte
712178	197575	Jane
712178	234824	
712178	235796	Brigitte
712178	278750	
712179	191142	
712179	349842	Thérèse
712179	350180	
712179	393023	Lola
712179	403262	
712179	409922	Attorney Amparo Cortosa
712180	227034	Kirska
712181	5545	Woman
712182	330199	Susan
712182	339053	Host
712183	104730	Monegasque entry (19th place)
712183	215410	
712184	58753	Sandra Marelli
712184	78796	Cocktail waitress
712184	151116	Amelia
712184	366137	Woman at bar
712184	391822	Loretta Wilding
712185	202300	
712186	248705	
712187	228253	Herself
712189	72920	Nancy
712190	46363	Dancer #1
712191	43595	
712191	163465	
712191	202795	Herself
712192	14967	
712192	67826	
712192	110166	
712192	113446	
712192	214009	
712192	262479	A gypsy
712192	269024	
712192	270325	
712192	287495	
712192	293065	
712192	295155	
712193	203376	
712194	216110	
712195	261850	
712196	200170	Donna
712196	200171	Donna
712197	293684	
712197	404217	Iwona
712198	203185	Judy
712198	397790	Maid
712199	296829	Eva
712200	197236	
712201	3379	Rita
712201	9657	Flora
712201	13093	
712201	14759	
712201	16546	Gina
712201	20796	
712201	29808	
712201	33661	Maria
712201	48200	
712201	52146	
712201	54092	
712201	54149	Governante Franca
712201	54304	
712201	54871	Valeria
712201	55554	
712201	57305	
712201	57341	
712201	69985	Donna Carmela
712201	82421	
712201	94702	Susanne
712201	97465	The Widow
712201	102334	
712201	108748	Nella
712201	111374	
712201	112175	Carmen
712201	112274	Consuelo
712201	112658	
712201	112685	La Contessa
712201	116496	
712201	118019	Amelia
712201	121893	
712201	124327	Mother
712201	124426	Rosa
712201	139440	Une spettatrice al teatro
712201	147060	
712201	162079	
712201	163005	Lucy
712201	184972	
712201	188592	
712201	194554	
712201	205038	Corinna Auselli
712201	207071	
712201	209439	La moglie di Cristaldi
712201	213797	
712201	227575	
712201	234729	
712201	235779	Wanda - Cabiria's Friend
712201	243372	
712201	244576	Donna Carla (episode "Canto f
712201	251051	Nanda Fougère
712201	256411	
712201	256652	Carla
712201	266637	Clotilde Scarponi
712201	270318	Tosca
712201	270321	Clara
712201	278751	
712201	278995	
712201	279081	
712201	286395	Ex Amante di Andrea
712201	287760	
712201	291561	Camilla
712201	319324	Assunta Ranieri
712201	334032	Livia
712201	335227	Lidia
712201	336609	Unidentified Character
712201	336615	Teresa
712201	336618	Matilde Cocozza
712201	337509	Nicola's girlfriend
712201	340644	
712201	348150	
712201	351059	Amante di Sanesi
712201	351512	
712201	351514	Katia
712201	351532	
712201	352238	Landlady
712201	356144	
712202	207670	Tera
712203	233921	Mrs. Stillwell
712204	19096	La première
712205	29678	Fat Woman
712206	169808	
712206	344722	
712206	382676	Alma
712206	388592	Elizabeth
712206	391609	Taís
712206	392747	Student
712206	396610	Suzy (1995)
712206	396718	
712206	398503	Carola Sampaio
712206	402159	
712206	404178	Sílvia
712206	406833	Lili
712206	408550	Giulia
712207	256981	Maria
712207	287489	Teresa
712208	202244	
712209	102318	
712210	13086	
712210	28879	Helen
712210	42109	
712210	77091	
712210	96299	
712210	108137	
712210	135280	Dolores
712210	247159	Maestra
712210	380274	Alicia
712210	383687	
712210	383816	
712210	401769	Carmen
712210	404755	Rosa Ferrer
712211	328891	
712212	100162	Biancalida
712213	349754	Giannina's mother
712213	392740	Elsa Scotti
712213	392741	Elsa Scotti
712214	217188	
712215	25019	
712215	28282	
712215	43665	
712215	68621	
712215	85726	
712215	110160	
712215	148482	
712215	158827	
712215	169712	
712215	195117	
712215	211023	
712215	225110	
712215	256153	
712215	286565	
712215	344699	
712215	377617	Lindoca
712216	68621	
712216	98799	
712216	103901	
712216	188883	
712216	377603	
712216	407643	
712216	409426	
712217	307200	
712218	337972	Cíntia
712219	392959	Mucama
712219	409919	Paolita Venegas
712220	267887	Madre
712221	322069	
712222	198191	
712222	387928	
712222	391311	
712222	408596	
712222	412241	Marieta
712224	100009	
712224	338643	
712225	235882	Driver (segment "Passage de C
712225	338116	Infirmière
712226	192816	Ursula
712227	174155	Lectrice nouvelles
712227	410252	Andréanne Rocheleau
712228	155738	Sylvie Vartan
712229	178697	
712229	390242	Isabel Develing (1991)
712229	394155	Juffrouw van de Born
712230	62628	Chona
712230	89207	Street Kid (herself)
712230	376908	
712231	410325	Herself
712232	18669	Ana Maria
712232	54166	
712232	88795	
712232	247175	
712232	342149	Mujer Limpieza
712232	407856	
712233	144197	
712233	204993	
712234	2660	Esperanza/Brenda/Domitila
712234	6631	Patricia
712234	10476	Carlota
712234	13084	Gloria
712234	16827	Herself
712234	16828	Herself
712234	24375	Rosita
712234	25039	La Cachuquis
712234	27993	Margot
712234	48776	Angélica
712234	63887	Marisa
712234	66347	Mara niña
712234	68596	
712234	70688	
712234	74845	(segment "La rebelde")
712234	91294	Rosa María
712234	101875	María
712234	104148	
712234	112054	Rosita niña
712234	119307	
712234	124655	Florecita
712234	135283	
712234	136596	
712234	145139	Lupita pequeña
712234	145182	
712234	209072	
712234	212349	Marga
712234	212389	Carmelita
712234	212417	Mané
712234	212523	Marta
712234	221564	Tere
712234	221929	Hijito de Rosa
712234	225699	Bailarina
712234	227560	Rosita
712234	247461	
712234	247465	
712234	251552	Miguelito
712234	252370	
712234	252784	Dina
712234	262981	Leonarda Tomasa Isaaca
712234	281181	
712234	291767	Rina
712234	292706	Venus
712234	292750	
712234	296462	Rosita
712234	301386	Sofía
712234	307790	Nora
712234	308277	
712234	317813	Clarita
712234	318001	Niña empleada por chantajista
712234	322373	María Luisa
712234	322402	Elena Montero
712234	334216	Christina Carver
712234	336114	Rosita
712234	340041	
712234	352098	Magdalena
712234	355935	María
712234	370164	Rosalba
712234	371675	
712234	376713	Lucía
712234	376852	
712234	379461	Elisa viuda de Armendáres
712234	379905	Balbina Eslava viuda de Casta
712234	380151	Ana
712234	380445	Doña Bernarda de Muñiz
712234	381650	Esperanza
712234	383527	
712234	384987	
712234	391421	
712234	391742	Diana Díaz/Andrea Velarde
712234	395474	
712234	397734	
712234	398455	
712234	398804	
712234	402406	
712234	403752	Soledad Martha Romero
712234	408851	
712234	409012	Esperanza/Martha
712234	411660	Yara
712234	412180	
712235	371674	
712236	52972	
712236	83870	
712236	212461	
712237	36659	
712237	159418	
712237	379834	
712237	384400	Marcela 'Marce' Mejía
712237	386531	
712237	392290	Rocío
712237	392806	
712237	395885	Ximena
712237	399823	Silvia Requena Ortiz (child)
712237	402152	Brittany
712237	403024	Roberta Pardo
712237	403257	
712237	405318	
712237	410450	
712238	234390	Marcela
712239	19449	
712239	44530	
712239	58137	
712239	112133	Soledad
712239	115834	Narrator
712239	146506	
712239	165160	
712239	234394	
712239	302555	
712240	23379	
712240	23383	Patricia
712240	70094	
712240	145223	
712240	253665	
712240	259889	Esposa
712240	308424	
712240	332579	Directora C.U.
712240	337577	
712240	354774	
712241	54822	
712241	55389	
712241	75619	
712241	84161	
712241	205534	
712241	218092	Singer
712241	236292	The Gypsy Girl
712241	274904	
712241	380537	
712241	397550	Laurinda
712242	67048	
712243	200538	
712243	377607	
712244	409463	Secretaria (1982-1983)
712245	262225	
712246	72383	Lenka
712246	221865	Pavlínka
712246	263652	Anicka
712247	219567	Sra. de Leiria
712248	302333	
712249	401067	Andreína
712250	28010	Marta
712250	56446	
712250	61756	
712250	82245	
712250	96337	
712250	136982	
712250	221969	
712250	249788	
712250	274524	
712250	355752	
712251	108994	
712252	229441	
712253	80253	Betty Herneston
712254	21684	Lilia
712254	398801	Secretary
712255	213389	Aeropuerto
712256	53574	
712257	63913	
712258	5976	
712258	12063	
712258	14657	
712258	19383	
712258	19443	
712258	22789	
712258	24908	
712258	33263	
712258	47608	
712258	51778	
712258	53576	Maiguilda
712258	54050	
712258	54053	
712258	55749	Marta Maria Mireles
712258	55961	
712258	56330	
712258	69222	
712258	72378	
712258	72379	
712258	72966	Lucia
712258	73086	Esperanza
712258	74145	
712258	74554	Mimi
712258	83137	María Elena
712258	98701	
712258	100404	Remedios
712258	100510	
712258	108730	
712258	111560	
712258	123170	
712258	123186	
712258	125464	
712258	132659	
712258	139914	
712258	146490	Soledad
712258	166549	
712258	169086	
712258	171373	
712258	189013	
712258	209298	Dora
712258	214211	
712258	221711	
712258	221750	
712258	221905	
712258	226499	Sra. Carrasco, Madre de Isabe
712258	234413	
712258	238326	
712258	238759	Senora
712258	251563	Graciela
712258	251571	
712258	253319	
712258	261224	
712258	263069	
712258	263852	
712258	265548	
712258	270067	
712258	278422	
712258	284095	
712258	292956	Rosario Gómez
712258	300606	
712258	301123	
712258	306821	
712258	307212	
712258	328040	
712258	343609	
712258	345600	
712258	351573	
712258	355002	Xochiquiauit
712258	355484	Arminda
712258	357507	
712258	376647	
712258	376723	
712258	379565	Margarita
712258	379813	
712258	383329	Emilia
712258	387622	
712258	389642	
712258	391444	Josefa
712258	391523	
712258	391966	
712258	391993	Soledad
712258	396245	
712258	396388	
712258	396600	
712258	397569	
712258	398522	Madre Superiora
712258	402407	
712258	403785	
712259	326224	
712260	152198	
712261	226498	Maestra de historia
712262	400667	Carolina (2001)
712263	170919	
712264	19383	
712264	343609	
712265	14928	
712265	34580	
712265	41769	
712265	58395	
712265	59200	
712265	70857	Maria Alvarez
712265	83138	
712265	83887	
712265	83972	
712265	90113	
712265	91283	Mesonera
712265	103846	
712265	123184	
712265	202950	Thorn Rose (wife of Yellow Ha
712265	207968	
712265	209470	
712265	236036	Cabaretera de Rojo
712265	238759	Gumersinda
712265	250791	
712265	251284	
712265	256658	
712265	266669	(segment "Una cena de navidad
712265	275077	
712265	281181	
712265	317774	
712265	322852	
712265	370170	
712265	378471	
712266	236024	
712266	383438	Josefa
712266	388093	
712266	399497	Elsa
712266	399537	
712266	400717	
712266	402675	
712266	406050	Liria
712266	408720	Juanita
712267	76116	
712267	377173	
712267	380059	Amada
712267	380084	
712267	380095	Madre de Sandy
712267	382197	La Criolla
712267	392653	
712267	397598	Irma
712267	401695	
712267	405416	
712267	408855	
712267	412192	
712268	51779	
712268	143781	
712268	248296	
712268	397579	
712268	401668	
712268	401695	
712268	408199	
712268	408586	
712269	73276	
712269	381650	
712270	50139	Interne
712271	354672	
712272	386553	
712272	390457	Host (1998)
712272	402056	Azafata (1988-1990)
712273	332591	
712274	296430	
712275	12083	
712276	253373	Cazadora
712277	14942	TV Announcer
712277	193550	Juliana
712277	379552	
712277	382197	María
712277	403741	
712277	410450	Nicolasa (II)
712278	366269	Heather
712279	343446	
712280	108844	(segment "El mago de Oz")
712280	170061	
712280	233341	
712280	247859	
712280	265555	
712280	282118	Louise
712280	301108	
712280	308911	
712281	335515	
712282	52752	
712282	99762	
712283	355808	Kenza, la fille de la concier
712284	236404	Teresita
712284	236405	Teresita
712284	322343	Lucrecia
712285	1863	
712285	52971	Alberto's mother
712285	53648	
712285	70519	
712285	132637	
712285	221715	
712285	239277	
712285	251578	
712285	317682	
712286	148105	Juanita
712287	55488	Girl at The Party
712287	57311	
712287	71563	
712287	260605	
712287	277806	Michela
712288	3568	
712288	189377	
712289	104853	
712289	132677	
712290	93427	
712291	355808	Sarah, la copine de Leila
712292	222586	
712293	187627	Mamá Buba
712294	398622	Herself
712295	372035	Oure
712296	41737	Witness
712296	202997	Orphan
712296	285370	Passenger
712297	202997	Orphan
712298	394101	Kazami Aya
712299	77521	
712299	124038	
712299	138069	Yuki
712299	278547	Shizuko Yamamura
712299	278548	Shizuko Yamamura
712299	278549	Shizuko Yamamura
712300	288857	Osame
712301	286575	Felicidae Filippo Amoroso
712301	388798	Vivian
712301	396874	Yvette Westermeier, geb. Mlop
712302	299431	
712303	246880	
712304	67395	Olivia
712305	389858	Dr. Kramer (1995)
712306	112904	Mrs. Patel
712307	52443	Receptionist
712307	68268	
712307	113333	Leblanc
712307	121512	Girlfriend #1
712307	152953	
712307	168776	Theta #1
712307	172209	Woman
712307	177630	Delightful Slocumb
712307	235284	Laytesha
712307	248976	Golden Gate Bartender
712307	313488	Adi Gallia
712307	313492	Adi Gallia
712307	323889	Pronyma/Luna
712307	367617	Lesbian Inmate
712307	369460	Psylocke, Female Prisoner #4,
712307	369466	
712307	410734	Announcer
712308	28105	
712309	229187	Zoya
712310	350377	
712310	356107	Lelijk meisje
712311	19621	Marion
712312	51885	Guest
712313	100816	Businessman's Wife
712314	57057	Tana
712314	178740	(episode "Cekati")
712314	180612	
712314	191579	
712314	222078	
712314	242480	
712314	265726	
712314	294915	
712314	304656	
712314	320367	
712314	356069	Jolina zena
712314	357318	Majka
712314	366267	Squaw
712314	402326	
712314	410429	Majka
712315	269536	
712315	328879	
712316	269555	Herself (audience)
712317	202547	
712318	352632	Gambler
712319	101471	
712320	6345	Policewoman
712321	383890	Ajeet
712322	269555	Girl
712323	391900	Creuza
712323	392629	
712323	400838	
712323	402506	
712323	410377	
712324	29517	
712324	122767	Bataclete 6
712324	246848	Maria
712324	260528	Denise
712324	338241	
712324	397416	
712324	405810	
712324	407872	
712324	409024	
712325	332595	Protestante 1
712326	77145	Reporter
712327	37212	Karen
712328	20625	Extra
712329	40199	Bar patron
712330	115163	Intern
712332	201135	La journaliste
712333	67209	Samira
712333	111022	Secretary
712333	345548	Sophie Castel-Fortin
712333	377465	Sophie
712334	75632	Alice
712335	3537	
712335	5372	
712335	53093	
712335	57302	
712335	76355	
712335	89667	
712335	94710	
712335	94712	La Fioraia
712335	94714	
712335	94722	Movie Proprietor
712335	132730	
712335	162077	(segment "Una boccata di fumo
712335	162158	
712335	183487	
712335	196776	Valeria del Sole
712335	197467	
712335	199037	
712335	200505	
712335	221966	
712335	234824	
712335	248954	Fiorella's Maid
712335	249251	
712335	252312	Mrs. Tibiletti
712335	287891	
712335	288626	
712335	289440	
712335	289696	White Sheik's Wife
712335	338716	
712335	348139	Maricca
712335	377587	
712336	60121	
712336	69985	
712336	89908	
712336	92073	
712336	102399	
712336	113710	
712336	124556	
712336	158765	Caterina
712336	202280	
712336	214223	
712336	217872	
712336	221966	
712336	250387	La Cantante
712336	280760	
712336	287891	
712336	290895	
712336	386742	La telefonista
712337	325553	Pauline
712338	46026	
712338	150133	
712338	208260	
712338	240078	
712338	279272	
712338	350808	
712339	31635	Mrs. Harrison
712339	40878	White Suit #2
712339	113807	Elaine Collins
712339	232456	Mrs. Crusel
712339	275996	Nancy's Mother
712340	155468	Holzwurm
712340	269641	
712341	375796	Chiara
712342	119802	Girl #2
712343	114328	
712344	127323	Beauty
712344	131567	Debbie
712344	134672	Phil's movie date
712344	342831	
712345	288311	Mother
712346	110391	
712347	80236	
712347	81694	Esposa Comisario
712347	402158	
712347	412127	Julia
712348	37156	Momma Kreaselli
712349	272772	La sposa
712350	112720	Teacher Zoppetti
712350	294411	
712351	270868	
712352	229990	Hilda Lindquist
712353	55975	
712353	236321	Servant Girl
712353	279113	Black girl
712354	322940	
712355	266625	Newlywed Wife 2
712356	17792	Carla
712356	40522	Rosaria
712356	63874	Paolo's mother
712356	109778	
712356	127887	
712356	209831	Margherita Di Carlo
712356	235756	Principessa Mascoli
712356	269125	
712356	302184	Livia
712356	315454	Dottoressa della ASL
712356	328891	Peppina Campeggi
712356	353056	Pola
712356	353130	Valeriana
712357	29138	L'Indiana
712358	228198	Nathalie Granger
712359	69899	Helga
712359	308038	Sharon
712360	169222	
712360	252283	Specialty Act
712361	334486	
712362	225524	Elizabeth Dorsay (débutante)
712363	281666	Notärztin
712364	84059	Salud
712364	184870	Mercedes Casals
712364	311782	Herself
712364	378983	Colaboradora
712364	384644	Herself (2003-2004)
712365	342428	
712366	71261	
712366	235296	Rockero
712366	393582	Lleó
712367	44429	Frances
712367	313024	Sarah
712367	389868	Thembi (????-1999)
712368	220041	
712369	149944	Evelyn
712369	184717	Sarah, Valerie's Secretary
712369	310240	Maria
712369	382704	Kelly (1999)
712370	188594	
712370	212123	Mother
712371	262054	Tonderai
712372	111791	Girl #1
712373	272516	Nurse Lida
712374	404503	
712375	37867	Bitch 2
712375	313622	Apartment Girl
712376	335989	Juana
712377	13203	
712378	270840	
712379	243307	
712380	291496	Bethany
712381	117891	
712381	127918	
712382	89576	
712382	206012	
712382	307584	Gabriella
712382	348185	
712384	21922	
712384	36405	
712384	125201	
712384	365384	
712385	201597	Teenage Girl
712386	254388	Eddy
712386	405010	Miriam (2001-2004)
712387	26238	Young Sylia
712389	105424	Betty
712390	175193	Nessa
712391	150885	Teacher
712392	188490	Little girl
712393	389868	Hilda Letlalo (????-1998)
712394	201376	Yatarô
712394	370435	Gori
712394	394424	Cima Garahau
712394	396490	Châmo
712394	397828	Mother
712395	409842	Akira Asagi
712396	257293	Young Henchgirl
712397	155505	Mineko Bando
712398	130200	Natasha's Mother
712399	85214	Girl
712400	202299	
712400	374772	Anyuta
712400	399344	Ego doch
712401	3534	
712401	35845	
712401	88813	The daughter
712401	177125	Decont (from Alpha)
712401	214274	
712401	225928	
712401	229065	
712401	232690	
712401	238322	
712401	243880	
712401	244047	(segment Osobyj sluchaj)
712401	250802	Margarita
712401	253563	
712401	263672	
712401	285940	
712401	305294	Natasha Solovyova
712401	349301	
712401	355850	Sophia
712401	357467	
712401	357659	
712401	389747	Sophia Zotova
712401	399344	Kukharina
712402	203955	2nd Woman
712403	270975	Roz Weatherby
712404	210594	
712405	219825	
712406	344412	
712407	324747	Blanche
712408	26674	
712409	208796	
712409	255634	
712410	345607	Mamá
712411	127977	
712411	161538	(segment "Bianca e Nero")
712412	253798	
712412	258801	
712412	305813	Kraljica
712412	405775	Sestra Julija
712413	256339	
712414	270975	Waitress
712415	277811	Alina 1
712416	13553	Corinne
712416	269738	L'infirmière
712416	353926	La femme du Hollywood
712417	5372	Mrs. Carracini
712417	29138	Susanna
712417	29582	
712417	51704	Alba Ibanez
712417	54153	
712417	54838	
712417	69477	Une cliente
712417	111427	Paola Piccoli
712417	132721	Beautiful Girl
712417	197180	Sandra
712417	205889	Mademoiselle Ester
712417	227562	
712417	244130	Carolina Rambaldi
712417	251620	
712417	252338	
712417	300783	
712417	317718	Lauretta
712417	333662	
712417	336589	La zingara
712417	351851	Diana
712417	380988	Laura Storm
712418	199505	
712419	173627	
712419	389868	Karabo Moroka (1993-)
712420	2924	Herself (Memorial Tribute)
712420	24181	Bertille
712420	36612	Iris
712420	49690	Carla Santi
712420	52873	Ermelinda
712420	57959	
712420	90754	Rosita
712420	99070	
712420	104643	Passerotto
712420	118019	Nanda Diotallevi, detta 'Fort
712420	127798	Amelia Bonetti (Ginger)
712420	129019	Giulietta Boldrini
712420	162065	Herself
712420	169033	Erdme
712420	181917	Doris Putzke
712420	196776	Melina Amour
712420	198051	Herself
712420	199871	Gabrielle
712420	229644	Lina
712420	234761	Rita's mother
712420	235708	Herself
712420	235779	Cabiria
712420	246832	
712420	253152	Perinbaba/Lady Winter
712420	253414	Pippo
712420	281110	
712420	289696	Cabiria
712420	291561	Anna
712420	294413	Marcella
712420	295161	Rita
712420	315824	Gelsomina
712420	353079	
712420	358940	
712420	383264	Camilla
712420	405800	
712421	215696	Miss Kenya
712422	3536	
712422	236362	Miss Martin
712422	294713	
712423	120674	Une dame
712423	190970	
712423	396039	Soeur Econome
712424	216324	Donna cannone
712424	353130	Madre di Ivano
712425	14840	
712425	235349	Holy Mary/The Wife
712426	185503	Wendy Ryan
712426	403817	Linda Twist
712426	403818	Linda Twist
712427	69342	Valentine
712427	275112	Lucrèce
712429	202052	Secretaria
712430	77409	
712430	259175	Tendler's wife
712430	312886	
712430	312888	Frau Niemeyer
712430	325617	Käthe Wimper
712431	245115	Helen Perl
712432	403805	Livvie D'Angelo (2001-)
712433	55698	Maternity Nurse
712434	34619	The Royal
712434	65701	
712434	112049	Background Gorilla
712434	134295	Primate Sequences
712434	346360	Chevron
712435	88883	Dr Nicola Barrington
712435	138844	Marcia
712435	160861	Antonia
712435	167111	Pam Leyton
712435	203443	Helen Grey
712435	242092	Jean
712435	264489	
712435	320261	Dr. Lucy Byrne
712435	355031	Tina
712435	365151	Virginia
712436	45592	Ilsa
712437	124620	
712438	40175	Sharon
712439	129656	Marina
712439	248556	
712440	12937	Czechoslovakian actor
712440	349130	Diva
712441	234252	
712443	386532	Alena Zárubová
712444	26540	
712445	165061	Eliska
712445	205704	
712445	263652	Markéta
712445	304455	
712445	351381	Jana
712445	374074	Gita
712446	37681	Inga
712447	258831	
712448	79658	
712448	127824	Ghost
712448	273777	Diana Mills
712448	378788	Rome Greyson
712448	392763	Various
712449	381492	Hornet
712450	41877	Teacher
712451	180122	
712452	294371	
712452	345990	Astrids barn
712453	279200	Dancer: Moscow Folk Ballet Co
712454	107103	Reporter
712455	124843	
712455	349840	
712456	4742	
712456	6401	
712456	19344	
712456	23699	
712456	33554	Florence Meyer/Françoise Meye
712456	43412	
712456	59491	Florence
712456	88084	Dorothée du Clos-Verger
712456	101127	Valérie
712456	132404	Caroline
712456	136658	Nathalie
712456	145733	Esther
712456	153788	Rachel Donnadieu
712456	158833	Magda
712456	200967	Madame Moncin
712456	217223	Schoolgirl
712456	248894	Anne
712456	264943	Stéphanie
712456	301402	Américaine
712456	307111	L'amoureuse classique
712456	324461	Rosa
712456	336826	
712456	345024	Juge
712456	345310	
712456	345378	Summer-Camp Director
712456	346537	Helene
712456	346793	Nicole
712456	356969	Juliette
712456	377629	Mathilde Barnes
712456	380862	Sonia
712456	392910	Marie
712456	409531	Marie
712457	65695	Herself
712457	306297	Herself
712458	155696	Chaperone
712458	217416	Police Officer
712459	64750	Sidewalk Woman #04
712460	94222	
712462	152791	Car driver
712463	108851	Lena
712464	239958	Infirmière
712465	7388	
712465	7610	
712465	121140	
712465	163912	Tzaritza
712465	217280	
712465	237984	
712465	242474	
712465	253750	
712465	283837	
712465	286216	
712465	337048	Maryna
712465	352955	
712465	382445	Korovyanskaya
712465	386805	Lera's mother
712466	394620	
712467	179889	Magdalen
712467	229836	Pavlina
712468	65191	Clarice I
712469	29580	
712470	33673	
712471	279912	Nadia's Mother
712472	166686	Herself
712472	221517	Dao
712473	97346	Bet
712474	37884	WPC Debbie Keane
712474	98392	Elena
712474	157603	Lesley Shooter
712474	363612	Molly
712474	379872	Sarah da Costa
712474	382052	WPC Debbie Keane (1995-1998)
712474	405088	Receptionist
712475	304734	Hospital Voice
712476	82449	Helen Keller as a young woman
712476	112526	
712476	154916	Beauty Shop Manager
712477	98071	
712478	136825	Cousin Hebe
712478	177524	Helen
712478	335865	Walsh's Secretary
712478	363004	
712479	41504	Cigarette Girl
712480	315198	
712480	395937	Veleen Towns
712481	14190	Herself
712482	308637	Herself (canoeist)
712483	383037	Anchor
712484	11581	Peggy Jones
712484	385299	Flora Delisle
712484	410011	Constance Cartwright
712485	372825	Aida's Mother
712486	202913	
712487	245884	Bridgey
712488	305007	Herself
712489	86707	
712489	160864	Girl
712489	346398	School Teacher
712491	20253	Blanche
712491	372555	Candy
712492	335868	Girl
712493	5152	Mrs. Gummer
712493	46981	Townswoman
712493	59729	Sister Atkins
712494	71477	Andrea
712494	228298	Bikini Girl
712495	175121	Crystal
712495	268004	
712496	88095	Herself
712496	110974	Bailiff
712496	137259	Montrose Guard
712496	157521	Herself
712497	39600	Mrs. Hannah
712497	194318	Mrs. Lodge
712498	245447	Raven
712498	348106	Herself
712500	41185	Suzette Fremont
712500	343158	Terry Adams
712501	197703	Helen Leary
712502	43606	Maid
712502	51661	Karaoke party guest
712502	88978	Barbara
712503	81113	Genelle Davis
712503	81262	Phoebe
712503	328258	Topless Girl
712504	309807	Hooker
712505	100034	Laurie Meyers
712505	382537	Natalie
712506	122166	Germaine Douglas
712507	232981	Ms Goffaux
712508	962	Martine Burden
712508	3082	Martine Burden
712509	237881	
712510	45656	The Girl
712511	335509	Mais
712512	83604	
712512	130794	
712512	145801	
712512	272766	
712512	360549	Beth
712512	361746	
712513	61962	Tugby
712514	56085	Lady in Waiting
712514	64750	Gallery Owner #1
712514	296690	Shelly Robins
712514	315585	Waitress
712515	1785	Frau Grunlich
712515	8339	Mrs. Pettinger
712515	36776	German stationmistress
712515	39657	Jemima
712515	40666	Aunt Mona
712515	44460	Aunt Emily
712515	46283	Dresser
712515	53099	Mary Stuart
712515	54640	Mrs. Lennox
712515	59555	Dame Jane Luckton
712515	64712	District Nurse
712515	71540	
712515	88846	Housekeeper
712515	123974	Euphie
712515	125817	Mrs. Fraser
712515	127113	Mrs. MacNiff
712515	127164	Mrs Wigmore
712515	191950	
712515	205787	Beenie
712515	240446	Mrs. McCosh
712515	245815	Mrs. Winthrop
712515	252980	Mrs. Hemmings
712515	276907	Mrs Priskin
712515	341979	Mrs Pearson
712515	359386	Impatient Juror
712516	131988	Mary McHenry
712517	84113	Wheelchair Woman
712517	100954	Nurse
712518	196841	Hostess
712518	276237	Herself
712518	284971	
712518	319296	
712518	378976	Quadring's Secretary
712518	395350	Yvonne
712519	345943	Rene
712519	405640	Maya
712520	96673	Ella Eeaford
712520	363420	
712521	21510	
712521	25401	
712521	72040	
712521	131476	Joan
712521	150930	
712521	210244	
712521	291217	
712521	319776	The Siren
712522	168087	Showgirl
712523	133658	Girl at Hotel
712524	13384	Grace Burton
712524	79361	Lady St. Erth
712524	143176	Mary Scott
712524	151743	
712524	184280	Mrs. Ralston
712524	203757	Yolande Hampton
712524	269314	Princess of Saxonia
712524	282006	
712524	296788	
712524	351241	Coralie Travers
712525	141639	Samantha
712526	78821	Rosemary
712526	103896	
712526	209170	Dancer
712526	236952	Dancer
712527	5008	
712527	5212	Miss Froggatt
712527	7394	Miss Platt
712527	7618	Basement Woman
712527	49391	Hotel Guest
712527	81733	
712527	89691	Hilary Hartwicke
712527	90348	Heather
712527	96713	
712527	127128	Nan
712527	140076	Elderly Lady
712527	141094	Mary Simpson
712527	149225	
712527	150875	
712527	154180	Mrs. Hyde
712527	183770	Nanine
712527	185741	Miss Ruddock, Spinster
712527	198878	
712527	211472	Martha
712527	219399	
712527	220638	Emily Barton
712527	276804	Ward
712527	279860	Professor Laplace
712527	280180	Mrs. Allen
712527	297193	Dora
712527	331402	Mrs. Medina
712527	347110	Jessica Ramsay
712527	371087	Miss Fletch
712527	380352	Sarah Vodrey
712527	380540	Mrs Murray
712527	382727	Beatrix Holcome
712527	385782	Mrs. Gummidge
712527	390362	Mrs. Fuller
712527	390574	Mrs. Fagge
712527	396507	Gladys
712527	398187	Jane Arnold
712527	398676	Mrs. Booth
712527	399383	Mrs. Nickleby
712527	401381	Mrs. Biddle
712527	401744	Mrs. Carne
712527	404672	Mrs. Medlock
712527	405525	Lady Boleyn
712527	407185	Mrs. Yapp
712527	408156	Mrs. Drummond
712527	409578	Mrs. Timothy
712528	176244	Eve Campo
712529	106356	
712530	46275	Beth
712530	74730	Ailsa McChristie
712530	81291	
712530	99281	Mrs. Otter
712530	255274	Rosamund
712530	298879	Emily Stuart
712530	331042	The Mother
712530	358595	Kidz Club Assistant
712530	399816	Mandy Ward (1976)
712530	406891	Anna Kaufman
712530	410682	Mrs. Pringle
712531	78821	
712532	365395	Singer
712533	190209	Mrs. Miller
712534	34129	Random Dance company
712535	299204	Peg
712535	317346	
712536	199564	Serena
712537	197256	
712537	197267	
712538	182706	Additional Voices
712539	122678	Adele Belmonte
712540	342692	Alex
712541	308637	Herself (canoeist)
712542	338981	Herself
712543	131650	Herself
712544	19983	
712544	39182	
712544	39902	
712544	49413	
712544	84864	
712544	213959	
712544	363241	
712544	363245	
712544	368922	
712545	201245	Sandra
712546	241244	Party-Goer #1
712547	339359	
712548	223798	Pascoe Daughter
712549	77974	
712550	386339	Young Woman in Dorm
712551	56893	Memphis Tourist Lady
712552	65184	Girl after school
712553	190322	Roxanne Carson
712554	195134	Coalminer's wife
712555	9976	
712555	37113	B-girl
712555	45219	Francine Gravesend
712555	176199	The Harem Girl
712555	236383	Laura
712555	269340	Venus Girl
712555	294692	Fedora in Fedora
712555	321495	Singer
712556	299738	Messenger 1
712557	350016	Mrs. Poundstone
712557	372320	Mrs. Oglethorpe
712558	35825	Lady Driver
712558	45846	Donna Williams
712558	46431	Lacy
712558	93156	Harriet Farnum
712558	100820	Mom
712558	109077	Mother
712558	230499	
712558	375047	Saleslady
712559	378765	
712560	213318	Fairy
712561	389046	
712562	304352	Cafe Cashier
712563	390523	Gemma Lyons (1997-1999)
712564	301806	Beth
712565	154907	Aggressive Blonde
712565	232084	Martha
712565	385824	Linda Patterson Anderson #2 (
712565	389858	Gloria #1 (1990)
712565	403281	Selena Cross Rossi, R.N. (197
712565	411802	Eve Howard (1980-1984, 1993)
712566	847	Woman On Park Bench #2
712566	59595	Mrs. Noseworthy
712566	61293	
712566	104857	Mrs. Graham
712566	105539	
712566	109880	Philip's Mother
712566	111061	Mrs. Armitage
712566	128508	Mrs. Cooper
712566	139608	
712566	140518	Greengrocer
712566	142838	Housekeeper
712566	151761	Wedding guest
712566	195300	Harris Street old lady
712566	199462	Mrs. Marshall
712566	216240	Nursing Nun
712566	264146	The Ancient Booer
712566	270977	Matron
712566	273825	Myrtle Fairley
712566	297079	Mrs. Hathall
712566	314835	
712566	328665	Terry's Gran
712566	358553	Aunt Mildred
712566	366835	Gran
712566	388324	Celia Porter
712566	390777	Leonora
712566	390887	Mrs. Jackson (1969)
712566	401077	Alice North (1993-)
712566	402657	Susan
712566	403047	Myrtle Fairley
712566	407508	Sarah, Mother
712567	53823	Befuddled Teacher
712567	167324	Garrison's secretary (credite
712568	59151	Office Worker
712569	135513	Mrs. Rance G.
712570	187722	Lucy Belmont
712571	194318	
712572	12319	Party Guest
712572	173089	Birthday Party Guest
712572	271344	Job Interviewer
712573	366639	
712574	256211	Teacher's Wife
712575	23474	Jean Foster
712575	32360	
712575	46960	Meg Brockie
712575	55551	Carrie Pipperidge
712575	62925	Girl
712575	103240	Susan Walding
712575	112182	Grandma Sprangler
712575	139574	Alison Reed
712575	185473	Lill O'Malley
712575	193766	Beverly Ross
712575	201567	Yvonne
712575	213861	Barbara Reilly
712575	224405	
712575	230499	Mady
712575	245458	Muriel Kiler
712575	315523	Gloria Ross
712575	329397	Laureen Hyatt
712575	338299	
712575	340547	Charlene
712575	381636	Sally Welden (1965-1966)
712575	385887	Betty Troseth
712575	395950	Nikki Bell
712576	1524	Audrey Hopper
712576	7592	Herself
712576	13921	Herself
712576	23975	Janice Templeton
712576	34223	Mother
712576	35763	Marcia Stillwell
712576	42112	Arlene
712576	46726	
712576	47586	Ruth
712576	59377	Jennie MacLaine
712576	60148	Georgia Merkle
712576	64091	Maggie Paul
712576	65696	Herself
712576	75912	Roxane
712576	80393	Lydia
712576	86958	Millicent Jordan
712576	93957	Polly
712576	131413	Various roles
712576	131731	Paula McFadden
712576	141406	Aggie
712576	150308	
712576	154427	Senator Gayle Robbins
712576	156785	Jean Cromwell
712576	161332	Herself
712576	190269	Ethel Gumm
712576	190270	Herself
712576	194032	Mary Lou O'Brian
712576	201788	Herself
712576	208326	Nora McPhee
712576	231511	Gov. Eleanor Grant
712576	242105	Georgia
712576	265775	Dr. Alexandra Kendall
712576	314351	Janice Morrison
712576	320100	Lois
712576	338299	Jennifer Hubbell
712576	355375	Self
712576	385719	Vampire (1969)
712576	389275	Sherry Dempsey (1997-1998)
712576	396088	Judith Cole (1971-1972)
712576	405293	Nora Ruscio
712576	410977	Laura Blackburn (1971)
712576	411810	Nurse Marsha Lord (1972)
712578	292396	
712579	60945	Hope Winters
712579	106233	
712579	137488	Miss Mason, Farrell's Secreta
712579	199175	Lila Penfield
712579	233838	
712579	252202	Parker's Secretary
712579	358775	'Honey' Satterlee
712580	108042	Dr. Leeds
712580	132813	Julia Highcamp
712581	116898	Dancer (segment "Radio City R
712581	201432	From Radio City Revels (1938)
712581	230622	Comic Dancer
712581	270618	Lisa
712581	370241	Herself (dancer)
712582	88965	Louise Williams
712583	185549	Hiker Betsy
712584	223380	Cheerleader
712585	59375	Susan Glover
712586	232608	Maria Piltz
712586	281170	Harlot
712586	402131	
712587	66954	Lady in Wheelchair
712588	1344	
712588	75031	
712588	75060	
712588	93709	
712588	93714	
712588	123824	
712589	138744	Chorus Woman
712590	333237	Rose White
712590	337096	Nan
712591	216028	
712592	399816	Nurse Annabelle (1976)
712593	57099	Mrs. Fuller
712593	59410	The Artist/Pamela/Baroness Ta
712593	61662	Janet
712593	67118	Edna Blake
712593	90922	Ellen Harcourt
712593	105321	Herself
712593	154486	Jo Trent
712593	167253	Naomi Oppenheimer
712593	183804	Sybil
712593	224405	Phoebe Straight
712593	228827	Marie (a scientist)
712593	247490	Jenny
712593	287230	Ellie
712593	295798	Dr. Myrtle Carter
712593	330236	Margaret Lee
712593	365319	Herself
712593	393296	Performer
712593	396778	Herself/panelist
712593	400726	Host (1965-1966)
712593	410716	Host (1968-1969)
712594	215582	Mrs. Murray
712595	6573	
712595	128849	Ginger Marlow, the English bo
712595	319176	Miss. Venables
712595	337482	Gentlewoman
712595	380344	Wife
712595	383627	Mrs. Bolan
712597	258207	Mourner #1
712597	352682	Peggy
712598	401744	Rosina Hoblyn
712598	411257	Emma
712599	37555	Nancy
712599	61662	Sally the Child
712599	74244	Patty's Friend on Schoolbus
712599	133816	Georgina
712599	203175	Janey Rath
712599	292058	'UG' Girl
712600	249557	Kelly Campbell
712601	273171	Julie (intern)
712602	303549	Mistress Mummy
712603	194803	Herself (wife of film project
712604	338399	Carla
712605	311699	Mrs. Jones
712606	256841	Herself
712607	161422	Woman No. 3
712607	294079	Patient
712608	162389	Nurse
712609	263748	Samantha Keller
712611	17675	Anne
712611	19139	Charlotte Marlin
712611	19273	
712611	23001	
712611	25397	Ruth Hoagland
712611	35375	Betty
712611	57705	
712611	61835	Mabel
712611	62981	
712611	67856	Emmy Little
712611	75483	Curlytop
712611	75761	Emily Thomas
712611	78954	Juanita Morgan
712611	83592	Mercedes Castanada
712611	90144	Ninette Cavallar
712611	93094	
712611	99160	Barbara Hackett
712611	102007	Eve Leslie
712611	105073	Célestine Le Farge
712611	113276	Nora Nolan
712611	114861	Beebe
712611	116231	Sally
712611	128363	Joan
712611	131694	Elsie Dresser
712611	133556	Ruth Winton
712611	133965	Eve Leslie
712611	143085	Joan
712611	143373	
712611	164568	Jackie
712611	183788	Marjorie Van Dam
712611	184300	Gertie
712611	186333	Edith Graham
712611	188226	The Girl
712611	190448	Hilary Kenyon
712611	190609	Yvonne Laraby
712611	191716	The Little Chevalier/Diane de
712611	192062	Esther Aaronson
712611	192352	Jenny
712611	194463	Jewel
712611	195815	Evelyn Jefferson
712611	196217	Jane Day
712611	196348	Bess Belwyn
712611	196521	Marie Gautier
712611	206849	Mary
712611	211426	Mary Ann
712611	217422	Molly/Shirley Brown
712611	219939	May Howard
712611	224029	Vale Harvey
712611	230823	Constance Bailey
712611	251155	Meg
712611	261028	
712611	263548	Eve Leslie
712611	267974	Mary Stacey
712611	269418	Queenie Gurkin
712611	270939	Lucia Moreton
712611	276199	Angela Deming
712611	277646	Carla Gordon
712611	278797	
712611	281871	Rosie Rosetti
712611	283430	Sue Hartley
712611	286134	Sally
712611	289416	Enid Day/Grace Whitney
712611	289587	Kay Thorpe
712611	292617	Caroline Mitford
712611	295462	Eve Leslie
712611	296922	
712611	299283	Nita
712611	300103	Meet My Sister number
712611	302326	Eve Gibson
712611	305124	Eve Leslie
712611	306491	Hilda Jenson
712611	309875	Dolores Medina
712611	313296	Sylvia Joy
712611	315955	Sally Simpson
712611	316594	Rosa
712611	321289	Rosie O'Grady
712611	323984	Ruth Lennox
712611	327291	Lucia
712611	329422	Inez de Pierrefond
712611	330554	
712611	338777	Jim Hawkins
712611	345768	
712611	348097	Kiru-San
712611	350502	Becky, as a child
712611	352754	Marie Tyree
712611	357589	
712611	362209	Beatrice Greer
712611	363347	Aline Marden
712611	365080	Patricia Dodd
712611	366141	Wing Toy
712611	366315	Jemmy Milligan
712611	368759	Eve Leslie
712611	368791	Ann
712611	372924	Della Marvin
712611	372943	
712612	49026	Millicent Siegel
712613	93831	Becky
712614	361609	Judith Elliott
712616	232280	Vera as Child
712617	61995	Mai Lee
712618	30037	
712618	69774	
712618	93990	
712618	117344	Stripper #2
712618	197751	
712618	310662	
712618	372393	
712619	410976	Hostess (1966-1967)
712620	11384	Dee Rosen
712621	12319	Factory and Boardwalk
712622	31821	Miss Ryan - Secretary
712622	59437	Mrs. Joan Baker
712622	72242	Ranch guest
712622	72256	Billie
712622	77792	Model
712622	89711	Gay 90's Glamour Girl
712622	99856	Kitty
712622	115064	Ming's gong girl [Chs. 1, 3-4
712622	119799	Lil
712622	126069	Showgirl
712622	139362	A harem girl
712622	154950	Young Girl
712622	173524	Hat Check Girl
712622	187691	Singer-Dancer
712622	194937	Ella Dorn
712622	215709	Stooge Golddigger
712622	223970	Chorus girl (Phil Silvers' ga
712622	252381	Model
712622	254283	Lovey
712622	254631	Secretary
712622	289213	Blonde
712622	299942	Stooge Wife
712622	303069	Beautiful Girl (dubbed by Han
712622	315483	Showgirl
712622	318138	Handmaiden
712622	329480	Singing Secretary
712622	331180	Exotic girl
712622	363787	Rehearsal Blonde
712622	375045	Ziegfeld Girl
712623	267253	Rachel's Stepmother
712624	60016	Ella
712625	253821	Herself/Vocals
712625	253824	Additional vocals
712626	393999	(English version)
712626	404061	Cherry
712627	72973	Stefania da giovane
712628	110075	Dancer
712629	116147	Crew member
712630	405162	Herself
712631	91212	
712632	344078	Prostitute
712633	64333	Herself (1986)
712634	199800	
712635	2325	
712635	3388	
712635	3399	
712635	56022	
712635	61866	(segment "Compadres, Los")
712635	68845	
712635	85973	
712635	96298	Pussicat
712635	124042	
712635	160083	
712635	183948	
712635	227694	
712635	233330	
712635	251576	
712635	255547	
712635	267048	
712635	267050	
712635	268238	
712635	277370	
712635	300683	
712635	307658	
712635	377161	
712636	361606	La mère de famille
712637	131061	Cheryl - Pennytree Girl #1
712638	99075	Alex's Mom
712639	221043	Amy
712640	14884	Rosaria, Delia's Sister in fl
712641	341489	Monica
712643	227662	
712644	321818	House Frau
712644	399289	College Student, Bar Patron
712644	408686	Testosterone Tina, Forgetful 
712645	191994	Shiela
712648	84163	
712648	319492	
712648	322249	
712649	22688	Villagoise
712650	287414	
712651	101890	Ditas
712651	220755	Amelia
712651	234400	Mujer embarazada
712652	366998	Lois Fiorno
712653	301677	Child at Orphanage
712654	41229	Teri
712656	153241	Madame Terasson
712656	237331	L'infirmière du réveil
712656	345185	Mme Le Moal
712657	168586	Social Services Rep
712658	82728	Experimental Woman
712659	214022	
712660	103931	Alexandrovna
712660	229817	Maykata
712660	279031	Uchitelkata Kirilova
712660	289340	Maykata na Boev
712660	334483	
712661	7269	
712661	10264	Buslaj's mother
712661	84470	Akulina Ivanva Kashirin, gran
712661	134757	Marfa Ignatovna Kabanova, her
712661	219425	
712661	259345	The joiner's wife
712661	349292	Akulina Ivanovna Kashirina
712662	43195	
712663	307478	La serveuse
712664	55000	
712665	81322	
712665	365504	Jaima
712666	228155	
712667	376866	Eva Lauri
712669	21655	Professoressa
712669	256454	
712670	41459	
712671	50989	Girl at McDonalds
712672	119089	Angelica
712673	385824	Jeannie Donovan #4 (1992)
712674	3088	Nelly
712674	11973	Charlotte
712674	17554	Anna Karenina
712674	18372	
712674	24065	
712674	25315	Anna
712674	61030	Gilbert (segment "Papa e mama
712674	62795	Catherine Bérard
712674	64779	Lelia
712674	66577	
712674	67467	Diala
712674	71965	Sugar
712674	73542	Luisa Levi
712674	76033	Hélène
712674	88193	Rosa
712674	90727	
712674	111046	Aurelie
712674	113141	Maria
712674	114828	Louise
712674	127437	
712674	127933	Freya
712674	160539	Dominique Servet
712674	191105	
712674	192957	María Jerónima
712674	193085	Aloma
712674	199506	Monica (segment 1 'Usi e cost
712674	201079	Hélène Noblet
712674	218527	Martha Dravet
712674	219571	
712674	243284	Gloria
712674	247961	
712674	253311	Muriel
712674	254308	Nora Elmer
712674	263722	Monica
712674	265559	Agnese Barras
712674	269179	Maria
712674	275646	La mère d'Anna
712674	276058	Cecilia
712674	286046	Joséphe
712674	288087	Carla Angelli
712674	293342	Marta, Laura's Mother
712674	294425	Britt
712674	301563	Maria
712674	307055	Anna Miklos
712674	307333	
712674	309447	Clara Chevalier
712674	315631	Woman
712674	353145	Zaira
712674	354238	Concetta
712674	354908	Mère de François
712674	355626	Elena Pavinato
712674	356668	María
712674	386740	
712674	389277	Grusenka
712674	402302	La signora di Monza
712675	263710	
712676	219229	
712676	269268	
712676	388565	Marisa
712676	396651	
712676	400901	
712676	407639	
712677	22596	Dallas Bar Woman
712678	104681	Brunette Girl at Eiffel Tower
712679	11171	Marina's Mom
712680	49973	Blue Lady
712680	184219	Cat
712681	52724	
712681	63155	
712681	170114	
712681	217708	
712681	279062	Le Duchesse de Chevreuse
712681	303616	
712681	336923	
712681	353563	
712682	47550	Violet Oliver
712682	118287	Ethne Eustace
712682	178854	Lady Anne Carfax
712682	367671	Lady Violet/Pimpernel Schley
712682	371029	Helen Cumberley
712682	378088	
712683	70325	Neighbour
712684	205752	Marie's mother
712685	60025	La mère supérieure
712685	202695	
712685	217406	Marotte
712685	251542	La mère
712685	264525	Marie
712685	332198	Prioress
712686	264525	Detenue Agee
712687	245955	The Girl
712688	24040	
712688	90766	
712688	101949	
712688	179750	
712688	227785	
712688	281893	Singer
712688	290551	
712688	337887	
712688	341764	
712688	354766	
712689	188756	
712690	206907	Angel/Devil/Onlooker/Manhatta
712690	396734	Herself
712691	398208	Alice Tolliver
712693	173072	Lea
712693	347140	Fiona
712693	378010	Anne
712695	160072	Echo (Echo et Narcisse)
712696	112348	Gertie
712697	5447	
712697	20055	
712697	74882	
712697	91534	
712697	115279	Large prostitute
712697	166369	
712697	292970	
712698	215608	Alice
712699	5381	Osa
712699	26978	Ana Remzi Baronvitch
712699	27576	
712699	39797	Marya Orloff
712699	74238	Elsa Chauvet
712699	80670	Helen Robinson
712699	84922	Valerie DeBrock
712699	125863	Chincilla
712699	148940	Julie Wilson
712699	148949	Noel Van Ness
712699	155306	Helga (Katina's sister)
712699	164446	Freda Maloof
712699	176446	Grethe
712699	207478	Helena Bartoc
712699	214110	Cynthia Strong
712699	232285	Lisa
712699	245303	
712699	280183	Dr. Lisa Van Horn
712699	316114	Dr. Christine Jenner
712699	334948	Greta Norburg
712699	362438	Mrs. Baxter
712699	367686	Vera Segert
712699	372299	Sonya
712700	108087	Shirley Mulhullen
712701	23844	
712701	238929	
712701	399813	Panelist (1995-1996)
712701	400159	Co-host (2000-2004)
712702	123304	Little Boy
712703	273702	Reed
712704	353926	La gardienne
712705	10146	Alceste's Alter ego
712706	15358	Natalia
712707	51639	Winston's Date
712708	133695	Herself
712709	12372	
712710	340085	Sandra
712711	287414	
712712	309452	La mère d'Aurore
712713	45746	Suzanne Van der Meersch
712713	108213	Femme du dancing
712713	175676	Suzette
712714	58751	
712715	251005	
712716	390498	Piccola Anna
712717	131668	Alessandra
712718	360150	Party Babe
712719	8012	
712719	8148	Older Agatha
712719	16673	Rosie
712719	16878	Miss Mead
712719	17555	Betsy
712719	17944	Imogen Bennett
712719	32723	Millicent Bannon
712719	33732	Brenda
712719	49637	Elvira Smollett
712719	54490	Phoebe
712719	58493	Betty
712719	60234	From "Come and Go"
712719	63129	Constance
712719	67781	Vi
712719	70627	Herself
712719	70788	Miss Ronberry
712719	71520	Norma
712719	73555	
712719	79554	Jane Murdstone
712719	79714	Letty
712719	80305	Renee de Montreuil
712719	89634	Kristine Linde
712719	93670	Mother
712719	96117	Fern Stoner
712719	99307	Narrator
712719	99923	Miss Rabstock
712719	114606	Jennifer Pierce
712719	117556	Miss Furze
712719	119872	Babs Milligan
712719	127481	Sally Gideon
712719	134634	Mrs. Giblet
712719	140076	Nanny Tess Webb
712719	140547	Myra Arundel
712719	140678	Eudora
712719	150567	Edith Hope
712719	157195	Miss Prism
712719	157283	George Sand's Mother
712719	176933	Edith
712719	191783	Chairlady
712719	192228	Ms. Siegel
712719	195923	
712719	198981	Mrs. Shike
712719	199150	Dwina Phelps
712719	203083	Julia Wallace
712719	208904	Nina
712719	213313	Titania
712719	220369	Mrs. Arundell
712719	221305	Mrs. Arbuthnot
712719	222644	Rosemary
712719	251798	Helen Stephens
712719	261434	Lady Bailey
712719	273590	Mrs. Danvers
712719	281442	Sarah Stevenson
712719	285033	Sister Thomas
712719	285879	Klavdia
712719	291720	Prioress
712719	292031	Rachel
712719	297193	Mamma
712719	304437	
712719	304764	Lillian
712719	318910	Marcia Burrows
712719	321134	Mother
712719	321351	Edna
712719	324028	Mary
712719	326486	Lady Emily
712719	350913	Donna
712719	352703	Herself - interviewed
712719	357088	
712719	367609	
712719	380647	Queen Victoria
712719	384101	
712719	384205	
712719	387336	Voice of the Rule Book
712719	391194	Miss Stanbury
712719	392433	Lady Frances Nelson
712719	396772	Aunt Norris
712719	397188	Lucetta Templeman
712719	399373	Janice Troutbeck
712719	400709	Lady Laura Standish
712719	403239	Sarah Cole
712719	403273	Aunt Marchmont
712719	407440	Miss Pross
712719	409487	
712720	39863	Dr. Gail Waters/Hurricane
712720	68271	Lt. Eva Lee (live action and 
712720	68274	Brink
712720	68275	Lt. Eva Lee
712720	75775	Kessel
712720	165284	Elizabeth
712720	217421	Lauris
712720	237008	Sexy Girl
712720	245016	Victim
712720	258951	Rebecca
712720	269081	Head Cheerleader
712720	274330	Edna Gaines and Edna Gaines' 
712720	313357	Sarah/Quad-Rena
712720	328276	Delilah Shane
712720	347689	Alice Redmond
712720	355150	Liana
712720	355667	Rachel Kinnick
712721	367054	The Wiz Singers Adult Choir
712722	166638	Nurse, Bet (a Scullery Maid),
712723	55624	Carrie's Sister
712723	144903	Lita Owens
712723	162390	Theresa
712723	183445	
712723	214993	Gata
712723	284948	Zumila
712723	393043	Naja (1960-1961)
712724	408983	Model
712725	20206	Extra
712725	83961	Queen Carlotta
712725	88095	Herself
712725	110974	Ida Nelson
712725	157521	Herself
712725	195808	Herself
712725	222254	Edith/Virgin Mary
712725	223338	
712725	256206	Edie
712725	259864	Cuddles Kovinsky
712726	255327	Parker (the nurse)
712726	363793	Elegant lady in boarding hous
712726	366934	Anna
712728	331798	Bobbie
712729	28249	Lydia Pavlovna Marakova
712729	118943	Baroness Elsa Frankenstein
712729	145466	Fioritta
712729	147536	Countess Toni Karpathy
712729	160935	Carla Nillson
712729	161883	Maria Sorenson
712729	167098	Mme. Galli-Cazetti
712729	179068	
712729	195620	Madame Egelichi
712729	230856	Anna
712729	235212	Natalia Alanova
712729	258296	Lin Connor
712729	281696	Countess Brenda
712729	403180	Nightclub Owner (1952)
712730	19561	Safil
712730	69273	Servant
712730	133475	Bystander
712730	193902	Dancing Girl
712730	199390	Mrs. Ahuja
712730	231106	Wife of Ibn Sidki
712730	329456	Ambassador's wife
712730	336681	Shalini
712730	365476	Mrs. Khan
712730	379255	Mrs. Parvez
712730	379600	Susha Sharma
712730	385299	Mrs. Chaudri
712730	387247	Neelam Kapoor (1997-1998)
712730	388491	Sister Lucy
712730	393491	the Maharani
712730	395122	Mrs. Patel
712730	397793	Jamila Ranjha (Series 1-3) (1
712731	277635	Darling Cruel
712732	84247	Suzie
712732	238759	Corrinne
712733	5910	Interviewer
712733	46825	Ellen
712733	57927	Maggie
712733	73103	Susan Robbins
712733	100868	Ginny Saint
712733	143284	Reporter #2
712733	162576	
712733	169679	Nurse
712733	195313	Lily Righetti
712733	242866	The Doucher
712733	272031	Sophia
712733	307592	Emily Jacobs
712733	360684	Schlomo Woman
712733	360717	Laurel
712733	366142	Elaine Botkins
712733	366834	Michelle
712733	380511	Herself (season 2)
712734	68772	Kaya
712734	355433	Magazine Dream Girl
712734	393059	Herself
712735	379744	Annie
712735	408109	Mrs. Hilliard
712736	132181	Club Dancer
712737	57573	Teacher
712738	145411	Herself
712738	195614	Herself - Leader of the Louis
712738	342504	Herself
712738	363391	Herself (leader, Louise Masse
712739	161631	Love Bird #1
712740	44516	Waitress
712740	47004	Runway Model
712740	292223	Maria
712740	396123	Abril Domeq Alden (1990-1991)
712740	403160	Hostess (1987-1988)
712740	406907	Theresa
712741	105226	1981 Cindy
712742	305343	Clare Santarini
712742	308396	
712743	59878	Dana Earlich
712743	68590	Julie
712743	71493	Summer
712743	100150	Rachel
712743	291179	Beth Muller, Tom's Girlfriend
712744	110347	
712746	239082	Lady
712747	407661	Veronique
712747	407662	Veronique
712748	65791	Peepshow girl
712749	214234	
712749	230899	Isabel
712750	217855	Family at the Supermarket
712751	55974	
712751	58433	
712751	74974	
712751	100365	
712751	193225	
712751	197465	
712751	265147	
712751	379545	
712751	380098	Aurora
712751	387774	
712751	387872	Nora
712751	387906	Sra. de Castro
712751	396608	
712751	398480	
712751	405871	Adriana
712752	69264	Bass
712753	50607	Matron
712753	57380	Mrs. Perlman
712753	63038	Hotel Maid
712753	183387	Nun
712753	319682	Crucifix Nun
712754	133499	Herself (3rd Place)
712755	99138	Girl at party 1
712755	364094	Girl dancing with Eugene
712756	195193	Phyllis Caldwell
712758	367254	Alden's secretary
712759	131232	Extra
712760	56996	Jemima
712761	75612	Inmate
712762	41422	Voice of TV Newscaster
712763	53992	María
712763	66677	
712763	96369	
712763	104626	Herself (Awards deliverer)
712763	104743	Herself - Spanish entry (1st 
712763	104744	Herself (Previous Winner)
712763	115017	Herself
712763	115029	Herself
712763	115031	Herself
712763	115046	Herself
712763	131232	Extra
712763	147240	Herself - Spanish entry
712763	224984	
712763	270730	Herself
712763	326144	Una extranjera
712763	352846	
712763	353545	Rosi
712763	355835	
712763	369437	Herself - Presenter: Best Sup
712763	387177	Herself - Tertuliana (2004-)
712763	392002	
712763	393846	
712763	400937	Herself - Host
712763	412125	
712764	194789	Young Laurie 8 years
712765	379248	
712765	383444	
712765	385058	
712765	385252	Nancy
712765	385367	Cinthia
712765	387621	La Nena Monsalve
712765	391272	Luisa Pérez
712765	396644	Teté
712765	398218	
712765	398807	Clarita
712765	403753	Rita
712765	404203	Laura del Llano
712765	405809	Carla
712766	44899	Chorine
712766	154182	Dancer
712766	185205	Herself
712766	210625	Herself
712766	312042	Bit
712766	367073	3rd Lion Groomer
712767	68422	Girl in train
712767	171137	The little girl
712768	189304	Turkish servant
712769	58606	Germaine
712770	55477	Noelle
712772	249770	
712773	197577	
712774	5272	Gregoria
712774	53652	Madre Vicaria
712774	67458	
712774	82220	
712774	100498	Leticia
712774	143702	Escolástica
712774	170035	
712774	195573	
712774	198194	
712774	204822	
712774	233974	
712774	247198	Tía Blanca
712774	328203	
712774	407859	
712776	2742	Carlo's teacher
712776	8146	Ines Silvestri
712776	121898	Marina
712776	247511	Grazia
712776	269125	Paola
712776	332259	Lorenza
712776	342118	Lucky Star
712777	68901	Countess Adèle
712777	213510	Philine
712778	329158	La mère de Sophie
712779	340486	Stewardess
712780	261628	
712781	32654	Young Woman
712782	275196	
712783	380795	Cándida
712784	136919	
712785	136360	
712786	309419	Sabina
712786	384246	Lisa Fumagalli
712786	401871	Letterina (House guest)
712787	226436	The Secretary
712788	369899	Dr. Cosette Leconte
712789	23632	Jeanine
712789	171284	Coat Check Girl
712789	354586	La femme au petit chien
712790	220500	
712791	240311	La femme de main
712792	43330	Narrator
712792	74920	Daybe
712792	86911	Yolande
712792	169094	Germanine
712792	217226	Narrator
712792	255026	Denise Tremblay
712792	259917	Louise
712792	309719	
712792	386094	
712793	342332	Nurse
712794	83285	
712794	99205	Various characters
712794	261830	Herself/Elle-même
712794	309963	Cigarette Girl
712795	39712	Aida
712796	115375	
712797	123057	
712797	327898	
712797	354094	
712798	15129	Marie Laurencin
712798	105784	
712799	90853	
712799	279581	Betty
712799	283068	
712799	398463	Annie
712800	8483	Jeannette
712800	19216	
712800	52879	
712800	89856	Lisa
712800	129009	Rispa
712800	206027	Quinta
712800	217100	
712800	270850	Maria Davanzale
712800	336622	
712801	345025	
712802	212392	Bambino
712803	353912	Une infirmière
712804	46926	
712804	55934	
712804	255481	
712804	376839	
712805	18288	L'infirmière bloc opératoire
712805	96096	Elvire
712805	120779	Isabelle
712805	133064	
712805	166097	Fille thérapie 4
712805	202582	Claire Carrère
712805	377044	Lili 2
712805	389762	Caroline
712805	396222	Armelle Pelletier
712806	12095	Madre de Pamela
712807	377199	Prostitute
712808	396366	Le greffier
712809	56387	
712809	410074	La seconde infirmière à l'hôp
712810	207771	Riri
712811	286316	Mariel
712812	397857	Vendeuse robes
712813	248645	
712814	38867	
712814	127009	Rana
712814	131085	
712814	172583	Assieh
712814	175961	
712814	227048	
712814	270888	Atefeh
712814	285257	
712816	333083	Gizem
712817	23706	Brigitte Chabeaux
712818	80446	Herself
712819	350123	Infermera
712820	63559	Becca
712821	302964	Probleempiet
712822	565	Violet
712823	126478	Daniela Feldmann-Silber
712824	174405	
712825	277811	Ragazza Provino
712825	327726	(segment Histoire d'eaux)
712825	338681	Maddalena
712825	348117	Nina
712826	114561	
712827	254523	Groupie
712828	229240	Necromancer
712829	311512	Pedroza's Girlfriend
712830	128772	Contest Winner WUFX FM 103.3 
712831	245534	
712832	45756	BraceFace Brandi
712832	145414	Gabrielle
712832	168641	
712832	195319	Cynda Griffie
712832	202359	Tommi
712832	274315	Emily (segment "Emily's Dance
712832	359715	Michelle
712832	394676	Julie Williams (1988-1992)
712832	401930	Imani (2003)
712832	411802	Drucilla Barber #3 (2000)
712833	118677	Mrs. Kahill
712834	23699	
712835	213278	Sophie Diaz
712836	41697	Milk
712836	291303	
712837	282667	Sarah Spencer
712838	78148	Fane's daughter
712838	154610	Moreno's girls' manager
712839	7408	Madame Campan
712839	33732	Hazel
712839	85922	Sarah Spencer
712839	368771	Margie
712839	369343	Det. Insp. Lucy Lane
712839	411552	Det. Insp. Lucy Lane
712840	31206	
712840	56937	Bank Teller
712840	122619	Nicole Marshall
712840	257696	Stripper #2
712840	277442	Jazmine
712840	401610	Monica Rhames
712841	407944	Co-presenter
712842	49926	Reporter
712842	241287	Mom
712842	301077	Reporter #2
712842	314445	Carol Wainwright
712843	79729	
712843	291233	Karen Cromwell Fox
712843	304689	Joni
712843	380713	Dr. Susan Burke Stewart Matth
712843	396088	Hester Ferris (1966-1967)
712843	400236	Helen Murdock (1982)
712844	80420	Mrs. Woodruff
712844	143402	Susan
712844	306240	
712845	358583	Tony
712846	7199	Woman
712846	34701	Mrs. Anderson
712846	37555	Mrs. Tyndal
712846	140658	Mother Superior
712846	152291	Grams Severson
712846	203270	Nurse
712846	223065	Farmer's wife
712846	232200	Miss Lowell
712846	281937	Young woman
712846	287827	Governess
712846	350229	
712846	385744	Wilma Clemson (1957-1958)
712848	46856	Aunt Peggy
712848	192409	
712848	342587	Candy Store Secretary
712849	35281	Bettie Page
712850	80660	Elizabeth Lessey
712850	114281	Go-Go Girl
712850	185735	Brady's secretary
712851	364330	
712852	309134	Kanti
712853	292449	Herself
712854	116330	Office Girl
712855	80444	Nancy
712856	19290	Shannon
712857	116013	Herself
712858	411803	Herself - Co-host
712859	289384	
712860	187949	Bessie
712861	411802	Colleen Cecile Carlton [#3] (
712862	41284	Anna Collogero
712862	121550	Annie Gorman
712862	305692	Nancy
712862	339834	Drugstore Waitress
712863	6775	Imogen
712863	28563	Lori
712863	68086	Herself
712863	69409	Blonde
712863	72872	Kat
712863	86558	Susie
712863	190595	Anna
712863	204781	
712863	205862	
712863	206439	Beth
712863	279755	Giggling Court Lady
712863	286712	Miranda Clark
712863	308148	Major Callie O'Grady
712863	310646	Moira Murphy
712863	312184	Jaimie Seaton
712863	323460	Nicole Blu
712863	328261	Cathy Garrett
712863	338981	Herself
712863	389858	Ivy Lief (1994)
712864	286702	
712865	18818	Alice
712865	24958	Miranda Young
712865	38095	Hope
712865	47022	Carla
712865	70557	Cindy Robberson
712865	73322	
712865	93773	Her
712865	106666	Sally
712865	117431	Alice Pike
712865	138669	Elizabeth
712865	168186	
712865	193683	Grace Hartman
712865	194954	Betty Armstrong
712865	203687	Gloria Norstadt
712865	204674	Dolly
712865	230504	Head girl
712865	237756	Herself
712865	248057	Marcy
712865	248058	Sadie Prince
712865	262054	Maria
712865	269037	Mia
712865	269765	Mattie Silk
712865	272005	Monica Klein
712865	286475	Sam
712865	309309	Tiffany
712865	336692	Rochelle Kraft
712865	351892	Celeste
712865	360436	Take Out Gal #1
712865	393665	Clara Jager
712865	393934	Gabriella Tanzi
712866	137224	Latiqua
712867	274198	Robin
712868	25459	Awesome Lotus
712869	1440	Herself - Presenter
712869	2810	Nominee 'Nine'
712869	3748	Herself
712869	13398	Cynthia Simpson (segment "Go 
712869	22810	Terry
712869	27228	Anita 'Sweetpea' Crown
712869	32440	Lisa Walker
712869	34104	Juniper 'Joon' Pearl
712869	39175	Fran Benedetta
712869	43935	Penny McGuire
712869	58959	Miranda Jeffries
712869	64825	
712869	86540	Gwen Frankovitz
712869	89327	Dorothy Sternen
712869	115811	Vikki
712869	120148	Idgie Threadgoode
712869	121803	Daphne
712869	124128	Rachel Feld
712869	141659	Robin Gaddis
712869	156970	Lucy Moore
712869	161078	
712869	185530	Herself (pro-choice advocate)
712869	187843	Brynne
712869	190886	Lily Dale
712869	195843	Susan Wallace
712869	199140	Jenny Hill
712869	206445	Nina Bishop
712869	221055	Elspeth Skeel
712869	224106	Franny Bettinger
712869	240664	Trish
712869	261564	Hope (postman's daughter)
712869	270697	Penny Henderson
712869	303308	Olga
712869	307902	Watts
712869	308096	Dr. Helen Taussig
712869	314444	Kim Eberhart
712869	331284	Patricia Demming
712869	361626	Genevieve
712869	394209	Kate Brasher
712869	402722	Elaine Burba
712870	203190	Mrs. Jones, Postmistress
712871	16803	Grandma Sheehan
712871	41478	Postmistress
712871	79703	Bridie
712871	116796	Mrs. Flynn
712871	399442	Sister O'Flynn
712871	402866	Sister O'Flynn
712872	138837	Lakeside Guide
712873	283531	Madame
712874	136821	Josephine Corcoran
712874	138161	Recorded Singer
712874	170499	Cleopatra
712874	213581	Yum-Yum
712874	213582	Yum-Yum
712874	213583	Yum-Yum
712874	213590	Presenter
712874	250638	The Lady Ella
712874	256619	Mabel Stanley
712874	276492	Romilda
712874	334757	Special Guest Presenter/Elsie
712874	357052	La cantatrice
712874	369532	Romilda
712874	371212	Elsie Maynard
712874	371213	Elsie Maynard
712875	76542	
712875	264881	Sally
712875	403355	Kathy Stevens
712876	329506	Gang Girl
712877	89271	Linda
712878	7782	Cathy
712878	92095	Unlucky Guest (Marcia)
712878	115689	
712878	151680	Joannie
712878	290079	
712878	335050	Thomas' Aunt
712879	279244	Rita
712880	186541	
712881	411508	Herself (1989- )
712882	1161	Hassan
712883	77632	
712883	90680	
712883	132951	Ragazza ballo varnevale
712883	169540	
712883	211652	
712883	246493	Lavinia
712883	277726	
712883	349754	Elena
712884	15018	
712884	137149	Woman
712884	254153	Tante Antonella ('Le ranch de
712884	357032	
712885	14393	Mother
712886	14728	
712886	26544	Lucélia
712886	51783	(segment "Uma Grande Vocação"
712886	53846	
712886	66353	
712886	77258	Secretary
712886	99708	
712886	115768	Odete
712886	149523	
712886	171532	(segment "Flor de Lys")
712886	284579	Elisa
712886	341474	
712886	356680	
712886	385043	Emanuele
712886	409975	Marilinda
712887	27160	Pizza Waitress
712887	40148	Interviewer (Female)
712887	227539	
712887	310337	Tina
712888	309355	
712889	5306	Lindsey Brigman
712889	47796	Jean Ellison
712889	67388	Carmen
712889	69773	Priscilla Parker
712889	116796	Marianne
712889	165635	Bernadette Flynn
712889	177369	Extra in crowd scene
712889	190930	Donna De Angelo
712889	224085	Moira 'Mumsie' Pettigrew
712889	252976	Linda Greenlaw
712889	279757	Marian Dubois
712889	289558	Gina Montana
712889	304480	Helen Drood
712889	313119	Maria
712889	322778	Natasha Fox
712889	331694	Jeanne Holman
712889	342744	Luisa Spirito
712889	345839	Yelena
712889	346045	Herself
712889	363997	Lane Bodine
712889	366993	Cindy Batton
712889	386414	Herself
712889	398642	Edda Mussolini-Ciano
712890	255017	
712891	81640	Herself
712891	332006	Herself
712892	384119	Sol Fraga Méndez Ayala (1995-
712892	394017	Lilian
712892	398816	
712893	295185	Paramedic Fifi
712894	359801	Amanda Stone
712895	326536	Donna al bar
712896	326536	Donna al bar
712897	10901	Ginny
712897	41376	Liz Moore
712897	69037	
712897	70252	
712897	131780	Janice Rossi
712897	170746	Louise
712897	193653	Rockin' Lexie
712897	220175	Waitress
712897	226937	Sex Shop Worker
712897	324052	
712898	211508	Bodyguard side-kick
712899	140798	Flower girl
712900	2252	(segment "Bavardages en sida 
712900	9480	
712900	11326	Françoise
712900	23248	
712900	53227	Léa
712900	55268	Carlotta
712900	57894	
712900	68387	Patricia
712900	150524	Hotel Nurse
712900	156283	Bianca
712900	169355	Claire
712900	188696	Mme de Clèves
712900	189293	Rosa Agnello
712900	198614	Anne
712900	225768	Claudia
712900	236135	Kriss, S&M Girl #1
712900	240428	Viviane
712900	249257	Ada
712900	266419	Sophie Choiset
712900	284308	Brigitte
712900	291584	(segment "Faute au vent, La")
712900	291971	Herself
712900	303533	Marine
712900	327577	Albertine
712900	340205	Cecile
712900	356520	Graduate Student
712900	376957	Claire
712900	377006	La petite fille
712900	377061	Mireille
712901	13653	Bartender
712901	27867	Recife's Woman
712901	329544	Hooker
712902	63890	
712902	132951	Claudia
712902	240278	
712902	254621	Sophie
712902	313915	
712902	314375	
712903	178972	Sloan
712904	387465	Giannina
712905	8115	Fay
712905	93116	
712905	380211	
712905	397523	Fitness girl
712905	404243	Hostess
712906	103555	
712906	129928	
712906	250466	
712906	270836	
712906	287995	
712907	133046	
712908	234776	
712909	23578	Mapel
712909	229311	Maple
712910	171717	Maria
712910	267896	Nora
712910	267897	Nora
712910	294035	Policewoman
712910	335039	
712910	337453	
712910	338406	Nurul
712911	68780	
712912	155505	Tokiko Hiroda
712913	130307	Tortured girl
712914	242182	
712915	344524	Herself
712916	21822	Masuru's Wife
712916	122137	Yuko Uchida
712916	130545	
712916	139735	Mrs. Satoh
712916	256326	Kei
712916	391116	
712916	401484	Kei
712917	334881	
712918	100447	Natsu
712918	161704	Eri
712918	285921	Yuri Sakakibara
712918	285923	Yuri Sakakibara
712918	308778	Charmy Bee
712918	392430	Hibiki Amawa (Female)
712918	394325	Erica
712919	63506	
712919	309016	Herself
712920	173595	
712921	179775	Carla Hartmann
712921	394741	Carla Hartmann
712922	33112	Mutter Winter
712922	119690	
712922	164607	
712922	275208	
712922	304163	
712922	341171	Marion
712922	384368	Barbara Krebs
712923	19324	
712923	58414	Françoise
712923	107532	Miss Chanvert
712923	110124	Stéphanie
712923	392911	Florence
712924	17856	
712925	312885	
712925	312893	
712926	38819	Ice Queen (aka Princess Snow 
712926	88758	Gran
712926	283618	Fujiko Mine
712926	283619	Mine Fujiko
712926	283620	Fujiko Mine
712926	283622	Fujiko Mine
712926	283623	Mine Fujiko
712926	283624	Fujiko Mine
712926	283625	Fujiko Mine
712926	283626	Fujiko Mine
712926	283628	Fujiko
712926	283629	Mine Fujiko
712926	300042	Yoko Murakami
712926	328333	Computer Terra's No.5
712926	358132	The Witch
712926	380699	Francine
712926	383402	Joan Randall
712926	384217	Narrator
712926	394976	Honey Kisaragi/Cutey Honey
712926	395069	Madeleine
712926	396498	Chappy Hanst Charles Grimm An
712926	403959	Fujiko Mine
712926	403960	Fujiko Mine
712926	405215	Minna
712926	411645	Polly
712927	14947	Silvana
712928	242909	
712929	91423	
712930	226596	
712931	182804	
712931	411859	Mata and Hari
712932	27313	Yolanda
712933	55789	
712934	284895	
712935	85959	
712935	134495	Víctima 3
712935	221756	Ligue discoteca
712935	252516	Chica Calle
712935	307471	
712935	379566	Elena (1997-2000)
712936	10382	
712936	34552	
712936	86362	
712936	97181	
712936	213932	
712936	216083	
712937	159187	
712938	66101	Sra. Talamantes
712938	80189	Señora Tamalera
712938	207640	Tere
712938	222412	Anciana
712938	353972	Cocinera
712938	398915	
712939	84064	
712939	111635	
712939	318284	
712939	356156	
712940	63983	Recepcionista Club Solteros
712940	100309	Ana
712940	209093	Receptionist
712940	260532	Pureza
712940	287839	La Flaca
712940	293378	Anita
712940	385663	Laura de Arango
712940	398915	Rosalba
712941	2441	
712942	256343	Puppets/Fish
712943	28281	
712943	112784	
712943	302808	
712944	131665	Court Officer
712945	309306	Diana
712946	345554	Voix speakerine
712947	176256	Tribal Dancer
712948	4987	Emilia
712948	14725	
712948	18755	
712948	29006	Begoña
712948	53652	Maestra de Novicias
712948	55372	
712948	55768	
712948	65638	
712948	74827	Novia (segment "El vil metal"
712948	121282	
712948	121312	Pxuno
712948	184845	
712948	204600	
712948	243697	
712948	248866	
712948	248904	
712948	258625	
712948	275398	Elisa
712948	301171	
712948	328203	
712948	334699	
712948	337965	
712948	349334	Herself - Presenter: Best Sup
712948	368180	
712948	398805	Ana
712948	400795	Terri
712948	405286	Host
712948	407859	
712949	110489	Herself
712949	359319	Herself
712949	385292	Co-host (1999-2000)
712949	387719	Herself (Host)
712949	394001	Herself
712951	61148	
712951	169257	
712952	42640	
712952	222409	
712953	276991	
712953	397473	Various characters
712954	39095	Grandmother
712954	127994	Annina
712954	153168	Grandmother
712954	163915	Paní Petru
712954	167033	
712954	212293	Eva
712954	237478	Zpeváková
712954	253991	Prodavacka
712954	266350	Lojzova zena
712955	403966	Eiji Mishima, young Katsuhiro
712955	408728	J-Four
712956	364281	Girl on Park Bench
712957	3348	Rachelina
712957	6298	Yvonne de Fleurette
712957	14864	
712957	17520	Camillina
712957	17743	
712957	20802	Beatrice
712957	31220	Celestina
712957	34202	Francesca
712957	38776	
712957	53089	Bianca
712957	53998	
712957	55542	
712957	55545	Donna Concetta
712957	56101	Maria Grazia
712957	57341	
712957	57968	
712957	61953	
712957	64246	
712957	64779	Climedes
712957	68653	Carolina Agudio
712957	86450	Emma
712957	90348	Wendy
712957	109058	Hairdresser
712957	112639	
712957	114635	Rosalia
712957	116494	
712957	121340	Lia Coppi
712957	124327	Angelina
712957	127956	
712957	129000	
712957	135075	
712957	153243	
712957	158762	La portinaia
712957	161787	Elsa
712957	162143	Francesca
712957	163001	
712957	167193	Old neighbour
712957	171321	Madame Masson
712957	197453	Anna
712957	202773	
712957	206039	Giulia
712957	210427	
712957	217109	Paola
712957	217123	
712957	218530	Sophia
712957	227580	Margherita
712957	229387	The wetnurse
712957	230078	
712957	232184	Lucia Spinelli
712957	235753	
712957	243655	
712957	248224	Luisa
712957	249462	
712957	251556	
712957	252765	
712957	252773	
712957	263917	Silvia Redi
712957	272345	
712957	272770	Rosina
712957	275351	
712957	289896	
712957	291632	Paola Englesh, loro figlia
712957	292535	
712957	294007	Cristina Turrisi
712957	295161	
712957	305368	Mrs. Strotti
712957	310974	Albertocchi's Wife
712957	313902	
712957	314117	
712957	336606	La cameriera
712957	346383	
712957	348209	Grazia
712957	352234	Anna, madre di Maria
712957	359174	Mademoiselle Geoges
712959	219572	Virginia
712960	313136	
712961	48839	
712961	64377	
712961	157245	Serafina
712961	171618	
712961	204594	
712961	246872	
712961	266198	
712961	270336	
712961	307832	
712961	334679	
712961	339200	
712962	83324	
712963	53050	Amber
712963	177204	Rina
712963	265101	Dolly
712963	302777	Twin
712964	53050	Ashley
712964	177204	Tina
712964	265101	Madison
712964	302777	Twin
712966	3964	
712967	2781	Grace O'Shea
712967	20727	Pam
712967	33376	Cindy Butts
712967	41876	Donna
712967	60744	Dottie
712967	68688	Nora
712967	74912	Kerry
712967	82321	Sabrina
712967	84956	Barbara
712967	126747	Judith
712967	148317	Jessica
712967	153121	Ashley
712967	230771	Herself
712967	244838	Leslie Farber
712967	256220	Charlotte
712967	264157	Lilly Moscovitz
712967	264158	Lilly Moscovitz
712967	288703	Herself - Audience Member
712967	289074	Tia
712967	291223	Martha Meeks
712967	309202	Katie
712967	312798	Maid
712967	316961	Theresa 'Tweety' Goldberg
712967	361248	Dawn Wiener
712967	379323	Natasha
712967	399769	Heather Wiseman
712968	188447	Missy
712968	259868	Lucy Smith
712969	208952	Herself (computer scientist)
712970	186116	Theresa Avendando
712971	74566	
712972	60142	Elida
712973	299421	
712974	240317	Rom
712976	349779	Edit
712977	101675	
712979	156529	Anna
712979	230675	Carolyn
712979	245819	Melissa Marshall
712979	400612	Melissa Marshall
712980	1361	Page
712980	16668	Candace
712980	18823	Sarah
712980	35159	Judy Bryce
712980	46237	Marina
712980	66991	Maureen Gault
712980	75896	Diane
712980	129626	Allison
712980	131910	Donna Archer
712980	153570	Kate Filmore
712980	206373	Elizabeth
712980	210866	Linda Bucyk
712980	248149	Alison Enola
712980	275424	Saskia van Rijn
712980	289259	
712980	346408	Marcie Reed
712980	362227	Nicki Corlis
712980	378898	Claudia Whitney
712980	382295	Det. Elaine Bender (2004)
712980	399153	Carla Lovchen
712980	399153	Celia Grantham
712980	399153	Lily Rowan
712980	399153	Rita Ramsey Sorrell
712980	399153	Sarah Jaffee
712980	401999	Colleen Blessed
712980	402947	Sheila
712980	403316	Tanya
712981	215855	
712982	199148	Mother
712982	271063	Mrs. Bennett
712982	348386	Woman Patient
712982	395284	Linda
712983	199679	Rosita
712984	46116	Ánote's relative
712985	221049	Catso's Mistress
712986	412043	Klant
712987	158877	Une petite fille de Raoul
712988	43767	The perfume customer
712988	72387	Fille sexy
712989	104753	Luxembourg entry (8th place)
712989	397397	Herself
712990	204747	Country Sue
712991	22587	
712991	58072	
712991	67024	
712991	216040	
712991	325301	
712992	265869	Leah LeBaron
712993	326712	Cheerleader #1
712993	326823	Chloe
712994	147500	Myra Menke
712994	164867	
712994	340934	Irina
712995	104765	Yugoslav entry (7th place)
712996	44776	Adamová
712997	405775	Olja
712998	81321	Model
712999	330799	Dancer
713000	78139	Female Inmate
713001	15123	Leocordia Fäber
713002	58774	Kris Chandler
713002	83939	
713002	105412	Jackie, Anderson's Partner
713003	253799	Jirina
713004	240084	Jíra
713006	70842	Shucker
713007	153087	Teacher
713008	37924	Tovah Valcy
713008	47963	Rhonda (Hooker)
713008	186200	Girl in wardrobe
713009	17035	
713009	100993	Lisa Swayzak
713009	328799	Herself
713009	383742	Herself (2000-2002)
713009	389858	Woman at party (1998)
713009	390316	Hostess (2004-)
713009	410171	Herself (1997-1999)
713010	8564	Actriz perezosa
713010	51089	Enfermera
713010	84059	
713010	204684	Secretaria
713011	105406	Zaida
713013	18755	
713013	101894	Sor A
713015	55080	Paca
713015	106181	Hija
713015	134466	Elena
713016	140701	
713017	4923	
713018	3439	
713018	14775	Herself
713018	16158	
713018	21676	La locutora
713018	55748	
713018	162911	
713018	193052	Herself
713018	379550	Host
713018	380407	Newsreader (1994-2003)
713018	407735	Newsreader (1981-1993)
713019	85569	Alba
713020	64993	
713020	73538	child
713020	119305	
713020	296449	Señora Felicia
713021	75185	
713021	224963	
713021	225716	
713021	233381	
713022	101831	
713022	135243	
713022	237220	
713022	251310	
713022	294876	
713022	308747	
713022	356029	
713023	10761	La jeune fille
713024	410303	
713025	75181	
713026	12083	
713027	266604	Psycho-lette
713027	301161	
713028	82586	
713028	99722	
713028	355798	
713029	201302	Úrsula
713030	276572	
713031	59878	Allison Jensen
713031	83230	Clerk - Car Rental
713031	118933	Nurse Tilko
713031	204946	Thelma
713031	214671	Police Lieutenant
713031	296954	Lana McFern/Dispatcher
713031	356792	Reporter
713031	381100	Brenan
713031	395719	Voice
713031	396378	Chloe (1990-1992)
713031	406063	Thelma
713031	411828	Maid Marion
713032	290000	Maria Grazia Sandri
713033	336970	
713034	140132	Girl Treasure Hunter
713035	71567	Nurse
713035	86025	Launderette girl
713035	107629	Magistrate
713035	124679	Woman in Black
713035	318726	Hysterical Woman
713036	15203	
713036	36539	
713036	63614	
713036	76159	
713036	132148	
713036	180236	
713036	237960	
713036	252795	
713036	265844	
713036	265845	
713036	305613	
713036	315931	
713036	320679	
713036	343806	
713036	349239	
713036	350923	
713036	356039	
713036	371355	
713036	374785	
713036	375656	
713037	399867	Ariel Logan
713038	201831	Herself
713039	201831	Herself
713040	83860	Viliganda
713041	12619	
713042	271053	Kylli, kuppilan pitäjä
713043	215510	
713043	234368	
713045	83518	
713046	12119	Herself
713047	186546	Irene
713048	173012	Ivanikha
713049	303282	Herself
713050	267349	Little Girl
713051	303282	Herself
713052	34325	Antje
713053	50070	
713053	400343	Ella misma
713054	243013	Mme Peachum
713055	242481	Pige i port
713056	317536	Trapeze Lady #2
713057	93957	Concerned Mom
713057	158315	Barbara Curzi
713057	302221	News Reporter
713057	304129	Phyllis
713058	27419	
713059	125296	Tschakowa
713060	74277	Reporter voice
713061	321104	
713062	77983	African Woman
713062	407391	Nkgono
713063	241391	Dana
713064	12872	
713064	225179	
713065	153885	Marianne
713066	103924	Host
713066	272371	Debbie
713066	362439	Patient
713066	389390	Host
713066	394950	Host 1996-1997
713067	408643	Herself (2001)
713068	59496	Madame Obnowsky
713069	222212	Party-goer
713070	65975	Mary Fricker
713071	387533	Belle Dingle (1998-)
713072	121404	Bitchy Girl #1
713073	9004	Little Andrea Framm #1
713074	9004	Little Andrea Framm #2
713075	55249	
713076	366743	Townsperson
713077	112186	
713078	19070	
713078	20861	Marie
713078	43667	
713078	84472	Marjorie
713078	94339	
713078	94360	Colette
713078	100458	
713078	101140	Natalia
713078	109042	
713078	132770	Solange
713078	140289	Andréa
713078	188687	Nathalie
713078	201096	
713078	225416	Florence
713078	240444	Joss
713078	249749	Jeanne
713078	252530	Florence
713078	261864	La stagiaire archiviste
713078	263212	Annick
713078	270542	La cantinière aveugle
713078	277030	Véronique
713078	284144	Olivia
713078	337004	
713078	337743	Odile
713078	345376	Brigitte
713078	345443	La psychologue
713078	349482	Emma
713078	357177	Laure
713078	361710	Nathalie
713078	377480	Alice
713078	377917	
713078	393973	Anne Larousse
713079	153241	Sick servant
713080	79007	The Voice of Zircon Computer
713080	351412	News Anchor
713081	276821	Cass
713082	72738	Katrina Matters
713082	143741	Sabrina Lloyd
713082	272971	Square Mum
713082	388924	Various Characters
713083	32384	Spas 2
713084	330775	Shirley Myer
713085	381081	Winnie
713086	41152	Daisy Allen
713086	151677	
713086	254540	Juror
713086	277867	Maria
713087	55122	Dancer
713088	201346	Go-go Girl
713089	308177	Student
713090	367062	Ercel
713091	95809	
713091	181077	Kristin Lavransdatter
713091	401114	Solveig
713092	63526	Quotations
713092	134906	Nina
713092	194667	Jude's Mother
713092	321421	Mrs. Wilcox
713092	362275	
713092	393314	Leah
713092	397176	Zoe Angel (1989-1990)
713092	409840	Rebecca Sharp
713093	214962	
713094	65494	Angela
713094	210898	Mrs. Jones
713095	141683	
713095	387518	Sister Rhys
713096	69421	Elvie
713096	73985	Marcia
713096	74034	Esther
713096	115250	Jane
713096	197755	Amanda
713096	252741	Maria
713096	342597	Woodman's Daughter
713096	385299	Vicky Lambert
713097	213664	Megan Thompson
713097	279581	Ceilidh Singer
713098	66598	Flight Attendant
713098	68064	Pretty Blonde
713098	92666	Stripper
713098	186063	Girl in Elevator
713098	292183	Mary
713099	46242	Dot
713099	405209	Lisa Forsyth (1996)/Dr. Laura
713100	209210	Zombie
713101	18549	Pressroom Reporter #2
713101	109832	Reporter #2
713101	127134	Mallory's Secretary
713101	146807	Airport Bartender
713102	146928	Leah
713102	151787	Elizabeth
713102	168687	Samantha Flynton
713102	177660	Rebecca
713102	192278	Sybil
713102	277091	Claudette
713102	328809	Maggie
713102	331733	Kristen
713102	395548	Rhona Lieberman (1989-1991)
713102	398376	Angela Chatstikovich (1986-19
713103	312924	1st Paramedic
713104	66917	Leather Freak
713104	306785	Mrs. Carlyn
713105	158602	Ms. Steele
713105	195149	Mrs. Andy
713105	203669	Nurse Jacobs
713106	46213	Hysterical woman
713106	141350	Anaesthetic nurse
713108	232281	Cindy
713110	67589	Fashion moderator
713111	401884	Herself/- Finalist
713112	378659	Herself (2002-2003)
713113	336856	La prostituée
713114	14510	Purushan
713115	157303	Tina
713116	31780	TV Reporter
713116	78082	Nancy Coles
713116	78759	News Reporter
713116	108275	Christine
713116	140361	Reader
713116	146884	Attendant
713116	190230	Airline Attendant
713116	190378	Pride
713116	276039	
713116	336704	Nuru
713116	381422	Reporter
713116	385308	D.A. Cordelia Warren
713117	194184	Young Ruth
713118	91745	
713119	273486	
713120	78989	
713121	168018	Young Nancy
713122	50614	Mrs. Jescott
713122	59632	Miss Cumberland
713122	78217	Mrs. Ascher
713122	124603	Madame Jeanette
713122	185085	Aunt Lizzie
713122	270271	Mrs. Springer
713122	270926	Emily Caldwell
713122	286445	Abigail Booth
713122	309657	Mrs. Boatwright
713122	316787	Sally Caswell
713122	330126	Doris Kane
713122	335866	Minna Ellsworth
713122	364832	Carmen
713122	380391	Bess Killworth (1983)
713122	386603	Theodora Van Alen #1 (1966)
713122	394311	Mamie Eisenhover
713123	1030	Carole
713123	5525	Waitress
713123	13428	Theresa Vasco
713123	35167	Kate Morrison
713123	40482	Mary Halliday
713123	61164	Secretary
713123	64844	Cynthia London
713123	74224	Norma Alden
713123	77792	Saleslady
713123	108086	Woman in Restaurant
713123	128284	Sylvia Manners
713123	133622	Ella Cody
713123	154373	Jean Anderson
713123	185195	Mary Halliday (stock footage)
713123	194181	Betty Lowell
713123	203636	Mary Davis
713123	209602	Clara Brink
713123	215763	
713123	218347	Babs Arnold
713123	233684	Blonde
713123	245431	Jane Stuart
713123	245589	Officer Candidate's Wife
713123	246603	Model
713123	260870	Julie Povich
713123	274347	Lt. Jane
713123	291864	WAC hospital desk receptionis
713123	297648	Jane Daughterty
713123	298070	Frances
713123	300158	Jill Crane
713123	302612	Hilda Cartwright
713123	310565	Rose McCreary
713123	315992	Gloria
713123	316023	Selena Friend
713123	320788	Lt. Lee Hampton
713123	321505	
713123	323071	Betty Lou
713123	327672	Marge
713123	327831	Mrs. Hoyt
713123	331180	Handmaiden
713123	334754	Young Woman
713123	338806	Sherry
713123	342889	Miss Jennings
713123	383214	Wilma Fansler (1958-1959)
713124	320759	Port Farland
713124	397055	Eve, at 12
713125	90941	Doris
713125	124714	Linen Maid
713125	128266	Girl in Panama
713125	195281	Minnie
713125	214069	Sandra
713125	228829	
713125	241584	Chorus Girl
713125	253471	Bit
713125	289610	Mary's Receptionist
713125	308391	Alice Hart
713125	313331	
713125	313918	Mrs. Metcalfe's acquaintance
713125	316903	
713125	340970	Cherry
713125	360192	Edna
713125	360301	
713125	364836	Cora
713127	155296	Sara/Inner Sara
713128	55656	Marquise Irene Altamirano
713183	154294	Gunna
713128	109058	Nurse in Catherine's Room
713128	117180	
713128	281910	Sister
713128	308891	
713128	326383	Elderly Lady
713128	333882	Gertrude
713128	357066	
713129	114839	Mexican girl
713129	120507	Orchid
713129	297896	She Demon
713130	183229	Swan
713131	81219	Jessica Jackson
713131	387438	Gail, member of the Short Cir
713132	8026	Additional Story Teller
713133	11	Lorelei
713133	11609	Peggy
713133	20316	Girl
713133	21300	Jersey
713133	30122	Genevieve
713133	36841	Girl
713133	42023	Bit Part
713133	45494	Patricia Fitch
713133	51885	Girl
713133	58795	
713133	66549	Girl
713133	78155	
713133	87549	Cigarette Girl
713133	91779	Janet
713133	141807	Herself
713133	154952	Bit
713133	177368	
713133	213070	Girl
713133	214096	Bunny Maxwell
713133	221154	
713133	232342	Patricia Fitch, the Daughter
713133	289236	Girl
713133	302629	Hat-Check Girl
713133	303378	Blonde Chorus GIrl
713133	312584	
713133	318175	Yolo
713133	331123	Telephone Operator
713133	331762	Chorus Girl
713133	333655	Tessie
713133	360191	Telegraph Girl
713133	361300	Girl
713133	372050	Clerk
713134	17475	Prisoner
713134	64382	Clara Moore
713135	272023	Lab Technician
713137	216803	Lily White Girl
713138	136541	Gypsy
713138	199192	Woman outside Theater of Horr
713138	241571	Ethel
713138	273781	
713138	306791	Mary Roberts
713138	342394	Emmy Lou in play
713139	197341	
713140	210209	Herself
713141	116360	
713142	149198	Dispatcher #1
713143	6984	Court Lady
713143	7413	Party guest
713143	20625	Extra
713143	134675	Pretty Girl
713143	215534	Ruth
713143	313321	Showgirl
713143	327221	Guest
713143	331764	Show Girl
713144	134596	Noreen
713145	40668	Casino patron
713146	87679	The Cleaning Lady
713147	337606	Nurse
713148	83477	Francis
713149	119097	Pool Girl
713150	194184	Ruth's Sister
713151	247572	Mrs. Dubin
713152	333291	Herself
713153	157303	Sara
713154	320759	Starboard Farland
713154	397055	Alexandra, at 12
713155	157303	Tina
713156	330434	Cynthia
713157	385299	Laura Marshall
713158	92618	Wedding Quartet
713159	304325	Susie
713160	203591	Lt. Betsy Franklin
713160	381422	Kellan Brody
713161	3126	Velma
713162	213865	Jenny
713163	295873	
713164	238612	Redneck
713165	403249	
713166	175121	Pam
713167	266600	Detective Rizo
713168	133212	Granny stunt double
713169	168237	
713170	222737	Jill
713171	111431	La petite fille
713172	334336	Guard #2
713173	35537	Female Traveler
713173	47004	Additional Voices
713173	62994	
713173	78176	Singer
713173	97048	Secretary
713173	108288	Mrs. Annie Brewster
713173	127148	Cindy
713173	192833	Woman #2
713173	206924	Anne
713173	219990	
713173	232063	Party Guest
713173	241050	Daphne
713173	259219	Bank Teller
713173	262519	Freedom Sunshine
713173	271192	Voiceover
713173	292723	June Grayson
713173	296799	Dr. Conway
713173	319188	Sonya
713173	352833	Teacher
713173	381110	Maureen
713173	401484	Herself (1980)
713173	410975	Additional Voices
713174	20135	(segment "Nessun dorma")
713175	41887	Kathy
713175	176391	Dinah
713175	223787	Dolly
713175	224405	1st Girl
713175	252915	Ann
713175	360734	Pam's Boss
713175	390984	Rita Zefferelli
713175	401662	Susan Lambert
713176	68760	
713177	264439	Stace
713178	42380	Herself, Melba Mathias
713179	290321	
713180	384999	
713180	392949	Herself (Host)
713181	247301	Inuit Girl
713181	291823	Rain
713182	27592	Herself/Line
713182	78492	Herself - Member of jury
713182	346041	Line
713183	123501	Bankassistent
713184	174594	Soprano in Daydream Sequence
713185	161692	Herself
713186	322313	Anna
713187	107057	
713188	248116	Beverley
713189	65883	Madame Coralie
713189	81199	Magda Goebbels
713189	92674	Anna Muller
713189	149224	Portia Smith
713189	193519	Miss Lebone (Humbert's next-d
713189	325215	
713189	379017	Matron
713189	396668	
713189	396797	Mrs. Susan Wyse MBE
713189	403926	Hilda Rumpole (1987-1992)
713189	405525	Lady Exeter
713190	5802	Sherry
713191	182590	Irene
713192	390936	Frau Wurzel ('Wurzelchen')
713193	126276	Girl in Car
713194	7580	
713194	48381	Sygeplejerske
713194	153355	Lisbeth
713194	340077	Anette
713195	160521	Tanja Lorentzen
713196	287550	Frk. Christensen
713197	14077	Masseuse
713198	169642	Fanny McCoy
713199	32361	Anne
713199	254608	Carla Tate
713199	264463	Anna
713199	277922	Woman from Sandringham
713199	403542	Young Woman
713200	29112	Debbie Day Cosmetics Conventi
713200	81768	Sue Lloyd
713200	365651	Teacher's Wife
713201	47915	Student
713202	3961	Vanessa
713202	3962	Vanessa
713202	3963	Vanessa
713203	40331	Mrs. Jones
713204	291179	Cocaine Sally
713205	224192	Screaming Teens
713206	261850	
713207	116476	(segment "Transit")
713207	188678	
713207	338116	Le docteur
713207	387919	
713208	270133	Fille torturée
713209	309699	Henriette Tramillet
713210	157286	Mlle du Croisy
713210	224899	Ursule
713210	248251	Adèle (segment "Bout du monde
713210	265350	Herself
713210	266376	Magdelon
713210	282913	Néria
713210	353848	
713211	344203	Betty
713212	353954	
713213	217641	Pierrette
713214	395095	Maitre Savard
713214	398137	Hélène Carrère
713215	32034	Rosine
713215	72055	
713215	148647	Prudence
713215	156321	Valentine, la pianiste
713215	251290	Manon
713215	254864	Mme Quissard
713215	404153	
713217	113702	
713218	150569	
713219	237610	
713220	48253	Dame in trein
713221	33571	
713222	43688	Herself
713222	51430	
713222	101272	Herself
713222	275987	Herself
713222	313835	Herself
713222	378017	En personne/Herself
713222	393624	
713223	356410	Janine
713224	224192	Screaming Teens
713225	90290	Cookie
713226	258927	Mme Rodriguez
713227	96198	
713228	124424	Flamenco dancer
713229	347501	
713230	123544	
713231	402197	Nikki Lennox (1985)
713232	167938	
713233	28552	Commando Woman
713233	211585	Wormaline Wiggler
713233	215197	Wormaline Wiggler
713233	323800	Shirley
713233	379677	
713234	366919	Female Attendant
713236	51836	Police Woman
713237	294197	
713237	320782	
713237	360877	Kerry Chandler
713238	379966	Herself - Commentator (1996-)
713239	119679	Ännchen
713239	147163	Susanna
713239	169224	Herself (soprano)
713239	170671	Luise
713240	106738	Hippie (France)
713241	248093	Della
713242	309581	Celebrity
713243	48264	Jennifer
713244	40021	Elaina
713245	114584	Eva
713246	8615	Agrippine
713246	13118	
713246	13119	
713246	21419	Mme. Arno
713246	23729	
713246	24914	La caissière
713246	27670	
713246	36482	
713246	36691	
713246	40284	
713246	40995	Mme. Chataignier
713246	51455	La fiancée maigre
713246	54181	
713246	57263	La nourrice
713246	57507	
713246	58734	La baronne
713246	59435	Madame Grasalard
713246	66716	
713246	71821	
713246	73471	La gouvernante
713246	76059	Tante Claudine Foulon
713246	76148	La Bonne Amie d'Eloi
713246	83391	Victoire
713246	94353	Poldi
713246	96207	Minouche
713246	97064	The aunt from Cavaillon
713246	101999	
713246	108613	Tante Claudine Foulon
713246	112840	Nathalie
713246	118828	
713246	123900	Angèle Barbaroux
713246	124396	Toinon
713246	127634	La concierge
713246	132930	La concierge
713246	156534	
713246	164210	
713246	167200	La mère d'Alice
713246	171396	Mme. Trompette
713246	189338	Nine
713246	189567	Fat woman in the train
713246	197544	
713246	198317	
713246	201164	
713246	204656	Amélie, la femme du menuisier
713246	204983	
713246	206044	Tante Claudine Foulon
713246	211645	
713246	214874	Gervaise
713246	220265	
713246	220289	La femme de l'aubergiste
713246	225432	Maman Ninette
713246	235814	Eugénie
713246	236591	La paysanne
713246	236619	
713246	248358	
713246	254099	
713246	257008	Rose
713246	263017	
713246	263023	
713246	265031	La bonne de l'hôtel
713246	274777	Belline
713246	280541	
713246	281300	La bourgeoise
713246	281826	
713246	289438	La patronne de café
713246	302168	
713246	302242	Artémise
713246	325062	
713246	335900	La barone/The Baroness
713246	340111	Mathilde
713246	340114	
713246	340153	Léonida Chambourcy
713246	340212	La cuisinière
713246	341125	
713246	345100	Cecile
713246	345113	Tante Agathe
713246	345358	
713246	345487	
713246	346551	
713246	353887	
713246	356512	Ernestine
713247	68386	Magali
713247	176473	
713248	230	Susan Norton
713248	3145	Julie Burdock
713248	4391	Roseanne Miller
713248	14112	
713248	14141	Janie Basdin
713248	14145	Courtney Rawlinson
713248	23595	Corey
713248	33376	Jean Driscoll
713248	47435	Terry Carmichael
713248	67058	Lisa Morrison
713248	106355	Laura
713248	109931	Jenny
713248	111409	Crysta
713248	117428	Paula
713248	119316	Ruth Ellison
713248	139688	Sophie Green
713248	151625	Young Sophia Darling Richards
713248	164381	Amy
713248	176498	
713248	192413	Older Amy March
713248	211516	Rhonda Gill
713248	222975	Stephanie
713248	223073	Tiffany
713248	267088	Nora Diniro
713248	267216	Maria Castle
713248	291971	Herself
713248	302108	Mae
713248	319416	Princess Daisy
713248	321222	Jane
713248	330391	Miranda Presley
713248	330773	Erica Ingels/Narrator
713248	334259	Anne Carlston
713248	336748	Jeannie Bates
713248	358352	Gail Silver
713248	379040	Roseanne Miller (1988)
713248	388811	Anna Weller
713248	391095	Sophie Green
713248	394666	Jake
713248	397941	Gwenwyfar
713249	358007	June Ann
713249	404613	Liza Walton Kaslo Sentell Ken
713250	60334	
713250	60335	
713250	273261	
713251	150616	Mr. Martin's Daughter
713252	96594	Herself
713252	201661	Herself
713252	376976	Herself
713253	176335	Goldwyn Girl
713254	102398	Slave Girl
713255	890	Mabel Higgins
713256	18521	Jana
713256	49305	
713256	91125	Elke Schürzinger
713256	265092	Waitress
713256	282235	
713256	392514	
713257	83157	Jumelle en gris
713258	83157	Jumelle en noir
713259	4489	Sobha
713259	13173	Radha
713259	239750	Mlle. Leblanc
713259	243813	Shalini
713259	250972	Jacqueline Giraud
713260	402528	Marie-Christine
713261	160168	Aarti
713262	12921	
713262	38145	
713262	123739	
713262	172676	
713262	227618	
713262	324830	
713262	335780	
713263	82001	
713263	166494	
713263	270201	Reshmi
713263	285269	
713264	309171	The priestess
713265	96728	Sher Singh's mother
713265	191669	Nani
713265	201405	
713265	218341	Old Mother
713266	16573	
713267	171851	
713268	13905	Candi
713269	13522	
713269	21845	
713269	199866	Cobbler's Wife
713270	69932	Augustine
713271	5680	Woman on sematary
713271	238127	Desiree
713271	382637	Martha
713271	410441	Smorrie Bakboord (1993-1994)
713272	112888	
713273	26082	
713274	1699	Herself
713274	59130	Marilyn
713274	101270	Herself
713274	101271	Herself/Host
713274	101273	Herself/Host
713274	108206	Nadine Lefort
713274	116411	Herself
713274	205738	Marie Bertin
713274	269215	Elisa
713274	346678	Julie Torento
713274	346681	Julie Torento
713274	376593	Herself
713274	393732	Joséphine
713274	401328	Various characters
713275	104236	
713276	250445	Tolmácsnõ
713277	316153	Woman writhing on hallway flo
713278	248715	Miss Helena Voyich
713279	41448	Lili
713280	16642	Spanish Woman
713281	100868	Winamae
713282	81104	Drome Groupie
713283	400825	Maria
713284	58312	Anonimna Partizanka
713284	303115	Marika
713284	335926	
713284	357276	Svetlana
713285	8454	
713285	35842	
713285	226843	
713285	233262	Marija
713285	253806	Nina
713285	318968	
713285	357375	
713285	399928	
713286	229749	
713288	132161	Uciteljica engleskog jezika
713288	164052	Saveta
713288	283747	
713288	320235	
713288	383720	
713288	390182	Herself (interviewed)
713288	390909	Topalovic
713288	395834	
713288	396202	
713288	398887	
713288	398888	
713288	409758	Zora
713289	256480	Kroatin
713290	48459	Soja
713290	58033	Baka
713290	155982	
713290	171926	
713290	237766	
713290	246858	Baba
713290	261943	Zena u prodavnici
713290	303121	Strina
713290	328838	
713290	343967	Witness II
713290	357276	Vujkina mama
713290	358004	Landlady
713290	383805	
713290	390427	Rosa
713290	394111	Danica
713290	395457	Sluzavka
713290	395832	Stamena
713290	396547	Radnica u javnom kupatilu
713290	398660	Sida
713290	399008	
713290	400481	Momina majka
713290	400892	
713290	401991	Perina tasta
713290	402119	
713291	46854	Maybelle Aarons
713292	13452	B'Shara
713292	84962	Sophie
713292	245115	Female Doctor
713293	207651	Teresa Blanco
713294	148783	Lady Stenographer
713295	236194	Basse de viole
713296	63681	
713297	19479	Girl of the People
713298	144187	
713299	200610	
713300	213696	
713300	393051	
713300	394617	Anna
713301	180385	Hilkka
713302	168866	Hannele
713302	255381	Elina
713302	285801	Anita, Mian äiti
713303	21040	Julia Fang
713303	65048	Mai Ling
713303	71138	May
713303	71658	Maggie Chang
713303	117442	Seki
713303	123696	Zang Li
713303	208376	Aya
713303	224691	Disco Girl
713303	318642	Capt. Vicky Shiro
713303	389710	Dark Princess Chang
713304	359144	Jacuzzi Girl I
713305	342962	Younger Girl
713306	84955	Santini Child
713307	266508	
713308	91445	L'amie de Sylvie Mouriat
713308	384817	Valentine de Villefort
713309	33727	
713309	58360	Dori
713309	95348	Gloria
713309	122983	Herself - Presenter
713309	178833	Tatiana
713309	199930	Lucía
713309	332598	Angelita
713309	349883	Lola
713309	354265	Herself - Presenter: Best Sho
713309	357500	
713309	369999	Herself - Presenter: Best Eur
713309	371760	
713309	376685	Sonia
713309	376701	
713309	376810	Cristal
713309	378422	
713309	378929	Nieves (2002)
713309	378997	
713309	382950	Herself
713309	384852	
713309	393838	Herself - Host (1992)
713309	401257	Herself - Staff Humorist
713309	407044	Herself - Host
713309	408418	Susana
713310	19445	
713310	45819	Kamala's aunt
713311	176864	Nurse #13
713312	125370	L'institutrice
713313	381246	
713314	175326	
713315	406379	Herself
713316	102115	Anchorperson
713316	105165	Reporter
713316	113305	Reporter Marilyn Eckerle
713316	149943	TV Reporter
713316	222586	
713316	311253	Newscaster
713316	323428	
713316	360769	TV Show Host
713316	405200	Presenter
713317	265047	
713318	195745	Sophie
713318	264747	Girl
713318	298056	Erika
713318	408960	Britte Langley (1970-71)
713320	3111	
713321	88743	Katka
713321	373587	Servant maide
713322	26174	Laura
713322	229408	Mlada vozaèka
713322	270681	Vesna
713323	347501	Vivian
713324	226195	
713325	18152	
713325	42909	Prodavacica
713325	89492	
713325	90509	
713325	109715	Nurse 2
713325	132128	Juror
713325	145332	
713325	164028	Sekretarica gradonacelnika
713325	181530	
713325	182239	
713325	215119	Mlada
713325	221342	
713325	240164	
713325	259974	
713325	265033	
713325	272565	
713325	304136	
713325	351016	Opatica
713325	355551	
713325	373503	
713325	374150	Clerk
713325	374493	
713325	396319	
713325	408796	
713325	409878	
713326	21160	Herself
713327	301678	Hospital Staff
713328	368737	
713329	76710	Hloi
713330	2817	Herself - Best Actress Winner
713330	2888	Herself - Presenter: Best Act
713330	2899	Herself (film sequence on fav
713330	3021	Herself - Past Winner
713330	3053	Herself - Past winner
713330	7592	Herself
713330	8080	Carrie Buck
713330	46853	Peggy Lawrence
713330	61707	Sarah Norman
713330	80607	Melanie Charrol
713330	119316	Cassandra 'Cass'
713330	119525	Herself
713330	121864	Herself
713330	138700	Herself
713330	141142	Jillian Shanahan
713330	148623	María
713330	157716	Jane Claire
713330	163586	Daphne Stark
713330	178085	Casey
713330	191152	Jeanette
713330	243950	Herself
713330	257689	Herself
713330	306131	Cindy
713330	343121	Beth McDaniels
713330	358625	Ellen Martin
713330	362397	Amanda
713330	362880	Katy Wesson
713330	363448	Dana Sue Lacey
713330	400115	Paula McKinley
713330	401414	Mayor Laurie Bey (1995-1996)
713330	403013	Asst. Dist. Atty. Tess Kaufma
713330	410835	Josephine "Joey" Lucas (2000-
713331	82376	Motorist
713332	81974	
713333	237480	
713334	320059	Sarah
713335	109427	Drunk Girl
713336	226785	Campaign worker #1
713337	131716	Opening Credit Voices
713338	13971	Bandit
713339	320059	All American Limo Receptionis
713340	389876	Nannerl aged 8
713341	372306	Patty
713342	407369	Maho, Mie Umida, Additional V
713343	35239	Housewife
713344	186122	
713345	353934	Cathy
713346	2617	Herself (Performer)
713346	4008	
713346	7607	Pooja
713346	15403	
713346	18115	Bhavna
713346	32460	
713346	36277	Swati
713346	58711	
713346	58927	Remu
713346	61002	Miss Hawa Hawai
713346	62022	Sensational dancer
713346	68681	Special Appearance (Title seq
713346	76477	Shanta
713346	79333	Bhavani
713346	82003	Sapna
713346	82006	Sargam
713346	86745	
713346	93868	Bhavana (Krishna's sister)
713346	98495	Sarika Vartak
713346	122714	Chitra
713346	152499	Radhika
713346	159058	Sapna
713346	164307	Chandini
713346	169848	Janhvi sahni
713346	170712	Anu
713346	172895	Parikshit
713346	173499	Shalu
713346	174797	
713346	176082	Shivani
713346	181516	Madhu
713346	181923	Urmila
713346	184075	Special appearance
713346	207253	Pinky
713346	207376	Mallika
713346	211419	Sapna
713346	217986	
713346	227650	Meenu
713346	240215	Neetu
713346	256161	Puro
713346	268098	Ria
713346	272104	Mili Joshi
713346	288766	Vidya
713346	298797	
713346	300227	Shaku
713346	319823	Das Babu's pupil
713346	322836	
713346	327001	Tehzeeb
713346	411997	
713347	21868	
713348	104179	
713349	104482	
713349	246851	
713350	15894	
713350	302278	Violeta
713351	31004	Lida
713351	205427	Margarita La Tornera
713352	17118	Teresinha
713353	4514	
713353	17379	
713353	34284	
713353	101791	
713353	104494	
713353	205529	
713353	286573	
713353	377617	
713354	52934	Helena Xavier
713355	384995	
713356	379244	
713357	71376	Mafalda da Silveira
713357	144200	Petinga's wife
713357	211004	D. Rosa Gonçalves
713357	219241	D. Vitória
713357	237212	
713357	267317	Joana
713357	344766	House-keeper
713357	350580	D. Inácia
713358	384306	Cheerleader
713358	384507	Dancer
713359	42589	Márcia Coutinho
713359	85595	
713359	350776	Herself
713360	233553	
713361	243509	The Diner Hostess
713362	395846	
713363	45793	
713364	52070	Dancer
713364	56069	
713364	103441	Rita Mara
713364	295103	Vampirete Clarice
713365	232951	
713366	10331	Bagoas dancer
713367	28290	
713367	53635	
713367	244616	
713367	302401	dancer
713368	23907	
713368	267495	
713368	344854	
713368	391312	Young Slave
713369	53845	
713369	211021	
713370	258229	
713371	261404	Mrs. Mare
713371	399767	
713371	409909	
713372	258483	
713372	378385	
713372	380108	Paulette
713372	383439	Veronica
713372	384981	Guillermina De Martino
713372	387773	
713373	301036	
713374	194558	
713375	247949	Jana
713375	262568	Apolenka allias Lenka Vejvodo
713375	266023	
713375	344347	
713375	344974	Hanicka
713376	141660	Maid #1
713377	336	Nurse
713377	221350	
713377	344352	
713378	197282	
713379	66252	Girl (segment "Awn, The")
713380	78280	Kunka
713381	249214	
713381	311362	
713381	396547	Sankerica
713381	400481	Devojka
713382	394110	Pevacica
713383	39404	Mona
713383	362581	Lynn
713384	386618	Contestant
713385	378676	Narrator
713385	381984	Presenter
713385	386723	Presenter
713385	386963	Victoria Palmer-Baptiste (199
713385	395204	Presenter
713385	396349	Presenter
713385	411756	Presenter (1999)
713386	98049	
713386	99236	Fanny Angerer
713386	125051	
713386	144356	Mary Lenley
713386	147145	
713386	155371	
713386	175567	
713386	204467	
713386	210139	
713386	307087	
713386	317663	
713386	352168	
713386	360935	Inge Weber
713386	373963	Dina
713387	240895	Lillian Haskins
713388	139662	Herself
713391	200864	Stephanie Kehoe, Maid
713392	104659	
713393	342270	
713394	303282	Herself
713395	8040	
713395	85649	Aimilia
713395	102459	Sophie
713395	379361	Olga (2000-2001)
713395	380499	Eva
713395	387015	
713395	402244	
713396	313335	Young sportswoman
713397	5140	
713397	9923	Frau Weigel
713397	65368	Frau Linde
713397	94000	Mutter Drost
713397	259492	
713397	259535	Frau Dornhoff
713397	259615	Frau Lebrecht
713397	289931	
713397	290200	
713397	314716	
713398	2696	
713398	175324	Geschaeftsfrau (Business woma
713398	254713	Martha
713398	272754	Ingrid Kleist
713398	406335	Katja Urbach
713399	205722	Lady in Church
713400	311342	Nurse
713401	339	
713402	110633	Girl with Bell #1
713403	402687	Penny Chase
713404	98079	Ehrengard
713404	100849	Mary Belinksy
713404	109480	
713404	112851	La soeur
713404	302256	Lauren's Mother
713404	372089	Woman
713404	384175	Dona Felipa Perestrello
713405	358371	Mary Turner
713406	138161	Child in Schoolyard
713407	211733	
713408	56871	Riverbend Woman
713408	178092	Girl with Chair
713409	365288	Kid #1
713411	170599	Choir member
713413	8115	Maggie (segment 1)
713413	245879	Sevda
713413	279272	
713413	379436	Magda
713413	386843	
713413	387378	
713413	394222	Gogo
713413	406577	
713414	43045	
713414	63543	Aguri (later Yozeiin)
713414	146910	Miki Mochizuki
713414	286998	Uesugi/Riko
713414	298781	Nireno, Uzuki
713414	334896	Mizutani
713414	391455	Maiko Amamiya
713414	393148	Mizuho Tanimachi
713414	395944	Ryoko Okusawa
713414	396075	Riko Uesugi
713415	11451	Asian Girl
713415	149974	Cathy, Secretary
713416	307107	Ohana
713417	243995	
713418	140278	Gari
713418	299559	Rako
713418	405185	Rako
713419	163847	Rika
713420	9167	Yamagata (a sister)
713420	28058	Yoshiko Nishioka (Episode 2)
713420	28137	
713420	49706	
713420	49711	Yukiko Hashimoto
713420	76835	Yukiko Hashimoto
713420	89692	Woman in the Park
713420	138066	
713420	171657	
713420	173552	Tokiko (schoolgirl)
713420	174340	Fusako Senba
713420	217072	Saeko
713420	243313	Yoriko
713420	294267	Tomoko Takahata
713420	298943	Asami
713420	299314	
713420	300137	
713420	343642	Chiharu
713420	373505	
713420	373921	Akiko Imamura
713420	379518	Reiko
713420	391593	
713421	91092	
713421	394029	Various characters
713421	394030	Various characters
713422	359806	
713423	266666	
713423	296642	
713424	21365	
713424	102435	
713424	214398	
713424	278602	
713425	74272	Rie
713426	88700	Kosode
713426	242381	Okoyo
713426	256288	
713426	293473	
713426	306727	
713427	174983	Yoko (Second daughter)
713427	374602	Nana
713429	299562	
713430	226682	Nishimiya, Nagisa
713431	17877	Kaori Ooi (Yuta's mother)
713431	42247	
713431	99092	Kanako
713431	125690	
713431	177155	Maria
713431	182039	Hidemi
713431	234508	Miyoko Araki, wife of Araki
713431	394562	Tsurara Yoshimoto
713432	38667	Cynammon's Lover
713432	116750	Giovanni's Waitress
713433	275142	
713434	2618	
713434	183388	
713434	183389	
713434	407152	
713435	20371	Asian Tourist
713435	93959	Tina/Seiko Howard
713435	113411	Naomi Nomura
713435	124927	Saemi
713435	228374	
713435	234541	Tamiko
713435	249500	Lin
713435	294164	Ageha no Kimi
713435	381932	
713436	144907	Kyoko
713437	169736	Kazumi Tokunaga
713438	58660	T.V. Monitor Girl #2
713439	114449	Mother
713440	279831	Kazuko
713441	17843	Herself
713442	195262	UCLA Coach
713444	117425	Ayako Kajiro
713445	117713	Dancer
713445	243150	Dancer
713445	366328	Sakura
713446	173357	
713446	198949	
713447	173405	
713448	172471	Yasu
713449	137134	Ranko
713449	147327	
713449	358406	
713449	358489	
713450	44723	Wan-Kim-Lau
713450	124240	
713450	174327	
713450	208008	
713450	232704	
713450	282276	Meika
713451	391367	Etsuko Satô (Pt.1)
713452	177760	Gal B
713452	394425	Nicol Amarfi
713452	398971	Thomas
713452	399500	Shouzaemon
713453	172111	
713454	96408	Mameko
713454	96415	Ahnas
713454	98117	Ai Hayakawa
713454	104908	Kyoko Himuro
713454	123107	Soundy
713454	123109	Rabby
713454	123110	Soundy
713454	137284	Pai Thunder
713454	176532	Inez Fressange
713454	177084	Akane
713454	179108	Akumako
713454	201091	Sarasa
713454	202806	Reiko
713454	210152	Sonoko Suzuki
713454	242206	Effera
713454	257982	Sakura/Shusuran (original Jap
713454	272213	Azusa Shiratori
713454	277456	Soundy
713454	278065	Rally Vincent
713454	289314	Armulet
713454	293450	Aiko Mimura/Hans Heilner
713454	298966	Jewel Princess
713454	301673	Katsumi Himi
713454	319374	Rabby (Gallforce)
713454	348757	Lupica
713454	349099	Kaguya
713454	350723	Lolenta
713454	380847	Nami Hayase
713454	381163	Barbara Oiblert
713454	383423	Rika
713454	390908	Chie Uru
713454	392526	Rei Asagiri
713454	393942	Yui
713454	394107	Toudaiji Miyako
713454	394419	Announcer
713454	394421	Ines
713454	394426	Roux Louka
713454	394462	Akane
713454	396330	Mia White
713454	396503	Runrun
713454	397371	Sonoko Suzuki
713454	401116	Wendy
713454	405140	Dorothy Catalonia
713454	405215	Bridgett
713454	405356	Katsumi Liqueur
713455	394192	Midori Midorikawa
713456	4584	
713456	9547	
713456	62607	Hanako
713456	137276	
713456	162322	
713456	173068	Uma Futori, the priestess dau
713456	176616	Chizu Haruhi
713456	181886	Otama
713456	211898	
713456	213006	
713456	236858	
713456	278365	
713456	294095	
713456	299325	Silver Mari
713456	370358	
713457	384132	Rui Kirihara
713458	28117	Otose
713458	174984	Shigeyuki's English teacher
713458	214742	Saralyman no tsuma
713458	244545	
713458	249547	The Travel Agent
713458	288065	Sakurako
713458	322698	
713458	373438	
713458	384217	Chicchi
713458	399478	Suirii
713458	399496	Okane
713459	28124	
713460	9190	Nurse
713460	375558	Nurse
713461	91111	Nami
713461	91112	Nami
713461	210042	Jazz club singer A
713461	232682	Maid of Sakuraba Family
713462	169735	Fumi Suzuki/Kyôko & Tatsuya's
713463	210476	Hisui
713464	410525	Nan
713465	278547	Senior High Schoolgirl
713466	198071	Harue
713467	322488	Cashier
713468	137325	Ruiko Koyanagi
713469	244566	Oharu
713470	126519	Eko
713470	226682	Yoshioka, Reiko
713471	74268	Bái Yá-Shàn
713471	74269	Bái Yá-Shàn
713471	74271	Bái-Yá-Shàn
713471	169218	
713471	239427	
713471	324308	Big woman of Hell
713472	348948	Hiroko Senba
713473	169127	Prosecutor Kono
713474	141782	Japanese newsreader
713475	103151	Akiko Shimizu
713476	30987	Shiho Matsuki
713478	113332	Rikku
713478	113333	Rikku
713479	244566	Okinu
713480	244054	Nurse
713481	91147	
713481	102435	
713481	162685	
713481	167864	
713481	223307	
713481	245874	
713481	247411	
713481	286869	Rimururu
713481	296636	
713481	318944	
713481	375602	
713481	405275	Ken Megumi
713482	30987	Sanae Shioda
713483	291128	Mari
713484	394451	Yellow Belmont (female)
713485	131177	
713486	51237	Scylla
713486	54891	Chiharu Mihara
713486	381476	Scylla
713486	383459	Chiharu Mihara
713486	385980	Tokomon/Patamon/Angemon/Pegas
713486	385981	Tokomon/Patamon/Angemon/Holy 
713486	385982	Mako
713486	386343	Patamon/Angemon/Holy Angemon
713486	398900	Rumi, et al.
713486	403966	Iori Arai
713486	410739	Jamapi
713487	77523	
713488	175722	
713488	245911	
713489	61051	Eiko, Unami's wife
713489	182420	Fumiko
713490	30421	Azusa Nishimura
713491	41909	Sari
713491	87409	Kei
713491	107610	Bikky
713491	113336	Prettz (Japanese version)
713491	122108	Sumire
713491	125239	Satoshi
713491	125240	Satoshi
713491	125241	Satoshi
713491	125242	Satoshi
713491	162241	Komanisa (Japanese version)
713491	172089	Tsubame no Jinpei
713491	174325	Moriki
713491	217377	Oozora Nozomu
713491	252839	Rumi
713491	259033	Satoshi
713491	259034	Satoshi
713491	259035	Satoshi
713491	259038	Satoshi (Ash Ketchum)
713491	264168	Kesley Uruga
713491	284359	Tomoe Satô
713491	298966	Chokkei Hayami
713491	307189	April
713491	334886	Yota Matsumoto
713491	350723	Rourly
713491	369415	Nakatsu
713491	373384	Kisaragi Ayaka
713491	381162	Hasumi Jinno
713491	384233	Professor Barnett
713491	390794	Sinunola
713491	392619	Sis
713491	394428	Haro, Renda de Baroma
713491	396497	Chihiro Kawai
713491	400576	James 'Jim' Hawking
713491	401703	Satoshi
713491	401736	Satoshi
713491	401740	Satoshi (Japanese Version)/Ma
713491	404767	Jim Hawking
713491	405175	Sonia Field
713491	408487	Keiko Kuroha
713491	408893	Kaite
713491	411874	Namiko Isobe
713491	411887	Ryou Bakura
713492	121369	
713492	137380	Sonoko's mother
713492	137381	Sonoko's mother
713492	174331	
713492	174341	
713492	390910	Sonoko's mother
713493	187357	
713493	394425	Asagi Kodoueru
713494	122049	Junichi's mother
713494	165695	Tae's mother
713495	283269	Satomi
713496	225614	Michiko Yamano
713497	280489	Choir
713498	245911	
713499	233112	
713500	394090	Ritsuko Okamura
713501	299406	Student Nurse
713502	15336	
713502	172276	Suzu, Kazuki's wife
713503	233117	
713504	373218	
713505	105884	Nurse
713506	9288	Miyuki
713506	298825	Hiroko
713506	329658	Sachiko
713506	334901	
713507	2133	Miyo's Mother
713508	2178	Naoya
713509	1757	Empress
713509	49711	Yumeko
713509	76835	Yumeko
713509	92830	
713509	139985	
713509	145279	
713509	145283	Eiko Asanuma
713509	146352	
713509	162223	
713509	167987	
713509	172118	
713509	174869	Yukie
713509	175511	
713509	175751	Masae Fukui
713509	176577	
713509	176587	
713509	180626	Yagyu Sayaka
713509	181998	
713509	209931	
713509	229771	
713509	229870	
713509	231341	Yoshiko, eldest sister
713509	232702	Omino
713509	233028	
713509	234957	
713509	239199	Yoneko Kimura
713509	278382	
713509	286859	
713509	293460	Girl
713509	293493	Momoyo Kawakami
713509	299153	
713509	300487	Midori
713509	308879	Satoko Ikenaga
713509	327938	Mitsuko Katsuragi
713509	341293	Namie
713509	341304	
713509	341310	
713509	370417	
713509	370445	Oren
713509	370650	
713509	373294	Keiko
713509	373389	Harue, hostess
713509	375632	
713509	379516	Yumiko Tashiro
713510	123701	
713510	130525	Azusa Shibata
713510	137325	
713510	176486	Rose Fujimoto
713510	244499	
713510	272625	Kimiko
713511	255872	Nagiko's Friend
713512	216523	
713512	244489	
713512	267397	
713512	271674	Suzue
713512	373223	Mineko Matsuura
713512	394774	Satomi Ide
713513	359357	
713513	379475	Ito Kaede
713514	380204	Keno
713514	380560	Theodora North
713514	390899	Marco
713514	394029	Various characters
713514	394031	Various characters
713514	394255	Flone
713514	396482	Michi 'Mittchi' Shimura #1 (1
713514	408485	Benny
713515	398900	Miyuki Kuwano
713516	406535	Katsumi Ochiai
713517	50187	Sato, Shuzo's daughter
713517	176577	
713517	181984	
713517	182019	
713517	182076	Sanaye
713517	210202	Oen
713517	227430	Yukari
713517	229767	
713517	229781	
713517	237676	
713517	239211	
713517	371987	Hideko
713517	407424	Kikko Matsuoka
713518	394426	Fa Yuri
713518	394429	Fa Yuri
713518	400292	Vampanera
713518	405175	Kikunosuke Fubuki
713519	394422	Tachi
713520	19236	Hitomi
713520	25749	Ayumu Kasuga, a.k.a. "Osaka"
713520	378652	Mireille
713520	379081	Arumi
713520	381025	Ayumu Kasuga, a.k.a. 'Osaka'
713520	396316	Kazetsubaki Kuriko
713520	400053	Aiko Senoo
713521	137119	
713522	6079	Gina Marceau
713522	182507	Aiko's Mother (ep.1)
713522	307186	Feb Farlan
713522	307188	Feb Farlan
713522	389821	Kitarô
713522	391597	Ganmo's Mother
713522	394523	Queen Sayuri Kinniku, Konita
713522	405175	Keiko Kashiwagi
713522	410527	Jim
713522	411667	Kaori
713523	181456	
713523	285613	Tomo, Oharu's Mother
713524	378993	Co-host
713525	135953	Yoshiko
713525	373190	Sanae
713526	88758	Jim
713526	136097	Sayaka Yumi
713526	177756	Meat Alexandria
713526	177757	Meat Alexandria
713526	177758	Alexandria Meat
713526	177759	Alexandria Meat
713526	177760	Alexandria Meat
713526	177761	Alexandria Meat
713526	177762	Alexandria Meat
713526	177763	Alexandria Meat
713526	201287	Sayaka Yumi
713526	294033	Himiko
713526	325315	Shumai
713526	383345	Candice "Candy" White
713526	391334	Narrator
713526	394030	Various characters
713526	394031	Various characters
713526	394522	Alexandria Meat, Silver Mask,
713526	394523	Alexandria Meat
713526	396500	Sherry
713526	396532	Sayaka
713526	396573	Sophia
713526	396796	Daria Cocker
713526	397786	Lucy
713526	399478	Ingrid/Narrator
713526	405141	Daria Cocker
713526	407592	Shaomài
713527	179387	Fumika Nonomura
713527	179844	Kaori
713527	260417	
713527	272476	Reiko Asakawa
713527	278547	Reiko Asakawa
713527	278549	Reiko Asakawa
713527	364098	Chiaki Hirakawa
713527	390731	Azusa Fuyutsuki
713527	392328	
713527	394465	Tomomi Nagai
713527	394774	Tohko Egi
713527	396534	Michi Hirose
713527	408599	Maeda Matsu
713527	411647	Sakurako Jinno
713528	76877	Masako
713528	125261	
713528	201288	Sayaka Yumi
713528	289309	
713528	289311	Wakame
713528	300596	Okei-chan
713528	344293	
713528	370268	Tomoko
713528	375600	Wakame
713529	278380	
713530	130490	Eiko Miyajima
713530	232909	
713531	180483	
713532	161684	Yoshiko Akitsu
713533	79070	Q-Bee, B. B. Hood/Bulleta
713534	145439	Tatsuo's Sister
713535	236874	Natsumi Yamazaki
713535	298913	Sakiko Aoyama
713535	298992	Ruka
713535	374207	
713535	384559	
713535	389548	Makoto Kamioka
713535	399828	Shouko Ozaki
713535	399829	Shouko Ozaki
713535	399830	Shouko Ozaki
713535	399831	Shouko Ozaki
713535	405276	Youko Asai
713536	348752	Planet Elle Commander
713537	18661	Noriko Fukuhara
713538	513	Hotel Receptionist
713539	180438	
713540	210200	Oichi
713540	210201	Oichi
713540	210202	Oichi
713540	210203	Oichi
713540	370781	Suga Yano
713541	15956	
713541	39616	
713541	63543	Fujimi
713541	93750	
713541	217813	Yuko Kirishima, the yakuza gi
713541	379406	Yuka
713541	394537	Noriko Tsukiyama
713541	397186	Yukiko Mizuwa
713542	29479	
713542	284708	
713543	8809	Maki Tamiya
713543	22114	
713543	61224	
713543	76476	
713543	96414	Machiko
713543	135209	
713543	137267	Tomoko
713543	137384	Ukiko Kawamura
713543	138054	
713543	167578	Hatsuko Sakai
713543	167898	
713543	168062	Noriko Yamanobe
713543	169725	
713543	172963	Konatsu
713543	173600	Tomiko
713543	174461	
713543	175716	Yoriko Tsutano
713543	177239	Sumie Kawashima
713543	181722	Shino
713543	182023	Tomoko Wakamiya
713543	213595	
713543	216496	Omichi
713543	234905	Kazue Sato
713543	242204	Katsuyo Ishikawa, pickpocket
713543	242235	Cameo appearance (Mrs. Tamaru
713543	244524	geisha
713543	244545	Yoko Sakaide
713543	278383	
713543	285930	Queen of ground spider
713543	289316	Natsui Sumie
713543	293601	Tae Ibuki
713543	297416	Madoka Hatano
713543	298694	Miho
713543	299976	
713543	304052	Mariko Sakuragi
713543	323629	Sonoko Fujiki
713543	341254	Koyuki
713543	359612	Takako, fashion designer
713543	402312	Kyoko Kouri
713545	297182	Fusako Fukube
713546	116354	
713547	299094	Tôno, Kumi
713547	403411	Herself
713548	238167	
713549	296989	
713550	101564	Girl in the Oasis
713551	101564	Girl in the Oasis
713552	374456	Farm Girl
713553	179215	
713554	367651	Poor Woman
713555	1761	
713555	97301	Philomena
713555	138313	
713555	191037	Abilene
713556	234736	
713557	216851	
713558	218180	All-Girl Band Drummer
713559	101859	
713559	103379	
713559	146472	
713559	210556	
713560	34056	Benilde
713560	42564	
713560	322367	Adlia
713560	395865	Silvina Lobo
713561	32034	Amélie
713561	59217	
713561	68360	Marie-Catherine
713561	73155	Sybil
713561	159017	Nell
713561	169346	Mariette Hugon
713561	248988	Young wife/La jeune mariée
713561	280549	Cordélia
713561	294189	Adé
713561	294607	
713561	381612	Angelina (1965)
713561	385509	Constance Bonacieux
713561	388586	Laura Fairlie/Ann Catherick
713561	393246	Lina
713562	185927	
713563	302110	Melanie Akande
713564	52087	
713565	215487	Herself
713565	397888	Herself (2002-2003)
713566	24141	Alunna
713567	207929	
713568	23503	
713568	33433	
713568	58041	
713568	234761	
713569	386170	Carmen Paz Duval
713570	38031	Herself
713570	134343	Mother
713570	157463	Herself
713570	208245	Couple with Concealed Guns
713570	214974	Herself
713570	218479	Herself
713570	280443	Herself
713570	281530	Herself
713570	356350	Herself - Lead vocal
713571	309771	Agent de voyage
713572	380941	Danielle Séguin
713572	399369	Pic
713573	398159	Emma Beauchamp
713574	393173	Pat Kennedy (age 10)
713575	66837	Jane Lecavalier
713575	323584	Victim #2
713576	87151	
713577	296737	Signora Piccoli
713578	73600	
713578	399657	Herself (1993-1994)
713579	266012	
713580	340650	Inés
713581	343578	Marie
713582	237331	Le bébé de la boulangerie
713583	133388	
713584	115312	Kelly
713585	168735	Wilma Calyton
713585	334138	Angelica Sturgeon
713587	204234	Herself
713588	204234	Herself
713589	24318	
713589	204234	Herself
713590	204234	Herself
713591	131390	Waitress
713591	317843	Mabel Gaynor
713592	51362	
713593	189908	Girl on Boat
713594	207933	Ursula
713595	128663	Chris Hardy
713596	62178	
713596	111771	Lisa
713596	121055	Princess Starnitz
713596	239792	Rosemary
713596	325403	Frau Zwerschina
713596	402437	
713596	403133	Frau Spillers
713597	219964	Marion Leydon
713598	17049	Mrs. Angermeyer
713598	43234	Zeugin
713598	136717	
713598	174762	Gunda
713598	359620	Nachbarin
713598	361305	Employee
713598	379174	Hausfrau
713599	24038	Mo
713599	38995	Gabriele von Kant
713599	44423	Catherine
713599	64317	Narrator
713599	76034	Celeste Albaret
713599	79510	Toni
713599	84574	Lene
713599	97843	Hulda
713599	101055	Mother Filipov
713599	110772	Eva
713599	119247	Edith
713599	130215	Magda Goebbels
713599	143514	Photographer
713599	145506	Molle
713599	147153	Mariechen
713599	157017	
713599	157608	Pola Negri
713599	157648	Marie-Ann Weishaupt
713599	170171	Bilja
713599	174783	Portia
713599	177781	Frau Fritsche
713599	178644	
713599	186150	
713599	189628	
713599	189665	
713599	204496	EVA
713599	207792	Katharina Kneißl
713599	210014	Herself
713599	237609	Phan Ti Mao
713599	244567	Gisela
713599	259470	Thea Weinert
713599	278900	
713599	285977	Tankstellenverkäuferin
713599	286779	Annemarie Rotkohl
713599	286780	Annemarie Rotkohl
713599	289900	
713599	290107	Nulfin
713599	290187	Barbara
713599	290454	Simone
713599	294853	Bianca
713599	308220	Mother
713599	316469	
713599	317192	Eva
713599	319632	Monika
713599	325379	Kriminalkommissarin Klara Blu
713599	325450	Kriminalkommissarin Klara Blu
713599	325513	Kriminalkommissarin Klara Blu
713599	325523	Frau Reiche
713599	325526	Kriminalkommissarin Klara Blu
713599	325562	Kriminalkommissarin Klara Blu
713599	325816	Kriminalkommissarin Klara Blu
713599	325851	Kriminalkommissarin Klara Blu
713599	345890	Hilda Zucker
713599	352567	Barbara
713599	353950	Kresenz Horger
713599	356831	Sophie
713599	359621	Frau V.
713599	359655	Eva
713599	364867	Molly Dollinger
713599	365591	Hilde Werwolf
713599	365677	Hanni Schneider
713599	368735	Marie
713599	380558	Mermaid #2 (voice: German ver
713599	398308	
713599	401572	Herself
713599	411344	Ana Cortez
713600	308220	Josefine
713601	223474	Nina
713602	50291	Herself
713603	68267	Allied Corpse
713604	90377	Stand-Up Performances #15
713604	127239	Miss Blasko
713604	214100	Dottie
713604	262747	Michelle MacGregor
713604	267174	Utica Blake
713604	389476	Various characters
713605	45878	Bernice
713606	38649	Julia Norton
713606	387309	Rose Pollock #1 (1962-1963)
713606	388217	Alice Olcott (1951-1952)
713607	212479	Medico fiscale
713608	121426	Jeanne
713608	336234	Marjorie
713608	346769	Jansens
713608	376963	Irène
713609	247492	Natalie Lewis
713610	44057	Aline
713611	322527	
713612	308483	
713614	115016	The Nurse
713614	205268	Woman in Audience
713614	214463	Mother Hollander
713614	234659	Judge Belfray
713615	194313	Marnie
713616	61569	Customer
713616	107929	Stellina
713616	113306	Physician
713616	306223	Arctic Challenge TV Reporter
713616	316191	Beverly Neal
713616	393947	Emily Gordan (2000- )
713616	394425	Narrator
713617	207136	Nurse
713617	221005	
713618	151608	Wendy
713618	171336	Amy
713619	411625	Alison
713620	5329	Lilly Zabriski
713621	177305	Herself
713621	248461	Laura Lou
713621	362219	
713622	43886	
713623	262589	St. Matthew's Choir & Band Me
713624	329920	Tabatha Jacks
713625	88561	Sanya
713625	112302	Nurse
713625	199529	Lucy Frey
713625	245612	Janice
713625	269620	Jeri
713626	48490	Voice of Genom/Secretary/Comp
713626	123029	Elnar
713626	127779	Elner
713626	262013	Deborah Hughes
713626	298966	Jewell Princess
713626	316617	Cammy
713626	382908	Voice Of GENOM, Secretary Boo
713626	389778	Newscaster
713627	155705	Molly's Mother
713628	87855	Gardienne
713629	23934	Herself
713629	32115	Herself
713629	77068	
713629	190019	Herself (singer: Fifteen Minu
713629	249591	Performer
713629	352682	Nerys
713630	38045	
713631	90430	Hattie
713631	101637	Historian
713631	238508	Director, AAIP
713632	53764	Julie
713632	107863	WPC Givens
713633	342714	
713635	305929	Lisa
713635	387359	Paige (2000-2001)
713636	234669	Jane
713637	32094	
713637	80612	Katie Beth Smithern
713637	104891	Zoe Clark
713637	105196	Candy
713637	141091	Francie
713637	143599	Host
713637	161721	Amanda Thayer
713637	283558	Stephanie
713637	298058	April August
713637	367865	Denise
713637	385773	Beth Barry
713637	387394	Megan O'Malley
713637	388991	Gretchen Schreck
713637	389416	Pat McDivitt
713637	389858	Janine Walsh (2001-2002)
713637	393591	Lorna
713637	395263	Laurie Hill
713638	56545	Herself
713638	197715	Madison
713639	351431	Polly Small (Polly Small's Ba
713640	32399	Mrs. Rose-Gordon Chester
713640	41141	Señora Nacional
713640	44553	Lady Angelica
713640	54639	Maya
713640	56441	Hazel Wilson
713640	65422	Muriel Charters
713640	108444	Buddy
713640	140084	Dolores Arnold
713640	149184	Rosita
713640	155735	Anita Carew
713640	170740	Madeline Travers
713640	186313	Mildred Wade
713640	191692	Dulcie Hayes
713640	195814	Eleanor Dare
713640	195868	Eunice
713640	195980	Phyllis Geary
713640	196857	Kennedy Bond
713640	199436	Julia Flower
713640	206176	
713640	214152	Betty Vanderfleet
713640	232849	The Model
713640	245151	Martha Evans
713640	263449	Nakhla
713640	301662	Topaz
713640	316155	Paula Chester
713640	324845	Anna Belle Adams
713640	327748	Blanche Calloway
713640	331135	Alice Graham
713640	350504	Lady Jane
713640	355224	Mrs. Haskell
713640	367525	Undetermined Role
713641	229728	Coach Passenger
713642	358815	
713643	330338	Mrs. Stammers
713644	187191	Sorority Girl
713645	63834	Lizzy
713646	132530	Suzie the waitress
713647	57804	Connie
713647	185385	Jessie Springer, TV Show Host
713647	289314	Mei-Shin (Manga Entertainment
713647	309172	Yohko Yamamoto
713647	369460	Rogue
713648	34708	Mademoiselle Valerie Vendome
713649	187989	Voice
713649	256355	
713650	390771	Claudia Dillman (1968-1969, 1
713651	157847	Boat passenger
713651	163544	Dancer, Cheko Girl
713651	270502	Librarian
713651	347724	Mannish Woman
713652	32899	Kat
713652	41813	Audry Collins
713652	72114	Audrey Dixon
713652	95078	Waitress #2
713652	161721	Aide
713652	177660	Mother with Carriage
713652	223026	Sarah
713652	248884	Student 2 at College
713652	265101	Upset Wife
713652	289185	Jocelyn Dacre
713652	297190	Pretty Girl
713652	307359	CNN Reporter
713652	317309	Nurse's Aide
713652	330057	Mrs. Woganowski
713653	27632	Claudine
713653	42924	Happy Mom (segment "In the Wo
713653	185975	Chair wrangler
713654	170409	Gina
713655	260628	Serena
713656	188405	School Girl
713657	78902	Alicia
713657	401689	Mai Morris (1999-2000)
713658	33765	Pan
713658	53753	Dorothea Capper the Heiress
713658	65666	Diana Castle
713658	105094	Harriet Green/Harriet Hawkes
713658	114046	Elizabeth
713658	117647	Mildred Trimble
713658	120128	Millie the Non-Stop Variety G
713658	123911	Pat Wayne
713658	131391	Susie Dean
713658	140968	Jeanne
713658	150748	Mrs. Tinsdale
713658	163576	Elaine Bradford
713658	190134	Guest
713658	203091	Leslie Farrar
713658	213285	Celia Newbiggin
713658	232016	Herself
713658	245120	Tommy Tucker
713658	280365	
713658	285623	Kay Martin
713658	316503	Extra
713658	329951	Annette Marquand
713658	330692	Edward, Prince of Wales
713658	335130	Anne
713658	358879	Rasi
713658	387332	Aunt Bessie Merryman
713659	49455	Girl In Alley
713660	140184	Aunt Teresa
713661	329329	Bus Passenger
713662	210902	Nurse #1
713663	131232	Extra
713664	167797	Irene
713665	286783	Ira Pent
713665	311449	Amazon
713666	201685	Herself
713667	20371	Newscaster #2
713668	241225	Small girl in wheelchair
713669	141157	Singer
713670	51635	Blonde at Theater
713670	51643	Bar Girl
713670	110286	Michelle
713670	140967	Party Girl
713670	203591	Saleswoman
713670	311253	Cocktail Waitress
713670	321405	Hippie Chick
713672	967	
713672	81892	
713672	113686	
713673	399867	Aries 'Rhys' Martin
713673	405209	Nurse Janine Calvin (1999-200
713674	337180	Ruby's Girl
713675	190948	Dakotah Frost
713676	33034	
713676	82356	
713676	326677	
713676	327774	
713677	9023	Alice Marshall
713677	40331	Ears
713677	192172	Sara Crewe
713678	299395	Norah Wharton
713679	359553	Cheryl
713680	152219	Girl in car
713680	257648	Miss September
713680	257649	Miss July
713680	257682	Herself (Playmate)
713680	257817	Herself (Miss April 1990)
713680	257864	Playmate of the Year, 1991
713680	296352	Herself
713681	15929	Band Member
713682	37312	Social Service Woman #2
713683	91929	Party Flower
713684	93064	Sheena
713684	98149	Neighborhood Kid
713684	194232	Carol
713684	272648	Ma
713684	283068	
713684	308032	Trash
713684	383461	SN Pam Charnley
713684	408300	Sandra Taylor (2000-2001)
713685	216010	Young Scrooge
713686	132912	Pedestrian
713687	123216	
713688	241774	Emma's Housemate
713689	199150	Harrods shopper
713690	318645	Gran
713690	406144	The Nun
713691	2472	Monique
713691	336914	Claudia
713692	31315	Space Angel
713693	230391	Linda
713693	318773	Girl in dormitory at Briarwoo
713694	73611	Party Girl
713694	108086	Girl in Restaurant
713694	207132	Stickman's Girl
713694	368314	Dewey Stone Receptionist
713695	32562	Miss Weddell
713695	48540	
713695	88032	
713695	286406	Herself
713695	290344	Eve Watlington
713696	68232	Devil woman
713697	195689	Beautiful Blonde
713698	56801	Megan
713699	231078	Orphan Fiddler
713700	293058	Lucy Clark
713700	350328	Cyndi
713701	173089	Birthday Party Guest
713702	231768	Nurse
713703	68218	Herself
713704	77202	TV presenter
713704	310416	Posh Woman
713704	385020	Jenny Bradley (1986-1991, 199
713705	398555	Investigator
713706	115529	Marcy
713706	161172	Girl In Red
713706	232181	Dellia/Persien's Guard/Morgan
713706	266701	
713706	272518	Barbara Carson
713706	275996	Inflated Girl in gym
713706	335592	Joey
713707	6994	
713708	209133	Joan the Secretary
713708	401100	
713709	351972	Very young woman
713709	391194	Mary
713710	25395	
713710	193833	
713710	289393	Mrs. Wright
713711	12777	Pam
713711	283320	Casino Cashier
713712	403805	Rape Therapist (2000)
713713	50711	
713713	216146	
713714	27117	Madonna
713714	78988	Claire
713714	199759	Madonna
713714	314700	Tucker
713714	358358	Andi
713715	37012	Passionate Woman
713715	37467	Gem Club Dancer
713716	116289	Nightclub Singer
713717	369492	Xanadu Dancer
713718	360689	Bartender
713719	371	Anke Nossmann
713719	35052	Almuth
713719	136723	Brigitte
713719	259439	
713719	259674	Ramona Richter
713719	259685	
713719	390186	
713719	394134	
713719	409609	Lehrerin Fendel
713720	94616	Blix's Girl
713720	147888	Hooker
713721	234826	Nonne/Nun
713721	291615	
713722	253878	Hushjælpen Agda
713722	308229	Signe Brasen
713722	315374	Karen-Marie Jensen
713722	361564	
713722	395824	Frøken Reiersen
713723	107896	Chris Marel
713724	280513	Dorine
713724	354930	Marie-Ange
713726	31054	Nurse
713726	245719	
713726	364324	
713727	132341	
713728	9124	Educational Network Woman
713728	161843	
713728	163489	Shirley the Loon
713728	255654	Tiffany's Mom
713728	288703	Herself - Audience Member
713728	333631	Shirley the Loon/Sissy Boo
713728	333632	Shirley The Loon
713728	380313	Additional Voices
713728	382371	Martha Generic
713728	382993	Molly Coddle
713728	383280	
713728	383849	Additional Voices
713728	388404	Arlene Fifelton: Max's Mother
713728	404337	Various (1980-1981)
713728	405739	Baby Smallstar/Additional Voi
713728	408181	Additional Voices
713728	408305	Shirley The Loon
713729	238228	Wedding Guest
713729	323591	Transit Authority receptionis
713730	8272	
713730	11887	
713730	184405	Liesbeth
713730	259453	
713730	259506	
713730	277465	
713730	289850	
713730	312654	
713730	354066	
713730	391604	Dr. Evelyn Kaltenbach (1997-1
713730	394134	
713731	234116	Cute Blonde
713731	265109	Receptionist
713731	298279	Jennifer
713731	399787	Host
713732	141940	
713732	344339	Elisi
713732	344340	Elisi
713733	131780	Henry's Sister #2
713734	241038	Waitress
713735	144763	Photo Editor/Office Worker
713736	99075	Student
713737	67604	Margaret Williams
713737	328562	Ellen
713737	358838	Secretary Liza
713738	32849	Janie
713739	232090	Miss Throxton
713740	115269	Second Mother
713741	382454	Tessa
713741	408764	Jasmijn Rood
713742	169099	Maid
713742	174477	Ms. Jansson
713742	236794	Poetess
713742	258847	Mrs. Sokkelo
713742	319317	People in Nelson's party
713742	320385	Vappu, hänen morsiamensa
713743	179462	Herself - performer
713744	254952	Waitress
713745	174021	Herself
713746	65387	Soprano
713746	90016	Elizabeth de Valois
713746	90079	Donna Elvira
713746	111967	Leonore/Fidelio
713746	302136	Maria Boccanegra (Amelia)
713746	352931	Hanna Glawari
713747	181630	Marja Rautavaara
713748	394060	Herself - host
713748	410358	Herself - the host
713749	247007	
713750	134184	
713750	211038	Liinu
713750	401125	Anna-Leena
713751	390530	Margret
713752	390530	Magret
713753	72012	Mrs. Baker
713753	316223	Mrs. Bowden
713754	367891	
713755	179875	Kellnerin
713756	386603	Stephanie Aldrich (1980)
713757	10847	Skinhead #3
713758	235760	Woman of the Mountain
713759	3482	
713759	16864	
713759	33489	
713759	45897	Germana
713759	86113	Jeannie
713759	212580	
713759	227580	Maddalena
713759	263116	
713759	272771	Silvia
713759	280545	
713759	358012	
713760	118979	Earl Barton dancer
713760	250811	The broad
713761	234371	
713762	122760	Eveline, seine Frau
713763	120095	Mo' Wet
713763	309535	Sexy Flight Attendant
713764	2998	Alumni Deb
713764	10317	Summer
713764	38996	Miriam
713764	114383	Julianna Mercer
713764	145637	Jodie Golden
713764	233750	Movie Star
713764	294278	Debbie
713764	299783	Jackie
713764	330566	Maggie
713765	64548	
713765	185760	
713765	193727	
713765	213838	Paul Bunyon Jr
713765	235076	
713765	270942	
713765	305164	
713766	23944	Casting Girl
713766	337406	Betty Cinta
713768	278310	Magdalena
713769	81109	Miss Stanislus
713770	263576	Alexandria
713771	362856	Heidi
713772	6416	Une infirmière
713772	43772	Béatrice
713772	52698	
713772	59213	La folle
713772	62437	La journaliste
713772	64772	Feminist
713772	201161	Liliane
713772	211622	Shirley
713772	211808	
713772	336642	Une infirmière
713772	388311	Agnès Varin
713773	308749	Herself
713774	64679	
713774	70705	Violeta
713775	71223	
713776	73196	
713776	132981	
713776	287889	
713777	338642	
713778	108455	
713778	115794	
713779	51482	Flora Bosch
713780	395302	Young Helena Lacerda
713782	20098	Marina
713782	25158	
713782	68624	(segment "Lula e a copeira")
713782	70888	
713782	81701	Violeta
713782	85726	
713782	103885	Beth's mother
713782	104491	Leticia
713782	125783	
713782	211005	
713782	225110	
713782	246592	
713782	251839	
713782	268987	
713782	293972	
713782	294270	Edith
713782	324350	
713782	380449	Berenice
713782	381633	
713782	382776	Nilza
713782	383866	Carlota
713782	386417	
713782	391901	Catarina
713782	393792	
713782	401010	
713782	401678	Zenaide
713782	402159	
713782	402371	Diva
713782	402626	Mimi
713782	404798	Vivi
713783	6640	Susy
713784	22618	Brazilian Woman
713785	409419	Rosa
713786	401882	Participante(Finalista)
713787	252589	Célia
713787	380331	Fátima
713787	409347	Tânia
713787	410190	Ieda
713788	205696	
713789	396610	Estela
713790	203939	
713791	398501	Celeste
713793	171079	Makeup Artist
713794	304751	Lillian Hollander
713794	327055	Waitress
713794	365651	Julie
713795	5542	
713795	16699	Mrs. Phineas Sandford
713795	19125	
713795	31417	Piplette
713795	32211	
713795	32263	Aunt Elizabeth Whitney
713795	32982	Maid
713795	37016	Aunt Effie
713795	38854	Aunt Honoria
713795	38986	Miss Avery
713795	44490	Head Nurse
713795	46422	
713795	48599	Shocked Customer in Store
713795	48622	Medicine Show Crowd
713795	50649	Anna Blynn
713795	54399	Miss Rawlins
713795	54973	Aunt Della
713795	56686	Mammy Pleasant
713795	59755	Cynthia M. Perkins
713795	62943	Mrs. Hastings
713795	65479	Miss Richards
713795	69511	Miss Labo
713795	75139	Ma Hicks
713795	78083	Aunt
713795	84848	Isabel
713795	91229	
713795	95857	Aunt Sarah Collins
713795	96815	Cornelia Carlyle
713795	104910	Elizabeth Kekewich
713795	105252	Miss Blodgett
713795	106294	Guest
713795	108365	Nurse Sneed
713795	109724	Mrs. Charles Peterson
713795	113594	Mother Malone
713795	113890	Aunt Agatha
713795	116789	Mrs. Simpson
713795	117601	
713795	118457	Mrs. Whittum
713795	123368	Camilla Hastings
713795	127111	
713795	128363	Prudence White
713795	130973	
713795	138245	Mrs. Miller
713795	140095	Mrs. Herman
713795	140948	Twin
713795	141437	Aunty May
713795	142128	Brockton family member
713795	142666	Mrs. Pinchbottle
713795	143354	
713795	143456	Dowager
713795	143888	Sarah Lane
713795	143944	Martha Blaine
713795	146278	
713795	148298	Mrs. Anderson
713795	152203	Miss Watson
713795	152858	
713795	154901	Aunt Sarah
713795	159452	Mrs. Pritchard
713795	175181	Mrs. Cameron
713795	184048	Undetermined Role
713795	184534	
713795	190923	
713795	192260	Maw Turner
713795	194215	Mrs. Blitz
713795	195871	Mrs. Thule
713795	196013	Mrs. Slade
713795	196523	Miss Bell
713795	203139	Bendetta
713795	206420	Aunt Libby
713795	208718	Mathilda
713795	215277	Mrs. Twitchell
713795	217945	
713795	218396	Mrs. Emma 'Tanty' Krug
713795	218560	
713795	222577	The Housekeeper
713795	222618	Miss Roberts
713795	228610	Housekeeper
713795	232341	Mrs. McEvoy
713795	233612	Investigator
713795	236961	Julia Trotten
713795	239023	'Death Watch' Mary Schulta
713795	239671	Sarah Jane
713795	239783	Mother Vasquez, in Prologue
713795	252298	Miss Spence
713795	253191	
713795	259765	Miss Johanna Webb
713795	262330	
713795	263999	
713795	271284	Head Nurse
713795	276375	Mrs. Fortescue
713795	277647	Nurse
713795	281097	
713795	281704	
713795	282333	Aunt Mary
713795	283365	
713795	289584	Mammy
713795	289627	Aunt Alvira Evans
713795	291853	Mrs. Lickel
713795	297245	Mrs. Calhoun
713795	298539	
713795	299634	
713795	299801	(uncredited)
713795	301980	Matron
713795	302660	Mrs. Watts
713795	306317	Aunt Amelia Foley
713795	306397	Maiden Aunt
713795	330344	Mrs. Larkin
713795	330396	
713795	330617	The Housekeeper
713795	331685	
713795	331687	Saunders
713795	333427	Aunt Cordelia
713795	335857	Mrs. Murdock
713795	336258	Doña Bernarda Brull
713795	337133	
713795	359041	Ellen B. Armstrong
713795	359483	
713795	362398	
713795	363565	Mrs. Jackson
713795	365508	The Queen
713795	366867	Luella Van Buren
713795	367755	Wistful Wooer
713795	370577	Aunt Abigail
713796	140953	Nate's girl
713797	321486	Angry Customer
713798	289520	Sheila
713799	48075	Woman at Party
713800	88206	
713801	3593	Janet Marlowe Green Dillion
713801	19995	Allison Bremer
713801	43744	Myra
713801	54420	Tina Hayden
713801	88998	Sheila
713801	108042	Jody
713801	108694	April
713801	134025	Rose
713801	134432	Nancy
713801	150303	Jenny
713801	157529	Margo
713801	162876	
713801	211180	
713801	215173	Pamela Gorman
713801	222755	Shelby Battles
713801	227224	Lisa Rand
713801	254523	Groupie
713801	276867	Junelle
713801	292499	Jan Durant
713801	319546	Gail
713801	323484	Susan Bentley
713801	367281	Linda
713801	379716	Janet "from another planet" M
713801	389858	Heather Grant Webber #3 (1980
713801	390771	Hope Bauer Spaulding #5 (1976
713801	404002	Delia Reid Ryan Ryan Coleridg
713801	404282	Gina Blake Demott Capwell Tim
713802	445	Aino
713802	104818	Maria Svenningson
713802	156616	Peggy Ward
713802	182575	
713804	225234	Anna Andersson
713805	405853	
713806	199145	Waitress
713807	36477	Corinna
713807	120791	Henriette
713807	209956	Anne
713807	290495	Karin
713807	306473	
713807	314716	
713807	361530	Jana
713808	162053	Maria
713809	12380	
713809	231677	Christine
713809	391479	La jeune femme
713810	80463	Boss (Chef)
713810	98369	
713810	137413	Schwätzer
713811	348594	Gilley Background Vocalist
713812	13474	Pjevacica rock sastava
713812	47393	
713812	172493	Ankica
713812	206072	
713812	237707	
713812	314336	Ivanka
713812	408796	
713813	8581	
713814	60278	Dancer
713815	154893	Maria
713816	147338	
713817	174405	
713818	158591	Kelly
713819	120370	
713820	39193	Kim
713820	345946	Alva
713821	174067	Horácková
713822	23122	Otradovcová
713822	57610	Toninka
713822	105966	Julka Zachová
713822	116301	Bocková
713822	165348	Queen Zofie
713822	181251	Mother
713822	214800	
713822	217038	Marta Hronová/Marta´s sister 
713822	229270	Mother
713822	246341	Olga Brandová
713822	247934	Melanka
713823	81690	Verusa
713823	253255	Vera's mother
713823	290107	Feldbergerin/Feldberg Woman
713824	334853	Cheese cutter
713825	181354	
713826	232129	
713827	312018	Flygtning
713828	141550	Peggy Roberts
713829	204464	
713830	307702	Bäckereifachverkäuferin
713831	249372	
713832	18979	Loud Reporter
713833	373584	
713834	198123	
713834	256441	
713834	258999	
713834	374178	
713835	397392	
713835	399344	
713836	206072	
713837	58130	Petr's mother
713838	352036	Maria
713839	406644	
713840	202699	
713841	74552	
713841	80269	
713841	103510	
713841	134436	
713841	146478	
713841	162783	
713841	193027	
713841	212380	
713841	221569	
713841	251564	
713841	262601	María
713841	269832	
713841	281965	Fichera
713841	286421	Cabaret woman
713841	343619	
713841	351573	
713841	355484	
713841	357899	
713841	371684	
713842	376671	
713843	202222	
713844	310042	
713844	340355	
713845	179018	Ivan's Mother
713846	236066	
713847	187800	Vera Malisheva
713848	33824	
713848	34224	
713848	47392	
713848	176052	
713848	209517	
713848	370920	
713848	373744	
713848	374061	
713849	62412	Duska, teen bride
713849	179813	Klavka
713849	344012	Unidentified Role [Credits Na
713850	229203	
713850	262494	
713851	327331	
713852	244046	
713853	43075	
713853	348819	Stranger
713854	265936	Katerina
713854	307683	
713855	331193	Françoise
713856	178921	Pregnant Woman
713856	233515	Maria
713858	311310	Fatima
713859	157656	Carol
713860	47421	Liz
713860	166871	Miner's wife
713860	181135	Gail Adams
713860	198517	Bank Manager
713860	215507	Audience Member
713860	369905	Mrs. Holland
713860	371962	Pagan Initiate #5
713861	125599	Polish Interviewee
713862	153984	Carrie
713862	154856	Stephanie
713862	278798	Nun
713862	347571	Shelly's Girlfriend
713862	392763	Mrs. Hamilton
713863	216621	Autograph collector
713864	33834	
713864	339244	
713865	392551	
713866	397392	
713867	265839	
713868	159915	Sonia Gubelman
713868	320697	
713868	374734	
713869	327771	
713870	467	Anna
713870	11876	Charlott Haberland
713870	12471	Clementine
713870	12587	Fanny
713870	15102	Liz Essendine
713870	15908	
713870	20331	Arlette
713870	55332	Monique
713870	73519	
713870	93499	Hanner
713870	103144	Beate Horstmann
713870	119207	Vivie
713870	122492	Christl
713870	126336	Mizzi Schinagl/Gräfin Wernber
713870	126364	
713870	129711	Maria Thorwald
713870	134836	Kläre Volkhardt
713870	138456	Hannerl Möller
713870	147132	
713870	156701	Lixie Härtl
713870	156746	
713870	156749	Josepha
713870	159686	
713870	170699	Patty O'Neill
713870	171830	
713870	173703	Claudia Lund
713870	180005	Christl Weinzinger
713870	186873	
713870	203257	
713870	204563	Eve Ullmann
713870	205583	
713870	214512	
713870	214513	
713870	214718	
713870	218703	Tourist (US version)/Patty O'
713870	220709	Annie Gottlieb
713870	253209	Lilly, Studentin
713870	262974	Herself
713870	265653	Bianca
713870	274916	
713870	282191	Evelyn Hoover
713870	283061	Angelika Hirt
713870	285814	Annemarie
713870	290728	
713870	348064	
713870	376341	Lisa Krüger
713871	47244	Mutter
713871	112235	Kranich's Mother
713871	166757	
713871	204516	Eva Jost
713871	269151	
713871	281713	Mrs. Gibson
713871	290181	
713871	290216	Brigitte Schneider
713871	290598	Frau Thiele
713871	325581	
713871	345675	
713871	345931	Mutter
713871	352222	
713871	369152	Lehrerin
713871	374377	Madge
713871	376351	
713871	377356	
713871	387735	Hausmädchen (1989)
713871	406488	
713872	257329	Wendy Stanton
713873	235646	Angela
713874	178646	
713875	322126	Láng Jutka
713876	164600	Vicky
713877	5150	Susan
713878	52904	Soprano
713879	176875	Sherri Coke
713880	220892	Madame Pomponi
713882	81059	Herself
713883	42296	Swedish Suntanning Team Membe
713884	40378	Olympia
713884	325459	Anne
713886	120950	
713886	250468	
713886	367141	Piri, Magd
713887	7289	
713887	8154	
713887	8475	
713887	18942	
713887	19447	
713887	96616	
713887	136492	
713887	162625	
713887	174581	
713887	181389	Student Polychronopoulou
713887	184482	Mrs. Mikaelis
713887	198113	
713887	207790	Elpida
713887	210457	
713887	213542	
713887	226030	
713887	243328	Rinio
713887	248640	
713887	248852	
713887	256740	
713887	316458	Dimitroula Damalaki
713887	329266	
713887	330575	
713887	350544	Mother
713887	375139	Pipitsa Katsanevaki
713887	380434	
713888	100338	
713889	155350	
713889	188776	Roswitha Kloppenburg
713889	325533	
713890	242726	Jindri^Úka Moravcová
713891	17073	Hairy Woman (new movie)
713891	214225	
713891	236474	
713892	61250	Newsreader
713892	378765	
713892	400242	Newsreader
713893	26812	
713894	225306	Die Alten
713896	6592	Madame Rebecque
713896	28147	
713896	44982	Madeleine Vernier
713896	51223	Wanda Berger
713896	51965	Antoinette
713896	52065	Marie
713896	53248	Émilie de Lavalette
713896	58118	Lioubov
713896	59267	Renée
713896	63722	Jeanette Masurat
713896	65136	Madame Baduel
713896	66563	Stella
713896	69119	Elisabeth Raymond
713896	88238	
713896	90746	Marietta
713896	96165	Katherine
713896	100427	Dora
713896	125468	Madame Cruchot
713896	125714	Irène
713896	130137	
713896	135325	Andromaque
713896	142638	Hélène Fournier
713896	189342	Nicole Cérès
713896	235856	Mme Prullé-Rousseau
713896	241175	Héléna
713896	242875	
713896	249722	
713896	250729	
713896	258328	Sophie Vadier
713896	268872	Mado
713896	279064	
713896	285056	Madame de Lavalette
713896	309690	Moïra Worden
713896	322750	Jeanne Gari
713896	332912	Madame Baskine
713896	345027	
713896	346566	Elodie
713896	353155	Marie
713896	353869	Nathalie
713896	353938	La Religieuse
713896	379103	Mme Colet
713897	70631	
713897	208194	
713898	183797	
713899	268389	
713900	55947	
713900	119859	
713900	226184	
713901	44685	Nina Castellano
713901	86287	Miss Thomas
713901	90117	Doña Querida
713901	90381	Sofia
713901	154660	Ms. Rivera
713901	170552	Consuelo
713901	228447	Girl in brothel
713901	289094	Lucia
713901	361475	Mrs. Munoz
713901	380391	Angie Perrini Frame #3 (1977)
713901	395601	
713901	400236	Carlotta Vega (1995-present)
713902	308269	
713903	14994	Datter
713904	82920	
713904	254051	
713905	23105	Madame Laurence
713905	23800	Aurélie
713905	59218	Madame piou
713905	116439	
713905	202343	
713905	204339	
713905	217705	L'institutrice
713905	269088	Hotel Concierge
713905	309149	La duchesse
713905	341384	Le camionneuse
713905	341402	Monique
713905	346557	La diététicienne
713906	398650	La crémière
713907	274200	Trixie
713908	68010	Luce
713909	223174	
713910	390432	Rachel
713910	399438	
713911	60052	Monique
713911	234830	
713912	20314	Mrs. Neill
713912	32561	May
713912	44485	Cook
713912	89100	Mary (the maid)
713912	113361	Hortense Carleson
713912	155294	1st Hattie Williams
713912	161743	Grandma Driscoll
713912	186399	Mrs. Caldwell
713912	197073	
713912	206355	Bit Role
713912	220779	Jeff's Secretary
713912	304637	Cyrus' foster mother
713913	126045	
713914	61547	Graham
713914	168536	Ursula as a Child
713914	264175	
713915	32469	
713915	223764	Mrs. Bagley
713915	299543	
713915	327710	Mrs. Rogers
713915	331681	Olwen Harries
713916	281098	Ivy Adrian
713917	6738	
713917	16909	WAAFS
713917	187744	Ruth
713917	199712	
713917	255087	Bride's Mother
713917	296214	Janest
713917	324402	
713918	26753	Mrs. Wrigley
713918	39629	Lady Bullivant
713918	123216	
713918	400709	Mrs. Pritchard
713918	410580	Mme. Byelova
713919	71099	Caroline Hart
713919	133539	
713919	147125	Alice Hobson
713919	157462	Roma Romano
713919	163454	Princess Yasma
713919	167253	Magdalen Sibylle
713919	177410	Lea Rossignol
713919	184283	Sister Catley
713919	184995	Dora Bush
713919	190104	Sister Tutor
713919	208053	Chief Recorder
713919	210898	Lady Conway
713919	231824	Sidney Vane
713919	241340	The Mother
713919	271612	Alice
713919	316488	Gladys Moon
713919	327646	Lady Clifford
713919	330172	Carrie Porritt
713919	330698	Hilda
713919	341949	Amy Lunn
713919	358977	Gianella, wife of 'Matteo'
713920	132122	Renee
713921	38583	Mrs. Hamilton
713921	365824	Madam Fry
713921	372346	Mrs. Ella Brennan
713922	73985	Millie
713922	91719	Nicki
713922	118290	Mrs. Faversham
713922	202920	Robin Ackerman
713922	276234	Irene
713922	291041	Anne
713922	328517	Actress Playing Lady Garrick
713922	385299	Joanne Durvand
713922	389331	Terry Driver (1968)
713922	408785	Mistress Babington
713923	100358	Thérèse
713923	157325	Madame Royer
713924	103209	
713925	76058	
713926	241339	Truck Driver's Wife
713927	163509	
713928	388439	La postière
713929	383371	Louise Chantreuil (1998-2000)
713929	389242	Nina Rizzi
713929	406030	Lucie Valanski (2001 -)
713930	203185	Janet
713930	395350	Secretary
713931	24886	Femme Dieu
713931	91432	
713931	137222	Gallery girl
713931	169334	
713931	225531	Lola
713931	328087	
713931	396924	Betty
713932	23773	Laure Carlier
713933	408002	Dédette
713934	105962	Alice Van Meegren
713934	374353	Aunt Marietta
713935	127793	
713936	222212	Party-goer
713937	270522	Amy's Mother
713938	303144	Ruzena
713939	254163	Une jeune fille
713939	284362	
713940	66732	
713941	120120	Edna Hatcher
713943	104443	
713943	107510	Mimi
713943	164166	
713944	408622	Alex
713945	341760	Jennifer Crossman
713946	252776	
713947	85543	Marie, la fillette
713947	332219	Kate
713948	240192	
713949	263569	Molly Cross
713949	309587	The Woman
713950	26620	Sybil
713950	45244	Mavis
713950	49932	
713950	51746	Bea
713950	64932	Woman
713950	67833	Mrs. Scott
713950	72464	Eileen
713950	83875	Liz's Mother
713950	99860	Mrs. McNair
713950	113496	Stella
713950	126700	Miss Day
713950	130731	Antique shop owner
713950	137572	Mrs. Hunter
713950	137575	Miss Morris
713950	138210	Margaret
713950	157193	Miss Prism
713950	221217	Mrs. Craddock
713950	234126	Rachel
713950	279413	Nell
713950	316027	Faith
713950	328788	Vera Peters
713950	366462	Lady
713950	367724	Billy's daughter
713950	379743	
713950	382590	Jean Ford (1974-1975)
713950	384581	Dawn Carpenter
713950	384962	Iris Baker
713950	385613	Monica McHugh
713950	388977	Jean Hennessy
713950	389873	Miss Mossop
713950	389874	Miss Mossop
713950	390065	Various roles
713950	396001	
713950	400991	
713950	402197	Pat O'Connell (1979-1980)
713950	405671	Various Characters
713951	22996	Grace Mortimer
713952	689	Herself
713952	18015	Barbara Burnside
713952	64079	Queen Seraphina
713952	148222	Helen Owen
713952	230698	Imogen Ide
713952	383071	Anne Lacey Fletcher
713952	386657	Edith Dombey
713952	387645	Kate Burton
713952	388863	Lettice Palmer
713952	391759	Nurse Tricia Williams (2003-)
713952	405011	Rachel Rosing
713953	129167	Herself
713953	260290	Herself
713953	277394	Herself
713953	362073	Marilyn
713954	100734	Louise B.
713954	116472	Sophie
713954	168895	Physio night-club
713954	261116	Champs-Elysées Model
713954	272864	Ida Rubinstein
713954	324483	Red Model
713955	72738	E.Y.T. Presenter
713956	265137	Sonia Calies
713957	11621	
713957	21911	
713957	30038	
713957	75030	
713957	95800	
713957	110476	
713957	243109	
713957	285927	Sabrine
713957	295648	
713957	296708	
713957	305233	Sabrine
713957	326880	
713957	332850	
713959	347063	Avenger
713960	142360	
713960	280830	Slave Girl
713961	3348	Lilli
713962	117773	Diner Patron
713963	341939	Girl in Headshots and Auditio
713964	77969	Helen
713964	114254	Bett
713964	216810	Hospital Sister
713964	245033	Lady Byrne
713964	289011	
713964	408266	Ruth Calthorpe
713965	106520	Receptionist
713966	138744	Chorus Woman
713967	60125	
713968	304408	Daughter of Måns Olsson
713969	201194	
713970	312330	Student
713971	75360	Desiree
713972	24665	Anita
713973	354994	
713974	196300	
713975	265765	
713976	70347	Kitchen Staff
713976	215563	Servant
713976	310740	Carrie
713977	184520	Sandra
713978	38259	Mrs. Grimbleby
713978	53566	Meredith
713978	56165	
713978	56166	
713978	56167	
713978	56168	
713978	87234	Administrator
713978	93772	Cranky Lady
713978	192527	Charlotte Peacock
713978	211350	Nerissa
713978	223649	Granny Wilcox
713978	245218	Mrs. Denny
713978	342616	Slum Lord
713978	363943	Edith Tomlinson
713978	401447	
713978	404643	
713979	18801	Jacinta Marto/Herself
713980	61345	
713980	67642	Marlene
713980	350142	Carmem
713981	1605	
713981	1938	Abuelita
713981	3132	Laura
713981	10704	Jeanine Sauvagnac
713981	11934	Geneviève Lechat
713981	14944	Consuelo
713981	18761	
713981	19454	
713981	20713	Isabel
713981	20855	Doña Manuela de Fora
713981	21700	
713981	43636	Dolores Thivart
713981	51113	Isabel Harris
713981	51943	
713981	55617	Concha
713981	56634	
713981	59990	Zabú
713981	61067	
713981	63813	Jimena
713981	65173	Elena
713981	68058	Lupe
713981	68912	Julia
713981	76110	Carmen
713981	76111	Carmen
713981	80148	
713981	82399	
713981	90107	
713981	99403	Linda
713981	100640	
713981	101894	Sor Perdida
713981	101901	Ana
713981	101967	Maria
713981	103854	
713981	106267	Sister Ana
713981	110989	
713981	116484	
713981	122980	Herself - Host
713981	124303	Begoña
713981	139360	Madame Osmane
713981	148042	Carmen
713981	148081	
713981	152239	
713981	156096	Herself - Winner: Best Lead A
713981	162155	
713981	163880	Herself - Co-Host
713981	187939	
713981	189005	Tina Quintero
713981	189377	
713981	191440	Berta
713981	195157	Anne d'Autriche
713981	195573	
713981	204600	
713981	204783	
713981	207602	Julia
713981	211046	
713981	213425	Anna
713981	221922	Marisa
713981	221953	
713981	222008	Pepa Marcos
713981	239290	
713981	246292	Mère Emmanuelle
713981	247168	Maite
713981	247198	Tía Victoria
713981	248864	
713981	248865	Ana
713981	252551	Pepi
713981	253990	Chica
713981	255802	Herself
713981	259954	
713981	265710	Celia
713981	275067	Ana Luz
713981	277391	Carmen
713981	285934	TV hostess
713981	307835	Ana
713981	307839	Herself
713981	319596	Teresa
713981	319803	Maria Garcia
713981	322324	Carmen
713981	323667	
713981	324305	
713981	325304	Elvira
713981	332941	Carmen
713981	336302	Carmen Maura, the movie star
713981	345499	Herself
713981	346674	Rosa
713981	349334	Herself - Winner: Best Lead A
713981	349882	Abuela
713981	351863	Julia
713981	353017	Herself - Presenter: Best Lea
713981	353654	
713981	355937	
713981	369556	Herself - Co-Host
713981	369870	Herself - Nominee: Best Lead 
713981	369989	Herself - Winner: Best Lead A
713981	369994	Herself - Presenter: Best Lea
713981	376651	Carmela
713981	376843	Rosa
713981	376851	Gloria
713981	378109	
713981	378988	Olga
713981	382950	Herself
713981	383816	
713981	387579	Herself - Host
713981	387864	Herself - Host
713981	388365	
713982	111427	
713983	357192	
713984	104740	Host
713984	387959	Herself - Presenter (1965)
713985	316362	
713986	1699	Herself
713986	68833	Joëlle
713986	101270	Herself
713986	116411	Herself
713986	122411	Herself
713986	164672	Herself
713986	212782	Odessa
713987	55308	
713988	17574	Lilja
713988	18900	Maria
713988	76263	Suvi Ekman
713988	136898	Hokkanen
713988	152340	
713988	170521	
713988	178186	
713988	178373	Daami
713988	182377	Irja Hukkanen
713988	182570	Ingrid
713988	223514	Käheä-ääninen
713988	229545	Anja
713988	237234	Various
713988	246141	
713988	246913	
713988	251955	Pipsan äiti
713988	258815	Helena Hakala
713988	274905	Regina Räsänen
713988	287574	Rouva Paula Lilja (Mrs Paula 
713988	295249	
713988	300796	Maria Sibelius
713988	328683	
713988	341591	Lastenkodin Johtajatar
713988	341604	Olga Esempio
713988	341794	Mari
713988	345004	Umurin äiti
713988	354426	Marja
713988	380247	Karin Berggren, os. Anders
713988	381657	Saara Mustavuori
713988	390950	Arja the Finn
713988	400682	Kerstin Sundel
713988	400857	Kirsi 'Kikka' Rintala (2000)
713988	402792	Ukin vaimo Raili
713988	407198	Toimistosihteeri Terttu Hurma
713989	101271	Herself
713989	244392	Gold Tooth
713991	101851	
713992	89946	Maria
713992	133171	Antonia
713992	224903	
713992	281271	La Toniette
713993	34977	Glamour Girl
713993	36899	
713993	200488	
713993	292470	Goldwyn Girl
713994	358446	
713995	270954	Lucy
713996	52575	Old lady in the Strand
713996	58937	Old Mrs Gallagher
713996	71254	Old Lady
713996	75556	Rich Old Lady
713996	150748	
713996	176727	
713996	191774	Mr. F.'s Aunt
713996	250371	Susan
713996	264747	Queen Victoria
713996	276791	Little Old Lady
713996	298453	Miss James
713996	299169	
713996	342661	Lady Patient
713996	364731	Doll Skelton
713996	385299	Granny Fraser (1964-1975)
713997	82643	Nun
713997	347194	Herself
713998	103207	Suzanne
713999	112813	
714000	92232	Protester
714000	105280	Nurse
714001	61426	La barmaid
714002	17371	Anja Scherrer
714002	156684	Freundin Peter Arnolds
714002	317374	Caroline Zumbühl
714003	152791	Car driver
714004	308558	Gina the Maitre d'
714005	109457	Restaurant Lady
714005	147888	Hooker
714005	164663	Girl Assistant
714005	165966	Ethel
714005	302121	Commune member
714005	359569	Lizzie
714006	88841	
714006	230229	
714006	347794	
714006	347795	Dr. Mackenroth
714006	347796	
714006	359461	Heike
714007	285034	Grocery store clerk
714008	154076	Ann Craig, Robert's Fiancee
714008	253915	Wendy Grown-up
714008	402245	Wendy Grown-up
714009	386864	
714010	99181	Elf
714010	99277	Jája, princess
714010	184123	
714010	261380	
714010	322676	
714010	357591	
714010	395438	Presenter
714011	48124	Katy
714012	131669	
714013	907	Herself
714014	233678	June
714015	403021	Victoria 'Vico' Paz
714016	124141	La femme qui se bat 2
714017	5930	Diana
714017	23790	Mary McLaren
714017	30810	
714017	41116	Blondine
714017	43088	Fiamma
714017	57295	Solange
714017	59056	Grande Dame
714017	68648	Yvonne Leriche
714017	69845	Lola
714017	79861	Christine Durrant
714017	83225	Isabelle Delorme
714017	90263	Lucille
714017	101529	Peggy
714017	129513	Alice
714017	134383	Dot
714017	144976	Professor Helene Gauthier
714017	145771	Simone Rolfe
714017	151069	Constanta Sluiter
714017	161979	Narrator
714017	166004	Jeanne Dubois
714017	169341	Miss Louise (Mlle Louise)
714017	191679	Lisa Garret
714017	205735	Mlle Mars
714017	208985	Suzanne Roualet
714017	227595	Mme Tallien
714017	238466	Annette Durand
714017	243025	Manon
714017	247314	Mme Royale
714017	258123	Claire
714017	275662	Manina
714017	280487	Michele Cartier
714017	286048	Eva Delagrange
714017	289483	Bela
714017	292552	Emma Antonescu
714017	292910	Diana Lander
714017	300735	Mlle, de Fontanges
714017	346428	Irène Musselet
714017	352715	Helen
714017	360567	Vivienne
714017	377712	Eve
714017	383868	Michele Champion
714017	384744	Madeleine Rivard
714017	385075	Sabine Corval
714017	386020	Nicole
714017	393718	Mme de Grammont
714017	396135	Mme Leuwen
714017	396187	Mme Marchandou
714017	396856	Princesse de Benevent
714017	398079	Claude
714017	399785	Lisette Andrieux
714017	402349	Gisèle Charmoy
714017	403813	Mathilde Stangerson
714017	412268	Mme de Boislinard (segment "E
714018	194133	
714019	14723	
714019	202202	
714019	214225	
714020	94645	
714021	384770	
714021	390405	
714021	398522	Cristina
714022	61756	
714023	346807	
714024	307459	Antonietta, figlia di Marina
714025	38395	
714025	78555	La segretaria Franzi
714025	91080	
714025	312252	Un' altra crocerossina
714025	342136	Maria
714026	213804	
714027	392120	Herself - House Doctor
714028	305638	Prostitute
714029	64858	
714029	127407	Technician
714029	168695	Johnny Greyeyes
714029	381876	Nowakich
714030	241377	
714031	23862	The Mother
714032	84491	Sally
714032	114614	Esther Block
714033	16025	
714033	19136	
714033	24254	Doris' Aunt
714033	25378	
714033	30361	Leah, Jacob's Wife
714033	31060	Mrs. Harrison
714033	31084	
714033	33427	
714033	35467	
714033	38254	
714033	39493	Mrs. Rossitor
714033	54440	Mrs. White
714033	54494	
714033	55569	
714033	60265	
714033	63514	Mrs. Mason
714033	65915	
714033	68190	
714033	69740	
714033	69742	
714033	70281	
714033	73781	
714033	85746	
714033	88261	
714033	89646	Mahitable King
714033	91224	
714033	105037	Pronubial Couple
714033	113364	
714033	116997	Mere Loubette
714033	130105	
714033	130177	
714033	142684	
714033	143024	The Mother
714033	143039	The Mother of the Cousin
714033	143159	The Grandmother
714033	143184	
714033	143385	Mrs. Marvin
714033	143419	
714033	146093	Donald's Mother
714033	146104	The Mother
714033	146110	The Mother-in-Law
714033	149449	
714033	151289	Herself
714033	154810	Azalea Adair
714033	160002	
714033	175821	
714033	187155	
714033	190070	
714033	192234	Ann's Grandmother
714033	193297	The Mother-in-Law
714033	194912	
714033	198657	Mrs. Bush
714033	201106	Bernice
714033	203485	Old woman
714033	206592	Martha
714033	206860	
714033	210632	
714033	215333	Fantine
714033	216811	
714033	216947	
714033	220020	The Mother
714033	220043	Mother
714033	221289	Mrs. Lirriper
714033	221290	Mrs. Lirriper
714033	224203	Mrs. Hawkins
714033	237560	Nora O'Hara
714033	237561	O'Hara's Sister
714033	237563	
714033	239610	
714033	241784	The Jewish Mother
714033	242099	
714033	245677	Mrs. Margaret McNeal
714033	255320	Beth's Mother
714033	263474	Mrs. Thatcher
714033	268895	A Quaker Mother
714033	270998	
714033	274464	Grace's mother
714033	276706	Mother
714033	281869	Marian as an old woman
714033	285064	
714033	289087	Susan B. Anthony
714033	292193	
714033	295464	Janet Grant, a Widow
714033	302946	Dovey
714033	304309	
714033	304749	
714033	311293	
714033	319775	Mrs. Dubois
714033	321175	
714033	329746	
714033	329773	Mrs. Jones
714033	338096	Mrs. Page
714033	338832	
714033	343215	
714033	344933	
714033	357587	
714033	359166	
714033	362995	An Old Lady
714033	364169	Peasant woman
714033	364452	Lady Esmond
714033	366171	Alice's Mother
714033	366695	The Mother
714033	367439	
714033	367761	Julia Strong
714033	372807	
714034	45846	Brunet Stripper
714035	205169	
714036	24951	Mrs. Pitman
714037	79102	The Baby
714037	146303	Baby Packard
714037	194770	Baby Joan
714038	56624	Lucy Dalton
714038	148876	Juliette
714038	224695	
714040	169358	Herself
714041	234219	
714042	99142	Little Hope Sundaisy
714043	381617	Rosa-Rose
714043	390715	Délicat
714043	396865	Naphtaline
714044	4539	
714044	75382	
714044	77247	
714044	119108	
714044	127625	
714044	153315	
714044	185800	
714044	204951	
714044	333000	
714044	365957	
714045	347534	
714046	395301	Stephanie
714048	6393	Clotilde
714048	13555	
714048	15036	Lili
714048	23776	Caroline Sinclair
714048	23796	Régine
714048	24993	
714048	33553	Alexandrine Dupont
714048	51951	Simone
714048	53246	Albine de Montholon
714048	53575	June Chalmers
714048	61423	Mamouchka
714048	63701	Odette
714048	65529	La vieille dame dans le parc
714048	74913	Christiane
714048	84073	
714048	91277	Ghislaine
714048	106988	Suzanne, Owner Two Windmills 
714048	111867	Irène
714048	121317	
714048	123684	Nelly
714048	126440	Claire Médina-Etiévant
714048	148648	Nelly
714048	156300	L'antiquaire
714048	156532	Jocelyne, l'agent artistique
714048	157235	Mauricette Brisset
714048	163819	Marthe
714048	165785	Valérie Krebbs
714048	166321	La mère
714048	192820	Bedelia
714048	211643	Ninon de Lenclos
714048	236593	La vieille
714048	254133	Ginette
714048	269138	Gilberte Doinel, the Mother
714048	270225	Armance Dupon
714048	273026	
714048	276105	Jeannette
714048	277726	
714048	340167	Anne d'Autriche/La supérieure
714048	345022	La Mère
714048	345098	Jeannette
714048	345283	Denise Cassenti
714048	345351	Madeleine
714048	346574	Viviane
714048	346710	Caroline
714048	349494	Anne-Marie
714048	354574	Muriel
714048	355883	Herself/Gilberte
714048	356979	Alice Martell
714048	381245	
714048	386696	The Duchess
714048	387764	Maïté Legrand
714048	393397	
714048	395259	Sabine
714048	395493	Mme Darsonville
714048	395891	Suzy
714048	398033	Léonore (1975)
714048	401053	Le proviseur (1982)
714048	402349	Suzanne Ternant
714048	402628	Marion
714048	408922	La baronne des Couronnes
714048	409933	Constance
714048	410307	Esther
714048	410366	Laura
714049	264279	
714050	254937	Ismène
714051	377044	
714052	184212	Laura, Lizabeth's Sister
714053	354909	Herself
714055	10685	La cuisinière
714055	52011	La mère supérieure
714055	63954	La surveillante
714055	65529	La dame en blanc
714055	66564	La nourrice
714055	73142	La voisine
714055	77346	Zoé
714055	85693	Soeur Claire
714055	110192	Old Lady in Park
714055	111067	Logeuse
714055	124057	Madame Pasquet
714055	146392	
714055	148588	
714055	160675	La vieille femme
714055	166131	
714055	166143	La grand-mère
714055	166288	Mme Philippe
714055	168890	Concierge
714055	198319	
714055	199389	
714055	199479	
714055	212156	La voisine de Cazès
714055	216236	La bonne de la rue Plumet
714055	216237	La bonne de la rue Plumet
714055	217253	La concierge de Clara
714055	240297	Une voisine
714055	243299	
714055	258120	Concierge
714055	268445	Mme Jeantaz
714055	273689	Mme No, la nourrice
714055	278911	
714055	287279	Madeleine
714055	292803	La servante d'Arthez
714055	300632	La mamma
714055	336982	La première invitée du mariag
714055	337734	
714055	344205	
714055	345351	La femme d'André
714055	345468	Elodie
714055	346627	Madame Tissot
714055	352933	
714055	353925	La concierge
714055	353942	Germaine
714055	355806	François's Mother
714055	409923	La tante Yadwigha
714056	148702	
714057	10685	Alice
714057	23710	Eudoxie
714057	83279	
714057	85616	Muriel
714057	156321	Sophie, la fille cadette
714057	166143	La boulangère
714057	201184	Lise Durras
714057	214028	
714057	268445	Césarine Jeantaz
714057	336939	
714058	375077	
714059	15910	Florence
714060	197895	Mrs. Butler
714060	274422	
714060	314098	Connie Shortgun
714061	232847	Ella Noble
714062	27594	Herself/Kvinde der bliver ove
714062	56371	Kvinde der bliver overfaldet
714063	174172	Dancer
714064	63890	
714064	82433	Piras
714064	160514	
714065	913	Cynthia
714065	45486	Evil Yokono
714065	215964	Carly
714066	116948	
714066	187573	
714066	355832	Conchita
714066	381583	Matilde
714066	387901	Simone
714066	391673	Valkíria Assunção
714066	401900	Liza
714067	2654	
714067	7318	Chief Hostess
714067	33558	Chief Hostess
714067	33675	
714067	199037	Doris
714067	202094	
714067	272896	L'hôtesse italienne
714067	291669	Wife
714067	311815	Cristina
714068	42020	
714068	158762	La cameriera dei Couchet
714068	233643	
714069	14387	
714069	317718	The innkeeper's daughter
714069	338689	Proprioetario della Pensione
714069	351604	
714070	337007	Copine Marion
714071	71383	
714071	87801	
714071	102399	
714071	119856	Catana
714071	127376	
714071	129196	
714071	197180	
714071	234566	Cashier
714071	263054	
714071	342109	Maria Fornaciari
714072	96857	Jonathan's Mother
714073	185262	Ms. Capp
714074	64771	
714075	74146	Reportera de TV
714076	34372	
714076	160979	
714076	295049	
714077	36508	Flemmy Feeling
714077	36512	Una nobildonna
714077	226971	Maja
714077	275351	
714078	249910	Testigo
714079	199082	PhysEd Teacher
714079	342313	Nurse Ulla
714080	84303	
714080	94273	Kjersti
714080	268368	Bjørg, Rogers kone
714080	306973	Josephine
714080	307244	Bygdegutt 3
714080	388857	Charlotte, danselærer
714080	401468	Bitte
714081	121027	Tante
714081	130196	Slektning av Endresen
714081	174719	Fru Orban
714081	192486	Liv Haugen
714081	286639	Lisa Dalen
714081	308598	Mrs. Schmidt
714082	225370	Ana
714083	21403	Schwester Hilde
714083	78608	Maria Ami
714083	90990	
714083	92992	Gloria
714083	94280	
714083	119153	Stud. astr. Friede Velten
714083	119720	
714083	120047	
714083	134217	
714083	136208	
714083	145342	Irene Matthes
714083	178628	
714083	180417	Sonja Lubinskaja, called'B27'
714083	225164	Thea Iken, Prokuristin
714083	264347	Ludovika von Bayern
714083	289823	
714083	290556	
714083	293620	Annemarie Burkhard
714083	311238	Sonia
714083	334564	
714083	343503	
714083	347669	Sybil Herford
714083	356839	Frau Peters
714083	361095	Gerda Gildemeister
714083	366549	Mrs. Antrobus
714084	31961	
714085	245115	Leiku
714087	169317	
714087	250780	Joséphine
714087	408843	
714088	390515	Annie
714089	345555	Fatema
714090	263003	
714091	142869	Contortionist No. 1
714091	376366	
714092	5900	Autograph woman
714092	15031	
714092	22191	
714092	31018	The Horoscope Woman
714092	38177	Mademoiselle Audibert
714092	55016	La fiancée blonde
714092	68379	Sylvie
714092	68874	Michele Rafard
714092	71836	Lucie
714092	81427	La patronne
714092	122367	Madame Lulu
714092	130724	
714092	134605	Patronne café
714092	156292	L'employée de l'ANPE
714092	157072	
714092	162206	La caissière
714092	196287	Catherine
714092	200960	Marie Deligeard
714092	218448	Une curiste
714092	219442	Une cliente tabac 16°
714092	264212	Isabelle Duborg
714092	266539	Sybille
714092	289565	
714092	314350	Suzy
714092	322340	
714092	327547	Suzannejh
714092	336964	Maryline
714092	337138	
714092	338589	
714092	345140	Sandra, la voisine du dessus
714092	345185	Héloïse
714092	346673	Mme Navarro
714092	353898	Cora Mabel
714092	377931	
714092	380502	Mme Da Silva, la concierge
714092	381297	
714092	384535	Hélène
714092	384595	Margot
714092	385347	Michelle
714092	387697	
714092	400631	Simone (1998-)
714092	400869	Gaëlle
714092	401329	Elodie Arène
714092	408662	Zouzou
714093	48124	Katy
714093	269117	
714095	239137	
714095	277717	
714095	308247	Helena
714096	46630	Lillian (naken kvinne i båt)
714096	237292	Doris
714096	237293	Daughter
714096	327126	Ragna
714097	56085	Casino patron
714098	403356	Herself (Lawyer)
714099	55411	
714100	14948	
714100	68431	
714100	234730	Dora (the rabbit)
714100	379901	Tania Lanci
714101	409814	Paula
714102	215113	Miriam, Leona, Dee Dee
714103	384590	Herself
714104	323074	Tetoa
714105	202244	
714106	270764	Léa
714106	377633	La dame du terrain vague
714107	134994	
714107	290487	Frau Rehberger
714107	293423	Luise
714108	209944	Vanderbrouk employee
714109	390771	Elizabeth 'Lizzie'Spaulding #
714110	251561	
714110	293067	
714111	229018	Ljuba
714112	99684	Host
714112	99685	Host
714112	99686	Host
714112	99687	Host
714113	68891	Celia-Louise Martin
714114	114296	Assistant
714115	31964	Lucrezia, Beatrice's Stepmoth
714115	127389	Ida
714115	197453	
714115	355891	
714116	240384	Singer
714117	67709	The Smart Bombshell
714118	330499	
714119	707	Kaitlin Davis
714119	13731	Claire Potts
714119	66335	Rachel
714119	166692	Sarah Archibald
714119	347918	Roseanne McCormick
714119	362716	Billie (5)
714119	388665	Marie Fitzgerald
714120	53327	Good Dancer
714121	280335	
714121	338206	
714122	18871	
714123	380431	
714123	394227	
714123	406324	
714124	47474	Vanya
714124	281441	Stephany
714124	411245	Stephany (episode 1: Room to 
714125	57502	
714126	234153	Anica
714127	327357	Mairy
714128	79233	
714129	407739	
714130	32507	
714130	256724	
714131	40424	Mittagssonne
714132	57751	La pianiste
714133	8102	Journalist
714133	82208	
714133	102917	Popi
714133	139555	
714133	172193	
714133	180293	
714133	244483	Pamela Willow
714133	254247	
714133	332262	
714133	381673	
714134	98210	
714134	380321	
714134	396098	Pinelopi
714135	8378	Miranda
714135	10543	Kyra Frosini
714135	15438	Lila
714135	18756	Maria Flora
714135	18943	Martha
714135	26044	
714135	82195	Eleni Constantopoulou
714135	82773	
714135	93892	Christina
714135	95881	Kaiti
714135	97876	Iro Lekaki
714135	97921	
714135	97923	Myrto
714135	98210	
714135	101536	Marina
714135	102659	
714135	104261	Mina
714135	105733	Violeta
714135	105869	Katia Theohari
714135	108640	Katina
714135	111918	Toula
714135	125694	Dimitra Avgeri
714135	127365	
714135	131083	
714135	174493	
714135	174580	Sophia
714135	174648	
714135	174695	
714135	179457	Avgi Molfeta
714135	182446	Eva Kanoudi
714135	187876	Anna Vergou
714135	213048	
714135	219922	
714135	224511	Myrtia
714135	237060	
714135	243079	Tonia
714135	248724	
714135	255783	
714135	263051	Stella Logotheti
714135	315012	
714135	326216	Erato
714135	329734	Helen Barda
714135	333769	Elenitsa
714135	341180	
714135	375546	Marina
714135	379442	Christina Psachou
714135	380653	Lebessaina
714135	385986	
714135	387567	Agia Eleni
714135	397728	
714135	401723	Erofili
714135	404240	Evrykleia
714136	24734	Une aveugle
714136	51434	Laure
714136	83349	La mère d'Anne
714136	86792	La patronne du café
714136	110192	Mother Superior
714136	136172	Flavie
714136	249461	
714136	261820	Mme Topfer
714136	264525	Colette
714136	275862	Paul's mother
714136	284175	Lucienne
714136	324483	Seamstress
714136	355806	
714136	377060	Henriette Saulnier
714137	56773	Servant
714138	337528	
714138	379509	Domna
714139	361324	
714140	398058	Sara
714141	56923	Martha Prebble
714141	120799	Nanda Gray, adult
714141	177529	Queen
714141	190008	Blanche
714141	267846	
714141	315444	Tecia
714141	381278	Eleanor Harding
714141	382733	Jean Lacy
714141	397188	Elizabeth Jane Henchard
714142	122319	
714143	147825	Herself
714143	202992	Gwennie
714144	147825	Herself
714145	147825	Herself
714148	360392	Audrey
714149	5500	Barbara Wayne
714149	54626	Muriel Froster
714149	297791	Herself
714150	17498	Karen Carlsen
714150	99240	Elise
714150	123040	Madame Hyazinthe
714150	130111	
714150	146997	Arkitektens kone
714150	153776	Sorte Else
714150	153987	Fru Harms
714150	182618	Eva
714150	198399	Annemari Høst
714150	213436	Connie Sørensen
714150	237156	Ulla Malmgren
714150	287472	Francesca
714150	314758	Pigen
714150	334019	Herself/Various roles
714150	343953	Eva Lorck
714150	354739	Marie
714150	378325	Line
714150	382891	Marianne
714150	405717	Pernille, Peters forlovede
714151	139939	Tessa's First Child
714152	292352	Cordelia Marosh
714153	100173	La servante
714153	376995	La téléphoniste
714154	164152	Directrice
714154	283129	La dactylo
714155	311038	Train Passenger
714156	366554	
714157	311946	'Hot Date' Band Member
714158	39405	
714158	70842	The Fire Girl
714158	143626	Natasha
714158	341772	Dream Girl
714158	348526	Amber
714158	370037	Zeke's girlfriend
714159	26747	Jenny Jakoby
714159	100914	Annie
714159	276613	Anna Foster
714159	325570	Isabelle Jung
714159	325951	
714159	340581	Jenny Jakoby
714159	352060	Claude Deradée
714160	108977	
714160	119023	La mère de Léon
714160	164152	Honorine Fluch
714160	375079	
714160	377064	
714161	106544	
714161	123800	
714161	147729	
714161	312380	
714162	284248	
714162	379001	Beatriz
714162	379252	
714162	379648	Rocío
714162	392986	Anita
714162	395880	Tere
714162	403782	Carmencita
714162	409919	Mirnita (1989-1995)
714163	346016	Model
714164	13568	
714164	20294	Jean Dixon
714164	32349	Muriel Gwynne
714164	46585	
714164	47867	Ruth Salisbury
714164	48608	
714164	61595	Mrs. Martin/Ruth, her daughte
714164	70267	Maude
714164	83636	Frisco Sally
714164	84488	Ann Tyson
714164	107430	
714164	117586	Fern Watkins
714164	126634	Elizabeth Spunk
714164	141327	Grace Martin
714164	143352	
714164	145800	The Girl He Loves
714164	146066	
714164	196875	Rose Dent
714164	198658	Rose
714164	204521	
714164	204789	Anna Houlahan
714164	207951	Grace
714164	209192	
714164	220568	Nell, his screen sweetheart
714164	221301	Louella Maxam
714164	254466	
714164	271110	
714164	285125	Mary
714164	289044	Nell Dodge
714164	312832	Edythe, the Girl from the Eas
714164	314926	
714164	323590	Ruth Bradley
714164	342814	Bessie Brown
714164	348455	Josephine Marsden
714164	351706	Henrietta Mitchell
714164	362972	Anne
714164	366852	Rose Butler
714165	61595	Ruth as a child
714165	96183	
714166	15036	Femme du docteur
714167	302160	La mère
714168	312341	Lisa
714169	205748	
714170	234913	Girl Scout
714171	226920	Nurse
714172	26442	Teenage Girl
714172	119466	June
714172	184561	Griselda
714172	222265	Beth
714172	223909	Salesgirl
714172	234994	Eva
714172	271342	Linette Purdy
714172	278526	Natalie
714172	279273	Van Dough's Secretary
714172	329522	Darlene Patterson
714172	330341	Jill Luce
714172	372343	Arlene
714172	385181	Valley Girl Voice in "Like To
714172	405963	Kimberly Sutter
714173	40742	Woman in Courtroom
714173	40743	Women In Courtroom
714173	252483	Woman in assassination scene
714174	37327	Geraldine Saunders
714174	56815	The Daughter
714174	59583	Herself - Band Singer
714174	337658	Classy
714175	215834	
714176	184959	Cherry
714177	229728	Coach Passenger
714178	273346	Council Worker
714179	104748	Irish entry (10th place)
714179	104756	Irish entry (5th place)
714179	286686	
714179	395759	Herself
714180	34611	Woman #2
714180	57064	Jeweler
714180	78013	Psychiatrist
714180	78084	Judge Ruth Taylor
714180	81230	Carbino
714180	87478	Judge
714180	87926	Shadow Woman
714180	93152	Judge Hoffs
714180	95792	Gage's Secretary
714180	102572	Ms. Nichols
714180	107929	Judge
714180	109629	Lawyer #5
714180	109877	Judge White
714180	113389	Hospital Administrator
714180	135608	Judge
714180	202399	Doctor
714180	203318	Judge #2 (Indian Trial)
714180	213152	Judge
714180	244838	Elizabeth Hall
714180	252841	Doctor in Hospital
714180	276413	Dr. Lyman
714180	298038	Judge #1
714180	301564	Mrs. Coe
714180	330195	Dr. Ryersbach
714180	356329	Claire
714180	362740	Judge
714181	384588	Host
714182	40300	Singvogel, clarinet & organ
714183	171258	
714184	105598	Gail
714184	214420	
714184	324331	Luiza
714184	334557	
714184	341379	Madame Hecht
714184	346673	Hostess Cybernet
714186	42643	Herself
714186	367977	Herself
714187	765	
714188	160550	Nadège
714189	256373	
714190	2880	
714190	6377	Madame Tremplin
714190	6378	La soeur du Marquis
714190	13118	
714190	20465	Le commandant de l'armée du s
714190	23636	Madame Cabin
714190	51954	
714190	55756	Machanalli
714190	57263	La vieille comédienne
714190	62827	
714190	65729	Justine Putet
714190	66715	Estelle
714190	67068	Mademoiselle Ménard
714190	69583	
714190	71824	
714190	78361	Madame Bleubois
714190	83266	Mademoiselle Thomasson
714190	87840	Princesse
714190	100170	
714190	111036	Mademoiselle Angèle
714190	112866	Neighbor
714190	148654	
714190	150733	Mlle. Lelongbec
714190	158808	
714190	190789	Mrs. Menoux
714190	199606	Mme Lecourtois
714190	201198	
714190	205523	Azelma Larouce
714190	206513	Tante Églantine
714190	211682	Tante Julie
714190	214794	
714190	218331	
714190	234138	Veta
714190	240427	
714190	248358	
714190	248829	Madame Bleubois
714190	255299	Madame Bertaud
714190	261806	
714190	262942	Une religieuse
714190	264436	Madame Appel
714190	302242	L'institutrice
714190	320011	
714190	325062	
714190	345166	
714190	345169	
714190	354242	
714190	357019	
714190	377010	
714190	377011	
714190	377279	
714190	377922	
714191	249341	Joleen
714192	43638	Symphorose
714192	189717	Caroline
714192	201115	Mme Grandgosier
714192	255641	Cherie Blue
714192	376931	Marilda
714193	292691	Idiot boy's mother
714194	8034	Stella
714194	32123	Marina
714194	180558	Ismini
714194	216115	
714194	392004	Elena
714195	158965	Surrogate
714196	104771	Dutch entry (7th place)
714196	128755	
714196	224336	Porn Actress
714196	228261	Herself
714196	228268	Intervalact
714196	289053	Katrina Voluptkov
714196	363414	Runway Model
714197	116515	Harem girl #7
714199	406489	Rain
714200	383742	Bette Midler (1999)
714201	127129	Girl on Beach
714202	170621	Waitress
714203	345850	Kelly
714203	393960	Meagan Huxley
714203	407916	Nita Wright (1980-1982)
714204	6775	Dysa
714205	46528	Tank's Mother
714206	101001	Penny
714207	10743	Alice's Sister
714207	97611	Nina
714207	137911	Ophelia
714207	146787	Mrs. Carter/Ma Kemp/Witch
714207	387533	Margaret Jennings
714208	216717	Whitney Barrett
714209	78141	Young Laura
714210	154887	Trish
714211	121229	
714212	29112	Pretty Young Teller
714213	402124	Second Lady Guest
714214	117674	Helen, Age 11
714214	192574	Young Georgina
714214	294509	Young Lauren Porter
714215	234226	Shakespearean Troupe
714216	176884	Locker room girl
714217	16614	
714218	39714	Elizabeth Smith
714218	61418	Man in leather
714218	124335	Squealing Girl
714219	66928	Denise
714219	122619	Sky Hightower
714219	140310	Havilland Savage
714219	202328	Fadhi
714219	285035	Erica Fontaine
714220	156030	Receptionist
714220	346140	Jo
714220	387210	Herself (2000-2001)
714220	401875	Herself (2004)
714221	41211	Party Guest
714221	120798	Valerie
714222	98922	
714223	322374	Herself (historian)
714224	308382	Tartar Girl
714224	367746	Model
714225	150575	Mrs. Tilford
714225	158237	Woman buying sheet music
714225	183543	Herself
714225	266689	Herself
714225	312774	Herself
714225	331938	Herself
714225	393211	Herself (1957-1958)
714225	408497	Herself (regular performer, 1
714226	168335	Mrs. Joey
714226	168336	Mrs. Joey
714226	168338	Mrs. Joey
714226	168339	Mrs. Joey
714226	168340	Mrs. Joey
714226	168341	Mrs. Joey
714226	168342	Mrs. Joey
714226	315107	
714226	324210	Liza
714227	365138	Old woman
714228	285183	Sadie
714228	286616	The Beautiful Girl
714229	308095	
714230	292150	Mentos Onlooker
714231	41772	Marion
714231	41809	Ellie Corbett (H.S. Tour Grou
714231	299972	The Girl
714231	323395	Sarah
714232	44335	Julliard
714233	242063	Scene #6
714233	284549	
714233	306245	
714233	331790	
714234	272230	Eva
714235	79841	Featured Zombie
714235	123019	Mourner who was giggly, but n
714235	154301	Reporter #3
714236	132912	Pedestrian
714236	199961	Michelle
714237	78795	Kira
714237	133412	Herself
714237	241064	Mojo
714237	275479	
714237	382052	DS/Acting DI Samantha Nixon (
714237	392676	Pamela Ketman (2001-2002)
714237	393597	(1988)
714237	395702	
714238	158082	
714239	107990	Guard #1
714240	6859	Woman at fashion show
714240	8180	Mrs. Hogarth
714240	8834	Amneris
714240	14956	Queen Christina
714240	33033	Herself
714240	34646	Herself
714240	37272	Karen Long
714240	43750	Miss Moneypenny
714240	67823	Gwen Sandley
714240	71099	Imogene
714240	73170	Jane Darrin
714240	78895	Ruth Collins
714240	81605	Miss McIntyre
714240	85871	Miss Moneypenny
714240	89833	Signorina Anna, teacher
714240	92573	Miss Moneypenny
714240	100957	Cora Walker Brown
714240	107108	Ethel Winter
714240	117314	Miss Moneypenny
714240	118442	Olivia
714240	120574	Miss Moneypenny
714240	130953	Miss Moneypenny
714240	133040	Lt. Lily Donald
714240	136843	
714240	139188	Helen Applewhite
714240	140192	Grace Markway
714240	144968	Stephanie Blake
714240	158006	Moneypenny
714240	160295	Herself
714240	161717	Atlanta Shore
714240	165265	Herself
714240	174927	Louise Maitlin
714240	176727	Jill Brook
714240	183705	Mary Smith
714240	186863	Erika
714240	192514	Miss Moneypenny
714240	193519	Nurse Mary Lore
714240	194708	English Woman
714240	203649	Miss Moneypenny
714240	204800	Thelma Speight/Tasman
714240	206597	Edie Carmichael
714240	208053	Actress
714240	218808	Miss Moneypenny
714240	221065	The director
714240	239302	Miss Maxwell
714240	240521	Miss Moneypenny
714240	251767	Mrs. Powell
714240	262959	Miss Moneypenny
714240	276168	Phyllis
714240	288508	Kim Hamilton
714240	291081	Margaret 'Peggy' Maybrick
714240	311738	Louise
714240	312170	Miss Moneypenny
714240	328188	Herself
714240	329437	Julia Kane
714240	332065	Miss Moneypenny
714240	333381	Vicky Harker
714240	347709	Helen Kennedy
714240	354178	Miss Moneypenny
714240	355787	
714240	367675	Enid Mansell
714240	367877	Chris Ralston, the New Mother
714240	372233	Miss Moneypenny
714240	379283	Nancy Williams
714240	395363	Herself
714240	406563	Lt. Atlanta Shore
714241	194605	Girl on Street
714242	131753	Maureen
714242	150422	Irene Warwick
714242	244352	
714243	223058	Queen in Swan Lake
714243	288947	Tart
714243	303382	Irate Mother
714243	401145	Second Pub Whore
714244	384878	
714245	220273	
714246	315720	Additional Voices
714247	20243	Molly
714247	47812	Herself
714247	58850	Grace Diamond
714247	73551	Ivy London
714247	92480	Ruth Edly
714247	94291	Miss February, Vargas Calenda
714247	96841	Lory Hale
714247	117682	Leading Lady, Jungle Film wit
714247	120540	Mabel
714247	144764	Diana Case
714247	147714	Herself
714247	175805	Sheila the 'Atom' Dancer
714247	187691	'Brainy' Baxter
714247	192622	Marge Owens
714247	194831	Hazel Moon
714247	223019	Musician
714247	230726	Cherry
714247	230902	Iris Palmer
714247	238589	Connie Curtis
714247	245516	Charlotte Maynard
714247	249039	Marion Parmalee
714247	254917	Herself
714247	255887	Party girl
714247	263117	Prissy, Chorus Girl
714247	270381	Robbie Lawrence
714247	280117	Carla Naples
714247	286343	Helen Bailey
714247	300124	Amy Fisher Piper
714247	312820	Leah Parker
714247	313058	Audrey Carr
714247	318715	Belle
714247	321495	Ginger Gray
714247	331205	Cameo appearance
714247	331494	Ruth Edley
714247	365510	Maude Webber
714247	382346	Herself
714247	383026	Grace Sherwood
714248	55987	
714248	119102	
714249	91523	Mother
714249	230316	Doctor
714249	324889	Young Diana
714249	330594	Del's Receptionist
714249	330999	Teacher
714250	32498	Receptionist
714251	230682	Jackie's Homegirls
714252	126759	Taneytown Girl
714252	162292	
714252	176415	Autograph Seeker
714252	186447	Tammi
714252	191755	Little Camper
714253	114921	Felice Carver
714253	236107	Helen Henderson
714253	305094	
714253	401026	Mrs. Roberts
714253	406667	Elizabeth Marshall
714254	245882	Jane
714255	207440	Group Dancer
714256	41270	Tracey Ryan
714257	22931	Doe
714257	59126	Eva Lingstrom
714257	80508	Lucille Poncelet
714257	107727	Joan Alterman
714257	117707	
714257	121520	Sarah Archer
714257	132475	Judge
714257	133489	Eve
714257	177693	
714257	185424	Mrs. Wheeler
714257	190096	Carla Jennings
714257	216184	Judge Friel
714257	244412	
714257	244927	Mrs. Webb
714257	254645	Judge Tate
714257	260362	Nana Oyl
714257	261564	Irene March
714257	266590	Tracy Venable
714257	277638	Barbara Peterfreund
714257	289494	Mora
714257	310572	Diane Silverman
714257	336714	
714257	359958	Dr. Winfrey
714257	360465	Lydia
714257	362323	Claire
714257	362860	
714257	364863	
714257	379500	Jean
714257	380391	Barbara Weaver #1 (1974)
714257	380855	Lois (Death by Landscape)
714257	381655	Deborah Read Franklin
714257	393922	Host (1957-1958)
714257	393957	
714257	395490	Mercy Otis Warren
714257	398313	Lavinia Mannon
714257	408529	
714258	267106	
714259	98167	Linda
714259	224710	Darcy Killigrew
714259	246861	Pajama Girl
714259	372729	Alicia
714260	149769	Aunt Jan
714260	385299	Sister Catherine
714261	37691	Press in Hospital
714262	233577	Police Widow
714262	374617	Mother
714263	50370	
714264	75028	
714264	123812	
714265	400342	Miembro del Jurado
714266	288243	
714267	77684	Claudette
714267	77846	
714267	218330	Annette, Annabella's maid
714267	297259	Countess Loamshire
714268	56996	Demeter
714268	144406	Demeter (segment "Cats")
714269	1265	
714269	1280	
714269	75028	
714269	75195	
714269	100045	
714269	372457	
714270	38987	Martha Marcus
714270	75513	Mother Sanford
714270	112210	Jane Mather
714270	129370	Mrs. Finley
714270	215780	Mrs. Regan
714270	220038	Mrs. Bradley
714270	223959	Mrs. Ryder
714270	270938	Angelina Jedson
714270	364812	Mrs. Tatum
714271	104765	Dutch entry (15th place)
714271	228257	Herself
714272	79973	English Woman
714273	322837	Additional Voices
714274	23361	
714274	73266	
714274	125758	
714274	221563	
714274	225041	
714274	353606	
714275	40097	Valery
714275	67585	Ruth
714275	269630	Bess
714276	13256	His Sweetheart
714276	78103	Prudence Lane
714276	116376	Carol Gardner
714276	137473	Doll Pardeau
714276	193562	Lida
714276	206350	Barbara Rand
714276	237629	
714276	245642	
714276	249018	Ninon Robinet
714276	251408	Virginia Rand
714276	332115	Carmelita
714276	352406	His Wife
714276	358485	Helen Horndyke
714276	362387	Mary Conway
714277	220487	
714278	43931	Faye
714279	6269	Camille
714280	4638	
714281	26846	
714282	252363	
714283	102418	
714283	147739	Bunny
714285	14693	Mujer 1
714285	16227	Ilona
714285	49299	
714285	77133	Teresa
714285	103163	Pilar
714285	115958	Mother
714285	142048	Biggi
714285	172524	Gaby Frey
714285	189613	Simone
714285	225157	
714285	244676	Frauke
714285	397811	Freda Stolz
714286	16093	Irene Hunt
714286	231266	
714287	14135	
714287	47311	
714287	56215	Telephone Operator
714287	78085	Student Nurse
714287	96849	Amy Van Norman
714287	114925	Jeanette Duval
714287	123379	
714287	142843	
714287	148336	
714287	232012	Nurse Bryan
714287	303303	Operator
714287	307879	
714287	327759	
714287	331680	
714287	340737	
714287	348477	
714287	364453	Bit Part
714288	76617	Mother Superior
714288	114314	Mrs. Mercer
714288	163565	Mrs. Bracken
714288	283551	Stephanie
714288	296974	Chairwoman
714288	306421	Mrs. Lincoln
714288	366974	Mrs. Yoder
714289	213778	
714289	338340	
714291	97087	Ellen
714291	115398	Eva Björck
714291	120961	Julia 'Jullan' Anderson
714292	334750	
714293	46877	Mrs. Darcy, Mark's Mum
714293	47191	Miss Diamond
714293	53310	Consultant
714293	79703	Celia Brabazon
714293	84916	Mrs Taploe
714293	116547	Peter's mother
714293	116738	
714293	118026	
714293	124594	Miss Hillyard
714293	127303	Barbara Taploe/Margaret Wyndh
714293	194513	Miss Hillyard
714293	204473	Aunt Gracie
714293	248116	Radiographer
714293	399486	Miranda (The Lady Captain)
714293	401778	Mrs. Lucas
714293	410792	Alicia Thunderblast
714293	411794	Miss Milton
714294	291903	Kids from Bear Valley
714295	330604	Mrs. Philip Mason
714296	347018	Jeanette
714298	14669	
714298	30152	Jackie Petit-Durand
714298	104229	
714298	135330	Aline Sorbier
714298	155970	Monique
714298	207416	
714298	227671	Josette
714298	238296	
714298	250836	
714298	258110	
714298	263017	
714298	263988	
714298	269501	
714298	280531	Nina
714298	308304	Lucie Vilardi
714298	332923	
714298	334789	
714298	335222	
714298	343551	Mme. Montet
714298	345463	
714298	346692	Madeleine
714299	58755	Mémé
714300	271198	Priestess
714301	71598	Herself
714301	71599	Herself
714301	71601	Herself
714301	104777	German entry (21th place)
714303	155054	
714304	27912	
714304	85714	
714304	137612	Comtesse de Cherneh
714304	345546	Miss Stewart
714305	98758	
714306	7848	Karen
714306	51984	Mrs. Charles
714306	52440	Ethel Ross
714306	96625	
714306	158320	
714306	168645	Mrs. Walker
714306	176410	Gov. Jane Camp
714306	217490	Gunilla
714306	236873	Gloria Walsh
714306	237493	Mrs Bergson
714306	244372	Kate
714306	270914	Mary Beth Warner
714306	296227	Rita
714306	324235	A Widow
714306	335333	
714306	358867	Sybil Carruthers
714306	361164	Margaret Oxley
714306	367512	Hostess
714306	387728	Mary Cain (1996-1997)
714306	389416	Ann Hedges
714306	390771	Dr. Renee DuBois (1979-1980)/
714306	401851	Yvonne Brickhouse (1987)
714306	406319	Terri Valere (1985-1986)
714307	203297	Jude
714307	342863	Chris, Kelly's mother
714309	49389	Girl in Bar
714309	62779	Girl at Work
714309	65370	Party Hostess
714309	81317	Nurse #1
714309	206098	Sexy Blonde
714309	382838	Samantha Partridge (1984)
714310	37252	
714311	1829	Peggy Dodge
714311	45403	Jackie Cameron
714311	47776	Sophia Farrell
714311	68476	Stephanie
714311	69275	Noretta Connelly
714311	80881	Helen Shields - in play
714311	97443	Betty Baylock
714311	107591	Tom's sister
714311	116752	Margie Carr
714311	116760	Georgia Wayne
714311	124690	Fanchon Browne
714311	128160	Anita Graham
714311	134033	Margery Gibson
714311	135917	Nellie Camp
714311	140551	Betty Martin
714311	145709	Ruth Endicott
714311	146097	Mabel Glenny
714311	164990	Alice Whitney
714311	186334	Therese Le Noir
714311	188309	Evelyn Langdon
714311	206902	Mary Jane Smith
714311	251642	Letty (Henry's sister)
714311	257783	Moya Shannon
714311	281385	Alicia
714311	292838	Film clips-stock footage
714311	326385	Bonnie Day
714311	346323	Mary Neil
714311	348242	Barbara Jackson
714311	362567	Beatrice Ridley
714312	19035	Lehrerin
714312	325717	
714312	377373	Ursula
714313	20625	Extra
714314	101991	
714314	151404	Mary McDougall
714315	130149	
714316	30071	
714316	117810	Helen, One of the Children
714316	286379	Joan Crawford
714317	26587	A woman.
714317	52361	Visitors from Philadelphia - 
714317	101692	Angela Marlowe
714317	133819	Herself
714317	158445	Marianne Flan
714317	197918	Ellen Manville
714317	230696	Henrietta Lowell
714317	231441	Herself
714317	305390	May Sloan
714317	362329	Herself
714317	387120	
714317	388656	Herself (in Nichols & May ske
714317	394278	Herself/panelist, 1958-1959
714317	395242	Herself/panelist
714317	407940	Herself
714318	22618	Mrs. Beazley
714319	61697	Mary's Mother
714319	283607	Maggie's Neighbor
714319	396744	Moira
714319	404409	Evicted Woman
714320	94878	Your Gracie
714320	218721	
714321	12517	Kaethi
714321	115197	
714321	132544	
714321	132545	
714321	144086	
714321	187400	
714321	187401	
714321	246490	Giulietta
714321	289952	
714321	317268	
714321	352286	
714322	190409	
714323	17542	
714323	86439	
714323	96066	
714323	315830	
714323	377661	
714324	90720	
714325	165631	
714325	229285	
714326	131341	
714327	57342	
714328	7454	La nurse
714329	289484	Rolf's Sister
714329	318458	Lucinda
714329	396616	Samantha Chapman (1998-99)
714330	12577	Frieda Walkowiak
714330	33156	Arbeiterfrau
714330	55104	Edith Jacobsohn
714330	74396	
714330	101957	
714330	113051	
714330	115348	
714330	119161	Jenny Treibel
714330	129489	
714330	137647	Maika
714330	150656	
714330	186874	
714330	188802	Anna Rosier
714330	285380	
714330	290463	
714330	290823	
714330	308239	Lotte
714330	312687	Untermieterin Fräulein Renate
714330	333109	
714330	338937	Erika
714330	352189	Adele Fuchs
714330	379234	Rosa Müller-Graf-Kleditsch
714330	397954	Diana
714330	409990	
714331	131006	Lady with reverend
714331	348008	Herself
714332	89311	Girl
714333	396793	
714334	301775	Janet Rigsby
714335	347026	
714335	347128	Goldie
714336	230693	French Waitress
714337	126548	Steven's Mother
714337	224381	Topsy Turvey
714337	226895	Interrogator/P.A.
714337	383461	SN Julie Novac (1994-1996)
714337	385280	Rose Hall
714337	385646	Liz Moss, bereavement counsel
714337	387247	Rachel Kominski (1991-1993)
714337	389167	Linda Clancy
714337	391872	Mary Moore
714339	42988	Vocalist
714339	73887	Annie
714339	161048	News Anchor
714339	248095	Jean
714339	397695	Additional Voices
714340	112016	
714341	352961	Dance contest judge/rizzo
714342	75030	
714342	91760	
714342	100045	
714342	252706	
714342	264734	Herself
714342	336666	
714343	107290	Juicee
714343	252963	ETS Woman
714345	40760	Rachel Black
714345	50976	Nina
714345	87696	Mo
714345	99931	Ewa
714345	103370	Christine
714345	117192	Rose Kellner
714345	123326	Anna Snitkina
714345	150974	Grace Julia Stepney
714345	185492	Alice Munro
714345	208301	Miriam Weiss
714345	208694	Elizabeth Jane
714345	240409	Angela
714345	244332	Anne Boleyn
714345	282425	Bicycle Courier
714345	289603	Pearl
714345	292121	Alice
714345	301392	Claire Palmore
714345	303239	Lea
714345	333679	Florence Banner
714345	341947	Miss
714345	359553	Emma
714345	368136	Marty South
714345	368374	Molly Roth
714345	380610	Sarah
714345	385659	Mirah Lapidoth
714345	390051	Sonia Parsons
714346	12852	
714347	62961	Mary Austin
714348	56967	Inmate at Cumbermere Lodge
714348	65200	Miss Lyons
714348	67801	Mrs. Dixon
714348	68217	Wendy
714348	68492	Mrs. West
714348	108314	
714348	150239	First Charwoman
714348	180787	Midwife
714348	232872	Singing prole woman
714348	260206	Woman in Sheppey
714348	290346	Ethel
714348	348379	Prison Visitor
714348	368284	Mrs. Dorrick
714348	388320	Mary Simpson
714348	392019	Ada Handcock
714348	410051	Mrs. Partridge
714348	411090	Fran
714349	162272	Anita
714351	11081	
714351	308386	
714352	366743	Townsperson
714353	11767	
714353	347112	Mrs. Wilson
714354	50984	Ingrid
714355	17676	Fendi
714355	348234	Fina
714357	370239	
714358	15944	Pigeon
714358	86458	Wendy
714358	108694	Sandy
714358	147127	Vickey Hobson
714358	150836	Judith
714358	158053	
714358	175582	Denise
714358	192764	Lisa
714358	219819	Ann Rosato
714358	265775	Sue
714358	302944	Marie
714358	309563	Doctor in Clinic
714358	317292	
714358	318797	Annabel Andrews
714358	362689	Sharon
714359	1598	Luisa Solmi
714359	5098	
714359	19447	
714359	63838	Gloriana
714359	86730	
714359	130952	
714359	243305	
714359	339805	
714360	333667	
714362	10902	Denise Justice
714362	178189	Extra
714363	195518	Vicki
714364	32782	Betty Archer
714364	53031	Irene Chandler
714364	65044	Queen Engenie
714364	134099	Edna
714364	141287	Mrs. Stone
714364	149187	Dolly
714364	197700	
714365	58755	Meme
714365	141018	Mrs. Gill
714365	340583	Miss Bagley
714365	389146	Mabel Twocurry
714366	246697	Sheila Kay
714366	253941	
714367	2685	
714367	6474	
714367	19386	
714367	28950	
714367	33518	
714367	45762	
714367	48805	
714367	49890	Mink
714367	51599	
714367	53697	
714367	55007	
714367	55090	
714367	56022	
714367	61866	(segment "Compadres, Los")
714367	74817	
714367	100313	
714367	101899	
714367	103497	
714367	113240	
714367	169775	
714367	186212	
714367	190997	
714367	197633	
714367	202032	
714367	223620	Lyn May
714367	229801	
714367	234420	
714367	249788	
714367	253057	
714367	253292	
714367	253293	
714367	253316	
714367	260930	
714367	272632	
714367	286989	
714367	296146	
714367	341080	
714367	343623	Eva Candela
714367	350138	
714367	355781	
714367	411712	La china
714369	217223	
714369	275634	
714369	356974	Marie-Thérèse
714371	334611	Photo Model
714372	226173	Frau Pott
714373	192188	Virginia Randolph
714374	18320	
714375	144913	
714375	255654	Ellen
714375	309197	Dana
714375	349231	Katie Maxwell
714375	409744	Katie Maxwell
714376	34968	Silent Movie Vamp
714377	285034	Estelle
714378	25221	
714378	51628	Soledad
714378	54773	
714378	65015	
714378	68698	Carmen Ballester
714378	74140	Condesa
714378	97376	
714378	115045	Herself
714378	121264	
714378	124556	Alma Burton
714378	125391	Betty
714378	149729	
714378	211991	
714378	212069	
714378	221889	
714378	250394	
714378	255511	Juana
714378	255548	
714378	263068	
714378	263837	
714378	267067	
714378	276303	
714378	284334	
714378	288142	
714378	329152	Elena, Jess' Mexican Girl
714378	345570	
714378	353290	
714379	117940	
714380	15894	
714381	296736	Randi
714382	32409	Sidonie Gabrielle Colette
714382	58153	Katharina
714382	73077	Juliette
714382	80335	Julie
714382	101938	Alix
714382	111370	Sandrine Jaussier
714382	134605	Mathilda May
714382	162614	Isabelle Eberhardt
714382	164547	Isabella
714382	188636	Agnès
714382	190330	Space Girl
714382	195569	Anne-Charlotte
714382	198187	Nelly Azera
714382	227015	Alba/Stephanie
714382	229753	Alice
714382	234271	Sandra
714382	242038	Silvia Rinaldi
714382	253200	Contessa Eleonora
714382	264913	Melissa Banks
714382	280561	Alexandra
714382	309112	Shams
714382	328929	Estrellita
714382	337035	Jeanne Gardella
714382	340188	Marion
714382	347194	Herself
714382	353864	Pauline
714382	356509	Suzanne Henson
714382	363612	Betsy
714382	388160	Hélène Pessayre
714382	391479	Edmee
714382	403089	Military woman (segment "Dévi
714382	404588	Claudia Bandini
714382	404686	Myriam
714382	406052	
714383	91963	
714384	368244	Ensemble member
714385	274361	Oyabun's guard
714386	319932	
714387	103304	Woman getting out of car
714388	135967	News Reporter
714388	230663	Cheerleader
714388	231137	Ariel
714388	298966	Jan, Additional Voices
714388	335160	Annie
714389	59558	Amerikanerin
714389	126430	
714389	144086	Maud Gregaards
714389	144087	Maud Gregaards
714389	144088	Maud Gregaards
714389	144089	Maud Gregaards
714389	144090	Maud Gregaards
714389	144091	Maud Gregaards-Fergusson/Pipp
714389	144092	Maud Gregaards-Fergusson
714389	144093	Maud Gregaards-Fergusson
714389	144100	Herself
714389	145330	Hilde Warren
714389	157619	
714389	157623	
714389	159253	Irene Amundsen, Rowland's Fia
714389	159254	Irene Amundsen, Herbert's Fia
714389	187559	
714389	189565	
714389	189737	
714389	290486	
714389	293537	
714389	317268	
714389	322510	
714389	337552	Manon Moreau
714389	352286	
714389	358998	
714390	14200	
714390	23884	Elfriede Helmholtz
714390	93243	Frau Meyer Boden
714390	107950	Astrid
714390	107971	Monika
714390	108661	Asteria
714390	115988	Carola
714390	116310	
714390	136225	Josefa
714390	141954	Klara Sesemann
714390	145613	
714390	147172	Johanna
714390	178732	
714390	179760	Comtesse Annette
714390	189664	Rita Klein
714390	196441	Lavinia Thurnau
714390	211489	Hilde
714390	225248	Frau Wenheimer
714390	225252	Frau Wenheimer
714390	225293	Margret Starke
714390	229884	
714390	241979	Little Eva
714390	252540	
714390	259525	Kriminal-Hauptkommissarin Jo 
714390	259556	Jo Obermeier
714390	259561	Jo Obermaier
714390	259626	Jo Obermaier
714390	259646	Kriminalhauptkommissarin Jo O
714390	259652	Jo Obermaier
714390	259668	Kriminalhauptkommissarin Jo O
714390	259672	Kriminal-Hauptkommissarin Jo 
714390	281749	Anne
714390	284558	Tamara
714390	285379	
714390	286208	Heidi
714390	325577	Birgit
714390	325612	Irmi
714390	325689	Anna
714390	333661	Vera
714390	334630	Alice Davis
714390	338430	Hella Berger
714390	360848	
714390	364867	Andrea
714390	364907	Nelly
714390	368741	Vera Rabe
714390	376134	Steffi
714390	381679	Alexandra von Brauneck
714390	384887	Pétra
714390	389119	Jutta Marquardt (1989-1990)
714390	390993	Bettina
714390	392997	Marlene Weininger
714390	394116	Petra Beckmann
714390	394480	
714390	394536	Königin Katherina Patricia vo
714390	397370	Charlottes Mutter
714390	398863	Susi
714390	399161	Vivian Schubert (1992)
714390	404426	
714390	408388	
714390	409612	Dr. Ursula Steiner
714390	411109	
714390	411929	
714390	412088	Radl-Anne
714392	71913	Baby
714392	309494	Her Child
714393	24851	Dame Claude - Harpagon's hous
714394	66196	Herself/Costume Designer
714394	203271	Herself
714395	87586	Disco Dance Skater
714396	334237	Stacy
714397	30071	
714398	228748	Miss Harrison
714399	248706	Shell
714399	296849	Heather Traven
714399	358276	Gloria
714400	211844	Child
714401	30368	Alluna
714401	35727	Housekeeper
714401	47301	Indin Squaw
714401	54561	Cut Finger's Wife
714401	112307	Indian Girl
714401	112557	
714401	128371	Wowkle
714401	184486	The Squaw
714401	253149	Neewah
714401	273792	Winona
714401	274414	Molly
714401	301967	Snowbird
714402	213577	Presumed Chorister
714403	15032	
714404	129988	Pierrette
714404	224330	Prostitute
714404	293198	Harriet
714404	330380	Job Centre Clerk
714404	406267	Sandra Mullaney
714404	408053	Diane Simpson
714405	183229	The Two Swans
714405	190894	Ann Chute
714406	88207	
714406	133818	Goodbody girl
714406	367073	Child Munchkin
714407	150935	Barbara Pretlow
714409	108617	Rick's mother
714409	123440	Mary
714409	194318	Receptionist
714409	297711	Mrs. Trent
714409	331226	Mrs. Kemp
714409	362996	Mabel
714409	382266	Pat Beresford
714409	384097	Mags (1989-)
714409	387225	Jean
714409	388486	Joan Kirk
714410	384972	Esperança
714411	134382	
714411	163288	Bus passenger
714412	175816	Sorority Girl
714413	194990	
714414	102018	Oman
714414	272480	Oman
714414	272481	Oman
714415	289059	Sarah
714416	59568	
714417	266166	Ming Ju Lee
714418	154854	Sierra, the One on One Girl
714419	28970	
714419	56501	
714420	25579	
714420	38468	
714420	63799	
714420	95550	
714420	308312	
714420	322447	
714420	336418	
714421	374425	Child on School Bus
714422	79279	Angry Mother
714423	54822	
714424	206831	Cat
714425	59568	Lydia
714426	11143	Neve Murdock
714427	153104	Susi
714428	11373	Teresa
714428	54750	Wet Car Wash Girl
714428	63021	
714428	89069	Teresa
714428	89077	
714428	89078	
714428	98895	Air Hostess
714428	105034	Vanessa, 2047 Pin-Up
714428	112129	Teresa
714428	113686	
714428	149669	Housewife #2
714428	170281	Teresa
714428	184335	Teresa
714428	186763	
714428	188098	Nurse
714428	189459	
714428	200855	Maid/Slave
714428	209130	
714428	236325	Teresa
714428	241497	Mandy
714428	257609	
714428	280029	Rock Bitch/Disco Babe/Cleaner
714428	295817	
714428	296995	Madforit--Co-presenter
714428	306606	
714428	318093	
714428	328198	Teresa
714428	330062	Nurse Theresa
714428	330063	Theresa
714428	335830	Teresa
714428	336863	Herself
714428	364097	
714429	318776	Volleyball Girl
714430	123435	Restaurant Cashier
714430	144684	Belinda Yost
714430	289059	Girlfriend
714430	297777	Innocence
714431	87062	
714432	250622	Sculptress
714433	363952	Janice Holbrook
714434	218383	Monster Mash (end credits ver
714435	331830	
714436	110180	Nancy
714437	4244	
714437	4858	
714437	51293	Stripper
714437	54566	
714437	152497	Bina
714437	164843	
714437	169944	Trish
714437	195241	Madame Bontemps
714437	327564	Une Asiatique
714437	389591	Vidente
714438	114873	(segment "Bulerias")
714439	27852	
714440	396084	Elizabeth (1970)
714441	380122	Miss Bolivia
714441	400667	Catalina (2001)
714442	125102	Singer
714443	103086	
714443	242838	
714444	67363	
714444	71125	Jeny
714444	80115	
714444	104165	Viecita
714444	296432	
714444	378444	
714445	273139	
714445	344596	La contessina
714446	129122	Sakie Kataoka
714446	130268	Okin
714446	217071	
714446	244553	
714446	299116	
714447	170097	Skydiver
714448	383441	Nádia
714448	384137	Lili
714448	391580	Zora
714448	398549	Moatira
714448	402685	Maria Lélia
714448	404165	Kelly Bola
714448	404834	Regininha Ferreira
714449	93107	Herself
714449	163846	Anna
714449	223300	Kyoko Morisawa
714449	379483	
714450	332216	Same
714451	14693	Mama de nina
714452	148472	
714453	53062	Private Sanchez
714453	339349	
714454	70869	Anna
714455	130534	
714455	140490	Fumiko
714455	329458	Dominique Kuan
714455	358561	Waitress
714455	359338	Asian girl
714455	391498	Kyoko Mitsui
714456	82871	Kinuko
714456	130555	
714456	169217	Shinobu
714456	173713	
714456	173945	Dancer
714456	177791	Pan Chin Lien
714456	180621	Osen (whore)
714456	207117	
714456	211893	Taeko Nakagawa
714456	214720	Kyoko
714456	228377	Fusako
714456	242839	Herself
714456	243917	Kikuko, Yoshikawa's ex lover
714457	51137	Madame de Saint-Savin
714459	398217	
714460	163747	
714460	383448	Mirna
714460	406295	Tania
714461	137620	
714462	222574	Lena
714463	25995	
714464	251985	
714465	2	Helga
714465	11783	
714465	25504	Paulette
714465	42170	Tante Lilofee
714465	98252	
714465	103137	
714465	103977	Josette
714465	108551	
714465	110114	Hedwig
714465	111768	Jasmine
714465	119254	Schütze Sabine
714465	120032	Tilly
714465	129691	Sylvia
714465	134911	Steffi
714465	136057	
714465	140231	
714465	142022	Beate
714465	142055	
714465	149486	
714465	155376	Rita, Studentin
714465	181917	
714465	182901	
714465	183263	Diana
714465	204468	
714465	206314	The blonde
714465	223210	Helga
714465	225171	
714465	226408	Stella, alias Lilly
714465	275416	
714465	288498	
714465	290801	Gilda
714465	293416	
714465	311082	Frau Holle
714465	311461	Miss Florence
714465	314300	
714465	315768	Verlegerin
714465	317430	Polly Nichols
714465	326050	Pretty Blonde
714465	335813	
714465	343495	Simone Duval
714465	351945	
714465	361305	Lady at the bar
714465	361394	Lilly
714465	376273	Bardame Cora
714465	381689	Frau in der Absteige
714465	389959	(2. Staffel)
714465	390812	Isabelle Bornat (1992)
714465	399734	
714465	403666	
714465	409625	Margot Weigel (1994-)
714466	302014	Lucy
714467	232308	Florist
714468	77759	Fiona
714469	223330	Jody
714470	166064	Herself
714471	30856	
714471	40398	Nelitze
714471	92441	Maja, malaisische Studentin
714471	98043	Anita
714471	141947	Martha Detleffsen
714471	145603	Kathrin
714471	155385	Silvia Roscol
714471	156984	'Kätzchen' Beryl
714471	165347	Elsbe Himp
714471	170667	
714471	174780	Ilona Berg
714471	199382	
714471	204439	Vera Valentin
714471	204563	Felicia
714471	281959	Christine Rohrbach
714471	290063	Ann Grete
714471	290788	Kat Dramberger
714471	301217	Brunilde
714471	322564	
714471	329898	
714471	334607	Manuela
714471	348060	Perrins Tochter
714471	355729	Micheline
714471	365611	
714471	366588	
714471	374146	
714472	208054	
714472	276941	
714472	372730	Girl Backpacker
714473	16644	Astral
714474	147410	Sanitarium Receptionist
714475	277845	Belle
714476	68697	Stepmother
714476	190242	Maddie
714476	252259	Cathy Hileman
714476	302468	Chelsea Trotman
714476	324395	JC
714477	30071	
714477	31665	
714477	34700	
714477	49217	
714477	54457	Ruth
714477	56821	
714477	67148	Bit Role
714477	72748	Bathing Beauty
714477	76467	
714477	76564	
714477	89186	Jean Lawson
714477	130149	
714477	130613	
714477	141014	Mary Benson
714477	168916	
714477	186330	
714477	186379	Margery Neame
714477	190586	Betty
714477	204171	Alice Duncan
714477	276382	Susan
714477	305623	
714477	305631	Bathing Beauty
714477	305632	
714477	305633	
714477	329137	
714478	365642	Kay (5 years)
714479	253092	Hiker
714479	326083	Interviewer
714480	343010	Girl in TV truck
714480	353525	Captain Abi
714481	35419	
714481	194466	
714481	279052	
714482	269077	
714483	44833	Dancer
714484	301048	Gertrud
714485	304356	Kianna
714486	243620	
714486	277096	Sam Spade and the Private Eye
714486	402743	Doreen
714487	171619	
714488	113883	Sam's Girlfriend
714489	91789	Penelope
714489	223058	Sasha Tchaikovsky
714489	305094	
714490	98850	Muffy
714490	98851	Sidney
714490	98866	Babs
714490	98867	Screaming girl in door
714490	98868	Lina
714490	98874	Coed in window
714490	98876	Olive
714490	98878	Ellen Gardner
714490	98883	Morgan's girl
714490	119834	
714490	185886	
714490	188048	
714490	218115	
714490	238945	
714490	242071	
714490	313233	
714491	86968	Herself - Actress, May Warden
714492	237316	
714493	141228	June Jackson
714493	322765	Kate Bowers
714493	361650	Irene Osbrne
714494	10573	
714494	232864	Jaane Leneau
714494	342943	Kate Watson
714495	3225	Herself
714496	15123	
714496	284146	Jackie, nièce de Christine
714497	119136	Suse
714497	121037	
714497	129680	
714497	136902	
714497	150630	Dancer
714497	171664	
714497	188833	
714497	189754	
714497	189771	
714497	275684	
714497	302678	
714497	311097	
714497	324681	
714498	237899	Victima #3
714499	57064	Housekeeper
714500	19388	
714500	91304	
714500	191203	
714500	235980	
714501	38005	Other Ways Demolition Squad s
714502	79408	Reporter
714502	80602	Patricia Pollard
714502	164840	Page Forrester
714502	185270	
714502	198882	Witch
714502	211815	Esther Beecham
714502	266103	Adrienne
714502	310624	
714502	311136	Hilda
714502	389103	Susan
714502	404282	Dr. Diane Bentley (1988-1989)
714502	408650	Sister Bernardette (1989-1990
714503	233743	
714504	404869	Felícitas
714505	182233	Ms. X
714506	70227	Carleen Dorsett
714507	225248	Friseurin
714507	225252	Friseurin
714507	389359	Elisabeth (1993)
714507	401355	Anne (1. season)
714507	408704	 (episode 4: The Criminal)
714508	356562	Hermi
714509	83749	
714510	277839	
714511	269372	Terry
714512	176706	
714512	314515	
714513	118996	
714514	41182	Moira Yulin
714514	142347	Paige Turner
714514	212982	Dr. Krackle
714514	264428	Michele
714514	310656	Ella Mae
714514	314984	Ellen Delaney
714514	356786	Mrs. Bouvier
714515	18532	
714515	167264	Sarah Line
714515	325397	Gianna Jucker
714515	384444	Kriminalhauptkommissarin Isab
714516	123275	
714516	187489	
714516	206552	
714516	233578	
714516	351994	
714517	212684	Susanne Riemerschmid
714517	227779	Fini
714518	178975	V-Six Model/Cheerleader
714519	294895	
714520	263620	Cécile
714521	6170	Joy
714522	312996	Irene
714523	152791	Klaudia's mother
714523	199587	
714524	143514	Resl
714525	119145	Pechmarie
714526	168099	
714527	328258	Interviewer
714528	357936	
714529	247001	
714530	162784	
714531	46327	Commando #2
714532	30734	Reese
714533	63573	
714533	155177	(segment "Roy, o Gargalhador 
714533	241194	
714533	287484	
714533	308754	
714533	380387	Marta
714533	383294	Hortência
714533	384303	
714533	384872	Rosa
714533	384993	
714533	385629	Esther
714533	387201	
714533	387654	Sílvia
714533	388562	
714533	390658	Olímpia
714533	393792	
714533	396036	
714533	396847	Florinda
714533	396886	Felícia
714533	400094	Alzira
714533	402263	
714533	403258	
714533	409780	Pequenina
714533	409975	
714534	68609	Natália
714535	206305	Child
714536	19549	
714536	157905	
714537	115794	
714538	129324	
714539	112755	
714539	126166	Fernanda
714539	236293	
714540	46363	Dancer #2
714541	104230	
714542	58460	
714542	131075	
714542	138020	
714542	277577	
714542	353630	
714543	296081	Clarisse
714545	21077	
714545	68979	
714545	71123	
714545	75383	
714545	80340	Nora Trejo
714545	85973	
714545	171465	
714545	212358	
714545	222015	
714545	222031	
714545	229434	
714545	234002	
714545	248067	
714545	248867	Laura Espinosa
714545	253368	
714545	275275	
714545	300679	Nora
714545	396898	Rosario
714546	16657	Personal Digital Assistant
714547	15988	
714548	185650	Tracy
714549	234919	Herself
714550	14638	
714550	222042	
714550	395060	
714551	9651	Pepita
714551	69369	
714552	70347	Fish Girl
714553	26625	Marie Celeste
714553	353524	Jenny Banks
714554	260414	Dancer
714555	385614	Lettuce
714556	172858	
714557	125723	
714558	306119	Francoise
714559	75479	Woman with Champagne Glass
714560	323832	Linda (segment "Weekend in th
714561	320598	Gizella
714562	34354	
714563	51407	Isabell Frost
714563	119660	Lisa
714563	225654	
714563	307657	Andrea
714564	69232	Juror
714565	31638	Vera
714565	35500	Sybille
714565	42691	Bio-Lehrerin
714565	119680	
714565	119692	Andrea Voss
714565	160238	Governess
714565	163820	La prostituée
714565	201058	
714565	225295	
714565	244012	Maria, Leni's Sister
714565	254436	Simone Vess
714565	276097	Esther
714565	281732	
714565	377343	
714565	390812	Simone Sontheimer (1993)
714565	394920	Gaby Warburg
714565	396624	Eva Hansen
714565	396874	Carola Berger (2003)
714565	409613	Aerobiclehrerin
714566	139611	Belly Dancer
714567	377811	La baleine de parapluie
714568	5141	Elfie Mayerhofer
714568	17737	Anni Huber Singer
714568	79165	Elfie Mayerhofer
714568	119243	Kitty
714568	125333	Jeanette
714568	145488	Inge Gulden
714568	145508	Angelika, ein Engel auf Erden
714568	150630	Siddy Erlauer, singer
714568	153928	Marina Martin Singer
714568	178587	Christine Holm Singer
714568	182895	Tilly Eder
714568	184591	Mimi, Tänzerin
714568	189833	Fanny (Madame Butterfly)
714568	199365	Madame Pompadour
714568	204466	Christa Weiden
714568	210071	Teresa Dühren
714568	267338	Unfinished
714568	275117	La Reine des Valses
714568	352386	Gretl Viennese
714568	356860	Inge Blohm
714568	365007	Lilli Günther
714568	366514	Sylvia
714569	290691	Braut
714570	406503	Lilly Foster Lambert [#1] (19
714571	406503	Lilly Foster Lambert [#1] (19
714572	223487	Junge Hure/Young Hooker
714573	179711	Lady in the theatre
714573	305809	Zuzana
714573	310248	
714573	373755	Landlady
714573	375451	
714574	311791	Heidi
714574	349860	Young Kate
714574	400548	Young girl
714575	170810	Mai's mother
714576	379890	Rosa María
714576	397579	
714577	264131	Little Girl at Wedding
714578	51996	Background Vocalist
714579	389869	Crowd
714580	215905	Interviewee
714581	80533	Emmaline Strickland
714581	276736	Bunny
714582	110253	Yvette Rousseau
714583	50975	Doris MacAfee
714583	64813	Floyd Diner Waitress
714583	91800	Angry Rich Woman
714584	58164	Mrs O'Keefe
714585	313334	Bar Patron
714586	13309	Woman Clerk
714586	71910	Edna Walker
714586	94212	Thora
714586	94225	
714586	158903	Mrs. Nurmi
714586	168322	
714586	171159	Mrs. Brown
714586	249493	Aunt Margot
714586	321141	
714587	24886	Ange homme
714588	205622	Franchette
714589	24916	
714589	87498	Jeanne
714589	249275	Herself
714590	296334	Virginie
714591	40334	Holiday Inn Registration Cler
714591	54994	Hillary Swenson
714591	106025	Mom
714591	186433	Carla Parkette
714591	223871	Maria's Employer
714591	297990	
714591	345857	Woman #1
714591	407994	Mom (pilot only)
714592	232630	Skating Rink Extra
714593	300511	
714594	19344	
714594	23782	Gabrielle, dite Gaby
714594	207796	
714594	353886	
714595	328603	Woman Victim (segment "Come T
714597	118321	Herself
714597	248613	Toe-Dancer (Prologue)
714597	259321	Jeannie James
714597	300070	Herself
714597	333648	Mitzi Blake
714597	348832	
714598	265171	Kathryn Kyle
714599	166237	Agnes Maynard
714600	8999	Deb
714601	184578	
714601	190944	Flower Woman
714602	44844	Wife in Motel Room
714602	109622	Registrar
714602	265100	Harriet
714602	283628	Karen Korinsky
714602	340864	Foundry Lady
714602	389464	Kyoko Honda
714602	394392	Aunt
714602	397371	Additional Voices
714602	411355	Mavis
714602	411884	Shiori, Kurama's Mom, Additio
714603	115269	Sylvia Douglas
714603	345660	Liz Hugo
714604	282601	Herself
714606	302492	Stepmother
714607	117976	Mrs. Falconer
714607	151081	Agnes
714607	337082	Agnes Hallows
714608	351761	Alma
714609	4119	
714610	304339	Emm
714611	754	
714611	755	
714611	11621	
714611	30037	
714611	34833	
714611	34842	
714611	81925	
714611	93991	
714611	108647	
714611	144431	
714611	188035	
714611	224187	
714611	228001	
714611	228637	
714611	230644	
714611	236881	
714611	302251	
714611	357168	Herself
714612	344176	Lucienne
714614	269286	Mother
714615	140693	Undetermined Role
714615	335455	Mrs. Vickers
714616	271332	Student
714616	392697	Young Elizabeth Brontë
714617	271332	Robin
714617	390771	Marah Lewis #5 (1998-1999)
714617	402953	Host
714618	198298	Les enfants
714619	359732	The Maid
714620	11664	Debbie
714621	87706	Accident Victim
714622	189238	Secretary
714623	18521	
714623	40852	Stasi
714623	102453	
714623	124618	Rosina
714623	126370	
714623	135004	Frau Langer
714623	136225	Agnes
714623	137843	Marie
714623	144005	
714623	178551	Babsi
714623	271751	Rosi
714623	284993	
714623	325666	
714623	360929	Gabi
714623	366517	Magda
714623	377347	
714623	378554	Hex
714623	383181	Roswitha Haider
714623	392997	
714623	393717	
714623	397765	
714623	412088	Siglinde
714624	55090	
714624	250737	Schoolgirl
714624	355760	
714625	41518	Beach Woman #1
714625	112205	Stewardess
714625	153247	Kate
714626	316821	Arbejderkvinde
714627	265713	
714628	44749	Mei Ling
714628	52449	Kimona sales girl
714628	62082	Hazel Fong
714628	276874	Maeva's aunt
714628	302656	Ming Ling
714628	334340	Shu Pan Wu
714628	345026	Lila
714629	15124	
714630	405088	Prisoner
714631	80807	Communication Officer
714632	222766	Miss Valentine
714633	204257	Camping Girl
714634	211600	Chorus girl
714635	7484	Aphrodite
714635	97301	Freddie
714635	154022	
714635	262620	
714635	360877	Ginger Bennett
714636	11609	Jill
714636	244899	Usherette
714636	331123	
714636	367905	Maggie
714637	77670	
714637	87798	Lunch Room Girl
714637	131618	Queenie
714637	238732	
714637	245648	Phyllis Shelby, Johnny's Wife
714637	363556	
714638	123697	Newscaster
714639	109508	Various roles
714639	304804	Lily Kimble
714639	326596	Miss Paxman
714639	388474	Various Roles
714639	390362	Amanda Farrell
714639	396772	Susan Price
714639	411089	Young Policewoman
714640	60242	Elsie
714641	368600	Elderly woman
714642	138253	Herself (marketing director/c
714643	37884	Mrs. Henry
714643	386141	Beverley
714644	334154	Lawyer
714645	11193	Deborah Mount
714645	77857	Sari
714645	107550	Corrine Welch
714645	137487	Cherubic Woman
714645	364731	Bridesmaid
714645	365564	Mrs. Allonby
714645	390987	Mrs. Riddings
714645	399065	Beth (episode 1)
714645	401429	Receptionist
714645	403719	Freda
714645	405271	Julia Pardoe
714646	276776	Kay Grant
714646	329388	
714647	6868	Dana
714647	31693	Wanda
714647	69263	Lorrie Higbee
714647	106016	Betty Smith
714647	108015	Audrey
714647	117806	Claudia Feldhaus
714647	139698	Secretary
714647	140540	Jennifer Hawkins
714647	257530	Mrs. Kessler
714647	264581	Liz Lemish
714647	324020	
714647	346276	Madeline
714647	348851	Photographer's assistant
714647	359750	Peggy
714648	78390	Pétrolia Parenteau-Stanislavs
714648	383306	Martine
714648	385684	Pétrolia Parenteau-Stanislavs
714648	398833	Various
714649	330377	Cath's Secretary
714650	390951	
714651	166046	Fiona Grittleton
714651	232278	Gail
714651	370874	Nurse
714651	385299	Claire Thomas
714651	387533	Jill Turner (1984)
714651	387785	Miss. Chesterfield
714651	389859	Dr. Joanna Whitworth
714651	395177	Cora Munro
714651	400402	Chantry's secretary
714651	408090	Paula
714651	411300	Beth Radley (1974-76)
714652	232093	Bag lady
714652	366761	Mrs. Biddle's friend
714653	168735	Lotte the Pollster
714654	10832	Thelma
714654	12471	Viola
714654	13611	
714654	65370	Sally
714654	81168	Girl at mansion #2
714654	90362	Kate
714654	109610	Traci
714654	181262	Velta
714654	183235	TV Reporter
714654	231113	Boutique Assistant
714654	232394	Christine
714654	277947	Lavina Greenslade
714654	281730	Melissa Ryan
714654	290688	Lore Petri
714654	312104	
714654	316293	
714654	332834	Elsy
714654	334112	Jill
714654	396670	Deidra, girl on steps
714654	411557	
714655	101272	Herself
714655	101273	Herself
714656	97663	Emily Hackitt
714657	164572	Girl at Security Gate
714657	379831	Lisa Bartholomew #2 (1990)
714658	79287	Judy
714658	330000	Miss Morton
714659	387940	Small Woman
714660	238920	Make Up Lady
714661	101272	Herself
714661	101273	Herself
714662	154931	Mary
714662	222661	
714662	398095	Lucy Yolland
714663	240761	Lulu White
714663	323433	Typist
714664	211748	Emily
714665	16076	Jane's Friend
714666	13990	Lulu
714667	56446	
714668	14889	
714668	17810	Giorgio's mother
714668	35019	
714668	72066	Florence
714668	85477	Herself
714668	93856	Katarzyna, Julian's Stepmothe
714668	111111	Emma
714668	124568	
714668	130117	La none/Nun
714668	135295	Creusa
714668	171008	Maie-Anne
714668	177904	Annette
714668	184557	Anna Colomb
714668	199934	Contessa Margherita di Sansev
714668	205238	Edith
714668	236557	Josette
714668	242869	Lucie
714668	251546	Michèle
714668	251607	Piera
714668	255475	Maria
714668	268462	Gaude Mével
714668	269477	
714668	291559	Gilberta
714668	293350	
714668	307241	Signora Nardi
714668	345154	Anne
714668	356012	Magda
714668	371422	Edna
714668	376891	Chloé
714668	399974	Circe
714669	13637	Autograph Hound
714670	44453	Trailer Camp Girl
714670	61163	Betty
714670	69693	Mrs. Riley
714670	128271	
714670	144369	Shirley
714670	149029	Redhead [extra]
714670	196352	Nikki, Secretary to D.J. Jr.
714670	202923	Connie Hayward
714670	265740	Rusty
714670	346178	Cheryl
714670	354858	
714671	10384	Street Walker
714673	287595	
714674	13256	A Musical Comedy Star
714674	47510	
714674	49074	
714674	78069	Madame Gaunt
714674	90288	Myra Gray
714674	90355	Rose Graham
714674	94623	Patricia Melton
714674	107407	Blanny Wheeler
714674	116733	Maxine
714674	117143	Mrs. Winslow
714674	121355	Edythe Arlington
714674	128316	Mrs. Price
714674	150972	Bertha Trenor-Dorset
714674	162419	Heelena Ritchie
714674	190143	Florence Robert
714674	191911	Virginia Conklin
714674	220007	Lola Patterson
714674	246954	Azade
714674	270763	Mrs. Vidal
714674	299481	Ann Cardington, aka 'Queen An
714674	310833	Helen Temple
714674	317979	Rose Mason
714674	319772	Lillian Drew
714674	342999	
714674	346323	Grace Lorimer
714674	359493	The Woman Who Smiles
714674	363212	Kara Glynesk
714674	364402	Hattie Fenshaw
714675	13887	Herself
714676	222790	Deli clerk
714677	20219	Virginia Stockton
714677	38857	
714677	40792	Effie Pemberton
714677	57097	
714677	59341	Madge Hemingway
714677	133321	Countess Dagmar
714677	141500	Virginia Rutledge
714677	175806	Duska Filson
714677	212692	
714677	214128	
714677	215420	Helen Steele
714677	269619	May Rowland, Arling's niece
714677	276679	Eve
714677	289481	
714677	313809	Olivia Staunton
714677	316049	
714677	359493	Martha
714678	79112	
714679	187419	Indian Woman #1
714679	408722	
714679	412301	
714680	72703	Two man horse
714680	164426	Herself - speciality act
714681	253574	
714682	13512	Amanda
714682	69781	
714682	103736	Irma la tuercas
714682	193189	Diana
714682	196764	Larrossa
714682	213368	Laura
714682	213721	
714682	219327	
714682	263069	
714682	287857	Adriana
714682	322250	
714682	332596	
714682	350263	
714682	380269	
714682	388096	
714682	392651	
714682	393986	
714682	396604	Ruth Reyna
714683	411293	Nan Sogood
714684	64360	
714685	119436	Dead Girl on Tree
714686	162441	First Child
714687	60746	Randa, Snappy Tom's Woman
714687	289650	Ruby
714687	318842	Eleanor Windom
714688	311262	Girlfriend #2
714689	89586	Dolemite Girl
714690	2629	Segment Host (segments)
714690	61242	Maxine
714691	274773	Caroline Carter
714692	391774	Dusty Davis
714693	40864	Nick Cave Fan
714694	224110	The Sisters' Mother
714694	263164	Mrs. Delling
714695	195073	Hedgwig Jensen-physical instr
714696	246971	
714696	341145	
714696	354988	Licinha
714696	398877	
714696	402455	Young Clara
714697	359301	
714698	236383	Mitzi
714699	197676	Native Girl
714700	402639	Alicia
714701	44318	Woman at Red's Party
714702	133056	
714702	252589	Maria
714702	344869	Eulália
714702	380448	Alzira
714702	382883	Carmem
714702	383328	Amália Castro
714702	384778	Dinorah
714702	384973	Regina
714702	387898	
714702	389587	Clara
714702	397512	Ana Beatriz
714702	397543	
714702	399147	
714702	401091	Virgínia
714702	401200	Querida
714702	402097	Judite
714702	402928	
714702	403747	
714702	403829	
714702	404753	Laura
714702	404915	Araci
714702	405337	
714702	405401	Anabela
714702	405989	Rosália
714702	406842	
714702	406987	
714702	412314	
714703	102704	
714704	10853	Woman on Gulliver, Neptune's 
714704	176229	Danika
714704	381059	Louise aged 17
714705	93754	
714706	283091	Ma Pettingill
714707	135285	
714707	140567	
714707	223622	
714707	234410	
714707	248761	
714707	257529	Gregorius' Mistress
714707	400488	Vampire woman #1
714708	274847	Violet Daniels
714709	3426	Matilde
714709	3504	
714709	4987	
714709	21585	
714709	36665	
714709	91358	
714709	103187	
714709	135117	
714709	162993	
714709	189384	
714709	194614	
714709	222033	
714709	233583	Florence
714709	236012	
714709	250693	
714709	251615	
714709	286098	
714709	302239	
714709	319793	Cora
714709	356947	
714709	376867	
714710	12348	Ann Keith
714710	12773	Nancy Eagan
714710	26967	Julie Benson
714710	34835	Interview
714710	34977	Marie Derry
714710	36489	Herself
714710	37174	Helen Jagger
714710	54485	Lady Barbara Wellesley
714710	56611	Mary Theresa 'Sable' Pulaski
714710	67417	Colorado Carson
714710	69554	Louise Whitman
714710	84976	Abby Nixon
714710	88525	
714710	114836	Anne
714710	115180	Flaxy Martin
714710	116497	Extra
714710	117916	Celia Gray
714710	117930	Linda Lee
714710	119821	Countess Willie Piazza/Ida
714710	121363	Liz Trent
714710	128192	Ruth Wilson
714710	133541	Ann Alaine
714710	140160	Michelle
714710	162390	Judalon de Bornay
714710	164446	Mamie
714710	165276	Herself
714710	167098	Jean Gurney
714710	176321	Polly Pringle
714710	177528	Lady Edith
714710	182955	Herself
714710	203264	Lucia
714710	213272	Kitty
714710	235226	Herself
714710	245121	Deborah Tyler
714710	246749	Carol
714710	251501	Rita Delaine
714710	264143	Princess Margaret
714710	266104	Sally, Cass' Woman/Hotel Owne
714710	274182	Carla North
714710	279256	Lady Patrizia, Duchesse de Re
714710	291361	Herself
714710	292470	Rosalind van Hoorn
714710	295293	Carol Dean
714710	298078	Catherine Terris
714710	298122	Angela Gardner/'Hot Garters G
714710	301941	Helena
714710	305455	Linda Vickers
714710	308569	Honey Swanson
714710	309880	Ginger Martin
714710	313695	Cameo appearance
714710	315697	Cleopatra
714710	324037	Ellen
714710	348327	Goldwyn Girl
714710	361680	Eve Dillon
714710	361699	Norma Putnam
714710	363854	Verna Jarrett
714710	367948	Miss Batley
714710	367970	Ellen Shanley
714710	372554	Sarah McCoy
714710	404282	Peaches DeLight (1984)
714711	26547	
714711	51893	
714711	56327	
714711	156395	
714711	160966	
714711	163950	
714711	171478	
714711	207621	
714711	234622	
714711	263268	
714711	275017	
714711	285245	Reginéia (segment "Rainha do 
714711	324856	
714711	328034	
714711	341474	
714711	356680	
714711	383561	
714711	388682	
714711	393004	
714711	400096	
714712	263	Awful Truth Woman
714712	3265	Laurie
714712	7637	
714712	35522	Maitland receptionist
714712	59926	
714712	67609	Tiffany Keene
714712	78897	Alpha Female
714712	92181	Sue Rigg
714712	106062	Starkiller's Girlfriend
714712	137861	Doctor Gotbottom
714712	139187	Diana
714712	232469	Sue
714712	245137	Barbara
714712	249595	Sugar Lips
714712	264091	
714712	266701	
714712	288929	Anne
714712	323484	Dorothy
714712	357152	Rachel Cussler
714713	394348	
714714	401884	Herself/Escarcha Member
714715	65613	
714715	258927	Mme Lefèvre
714716	47123	Eliza Tilly Swazey
714716	88889	Card-Player's daughter
714716	92228	Mrs. Phattison Oiles
714716	299504	Cook
714717	133831	
714718	7413	Nurse
714718	50097	Landlady
714718	145316	Maid
714718	283579	
714718	303429	Clerk
714718	331292	
714718	354859	Mrs. Pilka
714719	163545	
714720	264451	La vendeuse de poulets
714721	235981	
714722	318729	Donna
714724	300670	
714725	396477	Satyavati
714726	16397	Herself
714727	359858	Grace
714728	61140	
714728	74153	child
714728	205466	
714728	283911	
714729	54763	
714729	249301	
714729	266861	
714730	399036	Correspondent (2003-)
714731	158462	Margarita Mayor
714732	266445	
714733	101070	Reynolds' Nanny
714734	2665	
714735	334687	Azafata
714736	228896	The Powerful's Godmother
714737	51395	
714737	112862	
714737	292348	Marise
714738	137223	Dancer
714739	193446	
714739	355855	
714740	70309	
714741	17596	
714741	105523	Hanna Huber
714741	108165	Dorothea Scholl
714741	189608	Schwester Antonia
714741	189669	Lisa Kofler
714741	209447	Margarethe
714741	281719	Anne Bradley
714741	338438	Astrid Lohmann
714741	338444	Simone Westphal
714741	352316	
714741	352317	
714741	365607	
714741	388640	Dr. Mariella Winkler
714741	392855	Carolin
714741	397298	Margarethe Lüdwitz
714741	405902	Dr. Mariella Winkler
714741	406335	Dr. Maria Anna Josefa 'Marian
714742	248457	Amaryllis
714743	34261	Kind Sannele
714744	35878	Ewa's mother
714744	75975	Piechocka, mother
714744	173985	
714744	306107	
714744	374023	
714744	408826	Princess Podhorecka
714745	342628	Kaye
714746	24098	Frau Schamberger
714746	28317	
714746	84391	Wirtin
714746	92554	
714746	93455	Josefa
714746	93581	Frau Kellermann
714746	102881	
714746	121062	
714746	124615	
714746	129674	Riedlechnerin
714746	132536	Johanna
714746	140264	
714746	140266	
714746	140268	Marie Eichbichler
714746	140269	Countess
714746	144080	Zenzi
714746	144333	
714746	155432	Putzfrau
714746	168204	
714746	170133	Hellseherin Haruspicia
714746	170675	Nachbarin
714746	174391	Kellnerin
714746	198938	
714746	199396	Garderobiere
714746	207933	
714746	230175	Alwine Meyer
714746	248540	
714746	250896	
714746	290172	
714746	290519	Verkäuferin
714746	290521	Zimmerwirtin
714746	290524	Zeugin
714746	290791	
714746	290839	Salatmamsell
714746	325756	Gemischtwarenhändlerin
714746	361409	Nachbarin
714746	364805	
714746	367025	
714746	398863	Kundin
714746	401784	Frau Gmeinwieser
714747	290107	Kinderquartett/Children's Qua
714748	376041	Klaramaria Kuntner
714748	404482	Verena
714749	75977	
714749	188035	
714750	36790	Lady
714750	150292	
714750	345828	Woman on Boat
714751	310303	
714751	343889	Lola Bean
714752	14239	The Wife (Belva Lockwood Tria
714752	253915	Liza
714752	339108	
714753	363869	Helen
714753	398370	Minna Dracula
714754	12209	Darcy
714754	44450	Friend #2 in Arthur's Bar
714754	90786	Melody
714754	111729	Bernice Beeler
714754	119357	Salesgirl
714754	135561	Fran
714754	135812	Pearl
714754	138347	Host
714754	141282	Sonny
714754	173512	Bank teller
714754	251347	Cecilia
714754	315172	Diane
714754	405015	Annie Brighton
714755	26471	Waitress
714755	34673	Carol Link
714755	44707	Janet Keefer
714755	54749	Marsha
714755	60251	Jenny Macklin
714755	64121	Janet Eller
714755	65754	Night Manager
714755	93975	Mrs. Willins
714755	96826	
714755	122743	Dixie
714755	128598	Susan Weinblatt
714755	139610	Ginger
714755	141395	Susan
714755	153281	Dee Dee
714755	174644	Madelaine
714755	185459	Lula
714755	190912	Harriet Van Dam
714755	215731	Terry Simon
714755	223734	Crystal
714755	230710	Joyce Adams
714755	243227	Susan 'Sue' Hillier
714755	244447	Dr. Amelia Stewart
714755	257764	Marianne
714755	272085	Alice Tyson
714755	314697	Lolly
714755	335791	Mindy
714755	358744	Sonja Kahn
714755	359145	Sue
714755	365742	Sophie Rossenstein
714755	372198	Annie Gerrard
714755	408039	Melissa Steadman
714756	128598	Mrs. Weinblatt
714757	45526	Cristola Cummings
714759	252384	Pet
714759	252402	Pet
714760	79447	Reporter
714760	242942	TV Reporter
714760	255314	Miss Pieper
714760	411355	Annie
714761	80385	Janice
714761	108256	Shelly
714762	228517	
714763	217815	Lenore Kinney
714763	328260	Millicent Gordian
714764	151589	Phillis Blokey, Singer with a
714765	137223	Dancer
714766	257643	Herself (Playmate)
714766	257849	Playmate
714766	352693	Herself
714767	150239	Nurse
714767	316214	Librarian
714769	203358	Rockette
714769	280081	Roxy dancer
714770	282864	Cell Phone Businesswoman
714771	30892	
714771	52820	
714771	54104	
714771	103903	
714771	138965	Angel
714771	207726	
714771	252596	
714771	381591	
714771	382690	
714771	383172	Simone
714771	390788	Shaina (1997)
714772	192112	Sheila, the religious fanatic
714774	163846	Chie
714774	297899	
714774	341946	Girl in Office
714775	222281	
714776	29631	Yasmina
714776	58977	Annie
714776	183917	
714776	247169	
714776	262876	Deepika
714777	88516	Bachoo
714777	184173	Mayuri
714778	237152	The Empress
714779	296722	Sally Jeffries
714780	40101	Serina
714780	45631	Anne Miles
714780	66588	
714780	143950	Madonna
714780	329307	Michelle
714780	382458	Julie Bocuse
714780	390099	Technician
714781	232460	Delivery Nurse
714782	402982	
714783	371764	Catalina Baldo
714784	116565	Children's Drama Coach
714785	71302	Nurse at Concert
714785	114512	Dr. Powers
714785	137578	Church Singer
714785	190774	Shade
714785	270586	Cressy
714785	389436	Marnie Kennedy
714785	391251	Leila Sutton
714786	324189	Duan, La mère du Chancelier, 
714787	213389	
714788	291816	
714788	378990	Host (1993)
714788	379136	Alba
714788	400840	Emma (2000)
714788	407720	
714789	202853	Shirley Temple
714790	181134	
714792	3311	Infirmière (segment "Une nuit
714792	20079	Madame Mazaud
714792	51391	
714792	133299	
714792	169355	Psychiatrist's Wife
714792	207723	Barmaid
714792	235863	
714792	345379	Francine
714792	346446	La Sage Femme
714792	377901	Nathalie, l'attachée de press
714794	170964	Jurij's Mother
714794	200613	Turkish woman #3
714794	407651	Éva Éva
714795	30965	Spice
714795	31573	
714795	32658	Regina
714795	49366	Violet
714795	56386	Angie Lyons
714795	67052	Young Professional Woman
714795	71286	Diane
714795	79529	Maggie
714795	81582	
714795	82321	Teresa
714795	90932	Whiskey girl
714795	100131	Jane
714795	120427	Simone
714795	120559	Herself
714795	128089	Girl #39
714795	131780	Sandy
714795	131803	Rita
714795	132565	Dancer
714795	132909	Maria
714795	134574	Cuckoo bird/Swirly/Yalda
714795	142249	Rita
714795	151106	Jennifer Jenzen (deleted char
714795	153204	Lisa
714795	158440	Suzie
714795	160373	Daphne
714795	160492	Debbie De Luca
714795	170746	Denise
714795	191987	Gina
714795	195761	Delores
714795	199748	Herself
714795	199763	Herself (video 'Papa Don't Pr
714795	202195	Peg
714795	209683	Sandy Gallo
714795	217954	Monica Russo
714795	219118	Mary
714795	223003	Madonna's Friend
714795	223162	Host
714795	236135	Kozy, S&M Girl #2
714795	274258	Darcy
714795	274268	Red's Mom
714795	276838	
714795	298115	Georgie
714795	302789	Brenda
714795	303183	
714795	306431	Susan, Tony's Girlfriend
714795	310171	Cindy
714795	327767	
714795	330019	Rosie
714795	337206	Nurse Debbie
714795	338930	Crystal
714795	340531	Ericca Ricce
714795	342156	Steena
714795	364234	Mysterious Woman
714795	366711	The Manicurist
714795	366998	Deborah Gravano
714795	384379	Denise Iannello (1991-1993)
714795	395023	Denise Ianello (1993-1994)
714795	407804	Deb DeAngelo (1997)
714795	411414	Liz Tricoli (1998-1999)
714796	89481	
714797	130478	
714797	380486	
714797	380559	
714797	388713	Vera Ioannidou
714797	410408	
714798	291931	Snake's Girl
714799	2252	(segment "Teuf d'enfer, La")
714800	379887	
714801	170852	Vicki
714802	41197	Lily Drake
714803	217265	Sophie, Anne's daughter
714805	376999	
714806	31018	Extra: Metro
714807	31018	The Aunt
714808	14315	Nelly
714808	60054	Mado Chaudemanche
714808	65730	Judith
714808	110215	Estelle
714808	112874	Maryline
714808	112875	Marylin
714808	144317	Mireille
714808	149753	Yvonne
714808	152193	
714808	171325	La mère de Guillaume
714808	200971	Thérèse
714808	214387	
714808	225768	
714808	244032	
714808	244033	Une amie à la fête
714808	254861	
714808	255585	Elodie
714808	262938	
714808	288896	Vanessa
714808	288899	Vanessa
714808	337008	
714808	345444	
714808	350425	Infirmière réanimation
714808	376889	Camille
714808	386798	Laura Corsi
714808	403641	Lilianne d'Anjou
714809	350126	
714810	147158	
714811	95785	Brunette Active
714812	81787	Herself
714812	219872	
714812	221768	
714813	175479	Ken Park's girlfriend
714814	88838	
714815	375808	Wendy Picolo
714816	136270	Betty
714816	370643	Alma
714817	76058	
714818	107835	Gwenaelle
714819	71904	Monica
714819	99375	
714819	258118	Une petite fille
714819	318515	
714819	377013	Anne
714819	387650	Sylvia
714819	412203	
714820	118897	Herself (Charles Jaffé's wife
714822	111018	
714823	215151	
714824	10535	Mrs. Alvarez
714825	40427	Laura
714825	60142	Tania
714825	61354	
714825	83879	Silvia
714825	94875	
714825	106310	
714825	198372	
714825	259313	
714825	277006	
714825	294376	Mirta
714825	309373	
714825	320510	Laura
714825	339202	
714825	383032	Rafaella De Mateo
714825	384772	
714825	389780	
714825	393478	Rocío
714825	396860	Silvia
714825	398983	Rosario de las Nieves Melón d
714825	401904	
714825	403006	Herself
714825	409959	Viviana
714826	43164	Tourist
714827	101163	
714828	5881	Young Woman
714828	35643	Molly
714828	73560	Denise
714828	82122	Sylvie von Goetham
714828	99067	New York secretary
714828	206349	Darlene
714828	273926	Psychiatrist #2
714828	291777	Celia (Amanda's Mom)
714828	321667	Hotel Receptionist
714828	344988	Mrs. Hudson
714828	363001	Emily Ferrence
714828	368942	Anchorwoman
714828	406621	Jill Robichaux
714829	67207	
714830	332796	
714831	48223	
714831	113216	Visiteuse de l'appartement
714832	87923	Head Nurse
714833	8977	
714833	226461	
714833	295130	Sister
714834	386516	Veronica
714835	74207	Dilima
714836	232676	Gallery Patron
714837	71798	Political Science Professor
714838	147252	Reporter
714839	205358	La servante
714840	108107	
714841	21307	Herself
714842	81428	La voisine de palier
714842	94867	L'infirmière
714842	106205	Nurse in Canteen
714842	228317	Solange
714842	353916	Gabrielle
714843	396622	La secrétaire
714844	82508	La femme du monsieur
714845	224192	Therapist
714846	308311	
714847	91977	La Femme du Client
714848	10329	Zehra Delford
714848	356313	Debbie
714848	385824	Tess Jannings (1984)
714849	258630	Malkata Katerina
714850	328273	
714851	371351	
714852	164542	Eunice Kelly
714853	13290	Body Builder
714853	259407	Townsfolk
714853	388330	Referee
714854	55260	
714855	15061	La guide à l'Opéra de Paris
714856	209630	Drone with Aunt Bea
714857	174999	Host
714857	175000	Host
714858	65991	Raine
714859	103877	Hanane
714860	341327	Lena
714861	77271	
714861	84760	
714861	85145	
714861	180854	
714861	261911	
714861	349362	
714862	9679	Dressmaker
714863	139409	
714864	379001	Lucha
714864	379648	Andrea
714864	396333	Abogada de Álex
714864	396942	
714865	383955	
714865	389880	
714866	339475	La mère de Flore
714867	133728	Prisoner
714868	357321	
714870	362581	Lady with Baby
714871	259123	Mother
714872	232105	Sarah Cooper
714873	48764	
714873	95694	
714873	224037	
714874	29676	RJR Secretary
714874	40659	Kate & Gladys
714874	56145	Reporter #1
714874	114559	Sandi
714874	184714	Infirmière
714874	186680	Dr. Siegel's Seminar
714874	222565	Linda Jo (Poet)
714874	223772	Dana Braun
714874	241552	Mrs. Keseberg
714874	248057	Second Assistant Director
714874	257747	Agent Summers/Walters
714874	278279	Dales Girlfriend
714874	360760	Tour Driver
714874	366131	Holly
714874	397871	Nicky
714875	156851	Edgemont Girl #3
714876	52869	Herself
714877	73831	Courtney
714877	222779	Boris' girlfriend
714877	308151	Lauri Rain
714878	215605	Ella
714879	128445	
714880	362581	Baby Eddie
714881	2476	Candy
714881	6248	Flirting Woman
714881	16668	Kathy Pogue
714881	24430	Mod girl
714881	41518	Maria
714881	68085	Kiki
714881	157817	Monet
714881	171197	Lauren
714881	173513	
714881	178136	Antonia 'Toni' Sposato
714881	186713	Georgia
714881	216782	Dolly
714881	218403	
714881	224691	Becky Beaner
714881	270969	Lila Ridgeway
714881	285183	Lead Model
714881	313633	Vanessa
714881	336239	Shane
714881	361224	Girlfriend at Audition #7
714881	363650	Whirlygirl
714881	385824	Brandee Fields #1 (1993)
714882	148321	Game Show Hostess
714883	89042	
714884	94250	La photographe
714885	63354	
714885	179618	Vera
714885	237430	Nastya, Bubentsov's daughter
714885	242278	
714885	261325	
714885	262668	
714885	303790	Natasha Rtishcheva
714885	321877	
714885	323302	Gladys Martin
714885	340660	Patricia
714885	343310	His girlfriend
714885	350811	
714885	357345	
714885	357463	
714885	373777	
714885	400479	
714885	409295	
714886	90801	
714887	25425	Kaniewska
714887	108992	Nikotris
714887	130211	Wanda
714887	153509	Florist
714887	158988	
714887	179181	
714887	202253	Mother
714887	231646	Barmaid
714887	237293	
714887	255412	Countess Dunin-Borkowska
714887	261670	Aunt Kulwiecówna
714887	266319	
714887	271577	Pani Maria
714887	282756	Aunt Lusia's Wife
714887	322155	
714887	341067	
714887	367373	Kowalska
714887	369017	Roma
714887	373594	Nurse
714887	375912	
714888	684	
714888	3582	
714888	82491	
714888	88729	
714888	89818	
714888	95746	Marina
714888	95934	
714888	176134	
714888	179318	Anastasiya Borisovna
714888	182462	
714888	214311	
714888	267803	
714888	283755	
714888	340234	
714888	349252	
714889	166264	Manon Cadoret
714890	92112	Stylish Jogger
714890	218719	Woman at Buffet
714890	219692	Bloomingdale's Manager
714890	255235	Pharmacy Clerk
714890	289749	Information Woman
714890	327405	Betsy Bloomfield
714891	218719	Assistant Director
714891	255235	Tractor Woman
714891	365827	Jill
714892	10319	Amy
714893	307949	
714894	202571	Dancer
714894	266330	Dancer
714896	368659	Tiffany (age 5)
714897	24374	Elena
714897	65888	Aunt Josephine
714898	344519	Grunts, Screams, Groans and G
714899	19099	
714899	72894	
714899	101137	
714899	189737	
714899	199375	
714899	206725	
714899	224901	
714899	254142	
714900	121888	
714900	204227	
714900	293318	
714901	80928	
714901	351858	Francesca
714902	39404	Bathing Beauty #3
714903	166897	
714904	14891	Betty
714905	356325	Catherine
714906	385629	Neusa
714906	410310	
714907	248056	Herself
714907	410006	Host (1998)
714908	21059	
714908	54159	
714908	116492	
714908	125055	
714908	128001	Donatella
714908	217758	Ottavia
714908	235771	Rosy
714908	243307	Rosy Montefiori
714908	282114	
714908	310974	The Snob Woman
714909	362	Signora Grober
714909	35028	
714909	108871	Signorina Silvani
714909	108872	Signorina Silvani
714909	108873	Miss Silvani
714909	108874	Signorina Silvani
714909	108875	Signorina Silvani
714909	108876	Sig.na Silvani
714909	108877	Signorina Silvani
714909	108878	Sig.na Silvani
714909	118619	Signora Corvino
714909	118932	Maud
714909	122031	
714909	158764	La signora Deligeard
714909	162078	
714909	263721	
714909	265813	Marina
714909	270783	Selvaggia
714909	292284	Sig.na Silvani
714909	296532	Angelica Stroppaghetti
714909	338720	
714909	342127	Viviana Renzelli
714909	396305	Adelaide
714910	72311	
714910	169650	
714911	291561	Carmen
714911	291658	
714912	291561	Esperia
714912	291658	
714913	247642	
714914	89572	Woman at Airport
714914	290932	
714915	29774	Silvia
714915	53833	
714915	56329	
714915	63890	
714915	75242	Valeria
714915	82441	
714915	94767	Zara
714915	111566	
714915	119402	Lia
714915	189293	Caterina Clavarino
714915	196710	
714915	234764	Ultima donna di questa storia
714915	236644	
714915	269009	Anna
714915	356152	
714915	384758	
714916	163008	The Mother
714917	376311	Dancer
714918	341821	Liù
714919	311815	Marianella
714920	277607	
714921	64057	Ramona
714922	199315	Jane
714923	63202	The aunt
714924	18469	Viola
714924	21800	Elaine Farkass
714924	143436	Fortune Teller
714924	296783	Woman 1, Pedestrian
714924	315259	Mrs. Alban
714924	375764	Viola
714926	275996	Tour Guide
714927	13061	
714927	51783	Yvone (segment "Despejo, O")
714927	83458	
714927	104119	Angélica
714927	158940	
714927	171532	(segment "Flor de Lys")
714927	222168	
714927	324350	
714927	327327	Marina
714927	381144	Laura Duarte
714927	387799	Angélica
714927	401095	Vera
714927	401932	
714927	404160	Sarita
714927	405810	
714927	408381	
714928	380087	
714929	41435	
714930	48816	
714931	219457	
714932	169545	Crowd/Atmosphere
714932	335685	Julianne
714933	63756	Paola's mother
714933	251313	Sergio Petrilli's mother
714934	68795	
714936	26681	Stefania
714937	9802	Chorus
714937	223904	Herself
714937	223905	Herself
714938	16349	La mulatta Bersy
714938	225490	Marta
714939	83006	Teresa
714940	112664	
714941	63806	Isabella
714941	76269	Francesca Majani
714941	247642	Giada
714941	342116	Valeria
714941	349615	Allegra Sotis
714942	64013	
714943	13100	
714944	151237	Violeta
714945	267348	Puppet Camille/Elsa
714946	384816	Sailor's wife No. 1
714947	318283	
714947	351688	
714947	383032	Pía
714947	390517	Host
714947	408416	Host (2000-2001)
714948	26825	Patron
714949	291449	Judge #1
714950	2030	Receptionist
714950	30587	Young Mom
714950	81028	Angela
714950	142171	Lorraine
714950	163248	Mindy
714950	185358	Gloria
714950	210767	I Love You Witness
714950	245766	Hotel Manager
714951	56929	Martina
714952	291052	Bird Merchant
714952	411540	Herself (1999-2000)
714953	78777	Jessica
714954	130129	Signora Colombo
714955	29582	
714956	9105	Ana Villahermosa
714956	74749	
714956	83889	
714956	87807	Gabriela
714956	267297	
714956	296465	
714956	318118	Manuelita Sáenz
714956	378971	Paula
714956	380125	La mujer policía girana
714956	383467	Aminta
714956	385365	Modesta Meléndez
714956	385869	Virginia Cusiel
714956	387103	Egleé Bustillo
714956	387700	Trujillo
714956	387897	Agripina Samaniego de Borosfk
714956	396161	Alicia Suárez
714956	396902	Tibizaida Morales
714956	397012	Salomé
714956	398471	Chichita Agüero del Toro
714956	399520	Paula
714956	399521	Rosalía
714956	401905	Cecilia Matos
714956	410297	Yiya de Bencecry
714956	410387	Mónica Guffanti
714957	362581	Mrs. Wilson
714958	254279	Cora Jessup
714959	318763	Lady with Dog
714960	53942	Antigone's mother
714961	55496	
714961	73651	
714961	247974	
714961	337233	
714961	342101	
714961	387465	Margherita Maffei di Barbero
714961	396649	
714961	403363	Giulia
714962	14853	
714962	16345	
714962	53138	
714962	54146	
714962	82721	
714962	158769	L'impiegata
714962	158771	Melanie
714962	207752	
714962	228132	la madre
714962	254955	
714962	289488	Norma
714962	294127	Mrs. Chierici
714962	301217	Ute
714962	309964	Lady Prefessor
714963	221522	Avvocatessa
714964	19946	
714964	295163	Una collegiale
714965	353244	
714966	199999	Hospital Visitor
714967	6720	Herself
714967	75082	Herself
714967	110980	Jean
714967	187058	
714967	291456	
714967	297229	
714967	319460	Model
714967	319461	Model
714967	329868	Herself
714967	405123	
714968	147612	Pretty Girl in Audience
714969	199999	Little Gina (Flash back scene
714970	263704	Carloni's daughter
714971	111061	Waitress
714971	169135	Zilpah
714971	240136	
714971	281910	Claudia
714971	393138	Presenter
714972	251611	
714973	251313	Diana
714974	286395	Mariuccia
714975	156905	Giacomo's Little Sister
714976	17665	
714977	265713	
714978	219570	Adriana
714979	46532	Korean Market Patron #4
714980	375301	Camilla
714981	99055	Victor's Sister
714982	335989	Rosa
714983	33440	Jacobs mor
714983	37904	Kontordame Else Tiesen
714983	48325	Stine Svare
714983	50242	Sofie
714983	78435	Vera
714983	84276	Gerda Knudsen
714983	87949	Ditte
714983	90789	
714983	99510	Borger i Mårböosen
714983	110771	Inger Marie Maage
714983	115555	Else Flint
714983	116362	Lilly
714983	120357	Moderen
714983	123500	Grethe Holm
714983	123885	Læge
714983	142505	Frue i huset
714983	144576	
714983	145457	
714983	145624	Kröyer's Mother
714983	146602	Lærerinden
714983	153351	
714983	154138	Linda Strang
714983	164767	Patient hos Ulla Pauce
714983	166599	
714983	182623	
714983	203963	Kasserersken
714983	203964	Adams mor
714983	211055	
714983	213436	Lily
714983	219700	Hanne
714983	237277	Gudrun Andersen
714983	245592	Klinikassistent Hansen
714983	259049	Vera
714983	262957	Ina
714983	266370	Mette Hansen
714983	283483	Jette
714983	284393	Bente Munk
714983	287375	Maja
714983	293698	Moder
714983	300976	Esther
714983	315054	Kvinde med barnevogn til salg
714983	322680	Ellen Rasmussen
714983	331040	
714983	341116	
714983	349081	
714983	397074	Lilly Lund
714983	399892	Emma
714983	403380	Mrs. Zakariasen
714984	108206	Carla
714984	111063	The Blonde (Restroom, Bridge 
714984	148685	La fille boîte de nuit
714984	171342	Audrey Blain
714984	225366	Julia
714984	225619	Amanda
714984	239219	Clémentine
714984	248055	Air France Hostess
714984	346512	Viviane
714985	228202	Hôtesse du bar
714986	50791	Pughneere
714987	27837	La soeur de Rita
714987	66596	Black Girl with Blonde Hair
714987	168958	Lila
714987	189366	
714987	191467	Esther
714987	201172	Sylvie
714987	205771	Malika
714987	211665	Myriam
714987	237320	Aïssa
714987	265308	Julie
714987	276982	Lucy
714987	288129	Danièle
714987	345365	Sylvie
714987	345448	
714987	357091	Loutaya
714988	69181	Herself
714988	104773	Herself
714989	15080	Geneviève Latour
714989	23303	Mrs. Dolan
714989	23636	Madame de Boves
714989	27823	Mama Saucia
714989	44970	Mme Loiseau
714989	51378	Mathilde Magnin
714989	63695	
714989	65383	
714989	71841	
714989	82579	Tati
714989	89952	Jane
714989	106990	Madame Petlet
714989	120987	Lilette
714989	121607	Baronne Bergenstein
714989	148772	
714989	169284	
714989	178287	Maïté
714989	205480	Une cliente du 'Pigall's'
714989	206726	
714989	220394	Mme. Dubois-Lassalle
714989	234645	Fernande Josserand
714989	240428	La femme de Marco
714989	249032	
714989	259732	Mlle Thibaud, le concierge
714989	261817	
714989	268395	Anastasie de Restaud
714989	269225	Dieu l'infirmière
714989	279109	
714989	280533	Mme Simons
714989	300662	
714989	309749	Paolo's wife
714989	328439	Mme. Genlis
714989	399377	Herself
714990	19839	Ariane (segment "Sara")
714990	100358	Un souvenir de jeunesse de Fr
714991	92333	
714991	212666	Madre de Geri
714991	309414	Talmo
714991	390085	Cecilia
714991	402158	
714991	404182	Vanesa
714991	405788	
714992	306687	
714993	262375	
714994	376830	Sara
714995	3047	Luisa
714995	78810	
714995	88697	Victoria
714995	189301	Concha
714995	193524	
714995	204311	Sara
714995	205396	
714995	226489	Puta mexicana
714995	236136	Edelmira
714995	249883	Blanche
714995	256952	
714995	257149	
714995	281130	Antonia
714995	291708	Chiquita
714995	313084	L'hôtesse de l'air Air Argent
714995	328929	Mother
714995	334661	María Dalmau
714995	338867	Claudia
714995	369994	Herself - Presenter: Best Doc
714995	397307	Beatriz (2000)
714997	398852	Somalisk tolk
714998	95901	Herself - Student
714999	135244	Guignana
715000	135244	
715000	174151	Inspector Tall
715001	106274	
715001	174151	Sidar
715002	18544	Party Girl
715003	145170	Girl at Zama's house
715004	389868	Ntombi Khumalo (2004-)
715005	7623	El Hadj Diop
715005	254121	Alioune
715006	157923	Akofa
715006	161538	(segment "Pietas")
715006	219575	Amina
715006	229986	Liberata
715006	386748	
715006	386749	Sour Mary
715006	404045	Iside
715007	344443	Ana
715008	145170	Hip girl
715009	235712	Charlotte
715010	391259	Job's Mother (segment The Spo
715011	13038	Daniel
715012	7623	Awa
715013	44945	Danseuse Ophélie Winter
715013	133242	Une danseuse
715014	174151	Diba
715015	294796	Invitée d'Alice
715016	393032	Nandipha Sithole
715017	164787	Estina, wife of Esau
715018	359441	Club Singer
715019	411786	Herself (Series 2) (2003-2004
715020	157790	Judith 2
715021	404200	
715022	65782	Woman in Hallway
715022	289074	Church Wife
715022	320313	Lawyer
715023	395086	Amanda
715024	119551	Jessie
715024	158313	Michelle
715024	171248	
715024	183536	Janet Storrs
715024	222707	
715024	253347	Kaitlynn Parrish
715024	271001	Nina Foley
715024	296238	
715024	313596	Laurie Hansen
715024	404179	Michelle Ryan (season 2)
715024	405494	Catherine 'Cat' Anne Margolis
715025	81012	Bridgid Conlon
715026	55110	George's Mother
715027	185420	Dance-hall girl
715027	190796	Patient
715027	199143	Mrs. Dorn
715027	208971	Actress
715028	61171	Herself
715028	410547	Dwana Pusser
715029	61830	Ghoul
715031	346099	Paige
715032	185127	Visitor
715033	3037	Wife
715034	150075	Jessica Spencer/Clive Maxtone
715034	209133	Regina George
715034	224184	Sally Garfield
715034	235541	Allie
715034	252937	Patsy (age 15)
715034	274090	
715034	360684	Claire Clearly
715034	405212	Beth
715034	405652	Kate McNab
715035	70460	Homeowner #3
715036	57606	Hostess
715037	37555	Mrs. Edwards
715037	270492	Cooking Program woman
715038	129596	Bess
715039	59721	Aranea
715039	69040	Ruthie Teale
715039	78785	Monica
715039	108333	Cynthia #1
715039	144363	Phoebe Heyerdahl
715039	150488	
715039	169030	Jessie Kenyon (Bannon)
715039	184375	Cera
715039	184378	Cera
715039	184379	Cera
715039	184380	Cera
715039	184382	Cera
715039	273745	Ashley 'Ashley A' Armbruster
715039	292420	Mary Lennox
715039	331111	Megan
715039	335064	Robyn Starling
715039	362966	Maggie
715039	379279	Additional voices
715039	382993	Little Sister
715039	383414	Bambi Blight
715039	385186	Miss Dori/Nini
715039	386379	Amber
715039	391485	Phoebe Heyerdahl
715039	391875	Abby
715039	393510	
715039	395739	Additional Voices
715039	395848	Brittany
715039	403038	Ashley 'Ashley A' Armbruster
715040	127263	Dancer
715041	212960	Five-year-old girl
715042	21297	Dog and Horse Act
715043	318456	Nightclub dancer
715044	140800	Nurse Rafferty
715044	178061	Nurse
715044	184953	Showgirl Angela
715044	203650	Mable
715044	246923	Sabrina
715045	60332	Herself
715046	137449	Nurse Michelle
715046	140371	Millie
715046	190269	Wardrobe woman #1
715046	204947	Detective Grogan
715046	221045	Intern
715046	222693	Valerie
715046	223896	O.R. Nurse
715046	291866	Linda
715046	338297	Charlotte
715046	344484	Woman on Phone
715046	348607	Jenny
715046	364203	Battleaxe
715047	334174	Elizabeth
715048	195271	Donna Greenberg
715048	334174	Elizabeth
715049	120449	Herself - 8th President of Ir
715050	180386	
715051	307928	Woman in Court
715052	381568	(1983)
715052	389844	Carol
715053	198835	Kathryn (special edition)
715053	262655	Tracey Morgan
715054	248491	Matron Heffernan
715055	75360	Lori
715056	215813	Captive Girl
715057	321822	Candy
715058	15852	Caroline
715058	33696	Dianna
715058	58162	Lisa
715058	92618	Dr. T's Staff
715058	139967	Dr. Kucera
715058	185821	Student
715058	194152	Diamond
715058	215813	Captive Girl
715058	231078	Party Girl
715058	252159	Haley Porter
715058	257750	Hooker
715058	266053	Rita
715058	283250	Shorty
715058	291302	Ronette
715058	297914	Charity
715058	340683	Susan Dodds
715058	347956	Christie
715058	358556	Miss Marigold
715058	363415	Kitty
715058	394392	Eclipse
715058	397371	Additional Voices
715059	22176	Giulietta Trapani
715059	110274	Gabrielle/Hulie
715059	379716	Pamela Kingsley (aka Pamela B
715059	380713	Bilan Marlowe (1981-1982)
715059	396123	Colby Cantrell #2 (1985)
715061	367093	Councelor
715062	52198	
715062	348327	Dancer
715062	367970	Dancer
715063	128089	Angela
715064	274342	Alicia
715065	219773	Mother
715065	372071	Michelle
715066	56207	Girl at Bus Stop
715066	176331	Jenny Goodman
715066	215045	Chris
715066	276424	Joanie
715066	294786	Joanie Holroyd
715066	321746	
715066	396937	Millie Baker
715067	9819	
715067	22953	
715067	22973	
715067	59816	
715067	129227	Landlady
715067	157454	
715067	183767	Mother
715067	207392	
715067	229227	
715067	239733	
715067	274208	
715067	334291	
715068	366670	Female Reporter
715069	379926	Herself (Winner - 1st Place)
715070	23699	
715071	75360	Lori
715072	383023	Regular
715073	5564	Olive Heath
715073	11639	
715073	21798	Denise
715073	44021	Grace Tyler
715073	44557	
715073	85085	Marie La Farge
715073	88496	Little Mary
715073	113733	Ann McGreagor
715073	137447	Jocelyn Wray, 10 years old
715073	161468	Katherine Taggart
715073	176764	Billie
715073	192265	Rosiland Arloff, age 10
715073	196484	Lisette
715073	199272	
715073	203201	Lucy Rodman
715073	209191	Pattie Batch
715073	213269	Rose Denton
715073	240782	Mary Whalen
715073	240958	Doris Strickland
715073	241541	Sally Rogers
715073	247912	Betty
715073	274262	Lucille Cavanagh
715073	279547	Gloria Carpenter
715073	285178	Sadie
715073	287947	Janet
715073	302674	Amy Cardigan
715073	359041	Mary Booth
715073	364780	Babs Burton
715073	372639	Mona
715074	316791	
715075	289585	Sophia's aunt
715076	401947	Calina Kovich-Morley
715077	350271	Katherine LaFanu
715078	62678	Charlotte
715078	238508	Wedding Participant
715079	185568	Mermaid
715080	323029	Sandra Coyle
715081	120803	Woman
715082	145976	Mrs. Hall (Richard's mother)
715082	168127	Mrs. Lane
715082	278784	Mrs. Meigs
715082	311910	Old Lizzie
715083	361159	Mrs. Simpson
715084	32740	
715084	338901	Neighbour
715085	64500	Edna Nelson
715085	291163	Sybil
715085	347608	Sybil
715085	358712	Mary Costello
715085	366351	Aida Courtlandt
715086	385020	Fiz Brown (2001- )
715087	326755	Catgirl Recruit #1
715088	73923	Sue
715088	385020	Angie Freeman (1990-1993, 199
715089	149026	Jacks Assistant
715090	230662	Janice
715091	226899	Girl child
715092	30777	Cathy Beck
715092	59007	Angel Carter
715092	93981	Diane
715092	134731	Doris Williams
715092	142597	Irene Molloy
715092	295351	Maggie Russell
715092	298083	
715093	410756	Herself
715094	77092	Herself
715094	154921	Herself
715094	157196	Herself
715094	229636	Herself
715094	229637	Herself
715094	240189	Herself
715094	392463	Herself (Series 1) (2002)
715094	393081	Presenter
715095	332016	Rachel, roadhouse bar girl
715096	46572	Mutant
715097	353418	Dolly
715097	360266	Laurie
715098	128268	Waitress
715099	7099	Little Karen Sympathy
715100	17751	Star-To-Be
715100	47363	Herself
715100	47382	
715100	191512	Herself
715100	223904	Herself
715100	271205	Judy Garland
715100	358807	Herself
715100	404613	Wendy Wilkins McNeil #1 (1974
715101	84439	Renee
715101	131760	Renee Talbot
715101	209292	Lancemate Spirit
715102	148954	Delphine Downing
715102	387309	Ann Kelly #2 (1964-1965)
715103	60829	
715103	213589	Sister (The Fabulous Singlett
715103	256625	Edith
715104	108951	Girl
715104	162529	Peacemaker Peggy
715104	381212	Gloria
715104	397299	Janice Thornton, health care 
715104	400212	Siobhan Tollit
715104	402610	Sally Rawlins
715104	406483	Nikki Salvani
715105	230873	Punker in Car
715106	40004	Rose Tasco
715106	80057	Estate Agent
715106	145170	Nicky
715106	149257	Alabama Lubitsch
715106	160412	Leticia
715106	192344	Penny Pimpton-Brown
715106	211508	Young witch
715106	242732	Annie Long
715106	267436	Nicky
715106	321097	Tanya Erickson
715106	388693	Edna Elephant
715107	49389	Cheese Demostrator
715107	364731	Bridesmaid
715107	403272	Millie
715108	336720	Sheppie
715109	1792	Miss January 1982
715109	56142	Cindy
715109	96958	Ginger Jones
715109	99584	Joan Esposito
715109	128774	Herself
715109	202372	Faye
715109	257814	Herself
715109	257847	Herself
715109	372525	Jyll Omato
715109	404282	Kelly Capwell #2 (1988-1989)
715110	194232	Tricia
715110	323036	Morag Todd
715110	403462	Gina Rossi
715112	326744	Female professor
715113	194724	Azreal
715113	277082	Mary
715114	215393	
715115	230531	Sister Devore
715116	79072	Mrs. Rimer
715117	364680	Heather
715118	108919	Prostitute
715119	383226	Kelly
715119	388758	
715120	192777	Trisha
715121	275055	Rose
715122	66661	Dani
715122	140960	Max's girl
715122	194405	Nikki Nystroke
715122	273931	Tanya
715123	26834	Harriet Turtle
715123	96775	Carla Rykker
715123	109607	Daisy Maddox
715123	119003	Harriet Turtle
715123	266166	Audrey Finn
715123	362307	Joanna Carr
715123	380246	Gina Lash
715123	380362	Anne Shirley
715123	383186	Caillou (2000-2001)
715123	389046	
715123	389264	Harriet Turtle (2001)
715123	389922	Becky Lopez
715123	390123	Hanna
715123	397280	Erika Amazake (Season 3)
715124	31740	Giant's wife
715124	195329	Anne-Marie
715125	390961	
715126	6248	Snobby Mom
715126	35524	Spider Rider
715126	45842	Veronica
715126	60332	Herself
715126	154869	
715126	176992	
715126	178138	Beautiful Girl
715126	199273	Lana Turell
715126	237008	Fit Woman
715126	245263	Debbie Allen
715126	323943	Det Allison Germanetti
715127	262614	Pauline Willis
715128	122019	Guy's kid
715129	231078	Orphan Singer
715130	58670	Herself
715130	310193	Herself
715130	385285	Herself (boarding the Challen
715131	86925	Emma Anderson
715132	40804	Crime Scene Technician #2
715133	56230	Mrs. Hudson
715133	77828	Sister Oriana
715133	114297	Mother
715133	120970	Femme dans la gare
715133	274445	Dorothy
715133	282690	Mrs. Hudson
715133	301256	Mrs. Hudson
715133	366983	Mrs. Burnett
715133	370853	A Grosvernor residant
715133	398208	Elderly Flower Seller
715134	32531	Lady Homeowner 3
715134	88852	Alice
715134	208986	Mavis
715134	258305	Lady Crombie
715134	385020	Anita Scott (2001-2002)
715134	401452	Alice Boocock
715134	407058	Sheila Sabatini
715134	408943	Primrose
715135	386339	Margaret
715136	161864	Mrs. Harrison
715136	382291	Susie Reynor (2003-)
715136	385177	Angie McIntyre
715137	21533	Pucci Drunk
715138	63034	
715139	20625	Extra
715139	309858	Nurse in Thanksgiving Show
715139	313321	Mother
715140	166658	Jemima
715141	589	Nurse
715141	12163	
715141	32528	Ruth Martin
715141	33922	Esther
715141	44501	
715141	52219	
715141	57173	The Girl
715141	65181	Cora Wheeler
715141	85008	Norah
715141	95028	Miss Murphy, Van Dyke's Secre
715141	100667	Laura Penningtow
715141	105294	Helen Wainwright
715141	105729	Grimm's Secretary
715141	113749	Helen Corwin
715141	117441	Morning Glory
715141	126590	Duff's Secretary
715141	134887	Virginia Bullivant
715141	135808	Woman
715141	139964	May Garvan
715141	143365	Jacqueline Lanier
715141	147633	Cameo appearance
715141	147916	Saleslady
715141	148545	Meg Mackenzie
715141	151073	Lucy Atheron
715141	154897	Undetermined Role
715141	155849	May Howard
715141	162274	Sheila
715141	166071	Mary Dale
715141	176235	Myrtle
715141	176343	Lynch's Secretary
715141	183841	Lady Windermere
715141	191220	Shirley Ross
715141	192294	May Banks
715141	196176	
715141	197943	Woman
715141	199244	Cathleen Gillis
715141	201067	Window Shopper
715141	202895	Eve Cartier
715141	206421	Guest at party
715141	207847	Sallie Smith
715141	208546	
715141	218936	Carlotta
715141	220559	Woman in aisle seat whose vis
715141	220846	Wife
715141	221334	Australy Wiggs
715141	224026	Nettie Bryson
715141	224205	Sal Gratton
715141	224809	Nurse
715141	230774	Sally's mother
715141	233541	Ruth Harper
715141	241992	Lucy Stanley
715141	252900	Claire Higgins
715141	254543	Middle Telephone Operator
715141	264823	Jeanne Millett
715141	275771	Carla
715141	278544	First Nurse
715141	279392	Judith Allen
715141	288974	Ysabel Atwater
715141	294368	Grizel
715141	295636	Herself (from Ben Hur)
715141	304973	Cynthia Martin
715141	311749	Mary Aylmer
715141	315119	May Lambert
715141	325024	Letitia Tevis
715141	328617	Olga Redmayne
715141	328766	Tessie
715141	330514	Girl Operator
715141	331702	Jeanne Wilton
715141	334191	Wounded Girl
715141	335860	Hilda O'Shaunnessey
715141	340956	
715141	342878	Chatworth's Secretary
715141	355088	Prudence Fairfax
715141	360189	Grace Lee
715141	361661	Bee Chew
715141	363710	Gossip
715141	366182	Nurse
715141	367632	Edith Norton
715142	392201	Princess Haida
715143	34581	Mrs. Buell
715143	39529	Ann Evans
715143	47496	Josephine
715143	54995	Alison Horne
715143	65364	Claudelle Inglish
715143	81337	Treasure hunter #3
715143	82521	Lisa Gordot
715143	87884	Laura Frelief (Quaint's niece
715143	114699	Rita
715143	153323	
715143	154569	Liz
715143	155261	Christine Storm
715143	173936	Margo
715143	206922	Tiffany Richards
715143	206942	Elli Holden
715143	214648	Shayne
715143	218344	
715143	241128	
715143	249323	Alison Post
715143	267347	Attorney
715143	274100	Mrs. French
715143	311230	Diana St. Clair
715143	327509	
715143	332003	Annie Blaine
715143	364777	Dolores Hamilton
715143	385824	Foxy Humdinger (1982-1984)
715143	389858	Claire Howard (1988)
715143	407057	Daphne Dutton
715144	944	Red Dawn
715146	41894	Lilly
715146	90840	
715146	187412	Herself
715146	277103	
715146	321369	Mabel Brooks
715146	326783	Susan
715146	343164	
715146	356647	
715147	251255	
715148	113879	Fan
715149	358476	Woman on TV
715150	159538	
715150	229663	Lucille Lemoyne
715150	410628	Sylvie Côté
715151	154357	Slattern
715152	382398	Drzan
715153	163565	Amy
715154	57929	ABA Student
715155	309206	Sara
715156	25038	
715157	171079	Girl Outside Video Store
715158	72208	Baby
715159	218878	Ruby Manning
715159	253338	Judge Baskin
715159	276688	Marianne Bell
715159	405153	Principal (episode 3)
715160	141695	Extra #4
715161	115886	Imagemaker
715162	96857	Nurse #2
715163	298266	Typist
715164	342760	Biker
715166	64823	Rosa Martinez
715166	155537	Cross
715166	201376	Soldiers and Citizens #3
715166	201377	Ninja/Festival Crowd #3
715166	269293	Hiroshi's Cat
715166	283678	Concerned Woman (English vers
715166	283679	Etoro (English version)
715166	285922	Dance Instructor, Woman On Th
715166	327048	Nina Williams
715166	375765	Melissa
715166	386236	Manako Sonobe
715166	389570	Nadia's Mother
715166	396019	Additional Voices
715166	404138	Crimson Miroku
715166	404840	Empress Kyouhi
715167	79584	Girl on the subway
715168	33839	Belzer's girlfriend
715168	56858	Audience member
715168	150814	Nurse
715168	160669	I.F.R. Female Member
715168	190722	Honey
715168	213603	Woman (video 'Taken In')
715168	271063	Air France Stewardess
715168	277660	Marilyn Monroe
715168	331550	First Model
715169	176881	Nurse
715169	241423	Jean
715169	404659	Madeleine Duclos (1978-79)
715170	324389	Madeline
715171	49884	
715172	396088	Meg Dale (1951-1958)
715173	235952	Granger's Wife
715173	313441	Technician
715174	11469	
715175	4536	Library Assistant
715175	110315	Mrs. Richardson
715176	245600	Iris
715177	105263	Child in Classroom
715177	290389	Hogs & Hogettes
715178	215905	Gospel Singer
715179	39464	
715179	41279	
715179	131805	House Mother
715179	277071	State Inspector
715180	131777	House Mother
715180	133829	Manageress
715180	350347	Bertha
715180	354215	Boots, Landlady
715181	2009	Herself - Presenter
715181	2573	Herself
715181	2581	Perfomer "Concrete Angel"
715181	5340	Herself
715181	66238	Performer
715181	109143	Herself
715181	132846	Herself
715181	161333	Herself
715181	384538	Herself
715181	389858	Herself (1994)
715182	33997	Mom
715182	93359	Dreamer: Call for prayers
715183	396997	Herself
715184	158358	Mother
715185	18559	Brett
715185	65837	Natalie
715185	78097	Mrs. Doyle
715185	143068	Ellie
715185	158274	
715185	223329	Tiffany's mom
715185	228204	Janine Keach
715185	256627	Elizabeth Holmes
715185	292017	Mary Pat Bradley
715186	207267	Rebecca
715186	263395	Leslie
715186	317875	Lillian
715187	28564	Herself
715187	192552	Herself
715187	213314	Hermia
715187	236964	Clara
715188	147845	Telephone Receptionist
715189	125813	Tess Ziegler
715190	138751	Ella
715191	93359	Other voices
715192	203918	Political Aide
715193	232425	Big Witch
715193	258513	Additional Voices
715194	253010	Tinkerbell
715195	46537	Thunderbird Lady
715196	72208	Audience Member
715197	251341	
715197	382614	Suzanne Troxell
715197	383849	Additional Voices
715197	401044	Victoria Woodbridge
715197	405718	Additional Voices
715198	115106	Heels
715198	158189	Beatrice
715198	246031	Herself (backing vocals)
715198	256209	Herself (backing vocals)
715198	256213	Herself (backing vocals)
715198	281923	Bellhop
715198	305867	
715198	351502	Willow
715199	119094	Grengol
715200	22954	Herself
715200	256209	Herself (backing vocals)
715201	35809	Petronella Danforth
715201	38268	Violet, Whore
715201	67793	Girl Barber
715201	167047	Woman
715201	187283	Julia
715201	230933	Prostitute
715201	365833	Pearl
715202	72930	Anne
715203	72039	
715203	331661	? (segment "Michael")
715203	382590	Jane Fowler
715203	391869	Audrey Orchard (1989)
715203	399816	Jodi (1977)
715203	402197	'Pixie' Mason (1983-1985)
715203	411809	Nurse Tania Livingstone (1977
715204	196872	Concession Attendant
715205	307450	
715206	364322	Girl 3
715207	248149	Cynthia Scott
715208	337849	Receptionist in Dr. Lonn's of
715209	218782	Joan
715210	229311	Lou
715211	183872	Mrs. Vollick
715212	332385	Claimant's Child
715213	281561	Goodie
715214	103304	Casting Person
715214	321307	Gail Thompson
715215	253818	Seatmate #1
715216	296777	Herself (daughter of Sean O'C
715217	272231	Girl on tennis court
715218	160884	Store Assistant
715219	230395	Double Oh
715220	290983	Nicole
715221	313914	Girl on Scooter
715222	364322	Girl 1
715223	364322	Girl 1
715224	192726	The Clerk Lady
715225	380391	Bunny Eberhardt (1995)
715225	400236	Alicia Grande (1988-1989)
715225	404613	Sunny Adamson (1978-1986)
715226	88526	Receptionist
715227	170826	Undetermined Role
715228	132247	Marshall Dance Team
715229	38989	Aunt Dezba
715230	273222	
715231	25480	Grace Bird
715231	30077	Oracle
715231	40174	Dr. Louise
715231	64400	Emily Mahon
715231	65895	Mary
715231	105100	Mrs. O'Neill
715231	109660	Mrs. Donovan
715231	112018	Tinker Woman
715231	149953	Elaine Spence
715231	160884	Celia
715231	162268	Herself - Award Winner
715231	214996	Wardrobe Mistress
715231	224070	Mary
715231	296773	Mrs. Grigson
715231	302878	Rev. Mother Paul
715231	305990	Kay Curley
715231	323961	O'Toole
715231	333868	Kathleen
715231	365138	Lily
715231	380456	Margaret McCutcheon
715231	388209	Kay McCoy I (1988-1990)
715231	388837	Ma
715231	399069	Penny
715231	399567	Nuala
715231	403146	Nora Mullen
715231	404409	Kathleen O'Hara
715231	407425	Rosalie
715232	73891	Barbara
715233	89301	Caroline Donoghue
715233	149107	Prostitute
715233	281901	Sarah Willingham
715234	406330	Joanne
715235	323721	Extra
715236	11911	Female prisoner
715237	99212	Customer at the Gate
715238	86516	Herself
715239	25156	
715239	37836	Herself
715240	151758	Hostess
715240	185441	Woman in Hat
715240	250514	Woman in Lobby
715240	306431	Auntie Molly
715241	391262	Hope Hazard
715242	201941	Stephanie
715243	19302	Wendy
715244	185194	
715245	5385	Kathleen McAteer
715246	67599	Samantha
715246	347440	Off. Debbie Lesh
715246	404282	Louise (1990)
715247	60205	Herself
715248	139073	Pam Sokel
715249	333857	Extra
715250	60746	Glu Glu Club Patron
715250	119097	Hooker Jones
715251	366655	Victim's Kid #2
715252	382838	Ruth Gordon Smith (2002-2003)
715253	86813	Valerie
715254	28272	Lili
715254	52451	Andygirl
715254	97203	School Girl
715254	137565	Libby
715254	229260	Fanny Shaw
715254	367208	Brianna
715254	387004	Danni
715254	399130	Cecile Bliss (2000-2002, 2003
715254	400564	Fiona McDaniel
715255	72882	Eilidh
715255	79058	Jane Barrett
715255	82543	Dr. Ruby Munro
715255	118393	Serena (Wedding one)
715255	351930	Georgina
715255	382663	Victoria Carstairs
715255	398365	Tanty
715256	3942	Casting director Val
715257	184420	Young Amy
715257	366655	Victim's Kid #1
715258	391454	Angela
715259	292293	
715260	409471	Accordian Player
715261	84439	Jen
715262	370035	Judge
715263	78845	Nurse
715264	41181	Aerobic girl
715265	343227	Shelley Black
715266	11508	Mother
715266	11554	Sally
715266	22865	Louise
715266	26844	Stella Baines
715266	53308	Joan Nichols
715266	95790	Sue Graham
715266	112432	Virginia Hagan
715266	113994	Flo
715266	114251	Louise Davis
715266	116907	Ethel McCormack
715266	134193	Lynn Peltzer
715266	149107	Claire Calo
715266	163362	Joyce Rogers
715266	186036	Prostitute
715266	186680	Susan
715266	194222	Dr. Stamos
715266	205658	Brenda Moore
715266	222677	Miss Milray
715266	233834	Pat Hollister
715266	233925	Mother
715266	250514	Judy
715266	258963	Bea Emory
715266	259284	
715266	261046	Ethel
715266	272973	
715266	273327	Jeannette Yeager
715266	289406	
715266	291221	Mrs. Riley
715266	292786	Dr. Lee
715266	302750	Patti
715266	313059	Mrs. Lachance
715266	329025	Mrs. Johnson
715266	339389	Jan Holder
715266	340765	Mrs. Lowenstein
715266	343044	Nurse Mary
715266	359341	Jenny
715266	375047	Martha
715266	378729	Lois
715266	380507	Barbara Apple
715266	404635	Felicity Cook
715266	410616	Paula Stoner Gardiner
715267	266602	
715268	305778	Exotic Dancer
715269	112601	Girl in Nightclub
715270	353611	Marylin
715271	7055	
715271	273595	
715271	296995	
715272	144465	Coffee Bar Girl
715274	151483	Noelie
715275	92618	Dr. T's Patient
715275	140912	Head Nurse
715275	265100	Rich Lady
715277	20625	Extra
715277	87871	Amelia
715278	58002	House Model
715278	113286	Julie/Lyn
715279	372434	
715280	243478	
715281	55662	June
715282	23919	Herself
715282	23934	Herself
715282	27565	Presenter
715282	27567	Host
715282	36854	Presenter
715282	47170	Host
715282	47173	Host
715282	68097	Presenter: Celebrity Streetma
715282	68110	Herself
715282	68111	Herself
715282	68113	Host
715282	208872	Herself
715282	215170	Presenter
715282	240189	Herself
715282	282698	
715282	311703	Herself
715282	313795	Presenter
715282	364227	Herself
715282	381910	Presenter
715282	383733	Presenter
715282	386723	Presenter
715282	390227	Presenter
715282	396092	Presenter
715282	398448	Guest Presenter
715282	399933	Presenter
715282	401889	Presenter
715282	402121	Co-Host (1998-1999)
715282	403030	Presenter
715282	404199	Sam
715282	404945	Narrator
715282	406716	Presenter
715282	409868	Presenter (Series 1) (2002)
715282	411259	Herself (1998)
715283	20232	Mrs. Canby
715284	69845	Welsh chambermaid
715284	116577	WRAC
715285	58002	Bald Lady
715286	25385	College English teacher
715286	184945	
715286	198105	
715286	296260	
715286	368316	
715287	155912	
715287	268191	
715288	239394	Jo
715288	406793	
715289	4705	
715290	370851	Old Woman
715291	84935	Julie
715291	134515	Allison Corwin
715291	134521	Allison Corwin
715291	265611	Helen
715292	31059	Girl
715292	209604	
715292	220552	Fan #3
715292	230391	Ad Lib
715292	269340	Tyrus 4 Amazon Leader
715292	270404	Red-Haired Girl
715292	283579	
715292	301842	Fashion Model
715292	325970	Girl at Slot Machine
715292	343160	Showgirl
715293	375130	Screenwriter's Assistant
715294	244345	Anne Murphy
715295	31315	Space Angel
715296	203688	Fanny Van Dyke
715297	226482	Geiger's Henchman
715298	19769	Geedo
715298	58939	Bea
715298	74188	Evelyn
715298	97644	Fig Lady
715298	133353	Mother
715298	155213	Glypto
715298	198976	Harriet
715298	218369	
715298	242939	Freida Crown
715298	269595	Bella Markarov
715298	359291	Mitzi
715298	363953	Sophie Rosen
715298	372346	Skeets
715298	379845	Miriam Lerner
715298	388914	Penny
715298	389300	
715298	389319	Grandma
715298	390534	
715298	391950	
715298	401083	Penny
715298	403834	Regular Performer (1968-1969)
715298	404517	Additional Voices
715298	405367	Fran Lipschitz (1993-1999)
715298	405739	Auntie Marina/Additional Voic
715298	407441	Additional Voices
715299	47364	Singer in 'Who's Who' Number
715300	41587	
715300	43585	
715300	188986	
715301	216840	Herself
715301	385594	Charlotte 'Charlie' Wade (198
715302	194332	Dancer
715302	223099	Herself
715302	313825	Nightclub Dancer
715302	372175	Toya
715302	372176	Dancer
715303	117091	Fan
715303	252925	Pedestrian In Park
715304	292163	Tina
715305	135385	Dr. Lily Whitehorn
715306	31877	Marie Baron
715306	114594	'Big Pearl' Jackson
715306	114632	Sister Magdalena
715306	138235	Holly
715306	279125	
715306	297896	Jerrie Turner
715306	405096	Sheena
715307	279203	Chapman
715308	128308	Flora Dora Girl
715309	236352	
715310	240076	Sarah Sonnenshine
715311	403808	Herself - ecologist
715312	41471	Bridget Bond
715313	385441	Powell's secretary
715314	230024	Waitress
715315	126606	Yardie Girl
715316	41740	
715316	128081	Bailey
715316	134277	Ma Cleghorn
715316	164427	Mrs. Lee
715316	171070	Lizzie
715316	223790	Nurse
715316	224085	Mrs. Henderson
715316	269979	Dame Edith Slater
715316	307513	Helen Law
715316	388846	Miss Cochrane
715316	402186	Kate Dewar
715316	407414	Isabel Blair
715317	130327	
715317	187234	
715317	194136	Slinky Blonde #2
715317	235575	
715317	406422	
715317	408458	
715318	29654	Barbara
715318	99208	Flora Miller (actress)/St.Sim
715318	118789	Marion Sharpe
715318	124501	Marjorie
715318	142923	Countess d'Auvergne
715318	149495	Bookshop Cashier
715318	207093	Miriam Morris
715318	224566	Evie Howard
715318	231527	Jenny Blake
715318	268156	Clara Eynsford Hill
715318	335051	Virginia Woolf
715318	337477	Virgilia
715318	364818	Doctor Roper
715318	368771	Camilla
715318	382409	Monica
715318	383071	Frances Neville/Lacey
715318	407892	Winifred Holtby
715318	408716	Toni Mountford
715319	121135	Funeral Attendee
715320	175459	
715321	321168	Buddy's girlfriend
715322	65146	
715323	161313	Herself
715324	33502	Amelia Breceda
715325	257344	Neighbour
715325	323036	Neighbour
715326	364735	Helen
715327	116966	Elisabeth Vernet
715328	90364	Cristy
715329	313477	Bene
715330	321168	Miss Wilson
715331	213494	The maid
715332	175459	
715333	242922	Opponent with child
715334	386606	Bonzo (1985)
715335	305005	Mrs. Swan
715336	58418	Princess Elvia
715337	385575	Alamayne Templeton
715338	112	Herself
715338	1974	Herself - Presenter
715338	3021	Herself (Past Winner)
715338	11514	Sadie Burke
715338	13398	Miss Lestrange (segment "Fami
715338	16643	Sarah Strand
715338	63993	Mrs. Sarah Wyatt
715338	69137	Nelli
715338	71635	Frances
715338	97211	Lillian Gerben
715338	105891	Pazuzu
715338	109058	Miss Van Campen
715338	127394	Luz Benedict older
715338	128760	Doris McKenzie
715338	160436	Ada Stritch
715338	168696	Emma Small
715338	176797	Sister Sarah
715338	185288	
715338	190588	Liza McStringer
715338	244411	Maggie
715338	263174	Hester Madigan
715338	276835	Herself
715338	283350	Nell Hagen
715338	285008	Ma Sackett
715338	289555	Connie Carter
715338	291348	Herself
715338	303544	Ma Erdly
715338	318193	Mrs. Holly
715338	330332	Street Lady
715338	336683	Gang Leader
715338	342851	Mrs. Castle
715338	359476	Herself
715338	364195	Grandmother
715338	400239	Beth Holly #1 (1949-1950)
715338	411271	Katherine Wells (1956-1957)
715339	59729	Clair Riley
715340	139587	Herself (interviewee)
715341	194483	The Lord of the Dance Troupe 
715342	266627	Woman
715343	354830	Keiko
715344	159217	Grace
715345	271855	Dancer
715346	411354	Younger Lee Bouvier
715347	352146	Herself
715348	204244	Jo
715348	227697	Prostitute
715349	199495	Seine tochter
715350	408816	Herself (series 2 - 2002)
715351	314252	Cook's Helper
715352	34977	A Girl
715352	69614	Girl
715352	120645	Barbara Beesley
715352	135553	Emmy Merino
715352	171134	Hillary Girl
715352	195753	Albertina Kahrney
715352	206887	Patsy Hall
715352	218811	Girl
715352	254558	Mary Fabian
715352	303232	Dorrie McIntyre
715352	342873	Patsy, age 2
715353	41739	Grandmother
715353	255452	Child
715353	342848	Laura Baker
715354	346347	Schoolchild
715355	72836	Esme Cragis Milos
715356	51590	
715356	113540	Freda
715356	362763	
715357	385020	Audrey Bright/Fleming (1968-1
715358	76258	Snow Lemming
715359	402611	Siobhan Potter
715360	336559	Singer
715361	188502	Off-Duty Dancer #1
715362	301660	College girl
715363	337180	Honey Russell
715364	245513	Midge Roscoe
715365	365138	Shopping woman
715366	130063	Tina
715366	373989	Amanda
715367	374419	Nancy (biker)
715368	328663	Judith Fox
715368	335065	Beth, guest
715368	347446	Phillipa
715369	69037	Donna
715369	163331	Sharon
715369	191321	Actress
715369	232321	Yogurt-Eating Date
715369	304765	Sister Carolyn
715369	310329	Policewoman
715369	330412	Cocktail Waitress
715370	350216	Cheerleader
715371	300524	
715372	91848	Woman Hostage
715373	92681	
715374	316492	Orange Blossom
715374	383612	Space Patrol Officer Maxie
715375	302739	Showgirl
715376	194213	Sexy Dancer
715377	408300	Pauline (2000-2001)
715378	126069	Showgirl
715379	348540	
715380	109395	Showroom Buyer #2
715381	193207	Switchboard Operator
715382	41747	Party Girl
715383	49689	Lauren Young
715383	80479	Dr. Marion Hague
715383	89000	Elaine McGill
715383	107910	Mrs. Wellington
715383	345948	Ann Langdon
715383	388237	Harriet Roberts (1986)
715384	302287	Sim
715384	302289	Sim
715385	199210	Gatherer
715386	253347	Anne Liebman
715387	144540	Karin
715388	26537	Caroline
715388	192245	Catherine
715388	194130	Nurse
715388	273715	Angie Riddell
715388	323039	Abbie Marshall
715388	404407	Woman (Series 2)
715389	283396	Diana
715390	286062	
715391	101382	1st Beach Girl
715392	84925	
715393	106621	Miss Crossley
715393	131410	Carole
715393	304812	Sally Foster, maid
715394	333771	Dental Nurse
715394	402426	Various characters
715394	406553	Isa Drennan
715395	79352	Maggie, the Maid
715395	86998	Frances
715395	178027	Annabelle
715395	326747	Terry Marsh
715396	5378	Ripley
715396	365138	Receptionist
715397	78941	Bennini's Girlfriend #2
715398	312927	Detective 7
715399	217102	
715400	65378	Party guest
715400	194520	Billie
715400	379716	Nancy Grant Blair Grant Fishe
715401	137620	
715402	318450	
715403	47914	Chandler Academy Student
715404	350484	Granddaughter
715405	396088	Bambi Brewster (1977-1980)
715405	407916	Samantha Walker (1980-1981)
715407	72747	Carol
715407	72853	Dr. Wendy H. Oliver
715407	74202	
715407	121348	Carol
715407	292247	Nurse
715408	8075	Receptionist #1
715409	380911	Herself - Top 30 (2004)
715410	161471	
715410	359284	Mrs. Riley
715411	59484	Lora
715411	78677	Angela Sutton
715411	185648	Hollywood Boulevard Type
715411	215178	Melissa
715412	109523	Wonder
715413	262015	News Reporter
715414	292019	Bar Patron
715415	41211	Pam
715416	117874	Topless Girl
715416	300180	Carmi
715417	191394	
715418	219558	Pat (Cynthia's Mom)
715419	82385	Nurse
715419	236972	Waltz of the Flowers
715419	342552	Giggling Secretary
715420	107220	Officer Struthers
715420	205904	Nudist
715420	290084	Susan
715420	323148	Mother
715420	380293	Kim Wrenn
715422	70532	Mrs. Teller
715423	277474	Darlene Kanachowski
715423	409244	T.V. Actress
715424	381451	Newsreader
715424	393145	Newsreader (2003-)
715425	161760	
715425	179108	Akumako
715425	244234	
715426	17928	Old lady in chemist
715426	73843	Old Lady
715426	114051	Lady in Cafeteria
715426	150748	
715426	155257	Mrs Ledbetter
715426	194479	Old lady
715426	215796	Mrs Atherton
715426	221166	The parrot lady
715426	252138	Mrs. Kings
715426	276264	Mrs. Smythe
715426	297193	Elsa
715426	312854	Elderly Woman
715426	364731	Moll Skelton
715426	382384	Sister Aelred
715426	382733	Maeve Brett
715426	396073	Mrs. O'Keefe
715426	401307	Mrs. Parkes (Pilot, Series 1)
715426	408870	Enid Marsh
715427	5806	Jenny Creighton
715427	33079	Sam
715427	80400	Miriam
715427	195593	
715427	219184	Laura Barnett
715428	358154	
715429	359543	Jenna
715430	1376	Bessie
715430	66349	Nurse
715430	196370	Casting Director
715430	217954	Red-Headed Waitress
715430	240969	Bessie
715430	241583	Psychic
715430	279509	Happy Days Waitress #1
715430	300871	Trell
715430	363927	Dressing Room Staffer
715432	1942	Herself (Host)
715432	26142	Herself
715432	30582	Yvette Denslow
715432	32917	Herself
715432	34839	Herself
715432	41063	Herself
715432	45778	Host
715432	57031	Laurel Canyon
715432	57936	Herself
715432	67135	Herself (Photographer)
715432	79787	Herself
715432	85866	Sugar
715432	87391	Rebecca
715432	95632	Herself - Host
715432	201512	Herself
715432	221420	Herself
715432	221469	
715432	253011	Whitney
715432	257635	Herself
715432	257652	Herself (Miss June)
715432	257675	Herself
715432	257841	Herself (Miss October 1993)
715432	257864	Herself
715432	257866	Herself
715432	268221	Francesca Garibaldi
715432	279982	Herself/Various Characters
715432	280674	
715432	289668	Kate
715432	291223	Sarah Darling
715432	317551	Glamorous Actress
715432	325258	Herself (1994 Playmate of the
715432	329311	Julia
715432	330434	Blonde Nurse
715432	361855	Herself
715432	368828	Herself
715432	379964	Herself (Hostess)
715432	393435	Herself/Various Characters
715432	393437	Jenny McMillan
715432	405443	Herself (1995-1997)
715432	411477	Herself (Hostess)
715433	372071	Kat
715434	7977	Upper-Class Woman
715434	11283	Wife
715434	32400	
715434	69363	Mrs. Davey
715434	99918	Nurse
715434	102500	Thorfinn's Mum
715434	351930	Agnes
715434	365937	Mrs. McLaren
715434	370859	Landlady
715434	387332	Mrs. Quinn
715434	395918	Mrs. Josser
715434	396073	Matron
715434	398990	Clementine
715434	403464	Angela
715434	405696	Millie McCraig
715434	410714	Bessie
715435	10847	Interviewee
715435	27207	Nurse #1
715435	48592	Mrs. Swicker
715435	78936	Mrs. Sarah Loomis Johnson
715435	87893	Blue Haired Lady
715435	90508	
715435	102247	Mrs. Raskin
715435	114223	Grandmother
715435	120297	Old Lady Bradley
715435	128893	Nana
715435	151007	Ellen
715435	176748	Bingo Lady
715435	182977	Woman
715435	185065	Counselor
715435	190570	Wilma
715435	200894	Elderly Lady
715435	260117	Mrs. Dubrowski
715435	288468	Mrs. O'Hara
715435	293145	Nadine
715435	303836	Old Woman
715435	304851	Eileen Hunter
715435	313820	Expert #1
715435	316979	Judge Helen Kramer
715435	326604	Professor
715435	363045	Mrs. Voss
715435	385720	Mrs. Johnson/Abagail (1991)
715435	411802	Liz Foster (1973-1988, 2003) 
715436	390900	Shota
715436	392430	Konosuke, Deyashiki
715438	14166	Indigo
715439	59872	Cindy
715440	275792	Marilyn
715441	263	Waitress
715442	118372	Waitress
715443	236502	Her daughter
715444	207229	Kitty Clive
715444	221184	Mrs. Gregory
715445	282920	
715445	339439	Hysterical Woman
715446	273263	Portia
715447	646	Other 'Gold Mine' Girl
715448	166568	Prostitute
715449	10535	Karen
715449	16803	Miss Barry
715449	52204	W.I. Administrator 1
715449	81123	Ruby Pilbeam
715449	104045	Vivian, dresser
715449	113933	Mrs. Jago
715449	145312	Margaret
715449	175163	Customer
715449	341670	Nurse Mary
715449	381685	Cook
715449	383631	Helen Green: Receptionist (19
715449	386502	Rita
715449	388547	Miss Raynham
715449	391325	Miss. Marriott
715449	405088	Kathleen O'Reilly
715449	408867	Kathleen Norton
715450	362188	Stacey Jacobs
715451	167702	Nikki Ritz
715452	344652	Murray's Wife
715453	8073	Jean Moe
715454	274650	Extra
715455	24506	Tonnie
715455	59664	Doris
715455	61286	Tot Wagner
715455	94018	Shirley
715455	129768	Sandra
715455	129932	Margaret
715455	176410	Sky King waitress
715455	177076	DNAmy
715455	190171	Goth girl/Nico
715455	267105	Cici Pinkus
715455	330565	Marilyn
715455	363948	Paramedic
715455	390068	Sookie St. James
715456	326834	Diner Patron
715457	151207	Restaurant Guest
715458	40336	Lorrie
715458	114955	Ruth Willis
715458	133815	Ann, George's Ex Girl
715458	189238	Connie Peterson
715458	245632	Principal
715459	49734	Nate's Nurse
715459	105618	Nurse
715459	367651	Dorrie
715460	318456	Nightclub dancer
715461	37033	Schoolgirl #2
715462	127713	Bunny
715463	401968	Herself (2000-)
715464	7878	Mama-San
715464	109064	Misa/Jeanne Wakatsuki
715464	114632	Chioko
715464	122909	Shinobu Senhora
715464	125191	Kimi Sikita
715464	152962	Japanese Clerk
715464	173931	Yukie
715464	185131	Miss Bea
715464	194806	Zora Lewin
715464	196181	Yuki
715464	246222	Mira Watanabe
715464	246699	Sari
715464	304690	Herself (actress)
715464	322632	Mrs. MacAlister
715464	334890	Bit Part
715464	342983	Whareparita
715464	358442	Ume
715464	358575	Kim Sung
715464	359714	Masi Matsumoto
715465	202037	Betty
715466	122249	Edith Martin
715467	256257	Stewardess
715468	89271	The Prostitute With The Gum
715469	86536	
715470	296742	Patricia
715471	276328	Jody
715472	58002	Shower Girl
715473	2042	Herself (Co-Host)
715473	3293	Heather
715473	22083	
715473	25415	Nancy
715473	26839	Garbanza
715473	27876	Peggy Delaney
715473	32083	Molly Jessop
715473	32657	Sophie(Maid)
715473	33180	
715473	46985	Nina
715473	54920	Carol Doster
715473	69416	Mrs. Gerard
715473	75653	Alice
715473	79716	Judith
715473	80482	Jane Armitage
715473	86279	Samantha Coleman
715473	94578	Easterbrook
715473	120265	Kathy
715473	121516	Mrs. Klein
715473	126075	Miss Birdwood
715473	140371	Eva
715473	150802	Gwenna Krupp
715473	155031	Polly Vandersma
715473	183182	
715473	185900	Penny
715473	195102	Diane Kingswood
715473	195268	
715473	206335	Lynn Reailly
715473	210960	Jill Lansing
715473	218581	Ann Stuart, Toronto housewife
715473	221535	Margaret
715473	230083	Anna
715473	246222	Liz Hamilton
715473	248431	Sally Pike
715473	261440	Jenny
715473	264761	Diane Callaghan
715473	272437	Claire
715473	272739	Miss Paige, Susan's boss
715473	273496	Ellie Hutchins ('Cursed with 
715473	296866	Jesse's Mom
715473	314484	Andy
715473	355164	Holly
715473	363982	Zelda
715473	372191	Mrs. Lynn
715473	381120	
715473	387524	Laura Murray
715473	387598	Various Roles
715473	389322	Annie
715473	392450	Mrs. Tapscrew
715473	396991	Elizabeth the Emotional Pig
715473	398208	Mildred
715473	406993	Aunt Rhonda
715473	408529	Tammy
715473	411355	Totsie
715474	168151	The Three Comforters
715475	149777	Teresa
715475	381121	Roisin Connor (Series 4) (200
715475	381875	Lizzie Goodhew
715476	89340	Gina McDonald
715476	143540	
715476	189986	Mrs. Judy Bayliss
715476	388595	Mum
715477	171700	Natalie Powell (Age 6)
715478	113264	Will's Wife
715479	79891	
715479	334104	Picadilly Usherette
715480	188221	Herself
715481	305345	Sister
715482	381878	Various Characters
715482	390947	Various
715483	1404	
715483	26842	
715483	40313	
715483	68094	
715483	69078	Herself
715483	70427	
715483	87771	Co-Host
715483	120570	
715483	126500	Herself
715483	129092	Linda
715483	165299	Herself
715483	188221	Herself
715483	191052	Herself
715483	241394	
715483	250929	Herself (Keyboardist)
715483	250942	Herself
715483	267836	
715483	280258	Herself
715483	330028	Herself
715483	366170	
715483	366209	Herself
715483	366213	Herself
715483	381501	Herself
715484	265928	Hair stylist
715485	366213	Herself (Interviewer)
715486	99373	Elle Style Icon
715486	352985	Herself
715487	27271	Redhead
715488	130180	Stacey
715489	49893	Herself (Taylorette)
715489	202645	Herself
715490	54931	Reporter
715491	75830	Bianca
715492	304443	Anarchist's Daughter
715493	2350	
715493	2517	Miss Kansas USA/Miss USA 1991
715493	83829	Bridget Roarke
715493	109486	WiB #1
715493	128166	Caitlin
715493	147840	Jenkins
715493	150965	Pamela
715493	273851	Tina Morgan
715493	277484	
715493	323972	Rebecca
715494	329346	Young Paula
715495	11485	Cast of NY/LA
715495	26139	Mother Goose
715495	33698	Phone Operator
715495	90269	Guest Star
715495	119803	Annie Farrell
715495	128790	
715495	144896	Mary
715495	146752	Specialty Act
715495	155294	Miss Trent
715495	158331	
715495	175162	Froggy
715495	224317	Doreen Smith
715495	255878	Nurse Resnick
715495	273600	Florabelle
715495	307976	Flora
715495	318608	Gladys
715495	327218	Miss Dobson
715495	367756	Mary
715495	372819	Girl
715495	379243	Regular Performer
715495	383765	Herself (panelist, 1951-1952)
715495	408749	Clara 'Starch' Willoughby, R.
715496	292008	Sarah Roe
715497	37672	
715498	140159	Herself
715498	257231	Edith
715499	6814	Waitress
715499	41090	Veterinarian's Nurse
715499	42019	Bebette
715499	81257	Virginia Marshall
715499	84926	Sally Farrell
715499	112626	Joan Manning
715499	123903	Jane Deering
715499	136049	Joan Royal
715499	162931	Bobbie Nelson
715499	238711	Secretary
715499	245427	Kitty Reed
715499	245741	Jean Barkley
715499	262336	Sue Evans
715499	283852	Barbara
715499	297944	Hat Check Girl
715499	328658	Roxie a Saloon Girl
715499	345958	Minnie
715499	358439	Girl at the inn
715499	372299	Young Girl
715500	257814	Herself (Hostess)
715500	316760	Bar Patron
715500	363250	Shannon
715500	410946	Substatute Hostess (1982)
715501	375692	Stunt Zombie
715502	83842	Ward Secretary
715502	158920	Guard
715503	183880	
715504	366395	Baby
715505	366395	Baby
715506	31201	Herself (CBS Team)
715506	61611	Beverly McCumber
715506	76253	Shopkeeper
715506	76617	Marge
715506	114153	
715506	158275	Pauline Given Ryan
715506	179042	Herself
715506	195969	Elizabeth Nellison
715506	196130	Sally Loeb
715506	227015	Flora
715506	232422	Connie Senia
715506	237931	Jackie Stevens
715506	245265	Mrs. Wellstone
715506	310613	Trina Cunningham
715506	343230	Beverly
715506	394676	Laura Avery Sumner (1979-1987
715506	396784	Karen
715506	396937	Cheryl Huffman
715507	27291	
715507	72349	
715508	316886	Uptown Girl No. 1
715509	218138	Shirl
715510	105492	Waitress
715510	231779	Siamese Twin #1
715510	410887	Jane Hitchcock
715511	319709	Sheryl Leahy
715511	381842	U.N.I.C.E., L.U.C.I., Gossip 
715511	394387	Dirty Trixie
715511	403608	Jessica Stuart
715511	404282	Sally Taylor (1984, 1985)
715512	256074	Prostitute
715513	97054	Travailleuse sociale
715514	203679	Lexie
715515	112898	Nurse
715516	50268	Cigarette Girl
715517	312270	School Girl #2
715518	245337	High School Student
715519	95208	
715519	109623	
715519	215250	Suspect woman
715519	266599	Girl on TV #1
715519	309231	
715520	131665	Cathy
715521	154927	Gang member
715522	301231	Sara
715523	144577	Dancer
715524	338927	Mrs. Pierce
715525	264157	Choir Director
715526	340827	Louis' Date at Chinese Restau
715527	140490	Iliki
715528	123020	Elexia
715528	350337	Mooner/Flasher
715529	401108	Fish Jr.
715530	79059	Margaret Walsh (Kyle's Mom)
715530	273408	Caitlin
715530	342871	Sharon
715530	391368	Julia
715530	400646	Samantha Daniels
715530	403974	Various Characters
715531	201540	Rebecca
715533	333517	Ada
715534	248102	Maxine
715535	31448	Gail Hatch
715536	63342	Theater Kid
715537	10889	
715537	14492	Helen Royce
715537	48652	
715537	50333	Gladys Schuyler
715537	56137	Jane Harris
715537	60766	Vary
715537	64940	Mrs. Lockney
715537	76603	Grandmother
715537	80716	Mrs. Halloran
715537	81209	Helen McCloud
715537	98803	Grace Tully
715537	98804	Grace Tully
715537	110218	Deborah Cannon
715537	112399	Ellen Bleier
715537	120611	
715537	131348	Irene
715537	144340	Mrs. Calder
715537	162289	Aunt Margaret
715537	165278	Emma Dean
715537	183316	Elizabeth Tremayne
715537	186535	Stacy
715537	206138	Margaret Hamilton
715537	210567	Emma Gibbs
715537	221313	Mrs. Burroughs
715537	222883	Mrs. Willis
715537	233692	Benjy's Mom
715537	265775	Miss Pritikin
715537	292247	Dr. Martha Carpenter
715537	301830	
715537	342001	Mrs. Malloy
715537	343044	Nurse Harris
715537	344151	Celia Martin
715537	345836	Sofia
715537	358274	Cynthia Peters
715537	366271	Mrs. McKenna
715537	367588	Virginia Bembenek
715537	385824	Caroline Brady #1 (1982-1983,
715537	389858	Iris Fairchild (1967-1970)
715537	390043	Mrs. Malloy
715537	392177	Maggie Taylor (episodes 1-4)
715537	395297	Stacy
715537	395974	Mrs. Berenson
715537	396088	Vanessa 'Van' Dale Raven Ster
715537	403715	Anna Rose
715537	411050	Herself/panelist
715537	411819	Susan Garrett (1964-1966)
715538	342646	Marissa Livingston
715539	160580	Mrs. Steed
715540	106844	
715540	192258	Edna Allen
715540	288469	Mrs. Ordway
715540	337636	Clara Hilliard
715541	233964	Girl Broom Ball Player
715542	351506	Megan O'Brien
715543	379831	D.C. Dancer (1993)
715544	284456	Madonna clone
715545	18662	Women
715546	78528	Trumpeter
715546	279687	Fashion Model
715547	29149	Relative in Apex Crowd
715548	96973	Hooker #2
715548	219901	
715549	45509	Lisa
715549	81010	Margo
715550	315064	Herself
715551	2010	Self
715551	2275	Herself
715551	3593	Dixie Martin
715551	12094	Gwen Knight
715551	109891	
715551	148245	
715551	223918	Tess
715551	302208	Janet DiLorenzo
715551	364313	Virginia Fray
715551	379716	Dixie Cooney Chandler Martin 
715551	380713	Rosanna Cabot #2 (2002-presen
715551	406319	Erin Scheinfeld (1983-1985)
715552	381821	Ensemble (1968)
715553	29149	Relative in Apex Crowd
715554	46665	Noor
715555	9814	
715555	39187	
715555	218006	
715555	228437	
715555	342948	
715556	384350	Tina (pilot episode only)
715557	41415	Jean 'The Rhythm Machine' Fra
715558	152889	Nikki Mitchell
715559	96681	Sheena
715560	380713	Dawn 'Dee' Stewart #4 (1976-1
715561	56649	Alien Dawn Sperling
715563	109395	Mall Show Coordinator
715564	368417	
715565	196038	Marjorie
715566	2030	Jane
715566	73345	Loretta Charles
715566	88965	Nurse Toulakany
715566	95471	Nurse
715566	119502	Ruthie Turner
715566	200864	Maid
715566	220775	Harriet
715566	232093	Candy (gypsy cab driver)
715566	241792	Rowdy Woman
715566	293126	Group Therapy Patient
715566	303560	Camille Tyler
715566	368041	Guest
715566	380391	Judy Burell #2 (1993-1995)
715566	380713	Sara Ruth Bennett #2 (1998-20
715566	392042	Cast (1979-1980)
715566	408036	Mary Proctor (2000-)
715567	241226	Theresa Collins
715568	408361	Beverly Sanchez
715568	411284	Various Characters
715569	356896	Aylinde Tribespeople #8
715570	26563	Maenad (chorus)
715570	45278	Mom
715570	162289	Faerie Mercury
715570	315999	Dee Dee
715571	47117	Bartender
715571	87936	Joy
715571	114313	Greg's Mother
715571	161594	First Actress
715571	232393	Sarnys Mother
715571	252856	Rochelle Marls
715571	385013	Rita Hale
715572	7952	Sherra Cox
715572	16770	
715572	17630	Scarlett
715572	26394	Margaret Hix
715572	38414	Hostess
715572	40185	Gail
715572	42007	Grandma
715572	44301	Mrs. Kirby
715572	57492	Herself
715572	61761	Margret Becker
715572	64572	Herself (performer)
715572	67563	Verity Chandler
715572	79891	Barbara Arvey
715572	80969	Mom Turner
715572	86459	
715572	87779	Herself
715572	90922	Pamela
715572	93255	Matilda Electra Joslyn Gage
715572	112601	Nancy Stringer
715572	114661	Sally 'Poochie'
715572	134313	Adele Sherman
715572	140401	Gloria Miles
715572	142654	
715572	147287	Jo Finn
715572	147557	Miz Leona
715572	148198	Helen
715572	151677	
715572	160042	Marylou Hennis
715572	161202	Herself/Interviewed
715572	161207	Herself
715572	161248	Herself
715572	161371	Herself
715572	189263	Frances
715572	192001	Frances Dutton
715572	197169	Herself
715572	203169	Suzy Blair
715572	211758	Beatrice Andrews
715572	214924	Katherine Mannion
715572	216920	Mrs. Parker
715572	219979	Margaret Becker Hix
715572	228970	Herself
715572	236762	Reverend Mother
715572	236780	Rev. Mother Mary Regina
715572	236781	Rev. Mother Superior Sister M
715572	245249	Mrs. Carruthers
715572	252454	Della
715572	255268	Flo Owens
715572	267607	Mrs. O'Mara
715572	271205	Ida Koverman
715572	278402	Cora Groves
715572	283041	Herself/Featured
715572	283042	Herself/Interviewed
715572	283895	Edna Callahan
715572	285787	Aunt Fanny
715572	294745	Mat's mother
715572	303999	Fortune Teller
715572	307936	Lita Joyce
715572	312798	Countess de Lage (Flora)/Hers
715572	313820	Biology teacher
715572	316047	
715572	320083	Herself
715572	323443	Lilah Page
715572	330194	Daisy Playfair
715572	330818	Herself
715572	330951	Mom Lakewood
715572	334259	Laura Carlson
715572	335953	Clara Topper
715572	342234	Herself
715572	358591	Sandy
715572	364778	Avarissa
715572	366701	Dean Madison
715572	368224	Maggie McNeill
715572	380391	Caroline Johnson (1970-1971)
715572	380505	Ginger-Nell Hollyhock
715572	390279	Blanche Elizabeth Hollingswor
715572	390282	Blanche Elizabeth Hollingswor
715572	396643	Aunt Fran Crowley (1983-1985)
715572	397134	Vivian Cavender-Harmon (1972-
715572	404102	Grandma Loring
715572	410977	Margaret Jardin #2 (1971-1972
715573	65146	
715575	98113	Student
715576	1707	Performer
715576	3250	Herself - Performer
715576	3251	Performer/Herself
715576	23322	Herself - Atomic Kitten
715576	23323	Herself (Atomic Kitten)
715576	46192	Herself
715576	104616	Herself/Performer
715576	163647	Herself
715576	169815	Herself/interviewee
715576	170848	Herself (greetings for the sh
715576	249555	Herself/Performer
715576	249591	Performer
715576	249592	Performer
715576	260291	Herself
715576	273900	Herself
715576	273901	Performer/Herself
715576	305490	Herself ('Atomic Kitten')
715576	311953	Performer
715577	390317	Co-host
715578	340808	Student
715579	118809	Kissing Girl
715579	133705	Secretary
715579	327975	Herself
715579	368918	College girl at party
715580	111873	
715581	720	Herself
715582	110450	Melody
715582	116289	Maid
715583	35597	Goblin
715584	331223	Janelle
715585	152948	
715586	331697	Waitress
715587	155890	Maggie Hedley (segment "1961"
715587	253862	Melissa
715587	305244	Brooke Hoffman
715588	79742	Jane Newell (Pilot's widow)
715589	284455	Finalist
715590	118367	Left Redhead
715591	57437	Mrs. Rennick
715592	220049	Tanya
715592	337301	Waitress
715592	342675	Vampire (segment Hungry Like 
715593	10840	Lynda Lodge (segment "Limited
715593	176970	Doctor
715593	342675	Jack's Wife (segment Hungry L
715594	279481	Sheriff
715595	148222	Tracey Wilshire
715595	200779	Glucki
715596	192011	Nicole
715597	23441	Connie
715597	182984	Bambi
715597	375109	Jennifer
715597	389047	Host
715597	399018	Correspondent
715598	112182	Girl
715599	383316	
715600	200779	Putzi
715601	27363	
715602	93871	Joann
715603	185079	Friend #2
715604	149828	Cindy Perlman
715604	203733	
715604	269355	London Groupie
715604	292134	
715604	391869	Brooke MacPherson (2004)
715605	66938	
715606	45342	Wedding Guest
715607	191713	Female Homeless Woman
715608	161523	Florinda
715608	305221	Peggy, Hired Date
715608	383654	Stacy Manning
715609	159888	Lorraine
715611	297880	Christmas Party Guest
715612	76506	
715612	92618	Dr. T's Staff
715612	235422	1st Girl at Bar
715613	226899	Girl child
715614	380430	
715615	250993	
715616	218580	Cécile
715616	232079	
715616	251291	Emma (jeune)
715616	383959	Alec Leduc-Pelletier
715616	390502	Stéphanie Ferron
715616	396334	Suzanne Joncas
715616	404018	Julie Roussel
715616	407812	Martine Bordeleau
715616	410153	Marie
715617	35263	Sam
715617	115716	Ava
715617	171294	Jessica
715617	274501	Diana Ferraro
715617	278218	Sarah Redbridge
715617	317194	Jill McHugh
715617	358305	Dinny
715617	360899	Kate Muir
715617	379396	Nicki Kirby
715617	390099	Lorien:
715617	398675	Margaret (Peg) McGibbon
715617	410643	Det. Sr. Constable Rachel 'Go
715618	37012	Tipsy Woman
715618	140960	Max's girl
715618	247455	Joey's Mom
715619	206671	Police Radio Operator
715620	89586	
715621	119888	Hilary
715621	311664	Devina
715622	220014	
715623	148523	Esther
715623	292307	Mrs. Johnson
715624	125800	Samantha
715624	125801	Samantha
715625	2327	Herself
715626	45609	Girl in Car
715626	215507	Sky Greenleaves, Miss Nevada
715626	230663	Cheerleader
715627	895	Jennifer
715627	10864	Shauna
715627	52318	Donna
715627	93241	
715627	140077	Beth
715627	157656	Britney
715627	176992	Hot actress?
715627	206584	Sandy
715627	213155	Crystal
715627	314823	Voluptuous Blonde
715628	245263	Homeless woman
715629	201151	
715630	285726	Young Daphne
715631	260950	Elite Model
715632	76498	Mom
715632	91750	Receptionist
715632	99091	The Mom
715632	131552	Louise
715632	308999	Mrs. Van Der Hoven
715633	193888	Cathleen
715634	196858	Paulie Coffey
715635	217429	Letitia Massareene
715635	336675	Nancy Fullard
715636	114094	Katelin
715636	209061	Harriet
715636	342908	Helen
715637	74730	Lynn Graham
715637	78865	Gretchen
715637	137567	Paula Kingsley
715637	150554	Janet Campbell
715637	189981	Sharon
715637	207992	Switch
715637	222211	Kay
715637	274435	Det. JJ Wilson
715637	381059	Wendy
715637	385033	Tanya Dunne
715637	393335	Kirsty Nichols
715637	404927	Envy
715638	72104	Cover Girl: Glamour
715638	330180	Judy
715639	333430	Sleez Girl
715640	244421	Young Heather
715641	319682	Rosemary Gallagher
715642	12275	Tammy
715643	105245	Beth
715643	217411	Mazzawatti Teenager
715643	219769	Delphine
715643	312564	Prostitute
715644	214917	Miss Greenland
715645	321654	News Anchor
715646	79674	Woman at WGON - TV ("My turn 
715646	178931	Corncook's Woman
715646	403688	Miss Molly (1981-1991)
715647	389722	Goblin #3 (1994-1995)
715648	169441	Mrs. Graham
715649	206630	Mrs. Bellini
715650	30071	
715652	128897	Mayor
715653	353420	
715654	49966	Bordersnake
715655	169545	Trish
715655	307712	Kristine
715656	52040	Germaine Claretie
715657	154554	Herself - a victim
715658	283102	Princess
715659	154288	The roommate/Martha
715660	310781	Herself
715661	162578	Lady of leisure
715662	229657	Herself
715663	38512	Jesse
715663	83960	Sarah
715664	396348	Sancha
715665	209289	
715665	313408	
715666	308026	Molly
715667	41746	Player (Bomber)
715668	224729	Audrey Christie
715669	313522	Survey Woman
715670	52703	
715671	158102	Elderly Woman
715672	233840	Hooker
715673	311517	Kate
715674	161049	
715675	106362	Flight Attendant
715676	26768	Cindy
715677	162980	Hattie
715678	132915	Mrs. Beecher, Cook
715679	410874	
715680	69417	Commercial lady
715681	2034	Danielle
715681	55626	Sue Snell
715681	118725	
715681	147893	Saffron
715681	182967	Yvonne
715681	276842	Jade
715681	281196	Store Clerk
715681	293108	Attractive Woman
715681	311253	Monica
715681	381422	Petty Officer 2nd Dualla
715681	381423	Petty Officer Second Class Du
715681	391559	Katherine Ann 'Kat' Cabot
715681	393449	Elizabeth (2002)
715681	393947	Kim (2001-2002)
715682	241285	Female Reporter
715682	392225	Regular
715683	363965	Daughter
715684	28581	May Raeburn
715685	53960	Dour Lady
715685	149362	Crew Member
715685	200480	Secretary in Van
715685	305715	Waynette Snow
715685	317536	1st Assistant Director (role)
715686	109863	Barbara Latham
715686	109911	Barbara Latham
715686	160711	Cigarette Girl
715686	242747	Mary
715686	363842	Trudy Van Tyne
715686	402829	Trudy Van Dyne
715687	33754	Young Girl on Plane
715688	323578	Herself
715689	367951	Herself
715690	21157	Greta
715690	64917	Millie Stone
715690	64918	Millie Stone
715690	76600	Mama Wheelis
715690	105228	
715690	113397	Cashier
715690	113507	Aunt Bonnie
715690	127510	
715690	158061	Rhonda
715690	216126	Rae's Aunt
715690	220622	Puzzle Lady
715690	221259	Housekeeper
715690	250745	Molly
715690	262626	Trudy
715690	267439	Grandma Ivy Chandler
715690	323227	Lucille
715690	346125	Grandmother
715690	366271	Farm Woman
715690	367844	White Woman
715690	385895	Old lady in Austin
715690	410959	Marjorie
715691	70305	Waitress
715691	138797	Terry
715691	236148	Airline Rep
715691	393173	Eunice Kennedy
715692	41182	Cindy Agami
715693	199080	Big woman
715694	114223	Reporter #2
715694	183590	T.V. Reporter
715694	263057	TV Reporter
715694	323804	Reporter
715694	336458	Newscaster
715694	388797	Herself
715694	390712	Herself - Hostess
715694	390798	
715695	307457	Crash Victim
715696	238739	Various (segment "An Empire o
715698	288685	Kim/Nicky
715699	372641	Baby Clay
715700	26074	Bodacia
715700	32892	Woman
715700	37686	Mandy
715700	44301	Alien Watcher's Wife
715700	51989	Sharon
715700	62785	Sienna Barr
715700	68319	Sunny
715700	72653	Sophie Fisher
715700	74011	Bunny Claymon
715700	81113	Tanya Karrington
715700	81276	Vicky
715700	103449	Cassandra Reed
715700	109669	Temptress
715700	110251	Lounge Lizard
715700	129768	Holly
715700	150475	Rowena
715700	156473	Lynn Barrett
715700	159485	Callista
715700	160415	Melanie Moss (segment "Mis-Ap
715700	167659	Tane
715700	184769	Claudia
715700	187191	Elle's Mother
715700	187193	Elle's Mother
715700	196471	Madam
715700	197807	Anne
715700	206440	House Buyer
715700	213260	Lacy
715700	232206	Charmagne
715700	232293	
715700	258074	Celia (segment "Of a Feather"
715700	277070	Calendra
715700	277954	Trina
715700	291038	Amanda Foley
715700	296261	Kali
715700	296752	Keesha
715700	319910	Fourth Woman
715700	321373	Francesca
715700	328128	Diane, Rogers
715700	337990	Catherine Santorini
715700	338771	Ginger LaMarca
715700	353296	Jean Capri
715700	360047	Maggie Templeton
715700	364207	Moira
715700	399448	Nikki
715700	405123	Verna Maxwell (1996)
715701	408644	Zoe Love
715702	9007	Grandma
715702	9088	Aunt Irene
715702	26831	Marge Sweetwater
715702	37883	Angela
715702	46368	Nurse Olivia
715702	48950	Dr. Flora
715702	53327	Beverly McGuire
715702	55588	Franklin's Mom
715702	55625	Helen
715702	56386	Librarian
715702	59149	Nurse Rollins
715702	60273	Gloria's Mom
715702	60274	The Queen
715702	67563	Mrs. Lerby
715702	72472	
715702	72569	Beth Crawford
715702	75479	Secretary
715702	77575	Ruth Strull
715702	97048	Swinger in Fur
715702	99573	Chastity Pariah
715702	103288	Miss Rivers (the 'Pirate Scho
715702	111442	Grace, the Secratary
715702	114383	Greta
715702	115943	Martha George
715702	138365	Esther
715702	147972	Laundry Lady #2
715702	148333	Additional Voice
715702	148344	
715702	155637	Herself
715702	159732	Dr. Marianne Snow
715702	190272	Ora Anderson (Mother)
715702	192014	Carlotta
715702	192017	Carlotta
715702	192688	DMV Clerk
715702	194137	Donna
715702	196095	Mary Louise Morrison
715702	201302	Barsa (Bertha)
715702	201758	Boarding Attendant
715702	201781	Herself
715702	204674	Mrs. Ellen French
715702	207440	Mother Disguisey
715702	209698	
715702	211180	Patsy Webber
715702	221024	Check Out Lady
715702	222752	Miranda Hoggendobber
715702	228434	Mallory's Mom
715702	236117	Pat
715702	239032	Mr. Benson's Secretary
715702	251742	Hermit Hattie
715702	257264	Car rental agent
715702	279173	Mrs. Burns
715702	280161	Violet
715702	283104	Nurse
715702	292531	Miss Right
715702	298091	Lynn
715702	314460	Dr. Emmerson
715702	326597	Mother
715702	333631	Winnie Pig
715702	334214	Estelle
715702	346125	Dolly
715702	350343	Campus Tour Guide
715702	368305	Switchboard Operator
715702	378727	
715702	379230	Mrs. Normanmeyer
715702	381975	Regular Performer
715702	382371	Aunt Ruth Generic
715702	383502	Caroline's Mother
715702	384454	Mrs. Violet Bleakman
715702	385181	Revolting Slob: Female Polite
715702	385790	Mrs. Marv Mendenhall
715702	388202	Bertha
715702	390534	
715702	391071	Willamae Jones (1981)
715702	391525	Fran
715702	391740	Patty Poole
715702	393482	Additional Voices
715702	394084	Venus Kallikak
715702	394403	Mrs. McCoy
715702	395579	Mrs. Anderson
715702	399558	Marion
715702	402234	Additional Voices
715702	403587	Violet Stimpelton
715702	404517	Additional Voices
715702	405676	Bonnie Brindle (1985-1986)
715702	405718	Additional Voices
715702	405739	Mrs. Seaworthy
715702	407441	Additional Voices
715702	408521	Regular (1976)
715702	409791	Patty Poole
715703	308609	Caroline
715704	37387	Senga Magoogan
715705	12384	Maggie Lou Campbell
715705	319923	Aunt Judy
715706	40678	News Crew Producer
715706	347687	Hooker #1
715707	42049	Nurse Marty Brownell
715707	231936	Phyllis Harrison
715707	245457	Ann's Co-Worker
715708	164662	One of the Beautiful People
715710	387247	Kerry Skinner (2000-2001)
715711	362042	Wiremu
715712	7408	Dove
715712	8092	Little Jackie
715712	35782	Rose Wilder
715712	43873	Shredder Tibby Weub
715712	63832	Hazel
715712	79041	Casey Obold
715712	90381	Jessie Conrad
715712	113986	Young Charlie McGee
715712	115130	Lizzie
715712	195526	Missie Davis
715712	195748	Maria Zenone Stallman DeAngel
715712	250746	Susan Martin
715712	265873	Adele Highsmith (child)
715712	278082	Amelia (Age 8)
715712	352833	Sara
715712	366993	Suzie Batton
715712	382254	Young Norma Jean
715712	406621	Pippa Hatcher
715713	31791	Mother
715714	105145	Jenny McCormick
715715	154620	Clara
715715	190927	Ann's Mother
715715	258103	Real Estate Agent
715715	275880	Miss Johnson, Video Teacher
715715	279349	Tess
715716	305351	Helen
715717	396019	Additional Voices
715718	161108	Whore on waterfront
715721	78983	Birdwatcher
715723	7420	Screaming Woman
715724	185398	Lap Dancer
715725	344547	Day Clerk
715726	291495	Randee Cooley (twin)
715727	14104	Cynthia Collins
715727	50012	Audrey Harris
715727	260902	Satellite Woman
715727	330778	Cynthia
715727	366009	Beth
715728	107688	Third Ugh
715729	80863	Woman at Church
715729	221287	Nurse #1
715730	291495	Shasta Cooley (twin)
715731	2649	Mrs. Valent
715731	61185	Mother Valent
715731	164490	Ethel Parker Jennings
715731	165223	Mrs. Docey
715731	362921	Marcia Morton
715732	20683	Michelle
715732	29889	
715732	29918	Lori
715732	31648	
715732	51996	Marta Samtani
715732	53284	Montana
715732	72584	Wendy
715732	87697	Susan
715732	93241	
715732	93870	Moria
715732	102782	
715732	103642	Monica
715732	139005	Deb
715732	150061	Roxanne
715732	167591	
715732	176865	Virtual Cassandra
715732	184769	Angie Parker
715732	195601	Jade
715732	199273	Linda
715732	215251	Betty
715732	236340	Herself
715732	256528	Barbara
715732	265600	Chelsea
715732	272405	Lola Tanner
715732	274198	Girl In Bar 1
715732	304561	Candace
715732	315577	Kelly
715732	328920	Kristin
715732	332778	Jill
715732	346250	Dancer
715732	355152	Julie
715732	357133	Darlene
715732	366652	Heather
715732	396076	Herself
715732	405123	Kelly Sinatra
715733	299653	Voice of the Woman on the Roo
715734	1543	Holly Shannon
715734	11535	Mary-Margaret
715734	18635	Janice Pearlman
715734	19362	Becky Trask
715734	21203	Emily Miller
715734	32658	Michelle
715734	85133	Jodie
715734	90237	Constance
715734	119328	Nichole
715734	125588	Jubilation Lee/Jubilee
715734	130050	Christiane Birsh
715734	155890	Diane (segment "1972")
715734	169679	Crystal
715734	176253	Lisa
715734	230947	Zoe
715734	231395	Suzie
715734	233829	Nicki
715734	314104	Diane Knable
715734	363492	Trophy Wife
715734	365313	Autumn
715734	400593	Belinda 'Scout' Jenkins
715734	400921	Maggie (1998-1999)
715734	402270	Frances Malone (1997-1998)
715735	186665	Ellen
715735	191326	Jane
715735	194833	Elizabeth
715735	223711	Excited Woman
715735	229213	Marion
715735	375827	Mugatu Model
715735	400593	Marcia
715736	18028	Young Claire
715736	61572	
715736	334259	Paula
715737	13707	Herself - Mother of Child Vic
715738	53029	Nude Woman
715738	133345	Vampirette
715738	266588	Voice of Dr. Hippocampus' Nur
715739	45342	Wedding Guest
715740	174704	Sylvia
715741	221324	Rachel Garvey
715741	301769	Jean Dunne
715742	22949	
715743	354164	June
715743	388345	Patricia
715744	388058	Guest Reporter
715745	74215	Conrad Grey's Guest
715745	323517	Frank's girl
715745	388860	Receptionist
715745	399130	Noeline Mangel/Vickers (1988-
715745	412051	Ticket Seller
715746	26320	Cath Weir
715746	77621	Laura
715747	369426	Pretty Woman
715748	208478	Model
715748	341522	Councillor
715749	40103	Melanie
715749	117627	
715749	292321	Naomi Bartlet
715749	397236	Caitlin King (2002-2003)
715750	87215	Pregnant Crack Ho
715751	296775	Mrs. Lester
715752	26352	Lexi
715752	170843	Junior
715752	385824	Isabella 'Belle' Black (#2) (
715752	396423	Katie Foster
715753	39629	Celia
715753	53316	Secretary
715753	159129	
715753	221233	Lady Ely
715753	269901	Madame Bougival
715753	272536	Gossip
715753	282689	Lady
715753	297115	Lady in Waiting
715753	307905	Sister
715753	311534	Nanny
715753	323377	Miss Sinclair
715753	384783	Lynn Bolton
715753	406286	Mrs. Huninger
715754	26352	Lexi
715754	170843	Junior
715754	385824	Isabella 'Belle' Black (#2) (
715754	396423	Katie Foster
715755	389097	Herself
715756	243751	
715757	226804	Mrs. Jensen
715758	363954	Irene
715759	49337	
715759	59837	Wife
715759	60935	Violet Wentworth
715759	66639	Helen Morgan
715759	113768	Gladys Samuels
715759	116216	June Savary
715759	129562	Alice Harper
715759	145792	
715759	206327	Daphne Pope
715759	213166	Lenore Hastings
715759	248374	Mary Owens
715759	252855	Mrs. Trevor
715759	278112	
715759	331711	The Girl
715759	332818	
715759	339835	Marion Haste
715759	367660	Sally
715760	316676	Sadie
715761	38964	Sexy Personal Assistant
715762	251697	
715762	282559	Catherine, the maid
715763	325283	Drunk Girl at Party
715764	70429	Martha
715765	10885	Elinor
715765	47922	Phyllis
715765	89627	Elizabeth White (Doll Squad m
715765	105196	Liz's Mother
715765	127484	Ann
715765	151659	Ramona
715765	330589	Claire
715765	355232	Ms. Hopper
715765	360596	Lauren
715765	380391	Miranda Bishop (1980-1981)
715765	380713	Valerie Conway (1976-1979)
715765	381806	Miss Jeanne Leeds (1969)
715765	389858	Augusta McLeod (1973-1975)
715765	390622	Darlene Wheeler (1970-1971)
715765	400236	Eva Vasquez (1983)
715765	404282	Sophia Wayne Capwell #2 (1984
715766	175832	Little Girl
715767	183741	Aunt Mamie
715767	291426	Herself - Panel Member
715767	312810	Toots O'Connor
715767	393063	Herself/panelist
715768	87166	Brian's Friend
715769	77805	Chorus girl
715769	214089	
715770	316676	Scatchett
715771	112264	Millicent 'Millie' Sardham
715771	206156	Ruth Lane
715772	385299	Mrs. Fairweather
715772	411829	Queen Victoria
715774	215691	Miss Louisiana USA
715775	25987	Adelaide Porter
715775	29893	Conchita's Mother
715775	34696	Mrs. Storm
715775	35314	Mrs. Sarah Lenox
715775	35496	
715775	39267	Mrs. Gordon
715775	40840	
715775	41716	
715775	60207	Mrs. Daniel Hilton
715775	60263	Ma Marley
715775	65422	Mrs. Godfrey Stanton
715775	65660	Mrs. Crosby
715775	78156	Aunt Ellen
715775	82705	The Duchess of Westgate
715775	111726	Mrs. Summers
715775	116784	Gwyndolynne Allenby
715775	120867	
715775	128121	Maud's Aunt
715775	129844	Mrs. Latham
715775	141461	Mrs. Graves
715775	142690	
715775	146144	Mrs. Waters
715775	146148	Mandy Morton
715775	148355	Mrs. Wilson
715775	148422	Mrs. White
715775	169582	The Matron
715775	188309	Mrs. Trude
715775	191996	Sylvia's Mother
715775	192038	Anna Griffing
715775	206675	Mrs. Martinache
715775	215730	Mrs. Greyson
715775	215889	
715775	229418	
715775	233686	Emily Brayton
715775	236884	Mrs. Danbury
715775	241642	Mrs. Hayes
715775	251192	Moll
715775	251265	Mrs. Marsden, Bob's Mother
715775	263473	
715775	263911	Ida
715775	274030	
715775	274135	Cornelia Garton
715775	281555	Mrs. Judson-Brown
715775	295073	Mrs. Roberts
715775	296920	Amelia Jackson
715775	300008	Mrs. Forrester
715775	334585	
715775	334792	
715775	339600	
715775	342567	Mrs. Van Schuyler
715775	346322	Evans
715775	351743	
715775	364258	
715775	365556	Mathilda Carewe
715776	115326	Deputy's Wife
715777	269336	Classmate
715778	10902	Zombie #3
715778	379700	Herself/Contestant (Top Ten F
715779	409	Chewing gum vendor
715779	384587	Valerie
715780	194954	Lattis
715780	237756	Herself
715782	232282	Airport Personnel
715783	300901	Ronda
715784	125835	Kitty Anson
715785	370889	Sarah
715786	149766	Herself
715787	1479	Herself
715787	1491	Herself - Presenter
715787	2046	Herself - Presenter
715787	2835	
715787	104994	Herself
715787	108771	Vanessa Collins
715787	134517	Ella Johnson
715787	138700	Herself
715787	177626	Miriam
715787	183400	
715787	220212	Herself
715787	224149	Celia Celica
715787	238613	Herself (with Billy Davis Jr.
715787	383414	Trash
715787	385824	Tamara Price (1986-1987)
715787	396034	Herself/Co-Host
715787	396878	Herself
715787	405839	Herself (Hostess) (1981-1984,
715788	78760	Office Worker A
715789	380815	Herself
715790	21213	Kate (the holographic fgirl)
715790	200864	Marshall's Aide
715791	272920	Herself
715791	318841	Herself
715792	158779	Jeanine
715792	366893	
715793	391969	Host
715794	123462	Herself
715794	123464	Contestant
715794	175217	
715794	248125	Samantha
715794	345946	Call Girl
715794	352980	Herself
715795	232357	Shuna Sassi
715796	8901	WD-1
715796	133730	Jesslyn
715796	328966	Birdy
715796	335017	Gallery Worker #1
715796	348545	Molly's Girlfriend
715797	243795	Leslie
715798	185624	Nikki
715798	267576	Marcie
715798	271344	Lola Model
715798	298216	Becca
715798	317309	Jogger Babe #1
715798	396113	Herself/Co-Host (1999-)
715799	29721	Berta
715800	153565	Waitress
715801	16791	The Virgin Mary
715801	89271	Dogfight Waitress
715802	110266	Carolyn Lancaster
715802	270345	Mrs. Dalton
715803	330195	E.R. Resident
715804	365259	
715805	83922	Singer
715806	199759	The Dancers
715807	256123	Margaret Stone
715807	367723	Kimberly Warner
715808	20499	Landlady
715808	61967	Mrs. Fadden, Their Mother
715808	61968	Mother Fadden
715808	62776	Landlady
715808	68467	Housekeeper
715808	71697	Mrs. Bannon
715808	93105	Character Woman
715808	127118	Dido
715808	130760	Big Annie
715808	141287	Maggie The Cook
715808	157006	Stewardess
715808	177225	Mrs. Bates
715808	206376	Annie
715808	240631	
715808	270398	Mrs. Jefferson
715808	270794	Mary
715808	315091	
715808	319263	Undetermined Role
715808	331138	
715808	347526	Convict Mattie Rowe
715808	355100	Mrs. Balaam
715808	359525	Sapho
715808	365274	
715808	372728	Landlady
715809	157255	Stewardess with the Queen
715810	257443	Tanya Hill
715811	47708	
715812	27332	Sheila Lansing
715812	128711	Deena
715812	128816	Susanne
715813	87927	Neighbor
715813	162364	Katherine
715813	387331	College Student
715814	231212	Sue
715815	45830	Dancing Madwoman
715816	79362	Nancy
715816	87607	Baby Ballard
715816	95832	Katie Derk
715816	177405	Blind girl
715816	203609	Twin
715816	260234	Twin
715816	304379	Sharon Kimm (prologue)
715816	310445	One of the children
715817	162275	Mrs. Kenny
715818	401652	Vicky Dolan
715819	74235	Melody Donegin
715820	162602	Angie Clarkson
715821	81220	
715822	402956	Miss Baker
715823	20362	Flavia
715823	44456	Jocelyn
715823	46169	Murron MacClannough
715823	47534	
715823	77758	Christina Mundy
715823	78015	Veronica Franco
715823	80360	Annie Grant
715823	81449	
715823	184403	Stella
715823	193099	Rose
715823	283281	Mary Neubauer
715823	296829	Greta Schröder
715823	309647	Sonia Rand
715823	312138	Elizabeth Hadley
715823	323179	Francesca Deane
715823	325196	Sarah
715823	330957	Hannah
715823	361028	Jean Janes
715823	390800	Queen Elizabeth I
715823	396082	Fay (episode "Reproduction")
715824	31282	
715824	127537	
715824	299784	Lily
715824	310017	Ella Burt
715825	21783	Leanne
715825	26860	Penelope
715825	265606	Maria
715825	267484	Ellen Meadows
715825	398727	Mel
715826	97212	Young Clare
715827	363561	Ruth
715828	244432	Hotel Clerk
715829	19557	Harem girl
715829	331123	
715829	374522	Party Guest
715830	383971	Host
715831	365942	Peter and Lizzie's Daughter
715832	271339	Unpainted Arizona secretary
715833	323394	Mrs. Kimble
715834	26971	Sarah Jackson
715834	37387	Monique
715834	37585	Phoebe
715834	47496	Anne
715834	81776	Andrea Baker
715834	96826	Daphne
715834	109938	Woman with Broken Car
715834	121528	Linda
715834	126747	Leila Lee
715834	135843	Gloria Minetti Nesstra
715834	139751	Becka Anslinger
715834	144834	Frances
715834	171700	Rachel Powell
715834	190078	Sally
715834	199683	Bonnie McCormick
715834	214971	Myrna Foy
715834	219212	Patience More
715834	224820	Donna Biebe
715834	244432	Anna
715834	264785	Alison Stern
715834	340765	Michelle Ziegler
715834	368537	Margaret
715834	394001	Maggie Morris
715834	398567	Justine Appleton
715834	398568	Justine Appleton
715834	408703	Carole McKay
715835	411509	Herself - General Assignment 
715837	2021	Herself - Presenter: Best Sho
715837	5386	Lois
715837	7010	Joanna Wilkes
715837	11329	Annabelle
715837	23314	
715837	27346	Rhoda Penmark
715837	48938	Sylvia Ross
715837	62676	Mrs. Leonard
715837	90191	Dulcinea
715837	103504	
715837	106077	Janet Sommers
715837	114956	Mrs. Brody
715837	141305	Helen
715837	159703	Olivia Hagen
715837	161977	Mary Peterson
715837	164620	Margaret
715837	174623	Kathy O'Rourke
715837	178175	Priscilla Standhope
715837	206942	Susan Hoffman
715837	209436	Janice Piegi
715837	214648	Edie
715837	217602	Mommy
715837	217603	Mommy
715837	232164	Sophie Metzman
715837	288738	Kate
715837	297189	Helen Reedy
715837	301565	Betty
715837	301700	Vera Conrad
715837	302033	Motel Manager
715837	306102	Angel
715837	324951	Maysie
715837	342865	
715837	372463	Janet
715837	372729	Deannie Donford
715837	381736	Linda Warren (1970)
715837	396641	Ingeborg (1953-1956)
715837	400201	Liz Coburn
715837	401099	Torey Peck (1959)
715837	401646	
715837	403732	Anne Brookes
715837	411811	Lisha Steele #4 (1962)
715838	289492	Miss Alice Hathaway
715839	140779	
715840	93789	Nurse
715841	131410	
715842	354203	Lethbridge Waitress
715843	137563	Sarah Toser
715844	246340	Herself
715845	187238	Rio
715846	149095	
715846	210831	Girl
715846	219951	Bessie
715846	275768	Ann Hodge
715846	328467	
715848	379341	Additional Voices
715850	335720	Tootsie
715851	41403	
715851	50041	Danielle
715851	73116	Susie
715851	76218	Deborah Matheson
715851	84516	Anna Navarre/Other female cha
715851	100034	Mrs. Carlin
715851	101061	Morse
715851	206128	Other Voices
715851	271198	Reporter
715851	302235	Elaine McCann
715851	330778	Mrs. Morrison
715851	359428	Rula Kor
715851	372191	Zoe
715851	385163	Judith Fitzgerald
715851	395273	Dr. Elizabeth Olivet (1990-19
715851	399719	
715851	406149	Asst. Dist. Atty. Rita Fiore 
715851	408361	Tyler's Doctor
715851	411361	Narrator
715852	30646	Practice Team/Cheerleaders
715853	305351	Alice
715854	231904	Ellen Sarch
715855	103331	Linda
715855	116179	Polly
715855	220917	Stunning Brunette
715855	369505	Cody Ironwood
715855	372174	Nickie
715856	50998	Bye-Child
715857	49948	Salesperson
715857	58104	
715857	62030	Helene
715857	130187	Gilmer
715857	169392	Herself
715857	301677	Sister Margaret
715857	301681	Sister Margaret
715857	304572	Lily Rumfoord
715857	312298	Chase Lawrence
715857	313855	Stephanie
715857	368305	Grape-buying woman
715857	379224	Marian
715858	168755	Rita
715859	35783	Carrie Ingalls
715859	89256	Haley Bennett
715859	158113	Sunny at 11
715859	192250	Jenny
715859	233782	Millie McPhie
715859	260119	Lizzie Cook
715860	260362	Rosie
715860	342688	Dorothy
715861	105971	FBI agent
715862	362139	Miki Bochelli
715864	167312	Jezebel
715865	119315	Mavis Keller
715867	234669	Marlo
715868	46361	Narrator
715869	177025	Cafe Waitress
715870	154554	Herself - victim in Punta Gor
715871	276605	Debbie
715872	46	Herself
715872	1457	Herself - Guest Presenter
715872	3692	Herself
715872	3943	
715872	4671	Herself
715872	26359	
715872	45690	
715872	45778	Herself
715872	45779	Herself
715872	45782	Herself
715872	45783	Marcia Brady
715872	45784	Marcia Brady
715872	45785	Marcia Brady
715872	66978	Talking Doll
715872	89327	Didi Schmidt
715872	126572	Barbara Mandrell
715872	155745	Ellen Fields
715872	161254	Herself
715872	161400	
715872	165474	Nancy
715872	214094	Betsy Hunter
715872	218819	Sissy Hammer
715872	247571	Tukey, Walker's Assistant
715872	260086	Rose
715872	276857	Officer Tyler
715872	299474	Narrator
715872	303765	Susan
715872	323390	Brooke Cooper
715872	329548	Space Princess
715872	333915	Leah Farrell
715872	342001	
715872	349555	Margret
715872	352700	Marcia Brady Logan
715872	368476	Brady Bunch Kids, The
715872	379065	
715872	379893	Moody's mom (2000-2001)
715872	382640	Marcia Brady Logan
715872	382641	Marcia Brady
715872	382642	Marcia Brady
715872	382643	Marcia Brady (1972-1973)
715872	398714	Herself (Judge)
715872	401850	Marcia Brady
715872	406105	Herself
715872	407690	Judy Beauchamp (1997)
715873	68144	Joy
715873	134154	Marina
715874	395929	Herself - Traveler
715875	109704	Lisa
715875	300154	Mickey
715875	321227	Kim
715876	243273	Billiard Girl
715877	411802	Colleen Cecile Carlton #3 (19
715878	42380	Herself, Olympics Women's Div
715879	242556	
715880	248386	Mrs. Wallace
715881	41407	Kathy
715883	75767	Herself
715884	249265	Customer
715885	304541	Susan
715885	330285	Nurse
715886	215691	Miss Washington USA (Semifina
715887	411802	Colleen Cecile Carlton #3 (19
715888	228209	
715889	128278	Beauty parlor gossip #1
715890	206373	
715890	339361	Court Stenographer
715890	408308	Eagle
715891	16050	Act at Las Quinellas Club
715892	275762	Law Firm Receptionist
715893	90900	Bookstore Customer
715893	297937	Senator Jacobs
715893	301391	Mrs. Nathan
715893	330999	Stewardess
715894	280420	Herself
715895	97344	Nina
715896	128759	
715897	30077	Maria
715897	44755	Shona
715897	115892	
715897	150876	
715897	153210	Goretti
715897	193606	Sylvie
715897	194346	Rachel
715897	278169	Susan
715897	319192	Emer Bradley
715897	400891	Eileen
715898	316504	Francesca
715899	194940	Lady in Waiting
715900	168721	Janes MacGregor
715900	340519	Alguin
715900	342469	Wendy
715901	335321	Nurse
715902	328555	Stacey Lynn Smith
715903	78829	Dead Girl
715904	66305	Webb child
715905	66305	Webb child
715906	26708	Female Contestant
715907	220956	Jan Leigh Morrison
715908	289650	Hooker
715909	2250	Viva Las Vegas Showgirl
715910	256835	Herself
715910	263908	Herself
715911	364885	
715912	282957	Woman on Street
715913	362564	A Maid
715914	306854	
715915	244408	Andrea Mead Lawrence
715916	228492	Stella
715917	156466	Juror #3
715918	331048	Sister
715918	367055	Poppy/Emerald City Citizen
715919	206795	Brenda
715920	366743	Townsperson
715921	114848	Fauntleroy
715921	195465	
715921	305468	Dorothy
715921	314932	Crissy (10 years)
715921	362110	Esther Russell
715922	235465	
715922	302602	
715922	309684	Queenie
715922	365233	Cora
715923	11226	
715923	11394	
715923	12162	
715923	12782	The Wife
715923	14079	
715923	16493	
715923	16661	Kathleen Kent
715923	17755	
715923	19134	
715923	21252	
715923	23898	Jacqueline
715923	24211	
715923	24251	
715923	26454	
715923	38690	
715923	41697	Light
715923	50035	Nancy Risdon
715923	51590	
715923	56466	Esther Eccles
715923	56610	Irene Redfern
715923	59371	Bettina
715923	61796	
715923	62921	Christie Johnstone
715923	75894	
715923	77948	Sylvia Mallett
715923	85831	Mrs. Marshalt
715923	93094	
715923	105177	
715923	120204	
715923	130746	Nancy Brett
715923	133906	
715923	141535	Norah
715923	143392	
715923	143948	
715923	145863	Louise La Tour
715923	145893	
715923	149460	
715923	151058	Elinore Vane
715923	151513	
715923	158070	Alice Knickerbocker
715923	162944	Helen Arthur
715923	170613	Mary Blake/June Friday
715923	174600	
715923	176338	
715923	178362	Kitty
715923	183688	
715923	184983	Myra Fielding
715923	188580	
715923	199387	Yvonne Sherry
715923	204277	
715923	210695	Alice Fairbanks
715923	213652	
715923	215116	Lura Wood
715923	220362	
715923	229676	Lady Hamilton
715923	230138	Constancae
715923	230760	Elizabeth Marsh
715923	238670	
715923	240896	Irene Bromley
715923	241430	
715923	258211	Helena Leigh
715923	273314	
715923	282619	Josephine
715923	294694	
715923	301775	Helen Hastings
715923	313375	
715923	318708	
715923	326361	
715923	327270	Maudie
715923	327606	Margaret Roynton
715923	329535	
715923	331931	Alice Robinson
715923	333911	
715923	334194	Helen Chambers
715923	348951	The Wife
715923	348956	Lady Alice Holden
715923	352734	
715923	359680	Ruth Herwood
715923	365073	Sylvia Fairfax
715923	366452	Herself - Cameo Appearance
715924	316281	
715925	61788	Laurie Danesi
715925	194665	Jodie Visser
715925	318855	Laurie
715925	348612	Marcia
715926	294980	Monster truck enthusiast
715928	380016	Herself - Finalist
715929	253919	Mermaid
715930	18027	
715930	47311	
715930	67858	Girl #3
715930	244913	
715930	335247	Jean Adams
715931	273931	
715932	341515	Dancer
715933	152222	Coffee Shop Waitress
715934	189308	Agnes Jessop
715935	112005	Sister
715936	19019	
715937	379926	Herself (9th Place)
715938	61761	Camper #1
715938	151126	Catholic School Girl #2
715938	154869	'Rainbow House' child
715938	169163	Josephine -Age 8
715938	198829	Dancing Double for Mac
715938	250873	Girl #3
715938	298076	Dancer
715938	316609	LaToya
715938	362512	Young Hairdresser
715939	92758	Android 18
715939	92852	Android 18
715939	92855	Android 18
715939	132530	Maddie
715939	283628	Fujiko Mine
715939	283629	Fujiko Mine
715939	289103	Beth
715939	382289	Women #1, Lu, Su
715939	386921	Android 18
715939	386922	Android 18 (1999-2001)
715939	386923	Launch, Hasky (2001)
715939	389464	Kagura Sohma, Prince Yuki Fan
715939	394392	Bonita
715939	397371	Additional Voices
715939	411884	Atsuko Urameshi
715941	53041	Courtney Parker
715941	183357	Kathy
715942	3708	Herself
715943	3708	Herself - as Rose Ann McCoy
715944	47292	Grace
715944	53218	
715944	59879	
715944	134111	
715944	340586	
715944	362795	
715945	282046	Campaigner
715946	64098	Cheerleader/Dancer #1
715946	72579	Melanie
715946	74254	Mercedes
715946	92263	Astronette #5
715946	150075	Jessica Cheer Girl
715946	190702	Cheerleader #8
715946	243150	Dancer
715946	290939	Waitress
715946	391516	Miss Lily (2002)
715947	3708	Herself - as Sarie McCoy
715948	165976	Additional Voices
715949	253919	Jane
715950	340109	Bar Waitress
715951	126069	Showgirl
715952	218655	Girl
715953	138692	
715954	192276	Mere Annette
715954	231881	Farmwife
715954	385299	Angela Gale
715954	385782	Peggotty
715954	393730	Cllr Glenda Fletcher
715954	394355	Lorraine
715954	395736	Dawson
715954	397939	Jenny
715954	402166	Mother Canty
715954	411500	Betty Bindweed
715955	131546	Babe Doolittle
715955	133511	
715955	147663	Herself
715955	329560	
715955	329563	Herself
715955	384426	Claudia Naughton (1952)
715956	165289	Jessica James
715957	404002	Nancy Feldman #2 (1978)
715958	144744	
715959	141723	Mary's Neighbor
715960	68063	Nancy
715960	395924	Laura
715960	407587	Diana Travers
715961	395091	Stenographer #2
715962	235422	2nd Girl at Bar
715964	2250	Megan
715964	72418	Heidi
715964	137687	Herself
715964	137688	Donna Chang
715964	251452	Heather Peters
715964	347611	Veronica
715965	107042	Counting Room Hostage
715967	11006	Chrissie Willis
715967	31846	Angie
715967	77148	Thelma Tonkin
715967	366427	Lisa
715967	390552	Wendy Lott
715967	403244	Emma Taylor
715967	409239	Various
715968	197809	Orgy Girl
715968	229197	Emily
715969	27030	AirTraffic controller
715970	243744	Anne Marie (Paper-girl)
715971	248937	Steve's Sister
715972	157978	Turtle Choir Member
715973	37312	Bank Teller
715974	366027	Carol Taylor
715975	181808	Meesha The Spider Witch
715976	126691	Krissi
715978	135967	Girl in park
715979	390306	Herself/substitute assistant
715980	118980	Bus Rider
715982	311785	Herself
715983	161337	Herself
715984	5033	Nightclub Girl
715984	21299	Janet
715984	62017	Mona Perkins
715984	80669	Sally Gardner aka Bessie Schm
715984	128884	Mrs. Arthur Morgan
715984	154478	Luxembourg Girl
715984	178141	Lucille
715984	183445	
715984	248817	Dance hall girl
715984	279150	
715984	285095	
715984	321390	Flo
715984	359338	Felicia
715984	361222	Flo, Fee's Woman
715984	365740	Gladys
715984	386750	Midge Kelsey (1963-1966)
715985	366100	Dancing Moon
715987	364281	Extra
715988	54274	
715989	227470	Mrs. Ada Wheen
715989	294217	Mrs. Bunting
715989	333679	Tramp Lady
715989	339368	Angelina's Mama
715989	411382	Agony Aunt
715990	315483	Showgirl
715991	381821	Ensemble (1977)
715992	193971	Herself
715993	342235	Herself
715994	342646	Barhop
715995	395153	Curtin's daughter
715996	104291	Aika
715997	130094	Marie
715997	385613	Megan
715997	392953	Virge Snell
715997	406462	Sharon Riley
715998	60075	Elsie
715999	378909	Designer
715999	383892	Designer (2001-)
715999	392124	Designer (2004)
716000	409114	Host
716001	80672	Helicopter Pilot
716001	107283	Frightened Spectator
716001	170890	Richard's secretary
716002	333507	Golden Tassel Waitress
716003	8362	Woman in Market
716004	72347	Betty Thompson
716004	276055	Ingenue (stage sequence)
716005	266625	Woman in White
716006	205166	Maureen Gibbons
716007	8362	Woman in Market
716008	185776	Massage Girl
716008	294306	Jill
716008	326143	Billie
716009	158797	Negro Woman
716010	67943	Lisa
716010	331239	Jessie
716011	310130	Basketball Girl
716012	230529	Herself
716013	5717	Evelyn (The Granton Star Case
716013	93064	Annie
716013	141678	Carole Adams
716013	171429	Gabby
716013	190200	
716013	194232	Lorraine
716013	277618	
716013	283068	
716013	308032	Cath
716013	402391	Sue Hamilton
716013	405025	Jen
716013	411837	Tracey
716014	192678	Waitress
716015	358477	Toy Indian
716016	10908	
716017	55109	Carla
716017	59715	Francoise
716017	71564	Valentina Villefort, the Chie
716017	76505	Chris
716017	80471	Antonia Ashton
716017	81759	Dana
716017	89111	Sarah Ward
716017	101001	Mrs. Logan
716017	118648	Nicola Pascoe
716017	150642	Lorna Bull
716017	161108	Whore #2
716017	165289	Bernadette James
716017	196960	Margaret Peel
716017	201645	
716017	311524	Angie Anderson
716017	311662	Mother
716017	313050	Christina
716017	316750	Jo
716017	345873	Lola
716017	366981	Freya von Moltke
716017	380346	Anna Karenina
716017	392667	Mary Freeman
716017	393939	Rose Davies
716017	399692	Rose Fitzgerald
716017	408870	Anita Harris
716018	55536	Waitress
716019	299477	
716020	292449	Herself - writer
716021	44500	Narrator
716021	390200	Herself - Team Captain
716021	390345	Herself - Team Captain (1997-
716021	390346	Herself - Team Captain
716022	244347	Mary-Frances
716022	342797	Sunni
716023	244347	Monica
716023	256976	The Machiavellian Pizza Scamm
716024	364647	Max's Mother
716024	385099	Helen Brugencate
716025	369905	Cheerleader
716026	291915	Minnesota Beauty Winner
716027	152590	Girl
716028	158358	Bridie Conlon
716029	140170	Herself
716030	296266	Interviewee
716031	39627	Dancer
716032	37480	Party Girl #1
716032	105456	Kelly
716032	131466	Kelly
716032	177475	Duke's girl
716032	381047	Nurse Ellie (1978)
716033	269416	Herself
716034	127685	The Aunt
716035	55444	Martini guy's girlfriend
716036	79002	Carhop
716036	382149	
716037	278917	Girlfriend
716038	139219	Massage Woman
716039	150127	Rudette
716040	339380	Girl
716041	44337	Cafe Customer
716042	236184	Marcellina (mezzo-soprano)
716043	160911	Jill
716044	119436	Skipping Girl
716045	253919	Mrs. Darling & Mermaid
716046	11945	Cafe Patron
716047	133447	Clara Mae
716047	254514	Clara Mae
716048	24299	Ginger
716049	167324	Stripper
716050	200925	
716051	309927	Handicapped Woman #2
716052	1617	Herself - Date #17
716052	26324	Betty Maglia
716052	36724	Polly
716052	40878	Susie
716052	64560	Herself (performer--high wire
716052	97200	
716052	134724	Herself
716052	160464	Interviewee: Playmate
716052	161554	Cruise Director Shannon
716052	208993	Stacey
716052	257618	Herself
716052	257644	Miss February
716052	257645	Herself (Miss September)
716052	312607	Kimberly
716052	335872	Ginger
716052	361604	Dream girl
716052	366925	Claire
716052	382164	Dr. Ariel Haze/Pollutia
716052	390691	Julie Costello (1989-1990)
716052	403525	Stacey Wright
716053	99691	Blue-collar Woman
716054	27667	Margaret Joyner
716055	223833	Blonde on Street
716056	76571	Jeannie
716057	46353	Kimberly
716057	49026	Barbara Siegel
716057	69773	Lori Parker
716057	73900	
716057	95786	Alyssa Lennox
716057	142538	Mindy
716057	157465	Herself
716057	159889	Alice
716057	161252	Herself
716057	187191	Amy
716057	261285	Herself
716057	267563	Dorra Orfus
716057	389858	Robin Scorpio (1985-1996, 199
716057	400209	Jennifer (1999-2000)
716058	63424	Gail
716059	87576	Computer tech
716059	381043	Callie (1981)
716059	390771	Hillary Bauer, R. N. #1 (1977
716060	41410	Kim Campbell
716060	72372	Irma
716060	79986	Gem Thieves Pursuing Officer 
716060	159012	Leather Girl
716060	192104	Water Skier
716060	215793	Dog Walker
716061	363434	
716062	41418	Ninja
716062	183613	Marion
716063	82696	Funeral Girl #1
716063	244420	Raver chick
716063	253047	Catholic Schoolgirl
716064	59649	Janet
716064	80911	Carla Mallory
716064	124501	Lady Moyne
716064	171178	Mrs. Millichamp
716064	191964	Lady Grace
716064	199150	Annabel Crump
716064	202390	Gwynfryd Rattery
716064	316410	Annie Rice
716064	319006	
716064	359316	Enemy Mother
716064	383918	Kate Moncrieff
716064	385627	Flavia Wisebite (segment film
716065	6027	
716065	6722	Herself
716065	6723	Herself
716065	6725	Herself
716065	11107	
716065	26911	
716065	31880	Herself
716065	34907	Herself
716065	34920	Herself
716065	41034	
716065	43491	
716065	43492	
716065	44674	
716065	47588	Porn Star Marcia Gray
716065	52364	
716065	60709	
716065	72778	
716065	81839	
716065	83159	
716065	91834	Herself
716065	105896	
716065	111651	Nurse
716065	116013	Herself
716065	119801	Melissa
716065	127641	
716065	128729	
716065	128851	
716065	133147	
716065	139002	
716065	140068	
716065	144420	
716065	151215	Elvina
716065	178863	
716065	202372	Massage Girl
716065	232462	
716065	233702	
716065	242073	
716065	246030	Patsy Sue Truman
716065	260726	Herself
716065	260815	Herself
716065	295803	Mata Hari
716065	297238	
716065	297450	Herself
716065	301307	
716065	302907	
716065	305776	
716065	316885	
716065	326169	
716065	327622	
716065	328630	Biker Bitch
716065	332865	
716065	342875	
716065	343344	
716065	349872	
716065	355152	Stranger
716065	362548	Nurse
716065	365643	
716065	369902	
716065	372451	
716066	123432	Luna
716067	232119	
716068	241795	Back-up Singer
716068	367054	The Wiz Singers Children's Ch
716068	393424	Additional voices/Backup sing
716069	5866	Singer
716070	115405	
716070	121644	Herself
716071	35750	Herself
716073	366015	Kid at the Race Park
716074	366015	Kid at the Race Park
716075	366015	Kid at the Race Park
716076	187690	First Jenkisn Twin
716077	272440	Market Square Extra
716078	371824	
716079	187690	Second Jenkins Twin
716080	42779	Cheryl Rand
716080	148592	Herself
716080	159943	Felicity
716080	382291	Sr. Const. Margaret 'Maggie' 
716080	396949	Ros Marshall
716080	401973	Mary Abacus
716081	47431	Receptionist
716082	270752	Dancer
716083	48075	Woman at Party
716083	109669	Janet Clarke
716083	364390	Heavenly Angel
716084	73962	Julie
716085	203243	Shopper
716086	126535	Ja-Dee
716087	46368	The Little Girl
716087	147745	Van Family Daughter
716087	223818	Mary Fields
716087	296746	Anna Markov
716087	332774	Kiley Dolan
716088	141142	Sign Language Instructor
716089	99138	Cheryl
716090	226777	Swim Girl
716091	381830	Roberta
716092	344524	Herself
716093	77928	Katherine Dillingham
716093	80643	Carmen
716093	171930	Tracy Hocking
716093	222998	Maureen
716093	238737	Janine
716093	383882	Rebecca Young Taylor
716094	80558	Café Patron
716095	352409	Local Woman #1
716096	138564	Dew Fairy
716097	13293	Anita
716097	44317	Hippie Girl
716097	56435	Doctor
716097	62547	Maura
716097	64405	Jane Annese
716097	65612	Pretty Girl
716097	72472	
716097	75421	Nurse Murphy
716097	158920	Neighbor
716097	166637	Female Patient
716097	195518	Jeanette
716097	202395	Dot
716097	210567	Gay Larwin
716097	243231	Zoya
716097	243647	Peterina
716097	340225	Mom
716097	341758	Carol
716097	341984	Katie
716097	342924	Hula juror
716098	5866	Eillen's Mother
716098	81012	Sarah Conlon
716098	147961	Mrs. Tanney
716098	227194	Miss Macken
716098	257686	Rachel
716098	330812	Ma McAliskey
716098	340583	Mrs. O'Neill
716098	372380	Mrs. Hagan
716098	397614	Lillibeth
716098	400158	Kate O'Farrell
716098	405763	Roberta Nathan
716099	305571	Young American Miss
716100	191676	Candy
716100	193858	Kelly
716100	274679	
716100	300926	Hilda The Faceless Girl
716100	305074	Sexy Girl
716101	294595	
716102	47364	Co-ed in Drugstore
716102	93220	Secretary
716102	149261	Bridesmaid
716102	151634	Fashion Model
716102	206355	Bridesmaid
716102	333054	Showgirl
716103	163503	Gushing Girl
716103	202279	Widow Gardner
716103	222694	Janice Freeman
716103	382854	Julie Lane (1973-1974)
716103	387533	Alice Jerome
716103	390416	Mrs. Winchwood
716103	392019	Dr Maureen O'Keefe/Rudd
716103	395924	Jennie Bulstrode
716103	408070	Therapist
716104	294595	
716105	23919	Herself
716105	31555	Herself
716105	42327	Herself
716105	96873	Tiffany
716105	99301	Herself
716105	99373	Herself
716105	166925	Herself
716105	178049	Mia
716105	195300	Natalie
716105	206678	Herself
716105	206680	Herself
716105	223869	Herself
716105	228302	Host
716105	249590	Performer
716105	362346	Herself
716105	364775	Herself
716105	382306	Mandy
716105	385591	Herself
716105	387247	Tiffany Raymond/Mitchell (199
716105	411259	Herself (2000)
716106	245650	
716107	65681	
716108	194940	Fat Mary
716108	281440	Mildred
716108	393281	Various Roles
716109	321597	Ellen
716109	396975	Shanise McGillicuddy (1996-19
716110	104997	Herself
716110	120477	Moira
716110	141018	Lesley Perowne
716110	193606	Woman Diner
716110	224381	Shandy Lil
716110	269979	Sister Sheila Kennedy
716110	276386	Hannah
716110	323039	Sheena Bryant
716110	386581	Mary
716111	191994	Lady with Dog
716112	79002	Camilla
716112	177643	Screaming woman
716113	79072	Older Marsha
716113	187319	Kaoru Takami
716113	323134	Madoka, the bridge jumper - E
716113	407369	Madoka, Sena Wakabayashi
716114	16878	Spinster
716115	118021	Emily
716115	391759	Dr. Kirstie Collins (1999-200
716115	395919	Allie Walker
716116	232282	Candy
716117	16627	Crystal
716117	120301	Donna
716118	37963	Fern
716118	107842	Vendor
716118	128583	M.G.
716118	342384	Waltzing Woman Patient
716119	217745	Art Student
716120	13886	Willa May, Bryce's Maid
716120	20295	Sarah
716120	52644	The Maid
716120	55524	Mammy
716120	59799	Ophie
716120	61304	Black Mammy
716120	84898	Molly, Rose's Maid
716120	105075	Black Maid
716120	108003	Magnolia
716120	109221	Anna
716120	129107	Cook
716120	129594	Mandy Johnson
716120	129804	Wife of Mr. J. Brown #2
716120	130808	Divinity
716120	133703	Delilah
716120	134088	Heckler at the Ark
716120	141485	Mammy
716120	150797	Lydia the Maid
716120	158711	Etta, Texas's Maid
716120	161934	Diana's Safari Attendant
716120	168680	Mammy
716120	175162	Violet
716120	177325	Native woman
716120	186410	Mandy Lou Schaefer
716120	190268	Kleopatra 'Kleo' Johnson
716120	192743	Lizbeth
716120	193794	Mammy
716120	195764	Woman
716120	196294	Blake's Black Maid
716120	200467	Lavolia
716120	202939	
716120	213821	Eunice
716120	217345	Cindy Molishus
716120	223032	
716120	224577	Cook
716120	240657	Samantha
716120	247141	Mammy
716120	253472	Undetermined Role
716120	256900	Magenta
716120	264470	Aunt Rosabelle Milford
716120	294744	Dove (Madden's maid)
716120	305475	Phoebe, the Maid
716120	305740	Clementine
716120	306804	Petunia
716120	308349	Sarah, Brewster's Maid
716120	314354	Agnes (maid #1)
716120	321380	Lily, the Cook
716120	329399	Black Cook
716120	330141	Theresa
716120	330167	Georgia
716120	330336	Blossom, the Maid
716120	330384	Ronson's Maid
716120	331469	Mammy
716120	335124	Tulip
716120	355092	
716120	362094	Beulah
716120	372328	Della
716121	2565	Beulah
716121	7512	Cynthia, Sue's Cook
716121	10678	Malena Burns, Maid Serving Di
716121	17798	Mandy, the maid
716121	17961	Nellie (Sheila's maid)
716121	19739	Buckwheat's mother
716121	19999	Singer
716121	26054	Rosalie, the Maid
716121	31103	Agatha
716121	33622	
716121	35719	Herself/Mammy in "Gone With t
716121	37487	Minnie (maid)
716121	41047	Cora, Helen's Maid in New Orl
716121	42991	Caroline (Kirk's cook)
716121	46775	Mamie, Carolyn's Maid
716121	53299	Lizzie
716121	54952	Hattie
716121	59842	
716121	62047	Isabel McCarthy, Dolly's Maid
716121	73197	Ambrosia
716121	73714	Maid
716121	90418	Mamie, Nancy's Maid
716121	105227	Hattie
716121	108300	Phyllis
716121	109784	
716121	114059	Dora
716121	114870	Celia
716121	115622	
716121	118413	
716121	125811	Kitty Silvers
716121	126063	Hester, the Fullers' Maid
716121	130899	Mammy Lou
716121	131240	Mammy
716121	131738	Edna the Maid
716121	133688	Violet
716121	139525	Cook
716121	142609	Woman in Apartment House (res
716121	144448	Millie
716121	144966	Hattie
716121	153617	
716121	154972	Tira's maid-manicurist
716121	156939	Woman at Funeral
716121	157118	Injured Patient
716121	158515	Minerva Clay, Timberlake's Ma
716121	165558	April, Conway's Maid
716121	165561	April
716121	168669	Aida
716121	169902	Aunt Dilsey
716121	177322	Black Narcissus Mop Buyer
716121	189255	Maid in Grand Plaza Hall
716121	191739	Becky
716121	192008	
716121	194868	Ida Johnson
716121	199217	Hilda, Melsa's Maid
716121	201844	Herself
716121	202248	Cleota
716121	205449	Cynthia
716121	206943	Aunt Carrie
716121	211570	Maid
716121	211610	Bunny's Maid
716121	212832	Bertha
716121	215912	
716121	216670	Mammy/Aunt Dilsy/Hilda
716121	222615	Isobel
716121	223054	Amanda
716121	230390	Cozy
716121	231125	Hanna
716121	235633	Mrs. Walker
716121	239345	
716121	242812	Annie (a cook)
716121	244828	
716121	245645	Hannah
716121	261506	Deborah
716121	269781	Hattie, Tompkins' Maid
716121	270469	Abby
716121	276939	Sadie
716121	288205	Rosetta Washington
716121	299064	Belvedere
716121	299803	Martha, Daisy's Maid
716121	300062	Queenie
716121	302467	Fidelia, Hilton's Maid
716121	302721	Maid
716121	304318	Jenny
716121	308653	Aunt Tempy
716121	313301	Hattie
716121	314354	Edna (maid #2)
716121	329329	Gossip (Ice Cold Katie Number
716121	330153	Callie
716121	331421	Maid
716121	338104	
716121	338557	Martha Smith
716121	340755	Ella
716121	349917	Ellen Belle
716121	355837	Hattie, Maid at Prom Dance
716121	359747	Maid
716121	360533	Molly, Martin's Maid
716121	365096	Cook
716121	372446	Herself
716121	374522	Dehlia
716121	381803	Beulah (1952)
716122	186936	Susan
716123	341455	Young Anna, age 14
716124	99089	
716125	37022	
716126	92618	
716126	341455	Young Anna (Age 8)
716127	287142	Bride
716127	385824	Sarah (1995-1996)
716127	400198	Herself
716128	185568	Big Breasted Lady
716129	277092	
716130	214048	Herself
716131	301855	Karen's Child
716132	402995	Herself/RR: Northern Trail
716132	403487	Herself/Northern Trail (1998)
716133	185237	Herself
716136	119344	
716137	108382	Birthday Girl
716137	194666	Ethel
716138	226929	Student
716139	204192	FBI (Science Fair)
716141	178692	Guest
716142	71302	Pink Lady
716143	202324	Student
716144	35578	Mademoiselle Marold
716144	271612	
716145	368900	Mags
716146	193834	
716146	193836	
716147	108087	Musician
716148	345970	Martha
716149	148417	
716149	214912	School Teacher
716149	310171	Bio-Mechanical Warrior
716150	72474	Carolyn
716150	210767	
716150	266902	Salesgirl, party guest
716151	5391	Sherry Johannson
716151	35454	Iris
716151	82598	Sandra
716151	82757	Cindy Ossman
716151	99767	Shelby
716151	232242	Tori
716151	248480	Debbie Meyers
716151	380713	Emily Stewart Snyder #5 (1986
716151	387303	Amanda
716152	357068	Julia Strauss
716153	346099	Heidi
716154	392019	Joanie Potter
716155	109513	CES Interviewer
716155	279604	Sullivan's Secretary
716155	390100	Mrs. Jenkins
716156	224691	Dancer
716157	219646	Lanna
716158	108087	Musician
716159	366657	Vickie
716160	160882	Dancer
716161	331799	Mothers
716162	193969	Countess Olga's maid
716163	405984	UCDavis
716164	297771	
716165	108087	Musician
716166	383702	Herself
716167	235404	Lusa Anderson
716168	366015	Kid at the Race Park
716169	1046	Prostitute
716169	2890	Toot's Girl
716169	39414	Gwen
716169	79507	Layla
716169	95908	Snow White
716169	114039	Terri
716169	151590	Sally Mae
716169	224506	Toni
716169	274293	Evie
716169	367433	Yvette
716170	16803	Bridey Hannon
716170	40174	Madge Kehoe
716170	43358	Miss O'Mara
716170	45342	Betty
716170	73808	
716170	80642	Molly Ivors
716170	286300	Headmistress
716170	330771	Mrs. Maney
716170	340221	Rosy
716170	352465	Geraldine Gilligan
716170	364869	Penitent
716170	390163	Venetia Crosby (1996-2001)
716171	65102	Maggie
716171	108389	Mrs. Ferguson
716171	310801	Vera
716172	52853	Unfortunate Old Woman
716173	4709	Sister Patrick
716173	16686	Nadine
716173	38614	Mrs. MacGruder
716173	45684	Beulah Partridge
716173	59099	Lily
716173	71861	Mrs. Flanagan
716173	80970	Miss Tait
716173	108962	
716173	128331	Housemistress
716173	136280	Grandma
716173	148413	Mrs. Loomis
716173	157965	Grandma Rose
716173	194095	Mrs. Vagabond
716173	195610	Miss Keezy
716173	195735	Mathilda
716173	202736	Cousin Fan
716173	203361	Stella Daniels
716173	216451	Miss Bergquist
716173	223893	Anna
716173	241625	Mrs. Foster
716173	248877	Miss Inch
716173	297136	Olive
716173	304399	Aunt Louise
716173	359192	Old Woman
716173	366417	Mildred Young
716173	379713	Jo Nelson (1973-1975)
716173	382770	Clara (1969-1970)
716173	387988	Herself (regular performer)
716173	394718	Emily Cowles
716173	398400	Mom Peepers (1953-1955)
716173	401537	Grandma Hanks (1966-1967)
716173	411357	Bessie Thatcher
716174	271929	Elli
716175	390523	Lisa West (1997-2002)
716176	288094	Percussion
716177	390523	Mary McCarthy (1993)
716178	78736	Herself (interviewee)
716178	231822	Herself (interviewee)
716178	291225	Herself (interviewee)
716179	168337	
716180	21621	Mary
716180	95778	Maureen Devereux
716180	276411	Ileen Clausen
716180	390523	Miss. Summers (1979)
716180	411482	Finnish girl
716181	41478	Veiled girl
716182	269427	Young Patricia
716183	168286	Reporter
716184	82420	Lilla Dossi
716184	112800	Jane
716185	35086	
716186	57856	Clorinda, stepsister to Cinde
716186	85703	Sister Constance
716186	211604	Valencienne
716186	213587	Yum-Yum
716186	402197	Rosie Hudson (1979)
716187	234071	Maori dancer
716188	2779	Herself
716188	2816	Winner for Best Performance b
716188	17751	Miss Grace Farrell
716188	34964	Ruth
716188	47385	Herself
716188	47386	
716188	72504	Joe Worker singer
716188	87985	Herself
716188	140405	Bessie in her 20s
716188	163344	Sarah Langley
716188	175544	Herself
716188	185222	Barbara Manning
716188	187899	
716188	223904	Herself
716188	237783	Wedding Singer
716188	295363	
716188	307878	Herself
716188	366697	Susie Monahan
716189	55758	
716189	89572	Jane
716189	111300	
716189	213907	Mrs. Carletti
716189	226971	Anita
716189	348174	Sua moglie
716190	57788	Mrs. Tanner
716190	67394	Dottie
716190	87876	Woman in Chief's Office
716190	151207	Aunt Betty
716190	165961	Mrs. Posner
716190	221055	YMCA Visitor
716190	232203	Marjorie Armand
716191	272648	Elderly Lady
716192	33426	Student editor
716192	331395	Doris
716192	380713	Lynn Michaels #2 (1996-1999)
716193	36856	Manicurist
716193	185522	Nurse
716193	215754	Office Girl
716193	222592	Earl Carroll Girl
716193	342859	Maid
716194	23338	Older Woman
716194	115668	Mum
716194	142621	Angular Nurse
716194	154441	Eliza McKenzie
716194	168218	
716194	186846	Motel Clerk
716194	222300	Additional Voices
716194	224027	Nellie McClary
716194	230505	Mary's Friend
716194	247571	Jennifer Pickett
716194	277175	Nan
716194	290375	
716194	304529	Elderly Woman
716194	308016	Grandma
716194	367966	Mrs. Purcell
716194	381422	Old woman
716194	394509	Parkinsons Sufferer
716194	398513	Additional Voices
716195	379978	Herself (eliminated 8th) (200
716196	4637	
716196	250607	Kim
716196	377575	Esmeralda
716197	126686	Mrs. Carson
716198	39985	Kate
716198	254867	Sandra Zeller
716199	262160	Jane Red Bow
716200	351727	
716201	53266	Stripper
716202	320745	West Indian Girl
716203	46632	Herself
716204	47090	Herself
716204	148321	Herself (Vocals)
716205	310711	Herself (secretary, at funera
716206	113533	
716207	193775	
716208	74012	Leggy Blonde
716210	295853	Herself
716211	41355	
716212	378862	Herself
716212	378969	Host
716212	390000	
716212	399298	Judge
716213	328253	Lady in Restaurant
716214	386722	Herself
716214	388813	Herself - Host
716214	399485	Post Office girl
716215	12751	Linda Marlowe
716215	32952	Babs
716215	72703	
716215	77820	Lorie Fenton
716215	84195	Betty
716215	115256	Gaspar's helper
716215	116523	Kitty West
716215	123240	Molly
716215	126510	Judy King
716215	129095	Gracie Waverly
716215	135937	Kathleen Corrigan
716215	139937	Susan Brent
716215	148927	Evelyn
716215	151725	Marion Bliss
716215	163190	Kitty McClain
716215	221779	Norene Steward
716215	222660	Peggy
716215	223968	Judy Mason
716215	271018	Their girl
716215	293103	Betty Wilson
716215	298086	Jan Lawton
716215	316900	Dixie
716215	362491	Angela
716216	363780	Saleswoman
716216	396232	Various
716217	316140	Bridget
716217	330103	Girl in office
716217	390358	Mandy
716218	19822	Mrs. Power
716218	20537	Office manager
716218	44989	Dr. Goldstein
716218	100041	Pat Harrison
716218	273822	Joy Ayres
716218	275442	Daughter-in-law
716218	411245	Woman in Audience (episode 7:
716219	350160	'Playboy' Bunny
716220	123108	Lufy
716220	123112	Lufy
716221	88572	Dolores Nunez
716221	311657	
716221	329770	
716222	380909	Herself - Host (1991)
716222	391488	Herself - Co-Host (1979-1989)
716222	393080	Herself
716223	23919	Herself
716223	165479	Herself
716223	313808	Host
716223	385322	Herself
716223	395978	Presenter (Series 8-) (2004-)
716223	406388	Presenter
716224	288455	
716225	252524	Vice President
716226	66661	Dancer
716226	311517	Studious Student
716227	193836	
716228	326496	Village woman
716229	385299	Mrs. Stokes
716230	117713	Dancer
716231	81563	Molly
716231	153210	Fidelma
716231	227194	Chrissie
716232	126494	
716232	157290	
716232	186847	Mary
716232	336721	Margaret Bainbridge
716232	390100	Leslie
716232	399893	
716233	112032	Child
716234	194564	Japanese Translator
716235	149769	Melanie Webb
716235	168786	Jenny
716235	382830	Martha Brown
716236	11182	Herself
716237	272953	Screaming Woman
716238	68275	Belly Dancer
716239	295387	Finch
716240	337649	Player
716241	147961	Aoife McClure
716242	157563	Eveanna Clutter
716242	159954	Veronica
716242	293020	Deputy Herbert
716243	201540	Giogianna
716244	304806	Amber
716245	304683	
716246	278219	Miss Sutherland
716247	380391	Marianne Randolph #2 (1971)
716248	144667	Crossing Guard
716249	218345	Attendant
716250	104974	Girl in club
716251	153142	Annabel
716253	133347	Elizabeth
716254	84781	Narrator
716254	318941	Narrator
716254	338498	Narrator
716254	347549	
716255	206215	Tawny
716255	213494	Jax
716255	216803	Golden Girl
716256	55048	
716256	125191	Lola Livingston
716256	126670	Gertie
716256	135404	Miriam
716256	146753	Michele
716256	154376	Gracie
716256	163469	Gale Fletcher
716256	192721	Margaud 'Maggie' Morgan
716256	196963	Pearl (secretary)
716256	241036	Flo
716256	244842	Blonde
716256	248838	Ferna
716256	265779	Claire Banner
716256	278079	Bit Part
716256	291239	Joan Allen
716256	313118	Opal
716256	327221	Ginger Simmons
716256	336151	Diana Linden
716256	372360	Girl
716257	309407	
716258	47130	Mr. Oh's Friend
716258	106378	Mole lady
716258	313408	
716259	52883	Mrs. Haley
716259	64598	
716259	96844	
716259	153157	
716259	178344	
716259	264045	Judy
716259	310362	
716259	323184	
716259	339739	
716260	29707	
716260	55588	Bearded Woman
716260	58487	Old Woman
716260	64106	Fairy Godmother
716260	80832	Mrs. Gray
716260	223642	Miss Jennings
716261	46303	
716261	108929	
716261	120258	Herself
716261	161634	Wilma
716261	183400	
716261	195452	Shirley
716261	384689	
716261	388070	Rhonda Cohen
716261	406481	
716262	171301	
716263	252524	Suicide Chick
716265	335607	Herself
716265	372218	Cigarette Girl
716266	188420	ESPN't Reporter
716266	231377	Grad Student
716266	236334	
716266	307712	Girl at Mass
716266	360717	
716267	360877	Candice Wellington
716268	298120	Dawn Gensler
716268	401100	
716268	403423	Additional voices
716268	407224	
716269	21481	Nurse
716270	241600	Sam's U.S. girlfriend
716271	87599	Bridesmaid
716272	43606	Media Jackal
716272	216803	Lily White Girl
716273	28461	
716274	139656	
716275	90993	Siamese Twin #1
716276	157839	Rachel
716277	124416	Zuster Olivia
716277	236681	Dorrie Evans
716277	295342	Esther
716277	399816	Dorrie Evans (1972-1977)
716277	405960	Fiona Thompson
716277	407650	
716278	41409	Special Lady
716279	366181	Marion Jamieson
716280	320094	National Guard, Motorcyle Pla
716281	369444	Susan Brandon
716282	124527	Novia
716283	23748	Shirlei
716284	113883	Muriel
716285	192748	Heckled Singer
716286	393604	Betty Davidson/Lois Newton-Ri
716287	77148	Shop Assistant
716288	360074	Catherine
716289	244318	Woman in Crowd
716289	299028	Vocalist
716289	342685	Drive-In Girl
716290	240786	Diner Waitress
716291	239047	Zombie
716292	194062	Andy Booth
716292	342944	Rita
716292	387297	Jennie Brown
716293	145071	Hooker
716293	206687	Lawyer
716294	397231	Presenter
716294	403388	Herself - Presenter
716295	119603	
716295	130188	
716295	314448	
716296	73879	Reporter
716296	128199	Reporter
716296	360477	Curley
716297	81952	Page's Niece
716298	128735	Herself
716299	29650	Barbara James
716299	78759	Ultra Cool Secretary
716300	299165	Sue
716301	25523	Headwaitress
716302	53960	Seymour's Girl
716302	177475	Buddy's girl
716302	260229	Nurse
716303	300180	Goddess Dancer
716304	137924	Player Queen/Lady-in-Waiting
716304	143536	Juno
716304	277254	Mrs. Kelly
716304	294804	Dawn's Mother
716304	394311	Lady Bird Johnson
716305	145071	Girl
716305	247500	Amamda Lynch
716305	330799	Courtney Watson
716305	346005	Ashley
716306	67709	
716307	159175	Dancer
716308	72515	Barmaid (Megan)
716308	246695	
716309	65474	Additional Voices
716310	273514	Martha Stedman
716311	122664	Lady Jaye
716311	389628	Lady Jaye, Tito Vasquez
716311	389691	Goleeta
716311	397038	Mrs. Francis Forthwright
716311	410988	Additional Voices
716312	108411	
716312	130104	Denise
716312	320311	Deena
716312	380391	Emily Maddux (1997)
716313	80374	Girl #1
716313	316331	Joan Spencer
716314	57929	Gala Patron
716314	78007	Maria Anderson
716314	157525	
716314	303596	Nurse Farrell
716315	358373	
716316	231078	Nurse
716316	266053	Donna
716317	20950	Jennifer
716318	147715	Herself
716319	81247	Rhonda Bainbridge
716320	37672	Bandit
716321	55238	
716321	333680	
716322	97247	Soap Opera Actor
716322	167563	Det. Burke
716322	327060	Female Computer Hologram
716323	162821	Jan Raines
716323	222460	Marilyn Munster
716323	238138	Amy Lee
716323	286848	Marianne
716323	289645	Isobel
716323	293961	Choir leader
716323	294150	
716323	311165	Marcia Steinbech
716323	322631	
716324	170501	Julius Girlfriend
716325	67833	Ursula Cronin
716325	134595	Miriam McMahon
716325	137580	Gillian Moffatt
716325	161115	Solicitor
716325	243934	Miss Malcolm
716325	381059	Dianne
716325	383882	Phillipa Taylor
716325	390917	Jady #2
716325	392000	Miss Blood
716325	393335	Det Sgt Jan Murray
716326	137657	Dr. Hoffman's Assistant
716327	208074	Kim
716328	970	Judge
716328	13188	Narrator
716328	13833	Rose Baumler
716328	32986	Mary Shushan
716328	41739	Jenny Bell
716328	60863	Jane Eastman
716328	71897	Gabriella Estrada
716328	72717	Amy Banks
716328	77728	Stands With A Fist
716328	77729	Herself
716328	90772	Mrs. Rose Darko
716328	105354	Dora Overton
716328	109877	Susan Shaw
716328	116094	Narrator
716328	116952	Laura Brown
716328	124056	Lady Capulet
716328	132756	Claire
716328	158999	First Lady Marilyn Whitmore
716328	159002	Herself/Marilyn Whitmore
716328	193296	Helen Staples
716328	201654	Herself
716328	201688	Herself
716328	205786	Prioress
716328	207782	Elma Radnor
716328	217990	Terri
716328	221267	
716328	222292	Althea Brockett
716328	234659	Margaret
716328	237492	Alexandra Bergson
716328	275872	Linda Marsh
716328	306051	Liz
716328	310302	Voice of Zoe's Mother
716328	332807	Paula Warsaw
716328	343189	Sybil Goldrich
716328	367634	Teri Hansen
716328	372102	Diane
716328	380713	Claudia Colfax (1980)
716328	381422	Laura Roslin
716328	381423	President Laura Roslin
716328	387218	Dr. Eve Sheridan
716328	391550	Dorothy 'Dott' Emerson
716328	403998	Rachel Caulfield
716330	104774	United Kingdom entry (12th pl
716331	328495	Dancing Woman
716332	120205	Heather
716333	38975	Herself (addresses Canadian L
716333	118897	Herself (NDP leader)
716334	2074	June Thorpe
716334	81543	Mrs. Gingold
716334	117101	Mrs. Nimkoff
716334	192318	Mrs. Harrison
716334	194564	Dietician
716334	210732	Female Customer
716334	218848	Nancy
716334	220099	Lucy Griffin
716334	232093	Office girl
716334	303455	Teacher
716334	345853	Samantha Stewart
716334	359742	Mrs. Kilpatrick
716334	379716	Esther Glynn (1997, 2000)
716334	389924	Anne Washington
716335	170966	Cheerleader "A"
716336	188547	
716336	198540	Ranch Wife
716336	294176	Woman
716337	123064	Angela
716337	377647	
716338	102468	Linda Swenson
716338	151659	Little Girl
716338	276923	Luella
716338	364130	Stephie
716339	204557	Dancer
716340	381898	Herself - Blair's Mother
716341	1099	Danny's Mom
716341	13971	Landlady
716341	72707	Loretta
716341	80803	Book Clerk
716341	107100	Real Estate Lady
716341	148570	Female Forest Ranger
716341	154040	Ms. Davis
716341	183357	Carol
716341	188646	
716341	204034	Louy
716341	255234	Alabama Tourist
716341	297791	
716341	305571	Willetta
716341	328368	Julie Bordon
716341	349877	
716341	362479	Wife
716341	388475	Ms. Leslie Melon (1986)
716341	407655	Lois McCardle (1982)
716342	64567	
716342	79757	Erin Northridge
716342	121799	Kristen Cumming
716342	141643	Kathy Chandler
716342	148438	Erin
716342	157324	Sister Juliet
716342	196376	Denise
716342	213209	Robin Prentiss
716342	217476	Alice
716342	219635	Christie Parson
716342	220018	Erin Walton
716342	241658	Andrea Harris
716342	244430	Zemack's girl friend
716342	306300	Karen
716342	342216	Herself (The Waltons)
716342	358374	Linda
716342	358865	Erin Walton Northridge
716342	358866	Erin Walton Northridge
716342	358867	Erin
716342	360711	Erin Walton
716342	383711	
716342	410568	Erin Walton
716343	3977	Girl #5
716343	142559	Adele (Signal Corps Operator)
716344	195296	Judy
716344	215603	Betty
716345	185182	Toaster
716346	72657	Candy (the girl)
716347	348229	Club Patron
716348	178166	Eileen
716349	121527	Obseshun
716349	176847	Female Jogger
716350	1674	Herself
716350	2940	Herself - Best Actress Winner
716350	3021	Herself - Presenter: Best Act
716350	7288	The Handler
716350	12217	Elaine Miller
716350	35696	Andy Bowman
716350	40509	Woman on TV
716350	41308	Abby
716350	50484	Grace
716350	60016	Mae Foley
716350	64797	Michelle
716350	72707	Clare
716350	73326	Nun
716350	79044	Julie Hastings
716350	109093	Marge Gunderson
716350	131571	Eve Calloway
716350	144542	Ingrid Jessner
716350	144593	Gus
716350	168736	Alice
716350	186158	Jane
716350	193701	Bunny
716350	196876	Herself
716350	199564	Miss Clavel
716350	203601	Doris Crane
716350	214054	Mayor's Secretary
716350	214732	Herself
716350	215905	Mrs. Pell
716350	247204	June
716350	248491	Dr. Verstak
716350	257192	
716350	263740	Dr. Molly Arrington
716350	271339	Dot
716350	289420	
716350	291101	Voices
716350	291971	Herself
716350	299846	Betty Weathers
716350	308128	Zoe Barry
716350	322417	Pool Girl
716350	323961	Conlon
716350	324022	
716350	348451	Anne
716350	351756	Brigette
716350	367964	Sara Gaskell
716350	367965	Herself
716350	395339	Willie Pipal
716350	406463	Narrator/Adult Hannah
716351	190440	Beverly
716351	214463	Woman on the Street
716351	224091	Mother in audience
716351	230316	Mrs. Feinstein
716351	252096	Sandra
716351	366585	Tabitha's mother
716352	35145	Ms. X
716352	42785	TV Announcer #1
716352	141194	Cheri Mathis
716353	20044	Jessemina
716353	59664	Roger Corwin's Girl at Party
716353	125425	Herself
716353	128735	Herself
716353	134418	Playmate #1
716353	168238	
716353	257631	Herself
716353	257656	Herself (Miss December)
716353	257821	Herself (Miss December 1997)
716353	257864	Herself (Playmate of the Year
716353	257866	Herself
716353	272920	Herself
716354	259409	Herself
716354	327298	Good Looking Girl at Diner
716355	285591	Jock McKay
716356	152986	Herself
716357	10813	Helen Gregory
716357	185503	Shelly
716357	229255	Mrs. Kelly
716357	379873	Sandra Todd
716357	399130	Ruth Avery (1993)
716357	399948	Lieutenant Borg (1995)
716357	409400	
716358	59715	Sally
716358	76515	
716359	114474	Granny
716360	264160	Chloe, Girl Graduate
716360	282952	Ruth, Bridesmaid
716360	339368	1st Bridesmaid
716361	41746	Player (Bomber)
716362	403542	Mother
716363	195300	Receptionist
716364	12758	Patricia
716364	28460	Mrs. Babbidge
716364	80500	Jenny Drew
716364	85848	Louise Saunders
716364	97201	Joan Scott
716364	114176	Margaret Hoy, UN Space Agency
716364	160985	Drug addict
716364	164502	Anne Ford
716364	164592	Kay Stock
716364	191399	Frances Anne
716364	191963	Mary
716364	240327	American secretary
716364	264489	
716364	297906	Mrs. Power
716364	299233	
716364	310404	Ann Collins
716364	333265	Lucille
716364	335321	Mrs. Parnell
716364	383220	Hetty Callahan
716364	385244	Zoe Manners
716364	385825	Ann Mitchell
716364	388951	Ann Mitchell
716364	389107	The Storyteller
716364	400568	Ann Mitchell
716364	410730	Rose Warren
716365	3844	Herself
716365	18617	English Usherette
716365	108473	Lady Agatha
716365	155902	
716365	203122	Mary, the Postmistress's Daug
716365	228314	Schoolgirl
716365	330664	Girl
716366	176448	Innkeeper's Wife
716367	290915	Alice
716368	306764	The 'Ballet Girl'
716369	114862	Liz
716370	105279	Rachel
716371	2420	Woman
716371	6791	Woman in library
716371	6930	Rich Woman
716371	11241	In Detective Agency
716371	12232	Mrs. Livingston
716371	14213	Mrs. Samuel Griffiths
716371	16468	Dr. Standish's servant
716371	19971	Miss Winfield
716371	21467	
716371	21791	
716371	21798	Margot's Aunt
716371	23902	Mrs. Tim Eagan
716371	24158	Alma Washburne
716371	24861	
716371	26268	Bobby's Mother
716371	27322	
716371	32979	
716371	33922	Princess of Hur, Mother of Be
716371	37130	Mrs. Marlowe
716371	37256	Mrs. Apperson
716371	38122	Billy's Mother
716371	39425	Martha (Dan's sister)
716371	39498	Nurse
716371	39691	
716371	39699	Mrs. Prescott
716371	39781	Agnes Trevor
716371	40747	Elizabeth Monnier
716371	41505	A Lady
716371	43460	
716371	44552	
716371	45285	
716371	45669	Catholic Nun
716371	47198	Woman Saying 'Stalin will Liv
716371	47463	Kate's Mother
716371	47777	A-Che-Chee
716371	47944	Mrs. Naughton
716371	50858	Mrs. Mary Carroll
716371	52535	Party Guest
716371	53625	
716371	54487	Old Lady
716371	54559	Annette De Searcy
716371	54841	
716371	57702	
716371	57973	Mrs. Blaine
716371	58485	
716371	59887	Mrs. Walters
716371	60182	Mrs. Robin Carter
716371	61310	Aunt Rebecca
716371	61387	Susan, Frank's Fiancée
716371	61620	
716371	61650	The Child's Mother
716371	61653	The Designing Woman
716371	64533	Martha
716371	65479	Vera Vincent
716371	69741	A Maid
716371	70824	Jane's Aunt
716371	71710	The Half-Wit's Mother
716371	73348	Night Court Judge
716371	73660	The Uncle's Adopted Daughter
716371	73688	A Neighbor
716371	74196	Charity Patient
716371	75423	Old Woman
716371	81532	Mother
716371	81667	A Nun
716371	84375	Kate, the Bank Clerk's Sweeth
716371	84983	Mrs. Peterson
716371	85078	Mrs. Potts
716371	85101	Mrs. Thornton
716371	88005	Mrs. Wilson
716371	88260	Josephine Fippany
716371	89653	Mrs. Meadows (Craig's sister)
716371	90354	Aunt Abigail Bowen
716371	90862	
716371	92523	Nurse for Mr. Winslow
716371	92558	Miss Bryerly
716371	93171	
716371	93689	The Neglected Wife
716371	100201	
716371	101032	
716371	101083	Miller's Wife
716371	107390	Bit Role
716371	107393	
716371	108435	
716371	109728	
716371	109791	At Hotel/At Wedding
716371	109895	The Wife
716371	110962	The Miner's Wife
716371	111726	Mary Lynch
716371	111903	Margot
716371	112300	Mrs. Hill
716371	112395	The Fury
716371	114391	At Fair
716371	114919	Mrs. McTavish
716371	115080	At First Party
716371	116194	Mrs. Hastings, Anita's Mother
716371	116498	Nina
716371	121376	Woman in Farewell Crowd
716371	123290	Kate
716371	123313	Beth
716371	123913	Old woman on street
716371	124471	Indore/Agatha
716371	127544	Lalia Graun
716371	129097	Door-to-Door Saleswoman
716371	130013	The Woodsman's Wife
716371	130763	Pedestrian
716371	130877	Lady-in-Waiting
716371	133367	Mrs. Bennett
716371	134448	
716371	138846	The Maid
716371	141190	Martha Hawn
716371	141371	May Caroline
716371	143104	
716371	143180	
716371	144994	Seamstress
716371	146016	
716371	146129	Mourner
716371	146231	Maiden Aunt
716371	146260	Col. Frazier's wife
716371	146261	Mrs. Frazier (the dying mothe
716371	149126	
716371	150897	The Doctor's Wife
716371	151361	Neighbor
716371	152522	Woman on Street
716371	152589	Mrs. Brown
716371	153226	
716371	154792	Lavina
716371	155528	The Worker's Wife
716371	155678	Crying mother
716371	156939	Teacher Outside Classroom
716371	158084	The Elder Daughter
716371	158156	Edith Weston, Bill's Wife
716371	158359	Mrs. O'Hara
716371	158377	The Trapper's Wife
716371	162093	
716371	163288	Mother
716371	163654	Mrs. Porter (Voice)
716371	163702	At Ball
716371	164541	Lize Merdin
716371	168220	
716371	169362	Sister at Hospital
716371	169957	Mrs. Heath
716371	183814	Mrs. Tuckerman (department ho
716371	186262	Marguerite, Manning's Sister
716371	186452	Gilmurry's Secretary
716371	186631	A Boarder
716371	186805	Mrs. Brent
716371	187718	Lena's Mother
716371	191929	Aunt Louise
716371	194018	Ned's Wife
716371	195315	
716371	195912	Liz Trott
716371	197033	A Cousin
716371	198048	Mrs. Sam Clairborne
716371	201846	Actress
716371	202858	Natchah
716371	203732	Cave Woman
716371	204191	Nancy
716371	204279	Lunchroom Hostess
716371	206117	Dona Catalina Pulido
716371	206341	Mother
716371	210708	Mrs. Stephen Rodman
716371	210833	
716371	211777	The Other Woman's Servant
716371	212745	Nancy Harding
716371	213139	Liza Slater
716371	213301	Mrs. Osborne
716371	215002	Jack of Diamonds Woman
716371	215181	Daisy
716371	215271	Mrs. Fallon
716371	215440	The Manicurist
716371	216448	Nita Valyez
716371	217186	Indian Mother
716371	219195	Duchess
716371	219975	Mrs. Sheldon
716371	220085	Mary's Mother
716371	221790	One of the Sisters Frost
716371	222615	Mrs. Houghland
716371	230918	First Gossip
716371	231403	Margaret Rainsford
716371	231793	Movie patron
716371	237663	Rebel
716371	239505	A Parent
716371	239517	At Audition
716371	241237	Jane Todd Crawford
716371	241637	Mrs. Kelly
716371	246340	Miss Breen
716371	252296	Mrs. Schofield
716371	254460	Ma Nolan
716371	257372	Mrs. John Holland
716371	259995	Mrs. Hope
716371	263117	
716371	263738	The Woman
716371	264509	Her Mother
716371	266223	Miss Grayson
716371	269921	Mrs. Putnam
716371	269989	Mrs. Abbott
716371	270939	Sylvia Moreton
716371	271971	The Schemer's Associate
716371	273513	Ettie, in Ballroom
716371	273599	Mrs. Randall
716371	273819	Concha
716371	273924	The Heiress' Maid
716371	274455	Anna Pavlovna
716371	275786	
716371	275797	
716371	276286	Nun
716371	276705	Mrs. John Denby Sr.
716371	278262	Mrs. Cratchit
716371	281097	
716371	281099	Elder Sister
716371	281704	
716371	281848	Indian/Puritan
716371	285658	The Second Wife
716371	287252	The Artist's Fiancée
716371	290390	The Street Fakir's Sweetheart
716371	292172	Aunt Hattie
716371	292781	Elizabeth Channing
716371	297268	Molly O'Shea
716371	298758	Mrs. MacDowell
716371	299173	Clara Gove
716371	300105	Mom Fisher
716371	301852	Mrs. Calhoun
716371	302201	Charity Worker
716371	302365	Angeline
716371	305398	Woman in Bed
716371	306460	Rich Woman in Other Town
716371	308116	Housekeeper
716371	308181	
716371	308603	Artistocratic Dowager
716371	309267	The Wife
716371	310315	Paula
716371	312326	Silver Fawn
716371	313078	Woman
716371	315079	The Wife
716371	315124	The Rich Woman
716371	315165	Olga
716371	315353	The Antique Dealer's Daughter
716371	316124	Mrs. Schiller
716371	316198	
716371	316991	In Tenement
716371	317149	The Nurse
716371	317980	Struthers' Secretary
716371	318718	At Party
716371	318962	Spinster
716371	321646	The Switchman's Wife
716371	321722	Irene Lambert
716371	326142	Aunt Mary
716371	326649	Mrs. Abbott
716371	327151	The Lady
716371	327529	Mexican Jim's Wife
716371	327853	Edith
716371	327864	The Prospector's Wife
716371	330249	Mrs. Fletcher
716371	331097	Mother
716371	331128	Mrs. Rollins
716371	331324	Frau Zalewski, Landlady
716371	331606	Investigating Committee
716371	331853	Mrs. Virginia All
716371	332002	Nurse
716371	332166	Juan's mother
716371	333073	Ma Jones
716371	337073	Katrina
716371	337492	Mother
716371	341033	Dick's Wife
716371	342790	The Mother
716371	342838	Miss Herrick
716371	342910	Mrs. Gorman
716371	342971	Nun
716371	345967	A Friend
716371	346152	John Haywood's Sister
716371	347120	Little Boy's Mother
716371	347347	John Phillips' sister
716371	348038	
716371	348075	The Wife
716371	348952	Despairing Mother/One of the 
716371	350336	Kate
716371	351733	Galora
716371	354337	Lady Editha, Alwin's Mother
716371	358282	The Chief of Police's Wife
716371	358485	Mrs. Joyce
716371	358958	The Female Lover
716371	360563	Mrs. Dominick
716371	361170	A Widow
716371	361289	The Farmer's Wife
716371	361700	
716371	361701	
716371	362200	Comtesse de la Brière
716371	362389	The Old Carpenter's Wife
716371	362759	Martha Shelby
716371	362881	A Lady-in-Waiting
716371	363096	An Actress
716371	363704	
716371	363710	Gossip
716371	365205	Mrs. Smith
716371	365233	Mrs. Grayson
716371	365778	The maid
716371	366089	Doña Maria Casandos
716371	367525	Mrs. Moreland
716371	367599	The Doctor's Wife
716371	368275	The Daughter in the City
716371	368324	Benjamin's Secretary
716371	368927	The Blind Sister
716371	372112	Grace Dardley
716371	372520	Mrs. Spencer
716371	372769	Woman at Station
716371	372819	Woman
716371	372857	Old Lady with Memories
716372	194990	
716373	270607	Patricia Ann Yearwood
716374	18310	Concerned Guest
716374	304948	Concerned Diner
716375	56181	Josephine
716376	213626	
716377	203918	Shaw's Aide
716378	142290	Pregnant Woman
716379	363927	Alisa
716380	244830	
716382	360058	Drowned Girl
716383	63065	Jane Doe
716385	200492	(segment "Gluttony")
716386	90314	Sharon
716386	118021	Mrs Seagrave
716386	118925	Justine
716386	155595	Lady Gertrude Chiltern
716386	323016	Kristin Fisher
716386	336136	Sana
716386	383376	Michelle Hauptmann
716386	396111	Kate Adams
716386	397659	Rosamond Vincy
716386	410898	Jane Wainwright
716387	337178	Brown Marie, a Black Servant
716387	359863	Belle
716388	175479	Zoe
716389	135766	Gumba
716390	367054	The Wiz Singers Children's Ch
716391	190322	Ashley Lovejoy
716392	24610	Anchorwoman Cynthia Verona
716392	36700	Keli
716392	160885	Eyebrows Wearer
716392	256220	Clueless DJ
716393	135812	Perms
716394	367792	
716396	300159	
716397	133849	Duke's Consort
716398	404403	Shonna
716399	391869	Eloise Lennox (2003)
716400	358663	Lap Dancer
716401	223740	Cheerleader #2
716401	281457	
716402	133949	Gay
716403	58472	
716403	62117	Mavis
716403	80449	
716403	83952	Bank Teller
716403	86982	Ellen Drury
716403	135812	Joan
716403	148594	Billie Lou Munch
716403	157254	Tina
716403	167324	Jean Hill
716403	170388	Reva
716403	191987	Make-Up Woman
716403	192748	Crying Woman
716403	208494	Wanda June
716403	231888	
716403	233676	Waitress
716403	266708	Lonely Woman at Drugstore
716403	368318	Lucy
716403	372089	Harry's mother
716403	400621	Elenor O'Connor (2002-2003)
716404	151758	Screaming Woman
716405	217902	
716405	341721	Didi
716405	372838	
716406	52577	Journalist
716407	64837	Katie
716407	224154	Francine
716407	409202	Ellie Moore
716408	29320	Diane Davis
716408	229260	Jerilderie Woman
716408	273408	Kylie
716408	384693	Various Characters (2003-2004
716409	115269	Ethel
716410	395321	Herself/panelist (1949-1954)
716410	408026	Herself/panelist
716411	46558	Janet
716411	64864	Sophie
716411	69926	Holly Anderson
716411	85050	Megan Doherty
716411	110315	Terry Huston, Dept. of Health
716411	110316	Herself
716411	136281	
716411	176960	Deborah
716411	183370	Olga Daniloff
716411	186158	Sara
716411	196233	Rosaline
716411	201704	Herself
716411	221245	Young Clarissa
716411	243148	Herself
716411	244332	Mary Boleyn
716411	281334	Deirdre
716411	307274	Rheya
716411	340901	Lauren/Sylvia
716411	362380	Kate Beckenham
716411	384587	Angie (Third Hostess)
716411	394163	Angie (Third Hostess)
716411	403294	
716412	400158	Cora Collins
716413	177523	Susan
716413	321225	Penny
716413	347918	Melissa Cherry
716414	350424	Model
716415	57139	Helen
716416	31725	
716417	164657	Caroline Kennedy
716418	78223	Miss Williams
716418	141568	Rachel Freeman
716419	142392	Mary
716419	142394	Mary
716420	69773	Christmas Caroler
716420	181534	Mrs. Coles
716421	29690	Mame
716421	380750	Jury Foreman
716422	50476	Girl in Shooting Gallery
716423	64400	Rosemary
716423	99466	
716423	346342	
716424	91888	Heidi Burge
716425	56545	Herself
716426	14224	Herself
716427	50212	Ruth
716428	124502	Extra
716429	50476	Girl in Shooting Gallery
716430	33678	Mo
716430	126548	Wendy
716430	207093	Morris child
716430	381187	Emma Dillon (1998- )
716430	391786	Jodie Nash (2001-2003)
716431	82702	Demon Girl
716431	318687	Girl
716431	368405	Kate
716432	44450	Passerby #4 - Democratic Conv
716432	70461	Amy Cranfield
716432	73504	Mrs. Sivil
716432	90932	Secretary
716432	138165	Stella Roche
716432	141605	Dinner Guest #1
716432	141746	Mrs. Highsmith
716432	151777	Jenny
716432	169170	Woman at Laundromat
716432	210700	Annie
716432	220985	Crying Woman
716432	255654	Mrs. Lipman
716432	267551	Hallaway
716432	277325	Christine
716432	283561	Sally Mae Giddens
716432	284526	Dolly
716432	306305	Heidi
716432	320162	Doreen
716432	340827	Kay Culver
716432	358708	Muffie Livingston
716432	359434	Corlie
716433	63130	Sister Margaret
716433	160065	Fred
716434	1346	Herself
716434	5339	Herself - Host/Performer
716434	5342	Herself
716434	13751	Herself
716434	13915	Herself
716434	42353	Herself
716434	48896	Annie Oakley
716434	63061	Herself/Host
716434	66242	
716434	66246	
716434	71743	Herself
716434	99301	Herself
716434	123303	Burgundy Jones
716434	132845	Herself
716434	132846	Herself
716434	150095	Herself
716434	157464	Herself
716434	161366	Herself
716434	162565	Lily Marshall
716434	169866	Herself
716434	187307	Herself
716434	192187	A.J. Ferguson
716434	203027	Nancy Lee Prinzi
716434	208245	Spectator
716434	235052	Ma Tex
716434	241583	Dr. Green
716434	273574	Herself
716434	273575	Herself
716434	273576	Herself
716434	273577	Herself
716434	273578	Herself
716434	273579	Herself
716434	273580	Herself
716434	280443	Herself
716434	281530	Herself
716434	292515	Rose Cameron
716434	339018	Heather Gummer
716434	368824	Herself
716434	384538	Herself
716434	403014	Reba Hart
716434	407935	Guest Performer
716435	273580	Herself
716436	44740	Margaret Masson
716436	164372	
716436	229135	Herself
716436	241064	Helen
716436	383485	Herself - Host
716436	387957	Narrator
716436	388474	Various Roles
716436	407788	Herself (1998)
716437	117454	Featured dancer
716438	300533	Party Girl
716439	292877	Tippy Durden
716439	316131	Tippy
716439	358076	Rosemary
716440	47922	Child
716441	95321	Mrs. Strong
716441	184992	Violet Wayne
716442	61763	Sarah
716442	149938	Tammy
716442	161977	Janie
716442	170983	
716442	195043	
716442	389501	Kathy Santoni (1989-1990)
716443	337091	Mrs. Allbright
716444	353360	Nuala
716445	220948	Mrs. Grouch
716446	258904	Herself
716447	151548	Career Guidance Teacher
716447	217411	Mother Superior
716447	285789	
716447	390163	Biddy Byrne (1983-2000)
716448	165970	Mrs. Carson
716449	57747	Guard# 2
716450	116466	Reporter #1
716450	148203	Agent #3 - NY Gate/O'Hare
716450	242081	Susan Muldoon
716451	399948	Lee Lucas (1994)
716452	161495	Clara Jolly
716453	31427	Lady Bellaston
716453	55632	Mrs. Dilys Gotobed
716453	69926	Lilian Rodgers
716453	77639	Alice
716453	109563	Georgette
716453	116674	Novotna
716453	117556	Lady Ammanford
716453	136036	Gran
716453	142920	Alice
716453	186534	Janet
716453	192431	Miss Coutt
716453	195813	Miss Scattergoods
716453	196233	Holofernia
716453	200052	Sister Bridget
716453	219705	Miriam
716453	233649	Catherine Robinson
716453	235520	The Aunt
716453	243160	Mother
716453	267426	Nanna
716453	279757	Mortianna
716453	312020	Flora
716453	329978	Irene
716453	330380	Mrs. Violet Jerome
716453	334008	Nurse
716453	350506	Lady Southdown
716453	350913	Vampire Sister
716453	353490	
716453	381278	Mrs. Proudie
716453	396797	Emmeline 'Lucia' Lucas
716453	397891	Miss Jane Marple
716453	398495	Miss Rose Farnaby
716453	402138	Jean Brodie
716453	407666	Anne Dickens
716454	323016	Ellen
716455	137568	Susan Lazarro
716456	252982	Feminist
716457	182334	Jade
716458	26308	Patricia
716458	70224	Young Girl
716458	410416	Miranda Aisling
716459	379872	Judy Enshaw
716460	218841	Vicky
716460	277635	Waitress
716461	333399	
716462	110192	Birthday Party Girl
716463	116796	Imelda
716464	95266	Lisa
716465	56636	Une suivante d'Hébé/Un plasir
716465	114960	
716465	159015	Hébé/Zima
716465	232330	Soprano
716465	276492	
716466	302269	Club patron
716467	378777	Host
716467	378778	Herself - Correspondent
716467	379061	Herself - Substitute Anchor (
716467	392711	Narrator
716467	404104	Host
716467	406467	Narrator
716468	14212	Gail Jones
716468	21198	Clerk
716468	91769	Evelyn Lake
716468	97388	Rae Jones
716468	97410	Eddie's Aunt (sketch)
716468	99386	Mavis
716468	116357	Mrs. Walker
716468	119888	Mrs. Coleman
716468	129516	Female Guard
716468	129944	Kathleen
716468	171278	Social Security Checker
716468	175795	Loraine
716468	176807	Deputy Rhodell Larkin
716468	185920	Officer Washington
716468	207171	Bus Driver
716468	223711	Angrier Woman
716468	255235	Woman in Window
716468	264785	Nurse
716468	264830	Gail
716468	269771	Policewoman
716468	272026	Cassie
716468	275506	NYC traffic control cop
716468	316225	Brownie
716468	323565	Gloria
716468	328922	Marnie
716468	333356	Marion
716469	68105	Dr. Beverly Crusher
716469	73959	Patrice
716469	152905	Caroline Ryan
716469	160448	Herself
716469	169503	Herself
716469	222495	Mr. Price's Secretary
716469	313393	Herself
716469	313419	Dr. Beverly Crusher
716469	313420	Dr. Beverly Howard Crusher
716469	313421	Dr. Beverly Crusher
716469	313423	Dr. Beverly Crusher
716469	313428	Dr. Beverly Crusher
716469	313442	Dr. Beverly Crusher
716469	313443	Dr. Beverly Crusher
716469	313444	Dr. Beverly Crusher
716469	313445	Dr. Beverly Crusher
716469	323568	Diane Connors
716469	344548	
716469	379716	Dr. Lisa Mallory (1988)
716469	396910	Kimba Hills Rose (1995)
716469	406408	Commander Beverly Crusher, M.
716470	61156	Female Dancer
716471	23323	Herself/Atomic Kitten
716471	47174	Presenter
716471	212026	Herself - Presenter
716471	382798	Presenter
716471	388027	Reporter (2002)
716471	392463	Herself (Series 3) (2004)
716471	395978	Presenter (Series 6-) (2003-)
716471	401843	Herself/Regular Contributor
716471	406913	Presenter
716471	408075	Guest Presenter (2001)
716471	411786	Judge (Series 1) (2002-2003)
716472	365452	Rita Beldino
716473	130201	Reporter #1
716474	282043	Adult Rosie
716475	338894	Sheila
716476	266902	Party host, ensemble
716477	291447	Bishop's Dancer
716478	127262	Chrissy
716479	195576	Jonell
716481	403146	Jenny Mullen
716482	193264	Girl on Rum Boat
716483	158902	Corra Macy
716484	51635	Lady in Red
716484	276842	Dead Girl #2
716485	273716	Van Brady
716485	279581	Tinker Woman
716486	26877	Grooms Wedding Guest
716486	32243	Upscale Client
716486	73094	Tuna
716486	137237	Upscale Client
716486	276440	Arissa
716486	321268	Andrea
716486	321275	Flirting Girl
716486	383721	Militant Rastafarian Woman
716487	41751	Herself
716487	128718	
716487	128756	Herself
716487	128807	Herself (Segment "Private Cab
716488	29395	Cartoon Voice-Over, Additiona
716489	273275	Alice
716490	252293	Suzanna Lloyd
716491	346908	Baby
716492	184127	Barbara
716493	324550	
716494	88574	Big Pines Waitress
716495	28493	Townspeople
716495	30139	Ma Jacobi
716495	40668	Female biker
716495	81790	Sayra
716495	139135	Bachelorette Party Guest
716495	190171	Carla
716495	346299	BonaFide Delivery Person
716496	84962	Yetta
716497	301393	Alder Baby
716498	310243	
716499	289422	
716500	238749	Grace Scott
716501	109395	Peter Hugo Model
716502	26779	Diane
716502	104967	Call Girl
716502	146849	Call Girl
716503	4733	Nancy Greene
716504	11025	Lover
716504	45901	Gerd
716504	120290	Sadie
716504	228685	Mary Wilson
716504	240761	Mrs. Duberry
716504	306414	Jane
716505	20957	Molly Fitzsimmons
716505	99612	Polly
716505	109094	
716505	257055	Jan Kyles
716505	291222	Theater Girl #2
716505	380638	Christine
716505	411414	Val Gibson (1998-1999)
716506	302748	Sister's Friend (AKA Sheepgir
716507	5387	Woman #2 at Hospital
716507	49948	Ellen
716508	218813	
716509	15861	African-American Family
716510	41747	Doris
716511	199765	Herself
716512	56545	Herself
716512	310196	Anna Koros
716513	306320	Roberta Patterson
716514	48943	Crying Grandma
716514	61738	Violet
716514	342465	Jill Medway
716515	384724	
716515	395159	Herself (1st Eliminated)
716515	405783	Katherine 'Kit' Weaver
716515	408642	Panelist
716516	18380	Iras
716516	49944	Pat Williams
716516	364252	Millie
716517	406113	Cyan
716519	152992	Tijuana
716519	178792	Debi Sue Savage
716519	180533	Bunny with Afro
716519	261745	Eve Gein
716520	252354	Charlotte
716521	134529	Anita Newlove
716521	275322	Carla
716522	164560	Cigarette Lady
716523	133728	Charkie's Water Ballet Perfor
716523	215191	
716524	92694	Ballroom Dancer
716525	230676	Teacher
716527	161430	Himself
716528	360689	Woman Walking Dog
716529	382590	Cathy Holliday
716530	323841	Gimli Maiden
716531	139236	'Free Press' Teller
716532	350235	First Hooker
716533	380520	Dancer
716534	3140	Codagh Friel
716534	26320	Mrs. Isobel Weir
716534	105100	IRA Man's Wife
716534	147961	Chairperson
716535	323983	
716536	356896	Kaztani the Healer
716536	369426	Mother
716537	80513	Renee
716537	116569	Tildy St. John
716537	218419	Multiple characters
716537	234239	
716537	238939	Reporter
716537	270632	Ragina
716537	344158	Mole
716537	392968	Series Regular
716537	396113	Herself/Co-Host
716537	399773	Co-host
716537	408496	Excess Hollywood Corresponden
716538	107504	Margie
716539	62679	Simone
716540	232405	Girl
716541	124017	Stripper No. 2
716541	218169	Stripper
716542	350145	Hard Hat
716543	314445	Dancer
716543	409616	Elena Emery (1995)
716544	381081	Pauline's Neighbour (ep. 3)
716545	136951	Kid in Bridgehampton
716546	289726	Phoebe Bendum
716548	41301	Jake's Patient
716549	196261	
716549	272106	Betty Howard
716550	7889	Party Goer
716551	361611	
716552	51896	
716552	53419	Singer
716552	61584	Herself
716553	51896	
716553	53419	Singer
716553	61584	Herself
716554	2000	Mr. Bridges' Daughter
716555	28266	Slater's Female Assistant
716555	332772	Buyer #2
716556	47914	Chandler Academy Student
716557	72657	The Other Girl
716558	333364	Rae Loudin
716559	45342	Wedding Guest
716560	327307	Bundy's Woman
716561	37010	Carol
716561	45662	Dr. Susan Newbauer
716561	49877	Jenine Brody
716561	79055	Mrs. Grand
716561	196302	Pediatrician
716561	220004	Planetarium Woman
716561	274069	Dinner Guest
716561	331111	Therapist
716562	256359	
716563	32464	Gluttony (Sin #4)
716563	37495	Lesbian Rose
716563	73872	Wedding guest
716563	195464	Nun
716563	348370	Battle-axe Wife
716563	348377	Fat nurse
716564	362722	Prison Officer 2
716565	52503	Julie
716566	296912	Girl at Party
716567	261049	Showgirl Dancer #2
716568	52810	Rita Thomas
716568	75883	Lyn
716568	139573	Madeleine Church
716568	219626	Jean Nicklim
716568	381625	Birdie
716568	397792	DS Leila Hamoudi (Series 3-)
716568	401689	Menna
716569	16627	Lana
716569	224376	Sylvia
716570	62676	Taylor
716571	290939	Co-Ed Hottie
716571	358595	KFC Girl
716572	62676	Reagan
716574	261107	Amelia Wicstrom
716574	380390	Carrie Weaver (1981-1982)
716575	17696	Red Cross Woman #1
716575	40533	Nurse
716575	119487	Waitress
716575	155905	Robin
716575	263983	Camille/'Helena'
716575	267146	Julie
716575	289456	Portrait Model
716575	331664	Megan
716576	66305	Woman with doll
716577	342590	Herself
716578	342590	Herself
716579	396548	Student (ep8)
716580	18028	Marion's Mother
716580	23399	
716581	109457	Francine Hackett
716581	280202	Iona
716581	393424	Shana Elmsford/Chrissie
716581	402454	Additional Voices
716581	405718	Additional Voices
716582	250916	Herself
716582	362911	Herself
716582	381886	Herself - Guest Presenter (20
716582	396433	Herself
716582	401027	Herself
716582	404729	Herself
716582	411322	Herself - Magic Assistant
716583	128707	Mrs. Felton
716583	329522	Play-Tone Reporter
716584	224192	Neighbor
716585	100125	Phoebe Russell
716585	259720	
716585	264722	Sylvia Perkins
716585	363370	Dowageress #1
716586	185319	Francis
716587	49366	Movie Theatre Victim
716587	131780	Johnny Roastbeef's Wife
716587	148203	Streetwalker #2
716588	321306	
716589	267237	
716590	19829	
716590	45756	Sadie Chatman
716590	49347	Surgeon
716590	65523	Agent Kathleen Duggan
716590	66286	Kenyon's Mom
716590	68070	Janet Weitz
716590	72490	Subway Driver
716590	88623	Louise
716590	90154	Screaming Woman
716590	97410	Eddie's mother (sketch)
716590	106335	Nurse
716590	118689	Operator
716590	142718	Winifred Chapman
716590	190047	Nurse #2
716590	202325	Carla Gifford
716590	203290	Irene Boskovich
716590	211382	Security Woman
716590	229213	Clerk
716590	230682	Rene Petty
716590	296785	Anchor #2
716590	365559	Bird's Girl
716590	366685	Prison Matron
716590	368914	Captain Streeter
716590	382711	Road Warrior
716591	273429	Herself/Seattle
716591	273436	Hostess
716591	402993	Herself/Seattle (1998)
716592	21178	Arthur's Mom
716592	136270	Barbara
716593	299557	
716593	313824	Squadmate #6
716594	359498	Zoe
716595	390342	Comunity news anchor
716596	192267	Peter Pan delivery
716597	382023	Charley, Rimfire (ep. 20)
716598	362512	Choir Member
716599	80901	Rose
716599	347119	Lady in Crowd
716600	321346	
716601	157701	Sal-Kam
716601	194938	Tara
716601	333201	Jane English
716602	163415	Cindy
716603	7213	Carol
716603	58775	Herself
716604	297632	Lt. Winslow
716604	305919	Tia
716606	212746	Sally Tolliver
716607	160982	Amazon
716608	38572	Chocolate
716608	79986	LaTonya
716608	120095	Cinnamon
716608	382600	Angela Shinaynay Moore (1997-
716609	79830	Mrs. Haas
716610	1781	Herself - Presenter
716610	40184	Luva/Tina
716610	47877	Mortilla
716610	47945	Paula Jones
716610	52005	Claudia Petrie
716610	84451	Ruby Harris
716610	98136	Jemima Brown
716610	110104	Faustina
716610	133038	Pauline
716610	137956	Lois
716610	142422	Sister Indigo
716610	162049	
716610	168641	
716610	180846	The Negress
716610	194906	Diane Lawrence
716610	203263	
716610	210268	Melinda
716610	234971	Mme. Jeckiel
716610	253357	Annie Bollin
716610	275889	Marlene, Secretary Helping Ha
716610	291509	
716610	296981	Aleme
716610	315599	
716610	319546	Sonny
716610	331019	Thomasine
716610	334313	Pat
716610	361802	Herself
716610	368094	
716610	372217	Brenda
716610	383046	Mimi Shaw
716610	391317	Sister Indigo
716610	395023	Jackie Williams (1989-1990)
716611	386618	Contestant
716612	121506	Annettte
716612	388237	Linda Caproni Gioberti (1982-
716613	25851	Judith
716613	35661	Jo Fennimore
716614	253919	Tootles
716615	44712	Lorry Reed
716615	61570	Mattie, Teacher
716615	130627	Jerry LaMar
716615	301144	Meg Anderson
716616	77710	Dancer
716617	366918	Laura
716618	265111	Science Teacher #2
716619	108411	
716620	138724	Cheerleader
716621	52043	Fat Waitress
716622	91511	Girl from Sylwek's Vision
716623	35778	Louise
716623	57654	Script
716623	108411	Maura
716623	209591	Doctor
716623	217745	Governor's Wife
716623	231090	Artist
716623	301077	FBI agent
716623	319486	Gawking Citizen
716623	321126	Patron
716623	321446	Mother
716624	68470	M.P.
716625	166879	Cleotis Johnson
716626	128511	Clara
716627	222761	Tammey
716627	364558	Girl Group Singer
716628	362081	Young Daphne
716629	41157	Narrator
716629	44770	Miss Campbell
716630	44770	Flora McDonald
716630	54490	Mildred
716630	403312	Various Characters (2004)
716631	358981	
716632	130037	Elizabeth Brownlee
716633	155859	French Club
716634	395782	
716634	395978	Presenter
716635	266764	Slave Woman
716635	394311	African Wife
716636	64807	Gracie
716637	304683	
716639	330391	Bluebird Patron
716640	293744	Blonde Teenager
716641	257922	Girl in School Yard
716642	40552	Mall Manager
716643	70461	Jen Hopkins
716643	80898	Luckup Hostess #2
716644	411284	Emily
716645	216602	Herself
716645	387509	Melody (1993)
716645	397991	Herself (Seasons 1-7)
716646	304718	Jonie
716647	234358	Teresita Cuspineda
716647	281130	Teresa
716647	353197	Blanca
716648	309825	Doris' Maid
716649	154958	Sherri
716650	295819	
716651	187327	Meg
716652	140901	Hildy
716652	315311	
716652	380713	Elizabeth 'Liz' Talbot Stewar
716652	387309	Josephine Travis Harper (1976
716652	404002	Rae Woodard (1978) (temporary
716653	200052	Dormitory girl
716654	5527	Kathryn Murphy
716654	22824	Jennie Adamson
716654	26077	Clare Hodgson Ruth
716654	43551	Rose Parks
716654	132813	Edna Pontellier
716654	134654	Susan Stratton
716654	147928	Anda
716654	151101	Emily Crane
716654	158109	Susie Lynch
716654	170295	Host
716654	199499	Annie Packert/Ally Chandler
716654	218169	Professor Diana Maitland
716654	219251	Vonnie
716654	233822	Trish Burchall
716654	235052	Amish Mom
716654	245068	Narrator
716654	246695	Nettie
716654	252959	Audrey Macleah
716654	264830	Jennifer Coles
716654	270241	Missy Bear
716654	270248	Storyteller
716654	276937	Geneva Spofford
716654	287796	Narrator
716654	295194	Fake Barbara/Ellie
716654	315514	Jamie Marshall
716654	321281	Katherine Dennison Breen
716654	330559	Dr. Janeane 'Jenny' Ferrami
716654	335835	Charlotte 'Charlie' Blackwood
716654	360465	Alice Bell
716654	366433	Collie Wright
716654	366974	Rachel Lapp
716654	385711	
716654	400236	Glenda Livingston (#1) (1984)
716655	17697	Hattie Pringle
716656	129539	Countess of Essex
716658	404738	Presenter
716659	209061	Security Guard
716660	97644	Tracy
716660	168238	Woman #12
716661	408902	Host
716662	313064	Receptionist
716663	220080	Wild Mom
716664	46532	Korean Market Patron #2
716664	68308	Nurse
716664	141746	Samples Woman
716664	185863	Mrs. Hein
716664	212837	Tourist Woman
716664	279168	Woman in Store
716664	301540	FBI Agent
716664	331467	Queens Landlady
716665	352405	Woman in Nightmare
716666	346390	Gretchen Bailey
716667	68448	
716667	122743	Noreen
716667	227925	Jewel
716667	303753	Script Girl
716668	38006	
716668	139236	Beatrice
716669	133138	Grandmother
716669	299858	Grandmother ("The Grandmother
716670	61792	Anne Mannister
716671	13804	Herself
716671	230963	Ellen Flannery
716672	299395	Olivia Farmer (Trip Cyclone)
716673	29391	Girl at Pool
716673	116507	
716674	18635	Choir Member
716674	317145	
716674	382277	Susan
716675	18310	Geek
716675	203358	
716675	293108	Starchild
716675	298076	Bit
716676	85667	Wife
716677	306132	Mrs. Turbody
716678	383699	Herself - Anchor (2002-)
716679	234194	Mollie Rourke
716679	292490	
716680	61158	
716680	170599	Mrs. Jenkins
716681	385076	Herself/backing vocals
716682	122214	Beautiful Girl
716683	114364	Marlene
716684	374425	Child on School Bus
716685	88557	Claire Hackett
716685	235062	Attendant
716685	241165	Harriet Parker
716685	342612	Debbie Marshall
716685	357999	Lt. Marietta Dodd
716686	183412	Tammy
716688	305007	Herself
716688	409054	Katie
716688	410938	Christine (Moose)
716688	411759	Christine (Moose) (1979-1986)
716689	191106	20's Woman
716690	127290	Mom's Friend
716691	384968	WPC/Sgt. Natalie Metcalf
716691	385020	Charlie Ramsden (2000-2002)
716692	65886	
716692	380827	Octavia Vermont
716693	366910	
716694	154040	Cristina
716695	46242	Maternity Nurse
716695	187680	
716695	294060	Clare
716695	401570	Helena Mitchell
716696	408968	Levesque aide
716697	344524	Herself
716698	64750	Betty Davis Impersonator
716699	50985	Herself (The Liverbirds)
716700	254923	Gladys
716701	510	Helba/Emma Wielant
716701	512	Asaba
716701	515	Helba/Emma Wielant
716701	516	Helba/Emma Wielant
716701	517	Helba/Emma Wielant
716701	4017	Urd
716701	12945	Queen Hera
716701	19768	Elk's Mother, Celindia, Young
716701	30736	Thunder Empress Arshes Nei
716701	31053	(English version)
716701	37997	Sandy
716701	38362	Narrator
716701	45009	Echidna
716701	46135	Additional Voices
716701	49714	Miss. Brain
716701	50184	Red Shadow
716701	56629	Medusa
716701	72237	Chris Riley
716701	92718	Salamander
716701	98675	Shayla-Shayla
716701	98676	Shayla-Shayla
716701	120683	Latona Rodiona Vasilev
716701	122109	Nuriko
716701	122110	Nuriko
716701	122111	Nuriko
716701	122112	Nuriko
716701	122113	Nuriko
716701	127412	Youshi Sumenju #2
716701	161893	Sandy Collier
716701	161925	
716701	175725	Cai Wengi
716701	176393	Jill
716701	176534	Matilda Ajan
716701	176535	Matilda Ajan
716701	212067	Misc. loudspeaker voices
716701	217486	Barbara Richards
716701	218219	Tatara's Women Song
716701	252839	
716701	268918	
716701	294105	Lady Noh (Nouhime)
716701	299125	Shayla-Shayla
716701	307189	Feb
716701	336577	
716701	350189	Caroline
716701	350230	
716701	378651	Helba
716701	379485	Mayu's Mother, Aoi's Grandmot
716701	379625	Cassandra
716701	380605	Countdown Announcement, Stace
716701	385151	Julia
716701	387419	Shayla-Shayla
716701	389791	June Thunders
716701	389870	Lily, Sofia Galgalim
716701	394016	Scientist
716701	394711	Major Motoko Kussanagi
716701	397031	Yakumo (English version)
716701	397187	Witch
716701	400576	Hilda/Additional Voices (Engl
716701	403965	Shura/Soba Waitress
716701	404060	Bloodberry
716701	404228	Mian Cubie, Mrs. Kinomiya
716701	404879	Navi/Various voices (English 
716701	405146	Washu
716701	406702	Dr. Hannah, Newscaster
716701	408893	Additional Voices
716701	409831	Jura Basil Elden (English dub
716701	411289	Jeanne, Mamoru Kudo, Old Lady
716701	411343	
716701	411563	Kanoe
716702	273429	Herself/Boston
716702	273434	
716702	273436	Hostess
716702	402993	Herself/Boston (1997)
716702	402998	Herself/Real Worlders
716702	402999	Herself/Real Worlders
716703	36858	Herself
716704	224942	Phone
716705	88522	Alice
716706	33376	Sadie York
716706	40603	Angela Rosfe
716707	257764	Tattooer
716708	148430	Waitress
716709	407369	Old Lady, Woman, Lady, Additi
716710	214047	UFO Girl
716710	281449	Goth #1
716711	67595	Marcia Herschel
716712	40744	Gloria Byers
716712	67563	
716712	99311	Assistant #2
716712	103910	Mrs. Moorehouse
716712	108308	Lindsay
716712	109076	Mrs.Fauve
716712	128350	Mrs. Peterson
716712	158865	AA Leader
716712	164513	Mom
716712	186158	Mrs. Elliot
716712	238537	Pru
716712	244421	Country Club Lady #1
716712	276803	OSI Receptionist
716712	308128	Harry's Old Flame
716712	333364	Nurse
716714	122986	
716714	304782	The Queen
716715	224683	Lainie Thorne
716716	265742	Oksana as a Toddler
716717	342332	Nurse
716718	233190	Schoolgirl
716719	277098	Disenchanted Lady
716720	85050	Brooke
716720	338923	Lisa
716720	338924	Lisa
716721	2895	Herself - Co-presenter: Best 
716721	32529	Denise
716721	47586	Janice Dillon
716721	48909	Mrs. Berman
716721	59127	Beatrice-Joanna
716721	65989	Sara Kate
716721	80937	Me
716721	110170	Emily
716721	114957	Edna Lee
716721	138220	Moira
716721	150974	Mrs. Carry Fisher
716721	168701	Donna McCarty
716721	177456	Lydia, Prostitute
716721	185787	
716721	196503	Chloe Allen
716721	203642	Diane
716721	204312	Elizabeth
716721	208992	Fanny
716721	215252	Till Turner
716721	228339	Mary Dalton
716721	241141	Deborah Gelly
716721	243276	Jeannine Pratt
716721	270484	Caddie Winger
716721	271003	Evelyn Nesbit Thaw
716721	289611	Marguerite Blakeney
716721	289612	Marguerite Blakeney
716721	298091	Kristen 'Kristy' Briggs
716721	299469	Stella Anderson
716721	318755	Celia Rayburn
716721	323825	Helen Schwartz
716721	332149	Candice Hopper
716721	366177	Noelle Guillaumet
716721	366192	Susan 'Susie' Stringham
716721	367778	Vicki
716721	380724	
716721	382842	Helen Shaw
716721	391166	Susie Hawkins
716721	392542	Jessie Kent
716721	404407	Lady Marguerite Blakeney
716722	48919	Sheila, the Waitress
716723	350349	Jessica Reeves
716724	363756	Sharon
716725	9125	Sister Angelina
716725	58893	
716725	75399	Waitress
716725	133693	Herself
716725	162159	Herself
716725	169155	Rachel
716725	232017	Herself
716725	337091	Singer at party
716726	214814	Young Bride
716726	264158	Student
716727	99143	
716728	328537	
716729	92618	Dr. T's Patient
716730	355980	Fan
716731	41179	Mrs. Moore
716731	277038	Gracie Moore
716732	402951	Herself - Presenter
716733	269753	Polly Maggoo
716734	127207	Miss Eva
716734	210831	Girl
716735	41146	
716735	128173	
716735	183378	
716735	220901	
716735	367970	Dancer
716736	359202	War Bride
716737	297979	Rachel
716738	126590	Jitterbug Dancer
716738	144453	
716738	188381	Jitterbug
716738	312042	Bit
716738	323940	Chorus Girl
716738	327672	Pat
716739	190082	Inland Revenue Woman
716740	258302	
716741	167876	Brian's Girl
716742	169372	Jane Furlong
716742	218136	
716742	394517	Greta (1979-1984)
716742	398943	Various Characters (1978)
716743	257344	Widowed Woman
716744	70970	Dead-Head Double (segment "De
716745	117748	Telephone company operator
716746	295342	Judy
716747	306330	Herself
716748	9795	Additional Voices
716748	32178	Additional Voices
716748	47865	Additional Voice
716748	48950	Additional Voices
716748	94572	Additional Voices
716748	100096	Additional Voices
716748	143526	Additional Voices
716748	148333	Additional Voice
716748	162352	Additional Voices
716748	181996	Additional Voices
716748	190869	Additional Voice
716748	192017	Additional Voice
716748	218415	Additional Voice
716748	244034	Additional Character Voice
716748	258513	Additional Voices
716748	294028	Additional Voices
716748	337166	Additional Voices
716748	337168	Additional Voices
716748	338821	Additional Voice
716748	379760	
716749	195513	Maybelle Mooney
716750	306330	Herself
716751	346347	Tressa
716752	169830	
716753	38340	Denise
716753	48112	Herself
716753	59754	Herself
716753	84889	Debbie Strand
716753	90855	Amy Blue
716753	100711	Nora
716753	129964	Jackie-O (segment "Coma White
716753	130302	Gail Ann Thayer
716753	161194	Herself
716753	165958	Courtney Shayne
716753	177012	Linda Borus
716753	178009	Jasmine
716753	185675	Nancy
716753	188963	George
716753	218180	Kitty
716753	236135	Valley Chick #3
716753	254589	Lisa Pailey
716753	273241	Sasha
716753	291221	Tatum Riley
716753	293140	Miriam
716753	304770	Sno Blo
716753	309941	Kathy Quinn
716753	316097	Moira
716753	326663	Herself - Presenter
716753	349583	
716753	383952	Paige Matthews (2001-)
716754	19975	
716754	32516	
716754	57170	
716754	152400	
716754	195845	
716755	114253	Jenny
716756	305362	Neighborhood Kid
716757	385076	Herself/backing vocals
716758	297261	Beauty Shop Customer
716759	328301	Herself
716760	222212	Lisa
716761	93148	
716761	144430	Diane Ackerman
716762	384097	Ruthie Naylor (1998)
716763	84436	
716763	209432	Farmer's Wife
716764	154927	Karl's mum
716765	350905	Natural Normans
716765	391869	Irene Roberts (#2) (1992-)
716766	109622	Vada Oswald
716767	87166	Minivan Theater Kid
716768	107483	Interviewee
716769	37136	Mrs Trent
716769	77148	Aunt Mary
716769	80493	Gardening Woman
716769	89339	Pam Davis
716769	99860	Food Lady
716769	102199	Grandmother
716769	137970	Mrs. Bilson
716769	160562	Mrs. Quimby
716769	208085	Minnie Timmins
716769	221785	Older Woman
716769	294249	Evicted Guest
716769	313476	Madame Jocasta Nu, Jedi Libra
716769	323387	Mrs. McLeod
716769	329418	Grammar Flack
716769	387639	
716769	399130	Mary Crombie (1989, 1991)/Lil
716769	399311	Aunty Rose
716769	402197	Dot Farrar (1984)
716769	408074	Sheila
716770	80066	Mary Matalin
716770	99469	Cornelia
716770	105926	Anita
716770	220954	Dawn
716770	241494	Mrs. Noonan
716770	249487	Rosemary Hudson
716770	273271	Cis
716770	273496	Mother ('I'll Die Loving')
716770	328289	Liz Dunshane
716770	382130	Various Characters
716770	389906	Valerie Chuckles
716770	398739	Anne Marie Snelling (1990-199
716770	400808	Shirley Armstrong
716770	404933	Mama
716770	411211	Reenie Bigelow
716771	50645	Waitress
716772	52624	Attractive Young Woman
716773	146273	
716775	272536	Dancer
716776	318687	Laurie
716777	379730	Von Ryan (1998-)
716777	385105	Bernice Hudson (1992-1993)
716777	399130	Margaret Hamilton (1985)
716777	402197	Colleen Powell (1979, 1980, 1
716777	407189	Dietician
716778	8169	Grace
716779	408581	Cassie
716780	289406	Verna
716781	167925	Woman Dealer
716781	301659	Eleanor Boardman
716781	334278	
716782	117496	Girl in Crack Den
716783	302288	Additional Voice Talent
716784	232293	
716785	368053	
716786	388209	Lorraine Molloy
716787	97035	
716787	383385	Young Clarissa (1985)
716788	243196	Jill Pluto
716789	127147	
716790	219903	Receptionist
716791	99137	Dancer
716792	68688	Tom Quimp
716793	158902	Twelve-Year Old
716794	99859	Nurse
716795	147560	Park Lady
716796	79858	Mrs Skow
716796	194414	Vet Receptionist
716797	100193	Party Guest
716799	19599	Trina
716799	76559	Alison Headly
716800	66575	Anne
716802	118811	Sergeant
716802	144573	Bit part
716802	223019	Orchestra Member
716802	371887	Conchita
716803	32585	Debby Haywood
716803	321266	Billy Boy's Mother
716804	130730	Instructor B
716804	375108	Ex d'André
716805	347741	Girl in car
716806	184434	Sophia
716807	10104	Jenny Ferguson
716807	37167	
716807	101704	Additional Voices
716807	237006	Leanne Guilford
716807	368997	Cass Lake
716807	369452	Melissa Scully
716807	383781	Lily Pressman
716807	384752	Detective Cyd Madison (1992-1
716807	392130	Detective Maggie Delbo
716807	392247	Rebecca Travis
716807	395809	Becca Marek
716807	402474	Mac
716807	406008	Bridgette Collins (1997-98)
716807	410746	Lindsay Urich
716808	110277	
716809	118237	Mary Leary
716810	33773	The Beautiful Boomerang
716811	300361	Rehab kid #2
716812	115421	
716813	326242	Girl #2
716814	299654	Salesgirl
716814	404002	Polly Longworth (1977-1980)
716815	192793	Mel
716816	108600	Goth
716817	251960	
716818	383316	
716819	305351	Mrs. McGowan
716820	396009	Nonie Colmar
716821	29186	Jenny Dahlquist
716821	115890	Flower
716821	140636	Mira
716821	192588	Darby Parsons
716821	192593	
716821	222300	Additional Voices
716821	234116	Kathy Simmons
716821	244838	Diane Carter
716821	250872	Molly Harrison
716821	304527	Starla Grady
716821	343052	Sarah Saunders
716821	370118	Kelly Cromwell
716821	395784	Darby Parsons
716821	398513	Additional Voices
716822	23535	Joseline
716822	81523	Adu
716823	27000	Anna
716823	64933	Goldilocks
716823	109513	Steve's mother
716823	188844	
716823	247137	Kate O'Brien
716823	386703	
716823	390957	Betty Wilson
716823	391486	Betty Wilson (1986-1994)
716823	398943	Various Characters (1977)
716823	402442	Julie Smith
716823	405960	Gloria Dutton (1985)
716824	387533	Emily Wylie/Dingle/Kirk (1999
716825	17978	Linda Vernon
716825	17980	Linda
716825	63424	Mrs. Lambert
716825	74011	Professor Landau
716825	82169	Catherine
716825	82660	
716825	365960	Madam
716826	108339	Marie
716826	222599	Jenny
716826	261992	Pat
716826	323497	Virginia
716826	363001	Woman
716826	393228	Pat Kennedy
716827	137970	Elsie Marshall
716827	382743	Caroline
716828	277109	The Vixen
716829	404694	Susan Ames Dunbar Carver #7 (
716830	31439	Lilly
716830	288462	Nicole
716830	348545	Yoga girl
716831	154629	Bonnie
716832	196038	Traci
716833	103927	
716833	133706	Vera
716833	144895	Susie
716833	233931	Diana
716833	253976	Marge
716833	380899	Flange Desire (1972-1973)
716834	16642	June Frame as teen
716835	134295	Tarzan as Baby
716836	206831	Nurse Nellie
716836	297074	Irene
716837	108600	Goth DJ
716838	6249	Employment Agent
716838	32529	Blowsy Neighbor
716838	44516	Mrs. Hulse
716838	73561	Nurse Mary
716838	109856	Joanna MacKenzie
716838	109857	Joanna MacKenzie
716838	142541	Reporter #1
716838	151529	Mrs. Crimpley
716838	157436	Aunt Becky
716838	167866	Toy Store Customer
716838	192748	Female Diner
716838	196303	Mary Bailey
716838	201480	Mother Minnell
716838	213326	Mrs. Baker
716838	224824	Maxine Blair
716838	230603	Diana
716838	251108	Sister Shirley
716838	285287	Claire
716838	290378	Mrs. Lemmons
716838	291495	Censor
716838	296875	Mrs. Shrevnitz
716838	304870	Miriam
716838	325983	Pregnant Wife
716838	330773	Jordan's Mom, Endocronologist
716838	354905	Sara Mae
716838	368363	Real Estate Lady
716838	381737	Evelyn Stokes
716839	92618	Psychiatric Patient
716839	238054	Dr. Jordan Locke
716840	146050	Ilya Myona
716841	18855	Girl in a Tent
716842	225827	Agent Mary Star
716843	385151	Additional Voices
716844	230857	Liberation
716845	37467	Gem Club Dancer
716846	411786	Herself (Series 2) (2003-2004
716847	411786	Herself (Series 2) (2003-2004
716848	185237	Herself
716849	133432	Jennifer
716850	254077	la femme au billet
716851	187898	
716851	367054	The Wiz Singers Adult Choir
716852	300929	Fat lady
716853	330812	Mrs. Pready
716854	34610	Norma Charlton
716854	330812	Cathy
716855	56545	Herself
716855	79556	Emily
716855	229902	Aislín Brady
716855	340221	Kathleen
716855	347348	Jenny Davis
716855	385191	Rhona Platt (1998)
716855	391247	Dr. Liz Merrick (2003-)
716856	40603	Diner
716857	86388	Kartenverkäuferin
716858	190025	Mary McPhee
716859	16673	Nurse
716859	37995	Librarian
716860	175626	
716860	307913	Band member
716860	323389	Helen
716861	380713	Betsy Stewart Andropoulis #3 
716862	373874	Dancer #1
716863	42743	Heather Kraft
716863	282046	Maria Ferrer
716864	41231	Mom Flowers
716864	355028	Sister Felicia
716865	200052	Sister Clementine
716865	215331	Nun
716866	45342	Cardgirl - London Fight
716867	87333	Alison
716867	391194	Jenny
716868	157240	Screaming nurse
716868	331573	Kim
716869	292798	Alice
716869	362027	Niamh Ryan
716870	129092	Blue-Rinsed Lady
716870	177525	Queen of England
716871	224693	Receptionist
716872	186207	Beach Girl #2
716873	205426	Yuppie Woman
716874	204184	Woman at audition
716875	316324	Bride
716876	281901	Don Frank's Wife
716876	305341	
716876	337180	Party Guest
716877	101380	Dawn
716877	222880	Maid
716878	60744	Donald's mom
716878	116425	Lisa
716879	51511	Rachel
716879	60866	
716879	67665	Nurse
716879	70100	Mrs. Matthews
716879	109831	Alma - The Maid
716879	143900	Mrs. Munro
716879	148562	Mrs. Smith
716879	158920	Neighbor
716879	160324	Marge
716879	321657	Tonie
716879	348336	Sister Mary Quacker (Nun)
716879	366684	Mrs. Merritt
716879	390691	Kate Malone (1989-1991)
716880	252229	Officer McNamara
716881	164403	Herself
716881	380685	Herself (as The McGuire Siste
716881	400984	Herself (as The McGuire Siste
716882	82699	Mary
716882	213240	Victim 1
716883	39933	Topless Dancer
716883	130181	The Black Beauty
716883	319734	SuperEula
716884	16006	News Station Employee
716885	1487	Herself
716885	34702	Herself
716886	13921	Herself
716886	13949	Ann Suzuki
716886	14989	Hester Farrell
716886	17998	Lavinia Hubbard
716886	34645	
716886	35451	Beryl Foster
716886	52579	Deborah Patterson
716886	55536	Flora Atkins
716886	65367	Claudia Naughton
716886	65372	Claudia Naughton
716886	78771	Cora Flood
716886	100668	Laura Pennington
716886	115509	Granny O'Flaherty
716886	120225	Eliza Birdwell
716886	125884	Kathy Lacey
716886	127100	Sarah Bowman
716886	133953	The Virgin Mary
716886	147922	Herself
716886	154518	Margaret Garrison
716886	154747	Nancy Greer
716886	158902	Effie Webb
716886	161961	Ellen Pierce
716886	168968	Mother
716886	185085	Anne
716886	192412	Marmee March
716886	201418	Crystal Benson
716886	215975	Ann Winslow
716886	219917	Jane
716886	239846	Katie Coates
716886	275407	Ma Pennypacker
716886	277334	
716886	283469	Angela Lakey
716886	298016	Sarah Wilson
716886	311250	Helen Capel
716886	318712	Narrator
716886	318740	Margaret Carey
716886	318773	Sylvia Hunter
716886	320205	Leah Slade
716886	321607	Mother Robinson
716886	330689	Martha Fairon
716886	331323	Miss Frances
716886	333056	Pat Ruscomb
716886	338894	Katie Nolan
716886	339355	Abbe Nyle
716886	395756	Marmee (1979)
716886	403336	Mary Jordache
716886	411802	Cora Miller (1984)
716887	164403	Herself
716887	380685	Herself (as The McGure Sister
716887	400984	Herself (as The McGuire Siste
716888	151458	Stella's Friend
716889	7889	Mr. O'Niel's Favorite Student
716889	348601	Kathy
716890	71356	Suzanne
716891	99468	Girl in video clip
716892	44012	Miss Roberts
716892	214967	Drum Majorette
716893	263957	Claudie Morgan
716894	188509	Computer Operator #1
716894	250873	Booking Officer
716895	109723	Stephanie
716896	37016	
716896	44310	Mary Bell
716896	48611	Vera Richlander
716896	48873	Millie
716896	49558	
716896	61804	Lyle Pennington
716896	73892	Ruth Anthony
716896	76467	
716896	79221	
716896	79632	Alice Blake
716896	92170	
716896	92932	The Girl
716896	96933	Aileen Merton
716896	114848	Alice Barholm
716896	128304	Dollie Jones
716896	130648	Miss Drew
716896	140762	
716896	148381	
716896	151765	
716896	183860	
716896	190753	Lady Iris Rankin
716896	194094	Ophelia
716896	195003	Nancy
716896	195299	
716896	195995	Ruth Revere
716896	206430	
716896	213130	Mary Bronson
716896	217441	
716896	224791	
716896	228579	McGuire, Kathryn
716896	228587	Alice Altewood
716896	228781	Betsy O'Brien
716896	254484	Beatrice Brooks
716896	256428	
716896	257799	Janet Fenwick
716896	264314	Vivian Gates
716896	298608	The girl
716896	300307	The heroine
716896	301606	Betty Houston
716896	307991	
716896	312707	Fay Hall
716896	321939	Margery
716896	326477	Constance Madison
716896	331757	Alice Maynard
716896	343254	Mary Mortimer
716896	367549	Sylvia Morton
716897	31441	Sister Roberta
716898	161049	
716898	272031	Joyce
716899	141596	Reporter
716899	239985	Olive Bodill
716899	268017	Diana Carson
716899	379411	Polly McNamara
716899	391869	Diana Fraser (1997-1999)
716899	396058	(War 2: O'Flaherty)
716899	403938	Molly Grimes
716900	5909	Bambi
716900	74259	Hatchet-Face, Cry-baby gang a
716900	87924	Selina
716900	375863	Female Patient #1
716900	400170	Nicole Thorne
716901	185640	Mrs. Vermont
716901	191081	Janice Hughes
716901	299765	Nurse
716901	370851	Charlotte
716902	2455	Belinda Douglas
716902	219646	Vanessa
716902	299654	Victim in Park
716902	305424	Mary Cooper
716902	323036	Christine Grant
716902	348599	Newspaper Editor
716903	159722	
716904	13664	
716904	36713	More Fairy Tale Folk
716904	202540	London Dancers
716905	1999	Groom's Mother
716905	100855	Receptionist
716905	117086	
716905	151101	Mrs. Byington
716905	205268	Woman at Auction
716905	207280	Aunt Eleanor
716905	252925	Ann Gates
716905	303455	Polly
716905	368314	Trask Secretary
716905	379716	Judith Sheffield (1997)
716905	380391	Elena dePoulignac #2 (1981-19
716905	381468	Maude Palmer
716905	387309	Nicole Travis Stewart Drake C
716905	390771	Selena (1992-1993)
716905	400236	Beverly Crane (1994-1995)
716905	404613	Kate McCleary #2 (1986)
716906	20613	Marcy McGuire
716906	54593	First Nurse
716906	86910	Angela Jones
716906	116497	Trixie
716906	145007	Mickey the maid
716906	163262	Rae Jakobi
716906	170576	Julia Loring
716906	295293	Dot Diamond
716906	295301	Michelin 'Mickey' Havalok-All
716906	302632	Bridget Forrester
716906	318740	Ellen
716906	372179	Georgia Goodrich
716907	328966	Christella Revi
716908	381436	Jacqueline Lawson (1996-2000)
716909	80825	Suzi Uzi
716910	332772	Fighter/Soldier/Performer
716912	203376	
716913	67800	Mrs. Eckman (buyer for Neiman
716913	94668	Herself
716913	164403	Herself
716913	363977	Las Vegas Doll
716913	380685	Herself (as The McGuire Siste
716913	400984	Herself (as The McGuire Siste
716913	402964	Herself
716914	387203	Charlie O'Brien
716915	310186	Rudy's mother
716916	363821	Principal
716917	39757	American Woman
716917	65666	Patsey
716917	65930	Joan Moore
716917	76216	Mrs. Bergen
716917	127110	Wife
716917	153118	Mrs. Cornelius
716917	177512	Eileen Trotter
716917	186470	His Wife
716917	222583	Eileen Trotter
716917	222588	Eileen Trotter
716917	230115	
716917	231927	Doris
716917	232261	Mrs. Margaret 'Molly' Brown
716917	242377	American Woman
716917	275363	Claire
716917	277274	Lady Guest
716917	298497	Duke's wife
716917	299222	Linda Marsh
716918	19439	Herself
716919	241650	Trolley Woman
716920	281021	Tasha
716921	196775	Kelly Green
716922	116138	Annie Maguire
716923	401998	Court reporter
716925	209596	Dana
716926	169963	Attractive Woman
716927	189153	Chorus Dancer
716928	245513	Mary Hewson
716928	386963	Ann Patterson (1999-2001)
716929	41206	Linda
716929	150472	
716929	302630	
716929	328557	Miscellanious Partier
716930	18384	Charmian
716930	137487	Second Lady
716930	150750	Mrs. Barrymore
716930	257205	Hilary
716930	350438	Mother
716930	363037	
716930	366744	
716930	381882	Edgeworth
716930	382830	Emily Bronte
716930	388787	Nancy Knott
716930	390574	Mrs. Joe Gargery
716930	397182	
716930	408277	Angela Powell
716932	266564	Karelian woman
716933	265749	Crying Little Girl
716934	71474	Dancer
716935	366070	Dancer
716936	2435	
716936	27026	
716936	42412	
716936	42413	
716936	150051	
716936	171225	
716936	228030	
716936	255190	
716936	361932	
716937	141936	
716938	19400	
716939	30985	
716939	60395	
716939	156926	
716939	238845	Mother
716939	271847	
716940	156926	
716941	248647	
716941	341758	Raunchy Ruth Rooster
716942	190171	TV reporter
716942	215507	Newscaster
716943	70428	Johnny Capella's Girl
716944	268840	Elaine Boland
716945	271125	Sarah
716946	33399	Herself - Cello
716947	195576	Foster Home Kid
716948	21297	Undetermined Role
716949	281096	Taraline
716950	21290	
716950	170314	Waitress
716951	5812	
716952	105280	Groucho Party Dancer
716953	147329	Duchess
716953	147650	Secretary
716954	5198	Florine, Axton's Secretary
716954	5531	Waiter's Wife
716954	41044	Goldie Foster
716954	47370	Kitty, Mary's Maid
716954	67795	Pearl Stinson
716954	92214	Mrs. Errol
716954	105654	Ginger
716954	119783	
716954	125922	The Landlady
716954	131719	Blonde
716954	143618	Waitress
716954	150465	Queenie
716954	150797	Prisoner's Wife
716954	166694	Landlady
716954	188562	Girl Singer
716954	191530	Mrs. Henderson
716954	194118	Midge Riley, a Salesgirl
716954	198660	Brooklyn Girl
716954	200473	Sadie
716954	201458	Young woman
716954	210871	Nurse
716954	215599	
716954	219189	Taxi Driver
716954	224211	
716954	238878	Nurse
716954	240437	Miss Parker
716954	243752	
716954	255520	Mary
716954	274924	Switchboard Operator
716954	291239	Maisie, Eddie's girl
716954	292391	Mazie
716954	302870	
716954	304865	Mrs. Small
716954	304959	Salesgirl
716954	316735	Waitress
716954	317556	
716954	319212	Della (the maid)
716954	328030	Agnes, Press Club Cafe Waitre
716954	331317	Wardrobe Mistress
716954	333457	Milton's fiance
716954	340521	
716954	363190	Gladys, a Waitress
716954	364443	Mrs. Errol
716954	365047	Mrs. Errol
716954	365735	Nurse
716954	367783	Mrs. Della Murty
716954	372676	Vaudevillian
716954	372928	Salesgirl
716955	75772	
716956	70484	Bit Role
716957	270522	Girl
716958	87454	
716958	98897	
716958	183351	
716959	185307	Rose
716960	76524	Pauline
716961	321342	Cole's Girlfriend
716962	154850	Trudy
716962	317303	Waitress
716963	63068	Rachel
716963	114002	
716963	194765	Caroline
716963	238682	Linda, Girl Scout #1
716963	318755	Nell Rayburn
716963	385677	Sally
716963	394013	June
716963	399677	Kimberly Miller
716964	297190	Cowgirl
716965	237783	Nurse
716965	296750	Night Nurse
716966	245672	
716967	130037	Margaret Harbinson
716968	160463	Roberta
716968	398711	Tiffany Wilson
716969	144542	RUC policewoman
716970	163357	
716971	164572	Bartender at Sam's
716972	224729	Jimmy's Mother
716973	113915	Taz
716973	161840	Lisa
716974	20019	Ryoko Tsugumo
716974	288331	
716975	60764	Miss Woodruff
716976	408109	Hospital sister
716977	80702	Lori Evanson
716977	379935	Prudence
716977	406773	Margaret 'Mags' Abernathy
716978	33178	Ursula
716978	68304	Sara Blake
716978	105008	Brigitta
716978	161170	Charlotte
716978	194232	Clare
716978	222596	Peggy Pope
716978	242750	Erica
716978	275398	Mary Shelley
716978	293198	Sylvia
716978	360265	Fleur
716978	383631	Laura Ashford née Milburn: PR
716978	400412	Kate Miskin
716979	251347	Scoreboard Flipper
716980	38718	Waitress
716980	48031	Ronnie
716980	123874	Lesley
716980	198567	David's assistant
716980	401652	Jo Mullen
716981	222815	Member of Repertory Company
716982	6985	Beach Damsel
716983	355365	Nurse
716984	321774	Ellen
716986	307903	Little Old Lady
716987	152808	Jeanne
716988	81319	Susan
716989	12168	Sue
716989	15852	Rollerskating Waitress
716989	238695	Nina
716989	363415	Wal-Mart Clerk
716990	75775	Agnes 3000
716990	257648	Miss February
716990	257827	January 1990
716990	257859	Herself
716991	113729	Skier
716992	75529	Emily
716993	126619	Extra Talent (segment "Gett O
716994	353294	Academy Girl
716995	80724	Federal agent
716996	305399	Susie
716997	81190	Jenny
716998	147566	
716999	206224	Herself
717000	1650	Ursula Clandon
717000	57398	Jessie Baley
717000	92276	Jane Meldrum
717000	128408	Mary Gardner
717000	149955	
717000	170492	
717000	190086	Duty sister
717000	253454	
717000	301697	Mavis Nugent
717000	304262	Mrs. Smith
717000	315109	Miss Kendall
717000	378755	Anne Faulkner
717000	385712	Katie Kennedy
717000	391584	Mother
717000	408989	Joanna Westbrook
717000	411459	Miss. Thackeray/Eve Turner
717001	335277	Vocal chorus
717002	58002	Animal Girl
717003	62996	
717003	383078	Brigid O'Hagan (1993-)
717004	20806	Monica
717004	63208	Mrs. Pevensie
717004	81311	Nurse
717004	97096	Ellen Fielding
717004	150422	Clare
717004	177659	Alison Eastwood
717004	231212	Jenny Bennett
717004	244352	Nurse
717004	389630	Dr. Nicola Tanner
717004	390178	Jessica Dunbar
717004	397859	Katherine Guthrie Tiegan
717004	404927	Lust
717005	18567	Danseres
717006	42913	Circus Character
717007	265083	Stripper #2
717007	305351	Patty
717008	4815	Nurse Cita
717008	224176	Maggie
717008	365121	Ruby
717008	403462	Alice Henderson
717009	337082	Mrs. Shannon
717010	120241	Mrs. Hansen
717011	88769	Rita Gorrie
717011	88770	Rita Gorrie
717011	129913	New Ager
717011	136556	Natalie
717011	150752	Beryl Stapleton
717011	160582	Olivia Whitelaw
717011	183558	Lucy, Lady Audley
717011	186632	Cashier
717011	194154	Wendy
717011	195390	Arguing Woman
717011	241466	Barbara
717011	258305	Liz
717011	340557	Deborah
717011	368027	Joy
717011	382381	Sister Donna Rix
717011	388542	Storyteller
717011	390393	Lady Fuchsia
717011	402391	Dr. Kate Millar
717011	408868	Carla Worth
717012	141086	Stacy
717013	240325	Young Novice
717014	124794	Laughing Girl
717014	355114	Dee
717015	365574	Carrie
717015	399130	Sky Bishop/Mangel (II) (2003-
717016	35263	Girl F
717016	110445	Nicola Bass
717016	208930	Claire McLeod
717016	259271	Const. Kathy Orland
717016	279176	Sharon
717016	363611	Seal
717016	379730	Charlotte Beaumont (2002-)
717016	382078	Stacy
717016	383882	Mandy Foster
717016	388452	Joolushko 'Jool' Tunai Fenta 
717016	388453	Joolushko Tunai Fenta Hovalis
717016	388978	Annie Rogers (1990-91)
717016	393447	Melissa
717016	401760	Const. Kathy Orland (1992-199
717016	411172	Kim Devlin (1997-1998)
717017	127730	Vikings Dance Squad Member
717017	168087	Lady at grandmother's house
717017	202728	Tracy Blair
717017	226891	Ruby
717017	236696	Woman
717017	269815	Hooker
717018	5386	
717018	23338	Christina Roselli
717018	26514	Lab Technician
717018	73949	
717018	82326	Elaine
717018	92150	Slave Woman
717018	121520	Penny Mills
717018	129626	Catherine
717018	168586	State Employee
717018	222721	Traynor's Lawyer
717018	272739	Doctor
717018	277150	Genevieve Carriere
717018	311654	Nicole
717018	316116	Jeanette
717018	340742	Anna
717018	387454	Eda Myles (recurring)
717018	403469	Jenni Hernandez (1997-1999)
717018	408060	Zona Robinson
717019	190930	Audrey
717020	287728	Ruth
717021	151125	Dancer #2
717022	304683	
717023	43330	Claire
717024	367581	Singing Neighbor
717025	99850	Molly Cole
717025	196037	USA Waitress
717025	203786	Jessica Beckwith
717026	401968	Herself (2000-)
717027	265616	Glenda Maxx
717028	241058	Charlotte the Usher
717029	67387	Georgia (Age 20)
717029	78097	Naturalist
717031	11266	Mrs. Cerina Flint
717031	32983	Bit Part
717031	41042	
717031	41098	Resort Singer (of 'Love in Bl
717031	42128	
717031	44246	Betty Clark
717031	46722	
717031	46798	Miss Hopkins
717031	48479	Mrs. Flint
717031	64099	Secretary
717031	66199	
717031	67404	Mae Star
717031	68540	Herself (featured soloist)
717031	72715	Prince's First Daughter
717031	73221	Bea
717031	73392	Anita's roommate
717031	79685	Mary Harkins, Sarah's Daughte
717031	82028	
717031	88974	Sandra Stevens
717031	89273	
717031	112177	Katrina
717031	113754	
717031	116039	Mrs. Schilling
717031	116983	
717031	117438	Mary Dillon
717031	119782	Paulette
717031	120571	Kennedy's Wife
717031	120734	Blanche Corey
717031	121239	Miss Sneed
717031	124088	
717031	124381	Myrtle
717031	125854	Flo Vickert
717031	126497	Millie Mulligan
717031	127839	
717031	135853	Daisy
717031	135959	Alice Borden
717031	140905	Boss's Daughter
717031	141775	
717031	145784	
717031	145998	Mrs. Jack Norton
717031	146250	Mrs. A. S. Steele
717031	148931	Betty Lou Herbert, the new br
717031	150168	
717031	150181	Bea
717031	150326	Lorna Doone
717031	150398	Vera (Sneed's daughter)
717031	150480	Mrs. Dolly Malloy
717031	152328	Lily
717031	153191	Miss Lulu Hopkins
717031	155703	Mrs. Leander
717031	160057	
717031	167519	
717031	168013	Myrtle, Lark's private nurse
717031	173524	Hat Check Girl
717031	178894	The Bride
717031	179086	Princess Elaine
717031	184475	Kansas City Kate
717031	195188	Female star
717031	195445	Katrina
717031	203015	Telegram Girl
717031	208701	
717031	209618	Mrs. Von Zell
717031	212974	Alice Andrews (Van Doren)
717031	212990	
717031	215748	Secretary
717031	216926	Nurse
717031	218881	
717031	221181	
717031	231045	Jane P. Connelly
717031	233561	Celia Zweiback
717031	238496	Gladys
717031	238566	
717031	238935	Mrs. Jack (Betty) Wilson
717031	242532	
717031	245252	Nell
717031	247218	Nell
717031	248841	
717031	249224	
717031	249526	Kate Hilton
717031	256111	
717031	256762	Queenie Lynch
717031	267175	Nell
717031	270666	
717031	272142	Mary
717031	278004	Hope Turner
717031	280079	Grace Ross
717031	280685	Mary Crissman
717031	289979	Mrs. Allen
717031	291078	Lorna Doone
717031	291778	Mrs. Wilbur Crane
717031	292470	Miss Blair (Lingerie Dept. ma
717031	298014	
717031	298209	'Aunt' Susan Pringle
717031	299390	Gladys Harmon
717031	300018	
717031	304534	
717031	306804	Muriel Allen
717031	312296	Princess Elaine
717031	315322	Alice Andrews (Van Doren)
717031	316195	Ruth Martin
717031	317409	Dolly Devore
717031	319504	
717031	321494	Girlfriend/Nurse
717031	324053	Partygoer in costume
717031	331394	Janiebelle
717031	331447	Rita
717031	331571	Cheatham's Secretary
717031	331630	Various Roles
717031	331667	Nell the Blacksmith
717031	334188	Velma, Harry's Kissing Cousin
717031	338286	
717031	342940	
717031	343033	Mrs. Higgins
717031	349634	Mrs. Allen
717031	349986	Joan Travers
717031	358359	
717031	359137	Spangles Calhoun
717031	360660	
717031	360671	Mrs. Lane
717031	360761	Betty, Eddie's Bride
717031	361656	Alice Darcy
717031	363167	Girl posing as Mrs. Herbert
717031	363430	Annie Bass
717031	364157	Goodrich's niece
717031	364347	Mrs. Herbert
717031	365038	Blanche Hawkins
717031	365066	
717031	366123	
717031	368096	
717032	114350	Airline Employee
717032	150567	Caterer
717032	181262	Merith
717032	256622	Daughter
717032	258139	Girl at Dinner Party
717033	33742	One of 'The Thirty Women'
717034	242089	Ann's mother
717035	165582	Hillary
717036	202378	Cori Wiley
717037	102175	Mary Skelton
717037	378913	
717038	365424	
717039	88102	Nurse #2
717039	340754	Mrs. Able
717040	3293	Liz
717040	75612	Secretary
717040	140962	Female Student
717040	309610	
717040	328289	Nurse Debbie
717040	329586	Sugar
717041	108919	Glenna
717042	311055	Receptionist
717043	348754	Sakura
717044	108256	Ruthie
717044	109633	Barbara Rendl
717044	248133	Elsa
717044	276202	Connie
717044	342189	Host
717044	382510	Presenter
717044	386520	Presenter (2003)
717045	411726	Presenter
717046	190975	Mandy
717047	20625	Extra
717048	5381	Elderly Woman
717048	54471	Mrs. Foley
717048	72570	Senator's wife
717048	78168	Mrs. Brunch
717048	92558	Elizabeth, Monica's Maid
717048	107845	Bank Clerk
717048	116894	Mother, 'Honeymoon Hotel'
717048	117340	
717048	118718	Elderly Woman
717048	131361	Mrs. Wilson
717048	136284	Jimmy's Mother
717048	143387	Dean of Women
717048	149261	Mrs. Ryan
717048	151191	Mrs. Randall
717048	153117	Mrs. Stevens
717048	192611	Miss Cross
717048	201150	Mrs. Dillon
717048	206384	Mary MacDonald
717048	215990	Mrs. Wilberforce
717048	222667	Mrs. Justin
717048	231797	Banker's Wife
717048	234141	Bit Part
717048	240782	Mom Whalen
717048	255146	Mrs. McGregor
717048	257201	Mary Todd Lincoln
717048	264470	Mary Todd Lincoln
717048	264888	Mrs. Marley
717048	273793	Mary MacDougall
717048	321414	
717048	327972	
717048	330514	Mrs. Thompson
717048	360477	Undetermined Role
717048	366492	Bridge player
717048	367905	Juror
717048	367919	Woman With Bundles
717048	374522	Mrs. Langhorn
717049	12242	Mrs. Cherry
717049	130903	Sunrise Reactor
717049	138220	Rita
717049	229629	Sally, waitress at cafe
717049	289683	County Prison Matron
717049	315131	Ticket Woman
717049	366433	Mrs. Crawford
717050	46368	Librarian
717050	64397	
717050	114095	Teacher at Party
717050	126029	Mother
717050	143240	
717050	160042	
717050	241791	Review Official
717050	276326	Donna Potter
717050	295320	Church Woman
717050	312357	Woman in deli
717050	352684	Judge Tower
717050	362486	Fran
717050	363265	Mrs. Dreiman
717050	385824	Jo Johnson #2 (1993, 2002)
717050	396123	Noreen Vochek Donovan, R. N. 
717050	400236	Astrid Collins (1981-1982, 19
717050	404002	Sydney Galloway (1983)
717050	404613	Carolyn Hanley Walton (1977-1
717050	406952	Kathy Ketchum (1999)
717050	411802	Mary Hoffman (1995)
717051	312971	Penn Dutch Waitress
717052	333443	Nest alien
717052	397130	Cornflower
717052	402963	
717053	132530	Student Activist
717054	143166	Nan Perrine
717055	274344	Group Walla
717056	16006	Yelling Woman
717057	34977	Girl at Soda Fountain (Enter 
717057	41930	Mary Elizabeth
717057	98690	Mary 'Lizbeth Fletcher
717057	154553	Christine
717057	196489	Elmira, age 10
717057	321898	Kit Latimer, as a child
717058	105502	Nurse
717059	2855	Casting Woman
717060	227340	Katie Firestone
717061	320126	Herself
717061	368817	Velvet McEntyre
717062	399130	Leanne 'Packo' Packington (19
717062	399948	Morgan Clayborn(1996)
717063	272023	Senator's Girl
717064	316215	Hillary
717065	321699	Jeanettes Girlfriend
717066	157290	
717066	157922	Julika
717066	320421	Kathy
717066	381432	Allison Baxter (1980-1981)
717066	391533	Jessica Myles (Chapman)
717067	336559	Cinderella
717068	209209	Terrified Populace
717069	411759	Deidre (1979)
717070	358477	Raver
717071	134716	Meeting woman
717072	382701	Christine Daley (Season 1)
717072	410011	Miss Sims (1969)
717073	385447	Susie Custer
717074	97419	Hannah
717074	143531	Girl (Hydra)
717074	143537	Ilea
717074	143538	Ilea
717074	200911	Jenny
717074	222636	Sheila McGuire
717074	245920	Caitlin
717074	337155	Lucy
717075	88870	Stephanie
717075	95842	Laura
717075	154610	Donna
717075	297261	Beauty Shop Customer
717075	305715	Hot Pants Hilliard
717075	332004	Redhead
717075	385913	Herself (1970)
717075	390272	Herself
717076	323841	Child
717077	130624	Chorus girl
717077	330375	
717078	188033	Nancy Borovansky
717078	298463	Dianne Cordeaux
717078	361864	Helen
717079	125557	Woman Worker
717079	217411	Mary
717080	77712	Mrs. Hemphill
717080	166871	Madame
717081	50016	Nell Loring
717081	116165	Stenographer
717081	123348	Edith Dunning
717081	157732	Bessie Judd
717081	214791	Kit Hibbing
717081	246338	Lady Maryska
717081	254480	Filing Clerk
717081	312274	Virginia Ransome
717081	318170	Louise Evans
717083	255009	Angel
717084	140907	Tasha
717084	397240	Gerri
717085	72931	Goodyear Hostess in the Red L
717086	241759	
717087	3944	Herself
717087	5944	
717087	6717	Herself
717087	6719	Herself
717087	6720	Herself
717087	6721	Herself
717087	11150	
717087	34928	
717087	37563	
717087	50174	Kate
717087	54455	
717087	72913	Kate
717087	78755	
717087	81835	
717087	84001	Herself
717087	87390	
717087	93238	Pat
717087	97695	
717087	105402	Connie
717087	109661	Frank Stegner's girlfriend
717087	126173	
717087	150349	
717087	151512	Herself
717087	152949	
717087	158209	Herself
717087	189453	
717087	197524	Roxy
717087	197857	
717087	200491	
717087	232289	
717087	241871	Dr. Hamilton
717087	248129	
717087	258065	
717087	273467	Herself
717087	273550	Herself
717087	302249	
717087	311452	Herself
717087	311453	Herself
717087	311752	
717087	321050	Herself
717087	325292	
717087	326431	
717087	348304	Herself
717087	365763	Ms. Leach
717087	368758	
717087	372540	
717087	406088	Feliciti OH (1995-1996)
717088	370889	Party extra
717089	97508	Hooker
717090	75681	Mrs. Shipley
717090	88981	Cigarett Girl
717090	205315	
717090	207838	Teacher
717090	244918	Debbie
717090	263608	Woman
717090	266917	
717090	319544	Secretary
717090	325972	Selma Marcus
717090	342458	
717090	385913	Herself (1969)
717090	401032	Alice
717091	241689	Orderly 1
717092	130589	Helen Mason
717092	279543	Rose Tracy
717093	359573	Child
717094	347852	Partygoer
717095	92438	
717095	116381	
717095	237559	
717095	242099	
717096	68142	Rose Brown
717096	96719	Mrs. Nevers
717097	108432	Ruth Hoffman
717098	231091	Jennifer
717099	14145	Young Woman
717099	154593	Warhol Superstar 1
717101	254789	Miriam
717101	359545	Mrs. Elliot
717102	104352	Girl at Shower
717102	144740	Miss Keene
717102	232197	Soledad
717102	247233	Ann/Randy (Secret Service age
717102	313301	Chorine
717103	122166	Becky
717103	363028	Lynda
717104	117459	Optrædende i kabaret
717105	47605	Eve
717105	47975	Ann
717105	66680	Anna Redding
717106	276955	Felicia
717107	271263	Gudrun Brangwen
717107	387533	Rachel Hughes/Tate (1988-1999
717108	233774	Chinese Speaking Woman
717109	17043	Photo Woman
717109	69899	Grandmother
717109	244864	Old Lady
717109	256612	Old Lady
717109	399816	Isobel Mainwaring (1976)
717110	169577	
717111	26077	Yankee Wife
717112	166874	Lily
717112	184981	Pretty Girl #5
717112	217640	Marie-Alexandrine (adolescent
717112	288948	Commune Woman #2
717112	387165	Max
717112	388086	
717112	400383	
717112	404510	Johanne McKay (animatrice)
717112	406031	Ariane Dupuis
717112	408883	Roxanne
717113	159885	Villager
717113	258232	Massage Madame
717114	344	Akron Wrestler #2
717115	58767	Woman
717115	199209	Victim
717116	323134	B-Kun
717116	334886	Kid
717118	78067	Girl No. 2
717118	171930	Shane
717118	313828	Phil
717118	398675	Jack Dobey
717119	248929	
717120	16006	Child
717121	309634	Mother Abbess
717122	304876	Dancer
717122	330375	
717123	46716	Bride 5
717123	73409	Virginia Farley
717123	337698	Tess Livingston
717124	154372	Bonnie
717125	61769	Girl #2
717126	32250	Make-Up Assistant
717126	67921	Sandra
717127	55110	Witness for Peace
717128	398050	Extra Contestant (2001)
717129	134596	Midwife
717130	7888	Kelly
717130	137536	Kimberly Johnson
717130	223639	Howeena
717130	252841	Varsity Cheerleader
717131	72555	Sandra
717132	194684	Mixed Race Girl
717133	4618	Venusian guard
717133	4622	Dancer
717133	118811	Lt. Burke
717133	223913	Dancer
717133	279376	Handmaiden
717134	112552	Rita Bennett
717135	289608	Dee Dee
717135	311164	Myrna
717136	46242	Foster Mother
717137	69662	Extra
717139	150066	Micki
717140	5382	
717140	34882	
717140	39180	
717140	91816	
717140	93154	
717140	141561	
717140	152672	
717140	188066	
717140	215289	
717140	257738	
717140	267102	
717140	273231	
717140	303366	Model
717141	277533	Herself - member of Florentin
717143	60944	Madge
717144	11	Babe
717144	11609	Jessie
717144	32351	Sally Stephens
717144	33610	Cherie Atterbury
717144	39831	Lee Winfield
717144	45212	Judy Malvern
717144	70997	Nurse Jane 'Hey-Dutch' Van Do
717144	77820	Lulu
717144	77992	Doris
717144	81989	Hetty
717144	109221	Cashier
717144	130758	Evelyn Manning
717144	147639	Martha Manning
717144	167529	Millicent Perker
717144	167921	Virginia
717144	170754	Greta Vanderhorn
717144	177041	Connie Harcourt
717144	183627	Daughter on Boat
717144	184948	Cigarette Girl
717144	186269	Linda Fremont
717144	186815	Nora O'Brien
717144	190268	Girl on Stage
717144	193691	Kate Stewart
717144	199158	
717144	211602	Girl
717144	218377	Patricia Lawrence
717144	224804	Lois
717144	230953	
717144	231780	Girl in Steve's Party
717144	241775	Millie Jason
717144	244899	Usherette
717144	256439	Suzanna
717144	271084	Cathy Haines
717144	279551	Sylvia Rand
717144	280684	Rita
717144	282648	Betty Duvalle
717144	294199	Helen
717144	305456	Jean
717144	312811	Helen Howard
717144	315693	
717144	329945	Anne
717144	331123	
717144	342505	Lucy Brent
717144	355082	Girl
717144	356800	Betty Benton
717144	360191	Cigarette Girl
717144	362094	Jean Rankin
717144	367552	Merle (shop girl)
717144	372364	Girl
717145	20625	Extra
717145	39287	
717145	45101	Amanda
717145	99981	Sharon
717145	99982	Zoe
717145	99986	Sharon
717145	105156	
717145	115306	
717145	115307	
717145	116013	Herself
717145	152974	
717145	185167	Lisa
717145	215863	
717145	242555	
717145	243133	
717145	247991	
717145	258089	Amanda
717145	266185	
717145	306916	
717145	330051	Herself
717146	289089	Baby Emily
717147	207266	Portia
717148	286350	Cop in San Francisco
717149	158358	Young Girl
717150	1842	Herself - Performer
717150	37918	Dancer
717150	46359	
717150	47385	Herself
717150	192167	The Rose
717150	243568	Herself (Kathy)
717150	342605	Louise
717150	385719	Amanda Harris (aka Olivia Cor
717150	388202	Anemone
717150	392239	Hullabaloo Dancer (1965-66)
717150	396123	Margie (1993)
717151	17978	Mrs. Thompson
717151	46990	Christine Dobson
717151	110315	Alice Turnbull
717151	158137	Eva Pastorek
717151	161407	Iris Guppy
717151	211840	Paula Stansfield
717151	335782	Bitter Fairy
717151	383683	Mrs. Turner
717152	112182	Anorexic Girl
717153	31578	Herself
717154	161407	Mrs. Latimer
717154	199390	Festival Mime Artist
717154	408461	Mrs. Long
717155	109665	
717155	380226	Storyteller
717155	401420	Presenter
717155	406782	Presenter
717156	152426	National Security Advisor
717157	11186	Marquita Fector
717158	332835	Hooker #1
717159	273872	Party Guest
717160	10909	Sherry
717160	188334	Anne
717160	245600	Dominique
717161	35661	Stephanie Slater
717161	40174	Helen
717161	73913	Marion Nell
717161	88090	Genevieve
717161	97406	
717161	98137	Mum
717161	99043	Beth
717161	140900	Lynn
717161	184046	Nurse Gladwell
717161	190200	Janice
717161	194684	Susan's Mother
717161	194940	Lalla
717161	211824	The Duchess of Bedford
717161	212965	Jonjo's Ma
717161	215188	Joanne
717161	220096	Caroline
717161	226868	Cafe Girl
717161	235790	Bella
717161	243146	Herself
717161	270436	Kathy
717161	273448	Narrator
717161	273836	Sarah
717161	305318	Lucy Lisle
717161	330026	Donna
717161	338827	Mary Leslie
717161	365937	Party Guest
717161	367886	Ellen
717161	368040	Nadia
717161	375824	Ankica
717161	379203	Sue Bishop
717161	386295	Angela Starck
717161	389124	Irene Forsyte née Heron
717161	389125	Irene Forsyte nee Heron
717161	395385	Julie
717161	400516	Mary Soulsby/Cox
717161	402650	Jane
717163	303975	Rebecca Simms
717164	130422	Susan
717165	334190	Maria
717166	268866	Coral
717167	204557	Dancer
717168	252915	Nurse
717169	223	Darcey Leigh
717169	2615	Presenter
717169	2809	Herself - Co-presenter: Best 
717169	40660	Carol Williams
717169	46670	Angela Drake
717169	71474	Lila Rose Oliver
717169	74674	Therese Mederos
717169	79768	
717169	109454	Sherry-Lynn
717169	117089	Olivia Stewart
717169	124128	Betty Rae
717169	140405	Mama Delany
717169	140783	Martha Shuttlesworth
717169	148874	Mrs. Daniels
717169	156510	Mignon Dupree
717169	170746	Drew
717169	190379	Elaine
717169	202195	Louise Little
717169	210786	Ella Brashear
717169	248111	Lisa
717169	297937	Lottie Armstrong
717169	307878	Herself
717169	310417	Sister
717169	334150	Olivia 'Libby' Stewart
717169	363528	Vanetta
717169	367844	Lorraine
717169	402605	Alice
717169	408036	Maggie Davis (1999-)
717170	314501	Popular Girl #1
717171	58488	Georgia
717172	80559	Sorority Girl
717172	115161	Joe's Woman
717173	214751	
717174	176525	Singer
717175	88422	Claire Sommers
717175	99695	Ms. Lindsey
717175	310726	Elevator Passenger
717175	358190	Lindsey Thurlow
717175	366905	Jamie
717177	176525	Singer
717178	20091	Whoopi Goldberg Look-Alike - 
717179	101086	Reporter
717180	21040	Times Square reporter
717180	398776	Segment Reporter
717181	108050	
717181	146888	Diana
717181	208284	Lonely heart kvinde #1
717181	233695	Yolande
717181	245794	
717181	305036	Bride
717181	385299	Jacqueline Barratt
717181	392019	Jill Chilcott
717181	411612	Maggie Parsons (1976-77)
717182	333857	Extra
717183	168018	Female Patient
717184	79377	Ysabel Hernandez
717184	79378	Ysabel Carrillo
717185	326402	
717186	161987	John's Sister
717187	201726	Herself
717188	85002	Backup Singer
717188	350191	Montage Angry Vampire
717189	368015	Eileen Sherwood
717190	289470	Hallucinating Guard
717190	355519	Radiologist
717191	342772	Emer
717191	366843	Lizzy
717191	390130	Emer
717192	27140	Mrs. Webster
717192	55674	Aunty Bird
717192	116923	Aunt Dolly
717192	213028	Elizabeth
717192	304794	Glorias Mother
717192	365898	Mum
717193	411746	Dr. Gillian McKeith
717194	118843	Poker Player #1
717195	116314	Deuxième dame
717196	109666	
717196	145638	Actress in class
717196	169939	Sabine Guitry
717197	39564	Rachael
717197	53041	Lindsey Scott
717197	118294	Herself
717197	131541	Molly Wright
717197	145638	Sissie
717197	160885	Sleepwalker
717197	165474	Tiffany
717197	171348	Annie Mills Carman
717197	217532	Kristin Guthrie
717197	226977	Herself
717197	271343	Lacy Baldwin
717197	273480	Sexy Sally
717197	295622	Debbie
717197	300919	Lauren
717197	310717	Dana Woodman
717197	316460	Katherine Stern
717197	342267	Herself
717197	369460	Jubilee
717197	369505	Sarah
717197	370880	Pam Hatch
717197	383414	Lisa (Todd's Girlfriend)
717197	389710	Elsa/Renee
717197	406471	Freida Goren
717197	410835	Elsie Snuffin (2002-)
717198	310717	Mrs. Woodman
717199	292017	Maureen Bradley
717200	405209	Judy Billingham (1999)
717201	308403	Valley, the vamp
717202	133687	Secretary
717203	189280	Miss Ponsella
717203	231840	
717204	282928	Canadian Tourist
717205	116002	Naomi
717206	120844	Sarah Harper
717206	152838	Pamela
717206	200241	Ms. Bergez
717206	213350	
717206	292450	Female Driver
717206	341999	Social Worker
717207	203062	Musician
717208	72931	Goodyear Chorus Girl
717209	138775	Receptionist
717209	309047	Stewardess
717210	406242	Herself
717211	41190	La Marchesa Di Fiore
717212	347981	Herself
717213	398746	Kady Kyle
717214	53133	Amanda (segment "People Can L
717214	141257	Katy
717214	168327	Linda Ross
717214	285360	Hannah
717214	317551	Petunia Stupid
717214	362453	Alex's Friend
717214	367634	Jennifer
717214	397657	Hillary
717214	408953	Lindsay Flatt
717214	411783	Mickey Apple
717215	6005	Actor in Richard III
717215	14247	Mrs. Tristram
717215	44724	Kate
717215	401432	Linda Turner (1994)
717216	78318	Tina
717216	203733	Delores
717216	391208	Sacha
717216	396067	Clara
717217	147565	Mother
717218	364513	Daughter in Bathroom
717219	47573	Mother
717219	184218	Jeweller's Assistant
717220	207145	
717220	388861	Christina Parsons Russell Wri
717220	394401	Jess Gathercole
717221	29523	Barfly
717222	130311	Dancer
717222	133728	Charkie's Water Ballet Perfor
717222	219933	Queen of Hearts
717223	319003	Young female Duddy
717224	118043	April James
717225	245331	Martha
717226	190440	
717227	313681	
717227	382778	Presenter
717227	392165	Presenter (2000-)
717227	395766	Presenter
717227	409077	Presenter
717228	53217	
717229	100221	Isabelle
717229	160579	Newsreader
717230	134202	
717230	179069	
717231	353467	Nellie Clifden
717232	368894	Det. Kelli MacKenzie
717233	45913	
717234	246272	Child
717235	283410	Mrs. Whittenmeyer
717236	110561	Cleopatra
717237	87166	Rachel
717238	51800	Lady on boat
717239	380713	Linda Chase (1981)
717239	387309	Emily Gault Michaels (1980-19
717239	396088	Betsy Crawford (1978-1980)
717241	110916	Dancer
717242	372419	Waitress
717242	392941	Country Western Fan
717243	264459	La Belle France
717244	359323	Herself
717245	370853	Andrew Dubinski's Companion
717245	410585	Miss Elliott
717246	189242	Amber
717246	230442	Schoolgirl
717246	314104	Silencer of the Lambs
717246	326479	Dana
717247	352927	Emilie
717248	129580	
717248	138177	Mary Margaret O'Flaherty
717248	138353	Iris
717249	12317	Karen
717249	316606	Cop #2
717250	402733	Herself - Racer (1998)
717251	6858	Anne Hunter
717251	38239	Herself
717251	72496	
717251	79345	Emily Beaudine
717251	88936	Anna
717251	90123	Dona Ana
717251	152878	Kate Donovan
717251	169363	Bridget Hitler
717251	177404	Mary
717251	194934	Marie
717251	210508	Iroz
717251	238506	Nora Nesbitt
717251	254657	Madge
717251	257613	Pegeen Mike
717251	285720	Saint Joan
717251	366374	Catherine Winslow
717251	395163	Fortunata
717252	235226	Herself
717253	56996	Jennyanydots the Gumbie Cat
717253	164381	Paramedic
717253	315516	Headmistress
717254	291039	2nd Female Dealer
717255	6527	Lady Mary Lasenby
717255	30347	Henrietta
717255	32174	Lucy
717255	41216	Woman in Ballroom
717255	44428	Joy Adamson
717255	55850	Violette Szabo
717255	56205	Lady Lebanon
717255	74021	Julie Hallam
717255	87523	Catherine
717255	92838	Margaret, Countess of Suffolk
717255	94767	Lady Brecon
717255	99077	Ginny
717255	109884	Catherine
717255	114206	Annabel Flack
717255	124500	Clemmie Churchill
717255	147931	Eva Caine
717255	151570	Dinner Guest
717255	170497	Portia
717255	191225	
717255	243071	Shelagh
717255	253917	Mrs. Darling
717255	254494	Mrs. Oke
717255	266744	Elvira
717255	278458	Mary MacKenzie
717255	281167	Juliet
717255	282700	
717255	290922	Violet Orloff
717255	292206	Ellean Tanqueray
717255	294573	Violet
717255	299180	Helen Randall
717255	302073	Mary Crawford
717255	304948	James's Mother
717255	305421	Jean Spencer
717255	310532	Milborough Lang
717255	312854	Flora
717255	320758	Mrs. Walker
717255	337107	Jean Paget
717255	342978	Helen Berger
717255	360064	Duchess of Richmond
717255	360091	Mrs. Whyte
717255	363734	Theresa Elliot
717255	368784	Janet Taggart
717255	383277	Polly
717256	218785	Bar Voice
717257	328788	Nurse 4
717258	315271	
717259	100210	Sarah
717259	307881	Partier
717260	122968	Girl in Orange
717261	217178	Bette Davis
717262	79804	
717263	141632	Lady traveler
717264	96834	
717264	276386	Dark Lady
717265	339532	Audrey
717265	381130	Julia
717266	99137	Dancer
717267	26839	
717267	346139	Mme Lemieux
717268	66121	Ali
717268	273716	Helen
717268	403462	Joanne Rossi
717269	166986	Maggie Boone
717269	347059	Hotel Clerk
717270	398463	Morag
717271	347852	Partygoer
717272	385441	Ella
717273	110739	Lost Girl
717274	118865	Janet
717274	256356	Sophia
717275	133636	Det. Cvijic
717275	297646	Mossman Woman
717276	224155	Race Course Extra
717277	193663	Guide
717278	200052	Dormitory girl
717279	44298	Consuela Alvarez
717280	229499	Young aunt Sylvia
717281	10678	Ella Dowling
717281	47657	
717281	70294	The warden's daughter
717281	88300	Nurse
717281	107277	
717281	152600	
717281	165452	A McKenzie Twin
717281	185753	Ann
717281	224568	Miss Gates
717281	247141	School girl
717281	276317	
717281	277968	Dance Hall Girl
717281	315294	Lena
717281	321794	Bit Part
717281	368959	Young Lady
717282	79556	Janet
717282	411316	Maria
717283	72208	Stylist
717284	13378	Housewife
717284	16455	
717284	20239	Townswoman at barn dance
717284	32276	
717284	44314	Townswoman
717284	44463	Townswoman
717284	44676	Mrs. Wilson
717284	72223	Irate Water Customer
717284	84850	Landlady
717284	110373	
717284	111424	Woman #1 at dogfight
717284	111941	Townswoman
717284	112561	Mrs. Schwartz
717284	112624	Townswoman
717284	118272	Postmistress
717284	127220	Wagon Owner's Wife
717284	128960	Townswoman
717284	130655	
717284	131980	Wagon woman
717284	135821	Gossiper on Telephone
717284	135929	Townswoman
717284	135995	Townswoman
717284	136050	Settler's wife
717284	141667	Clerk
717284	143592	Scared woman in hallway
717284	147446	Reformatory cooking teacher
717284	171444	Bit Part
717284	178858	
717284	186414	Woman at the dance
717284	190536	Mathilda (cook)
717284	191588	Woman
717284	193369	
717284	196195	
717284	197028	Spectator
717284	203012	Aunt Sarah
717284	215750	
717284	224568	Mrs. Gates
717284	232197	Townswoman
717284	232492	Mrs. Gray
717284	239027	
717284	239198	The Widow Jenkins
717284	239504	Ma Brown
717284	245354	Townswoman
717284	248824	
717284	254547	Mrs. Horner
717284	256425	Ma Allen
717284	271238	Townswoman
717284	272113	Mrs. Brown
717284	272140	Townswoman
717284	272769	Judy's mother
717284	273809	Sheepman's wife
717284	277843	Race Spectator
717284	280969	
717284	299034	Rancher's wife
717284	301932	Townswoman
717284	309502	Sheriff's Wife
717284	312780	
717284	317306	
717284	323607	
717284	325026	Sister Eva
717284	329028	Townswoman at the dance
717284	332046	Debtor's wife
717284	332063	Wedding guest
717284	332077	Mrs. Foster
717284	339884	
717284	340507	Duchess Chambreau
717284	346863	Welfare Department Matron
717284	347344	Mother
717284	355217	Hester
717284	358356	
717284	361301	Mrs. Warren
717284	363475	Townswoman
717284	366824	Mrs. Higgins
717284	367449	Police Matron
717284	368959	Party Guest
717284	372145	Neighbor
717284	372152	Party Guest,
717285	331	
717285	11609	Martha
717285	20239	Townsgirl at barn dance
717285	37100	Waitress
717285	44676	Sally Nolan
717285	46321	Woman at party
717285	72285	Stephanie Lock
717285	81258	Letty Morgan
717285	92162	Maria Elena Alvarado
717285	92527	Nurse
717285	92957	Sarah Lincoln
717285	105971	Hospital superintendent
717285	111424	Young girl at dogfight
717285	120010	Student
717285	127220	Molly Taylor
717285	135939	Girl at party
717285	141323	Alice Bennett
717285	148282	Clenentine Benson
717285	163431	Young Girl
717285	163490	Guest
717285	169957	Heath Twin
717285	178916	Fray Murten
717285	185991	Chorus Girl
717285	186414	Girl in (candy) kisses booth
717285	191588	Woman
717285	196298	Waitress
717285	197028	Young Girl Spectator
717285	198660	Brooklyn Girl
717285	203279	Young lady
717285	222672	Singer in Mom's Cafe
717285	249627	Alice Clutterbuck
717285	275449	Marcia Porter
717285	277843	Buys stamps
717285	284538	
717285	301145	Sue Larrabee
717285	302735	Caroline
717285	304504	Anna
717285	317354	Mary Lou
717285	319075	Mickey Moore
717285	321592	Girl from Dallas
717285	329028	Girl at the dance
717285	332077	Annie
717285	346863	Chorus Girl
717285	362916	Ruth
717285	363079	Hannah
717286	67774	Board Member
717287	26074	Beach Girl
717287	191196	Zombie
717288	82326	Pauline
717288	221105	Chantels
717289	92957	Sarah Lincoln at Ten
717289	130149	
717289	165452	A McKenzie Twin
717289	187977	Mrs. Shea
717289	265557	
717289	296931	Winnie Coburn
717289	310059	Woman Calling for Revolution
717289	354500	Alice as a Child
717290	151535	
717291	135170	Valerie
717292	16644	Kate
717292	31286	Dancy Grimshaus
717292	75671	
717292	81731	Janice Higgins
717292	84866	Frankie Smith
717292	88090	Younger Teensy
717292	98392	Pera
717292	119329	Penny
717292	136036	Trudy
717292	137569	Sharon Sinclair
717292	152583	Anna
717292	173353	Catherine Macaleese
717292	178049	Sherry
717292	195593	Samantha
717292	221096	Beryl Muddle
717292	240682	Mary Davidson Holmes
717292	251437	Jude
717292	258458	Annie Williamson
717292	263124	Daphne
717292	281244	Gabe
717292	313626	Rachel
717292	323936	The Girl
717292	330919	Vanessa Prescott
717292	338325	Viola
717292	346133	Emma
717292	362716	Margaret Court
717292	368240	Pandora
717292	378869	Diana Skouris
717292	379746	Penelope Seymour
717293	2339	Canteen Waitress
717294	2079	
717295	387533	Gloria Weaver/Pollard (2000-)
717295	388321	Helen Cooper (1997-1999)
717297	271206	Tigerette #2
717297	344553	Betty
717298	108933	Koala Klub Dancer
717299	5162	Diana
717299	6155	Mrs. Poyser
717299	47019	Lottie Crump
717299	80945	Betty Wilson
717299	81123	Margaret Munroe
717299	104997	Herself
717299	144406	
717299	150567	Jennifer Pusey
717299	164396	Mavis
717299	164398	Jack's Mum
717299	282700	
717299	299287	Gillian
717299	331089	Mrs. Herrick
717299	356454	Audrey
717299	365560	Miss Dormancott
717299	381406	
717299	381737	Maureen Rafferty
717299	382279	Mrs Forthby
717299	388269	Pen Muff
717299	389342	Hester Fields
717299	389347	Hester Fields
717299	389454	Various Characters
717299	396419	Maggie
717299	400082	Mrs. Jarley
717299	407931	Georgie Bodley
717300	100939	Kathy Norris
717300	241366	Fay
717300	275398	Jane Williams
717300	391259	Lady Daphne Ellesmere
717300	396709	Naomi
717301	10305	Swimmer
717302	359858	Art Gallery Party Goer
717303	61887	Katherine Sanders
717303	333120	Cervantes' Regular
717303	355365	Dr. Griffin
717303	379982	Host
717303	381305	Meryl
717304	11374	Herself
717304	21177	Beryl Fforbes-Juggs
717304	34739	
717304	34762	
717304	34861	
717304	44654	
717304	75524	Herself
717304	79928	
717304	91633	Linzi
717304	98886	
717304	108796	Stripper of the Year - segmen
717304	191199	
717304	191200	
717304	191201	
717304	257609	
717304	326821	
717304	336863	Herself
717304	344515	
717304	364097	
717304	392469	Herself - 4th Celebrity to Le
717305	56967	Mrs. Jones
717305	126504	Mrs. Brumby
717306	40005	Fanny Briggs
717306	77672	Woman
717306	111393	Grandma
717306	128585	Bella
717306	396623	Mrs. Armstrong
717307	135195	Nurse
717308	74215	Monya Chatfield
717308	108926	US Wac
717309	302219	Vera
717310	296967	Newscaster
717311	151108	Pauline Christophe
717312	280214	Matilda Grahame
717313	193236	Kathleen Stuart
717314	232873	Party Member
717314	273930	Collier's wife
717315	55417	Mother
717316	11491	Mother
717316	64875	
717316	211349	Portia's Servant
717316	284359	Haru
717316	346078	Mrs. Roscoe
717316	364510	
717316	408877	Maya Anderson (1981)
717317	275447	
717318	233474	Dorothy
717318	313562	Sally
717318	353815	Pharmacist
717318	382240	Alice
717318	383937	Reena
717318	398935	Jenn
717319	8304	
717320	87603	Nora
717321	3615	Herself
717321	125910	Dorothy
717321	154491	
717321	209683	Helen Williams
717322	5908	Herself
717322	56971	Young nun
717322	186847	Official Woman
717322	274501	Wraden Zeida
717322	290072	Mary Schippan
717322	346216	Shop Assistant
717322	360444	Carie
717322	366827	Gail
717322	388483	Eleanor Rigby
717323	119626	Sherri
717324	112205	VIP Stewardess
717325	348545	Housemaid
717326	34751	
717327	125030	Barfrau in der Fabrik
717328	160325	Herself - 1st evictee
717329	196341	Klepto
717330	196341	Coffee Shop/Restaurant Custom
717331	105182	
717331	124048	Girl #1
717331	196524	Hannah (segment "Lovey")
717332	300216	Kimberly Van Arx
717332	360726	Marah Lewis
717332	390771	Marah Lewis #7 (2001-2004)
717332	400371	Stella
717333	26423	Karen Williams
717333	31195	Herself - NBC Team Contestant
717333	31197	Herself (NBC Team contestant)
717333	31202	Herself (NBC Team)
717333	68064	Jane
717333	74199	Tracey Thurman
717333	95500	Slugger
717333	107258	Jo Polniaczek
717333	107260	Jo Polniaczek
717333	113911	Cindy Fralick
717333	114262	
717333	144922	Beth Franklin
717333	157840	Joan Connor
717333	171311	Bride
717333	196291	Rosalie Profaci Bonanno
717333	215661	Ameila Matilda Daley
717333	220024	Margaret Deal
717333	257964	Nancy Parks
717333	258947	Rhonda Malone
717333	267386	Dolly
717333	267390	Dolly
717333	267391	Dolly
717333	269674	Susan Moreland
717333	276852	Ann
717333	290404	Lucy Twining
717333	291507	
717333	315199	Jill Stone
717333	316159	Nicole Glover
717333	328211	Sara
717333	330678	Kimberly Downes
717333	340559	Amelia Matilda Daley
717333	363399	Vikki
717333	368993	Melanie
717333	383315	Annie O'Donnell
717333	386509	Inspector Jinny Exstead
717333	388195	Joanna 'Jo' Marie Polniaczek 
717333	402460	Dolly
717333	404516	Dolly
717333	404517	Additional Voices
717333	406816	Jane Sokol
717334	108933	Rosita Constanza
717334	381238	Cashier Luxury Hotel, GOA
717335	41197	Gretchen Black
717336	46202	Kate
717336	78772	Lesley
717336	321228	Sherry
717336	321454	Lily
717336	400236	Irene Manning Lord Clayton (1
717337	309525	Heather
717338	151187	Judy
717338	411201	Maisie Farr
717339	176956	Conners Wife
717340	228163	Herself (Guest Vocals)
717341	70612	Olga Lowe
717341	78602	Daphne
717341	190000	Miss La Creevy
717341	293208	
717341	320744	
717341	324014	WDC Susan Aubrey
717341	342363	Maria
717341	382663	Sylvia
717341	383953	Pamela Bennett
717341	403239	Mrs. Shore
717341	403926	Elizabeth 'Mizz Liz' Probert 
717341	411280	Lois Mountjoy
717342	139294	Mrs. Reynolds
717343	13778	
717343	28571	Herself
717343	77716	Moyna
717343	211606	Solo Dancers
717343	350644	Performer "The Leaves Are Fad
717344	214814	Gospel Choir
717345	36764	Karen
717346	391877	Presenter
717347	285793	Maeve
717348	5378	Rachel
717348	191342	
717349	292224	1st reporter
717349	358702	Nurse
717349	405088	WPC Marilyn
717350	124594	Dame Agatha Browning
717350	194513	Dame Agatha Browning
717351	380012	Herself - 2nd Runner Up (Fina
717351	401891	Herself
717352	304578	June
717352	392693	Alex
717353	73683	Anna
717354	29753	Melody
717354	29755	Peppermint Girl
717354	42391	Alex
717354	90345	Young Rachel
717354	94655	Nippie Purdue
717354	158183	Sophie Wagner
717354	215860	Child at Party
717354	223773	Young Lucinda
717354	272776	Young Jennifer
717354	284936	Sabrina
717354	289664	Hannah
717354	310583	
717354	381069	Baby Lola
717354	385893	Reggie Lass
717354	396564	Tessie Bear
717354	404081	Sabrina
717355	54892	Sakura Avalon
717355	90345	Young Carla
717355	115668	Singing Girl
717355	117056	
717355	152931	Little Girl
717355	164369	Jenny
717355	168018	Kristen
717355	190927	Jennifer Lucca, 6 Years
717355	284936	Portia
717355	289113	Cute Girl
717355	298038	Jessica
717355	316220	Kim
717355	383460	Sakura Avalon
717355	410869	Sincerity Travers
717356	182948	Women's Army of Revolt/Citize
717357	211393	Teacher
717358	297126	Betsy
717359	20625	Extra
717359	183822	Mother
717360	46748	Little mermaid
717360	57766	Maureen O'Sullivan's body dou
717360	183579	Alice
717360	219166	Gladys
717360	220574	Polo player
717361	26606	Girl
717361	128386	Extra
717361	151339	Child
717361	157870	Child
717361	186450	
717361	220318	Child
717361	268915	Schoolgirl
717361	329437	College Student
717362	286257	Herself (and Her Three Boy Fr
717363	33704	School girl
717363	41800	Girl who sneezes
717363	88245	
717363	133949	Girl at circus
717363	136050	Young settler girl
717363	151339	Child
717363	154553	Girl
717363	202641	Young Girl
717363	330191	Crying child under truck
717363	363787	Extra at party
717364	365121	Mary
717365	47436	
717366	11485	Diane, Dancer
717366	331100	Dancer
717367	207132	Senior High Student
717367	365341	Robin
717368	200245	Miss Belle
717369	174585	Lynn
717370	166110	Eve
717371	116443	Model
717372	263129	Herself
717372	263137	Herself
717373	314526	Helen Upshaw
717374	402138	Mary MacGregor
717375	186156	Wanda
717376	351431	Wilde Housemaid
717376	403238	Tracy Saunders
717377	42276	Cindy
717377	52310	Jackie
717378	289430	Betsy
717379	195343	Cheerleader
717380	233921	Breakdancer
717381	248389	Nurse
717382	194315	Barbara Lander
717383	241159	Jen Cooper
717384	125899	Jean Seberg
717384	128707	Miranda
717384	176777	Carla Lewis
717384	176966	
717385	366781	Elizabeth
717386	359290	Carolyn at 10
717387	236950	Killer's mom
717388	245907	Bar patron/mutant
717389	362453	Unimpressed Woman
717390	109829	
717391	16078	Girlfriend
717391	32209	Jane
717391	40454	Joan Martin
717391	41502	Guest at Second Party
717391	47818	Mable Cooney
717391	51641	Liza Blake
717391	54370	Barbara Blake
717391	75884	Garla
717391	77805	Grace Newton
717391	88291	Helen
717391	92161	Helen Lake
717391	103237	Student
717391	149763	Peggy Carrington
717391	163544	American Ambassadoress
717391	191924	Mary Brewster
717391	214942	Betty Higgins
717391	223241	Corinne, Harding's Ward
717391	231780	Girl Orchestra Leader
717391	231990	Meg
717391	239407	Marian Carter
717391	241424	Girl
717391	248838	Girl on bus with Tommy
717391	253467	Little Em'ly (the woman)
717391	254654	Main Line Society Woman
717391	278727	Singer at Cannes
717391	302640	Helen Lake
717391	313298	Anne Heinmeyer
717391	316302	Lily Carter
717391	317354	Lilith
717391	323380	Young mother
717391	347061	Mary (secretary locating Lamb
717391	360068	Viola (first girl at estate d
717391	372364	Archery Girl
717392	78141	Patient #2
717392	81273	Robin Marshall
717392	283510	Susan Andropolis
717392	301541	Little Olive Reamer
717393	68461	K.C.
717394	350681	
717395	291830	
717396	93771	Cheerleader
717397	7498	Actress at Party
717397	10604	Mrs. Gregory
717397	11583	Lady behind Gloves at auction
717397	16674	Mrs. Mills
717397	20899	
717397	26615	Landlady
717397	26737	First Matron
717397	27294	Miss Woods
717397	31893	Mrs. Elvira Rogers
717397	40474	Aunt Sarah Morgan
717397	46714	Mrs.Spies
717397	51885	Secretary
717397	54614	
717397	56226	Ida Gilbert
717397	66201	Author's wife
717397	78070	Mrs. Hubbard
717397	91898	Mrs. Whitmore
717397	107845	Mrs. Judd
717397	109862	Second Lady at Launching
717397	118802	Mrs. Potterby
717397	122052	Hysterical defendant
717397	124102	Bit Role
717397	133856	Miss Dunkel
717397	134557	Mrs. Forbes, Castle's Cook
717397	139581	Mrs. Winston
717397	141325	Mrs. Edsel
717397	147412	Mrs. Sedgemore
717397	150392	Elvira Appleby
717397	151067	Mrs. Reynolds
717397	152911	Rolene's Aunt
717397	154623	Mrs. Loomis
717397	158711	Nurse
717397	170858	Mrs. Rogers
717397	173531	Woman
717397	175119	Customer
717397	183679	Lady of the Evening
717397	185544	Mrs. Mitchell
717397	190062	Miss Gomez, Fur Store Owner
717397	191038	Mrs. Thompson
717397	192721	Committee Woman
717397	199394	Red Cross Woman
717397	203594	Jail matron
717397	216964	Minister's wife
717397	218782	Elvira
717397	222328	Mrs. Martha Evans
717397	222334	Vic's Wife
717397	223018	Rodowsky Admirer
717397	234220	Mrs. Ferber
717397	241349	Movie Theater Cashier
717397	256899	Tilda
717397	262321	Mrs. Higgins
717397	262758	
717397	271203	Mrs. Abernathy
717397	274278	Mrs. Halstead
717397	277521	Miss Priddy
717397	278854	Mother
717397	279426	Hannah
717397	282352	Harriet Sterling
717397	287290	Flighty Woman
717397	287749	Survivor at Delaware Crossing
717397	296965	Kate Johnson
717397	299780	Customer
717397	303307	Bit Part
717397	303379	Mrs. Phillips
717397	308079	Bit
717397	313118	Wife of Colonel
717397	315338	Flower Woman
717397	321384	Telephone Operator
717397	322607	Woman at car
717397	323940	Letitia Harrison
717397	330514	Miss Dell
717397	333062	Portress
717397	337634	Mrs. J.G. Mahoney
717397	347335	Maid
717397	363190	Waitress
717397	367453	Nurse
717397	367552	Member
717397	367913	
717397	372081	Lipstick Woman
717397	372553	Letty
717399	39733	Herself
717399	70534	Theresa
717399	77967	Veronica
717399	78993	Florella
717399	84990	Isabelle Walton
717399	123699	Laura Jackson
717399	137619	Chick
717399	175628	
717399	193794	Dancer
717399	204758	
717399	232274	Maid
717399	240970	
717399	255406	Miss Nina
717399	256328	Rozelia
717399	262072	Maid
717399	273781	Singer in 'Reckless' Number
717399	285303	Leonie, the Hotel Manager
717399	287176	Lilongo
717399	315900	Ida Williams
717399	320813	
717399	330174	'Harlem Madness' Singer
717399	334754	Maid
717400	298091	Grandmother
717401	134315	Female Clerk
717402	82598	Bartender
717403	132823	Herself
717404	5066	Monarch Cheerleader
717406	79804	
717407	134178	Frances
717408	380189	
717408	393808	
717409	158609	KC Background Singer
717410	46981	Choirister
717411	344524	Herself
717412	31441	Dianna Coldwell
717412	105707	
717413	175189	The Ladies
717414	366600	Nancy Allenford
717415	170411	Waitress
717416	31441	Aunt Coldwell
717417	57889	Lesley Murphy
717418	19980	Little School Girl
717418	32518	Julie
717418	69065	Young Girl
717418	114679	Scottish Flower Girl
717418	119540	Aqua (Becky Smyth's Daughter)
717418	188617	Amanda
717418	218106	Girl with a Cold
717418	273428	Little Girl
717418	319516	Little Girl
717418	342468	Girl In Daycare
717419	48165	Nate's Mother
717420	140159	Herself
717420	142485	Danny's Girlfriend (segment "
717420	164964	Miss Willis
717420	211687	
717420	232084	Juvenile Delinquent Girl
717420	257231	Paula Trent
717420	326832	Betty's sister
717421	380189	
717422	397478	(2002)
717423	254084	Delphine Andois
717423	381504	Soeur St-Jean-Chrysostome
717424	74311	
717425	142361	L'il Mutant
717426	47744	Irene Lilly, Antoinette's ste
717426	82686	Charlotte Harris
717426	380391	Emma Frame Ordway #1 (1972)/I
717426	389858	Myrna Slaughter (1994)
717426	390771	Alexandra 'Alex' Spaulding #1
717426	396084	Martha Donnelly (aka Julie Ri
717426	407916	Iris Cory Carrington Delaney 
717427	231331	Herself (historian)
717428	405882	Nurse Breen (1975)
717429	202728	Poolside Patron
717430	2445	Herself (Cynthia's Childhood 
717431	99695	Reporter
717432	34616	Rinko
717432	105837	Computer Girl
717432	118367	Sarah (segment "The Misbehave
717432	200256	Jamie
717432	240593	Lana
717432	240594	Lana
717432	240595	Lana
717432	331184	Marina Johnson
717433	199499	TV programmer
717434	303439	Phyllis Burton
717435	285793	Brigid Madden
717436	41312	Desk Nurse
717437	320060	Katherine
717438	336390	Herself
717439	44493	Hotel Clerk
717439	73319	Annie May Jenkins
717439	186002	
717439	342802	Warden
717440	2150	Blue
717441	72766	Mrs. Ellis
717442	217411	Maid
717443	16748	Child in wheelchair
717444	7752	
717444	39298	
717444	39484	
717444	39610	
717444	127733	
717444	147062	
717444	295979	
717444	371771	
717445	38985	Diana Van Norton
717446	379719	Animal Expert (Busch Gardens)
717447	164391	Jack's Mother
717449	339445	Walking Girl
717450	89060	
717450	242558	
717451	151658	
717452	49028	Velma
717452	151589	Sullivan Bristol Receptionist
717452	278081	Minty
717452	382602	Sami
717452	383631	Julie Stevens: Receptionist (
717453	55457	Elaine
717453	65837	Natalie's Friend
717453	66148	Ragamuffin Girl
717453	172605	Beth
717453	318854	Secretary
717454	79792	Wood Child
717455	129320	
717456	27117	
717456	49350	Little Girl
717456	66984	Isys McKoy & young Yvette
717456	302932	Mae Collins
717456	388545	Slave Auction Girl
717457	129320	
717458	73835	Deputy Sheriff
717459	656	Disgruntled Man's Wife
717459	66984	Yvette McKoy
717459	274346	Receptionist
717459	388545	Slave Auction Mother
717459	406007	Mara Stiller
717460	199292	Danielle
717461	129120	Ashley
717462	236803	
717463	74110	Ward sister
717464	2303	Herself - Performer
717464	2581	Performer
717464	46661	Herself
717464	78269	Herself - Performer
717464	87981	Herself (in Save The Music ad
717464	121602	Herself
717464	190798	Performer
717464	190799	Herself
717464	231496	Herself
717464	288101	Performer
717464	288102	Herself (vocals, guitar, pian
717464	288103	Herself
717464	288104	Herself
717464	319651	Herself
717464	381978	
717464	392424	Herself
717464	410037	Herself
717465	276643	Lady in Saigon
717466	140154	Elise
717467	143981	
717467	247930	
717467	321129	
717468	70538	Mary Magdalene
717469	177422	Crystal
717470	239587	Molly, the Maid
717471	167644	Lisa
717472	178034	Gladys
717472	255452	Child
717473	232219	Jamet Hobbs
717473	261168	Peggy
717473	310445	One of the children
717473	363522	Moore Child
717474	11945	Marjorie
717474	357994	USO Guide
717475	330704	Little Girl
717476	295649	
717477	137521	Overwatch voice
717478	16143	
717478	26491	Voice of the Computer
717478	117009	
717478	126661	
717478	190570	Hazel
717478	195640	Bachelorette #1
717478	287210	Columbia Falls police officer
717478	292869	
717478	307689	
717478	311514	Homelander
717478	366142	Computer voice
717478	381082	Computer
717479	275798	Mrs. Errol
717480	16037	Hotel Owner
717480	40005	Annie Griston
717480	165450	Grace Poole
717480	168464	Aunt Mimi
717480	208378	Eye witness
717480	267486	Maureen
717480	347165	Kath
717480	366657	Maisie Mathews
717480	381568	Megan Bigge, headmistress (19
717480	400516	Rita Cox
717480	402776	Aggie Winkovski
717481	134069	
717482	344524	Herself
717483	196319	Host
717484	330432	The Child
717485	195458	Puritan Girl
717485	257332	Attendant to the Gods
717486	161163	Student at the Drama School
717486	183723	Duchess of York
717487	359202	Lindy
717488	23211	Chrissie
717488	99296	Wanda Barzee
717488	132475	Margaret
717488	148674	Nancy
717488	171159	Jessie
717488	190261	Mami Burleigh
717488	194708	Eden
717488	205969	Chrissy
717488	206595	Big Martha
717488	206889	
717488	245477	Liza Connors
717488	249493	Heather Grey
717488	318168	Laura
717488	335704	Liza Connors
717488	351723	Lucy
717488	361183	Martine
717488	401540	Helen Borso
717489	158134	Clare St. Denis
717490	161051	Trauma Nurse
717491	105597	Aged Morgana
717492	103304	Leah McLaren
717493	682	Janeite #2, Jane Austen's #2 
717493	119466	Reilly
717494	359202	Lindy
717495	252884	Suzette
717496	392648	
717497	66322	Garden Party Guest
717497	224648	Natalie
717497	309678	Receptionist
717497	358672	Nurse
717498	277254	Secretary
717499	86226	
717500	38872	Extra
717501	6264	Rachel
717501	6266	
717501	342675	Allison
717501	350237	Rosa
717502	390523	Louise Webb (1986-1988)
717503	49805	Gladden as a Child
717504	157759	
717505	206154	Jimmy Cliff Band
717506	405209	Nurse Mere Johnson (2001-2002
717507	88522	Pippa
717507	363092	Mary
717508	31654	Groupie
717508	47072	Bar Floozy
717508	192219	Stage Dancer
717508	248243	Towns Folk
717508	313961	Student
717509	287508	Meggan Johns
717510	380390	Judge Beth Slaymaker (1982)
717511	203220	Katherine
717512	32446	
717512	105313	Josie
717512	170843	Chairwoman (FDA)
717513	276249	Itinerant
717514	372525	Cameo appearance
717514	389858	Jesse Brewer, R.N. (1963-1990
717514	411811	Dr. Eileen Seaton (1959-1960)
717515	24208	Mrs. Plump
717515	26770	
717515	35220	Mrs. Plump
717515	53810	Village Belle
717515	75352	
717515	92000	Waitress
717515	109567	Florence
717515	129904	
717515	140887	Florence
717515	143887	A Shy Maiden
717515	145696	
717515	195351	His daughter
717515	195496	
717515	200895	The Lady of the House
717515	214157	
717515	220006	Florence
717515	230017	Florence
717515	230313	Their daughter
717515	244346	Florence
717515	262623	Runt's Accomplice
717515	274746	Vampire
717515	282596	
717515	289974	Stenographer
717515	294700	Florence
717515	315953	Slocum's daughter
717515	329827	
717515	330627	
717515	331858	The Girl
717515	342540	
717515	354559	Florence
717515	359450	Mrs. Price's daughter
717515	359957	
717516	183638	Dancer
717517	118980	Waitress Helen
717518	272840	Bartender #1
717519	244919	E.R. Doctor
717520	331100	Dancer
717521	106723	Marilyn
717523	207280	Jillian
717523	221783	Nurse
717524	354161	Woman
717525	381436	Rena Tyler (2000-)
717526	49493	Peggy
717526	222745	Madame Rose
717526	307513	Consultant
717527	16626	Bride
717527	96876	June Crawford
717527	276919	Rosie Hunt
717527	385888	Melissa
717527	388089	
717527	388209	Pauline Fitzpatrick
717527	393001	Sally Knox
717527	406297	Emma
717527	410711	Patricia Dereham
717528	355428	
717529	39415	Melanie
717530	284916	Baby Susie Brown
717531	77644	
717532	283069	
717533	19525	Zdenka
717533	111965	Marzellina
717533	236183	Susanna
717533	240905	Ivy Smith
717533	278313	Gilda
717533	281188	Stephano
717533	338615	Violetta Valéry
717533	352930	Nadia
717533	357027	Fantasia
717534	55197	Micaëla
717534	126144	
717534	178125	Publican
717535	213299	Fairy
717536	61794	Cindy Thompson
717536	117127	Lilly
717536	214228	Abigail Scott
717536	219440	Patti Morrison
717536	230324	Lara
717536	315241	Lisa
717536	363812	Armanda, Rampart's Late Wife
717537	39956	Jennifer
717538	125555	
717538	147825	Herself
717539	45505	Performer in Play - Mother
717540	3107	Fan
717540	317947	Beauty (Driver of VW)
717541	72509	Biology Teacher
717541	269859	Maryanne
717542	380713	Carol Demming Hughes Stalling
717542	404694	Wendy Porter #1 (1966)
717543	264146	
717544	40372	
717545	36781	Myrna
717545	44433	Other Leader
717545	68451	Frances Farmer
717545	235002	
717545	352198	Justine
717546	281881	
717547	47542	
717547	92618	Hospital Receptionist
717547	107116	
717547	186681	Weather Worn Woman
717547	222668	
717547	270947	Jean Lester
717547	363159	
717548	80824	Joan
717549	319560	Hooker
717550	149258	Bamville Club Dancer
717550	309546	Dancer
717551	100838	Choir Member
717552	245218	Chantelle
717553	4369	Showgirl
717553	282711	Dancer in Haiti number
717553	312934	Woman POW
717554	239756	Cafe Extra 2
717555	52687	Willie Mae
717556	157577	
717557	171348	
717557	195102	Zoe Kingswood
717557	308713	Teen
717558	365121	Child 3
717559	223380	Nurse With Doctor
717560	390195	Herself - Weather Forecaster
717561	272648	Mrs. Fowler
717561	305345	Ma
717562	31715	Peasant
717562	128727	Dancer
717562	274319	Angel Dance Double (segment "
717562	300180	Goddess Dancer
717563	216184	Reporter #6
717564	96706	Val Meadows
717564	248136	Harmony
717564	399130	Bess O'Brien (1999)
717564	399816	Dorothy Dunlop (1973)
717564	411239	
717564	411809	Sister Vivienne Jefferies (19
717565	92957	Miss Harris
717566	26777	Miss Hatfield
717566	158793	
717566	364313	Cashier
717567	57747	Inmate
717567	103642	Rich woman
717567	126340	Herself
717567	184769	Lapdancer
717568	121823	Caroler
717569	40537	Christie
717569	179703	Maggie
717569	330467	Kate
717569	337155	Nancy
717570	19	Jeanette
717570	99460	
717570	143870	Juanita
717570	220045	Rose Marie
717570	220906	Mlle. D'Orsay
717570	234243	Betty Smythe
717570	243337	Mrs. Spaulding
717570	335241	Ann Phillips
717571	406330	Jacqui
717572	214054	Landlady
717572	246260	Old German Woman
717573	91135	Woman #2 at Dorian's Loft
717573	160887	Christine Lee
717573	184879	Cardignac's Assistant
717573	188929	Clubgoer #8
717573	378665	Catherine Chen
717573	407046	Maggie Chin
717574	403600	Constable Rita Tait
717575	220098	Annie
717576	126152	Geraldine
717576	269678	Geraldine
717577	5645	
717578	399130	Desi Grant (1999)
717580	299838	Party guest
717581	40142	Janet
717582	313397	Security Officer
717583	32601	Cabaret Singer
717583	148460	Lisa
717583	249341	Lila
717584	124017	Rapper Girl
717584	161864	Geisha #2
717584	220276	Twin
717584	380911	Herself - Top 30 (2004)
717585	406592	Kirsty Munro
717586	155227	Skater
717587	387136	Herself
717587	390335	Herself - Presenter
717588	124017	Rapper Girl
717588	161864	Geisha #1
717588	220276	Twin
717589	41820	Monica Dahl
717589	97079	
717589	199970	Flirting nurse
717589	279203	Jessica Standish
717589	382154	Girl
717590	104752	German entry (8th place)
717590	369150	Woman of cards
717591	26009	Narrator
717591	31448	Matchett, Dora
717591	40543	April Hunter
717591	41875	Nurse
717591	56857	CeeCee
717591	63103	Gwen
717591	141226	Nurse #1
717591	190342	Nancy
717591	206595	Connie Maynard
717591	255894	Irish anchorwoman
717591	256820	Mis Harper
717591	277150	Marta Stern
717591	291085	Joan McNulty
717591	298120	Kathleen White
717591	335721	First teacher
717591	382154	Vicky Isler
717591	401540	Anne Harper
717591	408968	Jenny
717592	168809	
717592	171205	
717592	192181	Andy
717592	382516	Angie Powers
717592	384693	Additional characters
717593	92567	Wendy
717593	93569	Herself
717593	98896	Police Woman
717593	126579	Herself
717593	128702	2nd Girl in Lingerie
717593	158044	Sarah
717593	285031	Sister Jane
717593	361917	
717594	38378	
717595	113363	Coroner
717595	192380	Woman Officer
717595	209527	Myrna
717595	245994	Cafe Waitress
717595	277803	Waitress
717595	321661	Louise Dennis
717595	404282	Annie DeGeralamo (1990)
717596	202367	Teenager
717596	310158	
717596	385613	Little Georgina
717597	81438	Alice
717597	86226	
717597	99918	Coco
717597	316904	Dainty
717597	397398	
717598	298425	
717598	347540	
717599	149136	Margaret Newton
717600	52649	Pat
717600	215748	Paula
717600	367919	Girl in Shadowgraph/Glamour G
717601	303830	
717602	226901	Newscaster
717603	293155	Natalie Corbett
717604	13267	Reporter #1
717605	62989	Belinda Cratchit
717605	395647	Jeanne Marie (age 10)
717606	134241	Herself
717606	156787	Gossip columnist
717606	185237	Herself
717607	257760	Dancer (Spikes' Fantasy)
717608	68786	Policewoman
717609	78121	White
717609	91932	Female Cop
717609	224224	Olivia
717609	325058	Mrs. Sellers
717610	41699	Sick Girl
717610	146787	Fiona Hatton-Jones
717610	265423	
717610	288083	Sarah
717610	320450	Suzi
717611	89308	Anna's girlfriend
717612	128894	Braces
717613	108331	Maya Fein
717614	95220	Marina Pretensa
717614	148285	Gia
717614	156851	Edgemont Girl #4
717614	161790	Sandy
717614	201660	Herself
717614	220960	Girl 4
717614	315238	Londyn
717614	316209	Lara Lewis
717614	368941	Kelly Garner
717615	106871	
717616	68390	Fillette-douches
717617	127402	
717618	127402	
717619	309804	Gene's Girlfriend
717620	232294	Reporter
717621	67988	Herself
717621	142881	Judy (team rainbow)
717621	403188	Deputy Clementine Johnson/Var
717621	411423	Team player
717622	168087	Dorothy
717623	126700	
717623	195745	Mrs. Allen
717623	219190	Barbara
717623	264488	Mrs.Gelding
717623	279171	
717623	310194	Joyce Wolcott
717623	379744	Aunt Miriam
717623	399442	Pamela
717623	402197	Catherine Roberts (1979)
717623	402866	Pamela
717623	408109	Society hostess
717624	382596	Katie
717625	230699	Receptionist
717626	96787	Anna Sophia
717626	381730	Co-Host
717626	393599	Hostess
717626	398340	Correspondent (1996-1998)
717626	408694	Host (2000-2001)
717627	207988	Himself
717628	223647	Father's Girlfriend
717629	160394	
717630	144667	Waitress
717631	42049	Maggie Sargent
717631	73261	Secretary
717631	107020	Alice Sharp
717631	117679	Martha
717631	139790	Louise
717631	155017	Myra Hassman
717631	191344	Vogue Lady
717631	224412	Jane Richards
717631	239676	Marie Marlowe
717631	245292	Alice Austin
717631	276905	Kathleen Fallam
717631	277902	Mrs. Kilua
717631	294753	Maj. Hay
717631	306587	Ruth Levering
717631	321713	Claire
717631	324266	Mrs. Bateman
717631	329593	Ronnie
717631	330384	Daughter in Montage
717631	332809	
717631	350432	Grace
717631	385824	Claire Larkin (1968-1969)
717632	215563	Servant
717633	23453	Doctor Lee Hunt
717634	82333	SWAT Coach
717635	33426	Betsy
717635	177330	Reporter
717635	212371	Mrs. Hurley
717635	279319	Karan Foster
717635	380390	Lori Davidson Martin #2 (1982
717635	380713	Connie Wilson (1981-1982)
717635	390774	
717635	404613	Marlena (1979-1980)
717636	34661	Woman On Pumpkin
717636	74014	Gretchen
717636	80592	Art Gallery Lady
717636	164482	Nerissa
717636	252978	Flight Attendant
717636	316102	Captain XAXX
717637	362963	Herself
717638	368994	Girl at service station
717639	99137	Dancer
717640	88061	Angeline
717641	261558	Customer
717641	360834	Elevator Operator
717642	18993	Receptionist #1
717642	26514	Radiology Clerk
717642	176480	Dr. Nicholson
717642	211385	Mrs. Kittrie
717642	293155	Middle-aged woman
717642	317551	Make-Up Woman
717642	337121	Mrs. Kelly
717643	135385	Rita Battle
717644	12242	Eleanor Royce
717644	45548	White Lady
717644	68143	Grandma Wolff
717644	86467	Fran
717644	119585	Mrs. Bell
717644	127562	Mrs. Francis
717644	138220	Martha
717644	195576	Station Cashier
717644	222809	Edwina Talbot
717644	232405	Mother Fordyce
717644	253819	Schoolteacher
717644	277637	Bookstore Clerk
717644	301753	Mrs. Gordon
717644	302235	Court Stenographer
717644	315076	Postmistress
717644	315238	Janis
717645	10678	Henrietta Lamb
717645	323424	Betty
717645	365949	Clara Gentle
717646	405887	Herself
717646	406371	Herself
717647	330140	Woman from another Dimension
717648	32626	Norpecker Girl
717648	41888	Woman in Theatre
717648	151616	Gala Guest
717648	259214	Martín's Lady
717649	63657	
717650	196117	Hooker #1
717651	46133	Mrs. Duncan
717652	365403	Jennifer
717653	184469	Punk Girl
717654	78904	Mara Jade
717654	380911	Herself - 'Inside Idol' Repor
717654	392133	Herself - Host
717654	395783	Herself - Host
717655	283689	Wood Nymph
717656	246671	Acknowledged
717657	33633	Belle
717657	72237	Additional Voices
717657	405429	Belle
717658	14163	Katina 'Tina' Dangos
717658	30793	Nurse Elsie McAlister
717658	32352	Young GIrl
717658	47029	Pamela
717658	47364	Autograph Seeker
717658	122674	Kathleen Fitzpatrick
717658	136274	Hostess
717658	136284	Annette Perry
717658	143260	Usherette
717658	175184	Janet Rickards
717658	178332	Mrs. Sheridan
717658	193583	Mary Tillet
717658	203002	Nurse
717658	207861	Sylvia
717658	209660	Girl
717658	267574	Katti Forster
717658	293084	Clerk
717658	316104	Lydia
717658	321495	Chief Operator, Supervisor
717658	329616	Secretary
717659	380346	Woman at Station
717660	160394	
717661	292489	Beach Girl
717662	114642	Jackie
717664	65681	Dr. Carol Young
717664	314817	Art Teacher
717664	391869	Barbara Fisher (#2) (1996)
717664	399130	Felicity Brent (1990-1991)
717664	402197	Jeannie Stanton (1982-1983)
717664	408109	Marge Mackay
717665	64869	Yvonne Plotsky
717665	185239	Dorothy Hannan
717665	308122	Graves' secretary
717665	321526	Second Interviewer
717665	350643	Christine
717666	117788	May Belle (research assistant
717666	185703	Boarding House Woman
717666	194497	Rosie Cotton
717666	194500	Rosie Cotton
717666	303955	Cath
717666	353082	Bridgit
717666	389980	
717667	88077	Reeta
717667	154450	Ben's Dream Date
717667	190593	Daphne
717667	229240	Edna
717667	274751	East Village Girl
717667	366753	Cat
717668	14200	
717668	35401	Heather
717668	52906	Nicole
717668	59504	Caroline Pride
717668	66932	Jeannie McKenzie
717668	72782	Young Jean
717668	159129	Caroline Sutherland
717668	183797	Rosalie
717668	185344	Joanna
717668	296668	Diana/Paula
717668	304744	Third Maid
717668	401077	Kate Preston, née Webster (19
717668	411251	Carol Dayton
717668	411280	Claudine de Valois
717669	342692	Hostess
717670	223882	Streetcrazy
717671	399130	Alison Ryder (1989)
717672	194500	Baby Gamgee
717673	7834	Rose
717673	11525	Carolyn Abbott
717673	16041	Dora
717673	31059	Ruby (waitress in diner)
717673	44437	Emma Lasko
717673	52140	Katie Brown
717673	64091	Miss Watkins
717673	72332	Ellen Price
717673	81269	Alice Whitmore
717673	83654	Azuri
717673	101722	Mrs. Pasko
717673	108694	Shirley
717673	118760	L'Américaine
717673	151792	Faye Carsell
717673	166857	Crazy Woman
717673	192764	Audrey Williams
717673	200493	Mrs. Donavan
717673	218525	Mary Eagle
717673	239892	Mrs. Hampton
717673	254528	Yvonne
717673	272471	Aunt Polly
717673	275206	Alison
717673	276635	Florence
717673	299066	Polly Baker
717673	308005	Jean
717673	316206	Shirley Hunter
717673	330218	Shirl
717673	334171	Mrs. Braggs
717673	338895	Miss Martin
717673	342944	Aunt Emily
717673	360270	Rhea Edwards
717673	363485	Amy Spettigue
717673	368245	Singer
717673	381802	Edna Davis
717673	385821	Florence Bickford
717673	408096	Mrs. Smith
717673	408522	Miss Janet Reubner
717674	66171	
717675	256401	Lisa
717676	296080	
717677	186650	Older Ellen Sue
717678	364300	Herself
717679	154629	Bartender
717680	75565	Brenda Simmons
717680	106492	
717680	339388	Witness
717681	301676	Inmate
717682	5590	Anna
717682	126714	Tawny Runyon
717682	267101	Herself
717682	270435	Herself
717682	272868	Rhyia Shadowfeather
717683	402197	Lil Stokes (1980-1983)
717683	408109	Dinner party guest
717684	243268	Mrs. Harmless
717685	112018	Villager
717686	152556	Debra
717687	295194	Pat's Bratty Kid
717688	86467	Little Girl
717689	86757	Amica di Marco (Marco's frien
717690	400516	Moira
717691	50203	Dinner Guest
717691	54628	Reporter
717691	77219	ACC Belinda Kennedy
717691	118648	Margaret Sedgley
717691	128923	Martin's Secretary
717691	140900	Sarah
717691	158582	Doctor
717691	190000	Madame Mantalini
717691	196559	DS Vicky Griggs
717691	202321	Mary Haig
717691	230024	Jackie
717691	233786	Grace
717691	307908	Grace
717691	310992	Hospital Parent
717691	341670	Mandy
717691	375246	Sue
717691	382537	Bron Flitch
717691	383630	Rachel Castle
717691	388321	Judy Simmons (2004)
717691	390432	Pippa
717691	390777	Maddy Doyle
717691	394526	Judy Kinsey
717692	20135	Kate (segment "La virgine deg
717693	11450	Nurse Green
717693	18577	Lila
717693	56145	Sylvie
717693	79281	Female Executive
717693	86467	Susan
717693	113826	Sarah
717693	120121	Lizabeth
717693	120122	Elizabeth
717693	122245	Mrs. Fielding
717693	157444	Marilyn
717693	222704	
717693	308110	
717693	308146	Dr. Bernardi
717693	323427	
717693	370668	Louise Flynn
717693	380455	Catherine O'Brien
717694	162292	Wedding Guest
717695	397175	
717696	321936	Nurse #1
717697	117231	Lacey
717698	299689	Runners kid
717699	370734	Lakisha
717700	301137	
717701	195766	
717702	16803	Aunt Aggie
717702	39411	
717702	77199	Dr. Kirsty Urquhart
717702	98945	Lydia Lipp
717702	105100	Gerty
717702	108919	Prostitute
717702	127751	
717702	135557	Joan
717702	143341	Constable Williams
717702	162247	Maureen
717702	163282	
717702	168337	
717702	219769	Maeve
717702	223954	Ms. Doyle
717702	234901	Miss Kennedy
717702	269901	Mademoiselle Clairwill
717702	276919	Laura Dunmore
717702	340583	Hospital Nurse
717702	340951	Denise
717702	362722	Nuala
717702	380610	Susan Fox-Strangways
717702	382725	
717702	385709	Agnes
717702	388500	Mrs. Doyle
717702	409143	Various roles
717703	165759	Herself
717704	12168	Meredith
717704	71665	Kandi
717705	55417	Girl
717705	146145	
717705	300330	Mary
717707	117061	Pediatric Nurse
717708	68454	Hyundai Woman
717709	263440	Drunk Girl
717710	375694	Girl in Car
717711	26700	
717712	147961	Mary
717713	49957	
717713	88666	
717713	119507	
717713	123240	Bit Role
717713	126067	Chorine
717713	146145	
717713	147329	Nichols' daughter
717713	219189	Miss Geeskin
717714	139757	Nancy McDougal
717715	66174	Mrs. White
717715	66186	Mrs. White
717715	311888	
717716	261962	Emma Barnum
717717	297548	Jasmine
717717	327665	Jasmine
717718	139231	
717718	145671	Maid
717718	199272	Water
717718	224002	
717718	283169	Maid
717718	332416	
717719	244933	Local Woman
717720	131885	Mrs. Cohen (Chunk's Mother)
717721	129815	Julie Cameron
717722	286423	Sharon
717723	37252	Janine
717723	94985	Baker's Assistant
717723	109395	Bridal Show Coordinator #2
717724	387988	Herself (regular performer)
717724	389536	Wealthy Wife
717724	400531	Herself (1967)
717724	410907	Regular (1969)
717725	338577	Child
717726	295352	
717726	368876	Katherine Wright
717727	48482	
717728	106772	
717729	279201	Riverdance Solo Singer
717731	35770	Herself
717731	177492	Herself
717731	212828	Herself
717731	318840	Herself
717731	320140	Herself
717731	368816	Herself
717731	368827	Herself
717731	369211	Herself
717731	369218	Herself
717731	369237	Herself
717731	369242	Herself
717731	402907	Herself
717731	406933	Herself
717731	411545	Herself
717732	8086	
717733	297548	Stacy
717734	180422	Rachel Levy
717735	159175	Dancer
717736	76195	Suzette
717737	223788	Girl on Sofa
717737	297239	Featured Singer
717738	141985	Amanda
717739	287703	Mother
717739	331984	Mother
717740	258098	Wendy
717741	291452	T & A Cheerleader
717742	80723	Paula Davis
717742	220587	Judy
717743	224853	Bosco's Moll
717744	16333	Herself
717744	20372	Herself
717744	32735	Herself
717744	35770	Herself
717744	161728	Herself
717744	168487	Herself
717744	177492	Herself
717744	191559	Herself
717744	212828	Herself
717744	234073	Herself
717744	282682	Herself
717744	282683	Herself
717744	282685	Herself
717744	318837	Herself
717744	318839	Herself
717744	318840	Herself
717744	320138	Herself
717744	320140	Herself
717744	340399	Herself
717744	344531	Herself
717744	368816	Herself
717744	368826	Herself
717744	368827	Herself
717744	369209	Herself
717744	369211	Herself
717744	369217	Herself
717744	369218	Herself
717744	369220	Herself
717744	369230	Herself
717744	369233	Herself
717744	369234	Herself
717744	369236	Herself
717744	369237	Herself
717744	369239	Herself
717744	369242	Herself
717744	369243	Herself
717744	369272	Herself
717744	369273	Herself
717744	369275	Herself
717744	369276	Herself
717744	369281	Herself
717744	369283	Herself
717744	369284	Herself
717744	369285	Herself
717744	369290	Herself
717744	369292	Herself
717744	369309	Herself
717744	402907	Herself
717744	406933	Herself
717744	411537	Herself (2002-)
717744	411545	Herself (1999-2001; 2002-)
717745	206928	Kara
717746	162294	Bo-Bo
717747	80821	Stacey Flowers
717747	142935	Miss Nude Belgium 2017
717748	220276	Montmartre Dancer
717749	365259	
717750	334591	Studio Teacher 2
717751	83876	Woman in Store
717752	83876	Scarf Woman
717753	200327	Irish Dancer
717754	53308	Herself
717754	276803	Carol
717756	365138	Pensioner
717757	209606	
717757	244925	Rebecca Gibbs
717757	408128	Angela
717758	266678	Receptionist
717759	293744	Pedicurist
717760	401836	Herself (Series 2) (2003)
717760	401837	Herself (Series 2) (2003)
717761	48218	Dreamgirl
717761	150626	
717761	180222	Jacob's first date
717762	400236	Mary Vernon Karr (1982-1983)
717763	4619	Child star
717763	16007	Little Girl Beggar
717763	35603	Small Girl
717763	45685	Mary Walker
717763	64784	Alice Cusack
717763	143191	Child listening to story
717763	163414	Sam Szabo
717763	188542	Little Girl with Kitten
717763	192065	Elsie McBride
717763	233778	Gloria Felton
717763	247045	Girl
717763	262758	Ellen Green
717763	318793	Beggar Child
717763	330893	Deborah Cambaretti
717763	333062	Orphan
717764	326778	Sally
717765	1048	Chief operator
717766	53822	Child
717766	304841	Dana
717767	153187	Annie's mother
717768	30646	Talk Show Audience
717769	252506	Maras
717770	169136	Child Chorus
717771	304683	
717772	366298	Additional Voices
717773	262923	
717773	339934	Estella, cow-boy's pedantic w
717774	28066	Brianna McDaniel
717774	283546	Nanny
717775	390163	Fidelma Kelly
717776	141782	Cassandra
717777	10080	Jo Ann
717777	206458	Kim
717778	274427	Flower Girl at Wedding
717779	274427	Wedding Party in Philadelphia
717780	35770	Herself (Debra)
717780	67829	Debra
717780	87980	Herself
717780	121593	Debra
717780	137671	Herself
717780	139095	Herself
717780	177493	Herself
717780	282681	Debra
717780	318836	Debra
717780	320137	Herself
717780	320138	Debra
717780	320140	Debra
717780	360321	Herself
717780	368834	Debra
717780	369239	Debra
717780	369241	Debra
717780	369242	Debra
717780	369276	Herself
717780	369287	Debra
717780	369294	Debra
717780	369307	Debra
717780	402907	Debra (1998-2002)
717780	406933	Debra (1998-2002)
717780	410688	Debra (1996-1997)
717780	411545	Debra (1999-2002)
717781	88429	Young Mother
717782	279402	Host
717783	342603	
717784	204354	Prison Scene Cast
717785	63098	
717785	81767	Desk Clerk
717785	140938	Wrong Number
717785	148378	T.J.
717785	281913	Crazy Janie
717785	400219	Kate Hatton
717786	50816	Jabber's Mother
717787	26079	Matriarch
717787	80693	Coroner
717787	223758	Miss Benson
717787	243934	Mrs. Judd
717787	402197	Cass Parker (1983-1984)
717787	411809	Sister Erin Cosgrove (1982)
717788	168683	
717789	55474	Gaien #1
717789	66589	Nurse Henderson
717789	149971	Laura
717789	178897	Agent
717789	196995	Carol
717789	234054	Nurse
717789	298853	Miss Talbot
717789	374649	Becky
717789	411802	Drucilla Barber #2 (1996)
717790	379348	
717790	407819	
717791	219794	
717791	244879	Harriet Conklin
717791	305571	Lady Judge
717791	383780	Mrs. Brumbaugh
717791	400527	Harriet Conklin (1952-1955)
717792	91489	Jane
717793	185765	Susan
717794	170858	Texas
717794	184830	Lucille
717794	222684	Dorothy Ramsey
717795	307513	Girl on beach
717796	42785	Mace Film Woman
717797	183868	
717798	140783	'I Love You' Leech
717799	183868	
717800	96958	Buyer
717800	130666	Amazon Warrior
717800	216803	Leslie Anthony
717800	384366	Nurse McPherson (1996)
717801	9889	Mrs. Landley
717801	154309	Mrs. Cox
717801	340752	Campaign Reporter
717801	411354	Martha Bartlett
717802	239756	Wendy Shaffer
717803	411047	Herself (reporter, author)
717804	212620	Miss Jones
717804	272724	Host/Interviewer
717804	274628	Winning Contestant
717804	282511	Samantha
717805	290353	Tiger Lily
717806	117241	Kate
717807	350506	Dancer: Slave Dance
717808	165964	Girl Sailor
717809	129784	Kia
717810	77148	City Clinic Woman
717811	196902	Woman in Ski Chalet
717812	127198	The Maid
717812	154760	Herself
717813	48762	Pamela Hastings
717814	253458	Laura
717815	366598	Crying Woman
717816	140953	Talk-show host
717816	158322	DC news anchor
717816	222573	Network Reporter #1
717817	203319	DPS Employee/Alumni
717818	135967	Girl at park
717818	368659	Playground child
717820	270933	Girl
717820	316953	Prison nurse
717821	366908	Vivienne Grant
717822	406330	Zoe Trubshawe
717823	132247	Los Alamitos Dance Team
717824	45594	Hilda
717824	385299	Glenda Brownlow/Banks
717825	43941	Marian O Donnell
717826	334130	Woman in Pub/Auditioner
717827	305990	Baby Curley 2
717828	77795	Neighbour
717829	234019	Eden Ridge Employee
717830	115098	Buckner's Mother
717830	129435	
717830	329579	Woman in E.R
717832	164460	Cassie
717833	312904	Cory
717834	35822	Radio Station Secretary
717836	238096	Voice of Karen's Mother
717837	217678	
717837	405209	Liz White (2001)
717838	143388	Young Linda
717839	13971	School Administrator
717839	138161	Peyton's Nurse
717840	280485	
717841	165289	Geraldine James
717842	130677	Extra in Chilkoot Pass Climb
717843	186470	Pat
717843	387518	Nurse Parkin
717844	366089	Mercedes
717845	303263	Young Lucy
717847	35353	Diane
717847	81055	Dr. Susan Lindsay-Rhodes
717847	143108	
717847	148339	Bereaved Mother
717847	176965	Janet McConnell
717847	218799	Mother
717847	234071	Programmer
717847	236924	LiAnne
717847	245468	Fencer #2
717847	259284	Joan Manning
717847	320026	Hedy's Lawyer
717847	330678	Olivia O'Neill
717847	361167	Barbara Webb
717847	405386	Lt. Abigail Marsh (1987-1988)
717848	68470	Sia
717848	77675	Young Woman/Narrator
717848	78121	Inmate
717848	86976	Sal
717848	321634	Isabelle
717848	342669	Sabrina
717848	382807	
717849	22	Ginny
717849	13547	
717849	41155	Mrs. Hench
717849	62357	Sallie Chisum
717849	89299	Pound attendant
717849	117128	
717849	137674	Pamela Strode
717849	154301	Rosanna
717849	241562	Cora May
717849	276366	
717849	314673	Rosie McCratchit
717850	254923	Amy Farley
717851	82332	Older Woman
717851	330910	Neighbor
717852	126513	Jivin' Jill
717852	129095	A Jivin' Jill
717852	163221	Debutante
717852	362491	Girl
717853	126513	Jivin' Jill
717853	129095	A Jivin' Jill
717853	163221	Debutante
717854	6248	Amanda Buckman
717854	6249	Girl Scout
717854	32632	Echo Olvera
717854	103265	Claudia Spencer
717854	108761	Young Susan 'Sue' Storm
717854	288944	Hanna Morgan
717854	364083	Pamela
717855	46871	Waitress
717856	2890	Susan Maris ('61)
717856	382419	Phoebe Forrester (#5) (2002-2
717857	2890	Susan Maris ('61)
717857	382419	Steffy Forrester (#5) (2002-2
717858	215649	
717859	66049	Woman At Anatole's
717860	183639	Priscilla Simms
717861	2538	Herself - Presenter: Best Sco
717861	59099	Sister Irene Hawkins
717861	109617	English Teacher
717861	155829	Lily
717861	193784	Donna Travers
717861	229869	Grace
717861	243423	Valerie Tibbs
717861	282536	Herself
717861	310863	Graduation Singer
717861	314761	Ahn Dessie
717861	330132	Valerie Tibbs
717861	347316	Herself
717861	381270	Host
717861	389858	Aunt Bettina (1984)
717862	2445	Herself (at family gathering)
717863	270638	Sara
717864	79526	
717864	328823	
717864	365802	Margaret Mackenzie?
717865	24559	Roxanne
717865	59350	Marion Davies
717865	176291	Mom
717865	199639	Karen Kelly
717865	201845	Denise
717865	217535	Pat Denning
717865	319283	Mrs. Rettig
717865	380924	Roxanne Caldwell
717865	385142	Cindy (1984)
717866	85117	Party Girl 2
717867	56871	Girl #1
717867	67863	Producer
717867	185648	Receptionist
717867	195800	Caitlin
717868	2445	Herself (Mother of Denise McN
717871	85117	Upstate Assistant
717872	138178	Soprano
717872	175534	Herself
717872	211835	Soprano
717872	273153	Elisa
717872	353138	Corinna
717873	397991	Herself (Seasons 4-5)
717875	330818	Herself
717876	40140	First Detective
717876	101638	Helen
717876	126492	Ellen
717876	140347	June
717876	183696	
717876	196328	Phyllis Himes
717876	329342	Witch #2
717876	333361	Betty
717877	96741	Beauty Shop Owner
717877	272647	Party Guest (Girl)
717877	372134	Cab Driver
717877	400545	Diz
717878	352595	Herself
717879	319192	
717880	372134	Girl on Pier
717881	330818	Herself
717882	294798	Policewoman
717882	359753	Midwife
717883	115886	Westsider
717884	328309	Clea
717885	212615	
717886	367595	Flora at Age 4
717887	310428	
717888	149294	
717889	253335	Marsha
717891	341455	Maid
717892	388977	Hostess
717893	1020	Clarissa
717894	217816	Noreen Hedges
717894	288738	Linda
717895	40240	Counselor
717896	404002	Ryan Fenelli Hyde #1 (1979-19
717897	137449	Baby Adrian
717898	137449	Baby Adrian
717899	379697	Host
717900	46242	Ballet Teacher
717900	47474	Mira
717901	54910	Florrie Fermoyle
717901	218703	Patty O'Neill (US version)/To
717901	264064	Mary Devlin Booth
717901	331323	Maria Williams
717902	315100	Child on Beach
717903	278498	Girl on Ferry
717904	57654	Father Gladen's Fan on Porch
717905	127119	Anna Steele
717905	333205	Tom's Wife
717906	301666	Blair
717907	396096	Contestant (2000)
717908	32305	Flight Attendant #2
717908	124126	Wife
717908	129113	Nana
717908	263010	Lenore
717908	385719	Ghost of Josette (1966-1967)
717909	61844	
717910	20625	Extra
717911	224195	
717912	155013	Girl/Jack's movie
717913	66240	Host
717913	384540	Fill-in Host (2001-02)
717914	359284	Maeve
717915	155920	Part of couple
717916	230126	Cathy
717918	230	Ruth Crockett
717918	121235	Hitchhiker
717919	337504	
717920	318763	Woman Victim on College Campu
717920	346298	Wendy Sampson
717921	59303	Journalist
717921	64400	Dancer
717922	382727	Angela Bowers
717923	253901	Herself (Scholar)
717924	90307	Bridesmaid
717924	138744	Chorus Woman
717925	31665	
717926	10017	
717926	31665	
717926	90307	Bridesmaid
717926	220165	
717927	102010	Party-Goer
717927	330322	Samantha Reeves
717927	368897	Diane
717928	335934	Interviewer
717928	381451	Newsreader
717928	383644	
717928	400327	Presenter
717929	40653	Girl in Pub
717929	74048	Gemma Clay
717930	116698	The Countess
717931	113975	
717932	348379	Lady in pub
717933	209210	Unlucky Couple
717934	209112	Extra
717935	168286	Other Basketball Player
717936	169677	Dede
717937	237130	Featured
717938	120478	Red-headed Hostage
717938	143824	Teenage Girl at Hospital
717938	361224	Girlfriend at Audition #1
717939	364647	Mrs. McDougall
717940	10887	Terrified Hostage
717940	188572	Bag Lady
717940	311512	Angel's Opponent's Mother
717940	366765	Nurse
717941	115252	Sarah Willets
717941	220175	Vivian
717941	235472	Alien Woman
717941	274751	Eileen Bateman
717941	297101	Nancy
717941	345660	Pearl
717941	348605	Annie
717942	60240	Female Fan
717943	151126	Tough Type
717943	327641	Naresh
717944	132656	
717946	104755	Dutch entry (5th place)
717946	228243	Herself
717946	228246	Herself
717946	228247	Jurylid
717947	140193	Psych Patient #4
717947	354164	Ted's Study Partner
717948	124280	
717949	124280	
717950	310144	Susan Rey
717951	224401	Father's girl friend
717952	142168	Sam Edstrom
717953	890	Lurlene Breedlove
717954	260232	Herself
717955	136510	Miss Electra
717956	294840	Girl in uniform
717957	134146	Rider #4
717958	40065	Chambermaid
717958	45626	Head Nurse
717958	227030	Mrs. Olson
717958	241498	Couple
717958	267551	Chief of Nursing
717958	301820	Grandma
717958	348320	Louellen Bennett
717959	244933	Doreen Nutbush
717960	28493	Townspeople
717961	198003	Mary
717962	238506	Mrs. Harding
717963	101431	Girl in classroom
717964	219889	Lisa Kirshman
717965	14239	Sojourner Truth
717965	39518	Mu' Dear
717965	74240	Ethel Hanson
717965	88566	Josepha
717965	158793	Odessa Carter
717965	185072	Mrs. Quincy
717965	194592	Narrator
717965	213516	Rose Daw
717965	218710	Sara
717965	271334	Lena Younger
717965	280634	Big Ma
717965	302253	Mamie
717965	329974	Madam
717965	334114	
717965	403730	Sister Will Ada
717966	266930	Lucia
717966	319385	Riding Instructress
717967	13395	Patty O'Neil (segment "Blue M
717967	14212	Dr. Clarkson
717967	31675	Cindy
717967	57389	Betty
717967	103254	Sarah Ramsey
717967	129439	Karen Diana
717967	137449	Lynda Smirz
717967	151109	Katherine 'Katey' Rose
717967	154869	Stacy
717967	218159	Melanie Parker
717967	241461	Maj. Leslie Nesbitt
717967	296736	Det. Frances Hayes
717967	304821	Liz
717967	310112	Female Astronaut
717967	318164	Kathi
717967	347849	Gillian Scott
717967	355669	Kristi
717967	358865	Janet Gilchrist Walton
717967	358866	Janet Gilchrist
717967	358867	Janet Gilchrist
717967	380713	Karen Haines (1983-1985)
717967	382380	Det. Nora Houghton (1992-1993
717967	394123	Florentyna Rosnovski
717967	399684	Augusta Barclay
717967	411262	Taylor Young (1990-1991)
717968	211393	Little Margaret
717968	379335	Lou Hammond
717969	236107	Jane Stanhope
717969	400247	Herself/panelist
717970	97643	Parishioner
717971	348011	Herself (china maker)
717972	27928	Woman Looking in Car Window
717973	88087	Sister Louise Ryan
717973	112919	Kathryn White
717973	148460	Eva
717973	195345	Irv's Customer 1
717973	205969	Rose
717973	230841	Elderly Woman & Boxing Mom #1
717973	289603	Widow Wormser
717973	321134	Estelle
717973	405073	Coat Stealing Woman
717974	260104	
717975	245219	Beach Partier
717975	273506	Escort
717975	303830	Cigar Smokin' Party Guest
717975	317309	Nightclub Dancer
717976	222846	Vanessa
717977	134568	Featured Extra
717978	109048	Colette Montenaire
717979	387533	Mrs. Pritchard, headmaster (1
717980	172666	Singer #2
717981	77643	Gilded Girl
717981	295317	Tall girl
717982	321306	
717983	292233	Bus Extra
717984	37503	
717984	335933	
717985	314141	Mrs. Sullivan
717986	209210	Zombie
717987	147961	Glenbryn Protester
717988	406330	Trudi Truelove
717989	66837	Girl Morgan Hugs
717990	393297	Herself (2001- )
717990	395571	Herself
717991	154513	Liza
717991	243791	Officer Jane Pearson
717992	93804	Vivian
717993	162292	Wedding Guest
717994	410688	Nitro Girl Baby (2000)
717995	190722	The Import Monster
717996	330845	Alex
717997	385346	Host
717997	395321	Herself/Host (1949-1954)
717997	404382	Team Captain
717998	128772	Promo Girl XTRA 91X FM San Di
717999	265928	Gretchen
718000	163229	Plaza Desk Clerk
718000	190273	Allison Jones
718000	252259	Sandy Popernack
718000	290378	Freddy's Mother
718000	292696	Mrs. Norell
718000	380713	Marcy Breen #1 (1992)
718000	390771	Guest on Reva's Show (2003)
718000	395590	Leslie Kohler
718000	400236	Sam Vance (1994-1995)
718000	411354	Ethel Kennedy
718001	366300	Party Girl
718002	2796	Herself - Co-presenter: Short
718002	26394	Mary
718002	31185	Herself (ABC Team)
718002	31186	Herself (ABC Team contestant)
718002	31191	Herself (ABC Team)
718002	40763	Janet Bowers
718002	55572	Herself
718002	55577	Herself
718002	61761	Mary
718002	64564	Performer
718002	93136	Kathy Gardner
718002	100893	Julie Lawson
718002	110199	Jenna
718002	117773	Barbara Stupple
718002	154396	
718002	171284	Susan Berlanger
718002	190705	Jennifer Gruen
718002	191755	Angel
718002	195482	Linda Morley
718002	196320	Mary Groda-Lewis
718002	208962	Nina
718002	219979	Mary
718002	224213	Jo Butler
718002	232248	Amanda Child
718002	242105	Polly
718002	256105	Carlie Higgins
718002	256578	Mabel
718002	318761	Patty Bergen
718002	343017	Patti Jean
718002	363808	Julie Sawyer
718002	367878	T.J. Nolan
718002	372134	Rhonda
718002	380507	Patricia Apple (1974-1975)
718002	387546	Officer Barbara Weston (1988-
718002	388362	Letitia 'Buddy' Lawrence
718002	392967	Angie Romar (1998)
718003	392662	WFAN Traffic Reporter
718004	232248	Boogie Woogie
718005	8235	Marisa
718006	162535	Narrator
718007	281999	Diana
718007	405209	Lady Margot Warner
718007	409500	Aunt Noeline
718009	43372	Kid on Ferris Wheel
718010	70916	Astrid Hasselstein
718010	135623	Leslie
718010	209114	Jailbait's Mom
718010	224186	Reunion Blonde
718011	314113	Customer
718012	78034	Sue Barrett
718012	136558	Secretary
718012	146780	Featured Extra
718012	239713	Ghost
718013	60188	Mrs. Hugh Nash
718014	365121	Morgana
718015	187465	Sarah
718017	193793	Margaret Allen
718018	12294	
718018	323377	Party Guest
718018	395924	Diana Bulstrode
718018	402776	Mrs. Quinton
718019	49590	Mum
718019	121835	Herself
718019	203782	Margaret
718019	229135	Herself
718019	326600	Karen
718019	391612	Mum
718019	393019	Various roles
718019	398703	Mrs. Raven
718019	399192	Sylvia
718019	401163	
718020	396019	Additional Voices
718021	342332	TV Interviewer
718022	267684	Citizens of New Orleans
718022	286609	Maggie
718022	328556	Nurse
718022	399739	Lauren Harrison
718023	35655	Student
718024	102549	Nita Frost
718025	324266	Joan
718025	409250	Martha Keane
718026	150924	Computer Technician
718027	193793	Julie Benoit
718028	387533	W P C Murphy (1998)
718029	27341	
718029	44985	
718030	341455	Dinner Guest
718032	397371	Additional Voices
718033	332163	LUH 3417
718034	37691	Tasha
718035	133540	Herself
718037	252524	Thelma Melvins
718038	132823	Herself
718039	41764	Crystal
718039	88787	Ann Boles
718040	116953	TV Spokeswoman
718040	195012	Jennifer's mother
718041	192279	Tabitha
718041	270587	Sherry Goodman
718041	301530	
718042	12267	Rosalie
718042	18586	Mrs. Hickson
718042	29732	
718042	36783	
718042	37254	
718042	38954	
718042	44336	Carter's Girl
718042	44709	
718042	50954	Gloria Dawn, a Show Girl
718042	71151	Jean Phillips
718042	77615	
718042	85828	Bit Woman
718042	90300	
718042	105572	
718042	106294	
718042	107405	Mrs. Roberts
718042	117220	
718042	121532	
718042	128654	Sue Street
718042	143330	
718042	147775	
718042	149781	
718042	151729	
718042	163557	Undetermined Role
718042	175213	
718042	192511	
718042	197590	
718042	206391	
718042	208900	
718042	209637	
718042	211610	
718042	213116	Charlie's Sweetheart
718042	232341	Trixie
718042	238875	
718042	239643	
718042	251369	
718042	274610	
718042	277655	The Bride
718042	291069	
718042	300184	
718042	306789	
718042	313843	
718042	319465	
718042	331609	Antonia
718042	332456	
718042	348225	
718042	361762	
718042	367857	Bit Part
718042	367931	
718043	1856	Herself
718043	406939	Herself - Presenter
718044	87509	Roscommon Cowbow
718045	42773	Elaine Sloane
718045	44415	Loan Officer
718045	64386	Monika
718045	80802	Helen McKay
718045	82052	Marla
718045	87418	Reising
718045	105354	Edna Mae Kinley
718045	133927	Mary Ouimet
718045	134518	Mother
718045	140371	Tex
718045	142402	Brooke
718045	154714	
718045	178092	
718045	185550	Julia Tallridge
718045	214441	Cora Bosco
718045	232479	Myhrra
718045	241798	Lucy Pearl
718045	254996	Young Lily Kilworth
718045	277436	Ethel Kennedy
718045	289530	Lynn Jordan
718045	304742	Sarah Ledger
718045	313409	Anastastia Targus
718045	313419	Lieutenant Eiger
718045	315132	Karen Lewis
718045	318338	Madge
718045	323040	Lozanne Wamback
718045	337123	Isabel
718045	358835	Mrs. Myles
718045	366954	Donna Hastings
718045	382632	Maria Wong
718045	387318	Annie Edison
718045	389867	Carla Meyer (1989)
718045	393669	Peaches
718045	394503	Auntie First
718046	342669	Bar patron
718047	210700	Gangster mom
718048	99137	Dancer
718049	209209	Featured Zombie
718049	209210	Terrified Refugee
718050	154484	Mother
718051	60296	Connie
718052	294150	
718053	316067	African Dancer
718054	362348	
718054	410883	Presenter (1988-1992)
718055	154593	Brigid Berlin
718055	261528	Suburban Mom
718056	65184	Clarence's teacher
718056	195869	Custom officer
718056	240032	Anita
718056	365827	Woman In Hospital Bed
718057	236381	Fanny Wype
718058	185703	Simpson's maid
718060	109649	Athlete
718061	218363	Beatrice Beldam
718062	183696	Dorie Bernheim
718062	279203	Carol
718062	356477	Sheryn
718062	358985	Christy Sinclair
718063	136460	Ronda
718065	321184	Sara Renault
718066	8021	Girl In Bar
718066	31202	Herself (NBC Team)
718066	31427	
718066	64571	Herself
718066	69195	Woman in first bar
718066	207911	Karen Sylvester
718066	244312	Venetian
718066	263788	Federal Reserve Executive
718066	317520	Pretty woman
718066	394661	Bonnie Barstow (1982-1983,198
718067	70422	Coney Island Girl
718068	26291	Ms. Daniels
718068	151458	Friend at Party #1
718069	107732	Donna
718070	321184	Sara Renault
718071	367083	Girl in Avanti
718072	366908	Straight Talk host
718073	112318	Madge
718073	130696	Rosalie
718073	336683	Ginnie
718073	390271	Rosalie (1949-1954)
718074	272724	Interview Subject
718075	12737	Samantha
718075	12738	Mandy
718075	35263	Taxi Driver
718075	38103	Kate Hammond
718075	47500	Woman
718075	48688	Stella
718075	66385	Juliana
718075	112401	Mrs. Goodwood
718075	114013	Secretary
718075	131747	Hooker
718075	132014	Deirdre
718075	139767	Ruth
718075	180472	Jenny
718075	193765	Rosemarie
718075	195826	Barbara
718075	208930	
718075	213948	The Downstairs Woman
718075	222211	Gwen
718075	229260	Ellen Kelly
718075	236082	Matilda Spencer
718075	275442	Sue
718075	276249	Ruth
718075	281800	Shirley Rennie
718075	315026	
718075	316881	Charm Leachman
718075	319936	Trish
718075	342863	Janet, Louise's mother
718075	381608	
718075	382613	Delilah
718075	383813	
718075	388441	Pat McCormick
718075	388643	Elsie
718075	388644	Elsie
718075	388645	Mum
718075	391869	Laura Brennan (1993)/Kate O'C
718075	395185	
718075	400697	
718075	402442	Kate
718075	404394	Kate Hardman
718075	405616	Faye Peterson
718076	157218	Dorothy Kimberly
718077	8901	Guide
718078	44433	Woman at Site
718079	372550	Emily
718080	366015	Kid at the Race Park
718081	385112	Chrissy
718082	32052	Dancer
718082	45545	Girlfriend
718083	54953	Townsperson
718084	300029	Undetermined Role
718085	245036	Nurse
718086	30734	Neighbor
718086	177584	Mrs. King
718087	41404	Female soldier
718087	102184	Reporter
718087	245995	Sheila Azeal
718088	5936	Dee
718088	8962	Herself
718088	40549	
718088	49441	Ruthie
718088	55252	Miss Hodgett
718088	107100	Social Worker
718088	127073	Oda Mae's Sister
718088	189982	Mrs. Clay
718088	211563	Mrs. Thompson
718088	233636	Sadie
718088	269088	Night Club Singer
718088	310417	Ann
718088	379284	Red Queen
718089	7007	Blind negress
718089	7011	
718089	7512	Butterfly, Sue's Maid
718089	13358	Clarine
718089	51642	Lily
718089	94766	Vashti
718089	114845	Beulah, Flaxen's Maid
718089	131240	Prissy
718089	134089	
718089	154182	Annette
718089	176806	Butterfly
718089	201844	Herself
718089	213820	Lottie (Mildred's maid)
718089	219739	Ma Kennywick
718089	254917	Herself
718089	259755	Miss Priss
718089	295395	Aunt Thelma
718089	302467	
718089	367919	Lulu, Cosmetics Counter Maid
718089	379071	Aunt Thelma
718089	381803	Oriole (1950-53)
718090	178693	Mrs. Burnham
718091	228434	London Girl
718092	139240	Herself
718093	92232	Singer
718094	139150	Connie
718095	363777	Old Lady
718096	13763	Reporter #1
718097	315096	Danielle
718099	278065	Carrie
718100	314606	Herself
718101	13763	Little girl
718102	7884	First Tribe
718103	221024	Executive Wife #2
718104	270522	Foxy
718105	13970	Priscilla
718106	328596	Tour Guide
718107	405209	Andrea Stockley (1998)/Kerry-
718108	16006	Middle Class Mother
718108	273423	Pharmacy Assistant
718109	279142	Young Maria
718110	383078	Donna Bell (1989-1991)
718111	303233	Sister Lulu
718111	318109	Caitlin
718112	72318	Anna
718112	273358	Eve
718114	375714	Radio station zombie
718115	37681	Volleyball Coach
718116	55220	Herself
718116	150516	Christine
718116	168087	Grandmother
718116	312280	Singer
718116	317910	Herself
718116	403730	Lila
718117	154986	Goth Girl
718118	62584	Choking Victim #1
718118	245296	Dance Instructor
718119	355536	Little Dead Girl
718120	119890	Mrs. Fresh
718120	137562	Woman at Line-up
718120	137563	Morgue Attendant
718120	137569	Lady Sinclair
718120	194345	Judy
718121	340554	Regina
718122	11116	Marge Brasch (Prime Minister)
718122	16642	Nurse
718122	16796	Marjorie Neilson
718122	150422	Mrs. Harris
718122	169814	Agnes Morrison
718122	230385	Daisy
718122	245214	Augusta Wilkinson
718122	289523	Mrs.Peacock
718122	401938	Nurse
718122	405209	Marjorie Neilson Brasch (1992
718122	406491	Ms. Blake
718123	323841	Gimli Maiden
718124	409493	Herself
718125	294060	Joy
718126	409493	Herself
718127	41813	Tonya Glass
718128	41279	Lorraine
718128	49483	Morrie
718128	66795	Cindy
718128	81247	Cleopatra
718128	82521	
718128	110943	Dennise
718128	117154	Pageant Girl
718128	128268	Michele Casey
718128	146734	Waitress
718128	162501	Vicki
718128	193919	Lucille
718128	365833	Competing Prostitute
718129	46401	
718129	163237	
718129	196241	
718130	67045	
718131	304355	
718132	60075	Mrs. Jenkins
718132	79911	
718132	131539	Aunt Weezie
718132	141632	Mrs. Macdonald
718132	150243	Betty Townsend
718132	161487	Vivian
718132	331738	Bonnie
718132	355519	Elizabeth Hawker
718132	408347	Mrs. Trask
718133	236972	Servant Child
718134	92584	Katie Sully
718135	409493	Herself
718136	79279	Daughter
718137	245588	Lyn
718138	141140	Young Cathleen
718139	378778	Herself - Reporter (1997)
718139	390334	Herself - Co-host (1997-1999)
718139	411433	Herself - Anchor (1992-?)
718140	291221	Maureen Roberts-Prescott (pho
718140	291223	Maureen Roberts-Prescott
718140	366784	QT Secretary
718141	1877	Herself
718142	248669	Aunt Jilly
718143	400696	
718143	411850	
718144	99593	Young Harmony Jones
718145	214814	Jewish Bubbie
718146	342871	Cricketer
718147	36704	Mother Bigfoot
718147	223639	Waitress
718148	110911	Maid Marion (Robin Hood cast)
718148	202390	Quarnian Torr
718148	253917	Wendy
718148	256257	Margo Fassbender
718148	323036	Glena Bennett
718148	381087	Anna
718148	386274	Elaine Coleman
718148	391081	Lavinia 'Mad Lil' McScrew
718148	398399	Caroline
718148	405457	Charlotte (1982)
718148	407414	Sam Hagen (1992-2000)
718149	16899	Opera Singing Kid
718149	220954	Daughter
718150	297190	Bar Girl #2
718151	17978	Prison wardress
718151	195300	Cabinet Minister
718151	213322	Fairy/Courtier
718152	354854	Lillian
718153	80695	Rockhouse Treat
718154	160325	Herself
718154	399994	Co-Presenter/Reporter (2000-2
718155	75809	Eveylyn
718155	146756	Frances
718155	175171	Lindsay
718155	218340	Sally Stephens
718155	230386	Brooke
718155	245345	
718155	270931	Mother of killed boy
718155	297635	Corinne DeSantis
718155	297637	Cataline Stone
718155	312760	Kelly
718155	343919	Melissa Bradley
718155	359902	Diana
718155	360291	Girl at Concert
718156	199759	Piano - Ruth Novak's
718157	174603	Kitty Riley
718157	239738	Kitty Riley
718157	239739	Kitty Riley
718157	239740	Kitty Riley
718157	239741	Kitty Riley
718157	239742	Kitty Riley
718157	239743	Kitty Riley
718157	239744	Kitty Riley
718157	239745	Kitty Riley
718157	239746	Kitty Riley
718157	239747	Kitty Riley
718157	239748	Kitty Riley
718157	239749	Kitty Riley
718157	239750	Kitty Riley
718157	239751	Kitty Riley
718157	313802	Herself
718157	334298	Herself
718158	11189	Mrs. Briggs
718158	64393	Kilburn Neighbour
718158	81734	Mrs. Elton
718158	148264	Pam Collins
718158	154081	Bella
718158	186040	
718158	186751	Bus Conductress
718158	190101	Mrs. Ashley
718158	191964	Mary
718158	203381	Olga
718158	292417	Mrs. Gordy
718158	366767	Mrs. Dowsett
718158	367299	Ruby Branch
718158	368771	Mrs. Mortimer
718158	381714	Beryl Humphries
718158	381753	Pauline (Series 2) (1970)
718158	382305	Aunt Mary
718158	392702	Mrs. Hollingbery (1986-92)
718158	395793	Mrs. Boswell
718158	396089	
718158	400108	Nancy
718158	405067	Olive
718158	407587	Iris Minns
718158	411399	Mrs. Hollingberry
718159	149495	Cocktail Waitress
718160	194810	Herself
718161	319003	Hospital receptionist
718162	305638	Rasta
718163	228785	Lisa
718164	335758	Mrs. Andrews
718165	290949	Kerry/Girl Fan/Executive Secr
718165	383122	Sheena
718165	398717	Megan
718165	407021	Lois Lane
718166	127627	Beach Dancer
718167	13421	Olan
718167	14131	Vocal Jazz Girl
718167	53323	Groupie
718167	105280	Hospital Dancer
718167	191999	
718167	264131	Rosa
718167	362132	Breena
718167	398027	Mary Ellen (1997-1999)
718167	405783	Carla Stone
718169	399541	Presenter (2001-2002)
718170	218743	
718170	375691	Donna
718171	327628	Emma at 6 years
718172	232398	Policewoman
718172	398463	Aileen
718173	31637	Michelle
718173	161189	Beth Thompson
718174	216803	Beautiful Smile
718175	2807	Herself
718175	390771	Lola Fontaine (1983-1984)
718176	36838	
718177	36838	
718178	300180	Al Torres' Girl
718179	329506	Ward Nurse
718180	117874	Woman with Child on Park Benc
718180	270607	Linda's Friend
718181	879	Celeste
718181	2762	Winner Leading Actress in a P
718181	40005	Riah Millican
718181	55643	Vanessa Bell
718181	80593	Madeleine Severn
718181	90332	Loretta Lawson
718181	137487	Van Arkady's Secretary
718181	140535	Hazel
718181	154201	Mysterious Woman/Lady of Lake
718181	160767	Sarah Morris
718181	177317	Liz
718181	207093	Loretta Lawson
718181	261041	Vita Sackville-West
718181	262613	Prue Sarn
718181	263957	Adult Claudie
718181	281180	
718181	285756	Genevieve de Ville-Franche
718181	308684	Professor Lily Penleric, PhD
718181	321261	Caroline
718181	332479	
718181	341680	Mary Jo Walker
718181	351431	Female Narrator
718181	358479	Caroline Pierce
718181	369185	Ellen Dean
718181	371099	Dr. Juliet Horwitz
718181	390416	Helen Hewitt
718181	395408	Susan
718181	397891	
718182	86346	Herself (at funeral service)
718183	352682	Mother
718183	407452	Pierced women
718184	2017	Drunk Woman
718184	360027	Fan
718185	56734	Little Cat Lady
718186	93074	Police Officer
718187	310141	Bellerian #1
718188	208527	Zombie
718189	344524	Herself
718190	70473	
718190	242501	
718190	303517	Sia
718190	316782	Jello Wrestler (Loser)
718191	97517	Mom
718191	136511	Polly Pearl
718191	358474	Mrs. Mills
718192	66381	Shirley
718192	72850	Woman with monkey
718192	73120	
718192	105864	
718192	144861	Mildred Fuller
718192	152936	
718192	154868	Ethel
718192	163433	Elsa, Piano Player
718192	187079	Mrs. McSween
718192	189280	Miss Griggs, Secretary
718192	190209	Mrs. Rugolo
718192	218014	Vivian
718192	222607	Helen Carrington
718192	235405	Mrs. Ferris
718192	270492	Woman at airfield
718192	276005	Nora Shipley
718192	301144	Ruth Gaines
718192	331416	Mrs. Clinton
718192	332880	Clara Moran
718192	360271	Mrs. Masters
718192	388432	
718192	403074	Regular Performer (1970-1971)
718193	315775	
718194	132440	
718194	405209	Faye Chatfield (1995)
718195	340805	Rhiannon
718196	56085	Captain's Wife
718196	203169	Valerie
718196	231951	Alison Hale
718196	260697	Miss Webster
718197	75532	Sandy
718198	289660	
718199	36871	Hilda
718199	80584	Vicky Owens, Swan's Assistant
718199	80686	
718199	80863	Dr. Miller
718199	131499	Joan Redack
718199	144788	Attorney
718199	158079	
718199	177600	Rosella, Female Mud Bath Trol
718199	187220	Tylonee
718199	232845	Pregnant Woman #1
718199	260144	
718199	340732	Billy
718200	92694	Ballroom Dancer
718201	211605	Olga
718201	254521	
718202	321754	El Dorado Cashier
718203	399314	Anchor (1986-)
718204	378883	Presenter
718204	390195	Herself - Presenter
718204	391263	Presenter
718204	405201	Presenter
718204	408148	Herself - Panellist
718205	89250	Musician
718206	165556	Tracy
718206	207402	The Hon. Charlotte 'Lotte' Mi
718207	241288	Lori's Mom
718208	287285	Reporter
718209	337414	Telephone operator
718210	302404	Mrs. Pratt
718210	333079	Aunt Sally
718210	337414	Mrs. Gesham
718210	360455	Mrs. Gilligan
718211	312607	High School Girl
718212	115217	Keyboards, vocals
718212	115219	Keyboards, vocals
718212	115220	Herself
718213	10591	Sarah Ross
718213	10677	Mrs. Adams
718213	38813	Miss Trumbull
718213	40663	
718213	41507	Mrs. Griggs
718213	41835	Cindy Tutwiler
718213	41878	The Iron-gray Woman
718213	47440	Mrs. Durland
718213	47458	Mrs. Banard
718213	69352	Mrs. Bartlett
718213	75856	Mrs. Armstrong
718213	77995	Aunt Patty
718213	79095	Agnes McCarthy
718213	92939	
718213	115911	Miriam
718213	116664	Señora Maria Serra
718213	116760	Mrs. Eugenia Sheridan
718213	117440	Mrs. Scudd
718213	118718	Nosy Woman
718213	124226	Mrs. Crope
718213	133849	Nurse Edith Cavell
718213	140408	Mrs. G
718213	143003	Madame Bergomat
718213	143261	Mrs. Dunn
718213	144961	Mrs. Clancy
718213	147512	Farmer's Wife
718213	154182	Woman in Front Row
718213	154623	Bit part
718213	163347	Elderly Lady
718213	163451	Jennifer Whipple
718213	188399	Aunt Lucy
718213	194822	Missionary
718213	194991	Mrs. Challenger
718213	195647	Miss Lydia Bisbee
718213	203497	
718213	204744	Prison Inmate
718213	220892	Amy Faulkner
718213	229091	
718213	241259	
718213	246713	Mrs. Smith
718213	261506	Old maid, Mrs. Compton
718213	275431	Gertrude Purdy
718213	289689	Lydia Quentin
718213	294944	Small Towner
718213	299806	Ann Berry, Martin's Wife
718213	316955	Old Lady
718213	317168	Mrs. Boucicault
718213	319060	Mrs. Brent
718213	323787	Attendant
718213	329052	Middle-aged lady
718213	329903	Aunt Elsie
718213	334191	
718213	360421	Woman in Stateroom
718213	362673	Yaki
718213	363190	Woman
718213	363822	Mrs. Black
718213	363937	
718213	366205	Nellie Curtis
718213	367896	Mrs. Kelly
718214	249525	Mary Lopez
718215	388209	Kay McCoy II (1994-)
718216	329914	Claire
718216	366668	Reporter
718217	381917	Herself - Evictee #11 (2004)
718218	80643	Shirl
718219	326617	Bully
718220	229671	Reverend Mother
718220	334190	Receptionist
718221	157826	Kid #2
718222	7952	Older Woman
718222	89388	Clara
718222	102247	Grey Haired Woman
718222	201350	Elderly Woman
718222	215363	Counter Woman
718222	234828	Mrs. Hildreth
718223	344187	Helen Ann Millar
718224	7868	Allison
718224	35730	Mary Jackson
718224	41373	Stephanie Williams
718224	41374	Danielle Mendelsohn
718224	82922	Jamie Devers
718224	95188	Val
718224	140416	Police Officer
718224	178093	Carla
718224	185389	Anabella
718224	236152	Cynthia
718224	265516	Sherry Burton
718224	270894	Bobby T
718224	294918	Vera Lancaster
718224	307266	'Hellcat' Lt. Sarah Underhill
718224	308658	Rose
718224	316171	Carol Anne Chalmers-Perez
718224	316343	Helen Filmore
718224	346294	Lucy
718224	346372	Tarot
718224	363365	Dol Whitney
718225	56383	Casper
718225	115566	Hidea Frankenstone
718225	167130	Betty Rubble/Jet Rivers/Inves
718225	292685	Pollywog/GreenLady/Woman's Vo
718225	314601	
718225	316498	
718225	323910	
718225	366274	Kanga
718225	379345	Little Prince (I)
718225	381302	Terri Barkley
718225	383612	Casper the Friendly Ghost
718225	384525	
718225	386935	Vampira
718225	387153	The Queen Hornet
718225	389300	
718225	391005	
718225	393185	Bubbles
718225	393402	Jeannie (1973-1975)
718225	393482	Additional Voices
718225	399266	(1973-1974)
718225	400731	Amanda Panda
718225	400913	Marion (1974-1975)
718225	401528	Additional Voices (season 2)
718225	403334	
718225	404354	Q*bertha, Q*Mom, Viper (segme
718225	404518	Jeannie
718225	404521	The Queen Hornet (ep. 9, 14)
718225	405718	Baby Smurf (1984-1990)/Sasett
718225	408153	Additional Voices
718225	409149	Herself (1984)
718225	410501	Host
718226	109833	Mrs. Watson
718227	278264	
718228	196033	Curler Victim
718229	353840	Evelyne (7 ans)
718230	399200	Victoria 'Vicky' Denning
718231	10925	Sue Garner
718231	31192	Herself - ABC Team Contestant
718231	79891	Dorothy Livermore
718231	81219	Paula Williams
718231	127522	Clair Danhaus
718231	161525	Asst. Dist. Atty. Towler
718231	165107	Flo Duffy
718231	211529	Carrie
718231	255684	
718231	270929	Maryann
718231	277731	Paula Rigsby
718231	297791	Sister Agnes
718231	315285	A.J. Parker
718231	321660	Lois Morehead
718231	321732	Maureen Fischetti
718231	364071	Virginia Block
718231	380391	Tracy DeWitt #1 (1975)
718231	381668	Marcy Hill (1979-1981)
718231	381811	LuAnn Pruit (1994-1995)
718231	390771	Janet Mason Norris (1969-1975
718231	396784	Gail Corbett
718231	399110	Claire Pritchard
718231	405769	Sally (1978-1979)
718232	110299	Lillian
718232	379931	
718232	386512	
718232	389103	
718232	393087	
718232	407019	
718232	411802	
718233	255347	Pantomime Artist
718234	367054	Aunt Em's Party
718236	101367	Anna Stracht
718236	339645	Modern Mom
718237	116270	Jessie Fairchild
718238	151761	Wilcox baby
718239	46353	Firefox
718239	93756	Evette
718239	161215	Herself
718240	270389	Billy's Mom
718241	309172	Rouge: Red Snappers
718241	321431	Trish
718241	326604	Aspen Female Deputy
718241	362391	
718241	390900	Sumika
718241	399405	Newspaper Woman, Supermarket 
718242	113603	Dreems Girl #2
718242	236137	Teacher
718242	266764	Lucy
718242	382309	(segment "Warming by the Devi
718243	58858	
718244	44759	Grace Lockwood
718245	6478	Naboelk
718246	375550	Zoia
718247	131509	Sonny, Hazel's Brother
718247	289693	Tall Terrorist
718247	310019	Dr. Davel
718248	44330	Matty
718249	171686	
718249	298179	
718251	87038	
718253	5426	Seminar Principal
718254	216233	La supérieure
718255	133389	Commessa
718255	270041	Claudia Trotta
718256	11515	
718256	80952	Grace
718256	190796	Mrs.Yvonne Meaghan
718256	293156	
718256	293643	Eunice Kahn
718256	380391	Louise Goddard Brooks (1972-1
718256	382773	Althea Dennis (1960-1961)
718258	130167	Hattie
718259	209170	Dancer
718260	209170	Dancer
718261	271625	Dr. Tami
718262	84206	Reporter #2
718262	333464	Diane
718263	106443	Newscaster
718263	390360	Julia
718264	218403	Amber
718264	310303	Sunshine
718264	313825	Banquet Waitress
718264	322759	Samantha
718265	307881	Patron
718266	133239	Herself - Olympic Ski Champio
718267	37786	Child
718267	132756	Claire's Baby
718267	202728	Child
718267	385824	Victor Kiriakis II (#1) (1990
718268	58160	Matron guard
718269	379023	Host
718270	37786	Child
718270	132756	Claire's Baby
718270	202728	Child
718270	385824	Joseph 'Joey' Kiriakis (#1) (
718271	21324	
718271	88156	
718271	221331	
718271	252739	
718272	205413	Herself
718272	320083	Herself
718272	337992	Narrator
718273	100008	Prostitute
718273	171411	Party Girl #1
718274	92776	Shadow Warrior
718274	187333	Wheelzone Warrior
718274	267640	Fighter
718275	222619	Mrs. Halliwell
718276	162049	
718277	72905	Sushi Creepee
718278	366139	
718279	221005	Snowboarder
718280	246272	Mrs. Washington
718281	11469	Lisa
718281	283500	Schoolgirl on Train
718282	6264	Sabrina
718282	10840	Woman (segment "The Seedling"
718283	11181	Mrs. Dilson
718283	16042	
718283	79351	Marie Martinez
718283	113907	Mrs. Towne
718283	178042	Anna the Cook
718283	198541	Sarah
718283	209592	Bit part
718283	215534	Aunt Mae
718283	219950	Mrs. Gillingham
718283	282394	Nurse
718283	315123	Fat Dowager
718283	329437	Liza Bingham
718283	331587	Client
718283	346900	Martha
718283	365071	Tenant
718285	10694	Background Vocals
718285	309563	Sandra
718286	303429	Jail visitor
718287	87780	Herself
718287	223931	Chris Townsend
718287	255878	Marie
718287	263265	Moderator
718287	324266	Suzanne Rook
718287	375914	Virginia Fenster
718287	408375	Herself (commercial spokeswom
718288	134517	Mountain People
718289	388209	Caitriona Cassidy (2003-)
718290	88164	Gina
718290	140214	Gaby
718290	376308	
718290	376311	Tracy
718290	379177	Jutta Edinger
718290	400273	Frida von Rambow
718290	401996	
718290	404435	
718290	406321	
718291	368712	Commentator
718292	158509	Birdie Bronson
718292	200488	
718292	300068	A show girl
718292	322607	Evangeline
718292	331764	Show Girl
718292	367970	Goldwyn Girl
718293	101726	Woman In Kitchen
718294	47431	Doctor Susan
718294	192733	Stephanie
718295	9980	
718296	407055	
718297	371374	Extra
718298	280016	Additional Party Guests
718299	151176	Wendy
718300	385823	Elsie
718301	17697	Soprano at Wedding
718301	49855	Nurse Raskin
718301	89293	Neighbor
718301	116356	Mrs. Dewitt
718301	129443	Herself
718301	168290	Anne Torre
718301	240664	Mom
718301	273835	Mayor Goodwin
718301	275791	Mrs. Wilson
718301	291866	Betty
718301	329484	Inn Proprietress
718301	379350	Wilma
718301	401026	Vickie Lombard
718302	121861	Herself
718302	129350	Herself
718302	160483	Herself
718302	164581	Herself
718302	168780	Aunt Lunar
718302	190912	Polly Jo
718302	282042	Mildred
718302	286342	Herself
718302	323395	Anne Michaelson
718302	329527	Connie Emerson
718302	382334	Regular (1951-1952, 1953)
718302	391951	Alice Kramden
718302	391952	Alice Kramden
718302	393223	Herself (regular performer) (
718302	394278	Herself/panelist, 1958-1959
718302	397044	Herself/panelist (1958-1960)
718302	407940	Herself
718302	408523	Iris Martin (1982-1983)
718302	409472	Maggie Hogoboom
718302	410900	Herself/panelist
718302	410906	Herself/panelist
718303	216920	Mary Miller
718304	138656	Bunty Mossup
718304	148368	Bunty
718304	308170	Pat Parker
718304	346030	Bunty
718305	44318	Woman at Party
718306	313321	Esther at Age 3
718307	10746	Queen of Hearts
718307	56304	Herself
718307	64917	Mitch's mother
718307	64918	Mitch's Mother
718307	67118	Betty Duquesne
718307	76263	Mrs. Thomas
718307	78802	Mrs. Selkirk
718307	79522	Michal
718307	100696	Selina Dane
718307	109587	Nurse Jane Adams
718307	132184	
718307	163295	Herself (panelist)
718307	164571	Mrs. St. Fawn
718307	165277	Reva Randall
718307	165283	Herself
718307	183710	Mildred Haveland
718307	196871	Frances Augur
718307	207510	Matilda Hussey
718307	215453	Gertrude Hunnicutt
718307	215683	
718307	222609	Pamela
718307	235023	Adele
718307	236124	Ida
718307	248879	Charlotte Brink
718307	257689	Herself
718307	272687	Herself
718307	295608	Irma Caddish
718307	308656	Janet Thayar Brant
718307	314590	Herself
718307	315747	Dot
718307	328033	Ruth
718307	346248	Sylvia Burton
718307	380676	Regular (Apr - Sept, 1963)
718307	391550	Alice Morgan-DuPont-Sutting-C
718307	392477	Herself/panelist (1952-1959)
718307	393119	Ruth Long
718307	397288	Nurse Chambers (1969-1972)
718307	397337	Cleopatra/Marie Antoinette/Fl
718307	406523	
718307	406526	
718308	26777	Model
718308	27263	Mrs. Fielding
718308	45834	Sally Fallon
718308	62942	Tani
718308	115265	Rina, Windy's daughter
718308	120742	Peg Barton
718308	128271	Carrie Anders
718308	154575	Judith Marak
718308	222704	Carol Wade
718308	240245	Harem Girl
718308	303362	
718308	308110	Woman at Party
718308	340791	FBI Receptionist
718308	358590	Sally Medford
718308	374280	Isobel Moon
718308	396662	
718308	409221	Stacy
718309	358612	Angela
718310	108260	Margaret
718311	65755	
718312	6728	Herself
718312	10719	
718312	16882	
718312	37670	
718312	37792	
718312	39706	
718312	39965	
718312	41050	
718312	41594	
718312	55298	
718312	67136	
718312	68416	
718312	87384	
718312	97113	
718312	97114	
718312	103230	
718312	109339	
718312	115306	
718312	117372	
718312	119918	
718312	119996	
718312	123831	
718312	128695	
718312	136236	
718312	139209	Herself
718312	141546	
718312	146817	
718312	160900	
718312	165924	
718312	208372	
718312	216922	
718312	219116	
718312	228012	
718312	228064	
718312	228578	
718312	228681	
718312	232877	
718312	235147	
718312	237135	
718312	237137	
718312	243095	
718312	251647	
718312	255161	
718312	255190	
718312	260805	
718312	273297	
718312	273298	
718312	296006	
718312	304010	
718312	306909	
718312	306922	
718312	316505	
718312	316657	
718312	317990	
718312	323084	
718312	335929	
718312	338348	
718312	338349	
718312	342046	
718312	347284	
718312	353684	
718312	358155	
718312	361957	
718312	364114	
718312	370124	
718312	378928	Jools (2003)
718313	238612	Young Jenell
718313	252988	Caroler
718313	264914	Kayla Lascar
718314	193000	Tunnel Girl
718315	18662	Inko
718316	105492	Patty
718316	129437	Julie Tipton
718316	302949	Diane
718316	374597	Megan
718349	385010	Mae (1973)
718316	400236	Mimi King (1979-1982, 1983, 1
718316	404282	Victoria Lane Capwell (1986-1
718317	158873	Extra
718318	215503	Charity Couchman
718318	281003	Mary Van Tassler
718318	282258	Estelle Clugson
718320	182576	Audition-tjej 2
718320	210286	Girl with horse-legs
718321	51513	The Child
718322	90362	Dungeon secretary
718322	131445	
718322	321050	Herself
718323	245675	Tina's Mother
718324	41626	
718324	62495	
718324	75028	
718324	256196	
718325	296261	Exploited Woman
718326	221067	Vibrating Woman
718326	380067	Herself
718327	384808	
718328	2470	Lucy Eyelesbarrow
718328	26725	Miss Collins
718328	96817	Susanne
718328	230394	Receptionist at health spa
718328	389896	Ann
718328	390362	Katherine
718328	400087	Newscaster
718328	404688	Agnes Algar
718329	161839	Herself
718330	72104	Cover Girl: Coronet
718331	408481	Presenter (2000-)
718332	390523	Diane Richmond (1992)
718333	41868	Receptionist
718333	55632	Mrs. Watkins
718333	60729	Anna
718333	77209	Jane Lester
718333	105959	Paula
718333	131629	Mrs. Shipley
718333	135602	Georgina Nightingale
718333	222748	Distressed woman
718333	297711	Sally Bunting
718333	331226	Ruth Beckett
718333	384884	Marie
718333	389794	Peggy Henshaw
718333	391247	Inspector Murchison (1994)
718333	393695	Miss Broom
718333	396623	Skivvy
718334	411386	Herself
718335	139573	Hazel Harpur
718336	307661	Angelina
718337	295611	Barbara
718338	137035	Cookie
718339	16990	Elvira Portway
718339	31061	
718339	41270	Laura
718339	118393	Naughty Nicki (Wedding two)
718339	128518	Vivienne Jones
718339	134906	Tanya
718339	189519	Carolyn Henson
718339	276082	Marilyn
718339	283541	Betsy Grant
718339	374436	Dr. Zemekis
718339	389625	Beth
718339	390485	Ruth Manning Bannerman (I) (1
718339	390523	Tracy Edwards (1980)
718339	390539	Delise
718339	391759	Connie Beauchamp: Cardiac Con
718339	392129	Jessie Christy (1993)
718339	393268	Kate Eliot
718339	395080	JoJo
718340	3982	Desert Wife
718341	280281	Mary Anne Creed
718341	280284	Mrs. Creed
718341	336914	Mrs. Collins
718342	118980	Night Waitress
718343	330563	Lindsey Cavanaugh
718344	76093	The woman
718345	60735	Harriet
718345	120093	Felisha
718345	151126	Veda
718345	197920	
718345	312062	Sista #2
718345	385133	Vanessa
718346	79804	
718347	216954	Waitress
718348	391338	Host
718349	2816	Introduce for Best Revival Mu
718349	7581	Herself
718349	25148	
718349	25417	Miriam
718349	45615	Mrs. Curry
718349	47823	Mrs. Perrett
718349	63424	Casting Director
718349	73680	Hard Boiled Woman
718349	79911	Mrs. Salters
718349	80046	Rita Malone
718349	108087	Mrs. Elizabeth Sherwood
718349	114364	Molly
718349	121804	Herself
718349	126577	Linda
718349	131575	Herself
718349	141733	Alice Bushkin
718349	145102	Medea, Waitress in Pluto's
718349	157895	Herself
718349	159012	Rita
718349	162293	
718349	168018	Louise
718349	169991	Bea
718349	174513	Kate McShane
718349	175217	Restaurant Patron 1
718349	178099	Bev's Mother
718349	190702	Sister Theresa
718349	194137	Madge
718349	195949	Patricia Lennon
718349	196447	Wilma
718349	220062	
718349	224106	Mrs. Shopper
718349	228046	Sister Geraldine
718349	233045	Anna
718349	244443	Peg Gilford
718349	245264	Purse Snatching Victim in Pol
718349	253121	
718349	273473	Louise
718349	291931	Holly Hoyt
718349	306548	Herself
718349	309941	Mrs. Quinn
718349	319187	Bernice Shapiro (segment "The
718349	327032	
718349	329548	Charlene Lane
718349	330386	Mrs. Langstrom
718349	331842	
718349	362323	Evelyn Cataldi
718349	370644	Hank
718349	375827	Protestor
718349	379716	Peggy Moody (1992-1999)
718349	380570	Veronica Rooney (1979-1982)
718349	387120	
718349	390606	Harriet
718349	392421	Herself
718349	394210	Kate McShane
718349	401032	Grace Dickerson
718349	403318	Sally Gallagher (1976-1977)
718349	406559	Anne Bender
718349	408375	Herself (of Stiller & Meara) 
718350	306132	Mrs. O'Grady
718351	269355	Lifestyle Journalist
718351	401828	Suse Kilroy
718352	171401	Woman at Ball
718352	193748	Alice Curtis
718352	254290	Nurse
718352	263265	Loretta (Horgan's secretary)
718352	381468	Emily Bullock
718353	105296	Brianie's Friend
718354	274344	Canoer
718355	79111	
718355	146764	
718355	223943	Nightclub Singer
718355	244899	Girl Reporter
718355	275452	Bit Part
718355	279468	Nightclub Singer
718355	313377	Singing Voice of Veronica Lak
718355	321504	Singer
718355	360839	Phyllis' singing voice
718356	379831	Keri (1991)
718357	29444	
718358	291482	
718359	94458	Gwen
718359	101427	Miss Faljambe
718359	104047	Mrs. Spires
718359	206090	Nurse Brand
718359	238244	Maudie
718359	277692	Countess of Derby
718359	363573	Woman in Train
718359	399581	Woman in street
718360	385388	Rosie
718361	332144	Herself
718362	105405	Terrified girl
718362	212032	Renee Johnson aka Miss UFO
718362	381059	Sue aged 17
718362	399130	Quinatalena Pagganoli (1994)
718363	72726	Hearing Disabled Teenager
718364	88852	Little Girl in Bar
718364	345413	Journaliste à Paris
718365	54734	Shirley, the Club Owner
718365	130720	Dancer
718365	236954	Marshmallow
718366	308843	Anna Fiederer
718367	78836	Alexis Sr.
718368	147500	Female Officer
718368	363034	Shelly
718369	48021	Renee
718370	339141	
718371	2761	Herself
718371	188143	Estelle
718372	115178	
718373	6254	Katia
718373	100533	Ludivina
718373	111084	Anna
718373	159599	Mirza
718373	261116	Emilia
718373	264226	Muriel
718373	324483	Blue Model
718373	345233	Brenda
718373	351834	
718374	212296	Katolicheskata sestra
718375	199311	The Family
718376	344	Creature #1
718376	58507	Gunderson
718376	60273	Leaflet Lady
718376	71474	Gypsie
718376	191152	Female Ventriloquist
718376	196376	Suzie
718376	203549	
718376	264818	Aerobics Instructor
718377	69257	Federal Correctional Officer
718378	394756	Herself
718379	74230	Villager
718380	122500	Aunt Luscha
718381	18598	Bridge Crosser
718382	306382	
718383	249855	
718384	159449	
718384	206082	Franca Frizzo
718384	313135	
718384	351539	
718384	378972	Dr. Liz Ray
718384	402302	
718385	58509	
718386	224905	
718387	123019	Margo
718387	128464	Sue
718387	206477	Sherry
718387	321632	Saleswoman
718387	338733	
718388	195455	Neighbor Child
718389	195455	Neighbor Mom
718390	266671	Kim
718391	296749	Dr. Tynch
718392	294142	Marylou
718393	87504	
718394	153288	Line, Kajas datter
718395	42556	Ruth
718395	46630	Mother
718395	84303	
718395	120847	Tjenestejente
718395	153287	Kaja Qvist
718395	153288	Kaja
718395	153289	Kaja
718395	179082	Knuts kjæreste
718395	228411	Andrea
718395	271687	Dåråt
718395	356489	Karen
718395	393436	Franziska
718395	399060	Andrea
718396	20431	Nurse
718396	34402	Adela
718396	104253	Kari
718396	180711	Borghild Stordal
718396	181077	
718396	191076	Veslemøy
718396	198284	Evelinde
718396	242689	Mor til Fredrik
718396	275198	Kurator
718396	334084	Gry
718396	399514	
718397	1729	Presenter
718397	68097	Sam Mitchell
718397	96867	Performer
718397	311702	Herself
718397	387247	Sam Mitchell/Hunter (II) (200
718398	217603	Jessica Ann's Classmate
718399	47372	Little girl
718400	21730	Fille draguee
718401	285696	Jneina
718402	361611	
718403	26448	
718404	316309	Cissy
718405	112925	
718405	395334	Esther Bush
718406	145019	White Salt
718407	65453	Nurse
718408	44945	La femme boîte de nuit
718408	213520	Isolda
718408	311261	La banquière
718409	83299	
718410	384118	
718411	203939	
718412	110666	
718413	380166	Leoni
718413	390507	
718413	397416	
718414	162170	
718415	282812	
718415	387052	Ana Maria
718415	399765	
718416	70580	Anne
718416	83299	
718416	101183	The whore
718416	113216	
718416	156312	
718416	167103	Danièle Joubert
718416	184060	
718416	197317	Lulu
718416	202749	Irène
718416	249059	
718416	249081	The woman
718416	261839	Malou
718416	273941	Elli
718416	327654	
718416	357834	Mlle Evelyne
718417	21069	(segment "A Garçonière de Meu
718417	59346	
718417	196662	
718417	277562	
718417	328748	
718417	393793	
718418	35455	Annie Two
718419	384118	Daniela 'Dani' (1997-1998)
718420	111506	
718421	18999	
718421	139489	
718421	146714	
718421	149522	Woman
718421	383294	Karina
718421	388681	Milena
718421	396926	Stael
718421	398501	Eleonora
718421	403739	Rosa
718421	409024	
718422	59767	Girl
718422	195549	Liz
718423	365380	Conga Line
718424	380097	
718425	354214	
718426	225102	
718427	18999	Dancer
718428	219581	
718429	100176	Theresa
718429	101547	Meyers' concierge
718430	257673	Additional Talent
718431	95341	Mary
718431	110666	
718432	384118	Talita 'Tali' (2000)
718432	394872	Pilar
718432	396899	Sofia
718432	402685	Carlota Joaquina (child)
718432	403616	Jasmin
718433	101811	
718433	136113	
718433	212136	
718433	234614	
718433	251572	Rejane
718433	287485	
718433	293886	Flora
718433	307472	
718433	336321	
718433	354685	Sinhá
718433	390093	Anita Garibaldi
718434	310338	Female Soap Star
718434	395895	Hostess
718434	405799	Hostess
718434	409310	Herself (2001)
718435	364358	Sorority Girl B
718436	14824	
718437	4469	
718437	10993	
718437	26015	Toying
718437	30725	
718437	31420	Milagros
718437	49112	
718437	93857	
718437	94628	Christy/Megu
718437	95558	
718437	104851	
718437	124516	
718437	124686	
718437	128952	
718437	145356	
718437	173636	
718437	174018	Sisa
718437	174891	
718437	184848	
718437	184929	
718437	217371	
718437	226980	Jenny
718437	232627	
718437	233909	
718437	235703	
718437	246156	
718437	246555	
718437	247262	
718437	294642	
718437	302486	
718437	303150	Sisa
718437	303576	
718437	312258	
718437	318395	Elena
718437	336432	Christy
718437	351942	
718437	387832	
718437	404050	Dante's Mistress
718438	111276	
718438	125660	
718438	202556	
718438	320306	
718438	324924	
718439	148596	
718439	170044	
718439	192982	
718439	197452	
718439	205429	
718439	249905	
718439	274944	
718440	285990	
718441	229724	
718441	379001	Solange
718441	379648	Leonor
718441	380242	Toñita
718441	383867	
718441	384984	
718441	390459	Andrea
718441	393832	
718441	396333	Clemencia Ríos
718441	396941	Shirley
718441	396942	
718441	403214	Cristina
718441	403782	Paola
718441	404815	Norma
718441	407644	
718441	410201	
718441	410204	Elcira
718443	198197	Secretary 2
718444	54248	La caissière
718445	341156	
718446	104633	Herself
718447	41595	
718448	397540	Joana 'Joca' Amoedo
718449	42898	Ana
718449	95251	
718449	354090	Mrs. Müller, hostle-owner
718450	352215	
718451	69223	Mercedes
718451	74902	
718451	75379	
718451	82244	
718451	100279	
718451	103720	
718451	103947	Gina
718451	140558	
718451	149959	
718451	159019	
718451	202247	Louise
718451	210441	
718451	222011	
718451	226184	
718451	239252	Lola
718451	243240	
718451	257901	
718451	291644	
718451	292771	
718451	294858	
718451	334650	
718451	355950	
718451	371733	
718451	378467	Maria Fabiana 
718451	380106	
718451	383517	Carlota Amalia
718451	384139	
718451	384899	
718451	385380	
718451	387314	
718451	389843	
718451	391523	
718451	392799	Matilde
718451	397204	Patricia
718451	398455	
718451	401088	
718451	402406	
718451	403256	
718451	404706	
718451	405380	
718451	409921	
718451	410015	
718451	411735	Cocó
718452	10816	
718453	243805	
718453	292091	
718453	293710	
718453	293712	
718453	335226	
718454	50081	Katherine Dufton
718455	340923	Factory Woman
718456	58507	Blue Eyes
718456	232209	Holly Pierce
718457	316661	
718458	6791	Red
718458	14163	Farmer's wife
718458	16686	Racine
718458	38776	
718458	47364	Cashier at Arcade
718458	50417	Ma Norton
718458	50443	Hallie
718458	50614	Happy
718458	101632	Head Nurse
718458	107081	First Mrs. Rhodes
718458	113550	Mrs. Fish
718458	113852	Ruth
718458	121829	Rose Brice
718458	128382	Rowena
718458	135570	Angel
718458	165246	Grace Show
718458	194721	Operator
718458	201150	Woman in Audience
718458	209660	Mrs. Smith
718458	219176	Gertie
718458	221307	Minnie, Parkington Maid
718458	233881	Landlady
718458	235215	Girl in Casino
718458	255327	Girl
718458	255887	Secretary
718458	272025	Wife
718458	272603	Mrs. 'Soda' Gallo, Landlady
718458	272691	Information Girl
718458	276641	Waitress
718458	302719	Luli
718458	304959	Girl Getting Off Bus
718458	321529	Ann Wilson
718458	324745	Caller
718458	331398	Thelma
718458	342587	Scott's Mother
718458	343162	Aggie
718458	346240	Gladys LaVerne
718458	359171	
718458	366072	Ida Marx
718458	385914	Herself (regular performer, 1
718458	394575	Sophie Foyle
718458	404613	Hester Walsh (1955)
718458	407948	Mrs. Quigley
718458	408358	Aunt Harriet Endicott (1969-1
718459	13990	Lily Belle
718460	162272	Sally, the granddaughter
718461	153694	Császárné
718461	268428	Zsámbékyné
718462	9250	
718463	186122	
718464	19766	
718464	96466	Monoki Zsuzsi
718464	104199	
718464	145617	
718464	153695	Örzse
718464	171603	Irén
718464	175699	
718464	177136	Szücsné
718464	227607	
718464	235375	
718464	239898	Eta
718464	243878	
718464	270219	Fejedelemasszony
718464	322128	Paula
718464	328970	
718464	348567	Zsófia
718464	353808	
718464	355244	
718464	357931	
718464	377768	Szakácsnõ
718464	410328	
718465	378050	Mari, Kovács lánya
718466	97982	
718467	38885	Herself (contestant)
718467	120920	
718467	322189	Avarné
718468	365333	Rhiannon Hughes
718469	208503	Club Bohemia Singer
718470	96102	
718471	313900	
718472	409458	La secrétaire
718473	190409	
718474	280577	
718475	392791	Herself (2003)
718476	339311	Prodavacica
718477	355052	Extra
718479	89851	Rosetta
718480	159458	Suora
718481	96834	
718482	87498	Nini
718482	162024	Katia
718482	211662	
718483	396649	
718484	18159	
718484	67508	
718484	67914	
718484	104004	Elisa
718484	126839	
718484	131011	Pat Rubino
718484	211307	
718484	219575	Gigliola Anfuri
718484	234761	Vanessa
718484	240275	
718484	257167	
718484	265813	Giuliana
718484	383784	Paola Novelli
718484	384255	Clara Negroni
718484	384979	
718485	2654	
718485	104814	Anna Maria
718485	200122	
718485	213884	
718485	285268	
718485	315829	Madre di Antonia Maria
718485	383860	Beraude
718485	399974	Iphthime
718486	241316	Restaurant Patron
718488	136773	
718488	403487	Herself/Semester At Sea (1999
718489	11280	Mrs. Graff
718489	26381	Protester #5
718489	34388	Frau Meise
718489	41155	Ruth Hutton
718489	44830	Elderly Woman
718489	81247	Thomasina Paine
718489	89572	Sylvia's secretary
718489	107990	Helen Phelps
718489	120897	Giorgia
718489	125718	
718489	136843	
718489	177007	Nell
718489	184212	Sheena
718489	222620	Great Lady
718489	246832	Harriet, a Nurse (Florence)
718489	287487	Nurse
718489	290162	Mrs. Blinerman
718489	305430	
718489	310950	Catherine Wood, Housekeeper
718489	312298	Hannah Ruth
718489	328078	Mrs. Cox, Lawyer
718489	328285	Customer
718489	330434	Old Woman
718489	331111	Vivian
718489	338726	Neighbor (segment "The Drop o
718489	340422	
718489	366761	Woman at market
718489	398710	Jessie (older)
718490	10686	
718490	46665	Charmaine
718490	319033	Herself
718490	343871	
718490	359425	Model
718492	255801	
718493	103201	Herself (Finalist)
718494	55110	Brigadista
718495	74566	
718496	277360	
718497	78121	CBC Reporter
718497	90467	Herself (journalist)
718497	346909	TV Announcer/Newscaster
718497	364163	Narrator
718497	374589	
718498	190482	Woman at Laundromat
718499	170461	
718499	206984	
718500	236413	Dancer
718501	70701	
718501	108068	Teresa
718501	195117	
718501	225102	Adelaide
718501	234640	
718501	263416	
718501	307782	
718501	377617	
718502	51716	Elisa
718502	193069	Irma
718502	300099	Carla De Ruiz
718502	342057	
718502	378717	Host
718502	378799	Lucy
718502	380477	Bettina
718502	382951	Carolina
718502	384782	Candela Martínez Godoy
718502	390455	
718502	390462	Host
718502	392805	
718502	398842	Oriana Barceló
718502	398995	
718502	400936	Host
718502	403651	Yoli Roldán
718502	407647	
718502	408204	
718502	412120	Mimí Pompón
718503	85580	Beto's Assistant
718503	203927	Young Maid
718506	28023	
718506	139892	
718507	387700	
718507	393802	Luisa Marina
718507	395846	Siria Degredo
718507	398488	Mater
718508	84502	
718508	97567	Guerrillera rural
718508	335169	Carmenza Londoño, 'La Chiqui'
718508	379459	Ximena Elizondo
718508	379668	Yolanda Urbina
718508	380122	
718508	385601	
718508	395332	Daisy
718508	399900	Ana (1996-)
718508	405777	
718509	345423	Zozette
718510	70865	Lourdes
718510	111994	
718510	134437	Madame Cuqui
718510	199030	Lucy
718510	229423	Mercedes
718510	255501	Yolanda
718510	317745	María de los Ángeles
718510	378986	
718510	380242	
718510	381860	Juana
718510	381861	
718510	382691	Laura
718510	383867	Zenilda
718510	396925	Lupe Martín
718510	396942	
718510	397735	
718510	401634	
718510	408722	
718510	409283	Gabriela
718511	98683	Pinkie
718512	190928	Jane Work
718512	194140	Triage Nurse
718512	202195	Cashier Person
718512	223084	Alice Crowley
718512	360082	Widow
718512	367807	Althea
718514	44216	Mónica
718514	66869	Secretary
718514	166020	Maria
718514	396201	
718514	398881	Mimi
718515	282944	Bus Driver
718516	387520	
718517	67209	La fille de José
718518	14208	Kim Schapiro
718519	230147	Enfermeira Pilar
718520	391900	
718520	400678	
718521	245541	Nurse
718522	145227	
718523	47588	Onlooker
718524	67445	Angie
718524	69444	Donut shop clerk
718524	107895	Lita the Waitress
718524	149971	Officer Sue Stone
718524	176854	Hooker
718524	310726	Robin
718525	53119	Juanita
718525	57422	Nana
718525	85559	
718526	51541	
718526	55941	
718526	68253	
718526	69767	
718526	100526	Marta
718526	104852	
718526	193192	
718526	246420	
718526	251322	
718526	296500	
718526	300638	
718526	339194	
718526	347474	
718526	353654	
718526	378916	Host (1979-1981)
718526	402372	Host
718526	409810	
718527	394421	Additional Voices
718528	155912	
718529	204728	
718530	162958	
718530	395044	Suzana
718531	100306	
718532	18975	
718532	32707	Landlady
718532	37062	Alora
718532	52793	
718532	52980	
718532	66101	La Directora
718532	71521	Mayra
718532	74575	Graciela Garbo
718532	80291	
718532	87115	Sara Roldan
718532	102335	
718532	112701	
718532	120088	Frida Kahlo
718532	126311	
718532	148038	Lucila
718532	157323	
718532	222854	Silvia
718532	223612	Amilamia/Young mother at park
718532	234492	Rosario de la Peña
718532	243445	
718532	247191	
718532	248747	Magaly
718532	250809	Patsy
718532	251183	
718532	256658	
718532	266821	
718532	266886	Lucia
718532	273653	
718532	347500	
718532	349471	
718532	356159	Mamatoya
718532	377099	Chona
718532	378048	
718532	390174	Inés Arteaga
718532	391523	
718532	396131	
718532	398815	
718532	400718	Paloma
718532	400797	Elena
718532	403402	Rina
718532	404985	Susana Ricarte
718532	408390	
718533	296692	Anita Diamonds
718533	374035	Narrator
718534	4620	Nicole Dupre
718534	9799	Jasmine
718534	31219	Zofia Nowak
718534	31829	Sarita
718534	32818	Mrs. Wyatt (Englsh laboratory
718534	39628	Linet
718534	44786	Sally Monroe
718534	48628	Angela Medley
718534	54567	Dona Isabella
718534	61719	Agostina
718534	71581	Albertine
718534	79922	Ingrid
718534	83985	Nora Stead
718534	86963	
718534	90398	Lady Mary
718534	91799	Caroline
718534	94141	Wanda Spence
718534	94774	Lili Scarlet
718534	112555	Fancy Free
718534	114197	
718534	118023	Isabelita Sotomayor
718534	118543	Desiree
718534	118796	Maureen Gelder
718534	150625	Odette Roux
718534	155711	Lucretia
718534	164605	Hilda Jones
718534	176974	Betty Thaxter
718534	178137	Joan Dodd
718534	183540	Turpin's Wife
718534	183709	Princess Anne/Princess Louise
718534	192954	
718534	200129	Lida
718534	204768	Laura Lanfranchi
718534	212617	Lila Hodges
718534	219747	Audrey Ashton
718534	220808	Mily
718534	254528	Jeanette
718534	256641	Princess Karjan
718534	258291	Anna Luz
718534	287354	Martha Darby
718534	291380	Herself
718534	292426	Kay Burns
718534	302267	Heather Carfax
718534	303069	Zendi
718534	306284	Queen/Witch
718534	316185	Peg Jarret
718534	330192	Mary, Manicurist
718534	331522	Kitty
718534	333162	
718534	348576	Jean Williams
718534	349874	Lila Reyes
718534	358876	Cenci Prohaska
718534	391538	Herself/panelist
718535	397015	
718536	3513	
718536	294861	Imelda
718536	409463	Azafata (1977)
718537	204268	Group Kid
718538	86554	Herself
718539	83761	
718540	281421	Maria
718541	406271	Ana-Maria Perez
718542	277360	
718543	269726	Carole
718544	165582	Glory
718544	277232	Lorena
718546	287732	Betti Martinez
718547	104498	
718547	158826	
718547	353560	
718547	384991	Cristal
718547	395044	Zuleika Monteiro Martins Frag
718547	404283	
718547	408727	Dusa
718547	412179	Lucy Fragonard
718548	379831	Hispanic Lisa (1989)
718549	41213	D.A. Summerson
718550	74351	Mujer en el hotel
718551	50133	
718551	205113	Loles
718554	175324	Lisa
718555	12730	
718555	23488	
718555	94719	
718555	132721	
718555	162067	Lady Elisabeth
718556	286313	Danseuse du ventre
718557	88368	Draginja
718557	174976	
718557	179663	Zena s guskom
718557	230097	
718557	295063	
718557	313137	
718557	328942	
718557	373599	Milka
718558	173009	
718558	263426	Andrijina zena
718558	338877	Dunja Krslak
718559	60522	La mère de Samy
718559	131215	Messaouda
718559	190628	Fatima
718559	254154	Noria
718560	144676	Donna
718561	215691	Miss Georgia USA (Finalist)
718562	215691	Miss Georgia USA (Top 10)
718563	406778	Herself
718564	29391	Sally Davish
718564	123456	Party Guest
718564	311230	Blond Beauty
718565	93982	
718566	162292	Wedding Guest
718567	394325	Collette, Erica
718567	396501	Jeff
718567	397196	Randy
718568	339410	Jeanne
718569	134573	Mouth Appeal
718569	350463	Vera Thornton
718570	51605	
718571	82886	Donald's Mother
718572	164400	Orphanage Nurse
718572	335310	Neurologist #2
718573	8569	Druhá obet
718574	249611	Sonya
718575	186246	
718576	43185	Zsuzsi
718576	96201	Cecilia
718576	144243	Éva, a hoteltulajdonos lánya
718576	163884	Iva
718576	182668	Évi
718576	201956	Kövi Katalin
718576	322060	Valkó munkatársa
718576	322152	Girálthy Eszter
718576	343776	
718577	155374	
718578	18993	Mommy Thorne
718579	96190	Louise
718580	78559	Niña
718581	610	Skyy
718581	80504	Student
718582	2917	Junge Frau in Galerie
718583	52779	Extranjera 1
718584	397566	
718584	398662	
718584	404988	
718585	6489	
718585	19461	
718585	55259	Carmiña
718585	132705	
718585	161768	
718585	164349	Jacinta Pichimahuida
718585	209024	
718585	242658	Susan
718585	308907	
718585	334448	Sonia
718585	370181	
718585	376749	
718585	383482	Carmiña
718585	383601	
718585	387936	Eugenia
718585	391420	
718585	393187	Jacinta Pichimauida
718585	397590	Lara
718585	403366	Paula Montes
718586	80160	
718586	88198	
718586	383438	Delly
718586	409790	Marilia
718587	194726	Hallway Girl
718588	386921	Pan (Blue Water dub)
718589	14434	
718589	103049	
718589	120909	
718589	256372	
718589	354944	
718590	1059	
718590	7218	
718590	9366	Polana
718590	58122	Zofka
718590	74440	
718590	82797	
718590	95606	Fortová
718590	96392	Socialni pracovnice
718590	108537	Fandy's mother
718590	115798	
718590	156166	
718590	174936	False wife
718590	175015	Doc. Ruzenka Beránková
718590	183138	Sultanka
718590	186236	Bendová
718590	189497	Gruzínka
718590	198356	Doubravka´s grandmother
718590	202585	
718590	202586	Janousová
718590	211904	
718590	223586	
718590	229558	Malvína Kolenatá
718590	234248	Mrs. Mrácková
718590	237202	Olga
718590	244014	Kalvodová
718590	258521	Alderman's wife
718590	265337	
718590	266975	Aunt Heda
718590	270725	Nyola
718590	303698	Anka Halíková
718590	320730	Head nurse
718590	322936	
718590	324113	
718590	339339	Zásterová
718590	341944	Mrs. Grose
718590	352779	
718590	374237	Vilma Hádlová
718590	375331	Vera´s mother
718590	383079	Ulcová
718590	388152	Madame Buteau
718590	399142	Dr. Fastová
718590	405729	Mrs. Smolíková
718590	407428	Grandmother
718590	407986	
718590	411960	Grandmother
718591	357976	Madame Olivier
718592	18207	Club Patron
718592	119616	
718592	156460	Pamela's Party
718592	303212	Herself, Sistas Round Table/I
718592	316225	Leisha
718593	316494	Vocalist
718594	111313	
718595	204905	
718595	205383	Eva Tumová
718595	259186	Chambermaid Ellen
718595	322676	
718595	323296	Alice
718595	352472	Veronika Pavlitová
718595	375407	
718595	376554	Chambermaid
718595	384319	Karasová
718595	399141	Irena
718595	399902	Labutová
718596	74400	Horváth Éva
718596	153962	
718596	200606	
718596	243722	Klauberg Éva
718596	352776	Helén
718597	77180	
718597	79113	Narda/Darna
718597	131716	Lisa Velasquez
718597	145619	
718597	145682	
718597	162638	
718597	163873	
718597	174303	
718597	246463	
718597	247289	
718597	284652	
718598	179653	
718598	216259	
718599	315777	Student
718600	46890	Mutter
718600	313673	Elena Popescou
718601	226012	
718602	373515	Anna Andreevna
718603	49828	Prostitute
718603	60432	
718603	88442	
718603	89786	
718603	156424	Princess Apraksia
718603	263257	Dorokhina
718603	340066	
718603	357241	Avdotya
718604	179326	
718604	272522	
718605	88450	
718606	364203	Stripper #2
718607	321952	
718608	60451	
718608	154606	Zevertseva
718609	155429	Natascha
718609	166757	Katharina Buchwald
718609	167142	
718609	259536	Vica
718609	290045	Lara
718609	325428	Rosita Ianescu
718609	325433	
718609	370188	Lili
718609	374734	
718610	88362	Lucija
718611	356802	Trigger
718612	56545	Herself
718613	292440	Herself
718614	322005	
718615	57927	Sidney
718615	110311	Ashley
718615	190208	
718615	294844	Alex Bennett
718615	310715	Make-Up Girl
718615	353273	Raynee
718615	398015	Stephanie Smith (1994)
718615	410243	Cameron Westlake
718616	70629	Herself
718617	68470	Mrs. Dawson
718617	316111	Room-service waitress
718618	173967	Elpite
718619	369873	
718620	79255	
718621	110170	Chunky Woman
718622	86267	Green Shadow
718622	197559	
718622	342598	Ah-feng
718623	61326	Heather
718623	67955	Other Appearance
718623	142809	Devon Wilson
718623	158528	Martha
718623	195549	Herself
718623	223691	Nia's client
718623	271337	Herself
718623	387021	Divine
718623	405683	Host
718624	391232	Nutritionist (2002-)
718625	91259	Stagiaire Krant
718626	51108	Soledad
718626	410147	Mère de Jade
718627	405209	Theatre Nurse (1998)
718628	315999	Chris
718629	81319	Plump patient in movie
718630	147937	Herself (survivor, Warsaw)
718631	271921	
718632	45342	Woman At 2nd Fight
718632	158358	Granny Conlon
718633	166643	Bridesmaide
718634	372555	Socialite
718635	52017	Angry Motorist
718636	61788	Featured zombie
718637	194074	Lisa
718638	261532	Herself
718639	80634	Party Guest
718640	388477	Mariko Lee
718641	202511	Ina's Girl
718642	47898	
718642	150973	Mrs. Haffen
718642	167684	Roxanne
718642	249254	
718642	292223	Eileen
718642	293085	Evelyn Parnell
718642	380570	Ellen Canby (1980-1982)
718642	381893	Connie 'Ma' Duncan
718642	397379	Rose
718643	48539	Wife
718643	336042	Spanish Woman
718644	7019	Mikes Mother
718645	128154	
718645	285034	Sister Clotfelder
718645	355365	Sandy
718646	161462	Deaf Woman
718647	380975	Herself
718647	398008	Herself
718648	335160	Widder Bates
718649	191734	Late Night Girl
718649	248478	Officer Regina Meek
718649	390180	
718650	3924	Girl 1
718650	55270	
718650	91616	
718650	138466	
718650	156958	
718650	192153	
718650	208076	
718650	369475	
718651	123141	Lucille Baker, the Dead Woman
718651	146823	
718651	188393	American
718651	241595	Bit
718652	138688	
718652	348426	
718653	198003	
718654	330163	
718655	51991	Linda
718656	76621	
718656	116062	Mother
718656	258936	Felicia Beacon
718656	285287	Patient #1
718656	306228	Woman
718657	49052	Mrs. Debney
718657	79580	Aunt Polly, David's sister
718658	65174	Ching
718658	111009	
718659	40025	Dawn
718659	188227	Patron in Chinese Restaurant
718659	319175	Reporter
718660	4184	Pappy's Sister
718660	11755	
718660	15866	
718660	15978	
718660	17341	Malu's Mother
718660	21872	
718660	25297	Janaki
718660	77809	
718660	98437	
718660	100486	Cholaiamma
718660	120239	
718660	182169	
718660	198775	
718660	213054	
718660	220861	Ganga
718660	223321	Buchamma
718660	223368	
718660	228417	Maya
718660	249645	
718660	260646	
718660	271496	
718660	271537	Rajeshwari
718660	271648	
718660	275704	
718660	277501	Chitra
718660	293299	Seeta
718660	299456	Malini
718660	300323	
718660	302098	
718660	303106	
718660	306083	Prabha
718660	312483	Goddess Parvathi
718660	318987	Venkateswarlu's Wife
718660	329235	Gigi Daniel
718660	329884	Meena
718660	350684	
718660	351140	
718660	378909	Designer
718660	389863	Hostess (1995-1996)
718660	390180	
718660	390195	Herself - Weather Forecaster
718660	402975	Designer
718660	405984	(Pledge, USC)
718661	15164	Gulab
718661	15165	
718661	18920	
718661	19937	Savitri
718661	27472	Usha
718661	45812	Kishori
718661	45813	Kishori
718661	45814	
718661	45967	Malati
718661	45995	Malati
718661	84743	Pushpa
718661	126968	Savitri
718661	184776	
718661	208776	Shashi
718661	211405	
718661	246896	
718661	252015	
718661	270767	
718661	271897	
718661	271898	
718661	367220	
718662	406103	Iras
718663	177750	
718663	185086	Carol
718663	215659	
718663	271649	
718664	57654	Couple on Beach
718664	81649	Woman in Shoestore/Harry's Ch
718664	90290	Rose
718664	300943	Elevator Girl
718665	108895	
718666	6374	
718666	58677	Sarah
718666	61383	
718666	95226	
718666	98508	
718666	140492	
718666	160750	Sara
718666	175448	
718666	176063	Wife of Aswad
718666	268062	Guest Appearance
718666	411973	Joke
718667	226253	Herself
718668	9125	Cocaine lady
718668	66650	
718668	250873	Psychiatrist #3
718668	312557	Myra
718669	251173	Binby
718670	126421	Merel
718671	15218	Flamenco dancer
718672	95871	Johanna
718672	115690	
718672	192222	Mrs. Van Renesse
718672	281496	
718672	312104	
718672	326310	Thea
718672	357389	Aunt
718672	382752	Jackie en Thomas' moeder
718672	386628	Nora Roemers (2001-)
718672	387055	Marja, Professor Greefes assi
718672	390242	Gerda Verduyn
718672	401596	
718673	142123	Herself
718674	380259	Susan Willoughby (1981-1983)
718674	385299	Maggie Bristow (1985)
718674	407185	Mavis
718674	409578	Amanda Holly
718675	11026	Midwife
718676	162613	Yvette
718677	110550	Boarding stewardess
718677	129427	1e Violiste
718678	18567	Jessie
718679	163004	Nunziata
718679	169566	Evalyn
718680	64731	Herself
718680	108897	Herself
718681	378659	Herself (2001-2002)
718682	335373	Muriel
718682	345093	Nadine
718682	406030	Océane
718683	52002	Jeanne de la Motte
718683	183227	
718683	252321	Vilma
718683	264346	Hedy, her firend
718683	375928	Miss Barbara
718685	159921	
718685	376257	De Vries' Mother
718686	138374	Elisha Springfield
718686	160324	Josie
718686	164549	Lorraine
718686	311017	Herself
718686	407577	Nicki Porter
718687	284707	
718688	125046	Mevr. van der Velde/Mrs. van 
718688	180762	
718688	189891	
718688	189896	
718688	201304	Koetsiers´ weduwe/Coachman´s 
718688	213570	
718688	229284	
718688	302054	
718688	334738	
718688	356104	Sarda
718688	357390	
718688	360916	Buurvrouw/Neighbour
718688	375092	Tiska
718688	375123	
718689	388299	Sarah De Kunst (#2) (2000-)
718690	176953	
718691	384119	Michelle (1995)
718692	282035	Suzy
718693	194836	
718694	84513	Straatzangeres
718695	378934	Herself (Hostess) (1993-)
718695	409701	Herself
718696	180160	Mali
718697	190955	
718697	374178	
718698	22681	Myosotis
718699	70192	Aicha
718699	100343	La cuisinière
718699	176116	Bournia
718699	274494	
718700	72761	
718700	399045	Herself - Astrologer (1994-)
718701	4637	
718701	348691	
718702	398800	
718703	356006	
718704	2165	
718704	75031	
718704	100601	Maria
718704	131832	
718704	224358	Herself/Porn consumer in Onta
718704	370030	
718705	8362	Woman in Pub
718705	307928	Rosie Quigley
718706	386013	Claire Anthonis (episode "Dok
718707	340111	
718708	148766	
718708	165243	Madame Lucienne
718710	17812	
718710	21502	Sandra
718710	84952	Mary Wilson
718710	88195	Patricia
718710	143906	Olivia
718710	212965	Auntie Rita
718710	319192	Emily
718711	108551	
718712	131560	Maria
718713	17375	
718713	133704	Pearl
718713	253065	Girl in the Courtesan's House
718714	5078	Reumah
718714	256449	Flora
718714	278702	Maria
718714	363261	Opera Singer
718715	96496	
718716	79854	Linda Anderson
718716	359878	Kelly
718717	11564	Nurse
718717	18612	Emma Stark
718717	32261	Store manager
718717	34611	Ida Gunkndiferson
718717	38259	Mrs. Thompson (kidnapped host
718717	50975	Mrs. Merkle
718717	106193	Nurse Worley
718717	107906	Mrs. Hebert
718717	117230	Nurse #2
718717	117231	Aunt Cindy
718717	130992	Office Manager
718717	139788	Miss Tewksbury
718717	160590	Letter Carrier
718717	163188	Sharon Denbrough
718717	169427	Lady at Mill
718717	207765	Nurse #1
718717	216445	Wedding Coordinator
718717	224027	Friend #1
718717	296227	Loretta
718717	300961	Nurse Gallagher
718717	302312	Nurse #1
718717	314812	Miss Prism
718717	315514	Woman
718717	321184	Nurse Nancy Morrison
718717	321405	Nurse
718717	360524	Townswoman
718717	362690	Center woman #2
718717	399741	Harriet Franklin
718718	135196	
718719	162098	Iolanthe
718720	48219	
718721	181086	Frida
718721	182579	Lena
718722	704	Reya Montenegro (1991)
718722	330580	T.V. Reporter
718722	385884	Isabella Solana
718722	386469	Reya Montenegro (1991)
718722	396123	Ava Rescott Forbes Alden Mast
718723	31855	Receptionist
718724	11502	Ruth
718724	64072	Young Maiden
718724	80034	Debbie Clay
718725	137298	
718725	284302	Herself
718726	370268	Yokodera
718727	209210	Refugee
718729	179188	
718729	374605	
718730	3113	Mio's Companion #1
718730	141738	Shige Kito
718730	174061	Hanako
718730	180030	Mrs. Yusa
718730	182075	Mrs. Iwase
718730	242229	
718730	373301	Nene Totsuka
718731	152734	Woman in Crowd
718732	9039	Ruth Ross
718732	10589	Mary Smith
718732	19277	
718732	22823	
718732	31357	Hope Stanton
718732	37139	The Girl
718732	44257	Jane Wilson
718732	72218	Alice
718732	77776	Helen Van Lane
718732	82948	Patricia La Mar
718732	84912	Louise
718732	94892	June Manning
718732	95849	RR President's Daughter
718732	113656	Molly Finnegan
718732	140106	
718732	142248	Det. Betty Mason
718732	146172	Mamie Shannon
718732	162564	
718732	206228	Marion Nichols
718732	220378	Enid Mash
718732	224815	Helen Holt
718732	235077	Madge Herron
718732	245380	Jean Bennett
718732	256579	Girl on Pier
718732	264159	Sheila O'Toole
718732	277979	Ann
718732	283425	Nora Kelly
718732	286140	Angela
718732	291725	Louise
718732	301609	Helen Brent
718732	301708	Marian Faer
718732	304334	Barbara Hawton
718732	305594	Helen van Smythe
718732	309528	Molly
718732	319169	Goldie, aka Bess Morgan
718732	323401	Grace Gordon
718732	329129	Molly Hollis
718732	333724	Violet Clark
718732	358163	Florence Jones
718732	363974	Mrs. Hetty Holt
718732	364007	Patience Matthews
718732	365553	June Lawson
718732	367576	Lennie Porter
718733	226102	
718733	295320	Baby Shower Guest
718733	390699	Phyllis
718734	233920	Virginia Woman
718735	26230	
718735	160125	
718735	217416	Bar Girl
718736	57557	La chorégraphe
718736	217146	
718737	111775	Die Prinzessin/The Princess
718738	163414	Lenka Szabo
718739	119157	
718739	181082	En bondejente
718740	95277	
718741	23298	Psicologyst
718741	29051	Victim
718741	52755	The Wife
718741	63821	
718741	170390	
718741	211878	Mimosa
718741	252589	Helena
718741	380156	
718741	382692	
718741	383130	Bárbara
718741	383355	Albertina
718741	384645	Olga
718741	385043	Sílvia
718741	386419	Graziela
718741	387324	Cláudia
718741	388458	Guiomar
718741	390509	Elisa
718741	391674	
718741	392628	
718741	396809	
718741	400687	Dorothéa
718741	402365	Lady Edith
718741	402456	Rosa
718741	403083	Ângela
718741	405914	
718741	408230	
718741	410096	Fanny
718742	21942	
718742	34311	Druckerin
718743	57381	Schoolroom student
718744	200282	The Secretary
718744	246861	Pajama Girl
718745	115103	Mädchen im Zugabteil
718745	186199	Lilly
718745	409958	Milena 'Milli' Sander (1997-2
718746	152936	Catholic schoolgirl
718746	202367	Little Girl Shopper
718746	230504	Lisa
718747	27145	Linda
718748	27145	Linda
718748	280576	Tic-Tac
718748	282945	
718749	364964	Sandy
718750	66038	Antonia
718750	140238	Victoria (younger)
718750	144151	Maria
718750	357163	Lara Riva
718750	375161	Franziska
718750	376021	Selbstmörderin
718751	110251	Lounge Lizard
718752	233832	Tina
718752	334393	Dr. Trixi T.
718753	10331	Roxane dancer
718754	311823	Tara
718755	43327	Operator
718756	164699	Resident
718757	88489	
718757	165954	
718757	166502	
718757	227812	Bhutnath
718757	319084	
718758	675	
718758	4192	
718758	9161	
718758	12983	
718758	168059	
718758	176109	
718758	200699	
718758	222097	Guest appearance
718758	226675	
718758	267416	
718758	297066	
718758	341686	
718758	373809	
718759	105216	Customer in Salon
718760	196844	Truth Sprite
718761	381821	Ensemble (1986)
718763	41410	Sun's Student
718765	93455	Barbara
718765	138814	
718766	101353	
718767	372555	Socialite
718768	193302	Weisse Tänzerin
718769	297457	Minerva
718770	172920	Rasa Devi's Courtesan
718771	27376	
718771	106680	Mina's Mother
718771	175984	Amani's mother
718771	187570	Leila's Mother
718772	62751	Prostitute
718772	84769	Badi Aapa
718772	394967	Savita Mansukh Virani
718773	379928	Herself
718774	100087	Deepak's Mom
718775	164880	
718776	278223	The Grandmother
718777	239756	Pusher 3
718778	254727	
718779	4200	
718779	24274	Savitri
718779	143821	
718779	164315	
718779	171785	
718779	201078	Naini
718779	204081	
718779	259986	
718779	318634	
718779	370985	
718780	173411	Kanku
718781	77663	Shabda
718781	370963	Stella
718782	22118	Queen (Susima's mother)
718782	171853	Ashfaque's mother
718782	394967	
718782	395929	Herself - Traveler
718783	107103	Zoe
718783	132739	Jeanne
718783	254761	New Girl
718784	278483	Sarasvati Tapa
718785	4172	
718785	85378	
718785	152489	
718785	262456	Laxmi
718785	267619	Bhadra Vasudev
718785	343314	
718785	370733	Chanchal
718786	52168	
718787	98473	
718787	98509	
718787	123572	Sarojini Naidu
718787	126938	
718787	141548	Inder Lal's mother (1982. In 
718787	288048	
718787	299600	
718788	175253	Namrata
718789	217360	
718790	228698	
718790	329221	
718791	218341	Tuppa Girl
718792	135704	
718792	172895	Devki
718792	249540	Mrs. Rane
718792	272260	Mausi
718792	305806	Laxmibai Tilak as old woman
718793	124953	
718794	62369	Chitralekha
718794	173497	
718794	186783	Ila
718794	227653	
718794	248558	Kiran
718794	297574	
718795	360251	Woman Reporter
718796	338194	
718797	272494	
718798	227653	Rakmini
718799	105851	Heidi
718800	61032	
718800	305915	the Naga Queen
718801	187823	Lala Kallatra
718801	350189	Charlotte Elbourne (HK versio
718801	408601	Naru Amoh
718802	157302	
718803	329656	Thaïs (soprano)
718804	61808	Worker 1 (Part 2)
718805	172995	
718805	173000	Beshium
718805	394092	Beshium
718806	117185	Princess Tsu
718806	188585	Li-Ti
718806	195096	Moy Tai
718807	283713	Chicken Lady
718808	18951	
718810	176487	Girl at Party
718811	283713	Red Dragon Waitress
718812	84956	Gizelle
718813	127655	Nancy
718814	21942	
718814	41595	Asian Woman
718814	59902	Herself
718814	123646	Prostitute
718814	306908	
718814	307325	Leder af børnelejeren
718814	335398	
718815	335197	
718816	117927	
718817	150832	
718818	185818	
718819	331089	Young Julia
718820	328643	Eltern
718820	356737	
718820	356739	Margit Kolb
718820	356740	
718820	356742	
718820	356744	
718821	14212	Woman
718822	273785	Jesse
718823	44335	Patrolman Quigsby
718823	274605	Reviewer 2
718824	261049	Showgirl Dancer #4
718825	34288	Sonja Köhler
718825	42443	
718825	49290	
718825	130215	
718825	166715	Dr. Jenny Holl
718825	188777	
718825	325697	Beamtin Huber
718825	379121	Polizeimeisterin Sonja Köhler
718825	393431	Dr. Jenny Holl
718826	103326	1st Band of Thieves
718826	296100	Mary's sister
718827	40951	
718828	172841	Rosaria Cortes
718829	43772	Maria
718829	78356	Maria
718829	123225	
718829	149237	Lise Andersen
718829	287398	Grete
718829	290779	Pandora
718830	237419	
718831	296365	Tochter/Daughter
718832	306853	Laptop Woman
718833	206900	Mrs. Pettigrew
718834	14145	Daisy
718835	119096	Alice
718836	206305	Child
718837	99885	Mireille's mother
718838	137736	3. Mädchen
718839	119709	
718840	92643	Frau mit Fotoapparat
718841	290779	Medusa
718842	55202	Carmen, a gypsy
718842	57339	Santuzza
718842	90016	La Princesse Eboli
718842	136721	Waltraute
718842	209721	Venus (Tannhäuser highlights 
718842	249339	Kundry
718842	324591	Venus
718842	339975	Isolde
718842	339977	Isolde
718842	352667	
718842	358690	Sieglinde
718842	368746	Marie
718842	407462	Sieglinde (segment "Winter St
718843	365601	
718844	93532	Choreographer
718845	142082	
718846	395505	Tessy
718847	179758	Frau Mauthesius
718848	219444	
718849	216959	Herself
718849	382689	Host (1998-1999)
718850	265101	6th Grade Student
718851	173171	
718852	62107	Eva
718852	321772	Genel
718852	387445	
718852	410839	Vera Seyfert
718853	364294	Herself
718854	98046	Kind
718854	210111	Kind
718855	176884	Cathy
718856	198349	Gigi
718857	99953	Emma
718857	261116	Salesgirl In 2nd Boutique
718857	392364	Laly
718857	409750	Laly
718858	60895	Une enfant
718859	189908	Daughter of the American
718860	316309	Mary
718861	58172	Louellen
718861	351898	Himself/herself
718862	228250	Herself - Jurylid
718863	16321	Lisa Rosing
718864	51859	The Queen
718864	94923	
718864	107785	
718864	110018	
718864	119282	
718864	169971	
718864	196079	
718864	197761	
718864	238751	Ofia
718864	265043	
718864	281028	
718864	298217	
718864	339693	Trilby
718864	350378	The Baroness
718864	368754	Marie
718865	412043	Patiente Bep
718866	126468	Miriam
718866	178631	Young Mother
718866	226352	Hinde Baldon
718866	277759	Sonja
718866	396158	Mariska Van Zuylen
718866	408221	Agnes Kok
718867	351898	Himself/herself
718868	161086	Police officer
718869	305118	Annie van den Berg
718871	65552	
718872	288417	
718873	314554	
718873	376295	
718873	377373	Anna
718874	364176	Mrs. Ben
718875	46242	Nurse Reading Letter
718876	28478	Jenny McCardle
718876	270139	Student
718876	273559	June Baker
718877	142572	Girl #1
718878	14052	Herself
718878	209902	Maid
718879	83091	Connie
718879	159859	Lille Connie
718879	176446	Lille Connie
718879	249744	Anna Pedersen
718879	306372	
718879	320621	Mary
718880	405082	Wong Yung
718881	339240	
718883	167210	Catherine
718884	104699	Mrs. Thomas
718885	352091	
718886	51807	
718887	171094	Slumber Party Girl
718889	28566	Cabriolady
718890	168446	
718891	1102	Annika
718891	18526	Carola Daitmann
718891	18536	Katharina Curtius
718891	24023	Ulla Merz
718891	35039	Sabine Köhlermann
718891	48520	
718891	92647	
718891	94383	Irene
718891	123954	Barbara
718891	175282	Helen Alistair
718891	184395	Dorothea Kleinert (young)
718891	225205	
718891	254436	
718891	275156	Clara
718891	320602	Vera Loewe
718891	343672	Sabine Boehm
718891	356837	
718891	396874	(1992)
718891	405946	Katrin Soerensen
718892	361324	
718893	275039	
718894	5134	Frau Pichota
718894	6669	Madame du Fresne
718894	11773	Rita
718894	14200	Mrs. Heinemann
718894	18075	The Mother
718894	33101	Margot Wendice
718894	40412	Frau Klapproth
718894	48387	
718894	76063	Lucie
718894	86386	
718894	93442	Frau Casparius
718894	107779	
718894	108191	Fuerstin Natascha
718894	108713	Teresa Monti
718894	122315	Reiche Witwe
718894	122493	Carola
718894	134767	
718894	140233	Tekla
718894	141948	
718894	142077	
718894	142186	Anna
718894	144327	
718894	144358	Cora Ann Milton
718894	157843	
718894	164654	
718894	166353	
718894	166739	Heriette Marx
718894	170133	Mutter Fey
718894	172168	Mrs. Martin
718894	174790	Natella Abaschwili
718894	179614	Stella
718894	184294	Herself
718894	186893	Helen
718894	189685	Fräulein von Züskow
718894	210024	
718894	210049	Mrs. Finch
718894	216258	
718894	219265	Frau Dr. Knörz
718894	219506	Dr.Klausen
718894	219702	
718894	225214	Kalman
718894	239125	Lady Chesterfield
718894	266208	
718894	270689	
718894	281724	Sophie
718894	285381	
718894	286410	Emily
718894	289387	Sabina
718894	290181	Narrator
718894	290741	Großmutter
718894	290765	Cathérine
718894	293862	
718894	294845	
718894	308062	Mrs. Pleschke
718894	317575	
718894	325508	Anna Maurer
718894	325632	Lauras Oma
718894	325804	Frau Hartmann
718894	326025	
718894	334337	Eveline De Grass
718894	338450	
718894	352525	Hilary Graythorne
718894	352580	Joanna
718894	352764	Anni
718894	352773	
718894	355729	Mademoiselle Hortense
718894	364913	Frau Zumpen
718894	376251	
718894	387445	
718894	389120	
718894	389785	
718894	389956	
718894	391078	Alwine Waldeck
718894	397765	Frau Islinger
718894	399758	Mrs. Portico (segment "Raison
718894	410777	
718894	412246	La Vatnaz
718895	12587	
718895	62178	
718895	115974	Emma Rotter
718895	145508	Cäcilie
718895	155376	
718895	266208	
718895	293800	
718895	320226	
718895	366566	
718896	21403	
718897	189754	
718898	11893	Karin
718898	42220	Frau Pastor
718898	125002	Maja
718898	133314	Doris
718898	136204	
718898	157801	Olga
718898	188800	
718898	197810	
718898	225957	
718898	239907	Anna
718898	293252	Britta
718898	338463	Viktoria
718898	347655	Carlchen
718899	16221	Lissy Könnecke, Mannequin
718899	24423	
718899	38937	
718899	40415	Tilla
718899	115813	
718899	120053	Die Zofe
718899	137640	Charlotte
718899	144177	
718899	166741	
718899	173163	
718899	179019	
718899	203403	
718899	210073	
718899	216299	
718899	223230	
718899	225246	
718899	272533	
718899	290836	
718899	322999	Erika
718899	347667	
718899	352675	Jeanette
718899	356901	Mella Ziehr
718899	366554	
718899	375091	
718900	107950	
718900	119163	
718900	254372	
718900	286780	Passantin
718900	302761	Rosie
718901	17576	Dancer
718902	40987	
718902	103135	
718902	119200	Louise
718902	144069	
718902	204553	Senior Citizen
718903	134623	Carla
718904	29149	Nashville Waitress
718905	313547	Herself
718905	344402	Herself
718906	40674	Haldiw Gudmundsen
718906	286085	Haldis Gudmundsen
718906	343401	Police Woman
718906	388307	Wenche Bjerkedal (1998-)
718907	39439	Femme-flic
718907	55869	L'infirmière
718908	46194	Melissa
718909	223	Francis's Mother
718909	6384	Maria
718909	7463	
718909	10294	Bernadette
718909	13043	The Mother
718909	42561	La concierge
718909	53245	La femme Sauton
718909	58110	Marcelle
718909	60895	Marcelle Beaugé
718909	73186	Nastassia
718909	83184	Anna
718909	83349	
718909	84593	
718909	85616	Le Professeur de Sciences
718909	101225	Mère Véronique
718909	115360	
718909	115376	Mado
718909	118185	
718909	166356	Thiévenne
718909	184645	Toutine Langevin
718909	209944	Mme Pigrenez
718909	214020	
718909	294796	Mme Francine
718909	324067	Mme de Staël
718909	340950	Madame du Lac
718909	345060	Françoise
718909	345251	Simone Lacroix
718909	353898	Madame Lebegue
718909	354582	Lise Gaucher
718909	356139	Angélique #2
718909	357099	Mme Edda
718909	387659	Félicie
718909	392580	La concierge
718909	399811	
718909	408662	
718910	280359	Juanita, aka 'Small Fry'
718911	144389	
718911	152378	
718911	166106	Adélaïde
718911	336554	Cashier
718912	203492	Child
718913	3720	Herself
718913	194066	Herself (with Ben-Gurion)
718913	316956	Herself
718913	385285	Herself (being interviewed by
718914	339974	Isolde
718915	184482	Maid
718915	297199	
718916	18544	Party Girl
718916	47820	Club Dancer
718916	49320	Salsa Dancer
718916	62117	Bellydancer
718916	107044	Girl at Club
718916	121858	Evangelika
718916	122619	Girl at Beach Party
718916	124116	Ruth
718916	131557	Gangster
718916	171700	Jennifer
718916	193175	Jodi
718916	291968	Christy
718916	302236	Rollerblader
718916	385410	Host
718917	79859	Carmen
718918	276484	
718919	98759	
718919	171532	(segment "Flor de Lys")
718920	215477	Herself
718920	215478	Herself
718920	388299	Eefje Govaert (2002-2003)/Fem
718920	410622	Melissa (1995-1997)
718921	14688	
718921	19474	
718921	43076	
718921	344766	
718921	356010	Herself (Fado
718922	146704	
718923	328035	
718924	19474	
718924	344766	
718924	356010	Graziela
718925	18999	Apolônio's Girlfriend
718925	266440	
718925	384480	Laurinda
718925	388398	Vera Gonzaga
718925	388721	Cacilda
718925	396610	Sandra Linhares (2003)
718925	401208	Sofia
718925	402593	Monah/Mariposa
718925	406833	Matilde
718926	63823	Cocotas
718927	66749	La mère
718928	43666	
718928	354213	
718928	354214	
718928	386215	
718928	386245	
718928	386252	
718928	387900	
718928	388636	
718928	392846	Isabel
718928	393791	
718928	395405	
718928	396884	Laura
718928	398502	Isaura
718928	402455	
718928	405808	
718928	407639	
718928	409407	Suely
718928	412241	
718928	412257	Karime
718928	412270	Guiomar
718929	25059	
718929	264468	Raimunda
718929	400838	
718930	203957	Mary Gregory
718931	160412	Doris
718931	310019	Hettie
718931	393790	Noenkie Basson
718932	170039	Chica burdel
718933	51414	Auguste
718934	394853	Efrat
718935	182937	
718936	227572	
718936	227584	
718936	273139	Queen of Naples
718936	351577	
718937	1218	Anita Watson
718938	1199	Adda
718938	31018	Elsa
718938	83238	Cosima
718938	87500	Une collègue
718938	166125	La femme de Mathias
718938	211152	Corinne
718938	283020	
718938	292336	
718938	319824	Gendarme 2
718938	330681	Receptionist
718938	409462	Claire
718939	19341	Herself
718939	256753	Ice
718939	334069	Herself - Host
718939	385066	Ice (2002-2004)
718940	323344	Herself
718941	255363	Herself
718942	141399	Susan
718942	195751	Dottie
718942	303455	Doug's Girl
718942	331925	
718943	252356	Allisia Krählein
718943	375166	Postbotin
718944	129231	Jenny Sullivan
718944	129843	Mrs. Hinkle
718944	163245	Mrs. Pryor
718944	213037	Evelyn Kingsley
718944	269295	Miss Wilmarth, Horsie segment
718945	257264	Bus loverette
718946	1807	Rebekka
718947	30679	Marcie
718947	61263	Susan
718947	71290	
718947	92095	Mildred
718947	282024	Mary Wright
718947	286129	Dolley Madison
718947	329477	Mrs. Carpenter
718947	372372	Cecilia Kelly
718947	396123	Juliet Crawford (1989)
718947	400236	Cindy London (#2) (1988)
718948	76571	Old Gypsy Woman
718948	223719	Yiayia
718949	129829	A-Man's Entourage
718950	23108	Mädchen
718951	18885	
718951	19863	Barbara Schneider
718951	119031	
718952	24326	
718952	33105	Micky
718952	93439	
718952	102969	Lilo
718952	105522	
718952	107879	Elisabeth Hollreiser (10 Jahr
718952	111339	Niece Dick
718952	147159	Dick
718952	152196	Dahlhoff, Monika
718952	180872	Ursula Andreas Schwester
718952	225227	Dick
718952	226354	Lotte Heger
718952	347642	Helga Barufka
718952	350851	Ulla
718952	367037	Marie Scherzer
718953	185794	
718953	292094	
718954	14293	Emma
718954	104825	
718954	108053	Baroness Gyllenblad
718954	108199	Mrs. Sörenholm
718954	129173	Hanna Glawari
718954	142784	Fru Stjernholm
718954	160873	Greta
718954	288052	Eva Haller
718954	303945	The Lady
718954	312696	Guest
718954	353032	Mrs. Beck
718955	374355	Alte Frau
718956	82699	Vicki
718956	213240	Shelly
718957	189780	Héléne
718957	191472	Marquise de la Valliere
718957	209973	Irene un Kokette
718957	324564	
718957	329899	
718958	24038	
718959	33156	Annette Koldewy
718959	351255	Herself
718960	134986	Baeckerlehrling #1
718961	213580	Yum-Yum
718962	65678	Debbie
718962	200365	Vegas Waitress
718962	219387	Mrs. Morning Guy
718963	378660	Herself - Regular participant
718963	399646	Herself - Host
718963	409153	Herself - Host (1983), Report
718964	352222	
718965	323970	Sexy Woman
718966	309134	Nursemaid
718967	92980	Marita Meister
718968	230149	Yvette
718969	403001	Herself/Road Rulers
718969	403487	Herself/Down Under (1998)
718970	340459	Other Rinzlers
718971	407309	
718972	398822	Krümel
718973	91028	Maja
718973	141962	Detes Assistentin
718973	308824	Sabrina
718973	325913	
718974	71888	
718974	75909	Urimédonte
718974	92899	Une invitée à la surboum
718974	268874	La barmaid
718974	280545	
718974	378797	Albertine
718974	401475	Chantal
718975	107241	Jeanine
718976	204354	H.S. Kid
718977	148735	Mère Séverine
718978	42842	Fontainebleau Maid
718979	120615	Angel Santos
718979	390497	Herself (4th Edition)
718980	166705	Patient
718981	90095	
718982	43087	Heather
718982	113415	Tracey
718982	191882	Shelly Burton
718983	71189	
718983	301863	
718984	247370	Herself (National Human Right
718985	18	Rene
718985	11946	Gina
718986	403904	
718987	31441	Mary McNeil
718987	41854	Nicole
718987	79875	Mrs. Trowbridge
718987	97217	Shelly
718987	107745	Marsa Cummings
718987	113386	Lee
718987	128618	Betty
718987	137959	
718987	145010	Carrie Hanson
718987	170418	Julie
718987	197014	Marijke
718987	209221	Wendy
718987	213023	Maggie Cameron
718987	280530	Suzanne
718987	289472	Alice Lonardo
718987	310616	Julie
718987	313948	Marsha
718987	346909	Isabelle Marks
718987	402386	Cadabra
718988	194682	Ruby Snow
718988	365998	Morogonai's Wife
718989	287560	Prostitute
718990	275415	Newscaster
718990	409168	Herself - Host
718991	93941	
718991	120312	
718991	213437	
718991	236274	
718991	344049	
718992	286168	
718993	69249	
718993	143781	
718993	167807	
718993	169775	
718994	120088	
718995	324934	
718996	67700	Mejor recluta
718997	41767	
718997	55959	
718997	63636	
718997	64205	Blanquita
718997	87086	
718997	114784	
718997	134173	
718997	145211	
718997	152227	
718997	158901	
718997	212480	
718997	221565	
718997	222049	(segment El imponente)
718997	236036	
718997	258175	
718997	265548	
718998	21583	Curiosa calle
718999	389688	Yolanda Restrepo
719000	287560	Prostitute
719001	115820	Patricia
719001	369870	Herself - Presenter: Best Mus
719002	253664	
719003	40447	Invitada fiesta
719004	357895	Esposa
719005	152352	
719006	71287	Young Friend
719007	296173	
719008	71287	Myrta
719009	71287	Cuban Friend #4
719010	7740	
719010	7742	
719010	7749	
719010	39258	
719010	39614	
719010	59850	
719010	112896	
719010	142500	Herself
719010	223673	
719011	168959	Herself
719012	157578	Safiya's Attendant
719013	166763	Johanna
719014	287977	
719015	20895	Telli
719016	174859	Dina
719017	357976	Mea
719018	122398	Soeur Alain 2
719018	211146	Femme Fakhi
719019	23519	Gamra
719021	34828	
719021	44656	
719021	101547	Prostitute
719021	296995	
719022	13417	Black Whore
719023	396718	Gracinha
719024	75707	Claire
719024	148886	Waitress 1
719024	194339	Kerry Grant
719024	261634	
719024	300856	
719024	368336	Karen
719025	97920	
719025	122782	
719025	162862	
719025	229488	
719026	144577	Exercise Class
719027	72765	Lorabella
719028	50993	Myriam
719029	50993	Malika
719030	35671	Mother
719030	50111	
719030	254846	Mom
719030	358362	Mother
719031	405292	Extra
719032	397726	Herself
719033	70178	Guest
719034	57929	ABA Student
719035	157676	
719036	142433	Gretchen, a Waitress
719037	91881	La Perla model
719037	283713	Girl in Car
719038	138161	Joey 'Joe' Bartel (Baby Joe)
719039	210361	Herself
719040	138161	Joey 'Joe' Bartel (Baby Joe)
719041	115424	
719042	264876	
719043	56929	Herself (Special Guest)
719044	344437	Stefanella
719045	251619	
719045	256707	
719045	339066	
719045	353066	Giulia
719046	91066	Herself
719046	252723	
719046	320343	
719046	340690	Camilla
719046	348180	Clara Vannucchi
719047	4003	
719047	36909	
719047	48169	Diogee
719047	50389	
719047	81368	Woman On Boat (Herself)
719047	108754	Herself
719047	340271	
719047	368160	Herself
719047	368162	Herself
719048	268318	Teresa
719049	9340	Angela
719049	342587	
719050	80303	
719051	399628	Biker Chick
719051	402963	Nurse
719052	368538	
719053	233433	
719054	166638	Lady Elizabeth 'Bessie' Beaco
719055	349408	Sanni
719056	1959	Venla
719056	104276	Wilma
719056	184789	Paula
719056	188421	Bookstore Seller
719056	188933	Piia
719056	331782	
719056	351141	Veera
719056	387499	(episode 3: "Poliitikko")
719056	391466	Rosa
719056	410455	Seija
719057	397377	
719057	397460	
719057	404054	
719058	25527	
719058	64261	
719058	86077	
719058	165907	Annesa
719058	175457	Lastri
719058	208375	Saidjah
719058	290434	Baboe Kemp
719058	358379	
719058	397460	
719059	9179	
719059	36613	Judge Faccini
719059	56367	Bice
719059	60934	
719059	61047	
719059	77833	
719059	94707	Lucia
719059	97164	
719059	112926	
719059	121326	
719059	133389	Marta
719059	159536	
719059	198599	Neta
719059	207966	Caterina
719059	212558	
719059	294408	Nico's Mother
719059	379901	
719059	383143	
719059	384758	
719059	386740	
719059	388753	Giovanna Corti
719059	392741	Melli Franca
719059	406346	Eva's Mother
719060	17557	
719060	106805	
719060	264251	Margot
719060	269110	Maria Letizia Bruneschi
719061	9179	Francesca
719061	14832	Elena
719061	14894	
719061	14896	Federica
719061	19745	Vandale
719061	23525	Giulia
719061	30723	Marisa
719061	33685	Armida
719061	49678	Marta
719061	55485	
719061	56367	Giulia
719061	67787	Maria Grande
719061	70005	
719061	77716	Contessa
719061	84632	
719061	85463	Marietta, detta 'Claquette'
719061	86820	Anna
719061	89832	Mariangela
719061	94737	
719061	107033	Tania
719061	112692	Stefania
719061	112926	Salome
719061	113559	Elena Malva
719061	115062	Kala
719061	124569	Ofelia Pecoraro
719061	127941	Angela
719061	158856	
719061	161759	Igi
719061	193044	Maria Antonazzi
719061	214317	Fiore
719061	219525	
719061	219707	Princess Bithia
719061	226431	Veronique Cash
719061	235741	Fulvia
719061	238789	
719061	243362	Cassandra (episode "Agamennon
719061	247642	Cinzia
719061	247967	Unchosen actress
719061	248260	La fille du maire
719061	252652	
719061	254206	
719061	259704	Sandra
719061	259712	Giovanna Abastanza
719061	263194	
719061	263273	Prostitute
719061	289211	Fiorenza
719061	293342	Giuliana, the judge
719061	298085	
719061	306421	Lira
719061	334668	Giacinta, Moglie di M.
719061	338633	Raffaella Pavone Lanzetti
719061	348198	Anna Tortora
719061	354881	Rosaria Licata
719061	355611	
719061	355633	Marianna
719061	380991	Irene Salvi
719061	384111	Valeria Contini Bingham
719061	396171	
719061	400415	
719062	8138	
719062	8433	Singer
719063	168686	Aunt from Musik SAT
719064	403534	Herself - Participant
719064	403536	Herself - Participant (2001)
719065	277839	Rope Act
719066	184681	Taylor
719066	201260	Young Mrs. Trimble
719066	245437	Woman
719067	118865	Mary
719068	310130	Nerdluck Bang
719069	169136	Lydia: Dan's Wife
719070	48700	Herself
719070	388445	Programleder (2001)
719071	10205	La coiffeuse
719071	76058	
719071	100024	Ismène
719071	136645	La directrice
719071	206966	Mme de Rouvres
719071	246017	English teacher
719071	249125	Adèle
719071	390470	
719072	325536	Rosmarie Kaindl
719073	122653	Strolling girl singer
719073	164275	Model
719073	172382	
719073	197411	
719073	311237	
719073	346851	
719074	180637	
719075	23415	Solarieflicka
719077	315605	Peter
719079	118763	Mental Patient
719079	259284	Oral Board Member #2
719080	550	Lisa
719080	126442	
719080	178674	Miss Joan
719083	83766	
719084	35524	Ticket Booth Girl
719084	262112	Sandy
719084	291903	
719084	382419	Kristen Forrester Dominguez #
719084	400236	Kelly Cramer Buchanan Buchana
719084	406952	Tess Marin (1999)
719084	411802	Veronica Rodriquez #1 (1997)
719085	34371	
719086	202178	
719087	392394	Field Reporter
719088	114973	
719088	352677	Sabine
719088	401058	Ruth Pawlak
719088	403925	Susann
719089	62302	Natalia 'Tali' Ramos Pacheco 
719089	384119	Natalia 'Tali' Ramos Pacheco 
719089	384120	Natalia 'Tali' Ramos Pacheco 
719089	394017	Roberta 'Tita' Ponce
719089	403404	Natalia 'Tali' Toledo
719090	272465	
719091	176699	
719091	176701	
719091	345213	
719092	153398	Herself - MF, Soc.Dem.
719093	394646	Herself
719094	47191	Demonstrator
719095	32083	Jessie Bucke
719095	40334	Ruth
719095	46340	
719095	64795	Olivia Pollard
719095	74005	Betty Munson
719095	76524	Lew
719095	77152	Honey
719095	87115	Kim Dades
719095	88087	Linda Ryan/The Momataur
719095	94726	Leann Brighton
719095	153205	Susan Nolan
719095	171690	Pretty Girl with Dog
719095	210233	Diane
719095	213502	Witch #1
719095	222575	Pat Todson
719095	249503	Sandy
719095	306868	Lilac Gentry
719095	308673	Mona
719095	313625	Laura Stark
719095	350155	Rita
719095	364612	Gatou Vardebedian
719095	394676	P.K. Kelly (1984-1985)
719095	402473	Margaret Callahan (1987-1988)
719096	223885	Pablo's Girlfriend
719097	322403	Mucama hotel
719098	72973	Signora con coniglio
719099	379879	Silvia
719100	2090	Danielle
719100	306042	Jamie Seed
719101	152984	Ingrid
719101	177530	Clara
719101	185952	Comedienne
719101	391067	Carla
719101	396359	Various (2002-2003)
719102	280588	
719103	183912	
719104	246479	
719104	365526	Woman of Goona
719105	50984	Anneke
719105	73989	Margaret Kenney
719106	229046	
719107	302963	Sinta
719108	25586	
719108	49042	
719108	87005	
719108	99960	
719108	112787	
719108	145119	
719108	152422	
719108	156159	
719108	156189	Pia Tesoro
719108	172159	
719108	181829	
719108	185734	
719108	198720	
719108	200662	
719108	208547	
719108	222108	
719108	297084	
719108	302978	
719108	308857	
719108	339208	
719108	382906	Herself (1995-1997)
719109	80558	Couple on Street
719110	31508	Mother
719111	380249	Olivia
719112	240315	Shopper at Slim's
719113	150421	Hostess
719114	269816	
719114	313282	
719114	321025	
719114	359439	
719115	16041	Marta Montez
719115	26306	Marta Montez
719115	27207	Reporter #4
719115	72554	Cecilia Tagliarino
719115	224376	Maria
719116	31880	Herself
719116	91840	
719116	103451	
719116	178086	
719116	224244	Jane
719116	233693	Woman at Play
719116	251866	Peggy Sue
719116	258043	
719116	269816	
719116	280185	
719116	297238	
719116	319458	
719116	321022	
719116	321160	Herself
719116	367831	Writer
719117	129784	Evy
719118	185581	Lucy
719119	168746	Shalonee
719119	379210	
719120	512	
719120	4017	Chihiro
719120	19768	Lieza
719120	20458	Kelly McCanon
719120	20459	Kelly
719120	20460	Reporter
719120	31053	Kris
719120	38338	Mrs. Kui/TV Announcer/Cindy
719120	46135	Additional Voices
719120	54891	Chiharu Mihara
719120	63711	Additional Voices
719120	63712	Elensh
719120	72237	Additional Voices
719120	86545	Mrs. Kamiya
719120	98675	Miz Mishtal
719120	98676	Miz Mishtal
719120	109452	Brownie
719120	110257	Rain Qin
719120	122110	
719120	122113	Maureen (Miaka's classmate)
719120	138135	Cyberdoll Mami
719120	156103	Leah
719120	171655	Toto
719120	195629	Naru Narusegawa
719120	199109	Ghost Ship officer/Airport an
719120	217377	Vivien (English version)
719120	283624	Fujiko Mine (Manga Video Engl
719120	299125	Miz Mishtal
719120	307189	Public Annoucement
719120	313338	Maria Traydor
719120	336577	
719120	369525	Shelley Godwin
719120	373381	Keiko Yukimura (AnimeWorks Vi
719120	378718	Youko Nakajima
719120	379484	Couple, Chizuru Aizawa
719120	380605	Maki Agata
719120	381401	Kris Kristopher
719120	381960	Louise Ferry
719120	384133	Pub Persocom, Additional Voic
719120	385151	Space Gate
719120	387419	Miz Mishtal
719120	389791	Mother
719120	390730	Mikan, Reporter, Mayuko Asano
719120	391257	Vivian, "Super Cheap Restaura
719120	391948	
719120	392338	Sakura Bokuseiinmonzeninari
719120	393552	Additional Voices
719120	394016	Additional Voices
719120	394423	Al's Teacher
719120	394424	Nina Purpleton
719120	394427	Sally, Village Merchant
719120	395167	Silvana Bridge Observation Of
719120	396440	Nova
719120	396484	Rin Todoroki, VESPER Agent
719120	397187	Riho Yamazaki
719120	400576	Additional Voices
719120	402729	Naru Narusegawa
719120	402899	Rose, Claire Maltese
719120	403965	Kaoru Kamiya/Kuro
719120	404060	Yumeji
719120	404122	Francoise Arnoul/Cyborg 003
719120	404572	Mimori Kiryu
719120	404879	
719120	406702	Additional Voices
719120	407828	Amane
719120	408439	Mom
719120	408893	Meryl Strife (English dub)
719120	409817	Miyu (English dub)
719120	409831	Parfait Underberg/Parfet Balb
719120	411289	News Reporter/Ms. Nakamoto/Sa
719121	224375	Susan Hall
719122	79761	Mother
719122	131372	Computer Voice/Vampiress 2/Ou
719123	316061	
719124	243934	Oscar's Great Great Granddaug
719125	120785	Shura
719126	321766	
719127	66661	Young Girl
719128	343571	
719129	26472	Guide
719130	353845	
719131	266513	Additional Voices
719132	281054	Actress
719133	99590	
719134	183557	Phoebe
719135	38882	Sharon
719135	49637	Teacher
719135	69845	Monica's golf partner
719135	103444	Nadia
719135	109912	Georgie
719135	117192	Janice Kellner
719135	130636	
719135	133995	Magda
719135	150139	Lorna
719135	153246	Chief Hostess
719135	154745	Lorna
719135	222584	Paula Dane
719135	222613	Miss Nardis
719135	245134	Eleanor
719135	292170	Dolly
719135	294909	Younger Woman
719135	295392	Mrs. Kilgore
719135	314979	Lady Brinkley
719135	323026	Mrs. Drake
719135	351740	Sheila
719135	365716	Honey
719135	388493	Georgie
719135	395163	
719136	79530	
719136	185115	Lily
719136	213268	
719136	382419	Claudia Cortéz (1996-1997)
719136	389858	Lily Rivera Corinthos (1995-1
719137	121314	Hermana del Chacal
719137	187769	
719138	56332	
719139	87508	Nora Bishop
719140	397827	Laly
719141	398008	Herself
719142	129440	Yacht woman
719142	144402	Mrs. Flores
719142	169401	Italian Lady
719142	208878	Townswoman
719142	319769	Farmer's wife
719143	381202	Ælling #2 (2001-)
719143	389307	Fie
719143	394128	Fister
719144	43924	Wishbone
719145	106474	
719146	25814	Hannah Lucas
719146	28455	Cloe
719147	33076	OC Scwester
719147	107504	Princess Florella, a Fairy
719148	218785	Diana Floss
719148	223713	Wife
719148	308713	Alice Fermoyle
719148	343192	Sara
719148	346006	Doreen
719148	369505	Parker Eastman Clarke
719149	14645	
719149	14773	
719149	74737	
719149	160092	
719149	170947	
719149	292731	
719149	301188	
719149	377114	
719150	88852	Nora Webb
719151	344782	
719152	58505	Nurse
719152	58510	Princess
719152	73114	Girl
719152	80751	Slave
719153	28229	
719153	280400	Verona
719154	130903	Mrs. Rogers
719155	215340	Bettina
719156	54784	
719157	16950	
719157	397682	Marie
719158	22019	
719159	244582	
719159	306647	Zinochka
719159	340431	
719159	356575	
719159	375483	
719160	227229	Sanam
719161	211230	Seda
719162	82660	Brunette Reporter
719162	105619	Miss McCarthy
719162	207525	Lori
719162	241277	Ty's girlfriend
719162	396145	Girl #2
719163	224430	Suzanne Abraham
719164	247066	Valentina
719164	407518	Herself (Winner)
719165	48831	Ciega
719165	74161	Claudia
719165	96320	
719165	270058	Tamara
719165	284331	Marta
719166	389003	
719166	398361	
719166	401500	
719167	242933	Katarina
719168	357785	Rouva Körmy
719168	357786	Rouva Körmy
719168	357787	Rouva Körmy
719168	357788	rouva Körmy
719168	357789	Rouva körmy
719169	83961	Shina
719169	97027	Head kidnapped model
719169	110974	Cheryll
719169	217913	Asylum Inmate
719169	256206	Basement slave
719169	259864	Supermarket Victim
719170	39068	
719170	217022	
719171	135919	Indian Village Person
719171	264742	
719172	388364	Herself
719173	180309	
719174	265111	Student
719175	194590	Bi Siti
719176	56850	Priska
719177	403771	Emma
719178	57936	Herself
719178	257650	Herself (Miss February)
719178	257831	Miss June 1992
719178	257866	
719178	301824	Bonnie
719178	361851	
719179	68328	La mère
719180	304243	J.J.
719181	96335	Beata
719182	91423	
719183	163496	Old Interpreter
719184	263194	
719184	286418	Female Victim
719184	354872	
719185	66956	Young Woman
719186	20625	Extra
719186	51975	Inmate
719186	109673	Brazilian Opera Troupe
719186	143191	Maid
719186	149952	Old Woman
719186	163220	Italian Woman
719186	215862	Young Woman
719186	231768	Scrubwoman
719187	51256	
719187	147035	Granny
719187	167022	Tereza
719187	181251	Grandmother
719187	189491	Curíková
719187	281214	Kubrychtová
719187	284012	Vanková
719187	324119	Frau Mala
719187	330050	
719187	339339	Matka
719187	396071	Herself
719187	405984	(Rush Chair, USC)
719188	26519	
719189	396718	Geralda
719190	7204	Moeder Noppen
719190	124903	
719190	165354	
719190	234879	Karin/Shop Girl 3
719190	243624	Moeder
719190	329894	Ingrid
719190	351293	Vrouw van Hotelier
719190	357380	Mevrouw van Vliet
719190	373732	Strenge juf
719190	394479	Politieagente
719190	398575	Recherche Fiod
719190	407762	Tecla Zwart
719191	88050	
719191	112649	
719191	112693	
719191	247963	
719191	263621	
719191	312248	
719191	338633	
719191	352235	
719191	356012	Noemi
719191	357135	
719192	6444	Antoinette
719193	17155	Katy
719193	264875	
719194	89726	Jennie, Fría Jennie
719195	57894	La Chinoise, servante aux ass
719196	96198	
719198	117230	Marissa 12 months
719199	132071	
719200	188007	Sveta
719201	3392	
719201	180344	Young woman
719201	198505	
719201	367853	
719201	377143	Tímea's sister
719203	296314	
719204	242848	Großmamma Emma
719205	377	Marta & Pilar
719205	12535	Laura Moncada
719205	12855	Alka
719205	14397	Sarah
719205	14961	
719205	33508	Paola
719205	33521	Isabelle
719205	33811	Giuliana Caroli
719205	46161	Olly
719205	56078	Duchess of Cornaro
719205	56079	Thelma
719205	60131	Monica
719205	64862	Ilona
719205	68646	
719205	70896	
719205	85610	Eva Kant
719205	85861	
719205	89578	Paola
719205	91533	Mrs Morelli
719205	92356	Klara
719205	99237	
719205	100640	
719205	106953	Kim Lombard
719205	110385	
719205	119771	Françoise Fayol
719205	154430	Selina
719205	158604	
719205	159433	
719205	186935	Erica Meuring
719205	188768	Juanita
719205	189392	Violante Castaldi
719205	189433	
719205	200159	
719205	200789	Carlotta Gavina
719205	204442	
719205	207277	Sophie
719205	213800	Jasmina Sanders
719205	226324	Liliane
719205	229599	Carla
719205	230893	Charity Farrel
719205	231673	
719205	237789	Yo
719205	240269	Agatha
719205	248690	Greta
719205	251600	
719205	252107	Patricia Bataille
719205	265464	Amanda
719205	283060	Judith Gare
719205	284108	Lilian Ranger
719205	293479	
719205	294214	
719205	294425	Michèle
719205	295160	Anna Sartori & Maria Sartori
719205	317527	Gloria
719205	326220	
719205	337733	Frieda
719205	342114	
719205	344466	Jusy
719205	345605	Susan Dumurrier/Monica Weston
719205	360960	
719205	387770	Chantal
719206	216039	
719207	93282	Hooker
719208	24985	Casquette
719209	171063	Woman in Welfare Office
719209	231090	'Nihilistic' Woman
719210	52966	
719211	242289	
719212	187243	Miranda
719213	155358	Sina
719213	259919	
719213	376126	Dani Krause
719214	169136	Soloist/Child Chorus
719215	243273	Samitra
719216	336705	Melissa Strickland
719217	344292	
719218	240208	Elsa
719219	320582	Waitress
719220	225800	Jemma's Friend
719221	105487	
719222	70899	
719223	56545	Herself
719224	57061	Herself
719224	147703	Herself
719224	348106	Herself
719225	366746	Nurse #1
719225	366751	
719226	35812	Ardelia
719227	34260	Lilli
719227	204477	
719227	265503	Mrs. Stonehay
719227	366524	
719228	20329	
719228	55183	Carmen
719228	128966	La gitanilla blanca
719228	234470	
719228	242945	Conception de la Playa Serra
719228	281302	
719228	328408	
719228	351572	Miss Liana
719228	354912	
719228	354913	
719229	401743	Mary Ann Tamblynn
719230	20329	
719230	128966	Doncella 1
719230	201191	
719230	212777	
719230	218528	
719231	153547	
719232	251148	Landlady
719233	158537	
719234	38	Carola
719234	23108	Guest appearance
719234	28724	
719234	34410	Bernauerin
719234	75877	
719234	91172	Claudia Danner
719234	93416	Frau Pelikan
719234	104623	Regula
719234	110079	Margarete
719234	125293	Gabriele Gessmann
719234	155428	Laura Montesi
719234	160258	Connie
719234	167317	
719234	187557	Lotte/adeliges Fräulein
719234	193929	Aurelia
719234	200948	Elise
719234	207062	Lilli
719234	215984	
719234	239456	The Woman
719234	239938	
719234	248394	Angelika
719234	267117	Frau Magiaro
719234	284125	Damroka
719234	314471	Rosa
719234	325729	Miriam
719234	361296	Bella von Buttlär
719234	361517	Marlene
719234	365568	
719234	365591	Bambi
719234	384301	Caroline
719234	397949	Norma Desmond
719234	403791	Sylvia von Kampen
719235	386580	Linda
719236	291653	Herself
719237	31776	Angry Patron
719237	149743	Shena Hill
719237	242940	Wendy
719238	55816	Maria
719238	91157	
719238	111566	
719238	169540	
719238	217049	Jeanne Hébuterne
719238	217607	Frau Daria
719238	229649	
719238	303620	Rosa
719238	354960	
719239	274427	Wedding Party in Philadelphia
719241	87151	
719241	96395	Gisèle
719241	324517	L'élève
719242	225401	
719243	302403	Clase de cuarto
719244	296722	Janet Forrest
719245	362984	Eight Year Old Nereen
719246	411146	Faro
719247	56871	Teacher
719247	67593	Woman
719247	358114	Mrs. Rose
719248	81764	Customer
719248	142319	Mutter 1. Familie
719248	198938	
719248	381382	Olympiade-Logiergast
719248	394330	Rosalie
719249	57714	
719249	57715	
719250	183815	
719251	203492	Playground Bully
719252	25782	
719252	103903	(segment "A Morte da Porta-Es
719252	148469	Dinorah
719252	160988	
719252	187529	Alice
719252	243391	
719252	269830	
719252	291892	
719252	352159	
719252	381773	Tânia
719252	390054	
719252	390658	
719253	34496	
719254	61690	Claire
719254	127096	Marianne
719254	127996	Suelinha
719254	149933	Mrs. Mason
719254	159511	Silvia
719254	210508	
719254	210541	Emily Mary Cartwright
719254	263551	Renate
719254	318732	Louise St.Leger
719254	375187	German Stenographer
719254	385891	Angela
719254	400814	Francesca Simcox
719254	405677	Angelica/Lily
719254	405962	Miriam Leivers
719255	382375	
719255	396899	Carmem Figueiredo
719255	397198	
719255	398501	Irene de De Souza Duarte
719255	402537	Helen
719255	402539	Grace Rockfield
719255	410104	Leonor
719256	17760	Alvy's Classmate
719257	82449	Nadja
719257	143085	The Bride
719257	298436	The Girl at the Spring
719257	333518	Mona Merwin
719258	168151	The Three Comforters
719259	250379	Zoe
719260	231920	Sandra
719261	32057	Jeahne
719262	159703	The Huldre
719263	51483	CHUD Housewife
719264	133003	
719265	388721	
719265	397540	
719266	391674	Alice
719267	397645	Jurema
719267	398503	
719268	57212	
719268	73655	
719268	219229	Clementina
719268	392031	
719268	402456	Brásia
719268	402928	Jandira
719268	404888	Cornelinha
719268	405401	Cláudia
719268	410287	Dora
719268	412258	Benedita
719269	167076	Margarida
719270	388263	Herself (guest)
719271	85620	
719271	125787	Cleonice
719271	168372	
719271	169054	
719271	219229	Violante
719271	296314	
719271	379244	
719271	387903	
719271	389587	Nina0
719271	399481	Tetéia
719271	399490	Rosalinda
719271	399498	Leonor
719271	401095	Gisélia
719271	403200	
719271	405337	
719271	409424	
719271	411739	
719272	27820	
719272	70771	Maria Bonita
719272	98757	Marisa (segment "Namoro no Es
719272	101575	
719272	105865	
719272	112759	
719272	120909	
719272	133007	Zélia Penteado
719272	164232	
719272	190772	
719272	205142	
719272	206963	
719272	207623	
719272	295094	
719272	296314	
719272	339995	
719272	341133	
719272	354213	
719272	386245	
719272	388636	
719272	397440	
719272	398548	Branca
719272	405808	
719272	407800	
719272	409902	
719273	25058	
719273	278617	
719273	286574	
719273	341136	Dulce
719274	215939	
719275	144789	Alien Stormtrooper
719276	103791	kidnapper
719276	384991	
719276	387730	Teresa
719276	388416	
719276	400678	Olga
719276	405101	
719276	405418	
719276	409407	Marina
719277	260429	Herself
719278	66277	Obofa
719279	32044	Consuela
719279	45781	Stacy
719279	55132	Gwen Brock
719279	65449	Audrey
719279	126495	Trinity/Con Artist
719279	159521	Lola
719279	201598	Dial S Woman
719279	245761	Marita
719279	272857	Nette
719279	291054	Girl in Alley
719279	291226	Tori
719279	298076	Chandler
719279	310320	Mars Girl
719279	335058	Townspeople
719279	336301	Maribel Naranjo
719279	399740	Rachel
719279	401894	Lily Esposito
719280	234614	
719281	92407	
719282	23615	Sangaride
719282	56636	Télaïre
719284	81118	Anne Barthel
719285	326807	
719286	50381	
719286	291003	
719287	141663	
719288	213318	Helena
719288	221233	Mary Ann Disraeli
719288	283933	Mrs. Leithman
719288	290352	Cherry
719288	307899	Carol
719288	386233	Grace Mitchell
719288	388726	Hilary Makepeace
719288	391879	Avril Hemingway
719288	394474	Christine Brown
719288	404196	Cassie Dent/Crossman
719288	405962	
719288	406936	Miss Faversham
719288	410837	Jean Cromer
719289	141592	Squaling Girl in Parking Lot
719289	230508	Additional Voices
719289	239033	Groupie
719289	242111	Mrs. Zucker
719289	274729	McCarthy Girl
719289	347712	Additional Voices
719290	127572	Linda Norris
719290	131629	Rita Pickering
719290	165450	Mrs. Cooper
719290	406354	Margaret
719291	188453	Opening Sequence Girl
719292	259347	Nun
719293	202673	Herself
719294	108617	Harassed Mother
719294	165450	Leah
719295	284231	Vocals
719295	353915	Clara
719296	39404	Dottie
719297	216233	Azelma
719298	7245	La femme d'Angelico
719298	18319	La chaisière
719298	29812	
719298	47158	Éloïse
719298	51953	Marie
719298	54246	
719298	64715	Joséphine
719298	67180	La mère de Dollboys
719298	77351	La Sous-Maitresse
719298	83211	Queen
719298	83280	
719298	84666	
719298	85532	Nun
719298	94535	La mère supérieure
719298	111693	La mère de Mathias
719298	132998	Sophie
719298	148707	Madame des Perthuis
719298	167200	
719298	174635	
719298	175675	
719298	199301	Old Woman at Fair
719298	205618	La marchande de journeaux
719298	206602	
719298	216233	Mlle Baptistine
719298	218331	
719298	228794	
719298	251300	Anaïs Talacayud
719298	260040	La vieille joueuse
719298	264436	Madame Renard
719298	280778	Mlle De Porhoet
719298	322360	La vendeuse
719298	332203	
719298	356370	Une commère
719298	357117	Madame Berthier
719300	6778	Piper
719300	331624	Stacy
719301	64090	Miss Brewster
719301	116151	Bit Role
719301	139082	Doris
719301	158364	Sophisticated girl throwing k
719301	204708	Model
719301	215748	Showgirl
719301	285713	Hotel guest
719302	61303	Water Teen
719303	33644	Lucretia
719303	34729	
719303	35738	Linda
719303	37008	Nina Wentworth
719303	46806	Gina, Student Teacher
719303	149722	Natalia
719303	150408	
719303	236143	Rosa, cocktail waitress
719303	292652	Ruth Martyn
719303	306438	Paulette
719303	326966	The Wife
719303	333626	
719303	395754	Jo March
719305	127983	Suor Pace
719305	251323	Rosalia
719305	251609	
719305	251626	Zia Gilda
719305	328895	La padrone di casa
719306	4656	(segment "Mundo mágico")
719307	154869	Restaurant patron
719307	330999	Featured Dancer
719308	129768	Anorexic Girl
719308	145414	Karyn
719308	243150	Katie
719308	248878	Girl at Poker Game
719308	386547	Isabelle Meyers
719308	389289	Cindy Sanders
719309	222271	
719309	249072	(segment 5)
719310	76997	
719310	154541	
719310	178717	
719310	258675	
719310	320655	
719310	349258	
719310	357693	
719310	370192	
719310	374785	
719311	125658	
719311	277834	
719312	7564	
719312	283833	
719312	381225	Irina Lebedeva
719312	392522	
719312	409372	Lieutenant Anastasia Abdulova
719313	229035	
719314	187802	
719315	266212	
719316	82491	
719316	215597	
719316	217456	
719316	267803	
719316	284044	
719316	305910	
719316	320709	
719316	323623	
719316	341217	
719316	344278	
719316	357617	
719316	370166	
719317	7317	
719317	47054	Old wohman
719317	52548	His Mother
719317	62276	Pani Pumpkin
719317	88617	Sasha's mother
719317	130199	
719317	171673	
719317	179318	
719317	179613	Mother
719317	198092	Student Galya B'strova
719317	208656	The Queen of Wilis (in ballet
719317	229021	Grandma
719317	244114	
719317	244253	
719317	246345	
719317	299411	Mother Gorikova
719317	306103	Grandma
719317	334846	
719317	341025	
719317	341236	Rayechka
719318	241799	Extra
719319	3054	
719320	330204	Herself (rescuer, Ukraine)
719321	206786	Marusia
719322	42590	Liberty
719322	380449	Amália
719323	287484	
719324	30513	
719325	116642	
719326	410104	Cida
719327	88805	Mrs. Silva
719327	110666	
719328	260989	
719329	16508	Neire Bell
719329	219581	
719329	269555	Ballet Teacher
719330	5747	Teresa
719330	201145	Clara
719331	107878	Francesca
719331	383441	Miguel's secretary
719331	384117	Manu
719331	405936	Marília
719332	247486	Azores' Girl
719333	381246	
719334	108104	Adua
719335	14689	Voz da Providência
719336	73518	
719336	89993	Cida
719336	398501	Nair
719337	76066	
719337	104166	
719337	104285	
719337	110211	
719337	134487	
719337	169027	
719337	184824	
719338	89572	
719338	270802	Murder Victim
719339	113304	
719339	247571	Vanessa, Teen Fan
719340	75030	
719340	178321	
719340	321761	Herself
719341	39627	Duchess
719342	309213	Co-ed slave
719342	385466	Mrs. Cooper
719343	100754	Jess
719344	104943	Sorority Girl
719345	340755	Juror
719346	176525	Colonist
719347	380108	Irina
719347	397623	Juliana Fioritti
719348	270840	
719348	322066	
719349	2653	Jill Stark
719350	236322	
719351	291015	
719352	305391	Sexy Girl
719353	154625	
719353	204792	
719354	151109	Jeanie
719355	73841	Sue
719356	350186	Ho in Bar
719357	105322	Herself
719358	310168	Herself (Pilot, STS-92)
719359	398046	Herself (1999)
719360	104746	Luxembourg entry (13th place)
719361	79616	Waitress
719362	335155	Youngest Hatty
719363	114271	Fanny, the Vampire Lover
719364	83929	Patrice
719364	92479	Coreen
719364	196580	Suzie
719364	202389	Girl on Bike
719364	281913	Stephanie
719364	381999	Cyndi
719365	323499	Rachel
719366	378034	Herself
719367	353660	
719368	343160	Woman in Evening Gown
719369	332015	Miss Southern 500
719371	2626	Trophy Girl
719371	62545	Lexus
719371	149258	Party Girl
719371	245028	Desiree'
719371	309477	Hair Client
719371	330701	Friend
719371	339937	Beautiful Babe
719371	359715	Karen
719371	390115	Herself
719371	390116	Prankster
719372	114915	Club Bouncer
719373	160000	Melody Lounge Dancer
719374	80785	Amy
719375	230857	Moonbeam
719376	68455	Classroom Student
719376	238073	Girl in Park
719376	345636	'Young' Jessica
719376	360596	Girl in food court
719377	298161	
719378	3145	Lisa Halberstam
719378	37894	Rich Woman
719378	403565	Herself/Correspondent
719379	33023	Herself
719379	162533	
719380	195455	Angry Neighbor
719381	302299	Taxi Driver
719382	105263	Child in Classroom
719383	47174	Performer
719383	212026	Herself/Performer
719384	326298	Caro
719385	230080	La rivale di Xenia
719386	331421	Cigarette Girl
719387	93064	Housewife
719388	66131	Tree
719389	93665	
719390	114952	Paula Danvers
719390	281052	
719391	156494	Mother Fay
719392	364012	Mother Superior
719393	12738	Cleaning Lady
719393	16644	Elderly Patient
719393	58771	Rosa
719393	72464	Mrs. Jenkins
719393	77127	
719393	80444	Boarding House Woman
719393	86797	April
719393	117345	
719393	118337	Landlady
719393	141404	Lady on Stairs
719393	154087	Miss. Forbes
719393	222203	Fanny
719393	231659	Old woman
719393	289217	Song Mimer
719393	300772	Dot
719393	311873	Rose
719393	312391	Woman in Street
719393	327145	Madame
719393	328788	Mrs. Arnold
719393	379396	Edith
719393	382516	Old Lady
719393	397477	Mrs. Keen
719393	399130	Moina Beresford (1994)
719393	402012	Mrs. Finch
719394	97133	Beth Williams
719394	112743	Jackie
719394	386577	Geraldine Waring
719394	390887	Lois (1973)
719394	397521	Mother
719394	404646	Marjorie Smith (Series 2-3) (
719394	406297	Geraldine
719394	408091	Lady Victoria Arlington
719394	411688	June
719395	134178	Greg's pupil
719396	250559	
719396	279508	Francesca Franchini
719396	366315	Fanny Milligan
719397	402139	Esta
719398	338777	Mrs. Hawkins
719399	248318	Meehan
719400	191372	Taxi Dancer
719401	363633	Yoga Woman
719401	411355	Young Nurse
719402	24951	Gwen
719403	158439	Delphine
719403	169818	Margery Holroyd
719403	315067	Alice
719404	151743	Pat
719405	40057	Mrs. Scratchit
719405	43987	Herself
719405	47191	Clarissa
719405	108950	Mrs. Tall
719405	150876	Prudencia
719405	151589	Mrs. Sylvia Wailace, Bagley's
719405	193917	Dora
719405	217741	George's Wife
719405	291503	Crow
719405	296900	Committee Chairwoman
719405	344683	
719405	349130	Curator
719405	363790	Woman in dole office
719406	12182	Sis Hopkins
719406	26356	Sis Hopkins
719406	38806	Mrs. Jack Armstead
719406	91707	Sis Hopkins
719406	91937	Sis Hopkins
719406	95095	Sis Hopkins
719406	111900	Sis Hopkins
719406	115685	Sis Hopkins
719406	143167	Sis Hopkins
719406	160040	Sis Hopkins
719406	170160	Sis Hopkins
719406	186695	Sis Hopkins
719406	196988	Sis Hopkins
719406	197526	Sis Hopkins
719406	203740	Helen DuBrose
719406	266570	Sis Hopkins
719406	280860	Sis Hopkins
719406	295186	Sis Hopkins
719406	297882	Sis Hopkins
719406	303147	Sis Hopkins
719406	363184	Sis Hopkins
719406	366677	Sis Hopkins
719407	39707	Mrs. Davidson
719407	133972	Meg Hart
719408	362330	Mrs. Plymouth
719409	65959	Mrs. Dixon
719409	251832	Undetermined Role
719410	54354	
719410	230080	La rivale di Xenia
719411	321306	
719412	43787	Meg
719413	140184	Cousin Maria
719414	183871	Trudy
719414	401021	Nicki Lee (1963-1964)
719415	57380	Los Angeles groupie
719415	197809	Sandra
719415	280450	Herself (vocals))
719415	303964	Lovely Girl
719416	263972	Herself
719416	267565	Wendy-The Revolution
719416	337206	Choir soloist
719417	13096	
719418	226702	
719419	80557	Det. Wessberg
719419	315241	Estelle
719419	362597	Gym Worker
719419	375250	Mayor Angela Harris
719419	385653	Nurse
719420	124838	
719421	41388	Model
719421	115884	
719421	118965	
719421	120164	
719421	142188	
719421	159562	
719421	172524	Woman in yellow dress
719421	189805	Resl
719421	224501	Anne
719421	225122	Angie Berger
719421	272531	Frau auf Orgie
719421	275049	
719421	308246	
719421	381689	Leichtes Mädchen
719422	133307	
719423	198435	
719424	93505	
719424	182246	
719424	325936	Anna Stahlberg-Zeulig
719424	368738	
719425	96326	Maria
719426	75142	
719426	110231	Chelo
719426	203838	
719426	209298	Woman from Asturias
719426	222855	
719426	277365	Nana
719427	100306	
719428	385058	Carmen
719429	114099	Nurse #2
719430	354041	
719431	372027	Victoria Barreno
719432	274719	
719433	180672	Yellow
719433	214799	Girl
719433	216182	Zdena
719434	166370	Tatiana
719435	145647	Elena
719435	249881	Angustias
719435	257362	Madre de Jorge
719435	378946	Montse
719435	401657	Carmela
719436	62348	
719436	63961	
719437	155659	
719438	368374	Peggy
719439	287085	Nungshi
719440	170713	Trader's Assistant
719440	378952	Host
719440	403551	Host
719440	404794	Host
719441	229821	
719442	288748	Mack's Friend
719443	254388	Amsterdam Diplomat
719444	40336	Troiano's Girl
719444	121761	Rapariga
719444	215039	
719445	84095	Mena Peña, Minerva
719446	307808	Tamara
719447	401884	Herself/- Finalist
719448	401634	
719449	306226	Strawberry Woman
719450	85077	Jolene
719450	130016	Lyla
719450	169895	Maria Rodriguez
719450	230816	Roberto's Mother
719450	263516	Jesse Garcia
719450	266770	Anna
719450	387638	Sofia Cordero
719451	156460	Night Club Dancer
719452	3388	
719452	91274	
719453	61202	
719454	145244	
719454	353232	
719454	378986	
719454	381607	
719454	385847	Elena
719454	387916	
719454	396941	Nina
719454	396942	
719454	404287	Victoria Herrera
719455	286655	Sabrina
719457	96335	
719458	111088	La femme à la chèvre
719459	41245	Chomel/Pontianak
719459	180249	
719459	260060	
719459	302657	
719459	303343	
719459	318618	
719460	195771	Person in Restaurant
719461	195771	Person at the Paris Opening
719461	275485	
719462	60695	
719463	214793	
719464	88489	
719465	260435	Devochka
719466	137106	
719467	254153	Fille du chef indien ('Le ran
719468	216984	
719469	345378	Child
719470	139360	
719471	157222	Miss Parker
719471	251693	Laura
719471	304059	Dot
719471	398003	Const. Amanda Strongeagle
719472	258118	Une religieuse
719473	33639	
719474	342503	Flower Girl
719475	64949	Con de mime #3
719477	349022	Undercover detective
719478	390	Sirene/Donna
719478	67890	Cinzia
719478	197588	
719479	72140	Dancer
719480	176724	Molly
719480	211516	Hailey McKinnon
719480	272776	Yard Sale Girl
719480	364511	Baby Jessica (newborn)
719481	18019	Woman Sitting with Nick in Ca
719481	44463	Maria
719481	51764	Rosie
719481	51975	Inmate
719481	52361	At the Hotel - Maid
719481	54451	Girl in tavern
719481	56113	Woman
719481	60952	Rita
719481	79371	Dancer
719481	81269	Mrs. Martinez
719481	83960	Maid
719481	84854	Maria
719481	85067	Spanish Girl
719481	86804	Mexican Woman
719481	103241	Lupe
719481	103292	Maria Chavez
719481	127394	Lupe
719481	134039	Bit Part
719481	139050	Maid
719481	143499	Store owner's wife
719481	151104	
719481	169817	Isabel (Silky's cook)
719481	170459	
719481	187079	Mexican Woman
719481	194052	Bumboat Girl
719481	194643	Lolita Delgardo
719481	203325	Juanita, the Mexican Woman
719481	215862	Telephone Operator
719481	230281	Rosita
719481	232394	Consuela
719481	235676	Maid
719481	286179	Convert
719481	292129	
719481	311530	Mother
719481	315899	Hotel Manager
719481	320025	Flower Vendor
719481	337852	Cantina Dancer
719481	339101	
719481	360482	
719481	363282	Cashier
719482	236615	
719483	18501	
719483	93401	
719483	290855	
719483	361377	
719484	398850	Lucía Zamorano
719485	19878	Grazia
719485	58052	Laura
719485	102364	
719485	113703	La donnina con la 'voglia di 
719485	120911	
719485	176643	
719486	80864	Detective Joana Garcia
719487	221556	
719488	70325	Mister Walloon's mother
719489	274785	
719490	312419	Caretaker
719491	47839	
719491	370192	
719492	278305	Herself
719492	363130	Herself
719493	135074	Yalan
719494	37731	Halina
719494	58243	
719495	204602	Mom of Kidnapped Child
719496	292700	Mama (Iryna Dobrovich)
719496	294595	Tori
719497	51089	Charito
719497	61332	Lena
719497	68909	Silvia
719497	198190	Vanessa
719497	206558	
719497	247168	Amiga Vanessa
719497	255485	Dominique
719497	261465	Ella
719497	328154	Ana
719498	102527	Kurier
719498	282104	Stammgast und Personal Rossin
719498	361031	Miriam
719499	2634	Sonia
719499	85002	Backup Singer
719499	114642	Marcia Sayles
719499	134195	Yogurt Customer
719499	147844	Casting Director
719499	148901	Lab Technician
719499	196572	Chad's agent
719499	235647	Emma
719499	291495	Doris Cross
719499	316116	Shirley Wiegand
719499	317341	Tanning Salon Receptionist
719499	360874	Christine
719500	201444	Little Girl
719501	19336	Voix de Julie
719502	23001	
719503	116799	Dr. Barnes' Receptionist
719504	203308	Jeanne Laroque
719505	332907	Lia
719506	234412	
719507	356697	
719508	263287	Suzanne
719509	197246	
719509	197254	
719509	197265	
719510	46234	Gatehouse MP
719510	351187	Paramedic #2
719510	363478	Helene Smith
719511	129427	Anna Richter
719512	77362	Julia
719513	99044	Doctor
719513	171050	Diana
719513	380391	Rhoda 'Molly' Ordway Randolph
719514	251801	Retirement Home
719515	115686	Teacher
719517	45460	Patty
719517	59590	Patty
719517	59593	Violet
719518	45461	Frieda
719518	257517	Frieda
719518	306178	Frieda
719519	13532	
719519	169991	Cathy
719519	186498	
719520	29408	
719520	96070	La prostituée flamande
719521	383683	Dottie
719522	212770	
719523	390272	Golddigger
719524	282908	Woman By Pool
719525	19770	
719525	294798	Reporter
719526	150920	Late student
719527	1508	
719527	80364	Lydia
719527	142893	
719527	271213	Stormy
719527	289390	Casey
719527	292685	Pamela
719527	330221	Sara
719527	402800	Additional Voices
719528	13073	
719528	66360	Narrator
719528	82565	Eva
719528	99107	Maria
719528	160728	(segment "Dois Dedos")
719528	164241	
719528	287241	
719528	352851	
719528	380387	Carmem Damaceno
719528	380531	Olga
719528	381773	Renata
719528	382690	Lia
719528	382741	Diva
719528	383550	Dona Ana Joaquina
719528	383584	Vânia
719528	385876	Patrícia
719528	386505	Carolina
719528	387104	Jerusa
719528	388940	Elza
719528	396126	Emília
719528	396795	Carmem Rocha
719528	397409	Maria Moura's Mother
719528	397547	Godóia
719528	398877	Karina
719528	399713	Catarina
719528	402504	
719528	402530	Terezinha
719528	402582	Fatima
719528	403032	Sílvia
719528	403118	Donana
719528	403308	Stella
719528	404915	Edite
719528	405401	Angélica
719528	405418	Vera
719528	405451	Flor
719528	406987	Titina
719528	407801	Maria Valéria Terra
719528	407868	Ana (Giuliana's Mother)
719528	408212	Aída
719528	410375	Renata
719528	412181	
719529	19469	Amélia, Hermes' maid
719529	57447	Ana. José's wife
719529	89398	Flora de Abril
719529	94480	Woman on trial
719529	234642	Lúcia
719529	236303	
719529	252748	Hot-tempered lady
719529	263925	Joana
719529	273115	Guidinha
719529	287488	Isabel
719529	325125	Luísa, Manuel's bride
719529	337866	Teresa
719529	341140	
719529	344726	Luísa
719529	354736	Maria
719529	357195	Beatriz
719530	340305	Maria Pequena
719530	344885	
719531	396874	Paula Poppel, geb. Aicher
719532	134487	
719533	130677	Woman in dance hall
719534	67662	
719534	395302	Luzia
719535	25158	
719535	217388	
719536	243391	
719536	380612	Margarida
719536	386377	
719536	393791	
719536	411579	Dora
719537	1529	Monica Fuentes
719537	11121	Gina
719537	61768	Kir
719537	87566	Maria Serranco
719537	98681	Herself
719537	105852	Trish
719537	132413	Herself
719537	146780	Sara
719537	223768	Matilda
719537	231798	Bridesmaid
719537	241143	Ajedrez
719537	243928	Herself
719537	245219	Alex Diaz Whitlock
719537	245222	Herself
719537	317309	April
719537	337814	Sara Harris
719537	348608	Vanessa
719537	361353	
719538	54197	
719538	68255	
719539	105263	
719539	144763	White Hawk
719540	84093	
719541	85595	
719542	18478	
719543	3186	
719543	54103	Camilo's wife
719543	216542	Fernando's mother
719543	268292	Francisco's wife
719543	272292	Alexandrina
719543	277585	Luísa
719543	325125	Door-keeper
719543	344721	Lúcia
719543	344726	João's neighbour
719543	354736	
719543	378384	Maria Rosa
719544	104485	
719545	68574	
719545	205709	
719546	92041	
719546	104480	
719546	111153	
719548	35116	
719549	148483	Caixa do supermercado
719550	252591	
719551	70116	
719552	327096	Rita
719552	385444	Herself/Host (1999-2000, 2002
719553	114384	Heidi
719554	218491	
719554	278617	
719554	328879	
719554	344799	
719555	193701	Young Mercedes
719556	171411	Hooker with Boris
719556	393841	Herself (1991-1992)
719556	402630	Liza
719557	198605	Sylvie
719557	269742	La Cliente Péage
719557	302901	Magali
719557	355847	La cliente du père
719557	380978	Estelle
719558	200018	Tracy
719558	387832	Cristy
719558	400738	Shiela
719559	61100	Sandra Corsieri
719560	61100	Chiara Ross
719560	238073	Model
719561	333395	
719562	59703	Charlotte
719563	383518	
719564	21596	Donna
719565	341931	Choir Singer
719566	61159	Betty Boyd/Mona Gale
719566	141003	Chiquita Ramerez
719566	220263	Betty
719566	235421	Beryl Wellman
719567	85122	Snake dancer
719567	94879	Belly Dancer
719567	232318	Dancer
719567	247554	Lucette
719567	297871	Night club dancer
719567	329693	Belly Dancer
719567	352497	Stripper
719568	148255	Woman on Airport Phone
719570	183213	Ballroom Dancer
719571	257626	
719571	269270	Enfermera #2
719572	37553	Princess Bonita
719572	69301	Joy Carroll
719572	70214	Peg, call girl
719572	151095	Linda Richards
719574	34741	Shamila
719574	336704	
719574	383964	Betty Ann
719575	44571	Journalist
719575	387700	
719576	142464	Stripper
719577	304718	Mother
719577	381218	Herself/Host (1999-2000)
719578	194938	Villager
719579	37725	
719580	16360	
719580	28295	
719580	28387	
719580	30866	
719580	30870	
719580	45444	
719580	103774	Elena
719580	105560	
719580	152170	
719580	156161	
719580	159747	
719580	191474	
719580	247605	
719580	284655	
719580	284669	
719580	296545	
719580	301484	
719580	322736	
719580	324281	Clara
719580	387832	Elena
719580	400738	Minerva Capito
719580	404050	Nelia Domingo
719582	273298	
719583	128604	Model ("Stormy Sunday" Segmen
719583	128756	Herself
719583	197866	Herself
719583	367792	
719585	255347	Extra/Voice Over
719586	67057	Oscar's Mother
719587	101849	
719588	252529	Isolina
719589	37397	Maria Petruzzio
719590	396582	Herself (2002)
719591	264394	
719592	212629	Lourdes
719593	274524	
719594	1950	María
719595	155013	Girl/Jack's movie
719596	47077	Clover Cheerleader
719596	228298	Pyramid Team
719597	380795	Irene Molet (joven)
719597	392806	Laura
719597	395885	Shandira
719597	405415	Maribel
719598	350138	
719599	125766	
719599	322371	Madre de Ion
719600	34484	
719600	287733	
719600	357187	Asun
719601	300623	
719602	104753	Luxembourg entry (8th place)
719603	117826	
719604	145246	Alicia
719605	197481	Bambolina
719606	380128	Beatriz Quintana
719607	341181	
719608	300827	Cabaratera 1
719609	205439	
719610	344687	Angela Emilinha
719611	75667	
719611	78018	(segment "Kinky Sex")
719611	145312	Spanish Maid
719611	274236	
719611	369342	Det. Sgt. Lucy Lane
719611	380192	Herself (Series 3) (1987)
719611	384695	Various roles
719611	384728	
719611	395384	Various roles (1985)
719611	398301	Juliet Nichols (1991-1992)
719611	398680	Claire Phillips
719611	398727	Sophie Johnson (2001-)
719611	402478	Various Characters
719612	43244	
719613	48933	Garota de Programa
719614	382724	Marcinha
719615	410104	Rita
719616	100009	
719617	42976	
719617	205220	Maria
719617	307828	
719617	386728	Dora
719617	395089	Dadá
719617	396126	Zeli
719617	398503	Do Carmo
719617	400098	
719617	400662	
719617	401104	Nice
719617	401208	Gigi
719617	402504	Lurdes da Silva
719617	403326	Hermínia
719617	409025	Alzira
719618	54815	Dalva
719618	70683	Ana
719618	269534	Malu
719618	341146	Maria Rosa
719618	385024	Amanda
719618	387640	Letícia
719618	388065	Vera
719618	396506	Rachel Cohen
719618	398549	Margarida Olinto
719618	403171	Buba
719618	404834	Leila
719618	409419	Maria Bonomi
719619	211021	
719619	307472	
719620	400289	
719621	383328	Soraya
719622	404912	
719622	409424	
719623	68590	
719625	275304	
719626	337151	
719627	64700	
719627	112105	
719627	186163	
719627	212420	
719627	371786	
719627	376787	
719628	3326	
719628	4972	
719628	71158	
719628	199295	
719628	295147	Kilkenny
719628	317769	
719628	327931	
719628	351997	
719628	376691	
719629	42911	Herself
719630	259269	Julie Chester
719631	51099	
719632	43931	Desiree
719632	284524	Julie
719633	344267	Sabina
719633	370780	
719634	65006	Friend
719635	293575	
719636	288455	
719638	399084	Rosita
719639	41743	Drug Dealer
719640	4528	Gina teacher
719641	151122	Lover
719642	106952	
719643	197420	Kelly
719644	10288	
719645	265325	
719646	376793	
719647	274346	Newscaster
719648	74215	Additional Journalist
719649	327632	Francine
719650	15412	Young Carla
719650	381686	Brooke
719650	400738	Flerida Macaspac
719651	51733	Profesora
719652	40448	Esposa Juan
719653	80116	
719653	266872	
719653	279837	
719653	285957	
719653	390733	Katalina
719653	396873	Maria
719654	47084	Cynthia
719654	254519	Maddie
719655	42311	Bulldozer
719656	9428	
719656	16656	
719656	38927	
719656	183143	
719656	183907	
719656	187851	
719656	208551	
719656	222470	
719656	336568	
719657	82681	Carmen
719657	144788	Givens
719657	176487	Susan
719657	312092	La Sadgirl
719658	2685	
719660	59885	Lorena's Office Receptionist
719661	123864	Billy's mother
719662	64813	Elaine Santos' Sister
719662	231492	Pretty neighborhood flirt
719662	266902	Maria Garcia, Snobby Junkie a
719663	42632	Angélica
719663	380110	
719663	381026	Celia
719663	386109	Marilinda Garcia
719663	398218	
719663	403753	
719664	63405	
719665	39495	Terry
719666	105312	Marie
719667	5268	
719668	100341	
719669	140990	Police Officer
719669	190461	Knowles Kid
719670	391173	Daniela
719670	392212	Liliana
719670	392971	Ana Victoría Fuentes
719670	397862	Isabel Méndez
719670	398471	Emma Brandt
719670	398483	Fátima Romero
719670	410297	Susana Bencecry
719671	387479	Janddy (2000-)
719671	396216	Lucía Estrada
719672	377112	Campesina
719672	409922	Olga
719673	296134	
719674	240819	Marisol Pagan
719675	287406	Histérica
719676	5268	
719677	52549	Host
719677	62678	Host
719677	90430	Host
719677	238508	Wedding Participant
719678	379043	Nelly
719679	54719	
719680	52302	
719680	95421	
719680	96279	
719680	96298	Lupita
719680	103641	
719680	111560	
719680	145225	Invitada a fiesta
719680	157185	
719680	192940	
719680	205024	
719680	243700	Vanessa del Valle
719680	253319	
719680	270062	
719680	272667	
719680	272668	
719680	286989	
719680	287863	Elsa Miller
719680	291650	
719680	296125	
719680	302982	
719680	339158	
719680	341342	
719680	351027	
719680	411660	Rossy
719681	3349	
719682	323668	Chica minimarket
719683	701	
719683	74534	
719683	77240	
719683	211264	
719683	293963	Beatriz
719683	296444	Laura
719683	324174	
719683	351627	Luz
719683	401916	
719683	402050	Shandira
719684	12159	
719684	150543	Prostitute
719684	260901	
719684	370098	
719685	53087	
719685	306826	
719686	41454	Juanita
719687	12203	Alicia Santiago
719688	259236	Sévérine
719689	39480	
719689	46767	Alma's Maid
719689	86972	Mag. Stefanie Wörmann
719689	104746	Austrian entry (16th place)
719689	147263	Herself
719689	164905	Landlady/party leader
719689	167142	Gabi Reischl
719689	189436	Herself
719689	204470	
719689	268921	
719689	293133	Dr. Kleindienst
719689	308680	Herself
719689	354056	Olga
719689	386637	Mrs. Viehweger
719689	394049	Gitti Schimek
719690	178012	Ashley
719691	7623	Little girl on bus
719692	377061	
719693	205967	Marion's pal
719694	7623	El Hadj's mother
719695	15356	
719695	37481	Wendy
719695	73277	
719695	77248	Fernanda
719695	86708	Dependienta parque
719695	101890	Milagros
719695	136182	
719695	196728	
719695	198246	Alcaldesa
719695	253667	Sra. Gruesa
719695	281650	Secretaria
719695	301181	Rocio
719695	310302	Concierge #1
719695	377210	Mamá Mora
719696	188453	Opening Sequence Girl
719697	205487	Guillaume
719698	27857	
719698	51920	
719698	90197	
719698	153333	
719698	191581	Sra. Pinzón
719698	222907	
719698	273030	Isabel Acuña de Churruca
719698	290437	
719699	362348	Herself
719699	396332	Herself (2001)
719700	396873	Victoria
719701	397340	Co-presenter
719701	400992	Eleni Alexaki
719701	402291	Hostess (1995-)
719702	409419	Tônia Carrero
719703	238010	
719704	184290	
719704	219676	
719705	105462	Starlet at Audition #3
719705	205994	Looter
719706	369982	Young Helena (Nena)
719706	369984	
719706	369985	
719706	369986	
719706	411603	
719707	121828	Gerdas Schwester
719708	12708	
719708	14728	Tamara
719708	122101	
719708	196659	Maria da Graça
719708	216210	
719708	252070	Herself
719708	260429	Nick
719708	264119	
719708	278575	Herself
719708	319491	Xuxa
719708	338234	
719708	338239	Aninha
719708	338246	
719708	369893	Xuxa
719708	369979	Sofia
719708	369980	Kira
719708	369981	Kira
719708	369982	Helena (Nena)
719708	369983	
719708	369984	
719708	369985	
719708	369986	
719708	387424	
719708	401087	Herself
719708	401594	Host
719708	405236	Host
719708	408592	Herself
719708	411597	Host
719708	411602	Host
719708	411603	Host
719708	411604	
719708	411605	Host
719708	411606	
719709	280129	Amiga 2
719710	205588	Catine, the mother
719711	33149	
719711	67237	Colombina
719711	199314	Madame Cartô
719711	235925	
719712	178051	Woman in Bar 3
719713	217886	
719714	159449	
719715	106041	
719716	6459	Madhavi
719716	101660	Sridevi
719716	179285	Kunjamma
719716	222452	
719716	242921	Malu
719716	408557	Herself - Dancer/Performer
719717	5701	
719717	7368	
719717	7515	
719717	12977	
719717	23187	
719717	26002	
719717	33840	
719717	34046	
719717	34057	
719717	34502	
719717	39085	
719717	43291	
719717	76717	
719717	96436	
719717	99394	
719717	137596	
719717	139375	
719717	140595	
719717	140706	
719717	140708	
719717	159868	
719717	172012	
719717	174017	
719717	177876	
719717	177896	
719717	179195	
719717	206241	
719717	242334	
719717	285566	
719717	293664	
719717	294130	
719717	295510	
719717	296415	
719717	296417	
719717	307029	
719717	307037	
719717	333033	
719717	350837	
719717	377505	
719717	378217	
719718	16644	Obstetrician
719718	42716	Victoria
719718	87699	Gwen
719718	157193	Gwendolen Fairfax
719718	269901	Renee Pelagie
719718	279611	Aileen
719718	393335	Jenny Hanson
719718	408109	Thelma McKenna
719720	313334	Bus ride to Los Angeles
719721	189294	
719722	210840	Nurse
719723	185540	Luis' Mother
719723	390733	
719724	188453	Belly Dancer
719725	234398	
719726	67634	
719727	2555	Gomez
719727	12986	Connie Flores
719727	24503	Emily
719727	115562	Roxie
719727	157063	Cleopatra
719727	178221	Miranda Castillo
719727	192729	Catherine Langtry
719727	223895	Maria
719727	264131	Coach Sonia
719727	282429	Becky Lord
719727	293744	Sara
719727	305951	Bella
719727	314169	Dress
719727	314674	
719727	386897	Teresa Morales/Teresa Morales
719727	405123	Elena (1995)
719728	387698	Silvia
719729	327592	Gaia Players: Angel of Death
719729	397401	Nurse Lynn (1996-1999)
719730	400341	Herself (2002-2003)
719731	51811	
719731	121222	
719731	156374	
719731	246194	Cruz, Don Moshe's wife
719732	55777	Sister Matilde
719732	129992	Matilde
719732	197950	Hostess
719732	281785	
719733	197577	
719734	212242	Old-Fashioned Girl
719735	61135	
719736	12372	
719737	294796	Une voisine américaine
719738	388565	
719739	341157	
719740	112758	
719741	213590	Schoolgirl
719742	396506	Spanish Woman
719743	229702	
719744	57453	Maria Betim
719744	83458	Cláudia Land
719744	157236	Lúcia (segment "Eu, Ela e o O
719744	159014	Marquesa de Santos
719744	184299	
719744	225053	Cristina
719744	246469	Rosa
719744	248303	
719744	378772	
719744	379822	Cristina Ramalho
719744	381583	Zoroastra
719744	382724	Rosemere
719744	383678	Miranda
719744	385023	Teresa Fonseca
719744	385522	Kiki
719744	386212	Bárbara 'Baby' Silveira Bueno
719744	386213	Cecília
719744	387830	Leila Lombardi/Rosana
719744	387898	Clementine
719744	390506	Marta/Ana Célia
719744	390658	Marta
719744	390751	Roberta Leone
719744	391901	Esther
719744	393005	Lara/Diana/Márcia
719744	393615	Jordana
719744	397787	Zana
719744	400678	Ana Preta
719744	401103	
719744	401944	Dona Coló
719744	402371	Julia Braga
719744	402807	Laurinha Figueroa
719744	403740	Rosa Malena/Simone Grandet
719744	404273	Doña Sol
719744	404814	Angela
719744	404834	Laura de Andrade e Couto
719744	407561	Ava
719744	408592	Marta Toledo
719744	409413	
719744	409419	Camila Matarazzo
719744	409428	Maria Rosa
719744	410245	Stela
719745	356968	Jú
719746	395089	
719746	398793	
719746	399645	Lourdes
719747	103748	Helena Cardoso
719747	114815	
719747	228141	
719747	234633	
719747	336110	
719748	212132	
719749	87055	
719750	58764	Herself
719750	219408	
719750	355823	Herself
719751	57981	
719751	220786	
719752	396651	
719753	269028	
719754	43665	
719754	337444	
719755	383727	Iara
719755	387833	Júlia
719756	196	Venus
719756	118813	Francisca 'Fanny' Owen
719757	92840	Shirley
719758	1585	
719758	134065	
719758	161878	
719758	170015	
719758	184465	
719758	268629	
719758	332519	
719758	368068	
719759	274037	Hong Ling
719760	120355	Christine
719761	62112	Aunt
719762	61808	Li Weihong, Chinese Ballerina
719763	222162	A Professora de Chinês
719764	72931	Goodyear Chorus Girl
719765	77895	Guiying
719766	121013	Kristin/cook
719766	343700	Emerald fairy
719767	12674	
719769	113975	
719770	220165	
719771	183844	Lady Agatha
719772	11895	Birgit
719773	129762	Gnome Maiden
719773	236119	Debbie Dawson
719773	408358	Alison Endicott
719774	236601	
719775	359434	Zoe
719776	74914	Reneé
719776	300623	
719777	16363	Trudl (4)
719778	373871	
719779	285608	Prostitute
719780	12806	
719780	43209	Loginova
719780	49828	Mme. Renaud
719780	82491	
719780	89981	
719780	207999	
719780	297458	Vanda Savich
719780	357457	
719781	51775	
719781	380948	Host (1990)
719781	383557	Bibi (1998)
719781	387420	Hostess
719781	396179	Danielle Pascal
719781	400668	Host (2004-)
719781	400840	Virginia (2002)
719781	401907	
719781	402056	Asistente (1988-1990)
719781	404058	Hostess (1985)
719781	404980	
719781	412122	Paloma Velázquez
719782	287607	Louise
719783	211662	
719784	5740	
719786	209170	Dancer
719787	377594	
719788	51657	
719788	52087	
719788	77234	
719788	87685	
719788	87970	Herself
719788	90691	
719788	104471	
719788	113698	
719788	121890	Poet
719788	125412	
719788	127438	
719788	188655	
719788	197301	
719788	234970	
719788	246428	
719788	249250	
719788	252635	
719788	281116	
719788	281122	
719788	291546	
719788	292269	
719788	293346	
719788	315447	Beatrice
719788	332931	Countess Natka
719788	341836	
719789	205542	Child
719790	106597	Mother Reading Story
719791	309786	
719792	369195	Abigale
719793	119581	Snack Shack Girl
719794	251190	Extra
719795	123303	Waitress
719795	135992	Tong's Blonde
719795	372505	
719795	380713	Emily Stewart Munson #4 (1992
719796	338020	Villager
719797	150885	Sally Matthews
719798	252357	Fabienne
719799	378614	Kamermeisje
719800	278734	Danseuse tzigane 1
719801	34273	Vrouw
719801	92464	
719801	166100	
719801	171797	Juffrouw Van der Tak
719801	175243	
719801	213551	Emmy Gé
719801	254988	Evelien Bossél
719801	378614	Roos Cuyl
719801	394639	
719801	412033	Zuster Ignatia
719802	382289	Additional Voices
719802	389464	School Child 2
719802	411884	Additional Voices
719803	374302	Bertha
719804	115379	Isabelle
719804	137936	
719804	189623	Nora
719804	376573	Pati
719805	164573	Herself
719805	267039	Herself (Editor)
719805	367883	Herself
719806	21529	Barbara
719807	96770	Cheerleader #2
719807	190273	Andrews Sister #2
719808	312774	Herself
719809	60461	Mother
719809	85954	Herself
719809	190182	Fidel Castro
719810	18570	Tall Woman
719810	42799	Jodie
719810	116776	Hippie
719810	140960	Marge
719810	144760	Cocktail Waitress
719810	316501	Guerilla Theatre Troupe
719810	327161	Voice on the Freeway
719810	329309	Maddy
719810	330794	Angelo's Associate
719811	289650	
719812	405678	Herself
719813	41432	
719813	133791	
719813	200048	
719813	269321	
719814	60442	
719814	279860	Female Technician
719816	17665	
719817	388166	Jenny
719818	19882	
719819	10675	
719819	16411	Eve
719819	48176	Copine de Malika
719819	65995	Brunette Girl
719819	83373	Julie
719819	90824	Laurence
719819	92044	Vanessa
719819	96171	
719819	101714	
719819	105835	Elodie
719819	166119	
719819	225369	
719819	237315	Marie
719819	346829	
719819	396261	Laurence
719820	24180	
719821	953	Sara
719821	9911	Vivienne
719821	155020	Young Girl
719821	291036	Lisa
719821	330479	Susan LeGrow, The Bound Woman
719822	292225	Additional Voices
719823	10844	Jill
719824	231704	Blinde Nelly
719825	23112	Annas Mutter
719825	244680	TV-Ansagerin
719826	32372	Lisa
719827	59973	
719827	117594	
719827	143454	
719827	150325	
719827	173079	Herself
719827	242517	
719827	257993	
719827	330666	
719827	348511	
719828	213577	Presumed Chorister
719829	55570	Laura Bell
719829	218667	Vendeuse
719829	344970	Cathy Piller
719830	121832	Liz (girl in car)
719831	60148	Elegant Lady
719831	389695	Card Dealer (1981)
719831	404150	Assistant (1983-1984)
719831	411853	Hostess
719832	1445	Herself
719832	21296	Herself
719832	212806	Herself
719832	228977	Herself
719833	237675	Tuxedo Dandy #2
719834	322513	Inge
719835	269483	Peggy
719836	175899	
719836	370979	
719837	209577	Aswathy
719837	227211	Aparna
719838	233201	
719839	3156	Teesta
719839	17664	Khatun (Special Appearance)
719839	22118	Nandaneshwari
719839	29026	
719839	31510	
719839	85446	Preeti
719839	136879	
719839	162686	Dancer
719839	172129	Santhali
719839	172476	Special Appearance (song)
719839	206173	Isha
719839	262373	Sheela
719839	264541	Lucky
719839	298811	Sanya
719839	349603	Special Appearance
719840	349016	Gauri
719841	171717	
719842	4939	Madhavi
719842	60002	Sr. Theresa
719842	86755	
719842	172023	Bhavani
719842	174065	
719842	174963	Radha's Mother
719842	208774	
719842	232874	
719842	243501	
719842	329305	
719842	349797	Bhuvaneswari Varma
719843	293145	Teacher
719845	108760	
719846	234966	Yacht woman
719847	122019	Herself
719847	262015	Merridan Lab Scientist
719848	375108	Paola
719849	376972	Blondine
719850	115421	
719851	301133	
719852	1470	Baby
719853	209875	Braut Karin
719854	386893	Boris
719854	404898	Pino (1991-)
719855	2440	Brunhilde Bude
719856	281979	
719857	36961	Nurse
719858	356190	
719859	200003	
719860	405	
719860	17837	
719860	28503	Telegraph Office clerk
719860	39013	
719860	60433	
719860	60442	
719860	60453	
719860	62356	
719860	84759	Vera
719860	92328	
719860	124846	
719860	132153	
719860	217458	
719860	232669	
719860	244479	
719860	253635	
719860	253639	Frau Fisher
719860	261239	Nadezhda Vasilyevna
719860	265024	
719860	294641	
719860	294653	
719860	294667	Anna
719860	297560	
719860	298641	
719860	299421	
719860	312537	
719860	315003	Kseniya
719860	349305	
719860	349316	Guide
719860	352447	
719860	357245	
719860	410332	
719861	82185	
719861	179333	
719861	349354	
719861	371352	
719861	381167	Vera
719861	386003	
719862	32240	Muffy Fairlane
719863	16195	
719863	205704	
719863	387031	
719864	197155	
719865	95162	Natasa Ladko
719865	102409	Béldy Pálné
719865	377807	
719866	154749	Stripper
719867	226333	
719868	100554	
719869	9500	Mrs. Eftihia
719869	11070	
719869	93116	
719869	178459	Party guest
719869	245857	Magda
719869	285318	Reporter
719869	319195	
719869	335369	
719869	350598	
719869	379405	
719869	379452	
719869	380215	Yeorgia
719869	386445	Anna Rayia
719869	397252	Dora
719869	401011	Patra
719869	408830	Maria Haritou
719869	408912	Nina
719869	412027	
719870	224729	Margaret O'Brien
719872	17183	Additional Cast
719872	138230	Saleslady
719873	19926	Silvia
719874	41407	Amy
719875	261607	3 jarige Elizabeth
719876	90755	Detainee
719877	312068	Ruth Lechheimer
719878	69971	Nicklausse/La Muse
719878	69974	Nicklausse/La Muse
719878	71444	
719878	90077	Zerlina
719878	236178	Cherubino, Page des Grafen
719879	40797	Racehourse Girl
719879	65453	Ticket Agent
719879	134195	Betty
719879	186431	Female Lawyer
719879	229861	Redhead
719879	272418	Diana
719880	231210	Waitress
719881	240428	
719882	166337	Sainte Marguerite
719883	71808	Eleonore
719883	166346	Nathalie
719883	241954	
719883	288822	Pizza 2
719883	332192	Eleonore
719884	27914	Véronique
719885	6217	Adjo
719886	126269	
719887	147929	
719888	140061	
719888	322180	
719889	122495	
719889	136920	
719890	203237	
719892	94308	Kundin
719893	4656	(segment "Mundo mágico")
719893	222404	
719894	245275	Mrs. Jeffries
719894	304765	Jury Forewoman
719894	358114	Press Room Reporter
719895	286780	Verkäuferin
719896	110027	Charlotte
719897	290871	Frau in der Universität #2
719898	210046	
719899	2816	Winner for Best Performance b
719899	22044	Vera
719899	171030	Linda
719899	178218	Bridesmaid
719899	335017	Raquel Cohen-Flaxman
719900	390812	Antonia Hinze (2000-2001)
719901	189727	
719902	6125	Kristin Cole Brown
719902	6200	Elizabeth Carter
719902	37883	Shirley Crandall
719902	249084	Comedienne
719902	297625	Waitress
719902	332821	Wife
719903	390812	Antonia Hinze (2000-2001)
719904	192503	Perfume model
719905	352594	Die Ehefrau
719906	384464	Co-Host
719907	190280	Boss
719907	193632	
719907	219731	Unity Mitford
719907	382806	Penelope (Penny) Bidmead (199
719908	54420	Dr. Wendy Day
719908	100906	Susan
719908	137213	Molly Adams
719908	140442	Mercy Bromley
719908	151461	Tour Girl
719908	165277	Jan
719908	175100	Brandy Keegan
719908	256527	Maggie McKeown
719908	274421	Chris
719908	309634	Louisa von Trapp
719908	312533	Kristina Stoner
719908	323147	Logan
719908	395897	Jessica
719908	398326	Herself
719909	140184	Housekeeper
719910	137514	Showgirl
719910	256813	Isabella
719911	75717	Yumez
719912	58770	Liberator
719912	66582	Jessica Larson
719912	78067	Prostitute
719912	82974	Kimino girl
719913	67779	Emily
719913	108711	Libby
719913	110751	Bathhouse girl 1
719913	187941	
719913	232470	Lover in bed
719913	246214	Banana Airlines Passenger
719914	379465	Nuriye
719914	380746	Fatma
719914	389814	Sabahat
719915	217648	Mme Romain
719916	14798	Monja
719917	104063	
719917	258133	Vecina
719919	355958	
719920	121245	Emilia
719920	212406	Enfermera 1
719921	74144	
719922	33727	Julia
719922	55619	Tía Cristina
719922	252519	
719922	376671	
719922	383557	Merche
719923	334685	
719924	408809	Herself - Question Setter (19
719925	151595	Debbie
719926	70067	Terezinha
719926	404915	Cleusa
719927	21280	Marie-Claude, une amie
719928	26490	Lyssa Deradi
719928	186707	
719928	208963	Sister
719928	384366	Kayla Jones (1995-1996)
719929	20543	Herself
719930	251914	
719931	101216	Hassina
719932	407340	Host
719933	22040	
719933	33411	
719933	294078	
719933	377568	
719934	104792	Török hölgy
719935	54910	Woman Picket
719935	59099	Rose
719935	72122	Hilda
719935	120691	Jennie
719935	120692	Jennie the Janitor
719935	124816	Matilda
719935	153151	Ada Hemmings
719935	160834	Deborah's Maid
719935	178080	Mrs. Pettibone
719935	201567	Librarian
719935	203648	Vi
719935	220831	Mrs. Hammer
719935	244924	Mrs. Louella Soames
719935	275407	Miss Haskins
719935	283811	Muriel Everett
719935	295403	Waitress
719935	303928	The Mayor
719935	313918	Lady at food contest
719935	363726	Miss Pringle
719935	375802	Miss Fennock
719935	382783	Aunt Iris
719935	407940	Herself
719936	57654	Fan
719937	71227	Woman #2
719937	74842	Secretaria
719937	76087	
719937	76110	Enfermera 2
719937	293367	
719937	318297	
719937	353572	Cuñada
719938	100146	Jeffrey's secretary
719939	375883	Alicia
719941	325834	
719941	380392	Helga Schrader
719941	405500	Maryan Faruk
719942	164823	
719942	259627	
719943	320033	Nadia
719944	18999	Pension Lady
719945	350123	Olga petita
719946	26120	
719946	94837	
719947	21582	
719948	221559	
719949	23589	L'attrice ingenua
719949	47259	Cristina Palffy
719949	48180	
719949	49694	Maria Caretti
719949	54087	Maria
719949	55968	
719949	57308	Elisabeth
719949	65190	
719949	69948	
719949	75232	Clotilde Serra
719949	94648	La studentessa
719949	108106	Edvige Bartolla
719949	108502	Manuela Vega
719949	113443	Angela
719949	118070	Nell
719949	124201	Mariella Dominiani
719949	126203	Giorgina
719949	128024	Giovannino's mother
719949	162143	Donata Sandi
719949	196743	
719949	199831	Consuelo Aguilera
719949	205667	
719949	205705	
719949	217400	Margarita
719949	223119	Claretta Melzi
719949	228145	
719949	230080	Vinca
719949	234756	Rosetta de Rosa
719949	235366	
719949	260890	Maria
719949	263632	Carmela
719949	263735	
719949	273154	Gilda
719949	291632	Clara
719949	293359	
719949	339066	Clara
719949	348205	La fidanzata del marinaio
719949	355658	Nadina
719950	11042	The mother
719950	23774	Anne-Marie
719950	23793	Nicole Guise
719950	24722	Hélène
719950	24993	
719950	41838	La mère de Jean-Luc
719950	43415	
719950	45769	L'hôtelière à Lourdes
719950	51223	Madame Albertine
719950	54255	Claire Bonavent
719950	55532	Unconfirmed
719950	58417	Ketty
719950	68648	Ginette Bachelet
719950	70592	Betty
719950	70597	Marie-Blanche
719950	78339	Georgette Ernzer
719950	96241	Mme. Pelle, la concierge
719950	100021	Olympe Jacquet
719950	101578	Madame Eloy
719950	103206	Hortense
719950	111139	Yolande
719950	111683	L'aubergiste
719950	116430	Juliette
719950	116439	Juliette, la propriétaire de 
719950	153883	Angélique
719950	155644	Rose Muchet [Prostitute from 
719950	165231	Hélène Flouc de la Donzelle
719950	198462	Bertha
719950	201159	Mll. Clorinde
719950	225142	Madame Aubert
719950	236580	Simone
719950	237912	Arlette Bernardin
719950	241074	Jean-Paul's Wife
719950	245556	La détenue-manucure
719950	258332	Liliane
719950	263723	Antoinette Sophronides
719950	266746	Odette Rupert
719950	273026	Marcelle
719950	275662	Annette
719950	286026	
719950	291577	
719950	309955	Mother
719950	309983	
719950	312305	
719950	324283	Mélanie
719950	326322	Agathe Frémont
719950	335223	Mme. Amanda Lautier
719950	345020	Young woman
719950	345098	Ida
719950	349493	Marie
719950	350070	La maîtresse de maison
719950	377791	Mme. Clotilde
719950	377996	La femme de François
719950	396367	
719950	396856	Adélaïde
719950	404129	Fanny (1965-1968)
719951	25103	
719952	261992	Jackie
719953	28563	Anita
719954	267265	
719954	341553	
719955	380065	Lourdes Eburrola
719955	380963	Leonardo's girlfriend
719955	385502	Dany
719955	401659	
719956	161490	News Reporter
719957	42911	Herself
719958	13533	Pilar Maria de la Paz
719958	32107	Haidie
719958	35239	Hospital Patient
719958	91651	Berta
719958	241322	Mrs. Santana
719959	19503	Sagrario
719959	51720	
719959	52010	Martita
719959	52031	
719959	57424	María Niebla
719959	61129	Marcela
719959	61207	
719959	68963	
719959	73508	
719959	74613	
719959	82238	
719959	91290	
719959	96403	
719959	103163	Sandra
719959	103481	
719959	135278	
719959	152244	
719959	161830	
719959	177014	
719959	184248	
719959	185589	Mitsy
719959	188998	
719959	198994	
719959	207735	Elena Gazcón
719959	221726	Amelia
719959	227682	
719959	232985	
719959	234354	
719959	239304	
719959	253665	
719959	256705	
719959	264402	
719959	277383	Maria
719959	292763	Ángelica
719959	309062	
719959	318302	
719959	322250	
719959	337443	
719959	337950	Sandra Lee
719959	339124	
719959	355781	
719959	357183	
719959	373953	
719959	379563	
719959	380059	Sonia Torreblanca
719959	382197	Deborah
719959	383688	Margarita
719959	384864	
719959	387685	Lucila Montes
719959	387689	Cristina
719959	395300	Nancy Balboa
719959	398801	Sara
719959	401918	Eugenia Mendizábal de Ballest
719959	402049	Doris
719959	402059	Enriqueta San Roman
719959	403741	Leonela (1988)
719959	407276	Lady Simpson
719959	407648	Doctora (1997)
719959	410323	Magdalena Dávalos
719960	12791	
719960	13525	
719960	15425	
719960	25738	Sonia
719960	30101	
719960	31422	
719960	86795	Magdalena
719960	216015	Maita Quintos
719960	216112	
719960	242342	
719960	248216	
719960	256137	
719960	256507	
719960	287067	Leah
719960	300949	Mayang
719960	301203	
719960	301483	
719960	323364	
719960	336567	
719960	385703	Trudis Del Fuego
719960	404049	Amelia
719960	406980	Herself
719960	407943	
719961	28387	
719962	406452	Herself - Finalist (2004)
719963	42569	
719963	284642	
719963	371308	
719963	392560	Madonna Verder
719964	106526	Sorenson's Mistress
719965	212506	
719966	194917	
719967	191653	Honey Squeeze
719968	32241	Bar Maid
719969	270724	Des
719970	185259	Nancy
719971	104835	
719972	385500	Vanessa
719973	184127	Young Barbara
719974	274461	Nurse 4
719975	209445	
719975	289349	
719975	377576	Nora
719976	234738	Matilde
719977	225949	
719978	245229	Woman in Bank #1
719979	359063	Monica
719980	54354	Lellina, una ballerina
719980	374211	
719981	59213	Femme commercant
719981	116438	L'aubergine/Policewoman
719981	149601	Renée
719981	205437	
719982	7528	Un motard
719982	96164	
719982	148701	Cécile
719982	248506	La hippie
719982	269143	Une journaliste
719982	336311	Marie-Cécile
719983	88193	La secrétaire de Philippe
719984	158769	Jeanne
719984	243385	Eva
719985	277808	Nancy
719985	396305	
719986	196834	Madre di Lucio
719987	375301	
719988	1145	Paramedic
719989	224013	Herself
719990	2165	
719990	2266	
719990	7740	
719990	18891	
719990	44579	
719990	75031	
719990	75040	
719990	102722	
719990	144682	
719990	188043	
719990	226976	
719990	241593	
719990	254701	
719990	257315	
719990	260773	
719990	263701	
719990	264737	
719990	264741	Herself
719990	264742	
719990	284209	
719990	320294	
719990	325980	Donna Mirchell
719990	326726	
719990	360053	
719991	115820	Graciela
719992	682	T-Squared Girl
719992	269919	Reyna
719992	394510	Ildia's daughter #1
719993	13855	Carmelita
719993	71319	(segment "The First Commandme
719993	84811	Rosey
719993	101726	Spanish Woman
719993	105650	Mrs. Hernandez
719993	177530	Senora Ichaso
719993	183027	Proprietor
719993	232496	Mrs. Riviera
719993	272857	Lupe
719993	362355	Older Nurse
719993	394510	Tia Consuelo
719993	403887	Antonia (1998-2000)
719994	238601	Dolores Perez
719995	42311	Benz
719996	3113	Nun
719996	86542	Gwyn Roamer
719997	345568	Justa
719999	66685	Raquel (Spanish teacher)
719999	140964	Tasia
719999	363611	Saphra
719999	390620	Poppy
719999	402197	Irene Zervos (1979)/Yemil Bak
720000	31205	Madame X
720000	132839	
720000	219984	Julia Loretti
720000	239748	Air Hostess
720000	242718	
720001	6730	NonSex
720001	37225	
720001	41594	
720001	76932	
720001	124110	Neurology Receptionist
720001	128238	Waitress
720001	140996	Phone Sex Operator
720001	167068	E.R. Nurse
720001	231900	Meter Maid
720001	297262	Maid
720001	316998	Nosy Neighbor
720001	321126	Party Guest
720001	322343	Ester
720001	350216	Alien
720001	359742	Female Tennant
720001	389564	Passanger on Bus
720001	401924	Herself
720002	248587	Poelgeest, Elvira
720002	269824	Mother
720002	396291	Lisa
720002	410441	Joy Deurslag (1995)
720003	146954	
720004	256427	Trudy Seymour
720005	240463	Girl
720006	8179	Mrs. Williams
720006	11440	Mrs. Bäumer
720006	12763	Landlady
720006	19970	Mrs. Martin, Eddie's Grandma
720006	34281	Mrs. Barwick
720006	40605	Elsie, the maid
720006	47452	Mrs. Mulcahy
720006	47470	Mom
720006	52431	Mrs. Elkins, the Cook
720006	57260	Cook
720006	59100	Harriet Hawkins
720006	62916	Liza
720006	68464	Mrs. Neal
720006	85034	Mrs. Mary Ann Meech
720006	95117	Grandma Corey
720006	96816	Joyce
720006	113284	Mary
720006	117386	The Duchess
720006	117803	Fern Madden
720006	143406	Mrs. McAllister
720006	146781	Mrs. Bayne
720006	150745	Mrs. Jenifer Mortimer
720006	157686	Doña Concha
720006	160618	Marthe, Yvonne's Maid
720006	165443	Mrs. Fairfax
720006	187725	Grandmother
720006	192026	Mrs. Margaret Dishart
720006	192174	Queen Victoria
720006	196453	Mrs. Smith
720006	200484	Mrs. Eden
720006	203155	Mrs. Dabney
720006	207949	Corinne, the Cook
720006	211427	Mrs. Leadbatter
720006	213203	Mother O'Brien, the Prison Ma
720006	214983	Mrs. Higgins
720006	220003	Mrs.O'Day
720006	224139	Mrs. Dolan
720006	232008	Saleslady
720006	233612	Mrs. Burns
720006	245545	Mrs. Midget
720006	266706	Ma Powers
720006	277733	Marie, Dorothy's Maid
720006	295300	Sarah Ann Dowey
720006	303479	The Widow
720006	304334	Mother Morgan
720006	305599	Mrs. Crouch
720006	315644	Queen Victoria
720006	319650	Madame Gourjan, Paul's Landla
720006	331458	Mrs. Gubbins
720006	331459	Mrs. Gibbins
720006	347057	Mrs. Cawley
720006	359473	
720006	360358	Mrs. Levine
720006	367538	Mrs. Butler
720006	372412	Grandma Beamish
720007	52536	Show Girl
720008	359933	
720009	387580	Mademoiselle
720009	400351	Merry
720010	312971	Heather
720011	3095	Fern
720011	56373	Harvey Patient Being Intervie
720011	98149	Crazy Lady
720011	127480	Woman
720011	167315	Brady White Rangford
720011	304788	Mrs. Erickson
720011	311354	Martha
720011	411802	Mildred 'Millie' Johnson (199
720012	17619	Natalie Preston
720012	32210	Patricia Wharton
720012	40607	Ellen
720012	73230	Judy Allen
720012	117755	
720012	199217	Helen Frayne
720012	248817	Sally
720012	255081	Joan Draper
720012	278766	Bit Part
720012	305507	Susan 'Pat' Lane
720012	306803	Sue Leonard
720012	315748	Claire Ford
720012	330004	Miss Doran
720012	355837	Helen
720012	372433	Mrs. Price
720012	386889	Nurse Talbot
720013	72515	RSL Waitress
720014	33739	Helen
720014	59374	Jewel
720014	79820	Red Johnston's child
720014	89653	Betty Meadows (her daughter)
720014	202897	Little Hilda
720014	206112	
720014	228639	Casquette Girl
720014	272532	
720014	316692	
720014	368315	Fannie
720015	186708	
720015	326617	Little girl
720016	282456	Librarian
720017	240463	Ms. Vaghn
720018	166692	Woman in Car
720019	109251	Herself
720020	167256	Brenda Kay Hilburn (Age 8-9)
720021	105307	Specialty
720021	287149	Shell
720021	340406	
720022	32849	Hallie
720022	64117	Sara Hayes (stepmother)
720022	87341	Mrs. Russell
720022	120425	Maybelle
720022	129216	
720022	142426	Chanteuse
720022	148523	Ellen
720022	217909	Singer
720022	263314	Mama Mosebery
720022	321575	Jessica Thorpe
720022	364832	
720022	367444	Aunt Juba
720023	20003	Sister Regina
720024	43948	Mrs. Ruffner
720024	72458	Eleanor
720024	168460	Mags Elliot
720024	190209	Rita
720024	218004	Herself/Waitress
720024	222677	Daisy Eastman
720024	232861	Missy Hart
720024	239032	Harriet Manley
720024	245229	Ann
720024	286702	Evie
720024	291837	Masha
720024	380233	Herself (1962-1963)
720024	385914	Herself (regular performer, 1
720024	386649	
720024	389036	Mrs. Griffin
720024	389098	Wanda Jeeter
720024	391875	Grace Bailey
720024	393082	Nancy Beebe
720024	393083	Nancy Beebe
720024	396994	Wanda Jeeter
720024	404264	Kay Fox
720024	406928	Martha Benedict
720024	408631	Myra Bradley
720024	410503	Regular
720025	26606	Girl
720025	136021	Mabel
720025	139221	Girl
720025	213976	Telephone operator
720025	330179	Bride
720026	362330	Girl in Car
720027	295611	Cleaner
720027	385299	Alison Forsdyke
720027	385535	Mrs. Yeatman
720027	401246	Aunt Floss
720028	164400	Schoolgirl
720028	391919	Wendy Johnstone
720029	329421	Martha
720030	63205	Mrs. Elliot
720030	346257	Denise
720030	389924	Prudence Mooney
720031	18662	Additional Voices
720031	178291	Additional Voices
720031	323134	Natsumi Tsujimoto
720031	334886	Riko Hideka (Shinesman Salmon
720031	373368	Haruki, Mizuki, Natsuki, Natu
720031	407369	Natsumi Tsujimoto
720032	272693	Cuki
720033	115282	Jane
720034	132930	
720034	235709	
720034	337394	Chéri-Bibi
720035	52738	
720036	49334	Bank Teller
720036	170427	Park girl 1
720036	208668	Bride
720036	214120	Sarah
720037	387572	Maria Gabriela
720038	1135	Madame André
720038	27910	Mme Bourideys
720038	31418	La femme du grossiste
720038	198342	
720038	234524	
720038	356382	Dame pipi
720038	388633	Clémence
720039	321394	Paula
720040	140141	Hester Tillinghast
720040	329527	Irene
720041	256951	Clubber
720042	304235	Ash
720043	150147	
720043	270758	
720044	2042	Herself (Pretty Funny Female 
720044	2627	Best Female Improv
720044	148217	Frank's Date
720044	171124	Herself
720044	390205	Kathy
720044	392660	Herself
720044	408713	Brenda Murphy
720045	156524	Actress
720046	238495	Ditsy Waitress
720047	67923	Herself
720047	69080	Herself
720047	129799	Herself
720047	161351	Herself
720047	203197	Herself
720047	228163	Herself (Vocals, Piano)
720047	242865	Ophelia/Herself
720047	333202	Herself (Vocals, Piano, Organ
720047	404900	Herself (Vocals, Piano)
720048	38885	Herself (trainer)
720048	303558	Madame Maneckshaw
720048	339683	
720048	410923	Herself (hostess)
720049	263558	Georgiana D'arcy
720050	64969	Chica del departamento
720050	64998	Lola
720050	70641	Eva
720050	83776	Margarita
720050	91084	
720050	139908	Victoria
720050	204688	
720050	264264	Natalia
720050	265515	Rebeca SanPedro
720050	379457	Margarita
720050	379834	María Elisa
720050	380083	Clarisa Villaseñor
720050	380128	
720050	384988	Mariana Romero Vargas
720050	395300	Virginia Altamirano
720050	396209	Soledad
720050	396211	Marcela
720050	397839	
720050	409282	Marcela
720051	5397	Rosalind
720051	10413	Lily
720051	10437	Freda
720051	68492	Jane Noble
720051	90124	Dona Ana
720051	116353	
720051	119872	Mrs. Oxford
720051	121740	Tessa
720051	148436	Ruth
720051	200922	Madame
720051	203177	Queen Maria Theresa
720051	238645	Maureen Johnson
720051	326376	
720051	346020	Mrs. Pugh
720051	359279	Nora Tomelty
720051	382701	Isabel Black (Season 2)
720051	407439	Miss. Pross
720052	258619	Vedette
720053	306706	
720053	319855	
720054	120403	Student #1
720054	345270	
720055	840	
720056	212467	
720057	53794	Veronica
720057	76542	
720058	268955	
720059	32011	La secrétaire
720060	164690	Jacynthe
720060	200953	La patronne du bouchat
720061	17871	
720061	35351	Jacqueline
720061	58744	Brothel madame
720061	84616	La femme du fermier
720061	84625	
720061	120971	La femme Castelet
720061	120989	Mme Fremont
720061	211367	Geneviève
720061	230887	
720061	335081	
720061	353907	Eliane
720061	410144	Patronne de l'Auberge
720062	248878	Cell Phone Girl
720063	822	Oude vrouw
720064	20067	Chantal Petit, the Schoolteac
720064	101930	
720064	300613	
720064	336311	
720065	103977	
720065	390057	La paysanne
720065	409541	Mme Vachon
720066	318488	Prostitute
720067	377937	Mimi Dubé, Daphnée, Manon Lem
720068	99588	
720068	99591	Linda Gratton
720069	116053	
720070	278763	French Ambassador's wife
720071	116053	
720072	51240	Prostituée
720072	121423	
720072	260957	Andreanne
720073	136360	
720074	377464	Laetitia
720075	81561	Nurse
720075	154742	Manager
720075	246683	Tamanee
720075	274055	1-900 Office Manager
720075	359920	Ruth Faber
720076	33559	
720076	45196	Mme Castillon
720076	51395	
720076	52698	
720076	58811	
720076	60521	Mme de Boufflers
720076	84616	La directrice de la maison de
720076	97928	Sabine
720076	100166	La mère de Myriam
720076	105592	
720076	157075	L'antiquaire
720076	195180	
720076	199323	L'employée de la bijouterie
720076	200938	Léone
720076	234271	La mère de Sandra
720076	234783	Mme Mathieu
720076	246017	La mère de Frédéric/Frédéric'
720076	255298	
720076	256518	La mère de Jacques
720076	296049	
720076	301402	La mère de Christine
720076	309752	Paris doctor's secretary
720076	318134	La mère
720076	318515	
720076	326147	Mme Clisiaire
720076	326165	Elise Courtois
720076	327545	Mme de Garon
720076	337024	Tante Elise
720076	345109	
720076	346755	Bénédicte de Winquaire
720076	357834	Madame Schmidt
720076	384212	
720076	384971	Gilette
720076	386101	Amélie Laparde
720076	389465	
720076	390436	Une surveillante
720076	397637	La mère de Michel
720076	401030	Mme Arosa
720076	404153	Françoise
720076	408662	
720076	409540	Mme Jarras
720076	410143	La parente
720077	110146	La mère de Rachel
720078	249686	Ballerina
720079	296079	Camille
720080	9124	Edith Walters
720080	9125	Shirley
720080	190091	Edna
720080	216127	Shelby's Waitress
720080	331610	
720080	347712	Waitress
720081	283244	
720082	12529	Clara (segment "Scandaloso")
720082	14875	Luisa
720082	17088	Angélique de Plessis-Bellière
720082	17089	Angélique de Peyrac
720082	17090	Angélique Sancé de Monteloup
720082	17745	Elvira
720082	25784	Lou
720082	48209	Sophie
720082	52531	Calliope Laurent
720082	56079	Noelle
720082	90769	Nicole Noblet
720082	101323	Augusta de Munchenberg
720082	111124	Danièle Ravennes
720082	119856	Gigi
720082	122057	Louise Lejeune
720082	126839	Franziska
720082	128027	Elsa
720082	129047	Jennifer
720082	129456	Lisette
720082	131715	Third Maisie
720082	136727	Adalheid, Countess von Walldo
720082	159295	Angélique de Peyrac
720082	166370	Michèle Dubreuil, Aphrodite's
720082	183673	Emma Lyon-Hamilton
720082	190634	
720082	199131	
720082	211291	Princess Zaina
720082	211643	Angélique de Peyrac
720082	219821	Maria, sua moglie (segment "L
720082	229650	Elisabeth
720082	235365	Olga (segment "Il Marito di O
720082	235780	Diana d'Alva
720082	252638	Arabella
720082	258338	Brit (segment "Ère préhistori
720082	263626	Martine Foucher
720082	267310	
720082	276516	Jeanne
720082	283244	Rachel (elder)
720082	285731	
720082	292278	Nathalie Neuville, Medical st
720082	307493	Christine Rodier
720082	333738	Clarisse
720082	335501	Simone
720082	338726	Rosy (segment "The Telephone"
720082	346474	Maria Caine
720082	346785	Delphine
720082	353083	
720082	353129	Celle qui danse avec Louis Ma
720082	372150	Aila
720082	381622	Naomi (2003)
720082	394821	Elen (Present Days)
720083	321483	
720084	139005	Julie
720084	215814	Gardener, Ava
720085	236695	
720086	232318	2nd WAAF
720086	232319	School Mistress
720086	387533	Annie Pearson/Sugden/Brearly 
720087	183779	Aquatic dancer
720088	192814	Petite Fille
720089	20078	
720089	240429	
720090	208456	Six
720091	149111	Gerda, moeder van Honneponnet
720091	156139	Presentatrice
720091	354457	
720091	356107	Moeder
720091	357389	Sonja
720091	404898	Selma Duim/Marijke
720091	411973	Tante Rosmarijn
720092	124945	
720093	135012	
720094	48253	Dienster
720094	110548	Herself
720094	331968	Simonne Bomans-Backx
720094	357391	
720094	367022	Girlfriend of Liza
720094	382877	
720094	393242	Anderen
720094	395515	
720094	399982	
720094	408151	Simonne Bomans-Backx (1995-)
720094	409162	
720095	148634	
720096	16083	
720096	23455	Extraterrestrial 3
720096	191419	
720097	896	Maria
720097	54156	Herself
720097	57790	Katerina
720097	122914	Queen Lil
720097	129011	Foreign lady
720097	136512	Belle
720097	164662	Karla
720097	187440	Donna Lucrezia
720097	202960	Aurora/Celeste da Costa
720097	228046	Sister Gertrude
720097	254398	Phaedra
720097	255014	Jenny
720097	261625	Ilya
720097	265739	Nina Kacew
720097	275006	
720097	314344	Stella
720097	335922	Elizabeth Lipp
720097	353516	Magda
720097	355854	
720098	44220	Lucille
720098	65613	
720098	68934	Jacqueline Maillard
720098	199384	Pauline Bonaparte, Queen of N
720098	217691	La secrétaire de Broustal
720098	254851	
720098	284271	La secrétaire
720098	384288	Béatrice Lemoine
720099	120806	Nora Cuthhand
720100	7241	Emilie à quarante ans
720100	167233	Une convive
720100	212157	Françoise Gallais
720100	287321	La gouvernante
720100	327577	Madame Bontemps
720100	336972	
720100	389880	Sophie
720101	102235	
720101	153801	
720101	326038	
720101	343588	
720101	371366	Mrs. Daneault
720101	385123	Frimousse
720101	396868	Mathilde
720101	407068	Mathilde
720102	23718	Une secrétaire
720102	23747	Secretaire Radio
720102	74920	La mariée
720102	96795	Diane
720102	176372	Michèle
720102	196541	Lovely
720102	197014	Cabaret Artist
720102	220405	La soeur de Philippe
720102	368724	
720102	377243	
720102	411623	Mona et une étudiante
720103	5156	Estelle
720103	10090	Albertine (70 ans)
720103	15004	
720103	17864	Tante Yvette
720103	22583	
720103	25777	Le docteur Loubert
720103	59213	Marie
720103	69678	Grace Gallagher
720103	70156	Blanche Lavallée
720103	74920	La mère
720103	78370	Mireille
720103	84624	Fernande Turcot
720103	90336	Mrs. Pelletier
720103	100070	Aunt Elsa
720103	100165	Grand-Mère de Hanna
720103	111273	
720103	113431	
720103	119053	
720103	122422	
720103	156329	Belle Soeur
720103	164220	Rose-Aimee Martin
720103	195645	Louise
720103	217702	Alexandrine
720103	218581	Moufette (segment "Toile du t
720103	226969	Fadela
720103	235871	
720103	249209	Madame Jeannot
720103	261780	Loulou
720103	264608	
720103	269041	Grosse Louise
720103	269725	Madeline
720103	269952	Redstone's Mate
720103	287322	Mme. Klotz
720103	315218	Dr. Bouvier
720103	330561	Marie Blanchard
720103	330777	
720103	346647	La cliente du taxi
720103	350918	Yvette
720103	354936	Mme. Leroux (Montréal)
720103	358310	Yvette
720103	362880	Pauline Wesson
720103	363653	Bastet
720103	377053	Barbara
720103	381189	L'infirmière
720103	389471	Stéphanie
720103	398137	Annie Frandvert
720103	398311	Solange Valeur
720103	400804	Ednée Plamondon
720103	403254	Rachel Paquin
720103	405099	Jeanne Mance
720103	406028	Simone
720104	74936	Alice
720105	75237	Natasa
720105	319752	
720106	3163	Nurse
720107	79858	Natalie Gordon
720108	83043	Miss Coleson
720109	1524	Older Woman
720109	11941	Joey's mother
720109	13954	Faye
720109	29112	Sarah Fife
720109	41765	Vee Valentine
720109	47433	
720109	59828	
720109	64405	Mrs. Gordon
720109	65612	Momma Love
720109	67445	Joan Hodges
720109	76554	
720109	80716	Greta
720109	99586	Gladys Presley
720109	115106	Rosemary Szabo
720109	129347	Mrs. Kelly
720109	134345	Waitress
720109	151365	Betty Kailo
720109	164494	Rose
720109	169947	Wanda
720109	171155	Dotty Zacarelli
720109	185277	Judy
720109	207132	Babe
720109	217990	Donna Pallizzano
720109	223858	Becca Roth
720109	234982	Mozelle Hyde
720109	280421	
720109	307988	Mrs. Calder
720109	327235	Pearl Koster
720109	330391	Mary
720109	341945	Mrs. Gross
720109	342459	Betty
720109	358438	Aunt Elaine
720109	359311	Jay's Wife
720109	359425	Kate
720109	361167	Louise Garweski
720109	361178	Miss Bulah
720109	362312	Mrs. Frank
720109	362390	Lorraine Kilcoin
720109	362813	Emily McKenna
720109	363581	Midge Callaghan
720109	368853	Bernice
720109	385612	Mrs. Smithersby
720109	398568	Eunice Patrick
720110	76571	SAT Teacher
720110	92453	Deer
720110	347907	Beth Anne
720111	39355	
720112	40912	Herself
720112	58764	Herself
720112	111629	Herself
720112	384117	Herself
720112	386728	Singer
720112	396718	Maria Bonita
720112	401882	Herself
720114	217223	Schoolgirl
720115	257389	Herself
720115	271212	
720116	87241	
720116	256732	
720117	76350	
720118	103565	
720119	243163	Sally
720120	224352	Sarah Stover
720121	324028	Old Girlfriend
720122	229935	
720123	364300	Herself
720124	217981	Margaret Lawrence
720125	56137	Mrs. Carney
720125	109587	Scrubwoman
720125	112264	Tilly, old drunk
720125	127483	Woman
720125	154478	Mrs. Wilkins, Woman on Elevat
720125	154868	Elderly lady
720125	187341	Meg
720125	295616	Elderly Woman
720125	331636	Old Maid in toothpaste commer
720125	368033	Mrs. Von Dittersdorf
720125	380050	Regular
720125	400230	Lovey Hackett
720126	133656	The Girl
720126	195612	Desiree
720127	175175	
720128	308048	Mean Executive #3
720130	35591	Babe, Spook House Ticket Sell
720130	37351	Girl
720130	40473	Janet Kenyon
720130	49254	Camille Club Hatcheck Girl
720130	52512	Ann Bradford
720130	57044	Nancy Grayson
720130	57153	Lucy Ripportella
720130	67418	Joan Randall
720130	70301	Nita Lavore
720130	72288	Mary Baker
720130	114200	Mary Kent
720130	123356	Betty Garrett
720130	126067	Miss Smith, Secretary
720130	134009	Valerie Howett
720130	139936	Saleslady
720130	145810	Mary
720130	154046	Girlfried of Eddie Girard
720130	176368	Joan Ainsley
720130	186340	Marion McGowan/Norton
720130	186424	Beth Graham
720130	192061	Girl
720130	195071	Manicurist
720130	195190	Lawyer's secretary
720130	203064	Barbara Kellogg
720130	203092	'Spunky' Cameron
720130	222685	Ann Leslie
720130	224751	Nancy Wilson
720130	245428	Judy Garfield
720130	245451	Norma Daniels
720130	245749	Carmelita Gonzalez
720130	272141	Jean Lorin
720130	276827	Sammy Lou Griffin
720130	277956	Linda Holden
720130	278593	Sandra Cullen
720130	280830	Girl
720130	308346	Doris Mathews
720130	309824	Ann Madison
720130	311025	Nita Van Sloan
720130	311560	Madge Patterson
720130	324242	Pepper Jenkins
720130	329124	Jean Harper
720130	329125	Joan Cameron
720130	331097	Mary MacAuley
720130	332110	Norma Belknap
720130	332129	Helen Patterson
720130	337646	Jean Warner
720130	341682	Girl
720130	343259	Betty Webster
720130	361621	Jean Wayne
720130	361660	Madge Conway
720130	361718	Joyce Thompson
720131	281897	Sweet Nell
720132	10587	Party guest
720132	32965	Mrs. Gorham
720132	143297	Clara Cartwright
720132	195509	Mrs. Forndyce
720132	267595	Mimi
720132	366361	Traveler
720133	70484	Specialty
720133	242497	
720133	308569	Woman at Dorsey Club
720133	385299	Mrs. Robinson
720134	37941	Russian girl on train
720134	55694	Shapely Miss
720134	55714	Cigarette Girl
720134	70411	Yum-Yum
720134	75555	Jenny, Beauchamp's Maid
720134	186751	June
720134	372212	
720134	399583	Secretary
720135	87222	Dawn Christian
720135	90097	Marie
720135	151659	Melissa
720135	161936	Carlotta Sands
720135	164225	Sarah
720135	185543	
720135	251377	Melody Trent
720135	266592	Valerie Alden
720136	41709	Delight Burns
720136	177502	
720136	252849	Her Chum
720136	341002	
720137	78855	Evelyn Lang
720137	164498	Princess Elaine
720137	218028	Sally Gunston
720137	232302	Joyce
720137	269317	Laura James
720137	271112	Martha 'Calamity Jane' Canary
720137	308049	Carrie Standall
720137	318734	Joan Wright
720137	365290	Callie Bascomb
720137	389909	Bonnie Sue McAfee (1957-1958)
720137	389911	Herself
720137	392075	Monique Deveraux
720138	14219	Amber
720138	115593	Jolie
720138	188639	Delsey
720139	34117	Various roles
720139	137197	Mrs. Maloney
720139	142552	Dr. Wells
720139	170618	
720139	201803	Herself
720139	219182	Marty
720139	222690	Marty
720139	265288	Ulla
720139	315271	
720139	319253	Nurse in Sketch (Miss McIntos
720139	361244	Betsy Wholecloth
720140	178015	Salon worker
720141	24662	
720141	69676	Countess Potocka
720141	69815	Margaret Holt
720141	77487	Lila Dabney
720141	101076	Decima Duress
720141	133914	Peggy Sloane
720141	141027	Katrina Van Tassel
720141	142657	Gertie Meyers
720141	143285	Viola Shepard
720141	158254	
720141	223715	Dora Lane
720141	240832	Agnes Colt
720141	245677	Helen Lloyd
720141	262622	Jacqueline Bourbon
720141	292051	Mathilde
720141	292362	
720141	307282	Nan
720141	310841	Elsie York
720141	367752	Wanda Kelly
720142	28423	Mary
720142	126068	Chorine
720142	178015	
720142	231990	Girl in Pool
720142	302598	Sally Bevan
720142	311756	Nellie Gray
720142	311757	Nellie Gray
720142	363622	Bashful Girl
720142	372431	Wampas Baby Star
720143	29391	Maggi Andrews
720143	55156	Mrs. Shaftman
720143	55587	Waitress
720143	67568	Lucy
720143	67611	Lady
720143	213190	Radio Evangelist
720143	236124	Miss Ross
720143	330177	Female Interviewer
720143	359192	Mrs. Schenker
720143	397116	Judge Irene Sawyer (1986-1989
720143	397217	Lucy (1975-1976)
720144	301929	Mrs. Baskerville
720145	61578	Joan Carter Benton
720145	107701	Louisa Braganza
720145	136020	Hazel McCasslin
720145	158331	Mrs. Cook
720145	323407	Kate Collins
720145	326360	Alumna
720145	334189	Corinne
720145	337654	Susan Pritchett
720145	341673	Sarah Blandon
720146	185931	Mrs. Costa
720146	343206	Mrs. Armendez
720147	49819	
720148	31665	
720148	146273	
720149	272873	Mrs. Hopkins Poe
720150	34729	
720150	69381	Married Woman
720150	115250	Angela
720150	232277	Mrs. Manzini
720150	348518	Margaretta
720150	381661	Various Roles (1972)
720151	239745	
720152	79049	Vampire
720153	411261	Griselda (2004)
720154	151461	Tour Girl
720155	250669	
720155	376778	
720156	16968	Roz
720156	18813	Jenny
720156	26473	
720156	44005	Guard
720156	47875	Noreen's client
720156	57929	ABA Receptionist
720156	59151	Mrs. Miller
720156	64869	Nidia
720156	71287	Carmela
720156	94167	Chairwoman
720156	105462	Blanca
720156	121855	Stella Starr
720156	162986	Mrs. Ramirez
720156	171700	Transit Officer Romano
720156	206818	Beauty Shop Lady
720156	213751	Milagro Townsperson
720156	223084	Concepcion
720156	268541	Mrs. Valentin
720156	276085	Malin & Block Secretary
720156	313969	Purse-Snatched Woman
720156	319254	
720156	319493	Female #2
720157	34590	Bess
720157	34591	Bess
720157	34592	Bess
720157	46549	
720157	52402	
720157	78192	
720157	109329	
720157	109873	
720157	130652	The Slavey
720157	143430	
720157	191610	
720157	219947	
720157	285658	On Porch
720157	310318	
720157	315089	
720157	362714	Bess
720157	362903	
720157	365902	
720157	365903	
720157	365904	
720157	365905	
720157	368197	
720158	98794	Edith
720159	101816	Catalina
720159	197550	Lino's Wife
720159	265710	Felisa
720160	1986	
720160	9643	
720160	14761	
720160	14962	Amorina
720160	16148	Rosa Mangiacaballo
720160	20676	
720160	22760	
720160	30326	
720160	54071	
720160	57867	
720160	64047	
720160	83756	
720160	90139	
720160	104859	
720160	113098	Filomena Marturano
720160	121330	Cora
720160	135052	
720160	145673	
720160	146524	
720160	155749	
720160	159346	(segment "Correo sentimental"
720160	162955	
720160	199793	Madre María
720160	211295	
720160	213370	
720160	219317	
720160	219415	
720160	234419	
720160	248302	Martina Brizuela
720160	250447	
720160	278935	
720160	355950	
720160	376678	Tita
720160	376739	Tita
720160	376749	
720160	379135	Acacia Montero
720161	248027	
720161	400294	Juliette (1996)
720162	112028	Jane
720163	126404	
720164	164539	Polly Nichols, Henrietta
720165	28927	
720165	134109	Joyce
720165	196558	Bit part
720166	265991	
720166	394642	
720167	166715	
720168	8249	La serveuse
720168	15062	
720168	19725	
720168	24181	Elisa
720168	24674	La femme gendarme
720168	40280	Odette
720168	58110	Alexandra
720168	62442	
720168	64285	
720168	66078	Bunny
720168	66227	La fleuriste
720168	87961	
720168	96198	Une prostituée
720168	101787	Jeanine
720168	104778	Herself/Commentator (French v
720168	134616	Vevette
720168	148771	La maîtresse de Paul Berthell
720168	156279	Zaza
720168	188682	Annie
720168	198357	Charlotte
720168	201140	La serveuse
720168	240586	L'actrice qui joue l'hôtesse 
720168	246017	Caroline
720168	246230	Sandrine
720168	261764	Ginette
720168	286042	
720168	286515	
720168	288893	
720168	294599	
720168	316845	Isabelle
720168	356979	Andromaque
720168	376914	La femme de ménage de Tristan
720168	377484	Zsa-Zsa
720168	377991	Isabelle
720168	381297	
720168	390670	Herself
720168	391479	Marie-Lou
720168	400149	Herself (2000-)
720168	408662	
720169	6754	La servante de la maîtresse b
720169	7468	
720169	15129	
720169	20916	Janitor
720169	22191	
720169	42879	La mère/The Mother
720169	44980	Cécile
720169	65635	
720169	68895	Madame Caderousse
720169	71846	La mère
720169	71966	Mamie Junie
720169	91975	Grand-mère de Frédéric
720169	134605	Mère de Michel
720169	135344	Madame Lopez
720169	135624	Julie
720169	148769	
720169	160722	La mère
720169	168799	Mrs. Jolly
720169	169333	Innkeeper'S Wife
720169	170537	Adelaide
720169	184053	Anna, joueuse de belote
720169	197546	Suzanne, la tante de Simon/Au
720169	199307	Charles Bovary's Mother
720169	199717	Mlle Blanche
720169	205776	Germaine
720169	209944	Mme Le Cloarec
720169	220476	la dame
720169	245557	
720169	245863	La Grand-mère
720169	268396	Mme Couture
720169	278734	Madame Bourdier
720169	283032	La crémière
720169	292353	Mme Molino
720169	307108	
720169	332216	Emily
720169	336985	Henriette
720169	345297	La grand-mère
720169	346524	Mme Thomas
720169	356969	La mère Mindeur
720169	380587	La mère de Tourangeau
720169	385609	
720169	392369	La mère
720169	398786	Mme. Georges
720169	402177	Mme Chambon
720169	412276	Honorine
720170	195170	Johanna
720171	189549	Evi
720172	186934	
720173	240429	
720174	116485	Mme Bacri
720175	321255	
720176	340191	
720177	195549	News Reporter
720178	105921	Woman in Porsche
720179	132217	E.B. Customs Guard
720179	275182	Irmgard
720179	286172	Albert's wife
720179	325767	Hauswartsfrau
720180	75444	
720180	99353	
720180	157215	Secretaria
720181	21590	
720182	241698	Ellen Mary
720183	365396	Party Guest
720184	35362	
720185	23963	
720185	66325	
720185	75954	
720185	81861	
720185	254614	Tasha King
720185	300520	
720185	364724	
720186	258171	
720186	329908	
720187	257003	
720189	7457	Gwenaëlle
720189	82474	Loulou
720189	201520	Herself
720189	232931	Sylvie
720189	248165	Amie d'Isabelle
720190	283035	
720191	83305	La mère du faux fils
720191	170358	La vendeuse
720192	155216	Herself - a Skater
720193	56925	Mrs. Musso
720193	230361	
720193	281889	Giuseppina
720193	330689	Mrs. Griffanti
720194	95771	Landlady
720194	384430	Mrs. Orgreave
720194	408449	Mrs. Kirkby
720195	7468	Mila
720195	23826	La Tarantula
720195	29508	
720195	88012	
720195	89787	La voix du spectre
720195	121609	
720195	124397	La mendiante
720195	125668	Félicité
720195	140293	Manie-Jeanne
720195	148659	
720195	158877	Mme Florinda
720195	169227	Valérie
720195	205610	La duchesse
720195	224904	Mme Georges
720195	234460	Mme Lacombe
720195	253388	La reine Atossa/Queen Atossa
720195	255591	Sylvie, soeur de Denis
720195	263620	La professeur russe
720195	275652	VB
720195	285778	Moreno
720195	309689	Madame Martin
720195	312946	Kroupskaia
720195	318512	Mademoiselle Villeneuve
720195	332217	La mère
720195	332623	La mère
720195	339493	La grand-mère
720195	340921	La mère Colnat
720195	346768	
720195	351254	La mère
720195	352532	
720195	371419	Janet Miller
720195	384744	Eugénie Boulard
720195	385602	Catherine de Médicis
720195	393853	
720195	396591	
720195	398966	La Tricou
720195	399811	
720195	406196	Asie
720196	120806	Marcie
720197	166216	
720198	209857	
720199	197365	
720200	178376	Statist
720201	153547	Sami's Mother
720201	165888	Jaana
720201	207892	Marjatta Hujanen
720201	394792	Eeva Mäkimaa
720201	402897	Pohjolan tytär
720201	404053	Sanna Tunturi
720202	178376	Statist
720202	394938	Tiina
720203	95020	
720204	5874	Woman in Drug Store
720204	13395	Dora (segment "Mr. Magic")
720204	39349	Orddu
720204	60109	Immacolata
720204	66650	
720204	73851	
720204	90262	Maid
720204	90409	Mrs. Sturak
720204	101570	Ma
720204	114312	Saleswoman
720204	116971	Rose
720204	120337	Mrs. Bender
720204	127084	Louis's Neighbor
720204	128816	Mrs. Powers
720204	133151	Estelle Keyser
720204	144226	Rabbi's Wife
720204	154083	Miss Marks
720204	178976	Reporter
720204	185568	Ida
720204	186879	Mrs. Sarti
720204	190759	Fruit peddler
720204	234070	Nurse
720204	254994	Mrs. Gatlin
720204	264037	Alice
720204	334104	Frightened Jewish woman
720204	335479	Mrs. Golder
720204	341984	Mrs. Remington
720204	359173	Masha
720204	359726	Bernice
720204	362529	
720204	363440	Mrs. Shirley Klein
720205	26831	Girl at Dorm Party
720206	147928	Esther
720207	42308	Toby
720208	290002	Manua, the slave
720209	49671	Marie
720209	269092	
720209	272591	Claudia Mauch
720209	280795	
720210	322578	Second
720211	254005	
720212	8564	Hija Aitor (Aitor's daughter)
720212	235985	
720213	160979	
720214	396	Hija adolescente
720215	19945	Nurse
720215	156022	Chica joven
720215	249596	
720215	354035	Andrea
720216	56523	
720217	27966	Grandmother
720217	340689	
720218	85953	Little Kyra
720219	60921	Mujer de luto
720220	325242	Voice of Dr. Prescott
720221	58045	
720222	378377	Alinne
720222	379252	Cathy Winter
720222	380074	Sofía
720222	383812	Beatriz León Thompson
720222	384984	Fátima
720222	391611	
720222	401634	
720223	146514	
720224	105945	Card Playing Guard #1
720225	267640	Niece
720226	234371	
720227	50136	
720227	383233	Lisette
720227	383777	
720227	396826	
720227	400949	
720227	405398	Fernanda Amolinar
720227	409017	Alicia
720228	233569	
720229	71288	
720229	128988	Rosa
720229	322397	
720229	356900	
720230	221888	Vendedora Floristeria
720230	306701	Madre accidente
720230	334687	Azafata
720230	379566	Beatriz (1998-2000)
720230	410217	
720231	49701	Lorena Kay
720232	296442	Prostitute
720233	75375	
720233	103109	
720233	206682	
720233	283257	
720234	148020	
720235	165494	Jane
720236	207602	Secretaria María
720237	192983	
720238	124257	
720239	148714	
720240	178376	Statist
720241	143489	
720242	117103	Devon
720242	307440	
720243	74511	
720243	209079	
720243	276972	Elsa
720243	292708	
720243	380917	Rafaela del Valle
720243	387275	Gabriela Garza
720243	387807	Susy
720243	395332	Guadalupe'Karen'Serna
720243	398474	Alexandra Montesinos
720243	398661	Carolina 'Caro' Domínguez (19
720243	400946	Dinorah Rosales
720243	402190	
720243	403459	
720243	408888	
720244	348181	Anna
720245	84360	Carlotta
720245	293318	
720246	2622	Linda Davis
720246	2776	Herself/Hostess
720246	10930	Dr. Ann MacGrefor
720246	16686	Mary Elizabeth Whitehead
720246	30954	Catwoman/Comrade Kitanya 'Kit
720246	31183	Herself (CBS Team)
720246	31185	Herself (CBS Team)
720246	37800	Herself
720246	47976	Paloma Littleberry aka Mrs De
720246	64564	Performer
720246	64565	Herself - Performer
720246	64566	
720246	64571	Herself
720246	72023	Lee, Tom's Receptionist
720246	74045	Lil Mather
720246	140400	Martha Cooper
720246	168971	Various Characters
720246	187277	Young girl
720246	210863	Herself
720246	215173	Vanessa Wagner
720246	215456	Herself
720246	215458	Miss California/Miss America 
720246	227224	Kate Rand
720246	276892	Waitress in diner
720246	330772	
720246	336885	Lulu Flemington
720246	340780	Annie Sumner
720246	345948	Margaret Langdon
720246	352964	Herself
720246	379716	Ruth Parker Brent Martin, R. 
720246	381307	Betty Jones (1973-1980)
720246	384433	Enid Ross (1960-1962)
720246	397045	Herself/panelist
720246	397077	Panelist
720246	398538	Lily Munster
720246	399221	Lee Sawyer
720246	408281	Dr. Ann MacGregor
720246	408395	Herself (1956)
720246	411819	Ann Reynolds #1 (1964)
720247	459	
720247	90763	Rosa
720247	105526	
720247	119258	
720247	125168	
720247	170128	
720247	184968	La primera zitella
720247	185986	Cäcil, Magd
720247	188847	
720247	280799	
720247	290686	Burgl, Sennerin
720249	325873	
720250	376184	
720251	177377	Kleine Karin
720251	386905	Nina Sommerfeld
720252	82865	Herself
720253	126276	Girl at Infirmery
720255	194796	Girl recruit
720255	281923	Bellhop
720256	2545	Lorraine 'Lolly' Fleming
720256	5083	Ann Rutledge
720256	26342	Millicent Harrington
720256	30081	Etta
720256	30782	Dale Van Gorder
720256	32209	Carol Merrick
720256	38361	Slade Kinnicott
720256	43376	Mac
720256	44479	Jenny Saks
720256	46739	Miss Doberly
720256	47355	Kitty Corbett, Gordon's Secre
720256	47374	Chorus Girl in Audience
720256	49247	Gwen
720256	49547	Mrs. Dugan
720256	56789	Petunia Pratt/Cobb
720256	60247	Mamie Appleby
720256	65500	Dolly Winslow
720256	68133	Belinda Watters
720256	68279	Princess Katerina
720256	72452	Sharon
720256	76581	Sally McBride
720256	79826	Mamie
720256	84252	Lily Belle Callahan
720256	90257	Tallulah Hope
720256	90418	Nancy Dorsey
720256	91641	Aunt Elsie
720256	99856	Emma
720256	104950	Amy Drexel
720256	106655	Sybil
720256	112210	Dorothy
720256	118304	Gertie Robbins
720256	122248	Bertha
720256	128332	Mother
720256	130775	Mary Ann Crabtree
720256	131583	Nellie
720256	140332	Joan O'Day
720256	143131	Hattie
720256	147716	Herself
720256	152215	Thelma
720256	154401	Mom Schneider
720256	157118	Betty Merrick
720256	163451	Mrs.Magnolia Claghorn
720256	163557	Alice Lane Churchill
720256	175605	Sophie Wakefield
720256	175749	Miss Bedelia Baines
720256	176755	Betty Johnson
720256	196249	
720256	199156	Aunt Margaret Wentworth
720256	202536	Effie Perrine
720256	203066	Widow Weeks
720256	203457	Ruth 'Ruthie' Holman
720256	207854	Ma Larkin
720256	210717	Molly
720256	211179	Mrs. Omsk
720256	211601	Queen
720256	211602	Kitty Riley
720256	213193	Bunny 'Bun'
720256	214143	Patsy Clifford
720256	222667	'Toots' Simmons
720256	222675	Georgia Latham
720256	223733	Miss Irma Gilbert
720256	231974	Fanni Kerner
720256	240457	Marcia Giles
720256	241571	Phoebe
720256	248877	Verbena 'Ever's Housekeeper'
720256	249026	Cassie Bond
720256	264754	Sibyl Chase
720256	268832	
720256	274428	Sally (Lillian's roommate)
720256	276951	Ilsa
720256	277656	Glynnie
720256	278174	Lil Bunch
720256	279459	Julia Quimby
720256	287290	Nan Clark
720256	288205	Fritzi Kiffmeyer
720256	292521	Ella
720256	292678	Lois Martin
720256	298021	Mary Taylor
720256	303440	Margaret Rogers
720256	307912	Flo Saunders
720256	310724	Josephine 'Jo' Sanderson
720256	311230	Violet Ranley
720256	318673	Mrs. Winemiller
720256	318740	Mariah Popham
720256	321388	Patsy
720256	330129	Dixie Dare
720256	330797	Rose Dibble
720256	330875	Dirdie
720256	332806	Mrs. Watkins
720256	334188	Una
720256	340755	Daisy McClure
720256	342520	Lydia
720256	360165	Extra
720256	360477	Susan Standish
720256	363743	Toby Van Buren
720256	364707	June
720256	366793	Sister Marie
720256	367814	Miss Simmons
720256	383670	Aladdin's Mother
720257	4794	
720258	184518	TV News Anchor
720259	46424	Barbara
720259	63106	Reba
720259	99630	Jimmie
720259	102209	
720259	105805	Lieutenant Anita Van Buren
720259	163610	Louise Waters
720259	164641	Elsa
720259	166939	Doctor #1
720259	183274	Nanny
720259	186255	Lieutenant Anita Van Buren
720259	186256	Lieutenant Anita Van Buren
720259	194374	Rachel
720259	217052	Moe's Mother
720259	220039	Ruby
720259	228824	Jolena
720259	257078	Alice
720259	270607	Maggie
720259	272026	Nea
720259	278822	Lessie Watson
720259	298090	Doctor Jamison
720259	328277	Tarissa Dyson
720259	346871	Beverly Hawkins
720259	390109	Lani (Co-worker)
720259	391399	Ms. St. Marth
720259	395273	Lt. Anita Van Buren (1993-)
720259	396751	Capt. Margaret Claghorn
720259	401107	Reba the Mail Lady
720259	406907	Maria's Mother (segment "Seco
720260	84570	1.Prostituierte
720261	234212	Baby Loozy
720262	234212	Baby Loozy
720263	176348	Valery
720263	241605	Agency Model
720263	293888	Cindy
720263	381966	Host
720263	392051	Host
720264	316153	Narrator's victim 2 (in flash
720265	324321	Young girl at podium
720266	21280	La marchande de confitures
720267	90911	Diner Teenage Girl
720267	234116	Cheerleader #1
720267	298279	Theresa
720268	233460	
720269	336470	L'employée bibliothèque
720270	304539	Ornell
720270	313104	Sharmaine
720271	157444	Dental Assistant
720272	210732	Girl Student
720273	8416	Pela
720273	24055	Genovefa
720273	28278	Ciotka 'Snajpera'
720273	36735	Aunt Hela Wronska
720273	62694	Zuzanna
720273	66263	Krzakoski's Servant
720273	75967	Camping Owner
720273	77262	
720273	81425	Nowak's Wife
720273	88411	
720273	95700	Franciszkowa
720273	95960	Dog owner
720273	111756	Hotelwirtin in Driburg
720273	142464	Ring Girl
720273	164693	Maryna
720273	174880	Landlady Washing Backs
720273	179709	Kitty
720273	181408	Wikta Rusniak
720273	215214	Woman with Meat
720273	226003	Milska
720273	227610	
720273	234268	Maria Kaluzna
720273	236159	Waitress
720273	244042	
720273	256156	Shopkeeper
720273	262185	Maid
720273	266292	
720273	282756	Wafel
720273	284077	Sgt. Irena Molenda
720273	286452	Wife
720273	322168	Forester's daughter
720273	322820	
720273	347617	Archivist
720273	369017	
720273	394585	Stefania (1999-)
720273	398874	Genowefa Burczykowa (2000-200
720275	135308	
720275	267293	
720275	353234	
720276	356069	
720277	372555	Teenage Girl #1
720278	170361	
720279	76374	
720280	276536	Young Marie
720281	63977	
720281	322538	
720282	131494	Betsy
720283	242113	Girl at Carnival
720284	11485	Nurse Pierce
720284	26460	Mrs. Rosen
720284	39175	Ann Benedetta
720284	64842	Teresa Messinger
720284	108087	Miss Berg
720284	144226	Jake's Landlady
720284	157444	Frances Silvano
720284	164647	
720284	167704	Emily
720284	171072	Sadie
720284	176937	Sydney Schanberg's Sister
720284	185707	Mrs. Farelli
720284	195518	Mrs. Sturgis
720284	196291	Rose Profaci
720284	206405	Dolly Stieglitz
720284	221174	Loretta
720284	222571	Doris
720284	222632	Dr. Bromberg
720284	224838	Mrs. Arujo
720284	236870	Nan Riley
720284	264038	Bag lady
720284	265928	
720284	309678	Allan's Mother
720284	313827	Inez Marin
720284	327685	Jethro's Daughter
720284	342744	Guendolina
720284	360749	Josie
720284	366993	Cindy's Mother
720284	380391	Dr. Emily Cole (1982)
720285	126504	Woman in post office
720286	179924	
720287	112816	
720288	112914	Elderly Woman with Monkey
720288	229687	Old lady
720288	276052	Mrs. Rendlesham
720289	154780	Gym Teacher
720291	345154	
720291	374208	Permanent
720292	33525	Patronne des 'Joités'
720292	40316	La femme à la fenêtre
720292	51952	La mère
720292	58001	Lucienne
720292	67640	Mme Thérèse
720292	81475	
720292	84525	Hilde
720292	94399	Mère de Julien
720292	121427	Mme. Delvaux
720292	122414	Dactylo
720292	146955	Mère de Monique
720292	166156	Yvonne
720292	181261	Bourgeoise (II)
720292	198634	
720292	200927	La mère Chabot
720292	203449	
720292	208810	Louise
720292	225534	
720292	226791	The old mother
720292	247847	Tante de Marie-Louise
720292	302160	
720292	327658	Germaine
720292	336944	Mamie
720292	345554	Marutchka
720292	349488	Mademoiselle Rinquet
720292	350300	Mère Bess
720292	396042	Antoinette
720293	136300	Brandi
720294	147560	Deck Chair Lady
720295	8802	Manon
720295	10058	Duchessa Graziella Santori
720295	14382	
720295	51367	
720295	52873	Maria
720295	58054	
720295	64246	
720295	77228	Marina Gualandi
720295	123273	Luisa
720295	127774	Ginevra Degli Almieri
720295	127899	Anita Bontay
720295	127931	Gian's aunt
720295	191475	
720295	210382	Gaby
720295	234762	
720295	235740	
720295	248192	Antonietta
720295	248205	
720295	274901	Margherita di Valois
720295	293338	Elsa Lorenzi
720295	339078	Grazia
720295	344570	Amica del pianista
720295	344590	La baronessa Titta Marcus & l
720295	402302	Perpetua
720295	412246	Mme Moreau
720296	3505	
720296	9423	Ottavia Colasanto
720296	10050	
720296	10529	
720296	10530	Sorella Adele
720296	12674	
720296	12689	Woman in the car
720296	12691	
720296	13544	La sig.ra Proietti
720296	14918	Ermelina
720296	14954	
720296	14956	Orsola
720296	15278	Frau Mandini
720296	16818	Gianna
720296	17582	
720296	24065	
720296	26686	Carmela Spada
720296	33485	Aspasia Salluzzi
720296	36611	
720296	37512	Enza Masetti
720296	53863	Donna Filomena
720296	54140	Silvia
720296	54304	
720296	55648	
720296	55892	
720296	57961	
720296	61145	
720296	67512	Nunziata Maggiola
720296	70024	
720296	70836	
720296	71218	
720296	73976	
720296	84149	Sara
720296	85480	
720296	86872	
720296	89579	
720296	90760	Mrs Jole
720296	92971	Silvana
720296	94669	
720296	94719	
720296	96542	
720296	102257	
720296	102458	
720296	102623	
720296	102634	
720296	103170	
720296	111427	Marta
720296	113441	
720296	118615	Carmela
720296	124327	Pupa
720296	127391	Zia Bettina
720296	129011	Mother of tomato-throwing chi
720296	133038	Regina
720296	153919	Mme. Vulcano
720296	157127	La baronesa von Krapfen
720296	157176	
720296	158724	
720296	158759	La signora Beausoleil
720296	159431	
720296	162079	
720296	162083	Lady on the telephone
720296	162084	Donna Amalia
720296	168800	Maria Pinelli
720296	170312	Marisa Loreto
720296	183492	Boutique Owner
720296	189189	Schwester
720296	191416	Moglie del Telegrafista
720296	193193	
720296	204772	Amalia
720296	206025	
720296	206027	Aida
720296	207082	Madre superiora
720296	208799	Elena Miletti
720296	209443	Mafalda
720296	212394	Amelia
720296	212575	La preside
720296	217115	
720296	217559	Margherita Rosati
720296	217872	Franca
720296	219821	Paola Fioravanti (segment "Te
720296	223322	
720296	227561	
720296	230001	
720296	233068	
720296	234718	
720296	238937	Belinda Valle
720296	242294	
720296	242301	
720296	246417	Ines Santarelli
720296	247513	The Midwife 'Annarella'
720296	247514	Annarella
720296	249371	
720296	251325	
720296	254963	
720296	255538	La chiromante
720296	260895	Sig.ra Rosa
720296	263624	
720296	268897	Teresa
720296	270829	Regina
720296	277788	Barabba's mother
720296	283053	
720296	291622	Olga Olghis
720296	296532	Moglie di Maciste
720296	301376	
720296	301382	Vera Colasanti
720296	313135	
720296	313901	Un ospite dell'istituto
720296	313902	
720296	315422	Garibalda
720296	317716	
720296	324076	Zizì
720296	327496	Margherita Pozzi
720296	328871	Nonna
720296	332250	Lucia
720296	332748	La suocera
720296	335876	Rosa Tattaglia
720296	336126	
720296	336592	Patronessa
720296	336593	Luisa, la modella
720296	342124	Jolanda
720296	349524	
720296	349544	Countess Eloisa
720296	351530	
720296	354231	Amalia Celletti
720296	354443	
720296	355787	Jacqueline
720296	355801	
720296	361802	Herself
720296	373988	
720296	384618	
720296	386689	
720296	386748	
720296	386749	Diana
720296	393137	
720296	400665	
720297	10727	Katherine
720297	368281	Dr. Nelson
720298	86757	Megghy
720299	324294	Delia
720300	108123	Silvia
720300	354449	
720300	376722	
720300	376726	
720300	384427	Clara
720300	387778	Nora
720300	388277	Silvia
720300	388650	
720300	402427	
720300	402428	
720301	356214	
720302	54810	Mother
720302	244277	Chorus
720302	281584	Deborah Kerr
720302	305542	Laura
720302	311817	Doctor
720302	393044	Hostess
720303	34420	La femme du conducteur
720303	51804	Agnès
720303	96228	Madame Jacquinot
720304	551	
720304	7250	
720304	20390	
720304	58145	
720304	74903	
720304	80129	
720304	80140	
720304	100498	Ana
720304	190644	Doctora Somontes, psiquiatra
720304	197216	
720304	212463	
720304	225032	
720304	297357	
720304	301110	
720304	334471	
720304	348731	Doreide
720304	348734	
720304	380546	
720304	396179	Abuela
720304	397283	
720304	397863	Carmela
720305	13187	
720305	74865	Viejita
720305	96335	Amelia
720306	215433	Staff Redacción
720307	60142	Agente de Inteligencia
720308	362481	
720309	20625	Extra
720310	225	Herself
720310	1481	Herself - Presenter
720310	1842	Herself - Presenter
720310	9125	Lt. Hurwitz
720310	10348	Gerry Allen
720310	17758	Annie Oakley
720310	18615	Reno Sweeney
720310	18616	Herself/Reno Sweeney
720310	20631	Herself
720310	21003	Madame Coco La Fontaine
720310	31592	
720310	36839	Herself
720310	47296	Herself
720310	52447	Sally Adams
720310	57361	
720310	84928	
720310	105006	Herself
720310	116532	Helen King
720310	117526	Herself
720310	138850	Flo Kelly
720310	162216	Irene
720310	163462	Mrs. Marcus
720310	169383	Mombi, the Bad Witch
720310	170000	Herself
720310	176358	Dot Clark
720310	188234	Herself
720310	211535	Herself
720310	232017	Herself
720310	239712	Helen
720310	247373	Hattie Maloney
720310	279522	
720310	282990	Lilly Loraine
720310	286338	Herself
720310	308037	Mrs. Marcus
720310	308672	Herself
720310	310626	
720310	312774	Herself
720310	315914	Linda Tyler
720310	316946	Joyce Lennox
720310	325116	
720310	330018	Molly Donahue
720310	333305	Herself
720310	360526	Edith
720310	367948	Hedda Parsons
720310	372271	Herself
720311	6071	Magda Raes
720311	7777	Passante
720311	8866	
720311	40637	Mother
720311	42710	Persoon in body bag
720311	43381	Annette
720311	43870	Violaine
720311	48320	Institution Manager
720311	69497	Emma
720311	76670	Nora Scholliers, moeder van N
720311	86347	Moeder Van Reeth
720311	90827	Patricia
720311	124424	Farmer's wife
720311	124894	
720311	134200	Julie Gendebien
720311	156153	
720311	169013	Anna
720311	185864	Edith
720311	190663	Lady with Fur Coat
720311	202968	Rita
720311	203447	Martine
720311	209732	Yvette
720311	226293	Beba
720311	242432	
720311	244753	Mia
720311	247590	Marilou
720311	248412	Actrice
720311	287122	
720311	296671	Shopkeeper
720311	297922	Dora
720311	311631	Aline Maesse
720311	318470	
720311	356103	Lucienne Homenides de Histang
720311	357394	Magdalena
720311	360785	Claire
720311	373797	Moeder van de kinderen
720311	379634	
720311	383455	Marianne De Bunne
720311	384970	Jacqueline
720311	388157	Isabeau de Crébillon
720311	388299	Isabelle (2001-)
720311	389782	
720311	390062	Mevrouw Giiliams
720311	393617	Elf in de grot
720311	395633	Lisa (1994-)
720311	397122	Viviane
720311	397318	Moeder
720311	406203	Christiane Gijsbrechts-Van Br
720311	406514	
720311	407777	Marilou
720311	409366	Moeder van Margot
720311	409974	Zuster Koedde
720311	410401	Marie-Louise Mabesoone
720311	411116	Wiske
720311	411309	Bieke Vreelust
720312	230340	High School Teacher
720313	371908	Customer in Bank
720314	177456	Girl at Graduation
720316	405529	Marie-Christine
720317	346721	La maman
720318	8112	
720319	64006	La femme de la police
720319	77364	Augustine
720319	345196	Solange
720320	35725	Guest at Chase's residence
720321	181569	Photographed girl
720322	20156	Queen Ariana
720322	35770	Herself (Sable)
720322	58510	Shira
720322	67829	Sable
720322	70778	Female Bouncer
720322	113414	Julia Grant
720322	121592	Sable
720322	146882	Sable
720322	168487	Sable
720322	177488	Sable
720322	217821	Sable
720322	234072	Sable
720322	282680	Sable
720322	282681	Sable
720322	318835	Sable
720322	318840	Sable
720322	320137	Sable
720322	368829	Sable
720322	368831	Sable
720322	368834	Sable
720322	369201	Sable
720322	369203	Sable
720322	369210	Sable
720322	369215	Sable
720322	369218	Sable
720322	369221	Sable
720322	369234	Sable
720322	369237	Sable
720322	369240	Sable
720322	369249	Sable
720322	369278	Sable
720322	369286	Sable
720322	369297	Sable
720322	369306	Sable
720322	402907	Sable (1997-1999)
720322	406933	Sable (1998-1999)
720322	411537	Sable (2003-2004)
720322	411543	Sable (1996-1997)
720322	411545	Sable (2003-2004)
720322	411546	Sable (1996)
720323	45119	
720324	269638	Anna
720325	197180	Graziella
720326	7441	Fille d'Yvette (7 ans)
720327	25570	Hasia
720327	89041	Clara
720327	104954	
720327	182307	
720327	198435	Girl in circle at the beginni
720327	371908	Hanna
720327	373427	
720327	394853	Hanna
720328	333408	Young Barbara understudy
720329	214844	
720330	28017	
720330	94664	
720331	183467	
720332	313033	Les collégiennes
720333	45619	Dame à l'hôtel
720333	69624	
720333	80649	Gun Clerk
720333	101040	Catskill Woman
720333	183426	Washroom Attendant
720333	189265	Lola
720333	197545	Mrs. Silvera
720333	203581	
720333	236147	Shirley
720333	273619	Ms. Green
720334	218085	Limor
720335	9084	Araceli
720335	76786	Bárbara
720335	206140	Kite
720335	379566	Paloma (1998-2001)
720335	387811	Cris
720335	397466	Presenter
720335	400653	Laura
720336	356195	
720337	14974	A Lady
720337	27452	Mrs. Wetherby
720337	33644	Miss Buckland
720337	38959	Aunt Louise
720337	53053	Helen
720337	53101	Miss Ruth
720337	63834	Granny Wallon
720337	80550	Mrs Foley (linking narrative)
720337	84129	
720337	92574	Constantia
720337	94764	Mrs. Henderson
720337	94977	Billy Honour
720337	99968	Kelvin's Mother
720337	100730	Flora Penezzi
720337	109636	Irene Lambton
720337	122170	The Aunt
720337	131793	
720337	134015	Mrs. Rydon-Smith
720337	155692	Auntie
720337	163547	Miss Wyvern
720337	169948	Lady Musterby
720337	185414	
720337	185824	Lady Southdale
720337	193825	Sarah Ormerod
720337	195959	Mrs. Hardcastle
720337	209610	Grandma Rockett
720337	210798	Mrs. Harg
720337	231438	Mrs. Nickleby
720337	255261	Grandma Wardle
720337	256292	Mrs. Ellen Sutton
720337	283989	Miss Bettyhill
720337	310404	Miss Fogg
720337	312254	Miss Thorndike
720337	320260	Mrs. Smith
720337	330185	Aggie
720337	330841	Mrs. Jarvis
720337	331681	Isobel Morgan-Vaughan
720337	331716	Mrs. Bailey (segment "Take a 
720337	339784	Miss Atkin
720337	360542	Mrs. Skinner
720337	364233	Janet Bowering
720337	372280	
720338	175741	Militant Lesbian
720339	336613	
720340	177204	Kimble's Nurse
720341	279173	Hooker at Lolo
720342	281052	
720342	291093	Helen Field
720343	15008	
720343	45147	
720343	46656	Marinette
720343	57294	Rosalie
720343	57847	
720343	58856	
720343	68701	
720343	95358	
720343	112704	
720343	116628	Marie-Louise/Favonne
720343	122907	
720343	124231	Gabrielle
720343	170113	Mary Lengley
720343	197544	
720343	205472	
720343	219512	Madame Bonnemain
720343	238457	
720343	241173	
720343	247895	
720343	251530	
720343	254148	
720343	264259	
720343	284219	
720343	292343	Zizine
720343	300726	Irma
720343	308414	
720343	346544	
720343	376994	Greta Nelson
720345	77869	Une sorcière
720346	8965	
720346	10980	Eloise Thurman
720346	24950	Sally
720346	31617	
720346	32258	
720346	41719	Selma
720346	44549	Peggy Lewis
720346	46542	June Smart
720346	47307	Showgirl
720346	47345	Mazie
720346	47470	Grace
720346	49570	
720346	50688	
720346	52546	
720346	53788	
720346	54450	Mary Traill
720346	54623	
720346	57172	
720346	66647	Hagar
720346	73932	Mrs. Ruth Connors
720346	77297	Elise Cooper
720346	77810	Celestine Castle
720346	77916	Beautiful Belinda
720346	78718	Helen Delk
720346	89172	
720346	95117	Camilla
720346	115575	
720346	131561	
720346	145955	
720346	148876	Blondie
720346	185879	
720346	203457	Miss Smith, Receptionist
720346	232012	Mrs. Ritchey
720346	236221	Angine Sprunt
720346	238731	
720346	238868	
720346	239192	
720346	241700	Alice Felton
720346	246720	Stephanie Parrish
720346	247299	Lucy Morgan
720346	255152	
720346	258019	Maid
720346	268171	
720346	269366	Girl
720346	292144	Satterlee
720346	293976	
720346	299171	
720346	305459	Girl at gaming table
720346	306394	Julie Hempel
720346	307978	
720346	314270	Isobel Becker
720346	315306	
720346	321190	
720346	321271	
720346	327744	
720346	327872	An actress
720346	330490	Bit
720346	331721	Gracie
720346	335625	
720346	359880	
720346	363230	
720346	364345	
720346	364604	
720346	366234	Blonde in Flashback
720346	367041	
720346	367206	
720347	122076	Mother Nuckells
720347	322638	Y.W.C.A. Woman
720348	146091	
720348	389858	Samantha Wells (1985-1989)
720349	85650	Nurse
720350	37238	Evelyn
720350	61578	Louise Norman
720350	71652	Margo
720350	112595	Jeanne Barton
720350	128468	Susan
720350	141620	Night Nurse
720350	146757	Sally
720350	158331	Mrs. MacAndrews
720350	161041	Nurse
720350	183418	Amy
720350	229100	Ruth Marshall
720350	255819	Millicent Rankin
720350	294199	Julie Rogers
720350	330836	Vivian
720350	333344	Linda Conquest Murdock
720350	347751	Sandra
720351	121675	Elephant
720351	362453	Secretary
720353	264	Fussy woman's daughter
720353	18729	Barbara Taylor
720353	20286	Lila Adams
720353	41010	Susan Parker
720353	44747	Constance Gloria Mannar
720353	55735	Linda Wade
720353	65797	Gerry Peyton
720353	73173	Ellen Trotter
720353	75849	Mary Phillips
720353	78017	May Ralston
720353	78020	Lizbeth Ellsworth
720353	80021	Nancy Carlyle
720353	80520	Mary Logan
720353	81307	Carolyn Johnson
720353	83557	Sue Martin
720353	92006	Gloria Gold
720353	92230	Muse
720353	92435	Kitty Browning
720353	103300	Lee Brooks
720353	115471	Marilyn
720353	116030	
720353	121356	Dixie Martin
720353	124775	Betty Dixon
720353	136284	Helen Carter
720353	154426	Mrs. Johnston
720353	155293	Audition Girl
720353	162528	Ann
720353	166998	Joan Perry
720353	173528	Martha King
720353	209612	Helen Tyler
720353	215925	Virginia Randall
720353	220342	
720353	222678	Nurse
720353	232822	Eve Sharon
720353	245418	Ann Hollister
720353	271005	Mary
720353	303146	Phyllis
720353	307846	Dorothy Russell
720353	312833	Ellen Bristol
720353	313803	Dorothy Dean
720353	321519	Penelope Carstairs
720353	331938	Princess Rica/Linda Hobson
720353	342895	Ruth Norton
720353	356298	Jean Martin
720353	372927	Emmy Lou Piper
720354	21369	Pharangese, Trahamenay
720354	382214	Hortense
720354	383625	Helen
720354	387247	Mrs. Hopkins
720355	24606	Charlotte
720355	75791	Nurse
720355	106519	Major Devlin
720355	347454	Dr. Gilchrist
720355	374582	Dr. Gilchrist
720356	232870	
720357	248182	Herself
720358	203489	Janice
720359	20987	Hanging Victim
720359	278466	Wendy
720360	80844	Court Reporter
720360	185589	Girl in club
720361	370322	Drive-in Waitress
720362	11186	Leena Maho
720363	79049	Vampire
720364	121482	Stuepige
720364	306372	
720364	360833	
720365	219166	Betty
720365	234225	
720365	330189	Edna Fletcher
720366	251279	Diana as child
720366	362192	Liza Bates
720367	297382	Falling Leaves
720368	59729	Sam's Dancing Niece
720369	129762	Married Gnome
720369	330886	Bubba's Nurse
720369	395428	Model (1963-1977)
720369	411862	Model
720370	97529	Sally Kolka
720370	158146	
720371	24893	Margaret
720371	194769	Joan
720371	224354	Mrs. Fleeter
720371	305465	Pauline
720372	104357	Musician
720372	232115	Lorraine
720373	245337	Babs
720374	59729	Charly's Double
720374	343294	Rollerskater
720375	17592	Sarah Hart
720375	21331	Kelly Allen
720375	50614	Emily Liggett
720375	51801	Cynthia Young
720375	56868	
720375	58946	Merilee Parker
720375	72023	Rita Behrens
720375	83856	Sylvia Blair
720375	90313	Ens. Benson
720375	105942	
720375	108287	Florence Carlyle
720375	110242	Catherine Tarr
720375	129626	Phoebe
720375	133962	Velvet Green
720375	150292	Estelle Modrian
720375	154907	Karin Granstedt
720375	171274	Connie Herschel
720375	177695	Helen Martinson
720375	188642	Penelope Parkington (The Park
720375	193784	Beatrice Savarona
720375	200463	Mrs. Johnson
720375	209125	
720375	213466	Society Woman
720375	213941	Ellen, David's Mother
720375	220793	Mrs. Greher
720375	223211	Narrator
720375	231398	Margie Solitaire
720375	232017	Herself
720375	235441	Clair Worth
720375	242529	Doris Hays-Britton
720375	242773	Lt. Barbara Duran, RN
720375	244421	Mother of Diane Keaton's frie
720375	257689	Celia
720375	258879	
720375	283580	Whit Colby
720375	295328	Emily Garth Pleasent
720375	296665	Dina
720375	308052	Lydia D'Arcy, Monique's Mothe
720375	319081	Jean Halstead
720375	319266	Brancie Hagen
720375	320378	Alice Jameson
720375	328078	Cele
720375	331935	Lindy
720375	340752	Joan Stiles
720375	341928	Maureen Dowd
720375	342414	Nicki Kovacs/Doris Delaney
720375	342628	Nell Kempler
720375	360741	Antoinette 'Toni' Sloan Godda
720375	361816	Annette DeGrande
720375	372731	Karin Bell
720375	387120	
720375	392052	Estelle Modrian
720375	403730	Mrs. Hickinger
720376	134881	Co-ed #1
720377	276124	Alex
720378	231951	Grace
720379	59729	Sister Christian
720380	155306	Adele Wynn
720380	208692	Vicky Lane
720380	333316	Joan Merrill
720381	80552	Sara/Sura
720381	106007	The Blind Wife
720381	218393	Pantry Girl/Vampire
720381	358055	TV Woman
720381	368687	Ladies of the Paddock
720382	132761	Mud Monster Girl
720383	245894	Sister
720384	977	Mrs. Clancy
720385	92115	Zoe
720386	21867	
720387	267474	Dispatcher
720388	314962	Girl on Venice Boardwalk
720389	68688	Woman in Line
720389	311635	Meegan
720390	31643	Beach girl
720391	303456	Sheila
720392	304355	
720393	108	Nurse
720393	16080	Martha Howson
720393	84859	Girl
720393	113885	Autograph Seeker
720393	126068	Wife in King Henry VII sketch
720393	129810	Second Angry Showgirl
720393	143607	Girl visiting Navy Yard
720393	192747	Cynthia Parker
720393	253472	Dinner Guest
720393	299197	Sparks' Girl
720393	312586	Third Girl
720394	59729	Mark's Secretary
720395	323505	Tina
720396	251812	Woman in Green, as a Hag
720397	11186	Leena
720398	269844	Purse Woman
720398	337384	Duke & Duke employee
720399	185282	Brad's Girl
720400	73120	Mrs. Cole
720401	362791	Coach Beth
720402	194564	Special Child
720403	394648	KMEG Meteorologist (2002- )
720404	318645	Nurse
720404	388441	Rosemary
720405	183558	Mrs Plowton
720406	257764	Canadian girl
720407	208719	Chorus Member
720407	305600	Messo-Soprano in 'Recessional
720408	194223	Reston Girl
720409	295147	Dublin
720409	378399	
720410	60323	Chloe
720411	152936	Waitress
720411	194796	Girl in Jewelry Shop
720412	81062	Dutch Villager
720414	51989	Tiffany
720414	97688	Diana Davies
720414	184949	Cynthia
720415	38022	Paris Marriott
720415	41764	Austin
720415	306853	Meffastaffallo's Employee
720416	185820	Larissa Insmouth
720417	249557	Sgt. Farr
720418	348327	Goldwyn Girl
720419	177643	Waitress
720420	90467	Herself (editor)
720421	132441	Grace
720422	231090	Studio Model
720422	370648	Todd's Girlfriend
720423	121506	Young Jean
720424	93023	Faith Shields
720424	235052	Texas Dancer
720425	55198	Frasquita
720426	117257	Polonia
720428	47237	Debbie
720429	32818	Cute guide
720429	78317	Margie Bailey, Jimmy's Sister
720429	96990	Receptionist
720429	165695	Emily Shafer
720429	223019	Orchestra Member
720429	241134	Chorus girl
720429	305761	Mary Files
720429	305898	Student
720429	308674	Isabelle Chopin
720429	353370	Dina Rossi
720430	11485	Cast of NY/LA
720430	22618	Ida
720430	38021	Juanita
720430	69047	Clytie Catlett
720430	78141	Grace
720430	90373	House guest at the party
720430	131731	Mrs. Crosby
720430	133792	Arrabella Smalls
720430	148260	Mrs. Vaughan
720430	164242	Mama Meley
720430	214911	Sarag Coleman
720430	232921	Maria
720430	294829	Simone
720430	330194	Peggy
720430	356789	Madame Daslay
720430	367054	Aunt Em
720430	376311	Nurse Wilson
720430	407958	'Mama' Eloise Curtis
720431	336723	Ganambarr
720432	6196	Bess
720432	19176	Dianna
720432	38663	Frances Waring
720432	55249	
720432	85632	Mary Dawson
720432	90263	
720432	138248	Laura
720432	140547	Sorel Bliss
720432	149708	Sheila O'Neill
720432	150747	Beryl Stapleton
720432	165447	
720432	191240	Alais
720432	219255	
720432	232054	Angela Roberts
720432	232872	Julia
720432	250713	Val
720432	297718	Duchess of Richmond
720432	318485	Jean Skelton
720432	321982	Nicola
720432	333235	
720432	365151	
720432	367665	Alice Taylor
720432	390887	Anne Hepton (1971)
720432	395988	Lorna Doone
720432	400208	Hallie
720433	303456	Patty
720434	274332	Dancer
720435	25088	Hèléne
720435	33577	La concierge
720435	46597	Florence Garnier (segment "Le
720435	51570	Denise
720435	61405	
720435	83176	
720435	101999	
720435	111371	Amanda
720435	121343	Deanna
720435	146375	
720435	148621	Mathilde
720435	156562	Valérie
720435	160820	Raymonde
720435	164208	Gisèle
720435	219476	
720435	236509	Jasmine
720435	294778	
720435	300662	
720435	300760	Ginette
720435	345306	Claude Cartier
720435	350079	
720435	354524	
720435	390395	Maria
720436	220165	
720437	405733	Carla Corelli
720438	132247	Peninsula Dance Team
720439	112205	VIP Stewardess
720440	297994	
720441	50376	
720441	224863	
720441	296374	Herself
720442	92575	Newswoman
720443	271212	
720444	410154	
720445	41707	Grace Valiant
720445	65414	Judy Saurin
720445	68467	Doris Mordant
720445	71636	Police Matron
720445	72223	Mrs. Wilson
720445	79575	Fanny Lacy
720445	93105	Alice Merton
720445	100213	Mrs. Mills
720445	105074	Nurse
720445	143340	Katherine Colvin
720445	201870	Blanche Belgrave
720445	220045	Lady Eldone
720445	241622	Emma Bryson
720445	271249	Jane Withersteen
720445	277985	Jane
720445	278410	Mrs. Hardesty
720445	308642	Settler's Wife
720445	313301	Neighbor
720445	335873	Her Stepmother
720445	340477	Ruth Camden
720445	361300	Pioneer Woman
720445	363673	Marcia Van Kreel
720445	364239	Marian Emlen
720446	194564	Murphy Family
720447	15912	
720447	28150	
720447	43720	
720447	58225	Marilyn, La barmaid
720447	65136	
720447	111134	Rita, la standardiste
720447	119751	Paquita
720447	132801	
720447	148764	
720447	217668	
720447	237619	
720447	249706	
720447	261846	Un flirt de Walter
720447	268878	
720447	283027	
720447	336643	Sonia
720448	132801	
720449	99821	Emer
720450	21774	
720450	24782	Rose Grey
720450	39591	Lyda Desmond
720450	192848	
720450	204790	
720450	278244	Viola Bradley
720450	293161	
720450	362863	Lucille Gray
720451	280298	Victoria
720451	296665	(special thanks)
720452	293037	Michael O'Grogan
720453	58619	Josie Jennings
720453	75353	Peggy Blair
720453	77637	
720453	292487	Helen
720454	5822	
720454	6846	
720454	10610	
720454	10659	
720454	16687	
720454	22885	
720454	24691	Autumn Arden/Jeanette Arden
720454	24782	Rose Grey
720454	25360	
720454	37325	
720454	38108	
720454	38294	
720454	40305	
720454	45431	'Jack' Channing
720454	47478	Mignon, grown up
720454	47580	
720454	70531	
720454	72350	
720454	73100	May Fielding
720454	84215	
720454	84231	
720454	89619	
720454	93794	
720454	99482	In Store
720454	104963	
720454	111714	
720454	113475	
720454	120197	Estelle Morse (unconfirmed)
720454	125798	
720454	126675	
720454	128140	Judith Ralston
720454	128487	
720454	129864	
720454	130665	
720454	133764	Peggy Carson
720454	142656	
720454	143117	Biscuit Victim
720454	143118	Mabel
720454	143335	Mona Everard
720454	143423	
720454	145890	One of the children on the st
720454	146057	At Wedding
720454	146180	
720454	146260	
720454	146261	
720454	149151	Mary Blake
720454	158052	
720454	167594	Wedding Guest
720454	178706	
720454	184910	
720454	187740	Jenny MacDonald
720454	192053	Bonnie
720454	192325	Tina and Alice
720454	193795	At the Inn
720454	196176	
720454	196849	Sylvia Templeton
720454	213138	
720454	219254	Betsey Dawley
720454	224728	
720454	227799	Bessie Allen
720454	228485	Dolores Winthrop
720454	229981	Marcia
720454	230569	
720454	235492	
720454	240467	
720454	241261	Customer
720454	241581	
720454	245148	
720454	245652	
720454	249343	
720454	250563	Joan, the Child of Nature
720454	251434	Visitor
720454	251834	
720454	266194	
720454	270948	Tatters
720454	274453	
720454	298026	
720454	298433	Princess Michal
720454	298536	
720454	299953	
720454	309594	
720454	311411	Valda Girard
720454	312923	
720454	316174	Jen
720454	318444	The Woman
720454	319271	
720454	319768	
720454	320208	Nancy Croyden/Susan Flynn
720454	328071	
720454	328785	
720454	331161	
720454	332091	Betty, The Girl
720454	334749	Mrs. Richard Standhope/Laura 
720454	338755	
720454	345779	
720454	345841	
720454	347456	
720454	354917	In Crowd
720454	360203	Wedding Guest
720454	361741	May Arnold
720454	362564	On Street
720454	363110	
720454	365195	
720454	367049	Alma
720454	367291	Helen Stanhope
720454	372104	
720456	321483	Puri Daï
720457	31021	Della
720457	239030	Check-out Girl
720457	251382	Carol
720457	264154	North's Secretary
720457	277088	Mrs. Wormser
720457	277622	Judy Heller
720457	322647	Various Characters
720457	347063	Girl in Bar
720457	367948	Girl in Arab film
720458	334085	School Girl
720459	262087	Katie
720460	5201	Dr. Natalie Kay
720460	191925	Ms. Connors
720460	194876	Gert
720460	210462	Attorney General Zutrow
720460	254625	Nurse
720460	328281	Roadhouse Clubgoer #1
720460	330434	Woman with Cancer
720460	333430	Nurse May
720460	335799	Page
720460	372466	
720461	320599	Alexis
720462	455	Franziska
720462	49283	Maria Umlauf
720462	104463	Franziska
720462	264253	Sariba
720462	290643	Beatrice
720462	307650	
720462	348679	Clara Seibel
720462	365607	
720462	380904	
720462	394228	Katrin
720462	404183	Lisa
720462	406004	Alice
720462	406334	
720463	282104	Stammgast und Personal Rossin
720464	389956	
720465	112917	Advokaat-passant 2
720466	148370	Anna
720467	108146	
720468	9937	Dr. Erika Römer
720468	155459	Marianne Lennart
720469	197214	Meisje
720469	208195	
720469	289485	Hyacinthe
720469	340642	Bruid
720469	359396	Gierigheid
720469	359468	Anita
720469	388909	Jacqueline Nauwelaerts (2003-
720469	400287	Zuster
720469	409886	
720470	250899	
720471	10867	Edie Martin
720473	230144	
720474	253	
720474	217066	Camilla
720474	302847	
720474	344237	
720475	388051	Herself (2001)
720476	192254	Customer
720478	101219	Julie
720478	345136	Marielle
720479	40594	Zuster Angela
720479	76447	
720479	76718	Aline
720479	78515	Boerin
720479	125310	Valerie
720479	127495	Leonie
720479	134882	Klappei
720479	142743	Buurvrouw
720479	152366	Winkelvrouw
720479	156154	Bertha
720479	157495	Moeder
720479	157849	
720479	157908	Hilde
720479	178447	Moeder van Agnes
720479	213564	
720479	332207	Klante
720479	357391	Buurvrouw
720479	357566	Kermelie
720479	358948	Josephina
720479	375721	
720479	400801	Meid
720480	29385	Warwara Bogodouchow
720480	357397	
720481	105533	
720481	147153	Christa Segenreich
720481	179653	
720481	282051	
720481	325693	Frau Czermak
720482	5599	Sophie
720482	226326	Hausmeisterin
720482	311916	Mary
720482	391479	Sandra
720482	393878	
720484	24355	Elisabeth
720484	46767	Frau Gropius
720484	114876	Sophia Gonzales
720484	119218	
720484	223487	Schaffnerin/Conductor
720484	230019	Simone Farber
720484	290108	Gerda
720484	300969	Frau Köppl
720484	312116	Sonja
720484	314309	Margot Fischer
720484	325656	Pia
720484	393878	Barbara Demmerlein
720484	398863	
720485	262363	
720485	285318	Singer
720485	334380	
720486	156237	
720486	293408	
720487	65508	Blondie
720487	130149	
720487	177432	
720487	246333	
720487	364539	Julie
720488	123136	Mrs. Amy Lawrence
720488	142365	Judy Brooks
720489	245	Herself
720489	6859	Rosa Dax
720489	10845	Sandra Benes
720489	56884	Allison
720489	58544	Ting Ling
720489	71317	Sandra Benes
720489	84131	Sandra Benes
720489	90905	Malay girl
720489	141633	Barbara Tucker
720489	142672	Marie-Lise
720489	142930	Annette
720489	146619	Miss Ho
720489	169444	Sandra Benes
720489	180449	Lucy Ferner
720489	185838	Norma Lee
720489	207533	Sunia
720489	211757	Sandra Benes
720489	311844	Herself
720489	329316	Olga
720489	383582	Christina
720489	384100	(episode "The Prophecy")
720489	386394	Teacher
720489	388321	Doctor Morrisey (2000)
720489	395080	Anna Guest
720489	405525	Annette
720489	406087	Sandra Benes
720490	17168	
720491	234434	Regina Petrovna
720492	68697	The Company
720493	33023	Herself
720493	78703	Andrea, Sandi Griffin, Britta
720493	162533	Andrea, Sandi Griffin, Britta
720493	162534	Sandi Griffin, Brittany Taylo
720493	385705	Andrea (recurring) (2000), Sa
720494	37697	
720495	19393	
720495	117877	Boróka orvosnõje
720495	163123	
720495	171547	
720495	199118	
720495	324710	
720495	377134	
720496	255501	
720496	379652	
720496	380242	
720496	382691	Eugenia
720496	383867	
720496	384984	
720496	388278	Marisa Altamira
720496	389480	Lavinia Loyola
720496	389589	
720496	391418	Kiki
720496	391611	
720496	396333	Mirna
720496	396389	Dora
720496	396942	
720496	397117	
720496	401634	
720496	404815	
720496	407644	Hilda
720496	410204	
720497	55880	
720497	147224	
720497	198230	
720497	234253	
720497	283309	
720497	352472	Lambl´s sister
720497	357435	
720497	373781	Anca
720498	340129	Mireille
720499	146717	
720500	172919	Couple #2
720501	81493	Maid
720502	199606	
720504	211164	
720505	384805	Cilette
720506	23686	
720506	382466	La speakerine
720506	384805	Elise Darnois
720507	287298	Anne
720508	39404	Hollywood Extra #5
720509	234826	Margrethe
720510	284911	Actress
720511	293744	Paromedic
720512	400710	Herself
720513	281397	Make Up Girl #1
720513	387287	Mindy (2002-2003)
720514	24429	Skater
720514	140783	'I Love You' Leech
720515	22865	Real Estate Agent
720516	141399	Female Soap Fan
720517	320091	Dianne
720518	29446	Donna
720518	92181	Janis Joplin
720519	68438	Michela Licalzi
720519	70835	Zoe
720519	158628	Manu, Figlia di Michele
720519	168904	Beatrice
720519	247387	Maria
720519	270855	Lory
720519	349544	Barbara
720519	386913	Vampire
720519	396649	
720519	399657	Herself (1992-1994)
720519	409049	
720521	93462	
720522	34347	
720523	155376	Schwester Elvira
720524	166643	Delaware Student
720525	187190	Mary
720526	53755	Natasha
720527	190384	Pressa
720527	373061	
720527	409403	
720528	217629	Hatice
720529	396793	Herself - Map Curator of the 
720530	5969	5 (five)
720531	401699	Sofía Arbelaez
720531	407277	Jimena
720531	412185	Mariela
720532	351494	
720533	260553	Ana
720534	24264	Armando's sister
720535	213749	
720536	379928	Herself
720537	74340	Adèle
720538	65118	Ika
720538	79012	Guest at Dinner Party
720539	74340	Sarah
720540	20954	Luisa
720541	351494	
720542	282599	The Queen
720543	397151	Kiss
720544	139360	Aunt Rabia
720545	236599	Femme Terrasse 1
720546	109649	Athlete
720547	270933	Party Girl
720547	315131	Young Earline
720548	356891	Computer-Durchsagen
720549	32466	DV8 Clubgoer
720549	73612	Model
720550	86616	
720550	95553	La 'politique'
720550	100947	
720550	172579	Princess Serina
720550	371562	Herself
720551	81682	Doreen
720551	263791	Lab Assistant
720551	390485	Brenda Potter
720552	106365	Sharka
720553	110116	
720553	354685	Girl/Bit Part
720553	355815	Herself
720554	178140	Fantasy girl
720555	44595	Woman
720556	276328	Ben McGuiness' Girlfriend
720557	44946	Bénédicte
720558	10205	Ninette
720558	166565	Schoolgirl
720558	230887	Maria
720558	392911	Sabine
720559	33190	Other Reporter
720559	50359	
720559	335949	
720560	174858	Anna
720560	190637	
720560	206517	
720560	237566	Anna
720560	275215	
720560	338947	Irina
720560	363845	Ksenia
720561	3585	
720561	63590	
720561	88450	
720561	104422	
720561	162675	
720561	174532	
720561	176134	
720561	179903	
720561	198143	
720561	211194	
720561	259878	
720561	316372	
720561	343298	Vera
720561	348906	
720561	349249	
720561	375793	
720561	382758	Pchela's Mother
720561	387149	
720562	46270	Actress at Bar
720562	59753	Ann Bailey
720562	203005	Restaurant Patron
720562	227035	Joan
720562	313608	Tracy
720563	72123	Prostitute
720564	217568	Maid
720565	223720	Blonde Lesbian
720566	379132	Evidelia (Chapter 5)
720567	4656	(segment "Mundo mágico")
720567	377874	
720568	135270	Luisa
720568	156010	
720569	52073	Piterova zena
720569	102627	
720569	132197	Cecilie
720569	174252	
720569	187975	
720569	192897	Vukica
720569	236169	Milicina tetka
720569	254219	Vratarka
720569	256731	
720569	266751	
720569	305525	
720569	307148	Mitra
720569	310654	Kosara ... psiholog
720569	320663	
720569	320695	Sudija
720569	328150	
720569	349153	Gospodja Stojanovic
720569	350742	
720569	351973	
720569	385138	
720569	394110	
720569	397855	
720569	403668	
720571	40819	Ellen
720571	40820	Ellen
720571	409366	Kaat Cremer
720572	406789	Herself (1987-????)
720573	19396	
720573	216513	
720574	130253	Irine
720574	255536	Nani
720574	298274	Natela
720574	302430	Lia
720575	30985	
720576	317260	Bar Patron
720577	86001	Charlotte Rady
720577	147865	Mary
720577	151111	Mrs. Whitmore
720577	347335	Telephone Operator
720577	387309	Mattie Lane Grimsley #3 (1967
720577	388792	Unknown
720577	410977	Nan Prescott (1970-1972)
720578	297635	First Pretty Co-ed
720579	105922	Undercover policewoman
720579	332772	Fighter/Soldier/Performer
720581	28344	
720581	227120	Ballerina
720582	322064	TV mûsorvezetõnõ
720583	386236	Additional Voices
720584	7459	
720585	118897	Herself (CBC host)
720585	409508	Herself
720586	64659	Statue Act
720587	138705	
720588	338981	Herself
720589	338981	Herself
720590	159713	Joan
720590	295326	McKay
720590	363821	Mrs. Clarabelle Confetti
720591	262161	Irina, spy
720592	227317	L'employée de banque
720592	236543	
720592	254033	Florence Piquet, l'institutri
720593	34390	
720594	15062	
720594	188682	
720594	316845	Céline
720594	386468	Herself/Co-host (1988-1994)
720595	69296	
720595	266872	
720596	15069	La cantatrice
720596	63782	Ciboulette
720596	396135	
720597	122892	
720597	132923	Lisa
720597	205727	Mireille
720597	248416	Laura
720597	296095	Hélène
720597	377257	La jeune fille
720597	377656	Marine
720598	201145	Girl talking entering in the 
720599	272289	
720599	272479	Student
720600	369986	
720601	406053	
720601	407279	Peter Pan
720602	353236	Flyer Distributor
720603	70053	
720603	341150	
720604	150080	Kathy Davis
720604	290389	Hogs & Hogettes
720605	395302	Simone
720605	402685	Eugênia
720606	234499	Prostitute
720607	132923	
720608	19844	
720608	236543	Marie-Madeleine, la servante 
720608	287329	Gracieuse
720609	395894	Herself (3rd eliminated, 35 d
720610	349537	
720611	302304	Orélie
720612	15084	
720612	191316	
720612	202242	
720612	210909	Pierrette
720613	163707	Betty
720613	197179	
720614	322038	Bistro Pianist-Singer
720615	219474	La secrétaire de Xav
720616	271095	Fayah
720617	270448	Zohra
720618	225366	Pascale
720619	245483	Clara Gauthier
720620	333857	Extra
720621	302921	Precious Drummond
720622	2543	Herself - Poptarts
720622	401875	Herself - Finalist (2000)
720623	26528	
720624	1462	
720624	23927	Herself - Audience member
720624	157196	Herself
720624	210270	Herself
720624	222291	Princess Vanilla
720624	268223	Herself
720624	311702	Herself
720624	355184	Superbra Girl
720624	381491	Presenter
720624	383310	Herself
720624	383733	Herself (Series 2) (2002)
720624	387957	Guest Presenter (1997-1998)
720624	389131	Herself - Presenter (1998-200
720624	393197	Herself (regular guest host)
720624	395975	Presenter
720624	397384	Herself
720624	408075	Guest Presenter (2003)
720625	288387	Debbie Tamer
720626	228164	The Muddy River Cloggers
720627	234668	Chorus
720628	330019	Little Girl
720629	214869	Silvia Melandri
720629	246416	Laura
720629	278969	Anna Werner
720629	328093	
720629	386749	Francesca La Torre
720629	404856	
720630	226170	Partygast
720631	337821	Lynn Fields
720632	26574	Herself
720633	287399	
720634	158191	
720635	138537	Nairá
720635	412304	
720636	258737	(poem 'Quadrilha')
720637	252761	
720638	74048	Jack Jones Fan
720638	76515	
720639	71402	
720640	26352	Baby
720640	109857	Baby in Stroller
720640	192833	Maria (Liz's adopted daughter
720640	333343	Baby Ethan
720640	335258	Girl in Restaurant
720640	385824	Isabella 'Belle' Black (#3) (
720641	121833	Herself
720642	78134	Teacher
720642	199140	Saloon Girl
720642	262112	Teacher #2
720643	26352	Baby
720643	109857	Baby in Stroller
720643	192833	
720643	333343	Baby Ethan
720643	335258	Girl in Restaurant
720643	385824	Isabella 'Belle' Black (#3) (
720644	117617	
720645	194521	Herself (Mark Messier's siste
720646	246015	Wendy Craig
720647	171034	Pirate
720647	241465	Elefderia
720647	366697	Code Team Blue 2
720648	312131	Nurse
720649	387932	
720649	409418	
720650	156024	Esmeralda
720651	26460	Mrs. Capadilupo
720651	36694	Real Estate Agent
720651	73611	Receptionist
720652	370051	Girl with Pistol
720653	105313	Gina
720654	244347	Morgan's Mom
720655	384538	Herself
720656	291003	
720657	296798	
720659	165449	Louisa Eshton
720660	11280	Italian bride
720660	218371	Sorority girl on campus
720661	237819	Susan Von Dorm
720662	276169	Harriet
720663	41139	Bunch
720663	151461	Tour Girl
720664	101446	Marianne
720664	300668	La Bourgeoise
720664	353301	Anne
720664	353925	Margot
720664	355976	Elisabeth
720665	355660	Woman at the opera
720666	67388	Casino bar band singer/Julian
720666	235615	Jane, David's Secretary
720667	377282	Bonnie
720668	900	Herself
720668	2787	Herself
720668	2797	Herself
720668	12338	Lisa Kramer
720668	57654	TV Reporter at Lupus Office
720668	124160	Arlene
720668	147694	Lori Fox
720668	167041	Mary Magdalene
720668	205975	Narrator
720668	208909	Lt. Penelope Carpenter
720668	220099	Mary Klein
720668	228970	Herself
720668	242531	Beth
720668	263390	Dr. Sloan Parker
720668	308051	Kat Ellis
720668	358567	Betty Sutton
720668	365732	Grace Adler
720668	399116	Stacey Colbert
720668	402106	Dr. Sloan Parker (1998)
720668	411174	Grace Adler Markus
720669	122588	Sophia Winter
720670	257782	Herself (CEO, 1999 WWC Soccer
720671	109992	Molly
720671	233964	TV Reporter
720671	274092	Eos
720671	315897	Make-up Woman
720671	363581	Celeste's Friend
720672	29556	Politician
720673	5588	Martha Worth
720673	7179	Princess Carmencita
720673	9081	
720673	9804	Yasmini
720673	10514	Morgiianna
720673	17693	Diana Barry
720673	29941	Mary Truesdale (child)
720673	37296	
720673	37543	
720673	38849	A Raggedy Ruggles
720673	40466	Virginia Peterson
720673	41146	
720673	43469	
720673	45475	
720673	52398	
720673	55460	
720673	58795	
720673	76513	
720673	85859	Secretary
720673	88952	
720673	94971	
720673	108458	
720673	111718	Madge Allen
720673	112563	Jean Reynolds
720673	115086	
720673	115087	
720673	123343	Jane
720673	128525	Miner's Child
720673	133949	Gertrude
720673	139942	Elevator Operator
720673	140803	
720673	144627	Joyce Lanners
720673	144818	Gertie
720673	152923	
720673	153078	
720673	166031	Marjorie
720673	168265	Nurse
720673	176282	Gertie
720673	177391	Telephone Operator
720673	183378	
720673	186417	Rosita Huff
720673	188336	
720673	195574	
720673	195986	Zelda Burt
720673	196869	The Kid's Romance
720673	199370	Patsy Hicks
720673	202629	
720673	210435	Cuddles
720673	214936	Marge
720673	215451	Jane, as a child
720673	231317	Telephone Operator
720673	244863	Telephone Operator
720673	252298	Marjorie Jones
720673	271879	Julie
720673	274498	Bit Part
720673	276694	Blonde
720673	277916	Miss Robinson (secretary)
720673	277940	Ann Carver
720673	277971	Barbara
720673	278671	Meenie Van Winkle, 20 years l
720673	279567	
720673	281810	Girl
720673	283853	Connie
720673	286808	Woman
720673	302831	Betty Lang
720673	305044	Model's Assistant
720673	306741	June Merton
720673	319181	Hairdresser
720673	338776	
720673	343202	Tessie McCann
720673	358182	Joan Collins
720673	365467	Mary
720673	367412	Evelyn Craig
720673	374522	Party Guest
720674	17696	Front Desk Nurse
720674	70169	Abused Wife
720674	108354	
720674	127679	Pam
720674	262387	Tall Thin Woman
720674	304737	Edy Castle
720674	350437	Vicki
720674	368941	Search Coordinator
720674	403227	Ariel Flyer
720675	10514	Kasim's Servant
720675	94971	
720675	220165	
720675	277967	Kathleen
720675	309836	Patsy
720675	362999	Toots Sweet
720676	276802	Hostess
720676	409262	
720677	108968	Søs
720677	147395	Bente Justesen
720678	185691	Woman With Fan
720679	308113	Member, Three Shades of Blue
720680	342688	Angelina Gloria Ramirez
720680	365142	Swoon Girl #3
720681	94613	Dancer #1
720682	293877	Rezeptionistin
720683	363	Arabella
720683	5235	
720683	9526	Marianne
720683	16219	Jull
720683	40645	Louisa
720683	91125	Lisa Wirnshofer
720683	108893	Romy
720683	126847	Regina
720683	178536	Karin
720683	178724	Schwester Barbara
720683	198955	Danielle Lussac
720683	205407	Nele Eberling
720683	229167	Anna Gebhardt
720683	232671	Claudia Engelmann
720683	259718	
720683	272831	
720683	290695	Wally
720683	308227	Irene Sahmer
720683	309784	
720683	310906	Verena
720683	314309	Doris
720683	325454	Maria Bubek
720683	325678	Susanne
720683	325838	Jeanette Heuer
720683	338112	Marie
720683	339476	Lisbeth
720683	343670	Lena
720683	343686	Sophie Plache
720683	352056	Vera
720683	367233	Claudia
720683	373565	Conny/Zabou
720683	379663	Alice Mancini
720683	388419	Romy (segment "Le tramway fan
720683	395450	Dr. Tanja Rose
720684	219740	
720685	59813	Migrant's Wife
720686	217692	
720687	26750	Wendy
720687	37137	Marcia
720687	117346	
720687	124927	Linda Fox
720687	155010	Laura
720687	160235	Annie
720687	161188	Kim
720687	199273	Terry
720687	202378	Lisa Towers
720687	268221	Lisa
720687	295459	Lara
720687	319279	
720687	368227	Kensington
720688	125723	
720688	291584	(segment "Lucie")
720688	353330	
720689	40567	Aline
720689	196811	
720689	214021	Femme du Blue Moon
720689	237315	Pin-up
720689	406790	Caro
720690	104775	French entry (23rd place)
720691	55134	
720692	132739	Waitress
720693	262805	Annie
720694	10963	Eyal
720695	230662	Lucinda
720696	122613	
720697	92260	Ellen McMurphy
720697	257395	Fishy Flakes Announcer
720698	229574	
720699	377143	
720700	303721	
720701	25863	
720702	102231	
720703	272881	Mrs. MacCready
720704	197730	Party Guest #1
720704	233653	Instructor
720705	93603	Marguerit Pays (his girlfrien
720706	103854	
720707	19199	Sylvie's mother
720707	23814	Lily
720707	75810	Récitante/Narrator
720707	76040	Emma
720707	162303	Irma La Douce
720707	216226	Catherine
720707	234524	
720707	291107	Une prostituée
720707	335081	
720707	339967	Madame Barsac
720707	346809	La mère
720707	380967	
720707	389470	Fanette
720707	402177	Céline
720708	153190	Banducci family
720709	277391	Mujer cementerio
720710	99375	
720711	125786	
720711	178673	
720711	350074	
720712	396	Mujer que reza
720713	8705	Salomé
720713	25104	
720713	30798	
720713	33683	
720713	48292	María
720713	51554	
720713	68988	
720713	70694	
720713	80296	
720713	82225	
720713	84226	
720713	87071	
720713	88057	
720713	118551	Amina
720713	125663	
720713	132690	
720713	145256	
720713	161067	Rosalia
720713	162778	
720713	193380	
720713	194611	
720713	205102	
720713	206674	
720713	210445	Bailarina
720713	212365	
720713	225392	
720713	225561	
720713	225710	
720713	234391	
720713	259946	
720713	266409	
720713	266828	
720713	307242	
720713	325179	
720713	339097	
720713	339109	
720713	351781	
720713	353551	
720713	353641	
720713	355917	
720713	376748	
720713	378476	
720713	405316	
720714	197550	Woman in Supermarket
720715	65015	Remei Palau
720715	82262	
720715	99668	Julia
720715	170981	
720715	187791	Lilina
720715	210580	
720715	221888	Patricia
720715	222381	
720715	234746	Katie
720715	244601	
720715	257126	
720715	282502	Nuria, la femme de Miguel
720715	294397	Aina
720715	349954	
720715	357873	Elena
720715	402238	
720715	402702	
720716	67196	Bartender
720717	157310	
720718	87942	model in Courrèges sequences
720719	337145	
720720	244229	
720720	307478	La jeune femme restaurant
720720	319658	[Expérience #1] (2003)  Anne 
720721	377199	Prostitute
720722	10128	
720723	6461	Alicia (young)
720723	21590	
720723	51944	
720723	56323	Teresa
720723	62004	Barbara, Virgil's Wife
720723	74827	(segment "La vida cotidiana")
720723	82590	La chica
720723	91269	
720723	95020	
720723	99229	
720723	124303	
720723	146541	
720723	148108	
720723	148115	
720723	148925	Isabella
720723	170096	
720723	187627	Marina
720723	189377	
720723	206054	Marian
720723	218899	Clara Soteras
720723	221550	Soledad
720723	225014	Pilar
720723	234746	Telephonist
720723	236744	Celia
720723	249319	
720723	253317	
720723	274861	
720723	286204	Salomé
720723	286315	
720723	294705	
720723	340875	
720723	356674	Luisa
720723	378499	Begoña
720723	383816	
720723	385871	Herself - Host
720723	386111	
720723	386677	
720723	390420	Inés Aldán
720723	393476	Salome
720724	132374	
720725	202045	
720725	260517	
720725	307296	
720725	353169	
720726	341724	
720727	100807	
720728	258569	Priyatelkata na Rufie
720729	19202	Rose
720729	169723	
720730	345526	
720731	353499	Herself (Model)
720732	70497	Lenka
720732	119877	Kucharka
720732	223526	
720732	356088	
720733	312100	Blauhaar
720733	361126	
720734	3542	
720734	19393	Ilus, Szekeres felesége
720734	50840	Réka
720734	74400	
720734	74406	Erzsi
720734	144742	Gabriella
720734	182642	
720734	187508	Mari kolleganõje
720734	200030	Teréz
720734	201240	
720734	214496	
720734	256683	
720734	270220	Mariska
720734	309289	Relative 3
720734	322195	Ida
720734	322208	Margó, Gáti felesége
720734	376615	Eszter
720734	378041	Girl
720734	378116	Csicsné
720734	388511	
720734	399860	
720734	412295	Náprádiné
720735	333698	Gypsy woman
720736	3311	(segment "Tout n'est pas en n
720736	33571	
720736	336988	
720737	379414	Anna Fon manstein
720738	388656	Herself (interviewed by Joyce
720739	14778	
720739	172894	Group Therapy
720739	379442	
720740	303671	Alison
720741	303671	Allison
720742	163970	
720743	156266	
720743	163762	Girl In Beach
720743	174574	Karolina
720743	231345	Rape Victim
720743	275395	Prostitute
720743	275397	Markos' Wife
720743	280333	School Girl
720743	323075	School Girl
720744	18215	
720744	181389	
720744	182443	
720744	199262	
720744	237079	
720744	237088	
720744	243080	
720744	247601	
720744	252362	
720744	370047	
720745	265961	
720746	195685	Mrs. Laventis
720747	40877	Elizabeth Martin
720748	327452	
720749	235523	Dark Ages Woman
720749	350212	The Evil Assistant
720750	46206	The Missionary's Wife
720751	12776	Halley Grimes
720751	19180	Emma
720751	28635	Casey Johnson
720751	40800	Candice
720751	49441	Mimi
720751	53793	Alice
720751	61161	Female Ad Exec
720751	61180	Herself
720751	78176	Anita
720751	80969	Rebecca Frazen
720751	84002	Leslie Glass
720751	105707	Carol Graham
720751	160897	Amy Wallace
720751	167324	Susie Cox
720751	186841	Landlady
720751	193951	Carolyn McCarthy
720751	201597	Sandy
720751	213860	Exotic Dancer
720751	216127	Rachel Landisman
720751	246222	Stephanie MacDonald
720751	283410	Betty Trout
720751	291222	Debbie Salt
720751	292460	Ann
720751	313762	Melissa
720751	315610	Herself
720751	333391	Dava Adair (take 1)
720751	337166	Andy's Mom
720751	337168	Andy's Mom
720751	338821	Sarah Hawkins
720751	343008	
720751	343864	Bus Station Clerk
720751	345752	Marcie Dahlgren-Frost
720751	383938	Sarah Dolecek
720751	390229	Donna Allman
720751	399674	Laurie Freeman (1999-2001)
720751	403765	Jackie Harris
720751	404337	Various (1981)
720752	4642	Audition Girl
720752	48948	Park Kisser
720752	79041	Featured
720752	238072	Cocktail Waitress
720752	302793	Gossip Girl #3
720752	318791	Student
720753	122202	Ticket seller
720754	113905	
720754	320308	Phyllis Swinghurst
720755	165309	Lizzie Rye
720755	190269	Lorna Luft, age 6
720755	275462	Cassandra Aiken
720755	404088	Phoebe
720756	107947	
720757	121527	Douche Woman
720757	350200	
720758	238991	Girl Friend in 'Goodbyee'
720759	247902	Fairy Queen
720760	38719	Keeley
720761	341939	Girl in Headshots and Auditio
720762	40134	Jenny, the maid
720763	121808	Tropicana Dancer
720764	337381	Girl Scout
720765	17373	
720765	31494	
720765	83317	
720765	84698	
720765	127492	
720765	162133	
720765	173785	
720765	202454	
720765	204011	
720765	294132	Meltem
720765	377531	
720766	325546	Ingrid
720767	115835	
720767	198584	
720767	339067	
720768	112021	
720769	132405	
720769	148735	Aunt Elide
720769	377242	Béatrice
720770	214507	
720771	105348	Louise
720772	81644	Pirate
720773	111955	
720775	397779	Tanten (episode "apor! tigrar
720776	350607	Singer
720777	388896	Lærerinden
720778	392836	
720779	4761	Christa Schöning
720779	335023	Martina
720780	269370	The Duenna
720781	7622	Marge Winters
720781	47895	Girl in Bus
720781	56139	Cora
720781	56200	Mrs. Florabelle Lawson
720781	71151	Sophie
720781	71537	Zedorah Chapman
720781	92612	Muggsy, Red's Moll
720781	131738	Sandra Hamilton
720781	139551	Sally LaSalle
720781	167707	Gladys Farrell
720781	190866	Mrs. Durkee
720781	206168	Estelle Porter
720781	214215	Sarah
720781	214458	Jenny
720781	220892	Mrs. Semple
720781	231855	Lola Carewe
720781	236706	
720781	274924	Nurse Gloria Hammond
720781	275897	Narrator
720781	300003	Betty Gilbert
720781	300912	Maizie Roach
720781	303307	Blonde at Fight
720781	326185	
720781	346863	Ethel Stone
720781	350509	Fern
720781	355203	Lil Blair
720781	360521	(scenes deleted)
720781	367538	Gertie
720781	367820	Daisy Saunders
720782	45342	Patsy
720782	87509	Pat Flynn
720782	87591	Bernie
720782	100880	Receptionist
720782	107897	Tilly Harrington
720782	195551	Georgina Simpson
720782	199133	Mrs. Lydia Parr
720782	276919	Helen Dempsey
720782	305990	Dr. Cook
720782	318310	Alice
720782	387940	UDB Woman
720783	71766	Deborah
720784	128234	
720785	225611	
720786	349226	
720787	156210	
720787	380746	Lale Karadag
720788	354161	Monique
720789	29670	Gilda
720789	292174	Olga Ryabina
720790	31025	
720790	63610	
720790	174668	
720790	181591	
720790	189430	
720790	201396	
720790	210379	
720790	221378	
720790	229083	
720790	238808	
720790	246965	
720790	263424	(segment "Excercise No.5")
720790	272522	
720790	280771	
720790	309423	Nina
720790	324652	
720790	357645	
720790	402882	
720791	218676	
720792	15031	
720792	124400	Eva
720792	325068	
720793	261358	Maykata
720794	229059	
720795	4824	Abesalomi
720796	304691	Little Girl
720797	109778	
720797	213324	Desdemona
720797	381729	Signora Garaldi
720797	404282	Countess Carla Rinaldi (1992)
720798	94099	Sister Marie
720798	196505	Customer in Cafe
720798	301398	Sr Highest
720799	113507	Bank Manager
720800	313074	Bit Part
720801	235618	Lunarcruiser
720802	87009	Additional Voices
720802	140938	Goddess
720802	310648	Prostitute
720803	194865	Debutante #2
720804	5539	Bride
720805	197318	Lida vanj Driel
720805	254988	De Meid
720806	403702	Mimmi (episodes 1, 3, 5, 9, 1
720807	393989	Herself - host (????-????)
720807	401848	Herself (2001)
720808	399788	Dog (segment "Hundebanden")
720809	271053	Toimittaja
720810	8902	Vettenrantska
720810	213967	Laanila
720811	322001	
720812	250961	Mouche
720813	26471	Sheila
720813	73611	Karla
720813	128598	Denise
720813	175795	April
720813	189221	Kim
720813	207782	Bridey Mae
720813	209647	Miriam Hollowhead
720813	251789	Alicia
720813	276799	Lee
720813	328301	Woman at Party
720813	346188	
720814	110900	
720815	317341	Roler Skating Waitress
720816	90730	Elenora
720817	67592	Gloria Jr.
720817	96750	Priscilla
720817	141557	Fran
720817	189310	Terry
720817	243228	Nora Rose
720817	301539	Marilyn Cruze
720817	310577	Marj
720817	313852	Delores Harvey
720817	319012	Lynn Franklin
720817	328523	Lt. Rosie Cochran
720817	380687	Teller
720817	388836	Lieutenant Rosie Cochran
720818	18567	Meisje in cocktailbar
720819	125033	Hanna Heger
720819	142192	Schwester Margaret
720819	210135	
720819	231480	
720819	278503	
720819	380887	
720820	69631	
720821	174779	
720822	7925	Gabriela
720823	60698	Niya
720823	238104	
720823	263695	
720823	390401	Polina
720824	326850	
720825	207440	Another German
720826	176391	
720827	59637	Christina
720827	70305	
720827	90793	Janet
720827	209526	
720827	263365	Escort
720827	278209	Gail Tompkins
720827	320156	Linda Pesaturo
720827	358833	
720827	394905	Det. Jody Powell (1994-)
720827	397465	Anne Cates
720827	405759	Irene Bell
720827	408703	Shannon Isler
720828	109539	Rose
720828	186745	Misty
720829	38173	
720829	218743	
720829	354854	Iris
720829	375690	
720830	41425	
720830	375690	
720831	334032	La danzatrice egizia
720832	190273	Employee
720833	326850	
720834	316782	Billie
720835	48935	Bunny Hole Waitress
720836	137728	Chris
720838	109074	
720839	265353	Barmaid
720840	254670	Charlene
720841	139547	Herself
720842	223463	
720842	391152	
720842	409958	Charlotte 'Charlie' Schneider
720843	407506	Herself, reporter
720844	355847	Infirmière labo
720845	186443	Herself
720845	244421	
720845	395290	Regular performer (1970-1982)
720847	22179	Randi
720848	119315	Police Radio Dispatch
720849	131383	
720850	142402	New Secretary
720851	24378	
720851	93460	Carla
720851	145479	Nina
720851	281726	Charlotte
720852	226697	
720853	281741	Agnes
720853	390701	
720853	395001	
720853	404431	
720854	84450	Blondes Mädchen
720855	91388	
720856	354720	
720857	273672	Alizée
720858	78608	
720859	25254	Droom Pim
720860	45586	
720860	86347	
720860	179475	
720860	326453	Taxichauffeur
720860	387321	
720860	407665	Herself
720860	411311	Valerie Delbeque (1998-1999)
720861	71548	Vampire
720861	307288	Esther
720861	307289	Herself/Esther
720861	390242	Ada Erens (1997)
720861	401517	Petra
720862	11764	
720862	401671	Dochter
720863	171797	Ida
720863	376431	Buurvrouw
720863	390242	Agaath Huygens (1993)
720863	394155	Juffrouw Sibculo
720863	410441	Tilly de Vries (1995)
720865	393485	Herself (2000-????)
720866	284175	Madame Martineau
720867	202625	Gerda K.P.R.
720867	244467	Mevrouw Pardoes
720867	302964	Assistent Marja
720867	382864	Moeder Overste
720867	404194	Rietje Brouwer
720867	406876	
720867	410441	Teun Metz (1993-1995)
720867	412033	Mevr. Jelgersma
720868	108213	Sonia
720868	175676	Madame de Belfonds
720868	218306	
720869	82643	Esther
720869	248685	Madeleine
720870	202470	Kitty
720870	224529	Lucie Maerlant
720870	282839	
720871	152676	La femme invisible
720871	220231	Femme square
720872	120070	
720873	101139	Bénédicte
720874	18707	Traficant 3
720875	84696	Mary enfant
720876	243170	
720878	188453	'Dislike' Girl
720879	347414	Hat-Check Girl
720880	220218	La dame a l'arret, Suisse
720881	97727	Teenage Girl/TV
720882	394349	Herself
720882	394631	
720883	148370	Flore
720884	270272	Farm Daughter
720885	165908	Agathe
720885	188683	
720886	8908	
720886	17194	La star
720886	258111	Camille
720887	83400	Dani
720887	103209	Rachel
720887	285754	Lucie de Fontenelle
720888	169136	Child Chorus
720888	169139	Child Chorus
720889	89193	
720889	90688	Therapeut
720889	91254	Mevrouw van Erpen
720889	190350	Psychiatrist
720889	191604	Nurse
720889	202625	Anke Bouma
720889	357389	Lawyer
720889	382403	Lies
720890	14344	Adrienne
720890	24168	Prostitute
720890	101135	Marie de Grandcamp
720890	111020	Lucie
720890	148659	
720890	169156	Babette Duchemin
720890	189318	Corinne
720890	217593	
720890	235863	
720890	252710	La Pucelle aux petites manche
720890	333772	Paule
720890	346567	Marie-Eugénie
720890	346804	
720890	389005	
720890	396867	Mme Royale à Versailles
720890	409454	Charlotte
720891	400681	
720892	231468	
720893	210390	
720894	41202	Bev D.
720895	14819	
720896	131061	Bentwood Girl #3
720897	268711	
720898	138006	Waitress
720899	291571	Victoria Deville
720900	123986	Herself
720901	197512	
720902	92813	Dorothy
720903	210315	
720903	308244	
720904	361039	Peter
720905	215690	Miss Florida USA
720906	161989	Secretary
720906	174739	
720907	101961	Engel
720908	17435	Amerikanerin
720908	98256	
720908	119283	
720908	141952	Frl. Rottenmeyer/Miss Rottenm
720908	141974	Frl. Rottenmeyer
720908	142111	Dina, Dienstmädchen bei Fasan
720908	144069	
720908	286211	Lola
720908	306404	Verehrerin
720909	124323	Mme. Bardinot
720909	286592	Bebiana
720910	238726	Dolores
720911	112280	Barbarina
720912	326242	Bar Patron
720913	30130	
720913	92440	Lucie Talbot
720913	168432	
720913	290802	
720913	359694	
720913	361458	
720914	46914	Mieze
720915	193211	Herself
720916	8143	
720916	8267	
720916	13512	
720916	14693	Mother of Marcelo
720916	25218	
720916	46203	
720916	54716	
720916	61197	
720916	64043	
720916	68557	Doña Lola
720916	74522	
720916	74845	(segment "La seductora")
720916	76006	Dona Cata
720916	76007	Dona Cata
720916	83870	
720916	90094	
720916	91313	
720916	91388	
720916	91406	
720916	95421	
720916	99354	Rebeca
720916	100277	
720916	100525	
720916	124042	
720916	124546	
720916	145208	
720916	160192	
720916	198996	
720916	202209	
720916	202210	
720916	206996	
720916	208200	Sra. Lucha
720916	209231	
720916	209297	
720916	210445	
720916	211150	
720916	212244	
720916	212491	
720916	213399	
720916	213721	
720916	213722	
720916	214694	Secretaria de Licensiado
720916	215401	
720916	231283	
720916	233396	
720916	233627	
720916	235311	
720916	236004	
720916	236035	
720916	236036	Prostituta
720916	248177	
720916	248284	
720916	248297	
720916	249796	
720916	250791	
720916	251567	
720916	252063	Luchita, mesera
720916	257906	
720916	266229	
720916	268497	
720916	274656	
720916	287426	
720916	294629	
720916	307658	
720916	322856	
720916	324839	
720916	332692	
720916	339086	Prudencia
720916	341081	
720916	353975	
720916	357541	
720916	373954	
720916	380054	Carlota
720916	380795	Brígida Corcuera vda. de Saav
720916	381650	Petrona
720916	385257	
720916	385484	Dona Cata
720916	393801	Nacarada
720916	396898	Doña Lorenza
720916	398801	Ruperta
720916	399522	Leona (Friend of Isabela in J
720916	401918	Micaela 'Mica' Ornelas
720916	410327	Jail's Director
720917	315378	
720918	108763	
720919	315719	Ruth (age 5)
720920	385366	Raquel
720920	408848	Rita
720920	412272	
720921	38872	Extra
720922	325947	Jenny
720923	55674	Stripper
720924	252524	Officer Butler
720925	100118	Jasmine
720926	148373	
720927	94683	
720928	341252	
720929	394369	
720930	325609	
720930	399825	
720931	401142	Larissa Schulz
720932	390410	assistente van Van Doorn (199
720933	148702	
720934	141592	Female Stoner
720934	158338	Teenage girl (slapper)
720934	159915	Katya (16 years)
720934	209206	
720934	229243	Emily Osterman (part 2)
720934	241555	Tobi
720934	269880	
720934	298108	Cheryl
720934	317264	Laurie
720934	347688	Illiana Fuster
720934	382609	Judy Hansen
720934	382841	Dena Draeger
720934	389905	Casey Wagonman (Episodes 1-8)
720934	399676	Prima
720934	400853	Julie Buckman Hawks
720934	403717	Naomi Dylan
720934	409630	Val
720935	376041	Marion
720937	319729	
720937	388294	
720938	138172	Young Larsen child
720938	154574	Mary Poindexter
720938	192250	Isabelle
720938	219953	Flower Girl at Wedding
720938	256423	Belle Richards at age 8
720939	276193	1990
720939	303235	Julie Knight
720940	332383	
720941	43941	Deirdre Ni Laighean/Diva
720941	70486	Wedding Guest
720941	107947	
720941	308489	Herself
720942	55265	Mom
720943	73390	Rose Hilliard
720943	194074	Sarah Duncan
720944	247590	Secretaresse
720945	107720	Katja's mother
720945	225683	Maria
720945	294066	Plejeassistent
720945	341114	
720945	401737	Various roles (sketches)
720946	259440	Eva Babenschneider
720946	390186	
720947	17845	Hélène
720947	377744	Cathy
720948	11895	Mutter Wennenkamp
720949	345155	L'hôtesse de l'agence
720950	345145	La soubrette
720950	381628	La soubrette
720950	384029	Mariete
720951	147972	Host #2
720952	64	Herself
720952	30992	Dr. Sheila Casper
720952	76206	Mary
720952	80793	Stephanie Vincent
720952	81102	Herself
720952	81584	Erin
720952	92868	Kara
720952	110421	Bootsie Cavander
720952	168714	Jane
720952	220537	Elizabeth
720952	236140	Monica
720952	260117	Laura Parker-Marlowe
720952	289167	Kerry
720952	313428	Commander Donatra
720952	313820	Dizzy Flores
720952	315778	Lydia
720952	316238	Emma Scarlett
720952	316411	Delivery Person
720952	333262	Kate
720952	347687	Diana Purlow
720952	381811	Lucinda Nicolson (1993-1994)
720952	382102	Barbara Gordon, The Oracle/Ba
720952	404656	Holiday
720953	406724	Protokollführerin (2001)
720954	41844	Shopper
720954	66356	Nurse #1
720954	88656	Social Director
720954	93098	Cousin Clara
720954	108311	Nurse
720954	133962	Odessa Clay
720954	136832	Ezzetta
720954	140399	Admitting Nurse
720954	142716	Housekeeper
720954	213865	Hattie
720954	220622	Grandma
720954	247565	
720954	280656	Ada
720954	364516	Nurse
720954	365642	Esther
720954	394504	Willa Bristol
720955	83558	Woman at Spelling Bee
720955	222883	Ice Cream Lady
720955	314963	Lady in Restaurant
720956	254991	
720956	367854	Sheila Birtles
720957	357380	Kleine Inez
720958	295275	Nursing Sister Bowley
720958	320093	
720959	27243	Board
720959	198078	Mary-Margaret
720960	106524	Herself
720961	104901	Eve/Other roles
720962	86306	
720963	135361	
720964	11323	Landlady
720964	14163	Mama Hartzler
720964	21453	Christina
720964	37815	Hilda
720964	38361	Minnie, Marion's Maid
720964	38982	Mama Luden
720964	43376	Lola's Masseuse
720964	61391	Little Heinie's Mother
720964	67842	Frieda
720964	77290	Bertha (the wet nurse)
720964	85828	Masseuse
720964	86842	Proprietor's Wife
720964	99451	
720964	115240	Mrs. Clara Herman
720964	116077	Mama, Zeppelin Passenger
720964	117885	Bella, Mary's Masseuse
720964	118382	Frau Sturm
720964	120214	Gretchen
720964	132016	Frau Oxenrider
720964	133856	Mrs. Vogelhuber
720964	141951	Second Village Woman
720964	146140	Mrs. Grosslasser
720964	154906	Opera Singer
720964	165630	Toffe Jans
720964	166691	Ada
720964	182785	Mrs. Barker
720964	183330	Candace
720964	184360	Woman on Train
720964	188342	Lisa Bjorkman
720964	189255	Maid to Connie Allenbury
720964	191118	Mrs. Peterson
720964	203097	Inn Proprietress
720964	203132	Hausfrau
720964	207680	Trudi, Marta's Maid
720964	209631	Aunt Sophie
720964	213453	Jenny Lind's maid
720964	214080	Anna, Wheelwright's Maid
720964	216000	Jans
720964	218786	Mrs. Hank
720964	219786	Mrs. Svenson
720964	228639	Frau Schuman
720964	232038	Mrs. Mannheim
720964	233872	Hilda, the First Maid
720964	236503	Mrs. Mannheimer
720964	248450	Mrs. Traub, Fritz's Landlady
720964	250647	Hilda (Lethany housekeeper)
720964	255828	Mrs. Haberschmidt
720964	263083	Marie (Head Nurse)
720964	264754	Cook at Chalet
720964	264822	First Customer
720964	266710	Glass' Housekeeper
720964	275974	Mrs. Van Der Bork
720964	276717	Marta
720964	276948	Customer
720964	294919	Anna, the Cook
720964	305454	Mrs. Krausemeyer
720964	310872	Hilda
720964	312795	Dancing Girl's Mother
720964	316164	Hilda
720964	320465	Mrs. Schmidt
720964	330096	Viennese waitress
720964	330167	Katrina
720964	330375	Martha
720964	331469	Mrs. Swanson, a Masseuse
720964	335476	Emma
720964	336043	Mrs. Schmidt
720964	342376	Mrs. Rovitch
720964	342569	
720964	362927	Hannah Werner
720964	363190	Madeline's Nurse Maid
720964	363743	Mrs. Barfuss
720964	364014	German Mother
720964	365068	Molly, Stanhope's German Cook
720964	367919	Masseuse
720964	372431	Mrs. Cline
720966	17521	
720967	50146	Angelika Hofmann
720967	259685	
720967	352180	
720968	141807	Herself
720968	143202	Manicurist
720970	164167	Nurse
720970	275118	Mother
720971	58812	Connie Vandercliff
720971	207681	Young Woman #2
720972	177475	Agent
720973	87522	Toni Kaczmarek
720973	244838	Kirsten
720973	360055	Sara
720974	319499	
720974	366260	Sandra Maddox
720975	119879	Teenage Runaway
720976	9734	Dora Carrington
720976	221267	Debby
720976	254986	Halina
720977	393788	
720977	395555	Host
720977	402037	Herself
720978	82862	
720979	2450	Mother
720980	136635	Ninas mor
720980	151823	Hendes svigerinde
720980	154235	Kabaretsangerinden Nina
720981	304107	
720982	48132	Marte
720982	108655	Peders kone
720982	118082	Den dansegale
720982	332249	Markus' mor
720982	346995	
720982	352204	Alberts mor
720983	197730	Eleonor
720984	298483	Die Bäckerin
720985	275060	Anita, Delta
720985	284507	Jo/Servalan
720986	211605	Grisette: Frou-Frou
720987	364300	Herself
720988	357774	Brita
720989	223340	Victim in restaurant
720990	42946	
720990	48776	
720990	51914	
720990	55955	
720990	70857	
720990	71211	
720990	74606	
720990	91416	
720990	148122	
720990	152235	
720990	152643	
720990	206280	Presa
720990	209066	
720990	209475	(segment "Las Cucarachas")
720990	246154	
720990	269962	
720990	278942	
720990	294076	
720990	332642	
720990	386646	
720991	103326	Kirsten Rhodes
720992	223474	
720992	325780	
720993	92858	
720994	183871	JoAnn
720995	223502	Woman in restaurant
720996	12580	
720997	80274	
720998	272437	Girl #2
720999	275699	
721000	132530	Child of the Corn
721001	102731	Lauren
721001	119484	Outraged Patroness
721001	163565	Secretary #1
721003	104514	Stripper
721004	213186	Corpse
721005	31018	Extra: Metro
721005	351549	La femme de l'accrochage
721006	170132	
721007	82993	Monique DuPre
721007	150595	
721007	196701	Ingrid
721007	240269	
721008	14696	
721009	14696	
721009	85584	
721011	20378	
721011	57284	
721011	84593	Nina Walkowicz
721011	323375	Violet
721012	308632	
721013	231623	
721013	255244	Monika
721014	115421	
721015	234542	
721015	290661	Claudia
721015	325860	Birgit Tielmann
721015	393878	
721015	397298	Dr. Karin Thaler (2000-)
721016	18535	
721016	178286	34th Waitress
721016	198877	Lady Macbeth
721016	244034	The Zoo Visitors & Staff
721016	317309	Beaze Fans
721016	325711	
721016	365916	
721016	376406	Michelle
721017	330057	Architect Partier
721018	65938	Maggie
721018	362984	Five Year Old Aunt Sheila
721019	163344	Jogger
721020	290871	Frau in der Universität #1
721021	142231	En kvinne i nattklubben
721021	304431	Kitten Slåttan
721022	34298	Model
721023	56501	
721024	224072	Emily Dickinson
721025	2450	Girl
721026	308018	
721027	24385	
721027	48396	Iris Rovan
721027	48397	Iris Rovan
721028	4979	Shawn
721029	53516	Candy Striper at Canadan Hosp
721029	195331	Teenage girl #2
721029	383048	Sally
721029	396447	Dorothy Ann
721029	403490	Sally Potts
721030	75772	Various
721030	388109	Various
721030	390115	Co-Host
721030	390116	Co-Host
721031	399175	Daniela
721032	245603	
721033	169151	Diner Patron
721034	405209	Penelope Cartland (2000)
721035	160252	Wubbo
721036	36676	Lisa
721036	226180	Annette Rittberg
721036	246917	Eva Kirsch
721036	290452	Anne
721037	179798	
721037	197186	Helga
721037	238895	
721037	317275	
721037	350865	Oma Grefe
721037	379372	
721037	381710	David's Mother
721037	382203	Elgte Nicholaison
721037	387735	Gisela Reinders (1987, 1989-1
721037	390701	
721037	404431	Karin Herzog
721038	34307	Simone, Leah's 2nd date
721038	218435	Susan Meyer
721038	218973	Assistentin
721038	379840	Dr. Martina Behrend
721039	6211	Nachbarhaendlerin
721039	96009	Marja Schatowa
721039	111673	Phyllis
721039	137949	Nurse
721039	189821	
721039	210010	Gerlinde Gierok
721039	211831	Henny
721039	290811	Gisela
721039	325523	
721039	325575	Polizistin
721039	325924	Christa Rentzel
721039	335023	Natascha Oehlke
721039	367347	Vera
721040	210510	Girl on the beach
721041	157650	
721041	347049	
721043	246262	
721043	388697	Herself
721045	16419	
721045	45866	Julie
721045	46438	Marian
721045	90376	Lauren
721045	127484	Janie
721045	163314	Melissa Harrington
721045	169617	
721045	232085	Gypsy Cole
721045	310800	Ellie Esterlake
721045	333369	Betty
721045	385673	Herself (1964-1967)
721045	395760	
721046	147937	Herself (survivor)
721047	325222	Cafe Patron
721048	257264	Earring customer
721050	163334	Ticket Purchaser 2
721051	11654	Samantha
721051	24484	Debbie
721051	52440	Patty Duke, as a youth
721051	69444	Lisa Darby
721051	78845	Allison Mills
721051	95510	Brock
721051	108257	Janice Reston
721051	140075	
721051	148351	Chelsea Gardner
721051	151625	Duff Darling
721051	157824	Carly Elias
721051	160042	Stacey Carolwood
721051	176496	Nicky Ryan
721051	189409	Amy Peterson
721051	208039	Lisa
721051	235482	Ruth Keller
721051	255233	Stacy Harding
721051	265065	
721051	279152	Nancy Hardgrave
721051	283551	Jenny Corsini
721051	292698	Nicole Voss
721051	297145	Kim
721051	330452	Holly Sherwood
721051	366039	Beth Ashley
721051	394207	Emma McArdle (1984-1988)
721051	397410	Atana
721051	406377	Mom (Mrs. Griff), various oth
721053	362538	Dance School Student
721054	232029	
721055	178042	Tenant
721055	210718	Charwoman
721055	241349	Undetermined Role
721055	336044	Night Matron
721056	313522	Natalie's Friend
721057	29149	College DJ on Radio
721058	32099	Bridgette
721058	199704	Rachel
721059	113634	A Girl
721059	154652	Debutante
721059	203799	Bridesmaid
721059	231738	
721059	231990	One of the 3 Graces
721060	1091	Razek
721061	47355	
721062	124355	Jezebel
721063	206831	Checkout Clerk
721064	243276	Saleslady
721065	76213	Vee Ryan
721065	263339	Other Pretty Maids
721065	330589	Ann
721066	252915	Tara
721066	277106	Stepford Wife Attendant
721067	301971	Olive
721068	176831	Liz
721070	221603	Agent Murphy
721071	143436	Mabel
721071	330787	
721072	277110	Urzula
721073	217602	Hallway teacher
721075	339445	Julie
721076	252935	Celeste
721077	160982	Amazon
721078	75858	
721079	35801	
721080	217603	Warden's Guard
721081	106632	Sheila Weissman
721081	352736	Valerie, his Fiance
721082	346276	Mother
721083	177660	Extra
721084	109856	Guest at Reception
721085	295488	Woman (segment "Vision")
721086	108320	Maria
721086	207856	Staci
721086	289520	Kim
721087	44985	
721087	126277	Soldier's wife/dancer
721087	225777	Jennifer
721087	229536	Harem girl
721087	362538	Dance School Student
721088	277746	Pretty Bystander
721089	282711	Dancer in Haiti number
721090	277071	Barb
721091	12332	Reporter
721091	90344	Reporter
721091	189329	Marsha L. Peters (Reporter #1
721091	195430	Reporter
721091	208415	Anchorperson
721091	316090	Anchor
721091	401752	Anchor
721091	407421	TV reporter
721092	40204	Third Golfer
721093	13707	Herself - Mother of Child Vic
721094	26289	Little Girl in Vermont
721094	109856	Flower Girl
721094	109857	Shower Guest
721094	154427	Student Librarian
721094	162449	Little Girl in Crowd
721094	248878	Towel Girl
721095	7408	Demonstrating Girl
721095	109856	Flower Girl
721095	109857	Anne Elizabeth 'Annie' Banks 
721095	154427	Girl in Barn
721095	248878	Lindsay, Girl at Camp
721095	362453	Girl at Lunch Counter
721096	11570	Briana
721097	196890	Stacy Reese
721097	302852	Narrator
721097	360436	Beautiful Girl
721098	304422	Galatea
721098	314386	Anna-Stina
721099	16746	Loretta
721100	313835	Herself
721101	128515	Aleydis
721102	3275	
721102	24354	Agnes Hürland Büning
721102	31915	Frau Riepe
721102	33166	
721102	34353	Aufseherin
721102	35294	Frau Hämmerling
721102	98319	
721102	124925	Frau des Häftlings
721102	134903	Frau Schelf
721102	136929	
721102	138509	Bäuerin
721102	140229	Frau Kern
721102	177219	
721102	177377	Heidrun
721102	180783	
721102	189598	Nun
721102	189608	
721102	189624	
721102	226200	
721102	341295	Gertrud Fenske
721102	352176	Lisa's Mother
721102	365784	Irmela Schlotfett
721102	366522	Ulla
721102	374549	Ottilie Baader
721102	389337	Frau Wagner
721102	389957	Bertha
721102	390812	Frau Gerlach (1992)
721102	391022	
721102	392669	Elvira Droll
721102	398056	Minnamartha
721102	403942	Gerda Krottke
721102	404494	Hilde
721102	406321	
721103	20070	Child
721104	20070	
721104	206048	
721105	4713	
721105	300158	Sally Crane
721105	374578	Mrs. Treleaven
721106	407076	Herself
721107	32649	Lenie
721107	180400	Betty
721107	287235	Riet
721108	277207	Gina
721108	302145	Reporter #3
721109	401876	Herself
721110	115345	Hélène
721110	196811	
721110	246641	L'assistante de direction
721110	291584	(segment "Lucie")
721110	406790	
721111	83178	La jeune fille
721112	318515	
721112	355877	
721113	213820	Woman
721115	327540	Simone
721116	239005	Tina Grant
721117	169608	Leslie Hindenberg
721117	231391	April Flowers
721117	241494	Betty
721117	245537	Marcia
721117	253228	M.G.
721117	273307	Jordan Cochran
721117	277088	Judy, Gilbert's Nerd Girlfrie
721117	335480	
721117	349973	Suzi Brent
721118	239005	Tina Grant
721119	410441	Carla Troost-van Beusekom (19
721120	57236	Emilienne
721120	101256	Plump Woman
721120	384434	
721120	403643	Angelina
721120	410139	La femme de chambre
721121	4757	Guest
721121	6091	Ada Harris
721121	26241	Magda Hofer
721121	30086	
721121	36476	Frau Wolff
721121	40412	Lotte Hansen
721121	40953	Elfriede Gebhard
721121	42525	
721121	58791	Julie
721121	92441	Delphine, Haushälterin
721121	94490	Charlotte Adrian, Pensionsinh
721121	98132	
721121	100989	
721121	102386	
721121	107812	Bruni
721121	111265	Anni
721121	119163	Juliane Winkler
721121	119272	Oberschwester Gertrud
721121	126334	Henriette Bach
721121	129677	Ida Krapp
721121	134215	
721121	134793	
721121	134848	
721121	134854	Pensionatszögling
721121	136086	Selma Rosenthal
721121	142033	Johanna
721121	142034	Hilda
721121	142039	Johanna
721121	142040	Marianne
721121	142043	Ingrid
721121	142046	Johanna
721121	142051	
721121	142052	
721121	156059	
721121	156728	
721121	156729	
721121	156984	Sylvia Koschinsky
721121	178808	Mrs. Jacoby
721121	179768	
721121	189535	
721121	189668	Mrs. Haslacher
721121	189712	Ruth Levenstein
721121	199382	
721121	204449	
721121	204468	
721121	210085	
721121	221269	Ada Harris
721121	221270	Ada Harris
721121	225182	
721121	229101	Louise Koppel
721121	230195	
721121	234289	
721121	237021	Herself
721121	243767	Cupido
721121	247147	Rose Frobisher
721121	259438	Elisabeth Kampnagel
721121	259569	Oma Kampnagel
721121	259605	Frau Kulick
721121	259612	Elisabeth Kampnagel
721121	259633	Oma Kampnagel
721121	272750	
721121	281951	Erna, Hausmädchen bei Schramm
721121	282178	Frau Fielitz
721121	282209	Maria Panacek
721121	289883	Lisa
721121	289917	Eliza Gant
721121	290193	
721121	290797	Luise Pannewitz
721121	293724	Die Frau
721121	294202	Sekretärin
721121	312748	
721121	324691	Mutter von Sylvia
721121	325451	Tante Poldi
721121	326175	Edith
721121	326204	1. Sekretärin
721121	328991	Frau Korrianke
721121	334017	
721121	338940	
721121	347567	Frau Schneider
721121	347772	Auguste
721121	348042	Käthe Scholz
721121	348043	Käthe Scholz
721121	348044	Käthe Scholz
721121	348045	Käthe Scholz
721121	348046	Käthe Scholz
721121	348047	Käthe Scholz
721121	348048	Käthe Scholz
721121	352208	Sophia
721121	352643	Suse Thiemann/Lotte Bauernfel
721121	360966	
721121	364945	
721121	374377	Mrs. Conway
721121	389948	Gertrud Stranitzki
721121	389956	
721121	392509	Ida Rogalski
721121	394480	
721121	403692	
721121	406114	Herberts Mutter
721121	406321	
721121	409732	
721122	58001	Jeanne
721122	200940	Madame Retailleau
721122	319803	L'aubergiste
721122	346769	La Concierge
721122	406493	
721123	62815	
721123	108894	Loretta
721123	345058	La chirurgienne
721123	355126	Mathilde
721123	376580	Stéphanie
721123	396365	Monique Courtin
721123	396864	Camille
721123	403474	Madame Lassalle
721124	59057	Tere
721124	59058	Tere
721124	59775	Hija del sherriff
721124	90212	Aftadolfa
721124	223115	
721124	233518	Herself
721124	383910	
721124	383977	Doña Florinda de la Regueira/
721124	384018	Doña Florinda
721124	384019	Doña Florinda/Chimoltrufia/En
721124	397736	
721124	408211	
721125	190034	Mrs. Parlee
721126	169775	
721127	293744	Young Selena
721128	90095	
721129	70550	
721129	74783	
721129	81559	Mati
721129	83713	Mrs.
721129	188257	
721129	382834	
721130	32011	Mother of Sabine
721130	240586	
721130	257002	
721130	324625	La vendeuse
721131	409463	Secretaria (2004)
721132	397526	Sofija, Zlatkova sestra
721132	397527	Sofija, Zlatkova sestra
721132	397530	Sofija, Zlatkova sestra
721133	107717	
721134	296047	Starica I
721135	1008	Perlakyné,Anna
721135	10401	
721135	19669	Athália,Brazovich lánya
721135	48670	Mrs. Turnovszky
721135	51326	Lola
721135	74397	A szikár hivatalnoknõ
721135	97970	Didó
721135	97985	Henriette grófnõ
721135	97990	Blanka
721135	102410	
721135	108913	Majzikné
721135	165562	Daisy
721135	182662	Ibi anyja
721135	182793	
721135	198208	
721135	209810	
721135	212825	Fáncsi
721135	227521	Józsa
721135	235375	Homlódyné
721135	253783	Éva
721135	328970	Smidlovicsné
721135	377123	Dancsné
721135	377719	Vízyné
721135	377778	Szádváryné
721135	382544	Janka néni
721136	301335	
721137	122353	Clara
721137	268214	Countes
721137	338597	L'infirmière
721138	231175	
721139	61818	Herself
721140	136433	
721141	196281	Cop #3
721142	122397	Hölgy
721142	214495	
721142	306936	Siratóasszony
721142	333123	
721144	76958	Eileen
721144	131727	Haley, the brunette
721145	298274	Natyela
721146	2968	Petite fille 1
721147	169324	Herself
721148	1199	Yasmine
721148	9020	
721149	67896	Middle Mini McGann
721150	380076	Lucia Roman
721150	393023	Paola 'Hormiguita'
721150	400667	Roxanna (1999-2000)
721150	403262	Patricia
721150	407347	Martha
721150	410082	Natalia
721151	25986	Lynda
721152	315821	
721153	215076	Gloria
721154	94321	Odette
721155	412203	
721156	154919	Mother
721157	154919	Girl
721158	270840	Giovanna
721158	315643	Angel/Eve
721158	387907	Manuela
721159	305542	
721161	199796	
721162	127844	Paola
721164	68780	
721165	7759	
721165	14896	Lena
721165	22000	Anna
721165	23757	Kathy
721165	82246	Liliana
721165	101944	Maria von Gall
721165	113574	Giovanna
721165	156356	Ilaria Alpi
721165	202284	Francesca
721165	234147	Eleonora
721165	257026	Elena
721165	312897	Chiara
721165	342101	
721165	344589	Giulia
721165	348198	Silvia Tortora
721165	353149	Porzia Colonna
721165	355098	Virginia Maria de Leyva
721165	397947	Soeur Simplice
721166	21609	
721166	67663	
721166	112767	
721166	183507	
721166	205529	
721166	234643	
721166	237221	
721166	267495	
721166	328365	
721166	377604	
721167	69174	Herself
721168	197359	
721169	188665	
721169	310019	Mawe
721170	74207	Evalina
721170	86919	Choir Soloist
721170	94206	Margaret
721170	131509	Hospital Sister
721170	188665	
721170	198751	Young Asira
721171	382715	Newsreader (2002)
721171	405518	Herself - Correspondent (2002
721172	175842	Sixty-Six Club Dancer
721173	107513	
721173	261754	
721174	213023	Watson's Domestic
721175	69635	Sealwoman
721176	257104	
721177	347501	Desiree
721178	48321	Nonie
721178	97212	Agnes O'Brien
721178	112018	Priest's Housekeeper
721178	257686	Mrs. Smith the Blind Lady
721178	266761	Madam Grinns
721178	283361	Dannys Aunt
721178	333183	Elizabeth
721178	379663	Alma's Mother
721178	381187	Kathleen Hendley
721178	388209	Lily Malone
721179	2427	
721179	126724	
721179	160993	
721179	171092	Jenny Lee
721179	192531	
721179	346102	
721179	364497	
721180	369059	Jin Lan
721181	398026	
721182	112896	
721182	212546	
721182	238981	
721182	300520	
721182	306910	
721182	318372	
721182	370029	
721183	11635	Diane
721183	57934	Kelly
721183	100008	Gypsy Girl 2
721183	171411	Fatima
721184	41390	Maria
721185	16745	
721185	18840	
721185	30875	
721185	83885	
721185	88710	
721185	94899	
721185	112629	
721185	145545	
721185	146480	
721185	155961	
721185	156175	
721185	158633	
721185	162111	
721185	170847	
721185	172943	
721185	198717	
721185	202595	
721185	205993	
721185	211040	
721185	227411	
721185	233682	Primera Quintagua
721185	242695	
721185	249797	
721185	256096	
721185	263316	
721185	273945	
721185	284955	
721185	285985	
721185	287233	
721185	301170	
721185	324381	
721185	325360	
721185	325369	
721185	341660	
721185	344358	
721185	358524	
721187	139227	Vixen - Bass
721189	101380	Sharinara
721190	411739	Yoshico
721192	322099	Kata anyja
721193	51989	Prison Inmate
721194	15012	Odile's mother
721195	186250	
721196	36855	Herself
721196	381898	Herself (2002)
721196	381917	Herself - Evictee #2: 28 Apri
721197	150984	Dailey
721198	86780	Julia
721198	97003	Mei Oi
721198	122882	
721198	179963	
721198	190131	
721198	214612	Wang To-hung
721198	236265	
721198	268720	Pai Liu-So
721198	336625	Nguyen's Mistress
721198	358920	Tony's Wife
721198	367117	Connie
721198	368095	Li Lap-Quan
721198	376046	Ming
721199	111213	Mu Yan
721200	48100	Herself
721200	48101	
721200	48115	
721200	63282	Kung Nan-yen
721200	63498	
721200	78584	Woman fighter
721200	123389	
721200	135470	
721200	141928	
721200	152080	
721200	167846	Yuan Le-erh
721200	170013	
721200	194001	San-Thye's Daughter
721200	210991	Chen Ching Hua
721200	297933	Tang Pin-Er
721200	298373	
721200	324342	Miao
721200	332306	
721200	369768	
721201	35878	
721201	181367	
721202	287014	
721203	70183	
721203	255100	
721203	261894	
721203	309247	
721203	338705	
721204	37959	Ania
721204	252552	Sonia
721204	294387	Tamara
721206	150057	
721206	186516	Hostess
721206	290982	Hooker
721206	412178	Herself/Singer (2004)
721207	358230	
721208	31018	Extra: Metro
721209	363947	Nurse
721210	63779	Reporter Roissy
721211	125775	
721211	214317	
721212	214317	
721212	260909	
721212	341865	Suor Cecilia
721213	184888	
721214	196845	Receptionist
721215	44185	Woman in Boozecan
721216	75030	
721216	156433	Draga ... doktorka
721216	179101	
721216	258163	Mlada Jevrejka
721216	375744	Vaska
721216	396292	Jelena, Vojinova kci
721216	401708	
721217	133307	
721217	205549	
721218	65529	Herself (on TV set of Ardisso
721218	408660	Herself
721219	161075	Angela Manzone
721219	387287	Jolene (2003)
721220	385071	Host
721220	401910	Host
721220	409722	Host
721221	247511	Sami
721222	344443	Chiara
721223	329159	Her
721224	25352	Madusa Miceli
721224	32735	Madusa
721224	81157	Co-ed Fighter
721224	147279	Madusa
721224	196628	Madusa Miceli
721224	217821	Alundra Blayze, Madusa
721224	299690	Madusa
721224	313743	Madusa
721224	313746	Madusa
721224	318831	Alundra Blayze
721224	318832	Alundra Blayze
721224	320134	Alundra Blayze
721224	360322	Madusa
721224	360336	Madusa
721224	360340	Madusa
721224	368825	Alundra Blayze
721224	410688	Madusa (1995-1997; 2000)
721224	410689	Madusa (1991-1994; 1997-2000)
721224	410690	Madusa (1999-2000)
721224	411543	Alundra Blaze (1993-1995)
721224	411546	Alundra Blayze (1993-1995)
721225	327910	Annie
721226	55132	Gina Ryan
721226	78015	Elena Franco
721226	125829	Maria DeRazio
721226	299796	Helen
721226	380713	Dr. Marsha McKay (1992-1993)
721227	273332	Herself - 4th couple
721227	344854	
721228	145143	Anchor woman
721228	381921	Presentadora (Big Sister)
721228	381922	Host
721228	407758	Presentadora (2002)
721229	99055	Boron's Boyfriend's Hooker
721230	99164	Child
721231	103326	1st Band of Thieves
721232	293106	
721233	149660	
721233	281417	
721233	312134	
721234	213109	Brenda
721235	363876	
721236	352613	
721237	13993	Airline Passenger
721238	222597	Sandy
721239	340448	
721240	11978	Gladys Smith
721240	17475	Mrs. Mona Dolphin
721240	32564	Louise
721240	32912	Elinor Cantwell
721240	43121	Lady D'Argon
721240	48982	May
721240	51975	Georgia Harrison
721240	65551	Calpurnia
721240	66111	Hetty
721240	70017	Letitia Clunker
721240	72499	Marcella
721240	79105	Mrs. Rossiter
721240	107181	Nora Brooks
721240	109221	Clarice Sheldon
721240	109824	Evelyn Fischer
721240	114958	Millie
721240	117754	Cleo Ashton
721240	118314	Mrs. Sylvia Temple
721240	126068	Miss Lee
721240	144617	Virginia
721240	147415	Dorothy Lamont
721240	147804	Herself
721240	154063	Pamela Banks
721240	154097	Magda Delys
721240	154972	Alicia Hatton (Kirk's fiancee
721240	163272	Vania Nardi
721240	171176	Ann Heston
721240	185522	Rosemary Haydon
721240	201457	Miss Eleanor Emerson
721240	207142	
721240	210897	Helen Chalmers
721240	220905	Jessica Stafford
721240	222592	Rita Ross
721240	222722	Jane Davis
721240	232047	Sarah Rinehart
721240	233574	Olga Lewis
721240	235701	Sophie Lang
721240	245530	Clubwoman
721240	249261	Colette Menthe
721240	261742	
721240	264460	Toni Chase
721240	276730	Sophie Lang
721240	285635	Kay Whitney
721240	291915	Jean Strange
721240	292260	Virginia Howard
721240	304970	Duchess
721240	309027	Sophie Lang
721240	313349	Yester
721240	329538	Mrs. Whitson
721240	329947	
721240	331713	Sophie Whipple
721240	333061	Elsa Duranyl
721240	345627	Marjorie
721240	360301	Mary Morton
721240	363274	Nell
721240	366774	Margaret Price
721240	367628	Barbara 'Buff' Andrews
721240	367805	Gertrude Schneider
721240	367913	Chief Matron Sturgis
721241	111613	
721242	283758	Dona cun scuva 1
721243	17435	
721244	106280	Blessed Virgin Mary
721244	354886	Gert
721245	365977	First Nurse
721247	148572	Diana, age 16
721247	168675	Chorus Girl
721247	319899	Hot Potato #1
721248	363876	
721249	107743	Housekeeper
721249	388249	Hildegarde
721250	305410	
721250	316604	
721250	360542	Prison Matron
721251	73740	Lucy
721252	363977	News Anchor
721253	16045	Mrs. Turner's Mother
721254	179177	
721255	43341	Prinzessin Marina
721255	79624	Marion
721255	103129	Annika Bergmann
721255	157711	
721255	164511	Betsy
721255	189188	
721255	189189	Liane
721255	189190	Liane
721255	189191	Liane
721255	290195	Jacqueline Petersen
721256	151461	Nancy Leigh
721256	157771	Terry
721256	354823	Mrs. Riley
721256	411375	Birdie Bodkin
721257	138715	Kelly
721258	55206	Carmen
721259	70522	
721259	261100	
721260	68246	Gwen
721261	910	Stewardess
721261	392571	Gertrude Lawrence
721262	17861	
721263	195345	Abigail
721263	387247	Janine Butcher (I) (1989-1993
721264	222780	Cop #1
721265	140039	
721266	29533	Salon Customer
721266	87423	German woman
721266	270646	Aunt
721266	314779	Dutch Receptionist
721266	400684	Woman in Hotel
721267	246479	
721268	267174	Waitress of the Gas Station
721269	383005	Nilly
721270	41578	
721270	128756	Herself
721270	185739	Peasant Girl
721270	189844	Herself
721270	225180	
721270	340542	Ruth
721270	356641	
721271	14212	3rd Black Woman
721271	16890	Ravin
721271	23595	Salon Girl
721271	127351	Winter
721271	136040	Nurse
721271	137237	Simone
721271	294236	Tonya
721271	390111	Yvonne Blackwell
721272	162565	Belle
721273	315122	
721274	174908	
721275	31622	Interviewer
721275	397472	Host
721275	405173	
721275	409332	Host
721276	9678	
721276	140724	
721276	141748	Host
721276	141749	Host
721276	141750	Host
721276	144217	Thomas'Mother
721276	156653	
721276	172032	Gynaecologist
721276	175001	Host
721276	175003	Host
721276	201399	
721276	210249	
721276	210250	
721276	285992	
721276	326354	Cleaning woman
721276	371802	
721276	375184	Bracha Yaakov
721276	382228	Host
721276	382327	Bracha Alkalai
721276	399475	Various
721276	405010	Rivka, Alon's mother (2004)
721276	411955	Columnist (1979-1985)
721277	113975	
721278	98686	
721278	379441	
721279	6452	
721279	77031	
721279	77032	
721279	97854	
721279	98074	
721279	123103	Aunt Sophia
721279	124989	
721279	137866	
721279	163794	Sofia
721279	173717	
721279	234701	Mrs. Anagnostou
721279	239167	
721279	243441	
721279	327123	Roxani Pellas
721280	49389	Rabbi's Wife
721281	35052	
721282	152755	Maria
721282	388293	Maria
721283	28709	Aniu
721283	48277	Flint
721283	48939	Telemarketer
721283	92865	Paramedic
721283	141412	Bank Teller
721283	207709	Carpet Store Manager
721283	300533	Jana
721283	331872	Doctor
721283	400465	Jesse
721284	380211	
721284	380474	
721284	395900	Thalia
721284	397576	
721284	400835	
721284	404535	Anna
721284	409862	Anna
721285	95755	Admors Wife
721286	102739	
721286	356652	Herself
721288	356652	Herself
721289	621	
721289	2431	
721289	6730	NonSex
721289	26118	
721289	41581	
721289	67137	
721289	72781	
721289	108837	
721289	116013	Herself
721289	116836	
721289	117312	
721289	228024	
721289	230379	
721289	282390	
721289	296985	
721289	306916	
721289	324766	
721290	350197	
721291	240706	Eileen
721292	26482	Elaine
721292	117133	Party Girl
721293	35167	Honey Blake
721293	40976	Angela Booth
721293	72623	Alice Mosher
721293	96861	Felice Backett
721293	128414	Clara
721293	233635	Blonde at Party
721293	255254	Betty Horak
721293	331456	Shipboard Woman
721293	364771	Billie Nash
721293	367903	Angela Booth
721294	344652	Mme. Tushka's Girl #2
721295	233702	
721296	236154	Young Catherine
721297	131239	Woman of the town
721298	342662	
721299	308177	Beverly
721300	6265	
721300	6266	Karen
721300	147784	
721300	235392	Tracy
721300	341499	Morrie's Mother
721301	373216	Cheerleader
721302	139597	Journalist 3
721303	56144	Nurse
721303	143280	Leanne
721303	178092	Screaming Woman
721303	222670	Nurse
721304	1753	Commercial Announcer
721304	43919	Teacher
721304	49948	Miss Connor
721304	96721	Jenny Marshal
721304	139050	Telephone Operator
721304	188963	2nd N.Y. Tourist
721304	223871	Judge
721304	304910	Joyce
721304	404718	Elaine
721305	252839	
721305	301601	
721305	381960	
721305	389791	Additional Voices
721305	394427	
721305	404879	
721305	408893	
721306	32241	Shower Girl
721306	151757	Herself
721306	296374	Herself
721307	75060	
721309	19291	Fran Templeton
721309	31049	Ruth Benson
721309	112030	May Matthewson
721309	114632	Athena
721309	119803	Model
721309	120927	Lori the piano player
721309	241350	Julia Reynolds
721309	308382	Raider
721309	333263	Cpl. Jean Evans
721309	359421	Jessie Marlow
721309	360302	Mildred Pritchard
721310	367097	Aura
721311	197741	Corrina
721312	81343	Nurse in window
721313	101765	Andrea
721314	101765	Andrea
721314	113993	Katarina Romanova
721314	213155	Lisa
721315	305444	
721315	389501	Roxy (1994)
721317	34892	
721317	55628	
721317	291017	
721318	66949	Linda Parr
721318	176838	Stacy
721318	279137	Lady in Gallery 1
721319	196898	
721321	317956	Joan Cascade
721322	310800	5th Waitress
721322	358991	Judy
721323	50195	Kelsey Jordan
721323	139702	
721323	155888	Sally Barrows (segment "1974"
721323	191836	Young Patty
721323	407441	Molly Cunningham
721323	410865	Maggie Brannigan (age 6)
721324	207907	Karen Wyler
721324	232114	Cynthia Nickelson, TV Reporte
721324	269859	Margo
721324	294786	Cult Member 3
721324	297781	Woman in market
721324	335563	Diane Rawlinson
721324	385594	Connie (1979-1981)
721324	389858	Constance Townley (1983)
721324	395162	Denise
721324	404101	Tatum McCoy
721324	404282	Lydia Saunders (1988-1989)
721324	411802	Karen Richards (1981-1982)
721325	396792	Princess
721326	82016	
721326	161706	Shippo
721326	229316	
721326	371970	Runa
721326	382648	Comodo Mahama
721326	386922	Goten (Vancouver Dub)
721326	390961	Panda
721326	392964	Shippo
721326	397054	Hanna
721326	397346	Princess Pride
721326	405356	Rosa
721326	406012	Yuko
721327	232104	Ghoul
721328	190345	
721328	293149	Terri
721330	43877	FBI Agent Elizabeth Marcus (J
721330	88899	Irene
721330	150920	
721330	165851	FBI Agent Elizabeth Marcus
721330	258860	Freight Train
721330	279323	Denise
721330	308658	Maggie
721330	333357	Tami Whitmar
721330	366739	Susan
721331	366652	Barbarian Princess
721332	241225	Joan
721333	81276	Rhonda
721333	91875	Waitress
721333	117960	Leslie
721333	202195	Hooker
721333	357991	Miss Sweet
721333	366743	Nurse #2
721334	280174	South Seas Club Camera Girl
721335	86808	3rd Sister
721335	92482	Robot
721335	107175	
721336	30463	Liz
721336	68271	Prime Minister
721336	79408	Sister Elizabeth
721336	81117	
721336	219859	Jail Guard
721336	346127	Nurse
721337	272418	Guard
721338	197499	Extra
721338	350208	Sexy Business Woman
721339	5092	Mother
721340	267439	Hostess
721341	264724	Talia
721342	367951	Herself
721343	323134	Minako
721344	264724	Model
721346	308080	Kelly Simon
721346	363268	T.V. Reporter #2
721347	11358	
721347	27232	
721347	69502	
721347	163479	Herself
721348	25874	Dr. Black/Dr. Bloch
721348	50207	Barmaid
721348	202372	Liza Chamberlain
721348	313189	Paul's Party Guest
721349	58666	Woman in fitting room
721349	101061	Wilson
721349	195640	Bachelorette #3
721349	296963	
721349	310135	Controller
721350	289558	Woman at Babylon Club
721350	385594	Jeanne O'Brien (1990)
721350	404282	Santana Andrade #2 (1985)
721351	45639	
721351	238238	
721352	115269	Lous McDormick
721352	131780	Mrs. Carbone
721352	340803	Chickie
721353	318114	
721354	379054	Regular Performer
721355	109834	Solo
721355	151624	Tina
721355	171791	Little girl
721357	32939	
721357	87388	
721357	196334	
721357	228665	
721357	238945	
721358	3267	Woman at Barbeque
721358	13293	A Highlight Member
721358	81318	Marilyn (Kersey's secretary)
721358	143831	Businesswoman
721358	219182	Maisy
721358	297603	Sue
721359	89791	
721359	245587	
721360	13951	Lucy
721361	8932	Aimee Semple McPherson
721362	33714	Club Manager
721363	85050	Hispanic woman
721363	283466	Maggie
721364	194456	Airport Clerk
721364	262004	Joan Salt
721365	286063	
721366	16753	Matty
721366	319560	Hooker
721367	389791	Additional Voices
721368	372897	Herself
721369	109210	Amy
721369	114844	Zara
721369	271101	
721369	308338	
721370	37314	Granny
721370	132441	Babi
721370	354163	Woman in Park
721370	375508	Gloria (3rd murder victim)
721371	223378	
721373	209289	
721374	406179	Lucinda Cartier
721375	271269	Herself
721376	46327	Extra
721377	350234	
721378	132786	Chorus
721379	27946	Prostitute
721379	79530	
721379	100001	Girl No. 2
721379	129435	Cold Reader #2
721379	160416	Laila ("The Perfect Woman")
721379	230991	Lynda
721379	232292	Alene
721380	59577	Lynette
721380	72920	Carrie Gray
721380	80616	Nora
721380	92490	Wendy
721380	112201	Lesbian Kidnapper
721380	119350	Kristen
721380	125578	Cheerleader
721380	131983	Young Woman
721380	142484	Biker Chick
721380	231898	Wendy
721380	232676	Officer Felice
721380	276429	Antonia Trowbridge
721380	310132	
721380	316153	Bloodsucking nurse
721380	317483	Andrea
721380	329577	Herself
721380	333857	Second Victim
721380	342648	Angela Witt
721380	350177	Candy
721380	361535	Leslie/Were-Leslie
721380	368147	Anne
721381	41888	Angelina Scarletti
721381	127679	Henrietta Radner
721381	161060	Mom
721381	168290	Woman at Party
721381	231915	Lady with Dog
721381	362216	Atlanta Teacher #2
721382	24082	
721383	150049	
721384	390571	Estella
721384	402798	Phyllis
721385	35823	Herself
721386	62684	Lisa Stewart
721389	98912	Girl Outside Concert Hall
721389	233967	Bride
721390	32241	Otis's Girl
721391	152889	
721392	9023	CNN anchorwoman
721392	14141	TV News Anchor
721392	79716	Reporter #2
721392	277643	Newscaster
721392	331408	Mary Ann
721393	318781	Melissa
721394	57694	Herself
721394	76221	Max
721394	401894	Nicole Julian
721395	113883	April Ferguson
721396	269617	Zula
721397	346947	Kathy
721398	192269	Teenage Girl
721398	195652	Blythe Holloway
721398	294750	Lucy Dabney
721400	308177	Maude, Rollo's wife (Rm 416),
721401	57747	Guard
721402	126504	Woman in post office
721402	372039	Tammy
721403	99570	Elvira Madigan
721404	283484	Borger
721405	28884	Jessica
721405	31668	Virgin Beauty
721405	99592	Ingrid von Porter
721405	212799	Michelle
721405	257648	Miss April
721405	257818	Miss August 1988
721405	283806	Eve
721405	287144	
721406	47542	Patty Clawson
721406	130971	Goldie Kellog
721406	130972	Goldie Kellog
721406	210610	Kathy Tilford
721406	233690	Missy Wilder
721406	243736	J.P.
721406	297776	Patricia
721406	397246	Maxx Davis
721407	317624	Girl in shoe shop
721408	284139	Herself
721409	37189	Woman in Audience
721409	259279	Nancy Burke
721410	114651	Dorothy
721411	47130	I.B.'s Girlfriend
721411	144763	Debby
721411	154474	Keri Boyer
721411	243724	Anna
721411	367964	Carrie
721412	158818	
721412	347403	Girl on bike
721413	62536	Teenager
721413	64570	Herself (performer)
721413	127729	Herself
721413	128460	
721413	140354	Fran
721413	176391	Julie Gordon
721413	288737	Debbie
721413	289545	
721413	390070	Katie Kanisky (1981-1986)
721413	392724	Host
721414	198271	Telephone operator
721414	305991	Marit
721414	306371	Restaurant Guest
721414	337888	Trombone player
721415	230843	Donna
721416	304313	Carmen
721417	57654	Boxing Match Doll
721417	192219	Sophisticated Barfly
721417	274427	Wedding Party in Philadelphia
721418	410238	Jeanne (7 years)
721419	259419	
721421	291894	Girl
721423	1073	Tea Lady
721423	20626	Mrs. Tinkle
721423	73857	Mad Hilda
721423	114512	Innocentina
721423	175788	
721424	174028	TV Reporter
721424	179183	Celinka
721425	135685	Manuela, journalist
721425	373351	Manuela
721426	18843	Elsa
721426	138764	Liza
721426	332262	
721427	7462	La jeune polonaise
721427	9870	Wanda
721427	67188	Myriam
721427	345423	Hélène
721427	408002	Lisbeth
721428	7889	Party Goer
721428	390917	Girl 1
721429	230027	Millicent
721430	82204	
721430	181366	
721431	406144	Maran
721432	84457	Babe #9
721432	194638	College Girl
721433	18945	
721434	52558	Sarah
721434	143531	Young Alcmene
721434	143532	Daughter #2
721434	186422	Trina Riley
721434	209727	Dorothy
721434	337155	Imogen
721434	393236	Serena Bennett
721435	209943	Sa mère
721436	209943	La petite fille qui danse
721437	353993	Margareta
721438	291954	Allyson
721438	401368	Keely
721439	390741	Shannon Gressler (2002-)
721440	341781	
721441	6288	
721442	28657	Marta
721443	129829	Agent Catalina Powers
721444	132609	Duza Janka
721444	395911	Krystyna 'Krysia' Drewnowska
721444	406145	Apprentice
721445	217303	
721445	220233	
721445	231606	
721445	375067	Zoska Malinowska
721446	247647	
721446	284052	Nurse
721447	181386	Michasia
721448	130576	Malgoœka
721449	174621	Herself
721451	53220	Toilettenfrau
721452	237701	
721453	17749	Dancer
721453	47050	Selma
721453	111796	Rose O'Sharon
721453	368949	Erika
721454	222394	Naty
721455	19639	Femme Talaat
721455	255589	
721456	45498	Mona
721456	169427	Parker's Gang
721456	195763	Ester Cohen
721457	63113	Child
721457	292818	Beth
721457	314104	Girlfriend #3
721458	133343	Sanatorium Nurse
721459	384787	Une adoratrice de Cosmochrono
721459	407535	
721460	122183	COPS officer
721461	120392	Francesca
721462	69102	
721463	249293	La fille de son papa
721464	17868	Singing Girl
721464	261729	Carine
721465	2252	(segment "Anniversaire, L'")
721465	10294	Marie
721465	19202	Monica
721465	19624	Inspecteur Solveig
721465	25106	Lola
721465	51402	La prof de sciences-nat
721465	51652	
721465	55404	Mother
721465	60965	
721465	64011	Madeleine
721465	64333	Herself (1982)
721465	69761	Nicole
721465	96211	La jeune femme du train
721465	99736	La gynéco
721465	111063	Woman with Blind Man
721465	112895	L'assistante-réalisatrice
721465	113123	La musicienne
721465	115355	L'assistante sociale
721465	118442	Red Cross Nurse
721465	169351	
721465	198970	Betty
721465	211146	La gardienne
721465	217713	
721465	217843	Laëtitia
721465	225465	
721465	238453	9000 balles
721465	248165	Cafe Waitress
721465	249713	
721465	249721	
721465	252530	Brigitte Rhomberg
721465	273671	Corinne
721465	280770	
721465	291572	
721465	309773	Caroline
721465	336931	Directrice 'Agir'
721465	337734	
721465	345461	Journaliste Télé
721465	346675	
721465	350052	La responsable du casting
721465	377652	Femme de service
721465	377909	
721465	391479	Mme Julienne
721465	402720	Diane
721465	412266	Médecin famille De Graf
721466	287508	Eileen Daily, Stone Mason's D
721467	26583	
721467	68773	
721467	86911	Leonore
721467	275612	Jeanne
721467	303617	
721467	307623	
721467	322584	Lucie
721468	404018	Angélina
721468	406029	Geneviève
721469	2968	Fille gardienne
721470	109607	Daisy's Teacher
721471	376876	Cathy
721472	101133	Journalist
721472	107919	Evangeline
721472	171596	
721472	265797	Simone
721473	20079	Madame de Jeumont
721473	69761	
721473	88376	Conseillère clients CEMA
721473	124326	
721473	125469	Isabelle Leroy
721473	148771	
721473	283242	Valentine
721473	379622	Solène
721473	385090	Gabrielle Germont (1991-1993)
721474	121426	Sophie
721475	113132	
721476	398158	Marie-Lou Gennois et Nicole J
721477	396321	Fannie
721478	12159	
721478	24291	
721478	61540	
721478	70641	Diana
721478	80165	
721478	80189	Seño
721478	82585	Mamá de Beatriz
721478	234395	
721478	274644	
721478	276568	
721478	302333	Lolis
721478	332919	Tomasa Rojo
721478	351674	
721478	354998	Cuquita
721478	384400	Dr. Luisa Maldondado 'doctora
721478	404989	
721478	408859	La Rusa
721479	64333	Herself (1995)
721479	399813	Herself
721480	397886	Herself
721481	30758	
721481	140421	
721482	393228	Jean Ann Smith
721483	66215	Sesto
721483	243380	Euridice/La Speranza/Eco
721484	324619	Singer
721485	51991	Fighter #2
721485	326143	Mercedes
721486	23951	Janet
721486	66919	Ground Controller
721486	130057	Teresa
721486	222686	Young Woman
721486	223977	P.A. Jeannie
721486	265861	Detective Kriebel
721486	271961	Velvet
721486	275870	Technician
721486	278526	Leshawnette
721486	321222	Martielle
721486	329757	Phoebe Watson
721486	339419	Mrs. Howard
721486	363492	Caroline
721486	366822	Cathy LaRocca
721486	366844	
721486	403505	Patience
721486	405131	Trish George (2003 - present)
721486	406007	Lila
721487	107037	Emily
721488	240427	
721489	10222	
721489	23044	
721489	101464	
721489	103510	
721489	120721	
721489	157156	
721489	225699	
721490	379559	Ángela
721490	385370	Bárbara Sánchez Serrano
721490	396826	Alejandra
721491	104689	Herself
721491	387950	Herself
721492	217654	La chanteuse de variétés
721493	285984	Voix seulement
721494	350082	
721495	5900	
721495	17868	Gymnastics Teacher
721495	72056	Femme couple Ebony Club
721495	200936	La Domestique
721495	252317	Une élève de Melle du Merle
721495	353824	L'ouvreuse Le Mans
721495	353907	Infirmière
721495	376876	Véro
721496	51416	
721497	328114	Enfermera
721498	122377	
721499	51434	Infirmière
721500	160845	
721501	62513	
721501	156932	
721501	166378	
721501	233906	
721501	269167	
721501	294891	
721501	319626	
721501	351489	
721501	356608	
721501	379812	
721501	380327	Marieta
721501	380448	
721501	383243	Adélia
721501	386168	
721501	386418	Condesa
721501	390380	
721501	390817	
721501	393793	
721501	395400	
721501	396337	Zoraida
721501	397512	Francisca
721501	397543	
721501	401091	
721501	403747	
721501	404753	
721501	405101	
721501	405401	
721501	410287	
721501	411739	
721502	16005	Pilgrim
721502	183190	
721502	380750	Mrs. Morelli
721503	87397	CeCe
721503	178149	Waitress
721503	184864	Lola Orlova
721503	276267	Dawn
721503	318464	
721503	326620	Ruby
721503	367751	Gail
721504	25109	Hélène
721504	73143	L'agent de voyage
721504	96054	Dominique
721504	132597	Christine
721504	161765	Dominique
721504	164155	Mme Cartier
721504	166140	Rita
721504	186127	La belle-mère
721504	195137	Aline Jobin
721504	218580	Madame Beauchamp
721504	235864	
721504	269740	Niece
721504	332618	Suzanne David
721504	333792	
721504	345539	Receptionist
721504	370104	Le Mère Supérieure
721504	378705	Sonia
721504	383651	Rachel Salvail
721504	384214	Isabelle Robert
721504	386670	Dominique Dupuis
721504	392579	La vendeuse des Puces
721504	398035	Dominique André
721504	398036	Dominique
721504	398847	Andrée Chevalier
721504	400627	Avril Lachance
721504	401322	Thérèse
721504	408321	Henriette Fontaine
721505	93462	Elli
721506	86001	Liz Balser
721506	96891	Cora Sue
721506	99395	Penny
721506	380507	Patricia Apple (1974)
721507	52243	
721507	202579	Muriel
721508	407351	Ulla Kempowski
721509	92194	Baby
721509	394143	Ulla
721510	87157	Annie
721511	88568	
721512	2880	
721512	23683	
721512	24735	La logeuse
721512	43710	
721512	53245	La femme Alfroy
721512	55781	
721512	61424	La dame de la poste
721512	62827	
721512	70495	
721512	78379	Concierge
721512	79553	Mrs. Peggoty
721512	83363	
721512	107515	
721512	111054	Woman in car
721512	124357	Maria Ragondin, la mère de Pi
721512	132064	
721512	132769	La concierge
721512	148668	La Bouchère
721512	153805	
721512	167209	La femme du maire
721512	174635	Sidonie
721512	189489	Son Assistante
721512	200966	Marguerite Juteau's neighbour
721512	204983	
721512	205209	
721512	205736	La première tante
721512	248204	Albertine
721512	265223	Soeur Jeanne de la Miséricord
721512	282224	Mademoiselle Fallot
721512	321831	Woman in Farmhouse
721512	324619	Aubergiste
721512	337047	La cusinière
721512	340202	
721512	340203	
721512	384287	La concierge
721513	32562	Pretty Girl
721513	301558	Slaymate
721514	78220	Secretaria
721515	345558	Une vieille dame
721516	340462	
721517	78346	Madame Faivre
721517	282772	Grinkstein's nurse
721517	336967	
721517	339925	
721518	162704	Vanessa
721519	151071	Musician
721520	250514	Mrs. Davis
721520	273785	Gina
721521	169692	
721521	232812	Soap opera woman
721522	169692	Alva
721523	360601	Candy Ball
721524	181135	Operations room staff
721525	13081	Eustolia (segment "Los Amante
721525	14793	
721525	22789	
721525	34559	
721525	70638	
721525	72966	Cristina
721525	104846	
721525	121259	
721525	132214	
721525	136994	
721525	149505	
721525	160087	
721525	164881	
721525	223611	
721525	227291	
721525	233489	
721525	249785	
721525	252606	
721525	309378	
721525	322372	
721525	357868	Gabriela
721525	357909	
721525	371675	
721525	380517	Carolina
721525	380939	Lilia
721525	386795	
721525	389892	
721525	395707	
721525	397019	Sor Matilde
721525	403749	
721526	30341	Criada Francesa
721526	68845	
721526	69908	
721526	70858	
721526	221682	
721526	221956	
721526	231277	
721526	236035	
721526	256519	
721526	287898	Berta (first victim)
721526	288258	
721526	302343	
721526	339797	(segment "Trio")
721526	375740	
721526	376867	
721526	396391	
721526	399576	
721526	400718	Michelle
721526	403365	Colette
721527	337020	Passager#2
721528	76623	
721528	90048	La Fillette
721529	35420	Kathy
721529	89273	
721529	131594	Lulu Clayton
721529	147543	Girl
721529	163477	Janie (little girl)
721529	178132	Little girl
721529	183553	Tina Wiggins
721529	213465	Jill Young, as a Girl
721529	221133	Sonya
721529	246603	Betsy
721529	249224	
721529	305934	Virginia (age 6)
721529	313916	Jessica Morse
721529	334919	Anya, Trina's Daughter
721530	186984	Singer.J'ecoute Mon Coeur
721531	168827	Enfant
721532	284433	Kind
721533	185650	Nurse Lisa
721534	208220	
721534	345406	Mme Lagarde
721535	378399	
721536	303503	Claudette
721537	16005	Pilgrim
721538	57504	
721539	72931	Goodyear Chorus Girl
721540	8920	La soeur de Catherine
721540	46942	Micheline-Chloé
721540	85616	Frederique Weber
721540	122871	Dominique Dupré-Granval
721540	351884	Venus
721540	401053	Marlène (1981)
721541	496	
721541	48784	
721541	52946	
721541	57432	
721541	69476	
721541	71283	
721541	88125	
721541	100273	
721541	143759	
721541	171461	Aurelia
721541	171469	
721541	204276	Paciente lava manos
721541	205102	
721541	207979	
721541	215232	
721541	222957	
721541	268052	
721541	273659	
721541	307790	
721541	309370	Esperanza, secretaria
721541	336075	
721541	380111	
721541	385333	
721541	388283	
721541	404360	
721542	263395	Mrs. Howard
721543	349898	Tina Zebra
721544	108207	Zizi Martin
721545	101	
721545	34270	Susanne Adler
721545	49281	Katja Schön
721545	111347	Verena Kern
721545	144160	
721545	189723	Evelyn
721545	281735	Susan Turner
721545	302751	Rikki
721545	314898	
721545	325904	Dr. Ingrid Knapp
721545	325926	
721545	352493	Irene Behringer
721545	361438	Eva Fischer
721545	393878	Maria
721545	405500	Claudia Petzold
721545	412106	Irene Krallert
721546	113228	Anna
721547	131383	Frauenärztin
721548	51936	
721548	56949	Comtesse Helena
721548	96069	
721548	251532	Une jeune fille dans la grang
721548	309732	Léone
721548	345195	Un jeune hippie
721548	362080	
721549	188683	Bébé #1
721550	130184	Soccer Player #1
721550	298276	Museum Employee
721552	20277	Jane
721552	48297	Impieg. Postale
721552	51376	Gabriella
721552	55485	
721552	55982	
721552	56336	
721552	56358	
721552	96506	Maria
721552	133025	Teppista
721552	133035	
721552	156956	Concetta
721552	163694	Mara
721552	169119	Vera Ricci
721552	206076	Olga Kube
721552	213808	
721552	227996	
721552	229617	Eugenia
721552	246397	Mother
721552	300701	Danny
721552	359503	Margret
721552	368514	
721552	390093	Teresina
721552	400729	
721553	59584	Operator #1
721553	262033	Saunders
721553	271001	Diane Foley
721553	342944	Maxine
721553	389476	Various characters
721554	331550	Woman
721555	305778	Rosanna
721557	50274	Additional Voices
721558	152979	Barb
721559	1470	Woman with Goatman #1
721559	82095	Mrs. Hampton
721559	177462	Host
721559	314232	Melissa Bogart
721559	379058	Host
721559	383838	Host
721559	394498	Herself/Host
721560	10502	Veronica Porche
721560	72854	Tauna
721560	78779	Beth Williamson
721560	82010	Lady #6
721560	148594	Det. Rene Sheppard
721560	151616	Judy Spears
721560	224392	Herself
721560	230676	Selina
721560	303560	R.C. St. John
721560	317881	Kara Lavelle
721560	383789	Nikki Sheridan
721560	385649	Holly Williams (1992-1993)
721560	387728	Dr. Cleo Finch (1999-2002)
721560	394357	Jessie Grey
721560	399294	Sandra Gill (1994-1995)
721560	408691	Maxine Phillips
721561	71813	La femme en route
721562	224266	
721562	321020	
721563	158462	Sor Milagros
721564	114847	Star Dowell
721564	141271	Juanita
721564	171269	Fawn
721564	190896	Lily Folinsbee
721564	213509	Mignon
721564	221333	Lovey Mary
721564	254916	Minty Sharpe
721564	263534	Margueritee
721564	286198	Salomy Jane
721564	286380	Nell Saunders
721564	348099	Kate Wilson
721564	367642	Princess Beatrix de Rohan
721565	345824	Eliza
721566	85065	The Woman
721566	93666	Helen Warner
721567	55096	Forteller (narrator)
721568	27837	La gironde
721568	130724	
721568	208513	Geneviève
721568	208834	Carole
721568	383112	
721568	404652	Sophie
721569	199820	
721570	273963	Elsa
721571	175188	Dona
721571	176550	woman
721571	236788	
721571	331958	
721572	205434	
721573	211321	
721574	275634	Marie
721575	97062	Yonne
721576	265398	
721577	75650	Court Counsellor
721579	244742	
721580	26586	Balbine
721581	277811	Ilaria
721581	386485	Sabina Corsi
721581	386486	Sabina Corsi
721582	365431	Stéphanie
721583	15057	The Passenger
721584	70730	
721586	76220	Melanie Duncan
721587	68800	Herself - Musician
721588	22808	Elvira Blake
721588	81557	Sarah Wilson
721588	141532	Mary Leonard
721588	191669	Seth's Mother
721588	205718	Ada Hall
721588	208189	Ada Hall
721588	217566	
721588	230441	Bastian's Mother
721588	236672	Sally Veitch
721588	263544	Orton's Friend
721588	297708	Sarah Dubreton
721588	310532	Pandora Vinald
721588	340740	Receptionist
721588	349571	Penelope
721588	386233	Caroline Amphlett
721588	401433	Mary
721588	405476	Sophie Soames
721589	86034	Elli
721590	1260	
721590	1285	
721590	2005	Herself (age 7, with Tony)
721590	44651	
721590	71603	Herself
721590	91632	
721590	101001	Katie Logan
721590	102834	Herself (manager, Michelle's 
721590	104776	Dutch entry (18th place)
721590	104776	Herself - Participant/Perform
721590	144786	
721590	220063	Rosie
721590	228253	Herself
721590	228266	Herself
721590	228267	Herself - Gastjurylid
721590	228268	Intervalact
721590	231779	Model
721590	236753	
721590	253577	
721590	256559	
721590	295391	Herself
721590	296205	Prostitute #2
721590	312699	
721590	328885	
721590	356654	
721590	389097	Herself
721590	405984	(Pledge Captain, USC)
721591	56992	Jogger on Sidewalk
721591	143849	Buffy
721592	333869	Herself
721593	119821	Coke-Eyed Laura/Policewoman i
721593	140160	Abanaki/Jennifer Baines
721593	151086	Julia
721593	195688	
721593	216169	Pamela Andrews
721593	266618	Jane
721593	355075	Christine
721593	384657	Scarth Dare
721593	395465	Nicola
721593	411089	Jackie Rawlins
721594	356652	Herself
721595	287782	Mall Manager
721596	192777	Melissa
721596	272920	Herself
721597	257659	Miss June
721598	176732	Olga
721599	190171	Constance's doctor
721600	1038	Poise Secretary
721601	13531	Long-Haired Hooker
721602	58889	
721602	68275	
721602	100099	Executrix Council
721602	214756	Iris Hineman, additional voic
721602	265364	Rita
721602	269596	Budar
721602	278526	Additional Voices
721602	311308	Daisy Duck
721602	313436	
721602	313481	Depa Billaba/Republic medic/Z
721602	394252	Sanae Araki
721602	408439	The Weather Lady
721604	8237	Marian
721604	28156	Karine
721604	31643	Animal
721604	68692	Gloria
721604	131721	Guest on yacht
721604	212850	The Girl
721604	241736	Princess Nicole
721604	312172	Nina
721605	211375	La réceptionniste
721606	26067	
721606	177740	
721607	128756	Herself
721608	65189	Girl in Pit
721608	151108	Lorena Christophe
721608	196336	
721608	211219	Agency Chief's Girlfriend
721608	274422	Julie
721608	291228	Gloria
721609	1632	Julianne Michelle
721609	50093	Delia
721609	63041	Dot
721609	108350	Fay Jacobs
721609	154168	Girl in Candy Store
721609	169384	Dot
721609	184420	Natalie
721609	218155	Dot
721609	234692	Dot
721609	276709	Dot
721609	316647	Girl Hostage
721609	336556	Dot
721609	346277	Dot
721609	355166	Dot
721609	364290	Dot
721609	386249	Julianne Michelle (2002)
721609	400620	Dot
721610	131747	Crystal Mountain
721611	107833	Sara
721612	11327	Maria 'Massacre' Masterson
721612	156474	Alison
721613	143918	
721613	321660	Irisa Twigg, Age 10-12
721614	61706	Lisa
721615	75804	Tech #4 - Corridor
721616	108355	Hooker
721617	366754	Dahlia
721618	142633	
721619	366373	Mrs. Curry
721620	241524	Analy
721621	201608	Herself
721621	367951	Herself
721622	87175	Courtney
721624	12610	Veronica
721624	64081	
721625	60312	
721626	146783	Phyllis
721627	88867	Dream Girl
721627	203600	Nymphet
721628	509	Internet Stripper
721628	866	Herself
721628	37700	Jazz
721628	42733	
721628	42734	
721628	42735	
721628	57665	Herself - Contributor
721628	91752	Student
721628	117636	Marilyn
721628	123030	
721628	146738	Dancer
721628	158138	Model 3
721628	196417	
721628	206439	Carol
721628	213090	Body Double
721628	227024	Miss Honduras
721628	278830	Blonde
721628	336163	Debbie Wilson
721628	345650	Body Double
721629	132442	Jasmine
721630	399018	Contestant (2004)
721631	182987	
721632	10415	Bird
721632	34708	Yvette Carte-Blanche
721632	67481	Peggy Lynch
721632	133995	Nico's girlfriend
721632	190721	Glenys
721632	205268	Woman at Auction
721632	310682	Second Maid
721632	321351	
721632	355075	Betty
721632	378629	Yvette Carte-Blanche
721632	382794	Herself
721632	400758	Herself
721633	100373	
721633	125986	Bishop's 2nd Lady
721633	269305	Girl on Ship
721634	241498	Pilar
721635	165123	Lady Singer
721635	211707	Herself/Escape singer
721636	148108	
721637	69264	Clarinet
721638	343588	
721639	117556	Norah's girlfriend
721639	343881	Receptionist
721640	337029	
721641	6674	
721641	13056	Cassandra
721641	18188	
721641	19174	Lucia
721641	217559	Valeria
721641	404750	La zingara
721642	213761	
721643	205542	Child
721644	12006	911 Operator
721644	125029	
721644	318081	Julia
721645	176926	Lady Tease
721646	40816	Altes Weib
721647	319803	L'infirmière
721648	249208	Traffic warden
721649	124313	La femme de la guinguette
721650	359387	
721651	10727	Vibrant Poetry Lover
721652	65729	Judith Toumignon
721652	148631	
721652	206718	Irma
721652	283034	Gaby
721652	301528	
721653	57929	Jazz Class Dancer
721653	69897	Clubgoer
721654	43714	
721655	78494	Herself - Member of jury
721655	322296	Herself
721656	80530	Zia
721656	98138	Edie
721656	102674	Irene
721656	185370	
721656	210758	Lucy Michaels
721656	252905	Faith
721656	263461	Anne
721656	367964	Carrie
721657	11822	Charlotte Kestner/Dora
721657	18538	Katja Weller
721657	34996	
721657	35306	Betty Theissen
721657	46623	Mieke
721657	65155	Clara
721657	79182	Rita
721657	101960	Leah Sanders
721657	107920	Jessica
721657	124899	
721657	125005	Peggy Bachmann
721657	134129	Eva
721657	147596	Michelle
721657	164598	Elvira Bohm
721657	166758	Morgaine Schneider
721657	169589	Anna
721657	188822	Jutta Lingner
721657	205513	Anni
721657	223288	Ines Herrlich
721657	225283	
721657	225657	Michele/Theresa
721657	227535	Frau Stein
721657	231463	Andrea
721657	251059	Marlott
721657	290019	Lilian Horn
721657	290770	Barbara Lahn
721657	320119	Stark
721657	322512	Lena Gabriel
721657	325505	Jennifer
721657	325752	Maria Wagner
721657	334610	Maya
721657	334631	Sieglinde Hofmann
721657	334634	Corinna Pohl
721657	334638	Nadja
721657	341769	Carola Hiller
721657	343657	Sonja
721657	365613	Lisa
721657	376385	Paula Wolff
721658	95906	Winnies mor
721659	142504	
721660	234826	Pige/Girl
721661	212334	Herself
721661	393927	Herself - Host
721661	399791	Herself - Host
721662	43037	
721662	109303	Girlfriend
721662	117742	Sara
721662	198064	Amalie
721662	213296	Sofie
721662	234826	Pige/Girl
721662	255670	Sofie
721662	291652	Iben
721662	333221	Lise
721662	391722	Sarah som ung
721662	403138	Gry
721663	137097	Cosmo customer
721664	84693	
721665	2063	Lærerinnen
721665	7704	
721665	34402	Poncia
721665	72553	Bestyrerinnen
721665	99514	Frk. Holm
721665	100357	Fru Christensen
721665	110715	Pensjonatvertinne
721665	120022	Embrets kone
721665	174719	Musa
721665	177092	Mari Li
721665	180711	Sønstegård
721665	190818	Rottejomfruen
721665	198057	
721665	198284	Maren Dokter
721665	229281	Hans mor
721665	271687	Marnanna
721665	282078	Madam Helset
721665	315184	Fru Madsen
721665	315185	Fru Madsen
721665	315187	Fru Madsen
721665	315407	
721665	316811	Johanne Åslund
721665	317647	Fru Nord
721665	333009	Ane's Grandma
721665	345990	Moren til Astrid
721665	348962	
721665	405575	Madam Torvestad
721666	38827	Fru Vormsen
721666	51291	Frida
721666	80101	
721666	108922	Karin Berg
721666	117583	Fru Harboe-Hansen
721666	120846	Moderen
721666	121028	Gammeljomfruernes moder
721666	130189	Kitty
721666	134950	
721666	142504	Helenes mor Fru Tekla
721666	151823	Naboens kone
721666	153382	Henriette Juhl
721666	169973	
721666	178750	Gerda Haller
721666	179790	Emmy Flindt Berg
721666	182851	
721666	202972	Olga Ishøj
721666	214330	Tante Jessie
721666	214547	Irene Dalby
721666	219700	Abelone Madsen
721666	228121	
721666	239454	Fru Birk
721666	244670	Emmy Knudsen
721666	255663	Marie Louise Holm
721666	268808	Fru Mariboe
721666	274934	
721666	293698	Skuespillerinde
721666	303950	
721666	307759	Margrethe Mogensen
721666	315382	
721666	322475	Købmand Emma Knudsen
721666	323346	Fru Mendel
721666	343374	Frk. Beck
721666	345985	
721666	351275	Sigrid Svaneberg
721666	369392	
721667	18166	Kim
721667	43715	Angela
721667	118128	Kim
721667	128261	Receptionist
721667	155684	Nana
721667	310948	Alice
721667	328058	Katrine
721667	370801	Herself/Nana
721668	299443	Herself
721669	49763	Waitress at The Art Bar
721669	183944	Woman Reporter
721669	229861	Candy
721669	265761	Carol Parker
721669	319175	Alfie's 1st Wife
721669	366572	Photographer
721669	388237	Kelly (1988-1989)
721670	169518	
721670	236011	The dominatrix
721670	275493	Herself
721671	224192	Pet Store Girl
721672	210157	Air Hostess
721673	16007	Hamburger Woman
721673	27149	Jewish woman
721673	46731	Bystander
721673	63034	Sophie's Mother
721673	88853	Bit Role
721673	105729	Candy Store Lady
721673	118802	Mrs. Gold
721673	133561	Jewish woman
721673	136816	Mrs. Frenkel
721673	143596	Jewish Woman
721673	152656	Woman in grocery store
721673	154652	Woman in Clinic
721673	154832	Mrs. Finkelstein
721673	170157	Women on bus
721673	183627	Wife on Boat
721673	208896	Mrs. Bernstein
721673	241557	Jewish Woman
721673	247139	Near-sighted woman
721673	277447	Woman in window coming little
721673	318607	Woman on 'Poor Street'
721673	323432	Fisherman's wife
721673	352752	Mrs. Adelson
721673	360479	Headwaiter's Wife
721673	366168	Boy's Mother at Coney Island
721674	92324	Mother
721674	276736	Aunt Millie
721675	81319	Carnival popcorn girl
721676	205829	
721676	265364	Emily
721676	336458	Additional Voices
721677	279884	The Girl (segment Presence)
721677	311284	Voice Talent
721677	335380	Satsuki (Troma version) 
721677	379517	Addy
721678	106985	The Indian woman
721678	107537	Mireille
721679	209211	
721680	232104	Daughter #1, car crash victim
721680	287729	Angela Quinn
721681	232104	Mother, car crash victim (30t
721681	287729	Production Assistant
721682	113705	
721682	281690	
721683	338610	Flora Bervoix
721684	383780	
721685	283188	
721686	44999	Mick Micheyl
721686	54156	
721686	54984	Michi
721686	169635	
721686	210440	
721686	249042	Kiki
721687	8754	
721687	9282	
721687	121991	
721688	12682	'Angelo' Morelli
721688	41660	Mama Blue
721688	59805	Marietta
721688	109739	Paola
721688	162215	Maria
721688	187434	
721688	217759	Sister Bianca Homati
721688	218447	Hortense
721688	246832	Francesca (Rome)
721688	252660	
721688	262813	Alida
721688	280762	Marina Mari
721688	283654	Parque#3
721688	294415	Principessa
721688	344631	Rosa's Mother
721689	61156	Acrobat
721689	231331	
721690	263339	Other Pretty Maids
721691	66349	Last Chance Hotel Clerk
721691	305575	Woman on Plane
721692	102558	Giovanna
721693	192902	
721694	330434	Girl #2
721694	360436	Take Out Gal #2
721695	153874	
721696	2992	Giuliana Casati
721697	338427	
721698	284296	Ballerina
721698	290870	Vero
721699	6071	Joke
721699	104771	Belgian Background Singer (16
721699	352216	Madame Kaka
721699	400287	Vera Muys-Eetvelt (1995)
721699	403042	Jessie Vinck (1998-)
721699	405654	Buurvrouw
721699	411311	Patsy De Cleyn (1993-1994)
721700	167201	Viviane
721702	41256	Yuki
721702	215690	Miss Hawaii USA (Semifinalist
721702	382263	Yuki
721703	215691	Miss Hawaii USA
721703	348994	Ofuku
721704	37696	Mrs. Bigg
721704	155272	Customer
721705	305391	John's Mother
721706	381436	Victoria Martin (2001-)
721707	49508	
721707	361400	
721708	390708	Host
721709	390468	Chroniqueuse
721710	124438	
721710	307288	
721711	133949	Patricia
721711	267177	
721712	100165	Sandra
721713	13450	Marsha
721713	70302	
721713	78844	
721713	89388	Cindy
721713	214439	Sheila
721714	111027	
721715	156329	Jeune Mariée
721715	346661	Nathalie
721716	347039	Annoncen-Bekannte
721717	118018	His Wife
721717	157693	
721717	195446	Elderly Lady
721717	372525	Mrs. Pierce
721718	404662	
721719	262286	Wife
721720	250643	Josi
721721	304123	
721721	380971	Herself (10th Banished, 33 da
721722	20153	
721723	25340	Arlette as a Child
721724	16339	
721724	88731	
721724	202056	
721724	202350	Marija Dekleva, poslasticarka
721724	267118	
721724	272506	(segment "Magija")
721725	35516	
721725	69375	
721725	98986	
721725	115554	Ready Bubble
721725	219151	
721725	264904	(DVD only)
721725	342550	
721726	46367	Girl
721727	320420	
721728	17785	Marla Floyd
721728	276345	Eleanor Clark
721728	333364	Sgt. Martin
721729	380097	
721729	387799	Terezuda
721729	389153	Hermínia Montez
721729	391580	Rosa
721730	200133	
721731	121407	Female Dancer #2
721732	117713	7-Year-Old Girl
721732	365142	Swoon Girl #2
721733	159012	Desk Clerk
721734	32775	Sandra Baines
721734	141532	Dr. Anna Sayles
721734	244833	
721734	306944	
721734	327964	Maggie Carter
721734	368190	Mrs. Banks
721734	383883	Beverly Knox
721734	387533	Liz MacDonald (1981)
721734	407838	Maggie Thorpe (1984)
721734	411393	Mrs Banks
721735	61734	
721735	264047	The Arnolds' Maid
721735	327742	
721736	387516	Nurse Sharon Walter (1972-197
721737	195518	Faith
721738	154447	Crying Hippie's Wife
721739	4544	Apartment Manager
721739	314227	Trips
721739	406300	
721740	402489	Katy
721741	345952	Sylvia Linsky
721742	138161	Child in Schoolyard
721744	6651	Nurse
721745	415	Sekretárka
721745	56086	
721745	104796	
721745	172957	
721745	280369	
721745	313722	
721745	343439	Carmen
721745	349764	
721746	656	Mrs. Robbins
721746	309967	La Suédoise
721746	411902	Jennifer, the Woman from 302
721747	119614	Vertu
721748	156317	La mariée d'une nuit/Caroline
721748	195110	Isabelle
721748	410074	La femme PF 1
721749	68386	The Prostitute
721749	284666	Christèle
721750	97104	
721750	394247	Elsa (2002)
721751	51442	Raymonde Brouillette
721751	164182	Jacqueline
721751	310963	Josianne
721751	355667	Stripper
721751	393352	Aline Fortin
721751	400141	Ginette (prostitute)
721752	104943	Girlfriend
721753	121888	Virginia
721753	380366	Nadia
721753	383448	Claudia Morresi
721753	386692	Laura Respighi
721754	63890	
721755	377143	
721756	284666	La jeune fille Boksic
721758	355357	Strega del Sabba
721759	404608	Finalist (2001)
721760	1500	TV Reporter
721760	9006	Teacher
721760	57064	Television Reporter
721760	210462	Mika Sultan
721760	223633	Reporter #3
721760	223639	Katie
721760	319516	Reporter
721760	408703	Anchor Woman
721760	410967	Host
721761	4815	Mother
721761	219705	Batim
721762	41746	Player (Slammer)
721763	303679	
721764	197433	Eva
721765	355660	German auxilliary
721767	95785	Kim Lessing
721767	97352	Dorothy
721767	117091	Blonde Player's Wife
721767	213869	Sarah
721767	230743	Julie
721767	241748	Carrie Brady
721767	252898	Amber Frey
721767	296847	Lucinda
721767	331370	Theda
721767	333372	Sheila Phillips
721767	385824	Caroline Anna 'Carrie' Brady 
721768	90430	Eve
721769	5721	
721770	8026	Additional Story Teller
721771	23933	Herself/Audience Member
721771	53301	Interviewee
721771	215171	
721771	266693	
721771	369480	Herself
721771	389721	Presenter
721771	399910	Presenter
721771	403548	Herself - Pit Reporter (2003)
721771	405087	Herself - Presenter (2000)
721771	408555	Herself - Presenter (1988-199
721771	410895	Presenter
721772	106254	Jury member
721773	234015	
721774	8366	Sister Paul
721775	396964	Mercy
721776	385020	Sophie Webster (I) (1994-1997
721777	321394	Clayton's mom
721778	139607	News Anchor #1
721779	279347	Newsreader
721780	147767	Red Riding Hood
721781	46787	Brodget
721781	143946	
721781	145834	
721782	240019	Martha
721783	168216	Gail
721783	206630	Train Victim
721784	342856	Ruth Manchester
721785	279347	DS Karen Malahyde
721785	285302	Sarah
721785	385162	Catriona Bilborough (1994-199
721785	386869	Emma Goodliffe
721785	387247	Sadie Banks (2002)
721785	397436	Kimberley Richard
721786	32701	Mrs. Harrison
721786	48059	Mrs. Frobisher
721786	82609	Mrs. Tremlow
721786	183805	
721786	189253	Mrs. Squire
721786	196067	Mrs. Pitt Smith
721786	361474	Mrs. Carter
721786	367510	
721787	358687	Ortlinde
721789	50032	Lydia
721790	323991	Cashier
721791	168553	Mother Shoe
721791	197706	Outside Court Woman
721791	333347	Blonde Woman Juror
721792	112601	Tasha
721792	380455	Young Mary Elizabeth 'M.E.' O
721793	318842	Mrs. B, nurse
721795	230985	Secretary
721795	239713	Lyle's Mom
721796	114941	Undetermined Role
721796	187723	Lady Belmont
721797	92416	Betty, clinic nurse
721798	55644	Capt. Alison L. Graham
721798	138783	Kathy McGluskey
721798	162398	Connie
721798	168453	Miss Stokes
721798	269684	Rose Marples
721798	309823	Stewardess
721798	312560	Flora Gilchrist
721798	331489	Ethelbertha
721798	353363	Laura James
721798	370533	Angela
721798	372120	Kay March
721798	403833	Mary Reason
721799	303490	Chairman's Secretary
721800	390771	Debbie Henderson, R.N. (1989-
721801	43603	Chinese Ghoul#1
721802	11943	Cartwright's Secratary
721803	331234	Fred's Wife
721804	16878	Wedding Guest
721805	303288	Herself
721806	163523	Herself
721807	8086	
721808	107483	Interviewee
721808	368425	Herself
721809	368619	Gertrude Grant
721810	155248	Alison
721810	240942	Herself (interviewed)
721810	288931	Karen
721811	304966	Dancer
721812	63	
721812	5417	
721812	5551	
721812	10915	The maid
721812	11455	Mrs. O'Hallahan
721812	12759	Mrs. Rumson
721812	14213	Mrs. Titus Alden
721812	19022	'Marm' Hudson
721812	21255	
721812	32888	Mother Schield
721812	41345	Mrs. Oakley
721812	41703	Mrs. Lee
721812	44695	
721812	46844	Mrs. William Craig
721812	60209	Mary's Mother
721812	65044	
721812	72245	
721812	78056	Mrs. Cooper
721812	84031	The Abbess
721812	90268	Mrs. Doubleday
721812	112431	Mrs. Wells
721812	114163	Mrs. O'Donnell
721812	116136	Mrs. Mathews
721812	117268	
721812	129905	Mrs. McCarthy
721812	133966	Miss Anastasia Baker
721812	137239	Mrs. Craddock
721812	139779	Granny Moreland
721812	141339	Mitty Whipple
721812	151294	Mrs. Bonner
721812	157038	
721812	158459	Jim's Ma
721812	163726	
721812	167624	Mrs. Grimsby
721812	169842	Susan Jucklin
721812	183329	Mrs. Pryor
721812	195074	Mrs. Wright
721812	199278	Mrs. Howard
721812	202932	
721812	203053	'Mother' Martin
721812	206463	Granny
721812	228575	Mary Ellen Toolen
721812	250806	Mrs. Vincent
721812	257187	Nora O'Grogan
721812	260235	Mrs. Mansford
721812	283701	Mrs. Dawson
721812	293186	Mrs. Lawrence
721812	299914	Mrs. Simms
721812	307952	Ma Blossom
721812	308166	Madame Benet
721812	314456	Mrs. Gilman
721812	331686	Ma Dickenson
721812	354229	
721812	358251	Mrs. Rayburn
721812	359793	Mrs. Hastings
721812	362916	Aunt Susie Coleridge
721812	367396	Buck's Mother
721812	372720	Sarah Judd
721813	49951	Widow Wilkins
721813	106642	Sal
721813	133661	Princess Terniloff
721813	210646	
721813	246703	Jury Member
721813	249524	Temperance Allen
721813	285182	Mrs. Angus McPhail
721813	331563	Mrs. Slaviin
721814	387533	Victoria Sugden (1998-)
721815	5010	Shop Assistant
721815	382266	Reporter
721816	316863	Karaoke Singer
721817	1216	Herself
721817	1465	Herself
721817	1479	Herself
721817	1821	Herself - Presenter
721817	1841	Herself
721817	2719	Herself
721817	2785	Herself - Presenter: Best Son
721817	2817	Presenter - Best Original Sco
721817	2940	Herself
721817	7591	Herself
721817	13917	Herself
721817	31715	Cecilia 'CC' Carol Bloom
721817	35193	Herself
721817	35194	Herself
721817	35195	Herself
721817	35196	Herself
721817	36871	Sadie Ratliff/Sadie Shelton
721817	50061	Herself
721817	58022	Herself
721817	73868	Herself
721817	88078	Herself/The Divine Miss M
721817	92112	Barbara Whiteman
721817	94018	Mona Dearly
721817	96739	Mother Nature
721817	108683	Hostess (segment "Piano Conce
721817	114298	Brenda Cushman
721817	117162	Dixie Leonard
721817	126502	Herself
721817	126555	Doris
721817	130707	Herself
721817	136510	Mama Rose
721817	140442	Passenger
721817	147214	Winifred Sanderson
721817	147828	Herself
721817	158387	
721817	161205	Herself
721817	161357	Herself
721817	162986	Jacqueline Susann
721817	164587	Herself
721817	167925	Bonita Friml
721817	195081	
721817	200092	Herself
721817	209379	
721817	221408	Herself (Host)
721817	229534	Herself
721817	240001	Georgette
721817	243950	Herself
721817	245468	Sandy Brozinsky
721817	262527	
721817	281901	Mary Rose Foster
721817	283944	Barbara Stone
721817	289749	Deborah Fifer
721817	314351	Stella Claire
721817	314445	Bobbie Markowitz
721817	329484	Lilly Leonard
721817	331044	Virgin Mary
721817	358825	Herself
721817	360377	Herself
721817	362453	Dr. J.M. Perkins
721817	369356	Herself
721817	381775	Bette
721817	387309	Unknown (late 1960s)
721817	403878	Herself
721817	408495	
721817	409895	Woody The Spoon
721818	281821	
721819	180381	
721820	93296	Herself (stripper)
721821	786	
721821	6724	Herself
721821	7739	
721821	7741	
721821	7742	
721821	7743	
721821	7744	
721821	7746	
721821	7747	
721821	7751	
721821	7752	
721821	11475	
721821	16419	Bess (lab technician)
721821	34876	
721821	39260	
721821	39357	
721821	39581	
721821	40428	
721821	40430	
721821	41338	
721821	42304	Chiyoko Kuni
721821	68232	Bather
721821	126109	Herself
721821	138392	Sally
721821	149250	
721821	159931	
721821	175530	Herself
721821	223686	Herself
721821	280049	Herself
721821	319330	
721821	319346	
721821	359338	Asian girl
721822	9557	Fuyuko Enjo
721822	17429	Ruriko Kuroiwa
721822	43054	Sachiko/Ichiro's mother/Prost
721822	76826	Yoshiko, Ohta
721822	91187	Nanae Satake
721822	121446	Hanako
721822	132385	Yumi
721822	136395	Midori Sanada
721822	145514	Shizue Kawamoto
721822	162312	Kazuko Uehara
721822	171529	Fusa
721822	173124	Noriko Takagi
721822	173126	Asami
721822	174872	Tamae
721822	176604	Seiko
721822	181886	Oshino
721822	182056	Aki
721822	182065	Kimishima, teacher
721822	182129	Tsutae
721822	202827	Saori Ichijo
721822	204837	Eriko Akakura
721822	211892	Tsuyako Shudo
721822	213660	Eriko Kanakura
721822	225613	Aki
721822	227430	Hanako
721822	229782	Murasaki
721822	232517	Natsuko Namiki
721822	232579	Helen Amatsu/Momoe/Junko
721822	233104	Fukuko, Gisuke's sister
721822	233106	Mako Kurenai
721822	233108	Mimiko
721822	233139	Aya Komakura
721822	234905	Misao Tsukuda
721822	244498	Chiko
721822	278376	Kyoko Tsuyuguchi
721822	293603	Teruyo
721822	299128	Chiyo
721822	344909	Shikako Onuma
721822	348981	Oryo
721822	358138	Teacher of Koto (Japanese har
721822	370310	Kimiko Wakazuki
721822	370696	Yume
721822	375635	Okoto
721823	316624	Elena
721826	148838	
721827	145127	Kyoko
721827	370684	
721829	212524	River Valley Girl
721830	212524	Crystal
721831	396766	Programleder (2001 - )
721832	344111	Herself - Socialrådgiver, Reh
721833	80833	Calusa tribe
721834	80833	Calusa tribe
721834	96822	Nantai
721834	297182	Dancer
721835	392524	Judge (2003)
721836	28794	
721837	359680	Mary (3 year)
721838	51855	Lady in Waiting
721838	193622	London Town Dozen & One Girl
721838	359486	
721839	189059	Tamir
721840	11945	Waitress at Cafe
721841	23361	
721841	118635	
721841	156234	Woman in Dance Hall
721841	258106	
721841	299052	
721841	301132	
721842	234903	Pinball Parlor woman
721843	336002	
721844	212334	Herself - Participant/Perform
721845	130167	Civilian
721846	99046	
721847	95000	Alice
721847	142286	Nana
721847	399892	Rikke
721848	78486	Herself - Host
721848	283482	Herself - TV-Host
721848	314992	Herself
721848	378745	Herself - Host
721848	378758	Herself - Host (2003-2004)
721848	383262	Herself - Host
721848	385607	Herself - Host (1991-1992, 19
721848	390724	Herself - Host
721848	391057	Herself - Host
721848	391382	Herself - Host (1998-1999)
721848	392578	Herself - Host
721848	399854	Herself - Reporter (2004-)
721848	400734	Herself - Host
721848	401548	Herself - Host
721848	404866	Herself - Host (1999)
721848	409186	Herself - Host (2000-2001)
721848	410369	Herself - Co-host
721849	42889	Herself - Host
721849	273889	Journalist
721849	381758	Herself - Host (1999-)
721849	387450	Herself - Host (1988-?)
721849	406475	Herself - Host
721850	50328	Mother
721850	83090	Kate
721850	116306	Lise
721850	183311	Medlem i terapigruppe
721850	255666	Narrator
721850	303747	TV Reporter
721850	356855	Annemarie
721850	383045	Mother
721851	108955	
721851	399892	Lille pige
721852	26156	Loewenhielm's Wife
721852	198064	Anita
721852	198282	Sygeplejerske
721852	315377	Gravid
721852	322299	Lise Bamberg
721852	351046	Agnes
721852	398855	
721852	403379	Night Nurse
721853	281572	
721853	298900	Go
721853	298901	Zen
721854	141988	
721856	324501	Mathilde
721857	101163	La petite Aline
721858	108543	Henriette
721858	270037	Lygia
721859	218152	Producer #1
721860	399315	Weekend anchor (2002-)
721861	321566	Mrs. Crenshaw
721862	252327	
721863	95952	
721863	181367	
721863	260733	Krystynka
721863	286456	
721863	377723	Kati
721864	75788	Erica
721864	93768	Mona Rankin
721864	203223	Lily
721864	256896	Esther
721864	259596	Dominique
721865	64752	
721866	259487	Juliane
721867	176892	
721868	396880	Marimar (niña)
721868	398229	Andrea
721868	400490	La Hija de Mireya
721868	405415	Mariana Campos Ortiz (child)
721869	240473	Little Girl #1
721870	352287	Homeless Woman
721871	317499	Pauline Grosche
721871	353379	Sarah Nadolny
721872	57381	Locker room student
721872	229865	Young Lover
721873	17413	
721873	51928	
721873	76182	Lise's søster
721873	76185	Lise's søster
721873	76187	Lise's søster
721873	119326	Herself - Performer
721873	155684	Josephine
721873	291686	Ulla
721873	302125	
721873	304124	Jessica
721873	315383	
721873	332462	Tina
721873	370801	Herself/Josephine
721873	387293	Eva Lund
721873	387532	Various roles
721873	391720	Vivi
721873	401673	Herself/Various roles (2003-2
721874	48863	
721874	89976	
721874	96501	
721874	205387	
721874	222466	
721874	261921	
721874	262583	
721874	291040	
721874	341509	
721875	352126	
721876	271577	Agata
721876	289810	Panna Nina
721877	41400	Susan
721878	126340	Herself
721880	79585	Maria Hofer
721881	220891	Little Sister
721882	310243	
721883	131754	
721884	90744	
721884	169581	
721884	256450	Rosaria
721884	325486	
721884	393046	Caterina
721885	144708	Valtuuston jäsen
721885	181753	Lauri's Mother
721886	174779	
721887	285801	
721888	171801	
721889	10955	Naapurin rouva
721889	169303	Urho's mother
721889	206063	Maria Takala
721890	171009	
721890	254952	Nina Kaunola
721891	376509	
721892	337005	
721893	113362	Mother in Plaza
721894	292489	Ian's Eldest Daughter
721895	64153	
721896	101564	Page
721896	168357	
721897	167986	
721897	225622	
721898	350412	Thomas
721899	182226	
721900	214534	
721901	401504	
721902	2872	Herself
721902	34378	Lola
721902	55196	Carmen
721902	180787	Judy Garland
721902	199079	Jenny Diver
721902	199366	
721902	220556	Performer, Soprano
721902	226280	Ciboletta
721902	243552	Herself - Opera Singer
721902	279389	Performer (Vocals: 'The ARC S
721902	339810	Julia
721902	347140	La chanteuse
721902	356409	Une femme
721902	390558	(segment "Puccini")
721902	408425	Marion (1987)
721903	321559	Derby Dancer
721904	399175	Michaela
721905	287489	Morena
721906	319578	Super Model Naomi Crawford
721907	9516	
721908	130525	
721908	271678	
721909	9190	Friend of Michiko
721909	375558	Friend of Michiko
721910	162051	
721910	380357	Anna
721910	399657	
721911	10051	Olga
721912	27943	
721912	48933	Dona Bernarda
721912	57454	
721912	74906	
721912	76037	
721912	135269	Laura
721912	210944	
721912	216360	
721912	229701	
721912	246375	
721912	258229	
721912	282268	
721912	302303	
721912	381633	Judicéa Cajazeira
721912	381634	Judicéa Cajazeira
721912	389587	Maria
721912	389786	Conceição
721912	396938	Genoveva
721912	399498	Nena
721912	402626	Carolina
721912	404801	
721912	407281	Emília (1977)
721912	408509	
721913	219572	Studente
721914	380196	Gisela
721914	392747	
721915	75612	Inmate
721916	19068	Zia Matilde
721917	69194	Mrs. Vecchio
721917	133689	
721918	19792	
721918	23588	Matilde
721918	30243	
721918	43977	
721918	57314	
721918	69141	
721918	76269	Amelia Baratti
721918	82709	Edith, woman in tent (Horror 
721918	82710	Pam, girl with camera (TV Sho
721918	112720	Carla Donelli
721918	204431	Angelina
721918	215901	
721918	219326	
721918	222856	Anna
721918	229986	Patrizia
721918	234727	Elisabetta
721918	235756	Sara
721918	269924	Maria
721918	293322	Ann
721918	316853	
721918	347468	Costanza
721918	348691	
721918	353056	Enrichetta Simony
721918	355617	Maciste's daughter-in-law
721918	377954	Lucie
721918	388691	Mary
721918	389484	Helene
721918	399651	Elisabetta
721918	406347	Elena Serravalle
721919	298609	Billy's Mom
721920	28276	Ana
721921	68652	
721922	396942	
721923	124602	
721924	86069	Una compagna di collegio
721924	102618	
721924	113703	
721924	129018	
721924	158852	
721924	252579	
721924	252765	La cameriera di Marisa
721924	256541	
721924	301384	
721924	344594	Betty
721925	56971	Perelli
721926	32280	Angélique
721926	55838	
721927	400	Nurse Trish
721927	26397	Nora
721927	107069	Brooke Aames
721927	168290	Joey's Mom
721927	266588	Sarah Tusk
721927	363550	Michaelina
721928	6401	
721928	37899	Maîtresse Raoul
721928	61876	La mère de Géraldine
721928	64228	Ninon de Lanclos
721928	74339	Viviane Quellec
721928	83178	Julie
721928	94700	
721928	101233	Mme. de Musset
721928	133093	Mother with child
721928	155683	Mme Sévigné
721928	166127	La voisine
721928	193446	
721928	239219	La mère d'Alexandra
721928	260947	Lucie
721928	341916	Pascale
721928	345551	Lucienne Robin
721928	354151	
721928	356448	Mme Blondin
721928	356496	Clotilde
721928	360842	Antoinette
721928	377012	Lucie Moreau
721928	378017	Janine, une coiffeuse
721928	382466	Chantal
721928	400051	La réceptionniste
721929	102945	Victime de la piquerie
721930	407389	Sawa (old)
721931	236806	
721931	243657	Maria
721931	313174	
721932	68351	Béatrice
721933	325995	Dominatrix
721934	348221	Waitress
721935	26959	Sheila
721935	100198	Nurse Bonnie
721935	108333	Edith
721935	117188	Darlene Mettler
721935	150854	Yardsale Woman
721935	155824	Laura Miller
721935	259408	
721935	383407	Cast Member/Singer 1981-?
721936	72055	
721937	85988	Chiara
721938	189236	New Waitress
721939	341353	
721939	385123	Angélique
721939	385348	Andrée Ducharme
721939	388316	Rita Toulouse
721939	401322	Rita Toulouse
721939	403897	Juliette
721939	407214	Marie-Ange
721940	75664	Detective Lucy Carter
721940	409400	
721941	395342	Fiona
721941	405372	Mara
721942	302053	Chica del tren
721943	233932	Parejas Retiro
721944	34538	Child at concert
721945	360221	Diana
721947	19839	Claire (segment "Visiteuse, L
721947	20828	Jeannine
721947	23867	Mme Bassat
721947	137737	Béatrice
721947	204913	
721947	217634	Mme de Fustange
721947	217653	Actrice n° 2
721947	251544	La soeur
721947	284222	Madame Pancet
721947	294374	
721947	328433	Bertille
721947	376910	Regine Lefort
721948	396649	
721949	391754	Dancer
721950	173259	High School Girl 2
721951	286069	Alicia
721953	69897	Clubgoer
721954	69781	
721955	47080	Dolores de Escomiglia
721955	238757	
721955	243381	Chiromante
721955	256772	Jenny
721955	257317	Fitia
721955	345998	Doctor
721955	379043	Lucia
721955	380084	Socorro
721955	383568	María Estrada
721955	384770	
721955	385368	Yulma
721955	387623	Carmen
721955	387682	
721955	388937	
721955	395300	Chole
721955	397016	Chona
721955	398801	Amaranta
721955	401898	Ramona
721955	411248	Nalin Vincent
721955	411694	Trifenia
721956	385947	
721957	284213	
721958	104753	Portuguese entry (17th place)
721958	104757	Portuguese entry (13th place)
721959	237389	
721960	58243	Stefa Dederko
721960	179342	
721960	180251	
721960	234268	
721960	237869	Bystander
721960	244099	Janitor
721961	169258	Herself
721962	358461	
721963	326900	
721964	96158	
721964	256996	
721964	332623	Bella
721965	394037	Rena
721965	396098	Lilly
721965	397889	Tasia
721965	406756	
721966	29696	
721966	373562	
721967	54248	Infirmière anglaise
721968	198661	
721968	286272	
721968	352460	Veronica
721968	352466	Veronica
721969	75083	
721970	217278	
721970	322816	
721971	384288	Nancy
721972	21662	
721972	30092	
721972	55807	
721973	19040	
721974	380150	
721975	356094	
721976	238169	Kid
721976	350252	
721977	3501	Herself
721977	38972	Bridge player
721977	256603	New Duenna
721978	87715	
721978	131150	
721978	156433	Lujza
721978	201356	
721978	202350	Seljanka na traktoru
721978	227175	
721978	303822	Nevesta I
721978	320696	Petrija
721978	406567	Zivana 'Zica' Ljutic, Nesina 
721979	86734	
721980	95925	Maga
721980	174972	Vera
721980	221340	Narkomanka
721980	246898	Irena (segment "Maco trip")
721980	302189	Agnica
721980	348701	Vera
721980	376226	
721980	397529	
721981	43038	Ljilja, medicinska sestra
721981	58299	Maja ... ucenica
721981	186541	
721981	262763	
721981	317870	
721982	137287	
721982	354325	Mica, kerka na Tase
721983	311448	Doreen
721984	389459	Aspa
721985	6291	
721986	334557	
721987	82636	Patricia
721987	107536	Perrine Janvier
721987	171325	Aude
721987	268820	Pauline
721987	388315	Ludivine Guérin
721988	91547	
721989	141329	Nurse Needle
721990	6501	
721991	11537	Woman at Wedding
721992	95656	
721993	258161	
721993	261401	
721993	343854	
721994	387956	Herself
721995	74277	Theodora
721996	394713	
721997	370302	
721998	68982	
721998	106305	
721998	380113	
721999	51307	
721999	111988	
721999	162803	
721999	213370	
721999	225397	
721999	385070	Victoria
721999	400342	Herself
721999	410453	Alejandra (1999)
722000	8613	
722000	9175	Honmoku lady
722000	61220	Tomeko Minegishi
722000	144965	Miki
722000	182341	Eiko
722000	232581	Setsu Kimura
722000	285410	Ryoko
722000	320463	
722001	348994	Obana, koshimoto
722002	298347	Additional Voices
722003	16535	Yuko Mizuno
722004	30988	Izumi Kanai - Girls #5
722005	172263	
722006	2680	Betty Momozono
722006	4569	Yoshi Fukamachi
722006	4574	Akemi
722006	4575	Akemi
722006	4576	Michiko
722006	17425	Mayumi
722006	17429	Yoko
722006	23409	
722006	76860	Mayumi
722006	137366	
722006	146898	
722006	148844	
722006	162225	Yaeko
722006	168103	
722006	168104	
722006	168105	Kyoko
722006	168106	Tamami Sakura
722006	169214	Red-Haired Bully
722006	171529	Hiroko
722006	175078	Osen
722006	175592	
722006	176574	
722006	179388	Rumi
722006	182072	Maya
722006	182190	Omatsu
722006	182410	
722006	217086	Chiyoko Otsuka/Akiko Futami (
722006	227661	Myoran
722006	233132	Stewardess
722006	233226	Toyo Oshima
722006	237150	Rumi
722006	237151	Yuri Mayama
722006	242125	
722006	242168	
722006	242313	Tomimaru
722006	287109	Omaki
722006	296337	Mayumi
722006	299313	Tomi
722006	334883	Oden no kata
722006	334912	
722006	371052	Emi Kozuki
722006	374614	Madame
722007	4012	Hanada's daughter
722008	97562	Grimyorkata
722009	247917	Venera
722010	62828	
722011	288358	
722012	95754	Maykata
722013	9353	Dancer
722014	180793	
722015	228848	Ranka
722016	226017	
722017	50818	
722018	44343	Yoga vjezbacica #5
722019	122272	Monika
722020	168057	Alan's mother
722021	168057	Fatim, yogurt lady
722022	168057	Shirin
722023	181945	Cora & Niki
722023	209846	Snezana
722023	227511	Jelena
722023	239451	
722023	312426	Starija cerka
722023	328151	Devojka sa sesirom
722023	350680	Vladica Cvetkovic
722023	390388	Kristina Kiki Jaksic, Petrova
722023	394873	
722023	403668	Miss Moon
722023	404305	Djana Radjenovic ... cerka
722023	406314	
722023	406315	Katarina Keti Babovic
722023	406316	Katarina Keti Babovic
722024	77272	
722025	410523	Herself (2001)
722026	28990	
722026	175718	Helena
722026	233080	
722026	294673	Libahunt
722026	319967	Margareth Sittow/Isabel Katol
722026	350583	
722027	389823	Paula
722028	172849	
722028	270423	Lisa
722028	387034	Henriette
722029	64637	Sara
722030	129809	
722030	129868	Office Lady
722030	155943	Isaribi
722030	167481	Yuki Chan
722030	173363	Hypnotized Patient
722030	173872	
722030	177239	Yaeko Sonoda
722030	178246	Aiko Iida (Hirosuke's elder s
722030	178247	Aiko Iida
722030	178248	Aiko Iida
722030	178249	Aiko Kitamura (Sota's wife)
722030	178250	Aiko Kitamura
722030	193230	Emiko Oikawa
722030	236173	Kanako
722030	238984	Kurara
722030	243329	Tokiko Ota
722030	244527	Akemi (Umetaro's daughter)
722030	244528	
722030	244544	Akemi
722030	244549	Akemi
722030	244552	Akemi
722030	244561	Akemi
722030	256323	Noriko, Sister
722030	256324	Sister
722030	256325	Sister
722030	285675	Miyoko
722030	293484	Mari
722030	309160	Sagawa's daughter
722030	347489	
722030	360888	Hairdresser
722030	407350	Kaoru
722031	35491	
722031	249151	
722031	259133	
722031	260035	Neighbourhood Woman
722031	267667	Julija
722031	270637	
722031	283751	Valerija
722031	286642	
722031	328505	Chica histérica
722031	343852	
722031	375741	
722031	399928	Elvira Kovac
722032	340352	
722033	95987	
722033	180614	
722033	180773	Rosa
722033	182470	Daughter
722033	211866	Sister Alena
722033	261875	Radka
722033	268293	
722033	295066	Marie
722033	305814	
722034	28281	Priest's wife
722034	54199	
722034	57597	
722034	57615	
722034	80114	Mita Baston
722034	86823	
722034	97186	
722034	120856	
722034	265463	One of the prophet's wives
722034	291471	Zoe Trahanache
722035	153009	Danielle Wexford
722035	197708	
722036	140061	
722037	182793	
722038	155505	Haruko Kawai
722039	139335	Mariko Ishida
722040	228405	Mira's mother
722041	314394	
722042	278964	Penelope
722043	211876	Sirvienta de los White
722044	121322	
722045	379461	Renata
722045	379905	Janet Chamorro Beltrán
722045	380059	Andrea
722045	381650	Lili
722045	398490	María Rosa Duarte
722045	399708	Marisol Gómez
722045	407851	
722046	42656	
722046	55092	Chabelita
722046	56333	
722046	62349	
722046	69023	Alicia
722046	74562	
722046	103510	
722046	148021	Marta
722046	157089	Eva
722046	202217	
722046	212388	
722046	215229	Alicia
722046	236756	
722046	269918	
722046	270756	
722046	300737	
722046	339109	
722046	339204	
722046	351651	
722046	355917	
722046	355930	
722046	376770	
722046	378375	Laura
722047	101713	La Abuela
722047	260433	
722047	383467	
722047	398474	Teresa Bustillos
722047	400067	(1993-1994)
722047	403290	Romelia Hernández
722047	405809	
722048	28983	
722048	302894	
722049	164848	Ljubica
722049	179101	
722049	181474	Jelena
722049	232597	Milica
722049	272606	Ivana
722049	281323	Medicinska sestra
722049	339325	Nadica
722049	382430	Sanja Marinkovic
722049	382431	Sanja Marinkovic
722049	394253	Silvija, Anina drugarica
722049	394254	Silvija, Anina drugarica
722049	406316	Djurdjina Djina Golubovic #1
722049	406567	Gusterova ljubavnica
722050	286739	Sila
722051	35027	
722052	38920	
722052	202270	
722052	219751	Jelena
722053	352784	
722054	163052	Konobarica
722055	351915	
722056	13882	Phyllis
722056	50004	Brunette
722056	128727	School Girl
722056	283073	
722056	321701	Satoko
722056	391469	Suzi (1999)
722057	153859	
722057	375965	Police girl
722057	375966	Police girl #2
722058	213573	Kimiyo Tokunaga (Red Rose)
722059	166116	
722060	8256	Dolores
722060	47921	Elizabeth Piercy
722060	67693	Anne Bardot
722060	70932	Narrator
722060	73949	
722060	94810	
722060	115041	Herself
722060	122217	Lorelei
722060	192937	
722060	199413	Rosetta
722060	233816	Isabel
722060	281648	
722060	307734	
722060	326938	Girl in couch...
722060	338713	Maria
722060	353559	
722060	375871	
722060	382240	
722060	395819	Young Regina Van Praagh
722061	309637	
722062	153239	
722063	287579	
722064	372035	Osode
722065	199050	
722066	313888	
722067	165422	Young Rosa
722067	195305	Sing and Jingle Children
722067	222947	Julie Phillips
722067	264427	Sara
722067	277446	Kim
722067	282923	Alexandria Faro
722069	152210	
722070	232921	
722071	176226	
722072	139150	Tina
722072	162633	Kazuko Torii
722073	97635	
722073	176606	
722073	334882	
722074	123932	Additional Voices
722074	304684	Additional Voices
722074	381025	Additional Voices
722075	182710	
722075	298967	Sanae Aikawa
722076	188034	
722076	382047	Suzanne
722077	1135	Louise Abel
722077	19468	Mariana
722077	19837	Miss Elliot
722077	20916	Alice
722077	24853	
722077	28554	Edith
722077	30533	Natacha
722077	44220	Anne
722077	45117	Dorimène
722077	66726	Françoise
722077	71813	Anne-Christine Kerr
722077	76041	Célimène
722077	83362	Françoise
722077	88333	Béatrice Vergnes
722077	91432	Sylvie Drapier
722077	97070	Eva
722077	97071	Jacqueline
722077	100019	Karine Selby
722077	111097	La femme
722077	135334	Examining magistrate
722077	140296	Edith
722077	153790	Héloïse
722077	160273	
722077	160821	Dominique
722077	161782	Mélanie Boyelles
722077	162511	Irène
722077	170416	Julie Charles
722077	171595	Marie
722077	189903	Hélène
722077	198104	Mme de Mortsauf
722077	208217	Barbara
722077	228155	Catherine Valence
722077	249383	Ysé
722077	254024	Mme Roussel
722077	261830	La très belle femme
722077	282498	Yelena
722077	284271	Esther
722077	286296	Dominique
722077	288897	Claire Legrand
722077	294758	Solange
722077	324461	Isabelle
722077	332187	Herself
722077	336996	Catherine
722077	339541	Ida/Edith
722077	345146	Pénélope
722077	345261	Eléonore Castan
722077	345276	Narrator/Récitante
722077	349626	Marie
722077	351811	Capitaine Barinkova
722077	353453	Mme Pui Laurens
722077	354661	Marie
722077	376888	Agnès Marchand, Olivia's moth
722077	386222	
722077	390491	Ninetto-Camilla
722077	393394	Magdeleine
722077	398075	Pauline de Beaumont
722077	399756	Pénélope
722077	400407	Jenny (segment "Jenny")
722077	409454	Amanda
722078	65184	Clarence's mother
722078	177319	
722079	185485	
722080	60323	Head Church Lady
722081	163565	Viola Johnson
722081	269591	Ben's Mother
722081	279488	Additional Voices
722082	95934	
722082	180367	
722082	212294	Olesya
722082	229541	
722082	299432	
722082	320715	
722082	341025	Katya
722082	349336	(segment "Volki")
722083	230455	
722084	7347	Herself
722085	41279	Waitress
722086	77850	Linda
722087	368737	
722088	170671	Frau von Hufnagel
722089	182870	
722090	189809	Herself
722090	254379	Herself
722091	145415	Monster Head
722092	130730	Additional Voices
722092	257397	Additional Voices
722092	380473	Reiko's Mother, Additional Vo
722092	405144	Additional Voices
722093	43237	TV Producer
722093	156547	Mujeruca
722094	346016	Inmate
722095	307712	Christmas Caroler
722096	411047	Herself (Oswald's doctor, Bot
722097	97438	Child
722098	352813	Concert Performer
722099	370188	Kirish
722100	429	
722100	125658	
722101	35055	
722101	35861	
722101	95820	
722101	98637	
722101	131148	Tanya
722101	234441	
722101	237964	a girl at a ship
722101	255900	Tamara
722101	259039	Tanya Sokolova
722101	265237	
722101	280378	
722101	283829	Zoya
722101	294641	
722101	344052	
722101	349846	Valentina
722101	357339	
722101	376229	
722101	394785	de Mui's mistress (18-series 
722101	399114	
722101	402494	
722102	230046	
722103	300492	
722104	258129	
722105	356420	
722106	298273	Olga
722107	46065	Herself
722107	89792	
722108	265991	
722108	323322	
722109	229003	
722110	258668	
722110	386065	
722111	396239	Katya
722112	17546	Priyatelnitsa Anny
722113	356593	Elli
722114	339244	
722115	215597	
722116	429	
722116	17617	Herself
722116	229192	
722116	277212	Mariya Antonovna Skvoznik-Dmu
722116	300810	Douniacha
722116	320711	
722117	17617	Herself
722117	263403	Masha and Her Twin
722117	300810	
722117	349051	Nadya
722118	123509	
722118	373302	
722119	217274	
722120	374087	Lilka
722120	398757	
722121	229175	
722122	237832	
722123	10262	Herself
722124	404245	
722125	167942	
722125	301673	Rashiki Yosano
722125	384144	Commander Ayachocan 'Aya' Oda
722126	19769	Baby
722127	396491	Sachiko Shinohara
722128	334915	Ayaki Nishimura
722129	285929	
722130	170215	Herself
722131	398119	Host (2002-)
722132	12919	Ikuko
722132	229779	
722132	374109	Oshizu
722133	186120	
722134	82444	
722134	91767	Terry Chupak
722134	245036	Reporter #2
722135	302710	Dancer
722136	102930	Angelica
722136	133339	Krissi Graves
722136	136270	Jenni
722136	345858	Back-Up Singer
722136	359848	Enderby One
722136	393434	Correspondent/Segment Host & 
722137	363685	Nadia
722138	16208	
722139	225804	Herself (Juggler)
722140	28699	
722140	153643	Mari
722141	311834	Marysia
722142	50328	
722142	383045	
722143	373985	
722144	138930	
722145	241215	Herself - Psychologist
722146	1206	Herself
722147	225683	Lulu
722148	399853	Herself - Host (2003)
722207	27232	
722148	410174	Herself - Reporter (2003)
722149	40754	Kvinden
722149	322293	Bartender
722149	363414	Runway Model
722150	75721	Marsha
722151	395257	Jenna
722152	380069	Heli Holsti
722153	326641	Julia Leijanen
722154	407197	Julia
722155	3280	Herself
722156	392532	Herself - the jury member
722157	99640	Sorjosen morsian
722157	201213	Tiina Tuulispää
722158	170933	L'amie de Bacha
722159	100001	Linda
722160	306199	Jessica
722161	30104	
722162	227549	Renae
722163	84230	Death House Doll
722165	316930	Nikki
722166	314082	Eva
722167	43107	
722168	32863	Kisasszony
722168	122388	Telefonos kisasszony
722168	182646	
722168	182656	Nõi zenekar tagja
722168	214504	
722168	216541	Elárusítónõ
722168	284184	
722168	322111	Lulu
722168	377891	
722169	35558	(segment Szédülés)
722169	213677	
722169	284581	
722169	308211	Marianne
722169	412078	
722170	52350	
722170	214901	
722171	50976	Alice
722171	72376	Cammie
722171	117883	Megan
722171	181492	Zuzia Szymanko
722171	214662	Renee
722171	231644	Daughter
722171	247330	The Girl with the Matches
722172	299395	Pearl Larson
722173	58490	Homeless Wife
722174	267263	
722175	131754	
722175	349545	Daughter
722176	126276	Young Cris Wilson
722176	130685	Deirdra McBride
722177	33828	
722177	49474	
722177	52108	Girl in Harem
722177	74430	Olga
722177	87935	Dita Saxova
722177	108992	Sarah
722177	155793	Magui
722177	216290	Eva
722177	312401	
722177	343677	Jessebee
722178	114370	Jenny
722179	30497	Actress
722179	37731	Roza
722179	174228	
722179	232680	Olga Starenska
722179	376522	Aunt
722180	204007	
722181	138109	Waitress
722181	313877	Lisa Kubachek
722182	313877	Kung Fu Villain
722183	244581	
722184	238766	
722185	261306	
722186	77101	Helusia
722187	25289	Sofik
722187	244249	
722188	229035	
722189	28258	
722189	174163	
722189	349305	
722190	152172	Liaison Officer
722190	179181	Ewa
722190	231645	
722190	252346	
722190	255515	Miss Halinka
722190	256729	
722190	284043	
722190	293700	Linda
722190	311880	Brigitte
722190	364870	
722190	375466	
722190	396286	Krystyna Filarska
722191	370672	
722192	352473	Little Veronika
722193	197224	
722194	289941	
722195	296107	Jenny
722196	17120	
722196	34547	Verina majka
722196	43153	
722196	77491	
722196	95593	
722196	141791	
722196	160593	
722196	160826	
722196	212663	
722196	215129	
722196	227943	
722196	230486	
722196	257479	
722196	260287	Persa ...popadija
722196	261678	Ivkina baba
722196	262575	Vida, Tanasijeva zena
722196	266062	Saveta, Acimova zena
722196	286737	
722196	311487	
722196	317870	
722196	318868	Andja Pantic ... supruga
722196	320567	
722196	324537	
722196	327441	Akulina
722196	357494	
722196	400892	
722197	40584	Helen
722197	184505	Elisabeth von Josselin
722197	199023	
722197	301079	Andrea
722198	179094	Tarakanova
722199	175188	Shrewish Woman
722199	176550	Lorenca's wife
722199	236788	
722199	245115	Kapo
722200	249244	Servant
722201	336444	Voices
722202	93602	Little girl
722203	259355	Herself
722204	5596	Zenzi
722204	178606	Muschi
722204	237681	
722205	267807	
722205	345907	
722206	9454	
722207	2266	
722207	17991	
722207	29766	
722207	34768	Herself
722207	37145	
722207	39805	
722207	44414	
722207	50389	
722207	54566	
722207	89169	Go-Go Girl
722207	129090	Herself
722207	140463	
722207	150900	
722207	177468	
722207	191356	
722207	208291	
722207	253610	(segment The Devil Made Her D
722207	255741	
722207	278695	
722207	297935	
722207	319673	
722207	354818	
722208	25986	Aicha
722209	24969	Mrs. Penworthy
722209	28423	Terese
722209	33752	Mona
722209	163275	
722209	358455	Agatha Dimbleden
722210	343867	Dete
722211	74172	
722212	373242	
722212	384017	
722213	174399	Babata\\Mother of husband
722214	1069	Elena
722214	44394	Dashteryata na ribarya
722214	126204	Kalinka
722214	164090	
722214	171968	Mariya
722214	226017	
722214	228847	Krasimira
722214	399704	Krista
722215	48755	Monika
722215	394152	Bosa
722216	181293	
722216	215125	
722217	412283	Filomena/Zulurdes/Marlete
722218	225499	Announcer
722219	78337	Flor De Montpré
722220	30145	Ines
722221	202296	
722222	112796	
722223	246125	Various
722223	251706	
722223	371361	Various
722223	390920	
722223	404221	Irina Sartarelli
722224	158553	Marika
722226	31487	Marie Herbert
722226	83645	Alita
722226	128829	Marie Williams
722226	135792	Meeteetse
722226	154495	Teresa Porter
722226	187079	Celsa
722226	226957	Chechotah
722226	230361	Julie
722226	277865	Elena
722226	336813	Lida Velasco
722226	354852	Elena, Cole's Mexican Girlfri
722227	387136	Herself
722227	389351	Co-host
722228	172165	Rosing
722228	246459	
722229	156731	Conchita
722229	199162	
722230	41581	
722230	247989	
722231	51996	Drugged Girl In Chair
722233	196496	Annetta, in the Live Sequence
722234	21655	Viola
722235	198408	
722235	245585	
722235	282216	
722235	353632	
722236	24141	Elena Gabone
722237	25330	
722238	183476	
722239	57817	
722239	266627	Photographer
722241	292446	Inez
722242	13066	
722243	366491	
722244	291561	
722245	234499	Sister Elena
722246	120227	Herself
722247	91071	Herself
722251	846	Herself - #95: Shannen Dohert
722251	33794	Susanne
722251	40809	Josie
722251	48616	Herself
722251	50815	Amy
722251	53755	Sylvia Velliste
722251	54032	Jennifer
722251	56656	Amy Fisher
722251	57669	Herself
722251	59754	Herself/Phoebe Halliwell
722251	68309	Jenny Matrix
722251	69414	Rita Summers
722251	69504	Eve
722251	72569	Vanessa Crawford
722251	77575	Shelley Sheridan
722251	80832	Cristina
722251	87031	26
722251	91684	Marian Delario, Power Corps C
722251	99766	Charlotte
722251	110243	Margo Masse
722251	129579	Chelsea
722251	130992	Frances Ella 'Fizzy' Fitz
722251	152319	Hugo Dugay
722251	161194	Herself
722251	167699	April
722251	167713	
722251	178136	Amy Kayne
722251	183550	Angel
722251	192278	Diana
722251	239588	Diane
722251	258949	Lily Leonetti
722251	266695	Amaryllis
722251	310784	Lurleen
722251	320041	Amy Winslow
722251	326664	Herself
722251	326715	Herself
722251	334123	Denise Harris
722251	356350	Herself
722251	360647	Fan
722251	363399	Kimmy
722251	367845	Herself/Phoebe Halliwell
722251	383952	Phoebe Halliwell
722251	386272	Tracey Van der Byl
722251	397401	Jennifer Mancini (1997-1998)
722251	411051	Samantha Micelli
722252	294689	The dancer
722253	30536	
722253	37583	Choleng
722253	39040	Mildred
722253	103580	Lorena
722253	103611	
722253	110188	
722253	174794	Jessica
722253	202714	
722253	207046	Sol
722253	295713	Georgina
722253	333000	Maritess
722253	355049	Ikang
722254	332851	
722255	114467	Bronte
722256	7130	
722256	41587	
722256	360813	
722257	76061	
722257	132771	Claire
722257	207622	Marie
722258	381911	Herself (2001)
722259	170067	
722259	380894	
722259	395030	
722259	396161	Laura Negrín
722261	75028	
722261	81925	Herself (Melissa Milano)
722261	372475	(as Daisy Dukes)
722263	5203	
722263	81544	Lieutenant Vasquez
722263	94726	Francesca Vecchio
722263	267653	TV Reporter
722263	387072	Francesca Vecchio (recurring 
722263	387073	Francesca Vecchio
722263	395166	Ceil Ballazzo
722264	116443	Model
722265	51875	
722266	3526	Momicheto s okoto
722266	95166	Lekarka
722267	305285	
722268	16030	Dete
722269	246309	Daca
722270	351007	Balerina
722271	13531	Middle-Aged Woman
722271	80782	Cemetery Extra
722271	148523	Fat Woman in Pizza Joint
722272	275304	
722273	117557	Bit part
722274	201320	Arlene
722275	255779	
722276	126292	
722277	159489	Prostitute on Gas Station
722277	238833	Woman
722277	315018	
722277	324115	Bartender
722278	166393	
722279	368180	
722280	1888	Brigita
722281	46532	Sitar Player
722282	237331	L'amie de Félix
722283	11171	Geode Girl
722284	70078	Mrs. Ingleby
722284	89641	Mrs. Frinton
722284	130748	Mrs. Simpson
722284	138844	Miss Illingsworth
722284	206803	Dame Bernoline
722284	241810	Mrs. Harcourt
722284	330491	Mrs. Booth
722284	367670	
722284	384532	Annie Croft
722284	395626	Mrs. Collier (1965)
722284	410935	Mrs. Collier (1973)
722285	227042	Fia
722286	140016	TV Reporter
722286	286637	Shae
722287	33940	Herself
722288	241689	Drug Raver Girl 2
722288	389874	Marcia Huntley
722288	399130	Caitlin Atkins (1997-1998)
722289	186681	Sadie
722290	248318	Company 'C' Girl
722291	140659	Holly Bunch
722292	89493	Minnie Tinwell
722292	119217	Zimmernachbarin im Krankenhau
722292	134376	
722292	153110	Babsi
722292	184513	Astrid
722292	248540	
722292	301001	Maggie
722292	325786	Inge
722292	325895	
722292	364927	
722292	364945	
722292	389785	
722292	411109	
722293	1103	Bledata dama
722294	289340	Malkata Elena
722295	121052	
722295	188806	
722295	225130	
722295	326050	
722295	347575	Verkäuferin
722295	352606	
722295	366512	
722296	325890	
722297	31908	
722297	93602	Rózia
722297	215214	Zofia Dyrman
722298	55674	Girl
722298	78122	
722298	185703	Woman in towel
722298	299315	Aroha O'Neill
722298	346228	
722298	380827	Dorothy Gordon
722299	45410	Kitty
722299	85482	Specialty
722300	129662	Extra at airport
722300	197785	Woman at cinema
722301	25254	Joosje
722301	130232	Sylvia Merx
722301	168781	verpleegster
722301	390242	Sylvia Alberts-Merx (1993-199
722302	115062	Special Movement
722302	389233	Clarita Oñate (1999-2001)
722302	393805	Terezalsura
722303	326178	Señora Cartera
722304	348451	
722305	39712	Innocence
722305	198639	
722306	29706	Fati
722306	39712	
722306	88376	Grand-mère Djib
722306	109969	Ma Sali, tante de Fatou
722306	112891	Samia
722306	182949	Alimata
722306	197325	
722306	202607	Mama Aloko
722306	234273	Mama
722306	265881	Juliette
722306	278708	La cuisinière du foyer
722306	282286	
722306	370420	
722306	377792	
722307	137063	Mother
722308	386604	Jo Hayman
722309	29946	
722309	69154	Herself
722309	104240	Marie enfant
722309	160728	(segment "Dois Dedos")
722309	263337	
722309	327370	
722310	55768	
722311	40555	
722311	51244	
722311	63667	
722311	211648	
722311	217658	
722311	376940	
722312	62834	Bogatata dama
722313	250551	
722314	34189	Herself
722315	178796	
722315	261259	
722315	280570	
722316	318980	Tanja
722317	278517	Studentkinja
722317	385340	
722318	180617	Mariya kato malka
722319	197837	Mistress Page
722320	223487	
722321	223487	
722322	229729	German National
722322	361541	Natalie Burke
722323	99075	Acadia
722324	72851	Cheerleader
722325	74129	Woman
722326	80853	
722327	279091	Girl
722328	128585	Sally Warrington
722328	382838	Sue Harper Sullivan (1987-199
722328	388321	Maria Simons Starr (1997-2000
722329	113264	Katy
722330	32106	Daisy
722330	122858	Liani
722330	182233	Chloe
722330	265992	Ditas
722330	287506	Milessa
722330	302791	Susie
722330	369528	Breezy/Marge/Jasmin
722330	369529	
722330	391866	J.Lo
722330	397028	Host
722331	215563	Servant
722332	93650	Betty Lane
722332	123903	Mrs. Frank Merritt
722332	186347	Gayle Kirby
722332	186367	Betty Conway
722332	193706	Betty Grey
722332	235633	Last horsewoman in nightclub 
722332	276669	Ellen Brandon
722332	278051	Ruth Wyatt
722332	278105	Betty Dawson
722332	308899	Betty Miles
722332	358963	Laura Dean
722332	361833	Enid Barrett
722332	365308	Betty Wallace
722333	310393	Rosita
722334	54726	Dancers
722335	39168	
722336	360045	Mrs. Homer
722338	176922	Reporter
722339	272518	Cindy Swensen
722340	342644	
722341	240315	Slave Woman
722342	83650	Tanya Montoya
722343	37505	
722344	299731	Ellen the Upstairs Maid
722345	194687	Singer #1
722346	39274	Dinah
722346	95152	Waitress
722346	99952	Isabella Knightley
722346	114152	Grateful woman
722346	120772	DS Elsa Cooper
722346	190724	Mrs. Wilson
722346	222563	Theresa
722346	378710	Mrs. Merrypip
722346	403235	Tina Conan
722346	408637	Clare Logan
722347	50223	Kim
722347	156841	Herself (from Smoke Signals (
722347	199194	Housekeeper
722347	247500	Housekeeper
722347	289690	
722347	304048	Rondella Roubaix
722347	305694	Lucy
722347	336300	Caridad
722347	399695	Marilyn Whirlwind
722347	403316	Etta
722348	132673	Madre
722350	165442	Burns
722351	105280	Nurse/The Helen Miles Singers
722351	129366	
722351	367054	The Wiz Singers Adult Choir
722352	178866	
722352	178868	
722353	140843	Diana
722354	39404	Train Station Extra #1
722355	72851	Cheerleader
722356	105280	The Helen Miles Singers
722357	175788	
722358	5056	Laura
722358	11344	Sue Bayliss
722358	12271	Pamela Crane
722358	12293	Jacqueline
722358	13833	Fanny
722358	14239	Abigail Adams
722358	21466	Lily
722358	40138	Eleanor Carpenter
722358	44437	Counselor Barbara Clark
722358	48938	Carrie Parmiter
722358	70455	Louise
722358	73753	Mrs. Turner
722358	73827	Melissa Thompson
722358	82517	Kate McCain Nicholas
722358	105316	Jessica Jordan
722358	113810	Jennifer Dreiser
722358	136972	Evelyn Sparks
722358	141272	Mrs. Burgess
722358	169885	Judge Evelyn McGruder
722358	218526	Sairy Brennan
722358	228457	
722358	243742	David's Mother
722358	265747	Toni, Kathy's mother
722358	278264	Katherine
722358	281963	Gertrude
722358	309047	Sandra
722358	309633	Ann Norberry
722358	310879	Evans
722358	330368	Evans
722358	339382	Kathleen Jensen
722358	344551	Melinda
722358	359963	Mrs. Varek
722358	360266	Amelia
722358	365868	Joyce
722358	379716	Anne Tyler St. Cyr Davis Mart
722358	385718	Beth Constantine
722393	127730	Falcon Eileen
722358	387309	Gerry McGrath Pollock #2 (196
722358	388862	Linda Driscoll #3 (1965)
722358	404694	Mary Lou Carver (1967-1968)
722359	36494	Diana Murphy
722360	296912	Girl in Restaurant
722361	713	Frau mit sehr großem Busen
722361	34762	
722361	44653	
722361	79291	
722361	170377	
722361	291020	
722361	344512	
722362	253363	Flautist in party scene
722363	65197	Samantha
722363	101380	Angela Swain
722363	340960	Felicity
722364	65197	Samantha
722364	100838	Bob's Girl
722365	365184	Gretta
722366	80834	Kartov
722367	207135	
722367	232127	
722367	245203	
722367	283455	Screaming Girl
722367	304365	Hazel Martin
722367	315223	Geraldine 'Gerry' Elizabeth W
722367	385824	Dana (1981-1983)
722368	120983	
722369	34911	
722369	381661	Hill's Angel (1980)
722370	59099	1st Stiletto Deb
722371	19146	
722371	26310	Emma
722371	52638	Kay Larson
722371	65470	Mabel
722371	66628	Jean
722371	88291	Gloria
722371	124718	Guest
722371	126561	Fay Prescott
722371	141038	Trini
722371	178891	
722371	199217	
722371	202865	Lola Parker
722371	218773	Elsie Warren
722371	239654	Peggy
722371	327271	Blanche
722372	168487	Shaniqua
722372	320142	Shaniqua
722372	369208	Herself
722372	369218	Shaniqua
722372	369221	Shaniqua
722372	402907	Herself (2002-2003)
722372	408643	Herself (2002)
722372	411537	Shaniqua (2003-); Herself (20
722372	411545	Shaniqua (2003-); Herself (20
722373	355350	Margaret Bunn
722373	388125	Gwen Richards
722373	395532	Margaret Owen Lloyd George
722373	401689	Megan Harries (-1995)
722374	115208	Featured dancer
722375	371896	Snorkel Woman
722376	213552	Anne
722377	64056	Nellie Chapman
722377	66912	Elfine Starkadder
722377	172073	Anna
722378	372176	Krumper
722379	120323	Blanchie
722381	33753	
722381	50810	
722381	118010	
722381	134189	Helen Meredith
722381	158099	Sophy Gerard
722381	199687	
722381	220046	Celia Graham
722382	143117	
722382	146308	
722382	251434	
722383	151633	
722384	3147	
722384	66918	Secretary
722384	114350	Mrs. Johnson
722384	117672	Carol
722384	219432	
722384	346020	Waldo Wife Five
722384	357178	
722384	385299	Shirley Tripp
722385	381898	Herself (2001)
722386	185201	Josephine
722387	23474	Rose Jackson
722387	34106	Alice
722387	67608	Nancy
722387	120098	Clorils Boston
722387	151732	Julie
722387	154610	Erica
722387	204159	Mo
722387	296983	Arna Asby
722387	334206	Ida
722387	342001	Bo-Peep
722388	134402	Tracey Tongue
722389	143577	Miles & Kover Trio
722389	273083	Adagio Dancer
722390	171675	Karen Standard
722390	264907	Catherine
722390	405217	Flora Drummond
722391	53329	Dancer
722392	2548	Herself - Co-presenter: Best 
722392	5423	
722392	37335	Charlotte Sternwood
722392	41657	Patricia
722392	58105	Catherine
722392	91510	Helena
722392	95872	Jennifer Blackwood
722392	113073	
722392	127122	Emilie/Mme. Bluet
722392	127946	
722392	133592	Estella
722392	139357	Lady Ashley
722392	145715	Lady Franklin
722392	149444	Grace Rowen ROHAN
722392	154790	Cass Langdon
722392	170964	Martina
722392	183596	Lady Caroline Lamb
722392	203546	Catherine Crocker
722392	243226	Mary Durant
722392	252555	Pepita Jiménez
722392	258933	Lucy Angkatell
722392	263609	Film Star
722392	269419	Lady Sybil
722392	284005	Rosy Ryan
722392	285656	Anne Osborne
722392	294909	Vera
722392	314202	Sarah
722392	328239	Shirley Taylor
722392	331105	Patricia Rawnsley
722392	351802	Dr. Marion Stowe
722392	358836	June
722392	363932	Alice de Janze
722392	385635	Catherine Armstrong
722393	130311	Dancer
722393	314108	Joy
722394	37867	Diner Waitress
722395	28466	May Blue
722395	139578	Dee
722395	201567	Debbie
722395	246257	Lois
722395	254917	Copenhagen Belly
722395	334596	Amata
722395	351441	Susan Ritter
722395	372882	Debbie
722395	391281	Herself (1971-1972)
722395	400986	
722396	3242	Bella
722396	45602	
722396	64121	Sweet Susie
722396	73561	Maggie
722396	73833	Hannah Mandelbaum
722396	82849	Sharon, Gail's Aunt
722396	96975	Herself
722396	105440	Myra Gardener
722396	109077	Mrs. Florian
722396	121785	Madame Zena
722396	133795	Mike
722396	141542	Sally Todd
722396	144977	Ma
722396	185420	Script clerk
722396	213112	Cass
722396	222776	Sadie
722396	233492	The principal
722396	249323	Eileen
722396	266617	Silvia
722396	281897	Ms. P
722396	294381	Gerde Engstrom
722396	297174	Countess Rasmussen
722396	298127	Mrs. Fisher
722396	304774	The Red Fairy
722396	311153	Congresswoman
722396	319687	Herself
722396	328554	Rose
722396	358708	Realtor
722396	364223	Christina
722396	374596	Flo Ames
722396	379716	Jackie Diamond (1982)
722397	385658	Mirah
722398	1832	Jean Lennox
722398	2654	Daniza
722398	16058	Irene Elder
722398	24705	Virginia
722398	26777	Liz Saxon
722398	27559	Andrea Glenn
722398	31821	Announcer in trailer
722398	32010	Betty Compton
722398	35819	Lena Anderson
722398	43877	Lila Crane (Psycho)
722398	45875	Marian Koonan
722398	53950	Diane Langston
722398	56457	Henrietta MacAvoy
722398	59437	Jennie McKeever, abductee
722398	67589	Viveca Scott
722398	110223	Lucy Hardesty
722398	113864	Martha Wagner
722398	116513	Vida Downey
722398	117114	Kathy
722398	125806	Ellen Wedloe
722398	133456	Gloria Wilkes
722398	134013	Mrs. Kirby
722398	138323	Lois Seeger
722398	142297	Kate Keller
722398	142516	Mrs. Buckman
722398	145175	Sophie Kubacki
722398	151779	Rose Saines
722398	157965	Jenny Olson
722398	159770	Frances Fairchild
722398	160911	Elaine Corley
722398	161505	Joan Caper
722398	163361	Laura Ring
722398	167561	Lilah Beth Cummings
722398	169491	June Wiley (episode 'Matakita
722398	169892	Mrs. Horton
722398	179846	Melissa Hyde
722398	185288	
722398	186388	
722398	192506	Marcia Carmichael
722398	203573	Hallie Stoddard
722398	208757	Cat
722398	208938	Grace Coventry
722398	215819	Joan Barnes
722398	217423	Molly Parker
722398	241487	Doris McIver
722398	241633	Madame De Sala
722398	244809	Patricia
722398	245819	Joan Baldwin
722398	266574	Lila Crane
722398	281811	Denny Burke
722398	282398	Ida McBride
722398	283345	Clarissa Stewart
722398	283455	Ellen Staffo
722398	291964	Laurie Jorgensen
722398	294509	Dr. Ruth Goldin
722398	294751	Ann Ryker
722398	305497	Erica
722398	306396	Girl
722398	311273	Kate Powell
722398	315997	Christine Rhodes
722398	325151	Jill Hardy
722398	331081	Liddy Calloway
722398	332806	Dorothy Williams
722398	336694	Virginia Killain
722398	338630	Julie Lawless
722398	342513	Victoria Stevens
722398	343160	Chorus girl
722398	346281	Eleanor Strom
722398	347366	Kassia Paine
722398	363226	Girl next to laughing sergean
722398	364704	Laurie McCoy
722398	365236	Kate
722398	368952	Rose Balestrero
722398	392177	Beth
722399	136118	
722400	81536	Teacher
722402	311946	'Hot Date' Band Member
722403	40370	
722404	287467	
722405	164999	
722405	332469	
722406	386803	
722407	169968	Judita
722408	57832	
722408	124327	Laura
722408	153360	
722408	170312	
722408	235776	Dolores
722408	296541	
722408	315821	Angela
722408	374512	
722409	134302	Terka
722410	320624	Gita
722411	72086	Crnoberzijanka
722411	75695	
722411	85163	Smilja
722411	85168	
722411	90151	
722411	95594	
722411	100715	
722411	164726	
722411	180612	
722411	181192	
722411	190785	
722411	192898	
722411	207817	
722411	229924	
722411	258604	
722411	259730	
722411	286715	
722411	318868	Marica Pantic ... cerka
722411	339282	
722411	341464	
722411	369445	Hilde Kramer
722411	382431	
722411	383720	Draga Masin
722411	393168	
722411	395440	
722412	72088	
722413	199821	
722415	46458	Mermaid
722416	235755	
722416	348137	
722417	239025	
722417	312738	Tochter Lotte
722417	315972	
722418	352632	Prison Guard
722419	244471	
722420	198161	Korneliya
722421	85554	
722421	249786	
722421	291603	
722421	327317	
722421	392609	Susana
722422	9231	Gosia's mother
722422	63907	
722422	75963	Nascia Radwanowna
722422	95963	
722422	110115	
722422	120439	
722422	123099	Zawadowa
722422	136364	Julia
722422	138943	
722422	152172	Zofia Arkuszewska
722422	165820	Ignacja Piotrowska, Jaroslaw'
722422	166980	Olszewska
722422	172416	
722422	179342	Zawadowa
722422	179580	
722422	180059	Matka Boska (St. Mary)
722422	180685	Kosmowska
722422	191405	Mother
722422	206194	Krystyna
722422	206949	Emilia Chwastowska
722422	207739	Giuseppa
722422	231645	Weronika
722422	238815	Dentist
722422	244208	Countess Potocka
722422	246952	Suzanne
722422	252038	
722422	258441	Professor Pytel's wife
722422	259803	Member of Government of Lubli
722422	260733	Michal's mother
722422	266308	Jan's mother
722422	266336	
722422	273138	Wanda, Bryla's wife
722422	276078	Olga
722422	280611	Nun
722422	301097	Cecylka
722422	303742	Manager
722422	306659	
722422	313139	
722422	315015	Zofia
722422	315018	Grandma of Jas
722422	322021	Klementyna Zawidzka
722422	323351	Marek's mother
722422	344911	Professor Pytel's wife
722422	348509	Poor Woman
722422	360910	Bus passenger
722422	363512	Hulanicki's wife
722422	369382	
722422	373749	Maria, Stefan's wife
722422	376168	Professor Krynicka
722422	376522	Translator
722422	376523	
722422	376535	Olga
722422	381365	Anwältin
722422	382476	Advocate de la Defense
722422	387158	(episode "Volvo")
722422	387159	Aunt Irena
722422	389831	
722422	393473	Darek's mother
722422	395084	Florentyna
722422	399959	Jan's wife
722422	403627	Emilia Chwastowska
722422	403854	Inhabitant of the town
722422	408995	Elzbieta Durczakowa
722422	409032	Zawadzka, Ania's mother
722422	412008	Julia Zlotopolska
722423	411802	Colleen Cecile Carlton [#2] (
722424	411802	Colleen Cecile Carlton [#2] (
722425	10670	Dorothy's Maid
722425	29112	Mildred Kronenberg
722425	31905	Mrs. Kahn
722425	162289	Aunt Mary
722425	192172	Mabel (cook)
722425	238228	Millie, the Nosher
722425	242431	Maureen
722425	255399	Ruby's Mom
722425	313423	Regent Cuzar
722425	342403	Aunt Zoha
722426	359989	
722426	381187	Aileen Hegarty
722427	42576	Moema
722427	70770	
722427	76064	
722427	233527	
722427	385876	Alice
722427	388450	Das Dores
722427	390507	
722427	393006	Cema
722427	395822	Janda
722427	398503	Vilma
722427	400670	Mariquinhas
722427	400673	Rosa
722427	401087	Elizete
722427	403326	Terezinha
722428	6845	Mrs. Bertha Randall
722428	12306	
722428	16104	Margery Reynolds
722428	33764	Blanquette
722428	36442	Berta
722428	37917	
722428	44845	The Hostess
722428	65912	Rosalie
722428	69964	
722428	92939	
722428	104523	
722428	105434	
722428	115615	
722428	115911	Mattie Austin
722428	119638	
722428	133103	Julia
722428	150971	Edith Probert, age 19
722428	161046	Miss Brown
722428	168475	
722428	191605	
722428	193404	
722428	197119	
722428	206644	
722428	206851	
722428	220035	
722428	286151	
722428	321793	Ruby
722428	352734	
722428	362241	Daisy
722428	362306	
722428	364854	
722429	213352	Emma
722430	141664	
722431	7819	The Girl
722431	19963	Aurella Wilton
722431	30622	Gladys Denton
722431	41375	Marie Rambo
722431	94775	Woman in crowd
722431	123223	Marion Reeves
722431	214149	Bertha
722431	218937	Mary
722431	241059	Edna Perry
722431	329460	Anita Leland
722431	341982	Betty Brownee
722432	41216	Julie Warren
722432	49948	Gaby
722432	66945	Eileen
722432	68162	Vi Munson
722432	100954	Ingrid
722432	130856	Tania
722432	141592	Pauline Fleming
722432	142950	Woman in Woods
722432	185774	Denise Travis
722432	203340	Evelyn Moore
722432	215603	Ann
722432	232096	Anna Carroll
722432	234994	Adele Anderson
722432	239892	Martha Ann
722432	282046	Betty Clooney
722432	293644	Kathy Morris
722432	323478	Lenore Meade
722432	349876	Lorna Sinclair
722433	200925	
722434	405162	Herself
722435	38590	Jill
722436	277831	Guest
722437	367861	Denise
722438	183559	Policewoman
722439	201183	
722440	26293	Laurie Tillman
722440	73770	Marsha Eames
722440	101570	Faith
722440	168780	
722440	171207	Maryann Birch
722440	327241	Nurse Holt
722440	327300	Gloria Marsh
722440	380713	Orlena Grimaldi #2 (1995)
722441	384743	Herself (2003)
722441	404958	Herself
722442	300146	London Producer "Marilyn"
722443	410148	Herself
722444	136360	
722445	314715	
722446	164153	Driver
722446	251527	
722446	309456	Téléphoniste #3
722446	353912	La soliste
722447	73068	Jeanne Davenne
722447	171137	Anita
722447	205678	
722447	309689	Sarah
722447	337025	
722447	345378	Mme. Sarah
722447	357024	Hélène
722447	377712	Béatrice
722447	409806	Valérie Guemois
722447	410144	Madame de Miran
722448	152943	Lisa
722448	305093	Janice Thursby
722449	309493	Susan
722450	128488	Irene
722450	224229	Theodosia Burr
722451	356709	
722452	1737	Herself
722452	14131	Band Member
722452	31573	Linda Moon
722452	48950	Additional Voices
722452	65713	
722452	82016	Angel
722452	95365	Eleanor 'Ellie' Bigelow
722452	177075	
722452	195558	Paris Morgan
722452	201716	Herself
722452	203319	Anne
722452	221467	Performer
722452	326662	Christina milian
722452	336239	Nina
722452	368110	Girls at Dance
722452	398337	Herself (1998-2000)
722452	410577	Herself/Host
722453	131397	Self
722454	401185	Herself - the Judge (2001-)
722455	180284	
722456	403230	
722457	330575	
722457	354947	
722458	183882	Savina cerka
722458	397526	Brankica
722458	397527	Brankica
722459	88526	Closing Time Girl
722459	90812	Nikki
722459	125591	Gail Stoney
722460	72740	Anna
722460	84980	
722460	92263	Yvette
722460	101070	Ruby's Sales Clerk
722460	118363	Model
722460	118928	Erika
722460	140967	Roxana Milla Slasnakova
722460	143284	Zsa Zsa
722460	147673	Waitress
722460	157240	Gang girl
722460	166917	Former Girlfriend
722460	178140	Ilse
722460	195300	Stacey, American Dreamgirl
722460	196063	Amber
722460	200993	Nina
722460	251247	Maya-Rachel
722460	261570	Gwen Turner
722460	283564	Mila
722460	305083	Sarah Tanner
722460	350424	Emma
722460	380638	Lana Povac
722460	397791	Missy
722461	279349	Starter
722462	388674	Rakel
722464	133345	Party Guest
722465	334203	
722465	343798	
722466	3340	Paola
722466	3343	
722466	14261	Antonietta
722466	26509	Carla
722466	68429	
722466	84632	
722466	113559	Archivista
722466	127901	
722466	249249	Giovanna
722466	292274	Francesca
722466	307666	
722466	307677	Valeria
722466	337259	
722466	347470	
722466	348161	Beatrice
722466	386486	Francesca Volta
722466	400286	Anna De Angelis
722467	261760	Mirt
722468	100813	
722468	342188	
722468	366463	Peasant
722469	296047	Omladinka I
722470	411962	
722471	275395	Prostitute (opening scene)
722471	354626	
722472	322066	
722473	170233	Herself
722474	250878	
722475	393573	Isabel
722476	70053	
722476	149504	Gloria's mother
722476	302549	
722476	336320	
722476	382883	
722476	396337	
722476	397547	Santinha
722476	399713	
722476	405337	
722477	33148	Madam
722477	104488	
722477	148467	Tia Laura
722477	253662	
722477	258626	
722477	266003	
722477	275019	Maria das Graças
722477	280866	Fausta's friend
722477	384265	
722477	387915	Joana d'Arc (Daquinha)
722477	397409	
722477	400098	
722477	402159	Carvoeira
722477	408381	Dora Pão-de-Ló
722477	409347	Dominatrix
722477	409412	Iolanda
722477	409975	Theda Bara
722478	188869	Mána
722478	367327	Mutter
722478	374074	Laufer
722479	396563	Announcer (1989-1991)
722480	246306	Stéphanie
722480	264114	Zorka
722481	397937	Mary
722482	119163	
722483	38831	Marie von Bismarck
722484	113211	Kerosene Lamp Maker (Salvador
722485	146700	
722486	181473	Kosa Mitrovic - Kosovka
722487	76357	
722488	249463	
722489	51901	Carla
722490	20145	Echo
722490	55191	Mercédès
722490	111961	Marzelline
722490	281976	Marianne
722491	246898	Sani (segment "Herc minuta")
722491	312623	
722492	320411	
722493	125282	
722494	24467	
722495	294156	Bojana
722496	159224	Nata
722497	378705	Mme Courcelle
722498	14010	
722499	314700	Little Drew
722500	20664	
722501	116580	Sofya Pavlovna Medynskaya
722502	261330	
722502	409430	
722503	205396	
722504	77214	Naida Sulejvic
722504	104779	Serbian vote presenter
722504	160421	Lydia
722504	195689	Additional Model #8
722505	65754	Bright Freshman
722506	196372	Montage typist
722507	24065	
722507	30327	Frau Graumann
722507	114327	Baronesse Sabine von Velden
722507	123890	
722507	125336	
722507	140241	Oberschwester Hedwig
722507	142189	Auschra
722507	142256	
722507	144348	
722507	156989	Gloria Elkins
722507	156992	
722507	171567	Barbara Aiblinger
722507	225727	
722507	266354	Kellnerin
722507	282188	Lady Doringham
722507	290553	
722507	290691	Kato Balogh
722507	312886	
722507	361425	
722507	374388	Norma Dawson
722507	376358	
722507	376577	Anna
722508	277098	Maid
722509	217827	Wiseacre
722510	40280	Emilie
722511	253032	
722512	209745	Meg
722512	317172	Marigold
722512	353524	Liz Lowery
722513	183557	Mrs. Plowson
722514	44846	
722514	132603	Liza
722514	240014	Oliver Twist
722514	338987	Sarah
722515	286195	Salome/Rose
722516	26448	Maria
722516	60253	Maria
722516	246422	Flaca
722517	411802	Victoria Newman (#1) (1982-19
722518	56071	Maria Inês
722518	383479	Pilar
722518	383866	Zenilda
722518	384991	Teresa
722518	385023	Neide
722518	386421	
722518	389643	Chiquinha
722518	401086	
722518	402728	
722518	404261	Elvira
722518	404803	Iara
722518	408212	Cora
722519	129103	
722520	333245	
722521	55581	Bull The Carpet Cleaner
722522	53975	May
722522	158777	Sally
722522	241309	Bea
722522	295085	Bunny
722522	300909	Les Artises hatcheck girl
722522	367913	Carol
722523	13759	Candy Manalastas
722523	133730	Alexa
722523	306744	Fanny
722524	158796	Marnie Jaycox
722524	222694	Kathy
722524	222863	Sharon
722524	364184	Samantha
722524	366780	Student
722524	404002	Delia Reid Ryan Coleridge #2 
722524	410977	Vicky Lucas Hathaway #1 (1969
722525	18178	María
722525	19493	
722525	25069	
722525	25098	
722525	33663	
722525	76156	Olimpia Mancini
722525	82423	
722525	86336	
722525	94520	Bórgia's lover
722525	119365	
722525	131094	Princess Ilea
722525	131095	
722525	148096	Billy's mother
722525	148135	
722525	162158	Briseis
722525	199039	
722525	199062	Arias
722525	200505	Erika
722525	237988	Laura Murphy
722525	238334	Maria
722525	284896	Louise
722525	289440	
722525	338713	Virginia
722525	342627	
722525	348170	
722525	348735	Marzia
722526	199719	
722527	378779	
722528	193873	Lucia
722528	333189	
722529	116670	June Justice
722530	150880	Sallie Denbigh
722531	25386	Sasha
722531	39862	Giggles, Gangster Prankster's
722531	107024	Girl on Beach
722531	175804	Carrie
722531	183876	Nikki
722531	313727	Jenna
722531	396077	Herself (interviewed)
722532	401828	Street Neighbour #2
722533	278247	Brandi
722534	162292	
722534	294248	Urologist Nurse
722535	147739	
722536	38864	Molly
722536	74215	Sister
722536	204141	Laura Montague
722536	214925	Mrs. Gullett
722536	231659	Jo Lynne
722536	254591	May Holmes
722536	255627	Mary Verton
722536	379746	Lorna Scott
722536	381608	Dr. Georgia Moorehouse
722536	399130	Rosie Hoyland (2002-2003)
722536	401963	Claudia
722536	402197	Marie Winter (1981-1982, 1984
722536	406891	Elizabeth Bradley
722537	5033	Nadine Roland
722537	217958	Phyllis Leigh
722537	362794	June Ellis (nee June Garrett)
722537	410986	Ray's Girlfriend (1954-55)
722538	67938	Sister Sims
722538	292226	Mrs. Harris
722538	292228	Mrs. Harris
722539	206635	
722539	254882	
722539	346760	La Femme manif
722540	394283	Rose #2 (1991-1995)
722541	213581	Chorus
722541	250638	Aesthetic maiden
722542	77192	Rosie Pascoe
722542	77206	Rosie Pascoe
722542	77207	Rosie Pascoe
722543	253270	Wife
722543	307517	Maisie
722543	360125	Maria
722543	389042	Sheena Hamilton (Series 1) (2
722543	390152	Jess Rossi
722543	399692	Morag Black
722544	398398	Toni (1964)
722545	382516	TV Newscaster
722547	185580	Susan
722548	223487	Elsa als Kind/Elsa as a Child
722549	58519	
722551	367880	Terri Gold
722551	411367	Terri Gold
722552	38783	Mrs. McNeil
722552	46276	Sylvia DeWitt
722552	47311	Mrs. Winslow
722552	50949	Widow
722552	66042	Miss Batson
722552	83809	Second Blond
722552	88191	Mary, Dot's Sister
722552	88999	Vivian Crosby
722552	90257	Doris Brent
722552	108002	June Deering
722552	118457	'Baby-Face', saloon girl
722552	133709	
722552	140809	
722552	143202	Mrs. Burdick
722552	146616	Mrs. Vaughan
722552	154652	Miss May
722552	183409	Miss Evelyn Elaine Snow, Cran
722552	183846	Mrs. Bryson
722552	183848	Mrs. Eloise Ballard
722552	186393	Mrs. French
722552	188292	Helen
722552	205724	Lady in Waiting to Du Barry
722552	210705	Mrs. Leslie McLean
722552	223654	Mrs. Vincent Cantillon
722552	235596	Miss Turner
722552	251214	Dot
722552	275391	Mrs. Bennett
722552	320203	Mike's party guest
722552	329809	Beth Cheever
722552	330605	Mary Eastwood
722552	342957	
722552	346908	Helen
722552	360479	Mrs. Lambert
722552	367919	Cosmetic Saleswoman
722554	292826	Fourth Windmill Girl
722555	80660	Newsman
722556	43933	Burkitsville Resident #2
722557	48948	Hand Double
722557	209638	
722557	256423	Belle Richards at age 23
722558	223263	Albertine
722559	372514	Sara
722560	382706	Herself - Arts Correspondent
722560	382715	Arts Correspondent
722561	96198	
722562	241134	Chorus girl
722562	366167	Girl
722563	26517	Jeanne
722563	26694	Alessandra
722563	44998	
722563	64333	Herself (1987)
722563	102955	Giulia Visconti
722563	112233	Patricia Mercadier
722563	150082	Lucrétia
722563	166186	
722563	168083	Jo
722563	219606	
722563	229984	
722563	236569	Nina
722563	245953	Aurore
722563	258315	Mylène
722563	281301	Joséphine
722563	287279	Catherine
722563	307440	Aurelia
722563	333689	Anne-Marie
722563	365333	Magda Altmann
722563	378070	Anne Coulange
722563	381622	Angelina Brusa (2002-2003)
722563	384030	Fausta
722563	384965	
722563	391479	Célita
722563	392364	
722563	401507	Silvia Conti
722563	401510	Silvia Conti
722563	401511	Silvia Conti
722563	401512	Silvia Conti
722563	401513	Silvia Conti
722563	411133	Magda Altman
722565	103965	Niñita que recita
722566	399105	Host (1984)
722567	78937	Herself ('The Phoenix')
722567	232027	Laura Collins
722567	316679	Joan
722567	325108	Dr. Ann Philips
722567	385719	Laura Murdock Radcliff Stockb
722567	404694	Kitty Styles #1 (1971)
722568	214001	
722569	210547	Herself (Holocaust survivor)
722570	235460	Mrs. Edwards
722570	289406	Karen Martin
722571	214001	Commentator
722572	280215	Governess
722572	390362	Mrs. Tarrant
722573	381129	Debbie West
722573	403948	Paula Prescott
722574	81604	Wehrmacht girl
722575	322277	Kärran
722575	390783	
722577	175188	Anu/Alosia
722578	291287	Young maiden
722579	145662	
722579	264242	
722580	63661	Mme de Lamoignon
722580	392579	La voisine
722580	396870	Marguerite
722581	331602	Madame Pohlschrommes
722584	67934	Marij
722584	91259	Linda
722584	95514	Greetje
722584	135716	Hedda
722584	141776	Ella Mattheusen
722584	400297	Herself (1989-2001)
722584	405536	Pamela Oudgeest
722584	407210	Sylvia de Jong
722584	408739	Marion
722585	109081	
722585	246428	
722585	290896	
722585	352915	
722586	205724	Lady in Waiting to Du Barry
722586	299803	Third Babe
722587	107024	Waitess
722587	368314	Tess's Birthday Party Friend
722588	289116	Lisa
722589	69812	Charge Nurse
722590	1903	
722590	145071	Hooker
722590	296340	Exotic Dancer
722591	166087	
722592	392201	Princess Pan of the Forest
722593	154050	
722594	82099	Actress
722595	10888	Wendy
722595	193770	Faye
722595	304752	Blonde Actress
722596	193775	
722598	306604	Miss Beasely
722600	14157	Marlie Cline
722601	379357	T.J.
722602	59682	Charlie
722602	119587	Navy Doctor
722603	176275	
722603	278437	
722604	380430	
722605	190702	Ice Cream Waitress
722606	20102	Tracey Allen
722607	388712	Segment Host
722608	262090	Trakeena
722608	280081	Jorgen's wife
722608	313423	Girl
722608	402003	Trakeena
722608	409383	Line judge
722610	323400	Teacher
722611	13786	Herself
722611	75767	Herself
722611	128807	Herself (Segment "Wet & Wild"
722611	224863	
722611	314111	Mandalay Model
722611	359929	Amber Coldbath
722612	37906	
722612	165173	
722612	231553	Iris
722612	252115	
722612	387377	Liesje Walschaerts
722612	387631	Juliette
722612	392673	
722612	407884	Verpleegster
722613	97718	Chorus of Nobility
722613	118949	Sister
722613	134295	Governess
722614	79862	Dr Vorless
722614	238236	Housewife
722615	16950	
722617	291221	Girl on Couch
722618	49894	
722619	69392	Simone
722620	120024	
722621	687	Herself
722621	900	Herself (Memorial Tribute)
722621	1398	Herself
722621	2313	Herself - Performer
722621	2355	Herself
722621	3039	Herself
722621	3055	Herself (Memorial Tribute)
722621	17693	Child Extra
722621	32804	On Camera Host
722621	47385	Herself
722621	55521	Julie Craver
722621	58022	Herself
722621	81784	Dance specialty in 'Artists a
722621	84919	Dancer
722621	87779	Herself
722621	96614	Eadie Allen and Edithea Alden
722621	96889	Nadine Hale
722621	104912	Eve Porter
722621	118888	Herself/Interviewee
722621	125484	Herself
722621	129843	Lola
722621	131426	Bit Part
722621	133451	Mrs. Doris Patterson
722621	138700	Herself
722621	140408	Vivian, Camp Guest Next to It
722621	144411	Winnie Clark
722621	146750	Anabelle Potter
722621	146755	Ginger
722621	147876	
722621	165206	Terry Baxter
722621	175522	Herself
722621	178066	Lois Lane 'Bianca'
722621	178208	Specialty Dancer
722621	185205	Herself
722621	190206	Betty
722621	196390	Bubbles Cassidy
722621	197069	Herself
722621	206224	Herself
722621	209676	
722621	210432	Julie Shelton
722621	213474	Herself
722621	222194	Catherine 'Coco' Lenoix
722621	223164	Herself
722621	230622	Herself - Dance Specialty
722621	232017	Herself
722621	240904	Claire Huddesen
722621	242941	Gloria Dell
722621	264358	Donna D'Arcy
722621	270618	Billie Shaw
722621	277000	Beverly Ross
722621	278891	Herself
722621	281432	Hilda
722621	291328	Herself
722621	305399	Lisa Bellmount
722621	312773	Annie
722621	313026	Wife (segment "The Great Amer
722621	325026	Violet 'Vi' McMaster
722621	329072	Sunshine Jackson
722621	329560	
722621	329562	
722621	329563	Herself
722621	329564	Herself (interview)
722621	329565	
722621	331764	Linda Lorens
722621	333316	Kitty Brown
722621	335583	On Camera Host
722621	335638	Pepe
722621	340854	Vicki Marlow
722621	343160	Joyce Campbell
722621	359868	Miss Lucky Vista
722621	362082	
722621	362489	Ann Crawford
722621	367948	President's girl #2
722621	372145	Essie Carmichael
722622	245484	Girl
722623	74077	Commis pharmacie
722624	42278	Mrs. Lerner
722624	157208	Mrs. Birnbaum
722624	190379	Miss Kearns
722624	231103	Saleswoman
722624	232203	Helene Griffin
722624	293085	Woman with Dog
722624	338750	Mrs. Olsen
722625	58754	Genevieve Mazet
722625	84601	Monique
722625	101182	Madame Lemeri
722625	124068	
722626	263440	Ming-Ming
722627	35390	
722627	36329	
722627	43510	
722627	52851	
722627	75038	
722627	83010	
722627	87306	
722627	96774	
722627	141561	
722627	193772	
722627	194905	
722627	195503	
722627	207475	
722627	224256	
722627	292334	
722627	292500	
722627	293017	
722627	295658	
722627	298059	
722627	298145	
722627	299527	
722627	312373	
722627	320455	
722627	332422	
722627	365643	
722628	77204	Dr. Sally Shetra
722628	352586	Mother
722629	280161	
722629	380715	Deidre Hortense 'Dodie' Bisho
722630	105536	Cindel Towani
722630	105537	Cindel Towani
722631	220960	Auditioner 4
722632	115973	
722632	237720	
722634	396053	Emma Binns
722635	257530	Lady in Suit
722636	130350	Waitress
722636	313625	Gambler #1
722637	127803	Stewardess
722638	72684	
722639	224039	Bettie Rabinowitz
722640	20003	
722640	127730	Mary Ann
722640	334187	Girl
722640	336819	Cindy
722641	326744	Lisa Goldfluss
722642	16968	Joanne
722642	18273	Eurydice
722642	47130	Weeping Woman
722642	91522	Agnes
722642	144956	Mother
722642	186650	Older Betty
722642	198338	Orphanage Headmistress
722642	209384	Woman
722642	237612	Gloria
722642	243595	Doris Campisi
722642	244772	Mary
722642	260357	Nora
722642	367062	Irma Kahler
722643	10138	Grandmother
722643	43972	Annie Merton
722643	77848	Agnes
722643	104389	Ethel
722643	197081	Miss. Edith Oates
722643	242564	Nana
722643	274679	Mom
722643	357586	Jill Maschler
722644	294239	Iris
722645	289794	Constance Walker
722646	32356	Parisienne
722646	178007	Margrethe
722646	198545	Inez Kraft
722646	276035	Connie Miller (Danish version
722646	278356	
722646	289568	Linda Caldwell
722646	315392	Anna Lise, Rodians niece
722646	343519	
722646	350562	Grete Hald
722647	188049	
722648	337098	Lady on Stairs
722649	231723	Nurse
722649	237506	Krystyna
722649	251923	Kasia
722650	26750	Ann
722650	46568	Goth Poser #1
722650	80602	Carla
722650	99981	Elizabeth
722650	99986	Elizabeth
722650	234136	Herself
722651	126130	Featured
722651	213466	
722653	103326	The Resistance Force
722653	159164	Beloch's Army
722654	44567	Justine
722654	224296	Deenie
722654	334227	Sheila Goldberg
722655	345633	Jane Fusco
722656	79986	Gem Thief #2
722656	95270	Patti Hill
722656	115842	Sales Clerk
722657	97492	Lanet Newell
722659	79049	Vampire
722660	51990	Carol
722660	79279	Birdwatcher
722660	191432	Storewoman
722661	81527	Chainsaw weilder
722662	39168	
722663	185735	Ladly in restaurant
722664	392597	Various characters
722665	79858	Policewoman
722665	195931	Jasmine
722665	248136	Contestant
722665	273333	News Reporter
722665	388483	Tracey Cassley
722666	87599	Cathy's Bank Teller
722667	20989	Herself
722668	341515	Dancer
722669	80943	Hostess
722670	372175	Dancer
722671	12319	Master-Slave Girl (Sheila)
722672	302793	Sweet Spirit
722673	378767	Fashion Correspondent
722673	381514	Herself
722673	383766	Herself - (2004)
722673	387210	Herself (2000-2001)
722674	69751	Tiffany
722674	104896	Chelsea Rellim
722675	65189	Paula
722675	92445	Sandy
722675	125408	Receptionist
722675	135171	Kathleen Clark
722675	202997	Millie Swickle
722675	218178	Lisa
722675	259282	
722675	385588	Paula Tracy
722675	394457	Gladys Fuller
722676	135769	Schoolgirl
722676	199390	Black Schoolgirl
722677	113515	
722678	300856	Ms. LeClaw
722679	277258	Cuffy
722680	136042	Tessie, a dancer
722681	350022	Charlotte Walker
722682	340827	Lip-Syncher
722683	120202	Terri
722683	129900	Kathy
722683	195362	
722683	242815	Janice Wheelan
722683	279982	Herself
722683	314439	Beth Davis
722683	384479	Cleopatra
722683	386992	Kate O'Brien (1995-2002)
722684	58495	Passenger
722686	240746	Cindy
722687	87586	PCP Observation Patient
722688	364302	Sue
722688	389416	Reporter
722689	118305	Lolly Bhumer
722689	135908	Abbie Stevens (owner, Stevens
722689	150407	Irene Partain
722689	184955	Mary
722689	202963	Judy Bassett
722689	203199	Skippy Renchler
722689	232200	Susan Mayes
722689	257714	Phyllis Matthews aka Miller
722689	267559	Laurette de Latour
722689	272966	Zoe Fontaine
722689	314412	Helen Walters
722690	274520	
722691	150552	
722691	159035	
722691	237814	
722691	376662	La mujer boba
722692	53320	Transfer Girl
722693	131380	Demented Hills Dancer
722694	238094	
722695	140843	Receptionist #3
722696	43242	
722697	178048	Esther
722698	297190	Sorority Girl
722699	17749	Dancer
722699	189987	Red-Sweater Girl
722700	216408	Christine
722701	231108	
722702	360752	Herself
722703	142935	Alderwoman
722704	152947	Car Rental Girl
722705	56746	Trixie Pollitt
722706	374481	Jane
722707	107155	TV Reporter
722708	166871	Additional cast
722709	231940	Mary Cutter
722710	19303	Vicki
722710	31197	Herself (CBS Team contestant)
722710	105182	
722710	264830	Angie
722710	308978	Jessie Walters
722710	380570	Barbara Lee 'Billie' Bunker (
722710	383923	Tiffany Kovac (1987-1990)
722710	388820	Jilly
722710	396574	Tina Manucci
722710	401616	Paige McAllister
722711	37137	Ingrid
722712	11125	Gaby Renee
722712	72220	Nanette
722712	75483	Bessie
722712	105159	Emily
722712	112512	Helen Van Allen
722712	114889	Marion Vavasour
722712	149137	Countess Zara De Winter
722712	152927	Marie
722712	178026	Suzette
722712	271250	Anne
722712	298041	Céleste
722712	363090	Siren
722713	100337	Dancer
722713	198265	Nightclub Singer
722714	354786	
722715	355091	Stephanie
722716	330836	Child
722717	60075	Treble Clef girl
722717	328630	Mother
722718	79049	Vampire
722719	241551	Mary
722720	225681	Speaker, English version
722721	305571	Young American Miss
722722	392201	Prunella Bluster/Heidi Doody
722723	30741	Sue
722723	31832	
722723	74115	
722723	154825	
722723	154926	
722723	199144	Singer
722723	219864	Barbara
722723	288972	
722723	308139	Dorothy
722723	364446	Rebekah
722724	72733	Movie Patron
722724	157476	Ann
722725	189987	Frisbee Bikini Girl
722726	102580	Mom
722727	91950	Secretary
722728	199467	Teenage Panda
722729	109361	
722730	203395	Margo
722731	188376	Herself - singer
722731	231789	Herself
722731	329388	Teenager
722732	168326	Mrs. Wilson
722733	17755	
722733	44845	The Nurse
722733	45392	
722733	50894	
722733	57220	
722733	59684	
722733	69453	
722733	77713	
722733	88959	
722733	92426	
722733	92939	
722733	103267	
722733	151510	The Suffragette
722733	162865	
722733	184388	Committee Woman
722733	192419	
722733	206644	
722733	221078	
722733	241785	
722733	248028	
722733	283520	
722733	316594	
722733	342965	
722733	362875	
722733	364168	
722734	154775	
722734	316283	
722735	287320	Statue
722736	302143	Rachel
722737	116371	Mammy
722737	235072	Milly
722738	65891	Stephanie
722739	215644	Little Lusia
722739	330372	Herself (Surprise Eyewitness)
722740	367891	
722741	192509	
722742	246386	
722743	19287	Marcia Sherman
722743	19891	Martha Barlow
722743	21299	
722743	35745	Switchboard Operator
722743	36785	Marsha Jordan
722743	37470	Alicia Chadwick
722743	47348	
722743	48588	Molly Parnell
722743	154827	Anita
722743	159944	Marie Kembar, Dunlap's Fiancé
722743	173530	Barbara Bruce
722743	221304	Nurse on Train
722743	230339	Phyllis Towwnsend
722743	242724	Lorry Evering
722743	255521	Norma Harmon
722743	298122	Secretary
722743	315749	Cora Marshall, Betty's Sister
722743	330018	Hat check girl
722743	353370	Giulia
722743	366353	Margaret Killefer
722744	297918	Customer
722745	215214	
722745	348704	
722746	36928	
722746	147872	
722747	142429	
722749	333216	Mom
722750	79364	Dorothy Pennell
722750	287125	Spinster
722751	188405	Jitterbug Dancer
722752	105213	Stage 7
722753	6950	Mammy Lou
722753	26225	Mamie
722753	33753	Mammy
722753	47577	Mammy Liza
722753	67874	Mammy Jackson
722753	71637	Mandy
722753	72045	Jane
722753	77702	Mammy
722753	85869	Mammy Dinah
722753	125810	Mrs. Joe Atwater
722753	143432	Mandy
722753	158562	Mammy
722753	186827	Dinah
722753	207870	Mammy
722753	289624	Cynthia
722753	302868	
722753	303276	Colored Mammy
722753	336339	Liza
722753	340528	Cynthia
722755	7212	
722755	21531	
722755	46420	Despina
722755	80521	Louise (segment "My Brother's
722755	86529	Rosemary
722755	87522	Francine
722755	94655	Judi
722755	115668	Sugar
722755	117230	Claudine
722755	158183	Lauren Gibb
722755	160589	Betty Marsh
722755	165484	Girl
722755	169947	Patty List
722755	205904	Joyce
722755	217536	Karen
722755	220058	
722755	244372	Sister Beatrice
722755	283642	
722755	301557	Jill Martin
722755	313696	Deborah
722755	353749	
722755	357065	Paula Simon
722755	382718	Jacqui Savard
722755	385011	Lacey Burrows
722756	392503	Stewardess
722757	111791	Flagman #1
722758	126686	Girls' Track Team
722759	40185	Claudwell
722759	115241	Teri, the Rape Victim
722759	209713	
722759	327144	Dancer
722759	338344	Go-Go Dancer
722759	367822	Girl in Bar
722760	308813	
722761	361720	The Child
722762	297241	Diane Rogers
722763	31637	Bikini Audition Girl 14
722763	34637	Herself
722763	49656	Playboy Bunny
722763	118563	Herself
722763	296752	Exotic Dancer
722763	312763	Miss America
722763	365181	Herself
722764	5152	Andy Wendt
722765	37094	Polly Neilson
722765	44844	Bernice
722765	176949	Meg Blakenship
722765	329094	Andrea
722766	267506	
722766	301484	
722767	151177	Mrs. Stone
722768	230370	Jennie
722769	81040	Woman By Cemetary
722770	370102	
722771	24735	
722772	158818	
722772	317451	Girl in Franchise
722773	355091	Apartment Window Girl
722775	138444	Mickey's Mother
722775	167324	Garrison receptionist
722775	267568	Movie Audience
722775	270622	Mrs. Needleman
722776	33178	Betsy
722777	203471	June Stanley
722778	292175	Lady on bus
722779	274971	
722780	45096	Maria Domingues
722780	50847	Portuguese girl
722780	74224	Rosa Santorre
722780	327970	Girl Reporter
722781	2781	Girl from Montclair
722781	68470	Peggy's Friend
722781	216602	Herself
722781	387509	Cindy 'Mac' MacNamara (1993-9
722781	397991	Herself (Seasons 3-7)
722782	193343	
722782	230267	
722782	327363	
722782	385400	
722783	51791	Medical Student
722783	261977	Yoeval Local #2
722784	289526	Skyler
722784	389858	Lydia Karenin Cassadine #2 (2
722785	146783	Policewoman
722786	239933	Alice
722787	131767	Woman at Station
722788	141665	W.U. Girl
722789	216820	Model No. 1
722789	336758	
722790	29159	Tami
722791	161731	Mrs. Kindley
722792	271338	Sue
722792	292694	Margaret
722792	372193	Bit Part
722792	384783	Cheryl Fine
722792	386518	WPC Alex Johns (1962-1964)
722792	401607	Dr Susan Fraser
722793	35583	Sally Noble
722793	84989	Francesca Doni
722793	113377	Rose, Her Sister
722793	117688	Elvine Van Blooren
722793	120641	Anne Shellington
722793	141330	Rosa
722793	143365	Pepita
722793	144952	Marie Stanning
722793	153179	Lilah Elkins
722793	345699	Nell Loring
722793	364674	Maud Stone
722793	366735	Dolores
722794	327298	Groupie #1
722795	114291	Model
722795	144660	Model #2
722796	44444	Jodell Shorn
722797	2800	Nadia, la chanteuse
722797	124318	Anny Flyn
722797	158843	
722797	248259	
722797	294565	La standardiste (segment "Par
722798	50035	Stella Mannering
722798	301681	Mother Superior
722798	383385	Princess Sheena
722799	310524	Isabell Johnson
722800	285322	Superchick's Mom
722801	24432	Teacher
722801	56144	Demonstrator
722801	64409	Woman Singer
722801	66942	Sister Katarina
722801	70778	Phyllis, Old Woman with Cat
722801	81334	Old Lady
722801	85860	Mrs. Valin
722801	209436	Old Lady #1
722801	235403	Grandma Briggs
722801	268918	Talk Show Guest #2
722801	275872	Miss Pugh
722801	314156	Grandma
722801	317299	Fern
722801	329395	Model
722801	330565	Elderly Lady
722801	340901	Senior Citizen
722801	349632	
722801	359558	Mona
722802	121407	Female Dancer #1
722802	319651	Herself (Brazilian dancer)
722803	146756	Frances Ireland
722803	318812	Kathy Buckwalter
722804	256965	Park Wife
722804	396108	Contestant
722805	41401	Reporter #1
722807	221142	
722807	256102	
722807	381852	Lovely
722807	383054	Rochelle
722807	396887	Vyxia
722808	4618	Venusian Guard (Miss Welcom t
722809	321206	Ellen Becker
722811	69510	Jeanette Harcourt
722811	146301	Kate Weld
722812	41198	Baby Gnome
722813	7884	Bookstore Clerk
722814	150483	
722814	278924	
722814	321367	Gina
722815	342669	Bar patron
722816	126104	Jo Miller
722817	8630	Belle
722817	51975	Claire
722817	73500	Drunk at Roundup Bar
722817	74232	Vera
722817	107089	Victor's Wife
722817	113771	Mrs. Canaday
722817	117296	Pilar
722817	133807	Cold woman
722817	138847	Mrs. Kirby
722817	141683	Mrs. Smith-Gould
722817	164605	Mabel Spooner
722817	234049	Jess
722817	240886	Maria Pouliski (1939 version)
722817	241061	May Daniels
722817	241788	Reporter
722817	245689	Frank
722817	258751	Sadie
722817	308065	Mac
722817	309947	Mrs. Evans
722817	315745	Woman on Bridge (segment "Equ
722817	323402	Secretary
722817	335728	Mrs. Collins
722817	341962	
722817	363744	Toby van Buren
722817	367520	Susan
722817	371547	Matron Barker
722817	401422	Presenter (1936-????)
722818	274458	Bar Regular
722819	87780	Herself
722819	358832	Herself (Walt's granddaughter
722820	206889	Amelia
722821	26019	
722821	164629	
722821	242312	
722821	249813	
722821	256785	Mildred
722822	193858	Melissa
722823	232166	Waitress
722824	122646	Jody
722825	151055	Little girl
722826	51760	Mary Donelly
722826	64061	Stepsister
722826	337107	Daphne Adams
722827	380565	Kitty Adams
722828	277098	Berma Bisek
722828	286808	Guest
722828	308576	Bernadette's Schoolmate
722828	309827	Girl Piano Player
722829	392119	Presenter
722830	32189	
722831	43242	
722832	201326	Stadium Control Room Operator
722832	265527	Debbi
722833	364942	Fan 5
722834	168301	
722835	229113	Bradley
722835	263748	Caitlin Foster
722836	323037	Philippa Morgan
722837	217745	Cape Cod Hostess
722838	119496	
722838	270394	Kay
722838	291736	Housemaid
722838	305571	Young American Miss
722839	40907	Ingegerd, waitress
722839	96422	The old woman
722839	96427	Meter Maid
722839	115389	Britt
722839	115390	
722839	115425	Prompter
722839	136613	Nurse
722839	142214	Dam i hissen
722839	174726	Helga
722839	181638	Karin, housemaid
722839	182455	Anna
722839	182540	
722839	182559	Hotel Waitress
722839	182579	Secretary
722839	193298	Ullagreta, maid
722839	203256	Stina
722839	217451	Shop assistant
722839	268328	Maid
722839	268348	Margit
722839	276130	Waitress
722839	276139	Vikström's housemaid
722839	284102	Inga
722839	293314	Nurse
722839	304199	Elin
722839	305874	Stefan's father's housemaid
722839	314390	
722839	322280	Marianne´s and Beryl´s mother
722839	341810	Emilia
722839	348728	Hulda, maid
722839	377429	Mrs. Oscarsson
722839	377433	Woman on television
722839	380374	
722839	391435	Margaretha's mother
722839	410281	Skolfröken
722840	389097	Herself
722841	63424	Desiree, the Whore
722841	101942	Blind Date #3
722841	204209	Journalist
722841	404602	Debbie DuPree
722842	106654	
722843	115562	Rockette
722844	165635	Olympia
722845	337355	Little Girl
722846	176884	Aerobics dancer
722847	62151	
722847	68162	Kathy Delise
722847	112545	Carolee Hunter
722847	185224	Annette
722847	297261	Anjanette
722847	314100	Dorothy Stephens
722847	316133	Dr. Allison Crowley
722847	405480	Gail Goodman
722848	37786	3rd Seance Member
722848	40800	Children's Nurse
722848	46392	Catherine
722848	121803	Delta Gamma
722848	239203	Mrs. Mittleman
722848	295461	Nurse
722849	303671	Miller
722850	1038	Dancer
722850	32052	Dancer
722850	45591	Dancer
722850	203358	Rockette
722850	362453	Showgirl
722851	82541	Mauling Mama
722852	326604	Jane Gilchrist (Cheerleader V
722853	27263	Receptionist
722853	126039	Betsy
722853	126040	Betsy
722853	142755	
722853	161329	Herself
722853	169135	Tamar
722853	230508	Carol
722853	231068	Linda Callaway
722853	247194	Liz Corey
722853	283489	Wife #2
722853	404727	Nikki West
722854	199207	
722855	232608	Marie Rambert
722856	301589	Maria
722857	304683	
722858	142394	Patty
722859	46353	Girl
722860	107001	Young woman
722860	396425	Maggie McKinley
722861	394311	Mary Denise
722862	5960	Girl in hot tub
722862	207157	Dancer
722862	340857	Jade Gate girl #5
722863	216773	Britannie Spears
722864	60763	Cindy
722864	89236	Naomi
722864	107871	Angela
722864	203329	Sally
722864	242814	Rio
722864	273474	April
722864	321459	Sarah
722864	326447	
722864	407957	Princess Stevenson
722864	409697	Ashley Elliot/Alexis Elliot
722865	281466	Nicole
722866	83587	Claire Lindquist
722866	89962	Barbara Ellison
722866	115496	
722866	120512	Georgette (Lorene's roommate)
722866	126151	Ellen Blake
722866	141184	
722866	142469	Beth Hodes
722866	144855	Abbey Davis, Farrell's Girl
722866	154693	Alix Richardson
722866	170800	Jean Gillis
722866	246603	Miss Williams
722866	253540	Kathryn Bonham
722866	292533	Cindy Howard
722866	296835	Celia Starrling
722866	309286	Dolly: Doctor Alexander's Gir
722866	314237	Marlina
722866	320294	Spectator
722866	331523	Lady DeWinter
722866	332043	Fay Warren
722866	335614	Kathy Palmer
722866	340386	Sylvia Enright
722866	340570	Coquette
722866	372516	Rebecca Bryan
722866	406620	Margaret Jones (Second Season
722867	337206	Child at the World Choir
722868	309206	Karen
722869	127522	
722869	132525	Night club stripper
722870	64556	Herself/performer
722870	86545	Kari/Young Kari
722870	127729	Herself
722870	323343	Dinky Juju
722870	336654	Courtney
722870	378652	Female Heavy Blade, Additiona
722870	379893	Kathy (1999-2000)
722870	380605	Second Lt. Sue Harris
722870	380775	Alejo, Additional Voices
722870	384455	Puppy Clifford/Sock Spider
722870	385569	Heruka: Team Akira's Manager
722870	386345	Kari Kamiya (1999-2001)/Addit
722870	390070	Samantha 'Sam' Kanisky
722870	400269	Karen Onodera
722870	402899	Haul
722870	404572	Scheris Adjani
722871	137663	Claudia
722871	346044	Chloe Spencer
722872	116940	Babe
722873	105462	Starlet at Audition #4
722873	229673	Child outside of shop
722874	140077	Jackie
722875	12319	Party Guest
722876	92232	Tina Lovette (the Party Girl)
722876	115941	Corporate Couple #1
722876	142809	Jimmy's Blonde friend
722876	192674	Cheryl
722876	230685	Toll Girl
722876	378665	Julie
722877	223394	Baby
722878	182334	Museum Girl 1
722879	194830	
722879	327733	Mrs. Hank Smith
722881	365344	Liz, the Wardrobe Woman
722882	60460	The Girl
722882	267339	Gladys
722882	333395	
722882	367054	The Wiz Singers Adult Choir
722883	2019	Dancing Girl
722884	374353	Mrs. Morloche
722885	78916	Marley's Mother
722885	92864	Willa
722885	99584	Ann Beaulieu
722885	151228	
722885	232093	Barbara Boyd
722885	293644	Lili Connought
722885	316143	
722885	341984	Mrs. Pine
722885	347414	Jeannette
722885	382908	Additional Voices
722885	397922	Stella
722886	289670	
722887	134097	Nurse
722887	177698	Lieutenant Susan Watson
722888	1543	Molly White
722888	65085	Tobacco Chippie No. 2
722888	230857	Shanice
722889	58495	Passenger
722889	69049	Customs Agent
722889	88181	Arguing parent
722889	89334	Angry Woman
722889	149832	Mrs. Loveridge
722889	240202	Liz
722889	299466	Woman thrown from car
722889	399947	Lisa Maddux
722890	272440	Market Scene Extra
722891	237431	Wharvey Gal
722892	354550	Gilly
722893	10330	Streetwalker
722893	12275	Cindy
722894	34945	
722894	356645	
722895	214087	
722896	158179	Mammy
722897	190767	
722897	276764	Dance Hall Girl
722898	11141	Cherry Queen
722898	11609	Marie
722898	13590	Alice Rhodes
722898	28441	Girl in cafe
722898	35479	Marion
722898	35755	Susan Cook
722898	37334	Hatcheck girl
722898	44242	Helen Stockton
722898	54933	Ann
722898	74288	Garter Girl
722898	120737	Ellen Williams
722898	138804	Showgirl
722898	144425	Friend
722898	163477	Buttons
722898	193854	Elsie Melford
722898	206355	Bit Role
722898	210751	Pat Mann
722898	216362	
722898	223019	Girl
722898	255327	
722898	277995	Janet Owens
722898	278079	Blanche
722898	287487	Marisa Hutton
722898	298093	Club singer
722898	313377	Herself - Swing Shift Number/
722898	331417	Peggy Barlow
722898	340467	Mathilda 'Matty' Simmons
722898	348327	Goldwyn Girl
722898	363847	Ruth Stacey
722899	295727	Wanda
722900	137568	Helen
722901	96939	Maid
722901	96989	Clara
722901	152925	Virgie
722902	20287	Dancer
722902	30071	
722902	36571	
722902	53192	
722902	53218	
722902	59602	Secretary
722902	61306	
722902	77805	Chorus girl
722902	152189	
722902	163544	Dancer, American Girl
722902	195071	Dancer
722902	210871	Norma
722902	248613	Chorus Girl
722902	255550	Ballerina
722902	267588	Percentage Girl
722902	271855	Guest
722902	283381	
722902	313076	Dancer
722902	314486	Dancer
722902	339407	Dancer
722902	360837	
722902	361790	
722902	370537	Chorine
722903	240232	TV Reporter
722903	256837	Shop girl
722904	26989	Kath
722904	80693	Daphne
722904	80871	Julie
722904	167797	Lauren
722904	176229	Mrs. Grant
722904	219208	The Teacher
722904	391251	Nerida Watson
722904	402718	Leanne Cassidy
722905	140164	
722905	222694	Young Woman
722905	264154	Ram's Secretary
722905	331672	
722905	339464	Judith
722905	364147	Melissa
722905	382052	WPC Cathy Marshall (1989-1996
722905	386279	Alison
722906	118256	
722906	343224	
722907	271344	Lawyer
722908	176275	
722908	278437	
722909	32970	Nina Duke
722909	155594	Lady Basildon
722909	188316	Mrs. MacTavish
722909	203790	Betty Carver Latham
722909	292486	Ruth
722909	337111	Molly Stevens
722909	342822	Sphinx girl
722909	385220	Luise Ivanovna
722909	385299	Patricia Blake
722909	408626	Mimi
722910	51946	Meme
722912	117522	Sunseeker
722913	107116	Lori Hammil
722914	6812	Jenny Quin
722914	26976	Linda Lomax
722914	61564	Elizabeth Lorimer
722914	77623	Jill Gordon
722914	110996	Jessie
722914	203212	Gladdie
722914	204021	Mandy Garland
722914	271338	Anne Kent
722914	292694	Katie Martin
722914	306189	Candy Duval
722914	384783	Carol Beach
722914	406943	Mandy Proctor
722915	343881	Dancer
722916	195313	Blanche
722917	127480	Singer
722918	123014	
722919	171081	Casper
722920	311300	
722921	388350	Letitia
722922	196434	Lovers Lane Woman
722923	143267	Lia Toerrek
722923	286115	Sally Bowling Green
722923	319130	Sunny Peters
722923	359473	
722924	119096	Lois
722925	2584	
722926	79081	She-wolf
722927	288719	Herself
722929	176312	Band Singer
722929	363274	Gang Girl
722930	135812	April
722930	288999	Jogger
722930	358604	Ms. Garber
722931	47191	Demonstrator
722931	306286	Chorus
722931	380259	Jennifer Sorrell
722932	5960	Country girl
722932	61144	
722933	7880	Deirdre Pilkington
722933	11441	Frau Kemmerich
722933	30410	Anna
722933	48964	Barbara
722933	107803	
722933	143859	
722933	155912	
722933	206713	Various Characters
722933	272927	Girl In Cabin
722933	379792	Meg Freeman
722933	387247	Joan Garwood
722933	388503	
722933	390387	Regular
722933	394663	Lillith (1987-1988)/Mildread 
722933	396982	Various Characters (1968-1969
722933	408870	Mrs. Gillingham
722934	280443	Herself
722935	195987	Nurse
722936	29086	Baby
722936	161461	Daughter of Stepan and Tatian
722936	165971	Baby Warren
722936	231875	The Martin Baby
722936	310445	Doris Wayne (the baby)
722936	330507	Annie as a baby
722936	331406	Baby Durkin
722938	316626	(English version)
722939	17697	Mrs. Albert Pringle
722939	46853	Saleswoman
722939	47586	Hillary Nash
722939	53612	Rita Keller
722939	54922	True Heart Bear
722939	91862	
722939	93211	Newald's Secretary
722939	140901	Bergdorf's Saleslady
722939	140960	Stedman's secretary
722939	158183	Mrs. Wyman
722939	183346	Iris
722939	191253	Seamstress
722939	221049	Lise's Mom
722939	224179	Doreen
722939	231915	Housekeeper
722939	245477	Peggy O'Brien
722939	278682	Mrs. Dunken
722939	279349	Mrs. Tate
722939	292164	
722939	305377	Diane's Mother
722939	320041	Mrs. Harris
722939	330676	Wilma
722939	397936	Nurse Miller (1968-1971)
722939	398728	Additional Voices
722939	404419	Various Characters (1991-1992
722940	75717	Olympic commentator
722941	41198	Baby Gnome
722942	45638	Dog Owner (segment "This Car 
722943	213259	Young Samantha
722944	336559	Gretel
722945	104779	Israeli vote presenter
722946	368876	Netta Wright
722947	26971	Katie
722947	26981	Madame Pincini
722947	79049	Vampire
722947	217864	Cunegonda
722947	265083	Irene
722947	301613	Clerk
722948	41186	Laci Hundees
722949	410051	Molly
722950	229506	Stephanie
722951	245275	Darla Hull
722951	283434	Reporter #1
722952	79262	
722953	13451	Dyala
722953	37476	Lola
722953	42732	Tina
722953	78984	Bull Woman
722953	80746	Charlotte Moreland
722953	142424	Tough Bikini Woman
722953	143525	
722953	147655	Amazon Warrior From Brooklyn
722953	250546	
722953	252223	Sugar
722953	276638	Winston
722953	285032	Wannetta
722953	361848	Girl in Saloon
722953	407178	Revel (1977-78)
722954	43	Diner Waitress
722954	222686	Hostage Kelly
722954	301830	Bridesmaid #2
722955	8746	
722956	57817	
722956	346055	Nellie
722957	2498	Student
722958	3426	
722958	3504	
722958	3568	
722958	10130	
722958	13457	Melanippe
722958	18808	
722958	24203	
722958	36457	Redhead At Saloon
722958	50147	
722958	51700	Rosy
722958	56634	
722958	58034	
722958	61126	
722958	61144	
722958	74350	Amelia Garontes
722958	74821	
722958	75444	
722958	76104	
722958	92347	
722958	92515	Sandra
722958	96351	
722958	124556	Lisa Sanders
722958	126529	
722958	132638	Elke
722958	158611	
722958	160726	
722958	166666	
722958	190424	
722958	190644	Mary Luz
722958	197216	
722958	199946	
722958	204564	
722958	208192	
722958	212450	Verónica
722958	233344	Chelo
722958	233583	Carmencita
722958	233599	
722958	236031	
722958	243959	
722958	246376	
722958	252053	
722958	252559	Lola, la viuda
722958	256719	
722958	266408	
722958	273658	Kala
722958	276560	
722958	280874	
722958	287848	Susan
722958	296143	
722958	296450	
722958	296477	
722958	301197	
722958	302310	
722958	317730	
722958	322830	
722958	334698	
722958	344606	Aysha
722958	351838	
722958	353243	
722958	371692	
722958	378452	
722959	307855	
722960	55006	
722960	389480	Mabel Cruz
722960	401634	
722961	407055	Herself
722962	195183	Herself
722963	295187	Young Kate
722964	25777	Annie Lefrançois
722964	33768	
722964	68350	
722964	68773	
722964	94507	
722964	114592	Narrator
722964	124398	
722964	134327	Narrator (French version)
722964	157014	
722964	171596	
722964	218287	Narrator
722964	220405	La réalisatrice
722964	234674	
722964	261780	Hélène
722964	333812	Marie-Ange
722964	340198	
722964	346661	Catherine
722964	383372	Fabienne Vigneau
722964	387048	Mireille Bergeron
722964	387530	Fleur-Ange Fisher
722964	396977	Nicole Martin
722964	398172	Madame Félix Brisebois
722964	401081	Madeleine Rousseau
722964	404863	Yolande Hébert-Charron
722964	408173	
722965	407414	Baby Sadie McDonald
722966	70413	Mrs. Miller
722967	23899	Mrs. Shaw
722967	45914	
722967	202907	Nursemaid
722967	207193	
722967	251500	
722968	81536	Mrs. Wainwright
722969	139467	
722970	262589	St. Matthew's Choir & Band Me
722971	315697	Early Woman
722972	360682	Mother Epstein
722973	372759	Herself
722973	411830	Herself (1985-1988)
722974	195331	Young Mia Farrow
722975	215687	Judge
722976	158338	Judy's cellmate #1
722977	211602	Girl at Maxim's
722978	25461	Raggedy Ann
722979	54620	Clara
722979	142637	Dancer (Cook)
722979	202195	Roseland Dancer
722979	216670	Herself (interview)
722979	274441	Herself
722979	277697	
722979	310417	Doreen
722979	393379	Herself
722980	298388	Black woman
722981	126130	Featured
722982	174585	Katie
722983	49139	Herself
722984	1666	Interviewer
722984	152536	Verna Gold
722984	248441	Vonny
722984	257389	Herself
722984	304563	Burtoli's Girl
722984	404613	Amy Kaslo #1 (1974-1975)
722985	84808	
722985	84809	
722986	22185	Girl
722986	195903	Florence
722986	291864	Maria Romanek
722987	25190	Grace Douglas
722987	26808	Margaret Lothbury
722987	32071	Janet Brady
722987	46395	Elizabeth Wheeler
722987	46518	Marjorie Hale
722987	47498	Betty Anne Bolton
722987	52902	Nichette
722987	79456	Lois Whittall
722987	93822	Sylvia Moorhead (his daughter
722987	107789	Eve Grant
722987	112460	Phoebe Joyce
722987	112600	Ann Withero
722987	114057	Rose Robbins
722987	116791	Ruth Rand
722987	116976	Dorothy Clark
722987	118012	Pasa Ortiz
722987	124456	Mara Di Leon
722987	128254	Mary
722987	128425	Dora Sinclair
722987	128733	Kitty Shayne
722987	133676	The Bride
722987	138203	Marian
722987	140981	Patricia Van Felt
722987	142475	Jude Lowrie
722987	143210	Judy Brewster
722987	143841	Mary Sloan
722987	147283	Patsy Ryan
722987	150166	Patsy Jones
722987	150698	Peggy Fairfax
722987	152720	Esmeralda
722987	177509	Kate Fairfax
722987	185480	Stephanie
722987	193567	Herself
722987	193796	Kitty 'Minty' Minter
722987	194593	Lorraine
722987	206341	Margaret
722987	224132	Molly Marley
722987	227161	Fenella Stanley
722987	231804	Eleanor
722987	238951	June Harrison
722987	240246	Little Shireen
722987	241044	Antoinette
722987	241231	
722987	246750	Patsy Deveau
722987	264713	Eileen Cohannigan
722987	269263	Germaine
722987	274158	Elizabeth Lowden
722987	274264	Joan Duval
722987	275477	Mab
722987	281874	Rose Kirby
722987	287948	Betty
722987	293781	Alice Neal
722987	297401	Polly
722987	298257	Zilahl (a marriage market pro
722987	300103	What Became of the Floradora 
722987	302688	Betty Gleason
722987	306446	Grace Miller
722987	306495	Suzanne Giraud
722987	309581	Celebrity
722987	309876	Charlotte Guest
722987	329239	
722987	331130	Angelique Dean
722987	337492	Paula Wayne
722987	339737	Alice Millard
722987	340396	Mary Hale
722987	342519	Elsie Dolan
722987	359883	Margaret Andrews
722987	360358	Beth Levine
722987	362197	Mary Sullivan
722987	363494	Lorna Owens
722987	363704	Dora
722987	363765	Zelie
722987	364569	Marie Downey
722987	364800	Julia Faulkner
722987	366637	'Billie' Farrington
722987	367306	Minnie Humphrey
722987	370548	Margarita
722988	257087	Miss Newton
722989	77681	
722989	85997	Patty
722989	105975	Cissie, Age 8
722989	123913	Girl
722989	131594	Johnson Girl
722989	134107	Louisa
722989	169906	
722989	267589	Thorley, age 10
722989	294357	Girl
722989	319193	Young Girl
722989	407476	Presenter
722990	6865	Brenda
722990	12332	Elizabeth Rose
722990	20562	Herself
722990	25417	Paula
722990	37452	Winnie
722990	38140	Daisy
722990	46287	Grace
722990	55122	Gail
722990	55675	Harriet
722990	59350	Edna Purviance
722990	59378	Cassandra
722990	80398	Linda Kimble
722990	80483	Dr. Gillian Hayes
722990	89099	Meredith
722990	92302	Lori Mitchell
722990	108425	Herself
722990	115098	
722990	117664	Claire Clifton
722990	120014	Tina Sabatini
722990	121520	Michelle
722990	135812	Mrs. Elizabeth Louise 'Betty 
722990	145707	Garnet Hadley
722990	150691	Mary
722990	176964	Laura Chadwick
722990	177204	Joyce Palmieri/Rachel Crisp
722990	191734	Rebecca
722990	201613	Herself
722990	206864	Mary Kay Letourneau
722990	211563	Mary Hatch Bailey
722990	213860	Sally
722990	244379	Kate Sullivan
722990	244927	Emily Webb
722990	245506	Earlene Demers
722990	275330	Dr. Margo Green
722990	277446	Lilah Bloom
722990	280286	Barbara Cousins
722990	282922	Barbara Henry
722990	283015	Donna Hanover
722990	289530	Kathy Clifson
722990	296875	Margo Lane
722990	329347	Pauline Snider
722990	366711	Kim Hudson
722990	367674	Zane
722990	370859	Margaret Harwood
722990	384492	Erica Hewitt
722990	392422	Herself
722990	395166	Nalene De Lena
722990	397818	Molly Hooper
722990	401851	Gwen
722991	81270	Angie
722991	147767	Dolores
722992	46607	The Gypsy Fortune Teller
722992	199405	Bejay Matlock
722992	277622	Malibu Party Guest
722993	68304	DC Carol Browning
722993	75582	Victoria
722993	380844	Fran Chapel
722993	403059	SSgt Harriet Frost (2004)
722994	317264	Woman with subpoena
722995	176275	
722995	278437	
722996	237465	Unknown
722996	308350	Club Hostess
722997	13833	Edie
722997	69773	Kay Otis
722997	125977	Anneliese
722997	195305	Receptionist
722997	221306	Neysa McMein
722997	222707	Lucille Frank
722997	253497	Herself
722997	253498	Herself
722997	255235	Carrie
722997	274805	Linda
722997	365968	Abigail Weld
722998	196457	Unicycle Girl
723000	148376	(Voice)
723000	157564	Chi-Ling Cheung, Alexandra
723001	195761	Erotic dancer
723002	185568	Choking Woman
723003	32808	Judith
723003	73224	Rookie Partner
723004	116053	
723005	403993	Extra [204]
723006	401021	Roz (1965-1966)
723007	335728	Records Clerk
723008	147900	Landlady
723009	330107	Dancer
723011	54591	Joan
723011	69732	Rosemary
723011	190103	Nurse Pat Roberts
723011	387518	Nurse Pat Roberts
723011	408932	Ann Pilgrim
723012	366075	Mary McArthur
723012	368654	Beverly
723013	64750	Nikki's Assistant
723013	107009	Herself
723013	110980	Rub Down Attendant
723013	193523	Guard
723014	275871	Wannabee Cheerleader
723015	10976	Gloria Du Bois
723015	17544	Countess Meskov
723015	68176	Julia Knight
723015	73222	
723015	86209	Hilda
723015	91725	Mrs. Rodman
723015	97491	Dinah Webberley
723015	107229	Gloria Lynn
723015	120318	Ruby
723015	123327	Millicent Hope
723015	124752	Mrs. Vernon
723015	152779	Mrs. Remington
723015	157516	Vera Vayne
723015	159438	
723015	184433	Myra Almazov
723015	186259	
723015	192406	Jo March
723015	224724	Helen Thirwell
723015	224798	Vera Lypashi
723015	235624	Sadie Sunshine
723015	278200	Mrs. Carlisle
723015	296886	Mrs. Clarke-Fenwick
723015	309253	Mrs. Palfrey
723015	342489	
723016	7482	Marie, Spencer's Maid
723016	177405	
723016	356527	
723017	35778	Ms. Mooney
723017	67791	Clarissa
723017	139030	Mrs. Lipscomb
723017	190078	Mrs. Fielding
723017	330477	Billy's Secretary
723018	316153	Blonde girl writhing in agony
723019	88933	Herself
723019	134178	Bel's neighbour
723020	385151	Nurse Manly
723020	394427	Female Carrier Pilot
723021	333213	Waitress
723022	183868	
723023	104222	La vieille mère de M. Falot
723023	401731	La poétesse
723024	128758	
723025	20530	Herself
723026	346276	Club Lady
723026	368835	Betty Bullard
723027	217602	Miss Jones
723027	217603	Jolene Jones
723028	288999	Beth
723029	340757	Movie Star
723030	192254	Conran's Saleslady
723031	231057	
723032	189987	Morgan Hall Coed
723033	132912	Commercial Voice
723034	54920	Brooke
723034	73850	Jennifer Blackstone
723034	80482	Nicole Allison
723034	130286	Candy Hardin
723034	139676	
723034	149965	Jean
723034	168714	Takahashi's secretary
723034	176985	Lisa Gallagher
723034	186063	Faye
723034	196948	Valerie Palmerston
723034	222570	Marsha Woodruff
723034	275791	Valerie Syracuse
723034	284935	Aunt Hilda
723034	289456	Bea Cole
723034	294519	Sandy
723034	296867	Mom
723034	316116	Susan Deller Ross
723034	317551	Anchorwoman
723034	325058	Jane Logan
723034	330847	Donnalee
723034	330891	Mary Ann McNally
723034	335721	Juliana Howell
723034	339480	Suzie Canboro
723034	349022	Celebrity
723034	355065	Mrs. Buell
723034	387215	Jane Oliver
723034	388154	Colleen O'Malley (1996-1997)
723034	394509	Dr. Lona Massingale
723034	401787	Host
723034	402612	Jennifer Taylor
723035	371319	
723036	10414	Nikki
723036	144944	
723036	169630	Savannah
723036	186496	Tammy
723036	347876	
723036	381538	Stacey (Series 2) (2002)
723036	394269	Fiona Bickerton
723037	176525	Colonist/ndian/French soldier
723038	18863	Beth
723038	116727	Emma
723039	262092	Reporter #2
723040	138724	Hospital Nurse
723040	139073	Leslie Wolstein
723040	147278	Sarah Milliken
723040	171311	Mr. Blake's Assistant
723040	354164	TV Interviewer
723040	392480	Herself/Hostess
723040	405238	Herself
723040	406506	Herself/Host
723041	109857	Anne Elizabeth 'Annie' Banks 
723041	405083	Herself
723042	236352	
723043	99233	Herself (post office clark)
723044	215507	Inga van Horna, Miss Utah
723045	45893	
723045	130666	Oriana
723045	142637	Mother calling for Junior
723045	159996	Vocalist
723045	214977	
723045	230240	Newscaster
723045	230344	Ouliotta Delight Hemogloben
723045	264914	
723045	304761	Ellen Pogrebin
723045	321511	Clementine, Singer
723045	372360	Girl
723046	11077	
723046	220511	
723047	138563	Marta
723047	391407	
723048	360470	Lady in Park
723049	108244	Teri
723050	223200	
723050	285813	
723051	79450	Peazant Child
723052	138246	Pub Whore
723052	138248	3rd Pub Whore
723053	6010	Herself
723053	187991	Emily Woodrow
723053	244334	Paula
723053	254465	Potts
723053	257804	Camille Roberts
723053	277483	
723053	335617	Stephanie
723053	336792	
723053	387618	
723053	388566	Elena Tyler
723054	92899	
723054	158933	
723054	254056	
723054	340160	Jacqueline
723055	293212	Joann Smalley
723056	83777	Catherine Mallow
723056	105618	Devlin' s wife
723056	209236	Col. Reese
723056	245717	Gayle
723056	379716	Nina Cortlandt Warner Warner 
723056	380391	Sally Spencer Frame Hobson Ew
723057	137684	Fake Morticia
723057	373216	Star Spangled Banner Singer
723058	264991	Mommy Tate
723059	366598	Coffin Girl
723060	385184	Fátima Batista (Joana's daugh
723060	394872	Antônia
723060	402685	Rosalva (child)
723061	65812	Charlotte
723061	176864	Beth
723062	162213	Interviewed
723063	358593	Margie Perkins
723064	81649	Goldberg's Girlfriend/Harry's
723065	407369	Additional Voices
723066	237465	
723067	309306	Rita
723068	11121	Pam
723068	78759	Original Cindy
723068	87517	Rudi
723068	147673	
723068	147745	Sartain Receptionist
723068	385710	Cynthia 'Original Cindy' McEa
723068	390143	Host
723068	400255	Meme the Host (1999-2000)
723068	401115	Co-Host
723069	256188	Go Go Girl
723070	67368	
723070	389780	Violeta
723071	65474	Additional Voices
723071	101967	Angela
723071	382941	
723073	101040	Masha's Neighbor
723073	106520	Tea Trolley Lady #1
723073	271206	Mabel
723073	316716	Party Guest
723074	371374	Electra
723075	33730	Stacy
723076	72765	Noel, as a child
723077	366784	QT Employee
723078	89311	Waitress
723079	98912	Computer Clerk
723079	401224	Flora
723080	130341	Girl at party
723081	380391	Jessica Buchanan (1970)
723081	400515	Mary Lee Weldon
723081	405882	Jessica Buchanan Delaney (197
723082	387937	Eugenie Sandler
723083	68086	Herself
723083	192279	Tabitha's Hands
723084	316693	
723085	216670	Herself (interview)
723085	270910	Domestic #2
723086	316262	Nurse
723087	302988	Lisa
723088	358832	Herself (granddaughter)
723089	222495	Elevator Passenger
723090	188114	Sour-Faced Nurse
723091	330743	Maggie Eisner
723092	26751	Rosie
723092	341925	
723092	391251	Carly Sutton
723093	51431	L'assistante du député
723094	253015	Young Babysitter
723095	100481	Olivia
723095	134957	
723095	157227	L'hôtesse de l'hotel
723095	211156	
723095	247170	Claire
723095	269741	Une inspectrice de la brigade
723095	357857	Louise
723095	377008	Sophie de Beaudouin
723096	402972	Reporter (1982-1983)
723097	58285	Night Nurse
723097	397947	Azelma Thénardier
723098	117464	
723098	219583	
723098	347469	
723099	400814	Nurse
723100	240274	Herself
723101	18448	Herself
723101	64333	Herself (1982)
723102	257213	
723103	58410	Laurence
723103	66214	Catherine
723103	73254	L'avocate stagiaire
723103	88172	Me Chaumont
723103	94238	Bi-therapy woman
723103	108221	Bérénice
723103	132402	Cécile
723103	132403	Angélique
723103	166346	The Night Nurse
723103	206008	Claire
723103	214021	Anne Elisabeth Picard
723103	235959	Férial
723103	247190	Claire
723103	306949	
723103	312855	Baroli
723103	324517	Irène
723103	336959	Catherine
723103	351789	
723103	356449	
723103	376890	Sylvie
723103	385347	Brigitte
723104	287231	Voodoo Priestess
723105	54250	Delphine
723106	275028	Alina
723106	338208	
723106	387424	
723106	387830	Luiza Barbosa
723106	387915	Betina
723106	388563	Carolina
723106	396938	Rita
723106	407643	Mônica
723106	407872	
723107	2252	(segment "Vertige de l'amour"
723108	141158	Nurse
723108	169894	Jury Forewoman
723108	206410	Taxi Girl
723108	292701	Caroline
723108	346156	Sylvia
723108	384477	Grace Eastwood
723109	391179	Özge
723110	27191	
723111	38358	Sandra
723112	307137	Herself
723112	331461	
723113	88270	Svetlana Karpov
723114	235383	Herself
723114	273448	Herself
723115	115249	Judith
723115	157603	Christine Downing
723115	362845	Mother
723115	387225	Debbie
723115	404699	Caroline
723116	254098	Alice
723117	144834	Paramedic
723117	183723	Lucy
723117	194130	Dyson's Secretary
723117	368675	Verity Sinister
723118	173467	Juliana
723119	311477	Supermarket Cashier
723120	18631	Dot.com Chick #3
723120	314731	Goth Girl
723121	26079	Female Officer
723121	28454	Ada
723121	76788	Muriel Video Addict
723121	222831	Joanie Heslop
723121	382343	Cathy Scanlon (2001)
723121	383732	Herself (Evictee #6)
723121	389498	Various (1997)
723121	401290	
723121	408616	Various (1998-1999)
723122	32371	Malin Tavast
723122	213430	Carola Christiansson
723123	2019	Brandy
723123	93897	Nurse #1
723123	264157	Bridesmaid
723124	71777	Marge Bacon
723124	231659	Mrs. O'Brien
723124	381608	Marge Bacon
723124	388977	Matron Ingrid Fisher
723124	388978	Matron Fisher (1986)
723125	169481	
723126	234913	
723127	334532	
723128	140402	Amy
723128	196005	Matron
723128	232372	Ana
723128	312714	Stacy Lancaster
723128	400772	Laura (1984-1986)
723128	408039	Angel Wasserman (1989-1991)
723129	91166	Cora
723129	199576	Alice
723129	324509	Charlotte/Maria
723130	283543	Dancer
723131	134004	Joanna Miller
723131	176796	Shannon Stahlworthy
723132	175832	Baby Joshua
723133	48043	Miss Bloxham
723133	54026	Susanna Foster
723133	73245	Lady Sybil
723133	128289	Kitty Fellows
723133	170987	Agatha
723133	190006	Nurse Erna
723133	232110	Anna Chiddiatt
723134	2632	Mrs. Bryant
723135	315900	
723136	385002	La maîtresse de maison
723137	403805	Chloe Thorne #1 (2000-2002)
723138	280064	Home Invasion Girl
723139	5413	Kate Jenkins
723139	7212	Zoe
723139	16672	Angie Brown
723139	24775	Deidre Kemp
723139	29707	
723139	41723	Girl in Pink
723139	73677	Julie
723139	80521	Little Iris (segment "My Brot
723139	108374	Marie Devereaux
723139	112485	
723139	117231	Debbie
723139	154308	Cynthia Morgan
723139	160778	Laura Templeton
723139	171334	Sarah McLennan
723139	223248	Natalie Fairlie
723139	224179	Carrie
723139	230526	Donna MacGonigal
723139	236222	Miriam
723139	241058	Emily Piper
723139	277474	Allison Megan
723139	278095	Marcy
723139	291699	Kay
723139	299550	Mystery Woman
723139	313696	Marilyn
723139	314163	Betty Amsler
723139	320319	Millie
723139	330670	Silver Sister #1
723139	381980	Jessie
723139	399699	Jennifer
723140	272840	Claudia
723141	266761	Mrs. Madigan
723141	305778	Mature Lady
723142	221122	Various Characters
723142	339897	
723143	355206	Hundee
723144	48070	Female Reporter
723145	218719	Alice
723145	342593	Stewardess
723146	238244	
723147	107555	Faith
723147	273871	Alison Franklin
723148	382057	Suzy
723149	304787	Nursemaid
723149	407414	Mrs. Woods
723150	3160	Girl on phone
723151	311144	Herself
723152	5875	Louise Coleman
723152	31846	Elizabeth Griffin
723152	80474	Kate
723152	83939	Alexandra
723152	98141	Julie
723152	110444	Jo Moody
723152	110445	Jo Moody
723152	110446	Jo Moody
723152	110447	Jo Moody
723152	110448	Jo Moody
723152	110449	Jo Moody
723152	110450	Jo Moody
723152	110451	Jo Moody
723152	110453	Jo Moody
723152	138992	Simone
723152	248136	Ziggy Keane
723152	282318	Chrissie Bright
723152	297646	Dorothy Drewe
723152	323936	Stephanie Ness
723152	362268	Sorel Atherton/Gillian
723152	397236	Amanda McKay (2003)
723152	398674	Minnie Meredith
723152	400775	Joanna Morgan
723152	408145	Joy Kuhl
723153	319516	Kid
723154	355332	Herself
723155	66942	Sister Anna
723155	321147	
723156	143863	The Baby
723157	171105	Herself
723157	408526	Herself (co-host)
723158	355332	Herself
723159	52869	Herself
723159	320313	Dead Police Officer
723160	321758	Sue
723161	195327	Partygoer 2
723162	348752	Speaker
723163	307553	Tiziana
723164	352413	
723165	144577	Exercise Class
723166	186907	Herself
723167	69382	Millicent Cumming
723167	89380	Herself
723167	102789	Jane
723167	133782	Mary, The Crook's girlfriend
723167	154984	Girl in Sunglasses
723167	175140	Polly
723167	206871	Herself
723167	257580	WPC Lucy Sheridan
723167	269351	Mary, Queen of the Blues
723167	295592	Herself
723168	209133	Junior Plastic
723169	17141	Ballerina del night club
723169	270850	
723170	5677	
723170	58758	
723171	107806	Various roles
723171	191279	Tart/Androcles
723172	3259	Pussy
723173	217228	Mme. Riviere
723174	183440	Tony DeAngelo Jr. (Baby)
723175	313185	Becky
723175	336033	Helen
723176	381255	Herself
723177	318642	Sports Reporter
723179	194525	Student
723180	6988	
723180	128663	Case (Cassandra Stiles)
723180	163450	Mrs. Welk/Dr. Valerious
723180	169991	Denise
723180	364113	Samatha
723181	281021	Janis Stevens
723182	6403	Josette, his wife
723182	64811	Nada Winthrop
723182	94143	Mary Manton
723182	200476	Fifi
723182	216996	
723182	360506	Carlotta Asche
723182	374031	
723183	289764	Soldier Mom/Narrator
723183	347562	Obsessed Roseanne Fan/Narrato
723184	80733	
723184	141958	Grandmother
723184	168218	
723184	273699	Hexadecimal
723184	369693	Madame Trunk
723184	386928	Doctor Booboo Gone
723184	392135	Carol Dowhan
723184	392294	
723184	395396	
723184	395762	
723184	397054	Mrs. Burnham
723184	397341	Additional Voices
723184	398142	Seed Sister 2
723184	403028	Hexadecimal
723184	406975	Additional Voices
723185	374211	La piccola Antonietta detta '
723186	8840	Aida
723186	28619	Amelia
723186	127996	Nadina Bulichoff
723186	165297	Herself
723186	251096	Herself
723187	70739	
723187	216307	
723187	299363	
723187	343410	
723188	245956	La princesse de Jean-Charles
723188	384288	Laetitia
723189	404652	
723190	165177	Donna Anna
723191	85702	Madame Lidoine (soprano)
723192	23649	Jeanne
723193	253934	
723193	337551	Gräfin Rottersheim
723194	104264	
723194	126836	Mädchen bei General a. D. Hen
723194	134820	Frau Eysoldt
723194	179833	Die Lorenz
723194	290273	
723194	345656	Sängerin
723195	6310	
723195	46111	Frau Zielinski
723195	93426	Karlemann
723195	129721	
723195	142029	
723195	155394	Helen
723195	189548	Susanne
723195	189631	Karin
723195	195093	Astrid Seibel
723195	209451	
723195	210059	Johanna Stauding
723195	214672	
723195	225118	Lisa
723195	225301	Elke
723195	225638	Anne Schickedanz
723195	236821	Anne Schickedanz
723195	256957	Brigitte
723195	265095	
723195	272829	
723195	290570	Anne Schickedanz
723195	308225	Susi/Eva
723195	310274	
723195	314910	Mona Seiler
723195	325497	Biggi
723195	325827	Vera
723195	347974	Kommissarin Mona Seiler
723195	364965	
723195	369156	Emmi
723195	389361	Marie Malek
723195	393885	Ilse
723195	399472	Nikola Vollendorf
723195	402383	Quiz Team
723195	406333	
723195	408320	Britta Koslowski
723196	40378	Paula
723196	129721	
723196	175777	Ria
723196	182759	Irmchen
723196	189763	Roswitha
723196	252325	Joefine Krüger
723196	272786	Friederike
723196	310274	
723196	324630	Mariechen
723196	367157	Ida
723196	378648	Elvira Arnold
723197	153078	
723197	202992	Mrs. Ditchwater
723197	309581	Mrs. Sturges
723198	276424	Uncle Ely
723199	222776	Lodge Dancer
723200	32241	Shower Girl
723201	31654	Audree Wilson
723201	80675	Julie Cresta
723201	108358	Portia
723201	130311	Nancy Reese
723201	154445	
723201	165474	Mom
723201	168973	Carol Willis
723201	208054	Allison Cross
723201	217531	Royce Payne
723201	230343	Jean
723201	244443	Amy Vitelli
723201	266090	Dr. Rebecca Bishop
723201	323227	Mrs. Patterson
723201	324007	Wife
723201	328912	Linda
723201	334187	Sue, Stone Worker
723201	339597	Ruth
723201	342267	Herself
723201	380823	Amy Kennear
723201	386897	Marjorie Quinn (1993-1997)
723201	396584	Sara Conover
723202	86001	Women's lib girl
723202	393881	Carol Deering (1968-1969) (or
723202	395414	
723203	371896	Crying Woman
723204	27556	
723204	46733	
723204	73817	Mary Morgan
723204	79451	Betty Blair
723204	107404	Ledda Perrin
723204	175181	Molly Cameron
723204	218937	Marion Winslow
723204	224061	Dora Blake
723204	249116	Jean D'Arcy
723204	264035	Nancy Lee
723204	280908	Marie Moore
723204	289235	Princess Elena
723204	290355	Mary Wilson
723204	335644	Flapper
723204	342879	Edna Delafield
723204	363643	Cornelia Evans
723204	366867	Cecilie Vaughn
723205	339445	Neon Audience
723206	45548	Congregant #1
723206	115195	Jocelyn
723206	158272	Felicia Clark
723206	202619	Woman with Baby
723206	263450	Gloria
723206	339429	Paris' Mother
723207	880	Fashion Show Editor
723207	17751	Dancer
723207	27447	Churchgirl
723207	40878	Little Girl
723207	151483	Shopper
723207	388529	Jolie Sonnier
723208	60343	Mrs. Peters
723208	178342	Elevator Operator
723209	321129	
723210	389065	Puppet presenter
723210	398462	Herself - Presenter/Singer
723211	43	Constance
723211	211500	Ma' Lay
723211	308851	Waitress
723211	372336	FIDM student (extra)
723211	405072	Ren
723212	20458	Naomi Armitage
723213	41867	
723213	90323	
723213	93970	
723213	122772	Gabriella
723213	130721	Sister
723213	139359	Kaplan
723213	195604	Inez
723213	252836	
723213	260800	
723213	290388	
723213	295607	Carolyn Norman
723213	314635	
723213	321198	Virginia
723213	365536	Cinthia
723214	123974	
723215	162097	Iolanthe
723216	232608	Lisl
723217	37022	Harrad
723217	41215	Leslie Dean
723217	93158	Grace MacDonald
723217	107105	
723217	119356	Miss Gibbons
723217	192503	Model in lobby
723217	214107	Kitty
723217	317353	Tracy Davis
723217	343010	Tyler's girlfriend
723217	358664	Ruby Ann
723218	69257	T.V. Reporter
723218	137259	Lou Ann
723218	157575	Girl
723218	314158	Tennis Girl
723218	353710	(segment "Season of Choice")
723219	34729	
723219	381661	Herself/Various Roles (1971-1
723219	403910	Maggie
723221	366652	School Babe
723222	78980	Ellen
723222	223699	Restaurant Patron
723223	82333	High Fashion Claudius
723224	245359	Jesse
723224	328496	(segment "Ten Seconds To Coun
723225	10746	The Rose
723225	27935	Tracy Fleming
723225	29885	Barbara Fisher
723225	31186	Herself (NBC Team contestant)
723225	31188	Herself (CBS Team)
723225	31194	Herself - CBS Team Contestant
723225	31199	Herself/Host
723225	35723	Claudia
723225	49531	Frankie
723225	57492	Herself
723225	75530	Leigh Lockwood
723225	75587	
723225	78084	Beth Williamson
723225	88998	Dr. Beth Demery
723225	99044	Vanessa Graves
723225	107990	Joyce Lukezic
723225	113864	Harriett Malone
723225	138351	Ellen Craig
723225	138700	Herself
723225	140197	Laurie
723225	140912	Kathy Saunders
723225	152922	Susan Reilly
723225	157824	Laura Elias
723225	158797	Alice Keenan
723225	161238	Herself
723225	161256	Herself
723225	161286	Herself
723225	161342	Herself/Narrator
723225	176881	Patty Heron
723225	179042	Herself
723225	183639	Rebecca Simms/Julie Black
723225	192506	Caroline Carmichael
723225	194204	Ellen
723225	218775	Maggie Holloway
723225	222863	Ginny Eaton
723225	224179	Kate
723225	232048	Linda Daniel
723225	241307	Helen Cook
723225	245272	Samantha 'Sam' Hollings
723225	257527	Tobie Williams
723225	263168	Elizabeth Hemming
723225	275433	Nicky Wells
723225	280700	Bebe Lotter
723225	283426	Pat Bennett
723225	305497	Laureen
723225	308001	Chrissie
723225	314442	Jodi Davison
723225	319546	Lainie
723225	358252	Cassie Howard
723225	364195	Susan Winters
723225	368610	Brenda Morgan
723225	386414	Herself
723225	390329	Jane Miller
723225	394676	Abby Fairgate Cunningham Ewin
723225	394677	Abby Fairgate Cunningham Ewin
723225	396084	Laura Donnelly Elliott #1 (19
723225	404694	Rocket (1966)
723226	5857	Indian woman
723226	17756	Squaw
723226	60740	Mrs. Strongbow
723226	187467	Bertha the Eskimo
723226	235168	Squaw
723226	255577	Squaw
723226	361841	Sadie
723227	150390	Elderly Woman
723227	276424	Aunt Carrie
723228	53741	Cunegonde
723228	116499	Young Heidi
723229	78838	
723230	16642	Katherine
723231	10580	Little Sister
723231	302929	Alma Wagenkampf as a Child
723232	382244	Herself - Winner (2003)/Judge
723233	46716	Bride 9
723234	53301	Narrator
723235	152930	Sally
723236	321154	Dancer in 'Big Spender' numer
723236	383022	Regular
723237	105886	Leila
723237	202202	Sylvia Lacombe
723238	139786	Mrs. Ethel Chauvenet
723238	283579	Osanger's mother
723238	351755	Mrs. Burke
723238	363440	Mrs. Tribaum, Paine's Landlad
723239	2030	Terri
723239	3053	Herself - Past winner
723239	3709	Herself
723239	7630	Blonde girl at airport
723239	7869	Sally Ryan
723239	19168	Miss Quinton
723239	26725	Peggy
723239	28879	Jenny
723239	58618	Laurel
723239	61615	Narrator
723239	79977	The Little Mermaid
723239	80837	Belle Adams
723239	87757	Sharon/Susan
723239	87779	Herself
723239	100957	Fenella 'Ellie' Thomsen
723239	108410	Jenny Fitton
723239	158025	Mary Grant
723239	177652	Tracy
723239	195613	Herself
723239	218736	Nikky Ferris
723239	220921	Tara St. John Luke
723239	242002	Samantha Miller
723239	248875	Sharon Ferris/Susan Corey
723239	248876	Susan/Sharon Grand
723239	248877	Sharon McKendrick/Susan Evers
723239	248879	Susan Wyatt/Sharon Evers
723239	259777	Pollyanna Whittier
723239	263349	Polly Barlow
723239	303034	Herself
723239	304339	Brydie White
723239	311251	
723239	318740	Nancy Carey
723239	323376	Jenny Bunn
723239	329412	Patricia 'Patti' Randall
723239	332767	Gillie
723239	340249	Hilary
723239	340542	Mary Clancy
723239	340965	Spring Tyler
723239	342661	Susan Harper
723239	363729	Kathy Bostock
723239	388863	Tilly Grant
723239	390340	Miss Carrie Bliss
723239	390652	
723240	52536	Dawson Townswoman
723240	112604	
723240	185614	Lucy Graves
723241	215171	
723241	240189	Herself
723242	407815	Herself (Single) (2002)
723243	215507	Olivia Einstein, Miss Ohio
723243	409484	Co-Host
723244	370572	Harem girl
723245	141730	Rosalyn
723246	80926	
723246	97301	Annette
723246	277914	
723247	178207	Dara's Friend #2
723248	233840	Ann
723249	149701	
723250	20643	Ann
723251	405162	Herself
723252	65378	Bus Woman #1
723253	30619	
723254	12858	Sarah
723255	1348	Herself
723255	1398	Herself
723255	2010	Herself - Presenter
723255	2548	Herself - accepting Best Actr
723255	3709	Herself
723255	10351	Myra
723255	24837	Pamela Piggott
723255	30147	Jennifer
723255	35740	Jessica Barrett
723255	55702	Sally
723255	58671	Mary McCabe
723255	61060	Jessica Barrett
723255	67599	Eileen Hacker
723255	72458	Tinkerbell
723255	82704	
723255	146631	Little Polly
723255	158566	Freda's Baby
723255	168968	The Girl
723255	188625	Maggie
723255	221298	Carol Beldon
723255	227467	Nanny(Phoebe Figalilly)
723255	227468	Nanny (Phoebe Figalilly)
723255	232081	
723255	233809	Tansy Carr
723255	236887	Joanna Jones
723255	238158	Child
723255	238991	Nurse
723255	244421	Winnie the Maid
723255	272439	Hilary Price
723255	293385	Estefanía
723255	298013	Kate Hardcastle
723255	300961	Alice Tanner
723255	303034	Herself
723255	306513	Young Julie
723255	342462	Catty
723255	360150	The Defense Lawyer
723255	360709	Herself
723255	366184	Lisa
723255	379065	
723255	398979	Nanny (Phoebe Figalilly)
723255	400208	Joyce
723255	402552	Samantha Cady
723255	408234	Vivianne
723256	43757	L'infirmière (segment "Bons v
723256	45876	La comtesse Sabine
723256	53869	Maggy
723256	60901	Aimée de Spens
723256	83214	Maria
723256	115375	Mme Bertrand
723256	123060	Florence
723256	134603	La standardiste
723256	136305	La supérieure
723256	161672	Lydia
723256	162431	Micheline
723256	214028	Lorette, la patronne de l'aub
723256	222897	Liliane Robillard
723256	251063	Irène N°1
723256	284263	Gisèle
723256	296049	L'auteur
723256	339501	Marianne Foyster
723256	355969	
723256	389880	Laure Cabanis
723256	393489	Herself (regular guest)
723256	396523	Une amie de Paul
723256	398079	Isabelle
723256	400762	Charlotte (1980-1982)
723256	401972	Valérie
723257	119882	Eric
723259	230873	Phone Girl
723260	398048	Herself (7th Executed)
723261	169136	Esther: Asher's Wife
723262	207473	
723263	143264	Marching Girl
723264	77721	Kirsty 2
723264	344549	Stacey
723264	386963	Alison Hill (2003)
723265	316193	Roddy
723266	117314	Girl at Pool
723267	143831	Media person
723268	202378	Elaine Blythe
723269	50383	
723270	261281	Rose
723271	400177	Sally (1970)
723271	407185	Wendy Yapp
723272	206476	Charlotte, Florence's Co-Work
723273	409150	Regular (1954)
723274	1379	Mother
723274	26620	Gym Instructor
723274	80444	Janet Wolcott
723274	130731	Female clerk
723275	278647	Gia Surf Double
723276	14620	
723276	56621	Nanny
723276	154154	
723277	51755	Poppy Saunders
723277	67851	Priscilla Worden (Rampart's w
723277	149789	Molly McLane
723277	195935	
723277	224231	Marion Miller
723277	277982	
723277	278657	Betty Saunders
723277	293813	Milly Atwood
723277	331569	Betty Girard
723277	339595	Angelica 'Grix' Varden
723277	342837	Mort Landeau's Wife
723277	361732	Rose Dale
723277	361734	
723277	363361	Muriel Thompson
723278	368244	Showgirl
723279	41415	Pamela Miner
723279	307372	Additional Voices
723280	1630	Wife
723280	245506	Rhonda
723281	1379	Daughter
723281	186707	
723282	382060	Herself
723283	92250	
723284	92250	
723285	32052	Dancer
723285	203358	Tony Clifton Dancer
723286	364135	Melinda
723287	177696	Sandra
723288	125884	Mother
723288	199318	Wedding guest
723289	305371	Second harpy
723289	396580	Hetty
723290	1034	Canada
723291	158508	Barbra
723292	405926	Selima
723293	305228	Fast Martha
723294	226963	Marshmallow
723294	310800	1st Waitress
723294	346368	Connie Fowler
723295	31735	Cindy Lankford
723295	199273	Hooker
723295	262745	Monica
723296	115362	
723298	44238	Bride of Frankenstein
723299	3225	Herself
723300	151732	Judy
723301	12751	
723301	35350	Gloria Campbell
723301	41105	Grace Perkins
723301	61550	Jennie Colton
723301	62269	Jivin' Jill
723301	62906	(segment "What Happened To Jo
723301	85816	Girl in Bonnet playing in Str
723301	114651	June
723301	142873	Hortense
723301	215469	Audrey Hollis
723301	215981	Dancer
723301	216802	Ina Kuschner
723301	232822	'Tennessee' Collingwood
723301	234807	Anna Oremska
723301	239849	Belle
723301	250724	Jivin' Jill
723301	277000	Laura Jean
723301	296767	Young girl
723301	305898	Student
723301	329388	Olivette the Babysitter
723301	335852	Dancer
723301	346204	Cecilia Layton
723301	355087	Crying young Southern girl
723301	372676	Mary Ann
723302	163477	Susan Musk (teenager)
723303	255316	Chalk Artist
723303	362323	Party Guest
723304	320851	
723305	41311	Barmaid
723306	64944	Lucy
723306	74014	Melissa
723306	80939	Catharine Carey Logan/Caty/Sn
723306	95786	Pauline
723306	99470	Molly Daniels (as Stephanie A
723306	127531	Rachel
723306	131225	
723306	132181	Rebecca Lewis
723306	152838	Abby
723306	157563	Dorie
723306	190096	Tina Hogan
723306	221045	Olivia
723306	241798	Nurse Ryan
723306	285357	Karen
723306	292586	Lydia's friend
723306	293020	Alice Tuller
723306	336692	Megan Kraft
723306	344484	Sheila the Waitress
723306	348607	Felicia
723306	391971	Lourdes Fero
723306	395798	Elena Amherst
723306	398679	Serenity Zilla
723307	1491	Herself - Presenter
723307	1963	Herself
723307	2046	Herself - Performer
723307	2398	Herself/presenter
723307	2960	Herself
723307	220211	Herself
723307	367055	Dorothy
723308	362081	Dancer
723309	256220	Georgia
723310	5285	
723310	36331	
723310	77887	
723310	81761	
723310	92568	Alison
723310	105633	
723310	113775	
723310	138466	
723310	139074	
723310	150074	
723310	151037	
723310	151038	
723310	160234	
723310	206451	
723310	208454	
723310	277846	
723310	295917	
723310	317938	
723310	319948	
723310	333833	
723310	365494	
723311	224260	Christina
723312	253920	Mermaid
723313	322108	Bock Ida
723314	409484	Self
723316	27271	Edie
723316	99330	Hall of Records Attendant
723316	157499	Marina
723317	23052	
723317	34531	
723318	377334	Backing Vocals
723319	51066	Lou
723320	183213	Ballroom Dancer
723320	364465	Dancer
723321	14569	Grace
723321	18589	WDS Booth
723321	26392	The Second Nun
723321	36508	Milly, la cantante
723321	57227	Sera Wilder
723321	64231	
723321	69520	Madre di Marcello
723321	89576	La contessa
723321	101086	Julie
723321	127487	Henrietta
723321	127984	
723321	128222	Milli Monti, singer
723321	136877	Mary
723321	186137	Adriana, madre di Laura
723321	192276	Margaret Tremaine
723321	208096	
723321	212123	Singer
723321	222796	Paulina
723321	223116	
723321	228764	
723321	229644	Sister Giuseppina
723321	230365	Juliet
723321	230376	Sarah
723321	240657	Mlle. Mimi Candle
723321	338722	
723321	338726	The Maid (segment "The Drop o
723321	344587	
723321	346314	Popeye
723321	348185	
723321	381212	Laura Richards
723321	383630	Joanne Henshaw
723321	384071	Alan Cade's daughter
723321	389844	Leah
723321	390360	Sally
723321	392445	Mandy
723321	392677	Alex Ellmann (segment 2)
723321	395887	Jodie
723321	405016	Michelle Jacobs
723322	126099	Herself
723323	358728	Herself
723324	51615	Montserrat
723324	272693	Mare
723325	135644	
723326	14815	
723326	251728	Dolores Preciado
723326	318954	
723327	24297	
723328	76110	Redactora 2
723328	206558	Alicia
723328	236406	Bea
723329	23368	Eloísa
723329	233619	
723329	236304	Ana
723329	286365	Isabel
723329	302457	Marina
723329	341382	
723329	369755	Herself - Presenter
723329	400952	Adela Ramos (2002-2003)
723329	401769	Lola Ruiz (2000-2001)
723329	407305	Julia Ponce
723330	57907	
723330	74612	
723330	103656	
723330	252517	
723330	268496	
723330	269216	
723330	303345	
723330	319340	Recamera
723330	376768	
723331	346079	Wife #1
723332	392697	Anne Bronté
723333	25814	Alice Shepherd
723333	155257	Jane Maybury
723333	269627	Juanita
723333	385635	Margaret Armstrong
723333	389873	Penelope Townes
723333	389874	Penelope Townes
723333	390245	Helly
723333	392697	Anne Brontë
723333	397707	Melanie Pinner (1993-1994)
723333	408478	Jade Weston (1995)
723334	387621	Coralito
723335	60729	Sonya
723335	120865	Lillie
723335	200306	Melanie
723335	317308	Hazel
723335	366903	Constance
723335	381273	Linda Benson (Pilot) (1995)
723335	382693	Julie (I) (Series 1-2) (1986-
723335	385020	Lisa Horton/Duckworth (1992-1
723335	392046	Maggie Troon (1988)
723336	26081	Guest
723336	83230	Jacklyn
723336	183426	Tattooed Woman
723336	224909	Directrice de la commission s
723336	290861	Hooker
723336	351902	Catherine
723336	395480	Secrétaire Merteuil
723337	74202	
723337	83960	Jane
723337	100033	Cindy Duncan
723337	328520	Girl
723337	358438	Patty
723337	380461	Kelly (1989-1990)
723338	235060	Paige
723338	334385	Bobby Lee
723338	393469	Carrie
723339	5213	Rachel Hayes
723340	178189	Extra
723341	230503	
723342	281255	Hooker
723343	55972	Sara Corsini
723343	118501	American woman
723343	154601	Rosa
723343	229987	
723343	326383	Edith
723343	390498	Vicina inglese
723344	405209	Ariana Morten-Smith (1998)
723345	318716	Dancer
723345	372671	Dancer
723346	134096	Louise
723346	301977	Pamela Hillsbury
723347	410020	Herself
723347	410024	Herself
723348	71713	Miss Mailer
723348	224401	Grandmother
723349	350172	Jenny Carleton
723350	55207	Micaëla
723351	401973	Sophisticated Girl
723352	184983	Maid
723353	273188	Girl With Apartment
723354	334117	Amanda
723355	215293	Effie's Sister
723356	51855	Fan Girl
723356	107351	Clarisse's Neighbor
723356	340220	Lorna
723357	169136	Chorus
723358	82332	Woman on street
723359	328788	Noelene
723360	288720	Waitress
723361	205851	
723361	321746	Grandma Dorsett
723361	337769	Benny
723361	348386	Nanny
723362	47077	Texan Cheerleader
723363	46740	Ms. Nevitt
723364	164460	Villager
723364	307661	Lucretia
723365	148570	Molly
723365	262536	Daughter
723365	366958	Sherry
723366	324904	Redheaded girl
723367	194213	Julie (1 year)
723368	227352	Celeste
723369	331019	Mrs. Carter
723370	52318	Bikini Girl #2
723371	345558	Mme Dubois
723372	38725	
723372	72107	Gloria Starke
723372	99081	1st Fighting Woman
723372	125342	Kay, Chapman's girl
723372	163228	Mrs. Peterson
723372	164505	Woman in Doorway
723372	203488	Cora
723372	356895	Clara
723372	371087	Sheila
723372	388819	Mrs. Barnes
723372	409654	Polly
723373	121404	Woman #1 Washing Car
723374	257497	
723375	254103	
723376	185750	
723377	12205	Bank Teller
723377	14206	Madame Mousey
723377	27313	María Morales
723377	30962	Nicole
723377	31434	Baxter
723377	66589	Regina Rojas
723377	70421	Lonette/Bob
723377	85250	Dexter
723377	113332	Dona/Lucil/Pacce
723377	113333	Dona/Lucil/Pacce
723377	147089	Additional Voices
723377	154168	Mother in Candy Store
723377	167697	Nick
723377	167698	Nick Dean/Britanny/PJ
723377	278716	Francie
723377	283100	Chuckie Finster
723377	290940	Crystal
723377	294028	Additional Voices
723377	333631	Sweetie
723377	337177	
723377	360647	2nd Woman On Street
723377	379311	Nick Dean
723377	379568	Thundra
723377	379710	Justin
723377	380775	Astro Boy
723377	383280	
723377	383414	Billy Jean
723377	383538	Dexter (2001-)
723377	383846	Snap/Reggie Bullnerd/Bullyner
723377	385149	Mom/Teacher
723377	385272	
723377	385727	Additional Voices
723377	385824	Janey Richards (1985)
723377	386242	Dexter (#2) (2001- )
723377	389156	Coco/Madame Foster
723377	395349	Zita/Additional Voices
723377	398713	Mrs. Nora Wakeman/XJ6
723377	400033	Reggie Bullnerd/others
723377	401528	Additional Voices (season 2)
723377	402016	Additional Voices
723377	402234	Additional Voices
723377	404289	Rosa/Mother Bug (1996)
723377	407144	Ann Gora
723377	408305	Sweetie
723377	410941	Linda
723377	410975	Additional Voices
723377	412129	The Flea/Headmistress/Rikoche
723378	290427	
723379	194831	Slave Girl
723379	231768	French girl
723380	55133	Sally Watson
723380	56720	NASA scientist #2
723381	50393	
723381	128641	
723381	198518	
723381	209259	
723382	157231	Madame Massim
723383	2730	
723384	352639	Saleswoman
723385	104440	Gaby Morichar
723386	47311	
723386	130677	Woman in dance hall
723387	3169	Carla
723387	6699	Lolita
723387	25105	Mathilde Duchamp
723387	29185	Gwenda Skaggel
723387	33567	Esmeralda (segment "Amare è u
723387	52880	Azzaro's mistress
723387	57851	Marianne
723387	60506	Olga
723387	75235	Arabella
723387	90658	
723387	90735	
723387	91055	
723387	102615	Sarah
723387	106752	
723387	108748	Donna Flora
723387	110427	
723387	119856	Yvonne
723387	125561	Olga
723387	126839	Director's wife
723387	127985	
723387	129019	Suzy/Iris/Fanny
723387	134546	Vittoria
723387	170537	Marguerite Maloret
723387	214859	
723387	215145	Ariane
723387	217109	Eugenia
723387	225410	Henriette
723387	235767	
723387	240301	Giuliana Marletti
723387	252642	Algisa
723387	275310	Helene Faustin
723387	275393	Herself
723387	277569	Zaira
723387	289488	Gabriella, l'hostess
723387	290932	Contessa Luce di Castelnuovo
723387	322576	Liz
723387	328742	Solange
723387	336610	Tatiana
723387	344453	Herself
723387	345381	Maria
723387	345525	Liliane
723387	350428	Vanina Vanini
723387	355481	Pina
723387	355700	Giulia
723387	356163	Carolina
723387	396305	Thea Maris
723388	8363	
723389	132953	Mini
723390	369419	
723391	389784	
723392	51241	
723393	212339	
723394	248181	
723395	2237	Mary
723395	307673	Camila Robles
723395	320188	
723395	378958	
723395	380515	
723395	384375	
723395	384823	
723395	385469	
723395	389780	Isabel
723395	398165	
723395	399575	
723395	399805	
723395	401913	
723395	402053	
723395	405102	Marina
723395	405917	
723395	407284	
723395	409959	
723396	162070	Cristina
723397	352227	Trude
723398	25311	
723399	139999	Child Artist
723400	226856	Elena
723401	3579	
723401	304710	
723402	142500	Herself
723402	353682	
723402	369330	
723403	309811	Studentkinja
723403	357551	Whore
723404	283751	
723405	169968	
723406	73788	Boss
723406	91573	Carmela Krailes
723406	108308	Sarah Putanesca
723406	165422	Young Sophia
723406	183387	Cheryl
723406	243256	Dalia
723406	245049	Kristin
723406	249371	
723406	296876	Matya
723406	320698	Woman in Airport
723406	375235	Barbara Steel
723406	383166	Fabiana
723406	383502	Julia Karinsky (1997-1998)
723406	404679	Maria
723407	230484	Nada
723407	230485	Nada the Orphan
723408	375744	Mala Zona
723409	170226	Herself
723410	73590	Marija kao devojka
723410	202598	
723410	244181	
723411	400502	Komsinica
723412	78209	
723412	132162	Soja... raspustenica
723412	147567	
723412	156412	
723412	163888	Eva
723412	169100	Mira
723412	180695	
723412	181188	Gordana
723412	229293	Alma Mahler
723412	239451	Jasna
723412	242473	Mila Jovanovic
723412	256732	Cica
723412	271379	
723412	278415	Jelcic/Zdenko
723412	284865	
723412	286714	
723412	307148	
723412	311459	Ljiljana
723412	312423	Vera Djordjeska
723412	313018	
723412	323647	Maca
723412	328701	Helen
723412	349216	
723412	350665	Slavica, medicinska sestra
723412	375031	
723412	394914	
723412	395835	
723413	373635	Devojka
723414	74773	
723414	236167	Kostina majka
723414	305193	
723414	307736	
723414	311362	
723414	351538	
723414	354696	Madame Koruga
723415	81509	
723417	170224	Herself
723417	170227	Herself
723418	81483	
723418	89092	
723419	132613	Tzena
723419	324427	Baba Darya
723420	401680	Mélanie (2004)
723421	95743	
723421	246884	
723421	299595	
723422	276444	
723423	19340	Madame Schleicher
723423	68932	
723423	69253	
723423	76297	
723423	78351	Sa femme
723423	84637	Ginette
723423	108900	Yvonne Vincent
723423	110130	
723423	113129	Bertrande/Josette Bertrand
723423	114831	
723423	122477	Marian Wood
723423	123479	Lisette
723423	156556	
723423	168179	
723423	170116	
723423	184892	
723423	198305	Béatrix
723423	208184	Edmée de Mauprat
723423	209947	
723423	216232	Fantine/Cosette
723423	237312	Nène
723423	243758	Jeannette
723423	245960	
723423	249108	Parisette
723423	265563	The mad woman
723423	268460	
723423	294186	
723423	351261	
723424	132074	
723425	252789	
723426	284683	
723427	222441	Pandureva keva
723428	394111	
723429	386526	
723430	212332	Herself - Participant/Perform
723431	212332	Herself - Participant/Perform
723432	66609	College receptionist
723433	294374	Ensemble Vocal Sequenza 9.3
723434	307228	Nurse
723435	139546	
723435	166972	Gatara
723435	187014	Svetlana
723435	280382	
723435	295647	Sandra
723435	328706	Model
723435	328707	Sojiceva sekretarica
723435	375309	Zivana
723435	382430	Ivona... sekretarica
723435	392088	
723435	394813	Gospodja Nikolic
723435	401928	Svetlana Lena Nikolic
723435	406315	Lara Simonovic
723435	406316	Lara Simonovic
723436	31724	Herself
723437	400294	
723438	80839	Painter
723438	157283	Ursule
723438	271333	Belinda
723438	313966	Sister Dominique
723439	131201	Casilda
723440	41401	Exotic dancer #1
723441	350474	Chinese Wife
723442	88095	Herself
723442	88101	Herself
723443	195838	Woman in Wheelchair
723444	168973	Impatient Orderly
723444	368314	Petty Marsh Secretary
723445	84773	Other Woman
723446	11902	Mechthild Specht
723446	63694	Paquerette
723446	66120	Biggi
723446	98328	
723446	111894	Angel
723446	129701	
723446	138640	Biggy
723446	182760	Ellen Bülle
723446	210097	
723446	223473	Monika Kroeger
723446	275764	
723446	338443	Susanne Erhardt
723446	351977	
723446	352191	
723446	367143	
723446	376126	Rosi Krause
723446	387771	
723446	394611	Tante Dorothee
723446	395005	Carlotta Pippig
723446	396634	Mama Viktoria Voss
723446	406581	
723447	323517	Anita
723448	11251	Host's Wife
723448	40191	Blood Bank Nurse
723448	104699	Vatican Tour Guide
723448	142491	Doctor Marsh
723448	263955	Anna (Palace Maid)
723448	278715	Marya
723448	400110	Nurse
723449	9117	Flight Attendant
723449	334388	
723450	212335	Herself - Host
723450	401872	Herself - Participant (2002)
723450	401878	Herself - Participant (2002)
723450	412085	Herself (car commercial) (200
723451	73887	Young Mimi
723452	116033	Schoolboy
723453	187382	
723453	261682	Aesthetics teacher
723453	304253	
723453	335119	
723453	356120	
723453	356592	Villina
723453	404819	Frau Zaurich
723454	381659	Puppeteer
723455	87801	
723455	94684	Lia
723455	163731	(segment "Adolescenti e l'amo
723455	281234	Sira
723456	154312	Peigi
723458	110903	
723459	138695	Nancy
723459	193868	Welsh Newspaper Vendor
723459	216423	Lorna
723459	277533	Herself - member of Florentin
723459	283349	Bronwen
723460	132909	Pedestrian
723461	26841	
723462	39868	
723462	157959	Helen
723462	303439	Marguerite Rogers
723462	317161	
723463	73358	
723463	77288	Mrs. Dupont
723463	211756	Martha Parker
723463	239609	
723463	239844	
723463	283215	
723464	218180	#2 Party Babe Hybrid
723465	274167	Dr. Smith
723466	162791	
723466	193171	
723466	291657	
723467	8549	
723467	47608	
723467	50144	
723467	91354	
723467	124519	
723467	170068	
723467	171384	
723467	183160	
723467	251284	
723467	251984	S.O.S. agente 380; Cristal
723467	253319	
723467	287445	
723467	287860	Mariana de Grijalva
723467	301176	Alicia
723467	302380	Carmela
723467	322852	
723467	351998	Carmen Garcia Duenas
723467	370170	
723467	386075	
723467	391962	
723467	396600	
723467	397596	
723468	24387	Lisa
723469	87469	Mary
723469	164372	
723469	219646	Couris Jean
723470	82333	High Fashion Ophelia
723471	382787	Mala
723472	103565	
723473	388553	
723474	214249	
723475	180693	
723476	57620	
723476	166617	
723476	174252	
723476	215996	
723476	225898	Mira, zena Medenog
723476	227943	
723476	318209	
723476	337533	
723476	349684	Branina zena
723476	351295	
723476	374060	Milanka
723476	383458	
723476	385271	Sredojeva kci
723476	395497	Miletova druzbenica
723476	396589	
723476	400015	
723476	412003	Ema mladja
723477	13328	
723477	19222	Herself
723477	33659	Adriana
723477	36514	Calipso
723477	54150	
723477	76146	Leyla
723477	182103	Herself
723477	195801	Lisa
723477	217651	Renata Palozzi
723477	264525	Lucie Germon
723477	334532	Herself
723477	353057	Veronica
723477	363512	Italian diplomat's wife
723477	395508	Frau Agniollini
723478	225504	
723479	5009	Additional SPAT Woman
723480	334352	Marie
723481	75883	Janet
723481	99068	School Teacher
723482	388765	
723483	211874	
723483	237701	
723483	238354	Ossoria
723484	180365	
723484	313882	Foreign Guest
723485	212294	
723486	85212	Marfusha
723486	179722	
723486	198169	
723486	224278	
723487	46818	Lab Technician
723487	50484	Customer
723487	56304	Secretary
723487	60746	Elaine aka Ginger, Lester's W
723487	62699	Nurse/Townswoman
723487	159201	Limo Reporter
723487	213231	Stewardess #1
723487	257522	Vegas Paramedic
723487	261049	Showgirl Dancer #6
723487	313625	Chorus Girl
723487	341945	Miss Jessel
723488	385629	Stella
723489	122984	Herself
723489	154542	Herself
723489	382944	Herself - Host
723489	385857	Herself - Host
723489	386289	Herself - Hostess
723489	386793	Herself- Host
723489	390443	Herself - Presentadora
723489	390448	Herelf - Presenter
723489	390451	Herself - Host
723489	396957	Herself - Host
723489	398808	Herself - Host
723489	402631	Herself - Host
723489	402632	Herself - Host
723489	405411	Herself - Host
723490	103466	
723491	147035	Olina
723492	8473	Três Vedetas sketch
723492	10196	
723492	30388	Ninon (Portuguese version)
723492	71376	Luisinha
723492	85597	Clara
723492	88797	
723492	89398	Diana Delmar
723492	132976	
723492	176679	Madrinha
723492	189086	Jujú, Anastácio's daughter
723492	304407	
723492	307758	Girl in Disco
723492	341137	Lena
723492	353674	Gaivota (seagull)
723493	280142	
723494	181490	Kinichi's mother
723495	9331	Yumeko
723495	29573	Yoshie Kiryu
723495	61464	Restaurant Madame
723495	63541	
723495	101564	Yoyo
723495	121458	
723495	123473	
723495	125442	Yone
723495	137044	Kiyoshi's Mother
723495	137130	
723495	140436	Sato
723495	144434	
723495	156158	
723495	173060	
723495	179464	
723495	181490	Ryoko Uno
723495	182129	Osen
723495	202824	
723495	213008	
723495	242144	
723495	242148	
723495	242200	
723495	243899	
723495	287103	Matsuko Takeichi
723495	289312	
723495	341274	Ai
723495	371869	
723495	371986	
723495	371990	Sayoko
723495	375590	
723495	378130	Matsushima no tsubone
723496	353908	
723497	31955	
723497	88382	La sorcière
723497	114991	
723497	211178	
723497	248222	
723497	261116	Catwalk Model
723497	380084	Perla
723497	383149	Host (2004 - ???)
723497	403648	Host
723498	136387	
723499	164612	Poquita
723499	245498	Woman Who Bit Off Nose
723500	39566	Dr. Kate McCrae
723500	39738	Deliverance
723500	54225	Grace Harvey
723500	64405	Bianca Ray
723500	81282	Peggy Chapman
723500	82521	Kim Stacy
723500	84854	Betty Barry
723500	85714	
723500	85819	Sloane Howland
723500	87542	Paula Harvey
723500	108805	Herself
723500	112213	Cheryl Leary
723500	117395	Joanna Bittan
723500	118311	Chi Chi Desnoyers
723500	120481	Vamp Girl
723500	146734	Angela de Vries
723500	164612	Dinah Hunter
723500	169401	Josette
723500	169593	Annie McGairy
723500	183590	Deena Swanson
723500	187343	Natacha Rambova
723500	190455	Clara Johnson Naccarelli
723500	194269	Herself
723500	211323	Claire
723500	218184	Maria Riserau
723500	229931	Dr. Leah Jansen
723500	232164	Elizabeth McGuire
723500	237931	Linda Foster
723500	245498	Dinah Hunter
723500	253343	Danielle Altmann
723500	257440	Lorinda Nibley
723500	272235	Jenny Cullen
723500	277337	Sylvia
723500	304365	Angela Thacher
723500	306305	Ellen Seberg
723500	331416	Tobey Clinton
723500	333276	Weena
723500	337211	Lily Prine Berniers
723500	363371	Melanie Coleman
723500	368033	The Princess ('The Dancing Pr
723500	381703	Shane Bradley (1985)
723500	398276	Vanessa Smith (1970-1971)
723501	349509	Groupie #2
723502	68232	Awareness woman
723502	104106	Herself - Tiktak bass & vocal
723503	174301	
723504	117081	
723505	393173	Kick Kennedy (age 7)
723506	80180	
723507	163639	Simone
723507	311021	Messenger
723508	87814	La documentaliste
723509	377247	Téhila
723510	313583	Claire Schaeffer
723511	77767	Miss Christie Charter
723511	256353	
723512	65658	Rashane
723513	69814	Lorraine
723513	158207	Leut. Krane
723513	158272	Tey Owens
723513	212629	Mama Africa
723513	236142	
723513	247498	Police Chief
723513	254291	Lady Cop
723513	262588	Nina Perkins
723513	275502	Sam Maddox
723513	302211	Noah's Mother
723513	340109	Jasmine's Mother
723514	127855	Yamada, actress
723514	226656	Okiku
723514	286597	Mayumi Kan
723514	286598	Mayumi Kan
723514	289294	Namina
723515	30988	Kayoko Kotohiki - Girls #8
723515	122900	Kazumi
723515	394103	Chokko
723516	255527	Herself
723517	6342	
723517	63392	
723517	76667	
723517	84503	
723517	89526	
723517	89527	
723517	90451	
723517	102024	
723517	126878	
723517	136932	
723517	167219	
723517	168361	
723517	226542	
723517	306434	
723517	307080	
723517	371045	
723517	371170	
723518	94402	Luk
723518	181443	
723519	193725	Hooker #2
723520	92818	
723521	279872	
723521	389545	Storyteller Fraggle (Iyagi-Jo
723521	403547	
723522	60587	Lee Jeong-heui
723523	371159	
723524	167471	Cheol-e
723524	306601	
723525	38769	Lili Kwong
723526	348817	
723527	124367	
723528	176898	Jin, Hyang-sa
723529	19216	
723529	19222	Mina
723529	54156	
723529	69156	Herself
723529	69157	Herself
723529	79169	Mina
723529	81925	
723529	140019	Herself
723529	150952	
723529	162033	Marcella Cocchi
723529	170312	Singer
723529	199820	Nicky Improta
723529	201497	
723529	214391	
723529	252642	Alchesade
723529	264743	
723529	264748	(special edition only)
723529	297229	
723529	326626	Minuccia
723529	347304	Herself
723529	348351	Mina the Cat
723529	348675	Mina
723529	374895	Xie Rongrong
723530	12800	Roselle
723530	25590	Amor
723530	28901	
723530	49034	
723530	66600	
723530	71257	Cory Quirino
723530	75382	
723530	87729	Amanda
723530	100043	
723530	108763	Helen/Diabolica
723530	115740	
723530	134224	
723530	152421	Lorena
723530	159749	
723530	164629	
723530	171969	
723530	172137	
723530	172580	Andrea
723530	184895	Dee
723530	203909	
723530	204602	Richelle Go
723530	226612	
723530	246582	
723530	246935	SPO2 Jacob
723530	254795	
723530	285403	
723530	302791	Raia
723530	319446	
723530	325321	
723530	325358	
723530	343286	Viveca
723530	359136	
723530	382906	Herself (2001-)
723530	394906	
723530	407943	
723531	198990	Boy
723532	403299	Panellist
723533	108339	Mary (4)
723534	122926	
723534	215148	Woman at 'Quid' restaurant
723535	389152	Lorenza
723536	82424	
723537	378652	Shugo
723538	43898	Rie Saitô
723539	379478	Lolita
723540	9292	Yumi
723540	21369	Rokusane
723540	21370	Rokusane
723540	38381	Sayaka
723540	91093	Videl
723540	92746	Videl
723540	92849	Pan
723540	92854	Videl
723540	103000	Tifa Lockhart
723540	113336	Linaly (Japanese version)
723540	113338	Marie Hayakawa
723540	127783	Claire
723540	130730	Naoko Kachida
723540	173595	
723540	174325	Merô
723540	179507	Watanabe
723540	245885	FuirishiaEpusutain
723540	310150	Mîmé
723540	369415	Hinoto
723540	370783	Yawara Inokuma
723540	379625	Roxanne
723540	381785	Kaede
723540	382109	Hotaru Tomoe (Sailor Saturn)/
723540	382110	Hotaru Tomoe - Sailor Saturn
723540	383459	Nadeshiko Kinomoto
723540	386236	Konno Hitomi
723540	386586	Midori Yamabuki
723540	386775	Pan, Videl
723540	386776	Videl Savage, Son Pan
723540	390264	Ayumi
723540	391333	Dorothy
723540	391751	Mamu
723540	396500	Nancy
723540	396549	Veena
723540	397129	Narrator
723540	411667	Yawara Inokuma
723541	251235	Girl in Truck
723541	276803	Holly
723542	303902	Party M.C.
723543	323133	
723544	172260	
723544	344022	
723545	122956	
723546	9601	
723546	13602	
723546	29322	Norimi Tanioka
723546	175716	Shiro's mother
723546	373294	The Mother
723547	353864	L'amie #2
723548	42894	
723548	163109	
723548	178390	
723549	30988	Keiko
723549	287374	Yumeko Okuya
723549	374652	Indu
723549	399377	Herself (Italian candidate)
723550	182124	Dancing girl
723551	246200	
723552	17876	
723552	18675	
723552	97141	
723552	233118	
723553	404846	Mika Suzuki
723554	149890	Chorus dancer
723555	136156	Alamocia Nakaji
723555	153649	
723555	182471	
723555	298781	
723555	320762	
723555	334952	
723555	335268	
723555	365533	
723556	28120	Toyo
723556	72962	Kayoko
723556	83750	Etsu
723556	101483	Setsuko Suma
723556	121451	
723556	130499	SDF Intelligence Capt. Kumi E
723556	138037	Doctor
723556	139852	
723556	150504	Asako
723556	153661	Midori
723556	173537	
723556	176670	
723556	231308	
723556	232543	Yuko Murota
723556	240377	Terucho
723556	282926	Maiko
723556	299296	Yoshie Umemoto (Nakamoto)
723556	327009	
723556	335317	Yae Miura/Yae Nakagawa/Shôji'
723556	358121	Byakuran
723556	359358	Takako Motoyoshi
723556	373233	Mitsuko
723557	177385	Vanessa/Diana
723557	177386	Vanessa
723557	177387	Vanessa
723557	286867	Shiki
723557	320546	Shiki
723558	182042	1st Village Woman
723559	92785	Prophet (Sheela)
723559	405166	Cook
723560	334941	
723561	232610	Kotsuru Kabe
723562	72743	Cinnamon, Customer
723562	327045	
723563	211825	
723564	101564	Girl in the Oasis
723565	76940	
723565	138135	Cyberdoll Kei
723565	159828	Miko Mido
723565	176532	Ruri Hoshino
723565	388022	Hyatt
723565	392430	Miho Umeda
723565	394392	Dvergr
723565	394421	Hoshino Ruri
723565	394696	Naozumi Kamura
723565	396491	Akiru Yuuki
723565	396503	Lucim
723565	397346	Saloma/Sal
723565	398464	Pat (Patrick) Campbell
723565	400268	Kozue Kusanagi
723565	404846	Mika Suzuki
723566	146977	Namiko
723567	117425	Hisako Yao
723568	19595	Madame at bar
723568	137339	Kane, Tae's mother
723568	145283	Asako Yazaki
723568	145764	Higuchi, Keiko
723568	145766	Bar madame
723568	242122	Honey Obara
723568	318542	Kaoru Kitami
723569	18578	Oyoshi's mother
723569	155504	Mrs. Koide
723569	156234	The Maid
723569	167555	Tone
723569	168319	Oriko's Mother
723569	176636	
723569	239231	
723569	242141	Tsuneko
723569	242244	Kin Sakai
723569	244494	Mrs. Azabu
723569	253224	Toyo, Maid
723569	324536	Old lady
723569	328029	Susuki
723569	341275	Tome Ishikawa (patient)
723569	357973	Chieko Yasue
723569	370335	Supervisor
723570	138859	Asian housekeeper
723571	229586	Shozo's mother
723572	28121	Koharu, the prostitute
723572	28132	
723572	29573	Mitsuko Matsushima
723572	38926	Woman looks like an actress
723572	50462	Katsuyo
723572	61397	Kazuko
723572	61470	Otama
723572	76946	
723572	121986	Tomi Oguchi
723572	137126	
723572	140278	Grandmother
723572	140656	
723572	145452	Eiko
723572	162219	
723572	165129	
723572	170891	Maid
723572	171527	Fusae, Nishikawa
723572	174338	Haruko Nakajima
723572	174344	Sada Tanemura
723572	176603	
723572	227661	
723572	232565	Toyoko
723572	235267	
723572	236942	Chidori Yamamura
723572	244510	
723572	278401	
723572	286859	
723572	288053	Toshiko Takenaka
723572	299814	
723572	323263	Eiko Takeda
723572	324364	
723572	358127	
723572	370351	
723572	373365	Hung-tao
723572	374618	Ine Hamada
723572	375103	Akemi
723572	379519	
723573	78332	
723573	121940	
723573	229781	
723573	231586	
723573	294051	
723573	299114	
723574	121421	
723574	121473	
723574	139856	
723574	170609	
723574	173560	
723574	204837	Fumiko Baba
723574	213660	Yumiko Aizawa
723574	216301	Chizu, a war widow
723574	232963	
723574	293591	Sound Truck Girl
723574	294164	Oboro Tsukiyo
723574	299000	Geisha 'Someno'
723574	299118	Teruka
723574	299305	
723574	318538	Saki Asamia
723574	323125	Ami
723574	359837	
723574	406882	Saki Asamiya (Nidai-me Sukeba
723574	411878	Kanako Yokozawa
723575	115529	Claudia
723575	203915	Maria
723576	52415	Young Blond Prostitute
723577	385947	
723578	233920	Woman at Bread Riot
723579	17414	Karen
723579	53059	Waitress
723580	93194	
723580	258882	Dave's widow
723581	21394	
723581	36824	Virginia (#9)
723581	45842	Model #2
723582	78015	Courtesan
723583	185628	Magojiro
723584	77535	Bar Manager's Lover
723585	205621	
723586	123054	
723587	347487	
723587	348559	Reiko
723588	23775	Caroline
723588	23813	Cora
723588	24718	
723588	24852	Elise
723588	25119	Marguerite
723588	35302	Madame Etamble
723588	43149	
723588	59261	La Poule faisane
723588	64218	
723588	84667	La mère de Delphine
723588	96227	Odette Cléry
723588	100018	Liz Preston
723588	101256	Mme Vernon
723588	107533	Jacqueline
723588	111116	
723588	133066	Duchesse de Montpensier
723588	139287	Duchess of Montmorency
723588	146362	Anne-Marie
723588	196961	
723588	199307	Widow Lefancois
723588	202069	Valérie
723588	202311	Mme de Rosanbo
723588	221967	
723588	236534	Sabine
723588	236572	La duchesse d'Uzès
723588	236588	Florence
723588	283884	Felice, la femme de Canciaro
723588	287586	Régine Chailly
723588	308688	Titania
723588	341857	La baronne
723588	345272	L'hôtesse de vente
723588	377048	Carletta Strasser
723588	377474	Mme Guilledou
723588	382764	
723588	384174	Rosalie
723588	389939	
723588	396617	Nicole
723588	402349	Anne-Marie Fontan
723588	408940	
723588	409436	
723588	410149	Mme G. Duval
723588	412268	Mme de Montbazon (segment "Ev
723589	51426	Charlotte Renard
723589	166131	L'infirmière
723589	220482	Danielle
723589	228562	
723589	262994	Nathalie
723589	345118	Nicole
723589	377038	L'analyste
723590	308851	Hooker
723591	8076	
723591	148432	Dana
723591	362717	
723592	36838	
723592	368444	
723593	205709	
723594	335937	
723595	45482	Penka
723595	325032	
723596	9353	Dancer
723597	49185	
723598	381451	Presenter
723598	392713	Presenter
723599	66281	
723599	203414	
723599	301534	Marion Everard
723600	78950	
723601	121557	Mama Pauletta Rocco
723601	151041	Theresa Monetti
723601	206710	Mother
723601	206711	Mrs. Theresa Piletti
723601	299516	Mrs. Marat
723601	309947	Storekeeper's Wife
723601	316890	Mme. Maria Caraffa
723601	346240	Maria Rocco
723601	368952	Mama Balestrero
723602	205542	
723603	125078	
723603	191191	Interviewee
723604	178532	
723605	1402	
723605	154678	Gerilja
723606	364300	Herself
723607	38832	
723608	201591	Maya
723609	185209	May
723610	347534	Dana
723611	166101	
723612	326260	
723613	65005	Pies Dorados
723613	113830	Woman at the Bar
723614	144612	Stripper #1
723614	227996	
723614	292094	
723615	4506	
723615	56078	
723615	119216	Viola
723615	207669	Fräulein Messerer
723615	225131	Christine Z.
723615	296188	
723615	325599	Uta Grabowski
723615	361455	Olga Haslinger
723615	397486	
723616	110712	
723616	339062	
723617	394255	Emily's Grandmother
723617	396492	Haruko Nakamori
723617	405279	Baker's wife
723618	125259	
723618	125262	
723618	125266	
723618	373306	
723619	354794	
723620	182704	Kazue, Sabu's sister
723621	91063	Herself
723621	91065	Herself
723621	91067	Herself
723621	91068	Herself
723621	349168	Chiyo
723622	387604	Ruth (1978)
723622	395647	Companion
723623	26305	Mrs. Weedle
723623	33058	Actress
723623	35142	
723623	49526	Rose Keys
723623	55540	Amanda Parlow
723623	59628	Various roles
723623	71586	Mrs. Moneybags
723623	82927	
723623	88289	Mrs. Haig
723623	96979	Big Eric's Wife
723623	106233	Belle Brown
723623	106930	
723623	114057	Mrs. Stebbins
723623	115420	
723623	115731	Beautiful store detective
723623	118054	Mother
723623	126490	Hired bride
723623	131039	
723623	138576	
723623	138682	Head Saleslady
723623	146128	Film Star
723623	176429	
723623	188205	
723623	191222	
723623	195282	Mrs. Aggie Tillsbury
723623	195752	Marion
723623	196293	A Merry Widow
723623	206430	Impatient Patient
723623	218123	Emily (woman caught in illici
723623	231967	Lady in the Stalls
723623	263378	
723623	278555	Friend of Edna
723623	281934	Mme. Thamar Fedoreska
723623	284949	
723623	291798	
723623	300020	His wife
723623	310445	Mrs. Grimes
723623	318347	Mrs. Brittle
723623	321067	
723623	321078	
723623	342917	
723623	349645	Girl's Mother
723623	353460	
723623	366619	The matron
723624	218848	Vesta
723625	156584	Graciela
723626	673	Snow, Megan Dietrich, Female,
723626	2493	
723626	9085	Kat
723626	10917	Lieutenant Ellen L. Ripley
723626	41204	Ophelia and Gabriella
723626	41941	Janine King
723626	43997	
723626	58482	Coach
723626	85555	Adria the Witch and Wirt the 
723626	85573	Andariel, Blood Raven, the Co
723626	85574	Andariel, Blood Raven, Malah,
723626	86283	
723626	86284	Elena Goshkin, Female Terrori
723626	92564	Carla, Mom
723626	92912	Rynn
723626	94952	
723626	94956	Voices
723626	94959	Female Commander
723626	102447	Alty Al Lazel/Midori Himeno/I
723626	105107	Sand Elf, Skeleton, Warrior, 
723626	105109	Frog Lochs, Pirate Gnome, Pir
723626	105383	Annie Knowby/Grammy
723626	106441	Additional Voices
723626	117779	Townsfolk
723626	123790	Big Mama, Black Widow, Civili
723626	124622	
723626	129855	Piggy Sue, Bob, Jenny
723626	137520	Gina, Collette (PS2 Version)
723626	156454	
723626	162399	Alicia, Natasha, Onitsuka, Za
723626	201324	Sideline Announcer, Crowds
723626	202396	Witch, Merhag, Dog God, Crows
723626	210746	
723626	227340	Nancy Drew
723626	227341	Nancy Drew
723626	227342	Nancy Drew, Millie Strathorn
723626	227343	Nancy Drew
723626	227344	Nancy Drew
723626	227345	Nancy Drew
723626	227346	Nancy Drew
723626	227347	Nancy Drew
723626	231122	
723626	232360	
723626	237941	
723626	277025	Additional Voices
723626	280472	Nikki
723626	283465	
723626	296860	Anime girl
723626	296877	
723626	302289	Gorilla Cake Dancer, Campfire
723626	308768	Announcer at Station Square T
723626	308769	Rouge the Bat
723626	308778	Rouge the Bat
723626	308784	Void
723626	312135	Eve, Alice Coleman, Secretary
723626	313421	Amargosa computer/Arvada Comp
723626	313553	Dropship Pilot/Zerg Queen
723626	320899	Sniper Lee
723626	323144	Waffle Ryebread/Panta
723626	335553	Tony Tough and many others
723626	342656	
723626	346411	Miscellaneous
723626	347531	
723626	347540	Merc, Nightmare, Egptian, Lau
723626	347541	
723626	359367	
723626	359368	Succubus, Banshee, Harpy
723626	368650	Female Worm
723626	378651	Girl 1
723626	383019	Maya Jingu
723626	389870	Chacha, Dolce Saito
723629	11806	Lina, la cameriera
723629	14871	Tatiana
723629	23589	
723629	38779	
723629	54301	
723629	55212	
723629	91080	
723629	94687	
723629	99245	Rosaria
723629	145247	Maria
723629	199444	La cameriera di casa Lenci
723629	205360	
723629	234734	La cliente in sottoveste
723629	281887	La fioraia
723629	326086	La commesa del negozio di dis
723629	342136	
723629	348950	
723629	351850	Un' altra cameriera
723630	3163	Girl In Hall
723631	2932	
723632	7206	
723633	47898	
723634	63542	
723634	359611	Iwabuchi maid #2
723634	371844	Woman at Seibei's house
723635	223885	Mrs. Porter
723636	281504	
723637	100954	Mrs. Switzer
723637	106748	Daisy
723637	126308	Gertrude Stein
723637	141402	Nurse Guinness
723637	187810	Sally Marr
723637	211529	Mother Superior
723637	245092	
723637	315263	Mrs. Abbott
723637	321448	Lillian Hunsacker
723637	348837	Laurie Bembenek
723637	365827	Maria Kaufman
723637	385228	Ann Williams
723638	167043	Kendall Katemeyer
723639	87788	
723639	358804	Herself (Disneyland ambassado
723640	365509	Ulama Girl
723641	230693	Model
723642	289650	Job Lady
723643	323155	Snotty Rich Woman
723644	63071	Crystal
723645	10670	Alice at 12 yrs.
723645	49396	Lisa Connelly
723645	136270	Jade
723645	140372	Eva
723645	142889	Girl in Library #3
723645	168289	Patty
723645	191608	Allison
723645	203287	Karen Cohen
723645	243737	Voice Actor - multiple roles
723645	299071	Vickie
723645	329343	Sophia
723645	390771	Michelle Bauer #3 (1990-1995)
723645	399849	Astrid
723646	110295	Roger's wife
723647	54821	Ivonne
723648	121898	Esmeralda
723649	72031	
723650	13094	La ragazzina della ricetta (s
723650	70766	
723650	89668	
723650	90735	
723650	127942	
723650	202207	
723650	218246	La serveuse du snack
723650	263038	
723650	355481	Chiaretta
723651	381514	Herself (2000-2003)
723651	387136	Herself (2002)
723652	26644	DCFS Receptionist
723652	56262	Casey's Teacher
723652	59146	Joyce
723652	66274	Forewoman
723652	101726	Mrs. Matarazzo
723652	158107	Local Reporter
723652	403280	Awbonnie, Dunnigan's Housekee
723653	149353	Herself (William's daughter)
723654	149353	Herself (William's girlfriend
723655	154738	Shirley
723656	88067	
723656	129121	
723656	264525	Marion
723656	338572	Angele
723656	402664	La contractuelle
723657	182765	
723658	133324	Prostitute
723658	186925	Nastassja
723658	199828	Frau Schächter
723658	256975	Wife
723658	379811	
723658	403794	Abigail
723659	139969	Countess Olga
723659	146157	Minna Ashton
723659	292240	Mrs. Lucas
723660	397738	Claudia Rosales
723661	158869	Nutrice
723661	278962	Ericlea
723662	76150	La prof de danse
723662	332195	
723663	71351	Little Sarita
723664	55094	Carmine's Girl
723664	265015	
723665	53993	Confidente
723666	154738	Mrs. Greene
723667	78880	Yeh Yuen
723668	329308	Herself
723669	58363	
723672	41137	Li Xiu
723673	973	Gorgeous
723673	9419	Doctor Aki Ross
723673	32186	Host
723673	40726	Mitsuko
723673	81629	Herself
723673	87770	Host
723673	113337	Dr. Aki Ross
723673	149026	Katie Chun
723673	149098	Hsin Lien
723673	149100	Wu Li Hung
723673	149132	Wu Ai-ling
723673	169594	Jing-Mei 'June' Woo
723673	177633	Fa Mulan
723673	222112	Fa Mulan/Fa Ping
723673	222115	Fa Mulan
723673	222116	Mulan
723673	228970	Herself
723673	241605	Mimi Carlyle
723673	271198	'Uudie' Prisoner
723673	274695	Fa Mulan/Fa Ping
723673	277582	Mei-Ling
723673	296644	
723673	310500	Jade/Lisa Wu
723673	316614	Chun-Li Zang
723673	316628	Chun-Li
723673	326620	Katy Woo
723673	327634	Ellen Moretti
723673	328271	Han
723673	350475	Mai
723673	350477	Mai
723673	360449	Narrator
723673	375614	
723673	380713	Lien Hughes #1 (1988-1991)
723673	381395	Detective Ellen Yin (2004-)
723673	387728	Dr. Jing-Mei 'Deb' Chen (1995
723673	392134	Mulan
723673	398213	Herself
723673	400582	Dr. Sara Kwan
723673	405435	Trudy Sloan (1995-1997)
723673	406113	Jade/Lisa Wu
723674	268485	
723675	6676	Dangeville
723675	243389	Messaggiera
723676	216680	Idrisi
723677	369461	Herself
723678	308689	Nelly
723679	158762	La cameriera del bar
723679	158772	Una cliente al 'Caffé'
723680	341517	Alessia
723681	8043	Toto Shop Owner
723681	234839	Backgammon Diva
723682	75808	Haitian Factory Worker
723683	3439	
723684	392530	Herself - Finalist #9 (2002)
723685	167235	Marion
723686	160893	
723686	233758	
723687	14723	
723687	36665	
723687	100373	
723687	111055	
723687	279720	3rd Sister
723687	356672	Madre
723687	379474	
723687	384972	Cinta Noguera (2000-)
723687	395017	La jove
723687	401688	Rosa
723687	402673	Laura
723687	403743	Rosa
723687	403745	Rosa
723687	403746	Rosa
723688	79726	Principal
723689	214626	Herself
723690	237611	
723691	54177	
723692	231240	La femme du premier
723693	33906	
723694	74488	
723695	51223	
723695	153919	Choo Minh
723696	220855	
723697	174560	Meenakshi
723697	355065	Wanda Brown
723698	27503	
723698	86744	
723698	227718	
723699	346779	
723700	15277	
723700	18219	
723700	93891	
723700	101569	
723700	121088	
723700	124989	
723700	162862	Miranda
723700	180456	
723700	209071	
723700	226013	
723700	265965	
723700	299610	
723700	371546	
723701	275394	Alma Dizdarevic
723702	184073	Milena Koheza
723702	227840	Mlada Emily
723702	258163	Desa, Kalauzova zena
723702	280408	
723702	334500	Irena
723702	375340	
723702	394253	Ana Djordjevic
723702	394254	Ana Djordjevic
723702	397529	Jelena
723703	222441	
723704	234737	
723705	33456	Frau Voss
723705	115652	
723705	125186	
723705	259587	Sandra
723705	277709	
723706	382743	Carmel Fitzgerald
723707	5126	Barbara Brecht
723707	150526	Petra
723707	189898	Tina
723707	259823	Monika Scheidt
723707	311086	Steffi
723707	323603	Emmi Straube
723707	325471	
723707	347807	Gerda Christian
723707	374621	Kathi
723708	244138	
723709	368913	Elyssa
723710	401970	Francesca
723711	104762	French entry (14th place)
723712	119232	
723713	69382	Sylvia
723713	77202	Erica
723713	78744	Shopper
723713	113933	Hannah
723713	185245	Nurse
723713	202980	Woman Litigant
723713	208529	Mum
723713	215560	
723713	256622	Pinafore Company
723713	269351	Enid
723713	271155	Cook
723713	313166	Librarian
723713	382379	Miss. Peake (1997-98)
723713	397418	Anthea
723713	400516	Solicitor
723713	402743	3rd Party Guest
723714	127452	
723715	86540	Sonia
723715	314427	Terry
723717	370102	
723718	294420	Claudia
723719	24862	
723719	104432	
723719	224450	
723719	229852	Liza
723719	313887	Klava Sebejkina
723719	349249	
723719	352456	
723719	386031	
723720	256741	
723721	203559	
723721	213504	Cashier
723722	46445	Reporter
723723	299458	Hooker #2 (segment "The Injec
723724	14557	Girl in bed
723724	33296	Sita
723724	130223	
723724	226358	Iris
723724	254664	Gulpje
723724	387581	Journalist
723725	65085	Opera Singer
723726	68780	
723727	17814	Party guest
723728	280660	Daria Mikara
723729	10784	The Queen of Hearts
723730	390381	Secretary Mariana
723731	110760	Pepeline
723732	132223	Kasha
723732	223807	Nancy's friend #1
723733	10414	Bitter Girl
723733	32698	
723733	61769	Jamie
723733	62285	Monica
723733	63185	Harriet Quimby
723733	80776	Marcy Cartowski
723733	88763	Samantha
723733	108330	Marci Sullivan
723733	176804	Kyra Russell
723733	182967	Belinda James
723733	183398	Susan Vercillino
723733	189914	Kelly Fitterson
723733	218180	Typhoid Mary
723733	251247	Sara Rethrick
723733	254626	Lace
723733	276842	Lauren Majors
723733	283719	Carly
723733	310877	Hooker
723733	316191	Victoria
723733	405544	Whitney Lass
723734	81135	Marie Topinard
723735	255629	Oude vrouw ziekenhuis
723736	34740	
723736	44652	
723736	50361	
723736	50382	
723736	50509	
723736	62483	
723736	68401	
723736	84235	Nurse
723736	86778	
723736	116013	Herself
723736	128637	
723736	129090	Herself
723736	209747	
723736	291020	
723736	291024	
723736	342551	
723737	104621	Gaby
723737	290264	Schneewittchen
723737	325390	Evchen
723738	391835	Talking head/soundbites (segm
723739	409856	Tincheto
723740	212295	Maykata na Plamen
723740	230056	Temenuzhka
723741	88729	
723742	300052	
723743	84450	Edzards Stiefmutter
723743	138821	Airport Waitress
723743	151545	Gallery guide
723743	177021	
723743	183815	
723743	202367	Sylvia Rutledge
723743	220056	Mrs. Fishbine
723743	362529	Harriet
723743	366765	Saleswoman
723743	385427	Gittel, the Witch
723743	400643	Mrs. Pepper Pac-Man
723744	40520	
723744	286236	Frau Lindenblatt
723744	322509	
723744	390812	Beatrice Zimmermann (1993-199
723744	391604	Elisabeth Adler (1997-2000)
723745	10886	Dr. Quinn
723745	15944	Shigeko
723745	16114	
723745	41123	Princess Luahine
723745	42727	Kim
723745	60227	Desk clerk
723745	66388	Receptionist
723745	73207	
723745	127126	Nurse
723745	148285	Dr. Chao
723745	203670	Nurse Breen
723745	298302	Mama-san, Hookers #2
723745	299679	Anna Nillson
723745	347746	
723745	353418	
723745	372525	Chang
723745	384104	Hang (1988-1989)
723745	384454	Dr. Dihn
723746	292247	Scrub Nurse
723747	366761	Lenox School Band
723748	157676	Anna
723749	192840	Herself (Liza's Stepmother)
723750	958	Herself
723750	1821	Herself - Presenter
723750	2289	Herself
723750	2560	Herself (Presenter)
723750	2572	Herself (Winner, Best Actress
723750	2580	Herself (Presenter)
723750	2592	Herself (Host)
723750	2762	
723750	2768	Herself (Presenter)
723750	2796	Herself
723750	2804	Herself (Co-Presenter)
723750	2872	Herself
723750	2904	Herself (Co-Presenter)
723750	7592	Herself
723750	13911	Herself
723750	13920	Herself
723750	20046	Herself
723750	21154	Linda Marolla
723750	21157	Linda Marolla Bach
723750	30502	Herself
723750	33431	Herself
723750	51576	Sally Bowles
723750	58022	Herself
723750	59595	Eliza
723750	68004	Herself
723750	78026	Little Red Riding Hood
723750	96555	Herself
723750	119385	Herself
723750	119411	Herself
723750	119412	Herself
723750	125483	Herself
723750	130969	Herself
723750	138700	Herself
723750	157463	Herself
723750	158237	Veronica and Andrew's baby
723750	164471	Self
723750	164587	Herself
723750	169383	Dorothy
723750	169990	Herself
723750	169999	Herself
723750	171224	Herself
723750	175541	Herself
723750	177369	Herself
723750	185205	Herself
723750	190089	Herself
723750	192839	Herself
723750	192840	Herself
723750	192842	Herself
723750	196965	Claire
723750	208071	Nina
723750	210861	Herself
723750	212554	Herself
723750	212710	Herself
723750	222495	Herself
723750	223077	Herself
723750	223904	Herself
723750	230890	Herself
723750	230963	Francine Evans
723750	232017	Herself
723750	232827	Herself
723750	243950	Herself
723750	248572	Stevie Merrill
723750	256350	
723750	275789	Della
723750	282634	Herself
723750	286341	Herself
723750	286442	
723750	301669	Herself
723750	308489	Herself
723750	314484	Mavis Turner
723750	314526	'Pookie' (Mary Ann) Adams
723750	327241	Junie Moon
723750	329560	
723750	329562	Herself (Hostess/Narrator)
723750	333349	Mary-Lou Weisman
723750	335540	Herself
723750	348106	Herself
723750	361689	Cara Varnum
723750	363585	Herself
723750	368025	Herself
723750	388202	Princess Alecia
723751	16686	Mrs. Williams
723751	40062	Daughter of the Buccaneers
723751	195494	Flower Selling Lady
723751	297136	96-year-old woman
723751	391498	Mrs. Teckler
723752	86282	Anna
723753	30646	Student #1
723753	41200	
723754	99218	Elina
723754	338711	Girl
723755	35535	
723755	120609	
723755	187729	Julie Eden
723755	274429	2nd Girl
723755	283282	Miss Cunningham
723755	304788	Joanne
723755	385824	Rebecca Morrison (1993)/Jacqu
723756	401746	Teacher
723757	186847	Gwen
723758	1575	Host
723758	2751	Backstage Correspondant
723758	215664	Judge
723758	230325	Host
723758	311950	Host
723758	381485	Host
723758	398235	Host
723758	398440	Hostess (2004)
723758	408610	Herself (2003-)
723759	359685	Schülerin
723760	355537	Housemaid
723761	73484	
723761	281451	Claudette
723762	228128	Herself
723763	255122	
723764	76584	Caroline, as a child
723765	136460	Student in Self Defense Class
723766	242113	Young Faith
723767	1729	Presenter
723767	3251	Performer/Herself
723767	23927	Herself - Audience member
723767	87772	Herself/Presenter
723767	182357	Herself/Dancer
723767	221426	Herself
723767	292792	Didi
723767	311223	Herself
723767	311953	Herself/Performer
723767	372759	Herself
723767	372760	Herself
723767	379746	Penny Seymour
723767	381886	Herself - Presenter
723767	388381	Herself/Hostess
723767	391869	Emma Jackson (1989-1990)
723767	395764	Herself - Electric Circus Pre
723767	405616	(1978)
723767	406891	Carla (#2) (1980)
723767	411830	Herself (1982-1988)
723768	1187	Herself
723768	1707	Herself
723768	1729	Performer
723768	1955	Herself
723768	2573	Herself
723768	2581	Herself - Winner: Best Dance 
723768	2721	Herself
723768	23927	Herself
723768	23929	Herself (segment "Livin' La V
723768	38340	Dr. Petra Von Kant
723768	47172	Herself (segment "Can't Get B
723768	47173	Performer
723768	65588	Herself
723768	67997	Herself/Rebecca
723768	75664	Hilary Jacobs
723768	82385	Lola Lovell
723768	85893	Herself
723768	99373	Woman Of The Year
723768	118529	Herself (segment "Diamonds Ar
723768	126340	
723768	140643	The Girl
723768	146730	Herself
723768	155019	Herself
723768	160932	Herself
723768	165850	Herself (segment "Especially 
723768	182352	Performer/Herself
723768	182353	Herself
723768	182354	Herself
723768	182355	Herself/Sex Kylie/Indie Kylie
723768	182356	Herself
723768	182357	Herself/Rebecca/Charlotte Ker
723768	182358	Herself
723768	182359	Herself
723768	182360	Herself (Showgirl)
723768	182361	Herself
723768	182362	Herself/Rebecca/Charlotte Ker
723768	182363	Herself
723768	182364	Herself
723768	200270	Florence
723768	208475	Herself (#49) (Interviewee)
723768	215354	
723768	220276	The Green Fairy
723768	221416	Herself/Performer "Can't You 
723768	221422	Herself/Performer (song: "Kid
723768	221423	Herself - Performer: segment 
723768	221424	Herself
723768	221425	Herself
723768	221426	Herself/Performer
723768	221482	Herself/Presenter
723768	228303	Herself
723768	229525	Charlene Mitchell Robinson
723768	231501	Herself (segment "Where the W
723768	249590	Performer
723768	257244	Herself/Performer (segment "S
723768	273900	Herself/Finalist
723768	282701	Herself/Performer
723768	282703	Herself
723768	286752	Jess
723768	311223	Herself
723768	316614	Cammy
723768	316628	Cammy
723768	330027	Herself
723768	334069	Herself - Best Video [Interna
723768	368289	Herself (segment: "Come Into 
723768	372760	Herself
723768	388266	Samantha Collins
723768	391369	Charlotte "Char" Kernow
723768	392424	Herself
723768	395947	Herself
723768	399130	Charlene Mitchell/Robinson (1
723768	400800	Herself/Guest
723768	405616	Robin (1980)
723768	406891	Carla (#1) (1980)
723768	408555	Herself (Co-Host) (1994)
723769	188661	
723770	90687	
723771	12677	
723771	375217	Silvia
723772	78107	Pam
723772	128848	Marlys Giovanni
723772	263439	Homegirl
723773	27167	Policewoman
723774	138461	Lille pige
723775	301679	Extra
723776	348229	Club Patron
723777	304683	
723778	4641	Lolly
723778	298173	Pilot's Girl #1
723779	467	Freundin
723779	29641	Barbara's Mutter
723779	33238	Wanda
723779	57758	Miss Hamilton
723779	77374	Margaret Devize
723779	105590	
723779	107826	Postbeamtin
723779	119119	Krankenschwester
723779	123945	Flora Fowler
723779	130919	Dürre
723779	132432	
723779	142056	
723779	142117	
723779	177913	Milchfrau Wurzer
723779	180989	
723779	186119	Mrs. Dorgan
723779	189682	
723779	201334	
723779	206886	Fanny Morland
723779	210023	Avis
723779	216320	
723779	225741	Majorin von Brünn
723779	247636	Simone
723779	269641	
723779	293619	
723779	311461	Peresphone
723779	322520	Frau Witschil
723779	343666	Mrs. Turvey
723779	350876	
723779	356587	Lady Would-Be
723779	361050	
723779	365590	
723779	367037	Frl. Forsch
723779	381382	Frau Freude
723779	382728	
723779	391134	
723779	391843	Frau Palitz
723780	42705	Pretty Lady
723780	95271	Maid #1
723780	186713	Agent Minor
723781	299458	Sharon (segment "The Injectio
723782	10655	
723783	14828	
723783	38630	
723783	57970	Maria Zilay
723783	66397	
723783	78555	
723783	78558	
723783	97094	
723783	99245	
723783	108102	Pina, la domestica
723783	111453	
723783	129036	La portinaia
723783	139440	
723783	184968	La seconda zitella
723783	202762	
723783	207067	Antonia
723783	235752	
723783	235754	
723783	252772	
723783	255868	
723783	264251	Francesca, la domestica della
723783	273142	
723783	276443	
723783	289386	
723783	291632	Maddalena
723783	319323	
723783	338702	Giulietta
723783	377572	
723784	193081	Adelaide
723784	335755	(video "Stinkfist")
723785	103759	Oriental
723786	66547	Mme Monbin
723786	202751	La femme de Robert
723787	194994	Djena
723787	276092	Amy Blue
723788	69257	Ethel Mae Cappelli (Dan's Mot
723788	281769	Sister Mary Martyrs
723788	380713	Martha Wilson (1966-1970)/Mrs
723788	392280	Liz (Bart's friend in Prague)
723788	411419	Meg Johns (1970-1971)
723789	59411	Sylvie Gaudel
723789	330984	La femme de Pierre
723789	398033	La dame (1973)
723790	401983	Olivia Angell
723791	35353	Reporter #1
723791	133334	Neighbor
723791	276599	Museum Clerk
723791	385824	Marjorie Rutherford (1985)
723792	39157	Mifa's Secretary
723793	55120	Mrs. Jones
723793	205531	
723793	374640	
723795	277094	Ninja
723796	29523	Barfly
723797	293987	Ruth Oppenheim
723798	301643	Additional Voices for Restles
723799	240379	Yaeko
723799	285919	Mayumi Omachi
723800	193872	Madam Xiong
723801	1348	Herself
723801	2259	Herself
723801	2275	Herself
723801	3593	Herself/Kendall Hart
723801	54391	
723801	123370	Suzie Wilson
723801	146729	TV Actress
723801	306626	Herself
723801	379716	Kendall Hart Lang Henry (aka 
723802	334757	Chorus
723803	8235	Oboist
723805	74215	Kahlia, 4 years
723806	143671	Soukeyna, the mother
723807	126109	Herself
723807	165974	The Girl
723807	300524	
723808	217002	Troupe
723809	236046	Herself
723810	194315	Antique Customer
723811	92111	Herself (attorney, Inner City
723812	113286	Barmaid
723812	113287	Barmaid
723813	182334	Ninja Girl (Car wash girl)
723814	75721	Additional Player
723815	283464	Remona Monroe
723816	31606	
723816	59536	Toni
723816	71319	(segment "The First Commandme
723816	80364	Vicky
723816	80539	Sgt. Chrissie Brooks
723816	88766	Mulready
723816	107145	Rita
723816	151122	La Donna
723816	194753	Maria
723816	207132	Lorrie
723816	214943	Charlotta
723816	222771	Sharonda
723816	230676	Recovering addict
723816	232460	Yvonne
723816	252478	Ruby
723816	255898	
723816	260318	Cheryl
723816	264235	Treena Lester
723816	277643	Cursing Hooker
723816	297625	
723816	316225	Group Therapy Women
723816	318783	Denise Green
723816	319188	Joanna
723816	324810	Angie
723817	14223	Susie
723817	46262	Lucca
723817	70391	Kathy Winslow
723817	76526	Rita
723817	85834	Cherry
723817	97830	Zebrah
723817	108250	Valerie
723817	115110	Lisa Cates
723817	133371	Suzie
723817	148200	Heather
723817	196420	Cheryl
723817	212691	Charlotte
723817	224492	Claire
723817	288905	Marie Belot
723817	309576	Dean's Fiancée
723817	327459	Monica
723817	329946	Tracy
723817	332396	Carla
723817	343384	Stella
723817	358308	Anna
723817	387728	Miranda 'Randi' Fronczak (199
723817	389622	Annalise
723817	400593	Sheila
723818	11455	Alice Heath/Nora O'Hallahan
723818	12769	Dorothy North
723818	13366	Joan Hope
723818	17692	Anne Shirley
723818	17778	Annie Johnson
723818	26665	Mary O'Rourke
723818	29647	Barbara, Mrs. Frietchie's gra
723818	32196	Roberta Lee
723818	38855	Phyllis King
723818	59489	Charity
723818	72226	Jessica Westoon
723818	75139	Easter Hicks
723818	86841	Dimples
723818	90268	Jerry
723818	93195	Millicent Hawthorne
723818	94135	Carol Dolliver
723818	95022	Dulcie
723818	100037	Emmy Garrett
723818	101989	Liz Simpkins
723818	106631	Julia Deep
723818	106642	Laura
723818	107481	Viola Drayton, the Fairy
723818	107543	Faith
723818	125809	Sylvia
723818	127159	Rhoda Eldridge Sayles
723818	141346	Rosalie Beckwith
723818	143053	Jess Slocum
723818	143458	Ann Annington
723818	159981	Lizette
723818	161665	Isabel Trevor
723818	166729	Jenny Riano
723818	170004	Judy
723818	191736	Pat
723818	196386	Mary Lane
723818	207717	Sally
723818	210278	Melissa Stark
723818	218770	Judith Baldwin
723818	236884	Lady Marjorie Killonan
723818	236902	
723818	242350	
723818	251860	Peggy Manners
723818	253172	Periwinkle
723818	262142	Sylvia Grant
723818	281860	Nell Drogan
723818	281934	Rosemary Van Voort
723818	285781	
723818	306732	Iris Lee
723818	308157	Rose Dorgan
723818	309847	Phyllis Latimer
723818	321235	Lavender
723818	333069	Tillie Getz
723818	337624	June Tolliver
723818	367042	Robin Challoner
723818	372937	Mary Wade
723818	373347	Yvonne Halbert
723819	196402	Blond Party Girl
723820	307949	
723821	47243	Class member
723822	44347	The Girl
723822	47445	Woman
723822	61718	Sally
723822	123395	Betsy Rudd
723822	129164	Kiki
723822	154805	Mrs. Giles
723822	160466	Lilian Hope
723822	191642	Mamie Scott
723822	241133	Lottie Price
723822	271330	Juanita
723823	56545	Herself
723823	292213	Joanna
723823	359202	War Bride
723824	161471	
723824	240814	Woman
723824	333183	2nd Flower Lady
723824	371376	Phyllis Sutton
723825	202523	Host
723826	93804	Cillano's Bookkeeper
723827	344	Big Mama
723827	11362	Holdup Woman
723827	130666	Amazon Warrior
723827	226891	Sheila
723827	228214	The Vamp
723827	236696	Patron
723827	252223	Female Boxer
723827	270903	Size 12
723827	303902	Skiing Couple
723827	305717	Tina
723827	314104	Mrs. Gorgon
723827	316284	Kyra
723827	318164	Carla
723827	321632	Nancy the Bouncer
723827	327516	Rosy
723827	358964	Big Lady
723827	364367	Donovan
723827	404282	Ilsa
723828	105398	
723829	115421	Soup Kitchen Matron
723830	45825	Sally
723831	5910	Patty
723831	85573	Flavie
723831	140938	Goddess
723832	304395	
723833	197307	Comtesse Geschwitz
723833	197310	Gräfin Geschwitz
723833	249336	Voice of Kundry
723833	371430	Larina
723834	256682	
723835	150184	Rachel
723836	52724	
723836	55334	
723836	71964	
723837	165715	
723837	263519	
723837	328696	
723837	348483	The Woman
723838	73606	Annabelle
723838	292046	Carrie
723838	406850	Redhead
723839	202511	Judge Timmons
723840	277088	Omega Mu
723841	197940	Olga Pompom
723841	360274	
723842	212274	Sally
723843	226963	Receptionist
723844	142351	Girl at Store #1
723846	103084	
723846	172352	
723846	193118	
723846	249816	
723846	284568	
723846	290795	
723846	347805	
723846	347820	
723847	70615	
723848	23551	
723849	2310	Santoro's Mother
723850	257017	
723851	75207	The Fox
723851	133470	The Fox
723852	245649	Pitjantjatjara Woman
723853	337024	Fiona petite
723854	167563	Pool Player
723855	201320	Working Class Bar Patron
723856	179208	Beata
723856	258438	Donka
723856	259083	
723856	388834	Lidka
723856	398022	Stasia
723856	404009	Young Joanna Macieszanka
723856	410485	Marta Bialek
723856	412008	Krystyna Pietrzak (1998)
723857	106802	Cinthia
723858	158762	Una vicina
723858	275610	
723858	396845	Madame Gosselet
723859	88410	Laundry Girl
723859	225601	
723859	261135	Assistant on casting
723859	406145	Mala
723860	14906	
723862	244365	Dancer #7
723863	18288	La secrétaire d'Horace
723864	7811	Andrea
723865	8152	Agathe
723865	9711	Patrizia
723865	13553	Commissaire Eva Lorca
723865	15258	La femme qui se reveille à 6 
723865	19351	La femme de Michel Arc
723865	20079	Caroline Hamelin
723865	23539	Alice
723865	23747	Nicole
723865	25116	Antoinette Pivert
723865	40280	Blanche
723865	53869	Jessica
723865	57284	
723865	70992	
723865	71807	Madeleine
723865	71988	Joséphine
723865	76149	Rita Gonzalez
723865	87941	Juliette
723865	96198	Marie
723865	99362	L'assistante
723865	99403	Eva
723865	103932	Julie Boucher
723865	106742	Marie
723865	108934	Sachiko
723865	111067	Inspecteur Corinne Levasseur
723865	116479	Alida
723865	125665	Lucy
723865	126258	Maheude
723865	133183	Monique
723865	135428	Marie
723865	149744	Miou-Miou
723865	152378	Julie
723865	159674	Angela
723865	168961	Marie
723865	169156	Josépha Manet
723865	186989	Constance/Marie
723865	190910	The girl in the coffee-shop
723865	198570	Joanna Martin
723865	205274	Rosanna
723865	205647	Gabrielle
723865	214253	Camille
723865	230123	Brigitte
723865	230149	Nicole Kunstler
723865	240449	Christine
723865	249708	Anita Boucher
723865	250722	
723865	260940	Lauda
723865	269521	Anita
723865	276295	
723865	279226	Antoinette
723865	282502	Julia
723865	308003	Japanese Girl
723865	324437	Marie
723865	327555	
723865	327882	Marie
723865	328088	Monique
723865	329863	La jeune voisine
723865	336470	Hélène Voisin
723865	337007	Laure
723865	345292	Patricia
723865	345448	
723865	345534	
723865	346523	Michèle Rouannet
723865	346709	Hélène
723865	346788	Laurence
723865	350099	Marie-Ange
723865	353933	
723865	356448	Laura
723866	187911	
723867	170961	Young woman
723868	217223	Schoolgirl
723869	2413	Reinette
723869	156317	Chambermaid at the motel
723869	163820	L'hôtesse UTA
723869	229492	Suzanne
723869	246306	La caissière de chez Maxim's
723870	275634	
723871	247862	
723872	56840	
723873	71364	
723874	17110	
723874	94312	Hélène, l'infirmière
723874	101805	
723874	182949	Nurse
723874	199590	
723874	324501	Englishwoman
723874	357093	
723874	377464	Mrs. Duhem
723875	67075	Journaliste
723875	146727	
723875	157066	Thérèse
723875	276523	Patricia O'Connell
723875	383664	Élisabeth
723875	384147	Carmen St-Pierre
723875	395094	Patricia O'Connell
723875	395095	Patricia O'Connell
723875	406981	Isabelle
723875	412171	Françoise Jolicoeur
723876	190311	
723877	273506	Girl in Commerical
723878	57723	
723879	56836	
723879	255548	
723879	294996	
723879	336600	
723879	348170	
723880	172863	
723880	327370	
723881	52247	La amiga
723881	76100	
723881	94622	
723881	131832	
723881	177028	
723881	257930	
723882	161773	Anabela
723883	93107	Herself
723884	453	Frau Mertens
723884	558	
723884	4500	Gerti
723884	6588	
723884	17049	Emmi Kurowski
723884	17053	Emmi
723884	17056	Mother
723884	17321	Oma Wuttke
723884	22738	Olga von Reichenbach
723884	33119	
723884	34347	
723884	34354	Dirne
723884	48532	Lilines Mutter
723884	51884	
723884	62179	Kast
723884	94311	Madame Dupont
723884	98319	
723884	106810	Frau Hohlfeld
723884	110114	Shopkeeper #2
723884	118096	
723884	119139	
723884	155392	Frau Ohl
723884	155741	Herself
723884	156691	
723884	156710	
723884	166424	Kathe, Servant
723884	166428	
723884	173076	Personaldirektorin
723884	175294	Frau Meyerdierks
723884	178732	Doris
723884	185798	Käthe Mühlmann
723884	186890	Martha
723884	188852	
723884	190765	Nachbarin (Neighbor)
723884	206302	Clementine Duquenoy
723884	222843	
723884	223460	Emma Küsters
723884	225655	Mrs. Blondell
723884	226175	Denunzlantin
723884	226199	
723884	249635	Frau Bütow
723884	263823	Frau Kulicke
723884	288498	Walter's mother
723884	290651	Gemüsefrau
723884	300189	Woman #1
723884	301236	Frau Niendorf
723884	306406	Madame Pillard
723884	312104	
723884	314550	Tante Theresa
723884	317507	Rose Schuh
723884	322560	
723884	334554	
723884	343662	Mrs. Roth
723884	359698	Mrs. Pecari
723884	364895	
723884	364900	Mechthilde von Kiefernspeck
723884	364923	
723884	365591	Frau Willmsen
723884	365784	Queen Mum
723884	376251	
723884	376381	
723884	376579	Louise Engel
723884	379174	Marions Mutter
723884	379858	
723884	381689	Frau Bast
723884	386977	Margarete Faerber
723884	389962	Old Lou
723884	390812	Simone Harvey (1992)
723884	391022	
723884	393409	Frau Lehmann
723884	394134	
723884	397366	Tante Liddy
723884	398429	
723884	404809	
723884	406262	Frau Brachvogel
723884	409610	Frau Puhlke
723884	409626	Suhrbiers Schwester
723884	409627	
723884	411078	Conny (1986-1987)
723885	4514	
723886	222381	
723887	160535	Chica alterne
723887	204643	Madre de Mostaza
723887	247168	Vanessa
723887	286901	Dori
723887	322851	Maquilladora 2.ª
723887	382565	Matilde
723888	5981	
723888	13184	Sidone
723888	20855	Doña Clara
723888	86803	Ana
723888	113420	
723888	183162	Luz
723888	274705	Virginia
723888	277389	Ana
723888	285933	Lupe
723888	371760	Encarna
723888	404708	
723888	407859	
723889	345275	Emplyée hôtel bord mer
723890	243509	The Expert on Gabo
723891	29585	
723891	57565	
723891	123150	
723891	235994	Profesora
723892	292479	Virgin
723893	396806	Colette
723894	189258	Miriam
723895	211605	Grisette: Margot
723896	232823	Nana
723897	1764	Stone
723897	120520	Marcia Diamond
723897	158420	Lee Ringtree
723897	159480	Rose Elliot
723897	185446	Elizabeth Banter
723897	186028	
723897	201719	Herself
723897	213125	Susan
723897	217874	Herself/Rose Elliott
723897	231507	Nurse
723897	241695	Helen
723897	260952	
723897	267345	Dana Hadley
723897	297763	Elaine
723897	344635	Margaret Hoffenbach
723897	351239	Fran
723897	358673	Emma McKay
723897	359906	Sarah Ferguson
723898	16339	Ángela
723899	337530	
723900	203463	Dancing Cook
723901	337	
723902	73642	Barmaid
723902	121321	Pierina
723904	2434	
723906	151845	Lusine's mother
723907	17711	Anne
723907	194635	Megan
723908	287575	
723909	315901	Maid
723910	158804	
723910	220755	Clara
723910	292906	
723910	318299	
723910	334661	
723910	376674	
723911	202181	
723912	51681	
723913	56107	
723914	14686	Thereza Albuquerque
723914	101831	
723916	379348	
723916	407819	
723917	7547	
723917	8885	
723917	80537	Nurse April
723917	103932	
723917	350277	Acolytes
723918	100319	Herself
723919	253694	
723920	205696	
723921	381072	Isabel
723921	388814	Fiscal Miriam Rodríguez
723921	393364	
723921	399625	Doris
723921	402452	Encarnacion
723922	176254	Isabella
723922	383387	Dora
723922	403326	Elvira
723923	25001	
723923	67659	
723923	216850	
723924	74869	Madre
723924	318232	Monitora
723924	322371	Clienta
723924	377156	
723925	15308	
723926	14650	
723926	14816	
723926	30298	Herself
723926	68573	
723926	74391	
723926	169708	Maria
723926	187746	
723926	223666	
723926	225111	
723926	225929	
723926	236376	
723926	245585	
723926	246375	
723926	264272	
723926	269539	
723926	327812	
723927	388565	Denise
723928	205696	
723929	226380	
723930	12826	
723930	12827	
723930	28873	
723930	46214	Specialty Dancer
723930	55222	Herself
723930	86050	Aurora
723930	104166	
723930	241121	Herself
723930	254488	Estela Monteiro
723930	327218	Specialty Act
723930	331304	
723931	8473	
723932	82990	
723933	225913	
723934	1774	Herself
723934	11672	Herself (Pinup Girl)
723934	12826	
723934	12827	
723934	28873	
723934	55221	Herself
723934	55222	Herself
723934	70484	Carmen Novarro/Mlle. Fifi
723934	79290	Rosita Cochellas
723934	89620	Chita
723934	92117	Herself
723934	104166	Mimi
723934	118321	Herself
723934	123717	Dorita
723934	134149	Princess Querida
723934	149374	
723934	155851	Michelle O'Toole
723934	163511	Herself
723934	184824	
723934	209672	Herself, Carmen Miranda
723934	227349	Marina Rodrigues
723934	289537	Carmelita Castinha
723934	308066	Chiquita Hart
723934	312042	Rosita Murphy
723934	329480	Carmen
723934	341476	Herself
723934	357192	
723934	360837	Rosita Rivas
723936	32498	Ally
723937	124123	Singer
723938	357900	
723939	63961	
723939	74737	
723939	233328	
723939	265115	
723939	269957	
723939	343605	
723939	376725	
723940	397171	Carla
723941	91554	Kissing Girl
723941	100131	Lilly
723941	102906	Renée (segment "Let's Talk Ab
723941	135812	Chiropractor
723941	178138	Jennifer
723941	191925	Nurse #1
723941	214123	Waitress at Party
723941	235472	Luisa
723941	338371	Rosa
723941	349854	Tina
723941	389858	Diana (Alcazar's nurse) (2002
723942	160375	Hospital personnel
723943	243391	
723944	306782	Debora
723945	54663	
723945	101617	
723946	4895	Herself
723947	211024	Nina
723948	30418	
723949	384118	Keila (1998)
723950	412257	
723951	307712	Little Girl in Window
723952	249636	
723953	213738	
723953	275304	
723953	388239	Lady Bela
723953	396126	
723953	402807	
723953	405936	
723953	412238	
723954	70222	Berta
723955	382941	
723956	377	Elena
723956	6802	Felice Falcon
723956	20793	Caterina Marchetti
723956	23846	Marta
723956	24819	Mme. Françoise Boussard
723956	25081	Clarence Holbane
723956	44829	
723956	52873	Angela Leonardi
723956	54911	Anna
723956	55385	Katrin
723956	55533	Duchess
723956	56346	Badwoman
723956	67494	Lucia Rossello
723956	67518	
723956	67841	Nennele
723956	71144	Leonardo's wife
723956	72859	
723956	85969	Marie Bashkirtseff
723956	86059	
723956	88650	Rosa Marotta
723956	89034	Sandra Morini
723956	89159	Madame Benoit
723956	90651	Elena
723956	90695	
723956	91137	Mrs. Ruxton
723956	94304	Mary Hofer/Bianca Monti
723956	103997	
723956	139287	Queen Caterina de' Medici
723956	142384	Isa Grant
723956	148654	Louise Paleari
723956	150586	Anna Warschawska
723956	186588	
723956	186984	
723956	189573	
723956	193044	Teacher
723956	197576	
723956	202499	Marina di Malombra
723956	211137	Nina Petrovna
723956	234566	Cecilia's Mother
723956	250857	Marta Larocca
723956	256154	
723956	260954	Countess Stein
723956	272525	Czarina
723956	273573	Countess Federica Donati
723956	281314	Charlotte, the Actress
723956	282577	Mamma Lizzy
723956	289329	Maria Lari
723956	289333	Contessa Luisa
723956	290900	Velia, a Roman woman
723956	292339	Hélène Marimon
723956	292380	La tzarine Elisabeth Petrovna
723956	294402	Regina
723956	294565	Mme Alvaro (segment "Avarice 
723956	299548	The Marchesa
723956	300778	Herself (segment "Isa Miranda
723956	301359	Gabriella Murge, alias Gaby D
723956	315436	Peppino's wife
723956	318845	Signora Fiorini
723956	327902	Vera
723956	328740	Mrs. Fischer
723956	345377	
723956	346663	Betty Fanwell
723956	348132	The countess
723956	371070	Duchesse d'Angouleme
723956	374211	Zazà
723956	377576	Dina
723956	386474	
723956	395724	Mrs. Goldoni
723957	21075	Chica Disco/Girl in Disco
723957	35020	Hija de Lola
723957	57778	Trini
723957	70650	Susana
723957	103943	Carmen
723957	118832	Marta
723957	226435	Natalia
723957	290364	Rosa
723957	307471	
723958	23979	
723958	53848	
723958	53849	
723958	56339	
723958	99664	(segment "Clepsusana")
723958	137038	
723958	234644	
723958	260819	
723958	265456	Maria
723958	344855	
723958	381328	
723958	385025	Zica
723958	388563	Charutão
723958	396926	
723958	402108	
723958	406987	
723959	347415	Ginger/Catwoman
723960	351763	
723961	202780	
723962	400765	Dulce
723963	56581	
723963	213742	Judite
723963	410105	Mizé
723964	409915	Marisa
723965	395865	
723966	294980	Elderly woman in elevator
723967	54822	
723967	162118	
723967	385629	Edwiges
723967	386730	
723967	387799	Charanga
723967	389786	Nair
723967	407830	
723967	409975	Dirce
723968	241145	Juana
723969	397590	Olga
723970	309890	Stilt Walker
723971	55311	
723971	202130	
723972	74622	
723972	162765	
723973	220652	Maria
723974	195117	
723976	344854	
723977	90987	Kite
723977	124017	Tanya
723977	194246	Josie Alibrandi
723977	269355	Jesse's Roommate
723977	278222	Mads
723977	338576	Leanne Ferris
723977	382458	Jo Tognetti
723977	399130	Karen Oldman (1998-1999)
723978	225777	Ring Girl
723979	391674	Herself
723980	243695	Isabel
723980	391272	
723981	63730	
723981	135127	
723982	255506	
723982	270617	
723983	122392	
723984	10468	
723984	54772	
723984	149546	
723984	161769	
723984	205144	
723984	235998	Doris Groman, 1961
723984	249889	
723984	307232	
723984	324173	
723984	333577	
723984	401251	Mónica
723985	142341	Fork Bending Sofia
723986	715	Girl in Hotel
723986	33493	First Dancer in Blue Dress
723986	42614	
723986	53650	Teresa
723986	54164	Babá
723986	58193	Nessa
723986	67679	
723986	74622	
723986	75499	Rocío
723986	96309	
723986	103110	
723986	104171	Maribel
723986	104819	Soledad
723986	108135	Patricia
723986	113238	
723986	121215	Liz Frade
723986	124547	
723986	145179	Mari Po
723986	193493	
723986	257563	
723986	307721	Paloma
723986	308796	Maria
723986	318345	Josefa
723986	348731	Fillide
723986	349953	Maria Estevez
723986	350159	Herself
723986	393016	
723986	412303	
723987	344707	
723987	394121	Carmem Miranda
723987	404165	Socorro
723988	350141	
723988	391674	Herself
723988	400096	
723989	64791	Elena
723989	114992	Ann Locking
723990	197964	
723990	383469	Luzia
723990	383678	
723990	385030	
723991	55110	Brigadista
723992	386421	
723993	136073	Veronica
723994	350141	
723995	57457	
723996	10071	Employée banque
723997	28904	
723997	73732	Claire
723998	202345	Madame d'Auber
723999	68133	Aunt Polly Watters
723999	101206	
723999	205992	
724000	202765	
724000	314697	Spanish Woman
724001	174569	
724002	15015	Le secrétaire 'Microprotect'
724002	264109	
724003	282781	Pierre
724004	256962	Pige i sofa (Girl in sofa)
724005	64709	Tattoed girl/Orantes' daughte
724006	144368	
724007	37022	Leyte
724007	342506	
724008	345621	
724009	181274	
724009	322977	Lian
724010	12795	
724010	49136	Esper
724010	174498	
724010	207045	
724010	247605	
724010	284651	
724010	287067	Christine
724010	288165	
724010	295713	Leah
724011	15295	
724011	171874	
724011	183176	Grandmother
724012	118109	Simone Vidal
724013	14659	Senyora
724014	222008	Clienta Enmascarada I
724015	160269	Marguerite
724015	312890	
724016	322524	
724017	69761	
724017	71952	
724017	198342	La fermière
724018	48819	
724019	9353	Mother with child
724019	337944	Katya
724020	172827	Chichek
724021	317100	
724022	3526	Ani
724022	35836	Ina
724022	103931	Ouvrière inhalations
724023	154184	Pshenichka
724023	200408	Elena
724023	229062	Mladata uchitelka
724023	261305	Uchenichka
724023	311589	Violeta
724024	399811	
724025	326755	Minerva
724027	278960	
724028	78770	Sara
724029	23681	
724029	25181	
724029	50295	
724029	62827	Chourinette
724029	74893	
724029	244222	Herself
724029	246836	Valentine
724029	268511	
724029	287159	
724029	354697	Clairette
724029	400341	Herself (2001-2002)
724029	408914	Herself
724030	77101	Jodla's wife
724030	260781	Nun
724031	189041	
724032	101534	Claudie
724032	108211	Nicole Chardin
724032	170537	Aline
724032	198341	Sabine Levy
724032	285731	
724032	294566	La starlette (segment "Paress
724032	345347	
724032	385867	La secrétaire
724033	56446	
724033	103756	Desmanchadora I
724033	123999	
724033	221972	
724033	262698	
724034	230427	Waitress
724035	221713	
724036	267165	Phone Sex Girl #1/Utah
724037	37781	Girl
724037	73516	Ida
724037	402582	
724038	16798	
724039	79858	Avrille Osman
724039	301700	Mrs. Parker
724039	328371	Aria Iliarsky
724040	294071	
724042	207076	
724043	53024	
724044	224448	
724045	14678	
724045	291602	
724046	29607	Girl in the park
724047	69428	1st Dancing Girl
724048	9400	
724048	19645	
724048	23082	
724048	39023	
724048	58425	
724048	89427	
724048	175952	
724048	176122	
724048	227947	
724048	283759	
724048	324776	
724048	325054	
724048	326259	
724048	373860	
724049	170066	
724050	1266	
724050	380067	Herself - Amish
724050	381917	Herself - Guest Intruder: 11-
724050	385537	Smaragda
724050	387917	Sofia
724050	394761	Matina Mandarinaki
724050	400341	Herself (2003)
724050	407990	Herself
724051	41063	Herself
724051	231078	Catherine
724051	257655	Herself
724051	257833	Miss March 1997
724051	263236	Reporter #3
724052	19946	
724053	80189	Chavo Banda La Raza
724054	85272	Lamara
724054	284952	Tebrole
724054	289275	
724054	341197	Liana
724054	341221	Rusudani
724054	344094	Nani
724055	344097	
724057	10228	
724057	10969	
724057	14410	
724057	44529	
724057	76008	
724057	83538	
724057	83541	
724057	84015	
724057	94622	
724057	96164	
724057	96299	
724057	124556	Jenny
724057	145258	
724057	159877	
724057	169569	
724057	171472	
724057	177028	
724057	192940	
724057	202202	Melody
724057	205115	
724057	217124	
724057	233344	
724057	236447	
724057	253317	
724057	275276	
724057	284322	
724057	284968	Marisol
724057	301165	
724057	327923	Catalina
724057	376867	
724058	19316	
724058	19625	Parandzem
724058	21394	Verjaluys
724058	25624	Mukuch's wife
724058	82765	
724058	95923	Wife
724058	101499	Sara-kkhatun
724058	139690	Arusyak
724058	145521	Hayastan
724058	151847	Hranush
724058	158774	Paytzar
724058	173682	
724058	210928	Haykanush
724058	212283	(segment Slovo)
724058	218893	
724058	219259	
724058	221400	Solome
724058	326281	Aunt Gohar/Ismil Khatun
724058	329165	Aram's mother
724058	371280	
724058	374717	Satenik
724059	13723	Executive Director, Glide Chu
724060	137223	Dancer
724061	127194	Jenny
724062	74775	
724063	166142	Shonach
724064	268992	
724065	378291	
724066	104726	Herself
724066	104727	Herself
724067	329025	Shelly
724068	265595	Cinemax Exec
724069	358663	Blackjack Dealer
724070	386526	
724071	251043	
724072	304551	Deni
724073	209362	
724074	388685	
724075	95656	
724075	179310	
724075	344256	
724075	390660	
724075	400481	Milica
724076	290817	Marianne
724076	368088	
724077	68333	La fille de Goodmann
724078	115639	Shelly
724079	63711	Queen Miran
724079	86545	Gatomon/Angewomon/Magnadramon
724079	152718	
724079	182506	Additional Voices
724079	217377	Reporter
724079	256146	Cat 1
724079	264053	Sita
724079	265364	Laura
724079	279879	Kelley Stevens
724079	283626	
724079	296507	Clarisse
724079	313425	Boy/Pupil
724079	313490	Arden Lyn/Mara Jade
724079	313508	
724079	325314	Girl
724079	335058	Townspeople
724079	350723	Genevive/Hrist
724079	374351	
724079	381960	Additional Voices
724079	386345	Gatomon/Additional Voices (19
724079	386389	Pteryx
724079	391948	Honey bee Queen
724079	403550	Miriya, Nova Satori
724079	408893	
724080	64333	Herself (1978)
724081	191573	Virgen de Guadalupe
724081	387378	
724081	387477	
724082	47250	
724082	303291	
724083	353707	The woman
724085	170982	Spanish reporter
724086	147702	Herself
724086	273782	Physics Teacher
724088	352927	Mme Chevassus
724089	76262	
724090	56666	
724090	88850	
724090	172458	Olga
724090	179722	
724090	180380	
724090	206043	Maritsa's Aunt
724090	224278	
724090	228927	
724090	258537	
724090	263259	His wife
724090	299555	
724090	309994	Zhora's mother (segment "Inos
724090	313889	
724090	352874	Bureaucrat's Wife
724090	356526	The Secretary
724090	373948	
724090	374087	
724090	374829	
724091	172440	Herself
724091	234435	Yegor's Mother
724091	239958	Masha
724091	261594	Natalia Vadimovna
724091	263685	Becky Thatcher
724091	283826	Kharlova
724091	320486	Tanya
724091	328109	Ideal Woman
724092	190384	Sosed
724093	155657	Glasha
724094	86006	
724095	252450	Marian Sutter
724096	55929	
724096	91398	
724096	131060	
724096	157323	
724096	270890	
724096	271992	
724096	279904	
724096	280882	
724096	287854	Artemisa
724096	357503	
724096	400948	
724097	404	
724097	8246	
724097	16370	
724097	92082	Maria Andrejeva
724097	95746	Yelena Serebryakov
724097	104433	
724097	156200	
724097	198144	
724097	227959	
724097	228883	(segment Nayezdniki)
724097	229065	
724097	230165	
724097	232668	Nadya
724097	243988	Rita
724097	260425	
724097	265016	
724097	284065	Fox Teacher
724097	299432	
724097	313887	Klava Poluorlova
724097	315933	
724097	323332	
724097	350126	Lyudmila Sergeevna, Katya's m
724097	352451	
724097	370166	
724097	374240	
724097	374676	Svetlana
724097	375177	
724097	402259	Natasha
724098	247970	Khana
724099	247347	Ochmistrzyni
724099	266019	
724100	213262	Revolutionary Woman
724101	40263	Fanfan
724102	24729	
724103	166670	
724103	181124	
724103	364983	
724104	31908	Ewa
724105	276643	Lady in Saigon
724106	690	Jane Tennison
724106	1753	Tanya Kirbuk
724106	1754	Herself
724106	2816	Presenter for Best Performanc
724106	8169	Cora Ryan
724106	19141	Orinthia
724106	21549	Rosalind
724106	23928	Herself
724106	35107	Frances Penny Bethune
724106	41910	Angela
724106	51854	Claretta Petacci
724106	52105	Marcella
724106	52204	Chris
724106	57216	Alma Rattenbury
724106	57665	
724106	59125	Beatrice-Joanna
724106	65523	Eileen Hayes
724106	66787	Stella McKenzie
724106	67073	Stella
724106	67518	
724106	68066	Caroline
724106	68229	Frieda von Richtofen Weekley
724106	70347	Georgina Spica
724106	71778	Mrs. Pinchwife
724106	73559	Stella
724106	75881	Imogen
724106	89030	Herself
724106	90911	Mrs. Porter
724106	105597	Morgana
724106	112033	Alice Rage
724106	132122	Jane Wilson
724106	134126	Georgina Woodhouse
724106	137918	Ophelia and Gertrude
724106	138713	Distinguished Woman
724106	140518	Annie Marsh
724106	141678	Ruth Chancellor
724106	143989	
724106	153246	Beaty
724106	162001	Narrator
724106	185516	Amy Dodds
724106	192027	Babbie
724106	193917	Victoria
724106	194656	Chase Phillips
724106	199707	Queen Charlotte
724106	201678	Herself
724106	213315	Hermia
724106	213318	Titania
724106	215560	Miss Julie
724106	219739	Mother Fox
724106	221315	Mrs. Reinhardt
724106	233989	The Boss
724106	237465	Patricia
724106	240734	Distinguished Woman (segment 
724106	249819	Lydia Neuman
724106	254660	
724106	258103	Doctor
724106	263550	Macheeba
724106	263791	DCI Jane Tennison
724106	263792	Supt. Jane Tennison
724106	263793	Supt Jane Tennison
724106	263794	Supt. Jane Tennison
724106	263795	Det. Supt. Jane Tennison
724106	264041	The Queen
724106	264050	Geruth
724106	270001	Joanne
724106	271344	Dominique
724106	274171	Anna
724106	280833	Karen Stone
724106	284583	Stewardess Mary Sloan
724106	288947	Gosh Boyle
724106	296879	Rose
724106	300967	Herself
724106	307016	Celia
724106	307928	Kathleen Quigley
724106	326442	Mrs. Eve Tingle
724106	336442	DCI Jane Tennison
724106	363165	Clemmie Jenkins
724106	363261	Lilia Herriton
724106	363939	Galina Ivanova
724106	385132	Valerie
724106	388202	Princess Emilia
724106	389929	Annabelle Garrison
724106	390599	Princess Evelyn Blucher
724106	391835	Herself
724106	400401	Cassandra
724106	400684	Maggie Sheridan
724106	402139	DCI Jane Tennison
724106	402140	DCI Jane Tennison
724106	402141	Supt. Jane Tennison
724107	265652	Julka, her ward
724108	265652	
724109	173325	
724110	5695	Rayna
724110	52687	Polly Jenkins
724110	72646	
724110	91573	Young Woman
724110	272600	Frank's Assistant
724110	342831	
724110	358341	Coleen Neece
724111	255108	
724112	100148	
724113	294834	Chryssa
724114	184469	Park Extra
724114	280129	Madre de Tony
724115	118238	Louise de la Vallière
724115	284662	
724115	293985	
724116	37012	Mrs. Watson
724117	242515	Cute Girl On Tricycle
724118	27247	Julie Johnson
724118	145312	Patron
724118	203699	Caroline
724118	309890	Annie
724118	381121	Julie Johnston
724118	383327	
724118	385728	Angela Snow (1991)
724118	406694	Flora
724119	252349	
724120	81994	Kiran Choudhary
724120	95053	Kaveri
724120	95435	
724120	182480	Preeti (Special Appearance)
724120	223766	Special appearance
724120	262373	Saundarya
724120	275015	Reena Malhotra
724120	327001	Nazneen
724120	341691	Muskaan
724121	174398	
724122	385299	Shaheen Kazmi
724123	57747	Young April
724124	112904	Geeta Patel
724125	112904	Preeti
724126	687	Herself
724127	303558	Young Tina
724128	26598	Zahra's Teacher
724129	227969	Guidzhan
724130	8051	
724130	349217	Haydée
724131	239958	Infirmière
724132	172824	
724133	197464	Zube
724134	139797	Matilde
724134	307471	
724135	376858	
724136	398165	Tamara
724137	73292	Roxanne
724137	211045	María
724137	304478	Lorena
724137	307471	Barbara
724137	386130	Sofía
724137	400653	Estrella
724138	354672	
724138	376861	
724139	14778	
724139	31542	
724140	194780	Tropicana Guest
724141	282900	Mucama
724142	101593	Herself
724142	155546	
724142	255802	Herself
724142	345499	Herself
724142	369556	Herself - Winner: Best Direct
724142	402153	Tertuliana (1996-1997)
724143	84024	
724143	88199	
724143	185911	
724143	190645	
724143	293370	
724144	66938	
724144	405984	(Pledge, USC)
724145	12909	Corri
724145	143712	Theresa Bosomfield
724145	195490	
724146	237905	Calire
724146	255796	Mrs. Alano
724147	380285	Presenter
724147	405209	Vicki (1996)
724148	131205	Crying woman
724149	82827	
724150	93247	Herself
724150	164513	Girl on Date
724150	401891	Herself - Eden's Crush
724151	290737	Rosi
724152	352587	Girl
724152	352591	Girl
724153	8799	
724153	97453	
724153	138949	
724153	174866	Yone Noguchi
724153	174982	
724153	177239	Sadako
724153	179524	
724153	214720	Mrs. Umemura
724153	244514	Tsune (Torajiro's aunt)
724153	244515	Tsune (Torajiro's aunt)
724153	244516	Tsune (Torajiro's aunt)
724153	244517	Tsune (Torajiro's aunt)
724153	244518	Tsune (Torajiro's aunt)
724153	244519	Tsune (Torajiro's aunt)
724153	244520	Tsune (Torajiro's aunt)
724153	244521	Tsune (Torajiro's aunt)
724153	244522	Tsune (Torajiro's aunt)
724153	244523	Tsune (Torajiro's aunt)
724153	244524	Tsune (Torajiro's aunt)
724153	244525	Tsune (Torajiro's aunt)
724153	244526	Tsune (Torajiro's aunt)
724153	244527	Tsune (Torajiro's aunt)
724153	244528	Tsune Kuruma (Torajiro's aunt
724153	244529	Tsune (Torajiro's aunt)
724153	244530	Tsune (Torajiro's aunt)
724153	244531	Tsune (Torajiro's aunt)
724153	244532	Tsune (Torajiro's aunt)
724153	244533	Tsune (Torajiro's aunt)
724153	244534	Tsune (Torajiro's aunt)
724153	244535	Tsune (Torajiro's aunt)
724153	244536	Tsune (Torajiro's aunt)
724153	244537	Tsune (Torajiro's aunt)
724153	244538	Tsune (Torajiro's aunt)
724153	244539	Tsune (Torajiro's aunt)
724153	244540	Tsune (Torajiro's aunt)
724153	244541	Tsune (Torajiro's aunt)
724153	244542	Tsune (Torajiro's aunt)
724153	244543	Tsune (Torajiro's aunt)
724153	244544	Tsune (Torajiro's aunt)
724153	244545	Tsune (Torajiro's aunt)
724153	244546	Tsune (Torajiro's aunt)
724153	244547	Tsune (Torajiro's aunt)
724153	244548	Tsune (Torajiro's aunt)
724153	244549	Tsune (Torajiro's aunt)
724153	244551	Tsune (Torajiro's aunt)
724153	244552	Tsune (Torajiro's aunt)
724153	244553	Tsune (Torajiro's aunt)
724153	244554	Tsune (Torajiro's aunt)
724153	244555	Tsune (Torajiro's aunt)
724153	244556	Tsune (Torajiro's aunt)
724153	244557	Tsune (Torajiro's aunt)
724153	244559	Tsune (Torajiro's aunt)
724153	244560	Tsune (Torajiro's aunt)
724153	244561	Tsune (Torajiro's aunt)
724153	298973	Tsune (Torajiro's aunt)
724153	358394	Hiroko Yamaguchi
724153	375593	Tsune (Torajiro's aunt)
724154	242417	
724155	221588	Nana
724155	243915	Yuriko
724155	299292	Hijacked Student on Bus
724155	376617	Lady
724156	129868	Stewardess (Ms. Dyed-Hair)
724157	321853	
724157	328139	
724158	25708	Ismail's wife
724159	406452	Performer
724160	160446	Scarlet Rider
724161	130640	
724161	253832	
724162	89329	Moyoko
724163	394696	Tsuyoshi Sasaki
724164	19702	
724165	257609	
724165	290962	Tania Aziz
724166	17737	
724167	290871	Seminarteilnehmerin
724168	46507	Fawn
724168	158921	
724169	115271	Virginia Day
724170	1899	Herself
724170	7519	
724170	230239	Herself
724170	254379	Herself
724171	8023	Nora Hornstein
724171	52557	Maria Halper
724171	55626	Librarian
724171	192413	French Maid
724171	228778	Patron
724171	291457	Lady in beauty shop
724171	364860	Mrs. Wutzernaim-Hirsch
724172	220916	Mrs. Silver
724172	232261	Mrs. Straus
724173	255424	Nikki
724174	80139	Romilda
724175	33469	
724175	74942	
724175	158762	Signora Martin
724175	202278	La madre
724175	269460	Assunta
724175	309012	Louisa
724175	378643	Martha Fenwick
724175	384908	Lady D'Anglars
724176	345267	
724177	316635	Mrs. MacClester
724178	236944	
724178	283529	Carrie
724179	198448	
724181	31546	Emilia
724181	63983	Vicky
724181	170092	Chica Francesa
724181	235998	Rifke Groman
724181	380099	Astrid
724181	380107	Marianne Bernier alias Marie 
724181	392290	Thelma
724181	397009	Úrsula Arana
724181	398473	Piedad Villalpando
724181	405398	
724181	405868	
724181	408855	(2000)
724182	239371	
724182	348819	
724183	273103	
724183	357150	
724184	234211	Mrs. Smith, Japanese Woman
724185	3113	Mio's Companion #3
724186	378149	Yui
724187	232539	
724187	375635	
724188	130516	
724188	167898	
724188	171440	
724188	181886	Osada
724188	181887	Oyo
724188	202822	
724188	202825	
724188	202827	Hanae
724188	232531	Ofuji
724188	233098	
724188	242313	Hinanu
724188	370346	
724188	371799	
724188	374514	
724189	321952	
724190	386616	Tatiana's dog
724190	411977	Sveta
724191	1437	Herself
724191	1445	Herself
724191	21295	Herself
724191	21296	Herself
724191	303763	Herself
724192	46871	Waitress
724192	217603	Audience Dope 1
724193	61320	Red
724194	340250	Michelle
724195	278337	
724196	86767	
724196	91470	
724196	152480	
724196	297034	
724197	157578	Courtesan
724198	4130	
724198	4268	Itwaria
724198	4275	
724198	4319	
724198	9388	
724198	17461	
724198	18915	
724198	25354	
724198	25952	Roopa's mom
724198	25966	
724198	27725	
724198	29043	Choubeji
724198	38214	
724198	38215	
724198	59849	Neha's grandmother
724198	61006	
724198	62369	
724198	76412	
724198	76456	
724198	79143	
724198	81706	
724198	86640	
724198	86662	
724198	88218	
724198	88222	
724198	88597	Bhagwanti Allopee Prasad
724198	90899	
724198	91477	Mausi
724198	95039	
724198	98497	
724198	98545	
724198	109352	
724198	122717	
724198	123754	
724198	123755	
724198	124633	
724198	124953	Buaji
724198	127338	
724198	127344	
724198	128167	
724198	131888	Jamuna
724198	162694	
724198	164942	
724198	166496	Shammi's mom
724198	172696	Mausiji
724198	172930	
724198	173372	
724198	174613	
724198	175863	Special Appearance
724198	175920	
724198	176020	Widow's mother-in-law
724198	177129	
724198	183454	
724198	183455	
724198	184079	
724198	187051	
724198	198672	
724198	198677	Rampyari
724198	198690	
724198	198737	
724198	201272	
724198	201954	
724198	207382	Naniji
724198	211399	
724198	213784	
724198	219006	
724198	221189	
724198	226041	
724198	226752	
724198	226831	
724198	227853	
724198	227989	Rani Ma (Vinod's mother)
724198	228857	Maid
724198	228867	
724198	233151	
724198	246575	
724198	247106	Mohini's Mother
724198	248947	
724198	250634	Sundari
724198	251217	
724198	256939	
724198	262831	
724198	262857	
724198	267410	
724198	267416	
724198	268072	
724198	268106	
724198	268118	Neighbour
724198	270202	
724198	270554	
724198	271562	
724198	271711	Ganga Mausi
724198	273061	
724198	278804	
724198	281491	
724198	284781	
724198	285198	
724198	285954	Mausiji
724198	286496	
724198	286555	
724198	287525	
724198	287641	
724198	287984	
724198	288246	
724198	288412	
724198	288836	Badi Bhi
724198	289077	
724198	297216	
724198	297744	
724198	297747	Hirya, Khurshid's maid
724198	298813	
724198	299600	
724198	299603	Mausie
724198	300282	
724198	308983	
724198	318427	
724198	318958	Maushiji
724198	324379	Mausi
724198	325296	
724198	328180	
724198	330973	
724198	334774	
724198	344980	
724198	344991	
724198	348450	
724198	348897	
724198	355290	
724198	359153	
724198	373712	
724198	375202	Doctor's wife
724199	8310	Shobha
724199	39497	Newstrack Interviewer
724199	64872	Shanta
724199	130158	Ramde's Wife
724199	140665	
724199	246084	
724199	329221	
724199	373321	
724199	392257	Chutki
724200	184266	
724200	396479	Matail
724201	4856	
724201	61017	Bindu
724201	228693	Kamala
724201	287190	
724202	21361	Arundhati
724203	142558	
724204	159054	
724204	162554	
724204	165990	Zehra
724204	216348	Moksha
724204	241314	Yamini
724204	288232	Young Sardari
724204	337779	
724204	375997	Sardari Begum
724205	213841	
724206	376209	Leonca
724207	1888	Veronika
724208	48757	
724209	54996	Dama I
724209	84787	Tetka
724209	87734	
724209	94177	Nacelnikova zena
724209	197339	Duchess Dubroc
724209	339283	
724210	197393	Isabelle
724210	222585	Tash
724211	289604	Little Mollie
724212	47112	Bertha Abernathy
724212	177452	
724213	207816	
724214	281464	Bakery Saleswoman
724215	306051	Kiev String Quartet
724216	31854	
724217	104757	Yugoslav entry (14th place)
724217	170232	Herself
724218	339283	Ana 3
724219	120249	
724220	165047	MUDr. Kovaríková
724220	327763	
724221	219139	The lawyer
724222	199860	Rashida
724222	273090	
724223	304734	Medical Subject
724224	61156	Liz
724224	75773	Tory
724224	94099	Mary
724224	105280	Harry Winston Dancer
724224	117809	Agent Lisa Franks
724224	256464	Onica
724224	269421	Chick
724224	308128	Harry's Old Flame
724224	358654	Sara
724224	400236	Grace Davidson Buchanan (1999
724225	18705	
724225	34048	
724225	34208	
724225	34209	
724225	122145	Maria Abe
724225	127921	
724225	137359	
724225	138073	Kasumi Fujihana
724225	144494	
724225	144496	
724225	144497	
724225	162324	
724225	165588	
724225	179385	
724225	179444	
724225	234957	
724225	237662	
724225	239295	Madoka Ohara
724225	242240	
724225	281048	
724225	323361	
724225	323500	
724225	334895	
724225	335508	
724225	374515	
724225	375566	
724225	378133	
724226	243800	
724227	17349	
724227	31506	
724227	49316	
724227	88489	
724227	174841	
724227	199655	
724227	328180	
724227	343370	
724229	271206	Tissy
724230	169	
724230	275388	
724230	320388	
724234	33626	
724237	101427	Girl at Dance
724238	38386	Krankenschwester
724239	207238	Daniel's mother
724239	356099	Janneke
724240	57101	
724240	83297	Madame Picking
724240	111087	La femme de ménage
724240	132173	
724240	148668	La Dame Du Monde
724240	223174	
724240	340203	Habilleuse
724240	343568	La Chanteuse des Rue
724240	347757	
724240	356813	Bonden
724240	377810	La Chanteuse
724241	104754	Spanish Entry (2nd place)
724242	7458	Mlle. von Martens
724243	239415	Emily
724244	13138	
724244	246154	
724245	377246	Extra #4
724246	324795	A Child
724247	400288	Herself
724248	142638	
724248	261807	Minna
724248	401798	Mina (1972)
724249	1344	
724249	6723	Herself
724249	6724	Herself
724249	6725	Herself
724249	27008	Herself
724249	34627	
724249	41077	
724249	41614	
724249	44406	
724249	44537	
724249	46713	
724249	64654	
724249	66109	
724249	72778	
724249	73518	
724249	81664	
724249	83962	
724249	89993	Raimunda
724249	106623	
724249	106624	
724249	113145	
724249	123636	
724249	128646	
724249	178864	
724249	186129	
724249	197737	
724249	228016	Herself
724249	228020	
724249	228021	Herself
724249	232651	
724249	242943	
724249	254703	
724249	264677	
724249	302890	
724249	305713	
724249	323379	
724249	323540	
724249	326431	
724249	329871	Herself
724249	392510	Calu
724251	225084	Emilía
724252	305233	Dreamy
724254	411435	Michi
724255	355028	The Academy's Blessed 'Virgin
724256	17941	Candy/10 on beach
724256	28145	
724256	53939	Bunny
724256	55542	
724256	57503	
724256	59278	Herself
724256	61441	
724256	71810	
724256	91048	
724256	94983	Roz
724256	100172	
724256	101508	
724256	111869	
724256	115340	
724256	115341	
724256	116475	Yvonne
724256	129634	Fernande, dite 'La Glu'
724256	176961	Gina
724256	216116	
724256	216117	
724256	216229	Eponine Thénardier
724256	216760	
724256	244745	
724256	248684	
724256	276770	Tara
724256	278307	Lina Bourget
724256	283698	
724256	309744	
724256	310112	Female Astronaut
724256	331597	Spencer's Mom
724256	333463	Rigadin's sweetheart
724256	345200	
724256	345340	
724256	346456	
724256	350091	
724256	356138	
724256	376873	
724256	377851	The music-hall star
724256	378064	
724256	399199	Cake Lase
724257	54763	
724258	234412	
724259	30400	
724259	48789	
724259	53164	
724259	75386	
724259	76109	Executive
724259	101046	
724259	125759	Bertina
724259	160092	
724259	169256	
724259	172974	Grandmother
724259	197087	
724259	207712	
724259	236001	
724259	249387	Silvia de Di Toro
724259	250993	
724259	258616	
724259	266528	
724259	272794	
724259	283259	
724259	294516	Miss Sybil Raillon-Bell
724259	302238	
724259	307725	
724259	351575	
724259	351782	
724259	376839	
724259	391853	Erika
724259	398661	Luisa Rapallo de Di Carlo
724259	400654	Laura
724259	401437	Cristina
724259	401692	Emilce Guerrico
724259	402770	
724259	404990	
724259	412127	
724260	169257	
724261	51575	
724261	53639	
724261	75498	
724261	115021	Herself
724261	120906	
724261	160121	Mujer del colmado
724261	173079	Offscreen interviewer
724261	206995	María Fernanda
724261	212360	
724261	212363	
724261	215232	
724261	222531	
724261	227500	
724261	243708	
724261	294967	Cancionista
724261	333708	Gitana
724262	16793	Minica
724263	383537	Beth
724264	5573	Neighbor
724264	223978	Margie
724265	93359	Dreamer: Driving games
724266	174398	
724267	362081	Girl in Hostel
724268	7077	Herself
724268	41645	
724268	81925	
724268	87441	
724268	107093	
724268	171513	Guru-vagt
724268	216206	
724268	252930	
724268	298761	Dog
724268	334143	
724268	354799	
724268	381091	Herself (eliminated round 3) 
724270	294557	Roseanne
724271	166940	Susan
724271	255332	
724271	264110	Holly
724271	290397	Caitlin Ryan
724271	368941	Missy
724271	369473	River Owen
724271	383123	Rebecca
724272	359398	
724273	350200	
724274	127943	Carmina
724275	4661	
724275	95627	Dentistka
724276	113883	Muriel's Child
724277	35171	Hauraki
724277	225523	Une badaude
724278	78015	Elena's Child
724279	188385	Yuri Komae, house maid
724279	216508	Miyuki Kashima
724279	244551	Yuki
724280	299618	Shige Kazama
724280	348981	Onatsu
724281	48680	June Endo
724282	349125	Matu
724283	117958	ZED
724284	63542	
724284	233136	
724284	299338	Kimi, Haruo's mother
724285	76863	
724285	172108	Kasumi
724285	242210	Migiwa
724285	297069	Sari
724285	298925	Shinobu
724285	334833	Osono
724286	9182	Natsuko Nomura
724286	9278	
724286	9477	Akuri
724286	12934	
724286	17429	Miki Nakada
724286	50187	Kyoko Hitomi
724286	76858	
724286	95159	Woman of Xixia
724286	121433	
724286	123701	
724286	130530	Hazuki Sakanishi
724286	136394	
724286	139724	Noriko Narumi
724286	146968	Osan (episode 2)
724286	149124	
724286	153661	Emiko
724286	153663	
724286	156393	O-Yoné
724286	168091	Kiyotsugu
724286	175715	
724286	179391	Teacher Fujii
724286	182056	Emiko Hamuro
724286	182129	Tamiko
724286	198945	
724286	213595	
724286	239231	Mieko
724286	244551	Machiko
724286	278385	Riki, his wife
724286	286887	Nun Kengyoku
724286	288189	
724286	300134	
724286	300139	
724286	334861	Shika Noguchi
724286	334891	
724286	341282	Azumi
724286	343639	
724286	357973	Sho Hajima
724286	358423	
724286	370301	
724286	374110	Osode
724286	375629	
724286	375636	
724286	378140	Kyoko Katase
724286	378152	Tamae, Sankichi's daughter
724287	89940	Annapuma
724287	91097	Selypa
724287	98117	Poji
724287	174950	Sue
724287	193918	Poji
724287	212306	Akemi Roppongi
724287	334888	Annapuma
724287	348752	Benten
724287	348754	Benten
724287	348756	Benten
724287	348757	Benten
724287	348760	Benten
724287	348767	Benten
724287	379481	Hideki 'Hashizou' Katoo
724287	383423	Andre
724287	386926	Daisy
724287	389820	Neko Musume
724287	391333	Sophie
724287	396487	Mamoko Hanazono
724287	396489	Pipiru
724287	396492	Misaki Kazuki
724287	396493	Poji
724287	396494	Puri Puri
724287	396796	Cindy/Karl
724287	397562	Roppongi Akemi
724287	398579	Shia Has
724287	409686	Benten
724288	244281	Emilia
724289	111045	
724289	214021	Visiteur
724289	327577	Old maid
724289	399082	Professeur Yolande
724290	22692	Haruko, Dancing girl
724290	51273	
724290	230065	
724290	242148	
724290	334930	Noriko's Neighbor
724290	375590	
724291	65892	Local Bar Patron
724292	218230	
724293	108728	
724294	347417	Mrs. Ward
724294	375904	Doña Maria
724295	80463	Blonde on the TV (Blondine im
724296	225777	Ring Girl
724297	82599	Kane
724297	128828	Emily
724297	194332	Script Supervisor
724297	247574	Karen Baldwin
724297	251867	
724297	286705	
724297	311008	Ann
724297	321571	Shirley
724297	342612	Tina Louden
724298	101842	Child
724299	170599	Mom Simpkins
724300	178986	
724302	202195	Sister Robin
724302	213159	Alphabette
724302	233774	Cara
724302	294829	Celestine
724302	350062	Victoire
724303	8023	Child with Dog
724303	51643	
724303	113990	Tina
724303	154854	Little Girl in Hospital
724304	35362	
724305	185303	House band member
724306	86598	Ally
724306	367782	Factory Girl
724307	118744	Social Security Clerk
724307	253819	Screaming Twin
724308	293021	Soloist
724309	68490	Herself (News reporter)
724310	222784	Model
724312	168087	Showgirl
724313	42136	
724313	81891	Fran
724313	86025	Eileen
724313	120199	WVS Lady
724313	121503	
724313	132326	
724313	183601	Ivy Bolton
724313	222603	Jane
724313	248157	Phyllida
724313	318726	Mulligan
724313	324624	Hecuba/Nurse/Aethra
724313	348379	Marie, girl
724313	387247	Jane Williams (2001-2002)
724313	402138	
724313	405088	Dolly Rawlins
724313	407047	Caroline
724313	407508	Mother as a young woman
724313	411089	Dolly Rawlins
724313	411090	Dolly Rawlins
724314	315198	
724315	149353	Herself (High school guidance
724316	92048	(English language version)
724316	117210	Ruth Pollitt
724316	159881	Hetty Prout
724316	183438	Rose
724316	257983	Mrs. Abbott
724316	381714	Vi Tonks
724316	388589	Mrs. Abbott
724316	389066	Ruth Pollitt
724316	390387	Mrs. M
724316	395136	Hetty Prout
724316	395827	Patty Arbuckle
724317	289372	Featured Extra
724318	10516	Nursemaid
724318	11077	
724318	16916	Mrs. Maggione
724318	30605	
724318	31837	Giovanna
724318	31882	
724318	40831	
724318	40897	
724318	46731	Helene, the Maid
724318	50925	
724318	63096	
724318	66373	Native Woman
724318	70825	Hotel Maid
724318	72664	Mrs. Brewer
724318	83598	
724318	83836	Baker's wife
724318	88654	
724318	96905	Saloon Girl
724318	112508	Peasant Woman
724318	113920	Lola, Nina's Maid
724318	114291	Emily
724318	115618	
724318	116244	Mrs. Goldberg
724318	119416	Miss Hinklefink
724318	127086	Mrs. Signatelli
724318	127087	Madame Zola
724318	137505	Yna (Vicki's handmaiden)
724318	144873	Mrs. Lake
724318	144912	Miss Hinklefink
724318	149390	
724318	150916	Urla, Gypsy Woman
724318	151450	
724318	152600	
724318	153283	
724318	154417	Maria, Angelo's Wife
724318	170858	Miss Hinklefink
724318	171258	
724318	186828	Maid
724318	193677	Caulama
724318	197765	Mme. Tanguy
724318	199403	Nun
724318	201349	Neighbor
724318	203323	Italian Woman
724318	206118	Maria de Lopez
724318	207148	Woman Busybody
724318	208719	Mary, Marcia's Maid in Americ
724318	209605	Mrs. Braukoff
724318	211588	
724318	220511	
724318	231780	Woman
724318	233868	
724318	254515	Feretti's maid
724318	254528	Concierge
724318	255083	
724318	262758	
724318	264074	Margaret Head
724318	264416	Party Woman
724318	271223	
724318	275668	Mexican Peasant
724318	279441	Native shopkeeper
724318	284916	Adele, Tobin's maid
724318	285315	
724318	286929	Mary's Maid, Louise
724318	289537	Zombie's Mother
724318	298582	Fortune teller
724318	305965	The Doctor's Nurse
724318	308393	Dame Duncan [Ch.3,7-8,12]
724318	308576	Woman
724318	309848	Taupa
724318	310059	Book #3
724318	312989	Hotel Maid
724318	318138	Woman
724318	321708	Aunt
724318	323607	
724318	329450	Ancestor
724318	329481	Mother
724318	333653	
724318	341673	
724318	345860	Squaw
724318	349553	Miss Hinklefink
724318	353362	Mrs. Horney
724318	355825	Spanish wife
724318	358356	
724318	359272	Old Woman
724318	364343	Sara Caldwell
724319	136287	Black Woman
724319	276345	Singer
724320	239571	Bess Pomeroy
724321	112597	Bess Barlow
724322	192855	Interviewee
724322	357007	Bar Client
724323	44684	Saloon girl
724323	45232	Chewing Gum Girl
724323	64090	Cashier
724323	120726	Waitress
724323	255819	Bacall-Type
724323	293103	Photographer's Model
724323	308605	European girl
724324	26394	Jersey
724324	61761	Jersey
724324	66237	Herself
724324	73927	Grace
724324	128135	Suzanne
724324	176966	Annie
724324	209155	Kate's Sister
724324	219979	Jersey
724324	278247	Erica Enders
724324	302432	Little Nancy at 7-9
724324	326663	Herself
724324	363812	XuXu, Older Twin
724324	378943	Lucy Camden Kinkirk
724324	381893	Cassie
724324	388080	Herself
724324	401362	Clara (1993-1994)
724325	2490	
724325	36703	
724325	74089	
724325	91627	
724325	93119	
724325	152716	
724325	188044	
724325	263075	
724325	306028	
724325	315794	
724325	339580	
724325	340402	
724326	275682	Barbara Clairborne
724326	303491	Stewardess
724327	16475	Ariel
724328	39830	Mrs. Dupont
724329	41739	McRae Daughter
724330	16710	Margaret
724330	118970	Sasha
724330	183190	
724330	240325	Madge Milligan
724330	310141	Jennera's Voice
724330	314503	Jean Shaw
724330	318188	Sasha
724330	359505	
724331	49366	Three Deuces Chorus Line
724332	74188	Carole Fields
724334	384369	Toya
724335	359185	Herself (Communist Party cand
724336	75611	Daphne Ray
724336	82923	Woman in Surgery
724336	82924	Mrs. Burke
724336	114144	Mrs. Oaks
724336	119802	Mrs. Tranter
724336	138659	Ethel
724336	158514	Mrs. Fraser
724336	167644	School secretary
724336	183670	Lucille
724336	183854	Mrs. Blinder
724336	186056	Ethel
724336	194690	Farmer's Wife
724336	203212	Mill Girl
724336	229133	Miss Chamberlain
724336	281052	
724336	288476	Ellen Vespers
724336	315682	Charlotte
724336	316604	
724336	354519	Janet Pawle
724336	367482	Lady Chatfield
724336	379292	Amy Winthrop
724336	380185	Monica Spencer
724336	397890	Mrs Jones
724336	401275	Mrs. Clay
724336	401812	Ivy
724336	403285	Mrs. Hawkins
724336	404795	Lady Katherine Giles
724337	294150	
724338	191369	Baby Nick
724339	62922	Nutlady
724339	187989	Voice
724340	155635	Inspector's Wife
724341	367494	Hilda's baby
724342	89188	Sydney Burke
724342	355536	Angie
724343	75773	Prison Guard
724344	291014	
724345	122113	Shoka
724346	82696	Funeral Girl #3
724347	156860	Painted Person
724348	19303	Spring Dawn
724348	55162	Tira
724348	120026	Jen
724348	136275	Janey
724348	152564	Marie
724348	350424	David's Assistant
724348	358376	Michelle (Tank's girlfriend)
724348	367446	The Man's Secretary
724348	368894	Leslie
724349	24703	Librarian
724349	62990	Mrs. Cratchit
724349	117089	Louise Reynolds
724349	262589	Mary Halford
724349	264235	
724349	384366	
724350	348451	
724351	323517	Vanessa
724351	381990	Di
724352	126513	Jivin' Jill
724352	129095	A Jivin' Jill
724352	277526	Malia
724352	362491	Girl
724353	152	Victoria
724353	17592	Michaela Dupont/Anna Parkhurs
724353	33426	Joan
724353	42983	Mrs. Davis
724353	43264	Diane Campo
724353	71495	Stewardess
724353	80829	
724353	88965	Dr. Janet Larwin
724353	105891	Mary Jo Perrin
724353	108352	Lillian
724353	108474	Party Hostess
724353	117100	Roberta Flowers
724353	117101	Eleanor Hanover
724353	138822	Lucille
724353	155277	Maria Conrad
724353	164716	Joyce
724353	188135	Elaine Easton
724353	217745	Mrs. Warren
724353	220669	Sarah Kellogg
724353	249579	Rene
724353	252878	Katherine
724353	259749	Elizabeth Pollock
724353	261107	Marissa Pindar
724353	266591	Connie Bates
724353	269667	Mickie
724353	281387	Laura Ackerman
724353	296928	Elizabeth
724353	301701	Sister Katherine
724353	342744	Mrs. Bruna
724353	342848	Nina Goldman
724353	361907	Gene's Wife
724353	379716	Christine Dunn #1 (2001)
724353	380713	Vicky Bradford Scott (1992-19
724354	50905	
724355	7411	Nanon
724355	47576	
724355	166236	
724355	167673	The Woman in Black
724355	208045	
724355	315236	
724355	363572	
724355	367769	
724356	81319	Momma next door
724357	97611	Social Security Official
724358	2377	Teresa Earnhardt
724358	68069	
724358	91573	Dr. Karen Winterman
724358	119879	Julia 'Jules' Sullivan
724358	127351	Linda
724358	147812	Blair
724358	191051	Linda McCartney
724358	198085	Ariel Saxon
724358	202880	Cyd Mason
724358	217421	Beverly Trehare
724358	236873	Chloe Jensen
724358	283564	
724358	287727	Principal Carol Newman/Mrs. C
724358	381479	Alice Allenby
724358	387728	Dr. Kim Legaspi (2000-2001)
724358	395021	Laura Malloy
724358	396123	Dinah Lee Mayberry Alden McKe
724358	396229	Ariel Saxon
724358	405335	Jane Chasen
724359	305007	Herself
724359	411759	Elizabeth (1979)
724360	37210	Big Momma
724360	194520	Lead singer
724361	217481	Stephanie Clark
724362	244825	Parliamentarian's wife
724363	251496	Vivian
724364	354160	Garrick's Secretary
724365	337649	Player
724366	154315	2nd Mrs. Fletcher
724367	78529	Jane Morris
724368	309576	Woman at Gas Station
724369	5059	Mabel
724369	9032	Gertie Dunlap
724369	11660	
724369	16496	
724369	17475	Leah Burbaum
724369	26762	Babe
724369	32954	Rita Sinclair
724369	36973	Gossip at 55 Club
724369	37070	Trixie, North's Companion
724369	40628	Dot
724369	44464	Miss Crawford
724369	47069	Daisy
724369	47307	Showgirl
724369	54482	Miss Hackson
724369	54483	
724369	55417	Nurse
724369	57051	Alice
724369	73225	Nurse Mary Prentiss
724369	81097	Helen Gilbert
724369	82064	
724369	84900	Nellie
724369	87798	Phoebe Darnton
724369	88970	
724369	107593	Party Guest
724369	108002	Florence Day
724369	112584	Martha Harrison
724369	116543	Bit in Ladies Locker Room
724369	126559	Mme. Nedra Tito
724369	128168	Harmon's Secretary
724369	129923	
724369	131618	
724369	132793	Nancy
724369	140803	
724369	142360	
724369	143447	Gloria Marshall
724369	145812	
724369	146145	
724369	147329	Dance instructor
724369	148932	
724369	150975	
724369	153183	
724369	154043	Fifi
724369	154175	
724369	154925	
724369	158456	Dance teacher
724369	163198	
724369	186414	Edith Adams
724369	199686	Girl at training camp
724369	203307	Doris Russell
724369	211610	
724369	214068	Clara Roscoe
724369	219383	Miss Hall
724369	231990	Hebe
724369	232344	Florabelle
724369	242110	Patty
724369	249621	Irene Sherman
724369	260292	Model in Black Gown
724369	266715	Bit
724369	272532	
724369	276362	Anne, Queen of Anesthesia
724369	285350	Cleo Carewe
724369	297970	Saleswoman
724369	302771	Marian
724369	308391	Connie
724369	312029	Young Lady
724369	330875	Nurse
724369	361726	Gloria Hanley
724369	362377	
724369	364453	Telephone operator
724369	368315	Maizie
724369	368404	Evelyn Henderson
724370	5503	Sharon
724370	152915	Helen
724370	388321	Penny Gwyn (1999)
724370	391553	Paula Franks
724370	401450	Erica Bainbridge
724371	85079	Geraldine Larmour
724372	92241	April
724373	105296	Neighbourhood Lady
724374	54490	2nd Quaker Woman
724374	77210	Bea Blackstone
724374	310416	Kate Lawton's Mum
724375	321731	Judge
724376	47891	
724376	62790	Carrie Draper
724376	273741	
724376	296979	Ellie Moore
724376	380143	Joan Carter
724376	381736	Ginnie Curtis
724377	30924	1st woman
724377	39194	Roma Chamberlain
724377	48240	Fiona Lambert
724377	61802	Mrs. Savage
724377	66680	Simmonds
724377	66681	Simmonds
724377	66684	Simmonds
724377	66685	Simmonds
724377	79858	Margaret Shuttler
724377	105101	Wife
724377	154094	Jill
724377	191649	Grace Michael
724377	195931	Det Sgt
724377	202188	Barmaid
724377	222831	Bridal Manageress #1
724377	240682	British Anchorwoman
724377	257048	Margot Ryan
724377	265819	Martin's Mother
724377	329307	Melanie
724377	338576	Betty Ferris
724377	382396	Edith
724377	393471	Ada Thomas
724377	395104	Helen Davies
724377	397477	Erica Boyer
724377	404927	Lust
724377	406144	Ashka
724377	406145	Ashka
724378	113883	Bikini Contestant
724379	291447	Bishop's Audience
724380	16767	The Doctor
724380	32659	Kennel Employee
724381	224429	Family in Park
724382	321154	Model
724383	341253	
724384	147976	Stripteaser
724384	160329	Amy Tishman
724384	192286	Photo model
724384	292779	Senior Optometrist
724385	361611	Gail
724386	10535	Tracey
724386	397436	Mrs. Naylor
724387	18001	Supporting
724387	106264	Girl in Motorcycle
724388	289372	Featured Extra
724389	9057	
724390	32261	Tracy Addison
724390	63066	Bank Teller
724390	105502	Teacher
724390	141180	Nurse #2
724390	298008	Larissa
724390	382160	Heather
724391	294790	Victim
724392	93356	
724393	299803	Second Babe
724394	150873	Mother Superior
724395	189404	Paula
724396	70282	Sally
724397	359765	Kelly
724398	289999	
724398	306421	So Fine Girl
724399	190483	
724400	694	Herself
724400	57637	Herself
724400	73731	Herself
724400	108754	Herself
724400	146640	Herself
724400	169018	Herself
724400	185751	Herself
724400	194043	Herself
724400	195290	Paula (segment "Black Cat in 
724400	211782	Herself
724400	275604	Herself
724400	280702	Herself
724400	296918	Herself
724400	326482	Herself
724400	358731	
724401	385105	Jo 'Loveday' Langley (1985-19
724401	387203	Penny O'Brien (1992-1993)
724401	391869	Constable Jane Holland (1990)
724401	399130	Katerina Torrelli (1994)
724402	206360	
724402	390341	Sandra Hunter
724402	399130	Bianca Healey (1998)
724403	46267	Mother
724405	56545	Herself
724406	44764	Maid
724406	76195	Waitress
724406	230359	
724406	366178	Sportscar Blonde [extra]
724407	64743	Jessica Landers
724407	69808	Assistant Floor Manager
724407	130960	Kate
724407	148987	
724407	400684	Nurse
724408	310524	Demon Girl
724409	342616	Receptionist
724410	108382	Woman in apartment
724410	275330	Police Officer
724411	114642	The Crystals
724411	402739	Sister Joan
724412	17774	Mrs. Thomas
724412	26633	Kelley
724412	54221	Chief PAO Andrea Wyler
724412	321731	Lorraine
724412	333390	Dream Girl
724412	383374	NASA Chief PAO Andrea Miller
724412	387303	
724413	185303	House band member
724414	12207	Disgruntled Waitress
724415	308558	Bridesmaide #3
724416	350214	Maggie
724417	5717	Julie
724417	9753	Edith
724417	23569	Honoria
724417	50647	Kate
724417	154860	Nessie
724417	187273	Mhari
724417	190525	Grace Angelini
724417	255894	Muire Boland
724417	299925	Kate McQuillan
724417	305351	Maggie
724417	391759	Anita Forbes: Psychiatrist (2
724418	154183	Terri Tomlinson
724418	284004	Cheerleader
724418	392763	Abby
724419	239756	Water Brigade
724420	132233	Inmate
724420	154157	Rappelling Groom's Wife
724420	236535	Lizzie
724420	252897	Dr. Kiley
724421	32185	Chorus
724421	161523	Lucinda
724422	23467	Georgia Lane
724422	52744	
724422	110940	Manicurist
724422	112625	Dolly Tate
724422	124224	Model
724422	128706	Phyllis (tall blonde)
724422	135908	Tina Neville (the redhead)
724422	194468	Jack's Wife
724422	210608	Herself
724422	215727	Lambda
724422	230693	Parisienne Poule
724422	239416	Girl
724422	269340	Queen Yllana
724422	283429	Winnie Bernay
724422	307913	Mary Lou (trumpet player)
724422	329527	Showgirl
724423	176819	Punk
724424	208398	Frightened Bluebell Warrior W
724425	364324	Marjory Garver
724426	158909	Carol's mother
724426	291230	Vera
724427	55198	Micaëla
724427	102559	Donna Elvira
724427	175525	Herself
724427	189333	Herself
724427	341820	Liù
724427	371325	Herself
724428	326755	Isra
724429	149459	Monique
724430	42296	Hawaiian Tropic Team Member
724430	188963	N.Y. Tourist
724431	390336	Herself - Newsreader (1988)
724432	53336	Fifi
724432	57561	Herself/interviewee
724432	306284	Linda
724432	327685	Jethro's Daughter
724433	154368	Herself
724433	173313	Herself
724434	140405	Actress playing Bessie on Bro
724434	152572	Ernestine
724434	262589	Judge
724434	390771	Judge Taylor (1999-2000)
724435	130181	Diana
724436	119756	Woman with Baby Carriage
724436	201912	Herself
724437	215690	Miss Kentucky USA
724438	48385	Bernadette Hamelin
724438	70723	La mère de Léo
724438	132922	
724438	157014	
724438	201102	Mlle Tremblay
724438	249209	Fan de Jeannot
724438	254084	Marie-Louise
724438	269041	
724438	377478	La tante
724438	383372	Edwidge
724438	390486	Frezildee
724439	65901	
724440	115593	Careen
724440	317309	MV Villagers Goodbye
724441	212744	The Michael Nyman Band
724442	8961	
724442	70777	Phyllis
724442	80800	Mother
724442	124381	Phyllis
724442	155033	Daisy, Miss Stone's Maid
724442	230435	Capt. McGrady
724442	342810	Grace Shepard
724443	278833	Don Cherry & The Sound Unity 
724444	191369	Young Vera
724445	315198	
724446	123275	
724446	193073	Margarita
724446	202097	
724446	249905	
724446	309084	
724447	407822	Herself
724448	235491	
724448	252068	Betty
724448	323594	Audition Singer
724449	385299	Philippa Gray
724450	51984	Bar Tender
724451	117540	Housewife
724451	187684	Various
724452	254593	Preacher's Wife
724453	295833	Daughter
724454	65102	Adriennce
724455	16943	Sarah Plowman
724455	147500	Young Linda
724456	391219	Anchor
724457	34913	Choir member
724457	85874	Gina
724457	185137	Kim
724457	186447	Mrs. Marino
724458	150842	Jim's wife
724459	131232	Extra
724460	2819	Baby
724461	8437	Agny
724461	171349	Mary Rossi
724461	335049	Nicole
724462	324225	
724463	115910	Mrs. Talbot
724465	215185	Edna Strickland (young)
724466	210400	Mrs. Shorter
724466	320197	Hazel Paige
724466	367412	Martha
724467	99585	Redhead
724468	265266	Agnes Spielman
724469	392111	Herself/Co-host (1980-1983)
724470	1928	Announcer
724471	19287	Marie
724472	33748	Betty Mae
724473	131777	Cynthia Palmer
724473	131805	Cynthia
724473	195854	Susan Rider
724473	199143	Shelly Hamilton
724473	258889	Sally
724474	283250	Mother
724475	330797	Cpl. Mitchell
724476	1703	Herself
724476	1734	Herself - Presenter
724476	57668	Herself
724476	58090	Herself
724476	62793	Sarah Gordon
724476	65565	Sophie
724476	72319	Jo Jo
724476	80478	Charlotte LaMarr
724476	105312	Angie
724476	113506	Mary Barrie
724476	118363	Girl
724476	137570	Sarah
724476	144763	Syd
724476	176229	Tamara Spencer
724476	195400	Danni
724476	203344	Lisa
724476	210269	Melinda
724476	220714	Isabelle Sorenson
724476	234212	Shauna Louise
724476	254785	Kelly Shepard
724476	256839	Carolyn Fry
724476	304770	Cindy
724476	327767	
724476	348505	Mira Fuchrer
724476	363028	Beth
724476	399130	Catherine O'Brien (1996-1997)
724476	406868	Pixie Robinson
724477	25868	Assistant Secretary
724477	29388	
724477	30364	
724477	32398	Elsa Arlington
724477	33091	
724477	36784	
724477	40789	Florence Langdon
724477	40793	
724477	44750	Mary
724477	46739	Wedding Guest
724477	47146	Beth Kirkland
724477	67327	
724477	73772	Mother
724477	77954	Gladys Lawlor
724477	84984	Virginia Crosby
724477	85102	Milli
724477	85653	
724477	85815	
724477	90200	Lucinda
724477	112183	Elevator Operator
724477	127172	Mary Drew
724477	127696	Mary
724477	129905	Bijou Lamour
724477	131670	Natalie Shelby
724477	133938	Mary Lewis
724477	134026	Emily
724477	134675	Nurse
724477	139586	Woman at Race Track
724477	140514	Jean Drake
724477	144573	Bit part
724477	144621	
724477	144989	Woman
724477	146238	
724477	149188	Jane Cabot
724477	149261	Reporter
724477	154652	Decker's Secretary
724477	160007	Peggy Adair
724477	203031	Virginia Winters
724477	206355	Nurse
724477	213475	
724477	216974	
724477	217949	Janet Collins
724477	220782	Priscilla Miller
724477	221307	Mrs. Humphrey
724477	224577	Hall Clerk
724477	231131	
724477	240813	Belle Shields
724477	241416	Stage Mother
724477	244355	The Chorus Girl
724477	245695	Bettina Warren
724477	245701	Belle
724477	254671	Helen Landon
724477	257939	Undetermined Role
724477	278047	Mabel Brentwood
724477	284876	Mary
724477	286929	
724477	290916	Alice Porn
724477	291113	Ellen Holt
724477	294618	
724477	299914	Nell Holden
724477	304065	Clubwoman
724477	304801	Kate Billings
724477	306730	Rose
724477	313793	
724477	313943	Jeny
724477	329072	Dealer
724477	329116	Passenger
724477	331517	Constance Bonacieux
724477	346875	Ruth Penfield
724477	346914	Seamstress
724477	347335	Maid
724477	364117	Maizie
724477	364453	
724478	103364	Young Woman
724479	82376	Tim's Mother
724480	54490	1st Quaker Woman
724480	77209	Valerie Silwood
724480	118021	Abigail
724480	139486	Vicky
724480	157603	Christine Smith
724480	165450	Miss Scratcherd
724480	211840	Jean Macintyre
724480	393667	Jessica
724481	309581	Motion Picture Crew
724482	126759	Fiddle and Guitar Player
724483	40140	Amy
724483	221045	Helen Sage
724483	292010	Sarah
724484	120477	WPC
724484	139486	DS Karen Malahyde
724484	178224	DC Carla Maynard
724484	215892	Mission Girl
724484	220430	WDC Sales, aka WDC Maynard
724484	233528	WPC Carla Maynard
724484	302110	DS Karen Malahyde
724484	359426	Arlen
724484	386196	Alison Crocker
724485	13971	Diane
724485	140469	
724485	245016	Laurie Lupo
724485	252959	Lady #1
724485	299519	
724485	322755	Betty
724485	362493	Paula Moore
724485	392226	Lucy
724486	872	
724486	2766	Party Goer
724486	4704	
724486	6719	Herself
724486	6728	Herself
724486	12231	Strip Club Dancer
724486	13389	
724486	13494	
724486	13495	
724486	13501	
724486	13508	
724486	22958	
724486	25815	Housemother of Beta Delta Sor
724486	25824	
724486	26782	
724486	26950	
724486	27258	
724486	29644	
724486	29781	
724486	29887	
724486	32553	
724486	34752	
724486	34753	
724486	34754	
724486	34806	
724486	34807	
724486	34808	
724486	34809	
724486	34810	
724486	34811	
724486	34812	
724486	34814	
724486	36331	
724486	36399	
724486	36400	
724486	36401	
724486	36402	
724486	37425	
724486	39068	
724486	39069	
724486	39242	Sharon Mitchell
724486	39281	
724486	40150	
724486	41641	
724486	41913	
724486	41992	
724486	43470	
724486	43471	
724486	43472	Dominatrix
724486	44466	
724486	44735	
724486	49659	
724486	51357	
724486	52009	
724486	54928	
724486	56745	
724486	56934	
724486	57936	Herself
724486	59109	Dist. Atty. Chris Ferraro
724486	65654	
724486	67463	
724486	69401	Prudish neighbor
724486	72449	
724486	73609	Teri
724486	77415	
724486	78037	Housekeeper
724486	82079	
724486	85675	
724486	86706	Segment 2 Girl
724486	87246	
724486	87267	
724486	87388	
724486	87564	
724486	90840	
724486	92594	
724486	93071	
724486	93317	
724486	95199	
724486	106623	
724486	108798	
724486	110357	Brenda Whitlock
724486	110507	Whip Woman
724486	110539	Waitress
724486	112182	Receptionist
724486	113363	TV Reporter #1
724486	113992	
724486	116594	
724486	120555	
724486	120620	
724486	127808	Herself
724486	127818	Herself
724486	127825	
724486	127826	Herself
724486	128347	Herself
724486	128910	
724486	128911	
724486	129090	Herself
724486	129734	
724486	139209	Herself
724486	144420	
724486	144421	
724486	144831	
724486	146628	Herself
724486	148558	
724486	149671	
724486	150331	
724486	154387	
724486	157559	
724486	158743	
724486	160228	
724486	161174	
724486	161969	
724486	169366	
724486	169688	Masturbating Woman
724486	173079	Herself
724486	178142	
724486	178143	
724486	178938	
724486	183381	
724486	185889	
724486	186711	
724486	187411	
724486	187413	
724486	188026	
724486	188027	
724486	188031	
724486	188092	
724486	188171	
724486	190679	
724486	191049	Herself
724486	191354	
724486	191421	
724486	194397	
724486	200158	
724486	202787	
724486	218759	
724486	219151	
724486	220178	
724486	228053	
724486	232093	Susie
724486	232139	
724486	237119	
724486	242071	
724486	243116	
724486	243119	
724486	243529	
724486	244353	Herself
724486	245006	
724486	245470	
724486	245473	
724486	249610	
724486	252977	
724486	253480	
724486	254796	
724486	257519	
724486	260726	Herself
724486	260816	
724486	264150	
724486	267442	
724486	269430	
724486	273528	
724486	276672	
724486	295681	
724486	295823	
724486	297688	
724486	298147	
724486	302880	
724486	303985	
724486	304635	
724486	305705	Madame Suque
724486	305918	
724486	306916	
724486	311451	Herself
724486	311509	
724486	313226	
724486	313685	
724486	316506	
724486	317921	
724486	317997	
724486	319946	
724486	320058	
724486	320994	
724486	321000	
724486	321488	
724486	321661	Judge Marshak
724486	323138	
724486	325221	
724486	326106	
724486	326783	
724486	326808	
724486	330672	
724486	331175	
724486	331741	
724486	331824	
724486	333545	
724486	335803	Herself
724486	336661	
724486	338027	
724486	338293	
724486	338491	
724486	339916	
724486	343164	
724486	344481	
724486	344499	Herself
724486	344556	
724486	347096	
724486	349892	
724486	358074	Herself
724486	361597	
724486	361887	
724486	361911	
724486	361958	
724486	362988	Herself
724486	364159	
724486	366745	Fortune teller
724486	366830	
724486	366831	
724486	366832	
724486	389088	Cabaret Dancer
724487	77850	
724487	262589	St. Matthew's Choir & Band Me
724488	273483	Herself
724488	407082	Herself (18 Days, Jaburu Trib
724489	214466	Mrs. Fenton
724489	395647	Charlotte Knollys
724490	276850	
724491	59133	
724491	106071	Susan
724492	18030	Lady in Boutique
724492	36871	Stockholder
724492	66042	Mrs. Blotto
724492	71861	Clerk
724492	83856	Myra Smithers
724492	84134	
724492	138774	
724492	138791	Marina
724492	165245	Alice Darling
724492	223730	Mrs. Courtland
724492	312003	Receptionist
724492	318687	Mrs. Knute
724492	340439	
724492	359290	Mrs. Dewitt
724492	381086	Kitty Deveraux (1958-1959)
724492	390577	Leila Ransom
724492	401291	Janet Colton
724492	401346	Cousin Mae Belle Jennings (19
724492	401660	Marge Thornton
724492	402971	Lela Maginnis
724492	403667	Laurie Holiday
724492	404521	
724494	310968	Simone
724495	144966	Clerk--Frisco Office
724496	193131	Nancy, Vince's moll
724496	400759	Herself (assistant)
724497	239756	Water Brigade
724498	59574	Mrs. Waldeck
724499	264208	The Little Girl
724500	23959	Brandy
724500	42528	Lucy
724500	82468	Statue with apple at art show
724500	216803	Buffy
724500	241159	Cop
724500	268541	Flo, Hooker
724500	275430	Mona
724500	331467	Debra
724501	141384	Theresa
724502	342938	The Redhead
724503	168326	Reenie
724504	68901	
724505	38259	Court reporter
724505	139068	Spinster #1
724506	158996	Young Delores
724507	295998	Brenda, Aquarius
724508	151084	Bit part
724509	333194	Flo
724511	252854	Basement Woman
724512	385926	Sally
724513	194136	Tennis Player
724514	327728	
724515	391395	Head Archer (1996-1997)/Syree
724515	396921	Allanna Croupier (1993)
724515	403376	Vanessa
724516	89311	Model
724516	305221	Waitress at Limelight
724516	317120	Miss Winston
724517	93236	
724518	78076	Muki's Wife
724519	65887	Victim's Relative
724519	143074	Lucy
724519	168290	Sister Marguerite
724519	274650	Store Customer
724519	275791	Mrs. Olsen
724519	334293	Kliss Sparks
724519	337121	Beth O'Roarke
724520	85062	Miro
724521	18554	
724521	44300	
724521	47741	
724521	49801	
724521	77287	
724521	90896	Undetermined Role
724521	112385	
724521	112417	Conchita
724521	115738	
724521	115905	Tea Rose
724521	145824	
724521	159463	Undetermined Role
724521	163512	
724521	177653	Betty Brownlee
724521	183974	Red Fawn
724521	185440	Na-ta-le
724521	188343	
724521	196201	
724521	214592	
724521	239184	
724521	241843	
724521	253837	
724521	273977	Red Fawn
724521	310788	
724521	315873	Gladys Martin
724521	355042	Undetermined role
724521	368148	
724522	1422	Julia
724522	60703	Lea
724522	61719	Australia
724522	69805	Sister Gerta
724522	70968	Edith
724522	82738	Hilda
724522	88027	Sonja
724522	103222	Mrs. Hampden
724522	125635	Katke
724522	133858	Anna Strauss
724522	158916	Mam'selle
724522	168719	Miss Floyd
724522	195959	Factory worker at gate
724522	198969	Vashti
724522	201015	Elenora Moreno
724522	231597	Elvira
724522	269346	Lizaveta Ivanova
724522	287999	Mildred
724522	332767	Anya
724522	339430	Constance Wilde
724522	341963	Monica Marsden
724522	367494	Amy Preston
724522	371547	Matron Hilda MacFarlane
724522	378756	Kate Smith (1978)
724522	395353	
724523	87989	Girl on Street 1
724523	359744	Indymedia Girl
724524	107009	Herself
724524	141576	Michelle
724524	193761	Verna
724524	230933	Groupie
724524	385824	Jasmine (1984-1985)
724525	44822	Herself
724526	99976	Herself
724526	120148	Sue Otis
724526	126705	Ruby
724526	171485	Betty (Card Player)
724526	202619	Flora's Mama
724526	227377	
724526	240626	Marva
724526	363886	Martha Huffer Jordan
724526	404409	Iris
724527	203062	Whips and Ropes Assistant/Coa
724528	276238	Joyce
724529	150965	V
724530	72418	Little Girl
724530	81290	Girl on train
724530	327419	Crane's Daughter
724531	80606	Sunnie Haines
724531	165284	Pier Angeli
724531	174012	Randy Bash
724531	355150	Cathy
724531	382419	Donna Logan (1987-1991, 1994,
724532	59133	
724533	37356	Tourist
724534	97507	Miss Halsey
724534	144759	Susie Wilby
724534	146723	Undertaker's Wife
724534	151105	Ruth Bridgers
724534	176805	Miss Croft (Jones' secretary)
724535	250379	E.M.T
724536	266843	Woman
724537	209242	3rd Hippie
724539	410215	L'institutrice
724540	264557	Girl in white
724541	3526	Bremennata
724542	180656	Katya
724543	209280	
724544	9473	
724545	160606	Lelya Katya
724545	230451	
724546	32726	Zamira
724546	46109	Kyana
724546	154749	Smokey
724546	172504	
724546	180087	
724546	229716	Sanja K.
724546	286736	Vesna
724546	323325	Lydia
724546	352882	
724546	360945	Iva
724546	361237	Sonja
724547	273828	Car Accident Girl
724548	4944	Reporter
724548	72584	Underwood
724548	91862	
724548	190702	Musical Theatre Mom
724548	195365	Shevawn Desrosiers
724548	257232	Maggie Schonier
724549	24258	Herself
724551	348374	Hot Tub Girl
724552	68681	Srinivasan's daughter
724552	143248	Waitress
724553	86104	Young Sandra
724553	269496	Paola
724553	351858	
724553	384784	
724553	401970	Anna Boschi (#2)
724554	82411	
724554	112651	
724554	127387	Franca Gherardi
724554	219525	
724554	255537	Professoressa Rizzi
724554	255538	La Supplente
724554	269707	Fidanzata di Giulio
724554	354005	Carmela
724554	357970	Marisa
724554	405800	
724555	180941	
724556	92356	
724556	209362	
724556	225898	Olga, Culetova zena
724556	356436	
724556	373697	Lula
724556	390388	
724556	395497	Dragoljubova supruga
724556	395832	Nikolija... udovica
724556	396589	
724556	398887	
724556	398888	
724556	400015	Olga, Culetova supruga
724556	403623	
724557	287051	
724558	305527	
724559	390027	Emi Ogasawara
724560	32024	
724561	24465	Kassiererin
724562	8798	
724562	9189	Kimura's Wife/Kimura's child
724562	9190	Kimura's wife/Kimura's child
724562	9191	
724562	15898	
724562	17879	
724562	61217	Fumi
724562	123529	Osan
724562	125684	Aoi no ue
724562	179375	Teruyo Fuji
724562	180030	Akagashi
724562	216493	Oko, Matahachi's wife
724562	216499	Oko
724562	226460	Tokie Kijima
724562	232515	
724562	242244	Mrs. Kono
724562	278376	Tamiko Yamamoto
724562	283918	Izumi
724562	294265	Otaki
724562	294266	Taki
724562	294267	Otaki
724562	298915	
724562	299101	Asako Shimamura
724562	309365	
724562	344162	Ohama
724562	358124	Chiyo
724562	359828	Chiyoko
724562	371879	Sakie Kajiwara
724562	375558	Kimura's wife/Kimura's child
724562	375583	Oko, Matahachi's mother
724563	9256	
724563	9274	
724563	9276	Otake
724563	43064	Orin
724563	174347	
724563	182154	Kayo
724563	208017	Yasu Nakajima
724563	213573	Old woman
724563	232689	
724563	293487	Toku
724563	293607	Hunter's woman
724563	299152	Chiyoko's Mother
724563	372034	
724563	373386	Liquor shop woman
724564	298425	
724565	68578	
724566	343973	
724566	373444	Margi
724567	288660	
724568	279296	Dancer (song 'Khullam Khulla'
724570	350825	Bengali Widow
724571	10535	Kate Hedges
724571	34191	Kyra
724571	73913	Girl with Joint
724571	126505	Geraldine
724571	145111	Molly
724571	147603	Sebastian's Neighbor
724571	176348	Sheherazade
724571	190171	Berlin
724571	218109	Mollie
724571	317309	Bus Stop Bombshell
724571	321213	Tabatha Wadmore-Smith
724571	382555	Tara Wilson
724571	390046	Dr. Alejandra 'Ollie' Klein
724571	396699	Flora Seymour
724571	400921	Holly Beggins (1999-2000)
724571	402032	Tara Wilson (2003-2004)
724571	406108	Varinia
724572	62227	
724573	170331	Bangabala
724574	4890	
724574	20570	
724574	35945	
724574	43410	Prasad's wife
724574	81361	Saraswati
724574	165878	Bhairabi
724574	172814	
724574	181012	
724574	181447	
724574	228423	
724574	262471	
724574	272047	
724574	285558	
724574	303038	
724574	344644	
724575	76799	Jhinuk's grandmother
724576	21744	Krishna
724576	131939	Gopi
724576	164847	Mala
724576	170331	Durga
724576	250595	Budhni
724577	216505	
724577	300565	Jamilah
724578	89744	
724578	387573	Esmeralda Schultz
724578	388946	Lucia
724578	398816	Valentina
724579	70090	Afanadora hospital
724580	337209	Jamie as a Girl
724580	380391	Marianne Randolph #7 (1974-19
724580	380713	Betsy Stewart (early 1970s)
724581	85186	Featured Comedy Club Patron
724582	353499	Herself (Vice President, Publ
724583	201011	Zina
724585	82488	
724586	284494	
724587	357383	
724588	172894	Group Therapy
724589	186998	
724590	405775	Ana
724591	184073	
724592	333470	
724593	236049	
724594	339760	
724595	13581	Mary Carlyle
724595	58477	Evie Carpenter
724595	78875	Miss Beade
724595	123128	Young Mother
724595	131594	Mysterious Woman
724595	144989	Patient awaiting discharge he
724595	155061	Marie
724595	241036	Nickie
724595	264502	Sadie
724595	303112	Hysterical Woman
724595	331410	Secretary
724595	333851	Mrs. Jean Uzcadum
724595	346900	Mrs. Tanner
724595	363030	Mother of baby
724595	371887	Yolanda's Maid
724596	179795	
724596	284467	Dzhinsovoto momiche
724597	206291	Madame de Florville
724597	258605	
724597	310490	
724598	85153	La tante Suzette
724598	133255	Dorothée, sa femme
724598	329863	
724598	386096	Colette
724598	412260	Marguerite
724599	216774	La fille draguée
724600	269142	Herself
724601	191857	Sign Language Coach
724602	387956	Herself
724603	312434	Natasha
724604	3323	Moira
724604	8257	Kuan
724604	121944	
724604	132066	
724604	275416	Seyna
724604	388321	Maggie Peters (2002)
724605	194624	Profesor de karate
724605	332065	Madame LaPorte
724606	19708	Nebiro
724606	232602	
724606	358395	
724608	401116	Curly
724608	410527	Katie
724609	179215	
724609	383107	Rie Satô
724609	391367	
724609	406394	Leon D. S. Geeste
724610	76890	Mother of Morimoto
724610	279831	Oito
724610	341259	Yoshie
724611	182718	
724611	334912	
724611	359834	Akemi
724612	334910	Girl with walkman
724613	174875	
724614	21369	Etoile
724614	21370	Etoile
724614	38818	Usagi Tsukino (Sailor Moon)
724614	38819	Usagi Tsukino (Super Sailor M
724614	38820	Usagi Tsukino (Sailor Moon)
724614	38821	Usagi Tsukino (Sailor Moon)
724614	38822	Usagi Tsukino - Super Sailor 
724614	54890	Maki Matsumoto
724614	79067	Mai
724614	80572	Christie
724614	80573	Christie
724614	92777	Mink
724614	123113	Rabby
724614	124244	Mai Shiranui
724614	125242	Ship's captain (Mic-chan)
724614	155714	Satsuki Toreishi
724614	156103	Lilia
724614	176532	Guide
724614	195272	Voice
724614	232868	Girl in disco
724614	267200	Itsue
724614	298993	Misato Katsuragi
724614	298994	Misato Katsuragi
724614	299132	Misato Katsuragi
724614	299262	Kyôko Minzazuki
724614	328966	Birdy Cephon Altirra
724614	369415	Satsuki Yatôji
724614	370435	Maki
724614	373384	Rokugou Nanami
724614	373387	Tomoko
724614	380473	Kome Sawaguchi
724614	382108	Usagi Tsukino (Sailor Moon)
724614	382109	Usagi Tsukino (Sailor Moon)
724614	382110	Usagi Tsukino - Eternal Sailo
724614	382111	Usagi Tsukino (Sailor Moon)
724614	382112	Usagi Tsukino - Sailor Moon
724614	383459	Maki Matsumoto
724614	387456	Celcia (Japanese)
724614	387457	Celcia Marieclaire
724614	388022	Excel
724614	389464	Kagura Sôma
724614	389663	Miyanoshita, Kayako
724614	389877	Ibuki
724614	390079	Shimon
724614	390964	Ribbon
724614	392338	Fonne
724614	394425	Murrue Ramius
724614	394431	Shouko Asami
724614	394549	Nagi
724614	394550	Fay
724614	397196	Maze (Female)/Mei
724614	398579	Kim Kyung Hwa
724614	399500	Yamaguki
724614	399784	Mireille Bouquet
724614	400427	Ebichu
724614	404230	Okoto/Oishi (original Japanes
724614	405144	Misato Katsuragi
724614	405278	Jury Arisugawa
724614	406187	Narumi Madoka
724614	410739	Potamos
724615	137134	Bakery no musume, Kazuko
724616	174951	
724617	213593	
724618	227430	Chiyo
724618	244514	Fuyuko
724618	244545	Fuyuko
724619	20625	Extra
724620	34209	
724620	140037	
724621	245885	Rionpusutain
724622	109698	Yoshino
724623	232907	Tamie
724624	146903	Tennis Club Member 'C'
724625	23329	
724625	23436	
724625	105373	
724625	167536	Sachico, a daughter
724625	182072	Misako
724625	232919	
724625	242125	
724625	294153	Hideko Arai
724625	322489	Kaoru
724625	322491	Kaoru
724625	322494	Kaoru
724625	375622	Kaoru
724626	2932	
724627	29226	Sally Savage
724627	288923	Girl in Window (in 'Crash & B
724628	358417	Carla Osbourne
724629	185253	Doctor in Office
724630	154817	Student
724632	43252	Secret service psychologist
724633	330799	Dancer
724634	325421	Franziska Lüttgenjohann
724634	325422	Franziska
724634	325486	Franziska
724634	325545	Franziska
724634	325664	Franziska Lüttgenjohann
724634	325691	
724634	325695	Franziska
724634	325752	Franziska Lüttgenjohann
724634	325754	Franziska Tessa
724634	325765	Franziska
724634	325803	Franziska
724634	325809	Franziska
724634	325814	Franziska
724634	325834	Franziska
724634	325923	Franziska
724634	325924	Franziska Lüttgenjohann
724634	389618	Cynthia Gräfin Baldung
724635	307254	
724636	51847	Thilde Thallman
724637	4507	Schoolgirl
724637	11770	
724638	4507	Service
724639	155331	
724640	343660	
724641	18526	Myriam Schmied
724641	23884	Clara Schäfer
724641	33454	Sabine Hofmann
724641	49288	
724641	51286	Gerlinde, Manu's sister
724641	52585	Eva
724641	119120	Anja Busch
724641	124999	Brigitte
724641	142244	Albina
724641	225124	Katharina Buchheim
724641	269954	Jutta Zauner
724641	274862	Monica Brunner
724641	281755	Christina Tolliver
724641	281945	Katja Elsner
724641	290236	Petra Kolbe
724641	310494	Simone
724641	311424	Eva
724641	316536	
724641	322515	Sandra
724641	325810	Michelle Angerer
724641	338446	Corinna
724641	347801	Susan von Hainburg
724641	349105	Ilona Korte
724641	352050	Katharina Kramer
724641	352501	Julia
724641	361332	Andrea Beckmann
724641	364898	
724641	379669	Caroline
724641	381515	Laura Jäger
724641	386906	Sophie
724641	392855	Christiane Albrecht
724641	393878	Elke Torberg
724641	395505	Cleo Steininger
724641	404183	Lotti von Mitzko
724642	388965	
724642	408388	Tänzerin 4
724643	119287	
724644	107509	
724645	184608	Black Pawn
724646	194315	Lady in Window
724647	242939	Cindy
724648	18880	
724648	204757	Frau Fürhoff
724648	325716	
724649	195089	Sexy lotto voice
724649	257305	Vivian Wallace
724650	305159	Diana
724651	23984	
724651	93488	
724651	156984	Marianne Hopfleder
724652	6259	Patricia
724652	26180	Labor Room Nurse
724652	55477	Eight Color Girl
724652	73116	
724652	154530	Baseball Fan
724652	158312	Foreperson
724652	174520	Judy
724652	198882	Witch
724652	220041	
724652	234237	Mrs. Parker
724653	242745	Zana
724654	4786	
724655	97277	Asylum Inmate #10
724655	231974	The Horse
724655	364022	
724656	364465	Topless dancer
724657	43606	Bondsman
724657	187601	Burgundy
724657	218785	Fashion Plate
724657	305379	Globotech announcer
724657	364378	Herself ('Mrs. Walker')
724657	401489	Additional Voices
724657	403070	Jane Marlowe
724657	405405	Maude Flanders/Helen Lovejoy/
724658	115009	
724659	161978	
724660	28481	Minor Talent Contest audience
724662	226794	
724662	278550	Sadako Yamamura
724663	198532	The princess
724664	285615	
724665	156248	
724666	389877	Okame & Hotaru
724667	18072	
724667	138041	Nurse
724668	9190	Friend of Michiko
724668	18682	Mariko
724668	19635	
724668	34208	
724668	61469	
724668	111235	Kimiko Yamada
724668	122145	
724668	125728	Yosenin, Asano's wife
724668	137042	
724668	158675	Mitsuko
724668	169127	Moto Asakura
724668	172050	Setsuko Tsuji
724668	181568	
724668	182038	
724668	232675	
724668	233225	Yoshie
724668	244051	Yuke Osone
724668	299309	
724668	300201	
724668	328003	
724668	358394	Hatsu Enami
724668	375558	Friend of Michiko
724669	299000	
724670	273202	Yomiko Readman aka 'The Paper
724670	300499	
724670	402942	Yomika "The Paper" Readman
724671	343636	
724672	323362	
724673	397942	Sayori
724673	405218	Cathy
724674	18685	
724675	23667	Leopoldine Dieumegarde
724676	19236	Deunan (motion actor)
724676	43898	Naoko Kamikishiro
724676	129630	
724676	169734	Kanna Murakami
724676	195272	Hiromi Yoshii
724676	203794	Suzuki, Nozomi
724676	256142	
724676	285586	Megumi Fujisaki
724676	349220	Shiho Ishikawa
724677	98602	Mami Mizushima
724677	137342	Satomi Kurahashi
724677	169734	Yuki
724678	162241	Kei (Japanese version)
724678	279884	Fukusuke (segment "Meiji kara
724678	347074	Unico
724678	347077	Unico
724678	350723	Freya/additional voices
724678	379476	Nino
724678	389218	Red Fraggle (1987-1988) (Japa
724678	393348	Hirame
724678	394040	Hiroshi
724679	122900	
724680	328603	Stroller Mom (segment "Make M
724681	79944	Boat passenger
724682	98	
724682	72295	Belle Thomas, Bull's Best Gir
724682	76519	Madge
724682	289073	Mrs. Bludsoe
724682	289479	Rose Wright (Nellie's Sister)
724682	302752	Olga Kilday
724682	364662	Shorty
724683	13353	Shirley McMillan
724683	13354	Shirley McMillan
724683	39387	Agent Dorothy Dale
724683	75644	Elizabeth Custer [Chs.1,8-11,
724683	75645	Elizabeth Custer
724683	112564	Wa-No-Na
724683	118381	Johann's girl
724683	135929	Mary Vance
724683	191668	
724683	274099	Ruth Farrel
724683	278064	Chita
724683	285122	June Langton
724683	329024	
724683	329428	
724683	335523	Nancy Cahill
724684	273278	Extra
724685	310303	The Model
724685	367861	Amanda
724686	91490	Michelle Fell
724686	250746	Guest at Lord Cornwallis' bal
724687	53284	Lisa
724688	229245	
724689	59597	Club Shanghai Hostess
724689	171536	
724690	81289	Camille
724690	334113	Sam's Thai Crush
724691	361688	Francisca
724691	367876	
724691	380655	Janet Okada (1963-1964)
724692	15305	
724692	121203	Akiko
724692	177704	
724692	232534	Yoshiko
724692	242226	Toyo
724692	256241	
724693	299152	Chiyoko
724694	238564	Natsumi
724694	319513	Peppermint
724695	128727	Dancer
724695	367083	Dancer
724696	169129	
724696	173097	Aiko
724696	298972	
724697	358121	Masako
724698	244543	Ishikura's wife
724699	138400	Sae
724700	299581	Mariko Serizawa
724701	145124	
724702	129868	Bus Guide
724703	38926	Yoshiko Makida
724703	174869	Kiku Takeda
724703	175511	Yoshino Nanbu
724703	222090	
724703	232543	Otaka
724703	284872	Masao Inoue
724703	285603	
724703	293557	
724703	323121	
724703	348994	Tanukichiro
724703	370354	
724703	371841	
724703	373232	
724703	375635	Fujioka
724704	136090	Ai
724704	137371	
724704	142565	
724704	182051	Miwako
724704	192015	Fritz the Dolphin
724704	229763	
724704	232604	Interviewer
724704	334938	
724705	50361	
724705	62463	
724705	69376	
724705	116013	Herself
724705	243541	Flower delivery person
724705	248129	
724705	292500	
724705	313380	
724705	364472	
724706	233225	Hisako
724707	373628	
724708	400053	Masaru Yada (Yada-kun)
724709	270923	Christina
724709	394414	Megan
724710	1181	
724710	8622	Takako
724710	9183	Azusa
724710	43031	
724710	150592	Ryoko
724710	151738	
724710	218642	Kumiko Hasegawa
724710	242136	Kazuyo
724710	242147	Ryoko
724710	242152	
724710	244049	Reiko
724710	256288	
724710	293626	
724710	300601	Countess Kinuko
724710	305174	Woman on a bike
724710	334857	Megu
724710	334908	
724710	347482	Teacher
724710	347485	
724710	347492	
724710	370637	Tomomi
724710	373121	Yuriko
724710	375838	
724710	375840	Tomoko
724711	410647	Asako
724712	20625	Extra
724713	155504	Naomi's mother
724714	1471	Yu/Kaoru
724714	304364	Ciel
724714	307189	Jun
724714	381960	
724715	155505	Shizue Miyazaki
724716	127856	
724716	138086	Miss Tanuki B
724716	242231	
724716	242315	Matsuko
724717	152798	Anna
724718	9191	
724718	9420	Nobuko
724718	12919	Mother Superior
724718	17104	
724718	18673	Machiko Mimura
724718	21353	
724718	21560	Kayo, mother of Kenichi
724718	21827	
724718	28129	Fumiko
724718	29424	Akiko Miwa
724718	29562	
724718	38761	Mrs. Mori
724718	61457	Yoshie, Wakako's mum
724718	102512	
724718	103228	Michiko Tanaka
724718	123528	Osada, the sewing mistress
724718	135215	Fujio Kono
724718	137129	
724718	141738	Jamakawa
724718	146917	
724718	150508	Tamako Ohashi
724718	176671	Setsuko, Ongi's wife
724718	178369	
724718	202822	
724718	223295	
724718	238101	Chizu Yamauchi
724718	239088	Tamiko
724718	239296	Kayori Fujisawa
724718	287553	Nobuko
724718	287579	
724718	288351	Tominaga's aunt
724718	288353	
724718	298915	
724718	300201	
724718	309366	Yukiko Kawai
724718	320414	Kyoko, Kazunomiya's mother
724718	323267	
724718	334572	Kazuko
724718	334930	Fumiko
724718	348751	Naoko's mother
724718	358124	Toshiko Kishida
724718	358402	
724719	242229	
724720	4558	
724720	9278	
724720	18673	Yae
724720	121446	
724720	121469	Kayo Enokizu
724720	122140	Shin Takamatsu
724720	136098	Oume
724720	136392	Mine
724720	145283	Toriko Shimada
724720	150731	Kikuchibaba
724720	167896	
724720	174870	
724720	176569	Matsu Kitagami
724720	176571	
724720	234908	
724720	237662	
724720	239086	
724720	242315	Woman with a dog
724720	243900	Kana Shigeta
724720	244517	Kiku (Torajiro's mother)
724720	299349	Yuki
724720	318577	Hana
724720	328090	
724720	372002	Sei Ueda
724720	374110	Ohaya
724720	375593	Kiku (Torajiro's mother)
724721	136392	
724721	244529	Harumi Kyo
724722	140278	Suuitto
724722	146903	Tennis Player
724723	176617	Oran
724724	382416	Koyanagi Ren
724725	394093	Kiriko Mizuki
724726	335496	
724727	384221	DNAVI
724728	110732	Innkeeper
724729	240377	Tokiko aka Omocha
724729	400058	Mayu Nakata
724730	299292	Hijacked Teacher on Bus
724731	3567	
724731	3925	Nayoko
724731	76868	Buhei's wife
724731	108653	Shizuko Shiono
724731	149122	Young girl
724731	206784	Ryoko Itakura, Tax Inspector
724731	206785	Ryoko Itakura
724731	206787	Star actress
724731	214417	Mahiru Inoue
724731	244054	Chizuko Amamiya
724731	244521	Kinuyo
724731	271540	Rumiko Yamazaki, the cleaner
724731	299405	
724731	318504	
724731	318577	Yamada's sister
724731	322488	Hanako
724731	324285	Tampopo
724731	334864	Owner at an inn
724731	394562	Yoshiko Honda (lawyer)
724732	299005	Kayoko Ikeda
724733	167841	Amy
724734	182343	Mako
724735	25539	Ayane (original Japanese vers
724735	30988	Training Video Girl (Oneesan)
724735	38823	Shihoko Sakaki
724735	50001	Tillis
724735	92718	Furiae
724735	165023	Jo Diamonds
724735	202813	Shimauma, Kyoko
724735	206799	Chun-Li
724735	206800	Chun-Li/Shadow Lady
724735	258547	Chun-Li
724735	269293	Lûda
724735	283678	Toki Takatsuki
724735	298993	Asuka Langley Sôryû
724735	298994	Asuka Langley Sôryû
724735	299132	Asuka Langley
724735	316618	Chun Li
724735	316619	
724735	316625	Chun Li
724735	319444	Chun-Li
724735	328012	Kurai
724735	350190	Lei-Lei
724735	369462	Chun-Li
724735	387456	Ritsuko (Japanese)
724735	387457	Ritsuko Inoue
724735	392338	Natsuki Sasahara
724735	394325	Caska
724735	394974	Kyôko Hayase
724735	397371	Kazuha Tooyama
724735	399405	NieA
724735	400576	Aisha Clanclan
724735	404767	Eisha Kran Kran
724735	405144	Asuka Langley Sôryû
724735	410444	Parfait (Japanese version)
724735	410739	Tamano Hinagiku/Angel Daisy
724735	411889	Regina
724736	3014	Sazanami
724737	134942	Moses' wife
724738	334947	Chocho
724739	30987	Hibiki Yano
724740	20625	Extra
724741	109001	Halima
724742	209803	Eve Tokimatsuri
724743	241316	Restaurant Patron
724744	373218	
724745	334893	Kana
724746	325208	
724747	221539	Kelly
724747	362716	Japanese Fan
724747	368014	Meg
724748	826	Mon
724748	8620	Shinko
724748	8621	Shinko
724748	8622	Shinko
724748	8749	Miwa
724748	8750	Teacher at Japanese language 
724748	9291	Woman with red hair
724748	9335	Hitomi
724748	9336	Shimako
724748	9590	Sumie
724748	13605	Ritsuko Asakura
724748	19708	Rikiena
724748	61220	Toyoko
724748	76925	Osen
724748	77527	Chiyo
724748	77730	Chiaki Onda
724748	77732	Masako Ihara
724748	77735	Naeko Yoshida
724748	77736	Saeko Koizumi
724748	77743	Yoko
724748	77744	Saeko Hinatsu
724748	77746	Michiko Egami
724748	77747	Ritsuko Kamisaka
724748	78333	Yukiko Nishinohara
724748	97634	Minako Sayanomiya
724748	121291	Chiho Fujita
724748	121933	Kotoji Moroi
724748	122961	Hatae Iwamoto
724748	137325	Mitsue, Michio's mum
724748	137339	Tae
724748	145127	Oshin
724748	145128	Kimiko
724748	145129	Kimiko
724748	145439	Sachiko, Tatsuo's wife
724748	145764	Tomioka, Kanae
724748	145765	Sanae Kirikawa
724748	145766	Chie Morikawa
724748	146918	Noriko Matsubayashi
724748	160098	Takeda, Head Nurse
724748	162633	Ayano Teshigawara
724748	167551	Otoyo
724748	167997	Abe Sada
724748	168006	Actress (cameo)
724748	168347	Yumi Nakazawa/Yoko (played tw
724748	169218	
724748	170328	Propriestress of a bar 'Hero'
724748	170892	Miyako
724748	172281	Ochika
724748	172334	Junko Sato
724748	172928	Satoko
724748	173127	Masako
724748	177703	Yuki
724748	179398	Noriko's step mother
724748	179472	Murakami tomoyo
724748	181722	Menbiki Okyo
724748	181888	Tsukinojyo
724748	198598	Bar madame
724748	202813	Kimie Ichigaya
724748	206752	Fumie Hirabayashi
724748	206759	Shohkan
724748	208683	Mitsu Harada
724748	226863	Mika
724748	227189	Shuzo's wife
724748	232605	Kaori Tonari
724748	232703	Machiko Kikuma
724748	232927	Natsuko
724748	236856	Shimako Maruyama
724748	239090	Okiku
724748	239330	Mitsuko
724748	239483	Eiko
724748	239485	Seiko Aida
724748	239487	Aki Kojima
724748	242122	Yasuko Mimori
724748	242190	Sadako Asai
724748	242379	Matsuo
724748	288408	Junko
724748	293449	Haruko
724748	298800	Omon
724748	298912	Kyoko Shibata
724748	298992	Eiko Terauchi
724748	299128	Believer
724748	299325	Mako Ohki
724748	300438	Shizue Yagishita
724748	300439	Miyako
724748	300440	Mina
724748	301449	Akiko Asari
724748	304017	Akiko Kuraishi
724748	309779	Junko Matsuura
724748	318542	Mrs. Takasaki
724748	334918	Harue Tachibana
724748	335313	Tokie Kosaka
724748	335753	Yoshie Egawa
724748	336100	Nobue
724748	341254	Masae
724748	341289	Shizue Sakura
724748	347482	Sister
724748	348636	Natsuko Takemura
724748	348948	Sue Senba
724748	349095	Uchiko Aoyama
724748	359612	Toyo Terashima, Head Nurse
724748	371783	Someko
724748	371784	Reiko
724748	371846	Sodeko
724748	371847	Hanakiyo
724748	372001	Nami's mother
724748	373226	Miyo's mother
724748	373751	Tadokoro, Maid
724748	378140	Yoshiko Kuwata
724749	23329	
724749	23436	
724749	44356	Lady Miyaji
724749	89496	
724749	105373	
724749	167536	
724749	175592	
724750	17751	July
724750	180890	Claire
724750	372333	Friend
724751	317260	Bar Patron
724752	373218	
724753	28366	Mladata dama
724753	30270	Milionerkata
724754	140036	Mother
724755	172285	Kilaak
724755	233113	
724756	2618	
724756	183388	
724756	183389	
724756	407152	
724757	374600	
724758	17877	Tama Kobayashi
724758	104566	Kozue Tamura
724758	122900	Sachiko Kita
724758	321517	Minase, Futami
724758	335272	Tomie Hashimoto
724758	389548	
724758	391116	
724759	277471	Japanese Mother
724759	311153	Cashier
724759	401501	Kim
724760	203436	Japanese Hostess
724760	285287	Listener #2
724760	333043	Jury Forewoman
724761	409326	Domon's Mother
724762	117086	
724762	243423	Annie Sekido
724762	398379	Toki (1964)
724763	169735	Emi
724764	32574	Junko Miharayama
724764	32575	Junko Miharayama
724764	32576	Junko Miharayama
724764	32577	Junko Miharayama
724764	36321	Junko Miharayama
724764	97632	Teruko Akiduki
724764	122534	Natsuko Shirato
724764	162633	Satomi Fujishima
724764	297586	Gohi
724764	373232	Hikono
724764	374207	
724765	372071	Suzie
724766	334893	Eiko
724767	1882	Yoko Matsuki
724769	13601	Tayo Misawa
724769	43065	Ohisa
724769	60249	
724769	156238	Tomoko
724769	179428	Yoshimi Sakaguchi
724769	201199	Akemi-san
724769	243329	Makiko Ogura
724769	244547	Sachie (Kazuo's lover)
724769	271915	Lady Sue
724769	299327	Izumi Wakusawa
724769	325294	Kyoko Tozuki
724769	358118	
724769	359831	
724769	391116	
724769	394192	Sanae Sanada
724770	51271	Yuri Meguro
724770	182508	Saya/Gingapink
724770	293501	Saya/Ginga Pink
724770	391367	Saena Suzuki (Pt.1)
724770	404770	Saya/Ginga Pink
724771	285919	Kaori Jomaru
724772	43060	Hitomi Nakayama
724772	61222	Mitsue
724772	88791	Namiko
724772	102894	Rie
724772	130268	Princess Goh
724772	178249	Shu Konuma
724772	178250	Shu Konuma
724772	213660	Harumi Kataoka
724772	298794	Karu
724772	325208	Tomoe Iinuma
724772	328029	Kame-hime
724772	335552	
724772	341299	Kozue Kido
724772	349104	Ikuko Obara
724772	372947	
724772	373262	
724772	398576	Oshino
724773	50962	
724773	176210	
724773	176211	
724773	232517	
724773	309362	
724773	344950	Teruko
724773	370346	
724773	371799	
724773	371800	
724773	373354	
724773	378130	Asukai
724774	26291	Woman
724774	272021	Trish
724775	18385	Iras
724775	37261	Jenny Sumner
724775	42806	Christine Wyler
724775	113868	Willa Reeves
724775	125576	
724775	145171	Stewardess Barbara
724775	145743	Mrs. Ota
724775	162887	Diane Ishimura
724775	168464	Yoko Ono
724775	169477	Dr. Tesue Ishikawa
724775	196434	Kyoko Bruckner
724775	212078	Detective Kimura
724775	223652	Ming Yee
724775	267213	Lady Tanaka
724775	296552	Dancer
724775	296799	Angela
724775	304690	Herself (actress)
724775	307266	Susan Powell
724775	322632	Barbara Grail
724775	363044	Kim Hickle
724775	375847	Manchaka
724775	403452	Dr. Eve Lewis (1985)
724775	406319	Dr. Wendy Armstrong (1982-198
724776	8899	
724776	9560	Kin
724776	21334	Okuni
724776	21814	
724776	22697	Ayuta's grandmother
724776	44775	Ogino, old lady
724776	90823	Asa, Tomekichi's Wife
724776	101784	Ranko
724776	121448	Old wife
724776	137131	Kayo Nakahara, Seiji's mother
724776	137132	Otatsu
724776	137360	Madame Kayama
724776	144214	
724776	145278	
724776	149496	
724776	150512	
724776	153867	
724776	156229	Toyo Nakajima
724776	156234	Housewife
724776	167963	
724776	172531	Old Lady-in-Waiting
724776	173060	
724776	174242	Kumako Satake, Chidori's moth
724776	178311	
724776	181723	Old Woman at castle
724776	211214	
724776	216493	Osugi, Matahachi's mother
724776	221814	
724776	229586	
724776	229786	Matsuno
724776	234903	Harumi's mother
724776	239088	Grandma Haraguchi
724776	239463	Okuni's mother
724776	240256	Otaki
724776	242133	Mother
724776	242178	Ofuku
724776	266666	
724776	293611	Tomé
724776	294099	
724776	296639	
724776	296642	
724776	299242	Nan
724776	323494	
724776	334779	Old woman
724776	334938	
724776	341279	
724776	358131	Madame Yagihara
724776	358393	
724776	370308	
724776	375571	
724776	375583	Osugi
724776	375610	
724776	375613	
724776	375625	
724776	375638	
724777	275748	Misa's Mother
724777	288053	Mother of Denkichi
724778	137380	Harada's wife
724779	63713	Shammy Milliome
724779	373380	Botan
724779	373381	Botan
724779	373382	Botan
724779	380699	Danny
724779	384227	Shammy Milliome
724779	394451	Mint Rubble
724779	395069	Lynn
724779	411883	Botan
724780	3100	Female Lunch Truck Rapper
724780	113330	Marlene
724780	268496	
724781	220682	Fruit Stand Employee
724781	396866	Various roles (1980-1981)
724782	267213	Tanaka's Daughter
724783	272055	Schoolteacher
724784	46654	Nurse Garin
724784	76842	
724784	90088	
724784	133038	
724784	161535	
724784	280906	Schoolteacher
724784	284968	
724784	348208	
724784	349888	
724785	137251	Bobby Russo's Daughter
724786	194213	Slob Child
724787	38340	Screamer
724787	336300	Jackie
724788	222136	Nude Girl in Woods
724789	193411	Agency Receptionist
724789	241621	Rookie
724790	187249	
724790	334171	Ida
724791	15887	Ensemble Vocals
724791	79486	Herself (Guest Back Up Vocali
724791	79487	Herself (Background Vocals)
724792	294788	NightClub Girl
724793	133057	La mère de Mécir
724794	285863	Rie
724795	2998	Japanese Tourist
724795	24429	Fook Mi
724795	32052	Dancer
724795	43883	Hot Traxx dancer
724795	45591	Dancer
724795	122636	Herself/Co-Host
724795	157240	Receptionist
724795	218180	Museum Dancer
724795	245249	Showgirl
724795	388717	Host
724795	408695	Host
724796	385980	Palmon/Togemon/Lillymon
724796	385981	Tanemon/Palmon/Togemon/Lillym
724797	106305	
724798	7925	Steet Girl
724799	34912	Nurse
724800	83982	Maori Warrior
724801	403291	(2003)
724802	28509	La fille
724802	227920	
724803	263339	Tiger's Daughter
724804	180094	
724804	299617	
724804	407904	Uran
724805	287161	Ofumi
724806	137277	Mayuko
724807	172255	
724807	299581	Mineko Shimbashi
724807	371878	Osaki
724808	74122	Kei
724809	391367	Yuriko Takahashi
724810	21369	Court maid
724810	21370	Court maid
724810	113338	Chocobaba, Chocoimo
724810	241990	Kyohko
724810	298425	
724810	344945	Additional Voices
724810	382610	Head nurse
724810	391594	Hikaru Hibino
724810	392570	Arisa Iwamoto
724810	396503	Kebesbes
724810	397371	Mitsuko
724810	399500	Rantaro no ma-ma
724811	8620	Hatsue
724811	9298	Yuko
724811	328015	Nami Tsuchiya
724812	183061	Culotte
724812	187354	Character Voices
724812	379484	Minazuki Taeko
724812	379485	Minazuki Taeko
724812	394392	Mercredi
724812	397346	Meiru Sakurai/Maylu
724812	403597	Meiru Sakurai
724813	389858	Girl with bag
724814	101564	Arabian Woman
724814	174952	Orie Noma
724815	2932	
724815	129769	
724815	137381	Hitomi Nagai
724815	139856	
724815	149125	Ikuko Hamada (16 years old)
724815	193977	Kaoru Ichinose
724815	288328	
724815	404389	
724816	43057	Kanoko
724816	63703	Reiko
724816	298745	
724816	378925	
724816	382607	Lili Katase
724816	391341	Nana
724816	392107	
724816	392506	
724816	393149	Chieko
724816	393987	Natsumi Kitahara
724816	398309	
724816	399828	Izumi Asakura
724816	399829	Izumi Asakura
724816	399830	Izumi Asakura
724816	399831	Izumi Asakura
724816	407848	
724817	349220	
724818	115182	Naota Nandaba/Takkun the Cat
724818	400053	Rere (Hazuki's Faerie)
724819	174331	
724819	229554	
724819	275817	Hiroko
724819	394465	Yasuyo Nakamura
724820	137282	
724820	138073	
724820	167744	
724820	344007	
724821	206757	
724822	21346	
724822	121940	
724822	179524	Part-time Geisha
724823	51083	Sayo
724823	379479	Martha
724824	358125	
724825	140714	
724825	299297	
724826	244514	Umetaro no tsuma
724826	334930	Biyôin no kyaku
724826	348992	
724827	13964	
724827	159829	Yaku
724827	159830	Yaku
724828	212109	
724829	77730	Maki
724829	232698	
724829	243927	Aki
724829	371783	
724830	138098	Waitress
724830	145276	Kazuko
724830	170332	
724830	177100	
724830	179383	
724830	181868	
724830	285920	
724831	384225	Marie Angel
724831	384227	Lynn Shigeyo
724832	122237	
724832	145124	
724832	230065	Yoshiko, mother of Kenji
724832	275748	Wife of Shumputei
724833	374109	Yoshida-ya's Maid
724834	24918	
724835	179822	Dancer
724836	30987	
724837	313	
724837	278550	
724838	325208	
724839	8796	Kazuko Uchimi
724839	17421	Natsumi
724839	17423	
724839	17426	
724839	21353	
724839	21823	
724839	25871	
724839	28057	Tae Sema (Episode 4)
724839	61062	
724839	63542	Saho
724839	76977	Miwa the Rebel Leader
724839	76988	Kanako Yanagawa
724839	77904	
724839	88753	
724839	89511	
724839	98372	Sadako Akiyama
724839	113954	Koizumi Yoshie
724839	121924	Akemi
724839	121925	Dr. Sueko Togami
724839	122139	Chie Kimura
724839	130491	1999 Prime Minister Machiko T
724839	130500	Daiyo
724839	130502	
724839	138100	
724839	147248	
724839	149099	Yoshiko, Nakao
724839	153571	Daiyo
724839	155501	
724839	163973	Hamako
724839	167552	
724839	172284	Miss Namikawa
724839	172400	
724839	173622	
724839	176224	Omitsu Murata
724839	178311	
724839	179391	Mother
724839	179541	
724839	179542	The Date
724839	179543	
724839	179544	A Girl
724839	180491	
724839	181866	Kiku
724839	181999	
724839	182000	
724839	182048	
724839	203604	
724839	207644	Mami Sekiguchi
724839	211893	Keiko
724839	227849	
724839	229786	Yurie
724839	233136	Azami
724839	242149	
724839	242177	Yuko Shiga
724839	294107	
724839	294149	
724839	296642	
724839	298837	The Witch
724839	298988	
724839	308877	
724839	309396	
724839	334938	
724839	338214	Matsushita
724839	341275	Kikuko Murata
724839	358402	
724839	359398	
724839	359843	
724839	362558	Phil's Date
724839	370410	
724839	371827	Masayo
724839	372004	Kesuke Shinoda
724839	374514	
724839	389567	Sandy's grandma (Japanese ver
724840	61481	
724841	173362	Kyoko
724841	239330	
724841	334918	Noriko Sakurai
724841	375582	Naomi
724842	130502	Newscaster Anna Otonashi (Miy
724842	232600	
724842	358126	Toshi Miyazawa
724843	404879	Juri Kato
724844	58949	Kanako
724844	76847	
724844	123445	Midori Honami
724844	148834	
724844	181890	
724844	181891	
724844	229579	
724844	238382	Yukino Kashiwagi
724844	238383	Yukino Kashiwagi
724844	238384	Yukino Kashiwagi
724844	238385	Yukino Kashiwagi
724844	238386	Yukino Kashiwagi
724844	271074	
724844	285193	
724844	294181	
724844	299646	
724844	300493	
724844	381507	Sachie Tamura
724844	390058	
724844	390966	Yayoi Takamura
724844	391120	Machi Takanashi
724844	394130	Chizu Oota
724844	394705	Ai
724844	399976	Yukino Kashiwagi
724844	400058	Tamayo Aramaki
724844	400618	Sayuri
724844	405129	
724845	115603	
724846	229967	
724847	159838	Woman in Car
724848	374907	Kuda
724849	129880	
724849	334436	Mitsuko Komyoji
724849	393551	Mitsuko Komyoji
724850	136588	
724850	140438	
724850	233116	
724850	242235	Ryoko Samejima, head of newsp
724850	287161	Okiku
724850	335262	
724851	156229	Satoko
724851	373190	Teacher
724852	168091	Shima, Shimamura
724853	76857	Princess Zelda a.k.a. "Sheik"
724853	187354	Zelda/Sheik
724854	20625	Extra
724854	41809	Waitress
724854	358561	Bath Attendant
724855	123915	Eleven
724855	229964	Amamiya
724855	236874	Ikumi Asakawa
724855	293591	Miki Shirai
724855	298834	Chie Asai
724855	307904	
724855	334910	Naomi
724855	335317	Aya
724855	372388	
724856	347484	
724857	9183	Yuki
724857	18683	
724857	164104	Megumi
724857	179474	Akiko
724857	299996	
724857	328015	Yuko Kawana
724857	328019	Ryoko
724857	334857	Mariko
724857	336100	Yumiko
724857	347478	
724858	48553	
724858	163771	Keiko
724858	169218	
724858	239298	Harumi Shioda
724858	322602	Minako
724859	20026	Mari
724859	61458	
724859	79970	
724859	138053	Masako Akagi/Komasa Jôshuu
724859	142157	
724859	168000	
724859	171626	
724859	176637	
724859	177160	
724859	213002	
724859	233024	
724859	242242	
724859	244285	Keiko Nakadai
724859	285459	
724859	293501	Shelinda
724859	296231	
724859	343637	
724859	390058	
724859	394518	
724859	404770	Shelinda
724860	137370	
724861	175472	
724862	19695	
724862	21827	
724862	137132	Otae
724862	169074	
724862	173559	
724862	238475	
724863	8593	
724863	9585	
724863	9588	Kotoito
724863	23326	
724863	23327	
724863	76875	
724863	125458	Humi
724863	132095	
724863	138047	
724863	140027	Ohagi
724863	167901	
724863	173827	Masako Katori
724863	176607	
724863	176617	Geisha Ringo
724863	180433	
724863	229770	Osono
724863	229777	
724863	233113	
724863	298915	
724863	322874	Eiko
724863	359388	
724863	370300	
724863	371986	
724863	374508	
724863	375559	
724863	375570	
724863	375615	
724863	375633	Osetsu
724864	26238	Anri
724864	92785	Luna
724864	102466	Kishida Aya
724864	104908	Puddin'
724864	123107	Anne
724864	123108	Spea
724864	123110	Anne
724864	123111	Spea
724864	123932	Chocolate Misu
724864	127779	Princess Mirage
724864	130730	Swim Instructor A
724864	155714	Hitomi Nakajô
724864	177084	Shiori
724864	177632	Queen Minnie Mouse
724864	179108	V-Sion
724864	182499	Mizuki Segawa
724864	182500	Mizuki Segawa
724864	190590	Reina Haruka
724864	226482	Marie
724864	275086	Leina Stôl/Reina Haruka
724864	277456	Anne
724864	289314	Natsuko
724864	293450	Rika Ikeda
724864	296855	Follymayer Razmatizer
724864	319374	Spea (Gallforce)
724864	327801	Mihoshi
724864	327803	Mihoshi
724864	327804	Mihoshi
724864	335380	
724864	380725	Alisa Montino/Honda Rika
724864	381163	Chocolate Misu
724864	384050	
724864	384051	Sakiko Sakura
724864	385980	Sora Takenouchi
724864	385981	Sora Takenouchi
724864	387831	Midori/Girl
724864	389570	Marie
724864	390964	Paula Micchi
724864	392526	Kaori Yamaguchi
724864	392535	Kyooko
724864	394419	Black Joker
724864	394429	Sarah Zabiarov
724864	396331	Leina Stôl
724864	396497	Mihoshi Mizutani
724864	398074	Namiko, Jane (japanese versio
724864	398971	Cheryl Melville
724864	404061	Luchs
724864	404062	Luchs
724864	404230	Additional Voices (original J
724864	405028	Fouly
724864	405146	Mihoshi
724864	407828	Mitoto Kuramitu
724864	407829	Mihoshi
724865	180432	
724866	4369	Showgirl
724867	402197	Trixie Mann (1982-1983)
724868	85597	
724868	391869	Kit Hunter (2003-2004)
724869	126356	
724869	259447	Heidemarie Schröder
724869	259547	Hella Jung
724869	337966	Teresa
724869	352180	
724870	19331	La femme
724870	68411	Odette
724870	272358	Mamzelle Clio
724870	306986	
724871	105406	Silvia
724872	83380	Santina
724873	294536	Densma
724874	349860	Young Shelley
724875	198751	Zeinabu
724875	206378	Mariamu's Aunt
724876	136592	
724876	172811	
724877	28555	Nurse 2
724878	240078	
724879	29570	
724880	213430	Jenny Brunader
724880	352940	Veronika
724881	47397	Fru Lydersen
724881	95763	
724881	180100	
724881	199299	Edith
724881	287550	Fru Clara Løvdahl
724881	340265	En Sekretær
724881	344292	
724881	353001	Fru Rønne
724882	224952	Mzago
724883	44005	Khanya
724883	205268	Woman in Audience
724883	400253	Ginger (2002-?)
724884	405036	Njani
724885	174857	
724885	175972	
724886	140644	Young lady
724887	181409	
724888	211230	Almast
724889	371027	Juliet Bester
724890	281963	Tragedian
724891	169721	Irena
724891	295050	Girl in black 1
724891	373559	
724892	8942	Ilse (1997)
724892	16227	Mrs. Gerau
724892	17017	Mother Klatt
724892	33449	
724892	41117	
724892	59568	Mrs. Brinkmann
724892	80900	Mrs. Resch
724892	93413	Lea
724892	100928	Frau Geschke
724892	119206	
724892	120024	
724892	219342	Mutter Stuckmann
724892	225650	
724892	275681	
724892	281732	
724892	284424	Alfreds Mutter
724892	290814	Marie Mayerhofen
724892	294840	Miss Dorst
724892	311215	Mrs. von Köckwitz
724892	317666	
724892	325553	Frau Dortschy
724892	325747	Tina Freese
724892	325779	Frau Stoschak
724892	325783	
724892	325817	Eva-Maria Wagner
724892	343689	Elisabeth Kortens
724892	344912	
724892	347586	Isolde
724892	352244	
724892	403113	
724893	2464	
724893	122587	
724893	159932	Aline
724893	308227	
724893	379840	Dr. Maibach
724893	388798	Caroline
724894	60725	Violeta kato malka
724895	81509	
724896	86614	
724896	266213	
724897	262763	
724898	395704	
724898	406567	Marina Krstic, Krdzina cerka
724899	29622	Mare
724900	86614	
724900	137303	
724900	187997	
724900	280565	
724900	337533	
724901	274332	Dancer
724902	6282	Dance Student
724902	103317	Natrova
724902	124757	The Glove Seller
724902	231768	Specialty dancer
724902	264094	Dancer
724902	303068	Tanit Zerga
724902	308338	Zaza
724903	258145	
724904	6665	Mother
724904	34322	
724904	81559	
724904	179110	Nurse
724904	192903	Anica
724904	238390	
724904	246022	Judita
724904	262561	Suzana
724904	293807	
724904	352788	
724905	74207	Aunt
724906	105284	
724907	179820	Eva
724908	390338	Herself
724909	282768	Girl at the Party (episode 2)
724909	410774	
724910	314515	
724911	245484	
724912	403626	Agnieszka Lesniewska
724913	231636	Ewa, Adam's Girlfriend
724914	181145	Alina
724914	262198	Piotr's Girlfriend
724914	309310	
724914	366596	
724915	367271	The Puppet Masters
724916	60821	Vocalist
724916	176127	
724916	180854	
724916	376216	Marina
724917	101499	
724917	211223	Lala
724918	205350	Hasmik
724919	392244	Cola
724920	8152	Mme Debarre
724920	8987	La mère d'Éric/Eric's Mother
724920	15085	Anne Jourdet
724920	20079	
724920	32027	Simone
724920	53014	Flore Génoyer
724920	53738	Membre du jury
724920	54725	La mère
724920	59709	Le père
724920	83267	Madame Lanier
724920	83349	Guite Bonfils
724920	91242	
724920	99364	La mère de Christine
724920	112852	Françoise
724920	112880	Marie
724920	113140	
724920	125715	La boulangère
724920	126043	Ursule
724920	133172	Maddalena
724920	165778	La mère de l'enfant
724920	166095	
724920	166184	Adilia
724920	166283	La mère de Jean Giono
724920	189163	Mme de Volanges
724920	198955	
724920	202699	
724920	205610	Olga
724920	217660	La directrice de l'agence
724920	217705	La mère de René
724920	217842	La mère d'Anne
724920	229492	Mme Fournier
724920	235841	
724920	254168	Mado
724920	261841	La femme de Fernand
724920	265217	Christiane
724920	266414	Louise Berrou
724920	268826	Rebecca
724920	273673	Lilette
724920	284257	Mme Anne-Françoise-Marie Bois
724920	345175	Marie-Thérèse
724920	345226	Rolande
724920	345321	Hélène
724920	346723	Suzanne
724920	347566	Jeanne
724920	351811	Mme Brandt
724920	351817	Anna
724920	356139	Soeur Théophile
724920	371537	Lucienne
724920	377247	Mme Kaufman
724920	379805	Madame de Neuillan
724920	383864	Finette
724920	384030	Jeanne De Piennes
724920	385489	Brigitte
724920	387697	Berthe
724920	388716	
724920	390756	
724920	391634	Henriette (segment "Un rêve")
724920	393772	Christine
724920	397200	Fifine
724920	401443	Maria
724920	409602	
724920	409799	Mme Holmann
724921	95725	Podlewska
724922	234659	Classified Ad Rep
724923	357175	
724924	17332	
724924	174190	Mute girl
724925	145170	Hip girl
724926	189228	
724927	237578	Sarah
724928	266050	Reporter
724929	3241	Chow Wai-Kuen
724929	63372	Barbara
724929	76420	
724929	76828	Kow-An Yum
724929	127741	Black Rose
724929	138626	Herself
724929	151982	Jinx
724929	152026	Aunt Yee
724929	152027	Aunt Yee Siu-Dim
724929	167408	Leung Mo-Shang
724929	184741	Ming's Sister
724929	184742	
724929	184998	Teresa Chang
724929	187532	Suk-Han
724929	189211	
724929	193892	Mo
724929	236231	Lo
724929	268763	Kwan
724929	284734	Inspector Mo
724929	286902	Miss Ho
724929	300446	
724929	303395	
724929	367110	Dotty
724929	367148	Woman at Concert Hall
724929	371452	Angel
724929	371508	
724929	374908	Miss Mui
724929	374922	
724930	1864	
724930	34560	
724930	73497	
724930	91426	
724930	149506	
724930	197212	
724930	199303	Sra. Homais
724930	205431	Maruja
724930	226184	
724930	243783	
724930	255744	
724930	265327	
724930	278306	
724930	307728	
724930	308298	
724930	314342	
724930	334682	
724931	336994	
724932	161219	
724933	26140	News Announcer
724934	120233	Lisa
724934	196063	Tawny
724934	257618	Herself
724934	257633	Herself (Miss December 2001)
724934	257660	Herself
724934	258951	Jaimie
724934	293192	Kasey
724934	327307	Cheryl Tangeray
724934	360723	Flight Attendant #3
724934	400645	Monica Harper (1998-2000)
724935	376910	La Journaliste
724936	29639	Magdalene
724936	30133	Kari
724936	96446	Liljan Werner
724936	107952	
724936	125631	Mrs. Helene Alving
724936	141795	Mrs. Elvsted
724936	144068	
724936	172657	Ragnhild
724936	178754	Vertinnen 'Bridgepatiet' + me
724936	181077	Ragnfrid
724936	187648	The Son's wife
724936	191571	Li
724936	192663	voice
724936	223204	Tora, tannlegefrue
724936	231273	Agnes
724936	237295	Irene von Satow
724936	240392	
724936	248173	Arkadina
724936	250412	Lilly
724936	268366	Wenche, Hartvigs søster/Hartv
724936	271687	Skinnfellmarja
724936	282076	Rebecca West
724936	301408	
724936	303645	Sonja Lund
724936	331210	Thranes mor
724936	341815	
724936	348962	
724936	378337	Stine
724937	230701	
724938	231212	Nanna Ngaropi
724940	115059	
724941	41579	
724942	20537	Ros
724942	316140	Dating Agency Woman
724942	338577	Joan
724942	379716	Carrie Sanders Tyler (1980-19
724942	391248	Principal Diana 'Di' Barnett 
724942	403452	Julia Field (1984-1985)
724943	259699	
724943	286418	Female Victim
724943	320528	
724945	33398	Brenda
724945	130409	Marcia
724945	141596	Gloria
724945	169382	Moira
724945	231069	Dinah
724945	279604	Stephanie Rodd
724945	385631	Melissa Carter
724945	393678	Various Characters
724945	399991	Various Characters
724946	245520	Mrs. Jesse
724948	101216	
724949	4676	
724950	33627	
724950	193435	Maria, la soeur de Pao/Pao's 
724950	244985	Béatrice
724950	387168	Mme Morin
724951	384912	La gitane
724952	245562	
724953	210249	
724954	261724	
724955	241188	
724955	357192	
724956	40557	Blandine
724957	223213	La Gouvernante
724958	398195	Hanna
724959	321444	
724960	351277	
724960	394941	Herself - (Host)
724960	407631	Various/Herself
724961	105605	Mitzi (maid)
724961	134965	Greta
724961	155621	Lotten
724961	190807	Lydia
724961	282087	Bojan, visiting girl from tow
724961	337888	Saxophone player
724961	353038	Stina
724962	210344	Herself
724963	33717	Woman in pool
724964	223257	Model demonstrating fridges
724965	198388	Tatjana Johansson
724965	217007	Kerstin Manell
724966	84297	Ann-Christin
724967	303663	Lisa
724968	367826	
724970	302235	Mathilda McCann (age 3)
724971	302235	Mathilda McCann (age 3)
724972	185168	Kathy
724972	224648	Amanda
724973	229108	Coffee girl
724974	194223	New Wave Model
724975	29098	Annie
724975	64564	
724975	64565	Herself
724975	64566	
724975	64572	Herself (performer)
724975	72698	
724975	117154	Anne Carr
724975	126589	Teresa 'Terry' Taylor
724975	128246	Deena Shepherd
724975	128417	The Librarian
724975	139739	Princess Shalimar
724975	161229	Narrator
724975	163092	Peggy Coopersmith
724975	163554	Guest
724975	177592	Princess Patna
724975	215456	Herself
724975	223852	Kim Lawrence
724975	331549	Susan Manning
724975	372524	Elaine
724975	381458	Regular Performer
724975	386337	Maggie McKinney #2 (1985-1986
724975	388237	Dr. Beth Everdene (1988)
724975	389858	Jonelle Andrews (1979)
724975	397077	Panelist
724975	410738	Hostess
724976	21213	Exotic girl
724976	232442	Beauty Pageant Finalist
724976	258752	Rita
724977	332328	Office Worker
724978	265100	Friendly Woman
724980	108133	
724981	123435	Nicholas' Mother
724981	287159	Sanda
724982	171005	Jeanne
724982	337562	Young Woman at Restaurant
724983	14886	Maddalena
724983	17137	Lidia
724983	29626	
724983	63890	
724983	71214	(segment "Little rock")
724983	90778	
724983	132951	Betta
724983	192226	
724983	202777	
724983	295180	Mastrina
724984	100150	Kathy
724984	104033	Shirley Vallantines
724985	185228	Angela's Singer #3
724985	331100	Harry's Girl Friend
724986	247107	
724987	118873	Sports Commentator
724987	158183	Herself
724988	270625	
724989	87797	Lady on airplane
724990	1911	
724990	2266	
724990	7738	
724990	7740	
724990	7741	
724990	7742	
724990	7744	
724990	7746	
724990	7747	
724990	7750	
724990	7752	
724990	20610	
724990	34876	
724990	37492	
724990	39234	
724990	39359	
724990	39796	Twin Sister
724990	39877	
724990	39915	
724990	39917	Twin Sister
724990	39941	
724990	48042	
724990	48576	
724990	58823	
724990	102766	Fantasy Girl
724990	123837	Twin Sister
724990	128919	Twin Sister
724990	159923	
724990	159926	Cheerleader
724990	161913	
724990	171010	18yr Old Afro-American Girl
724990	183384	
724990	197773	Twin Sister
724990	223673	
724990	224034	
724990	228111	Afro-American Girl
724990	236922	Twin Nurse
724990	245307	
724990	285322	Neighbor Lady
724990	295984	Nubian Princess
724990	296338	Strip Dancer
724990	296339	Exotic Dancer
724990	296340	Exotic Dancer
724990	298061	Twin Sister
724990	303211	
724990	303213	Twin Sister
724990	314134	
724990	316408	Twin Sister
724990	321217	
724993	204385	(segment "Nam ne dano preduga
724993	263424	(segment "Excercise No.5")
724994	189484	
724995	226214	
724996	393255	
724997	318887	Komomo Aihara
724997	394994	Naoko Aizawa
724998	292074	
724999	9587	Okinu
724999	61053	Kumi
725000	396256	elev (extra)
725001	282926	Immortal 3
725002	9274	Oharu
725002	29230	Tomi
725002	37624	Kotora
725002	122150	Mother
725002	125460	
725002	172241	Minokichi's mother (The Woman
725002	173261	Kuniko
725002	174243	Yuki, Kin's sister
725002	176607	
725002	179348	Farmer's wife
725002	179706	
725002	182154	Sodeko
725002	200767	
725002	227657	Tamayan
725002	232515	Seki
725002	232563	Haruko Inoue
725002	238101	Shige
725002	242191	Landlady
725002	341320	Mother
725002	373335	
725003	257083	Colleen
725004	91065	Herself
725004	104772	Croatian entry (17th place)
725005	41757	Girl at Gas Station
725006	45050	Sue Guthrie
725007	64072	Grandmother
725007	92505	Soloist in 'See Me Dance the 
725007	154827	Singer
725007	221297	Lady Passenger
725007	367970	Prima Donna
725008	2924	Herself - Best Documentary Wi
725009	131473	Loser Chick 1
725010	45050	Sue Guthrie
725011	176884	Diane Matthews
725012	87341	
725012	107175	
725012	150314	Tina Phillips
725013	188542	Girl
725013	231964	Water Girl
725014	368929	Young Lady
725015	122029	Senna the Soothsayer
725015	193572	Miss Daniels
725015	389258	
725015	409644	Senna the soothsayer
725017	45639	Street Band
725017	190220	Tazo
725018	310696	Miss Bedford
725019	169545	Crowd/Atmosphere
725020	216774	La lycéenne
725021	43010	
725022	170230	Herself
725023	379805	
725024	153637	
725025	112075	
725026	94834	
725027	364972	
725028	134921	
725029	350833	
725030	147655	Helicopter Co Pilot
725031	392463	Herself (Series 3) (2004)
725032	41338	
725033	202432	Malka
725033	343425	
725033	388943	Gali
725033	411634	Host
725034	249579	Ann
725035	26959	Faith
725035	150836	Rochelle
725035	188135	Cindy
725035	311946	Susie
725035	408765	Nurse Hooter
725036	143815	
725037	28510	La journaliste
725037	69450	La prostituée
725037	100481	Karina Meyer
725037	261792	Romance
725037	382188	La femme au concombre
725037	406790	Isabelle
725039	59717	Löwensköld daughter
725040	75975	Kasia
725040	85265	Barmanka
725040	123909	
725040	173652	Kicia
725040	255741	Lili
725040	378122	Agnieszka Look Alike
725041	223776	Wynona
725042	318738	Jane
725042	348336	Jail Bait
725043	49333	Nun
725044	36727	Fiddler Pig
725044	262262	Fiddler Pig
725044	331444	Fiddler Pig
725044	331454	Fiddler Pig
725044	331750	Fiddler Pig
725045	103324	
725045	226910	
725046	47400	L'infirmière
725046	94312	Brigitte, l'aide-soignante
725046	271236	Josépha
725046	337035	Serveuse de l'aéroport
725046	385347	Antoinette
725047	385025	Valéria
725047	408381	Belinha
725048	260358	
725049	275015	
725050	108901	Patricia
725051	69365	
725052	128926	Assunta
725052	351853	
725053	396551	Herself
725053	401848	Herself (2001-2002)
725054	234664	Spanare Jensen
725055	36459	Lucia
725055	138472	
725056	89572	
725056	161023	
725057	375851	Giornalista
725057	399657	Herself
725058	115385	Guest at the exhibition
725058	322420	Siri Berghammar
725059	114961	
725060	388	
725060	13094	Lucia Trapani (segment "L'irr
725060	56079	Addolorata
725060	89668	Cica
725060	107028	Maria
725060	199506	Rosalia (segment 1 'Usi e cos
725060	200512	Clea
725060	229619	
725060	288319	Widow
725060	311364	
725060	347476	Tina
725060	404750	Una ragazza
725061	90819	
725061	277167	Herself
725062	12999	Herself
725063	283581	Tidi
725064	150998	Yasmin
725065	373726	Girl in shop
725066	195404	Mrs. Elbertson
725066	205191	Lady in black
725067	83239	Martine
725068	220096	Radio Presenter
725069	120084	Herself
725069	154082	Camencita Gardez
725069	278119	Rosa Carilla
725069	332816	Jean Ogilvie
725070	211999	
725071	124908	Production Assistant
725072	228434	Short-Order Cook
725073	35506	Flight Attendant
725073	169211	
725073	241056	
725073	308014	
725074	191479	Vrlicanka
725075	191479	Vrlicanka
725076	294545	Russian
725077	84264	Anna
725077	93856	Maid Wandzia
725077	95981	Zofia
725077	181333	Jagienka
725077	231646	Wanda Bugajówna
725077	231723	Patient Renata
725077	232664	Zula
725077	244106	Magda
725077	259065	Dorota
725077	266330	Girl on the Casting
725077	311833	
725077	364976	
725077	368755	Teresa
725077	374245	
725078	205488	Mrs. Ines
725078	354765	Interviewee
725079	17205	
725079	19926	Nuccia
725079	36440	Aurora
725079	54366	Gina
725079	56354	4th Brigadist
725079	57018	
725079	69001	
725079	98184	Maria Elena
725079	109778	
725079	119080	
725079	129004	
725079	160070	
725079	173613	Sidora (segment "Mal di luna"
725079	211744	Valentina
725079	235760	Mara
725079	288316	Ninetta Moschella
725079	291553	Lugo
725079	315439	Linda
725079	335274	Maria
725079	404483	Clara Hessler (Episode 12)
725080	3964	
725080	14893	
725080	29580	
725080	85610	Prostitute
725080	125561	Partisan girl
725080	143357	Marisa
725080	156911	Franca (segment "Suore")
725080	162608	Fabienne Kruger
725080	196630	
725080	206955	
725080	219821	Clara (segment "Nobile arte, 
725080	228728	Geraldine (wounded saloonn gi
725080	235786	Margherita
725080	249918	
725080	252642	
725080	252666	Sally
725080	270802	Nurse
725080	318637	
725080	348675	
725080	404750	Una donna
725081	17813	Margherita
725081	48219	
725081	52880	Wife of Azzaro's Son
725081	68140	Rossana
725081	75236	Esther's mother
725081	133306	
725081	137809	Voice of Aunt Anita
725081	158628	Cinzia
725081	163744	
725081	214002	moglie Gino Rossi
725081	318599	Pivot
725081	328500	Ornella
725081	344593	Filomena
725081	386748	
725082	324889	Indian Family at Airport
725083	39159	
725083	71479	Wellington hospital matron
725083	86684	
725083	303558	Jeroo
725083	318029	
725084	174028	Secretary Zosia
725085	266303	Karolina 'Karusia' Szarlatowi
725085	305185	Maria Pleszczynska
725086	28093	
725087	8166	Annie
725087	57193	Miss Ambrose
725087	128310	Grace Steeple
725087	190781	Third maid
725087	356281	Martha
725088	42114	Singer, Dancer
725089	199639	Fistful of Valium
725090	97644	Girl
725091	121374	Alicia
725092	126546	Dancer in 'What's Happening t
725093	28884	Ambassadør
725093	78477	Herself - Choir
725093	78486	Herself - Choir
725093	78487	Herself - Choir
725093	78491	Herself (performing 'Vejen ti
725093	78494	Herself - Choir
725093	78495	Herself - Choir
725094	316647	Peewee
725095	78477	Herself - Choir
725095	78486	Herself - Choir
725095	78487	Herself - Choir
725095	78494	Herself - Choir
725095	78495	Herself - Choir
725096	304578	Suellen
725097	42114	Singer, Dancer
725098	118623	Bus driver
725099	284628	Drunk Woman
725100	235079	Katharine
725101	167094	Patty
725101	366565	
725104	120237	Cleaning lady
725105	164662	Girl at El Morocco
725107	80463	
725108	163378	
725109	167094	Carroll Buchheim
725111	965	Empusea
725112	63046	Annie
725113	161864	Rave Dancer
725113	291265	Nurse B. Hunter
725113	338350	Lucy
725114	29713	Maricota
725114	52107	Ernestina
725114	61338	Marcelina
725114	67657	
725114	104497	
725114	130558	
725114	148481	
725114	237208	
725114	293388	
725114	333908	
725114	339996	
725114	353675	
725114	377609	
725115	52820	Miriam
725115	226454	
725115	377607	
725116	43366	
725116	149230	
725116	198193	Tamar
725117	283543	Dancer
725117	300180	Other Audition Dancer
725117	329946	Shindig Dancer
725117	396062	Starlight, Loveboat Mermaid (
725117	405839	Herself (Solid Gold Dancer, 1
725118	236972	Observer
725119	267547	Waitress
725120	388445	Participant (2001)
725121	26478	Diane
725121	299451	Groupie #4
725121	321632	Girl at City Grille
725121	365657	Car Rape Victim
725122	77624	Ingrid
725123	387262	Teres (segments 2, 3, 4, 6, 7
725124	94274	Kristin
725124	114810	Moren [Felen i ville skogen]
725124	116986	Hilda
725124	162582	Moster
725124	181077	
725124	322480	Vavva
725124	397312	Lea
725125	201611	Herself
725127	403805	Marlena Savage (2002-)
725127	410708	Litigant
725128	65432	Kimberly
725128	95785	Anne Marie Johnson
725128	161739	Scarred woman
725128	283497	Grocery Teller
725129	161974	Eva
725129	196117	Debbie
725129	299202	Grace Moosup
725129	305091	Raven
725129	395016	Shane McCutcheon
725129	411801	Jacqueline 'Jake' Pratt
725130	225476	Rachel
725131	187203	Emma
725132	361538	Child
725133	408739	Sarah
725134	383027	Herself
725135	156154	Cecilia
725135	179609	Betty Bossé
725135	205577	Maria Speermalie
725135	217059	Mone
725135	314870	
725135	324642	Clara
725135	384611	Betty Bossé
725135	390408	Mia Hofmans
725135	400287	Maria Onckeloms
725135	401670	Milly Bers
725135	402315	
725135	403637	Adelise
725136	32409	
725137	64225	Une danseuse hindoue
725138	176935	
725139	205348	
725140	273827	Saloon Patron
725141	262495	Kukadlo
725142	385024	
725143	205535	
725144	23886	
725145	145482	Circus
725146	285201	Revolutionary
725147	39589	
725147	39742	
725147	44071	
725147	70954	Françoise, la secrètaire
725147	155821	
725147	318382	
725147	351710	Bella
725147	404176	Mademoiselle Catherine
725149	51640	Herself
725150	117185	Undetermined Role
725151	144403	Kelly
725152	289331	L'accompagnatrice turistica
725153	24960	Ashley
725153	45457	Danish
725153	183183	Felicity
725153	296019	Alexandra
725153	366348	Terry Stoshack
725153	378665	Daphne Strode
725153	406422	Karina
725154	126077	The Woman
725154	126504	Glenda
725154	191652	Angie
725154	203522	Lydia Blake
725154	269601	Stella
725155	269979	Old woman
725155	282933	Gran
725156	269979	Old Woman
725157	18549	Terry Helvey's Mother
725157	60186	Jolie's Mother
725157	93791	Nurse
725157	127679	Linda
725157	161060	Art Gallery Docent
725157	232121	Farm Mother
725157	273926	Polygraph Technician
725157	319682	Sister Eileen
725157	324397	Librarian
725157	342925	Marcy Kellerher
725157	349870	Female Coroner
725157	367588	Carla Dishman
725158	24308	T.A. stewardess
725158	31840	Amanda Platt
725158	253356	Rebecca Austin
725158	264033	Kelli
725158	270521	Melissa
725158	304337	
725158	312141	Agent Moffat
725158	382507	Susannah Sawyer
725159	40005	Jessie Hobson
725159	112188	Bella Bradley
725159	267486	Mrs. Harvey
725159	390574	Georgina Pocket
725159	391249	Mrs. Musket
725160	28067	Cindy
725161	165871	Mamie Horn
725162	406667	Irene
725163	71309	Mom
725164	333102	Jessie Ann Sopwith
725165	303495	Lucretia
725166	115299	
725167	38005	Maria
725167	139050	Special Guest
725167	330391	Herself
725168	160510	
725169	100860	Maggie
725169	109047	Mrs. Billings
725169	154481	Mother Zador
725169	175176	Landlady
725169	186813	
725169	223970	Mrs. Dreiser
725169	278544	Mrs. Dolan
725169	284916	Mrs. Moore, Neighbor
725169	312145	Kate
725169	333053	Jenny Struthers
725170	280687	Mrs. McGregor
725171	108331	Rose
725171	223896	Eleanor Blanchard
725171	232497	Banker #3
725171	335285	Mrs. Nelson
725171	361229	Council Woman
725172	32482	Ruby Morphet
725173	333053	Aggie Turnbull
725174	303776	
725175	274650	Santa Family #3
725176	293637	Cleaning Woman
725176	336789	Witch's Voice
725177	274278	Carol Sterling
725178	77717	Ruby
725178	233825	Delia
725178	279425	
725178	292322	Gwen
725178	302887	Mrs. Fred Blake
725178	346203	Secretary at Shooting Scene
725178	368315	Lou
725179	292213	Sandra Biggs
725179	335071	Sally
725179	401077	Nicki Davey (1999)
725179	410978	Alice Harding (2004-)
725180	193705	
725181	35597	Townspeople
725182	12228	Desiree
725182	16413	Teach 1
725182	27205	Angel
725182	40100	Policewoman
725182	81321	T.V. Reporter
725182	81351	Kana
725182	82049	Jury Foreperson
725182	108140	Prosecutor
725182	132259	Reporter #4
725182	145710	Ana
725182	147655	Mary Randolph
725182	149965	Trainee #2
725182	158964	Carol Leiter
725182	190273	Kimberly's Mom
725182	221375	
725182	308929	Teacher
725182	309542	
725182	359425	Celine
725182	365218	Maggie
725182	367588	Jail Guard
725182	387303	Sissy Lunch
725183	385020	Kelly Thomson (1996-1997)
725183	391155	Jolene Hartley
725184	210732	Dale Buckley
725185	29285	Pat Warren
725185	42811	Georgina Marsh
725185	45531	Button
725185	61578	Roberta 'Bobby' Carter
725185	107697	Annie Marshall
725185	143136	Leona Dean
725185	169906	Nan
725185	193295	Nancy: age 10
725185	220849	Joan Blandings
725185	224232	Sharyn
725185	224237	Gretchen Anstey
725185	246926	
725185	283890	Penny Waters
725186	163710	
725187	334130	Finula
725188	149803	Harry's Wife
725189	31063	Nurse Fisher
725189	38583	Penny
725189	41657	Model
725189	128847	Flo
725189	166069	Herself
725189	269753	Model
725189	294135	Girl With Holder
725189	372346	Agnes
725190	302911	Marie-Rose
725191	6859	Dania Leonard
725191	24421	La Grassini
725191	69105	Barbara Worth
725191	75938	Sylva Varescu
725191	88206	Elena, Leonardo's wife
725191	196783	Lucia
725191	210917	Giovanna
725191	232017	Herself
725191	270820	Lia
725191	290779	Helena
725191	315424	Evy
725191	338610	Violetta Valery
725192	96795	Heather
725193	131509	Hazel, Leafy's Mistress
725194	124590	
725195	263566	Nolanga
725196	176256	Stewardess
725196	389868	Kgomotso (????-1999)
725196	398042	Lindiwe
725197	330126	Colon
725198	174131	
725199	373892	Otsura, Genshun's daughter
725200	169689	
725201	285034	Mary Anne's Mother
725202	166643	Woman on Bench
725203	6219	Orlean Dinner Guest
725204	237303	Ulla
725204	394052	Geismars hustru Olga
725205	178790	Herself - Gunil the Clown
725206	50242	Marie
725206	64642	Herself/Various roles
725206	78471	Herself (performing 'Nattens 
725206	114808	
725206	127499	Frau Jacobsen, the Secretary
725206	136733	
725206	179790	Sekretæren
725206	182625	
725206	210373	
725206	255671	Louise
725206	302125	One of Simon Spies' many ladi
725206	327097	
725206	340079	Anna's mother
725206	351910	
725206	352120	
725207	251061	
725208	165498	Dancer
725209	180215	Herself
725210	274475	Amanda Patterson
725211	263620	Olivia Vieljeux
725212	72916	Mrs. Danvers (segment "Father
725212	90266	
725212	135935	Store Owner's Wife
725212	301769	
725213	169139	Additional Player
725213	350506	Dancer: Slave Dance
725213	397651	Pogo
725214	204755	
725215	17504	Phim
725215	304793	Tipong
725216	76892	Leili
725217	366015	Nurse
725218	286418	Daughter
725219	39867	
725219	129190	Yeva
725219	173011	
725219	173028	Ludmila
725219	176119	
725219	206517	
725219	206519	
725219	272516	Lyuba
725219	324487	
725219	343961	Liz
725219	357418	Marya
725219	374885	
725219	394821	Margharet
725220	52561	Lucy
725220	59148	Brandy
725220	82835	Elizabeth
725220	97644	Underwear Woman
725220	185683	Apprentice
725220	191326	Anne
725220	277091	Judy
725220	277092	Judy
725220	378627	Wendy
725221	5423	
725221	56328	Samantha
725221	105606	Anchorwoman #2
725221	111159	Vera
725221	111433	Laura Garello
725221	143770	Franziska
725221	213380	
725221	214858	
725221	214873	Dancer
725221	242113	Information Desk Attendant
725221	270691	Cristina
725221	273766	Studentessa
725221	341623	
725221	386484	Valeria Ruggero
725221	386485	Valeria Ruggero
725221	396305	Marisa
725221	401970	Tiziana Torrisi
725221	406346	Eva Renzi
725221	410311	Sofia Gherardi
725222	64372	Roxanne
725222	199060	
725222	217103	
725223	183467	
725224	313033	Les collégiennes
725225	101820	
725226	96470	
725226	97804	
725226	129127	
725226	139497	
725226	322440	
725226	375281	
725227	143531	Illa
725227	170508	Tessa
725227	387092	Ruth Duggan
725228	366869	
725229	383518	Carmen
725230	294714	
725231	61953	
725231	67914	
725231	90088	Giovanni's wife
725231	128035	Mariuccia
725231	243062	
725232	142726	
725233	74426	
725233	357943	
725234	1161	Mustafa
725235	236730	The Young Woman
725236	300791	Azizeh
725237	60522	Souad
725238	27740	
725238	297618	
725239	32024	
725240	210939	
725241	18544	Party Girl
725242	298321	Belqassim's Wife
725243	68351	Little Girl
725244	38834	
725244	135667	
725244	217336	Chhotalal
725245	220479	
725246	162734	
725247	286655	La petite voisine
725248	149931	Passenger
725249	4518	Darvish's Wife
725250	35177	
725250	77012	
725251	27481	Razieh
725251	273027	
725252	1092	Serving Girl
725252	233792	
725253	390950	Hammerboy #3
725254	9391	
725254	18116	
725254	22205	
725254	25241	The Mother
725254	25921	
725254	77123	
725254	127031	Mashallah
725254	142222	
725254	152150	
725254	155158	
725254	172181	The Mother
725254	172639	
725254	201979	
725254	271040	
725254	282949	
725254	285330	
725254	285972	
725254	289176	
725254	289281	
725254	296607	Mother
725254	324996	
725254	324998	
725256	36208	Teacher
725257	71479	Receptionist
725257	78312	Madhavi
725257	209783	
725257	350046	Lakshmi
725257	350690	Sridevi
725257	350724	
725258	6095	
725258	21817	
725258	128585	Miss Rowntree
725258	141532	Mrs. Cyprian
725258	174197	Mohana
725258	205899	Dolly
725258	208576	
725258	250496	
725258	256848	Nurse
725258	297725	
725258	327232	Guest
725259	256707	
725260	9314	Rose
725260	62656	Mohini Varma
725260	173448	Kumudam
725260	190129	Bala
725260	222208	Eva Cherian
725260	227081	Damayanthi
725260	246890	Ghost
725260	285559	Arathi
725260	327960	Sangeetha
725261	115465	
725262	395109	Shila
725263	122719	Old Woman
725264	42209	Fia
725264	314390	
725264	338660	
725265	404471	
725266	164786	
725266	258388	Ruth Andersen
725267	84270	Woman
725267	182299	Tenant in the Women's House
725268	157040	Suzanna Guicciardi
725269	160982	Amazon
725270	351883	
725271	7412	Mother
725272	260744	Marina
725273	143067	Herself
725273	410523	
725274	36985	Elevator Starter
725274	40441	Piano Player
725275	6454	Hema
725275	36029	
725275	77693	Priya
725275	97784	
725275	98590	
725275	134354	
725275	146834	
725275	147980	Devotee
725275	169184	
725275	177933	
725275	184173	Stepmother
725275	202609	
725275	208590	
725275	226525	Sophy
725275	226527	
725275	248961	Unnimaya
725275	267235	Pooja
725275	285797	Lakshmi
725275	349744	
725275	359822	
725276	9618	Abogada
725276	74578	Infermera
725276	76087	
725276	183516	
725276	204684	Ruth
725276	221963	Madre niño
725276	249596	
725276	278425	
725276	334642	
725277	6866	Brenda
725277	267088	Alissa
725278	133419	Mother
725279	325688	
725280	67147	Theresa
725281	68351	Soraya
725282	114951	Såpa-kvinna 2
725282	118743	
725282	202828	Nursing Staff
725282	394936	Various Roles
725282	405724	Herself/Co-Host (2003)
725282	410462	Kicki Lindberger
725283	91465	
725283	207216	
725283	288037	
725283	320392	
725284	209289	
725285	364300	Herself
725286	387455	
725287	137929	Ophelia
725287	239137	
725287	277717	
725288	50977	Waitress/Singer
725289	171311	Couple at Mandalay
725290	53139	Loes
725290	181120	Theresa
725290	242903	Anja Vonk
725290	334736	
725291	14434	
725292	172843	Døden
725293	24352	Lucy
725294	388756	Bette
725295	16249	
725296	273414	Melody
725297	204755	
725298	317368	Sonja
725299	801	
725299	81196	Mary Henry
725299	399130	Sally Wells (1987-1988)
725299	406457	
725300	14060	Herself
725301	399880	Himself
725302	297199	
725303	41998	Nurse
725303	118199	Fat lady
725304	126742	Tricia
725305	180912	Patientin Birkenhof
725306	80900	
725307	8931	Pippi
725307	21180	Swede #2
725307	307661	Victoria
725308	348059	
725308	406262	Trinchen Kukowski
725309	30539	
725310	66194	Heather
725310	355212	Bystander
725311	92831	Chinese Girl
725311	117342	Girl Dealer
725311	279125	
725312	129429	
725313	100469	Saleswoman
725313	120971	Le Prieure
725313	211662	
725313	278155	Mère de Benjamin
725313	353885	Infirmière #2
725314	234651	Girly
725315	199389	
725316	388689	Magalie
725317	406961	Herself (Team Sribuat/Tengah,
725318	184286	Pregnant Woman
725319	255517	Sara
725319	394792	Laura Mäkimaa (1995-2003)
725320	354083	Ticket Seller
725320	404782	Jaana
725321	165631	Sarina
725322	205696	
725323	73327	Phyllis
725324	268828	
725324	284224	Passagère du bus
725325	23805	Eliza, la femme de Barrymore
725325	391930	La boulangère
725326	84607	
725327	343162	Le Claire
725328	41227	Kelly Ryan
725328	67349	Julia Harken
725328	97352	
725328	105851	Kitty
725328	136278	Cory
725328	168331	Sexy Girl
725328	168743	Darlette
725328	192172	Princess Sita
725329	269082	Heidi Maida
725330	144786	
725330	286102	
725331	281895	Funeral Lady
725331	301398	Mary
725332	155359	Frau Dutschke
725332	283936	Hauswartsfrau
725332	290660	Old Woman
725333	350321	Dracula's Ball Performer
725334	410628	Maya Bellehumeur
725335	396510	Célestine
725336	113134	
725337	113134	
725338	209492	Gun clinic lady
725339	164986	
725340	150555	
725341	109532	Herself
725342	38546	Miss Lucas
725342	74230	Maid
725342	214449	Melanie Parks
725342	221534	Margaret
725342	264820	Secretary
725343	230377	Miss Bull
725344	19888	Whore
725344	73677	Bonita
725344	190994	Groupie
725345	120905	
725346	355511	
725346	377948	
725347	18881	Eva Meier-Eden (Eva)
725347	102134	Malaienmädchen Leata
725347	157758	Marie/7. Geschichte
725347	184607	Dora Berkowicz
725349	60763	Mrs. Duwald
725350	200053	Sopo
725351	205144	
725352	229238	
725353	250746	Gullah musician
725354	96210	La fillette qui fait le guet
725355	342094	Gladys Bruni
725356	62911	
725356	112279	Cherubino
725356	316807	
725356	343782	
725356	361110	
725357	6624	
725357	113753	Mother Alvarez
725357	191090	
725357	364087	Madame La Roche
725358	309546	ER Nurse (Midtown)
725359	6631	
725359	332593	
725359	410290	Profesora Judith Cuestas
725360	306984	Janet
725361	120248	Nurse Suzy
725361	131539	Mrs. Harkessian
725361	215257	Police Captain
725361	221375	
725361	257272	
725361	257273	
725361	257274	
725361	257275	
725361	257276	
725361	257277	
725361	257278	
725361	257279	
725361	257280	
725361	257281	
725361	257282	
725361	257283	
725361	257284	
725361	305694	Grandma Builds-the-Fire
725361	330530	Sister Mary Catherine
725361	384894	Justine Osborne
725362	283693	Zhaklin
725363	62276	Strawberry
725364	125658	
725365	82551	Conference Room Executive
725365	141605	Supermarket Checkout Girl
725366	31548	
725367	354683	Prisoner
725368	188478	
725369	231268	Kan
725370	3261	Lam Suk-Fan/Wasabi
725370	20620	General Fang
725370	39018	Suki
725370	61463	Hong Yat Hong
725370	61990	Ivy
725370	62516	
725370	62520	Cuckoo To
725370	63375	Baby
725370	76427	Julie
725370	92858	Yingying
725370	95291	Punkie/Blondie/Baby
725370	110595	Karen Kook
725370	124575	Helen
725370	135025	Van
725370	135027	Shuk-Fan
725370	137315	Tracy Lee
725370	152344	Kwan
725370	170996	Joan
725370	185970	Sister Teresa
725370	197558	
725370	238700	Pat
725370	291675	May
725370	300639	Patricia
725370	300684	
725370	301436	Turkey
725370	303399	'Dragons' Male Soccer Player 
725370	318229	Wu-Man
725370	367103	Woman
725370	367111	Jenny
725370	369576	
725370	369577	Pak Jing-Jing
725370	369771	Chen-Li
725370	371644	Shirley
725370	374943	So Mei
725370	375916	
725371	92573	Sister Rose
725372	91737	Mrs. Mar
725373	148531	Mrs. Ang
725373	189203	Ah Lian
725373	225844	Chen Hui Yu
725373	268658	
725373	295454	
725373	296588	
725373	369727	Discipline Master
725373	391783	Mo Lingling
725374	121779	
725375	322025	Mûkedvelõ zenész
725376	132247	Peninsula Dance Team
725377	158748	Aïcha, la mère
725378	243967	
725379	129513	Gloria, enfant
725380	320715	
725381	399405	Young Mayuko, Alien Girl
725382	56462	Naheeti
725382	162887	Malama
725382	379832	Evelyn Pahinui
725383	178379	
725384	139360	
725384	355808	La maîtresse du mariage
725385	1888	Mariova mama
725386	154087	Mrs. Fraser
725387	75695	
725387	164877	Samanta
725387	295024	Mirjanina majka
725387	381061	Sekretarica skole
725387	402023	Gospodja Popadic
725387	402358	
725388	239958	Fille de Viktor
725389	239958	Fille de Viktor
725390	276424	Daisy Coldren
725391	195296	Elke
725391	330545	April
725392	139383	
725393	240058	
725394	130485	Radio Operator Yasuko Inouye
725394	145442	Toshiko Shiimura
725394	178311	
725394	179307	
725394	293611	
725394	323494	
725394	344283	Bar girl
725394	375625	
725395	365458	BaAka Villager
725396	23595	Liz
725396	28464	Bettie Page
725396	40489	Gwen
725396	52695	Emily
725396	57654	Vicky
725396	72504	Marion Davies
725396	82321	Mary
725396	90771	Sonny's Girlfriend
725396	113491	Beatrice Gruman
725396	117666	Ella Brice
725396	119986	Janelle
725396	126505	Audrey
725396	128089	Girl #12
725396	141723	Mary
725396	171191	Hedy Coletti
725396	185709	Mary Greenway
725396	200463	Lucy Morgan
725396	223026	Anna Swan
725396	255273	Madge Owens
725396	282452	Jo
725396	297553	Jenny
725396	321126	Ellie
725396	330610	Jane Fuller/Natasha Molinaro
725396	335715	Capri
725396	385895	Maggie
725396	390117	Lynne Camden
725397	67934	Fysiotherapeute Marian
725397	78214	
725397	101896	Hilsa
725397	211053	
725397	338416	
725397	359816	
725397	394912	Prinses Zwijnhilde
725397	402132	Ien van der Meer
725398	19307	Andrea
725399	4815	Child #2
725400	120236	Neighbor
725400	387766	Sköterska
725401	182773	Prinzessin Radziwill
725402	12570	Ilona
725402	16244	Mrs. Hellborn
725402	93434	
725402	156757	
725402	288007	
725402	337558	
725403	43337	Elsa Wendel
725403	102897	Marthe
725403	114484	Martina, age 18
725403	120845	Eva Bonnet
725403	122776	Mrs. Fagerholm
725403	137744	Narianne Rizetski
725403	142833	Princess Irma of Aquitanien
725403	147011	Margot
725403	173145	Emma Reuter
725403	182555	Hertha Weye, journalist
725403	188880	Ester Wearnkeal
725403	199321	Louise von Volmar
725403	284373	Marguerite
725403	320042	Maggie Frisch
725403	321927	Synnöve Solbakken
725403	331006	Bessie
725403	331007	Bessie Douglas
725403	343711	Hildur
725403	351456	Agnes Torp
725404	281038	Pankkineiti
725405	211863	Reporter
725406	192928	Inga
725407	4938	
725408	396774	Melisa
725409	152894	Calendar Girl
725410	286253	Mrs. Salazar
725411	120431	Antonia
725411	123983	Christiane
725411	212052	
725411	376920	Bernadette
725412	216598	Marie, daughter
725413	72932	French Bulldog
725415	189596	Anina
725415	369410	Luna
725416	12937	Czechoslovakian actor
725416	34942	Melicharová
725416	153361	Dorotka
725416	169035	Melicharová
725416	189482	
725416	261380	Gruber's Secretary
725416	261954	
725416	263648	
725416	266349	Sister-in-law
725416	268266	Majda Cadová
725416	284999	Gräfin Franziska von Brühl
725416	285000	Komtesse Franziska von Kolowr
725416	312715	Pavlína Busková
725416	374492	Edita
725416	375400	Servant
725416	399869	Chambermaid Heli
725416	407383	Teacher's wife
725417	174120	Linda
725418	372175	Dancer
725419	33471	
725419	92326	
725419	223213	Ernestine
725419	224914	
725419	259001	
725419	355608	Natascha Peschkowa
725420	162758	
725421	97438	Schütz's mother
725422	29578	
725423	376108	Herself - Reporter, Fredensbo
725423	398016	Herself - Host
725423	404297	Herself - Host
725424	307589	Choir Conductor
725425	352460	She-Fox
725425	352466	She-Fox
725425	389221	
725426	187842	
725427	193449	Soeur Agnès
725428	53158	Corina
725429	308018	
725430	210594	
725431	268232	
725431	322208	
725432	61843	
725433	43596	Skipping Girl
725433	131375	Connie Flemming
725433	245218	Young Molly
725433	289113	Little Girl
725433	344480	Mary Jo
725434	172070	Edit Hajós
725434	229574	
725434	322109	Juli
725434	355566	
725435	407725	Presenter (1996- )
725436	2470	Anna Stravinska
725436	73855	Mademoiselle Tenois
725436	148863	Davina Fraser
725437	25315	
725438	140993	Old Woman
725439	104782	Host
725440	67608	Girl
725441	131988	Hysterical Woman
725442	408092	Hanneke
725443	45203	Kleine Rita
725444	147177	
725445	66264	
725447	20316	Girl
725447	21300	Girl
725447	36841	Girl
725447	36856	Manicurist
725447	45494	
725447	51885	Girl
725447	66549	Undetermined Role
725447	132821	
725447	154952	Bit
725447	156464	Nurse
725447	177368	
725447	183853	Bit Part
725447	280895	Maid
725447	289236	Girl
725447	289422	Bit Role
725447	302629	Bit
725447	312584	
725447	329052	Girl
725447	372050	Girl
725447	374198	Dancer
725448	360596	Beer Girl
725449	64691	
725449	65158	
725449	153015	
725449	318232	Amelia
725449	392027	Diana Dueñas (2000-2002)
725450	189480	Locutora
725451	19455	
725451	57782	
725451	209034	
725451	251615	
725451	273658	
725451	371696	
725451	386696	
725452	404161	Adela
725452	410477	
725453	230127	Hoyden-Harridan
725454	353180	
725455	353180	
725456	399160	
725457	27469	Maykata na Elena
725457	89793	Milena
725457	98639	
725457	130142	
725457	213513	
725457	244028	Zhenata ot dvorcheto
725457	261310	Manahilitza
725457	305905	Kazalbashkata
725457	317293	Esenka
725457	320707	
725457	349086	Petrova
725457	350252	
725457	375394	
725458	321884	Jenn
725459	222597	Rehearsal actress #2
725460	230053	
725461	264925	
725462	336592	Aida, la figlia
725463	74566	
725463	95024	
725463	223627	
725463	255801	
725463	255932	
725463	307197	
725464	198462	Mina
725465	355065	Danielle
725466	109118	Bente
725467	17506	Wife of King
725467	17700	Slave Girl
725467	72873	Mrs. Morteno
725467	117646	Queen Catherine
725467	134039	Mexican Girl
725467	142462	Girl at jukebox
725467	142517	Woman
725467	147535	Felicia
725467	149610	Teresa
725467	194915	Pretty Girl
725467	223913	Girl
725467	229938	Cigarette girl
725467	252434	
725467	264143	Goldwyn Girl
725467	278494	Helen
725467	294692	Tosca in Tosca
725467	309825	Gypsy Dancer
725467	309856	Dolores Gonzalez
725467	325112	Zambesi Maiden
725467	331564	Rita
725469	89849	Domenica as child
725470	28811	
725470	106097	Ulla
725470	134948	Eva
725470	142636	Customer In Car
725470	182540	
725470	187639	Agnes
725470	210157	Woman in car
725470	305874	Hooker #1
725470	351990	Marianne
725470	377436	Jenny
725470	387026	Court lady (episode 5)
725471	304850	SJ Cashier
725472	228388	Johanna
725473	405304	Herself - Resident, Plejehjem
725474	110900	
725475	48371	Ella
725475	74283	
725475	115388	Kalle's girlfriend
725475	128549	
725475	145520	Annie Smerling
725475	165615	Kristina
725475	192647	Ellen Bjurselius
725475	237247	Karin
725475	279807	Rosa
725475	303853	Britta Alexandersson
725475	320583	Britt-Marie
725476	189049	Laura
725477	256544	Adele
725478	202559	
725479	221685	
725480	249868	
725480	406852	Luna
725481	41400	Jennifer
725482	118497	
725483	169240	
725483	228902	
725483	234329	
725483	310033	
725483	328716	Hermana
725483	355820	Luz Elena
725483	379834	Rita
725483	380111	
725483	380114	
725483	381030	Petra
725483	381261	Graciela
725483	381839	Ofelia
725483	383155	Jovita
725483	383471	Canuta
725483	384245	
725483	385873	Madre Socorro
725483	386169	
725483	386786	
725483	388937	
725483	390514	
725483	390732	
725483	391428	
725483	392806	Herminia
725483	396815	Petra
725483	396848	Carmen
725483	396855	
725483	397019	Casilda
725483	397021	Natalia
725483	398167	
725483	401700	
725483	403402	Eleuteria
725483	405316	
725483	405415	Mother Ángeles
725483	405834	Laureana
725483	409782	
725483	410323	Vicenta
725483	412192	Francisca Osuna
725483	412271	
725484	194624	
725484	255545	
725484	307721	
725485	217954	U.S. Air Flight Attendant
725486	20912	Abby Brewster
725486	267875	Amparito
725487	6479	Lupe
725487	14803	
725487	24989	Julia
725487	36646	
725487	55747	
725487	55924	
725487	74661	
725487	91295	
725487	94873	
725487	106241	
725487	123170	
725487	145139	
725487	145672	
725487	148122	Ana Maria
725487	183948	Hortensia
725487	183949	Hortensia Braniff
725487	184850	
725487	208854	
725487	224996	Marta
725487	227296	
725487	233549	Josefa
725487	234006	
725487	246942	
725487	260509	
725487	269746	
725487	282138	Dr. Mendez Braun
725487	283140	
725487	302306	
725487	308594	
725487	310026	Carmelita
725487	331304	
725487	342614	Rita
725487	354716	
725487	376847	
725487	379256	
725487	384869	
725487	387825	
725487	396848	Sra, Robles
725487	398550	
725487	399802	
725487	409717	
725488	95054	
725488	287691	
725489	71287	Juanita, child
725489	220755	Pepi
725489	256657	Julia
725489	263828	Gabi (Gabriela)
725489	380155	Carolina
725489	383235	
725490	59781	
725490	73979	
725491	10123	
725491	51710	Joan
725491	56021	
725491	91317	
725491	101844	
725491	121306	
725491	216861	
725491	221689	
725491	223218	
725491	251724	Prostituta rubia
725491	253057	
725491	355919	
725492	373871	
725493	42632	Amanda
725494	69708	Clara
725494	148068	Socorro Soriano
725495	74657	
725496	367951	Herself
725497	379566	Nuria (1998)
725497	398914	Claudia
725497	409960	Estrella
725498	48831	Chica
725498	319793	María
725498	353236	Lucrecia
725498	387171	Eugenia Constanzo
725499	71358	Herself
725499	233626	
725499	380054	
725500	74827	
725501	389777	
725501	393804	Various characters
725501	398520	Various characters
725501	399402	
725502	99789	Eugenia
725502	234394	
725503	35459	Carmella
725503	369195	Hela
725504	202634	
725505	390449	Herself
725506	145163	
725506	339088	
725507	402539	Creuza Maria
725508	70525	
725509	9618	Lupe
725509	275067	
725509	332598	Lola
725509	380155	Rosaura (2002-2004)
725510	381024	María
725510	385875	Angela
725510	386077	Sor Amparo
725510	391421	Rosa
725510	399806	Nieves
725510	404706	Emilia
725511	146454	
725512	18112	
725512	239284	
725512	243448	
725513	20478	
725514	115110	Hotel Maid
725514	130275	Latina Driver
725515	14717	
725515	19945	Girl With Red Hair
725515	22744	Lola Fajardo
725515	27863	Mónica
725515	33727	Consuelo
725515	82587	
725515	197976	Luz
725515	207757	Maite
725515	216303	Rosa (joven)
725515	292966	Frantiska
725515	353180	
725515	369870	Herself - Performer
725515	391441	Novicia Consuelo
725516	342744	Little Girl
725517	271706	Clara
725517	384795	Bego
725517	397467	Marta
725518	165718	Jara
725518	290364	María
725518	379566	Nadine (2000-2001)
725519	189851	Herself
725520	71078	
725520	82399	
725520	122226	Cristina
725520	196736	La Lunares
725520	213392	Sandra
725520	218093	
725520	219585	
725520	237999	
725520	280726	
725520	284857	Maidservant
725520	378110	Violeta
725521	69011	
725522	395044	Porteira
725523	379566	Nuria (1998)
725524	370062	Josefina
725525	18962	Herself
725526	294745	Tall black woman
725527	280016	Additional Party Guests
725528	380242	
725528	387273	Olga de Aliaga
725528	403686	
725528	407644	Laura
725529	294972	
725530	152950	Carla
725531	1121	Beatrix
725531	3502	Ella misma
725531	3568	
725531	9734	Doña Felicidad
725531	17670	Anna Kastelano
725531	27863	Adela
725531	27914	Angela Goro
725531	29668	Alice
725531	30418	
725531	30847	Sophie
725531	31805	Xima
725531	33498	Carolina Otero
725531	46007	Camille Delancourt
725531	49691	Fedora
725531	52763	Rosa
725531	55268	Alicia
725531	55388	Clara
725531	56025	
725531	58288	Conchita
725531	65015	Roser Palau
725531	66869	Ema
725531	68780	Annunziata
725531	68980	Rebecca
725531	70678	
725531	71281	Pepita
725531	71282	Pepita
725531	82433	Lauretta
725531	82724	Ángela
725531	86388	Rosa
725531	96161	Angela
725531	97567	Yocasta
725531	103860	Fernanda
725531	108112	
725531	108657	White Witch
725531	121226	
725531	121233	Adela
725531	122973	Herself
725531	127727	Julia
725531	148108	
725531	148700	Maria
725531	157162	Domitia
725531	159674	Martina
725531	165718	Juana
725531	180730	Lisa
725531	184850	Encarna
725531	186144	Laura
725531	193483	Lola
725531	196743	
725531	201993	Carmen
725531	202284	Nunzia
725531	205025	Carmen
725531	205595	Mary Magdalene
725531	216303	Rosa
725531	221888	Mercedes
725531	233759	
725531	233901	
725531	234345	Herself
725531	236136	
725531	236748	Teresa
725531	238009	Wanda
725531	238854	Amayur
725531	239010	Silvia
725531	241643	Rosaura Revueltas
725531	243603	Anna
725531	255485	Isabel
725531	260927	
725531	266056	
725531	270036	
725531	276396	Adelaida/MAría
725531	284326	Laura
725531	284336	Miss Osuna
725531	284857	Pepa
725531	285460	Rosa
725531	287202	Teresa Villatoro
725531	302375	Gloria
725531	311812	Maria
725531	316762	Elena
725531	353080	Giulia
725531	354048	María
725531	355698	Teresa Di Stefano
725531	355835	
725531	356498	Desposoria
725531	356524	Zia Vannina
725531	369748	Herself - Nominee: Best Supor
725531	369870	Herself - Presenter: Best Edi
725531	377199	Natacha
725531	389760	
725531	391441	Hermana Angela
725531	398476	
725532	236534	La maîtresse du père
725532	376908	Sandra
725533	278904	Frida Kahlo
725534	376733	
725535	2252	(segment "Vertige de l'amour"
725536	400791	
725537	308754	
725538	343199	Bar Girl
725539	1390	Mrs. Scioli
725540	143436	Drummer
725541	64772	Punk
725541	202125	
725542	379460	Reporter
725542	402418	Host
725542	412061	Host
725543	349544	Monica Carloni
725544	387189	
725545	235367	Brenda Kearn
725546	249072	(segment 6)
725547	223882	Lady on Street
725548	147008	Roundabout girl
725549	278267	Child Twin #2
725550	215487	Herself
725550	397888	Herself (2002)
725551	278267	Child Twin #1
725552	55697	Women's Ward nurse
725552	74761	
725552	98166	Irene Evans
725553	378641	Herself (2004-)
725554	294732	Paula
725555	318291	
725555	353630	
725556	252216	Ramon's Mother
725557	21669	
725557	53644	
725557	65216	
725557	87835	
725557	99906	
725557	103558	
725557	104544	
725557	143753	
725557	148108	
725557	153331	
725557	160121	Casilda
725557	204301	
725557	205997	
725557	218499	Elvira
725557	225395	
725557	229802	
725557	234371	
725557	236022	
725557	237896	
725557	251590	
725557	275325	
725557	356674	Doña Andrea
725558	197088	
725560	17868	Inès
725560	353908	Inès
725561	170469	Mère de Juliette
725562	1938	Laura
725562	55268	Winnie
725563	328892	
725564	16836	
725565	100196	Older Daughter
725566	100196	Younger daughter
725567	404627	Circus directress
725568	29828	
725568	53867	
725568	73464	
725568	178981	
725568	228722	
725568	252724	
725568	255291	
725568	257908	
725568	268018	
725568	309961	Julia
725568	378403	
725569	384972	Isabeleta
725570	333857	Extra
725571	231426	Cafe patron
725572	35320	Herself
725573	116069	Mrs. Renken
725573	186934	Studentin
725574	230769	School Board Member
725575	136579	Jutka Brenoczy
725575	320042	Violet
725576	239290	
725577	32278	La jeune fille
725578	99682	Host
725578	99683	Host
725578	99687	Host
725578	99688	Host
725578	170225	Host
725578	170230	Host
725579	406380	Mercury France A & R (season 
725580	140322	
725580	395041	Concepció Santjust
725581	29662	Schwester Jenny
725581	35052	Mother
725581	225283	
725581	293706	
725581	325711	
725582	51791	Medical Student
725583	189722	Silvia
725583	312103	
725583	325441	Tap Dancer/Victim
725583	325561	Mellie (assistant to Marie Es
725583	352067	Renate
725583	376292	Käseverkäuferin/Zeugin
725583	388257	Christina
725583	412024	Studentin
725584	218983	
725585	81463	Tita Connie
725585	118700	Mother
725586	8319	Sultanet, Haslem Bey's Daught
725586	19879	Aristocrat's wife
725586	29780	
725586	40994	Jinny
725586	51688	Anna
725586	52784	Maria
725586	54259	Carol
725586	66076	Gina
725586	69626	Francesca Vanini
725586	71275	Tatiana
725586	71357	Adelina
725586	86450	Orietta
725586	158823	
725586	161573	Cora Barbarelli
725586	162862	Elena Harakas
725586	163722	Agente segreto 'il passero'
725586	183487	Amina
725586	186137	Laura
725586	205859	Mary Miller
725586	206027	Lionella
725586	214859	Lidia
725586	217100	Claudine
725586	225492	Francesca Vanini
725586	234745	
725586	269840	Phuong
725586	272771	Lavinia
725586	275269	
725586	276101	Edith
725586	282100	Lorella Severano
725586	307542	Vesna Orlovich
725586	308252	Brigitte
725586	314378	Herself
725586	334768	Josee
725586	335078	
725586	339068	Ilaria
725586	340134	Isabella
725586	341738	
725586	342112	Giovanna Salvemini
725586	356502	Olga
725587	218983	
725588	409609	
725589	409609	(1991)
725590	226105	Yoyo
725590	409995	Herself/Presenter
725591	76384	Hooker #2
725592	210479	
725593	4250	Sophie
725594	203917	Soprano
725595	343683	
725596	380249	Mina
725596	387698	Claudia
725597	384507	
725598	235886	Entrevistada
725599	103662	Eva
725600	189049	Verónica
725601	153822	
725601	225066	
725601	384848	Valentina Villefort
725602	345633	Betty Bagnoll
725604	346537	Armelle
725605	169092	
725606	38022	Ashley
725606	76222	German Deb
725606	291974	Grace Robin
725607	152724	Esmeralda
725608	280646	
725609	381821	Ensemble (1976-1978)
725610	14801	(segment "Tú serás mio")
725611	247455	Sick Chick
725612	309918	Bartender #1
725613	244251	
725614	71314	Sayo
725615	390410	receptioniste José (1997)
725616	317675	
725617	80556	Woman at audition
725618	354377	Kirsten
725619	117458	Luna
725620	182617	
725621	386471	Herself - Host
725621	400217	Zuster Lisette Krol (1994-)
725622	40564	Corinne
725622	62781	Une femme politique
725622	73472	Tania
725622	99364	Carole
725622	106988	Gina, Two Windmills waitress
725622	204117	
725622	248246	Dr. Sophie Vallier
725622	345290	Odette
725665	348313	
725622	354936	Antoinette Pussin (Vienna)
725622	387617	Annie
725623	40594	Zuster Rosa
725623	78437	Maya
725623	126382	Maja
725623	178856	Beatrice
725623	286217	Sue Doe
725623	289829	Marina
725623	375791	Meid
725623	397445	Verpleegster
725624	355488	
725625	201592	Angela
725626	156	Teenager in Car
725626	407055	
725627	173613	Emigrant's wife/Francesca (se
725628	175246	Reenee
725628	217421	Juliet
725629	276623	Blond
725630	292275	Cheerleader 1
725631	274465	Pepeeta, the gypsy girl
725631	294046	Mabel Denman
725632	12653	
725632	180900	Loes
725632	188902	
725632	203703	Sylvette. zijn vroegere secre
725632	257068	
725632	282839	Anette
725632	352829	Lia
725633	56275	Hazel Tate
725634	104241	Infirmière
725635	46691	Emma Sorensen
725635	93325	Vivienne Tait
725635	321082	Mrs. Haughton
725635	359553	Mrs. Loughrey
725635	380724	
725635	391786	Victoria Hutchinson (2000-200
725635	396235	Catherine Lytton
725635	400197	Jane Webster
725635	401214	Susan Fleming
725635	401224	Felicity
725635	406686	WDC Frances Bennett (1979-82)
725635	411133	Sylvia
725636	215157	Irate woman
725637	384119	Georgina (1995-1998)
725637	403021	Luna Fernández (2002)
725637	403404	Clara 'Clarita'
725637	408895	Flavia Scarpelli
725638	139283	Family Member
725639	139283	Family Member
725640	243446	
725641	63719	Additional Voices
725641	124014	Heran
725641	159828	Maria
725642	218055	Sharon
725642	308738	Doc's Girl Friend
725643	105216	Customer in Salon
725644	40174	Essie Kehoe
725644	41478	Mrs. Breen
725644	48939	The Guinness Book of World Re
725644	97681	Elaine
725644	118648	Dr. Lileth Pascoe
725644	118994	Effa Kelly
725644	193099	Therapist
725644	246335	Maureen
725644	256580	Dublin Kilkenny
725644	260838	Narrator
725644	281144	Nurse
725644	283361	Danny's Mother
725644	313937	Wanda Latimer
725644	318732	Mrs Clark
725644	320744	Dorothy Collins
725644	322921	Mrs. Martin
725644	330812	Ma Stokes
725644	384634	Kathie McQueen
725644	388596	Mrs. Walsh
725644	389625	Laura Nelson
725644	406643	Oracle
725645	6122	Marian
725645	7799	Frieda
725645	160884	Woman in Shopping Mall
725646	158514	Dame Beatrice
725647	150600	
725647	319672	
725647	325916	
725647	376413	
725647	389250	Katharina von Frankenberg
725647	406318	Kathrin
725647	407543	Bianca
725648	315621	
725648	380227	Wendy McKay
725648	390666	Hunter Fallow/Becky Johnson
725649	34463	Young Margaret
725650	248132	Herself
725651	128845	
725651	132498	
725651	327755	
725652	288455	Janis Douglas
725653	80969	Regular Customer
725654	49819	
725654	101080	Myee Drew
725655	66313	Larson Dannell
725655	87175	Emily
725656	17491	
725656	68369	The choreographer
725657	91121	Molly
725657	218785	Fay Ray (Cat)
725657	363602	Waitress
725657	365676	Herself
725658	13062	
725658	65558	
725658	66084	
725658	66401	
725658	76109	Investigator
725658	108126	
725658	111992	
725658	145673	
725658	191072	Uncredited
725658	208711	
725658	221579	Marta
725658	278935	
725658	278936	
725658	380266	
725658	382977	
725658	384065	Greta
725658	384823	Annie
725658	395487	
725658	407249	
725658	412148	
725659	122596	
725660	170288	
725660	208521	
725660	264844	
725661	69738	Girlfriend
725662	34749	
725662	257621	Host
725663	17403	
725664	275481	The Singer
725665	177189	Prostituierte
725665	193882	Mrs. Polaris
725665	233830	Ma Grisson
725665	247490	Geoffrey's housekeeper
725666	29920	Female adult star #2
725667	211918	Melissa
725667	247132	
725668	121404	Woman #2 Washing Car
725669	187595	
725670	256537	Agata
725670	393582	Dolors
725670	395041	Alba Pagès
725671	44509	Girl on Terrace
725672	211707	Vera's friend #2
725673	322196	Miss Hungary 1985
725674	153698	
725675	19670	
725676	285017	Guardian angel
725677	154377	
725677	232802	Rendõrnõ 2.
725677	322194	Patyi néni
725678	377762	Pallay Ezsike
725679	17555	2nd Parlormaid
725679	110700	Eladó
725679	207584	Young Nun
725679	280094	Woman
725679	309289	Young girl's mother
725679	326341	
725679	353092	
725679	357822	
725679	357937	Kája, Katus huga
725680	74402	Maja
725681	322025	Mari
725681	394749	(episodes 2-9)
725681	402220	Maja
725682	322092	Nina
725683	106690	
725684	199079	Dancer
725685	377616	Siesta lány
725686	254294	
725687	104197	
725688	153859	
725689	25723	
725689	28341	
725689	74432	Aranka
725689	98024	
725689	108071	
725689	116395	
725689	134635	Teacher's Wife
725689	138393	Emerencia
725689	153637	Woman with dog
725689	155796	
725689	159333	Mom
725689	171604	
725689	178424	Személyzetis
725689	182261	The Wife
725689	182692	
725689	186122	
725689	200826	
725689	201967	Magdus, Mrs. Makra
725689	211707	Anna Kerekes
725689	225503	Balláné (Hungarian voice)
725689	263970	Farmers Wife
725689	268288	
725689	270860	Mária, the neighbour
725689	278421	Klári
725689	281027	Máli
725689	284356	Mama Bödõ
725689	309289	Terka
725689	309354	Wife
725689	322025	Klári, mother of Ottó Szamba 
725689	322122	Anna, the bride
725689	357931	
725689	376612	Deborah
725689	377129	
725689	377143	Üzletvezetõ
725689	377228	Anna
725689	377886	
725689	378578	
725689	378581	
725689	388511	
725689	394559	Máté's mom (2000-2001)
725689	401347	Mária Hrúz, Petöfi's mother
725689	412259	
725690	149918	Little Girl
725691	33236	
725691	49668	Marina
725691	92052	Agnesina
725691	93734	Katrin
725691	107717	
725691	122766	Andrea
725691	125000	Inge Strohmayer
725691	153928	Lukretia
725691	180187	
725691	182794	Jutka
725691	204515	Victoria Miller
725691	209971	Nina
725691	210319	Wanda
725691	247023	
725691	282124	
725691	323731	
725691	352914	Julia de Weert
725691	376327	Marion Dehl
725692	213681	
725693	354620	Naftalin's girlfriend
725694	98027	
725695	147310	Bálint Kati
725696	249480	
725697	104779	Andorrese vote presenter
725698	207890	Contessa di Folleville
725699	92230	Muse
725700	289693	Nurse
725701	8362	Shop Assistant
725701	54657	Supermarket Checker
725701	108919	Prostitute
725701	219893	Maggie
725701	234901	Eva Joyce
725702	230126	Ellen Kelly
725702	301398	Detective Moloney
725703	274292	Mary
725704	403310	
725705	148219	Jackie
725705	194254	Sister Penny
725705	233827	Hospital Receptionist
725706	263	Beebee, Age 25
725706	353	Mary
725706	29186	Ellie Milford
725706	83969	Sarah Davis
725706	91705	Jen
725706	93139	Alice Keller
725706	161192	Herself
725706	285287	Hairdresser
725706	309563	Thea Douglas
725706	334289	Janelle Lowry
725706	365183	Earlene
725706	398213	Herself
725706	410835	Donnatella 'Donna' Moss
725707	408636	Ruby Creegan
725707	408638	Ruby Creegan
725708	382854	Carol Hammond #1
725709	180263	Una Moran
725710	37691	Auditioning Girl
725711	360436	Airline Passenger
725712	359644	
725713	217066	Mejuf. Weegemoed
725714	58509	
725715	347053	Terry's Mother
725716	389858	Molly (1989)
725717	327542	L'Infirmière Juliette
725718	310141	Bellerian #3
725719	381901	14th evicted
725719	381904	Herself (14th Evicted 2004/1)
725719	383273	
725719	390404	Leonora
725719	397598	Eugenia
725719	399522	Karina Sánchez de Soriano
725719	400490	Eugenia Guillen
725719	401698	Bárbara
725719	401918	Mirna Ballesteros Mendizábal
725719	403173	Martha
725719	405416	Brenda
725719	409782	
725720	245600	Gloria
725720	394311	Caroline's Friend
725721	394311	Caroline's Friend
725722	34980	Irene
725723	403537	Winner (2002)
725724	28811	Barbro Persson
725724	30185	The woman-friend
725724	42099	Octavian
725724	42209	Pia
725724	96442	Judith
725724	116450	Mrs. Bastian
725724	122501	Singer
725724	144233	Michelle Mareau
725724	214380	Linda
725724	242691	
725724	264292	Seija
725724	309064	Queen Silvia
725724	315185	Liv Krog
725724	320510	Marianne
725724	322471	
725724	322472	Mette Andersen, datter
725724	381602	Linn Martinsson
725724	384527	Countess von Thån
725724	387162	
725724	404818	Tant Raffa
725725	215914	
725726	6150	Eve
725726	104900	Eve
725726	104902	Eve
725726	104904	Eve
725726	104906	Eve
725726	104909	Eve
725726	104911	Eve
725726	104921	Eve
725726	104922	Eve
725726	104926	Eve
725726	175798	Honesty Vethick
725727	330416	Metrulas
725728	108897	Herself
725728	167224	Mme Duval
725728	236596	
725728	324122	
725729	396799	
725729	407646	Presenter (1989-2002)
725730	119227	Pearl Diamond
725731	14298	Old Lady
725731	38832	
725732	56929	Prima normale
725733	383271	
725734	22760	
725734	218515	
725735	47924	Maria
725735	72377	Mary Keeyani
725735	83989	Janie
725735	301743	Prostitute
725735	396142	
725736	51375	Proud princess
725737	411102	Doris Schröder-Köpf
725738	90243	Dr. Joan
725739	45461	Sally Brown
725739	59591	Sally Brown
725739	163372	Sally Brown
725739	163642	Sally Brown
725739	191760	Policewoman
725739	257517	Sally Brown
725739	306178	Sally
725739	315733	
725739	330022	Sally
725739	372350	Sally Brown
725740	26725	School Girl
725741	264945	
725742	310974	
725743	175158	Marie
725744	199140	Opera Singer
725745	11771	Elisabeth
725746	256598	Isabel
725747	134986	Aeltere Nachbarin
725747	284061	Aya, Ryuji and Mariko's daugh
725747	352367	
725748	112664	Mila, la figlia di Jorio
725748	217188	
725749	46181	Christine, the little girl
725750	338020	Villager
725751	379484	Minazuki Chika
725751	379485	Minazuki Chika
725751	384233	Doria
725751	390536	Doria
725752	7640	Fujiko
725752	8740	Momoyo, Miya's sister
725752	9303	Makiko Ishida
725752	21870	
725752	42241	Customer at a bar
725752	43054	Yuki
725752	45002	Saki
725752	76899	Kimie Tadokoro
725752	91148	Tomoe Nishiyama
725752	98203	Ine
725752	102680	Etsuko
725752	128365	Akemi Tanaka
725752	129122	Kumako Onizawa
725752	140467	Reiko Caine
725752	156245	Mitsuko Ishii
725752	168062	Sakie Kimura
725752	172105	Otsuyanokata
725752	173105	Sayoko Morisaki
725752	173193	Chikako Koga
725752	177116	Noriko Kimura
725752	177239	Empress Akiko
725752	182074	Chikako Ishizu, the Detective
725752	182163	Yasuko
725752	210042	Kayoko Ise
725752	210537	O-kami (landlady)
725752	216649	Mariko
725752	242127	Kinu
725752	244530	Hitomi
725752	271540	Takako Nakaura
725752	271675	Yuka's mother
725752	284039	Tae
725752	293603	Kaoru
725752	293606	Tomiko Ohashi
725752	293607	Ishikawa, Ikuko
725752	298724	Akemi Ogawa
725752	299052	Mina
725752	320762	Suzukino
725752	322885	Woman in teddy bear
725752	334868	Fujimoto's mother
725752	334959	Tami Ohsawa
725752	335317	Tsuruko/Yae's married sister
725752	359391	Ritsuko
725752	372258	Marianne
725752	373386	Sugiko Emori
725752	390265	
725753	140489	Vocalist-Dancer
725754	294320	Kogure, Hideko
725755	122957	(story 'Shokki')
725756	223971	Geisha
725757	68916	Dona Esmeralda
725758	151483	Little Girl Dreaming of Sugar
725758	360480	Cecile Moore
725759	1674	Herself
725759	138551	Gretel
725759	151483	Cindy Lou Who
725759	265873	Honey Bee Swan
725759	312151	Alexandra
725759	360480	Julie Moore
725760	245249	Shopgirl
725760	289185	Vicki Barnes
725761	155749	
725761	205431	Rosita
725762	42442	
725762	50510	
725762	52063	Bamba
725762	173372	
725762	180428	
725762	194015	
725762	199408	Omega Zentauri
725762	279197	
725762	284757	
725762	288780	
725762	373760	
725763	54001	
725764	367287	Ballet girl
725765	183670	
725767	398501	Sílvia
725768	350208	Patient
725769	358994	Morgan
725770	352917	
725771	212394	Ginecologa
725771	222856	Giornalista
725772	48297	Tommasina
725772	259715	
725773	208207	Girl In Nightclub
725773	350337	Motorcycle girl
725775	214662	Nurse
725777	26142	Herself
725777	30582	Pole-Dancing Cheerleader Shar
725777	128604	Herself ("Olivia's Closet" Se
725777	128735	Herself
725777	155696	Tiffany
725777	185835	Centerfold Elaina
725777	222292	Marisa, the Landlady's Daught
725777	228482	Herself
725777	257655	Herself
725777	257668	Herself (Hostess)
725777	257815	Herself (Miss April 1997)
725777	257866	
725777	361224	Baywatch Woman Guard
725777	381442	Rookie Lifeguard Susan (1997-
725777	389858	Samantha McCall (2003-)
725777	391028	Herself (Correspondent)
725777	401930	Olivia 'Livvie' Locke (1999-2
725778	337130	Kelli's Girlfriend
725779	57316	
725779	193491	
725779	199072	
725780	270822	
725781	53011	
725782	340803	Deli Customer
725783	67569	Wanda
725783	264439	Squeeker
725784	133695	Herself
725786	71010	
725787	364300	Herself
725788	153617	Bridesmaid
725789	2730	
725790	256449	Lela
725791	350144	
725792	206139	Mrs. Fuller
725792	341758	Mother-in-Law
725793	314484	Dancer
725794	208445	Angel/Max's Mother
725794	399948	Agent Elly Hauser (1997)
725795	97212	Breeda
725795	185395	Maitre'd
725795	241563	
725795	283664	Mrs. Tulip
725795	307696	All other roles
725795	385447	Mrs. Custer
725796	136556	Sarah
725796	392667	Mina
725797	116884	Donna Walmsley
725797	283798	Herself
725797	389042	Donna Walmsley (Series 1-2) (
725798	299028	Musician
725799	116565	Herself
725799	270272	Gracie
725800	15057	Dream Sequence
725800	43417	Lise
725800	103824	Claire
725800	125712	Claire
725800	133067	Claude de France
725800	315631	Cleo
725800	324067	Pauline de Périgord
725800	330984	Christine
725800	349421	Anne
725800	379240	Josette
725800	398054	Mme de La Vallière
725800	403642	
725800	410376	
725801	8000	Erica
725801	43606	Evelyn Moore
725801	133859	
725801	164480	Lorelei Barcley
725801	229729	Jared
725801	274805	Julie
725801	359428	Jana
725801	390864	Jean Ballantry
725801	403224	Kathleen Ryan
725801	406080	Jojo Thorson
725802	313357	
725803	45129	Kim
725803	69853	Ellie
725803	163344	Peg Maloney
725803	178154	Harmony Faith Lane
725803	220805	Gwen
725803	253059	Henrietta
725803	321961	Mary Ann
725803	346892	Lindsay
725803	366442	Stacey
725803	382556	Kimberly Woods (2002-2003)
725804	273805	Bridget
725805	338537	
725806	270272	Moodoo's Daughter
725808	71742	Dancer
725809	86751	Lady in Red
725809	151110	
725809	184975	Alissa
725809	189263	Bea Haven
725809	297756	Nancy Mercer (Dan's secretary
725809	373276	Deb O'Reilly
725809	396145	Lucille
725810	47973	Nurse
725810	406286	Christy
725811	240029	Hospital Records Clerk
725812	49483	Butts' Mother
725812	199099	Ida
725813	154738	Molly
725813	232261	Kate
725813	304913	Q
725813	306599	Campaign Moderator
725814	192381	
725814	203319	TV Reporter
725814	391486	Jennifer Kelly I (1986-1993)
725814	391869	Heather (1995)
725815	89941	
725815	129918	
725815	375690	
725816	318642	Zorkin's Aide
725817	399195	
725818	357208	
725819	15106	
725819	122377	Maguy
725820	8284	Zia Amalia
725820	21752	Zena
725820	33672	
725820	53093	
725820	89853	Gisella
725820	102303	
725820	104284	
725820	270813	
725820	270826	
725820	293325	
725820	295161	Claudia
725820	307073	Luisa
725820	309406	Tosca
725820	336619	
725820	353245	Titina
725820	355787	
725821	58288	
725821	108898	La victime du tueur
725821	134903	Frau Heuter
725821	335519	Marianne
725822	222031	
725822	380107	Ana
725822	380795	Beatriz Carmona
725822	397009	Mercedes
725822	397016	Margarita
725822	397572	
725822	401918	
725823	73261	Barbara
725824	371732	
725825	132642	La Amiga de Mentxu la madre d
725826	381029	Alicia
725827	107504	A Fairy
725828	201696	Herself
725829	53945	Afro Woman/Sally Litter
725831	20625	Featured player
725831	115265	Lola, the showgirl
725831	324548	Italian Woman
725832	211846	Mother Mary
725833	313174	
725834	8277	Gardienne prison
725834	78353	Cathy Laurent
725834	106286	Anne-France
725834	116485	Mauricette
725834	288297	Nicole Marteau
725834	291575	La biologiste
725835	76777	
725835	85978	
725835	214009	
725836	7035	Court Girl
725837	42402	Lyman Townfolk
725838	378974	Felicia
725838	381072	Sofia Pelvis
725838	381218	Herself/Host (2000-2001)
725838	393035	Herself
725838	399743	Tatiana 'Tati' Munevar
725838	400667	Violeta (1998-2001)
725838	400733	Valentina
725838	403262	Alejandra
725838	405324	
725838	411714	Karina Larson
725839	57469	
725839	199003	La Nona
725839	245582	
725840	114621	Singer No. 1
725841	327542	L'Infirmière transplant
725842	24473	
725842	155644	Mme. de Sannois [Henrietta Ex
725843	177591	Rita
725843	177630	Merline Depew
725843	214924	Leeza Madison
725844	80289	Suzanne
725844	288297	Olga
725844	353941	Ina
725844	377629	Vendeuse boutique
725845	270631	Herself
725846	71449	Girl from Foggia
725847	90454	
725848	14918	
725848	162077	(segment "La donna che viveva
725848	202224	
725848	249739	
725848	319664	Nietta
725848	339128	
725849	28198	
725850	165898	La Niña
725851	118753	
725851	132743	Isabé
725851	170420	Lucie
725852	122740	Himself
725853	171332	Kat
725854	385626	Dancer
725855	228509	
725856	274231	
725856	274232	Mabel Grace
725856	368262	
725857	81336	
725857	159994	
725857	213272	Katy
725857	222598	
725857	253348	Mimi Hoyle
725857	358482	Miriam
725857	369911	Watkins
725857	382419	Michelle Brookner (1989)
725857	385824	Gabrielle Pascal (1987-1988)
725857	390771	Patricia Murphy (1986)
725857	404282	Cassandra Benedict Lockridge 
725858	381910	Herself (Series 3) (2002)
725858	381920	Herself (Series 2) (2002)
725859	27447	Psychic
725860	305675	Junior Wingate
725861	70952	Denise Mellroy
725861	196287	Susan
725861	206008	Dora
725862	45830	Board Member
725862	55474	Susan Mallard
725862	70916	Carolyn Bean
725862	81534	Rita
725862	147733	Penny
725862	187970	Liza
725862	191409	Sarah
725862	218747	Francis
725862	220622	Nina Franklin
725862	392518	Various
725862	407470	Spa Attendant
725863	21590	
725864	174068	
725864	351496	Karolína Zemlicková
725865	23034	
725865	29786	
725865	51469	
725865	75993	
725865	199692	Dressmaker
725865	262566	Serafina Skrtilová
725865	266347	Fanynka
725866	19209	Kate
725867	125893	Evelyn
725867	245099	Micki
725868	210566	Protester
725869	126691	Student
725870	23488	
725870	33663	
725870	36514	Nausica
725870	51687	Hilde
725870	51789	
725870	53093	Rosetta
725870	90664	La signora Parodi (segment "L
725870	93736	Rina
725870	111427	La padrona della pensione Ste
725870	127985	
725870	162061	
725870	200505	Sergente Stefania
725870	203946	Rosanella Ferrante
725870	204262	
725870	212518	
725870	220127	
725870	220192	
725870	234559	Isabella
725870	239970	Sandra, Raimondo's wife
725870	269709	
725870	270833	Greta
725870	289339	Sbirulino
725870	289440	
725870	300785	
725870	320222	Marisa Trombetti
725870	351586	Leontine
725870	383492	Aunt Ottilia
725870	383574	Sandra Mondaini
725870	383586	Sandra Mondaini
725870	386742	Brigitte Ansara
725870	397933	Sandra Mondaini
725871	93957	Attractive Custoner
725871	110180	Herself
725871	126495	
725871	134654	Christine
725871	238238	Mandy
725871	319202	Secretary
725871	385467	
725871	387209	Herself/Correspondent (1996-1
725871	403565	Herself/Correspondent
725871	411138	Herself/Host (1997)
725872	30646	Talk Show Audience
725873	67787	Lucia
725873	73830	Sheryl
725873	270041	Chiara
725873	312897	Margherita
725874	231360	
725874	266897	Maid
725874	384980	Lulú 'mamá de Elena'
725874	387817	Dra. Rosario Muñoz
725874	396211	Victoria
725874	396880	Gema
725874	397021	Mística
725874	402540	
725874	402839	Beatriz Echague
725874	403257	Patricia
725874	410303	Sofía
725875	12912	Rachele
725875	28977	
725875	61094	Chiara
725875	81325	Klara
725875	103996	
725875	135181	Adriel
725875	198499	Sonia Lafont
725875	206300	Armande
725875	219575	Giulia Magiari
725875	244062	Berg
725875	247058	Chiara Leofonte
725875	269399	
725875	302485	
725875	356578	Sonia
725875	379623	Alex
725875	380991	Barbara (Teil 2)
725875	385386	
725875	399657	Herself (1992-1993)
725875	399715	Giselle Viola
725875	401513	
725875	402780	Bianca
725875	406000	Chiara
725876	290402	Mary
725877	44738	La femme du chef cuistot
725878	73114	Janet
725878	76524	Topless Bikini Girl
725878	77019	Liz
725878	77631	Herself
725878	110200	Herself
725878	110201	Herself
725878	184768	Herself
725878	190994	Stripper
725878	223887	Stripper
725878	245008	Solid Gold Dancer
725878	259184	Herself
725878	265473	Diane Curtis
725879	287482	
725880	237681	
725881	383978	
725882	108087	Ralph's Sister
725882	137031	Hot Girl
725882	318250	Female Interviewer
725883	238009	
725884	336099	
725885	381217	
725885	394017	Dr. Dolores Paula Salivan de 
725885	398842	Patricia
725885	401771	
725885	408895	Victoria Gallardo
725886	148684	
725886	291576	The dark-haired woman in 'Ide
725887	189258	Jolanda
725888	16686	Charlotte
725888	67613	Woman
725888	90437	Fat Lady
725888	109971	Tessie
725888	139296	Woman in Restaurant
725888	223065	Ethel Toffelmier
725888	250811	Bowler
725888	364357	Lady wrestler
725888	397224	Mama Rosa Giovanni (1965-1966
725888	408358	Mama Vitale
725889	159412	Margie
725890	18175	
725890	42646	
725890	68827	Esposa del Embajador
725890	74372	
725890	100181	
725890	300827	Juana Gallo
725890	391272	Cecilia Larrios
725890	398482	
725890	401693	Laura
725890	403753	Verónica Hernández de Gonzále
725891	83257	La bonne de Wilram
725891	104222	La mère de Julie
725891	220478	La gouvernante
725891	346743	
725891	382480	Mme Chevroux
725891	397506	Mme Chêne
725892	69954	Agnès
725893	356391	Une voisine
725894	33721	Aracely
725895	66080	
725896	14806	
725896	57250	
725896	71283	
725896	104078	
725896	206975	Emma niña
725897	112044	
725897	239636	Old woman
725898	73285	
725898	74839	(segment El bombón)
725898	77430	
725898	221668	
725898	221734	
725898	383234	
725899	280573	Woman crying at stairs
725899	383548	Engracia
725899	391742	Juana
725899	405868	
725900	193550	Doña Marta
725901	344676	
725902	180634	
725903	124141	Luisa
725903	156890	Luisa
725903	169292	
725903	190745	Micheline
725904	96026	Sylvie
725904	336461	Sylvic
725905	224895	Herself
725905	384972	Empar
725906	177660	Extra
725906	317309	Bonnie & Clyde Musical Audien
725907	317309	MV Villagers Goodbye
725908	330057	Office Worker
725909	249451	Sarah
725909	264761	TV Studio Mother
725910	396806	
725911	217493	
725911	353276	Novakova
725912	188470	
725912	272903	
725913	285201	Revolutionary
725914	35116	
725914	71224	
725914	166379	
725914	380448	Marina
725914	383677	Belinha
725914	387424	Márcia's friend
725914	388940	
725914	390658	Cleide
725914	391313	Carmem
725914	393793	
725914	397541	Aurélia
725914	398220	Quininha
725914	403245	Joana
725914	405401	Young Mirtes
725914	406847	Vanice
725914	406987	
725914	407024	Sílvia
725914	410287	Carla
725914	410377	Valquíria
725914	412257	Adelaide
725915	240473	Villager
725916	60063	La gouvernante
725916	195245	Benoite
725916	205469	Benoite
725916	205749	La concierge
725916	403101	Mme de Courthioust
725917	50387	
725918	5769	Estella
725918	14875	
725918	67531	Annie Britain
725918	155809	Elivira Nardella ("Adelina" e
725918	229991	Signora Dacos
725918	229996	Anna Blount
725918	386745	Jeanne Delacroix
725918	404750	Mrs. Giannelli
725919	171086	
725922	240429	
725923	249335	Sloth
725924	361498	Nina
725925	21076	
725925	112056	
725925	115791	
725925	189046	Madame
725925	276481	
725925	288195	
725925	296493	
725926	27028	
725926	91834	Herself
725926	109628	
725926	146847	
725926	153477	
725926	183013	
725926	192208	Red Riding Hood
725926	199492	
725926	221316	
725926	242071	
725926	245467	
725926	246030	
725926	252977	
725926	295803	Heidi
725926	296291	
725926	306011	
725926	342418	
725926	342419	Paint Brush
725926	363786	
725926	367625	
725927	31596	Erica
725929	41913	
725929	98848	Herself
725929	102791	
725929	111650	Herself
725929	117150	Miss Penneypecker
725929	187392	Herself
725929	187411	
725929	297238	
725929	318753	
725929	320966	
725929	320987	
725929	320995	
725929	320996	
725929	320998	
725929	321000	
725929	321051	
725929	321053	
725930	73103	M'chelle Watson
725930	161594	Lynn @ age 8
725930	282922	Ruby Nell Bridges
725930	311654	Zoe
725930	339597	Tamara
725931	116550	Young Angie
725931	395709	Lauren Kleinman
725932	257962	Sugar
725933	11791	Pianiste
725934	89194	Aloise
725934	283466	Jodie
725934	338731	Little Girl in Pool
725935	313951	Selena
725936	61367	
725937	130979	Nudist
725938	95211	Secretary
725939	2635	
725939	6722	Herself
725939	36787	
725939	40949	
725939	81799	
725939	114015	
725939	161087	
725939	243436	Special Appearance
725939	271300	
725939	290981	
725939	295715	
725939	321033	
725939	345867	
725940	36921	
725941	80439	Nurse
725942	47038	
725942	56360	
725942	122037	
725942	259721	
725942	269002	
725942	294541	
725942	310483	Clorinda
725942	348211	
725943	176942	Violet
725944	239034	Octavia Sister
725945	54983	
725948	260815	Herself
725949	23527	Marina
725950	270826	
725951	5377	Margheritona
725951	89572	Ninni the Prostitute
725952	97138	Renata
725953	129536	
725953	135438	
725953	263930	
725953	286550	
725953	310888	Paolina's mother
725955	354761	
725956	329308	Herself
725957	101133	Cendrine
725957	198621	Rachel (enfant)
725957	208128	Helene Lafleur
725957	208129	Hélène Lafleur
725957	387668	Catherine Paquette
725958	48970	Claudia
725958	261495	
725959	247933	
725960	90527	
725960	384775	
725960	387083	
725960	387774	Fany
725960	395487	La Eduardo
725960	397590	Rosario
725960	402301	Susana
725960	409915	Esther
725960	410423	Dra. Portela
725961	184232	Lead dancer
725961	254774	Snakewoman
725961	328548	Beverly Hills Diva
725962	606	Party Guest
725962	187411	Herself
725962	295823	
725962	319458	
725962	335803	Herself
725963	256925	Audience member #2
725964	387518	Nurse Michaela Large/Davies (
725965	282933	Victoria McLaughlin
725966	79449	
725967	238099	
725968	33426	Hilda
725968	231120	Southern Girl
725969	49260	Solange Galarneau
725969	156304	Madeleine
725969	171002	Encyclopédine Monfette
725969	245942	
725970	101898	
725971	101133	Flight attendant
725971	106954	
725971	395093	Rachelle Faubert
725971	404364	Micheline Nantel
725971	405284	Catherine Dumas
725972	10686	
725973	100713	Maty
725973	185950	
725973	397708	
725974	162100	Fairy
725974	213588	Schoolgirl
725974	256626	Daughter
725975	278154	Infirmière
725976	8876	Edith de Berg
725976	16948	Agnès
725976	49603	La baronne
725976	55877	Catherine Loubet
725976	57540	Huguette Laurent-Maréchal
725976	94390	Yoko
725976	100024	Phèdre
725976	119038	Gilberte Dumas (segment "Femm
725976	132995	Anaïs Arnold
725976	135325	Cassandre
725976	166284	Narrator
725976	198965	Le Sphinx
725976	204017	Myrtille
725976	206966	La Maréchale d'Ancre
725976	216235	Eponine
725976	248271	Simone
725976	258908	Elle
725976	261835	Anna
725976	280549	Régane
725976	292357	
725976	332235	
725976	377996	Wanda
725977	377633	Suzanne
725978	374901	
725980	54139	
725980	243303	Un' allieva
725980	273142	
725980	287121	
725980	341835	
725980	344590	La bruna accompagnata nel loc
725981	119085	
725981	344632	Maria
725982	68845	
725982	88057	
725983	218320	La mère
725984	376847	
725985	145248	
725986	220755	Corista
725987	380938	
725987	410290	Haydé Blanco Albarracín
725988	278141	Julie
725989	353660	
725990	222856	Giornalista
725991	51644	Jessica Brinkman
725992	58144	Hermana de Gral Caballero
725993	136305	Viviane 'le guépiot'
725994	43999	La petite
725995	265309	Copine
725995	397857	Cathy
725996	410215	La récitante
725997	302121	Institute staff member
725998	269806	Nina
725999	220608	Amica Clarence
726000	32032	
726000	77422	Molly
726000	122420	
726000	158189	School Teacher
726000	217652	Miss Pettycoat
726000	279110	Marie-Claude
726000	309733	Wagon
726000	345461	La collègue de Claire
726001	77422	
726002	92048	
726003	102226	Kate
726004	34876	
726004	165460	Herself
726005	132874	Herself (performing 'Skibet s
726005	210124	Monique
726005	401885	Herself/Member of What For! (
726006	2555	Maria
726006	102722	
726006	264737	
726006	333278	Eloi
726007	32549	
726007	39874	
726007	59635	
726007	97538	
726007	150055	Photographer
726007	166686	Herself
726007	208545	
726007	227996	
726007	230133	
726007	342320	Herself
726007	370029	
726007	381898	Herself - Evictee #9 (2004)
726007	405984	Pledge, USC
726009	396198	Lulu
726011	6994	Receptionist
726011	16384	Trini
726011	16391	Herself
726012	53823	Reporter
726012	308851	Party Lady
726013	366764	Bethany
726014	41379	Bobby Baker
726014	235571	Escort
726015	66751	Monique Limoux
726016	64825	
726017	39959	Mara
726017	120844	Dr. Eberson
726017	213350	
726017	341999	Woman in woods
726017	385706	Aunt Claire
726018	250376	Dorothy Coleman
726019	59913	
726020	91912	
726022	2232	Recording Artist
726022	72140	Dancer
726023	50371	
726023	131832	
726023	264638	
726023	264875	
726023	264904	(DVD only)
726023	265128	
726023	361851	Extra
726024	112870	
726025	786	
726025	1250	
726025	2430	
726025	7740	
726025	7743	
726025	7744	
726025	7746	
726025	7749	
726025	7750	
726025	11475	
726025	34869	Dancer 1
726025	34876	
726025	34946	
726025	39237	
726025	39239	
726025	39260	
726025	39357	
726025	39484	
726025	39791	
726025	41638	
726025	48042	
726025	48576	
726025	52350	
726025	67354	Disco Girl With A Silver Skir
726025	75031	
726025	95800	
726025	105911	
726025	112896	
726025	123597	
726025	128241	
726025	128689	Afro-American Lesbian
726025	130285	
726025	131321	Herself
726025	138200	Afro-American Woman
726025	144117	
726025	145632	
726025	158266	
726025	176865	Hand Holding Telephone
726025	189475	
726025	194251	
726025	228020	
726025	228024	Herself
726025	243109	
726025	268411	
726025	297923	
726025	306932	
726025	314134	
726025	318372	
726025	319346	
726025	319390	
726025	321149	
726025	321218	
726025	350422	
726025	360412	
726025	383608	Herself
726025	384804	Herself (evicted round 1)
726026	379831	Dancer (1990)
726027	305362	Jasmine, the Stripper Hit Wom
726029	396582	Herself (2002)
726031	1282	
726032	112824	
726032	342587	Pushy English School Chum
726032	347757	
726033	96164	
726034	78561	
726034	168250	Annamaria
726034	351009	
726035	166092	
726036	5447	
726036	58838	Ammu
726036	172932	Malavika
726036	227045	Gouri
726036	253556	Namboodiri's Daughter
726036	347434	
726037	356853	
726038	49894	
726039	104771	Portuguese entry (6th place)
726039	104773	Portuguese vote presenter
726039	195300	Aurelia
726039	390489	Bárbara Gomes/Susana Gomes
726039	391903	Herself/Guest (2004)
726039	404059	Lúcia Vidal
726039	407867	Ana
726040	33054	Herself/Amaryllis
726040	223066	Amaryllis
726041	380332	Marta Salgado
726041	393345	Raquel
726042	281005	Josefine/Monica
726043	341499	Janine
726043	390741	Louisa 'Lulu Archer (2001-)
726043	390771	Dinah Marler Thorpe Jessup (a
726043	399011	Rachel McCabe (2000-2001)
726043	400911	Maggie Spivak
726044	287000	
726045	384117	Emília
726046	222033	
726046	400654	Alicia
726047	189534	
726048	74842	Merche
726048	78657	
726048	100389	
726048	307641	Desnudo
726049	48777	Juani
726050	303922	Sylvia Clarke
726051	277616	Windy Yee
726052	118290	Dancer
726052	353465	Dancer
726053	2761	Herself
726053	2762	Performer and Nominee Feature
726053	32440	Lewis' Mom
726053	46686	Officer Avon
726053	46871	Madge
726053	49441	Helen
726053	57929	Nancy Cummings
726053	84956	Pam Garrety
726053	99386	Aunt Nadine
726053	99469	Maggie
726053	99470	Maggie
726053	106378	Dr. Judith Gruszynski
726053	110319	Alison
726053	114298	Jilted Lover
726053	117101	Mrs. Wegman
726053	157436	Mrs. Lester
726053	166567	Mom
726053	214267	Edna Burroughs
726053	221338	Lt. Ambrose
726053	223066	Mrs. Paroo
726053	223904	Herself
726053	247093	
726053	262798	Aunt Dorothy
726053	270008	Kintner's Secretary
726053	273783	Therapist
726053	274546	Geneva, Laird's Sister
726053	317877	Martha Hackett
726053	367768	Psychiatrist
726053	396123	Sandra Thorpe (1994)
726053	399153	
726053	399153	Madam Zorka
726053	399153	Mrs. Rachel Bruner
726054	292213	Pam
726054	388133	Julie
726055	376311	
726056	189801	
726057	93047	
726058	125884	Receptionist
726058	404694	Jane Edwards Ames #3 (1958)
726059	118244	
726059	345784	Red Face Girl
726059	398608	
726060	329843	Herself
726061	29870	Herself
726061	224729	Marilyn Monroe
726061	260432	Herself
726061	401875	Herself - Bardot (2000)
726062	90318	
726063	183209	Hoertje
726064	333424	Esther G.
726065	40111	Gossip
726065	55418	Barmaid
726065	66279	
726065	85748	Ma Bracken
726065	105299	
726065	131580	Mrs. Bennett
726065	143183	Lady Mary Strode
726065	177410	Gismonde
726065	345708	The Pony Act
726065	372635	Esme
726066	302591	
726067	274345	
726068	40541	
726069	161732	Sandra Lynn
726069	325217	
726070	62925	Miss Cooper
726071	306500	Esther
726072	121386	Desk clerk
726072	142949	Woman in beauty shop
726073	14833	
726073	25300	
726073	46806	Marianne Danielle
726073	57961	Elena
726073	63854	
726073	64554	Nicole Vanet
726073	84150	
726073	126156	
726073	149214	Gyptis
726073	159881	Yvette Dupres
726073	163356	
726073	187687	Claudia
726073	204562	
726073	215854	
726073	234755	Nennella
726073	269469	Marina
726073	273749	Violet
726073	310467	
726073	310497	
726073	328581	Lee
726073	333353	Suzanne
726073	338716	
726073	376891	La soubrette
726073	408388	Janet Winters
726074	152351	
726075	356503	
726076	356503	
726077	394426	Chiara Suun
726078	287414	
726079	34234	
726079	34425	Henriette von Ganski
726079	43716	
726079	92559	Monika Lindt
726079	97431	
726079	98319	
726079	108165	Frau Dr. Hohlfeld
726079	110095	
726079	124275	Brigitte
726079	124277	Hilde Fränkel
726079	124949	Hanne Bongart
726079	125305	Susanne Juing
726079	140228	
726079	178192	Elke
726079	202008	
726079	204423	Carolin
726079	212683	Karen
726079	229413	
726079	235957	
726079	239113	
726079	273752	Edith Wentland
726079	290699	Hilde Hartmann
726079	311089	Annie
726079	314653	Christina
726079	325640	Annika Boll
726079	347621	
726079	348676	
726079	359613	
726079	380920	
726079	384387	Dr. Gerlinde Mendel
726079	386895	Dr. Monika Lindt
726079	389286	
726079	393674	Martha Steputat
726079	396759	Rieke Busch
726079	401986	Mary Lawson
726079	409609	Frau Schütze (1991, 1992)
726079	409858	
726079	410605	Kitti
726081	36475	
726081	314897	
726081	376392	
726082	188733	Italien-Urlauberin
726082	231506	
726083	351884	Secretary
726084	98917	
726085	403146	Niamh Mullen
726086	35814	Zizi's Friend
726087	1149	
726088	83277	Sophie
726088	257371	
726089	268950	La cantatrice
726090	259980	
726090	340139	Sophie
726091	101938	
726092	83400	Classe sport et études
726093	197537	La fille de Michel
726094	228515	
726095	248390	Catherine
726095	284495	The girl
726096	232280	Padrone
726096	392911	Classe d'Anna
726097	249073	Herself (bookseller, publishe
726098	83349	
726098	384859	La comtesse Ruvo
726098	388723	La mère supérieure
726098	396370	La mère
726099	58326	
726099	79578	Joyce
726099	113137	
726099	278144	
726099	336922	
726099	361810	Jacqueline
726100	40502	
726100	78341	
726100	169279	Wanda
726101	256745	La petite fille
726102	256745	La petite fille
726103	133255	
726104	2320	Lapdancer
726104	168295	Pizza Couple
726105	71627	Girl in restaurant
726106	1756	Giara
726106	2107	Charlotte
726106	29516	Maria
726106	99375	Amélys
726106	148635	
726106	297649	Dr. Stella Dickens
726106	307487	Terry
726107	167243	
726108	377629	Audrey Barnes
726109	255598	La bonne des Pradonet
726109	401349	Yvonne
726110	248829	Marcelle
726111	243889	Tony
726112	334477	Emma, la mère
726112	336951	Agnès
726112	336982	La vendeuse de la boutique de
726113	119608	Athlete
726115	77364	Madame Destrez
726116	379412	
726116	379530	Marina
726116	385587	
726116	398880	Natalia
726116	411974	
726117	319679	
726118	327836	Street Walkers
726119	25723	
726119	28341	
726119	51104	Török Anna
726119	76050	Mother
726119	98793	
726119	103051	
726119	112911	
726119	136441	A menyasszony
726119	136861	Maria
726119	159571	
726119	164754	Mrs. Hulina
726119	176682	Juli Kovács
726119	178232	Old Vilma
726119	178424	Annus
726119	187367	
726119	200619	Marcsi
726119	258345	Ilona
726119	266468	
726119	272276	Ilonka
726119	281131	
726119	284357	Mrs. Varga
726119	309342	Fekete Péter felesége
726119	309354	Terez
726119	324710	Gizi
726119	334027	
726119	342039	Soubrette's Mother
726119	355564	
726119	357825	girl in the train
726119	377768	Srankó Juli
726119	378179	Julie
726119	378280	Sylvia
726119	395635	Controller woman
726119	407241	
726120	353899	Une femme du 'Grand Magic Cir
726121	248919	
726121	258871	Louise
726122	98120	Harrys Mutter
726122	367351	Frau Hildebrandt
726123	83385	Olympe
726123	84696	Charlie
726123	377021	L'actrice
726123	382219	Julie Delcourt
726123	395621	Zoé
726123	410147	Marine Lavor
726124	172533	
726124	194874	P Chan
726124	296510	Ninja Akakage
726124	305171	
726124	314517	Eri Momozaki
726125	86248	Belinda
726127	183997	Mor Laagje, hans kone
726128	312018	Paulines veninde Karla
726129	94351	Fru Soldal
726129	347003	En vestkantfrue
726130	5389	
726130	34389	Paco
726130	89558	Marcia
726130	90666	
726130	96545	Emily
726130	135363	Linda Summers
726130	156502	
726130	180850	Jo Ann
726130	199787	
726130	229601	Francesca
726130	252634	
726130	252779	
726130	255473	Connie
726130	260400	
726130	269023	Gloria
726130	269465	
726130	293819	Margaret Barrett
726130	302517	Alfredo's Grossi's wife
726130	309404	La rapinatrice
726130	396649	
726130	409049	
726130	409800	Christiane
726131	100838	Concert Guest
726132	366992	Jenny Cutler, Psychologist
726132	380259	Anna Newcross (1978-1981)
726132	382830	Lydia Robinson
726132	383683	Matron
726132	386963	Denise Wilkinson (1998-1999)
726132	387533	Maureen Blackstock (2001)
726132	407949	Co-Presenter (1982-1984)
726133	141350	Hilda
726134	31681	Bonnie
726134	41813	Lakey
726134	63424	Sugaree
726134	72114	Lakey Snow
726134	82930	Young Female
726134	125886	Jodie
726134	196894	Annie
726134	201939	
726134	221259	Stunning Woman
726134	232845	Bobbie
726134	245103	Waitress/Celeste
726134	283501	Cherry
726135	103408	
726135	380103	Marisela Aguilera
726135	383149	Host
726135	384771	Rubí
726135	391570	Andreina Torres
726135	395854	
726135	408859	
726136	275768	Mrs. Martin
726137	352405	Dream Girl #2
726138	11556	
726138	35390	
726138	69589	
726138	82337	
726138	87389	
726138	113774	
726138	126109	Herself
726138	147757	
726138	150068	
726138	154123	
726138	159331	
726138	187169	
726138	198508	
726138	209750	
726138	213049	Trixie
726138	219872	
726138	236327	
726138	243083	
726138	257781	
726138	292394	
726138	306025	
726138	321038	
726138	324221	
726138	342460	
726138	346225	
726139	6879	
726139	11912	
726139	16779	
726139	42412	
726139	42415	
726139	49659	
726139	81787	Herself
726139	91656	
726139	109657	
726139	128869	
726139	128870	
726139	133593	
726139	139300	
726139	150048	
726139	150112	
726139	208521	
726139	260792	Herself
726139	282390	
726139	288110	
726139	292393	
726139	295949	Mrs. Conaway
726139	325292	
726139	333827	
726139	335803	Herself
726139	368758	
726140	114349	Fast Food Employee
726141	50379	
726141	333835	
726143	245687	Au Pair
726144	223084	Herself
726145	192818	
726146	241117	Lady Lucille
726147	190784	Herself (assistant to Mrs. Ha
726148	277865	Little girl
726149	196572	Customer #1
726150	29186	Preppy #2
726152	32489	
726153	188215	
726153	243731	Margot
726153	291915	Australia Beauty Winner
726153	343358	Jean Roberts
726154	150048	
726155	370573	Mrs. Madison Derwent
726156	150245	
726156	332550	
726159	73551	Vicki Grant
726160	46572	Mutant
726161	41486	Herself
726161	74089	
726161	101029	
726161	117302	
726161	161109	
726161	187119	
726161	197751	
726161	235127	
726161	274066	
726161	278695	
726161	310509	
726161	327774	
726161	334734	
726161	353738	
726161	353743	
726161	372559	
726162	391869	Herself (????)
726164	315999	Dancer #2
726165	1168	Jaqui Frost
726168	11384	Baby Shower Friend
726168	124026	Claudia
726169	687	Herself
726169	923	Herself (in Korea)
726169	1398	Herself
726169	1774	Herself
726169	11108	Miss Caswell
726169	21555	Harriet
726169	22185	Angela Phinlay
726169	25578	Herself (in Korea)
726169	38358	Herself
726169	42357	Herself
726169	50097	Cherie
726169	56579	
726169	65161	Herself
726169	65224	Peggy
726169	65568	
726169	78180	Evie
726169	90262	Nell Forbes
726169	94668	Herself
726169	96555	Herself
726169	113882	Polly
726169	118529	Herself
726169	120699	Herself
726169	125909	Lorelei Lee
726169	131677	Herself
726169	147811	Herself
726169	147821	Herself
726169	147841	
726169	147892	Herself
726169	148391	Iris Martin
726169	151634	Pola Debevoise
726169	168112	Herself
726169	175478	Herself
726169	175555	Herself
726169	182955	Herself
726169	183406	Peggy Martin
726169	184899	
726169	187407	Herself
726169	188403	Joyce Mannering
726169	188404	Amanda Dell
726169	195613	Herself
726169	195620	Grunion's Client
726169	195903	Roberta Stevens
726169	198051	Herself
726169	204880	Herself
726169	205821	
726169	205828	Herself
726169	205831	Herself
726169	205834	Herself
726169	205836	Herself
726169	205838	Herself
726169	205839	Herself
726169	205845	Herself
726169	205849	
726169	210608	Sugar Kane
726169	215364	Roslyn Taber
726169	218124	Miss Lois Laurel
726169	231311	Rose Loomis
726169	234810	Self
726169	237598	Streetwalker (The Cop and the
726169	257813	Herself
726169	257867	Herself
726169	262940	Herself
726169	263135	Herself
726169	263973	Elsie Marina
726169	264104	
726169	278210	Dusky Ledoux
726169	279150	Kay Weston
726169	289227	
726169	291513	Girl in Canoe (lake scenes)
726169	295403	The Girl
726169	295636	Herself
726169	299503	Bit Part
726169	299746	Herself
726169	303574	
726169	307913	Sugar Kane Kowalczyk
726169	308127	Ellen Wagstaff Arden
726169	329563	Herself
726169	330018	Vicky Hoffman/Vicky Parker
726169	332425	Clara
726169	339765	Herself
726169	360527	Annabel Norris
726169	381111	Herself
726169	388268	Herself
726169	388656	Herself (with GIs in Korea)
726169	390587	Herself
726169	402888	Herself
726170	171019	Marilyn Monroe
726172	269841	French Singer
726173	50387	
726173	117375	
726173	220364	
726174	103493	
726175	215690	Miss Montana USA
726177	1681	Herself/'Jenny'
726177	35782	Laura Elizabeth Ingalls Wilde
726177	35783	Laura Elizabeth Ingalls Wilde
726177	79708	Herself
726177	107861	Karissa
726177	109931	Young Nora
726177	121561	Amy Lear
726177	204204	Clare
726177	214755	Pre-Crime Public Service Anno
726177	230531	Hadley Ashton
726177	235221	Trudy Kockenlocker
726177	241872	Gail
726177	308711	Andrea 'Andie' McPhee
726177	317145	Weather Girl
726177	370880	Judy Woods
726177	385652	Tracy Daiken
726177	385802	Andrea 'Andie' McPhee (1998-2
726177	406952	Rachel (4/15/1998)
726178	4691	
726178	68986	
726178	105115	
726178	108799	
726178	110948	
726178	163254	
726178	176865	PJ
726178	188157	
726178	199503	
726178	212808	
726178	258912	
726178	363893	
726179	196946	First Waitress with Turkey
726179	221129	
726180	57762	Friend of Chloe
726181	351410	Herself
726182	316381	
726182	318091	
726182	326728	
726183	334156	Nikki
726184	226885	Nafeesa
726184	313938	Cookie Freeman
726184	319206	Sunset Chearleader
726186	105312	Loni
726187	172688	Evelyn
726188	220892	Hat check girl
726188	241444	
726189	91888	Heather Burge
726189	255654	Grady Lake Girl
726189	328282	Additional Voices
726189	332774	Dancer
726189	395166	Marcie Warren
726190	245766	Audience Member #3
726192	191779	Mrs. Porter
726193	23624	Chica Super 99
726194	12737	Mrs. Warren
726195	405157	Tigs
726197	36887	Jessica
726197	152799	
726197	219150	
726197	234842	
726197	291446	
726197	296312	
726197	298219	
726197	302927	
726197	321047	
726197	324221	Tami
726197	325261	Herself
726197	325267	
726197	354820	
726197	356227	Terry
726197	369475	
726198	6720	Herself
726198	30394	
726198	123631	
726198	203552	
726198	292605	
726198	317954	
726198	327642	
726199	312265	Restaurant Patron
726200	83527	
726200	236293	
726201	67346	Renee
726202	225019	
726202	392844	Gloria
726203	58396	
726203	80225	
726203	379602	
726203	379909	
726203	383568	Lilí
726203	392960	Raniegos
726203	395885	Macrina
726203	397018	Zoila
726203	405868	
726203	410477	Casimira
726204	357895	Lupita, niña vecindad
726205	310033	
726206	378985	
726207	397938	Fashionable Woman
726208	61423	Paul's Secretary
726209	20916	Sex-shop seller
726209	69531	Blond Girl
726209	72387	Martine, l'infirmière
726209	94087	
726209	156283	Amélie
726209	198550	La vendeuse vidéo
726209	211146	Fanfan
726209	220231	Vendeuse soutien-gorge
726209	278153	Catherine
726209	291584	(segment "Drugstore")
726209	319819	Boubou
726209	335518	
726210	351494	
726211	351494	
726212	123889	
726213	362453	Nike Executive
726214	117013	Narration
726215	107844	Jane Cummings
726216	356927	
726217	270855	Samantha
726218	408278	Donna Simms
726219	380095	Paola
726219	381024	Paz
726219	383518	Bernarda
726219	385663	Isabel Miranda
726219	390174	Martina
726219	390732	Yolanda
726219	392790	
726219	398522	
726219	403752	Bertha Álvarez
726219	405834	Perlita
726219	410319	Florencia
726220	109288	
726220	122990	Mother
726221	52686	Stewardess
726221	378710	Lady Croupier
726221	379490	Dolores Deville
726222	347005	
726223	48418	Le travelo
726224	103005	Medoza's Assistant
726225	167800	
726226	332918	
726227	137439	Nurse
726228	381598	Anabela Arismendi
726228	387574	Consuelito
726228	401917	Helena
726229	6627	
726229	103206	Une copine de Léo
726229	188673	
726229	192820	
726229	206666	Mme Dural
726229	351259	Laura Boisselier (segment "Vi
726230	135366	
726231	308139	
726232	117056	Herself
726234	298498	Marybelle Sawyer
726235	133792	Cheerleader
726236	93532	Dancer
726237	102010	Victoria Valent
726237	354796	Waitress
726238	23375	Luci
726238	149551	Trini
726238	219444	
726238	384972	Judith
726238	393582	
726239	20625	Extra
726240	14265	Tuba's Sister
726240	74246	
726240	265852	Doreen
726240	288079	Maria
726241	343331	
726242	17665	
726242	120304	Scarabocchio
726242	162040	
726242	404045	Concetta Pitagora
726243	11560	Stripper
726245	14363	
726245	107712	
726245	243458	
726245	265192	
726246	253711	
726247	15996	Nonna Agnese
726247	23404	
726247	25332	
726247	28794	
726247	63768	Zucchero
726247	68427	
726247	76128	La mère de Louis
726247	76381	Shepherd
726247	82417	La Nonna
726247	86820	Caterina
726247	110387	Pomata's grandmother
726247	160071	
726247	161023	
726247	217105	
726247	236804	La madre
726247	252660	
726247	266002	Venditrice ambulante
726247	270880	
726247	283038	Mémé
726247	288021	
726247	294644	Aunt Gesuina
726247	319325	Josephine
726247	338361	Claudia
726247	338634	
726247	341792	
726247	342110	
726247	344632	Addetta alla toilette
726247	351066	La vecchia contadina
726247	362576	Chambermaid
726247	380989	Faina
726248	284154	Herself
726249	217694	
726249	390436	La surveillante chef
726250	265223	Soeur Thomase
726250	401321	
726251	205808	Mariken
726252	68816	L'actrice films X
726253	377464	Mrs. Lamart
726254	46877	Perpetua
726254	47210	Herself
726254	68229	Jessie Chambers
726254	234929	Cecilia Johanson
726254	340924	Beth Simpson
726254	341670	Tricia
726254	388631	Griselda
726254	391229	Dr. Kate Russell
726254	392465	Lynn Anne Benfield
726254	392466	Lynn Benfield
726254	398712	Ivy Saviour
726254	399463	Sue Forks
726254	406800	Various Roles (1988)
726254	411280	Nicole
726255	388321	Grace Ellis (2002-2003)
726257	363490	Mistress Barrow
726258	8148	Agatha's Mother
726258	141094	Elaine Price
726258	147496	Solicitor
726258	159537	Lang
726258	263957	Marie Morgan
726258	276263	Marian Witczak
726258	402753	Nicky
726259	111442	Girl in Pizza Joint
726260	65539	Sesto
726260	68901	Isolier
726260	102550	Andromache (widow of Hector)
726260	108064	Meg
726261	32214	Older Lily
726262	120866	
726262	328815	
726263	108919	Piano Player Prostitute
726263	217411	Woman With Baby
726263	359284	Tich's Mum
726263	390416	Joyce
726264	133695	Herself
726265	388321	Grace Ellis (2002-2003)
726266	85019	Emily Henson
726267	123345	Morgans Child
726268	92232	Woman in Balcony
726268	144816	Contestant #1
726268	260266	Screaming Woman
726268	384158	Various
726268	384714	Sketch Player
726269	335880	Crying Girl at Nick's Concert
726270	382715	Presenter
726270	399333	Occasional Presenter
726271	99288	Mary Queen of Scots
726271	125918	Cleopatra
726271	400158	Paula O'Farrell
726272	194312	
726272	366667	
726273	302724	Sister Michele
726274	6415	Patronne de café
726274	110173	Delphine Laplace
726275	15063	Eléonore
726275	40559	Sarah
726275	146425	
726275	153092	Hélène
726275	160818	Chantal
726275	259139	Charlotte Le Dantex
726275	282001	La mariée
726275	303481	Florence
726275	345351	La fille au flipper
726275	388688	
726275	399396	Sirius
726277	67871	
726278	403644	
726279	263018	Mari-Carmen
726280	206767	
726281	132680	
726282	318232	Taus
726283	212541	
726284	318331	
726285	243693	Countess (I giocatori segment
726286	33803	
726286	46226	
726286	264023	
726286	264024	
726286	281305	
726287	60067	
726288	60067	
726289	408848	
726290	60067	
726291	184242	
726291	221737	Gente de carnaval
726291	288803	
726291	381024	Clara
726292	93043	Woman in alley
726293	357867	
726294	174503	CRG Intern
726295	307798	
726296	66150	
726296	90118	Mona
726296	213778	
726296	265166	
726296	335460	Josepha
726297	14362	Alba
726297	23873	Neus
726297	68085	Woman in Barcelona
726297	110109	Marta
726297	132743	Faustine
726297	162254	Sara Fuentes
726297	210178	Carmela
726297	236304	Beatriz
726297	256657	Africa
726297	282259	Ula
726297	327651	Mònica
726297	397847	Sofia Valldaura
726297	401688	Júlia
726297	403745	Júlia
726298	43278	Vecina
726298	103219	Mujer de Carlos
726298	162254	Marta
726298	399505	Lídia
726299	117375	
726299	128634	
726299	128639	
726299	136154	
726299	295854	Herself
726299	324840	Doña Flor
726299	339892	
726300	315627	Sister number 2
726302	311782	Herself
726304	396650	Mama Rosa
726306	11560	Striptease Dancer
726307	311785	Herself
726307	379357	Miss Lisa
726308	67445	Locita
726308	78157	Maria
726308	108248	Jackie
726308	108321	
726308	154288	The actress/Sandy
726308	250428	Gila
726308	313049	Claudia Camejo
726308	321108	
726308	404718	Tanya
726309	252242	Bank Secretary
726310	392601	Lottery Director (1997-)
726311	60938	Woman
726312	133231	Herself
726315	67416	Patsy
726316	347303	
726317	381255	Herself
726318	183271	Mother
726318	216611	
726319	294708	
726320	56503	
726320	183481	Angela
726320	315437	'Cento mille lires'
726321	20122	
726321	20661	
726321	136436	
726321	179189	Marina
726321	199727	Maria
726321	212608	
726321	262425	Melpo
726321	350730	Marina
726322	8283	
726323	84065	
726323	121231	
726323	132705	
726323	231569	Silvia
726323	237862	
726323	244588	Olga
726323	255038	El Pibe Cabeza's lover
726323	265159	
726323	334669	
726323	379852	
726323	379879	Fannny Odisio/Carransa Landab
726323	381217	
726323	382977	
726323	383106	
726323	385334	Marisa Cruces
726323	385366	Silvia
726323	387686	Laura
726323	389780	Emilia
726323	391861	
726323	395477	Laura
726323	402350	Victoria Duncan
726323	402641	
726323	405871	
726323	405917	
726323	406496	Stefanía
726323	408411	
726323	410320	
726324	143525	Chambermaid
726325	228151	Giovanna
726325	248509	Mirna
726326	321515	Featured Dancer
726328	145648	Loren
726329	9731	
726329	15375	
726329	16844	Mercé
726329	206997	
726329	229443	
726329	234382	
726329	258476	
726329	268501	
726329	275713	
726329	278942	
726329	280879	
726329	281009	
726329	318012	
726329	357899	Rita
726330	107036	Yanet
726331	53010	
726332	82099	Nurse
726333	309546	Dancer
726334	72074	
726334	199328	
726335	229238	
726336	332732	Tonha
726337	101831	
726337	252752	
726338	205698	
726339	194605	Chan's girlfriend
726340	112654	Estella
726340	157638	
726340	243303	L'insegnate di musica
726341	41148	Gabriela's Grandmother
726342	138333	
726342	202714	
726343	366743	Hospital Nurse
726344	60714	Officer Montano
726344	129209	Additional Voices
726344	214756	Talking Billboard
726344	289013	Sara
726344	302083	Additional Voices
726344	302290	Sim
726344	310101	Pudding
726344	313489	Additional Voices
726344	321486	Carol
726344	327055	Nelia
726344	368419	
726345	45198	
726346	386616	
726347	18577	Miss Gaston
726347	31444	Muffy Giordano
726347	347571	Barbara's Neighbor
726348	349963	
726349	306286	Chorus
726350	2437	
726350	7200	Celestine Barre
726350	84838	Margot
726350	142385	Monique Ouidel
726350	199514	Elise
726350	274669	Mme. Caraquet
726351	274055	Rose
726352	205698	
726352	233341	
726352	376719	
726353	96335	Maruja
726354	66348	Child
726354	104140	
726354	302350	child
726355	55262	
726355	103159	
726355	207658	Susana
726355	222010	
726355	371714	
726356	2980	
726356	52035	
726356	54346	Catalina
726356	59058	
726356	59326	
726356	68953	
726356	74525	Doña Luisa
726356	84254	
726356	104143	
726356	153820	Novia de tio Mauro
726356	165705	
726356	175265	
726356	209046	Chela
726356	212818	
726356	213711	
726356	221682	
726356	234025	
726356	235308	
726356	250795	
726356	291650	
726356	296135	
726356	382378	Maria
726356	387577	
726357	320341	
726358	82651	Norma
726359	201208	
726361	14631	
726361	225041	
726361	252065	
726362	279709	Woman on Marseille bypass
726363	339995	
726364	347404	Herself
726365	385024	Arlete
726366	305159	Dancer: The Dance Company
726367	202130	
726368	207023	
726369	55222	Carmen Miranda, teenager
726369	70615	
726369	86050	Iara
726370	277525	Connie (Horse Trio Act)
726371	206013	Herself
726371	251025	Herself
726371	339458	Herself
726372	74881	Rachel
726374	396651	
726374	401208	Denise
726375	82586	
726377	353472	
726378	97211	Dream Woman
726379	213389	
726380	2660	Sor Prudencia
726380	6439	
726380	14643	
726380	14746	
726380	14939	
726380	17124	esposa de Aragones
726380	25018	
726380	30398	
726380	48776	
726380	51593	
726380	51908	
726380	52958	
726380	54320	
726380	54720	
726380	55924	
726380	63887	
726380	74507	
726380	77257	
726380	83138	
726380	83864	
726380	84018	
726380	91398	
726380	91410	
726380	95009	
726380	95010	
726380	96270	
726380	97365	
726380	101627	
726380	103721	
726380	108058	
726380	111320	
726380	115751	
726380	123186	
726380	135282	
726380	136994	
726380	143749	
726380	161667	
726380	193355	
726380	206996	
726380	208852	
726380	209084	
726380	212354	
726380	212461	
726380	213399	
726380	218092	
726380	221892	
726380	221946	
726380	221975	
726380	221996	Srita. Ocampo
726380	222029	
726380	222044	Maruja
726380	231698	
726380	233335	
726380	233761	
726380	236036	Chelito
726380	246396	Adelita
726380	251567	
726380	252554	
726380	258481	
726380	268516	
726380	275509	
726380	287697	
726380	296445	
726380	302402	
726380	307212	
726380	309081	
726380	310026	Dona Tecla
726380	339154	
726380	339206	
726380	345599	
726380	349464	
726380	351573	
726380	352009	
726380	376736	
726380	379206	
726380	385417	
726380	385486	
726380	385988	
726380	396388	
726380	405928	
726381	383825	
726382	22901	Woman
726383	220951	
726384	9169	Sigarettaia
726384	57340	Carola
726384	75252	Herself
726384	94674	Rosaria
726384	106752	Lucia Canaria, the singer
726384	116593	
726384	336611	Vesuvia
726386	266934	
726386	273150	Orabile
726386	336608	
726387	43586	Emma
726388	65812	Suzanne Henderson
726389	37894	Diver
726389	63090	Christmas show girl
726390	44453	Dolores
726391	51758	Valerie
726391	96973	Hooker #3
726391	266545	Landlady
726391	365424	
726392	27918	2.fille au bordel
726393	94330	Madeleine
726394	65722	Nun
726395	33420	
726395	112177	Maria
726395	195445	Maria
726396	102931	La sage-femme
726397	78578	
726397	112758	
726398	380533	
726399	409780	Marina
726400	189305	(segment "Ana")
726402	384117	
726403	322819	
726404	402506	
726405	8566	
726405	55340	
726405	55654	Ermelinda
726405	67659	
726405	70491	
726405	80346	Lucy
726405	96532	Lília
726405	282814	Maria
726405	307215	
726405	341477	
726406	83520	
726407	113673	Nina
726408	63831	
726409	378456	
726410	204614	
726410	211005	Alice
726410	308754	
726410	382683	Tati
726410	384118	Carolina 'Carol' Correa (1997
726410	394872	Alma
726410	404160	Carolina
726410	404272	Cíntia Rezende
726410	409780	Fernanda
726410	412258	Lili
726411	383328	Rosinha
726412	240819	Alexis
726413	388458	Fifi
726413	402539	Erica
726414	403118	
726415	104485	
726416	73159	
726417	33150	
726417	54334	
726417	77259	
726417	124545	
726417	278568	
726418	18478	
726419	328359	
726421	322819	
726422	118660	
726423	42582	Celeste
726424	384265	
726425	83517	
726425	134209	Sabino's moeder
726425	344726	Maria
726425	352850	
726425	384293	Maria Antónia
726425	403766	
726425	410105	Eugénia Reis
726426	404814	Nurse
726427	14936	
726427	68637	
726427	392031	
726428	53852	
726428	386726	Cenira
726428	408381	
726429	8473	Três Mosqueteiros sketch
726430	72968	
726430	87055	
726430	148520	
726431	341088	
726432	366793	Lisbon nurse
726433	256372	
726434	335941	
726434	388458	Berenice Prates
726434	396610	Joana (1996-1997)
726434	396899	Malu
726434	403616	Kika
726434	407251	Marina
726435	379450	
726435	387833	Malu
726435	394872	Magrit
726436	388417	Host
726436	392747	Valentina
726437	327325	
726438	235922	Vicki/Lisa
726439	68978	Whitmeyer Interviewer
726439	151382	Helen
726440	358593	Reba Cash
726441	303292	Montejano, Maggie
726442	184850	
726443	3466	
726443	6045	
726443	6574	
726443	9626	
726443	17124	Chavela Valdes
726443	24907	
726443	25038	
726443	28736	Tirsa
726443	47754	
726443	49726	
726443	51737	
726443	52935	
726443	52959	
726443	54764	
726443	54821	Mariana Toscano
726443	56022	
726443	61756	Guadalupe
726443	64694	
726443	70641	Doña Fide
726443	70864	Abuela
726443	73287	
726443	74638	
726443	86880	Doña Herminia del Fierro
726443	86900	
726443	91323	
726443	92341	
726443	100386	Clara Stein
726443	100403	
726443	100404	Laura
726443	101808	
726443	101850	
726443	101864	
726443	103975	
726443	132714	
726443	159432	Luisa Barrios de Benet
726443	171620	
726443	193380	
726443	197965	
726443	202842	Sra. Falcon
726443	205148	Remedios
726443	215344	
726443	218519	
726443	221692	
726443	222044	Marta
726443	223611	
726443	231263	
726443	233758	
726443	235312	Yolanda, la Tísica
726443	257165	
726443	261681	
726443	263069	
726443	264387	
726443	265458	Magdalena
726443	273935	
726443	275809	
726443	275946	Nurse
726443	276410	
726443	277405	Sen~ora del Rivero
726443	284324	
726443	292758	
726443	296469	Gilberta Madrigales
726443	309081	
726443	309092	
726443	309370	Sra. Perez; Adela
726443	334710	
726443	340655	
726443	343740	
726443	350262	Eloisa
726443	352098	
726443	357912	
726443	371685	
726443	376813	
726443	376855	Yolanda
726443	379131	
726443	380065	Julia Rubalcava Vda de Vidal
726443	380476	
726443	380963	Margarita Rosales de Flores
726443	383565	
726443	385335	Clarita
726443	385416	Esperanza Aguirre
726443	386167	
726443	386288	
726443	386296	
726443	386867	
726443	387623	Abuela Angelina
726443	387873	
726443	392851	
726443	393801	
726443	393852	
726443	393986	
726443	396604	Doña Emilia
726443	397303	
726443	398069	
726443	398534	
726443	398794	
726443	399801	
726443	400718	Gloria
726443	401088	
726443	402875	
726443	402929	
726443	403256	
726443	404705	
726443	404869	Gigi
726443	407648	
726443	408211	Cordelia
726443	408851	
726444	51737	
726444	231263	
726444	277405	
726444	352098	
726444	393801	Celadora
726444	393852	
726444	404869	
726444	409017	
726445	42640	
726445	84340	
726445	221690	Señora
726445	236447	
726446	7425	
726446	7448	
726446	20341	Vivette
726446	25136	Marthe
726446	30303	Françoise Varèse
726446	33585	
726446	40576	
726446	43690	
726446	61226	
726446	65098	
726446	84637	Blanche
726446	95358	
726446	101161	
726446	112813	Jonge Kaatje/Young Kaatje
726446	112830	
726446	114813	
726446	124834	Rosine
726446	136180	
726446	148645	Madame Brown
726446	166326	Herself
726446	201194	
726446	214881	Miquette Grandier
726446	217725	Madame Levaillant
726446	240274	Herself
726446	243758	Dolorès
726446	280519	
726446	281311	
726446	308291	
726446	320010	Herself
726446	322352	
726446	340170	Constance Bonacieux
726446	346800	
726446	356137	Reine Lugrin
726446	375040	Jojo
726446	378009	
726446	384280	Herself (actress)
726447	286574	Ivete
726447	341136	Ruth
726447	351476	
726448	84340	
726449	355951	
726450	167103	Dame kiosque 2
726451	84649	Madame Leroux
726451	125712	Madame Walter
726451	146362	Narrator
726451	319026	Michèle Perrin (segment "The 
726451	397137	Sphie
726452	412198	Flor
726453	340085	Olga
726454	71332	
726454	90777	Diana
726454	344799	
726454	356035	Fru-Fru
726455	137222	SDF Metro
726456	36672	
726457	14761	
726457	25558	
726457	75386	
726458	188489	Secretary
726460	63766	
726460	155628	Mavi's sister
726461	87729	Joan
726461	303155	
726462	172306	
726463	33179	Ballet Dancer
726464	381960	Citizen (Season 2)
726465	79411	Christine
726465	103328	Andora
726465	113600	
726465	113893	Clarita Vasconcelos
726465	122788	Claire
726465	170548	Jacqueline
726465	193677	Paviva
726465	194019	Alicia Alvarez
726465	226985	Lanai
726465	232837	Anita Chavez
726465	251501	Momu
726465	297920	Mahia
726465	327765	Diana Martelli
726465	335184	Tula
726465	365237	Ruth Murphy
726465	368557	Deena
726466	147018	Herself - Receiving donations
726466	181156	Herself
726466	257244	Herself
726466	405196	Herself - Team Captain
726467	143816	
726468	63870	
726469	143240	Druggie Girl
726471	219535	Sindel
726471	219539	Sareena
726471	219540	Sindel
726471	300170	Lisa
726471	344519	Sindel
726472	213389	Santera
726473	235760	Family Member on the Road
726474	52717	
726474	69516	
726474	99789	Chica del conjunto
726474	189028	Elizabeth
726475	4919	Waitress
726476	70650	Dependienta
726476	74557	
726477	256786	
726478	269253	
726479	379137	Herself - Contestant
726480	112205	Burger Assistant
726480	144406	
726480	390523	Briony Jones (2000-2002)
726481	17152	Lohan
726482	395236	Claudia Fuentes
726482	396077	Herself (interviewed)
726482	397738	Erika Zevallos
726482	398472	Isabela
726483	70043	
726483	262551	
726483	285245	Mariana (segment "Belinha, a 
726483	296156	
726483	328760	
726483	341474	
726483	379244	Clô
726483	379942	Belinha
726483	380328	Rita
726483	380537	
726483	380612	Violeta
726483	382676	Suzana
726483	383269	Sílvia
726483	383441	Leda
726483	383561	
726483	384872	Carmem
726483	386245	Carlota
726483	386505	Márcia
726483	389002	
726483	389003	
726483	392490	Valéria
726483	393004	
726483	393791	Ivone
726483	395366	
726483	396520	Roberta
726483	396899	Débora Valverde
726483	397440	
726483	397550	Dora
726483	397553	
726483	397787	Elvira
726483	398548	Cristina
726483	400096	Sara
726483	400765	Laura
726483	400901	Arlete
726483	401819	
726483	402108	Rosa
726483	403747	
726483	405854	Dora
726483	406841	
726483	409412	Beatriz
726483	410053	
726483	410483	
726483	412255	Isabel
726484	266893	
726485	153336	
726486	339985	
726487	54074	Maria Fausta
726488	21664	
726488	24987	Ana Luna
726488	42636	Blanca Vladimirovna
726488	54845	Tinka
726488	64671	Carmencita
726488	80147	
726488	91390	
726488	100274	Elena
726488	111053	Conchita
726488	124700	Adela O'Brien Morales
726488	129018	Fioretta
726488	132732	Loni von Keller
726488	134493	
726488	138282	Fleurette
726488	140561	Yvette
726488	142381	Aimee
726488	186012	Panchita
726488	193497	
726488	197401	
726488	205707	Clare Haley
726488	210318	Aloisa Weber Lange
726488	210442	Tulia
726488	227870	Deliah
726488	230416	Tamea
726488	243038	La Rubia
726488	249115	Helenita
726488	280577	Luisa
726488	281617	
726488	295513	
726488	309333	
726488	316319	Spanish Dancer
726488	317711	Luisa
726488	348175	Lolita
726488	353914	Helenita
726488	373353	Lolita/
726488	378040	
726488	378450	Margherita
726489	386757	Suzana
726490	356968	Cris
726491	24496	Compadecida
726491	55908	Áurea
726491	57981	Dora
726491	63675	Herself
726491	99107	Romana
726491	99670	Anita
726491	107710	Zulmira
726491	116391	Queen at the castle
726491	136667	The Mother
726491	148465	
726491	149504	Madame Carlota (the macumbeir
726491	168139	Joana
726491	205814	
726491	214629	
726491	225110	Sangerin
726491	237504	Dona Margarida
726491	239922	Leocádia Prestes
726491	239926	
726491	245486	Regina
726491	251572	Fernanda
726491	274482	Dona Isaura
726491	328332	Narrator
726491	337865	Woman at the bar (segment "O 
726491	337986	
726491	341470	Elvira
726491	351269	(segment "Samba do Grande Amo
726491	353565	Samaritana
726491	380919	A Compadecida
726491	381144	Sílvia Toledo Fernandes
726491	382776	Chica Newman
726491	383243	Amália
726491	383247	Leonarda 'Naná' Furtado
726491	383437	Ingrid
726491	386757	Olga Portela
726491	387833	Luiza
726491	388681	Lulu de Luxemburgo
726491	390751	Charlotte 'Charlô' de Alcânta
726491	392747	Quitéria Campolargo
726491	396795	Madalena Moraes
726491	398255	
726491	398548	Cândida
726491	400981	Tibéria
726491	401979	Marília
726491	402807	Salomé
726491	403083	Lisa
726491	403171	Jacutinga
726491	403326	Manoela
726491	404271	Júlia Camargo
726491	405935	
726491	409419	Herself
726491	410288	
726491	410348	Lourdes (episode "Assim é se 
726491	411932	Mariza 'Zazá' Dumont
726492	222185	
726493	204740	
726494	393338	
726495	334581	
726496	262235	
726497	55964	
726497	135313	Esposa de Bermudez
726498	190059	
726498	213531	
726498	327818	
726499	280412	Vecina
726500	217054	Colegiala
726501	96403	
726501	300693	
726501	390404	Arcelia
726501	393844	
726501	396898	Sulema Chavez
726501	407640	Paola
726501	410384	Jessica
726502	30388	Marquess (Portuguese version)
726502	204782	
726502	211004	
726502	246593	
726502	267317	
726502	295478	
726502	341140	
726502	344756	
726502	350580	
726503	89988	
726503	102577	Rosita
726503	267509	
726503	378023	
726504	391572	Rosi
726505	5356	
726505	14730	
726505	21671	
726505	33517	
726505	33518	
726505	40268	
726505	55090	
726505	61866	(segment "Infidelidad, La")
726505	68953	
726505	76224	
726505	85585	
726505	91368	
726505	91414	
726505	94816	
726505	99441	
726505	101844	
726505	106324	
726505	110231	Ecuyére
726505	112045	
726505	121278	
726505	129541	
726505	131057	
726505	135350	
726505	145185	
726505	145211	
726505	145231	
726505	148133	Bettina
726505	152227	
726505	152264	
726505	165705	
726505	183512	
726505	193025	Zoila
726505	213410	
726505	216861	
726505	223618	
726505	233396	
726505	234317	
726505	234350	
726505	234420	
726505	245872	
726505	251724	La Tijuana
726505	252798	
726505	255547	
726505	256795	
726505	256798	
726505	257569	Elena
726505	258175	
726505	266872	
726505	267048	
726505	267050	
726505	268238	
726505	272670	
726505	278739	
726505	283243	
726505	287856	Bellamira
726505	287859	Karen Bernstein
726505	287876	Ester
726505	287898	Alicia Robles
726505	287899	
726505	291650	
726505	292924	
726505	292928	
726505	296135	
726505	307512	
726505	307658	
726505	318252	
726505	324839	
726505	328046	
726505	335525	Sasha Montenegro
726505	337579	
726505	345592	Zombi sádico
726505	350265	Nora
726505	351057	
726505	353577	
726505	380151	Dolly
726505	392651	Sonia
726505	398481	Lorena/Loraine Montiel
726505	403402	Marcela
726505	410477	Catalina Valencia viuda de Fe
726506	136734	
726507	253664	Secretaria
726508	65552	Dancer
726509	120706	
726510	52147	
726510	193218	Marta
726510	217904	Giovanna
726510	408675	Betty
726511	329477	Little Girl
726512	91286	
726513	154200	Karen Donovan
726514	188453	Opening Sequence Girl
726515	33812	Little Sister
726516	71356	Leonora Fanshaw
726516	177522	Mrs. Nash
726516	309559	Princess Rhea
726517	70641	Iris
726518	207646	Besto Bravo
726519	216684	
726519	221573	
726519	230245	
726519	350137	
726519	376726	
726520	29817	Trade Fair Girl
726520	284456	Reporter
726520	334687	Azafata
726521	197976	Waitress
726522	279259	
726523	279036	Maria Carmen
726524	14671	Niña
726525	74851	
726525	149632	
726525	219323	
726525	281291	
726526	65402	
726526	67457	
726526	115829	
726526	129509	
726527	397838	Elvia
726527	403741	
726528	221680	Sabor
726529	263205	
726529	282131	Isabel
726530	378435	
726531	14669	
726531	33497	Singer (Danse Danse)
726531	56297	Angelita
726531	59236	Mme Lebris
726531	75630	Guest
726531	87501	Mme Fayard
726531	166301	Herself
726531	167230	Mme Leroy-Gomez
726531	183800	Mary-Flor
726531	197825	
726531	198965	Jocaste
726531	207260	Ann of Austria
726531	218317	Marcelle
726531	220404	Récitante/Narrator (French ve
726531	225430	Mme. Verlot
726531	243025	Magali
726531	251614	
726531	279648	La concierge de luxe (Mme Gol
726531	307476	Georgia
726531	316845	Madame D'Ambray
726531	319829	Doña Rosario
726531	338978	Consuelo Koukouwski
726531	346754	La grand-mère
726531	353852	Raymonde
726532	21696	Yolanda
726532	332919	Rosa
726532	379820	
726532	380088	Betsabe Galdames
726532	383568	Katia
726532	386531	
726532	393833	Carola Lizardi 'novia de Igna
726532	398490	
726532	399823	Paola Campo
726532	401918	
726532	403752	Celina Barriga
726532	404172	
726532	405318	Meche
726532	410477	Damiana 'Madonna'
726532	412123	Anita Guerrero
726533	108941	Hooker
726533	182416	Lemnear
726533	286852	Brain Dog
726533	397262	Carmen
726534	104057	Pilar
726534	207032	
726535	70641	Catalina
726536	120720	Fermina
726537	226184	
726538	124177	Tari
726539	277391	
726540	1121	Pinzon's daughter
726542	236453	
726542	279259	
726543	96541	
726544	21071	
726545	152237	Doña Catalina
726546	44197	
726547	96269	Virgen/Gitana (Virgin/Gypsy)
726547	199946	
726547	221963	Funcionaria
726547	237475	
726548	219312	Catalina Gutierrez
726548	292769	
726548	309385	
726548	370157	Enfermera
726548	395856	Leonor
726549	193170	Enfermera
726550	161565	Angelica
726551	110224	Víctima
726551	383622	
726552	179779	Li Hu Wang's Secretary
726553	174485	
726553	284680	
726554	287732	Doña Agustina Ramero
726554	376687	La Bernardi
726554	390733	Glenda
726554	398217	
726554	400791	
726555	112170	
726555	189113	Raquel
726555	197976	Hermana de Jorge
726555	229794	Paula
726555	277391	Criada 2
726555	396827	
726556	135368	
726557	134503	
726557	206987	Eulalia
726557	376811	
726558	318271	
726559	207732	
726559	253373	Miranda
726559	269200	Maura
726559	334646	Lola
726560	1121	Pinzon's daughter
726561	55382	
726561	156020	
726562	399640	
726563	151806	Niña de filmación (segment "L
726564	25025	
726564	44342	
726564	54332	Julita
726564	58067	
726564	68566	
726564	95026	
726564	100778	
726564	101815	
726564	103534	Gabriela
726564	135642	Clarita
726564	149553	Elena
726564	259209	Bailarina
726564	266864	
726564	277002	
726564	370065	
726564	377193	Lina
726564	386696	
726565	160717	
726566	106362	Grandma G
726567	54209	Graciella
726567	234412	
726567	322487	Aurelia
726567	379458	Doña Augusta Calatrava
726567	385041	Gloria
726567	385052	Mercedes Castro-Iglesias de M
726567	387905	Ruth
726567	390733	Luisa
726567	396462	Antonia
726567	396873	Claudia Sandoval
726567	397262	Margot Hidalgo
726567	402192	Rosalia Moncada
726567	404987	
726567	409779	Lucrecia Roitmann
726568	396653	Menchu
726569	211167	
726570	55910	
726570	64999	
726570	67004	Valerie
726570	74860	
726570	85960	Enedina
726570	103858	
726570	106320	Diana
726570	107102	Conchita
726570	110889	
726570	115039	Herself
726570	136004	Herself
726570	193027	Marta, Hermana de Rita
726570	200494	Petra
726570	206998	Isabel
726570	213467	Orica
726570	228902	Prieta
726570	232884	
726570	253319	
726570	272349	
726570	276473	María
726570	288950	Rucu
726570	297871	Ustane
726570	301166	
726570	322226	
726570	332361	Belle Annie
726570	354479	Marianna Villa
726570	363950	Lupita
726570	367681	Maria
726570	376669	
726570	380103	Ma. Elena Ramírez
726570	385369	
726570	385399	
726570	387824	
726570	392786	Wany
726570	396131	
726570	396391	
726570	397869	Sor Simplicia
726570	404284	La Gaditana
726570	405954	Leonor
726570	409792	
726570	409812	Otilia
726570	411248	Hehaka Win
726571	252542	
726571	255800	Pilar Guerra
726572	3426	Pili
726572	54850	
726572	68993	
726572	82342	
726572	103048	
726572	103212	
726572	103789	
726572	124259	
726572	160136	
726572	161851	
726572	164237	Elena
726572	186591	Elena
726572	193350	
726572	207032	
726572	216058	
726572	221666	
726572	257594	
726572	277135	Katy
726572	328147	
726572	353654	
726572	357535	Bárbara
726572	375886	
726572	385871	Herself - Host (1982)
726572	409463	Azafata (1972-1973)
726573	14951	
726573	25687	
726573	44530	
726573	53683	
726573	57866	
726573	58068	
726573	64699	
726573	64707	
726573	69128	
726573	82375	
726573	86502	
726573	120707	
726573	121247	
726573	143701	
726573	189008	
726573	193060	
726573	202420	Lola
726573	215402	
726573	218495	
726573	239275	
726573	307213	
726573	328741	
726573	354043	
726573	377164	
726573	378423	
726574	103804	Una Compañera
726575	17796	America
726576	393833	Cinthia Linares 'amiga de Tan
726577	401087	
726578	210171	Chica en el metro
726579	97374	
726579	234308	Herself
726579	235300	
726579	353559	
726579	400947	
726580	293382	
726581	236407	Rocny
726581	277369	
726582	357744	Maruja
726583	2789	Mme Gaumaire
726583	10049	Herself
726583	27869	
726583	51920	
726583	55212	
726583	58067	
726583	71002	
726583	74808	
726583	89917	
726583	94840	
726583	103433	Soledad
726583	117451	
726583	206313	
726583	212345	Eloísa Palacios
726583	212363	
726583	216080	Vera
726583	221888	Tia Amparitxu
726583	226430	
726583	249912	
726583	273117	The City Woman (segment "Las 
726583	287121	Nadia
726583	307701	
726583	328883	
726583	332580	Herself
726583	353600	Mercedes
726583	378411	
726583	408911	
726584	70063	
726584	80201	
726584	218295	
726585	52599	
726585	68611	
726585	146507	
726585	251574	
726586	72468	Market woman
726587	2441	
726587	6626	
726587	21671	
726587	55007	
726587	56094	
726587	63636	
726587	68558	
726587	68845	
726587	70088	
726587	77880	
726587	101899	
726587	152227	
726587	169775	
726587	186211	
726587	199986	
726587	209045	
726587	211148	
726587	220523	
726587	221694	
726587	255138	
726587	258175	
726587	262599	Natividad aka Susana
726587	267048	
726587	292928	
726587	300683	
726587	328046	
726588	79116	Darna
726588	152420	
726588	181618	Tanya
726588	188809	
726589	61137	
726590	52596	
726590	186967	
726591	53662	
726591	58067	
726591	61137	
726591	73263	
726591	74561	Barbara
726591	234319	
726591	235967	
726592	256801	
726593	16373	
726593	110434	
726594	132705	
726594	222045	
726594	252520	
726594	255276	
726594	351993	
726594	383287	
726595	146568	Cancionista
726596	221681	
726597	17378	Beatriz
726598	2441	
726598	13081	Juventina (segment "Los Amant
726598	14793	
726598	51744	
726598	56446	
726598	57869	Erendira
726598	70064	
726598	73548	
726598	75183	Gloria Maldonado
726598	77242	Marguerite Gauthier
726598	99321	
726598	159529	Mother Martina
726598	171462	
726598	194129	
726598	209036	
726598	212250	Esther Dubois
726598	221971	
726598	222121	
726598	244578	
726598	257900	Eneida
726598	260509	
726598	263177	
726598	266879	
726598	273957	
726598	322852	Jovita
726598	339086	Sara
726598	339451	
726598	339797	(segment "Cuarteto")
726598	342158	
726598	350076	
726598	351781	
726598	354047	
726599	124765	
726599	183546	Herself (Dancer)
726599	229425	
726599	277523	Herself - Dancer
726600	162763	Aurelia
726601	351643	Devil's envoy
726602	43753	Conception
726603	131830	
726603	216111	
726604	189298	
726605	90146	Ana de pantoja
726605	402151	Rosana
726606	85482	Specialty
726607	148051	Mrs. Ponce
726607	396873	Amparo
726608	266047	Vanessa
726608	330427	Alex
726609	124556	
726610	310726	Addtional Bus Passenger
726611	10440	Elsa
726611	42645	
726611	124786	
726611	136919	
726611	309092	
726612	29061	
726612	30304	
726612	86097	
726612	103808	
726612	146478	
726612	209035	
726612	212366	
726612	293971	
726612	343632	
726612	355793	
726612	373956	
726613	14811	
726613	16809	
726613	25806	
726613	30318	
726613	31537	
726613	53615	
726613	67213	
726613	68251	
726613	74607	
726613	74627	
726613	91341	
726613	100510	
726613	135200	
726613	145259	
726613	197480	
726613	221569	
726613	221759	
726613	221900	
726613	225010	Eloina
726613	235298	Bertha
726613	260518	
726613	326297	
726613	327199	
726613	337577	
726613	353559	Violeta
726613	357005	
726613	371701	
726613	392290	Ifigenia
726613	392960	Balbina
726613	395402	
726613	397019	
726613	398469	Teresa
726613	403752	Sandra Pacheco de Rivera
726613	405398	
726613	406861	
726613	409719	Eloina 'Nurse'
726614	357744	Vanessa
726614	376769	
726615	16531	
726616	9188	Grey Hair Crone
726616	14091	Esperanza Santana
726616	329515	Tia
726617	273597	
726618	8728	
726618	14643	Tongolele
726618	14674	
726618	14756	
726618	63320	
726618	72967	
726618	80144	
726618	106994	
726618	106995	
726618	136994	
726618	138019	
726618	162953	Kalea
726618	211065	
726618	216074	
726618	221711	
726618	221935	
726618	222035	
726618	225699	
726618	234494	
726618	252344	
726618	277386	
726618	322372	
726618	326540	
726618	376759	
726618	400947	
726618	404161	Yolanda
726619	385058	Dulce Chacón
726619	395373	Alejandra
726620	73514	
726620	221985	
726620	343607	Catalina
726621	43428	Nancy
726621	81249	
726621	376140	
726622	161494	
726623	348145	Candies woman
726624	337787	
726625	1860	Adriana
726625	6625	
726625	14663	
726625	20736	
726625	23402	
726625	33679	
726625	45763	Petrita
726625	57433	Ivette
726625	63900	Alejandra
726625	74571	Hortensia
726625	74639	
726625	82726	
726625	91283	Duquesa de Alfaro
726625	95347	
726625	103504	
726625	103940	Lucia
726625	106320	Lola, criada
726625	145252	Rosa
726625	148083	
726625	149564	
726625	169780	
726625	202211	
726625	206746	
726625	209470	
726625	221564	
726625	266827	
726625	269234	
726625	277136	
726625	287866	Tandra, vampire priestess
726625	287896	Lilian
726625	294020	
726625	296479	Dorita, enfermera
726625	317774	Mujer en elevador
726625	339755	
726625	349836	
726625	353559	Mariposa
726625	357515	Maria
726625	376173	
726625	377165	Beatriz
726625	386165	
726625	387576	
726625	392950	
726626	14380	Professoressa di latino
726626	97465	
726626	104452	Derna
726626	234774	
726626	235773	Mother
726626	319323	
726626	342100	
726626	351519	
726627	84464	
726628	38779	Bianca, sorella di Catina
726628	59805	
726628	110391	
726628	162080	
726628	216845	Francesca
726629	16345	
726629	188883	
726630	357189	
726631	109266	
726632	334687	Deborah
726632	398807	Ana
726633	26556	
726633	70682	
726633	104150	
726633	104180	
726633	143784	
726633	146504	
726633	205702	
726633	234394	
726633	261677	
726633	340288	
726633	353616	
726634	56465	
726635	249335	Envy
726636	23825	Francine
726636	47385	Herself
726636	62437	Gigi Nietzsche
726636	76582	
726636	105024	Mrs. Mannering
726636	111117	
726636	116499	Solange Lafitte
726636	151616	Mrs. DeLauer
726636	155740	Nicole
726636	177291	Forty Nina
726636	192719	Juanita
726636	208985	Cosette
726636	209604	Lilli
726636	216118	Mistinguett
726636	218757	Gypsy
726636	223180	Musidora
726636	285095	Zita
726636	353925	Gay Deslys
726636	358708	Woman at "Le Cirque"
726636	372618	Françoise
726637	292776	Ana Fernanandez
726638	351635	Cora
726639	57966	
726639	112654	Grazia
726639	206029	Una ragazza alla caccia alla 
726639	214004	
726639	269494	
726639	295163	Cristina, la cameriera della 
726640	47549	Rosa
726640	141344	Rose Brooks
726641	339617	Georgette
726642	199311	Butterfly's Mother
726643	44912	
726644	383247	
726644	396610	Dona Vilma (2001-)
726644	397540	Nazaré
726645	393351	
726646	192983	
726647	141555	Mexican Wife
726648	10516	Amara
726648	14864	Dolores
726648	19557	Sherazade
726648	43320	Sonya Dietrich Landers
726648	44686	Linda Calhoun
726648	45232	Marina
726648	48569	
726648	66373	Tollea/Naja
726648	105804	Countess
726648	116523	Herself
726648	136555	Carla
726648	138516	Dolores, the prostitute
726648	161945	Marie
726648	183490	Tina
726648	196928	Bathing Beauty
726648	218781	Ilani
726648	224721	Marie Roget
726648	248838	
726648	256616	Marguerita
726648	271091	Zuleika
726648	289896	Dolores
726648	303068	Queen Antinea
726648	309848	Melahi
726648	318138	Naila
726648	324383	Rita
726648	329480	Inez
726648	351512	Consuelo
726648	363999	Princess Tahia
726649	5268	
726649	52179	
726649	103708	
726649	124453	
726649	349811	Anita
726650	135291	
726651	42581	
726651	61338	Verinha Vogue
726651	67655	
726651	110642	
726651	333908	
726653	163191	Herself
726654	313056	Aunt Denise
726655	61794	Jessica
726656	37756	Soziale Frage
726656	43352	Magdalena
726656	91139	
726656	98204	
726656	114829	
726656	119321	Orlando
726656	130963	Magdalena, Josette, L'ange de
726656	134631	
726656	176561	
726656	189772	
726656	198899	Lady Macbeth
726656	230235	
726656	232657	Penthesilea
726656	247060	Rechtsanwältin
726656	247620	
726656	278573	Hannas Kollegin
726656	281981	Anna, The Mother
726656	286180	
726656	290609	
726656	322936	Zigeunerin
726656	325423	Annemarie Melz
726656	326192	Nurse
726656	334513	Maria Malibran
726656	359503	Irm
726656	359634	
726656	361305	Party guest
726656	365885	
726656	374355	Christa
726657	148702	Christine Morane, Bertrand's 
726658	23004	Mary
726658	40619	Inez
726658	66176	The Girl
726658	108041	
726658	139672	Ruth Reston
726658	144636	Eleanor
726658	158244	
726658	224765	Kate Halifax
726658	315128	
726659	206059	Fergus's model
726660	43638	
726660	88842	Cécile Drezner
726660	111039	
726660	251544	La jeune première
726660	254938	Aricie
726660	345537	Nathalie
726661	353294	Academy Girl
726662	385299	Mary Ashley
726663	37191	Girl at school
726664	14225	Audrey
726665	158292	Herself/Defendant
726666	406242	Herself
726667	342587	Grandpa's Au Pair
726668	45001	Prom Girl
726669	41393	Juvy Judge
726669	76604	Geneva
726669	112301	Mrs. Martin
726669	114075	Aunt Edna
726669	116591	
726669	190379	France
726669	212027	Dre's Mother
726669	219692	Mrs. Marlowe
726669	259755	Mrs. Conley
726669	259775	Mrs. Conley
726669	367844	Miss Eva
726669	379948	Sister Casietta Hetebrink (19
726669	387987	
726669	396934	Olivia Williams
726670	196887	Shell Game Crowd
726671	4391	Sarah Miller
726671	6200	Myra Schmidbauer
726671	29885	Melody
726671	31186	Herself (NBC Team contestant)
726671	46202	Heller Chase
726671	46391	Diana McBain
726671	53029	Diane
726671	56262	Terry Ctilwell
726671	73136	Anne Dryden
726671	76212	Luanne Gibson
726671	77176	Libby
726671	84991	Diane Shaw
726671	87375	Gina
726671	144370	Cinderella
726671	149941	Fiona
726671	188625	Angie
726671	190091	Molly Stewart
726671	193252	Roselle Bridgeman
726671	202988	Dr. Elizabeth Merrill
726671	205276	Barbara Marciano
726671	212631	Caroline Crockett
726671	222649	Peggy Ann West
726671	244407	Audra Jo Nicholson
726671	244408	Audra Jo Nicholson
726671	254569	Mom
726671	279014	Loey Wiley
726671	289524	Polly
726671	301660	Dr. Joan Gilmore
726671	313635	Claire Graves
726671	315218	Sandy MacAuley
726671	315221	Doc Smith
726671	327239	Leonora
726671	334596	Roberta
726671	340499	Carrie
726671	342027	Kelly
726671	345852	Joan
726671	367807	Melinda Carr
726671	379040	Sarah Miller
726671	381314	Susan
726671	385824	Sylvie Gallagher (1986-1987)
726671	386760	Katherine O'Brien Howser
726671	396676	Dr. Elizabeth Merrill
726672	216919	
726673	291231	Parker
726674	331533	Kid #2
726675	335807	Singer
726677	98922	
726678	174503	Red-Haired Flirting Woman at 
726678	344652	Molly
726679	194985	Mabel
726680	154170	
726680	223752	Townsperson
726680	304443	Having a Breakthrough Day
726681	5883	Catherine McSweeney
726681	14989	Daisy Daws
726681	31691	Miss Sims
726681	33623	Belle Starr
726681	35451	Abigail Foster
726681	35610	Herself
726681	38962	Mary Brecker
726681	40029	Blanche Taylor Moore
726681	70965	Edna Buchanan
726681	71994	Margaret Lansdowne
726681	72121	Narrator
726681	78987	Katherine Merrill
726681	80675	Edna Buchanan
726681	107150	Dr. Diana Firestone
726681	151672	Bwana's Daughter, The Witches
726681	166713	Jennifer Prince
726681	168673	Darien 'Dare' Guiness
726681	176919	Vikki Eaton
726681	187271	Elizabeth 'Lizzie' Borden
726681	215791	Sara Scott
726681	221326	Etta Place
726681	247370	Herself (Narrator)
726681	274679	Samantha Stephens
726681	283191	Joan Hagen
726681	292227	Alaxandra McKay
726681	302944	Ruth Coe
726681	311251	
726681	353402	Kate Wainwright
726681	363072	Mary Flynn
726681	364330	Mellisa Morris
726681	366834	Gayle Wolfer
726681	380997	Sayward Luckett Wheeler
726681	381814	Samantha Stephens/Serena
726681	387120	Miss Kelly
726682	366842	Ariel
726683	82692	Lissa
726684	116110	
726685	33996	Peggy Shippen
726685	58164	Octavia Aldridge
726685	87645	Ada
726685	120105	
726685	130960	Angie
726685	138494	Jenny
726685	185792	Kitty Rose
726685	203426	
726685	222710	Flora Ackroyd
726685	252840	Film Student #2
726685	323737	Young Woman In waxworks
726685	362722	Trudy
726685	369186	Isabella
726685	391259	Dorothy Michaeljohn
726685	397534	Sophie Hamilton
726685	398570	Ettie Weston
726685	409386	Suzi Brown
726686	34610	Bingo girl
726686	363146	Production assistant
726686	384460	Aine Flanagan
726687	35576	Gertie
726687	59605	Mrs. Benbow
726687	188457	Helen Wray
726687	190543	Sheriff
726687	220333	Alice, Potts Showgirl
726687	315095	Lil Davis
726687	315162	Mrs. Barrington Thorne
726687	338040	Peters
726687	348383	Kit
726688	222709	Mandy
726688	241236	Henen of Troy, British Sgt.
726689	20950	Narrator
726690	103326	2nd Band of Thieves
726691	252524	Waitress
726692	14212	Juror
726692	93590	Rebecca Nelson
726692	93773	Older Lady
726692	106335	Sister Mary Elizabeth
726692	107225	Dolly Dixon
726692	163404	Phyllis Farber
726692	177284	Woman #1
726692	186158	Woman 1
726692	224506	Elaine
726692	301536	Ginger (older)
726692	330405	(segment "The Box")
726693	15944	Candis
726693	39919	Lindsay Devereaux
726693	67607	Cindy
726693	96750	Dr. Sally Arthur
726693	128741	Lynn Connors
726693	177233	Cindy Russell
726693	213963	Stacey's Mom
726693	231525	Delivery Nurse
726693	277088	Betty Childs, Pi-Delta-Pi
726693	277091	Betty Skolnick
726693	277092	Betty Skolnick
726693	288943	Sarah
726693	294139	Marlene
726693	309838	Susan
726693	314631	Pimmie Polk
726693	315335	Secretary
726693	348374	Lisa
726693	400236	Samantha 'Sam' Vernon Buchana
726694	347969	Ness' daughter
726695	13432	Karen (segment "Silly Pate")
726695	66322	Dinner Party Guest
726695	69265	Monique
726695	130350	Hooker
726695	365827	Cute Blonde
726696	142366	
726696	327776	Dr. Janet Bogard
726697	141594	1st Big Man
726698	4680	Linda
726699	398432	
726700	62938	Ellie
726700	308039	Janie
726701	6724	Herself
726701	34856	
726701	81370	
726701	81924	
726701	84807	Kimberly Hunt
726701	105896	
726701	106189	
726701	150960	
726701	151208	
726701	154060	
726701	158590	
726701	223658	Yulka Shimerda
726701	273278	Herself (in segment "Photogra
726701	334735	
726702	41197	Patricia Blasko
726702	344183	Barbi
726703	26831	Rodettes
726703	35506	Dancer
726703	37894	Enola Rubinstein
726703	66123	The Butchettes
726703	194564	Conference Parent
726703	232933	Lisa
726703	257609	
726703	368342	Vi
726703	373990	Tiger Cheerleader
726704	138347	Host
726704	154722	Herself
726704	221469	
726704	353535	Host
726704	364298	Host
726704	379863	Host
726704	381755	Herself/Panelist
726704	389385	Host
726705	178051	Imogen's Mother
726706	275762	Outlaw's Waitress
726707	2471	Stacey Harris
726707	92618	Dr. T's Patient
726707	293021	Inmate #1
726707	296935	Mother
726708	109815	Mrs. Winkle
726708	290986	
726709	29923	
726709	45072	
726709	54658	Pretty Entrepreneur
726709	128845	
726709	199087	
726709	276399	
726709	287163	
726709	287164	
726709	289155	
726709	310025	
726709	312364	
726709	321129	
726709	332550	
726709	335598	
726709	362104	
726710	119581	Jane
726711	144406	
726712	120010	Student
726713	120010	Student
726713	154426	Angel
726713	159914	Anne Travis Lowe
726713	176321	Goldwyn Girl
726713	191038	Cameo Girl
726713	241788	Pretty girl
726713	261423	Second College Girl
726713	292470	Goldwyn Girl
726713	308079	Secretary
726713	308569	
726713	367970	Goldwyn Girl
726714	144406	
726715	97027	Kidnapped model
726715	137102	White girl bride
726715	280775	Head model
726716	114300	Mrs. Giggleton
726717	11635	
726717	305939	Margaret
726718	318213	
726719	240761	Lady Beatrice
726720	5556	June McGill
726720	20250	Dolly Martin
726720	27320	
726720	45918	
726720	78056	Rose Cooper
726720	83624	Dolores Wolfe
726720	112376	Nesta Wayne
726720	112437	Marjorie Crenshaw
726720	112461	
726720	117601	
726720	147823	Lois Manning
726720	149277	Alice Dixon
726720	194298	Laura Burkhold
726720	196234	
726720	240722	Sally Martin
726720	264516	Joan Le Grande
726720	271240	Rose Warner
726720	276663	Judy
726720	276664	Judy Allen
726720	285132	Betty Shelby
726720	288672	Ruby
726720	294203	Margaret Todd
726720	301745	
726720	308898	Phyllis Butterworth
726720	310745	Enid Warren
726720	311535	Janet Rand
726720	329955	
726720	343274	Doris Gibson
726720	361636	Helen
726720	367399	
726720	369366	
726721	2723	Allison
726721	2797	Herself
726721	35388	Nadine
726721	66919	Marilyn 'Lee' Cross
726721	80504	Rachel Gillmore
726721	83680	Mary
726721	84873	Barbara's Sister
726721	189982	Older Mae Rose
726721	210771	Barri Noodleman
726721	244421	Caroline Tate
726721	271364	Julia
726721	324264	Party Girl #1
726721	330881	Arden Ansfield
726721	367966	Dr. Sarah Coleman
726721	381499	Elizabeth Waclawek
726721	382254	Norma Jean Baker/Marilyn Monr
726721	390177	Ellie Sparks
726721	403147	Jennifer Lukens
726721	411301	Samantha Spade
726722	367073	Child Munchkin
726723	62579	Prison Guard #2
726724	79012	Katherine
726724	227926	
726725	86038	Nurse
726725	196320	Nurse Curtis
726726	20950	Jennifer's Mother
726727	302009	Nurse
726729	89327	Bierfrau
726730	19290	Dream Dana/Nurse
726731	17132	Extra talent
726732	295185	Bridget (Pool Player)
726733	20441	
726735	40730	April
726736	183868	
726737	119608	Athlete
726738	13365	Mrs. Hughes
726738	222666	
726738	334596	
726738	411334	Judy Wojeck
726739	128234	
726740	10104	Female Officer
726741	381909	Herself (7th Evicted, 56 Days
726742	381909	Herself (8th Evicted, 63 Days
726743	305879	
726744	5279	Honorine
726744	24914	
726744	26581	
726744	36484	
726744	71821	
726744	84638	
726744	111075	
726744	111083	La bonne
726744	117941	La cuisinère
726744	148691	
726744	167194	
726744	182786	
726744	201030	La femme de chambre
726744	215853	
726744	268414	Marthe Noblet
726744	268855	
726744	275513	
726744	326087	
726744	332203	
726744	337010	
726744	353789	
726744	357077	Laura, l'habilleuse
726744	357113	Madame Lepart
726745	259212	Copines Lydie
726746	7130	
726746	20465	La cliente
726746	31019	Madame Aristide
726746	36655	La monitrice
726746	53006	La mère de Germaine
726746	54392	La téléphoniste
726746	55597	La dame patronesse
726746	66741	Aglaé
726746	67068	Un amie de la veuve Ménard
726746	72524	Madame Masure
726746	77345	Mme. Petypon
726746	83221	Mme. Baron
726746	83287	
726746	89037	
726746	101228	Marie
726746	101950	La chasière
726746	110051	
726746	114275	
726746	148645	Rose
726746	197060	Christine
726746	201030	La colonelle
726746	210915	La directrice de la maison de
726746	214881	
726746	219513	
726746	235832	
726746	236610	
726746	268414	Mademoiselle Archimbaud
726746	280441	
726746	284662	
726746	300520	
726746	321826	L'habilleuse
726746	328410	La deuxième Michelonne
726746	341127	
726746	345189	
726746	346625	
726746	350078	Mademoiselle Zamb
726746	354695	Tante Lucie
726746	354700	
726746	356370	Une commère
726746	356514	
726747	213324	Fairy
726747	314578	
726747	379549	Annamaria
726749	324483	Carlos' Partner
726750	189861	Herself
726750	343761	
726751	94820	
726751	170277	
726751	208841	
726751	279750	
726752	75234	
726752	384618	
726752	395253	Mariuola
726753	33922	Extra
726753	43742	Dancing girl
726753	57297	Chiquita
726753	73475	Nurse
726753	88853	Mexican Patient
726753	112231	
726753	140862	Miss Montavio, Liquor Store C
726753	142477	Waterfront Cafe Girl
726753	157865	Juanita
726753	177325	Girl
726753	178095	Dancer
726753	205739	Cabaret Entertainer
726753	230344	Receptionist
726753	231839	Tiana
726753	279743	Dancer
726753	325140	Madi, Priestess of Zar
726753	333168	
726753	334272	
726753	354556	Streetwalker
726753	357994	Woman next to Cassidy
726754	84163	
726755	108857	Sybil Carruthers
726757	134624	Helena
726758	169256	
726758	208711	
726758	244594	
726759	33471	
726759	64238	Woman who Tranzunto rapes
726759	128018	
726759	162063	Valeria
726759	196701	Adele Di Angelo
726759	199821	
726759	341755	
726759	348128	Lorena
726759	386484	Caterina Scalise
726759	386487	Caterina Scalise
726760	21419	
726760	221910	
726761	308446	
726761	385335	
726762	1366	Rosina Dalco
726762	9711	Bianca Bonfigli
726762	33470	
726762	54150	
726762	70186	
726762	71264	Mrs. Erickson
726762	102636	
726762	123893	
726762	124233	
726762	129132	Adelita
726762	132649	Second neighbor
726762	209342	Teacher
726762	213791	Bianca
726762	217101	Hotel director
726762	229995	Dottoressa Keith
726762	235744	The witch
726762	255107	Anna
726762	266124	
726762	270825	
726762	278988	Linda
726762	315939	
726762	344593	The Contessa
726762	348150	
726762	356013	
726762	409936	Emma (2002-)
726763	405396	
726764	387	
726764	17287	coppia della Mercedes, lei
726764	22000	Rita
726764	92473	
726764	163695	
726764	212394	Roberta
726764	215014	
726764	338882	Matilde
726764	351979	
726764	380055	Rita
726764	380056	Clara
726764	380057	Clara
726764	380986	Cecili/Winna
726764	380987	Pinocchio
726764	386399	Suor Teresa
726764	388733	Alice
726765	18827	Tango Singer
726766	71283	
726766	104078	
726767	12247	Helen Henderson
726767	139577	The Ace Trucking Company
726767	162567	Stag Film Scene/Sue
726767	194116	Front Desk Sergeant/The Gribb
726767	199201	The Woman
726767	277254	Patient Attorney
726767	367405	Human Resources #3
726767	400874	Jo Keene
726768	14928	
726768	41770	
726768	41771	Nora
726768	51106	
726768	55929	
726768	57434	Sylvana
726768	69007	Diana/T009
726768	74768	
726768	83887	
726768	84018	Carol
726768	90113	
726768	96270	
726768	148155	
726768	158901	Dr. Isabel Reed
726768	206996	
726768	207968	Samantha
726768	214657	
726768	221962	Gloria/Batwoman
726768	223621	Diana
726768	257317	Eritrea
726768	265163	
726768	270890	
726768	287854	Afrodita
726768	300868	
726768	309347	
726768	317678	
726768	328725	Female spy
726768	339155	
726768	350166	
726768	351267	
726769	79094	Chanteuse
726770	254062	Female Bum
726771	263947	Figlia del Capobanda
726771	348185	Rita's mother
726771	355892	Silvia
726772	197537	
726773	26688	
726773	252658	
726773	257023	
726774	67104	Cinzia
726775	160979	
726776	90658	
726777	77183	
726778	8049	Claudia
726778	19738	
726778	58196	Sofia
726778	71165	Isabella
726778	89870	
726778	113456	Silvia
726778	120931	Margarita
726778	127937	Helene
726778	170109	Cat
726778	183596	Miss Millbanke
726778	196733	Deborah
726778	204608	Linda De Carmine
726778	212123	Actress at Press Conference
726778	212124	
726778	213805	
726778	270332	
726778	274918	Samantha
726778	285576	
726778	308889	Jacqueline
726778	376717	
726779	70745	
726780	55941	
726780	205997	
726780	213765	
726781	7841	
726781	19822	Anna Swift
726781	78920	Nicky
726781	97513	
726781	100192	Anne Winter
726781	138210	Kate
726781	141596	Victoria
726781	223940	Hilary
726781	234677	Niki
726781	301945	Anna
726781	305492	Jacqui Shaw
726781	363796	Mrs. Cable
726781	387531	Princess Le'utu
726781	388323	Luciana Rossi
726781	391869	Helen Poulos (#2) (2002)
726782	385876	Lulucha
726783	387531	Mary-Anne
726784	66806	Prostitute
726784	199978	
726785	161782	Agnès Reverdon
726785	333845	Colette Vignaux
726785	355882	
726786	50132	
726786	77256	
726786	284317	
726787	243055	
726788	103837	
726789	121578	Herself
726790	377188	
726791	110745	
726792	52117	
726793	379890	Serafina
726794	49099	
726795	106995	
726796	6625	
726796	51709	
726796	59204	
726796	68642	Mama de Marisol
726796	70079	
726796	74145	
726796	83491	
726796	101844	
726796	103846	
726796	131116	
726796	137613	
726796	145255	
726796	221723	
726796	246415	Novia de joven
726796	267409	Maria
726796	277136	
726796	277390	
726796	287005	
726796	287861	
726796	287900	
726796	351644	Susana
726796	399572	
726798	14746	
726798	14756	
726798	29802	Graciela
726798	52110	Nelly
726798	53125	Susana
726798	53986	
726798	74518	Nelly
726798	80269	
726798	103721	
726798	205607	
726798	207975	
726798	212387	
726798	235298	Dolores
726798	247412	
726798	266895	
726798	271991	
726798	273663	Beatriz Carvajal
726798	291602	
726798	292739	
726798	300678	Fanny
726798	306821	
726798	348938	Andrea
726798	353592	
726799	8724	Rosario
726799	10501	
726799	18374	Herself
726799	19444	
726799	21582	Herself
726799	28795	
726799	33489	
726799	53639	
726799	53640	Herself
726799	54332	Angustias
726799	55219	Carmen
726799	55941	
726799	56052	Teresa
726799	64023	Ana
726799	69470	Elena
726799	76013	Dora
726799	77231	
726799	90189	Antonia
726799	90528	
726799	99339	
726799	100101	
726799	100589	Rosario
726799	103160	Soledad
726799	115040	Herself
726799	118158	Herself - Performer
726799	119861	
726799	154543	Herself - Presenter: Best Mus
726799	193340	Aldara
726799	202021	Soledad
726799	205977	
726799	212542	
726799	213412	
726799	216095	
726799	221424	Presenter
726799	221967	
726799	229208	María Teresa
726799	243509	Herself
726799	251556	
726799	252612	
726799	255500	
726799	260516	
726799	275076	
726799	275946	Esperanza
726799	283360	Yellow Moccasin
726799	286565	
726799	288060	Herself
726799	291641	
726799	291681	
726799	294692	Juana Montes
726799	317181	Maria Stevens
726799	326338	Ana María
726799	342064	Violeta Riscal
726799	349334	Herself - Presenter: Best Spa
726799	350662	
726799	351970	Nina
726799	353573	
726799	353664	
726799	354903	Soledad
726799	371708	
726799	371749	
726799	374611	
726799	376819	
726799	378423	Maria Luján
726799	404298	Sara
726800	69004	
726801	380946	
726802	380931	Sekretärin/La secrétaire
726803	321483	Moïra
726804	81044	The maiden
726805	23448	Girl on Titanic
726805	182958	College Girl
726806	216233	Courfayrax
726807	104233	La nouvelle locataire
726808	290347	
726809	255488	
726810	201302	Kokiri (mamá de Nicky)
726810	242678	Vicentita
726811	247174	
726811	381024	Mara
726811	381904	Herself (Winner 2002)
726811	387805	Galilea
726811	392029	Aline Mena Mora
726811	402050	Valeria Ríos
726811	403446	Galilea
726811	408855	Maricruz (1999-2000)
726811	409017	Resignacion
726811	410109	Host (2001-???)
726812	88796	
726814	52074	Ángela
726814	153785	Enfermera
726815	12102	
726815	216073	
726815	357892	
726817	381	
726817	212094	
726818	256454	
726819	85462	
726819	166960	
726819	248236	
726819	248535	
726819	251572	
726819	344810	(segment "Vingança")
726819	344856	
726820	134178	African band
726821	163005	Giulietta
726822	338602	
726823	161568	L'infirmière
726824	69522	Collègue d'Isabelle
726825	307755	
726826	236610	
726826	282489	
726827	228650	
726828	217745	Art History Student
726829	27778	Anne
726830	320076	Reporter #2
726831	235031	Scenografa
726832	386618	Contestant
726833	44380	Christine's Mother
726834	9692	
726834	140701	Carmen Castro
726835	25066	
726836	165765	Catherine M.
726837	41319	
726837	61855	Dee Dee Shore
726838	139383	
726838	172516	
726839	270991	
726840	99590	Assistante de D. Bill Clinton
726841	326389	Petra
726841	383271	
726842	20751	Esmeralda
726842	55978	Maria
726842	60693	
726842	63890	
726842	75250	Manuela Benelli
726842	86757	Stefania
726842	214002	Elvira Caliciotti
726842	219705	Mother
726842	234901	Clothilde Francini Bruni
726842	255112	Simonetta
726842	399715	Linda Viola
726843	23539	Bandage maker
726843	44574	
726843	51224	La psychiatre
726843	71822	Mme Bercot
726843	77422	
726843	129121	La secrétaire du ministre
726843	201206	
726843	243345	
726843	248423	
726843	269088	Marjorie
726843	270620	
726843	284180	
726843	356974	
726843	384212	
726843	410309	
726844	28020	
726845	355958	
726846	364281	Extra
726847	137504	Maria San Carlos
726848	304051	Wanda (police dispatcher)
726849	134280	Wabiken Lodge Dancer
726850	65384	
726851	114873	Dancer: Grupo Cobo de la Peña
726852	114873	Dancer: Grupo Cobo de la Peña
726853	114873	Dancer: Grupo Cobo de la Peña
726854	22770	Teenager
726854	252750	
726854	264264	Tamara
726854	265515	Ifi
726854	275070	Luzma
726855	9841	
726855	23091	Mary
726855	28987	
726855	51809	
726855	55910	
726855	61191	
726855	61197	
726855	65000	
726855	66080	
726855	70670	
726855	77430	
726855	80239	
726855	83489	
726855	87622	
726855	94842	
726855	109266	
726855	120908	
726855	121960	
726855	146478	
726855	146508	
726855	157323	
726855	160087	
726855	171461	
726855	189013	
726855	193550	Doña Luz
726855	199915	
726855	209036	
726855	209066	
726855	222012	
726855	233624	
726855	265548	
726855	269918	
726855	286989	
726855	287697	
726855	287854	
726855	324093	
726855	328194	Josefina, Madre de Teresa
726855	328716	Socorro
726855	329050	
726855	337567	
726855	339086	Chayito
726855	339134	Ana (episode El Ladron)
726855	339988	Elvira
726855	343632	
726855	350262	María Teresa
726855	353226	
726855	353562	La Señora Arriega
726855	355745	Casera
726855	376732	
726855	379118	Gumersinda
726855	379206	
726855	380084	Anna
726855	381650	Virtudes
726855	384190	Doña Luisa
726855	384395	Casilda
726855	384899	Lola Jiménez y Muro
726855	385250	
726855	385401	Manuela
726855	385943	
726855	386647	
726855	386679	
726855	386738	
726855	386786	
726855	386867	
726855	387603	
726855	387623	Martha
726855	387682	Sarah
726855	387874	
726855	390404	Trini
726855	390868	
726855	391421	Catherine
726855	391422	
726855	391638	
726855	391966	
726855	392653	Antonia Arizmendi
726855	395474	
726855	395839	
726855	397462	
726855	397869	Mother Abbess
726855	398455	
726855	398485	
726855	398798	
726855	398804	
726855	399535	
726855	401690	Aunt Emilia
726855	402290	
726855	402404	Doña Hipólita
726855	402406	
726855	403257	Candelaria
726855	403873	Refugio
726855	404806	
726855	404828	
726855	404869	Cruz
726855	405414	Elise
726855	405867	
726855	407860	
726855	409782	Berta
726855	409907	
726855	410081	Esperanza
726855	410474	
726855	412180	
726855	412188	
726856	370051	Fourth Couple Woman
726857	137658	Little Girl
726857	301677	Little Girl on Santa's Lap
726858	19495	
726859	271990	Lori
726860	38065	Party People
726861	73475	Nurse
726861	153156	Moaning Low, an Indian
726861	331333	Switchboard Operator
726862	128142	Nurse
726863	412158	Herself
726864	108314	
726865	51522	
726865	295147	Child from San Raphael
726865	355781	
726866	2441	
726867	5000	
726868	26717	Peon
726868	26802	Indian Woman
726868	45946	Joe's Wife
726868	108954	Crow woman
726868	128332	Tijuana Basket Vendor
726868	133809	Heyoka
726868	142462	
726868	194834	Eskimo Woman
726868	212196	Woman
726868	223953	Indian Woman
726868	241819	Juanita
726868	272921	Indian woman
726868	278494	Rosa
726868	330205	Maria
726868	355831	Wife
726869	135067	
726870	3443	
726870	12028	
726870	99321	
726870	121270	
726870	266441	
726870	307720	
726871	303362	Mary
726872	390745	Griselda Rojas
726873	125411	
726873	242678	Michelina
726873	253033	Adela Baroni
726873	381152	
726873	389642	
726873	390657	
726873	398485	
726873	398550	
726873	402052	
726874	24603	Risco's wife
726875	197078	Marcie (Voice)
726875	319516	Rosita (Voice)
726876	87760	Kid Clown
726877	397015	
726877	401694	Dr. Ana María Torreblanca
726877	405835	Úrsula Chávez
726878	114873	Dancer: Grupo Familia Farrudo
726879	412123	Consuelo Guerrero (younger)
726880	116284	Brazilian Singer/Dancer
726881	114873	Dancer: Grupo Familia Farrudo
726882	86903	
726883	309061	Child in bullfighting ring
726883	378974	Mariu
726883	379459	Juan and Sofia's Dougther
726883	387681	Melissa
726884	396852	Itzel (2004)
726884	409908	Yolanda Montero
726885	384501	Abril
726886	9884	Stunning Tejana's Mother
726887	196571	Plutonia
726888	340845	Herself (interviewee)
726889	131128	Titanic girl
726890	32052	Dance Teacher
726891	370051	4th Couple Woman
726892	44337	Mae
726892	142351	Old Woman
726893	64657	The Black Singer
726894	55881	
726894	381504	Mme Olivier
726895	29704	
726895	262127	Dancer
726896	1578	Femme a la dicapotable
726896	71338	Yannie
726896	111089	
726896	198337	Nanette
726896	338005	
726897	24626	Narrator
726897	32266	
726897	43330	Anne
726897	51451	Waitress du snackbar
726897	62525	
726897	66709	Louise
726897	68377	
726897	83282	Narrator
726897	97247	Sylvie
726897	98789	Henriette
726897	116479	Henriette
726897	136787	Michele
726897	158824	Isabelle
726897	161793	Charlotte
726897	174704	Katryn
726897	183046	Narrator- French version
726897	254116	Femme de ménage
726897	261273	Madelaine
726897	288948	Marie-Claude
726897	307101	Soho
726897	315484	Vivianne Kennelly
726897	350622	Mme Joubert
726897	382196	Marie-Louise
726897	385684	Mirabella Romario (1999)
726897	386497	Leslie Derome
726897	396835	Jeanne Letellier
726897	397043	Charlotte Vezina
726897	398078	Franny Anderson
726897	400855	
726897	404018	Janie Dufour
726897	406031	Mireille Tanguay
726898	38660	Belles of 1861
726899	13116	Alban, Françoise
726899	43656	
726899	59249	
726899	94391	
726899	257212	Dancer (segment "Le Masque")
726899	300662	
726900	115208	Ida, Adele's sister
726901	135138	
726903	108902	Louba, as a child
726904	55936	Market Girl
726904	244087	Friend
726905	55936	Alina
726906	92968	
726907	5166	Mrs. Chatsworth
726907	308352	Mother in Commercial
726907	391118	Mrs. Harrison
726908	28989	
726908	48613	Skaguay Belle
726908	54944	Lao Belemar
726908	71629	Mrs. Palmer
726908	71707	Maude Howitt
726908	81075	Cynthia Maitland
726908	213470	'Hard-boiled' Molly Malone
726908	245031	Jane Forsythe
726908	285180	Princess de Marabole
726909	13990	Girl at Bar
726909	64815	Didi
726909	245468	Airport patron
726909	277471	Rhinestone Heckler
726910	168916	
726911	59340	
726912	234194	Florence Wellington
726913	204581	
726914	204581	
726915	55877	
726915	236527	
726916	199571	
726916	266180	Young Kingsley's Date
726916	301798	Michele
726916	404613	Dr. Aja Doyan (1982-1983)
726917	63093	Julie (French version)
726917	84897	
726917	270343	Tommy (French version)
726917	384536	Clémentine
726917	386922	Bulma (French version)
726917	398102	Yaka la Pangoline
726917	402732	Bentley Raccoon (1987-1991)/J
726917	405718	Schtroumpfette
726917	405972	Mère
726917	410451	Romi
726918	328674	
726919	383471	Alfonsina Núñez
726919	385392	Margarita
726919	385873	La Beba Valverde
726919	399084	Angelita
726919	399525	Mariali
726920	85613	
726921	236021	
726921	354041	
726922	383471	Juanita Pérez
726922	385392	Clarita
726922	396852	Teresa 'Teresita'
726922	399084	Camila
726922	399525	Biri
726923	349424	Alice
726924	380059	
726924	399084	Laila
726924	410477	
726925	383684	Chenchu
726926	376187	Spanish friend
726927	53124	
726927	53648	
726927	55966	
726927	61951	
726927	62201	
726927	68720	
726927	68955	
726927	77235	
726927	88799	
726927	90192	
726927	132706	
726927	140563	
726927	146452	
726927	148104	
726927	206571	
726927	210176	
726927	212469	
726927	246937	
726927	248227	
726927	301185	
726927	317677	
726927	353982	
726928	12068	Dona Cristina
726928	64379	
726928	109506	
726928	154881	Streetwalker
726928	199403	Suzie
726928	281864	Señorita González
726928	291741	The Infanta of Spain
726928	318246	Maid
726928	331551	Fortune Teller in Algerian Ca
726928	378427	
726929	57747	Inmate
726930	410148	Herself
726931	16546	
726932	196858	Miss Monture
726932	231311	Woman in gift shop
726933	240483	Sherry
726933	265757	Young Woman
726934	161238	Herself
726934	161245	Herself
726934	161256	Herself
726935	233334	
726936	54255	Carmen
726937	284249	Madame Del Pozzo
726938	45746	Marguerite d'Andolfi
726939	14773	
726939	236615	
726940	13194	Marcelita
726941	10224	
726941	13514	
726941	14708	
726941	15319	
726941	19252	
726941	19710	
726941	30856	
726941	54427	Rosita
726941	55372	
726941	56133	
726941	63408	
726941	66374	Corinne
726941	74596	
726941	91425	
726941	94677	Mary
726941	94731	Manuela
726941	99059	
726941	102400	Omphale
726941	102502	Wa-ta-wa
726941	104171	
726941	104819	Mara
726941	110103	Elena
726941	118839	
726941	121476	
726941	127462	Lola
726941	149520	
726941	151797	Marcela
726941	162766	Beth Christianson
726941	192982	
726941	197146	
726941	205001	
726941	205027	
726941	206552	
726941	206569	
726941	211067	
726941	234560	Sofia
726941	241086	Esther
726941	252681	
726941	265923	
726941	266861	
726941	276800	Petra, Chico's Wife
726941	286291	
726941	295145	Sybil
726941	317669	
726941	320288	
726941	327077	
726941	329147	Mulatta Girl
726941	353599	
726941	378396	
726941	378449	
726941	391445	
726941	393016	
726941	409956	Carmen
726942	104819	
726942	322714	Mujer 1
726943	276605	Lisa
726944	7528	Une italienne
726944	15069	Mme Ligeois
726944	68326	La Naccheri
726944	91461	Josefa Tosi
726944	103203	Madame Bernhardt
726944	149679	La mère Fromont
726944	160016	Zaza
726944	386801	(1970)
726945	202209	
726945	202210	
726945	287426	
726946	258899	
726947	278422	
726948	84245	
726948	91173	
726948	103510	
726948	202209	
726948	202210	
726948	211150	
726948	225561	
726948	287847	Bargirl
726948	343731	
726949	74865	Corajuda
726950	20828	Line, la mère
726951	372389	Little June
726953	296936	Michelle Lam
726954	375049	Andrea
726954	396152	
726955	129879	
726955	189577	Babs
726955	244684	Tina
726956	283385	Helen Polino
726957	342669	Gabi
726959	263795	DC Lorna Greaves
726959	265793	Clem
726959	341623	Guam Ravillion
726959	386869	Geraldine
726959	399192	Hunter
726959	403239	Rachel
726960	394003	Presenter
726961	315885	Secretary in Employment Offic
726962	282798	TV Reporter
726962	313481	Boushh/Gungan hovercraft capt
726962	313482	
726962	313492	Depa Billaba
726963	67709	
726964	387533	Alison Gibbons (1973-1975)
726964	391579	Lyn
726964	406352	Mrs. Jackson
726964	408005	Janet Eccles
726966	118684	Melanie
726967	128585	Young Hannah
726968	146657	Child
726969	194130	Staff Nurse
726969	330681	Janet
726969	391092	Samantha Cartlton-Hamilton (1
726970	241444	
726971	254417	Leonora
726972	52733	Ruth Penryn
726972	59197	Constance Channing
726972	183328	Violet Meredith
726972	321698	Grace Repton
726973	45853	Mum (Vera Cosgrove)
726973	141666	Miss Waller
726973	194497	Lobelia Sackville-Baggins (ex
726973	289523	Mabel
726973	341939	Girl in Headshots and Auditio
726973	346228	Mrs. Marwick
726974	86892	Waitress
726974	333517	Diner Waitress
726975	398050	The Winner (2000)
726976	77982	Jenny Earl
726976	194027	Ylva
726976	203240	
726976	208035	Lisa Grant
726976	316895	Claire
726976	331558	Barbara Drew
726976	389331	Olga Yevchenko (1968-69)
726976	397790	Lady Blake
726976	407399	Marian
726977	131983	Party Kid #1
726977	264785	Biker chick
726978	105101	Woman Judge #1
726978	139461	Reporter
726978	195685	Rita
726978	405960	Liz Smith (1984)
726979	363422	2nd girl
726980	319729	
726981	55045	Victoria Johnson
726981	59528	Minerva
726981	87936	Kathryn
726981	99386	Mrs. Douglas
726981	103345	Lindsay Brown
726981	105448	Felicia Allen
726981	112301	Alice Martin
726981	116078	
726981	130972	Melanie Foster
726981	184946	Carole
726981	185372	Hope Whitmore
726981	194844	Janet Williams
726981	208054	Harley
726981	232438	Diane Emery
726981	239394	Arvelle
726981	272972	Elizabeth Butler
726981	272973	Elizabeth Butler
726981	291228	Denny
726981	307898	Lisa Keller
726981	322631	Susan
726981	336815	Leslie
726981	339429	Penny
726981	358274	Marion
726981	363808	Molly
726981	365883	Lynn
726981	380823	Selena Cobb
726981	387218	Nurse Julie Williams
726981	389858	Florence Campbell (2000)
726981	394676	Patricia Williams (1988-1990)
726981	402454	Additional Voices
726981	403728	Irene Harvey
726981	403730	Irene Harvey
726981	405769	Polly Dawson (1979-1981)
726981	407958	Tracy Curtis Taylor (1974-197
726982	279125	
726983	142935	Moody
726984	58672	Girl in Classroom
726985	44899	Chorine
726985	77805	Chorus girl
726985	163544	Dancer, Cheko Girl
726985	176358	1934 Goldwyn Girl
726986	140990	Sandra
726986	345857	TV field reporter
726987	179972	Herself
726987	181160	Herself
726987	206828	Herself
726987	315384	Herself
726987	333107	Herself
726987	376108	Herself
726988	161936	
726989	97644	College Dorm Girl
726990	18572	Mrs. Phillips
726990	20263	Molly
726990	25150	Mrs. La Rose
726990	26806	Nina Burke
726990	37399	
726990	41045	Marcia Saville
726990	47332	Fay King
726990	47359	Texas Guinan
726990	50948	Tex
726990	58655	Peggy Royce
726990	69420	Dupree
726990	117443	Ruby
726990	163309	Bernice
726990	171216	Rene
726990	193822	Bee
726990	261615	Ruth Goldman
726990	276379	
726990	297385	Mrs. Doolittle
726990	335457	Peggy Shaw
726991	392809	Herself
726991	412064	Herself
726992	177218	
726993	405639	Sharon Robinson
726995	255629	Dochtertje Arme man
726996	369899	Dr. Ameelia Kasesalu
726997	20625	Extra
726997	46396	Kid
726997	67795	Judy Coffman
726997	198539	Eve Kettle
726997	198541	Eve Kettle
726997	198542	Eve Kettle
726997	198544	Eve Kettle
726997	198545	Eve Kettle
726998	190869	Hula Teacher
726998	314980	Additional Voices (Hula Teach
726999	279709	Woman in the toilets
727000	160932	Host
727000	215696	Miss World 1999
727000	268107	Sheetal
727001	185964	Restaurant Patron
727002	97306	Stacy
727002	107505	
727002	121520	Jean
727002	129119	Diane
727002	168634	Pharmacist
727002	193951	Natalie Berger
727002	196024	Anne
727002	201311	Charlene Helenius
727002	241651	Jamie
727002	241872	Betty
727002	272739	Nyla
727002	273926	Lisa Sahadi
727002	282616	Cleopatra
727002	285357	Female Contestant #2
727002	335863	Chris Marlowe
727002	384367	Ruby (1999)
727002	398209	Network Executive
727002	399335	Gillian Soros
727003	51991	The Whip
727003	59574	Libby A.N.C.
727004	369327	
727005	41282	Leann
727006	297754	Dead People
727008	121240	Bella
727008	185409	Izzy
727008	280083	Tina
727008	303538	Jeseca
727008	346361	Ava
727008	361224	Photoshop Staff Member #2
727008	406279	Bernice Brown
727009	404972	
727010	223268	The Wild Mustang
727011	300216	Shelly
727011	310743	
727013	117651	Bartender
727014	86778	
727014	342551	
727015	249268	Terminator Woman
727016	202285	Harrah
727017	46266	
727017	120885	
727017	204892	
727017	279129	Anne
727017	280311	Mrs. Uglow
727017	334093	Annette
727018	226929	Student
727019	40536	Moira
727019	55683	Sally
727019	55686	Joy
727019	118653	Schoolgirl #2
727019	214423	Persephone
727019	384475	Rose Bivaque
727019	392190	Christine Cropper
727019	409343	Skydiver Operative Lt. Sylvia
727019	409644	Erotica
727019	411794	Miss Finch
727020	56967	Girl in Derelict House
727021	296752	Exotic Dancer
727022	147980	Herself (with Rev. Moon)
727023	385299	Doreen Holihan
727024	9458	
727024	227179	
727025	29606	Ji-yeon
727026	986	
727026	2211	
727026	3071	
727026	3072	
727026	8293	
727026	8326	
727026	9613	
727026	20063	
727026	28800	
727026	29259	
727026	36353	
727026	36592	
727026	48528	
727026	49192	
727026	60621	
727026	60622	
727026	61531	
727026	76659	
727026	85654	
727026	89523	
727026	89538	
727026	90602	
727026	95076	
727026	102046	
727026	102060	
727026	106092	
727026	122834	
727026	123583	
727026	125964	
727026	125966	
727026	126787	
727026	126890	
727026	130244	
727026	135884	
727026	136324	
727026	136375	
727026	136418	
727026	136435	
727026	136573	
727026	137356	
727026	137358	
727026	144259	
727026	144267	
727026	144271	
727026	144313	
727026	147569	
727026	147574	
727026	153448	
727026	153511	
727026	156034	
727026	159654	
727026	160151	
727026	162622	
727026	163825	
727026	165111	
727026	165546	
727026	165550	
727026	166799	
727026	166812	
727026	167936	
727026	169004	
727026	169008	
727026	190913	
727026	199951	
727026	202957	
727026	204131	
727026	217346	
727026	219666	
727026	222821	
727026	224490	
727026	226539	
727026	226547	
727026	226548	
727026	226560	
727026	226567	
727026	226585	
727026	227052	
727026	227197	
727026	227406	
727026	227408	
727026	228191	
727026	237689	
727026	241917	
727026	255742	
727026	268179	
727026	285231	
727026	285233	
727026	285449	
727026	285571	
727026	286003	
727026	286006	
727026	286007	
727026	286031	
727026	286634	
727026	288167	
727026	288177	
727026	293652	
727026	294472	
727026	298789	
727026	344215	
727026	364706	
727026	367956	
727026	369413	
727026	371152	
727026	371157	
727026	371166	
727026	371273	
727026	372985	
727026	373065	
727026	373149	
727027	215644	Mother
727028	98160	Jackie
727029	363734	Court Clerk
727030	152947	Billie Joe's Girlfriend
727032	129090	Herself (novice actress)
727033	411166	Ellen
727034	381821	Ensemble (1973-1974)
727035	1034	Mai-Ling
727035	2789	Teresa
727035	106985	Princess Gogatine
727035	334307	Miss Wong
727036	403970	Various Characters (Series 1-
727038	41953	Francine
727038	149362	
727038	154648	1st Showgirl
727038	158818	Jane
727039	38006	
727042	242553	
727042	257930	
727042	260773	Blonde Asian Whore
727043	120242	Sophie Patrizzi
727043	129113	Debra (Sex Addict)
727045	23623	
727045	64166	
727045	269011	
727045	269902	
727046	85077	Baby Firefly
727046	150863	Baby Firefly
727046	335757	Daisy Rain
727047	356247	Counter Woman
727048	28070	Sunim
727048	29604	Eun, Ho-jeong
727048	153553	Kim Min-ja/Barber's wife
727048	237646	Gong-ju Han
727049	240051	Grandmother
727050	207443	Squaw Mamma
727051	45072	
727051	57942	Barbara
727051	128756	Herself
727051	128757	
727051	150950	
727051	162298	
727051	257661	Herself
727051	332442	
727051	361854	Herself
727052	106647	Suzette
727052	184767	Glitter Dome Dancer
727052	264432	Tent Girl #2
727053	305717	Girl #2
727053	306421	So Fine Girl
727056	241627	Jannie
727057	279730	Bit part
727057	310290	Grandmother
727060	358951	Misty
727061	358951	Anna
727062	368444	
727063	388256	Baby Dorothy Hopkins
727064	346121	Beggar Girl
727065	90422	Mrs. Anderson
727066	8243	Mrs. Kirkpatrick
727066	15887	Actress
727066	46530	Mrs. Stuckey
727066	59377	Marilyn
727066	72502	
727066	80583	Mrs. Anderson
727066	89860	Theresa
727066	169211	Claudia's Mother
727066	206823	
727066	270915	
727066	289978	Ruby
727066	301830	Violet
727066	335720	Calvin's Mother
727066	335799	Mrs. Mallory
727066	385797	Mrs. Rush
727066	386960	Lillian DeBeau
727066	387989	Nurse Edna Abbott Harper
727066	394540	Sally
727067	130979	Nudist
727068	148304	Herself
727069	56996	Session singer
727070	131453	Prison Lover
727071	346271	Rat's Sister
727072	70486	Copacabana Girl
727073	192098	Princess Camille
727073	298108	Bonnie Simpson
727073	317916	Theresa Wilcox
727073	326740	Herself
727073	342512	Young Mrs. Dempsey (Segment #
727073	366298	Kessie
727073	380313	Katie Kaboom
727074	162268	Herself - Award Winner
727075	346121	Bridget O'Driscoll
727076	107786	Girl in marriage market
727076	161542	Girl of the Marriage Market (
727077	119756	Bicycle Girl
727077	142372	Miss Brooke Storm
727077	379716	Stacey Coles (1975)
727078	80634	Mab
727078	81205	Old Lady
727078	141965	High school nerd
727078	313608	Gwen
727079	278011	Shelagh Richards
727079	330860	
727080	234901	Lucia Age 2
727081	295284	Undetermined role
727082	132540	
727082	343492	Dodo
727082	359661	Helga
727082	383052	Miss Vivi Carlson
727082	390520	Jenny (segment "Mission secrè
727083	381473	Shadow (1997-)
727084	379738	Herself - Panellist
727084	382246	Herself
727084	386714	Herself - Co-host
727085	1265	
727085	44945	Raja
727085	83260	Dahoumy
727085	346646	Sabine
727085	363528	Congregation Girl
727085	384578	Calypso
727086	50377	
727086	50395	
727086	128634	
727086	133921	
727086	148894	
727086	291010	
727086	333832	
727087	288474	Kelly Porter (student from pr
727088	115281	Zombie #3
727089	267565	Susan
727090	321405	Mrs. Nevins
727091	189920	Kid at Roller Rink
727091	389501	Terri (1992-1995)
727092	179924	
727093	264638	
727093	339914	
727094	133655	Barmaid
727095	54298	La reine
727096	45302	Toni
727097	72699	
727097	284830	Jacqueline (segment "Venerdì"
727097	340304	
727097	347767	
727098	395937	Trish Towns
727099	310204	The Nymph
727099	332239	Shandi
727100	387309	Betty Jean Battle Lane (1956-
727102	57381	Saba
727103	41479	Sarah
727104	313068	Waitress
727105	42260	The Young Woman
727105	64494	
727105	97495	
727106	231078	Argosy Ballroom Singer
727106	304443	Has Change
727106	363351	Self
727107	13378	Snake Charmer
727107	55417	Snake Charmer
727107	213453	Snake Charmer
727107	260419	Snake Charmer
727108	37326	AKA Jill Kelly
727108	55093	AKA Jill Kelly
727109	137453	Mona
727109	250830	First Secretary
727110	25879	
727110	34758	
727110	85775	
727110	87361	
727110	100956	
727110	105370	
727110	113992	
727110	154305	
727110	190738	Herself
727110	195069	
727110	228592	
727110	242073	
727110	303985	
727110	313234	
727110	313268	
727110	321160	Herself
727110	327624	
727111	26137	Queen of Hearts
727111	92247	Woman
727111	112531	
727111	255146	Miss Centerville
727111	367413	Anna Masters
727112	411296	Herself
727113	107125	Daughter (Family In The Park)
727115	37331	DeeDee
727115	85248	Dee Dee
727115	85250	Dee Dee
727115	386242	Dee Dee (#1) (rotating role) 
727116	265111	Student
727117	47922	Child
727118	335839	Julie Carmen
727119	6507	Amber
727119	291025	Veronica
727121	9142	Elsa Conrad
727121	92618	Dr. T's Patient
727121	203584	Maxine Jeffrey
727121	243934	Miss Shaddock
727121	245649	Jan
727121	254867	Linda
727122	16774	Herself
727123	7212	Patty
727123	76220	School Board Member
727123	90345	Jocelyn
727123	120248	Nurse #2
727123	155070	Wife
727123	190230	Airport Guard
727123	252961	Staci
727123	306223	Lucy Watkins
727123	311005	Reporter #2
727123	342925	Nanny
727123	344480	Mary Jo's Mother
727123	347572	Bank Teller
727123	411517	Ms. Myles
727124	56452	Betty Plate/Shirley Purvis
727124	97463	Waitress
727124	401624	Herself (1994-2000)
727124	409028	Shirley Purvis
727125	17623	Herself
727125	17624	
727125	17627	Herself
727125	17628	Herself
727125	50636	
727125	50637	Herself
727125	294851	
727125	295636	Herself
727125	324187	
727125	329560	
727126	41987	Sarah
727126	51855	Slave Girl
727126	346229	Trainee
727128	106921	
727129	215911	Rapper 4
727130	324889	Child at Corporate Site
727131	120840	Female Police Officer
727132	35688	Traci at 10 Yrs. Old
727132	108334	
727132	120205	Ella
727132	130629	Tracy Briggs
727132	133336	Marlene
727132	189242	Jean 'Nini' Farrow
727132	236083	Young Chrissy DeWitt
727132	302312	Sally Simms
727132	399978	Alpha/Donna Archipenko
727133	75030	
727133	75059	
727133	228001	
727133	228461	
727133	253650	
727133	306917	
727134	59729	Baby Granddaughter
727135	767	
727135	781	
727135	23961	
727135	27026	
727135	34751	
727135	34776	
727135	34840	
727135	37792	
727135	196528	
727135	264126	
727135	302251	
727138	15041	Model 2
727138	83834	Frank
727138	402355	
727138	409439	Jennifer
727139	80878	Montana
727139	87051	
727139	142333	Lisa
727139	151670	Lisa Rogers
727139	396681	Lisa Rogers (1967-1968)
727140	133421	
727141	1793	Herself (Miss December 1992)
727141	2275	Herself
727141	24430	Fembot
727141	31677	Snow Cone Girl
727141	52312	Herself
727141	75766	Hope
727141	114584	Rosanne Barton
727141	118515	Casino dealer
727141	125425	Herself
727141	257608	Herself
727141	257626	Barbara Moore
727141	257651	Herself (Miss July)
727141	257661	Herself
727141	257662	Herself
727141	257822	Herself (Miss December 1992)
727141	327641	Champagne Glass model
727141	361855	Herself
727141	365344	Mary Johnson
727142	2434	
727142	37225	
727142	56575	
727142	67137	
727142	81788	
727142	87383	
727142	99129	
727142	109339	
727142	110917	
727142	131323	Herself
727142	139064	
727142	152974	
727142	158592	
727142	182951	
727142	237110	
727142	237135	
727142	241765	
727142	243093	
727142	247989	
727142	295936	
727142	301307	
727142	310374	
727142	319480	
727142	334735	
727142	335929	
727142	338348	
727142	346122	
727142	346288	
727142	353308	
727142	369331	
727142	369898	Self
727142	411601	Veronica Caine (2001-)
727143	347983	Herself (pea-shooter)
727144	323726	
727145	192726	Jeannie
727146	137259	Von Tussle Pickets
727147	363298	
727148	239616	Lee Ann Deehart
727150	35658	Mother of the bride
727150	387497	Renee Cline
727151	109777	Actor
727151	333120	Allisa
727151	384157	Mona
727152	77716	Zulma
727152	308344	Nurse
727154	307690	Rosie Solomon
727155	168326	Lady at Doo Wopp Party
727157	34828	
727157	50395	
727157	198077	
727157	327782	
727157	333830	
727158	255357	Mother
727159	26381	Baby Sarah (aka Melissa)
727159	404282	Samantha Eden Wainwright [#2]
727160	232181	Tasia
727161	81168	Model #2
727162	244809	Dawn
727163	224729	Natasha (11)
727164	197528	Diedre
727164	232085	Meg
727164	270971	Linda
727164	335235	Tommy Jo
727164	386750	Bebe Barnes (1964-1966)
727164	396146	Chris Carmichael (1962-1965)
727165	13850	KCQN Anchorwoman
727165	14157	Heidi Metzler
727165	82333	Emcee
727165	107833	Aunt Tina
727165	185174	Reporter
727165	236117	Lesbian #2
727165	309896	Faye Grimes
727166	97323	Jazz
727166	97338	Jazz
727166	97339	Jazz
727166	282684	Jazz
727166	318841	Jazz
727166	320140	Jazz
727166	340399	Jazz
727166	368826	Jazz
727166	368832	Jazz
727166	369203	Jazz
727166	369207	Jazz
727166	369208	Jazz
727166	369212	Jazz
727166	369213	Jazz
727166	369215	Jazz
727166	369244	Jazz
727166	387279	Jazz (1999-2001)
727166	388101	Jazz (1999-2000)
727166	402907	Jazz (2001-)
727166	406933	Jazz (2001-)
727166	411545	Jazz (2001-2002)
727167	47977	Chewlynndit
727167	73827	Chief's daughter
727167	140636	Make-up Artist
727167	175841	Ex-Wife
727167	176526	Friend
727167	176905	Bank Teller
727167	236222	Flight Attendant #2
727167	277082	Agnes
727167	281836	Shining Water
727167	311654	Dawn Starr
727167	367282	Deputy Turnbull
727167	399741	Rita George
727167	408458	Sherry
727168	81571	
727169	219250	Jumbo's Restaurant Patron
727170	308928	Midwife
727171	154652	Woman in Clinic
727173	151633	
727174	2960	Herself/presenter
727174	3079	Herself - Presenter
727174	108477	Primo Tribute Singer
727174	405038	Candy
727175	321452	American Woman on TV
727176	2073	Nancy
727176	2075	
727176	99082	Miss Sandwich
727176	109725	
727176	113928	Catlin Connors
727176	135591	
727176	147557	
727176	166885	Mrs. Weir
727176	277622	Cartier Clerk
727176	308126	Lettie
727176	339399	Singer
727176	361169	Officer Ma/Mistress Ma
727176	402605	Mrs. Perkins
727177	147516	
727177	276196	Moana (segment "Aart and Joht
727177	291969	Katya Waitzkin
727179	6964	
727179	31217	
727179	34817	
727179	34899	
727179	36925	
727179	36926	
727179	49500	
727179	60290	
727179	115059	
727179	128635	
727179	128869	
727179	150151	
727179	152663	
727179	193772	
727179	201571	
727179	261289	
727179	327782	
727179	333823	
727179	333827	
727179	333829	
727179	333831	
727180	371075	Young Tess
727181	195771	Person in Restaurant
727182	68754	Elaine
727182	292232	
727182	309158	J-Wags Patron
727182	358659	Jocelyn Colby
727182	366906	Butterfly
727182	392340	Amy Sweeny
727182	396359	Various (2003)
727182	407929	Laurie Forman (2003-)
727183	339865	Angela Williams
727184	32241	Club Patron
727185	10330	Alexa
727185	26725	Ambulance Driver
727185	50207	Mrs. Rummage
727185	52686	Little Girl's Mother
727185	65501	Greer's Widow
727185	100109	Jayme Mullane
727185	168733	Bianca Tartaglia
727185	178098	Mrs. Bodger
727185	189987	Nurse
727185	222632	Janice
727185	233786	Mrs. Foster
727185	267163	Theo
727185	290922	Jenny Spede
727185	328754	Mrs. Crick
727185	365564	Nanny
727185	386960	Kara
727185	390416	Mavis O'Connell
727185	390574	Ophelia
727185	400212	Pat Tollit
727185	404138	Additional Voices
727186	177523	Damsel in Distress
727186	321401	Nate's Secretary, Marcia
727186	384697	Hostess
727187	277701	Herself
727188	27210	Blurry Woman in Mall
727188	305569	Clare
727189	154000	Chambermaid
727190	3024	Hal's Date
727190	27926	Peggy
727190	46993	Cousin Louise
727190	69552	Lureen/Ruth Culver
727190	123347	Sally
727190	133673	Vivacious girl
727190	146723	Julie
727190	147394	Dora
727190	152911	Pat Sheldon
727190	240470	Myrna Bowers
727190	241368	Mary Adams
727190	244441	Sherry Stewart
727190	245689	Lily Krenska, alias Lila Cran
727190	246183	Ruby
727190	278591	Peppie
727190	316085	Margo
727190	330878	
727190	332167	
727190	367913	Mae
727191	3051	Herself
727191	7535	Fanny Illington
727191	13929	Herself
727191	19296	Maggie Muldoon
727191	27166	Ruth
727191	33922	Crowd extra in chariot race
727191	47452	Mercy Boone
727191	47497	Mary Ellis
727191	50180	Mazie Palmer
727191	67859	Moyna Killiea
727191	68482	Tatyoe
727191	75861	Sylvia Sturgis
727191	83583	Maggie Fortune
727191	84984	Indora
727191	87035	
727191	97895	Kitty Haskell
727191	99329	Ella Cinders
727191	114950	Patricia Fentriss
727191	115638	Gilda Lamont
727191	116902	Betty Murphy/Fifi D'Auray
727191	117884	Penelope Mason
727191	138256	Marjorie Houston
727191	138685	Mary Randall
727191	143028	Mary
727191	143456	Mary Brown
727191	146137	The Girl
727191	149383	Patience Thompson
727191	153006	Bela
727191	162207	Irene O'Dare
727191	163329	Fernie Schmidt
727191	190105	Herself
727191	190753	Jeannine Berthelot
727191	191594	
727191	192140	Annie
727191	194215	Perla Quaranta
727191	195101	Mavis
727191	203189	Rosine Delorme
727191	228587	Bernice Sumners
727191	232889	Ruth Blake
727191	236221	Sarah Juke
727191	238897	Lady Kay Rutfield
727191	239602	Margaret
727191	243215	'Pink' Watson
727191	246720	Ellie Byrne
727191	252880	Tommie Lou Pember
727191	261997	Sally Garner
727191	264044	Maid
727191	280828	Mary
727191	286114	Sally
727191	288973	Lizette
727191	289601	Hester Prynne
727191	304310	Gwen
727191	305075	Mary Virginia
727191	305607	Kathleen O'Connor
727191	306394	Selina Peake
727191	306445	Grace Miller
727191	306765	Patsy Shaw
727191	317972	Sarah Griswold
727191	321939	Betty
727191	331887	Mary McGinn
727191	341927	
727191	342583	Twinkletoes
727191	358694	Idalene Nobbin
727191	360437	Mary Sundale
727191	362742	Mary Harrison
727191	364539	Pert
727191	365625	Jeanne Fitzpatrick
727191	391836	
727192	283006	Pretty Girl
727193	163404	Timid neighbor
727193	318106	Beth
727194	1087	
727194	20087	Bonnie Brooks
727194	23210	Marilyn Whitaker
727194	44314	Mary Jo Benton
727194	48572	Wilma Deering
727194	48573	Lt. Wilma Deering
727194	50801	Virginia Paradise
727194	54706	Herself
727194	59648	Sheila Stuart
727194	73204	Susan
727194	82364	Josephine 'Jo' Williams/Bubbl
727194	84136	
727194	96669	Pamela Thayer
727194	96670	Drina
727194	105557	Doris Courtney
727194	118718	Phyllis Sanderson
727194	120010	Marian
727194	140478	Lonnie Lane
727194	146752	Ellen Baker
727194	154753	Carolyn Bartlett
727194	154983	Betty Gilbert
727194	157887	Belle Malone
727194	183024	Helen Curtis
727194	184948	Norma Jenning
727194	185667	Nancy Drake
727194	185991	Ruth Spencer
727194	188562	Autograph Seeker
727194	198660	Connie Curtiss
727194	212242	Alison Calvert
727194	215755	Stephanie Kirkland
727194	223397	Helen Bailey
727194	257306	Lt. Wilma Deering
727194	263083	Girl
727194	264416	Maria Shannon, Joaquin's sist
727194	273803	Girl Singer
727194	300068	Constance Ford
727194	311921	
727194	313950	Helen Evans
727194	321531	Marian Stuart
727194	323380	Ethel Caldwell
727194	363190	Bride
727194	367051	Elizabeth
727194	372116	Victoria Whipsnade
727194	411217	Chris Logan
727194	411819	Irene Forsythe #2 (1965)
727195	315781	Elizabeth St. Clair ('Non-fic
727196	80824	Tricia
727197	117647	Elizabeth Trimble-Pomfret, Nu
727197	139790	Harvey Girl
727197	221001	Blood Bank Nurse
727197	272754	
727197	303232	Waitress
727198	228090	Daphne Moore
727199	272970	Airline Stewardess
727199	283434	Reporter
727199	399233	Witness, (2003)
727200	170314	Barbara 'Honey Dew' Holiday
727201	34913	Choir member
727203	273869	Scorned Apostle
727204	49389	Flo Fleming
727204	59350	Lita Grey
727204	86263	Air Hostess
727204	130947	Secretary
727204	161517	Major Goode
727204	191300	Mathilda
727204	193621	Meg Dolby
727204	211499	Nimue
727204	213186	Hannah Bernstein
727204	240471	Hannah Bernstein
727204	309820	Direttrice Bulgari
727204	335851	June
727204	338401	Susannah Hopkins
727204	353490	
727204	359559	
727204	385824	Danielle Stevens (1992)
727204	410573	Clare
727205	49441	Reporter
727206	195446	Nurse at Bloodbank
727206	366765	Female Student
727207	232859	
727208	119803	Showgirl
727208	308382	Raider
727209	93776	Waitress
727209	248117	Salesgirl ($20 bill)
727211	866	Herself
727211	1435	Herself - Presenter
727211	1737	Herself
727211	2904	Herself
727211	2940	Herself
727211	5028	Debbie Sullivan
727211	32305	Dallas Grimes
727211	40244	Nicole 'Nikki' Hollins
727211	50484	Marina Lemke
727211	57665	
727211	58022	Herself
727211	59665	Madison Lee
727211	62541	Corri
727211	66612	Herself
727211	81649	Helen/Harry's Character
727211	82603	Herself
727211	84113	Janie
727211	87576	Meredith Johnson
727211	111813	Lt. Cdr. JoAnne Galloway
727211	122658	Lt. Jordan O'Neil
727211	126340	
727211	127073	Molly Jensen
727211	137483	Rachel Carson
727211	152718	Esmeralda
727211	152724	Esmeralda
727211	154659	Herself
727211	155888	Claire Donnelly (segment "195
727211	158975	Diana Murphy
727211	170980	Annie Laird
727211	200092	U-Z-Onesa
727211	207424	Holly Trumbull
727211	219558	Cynthia Kellogg
727211	221413	Herself
727211	230669	
727211	233967	Laura
727211	235603	Diane Lightson
727211	236083	Samantha Albertson
727211	241277	Cassandra Eldrich
727211	248706	Patricia Welles
727211	289603	Hester Prynne
727211	295461	Abby Quinn
727211	312557	Jules Jacoby
727211	360524	Molly
727211	366600	Karen Simmons
727211	372525	New Intern
727211	372878	Herself
727211	389858	Jackie Templeton (1982-1983)
727211	392421	Herself
727212	406955	Haywire
727213	7015	Teenie Moore
727213	16623	Emma MacGillicuddy Wilton
727213	17566	Blanche
727213	26628	Mary
727213	45451	Miss Crews
727213	72255	Abby Pitts
727213	87990	Mrs. James
727213	104352	Waitress
727213	118405	Buckley's Secretary
727213	154952	Kitty Hearne
727213	209625	Mazie Gray
727213	216802	Mrs. Gingras
727213	224672	Annette
727213	233872	Mrs. Harriet Shafter
727213	252973	Clarabelle
727213	288742	Gertrude 'Gert' Mills
727213	292829	Miss Blackstone, Snowden's Se
727213	317825	Arabella
727213	321794	Maudie Tilt
727213	330087	Mavis, Jane's Roommate
727213	367833	Ginger
727213	367919	Olga (manicurist)
727214	53033	Dequina
727215	93709	
727215	123861	
727215	322957	
727216	260789	Stripper in hall #2
727218	135385	Lydia
727218	364231	
727219	248478	Diane Moore
727220	228164	Barn Dance Party Guest
727221	352736	
727222	320037	Bride
727223	144406	
727223	409356	Carly
727224	257760	Keyboard Player (Silk's Band)
727225	64735	
727226	41581	
727226	195319	Pretty Nate's Woman
727227	276642	Girl in Nightclub
727228	70208	Nun
727228	333365	Casey
727229	37309	Peggy Simms
727229	41080	Dorothy 'Dot' Miller, Blondie
727229	41094	Dot Miller
727229	47294	Ann
727229	52641	Nurse
727229	128256	Happy
727229	128894	Betty Fleet
727229	140408	Camp Guest
727229	144896	Jessica
727229	154983	Elsie
727229	183358	Emily Templeton
727229	185991	Chorus Girl
727229	239198	June Jenkins
727229	240437	Bit
727229	245518	Secretary
727229	269781	Alice Tompkins
727229	289688	Helen Van Pelt
727229	315322	Nurse
727229	355837	Hat-Check Girl
727229	363079	Girl
727229	372935	Lila
727230	97922	Helen
727231	108024	
727232	223709	Girl at Bar
727232	292041	Eleanor Tanner
727233	401973	English Becky
727234	228509	
727235	1225	First Nurse
727235	2118	Dr. Robinson
727235	12986	News Anchor
727235	99573	Hairdresser
727235	127126	Newswoman
727235	127273	Edwina
727235	143240	Judge
727235	164840	Reporter
727235	198492	Jay's Mom
727235	207908	Rosa Marina
727235	211035	TV Announcer
727235	226939	Stadium Official
727235	229428	Reporter
727235	232463	Street Nurse
727235	242942	Reporter #1
727235	245105	Midge
727235	281150	Anchorwoman
727235	281911	Reporter at Gate
727235	299663	Reporter
727235	324264	Duty Nurse
727235	348303	WMIA Co-Anchor
727235	348796	
727235	363509	Social Worker
727235	387638	Clara Vargas
727236	24547	
727236	30146	
727236	38519	
727236	74252	Muriel Walker
727236	84964	Barbara
727236	128419	Cathy Chubb
727236	131367	Kit Lipson
727236	134074	Joan Wood
727236	138791	Joan
727236	160555	Sheila Birling
727236	210796	Lady Alys
727236	220893	Liz Denning
727236	236701	Joan Whitwell
727236	331174	
727236	337107	Mrs. Holland
727236	354745	
727236	358876	
727236	360106	
727236	367475	
727237	240024	Cook
727237	350349	Bingo Woman
727238	85653	
727238	156456	Mrs. John Seltzer
727238	195743	English Secretary
727238	279636	
727238	281897	Theta Meryl
727239	87989	Bonnie
727240	109498	Isabel
727240	132092	Girl 2
727240	355399	Mrs. Metcalfe
727241	108535	Young Lis
727242	39441	Linda
727243	230754	Jean Conroy
727244	47922	Witch
727245	197027	
727246	169136	Child Chorus
727247	296668	Kate/Mary
727247	329514	Carole
727247	406206	Peg Hayward
727248	331529	Damsel
727249	82538	Ariel
727250	340957	Jane, age 9
727251	26381	Baby Sarah (aka Melissa)
727251	404282	Samantha Eden Capwell (1988-1
727253	306616	Sofia
727255	80762	Ashley's Dame
727256	149724	Eulabelle
727257	32239	Madame Estelle
727257	55540	'Aunt Rose' Kennedy
727257	74051	Aunt Julia
727257	105073	Svenson
727257	112443	Ma McKinstry
727257	152203	Mrs. Sally Phelps
727257	171246	Mrs. Stone
727257	191800	Blanche St. George
727257	203089	Iris's Aunt
727257	282380	
727257	289585	Sophia's aunt
727257	309533	Cook
727257	316165	Kate McMasters
727257	319907	
727257	339842	Widow Boland
727257	343018	Wooly Ann
727257	363325	
727258	332	Lady Florence Ridgway
727258	12174	Aunt Isobel
727258	17776	Mrs. Morley
727258	29078	Mother Meg
727258	40682	Fluffy
727258	48037	Mrs. Cunningham
727258	63273	Alcolma
727258	73396	Aunt Prudence
727258	75275	Mrs. Tutt
727258	88170	Lady
727258	133863	Mrs. Starling
727258	154770	Canteen Ma
727258	167253	Jantje
727258	186290	Edie le Bas
727258	186813	Lady Trench
727258	192308	Jessie Collins
727258	238505	Mrs. Gray
727258	239572	Rebecca Femm
727258	239658	Lady Woodstock
727258	244440	Mrs. Wycherly
727258	249115	Liane
727258	291082	Mary Collison
727258	308677	Grandmother
727258	354734	Josephine Popinot
727260	13829	Beatrice Carewe
727260	32464	Mrs. Wisby
727260	215775	
727260	233935	Mrs. Harris
727260	352145	Dr. Gruber's Nurse
727260	360551	
727260	383626	Miss. Button
727261	56558	
727262	334134	Russian Girl
727263	47297	
727263	239729	Dora
727263	292512	Rosa
727263	360562	Little Bessie
727264	104901	Restroom girl
727265	111162	Herself
727266	402907	Mandy (2000)
727267	54026	Peasant Girl
727269	344628	
727270	158324	Herself
727271	358486	Emma
727272	358486	Nurse 4
727273	210578	Yvonne
727274	124564	Nightmare Victum
727275	145974	
727275	339595	Aunt Angelica
727276	192340	Kane's Friend
727276	236366	Model
727277	200925	
727278	18552	Girl in Country Club
727278	81784	Bit part
727278	97890	Kettle Child
727278	198539	Rosie Kettle
727279	372346	School girl
727280	47344	Herself
727280	93078	Herself
727280	154906	Elsa Terry
727280	177549	Cissy
727280	183855	Jenny Lind
727280	195167	Louise
727280	195873	Margaret Howard
727280	230730	Princess Tanya Strogoff
727280	241595	Mary Barrett
727280	291360	Herself
727280	363248	Louise Fuller
727281	311408	Additional Voices
727282	5215	Cyan
727282	160219	Summer
727283	84439	College Girl
727284	85002	British Witch
727285	241583	Bingo Caller's Assistant
727286	140938	Goddess
727286	159550	County Nurse #1
727287	79809	Miss Moore (secretary)
727287	388799	Peggy Gordon
727288	47530	Duchess
727288	166238	Charlotte
727288	171330	Ruth Honeywell
727288	246981	Lady King
727288	292205	Paula
727288	328010	Sappho
727288	328010	Sappho (segment "Sappho")
727288	364529	
727290	26967	Sybil
727290	29388	
727290	46777	Fourth Club Woman
727290	55734	Stage passenger
727290	58817	Mrs. Benjamin Cowdy
727290	68135	Granny McCoy
727290	71734	First Woman
727290	73766	Little lady juror
727290	75692	Nosey Neighbor
727290	78875	Mrs. O'Brien
727290	81023	Blowsy woman
727290	83856	Old Lady
727290	91701	Sewing Room Supervisor
727290	93101	Matron
727290	96614	Maid
727290	96926	Angela Orange
727290	96985	Sadie
727290	97890	Emily, the Old Lady
727290	108523	Bessie and Betsy
727290	120645	Hairdresser
727290	127211	Cornelia Coates
727290	128284	Witness to Peeping Tom
727290	128790	'Mother' Fielding, inmate
727290	131594	Old Lady Who Broke Her Glasse
727290	139786	Mrs. McGiff
727290	143260	Mama
727290	144448	Landlady
727290	144764	Old Lady
727290	147410	Faith Andrews
727290	148912	Harriet
727290	149927	Widow Parkhurst
727290	154864	
727290	154913	Old Woman
727290	160566	Villager
727290	163451	Matilda Whipple
727290	168646	Mrs. McKee
727290	186807	Aunt Martha
727290	186816	Grandma Meek
727290	187691	The Bird Lady
727290	188326	Mrs. McGuire
727290	190542	Courtroom Observer
727290	193991	Lady With Birdcage
727290	194095	Candy Store Clerk
727290	198539	Emily
727290	198542	Miss Pennyfeather
727290	204165	Priscilla Lund
727290	211600	Innkeeper's wife
727290	217977	Mrs. Ferguson
727290	219917	Old Lady
727290	221044	Aunt Amy
727290	241134	Gossipy woman on subway
727290	246603	Dorothy
727290	271203	Martha Blake
727290	273786	Customer
727290	276739	Mrs. Moore
727290	277999	Luella Tucker
727290	280117	Miss Bessie
727290	281551	Woman
727290	281909	
727290	282387	Nana
727290	283890	Mrs. Mungy
727290	289400	Mrs. Ames
727290	289419	Neddle Nellie
727290	298047	Spinster
727290	298069	Julia Kittredge
727290	300063	Little old lady (scenes delet
727290	300124	Mrs. Ascot
727290	304953	Old Lady Motorist ('1st Custo
727290	308109	Woman
727290	309505	Mrs. Kirby
727290	315700	Judy, an Old Con
727290	318913	Sally
727290	323940	
727290	329314	Gossiping Woman
727290	334162	Miss Claflin
727290	388144	Lavinia (1953-1954)
727290	403604	Mrs. Pilkington
727292	267519	
727293	30607	Madame Gunov
727293	230868	Lucy's Mother
727293	329537	Diana, Bill's girl
727294	195968	English Department Store Girl
727295	222146	
727296	39697	Gina
727296	277071	Lincoln Teacher
727297	2844	
727297	47504	
727297	72360	
727297	93714	
727297	235127	
727297	243136	
727298	77288	Seamstress
727299	20665	Ann
727300	7825	Mother Children
727301	196295	Sally
727302	20372	Jacqueline
727302	32735	Jackie
727302	67829	Jacqueline
727302	87980	Jacqueline
727302	121592	Jacqueline
727302	137671	Miss Jacquelyn
727302	139095	Miss Jacqueline
727302	191559	Jacqueline
727302	282681	Jacqueline
727302	282682	Jacqueline
727302	282684	Jacqueline
727302	318835	Jacqueline
727302	320137	Jacqueline
727302	320138	Jacqueline
727302	320140	Jacqueline
727302	340399	Jacqueline
727302	368827	Jacqueline
727302	368834	Jacqueline
727302	369200	Jacqueline
727302	369203	Jacqueline
727302	369207	Herself
727302	369208	Jacqueline
727302	369212	Jacqueline
727302	369215	Jacqueline
727302	369216	Jacqueline
727302	369236	Jacqueline
727302	369240	Jacqueline
727302	369247	Jacqueline
727302	369249	Jackie
727302	369250	Jackie
727302	369273	Jacqueline
727302	369290	Jacqueline
727302	369294	Jacqueline
727302	369310	Jacqueline
727302	402907	Jacqueline (1998-2004)
727302	406933	Jacqueline (1998-2004)
727302	408643	Herself - Trainer (2001)
727302	411539	Jacqueline
727302	411542	Jacqueline
727302	411545	Jacqueline (1999-2002, 2004)
727304	236150	Natalie
727305	118033	Nancy Calhoun
727306	383790	Presenter
727306	395978	Presenter (1999-2001)
727307	80583	Mrs. Danburry
727307	110347	German Couple #2
727307	204553	Tina
727307	254645	Lydia Glines
727308	223026	Kate
727310	44449	Baptismal Candidate
727310	248884	Irate Woman in Audience
727311	253844	Nurse
727312	224192	Pet Store Girl
727313	23262	
727313	294745	Jean
727314	7823	Nanny
727314	73331	Hungry Hooker
727314	93217	Bunny Bardot
727314	113264	Carrie
727314	350172	Amalia
727314	360536	Amelia
727316	288738	Soap Opera Woman
727317	303455	Cocktail Party Guest
727318	360798	Maggie the Rag Doll
727319	67793	Little Girl
727320	56085	Angelique, niece of Madame d'
727320	108724	Maria
727320	121303	
727321	203358	Rockette
727323	51460	
727324	146333	Faida
727324	152302	Herself
727324	304499	Herself
727324	385966	Herself
727324	392460	Herself
727325	41795	Girl #2
727325	126700	Tilly
727325	217988	Brian's Girl
727326	276240	Featured City Walker #4
727327	19164	Penny Spencer
727327	47757	
727327	71587	Mickey Stegler
727327	115706	Barbara Brooks
727327	116516	Alisha Claypoole (state welfa
727327	145539	Mrs. Channing
727327	164223	Miriam
727327	185072	Alice Taggart
727327	203008	Rita Dillard
727327	218391	Madeline Howard
727327	230286	Angie (saloon girl)
727327	230304	Melanie Smooth
727327	277856	Little Brandy
727327	283336	Cricket coach
727327	291122	Ms. Odom
727327	304993	Charlene Carroll
727327	308352	Desiree de la Roche
727327	336683	Marcia Linnekar
727327	358583	Miss Precious
727328	384962	Gayle Taylor
727328	391368	Tania
727329	20685	
727329	81925	Herself (Jodie Moore)
727329	264735	Herself
727329	326719	Blonde Canadian (Jodie)
727330	119608	Athlete
727331	13967	Marcus' Mom
727331	77793	George's Mom
727331	323565	Mavis Johnson
727331	394510	Secretary
727332	35496	Beulah Benton
727332	38657	
727332	125875	Hope Hollister
727332	310661	Violet Stoner
727332	342567	Undetermined Role
727333	2273	Herself- Best Supporting Actr
727333	3100	Annie Johnson
727333	4641	Miranda 'Mama' Potter
727333	7396	Dominique
727333	16845	
727333	28927	Budge
727333	43353	Clarissa, the Maid
727333	93098	Fannie Mitchell
727333	105213	Stage 8
727333	118530	
727333	121363	Assemblywoman Griffith
727333	128145	Hilda
727333	134109	Miss Randall
727333	147768	Herself
727333	156940	Annie Johnson
727333	168323	
727333	176410	Kenny's grandmother
727333	194488	Molu's Wife
727333	198026	Marie
727333	199080	Mother
727333	199141	
727333	233899	Maid in lounge
727333	235405	Mrs. Clara Bassett
727333	235692	Teacher
727333	237562	Ethel
727333	242941	Violet, Maid at Sydneys
727333	248017	Ellie
727333	250546	Celia
727333	256328	Nurse
727333	269282	Maid
727333	272239	Shirley Lorraine
727333	278891	Herself
727333	282042	Nurse
727333	302724	Sister Mary
727333	303989	Viney (Calloway slave)
727333	304096	Black drill team member
727333	308089	Tribal Woman
727333	310862	Herself
727333	314531	Grandma Jones
727333	324266	Della
727333	331019	Pecolia
727333	343017	Delilah
727333	348390	Mama Wells
727333	358583	Mama
727333	364440	Mrs. Harberson
727333	366996	Negress (Hospital)
727333	367913	Polyclinic 'Polly' Jones
727333	374281	
727334	319023	Nurse/Mrs./Harriet Pawling
727335	273275	Sheriff's Wife
727336	1490	Herself
727336	1677	Herself - Presenter
727336	3053	Herself (Presenter)
727336	3055	Herself (Co-Presenter)
727336	21526	Franny
727336	33047	Herself
727336	34104	Ruthie
727336	37178	Maude Lebowski
727336	42786	Sharon Dulaney
727336	43883	Amber Waves
727336	46418	Herself
727336	60234	From "Not I"
727336	61161	Distraught Woman
727336	70368	Cora Duvall
727336	100826	Sarah Miles
727336	105492	Dr. Allison Reed, CDC
727336	108941	Cathy Whitaker
727336	117809	Telly Paretta
727336	119593	Jesse Haus
727336	121386	Dr. Anne Eastman
727336	135812	Elinor
727336	138161	Marlene Craven
727336	138463	Agent Clarice Starling
727336	150790	Laura Brown
727336	155596	Mrs. Laura Cheveley
727336	183387	Audrey
727336	185714	Marcy
727336	186446	Audrey Woods
727336	196876	Herself
727336	200521	Linda Partridge
727336	201669	Herself
727336	201715	Herself
727336	204947	Theresa Collins
727336	205721	Marie
727336	218026	Peggy Lynn Brady
727336	224935	Mia
727336	232845	Rebecca Taylor
727336	235439	Auditor/Mouth
727336	265002	Evelyn Ryan
727336	266575	Lila Crane
727336	274580	Herself
727336	281464	Beth Holzcek
727336	285287	Carol White
727336	288928	Barbara Daly Baekeland
727336	299202	Wavey Prowse
727336	299846	Marian Wyman
727336	304569	Julie
727336	323838	Susan (segment "Lot 249")
727336	329470	Herself
727336	350534	Yelena
727336	361224	Herself
727336	368537	Dulcie
727336	380713	Franny Hughes Crawford #6 (19
727336	387309	Carmen Engler (1984)
727336	392461	India West
727337	303501	Reporter
727338	42531	Attractive Woman
727338	272031	Firey Redhead
727339	360481	Herself
727340	301663	Juliette
727340	362946	Vivian Edwards
727340	367432	Adele
727341	223503	Rita
727343	87336	Stella Van Johnson
727343	170314	Florida Holiday
727344	65095	Kat
727345	367083	Running Girl
727347	367552	Bit Part
727348	159761	
727349	265111	Geography Teacher
727350	117136	Anna Yoder
727351	280028	
727352	40535	Andais Banks
727352	79450	Haagar Peazant
727352	176849	
727352	233065	Pop-Bottle Ruby
727353	307854	Sam's Mom
727354	53516	Ice Cream Girl
727355	116005	Pool Babe
727356	65954	Champagne
727356	82445	Renee Johnson
727356	150273	Passion
727356	234054	Lia
727356	276440	Leticia
727356	294236	Lorraine
727356	340109	Jasmine Davis
727356	358376	Denise
727356	392710	Valerie Bridgeforth (1999)
727356	399794	Host (1999)
727357	291307	Additional Voice
727358	250652	
727358	355189	The Nurse (segment "The Patie
727359	116047	Candace
727359	264140	Princess Vee
727359	366137	Telamon communication officer
727360	313692	
727361	312904	Mindy
727362	80833	Allison
727363	405878	Marla
727364	2709	Ula's Kid
727365	326726	
727366	329511	Donna
727366	330377	New York Lesbian Skater
727367	118279	Maid of Honor
727367	123986	Herself
727367	335258	Janet
727367	343121	Jack's Mistress
727367	344524	Herself
727368	53516	Ice Cream Girl
727369	28862	Olivia Herbert
727369	105390	Mrs. Marsh
727370	231780	Herself - Lela Moore
727371	2232	Waitress In Comedy Club
727371	34702	Bridesmaid
727372	170543	Herself
727373	231496	Herself
727374	84972	Tavern patron
727374	297970	Department head
727374	308939	Extra at Sons convention
727375	347105	Hilda
727376	367924	Herself
727377	79862	Singer
727378	67604	Nancy
727378	93176	Nurse
727378	103240	Vicki
727378	117086	
727378	139578	Arnae
727378	146739	Laural Garfoot
727378	304563	Prostitute
727378	320890	Pirate's lady
727379	358476	Coffee Shop Chatter
727381	386295	Dorothy, Traffic Officer
727382	21214	Loretta Diamond
727382	40506	Toot
727382	71922	Marie Alicot
727382	97696	Elisabeth
727382	129348	Pert Kelton
727382	130327	Ms. Jenkins
727382	130437	Roxie
727382	141378	Patsy MacKinnon
727382	147607	Lisa
727382	154157	Magazine Interviewer
727382	162986	Irma Gladrey
727382	187301	Mrs. Van Ecke
727382	202727	Desperate Woman
727382	214078	Nurse Evie
727382	236535	Betsy
727382	261448	Jocelyn
727382	271206	Street Girl #1
727382	283537	Trish
727382	304747	Nurse Kelly
727382	313562	Susie Tucker, Fashon One Repo
727382	318642	NAOC Hotline Operator
727382	358581	Norma Fogler
727382	366983	Lisa
727382	369421	Glowecki 2
727382	396952	
727382	398208	Bus Ticket Seller
727382	406773	Ms. Phipps (1997-1998)
727382	407461	Miss Finnegan
727382	409444	Lisa, amis anglo
727383	158141	Office woman
727384	326755	
727385	340827	Teenage Girl in Field
727386	44450	Fat lady at parade
727386	168771	Mrs. Gallagher
727388	277110	Minnie
727389	107125	Mother (Family In The Park)
727390	37092	Concerned Camper
727391	43606	Gospel Singer
727392	273077	Silk
727393	2369	Mrs. Smith
727393	45921	
727393	49773	Mrs. Duncan, the Mother
727393	54390	
727393	71915	The Girl's Mother
727393	143080	Lady Clifford
727393	143249	Cynthia Allen
727393	192039	Nancy Allen
727393	197700	
727393	216316	
727393	265407	Clara's Mother
727393	305400	
727393	335154	
727394	55444	Waitress
727394	390554	Presenter (Viscount Horatio N
727395	87019	Leo's Mom
727396	213315	
727396	312243	Jeanne Haggerty
727398	108034	Mabel, The Wife
727399	46731	Passenger
727401	1883	Tour Guide
727401	2204	
727401	14192	Alice Quinn
727401	79044	Nurse
727401	106514	Janice
727401	141815	Trailer Park Neighbor
727401	158930	Wendy
727401	227152	Singer
727402	300532	Angry Neighbors
727404	866	Herself
727404	1673	Herself
727404	1725	Herself
727404	1726	Herself
727404	1743	Herself
727404	1995	Herself
727404	2009	Herself - Presenter
727404	47377	Herself
727404	48489	Herself
727404	59883	Anna Foster
727404	63061	Herself/Performer
727404	92453	Girl Bear Cub
727404	99930	Herself
727404	132413	Herself
727404	151556	Halley Martin
727404	177632	Aerith Gainsborough
727404	200095	Brittany Foster
727404	208475	Herself (#73) (Interviewee)
727404	215667	Herself/Host
727404	221448	
727404	221481	Herself - Presenter
727404	230771	Herself
727404	231535	Herself
727404	243928	Herself
727404	264158	Lana Thomas
727404	280844	Baby
727404	289074	Hilary Faye
727404	341018	Lisa
727404	358604	Jamie Sullivan
727404	360318	Herself/Host
727404	372584	Herself
727404	392422	Herself
727404	396727	Herself/Host
727405	24429	Dancer
727405	48468	Lorraine
727406	161896	Hope
727407	106109	Hostess
727408	20848	
727408	32634	
727408	44555	
727408	45292	
727408	47416	
727408	90294	
727408	91225	
727408	134451	Lynda
727408	140815	
727408	140873	
727408	141202	
727408	141276	Floyd Calvert's sweetheart
727408	143403	Zella
727408	163219	
727408	171312	
727408	176267	
727408	178345	
727408	186242	
727408	190686	Their Little Friend
727408	192867	
727408	193570	
727408	214147	
727408	250472	
727408	262339	
727408	292196	Nora Vining
727408	329818	
727408	329820	
727408	342452	
727408	359285	
727408	364266	
727408	367647	
727408	368021	
727409	92619	Mrs. O'Shea
727409	285638	Little Girl
727410	37927	
727410	54711	
727410	278302	Red Cross nurse
727411	121386	Nichols' assistant
727411	231966	Mrs. Bentwright
727412	128278	Mabel Walker
727413	26619	Mabel Smith (TV Moll)
727413	126044	Ruth
727413	150754	Susie Bell Payson
727413	358442	Lt. Nora McKay
727413	360745	Emmaline
727413	364330	
727414	298609	Dr. Sally Johnson
727414	354863	
727414	394326	
727415	312703	
727416	312774	
727417	312279	
727418	6794	
727418	48285	Alice Pope
727418	133563	Phil Jordan's wife
727418	187723	Carrie Livingston
727418	193479	Marie
727418	209375	
727418	214073	Ellen Sheridan
727418	215513	Genevieve Holbrook
727418	265556	Mrs. Lemuel Larkin
727418	317288	
727418	345870	
727418	346063	Fifi Hampton
727418	359400	Undetermined Role in Prologue
727419	19557	Harem girl
727419	39830	Audience Member
727419	56098	
727419	60016	Ma Foley
727419	76192	Marsha, martian woman
727419	113907	
727419	196404	Show Girl
727419	267561	Marcia [Chs. 11-13]
727419	297366	Rita, Laundry Clerk
727419	308605	Spanish girl
727419	331421	Navy Wife
727419	348327	Goldwyn Girl
727419	367970	Goldwyn Girl
727420	105922	Carrie
727420	206349	Linda
727420	222573	Carla Town, Woman Murdered in
727420	388476	Mona Black
727421	263117	Script Girl
727421	389417	Enid Chambers Allen (1958-195
727422	117674	Ticket Woman
727422	148901	Police Woman
727423	368894	Mrs. Weaver
727424	158602	Art's wife
727424	292041	Woman at the Social
727425	2012	Herself - Co-host/Winner
727425	2261	Herself
727425	2278	Herself
727425	2313	Herself - Co-host
727425	2527	Herself
727425	2762	Presenter - Best Revival of a
727425	2775	Herself - Co-presenter: Best 
727425	3165	Herself
727425	40551	Lydia Blessing
727425	43207	Herself/Host
727425	57492	Herself
727425	57497	Herself
727425	59099	Sister Michelle Gallagher
727425	60212	Mrs. Stark, Principal North P
727425	68000	Herself/honoree
727425	90325	Martine Randall
727425	97355	Host
727425	113655	Liz DeHaan
727425	114312	Betty Rollin
727425	115635	Mrs. Coplin
727425	119363	Granny Rose
727425	121861	Host (segment The Ladies of 1
727425	127743	Fonsia Dorsey
727425	131357	
727425	141529	Martha Weinman Lear
727425	151682	Star
727425	154396	
727425	160484	Herself
727425	161207	Herself
727425	161335	Herself
727425	171084	Holly Davis
727425	175842	Cynthia Boudreau
727425	176493	Herself/Voice
727425	183188	Esther Raymond
727425	185085	Wendy Haller
727425	190373	Herself
727425	190709	Sante(Chambers)Kimes/Eva Guer
727425	191016	Mary Lincoln
727425	201509	Narrator
727425	206833	Mary Richards Cronin
727425	206896	Herself
727425	206897	Herself
727425	206907	Angel/Devil/Woman
727425	215574	Lettie Anderson
727425	232017	Herself
727425	243276	Beth Jarrett
727425	251237	Kathryn Stanfill
727425	275772	
727425	283326	Elizabeth Sutton
727425	288702	Herself
727425	298015	Herself
727425	303522	Charlotte Dreyfus
727425	315076	Georgia Tann
727425	315131	Jessica
727425	329346	Paula Schloss
727425	330818	Herself
727425	331065	Miss Dorothy
727425	331313	Host
727425	342181	Herself
727425	362529	Liz
727425	368822	Herself
727425	369444	Pamela Stewart
727425	380371	Annie McGuire
727425	383711	Host
727425	396998	Mary McKinnon
727425	396999	Mary Richards
727425	397002	Skit characters
727425	397003	Mary Brenner
727425	399289	Louise Felcott
727425	403345	Sam #1 (1959)
727425	409121	Herself
727426	55709	Pretty Probationer
727426	125520	Mary Ellen
727426	131731	Richard III Cast
727426	151101	Manicurist #2
727426	152878	Mrs. morty donovan
727426	190126	Rose of Baghdad
727426	193633	
727426	224035	Hannah Delaney
727426	281515	Mrs. Scholes
727426	315534	
727427	392102	
727428	192103	Charlotte Magnus
727428	308489	Herself
727429	212908	Chorus
727431	26112	
727431	31318	
727431	37563	
727431	38892	
727431	41068	
727431	54455	
727431	57124	
727431	62009	
727431	85790	
727431	85794	
727431	85824	
727431	89199	Girl in 'Pipe Fitter' Video
727431	99273	
727431	102709	
727431	116211	
727431	128871	
727431	134690	Melanie
727431	139062	Dream Girl
727431	139200	
727431	144569	
727431	154713	Bride
727431	177740	
727431	197750	
727431	216178	
727431	218698	
727431	228679	
727431	234842	
727431	243115	
727431	244377	
727431	258760	
727431	260792	
727431	261088	
727431	261289	
727431	288988	
727431	310470	
727431	323199	
727431	365128	
727431	369475	
727432	367054	The Wiz Singers Adult Choir
727433	32941	Joyce DeWitt
727433	85245	Meg
727433	242621	Bibi
727433	273241	Wendy
727433	304447	Pissed Off Co-Ed
727433	385420	Jaclyn
727433	391010	Sara Brennan
727435	6912	Ms. Rogers
727435	11202	Whippet Angel (Annabelle)
727435	14239	Harriet Tubman
727435	31958	Herself
727435	38238	Herself
727435	47363	Herself
727435	59714	Charlotte Forten
727435	71476	Singer at the Apollo Theater
727435	82010	Madam Sonya
727435	112601	Bessie Cooley
727435	114959	
727435	137223	'3-5-0-0' Soloist
727435	194867	Irina
727435	220014	
727435	242955	
727435	255697	Model at Party
727435	267530	Lutiebelle Gussie Mae Jenkins
727435	292034	Ms. Varady
727435	387490	Flora Mitchum
727435	388237	Francine Hope (1987)
727435	397378	
727435	397379	Melba
727436	16810	Lorda
727436	37686	
727436	68728	Stephanie Roberts
727436	69773	Trudy Seaton
727436	76384	Fred
727436	105424	Monica Roarke
727436	107103	Grad Student Tour Guide
727436	109714	Suzy
727436	110997	Tall blonde
727436	139187	Tess
727436	142486	Nurse Ryan
727436	161517	Female Sergeant
727436	161753	Herself
727436	161922	Bunny
727436	177014	Tracy
727436	194682	Esther Bowen-Dorius
727436	199140	Miss Saunders
727436	241498	Natalie Pierce
727436	244444	Elysse
727436	275996	Bimbo Student
727436	288965	Singer
727436	291232	Jamie Summers
727436	291248	
727436	291250	Herself
727436	299460	Herself
727436	315577	Dottie
727436	350183	Melanie Roberts
727436	353297	Glaze
727438	92115	Lavender
727440	329151	T.V. News Anchor
727441	366652	Alex
727441	366746	Susie
727442	29101	Miss Coca Cola
727443	210649	Gretchen
727443	256968	Julie
727443	320098	Michelle
727444	123986	Herself
727445	166639	Nurse
727446	33395	Believer
727446	79611	Salesgirl
727446	83099	Mary
727446	103284	
727446	105041	Mrs. Vielgut
727446	129596	Judy Francis
727446	255316	Gallery Patron
727446	278233	TV Hostess
727446	354673	Mrs. Jan Scott
727446	401026	Jennifer Barlow
727446	408378	Jennifer Mitchell
727447	219534	Singer at Techno Club
727449	49390	
727449	89172	
727449	90326	
727449	106004	
727449	112537	Mesquite Jones
727449	121637	
727449	131561	
727449	137240	
727449	137467	
727449	141360	
727449	142259	
727449	145803	
727449	176293	Flora, Jud's Wife
727449	186478	
727449	215759	
727449	216475	
727449	218727	Anna Baldwin, Arizona's Daugh
727449	234751	
727449	235270	
727449	238961	
727449	272762	
727449	289532	
727449	303927	
727449	305532	
727449	307959	
727449	321190	
727449	321271	
727449	327744	
727449	331413	
727449	332397	
727449	358304	
727449	364345	
727449	365036	
727449	366639	
727449	367206	
727450	101586	Innocent Victim (Tall Girl Wh
727451	131711	1919
727452	87781	Singer
727452	371318	
727453	264745	
727454	136448	Herself - Campaign Executive,
727455	131232	Extra
727456	131232	Extra
727457	31789	Miss Vernon
727457	36966	Alex's Mother
727457	93837	Miriam
727457	108001	Cousin Margaret
727457	109449	Wrangler Bobs Mama
727457	157324	Sister Edmunda
727457	213159	Mrs. Baxter
727457	222647	Betty Combs
727457	223799	Juror #1
727457	249067	
727457	302235	Mrs. Latham
727457	340901	Teacher
727457	383654	Annabelle Catlin (1982-1983)
727458	215690	Miss Oregon USA
727459	221174	Background Singer #2
727460	96741	Curl Up and Dye Dancer
727462	158969	
727462	365133	
727463	210960	Maid Lucy
727463	223752	Townsperson
727464	197869	Bit part
727464	308382	Raider
727465	38588	Redhead on boat
727466	273278	Herself (Tease)
727467	191424	Natanya
727468	2513	
727468	178863	
727468	198506	
727468	235417	
727468	239888	
727468	239889	
727470	66661	Dancer
727471	177581	Lady Dardinilus
727472	44450	Massapequa mom
727472	77152	Maggie
727472	110302	Mary Piersall
727472	113412	Woman at party
727472	135896	
727472	265100	Sister Samantha
727472	278268	Candy's mother
727472	291543	Helen Fraser
727472	320100	Psychologist
727472	333198	Peg Ridgeway
727472	348072	Betty Miller
727472	404694	Susan Ames Dunbar Carver #3 (
727472	407912	Adeline Harris (1958)
727473	327625	Tammi Terrell
727474	92302	Maid
727475	10702	Old Woman
727476	270472	Sylvia Perry
727477	120452	
727478	367083	Cindy Lite
727479	80591	
727479	363419	Durango
727480	203182	U.S. nurse
727481	57561	Herself/interviewee
727482	10670	School Teacher
727482	60155	Blonde
727482	148416	Moe's Girlfriend
727482	262647	Officer
727482	299469	Wanda Maas
727483	168194	
727484	114513	
727485	147904	Herself - Former Museum Curat
727486	143191	Fae
727486	296827	Lefty Rogan's Wife
727487	240487	L'américaine
727487	249708	Emmanuelle
727487	271371	Une jeune pensionnaire
727487	340573	
727487	340950	Ms. Hoskins
727487	346713	Sylvia Murdoch
727487	349421	
727487	382472	Hetty
727488	20293	Caroline Reed
727488	20314	Margaret
727488	44452	Dorothy Collins
727488	55736	Joby Madison
727488	59600	Betty Adams
727488	59604	Eve Cairo
727488	59613	Mary Whitman
727488	67403	Lylah Sanford
727488	80018	Mary Whittaker
727488	91589	Ellen Bronson
727488	114670	Eleanor Kingsley
727488	118916	Bridesmaid
727488	141951	Elsa
727488	177507	Sally Crane
727488	192430	Nurse
727488	195764	Lois Westcott
727488	311557	Hysterical Woman
727488	331283	Elizabeth Charters
727488	331521	Lady Constance
727488	337582	Marcia Kelton
727488	358184	Young Lady
727488	365159	Ruth Morris
727488	372499	Tonia Regas
727488	372641	Ann Rutledge
727489	251825	
727490	105442	Egyptian goddess
727490	204260	Janet
727490	229108	June Rivera/Maria
727491	360714	Miss Chandler
727492	218713	Alice
727493	1874	Big gun cop
727493	222644	Sara
727493	285302	Det. Inspector Hearst
727493	299794	Tommy's Gang #2
727493	381081	Grace
727493	391194	Outhouse Maid
727494	235422	6th Robbery Victim
727495	49945	Extra
727496	108951	Annie Coggan
727497	193160	Bunny Girl #1
727497	291052	Warrior Woman
727500	41615	
727501	83561	Wendy
727501	136951	Liza's Friend Susan
727501	253104	Mary Ellen Granger
727502	80606	Receptionist
727502	241056	
727503	88981	Folksinger
727504	188453	Opening Sequence Girl
727505	128718	Photographer
727506	20633	Dot
727506	40828	
727506	52807	
727506	54036	
727506	91491	Dot
727506	91492	Dot
727506	91496	Dot
727506	91498	Dot
727506	102107	
727506	140535	Second Bridesmaid
727506	168327	Joey
727506	200266	Female Voices
727506	248136	Character Voice
727506	270384	
727506	298079	Louise
727506	345943	Officer in Locker Room
727506	379293	
727506	382237	
727506	384142	Archivist
727506	405577	
727506	407334	Voices for English version
727506	408638	Rob Glenn
727507	387247	Shirley Benson (2003-2004)
727507	388321	Maggie Roswell (1999)
727507	408638	Rob Glenn
727507	408644	Vicky Langley
727508	90868	Lois
727509	64735	Sister Chiera
727510	105035	Dr. Fisher
727511	300091	Julie
727513	368363	Babysitter
727513	400236	Renée Traynor (1981)
727514	337209	Elderly Neighbor
727515	336559	Good Witch
727516	44005	Usher
727516	244379	Samuels
727517	148784	Carol Channing
727518	158109	Jill Ann
727518	313382	Connie
727519	42139	Sloan (Escort)
727520	405606	Weather Forecaster (2001-)
727520	405607	Weather Forecaster (2001 -)
727522	241036	Herself
727523	224863	
727524	316153	Annabelle
727525	118108	Performer
727525	276240	Featured Surplus Undead #2
727525	367512	Sharon
727526	224863	
727527	294804	Doctor
727528	309213	Tina
727529	16113	Kit
727529	21531	
727529	40136	Dr. Alcott
727529	50979	Doreen Cooper
727529	58497	Nurse Butcher
727529	63185	Elder Christy
727529	64498	Barbara Reuschel
727529	99386	
727529	139788	Mrs. Chauvenet
727529	141194	Connie
727529	141655	Mrs. Lords
727529	163188	Mrs. Sonya Kaspbrak
727529	196320	Dr. Hofflund
727529	213861	Mrs. Beaumont
727529	220034	Dr. Friedhofer
727529	234218	Dr. Sara Steppe
727529	235189	Louise
727529	244838	Iris Scott
727529	245710	20th Century Doctor
727529	255233	Mrs. Welch
727529	261270	Mrs. Baywood
727529	274663	Ruth Dove
727529	306226	Liesel Jurgensen
727529	326479	Coral Browne
727529	329816	Brenda
727529	355104	Mrs. Henry
727529	356329	Barbara Parkhurst
727529	381562	Margaret
727529	384179	
727529	384180	Elder Christy
727530	319268	Mrs. Constance Stanton
727532	139611	Ticket Taker
727534	151703	Bar Patron
727534	185228	Club Girl
727534	252921	Girl at Bar
727534	291302	Joycie Conroy
727534	321210	Miss Hall
727534	394314	Vanessa (2000-)
727535	11031	Monica
727536	39447	
727537	241029	Alice Fenwick
727537	346891	Iris
727537	368315	Maude
727538	16668	Officer Vanessa
727538	48983	Manning
727538	74732	Cassandra Rains
727538	138370	Lynn Farmer
727538	168586	Admitting Nurse
727538	336692	Carla Munson
727538	348608	Girl in 16mm Film
727538	374282	Marissa Wallace
727539	190324	Woman in mink
727540	176712	Joleen
727541	6791	Dame #4
727541	7961	Sexy Blonde
727541	14163	
727541	60343	Stena, Bishop's Housekeeper/M
727541	69676	Servant
727541	130653	Party Guest
727541	133856	Anna, Poldi's Maid
727541	139214	Woman
727541	142875	Mrs. Olson
727541	183418	
727541	183643	
727541	203133	Farmer's Daughter
727541	219557	Theresa, Cafe Waitress
727541	223917	Maid drying Ellen's clothes
727541	255881	Doris Wilson
727541	273805	Woman
727541	304959	Salesgirl
727541	315123	Maid
727541	321539	Mabel
727541	333637	Myrtle
727541	336785	Toots' Percys wife
727541	338894	Bit Part
727541	363741	
727541	367919	Masseuse
727542	2019	Airport Ticket Agent
727543	35526	Nurse
727543	226966	Carrie
727544	124160	Dog Owner #4
727545	195588	Princess Nicoletta
727546	297261	Gloria
727546	316028	Steak-'n-Shake Waitress
727547	13596	Slaygirl
727548	277757	
727549	273698	Cynthia's cousin
727550	188453	Opening Sequence Girl
727551	81924	
727551	120007	
727551	128694	
727551	128851	
727551	150043	
727551	171225	
727551	228011	
727551	228023	Herself
727551	228031	
727551	250560	
727551	273298	
727551	314695	
727552	13309	Newscaster
727552	63117	Miss Shields
727552	82452	Mary Ann
727552	116356	Woman #1 in Theater
727552	132259	Judge
727552	203161	Another wife
727552	222603	Mrs. Lees
727552	224344	Miss Shields, Ralphie's Teach
727552	245758	Leslie
727552	278682	Nancy
727552	280626	Polie-Anna
727552	280723	Misty's Mother
727552	291252	Friendly Woman
727552	292261	Paula
727552	323570	Mrs. Cameron
727552	328594	Bank Manager
727552	346408	Corrections Officer
727552	403542	The Old Woman (CEO)
727553	3930	Dante's Young Admirer
727553	13805	Al Walker
727553	29967	Adie Titus
727553	33974	Gwyneth Rhys
727553	34403	Jean Cantrick
727553	35403	Jenny Gifford
727553	39929	Anna
727553	56427	Janet Calvert
727553	64862	Suzan
727553	67795	Marie Buckholder
727553	76582	Linda Pendleton
727553	78689	Julie
727553	81081	
727553	84920	Rusty
727553	91720	Married Woman
727553	109881	
727553	113415	Christina Sweet
727553	123347	Lynn Warren
727553	124374	Paula, age 14
727553	130358	Gen. Noriega's Mistress
727553	133789	Rosalinda Amendola
727553	141383	Girl in Movie with Vic
727553	142527	Sidnee Hammond
727553	151751	Herself
727553	151762	Undetermined Role
727553	165101	
727553	177463	Susan Maitland
727553	202947	Harper Davis
727553	203341	Tereza Cernik
727553	205824	Woman at Hyde's Funeral
727553	206943	
727553	213465	Jill Young
727553	213466	Elegant Woman at Party
727553	223970	Carrie Dreiser
727553	254330	Betty Anderson
727553	257440	Jennifer Evans
727553	261057	Alison Ford
727553	264906	Louise Wright
727553	269048	Martha Atkinson
727553	276713	Terry Ramsey
727553	292138	Dallas Judd
727553	296645	Kotty
727553	296883	Virginia 'Ginny' Johnson
727553	297996	The Model
727553	302467	Refugee child on Train
727553	305497	Trudy
727553	312847	Olive
727553	318715	Hatcheck girl
727553	319145	Betty Holloway
727553	321125	Snub-Nosed Girl
727553	321174	
727553	337114	Susan Tavenner
727553	340853	Little Girl
727553	343042	Kathy McIntyre
727553	358078	Dolly
727553	364625	Lois King
727553	387538	Constance Garret (1962-1963)
727553	391835	Herself
727553	402964	Herself
727554	195518	Amy
727555	78838	
727555	122968	Bootlegger's Girl
727556	28927	Dollie, Bond's House Servant
727556	47568	Mary
727556	134109	
727556	224676	Mae Carroll
727556	308089	Tribal Woman
727557	26448	
727557	73094	Bubbles
727557	301245	Lynn
727558	54921	Alice
727558	76190	Kay Summersby
727558	145052	Female Favellan
727558	274544	Warbeak
727558	379162	Elizabeth 'Liz' Heath
727558	381120	
727558	383410	Princess Peach Toadstool
727558	383411	Princess Toadstool
727558	388984	Ruby Snarkis
727558	389922	George Bernard Shrinks
727558	391378	Fraidy Begonia
727558	391561	Various
727558	396974	Queen Amballa
727558	397130	Warbeak
727558	398728	Princess
727558	399119	Ned Flemkin
727558	401131	Kate Eggert
727558	403090	Warbeak
727558	404124	Sailor Moon/Serena (I) (1995)
727558	404187	The Geek
727559	82112	Miss McInnis
727559	185633	Maureen
727560	166089	Herself (member of Jazzyfatna
727561	78121	Sandy
727562	76190	Kay Summersby
727563	276654	Dr. Burnside
727563	363982	Record Executive
727564	133718	Morton's Older Daughter
727565	148878	
727566	2266	
727566	30257	
727566	41579	
727566	120601	
727566	135149	Pornoactress
727566	148777	Herself (actress)
727566	228024	Herself
727566	264737	
727566	306920	
727567	55716	Lubi Lieutenant
727568	318390	Choreographer
727569	380391	Linda Metcalf, R.N. (1972-198
727569	387309	Matilda Lukes (1970)
727571	35148	Eunice
727572	188220	9 Year Old Girl
727573	32404	Laura, Girl at School
727573	69490	Telephone Operator
727573	150765	Maid
727573	154476	Martha
727573	195968	English Department Store Girl
727573	331520	
727573	331991	Party and Aircraft Girl
727573	332009	Nurse
727573	360369	Second Chorus Girl
727574	114943	
727574	321728	Club Fencer
727575	8945	P.A.H. Lady
727575	66656	Nora
727575	202390	Maid
727575	215796	Mrs. Flint
727575	222681	Mrs. Harmon
727575	387528	Williams
727575	396772	Rebecca
727575	411625	Aunt Harriet
727576	387533	Virginia Lattimore
727576	395647	Lady Georgiana Dudley
727576	408877	Susan Porter (1981)
727577	22701	Dr. Marsha Wysse
727578	195319	Pretty Nate's Woman
727579	154853	Nurse Station #1
727579	310878	Overcoat Cop
727580	255732	Mädchen
727580	258341	
727580	315602	Laura
727581	273246	Nancy
727582	359971	Grad
727583	259407	Audience Member
727584	165414	Alphonsine
727584	411809	Laura Denham (1976-1980)
727585	291771	Sarah (Helen's daughter)
727586	33167	Singer
727586	98312	Olive Singer
727586	189433	Sängerin
727586	189679	Singer
727586	218231	Zaza
727586	241979	Cassy
727586	260632	
727586	279238	
727586	289985	
727586	290606	
727586	303720	Dodo
727586	316522	Sängerin im Paradiso
727587	6945	Aunt Jezebel
727587	11483	Sara Warren
727587	26626	Judge Peterson
727587	28462	Lisa's mother
727587	30788	Cornelia van Gorder
727587	32818	(scenes deleted)
727587	37364	Violette
727587	39598	Mrs. Birk
727587	40462	Jessie Crain
727587	41987	Mrs. Palfrey
727587	51975	Ruth Benton
727587	59719	The Goose
727587	64729	Mary Kane
727587	69671	Hunlun
727587	80952	Delilah Charles
727587	92814	Third Cousin's Wife
727587	118434	Christine Hill Cosick
727587	118958	Mrs. Blair
727587	132323	Mrs. Wright
727587	133807	Emma Getzel
727587	143191	Countess Zoe
727587	151503	Rebecca Prescott ("The Rivers
727587	153211	Velma Cruther
727587	165444	Mrs. Reed
727587	166345	Mme. Neilson
727587	167007	Maria Lombardo
727587	168646	Aggie McDonald
727587	169400	Mrs. Mathews
727587	175175	Lt. Col. Spottiswoode
727587	187078	Beryl Sigman
727587	194915	Juliana Borderau
727587	200462	Fanny
727587	200485	Nancy Ashford
727587	201068	Mildred Waterbury
727587	206408	Grandma Duden
727587	209604	Miss Hattie
727587	220848	Herself
727587	221307	'Baroness' Aspasia Conti
727587	232048	Bronsky
727587	232113	Cornrlia Nelson
727587	242778	Herself
727587	242941	Countess
727587	248817	Matilda Kingsley
727587	259777	Mrs. Snow
727587	271297	Ellen Shawnessy
727587	277222	Bertha Parchman
727587	277348	
727587	280700	Grandmother
727587	289400	Sister Josephine
727587	295439	Madame Marelli
727587	300063	Parthy Hawks
727587	302467	Mrs. Emily Hawkins
727587	302724	Sister Cluny
727587	314004	Mrs. Caslon (gold-mine owner)
727587	315697	Queen Elizabeth
727587	315745	Aunt Lydia (segment "The Jeal
727587	316131	Mrs. Pringle
727587	316462	Ma Stratton
727587	318189	Marlene
727587	318715	Cousin Lily
727587	320806	Queen Maria Dominika
727587	327441	Vassilissa
727587	331109	Mrs. Edmonds
727587	335358	Jessie
727587	340839	Mrs. Samuel
727587	342414	Mrs. Delaney
727587	347732	Aggie (Kildare's governess)
727587	362538	Sister Alma
727587	364357	Mrs. Phoebe Tuttle
727587	366929	Katherine Williams
727587	367535	Countess Fosco
727587	372819	Miss Featherstone
727587	381814	Endora
727587	387120	Madame Defarge
727587	401646	
727587	405169	Mombi the Witch
727588	271360	Lana
727588	304834	Allison Grey
727590	239753	Baby Emily
727591	101036	French Beauty
727592	149804	Barn Dance Vocalist
727593	78757	Officer Belmont
727593	86467	Madeline Parker
727593	115195	Waitress
727593	117874	Louise, Mrs. Gump's housekeep
727593	158274	
727593	283434	Kaufman
727593	293843	
727593	322866	Elizabeth Keckley
727593	329411	School Teacher
727593	405095	Kali
727594	381514	Herself (2000)
727595	331281	Yvonne Tiffany
727596	72901	
727598	140518	Susan
727599	74711	Nurse
727599	343138	Cleopatra
727600	409356	Shari
727601	13346	Woman in Bathtub
727601	23335	Helen Milburn
727601	23467	Janet
727601	119803	Model
727601	130775	Girl
727601	135969	Katy Reardon
727601	193921	Girl
727601	220174	Marilyn
727601	354867	Paula Parkins
727602	7178	Mrs. Theresa Gray
727602	11582	Lady at the Theatre
727602	25149	
727602	33748	Evelyn Morgan
727602	34128	Fanny Del Roy
727602	36957	Babe
727602	54590	Bonita Salazar
727602	71132	Sylvia Gorman
727602	73757	Inez Wells
727602	75598	Alma Jenkins
727602	75606	Katherine Scorsby
727602	77614	
727602	77682	Della 'Del'
727602	77810	Tamara Trevor
727602	81550	Mrs. Lawton
727602	87555	Irma Gladden
727602	88155	Joan Whitley
727602	112183	Society Crook
727602	112189	Carol Manning
727602	112499	Violet Reed
727602	115471	Miss Mason
727602	117744	Myrtle Strauss
727602	121981	Caroline Leigh
727602	127636	Diane
727602	128188	Lona Martin
727602	141242	Belle Starr
727602	149300	Dutchess Bessie Von Essie
727602	150100	Mazie
727602	154652	May, Saleslady
727602	154712	Mrs. Tyrell
727602	156468	Marjorie 'Margie' True
727602	177355	Elizabeth Hawthorne
727602	177391	Woman at Table
727602	183394	Connie
727602	183789	Mrs. Hazlitt
727602	188562	Mrs. Maud Raleigh
727602	193974	Phyllis Mersey-Royds
727602	195487	Verna Wilson, alias Vera Wend
727602	201479	Mrs. Rhodes
727602	204744	Eleanor
727602	205448	Mrs. Dixon
727602	210914	Caroline Quayle
727602	214458	Mrs. Austin
727602	218938	Flora
727602	224245	Consuelo 'Connie' Byrne
727602	238698	Mrs. Linda Fellowes
727602	239648	Rude woman at party
727602	242110	Lucy
727602	249222	Leila Crofton
727602	254502	Vera
727602	264645	Mrs. Burns
727602	283411	Clara Muldoon
727602	292639	Mrs. Gilbert
727602	296821	Ethel Barry
727602	300080	Herself - with Frank Buelow a
727602	311992	Rita Clayton
727602	315066	Vera
727602	329562	Clip from 'Dance, Fools, Danc
727602	330385	Julia Wolf, Wynant's mistress
727602	331689	Ruth
727602	331950	Frances Thornton
727602	340943	
727602	342929	Mrs. Anthony
727602	347060	Lady Violet Montague
727602	359717	
727602	362154	Edith Worthington
727602	363190	Woman
727602	367840	
727602	367919	Woman at Modiste Salon
727603	178274	
727604	47838	Girl Scout
727605	80707	Jan Cooper
727606	213204	Child #1
727607	45505	Kissing Couple
727608	196300	
727608	309534	Club Girlfriend
727609	99284	Eliza
727610	368309	Herself
727611	33419	Herself (crouches with Jean H
727611	47758	Herself (onlooker, in dark co
727611	94668	Herself
727611	167324	Herself (in Zapruder film)
727611	210854	Herself (in Zapruder film)
727611	283721	Herself (witness to assassina
727611	397430	Herself - Witness who took Ba
727612	374640	
727613	383474	Irene/Prinses Serena
727613	385848	Herself
727613	388784	Herself
727613	401542	Linda/Roos/Jessica/Laura/Kim 
727613	407745	Herself
727614	79989	Trudy
727615	179039	Sonja
727616	17559	Aktrice
727616	43381	Verpleegster
727616	43870	Mara
727616	93624	Buurvrouw
727616	125356	Elisabeth
727616	125394	
727616	126454	
727616	134543	Anna
727616	143487	Nel
727616	178603	Jessy
727616	196821	Nadine
727616	226293	Cuca
727616	240211	
727616	248412	Manse Lappers
727616	257105	
727616	258170	Mrs. Gogan
727616	273756	Zwarte Manse
727616	281702	Rosalie Niemand
727616	357394	Jokabeth
727616	360784	Laura
727616	360831	Liefje
727616	394604	Vrouw Meersman
727616	400287	Mevrouw Peeters (1995)
727616	410401	Irène
727617	117914	La fille
727617	200782	
727618	198435	
727619	403805	Eva McKormick (1999-)
727620	104443	
727620	128849	Tracy, the French call girl
727620	169298	
727620	198019	
727620	222467	Babsi Huber
727620	249534	Agnès la soubrette
727620	254160	
727620	278150	
727620	345354	
727620	348725	Secretary
727620	354099	
727621	44493	Kenny's 'Henderson Hardware' 
727622	128238	Jenny
727623	290839	Garderobiere
727624	121062	
727624	187526	
727624	397370	Freundin
727625	135004	
727626	129969	General's Wife
727627	198540	Ruthie Kettle
727628	228232	Host
727629	87699	May McIntyre
727629	100041	Margaret York
727629	109513	Yates' secretary
727629	203297	Con
727629	329307	Mrs. Jamieson
727629	338577	Gallery attendant
727629	379395	
727629	382704	Shirley Donnelly (1998)
727629	382743	Judith Fitzgerald
727629	389442	Jan Whelan (1994-1995)
727630	313476	Pooja Naberrie
727630	313477	Pooja Naberrie
727631	169650	L'infirmière
727633	7770	
727633	307173	Unexecuted Virgin
727634	287978	Girl soldier
727635	921	(segment Israel)
727635	4585	
727635	10963	Mali
727635	30991	
727635	31563	Sigal
727635	32617	Lolly
727635	34349	Fania
727635	178527	
727635	181547	
727635	182250	
727635	205052	
727635	245786	
727635	299439	
727635	300503	Shimrit
727635	371908	Mimi
727635	383005	Nina
727635	390949	Various
727636	31833	Young Girl
727637	396610	Juliana (1996-1997)
727638	98658	
727638	139409	
727638	144300	
727638	146919	
727638	215387	Orna
727638	217257	
727638	340918	Christina
727638	342151	Chava
727639	53955	1st Maid
727639	381440	Rega
727639	403106	Rega, the male doll
727640	45899	Extra: city centre
727641	385367	Martica
727641	391272	Bettina
727641	398807	Belinda
727641	403884	Virginia
727641	405809	Gabriela
727642	256451	
727643	99066	
727643	157185	
727643	165162	
727643	170034	
727643	209298	Secretary
727643	403302	Dancer
727643	403687	
727644	241759	Agnes
727645	207602	Fiel
727646	82589	
727646	318278	
727647	92865	Little girl
727647	401930	Christina Morris-Scanlon Bald
727648	48554	Saloon Girl
727649	248483	
727650	149933	Khalim's Children
727651	72931	Goodyear Chorus Girl
727652	212666	Geri
727653	120929	
727653	136649	Soledad
727653	266397	
727653	328512	Young girl
727653	357108	
727653	376957	Rebecca
727654	213756	Flo
727654	226971	The ballerina
727654	396462	Francisca
727655	255751	Vicky
727656	331751	Girl #2
727657	31854	
727657	408730	Nijika - Additional Voices (1
727658	320458	Suzie Washington
727659	12068	Monona
727660	178342	
727660	312773	Dancing Instructor
727661	3509	Alicia Morena
727661	54838	
727662	3399	
727662	10822	
727662	13189	
727662	14679	
727662	14730	
727662	19462	
727662	51744	
727662	54718	
727662	57869	Sra. Arrebates
727662	65603	
727662	73086	Lulis
727662	84018	
727662	119303	
727662	157323	
727662	183160	
727662	217025	
727662	221733	
727662	221912	
727662	222016	Elsa
727662	222040	
727662	236036	Elvira
727662	256787	Nolan's girlfriend
727662	318252	
727662	349665	Laura
727662	352254	
727662	380939	Leticia
727662	383329	Tania
727662	383777	
727662	384245	Monserrat
727662	388937	Trudi
727662	391572	
727662	397021	
727662	397604	Amelia
727662	400413	
727662	402540	
727662	405398	Caridad
727663	74574	Mujer de la pareja andaluza
727664	350276	Nurse
727665	205540	Diana
727666	42911	Herself
727667	316184	
727668	330274	Camilla's kid
727669	211737	
727670	68511	Alien Abductee
727670	262617	Street Alien
727670	266647	Children
727670	277681	Dream Angel
727671	352152	
727673	320782	
727674	12088	
727674	13127	Amapola
727674	14326	Carmen Salas
727674	54318	Leonor
727674	57809	Mercedes
727674	80258	
727674	91374	
727674	91396	
727674	95010	
727674	115751	
727674	212528	
727674	219230	
727674	234355	
727674	302306	
727674	332663	
727674	336250	
727674	377104	Teresa
727675	399640	
727676	10705	
727677	9671	Niña
727678	319767	
727679	81157	Fighter
727680	326178	Mujer transedate
727681	92865	Little girl
727681	401930	Christina Morris-Scanlon Bald
727682	385401	Bebé de Nemoria
727683	8727	
727683	14714	
727683	22657	
727683	51779	
727683	73495	
727683	83887	
727683	85590	
727683	90113	
727683	91419	
727683	143763	Amiga de Hilda
727683	197447	
727683	222049	(segment El imponente)
727683	234318	Fichera
727683	236036	Prostituta
727683	248296	
727683	249321	
727683	268497	
727683	270071	
727683	287878	Susan
727683	309092	
727683	353573	Enfermera
727683	355777	
727684	236744	Yvonne
727685	232630	High School Extra
727686	218498	La Muerte
727687	384995	
727687	387050	Joaninha
727687	393714	Helena
727687	395865	Salomé Lobo
727687	409026	Isabel Morais
727688	173649	
727689	249784	Mercedes
727689	401884	Herself/- Finalist #9
727690	9084	Jugadora timba
727690	9737	
727690	10233	
727690	23370	
727690	23386	Ana
727690	51728	Aurora
727690	56056	
727690	100976	Tía
727690	101118	
727690	103789	
727690	120990	
727690	152354	Luisa
727690	207032	
727690	244326	Bianca
727690	256884	
727690	291612	Jessica
727690	296485	Amiga 1
727690	301115	Sonsoles
727690	301180	
727690	333707	
727690	390266	
727690	406894	Ujier
727691	249500	Spanish Maid
727691	340789	Yolanda Saldivar
727691	342537	Guadelupe
727692	91402	
727693	108068	
727694	101752	Elfie Schlueter
727694	325827	
727694	395667	Berta Griese (1985-2003)
727695	55139	Madre de Carlos (Carlos' moth
727695	371290	Lavandera
727696	390450	
727697	20625	Extra
727698	13196	Mujer
727698	287773	Trial
727699	226498	Enfermera
727700	256907	Sigal
727700	393662	
727701	270864	Carmelina
727702	80221	
727703	73651	
727703	222856	Giornalista
727703	236801	
727704	51137	
727705	291043	Cheetah
727706	179770	
727706	309440	
727707	104015	
727707	125779	
727707	265147	
727707	272794	
727708	327664	
727709	89938	Profesora
727710	384507	Featured Artist
727711	80558	Waitress
727712	384992	Rosane
727712	385522	Moa Nascimento
727712	398501	Clara Rezende
727713	103216	
727713	149518	
727714	396899	Loreta
727715	148466	
727716	103049	
727717	104497	
727717	356032	
727718	14943	Júlia's friend
727718	44723	Nadine
727718	203939	
727718	204919	
727718	211013	Lia
727718	241192	Paloma
727718	337865	Wife
727718	349726	
727718	384137	Márcia
727718	385184	Muriel Marcela de Almeida Lea
727718	386123	Gilda
727718	387732	Madalena
727718	396126	Isabela
727718	402582	Denise
727718	408550	Cida
727718	411585	Violanta Cabral
727719	339995	
727719	376587	
727720	402582	
727721	385151	Katrina
727722	401882	Participante
727724	76064	
727724	233527	Catarina
727724	388450	
727725	124235	
727726	392792	Prostitute
727727	160728	(segment "Dois Dedos")
727728	402504	
727729	123532	Chorus Conductor
727730	8274	
727730	251586	
727730	309084	
727731	207816	Dhammika
727732	184850	
727733	388209	Barbara Cleary (1994)
727733	399994	Co-Presenter/Reporter (2002-)
727735	402539	Aparecida
727736	30513	
727737	338644	
727738	191340	James' Stepmom
727739	83007	
727739	103046	
727739	103049	
727739	255798	
727739	268993	
727739	295100	
727739	338644	
727739	354869	
727740	229238	
727741	263416	
727742	354191	
727743	103046	
727744	89199	Dog Psycologist's Child
727745	54315	
727746	8473	
727747	155551	Grandmother
727748	265627	
727749	412273	Judge
727751	25782	
727751	333908	
727751	356032	
727752	28281	
727753	52214	
727753	52588	
727753	99565	
727753	106951	
727753	162604	
727753	197446	
727753	221563	
727753	221580	
727754	274943	
727755	179631	O.R. Doctor
727756	9383	
727756	11734	
727756	15881	
727756	20308	
727756	22045	
727756	22082	
727756	34220	
727756	37957	
727756	38478	
727756	38637	
727756	39088	
727756	51323	
727756	51352	
727756	83103	
727756	83316	
727756	110403	
727756	124205	
727756	135872	
727756	136697	
727756	140595	
727756	140632	
727756	153970	
727756	156204	
727756	156431	
727756	171975	Ahmet's mother
727756	172015	
727756	173571	
727756	173803	
727756	174662	
727756	178407	
727756	182911	
727756	189057	
727756	200589	
727756	210255	
727756	262179	
727756	286533	
727756	288267	
727756	295505	
727756	303057	
727756	308312	
727756	308477	
727756	308951	
727756	308953	
727756	310058	
727756	325210	
727756	333032	
727756	370616	
727756	370633	
727756	370775	
727756	371350	
727756	378204	
727756	378238	
727756	378246	
727756	378591	
727756	382092	Ulviye, Husrev's mother
727757	322371	Cristina
727757	384376	
727757	408857	María
727758	389119	Katharina Arnhoff (#1/#2) (19
727759	364300	Herself
727760	66874	
727760	244090	
727761	244090	
727762	154455	
727762	349950	
727763	397011	
727763	398218	
727764	101857	
727764	379552	Patricia
727764	383031	Martha
727764	392290	Cynthia
727764	398794	
727764	399806	Ernestina
727764	400792	Linda
727764	410093	Helena Gutiérrez
727765	161739	Young nurse
727766	209198	The Leader
727767	65443	The Girl
727768	28198	
727768	74814	Lolita
727768	75203	Margarita Leal
727768	246372	Mariana Bravo
727768	380938	
727768	384423	Fátima
727768	385337	
727768	397882	
727768	402675	
727768	410321	
727768	411659	
727769	2481	
727769	3474	
727769	90032	
727769	92348	
727769	205926	
727769	269571	
727769	275952	Herself
727769	296450	
727769	309086	
727769	344865	
727769	376665	
727770	378452	
727771	355056	Morena
727772	314108	Dancer
727773	97644	Nurse
727773	191738	
727774	130754	Gypsy dancer
727775	379132	Juanita (Chapter 4)
727776	74577	
727776	100341	
727776	212993	
727776	375740	
727777	106241	
727777	222049	(segment Amor y yoga)
727778	30582	Beers Cheerleader
727778	52318	Carol Baker
727778	110516	Cathy
727778	252374	Girl in hammock
727778	291014	
727778	313820	Cheerleader
727779	7512	Anita
727779	183440	Marianna DeAngelo
727779	194052	Principal Spanish Girl
727779	196046	
727779	247372	Performer in "Good Neighbors"
727779	263941	Carmelita
727779	330179	Mother on bus
727779	342951	Rosita
727779	350032	Consuelo Ramirez
727780	89726	Tana, Estupro
727780	150548	Ivonne
727780	222399	
727780	288943	Embassy Personnel
727780	290364	Sandra
727780	379136	
727780	379566	María (1998-2001)
727780	400756	Candela
727781	51540	
727781	52776	
727781	209076	
727781	354449	
727781	400339	
727782	62513	Rita
727782	246847	
727783	264263	
727784	380345	(2001-02)
727785	87012	Credits cave girl
727785	313951	Waitress
727786	248288	
727787	43129	
727787	96369	
727788	3430	
727789	42257	Girl
727790	188502	Nurse #1
727791	320689	Chiquita
727792	13013	
727792	380085	Leticia Lujan
727792	380087	
727792	384925	Susana
727792	387101	Coco Palacios
727792	390310	Trinitaria Pérez
727792	398807	Socorro Angulo
727792	401090	
727792	401122	Jessica
727792	401211	
727792	401896	
727792	404203	Elena de Aranguren
727792	408389	Joyce Sandoval
727792	410385	
727792	412190	Penelope Lezama Santibañez
727793	234371	Animadora
727794	229506	Party girl
727795	347303	
727795	376838	
727795	407728	
727796	205540	Rosita
727797	551	
727797	2481	Filomena
727797	3474	
727797	5263	
727797	6742	
727797	10483	
727797	19493	
727797	23369	Enriqueta
727797	48848	
727797	52775	
727797	53686	
727797	54723	
727797	55941	
727797	56291	
727797	56449	
727797	61142	
727797	61149	
727797	64993	
727797	70595	
727797	74359	
727797	74622	
727797	76099	Laura
727797	82283	
727797	83858	
727797	83887	Pacita, la criada
727797	86451	
727797	90032	
727797	90157	
727797	90504	
727797	90530	
727797	91171	Paulita, la criada
727797	99059	
727797	100524	Angustias Rodríguez
727797	103166	
727797	103500	
727797	115033	Herself
727797	115042	Herself
727797	132524	
727797	133215	
727797	135122	
727797	135380	
727797	146570	Esposa embarazada de Eladio (
727797	151797	Basilisa (Modern Maid)
727797	170273	
727797	183029	
727797	194098	
727797	194622	Eusebia
727797	205690	
727797	207980	
727797	209007	
727797	212347	
727797	212351	
727797	212363	
727797	212441	Clara
727797	212463	
727797	214207	
727797	225032	
727797	228776	
727797	236027	Lucía, criada
727797	236468	
727797	237802	
727797	242655	
727797	242674	Guillermina
727797	242680	
727797	247199	Virtudes Palomos
727797	247879	
727797	251703	
727797	252526	Trini 'La Amoníaco'
727797	253260	
727797	255290	
727797	257594	
727797	265552	Paula, criada de doña Elena
727797	266408	
727797	296476	Sirvienta
727797	300638	
727797	301110	
727797	307203	Luisa
727797	307727	
727797	309086	Hermana Tomasa Carrasco 'Sor 
727797	326144	La chacha
727797	343733	
727797	349472	
727797	350133	
727797	350259	
727797	353626	
727797	355479	Empleada de la pensión
727797	357533	
727797	357535	
727797	376665	Vicenta Verruguillo Tolomé, c
727797	376693	
727797	376773	
727797	407859	
727797	408203	
727798	342009	Sandra
727799	7250	
727799	12692	
727799	13079	
727799	52775	
727799	103394	
727799	124051	
727799	208709	Marta
727799	218518	
727799	229207	
727799	229246	Elizabeth
727799	239264	Michelle
727799	260841	Lolita
727799	276486	Ilona
727799	318265	Madre Iñaki
727799	350933	
727799	373964	Irene
727799	379890	Irma
727799	384126	
727799	387811	Leonor
727799	392074	
727799	397736	
727799	402681	Elvira
727799	405398	Florencia Amolinar
727799	410323	Lilia de Marcos
727800	63878	Enfermera
727801	73281	Comadre Dionisia/Dionisia's F
727802	165203	Herself
727803	39142	Girl
727804	44892	Carmen
727805	204354	Marisol
727805	347534	Nicole
727806	379898	Rebeca
727806	380894	
727806	383242	María Margarita Volcán 'La Be
727806	385058	
727806	387621	Abril Jiménez
727806	396644	Carla
727806	398807	Nubis Mayo
727807	193344	Vaquerita 2
727808	297120	Peasant #4
727809	150421	Herself
727810	6639	Isabel
727810	233764	Niña
727810	351407	Diana
727811	98758	
727812	63715	Megumi Amano
727812	298905	Megumi Amano
727813	199797	
727813	206743	
727813	300817	
727814	380524	Esther
727814	383245	
727814	383261	Mercedes
727814	387689	Constanza
727814	396209	
727814	401134	Emilia
727814	401916	Carlota Álvarez de Cifuentes
727814	401918	Constanza Hidalgo
727814	403365	
727814	403741	Miriam Savedo
727815	410093	
727816	318006	
727817	216449	Screaming Woman
727818	398523	Host
727818	400491	
727819	271855	Dancer
727820	13192	La cameriera
727821	66874	
727822	144413	Carrie Mirvis
727822	220534	Bonnie Johnson
727823	28294	
727823	76171	
727823	162586	
727823	247185	
727823	323679	
727823	325371	
727823	355032	
727824	326755	Storm Cargirl #1
727825	53639	
727825	53654	
727825	80223	
727825	169794	Spanish Woman 2
727825	326531	
727826	390035	Gaby Fernandez (1992-1994)
727827	301172	
727828	137121	Friday
727829	353654	
727830	20957	Bikini Girl #1
727831	18998	
727831	205140	
727831	208192	
727832	71083	
727832	236003	
727834	387228	Herself - Host (2004-)
727834	398430	Anchor (2002-2003)
727835	67025	
727835	68941	
727835	75471	
727835	132705	
727835	148052	
727835	221573	
727835	306691	
727835	376823	
727836	346250	Dancer
727837	52318	Stacy Baker
727838	358587	Church singer
727839	9107	
727840	244610	
727841	100306	Martha
727842	59367	
727843	12083	
727843	121346	Lotera mayor
727843	149511	Señora #1
727843	334686	Madre
727843	376671	
727843	393549	
727843	399803	Nati
727843	402876	
727844	66874	
727845	3418	Marta
727845	13078	Sofía
727845	77329	Madre Teresa
727845	237192	Tesa
727845	251340	
727845	252564	
727845	259959	
727845	284337	Emilia
727845	376656	
727846	384245	Bertha
727846	389639	Herlinda
727847	324502	Dancer
727848	380099	
727848	385401	Secretaria
727849	387566	
727850	279094	Lola
727851	89271	Ruth Two Bears
727852	252559	
727853	294859	Girl
727854	29790	La vierge Marie/L'Andalouse
727855	52708	Cajera
727855	60106	
727855	284899	Liliane
727855	343627	
727856	307195	
727857	301577	Multitud
727858	5002	
727858	9475	
727858	12793	
727858	19269	
727858	45569	
727858	53203	
727858	79113	
727858	85479	Kristin
727858	104174	
727858	104430	Ana Maria Gomez
727858	115740	Russell Contemplacion
727858	134224	
727858	138340	
727858	153311	
727858	171969	
727858	183136	
727858	183956	
727858	195917	
727858	200393	
727858	215612	
727858	226852	
727858	246499	
727858	285465	Celina
727858	285945	Vina
727858	288092	Sarah Balabagan
727858	349029	
727858	358113	
727858	379023	Host
727858	385703	Arriana Cordero/Anya
727859	293966	Rebel Commander
727860	196586	Gun Woman
727861	8332	
727862	130475	
727863	281084	
727864	32270	Maureen
727864	99737	Noria
727864	262993	Judith
727864	408719	Clo
727865	71068	
727866	195736	Go-Go Dancer
727867	11609	Susie Blair
727867	103477	TV Newscaster
727867	120766	Ruth Hunter
727867	135996	Librarian
727867	272100	Ellen Marlow
727867	295414	May Parcher
727868	398931	Herself
727869	193725	Biker Babe
727870	71740	
727870	150560	
727870	161970	
727870	222784	Tree Girl #1
727870	332441	
727870	339599	
727871	42327	
727871	382710	Herself - Fitness expert (198
727872	63009	Jean Bradford
727872	71575	Paula Mitchener
727872	139214	Young Blonde
727872	147663	Herself
727872	149635	Violinist/Fran Blackstone
727872	168723	Lily White
727872	185585	Molly Stevens
727872	203130	Gloria O'Connor
727872	239515	Deirdre Drake
727872	301981	Dolly
727872	331318	Chorus Girl (Framing Story)
727872	334180	Mme. Hellene de Bursac
727872	335726	Patsy O'Brien
727872	366369	Blonde at Dance
727872	366947	Herself
727872	370555	Girl
727873	299469	Partygoer
727874	2376	Herself
727874	3126	Kim
727874	4671	Herself
727874	57677	Herself
727874	80969	Herself
727874	84005	Herself
727874	123032	Alluma
727874	138752	Herself
727874	150520	
727874	151461	Little Girl
727874	191431	
727874	200262	
727874	342262	Herself
727874	342605	Bonnie Lee Jordan
727874	360082	Janice Gerber
727874	385588	Jenny Jones (1968-1969)
727874	386698	Janie Robinson
727874	391006	Joanie Cunningham
727874	393574	Joanie Cunningham
727875	84624	Miss Cinema
727876	279389	Featured Performer (Vocals: '
727877	82669	Lab Assistant
727877	297190	Nurse #1
727878	353363	
727879	250449	Herself (sports star)
727880	53595	
727882	50476	Dublin Shopkeeper
727882	217411	Allworthy Maid
727882	235630	Waitress
727883	169882	News Reporter #1
727883	295673	Prosecutor
727884	298311	Girl
727885	158999	Herself ('Entertainment Tonig
727885	194521	Herself (Entertainment Tonigh
727885	215461	Herself (interviewer)
727885	360436	Herself
727885	392884	Host
727885	399094	Hostess (1990-1991)
727886	944	Norris
727886	8079	Third Woman
727886	350213	
727887	140698	Wendy
727887	372525	Skateboard Nurse
727888	189827	Errie
727890	81396	Bac
727890	83876	Sarah
727891	67394	Jeanine
727892	155824	Child
727893	10717	Airport Hostess
727893	32916	Eve Mannering Durand
727893	33602	
727893	40770	Mary Brower
727893	77719	Diana
727893	90354	Priscilla Bowen/Betty Bowen
727893	111693	Adrienne Paleari
727893	123055	
727893	129955	Mary
727893	162463	Betty Kennedy
727893	169623	Marie Colman (Mimi)
727893	171271	Linda Lee Stafford
727893	183401	
727893	195639	Joan Robinson
727893	201918	Lettie Ewing
727893	202793	Nora Meadows
727893	210752	Julia Cavanaugh
727893	223069	Helene Stanton
727893	235411	Gwen Stewart
727893	246358	Edith Gilbert
727893	264067	Monica
727893	266733	
727893	273801	Sylvia Fleming
727893	279162	Marjorie Cullen
727893	279407	Joe's Daughter
727893	297701	Lorette
727893	308587	Lee Coleman
727893	311031	Beverly Lane
727893	314353	Laurel Dallas
727893	338040	Judy Kramer
727893	340786	Judith
727893	346075	Alice Freil
727893	361617	Dot
727893	363643	Nancy Hawthorne
727893	368244	Mary Brown
727893	410650	May (Mom) Herrick
727894	36492	Itu
727895	360891	Mother
727896	10884	Co-star
727896	22730	Supporting
727896	52017	Gladys
727896	265873	Guest #2
727897	73927	Old Lady in Church
727898	77084	Bea
727898	85475	
727898	94898	
727898	172945	Sandra
727898	173681	
727898	251737	
727898	284651	
727898	284672	
727898	285889	Sally
727899	222646	Guitar Player
727900	193915	Mrs. Wrenn
727900	323395	Linda
727901	296055	Herself (friend/classmate)
727902	293058	Brandis Baxter
727903	115161	Joe's Woman
727904	249613	Samantha
727905	25225	
727905	62610	
727905	147928	Temma
727905	178366	
727905	271619	
727905	343420	
727905	373427	
727905	383170	Didi
727905	398267	Sarit
727906	83961	Bathroom Pervert
727906	88095	Herself
727906	110974	Bitch prisoner
727906	140953	First fundraiser issue woman
727906	217913	Dr. Coathanger's Secretary
727906	222254	Cavalcade Patron
727906	256206	Patty Hitler (Party Guest In 
727906	280775	Party guest
727907	342035	Lady Marilyn
727908	330797	Marie Twardofsky
727909	186	Mrs. Glimpy
727909	26343	Mrs. Morgan
727909	35350	Joyce Lee
727909	37921	
727909	40893	Lulu
727909	46737	Sarah
727909	67872	Mrs. McGinnis
727909	70960	Script girl
727909	72257	Prunella Wallaby
727909	88831	Mrs. McGinnis
727909	117552	Joan Collins
727909	130886	Patsy
727909	144447	
727909	148590	Maid
727909	168013	Mrs. Schultz
727909	183822	Counter Girl
727909	208902	Spa guest
727909	209660	Homely Girl
727909	211589	Irish Woman
727909	214093	Mrs. McClosky
727909	221035	Maisie O'Donnell
727909	224047	Mrs. Thornton
727909	267855	The Landlady
727909	288023	Switchboard operator
727909	304959	Salesgirl
727909	308624	Aunt Martha Fennamore
727909	321390	
727909	333574	Mrs. O'Hara, Landlady
727909	335660	Jane, a Maid
727909	335891	Lydia
727909	342947	Spa Guest
727909	360761	Hortense, Betty's Aunt
727910	105441	Miss Felicity Lemon
727910	114658	Teacher
727910	131610	Maisie
727910	194456	Miss Lemon
727910	253093	Miss Lemon
727910	331677	Gypsy Woman
727910	367498	Woman in Black
727910	384441	Cleopatra Berenike
727910	399383	Miss Petowker
727910	401725	Miss Felicity Lemon
727910	401725	Miss Lemon
727910	402196	Antoinette de Mauban
727911	728	Herself
727911	736	Herself
727911	10604	Phyllis
727911	20087	Peggy
727911	37100	Joan Lawson
727911	45451	N.Y. operator
727911	53193	
727911	77952	Pat O'Shea
727911	91641	Penny Kirkland
727911	94142	Enid
727911	114164	Girl at school
727911	116155	Kitty Randall
727911	128894	Myra
727911	130620	Golddigger
727911	142610	Rosalie Watson
727911	147904	Herself - Actress
727911	149720	Wendy Creighton
727911	150392	Babe Morrison
727911	154097	Linda Carroll
727911	154680	Herself
727911	177444	Judy Mason
727911	177511	Young Man's Wife
727911	191588	Tall Girl
727911	222329	Marta Solvani, Stage Name of 
727911	222334	(stock footage from 'The Mumm
727911	233044	Cigarette Girl
727911	238894	Kelly Archer
727911	241592	Mickey Fitzgerald
727911	277525	Maurine McClune
727911	292829	Actress Waiting to See Carsta
727911	295380	Albert 'Al' Van Maaster
727911	303307	Girl
727911	304970	Judy Ross
727911	312001	Irene
727911	312774	Herself
727911	330025	Helen Barbara Twine
727911	337641	Barbara Thornton
727911	338852	Betty
727911	361619	Millie Harkins
727911	366395	
727911	374522	Party Guest
727912	104066	Teresa
727912	307436	
727912	325309	
727913	6194	Mrs. McGrath
727913	7482	Orchestra Leader
727913	10738	The Dodo Bird
727913	13565	
727913	13580	Cora, diner owner
727913	19952	
727913	30907	Mother
727913	31253	
727913	32204	
727913	32342	
727913	35798	Inez
727913	37255	
727913	47137	Maggie
727913	50752	Polly
727913	50910	
727913	51768	
727913	52574	Mrs. Murphy
727913	52806	
727913	57149	
727913	57193	Polly Smith
727913	59889	Polly
727913	62010	Sarah
727913	63088	Herself
727913	72701	Singer
727913	78061	
727913	84379	Hotel Guest
727913	88098	Mme. Pigonier
727913	92247	Nella Fitzgerald
727913	101085	Baruska
727913	109989	
727913	110183	Herself
727913	128442	Polly
727913	135582	Aunt Maggie
727913	138887	
727913	143094	
727913	143345	A Stage-struck Maiden
727913	144743	
727913	146119	
727913	147281	
727913	147815	Henrietta Clemp
727913	147825	Herself - as the Princess
727913	148917	Polly
727913	150154	Polly
727913	163482	Bertha
727913	183364	Lydia Bonney
727913	183761	Hotel Maid Who Coughs
727913	193578	Miss Smithson, the New Maid
727913	193579	
727913	196174	
727913	196849	Fight Enthusiast
727913	199435	
727913	209651	Widow Jones
727913	239027	
727913	246596	Polly, a Convict
727913	254270	Widow Jones
727913	258173	
727913	259402	Ivy
727913	264994	The Maid
727913	265977	Lizzie Praskins
727913	272469	
727913	274182	Chambermaid
727913	274276	Mrs. Maxwell
727913	274539	Polly Rochay
727913	275521	Polly
727913	281569	
727913	281904	Lady Jane
727913	282451	Mary
727913	285346	
727913	285649	
727913	288824	
727913	289600	Jeering Townswoman
727913	296949	Entertainer
727913	297958	
727913	298493	Nell
727913	298494	
727913	300106	Peggy's maid
727913	304094	
727913	305042	Herself
727913	305626	
727913	306483	Polly, the Cook
727913	310799	The waitress
727913	324245	
727913	327305	Landlady
727913	329563	Herself
727913	330614	Polly
727913	331083	
727913	331114	
727913	335070	Sally
727913	343178	
727913	343205	Chambermaid
727913	343212	Prudence Matthews
727913	347060	Polly, the maid
727913	347364	Landlady
727913	350171	
727913	354497	
727913	360172	Polly
727913	360234	Pansy
727913	363566	Mrs. McGinnis
727913	371022	Bride's Mother
727914	41044	Manucurist
727914	76549	Alice
727914	143279	Barbara
727914	147384	Kitty Hollingsbee
727914	154487	Woman
727914	177391	Secretary
727914	195358	Little Marie
727914	220333	Girl
727914	233486	Patsy O'Day
727914	293781	Alice Neal, age 4
727914	335013	Little Allen
727914	348381	Peggy
727915	115562	Hotel Patron
727915	300527	Jungle Queen Receptionist
727915	320106	Stalker
727916	293078	Museum Guide
727917	87166	Fancy Dancer
727919	2985	Princesa Gismenia
727919	29135	
727919	30098	
727919	74493	
727919	77323	
727919	78676	
727919	96632	
727919	154589	
727919	172721	
727919	173753	
727919	173949	
727919	177658	
727919	200143	
727919	200501	
727919	206779	
727919	227512	
727919	234016	
727919	269958	
727919	292676	
727919	332928	
727919	349929	
727919	358504	
727919	358506	
727919	367806	Theresa
727920	383631	Staff Nurse Mary Skillett (19
727920	387247	Felicity Barnes (1995)
727920	388306	Chelsea Richards
727920	408636	Hannah Donald
727920	408637	Hannah Donald
727921	345	Woman at Antoines
727921	71302	Painter
727921	329307	Clare
727921	382393	Annie Lang
727922	13094	(segment "Amore e morte")
727922	14908	
727922	25324	Miss Elizabeth
727922	49678	
727922	86113	Maggie
727922	90029	
727922	102624	
727922	102630	
727922	104646	
727922	113700	
727922	127948	
727922	128931	
727922	160071	
727922	161857	Rosaria
727922	189262	
727922	198906	Eleonora
727922	209343	
727922	243199	
727922	259699	
727922	269075	
727922	277812	
727922	327098	
727922	361690	
727922	375895	
727923	72373	Ruth
727923	268229	
727923	344559	Charlotte
727923	378081	Caroline
727923	404018	Mariette Rancourt
727923	404812	Solange Lecavalier
727923	409541	Nicole Barrymore
727924	66547	Fifine
727925	60678	
727925	70743	Victoine
727925	157922	Girl Student
727925	220405	La secrétaire
727926	195854	Model
727926	263339	Other Pretty Maids
727927	89572	Reporter
727928	335492	Sprinter Charlety
727929	379876	
727930	340877	Les luronnes
727931	48461	Iron Lung Lady
727932	141594	Italina Translater
727933	199821	Giulia
727933	389152	Antonella
727934	216039	
727935	1866	
727936	278617	
727937	147051	
727937	313634	
727938	55241	
727938	73516	Balbina
727939	15003	
727939	77335	
727939	96110	Titine
727939	126319	Mme. Gaudron
727939	248847	
727939	291580	Adeline Martin
727939	328850	Alberte
727940	225476	Elizabeth, the monster
727941	269050	Valérie Dantec
727942	156329	Belle Soeur
727942	237610	
727942	243300	Prison's Guardian
727942	243343	Yolande
727942	249209	Fan de Jeannot
727942	259917	L'épouse de Maurice
727942	268229	
727942	309771	Voisins
727942	343572	
727942	380717	Mme Laplante
727942	390486	Soeur Yvonne
727942	398847	Hortense Lépine
727943	124235	
727943	124241	
727944	300527	Chad's Mom
727945	90318	
727946	5764	
727946	28774	
727946	38778	Katherina
727946	54260	
727946	70860	La Governante
727946	86070	
727946	111846	
727946	112678	
727946	127614	
727946	132733	
727946	265722	
727946	287809	
727946	307069	
727946	355708	Alberto's Mother
727947	61175	Customer
727947	117556	Antique shop lady
727947	162247	Hostess
727947	194513	Mrs. Morecombe
727947	194968	
727947	278169	Estate Agent
727947	321421	Iryna
727947	341670	Maj. Newman
727947	353415	
727947	379015	Priscilla
727947	382838	Barbara Harrison (1991-1992)
727947	392483	Octavia
727947	393938	Elizabeth Robbins
727947	398684	Olivia
727947	398965	Satin
727948	252283	
727949	77857	Elizabeth
727949	382838	Andrea Parkin (1986)
727949	407488	Calista
727949	411251	Barbara Brookes
727950	23372	
727951	5377	A prisoner
727952	19462	
727952	206997	
727952	233335	
727952	307219	
727952	351573	
727954	7446	Lucie Dreyfus
727954	9017	Alice
727954	14851	
727954	14912	Tiziana Mercuri
727954	17792	Anita
727954	18657	
727954	36440	Bianca
727954	58090	Herself
727954	67497	Giulia
727954	70545	Carla
727954	70951	Laura Canetti
727954	71141	Julia
727954	71168	
727954	77705	Yolanda
727954	92054	Luisa Ellis
727954	94734	
727954	100112	Mathilde Wilcrau
727954	108112	
727954	110120	Nadine
727954	111057	Clarisse Lethuillier
727954	111336	Cecilia
727954	112912	Mara
727954	127883	Germana Righi
727954	150524	Greta
727954	157162	Agrippina
727954	161661	Giovanna
727954	162040	
727954	171320	Charlotte
727954	189272	Mara
727954	196777	Renata
727954	199801	Mother Cenacle
727954	203343	Julia
727954	205674	Maria
727954	215027	Begoña
727954	217553	
727954	223034	Hannah Bronnen
727954	225646	
727954	235783	
727954	238789	
727954	240264	
727954	241193	Laura
727954	256253	
727954	263783	
727954	270864	Laura, moglie di Enrico Fermi
727954	275813	Suor Virginia (La Monaca di M
727954	277811	Giulia Ristuccia
727954	287894	Anna D'Assisi
727954	307050	Silvia
727954	313179	Paola
727954	337259	
727954	337459	Laura
727954	342038	Vittoria
727954	345297	Marguerite
727954	345399	Flora de Margelasse
727954	346815	
727954	349754	Tina Merlin
727954	350052	Dara
727954	353142	Sibilla Aleramo
727954	356412	Laura
727954	376926	Laura
727954	389760	
727954	393941	
727954	410465	Judith Bernheim
727955	136964	
727956	85747	Virginia Boyd
727956	139972	Little Cougar
727956	273856	
727957	270697	Dancer #2
727959	64238	
727960	78076	Vusi's Mother
727961	83400	Classe sport et études
727962	205727	Corinne
727963	389484	Shosha
727963	400142	
727964	205575	
727965	33148	
727965	392747	Lolita
727966	396	Recepcionista
727967	273315	Herself
727967	407078	Herself (9 Days, Mogo Mogo Tr
727967	407082	Herself (Sole Survivor, 39 Da
727968	171078	Janet
727968	303094	Guenevere
727970	79058	Simpson's Daughter
727971	79059	Nurse Lauren
727971	87294	Margaret
727971	169172	Sasha
727971	211338	Katrina
727971	316027	Carla
727971	332138	Amy
727971	338576	Rhonda
727971	367266	
727972	75242	
727973	16980	
727973	284144	Une cliente de la galerie
727974	15440	Kamilia
727974	50066	Irin
727975	307111	La femme de chambre
727976	376693	
727977	24986	Rubianca
727977	52789	Fanny
727977	76713	
727977	103116	
727977	121965	
727977	155233	
727977	255925	
727977	294705	
727977	320953	
727977	353188	
727977	353290	
727977	393549	
727978	390587	Herself (Magnum Agency photog
727979	10683	
727980	163565	Pamela Hughes
727980	408361	Press Conference Reporter #3
727981	396610	Martinha (1998)
727982	104769	French entry (7th place)
727982	243289	Fanny
727982	322339	Marie
727984	337	Icardi's Wife
727984	3369	
727984	20355	
727984	64769	
727984	81611	
727984	85978	
727984	148111	
727984	205965	
727984	209153	
727984	254980	Amelia
727984	277034	
727984	309786	
727985	190745	Katia
727986	43126	
727986	366217	Komi
727987	237516	Katka
727988	141660	Young Girl in Cemetary
727989	197708	
727990	212121	
727991	307455	
727992	165062	Technician
727992	178532	Kristyna
727992	224513	Hilda
727992	261519	
727992	320642	Karla
727993	14930	
727993	16200	Margot Pinaudová
727993	90066	
727993	126356	Aurina
727993	173035	Teacher Vlasta
727993	198230	
727993	266216	Mouse Sisi
727993	306314	
727993	346780	Young Mancinka
727993	350321	Barmaid
727993	352472	Dora
727993	373419	Dora
727993	391297	
727993	403621	Andrea Lisková
727994	371431	Olga Ivanova
727995	36522	Bibo
727996	238883	Polly Eisenhut
727997	5131	Nora
727997	23110	Cleaning woman
727997	24468	
727997	97595	
727997	107950	Anita
727997	111406	
727997	169872	Margaret Mergel
727997	177166	Frau Marnasse
727997	185744	Mother
727997	186890	Grete
727997	189534	Krankenschwester
727997	221270	
727997	230229	
727997	275687	Frau Rupp
727997	296199	
727997	352399	
727997	393360	
727997	406828	
727997	409609	
727998	95949	
727999	255741	
728000	369006	Neighbour
728001	261135	
728002	137639	Frl. Senkpiel
728002	156067	Fräulein Hellgiebel
728002	178628	
728002	226354	
728002	281947	Gesine, Magd bei Adens
728003	394508	Fiona Fraser
728004	279183	Moira Clare
728004	329599	Queenie Sleeman
728005	107949	Evelyn Gilvray
728007	144657	
728008	29856	
728009	113240	
728009	376688	Pamela
728010	7977	Woman with Catalogue
728010	21180	Mrs. Riddington
728010	115875	Adela
728010	128081	Maggie
728010	196474	
728010	379626	Fay Green (1972) (series 2)
728010	381661	Various Roles (1975)
728010	385299	Ivy Meacher/Hooper
728010	396522	Joan (Series 2) (1999)
728011	69428	Child
728011	220578	Herself
728060	262925	Beatrice
728011	328582	The Girl (Nancy Preston)
728011	367073	League Dancer
728012	392960	Aidé
728013	269141	(segment "22 ans-Patricia")
728014	344608	
728015	389788	Charito Lander
728015	412153	Luisa Carbonell Falla
728016	387953	Herself
728016	387954	Herself
728017	249910	Silvia niña
728019	108938	Actress
728020	214307	
728021	83982	Maori Warrior
728022	227919	
728023	304757	Mary Ann
728024	33799	
728024	228552	
728024	351024	
728024	411911	
728025	190706	
728026	16646	Hooker
728027	184548	Louise
728028	57850	Margherita
728029	23564	
728029	110047	The model
728030	29186	Student #3
728031	154738	Marta
728031	386564	Teresa Ortega (1976)
728031	410300	Connie Valdez
728032	301660	Hand
728033	116549	
728034	19202	Pauline
728035	1987	Veronica
728035	91205	
728035	215169	
728035	277426	
728035	280601	
728035	305132	
728035	306374	Masha
728035	356827	Doctor's Wife
728035	374101	Anna Skorokhodova
728035	404219	
728036	184801	
728037	28498	
728037	32858	
728037	47054	Superintendent
728037	63581	
728037	88740	
728037	95576	
728037	95749	
728037	104466	
728037	132034	White actress
728037	159860	Anna Andreyevna Skvoznik-Dmuk
728037	172726	
728037	176048	
728037	179742	Klavdia Vavilova
728037	188866	
728037	197466	
728037	202602	Polina Yuryeva
728037	217454	Uliana Gromova
728037	217461	
728037	230110	Herself
728037	241942	Natalya Stepanovna
728037	244220	
728037	244253	Stepanida
728037	262674	
728037	265989	
728037	280398	Mama
728037	283837	
728037	294014	
728037	299289	
728037	305205	
728037	312537	
728037	339626	
728037	341025	Matryona
728037	352456	
728037	356420	Anisya Fyodorovna
728037	356422	Anissya Fyodorovna
728037	356444	Uncle Misha
728037	357241	
728037	357245	
728037	357466	
728037	370997	
728037	373998	
728037	374769	Belotelova
728037	374992	
728038	196434	Fudge Sundae Woman
728039	311527	
728040	66108	
728040	163644	
728040	247989	
728040	295936	
728040	340897	
728041	52201	
728041	78949	Lesli
728041	80619	Lori
728041	120126	Tina
728041	170531	Betty Kerner
728041	208631	Emily
728041	274400	Bonnie
728041	294834	Rene
728041	313068	Julia
728041	385824	Gillian Forrester (1986-1987)
728041	389858	Anna Devane Scorpio Heyward #
728042	52201	
728042	120126	Terri
728042	170531	Liz Kerner
728042	241050	Moll Flanders Vampire
728042	385824	Grace Forrester #1 (1987)
728043	39680	Arna
728043	40334	Sophie, at Club 40
728043	234237	Carla
728043	310639	Cop #3
728044	191240	Lady in Waiting
728046	60970	
728046	104672	
728046	166641	
728046	264639	
728046	264737	Herself
728046	264738	
728046	264741	
728046	264748	
728046	306921	
728047	396179	Pilar
728048	79034	Alexis/The Darkfury
728049	93714	
728049	95800	
728049	243109	
728049	243136	
728050	43593	Singer
728050	404407	Mrs. Tanner (Series 2)
728050	408638	ICU Nurse
728051	259008	Eunice
728053	44651	
728054	370210	
728055	34658	NonSex
728056	168093	Jo
728056	269392	Eve Pascall
728056	332093	Emily Potter
728056	333100	Tilly
728056	367901	Betty Graham
728057	230360	
728058	3516	
728058	61097	Suor Gemma
728058	203402	Italian Mother
728059	53026	
728060	377058	La rousse en prune
728061	16156	Doña Augustias
728061	36483	
728061	84686	Nageberger
728062	64659	Taiko Drummer
728063	88057	
728064	236602	Seconde souris
728064	260118	Une danseuse
728065	303618	Jeanne Cavalero
728067	38979	
728068	355398	
728069	345146	Ondine
728069	399756	Ondine
728070	68874	
728071	364180	Author, Bernard Tapie: A Hero
728072	255559	
728072	361710	Hélène
728073	346576	Irène
728074	113117	Herself
728075	231997	Young Ballet Dancer
728076	31087	
728077	1033	
728077	1052	Herself/Elle-même dans le sco
728077	2548	Herself - Presenter
728077	2613	Herself - Presenter: Best Dir
728077	2654	Ljuba
728077	5027	Herself
728077	5157	Writer's Wife
728077	5159	Herself/Voice (Chanson et lyr
728077	9480	
728077	9653	Friend
728077	10095	The baronness
728077	10319	Herself
728077	13043	Narrator (French and English 
728077	13122	Jeanne Tournier
728077	13929	Herself
728077	15041	Libra
728077	17534	Woman
728077	19758	Camille
728077	21625	Florence Carala
728077	25200	Herself
728077	27824	Jackie Demaistre
728077	28724	Charlotte-Laure
728077	38761	Edith Farber
728077	53086	Doll Tearsheet
728077	57894	La première ex-épouse de M. C
728077	58285	Marguerite Duras
728077	63682	Louise
728077	65934	Lili
728077	68830	Madeleine
728077	69988	
728077	70938	Diane
728077	81957	Ruth Warriner
728077	83176	Michèle
728077	85692	Mère Marie de l'Incarnation
728077	91266	Julie
728077	91277	Gloria Decrey
728077	104814	Eve Olivier
728077	105069	Grande Dame
728077	109029	Herself
728077	111057	Le Doria
728077	111688	Eva
728077	117561	Angelique
728077	119047	
728077	124357	Alice
728077	125615	Récitante/Narrator
728077	133513	Catherine
728077	142856	Herself
728077	148646	Suzanne Dubreuil
728077	148764	Marianne Déjazet
728077	151946	Sylvana
728077	152621	Myriam Bingeot
728077	153893	Voice
728077	154453	Nana
728077	156282	Marie Winter
728077	157052	Virginie Ducrot
728077	161568	Mona Rémi
728077	165761	Maria
728077	166106	Rose
728077	166164	Elisa Boussac
728077	166314	Herself
728077	168139	Joana
728077	169305	Janine Weisman
728077	169345	Celestine
728077	170359	Catherine
728077	170462	Rosie Facibey
728077	171004	Gina
728077	174562	Elizabeth
728077	185632	Madame Exe
728077	185735	Didi
728077	188660	Jeanne Plisson (segment "Bill
728077	189162	Juliette de Merteuil
728077	190855	Herself - Interviewer
728077	191413	Lisa (old)
728077	195244	Agnès Vanaux
728077	197385	Sarah
728077	198462	Fernande
728077	199570	Mademoiselle
728077	204696	Alessandra Wolf (Licy)
728077	204946	Sister Banville
728077	206059	Julie Kohler
728077	207594	Mata-Hari
728077	207883	Récitante/Narrator
728077	212035	The Woman
728077	212154	Martine Annequin
728077	214020	Mme Benoît-Lambert
728077	215021	Sabine, dite 'La Major'
728077	216875	Anne Desbarèdes
728077	218289	Florence
728077	218525	Martine Bernard
728077	228198	Other Woman
728077	232628	Amande
728077	235771	Lidia
728077	236525	Hélène Sauveterre
728077	243798	(segment "The Deep")
728077	247241	The Brothel-Keeper
728077	248899	Leo
728077	251533	Cathy
728077	254062	The Singer
728077	255659	Pâquerette
728077	258120	Helene
728077	258338	Mimi (segment "Mademoiselle M
728077	261114	Narrator
728077	265227	Miss Burstner
728077	265350	Herself
728077	265904	Adrienne Mark
728077	269138	Woman with dog
728077	269557	Lysiane
728077	270353	Renee Vibert
728077	275122	Marguerite de Valois, "La Rei
728077	275393	Herself
728077	285641	Anna
728077	285751	
728077	285963	Angèle Ribot
728077	288893	Marie-Aude Schneider
728077	309975	Berthe
728077	327568	Herself/Voix off
728077	327576	
728077	336756	Josy
728077	337788	Christine
728077	340156	Jeanne Fortin
728077	340877	Lou
728077	345038	Eglantine
728077	346533	Woman in Bar
728077	346658	Herself
728077	347194	Herself
728077	350099	Jeanne Pirolle
728077	353358	
728077	353516	French Woman
728077	353964	Lady M
728077	355812	Maria I
728077	355883	Récitante/Narrator/Herself/Ca
728077	365745	Johanna (1989)
728077	371070	The Marchioness of Frinton
728077	372884	Lili Marlene
728077	374212	Anna Shermann
728077	376912	Tete
728077	377633	Jacqueline Tourieu
728077	377955	Florence
728077	381615	Récitante/Narrator
728077	397947	Mère Innocente
728077	408317	Vivi
728078	79604	Librarian
728078	116141	Wife
728078	154988	Mother of 3-Yr-Old Cowboy
728078	168295	Cockroach
728078	222571	Flo
728078	313969	Suzanne
728078	360856	Brenda
728079	214421	Woman
728080	269726	La dame
728081	33092	Virgin Mary
728082	76253	Connie Moreau
728082	76254	Connie Moreau
728082	96920	Jamie Harris
728082	113986	Charlie McGee
728082	119533	Julie
728082	142718	Susan 'Sadie' Atkins
728082	193296	Faye Murrow
728082	213460	Connie Moreau
728082	213466	Cabriolet Girl
728082	224027	Eileen Sullivan
728082	238610	Kat Shutte
728082	269355	Jesse
728082	272858	Helena
728082	283434	Amanda Monroe
728082	342791	Jennifer
728082	358114	Teenage Girl in Audience
728082	361907	Katie
728082	379918	Jenny Miller
728082	382277	Melanie (1994-1995)
728082	395540	Ms. Monica Young
728083	188393	Waitress
728083	367962	Marie, Liane's Maid
728085	225475	Grandma
728086	26042	Flora
728086	31445	Rachel
728086	32083	Birdie Bucke
728086	41869	Marcy
728086	63124	Jamie
728086	80592	Raffaella
728086	185765	Kate Jamison
728086	189283	Angelica Giddings
728086	199982	
728086	202657	Sarah Talbot
728086	214913	Anna
728086	263365	Stephie
728086	280723	Kristin Rosso
728086	358652	Amy Pearson
728086	395751	Anna Irmgard Von Schlotterste
728086	396378	Madeline (1990-1992)
728086	398730	Erin Clements
728087	345525	Une standardiste
728088	71897	Jacqueline Fosh
728089	345250	Fernande
728090	135335	Charlotte
728091	377488	La caissière
728092	356911	
728093	296094	Le gamin sourd muet
728094	241249	Extra
728095	8930	Jeanne
728095	45189	Sylvie
728095	53152	Jackie Pigeon
728095	68390	Soeur
728095	78390	Valence Leclerc
728095	108116	Michèle
728095	199896	Photographer
728095	243344	
728095	254014	Veuve #2
728095	261478	Linda Faucher
728095	352927	Adrienne
728095	383651	Catherine Beaulieu
728095	385684	Valence Leclerc (2000-2001)
728095	396530	Catherine Beaulieu
728096	354911	
728097	84924	
728098	366780	
728099	45736	Nathalie
728099	94315	Claudine
728099	96028	La femme de Michou
728099	162510	Voisine Irène
728099	166150	Valérie
728099	205749	Paulette
728099	211140	La sage-femme
728099	211367	Dame de la réception
728099	268977	Corinne
728099	286621	Sabrina
728099	327566	Fred's wife
728099	345415	
728099	346424	Colette
728099	352635	Philomène
728099	385347	Martine
728100	377736	Anne-Sophie
728101	277805	Cassandre
728102	139820	Catherine
728102	340681	Karine
728102	355880	
728103	14349	Mme Pogut
728103	14404	La concierge/Concierge
728103	28681	Jacqueline Van Bersen
728103	33626	La boulangère
728103	36670	Marsanne
728103	43636	Lucette
728103	57282	Bus driver
728103	60890	Josiane
728103	62564	Mme Parmentier
728103	70957	L'institutrice
728103	106988	Madeleine Wallace, concierge
728103	113134	
728103	116479	Hélène
728103	126258	La Levaque
728103	132771	Colette, la mère
728103	153241	Madame Rigoard
728103	169263	
728103	184062	Babette
728103	188679	Lydia
728103	211362	Marie-Do
728103	262944	L'institutrice
728103	268950	Irène
728103	269225	Dieu la contractuelle
728103	284666	Annie
728103	287616	Yolande, sa bonne
728103	336962	Irene Millard
728103	340143	la patronne du PMU
728103	345023	Laure Surville
728103	345288	Inspector Chantal Bex
728103	346711	Mme. Pasquier
728103	349488	Madame Popineau
728103	353883	
728103	356566	Marie Rochat
728103	357093	La boulangère
728103	374259	
728103	380978	Marie-Jo
728103	383864	Louise
728103	386114	Yolande/Various Characters
728103	399813	Yolande/Various Characters (1
728104	61693	
728105	223342	Alenka Kaminski
728105	310179	Alenka
728106	47079	Herself
728107	23919	Herself
728107	47079	Herself
728107	154368	Herself
728107	346936	Herself
728108	298732	Kanonbaatol
728109	223304	Elene Iwatani
728110	89045	
728111	294354	Effie
728112	87073	
728112	170270	
728112	280882	
728113	100429	off voice
728113	251615	
728114	205429	
728115	72901	
728116	384041	Viviane
728116	387631	
728116	411311	Sarah Van De Kerkhoven (2001)
728117	52570	Concerned Mother
728117	78915	Meg Hexley
728117	114584	Lauren Ely-Davis
728117	121803	Kathryn
728117	130768	Receptionist
728117	160807	Maj. Janet Morgan
728117	269967	Nancy Grover
728117	274075	Christine Kochanski
728117	282482	Paramedic
728117	287157	Margo Yeager
728117	328281	Roadhouse Clubgoer #1
728117	388923	Dr. Jennifer Daulton (1996)
728117	389416	Tracy Cernan
728117	400263	Karen Blake
728119	371374	Extra
728120	79716	French Reporter
728120	142165	Cashier
728120	205049	
728120	232507	Justine Lesley
728120	277042	Kelly Vandermeer
728120	313562	
728120	398776	True Crimes Performer
728121	148472	
728122	18670	
728122	109349	Blanca
728122	223337	Andreia
728122	324925	Laura
728122	351934	
728122	377087	Emília
728123	18670	
728124	115833	
728125	12528	Mariana
728126	12931	
728126	13074	
728126	23907	
728126	43581	
728126	63414	
728126	83518	
728126	85514	
728126	98759	
728126	105865	
728126	112759	
728126	255798	
728126	338241	
728126	378424	
728127	8566	
728127	160119	
728127	341136	
728128	340305	Pedro Melo's wife
728128	387902	Castorina dos Santos
728128	388680	
728130	105589	
728131	83860	Tareja
728132	115833	
728133	269570	
728134	66222	
728134	222185	
728134	309425	
728135	8979	
728136	280998	
728137	386212	Antonáscia Pasqualim
728138	57587	Dina
728139	124595	
728141	344854	Carmem
728141	395905	
728142	8583	
728142	25043	
728142	286275	
728142	380331	Maria Lucinda 'Marilu' Abreu 
728142	380387	Regina Ribeiro
728142	381198	Mumu Soares Sampaio
728142	383866	Fernanda
728142	385023	Cristina Werneck
728142	387424	Marlene
728142	392792	
728142	396506	Viscountess of Gafanha
728142	396741	Iris
728142	396795	Carlota Strega
728142	396938	Erica
728142	397539	Bianca Paiva
728142	401678	Dorinha
728142	402371	Carla
728142	402593	Zmirá
728142	402685	Inês
728142	404077	Grace Dias
728142	404078	Luba
728142	408330	Herself
728142	409419	Lola Flores
728143	201216	
728144	69239	
728144	83523	
728144	160193	
728144	243443	
728145	385947	
728146	6347	Maid
728147	65184	Game player 'Pattycake'
728148	52928	
728148	70705	
728148	195117	
728148	255640	
728149	412257	
728150	383172	Deolinda
728150	384002	Beta
728151	246026	
728152	52107	
728152	52820	
728152	135269	
728152	344782	
728153	380089	Regina (child)
728154	55913	
728154	344801	
728155	29876	Girl 2
728156	25004	
728157	265461	
728158	378393	
728159	70954	
728159	108895	
728159	111780	
728159	246017	Nathalie
728159	246641	La boulangère
728159	333759	Pilar
728159	370043	Nelly
728159	400383	
728159	403475	Elizabeth Mainguy
728160	354759	
728161	51922	
728161	103207	
728162	256993	Marielle
728163	206289	Lord Hatfield
728164	63821	
728164	103903	(segment "Balbino, o Homem do
728164	212163	
728164	218924	
728164	269029	
728164	337252	
728164	377607	
728164	385629	Anita
728164	386017	Ama
728164	387654	Estela
728164	389786	Ofélia
728164	389887	Zenaide
728164	390499	Beatriz
728164	402809	
728164	403258	Laura
728164	407024	Teresa
728164	407798	
728165	168449	
728166	95325	
728166	202130	
728167	43638	Séverine
728167	346563	L'hôtesse
728168	268151	Mrs. Higgins
728168	349600	Mevr. Van Dedum
728169	6402	La bonne
728169	8214	
728169	13114	La bonne
728169	16948	Soeur Berthe
728169	29001	La seconde fleuriste
728169	31019	Marinette
728169	54298	
728169	55532	Une voyageuse du coche
728169	59249	La concierge
728169	65729	Fouache
728169	76166	Amélie
728169	77341	
728169	78348	
728169	80230	
728169	84599	
728169	84678	Germaine
728169	96074	La femme de chambre
728169	99368	La buraliste
728169	111087	La bouquetière
728169	148769	
728169	161994	
728169	166268	Louise
728169	178968	La dame en noir
728169	197060	L'habilleuse
728169	199333	Une philosophe
728169	199380	Julie
728169	199613	Une chanteuse du 'Trio'
728169	204648	La mère
728169	205480	La concierge
728169	208481	Mme Mignolet
728169	214797	Une cliente au cabaret
728169	214882	Une commére
728169	218331	
728169	229002	
728169	235821	
728169	250835	Marguerite
728169	287595	La voisine
728169	292783	Magali
728169	301404	
728169	307110	
728169	345465	Rosalie, jeune
728169	376956	
728169	377953	Une invitée
728170	286422	
728171	132955	De Lorigny Epouse
728172	13513	
728172	25806	Lucila
728172	53595	
728172	74573	Mari
728172	76013	Gloria
728172	90138	
728172	125411	
728172	149233	
728172	152140	
728172	159235	
728172	166548	
728172	213409	
728172	246388	
728172	251228	
728172	275081	
728172	276472	
728172	281689	
728172	281759	
728172	294076	
728172	319767	
728172	339451	
728172	353577	
728172	376847	
728172	380084	Julieta
728172	381030	
728172	398469	Josefita
728172	403741	Eduvijez
728172	409719	Doña Zenaida
728173	322250	
728174	55947	
728174	236760	
728175	6465	
728175	22760	
728176	229425	
728177	326349	Angelino
728177	393707	Jopoppinolou-kico-club
728177	394912	Prinses Vossenstaartje
728177	402545	Juultje Quant
728177	408174	Grobelia
728178	12132	
728178	122240	
728178	133022	
728178	269536	Célia
728178	275023	
728178	350142	
728179	252342	Mlle B.
728180	382877	
728181	233906	
728182	256115	
728182	280129	Luna
728182	405789	Bárbara
728182	409957	Sandra 'Sandrita'
728183	229968	Nina
728185	161080	
728186	16654	Dancer
728186	32886	Dancer
728186	33698	Dancer
728186	56103	Dancer
728186	146813	Show Girl
728186	206530	Saloon Girl
728186	254558	Dancer
728186	321570	Dancer
728186	348972	Dancer
728188	51402	Adolescente
728189	93445	
728189	125202	
728189	126489	
728189	126869	
728189	199355	
728189	280790	
728189	290447	
728189	358257	
728190	383964	French cafe singer
728191	385003	la Caissière
728192	143135	Co-Ed
728193	188341	Milkmaid
728194	240013	Nancy
728194	289362	Miss Tripp
728195	337115	Newspaper Reporter
728196	143570	B-Girl
728196	154478	Miss Fredericks
728196	254540	Juror
728196	273629	Bali Dancer
728197	73403	
728198	69732	Mrs. Webster
728199	113883	Muriel's Child
728200	92865	ICU nurse
728201	12862	Marcella
728201	217345	Begonia Cumby
728201	350484	Baby Preston
728202	54209	Secretary
728203	319876	Barmaid
728204	121215	Verna Pierson
728204	122067	Leta
728204	128962	Dr. Allan
728204	190947	Extra in dress circle
728204	194834	
728204	211687	
728204	231951	Teacher
728204	236930	D.A.'s Fiancee
728204	280183	Martian girl
728204	315341	Party Girl
728204	319610	Bank teller
728204	327764	Native Girl
728204	363144	Morna
728205	113883	Muriel's Child
728206	97390	Art Critics
728206	316716	Ted's Wife
728207	315323	
728208	210954	
728209	83496	Prostituta I
728209	103163	Leonor
728210	45312	Tillie Parr
728210	254917	Italian Belly
728210	281244	Barmaid
728210	332440	Sibyl
728211	24108	
728212	14789	Rosario
728212	205111	
728212	222002	
728213	374033	Katja
728214	139236	'Les Girls' Woman
728215	134833	Schwester Narzisse
728216	180705	Kim Phelps
728217	70141	
728217	380084	Gilda
728217	380107	María Clara de Heredia
728217	383471	Minerva Gamboa de Alvarado
728217	384400	Yolanda Bojórquez viuda de Ca
728217	387817	Blanca De Velasco de Peñarrea
728217	390404	Bernarda
728217	393833	Consuelo Duarte 'mamá de Dani
728217	395885	Paulina Hurtado
728217	397018	
728217	397604	Raquel
728217	401698	Carola
728217	404736	Mónica
728217	409719	
728218	23886	Eleonore von Hutter
728218	397486	
728219	203079	Maid
728220	332160	
728221	194405	Student
728222	15004	
728222	104214	
728222	156304	
728222	156329	Belle Soeur
728222	208161	Marie
728222	307499	Colette
728222	381504	
728222	381856	Mame Bouline
728222	403328	Dame Plume
728222	408173	
728223	202705	
728224	405102	Griselda
728225	225490	Margherita
728226	21201	Secretary
728226	390753	
728227	223493	Brenda Buttweiser
728228	217856	Angelina
728229	90661	
728229	129016	
728229	159617	
728229	188661	
728229	213512	
728229	234747	
728229	275393	Silvia
728229	315443	Madre dell'ufficiale
728229	353156	Pittrice
728229	403220	
728230	13203	
728231	128931	
728232	47117	Rosa
728232	252825	Grieving Woman
728233	308891	
728233	399657	
728235	185516	June
728237	353244	
728238	32284	
728238	57077	Nana
728238	101262	
728238	355965	La Concierge
728238	396726	La Carline
728239	49693	
728239	52778	
728239	104140	
728239	274702	
728240	40427	Ana
728240	60222	
728240	121335	
728240	306693	
728240	322853	
728240	328888	
728240	378496	
728240	387573	Ariel's mother
728240	397013	Yolanda
728240	398800	Juliana
728240	398816	Elvira de Robledo
728240	405102	Griselda
728241	222832	
728241	267409	Adriana
728241	276150	
728241	409290	Alejandra
728242	30820	
728242	33248	
728242	35615	
728242	38491	
728242	57802	
728242	159659	Jeanette
728242	173569	Perihan
728242	173971	Aliye
728242	175494	
728242	182089	
728242	308417	
728242	322448	
728242	350843	
728242	371554	
728242	378191	Nesrin
728242	378611	
728243	10050	
728243	12689	Guido's mother (segment "L'id
728243	16345	
728243	19476	Irina
728243	25309	La duchessa Isabella di Torni
728243	33433	Rosaria Magnano
728243	57959	
728243	60117	
728243	60122	Rosa Fossati
728243	64244	
728243	64773	Marina's mother
728243	67491	
728243	70859	La vecchia del fuso
728243	73195	
728243	73541	Mother Baldi
728243	86114	
728243	90068	Socorrito
728243	106818	Faustina
728243	109974	Giannina Murri
728243	110437	Olga Soukarev
728243	124571	Princess Maria Stella Salina
728243	127985	
728243	160054	Tullio's Mother
728243	161654	Rosa
728243	205549	Angelina
728243	221966	
728243	235371	
728243	269096	Monica
728243	294255	Laura
728243	303178	Suor Valeria
728243	336618	Teresa D'Amore
728243	353088	
728245	293063	
728245	341475	
728246	284898	dancer
728246	328331	
728247	113463	Mama
728247	163263	Maria
728248	24297	
728249	379820	Ana Cristina Rivera Hill Hern
728249	383261	Ingrid
728249	383471	Cecilia Santos Dorantes de La
728249	404702	Vanessa
728249	409017	Linda
728249	410303	Adriana Espinoza
728249	412190	Natacha Covarrubias
728250	496	
728250	3458	
728250	13085	
728250	14730	
728250	63900	Mama de Gracielita
728250	74983	
728250	110889	
728250	145176	
728250	183523	
728250	199969	
728250	202209	
728250	202210	
728250	202618	
728250	209036	
728250	212388	
728250	214820	
728250	221956	
728250	222040	
728250	222051	
728250	225011	
728250	275509	
728250	301184	
728250	352009	
728250	352944	
728250	370170	
728250	376666	
728250	376705	
728250	377165	Blanca
728250	380119	
728250	384573	
728250	409761	
728251	37953	Virginia
728252	253920	Fairy Bride
728253	106552	Additional Voices
728254	324626	Frk. Lise Rømer
728255	396337	
728256	149555	
728256	222533	
728257	29240	
728258	278564	
728259	14431	
728259	67026	
728259	67027	
728259	271798	
728259	380064	Cris
728259	387473	Norma
728259	393841	Host
728259	397498	Cris
728259	402630	Paula
728259	403683	Viveka
728260	5142	Herzogin von Orleans
728260	10472	Yella Ward
728260	20416	
728260	20424	
728260	21653	
728260	34240	
728260	48302	Charles Duvals vrouw
728260	59212	La Baronne d'Orléans
728260	67222	
728260	86301	
728260	86302	
728260	93422	
728260	94299	
728260	94421	
728260	99173	
728260	99234	
728260	102983	
728260	106471	
728260	109321	
728260	110137	
728260	119129	
728260	120133	Prinzessin Elisabeth Christin
728260	123692	Helene
728260	125096	
728260	127638	
728260	129250	
728260	132545	
728260	132809	
728260	134846	
728260	155402	
728260	159253	Princess Savitri
728260	159254	Savitri, the Princess
728260	162483	
728260	169844	Frau des Konsistorialrats
728260	182003	Frau von Alady
728260	189752	
728260	189827	Theresa
728260	189834	
728260	195059	
728260	197302	Lulu
728260	203400	
728260	204636	Diane von Montignan
728260	214172	
728260	223469	
728260	226272	
728260	226316	Elisabeth, Bezugs Tochter
728260	263728	
728260	268150	
728260	278445	Giuditta Foscari
728260	283955	
728260	290021	Empress Elisabeth
728260	290707	
728260	290745	
728260	294201	
728260	306410	Josephine
728260	306930	
728260	308263	
728260	310961	
728260	317493	
728260	322998	Thymian
728260	325187	
728260	339384	
728260	347698	Äbtissin
728260	352281	
728260	352551	
728260	354369	
728260	356754	Frau des Kassierers
728260	359627	Herself
728260	361110	
728260	365698	
728260	369175	
728260	376453	
728260	376492	Frau Georgius
728260	376764	
728261	30415	Vera
728262	50155	
728264	275	
728264	76171	
728264	135433	
728264	173630	
728264	181010	Kriselda
728264	202415	
728264	293851	
728264	328933	
728265	69176	Host
728265	91009	
728265	104764	Host
728265	387959	Herself - Co-Presenter (1989)
728266	383471	
728266	387817	Doris
728266	392960	
728266	404869	Cecilia
728266	410303	
728267	41326	
728268	94894	
728268	272717	
728268	292561	
728268	342506	Lupa, the Wolf Woman
728269	308810	
728270	53214	Tonie
728270	55746	Belinda
728270	171867	
728270	294311	
728270	341582	
728270	355073	
728271	123986	Herself
728272	115772	Carmen
728272	292741	
728273	51215	
728274	223235	
728276	84679	Suzanne
728277	387946	Contestant (2003)
728278	46808	Venita
728279	380082	Abril Santaella
728279	403285	Conchita
728279	411089	Maria
728280	83489	
728280	100273	
728280	167809	
728280	222386	
728281	37728	
728281	64785	
728281	77182	
728281	95766	Dyesebel
728281	139395	
728281	142569	
728281	144365	
728281	173644	
728281	174288	
728281	183918	
728281	190414	
728281	207125	Isay
728281	221261	Eva Fonda
728281	226862	
728281	273597	Rebecca Marasigan
728281	278628	
728281	308874	
728281	385532	
728281	390873	Salve
728281	404049	Mayor Socorro Bustamante
728282	379457	María
728283	276404	Invitada (Guest)
728284	19467	Agustina
728284	25063	
728284	48811	
728284	60224	Marusa
728284	64976	Dña. Diana María
728284	90098	La reina
728284	94622	
728284	100254	Luisa
728284	103173	
728284	171613	
728284	182319	
728284	190171	Sharon's maid
728284	219311	The Nurse
728284	267875	Coloma
728284	269746	
728284	270057	Macarena
728284	282062	Rosita
728284	285934	Obdulia
728284	291708	Mrs. Caldeiro
728284	353290	
728284	375874	
728284	379474	
728284	405417	
728285	490	
728285	234366	
728285	236303	
728286	293719	
728287	237851	
728288	103163	Bebé
728289	102336	
728289	216068	
728290	76016	Obdulia
728291	5372	Ballerina
728291	29582	
728292	29055	
728292	192968	
728292	197617	
728292	225699	
728292	233352	
728292	275089	
728292	285239	
728293	276977	Flor
728293	324177	
728294	103211	
728295	14668	
728295	383271	
728296	157698	Lady of the Night
728297	23383	Beatriz
728297	70599	
728297	123544	
728297	136996	
728297	378440	Trini
728297	379133	Lola
728297	381029	Fresia
728297	383519	
728297	384126	Lola
728297	384245	Panchita
728297	384400	Blanca Inés 'Blanquita' Betet
728297	384980	Paquita Ávila de Pérez
728297	388647	
728297	397019	Filipa
728297	397594	Rosa
728297	398469	Jesusa
728297	400797	Matilde
728297	402152	Benita Morales
728297	402219	Doña Charo
728297	403741	
728297	412195	
728298	2163	Alcira
728298	26644	Judge Linda Farmer
728298	65501	Jean Fowler
728298	66388	Waitress
728298	72691	
728298	73207	Marge Kennedy
728298	81055	Sarah West
728298	88656	Social Worker
728298	134611	Mrs. Kinetta
728298	154194	Mrs. Farrell
728298	166637	Nurse Gonzales
728298	210732	Mrs. Buckley
728298	217600	Belinda Rosenberg
728298	234226	Jane
728298	239033	Mrs. Vega
728298	252853	Eleousa
728298	275448	Neighbor
728298	289420	
728298	321526	Mabel Stoddard
728298	342924	Dream Barbecue Mother
728298	360741	Daphne Corelli
728298	389917	Benita 'Benny' Lopez
728298	401226	Edwina Twinkacetti (1986-1987
728298	403509	Angie Novello
728298	407470	Alice Tolliver
728299	383787	
728300	228136	
728301	412273	Finalist #9
728302	51716	Mecha
728303	14809	
728303	70862	
728303	80898	Woman Singer
728303	204644	
728304	12203	Yolanda
728304	115499	
728304	264036	Sophia
728305	30341	
728306	52614	
728307	51772	Mary Beth
728308	351619	
728309	205540	Maria
728311	10227	
728311	19489	Vecina
728311	71078	
728311	90146	Madre atracadora
728311	103837	
728311	103845	
728311	103992	
728311	219424	
728311	251580	Manuela
728311	291604	
728311	371760	
728312	121777	
728313	215686	Miss Venezuela
728314	246847	
728315	52731	
728315	83140	
728315	104289	
728315	109673	Brazilian Opera Troupe
728315	222043	Olga
728315	285471	Concha
728316	45839	General's Secretary
728317	62790	Kristin Lerner
728317	121320	
728317	156374	Jennifer Leyva
728317	161067	Jody
728317	170084	
728317	215232	
728317	252555	
728317	252627	Cristina
728317	268248	
728317	380114	(1972)
728317	383517	
728317	385335	(1971)
728317	395060	
728317	397596	
728317	398455	(1971)
728317	404985	Flora
728318	302333	Señora
728319	73835	Freddy's Chicana
728320	106378	Toll collector
728320	128089	Girl #4
728321	33226	
728322	383138	Clarita
728323	307200	
728324	194820	
728324	240838	Old Lady
728325	116599	
728325	225023	
728326	123729	
728326	357192	
728327	379132	Rosa (Chapter 4)
728328	55974	
728328	251574	
728328	288805	
728328	357523	
728329	202047	
728330	5754	
728330	294001	
728330	379898	Cruz María
728330	390310	Doña Gonzala
728330	394006	Tibisay
728330	401122	
728330	401693	Alma Farias
728330	402688	Mercedes Landaeta
728330	408408	Gisela Montalbán
728331	324840	La Reliquia
728332	21583	Curiosa calle
728332	96354	Muerta parque 2
728332	110415	
728333	267455	Gambler's Girlfriend
728334	387817	Zenaida
728334	398801	Vilma
728334	399570	
728335	281697	
728336	104513	
728337	350235	Hooker
728338	54085	
728338	158727	
728338	161710	Dancer who loves Jose
728338	167098	Mrs. Priestwood
728338	186264	Rosita Lopez
728338	224223	Senora Alvarado
728338	241125	
728338	258623	
728338	263774	
728338	324293	
728338	338625	The Miller's wife
728338	348933	
728338	377111	
728338	378489	Toots
728338	383444	Coralia
728339	324870	
728340	280870	
728341	8709	
728341	10568	
728341	58433	
728341	66401	
728341	84464	
728341	88983	
728341	90060	
728341	103531	
728341	105663	
728341	115761	
728341	140558	
728341	162764	
728341	189295	
728341	207712	
728341	237862	Teresa Samivet (segment "Cask
728341	283071	
728341	327200	
728341	339096	
728341	353355	
728341	384115	Elsa
728341	385458	Margarita
728341	390881	
728341	391850	Coca
728341	398157	Daughter
728341	400488	Nurse
728341	411735	Olivia Borges
728342	379653	
728342	390382	Reporter
728342	412131	Reporter
728343	402404	
728344	69781	
728344	268513	
728345	24370	
728345	28023	
728345	33468	La mejicana
728345	80858	CIA Commander
728345	106316	
728345	148051	Berta
728345	170067	
728345	221990	Isabel
728345	310030	
728345	379898	Angustia
728345	380102	Carmen Briceño
728345	382564	Tía
728345	385336	Dolores
728345	385367	Emperatriz Malavé
728345	386503	Madre Alejandra
728345	389788	Mercedes Salazar
728345	391272	
728345	398807	Corazón
728345	400938	Soledad
728345	401090	Amalia Márquez
728345	401211	Hilda Cristina Ramos
728345	408389	Jade
728345	412123	Cachita
728346	384373	The Girl
728347	274449	Bar Waitress
728348	204354	Party Guest
728349	383247	
728350	385367	Gabriela Núñez Anzola
728350	390748	Yessica Caridad
728350	408389	María del Pilar Briceño
728351	61706	Micheal and Mimi's mom
728352	66096	Fiona
728354	400733	
728355	190644	Otra secretaria
728356	235244	
728356	271276	
728357	25159	
728358	85471	Xinia
728358	219797	
728358	251726	
728358	252546	
728358	284678	Sara
728358	285403	
728358	286583	Diana
728358	296549	
728358	390069	Cathy Dominguez
728358	392569	
728358	394773	
728359	68250	
728359	135307	
728360	101894	
728361	401884	Herself/- Finalist
728362	4514	
728362	104834	
728363	12064	
728363	28020	
728363	80245	
728363	90196	
728363	202559	
728363	339041	
728364	20625	Extra
728365	403021	Dolores 'Lola' Arregui (2003)
728366	74225	Vera
728366	142396	
728366	148029	Ruth
728366	163055	Darna
728366	271085	Aida Rivas
728366	300623	Darna
728367	191714	Purse Lady
728368	115755	
728369	203889	
728369	352151	
728370	19486	
728370	63808	
728370	91276	
728370	100422	Mama Mariana
728370	103509	
728370	124539	
728370	132386	
728370	145182	
728370	145264	
728370	197624	
728370	205600	Duet singer
728370	257128	
728370	269253	
728370	352004	Clotilde, madre de Claudia
728370	355800	
728370	379147	
728370	380084	Almendra
728370	380095	Consuelo
728370	385663	
728370	407648	Emilia
728371	209068	
728372	208909	Hermina
728373	379147	
728374	393364	Juliana
728375	51899	Raven
728375	70842	Waxy
728375	176883	Waitress
728375	264452	Boom Boom
728375	375694	Zombie
728375	399345	Principal Contestant
728376	295100	
728377	5509	La joueuse
728377	8215	
728377	20216	
728377	30152	La marquise de Marengo
728377	44996	
728377	45131	
728377	53006	La veuve du roi
728377	55188	La gitane/La zingara
728377	56083	
728377	57847	
728377	58223	Telcide
728377	58605	L'Américaine
728377	60525	Hélène
728377	63697	Mrs. Falkner
728377	64346	
728377	67068	La romancière
728377	70738	Mme. Dumorel
728377	71841	
728377	77355	Countess Tomski (La Dame de P
728377	78392	Mme. Schomberg
728377	78542	
728377	83297	Madame Mathieu
728377	86439	Juno
728377	90759	La grandmère
728377	91972	Madame de Bonafé
728377	100186	
728377	104799	Émilie Bonbonneau
728377	107523	
728377	111482	
728377	127634	La marquise de Mauperthuis
728377	131308	
728377	155680	La femme du général Epantchin
728377	156564	
728377	164210	
728377	167199	
728377	167200	Madame Villiard
728377	167249	La dame de l'au-delà
728377	167631	La marquise de la verriere
728377	198628	
728377	199605	
728377	202344	
728377	205992	Madame Marchal
728377	208218	
728377	210174	Bijou
728377	211682	Tante Adèle
728377	212767	Madame Sorbiet
728377	216233	Mme. Thenardier
728377	217659	Célestine
728377	219837	
728377	248597	
728377	249032	
728377	249088	La duchesse de Latour Lupé
728377	253213	Catherine de Medicis (1860)/E
728377	261726	
728377	263882	
728377	265031	Madame Pedrovska, la voyante 
728377	269148	
728377	274777	Zia Mameche
728377	275111	
728377	275663	
728377	278144	
728377	280781	The Countess
728377	282490	
728377	292783	Madame Auguste
728377	296081	La comtesse Polacchi
728377	307227	Ellane
728377	320010	Herself
728377	322368	Pepa
728377	337010	
728377	337740	
728377	345449	
728377	345517	
728377	354692	
728377	356376	
728377	376994	Mme. Elsie
728377	377942	
728377	377958	La tante
728377	378011	Mme. de Stakelberg
728378	160256	
728379	307199	
728380	106272	
728381	384373	
728382	12708	
728382	12709	
728382	26547	
728382	112755	
728382	115768	Narina
728382	157331	
728382	266003	
728382	284966	(segment "Vitamina C na Cama"
728382	336316	
728383	46648	
728383	391850	Alba
728384	120080	Woman at Wedding
728384	226496	Mujer Módulo 15
728385	34561	
728385	65204	
728385	65205	
728385	80128	
728385	84499	
728385	124264	
728385	132213	
728385	204610	
728385	205466	
728385	216073	
728385	223623	
728385	249804	
728385	260537	
728385	301107	
728385	306640	Maria
728385	323935	
728386	160256	
728387	222031	
728388	9104	La Tacón
728388	59990	
728388	345592	Madre de Aijón
728389	383438	Carolina
728389	384119	
728389	398661	
728389	412194	
728390	69474	
728391	64021	
728392	318299	
728393	316359	La Meticcia
728393	349522	
728394	83140	
728394	104289	
728394	199797	
728394	222043	Amalia
728395	100937	Child
728396	197440	Dalma
728397	380126	
728397	392806	
728397	402411	Luchita Sanfuentes
728398	231329	Niagara lead singer
728399	278313	Giovanna
728400	56526	
728401	308271	Sara
728401	345592	Luchi
728402	69030	
728402	102877	
728402	121275	
728402	332577	
728402	387781	Pau
728403	409419	Odila Penteado
728404	103808	
728404	341362	
728405	55937	Receptionist
728406	257126	
728407	3462	Matilde
728407	50202	
728407	64709	Nena
728407	89938	Iris
728407	160535	Yoli
728407	183985	Rebeca
728407	335366	Clara
728407	399505	Laia Montsolís
728407	399803	Sara
728408	161773	Bárbara Furiasse
728409	42642	
728410	30765	
728411	278740	
728411	379907	Elena
728411	382711	Road Warrior
728411	396646	La Negra
728411	409790	Melania
728412	385947	
728412	392747	
728412	395044	Recepcionista
728413	1963	Herself
728413	2311	Herself - Best Supporting Act
728413	2541	Herself/presenter
728413	3021	Herself - Past Winner
728413	3053	Herself - Past winner
728413	7591	Herself
728413	8168	Rita
728413	14094	Herself - Presenter
728413	15938	Nina
728413	17067	Madame Rulenska
728413	19300	Ruth
728413	25872	
728413	35647	Herself
728413	41876	Maggie
728413	44706	Esther
728413	45130	
728413	47304	Herself
728413	55132	Angela Torello
728413	55222	Herself
728413	55292	Louise
728413	55937	Señora Muñoz
728413	57052	Queli
728413	74225	Sisa
728413	81991	Hetty Hutter
728413	98645	Jara
728413	105465	Renata Riguel
728413	107016	Manuela Rodriguez
728413	117932	Bridget Fitzgibbon
728413	118372	Claudia Zimmer
728413	124092	Singer
728413	138729	Lucille Pompi
728413	154334	Rosaria Linares
728413	163719	Isabella
728413	168048	Maroa
728413	177253	Tuptim
728413	177443	Inez
728413	185931	Christina
728413	185935	Herself
728413	189957	Sandra Roberts
728413	198545	Soubrette
728413	206232	Dolores Gonzales
728413	222493	
728413	232080	Vi
728413	242514	Lydia
728413	245247	
728413	246482	Terru
728413	257014	Miguel's Mother
728413	260387	Lupe
728413	261049	Rosella DeLeon
728413	266903	Herself
728413	276427	Mimi
728413	278494	Lucy
728413	279030	Googie Gomez
728413	280193	Rita Kapkovic Landale
728413	280364	Presenter
728413	286536	
728413	295285	Ula
728413	302696	Zelda Zanders
728413	305244	Belle Abromowitz
728413	306587	Dolores Guererro
728413	310526	Various
728413	311927	Irma
728413	318673	Rosa Zacharias
728413	330867	Lola
728413	334402	Tina
728413	347732	Julia
728413	349632	Huguette
728413	358805	Herself (1988)
728413	361686	Herself
728413	361688	Anita
728413	362057	Mom
728413	362082	Zelda Zanders
728413	362866	Passage Narrator
728413	367924	Hosted by
728413	368305	Waitress
728413	368480	
728413	371090	Honey Bear
728413	378954	Violet Newstead
728413	380000	Juana
728413	381044	Kimberly Baskin
728413	385054	Angie Corea
728413	387438	Carmela; the Director; Mille 
728413	396447	Dr. Skeletor
728413	397077	Panelist
728413	400621	Sister Peter Marie Reimondo
728413	402909	Additional Voices
728413	403155	Herself
728413	408551	Alixandra Stone
728413	410975	Carmen Sandiego
728414	80286	
728415	77676	Salsa Club Dancer
728416	101892	Herself
728417	3467	
728417	14711	
728417	74572	
728417	74983	
728417	87075	
728417	221948	Prostituta
728417	328716	Clemencia
728417	378375	
728417	383519	
728417	393837	Cristina
728417	395885	Magnolia
728417	400663	Carmela
728417	403402	Dionisia
728417	405398	Sara
728417	407276	Julia
728417	410313	Beatriz
728417	411660	
728418	111577	
728418	341708	
728419	14648	
728419	53872	
728419	54287	Tanya Trainoff
728419	80201	
728419	87067	
728419	91386	Elena Carson
728419	96330	Margarita/Marga (the daughter
728419	120720	Alice Harrison
728419	125757	Magda Martin
728419	143447	Lulu
728419	148087	Lady Maria Falkland
728419	149506	
728419	150867	Raquel
728419	183429	Marguerite Cintos
728419	209348	Toodles Castro
728419	233543	Rosa
728419	255550	Lolita Baxter aka Mary Smith
728419	266444	
728419	277377	
728419	287751	Maria Castinado
728419	291110	Carlotta
728419	312988	Baroness von Strick
728419	324447	Laura Montalván
728419	326337	
728419	327929	
728419	358775	Carla Monierez
728419	371781	Bride
728419	378489	Dolores Winkle
728420	57	
728420	21901	Banana
728420	31453	
728420	75382	
728420	142159	Ruby at 'Watermelon'
728420	293401	Ruby
728420	294260	The Filipina Girl
728420	294261	The Filipina Girl
728420	341270	Connie
728421	10071	Caissière Dalloyau
728422	296752	Small Woman
728423	58876	Gail
728423	280720	Blonde
728424	30790	
728424	30862	
728424	37680	
728424	50995	
728424	103654	
728424	165255	
728424	261090	
728424	281697	
728424	324600	
728425	365380	Herself
728425	382741	Ongala
728426	213760	
728427	379116	Celeste
728427	394017	
728428	75603	Herself
728429	25159	
728429	83433	
728429	91286	Colette
728429	212372	
728430	170036	Silvia
728430	247869	Zulma
728431	185415	
728432	529	
728432	344847	
728433	121307	Travesti
728434	53641	
728435	119078	
728436	14761	
728436	14773	
728436	18835	
728436	28034	
728436	30416	
728436	52597	
728436	57777	
728436	71279	
728436	73514	Cristina
728436	76003	
728436	77255	
728436	80247	
728436	87077	
728436	91426	
728436	100336	
728436	100383	
728436	108738	
728436	124447	
728436	132709	
728436	146452	
728436	159019	
728436	199855	
728436	206571	
728436	207002	
728436	221904	
728436	222039	Woman 2
728436	226184	
728436	234412	
728436	236760	
728436	243781	
728436	248234	
728436	251552	
728436	255744	
728436	265327	
728436	314342	
728436	317682	
728436	332642	
728436	337962	
728436	340312	
728437	271868	Emergency Room Technician #5
728438	105853	Cultuurdame
728439	71457	
728440	50845	Flamenco singer
728440	230013	Herself
728441	55934	
728441	228177	
728442	137258	Lynn Wallbanger
728443	42640	
728443	56502	
728443	74596	
728443	81421	
728443	192939	
728444	230892	Mrs. Cavalcanti
728445	195262	Spanish Girl
728446	36555	
728446	103187	
728446	221579	Clyde
728446	318005	
728446	353204	
728446	376668	
728446	383274	Mercedes
728447	203979	
728448	98973	
728448	140824	
728448	204564	
728448	308907	
728449	162993	
728450	899	Missy
728450	241337	Kate
728451	52698	
728451	382584	Marie
728451	395620	La chef ambulancière
728451	409537	
728452	210048	Jacqueline
728452	391292	Else Fredericksen (2004-)
728453	8942	Maria (Die Freundinnen/The Gi
728453	28700	Elke Groat
728453	41117	
728453	65176	Betty
728453	91027	Mara
728453	98063	Katrin Schrader
728453	142264	Nancy
728453	145318	
728453	145598	Mutter von Iris
728453	154448	Maria
728453	155344	Elisabeth
728453	209875	Dodo
728453	322504	Frau Philipp
728453	334713	Jessica
728453	345898	
728453	404494	Rita Schmitz
728454	171411	Young Girl #2
728455	82512	Cinta
728456	118420	La Vendeuse
728457	112821	La Roussette
728457	113252	
728457	132941	
728457	134381	
728457	134382	
728457	328408	
728458	2107	Marie N° 2
728459	146923	Joey
728459	194289	Mistress Shore
728460	199606	
728460	205628	Anna
728461	234490	
728462	118651	
728463	184263	
728463	267298	
728463	324122	
728464	17290	Niña Flood
728465	5752	
728465	6673	
728465	9664	Ruth
728465	9786	
728465	25218	
728465	52618	Doña Flor
728465	68992	Lois
728465	83551	
728465	100403	
728465	103373	Emma
728465	103507	
728465	104877	Rita
728465	110231	Lety, vecina
728465	120088	Nurse
728465	149700	Woman in shower
728465	156374	Carmen Ortega
728465	159293	
728465	169965	
728465	183948	
728465	189031	Lina Roma
728465	197633	
728465	213722	
728465	218498	Damiana Ferrara
728465	226496	Mujer Módulo 11
728465	236036	Cantante
728465	237807	
728465	243612	
728465	246458	demonio/china poblana/Emilian
728465	248289	
728465	249429	
728465	256539	
728465	256784	
728465	260532	Perla
728465	266669	(segment "Una cena de navidad
728465	272566	
728465	275300	
728465	286422	
728465	287697	
728465	287879	Lupe, the maid
728465	302131	
728465	302378	Betti
728465	341342	
728465	343623	Mimí Manila
728465	377149	Malena
728465	383548	Gloria
728465	383564	Mimi
728465	397604	Gina
728465	404989	
728465	407645	Rita
728466	389881	
728466	402839	Yahale
728467	376820	
728467	405398	Madre Carmela
728467	409782	Diana
728468	145235	
728469	71296	
728469	208799	
728470	19307	Agata
728471	34372	
728471	61370	Irma
728471	69950	
728471	207083	
728471	307050	
728471	315939	
728473	197342	Giorgina
728473	269465	
728474	275653	Marcelle
728475	14386	Vecchina sorda
728475	14834	Donna Carmela
728475	48297	Matilde
728475	252009	
728475	261549	Donna Rosa
728475	284829	
728476	20372	Ivory
728476	67829	Ivory
728476	87987	Ivory
728476	129627	Tina Ferrari
728476	196628	Tina Moretti
728476	282682	Ivory
728476	282683	Ivory
728476	318836	Ivory
728476	320138	Ivory
728476	320139	Ivory
728476	320140	Ivory
728476	340399	Ivory
728476	368827	Ivory
728476	368834	Ivory
728476	369201	Ivory
728476	369203	Ivory
728476	369207	Ivory
728476	369239	Ivory
728476	369250	Ivory
728476	369273	Ivory
728476	369280	Ivory
728476	369283	Ivory
728476	369284	Ivory
728476	369290	Ivory
728476	369291	Ivory
728476	369307	Ivory
728476	390180	Tina Ferrari (1986-1987)
728476	402020	Nina
728476	402907	Ivory (1999-2002; 2002-)
728476	406933	Ivory (1998-)
728476	408643	Herself - Trainer (2002-)
728476	411537	Ivory (2002)
728476	411538	Ivory
728476	411539	Ivory
728476	411542	Ivory
728476	411545	Ivory (1999-2002)
728477	89827	Tina Onofri
728478	12217	Swingo's Desk Clerk
728478	273423	Girl #3
728478	331009	Office Worker
728479	369	Jeanne's mother
728479	2968	Mère d'Audrey
728479	15049	Michèle
728479	16442	L'antiquaire/Antique dealer
728479	17852	Mademoiselle Rachel
728479	18317	Madame Rivière
728479	19346	Martine
728479	24665	Marguerite
728479	24672	Aldjia
728479	57360	
728479	67037	
728479	68370	Édith
728479	89827	Tina Onofri
728479	96242	Annick
728479	99375	La fée Mélusine
728479	103660	
728479	105738	Rachel Sartène-Bast
728479	112277	Mme Goetzman
728479	124057	Fille rousse
728479	132410	
728479	153814	Mme destrac
728479	155743	Mme Canasson
728479	161581	
728479	166192	La mère
728479	169277	
728479	193443	Louise
728479	198614	La directrice
728479	200951	Juliette
728479	205219	Annick
728479	205635	Alexandra
728479	220399	Le putain
728479	240579	Nini
728479	244985	Lili
728479	244986	Lili
728479	251014	L'infirmière
728479	253994	Mademoiselle Robin
728479	268874	Claudie Courmayer
728479	269073	Sophie
728479	269251	Madame Alvarez
728479	269726	Mme Vachon
728479	275123	
728479	275128	La passagère indignée du bus
728479	275635	Daisy
728479	281916	Madame Alvarez
728479	286277	Florence
728479	288889	Martine
728479	294558	Michèle
728479	306940	La soeur
728479	309975	Pierrette
728479	319596	Simone Rosin
728479	336982	Marie-Rose Taropol
728479	340191	Madame Plume
728479	340195	Angèle
728479	346507	Lucie
728479	346542	Colette
728479	346812	La mère
728479	347566	
728479	362080	
728479	377069	L'employée de l'ANPE (segment
728479	378017	Ginou
728479	395636	Mme Mercier
728479	395891	Minouchka
728479	400762	Mme Gerbert (1980)
728480	383178	
728481	204595	
728482	63823	Marina Cintra
728482	89993	Roxane
728482	206567	Hipácia
728482	355829	Karina
728482	380531	Calu
728482	385522	Becki
728482	387902	Heloisa Lima
728482	392592	Hipácia
728482	399675	Maristela (2003)
728483	184263	
728484	336242	Herself
728485	382508	Herself
728486	72719	Marina
728486	86715	Theresa Vincke
728487	14488	Chelsea Lutz
728487	141305	Molly
728488	43906	
728488	57587	Consuelo
728488	76064	
728488	88805	TV reporter
728489	69257	Shirley
728489	137031	Flight Attendant
728489	231115	Amy
728489	339593	Kelly
728490	17538	Dolly
728490	353925	Irène Castle
728491	63616	
728492	234258	
728493	59729	Supermarket Eavesdropper
728493	192250	Bohemian Woman
728493	318191	The Lady
728494	395404	
728495	243768	Calliope
728495	334757	Herself/Peep-Bo 3/Champagne M
728496	47294	Ruby
728496	48569	Camp Hostess
728496	72452	Blonde
728496	142610	Receptionist
728496	175111	USO Girl
728496	186341	Virginia O'Brien
728496	216716	Girl
728496	218781	Doris
728496	248838	Amo
728496	302596	Girl
728496	335621	Sophie Deltz
728496	362491	Secretary
728496	365303	Marian Garnet
728496	372360	Girl
728497	401461	Lucy Green
728498	113252	Madame Verdun
728499	398857	Host (2000-2004)
728500	18670	
728500	104133	
728500	115768	Teresa
728500	239942	
728500	241180	
728501	85946	
728501	100322	
728501	121227	
728501	177203	
728502	138690	Rezeptionistin
728503	253499	Claire Wurtzle
728504	212744	The Michael Nyman Band
728505	170389	
728506	16146	
728507	89793	Tina
728508	318265	Cajera2
728509	96335	Celeste niña
728510	239922	Olga Benário
728510	380147	Mary
728510	383550	Manuela
728510	403478	Narrator
728510	409419	Cacilda Becker
728511	245844	Fernanda
728511	269575	Lilás surrogate mother
728511	390489	
728512	100106	Maria
728512	388275	Mona
728512	397525	Various
728512	398217	
728513	81861	
728513	293959	Ottavia de Persici
728513	327577	Reader
728514	208870	Cynthia Young
728514	328555	Tanisha
728515	238630	Anne Parry
728516	190230	Lanie -- 5 Years Old
728517	168940	Sara Good
728517	224342	Meg
728517	230316	Girl #1
728517	282915	Abby Rhodes
728518	80771	Linda Lawrence
728518	102786	Emily Stewart
728518	114193	Miss Mary La Rue
728518	310838	Pamela
728519	191513	Kenmore Cheerleader
728520	374525	Dasha
728521	141664	
728522	360200	Karen Williams
728523	10788	Lory
728524	270890	
728525	269304	Maid Escorting Kelly to Altar
728526	195844	Liza
728526	283434	College Girl
728526	307274	Nurse
728526	310462	Secret Service Agent
728527	328788	Jessica's Sister
728527	392274	Julie Coleman
728527	401828	Street Woman
728528	278481	
728529	395924	Sharon
728530	103782	
728531	176970	Mourner/Student
728532	61156	Bare Woman #2
728532	227156	Janice
728532	323153	Nancy
728533	227509	Prison Warden
728534	197040	Monica
728535	75770	
728535	195690	
728535	323447	Donna Reynold
728536	167691	Newscaster
728536	196191	Mama
728537	20001	Middle Aged Woman
728537	161732	
728538	72491	Mrs. Reed
728538	321793	
728540	188561	D Girl
728541	214755	Adulation #3
728542	48468	Rubber Woman
728542	200245	Jessie
728542	214755	Contortionist
728542	260138	Cloe
728543	6720	Herself
728543	37386	
728543	37563	
728543	47251	
728543	56708	
728543	60291	
728543	65817	
728543	73567	
728543	115554	The Great Wazoo
728543	128724	
728543	164957	
728543	188049	
728543	189453	
728543	195846	
728543	208493	
728543	232462	
728543	233693	Salt & Pepper
728543	242063	Herself
728543	264904	
728543	285325	
728543	292394	
728543	296180	
728543	296186	
728543	309217	
728543	325272	
728543	335453	
728543	362548	
728543	372451	Penelope
728544	321394	Sue
728545	24143	Nesta
728545	70780	Jenny
728546	201691	Killbilly Bride, Killbilly Vi
728547	131460	Payton
728548	89311	Mina
728549	46981	Peg
728549	50609	Mother
728549	99212	Widow of Zarephath
728549	130016	Karla
728549	308931	Shaela
728550	7196	Diner Wife
728550	32440	Aunt Meg
728550	115739	Herself
728550	351756	Rene Benton
728550	396142	
728551	392693	LaShawn's Friend
728552	66274	Tracy
728552	142718	Suzanne Struthers
728552	177039	Jane
728552	251477	Pearl Harbor Nurse
728552	255273	Millie Owens
728552	359186	Bus Station Clerk
728552	362581	Brenda Talbot
728552	407421	Becky Clarke (adult)
728553	301958	
728553	316680	Mamie Ryan
728554	142527	Ax Woman
728554	218393	Vampire Bride with Possom
728555	201922	Chelsea
728556	56100	Barberina
728556	330518	
728557	84142	Photographer
728558	309211	Bambi
728559	12986	Holly Hoedown, Hotel Clerk
728559	51800	Lacey Underall
728559	51802	Herself
728559	80630	Newscaster
728559	123024	Detective Kelly
728559	201824	Herself
728559	207909	Linda Hansfield
728559	213153	Vicky Jensen
728559	245241	Judith Daws
728559	276801	Betty
728559	340298	Lora/Yori
728559	340300	Ma3a
728559	348426	Elaine
728559	382781	Gloria Marlowe
728559	388237	Gabrielle Short (1987-1988)
728560	234158	
728561	47307	Showgirl
728561	241060	Miss Chasen
728561	313078	Carolyn Talbot
728561	329596	Janet Marlowe
728561	350509	Lou
728561	351923	
728561	368449	
728561	410669	
728562	39858	Samson's Street People
728562	47945	Mrs. Thomas
728563	37691	Auditioning Girl
728564	139151	Sarah
728565	26784	Joe Snappers Girl #2
728565	122183	COPS officer
728565	214917	Miss Chile
728567	107728	Waitress
728568	13358	Morgan State student
728568	22701	Lauren Hubbs
728568	66286	Tonya
728568	74247	Olga Winter
728568	104924	Mozelle Batiste Delacroix
728568	135586	Marcia Hickson
728568	153147	Mae Thelma (Carter)
728568	167001	Ruth Solomon Owens
728568	188133	Celia
728568	195262	Nona McCall
728568	196265	Opal
728568	203980	Dite
728568	218138	Vi
728568	241073	Irma
728568	253345	Maureen Gilman
728568	283464	Reba Monroe
728568	298076	Ms. Rousseau
728568	310500	Granny Blake
728568	326155	Girl at Columbus Circle
728568	331048	Katherine
728568	367617	Twana
728568	379716	Dr. Angela Baxter Hubbard Har
728568	381576	Lynette Porter (1981-1982)
728568	384366	Dr. Angela 'Angie' Baxter Hub
728568	389070	Dist. Atty. Lora Gibson
728568	389858	Dr. Ellen Burgess (1997-1998)
728568	389867	Chantal Marshall #2 (1990-199
728568	396123	Dr. Angela 'Angie' Baxter Hub
728568	401930	Dr. Mary Eleanor 'Ellen' Burg
728568	403730	Elizabeth Harvey
728568	406007	Lynette
728568	406113	Granny Blake
728569	26739	
728570	214047	Peasant
728571	68239	Joan
728571	208034	Joan
728572	245391	Sally Carter
728573	405088	Prisoner
728574	29936	
728574	287164	
728574	335598	
728575	142889	Go-Go Dancer #2
728576	37894	Katherine Buxbaum
728576	57804	Newscaster
728576	102341	Female Reporter
728576	185385	Newscaster
728576	283546	Anchor Woman
728576	333856	Reporter
728577	338981	Herself
728578	27646	
728580	127918	
728580	219594	
728580	270223	
728581	408716	Sally Hardy
728582	14620	
728583	202387	Sandy
728584	104771	French entry (19th place)
728585	28591	Pauline
728585	118944	Christina, Ella's Friend
728585	140999	Gina
728585	386488	Mrs. Prosser-Davies
728585	388213	Mrs. Leach
728585	402866	Sheila
728585	408350	Irene
728586	312774	
728587	6020	
728588	118393	Vomiting Veronica (Wedding tw
728588	119802	Mary
728588	224723	Susy
728588	229052	Wendy
728588	262613	Jancis Beguildy
728588	272675	Sabrina
728588	330197	Cpl. Merriman
728588	383630	Alison Peacock
728589	361947	
728590	384000	Herself
728591	233331	
728592	16654	Olga Ashley
728592	123135	Mrs. Thomas Logan
728592	133443	Madame Rinaldi
728592	162342	Trigorina
728592	167645	Charlotte Thorpe
728592	183638	Dowager
728592	186799	Mrs. Laura Meredith
728592	196487	Woman in Crowd
728592	199304	Woman
728592	218330	Phoebe Couvais
728592	219996	Opera singer
728592	221297	Glee Club Member
728592	231964	Townsperson
728592	239076	Madame Zoubel
728592	273786	
728592	292882	Mrs. Calhoun
728592	308576	Madame Nicolau
728592	335477	Daughter
728592	340570	Mrs. Pooler
728593	398247	Billi
728594	43874	Helen
728594	43875	Aunt Helen
728595	80471	Assistant Registrar
728595	141787	Aunt Julie's maid
728595	221006	Bunty Brace-Girdle
728595	401778	Rachel Gold
728596	155108	Herself
728597	202195	Roseland Dancer
728597	290319	Frances
728597	314108	Dancer
728597	315190	Dancer
728597	367055	Crow/Poppy
728598	118925	Assistant Midwife
728598	215892	Mission Girl
728598	230024	Liz Dwyer
728598	341623	Carrie Luper
728598	364731	Bridesmaid
728598	408213	Beth
728599	296144	
728600	646	Bri Terry
728601	184899	Herself
728602	78148	Girl in van
728602	313828	Wilma
728603	365141	Mrs. Tovey
728604	79269	Janet Storm
728604	125586	Stephanie
728604	224192	Tiffany
728605	206856	Babysitter
728605	404299	Emma Higgins
728606	30108	Lucy
728606	46156	Death Nurse
728606	110170	Linda
728606	314611	
728606	335338	Lola
728606	385622	Various Characters
728606	389989	Trudy
728607	100209	Blonde Woman
728608	3704	Julie in 'Show Boat' (prologu
728608	19115	Kitty Darling
728608	118975	Frankie
728608	129543	Herself (Revue Scenes)
728608	129810	Luana Wells
728608	141343	Extra
728608	205739	Tapia
728608	279479	Lola Fagan
728608	300061	Julie (prologue)
728608	300062	Julie LaVerne
728608	300065	Julie LaVerne (clip from 1936
728608	303439	Extra
728608	321257	Herself
728608	372080	Mme. Alva
728609	304628	Malinka
728610	312925	
728611	20283	McGee Child
728611	154154	The Disturbance
728611	203139	Pat Malone
728611	221627	
728611	304506	Slim Kid
728611	336167	Hurricane
728612	66918	Betty
728612	124594	Emily
728612	194513	Emily
728612	382838	Dorothy Wright (1987-1988)
728612	385299	Mrs. Jackson
728613	330395	Doctor
728614	168776	Dancer #4/"Mack Jr."
728615	244879	Margaret Davis, Connie's Land
728615	331393	Woman on Plane
728615	400527	Mrs. Margaret Davis
728617	7067	Plush Horse Singer
728617	11652	Magda
728617	69391	Herself
728617	118860	Herself - Singer
728617	131258	Herself
728617	131259	Herself
728617	148203	Celeb #2
728617	194406	Stop-It Nurse
728617	232166	Kate Parker
728617	342237	Herself
728617	378617	Herself/judge
728617	384191	Herself
728617	384579	Herself (1955)
728617	390306	Herself/panelist
728617	393373	Herself
728617	396778	Herself/panelist
728617	401259	Herself (1955)
728617	403513	Herself (regular, 1954-1955)
728617	408375	Herself (1958)
728618	37057	Townsperson
728618	131359	Sarah
728618	244433	Cafe Woman
728618	244933	Geneva
728618	276937	Country Club Woman
728619	131232	Maypole dancer
728619	364461	Goldwyn Girl
728620	46557	Claire Dean
728620	109334	Mae Oliver
728620	133701	Laura Phelps
728620	305015	Betty
728620	309275	
728621	340546	Court Clerk
728622	147982	Sarah
728623	39427	The Child
728624	238991	Girl Friend in 'Goodbyee'
728625	220081	Betsy
728626	233012	
728627	85801	
728627	408317	Philippe's mistress
728629	32339	
728629	61738	Violet
728629	73396	
728629	75270	Delia Keen
728629	75431	Elizabeth
728629	93684	Gervaise, as a child
728629	113972	Helen Dalmaine
728629	133863	Annette
728629	143176	Barbara Lovelace
728629	143366	Veronica Sloane
728629	154680	Herself
728629	162365	Phyllis as a Child
728629	183757	Lady Noggs
728629	185639	Fisher Child
728629	190426	
728629	190752	Winsome Charteris
728629	191773	Amy Dorrit
728629	196605	Hester Stirling
728629	208693	
728629	253117	Geraldine, Age 8
728629	273517	Edna Jordan, as a child
728629	279405	The Lady Emily
728629	289640	May Raeburn
728629	296787	Moonface
728629	331491	
728629	340676	Millie Stretton
728629	342972	Dedee
728629	366054	The Girl
728629	367613	Sybil Helmsley
728629	368579	Betty
728629	384280	Herself (actress)
728630	221784	
728631	190706	Jamie
728632	29885	
728632	276937	Club Woman
728632	399685	Thisbee
728633	82025	Mrs. Paegle
728634	345752	Additional Voices
728635	72906	
728636	260697	Hooker #2
728637	313419	Holodeck Nightclub Singer
728638	257264	Stewardess
728638	260697	
728638	276803	Hostess
728639	280438	Tired Woman
728640	163288	Bus passenger
728640	199370	Maxine
728641	304293	ER Nurse
728641	304642	Paulette Gittleman
728642	355028	The Academy's Blessed 'Virgin
728643	4664	
728643	144895	Girl at Motel
728643	319175	Reporter
728643	384651	Bartender
728644	60321	
728644	108823	
728644	113438	
728644	168070	
728644	228461	
728644	247992	
728644	273300	
728644	306909	
728644	349384	
728645	274461	Nurse 3
728646	16878	Serving Girl
728647	26563	Maenad (chorus)
728648	130323	
728648	191356	
728648	267519	
728649	31715	Diva
728650	79269	Girl at End
728652	107504	Jean Doyle
728653	196328	Makeesha
728654	227502	
728655	312904	Kim
728656	195540	Woman
728657	25989	Jane Raleigh
728657	25991	
728657	365639	Myrtle Barrington
728658	25990	Jane Gray
728658	362236	Cissy
728658	367432	Valerie Rochester
728659	111068	Bettina
728660	14199	Medic
728661	152509	Secretary
728662	23388	
728663	349655	
728664	89250	Woman in dance hall
728665	10483	
728665	57704	
728665	58277	
728665	83457	
728665	91171	Lina Morgan, miembro del jura
728665	91298	
728665	96262	
728665	113239	
728665	122983	Herself
728665	132524	Benita Calatrava
728665	143757	
728665	157215	Gina
728665	170460	
728665	183050	
728665	184940	
728665	218096	
728665	248869	
728665	251593	
728665	258479	
728665	262983	Herself
728665	296475	
728665	307721	Julita
728665	317769	
728665	323661	
728665	335516	
728665	376844	
728665	377894	
728665	378484	
728665	379136	Gloria
728665	384811	Valentina
728665	392034	Reme
728665	412163	Various Characters
728666	385299	Sarah Payne
728667	150462	Lisa
728668	383417	Destiny/Rhapsody Angels
728670	79049	Vampire
728671	240551	
728672	31655	Herself
728672	34772	Herself
728672	132845	Herself
728672	132846	Herself
728672	150095	Host
728672	192607	Herself
728672	193971	Herself
728672	211493	Herself
728672	214974	Herself
728672	223134	Herself
728672	242957	Herself
728672	266112	
728672	316190	Nancy Halloran
728673	80911	Dealer
728674	144641	Waitress
728674	223833	Woman from Jersey
728674	367537	
728675	98355	Tab
728677	321239	Bradshaw
728677	397938	Betty
728678	176893	Sue
728678	408943	Bessie White
728679	7127	Lady Pig
728679	220415	Teller/Starling
728679	245883	
728680	32373	Tanja
728680	192645	Lina
728680	305325	Sandra
728680	321906	Sigrid
728680	406331	Anita
728681	2584	
728681	294634	
728682	306208	Leonia
728683	16089	Stout woman
728683	196135	Dowager
728683	241595	Judge
728683	271855	Guest
728684	94625	
728685	50262	Captain Mary Mae
728685	80969	Neighbor With Dog
728685	105851	Rachel
728685	264722	Lauren
728685	278484	Hostess
728685	338854	Marie
728686	158762	La proprietaria del bar
728686	269709	
728686	289815	
728686	291561	Commessa Polloni
728686	328691	Woman in nightclub
728687	14155	Tony/Blair/Marvin's Secretary
728687	55253	Monique
728687	75773	Spekeasy Flak
728687	92490	Jenny
728687	108332	Judith
728687	109024	Jennifer
728687	125578	Blair Deal
728687	177665	Jade
728687	310132	
728687	329577	Herself
728688	365942	Hotel Receptionist
728689	333517	Social Security Girl 3
728690	201641	Herself
728691	71805	Lise du Coudrais
728691	276496	
728691	377910	
728693	406083	Anchorwoman
728694	268535	
728695	217729	Un boulomane
728696	370572	Harem girl
728697	1491	Herself - Presenter
728699	39495	Mellissa
728699	41186	Mrs. Lampley
728700	411802	Brittany Norman (1988-1990)/A
728702	160344	Reporter No. 2
728703	40603	Maitre'D
728704	49441	Cheryl
728704	230682	Coreen
728704	244334	Bobbi
728704	316886	Uptown Girl No. 2
728704	401552	'Juicy' Hudson
728704	406471	Sharon Hawkins
728705	170449	
728706	354028	
728707	227335	Jaclyn Kennedy Calberson
728708	185715	Receptionist
728708	279349	Rebecca
728709	24735	Claire Magny
728709	33615	Jeanne Morel
728709	34072	Countess
728709	36648	Fanny
728709	55481	Herself
728709	59825	Lorna Roman
728709	59985	Madame Richard
728709	63650	Evelyne Bertal
728709	69837	Constance
728709	73195	Jeanne Hugues
728709	83364	Geneviève
728709	84220	Jeanne d'Arc/Joan of Arc (seg
728709	87501	Geneviève Monthannet
728709	101806	Suzy
728709	106818	Fabiola
728709	107869	Julie
728709	117864	Princess Sofia
728709	117974	Juliette Valecourt
728709	127634	Une soubrette
728709	133081	Marie-Louise Rivière
728709	134300	Natalie Roguin
728709	145007	Millie
728709	148613	Herself
728709	168126	Joan
728709	184557	Celestine Buisson
728709	191316	Cécile
728709	194782	Countess de Clairefons
728709	199606	Extra
728709	205480	Marguerite
728709	205524	Maria Chapdelaine
728709	205767	Marie Antoinette
728709	208481	Jacqueline Monneron
728709	211098	La Grusinskaïa
728709	211682	Michèle
728709	214809	Madeleine Richard
728709	214874	Une élève
728709	215145	Marie-José Vauzange-Tardivet
728709	223174	Le lieutenant Saulnier
728709	224086	Annette, Masons' Maid
728709	225410	Gisèle Duparc
728709	227595	Joséphine de Beauharnais
728709	237645	Françoise Lignières
728709	237912	Hélène Giovanni
728709	243076	Françoise Massart
728709	243462	Nellie
728709	249739	Yolande Simonnet
728709	256755	Jacqueline
728709	261846	Catherine Ferrer
728709	266947	Renée Plèges
728709	268877	Nelly
728709	270321	Micheline
728709	275515	Catherine
728709	275620	Bella Krasner
728709	276516	Hélène Fréminger
728709	279066	Judith
728709	279648	Cameo appearance
728709	284167	Lilian White
728709	291580	Thelma Rooland
728709	294565	Anne-Marie de Pallières (segm
728709	300695	Gabrielle d'Estree
728709	313174	Woman in train
728709	321831	Gertrude
728709	343161	Jeanne
728709	345134	Cameo appearance
728709	345270	Une spectatrice de '40 ans dé
728709	346578	Une voyageuse
728709	347757	Marie Froment-Léonard
728709	349529	Steffa Tardier
728709	351056	Herself
728709	352926	Helena Kramp
728709	353914	Extra
728709	354735	Leonne Morel
728709	371405	
728709	377953	Irène Voisin-Larive
728709	408317	Colette Dutilleul/Colette Lem
728710	25398	
728710	58469	
728710	88888	
728710	187411	
728710	195599	
728710	288946	
728710	298268	
728710	298269	Sheila
728711	10884	
728711	82898	Ginna
728711	94983	Punk Girl
728711	144515	Girlfriend
728711	232463	Wendy
728711	339649	Babysitter
728711	379671	Jill (1989)
728712	1764	Meg Brand
728712	80385	Terri Puddles
728713	39427	The Wife
728714	131232	Extra
728715	329307	Woman at clothes line
728715	390099	VW Family Member
728716	14275	Lucy Beth
728716	93255	Helen Leslie Gage Gage
728716	119096	Jennifer
728716	132906	Paula Powers
728716	137845	Ellen
728716	141389	Zelda
728716	196981	Lotta Legs
728716	196982	Lotta Legs
728716	230089	Lillian
728716	259864	Alcoholic Leader
728716	262519	Peggy Williams
728716	339602	
728716	381110	Margaret Truman
728716	396142	Lotta Legs
728716	404241	Julie
728717	5913	Herself
728718	405217	Muriel Delahaye
728719	127380	
728719	351842	
728720	107288	Julia
728721	13619	Purdue Co-Ed
728722	12160	
728723	363248	Bit Part
728724	85014	Elmira Johnson
728724	211506	Mrs. Johnson
728725	210715	Kitty
728726	161989	Little Debbie
728727	331100	Dancer
728728	229860	Charred Woman
728729	129674	
728729	308805	Gisi
728730	20625	Extra
728731	107013	Girl Friend
728731	137393	Girl Friend, in 'Fabulous Joe
728731	143610	Miss Dexter
728731	155721	Bellanger
728731	253005	
728731	315296	
728731	329847	Lady Theodora
728732	79522	Adultress
728732	327685	
728733	215986	
728734	102850	
728735	128266	Lena, girl in Holland
728735	280774	Señorita Zorra Gamorra
728736	279610	Child's Mother
728736	337107	Mrs. Lindsay
728737	280500	
728739	56899	Sheila
728739	60771	Mrs. Trulove
728739	141454	Jean
728739	155731	Rosie
728739	169925	Mrs. Jones
728739	199104	
728739	214168	
728739	240755	Gwynneth Tovey
728739	254268	Wren (Mess Deck)
728739	267154	Irene
728739	294514	Doreen
728739	329990	6 Shakespeare Street
728739	381947	Glad
728739	389689	Mabel Appleby
728739	391728	Amanda
728739	398725	Doris
728739	399596	Grace
728739	400087	Mrs. Purrett
728739	400108	Charlotte
728739	402124	Mrs. Bennet
728740	312904	Renee
728741	32591	
728741	44426	
728741	57118	
728741	68986	
728741	83159	
728741	102755	
728741	128736	
728741	147757	
728741	159939	
728741	159940	
728741	193772	
728741	199503	
728741	213086	
728741	249455	
728741	257736	
728741	296247	
728741	319284	
728741	331365	
728741	338027	
728741	344481	
728741	345723	
728741	347096	
728742	24143	Sian Blathwaite
728742	39443	Molly
728743	127557	Shelley
728744	120116	Annie
728744	154466	Kitty Selver
728744	362538	Rosalie Greenbaum
728745	64735	Cecchina
728745	235383	Herself
728745	396641	Dagmar (1950-1956)
728746	119822	Child
728747	218138	Tanya Jones
728748	209115	Natalie, Age 7
728749	170857	Ann Dorchester
728750	82731	Kelly Marsters
728750	83882	Yvette
728750	105940	Nicole
728750	262124	Herself
728750	283450	Vanessa/Lydia Slowik
728750	295481	Jenny
728750	302325	Amy Cobb
728752	16654	Theda Bara
728752	73879	Reporter
728752	115256	Neighbor
728752	128152	Committee Woman
728752	151191	Secretary
728752	157847	Boat passenger
728752	158364	Well-dressed woman
728752	183710	Party Guest
728752	194831	Slave Girl
728752	223767	Spectator
728752	233044	Gossip
728752	235676	Woman
728752	256899	Bit
728752	261558	Matron
728752	276948	Mme. Berthil
728752	304959	Woman on Street
728752	316319	Dining Companion
728752	360834	Guest
728752	372819	Woman
728753	67697	
728753	104837	Maid
728753	296772	Minnie Powell
728753	324177	
728754	126688	Salon Junior
728755	192279	Kiley
728756	75883	Mary, the mother
728756	122796	Eileen
728756	128923	Social Worker
728756	142897	Lady Mortimer
728756	245807	
728756	384333	Mrs. Williams
728756	396463	Rachel
728756	397792	
728756	397792	Professor Margaret Edwards, p
728756	401689	Sylvia Bevan
728756	405742	Glenys
728757	60075	Mrs. Koppang
728757	154486	Brunet Camper, with camera
728758	26263	Barbara
728758	73768	Woman in Restaurant
728758	202372	Anita Chamberlain
728758	224376	Louisa
728758	289558	Woman at Babylon Club
728758	321688	Bar-Bro
728758	385824	Anjelica Deveraux #2 (1989)
728758	389858	Lorena Sharpe (1984-1986)
728759	215796	Second shopper
728760	3506	
728760	14259	María
728760	20740	
728760	25678	
728760	27984	
728760	33506	
728760	58045	
728760	71362	
728760	74561	Susana
728760	91409	
728760	94820	
728760	149904	
728760	170277	
728760	183517	Carmen Rico
728760	208841	
728760	211301	
728760	211874	
728760	213363	Anita
728760	215833	Marian Palos
728760	221951	
728760	249804	
728760	253371	
728760	253385	
728760	307722	Alicia Figueras
728760	333578	
728760	336078	Maria-Cristina
728760	352151	
728760	352778	
728760	376659	Esther
728760	376777	
728760	377196	
728761	264115	Fofao
728763	79049	Vampire
728764	79049	Vampire
728765	98136	Buns
728766	128699	
728767	256217	
728767	324983	Ilene Thompson, Bobby's Wife
728768	330314	Miss Houk
728770	18572	Alice Cartwright
728770	306493	Theress
728771	7069	Sarah Sampson
728772	165004	Girl in booth
728772	289413	Gracie, receptionist
728773	46415	Roxy
728773	48652	
728773	79900	Annie
728773	142422	Brandy Wine
728773	142716	Henna woman
728773	168087	Female heckler
728773	257520	Jeanelle
728774	87975	Young Ebony
728775	196084	Laurie
728776	228651	
728777	3148	Megan Wells
728777	38684	Cynthia Lennon
728777	41147	Barabara Pritchard
728777	108094	
728777	144971	Celia
728777	215153	Cherry Baker
728777	244311	Bianca
728777	245124	Liz
728777	370585	Mollie
728777	380071	Anne Sellers
728777	389507	Tanya Levick
728777	393491	Susan Layton
728777	401429	Ruby Sears
728778	16402	Andrina
728779	74691	Young girl
728780	123030	Cherry - Lead
728780	358730	Mary
728781	124237	
728781	131011	Eleonora
728781	205080	Solana
728781	218924	
728781	372574	
728781	380911	Herself - 10th Place (2003)
728781	401875	Herself - Finalist (2002)
728781	405159	Babe
728784	69181	Herself
728784	104767	Belgian entry (20th place)
728784	166094	
728784	169298	
728784	254160	
728784	363617	Herself
728785	83263	Aurèlie
728785	186152	
728785	204828	
728785	306313	La strip-teaseuse
728785	393771	Host (2001-20??)
728786	64750	Herself
728786	159115	
728786	177660	Herself
728786	228492	Morganne
728786	236372	(segment "Girls Come Too")
728786	252412	La femme de la Tour Eiffel
728786	255334	Siren
728786	276838	
728786	279197	
728787	275790	
728788	29669	
728789	214873	Slim's wife
728791	377635	Geneviève de Riqueville
728792	390733	Betty
728793	163727	Pascha
728794	126828	Nachbarin Jutta
728794	129685	
728794	174099	
728794	259461	Frau Lübeck
728794	259537	Frau Zimmermann
728794	259543	Oma Meier
728794	259583	Frau Karsten
728794	259594	
728794	259616	Frau Saupe
728794	338938	Lenchen
728795	41670	Daughter, Younger
728796	60745	Townsperson #1
728797	98113	Student
728798	258483	
728799	119047	Herself
728800	18038	
728800	27822	
728800	28281	Nela
728800	43188	Gina
728800	55989	
728800	57597	
728800	57615	
728800	77407	
728800	78900	Woman at Fountain
728800	93528	
728800	109602	
728800	182692	
728800	195748	Herman's Mother
728800	205378	
728800	205574	Maria
728800	205765	Nonna
728800	210208	Herself
728800	235352	Helen
728800	240398	
728800	249779	
728800	250879	Doamna T.
728800	262583	
728800	271913	
728800	284356	Olga
728800	303620	Edith Stein
728800	326073	
728800	337562	Woman in Prison
728800	340053	Regina Maria
728800	356094	'Ulysses' wife
728800	366972	Mrs. Witman
728800	377138	
728801	13267	Asparagus #3
728801	270622	'Show & Tell' Teacher
728801	300343	Psych Ward Nurse
728801	321247	Sarah
728801	383502	Adoption Agent (1997)
728802	95282	Stefanie Voss
728802	107751	Natalie Lorenz
728802	308254	Sandra
728803	304360	Marlèen
728804	1578	Sugrun
728804	33372	Mary Alice Stiles
728804	38818	Mina - Sailor Venus
728804	38819	Mina - Sailor Venus
728804	38822	Mina - Sailor Venus
728804	40872	Miss Ward
728804	41854	Ilena
728804	41931	Dresser
728804	50607	Dorothy/Daisy
728804	51934	Sharon
728804	66913	Local
728804	75613	Claire
728804	79202	Studio Secretary
728804	86911	Cheftaine
728804	87000	Regina
728804	87001	Regina
728804	117397	Laura
728804	164636	Narrator
728804	164637	Narrator
728804	164638	Narrator
728804	199896	Claire Gunderson
728804	214441	Anna
728804	218667	Serveuse
728804	220303	Effie
728804	236959	Louise
728804	244838	Professor
728804	262103	Ayame
728804	275459	Annie
728804	275481	Aurora Isaacs
728804	277217	Juliet
728804	299681	Chris
728804	315979	
728804	321209	Allison
728804	323583	Sarah
728804	334453	Sara
728804	360779	
728804	364592	
728804	366962	
728804	382104	Steffy Storkowitz
728804	382212	Princess Flame
728804	397666	Jiggs
728804	400635	Nancy (Fish)
728804	402010	
728804	403963	Tigerlily/Princess Tiara
728804	404124	Sailor Venus/Mina (I) (eps 29
728804	405704	Princes Lila
728804	406120	Trudi
728804	410153	Jennifer
728805	274180	Nancy Maxwell
728805	327592	Airport Wife
728806	355877	
728807	277811	Insegnante Danza
728808	310240	Ada
728808	358657	Florist
728809	1145	Escort Service Woman
728810	65605	Wet Bar Babe
728810	362597	Other Special Extra
728811	52900	Nanine
728812	6444	La Mesquine
728812	15085	Mme Vigne
728812	67187	
728812	108707	La gouvernante
728812	112803	Berthe Renard
728812	211741	Mme Lelièvre
728812	237653	Mlle Porte
728812	258121	La fausse voisine
728812	266379	Anna
728812	309149	La seconde sorcière
728812	346524	Mme de Chartreux
728812	353886	
728812	357045	La mère de Sien
728812	357052	La grande-mère
728812	378866	Tante Estelle
728812	384535	Vanina Aletti
728812	389000	Mme Ruffey
728812	396622	Mme Paincemain
728812	397137	Mme Eugène
728812	398985	La première voisine (1974)
728812	400762	La directrice d'école (1980)
728812	410150	La reine (segment "Faiseurs d
728813	116767	Dora
728814	155248	Doll Mamma
728816	71216	
728817	239427	
728818	86113	
728818	199075	
728819	160613	Alejandra
728819	379559	
728819	380088	Fernanda Lira
728819	380128	Carolina Morales
728819	381023	Azul Vidal
728819	397262	Santa
728819	397838	Mónica San Millán
728819	397839	Mónica
728819	403885	Rubí Pérez
728819	407304	Nelly
728819	408888	
728820	14855	(segment "Le donne")
728820	25301	
728820	41388	Donatella
728820	58041	Cerasella
728820	70645	
728820	74942	Luca Maria's wife
728820	90536	Lisa Branzeri
728820	99871	Rosita Flores
728820	102284	
728820	126132	Marcella
728820	158724	
728820	168114	Tina Foster
728820	187450	Luisa
728820	193221	Mirandolina
728820	200509	Piera
728820	279912	Laundrey Worker
728820	283079	Rosina
728820	306873	Maleb
728820	316378	Carmelina
728820	319447	
728820	348733	Mila
728820	373277	Adelaide
728821	214002	Gina
728822	278170	
728823	281997	Eurasian Girl
728824	7848	Jane
728824	8000	Tobi
728824	26644	Janice
728824	29676	Elizabeth Arden Waxer
728824	58666	Lorna Onizuka
728824	127094	ICU Nurse #2
728824	163610	Delta
728824	165261	
728824	183452	Sachiko
728824	185470	Female Journalist
728824	196302	Nurse
728824	206488	Doctor
728824	223772	Kathy
728824	232213	Marsha
728824	266084	T.V. Newsperson
728824	273307	Laser Technician
728824	278647	Malia
728824	281387	Connie Ling
728824	284006	Liao
728824	289420	
728824	313395	Helm
728824	328637	Student
728824	336788	Female officer
728824	355670	Billy's Nurse
728824	359425	Receptionist
728824	401930	Miriam Yang (1998-1999)
728825	111395	Herself - Fernando's mother
728826	21330	Herself
728826	373892	Otoku
728827	171758	
728827	207039	
728827	207046	
728827	284650	
728827	359139	
728828	206765	
728829	9601	
728830	18682	
728830	244493	
728830	298749	Farmer's Wife
728831	28956	
728831	262603	
728831	380103	Alma de Galán
728831	387574	Jimena
728831	391570	Carolina
728832	172335	
728833	389548	Michiru Kawabata
728834	61065	Comfort woman A
728834	117086	
728834	172285	Kilaak
728834	178311	
728834	296631	
728834	375605	
728835	118634	
728836	399492	Mikazuki ('Crescent Moon')
728837	351068	
728838	384232	Megumi Misaki/Blue-Dolphin
728839	9280	
728839	177703	Nurse
728839	206753	Tadashi's Girlfriend
728839	216367	
728839	226863	
728839	242190	Maid
728839	293614	Sales woman
728839	300487	Takako
728839	371784	Woman at a tea party
728840	20702	Shelly
728840	56022	
728840	57810	Vicky
728840	65000	
728840	74944	La Viuda
728840	101842	Irene
728840	157042	Jill
728840	175265	
728840	208909	Mystic Woman
728840	222031	
728840	242500	
728840	318262	
728840	337571	
728840	407645	
728841	138068	Kyôko Nojima
728842	406125	Reiko Higuchi/Sol Jyannu
728843	9257	
728843	9582	
728843	9583	
728843	76875	
728843	98126	Mother
728843	146968	Juzo's wife (episode 3)
728843	153559	Tatsuko
728843	156242	
728843	174866	Yuriko Hirosawa (The Authores
728843	176579	
728843	176582	
728843	176590	
728843	176600	Omitsu
728843	176609	
728843	209836	
728843	213007	Katsuko
728843	218219	Hii-sama
728843	242126	Rie Uchimi
728843	293674	
728843	294164	Seisho Nagon
728843	334823	
728843	348898	(segment 'San jyotai')
728843	358416	
728844	169217	
728844	328124	
728845	137031	Tokyo Hacker
728845	171733	
728845	310992	Nicola
728845	335982	Miss 'Sixpence Please'
728845	383631	Mie Nishi-Kawa: Receptionist 
728845	402391	Mariko Harris
728846	156225	Yuki
728847	285919	Fan of Chiyoko
728848	90191	
728848	108506	Beejay
728848	110391	Lisey
728848	199932	Tomasina
728848	205212	
728848	220808	Raina Arkadin
728848	261076	
728848	265227	
728848	392714	
728849	300127	
728849	358391	
728849	375619	
728850	29431	
728850	127920	Otami
728850	175335	
728850	307107	Miyoko
728851	343635	
728852	38986	Mah-Li
728852	41092	Lulu
728852	59618	Ling Tse
728852	62094	Wanda
728852	122069	Chita
728852	126067	Japanese Girl
728852	139960	Miss Ling, Wong's Secretary
728852	147804	Herself
728852	246730	Specialty Dancer, the Maiden
728852	273181	Coat Girl
728852	279536	Butterfly the Hotel Owner's D
728852	292889	Miao Lin
728852	332798	Oriental Lady Barber
728852	347120	Chinese Woman Wanting Sedan
728853	197312	
728854	125557	Young Frances
728854	363146	Heroin taking girl
728854	380073	Young Sheila
728855	6949	Alumina
728855	17992	Helen Bishop
728855	18015	Luella Delano
728855	47904	Doreen
728855	49941	Patti Smart
728855	50444	Mary J. Brown
728855	56373	Carrigan Crittenden
728855	56377	Geri
728855	70468	Rose Donlan
728855	72706	Earlene
728855	86540	Mrs. Frankovitz
728855	90468	Herself
728855	93223	Aunt Elise
728855	117713	Lois
728855	118548	Martha Wirtz
728855	129516	Diane
728855	135812	Reba Bush
728855	152319	Minerva
728855	168472	Herself
728855	177204	Sylvester's Mother
728855	183550	Ruby (Junkyard Dog)
728855	192160	
728855	202728	Lanna Lake
728855	207838	Ruth Corday/Carole
728855	208988	Rose
728855	229516	Ramona
728855	230841	Midge Benzoa
728855	231119	Valentine
728855	242937	
728855	246032	Mrs. Utley
728855	260059	Lorraine
728855	264036	Mrs. Ardis
728855	270971	Vickie La Motta
728855	274373	Stephanie Dobson
728855	306625	Montana Moorehead/Nurse Nan
728855	337280	
728855	361224	Herself
728855	363946	Joan White
728855	367902	
728855	382218	Alice Clayton
728855	406617	
728856	385627	Rusty
728857	364217	Correspondent
728858	20625	Extra
728858	205836	Herself (Marilyn's stand-in)
728858	220552	Fan #2
728858	273805	Woman
728858	320294	
728859	32562	Kathy
728859	230693	Suzanne, Model with Umbrella
728860	39954	
728861	207838	Lady in Line
728862	84494	Deuce Girl
728863	396329	Mrs. McGill
728864	62957	Kid in the Living Room
728865	284175	Sophie
728866	277791	(segment "Livin' La Vida Loca
728867	24910	Herself
728867	67076	Amie de Carole
728867	82640	Rosette
728867	119751	Thérèse, blanchisseuse
728867	275344	Soeur Saint-Jéròme
728868	111117	
728869	344176	Old Time Dancer
728870	230	Joyce Petrie
728870	89338	Pauline O'Halloran
728870	89339	Pauline O'Halloran
728870	89340	Pauline O'Halloran
728870	145336	Kim Powell
728870	194414	Karen Doakes
728870	211960	Savina
728870	220276	Prostitute
728870	224025	Margaret Inkster
728870	292134	
728870	316881	Fran, Scott's partner
728870	379396	Dianne
728870	386339	Susan Taylor
728870	401624	Herself (1989 & 1993)
728871	249713	
728871	254123	Amélie
728871	345467	Coquelicot
728872	148735	Annie Sarah
728873	96198	
728874	227587	
728875	200330	Coach Laurie
728876	14393	Companion
728877	72740	Nurse
728878	234705	
728879	3341	Ileana Rossi
728879	7318	
728879	13056	
728879	14885	Silvia
728879	29808	
728879	33558	
728879	52147	
728879	52879	Gabriella Calcinetto
728879	60130	
728879	93741	Tosca
728879	113559	Elvira Delogu
728879	127956	
728879	127962	Moglie di Edoardo
728879	135158	Maria, Pietro's Daughter
728879	157302	
728879	159900	Marisa
728879	197180	Tracy
728879	198905	
728879	209948	Odette, la servante
728879	213883	
728879	215340	Pupella
728879	227586	Doris
728879	252634	
728879	270847	
728879	279255	
728879	288021	Baroness Bezzi
728879	307333	
728879	310974	The Existentialist Woman
728879	328626	
728879	336619	Emma Marini
728879	344563	
728879	356151	
728879	379773	Isabella Mieli (episode "Gli 
728880	374292	Young Gabriela
728881	168125	Dancer
728882	7846	Linda
728882	104301	
728882	312976	Admirer
728883	313033	Les collégiennes
728884	10051	Batistina
728885	400286	Cameriera Pub
728886	21201	Girl in the pub
728887	171903	Kakuko Torimi
728887	177108	
728887	347392	
728887	391455	
728887	411647	Mariko Sakuma
728888	273944	Hi and Nee
728889	329658	Delinquent
728890	379486	Yukiko Takamura (Episodes 1-6
728890	394103	Ruriko Midorikawa (Episodes 1
728891	9189	Takeko
728891	9190	Takeko
728891	299025	Telephon operator
728891	375558	Takeko
728892	278550	
728893	211214	
728893	229586	
728894	248710	Eve
728895	33498	
728896	296442	Prostitute
728897	10466	
728897	14694	
728897	20737	Luz Tenue
728897	30304	Roseta
728897	55945	
728897	69222	
728897	73451	
728897	85576	
728897	91374	
728897	98699	Elisa
728897	132685	
728897	167080	
728897	211674	
728897	221971	
728897	234355	
728897	274782	
728897	276410	
728897	307845	
728897	357910	
728897	376837	
728898	258621	
728898	410297	Mari Chucha
728899	234324	Herself
728899	387572	Cristina
728899	387666	Adriana
728899	396858	
728899	397012	María de los Ángeles
728899	398519	Tammi Soriano
728899	399520	María de la Luz Centeno
728899	401905	
728899	402462	Corazón
728899	410297	María José Maneiro, a.k.a. Ma
728900	6047	
728900	14939	
728900	17085	
728900	71211	
728900	76013	Prisionera
728900	82225	
728900	103721	
728900	145245	
728900	212346	
728900	253198	
728900	259946	
728901	233474	Little Baby Phil
728902	54652	Young girl
728903	101547	Agnes
728903	171000	Sandra
728903	343565	
728903	355847	Valérie
728904	163011	
728905	30987	Kana Yûki
728906	182342	
728906	358260	Aiko Arimura
728907	169187	Junko
728907	238984	
728908	236195	Marjorie
728908	383345	Candy (French version)
728908	397778	Mimi Cracra
728908	398102	Myra
728908	405972	Sophie
728909	124424	Girl in swimming pool
728910	51451	Fille au zippo
728911	16980	Nanon
728911	211658	L'assistante son
728912	279721	House girl
728914	63699	Prisca, la journaliste
728914	63774	
728914	146388	Niocle 'Coco d'Antibes'
728914	146405	
728914	164680	
728914	254308	Hélène Grammont
728914	296082	Christina
728914	303615	Zachi
728914	335082	Catherine
728914	354582	Bérangère
728914	356979	Bordier
728914	357055	Lydia
728914	389005	Zulma Bouffar
728915	68370	La top-model de la publicité
728916	44998	Mme Fontanet
728916	107533	
728916	126418	
728916	170361	Charlotte
728916	254113	Eni
728916	320274	
728916	346457	Deborah
728916	353946	Girl at Dance
728916	383955	
728916	385075	Clarisse Jeumont
728916	389005	Herminie
728916	399106	Mme Dormoy
728916	410142	
728918	69542	
728918	103407	
728918	103986	
728919	39714	Muriel
728920	66721	
728920	332274	Marie
728920	406031	Kathleen Thompson
728920	411623	Lorraine
728921	51451	Lili Tomasso
728921	349570	Sylvie
728921	379876	Alys Robi
728921	398172	Roxanne Blondeau
728921	400768	Manon Delage
728921	403919	Nadia
728921	409677	Nathalie Cousineau
728921	410252	Cathie Laurendeau
728922	61706	Chambers' kid
728923	27115	Lap Dancer
728923	69391	Bachelorette in Yellow
728923	81665	Vikki Vickers
728923	154157	Beautiful Bride
728923	261248	Clubber
728924	119094	Extra
728925	161757	Maria
728925	264830	Checkout Girl
728926	100070	Immigration Officer
728927	377243	
728929	66064	
728929	251617	
728931	69391	Bachelorette Winner
728932	29843	
728933	61418	Estelle D'Amour
728933	118576	Director
728933	130290	Nicole
728933	407960	
728934	197808	Maria
728934	354426	Linda
728935	107057	L'amie de Madeleine
728936	258311	
728937	96026	Playgirl
728937	336461	Play Girl 1
728938	346720	Annette
728939	33673	Maria
728940	279698	Roberte
728941	44450	Passerby #3 - Democratic Conv
728941	168973	Ada
728942	16750	
728942	54630	
728942	167583	Helen/Hellvira/Lady Helen
728942	310109	Annie
728942	310110	Annie
728942	319652	
728942	394102	
728942	409320	Annie
728943	212132	Leninha
728943	263121	Anita
728944	43666	
728944	68808	Isaura
728944	187944	
728944	252768	Madame Luba
728944	261801	Aunt
728944	263121	
728944	387804	Madeleine Besançon
728944	412179	Jojô
728945	268820	Lila
728946	6442	L'assistante de Thomas
728947	276386	Whittlesea Dancer
728948	356223	Physician
728949	135016	Ching-er
728949	285680	Sailor Mercury
728950	3379	
728950	12689	Aunt Maddalena (segment "Idil
728950	14390	Ortensia Leverdet
728950	24835	La signora svanita
728950	51360	Isabella
728950	54144	
728950	56922	La madre di Enrico
728950	82428	
728950	89851	Mesmè
728950	102302	Donna Eva
728950	111924	Matilde Sarti
728950	113443	La signora Mariani
728950	160122	
728950	204704	Matilde
728950	205446	Renata
728950	234756	Madre di Rosetta
728950	238795	
728950	248224	Paolina
728950	255127	Donna Eugenia
728950	262223	Cecilia Farkas
728950	278023	La padrona della pensione
728950	291632	La contessa Magda Englesh
728950	293354	
728950	294423	Donna Gloria
728950	295136	
728950	301384	La madre di Iris
728950	307598	La contessa Carli
728950	307718	La contessa Matilde
728950	310468	
728950	322832	
728950	326150	Signora Forenti
728950	340008	
728950	341835	Giovanna
728950	344586	La madre de Irene
728950	349927	La signora Torquada
728950	353856	L'amica pettegola
728950	356144	
728951	361072	
728952	292074	
728953	63707	
728954	179215	Reiko Akimoto
728954	309160	Nui Nagai
728955	63786	Delicia
728957	151183	Lady at Party
728958	373333	
728959	178781	
728959	328844	Antigone
728960	127436	Micol's Mother
728961	411893	Intestine, Mother Kaidô
728962	247916	
728962	285919	Student of Seika Girls High S
728963	357859	
728965	28059	Chieko Atsugi (Episode 1)
728965	43058	Taeko Yonekura
728965	145439	Nursery school teacher
728965	167898	
728965	207117	Oume
728965	220228	
728965	243365	Girl on a bicycle
728965	285202	Shinbun-bu
728965	299556	
728965	336100	Keiko
728965	392572	Makoto`s Mother
728965	394548	Rose
728965	396731	Maki Chikura
728965	405979	
728965	409315	
728965	409726	Asami Ishino
728966	323824	Marise (segment "Nex's Diner"
728966	345788	Tiffany
728967	215063	Princess Saki
728968	404244	Asumi Ôta
728969	87464	Kayoko
728969	335982	Samisen Player
728969	387533	Sam Dingle 's girlfriend Tomi
728970	370411	Yukiko
728971	364098	
728972	390397	Kujaku
728973	122945	Kazuko
728973	299559	Asa
728973	405185	Asa
728975	61426	La seconde invitée
728975	70521	
728975	70954	
728975	99360	
728975	104222	La postière
728975	184057	Petit rôle
728975	238463	
728975	243151	Tante Isabelle
728975	270353	
728975	327562	
728975	377048	
728975	377238	La gérante du magasin
728975	377712	Marguerite
728975	384031	Suzanne
728975	396617	
728976	21531	News Anchor #2
728976	44511	Lab Technician
728976	46393	E/R nurse
728976	106193	Operating Nurse
728976	107906	Gloria
728976	113293	Woman in Labor
728976	161051	Step Magazine
728976	203614	Kissing Woman
728976	207505	Janet
728976	292472	Lorna
728976	298008	Virginia Reporter
728976	311927	Cocktail Waitress
728976	337337	Sally
728976	340929	Mio Ng
728976	348617	Gloria
728976	368715	Nurse #1
728976	379673	Lt. Lucy
728976	403541	Special Agent Nancy Miner
728976	405118	Inspector Beth Lestrade
728976	406154	Naoko
728977	302014	Jenny Lind
728978	10160	Party Guest
728979	19960	Myra Ponsonby
728979	35725	Sylvia
728979	47382	
728979	47385	Herself
728979	52658	Stella Madden
728979	77980	Eve Ruppert
728979	93572	Mrs. Hilda Courtney/Charwoman
728979	107873	Barby Taviton
728979	125512	Anna in "King and I" segment
728979	146859	Jarmilla Hanka
728979	154952	Mrs. Allison Hamilton aka Row
728979	178076	Lilli Vanessi/'Katherine'
728979	178096	Maria Bianco
728979	183792	Joyce Willams, Morgan's Girl
728979	200478	Claire Hill
728979	215191	Mrs. Rome
728979	231962	Ethel Abbott
728979	235226	Herself
728979	241589	Gerry Houston
728979	253525	Dorothy Bronson
728979	264074	Maid Marian
728979	269349	Jean Preston
728979	272138	Sharon McCloud
728979	276828	Pat Marlowe
728979	280972	Rosita
728979	282460	Janet
728979	301998	Claire
728979	306965	Magda Onescu
728979	308576	Empress Eugenie
728979	308656	Phyllis Talbin
728979	308675	George Sand
728979	325110	Tanya Rawlins
728979	347731	Alverna Easter
728979	358777	Mrs. Landon
728979	363274	Linda
728979	366934	Edwina Collins
728979	367948	Star at screening
728979	383594	Karen Gayle (1952)
728979	409106	Herself - Talking-head
728980	22685	
728980	49603	Holde Goebbels
728980	381841	Ayma
728980	387066	Zaza
728980	388628	Le petite Marie
728980	402800	Blondine (French version)
728981	167684	Mrs. Garcia
728981	368224	
728982	693	Herself/Commentator
728982	846	Herself - #55: Thing They Sho
728982	1737	Herself
728982	2277	Herself - Performer
728982	2287	Herself
728982	2303	Herself - Host/Performer
728982	2366	Herself
728982	3252	Herself - Performer
728982	9899	Herself/Performer
728982	9900	Herself
728982	9901	Herself (Vocals, Harmonica, G
728982	9902	Herself
728982	9903	Herself
728982	9904	
728982	14560	Herself
728982	18612	Alanis
728982	44331	Herself
728982	67923	Herself
728982	80356	Musical Performer - "Let's Do
728982	89288	God
728982	119520	Herself
728982	165977	That Woman (God)
728982	207499	Vocals
728982	318742	Herself
728982	368158	Herself
728982	398597	Herself (Episode "Alanis Mori
728982	398609	Host (1994)
728982	410033	
728982	411759	Alanis (1986)
728983	395095	Pierrette Martin
728984	292596	
728985	96335	Celina
728986	387336	Miss Morrison - Lady's Maid (
728987	47400	Clotilde
728988	409535	Sarah
728989	240052	
728990	321330	
728991	374200	
728992	278401	
728993	331679	Mrs. Young
728994	8856	Mizue
728995	52231	
728995	356608	
728996	236657	Tiburon Angels
728997	319443	
728998	302584	Cheap Chick
728999	18908	
728999	179670	
728999	244658	Linda
728999	260435	Devushka
728999	265990	
729000	381200	Renatinha
729001	8942	Rotkreuzschwester/Red Cross N
729001	16249	
729001	21409	Doris
729001	23108	Staatssekretärin
729001	34333	Frau Heppner
729001	84570	Adelheid Busch
729001	102831	Jolene
729001	120929	
729001	134903	Liane Hölthohne
729001	136192	
729001	153904	Mutter/Mother
729001	176963	
729001	185858	
729001	189598	Martha
729001	189813	
729001	199511	
729001	204921	
729001	220130	Hebamme
729001	226200	
729001	237951	Ilse Flake
729001	243287	
729001	263551	
729001	277458	
729001	289900	Frau Koch
729001	289920	Mrs. von Zwinger
729001	294089	Athenerin
729001	312870	
729001	312872	
729001	314377	
729001	322509	
729001	325405	Frau Stoll
729001	325767	Nachbarin
729001	325878	Pensionswirtin
729001	325886	
729001	334007	
729001	341769	Hermine
729001	341781	
729001	343688	Frau Prack
729001	345622	Antonia
729001	349412	Assistant
729001	352028	
729001	352102	
729001	352106	
729001	359684	
729001	365783	
729001	365786	Adelheid Busch
729001	392836	
729001	404440	
729002	103059	nacktes Mädchen
729004	177994	Dancing Queen
729005	53957	Louisa
729005	55806	Wife of fish market/restauran
729005	58507	Bubbles
729005	74674	Miss Wonderly
729005	81247	Myra
729005	87834	
729005	104512	Laura McCashin
729005	117540	Lt. Sylvia Arliss
729005	123024	Bar Lady at Sharkey's
729005	138821	Natalie Nussbaum
729005	150080	Chi Chi
729005	159012	Sally/Receptionist
729005	185065	Carmela
729005	194406	Margie, Duddy's Date
729005	197528	Sunshine
729005	203049	Gina Moretti
729005	230873	Sally
729005	232838	Fritz's Sister
729005	235059	Mrs. Gossin, the Excerciser
729005	241347	Rose
729005	303534	Flora
729005	340757	Whore
729005	346142	Telephone Operator
729005	348336	Officer Gloria Whitey
729005	391950	
729006	160050	Maria's Neighbour
729007	20787	Mary Ann Reynolds
729007	105228	
729008	35881	
729008	140247	
729008	169490	Lise
729008	180002	
729008	225142	Jossy
729008	239792	Track girl
729008	334556	
729008	352655	Mizzi
729008	364900	Mabel Schumann
729009	110771	
729009	145624	Maid
729009	198058	Sygeplejerske
729009	303133	Bente
729010	30987	Miki Ikeda
729011	236751	Carmen
729012	256142	
729013	182051	Momoko Momose
729015	90558	Miyuki
729015	181894	
729015	181895	
729015	201377	Ohiro
729015	201378	Ohiro
729015	324726	Abira/Marien/Kuzto
729015	374351	Iria
729015	374352	Iria
729015	407153	
729016	252450	Shelly Murata
729016	332548	Star
729017	73195	Mireille Hugues
729017	397137	Mariette
729018	177385	Fio
729019	383196	Chantal
729020	232067	Female Hostage
729020	401107	Chairry/Chicky Baby/Magic Scr
729020	402491	Jody Silver
729020	404897	Additional Muppets (19??-19??
729021	34446	
729021	381706	(episodes 1-5, 8-10, 12)
729021	394736	Jenny as a kid
729022	158141	Bank patron
729023	120904	Lulu
729023	192934	Señora de Taylor
729023	212538	Tia Susana
729023	239961	Princess Ettingen
729023	265166	
729023	355754	
729024	14918	Luisa
729024	124571	Concetta
729024	315452	
729025	354585	
729026	193622	London Town Dozen & One Girl
729026	194173	
729026	341987	Jacqueline
729027	366159	Nan Henderson
729028	56996	Electra
729028	144406	Electra (segment "Cats")
729029	4785	
729029	12588	Frau von Kamecke
729029	179993	Sophie
729029	210076	
729029	225136	Grete Schilling
729029	324670	Theaterbesucherin
729029	352913	
729030	321955	Additional Voices
729031	81081	
729032	154478	Bridesmaid
729032	330784	Cheryl Hudson
729033	1514	
729033	5535	Gaby Delange
729033	8450	Lise Dorian
729033	8915	Soeur Claire
729033	13114	Maryse
729033	13120	Annette
729033	15013	Germaine Leblanc
729033	15111	Mme. Duboutois
729033	17483	Mother Superior
729033	19321	
729033	20160	Ariane
729033	20342	Rose Mamaï
729033	23708	
729033	24729	La Madone
729033	37903	
729033	43003	Adrienne Champmorel
729033	43648	Clara Stuart
729033	57264	La mère de Pierrot
729033	60896	
729033	61431	Mademoiselle
729033	67211	Mme. Ancelin
729033	68924	Herself
729033	73185	Mme. Brunel
729033	83215	
729033	83297	Gaby
729033	83370	Madame de Saint-André
729033	84105	Désirée Clary, adulte
729033	85716	Mademoiselle Marthe
729033	90769	
729033	94723	Sisters' mother
729033	99409	Madame Marion
729033	101138	Liane Orland
729033	101684	La reine Victoria
729033	108662	Marcelle Bénard
729033	108991	L'actrice
729033	110022	
729033	110023	Ginette Gentilhomme
729033	112799	Lamberta
729033	113129	
729033	117974	Mlle Emilienne Massillon
729033	118586	Alice Barbentin
729033	127620	Alicia
729033	129036	Giuseppina Strepponi
729033	133180	
729033	143519	Juliette Leclerc
729033	153539	
729033	156328	
729033	157228	Germaine Martin
729033	166335	
729033	167632	Pauline Bretonneau
729033	180866	Helene
729033	194598	Olympe Fouquet
729033	197403	Rose Hessler
729033	197548	Armance de Lunegarde
729033	199577	Béatrice
729033	201171	
729033	202794	Mme. Pierre Mammy
729033	208321	
729033	208808	Claire de Beaulieu
729033	210937	
729033	211139	
729033	211790	
729033	214182	Hélène Berger
729033	216350	Madame Clairault
729033	216795	
729033	217666	Roberte
729033	218246	Madame Bernadac mere
729033	225428	Gaby
729033	227595	
729033	235832	
729033	235858	
729033	236606	
729033	236611	Lisa Andreieva
729033	237314	Mme. Nogent
729033	243077	
729033	246837	
729033	248031	Gabrielle Langlois
729033	248032	Gabrielle Langlois
729033	249093	
729033	249094	Gaby
729033	254311	
729033	257212	Denise, Ambroise's wife (segm
729033	261822	
729033	262927	
729033	263704	Mrs. Carloni
729033	266422	
729033	267405	
729033	268855	
729033	268878	Mme. Vincent
729033	271911	Dolorès
729033	280556	Marthe Bourdier/You You, Bour
729033	285082	Zabeth Longué
729033	286802	Anne-Marie d'Andeline
729033	287165	
729033	287612	
729033	289438	Charlotte Férioul
729033	294946	Suzanne
729033	300735	Comtesse de la Motte
729033	308305	
729033	335223	Agathe de Chamillac
729033	340145	
729033	345189	Manon Watteau
729033	345402	
729033	345449	Genevieve Gonin
729033	346577	Mathilde Mergrand/Mme. Chaper
729033	349478	
729033	351260	
729033	354524	
729033	356370	Louise Jarraud
729033	377601	
729033	377837	
729034	367042	Rita
729035	15024	Femme de chasseur 1
729036	6402	
729036	8439	La Jussaude
729036	20220	Félicie
729036	23750	Madame Morlet
729036	51922	
729036	77335	Nanine
729036	84678	
729036	133053	La grand-mère
729036	208559	
729036	258322	
729036	309748	La contrôleuse des vieillards
729036	322337	
729036	357048	Marie
729037	170112	
729038	222049	(segment Amor y yoga)
729039	245287	Nina
729040	92436	Mary Booth
729040	142668	Matty
729040	230696	
729041	234107	Maud Annie Tickle
729042	91641	Schoolgirl
729043	89745	The Wife
729043	115848	Florence
729043	145837	
729043	161497	
729043	215329	
729043	240523	
729043	240900	Mrs. Dick Cartridge
729043	276595	The Wife
729043	309507	
729043	319771	The Sister
729043	324148	
729043	366120	
729044	31059	Girl
729044	85924	Lady in Waiting
729044	241309	Flo
729044	279150	
729045	395978	Presenter (2002)
729046	1462	
729046	14091	J.D.'s Friend
729046	183536	Lana
729046	192160	
729046	192685	Suzanne
729046	295673	Cynthia
729047	142889	Afternoon Table Dancer
729048	215697	Judging Panelist
729049	3055	Herself (Memorial Tribute)
729049	19999	Alice Grimes
729049	20905	Sonia, aka Sophie Krellberg
729049	33750	Cathleen O'Brien
729049	39498	Anna Novak
729049	44505	Kate Daggett
729049	68779	Herself (interviewee)
729049	73175	Andra
729049	74707	Crystal
729049	79958	Emily Kessner
729049	85088	Martha Dawson
729049	86957	Mrs. Talbot
729049	92295	Karl's New Employer
729049	115240	Laura Nash
729049	118719	Beth
729049	122759	Pendola 'Pendie' Molloy
729049	128222	Linda Beech
729049	134241	Herself
729049	141093	Evelyn Allen
729049	144954	Anne Cornwall
729049	160618	Liane Latour
729049	166241	Dr. Monica Anderson
729049	175607	Mrs. Goodwin: 1861
729049	185723	Baroness Helene Rafitte
729049	186038	Estelle (photo in newspaper)
729049	192435	Mrs. Cary
729049	198436	Mrs. Coster
729049	202851	Helena
729049	207142	Sheila
729049	207582	Carlotta (German agent)
729049	230416	Maisie
729049	240657	Gail Stanley
729049	244797	Mary Sims
729049	245283	Margaret Stevens
729049	254500	Jenny Wren
729049	259402	Myrtle
729049	263555	Charlotte Collins
729049	286808	Woman
729049	289556	Poppy
729049	302365	Alice Claudet
729049	315881	Bertha
729049	316319	Dining Companion
729049	327693	Emily Converse
729049	330615	Eileen Blair
729049	331950	Bit
729049	332027	Madalaine
729049	347365	Rachel Martin
729049	359747	Consuela Fairbanks Keane
729049	360770	Kathryn Phillips
729050	35350	Louise Morgan
729050	53205	Polly Walker
729050	66638	Bess Bentham
729050	163469	
729050	188547	
729050	245349	Laura Chadwick
729050	264143	Goldwyn Girl
729050	291851	Wharf Official
729050	292318	Sub-Deb
729050	300068	A show girl
729050	303530	Mary Saunders
729050	337667	Laurie Stuart
729050	348327	Goldwyn Girl
729050	372907	Laura White
729051	365942	Lizzie's 2nd Opponent
729052	240835	Lisette
729053	299287	German Tourist
729053	390539	Translator
729054	144674	Jonas' Daughter
729054	178189	Young Sandra
729055	390917	Mabla
729056	115268	Laura Winters
729056	387309	Dr. Ursula Bower (1962)
729056	404694	Nola Hollister #2 (1969-1970)
729057	224049	Herself
729058	2017	Principal
729059	5196	Fifi
729059	66912	Mrs. Murther
729059	81493	The Entourage #9
729059	363939	Journalist in Opera House
729060	220276	Montmartre Dancer
729061	29186	Preppy #1
729061	134572	Stacy
729061	194212	Kid at Schoolyard
729061	207505	Gabby Lawrence
729061	284936	Bree
729061	369427	Young Samantha Mulder
729061	369451	Samantha Mulder, age 8
729061	394425	Cagalli Yula Athha
729061	398464	Michelle Cay
729062	26884	Xi
729062	29738	Berta
729062	249107	Mme de Folle Verdure/Louise
729063	289947	
729064	221122	Newscaster
729064	330757	Desk Attendant
729065	166169	Mireille
729066	59774	Une salutiste
729067	23750	Une pensionnaire de la Maison
729068	90752	Lorella
729068	110191	
729068	200457	Venturina
729068	290927	Sabina
729068	349520	
729068	349848	
729069	51432	
729070	28792	
729071	65577	Dead Wacker's Mom/VooDoo Wife
729072	68980	
729073	175676	Gilberte
729074	80493	Young Alice
729075	4645	Comtesse de Lavardens
729075	24729	
729075	59225	Madame Pleisch
729075	281688	
729076	60228	Conny
729076	156623	Iva
729076	189563	Josefine
729076	205750	Marie
729076	234147	Gretchen
729076	317499	Ketuta
729076	318076	
729077	250638	Aesthetic maiden
729077	334757	Chorus
729078	44020	Ann Montgomery
729078	177231	Jane McKaye
729078	185480	Queen
729079	68332	
729080	164764	Lt. Anne 'GoGo' Binder
729080	177039	Carrie
729080	257232	Gina Ferris
729080	268221	Theresa
729081	311162	
729082	199311	The Aunt
729083	253473	
729086	133931	
729087	229002	Une jolie cliente
729088	77091	
729088	150009	Alicia
729088	152263	Gil's girl
729088	267051	
729088	305223	Maureen Watson
729088	314535	Trash
729088	325304	Rubia
729088	351428	
729089	256720	Mari Cruz
729090	283045	Le maire
729090	380358	Moussa
729091	101547	Prostitute
729093	97903	The president's daughter
729094	19478	
729094	67103	Arianna
729094	67104	
729094	168114	Emanuela Carboi
729094	249470	
729094	290961	
729094	293318	Michela
729094	344618	Margherita
729094	373280	Margherita
729094	373282	Margherita
729094	399160	Emanuela
729094	408797	Laura
729095	217440	
729096	22191	
729096	106742	
729096	191499	La standardiste
729097	187703	Mandy
729098	84258	Marina
729098	92663	
729098	222378	
729098	378958	Verónica
729098	396781	Rosario
729098	401913	Gimena Morales
729098	402054	Marisa
729098	407284	
729100	243044	Segretaria
729101	411646	Arata Arai
729102	239490	
729102	265624	Belly Dancer
729103	133880	Little Egypt
729104	396582	Herself (2002)
729105	108474	Fan
729105	313583	Friend of Sandy's Sister
729105	365827	Wedding Clerk/Secretary
729107	379484	Uzume
729107	379485	Uzume
729108	297880	Carmella
729109	222687	Extra
729110	229318	
729111	283679	Additional Voices
729112	56982	
729113	315246	Ice Queen
729114	400	Playroom Mom
729114	220954	Mother
729114	355065	Teacher
729115	293744	Store Manager
729115	347244	Pediatric nurse
729116	20956	Additional Cast
729117	343987	The peasant
729118	335271	
729119	279271	Xiomara
729120	269815	Bar Flirt
729121	402287	Hostess
729122	294408	
729122	399113	Monica
729123	16642	Catalina
729124	399974	Cyane
729125	56773	Servant
729126	2252	(segment "Vertige de l'amour"
729127	205724	Singer in Death Chant
729127	208719	Contralto in 'Czaritiza'
729128	7599	
729128	63618	
729128	117969	
729128	181100	
729128	283829	Doch ottsa Miti
729129	13803	
729129	227955	
729129	341327	Kseniya
729129	373786	
729130	280566	
729131	371116	
729132	373856	
729133	217269	
729134	392551	
729135	404577	
729136	210367	Tangolita
729137	142652	
729137	258999	
729137	262676	
729137	370173	
729138	343310	Anya
729139	293822	Melissa
729140	234434	Kolonist
729140	258665	
729141	270310	
729142	88447	
729142	206484	
729143	26681	Ivana
729143	245801	Loana
729143	344584	Ombra's wife
729143	386484	Vittoria Guerra
729143	386485	Vittoria Guerra
729143	386486	Vittoria Guerra
729143	386487	Vittoria Guerra
729144	105125	Serena
729144	220443	Peasant Girl
729145	51955	Glamour Girl
729146	42898	
729147	405073	Crowd Member #2
729148	195588	Fata Morgana
729149	137427	Estela
729150	385419	Chiara Rocca
729151	112763	
729151	160979	
729151	302050	
729151	319325	Sister Mathieu
729152	158767	La barista del Tabac-Fontaine
729152	288021	
729152	310391	Maid
729152	327913	La cameriera
729153	343459	
729154	86826	Chica muerta (segment "No tre
729155	152263	Ana's friend
729156	67926	Desdemona
729156	355075	
729158	355404	Showgirl
729159	253	
729160	310760	Sandra
729161	283553	Nicoletta
729162	146783	Mrs. Lathrop
729163	5721	
729164	92685	Samantha
729164	168531	Floating harem girl
729164	274195	Girl in Cafe
729165	30680	Twin #1
729165	52320	Bikini Girl
729165	252389	
729165	356652	Herself
729166	30680	Twin #2
729166	52320	Bikini Girl
729166	252389	
729166	356652	Herself
729167	271340	Newscaster
729169	409578	Patsy Davey
729170	176525	Benedict Arnold
729171	176525	Colonist
729172	287703	Mrs. Mole
729173	290346	
729174	213479	Reporter
729174	395479	Medusilla
729175	222597	
729176	47970	Rosalie Biddle
729176	49236	Marlene Barlow
729176	96696	Miss Curry
729176	100826	Bendrix's Landlady
729176	196959	Miss Wilson
729176	201433	Gertrude
729176	208035	Jackie
729176	237786	
729176	314727	
729176	314979	Nurse Pudkin
729176	328754	Rolliver's Landlady
729176	335601	Terry
729176	365141	Tart
729176	384783	Kathy Sherwood
729176	388840	Lady Chittenden
729176	409783	Maggie
729177	59470	Peep-Bo
729177	136822	Chorus - contralto
729177	334757	Peep-Bo 2/Hebe 4/Chorus
729178	277421	Mommy
729179	68831	
729180	11890	Bruid
729181	53284	Wet T-Shirt Contestant
729182	69939	The countess
729182	318003	Una bailarina/Una ballerina
729183	108937	
729184	136822	Chorus - contralto
729185	158141	Coffee house patron
729186	115180	Woman witness
729186	117914	
729187	273565	Nurse
729188	188054	
729189	368929	Young Lady
729190	13619	Dorothy
729190	46581	Dress Customer
729190	97161	
729190	185445	Elizabeth
729190	204034	Edith Waites
729190	205851	Louella Parsons
729190	222653	Mae Buehler
729190	250713	Sarah
729190	252481	Juanita Edwards
729190	256105	Mrs. Ramona Mason
729190	278237	Mrs. Finter
729190	288058	Aunt Willie
729190	310643	Mrs. Stinnett
729190	314658	Customer
729190	330772	
729190	381070	Edna Kearney
729190	382731	Mrs. Springer
729190	386781	Lorna Cathcart
729190	392704	Sister Lillian
729190	399306	Marian Vanderkellen (1985-198
729190	404282	Mother Isabel (1986)
729190	411670	Miss Worley
729191	259360	Ziggy & Sofie's Baby
729192	259360	Ziggy & Sofie's Baby
729193	404002	Dr. Faith Coleridge #4 (1978-
729194	241160	Polly Heke
729195	221049	Coffee Girl
729195	358652	Senator's Assistant
729196	128173	
729196	168125	Dancer
729196	199246	Jitterbugger
729196	223714	
729198	79293	Spectator
729198	118320	Girl
729198	335638	Coed
729198	370536	Haditha
729199	137650	Heidi Campbell
729199	220956	Tyler Matthews
729199	260902	She-Devil
729199	398604	
729200	47854	Maddy
729200	138374	Crystal Sparks
729200	205417	Marilyn
729201	407138	Herself
729202	1225	Madeline
729202	5192	Dido Lament, Gossip Columnist
729202	20135	Phoebe ("Rigoletto")
729202	36777	
729202	41379	Miss Missouri Martin
729202	41744	Malvina Kerch
729202	47267	
729202	64557	Herself
729202	64559	Herself
729202	64569	Herself
729202	138822	May Smith/Linda Jo
729202	150606	Ronda Ray
729202	192049	Sybil Lofton
729202	200275	Charmin
729202	205590	Mrs. Wynic
729202	206621	Dr. Jane Buchanan
729202	207510	Lola Crane
729202	208988	Mrs. Feldman
729202	238567	Florence
729202	270697	Claudette Katsenback
729202	283944	Carol Dodsworth
729202	302573	Claire Vin Blance
729202	305760	Jezebel
729202	306421	So Fine Dancer
729202	329459	
729202	353726	Herself ("She's Hot")
729202	362171	
729202	381703	Babs Berrenger (1985)
729202	386849	Barbara Whiteman (1987)
729202	408691	Contessa Laetitia Philips Gab
729203	223991	Betty Gutsell
729204	39830	Audience Member
729205	147739	Ms. North
729206	370643	Egg Lady
729207	31580	Maggie
729208	241567	Candy Stevens
729208	365148	Dance hall girl
729209	24790	Mollie as a Young Woman
729210	23262	Candia
729210	48593	Carla
729210	95274	Mrs. Cole
729210	140141	Mrs. Weeden
729210	142296	Anne Sullivan
729210	198976	Lynn
729210	280012	Syl
729210	309204	Rita Joyce
729210	326756	Young tribe member
729210	326770	Janet
729210	339858	Flo
729210	359766	Mary Dennison
729210	365166	Mother
729210	369411	Nurse (in attendance of Young
729211	260086	Marquette
729211	295277	Sally Shaw
729212	61303	Grandmother
729213	24143	Church Woman
729213	28650	Mary
729213	64378	Val Foreman
729213	73985	Jane
729213	79038	Doctor Morgan
729213	85659	Sally Kirby
729213	239788	Bronwyn Llewellyn
729213	258139	Housewife in Advertisement
729213	308350	Wendy
729213	323913	Polly
729213	329541	Jean
729213	381624	Barbara Winter
729213	381625	Barbara Winter
729213	381627	Barbara Winter (1999-)
729213	385781	Dora
729213	386488	Evalina Williams
729213	392483	Drusilla
729213	401246	Myfanwy
729213	407354	Cilla
729214	396422	Maggie Muggins (1955-1956)
729215	264775	Teena
729216	44468	Dorothy
729216	128379	Carrie
729216	203270	Chorine
729216	248440	
729217	313479	Ewok
729218	232250	Minsky's Girl
729219	304477	Hallway C.O.
729220	91800	DiDonna
729221	378710	Elf Girl
729222	178790	Herself - Nurse
729223	396797	Withers
729223	401744	Mrs. Halse
729224	64813	Maria Santos
729225	41301	Beauty Contestant
729226	330845	Linda
729227	85928	Follies Girl
729227	193834	
729227	193836	
729227	224050	Gwen
729227	224825	Letty Stanford
729227	363361	Imogene Harris
729228	187886	Lawyer
729229	81052	Starlet
729229	161738	Carol
729229	171690	Woman in Rolls Royce
729229	249178	Blonde at Party
729229	262745	Vicki
729229	404718	Judy Grayson
729229	409798	Jennifer North
729230	350182	Reporter
729231	277471	Cut N' Slice Heckler
729232	41091	
729232	168266	Girl
729233	176534	Icelina Echonbach
729235	411353	Ann Catherick
729236	6251	Herself
729236	26144	Pitt-Astor Girl
729236	29712	
729236	30793	Nurse
729236	52650	
729236	62498	Autograph Seeker
729236	66111	Lucy
729236	74182	Sue West, Nurse Aide
729236	83787	Telephone Operator
729236	92147	Mildred Burnette
729236	143116	
729236	152522	Mary Arena
729236	154182	Gracie, an Usherette
729236	175184	Forward American Girl
729236	192030	Kathy Bryan
729236	198834	Alice Barrett
729236	200096	Secretary
729236	201062	Rosalie Dibson
729236	201150	Frawley Frolics Girl
729236	234807	Janina
729236	255887	Hannah Pritchard
729236	272691	Dorothy Tuttle
729236	278607	Gas Station Attendant
729236	292285	Mrs. Filter
729236	295380	Peter Van Maaster
729236	308022	Lucia Stanton
729236	308155	Woman in Private Dining Room
729236	316152	Perdita
729236	325154	Hat Check Girl
729236	330634	Jane
729236	330892	Edith Bryant
729236	359171	Millie
729236	360390	
729236	360479	Claire Bentley
729236	362118	
729236	362894	Second Autograph Seeker
729236	363745	Local operator
729236	372588	Co-ed
729236	372819	Secretary
729237	55635	School Board Woman
729237	167324	Plaza witness #1
729238	17985	Mrs. Bunting
729238	56146	Mrs. Bott
729238	75404	Mrs. Harrison
729238	136512	Mrs. Piggot
729238	155731	Mrs. Muller
729238	194344	Mrs. Lee
729238	240755	Lil
729238	279610	Mrs. Morrison
729238	288688	Mrs. Bull
729238	308917	Mrs. Anthony
729238	336715	
729238	367877	Second Landlady
729238	385299	Mother Superior
729239	58666	Reporter
729239	104999	Nurse Margaret
729239	176970	Christy's Mom
729239	365442	Nurse
729240	285654	
729241	274167	Sylvia Nolan
729242	107155	Judge
729243	371507	Herself
729243	371626	Herself
729244	329151	Bus Depot Waitress
729245	7817	Eliza Medhurst
729245	56689	The Girl
729245	70285	The Daughter
729245	91776	Nellie Gray
729245	116687	The Girl
729245	125992	Sara Millwood
729245	128575	The Girl
729245	141280	
729245	145897	Alice
729245	176418	Governess
729245	178211	
729245	202929	Dorothy Oliver
729245	215316	Flora
729245	215944	Mary Gordon
729245	224543	Louise Willis
729245	240014	Rose Maylie
729245	245637	Alice
729245	271007	The Girl
729245	286131	Sally
729245	301535	Mrs. Poston
729245	301975	Girl
729245	336672	Jenny
729245	342968	Edna Wilmott
729245	360362	Daisy Goodheart
729245	364529	
729246	108	Moll
729246	7622	Miss Sheridan (nurse)
729246	8067	Mrs. Lyon
729246	8089	Nurse
729246	10587	Nurse
729246	10596	Reformer
729246	32356	Warden
729246	34386	2nd Nurse
729246	35420	Super's Wife
729246	36856	Manicurist
729246	36985	Grace Adams
729246	37318	Studio script girl
729246	40441	Undetermined Role
729246	41930	Nurse
729246	43742	Undetermined role
729246	46840	
729246	49364	Beauty attendant
729246	51975	Mrs. Foley
729246	52251	Mrs. Smith (Elwyn's mother)
729246	54636	Mrs. Harding
729246	55624	Maid
729246	56098	Nurse Gillespie
729246	56215	Waitress
729246	56789	Radio Listener
729246	57099	Kevin's Mother
729246	57169	Stretcher nurse
729246	57919	Mrs. Dorgan
729246	59825	Commander's Secretary
729246	61567	Nurse
729246	66549	Receptionist
729246	69499	Receptionist
729246	69614	Townswoman
729246	72104	Marion, Coudair's Secretary
729246	73122	Nora Manning
729246	73213	Nurse
729246	77592	First Telegraph Girl
729246	78085	Student Nurse
729246	78140	Mrs. Frances Farley
729246	85088	Stewardess
729246	94881	Woman Who Screams
729246	96669	Nurse
729246	96939	Assistant Secretary
729246	97496	Mrs. Lynn
729246	105649	Beak's Wife
729246	110995	Telephone Operator giving the
729246	117801	Matron
729246	118321	Surgical nurse
729246	122056	Mrs. Williams
729246	127114	Secretary
729246	129105	Woman
729246	129810	Telephone Operator
729246	130624	Hospital telephone operator
729246	130763	Clerk
729246	135803	Mrs. Anderson
729246	136003	Polly Clark
729246	138383	Dr. Svoboda's Nurse
729246	140676	
729246	143577	WAVE
729246	143651	Bit Part
729246	147515	Mary
729246	147650	Moran's Secretary
729246	147748	
729246	147754	Casting assistant
729246	150797	Slant's Secretary
729246	154623	Prisoner
729246	154712	Wife
729246	154900	Annie Winterbottom
729246	155018	Nurse
729246	160971	Nurse
729246	163638	
729246	168119	Woman at the inn
729246	168285	McKettrick's Secretary
729246	175175	
729246	176872	Housewife
729246	177479	Mabel
729246	183589	Receptionist
729246	183721	Nurse
729246	186414	Girl at the dance
729246	186771	Nurse
729246	190062	Telephone Operator
729246	190268	Switchboard Operator
729246	192061	Mae
729246	192721	Woman Photographer
729246	197351	Mrs. Williams
729246	204174	Tired Girl
729246	204178	Chorus Girl
729246	214059	Ella Minnich
729246	214957	Olimpia Marto
729246	215525	Lost Child's Mother
729246	215647	Mrs. MacPhail
729246	218015	Telephone Operator
729246	219166	Clerk
729246	221296	Mrs. Howard
729246	221336	
729246	224003	Dean's Secretary
729246	224327	Secretary
729246	229501	
729246	230283	Joyce Hammond
729246	230344	Nurse
729246	230435	Maj. Cartwright
729246	230953	Nurse
729246	231925	Mother
729246	240933	Bit part
729246	241561	Young Woman
729246	244863	Maid
729246	244899	Guilfoyle's Secretary
729246	245610	Reporter
729246	247141	Maid
729246	247232	Peggy Dawson
729246	253126	McGuire's secretary
729246	255828	Nurse
729246	256899	Secretary
729246	261042	Louise Murphy
729246	263386	Script Girl
729246	264567	Secretary
729246	265384	Miss Perkins (Ellerson's secr
729246	272964	Betty Blake
729246	273083	Nurse
729246	274502	
729246	278030	Sally Warren
729246	281810	Assistant Publicist
729246	285664	Beauty Operator
729246	287290	Secretary
729246	291864	Army nurse with Hockland
729246	292470	Head Saleswoman
729246	294744	Nurse
729246	297962	Lawton's Secretary
729246	297968	Secretary
729246	302595	Party Guest
729246	302723	KFWB Switchboard Girl
729246	303307	Telephone Operator
729246	304320	Substitute Secretary
729246	304959	Salesgirl
729246	305498	Miss Benton, a Nurse
729246	306466	Nurse
729246	313076	Stenographer
729246	313085	Telephone Operator
729246	316900	Phone Girl
729246	318192	Red Cross worker
729246	329388	Assistant Matron
729246	330703	Receptionist
729246	330878	Miss Roberts
729246	331998	Molly
729246	337713	Girl at 1st outpost
729246	341969	Secretary
729246	346900	Agnes
729246	349917	Permanent Wave Operator
729246	351918	Telephone Operator
729246	358777	
729246	360420	Operator
729246	360714	Switchboard Operator
729246	365284	Mrs. Swanson
729246	365329	Guest
729246	367500	Telephone Girl
729246	367530	Stenographer
729246	367573	Mrs. Logan
729246	367913	Miss Whittier
729246	372769	Woman at Station
729247	346016	Inmate
729248	44676	Mary Ross
729249	89339	Arlene
729249	384693	Various Characters (2003-2004
729250	28637	Lady Hurst
729250	203143	Lady Bessborough
729251	153624	
729251	213905	
729251	313353	
729252	123174	Herself
729253	280359	Gloria
729254	2819	Lawyer
729254	231393	
729255	334180	Waitress
729256	30662	Regent's Park House Maid
729256	109450	Young Letitia
729256	217420	Vanessa
729256	241813	Hannah
729256	317153	Lisa (Age 6)
729256	382176	Little Jessica
729256	394355	Tessa
729256	406643	Daughter 1
729257	11624	Tommy's Mother
729257	16337	
729257	80958	
729257	134195	Marla Bloodstone
729257	148205	Karen Pruitt
729257	190258	Amy-Joy
729257	195401	
729257	195981	Jennifer Reed
729257	208410	Michelle Payne
729257	273782	Mary Pat Sykes
729257	277764	Jane
729257	299469	Tara Liston
729257	303545	Caroline Mulford
729257	364367	Wendy Worthington
729257	385895	Lady Lucinda Carey
729257	389923	Henrietta Liston
729257	400236	Claire Baxter (2001-2003)
729258	301644	Heather (aka Cheryl aka Aless
729258	301901	Abbey
729259	301644	Heather/Cheryl
729259	301645	Eileen Galvin
729260	39404	Elizabeth Short
729261	379263	Host
729261	395929	Herself - Traveller
729261	408835	Trekker
729262	147402	
729262	323895	
729262	347710	
729263	100099	UI Computer
729263	117787	
729263	144816	Nubian Princess
729263	187601	Shablee/Thunderbird
729263	231123	Wanda
729263	241148	Nila Fontaine
729263	250645	Pentagon Official
729263	264137	INS Woman #1
729263	266585	Angelica
729263	271198	Andrea Murdoch
729263	301087	Additional Voices
729263	311045	Storm (Ororo Munroe)
729263	379288	Dr. Hosking
729263	397995	Wanda
729263	401359	Nia/Betty the Saxophonist
729263	402234	Miss Hill
729263	403550	Claudia Grant
729263	411568	Storm/Ororo Munroe (I) (1992)
729264	177613	2nd Girl on Trip
729265	301901	Taylor
729266	405209	Adelaide van der Belt (2002-2
729267	69686	Herself (James Morris, corres
729268	14223	Buela Snarp
729268	34670	Realtor
729268	50195	Beth Jordan
729268	72012	Ms. Opremchek
729268	80969	Sarah Alcott
729268	105851	All-tied-up shop clerk
729268	106493	County Clerk
729268	118869	Beatrice
729268	118980	Nedda
729268	210732	Laura
729268	224073	Dorothy
729268	235615	Dale
729268	253820	Mrs. Zimm
729268	264157	Mabrey's Servant Gretchen
729268	264158	Lady Evergreen
729268	271344	Landlord
729268	283410	Mrs. Pressman
729268	340799	Janice
729268	362355	Charity Woman
729268	391616	Mrs. Buckley
729268	405878	Dorie Schmidt
729268	409126	Herself (Correspondent) (1994
729269	366027	Ann Johnson
729270	72664	Whore/Nurse
729270	397711	Herself
729271	194136	
729273	29960	Daughter
729273	150984	Kay
729274	113499	Tracey
729274	162010	Herself (backing vocals)
729275	11451	Bartender
729275	400236	Jennifer "Jen" Rappaport Buch
729276	275346	Girl in Debby's apt
729277	127094	Screaming Girl
729278	372897	Herself
729279	105650	Natalie
729279	195740	Woman Detective
729279	310715	Waitress
729280	123380	Joan
729280	235591	Jimmy's Secretary
729281	346368	Jenny Menkin
729281	358583	Little Girl
729282	2669	Abigail
729283	418	Fran
729283	24953	Airline Hostess
729283	35489	Deborah Trenbow
729283	113278	
729283	128500	
729283	130409	Ainslee Brown
729283	133706	Miss Russell
729283	157969	Sam
729283	185277	Meg Stenning
729283	189355	Sybil (segment "The Child")
729283	202659	
729283	207469	
729283	219190	Connie
729283	231659	Patricia
729283	244399	Miss Sowerby
729283	254591	Bea Davis
729283	255350	Miss Lockhart
729283	258269	Jill Cowper
729283	273085	Beth Winters
729283	290913	Helga Brand
729283	316439	Margaret
729283	331661	Judy (segment "Judy")
729283	381238	Catherine Faulkner
729283	381608	
729283	383813	
729283	385759	Various (1977)
729283	386435	Frances Eastwick
729283	386508	WPC Kim Baker (1975)
729283	387357	Kathy
729283	398292	Liz Beare
729283	400604	Elizabeth Kirby
729283	405616	Robyn Davies
729283	406144	Mrs. Muggleton
729284	381514	Herself (1999-2002)
729284	389498	Various (1995-1996)
729284	392689	Herself
729284	393954	Performer
729285	2709	Noreen
729285	18001	Amber Sullivan
729285	80022	Princess Greta von Amburg
729285	366711	Tracy Pinkem
729285	379333	Rumina (recurring)
729285	385824	Greta Von Amburg (1998-2002)
729285	411802	Amy Wilson #2 (1994-1996)
729286	27440	Surveillance Technician
729287	1692	Herself
729287	88995	Presenter
729287	382706	Herself - Presenter
729287	391263	Presenter
729287	391400	Presenter
729287	392119	Presenter
729287	398765	Presenter
729287	399337	Presenter (1990-1995)
729287	406727	Narrator
729287	408778	Presenter
729289	139655	Girl 1
729290	95486	Town Extra
729291	138003	Additional Voices
729291	154866	Officer Kehoe
729292	2805	Herself - Presenter
729292	16068	Anne Marie Fahey
729292	21213	Teenage honey
729292	21448	Psychiatric Patient
729292	69961	Special Agent Paige Willomina
729292	70391	Jen
729292	84409	Lizzie Woods
729292	108401	Borgyork Grumm
729292	120202	Monica
729292	142418	
729292	145690	Linda Delacroix (The Hostage)
729292	159486	Ryan Tibbet
729292	159709	Rachel Brown
729292	185127	DOD investigator
729292	194009	Billy Jo Robertson
729292	214521	Sara Moore
729292	214755	Lara Anderton
729292	222778	Patricia Williams
729292	239891	Zundro (Sandra)
729292	251247	Rita Dunne
729292	264102	Emily
729292	265861	Anxious Mother
729292	280620	Chelsea
729292	291430	
729292	304841	Megan
729292	357998	Lucy, Monochian's Assistant
729292	384583	Lilly Rush
729292	401147	Lt. Annalisa "Stinger" Lindst
729293	303611	Singing contestant
729294	293644	Herself
729295	330707	Bully Girl #2
729296	204747	Sandy
729297	96834	
729298	313088	Lillian 'Peg' Entwhistle
729299	1793	Miss March 1986
729299	257645	Herself (Miss February)
729299	295625	Body Flash Dancer
729299	361862	
729300	269620	Mrs.
729301	185549	Trooper Bloodlass
729302	39161	Marion
729302	61947	Bessie Sykes
729302	73566	Margot Gage
729302	131367	Evie Wats0on
729302	135551	Betty
729302	148210	Mary Knowles
729302	154619	Leonie
729302	163551	Daphne
729302	167111	Jane Tracer
729302	203322	Penny
729302	217520	Janet Miller
729302	219381	Rose Snipe
729302	234049	Marje
729302	238159	Molly
729302	270616	Myra
729302	274009	Pinky
729302	275380	Becky
729302	311986	Rosie
729302	316479	Ruth Hunter
729302	323731	Delia Morel Romanoff
729302	331174	Ruby
729302	339784	Gladys (in segment The Verger
729302	340439	Bouncie Barrington
729302	340512	Sally Wilson
729302	360551	Lolly Dacre
729302	367510	Lana
729302	389123	Helene Forsyte
729302	392200	Vanessa Andenberg (1989-90)
729302	398936	Sylvia Craig
729302	399534	Emma Cresswell
729302	399581	Isobel Gilmour
729302	403852	Maisie
729302	405522	Polly Arden
729302	405843	Ruth Maddern
729303	40170	The Woman
729304	222638	Undetermined Role
729305	193840	
729305	245633	
729306	279315	Maya
729307	6273	Ethel
729307	54029	
729307	81588	
729307	235488	Mrs. Schwartz
729307	257340	Tourist
729307	265740	Clinic Mother
729307	331558	Trixie
729307	332361	Adele Franklin
729307	342856	American Lady
729307	379626	Fay Green (1971) (series 1)
729307	406078	Voices of Marla, Cassiopeia, 
729308	404370	Nicola Savage
729309	407080	Herself (Day 9 Outcast/Runner
729310	42382	Herself
729310	99522	
729310	154658	Lady Randall
729310	270649	Charlady
729310	331121	
729310	350641	
729311	270138	L.A. Scientist
729312	204134	Lin Sue
729313	165966	Liz
729315	234054	Sandra
729316	64408	Music Teacher
729316	388874	Herself/panelist (1962-1968)
729317	53316	Female Streaker
729318	10678	Party Guest Saying 'Organdy'
729318	16933	
729318	24974	Marie, The Warden's Daughter
729318	31860	
729318	34951	Marian Lenox
729318	40845	
729318	44506	Nell Worstall
729318	46775	Secretary
729318	48171	
729318	83595	Roberta Enbright
729318	123196	Anne Morse
729318	123350	Operator
729318	127089	Alice Sinclair
729318	128467	Jane
729318	143122	Bettie Carlisle
729318	144531	Violet Garden
729318	149850	
729318	162381	Arlene Graham
729318	200156	Amaryllis Minton, as an adult
729318	206101	
729318	220263	Anne Grey
729318	253505	Secretary
729318	258209	
729318	302785	Alice Parker
729318	329583	Helen Raynor
729318	329947	Nurse
729318	334403	Woman
729318	337113	Trixie
729318	359140	UndeterminedRole
729318	361153	Lil Corey
729318	365300	Sosie
729318	367489	Edna Reed
729318	367759	Lucille
729318	372938	Hazel Dawn
729319	154694	Sybil Tawes
729320	32560	Isabel
729321	14288	Margie
729321	94923	Thérèse
729322	245687	Anne
729322	252741	Miss Buxton
729322	269305	Girl on Ship
729324	45869	
729325	38748	Liza Crawford Lloyd
729326	119338	Armless Girl
729327	116499	Chorus
729328	209	Ludmilla Koslowski
729328	8339	Lettie Shackleton
729328	28591	Madame Fidolia
729328	108357	
729328	121503	Greta Braden
729328	144981	Anna Braun
729328	150875	
729328	177529	Duchess of Gloucester
729328	190008	Queen Elinor
729328	201306	A Girl
729328	203037	Sarah Duboste
729328	210788	
729328	239717	
729328	239866	
729328	264447	Renee
729328	264489	
729328	292050	
729328	312145	Edwards, the Chauffeuse
729328	320754	
729328	330305	Halima/Animated Statue
729328	337759	Louise (segment "Actor, The")
729328	346214	Anna Petrovitch
729328	353486	Duchess of Kent
729328	364216	
729328	378976	Professor Madeleine Dawnay
729328	379418	Margaret of Anjou, later Quee
729328	380216	Prof. Madeleine Dawnay
729328	380344	Countess Vronsky
729328	382593	Lady Bulman (1974)
729328	386279	Miss Westcott
729328	406261	Cleopatra
729328	406936	Miss Browning-Browning
729328	409593	Emma Sands
729329	91670	Victoria Van Brett
729330	123452	
729331	191291	Mrs. Macready
729331	380344	Lizaveta
729331	387533	Beth Openshaw
729331	399383	Mrs. Kenwigs
729331	401744	Woman
729331	405217	Adela Pankhurst (adult)
729332	168645	Raylene Walker
729332	328301	Melanie Horton
729333	190616	
729335	67482	Helen Elizabeth Avery
729335	274729	Jody Beaumont
729335	394671	Jess Haworth (2000-)
729336	28441	Chorus girl
729336	118223	Jennie
729336	118224	Jennie
729336	126067	One of Do's Four Girls
729336	223054	Dancer
729336	313076	Dancer
729337	162292	Wedding Guest
729338	95486	Asylum Extra
729339	108883	
729340	72104	Cover girl contestant
729340	327672	Glad
729341	128828	First Sorority Sister
729341	292433	Stephana
729341	324979	
729342	186708	
729343	390523	Jenny Yates (1980)
729344	14801	(segment "Tú serás mio")
729344	74573	Mujer de Cabaret
729344	103736	Secretaria
729344	222016	Olga
729344	225554	
729344	242647	Santo's date
729344	269470	Prostituta rubia
729344	388253	Mirta
729344	410479	
729345	288455	
729346	37261	Cheryl
729346	185596	Parole Officer
729346	334354	Newswoman
729347	106176	
729348	397372	Mrs. Hudson (English)
729349	20625	Extra
729350	133540	Herself
729350	233787	Priest's Woman/Prostitute
729351	7865	Nazi Victim
729351	80564	Night Club Owner
729351	124089	
729352	74233	
729353	277098	Smoking Wench #3
729354	16758	Mrs. Trap
729354	39536	Mary the Shamrock
729354	58942	'Sport' of Sisterly
729354	84995	Wife of Titus
729354	97609	The Neighbours
729354	99753	
729354	105204	Mrs. Hertz
729354	107010	Rich Woman
729354	128286	Mrs.Lewis
729354	131770	
729354	138909	Mrs. Conover
729354	154658	Miss Pizer
729354	155902	Mrs. Fargus
729354	170378	Daisy
729354	177142	Dora, the Cook
729354	178909	Mistress Merrythought
729354	190006	Pebble
729354	190205	Clarice
729354	204021	Miss Tucker
729354	224228	Mrs. Peach
729354	231975	Mrs. Prentice
729354	240812	
729354	264447	Mlle. Pauline
729354	278514	Mrs. Hackitt (1939 version)
729354	281801	
729354	282711	Singing woman
729354	284908	Anna Palacek
729354	292536	Annie Gilchrist
729354	301953	Tormad's Mother
729354	308348	Tea Woman
729354	315534	
729354	329421	Julia Forsyte Small
729354	331306	Sister Rose
729354	335875	Mrs. Tweedy
729355	173353	Girl (Jack's Date)
729356	18436	Anna
729357	151627	Melody
729358	325524	
729359	301292	Mrs. Berman
729360	72376	Girl at the Surprise Party
729360	398558	Abigail 'Abby' Flint
729361	116837	
729362	3942	Hometown girl
729362	80897	Cheerleader #2
729362	130168	Daisy
729362	143240	Kerstin
729362	145414	Sharon Oates
729362	188572	Leona
729362	275871	Heather
729362	379830	Shannon
729363	408015	Samantha
729364	50690	Goth Girl in Salon
729364	62785	Ariel Flaherty
729365	305778	Sexy Patient
729366	160882	Ensemble
729367	312437	Vera
729367	382932	Shona
729368	303233	Novice
729368	318109	Iola
729369	386618	Contestant
729370	117579	Mo Bag
729371	112322	Mrs. Haigh
729371	128475	Mrs. Haigh
729371	143253	
729371	153004	Mother
729371	183681	Mrs. Haigh
729371	195008	Mrs. Haigh
729371	220011	Mrs. Haigh
729371	265252	Mrs. Haigh
729372	264722	Marissa
729373	216639	Ms. January - Bowling
729374	41930	
729374	43606	Weiss' Aide
729374	43886	
729374	44046	Mary
729374	90423	Mrs. Ross
729374	90508	
729374	115095	Mother
729374	140187	
729374	161642	Gynecologist
729374	195531	
729374	204214	Female Crowd Member
729374	234982	Dr. Marianne Kris
729374	235460	Parent
729374	245209	Trumpet player
729374	299485	Diane
729374	310647	Mother
729374	321632	Assistant D.A.
729374	335563	Brenda Kerrigan
729374	345850	Sarah
729374	375515	Harriet
729374	396145	Sandra
729375	199466	Nurse
729376	210871	Clerk
729376	313320	Niles' secretary
729377	193832	
729377	193833	
729377	193834	
729377	197259	
729378	73703	Sheila
729379	176967	Yvette
729380	214078	Cecile Dione, 5 yrs.
729381	214078	Annette Dionne, 5 yrs.
729382	214078	Cecile Dionne, 5 yrs.
729383	27003	Ella Lee Thompson
729383	157563	Flo Smith
729383	240714	Glenda
729383	304048	Evangeline Yellow Lodge
729383	369452	Josephine Doane
729383	399689	Ellen Kenidi (1992-96)
729383	399741	Esther
729384	83651	Beatrice
729384	264102	Ruth Demarco
729385	128807	Herself (Segment "Lady Luck")
729386	109753	Fortune
729386	354541	Mandy
729387	306751	Nancy
729388	17779	
729388	61134	Bank Customer
729388	95108	Emily Arundel
729388	194454	Lady Durham
729388	214442	Sister Monica
729388	292121	Lizzie
729388	305318	Lady Wimbol
729388	384783	Clancey
729388	388063	Dr. Jo Hardy (1968-1971)
729388	395827	Miss. Platt
729388	397182	
729388	402339	Heather Keys
729389	235174	Miss Digby
729390	16108	Cartmell's daughter
729390	77288	A Girl of the Streets
729390	127696	Undetermined Role
729390	254671	Louise Holden
729390	284876	Bess
729390	349982	Jane Morton
729391	53273	Harriet
729391	137462	Laura
729391	220273	
729391	254268	Frog Girl
729391	350114	
729391	389254	
729392	279131	Agnes
729393	11915	Gina
729393	114100	Annie Rodie
729393	139582	Laura Peters
729393	192674	Young Cookie
729393	209133	Lea Edwards
729394	12995	
729394	36363	
729394	75045	
729394	128558	
729394	139060	
729394	165842	
729394	255321	
729394	360053	
729395	143532	Cold Child #1
729395	164400	Younger Sister
729395	408880	Zandra (series 1)
729396	310171	Bio-Mechanical Warrior
729397	31058	Lt. Edith Edwards
729397	41502	Maid
729397	47974	Marya
729397	57099	Miss Murray
729397	65847	Mrs. Barker
729397	118434	Mrs. Helen Dunnigan
729397	128319	Nurse Schiff
729397	151041	Woman juror
729397	154756	Miss Nova
729397	224233	Polly Pahlman
729397	234070	Nurse
729397	252489	Dietician
729397	263169	Mary
729397	274341	Mrs. Miller
729397	311316	Mrs. Fearless
729397	324037	Mrs. Judson
729397	330345	Mable
729397	347061	Hazel (secretary)
729397	354859	Mrs. Martha Stadt
729397	358777	Nellie
729397	389858	Mrs. Nelson (1971)
729398	264448	
729399	34979	Geena
729400	258025	
729401	9129	Passenger
729401	12018	Blues Singer
729401	32494	
729401	64790	Madame Cecile
729401	79078	Mrs. Parasol
729401	88557	Mrs. Ordley
729401	90330	Mrs. Morrison
729401	120512	Mrs. Kipfer (owner, New Congr
729401	148959	Harvey's wife
729401	191491	Nurse
729401	202952	Miss Standish, Youth Rally Pi
729401	206368	
729401	223867	
729401	233574	Mrs. Beresford
729401	248161	Mother Superior
729401	265591	Polly Prattles
729401	308089	Nurse
729401	311249	Mrs. Boosmans
729401	330095	Miss Fran
729401	342612	Mrs. Vandeveer
729401	345860	Passenger
729401	364726	Klabfus
729401	383429	Mrs. Whyte
729402	214954	Emmeline Hodges
729403	164400	Middle Sister
729404	314635	
729405	15151	Jane Pogue
729406	364431	Birthday Guest #3
729407	65991	News Reporter
729408	217912	Herself
729409	332104	Powwow Singer
729410	157742	Rachel Paige
729411	123033	Morda
729411	152606	
729411	245907	Squad room detective
729412	287496	
729412	404277	
729413	40804	Female Office Worker
729413	122019	Waitress
729414	22176	Older Jenny Dilligham
729414	231439	Bray's Maid
729414	269901	Mademoiselle Renard
729414	391206	Heather Brook
729414	410630	Anne
729415	74756	Inspector
729415	321608	Miss Jenny Montrose
729416	257571	Cedric's Lawyer
729417	58840	Dorothy
729417	141487	Melia
729417	304828	
729418	18544	Willie's Mom
729419	184127	Lizzie Fast Horse
729420	245614	Mrs. Georgina Kettle
729420	252296	Verman
729420	259396	Bridget
729420	293170	
729421	265892	Shopper
729422	11421	Donna
729423	80903	Anji Hunter
729423	202880	Miss Waterhouse
729423	323039	Lucy Richardson
729424	11941	Woman at Bar-B-Que
729424	31668	Female News Reporter
729424	194229	Judy 'Hooker'
729426	272146	Mrs. Rukahia
729427	41464	Mana
729427	298425	
729428	195455	Stewardess
729429	386581	Rhona Swanson
729429	391206	Camilla De La Mer
729429	409386	Mrs. Twamley
729430	77145	Mary Lou
729430	128711	Cindy
729430	339389	
729431	92102	
729432	129086	
729432	154915	Mrs. Jordan
729432	203471	Mrs. Stanley
729432	223764	Sister Cronshaw
729432	239739	Mary
729432	316488	
729433	379893	Debbie
729434	37311	Callie
729434	83777	Sonya Mallow
729434	95334	Jane
729434	97537	
729434	128164	Annie
729434	134418	Jamie
729434	161051	Meaghan Eastman
729434	202460	Chris
729434	214971	Denice
729434	220805	Jade
729434	227492	Alicia
729434	314965	Samantha Kozac
729434	319873	Lily Bowser
729434	320102	
729434	348608	Amy Mayfield
729434	374617	Joyce
729434	392152	Cameron
729435	309202	Sorority Girl
729436	73314	Dee
729436	209133	Crying Girl
729437	23339	Stacy
729437	222636	Hildy Southerlyn
729437	233822	Rachel Watson
729437	381585	Sylvie Stern
729438	164400	Middle Sister
729438	253336	
729438	253337	Miss Coleman
729438	253357	Date
729439	115943	Weebette
729441	230933	Stage Mother
729442	54856	Paula
729443	313877	Fan Girl
729444	257626	
729445	362124	Paula
729446	17934	Pickpocket
729446	90409	Katrina
729446	158319	Cynthia
729446	188639	Friend of Sandra
729446	189921	Receptionist
729446	268201	Rasta Chick
729447	40504	Julie Comb
729448	88069	
729450	110529	Checkout Chick
729451	39067	Angie
729451	155248	Gun Girl
729451	160219	Violet
729451	288931	Mikki
729451	288932	Mikki Lomack
729452	264137	Immigration Interviewer
729453	310303	Yoga Jean
729454	21178	Mrs. Wilson
729455	178096	Mother Superior
729456	305734	Rosa
729457	215423	Tabitha Liptrott
729457	262349	Miss Pettigrew
729457	304791	Miss Wardly
729457	314249	Clarissa Fiarchild
729457	345825	Ophelia
729457	359129	Veronica
729458	408036	Emily Yokas (I) (1999-2000)
729459	193884	Amy
729459	270463	Waitress
729460	299921	Herself (Sisters of Mercy)
729460	299952	Herself (Sisters of Mercy)
729461	372446	Herself (reporter, KCET)
729462	281281	Dancer with Ron
729463	338981	Herself
729464	149911	Circulating Nurse
729465	222212	Party-goer
729466	384952	Segment Host
729467	117713	Dancer
729468	1701	Herself - Presenter
729468	42112	Mrs. Greco
729468	46581	Nancy Henderson
729468	56611	Lupe Tekal d'Esperanza
729468	67586	Nick's Maid
729468	69810	Mrs. Kojovs
729468	84935	Ruth
729468	88154	Jackie
729468	116799	Aunt Carmen
729468	128479	Louise
729468	151653	Marcia Borie
729468	176496	Carol
729468	196303	Yolanda Brown
729468	199085	Pima squaw
729468	202878	Rosita
729468	208326	Mother
729468	232243	Toni
729468	313074	Bit Part
729468	331392	Linda Little Trees
729468	331714	Mona
729468	340320	Rosa
729468	388983	Sister Sixto (1967-1970)
729468	389858	Mrs. Ramirez (1982)
729468	400208	
729468	411174	Rosario Ynez Consuela Yolanda
729469	46242	Young Nurse
729469	299458	The Landlady (segment "The In
729469	379300	Mrs. Robin
729470	30071	Baby
729471	271699	Herself
729474	346057	
729475	264818	Resort Guest
729475	272647	Party Guest
729476	244100	The Aufseherin of the Women's
729477	71	Pearl Delonge
729477	16078	Gertrude 'Gertie' Hunter
729477	41502	Mrs. Dora Loring
729477	50448	Bit
729477	59838	Dorothy Mason
729477	127092	Myra
729477	133451	Mrs. George Carruthers
729477	136002	
729477	139316	Rosamund
729477	147916	Mary
729477	149126	Gale Brewster
729477	152433	Wilma Norton
729477	154916	Miss Evans
729477	164476	Rocky's Moll
729477	190062	Miss Dean, Fur Salesgirl
729477	241350	Nellie
729477	242941	Receptionist at Sydneys
729477	266099	Pat
729477	267656	Ellen Burnett
729477	295070	Girl Bowler
729477	306803	Judy Barton
729477	311995	Frances
729477	330454	
729477	330514	Beth Hampshire
729477	366889	Saleswoman
729477	367919	Exercise instructress
729477	382853	(1956-1957)
729478	128756	Herself
729479	64605	The Vanishing Lady
729479	83573	Nita Randall
729479	109535	'Kath' Rodney
729479	130677	Georgia's friend
729479	149136	Party Guest
729479	183786	Gertie
729479	304029	Miss Smith
729479	337412	Jerry
729479	341982	Lola
729479	355209	Ruth Cane
729479	362387	Dolly McLean
729479	367564	Fifi
729480	171034	Valerie
729481	147972	Host #1
729482	54268	Poet/performer
729483	57016	Dorothy Paget
729483	287723	Helen Bower
729483	327291	Miss Stryver
729484	29889	
729484	69385	Claire
729484	99987	Jay
729484	99990	
729484	99991	Jay
729484	99994	Jay
729484	100008	Jay
729484	106120	Model #7
729484	111068	Bubbles
729484	177591	Hooker
729484	236387	Audition Woman
729484	258075	Beautiful Woman (episode "Cha
729484	306990	Herself
729484	327836	Candy
729484	338757	Angel
729484	350212	Michele
729484	355153	Candle Girl
729485	35537	Blonde
729485	115562	Cave Club Diner/Flower Girl
729485	284815	Jenna
729485	328630	Gate Guard
729486	211533	Mermaid
729487	224154	Surgeon
729487	232317	Aunt Joyce
729487	318358	Aunt Madeleine
729487	363611	Secretary
729487	388977	Gladys
729488	283492	Sister Immaculata
729489	315186	
729490	235386	Hotel Receptionist
729491	311231	Sara
729492	115318	Carrie
729493	20371	Italian Newscaster
729493	42913	Mom at Party
729493	86988	Hostess
729493	219707	
729493	242113	Shoe Show Announcer
729493	296785	
729494	404562	Contributor (2001-2003)
729495	402537	
729496	39346	The Wife
729498	556	Number Three
729499	114040	Vanessa
729499	189982	Cocktail Waitress
729499	201598	Stephanie/Hair Stylist
729500	378646	Steaphanie (Hairstylist)
729501	88522	Susie
729502	302405	Maid
729503	53320	Judy Miller
729503	63079	Susan Atwood
729503	116043	Mrs. Bingham (1986)
729503	138859	Dinner guest
729503	277622	Martha Antilles
729504	32362	Bridget Batterson
729505	381608	Peggy
729505	402197	Denise Tyler (1983)
729506	84871	Marion Morrow
729507	252211	All Business Gal
729508	10899	Coed #2
729508	99558	Bitchy coed
729509	193836	
729510	1036	Medea Zorba
729510	2164	Gwendolyn
729510	42112	Bar Hostess
729510	48241	Easter Banford
729510	92445	Laura Saunders
729510	127483	Mary Lou
729510	140840	Kate McCloud
729510	170309	Princess Ann
729510	187341	Laura
729510	244872	Milly Wormold
729510	319019	Mona Harris
729510	327746	Waitress
729510	328262	Newswoman
729511	124564	Nurse Lilly
729512	45439	Martha Biggs
729512	51967	Mrs. Turner
729512	154762	Eve Whister
729512	322301	Værtshusgæst
729512	389391	Mrs. Pamela Richards
729512	393519	Regular
729512	395056	Betty Brill
729512	407338	Aunt Minerva
729513	271287	Deposition court reporter
729514	206863	Mary Claire Letourneau
729515	65754	Rave Dancer
729515	150075	Hip Hop Dancer
729515	223099	Herself
729516	363981	Gina Lola Venus
729517	183305	
729517	316264	Gloria
729517	362140	Barbara
729518	304399	Kathy Reed
729519	331533	Karen Clarke
729519	387152	Virginia Metheny (1988-1989)
729520	21157	Diner Customer
729521	22821	Rookie Cop
729521	32243	Gina
729521	42687	Diana
729521	43921	Lyah
729521	61766	Maria Elkman
729521	80504	Kristin
729521	151127	Linda (Charles's Wife)
729521	151530	Katrina
729521	161989	Debbie
729521	202359	Miranda
729521	228310	Lola
729521	232630	Miss Beverly Fox
729521	241474	
729521	274315	(segment "Emily's Dance")
729521	315884	Delores
729521	355212	Linda Barnes
729521	359144	Lettie
729521	400019	Herself (2000-2001)
729521	400236	Rachel Gannon #2 (1995-1996)
729522	252741	Miss Australia
729523	267503	Silver's Mom (featured extra)
729523	304570	Violence Onelove
729523	340811	Waitress
729524	27346	
729524	175749	Sally
729524	175750	Bertha
729524	198540	Susie Kettle
729524	368952	Young girl
729525	17757	Jessie Oakley
729525	21299	Zuba Girl
729525	254331	Herself
729525	254332	Rita Jacks-Harrington
729525	319904	Terry Wells
729525	392413	Constance Philbrick
729525	401350	Rita Jacks Herrington (1965-1
729525	403281	Rita Jacks Harrington (1972-1
729526	272947	
729527	241613	Brandi
729528	342685	Waitress
729529	307020	Ashley
729530	31059	Susan (Ski's girl)
729530	40462	Sharon Wilks
729530	42712	
729530	53554	Kay Conway
729530	56798	Lambda
729530	70777	Hope
729530	124381	Hope
729530	198834	Sylvia Stevenson
729530	203278	Jane Jenks
729530	215720	Kay Conway
729530	240793	Catherine
729530	265104	Babette Nelson, alias Jean Pa
729530	288975	Tally Hathersall
729531	8023	Red Cross Worker
729532	188491	Patricia Trent
729533	189977	Hermiony
729536	78998	Heather
729537	102005	
729538	127086	Virginia Bennett
729538	146723	Singer
729538	151310	
729538	151319	Herself
729538	277000	Singer with Freddie Slack's b
729538	304347	Singer
729538	309827	Barbara Ann, Singer
729538	321502	Herself - Singer
729539	280359	Glora
729540	49786	Jenny Larkin
729540	59741	Miss Hayes
729540	130873	Clara
729540	137257	Mrs. Kent
729540	143458	Evangeline
729540	188309	Elsie Hammond
729540	205170	Clara Belle Palmer
729540	239595	Sybil
729540	257883	Claire
729540	274753	Marie
729540	289604	Beatrice Milo
729540	293211	Mrs. Reed
729540	302921	Kitty Drummond
729540	309533	Mrs. Hamilton
729540	372127	May Mackie
729541	8147	Evelyn Crawley
729541	51794	Caddie Marsh
729541	108933	Jo Reeves
729541	187291	
729541	194696	Mrs. Harris
729541	205295	
729541	245214	Iris/Sammie
729541	253976	Jane
729541	255274	Mlle. de Poitiers
729541	262203	
729541	315198	Amanda
729541	315220	Herself
729541	396058	(Love 2: Intersection)
729541	396167	Kate
729541	396892	Marion Richards
729541	402012	
729541	408632	
729541	408664	Jean Paget
729541	411760	
729542	128596	Alice
729542	154301	Cindy Stayner (Age 16)
729542	160416	(segment "Within Ten Minutes"
729542	171286	Judy
729543	30071	Woman
729544	381821	Ensemble (1972)
729545	340751	Betty
729547	226974	Betty
729548	66282	Aunt
729548	143272	Mrs. Fletch Havey
729548	283458	Clarence's Mother
729549	64972	
729550	192268	Girl's mother
729550	287713	Miss Abruzzi
729551	26507	Edna
729551	195740	Police Photographer
729552	91099	Puar
729552	120416	Mountain Elder
729552	120418	Mountain Elder
729552	386777	Puar
729552	386922	Additional Voices
729552	386923	Puar (1994)
729552	390961	
729552	392964	Tsubaki (Older)
729553	1744	Herself/Audience Member
729553	68097	Mo Harris
729553	96867	Herself
729553	96872	Maureen 'Mo' Harris
729553	133595	Molly
729553	190150	Aunty
729553	196300	Laila
729553	232714	Janet
729553	241447	
729553	250450	Maureen 'Mo' Harris
729553	387247	Mo Harris (2000-)
729554	313076	Dancer
729555	367083	Running Girl
729556	223090	
729557	337254	
729558	11590	Girlfriend
729559	178081	Girl On Pyramid
729560	137434	Andrea Dayton
729560	217187	Inigo, his wife
729560	314143	Mrs. Martin
729561	16005	Christine Carpenter
729561	94012	The Skipping Girl
729561	107042	Michelle
729561	134075	Amy
729561	170724	Margaret
729561	192000	The Matchgirl
729561	223487	Maria
729561	262054	Maria's Friend #2
729561	384856	Hayley
729561	391944	Jenny
729562	135766	Tara
729563	42402	Mrs. Lothario
729563	159861	Fluffy
729563	303537	Cheerleader
729564	114047	Debbie
729564	114298	Karen
729564	117061	Beth
729564	247119	Sylvie
729564	304129	Penny
729564	316159	
729564	340779	Bit part
729564	380713	Pamela Wagner (1987-1989)
729564	411354	Adult Caroline Kennedy
729565	276872	Munchkins
729565	407484	Munchkins
729566	81589	Sandwich girl
729566	254417	Adrienne Delaney
729566	272023	Jen Anders
729566	288738	The Vampirettes
729566	288905	Gloria Verne
729566	360647	Stripper
729566	367098	Maiden #1
729567	62294	Mrs. Hastings
729568	57762	Specialty Girl
729568	168254	Zarina
729569	378108	Prostitute
729570	25982	
729571	374781	Juzya
729572	9537	
729572	227913	
729573	72599	Baby Boy
729574	183710	Crystal Kingsby (joke credit)
729575	23495	Elisabeth Gray
729575	329445	Barbara
729575	333353	Vera
729575	390951	Maid
729575	395194	Pat
729575	406434	
729576	164028	
729577	257674	Herself
729577	401208	
729578	315707	Tennis Student
729578	333007	Blonde
729579	71266	
729579	263710	
729579	292274	Student
729579	354765	Laura
729579	364362	Maria
729579	386748	
729580	90004	Spokeswoman
729581	332328	Secretary
729582	201992	
729582	266170	
729582	356802	Sylvina
729583	53738	Membre du jury
729584	197951	Luz
729585	14393	Gypsy
729586	6331	Gina
729587	139436	
729587	198746	Katia
729587	247590	Werkvrouw
729587	387143	Verpleegster
729587	409162	
729588	16104	Mrs. Clark
729589	139650	Madam Irma Pince
729590	93675	
729591	399936	(sketches)
729591	408930	Herself - Host
729591	412218	Herself - Host (2001-2002)
729592	138003	Additional Voices
729593	180929	Nyla
729594	270499	Herself
729594	368872	Herself
729595	80398	Daughter
729596	44929	L'orpheline
729596	169577	Joelle
729596	170366	Girl Passenger
729596	205191	French street girl
729596	211630	Renée Polaire
729596	248173	Helen Stousland
729596	248423	Christiane
729596	400869	
729597	214339	Tosse-Lise
729598	29905	Lena - 8 år
729599	126067	Chorine
729599	313076	Dancer
729599	313301	Chorine
729600	212333	Herself - Participant/Perform
729601	345748	Nancy
729602	130788	Herself
729602	385180	Iris
729602	389382	Herself - Hollywood Reporter 
729603	100868	Valerie Elliott
729604	51295	Eva
729605	40800	Reporter
729606	137402	Guest at party
729607	31598	Sally Brown
729607	163466	Sally
729607	163640	Sally Brown/Violet/Frieda
729608	78495	Herself (performing: 'Vis mig
729608	104777	Danish entry (24th place)
729608	212333	Herself - Performer (performi
729608	291654	Herself (episode 3 "Som at pi
729609	203965	Luder (hooker)
729609	281991	Stine
729609	303133	Bente
729610	40137	Evy Hvidsteen
729611	221304	
729611	343160	Showgirl
729612	187237	Billy's Mom
729613	22844	Eli 11 år
729614	7781	Helle
729614	94266	
729614	99511	Nurse #2
729614	137402	Lebben
729614	214293	Sus
729614	291686	Nurse
729614	305882	Ellen
729614	354365	Tilda
729614	391720	Psykolog
729615	78489	Herself (performing 'Ingen gø
729616	95906	Winnie
729616	266365	Høvdingens datter
729616	303642	Winnie
729617	314445	Dancer
729618	80442	Homeless Woman
729618	115331	La dame au pistolet
729618	164637	First Mean Lady
729618	191848	Teller
729618	194689	Old Woman
729618	337327	Elderly Woman
729618	358701	Irene
729618	364643	Miss Stevens
729618	364783	Old Lady
729618	369195	Elderly Patient
729619	223246	
729620	325819	
729621	13805	Kitty Wilcox
729621	199568	Lady Bovina Ribsby
729621	222300	Additional Voices
729621	223649	Kitty Wilcox
729621	253355	
729621	284936	Enchantra
729621	379337	Additional Voices
729621	404081	Enchantra
729621	410504	Mrs. Squab
729621	411882	Big Mary Hatfield
729622	58497	Loni
729622	59126	Linda Grey
729622	65118	Ovra
729622	69917	Judith
729622	81064	Mary 'Bubbles' Moore
729622	113857	School Girl
729622	146810	Sgt. Kibble
729622	168766	Angie
729622	176777	Kathy Pearl
729622	189242	Chrissy Berezuk
729622	192413	Sally Moffat
729622	202501	Helen
729622	216445	Nancy
729622	232422	Tracy Senia
729622	282106	
729622	287727	Pamela's Mother
729622	301668	
729622	329503	Lisa
729622	333855	Madeline Astor
729622	334903	Shelly
729622	362037	Star
729622	405298	Michelle Dupont
729622	406704	Det. Tricia Kelsey
729623	23681	
729623	30252	Gaby Bonnetang
729624	147560	Mrs. Right
729625	13087	Maggie
729625	61545	Sylvia
729625	81199	Eva Braun
729625	145715	Connie
729625	165319	Lois
729625	170147	Susan McCleod
729625	208915	ATS Sgt. Bell
729625	288720	Marlene
729625	310295	Madeleine
729625	331718	
729625	345865	Annette
729625	360035	Lucy Otford
729625	384441	Cleopatra Thea
729625	392951	Val Spencer
729625	400709	Alice Vavasor
729625	403201	Angela Soames
729626	402974	Herself
729626	402975	Herself
729627	57108	
729627	171231	
729627	239547	Dora Brand
729627	317112	
729627	324250	The Widow's Daughter
729628	2763	Dakota Phillips
729628	47019	Nina Blount
729628	57665	
729628	63835	Miss Flynn
729628	68164	Judith Dunbar
729628	70257	Herself
729628	80966	Lizzie Morrison
729628	99287	Kat Ashley
729628	117546	Angela
729628	127076	Helena Patterson
729628	141532	Elvira Crossland
729628	166568	Diana, Princess of Wales
729628	176298	Herself
729628	176410	Amy
729628	176952	
729628	185475	Romy Thomas
729628	194479	Emma
729628	196233	Katherine
729628	196370	Elizabeth Marks
729628	214939	
729628	234126	Esther
729628	234204	Emily
729628	235790	Perfect Girl
729628	256260	Nicole
729628	285752	Woman on plane
729628	291223	Angelina Tyler
729628	291257	Herself
729628	297717	Lass
729628	304793	Cecil Bullard
729628	368165	
729628	372406	Cathie Dimly
729628	385627	Polly Duport (segment film fo
729628	397676	Catherine Lacey
729628	399531	Una
729628	405361	Fran
729629	365787	
729630	281422	
729631	236954	Orphanage Governor
729631	320797	
729632	142874	Elise Towers
729632	142877	Elise Towers
729632	142878	Elise Towers
729633	384206	Herself
729634	365081	
729635	78920	Ruthie Bitel
729635	380565	Miriam Sparks
729635	382206	Herself - Panellist
729636	120300	Lillian
729636	193624	Fiona
729636	252882	Janet
729636	290080	Joy
729636	393622	Kiki
729636	401381	Eliza
729637	29186	Actor #10
729637	223639	Convenience Store Clerk
729638	6121	Marge
729639	150943	
729639	351187	Girl in Hot Tub
729640	77852	Emily Laird
729640	216424	Zoe
729641	210427	
729642	17751	Annie
729642	89099	Maggie
729642	214981	Jennifer
729643	127324	Patty
729644	3163	Janet Mathews
729644	16748	
729644	107895	Mom at Back Yard Party
729644	178092	Reba
729644	281382	Mary Rowengartner
729644	315897	Ann
729644	331871	Karen
729645	26955	Dana, Widow
729646	8026	Nina Bailey
729646	23908	Therapist
729646	155674	Frightened Bank Teller
729646	206191	Marie Stockard
729646	230412	Marie Blake
729646	279413	Mary
729646	383891	Brenda
729647	305990	Midwife 2
729648	379831	Natalie Johnson #1 (1988-1989
729649	184955	Woman
729650	59729	9 Month Old Adam
729651	214917	Rebel Rocker
729652	25149	
729652	49382	
729652	63422	Bit Role
729652	67161	
729652	88185	
729652	89158	
729652	109592	
729652	116443	Usherette
729652	311031	Usherette
729653	49735	
729653	52464	
729653	96950	
729653	127176	
729653	292645	
729653	302181	
729653	311699	HattieSterling
729653	331500	Susie
729653	365640	Hortense
729654	107331	Princess Brigid
729654	140180	Miss Jessel
729654	190330	Second radar technician
729654	194528	Girlfriend
729654	277634	Gabriella de Courtney
729654	395924	Helen, Malcolm Cross's girlfr
729654	403595	WPC Hester Goswell
729654	410640	Lucinda Davis/Stoneway (Serie
729655	119802	Girl
729656	137986	Katherine Howard
729656	187340	
729656	262076	Maid
729657	94115	Dancer
729658	390195	Herself - Showbiz and New Yor
729659	309860	Sister Marie Clement
729661	153164	CITY TV Cameraperson
729662	123344	Vexina
729663	74011	Waitress
729663	113421	Nikki
729663	131665	Bunker Hill College Student
729663	274241	Website fan
729664	315483	Showgirl
729665	51605	
729665	165009	Loop Group
729667	105971	Louella Hendricks
729667	106077	Charlene
729667	265747	Alice
729667	305006	Bonnie Galbraith
729667	375914	Miss Blakiston
729668	146661	Vestal Virgin
729669	199987	
729670	58662	Office intern #1
729671	141140	Molly
729671	350349	Maggie's Mum
729671	406765	Mrs. Hennessy
729672	169201	Paulina
729673	209647	Edge Slut
729674	328520	Susie
729675	56956	Catherine
729676	38045	
729677	313459	Swilla Corey
729678	330231	Bartender's Wife
729679	188298	Isabel Morrison
729679	347065	Mrs. Arlington
729679	367612	Child
729680	101420	
729681	235655	Singer
729682	81439	French Maid
729682	158463	Miss Morton
729682	171172	Betty Ware
729682	185996	May
729683	5488	Rona
729683	10871	Trish Collier
729683	195586	Shelly
729683	238169	Rachel Starbird
729684	66388	Brennen's Daughter
729685	113728	Otwa
729686	58814	
729687	318977	Herself
729688	187411	
729690	390523	Tracy Long (1997-2001)
729691	199210	Little One
729692	54350	Harper Lee
729692	66584	Maria
729692	93281	Eva
729692	97441	Sam
729692	99952	Harriet Smith
729692	101001	Claire
729692	109250	
729692	121909	Diane Arbus
729692	122189	May
729692	157499	Sarah
729692	165450	Jane Eyre
729692	167068	Michelle
729692	185790	Jackie
729692	189308	Elizabeth Barry
729692	214755	Agatha
729692	219646	Morvern Callar
729692	243146	Herself
729692	247435	Sara Coleridge
729692	279165	Sarah O'Brien
729692	321126	Hattie
729692	330812	Hazel Stokes
729692	334855	Vicky
729692	343937	Mermaid (video "Electrical St
729692	346156	Iris Kelly
729692	381212	Tracy Richards
729692	391666	Sophia Western
729692	397147	Ruby
729692	405829	Clare Anderson (1991)
729693	94115	Dancer
729694	55852	Serena Double/Nero
729694	399962	Betty Styles
729695	399585	Philippa (1987-1988)
729696	163248	Julia
729697	392069	Nurse
729698	119928	Mrs. Price
729699	270586	Mae
729700	61765	The Children of the Corn
729700	80753	Little Girl
729701	86532	Aunt Martha
729701	358881	
729702	49441	Larry King's Assistant
729703	14653	Lucía
729703	109766	Cliente 2
729703	202576	Lupetta
729703	247879	
729704	309345	Caporeparto
729707	2983	
729708	257354	
729709	576	
729710	147929	
729711	139409	
729712	69845	Miss Prosser
729712	83115	Mrs. Tremaine
729712	116577	WRAC Officer
729712	138659	Miss Chapel
729712	144843	
729712	162200	Annie
729712	183670	
729712	183719	
729712	193581	
729712	210401	
729712	224361	Anne
729712	239750	
729712	257373	Mildred Saunders
729712	342469	Miss Rupert
729712	343194	Miss Meakin
729712	346200	Miss Stevens
729713	301457	
729714	326544	The tickets seller
729715	18137	Eva
729715	90129	
729715	226252	
729715	325395	Uta Pohl
729716	221522	Patrizia
729717	95348	Marisol
729718	380795	
729719	17329	Sara
729720	83558	R.C. Nurse
729721	80296	
729721	193332	
729721	248075	
729722	70063	Senora Torres
729723	3395	
729724	51535	
729724	71002	
729724	115862	
729724	117813	
729724	249907	
729724	336249	La 'Bella Medusa'
729725	65063	Tali
729725	197440	Graciela
729725	220171	Celia de la Serna
729725	233343	Helena
729725	236751	Eugenio
729725	238514	María Elena
729725	266478	Susana de Velmar
729725	294376	
729725	363663	
729725	369999	Herself - Presenter: Best Spa
729725	385403	Chechu
729725	389780	Roxana 'Roxy' Presutti
729725	392805	
729725	401912	
729725	404993	Carla
729726	377173	
729727	14757	
729727	33263	
729727	52962	
729727	58047	Cristina
729727	74559	Carlota
729727	91423	
729727	97374	
729727	131074	
729727	198201	
729727	202179	
729727	221914	Angélica
729727	225390	
729727	229431	
729727	235313	
729727	244608	
729727	281181	
729727	300754	
729727	357909	
729727	371758	
729727	375861	
729727	376813	Tia Doro
729727	377165	Rita Ugalde
729727	380119	
729727	380837	
729727	380901	
729727	383105	
729727	383565	
729727	386205	
729727	386646	
729727	390173	
729727	390816	Elena
729727	396393	
729727	397584	
729727	398812	
729727	400641	
729727	404700	
729727	404806	
729727	405999	
729728	54001	
729729	273121	
729730	148085	
729731	17329	Susy
729732	209532	Princess blanka
729733	110075	
729733	178594	Hubalkova
729733	387925	
729735	293421	Herself
729736	43423	La petite-fille de l'érudit
729736	251527	Angèle Dubois
729736	285754	Anne de Grandcamp
729737	226295	Marouska
729737	242568	Anna Wierook
729738	25159	
729739	375077	Girl in the metro
729740	43625	
729741	104289	
729741	159509	
729741	233490	
729741	353977	
729742	217163	Manzar
729743	387956	Herself
729744	149463	
729744	221142	
729745	239816	Delia
729745	259554	
729745	290723	Kati
729746	259510	
729747	126619	Extra Talent (segment "Gett O
729748	132247	Rolling Hills Dance Team
729749	276359	Jackie Rivers
729750	355828	Violin
729751	362856	Model #1
729752	127992	Lucrezia
729753	219273	
729754	276304	
729754	341357	Chica
729755	51431	Femme à la mairie
729756	288801	
729757	235248	Pilar
729758	68417	
729758	320528	
729759	326536	Amica alla festa
729760	248425	Antonio's wife
729761	158553	Firend of Soraya's
729762	103048	
729762	207032	
729762	269560	
729763	313135	
729764	278925	
729765	58488	Mary
729766	133024	
729767	91080	
729768	200415	
729768	349538	
729769	305829	Herself/Guest
729769	381908	Host (2004-)
729769	389335	Nachrichtensprecherin
729769	391604	
729770	91080	
729770	124201	Caterinetta anziana
729770	205249	
729770	281076	La nonna di Annetta
729771	399816	Tanya Schnolskevitska (1975)
729772	375798	Megabird
729772	395153	Anna Roosevelt
729773	383684	Daniela
729774	235998	Sra. Alegre
729775	290862	Bambina
729776	14393	Mariarosa
729777	396610	Carolina Maia (2000-2001)
729778	309347	
729779	215688	Herself (President of Panama)
729780	139607	DMV Clerk
729781	33732	Mrs. Jenkins
729781	116673	Villiage woman
729781	120506	Queen Victoria
729781	365616	Luther's receptionist
729782	199285	Singer: Cio-Cio San
729783	375159	
729784	194558	
729785	78760	Pregnant Y5
729786	116202	Mildred Parkes
729786	331722	Mary
729787	367617	Michelle @ 8
729787	405248	Herself
729788	102117	Internet Girl
729789	77017	Bos Girlfriend #1
729790	72766	Morgan
729790	318370	In Utero Baby
729791	194753	Girl getting ears pierced
729792	126068	Wife in King Henry VIII sketc
729793	131232	Extra
729794	170980	Matron
729794	204218	Sarah
729794	304341	Newswoman
729795	9889	Gloria
729795	44450	Young Donna's friend
729795	171411	Young Girl #1
729795	244460	Mouse
729795	361248	Mary Ellen Moriarty
729795	407139	Callie Walker
729796	287781	Malibu Mallory Girl
729796	363734	Sgt. Tessa Baines
729797	11259	Herself
729797	161258	Herself
729798	14649	
729799	46374	Young Woman Apostle
729799	162427	Pretty Girl
729799	224227	Lounge Hostess
729799	360797	Scallop/Missy Turtle
729800	18811	
729801	11124	Bar Patron
729802	174463	
729802	229927	
729802	285021	Marina
729802	301897	
729802	311766	
729802	394620	Matilda
729803	287210	Older Doris
729805	317527	Registrar
729806	281941	
729807	389858	Lori (1987)
729808	232494	
729808	290697	Adriana
729809	90074	Donna Anna
729810	352217	
729811	381821	Ensemble (1979-1981)
729813	218069	
729814	265092	French frontier policewoman
729814	368717	Eva
729815	344652	Pro-Jesus Interviewee
729816	64070	Ensemble
729816	329952	Mrs. Babcock
729816	386603	Dr. Elizabeth Hayes (1963-196
729817	313824	
729818	104621	
729818	382503	Heike
729818	388457	Annekäthi Tobler
729819	187323	Girl
729819	214859	
729819	269840	Yvette
729820	38410	Architecture Being
729821	167709	Jenny
729821	405500	Marita Rösler
729822	23111	
729822	170670	
729823	392997	Bauernmädel
729824	218915	
729825	24790	Nellie as a Young Woman
729826	16796	Herself/Angela's Friend
729827	146737	Fiona
729828	389858	Lesley Lu 'Lulu' Spencer #2 (
729829	46270	TV Host/Announcer
729829	164473	Una O'Connor
729830	65146	
729831	38746	
729831	38747	
729831	130056	Mrs. Cushinberry/Her Daughter
729831	131221	
729831	327584	Helen Ware
729831	346359	Evelyn Martin
729832	112980	Herself
729833	4919	Motel Owner
729834	296100	Woman at beach
729835	37106	Evelyn Hollingsworth
729835	41933	Robyn
729836	224106	The Talent Show - Baby Boy
729837	283291	
729838	63028	Voice
729838	378829	Lisa (1980)
729839	289492	Louise Howard
729840	389858	Lesley Lu 'Lulu' Spencer #2 (
729841	253338	Susan Taylor
729842	99829	Danita
729843	254523	Back-Up Singer
729844	249038	
729845	44439	Lauren
729845	73900	
729845	76217	Ambassador's Daughter
729845	89056	Rose
729845	148200	Tracy
729845	148203	Tracy McCallister
729845	178175	Julianna
729845	252959	Lady #3
729845	309197	Megan
729845	328127	Linda
729845	330409	Kid in Laundromat
729845	381471	Phoebe (1995-1996)
729845	403949	Nikki Watson
729845	405493	Dot (1997-1998)
729847	46507	Madeline
729847	161927	Claire
729847	176831	Dottie
729847	199999	Maria Paradiso
729847	368842	Mrs. Masters
729848	32365	News anchor person
729849	149439	Josephine
729849	274167	Mrs. bains
729849	368719	Diane
729850	119585	Arrested Student
729851	51362	Ragazza in Mercedes
729851	396649	Margherita
729851	399657	Herself (1993-1994)
729852	95471	Sam
729852	156593	Angja/Mother
729853	411509	Herself - Weatherwoman (1998-
729854	179458	
729854	249411	Theodouli Karafotia
729854	394603	Doctor's wife
729854	410239	
729855	20348	Susi Sachs
729855	20430	
729855	54737	Vera Hart
729855	75763	Hete Fent
729855	93603	Lucie Dreyfus
729855	110983	Charlotte Burthe
729855	114970	
729855	119192	
729855	125173	
729855	134837	Herself
729855	213597	Alice Adelsskjold
729855	218932	
729855	219342	Großmutter
729855	263753	
729855	371960	Barbara
729856	225633	
729856	226246	Anna, the Maid
729857	312739	Sophie
729858	10017	
729859	169979	Nancy Card
729860	228048	Deborah
729861	220968	Andrea Walker
729862	51895	
729863	297233	Bad Heterosexuals
729864	155890	Nurse June (segment "1961")
729864	158825	Lois, WOMB member
729864	163625	Engagement Party Guest #1
729864	194963	Receptionist
729864	354164	Sr. Flight Attendant
729864	360713	Frieda
729865	113886	Princess #10
729866	54214	Lindiwe Daraza
729866	177120	Kata
729866	177701	Aida
729866	194020	Christine
729866	263566	Francina
729866	392244	Odette
729866	404943	Dr. Thabile Nkabinde (2000-20
729867	393971	Dineo Mbatha
729868	172061	
729868	172210	
729868	173324	
729868	180553	
729868	182446	
729868	213694	
729868	248695	
729868	259882	
729868	265961	
729868	379618	
729868	387348	Souzi
729869	60489	
729869	74277	Videoclub Employee
729869	172683	Lambrini
729870	168048	Mrs. Sylvester (bit)
729871	359202	Red Cross worker
729872	203957	Ndlova
729873	59858	Waitress
729874	49878	Mrs. Cooper
729874	143824	Susan
729874	218219	Additional Voices
729874	252865	Mrs. Sanders
729874	333861	Johanna Stunke
729874	362453	Woman at Lunch Counter
729874	366954	Annie O'Neal
729874	382419	Tracy Peters (1992-1993)
729875	61519	
729875	194020	Marie
729876	15003	
729876	122393	
729877	7598	
729878	169822	
729878	179851	Kucepaziteljica
729879	254845	Sister in the Dark
729880	319181	Herself
729881	180450	Professor Marina
729882	91205	
729883	179667	
729884	352447	
729885	356481	
729886	271520	Herself - Vocal ensemble Raja
729886	329318	Herself - Vocal ensemble Raja
729887	229865	Drunk Girl
729888	48792	
729889	56606	Red Queen Girl
729890	20713	Mujer
729891	294659	Herself
729892	110911	Asa's Mother
729893	220003	Mrs. Apfelbaum
729894	196370	Premiere Guest
729895	185365	Villager
729895	391558	Doctor
729896	296808	Kim Diamond
729897	53284	Cheerleader #9
729898	53284	Tiffany
729899	53284	Wet T-Shirt Contestant
729900	88447	
729901	343979	
729902	90209	Sanchina
729903	384206	Herself
729904	310303	Buck-Tooth Jen
729905	375508	Nurse
729906	89586	Dolemite Girl
729907	252894	Little Girl
729908	1208	Marion
729908	37708	Aina
729908	99415	Cecilie Kornes
729908	237578	Eva
729908	317298	
729909	389130	
729910	140909	Isa
729910	355980	Loretta Lynch
729911	14760	Vaccine Woman
729911	160870	
729912	5122	3rd Lennox-Sister
729912	103237	Maria, a Student
729912	295470	Miss Rowan
729913	401881	Herself (Finalist)
729915	113646	Go-go
729916	398482	Peluca
729917	189480	Ruth
729918	379002	Hostess
729919	401884	Herself/Escarcha Member
729920	309347	
729921	15247	European princess
729921	199120	
729922	145239	
729923	11077	
729923	11287	
729923	11318	
729923	18515	
729923	18555	
729923	21300	Kansas
729923	22981	
729923	32724	
729923	37073	
729923	37209	
729923	37640	
729923	39288	Sally
729923	41517	
729923	41951	
729923	45211	
729923	48512	
729923	52095	
729923	52342	
729923	52400	
729923	52547	
729923	54529	
729923	56272	
729923	72286	School teacher
729923	88654	
729923	88665	
729923	90369	
729923	100124	Herself (with Lee De Forest)
729923	124935	
729923	130432	Their daughter
729923	131353	Chouchou Rouselle
729923	144769	
729923	149390	
729923	153279	
729923	153283	Homeowner's wife
729923	162546	
729923	163436	The Girl
729923	169618	
729923	171258	
729923	184990	Raquel
729923	193831	
729923	193832	
729923	193836	
729923	193839	
729923	196301	
729923	197249	
729923	220333	Show Girl
729923	230730	
729923	233868	
729923	251210	
729923	261481	
729923	289029	Wife
729923	295447	Madame Gobin
729923	299883	Cashier
729923	307283	
729923	315323	
729923	333653	
729923	336806	
729923	337366	Hawaiian Hairdresser
729923	342879	Sarah Miller
729923	343190	Molly Wingate
729923	345712	
729923	358271	
729923	360442	
729923	370900	
729924	65683	
729925	13978	Skinhead Girlfriend
729925	24432	Dancer
729925	152293	Girlfriend
729925	165958	Superstar #3
729925	190220	Zena
729925	198831	Dishwashing Girl
729925	215500	Miss Nevada
729925	251691	Supermodel #2
729925	284929	Amanda
729926	346314	Waitress
729927	144660	Model #1
729928	173467	Victim 1
729929	263786	Schoolgirl
729930	10047	
729930	10245	
729930	14813	
729930	18975	
729930	20856	
729930	30396	
729930	35008	
729930	54331	
729930	57867	
729930	68596	
729930	69781	Candy
729930	71113	Amanda
729930	73514	
729930	83142	
729930	83756	
729930	89927	
729930	91408	
729930	100931	
729930	113227	
729930	140578	
729930	143763	Angela Molina, madre de Hilda
729930	146507	
729930	148033	
729930	148057	Campesina rubia
729930	148086	
729930	148129	
729930	158728	
729930	161771	Frau Hildegarde
729930	210172	
729930	211295	
729930	212523	
729930	222011	
729930	222027	
729930	233949	
729930	246396	Carlota
729930	247174	
729930	253416	
729930	273848	
729930	279824	
729930	280900	
729930	281181	
729930	294858	
729930	332676	
729930	339159	
729930	350260	Frau Hildegarde
729930	351919	
729930	353552	
729930	371709	
729930	376653	
729930	377165	Leonora
729930	377175	
729930	379446	
729930	379834	
729930	380080	Sara
729930	380084	Victoria
729930	381604	
729930	384573	
729930	384987	
729930	385415	
729930	386504	Simona
729930	387587	
729930	387935	
729930	388096	
729930	389429	
729930	391638	
729930	392749	
729930	393801	Raquel
729930	397016	Carlota
729930	397204	Hotrensia
729930	397573	
729930	398457	
729930	398663	
729930	399406	
729930	400718	Catalina
729930	400860	Tía Brígida
729930	401696	
729930	402052	
729930	402059	Eduarda
729930	403048	
729930	404705	
729930	404706	
729931	330375	
729932	211529	Foster's Fiancee
729932	280111	Mother
729933	1723	Herself
729933	2818	Herself
729933	17280	Trinity (segments "Kid's Stor
729933	62460	Caroline Clairmont
729933	63432	Jerri Falls
729933	84364	Trinity
729933	90943	
729933	101704	Trinity
729933	115110	Meredith Neal
729933	176400	Trinity
729933	188505	Melissa Wilkins
729933	201516	Herself
729933	207989	Trinity
729933	207990	Herself
729933	207991	Trinity
729933	207992	Trinity
729933	210511	Natalie
729933	215880	Leah Quint
729933	230533	Leigh
729933	274241	Cmdr. Kate Bowman
729933	284907	Louise Castle
729933	292450	Madge Clerisy
729933	304717	Girlfriend
729933	307003	Jane Tanner
729933	320266	Fran Kulok
729933	328495	Tracy
729933	388154	Lucinda Scott (1996-1997)
729933	397121	Liz Teel
729933	398015	Carrie Spencer (1994-1995)
729934	260136	Debutante
729935	48939	The Travel Agent
729936	106647	Lasette
729938	176713	Miss Helena
729939	337107	Mrs. O'Brien
729940	16847	Little Turcott
729940	18635	Rachel
729940	27226	Robin
729940	39004	Paulie Schaffer
729940	96770	Mindy
729940	103345	Anna
729940	120807	Holly
729940	128583	Polly 'Torch' Clark
729940	136510	Baby Louise
729940	141236	Robin Walters
729940	156851	Greta Weiler
729940	159010	Herself
729940	163633	
729940	169679	Jodi
729940	185690	Jenny Tyler
729940	213276	Christina
729940	215813	Anne
729940	222292	Katie Brockett
729940	227502	Early Teen Ashley Judd
729940	241107	Michelle
729940	294509	Ronni Beckwith
729940	311262	Kelly
729940	317916	Little Girl
729940	327592	Wind/Morgan
729940	331178	Linda
729940	355014	Jessie Reynolds
729940	361626	Cherise
729940	396145	Lucky - Age 6
729940	401414	Cynthia Parks (1992-1993)
729940	410835	Zoey Bartlet (1999-2000, 2002
729941	64563	Herself
729942	205317	Lynn Peyser
729942	248161	Nun
729942	310563	Lydia Berdon
729942	363262	Tanya
729943	273429	Herself/Boston
729943	273434	
729943	273436	Hostess
729943	402993	Herself/Boston (1997)
729943	402996	Women/Real World
729944	245725	Girl
729945	124128	Wedding Friend
729945	270910	Chorus Dancer
729946	72931	Goodyear Chorus Girl
729947	386518	WPC 'Barney' Barnes (1962)
729948	189993	Herself
729948	192567	Jill
729948	367854	Lucille Hewitt
729948	385020	Lucille Hewitt (1960-1974)
729949	244410	
729950	115460	Becky Patterson
729951	365947	Herself
729952	194663	Terri
729953	81343	Louise O'Brien
729954	105145	Mom
729955	181276	Karen
729956	1462	Herself
729956	22617	Herself
729956	32146	Herself
729956	40056	Maid Marian/Queen Marian
729956	57061	Herself
729956	109398	Herself
729956	159482	
729956	243570	Herself
729956	290829	Herself
729956	348106	Herself
729956	360426	Herself
729957	155453	Dancing Secretary
729957	177451	Midwife
729959	241369	Jane
729960	248086	Libby
729961	347308	Jaliya Wright
729962	81192	Letta
729962	380391	Amanda Cory Fowler Harrison S
729963	378496	
729964	350182	Clan Member
729965	245989	
729966	119508	Lady in Disco #1
729966	147897	Customer
729967	32997	Beth
729967	45540	
729968	59127	Nanny
729968	70407	
729969	120696	Front Seat
729970	209095	Holly and Marina's child
729971	24137	Noreen
729971	53323	Ashley
729971	128085	Barn Girl #2
729971	176831	Wendy
729971	222686	Sally McGrath
729971	223894	Jenna Sumner
729971	233829	Donna Fowler
729971	264427	
729971	271961	Rickie Lee
729971	299722	The Girl
729971	316209	Jill Young
729971	317333	Nina
729971	381811	Tara Marks (1996)
729971	392130	Olivia
729971	393098	Maddy O'Neil
729972	232630	Debbie/Clothing Store Custome
729973	63779	La réceptionniste TV12
729973	68380	Charlotte
729973	71818	Ghislaine
729973	96395	Louisette Blond
729973	103203	Suzy
729973	107835	
729973	209944	Production assistant
729973	213520	Josiane
729973	217669	
729973	232628	Serveuse salon de thé
729973	280561	La manucure
729973	309773	Ruth
729973	327293	La serveuse de l'auberge
729974	151109	Freshman girl #1
729975	362597	Other Special Extra
729976	11902	
729977	144347	Newscaster #2
729977	360734	Angry Neighbor
729978	80825	Lila Lancer
729979	276077	Catherine
729979	347455	
729980	984	Roxanne
729980	16710	Bernice
729980	36862	Girl in Class
729980	56384	Holly Jollimore
729980	67377	Maggie Sipes
729980	135608	Faith
729980	160564	Penny
729980	192413	Minnie Kirk
729980	194212	Girl with Puppy
729980	240328	Little Girl
729980	291777	Amanda
729980	308004	Andrea
729980	326479	Marcie
729980	340929	Kimberley
729980	353749	Emily Wilson
729980	405027	Lady Zera
729980	411800	
729981	114699	Lois
729981	142716	Rosemary LaBianca
729982	304787	Embassy Guest
729983	397137	Amélie
729984	280038	
729985	37000	Lisa
729985	255014	Orange the Mistress
729985	353619	
729986	32383	Host TV show Nyhetsmorgon
729987	169894	Junior Barrister
729988	71840	
729988	127632	
729989	77676	Professional Latin Dance Fina
729990	213430	Kassörska
729990	394940	Linnea
729991	4830	Liane
729991	10653	
729991	79585	Maike
729991	120046	
729991	178849	Silke
729991	180913	Krankenschwester
729991	216865	
729991	226251	
729991	239119	
729991	293617	
729991	296198	Sophie
729992	205531	
729993	376914	L'ouvreuse du cinéma
729994	89288	Gov. Elizabeth Dalton
729995	208501	Aerobic dancer
729996	133390	
729997	84829	Sylvia Plath
729998	272979	Dancer
729999	405415	
730000	328866	Carlos' Girlfriend
730001	78941	Bennini's Girlfriend #1
730002	309967	
730003	100458	
730004	19873	Herself
730004	64951	Mademoiselle Bismuth
730004	100981	
730004	112855	Miss Memory
730004	116719	Trippetta
730004	225420	Une Lilliputienne
730004	240267	
730004	321458	Marcel's Daughter
730004	401988	
730005	137626	Mary Ann
730005	235518	Italian Maid
730005	362169	Italian Girl
730006	314665	
730007	251529	Jessica
730008	175910	Ne'ma
730009	213279	Nahed
730009	396594	Salwa
730010	56108	Luisa
730011	57832	
730012	13078	Otto's girlfriend
730012	85963	Blanca
730012	252534	Bea
730012	261839	Tina
730012	336425	Pam
730012	341780	Sandra
730012	384202	Lucrecia Nabor
730012	391015	Pepa
730012	397606	Candela
730012	399505	Laura Vilalta
730013	978	
730014	276160	Russian Agent
730015	266120	Flute player
730016	345555	Soraya
730018	316225	Group Therapy Women
730018	336933	
730019	148430	Nurse
730020	204469	Vivian
730020	407119	Randi (Sverre fiance)
730021	187631	
730022	34903	Herself
730022	68103	Herself (Vet)
730022	68110	Herself
730022	360269	Herself
730022	410020	Herself
730022	410021	Herself
730022	410022	Herself
730022	410023	Presenter
730022	410024	Herself
730023	101991	
730024	389876	Josepha Hofer
730025	322393	
730026	75764	
730027	28510	Madame Marsan
730027	43673	
730027	71141	La patiente radio
730027	86727	Surveillante du collège
730027	107743	Calais Girl
730027	200902	Mauricette
730027	217827	Recorder
730027	217829	Josiane
730027	232931	La Vendeuse de vétements
730027	261836	
730027	264451	Mme Pacot
730027	321284	Ruth
730027	337138	
730027	352635	Mme Estevez
730027	353824	La dame en vert
730027	382188	La concierge
730027	400698	Une femme dans un gâteau
730028	243509	The Bolivian Student
730029	160416	Dreamgirl Voice (segment "The
730030	128974	
730031	397011	Ximena
730031	401896	
730032	341133	
730033	30275	
730034	30513	
730034	197155	
730035	143553	
730036	14929	
730036	45376	
730036	52966	
730036	71002	
730037	400095	Vanessa vasconcelos
730038	344865	
730039	344719	Amélia
730039	382520	
730039	387731	
730039	396882	
730039	396888	Marina
730039	409416	Marina Montoya
730040	162204	Maria
730041	313952	Girlfriend
730041	393351	
730042	380154	
730042	383130	
730043	277585	Maria
730045	212162	
730046	338162	Baillarina
730047	29731	Yoshiko
730047	148832	Matsue Matsuura
730047	176633	Hashimoto
730047	177122	Lawyer Ichijo
730047	231308	
730047	237591	
730047	251929	Michi Horikoshi
730047	321330	Yoshie Yamamura
730047	322418	
730047	370419	Tamiko Kawazoe
730047	406874	Mama-san
730048	335795	
730049	106680	Mina
730049	137995	Shirin
730049	148831	Simin
730049	219651	
730049	277414	
730049	283695	Nobar
730049	285258	Pari
730049	370995	
730050	15799	Didi
730050	109503	
730050	346596	
730051	86919	Rurari
730052	77145	Herself
730053	43376	Undetermined Role
730053	116174	The Carioca Singer
730053	130622	Forgotten Man singer
730054	389868	Khensani Moroka (1999-2004)
730055	389868	Tsego Motene (2000-2004)
730056	363886	Lily Lester
730057	254851	
730059	3805	Herself
730059	110519	Aunt Cora
730059	142431	Herself
730059	219989	Herself
730059	308046	Herself
730060	124096	Melanie
730061	280263	Visiting Kids
730062	23210	The Maid
730062	38834	
730062	58590	Savitri
730062	108602	
730062	140005	
730062	141481	Pippin's Mammy
730062	172559	
730062	181626	Mumtaz
730062	192141	Corbina
730062	217336	
730062	271000	Julia
730062	313346	Belinda, Maid
730062	318529	
730062	351125	Kanchanmala
730062	364204	Bessie
730063	323721	Child
730064	280247	Performers
730064	323721	Child
730065	81533	Secretary
730065	107144	Puzzles' Secretary
730065	132914	Nurse 2
730065	178175	Woman Driver #1
730065	217583	Reporter
730065	242866	The Cop
730065	280298	Fundraiser
730065	367581	Home Buying Wife
730066	190854	Karen
730067	366027	Theodore Simons
730068	118677	Mrs. Winderman
730069	366027	Nurse #2
730070	163699	donna ungherese
730071	272643	Member of drama company 'Quel
730072	97155	Grandmother
730072	147303	Grandmother
730072	148803	Grandmother
730072	164257	Sida
730072	171534	Neighbour
730072	179897	
730072	205383	Lunch-woman
730072	283977	Muckova
730072	351381	Tony
730072	357437	Penzioner
730072	375953	
730072	376604	Postwoman
730072	399142	Ema
730072	411960	
730073	87118	Receptionist
730073	377586	Anemarie
730073	404851	
730074	232610	Masuno's mother
730075	313	
730075	82855	Natsumi Shinohara/Yellow Race
730075	125249	Natsumi Shinohara/Yellow Race
730075	389836	Natsumi Shinohara/Yellow Race
730076	54891	Naoko Yanagisawa
730076	383459	Naoko Yanagisawa
730076	405278	Yûko Ôse/Schoolgirl
730077	119626	Astronette
730078	66917	Girl on Guard
730079	172605	Darren's Mother
730080	20625	Extra
730081	97247	Tourist
730082	357346	
730083	285456	
730083	285457	
730083	285458	
730083	285459	
730084	232517	Tokuko
730084	287531	
730084	379478	Mother Tami
730085	285459	
730086	284479	
730087	163729	Les comédiens-mimes
730088	384743	Herself/Panelist
730088	400149	Herself (2004-)
730089	393032	Letti Matabane
730090	94097	Florence Nxumalo
730090	145170	Grace
730090	203957	Zindri
730090	381567	
730090	389868	
730091	10502	Pointer Sister
730092	124549	
730093	151634	Tom's Secretary
730094	126068	Sally
730095	80037	Celeste
730096	355091	Ponytail Girl #1
730097	157324	St. Jude Student
730098	208501	Aerobic dancer
730099	241285	Lucy
730100	364965	
730101	147974	Hutterite Unmarried Young Lad
730102	130053	Percy Smallwood
730103	106266	Jennifer
730104	66864	Marta
730105	3306	Herself
730105	47433	Woman at Carwash
730105	87480	Aerobics Instructor
730105	328285	Ginger Ventura
730105	372264	Judith Margolis
730105	378966	
730105	399257	Rita the Waitress
730106	57981	Prostituta
730106	382684	Marta
730106	396718	Leopoldina
730107	322403	
730108	309961	Señora Velázquez
730108	335915	
730108	353243	
730108	353290	
730108	384644	Herself (2000-2004)
730109	170092	Enfermera
730110	151237	Mulher de Inácio
730110	287266	
730111	380196	Correio Carioca's reporter
730111	386123	Olivia
730111	395302	Liza
730112	386701	
730113	55112	
730114	205512	
730115	344865	
730116	120717	Ofelia
730117	17386	Malu
730117	28861	
730117	66222	
730117	70742	
730117	73655	Angry restaurant client
730117	86050	Dalila
730117	99664	(segment "Transplante de Mãe"
730117	118088	
730117	169808	
730117	211876	Cruz Guaregua, mestizos's mot
730117	227864	Herself
730117	228141	Maria Elisa
730117	243390	Conceição
730117	244958	
730117	248303	
730117	258737	
730117	264468	Rita
730117	269902	Dandara
730117	271276	
730117	288830	Miguel's Mother
730117	308754	
730117	328326	
730117	328866	Eduarda
730117	332732	Carmosina
730117	341470	Zezé
730117	344811	
730117	349722	
730117	355832	
730117	369730	Xica da Silva
730117	377095	
730117	379823	
730117	381583	Nadir
730117	381773	Zezé
730117	384117	Conceição
730117	385023	Sônia Nascimento Rangel
730117	385024	Liana
730117	387052	Jandira
730117	387838	Irene
730117	391313	Malvina
730117	394121	Lulu Kelly
730117	397409	Rubina
730117	397522	Prazeres da Anunciação
730117	398817	Ialorixá
730117	400656	Maria
730117	401010	
730117	401944	Ricardina
730117	402371	Fátima Noronha
730117	407024	Doralice
730117	408727	Dorinha
730117	411585	Maria
730118	9653	
730119	353926	Sandrine
730120	36648	Marie
730120	384746	
730121	43757	Une fille (segment "Bons viva
730121	217704	Madame Fata
730121	219257	Yael
730122	186897	Baustellen-Chor/Construction 
730123	379831	Christy Barrigan (1991)
730124	188334	Allison
730125	254851	
730126	15112	
730126	17090	Teenager
730126	219524	
730126	254398	
730126	353516	Young French girl
730127	11545	Aunt Louisa
730128	100539	Herself
730128	245259	
730128	352837	
730129	145607	Margits Mutter
730129	164830	
730129	164905	
730129	198533	
730129	260414	Witwe Klingelmeier
730129	342588	Evi's Oma
730129	404422	Frau Meusel
730130	291503	Pam
730130	411090	Bella O'Reilly
730131	286880	Débora Niña
730131	352853	
730132	10635	Coroner
730132	190369	
730132	246695	Ada
730132	252983	Nurse
730132	271315	Gayle Hutton
730132	369910	Teacher
730132	382262	Sgt. Barratt
730132	394340	
730133	283496	Young Kath
730134	315919	Waitress/Bartender
730135	283496	Young Kath
730136	287990	
730136	407322	Gio
730137	241160	Matawai
730137	263500	Auntie
730138	36864	Passenger
730138	155562	
730138	310503	Jeff Connors
730139	164284	Shruti
730139	179393	The super six
730140	149243	Anicka
730141	129833	
730141	384758	
730141	392615	Stefanie
730142	369156	Wonny
730143	64402	Japanese Woman
730143	232716	
730145	340681	Fille 2
730146	184353	
730147	269693	Madame Capolongo
730147	396806	Irène
730148	1293	Hélène
730148	64449	Waitress
730148	94867	Laure Jarriq
730148	96141	
730148	96190	Irène Seban
730148	183242	
730148	247977	Francine
730148	340149	Carole
730149	40264	Henriette
730149	43758	Eugénie
730149	78408	(Voice)
730149	84222	Fernande
730149	94329	Catherine
730149	99364	Patricia
730149	106205	La psy
730149	113216	Attachée parlementaire
730149	151892	La comptable
730149	164167	Inspector Woland
730149	198605	Lucie
730149	219605	The maths teacher
730149	254154	Anne
730149	257371	
730149	260785	Olivia Rochet
730149	275862	Alice, the chambermaid
730149	283031	Lena
730149	300670	Isabelle Antide
730149	332198	Thérèse
730149	377707	
730149	393279	Meg Whiteoak
730150	105853	Gouvernante
730151	244759	Cendrillon
730152	233346	Chica negra del centro
730153	291652	Iben 7år
730154	95601	Tlumocnice
730155	2361	
730155	87961	
730156	129900	Nicole
730157	2324	Samira
730157	25786	
730157	48176	Copine de Malika
730157	58232	Mme Bardouze
730157	71950	
730157	249678	(segment Pimprenelle)
730157	256073	
730157	384288	Nadia Bachir
730158	278395	
730160	353907	Hôtesse hôpital
730161	165564	Lili
730161	365574	Melissa
730162	17491	Susi
730163	197718	Abe's Daughter
730164	197718	Abe's Daughter
730165	19471	Woman at Church
730166	234524	
730167	217223	Schoolgirl
730168	271372	Une infirmière
730169	11017	Joy
730169	19337	Milena
730169	54652	Isabelle
730169	80183	Infirmière
730169	100361	Ophélie
730169	195211	Mai
730169	202089	La femme
730169	211366	Jeanne Pollet
730169	236042	Irène
730169	281108	Patrizia
730169	284360	Herself
730169	309402	Milla
730169	328273	Claire
730169	353911	Melania
730170	122871	
730171	167874	L'infirmière d'accueil
730172	51431	La secrétaire humanitaire
730173	254170	Vendeuse électro-ménager
730174	360653	
730175	201011	Woman with the skin stain
730176	6240	Samira Fouad
730176	181922	
730177	15061	La dame au tricot
730177	15079	La mère de Nicole
730177	57284	
730177	101249	Natasha
730177	111018	Christine
730177	166349	Isabelle Romée
730177	190910	Lily's mother
730177	215102	Germaine
730177	228944	Mme Séverin
730177	379595	Marusjka
730177	402103	La femme de César
730178	102091	
730178	341245	
730178	350587	
730178	379405	Maria
730178	380434	
730178	380812	
730178	405566	
730179	205628	
730180	72886	The Dancer
730181	44060	Françoise
730181	382513	Françoise
730182	391769	Sally Friel
730183	236890	Marcus Washington
730184	4822	Mrs. Miller
730184	5168	Ed's Aunt
730184	78122	
730184	245214	
730184	255360	Lydia Burton
730184	283084	Doris
730184	346228	Mrs. Chalmers
730185	5025	Probation Officer
730185	26457	Danielle
730185	41471	Bernadette Devlin
730185	65448	Woman
730185	65450	Woman
730185	134083	Daughter
730185	304818	Girlfriend
730186	326201	Lisa
730187	310198	Girl
730188	30353	Mme Hortense
730189	308311	
730191	346421	Cécile
730192	370420	Bourgeoise
730193	272614	The girl in the rain
730194	122414	Jeanne
730195	146387	
730196	85552	Sylvie
730197	63640	Une cliente
730198	234270	Enfant de l'asile
730199	7473	Marie Seznec
730200	53842	Léa
730201	211809	Laura
730201	332197	
730201	340179	
730201	345556	Valérie Leroy
730201	366067	Sophie
730201	377013	
730202	206731	Mother
730203	328258	Ice Cream Fight
730204	166746	Student
730205	6624	Moala
730206	167049	Mary Magnum
730207	220809	Colleen Mitchell
730208	358564	Sherry Belden
730209	25479	Lady Fabian
730209	37214	Michael
730209	98151	
730209	100156	Marion, Anderson's Receptioni
730209	106011	Miss Lippincott
730209	149384	
730209	163267	Englishwoman
730209	190065	Eve Freed
730209	216925	Nita Blake
730209	302887	Florence Nelson
730209	327872	An actress
730210	105248	Stenographer
730211	315569	Annie
730211	381070	Laura Riddle
730211	390248	Louise Cole
730212	68080	Herself
730213	161964	Anne-Marie
730213	377618	Alicia
730214	288690	
730215	182949	Soeur africaine
730216	380383	Penny
730217	136945	Nabokone
730218	23685	
730219	50350	
730219	208454	
730220	50153	
730220	57008	
730220	97763	
730220	98871	
730220	327782	
730220	334782	
730221	50351	
730222	212844	
730223	161627	
730224	231553	Kamermeisje
730225	23750	Madame Maupin
730225	24732	
730225	161993	
730225	203948	
730225	225369	
730225	225470	Mme. Fleuron
730225	281135	
730225	345027	La baronne
730226	66075	
730227	2252	(segment "Discussion sur le p
730227	8616	Mme Gabai
730227	19199	Camera Shop Owner
730227	40638	
730227	43004	
730227	52089	
730227	64949	Journaliste pipelette 1
730227	65167	Géraldine
730227	84593	Anne
730227	86727	Prof de gym 1
730227	87151	
730227	94312	L'ergothérapeute
730227	120979	Femme de Jacques
730227	157662	Laurence
730227	166097	Cathy
730227	167248	
730227	168827	Journaliste
730227	211156	
730227	218077	Gabrielle
730227	240601	Sylviane
730227	246470	Thérèse
730227	248416	La mère
730227	274803	Rebecca
730227	279820	Cathy
730227	284269	
730227	288696	
730227	291584	(segment "Cake")
730227	319824	Sophie Merlan
730227	333759	Fabienne
730227	336936	
730227	337833	
730227	338593	Madame Gaubert
730227	352635	Femme 'faux-cul'
730227	377069	(segment "Welcome")
730227	387657	Mikaëla Schwabb
730227	388689	Mme Villemarine
730227	390861	Clara Saulnier
730227	401756	Pascale
730228	249072	(segment 2)
730229	169358	Herself
730230	303410	Swathi
730230	409277	Herself/Panelist ("Santé")
730231	13614	Amelia
730232	17132	Sor Gracia
730233	257720	
730234	94201	Sgt. Fire
730234	99753	Mrs. Larkin
730234	113479	Mrs. Bragg
730234	150616	Angelique Boniface
730234	159881	Ada Larkin
730234	183438	Mrs. Cragg
730234	227022	Flora Ransom
730234	240030	Widow Corney
730234	241817	Mrs. Gantry
730234	264135	
730234	285638	Emma Hornett
730234	313607	Opinionated Alice
730234	322601	Mumsy Bag
730234	379704	Aunt Fanny (1990)
730234	389908	Gabrielle Dragon
730234	393622	Virginia Browne
730234	395136	Ada Larkins
730234	395915	Maggie Robinson (Lollipop)
730234	411252	Martha
730234	411794	Flora Petty
730235	301678	Hospital Staff
730237	99075	Brittany
730238	257511	Helen
730239	341946	Jenny, as a child
730240	396675	
730241	394713	
730242	395090	Dezzy
730243	3696	
730243	210791	Herself
730243	383801	Herself
730243	395981	Herself
730244	410000	Emcee (1951)
730245	395981	
730246	395981	
730247	80943	Rich's Mother
730248	176713	Red-Head Entering Shop
730249	222878	Avril Young
730249	263795	Police Doctor
730249	299040	TV presenter
730249	352682	Blodwyn, Minge
730249	391759	Keri McGrath: Paediatric Outr
730249	393208	Suzanne Pryce
730249	404698	Carol
730250	61843	
730250	275407	Trudy
730251	62948	Christine
730253	216234	Thernardier's Child
730253	372232	Warden's Eight Year Old Daugh
730254	187222	Hagen Girl
730256	214808	Une mangeuse de petit-beurres
730258	59118	Mona Mour
730258	60030	
730258	112835	Mona
730259	70903	Flávia
730261	400584	
730262	385947	
730263	188002	
730264	205163	
730265	9340	Isabela
730266	391609	Nini
730267	241244	Hooker #1
730268	389786	Adriana Coutinho
730269	166376	
730269	233841	
730270	396610	Juju (1998)
730271	14943	Carlos' secretary
730272	411585	
730273	260039	
730274	409412	
730275	58710	
730275	226454	
730276	53165	
730277	205529	
730277	282814	
730277	328365	
730278	205512	
730278	322386	
730278	344706	
730279	119622	News Reporter
730279	167068	ICU Nurse
730279	196370	Cindy, Elizabeth's Agent
730280	78637	
730280	127031	Laila
730280	140433	
730280	184028	
730280	187575	
730280	187580	
730280	187582	
730280	187583	
730280	289280	
730280	296718	
730280	300441	
730280	359372	
730280	370296	
730281	323245	
730282	390599	
730283	134564	Herself - contestant
730283	352877	Zuster Rita
730283	379172	Herself/Presenter (2003-????)
730283	394202	Herself/Presenter
730283	412094	Herself
730284	245337	Classroom student
730285	282781	Pierre
730286	57878	Actriz Porno 2
730287	58804	
730287	252109	
730287	339147	
730287	380077	Miryam de Guerrero
730287	385069	
730287	403126	Laura and Felipe's Mother
730287	412124	Letty de Ferragamo
730288	198829	Mars Mother
730289	20916	Adèle (child)
730289	41446	Petite fille blonde
730289	235878	Fille d'Alexis 2
730289	369996	Herself - Presenter: Best Eur
730290	235878	Fille d'Alexis 1
730291	8366	Sister Luke
730291	42913	Assistant to Dr. Surprise
730292	235038	Tony
730293	146954	
730293	246230	Mimi
730294	199587	Mrs. Winawer
730295	388713	Hristina Margari
730295	409862	Jenny
730296	268448	Momo's mother
730297	84637	Sephora Bénazer
730298	104212	Le déléguée de l'évêché
730299	345539	Dancer
730300	24432	Go-Go Dancer #2
730301	109134	Patient
730302	93979	
730303	379856	
730303	386354	Iro
730303	397613	
730303	406690	
730303	407739	Katia
730304	18814	Lainie
730305	390242	Marieke Vollaards
730306	212334	Herself - Back-up Jury Member
730306	214367	Pusle
730306	214368	Pusle
730306	214369	Pusle
730306	381605	Bella
730307	50977	Barba's mother
730308	153804	Madame Costecalde
730309	16195	
730309	27756	
730309	34582	Monika
730309	64754	
730309	65987	A reader
730309	91536	Helena
730309	93847	
730309	165061	Ruzena/Rozmarýna
730309	180614	Marie Bínová
730309	180673	Miluska
730309	181253	
730309	200938	Lucille
730309	227602	
730309	229756	Secretary
730309	230032	Zuzana
730309	265139	Marie
730309	265233	Guest
730309	266425	Eva
730309	267951	Servant girl
730309	295066	Zuzka
730309	304455	Waitress Zela
730309	323927	
730309	357684	Vendulka
730309	373755	Bozenka
730309	374244	Zikmundova
730309	402368	Paterková
730309	407278	Vera Komárková
730310	2107	Marie N° 1
730311	345326	
730312	204632	
730313	23160	
730313	136488	Stella
730313	210281	The girl
730313	212035	Alexandre's Friend
730313	274799	
730313	356094	
730313	386408	
730313	388229	
730313	395090	Mrs. Drakou/Christina Levendi
730314	102834	Herself (model/singer)
730314	376687	Marlene
730314	390450	Herself
730314	390670	Herself
730314	399365	
730314	399579	Host
730314	404821	Host
730314	404974	Various Characters
730315	302242	Madame Ventre
730316	153804	Madame Costecalde
730317	283032	
730318	102834	Herself
730319	13292	Patron
730320	123380	
730321	149549	Maria
730322	169258	Herself
730323	126831	Karin
730324	11836	
730324	34993	Karin
730324	401142	Gna
730325	22725	Lana Baram
730325	77190	Maureen Brighouse
730326	179794	
730327	20435	Janelle Holland
730327	23446	Teen Girl
730327	47077	Been-Crying-For-Hours Girl
730327	108250	Carrie
730327	120233	Holly
730327	185554	Carol Ann
730327	204139	Leslie
730327	283709	Hitchenpost waitress
730327	325218	Caroline
730327	328127	Tamlyn
730327	398027	Haley (recurring) (1997)
730328	82300	Baby Delgo
730328	220917	Christine Pastore
730329	223776	Mr. Wolinski Woman
730330	379368	Colette
730331	402150	Himself/Jornalista
730332	104636	Herself - Member of the jury
730332	104738	Herself - Luxembourg entry (8
730332	179004	
730332	313785	Performer
730332	376593	Herself
730332	398964	Herself
730332	402084	
730333	6291	
730333	6319	
730333	8122	Aunt Kalliopi
730333	8447	
730333	97938	
730333	162862	
730333	179635	
730333	229488	
730333	354475	
730333	380492	
730333	380779	Ariadni
730334	190269	Liza Minnelli, ages 12-15
730335	18832	
730335	84695	Agent de police 3
730335	198567	Girl who cries
730335	340681	Fille 1
730336	72066	
730337	148685	La comptable
730338	99631	Waitress 2
730339	2645	
730340	19064	L'assistante
730340	23747	Collegue de la compagnie aéri
730340	60012	Anita Groslot
730340	119053	
730340	127748	
730340	169094	Myrtie
730340	225100	Dolores
730340	238299	Dolly
730340	273969	Domino
730340	354761	Katerine
730340	385008	Ginette Durivage-Cormoran
730340	400804	Jocelyne Gendron
730340	407807	Juliette
730340	410252	Mireille Langlois
730341	216831	La Colombe
730342	281777	
730343	40257	
730343	101805	
730343	132998	La paysanne
730343	156277	Gaby
730343	218249	
730343	251176	
730343	345485	Loulette
730344	379563	
730344	386078	Graciela
730344	387685	Frida de Villareal
730344	396209	
730344	397016	Mireya
730344	398229	
730344	398490	Diana de Lizárraga
730344	401435	Rebeca Franco
730344	402219	Lorenza Torres
730344	403752	
730345	108919	Hat Vendor
730345	330812	Auctioneer
730346	20679	La psychologue
730346	35774	French Version Narrator
730346	70590	Narrator
730346	89913	Narrator
730346	193429	
730346	264365	
730346	396868	Fleur-Aimée
730346	406028	Martine Martin
730346	407068	Fleur-Aimée
730347	60063	Une domestique
730347	231579	Journaliste 2
730348	78115	Laura Erickson
730348	188542	French Girl
730348	269349	Zita, the Amazon Queen
730349	376980	Tamo
730350	6327	
730350	8135	
730350	10543	
730350	22595	
730350	172836	
730350	207917	
730350	212043	
730350	216984	
730350	217243	
730350	244952	
730350	265962	
730350	316457	
730350	326217	
730351	209023	
730351	334380	
730352	344356	
730353	218218	
730354	54464	Prostitute
730355	197114	
730356	384210	Marie-Félicité
730357	201145	Girl in the república
730358	46026	
730358	172894	Stella
730358	379361	Faye (2001-2002)
730358	397266	
730358	397937	Liza
730359	106474	
730360	84696	Axelle
730361	29512	Noé
730362	100364	L'avocate
730363	386081	Elise
730364	68351	Sandra
730365	392000	Harmony
730366	44835	Mme Baranquin
730366	324067	Mme Adélaïde
730367	33276	La mère
730367	251290	Madame Malitorne
730368	126258	Mélanie
730369	84607	
730369	190970	
730369	232659	
730370	300170	Heather
730371	87603	Girlfriend
730373	291584	(segment "Mots attendront, Le
730373	296334	Magali
730373	412202	Elodie Martin
730374	52698	
730375	302793	Cheesecake Girl
730377	84198	Patient
730378	174488	
730378	178459	
730378	285318	Ketty
730378	380779	
730378	385983	Mary
730378	396360	
730379	18288	Lucia
730379	68312	Laure
730379	71497	Salima
730379	146362	Norah, the maid
730379	158877	Une prostituée
730379	166179	
730379	198315	Elodie
730379	200517	Une amie de Charron
730379	217237	
730379	275110	Annabelle
730379	346730	La femme du président
730379	384288	Marie Ange
730379	398650	Juliette
730380	82206	
730380	207821	
730380	271176	
730380	312865	
730381	18209	Eleni
730381	25565	
730381	174906	
730381	191419	Liza
730381	316561	
730381	383991	
730381	387571	Eri
730381	390039	
730381	392005	
730381	397266	
730381	407921	Mina Foka (captain's daughter
730381	411705	
730382	380818	
730382	380821	
730383	83196	Marguerite
730383	307597	Agathe
730384	198970	La veuve
730385	188695	La mère
730386	20713	Perla
730387	392984	Jumeau 1
730388	108903	Herself
730389	153648	Miriam Barendsen
730389	178166	Young Felice
730389	266047	Lorna
730390	845	The Bus
730390	329981	Herself
730391	18221	
730392	336234	Une employée de Gus
730393	81043	Dr. Miranda's Wife
730394	101346	Lissy Haverkamp
730394	137909	Ophelia
730394	178647	Alexandra Giddens
730394	184294	Gitta Crusius
730394	237539	Muriel McComber
730395	72065	Magicians Assistant
730396	75083	
730396	87118	Petra
730396	95017	Leo
730396	104484	
730396	150555	
730396	252527	Fifi
730396	317875	Mara
730396	377586	Cristina
730397	95586	
730398	213440	Maren
730398	214330	Fru Mikkelsen
730398	322455	Fru Nielsen
730398	326109	Tante Astrid
730399	25215	Dorrit
730399	26156	The Widow
730399	109134	Birthes mor
730399	120310	Gerda
730399	121022	Kristin
730399	136634	Ella Henningsen
730399	136635	Edith
730399	142221	Ulla Biehle
730399	151823	Marguerite Palsler
730399	166609	Agnete Lønning
730399	166774	Fru Landstrup
730399	190825	Pauline Wadenius
730399	191469	Scriptgirlen Irma Hansen
730399	213439	
730399	214349	Gerda Dreyer
730399	226108	Aase
730399	243010	Frk. Grøndal
730399	278356	
730399	284391	Ruth Isaksen
730399	284394	Bengerd
730399	287173	Redaktørens datter frk. Sonja
730399	300976	Gloria
730399	301456	Kvinde, hos hvem der bliver b
730399	303874	Martha
730399	304206	Inge Gram
730399	315392	Sekretær
730399	315403	Gerda Hein
730399	317648	Mille Andersen
730399	322455	Inger Knudsen
730399	322468	Ingrid
730399	322475	Gerda Lundrup
730399	326109	Else Svendsen
730399	357303	Anne Pedersdotter (his second
730399	357814	Fru Darbedat
730399	378325	Grandma
730400	18717	Rosita
730400	54297	Anyana
730400	54456	Annana
730400	85564	Maya
730400	93220	Rima
730400	103533	
730400	110418	Lolita Martinez
730400	116174	Singer, 'Carioca' number
730400	117906	Guadalupe (Col. Thursday's co
730400	121982	Chiquita
730400	128217	Marquita
730400	153146	Arai
730400	177058	Woman with Baby
730400	223399	Tehanni
730400	224579	Luisa, Ramon's girl
730400	230027	Police Woman
730400	247565	
730400	248466	Ida
730400	254283	Carmelita Moray
730400	274182	Trina
730400	277925	Hussy
730400	281868	Rosita del Torre
730400	285131	Mercedes
730400	307431	Cabaret woman
730400	337083	Marie Durand
730400	339101	Doris
730400	358175	Young Navajo Indian
730400	365296	Lita Espinosa
730400	367264	Towanha
730400	394676	Ana (1987-1989)
730401	304442	Fred
730401	313334	Carmel County Actress
730402	161864	Grady's Girlfriend
730402	170580	Heather Hitt
730403	224319	Bride
730404	93771	Guerrilla
730405	286243	Jean
730406	194232	Christine
730406	323018	Susan Kellar
730406	338401	WPC
730406	380829	Karen Roan
730406	381118	Betty Hood
730406	401778	Woman Reporter
730406	411061	Narrator
730407	258089	Maid
730407	333915	T.V. Reporter
730408	327717	Herself (mother)
730409	388840	Anthea
730410	42379	Vocal
730410	141420	
730411	52581	Rose
730412	405209	Adrianna Tomkins (2001)
730413	41733	Nurse
730414	69961	Drowing Victim
730414	402907	Muffy (2000)
730414	411545	Muffy (2000)
730415	151010	Allison Beal
730416	189811	
730417	390771	Jackie Scott Marler Spaulding
730418	5811	Eileen Carson
730418	11108	Reporter
730418	24770	Ann Watson
730418	51975	Woman
730418	112495	Dixie King
730418	168929	Script Girl
730418	175809	Sally Guthrie
730418	176320	Dixie King
730418	178976	Miss Holiday (Morton's secret
730418	207861	Bit
730418	224588	Freda Hanson
730418	233684	Harriet Olsen
730418	269295	Jan, Studio segment
730418	272067	Margie Rodgers
730418	324745	
730418	367825	Sheila Hallett
730419	393599	Herself (eliminated round 5)
730420	109041	Birgitte Værn
730421	27449	Sarah
730421	133780	Jean's Wife
730421	382854	Clare Miller (1974-1976)
730421	389331	Fiona (1969-70)
730421	390689	Pat Grove #2
730421	392150	Philippa
730422	691	Herself
730422	34903	Herself
730422	216656	Herself
730422	232018	Herself
730422	390554	Presenter (Winston Churchill)
730423	144988	Cassandra
730423	187192	Keaton Winthrop
730423	384350	Dawn Tartikoff
730423	410767	Katie Everett
730424	380713	Pat Cunningham (1957-1959)
730424	391170	
730424	404694	Susan Ames Dunbar Carver #1 (
730425	166345	Bathing Beauty
730425	215727	Moon Girl
730426	1975	Herself
730426	147750	Allison
730426	150075	Sissy
730426	295420	Young Cat Donovan
730426	308114	Lily
730426	379309	Emma C. Squared
730426	386201	Orangejella LaBelle
730426	388080	Herself
730426	405493	Tamera Anne Campbell
730426	406760	Dr. Kayla Thornton (2004-)
730427	1975	Herself
730427	147750	Kendra
730427	150075	Venetia
730427	295420	Sydney Donovan
730427	385653	Judith Ann Webb
730427	386201	Lemonjella LaBelle
730427	388080	Herself
730427	405493	Tia Landry
730428	29650	Woman By Xmas Store
730429	149198	Girl on Bed
730430	99126	
730431	5866	Maureen
730431	50476	Mary
730431	65226	
730431	129556	
730431	141140	Brenda Ryan
730431	169678	Mary's Neighbour
730431	185775	
730431	217411	Gorl at Confessional
730431	286300	Sgt Duggan
730431	305952	Kate
730431	316266	
730431	318940	Monica
730431	330771	Widow Flynn
730431	395955	Aide
730431	399449	
730431	399567	Opposition Health
730432	14044	Herself
730432	388272	Herself/contestant (season 1)
730433	176487	Girl at Party
730434	370863	Dragon girl
730435	122198	Band Member
730436	316327	Lian
730437	232389	Chinese Agent
730438	191094	Vietnamese Girl
730439	387946	Contestant (2003)
730440	19017	
730440	358681	
730441	6158	Adeline
730441	8852	Ginette
730441	10371	Angele Sanguin
730441	15027	
730441	17856	La mère d'Isabelle/Isabelle's
730441	22191	La caissière du restauroute
730441	23773	Pepita
730441	24669	Claudine
730441	30754	Henriette Giraud
730441	33276	La chanteuse
730441	34420	Agent immobilier
730441	53065	Simone
730441	57537	
730441	58110	La mère
730441	71834	Isabelle
730441	94329	Maman
730441	96162	Rita
730441	103229	Virginie
730441	104235	
730441	112832	Mme Mansard
730441	113138	Odette
730441	167103	La mère de Mike
730441	170468	
730441	201140	Odette Crémieux
730441	249361	
730441	255814	La femme de Morlaix
730441	261116	Christine Perridoux
730441	266153	
730441	268455	Eugénie Pétain
730441	268822	la Maquilleuse
730441	276385	Lyliane
730441	283884	Margarita, la femme de Lunard
730441	284175	Gisèle
730441	308311	La mère
730441	316845	Cliente
730441	345395	
730441	346655	
730441	353129	La femme du brave facteur
730441	379841	
730441	384288	Margot Darmont
730441	388714	Suzanne Nollier
730441	393889	Marthe
730441	396867	
730441	397768	
730441	400051	
730441	401053	(segment "1981")
730442	12083	
730443	392749	
730443	392950	
730444	340370	Pepito
730445	67006	Elvira
730446	84667	
730447	225561	
730448	86962	
730449	285072	Herself
730450	4534	Pepa de Oro
730450	18348	Susana Moltedo
730450	61333	
730450	111994	Sonia
730450	202033	Madre de Paula
730450	389480	Layla Cortés
730451	80496	Lolita
730452	208386	Tour Ticket Clerk
730453	339117	
730454	27282	Lady Milbanke
730455	158440	Dang
730455	171230	Mona
730455	332376	Belinda
730456	353506	
730457	170411	Mandi Spring
730457	263791	Annette Frisby
730458	96821	Tuleeka
730458	289497	Meryt Amen
730458	315594	Moya
730458	346301	Anna
730460	80065	Grandmother
730461	44432	Mexican woman
730461	117362	Carmen
730461	129347	Housekeeper
730461	197373	Lilly
730461	353418	
730461	375847	Bertha
730461	403874	Marla Rodriguez
730462	118166	
730463	118634	
730464	23384	Student
730465	57870	Woman at party
730466	51931	Norma
730466	67653	
730466	90452	Amália
730466	148462	
730466	204281	
730466	219852	
730466	229695	Enfermeira
730466	238933	
730466	350736	Lúcia
730467	183467	
730468	143557	Woman in motel
730469	122637	Herself
730469	302185	Receptionist
730470	164612	Mayor of Fallsburg
730471	101155	Dadabhaï
730472	150746	Servant Girl
730473	62957	Kid in the Living Room
730474	40331	Doctor
730474	61576	Woman #1 at fish market
730474	118548	Violet's Mother
730474	137693	Vampire patient
730474	158314	
730474	195769	Alice
730474	251237	Diner
730474	261564	Elvis woman
730474	277803	Hotel Clerk
730474	321661	Social Worker
730474	323440	Suburban woman
730474	327376	Receptionist
730474	363448	Cynthia Thornby
730474	385887	Grand Jury member #3
730475	54209	Ticket agent
730476	339048	Mother
730477	366751	
730478	217745	Christmas Student
730479	34937	Blender #3
730480	23441	Voice
730480	52361	At the Airport - Stewardesses
730480	113553	Leading Lady
730480	137674	Nurse Jill Franco
730480	151062	Corey
730480	152936	
730480	194223	Warrior Housewife
730480	309211	Denise Mason
730480	329311	Reporter #2
730481	108938	Clothilde
730482	84632	
730483	123691	Marsha
730484	192508	Herself
730485	195721	Martha
730485	244778	Mannequin
730486	366843	Linda
730486	372380	Mary
730487	338563	Hotel woman
730488	184104	The Laker Girls
730489	1725	Herself - Presenter
730489	72376	Rachel
730489	155070	Susan Calvin
730489	158481	Amy
730489	194511	
730489	273926	Layla Moore
730489	282534	Apartment Owner
730489	294717	Halley Buchanan
730489	318642	Dr. Cathy Muller
730489	339645	Fame
730489	363602	Marie
730490	41376	Nursing Home Owner
730490	166873	Receptionist
730490	252856	
730491	380610	Young Lady Cecilia
730492	185395	Susan
730492	200463	First Observer
730492	352465	Woman Newscaster #2
730493	81109	
730494	43941	Girl On Desk
730495	44764	Henrietta Stackpole
730495	47279	Makeup Woman
730495	304644	Mona
730495	399270	Herself
730496	116471	Surfer #1
730497	331932	Voice over
730498	213023	Villager
730499	262054	Student
730500	57781	
730501	8249	Delphine
730501	88067	Yacinthe Jacob-Fontaine
730501	191560	Une femme à la mairie
730501	198970	Rubis
730501	215021	Angelica
730501	246306	Une cliente chez Maxim's
730501	256998	L'étudiante dans le car de po
730501	285819	Sophie
730501	376998	Philippon
730502	275285	
730503	112917	Mevrouw Van Buren
730504	69424	Child
730505	4987	
730505	31987	Beatriz
730505	52420	
730505	65113	
730505	67014	
730505	74521	
730505	103789	
730505	139910	Martina
730505	148038	Emma
730505	189377	
730505	234336	Lucy
730505	244640	Montserrat
730505	251573	Doncella
730505	266056	
730505	290372	Leonore Johnson
730505	294286	Pilar
730505	377168	
730506	46920	
730506	78556	Alejandrina
730506	95011	
730506	102442	
730506	149901	
730506	212385	
730506	270014	
730506	276478	
730507	33466	Soledad
730507	336985	Dragueuse bar
730508	172825	
730509	271929	Chris
730510	252212	
730510	278217	Donna
730511	153617	Captain's Girl Friend
730512	232630	High School Extra
730513	373421	
730514	94202	Desiree
730514	309679	Woman
730515	37894	Woman #4
730516	234153	
730517	234153	
730518	95575	
730519	192903	
730520	193550	Sonia
730521	374616	
730522	244208	Maid Leosia
730523	84421	
730523	159806	Chief of the kolkhoz
730523	375673	Mother
730524	205268	Single Woman
730524	286464	Maria Pugano
730524	296980	Abused Woman
730524	343201	Ms. Gonzales
730525	265997	
730526	151237	Guria do grito 2
730527	839	Mara
730527	2987	
730527	9454	Királyné
730527	10401	Vali
730527	12733	Vajda Ilona
730527	14290	Mrs. Ebes
730527	35060	Beniczki Marica
730527	96430	Kowarskiné
730527	98771	Mutter Pusztai
730527	98985	
730527	99749	Gabi
730527	102443	
730527	118790	
730527	142233	Evelyne
730527	178368	Sárika
730527	182653	
730527	182847	
730527	190748	Lola
730527	202496	Demjén Ildikó
730527	212428	Aliz
730527	216250	
730527	225486	Kati, kocsmárosnõ
730527	252152	Lene Kretzsch
730527	284355	Anita anyja
730527	306936	Böbe
730527	322002	Zsuzsi
730527	322069	
730527	322108	Nóra néni
730527	322148	Anna
730527	327364	Mária Égetõ
730527	328970	Ildi
730527	343633	
730527	348999	
730527	354267	
730527	357716	Magda I
730527	361533	Tünde Eszter
730527	377228	Zsabamári
730527	378310	Lucy
730527	399860	
730527	402164	Odol
730527	412290	Irma (only episodes #2-5)
730528	261863	
730529	289693	Receptionist
730529	385591	Themselves
730530	287153	Dead Miner #2
730531	381256	Herself ( Evicted 3rd, 23 Day
730532	254411	
730533	73158	Prostitute
730533	411707	
730534	120237	Newspaper Seller 2
730535	24679	Aga
730536	323119	Yasmine
730537	164114	
730538	33848	Grocery Lady
730539	120770	Jasna
730540	149577	
730541	145587	Hasmik
730542	130358	Miss Kansas/Liz
730543	58510	Princess
730544	145485	
730545	391297	
730546	255543	
730547	333928	Ljilja
730548	43010	
730549	4431	
730549	15163	
730549	18483	
730549	38792	Kundanandini
730549	45814	
730549	62054	
730549	95031	
730549	98477	
730549	164327	
730549	171509	Renu
730549	174373	
730549	174841	
730549	176034	
730549	209858	
730549	268118	
730549	271716	
730549	284777	Dina Sharma
730549	286502	Manorama
730549	289183	
730549	298233	
730549	358256	Inspector Agni Sinha
730549	407130	Shivani
730550	89986	
730550	129760	Olja Popovic
730550	132106	Sestra Batriceva
730550	162753	Jelka
730550	238764	Ljiljana Matic
730550	258781	
730550	351032	
730550	405659	Tajanstvena
730551	101382	2nd Beach Girl
730551	213874	Milena Bota
730551	355548	
730552	355548	
730552	396547	Maja ... Bracina sekretarica
730553	173388	Dijete
730554	252935	Miriam
730555	43174	Reporter
730556	358362	Alicia
730557	344524	Herself
730558	96603	Jola
730559	196588	
730560	387466	
730561	315238	Partier 5
730562	215038	Tara
730563	99055	Inmate #3
730564	356089	Lenka
730565	356089	Linda
730566	205704	Twin
730567	205704	Twin
730568	403628	Majka Kwiatkowska
730569	37731	Jan's Mother
730569	69839	Witold's Mother
730569	129608	
730569	130214	Actress
730569	178477	Klara Naimska, actress
730569	180106	Maria
730569	193471	
730569	244100	The Gypsy Prisoner
730569	262509	Anna
730569	279815	Krystyna
730569	311834	Frau Häußler
730569	340443	Rosa Luxemburg
730569	344047	Tomczynska
730569	365106	
730569	373706	Jewish Street Singer
730569	395084	Countess Karolowa
730569	401793	Zofia Niwinska
730570	164259	
730571	317553	Vlasta
730572	372973	
730572	400405	
730573	43010	Mrs. Dihur
730573	192900	Malka
730573	234153	Ravnateljica
730573	259199	
730574	179111	
730575	147035	Irena
730575	281214	Alena
730576	156290	
730577	95725	
730578	95565	Little Girl
730579	389868	Zoleka Moroka (????-2004)/Zin
730580	288690	
730581	44191	Mother #1
730581	108959	Koba
730582	172414	Tamada
730582	188006	Adamyan
730583	205350	Woman
730584	374525	Cassi
730585	405036	Majola
730586	148193	Herself
730587	81195	Charley
730588	262054	Student
730589	204952	Pat
730590	75228	Secretary
730591	300705	
730592	258442	Lu Chunxiu
730593	77121	Empress Dowager
730594	378049	Nanna the Thai wife
730595	214814	Black Bride (Home Movie Weddi
730596	41242	Prostitute
730596	349307	
730597	1211	Rosine Martin
730597	229491	Flavie
730597	264378	Mlle de Pons
730598	68609	Capoeirista
730598	409625	Laura Böhme (1994-2001)
730599	236558	
730600	277610	
730601	396795	Paula
730602	48217	Sister Thelma
730603	109704	Karen
730603	324422	Dressing Room Girl
730604	247974	
730605	62426	Lili
730605	180251	Sabinka
730605	216591	Ania
730605	247626	Kasia Bogdanska
730605	290070	Danka Dresner
730605	396286	Magdalena Marszalek (2003-)
730605	397114	Klara Lindner
730606	144692	Herself
730608	161995	La concierge
730608	411509	Herself - Correspondent (1986
730609	199307	
730610	42434	
730610	59248	Dr.Nischala
730610	267957	
730610	286781	
730610	293297	Karuna
730610	312506	Soni
730610	312518	
730610	320883	
730610	320902	
730611	38170	Une joggeuse
730612	356503	
730613	356503	
730614	356503	
730615	43433	
730616	43433	
730618	211195	
730619	223084	Stephanie
730620	294516	Jean
730621	208526	Angela
730621	262095	Pregnant Woman
730622	64256	Siska
730623	259481	Heike Mutosch
730623	325446	Rita
730623	377358	
730624	29971	
730625	40404	
730625	174758	Anja
730625	217420	Daniela
730625	225290	
730625	404478	Antonia
730626	37761	
730627	108149	Eva Berg-Untermieterin
730627	389093	Maria Fabricius
730628	58930	Woman In Bar
730629	100109	Mrs. Boissier
730630	342831	
730630	367651	Marge
730631	10829	Patient
730631	345326	
730632	45136	Charlotte
730632	99375	
730632	108977	
730632	134584	Irénée Dreyfuss
730632	345326	
730632	361606	Colibrijoli
730632	386012	Mimi
730633	186122	
730634	104723	Herself
730635	126551	Tara
730635	207991	Kamala
730635	399948	Shersheba (1997)
730636	380858	Co Host
730636	401706	
730636	403904	Miss Teen Tigrita
730637	50262	Mrs. Davies
730637	99175	Rebecca
730637	102342	Samantha Roarke (Technician)
730637	223807	Therapist
730637	245183	Katie Lee
730637	333407	Dr. Helen Gold
730637	341919	Dominique
730638	108471	Marije
730638	162611	Isabelle
730638	193386	Customs officer
730638	201692	Herself
730638	242620	
730638	306391	Sam's mother
730638	381049	Vera Prins (1995-2003)
730638	400297	Herself (2003-2004)
730638	410441	Nathalie Tellegen (1995)
730638	410838	Anouk Du Mee (2000)
730639	380774	Herself/Magician
730640	317590	Rani
730641	172920	Singer
730642	147645	Ma Perkins
730643	24691	Louise
730644	108444	Buddy
730644	232223	Woman
730645	5220	Johnny's Mother-in-Law
730645	50832	Bit Part
730645	64112	
730645	240918	
730645	260413	
730646	190376	Mailbox Expert One
730647	85188	Detective Michaelson
730648	178189	Carol, Sandra's Best Friend
730649	43321	Ebba
730650	381821	Ensemble (1979-1982)
730651	394750	
730652	350347	Pinball Girl
730653	406922	Host
730654	338048	
730655	295050	Girl in black 6
730656	8216	Lead Biker
730656	289470	Killer in Barn
730657	307351	Little crossfire girl
730658	228158	
730658	303359	Petra Dvorak
730658	325791	
730658	395667	Chris Barnsteg
730658	405500	Frauenärztin
730659	80695	Hooker
730660	88058	
730661	151797	
730662	3433	
730662	48849	
730662	151797	
730662	165725	
730662	205280	
730662	212489	
730662	265328	
730662	279855	
730662	334643	
730662	377084	
730663	57073	Singer, Wealthy Lady, Peasant
730664	35052	Dancer
730665	80463	
730666	66837	Tammy Thirston
730667	4785	Mutter
730668	29519	Daphne
730669	89759	Glückliche Mutter
730670	148313	Nurse
730671	291698	Hooker (Sin of Lust)
730672	874	Bagger Girl
730672	10160	Sunny Moone
730673	110438	Young Antonia
730674	83961	Flipper
730674	110974	Concetta
730674	222254	Cookie Divine/Cavalcade Patro
730674	230892	2nd Go-Go Dancer
730674	256206	Cookie
730674	259864	Betty Lalinski
730674	293042	
730674	305638	Horror Movie Sequence
730674	317960	Penelope Trasher
730674	346289	
730674	350643	
730675	199398	Elyane's maid
730675	325840	
730676	108551	
730677	206305	Chambermaid
730678	411045	Herself
730679	72104	Cover Girl: Collier's Magazin
730680	365679	Dancer
730681	276886	Kirstie
730682	5390	
730683	206305	Chambermaid
730684	18978	Joan Aldrin
730684	93068	Ivana
730684	101454	Enid
730684	157476	Georgina
730684	184859	Celeste
730684	190464	Trainee nurse
730684	203358	ABC Executive
730684	230508	Laura
730684	239891	Lady Mardsen
730684	253345	Lizanne York
730684	259829	Gallery Woman
730684	284628	Entertainment Reporter
730684	292017	
730684	298037	Alix
730684	315261	Sarah Shuler
730684	347688	Shari Herschell
730684	362716	Judith
730684	382072	Shana
730684	386578	Dr. Dierdre Bennett
730685	95514	2nd Prostitute
730685	163231	
730685	328905	The Nun
730686	75721	Additional Player
730687	11887	Third Housewife
730688	40863	Erika Hinz
730688	137419	Rita
730688	264352	
730688	361994	
730689	358796	
730690	32409	
730691	17667	Luise Beier
730691	32396	Carol Gischka
730691	33209	Franziska
730691	33849	Angela
730691	48692	Dina
730691	91045	Anne
730691	95177	Maria
730691	98261	Britta
730691	111670	
730691	113429	Jacky
730691	119224	Anne Kampe
730691	127496	
730691	150599	Linda Behrens
730691	150600	Linda
730691	167709	Charlie
730691	179766	Angelika Leisen
730691	187567	
730691	279969	Udos Freundin
730691	301021	Britta
730691	302774	Susanne
730691	307554	Sabine Jäger
730691	307556	Sabine Jäger
730691	312658	Nicole
730691	314849	Hedwig Otten
730691	319736	Moderatorin
730691	325789	Vicky
730691	339065	Liane Goldhofer
730691	343690	Sabine Jung
730691	354368	Michelle
730691	376445	Inga
730691	380883	Julia
730691	389361	Nicole Bast
730692	9897	Sheila Caslin
730692	30581	Prison Matron
730692	32044	Chef
730692	58769	Betty Bowen
730692	61626	Eric's Teacher
730692	65628	Kevin's Mother
730692	67618	Nurse Hilda
730692	75504	Big Flo
730692	85073	Grace
730692	87541	Matilda Recer
730692	97471	Maria Clemm
730692	101726	Landlady
730692	105723	Diabetic woman
730692	108401	Cleark
730692	130311	Waitress
730692	130441	Linda
730692	141605	Dinner Guest #2
730692	159550	Nurse Gracie
730692	167866	Tow Truck Driver
730692	189233	Ms. Berry
730692	190245	Head Nurse
730692	196580	Temp Dispatcher
730692	203005	Obnoxious Lady
730692	210511	Emma the Tattooist
730692	231896	Mrs. O'Brien
730692	234982	Mrs. Dewey
730692	241342	Ruta
730692	250383	Moving Co. Receptionist/Nurse
730692	265102	Miss Hicks
730692	276869	Sophie
730692	277088	Woman
730692	279456	Nurse Bloethal
730692	289053	Diana Beaujolais
730692	305575	Nurse Wheeler
730692	306625	Housewife
730692	328285	Wrong Sarah
730692	360647	Mrs. Nelson's Friend
730692	368365	Vanessa Neff
730692	378855	Lucy (1998-1999)
730692	389356	Gloria
730692	393777	Ms. String (1998-)
730692	395573	Gloria
730693	110474	Stacy
730694	31638	Susanne
730694	356549	Bens Mutter
730695	145174	Makeup
730696	134986	Karins Tochter
730697	13742	Caller #2
730697	392447	
730698	324894	
730699	367022	'het broekventje'
730701	372750	
730703	14160	Interviewer
730704	43624	Stripper
730704	115106	Woman at Hanna Long's
730704	152889	Shirley Randolph
730706	346143	Ludington Computer
730707	305	
730707	169541	La voisine
730707	229840	Minka
730707	303631	Ruzica
730707	379616	
730707	410330	Sena
730708	392792	Grampola
730708	397546	Godóia
730708	398500	Noelza (1998-1999)
730708	402582	Dani
730708	408316	Carolina
730709	274427	Girl in Blue Rock Tavern
730710	318119	Chanterelle
730711	71592	The Usher
730712	137623	Child
730712	371310	Angela
730713	110529	Vicki's Mum
730713	136826	Little Buttercup
730713	155674	Mum
730713	221096	Mrs. Morgan
730713	256625	Special Guest Pirate
730713	269368	Gayle O'Reagan
730713	288050	
730713	304916	Eva
730713	316639	Miss Reagan
730713	330579	Martha
730713	336721	Miria Malloy
730713	402197	Chrissie Latham (1979-1983)
730713	403355	Connie Ryan
730713	411366	Secretary (episode 4: Lo-Arna
730714	130677	Woman in dance hall
730714	301822	
730715	229731	Ditko
730715	229734	Ditko
730716	117466	Farrell
730717	318006	
730720	209100	Issa
730721	308128	Harry's Dinner Date
730722	35776	Uncle's Girlfriend
730723	221607	Claudia
730724	352638	
730725	373986	
730726	56583	Herself
730726	241830	Kiya Parker
730727	363928	Charlotte
730728	249923	Natasha
730729	340835	Herself (Somalia journalist)
730730	220369	Somali Girl
730731	319554	Spanish Hooker
730732	342588	Florian's Mutter
730733	2987	
730734	357937	
730735	107717	
730736	145	
730737	225969	Cadet Marica
730738	192900	Vinkova mati
730738	217268	
730738	273136	(as Milena Muhiè)
730738	304454	Ticket salesman
730738	315848	Gaby
730738	350990	Filomena
730739	338748	Biker
730740	251230	
730741	137402	Ung pige i park
730741	179455	Elena's friend
730741	249472	
730742	35094	
730743	354286	Redhead
730744	117308	Alice
730745	43234	Hure
730745	125305	
730745	143514	
730745	205301	Frau im Nachthemd
730745	226260	
730745	308243	
730745	324785	
730745	351945	
730745	365568	
730745	365591	Hausdame
730745	374126	
730745	377350	
730745	395644	
730745	403113	
730745	409613	Renate
730746	39019	
730746	44031	Gu Manlu
730746	58456	Goddess of Mercy
730746	63294	Yoshiko Kawashima/Kam Bik-Fai
730746	94289	
730746	95192	Tung/Wonder Woman
730746	111198	
730746	121095	Jone
730746	124645	Yiu May-kwan
730746	124880	Jannie Fong
730746	125160	Anna Fong (English dubbed)
730746	130747	
730746	131270	Anita
730746	135752	Fan Fan
730746	138626	Herself
730746	141923	
730746	149010	Elaine
730746	151812	Mui Ye
730746	152000	
730746	152005	Singer in Club
730746	152134	Michelle
730746	170256	Mrs. Wong, Fei-hung's Step-Mo
730746	170302	
730746	172226	Mui Tai-Heung
730746	183101	Chu Wai Tak
730746	183105	Lam, Man Ching
730746	196669	Mary Sung Chia Pi
730746	239141	Cheung, Tina
730746	244734	Anita Chou
730746	254949	
730746	268699	Luming Yang
730746	268723	
730746	286458	Madam Sung
730746	297564	Fang
730746	298368	Chiao-Chiao
730746	324739	Judy Tong Wong
730746	344496	Elaine (Rumble in the Bronx)
730746	369105	Emperor Qi/Great Great Great 
730746	369599	Tung Lau/Wonder Woman
730746	369698	
730746	369817	Pak Wan-Fai
730746	371500	Park
730746	371517	Park
730746	371573	Fleur
730746	371634	Chow Ying Kit
730746	373103	
730746	373251	Herself
730746	374688	Hsien
730747	127776	
730747	172226	Ah Chiao's wife
730747	371452	Lulu
730748	335599	Tootsie
730749	87038	Princess Chang Ping
730750	151955	Yummy
730750	167854	Tsing-Tsing
730750	198562	Mandy
730750	203117	Chu-Chu
730750	298713	Beautiful
730750	367156	
730750	369034	Wei's Wife
730750	374822	Sexy
730750	376152	Xu Yu-Yuan
730751	256878	Pontikkaäiti
730752	411300	Prison Officer Flaxton (1974-
730753	5009	Child in Supermarket
730754	116289	Dinner Party Guest
730754	388860	Powder Room Lady
730755	37191	Sandra
730756	185322	Sam
730756	265606	Toni
730757	190273	Cookie Dancer
730758	31103	Opal Updyke
730758	54830	
730758	64806	Flo Nichols
730758	78005	Peggy
730758	79736	Flo Marlowe
730758	122052	Girl in nightclub
730758	124714	Spellek's Wife
730758	127691	Divorcee
730758	128102	Madge, the Blonde
730758	133880	Prima Donna
730758	142345	Barney's mother
730758	143651	Pianist
730758	144827	Carmel Prevost
730758	146282	
730758	149104	Prostitute
730758	154417	Babe, Dental Assistant
730758	154906	Panda
730758	163198	
730758	186377	Madame. Mustache
730758	195975	
730758	208692	Hilda, Telephone Operator
730758	215276	Grace Norman
730758	240437	Gertie Green
730758	249623	Tillie
730758	255315	Flo Lane, bleach-blond bride
730758	266728	Lucille 'Lucy' Weston
730758	270471	Elaine Bostwick
730758	280895	Prima Donna
730758	285667	Minnie Broadhurst
730758	306480	Mrs. Johnson-Martini
730758	315140	Ellen Gordon
730758	315748	Bit Part
730758	319203	Lora Wynne
730758	321099	Violet
730758	331324	Frau Schmidt (American Club)
730758	337178	Blonde Woman
730758	346076	Frances
730758	347319	Mrs. Vail
730758	361757	Duchess
730758	366126	Lolly
730758	367643	Mae Compton
730758	369433	Bonnie
730759	113603	Anita
730759	152935	
730760	194246	Cook High Girl
730761	149444	Sue Rowen ROHAN
730761	171076	Granddaughter
730762	235645	Social Worker
730763	192515	The Widow Jones
730763	216163	Eliza Murgatroyd
730763	316887	Younger Aunt
730764	68217	Sister Bridget
730764	298509	Annie Starr
730764	391072	Frances Peters
730765	16078	Helen Lattimer
730765	21509	Jen Shaw
730765	32534	Caroline Grant
730765	49746	Louise Kane, the Suicide Vict
730765	69850	Kate Sanger
730765	77592	Mary Mathews, the Secretary
730765	83809	Lois Johnson
730765	92558	Mary Hathaway
730765	92700	Ellen 'Eleanor' Haslett
730765	93078	Herself
730765	107574	Marilyn Koster
730765	110937	Miss Joyce, Jim's Secretary
730765	121358	Rita Moore
730765	125896	Trudy Talbot
730765	143211	Carol Blane Kingdon
730765	147788	Herself
730765	165470	Beatrice Wilton
730765	186452	Law Secretary
730765	192429	Sybil's Mother, in photograph
730765	193736	Joan Bradley
730765	213309	Helena, in Love with Demetriu
730765	216907	Joanna Ryan Croy
730765	239176	Alice Wellman
730765	241025	Paula Nordland
730765	243217	Camellia Rand
730765	245300	Miss Helen Colby
730765	308336	Helen Farnsworth
730765	313805	Nora Wyman
730765	339832	Herself
730765	363767	Betsy Ann Craig
730765	363823	Sylvia Burgess
730765	368383	Selma Peterson II/Her Grandau
730766	344176	Snout
730767	183351	
730767	193588	Emily
730768	200470	Angela
730769	97522	Shellie
730769	321746	
730770	104896	Nellie Brewster
730771	241512	Friend
730772	314528	Herself
730773	114583	Alice
730774	145415	'No' Person #6
730775	183872	Referee #2
730776	141222	
730777	269372	Leslie
730778	52518	
730778	141220	Rose Fairlie
730779	253844	Pete's Mother
730780	75717	Nyman
730781	151528	Self
730782	16003	Young Hattie
730782	232297	Girl student
730782	384097	Fiona (1996-2000)
730783	400241	Maggie
730784	43372	Dawn
730785	89307	Darla
730786	202490	Saleslady at Lingerie Store
730787	152838	Young Shelly
730787	405073	Girl (Mortuary)
730788	356813	Balletdanser
730789	292955	
730790	24264	
730791	136958	Silvia
730792	160137	
730793	34040	
730793	154656	
730793	188603	Nina
730793	197285	
730793	202313	
730793	275249	
730793	300202	
730793	326029	
730793	375785	
730794	95595	Maca 2
730794	280380	
730794	394720	
730795	137300	The Mother
730796	64872	Selima
730796	200690	Daughter
730796	323056	Hemangini
730797	172497	Marija Tevtonka
730797	192900	Francka
730797	192903	Napovedovalka
730797	227827	
730797	373599	
730798	203274	Violet
730799	310160	Herself
730800	370235	
730801	386777	Bulma's mother
730801	386903	Midori Yamabuki
730801	396499	Mother/Sumire
730803	72962	Takako Okubo
730804	129270	
730805	245885	Shôsa Mitsuo (Lieutenant Comm
730805	265578	Miss Ayumi
730805	265579	Miss Ayumi
730805	265580	Miss Ayumi
730805	267536	Miss Ayumi
730805	405279	Molly
730806	279466	Herself
730807	215128	Hanne
730808	8393	
730808	279192	Nan
730809	151626	Herself
730809	269588	Waubegon
730810	218995	
730811	131110	Selby
730812	178726	
730813	295061	
730813	303803	
730814	89733	
730815	30504	
730816	141841	
730817	6116	
730817	9316	
730817	28906	
730817	254627	Jamuna
730818	4202	
730818	4252	
730818	4405	
730818	4504	
730818	18919	Shanta (Ram's mom)
730818	36008	Gayetri
730818	58400	
730818	58996	
730818	85318	Maharani Married to the Hunte
730818	85368	
730818	86658	
730818	98500	
730818	112258	
730818	125155	Uma's Mother
730818	138925	
730818	164315	
730818	183977	
730818	221048	Bhabhi Maa/Seema
730818	227881	Herself
730818	228704	
730818	228868	Asha (Rajan's wife)
730818	246098	
730818	247106	Guest Appearance
730818	249645	DSP's wife
730818	271469	
730818	297027	
730818	318423	Sharda's mom
730818	329223	
730818	348897	
730818	373830	Urmilla/Maya
730818	373834	Rukmini
730818	373903	Shanthi Bhabhi
730819	316579	
730820	84768	
730820	250589	Arati
730821	250586	
730821	284874	Malabi
730822	27922	
730822	28906	Chhakari's wife
730822	38227	Bindubasini
730822	43410	
730822	52166	
730822	59807	Charulata
730822	60973	Sulekha
730822	122693	Herself
730822	123543	Padma
730822	130135	
730822	173399	
730822	173749	Karuna Gupta
730822	200678	Arati Mazumder
730822	286514	
730822	316585	
730822	317760	Shita
730822	320833	
730822	349090	Bhagabati
730823	17662	Sati
730823	28838	
730823	29041	
730823	172545	Kishori
730823	226138	
730823	250482	Tumni
730823	262238	Sridhara
730823	317789	
730824	32644	
730825	23195	
730825	88544	Maya Malhotra (Guest Appearan
730825	175863	
730825	206065	Marjina
730825	285328	
730825	295014	
730826	4883	Rajkumari Ratna
730827	26232	
730827	27388	Soni
730827	27973	Kashibai
730827	30527	Pooja
730827	36550	Kiran Bali
730827	39159	
730827	43169	Herself
730827	52168	Bulbul
730827	58676	Sapna
730827	58684	Priya Chopra
730827	62750	Khushi
730827	62751	Priya Malhotra
730827	127329	Alisha
730827	137061	Anjali
730827	138929	Pooja
730827	142546	Rani
730827	144386	Aparna Ram
730827	152496	Rhea Prakash
730827	171853	Naina
730827	172150	Priya
730827	172539	Special Appearance
730827	181480	Tina Malhotra
730827	193183	Pandey's girlfriend
730827	204403	Special Appearance
730827	209870	
730827	222062	Pooja Sahani
730827	228870	Manjari
730827	268060	Payal Khurana
730827	271449	Mala
730827	278836	
730827	284777	Suhani Sharma
730827	351139	Saamiya Siddiqui
730827	373321	Sashi
730828	373904	Kavita
730829	167346	
730830	308451	Mukul's mother
730830	320174	
730830	320833	
730831	300887	Kamala
730832	260176	
730833	9209	
730833	198666	
730833	317760	Kajal Didi
730833	326648	
730833	326678	Jogmaya (segment "Samapti")
730833	349110	Mother Mamen
730834	4522	
730834	9229	
730834	18787	
730834	30540	
730834	60997	
730834	79324	Nalini
730834	81407	Paro
730834	84795	Sagarmani
730834	123543	Debu's wife
730834	228694	Hemnalini
730834	238857	
730834	287396	
730834	312456	
730834	342073	
730835	10615	Fatima
730835	18481	
730835	19634	Durgamani
730835	21565	
730835	28303	
730835	28817	Thakurma
730835	29326	
730835	35954	Sachimata
730835	36608	
730835	43542	
730835	60996	
730835	62587	Binodini
730835	102096	Kalyani
730835	124227	Rabi's mother
730835	168348	
730835	172887	
730835	213782	Sunanda
730835	233186	
730835	262478	Arun's mother
730835	272700	
730835	285166	
730835	285847	
730835	286534	
730835	288845	
730835	317789	
730835	320766	
730836	86745	
730836	156256	
730836	177563	
730836	262465	Bal Kumari Diwani
730836	282945	Budhwa's Wife
730836	370982	Savita, the journalist
730836	374652	Bindu
730836	394156	Kitty
730837	228869	Molly (Mr. Sarkar's wife)
730838	300341	Woman Behind Door
730839	86682	
730839	322696	
730840	84769	Dev's badi-ma
730841	4266	
730841	18068	Shweta
730841	44240	Raja Bhairav Singh's wife
730841	129989	Menaka
730842	249331	
730843	63559	Bhangra Auntie
730844	396239	
730845	88738	
730846	87954	
730846	91195	
730846	324556	
730846	370934	
730847	395742	All ducks, The cat (episodes 
730848	31936	Lahja Nikulov
730848	170922	Vera Nieminen
730849	67896	Fujiuko's Mother
730850	82055	Sushi hostess
730851	353878	Mama Dingari
730852	350565	
730853	85282	
730854	58923	Atreyi
730854	357228	
730855	41790	
730855	129809	
730856	51302	Herself - Jury member/Perform
730856	154143	Herself
730856	394389	Herself - Host (2002-)
730857	87504	
730858	108065	Nannetta
730858	168894	Catherine Glover
730858	278316	Gilda
730859	1888	Trenerka
730860	85970	
730860	124568	
730861	158909	Newscaster
730862	61210	
730863	333794	
730864	138153	Holly
730864	140953	Second fundraiser issue woman
730864	153147	Nite Spot woman
730865	212329	
730865	259191	
730866	76229	Saleswoman Aleksandra
730866	407165	Mariola Kiepska
730867	130788	Herself/Journalist
730868	165077	Cela
730869	243372	
730870	58462	Herself
730871	18804	Aparoopa
730871	25972	
730871	36306	Gauri
730871	82006	Judge
730871	86637	Sid's Mother
730871	112762	
730871	151935	Malti Bai
730871	152474	
730871	152694	Dadima (Raj's grandmother)
730871	181481	Dr. Malhotra (Raj's mother)
730871	183897	Yashodamai
730871	195291	Prithvi's mom
730871	285108	
730871	370979	Saraswati's mom
730872	158358	Marian
730873	16396	Herself
730874	295763	Herself
730875	26700	June
730876	118924	Justine
730876	222725	Bella Duveen
730876	308400	Louise Chauvin
730876	383327	
730876	396929	Cherubino
730877	403465	Mary Thompson
730878	220276	Môme Fromage
730878	316881	Natalie
730878	341991	Cashier
730880	362027	Rachel
730881	363126	
730882	350640	Herself
730882	350645	Herself (harmonica)
730883	126755	T.V. Show Guest
730884	72931	Goodyear Hostess in the Red L
730885	35704	Elaine
730885	52554	Carrie Donovan
730885	59663	Rachel LeMaire
730885	62790	Alana Fitzgerald
730885	74200	
730885	80848	Edith Cole
730885	147277	Martha Melborne
730885	186460	Ruth Petrocelli
730885	193280	Frances
730885	204034	May Purcell
730885	208887	Chris Coughlin
730885	208940	Lois Boyle
730885	214985	Kate Keller
730885	222677	Angela Stafford
730885	236685	Ann Marley
730885	241562	Katy
730885	243222	Kay Damian
730885	244453	Alexandra
730885	253344	Lauren Jeffreys
730885	256123	Sandra
730885	257269	Marg
730885	276682	Sally Bingham
730885	276725	Chris Coughlin
730885	310563	
730885	313445	Dr. Katherine Pulaski
730885	321448	Cynthia
730885	328523	Terri Seymour
730885	334206	Agnes Cusack
730885	344548	
730885	382149	Elizabeth Sutton
730885	382532	Joy Adamson
730885	388836	Terri Seymour
730885	391255	Grace
730885	391708	Ginny
730885	395023	Rosalind Shays (1989-1991)
730885	397214	Chris Coughlin (1970-1973, 19
730885	404694	Ann Wicker (1965)
730885	407086	Belle
730885	408522	Judge Eleanor Hooper
730885	411400	Claire Randall
730885	411672	Dr. Alice Foley
730885	411673	Doctor Alice Foley
730886	371962	Serving Wench #3
730887	210387	Girls' Group
730888	94285	
730888	181255	Winkeljuffrouw 1
730888	316962	Liesbeth
730888	338962	Mevrouw Staling
730888	382637	Betsy
730889	409178	Isidora van Oplandt Goetzee
730889	411943	Annemiek
730890	232117	Laura
730891	116380	Twin's mother
730892	410441	Ida Muns (1994)
730893	33960	Anja
730894	76764	Dame in lift
730895	1699	Herself
730895	101271	Herself
730895	101272	Herself
730895	101273	Herself
730895	290825	Herself
730895	290828	Herself
730895	311784	Herself
730895	345529	Cynthia Miller
730895	348106	Herself
730896	400217	Frida Hawinkel (2003-2004)
730896	410838	Fleur de Graaf-Noordermeer (1
730897	392530	Herself - Runner-up (2003-200
730898	224192	Monique
730899	15041	Model 1
730899	31702	Hilda
730899	33367	Lucy
730899	38170	Vanessa
730899	84667	
730899	86427	Cécile
730899	96111	Petra
730899	382489	Fist de Grooke
730899	399082	Karine
730899	400217	Amber Kleywegt (June 2003)
730900	194483	The Lord of the Dance Troupe 
730901	259395	Herself
730902	313855	Bloomingdale's Couple
730902	343045	Student
730902	365827	Spokeswoman
730903	118303	American Girl
730904	147972	Attractive Party Guest
730905	207624	Gretchen
730905	217339	Myrna Loy
730905	265869	
730905	295185	Mary
730905	300361	Entertainment reporter
730905	351907	Venus
730906	211941	Gina
730907	362649	Herself
730908	371376	Young Elizabeth
730909	99075	GSA Student
730910	238990	
730910	274364	
730910	364623	
730911	51611	
730911	141817	
730911	208977	
730911	305396	
730912	70741	Lisa
730913	45853	Rita
730914	326812	
730915	232166	Back Seat Girl
730916	121549	Student
730917	5876	Laura Warner
730917	17941	Spirits #2
730917	18548	Tara
730917	95187	
730917	126538	Bikini Girl (segment "I'm Not
730917	303825	Sam
730918	105812	Airline Woman
730919	10881	Susan
730919	14239	Deborah Sampson
730919	53050	Rachel Prescott
730919	54558	Mrs. Pescoe
730919	55158	Carly Mills
730919	76556	Sarah Watson
730919	109643	Sue Bradley
730919	117076	Antonia Doyle
730919	141388	Dr. Joanne Springsteen
730919	166713	Joan Russell
730919	174512	Kate Columbo
730919	194530	Lady Kreya
730919	196516	Iseult
730919	224371	Laura Adams
730919	275506	Maj. Rayner Fleming
730919	277837	Victoria Riddler
730919	281540	Hattie
730919	281997	Kendall Murphy
730919	282434	Judith Schweitzer
730919	283355	Dr. Mek
730919	303290	Narrator
730919	313400	Capt. Kathryn Janeway
730919	313403	Herself
730919	313428	Admiral Kathryn Janeway
730919	313439	Adm. Kathryn Janeway
730919	313450	Capt. Kathryn Janeway
730919	316226	Sharon Martin
730919	331934	Margaret Donner
730919	333237	Mother Elizabeth Bayley Seton
730919	338981	Herself
730919	344548	
730919	389758	Queen Titania/Anastasia Renar
730919	391246	Dr. Joanne Springsteen (1988)
730919	396693	Mayor Lisbeth Chardin (1991)
730919	396744	Rachel Clement
730919	398424	Kate Columbo (1979)/Kate Call
730919	401528	Additional Voices (season 2)
730919	404002	Mary Ryan Fenelli #1 (1975-19
730919	406409	Kathryn Janeway
730919	411400	Tony Nicholson
730920	234901	Lucia Age 4
730921	33748	Undetermined Role
730921	69338	Actress
730921	88653	Woman
730921	112183	Guest at Lockhart Home
730921	115483	
730921	158331	
730921	159182	Mrs. Martin
730921	252568	Guest at Party
730921	252973	Sarah
730921	278540	Mrs. Alderney
730921	309588	Manager of 'The Haven'
730923	60207	Caroline Hilton
730923	72204	A Guest
730924	328630	Little Girl Saluting
730925	88000	
730926	296777	Herself (niece)
730927	113685	Alyssa
730928	358674	Terry McGowan
730929	87905	
730930	85535	
730931	406330	Nat
730932	241799	Christmas choir member
730933	110247	Mother
730934	34965	Isa
730935	316635	Ellen Keogh
730936	298650	
730937	138673	Mandy
730937	244814	The Cheated Girlfriend
730938	1145	Reporter
730938	69411	Barbara
730938	141301	Denise
730938	310760	Joanne
730939	80784	Document Clerk
730940	383742	Various Celebrities (2000)
730941	283454	Lillian Vane
730942	159175	Dancer
730942	364731	Village Girl
730942	381661	Hill's Angel (1984)
730943	209633	Anna
730944	341455	Natalie Foster
730945	191608	Female Partygoer #2
730946	310781	Herself
730947	368872	Herself
730948	217603	Library Teacher
730949	256980	Sharon
730950	97553	Resident Witness
730951	79182	
730952	977	Miranda
730952	32585	
730953	382715	Sports reporter
730954	5028	Pat
730954	18635	Woman Buying Car
730954	61703	Sharon
730954	71867	
730954	105312	Barbie
730954	114251	Cathy
730954	147629	
730954	154833	Pebbles Flintstone
730954	185567	Jessica Lollar
730954	190373	Herself
730954	218180	Kimmy Miley
730954	228970	Herself
730954	241050	Suzette
730954	246285	Melanie Gold
730954	269427	Dolores
730954	271219	Ava Zieff
730954	278855	Call Girl
730954	310547	Jennifer Klink
730954	314156	Patty Plummer
730954	326411	Adele
730954	346092	Lilah
730954	347907	
730954	365732	Karen Walker
730954	365960	June Winchell
730954	387481	Molly Brewer Ross
730954	388818	Pearl
730954	398710	Susan
730954	402739	Becky Jo
730954	411174	Karen Walker Finster
730955	379716	Colby Marian Chandler #1 (200
730956	104774	Irish entry (17th place)
730957	144681	Lucy
730957	223226	Mathilde
730958	104949	Mrs. Daisley
730958	224853	Julia Mullen
730958	333183	1st Flower Lady
730959	104774	Irish entry (17th place)
730960	161864	Girl at Rave
730961	41518	Beach Woman #5
730961	251477	Stearn Nurse
730961	265682	Valerie
730962	319003	Teenage girl in dance hall
730963	379716	Colby Marian Chandler #1 (200
730964	235174	Thorpe Sisters
730965	242980	Liz
730966	120297	Nun
730966	141666	Mrs. Collins
730966	294060	
730966	405209	Toni Healey (1998)
730967	95101	Emma Feldstein
730967	107103	Mrs. Kirkland, Dean of Studen
730967	154574	Ms. Crumley
730968	412064	Herself
730969	187704	Flo
730970	57380	Dede
730970	183387	Teen Lover
730970	378939	Rachel Emery
730971	58658	Ma Piper
730971	71099	Veronica
730971	84129	
730971	125808	Molly Fagan
730971	160033	Mrs. Vincent
730971	166359	Jeannie McLean
730971	166360	Jeannie MacLean
730971	185414	
730971	215582	Jean Mactaggart
730971	224303	Hypatia Foley
730971	257095	Mrs. Smedhurst
730971	301072	Mrs Fulton
730971	306438	Anna
730971	323960	Bessie Murnahan
730971	332058	Ellen Kirby
730971	340220	Margie Castelli
730971	352715	Dr. Shaw
730971	361261	Jane Willoughby
730971	386887	Janet, the housekeeper
730972	7500	Pool Girl
730972	37683	School Teacher
730972	129435	Extra
730972	139088	Becky
730972	365181	Herself
730972	390180	Sally, the Farmer's Daughter
730973	269286	Betty
730974	71713	Second Barmaid
730974	115509	
730974	344683	Florry
730974	363490	Dwarf's Girlfriend
730975	80580	Mrs. Thompson
730975	106027	Ms Monoswitch
730976	185549	Hiker Kitty
730977	151769	
730978	14620	
730979	204960	Lt. Myer
730980	1965	Lady with Baby
730980	145071	Newscaster
730980	384952	Show Host
730981	80549	Powers
730981	245907	Donna
730981	279865	Christine
730981	287215	Slutty Metal Chick
730981	304021	Louise Hickox
730982	319902	Nazi Youth
730983	348009	Herself - artist
730984	192228	Richard's Secretary
730985	164628	Servant Woman
730985	382522	Dilys
730985	408866	Mrs. Goodall
730986	41722	Alma
730986	247488	Heather
730987	63124	Apple
730987	78795	Kira, a Gelfling
730987	133728	Gaffer
730987	167627	
730987	168493	Additional Muppet Performer
730987	168495	
730987	222478	
730987	222481	Mokey Fraggle
730987	222483	Additional Muppet Performer
730987	222491	Mokey Fraggle
730987	222493	
730987	222494	
730987	222495	Jill (frog)
730987	238529	Herself
730987	295006	Feathered Friend's Magistrate
730987	368425	Herself
730987	368455	Herself/Muppet Performer
730987	379780	Allegra
730987	381798	Leona
730987	389217	Mokey/Cotterpin Doozer
730987	398543	Gaffer the Backstage Cat (197
730987	404897	Additional Voices (19??-19??)
730987	411523	Little Cat A/Morton the Eleph
730988	258936	Little Girl
730989	272648	Margaret Anne
730990	50476	Mrs. Thompson
730990	64400	Mrs. Foley
730990	77758	Vera McLoughlin
730990	87509	Ellen Quinn
730990	87591	Mrs. Monroe
730990	141140	Micky's Mum
730990	350349	Vera, Weslie's Wife
730990	362722	Mother
730991	330131	Star
730992	2327	Herself
730993	90854	Judy LaRue/Kiki LaRue
730993	118911	Elizabeth Shelley
730994	362690	Club girl #2
730995	201597	Reporter #3
730996	165442	Miss Ingram
730996	218825	Mrs. Connors
730996	264165	Tessa
730997	217381	Field Mouse Carol Singer
730998	72554	
730998	77575	Linda
730998	99585	Nurse
730998	139637	Francine
730998	287016	Suzy
730998	404241	Suzi
730999	272440	Market Scene Extra
731000	307374	Hospital
731001	4543	Nurse Sully
731001	47017	Mrs. Coe
731001	53975	Mrs. Smith
731001	67795	Henrietta Colby
731001	88853	Supervisor
731001	93220	Annie, Clemson's Maid
731001	117114	Mrs. Palmer
731001	133809	
731001	163207	Mrs. Daylon
731001	168929	Mrs. Bryant
731001	197760	Matron
731001	218811	Miss Simpkins
731001	224809	Neighbor
731001	226899	Martha Swenson
731001	230303	Woman
731001	235515	Infant's mother
731001	335614	Woman
731001	338800	Mrs. Crabtree
731001	365961	Mrs. Jameson
731002	215829	
731003	93986	Social worker
731003	219344	Nurse 1
731004	115688	Voluptueuze dame
731005	12931	
731005	13631	
731005	21138	
731005	23907	
731005	62442	
731005	66160	
731005	67008	
731005	69890	Aimê
731005	70311	
731005	105636	
731005	118089	
731005	118090	
731005	118174	
731005	156386	
731005	157077	
731005	157331	
731005	160966	
731005	211012	
731005	222163	
731005	232896	
731005	234605	
731005	246851	
731005	253662	
731005	255798	
731005	264389	
731005	299483	
731005	306849	
731005	383561	Amélia
731005	385043	Judite
731005	393286	Délia
731005	398040	
731005	400096	Rosa
731005	402503	
731005	402626	Cristina
731005	402807	Angela
731005	402927	
731005	404178	Dinah
731005	404888	Ilsa Paleólogo
731005	409025	Berta
731005	409424	
731006	79252	Kim Su Boonzaaier
731007	250805	Patsy's Maid
731008	15226	Herself
731009	112280	Cherubino
731010	363900	Louella
731011	117707	Woman on Elevator
731012	74011	Merideth
731012	182984	Auditioner #5
731012	295420	Posse Girl
731012	348608	Student Screamer
731013	106537	Kidnapped Girl
731013	360668	Wendy
731014	226454	
731014	285577	
731015	17818	L'employée réception
731016	25785	Jouette
731016	52698	
731016	55724	Mme Biscotin
731016	65729	Adèle Torbayon
731016	95310	La passante
731016	103827	Simone
731016	111692	Annette
731016	133090	La bonne des Bosquier
731016	153789	
731016	168078	Mathilde la bonne
731016	240629	Rose
731016	249138	Rose
731016	260118	La nourrice
731016	339932	
731016	345076	Adrienne
731016	346480	Zoé
731016	350099	Jacqueline's mother
731016	408486	Mme Horbourg
731017	111091	
731018	83257	La jeune femme du parc
731019	295873	
731020	74153	child
731021	298063	Teacher
731021	316501	Student Speaker
731022	31630	Sally's Models
731022	160982	Nova
731022	161494	
731022	176978	Sarah Richards
731022	193509	Alexis Stewart
731022	255414	Model #2
731022	270979	Vera
731022	313594	Miranda Blake
731022	350198	Waitress of Wisdom
731022	392802	Carolyn Besset Kennedy
731023	146729	Zoe Springer
731024	292094	
731025	82963	
731025	110254	
731025	222016	Teresa
731025	351267	
731025	377099	Bailarina China
731026	36669	Valérie
731026	87151	
731026	106286	Martine
731026	183906	Jeanne
731026	282781	Pierre (la femme du préveneur
731026	354647	Rachel
731026	357093	
731027	92490	Guard
731027	329577	Herself
731028	51984	Fat Lady
731028	75519	Female Bank Teller
731028	157541	Madge Summers
731028	347692	Patsy
731028	389937	Ms. Lenore
731029	118824	
731030	149959	
731030	332674	
731031	50024	Cook
731032	106228	
731033	405209	Josephine Bergman Billingham 
731034	146825	Narrator
731035	65085	Young Elena
731036	281834	Tina
731037	198777	
731038	202880	Dr. Wickham
731039	106076	Dancer
731040	190464	Girl at concert
731041	22782	
731042	279091	Young Filmmaker
731043	112759	
731043	135317	(segment "O Poderoso Cifrão)
731043	197091	
731044	35506	Woman at Party
731044	73768	Girl in Car
731044	273800	Airport Check-in
731044	279091	Young Filmmaker
731044	321632	Woman Client
731045	195931	Baby (4 mths)
731046	163520	Frieda
731046	163665	Lucy/Heather (The Cute Little
731046	372363	Lucy van Pelt/Girl
731047	129418	
731048	32026	Une victime
731048	133175	
731049	52755	(segment "A Primeira Cama")
731049	383172	Rosely
731049	409426	Nancy
731050	3113	Marianne, Emmenthal Maid
731050	66090	
731050	75867	Princesse au Petit Pois
731050	147152	Catherine
731050	205732	Marie
731050	256480	Mama Mint
731050	296829	Maria
731051	385003	Pauline
731051	385003	Pauline (1993)
731052	252983	Stephen's Mother
731053	56922	Un' amica di Elena
731054	211746	
731055	23258	
731056	52390	Joker théâtre
731057	55890	Mrs. Baker
731058	295095	Sônia
731058	402580	Júlia
731059	130953	Champagne leader
731060	233807	
731061	169305	La fille à l'entrée
731062	325888	Serviererin
731063	339445	Neon Audience
731064	284573	
731065	128782	Herself
731067	20078	
731068	64333	Herself (1978)
731069	304689	Lucy
731070	263558	Kitty Bennet
731071	144556	Mother/Banshee
731072	65161	Herself (Clara's friend)
731073	69053	Mary Shelley
731074	114693	Extra
731075	52842	Hooker
731075	205829	
731075	205830	Mrs. Mills
731075	245140	
731075	355343	
731075	374617	TV Alarm Woman
731076	236342	
731077	219769	Couple in Hospital
731078	14385	Inge
731078	176388	Diana Holden
731078	342831	Agent Larkin
731079	43599	Reporter
731079	81665	Student
731080	50611	Aunt Maria
731081	304047	Sarah
731082	235357	Adventist Customer
731083	170977	Herself
731084	79045	Miss S&M
731085	70392	Rebecca
731086	44844	Detective
731087	116084	Kid 3
731088	194666	School Play Singer
731089	273718	Nurse
731090	107947	
731091	72933	The Entered Novitiate/Oonagh 
731091	258931	Lucy Crale
731092	219251	Child #1
731092	222492	Little Girl
731092	250779	Cecilia at 5 yrs.
731093	120860	
731094	379450	Selma
731094	380612	Paula
731094	382724	Tamires
731094	385876	Maria Marta
731094	386142	Maria do Socorro
731094	388682	
731094	389662	Blandina
731094	391673	Maristela Gomide
731094	392629	Nina
731094	396610	Andréa (1997)
731094	397548	Godóia
731094	399481	
731094	400838	Maria Rita
731094	401932	
731094	402530	Aninha
731094	403617	
731094	404834	Aurélia
731094	405936	Márcia
731094	409975	Leo
731094	410377	Liliane 'Pituca'
731095	252856	
731095	255274	Pupil
731096	80537	Kristy
731097	318854	Student
731097	350282	Model, Fashion Show Attendee
731098	241496	
731099	126686	Girls' Track Team
731100	68156	Eva
731101	399130	Julie Robinson/Martin (II) (1
731102	113773	Christine Carr
731103	230972	Waitress
731104	38263	Dorothy
731105	82899	Andrea
731105	264508	Charlotte
731105	276201	Toni
731105	362115	Maria Grady
731105	384366	Pamela (1997)
731105	403157	Hilary Booth
731106	18013	Tina
731107	352700	Receptionist
731108	16658	Mrs. Barnes
731108	66947	Mrs. Castlereagh
731108	68156	Sarah
731108	93074	Albert's Mom
731108	132632	Young Alice
731108	229629	Mary Peterson, Todd's Wife
731108	232185	Pauline
731108	248448	Mrs. Hooper
731108	365691	Maxine
731109	133335	Grad Student #3
731110	27171	Tapia's Daughter
731111	55643	Mary Hutchinson
731111	62995	Emily (Fred's wife)
731111	209095	Meredith
731111	215876	Flight Attendant
731111	221166	Labour woman
731111	270255	
731111	303372	
731111	385627	Mona
731112	355161	Valerie Vogel
731113	25874	Marybeth
731113	29524	Punk Girl
731113	39327	Lurlene
731113	109807	Salesgirl
731113	218841	Tracy
731113	253337	
731113	256627	Prostitute
731113	288905	Commercial girl
731113	299686	Doxy
731114	77296	Edwina Winfield
731115	3301	
731116	296752	Seductress - Wicked Chamber C
731117	343544	Une enfant
731118	248258	Une femme du bal
731119	5987	Miss Wright (Woman of Sin seq
731119	165695	Mrs. Milly Shafer
731119	169406	Church Woman
731119	190051	Mary
731119	196405	Cleaning Woman
731119	206711	Irish lady talking in the bar
731119	232302	Customer
731119	245530	Mrs. Sorenson
731119	326747	Police Matron Agnes Hardy
731119	329098	Nancy (Nanny) Winfield
731119	330097	Prim lady
731119	336811	Mrs. Oliver
731119	386053	Grandma Mitchell (1961)
731120	1145	Paramedic
731121	97249	Jamie
731121	128893	Post Office Clerk
731121	145414	Delia Cervanka
731121	171050	Sarah
731122	118897	Herself (with family)
731123	83659	Herself
731123	118897	Herself (with family)
731123	276137	Herself
731124	77095	Mother
731124	111809	Barbara
731124	337428	Tanzi
731124	364818	Sally Longden
731125	185640	Maid 2
731126	148562	
731127	48950	Additional Voices
731127	62971	Jenna Evans
731127	133716	Tiffany
731127	140193	Children
731127	192172	Lottie
731127	210271	Little Girl
731127	229428	Stacy Sabian
731127	234982	Child Norma Jean
731127	292138	Sunny Matthews
731127	298115	Jeannie
731127	382609	Sarah Hansen
731128	190595	Nurse
731129	295411	Mrs. Pugliese
731130	230857	Liz
731131	147018	Herself - Performer
731132	35496	
731133	76542	
731133	391869	Martha Stewart (1989)
731134	194313	Girl
731135	245893	Elektra
731136	269684	Sally
731136	315493	Receptionist
731137	105077	Dancer
731138	99143	
731139	72278	
731140	277839	Herself/Voice Off
731141	380390	Nancy Lawson (1981-1984)
731142	303820	Laura
731143	73989	Hannah Brown
731143	151742	Jeannie Hynes
731144	285734	Morning Star
731145	296808	Miriam Lane
731146	16151	Faradina Alibasya
731147	68434	
731148	79944	Boat passenger
731149	1673	Herself
731149	45409	Jessica
731149	47172	Herself
731149	99373	Herself
731149	162268	Herself - Presenter
731149	168759	
731149	282702	Performer
731149	286525	Herself
731149	311196	
731149	333278	Mara
731149	408555	Herself - Performer (2001- )/
731150	4369	Showgirl
731150	10596	Girl
731150	16654	GIrl with Hat
731150	64090	Waitress
731150	116686	
731150	122657	WAC
731150	126069	Showgirl
731150	139275	Vince's Girl Friend
731150	154083	Blonde
731150	163469	
731150	176321	Goldwyn Girl
731150	184955	Woman
731150	188326	Chorine
731150	216802	Model
731150	231780	
731150	245005	
731150	273083	
731150	308382	Raider
731150	308569	
731150	331180	Harem girl
731150	331764	Show Girl
731150	342873	Cigarette girl
731150	348327	Goldwyn Girl
731150	366456	Telephone operator
731151	391869	Rachel Burton/McGregor (#2) (
731152	273077	Transilvania Extra
731153	30847	
731153	299586	
731153	323366	
731153	370192	
731154	307100	Salamati
731155	33166	
731155	76465	Ulrike
731155	361448	
731156	41422	Sue Ramsey
731156	110974	Bailiff
731157	187944	
731158	4084	Rita
731158	4092	Paro
731158	4150	
731158	4273	
731158	4276	Shakuntala
731158	4323	Sunita
731158	18041	
731158	18912	Chanda (also Popololita)
731158	18920	
731158	19239	Meena/Rita
731158	27648	
731158	27651	
731158	27660	
731158	27768	Savitri
731158	28689	
731158	29023	Gauri
731158	29033	Mala
731158	32455	
731158	36007	Bijli
731158	44032	Shefali
731158	45321	
731158	45814	Roopa Sharma
731158	58361	
731158	58980	
731158	62724	Rekha
731158	63811	
731158	76411	
731158	77052	
731158	83742	
731158	85327	
731158	88501	Albeli
731158	88512	
731158	88597	Reena
731158	92625	
731158	95445	Phoolmati
731158	98518	Meena
731158	98521	
731158	98534	
731158	110029	Rajkumari Padma
731158	124633	Geeta
731158	125152	
731158	125635	Concubine
731158	130759	
731158	131181	
731158	137987	Shabnam
731158	139329	Shanti
731158	143524	
731158	143823	
731158	145459	Malti
731158	152454	
731158	164743	
731158	164884	
731158	165941	
731158	165942	
731158	167342	Neelu
731158	167557	Shobha
731158	170625	
731158	171762	Jharna
731158	174613	Nisha
731158	175896	
731158	175930	Neelima
731158	176034	Chand
731158	176185	
731158	179873	
731158	182162	Anita
731158	183454	Asha
731158	183458	
731158	183884	Sapna
731158	184079	
731158	193126	Anju
731158	198672	Mary
731158	201056	
731158	210216	Laajo
731158	211248	
731158	211284	
731158	211403	Meena
731158	211418	Kamini
731158	222055	
731158	226675	Rajkumari
731158	229332	
731158	248804	Maina
731158	250583	
731158	250634	Kala
731158	250843	Meena
731158	262831	Kamini
731158	268059	
731158	268070	
731158	268088	
731158	268092	Meena
731158	268601	
731158	270180	
731158	271711	Shanta
731158	271743	Cameo appearance
731158	281491	Princess Usha & Kiran (Double
731158	282229	Bijli
731158	283880	
731158	283881	Shehroo
731158	283882	
731158	283883	
731158	284764	
731158	284980	Meena/Rita
731158	285169	Guest Appearance
731158	286804	Delilah
731158	287640	
731158	289183	Saloni
731158	293427	
731158	297592	
731158	297726	Sapna
731158	301439	Cynthia
731158	308358	
731158	316577	
731158	319840	Kalavati
731158	324379	Paro
731158	325104	
731158	325124	Rekha
731158	328180	Nisha
731158	348437	Shalu (also Kiran)
731158	351113	
731158	358743	
731158	367220	
731158	370715	
731158	370974	
731159	4210	
731159	8356	Sonali
731159	17411	
731159	28674	
731159	28718	
731159	29281	Mrs. Sesodia
731159	36020	Ragini's mother
731159	36289	
731159	60401	
731159	77693	Malti Devi
731159	81707	Sunanda Malhotra
731159	85282	Anjali's mother
731159	86647	
731159	86679	
731159	91470	
731159	95040	Mrs. Singhania
731159	97773	Blind woman
731159	109311	
731159	126940	Vikram's mom
731159	135874	Dinu's wife
731159	150515	Arjun's mom
731159	152494	
731159	160223	Salma's mother
731159	163858	Vikram's mom
731159	164923	
731159	174294	Shankar's mom
731159	174298	
731159	175982	Sumati, Balwant's wife
731159	176032	Akshay's mother
731159	176154	Salma Mirza
731159	176163	Mrs. Suri
731159	179393	
731159	228891	Umesh's wife
731159	257424	
731159	284712	
731159	284789	Gomati Chachi
731159	285529	
731159	286844	Mrs. Rajeshwarnath
731159	288557	Goddess Lakhsmi/Goddess Sita
731159	298810	
731159	333702	
731159	339625	Ravi and Divya's mother
731159	341344	Kaushalya Varma
731159	349431	
731159	350597	Shanti Verma
731159	370966	Chand's mother
731159	375857	
731159	376091	
731160	32233	
731161	4409	
731161	9388	
731161	17359	
731161	28030	
731161	30542	
731161	39337	
731161	60057	
731161	62370	
731161	86746	
731161	98538	Mary
731161	110029	
731161	122717	
731161	126945	
731161	126991	
731161	137400	Halaku's Wife
731161	160184	Muniya
731161	164841	
731161	164883	
731161	171759	Vetrinarian
731161	200817	
731161	217181	
731161	220997	
731161	228851	Guest Appearance
731161	246631	
731161	251222	
731161	268572	
731161	285539	Courtesan
731161	323275	
731161	370291	
731161	373834	
731162	272103	
731163	356755	
731164	60163	Jessica Baker
731164	222115	Voice
731164	287727	Lucy Miller
731164	314980	Additional Voices (Myrtle Edm
731164	383657	Human Kimberly
731164	391525	Twinkle
731164	395649	Mertle Edmonds (2003-)
731165	190869	Additional Voice
731166	243139	Jun Ssi
731167	102088	Seo Bo-eun
731167	165539	Bae Soo-yeon (Hongryeon)
731167	371221	Ji-yoon
731167	389655	Young Eun-seo
731168	2642	
731168	3144	
731168	7365	
731168	15206	
731168	15400	
731168	16584	
731168	19055	
731168	27537	
731168	27550	
731168	29223	
731168	29426	
731168	34156	
731168	36623	
731168	37610	
731168	38197	
731168	38198	
731168	38913	
731168	51004	
731168	51005	
731168	51009	
731168	51020	
731168	52055	
731168	58599	
731168	60611	
731168	60627	
731168	60665	
731168	61542	
731168	62850	
731168	76662	
731168	78199	
731168	78202	
731168	80076	
731168	80077	
731168	89525	
731168	90590	
731168	94287	
731168	94332	
731168	94439	
731168	94442	
731168	102070	Eun-ju
731168	102083	
731168	124363	
731168	124435	
731168	125968	
731168	126881	
731168	126882	
731168	126883	
731168	126888	
731168	128076	
731168	130217	
731168	130279	
731168	130284	
731168	131277	
731168	131287	
731168	135706	
731168	136411	
731168	136417	
731168	137075	
731168	138010	
731168	138011	
731168	138422	
731168	138423	
731168	142966	
731168	144258	
731168	144260	
731168	153521	
731168	153526	
731168	153554	
731168	155171	
731168	156110	
731168	156125	
731168	156370	
731168	156408	
731168	156409	
731168	156928	
731168	162240	
731168	162655	
731168	164759	
731168	165030	
731168	165535	
731168	166818	
731168	166828	
731168	166967	
731168	167515	
731168	167518	
731168	167571	
731168	170322	
731168	171904	
731168	176693	
731168	179990	
731168	187038	
731168	199910	
731168	201283	
731168	201404	
731168	202519	
731168	204127	
731168	204138	
731168	213850	
731168	214268	
731168	214833	
731168	215131	
731168	215199	
731168	216411	Yeong-hie
731168	216414	
731168	216416	
731168	216417	
731168	216418	
731168	216419	
731168	217353	
731168	217390	
731168	220132	
731168	222352	
731168	226552	
731168	226553	
731168	226558	
731168	226593	
731168	226594	Young-suk
731168	226663	
731168	226707	
731168	227080	
731168	227113	
731168	227142	
731168	236487	
731168	236769	
731168	237693	
731168	246365	
731168	247028	
731168	247310	
731168	266986	
731168	267954	
731168	285996	Seo-won
731168	285999	
731168	287080	
731168	288146	
731168	288174	
731168	294439	
731168	294455	
731168	294460	
731168	294499	
731168	294505	
731168	295221	
731168	297364	
731168	298790	
731168	298832	
731168	298833	
731168	299013	
731168	303341	
731168	307164	
731168	309093	
731168	309111	
731168	318426	
731168	319097	
731168	323214	
731168	323215	
731168	324778	
731168	344214	
731168	344215	
731168	344216	
731168	344338	Min-jeong
731168	344372	
731168	368081	
731168	368085	
731168	368086	
731168	370334	
731168	371132	
731168	371168	
731168	371187	Ji-suk
731168	371246	
731168	373260	
731169	49436	
731170	138477	
731171	208685	
731172	156945	
731173	58780	
731174	10869	Diane
731175	372985	
731176	291655	
731177	36549	
731177	213876	
731178	28257	
731178	153432	
731178	166808	
731178	299145	
731178	371152	
731179	37736	
731179	77554	
731179	89326	
731179	125951	
731179	132121	
731179	153421	
731179	153428	
731179	153515	
731179	156118	
731179	159611	
731179	166797	
731179	182321	
731179	226582	
731179	227210	
731179	236771	
731179	286479	
731179	287572	
731179	322910	
731179	329010	
731179	329012	
731179	329013	
731179	370278	
731180	162014	
731181	215699	
731181	286633	
731181	286755	
731181	322910	
731182	286599	
731182	287389	
731183	63488	
731184	254285	Sherina
731186	296987	
731187	405215	Annie
731188	45899	Extra: park
731189	150554	Young Woman (Eleanor)
731190	151110	Waitress at Hotel
731191	178731	Thora
731192	68225	Very Young Model
731192	347101	Young Patricia
731193	78289	Train passenger (train segmen
731194	191435	The Mother
731195	333517	Mason Dixon Operator 2
731196	12687	Moglie di Farinello
731196	113702	
731196	217119	
731197	6697	(segment "Graffiti")
731198	379001	Filo
731198	387273	
731198	396333	Tía Chita
731198	396941	
731198	396942	
731198	408562	
731199	101124	Kunde/Customer
731199	132797	
731199	153402	Veninden
731199	174444	Isabella
731199	174445	Herself/Isabella
731199	179971	Mette Torp
731199	211015	Birgitte
731199	291615	Inga, Gul Partner/Yellow Part
731199	307698	Charlotte
731199	321997	
731199	357810	Øllegaard
731199	368740	Sarah Gianopoulos
731200	322153	Adela
731201	360046	Mrs. Benton
731202	199374	
731203	38900	Bar Patron
731203	130459	
731203	194487	Bar Keep
731203	226904	
731203	288474	Diablo student (scene deleted
731203	293041	Party Girl
731203	302385	Morgana
731203	303967	Sister
731203	350208	Mrs. Seltzer
731204	38900	Crystal
731204	59257	Chantal
731204	65073	Herself
731204	69402	
731204	80616	Nancy
731204	92495	Martine/Dawn
731204	92664	Mina Harker
731204	102741	Misty Mundae
731204	102798	
731204	102828	Misty (Puu-Nani Tribe)
731204	102835	Caroline
731204	128445	
731204	129188	Clitoris
731204	130459	
731204	155056	
731204	160372	Herself
731204	160938	
731204	194487	Dildo Saggins
731204	197778	
731204	197812	Misty
731204	216204	
731204	222320	Misty
731204	223928	Misty
731204	224387	
731204	226904	
731204	251793	
731204	257560	Commander Gaylor
731204	282561	Roxanna
731204	288474	Primula Cooper
731204	291266	Bridget
731204	293027	
731204	293041	Misty
731204	296328	
731204	301840	Olivia
731204	302385	Cynthia
731204	303967	Streetwalker
731204	311051	Patricia Porker (Spiderbabe)
731204	329378	Petal
731204	333857	Bass Player
731204	350210	Lydia
731204	350215	
731204	353269	
731204	356809	
731204	366736	Amy
731205	214196	Dancer
731207	130116	
731207	201185	Yvette
731208	203955	Angry Mother
731209	83895	
731210	190261	Pauline
731210	213350	
731211	61320	Blondie
731212	28467	Dot
731212	46581	Waitress
731212	114180	Nurse
731212	127094	Executive #1
731212	130803	Maria
731212	130809	Bit Part
731212	140490	Malama Hale
731212	200090	Mother
731212	205658	Attendant
731212	234984	Mrs. Johnson
731212	263232	Bar hostess
731212	294833	Ricki André
731212	340757	Nun
731213	53316	Mrs. Hobson
731213	69421	Brenda
731213	80759	Diana
731213	175140	Lady Kitty Cockshute
731214	73918	Cass, Anne's Roomate
731215	254761	Betsy
731216	126755	Female Singer
731217	185451	Young Gwen
731218	236139	
731218	241056	
731219	110038	Allison
731219	256817	Mary
731219	366764	Anne Prescott
731220	354519	The Children
731221	108340	Mrs. Lachman
731259	167196	La mère
731221	231058	Princess Grace of Monaco
731222	51532	
731223	24173	Hooker
731224	239279	
731225	87859	
731226	60323	Cheerleader
731227	129359	
731227	149477	Jean Thompson
731227	173138	Speaker
731227	179975	Mette
731227	275257	Anna Mogensen
731227	275625	
731227	281085	Jacobsen's sekretær
731227	322466	Ketty
731227	322681	
731227	324329	Tantens veninde
731227	346992	Anne Marie Christensen
731227	351042	Anna
731228	212973	Petrolia
731229	25523	Wood chopper #3
731230	313629	Barbara Allen
731231	52648	Hilda Smith
731231	154146	Ma Tubbs
731231	282607	Girl
731232	382361	Hostess
731233	33426	Bea Ramsey
731233	46425	Louise Crawford
731233	106632	Doris Spenser
731233	109608	Joan Rogerson
731233	240032	Mrs. Barrett
731233	243276	Grandmother
731233	308025	Antonia
731233	320162	Mace Lover
731233	372149	Mrs. Anthony P. Kirby
731233	379716	Countess Eugenia von Voynavit
731233	386603	Mona Aldrich Croft (1972-1982
731233	390771	Julia Stoddard (1986, 1988)
731233	396123	Isabelle Alden #1 (1983 (orig
731234	249496	
731235	396302	Presenter
731236	16642	Baby Janet
731237	159841	
731238	26077	Ida Dugan, Jump's Wife
731238	115508	Co-Counsel
731238	359855	Girl with Rick
731238	365183	Woman in church
731239	4464	Leung Yuen Ting (Girl on the 
731239	48442	Schoolgirl
731239	58921	Jack's girlfriend
731239	62841	Ashley
731239	78593	Ivy
731239	104320	Ivy
731239	107377	Mandy
731239	185970	Lo Mei
731239	195696	
731239	302324	
731239	302604	
731239	333144	
731239	370760	
731240	309312	Sara
731241	140019	Linda (Eric's Mother)
731242	101786	Angelic Nurse
731242	221525	Valerie
731242	270922	Newswoman
731242	289059	Rhonda
731243	76051	Margo
731243	86911	La mere
731243	220405	Une violée
731243	346618	Nicole
731243	351826	Nicole Piaf
731244	94244	La femme de Maurice
731245	361551	
731246	38248	Grocery Clerk
731247	155090	Marion
731248	58495	Passenger
731249	7669	Themba
731249	7670	
731249	7671	
731249	229978	Neria
731250	19722	
731250	21707	Vicky
731250	68571	
731250	90113	
731250	250791	
731250	251984	
731250	265315	
731250	276449	
731250	350166	
731250	377190	Modelo
731250	405869	
731252	52941	Telefonista
731253	90113	
731253	246302	
731254	376640	Secretaria
731254	386169	
731254	410098	Rosita
731255	14639	
731255	52777	
731255	68576	
731255	68595	
731255	150293	Maria
731255	159418	
731255	209079	
731255	221692	
731255	253257	
731255	272632	
731255	308900	
731255	379905	Estela Bustamante de Montero
731255	380795	Irene Molet de Villaseñor
731255	380963	Rosalba
731255	386169	
731255	386531	Luisa del Rincon
731255	387274	Lourdes
731255	389639	Dora
731255	398457	
731255	401916	Alma Ledesma de Higueras-Luév
731255	401918	Prudencia Aguilar
731255	402219	Ofelia Beltrán
731255	402404	
731255	405842	Helena
731255	407641	
731255	409017	Alejandra
731255	411620	
731256	300679	Vecina
731256	405415	Tomasa
731256	406056	
731257	96327	
731257	109555	
731257	351999	Mother
731258	45899	Extra: park
731259	24181	Thérèse
731259	33555	Pallas
731259	37891	Manon
731259	51948	
731259	52698	
731259	53869	Gusta
731259	58288	Concierge
731259	59748	Peasant
731259	102941	Thérèse
731259	108898	La bonne des Foucauld/Foucaul
731259	112805	
731259	112807	
731259	156293	Célestine
731259	169345	Marianne
731259	170536	
731259	214316	
731259	234285	La servante
731259	251815	La mère du marié
731259	265739	Angélique
731259	341136	
731259	345442	La vieille femme
731259	356356	Jeanne
731259	356364	La mère supérieure/Mother Sup
731259	356404	
731259	377963	
731259	381628	Louise Gautrais
731259	392580	La bonne
731260	268847	Antonia
731261	156589	
731262	8684	
731262	25997	
731262	35832	
731262	116415	
731262	124676	
731262	137877	
731262	152149	
731262	155152	
731262	189151	
731262	203954	
731262	214129	
731262	217207	
731262	218909	
731262	276306	The Mother
731262	284792	
731262	298174	
731262	300951	
731263	119044	Juliette entant
731264	52659	Girl
731264	118040	Lois
731265	4187	
731265	4321	
731265	4429	
731265	6364	Jyoti
731265	9844	
731265	25966	
731265	27410	Lachmi
731265	35563	
731265	35969	
731265	81708	
731265	83384	
731265	112258	
731265	167514	
731265	174274	Tina
731265	174660	
731265	176157	
731265	203385	Kamli
731265	222506	
731265	246112	
731265	266965	Usha
731265	271563	
731265	280271	
731265	286555	
731265	309782	Radha
731265	319834	
731265	359082	
731265	370981	Kusum
731265	373078	Anita/Rita
731266	180730	Interprète conférence
731267	13030	Amannishahan
731267	257443	Mrs. Green
731268	13060	
731268	44218	
731268	113209	
731268	133014	
731268	174050	
731268	235244	Verinha
731268	307200	
731268	326285	
731268	380081	
731268	386420	Vitória
731268	386726	Maria Helena
731268	388728	Gláucia
731268	389154	Hilda
731268	389887	Dinorah
731268	393615	Flávia
731268	401678	Cláudia
731268	402530	Mila
731268	404272	Zulmira
731268	405418	Rita
731268	408316	Lúcia
731268	409424	Ana
731268	409975	Angelina
731268	412258	Karime
731269	122210	Tester
731270	70700	
731271	137224	Chrissy Goodheart
731272	308750	
731272	392628	
731272	404912	
731273	14792	Formosa
731273	25853	
731273	296127	
731274	381200	Xereta
731274	389153	Marta
731276	380531	Clarita
731276	380563	
731276	384117	Mariana
731276	388591	Valéria
731276	401243	Irina
731276	402456	
731276	402626	Márcia
731276	405936	
731276	407868	Luiza
731276	411932	Marília
731278	396847	Ritinha
731280	402506	
731281	392629	
731281	402506	Regina
731281	402539	Rosa Garcia
731281	404178	Zezé
731281	404272	Carolina
731281	404915	Valéria
731281	409025	Leninha
731281	409347	Nurse
731282	12080	
731282	43591	
731282	67655	
731282	134487	
731282	205696	
731282	377607	
731283	351461	
731284	70227	Allison Campbell
731285	12828	Maria
731285	15240	Francisca
731285	66222	Gaby
731285	79184	
731285	148472	
731285	168373	
731285	199126	
731285	205003	
731285	227859	
731285	229821	
731285	232767	Eulália
731285	386728	Miloca
731285	389587	Maria Albina
731285	396506	Patrocínio das Neves
731285	397522	Aspásia
731285	399498	Santa
731286	106320	Secretaria
731287	396899	Dorina
731287	408316	Paula
731288	200794	Devojcica
731289	45752	
731290	305566	
731291	209335	Herself - widow of Kaj Munk
731292	155684	Britta, Karen's Sister
731294	141878	
731295	219840	Marianne
731296	307698	Camilla
731297	88692	Lone
731297	283484	Pige
731297	293698	Lille pige
731298	350114	
731299	240446	Jeanne
731299	252980	Meg
731300	28272	Esmeralda the Cat
731300	37357	Pam Schaeffer
731300	143540	
731300	147565	Valerie
731300	158526	Girl on Street
731300	202467	Pam
731300	379185	Sophie
731300	392671	Angie
731300	399130	Chrissie (1988)
731300	402197	Brumby Tucker (1986)
731301	83068	Amanda Pedersen
731301	83469	The Wife
731301	120893	Tøjekspedient
731301	137402	Merete
731301	237290	Receptionist
731301	237291	Kassedame
731301	240843	Bibi
731301	278332	Molly
731301	373618	Bente
731301	398260	Fru Sivertsen
731301	399936	(sketches)
731302	152763	Lisa
731303	66131	Fashion Model
731303	214422	Miss Knight
731304	71856	Tequila
731304	99311	Desk Girl Charlotte
731304	193202	Allison
731304	363948	Hannah
731304	410877	Tina Haven (2003-)
731305	52808	Eva
731306	289517	Girl #1
731307	97581	Madame Bertoldi
731308	294829	Nurse/Intern
731309	248865	Madre de Inma
731310	85408	
731310	122926	
731310	380850	Monkey
731311	247387	Claudia
731312	126250	Mrs. Lyons
731312	201993	Reclusa Patio
731313	23375	Cesc
731314	285076	
731315	316067	Diamanda
731316	32216	Dr. Loy
731317	318250	Ana
731318	42388	Indian Woman Giving Food
731319	125588	Estella
731320	189377	
731321	55928	Doll
731322	20916	Louise (child)
731323	56052	
731324	113139	Ecolière
731324	120989	Worker
731324	153846	Membre des Sirènes
731324	201173	
731324	211362	Rachel
731325	81328	Herself - Woman Murdered by E
731325	105720	Herself - Woman Murdered by E
731325	204865	Herself - Woman Murdered by E
731325	337274	Herself - Woman Murdered by E
731326	92742	AMR EMT
731327	79314	Girl at Exhibition
731328	334706	Zuila
731329	135996	Marcia Colleros
731330	39851	Maid
731331	727	Herself
731331	728	Herself
731331	731	Herself
731331	732	Herself
731331	4971	Victoria Phibes
731331	5149	Abbey Church
731331	22923	Princess Dia
731331	24199	Carmen
731331	41177	Herself
731331	56314	Guard Girl
731331	90362	Herself
731331	92579	Victoria Phibes
731331	92669	Laura Bellows
731331	115251	Herself
731331	115281	Carla the Gypsy
731331	124566	Nora McJudge
731331	130893	Margiana
731331	154180	Mandy
731331	160317	Herself
731331	165265	Herself
731331	168136	Extra
731331	168287	Herself
731331	181155	Carla
731331	185321	Jana Bates
731331	200926	Carolyn Page
731331	232157	Herself
731331	304554	Carol Manning
731331	305685	Extra
731331	312170	Naomi
731331	313556	Stella Star
731331	323802	Ms. Patten
731331	331784	Jana Bates (segment "Fanatica
731331	334153	Herself
731331	350193	Herself
731331	350279	
731331	352967	Herself
731331	363490	Madame Vendonne
731331	378830	Hostess (1984-1987)
731332	318370	Groupie #1
731333	313478	Zuckuss/E-3PO
731334	238552	Baby
731335	386923	Additional Voices (Blue Water
731336	390917	Melissa
731337	22017	Mrs. Rivers
731337	73131	Mrs. Woodman
731337	249051	
731337	289243	Fanny Hopkins
731337	300075	Aunt Louisa
731337	319196	Superintendent of V.A.D.
731337	327524	
731338	3559	
731339	18809	
731340	312122	Mrs. Alva Penfield
731340	320292	Madame Dumois
731341	348651	AuPairs
731342	6527	
731342	8010	
731342	38959	Jennie Jones
731342	74252	Polly
731342	78642	Katie
731342	79894	Jeannie Craig
731342	79989	
731342	144657	Maggie
731342	149821	Janet Hale
731342	168903	Delia Brooks
731342	190086	Pat Harris
731342	255008	Mabel
731342	292058	Carol Fancy
731342	305357	Effie
731342	321607	Roberta 'Bertie'
731342	327798	Helen Graham
731342	330526	Lizbeth Hempel
731342	335299	Amanda
731342	340254	Anne Pilgrim
731342	372447	Sue Connor
731343	41400	Jackie
731344	81898	Shelley Double
731345	230733	Marianne
731346	209061	Sophie
731347	382838	Leah Musgrove (1999)
731348	194136	Teen in Music Store
731349	100825	Mrs. Tomkins
731349	123467	Lady Evelyn
731349	126688	Lady Blackwater
731349	138659	Mrs. Jones
731349	165448	Lady Ingram
731349	168864	Mrs. Jeffcock
731349	219255	Mrs. Henderson
731349	221234	Mother at Station
731349	238641	Sarah Bennett
731349	240765	
731349	255329	Duchess of Harley
731349	308598	Angry Woman
731349	358661	Mrs. Stevenson
731349	411015	Miss Dempster
731350	130895	Rosalie
731351	68457	Girl
731351	170555	Prosecuting Barrister
731351	222878	Claire Jennings
731351	302110	Mrs. Harris
731351	316348	Melanie
731351	321982	Sylvie
731351	327232	Pauline
731351	384783	Jenny Simms
731352	140133	Ballroom Dancer
731352	340973	Scout Leader
731353	130180	Katie Kerns
731354	11352	Nurse
731354	39373	
731354	58493	Des's Mum
731354	133719	Vesuvia
731354	226916	Beverley
731354	382144	Herself
731354	386141	Shirley Ambrose
731354	389157	Vilma
731354	389859	Sister Washington
731354	392169	
731354	397983	Matilda Lambert
731354	401623	Presenter
731354	411295	
731354	411793	Nurse Corrinna
731355	358357	Ticket Agent
731356	360712	Bridesmaid
731357	154450	Margo
731358	49247	Woman in Hotel Room
731358	110363	Mrs. Pobjoy
731358	117647	
731358	146781	Miss Pixley
731358	193007	Lavender Seller
731358	219747	Woman Lodger
731358	257939	Woman on Street
731358	263966	
731358	363758	Applicant
731359	94117	Lexus
731359	95786	
731359	185114	Scottie
731361	386339	Female Student #1
731362	70392	Anna
731364	113306	Biker's Girlfriend
731364	119436	Heather
731364	131732	Dancer
731364	245008	Solid Gold Dancer
731364	274559	Hooka Girl
731364	289113	Hooker
731365	195311	The Queen
731366	345571	
731367	133857	Resi Ebesteder
731367	210240	Nellie Melba
731367	228640	Marietta d'Altena
731367	401012	Herself
731368	250805	Helene Arnold
731369	283492	Louise Donnelly
731370	293144	Unnamed Female Victim
731371	256206	Party Guest
731372	227042	Tina
731372	410280	Sophia Ekberg (1997-)
731373	54995	Ruth
731374	128352	Norma Hansen
731374	141821	Herself
731374	160615	The Model
731374	267526	Purity/Virtue
731374	295636	Herself (in still photo)
731377	96564	E. R. A.
731378	151365	Laurie Thomas (Twin)
731379	347053	Terry Morgan
731380	299783	
731381	37100	Mary Whitlock
731381	47286	Constance Palmer
731381	60189	Florie
731381	77015	Jersey Thomas
731381	92959	Student
731381	94142	Dr. Ann Montgomery
731381	114695	Kitty Carmody
731381	130467	Ruth Howard
731381	131240	Belle Watling
731381	140958	
731381	141807	Herself
731381	145900	Anne Baker
731381	150170	Juliette Hunter
731381	155558	Belle Bonner
731381	183650	Julie Mirbeau
731381	187467	Martha Wilson
731381	274163	Mrs. Storm
731381	289418	Kitty Mulhane
731381	297369	'Mother' Gin Sling
731381	358194	Julie O'Conover
731381	365261	Clarabella
731382	273698	Robi Briggs
731383	54655	
731384	151365	Terry Thomas (Twin)
731385	342041	Danielle
731386	400356	Mathilda Skaren
731387	27408	Opettaja
731387	171583	Hilkka Saarenmaa
731387	178376	Ritva
731387	200933	Irma
731387	392553	
731387	394538	Kielo
731388	371271	Profesora
731389	9386	Garazi
731389	9945	Carmen
731389	22702	Rosa
731389	24206	Lucía
731389	25785	Maud Lerner
731389	28003	
731389	31548	Mariam
731389	57429	Madeleine
731389	74745	
731389	89938	Esther
731389	103464	Helena
731389	108981	Cristina
731389	131071	
731389	184870	Amelia
731389	186546	Julia
731389	222046	
731389	231082	Irina
731389	243448	
731389	248148	Tina Bordereau
731389	248904	
731389	249883	Laura
731389	253277	Wife (segment "Faith")
731389	256657	Mila
731389	257908	Colometa
731389	269907	
731389	273075	Irene
731389	277391	Elisa
731389	285934	Palmira
731389	307301	
731389	317810	Elena
731389	328203	
731389	331251	Anna
731389	334660	Marta
731389	339793	
731389	353017	Herself - Winner: Best Lead A
731389	353195	Maite
731389	354265	Herself - Presenter: Best Lea
731389	356932	
731389	367977	Moeder
731389	369754	Herself - Presenter: Best Cin
731389	369870	Herself - Winner: Best Short 
731389	378020	Lola
731389	380639	Garsa
731389	383772	Madre Corazón
731389	407859	
731389	408306	Alicia
731390	31542	
731391	300720	
731392	99356	
731393	99356	
731394	43632	
731394	84657	
731394	199579	Mademoiselle Dubois
731394	206725	
731394	280521	
731394	294739	
731395	25739	Pusa
731396	326823	Vanessa
731397	64129	
731397	73597	
731398	97080	Eban's Mother
731399	104807	Petra
731399	147541	Herself (Performer At Party)
731399	215668	Performer
731400	173087	Tante Louise
731401	404786	
731402	381532	Herself - Designer
731403	307765	Magdalena, Mr Ps
731404	225233	Girl on the sailing boat
731404	333564	
731405	411366	Young Alinta (episode 1: Alin
731406	78745	Dance Troupe
731407	371896	Yuwan
731408	81159	Natasha
731408	151062	Jill
731409	61643	Bellevue patient
731410	49298	Evi
731410	87139	Lara
731410	119256	Eva
731410	276096	Lulu Brentano
731410	325848	Sabine Irlbeck
731410	334535	
731410	388468	Julia
731410	390707	Evelyn Scholl
731410	409861	April West
731411	284125	
731412	237748	Jana, friend
731412	304202	
731412	357591	
731412	398851	Kadlecová
731412	407278	Hilschová, Milada, Sípek's se
731413	244259	Lotynka Muknsnáblová
731414	271679	
731415	339247	
731416	180480	
731417	274361	Yakuza leader
731418	316985	Märta (mamman)
731419	197577	
731420	257170	Herself (wife of Dr. Mupapa)
731421	150461	La Chochita
731422	95325	
731422	207726	
731423	177053	
731423	296457	
731423	378439	
731424	247159	Palmira
731426	178833	Amiga de la chica del Km. 0
731427	29672	Eunuco
731427	67027	
731427	74655	
731427	85554	
731427	103185	
731427	132641	
731427	135292	
731427	155666	
731427	200080	
731427	289080	
731427	343621	
731428	170069	
731429	201346	Little Majorette
731430	52543	Zana Zaranda (Rita in credits
731430	56044	Singer with Guitar
731430	124765	Herself
731430	148918	Senora Mendoza
731430	264460	Loti
731431	201346	Little Majorette
731432	20439	Vietnamese girl
731432	139151	Groupie
731433	21406	
731434	201346	Little Majorette
731435	339866	Slave Dancer
731437	8283	
731438	139294	TV Station Receptionist
731438	295826	Woman on Street
731439	251011	Graduate Student #2
731439	321348	Veda Lou Helms
731440	217146	
731441	179259	
731442	6166	
731443	77186	
731444	3025	
731445	311398	Arus
731445	329163	
731446	382610	Nitta Chiharu
731446	386236	Kazumi Takiura
731447	80106	Bete
731448	109926	
731449	237979	Herself
731450	170243	Door girl
731451	248788	Izumi Kinoshita
731452	20625	Extra
731453	20625	Extra
731454	359612	
731454	370235	Tsuyu
731455	604	Mona Hsia
731455	76305	Herself
731455	231234	Yoshiko
731455	284721	Lin (Lynn)
731456	28058	Tae Anzai (Episode 1)
731456	84253	
731456	336581	Kaoru Nakamura
731456	349293	Junko Kashima
731456	370413	Yurie
731456	374207	
731457	384559	
731458	349220	Yukky
731459	182714	Michiko
731460	114449	Lisa
731460	232157	Woman at Bar
731460	269771	Hostage
731460	358708	Girl in Bed
731461	156393	Ko-Haru
731462	15968	
731462	45588	Krishna's Mother
731463	19595	Ritsuko
731463	179464	
731463	223307	
731463	233098	
731463	306864	
731463	324536	Secretary
731463	336400	
731464	17428	Benichyo, Shibata's lover
731464	138099	
731464	140437	
731464	155501	
731464	233118	
731464	233136	
731465	278401	
731466	223971	Head waitress
731467	233136	
731468	42711	Librarian (segment "Eye")
731468	81117	
731469	39849	Mung
731470	14956	
731470	16869	Ninuccia
731470	104508	
731470	158763	La cuoca Mélie
731470	162083	Claudia
731470	211800	
731470	251051	
731470	348137	
731471	335270	Rie Aoyama
731473	2252	(segment "Teuf d'enfer, La")
731473	346611	Hélène
731474	196387	Father's colleague/Theatre Gr
731475	211825	
731476	238167	2nd Secretary
731477	255636	Ragazza in piazza Sordello
731478	108673	
731479	309418	Herself
731480	125198	Wakako
731480	125199	Wakako
731481	4018	
731481	8896	Masako
731481	20024	
731481	22697	Landlady
731481	29573	Junko Matsushima
731481	61456	Sumie
731481	98582	Ryosuke's mother
731481	137006	Kane
731481	139725	
731481	145442	Setsuko's mother
731481	145452	Doctor
731481	153867	
731481	156163	
731481	167480	
731481	170332	
731481	172270	
731481	172471	Sei Komatsu
731481	175360	Fujie
731481	178418	Fujiko Arima
731481	181490	Kikyoko Shirakawa
731481	200544	Keikichi's wife
731481	212530	Naoko, Shinobu's mother
731481	227319	Ayako Kirihara
731481	227320	Ayako Kirihara
731481	232922	Tatus, Ryosaku's wife
731481	233198	Hikoichi's mother
731481	239297	Proprietress of the bar
731481	242148	Sakai's wife
731481	273151	
731481	273152	
731481	278378	Kikuno Miyoshi
731481	284076	Uta, Chiho's grand mother
731481	288653	
731481	300483	Yoshiko
731481	308892	
731481	358394	Atsuko Yamagata
731481	370235	Kuniko
731481	371990	Madame
731481	373365	Chengfei
731481	374092	
731481	375590	Sakai's Wife
731481	375618	
731482	285738	Kodomo C
731483	61511	Voice
731484	296407	
731485	344078	Art Dealer's Wife
731486	88805	Beckman's daughter
731487	340293	
731488	113224	
731488	250993	
731489	190313	Radio D.J. #3/Announcer
731490	1857	Femme de service
731490	44987	
731490	70150	Lola
731490	108221	Erika
731490	156557	Géraldine
731490	164149	La vendeuse 2
731490	166105	Toba
731490	220258	Berthe
731490	391479	Ketty
731491	113335	Penelo
731491	382648	Hime Utsumiya
731491	409065	Sochie Heim
731492	279884	Daughter (child) (segment "Pr
731493	8896	Kazuko
731493	9562	Ume
731493	29573	Takako Ichioka
731493	31522	Oyasu
731493	36527	Okume
731493	37479	Yukio's Mother
731493	78335	Takiko Shima
731493	104269	Muraoka
731493	104272	
731493	104273	
731493	122535	Tamako
731493	158675	Nuiko
731493	163850	Chiyo
731493	167977	
731493	168877	Otatsu
731493	172236	
731493	172257	
731493	172259	
731493	174952	Akiko Ida
731493	181575	
731493	216502	Owner
731493	226655	Aki Asaka
731493	242179	Kaneko Yasuda
731493	242229	
731493	288353	
731493	299346	
731493	341259	Landowner's wife
731493	348635	
731493	348751	Shino
731493	370731	Omaki
731493	373365	Lu-hua
731494	275086	Raru
731495	76897	The Old Farmer's Wife
731496	1471	Voice of naoto
731496	9574	Tera
731496	167581	Tetsuko Hayasaka
731496	298425	Shenhua's mother
731497	233136	
731498	229965	Misa
731499	234648	
731500	33577	L'employée du bureau B.C.B.
731500	167200	
731500	188697	Charlotte
731500	234721	La mère
731500	282409	
731500	282410	
731500	295211	Mme Lalorgue
731501	36612	
731502	178726	
731503	180381	Valentina Ivanovna
731503	242476	
731504	60881	
731505	179225	Lyuba
731505	192625	
731505	258436	Lisa
731506	59885	Club Dancer #7
731507	81694	
731508	429	
731508	21292	Galina Kadetova
731508	23853	Lyudmila (segment Chto nasha 
731508	26206	Marina
731508	43213	
731508	62354	
731508	94845	Inessa
731508	104258	
731508	130010	
731508	163899	
731508	174163	Nina Solomatina
731508	176052	
731508	179327	Mariya Pavlovna
731508	198156	Semyonov's mother
731508	199266	Vera
731508	214251	
731508	219723	Lyudmila
731508	224340	
731508	224440	
731508	230453	
731508	234302	Solokha
731508	236070	Doctor
731508	239370	
731508	268182	
731508	283055	
731508	283152	
731508	286558	Nadya Klyueva
731508	325085	
731508	343301	
731508	374308	
731508	380238	
731508	404033	
731508	404034	
731509	374770	Belotelova
731510	225971	
731511	158934	
731512	16888	Naomi
731512	283457	
731513	202255	Corrina
731514	145272	Tizcuitl
731514	212411	
731514	251966	Dolores/Chava's Wife
731514	387817	Jacinta
731515	395236	
731515	410108	Irma
731516	48952	
731516	60212	Noga
731516	91769	Co-ed with Red Umbrella
731516	115890	Tara
731516	185841	Anne
731516	205904	Mary
731516	289113	Wayne's Mom
731516	297382	Dream Sequence Hooker
731516	318188	Kelly
731517	34669	Marie Ramos
731517	40327	Aunt Patricia
731517	41843	
731517	44325	Elena Morales
731517	45044	Dolores
731517	100198	Nurse Ramsey
731517	176919	Sgt. Bandani
731517	277039	Madam
731517	278268	Maria Jahnke
731517	293007	Alvarado
731517	314963	Teresa Ramirez
731517	342756	
731517	353416	Nellie Ramirez
731517	383780	Flor Marquez
731517	401930	Dr. Maria Rodriguez (1999)
731517	404282	Carmen Castillo #2 (1990-1991
731517	407640	Alma
731518	308369	Woman Possessed
731518	401275	Mrs. Smith
731519	17544	Annushka
731520	223850	Jane Foster
731521	57380	Young Dede
731522	330377	Woman at Desk in Club
731523	148775	
731524	154427	Good Day Chicago Anchor at WF
731525	135270	Mafalda
731525	186541	
731525	369445	Administratorka
731526	292738	
731527	155257	Mrs Fowler
731527	385299	Beverley Grice (1986-1988)
731527	393934	Sara Robbins
731527	411850	Mary Rose (1985-1986)
731528	55719	Hospitality girl
731529	292594	Model
731530	134672	Buster's daughter
731531	321515	Featured Dancer
731532	372069	Mum
731533	55697	Nurse
731533	297006	Girl in Lift
731534	176448	Janet Clouston
731534	305498	Miss Kirk, Baby Angelica's Na
731534	328529	Mrs. Shallcross
731534	329533	Alice Green
731534	352143	Sister Brown
731535	140399	
731536	53292	Katelyn's Friend
731537	94861	Donna, Dead Showgirl
731537	270752	Dancer
731537	333393	Virtual Reality Woman
731537	339596	Dancer #3
731538	236494	Dalton's Girl
731539	195300	Billy's Video Vixen
731540	299066	Joni Colson
731541	117483	Brunette Hooker
731542	32057	Helen De Travillac
731542	54496	Aurelia, Madame Trentoni
731542	102007	Betty Howard
731542	157247	
731542	224406	Beatrice Hammond
731542	245280	Miriam Gibson
731542	257973	Emily Delmar
731542	277734	Benjamine Downey
731542	282627	Angela, Princess of Arcacia
731542	295462	Betty Howard
731542	363347	Norma Hardacre
731543	299066	Lori Keel
731544	117844	Featured
731544	202460	Actor
731545	117844	Featured
731545	202460	Actor
731546	299066	Mrs. Keel
731547	318	Juliana
731547	278169	Singer
731548	79408	Reporter
731548	259284	Screaming Wife
731549	79042	Josh's Mother/Mrs. Jackson
731549	137536	Mrs. Shaugnessy
731550	223776	Failed Sitcom Actress
731551	213852	Mary Donovan
731551	283450	Jill Sullivan
731552	56163	
731553	121497	Police Officer
731554	62939	Christine
731554	80518	Marilyn Tucker
731554	191737	Henri
731554	278169	Medical Secretary
731554	308183	Debbie
731554	382932	Helen
731554	387247	Marie Davies (1989)
731554	389844	Ruth
731554	400412	Mrs. Reed
731555	74965	Ludivine
731555	377253	Girl in bus
731556	105739	
731557	350353	Linda's Daughter
731557	405825	Ludmila
731558	349661	Dona Nati
731559	54248	Ilyana
731560	70944	Madame Faussait
731560	127906	Ioana
731560	161532	
731560	272351	
731560	346726	Glamorous Woman
731561	3372	
731561	161530	
731561	186855	
731561	296350	
731561	345019	
731562	8583	
731563	377064	
731564	288890	Paul's ex-wife
731565	151537	
731566	70429	Loretta
731567	1381	Herself - a Writer
731568	54734	Rita
731568	236954	Clara
731569	240761	Cora Pearl
731570	351643	Martita
731570	385401	Comentarista
731571	224192	Rooftop chorus
731572	395885	Ángeles
731573	1488	Herself: Producer, accepting 
731574	291452	T & A Cheerleader
731575	16801	
731575	41414	Hotel Room Maid
731575	69204	
731575	107716	
731575	150555	
731575	342147	Martha
731576	360946	
731577	7504	
731577	17073	Ticket Girl (old movie)
731577	81516	Wife
731577	81517	(segment "The Judgement")
731577	86058	
731577	98654	Maria Pilar
731577	109980	Ragazza incinta
731577	121944	
731577	148058	Chérie
731577	162036	Poppea
731577	162055	
731577	165306	Samantha
731577	171720	
731577	212578	
731577	253332	
731577	259702	Laura
731577	269636	
731577	273702	Maria
731577	278015	La Farmacista
731577	312346	Jessica
731577	315436	Suzy
731577	316378	Kid in Capri
731577	329147	
731577	352570	Teenager
731578	46863	Sister on hill
731579	315597	
731580	277811	Laura
731580	386690	
731581	213324	Sphinx
731582	43757	Une fille (segment "Bons viva
731582	324638	
731584	14748	Ernesto's Wife
731584	18641	Doña Rosa
731584	18768	celadora
731584	24906	Ursula
731584	51811	Sra Romero
731584	52081	
731584	69489	Madre de Natalia
731584	69855	
731584	70662	Chofer de estudiantes
731584	74135	
731584	80239	Jovita
731584	80254	Doña Beatriz Vallarta
731584	87115	Mayan
731584	95181	Palace maid
731584	97739	
731584	103158	
731584	103462	Dolores
731584	122790	Nurse at Brimmer House
731584	130479	
731584	161431	
731584	165794	Juana
731584	167801	
731584	169240	
731584	170047	Voz de Zuzanka
731584	196740	
731584	198918	
731584	206988	
731584	207736	
731584	212246	
731584	212493	Joaquina
731584	219222	Vecina
731584	219315	Chiara
731584	220129	Luz Mother-in-law
731584	226489	Doña Amelia
731584	228560	Amparito
731584	237806	Neighbor woman
731584	241524	Dona Teresa
731584	243055	
731584	244464	Maid
731584	246202	
731584	248289	
731584	249429	
731584	251183	
731584	251729	Damiana Cisneros
731584	260503	Eva
731584	265458	Catalina, prostituta
731584	275070	Doña Victoria
731584	296141	Vendedora de Colmado
731584	322854	Doña Meche
731584	324923	Wife
731584	355752	
731584	377099	Trabajadora factoria
731584	377142	
731584	379133	
731584	380083	Doña Lupe (Mamá Lupe)
731584	391570	Rigoberta Rondón
731584	400664	
731584	400947	
731584	407645	Alicia Larios
731584	408888	
731584	409683	Portera
731585	90652	
731586	305432	Mausi
731586	312048	Bridgitte Sonnenborg
731586	391479	
731587	339117	
731588	388721	
731590	1261	
731591	14748	Julie
731591	29828	
731591	37706	
731591	49890	Christian
731591	61208	
731591	69325	
731591	71113	Martha
731591	74577	
731591	76224	
731591	157185	
731591	166548	
731591	197450	
731591	204992	
731591	209298	Rosarito
731591	210171	Aurelia
731591	215401	
731591	225011	
731591	247976	
731591	259314	
731591	263209	
731591	269259	Perla
731591	276569	Irene
731591	279585	
731591	281760	
731591	292764	
731591	293962	
731591	326540	
731591	328509	
731591	335525	Julia
731591	349956	Marina Guzman
731591	351616	
731591	373962	Miss Thorina
731591	376813	Luisa
731591	379565	Liliana
731591	380839	
731591	381024	Elena
731591	381029	Ana
731591	384770	
731591	385401	Andrea
731591	385415	
731591	386126	Valentina
731591	388095	Dr. Irene Del Conde/Doña Lucr
731591	390511	
731591	390869	
731591	396815	
731591	396852	Isabel Montenegro
731591	399763	Clara
731591	399823	Consuelo Del Valle de Uribe
731591	401690	Susana
731591	402181	Fernanda
731591	404985	Luisa
731591	405281	Fedora
731591	409913	Barbara
731591	410319	Estela
731591	411660	
731591	411710	Matilde
731592	58696	
731592	76017	
731592	206983	
731592	209035	
731592	273780	
731592	292731	
731592	301188	
731592	345600	
731592	371758	
731593	89946	Simone Lambert
731594	111437	Herself
731595	80201	
731595	233757	
731596	380103	Lucía
731596	383827	
731596	392352	Rocío
731596	404989	
731597	115759	Dancer
731598	238296	
731599	205626	
731600	111847	
731600	183149	La domestica di casa Massani
731601	281864	Mother Superior
731602	80288	
731603	65138	La pompiste
731604	115747	
731605	17329	Janeth
731606	390449	Herself
731607	78489	Herself (performing 'Jordisk 
731607	78494	Herself (performing: 'Hvis du
731608	58755	Femme Hôtel
731608	60676	La caissière de la librairie
731608	70955	Anna
731608	71828	Josyane Leblanc
731608	88193	Marianna
731608	101164	Conception
731608	107459	Christine
731608	146430	Pierrette
731608	160819	Monique
731608	161650	L'amie
731608	162485	
731608	193444	Dany
731608	199389	Marie-Josèphe
731608	202085	Toinette
731608	203219	Angela
731608	205088	
731608	205678	
731608	215940	
731608	235804	
731608	238483	Lucie
731608	240487	Odile Fouchet
731608	258306	Elle
731608	259916	La femme
731608	261841	Alexa
731608	276343	
731608	282053	Chantal
731608	282417	Agnès
731608	283653	
731608	284666	Wendy
731608	332201	Marie Daurignac
731608	336828	Christine
731608	336964	Céline
731608	353845	Musette
731608	376999	Rosalie
731608	387617	Catherine
731608	391479	Jocelyne
731608	393397	
731608	402720	Marie-Christine Barnier
731608	410144	Madame Dutour
731609	289372	Featured Extra
731610	351494	Cachetona
731611	225045	
731611	398458	
731611	403173	Rebeca
731612	289372	Featured Extra
731613	193015	
731614	9668	Isidra
731614	11695	
731614	14432	
731614	14815	
731614	19484	Rosa, sirvienta
731614	24989	Turista
731614	25028	
731614	25806	
731614	45762	
731614	52954	
731614	54661	
731614	54867	
731614	55964	Librada
731614	56518	
731614	63888	
731614	67366	Madre de Manuel
731614	70670	
731614	72366	
731614	72378	
731614	74551	
731614	74573	Nana
731614	89929	
731614	98997	Dona Catita
731614	103756	Nana
731614	104111	Mujer madura
731614	117330	
731614	124445	
731614	148095	
731614	169780	
731614	193070	
731614	209298	Hippie
731614	213705	Maid
731614	214694	Chonita
731614	221912	
731614	221996	Paciente de doctor
731614	222006	Sirvienta
731614	222049	(segment Amor y yoga)
731614	225051	Portera
731614	225589	
731614	229434	
731614	234307	
731614	234424	Don~a Carmen
731614	235307	
731614	236032	
731614	236035	
731614	244604	Sebastiana, criada
731614	244642	
731614	251567	
731614	253669	
731614	263211	
731614	269918	
731614	271840	
731614	272566	
731614	277383	Justina
731614	279060	
731614	279824	
731614	287446	
731614	287901	Felisa
731614	292953	
731614	301386	
731614	301863	
731614	318954	
731614	322854	Abuelita Sebos
731614	324841	
731614	328716	Adela
731614	332918	Señora Negrete
731614	332945	
731614	352944	
731614	353573	Visitante
731614	356671	Beata
731614	371777	
731615	157752	Little Lupita
731616	95348	Esposa del borracho
731617	99760	
731617	103951	
731618	284328	
731619	193076	
731620	44223	
731621	29630	
731622	383474	Fatima de Fee
731623	6085	
731624	35933	Fanshetta
731624	323635	
731625	15002	
731625	101581	Léa Leoni
731625	127992	Zanetta
731625	157618	Lucia Viola
731625	236136	Mujer de los sueños
731625	249371	Girl at the bar
731625	270840	
731625	400404	Franca Baldini
731626	213507	
731627	385465	Ms. Sutton
731628	313181	Henry's mother
731629	386616	Eriq's dog
731630	321954	Ex-KGB Operative/Professional
731631	713	Unterwäschemodel #2
731631	392913	Co-Host (1999)
731631	396874	Zoé Voss
731632	40901	Ethel Mae Beausoleil
731633	300565	Suad
731634	29519	Darryl's New Prospect
731634	264452	Hideous Experiment Girl
731634	292892	Ms. Chandler
731634	341772	The Business Woman
731634	348526	Lonely Woman
731635	270218	
731636	30581	Topless Dancer
731636	385322	Herself
731637	339303	Girl
731638	26311	
731638	37761	
731638	159608	
731638	209965	
731638	325578	Aramis
731639	144082	
731640	81062	Dutch Villager
731641	224070	Child
731642	179073	Ms. Bitch
731643	158165	Foster mother
731644	366515	Theres 'Resi' Bergmann
731645	194116	Emma/Young Alatien Woman/Fema
731645	208410	Mona Sax/NYPD Dispatcher/Lady
731645	367068	Background Singers
731646	171497	
731646	261306	Hilda
731646	357700	
731647	18651	
731647	28290	
731647	57908	
731647	71002	
731647	74808	
731647	75498	
731647	78553	
731647	80240	
731647	83442	
731647	143776	
731647	148093	
731647	216087	
731647	223613	
731647	252612	
731647	260834	Marquesa de luanco
731647	283253	
731647	293052	
731647	322341	
731647	332705	
731647	353600	Doña Purificación
731648	273497	Dr. Beverly Mathias
731649	92285	
731650	300561	
731651	359753	Paris Singer
731652	18498	Chee-Chee's Left Hand Girl
731653	281536	Catherine
731654	28058	Yoko Azuma (Episode 4)
731654	28059	Nanako Kosaka (Episode 4)
731654	28126	
731654	31080	
731654	48438	Ponta
731654	135209	
731654	164026	Shizuko
731654	173193	
731654	214296	Asako Tsukishima (Shizuku's m
731654	234085	Aya, Elizabeth's friend
731654	234508	Akagi, Reiko (Fujimoto, Suzuk
731654	244983	Kuniko Junouchi
731654	279811	Woman in restaurant
731654	289298	Editor of 'Kageki'
731654	298939	
731654	300434	Naomi
731654	306515	
731654	314630	
731654	336581	
731654	341308	Kazumi
731654	370454	Inako
731654	379406	Mizuho
731654	411646	Sachiko Yamada
731655	348215	
731656	376527	Julia Muruszka
731657	84203	Herself
731659	236950	Pig hooker
731660	20957	Bikini Girl #2
731661	347740	Patricia 'Pat' Wayburn
731662	41212	Dodd, Trudy
731663	59375	Teacher
731664	406717	Mandy
731665	73479	Extra
731665	338981	Herself
731666	63342	Tommy's Mom
731666	97413	Waitress
731666	210469	Reyna Álvarez
731666	291066	Alice McNeil
731666	313334	Letti, Pepe's Girlfriend
731666	327592	Rita
731667	9142	Young Mother
731667	26064	Additional Voices
731667	179513	Journalist #1
731667	240682	Dinner Woman
731667	245273	Samantha
731667	301700	Olivia Porter
731667	331085	Phoebe
731667	382743	Novice Therese
731667	386375	Various
731667	391869	Tanya Ellis (1998)
731667	405960	Lynn Palmer (1982-1984)
731668	104901	
731669	5960	Carmen
731669	20436	Sarah
731669	233060	Lisa
731669	296888	Ackerman, Sherry
731669	333365	Julia Duffy
731670	266767	Pete
731671	1376	Verna
731671	12293	Ann
731671	23474	Woman On The Sidewalk
731671	189982	Mrs. Abernathy
731671	348594	Ethel Davis
731673	202923	The Yeti
731673	326845	Pam
731674	349864	Beautician
731675	94105	
731675	241728	
731676	1725	Herself - Presenter
731676	1748	Herself
731676	2894	Herself
731676	3100	Alex
731676	16918	Nurse Bellows
731676	23951	Daniella
731676	43624	Mary
731676	45566	
731676	60763	Jody Marken
731676	66194	Tai Fraiser
731676	66196	Herself
731676	68470	Dorothy Nelson
731676	79529	Lisa
731676	84962	Rivkah
731676	90381	Elisabeth Burrows
731676	91768	Julia Marie Neuland
731676	93747	Deliverance Bodine
731676	93959	Lisa Swenson
731676	107922	Emily Nicholson
731676	108350	Elise
731676	119622	Rhonda
731676	128583	Daisy Randone
731676	131375	Nelly
731676	138792	Gloria
731676	161361	Herself
731676	171197	Sarah McNerney
731676	191653	Stacy
731676	201601	Herself
731676	221482	Herself
731676	230434	
731676	254761	Veronica
731676	265861	Izzy
731676	274585	Herself
731676	278082	Fay Hope Forrester
731676	300943	Ashley
731676	302329	Shellie
731676	312092	Nikki
731676	318692	Dede Mulligan
731676	326664	Herself
731676	340058	Ruby Pearli
731676	348545	Molly Gunn
731676	373591	Reba Simpson
731676	379828	Molly Morgan
731676	394497	Luanne Platter/Joseph Gribble
731676	401191	Tank the 8th grader
731676	405493	Sarah (1994-1995)
731677	79202	Nurse
731677	381166	Hilary (2003-)
731678	41478	Young Molly Bloom
731679	240682	Overcliff Girl
731680	189325	Dubbie the Blonde
731681	70727	Jackie Thorndyke
731681	359793	Dorothy Richards
731681	362428	
731681	366888	
731682	5009	Nurse
731682	8945	Nurse
731682	54657	Companion
731682	193621	Hotel Waitress
731682	197026	Lois
731682	199485	
731682	210671	Jitterbugger
731682	217411	Polly
731682	222713	Woman at door
731682	238913	Tina
731682	240814	Dolores
731682	254519	Esther
731682	331089	Tub
731682	381729	Trish
731682	385950	Miranda McDipper
731682	387247	Lorna (1997)
731682	388321	DC Cheryl Barker (2003-2004)
731682	391454	Janice
731682	392129	Tilly Watkins
731682	394163	Nurse
731682	400110	Vigil Keeper
731682	406723	Simone
731682	407826	Mrs. Myers
731683	69391	Little Person
731684	23462	
731684	55122	Waitress
731685	131559	Hospital sister
731686	192191	Bohdie's mother
731687	343316	
731688	73683	Jane
731688	238246	Sandra
731688	388209	Niamh Cassidy
731689	238683	
731690	273431	Herself/San Francisco
731690	273432	
731690	273433	
731690	273434	
731690	273436	
731690	360734	Cory
731690	402993	Herself/San Francisco (1994)
731691	210787	Peg
731692	189473	Twin 2
731692	397536	Lola
731693	195518	Nancy
731694	29966	Secretary
731694	35156	Debbie
731694	75567	
731694	77935	
731694	82318	
731694	95209	Nurse Curtis
731694	257507	Paula
731694	309231	
731695	58526	Councilwoman
731696	200336	Carol
731696	381814	Tabitha Stephens (1966-1968)
731697	345690	Mother Walking By
731698	2816	Nominee for Best Performance 
731698	22651	Natalie Streck
731698	57929	Juliette Simone
731698	79807	Mary Todd Lincoln
731698	90900	Frame Shop Owner
731698	164699	Karen Heller
731698	185222	Joan Naylor
731698	187899	
731698	238152	
731698	311038	Rosalie Octavius
731698	313423	Anij
731698	323843	June (vocalist)
731698	390883	Heather Olshansky
731698	395490	Abigail Adams
731698	395601	
731698	398567	Francesca Cross (1995-1996)
731698	410868	Dr. Ruby Stern
731699	90771	Mob Girlfriend
731699	260697	Debbie
731700	67612	Barmaid
731701	100591	EMT Tarantino
731701	167049	Female Lead Atheist
731702	5809	Phyllis Jones
731702	7907	Arthur's Wife
731702	11080	May Brooks
731702	18587	Myrtle Devoe
731702	26649	
731702	32910	Daisy Presby
731702	39425	Jeanne Harmon
731702	45963	Vivian Bolton
731702	50034	Vera
731702	57109	Doris Henry
731702	60201	
731702	65936	Nancy Downs
731702	67125	Bessie
731702	74049	Diana Drake
731702	77845	'Jazzbo' Gans
731702	79456	Mabel Vandegrift
731702	81027	Ethel Jordan
731702	90386	Velma Gay
731702	95840	Betty Reed
731702	96949	
731702	102549	Minnette Christie
731702	106240	Myra Rogers
731702	108869	Ruth Harrington
731702	113595	Lola Mackey
731702	117803	Trixie de Forrester
731702	118054	Em, Hotel Detective's wife
731702	123212	Helen Arnett
731702	128392	Madge
731702	130460	Madeline Manners
731702	134292	Edna
731702	143062	
731702	145825	Mary Mullaney
731702	145952	Mary Jackson
731702	161502	
731702	168932	Georgette
731702	176345	Lou
731702	177517	Mary Fielding
731702	186155	
731702	186790	
731702	187724	Carrie Nichols
731702	191834	Myra Clinton
731702	191928	Vivian Dale
731702	192602	Rena Austin
731702	197405	May Wallenstein
731702	198049	Elsie Chase
731702	202936	Zephne Lamont
731702	203255	Eleanor Ross-Fayne
731702	208895	Mary Ellen McFadden
731702	213077	Jeanne Wentworth
731702	216892	
731702	224133	Edna Brand
731702	234213	Doris Standish
731702	235171	Dorothy
731702	237754	
731702	239070	June Craig
731702	243235	Helen Brayshaw
731702	245651	Lucy
731702	246598	Eloise Hardy
731702	254689	
731702	257540	Betty Bedford
731702	259262	Alice Bennett/Dorothy Stone
731702	267377	
731702	278061	Grace Nolan
731702	281861	
731702	287948	Jane
731702	292144	Beth Randall
731702	300103	
731702	301640	Mary Stoddard
731702	301950	Lucindy
731702	315119	Fanchon La Vere
731702	319200	Susan
731702	325107	Betty Greystoke
731702	334346	Jennie
731702	347317	
731702	349994	Mary Calvert
731702	362317	Mary Douglas
731702	363935	Gwen
731702	364800	Nell Martin
731702	365640	Myrtl Barrington
731702	365690	Edna Tavernay
731702	367045	
731703	302568	Mary Kidd
731703	358608	Gypsy Girl
731704	213664	Megan Thompson
731705	113463	Ruby
731705	208878	Kate
731706	99296	Stacey McGinty
731706	195345	The Stomper
731706	335721	Dan's secretary
731707	268201	Nurse
731708	35610	Herself
731708	137685	Herself
731708	319951	Cameo
731708	381814	Tabatha Stephens (1966-1972)
731709	89327	Lucy Sternen
731709	134418	Hot Mama
731709	168238	Sorority Girl
731709	193718	Tiffany Jade
731709	259904	Harem girl
731709	381722	Pamela in Microsoft commercia
731709	389982	Unbelievable Babe
731710	96958	Ford Model
731710	235571	Escort
731712	199759	Bette Ciccone
731712	208501	Girl on the beach
731712	328568	Marissa Wells
731713	240024	Colin
731714	7799	
731714	74235	Lady Clerk
731714	112566	Moire
731714	230377	Katie O'Connell
731714	238630	Cathy Llewellyn
731714	254657	Kate Doogan
731714	302568	Jean Carlisle
731714	398990	Mlle. Duchesnois
731715	8362	Girl at Social Security Offic
731715	305990	Jackie O'Keefe
731715	350349	Young Woman
731715	399567	Liberty Hall Woman 1
731716	193176	Character Voice
731716	277635	Additional Voices
731716	343935	Herself
731717	291503	Alice (child)
731718	57929	ABA Student
731718	71154	Odalisques
731719	303820	Susan
731720	980	Agent November
731720	269848	Angie
731721	383619	
731722	230857	Cleopatra
731723	37092	Kid #3
731724	18623	Georgia
731724	241311	
731724	363655	Heather - Lead
731724	368267	Gretchen
731725	37654	
731726	128356	Ana Ashe
731727	199525	Cora
731727	216469	Nurse
731727	248132	O.R. Nurse
731727	331475	Gate attendant
731728	189973	Child
731729	67802	Garzier's daughter
731730	165556	Midwife
731730	367435	Mlle. Jouret
731731	20044	
731732	215691	Miss Oregon USA (Finalist)
731733	388209	Candy (2002)
731733	399567	Mary Fogarthy
731734	19426	Norma
731734	28930	J.L.'s Mother
731734	35723	Myra
731734	52007	Karen
731734	90283	Airline clerk
731734	110319	Ice Cream Mom
731734	144577	Nurse
731734	190928	Margaret Holroyd
731734	209156	Mrs. Hooks
731734	213112	The Waitress in Florida
731734	221050	
731734	274521	Knockers
731734	365147	Rose Bower
731735	241243	Sister
731736	27153	Holly
731737	186618	Anne
731737	304758	Lea
731738	80699	Witch #1
731738	277800	Judy
731738	384783	Maureen
731739	198337	
731740	305351	Maria
731741	123449	
731742	99157	The Girl
731742	116672	
731742	128356	Kathleen O'Connor
731742	154581	First Irishwoman
731742	179012	Norah Lahy
731742	215323	Dolan
731742	266754	Maureen
731742	270745	Kitty Hogan
731742	362914	Queenie Coleman
731742	365899	Helen
731742	367741	
731743	409698	Co-host
731744	191653	Stacy at 7
731745	134	Maddie
731745	25814	Billie Golden
731745	50645	Judith
731745	80966	Miss MacKenzie
731745	90798	Lucy Pannick
731745	175817	Katherine
731745	208954	Michelle
731745	243160	Mrs Virtue
731745	366040	As Herself (Lucy Pannick)
731745	385646	Terri Morgan, pathologist (19
731745	388821	Angela Duncan
731745	397707	Katy Anderson (1995-1999)
731745	398463	Denise
731745	399069	Private Nurse
731745	400530	Jenny Wren
731745	403467	Sarah MacDonald
731745	403811	Cath
731745	406111	Freddy
731745	407425	Francine
731745	409090	Janice Toner
731745	411837	Billie McPhail
731746	92774	Tara
731747	32052	Dancer
731747	64098	Rollerskating Waitress #2
731748	224046	Karen
731749	380391	Charlotte 'Charlie' Frame Win
731750	144406	
731750	209170	Dancer
731751	49945	Beth
731751	53133	Alex (segment "The Campfire")
731751	64842	Balford's Daughter
731751	79529	Natalie
731751	110037	
731751	151183	Brooke Young
731751	157576	Joanne
731751	387214	Mary Graffo
731751	395460	Margaret 'Sosh' Perkins
731752	240232	Jolene Marlow
731753	108919	Dancing Girl
731753	117162	50's T.V. Dancer
731753	157255	The Escort
731753	339440	Sheryl
731753	410835	Katie Witt
731754	140162	Colleen
731754	211180	Chrissie
731754	252936	Krista
731755	257190	Jane
731755	298479	Kate
731756	109649	Shelly
731757	184829	Art Lady
731757	291876	Elmo's Mom
731757	320911	Mrs. Kent
731758	258099	Annie
731759	45631	Heather Miles
731759	303090	British Bulldog Girl
731759	385105	Cheri DuPree/Cheryl Duncan/Ki
731759	389630	Junkie
731759	393954	Various comedy roles (1992-19
731759	408623	Butt Monster of Byron Bay
731760	76160	Receptionist
731760	314141	Nurse #3
731760	346121	Eily O'Driscoll
731761	61418	Nun
731762	104944	Attractive Woman
731764	327632	Guest
731765	239104	Garonsik
731766	130037	Singer
731766	346347	Schoolchild
731767	107745	Jackie
731768	152968	Model
731769	10813	Beryl
731769	116289	Attractive Woman
731769	171841	
731769	185197	Beth's Mother
731769	266671	Mrs. Hennessy
731769	289217	Thelma
731769	342863	School Principal
731769	370734	Baby Sitter
731769	382596	Mrs. Grant
731769	399816	Fay Chandler (1976-1977)
731769	406633	
731770	147608	Sgt. Curtis
731770	221274	Vicar's wife
731772	189310	Karen
731772	372372	Theater Patron
731773	304797	Orphan
731774	80723	Student (Hand)
731774	116466	Maggie
731776	317309	Portuguese American Club Wait
731777	342618	Female Judge
731778	167922	Herself
731779	196706	Choir Teacher
731780	2486	Liz McCluskey
731780	4369	Girl in Bathtub
731780	23316	
731780	31718	Nina Bouchard
731780	44437	Miss Murphy
731780	55624	Jessica Hurstwood
731780	73120	Sally
731780	79105	Sylvia
731780	83955	Cindy Hilliard
731780	103363	Ruth Vance
731780	116925	Martha Hagger
731780	139482	Sally Doane
731780	142462	Janet Martin
731780	150723	Girl
731780	154451	Pam Parks
731780	161414	Evelyn Stewart
731780	170845	Ruth Bonner
731780	174584	Miss Collins
731780	187691	Girl
731780	192539	Kim Winters
731780	199199	Karen Lee
731780	201068	Mary Craig
731780	201418	Randy Benson
731780	202871	Nadine Corrigan
731780	208246	Lucy Lee
731780	223913	Manicurist
731780	238589	WAC
731780	285637	Girl
731780	303368	Kathy
731780	316264	Mrs. Quayle
731780	342008	Secretary
731780	342737	
731780	361841	Pioneer Woman
731780	363238	Student
731780	365373	Kathie Bleeker
731780	392978	Maggie Peters (1961)
731781	64813	Field Reporter
731781	205268	News Anchor
731782	193368	
731783	185237	Himself
731784	402197	Ruth Shaw (1983-1985)
731785	317309	Halloween House Folks
731786	47958	
731786	86364	
731786	91401	
731786	176301	
731786	216005	
731786	319288	
731787	223979	Acting Troupe
731788	379113	Herself
731789	363189	Hotel Guest
731790	92983	Young Woman
731790	190179	Regent Studios' Receptionist
731790	216022	Nurse
731790	236658	Jasmine
731790	316085	Mary
731790	337058	Mrs. Sarah McKee
731790	370534	Ellen Philips
731791	2961	Herself
731791	282562	Cindy (cosmetics counter)
731791	324055	
731791	386650	Maureen
731792	80646	Christy
731792	137223	Dancer
731792	217947	Georgia
731792	295352	
731792	300217	
731792	301546	
731792	368876	Orville Wright
731793	200493	Madge Buchanan
731793	404613	Patti Barron Tate Whiting McC
731794	369442	Franki
731795	107922	Trailer Chic #2
731796	187333	An O'ffenderette
731797	11384	Baby Shower Friend
731797	124026	Make Out Girl
731798	401875	Herself - Finalist (2004)
731799	3980	Melanie
731799	350191	Suicide Girl
731800	326242	Crew Member #2
731801	123702	Home Invasion Daughter
731802	95791	
731802	317309	Bonnie & Clyde Musical Audien
731802	323832	May (segment "Meat's Meat")
731803	110739	Lost Girl
731804	147494	Jenny
731804	164414	Eileen
731804	200390	Rose
731804	365197	
731804	405209	Jean Burroughs (1999)
731805	253499	May Wurtzle
731806	84861	A girl
731807	40100	Casey
731808	37557	Vi Furnon
731808	95499	Mrs Brownless
731808	154087	Mrs. Conlon
731809	375111	Elaine Mercer
731809	382770	Sandra Jones #2 (1970-1972)
731809	400533	Frannie Martin
731810	134018	Judge's Girlfriend
731811	44433	Newspaper Editor
731811	186126	Screams and moans
731812	244841	Lowell schoolgirl
731813	80695	Dancer in Nightclub
731814	87586	PCP Observation Patient
731814	158818	Girl through binoculars
731815	204584	Roberta McAdoo
731816	404931	Judy Woolcott
731817	388209	Jo Coughlan Fahy (2000-)
731818	383891	Young Vi
731818	387267	Frannie Loman
731819	116140	Leah Kilbourne
731819	222630	Vickie
731820	162534	
731821	185850	Secretary
731821	359914	Alex Reed
731822	105256	
731823	249590	Performer
731824	126069	Hilda
731824	360123	Singer
731825	213231	Coffee Shop Waitress
731826	2475	Mrs. Latham
731826	5539	Hannah
731826	16099	Blood Bank Executive
731826	18569	Dorothy Cleves
731826	23557	Mrs. Perkins
731826	32681	Carole's mother
731826	33851	Beth Garrison
731826	90284	Miss Pritchard
731826	95471	Angela
731826	98803	Sara Delano Roosevelt
731826	98804	Sara Delano Roosevelt
731826	108470	Moms
731826	117162	Luanna Trott
731826	138165	Karen Wagner
731826	152910	Bea Einhorn
731826	170366	Dorothy Parker
731826	183857	Margaret Devize
731826	196711	Margaret Blumenthal
731826	211764	Helen at the B&B
731826	213452	Adoption Coordinator
731826	283065	Mary
731826	294571	Mrs. Mason
731826	329482	Nurse Chornis
731826	334212	Maudie Atkinson
731826	342079	Eleanor Roosevelt
731826	342403	Aunt Dotty
731826	358662	Callie Hacker
731826	367662	
731826	372296	Mrs. Kinsolving
731826	372527	Miss Graves
731826	379716	Maureen Dalton Teller #1 (197
731826	380391	Loretta Fowler (1988)
731826	380713	Greta Aldrin #2 (1989)
731826	389924	Mary Ball Washington
731826	396128	Margaret Blumenthal (1974-197
731826	404694	Nola Hollister #2 (1969-1970)
731826	411354	Rose Kennedy
731826	411802	Lydia Summers #2 (1998)
731827	126538	Girl On Couch (segment "Love 
731828	59759	Linda Starkman
731828	110319	Jackie
731828	155861	
731828	155888	Doreen (segment "1996")
731828	195915	Darby
731828	231110	Hooker
731828	259749	Edith Metzger
731828	262798	Bridesmaid #1
731828	289787	Karen Rossi
731828	307878	Herself
731828	326744	Biology girl
731828	353394	Shannon Mohr Davis
731828	381537	Jenny
731828	385887	Susan Keeton
731829	65134	Singer
731830	137568	Gillian Stroud
731830	240682	Overcliff Mother
731831	20957	Director
731832	24503	Balloon Smuggler
731832	321367	Spinner #3
731832	344197	Sara
731832	362716	Cheerleader
731833	149724	Girl
731834	293037	Mary Day O'Grogan
731835	392254	Herself (1999)
731836	303820	Aoife
731837	342744	Mary Linguini
731838	163348	Herself
731838	228303	Presenter
731838	228312	Herself
731838	286195	Child
731838	381685	Florrie Smith
731838	387533	Tricia Stokes/Tricia Fisher (
731839	75650	Kathy
731839	134333	Katherine
731840	115379	Vera
731840	207706	Bettina
731841	41226	Kathy
731842	323226	Woman
731844	338981	Herself
731845	13842	Herself
731845	166733	Herself
731845	223967	
731845	232845	Pregnant Woman #4
731845	246000	Waitress
731845	342470	Rusher of Din - File Clerk
731845	368393	Herself
731845	388012	Latara (1986-1987)
731845	393415	Sandi (1995)
731847	233307	Fan #2
731848	98875	
731849	115182	Additional Voices
731849	273275	Dancer
731850	26293	Herself
731850	34611	Herself
731850	56373	Herself ('Hard Copy')
731850	100713	Reporter
731850	195305	Herself
731850	205850	Herself/Host
731850	388088	Herself - Correspondent (2003
731850	391028	Host (1989-1998)
731851	195362	Nicolette/'Laura'
731852	73568	Patricia
731853	263349	Lady Tourist
731854	107863	Sally Spence (aged 18)
731854	185516	Young Joan
731854	290922	Julia Sefton
731854	311182	Emily
731854	315961	Molly
731854	355184	Helen
731854	390523	Claire Sullivan (1997-1998)
731854	400110	Charlotte
731856	307620	Anita
731856	365345	Bar Room Singer
731857	16413	Allen
731858	118646	
731859	88177	de Persand Child
731860	92695	Maid/Nun/Vampiress
731861	15214	Mabel
731861	203972	
731861	302329	Molly Prince
731862	215527	Ruby Kay
731862	215911	Lady at Lusco's
731863	227345	Bess Marvin, Frances Humber
731864	7413	Airline stewardess
731864	34799	Girl in Typing Pool
731864	127527	Nurse
731864	152962	Mrs. Mason, Missing pilot's w
731864	289254	Sunny
731864	331354	Secretary
731865	393046	
731866	105606	Anchorwoman
731866	123849	Topsy
731867	227340	Bess Marvin
731867	227341	Bess Marvin
731867	227344	Bess Marvin
731867	227346	Bess Marvin
731868	140378	Ali Silver
731869	63834	Miss Flynn
731869	65976	Mary Worsdwort
731869	139145	Monique
731869	183599	Mrs. Draycott
731869	194513	Marjorie Phelps
731869	219963	Laura Clayton
731869	402657	Mrs. Kent
731869	409840	Ann Dobbin
731870	332725	
731871	150154	Mimi
731872	266618	Motorist
731873	20188	Ariodante
731873	57857	Angelina, nicknamed 'Cenerent
731873	63689	Cast of 'Lucio Silla', Cecili
731873	90077	Donna Elvira
731873	196847	Cecilio
731873	216344	Sifare
731873	216345	Sifare
731873	276492	Xerxes
731873	339976	Brangäne
731873	369532	Xerxes
731874	207692	Woman in telephone box
731875	1801	Herself
731875	1841	Herself
731875	1927	
731875	15944	
731875	17688	Herself
731875	63039	Herself
731875	71702	
731875	102591	Anne Murray
731875	161177	Herself
731875	170310	Herself
731875	183400	Host
731875	306322	
731875	310567	Herself
731875	310626	
731875	360284	Herself
731876	302209	
731876	330999	Woman Spectator
731877	43629	Ernest
731877	69624	
731877	207095	Ashley
731877	271314	Ray
731878	17544	
731878	17985	Chris Dale
731878	27452	Jane Morton
731878	45624	Kitty Hurst
731878	53101	Jean Lucas
731878	74210	Ann Fairley, Children's Offic
731878	75521	Giovanna Antoniella
731878	77878	Heather Vogel
731878	78869	Carol Burns
731878	81109	Miss Shepherd
731878	88856	Kitty
731878	88882	Iris
731878	90287	Joan Robbins
731878	120296	Amanda
731878	139569	Mrs. Budde
731878	141401	
731878	150180	Mary
731878	209616	Patricia Pedelty
731878	222624	Virginia Douglas
731878	224682	Pat Dawn
731878	242712	Pvt. Betty Brown
731878	258732	Nelly Bly
731878	262119	Tommy's Mother
731878	263102	Joanna Lyppiatt
731878	267154	Lady Jane Caterham
731878	288076	
731878	307970	Lucille
731878	316604	WPC Lucy
731878	323837	Enid Jason (segment "Wish You
731878	326584	Girl in plane
731878	335545	Joan Parsons
731878	348358	Ammonia
731878	379590	Victoria Hackett #2 (1971)
731878	382733	Lydia Brett
731878	387786	Dr. Anna Hastings
731878	391617	Kay Sherwin #2 (1972)
731878	392785	English Lady in India nicknam
731878	399183	Deirdre Baldock (II) (Series 
731878	400709	Madame Max Goesler
731878	401575	Pamela Wilder
731878	401997	Lady Pamela Wilder (1)(1965-1
731879	165630	Doortje
731880	327776	Lydia Miller
731881	240485	Receptionist
731882	178813	Holly Gruneman
731882	212038	Party Guest
731883	147892	Herself
731884	55570	Crazy Woman
731884	96795	Rosemary
731884	185678	Nurse Thompson
731884	217004	Eve
731884	304797	Lunatic Woman
731884	314794	Performance Space Lady
731884	321255	
731884	366252	
731885	335058	Mary
731886	67395	Loretta
731886	208487	Debbie
731887	112748	Young Jill
731887	151529	Agnes
731888	17798	
731888	32807	
731889	213621	Herself
731889	277634	Maria
731889	362977	Herself
731889	385020	Suzie Birchall (1977-1979, 19
731890	7484	Sappho
731890	80926	
731890	215623	
731891	279315	Young Helen
731892	200052	Dormitory girl
731893	307902	The March Violets
731894	381436	Channing Brooks (1993-1995)
731895	2250	Viva Las Vegas Showgirl
731896	81438	Tattoo staff member
731897	73703	Supermarket Customer
731898	280665	Pregnant Agent
731899	68477	Queen at the Ball
731899	188393	
731900	29746	Maggie
731900	100109	IAD #2
731900	105618	News Reporter
731900	147844	Actor in Audition
731900	231966	Alice
731900	259829	Mary
731900	329938	Lucinda Barnes
731900	355669	Nurse #4
731901	26618	Mrs. 'Aunt Molly' Berney
731901	192121	Rachel Brewster
731901	196953	Landlady
731902	73902	Granny Doll
731903	387518	Jean Twillow
731904	97277	Asylum Inmate #6
731905	68901	
731905	299040	Staff lady
731906	205836	Herself (Marilyn's housekeepe
731907	88300	Larry's Wife
731908	99798	Leticia
731908	146461	
731908	334653	Layla
731908	381650	Aurora
731908	389881	
731908	402839	Analupe Coronado
731909	309309	Jo
731910	406459	Starting Over Housemate/Gradu
731911	267486	Kebab shop girl
731912	194650	Florence Hart
731913	12034	
731913	21585	
731913	23377	
731913	45725	
731913	53685	
731913	57867	
731913	88822	
731913	97253	
731913	98973	
731913	123152	
731913	131969	
731913	135292	
731913	159597	
731913	193223	
731913	205710	
731913	211295	
731913	212454	
731913	226154	
731913	255481	
731913	291603	
731913	296473	Maria
731913	301177	
731913	327083	
731913	353985	
731913	355007	
731914	406549	Mountain Rescue Team member
731915	382239	Helen Jermain
731916	17152	Saleswoman
731916	392304	Stacie Monroe
731917	381514	Herself (1996-2002)
731918	255274	Juliana
731919	24878	Herself
731920	79163	
731920	147892	Herself
731920	195304	
731920	288088	Sarah
731920	347767	
731921	255145	
731921	367833	
731922	83437	
731923	216022	Nurse
731924	10836	Janet Logan
731924	242030	Terra
731924	401930	Melanie Chamberlain Collins (
731924	406279	Kelly (2001)
731925	42779	Angelica Noble
731925	112246	Jayne
731925	126103	Leela
731925	166738	Lindsay's doctor
731925	311873	Ophelia, Carey's Mom
731925	362268	Janet Gough
731926	390917	Emilia
731927	72464	Governor
731927	110447	Mrs. Warren
731927	137563	Linden Howell
731927	137577	Magistrate
731928	57747	Inmate
731929	47357	Specialty dancer
731929	154182	Dancer
731930	40025	Attendant
731930	101299	Jodi
731930	139607	Press Woman #1
731930	296842	Sarah
731931	118298	Adrienne
731932	183767	French Nurse
731932	346201	Tall Woman
731933	183586	Mrs. Thayer
731933	394575	Kitty Foyle
731934	380689	Host (1950-1960)
731935	98679	Niña
731936	14972	Singer
731936	191295	Herself - comedy skit
731936	257182	Hechtor's Date
731936	300124	Rochester's girlfriend
731937	19235	Deunan
731937	78879	Miya
731937	90342	Annie
731937	135982	Alita
731937	167110	
731937	275056	
731937	310102	Pudding
731937	369415	Kotari Summit
731938	80813	Donna Faulkner
731938	245520	Reporter
731939	148460	Social Worker
731940	149974	Meg Garson
731940	176748	Mime Hater
731940	313481	Krantian soldier/Naboo medica
731940	379710	Nicole (2003-)
731941	330386	Leslie
731942	2031	Girl
731943	55432	
731943	215580	Herself
731944	171700	Ward patient
731945	1381	Herself
731945	4665	Kate
731945	12555	Claire Sutherland
731945	22822	Justina
731945	26607	Mrs. Agatha Carraway
731945	37181	Arathea Manning
731945	37330	Betty Norton
731945	46780	Elaine Bronson
731945	47366	Rosalie Lawrence
731945	64379	Circe (mythical goddess)/Ceci
731945	77993	Mugsy Mulane
731945	82354	Mary McGuire
731945	93105	Meg Dugan
731945	107156	Joan Darby
731945	109335	Dolores de Lisa
731945	109371	Olga Farinova/Zita (her young
731945	119768	
731945	127690	Lillian Drake
731945	143019	Peggy Blondin
731945	144954	Dolly Jordan Lennon
731945	155753	Faith Merrill
731945	166083	Ninon
731945	199603	Renée de Gontran/Renée de Qui
731945	206421	Guest at party
731945	207179	Gaby
731945	211600	Sally O'Hara
731945	216918	Della Arnold
731945	219351	Dora
731945	240631	Helen Wayne
731945	240976	Sonia
731945	258216	Margot
731945	263945	Margaret MacLean
731945	264204	Lianne Demarest
731945	278275	Lady Falkland
731945	289627	Elena Evans
731945	300106	Cameo appearance
731945	321231	Kitty Bellairs
731945	334181	Lady Jocelyn
731945	342548	Daisy/Violet White
731945	349824	Valencia
731945	350906	Herself
731945	362134	Betty Yarnell
731946	189129	
731946	248167	
731946	283700	
731947	41696	Mummy Tyl
731948	323983	Helen
731948	391919	Auntie Beth
731948	405209	Violet Ornsby (1998)
731949	20437	
731949	46812	
731949	54857	
731949	106938	
731950	75348	Woman
731950	133834	Dance-hall dancer
731951	132323	Knitting Woman
731951	248993	Cherie
731951	256592	Eloise
731952	150075	Keecia 'Ling-Ling' Jackson
731953	245463	The Nurse
731954	194693	Baby
731955	140984	
731955	196953	Kate
731956	5378	Sharon
731956	6122	Orla
731956	74116	
731956	200052	Una
731956	240733	Maria
731957	228164	The Western Swingers
731958	44516	Bindy Duker
731958	80066	Laura Bush
731958	105506	Mrs. Renzetti
731958	170843	Betty
731958	195329	Jeannine
731958	258948	M.D.
731958	280135	Audrey
731958	400236	Becky Lee Hunt Jackson Abbott
731959	292453	The Manageress
731960	7498	Chorus Girl
731960	41759	Hatcheck Girl
731960	41930	
731960	350645	
731961	249592	Performer
731961	269627	Lizzie
731962	171700	Bess
731962	234986	
731962	378684	Tori (2001-2002)
731963	40604	Clive's mother
731963	170980	Lainie
731963	336163	Dianne
731964	405209	Wai Farrell
731965	304539	Karen
731965	305929	Carrie
731965	392889	Dusty da Silva
731966	108536	Claire
731966	200293	
731966	306845	HQ
731967	273822	Babette Corbin
731968	281889	Townswoman
731969	823	
731969	297996	
731970	297716	Bridgette
731971	299396	Demon Girl #1
731972	206540	Baby Laurie Dawson
731973	293126	Group Therapy Patient
731974	59574	Pub Owner
731975	163258	Pauline
731975	317648	Marion
731976	5881	Ellen Rogers
731976	36777	Mrs. Martin
731976	47004	Receptionist
731976	84377	Girl at Party
731976	307936	Mrs. Nabour
731976	358007	Della
731976	379716	Olga Swenson (1982-1996)
731976	380391	Ada Lucas Davis Downs McGowan
731976	396088	Carrie Johnson (1974-1980)
731976	397240	Mrs. C
731977	28938	Bit Part
731978	34612	Singer
731979	349631	Blonde
731980	125520	
731981	69490	M.I. Girl
731981	74711	Receptionist
731981	78849	Sally
731981	128468	Pauline
731981	133443	Bit
731981	138848	Velma
731981	154426	Miss Phipps
731981	165444	Guest
731981	200473	Dawson's Secretary
731981	218849	Girl on beach
731981	223970	Sally's friend
731981	231964	Marigold
731981	243206	Undetermined Role
731981	262138	Edna Lambert
731981	275451	Flower girl
731981	283394	Miss Webster
731981	304587	Sally
731981	312042	Chorine
731981	329480	Model
731981	370537	Chorine
731982	197506	Widow Dawkins
731982	289377	Female Cab Driver
731983	163547	
731983	336715	Ruby
731984	11549	Robyn Bobin
731984	147980	Prue
731984	195685	Maisie
731985	77768	Voice of Oliver Stone's Assis
731986	222784	Strip Girl #2
731987	340502	Samaritan
731988	194136	Herself
731989	37686	
731990	321306	
731991	171297	Barfly #6
731991	362722	Wings Woman #1
731992	321490	Party Girl
731993	89742	Young Selena (Age 5)
731994	147892	Herself
731995	324091	Casino Dancer
731996	194693	Thug #3
731996	212038	Clap Dancer
731997	20625	Extra
731997	187079	Gypsy Woman
731997	196487	Bit Part
731997	242009	Tourist
731998	44607	Miss Turner
731998	72830	
731998	328009	Violetta (segment "La Traviat
731999	295556	Katie
731999	317733	Jade
732000	191513	Kenmore Cheerleader
732001	178206	Model #3
732002	178918	Sally
732003	388063	Sandra Hughes (1969-1971)
732004	361298	Herself
732005	116686	
732006	72147	Lorraine
732006	210230	Brandy
732006	393326	Kimba
732007	93074	Caretaker's Wife
732008	114648	Anna Washington
732009	16642	Young Isabel
732010	411255	Mary Churchill, as a child
732011	322504	Moderatorin/Host
732012	239945	Fisherwoman of Nazaré
732013	45948	Jeanne
732013	67171	Iris Vale
732013	116214	Mary Conner
732013	273812	
732013	282325	'La Rosita'
732013	327645	Josephine
732014	213994	
732014	372199	Anne Millett
732015	242515	Chris Borisoff
732016	17474	Ann
732017	34702	Lance's Mother
732017	260266	Burger Joint Reporter
732017	279887	Police Officer
732018	35729	Rebecca
732018	208088	Matthew's Date
732018	287285	Valerie
732018	318813	Girl
732018	403490	Dora Keith
732019	96958	Ford Model
732020	353718	
732021	820	Jezebel
732022	157580	Female Guest #2
732023	220608	Ilaria
732024	376703	
732025	274194	Girlfriend
732026	176391	Denise Mills
732027	148313	Jenny
732028	330102	Nurse
732029	219238	
732030	314866	
732031	178700	Mira (the wife)
732032	14407	
732032	23377	
732032	80160	
732032	83501	
732032	199793	
732032	339202	
732032	384775	
732032	391847	La Baska
732032	395871	Dra. Liliana Paredes
732032	396646	Dra. Laura Gutiérrez
732032	396781	Mercedes
732032	396881	Marina
732032	399711	Various Characteres
732032	400796	Ana
732032	408720	Elisa
732033	204224	Aldeã
732033	344719	Alina
732034	47284	Venus
732034	70270	Girl
732034	140957	Betty Foster
732034	164970	The Girl
732034	185545	Christine
732034	186454	Celia Rose
732034	222306	The Girl
732034	282258	Margaret Barnes
732034	304071	Annie Getting
732034	310660	Helen Stoner
732034	324228	Bianca
732034	359385	
732034	365712	Fora Pottle
732035	147254	
732036	41809	Woman at Party
732036	54754	Miss McDonald
732036	88867	Mom
732036	108343	
732036	109077	Amthor
732036	135800	Molly
732036	171200	
732036	201480	Large Matron
732036	218241	Herself
732036	232231	Janie Watkins
732036	298108	Chaperone
732036	321657	Mom Smackley
732036	360150	The Matron
732036	393086	Mrs. Dobson
732037	195685	Chantelle
732038	267485	Woman in Black
732039	279330	Mechanic's Daughter
732040	130677	Woman in dance hall
732040	332114	His Sister
732041	222375	
732041	258229	
732042	228141	
732042	263813	
732042	354217	Marisa
732042	361081	
732042	379491	
732042	380327	Geni
732042	381144	
732042	383247	Cecília 'Ceci' Pereira
732042	383469	Ivone
732042	384002	Léa
732042	384117	Princesa Isabel
732042	384137	Margot
732042	385024	Isabel
732042	385385	Kinu
732042	387777	Arlete
732042	387835	Helga
732042	387900	Dionéia
732042	387902	Carlota Salles
732042	387932	Tarsila Serra Jardim
732042	387933	
732042	388398	Amália
732042	388681	Italiana
732042	392828	Leonora
732042	393615	Loreta Pires de Camargo
732042	393616	Neide
732042	394121	Josephine
732042	397409	Eufrásia
732042	398361	Maria Aparecida
732042	398548	Isabel
732042	399481	Arlete
732042	400678	Valquíria
732042	400687	Maria Helena
732042	401086	Eunice
732042	401092	
732042	402149	Paula
732042	402371	Romana Ferreto
732042	402456	Ressureição
732042	404165	Bárbara
732042	404271	Viviane
732042	404291	
732042	405915	Valéria
732042	407275	
732042	409975	Bárbara
732042	410190	Margot
732043	402792	
732044	167049	Maggie
732045	195300	Funeral priest
732046	29817	Cool Barcelonan
732047	333120	Don Quixote's `Donna'
732048	115196	Dancer
732049	250731	
732050	55909	
732051	215136	Une voisine
732052	334998	
732053	131142	
732054	995	
732054	17575	Mavra Grigorievna
732054	35870	
732054	40871	Alla Vladimirovna Borshkina
732054	49477	
732054	60865	
732054	85150	
732054	85214	Samodoeva
732054	91194	
732054	95576	
732054	95618	
732054	132034	
732054	159860	
732054	179322	Praskovya
732054	238104	
732054	238843	
732054	242485	Antonina Ivanovna
732054	251308	Official's wife
732054	261907	
732054	263257	Grandma
732054	263676	
732054	265570	
732054	265989	Mother
732054	282770	Fira Solomonovna
732054	294663	Tamara Spiridonova (communal 
732054	295498	
732054	303802	Older Anna Ivanovna
732054	313621	
732054	320483	
732054	349358	
732054	351020	
732054	356944	
732054	364941	Museumswärterin
732054	370997	
732054	371355	
732054	373584	
732054	374751	Anna Khristoforovna
732054	374784	
732054	376015	Grandma Nastya
732055	288696	
732056	305559	
732057	36503	Szidike
732057	103051	
732057	229881	
732057	237146	
732057	268232	
732057	309354	Évike
732058	1008	Marianne,Turner lánya
732058	33521	
732058	53639	
732058	55515	
732058	74468	Pál Éva
732058	76099	Madre de Laura
732058	85958	Abuela
732058	88936	Train jumper
732058	88975	
732058	97973	Mária
732058	100640	
732058	100768	Mother Claire
732058	103186	
732058	106687	Dr.Szikszay Erzsébet
732058	114748	Zsuzsi,Fábry lánya
732058	155956	Judit
732058	156091	
732058	182646	Szegedhy Judit,színésznõ
732058	182726	Mária
732058	209840	Énekesnõ
732058	214788	
732058	216541	Julia
732058	223594	
732058	257563	
732058	265157	
732058	278429	
732058	339175	Mujer Extranjera
732058	343692	Nyulassy Dóra
732058	357818	Júlia
732058	359646	Julia
732058	377764	Kócos Bözsi/Ádám Erzsébet
732059	272193	
732060	100788	
732061	400286	Giornalista TV
732062	10168	Oberto
732063	137850	
732064	43021	
732065	23832	Alice
732065	216118	Second-Weber
732065	269127	Mme Jackson
732065	307478	La belle-mère de Virginie
732065	346646	Mme Germain
732066	28233	
732067	95121	Lizuca
732068	328349	Aunt
732069	391869	Kathy Wilson (1996)
732070	214283	Petite Fille au journal
732071	375943	Jonge Zoë
732072	81325	Polly
732072	144800	Kat Koller
732072	289109	Ryan's Granddaughter
732072	368418	Verushka
732072	386963	Nikki Peggs (2001-)
732072	394146	Lucy Cashmere
732073	278718	Maid
732073	366712	Reporter No 4
732073	399130	Sharon Davies (1988-1990)
732074	215589	
732075	186897	Rock 'n Roll Tänzer/Rock 'n R
732076	57255	Georgia
732078	51362	
732079	194178	Fitness Talent
732080	403490	Dora Keith (1990)
732081	313756	Artists' Model
732082	317979	Undetermined Role
732083	11941	Society matron
732083	88656	Margaret
732083	117128	
732083	269859	Tricia
732083	308057	
732083	326408	Miss Gross
732083	343294	John's Mother
732083	359192	Woman at Literary Tea
732084	6773	Girl
732085	104953	Rich Girl 3
732085	276039	Mother #2
732085	276167	Mom
732085	280229	Shu
732085	280626	Binky Bevel
732085	280627	Binky
732085	401100	
732085	406304	
732085	409511	
732086	59263	Lucienne
732087	32585	Duvetyn Speller
732088	226959	
732088	237675	Chambermaid #2
732088	361167	Libby's New Friend
732089	83388	Blanche Charlier
732090	94503	
732091	75650	Andrew's Solicitor
732092	19177	Interview
732093	210520	Bikini Girl
732094	11270	Manageress
732094	40666	Agnes
732094	46283	Helena
732094	88170	Saunders, the Maid
732094	109047	Lily Toff
732094	128197	Clementine
732094	203484	Effie Brickman
732094	240812	Dora Smith
732094	275411	Agelintje (girl at inn)
732094	289614	Sally (Jellyband's daughter)
732094	366053	Telephonist
732094	372280	Polly
732095	40209	
732096	71346	Neboha
732097	294370	
732098	74207	Niece
732099	75617	Teen
732100	349529	
732101	17315	
732102	682	Tall Girl
732102	83929	Stacy
732102	117664	Ticket Agent
732102	135886	Grazyna
732103	77101	
732104	118924	Landlady
732105	374493	
732106	395986	Herself
732107	357323	
732108	15224	Herself
732109	230643	
732110	15224	Herself
732111	14204	Tony Toponi
732111	14206	Tony Toponi
732111	14207	Tony
732111	20435	Janice Fowler
732111	30976	Additional Voices
732111	45499	Mrs. Hornbuckle
732111	107145	Mrs. Anderson
732111	121575	Miranda Rose Wood, Freelance 
732111	163649	First Woman
732111	186255	Cindy Tanner
732111	193236	Ms. Stowall
732111	219624	Giraffe, Flying Squirrel, Tim
732111	220444	
732111	232831	Mourner/Night Manager
732111	251551	Pola/Chinstrup
732111	280202	Starr/Fan Club President/Zowi
732111	290943	Elsa Frankensteen
732111	290947	Vanna Pira
732111	291929	Fiddler Pig
732111	331986	Mrs Rabbit
732111	345762	
732111	387065	Charles (1997)/Fluffy/Uranus 
732111	388108	Janine Melnitz
732111	392134	Fiddler Pig
732111	404063	April Eagle
732111	405718	Snappy Smurf (1985-1990)
732111	406090	Dementia DeFortino (Episode 7
732111	408181	Additional Voices
732111	410988	Additional Voices
732112	51412	
732112	51432	The Artist's maid
732112	52727	La danseuse Bianca Flor
732112	58399	Dolorès Melrose
732112	67244	Sa fille
732112	96029	
732112	103226	Mme Pichepin
732112	111279	
732112	111872	
732112	111875	Amélie
732112	112180	
732112	118416	
732112	122008	
732112	126872	
732112	128493	Guest in Town House
732112	168431	Gabrielle Baud
732112	169877	Diana Monti aka Marie Verdier
732112	183938	
732112	199579	Chiffon
732112	206061	
732112	217699	
732112	234272	Sa femme
732112	235872	Diana Monti aka Marie Verdiet
732112	251898	Rosa Larose
732112	261769	
732112	262228	
732112	280784	
732112	295502	
732112	300740	
732112	307218	
732112	308382	Trumpeter
732112	309368	
732112	332660	
732112	339879	
732112	341376	Sa fille Estelle
732112	347130	La dactylo
732112	349646	
732112	350246	Irma Vep
732112	354663	
732113	312683	Yella
732114	12937	Extra
732115	101010	Jirina Krcková
732116	142935	Simms
732117	95895	Maria
732117	181359	Maria
732117	225972	
732117	337004	
732118	212744	The Michael Nyman Band
732119	12117	
732119	23140	
732119	24746	Farida
732120	410330	Ranka
732121	301370	Marisa
732122	385299	Mrs. Gifford
732123	86593	
732123	237529	
732124	174779	
732125	96170	Louise
732126	305790	
732127	390477	
732128	141107	Sue
732129	252371	Herself
732130	79986	Reporter
732131	282781	Pierre
732132	43873	Jessica
732132	207989	Beautiful Woman at Le Vrai
732132	215879	Extra
732132	253920	Mermaid
732132	292489	Kim
732132	385177	Inez del Rey
732133	70486	Copacabana Girl
732133	91720	Racetrack Model #2
732134	145710	Dahlia
732134	188135	Alice
732134	356636	Bootsy
732135	43632	
732135	61428	
732135	66211	Cendrillon/Cinderella
732135	84473	
732135	101152	
732135	118204	Lee Merrick
732135	132173	
732135	183674	
732135	197059	Regina
732135	201193	Christiane
732135	217700	
732135	227594	Lucille Desmoulins
732135	281305	
732135	314748	Manon
732135	377279	
732135	377834	
732136	205188	Baroness Von Kluck
732137	2880	
732137	11964	
732137	21418	
732137	55872	
732137	58856	
732137	72524	Madame Mailloche
732137	89729	
732137	118828	
732137	206049	
732137	218282	La femme de chambre
732137	224902	
732137	254148	
732137	288760	
732137	356355	
732137	376995	Madame Mérat
732138	374773	Mashka's Mother
732139	31783	Anna
732139	189554	
732139	189555	Teresa
732139	189556	
732139	281741	Maria
732139	290814	Serafina Ruoccco
732140	55784	
732141	127086	Jitterbug
732141	154895	Jitterbug
732142	36459	Sister Germana as a Child
732142	56359	Pupetta Maresca
732142	83127	Leora
732142	111428	
732142	127938	Maria Luisa
732142	229829	Herself
732142	234563	Ada
732142	254461	
732142	267314	
732142	268897	Bride
732142	284829	Giulianella
732142	354665	Fiamma
732143	3807	Herself - Mussolini's daughte
732143	398641	Herself
732144	373624	Agatina
732145	223409	La violoniste
732146	44731	
732147	318337	Inmate #2
732148	233262	Djevojka 4
732149	293645	Round Girl
732150	31479	
732150	45144	Gamila
732150	220480	Sister
732150	227910	
732150	374184	
732151	223552	
732152	20895	Asya
732153	81040	Clair
732153	137439	Rachel
732153	257083	Chicago waitress
732154	137850	Ruza
732154	181530	
732154	238210	
732155	181740	Various
732155	184798	Satu
732155	190659	
732155	253796	Armi
732155	332518	
732155	404131	Susanna
732155	409359	Various characters
732156	244482	Step Dancer
732157	339314	
732158	188934	Iida
732159	401278	Pankinjohtajan sihteeri
732160	49109	Murni
732161	205943	
732161	205946	
732162	112675	
732162	217109	
732162	339806	
732162	351579	
732162	354720	
732163	110986	
732163	148589	Laurence
732163	168718	Guinevere
732163	212155	Jessica
732163	252725	Mélanie
732163	261918	
732163	346726	Woman #1
732164	197371	Demon
732165	18544	Party Girl
732165	317309	Dancer #17
732166	292177	Luci
732167	53995	
732167	54009	
732167	54402	
732167	88822	
732167	90192	
732167	115745	
732167	183064	Doña enriqueta
732167	212526	Doncella de Gloria
732167	221575	Sra.Rosales
732167	268254	
732167	276456	
732167	307196	
732167	307825	
732168	104141	Mercedes Gamboa
732168	146440	
732168	210553	
732168	276565	Merche
732170	253950	Baby Ben Charleston
732171	107894	Molly
732171	330238	Angela
732172	172549	Girl
732173	172549	Girl's mother
732174	211037	Sirkku
732175	275871	Sentinal Cheerleader
732176	398430	Anchor (2002-2003)
732177	84085	La caissière
732177	108543	Guillerette
732178	55969	
732179	308885	
732180	364300	Herself
732181	74769	Kathleen
732181	401665	Angelika Tracz (2000-2003)
732182	109723	Gina
732182	185424	Streetcar Daughter
732182	211846	Rivka
732182	344474	
732183	133309	Herself: 1:a violin (Orkester
732184	140240	
732185	75938	
732185	137146	Anya
732185	149922	Peasant woman
732185	200615	Kisné, Rozika
732185	214496	
732185	322128	Virágárus lány
732185	343751	István menyasszonya
732185	357819	
732185	377144	Julika
732185	404025	Veszelka Juliska
732186	95960	
732187	88635	
732187	375498	
732188	287131	Young Rachel
732189	399500	Shige
732190	719	
732190	6437	
732190	9473	
732190	22739	
732190	25293	Patuvashta s kola
732190	30596	
732190	76350	
732190	82102	Hazaykata
732190	88436	
732190	95697	Sasedka na dotzent Denev
732190	103552	Zhenata na Likan
732190	103565	
732190	132157	
732190	156597	
732190	179603	Lelya Rayna
732190	223581	
732190	224448	
732190	235291	Benzinadzhiykata
732190	250655	
732190	261305	
732190	261330	
732190	272903	
732190	304458	Direktorkata
732190	326261	Emiliya
732190	335937	
732190	339314	Nikolina
732190	373444	
732191	30601	
732191	47783	Samsarova
732191	50959	Tzigankata
732191	50965	Maykata na Rina
732191	95935	Saprugata na Lokum
732191	106708	Kasandra
732191	131027	Baba na Moni
732191	178234	Baba Stoyna
732191	247917	
732191	264557	
732191	272384	Staritza v starcheskiya dom
732191	310951	Frizyorkata
732191	312931	Mayka na Albena
732191	334483	
732191	335937	
732191	388553	
732192	301291	
732192	344304	
732193	357765	Zoe Lindberg
732194	408075	Psychologist (2003-)
732195	398852	Rumansk kvinna
732196	116391	
732196	239926	Sônia
732196	241180	
732196	244194	(segment "Uma Noite com Oswal
732196	280850	Márcia
732196	386212	Lauretta
732197	124017	Busty Young Blond
732197	381514	Herself (2002)
732198	197481	Natasha
732199	35573	Cookie Bumstead
732199	41089	Cookie Bumstead
732199	41091	Cookie Bumstead
732199	41093	Cookie Bumstead
732199	41099	Cookie Bumstead
732199	41100	Cookie Bumstead
732199	41101	Cookie
732199	41103	Cookie Bumstead
732199	41104	Cookie Bumstead
732199	41105	Cookie Bumstead
732199	41107	Cookie Bumstead
732199	41108	Cookie Bumstead
732199	116893	Cookie Bumstead
732199	163447	Cookie
732199	186799	Cookie Bumstead
732199	190262	Cookie Bumstead
732200	358098	
732201	70619	Jessie at 18
732201	89742	Young Selena
732201	125888	Mollie Kilduff
732201	242038	Rachel
732201	271175	
732201	319557	Jill Perkins
732201	340957	Jane
732201	342714	Emma Portman
732201	372555	Constance
732201	385893	Georgia 'George' Lass
732201	399677	Dana Le Tour (original pilot)
732202	290180	
732203	199828	Marlies
732204	273889	Bartender
732205	155415	Klara Korte
732206	259443	
732206	364876	Frau Bilek
732207	129720	
732208	312732	Loretta
732209	133858	Caroline Strauß
732210	17375	
732210	193316	
732211	43287	Immacolata
732211	55897	Luisa
732211	67894	
732211	135184	
732211	242302	Barbara Grazioli
732211	249445	Elda
732211	281629	Cornelia
732211	353056	Gabriella Simony
732212	198	Maria Sofia of Austria
732212	8369	
732212	12677	
732212	13047	Norma Valentí
732212	19334	Cécile Costes
732212	38780	Lisa Silvestri
732212	43730	Rosetta
732212	55932	Sandra
732212	56085	Henriette
732212	57281	Cécile Costes
732212	57554	Maribel
732212	61151	
732212	66669	
732212	67500	
732212	67926	Lucia
732212	69948	Isabella
732212	73646	Angela Vicario
732212	83262	Valerie
732212	85483	
732212	89827	Stefania Zerenghi
732212	89854	Anna (segment "La domenica sp
732212	103996	
732212	104042	Queen Vashti
732212	104800	Sena
732212	105964	
732212	113710	Teresa
732212	115062	Princess Aura
732212	122227	Malvina
732212	127386	Lucia
732212	133110	Herself/Luisa
732212	141185	Grandmother
732212	150524	Flamenco Spokesperson
732212	154413	
732212	158833	Madeleine
732212	159901	Cristina
732212	162042	Silvia Piergentili
732212	167103	Camilla Balbeck
732212	169557	Camino
732212	185621	Danny
732212	187939	Catherine
732212	191284	Sybil Bullit
732212	195395	Catherine Stockheinz
732212	197565	Egle
732212	212394	Stella
732212	217119	Francesca Cimarosa
732212	217764	Isabella
732212	218997	
732212	219474	Valérie
732212	230081	Chantal
732212	234715	
732212	236804	(segments "Autostop"/"Senza p
732212	241102	Elena Morosco
732212	243930	Sofia Provolone
732212	247642	Bruna
732212	247963	Giovanna
732212	252424	Aphrodita
732212	261576	Ingrid
732212	261792	Alice
732212	261895	
732212	263919	Renata
732212	270824	Nicole
732212	278988	Elena Mazzarini
732212	281121	Vincenzina
732212	292021	
732212	307448	Lisa
732212	308173	Marta
732212	313180	Matilde
732212	313898	Alice
732212	315459	Cass
732212	316800	Anna
732212	325341	Tatiana
732212	332675	Armenia
732212	341622	Mathilde Figura
732212	341624	Mathilde Figura
732212	342098	Celeste
732212	342113	
732212	345039	Odette de Crecy
732212	345156	Cécile Costes
732212	347573	Rafaella
732212	348117	Anna
732212	349533	Giuliana
732212	355659	
732212	358277	Maria
732212	364867	Maria Sommer
732212	375235	Maria
732212	380992	(1997)
732212	381192	
732212	384816	Mercedès Iguanada
732212	387887	Queen of Persia
732212	390496	Giulia la 'Dama Bianca'
732213	360712	Mrs. Thackery
732214	211863	Sari Kimpilä
732215	181709	Boatsalesman's girl
732216	12605	Caroline
732216	97463	Maisie
732216	167597	Cindy
732216	360899	Carla
732216	381238	Jane
732217	292701	Donna Parry
732218	245879	Seniha
732219	9847	Zeynep
732219	33858	
732219	38207	
732219	65018	
732219	136740	
732219	158803	
732219	159869	
732219	172015	
732219	176928	
732219	182837	
732219	204011	
732219	285480	
732219	323077	
732219	327029	
732219	370640	
732219	371559	
732220	27462	Nurten
732220	63796	
732220	76135	Yazgül
732220	79477	
732220	172648	
732220	293408	
732220	308290	
732220	408427	Kamertab
732221	137035	Slappy
732222	14834	Ragazza albergo
732223	404879	Chisa Yomoda
732224	182432	
732224	293449	Natsuko
732225	149886	Mikako Nagamine ('seiyuu' ver
732225	152929	Sumi
732225	159973	Girl
732226	172444	(segment Zhenya)
732227	13990	Girl in Studio
732228	178637	Mali
732230	41660	Jenny
732231	267619	Ninan
732232	17715	
732232	143493	Herself (violin solo)
732233	143538	Seductress #2
732233	272279	Pua
732235	100209	Young Blonde Child
732236	109139	Claudia
732236	170710	Mette
732236	198252	Kerstin Kjellson
732236	237261	mammy Inger
732237	20189	Demeter
732237	74122	Matua
732237	265364	Laura Dawson
732237	265580	Kei's mother
732237	294033	Leader Laarela of Lar Metal
732237	358132	Mâya
732237	396499	Principal/lady next door
732237	396500	Principal
732237	396796	Mama
732237	403958	Linda
732237	405158	Azuma Midori/Swanny
732238	10870	Troll Wrestler
732239	157078	Animal Trainer
732240	283746	Elma Sammalsuo
732241	21369	Additional Voices
732241	31045	Chris
732241	162241	Kei
732242	351910	
732243	15883	
732243	22079	
732243	23129	
732243	23132	
732243	30493	
732243	33249	
732243	33300	
732243	38450	
732243	45721	
732243	96475	
732243	125271	
732243	125929	
732243	125935	
732243	136692	
732243	136748	
732243	137596	
732243	142972	
732243	146976	
732243	163095	
732243	163103	
732243	174037	
732243	174913	
732243	204896	
732243	237451	
732243	251252	
732243	252419	
732243	288267	Ana
732243	295509	
732243	295530	
732243	307038	
732243	307151	
732243	308296	
732243	370713	
732243	373245	
732243	377497	
732243	377510	
732244	6480	
732244	30480	
732244	53995	
732244	54102	
732244	54778	
732244	63873	
732244	148166	
732244	209004	
732244	221563	
732244	221715	
732244	221985	
732244	222027	
732244	226153	
732244	281289	
732245	15056	Anna
732245	248309	La coach de l'Italien
732245	329158	Juliette
732246	28992	Valérie
732247	191560	Estelle Servais
732247	345329	Liliane Blesh
732248	15332	Anna Lusa
732248	248412	Goeleke
732248	303163	Siska van Roosemael
732248	310825	Caritate
732248	382403	Nadine
732249	121412	Pélagie
732250	25254	Frits' moeder
732250	37142	
732250	69497	Gerda
732250	73860	Madame Ostrovski
732250	77339	Tania
732250	94922	
732250	99201	tante Zenobie
732250	126381	
732250	126861	Zenobie
732250	130958	Lilliane
732250	171798	Madame Peeters
732250	188898	
732250	203252	
732250	210122	
732250	211186	
732250	215767	Aunt wally
732250	306952	Voice mother Lucia
732250	307121	Mum
732250	318488	Woman Scene 1
732250	332607	
732250	351846	
732250	352052	Oma
732250	354642	Mémé
732250	354647	
732250	365706	Elsi
732250	387143	Julia
732250	392731	Mevrouw Huisman
732250	399410	
732251	11134	
732251	279871	Janet
732252	83377	
732253	83377	
732254	14563	
732254	33835	
732254	36539	
732254	265047	
732254	272522	
732254	356922	
732254	373736	
732255	20020	
732255	90752	Claudia
732255	202576	1a prostituta
732255	231599	
732255	234705	
732255	291517	Anita
732255	302184	
732255	383117	Joséphine, dite Petite chérie
732255	399952	
732256	23586	
732256	136843	Rosetta
732256	281693	
732256	344607	
732257	274200	TV Newscaster 2
732258	326967	Screaming Victim(s)
732259	187783	Yevdokia Ivanova, Lenin's hou
732260	223819	
732261	52184	
732261	111375	
732261	129015	Sara
732261	207768	
732261	219825	
732261	233083	
732262	381623	Estrella
732262	383472	Kimberly
732262	398482	
732262	401067	
732262	403289	
732262	403753	Jennifer
732264	55702	Captain of the Spanish Guard
732265	370136	
732266	191331	Dixie/Crack Ho
732266	319684	Sheila
732267	87418	Brenda
732267	153164	Harriet Swann
732267	305356	Ruth
732267	320815	Bookstore Fan
732268	287414	
732269	11896	Marcia
732270	197287	
732271	126382	Meisje
732272	374631	Kind 2
732273	221646	The baby-sitter
732274	301172	
732275	145137	
732276	239284	
732277	90099	
732278	68845	
732278	106994	
732278	236741	El Pombero
732279	266908	Waitress In Zapata
732280	8254	Hermelinda Linda
732280	14923	Rosa Fulvia
732280	22745	
732280	22796	Herself
732280	27987	Flor
732280	30341	Pachita
732280	52598	
732280	52786	Sor Margarita
732280	56021	
732280	57412	
732280	58404	
732280	67557	Chambermaid
732280	73530	
732280	74523	
732280	80210	
732280	82834	
732280	91359	
732280	91368	
732280	91419	
732280	96283	Rosita
732280	100273	
732280	100313	
732280	108069	
732280	110205	
732280	127599	Frijol
732280	135197	
732280	143755	
732280	143794	Hermelinda Linda
732280	145139	
732280	145159	
732280	145242	
732280	148098	Serafica, criada
732280	152628	
732280	193355	
732280	212461	
732280	215229	Amiga de Fernando
732280	219230	Morenita Clara
732280	221711	
732280	223218	
732280	235312	Chachita
732280	246392	
732280	246423	
732280	247191	
732280	252063	Socorro, gorda
732280	252536	Chachita
732280	252602	
732280	258505	Lupita
732280	281024	Hefty Woman
732280	291683	
732280	292755	Martita
732280	294645	Coco
732280	302424	
732280	348938	Chachita
732280	353573	
732280	355919	
732280	371767	
732280	376647	
732280	376672	
732280	376723	
732280	376732	Chachita
732280	378886	Herself
732280	379820	Bernarda
732280	380114	
732280	381650	Goya
732280	385017	
732280	386789	Chachita
732280	390404	
732280	390816	
732280	391758	
732280	391859	
732280	398484	(guest star)
732280	398522	Hermana Carmela/Tía Bladimira
732280	399708	'Chachita' Gómez
732280	399823	Benita
732280	401659	
732280	404186	(episode guest)
732280	404869	Coco
732280	405315	Guest Host
732280	405318	Estellita
732280	407758	Chachita
732280	407778	
732280	410135	Chachita, la afanadora
732280	412195	Aurora
732281	202512	
732282	48179	
732283	357189	
732284	3326	
732284	4533	
732284	5263	
732284	5264	
732284	5269	
732284	5443	
732284	6740	Baruti
732284	10483	
732284	12065	Ezequiela
732284	24203	
732284	48969	
732284	52745	
732284	58137	
732284	61349	
732284	70772	
732284	73515	Marquesa
732284	74359	
732284	74521	
732284	74649	
732284	75444	
732284	86501	
732284	88975	
732284	89749	
732284	91076	
732284	96351	
732284	99341	Duquesa de Hinojares
732284	99485	Clotilde (as G. Muñoz Sampedr
732284	100101	
732284	100526	
732284	103117	
732284	103394	
732284	103535	
732284	104171	
732284	113238	
732284	124051	
732284	129485	
732284	146491	
732284	146568	Esposa de Don Anselmo
732284	146570	Suegra de Eladio (1)
732284	148039	
732284	148093	
732284	159339	
732284	161560	
732284	166666	
732284	169257	
732284	170082	Doña Paquita
732284	170273	
732284	190424	
732284	193083	
732284	197216	
732284	205690	
732284	212385	
732284	212450	Doña Amparo
732284	212522	
732284	233548	La abuela de Jacinta (as Guad
732284	233901	
732284	259851	
732284	264392	
732284	270014	
732284	296450	
732284	306692	Clotilde
732284	320217	
732284	342152	
732284	349472	
732284	350133	
732284	353626	
732284	353630	
732284	354344	
732284	370065	
732284	375875	
732284	376700	
732284	377873	
732284	377894	
732284	378423	
732285	6740	Magdalena
732285	14649	
732285	18651	
732285	19444	
732285	19463	
732285	21076	
732285	42948	
732285	51575	
732285	52601	
732285	54084	
732285	55085	
732285	55616	
732285	55925	Monja 1ª
732285	58145	
732285	59532	
732285	61141	
732285	61142	
732285	69837	
732285	74808	
732285	76094	Matilde Agustín
732285	82220	
732285	82717	
732285	83890	Doña Antonia
732285	90099	Viuda
732285	100768	Sister Herminia
732285	103160	Eduarda
732285	103165	
732285	110103	Madre
732285	110733	
732285	111276	
732285	135196	Mujer castiza
732285	135301	
732285	136964	
732285	137865	
732285	138021	
732285	146572	
732285	148102	
732285	159188	
732285	162766	Myrtle Callihan
732285	170277	
732285	170382	
732285	197473	
732285	205713	
732285	210306	
732285	210444	
732285	211874	
732285	212441	
732285	221562	
732285	221681	
732285	221966	
732285	236759	Dona Obdulia
732285	246300	
732285	251581	
732285	255488	
732285	260516	
732285	266805	
732285	268493	Escribana
732285	270822	
732285	277002	
732285	283052	
732285	286283	
732285	296197	Franz's waitress
732285	296440	Sor Luisa
732285	296463	
732285	296470	
732285	300736	
732285	301060	
732285	301107	
732285	301124	Maruja
732285	309087	Superiora del Vicariato
732285	318230	
732285	320288	
732285	336186	
732285	337869	Madre
732285	339034	
732285	342152	
732285	343733	
732285	377178	
732285	378399	
732285	378423	
732285	378434	Housekeeper
732286	5105	Encargada del guardarropa
732286	7336	Criada de Fernanda
732286	52778	
732286	61138	Doña Filo
732286	73276	
732286	96321	Portera
732286	113238	
732286	149520	
732286	160131	
732286	165160	
732286	204644	Angustias, hermana de Manolo
732286	205699	
732286	236021	
732286	280315	
732286	294967	Madre de Sara
732286	340312	
732287	283052	
732288	114873	Dancer: Escuela Flamenca Mati
732289	21583	Estudiante 5
732290	136919	
732290	249770	
732290	287462	Lady's Maid
732291	10190	
732291	18791	
732291	52716	
732291	69221	
732291	91319	
732291	100057	
732291	106302	
732291	112098	Telefonista
732291	135379	
732291	148049	
732291	153817	
732291	183030	
732291	202005	
732291	277399	
732291	307831	Greta Nelson
732291	354990	
732291	373756	
732292	5976	
732292	9615	
732292	16545	
732292	65164	Clara Valverde
732292	68588	
732292	81688	
732292	82219	
732292	82399	
732292	85567	
732292	91392	
732292	99403	Maria
732292	100467	
732292	108115	Carmen
732292	118165	Rosa
732292	132689	
732292	132714	
732292	136983	
732292	161658	
732292	161957	
732292	189480	Dra. Mina Westenra
732292	197338	
732292	197462	
732292	202832	Natalia
732292	208192	
732292	221934	
732292	225591	Magdalena
732292	244584	
732292	248750	Olivia
732292	275080	
732292	291650	
732292	294286	Ana
732292	296148	
732292	301166	
732292	308461	
732292	323083	
732292	328323	La Cantero
732292	334471	
732292	334683	Laura Monteros
732292	341079	
732292	353556	
732292	356674	Volvoreta
732293	114873	Dancer: Escuela Flamenca Mati
732294	100775	Romualda
732294	238512	Maria
732294	258484	
732294	303345	
732294	317680	
732294	343026	
732294	367488	Senora Amalia
732295	381246	
732295	384995	
732296	34572	Joven argentina
732296	71267	
732297	132664	Chica discoteca
732298	27942	
732298	104877	Doña Isa
732298	306703	
732298	354990	
732299	3399	
732299	6625	
732299	8555	
732299	9786	
732299	10122	
732299	20392	Doña Chole
732299	21684	Nana
732299	21694	
732299	21708	
732299	33484	Doña Canurita
732299	48269	
732299	52922	Chole
732299	55013	
732299	58396	
732299	61540	
732299	62301	
732299	62398	Sra. Gobernadora
732299	67363	
732299	68576	
732299	71008	Mama Oswaldo
732299	74522	
732299	74611	Procopia
732299	75198	
732299	80154	
732299	82252	
732299	82393	
732299	83311	
732299	86380	Dona Prudencia
732299	91338	
732299	96353	
732299	100776	
732299	101837	
732299	101852	
732299	104165	Matilde's mother-in-law
732299	106323	
732299	113240	
732299	118838	
732299	123155	
732299	123185	
732299	136313	
732299	136996	
732299	137613	
732299	145255	
732299	145262	
732299	152234	Jefa de la banda
732299	159232	
732299	171380	Mama vieja Osvaldo
732299	197159	Señora
732299	199987	
732299	212517	
732299	221723	
732299	221726	Zenaida
732299	227703	
732299	229434	
732299	231266	Fichera
732299	233627	
732299	233658	
732299	234331	
732299	242661	
732299	247462	Enfermera
732299	247477	Costurara
732299	252517	
732299	259846	
732299	265535	
732299	266530	
732299	268053	
732299	268270	
732299	275846	
732299	283243	
732299	286284	
732299	292905	
732299	296432	
732299	307574	Mujer de huelgista
732299	307799	
732299	322852	Portera
732299	332579	Vecina
732299	338154	
732299	339012	
732299	339201	
732299	343630	
732299	351619	Laura Galarza
732299	351682	
732299	351690	Mama María
732299	354774	
732299	354874	
732299	357895	Chana
732299	376692	Mujer
732300	69470	Luisina
732300	158874	Mary
732301	193515	Madre de Juan
732302	83869	
732303	206041	
732304	69697	
732305	94593	Marquesa
732306	371731	
732307	16531	
732307	48804	
732307	100778	
732307	349812	
732307	378492	
732308	380129	
732308	385600	
732308	397591	Lara Fernández
732308	402686	Rosario Alvarez Reyes
732308	408591	
732308	410207	Mónica Gutiérrez
732309	378020	Empleada
732310	401884	Herself/- Finalist #10
732311	221737	Mujer de taberna
732312	53258	Beatriz da Silva
732312	107210	
732312	115834	Narrator
732312	204224	Dona Estefânia
732312	207663	
732312	219241	Madalena, Morgada dos Canavia
732312	276059	
732312	277577	
732312	339674	
732312	344760	Belinha
732312	350776	Herself
732312	356010	Beatriz
732312	379823	
732312	381246	Dona Benta
732312	384995	
732312	401944	
732312	408405	Maria Sá Couto
732313	389688	Dioselina
732314	212431	
732315	170040	Luna - 8 años
732315	353572	Cristina
732315	396154	Ana
732316	74584	Gloria adolescente
732317	9654	
732317	13184	Marlene
732317	18761	
732317	25796	Sor Trini
732317	43078	Aurora (madre de El Bola)
732317	83540	Lola
732317	101890	Conchita
732317	115759	Alicia
732317	119008	Lola
732317	189026	Claudina
732317	204642	'Sita' Asunción
732317	212288	Madre
732317	275080	
732317	336019	Paca
732317	353545	Elvira
732317	356153	Madre Julia
732317	369755	Herself
732317	393549	Adamina
732317	396767	Sita Asunción
732317	397467	Ángeles (1996-)
732317	400756	
732318	9654	
732319	215696	Miss Chile
732320	117335	
732321	152229	
732321	170067	
732321	393802	Shiva
732321	397862	Sor Caridad
732322	229439	
732322	384119	
732322	389780	
732322	398661	
732322	405986	
732323	373962	Gloria niña
732324	68618	
732324	343732	
732325	33683	
732325	63320	
732325	159528	
732325	243462	
732325	276449	
732325	277237	
732325	339117	
732325	376646	Lupita
732325	385335	Juana
732326	253382	Miriam
732326	264264	Mireya Botero
732326	383344	Mayra
732326	383392	Mánica
732326	385401	Religiosa
732326	401251	Adriana
732326	407645	
732327	9103	
732327	68969	
732327	96318	
732327	96379	
732327	104819	
732327	136865	
732327	249300	
732327	273014	
732327	332592	
732327	340444	
732327	342021	
732328	227316	
732329	380917	Valentina Mansur
732330	55006	
732331	90099	
732332	74225	Pinang
732333	348179	
732334	401884	Herself/- Finalist
732335	212376	
732336	55212	
732336	199444	La madre di Elisa
732336	251614	La figlioletta di Rogelia
732337	1017	
732337	52775	
732337	55916	
732337	70749	Dueña Pensión
732337	88199	
732337	103433	Madre de Segundo
732337	148072	
732337	151818	
732337	202734	
732337	211168	
732337	255928	Hermana de Álvarez
732337	275952	Herself
732337	307297	
732337	308463	
732337	355123	
732337	376807	
732338	334706	Mrs. Ugas
732339	376888	Olivia Marchand
732340	213774	
732341	67952	
732341	80339	
732341	88822	
732341	99290	Queen's assistant
732341	148017	
732341	221706	
732341	235316	
732341	384772	Chela
732341	384975	Delia
732341	387773	
732341	387774	Carmen 2da
732341	398489	
732341	404995	Elena
732341	409920	Liberada
732342	2158	
732342	8560	
732342	21712	
732342	25220	Paty
732342	29136	
732342	51712	
732342	69028	
732342	74801	Diana
732342	93858	
732342	98696	
732342	108845	
732342	113229	
732342	129182	
732342	159280	
732342	189485	
732342	192936	
732342	204689	
732342	227687	
732342	227690	
732342	268051	
732342	269981	
732342	291661	
732342	293001	
732342	332666	
732342	337454	
732342	340082	
732342	351681	
732342	381902	12th evicted
732342	381904	Herself (12th Evicted 2004/2)
732342	401253	Herself
732343	9745	
732343	12061	
732343	14631	
732343	22782	
732343	28016	
732343	55369	Dona Pepa
732343	64033	
732343	68622	
732343	69016	
732343	80247	
732343	83756	
732343	88198	
732343	88822	
732343	100318	
732343	146524	
732343	169567	Leocadia
732343	189017	
732343	193059	
732343	193223	
732343	205712	
732343	211295	
732343	221570	
732343	221942	
732343	222045	
732343	228772	
732343	233039	
732343	234389	
732343	236437	
732343	252520	
732343	258533	
732343	265154	
732343	270309	
732343	285989	
732343	287460	
732343	291657	
732343	296473	Flora de Tetis
732343	307725	
732343	318002	
732343	351993	
732343	355750	
732343	399497	Nena
732343	401692	
732343	405242	
732344	8574	
732344	14697	
732344	34054	
732344	38275	
732344	53654	
732344	65638	
732344	73283	
732344	75375	
732344	99906	
732344	103837	
732344	125788	
732344	145136	Carmen
732344	149232	
732344	168099	
732344	202561	
732344	204827	
732344	205690	
732344	211168	
732344	234174	
732344	266871	
732344	287435	
732344	296440	Mujer del cojo
732344	307297	
732344	354470	
732345	108994	
732346	20392	Micaela
732346	21684	Mama Rita
732346	62301	
732346	64690	
732346	67363	
732346	68576	
732346	71008	Eduviges
732346	83311	
732346	87086	
732346	90027	
732346	91393	
732346	100776	
732346	121263	Rosa/Carmen
732346	137613	
732346	159232	
732346	171380	Mama joven Osvaldo
732346	219315	Trabajadora
732346	233658	
732346	246294	Eulalia
732346	262270	
732346	281219	Campesino
732346	296432	
732346	307809	
732346	322851	Rebeca niña
732346	324841	
732346	373951	
732346	378383	
732346	398857	Host (1998-2000)
732347	86880	
732348	383205	Host (2001-2002)
732348	385872	
732348	387878	Vivi
732348	393035	Herself
732348	399900	Christine 'Cris' (1996-)
732349	3378	Yuddy's Mother
732349	158673	Domineering mother
732349	159236	
732349	174314	
732349	176763	Lee
732349	199155	Mrs. Lopez
732349	242805	
732349	246583	
732349	313563	
732349	318394	
732349	329056	
732349	341606	
732350	22705	
732350	55001	
732350	68622	
732350	220740	
732350	235319	
732350	249801	
732350	258485	
732350	266910	
732350	269940	
732350	282900	Margot
732350	356667	
732351	233917	Pija
732351	286901	
732352	337568	
732353	55951	
732354	322851	Bailarina
732355	394006	Vicenta
732355	402688	Plácida Guanipa
732356	22705	
732357	371369	Beauty
732358	368374	Elsie
732359	198751	Mariamu
732360	10502	Pointer Sister
732361	43615	The woman
732362	1265	
732362	1487	Herself
732362	1706	Herself - Performer
732362	1737	Herself
732362	1738	Herself
732362	2009	Herself
732362	2258	Herself - Presenter
732362	2394	Herself
732362	61156	Mona
732362	75585	Jenny
732362	87282	Lola Martinez
732362	87579	Herself
732362	119615	Special appearance
732362	132413	Herself
732362	158528	Loretta
732362	165260	Mya Starling
732362	166346	Self Maid
732362	208475	Herself (#52) (Interviewee)
732362	212710	Herself
732362	221413	Herself/Performer
732362	221434	Herself
732362	221481	Herself - Presenter
732362	221483	Herself
732362	297181	
732362	362060	Yu Cha-i (MTV English Dub)
732362	382309	Herself
732362	392423	Herself
732363	217279	
732365	45579	Velika
732365	49181	
732366	60449	
732368	374993	
732369	85209	
732370	179659	
732371	59323	Anka
732371	189428	Anna Shtukova
732371	222349	Lyubimovna
732371	237826	
732371	237845	Katya Davidova
732371	249150	
732371	356574	Masha
732371	375679	Fairy
732372	374746	
732373	398757	
732374	202522	Herself
732375	294220	Tam's wife
732376	396062	Mary Beth, Loveboat Mermaid (
732377	282350	Fish's girl
732378	73959	Amy
732378	110299	Melinda
732378	151633	
732378	203264	Cindy
732378	212996	Megan
732378	218553	Eileen
732378	257451	Kathy
732379	399693	Presenter (1995-1997)
732380	89594	
732380	213618	Himself
732381	379923	Herself (3rd place with Blake
732382	8222	Samantha Sidebottom
732382	58164	Young Venetia
732382	214912	Else Koster
732382	379429	Samantha Sidebottom
732383	65947	Social Worker
732384	37900	Herself
732385	147299	
732385	156596	
732385	165114	
732385	166801	
732385	295246	
732385	332404	
732385	367358	
732385	371226	
732386	286235	
732386	348662	
732387	49135	
732387	227204	Shin Eun-hye
732387	390029	Jae-young
732388	20061	
732388	30352	
732388	76893	
732388	152599	Rosa
732388	298848	
732389	305317	Destiny
732390	359901	Kid #1
732391	157719	Herself
732391	236698	
732392	386618	Contestant
732393	130721	Donna
732393	172912	
732393	257724	
732393	320782	
732393	337151	Donna
732394	42056	Orphan
732395	33705	
732395	411358	Diane Sherwood #2
732396	267576	Lisa's Neighbor
732397	1381	Herself
732397	11356	Elizabeth Lane
732397	26053	Tanis Judique
732397	30900	
732397	31998	Lady Hester Stanhope
732397	32145	Norine Lawton
732397	33922	Iras
732397	46422	Bettina Lowden
732397	47297	Lenore Vance
732397	47368	Nenette Bisson
732397	47369	Valeska
732397	54950	The Woman
732397	54968	Ray
732397	58173	Mrs. Crutchley
732397	60174	Sonya Schonema
732397	62081	Madame Ying Su
732397	64894	Rosa Carillo
732397	69823	Baroness von Kluge
732397	71668	Flower Girl
732397	77703	Arvia
732397	77957	Alice Torrance
732397	78113	Sylvia Palprini
732397	79386	Nora Hayes
732397	79396	Hazel Fleming
732397	82606	Madame Girard
732397	84983	Yonna
732397	93130	Rosamond Gilbert
732397	93178	The Countess
732397	108444	Angy Brice
732397	118390	Bertha
732397	124711	Countess de Sano
732397	126069	Leslie
732397	126111	
732397	127207	Marie Haley
732397	127685	Leona
732397	128287	Lois Fox
732397	131733	Florence Brown
732397	140140	Frances Kirkland
732397	140762	
732397	155978	
732397	157675	Lita O'Farrell
732397	161542	Favorite of the Harem (Babylo
732397	164989	
732397	178160	Erolinda Vargas
732397	183638	Mrs. Dickson, the Mayor's Wif
732397	183821	Sonia
732397	184988	Marion Sherwood
732397	185325	Saidee McCall
732397	191214	Inez
732397	191845	Milly Amory
732397	192384	Minnie Lee
732397	195598	Jean McClelland
732397	195995	Ruby Le Maar
732397	196091	Toinette
732397	199176	Sonya Preskoya
732397	199203	Jane Judd
732397	206359	Eileen Orton
732397	206878	Herself
732397	207946	
732397	213449	Winifred
732397	224384	Mary Cunningham
732397	231419	Dorothy Drew
732397	233670	Emillia
732397	258004	The Author's Wife
732397	258971	Mrs. Belmore
732397	263326	Mrs. Errol
732397	266183	Mercedes
732397	274368	Katherine
732397	275767	Mrs. Dora Carson Tappan
732397	299167	Viola Thorpe
732397	300103	
732397	303095	Julie
732397	304598	Countess Fedora
732397	306809	Sydney Parmelee
732397	309252	Flo Palfrey
732397	317165	
732397	318898	Lola
732397	320596	Madame Honori
732397	327223	Zaya (a native)
732397	336799	
732397	346313	Kelcey Dale
732397	363731	Estelle
732397	364316	Rosie Sanguinetti
732397	365040	Janice Brieson
732397	366116	Bona
732397	367948	Female journalist
732397	383478	Host
732398	265101	Parent
732398	404002	Siobhan Ryan Novak #4 (1986-1
732399	387601	Cast (Orange Team)
732400	128583	Nurse Margie
732401	397938	Harriet 13
732402	24967	Reveler
732402	113826	Homeless Emigree
732403	35809	Casey Anderson
732403	217423	Dolly Winward
732403	330218	
732404	330799	Ozzie's Mom
732405	188453	'Dislike' Girl
732406	69895	Herself
732406	359319	Herself
732406	361695	Herself
732406	387719	Herself (Host)
732407	355362	Connie
732408	32052	Dancer
732409	244443	Sherry Marisol
732409	390771	Peggy Scott Dillman Fletcher 
732410	390771	Peggy Scott Dilman Fletcher T
732411	177332	Sängerin
732412	274458	Rachel
732413	29320	Yvonne
732413	75664	TV Reporter
732413	196902	Girl with a Broken Leg
732413	293809	Jill
732413	384192	Fingers (1999)
732414	194635	Bondage Sage
732415	122179	
732415	128845	
732416	158141	Extra
732417	276635	Second Girl
732418	155061	Baby
732419	92248	Suburban Wife
732420	273316	Mime Artist
732421	383071	Hannah Jackman
732422	131776	Girl with Jack
732423	67709	
732424	54524	Louise Bradley
732425	26053	Miss McGoun
732425	27098	His daughter
732425	30239	The farmer's daughter
732425	60150	Mignon De Lisle
732425	81657	The girl
732425	114930	
732425	116230	Alice Hardwick
732425	118446	Mrs. Smith
732425	125802	Mary Wilkes
732425	125876	Maryann Carter
732425	129835	Ranch owner's daughter
732425	129897	Virginia Avery
732425	132361	Head saleslady
732425	141079	Angela
732425	146246	Sara Deeping
732425	149852	The girl
732425	180423	Rosie Feinbaum
732425	183356	Georgette
732425	190575	Rhea
732425	196943	
732425	213098	Kathleen
732425	222145	Nora McCarren
732425	276055	Ingenue (stage sequence)
732425	292403	
732425	298095	Bernice Wilbur
732425	303035	Bess Calhoun
732425	305593	Kathleen O'Toole
732425	315155	Cordelia Norton
732425	337408	Alicia Davidson
732425	340495	His sister
732426	279460	Extra
732427	22876	Jennifer
732427	34962	Lia Black
732427	95476	Angie
732427	117978	Dawn
732427	142619	Bobbi Merchant
732427	156466	Suzanne Keeler
732427	158338	Wendy (usherette at movie hou
732427	188615	Gloria Stevens
732427	232457	Lisa Webber
732427	245236	Chris Evetts
732427	252449	Marguerite Hanrahan
732427	263283	Jarod's mother
732427	294726	Sheydra
732427	303362	Nell
732427	308110	
732427	313948	Eve
732427	323843	Jenny Robbins
732427	362813	Melaine Fairchild
732427	363953	Heidi Solomon
732427	394362	Dr. Reilly Clarke
732427	406776	Samantha Hurley
732428	109532	Herself
732429	231036	
732430	44830	Child
732431	363906	Laura McBride
732432	127263	Dancer - The Furies
732433	348366	Butch Officer #2
732434	408395	Herself - Chief Congressional
732435	190230	Lori Ruben
732436	7913	
732437	153538	Fran Scarcitelli
732437	364300	Herself
732438	3847	Herself
732439	192406	Beth March
732440	402598	Fashion Commentator
732441	222657	Mary
732441	243568	Herself (Marta)
732441	266084	Gloria
732441	381975	Regular Performer
732441	405008	
732442	450	Mrs. Harley
732442	11502	Nurse
732442	16653	Bertha
732442	23474	Mrs. Gilmore
732442	34120	Miss Atty Carter
732442	39351	
732442	41364	Mrs. Pitt
732442	68119	Phoebe
732442	79740	
732442	80970	Florist
732442	109768	Mother
732442	113416	Olly's mother
732442	119606	Teresa
732442	133628	Mrs. Butler
732442	148947	Hogan
732442	151623	Millie, the pedestrian
732442	183815	Mrs. Edson
732442	194867	Grace
732442	194906	Grandma
732442	206408	Mrs. Evans
732442	208193	Rosie
732442	223799	Constance Riley
732442	296833	
732442	299470	Dr. Walden
732442	308089	Kikuyu Woman
732442	314935	Alva Coleman
732442	334212	Jesse
732442	366300	Cleaning Woman
732442	406615	Gloria Byrd
732443	75767	Herself
732444	275871	Cheerleader
732444	385013	Junkie
732445	40504	Pool Party Person
732445	82519	Clarice
732446	187237	Carol (Kris' Mom)
732447	338298	Diner #1
732448	69396	Gillian
732449	184769	Lapdancer
732450	75543	Bertie
732451	20625	Extra
732451	344551	Ice House Woman
732451	361841	Pioneer Woman
732451	367512	Riding Teacher
732452	56264	Kelly Marsh
732452	83993	Amy
732452	154174	
732452	277088	Pi-Delta-Pi
732452	310837	Rita Matchett
732452	340757	Bride
732452	389791	Additional Voices
732452	393292	Marlene Mahoney
732452	394424	Additional Voices
732453	411261	Stormy (2004)
732454	38342	Sam
732454	77144	Kim
732454	150075	Debra
732454	158055	Brenda Ponder
732454	186936	Lorelei
732454	260191	Actress
732454	275881	Dr. Hardy
732454	293030	Tammy
732454	296888	Cindy
732454	310135	Hologram
732454	333365	Ginger
732454	363633	Secretary
732454	384651	XO--Major Myers
732454	388748	Hostess
732455	1849	Sally the Judge
732455	301392	Miner's Relative
732455	339586	Judge 2
732455	408053	Myra Lawton
732456	37024	Patsy Cline
732457	233014	
732458	41904	Narrator
732458	65358	Herself
732459	393930	Host
732460	349911	Herself
732461	145067	
732461	292158	Checkout Girl
732462	196943	
732463	35658	Penny
732464	183723	Customer
732465	163295	Cameo appearance
732465	215456	Herself
732465	215458	Correspondent/Miss America 19
732465	381963	Herself (hostess)
732465	383339	Co-Host (1966-1967)
732465	392477	Herself/panelist (1958-1967)
732465	398959	Herself/panelist (1954)
732466	123572	Lady Edwina Mountbatten
732467	38005	
732467	73207	
732467	126571	Mrs. Reese
732467	191431	
732467	221259	Granny 'Warden' (Miranda's Mo
732467	295030	
732467	314279	Savage Rose
732467	355813	Mrs. Dodd
732467	408006	Cousin Lily
732468	337336	Leslie Sweeton
732469	212336	Herself - Participant/Perform
732470	99514	Grethe
732470	104743	German entry (6th place)
732470	146985	Liten
732470	153231	
732470	189843	Host
732470	189860	Herself
732470	204542	Sangerinnen
732470	242693	Aina, samepike
732470	347656	Petra Thorsten
732470	404818	Vipp Smukkeklatten
732471	354677	Ida
732472	45743	Andrine Vik
732472	46631	Herdis' bestemor
732472	48131	Kari Bjørve
732472	108856	Annes mor
732472	130196	Matea
732472	144061	Thea, hushjelp hos Grong
732472	237066	Majas vertinne
732472	240217	
732472	287377	Kari, Knuts mor
732472	293841	
732472	305858	
732472	354196	Jordmoren
732473	46614	Britt
732474	55265	Carol Lomarge
732474	281145	Lycosian Troop
732475	220624	Francesca DiCaprio
732476	84851	Lady in courtroom
732477	142636	Woman At The Mall
732478	171577	Foreign tourist
732479	271636	
732479	354286	Grying girl
732480	283591	Office girl
732481	92926	
732483	335346	Arlene
732484	339351	Reporter #2
732485	218004	Herself
732486	45966	
732487	60280	Christina
732488	143540	
732489	343879	Blonde in MG
732490	291000	Paula
732490	381624	Ceri
732490	381625	Ceri
732490	381627	Ceri
732490	384593	Jill
732491	2819	Heart-attack wife
732491	87235	Mother in cap and gown
732491	363602	Diner Lady
732492	147609	Woman
732492	234889	Stewart's Secretary
732492	270381	Cigarette Girl
732492	272915	
732493	222756	Loving Couple
732493	292668	Talia
732494	16251	Mrs. Longene
732494	52743	Mona DeLuce
732494	70341	Big Red
732494	82376	Mrs. Burnham
732494	92734	Cuban Singer
732494	196392	Mrs. Magruder
732494	230902	Darlene Hill
732494	254619	Judy
732494	288430	Stacey Kane
732494	292034	Mrs. Davis
732494	336742	Jennifer's Mother
732494	379716	Joanna Yaeger Chandler (1983-
732494	386603	Harriet Wilson (1966-1967)
732494	387309	Sid Brennan (1981-1982)
732494	390771	Mrs. Taggart (1992)
732494	404613	Mavis Stone (1985-1986)
732494	410977	Helen Wyatt (1970-1971)
732495	4699	Anne Kennedy
732495	21046	Audrey
732495	120506	Victoria Abberline
732495	135402	Saucy wood nymph
732495	190000	Kate Nickleby
732495	204730	Susan
732495	245042	Louise Thompson
732495	332070	Lady Penelope
732495	339966	Isolde
732495	346364	Erika
732495	382002	Saffron
732495	384593	Lizzie
732495	400110	Agnes Fleming
732495	402166	Lady Jane Grey
732496	231951	Bridesmaid
732497	143989	
732498	259731	
732499	153977	Mutter (episode "Inge")
732499	226264	Frau Rauh
732499	356724	
732499	389948	
732500	28980	Biene
732500	188647	Kathi
732500	197631	
732501	96239	
732501	198980	
732501	249053	Lill Seraphin
732502	144250	Nuori rakastavainen
732503	228154	Sinikka Haataja
732503	354083	Ella Penttilä
732504	99198	Surija
732505	256692	
732506	211863	Puvustaja Kuusinen
732507	177890	Paula Rinne
732508	251953	Katariina
732508	251955	Katariina
732509	366554	
732510	54634	Phone Caller #6
732511	258151	Simone Lary
732511	291021	
732512	765	
732512	16882	
732512	33947	
732512	34904	
732512	41580	
732512	41596	
732512	41623	
732512	42439	
732512	72779	
732512	87379	
732512	95752	
732512	107093	
732512	114275	
732512	117103	Kim
732512	126642	
732512	128694	
732512	130323	
732512	142500	Herself
732512	154060	
732512	167586	
732512	177468	
732512	180796	
732512	215635	Blonde Miss Piss
732512	228023	
732512	233718	Blonde Lesiban
732512	237135	
732512	242055	
732512	242057	
732512	242059	
732512	256248	Lady Near Wine Bottles
732512	263300	
732512	267835	
732512	274415	
732512	294292	
732512	295850	
732512	296705	
732512	300519	
732512	300520	
732512	300521	Thick Blonde
732512	306911	
732512	306923	Herself
732512	318105	
732512	331995	
732512	354799	
732512	361957	
732513	250638	Aesthetic maiden
732513	334757	Chorus
732515	17346	Bente, Viktors Mor
732515	40817	Stefans Mor
732515	83071	Katrine
732515	108050	Tenna
732515	145624	Martha Johansen
732515	159207	Aprils mors stemme
732515	163755	Real Estate Dealer
732515	168430	Pigens mor
732515	182620	Bente, Victors mor
732515	182621	Bente
732515	183311	Anette
732515	190834	Karen
732515	201344	Jill
732515	215073	Sven's Mother
732515	225679	Herself
732515	253942	Anna 'Lise' von Scholten
732515	274831	Helle Åkerwald
732515	284399	Heksen
732515	303747	Charlotte
732515	304393	Plejerske
732515	305882	Hanne
732515	306973	Sofie
732515	315401	Helle
732515	326983	Mother
732515	334249	Dorthe
732515	342076	Elisabeth
732515	342253	Julies mother
732515	343953	Irene Holme
732515	352116	Susanne
732515	382884	Johanne
732515	394071	Ella Heiberg
732515	394830	
732515	397074	Ulla Jacobsen
732515	412298	Alice Willum
732516	340078	
732516	373726	Little Lulu
732517	1594	
732517	6720	Herself
732517	18614	
732517	31714	
732517	39982	
732517	41587	
732517	50789	Buttwoman of 1997
732517	54455	
732517	55289	
732517	60280	Tiffany
732517	67032	Herself
732517	70213	
732517	126109	Herself
732517	128472	
732517	128871	
732517	131321	Herself
732517	150098	
732517	188045	
732517	195625	
732517	197861	
732517	221073	
732517	237135	
732517	262621	
732517	266675	
732517	269033	
732517	270116	
732517	273298	
732517	295945	
732517	306909	
732517	306910	
732517	306911	
732517	306916	
732517	312710	
732517	329865	Herself
732517	336486	
732517	338348	
732517	346237	
732517	355989	
732517	365133	
732517	365598	
732517	372564	
732518	374094	
732519	1879	LeAnn Jackson
732519	119070	
732519	208390	Chelsea
732520	363953	Helen
732521	16605	
732521	20465	La première commère
732521	23343	
732521	23683	
732521	40574	
732521	44974	
732521	55307	La présidente des filles repe
732521	55406	
732521	58224	
732521	59435	La marquise
732521	66834	Mme. Guilbert
732521	70631	
732521	83363	
732521	85543	
732521	99409	La bonne
732521	110138	
732521	131308	
732521	148658	La tante
732521	166149	
732521	168101	
732521	171346	
732521	175675	
732521	198620	
732521	199588	
732521	201192	
732521	202697	
732521	206513	Tante Anna
732521	206578	The Duchess
732521	208218	
732521	220271	La concierge
732521	220497	La bonne
732521	235814	Mlle Tintoret
732521	235831	
732521	235832	
732521	240432	Old Woman
732521	250785	Madame Galvin
732521	264024	Madame de Givrelles
732521	266406	
732521	269150	
732521	281300	
732521	282048	Mme. de Gondreville
732521	308305	
732521	322337	
732521	328439	
732521	337000	
732521	345518	
732521	346693	
732521	349899	Agathe
732521	355266	
732522	23183	
732522	102664	
732522	162862	Mama Harakas
732522	174648	
732522	180313	
732522	181177	
732522	265962	
732522	321948	
732522	327108	
732523	41732	
732523	92017	
732524	364709	Lena Anderson
732525	30166	Siri
732526	21375	Ung skuespillerinde (Young ac
732527	168446	
732527	173141	
732527	184666	Herself - Costume Designer
732528	166092	
732529	238803	Modell
732530	67395	Emma
732531	7448	
732531	47262	
732531	125621	
732531	164701	
732531	168180	
732532	54385	Johanna
732533	111557	Extra
732534	278620	
732534	374541	Nina
732535	334477	Sandrine
732536	104752	French entry (1st place)
732536	104772	French vote presenter
732536	104773	French vote presenter
732536	104774	French vote presenter
732536	104775	French vote presenter
732536	104777	French vote presenter
732536	147240	French entry
732537	54249	
732537	76492	
732537	236581	
732538	80564	Bella Bella
732539	93043	Monica
732540	196471	Country Dancer #7
732541	226870	Little Cece
732542	361169	Nadine Parkson
732543	70415	Momma Coffie
732543	77690	
732544	28706	
732544	175674	
732545	2201	Stacey
732545	24503	Hippie Girl
732545	48468	Lorraine
732545	81649	Mary (Student)
732545	94194	Sarah
732545	141305	Patty
732545	145071	Lucy
732545	154660	Wendy
732545	157255	Stewardess with Luggage
732545	157436	Student
732545	177792	Emily
732545	282717	Daphne
732545	309498	Julie
732545	362453	Darcy's Assistant
732545	400193	Caramel
732545	411414	Abby Cosgrove
732546	33557	
732546	339909	
732547	211799	
732548	6756	(episode A Receita)
732548	14753	
732548	14966	
732548	53853	Rosinha
732548	55078	
732548	69494	
732548	83732	
732548	163147	
732548	277562	
732548	319519	
732548	392793	
732549	284195	
732550	224157	Steffi
732550	287318	
732551	8838	
732551	55195	Frasquita
732551	342302	
732552	224509	
732552	304107	
732553	78993	Mama Boudreaux
732553	85184	Mme. Heger
732553	89100	Renée De Penable
732553	112527	Madame De Marchand
732553	117647	Madame Gaby
732553	128222	Mme. Yvonne Dupre
732553	143605	Gray lady
732553	154481	The Modiste
732553	178342	Delphine 'Delphie' Detaille
732553	183804	Mrs. Burrows
732553	224047	Madame Touchet
732553	228642	
732553	245159	Caroline Pomponette
732553	247139	Sales Clerk
732553	255465	Madame Rougeron
732553	276948	Madame Montanot
732553	277447	Madame DeBreteuil
732553	312351	Dancer
732553	316323	Madame Darville
732553	318246	Duchess
732553	323764	
732553	331205	Mama Corbino
732553	343249	Dress Shop Saleswoman
732553	345718	Mme. Bonet
732553	370555	Madame Bartholdi
732554	381913	Participant, 8th out (2003)
732555	183266	
732557	261369	
732557	282770	
732557	373268	
732558	19177	Art Gallery
732559	684	
732559	43075	
732559	60432	
732559	60435	
732559	84262	Anya Dzyuba
732559	89486	
732559	89803	Lidiya
732559	89818	Lida
732559	122825	
732559	131300	
732559	156424	Vasilisa [Vilya, US]
732559	198082	
732559	206931	Mariya, the Weaver
732559	223563	
732559	232665	
732559	285196	Princess of Lake Ilmen
732560	813	
732560	32507	
732560	173018	Isichenko
732560	211194	
732560	215597	
732560	326525	Poliksena Vasilyevna Toropets
732560	357623	
732562	336	Singer
732562	41514	Mrs. Ornetová
732562	95065	Nurse Filiberta
732562	147035	Lisková
732562	281214	Würmová
732563	23919	Herself
732563	90271	Herself
732563	399237	Panellist (1986-88)
732563	408148	Herself - Panellist
732564	75931	Mother
732564	165844	Gruzdowa
732564	322138	
732565	262635	Eva
732565	268510	Anicka Skálová
732566	139	Kveta Vacáková
732566	23035	Ranger's wife
732566	26177	Prosková
732566	72383	
732566	96391	Bláhová
732566	142287	Mrs. Vanecková
732566	147575	Svetla
732566	165034	Safránková
732566	165035	Stepán's Mother
732566	165074	Safránková
732566	171534	Costumer
732566	171545	Headmistress
732566	175013	Anna
732566	175016	
732566	179883	Mother of Stepan
732566	181583	Frau Kramer
732566	198224	
732566	198229	Directress
732566	198356	Jitka's mother
732566	205383	Kroupová
732566	212112	Mother from jitka
732566	223579	Herself
732566	224959	
732566	225947	Komárková
732566	229558	Kveta Marcanová
732566	229822	Hadrabová
732566	237522	Inkeeper's wife
732566	249382	Hnízdová
732566	257483	Dvorácková
732566	260424	Sintáková
732566	281639	Julie Bebel
732566	282754	Katerina Durová
732566	304130	Mysková
732566	304191	Convict Elza
732566	309463	Joza Vinsova
732566	310248	
732566	322675	Bozena
732566	323293	Innkeeper's wife
732566	324113	
732566	327202	
732566	339290	Kacírová
732566	339324	Housekeeper
732566	343815	Pavlina
732566	344101	Mother
732566	352820	
732566	373559	
732566	373664	Mary
732566	375428	Woman in bath (Jak se zena ko
732566	375479	Zemkova
732566	380554	Woman with the sweet porridge
732566	383079	Drvotová
732566	407383	Nedelová
732567	1243	
732567	11253	
732567	29440	
732567	48932	Buffy the Vampire Layer
732567	49348	
732567	70213	
732567	72779	
732567	75047	
732567	75604	
732567	76141	
732567	115055	
732567	128472	
732567	129218	Stripper
732567	131321	Herself
732567	131322	
732567	136188	
732567	146717	
732567	182951	
732567	191370	
732567	219098	
732567	219099	
732567	221008	
732567	248882	
732567	254493	
732567	309814	
732567	317729	
732567	362004	
732567	368860	Herself
732567	368862	Herself
732567	369897	Herself
732567	411601	Herself
732568	200463	Mary, the Housemaid
732568	352912	Veena
732569	218850	Research Assistant
732570	180044	
732571	178376	Statist
732572	351020	Oksana
732573	213388	Naima
732573	287547	Lucy
732574	376602	Stewardess
732575	43192	Erzsi
732575	140061	
732575	182642	
732575	345225	Patronne stand de tir
732576	114763	
732576	212428	
732576	322011	
732577	17079	
732578	349779	Bea
732579	104051	
732579	118823	
732579	212509	
732579	219836	Házmester néni
732579	355742	
732580	35888	
732580	63359	Mother
732580	95638	
732580	104839	
732580	169110	Bozena Nemcová
732580	180817	
732580	195216	Professor´s wife
732580	206950	
732580	217038	
732580	344349	
732580	357631	Elsa Marková
732580	373414	
732581	21314	Dolfi
732581	29785	Vlasta Kvechová
732581	51040	Princess Zpevanka
732581	265045	Tynca
732581	266023	Jirina Zemancová, student
732581	266345	
732581	266435	
732581	266461	Irena
732581	349323	
732581	376604	Kacabová
732581	376605	
732582	162745	
732583	26539	
732583	324463	
732584	62	
732584	57211	Zdenicka
732584	63595	Markýtka
732584	126465	
732584	181396	Sujana
732584	181644	Severinová
732584	198224	
732584	221207	Mother
732584	234248	Mrs. Vísková
732584	283261	Mrs. Rýdlová
732584	303743	Marie
732584	351372	
732584	354622	Olga Vankowa
732584	357435	Zásinek's wife
732584	396264	
732584	407986	Frl. Du Pont
732585	84427	
732586	3364	Csipcsup királykisasszony
732586	7222	Jusztina
732586	74459	
732586	99537	Királylány
732586	104051	Kornél mamája
732586	226706	Klárika
732586	272530	Lady in Waiting-Tsar's Maid
732586	375162	Peti anyja
732587	85221	Toncka
732587	376464	
732588	9454	
732588	10425	Shop superintendent
732588	28341	
732588	35937	
732588	49129	Cap Ledrut's wife
732588	74397	Mogyoróssy Böbe
732588	99739	(segment "Jégárpa")
732588	102541	Lány
732588	120268	Princess Jasmine
732588	122131	Segédrendezõ
732588	139997	
732588	172529	Artista
732588	175701	
732588	177975	Boltieladó
732588	180824	Mikulik Gizi
732588	199873	
732588	209721	Fat Lady
732588	219216	Vásárlónõ
732588	225415	Éva
732588	322051	Belviziné
732588	377807	Ms. Hannelore
732588	382544	
732588	390538	Vera
732588	410331	
732588	410513	Madame Schwabe
732589	162509	
732590	129506	Lászlós Nachbarin
732591	328748	
732592	322025	Felvételizõ
732593	10122	
732593	70833	
732594	176207	Gézuka
732594	278687	Tévérendezõ-asszistens
732594	322002	Erzsi
732594	377144	Mária húga
732595	343704	
732596	136630	Laura Falkenberg
732597	153690	
732597	343446	
732598	225074	
732599	377616	Anna
732600	383470	
732600	398471	
732601	75207	The Forester's Wife/The Owl
732602	51902	
732602	56001	
732602	306707	
732602	400937	
732603	136993	
732603	222050	
732603	295172	
732603	340288	
732604	14259	
732604	125660	
732604	370068	
732605	100367	Silvia
732605	253277	Baba (segment "Competition")
732606	75181	
732607	54316	
732607	84463	
732607	88053	
732607	89928	Juez
732607	193157	Pedro's Mother
732607	379457	Dorotea
732607	387574	Mechita
732607	392352	Aurora
732607	406058	Lupita
732608	63787	
732609	376756	
732610	388044	Herself
732611	209079	
732611	379461	
732611	400792	Alejandra
732611	402219	Luciana (young) (1998)
732611	404851	Marcela
732612	402331	Herself
732613	189012	
732614	52708	Empleada
732615	123150	
732616	397243	
732616	402331	Herself
732617	373951	
732618	158804	
732618	171613	
732619	389480	Helia Parraguez
732619	396333	Clarita
732620	93282	Josefina
732621	1863	
732621	28034	
732621	219734	
732621	234011	
732622	145137	
732623	1136	
732623	7318	
732623	33558	
732623	46658	
732623	61203	Julia
732623	63887	
732623	64707	
732623	69249	
732623	91346	
732623	99717	
732623	103487	
732623	108740	
732623	121265	
732623	124786	
732623	127991	Laura
732623	133107	Gaza
732623	170502	
732623	192935	
732623	198235	
732623	204644	Paloma, hija adoptiva de Mano
732623	205699	
732623	206012	
732623	249775	
732623	277392	
732623	288854	Abigail
732623	301060	
732623	307198	
732623	320222	Cecilia
732623	327927	
732623	328724	Lucia Gonzalez
732623	329152	Sandy Adams, Roy's Girl
732623	333699	Duquesa de Alba
732623	338706	Helen
732623	371776	
732623	379446	
732624	74527	
732624	114877	Herself
732625	113631	Tommy's mother
732625	378386	
732626	249908	Ira Bocklin
732627	401280	Herself (season 2)
732628	24206	Dependienta Fnac
732629	247565	
732630	249877	Female Nurse in the present
732631	44449	Baptismal Candidate
732631	176919	Mrs. Nogales
732631	245434	Raphael's Mother
732632	256537	Júlia
732632	384972	Ester
732632	395041	Aurora Pedrós
732633	375969	Iréne
732634	343707	Kata
732635	43106	
732636	15858	Bitch in the bath
732636	162974	
732637	209842	
732638	221963	Angelita
732639	2474	
732639	16338	
732639	62338	
732639	63961	
732639	75180	
732639	85575	
732639	111992	
732639	162764	
732639	181668	
732639	207773	
732639	383974	Perla
732639	386783	Mima
732639	388162	
732639	398489	
732639	400640	
732639	401437	Amparo
732639	401692	Maruca
732639	402427	
732639	407792	
732640	175032	
732641	161682	Kati
732642	3416	Béline
732642	28053	
732642	43187	Zsufa
732642	74415	
732642	77565	
732642	97965	
732642	106692	Júlia Szabó
732642	110704	Marjákné
732642	129672	Mrs. Balassa
732642	133070	La grande Catherine
732642	136600	Palotás irén
732642	137890	Schmidthofferné, Ica anyja
732642	142233	Döbörhegyi Ernõné
732642	153697	árus a kompon
732642	163968	
732642	175708	
732642	182662	Erzsi anyja
732642	182873	Teruska
732642	198178	
732642	209842	
732642	213394	
732642	254957	
732642	268232	
732642	284581	
732642	285891	Empress Marie Theresa
732642	322051	Nagymami
732642	322128	
732642	343747	
732642	355133	
732642	355244	
732642	377753	Matild
732642	378301	
732642	394991	An(Tóni)a
732642	407239	
732643	28341	Auntie Vilma
732643	114763	
732643	333123	
732644	227607	
732644	412295	Méhesné,Ágnes
732645	215096	Cypra
732646	108840	
732646	153688	
732646	334028	
732647	153695	Örzse
732648	98027	
732649	211217	
732650	246203	Hanka
732651	272407	
732652	3013	Gabi Heim
732652	301041	
732653	125233	Jeannine, die Bäckerstochter
732653	325397	Heidi Brunner
732653	334563	
732653	350875	
732654	17747	Taina
732654	104276	Sallamari Heinonen
732654	137739	
732654	142642	Saaran mutsi
732654	170247	Shemeikan nainen
732654	174779	Laurin sisko (sister of Lauri
732654	181589	Eve Leino
732654	181856	Tuomas' mother
732654	193559	Lena
732654	209064	Policewoman on train
732654	213417	Bank Clerk
732654	213691	Woman
732654	246573	Äiti
732654	246584	Hannele Koski
732654	284751	
732654	314365	
732654	321965	
732654	324808	Ylikomissario Maria Kallio
732654	334820	Outi Mäenpää
732654	341608	Iiris' co-worker
732654	345004	
732654	354280	
732654	376036	Sirpa
732654	394960	Päivi Miettinen (2000)
732654	396194	
732654	398541	Various
732654	398646	Piia Pelkkä
732654	399673	Noriko Saru/Herself
732654	401476	Anja
732654	401477	Nina Paavola
732654	402507	
732654	404221	Anne Leino
732654	407094	Piia Pelkkä
732654	409843	
732655	393742	Herself
732656	236039	
732657	409609	Edith Heilbutt (1991)
732658	140945	Show Hostess
732659	18522	
732659	223490	
732659	394735	Host/Various Roles
732660	179765	
732661	153650	Nurse
732661	226808	Reporter
732661	307765	Margareta
732661	316210	Beverly Hills Lady
732661	328045	Jane's Mother
732661	354440	Eija
732662	182215	
732662	324808	Anja Jokinen
732662	394539	Leea Karhunen
732663	181709	Cheerleader
732664	181709	Cheerleader
732665	285801	Papun bööna
732666	9996	Sirkka
732666	181858	
732666	184071	Nappula
732666	197363	
732666	278338	
732667	28457	Liisa
732667	181649	Waitress
732667	182370	Milkmaid
732667	319314	Pirkko
732668	334820	White-Coated Woman
732668	341591	Hoitaja
732668	356186	Secretary
732668	405347	
732669	324102	
732670	27408	Tanssija
732671	201721	The make-up artist
732671	201880	Interviewer
732672	233246	
732672	247007	Irja
732673	267016	Eija
732674	151741	
732675	397746	Herself
732676	169092	
732677	184009	Hilkka
732677	394236	Iltalehden toimittaja
732678	278597	Pirjon lapsi
732679	9533	Maid
732679	153756	Elina
732679	182013	Löpö
732679	184780	Young woman on a picnic
732679	186071	Elli
732679	188932	Prostitute
732679	206142	Woman on a beach
732679	258847	Charity woman
732679	354261	Vappu Vuorenkaiku
732680	27408	Naapurin mummo
732680	178448	Hag from next door
732680	223274	
732680	400780	Hilja
732680	407885	
732681	139429	Model
732682	98213	Eila Salonen
732682	139491	Kirsti
732682	163186	Herself
732682	163844	
732682	184108	Taina Hakala
732682	191193	
732682	237241	Barmaid
732682	247136	Various
732682	278366	Aurora Mutukka
732682	284377	Maahiskeiju
732682	377312	Tipi
732682	394023	
732682	410455	Outi
732683	294545	Sara
732684	390854	en syster Uggla (segments 1, 
732685	396063	Sydney Childers/Janina Vierik
732686	181935	Toimistotyttö
732687	179366	Äiti
732688	156040	
732688	409931	Helmi Soldan
732689	399850	Belinda Jansson (2 episodes s
732690	182455	Berlack
732690	193298	Maid at Grindstugan Inn
732690	304199	Kristina, a Nurse
732691	210358	Herself/Host
732691	210361	Herself/Host
732691	405911	Herself - (host)
732692	35054	
732693	16268	Ruth Graha, direktørns syster
732693	29558	Journalist
732693	48369	Prästgårds-Clara
732693	84299	Mrs. Törring
732693	84306	Mother
732693	103588	Eukaluk
732693	119157	
732693	122477	Angela
732693	135674	Mrs. Andersson
732693	136711	Countess Ebba Dohna
732693	154286	
732693	154525	Anna Ruud
732693	159671	Gertrud
732693	174092	Anna Ulfclou
732693	174094	Anna Björnberg
732693	174201	Actress
732693	183997	Laila
732693	190807	Sister Marianne
732693	192656	Louise Hawermann
732693	216359	Mary Ran
732693	256501	Pia
732693	302139	Mary Haglund
732693	303854	Ruth Frendin, a daughter
732693	333064	Gertrud
732693	353676	Nina
732693	357778	Anna Olsson
732693	357805	'Kristina' in the radio play
732693	361097	Ekalonk
732694	33366	Malin
732694	84291	Britt
732694	110925	Mia
732694	164785	Ulla
732694	198033	Karin
732694	198277	Bente
732694	303193	Lisett Ahl
732694	320406	Marianne
732695	304408	Gunborg, maid
732696	444	Waitress
732696	29558	Guest at the masquerade
732696	34222	Woman at the dance
732696	84318	
732696	109132	Office Employee
732696	122330	Karin Hall
732696	154509	Guest at the hotel
732696	164651	Dancing woman
732696	182286	Young woman
732696	192654	Carlberg's maid
732696	198265	Guest at the nightclub
732696	307221	Sonja
732696	307533	Woman in the audience
732697	275108	Hotellreceptionist
732698	246024	
732698	387057	
732699	142766	Angel #3
732700	391363	
732701	399936	(sketches)
732702	25239	
732702	60909	
732702	65381	
732702	66725	
732702	170291	
732702	238025	
732702	258842	
732702	261793	
732702	376534	
732703	329656	Myrtale (soprano)
732704	219508	Anh
732705	276517	Young Bertrande
732706	164188	Daisy
732707	268448	Biology Teacher
732707	401680	Charlotte (2004)
732708	67761	
732709	29706	Grand-mère vin de palme
732710	7459	
732711	99362	
732712	377768	Utas
732713	182208	Wife
732714	276309	Danielle Arnoux, la syndicali
732714	386468	Herself/Co-host (1997-1998)
732714	395893	Herself
732715	400159	Herself/Panelist (2004-)
732716	392580	Claire, la supposée fiancée
732717	13887	Herself
732717	15250	
732717	16010	Hélène Laclaux
732717	23632	Mme Lécuyer
732717	23750	Mademoiselle Guérande
732717	29792	Mme Lagneau
732717	43710	La mère de Marie-Paule
732717	53236	Mlle de Cayla
732717	57077	Gelinotte
732717	60521	La maréchal de Luxembourg
732717	68513	Julie Ternolain at 45
732717	70939	Mme Mauve, la mère d'Hélène/M
732717	75909	Mère Marguerite de Jésus
732717	80290	Grand-Mère
732717	83201	Mme Loring
732717	101881	
732717	107382	Mme Fenal, Julien's mother
732717	111105	
732717	120979	Annie Gravet
732717	135430	Monique, la mère
732717	136649	Louise
732717	142638	
732717	148619	Elisabeth Marcilly
732717	149601	Mother
732717	156551	La mère de Gabriel
732717	166289	Blanche
732717	166350	Jeanne de Luxembourg
732717	174636	Tsarina Maria
732717	183800	Costa, l'accompagnatrice
732717	195147	
732717	198292	La mère de Léa
732717	198974	Le juge d'instruction
732717	202007	La boulangère
732717	204668	La grand-mère Phlipon
732717	219479	Mme. Blanchon
732717	220395	Mme Leguen
732717	220697	Hélène
732717	240429	La mère de la petite blonde
732717	245484	Tante Léonie
732717	258306	La mère
732717	258529	Denise Lamarche
732717	270353	
732717	275620	Inès
732717	282409	
732717	282410	
732717	287340	Marthe Cardinaud
732717	294180	Melissa
732717	294560	Mrs. Giret
732717	327545	La directrice de publicité
732717	327577	La grand-mère de Marcel
732717	332223	Mme Roederich, la mère
732717	336641	Mamie Chapeau
732717	338051	Esther
732717	340205	Madame Vickers
732717	345164	Solange
732717	346719	La fermière
732717	349421	La mère d'Agnès
732717	351816	Delphine
732717	352511	
732717	356515	Mme Maranteuil
732717	377006	La mère de Françoise
732717	377277	Old Thérèse
732717	377708	La dame
732717	378017	Mme Solanel
732717	381520	
732717	382573	
732717	384009	Françoise
732717	389784	Comtesse Eléonore
732717	391632	
732717	410215	Alice Ougeot
732718	303481	La comédienne incarnant Mme M
732719	132837	Herself
732720	108897	Herself
732720	262227	
732721	396978	Simone années 50
732722	23692	La petite soeur
732722	68816	Pania
732723	122420	
732724	334738	Vriendin van Adèle/Friend of 
732725	68381	
732725	301402	Jeune Fille Train
732726	14314	Colombe
732727	43401	Valérie
732727	65613	
732727	71528	La maman de Dany
732727	86727	La bonne de Zoé
732727	261785	Madame Caron
732727	337019	Martine
732727	346599	Diététicienne
732728	24180	
732728	67075	Josée
732728	306420	
732728	383306	Josée
732728	410152	Isabelle Boisclair
732728	411186	Rita Germain
732729	194780	Girl
732730	194780	Girl
732731	89924	
732731	284336	
732731	398482	Rosalinda Pacheco
732731	403289	Marta
732732	53166	
732732	55935	
732732	101815	
732733	215611	Saidi
732734	212388	
732735	9714	
732735	36664	Doña Raquel
732735	52601	
732735	58047	
732735	74808	
732735	96341	
732735	104171	Madre de Miguel Aguirrezabala
732735	194622	
732735	202213	
732735	221681	
732735	229453	
732735	232884	
732735	234175	
732735	236021	
732735	269544	
732735	280577	
732735	291673	
732735	296463	
732735	309087	Madre de Sor María
732735	318016	
732735	320217	
732735	327927	
732736	36667	Maria's Double
732737	78570	Dancer at Salón Los Ángeles
732738	168727	
732739	357189	
732740	222412	Delincuenta en televisión
732741	80147	
732742	51621	Mujer rapada
732742	245854	Mecánica
732743	51520	
732743	61756	Marta Sanchez
732743	69447	Coco Freyre
732743	83491	
732743	100588	
732743	145225	Carmen
732743	156374	Claudia Bernal
732743	169746	Julia
732743	193072	Herself
732743	202287	Marcela
732743	214694	Barbara
732743	225042	Marta
732743	262980	Herself
732743	275751	
732743	357538	
732743	380084	Sofía
732743	383532	
732743	384632	Colorina/Fernanda
732743	388095	Diana Salazar/Doña Leonor de 
732743	390300	Silvana Bernal
732743	396403	
732743	396873	Marielena
732743	398455	
732743	398534	
732743	400718	Rosa
732743	404987	Rosa Moreno
732743	408211	Olivia
732743	408859	Sofía Gutiérrez
732743	409290	Raquel
732743	409833	Vanessa Reyes de Saint-Germai
732743	410313	Viviana Lozano
732744	357189	
732745	269270	Mujer de la camioneta
732746	215894	
732746	294774	
732746	295146	
732747	25159	
732748	359744	Annabelle
732749	387101	
732749	400942	Nena Duarte de Santana
732750	23678	La marquise de Varenne
732750	58118	Ania
732750	91460	Pauline de Bertrand
732750	217223	
732750	388159	Olivia
732750	398033	La jeune fille (1973)
732750	401030	Marie Gauguin
732751	63647	Maria Foreni
732751	68898	
732751	73117	
732751	74984	Mado
732751	110436	
732751	114832	
732751	122133	La princesse
732751	166176	
732751	199598	
732751	202592	
732751	212767	Countess Esera
732751	218299	Titine
732751	259310	
732751	263987	
732751	268405	Dolorès
732751	302168	
732751	340170	Milady de Winter
732751	345484	Yvonne
732751	346823	Liane Baxter
732752	8627	
732752	376969	
732753	171604	
732754	15128	
732754	45111	
732754	85715	Fräulein
732754	103785	
732754	130908	Dolores Coreto
732754	166258	
732754	168179	
732754	170291	
732754	213731	
732754	235707	Roseline
732754	254012	Irma Borel
732754	262989	
732754	280515	La Zingara
732754	314359	
732754	338477	
732754	340169	Milady de Winter
732755	96074	
732756	287890	Francisca
732757	14570	Rosario
732758	53697	
732759	12055	
732760	101793	
732760	136996	
732760	170034	
732760	204276	Aurora, paciente
732760	380065	Brígida Escobar
732760	380107	Doña Juana Domínguez viuda de
732760	381169	
732760	382378	Rosario
732760	397579	
732760	400949	Rosario
732760	403365	Ramona
732760	408855	(1999)
732760	409782	
732761	85693	Soeur Valentine
732761	188682	
732761	200961	Madame Boue
732762	6621	Sophie
732762	11711	Mélanie
732762	14846	
732762	14881	Anna De Simone
732762	19201	La mère de Luc
732762	23655	Luce
732762	23699	Martin's grandmother
732762	23707	Jeanne
732762	32027	La maîtresse de maison (anniv
732762	33555	Renee
732762	33569	Babou
732762	33570	Babou
732762	34285	Madame Vic
732762	62179	Traunitz
732762	62237	Madeleine
732762	64302	Herself
732762	65730	La baronne
732762	72402	Catherine
732762	73141	Jeanne Bontemps/Odette Dumont
732762	82029	Frieda Hoffman
732762	82392	Bianca
732762	90684	
732762	91242	La comtesse de Chagny
732762	91914	Mrs. Perfect
732762	94858	Anya
732762	96141	Madeleine
732762	100013	Barbara
732762	100015	Anna Grübel
732762	100364	Christine
732762	104241	Lucille
732762	104476	
732762	110141	Sylvia
732762	113116	
732762	132763	Armande Labrouche
732762	149601	Elisa
732762	156319	Jacqueline
732762	161782	Viviane Boyelles
732762	166095	Jeanne
732762	188689	Herself
732762	201024	Yvette
732762	209721	Miss Malikoff
732762	217874	Herself
732762	217943	Mme Varles (TV version only)
732762	219347	Juliette d'Ortes
732762	219606	Madeleine
732762	220258	Rose
732762	227317	Françoise
732762	229019	Marie
732762	235745	
732762	235834	Françoise
732762	249074	Herself
732762	249860	
732762	251620	
732762	252779	
732762	265504	Helga Ulmann
732762	265713	
732762	275993	Raphaële
732762	278139	Virginie Maurel de Ronchard
732762	278154	La mère d'Alexis
732762	279648	Le rêve du héros (Agathe)
732762	279992	
732762	280561	Jacqueline
732762	287616	la platonologne Mme Landier
732762	290862	Madre
732762	300781	
732762	301314	La blonde du 14 juillet
732762	307380	Madame Beauvier
732762	308422	
732762	315456	Roccella's mother
732762	318515	La femme à l'ouvre-boîte
732762	324647	
732762	327892	Julian's Mother
732762	332187	Herself
732762	344601	Egle
732762	344635	Lady passenger
732762	345126	Hélène
732762	346541	Charlotte
732762	347566	Magda Kremer
732762	349421	Marianne
732762	353829	Nicole
732762	353830	Nicole
732762	356969	La Rodinet
732762	357054	Jeanne
732762	364330	Jacqueline Edwards
732762	376158	Caterina
732762	377257	Sabine
732762	377795	Madame Sabodet
732762	377800	Denise
732762	377914	Claudia Pogoretz
732762	378061	
732762	378205	Lizzy
732762	379420	Jeanne (2003-????)
732762	380862	Martin's mother
732762	384595	Colette
732762	390670	Herself
732762	395094	Maroussia Guilbeault
732762	395095	Maroussia Guilbeault
732762	395096	Maroussia Lambert
732762	395253	Viscida
732762	396869	
732762	398843	Carla Vallebone
732762	401814	
732762	403762	
732762	408719	Bianca
732762	409602	Magda
732763	403938	Madeline
732764	32021	Yvonne
732764	72066	Yvonne
732764	135327	L'Aztec's mother
732764	214204	Maggy Tourtet
732764	275650	Christiane
732765	337020	Solange
732766	9002	Angélina Serato
732766	23828	Sylvie Sauvin
732766	60052	
732766	91755	Lisette
732766	197173	La Princesse
732766	201132	Mrs. Fournier
732766	239218	
732766	266097	Hélène
732767	59774	La vieille repentie
732767	231559	
732768	44725	Madame Coppenolle
732768	51452	Hortense Appelmans
732768	100248	Pauline
732768	123900	Madame Meulemans
732768	124151	Pauline
732768	375079	
732769	55877	
732769	63722	
732769	95854	Jeanne
732769	125471	
732769	149214	
732769	217729	Une commère
732769	264311	La marchand de journaux
732769	338697	
732769	378797	Mme Nusse
732770	23844	
732770	85693	Soeur Alice
732770	156285	The Mother
732770	205586	Mme Peyrat
732770	225445	
732770	269742	Mémère
732770	345119	
732770	345379	La contractuelle
732770	354582	La fermière
732770	383196	Maryse
732770	396867	
732770	404663	Miss Tenby
732771	17079	Eve/Éva
732772	350833	
732773	6501	
732774	171606	
732774	275750	
732775	113092	Herself
732776	377143	Osztálytárs
732777	377889	
732778	153637	
732778	175707	Herself
732778	378279	
732779	48669	
732779	77870	Angyalka
732779	99751	
732779	110920	Marika Gos
732779	137122	Mesélõ
732779	140669	
732779	142727	Szemérmetes Erzsók
732779	147929	
732779	153963	Terus
732779	163179	
732779	177970	Garas juli
732779	182662	
732779	198178	
732779	224968	Marcsa
732779	267668	
732779	277214	Anna Andrejevna, a felesége
732779	302144	Eva
732779	324096	Marika
732779	327033	Teréz anyja
732779	343776	Aranka
732779	377778	Erzsi, Bódog felesége
732779	378516	Rozika
732780	229710	
732781	142855	Frida
732781	217842	Mme Monier
732781	225359	Guilaine
732781	354644	La femme de Vincendon jeune
732781	376914	La vendeuse
732781	387641	
732781	401328	Various characters
732781	407717	Clémentine
732781	408885	Avocat 5
732782	67209	Une groupie d'Eros
732783	224909	Haltérophile #2
732784	81428	La présidente du conseil d'ad
732785	375965	
732786	91456	
732787	8564	Myriam
732787	19839	Gisèle (segment "Goûter de Jo
732787	39439	La femme seule dans le café
732787	42032	Mrs. Claessens
732787	42577	Sheila Crawford
732787	55774	Angy
732787	59118	Melinda
732787	70955	Melinda
732787	77818	Marcelle
732787	96021	Femme vente
732787	100358	Gisèle
732787	112837	Clara
732787	115355	Lily
732787	122426	Récitante
732787	132411	
732787	164198	Dell
732787	168961	Madeleine
732787	169352	M
732787	170107	Jenny Alfaric, dite 'la belle
732787	181348	Marianne
732787	183284	
732787	205732	Marie de Magdala
732787	208144	Doris
732787	227317	La directrice de l'agence mat
732787	233691	Madeleine
732787	247336	
732787	261865	Singer
732787	270620	Mrs. Perron
732787	275634	Michinka
732787	276530	Gilda
732787	276565	Marisa
732787	284222	Madmoiselle Villiers
732787	333593	
732787	340211	
732787	343447	Almunia
732787	344205	
732787	345329	Mira Barnowski
732787	345442	Isabelle
732787	346583	Mercedes
732787	353698	Eva
732787	353899	Une femme du 'Grand Magic Cir
732787	377006	
732787	377475	Samantha
732787	402735	Gertrude Weiss
732787	403089	(segment "Septième ciel")
732787	403427	Madeleine
732788	110075	
732789	173650	
732790	407278	Bára Sípková
732791	27969	Pepicka
732791	43128	Lohníková
732791	148823	Bláza
732791	165119	Vendulka
732791	373587	Helper
732791	408863	Hanka
732792	13514	
732793	4525	Carmen
732793	48780	Ana Mari
732793	51728	Nati
732793	52708	Gaby
732793	54171	Isabel
732793	77705	Det. Llosa
732793	85975	Dolly
732793	96349	Lourdes
732793	99668	Sara
732793	121599	
732793	134403	Teresa
732793	161847	Maria
732793	163980	Herself - Nominee: Best New A
732793	198204	Marta
732793	225610	Viuda
732793	260934	Úrsula
732793	273836	Martha
732793	322397	Andrea
732793	338867	Carmen
732793	386164	
732793	410257	
732794	16093	Peon daughter
732795	3320	Luna
732795	55240	
732795	109948	Margarida (singing)
732796	256373	
732797	401881	Herself (Finalist)
732798	137308	Bebs
732798	322128	Fehér kalapos hölgy
732799	48837	Herself
732799	225607	
732800	28207	Maid
732800	170444	Une passante (rue Gaspard)
732800	293905	Maid Rosa
732801	410105	Suzete
732802	187837	Orvosnõ
732803	387360	Partizánnõ
732803	409728	
732804	14625	
732804	181978	Aunt
732804	206586	
732804	262286	Marta
732804	269117	
732804	279207	Silvia
732804	304177	Jana
732804	311878	
732804	374227	Poverová
732804	405382	
732804	406827	
732805	340441	Laura
732806	322025	Felvételizõ
732807	74450	
732808	10825	Tercera Alicia
732809	54104	
732809	90456	
732809	400289	Cristina
732810	16001	Sanae
732810	229774	
732810	229775	
732810	242210	Nishiki
732810	371854	Ronin's Wife
732810	373363	Long-Necked Monster
732810	374090	Waitress at Fukube
732810	374113	Yutaka/Shigezô's wife
732811	16001	Nagisa
732811	43445	Kino
732811	76889	
732811	127919	Domestic arts teacher
732811	162220	Shinsuke's mother
732811	167537	
732811	167555	Sawa
732811	169696	Ichiko Shimamura
732811	173713	Grandmother Yoshino
732811	242191	President
732811	280604	Ine's mother-in-law
732811	287636	Priestess
732811	299348	Umeno Sonobe
732811	320414	Honjuin, 13th Shogun's mother
732811	325332	
732811	341318	
732811	344162	Ukon
732811	359388	
732811	371879	Goddess
732811	371989	
732811	371996	Kiku, the grandmother
732811	373188	Cruel Old Woman
732812	219276	Tanja
732812	359621	Tischgesellschaft
732813	272754	
732813	289838	
732814	119197	
732815	19522	Kartenaufschlägerin
732815	197836	Frau Gretchen Reich
732815	256511	Grafin
732815	256598	Ruth
732815	261868	Dramatic Soprano
732815	290283	Mrs. Huber
732815	290780	Abtissin
732815	375088	Mirabella
732816	10420	Micki
732817	98385	3. Mädchen auf der Strasse
732818	282797	Host
732819	172194	Kai's Mother
732820	387364	Psychologischer Kommentar/Her
732821	104761	Icelandic entry (16th place)
732822	125312	Julia Johannsen
732822	361438	Tina Schreiber
732822	394903	Susi Richter
732823	35598	Aunt Gisela
732823	101775	
732823	111747	Mama Dump
732823	136086	Frau Arnoul
732823	325545	
732824	3161	Child at the swimming school
732825	315606	Jossi
732825	408800	Lisen Wästberg (1994-1996)
732826	378743	Rosa
732826	390812	Charlotte Bohlstädt (1999-200
732827	100477	
732828	259564	Kriminalistin
732829	390812	Sonja Wiebe #2 (1998-2002)
732830	58830	Marion, Alices sister
732830	59717	Alma, maid
732831	16262	A fairy
732831	174093	Emerentia
732832	46192	Herself - No Angels/Performer
732832	233480	Herself - No Angels
732832	307680	Anastacia
732832	367052	Girl Group Member
732832	401886	Herself - No Angels
732833	325581	
732834	312644	
732834	352767	Kollegin
732834	390186	
732835	115389	Secretary
732836	192639	
732837	120848	fru Trulsson (episode 2)
732837	147008	Edit
732837	150123	Priest
732837	182570	Geo-Geo
732837	197808	Doctor
732837	293705	Spåkone
732837	349575	Woman in Ljunghusen
732837	354426	Birgitta
732837	390950	Siv
732837	400001	Mona Berg
732838	140258	
732838	174790	Die Bäurin
732839	149638	
732839	152357	Liisa's aunt
732839	170246	Juhan Äiti
732839	172523	Klaara Rantamo
732839	176620	Eeva
732839	177897	Lea's mother
732839	179364	Fortune-teller
732839	211432	
732839	213378	Granny
732839	213379	Augusta Johansson
732839	223273	Grandmother
732839	240074	
732839	283959	Old woman
732839	320385	Kahvi-Kaisa
732839	336405	Mrs. Raudanhovi
732839	349748	Woman from the other village
732839	350584	Madame Johansson
732839	371441	
732840	248500	Kvinna på kommunkontoret
732841	107982	
732844	405455	Narrator
732845	6512	Tove (20 år gammel)
732846	27593	Herself
732846	113651	Herself - Choir
732846	401951	Herself - Choir
732846	406569	Herself - Choir (season 2-200
732847	37970	Helena
732847	51295	Smut
732847	51302	Herself - Participant/Perform
732847	178731	Henriette
732847	215067	Julie
732847	234826	Pige/Girl
732847	237290	Camilla Jacobsen
732848	116298	Mor
732849	209312	
732850	128047	Liselotte
732851	96020	Cleos veninne
732852	320590	Herself - Award Presenter
732853	156366	
732854	7697	Herself
732855	151823	Fleure
732855	154236	Susie
732856	182626	Censor i formning
732857	181765	Fru Andersen
732858	150613	Rosa Schultz som barn
732859	134952	Speaker
732860	309292	Jordemoder
732861	346965	
732862	303686	Herself - Host
732863	42204	
732864	214196	Dancer
732864	231273	Danserinnen
732865	78435	Young Annie
732865	168436	
732865	303747	Vita
732865	387429	Lene Svendsen
732865	394071	Minna Jorgensen
732865	398299	Winnie von Tannhäuser (segmen
732865	403701	Herself (1988)
732865	405951	Winnie von Tannhäuser (1986-1
732865	408510	Herself (1985)
732866	201344	Carina
732867	327337	Herself - Studio guest
732868	181071	Herself
732869	102497	Skuespiller
732870	234826	Pige/Girl
732871	138531	
732873	256352	
732874	79616	Winnie
732875	386347	Herself (episode 1.6 "1970-19
732876	279804	Herself
732876	403536	Herself - Participant (1999)
732877	84288	Forelsket
732878	227735	Pensionatsværtsinde
732878	266370	Else
732879	409153	Herself - Host (1997-?)
732880	382765	Trude Sande
732880	395375	Janne
732881	234512	Sykesøster
732881	382898	
732881	392072	Hilde Eikevik (1998-1999)
732882	235043	Fru Rognerud
732883	409298	Åse (2001)
732884	180215	2.Pige
732885	388709	Filmkritiker
732885	407608	Herself (judge)
732886	58069	
732886	64705	
732886	68961	
732886	68967	
732886	76109	Juan's Mother
732886	82588	
732886	83756	
732886	121216	Andrea
732886	121978	Hermana
732886	132476	Angustias Aliaga
732886	134489	
732886	143693	
732886	169770	The Dead
732886	170272	
732886	221553	Noemi's Mother
732886	236760	
732886	238150	
732886	248302	Donata
732886	266910	
732886	275955	
732886	284809	
732886	332601	
732886	380113	
732886	388399	
732887	14711	
732887	51809	
732887	70857	
732887	193490	
732887	211044	
732887	212380	
732887	212388	
732887	355756	Mercedes
732888	76116	
732888	167800	Gloria
732888	379457	Déborah
732888	383333	Estrella
732888	387090	
732888	391417	Lorena
732888	392352	Lucía
732888	397577	
732888	404989	Isabel
732888	411633	Yacaranday
732889	3370	Isabel
732889	14407	María (Doblaje de Liv Ullmann
732889	27191	
732889	55974	Vicenta
732889	81357	
732889	82588	
732889	97373	Alicia Núñez
732889	132469	
732889	135381	
732889	143666	
732889	194432	
732889	194626	
732889	221574	Laura
732889	222858	
732889	238150	
732889	269957	
732889	272639	
732889	380079	
732889	380113	Marcela
732889	380840	
732889	387127	Marta Ramos
732890	68636	
732890	339131	(segment "Una de pandereta")
732891	134487	
732892	334554	
732893	31446	
732893	380739	Leyla
732894	17371	Cécile
732895	4844	
732895	134808	Kati
732895	325924	Daniela Paulke
732895	359677	Hilde
732896	344153	
732897	115196	Ida
732898	26884	Zeta
732898	55195	Carmen
732898	181133	Brita, Mats' sister
732899	115435	Mother
732900	115435	Child 1
732901	101322	Spasti
732901	119689	
732901	120058	Nic
732901	180912	Andrea
732901	210054	Kyra
732901	325716	
732901	395667	Isabelle (2003-)
732901	408771	Greta
732902	386334	
732903	10367	Herself - Interviewer
732903	279619	Herself (audience)
732903	410302	Herself - Host (2001-)
732904	259646	Lo
732905	102528	Ampel Bunny
732905	319706	Stockers' daughter
732906	110565	
732906	325469	
732906	401015	Dr. Liebold
732907	277758	Traude
732908	325605	
732909	341909	
732909	397306	Selma Lokman
732909	410441	Derya Usta (1993)
732910	62694	Young Solange
732910	77093	Ula
732910	231730	Frania Skrudziak
732910	398874	Julia Nowak-Burska
732910	400701	Wandzia
732910	401518	Pippi (voice in Polish versio
732910	408996	Tonia
732911	275223	Herself
732912	42203	Marita
732913	115423	Worker at the union meeting
732914	326904	
732915	108913	
732916	49141	
732917	166763	Schulorchester
732917	374346	
732918	145525	Isa
732919	40417	
732919	182798	Elli
732919	259673	
732920	333045	Arme Frau & Ensemble
732921	347035	Model #1
732922	399105	Host (1990)
732924	34311	Sekretärin des Architekten
732925	343661	
732926	208144	
732926	284424	
732928	215477	Organisatrice
732928	215478	Organisatrice
732928	215479	Organisatrice
732928	215480	Organisatrice
732928	215481	Organisatrice
732928	215482	Organisatrice
732928	215483	Organisatrice
732928	215484	Organisatrice
732928	215485	Organisatrice
732928	215486	Organisatrice
732928	215487	Organisatrice
732928	215488	Organisatrice
732928	397888	Organisatrice
732929	12471	
732930	9986	Klassenlehrerin
732931	388053	
732932	11786	Eva Kende
732932	16334	Ursula Hartmann
732932	17028	Lisa Kyriakides
732932	33236	
732932	92441	Fleur Blanchard
732932	125318	Corinna Stephan
732932	126445	Beate Corda
732932	208098	Schwester Irma Wasem/Sister I
732932	219283	Inge Jensen
732932	219701	Angela Schaefer
732932	262004	Miriam Linka
732932	281231	Lt. Kay Morrison
732932	281950	
732932	326206	
732932	379882	Bastienne
732933	186934	Felix Engler, Student
732934	117001	
732934	252193	
732934	262961	
732935	1586	
732936	384184	
732937	320593	
732937	353049	Bente
732938	346711	Laurette
732939	99893	Sophie Bürgi
732939	314308	Frau Hotz/Mrs. Hotz
732940	156705	Die Dame
732940	412110	Evelyne Cerphal
732941	98981	Scriptgirl
732942	254250	
732943	225152	Dame an Telefonzelle
732943	265402	Schülerin
732944	180912	Patientin Birkenhof
732945	394612	Verpleegster
732946	142266	Herself (Fotografin, Leipzig)
732947	207777	Marthe
732948	38765	Sonjas Mutter
732948	40417	Frl. Sanddorn
732948	102159	Hanna
732948	307652	Frau Spieker
732948	333044	
732948	352367	
732949	290205	Katleen
732950	121044	
732951	17509	Princess Marie
732951	119187	
732952	20324	
732953	343661	
732954	244679	
732955	390812	Schülerin Jana (2003-)
732955	404448	Ira
732956	186122	
732956	354268	Clodia
732958	118823	
732958	322185	
732959	153968	
732960	290985	Hoodlum2
732961	282032	Jutta
732962	211707	Vera's friend #1
732963	388166	Yo
732964	133309	Herself: Cello (Orkester)
732965	134822	Dancer
732966	34642	French Singer
732966	56078	Beata
732966	81253	Ilse Lander
732966	84833	Veronica (Devil Council)
732966	107009	Herself
732966	148562	
732966	177475	Jamie Winter
732966	200528	Greta
732966	214975	Stewardess
732966	232253	Lillie Schaefer
732966	257865	Herself
732966	314631	Beautiful Blonde
732967	141256	Amy Devers
732968	102371	Ines
732968	225152	Fräulein Kirchner
732968	236823	
732968	280796	Zofe bei Munck
732968	289883	Heidi
732969	207215	
732969	254363	
732969	337557	
732969	344757	
732970	111537	
732971	354192	
732972	114133	Sophie
732973	290725	
732974	92980	Martina Müller
732975	173959	
732976	17371	Krankenschwester
732977	56885	
732978	83191	Woman in the Cell
732979	11979	Viola
732979	42122	Victoria
732979	93431	
732979	101397	Gerte Winter
732979	103583	
732979	116311	Blanche von Lindeneck
732979	155777	Stéphy
732979	178623	Erika Heller
732979	189592	Hilde, his daughter
732979	189778	
732979	189779	
732979	189818	Agathe, his wife
732979	191472	Liselotte
732979	206464	Ann Linden
732979	225191	
732979	253885	
732979	264919	Vilma Förster
732979	277229	
732979	285812	Stefanie von Weidling-Weidlin
732979	307087	
732979	319273	Susie Surster
732979	334770	Hanna Breitenbach
732979	354366	Susanne Lohr
732979	358894	Kati
732979	361403	Nelly
732979	364932	Charlotte Oltendorf
732982	62911	
732984	356882	Theos kleine Schwester
732985	19035	Dorits Tochter
732986	36684	
732986	51334	Jugendführsorgerin
732986	121066	
732986	237719	Christine
732986	259486	
732986	259489	Erika Lorenz
732986	259509	
732986	259547	
732986	259592	Doris Paulsen
732986	259614	
732986	259653	
732986	259688	Karstens Mutter
732986	287175	Anna Hallbauer
732986	290584	Frau Senft
732986	312654	Frau Wallmeier
732986	325466	
732986	334610	
732986	347614	
732986	352191	
732986	365673	
732986	374625	
732986	390186	
732986	397451	Ingborg Hauschild
732986	406263	Christa
732987	384554	Osusanna Iloveyou
732988	167069	Herself
732989	223493	Dr. Schnittberger
732990	107879	Frau Luschnat
732990	188774	Afra, Sennerin
732990	278869	
732990	289956	
732990	293106	
732990	311078	Marianne Reinstadler
732990	361011	Urschi
732991	204439	Karin,
732991	360960	
732992	34354	
732993	155360	Sister
732993	223462	Nonne
732993	272783	
732993	343662	Sonja
732993	349412	Sabine
732994	69158	Herself
732994	69163	Herself
732994	69171	Herself
732994	104747	Swiss entry (8th place)
732995	104747	Swiss entry (8th place)
732996	2179	
732996	195203	
732996	235875	L'amie de Raoul 1
732996	307399	Simone
732996	332198	
732996	346819	La Standardiste
732997	324519	
732998	389280	
732999	7718	Frau vom Amt
733000	40645	Christa
733000	72670	Frau Westphalen
733000	90992	Beate Weiland
733000	93399	Eva
733000	134796	Sekretärin
733000	144029	
733000	144163	Ute Gebhard
733000	144172	Judith Hagen
733000	165660	Theamarianne Hoederbach
733000	186941	Laura
733000	206221	Margo Lion
733000	209950	Ines
733000	250717	Ellen
733000	250974	Gesine
733000	259574	Laura Witte
733000	295835	Conny
733000	324585	Barbara
733000	325486	Verena
733000	325557	Isabella
733000	334522	Samantha Egger
733000	334574	Narrator
733000	347000	Karola
733000	347801	Sonja Rautenberg
733000	348104	Nina Feininger
733000	352066	
733000	358217	Sabine
733000	365600	Tamara
733000	388468	
733001	34568	Gerda Krause
733001	40422	Frau Sommer
733001	141942	Frau Grambauer
733001	173704	Hanna Kars
733001	218986	
733001	259492	
733002	374549	
733003	96473	
733004	156052	Eva
733005	20430	
733005	34289	
733005	41030	
733005	55148	
733005	92992	Frau Pahlke
733005	109323	
733005	114028	
733005	134818	Garderobiere
733005	146872	Eine Nachbarin Völkers (Völke
733005	181556	
733005	197417	Pauline
733005	205473	
733005	210006	
733005	223229	
733005	227171	
733005	237738	
733005	352526	
733005	358220	
733005	359627	Herself
733005	367150	Resolute Dame
733005	376492	Dora Jänisch
733006	281974	Annina
733007	205398	Madame Elektra
733008	290650	
733009	28529	Højskolepige
733010	111313	Gyógyúlt 2.
733011	206212	Mona
733012	125335	
733013	12847	Susanne
733014	4831	Frau Lammertin
733014	126420	Bäuerin Krusemark
733014	162470	
733014	173381	Paul's wife
733014	178742	Dr. Mildred Harnack
733014	186181	Magda
733014	200977	Frau Von Haas
733014	225115	Eboli
733014	259513	Marga Lindemann
733014	259578	Schumanns Mutter
733014	259639	Irmgard
733014	259648	Renate Liebig
733014	276215	
733014	284999	Königin Maria Josepha
733014	285000	Königin Maria Josepha (Frau d
733014	290625	Mutter
733014	312099	
733014	312690	Inge Schneider, Eckehards Ver
733014	352367	
733014	385660	
733014	399179	
733014	411173	
733015	178536	Sabrina
733015	178537	
733015	178540	
733016	225254	
733017	8282	
733017	63866	Julieta
733017	70865	Adriana
733017	156794	
733017	170476	
733017	197456	Lucrecia
733017	255501	Vida Suárez
733017	377902	Tupamaros leader
733017	379652	
733017	379896	
733017	380096	
733017	380242	
733017	383867	
733017	386170	Ester Dickinson
733017	387273	
733017	389480	Diva Oyarzún
733017	392986	
733017	396389	Estrella
733017	396941	Cló
733017	396942	Cló
733017	397117	
733017	399612	Paloma
733017	400715	
733017	401096	Ursula Pérez
733017	402463	Violeta
733017	404074	
733017	404815	
733017	407644	
733017	409283	Adriana Godán años 80
733017	410204	
733018	189443	BGS-Kollegin
733021	169033	
733021	204509	
733021	290627	Sylvia
733021	347622	Ina Lorenz
733021	389948	
733022	120968	Veninde 1
733022	393867	Borgmestersekretær Eva
733023	411905	Various roles
733024	11880	Young Woman
733025	263013	Rosina
733026	225121	
733027	132540	
733028	409861	Liane (1995)
733029	210090	
733030	210090	
733031	352352	Babsi Meier
733032	5687	Mannequin Phillis
733032	12589	
733032	24322	Cordelia Egermann
733032	26241	Edelgart Platenburg
733032	119140	
733032	134794	Madame Pompadour
733032	136609	Frau Téophot
733032	144174	Mrs. Buratti
733032	144329	
733032	150528	Nina
733032	170132	Elisabeth Winkler
733032	180704	
733032	182765	Schauspielerin
733032	186925	Anna Karenina
733032	204466	Isabella
733032	229152	
733032	259435	
733032	270429	
733032	281713	Mrs. Bailey
733032	281953	
733032	311090	Edith Averhoff
733032	325496	Renate
733032	325864	Magda Rhese
733032	335036	Countess Rosina
733032	356710	
733032	364888	Lady Bel
733032	365638	
733032	386906	Signora Bianchi
733032	403795	Carmen Wylander
733033	119247	
733033	227951	
733034	16220	Carola
733034	164902	Ada, as a child
733035	16834	Angelina
733035	22681	Exlibris
733035	109969	Fatou
733035	109970	Fatou
733035	231241	Vita
733035	309567	
733035	346432	Djenaba
733036	392910	Enfant
733037	336641	Femme de Prince
733038	58181	
733038	81523	N'Sani
733039	203925	1st Wife
733040	324457	
733041	36566	
733042	9084	Vanessa
733042	28914	Teresa
733042	100367	Sara
733042	115757	Flor de Lotro
733042	156373	María
733042	193170	Elena
733042	199807	
733042	218589	
733042	225606	Andrea
733042	253277	Neighbor (segment "Competitio
733042	285933	Chetto
733042	302359	Checkout girl
733042	369748	Herself - Presenter: Best Edi
733042	378929	Estefanía (1999)
733042	380121	Herself - Host
733042	386370	
733042	391441	
733042	405498	
733043	50971	Fille casting 3
733044	312259	La mère de Désirée
733045	78409	
733046	5007	The doctor
733046	50971	La mère
733047	50971	Secrétaire
733048	398079	La demoiselle
733049	6217	Mo Akassi
733049	6502	
733049	355267	
733051	32273	Juliette
733051	269244	Melissa
733052	377007	
733053	384111	Aï-Fang
733055	354759	
733056	277439	
733057	220218	Physiotherapeute, Suisse
733058	84667	
733059	249256	Une jeune femme congolaise
733060	196038	Married Girlfriend
733062	128144	Maria (brunette)
733063	248585	
733064	256559	
733065	66114	
733065	97125	
733065	128729	
733065	358074	Herself
733066	27539	
733066	123492	
733066	169010	
733066	227403	
733066	279872	
733066	286599	
733066	286889	
733066	391954	Hong kil Dong's mother
733067	8700	Oh Geum-bok
733068	180006	
733069	269221	Yeay Mean
733070	198586	Wang's Wife
733071	1068	
733071	15193	
733071	49189	
733071	201282	
733071	224468	
733071	229894	
733071	306385	
733071	323235	
733071	371146	
733071	371202	
733072	27550	
733072	138608	
733072	153428	
733072	166806	
733072	227080	
733073	234660	
733074	77086	
733075	43622	
733076	62852	Mrs. Kang
733076	138009	
733076	205493	Namoo's Grandmother
733076	284460	Jinny's mother
733076	371230	Moon-su's mother
733077	76646	
733077	136374	
733077	136500	
733077	137417	
733077	139930	
733077	149081	
733077	159693	
733078	141885	Somiya
733078	167493	Wei Xiuming
733078	282806	Shang Xiaoli
733078	369647	Xiao Xiao (adult)
733079	126778	
733080	22195	
733080	27542	
733080	51002	
733080	60631	
733080	102030	
733080	102067	
733080	105337	
733080	122864	
733080	126781	
733080	153441	
733080	156034	
733080	165530	
733080	165642	
733080	199879	
733080	199880	
733080	215818	Seong-ae
733080	226139	
733080	226839	
733080	288361	
733080	294447	Shin Jae-ok
733080	371240	
733081	62809	Nana
733081	102310	Ling
733082	169595	Girl in Restaurant
733083	36056	Pothana's daughter
733084	13153	
733084	19940	
733084	27660	
733084	36001	
733084	58559	
733084	58996	
733084	86630	
733084	88468	
733084	91466	
733084	95445	
733084	98545	
733084	126973	
733084	136895	
733084	164841	
733084	164885	
733084	169739	
733084	171502	
733084	172344	
733084	174123	
733084	201078	
733084	201236	
733084	204396	
733084	207379	
733084	254733	
733084	270202	
733084	271472	
733084	271529	
733084	281521	Naina
733084	284980	Belu
733084	286665	
733084	295544	
733084	299804	Shankar's sister (Guest Appea
733084	317752	
733084	367221	
733084	407625	Herself
733085	328694	Young Dancer
733086	11986	
733087	32649	Casino Meisje
733088	396316	Miyama Yuuna
733089	227666	Herself
733089	227667	Herself
733090	300810	Grand Duke's wife
733091	217061	Juliet
733091	256492	Zus
733092	373224	Sankaku, Ryoko
733094	38000	Soloist
733095	182049	Shinobu's mother
733096	182949	Young Addict Who Falls
733097	306625	Woman Shopper
733098	15328	
733098	98719	
733098	98720	
733098	100222	
733098	124213	Chief
733098	140614	
733098	181643	
733098	220991	
733098	270279	
733098	303317	Stepmother
733099	176172	Soudabeh
733099	303587	
733100	300790	
733101	127452	
733102	165719	Madam Lili
733103	283756	Ludmilla, his daughter
733104	71965	Majorette
733104	231146	Hortense
733104	390520	Effie (segment "Rendez-vous d
733105	190775	
733105	354727	
733106	3973	Susie Longshadow
733107	104237	
733108	48240	Sophie Mavramoustakides
733108	173353	Plastic Woman
733109	118980	Eating Couple
733109	264158	Ball Guest Barbara
733109	271344	Mourner
733110	119321	Heilige Wilgeforte
733111	18504	
733111	19686	
733111	54104	
733111	54762	
733111	62513	Iolanda
733111	63821	
733111	148479	Magali
733111	196046	Amazon Queen
733111	256780	Lúcia
733111	344828	
733111	380112	
733111	387933	
733112	152941	Herself
733113	35094	
733113	67656	Teresa
733113	280866	Fausta's friend
733113	383247	Cibele Sampaio
733113	385023	Virgínia Mercier
733113	386123	Iracema
733113	405810	
733114	254388	
733115	167205	
733116	323067	The french woman
733117	211146	Wanda
733118	245484	Girl
733119	259185	Mother
733119	261384	
733119	263267	
733119	376244	
733120	126268	
733121	164663	Tessa
733122	69176	Herself
733123	86038	Girl in Van
733124	187488	
733124	268236	
733125	410238	Clarisse
733126	112182	Mrs. Knapp
733127	348336	Sister Mary Secretary (Nun)
733129	284057	Blue Star
733130	367083	Extra
733131	357167	Heidi
733132	118903	Dancer
733133	29126	Didi
733134	115471	Stewardess
733135	274200	Woman in Restaurant
733135	288051	Sara
733136	168300	Cat Lover Gina
733136	368721	Bella
733137	11705	Kathyna Groetz
733137	159270	Marge Snyder
733137	218549	1st American Lady
733137	277837	Vet
733137	356165	Hilda Mainardi
733137	357066	
733138	218397	Susan
733138	249451	Liselotte
733138	293351	
733138	356645	
733138	391248	Gemma Whitely (1998-1999)
733138	402402	Doria Manfredi
733139	38186	Basma
733140	176901	Newscaster
733141	339229	Rosa
733142	148084	
733143	292192	Conga Line Leader
733143	381422	Gina
733144	83380	Maria
733145	43711	Sylvie
733145	99653	Denise Godin
733145	119751	Bigoudi
733145	133072	
733145	200966	Journalist
733145	205480	
733145	205767	
733145	219849	
733145	236542	Nelly
733145	338592	
733145	381521	
733146	91298	
733147	287495	
733148	34481	
733148	54247	
733148	67224	
733148	67250	
733148	217668	
733149	147776	Danseur indien
733150	263056	Inspector's Daughter
733152	289396	Olga
733152	298579	Olga
733153	165754	
733153	319346	
733154	62589	Hanusova
733155	39871	
733155	66999	Souhaire
733155	88569	
733155	153991	Fadia
733155	154831	Lead
733155	347661	Celine
733156	41961	
733156	153991	Laila
733156	184005	
733156	347661	Laila
733157	266554	Francine
733158	159538	
733159	148696	Fille sur bicyclette
733160	183426	Dancer Student #2
733161	124049	Beautiful Woman
733161	218775	
733161	313562	
733162	2968	Viviane
733162	7457	Aliénor Leguennec
733162	14349	Marie-Françoise
733162	17168	Muriel (French version)
733162	58750	Herminie
733162	60965	Jeanne Lafarge
733162	71528	Cora de Montmirail
733162	71988	Carla
733162	91445	L'amie 9000
733162	94805	Sylvia Stern
733162	101157	Hélène
733162	105738	Francine Sophie
733162	109778	Jezebele
733162	132802	
733162	156317	Cheated woman at the airport
733162	166096	Miss Wondershake
733162	169577	Directrice
733162	170468	
733162	197325	La comtesse
733162	198570	Nadia Martin
733162	211646	
733162	224889	
733162	229666	Jacqueline
733162	240465	Female Guest
733162	247170	Rejane
733162	261722	Mathilde
733162	261777	La présentatrice TV
733162	262947	
733162	276385	Nicole
733162	286317	
733162	288896	Louise
733162	292890	L'hôtelière (La Ténardière)
733162	320267	
733162	346642	Anne-Marie
733162	353942	Françoise
733162	354467	Mme Leclerc
733162	377069	La cliente insupportable/Cust
733162	384560	
733162	384787	Françoise Cordier
733162	396263	
733163	17605	Mrs. Roberts
733163	276469	Janet Norton
733164	303837	Elizabeth
733165	230743	Counter Nurse
733165	356784	Rebecca
733165	361811	Angela Wexler
733166	249627	Wiggy
733167	206630	Mrs. Santini
733168	410628	Séverine Gagnon
733169	81905	
733170	51675	Ève
733171	378680	Mère d'Étienne
733172	213324	Divertissement Dancer
733173	135346	La mère
733174	252141	
733175	55881	
733175	83284	Rose Tremblay
733175	115362	
733175	164220	Aunt Aline
733175	173129	Dame au the
733175	237610	
733175	240491	Marthe
733175	240583	Marie Tremblay
733175	261862	
733175	289152	
733175	381504	Mme Delvas
733175	385348	Mme Laliberté
733175	400804	Mme Aucoin
733176	230852	Ashleigh
733177	112730	Francine
733177	148589	Marianne
733177	252725	Aude
733178	80303	
733179	230047	
733180	60127	Lady Hung
733180	167373	Inspector Cindy
733180	189500	
733180	236248	Joyce/Kitty
733181	218411	Miss Petrie
733182	194023	Lady on airplane
733183	270463	Martha Stevenson
733184	344443	Olga
733185	180705	Mrs. Kline
733185	264037	Mother in Cafeteria
733186	223349	Young Mavis
733187	199367	Marquise de Pompadour
733187	278420	Armida/Sirene
733188	57610	Jitka
733188	64666	
733188	84761	
733188	93009	
733188	139865	
733188	149625	
733188	165348	Stumpfnágel's wife
733188	167022	
733188	178453	Davidka
733188	225968	
733188	226519	Anna
733188	239435	Sestra Hojtasové
733188	247946	Starostová
733188	247949	
733188	262568	
733188	262817	
733188	266023	Professor
733188	270400	Racek´s mother
733188	328935	
733188	351496	
733188	357687	Harazimka
733188	357699	
733188	374534	Pretender
733188	375502	
733189	243910	
733190	97727	Neighborhood Extra
733191	293450	Watoko
733192	155912	
733192	160329	Marge
733193	31643	Beach girl
733193	151672	Beach Girl
733193	294742	
733194	300791	Massoumeh
733195	296624	
733196	300791	Zahra
733196	307597	
733197	29670	Harem
733198	180790	
733198	293903	
733198	300478	
733198	342272	Katya
733199	28200	
733199	62219	Kavitha
733199	78915	Lady of Darkness
733199	139151	Eva
733199	260269	
733199	270178	
733199	271496	
733199	321208	
733199	341790	
733199	343961	Lady Marlborough
733199	395893	Herself
733200	130169	Xisa
733200	282856	Herself
733201	190864	
733202	248769	
733202	268197	Herself
733202	276422	Simon's Wife
733204	124019	
733204	212620	
733205	408893	
733206	200254	Gina
733207	408922	
733208	4244	Princess Rajshree
733208	4324	
733208	4405	
733208	4421	Jamuna Das' wife
733208	13130	Stepmother
733208	36143	Sharda Devi
733208	38192	
733208	43327	Anjana Devi
733208	58365	
733208	60872	
733208	71479	Mattie
733208	76999	
733208	79087	
733208	86630	
733208	95242	
733208	98526	
733208	109404	
733208	125318	
733208	130121	
733208	136127	Courtesan
733208	138582	
733208	162689	
733208	162694	
733208	164885	
733208	165152	
733208	167355	
733208	170403	
733208	172146	
733208	172187	
733208	172553	Herself
733208	177059	Widow of Kulu
733208	200588	Mrs. Disa
733208	208175	
733208	211465	
733208	246896	Madame
733208	258551	
733208	259211	
733208	268070	
733208	270200	
733208	270767	
733208	271446	
733208	284704	Miss Joseph
733208	285256	
733208	286845	
733208	287987	
733208	300218	Maya
733208	303012	
733208	320921	Durgadevi Bhargav
733208	324154	
733208	353772	Durga's mom
733208	359417	Kanta
733208	367221	
733209	5264	
733209	13065	
733209	31987	
733209	48335	Baronesa
733209	49102	
733209	60468	
733209	61198	
733209	63408	
733209	69043	Conan's Mother
733209	83863	
733209	89734	
733209	91358	
733209	136288	Leslie Stevens
733209	183029	
733209	193083	
733209	193192	Milady deWinter
733209	197216	
733209	204646	
733209	212454	
733209	221727	
733209	244326	Emily
733209	253592	
733209	258340	Zuka
733209	259851	
733209	296450	
733209	296475	
733209	301165	
733209	301166	
733209	307724	Gunilla
733209	310298	Julie
733209	317730	
733209	325174	Doris
733209	333146	
733209	343620	
733209	353556	Nati
733209	375875	Zorrita
733209	378429	Clara
733209	408911	
733210	66078	
733210	75848	Pepita (Clark's wife)
733210	87241	
733210	87414	Small Girl on Big Boat
733210	188529	
733210	199155	
733210	213888	
733210	226376	
733210	232188	Saloon Dancer Tonia Fernandez
733210	260097	
733210	347056	Native dancer
733210	366172	
733211	16835	Angelina
733212	166169	
733213	319630	
733214	139999	
733214	227650	
733214	250838	
733214	341344	
733214	349446	
733214	370979	
733215	235646	Race Track Teller
733215	276335	Casting Director
733215	342918	Carol
733216	121404	Fugly Farah
733217	260305	Nick's Crew
733218	179608	Karin Menke
733219	303359	Lisa Kreuzer
733219	383292	Ruth 'Ruthchen' (#2) (200?-)
733219	407180	Herself/Sketches
733220	76257	Cream Puff
733220	91097	Goku: Boy
733220	92747	Gohan
733220	92749	Gohan
733220	92750	Gohan
733220	92751	Gohan
733220	92752	Gohan
733220	92753	Gohan
733220	92754	Gohan
733220	92756	Gohan (English version)
733220	92757	Gohan (English Version)
733220	92758	Gohan
733220	92851	Gohan
733220	92852	Teen Gohan
733220	92855	Young Gohan
733220	248708	Eve
733220	382289	Additional Voices
733220	386921	Goku (FUNi dub) (2003-2004)
733220	386922	Young Gohan (II)(1999-2000)/A
733220	386923	Goku (2001-2003)
733220	394392	Additional Voices
733220	397371	Additional Voices
733220	411884	Female Voice, Additional Voic
733221	105472	
733221	210532	Queen of Hearts
733221	220037	Porno actress
733221	339708	
733222	10859	
733222	92729	Naiomi
733222	150322	Tanya
733222	178171	
733222	222133	
733222	316480	
733223	159177	Herself
733224	195689	Additional Model #9
733225	63949	
733226	28617	
733227	130229	Vrouw
733227	160288	
733227	296609	
733228	74426	
733229	129186	Tour Guide
733230	111343	Liane Harrison, genannt Minna
733230	140255	
733230	208098	Margrit Laduner
733230	290560	
733230	376300	Helene Passlack
733230	409990	Klara Kunert
733231	235946	Ursula Knell
733232	27677	Nanette
733232	33236	
733232	86393	Yvonne Rödern
733232	120949	Bettina Rödern
733232	130912	
733232	156056	Rita Lamberti
733232	178628	
733232	180005	Lydia
733232	180872	Dagmar Kobbe
733232	197411	
733232	270816	Vida
733232	308829	
733232	310272	Hannelore Klinke
733232	314549	Dina
733232	361481	
733233	380556	Susa Abschlussklasse (2003-)
733234	205150	
733235	35894	
733235	45977	
733235	328983	
733235	358530	Wally
733235	376304	
733236	378659	Herself (2001-2002)
733237	18388	
733237	29591	Janine
733237	76416	Edith
733237	93623	Maria
733237	102449	Myra
733237	195163	Mevrouw Cluytens
733237	202509	Eleonora
733237	209733	Arkadina
733237	307344	Nicaise
733237	344226	Cafémeisje
733237	359396	Reym
733237	367986	Thea Boone
733238	100458	
733239	283580	Mitoka
733240	397452	
733241	394867	News Anchor Nancy Naeve (1992
733242	252524	Debbie Johnson
733243	57929	Jazz Class Dancer
733244	62699	T.C.
733244	65118	Uba
733244	113353	Vickie
733244	115095	Lila
733244	141192	Cynthia
733244	188507	Dixie
733244	196320	Delia
733244	252865	Bernice
733244	276855	B.B.
733244	336458	Mary
733244	389858	Phoebe Dawson (1989)
733245	233076	Niovi
733245	379509	Glafki Arhondidi
733246	301077	Injured woman
733246	371374	Bunny
733247	287981	
733248	84795	Nayantara
733249	292074	
733250	283679	Shirakawa Woman
733250	408728	Reporter, Kenta
733251	31968	Mimosa San (episode #5)
733251	31980	Mimosa San
733252	232819	Dr. Yamada
733252	367878	Ohio
733253	404772	Guen
733254	334893	Ikue
733255	344034	Taeko Kamura
733256	397828	Mikage Matsunaga
733257	335269	
733257	409842	Airi Kagami
733258	179822	Furontokei
733259	168357	
733260	232610	Kotoe Katagiri
733261	213660	Rumi Funada
733262	74268	Girl
733262	182499	Schoolgirl
733263	9294	
733263	300593	
733264	305682	Heather
733265	70389	Girl
733265	108401	Victoria
733265	113497	Deanna
733266	385980	LadyDevimon
733266	385982	Li Shaochang, Reika Ootori
733266	394975	Honey Kisaragi/Cutey Honey
733266	400053	Reika Tamaki (Tamaki-san)
733267	225306	Die Frauen: Nasi Gorengs Brau
733268	403411	
733269	210621	Herself (Ancor Woman)
733270	578	Yuka Nakamura
733271	372038	
733272	18578	Aiko's mother
733272	21344	
733272	43064	Osugi
733272	149094	Okyo
733272	170592	
733272	232513	
733272	239088	Mrs. Tomizawa
733272	320460	Kayo Noro
733272	334930	Yone
733272	370407	
733273	212770	
733273	306978	
733274	187555	
733275	123986	Herself
733276	103869	
733277	51271	
733277	77522	
733277	295126	
733277	373219	
733278	123113	Catty
733279	286849	Kintaro Kurou
733280	39604	
733280	91046	Nagai Yuka
733280	380472	Mikiko Akimoto
733280	405276	Tsukiko Yazaku
733281	383107	Kazuko Suema
733282	21870	
733282	130492	Shobijin (Twin Fairy)
733282	130502	Shobijin (Twin Fairy)
733282	182074	Kaori Kurata
733282	226689	Natsuho Mizuta
733282	279851	
733282	293662	Aki
733282	371914	
733282	404139	
733283	18662	Mutio
733283	54203	Cammy/Maki Genryuusai
733283	72237	Judy
733283	122108	
733283	175818	Sakura
733283	176532	Maki Izumi
733283	209785	Kizna Towryk
733283	298993	Maya Ibuki
733283	298994	Maya Ibuki
733283	299132	Maya Ibuki
733283	316626	Kei Chitose
733283	373391	Maria Tobe
733283	379521	Kamome Sengakuji
733283	382610	Kazama Yumi
733283	385151	Judy
733283	389791	Keiko Ochiai
733283	394421	Maki Izumi
733283	394696	Gomi
733283	394973	Miyu
733283	396347	Jessica
733283	405144	Maya Ibuki
733283	405981	Creampanda
733283	409817	Miyu
733283	411891	Maria/Gunkid
733284	394523	Nachiguron
733284	400053	Majorika (Marika Makihataya)
733284	411891	Gaku
733285	399499	Nanami Nono/Hurricane Blue
733286	9569	Satoko Aoike
733286	42241	Yoshie
733286	55323	Mieko
733286	91187	Yuki Kamijo
733286	130545	
733286	131290	
733286	139735	Shino
733286	151738	Noriko Takeuchi
733286	174344	Yoshimi Tanemura
733286	182127	Harue
733286	212448	Reiko Harada
733286	216224	Michi
733286	217614	
733286	218692	
733286	232581	
733286	242152	Setsuko, Teacher
733286	244564	Mama of Jango
733286	284061	Mariko Hanashiro
733286	292075	Mitsu
733286	365338	
733286	371848	Fumie Noda
733286	373082	Keiko Awaji
733288	8901	Commander
733288	80570	Tina Armstrong
733288	80572	Tina Armstrong
733288	80573	Tina Armstrong
733288	122108	Bunny
733288	127779	Luminar F
733288	176532	Erina Kinjo Won
733288	209788	Angela
733288	294105	Kunoichi
733288	312538	Kaori Nishidaki
733288	312540	Kaori Nishidaki, Front End Vo
733288	323134	Sakai Reiko
733288	392570	Miss Yôko Tachibana
733288	394051	Rina Takamiya
733288	394421	Erina Kinjou Won
733288	396440	Caldina
733288	403477	Natsumi Ibata
733288	404572	Mimori Kiryuu
733289	59997	Nagwa
733289	242647	Japanese dancer
733289	300041	
733290	30988	Hirono Shimizu - Girls #10
733291	278547	Junior High Schoolgirl
733292	195806	Harumi
733292	246201	
733292	281575	Ayaka Miyazono
733293	40092	
733293	134322	Yuki
733294	301783	Girl
733295	285919	Chiaki Fujishiro
733296	182049	Shinobu
733297	394392	Eclair
733298	179822	Byûtii Surii
733299	179822	CM no Onna
733300	381259	Yuriko Takahata
733301	404137	Urara Kasuga
733302	124037	Woman
733302	175362	Kyoko Sekine
733302	242211	
733302	244516	Setsuko
733302	382416	Minako Ooyama
733302	405786	Yayoi
733303	397522	Júlia
733304	339	
733305	122827	Herself
733305	298980	Herself - a co-founder of Gae
733306	201845	Receptionist
733307	80656	Mitsouko
733307	158514	Mariko
733307	367766	Doris Takahashi
733307	372233	4th bath Girl
733307	388628	Flore
733307	402340	Suki
733307	406087	Yasko (1976-1977)
733308	7178	Grace Brown
733308	19159	Jennifer
733308	20087	Linda
733308	20475	Mrs. Marsha Phillips
733308	39494	Sunny Rogers
733308	41104	Bea Mason (Class of '32)
733308	46735	Sheila Curtis
733308	49364	Bank secretary
733308	52399	Frances O'Neill
733308	56226	Janice Alma Brownley
733308	62013	Logan's Receptionist
733308	67141	Student
733308	68248	
733308	70284	Julie Warren
733308	79660	Nancy Fielding
733308	85080	Karan Ordley
733308	85816	Jeanne Krueger
733308	89196	Gary's Mother
733308	90230	Misty Gaye
733308	103252	Linda Adams
733308	105130	Woman
733308	105248	Clerk
733308	108300	Irene Bartlett
733308	116911	Linda Pierson
733308	123679	Patricia Wayne
733308	126067	Chorine
733308	134058	Lenore Case
733308	134059	Lenore Case
733308	134060	'Casey' Case
733308	136028	Alice Burton
733308	143580	Linda Warren
733308	148423	Guest
733308	149384	Mary Evans
733308	150241	Ruth McElniney
733308	150392	Rita Martin
733308	152208	Teletype Operator
733308	153617	Ballet girl/performer
733308	154228	Gary's Mother
733308	154460	
733308	159996	Gladys
733308	161945	Jean
733308	177397	Kathleen O'Rourke
733308	187467	Paula Wilson
733308	195470	Miss Perkins, Ramp's Secretar
733308	198660	Miss Lansdale
733308	199156	Mrs. William Saunders
733308	199221	Lenora Cameron
733308	203244	June Lawrence
733308	209636	Miss Burke
733308	209672	Herself, Anne Nagel
733308	222672	Attendant at Mission
733308	223392	Gloria Adams
733308	224100	Miss Foster, schoolteacher
733308	224672	Gwen Kingery
733308	230344	Madame Gorgeous
733308	241788	Reporter
733308	246927	Gary's Mother
733308	246929	Gary's Mother
733308	246930	Gary's mother
733308	246931	Gary's Mother
733308	259789	Guest
733308	262758	
733308	274502	Queen of Redheads
733308	279299	Lola
733308	281004	Dawn MacDonald
733308	286059	Mary Dakin
733308	291858	Mrs. Fred (Mary) Morton
733308	292330	Jean Ashley
733308	297956	
733308	300003	Margaret
733308	303378	Girl at Window
733308	311343	Mrs. Blaik
733308	312829	Nina Kincaid
733308	313076	Dancer
733308	316462	Mrs. Piet
733308	331435	Sonia
733308	337411	Ann Marlowe
733308	338225	Marcia
733308	346089	Penny
733308	346863	Beulah (showgirl)
733308	366257	Claire Hartford
733308	367001	Laura the Secretary
733308	367805	Deputy
733309	110718	Panzergrenadier UA Nagel
733310	255827	Congregation Member
733311	31346	Co-Worker
733311	144949	Sidney
733311	301677	Other Mother #3
733312	231537	
733313	325404	Anna
733314	168289	Jenny
733315	11887	First Housewife
733315	53220	Frau Eggert
733315	106808	
733315	225124	
733315	289850	
733315	325585	Nachbarin
733315	379784	Hildegard Dreher (1999-)
733315	397452	
733315	406321	
733315	407351	
733316	180025	
733317	38764	
733317	43341	
733317	49473	Mrs. Meyer
733317	210017	Sekretaerin
733317	326050	The Blonde Luck
733317	336530	
733318	361216	Mrs. Antwerp
733319	9897	Aloe Vera
733319	86955	Eva
733319	119775	Klexxie
733319	230508	Rich German
733319	232404	Katrina
733319	233307	Kissinger's Date
733319	296036	Visitor
733319	392130	Vampire Bartender
733319	411139	Drug Addict
733321	46355	Sandra/Executive Assistant
733322	108722	Mother
733323	35976	Maid servant
733323	85418	Maid servant
733323	129506	BBC Reporterin
733323	169063	
733323	176070	Pishi
733323	207548	
733324	90317	Personnel Clerk
733325	1578	Receptionniste #2
733325	71338	Vendeuse
733325	164193	Vendeuse Herpès
733325	303617	
733325	387530	Marie-Sophie Dauphin
733326	351239	Print specialist
733327	24280	
733327	88278	
733327	176063	
733327	193108	Cindy #2
733327	195475	
733327	207383	
733327	248004	
733328	274904	
733328	393979	
733329	8043	Flora
733330	86247	Judy
733331	364728	Kim Matsuda
733332	179822	Byûtii Surii
733333	373224	Kyaba hime
733334	125439	Akemi
733334	180569	
733334	232569	
733335	21331	Village girl
733335	21337	
733335	121987	Seiko's step sister
733335	125455	
733335	145727	Prostitute's stepfather
733335	167856	Akiko Shinjo
733335	180137	
733335	236851	
733335	370416	
733335	374106	
733336	169735	A policewoman
733337	51451	Femme à l'accent polonais
733338	379450	Peteca
733339	185640	Livvy Connolly
733339	381880	Karen
733339	399567	Aisling
733340	368675	Bubble Tail
733341	270444	Chloe
733341	346405	
733342	72872	
733343	396082	Girlfriend Two
733344	269574	Reporter
733345	66385	Marching Girl
733345	256578	Aphrodite
733346	311347	Grace
733346	398711	Candice Burke
733347	117713	Marilyn
733347	213963	Mrs. Fetch
733348	79147	Reporter
733349	29346	
733350	14132	Michelle's Friend
733350	38515	Kim
733350	105492	Dressing room girl at Tumblew
733350	118981	Sally
733350	185575	Minnie
733350	248093	Dara
733350	302931	Melissa
733350	393608	Amy Gennaro
733350	396426	Amanda Day
733351	242105	Heidi
733352	49441	Technical Director
733353	10169	Alcina, Zauberin
733353	101749	
733354	4510	
733354	21872	
733354	25927	Paro/Kajal
733354	27522	Priya
733354	35564	
733354	58592	Sonia
733354	60002	Nayana Pillai
733354	85328	Anirs mor
733354	85378	
733354	86114	
733354	86770	
733354	98536	Dancer (Special Appearance)
733354	126977	Uma Devi
733354	171996	Shruti
733354	177563	Kavita
733354	181923	Sharmila
733354	184152	Dancer 'Pathiye Ley' (Special
733354	220285	
733354	221797	
733354	278370	Rani
733354	318413	Madhu
733354	320181	
733354	370388	Anu Singhal (Vishal's wife)
733354	370979	Anupama Verma (Guest appearan
733355	357474	Tanya
733356	177204	Heather
733357	382648	Irene
733358	33940	Jesminder 'Jess' Bhamra
733358	90798	Radhika
733358	99330	Areida
733358	116810	Herself
733358	169894	Ishbel McDonald
733358	177311	Ayshe
733358	292176	Heere Sharma
733358	297995	Herself
733358	342365	Viola
733358	378796	Herself/Viola
733358	379872	Sunita Verma
733358	387728	Neela Rasgotra (2003-)
733358	407141	Hotel receptionist
733358	409071	
733359	412198	
733360	154704	Self
733361	173592	Cica
733363	213681	
733363	237044	
733364	153914	Gabi
733364	322557	Sárika
733366	171541	Iluska
733366	254294	
733367	322013	
733368	147929	
733370	18712	
733370	19680	Bucsuzó utas
733370	24715	Batáné
733370	35937	
733370	43114	Mária
733370	99562	
733370	118823	Mother of Franciska
733370	137121	Defoe's wife
733370	140671	
733370	147929	
733370	153698	Mom
733370	162975	A munkás felesége
733370	182796	
733370	182870	Házvezetõnõ
733370	199873	A kutyás hölgy
733370	237167	
733370	237322	Matild
733370	239455	Mrs. Koller
733370	246283	Pacsirta, Vajkay lánya
733370	322025	Erika anyja
733370	322128	Fruzsina
733370	322185	
733370	343626	Mihály felesége
733370	343633	
733370	349779	Headmaster
733370	377228	Kedvesanyám
733370	378262	
733370	401347	
733370	401545	Csusza
733371	11065	
733372	182796	
733373	349779	Zsuzsa
733374	96904	Neelam
733374	176903	Mel
733374	269185	Soap Opera Actress
733374	324518	Stan's Girlfriend
733375	3007	Joanna
733375	400221	Liz Collier (1987)
733376	246272	News Reporter
733376	283181	Kelly
733376	301398	Rosie
733377	130666	Amazon Warrior
733378	152385	Pásztorlány
733379	161682	Melinda
733380	349595	
733380	377228	Rózsi
733381	97964	
733381	97982	
733381	104795	
733381	120920	Színésznõ
733381	166657	
733381	225083	Mici
733381	377722	
733381	377761	
733382	407233	Melinda Konrád
733383	141152	
733384	322215	
733385	43935	Prisoner's Wife
733385	312137	Monkey Penny
733385	313824	Additional Voices
733387	186122	
733388	120920	Színésznõ
733388	137755	Szobalány
733388	174750	Lili
733388	322203	Terka
733389	349794	
733390	177975	
733391	98015	Kati
733391	112911	
733391	350899	Cook
733391	378992	
733392	162975	
733393	96064	Kovácsné
733394	11386	Nurse
733394	34448	Waitress at Improv
733394	109662	Reporter
733394	318783	Nurse
733395	314104	Three's Company Spoof
733396	152385	
733397	1301	Évi, Krisztina's colleague
733398	375162	
733399	377889	Mari
733401	352918	Anna
733402	144192	
733402	224961	
733402	239432	
733403	2944	Shop assistant
733403	69926	Alma
733403	118823	
733403	153698	Valika
733403	166156	Croix Rouge
733403	172898	Teacher
733403	210385	
733403	225077	
733403	243800	Csulánó's Wife
733403	250445	Mari
733403	261707	Tomi's Mother
733403	284229	Weisz Gizella
733403	302145	Interpreter
733403	322150	Gizike's colleague
733403	322158	assistant dentist
733403	326209	
733403	349779	
733403	354617	
733404	157324	St. Jude Student
733405	227521	Jégtáncos
733406	319578	Weather Girl
733407	74432	Manci
733407	171630	Narrator
733407	200613	The diseuse
733407	375162	Amálka
733407	409857	Evetke
733408	185369	Secretary
733409	230857	Suzi
733410	222796	Nurse
733411	25863	
733411	76083	
733411	92892	
733411	131079	
733411	182693	Mrs. Csernyiczky
733412	377891	
733413	18712	
733413	322557	
733414	346364	Timea
733415	76050	
733416	284355	
733417	322108	
733418	14442	
733418	28341	
733418	74433	Csinszka
733418	98793	Egy anya a kórház kertjében
733418	104196	Weisler Eszter
733418	110699	Anna
733418	138008	Katalin, the actress
733418	153689	(segment "Fehér selyemben")
733418	153698	
733418	153852	Anna
733418	162745	Csõrös felesége
733418	200613	Not-Turkish woman #3
733418	205436	
733418	226001	Éva
733418	229750	
733418	249197	
733418	284355	Anita
733418	349039	
733418	354252	Éva
733418	377720	Anna Édes
733418	377814	
733418	378583	The bride
733418	391324	
733418	399860	
733418	405251	Various
733419	319914	Yelena
733420	74454	
733421	122382	Éva
733421	136577	Énekesnõ
733421	200010	Énekesnõ
733422	229183	Cécile de Volanges
733422	229822	Jitka
733422	247345	
733422	262199	Jill Banfordová
733422	262495	Blanka
733422	339947	
733422	379877	
733422	380554	Princess Arabela
733423	138008	
733424	28341	
733425	146529	Katarzyna
733426	412198	Maria
733427	21214	Sarah
733427	74935	Junkie Emily
733427	162886	Narrator
733427	183426	Intella
733427	236138	Angel
733427	314763	Vernon's Girl
733427	347200	Eve
733427	350622	Herself
733427	358701	Bruce's Girlfriend
733427	386006	Maria
733427	386295	Whore
733427	387214	Angie Martinez
733427	390643	Nili Michaels
733428	245140	
733429	368092	Salsa Band
733430	69240	
733430	88216	
733431	47945	Guard #5
733431	113921	Officer at plane
733432	78618	
733432	101613	
733432	164292	
733432	164888	
733433	220276	Audience Member
733434	232424	Girl on beach
733435	17108	
733435	44917	Mona
733435	140724	
733435	397635	Yasmin Akrish
733436	377169	Fotografo
733437	181386	
733438	1787	Cathy
733439	381245	
733440	346640	
733441	364294	Herself
733442	107428	Forensics
733442	303902	Girl at Party
733443	257234	Amy
733444	339445	Neon Audience
733445	272868	Hudson's Wife
733446	281442	Ali's sister
733447	86239	Deponiechefin
733448	11711	La femme turque
733448	15070	
733448	28158	Mademoiselle Reiche
733448	41251	Veuve Breault
733448	45452	Maite
733448	51107	La strip-teaseuse
733448	52698	
733448	54245	Maria
733448	64772	Feminist
733448	88333	L'Eurasienne
733448	89119	Anna Liebman
733448	96198	
733448	101509	Mme Denis
733448	107743	Madame
733448	110108	Rivka
733448	110173	Madeleine Duphour-Paquet
733448	166168	
733448	193227	Lucille
733448	199593	Èva
733448	199607	Mademoiselle O
733448	209721	Maria Krawiecki
733448	212148	Janine Joubert
733448	217253	Jeanne
733448	231262	Sainte Ricard
733448	235279	Mère/Vierge/Reine
733448	236599	L'Assise
733448	240173	
733448	261627	Colette
733448	278155	La directrice de coordination
733448	309733	Mado
733448	319824	Mme Sandre
733448	320240	La femme dépressive
733448	338112	
733448	354908	
733448	355250	Mme K
733448	377772	
733448	384595	
733448	410074	La faiseuse d'anges
733449	64772	
733450	258881	Maid
733451	204757	Angie
733452	75505	
733453	381514	Herself (2002-2003)
733454	368374	Sareda
733455	16672	
733456	210217	
733457	60279	Katherine Davenport
733457	80493	Mary
733457	202467	Lipstick Woman
733457	279413	Dr. Ewing
733458	18486	Anuradha Roy
733458	27660	
733458	136127	Girl at the Party
733458	151188	Indu
733458	339683	Dona Maria Souza-Soares
733458	344980	
733458	370972	
733459	140497	
733460	69579	Herself
733460	210791	Herself
733461	40547	Maya
733461	187053	Restma
733462	199564	Mrs. Indian Ambassador
733463	247115	Shanta
733464	75799	Kate
733464	169676	Lee Anne Smith
733465	236108	
733466	101659	Sethu
733466	176165	
733466	278337	Special appearance
733466	399812	Radha
733467	4244	
733467	35973	
733467	184079	
733467	200656	
733467	219944	Kamla
733467	271716	
733468	62536	Tina
733468	121549	Ricky
733468	135763	Jane (Porsche team)
733468	220056	Jennifer 'Juggs' Juggston
733468	253006	The perfect woman
733468	321657	Maggie
733468	355529	Barbara Collins
733468	359505	
733469	33635	
733470	277987	Fay Larkin
733471	124115	Ballet Performer
733472	8583	
733472	48529	
733472	384002	Alice
733473	128707	Stripper
733474	201903	Mea Sweeney
733475	200925	
733476	80430	80's Bar Patron/Washington To
733477	18482	
733477	19353	
733477	54537	
733477	172684	
733477	248965	
733477	268118	
733477	303611	High school student
733477	373805	
733478	241188	
733478	396137	
733478	401689	Sharon Burgess
733479	150861	
733479	328229	
733480	83404	
733480	300948	Commissioner's Wife
733481	215911	Gossip 1
733481	224224	Saryu Joshi
733481	252823	Woman buying flowers
733481	367883	Herself
733482	255507	
733483	14518	Akhila
733483	25679	
733483	59999	Vasumathi
733483	60002	Sherin Mathew
733483	132616	Pooja
733483	163172	
733483	165174	Geetha
733483	172884	Gauri
733483	181874	Chembakam
733483	208770	
733483	227371	Balamani
733483	250821	Radhamani
733483	295122	Rachana
733483	351400	Thatha
733484	99225	Janamma
733484	179285	Kunjamma's Mother
733485	4964	
733485	153492	Ashwini
733485	174262	Karuththamma
733485	226514	
733485	318925	
733486	215911	Young Mina
733486	218341	Vandana
733487	20184	
733487	173471	Radha
733487	344061	Lalitha
733488	222146	
733489	405209	Miriam Worthington (2000)
733490	388249	Olga
733491	91923	Hotel Receptionist
733491	92099	Jane
733491	297188	Visitor
733492	212629	Paula
733493	11485	Principal Dancer #5
733493	277622	Malibu Party Guest
733493	403277	Lisa
733494	5857	Indian girl
733495	193609	Betty Smith
733496	8216	'No Sweat' Dancer
733496	256999	Myriam
733497	28059	Singer (Episode 1)
733497	130525	Megumi
733497	288066	Mieko Murakami
733498	9276	Masae
733498	9479	
733498	17119	
733498	61221	Miyo Sakai
733498	76855	Omatsu
733498	164100	
733498	167554	Yoshika
733498	181989	
733498	223307	
733498	233116	
733498	245874	
733498	296632	
733498	296634	
733498	306864	
733498	336400	
733498	358416	
733498	375584	
733498	375604	
733498	375606	
733499	171529	Yuki
733499	300439	
733499	334912	
733500	384181	Dulcinea
733501	228492	Secretaire
733502	71474	Dancer
733503	18088	
733504	301141	
733505	379357	Kelly
733506	84704	
733507	156889	Barbara
733507	346243	
733508	2048	Herself/Presenter
733508	2761	Herself
733508	23536	Penelope
733508	46743	Tabby (hotel maid)
733508	57004	Tillie Hippo
733508	64107	Stepmother
733508	75625	Herself
733508	90811	Maggie
733508	114392	Crazed Video Customer
733508	126715	
733508	139216	Lang's Girl Friday
733508	144516	
733508	147214	Mary Sanderson
733508	149448	Toni Post
733508	152611	
733508	155890	Doctor (segment "2000")
733508	157978	Kathy Lane
733508	160475	Herself
733508	163625	Tippy
733508	164587	Lola Molina (Jackie's Stalker
733508	166567	Acolyte
733508	169449	Herself
733508	174615	Kathy
733508	174616	Kathy Najimy
733508	186848	Dr. Albright
733508	230279	Ruth
733508	244379	
733508	272602	Beverly 'Bev' Pear
733508	291252	Mariah
733508	297464	Toyota Carter
733508	303183	
733508	303225	Sister Mary Patrick
733508	303226	Sister Mary Patrick
733508	306625	Tawny Miller
733508	328232	
733508	330773	Angela
733508	335971	Marge
733508	360713	Geri
733508	367902	
733508	373591	Mrs. Simpson
733508	384616	Herself
733508	394497	Peggy Hill
733508	401191	Additional Voices/Coach Dooga
733508	406771	
733508	409996	Olive Massery
733509	225450	
733509	328273	Grand-mère Sarah
733510	74934	
733511	375196	
733512	236300	Nena de la Plaza
733513	359858	Art Gallery Party Goer
733514	148141	Sabine
733514	346738	Babar
733515	21365	
733515	49704	
733515	76882	
733515	102435	
733515	121934	
733515	125237	
733515	127861	
733515	129856	
733515	130501	Ichiro's Mother
733515	140437	
733515	172042	
733515	172053	
733515	181990	
733515	214398	
733515	232536	
733515	233111	
733515	233112	
733515	233118	
733515	233124	
733515	237158	Teruko
733515	243315	
733515	276621	
733515	278602	
733515	296633	
733515	296634	
733515	296637	
733515	296638	
733515	327796	
733515	328007	
733515	334871	Yoshiko
733515	344954	
733515	373175	
733515	375603	
733515	375605	
733515	375608	
733515	375614	
733516	384051	Shigeru Fujiki
733516	386926	Sara
733516	394523	Shizuko Phoenix
733516	396500	Nanako-sensei
733517	246923	Chinese Dancer
733518	238167	Painter
733519	136156	Miyako Ololonga Tanaka
733520	70491	
733521	159841	
733521	242135	
733522	138041	Tomoko Iizuka
733522	300500	Kobue Takemura
733523	311189	Young Woman
733524	391522	Ogin (Rikyu's daughter)
733525	20625	Extra
733526	20625	Extra
733527	21822	Naoko
733527	122137	Mariko Maeno
733527	122948	
733527	145449	Aya Nozato
733527	174955	Namiko Takamori
733527	232602	
733527	371953	Konami Kogure
733528	61470	Osono
733529	125745	
733530	177754	Princess Darenanda
733530	382412	Akiko Homura
733530	392964	Souta Higurashi
733530	396347	Girl With Flowers
733530	397346	Ribitta/Midorikawa Kero, Toad
733530	404576	Salya, Nana {Japanese Version
733531	30987	Honami Totsuka
733531	404389	
733532	3529	Eri
733532	43046	(Episode 3)
733532	95159	Tsurpia
733532	130495	Emmy Kano
733532	182471	Fumie Takabe
733532	385935	
733533	131663	Herself
733534	299323	Rya Kawamura
733535	47857	Marina
733535	148361	
733536	371876	Meiko
733537	176612	Tamako
733537	176613	Michiko
733537	176614	Miyoko
733538	262099	Oh-Yellow
733539	76870	Asa
733539	182128	Harumi Kobayashi
733539	299155	Chiyoko
733539	341261	Yuki
733540	9295	Hisako Nonaka
733540	61504	
733540	163771	Yoko
733540	238984	
733540	271917	
733540	285675	Yoko
733541	381442	Miko Matsumoto (1999-2000)
733542	176532	Mikako Sato
733542	394016	Additional Voices
733542	394421	Ai's mother
733542	405278	Keiko Sonoda/Schoolgirl
733543	8749	Woman
733543	78277	Sachiko
733543	102678	
733543	171847	Yuki
733543	179395	Yoko
733543	179526	Miho
733543	182167	Geisha
733543	195634	Masayo Ohta
733543	206766	Osen
733543	233113	
733543	239483	Shinobu Kirino
733543	242143	Yoko
733543	284039	Chô
733543	293471	
733543	348981	Kujaku
733543	373082	Miho Nishikawa
733544	28124	
733545	121934	
733545	129856	
733545	213007	
733546	122232	
733546	150689	
733546	170298	
733546	172299	Otae
733546	179350	
733546	182124	Custodian's wife
733547	17876	
733547	61062	
733547	122531	
733547	145288	
733547	167552	
733547	232699	Satoko Muromachi
733547	281576	
733547	298969	Mitsuko
733547	325183	
733547	358401	
733548	402127	Yuri Aizawa
733549	76876	
733549	127860	
733549	128298	
733549	137045	
733549	137363	
733549	145282	
733549	145448	Kame
733549	147350	
733549	167948	
733549	170592	
733549	177947	
733549	179706	
733549	180058	Masayo
733549	181489	(segment 2)
733549	182699	
733549	198826	Onui
733549	214720	Miss Nishino
733549	219305	Shigeko Yamashiro
733549	288189	
733549	298877	
733549	324308	Mayumi Okamoto (adult)
733549	327956	
733549	359353	Tose
733549	375566	
733549	378142	Yoshiko Matsumoto
733550	170993	Asuka
733551	2133	Nurse Hino
733551	13432	Theatre Customer #4
733551	39412	Fat Mama
733551	66173	Mrs. Ho (the cook)
733551	88869	Beagle Woman
733551	198468	Nurse Kellye
733551	210617	Herself/Nurse Kealani Kellye
733551	297756	Lydia (Merrick's cleaning lad
733551	298091	Nurse at Hospital
733552	183061	Prier
733552	378652	Rena
733552	384233	Eina
733552	390536	Eina
733552	400269	Miina Miyafuji
733552	406187	Shiranagatani Sayoko
733553	172287	
733554	159829	Miyu Bido
733554	159830	Miyu Bido
733554	182707	
733555	179305	
733555	244561	Fuuko
733555	260416	
733555	391593	
733556	9256	
733556	9284	
733556	9477	Todano tsubone
733556	17429	Sanae Sanjo
733556	19698	
733556	58660	Cashier
733556	82871	Madame
733556	91144	
733556	121454	Young mother
733556	122044	Sadae
733556	135635	
733556	135952	
733556	136588	
733556	144439	
733556	145514	Akiko Kubo
733556	145727	Prostitute's sister
733556	168003	Chie
733556	169215	Akiko
733556	172261	Michiko Okuda
733556	173376	Natsu
733556	174943	Oyumi
733556	181887	Oyui
733556	214392	
733556	222517	
733556	229767	
733556	229776	
733556	229780	
733556	232663	Kimiko
733556	238387	Mother of the baby
733556	244563	
733556	298943	Hisano
733556	299128	Woman at waiting
733556	299574	Keiko Miyaoka
733556	300500	Okono Kitahama
733556	324308	Doctor of human community
733556	370782	Tone
733556	373301	Teruko Satoyama
733556	378146	
733557	121467	
733558	76899	
733558	182391	
733558	213884	
733558	232697	Saki Sugimoto
733558	302184	
733559	212577	
733560	214901	
733561	271630	Japanilainen nainen
733562	8613	
733562	146354	Oyo
733562	156240	Herself
733562	167898	
733562	168102	Tomoko Daidoji
733562	173257	Yuko Komiya
733562	293493	Yuko Tadokoro
733562	293588	
733562	299596	Tamae Kidoji
733563	98583	
733564	238167	
733565	9335	Yasuko
733565	9336	Shigeko
733565	27923	
733565	55553	Tamayo Misaki
733565	77528	Tomoe
733565	82537	
733565	97634	
733565	132385	Kato's wife
733565	137339	Toki, 2nd wife
733565	138101	Nakamura
733565	139724	
733565	145128	Ohana
733565	145129	Oteru
733565	145439	Kimiko's sister
733565	162016	
733565	170337	
733565	172334	Sachiko's mum
733565	176616	Honey Wakazuki
733565	231587	
733565	232698	
733565	236856	Noriko Goto
733565	239481	Izumida, Komako
733565	242379	Kimika
733565	288064	Fumiko
733565	293601	Kimiyo Hirai
733565	293606	Eiko Ohashi
733565	324195	
733565	355018	
733565	371783	Kikumaru
733565	371881	
733565	372017	Minehan's owner
733565	373231	Asako
733566	55019	
733567	177756	Mari Nikaidô
733567	177757	Mari Nikaidô
733567	177758	Mari Nikaidô
733567	177759	Mari Nikaidô
733567	177760	Mari Nikaidô
733567	177761	Mari Nikaidô/Princess Marron
733567	177762	Mari Nikaidô
733567	177763	Mari Nikaidô
733567	394522	Mari Nikaidô, Alisa
733567	396500	Flower Fairy
733567	404127	Esmeralda
733569	139851	Asako Yasui
733569	213282	Nobuko Ichinose
733569	236874	Eri Kitano
733569	243497	
733569	260417	
733569	285919	Yuko Shimizu
733569	349095	Haru Fujimoto
733570	234185	
733570	294260	
733570	335950	
733570	382607	Madoka Kawakita
733571	394103	Michi
733572	18674	
733573	234905	Akemi Ohshiro
733573	394103	Tokko
733574	181896	
733575	334896	Bar hostess
733576	293635	
733577	17824	
733578	299324	Aki Ootani
733578	411646	
733579	8785	
733579	17424	
733579	23326	
733579	23327	
733579	32331	
733579	63542	Otama
733579	76880	
733579	88754	Nonko
733579	123551	
733579	127859	
733579	130512	
733579	138919	
733579	233118	
733579	233123	Kyoko Asada, the hostess
733579	233124	
733579	241266	Pinch
733579	242362	Pinch
733579	242363	
733579	242364	
733579	243979	
733579	286872	
733579	288185	
733579	288187	Yasuko Hosobe
733579	288191	
733579	296641	
733579	334871	Yaeko
733579	375596	Yasuko Hosobe
733579	375603	Riko Takahashi
733580	43050	Tomoko
733580	58352	Akira Terako
733580	98114	
733580	122137	Chizuko Kitao
733580	178244	Hotaru Kuroita
733580	178245	Hotaru Kuroita
733580	178246	Hotaru Kuroita
733580	178247	Hotaru Kuroita
733580	178248	Hotaru Kuroita
733580	178249	Hotaru Kuroita
733580	178250	Hotaru Kuroita
733580	178251	Hotaru Kasamatsu
733580	248696	Sawako Asakura
733580	334852	
733580	341537	Maria Shirakawa
733580	394562	Hotaru Kuroita (Goro's daught
733581	344009	Nurse
733582	9590	Katsuko Matsumoto
733582	28111	
733582	30421	Etsuko Hashimoto
733582	44647	
733582	62607	Emi
733582	62608	Emi
733582	125251	Sarai
733582	130526	Tomoko Kameda
733582	136390	
733582	145738	
733582	171529	Akiko
733582	174329	Setsuyo Shimura
733582	182417	
733582	208683	Hiroko Harada
733582	232530	
733582	239199	Suwa Yatabe
733582	243353	
733582	288657	Misako Tsuyama
733582	293603	Riko Hayase
733582	328028	
733582	335270	Tomoko Hosoda
733582	371831	Kazuko Kawai
733582	371869	
733582	371915	Stewardess
733583	275142	
733584	211720	Keiko Yamakita
733585	167	Nobu
733585	9333	Harue
733585	17426	
733585	18642	Sumiko
733585	19635	
733585	19691	Kitagawa's sister-in-law
733585	21334	
733585	22123	
733585	22692	Yoshiko Okamoto, Elder Sister
733585	49713	
733585	61062	
733585	63542	Ofude
733585	88754	Otaka
733585	89510	
733585	122139	Masako Ishida
733585	122521	Mrs. Akamatsu
733585	124029	
733585	125198	Nobuchiyo
733585	125199	Nobuchiyo
733585	130500	Desperate Mother
733585	145278	
733585	145292	
733585	149674	
733585	155505	Student worker
733585	156763	
733585	158675	Ritsu
733585	164105	
733585	167549	Mineko Itami
733585	170268	
733585	171627	Yuki Numata
733585	176635	
733585	177121	Kazuko
733585	178311	
733585	179392	
733585	179399	Woman at restaurant
733585	179437	
733585	180043	Kazuko Mikami
733585	180551	
733585	181991	
733585	182000	
733585	182046	
733585	182479	
733585	198952	
733585	213008	
733585	221814	
733585	221844	Yoshiko's sister-in-law
733585	225901	
733585	226644	Yoneko, Otsuta's sister
733585	228377	Kinuko
733585	229786	Yuki
733585	233109	
733585	233118	
733585	233123	Sakiko, the landlady
733585	233124	
733585	233136	Tenazuchi
733585	238475	
733585	239315	Hisako Iwamoto
733585	239328	Aunt Noriko
733585	240256	Osumi
733585	241946	
733585	242119	Yoshi Takagi
733585	242183	
733585	242184	
733585	243898	Kyoku of Yae
733585	288071	Michiyo
733585	293661	
733585	299309	
733585	299406	Takiko Nakada
733585	300395	
733585	300547	
733585	308880	
733585	317758	Masako
733585	324197	
733585	326253	Otama
733585	328007	
733585	341276	Eiko Matsuyama
733585	341279	
733585	344283	Kuniko Tomioka
733585	358131	Lady
733585	370407	
733585	370724	
733585	371842	Nurse Miyo
733585	375618	
733586	12275	Mrs. Konishi
733587	21824	Nakama (Receptionist)
733587	195272	Chieko Takamori
733587	237842	Maki Aikawa
733587	278548	Sadako Yamamura
733587	335315	
733587	378783	Maria Mashiro
733587	380726	
733587	391127	Asahina Mitsuki
733587	394469	Maki
733587	398576	Yae/Koto
733587	408890	Naoko Yamada
733587	408891	Naoko Yamada
733587	409713	Emi Suzukake
733588	345092	Barmaid, Blue Villa
733590	144907	Emi
733591	411420	Herself
733592	245499	Shizuku Blackthorn
733593	341254	Junko
733594	181390	Toshiko Takashima
733594	334860	Yoshiyama, Kazuko
733595	145439	Ryota
733596	61054	
733596	390731	Miyabi Aizawa
733596	395697	Miki Anna
733596	400271	
733597	177862	
733597	177926	Botan, 3rd Mistress
733597	198950	
733597	310087	Jane
733597	324641	Michiyo Kunizaki
733599	255872	10th Century Woman
733600	291001	Queen
733601	41669	
733601	297182	Chikage Sugiyama
733602	242121	
733602	287130	
733602	391522	Matsu (Toshiie's wife)
733603	22036	Sara
733604	227823	Sakura
733604	387049	Yayoi Schwael
733604	398997	Sakura Haruno
733605	348994	Ohan
733606	125442	Eri
733606	167856	Suzue
733607	9600	
733607	394994	Asami Saeki
733608	267844	
733609	406983	Milk-chan
733610	167858	
733611	182507	Female Student (ep.2)
733612	38021	Tricia Labonte (Grade 1)
733613	251297	Yoshiko Mahiru
733613	370424	Guide
733614	264157	Mia's Friend Keiko
733616	140036	Ankokuji's wife
733617	32129	
733617	58338	
733617	89451	Nomura's mother
733617	98114	
733617	110732	O-Kiku
733617	195806	Hamaguchi, teacher
733617	228370	Junko's mother
733617	341269	Morisaki
733617	370785	Noriko Ishiyama
733618	61507	
733618	138053	Kimiyo/Wakazakura I/Ruriko's 
733618	146913	
733618	233325	
733618	239334	
733618	299326	Kinue
733618	305314	
733618	358418	
733619	128365	Shizuko Tanaka
733619	174323	Hijiri
733619	177856	
733619	334916	Miyuki
733619	335268	Tsukiko Izumisawa
733619	362598	Noriko
733620	20625	Extra
733621	9435	Harue
733621	28125	
733621	179706	
733622	18675	1st Bride
733622	101564	Messenger
733622	176586	
733622	176595	
733622	176604	Tatsuko
733622	176612	Ryuko
733622	179436	
733622	181489	(segment 3)
733622	227435	
733622	241921	
733622	242141	Tatsuko
733622	243979	
733622	299617	Jack
733622	335957	Voice of Toppo Gigio
733622	378156	
733623	236691	George
733623	237783	Nina's Colleague
733624	222922	Yukiko Ono
733625	169515	Mars Colony Voice
733626	2618	Herself
733627	9276	Okoto
733627	137383	Takenori's mother
733627	298694	Riki
733627	303384	
733628	211948	Sniper Wolf
733628	211949	Sniper Wolf
733628	211955	Sniper Wolf
733628	259304	BCCH Receptionist
733629	174940	
733630	172471	Hisano Komatsu
733631	3586	Yoko
733631	9565	Yoshiko
733631	170328	Keiko
733631	216522	Nerika
733631	335313	Shizuko Imamura
733631	409315	
733632	41359	Nurse Makiho Caroline Amano
733632	69895	Japanese Anchor
733632	78182	Akiko
733632	144913	Vietnamese Translator
733632	160492	Japanese Waitress
733632	170982	Wiener Boy employee
733632	228434	Japanese Kid #1/Japanese Repo
733632	266601	Reiko
733632	286873	Goddess nehon
733632	306226	Sumiko Imada
733632	322970	Barbara
733632	340901	Japanese Family
733633	169732	
733634	210837	Cassie
733635	3163	Computer Wizard
733635	30359	Serena
733635	81776	Jenny's Assistant
733635	89057	Gordon's Wife
733635	116537	Martha
733635	184906	Suzy (Set designer)
733635	202387	Soon Yee Baxter-Hernandez
733635	257692	Robbie Lawless
733635	313633	Betty Shin
733635	316484	Irene Kawai
733635	333391	Connie Ling
733635	338789	Yo-Ji
733635	384492	Beverly Andolini
733635	385538	Holly Martin
733635	392625	Rina Oh
733635	410835	Cathy (1999-2000)
733636	9265	
733636	9266	
733636	9267	
733636	9269	
733636	9270	
733636	9271	
733636	9562	Chiyo
733636	9588	
733636	43445	Hiroko
733636	63541	
733636	76863	Otoyo
733636	76864	
733636	76866	Ohama/Otoyo
733636	76907	
733636	97188	Omitsu
733636	101486	Woman at Gobancho
733636	139851	Nui Hatanaka
733636	140027	Princess No.4
733636	141743	
733636	149123	
733636	150731	Woman wearing glasses
733636	161691	Shigesa's mother
733636	167947	
733636	177720	
733636	177829	
733636	180433	Omachi
733636	182051	Shio Shimura
733636	217076	Detective's Wife
733636	227325	
733636	229772	Chisa
733636	229776	
733636	232918	Girl refugee
733636	236844	
733636	239262	
733636	242179	Tomie Oki
733636	242196	
733636	242235	Cameo appearance (Shizuko)
733636	243899	
733636	293667	
733636	294032	
733636	297069	Auttami
733636	298898	
733636	298915	Oborozukiyo
733636	298924	Shigeko
733636	298925	Kuge no hime
733636	299235	
733636	299314	
733636	299525	Kitamura
733636	318789	Mrs. Shimezu
733636	327959	
733636	341274	Utagiku
733636	373178	Sei
733636	375559	
733636	375576	
733636	378153	
733636	379044	Oyuri-no-Kata (1983-2002)
733637	17100	Tokiko
733637	61467	
733637	61524	
733637	235372	
733637	284366	Onaka
733637	299116	
733637	372034	
733638	101563	
733638	372038	
733639	125164	Onami
733639	180508	Shige
733639	209932	
733639	227437	Okuni
733639	229870	
733641	61439	Fumie Okagawa
733641	318543	
733641	406883	Yuma Kazama
733642	408433	Ai Hyuga
733643	150505	Ayako
733643	167985	
733643	167986	
733643	323747	Woman from the past
733644	179822	Yubin Shokuin
733645	325205	
733646	349220	Little Kirie
733647	373218	
733648	299338	Kyoko Nakazato
733649	347074	Grandmother
733649	379479	Mary
733649	383345	Anii Jirarudo/narrator
733649	389546	Elina
733649	394976	Iron Sado/all the panthers
733649	405279	Miss Minchin
733650	408430	Jyunko Fujino
733651	400608	Miiya
733652	147279	Herself
733652	230680	Herself
733652	318831	Herself
733654	122115	Ayako Yonekura
733655	177384	Bao
733655	177385	Bao
733655	177386	Bao
733656	104269	Kaoru Kusakabe
733657	216954	Hostess
733658	323523	Kaya
733659	1471	Naoto
733659	32576	Shoko Kisaragi
733659	173560	
733659	276310	Kyoko Tashiro
733659	298919	Yan Rin Chin
733659	299118	Harukoma
733660	67896	Joyce Kawamura
733661	42926	
733662	122044	Nose
733662	122138	
733662	139721	Aiko
733662	141059	Miki
733662	177103	
733662	223001	
733662	238804	Lady Ogin
733662	370699	Tomoko Ochi/Misako
733663	17691	Margot Frank
733663	92856	Gajira Norimaki (Gat-chan)
733663	98117	Pino Pino
733663	123109	Solnoid Bridge Crew
733663	193918	Pino Pino
733663	358132	
733663	380699	Marianne
733663	386903	Gajira Norimaki
733663	394522	Laura
733663	396493	Pino Pino
733663	405279	Jessie (#1-#3)
733663	409326	Miyako Kyôzuka
733664	37622	Mrs. Okami, apartment manager
733664	125237	
733664	138099	
733664	178311	
733664	243898	
733664	293661	
733664	296637	
733664	298749	Farmer's Wife
733665	44077	Reiko
733666	78760	Alarm Voice A
733666	152427	Elevator VO
733667	283679	Kasumi
733667	392619	Sara
733667	394696	Asako Kurumi
733667	398900	Anna Kazami
733667	403966	Kasumi, Chau-Chau Girl
733668	335270	Kayo
733669	209838	Yuki Kure, Eiji's mother
733670	3529	
733670	76875	
733670	137153	
733670	149097	
733670	176607	
733670	181982	
733670	181992	
733670	227435	
733670	233109	
733670	244494	Mitsuko Taniguchi
733670	278602	
733670	358403	
733670	359840	
733670	373220	
733670	374090	Miyuki
733670	375631	
733670	381259	Sae Kudo
733671	403966	Masugami (Omasu)
733672	25874	Diane
733672	56043	
733672	321167	Mrs. Ortega
733672	408096	Phaedre
733673	349376	
733674	20625	Extra
733675	397786	Mary
733676	79823	Mary
733677	74195	Keiko
733678	139170	Colleen
733679	386932	Co-Host
733680	323133	
733680	348751	Junko
733681	394103	Yokko
733682	23578	Kaori
733682	366430	Kaori
733683	9588	
733683	58563	
733683	89413	
733683	121926	
733683	137044	Girl at Lunch Shop
733683	138086	Kinuta
733683	139405	
733683	144215	
733683	153867	
733683	156242	
733683	167950	
733683	167951	
733683	167953	
733683	167954	
733683	169128	
733683	172257	
733683	172259	
733683	173060	
733683	174527	Tamako
733683	178369	
733683	182020	
733683	229785	
733683	229786	Takahime
733683	232691	
733683	239296	Akiko
733683	239336	Emiko
733683	241946	
733683	243992	
733683	244512	
733683	293667	
733683	296639	
733683	298915	
733683	299407	
733683	308437	
733683	309097	Female Honeymooner
733683	326976	
733683	334904	
733683	334938	
733683	370300	
733683	372033	
733683	373319	Hama Goto
733683	375568	
733683	375598	
733683	375600	
733683	375634	
733684	391575	Haruka/Yellow-Mask
733685	13623	
733685	34287	Kyoko
733685	76847	
733685	173618	Saori
733685	175347	Jun Shibata
733685	212655	
733685	272476	Mai Takano
733685	278547	Mai Takano
733685	278549	Mai Takano
733685	299976	
733685	381597	
733685	394291	Jun Shibata
733685	396715	Haru Hoshino
733685	402714	
733687	136136	Jun Honoo
733687	176534	Hamon Crowley
733687	176535	Hamon Ral
733687	328333	Nurse
733687	370437	Sâda
733687	391752	Yû's mom
733687	394422	Hamon Crowley
733687	409318	Daines
733687	409326	Tomoko Yamagami
733688	299302	Shufu
733689	169735	TV drama actress
733690	28118	Kojiro
733691	122142	
733691	123473	
733691	153555	
733691	162685	
733691	182002	Cleopatra
733691	281576	
733691	298990	
733691	393348	Chie
733692	334863	Tohno, Namie
733692	343638	Mizuchi Ariyoshi
733692	348774	Member Kyôko
733692	390086	
733692	408263	
733693	373224	Jôgan Tomoko
733694	285680	Sailor Mars
733695	167480	Yuki-chan
733695	280750	O
733695	299052	Sawako
733696	38821	Maid (segment "Return of Haru
733697	12253	Lilly
733697	149245	
733697	155711	Tsuruko Okada
733697	168852	Shimazaki's Mother
733697	173994	Makiko Manhyo
733697	237158	
733697	336576	Toshiko
733698	32576	Kyoko Izumi
733698	36321	Kyoko Izumi
733698	88791	Nobuko Kuwata
733698	195806	Itsuki Fujii/Hiroko Watanabe
733698	211213	Nobuko
733698	334896	Yoko Shimazu
733698	374104	
733698	378783	Rieru Mashiro
733698	391863	Kaede Nakamori
733698	396101	Misaki
733698	399143	Minako Oba
733699	386344	Chiaki
733699	400053	Maid of the Fujiwaras
733700	373218	
733701	378652	Female Heavy Blade
733702	89442	Sachiko
733702	123446	
733702	123447	Mayumi Nagamine
733702	130496	Yuri Katagiri
733702	149120	
733702	162683	Tatsuko
733702	167847	Mitsuko Yamada
733702	216506	Chie Itoh
733702	294164	Aoi-noue
733702	371948	
733702	394130	Tsugiko Asai
733703	373218	
733704	191397	
733705	373175	Natsuki, Iori (childfood)
733706	129868	Department Store Girl (Ms. Br
733706	282822	Librarian
733708	348762	
733709	390265	
733710	208830	Petite soeur de Karim
733711	179846	Dee
733712	1738	Herself
733712	19808	Russian Soldier
733712	34611	Herself
733712	45606	Liquor Store Manager
733712	73829	Bernie
733712	103922	
733712	151052	DJ
733712	162534	Alison
733712	197530	Natasha
733712	312539	Zoe Payne
733712	312540	Zoe Payne
733713	356925	
733714	253892	Peters Mutter
733715	244054	Hospital Caller
733715	304343	
733715	404948	Stenographer (1999)
733716	370260	
733717	140057	Mother
733718	14316	Miss Ellen
733719	244028	Mladata partizanka
733719	293844	
733720	50647	Em
733720	199874	Mekhala
733721	142302	Athena
733721	388262	Contender
733723	180558	
733723	394724	
733723	406324	
733723	411974	
733724	197612	
733725	119253	
733725	166405	
733725	249130	Philippa
733725	294201	
733726	129615	
733727	57309	La duchessa
733727	121887	Diana
733727	183285	Luisa
733727	187441	Scilla
733727	235753	
733727	235764	Mara Sivieri
733727	244059	
733727	354117	Lisetta
733727	402302	La madre badessa
733728	17507	Countess Rostolff
733728	41141	Doña Sol
733728	46395	Beverly Carlysle
733728	59196	Cicily Varden
733728	65936	Madame De La Tour
733728	66354	Elise Van Zile
733728	68489	Warren's Mistress
733728	88169	Tula Moliana
733728	90265	Rita Coventry
733728	92501	Miss Gina, Italian Singer
733728	105954	Temptation
733728	111079	
733728	129418	Ursula Gillow
733728	147633	Cameo appearance
733728	149255	
733728	183839	Fifi
733728	185227	The Widow
733728	186392	Vivian Hepburn
733728	189978	Grace Andrews
733728	202989	Marie Le Grande
733728	206399	Toinette
733728	214950	Helen
733728	220310	Beatrice
733728	258033	Levet's Native Lover
733728	262434	Tänzerin mit den Larven
733728	275973	Nita
733728	285781	Carlotta
733728	306136	The 'Countess'
733728	327684	Sally Lung, a Eurasian
733728	346889	Blanchita D'Acosta
733728	362356	Rita Rinaldi
733728	372125	Ardrita Saneck
733729	8080	Alice Evans
733729	49841	Edith
733729	67387	Women in Park
733729	171351	Barbara Blake
733729	175401	Susan
733729	222492	Mashed Potato Lady
733729	241621	Linda Stroud
733729	289683	Prisoner - County Prison
733730	26666	'Anne' on the Street
733731	295558	Annie
733732	314072	Sekretärin in der Wolfschanze
733733	315198	
733734	56929	Precisina
733735	4472	Usha
733735	93304	Bruces Girlfriend
733735	161142	
733735	187657	Lekha
733735	234874	Devi
733735	287355	
733735	341515	Dancer
733735	373536	
733736	172865	
733736	288563	
733736	302814	
733737	165282	Herself
733738	1038	Waitress at Party
733738	56871	Emergency Nurse
733738	214755	Pre-Crime Public Service Anno
733738	309197	Rushee #1
733739	81790	
733740	11632	Office Manager
733741	231118	School Girl
733742	101036	Sweden
733743	48632	Mother
733743	89307	Detective Balentine
733743	315701	Morgana
733743	319519	
733744	46249	First nurse
733745	286055	
733746	170140	
733747	203649	Nara, Hip's Niece #1
733748	299145	
733749	7254	
733749	8329	
733749	14335	
733749	14336	
733749	15205	
733749	15966	
733749	16588	
733749	27537	
733749	27550	
733749	28252	
733749	29267	
733749	29603	
733749	38251	
733749	38277	
733749	38754	
733749	43361	
733749	48955	
733749	49090	
733749	49615	
733749	49658	
733749	59138	
733749	60605	
733749	60624	
733749	60634	
733749	60655	
733749	61543	
733749	61948	
733749	62641	
733749	62798	
733749	62845	
733749	62846	
733749	63387	
733749	63410	
733749	63496	
733749	78205	
733749	79216	
733749	89541	
733749	89730	
733749	90616	
733749	94381	
733749	95735	
733749	99898	
733749	102054	
733749	102079	
733749	102085	
733749	102086	
733749	122876	
733749	125963	
733749	126767	
733749	126794	
733749	126817	
733749	126874	
733749	126896	
733749	127650	
733749	129909	
733749	130217	
733749	131725	
733749	135242	
733749	135654	
733749	136411	
733749	137355	
733749	137356	
733749	138343	
733749	138425	
733749	140491	
733749	142964	
733749	142965	
733749	144257	
733749	153430	
733749	153451	
733749	155552	
733749	156123	
733749	156426	
733749	156427	
733749	165144	
733749	165238	
733749	165542	
733749	166806	
733749	166807	
733749	166814	
733749	166836	
733749	167517	
733749	169668	
733749	170319	
733749	176693	
733749	182315	
733749	187038	
733749	201283	
733749	201285	
733749	201404	
733749	204126	
733749	204138	
733749	204729	
733749	213536	
733749	213850	
733749	216420	Yu-mi
733749	217346	
733749	218044	
733749	219711	
733749	220132	
733749	222223	
733749	226555	
733749	226573	
733749	226576	
733749	226580	
733749	226666	
733749	227115	
733749	227202	
733749	228190	
733749	229552	
733749	229875	
733749	239205	
733749	241917	
733749	245840	
733749	247026	
733749	255913	
733749	258787	
733749	267194	
733749	267198	
733749	280899	
733749	285214	
733749	285217	
733749	285848	
733749	286093	
733749	286640	
733749	287079	
733749	287310	
733749	287381	
733749	287385	
733749	288148	
733749	294441	
733749	294450	
733749	294469	
733749	298728	
733749	298739	
733749	298832	
733749	298886	
733749	298888	
733749	318522	
733749	319053	
733749	319097	
733749	322905	
733749	324099	
733749	341704	
733749	344218	
733749	344227	
733749	344403	
733749	348852	
733749	364706	
733749	367241	
733749	370511	
733749	370704	
733749	371137	
733749	371138	
733749	371184	
733749	371222	
733749	371259	
733749	371835	
733749	373145	
733749	373170	
733749	373286	
733750	18830	Old Woman
733751	79216	
733752	214832	
733753	343304	
733754	34182	
733754	60608	
733754	62640	
733754	123492	
733754	153451	
733754	155127	
733754	159614	
733754	166815	Choi Sang-kung
733754	202201	
733754	202214	
733754	229887	
733754	236763	
733754	239348	
733754	259073	
733754	280884	
733754	307164	
733754	368089	
733755	153440	
733756	26154	Babette's Girlfriend
733757	226561	
733758	173369	
733759	167585	Ba-ram
733760	126811	Jae-eun
733760	126812	Nam Jin-a
733760	284016	Su-in
733761	29165	
733761	29393	
733761	51026	
733761	122864	
733761	138607	
733761	156382	
733761	160160	
733761	294443	
733762	28039	Amy
733763	365998	Cranky Indian Woman
733764	51344	
733764	303027	
733764	391144	Yorgiya
733764	394927	Elif Eylül (2003-
733764	411678	Duru
733765	230142	
733766	207621	
733766	296144	
733767	55185	Carmen
733767	253898	Madame Ginghi
733767	315134	Vera Blaine
733767	330626	Lady-in-Waiting
733768	217448	Classroom student
733769	159597	
733769	219415	
733769	221987	Vecina 2
733769	222011	
733769	248302	
733769	252065	
733769	255507	
733769	317949	
733769	318002	
733769	356665	
733769	378464	
733770	86540	Girl in Classroom
733771	403805	Rae Harrison #1 (1997-1998)
733772	21822	Swimming Club Coach
733772	98208	
733772	122137	Teacher
733772	174342	
733772	243354	Fusako
733772	264721	
733772	278401	
733772	367332	
733772	371987	Kiriko
733773	233128	
733774	255872	10th Century Woman
733775	301822	
733776	44791	Kyoko Imai
733776	125688	Ofuji
733776	179524	
733776	182710	Miho Sakai
733776	278377	Keiko
733776	294051	Yukiko Inamura
733776	299254	Princess Kano
733776	341293	Yuri
733776	375601	
733777	283678	Suzume
733777	283679	Akane
733777	379520	Orin
733777	385060	Stemm
733777	398900	Mimina
733777	403966	Suzume
733778	335270	Kumi
733779	89441	Mean Girl
733780	4003	
733780	101304	
733780	287556	
733780	358138	Mrs. Kaneda
733780	359831	
733781	74215	Daisy
733782	74215	Barbara
733783	400217	Louise Bankers (April 2002)
733784	324448	Dancer: Esto es tango
733785	75954	
733785	94711	Geisha
733785	139228	Fantasy Stewardess
733785	199319	Nina the Daughter
733785	263352	Ingrid Swenson (Speaker)
733786	97566	
733786	101145	
733786	156964	
733786	177294	Ahinoab
733786	236804	Giulia
733786	260618	
733786	289814	Desiree
733786	315437	La sage-femme
733786	331021	
733786	336715	
733787	227823	Hinata
733787	398997	Hinata Hyuuga
733788	364687	Dancer
733789	188683	
733790	18685	Yumi
733791	198827	Akiko Kimura
733793	98602	Aya Kinoshita
733793	405139	Kumiko Hatano
733793	405142	Kumiko Hatano
733794	41295	Rose
733795	394095	Bara No Tatoo No Onna (Rose T
733796	9276	Otoku
733796	51057	Haruyo Ikeda
733796	101588	Mother of Mitsuo
733796	182042	Rui
733796	334959	Hamanaka's mother
733796	373218	
733797	127779	Ryuuzaki Yoko
733797	142159	Rosa Kogure
733797	287503	Sunny
733797	298914	Machiko Tsunoda (segment "Mou
733797	299334	Mitsuko Furuta
733797	304364	Poulet
733797	323134	Katsui
733797	350723	Nanami (Japanese version)
733798	11380	Rika Mizutani
733798	24743	Rika Mizutani
733798	28101	
733798	61218	Rika Mizutani
733798	61219	Rika Mizutani
733798	82190	
733798	82909	Rika Mizutani
733798	113367	Rika Mizutani
733798	121420	Rika Mizutani
733798	125248	Rika Mizutani
733798	125249	Zonnette
733798	159840	Minami Sakurai
733798	159841	Manami Sakurai
733798	165137	Rika Mizutani
733798	181487	Rika Mizutani
733798	182421	Rika Mizutani
733798	229766	Rika Mizutani
733798	229824	Rika Mizutani
733798	242915	Rika Mizutani
733798	278347	Rika Mizutani
733798	319436	Rika Mizutani
733798	370307	Rika Mizutani
733798	389836	Zonnette
733799	245398	Amy Wentworth as a Child
733799	275407	Babs
733800	329524	Aariel Kattan
733801	236942	Sayoko
733802	168356	
733803	228267	Herself - Jurylid
733803	228268	Herself - Host
733803	328138	Herself - Interviewer (2001-)
733803	352878	Herself
733803	371842	Dancer
733803	395676	Herself - Host (2000-)
733804	6994	Backup Singer
733804	267174	Waitress of the Gas Station
733804	319191	Brandon's Model
733805	133622	Pamela
733805	192410	Kitty
733806	186036	Camerero's Receptionist #1
733807	105112	Sgt. Darian
733808	265742	Natalia as a teenager
733809	92248	Daddy's Girl
733809	249559	Jennifer Clark
733809	362453	Red Head
733809	394950	
733811	6627	
733811	33553	
733812	66013	
733813	333871	
733814	29934	Nancy
733814	193172	Silvana
733814	205460	(segment "Papo Amarelo")
733814	379285	Herself (2001)
733814	398179	Herself - Red Team
733815	205709	
733816	61091	
733816	198710	Mrs. Nan
733817	4155	
733817	4267	
733817	4418	
733817	4859	
733817	6362	Meera
733817	8680	
733817	9342	
733817	13155	
733817	18915	
733817	27471	
733817	29043	Shankar's Daughter
733817	30114	
733817	32455	
733817	35110	
733817	35943	
733817	58966	
733817	59392	
733817	60979	
733817	61012	Meena
733817	84789	
733817	85372	
733817	85408	Mahesh's Wife
733817	88279	
733817	95034	
733817	135773	Asha
733817	152457	Ruma
733817	163857	Rekha
733817	164327	
733817	165143	
733817	168085	
733817	169089	
733817	169739	
733817	170970	
733817	172344	
733817	172553	
733817	173498	Meena
733817	208736	
733817	209858	
733817	211274	
733817	217144	
733817	227813	
733817	228858	
733817	228864	
733817	229359	
733817	249139	
733817	250634	Gauri
733817	251887	
733817	262524	
733817	262857	
733817	268572	
733817	271472	
733817	272023	Nurse Nancy
733817	281521	Neeta
733817	297744	
733817	299804	Geeta (Shankar's wife) (Guest
733817	326665	
733817	335741	
733817	337789	Neeta
733817	344980	
733817	348897	
733817	367215	
733817	374011	
733817	391281	Herself (1981-1982)
733818	84765	
733818	244676	Hooker
733818	295122	
733819	4846	Burmese girl
733819	27663	
733819	43410	Laxmi
733819	174890	
733819	296387	
733820	202832	Victoria
733821	55545	Lilí Kangy
733821	69985	
733821	215340	
733821	233082	
733821	301375	
733821	301376	
733821	319296	Luisa Belli
733822	14705	
733822	15246	
733822	29051	
733822	30302	
733822	55810	Rita
733822	71224	
733822	84536	
733822	135269	Olga
733822	148472	Oswald de Andrade
733822	148518	Bia
733822	170390	
733822	197963	
733822	221863	Nádia
733822	251575	
733822	256121	
733822	262429	Saint
733822	275020	Heloisa de Lesbos
733822	280622	
733822	285420	
733822	378044	
733822	378940	Iolanda
733822	383550	Francisca
733822	384645	Miss Daisy
733822	386417	Joana/Bárbara/Nanette
733822	397393	Clarice
733822	398817	
733822	402424	Maristela
733822	402593	Loulou Lion
733823	81993	Motan
733823	85408	
733823	171752	Kamali
733823	174240	Nandinikutty
733823	180101	Office staff
733823	228689	
733823	246089	Ritu
733823	260179	
733823	262919	
733823	284774	
733823	285164	
733823	288780	
733823	319082	Sridevi
733823	344061	Ammu
733823	349757	Nanda
733824	25418	Sridevi
733824	240065	Nabisa
733825	249548	Back Up Singer
733826	169644	Mackey's Tourist Girl
733827	92675	Cat-Woman
733827	94504	
733827	102115	Tanya Semenov
733827	104484	
733827	161948	Carolyn
733827	245100	Suburban Mum
733827	252725	Directrice banque
733827	254302	Corinne
733827	350105	
733827	356984	
733828	291825	Female Mariachi Band
733829	9234	Champa Devi
733829	81994	Asha (Suraj's sister)
733829	123868	
733829	124962	
733829	160559	
733829	166458	
733829	166492	
733829	267416	
733829	271940	
733829	288848	
733830	370538	Madame The
733831	94888	Ana Gligorijevna Dostoyevsky
733831	186523	Jelica Vujic
733831	227840	
733831	328702	Djuka ... Teslina majka
733831	386110	Studentkinja
733831	401928	
733832	319518	Lupe, the servant
733832	346079	Singer
733833	21823	
733833	61470	Okô
733833	127919	Okimi
733833	136090	Shige Sasaki
733833	138091	Kae's nanny
733833	144734	Hatsu Sasaki
733833	168847	Yoshiko
733833	171627	Mitsuko Kaneoka, prisoner
733833	177865	Osumi
733833	179348	Sasaki Tsune
733833	180516	Oko Aikawa
733833	181723	Old Ghost Woman
733833	198826	Obah
733833	216495	Osugi
733833	216501	Grandmother Osugi
733833	216502	Grandmother Osugi
733833	216503	Grandmother Osugi
733833	227183	Outa
733833	227436	
733833	229586	Orin
733833	232610	Proprietress of the restauran
733833	233276	Osugi
733833	242191	Proprietress of the restauran
733833	243899	
733833	272625	Naka
733833	287636	Ubatake
733833	299127	Old woman
733833	325332	
733833	326253	Ohatsu
733833	328968	
733833	334779	Oei
733833	349168	Osaki
733833	370268	Yasu
733833	371991	Kinue
733833	373184	Head maid
733833	373185	Masseuse
733833	373284	Yone
733833	373309	
733833	373319	Okura
733833	375635	
733834	145296	
733834	146907	Ookubo's wife
733834	180426	
733834	335382	
733835	330437	Herself
733836	239335	
733837	198812	Michiko
733837	271915	Hidetora's Mistress
733837	277293	Ayo Yamakawa
733837	288065	Yumiko Ishibashi
733837	324308	Mika Okamoto
733837	358423	
733838	393576	
733839	12737	Girl in Blue Movie
733839	12738	Woman Cricketer
733839	189355	First Girl (episode "Family M
733840	170852	Office Secretary
733841	310475	
733842	82102	Maykata na Elka
733842	214249	
733843	19809	Dom
733843	31668	Girl Singer #1
733843	53046	
733843	86307	Gabrielle
733843	113352	Oil Wrestler
733843	186140	Julie
733843	187466	Queen Diana
733843	194687	Singer #2
733843	214469	Lisa Strahten
733843	234982	Jane Russell
733843	270370	Josephine Peary
733843	288929	Hooker
733843	296665	Blackjack Player
733844	40300	Waiter
733844	308553	Herself
733844	334410	Girl in Bar
733845	62650	Girl in the Red Shirt
733846	288929	Prostitute
733847	379797	Johanna
733848	344184	Wanda Mangini
733849	208992	Carol
733850	153578	Starfighter's Lovely Wife
733851	395894	Herself (finalist, 84 days)
733852	12651	Daniela
733852	25170	
733852	29056	
733852	87821	
733852	170467	Toni
733852	205887	Carla
733852	243305	
733852	262706	
733852	269075	
733852	285981	
733852	287477	
733852	313900	
733852	375886	
733853	53017	Raco
733854	71526	Stripper
733854	353130	Spogliarellista
733855	383784	Stefania
733855	410311	Lucrezia
733856	285380	
733856	307070	Titania
733857	6314	
733857	30243	
733857	89828	Allegra
733857	96539	
733857	103998	Mother
733857	107040	
733857	109763	Giordana
733857	113663	Martina
733857	156892	
733857	157325	Soeur Marie-Ange
733857	197587	Maria Mancini
733857	236806	Elena (Adolescent)
733857	315454	Sara
733857	351867	
733857	385683	Luisa Di Luca/Garlande
733857	386752	Luisa
733857	387305	Edera
733857	392738	Barbara Nardi
733857	392743	Barbara Nardi
733857	401511	Gloria
733857	404313	Anna Sarpi
733858	65770	Cathie
733858	169352	Dancer
733858	264091	Monday
733858	336641	Prostituee
733859	294391	New recruit
733860	181717	Sayuri Sawatari
733860	199112	Mao Nome
733860	401057	Bubbles
733861	26258	
733862	42276	Girl in Car
733863	17539	Anna Karenina
733863	57628	Teodora
733863	216877	
733863	277280	
733863	277281	
733863	300006	Rose Buadin
733863	308583	Floria Tosca
733863	367719	Katusha Maslova
733863	386347	Herself (episode 1.2 "1918-19
733864	12153	
733865	387533	Susan Barr (1997) (September)
733866	314841	Herself
733867	79067	Mai
733867	405636	Eris
733868	9001	Gene's Daughter
733869	276104	Madame Maki
733870	273931	
733871	403254	Catherine Landry (13 ans)
733872	238551	Secretary
733873	346574	
733874	129619	The Glove
733875	82052	Webcam Girl
733876	1199	Françoise
733876	2169	Sylvie
733876	6609	
733876	15116	Maryline
733876	22681	Itinéris (Vodafonis)
733876	23765	Jo
733876	24686	Reine Milliot
733876	33571	Isabelle
733876	38838	Dorine
733876	43636	Worker
733876	44738	Mathilda, the producer
733876	56048	Léa
733876	84634	Lisette
733876	97639	Isabelle Nanty
733876	102001	Artistic counselor
733876	106988	Georgette, Two Windmills Ciga
733876	110027	L'animatrice radio
733876	116431	Gloria
733876	120984	Marion
733876	164201	Charlotte, dite Chonchon
733876	217225	La mère
733876	240429	La petite blonde
733876	243602	
733876	249753	Arlette Poumaillac (soeur de 
733876	257354	
733876	261836	
733876	263372	Anne-Marie
733876	269749	Anne-France, l'assistante
733876	282280	Jeanine
733876	292340	Evelyne
733876	294796	Isabelle
733876	296094	Douce Mamirolle
733876	325343	Sandrine Vonnier
733876	337032	Vanille
733876	345368	Claudine
733876	351821	
733876	355513	Fabienne Morlot
733876	376933	Mère riche
733876	377479	Martine
733876	379423	
733876	388585	Valentine
733876	390477	Le personnage récur (r) ent
733877	220716	
733878	26293	
733879	389269	(segment "Le dernier mot")
733880	73467	
733880	94694	
733880	129032	
733880	233906	
733880	302549	
733881	347501	
733882	7740	
733882	7743	
733882	7750	
733882	34531	
733882	39256	
733882	39258	
733882	39944	
733882	40428	
733882	42439	
733882	109498	Gate Attendant
733882	128241	
733882	128646	
733882	140940	
733882	162892	Calypso Singer
733882	195273	
733882	223686	Herself
733882	252862	Herself
733882	306935	
733882	314134	
733883	217861	Victim
733884	29550	Sarah
733885	307642	
733886	228761	Secretary Sanabria
733887	113363	Student #2
733888	125195	Michiko
733889	411646	
733890	278547	Senior high schoolgirl
733891	245484	
733892	386471	Herself - Host
733893	139778	Dark Exotic Woman
733894	10481	Natalia
733894	70684	Secretaria de Félix
733894	211045	Celia
733894	384734	Jimena Sotillo (2001-2002)
733895	86554	Herself
733896	231426	Julie
733897	3148	Mary Doel Aged 21
733898	317594	Herself
733899	72726	Hearing Disabled Teenager
733899	199117	Cookie
733899	214913	Dominique
733899	368023	
733899	411378	
733900	92862	Picnic Wife
733901	27925	Eleanor Parton
733901	50631	
733901	56952	Countess Vorontzova
733901	117092	The Wife
733901	141370	Diana Sheraton
733901	143112	Mrs. Merton
733901	184503	Princess-Regent Maria Renata
733901	214289	Mme. Sidonie
733901	246540	Trina, showgirl
733901	264730	A Lady of Sentiment
733901	282607	Actress
733901	316081	Jean
733901	340464	Wnnie
733901	359518	Pauline Warren
733901	360719	Mrs. Dryden
733902	100193	Beat Dope Smoker 4
733903	46363	Debbie's Mother
733903	72726	Mimi
733903	296684	Jan
733903	316716	Trish
733903	406120	Felicity Kitson
733904	230662	Sandra
733905	10813	Jess Daily
733905	17043	Jade
733905	40148	Rachel Ackland
733905	61614	Klammie
733905	64837	Sophie
733905	75664	Raffy Carruthers
733905	156528	
733905	186404	Georgia
733905	196033	Deborah 'Debbie'
733905	230807	Lyra
733905	261462	Jessica
733905	321188	
733905	342692	Jane
733905	387267	Edwina Amadio
733905	397230	Becky Howard (2001-2003)
733905	411172	Gerry Davis (1997-1998)
733906	47766	Narrator
733907	36602	Mother
733907	220419	Bran
733907	315469	Lettuce
733908	127508	Maya
733909	182948	Women's Army of Revolt/Citize
733909	274333	Mother/Dancers at the Ball
733910	161760	
733910	227445	Catherine
733910	291480	Herself
733911	196387	Rita's sister
733912	15075	
733912	23233	Queen Antinea
733912	23768	
733912	51432	The teacher
733912	59747	
733912	66223	
733912	92025	
733912	97834	
733912	100172	
733912	101683	
733912	111559	
733912	112810	
733912	114755	
733912	158747	
733912	208332	
733912	208344	
733912	208387	
733912	208393	
733912	208412	
733912	208422	
733912	208433	
733912	208444	
733912	211806	
733912	216844	
733912	224900	
733912	235726	Esmeralda
733912	279662	
733912	280539	
733912	293833	
733912	293985	Semiramis
733912	308687	
733912	337512	
733912	345343	
733912	346686	
733912	350246	Marfa Koutiloff
733912	351935	
733912	357039	
733912	377934	
733913	66717	
733913	115947	
733913	115948	
733913	153587	
733913	156069	
733913	167134	
733913	199018	
733913	199019	
733913	234825	
733913	245957	
733913	312631	
733913	312632	
733913	317254	
733913	322516	
733913	324668	
733913	324669	
733913	352183	
733914	157674	Icelandic Rosamunde
733914	173831	
733915	79761	Party Guest
733915	131372	Vampiress 1/Outsider/GVC Empl
733916	296858	
733917	90772	Suzy Bailey
733918	61418	Lili
733918	332418	Bonnie
733919	333430	Beer Buyer
733920	187328	Queen Tera
733921	14240	Mrs. Campanela
733921	62705	Lead Bathing Beauty
733921	81349	Sultana
733921	87018	Queen Morganna
733921	88867	Dream Girl
733921	96053	Harold's Wife (US version)
733921	110959	
733921	113359	Dancer #2
733921	121367	Helga
733921	139187	Sgt. Phyllis Shawley
733921	192049	Biker Chick
733921	222361	Mrs. Blaylok
733921	222362	Newscaster
733921	264423	Hellena
733921	309135	Maria
733921	338199	Maxine
733922	386397	
733923	317248	
733924	5150	Nickie
733925	199311	The Cousin
733926	44330	Rebecca Coletti
733927	43933	Reporter, WBAL
733927	148594	Herself
733927	272026	News Anchor
733927	283410	Reporter Dina
733928	4715	
733929	343192	Katie
733930	232157	Frances
733931	398430	Internet Correspondent (1999-
733932	272325	Pool Girl #3
733933	44330	Susan Coletti
733934	18849	Camila
733934	42581	
733934	57457	
733934	60396	
733934	73527	
733934	84156	
733934	96533	
733934	104497	
733934	205512	Leda Pé-de-Porco
733934	222187	
733934	260574	
733934	269536	
733934	280998	
733934	308741	
733934	349669	
733934	355131	
733934	377606	
733935	32178	Additional Voices
733935	32241	Otis's Girl
733935	83824	Michelle
733935	107002	Background Voice
733935	118911	Anise
733935	134594	
733935	230934	Vicki
733935	252406	Model
733935	316641	Eddie's Girl
733935	363953	
733936	352405	Woman in Nightmare
733937	164369	Joan of Arc
733938	74241	Narrator
733939	152300	Hat Check Girl
733940	11446	Old Lady
733942	72506	
733943	141887	Kati Nappa
733944	157786	Delores
733945	241536	Tohana
733945	351525	Woman Clerk
733945	353516	Barmaid
733946	8146	Daria
733946	104001	Monica
733946	234773	Graziella
733946	348193	
733947	363813	
733948	348992	
733949	396477	Virata's wife
733950	72659	Misae Nohara
733950	298425	
733950	299262	Tiffany Rose
733950	373392	Swan White/Reiko Komori/Ayame
733950	383423	Masao Tachibana
733950	385186	Misae Nohara
733950	411893	Swan White, Reiko Komori
733951	210636	Mrs. Nakajima
733952	241342	Flower Shop Employee
733953	29937	Herself
733953	126910	Varsha Khairnar
733953	145630	Herself
733953	257618	Herself
733953	257660	Herself
733953	257678	Miss January 2002
733954	47009	Annie
733955	307949	One-night stand
733956	318650	
733957	74521	
733957	101630	
733957	148172	
733957	170069	
733957	190644	La beatnik
733957	233974	
733957	392012	Hostess (1979-1981)
733957	401257	Robot del Test (1989)
733958	206769	Psicóloga
733958	371721	
733959	161773	Madre travesti
733959	371290	Mujere fuente
733960	68594	
733961	203358	'Saturday Night Live' Band
733962	160622	Herself
733963	61051	Mitsuko
733963	61454	Hatsuko
733963	89049	Ocho
733963	121986	Matsuko Ishiguro
733963	122140	Akiko Sakurai
733963	138486	Teruyo
733963	139724	
733963	145283	Nurse Hanada
733963	150506	Yamamoto Tomiko
733963	150511	Harue
733963	172277	Masako Kurimoto
733963	179341	Ezaki's wife
733963	179518	Kume
733963	232566	Zensaku's wife
733963	239321	
733963	244551	
733963	260416	Mune Kato
733963	283919	
733963	294312	Aunt Sakiko/Lee Soon-ik
733963	299631	
733963	327961	Aya Gondo
733963	341298	
733963	341299	Hisae Suzuki
733963	341300	Hisae Suzuki
733963	341301	Hisae Suzuki
733963	341309	
733963	341311	
733963	370705	Matsuko
733963	371996	Maid Orin
733964	308311	
733965	97085	Kuria
733965	341832	
733966	31317	Col. Athena
733967	257729	Petra
733967	289670	Primrose Coombe/Gabriella
733968	380911	Herself - 12th Place (2004)
733969	19931	
733969	29081	Poolan/Man Singh Gang
733969	170403	Julie
733969	286794	Daughter-in-Law
733970	2996	Lisa
733970	4280	
733970	13123	
733970	15814	
733970	18500	
733970	20359	Special Appearance
733970	25975	
733970	28385	
733970	35965	
733970	39034	Friend
733970	62760	
733970	88544	Champa
733970	126938	
733970	137279	
733970	137827	
733970	142417	Belly dancer
733970	150519	
733970	164326	
733970	167352	
733970	167353	
733970	170523	
733970	171339	Rekha's Friend
733970	183977	
733970	196696	
733970	199647	
733970	204095	
733970	204911	Prostitute
733970	205039	
733970	211414	Neena
733970	222097	Guest appearance
733970	226675	
733970	227881	Herself
733970	248584	(Special Appearance)
733970	250481	
733970	259986	
733970	262823	
733970	272701	
733970	287931	
733970	320862	Leena
733970	321081	
733970	329284	Special Appearance
733970	344083	
733970	344991	
733970	367217	
733971	306511	Dr. Pachmutova
733972	26410	
733973	373342	
733974	179259	
733975	292996	Rosaura Ascalone
733977	356145	
733978	73883	Miss Narciso
733979	35420	Mrs. Romano
733979	39536	Mrs. Danetta
733979	44324	Porfirio's wife
733979	96861	Mrs. Sistina
733979	199739	Mama Baravelli
733979	223064	Mrs. Russo
733979	265005	Mrs. Farelli, Dr. Carlo's Mam
733979	294577	Bianca
733979	331323	Louisa, Shadwell's Maid
733979	333301	Nick's mother
733979	348321	Signora Carvadossi
733979	372484	Fat Woman in Car
733980	101036	Hindu Beauty
733981	110237	Pedestrian
733982	29185	
733984	51362	
733984	213324	Janus Figure
733985	51362	
733985	213324	Janus Figure
733986	66579	
733986	204740	Laura
733987	248224	Lulù
733987	274907	Ancilla
733987	282082	
733987	340425	Alba Ruitz
733988	236155	Erica McSwain
733989	17780	Model
733990	69398	Helen
733991	255732	Angestellte Goethe Institi
733992	157785	Teresa
733992	207947	
733992	227497	Satin
733992	392740	Valeria Duprè
733992	392741	Valeria Duprè
733994	383118	Host
733995	379854	
733996	318605	Ramona
733997	33420	
733998	363407	Narration
733999	158823	
734000	55022	Mira
734000	116153	Fiona
734000	164413	Stephenie St Claire
734000	245513	Natalie Vine
734000	269979	Sara Slaughter
734000	282384	Eve Turner
734000	341442	Heroine (Segment Mouth)
734000	382002	Layla
734000	389410	Herself
734000	390800	Lady Huntly
734000	396082	Ellie (episode "Commitment")
734000	403047	Vivien Reid
734000	405476	DC Jay Pearson
734000	408070	Anna Forbes
734000	409505	Lois Howarth
734001	355616	
734002	119074	
734002	252640	
734002	392739	Rita
734002	401970	Eleonora Palladini #2 (2002)
734003	344793	Carmélia
734004	217771	Italian Mother
734005	378966	(1983)
734006	340357	
734006	383479	Juli
734007	317527	Secretary
734007	386742	
734007	412268	Pantassilea (segment "Benvenu
734008	51791	Medical Student
734009	240473	Dancer
734010	316782	Office Girl
734011	80389	Grandmother
734012	51585	
734012	291678	Agripina
734012	378046	
734012	385025	Marina
734012	389786	Iara
734012	400799	
734012	408381	Caetana
734013	47773	Rosina Anello
734013	74912	Bridget
734013	214971	Mother
734013	256714	Felicia
734013	342824	Estelle Visalo
734013	364423	Carol
734013	366998	Linda Milito
734013	405976	Charmaine Bucco
734014	212392	Fiorella Savelli
734014	289567	Liesel Kapplar
734014	401508	Paola Cattani
734014	401514	Paola Cattani
734015	50139	Gloria
734015	381024	Lola
734015	392653	
734015	397593	
734015	397598	
734015	400949	
734015	410098	
734016	56978	
734017	99060	
734018	56036	
734018	137815	
734018	141885	
734018	210218	
734019	37312	Teacher #2
734019	158414	Mrs. Van
734019	176388	Teacher
734019	209630	Relative #1 (Hector)
734019	259829	Mrs. Seaton
734019	262536	Harriet
734019	298091	Nurse at Medical Lab
734020	57282	Passenger in train
734020	190970	
734020	240429	
734021	4065	
734021	4066	
734021	4091	Nimmi
734021	4130	Neelu
734021	6113	
734021	13496	Amber
734021	15386	
734021	16182	Neeta
734021	16595	
734021	17094	
734021	17394	
734021	17894	Geeta
734021	21817	
734021	25354	Rita
734021	26230	Bela
734021	30451	Reshma
734021	35560	
734021	38846	
734021	61014	
734021	62660	
734021	62749	Baby
734021	75707	
734021	79122	
734021	81705	Mala
734021	85415	
734021	126973	
734021	152409	Asha
734021	152612	Hamida Bano
734021	164857	Guest Appearance
734021	165352	
734021	165610	
734021	168358	Surabhi
734021	172553	Herself
734021	176004	
734021	183975	
734021	184079	Lajwanti
734021	209549	
734021	209844	
734021	210215	Manju
734021	219944	Radha
734021	227717	
734021	246108	
734021	248803	Champa
734021	268058	
734021	268119	
734021	270202	Varuna varman
734021	271711	
734021	281164	
734021	281453	
734021	284703	
734021	298232	
734021	298813	
734021	300218	Vidya
734021	300856	Nina Callous
734021	323687	
734021	324152	
734021	324829	Salma
734021	368336	Pawn
734021	370203	Priya's silhouette
734022	310806	
734023	56978	
734024	93187	T'rin Mai
734024	358365	Pining Wind
734025	173914	
734027	29156	The Girl
734027	109509	Iona
734027	267393	Joy
734027	342332	Carrie
734028	54690	Mother
734028	152827	Sister
734028	189310	Mai Ling
734028	342332	Carrie's Mom
734029	144737	
734030	379484	Miyuki Mayu
734030	379485	Miyuki Mayu
734031	374200	
734032	173220	
734033	264818	Resort Guest
734033	345190	Yamina
734034	126951	Janki
734035	204051	Piano Teacher
734035	319554	Cute Nerd Girl
734036	350237	Waitress from Hell
734037	164552	Dulcie
734037	228453	Alice
734037	391251	Rachel
734038	262805	Katja
734039	37768	
734039	84962	Hedwig
734040	148371	Gail
734041	324502	Laura Fuentes
734041	380100	Clotilde Ramos de Lucchino de
734042	12809	
734042	253635	
734042	265937	
734042	267803	
734042	307614	Katya
734042	371425	
734043	243978	Ramaswamy's wife
734044	242106	Alfreda
734045	80065	Waitress #3
734046	80943	Dancer
734047	19931	
734048	22187	
734048	58335	
734048	248523	
734048	383197	
734049	276941	
734050	16940	
734051	103877	Couturière
734052	182710	Yuki Nohara
734053	181896	
734053	181897	
734054	103151	Etsuko Harada
734055	121421	
734056	179583	Julia's friend at the liceum 
734056	247347	Ewa Horeszkowna
734056	268523	Berta/Justine
734056	321429	
734056	394585	Beata Chojnicka Borecka
734057	216366	Herself
734058	131119	
734059	302333	Vecina de Heraclio Chuc
734060	99693	
734060	164619	
734060	381893	Jill Kenyon (1990-1992)
734061	6626	
734061	8254	
734061	13080	Sirvienta II
734061	62301	
734061	71121	Dra. Corazon
734061	75198	
734061	91345	
734061	101899	
734061	148085	
734061	149500	
734061	233658	
734061	255056	
734061	268271	
734061	272635	
734061	272666	
734061	326311	
734061	332977	
734061	341645	
734061	351026	
734061	377099	Borracha
734062	226448	
734063	243465	
734064	243465	
734065	34607	
734065	349255	
734066	35931	The old typist
734066	59772	Tablecloth-Samobranka
734066	81671	
734066	95745	Fox
734066	108854	
734066	108860	
734066	135747	
734066	188870	
734066	222293	Freken Snork
734066	231173	
734066	263690	
734066	306104	
734066	340657	Hvataika
734066	354712	Owl (Voice)
734066	356592	
734066	357226	Crow
734066	370140	
734066	374830	Fox
734067	397302	Lyusya
734068	185106	911 operator
734069	379999	Herself
734070	141166	First Receptionist
734071	276893	Lone Cannibal
734072	58102	Gloria
734072	100073	Madame
734072	102174	Martha Fulton
734072	176888	Massage Madam
734072	194534	Esmerelda
734072	275888	Krott
734072	367581	Setareh
734073	399765	
734074	143651	Dancer
734075	26785	
734075	26994	
734075	38887	
734075	39751	
734075	49550	
734075	50535	
734075	93079	
734075	140986	
734075	147404	Sabra
734075	150349	
734075	253502	
734075	277846	
734075	316731	
734075	344526	
734075	351175	
734075	365127	
734076	15271	
734076	24551	
734076	28523	Die rote Flora
734076	183265	Kellnerin
734076	410813	
734077	94709	
734077	103638	Barbara Abbate
734077	246426	
734077	403331	Leonetta
734078	18670	Helena
734078	21557	
734078	46010	
734078	83520	
734078	104356	
734078	118088	
734078	183528	
734078	222168	
734078	228141	
734078	248755	
734078	308749	
734078	328155	
734078	340278	
734078	353168	Anita
734078	380563	Celene
734078	383437	Tati
734078	384709	
734078	387640	
734078	389887	
734078	393286	Irene
734078	393616	Marlene
734078	399481	Iracema
734078	402623	
734078	404178	Verônica
734078	409025	Teresa
734078	411932	Hilda
734079	46019	Woman
734079	68624	Employer ( segment "Melhor da
734079	73527	Narcisa
734079	408414	Vitória
734079	410106	Angela
734080	402456	Young Francisquinha
734081	113211	Glass Maker (Salvador - BA)
734082	388263	Contender
734083	121477	
734084	13073	
734084	380525	Priscila
734085	122767	Malvina's servant
734085	251723	
734085	383141	Ritinha
734085	396886	Lelena
734085	399766	
734085	400838	Das Dores
734085	401087	Fafá
734085	403171	Lurdinha
734085	407801	Young Laurinda
734085	410096	Clara
734085	410377	Branca
734086	8566	
734087	383293	
734088	212059	
734089	98759	
734089	171532	(segment "Flor de Lys")
734090	399387	Theresa
734091	63805	Herself
734093	243489	
734094	99107	
734095	275029	
734096	200084	
734097	34661	Rose
734097	41820	
734097	64394	Teen Girl
734097	125588	Linda
734097	295420	Elaine
734097	380319	Cassie
734098	54762	
734098	169709	
734099	280622	
734100	381583	Tetê
734100	396610	Mônica (2003)
734100	400670	Marcelina de Sá
734101	205021	Afonso's Sister
734102	328512	Linda's daughter
734103	115833	
734104	228141	
734105	316298	Abdul Reza's Fiancee
734106	269355	Vampire Singer
734107	23176	
734107	38253	
734107	49625	Second Twin
734107	75687	Second Twin
734107	196173	Christine
734107	343039	One of the Twin Sisters
734108	379999	Herself
734109	123610	
734109	306911	
734109	306923	Herself
734110	33678	Anna's Lover
734111	123662	
734111	208521	
734112	297090	Juliet
734113	362984	Joan
734114	140019	Terry
734114	223330	Miriam Van Saint/Mitzy Nussba
734115	108347	Herself
734116	2445	Herself (SCLC)
734116	117478	Herself
734116	363407	Herself
734117	312898	The cabaret singer
734118	23176	
734118	38253	
734118	49625	First Twin
734118	75687	First Twin
734118	196173	Solange
734118	343039	One of the Twin Sisters
734119	155921	Couple kissing
734120	360734	Pizza Employee #2
734121	677	Christy
734121	160887	Little Girl
734122	163446	Ma
734122	312024	Madeline De Valette
734122	367919	Nancy Blake
734123	34448	Mona
734123	42732	Corso's secretary
734123	79408	Honey
734123	168129	
734123	272687	Tamara
734123	359505	
734124	110275	Irene Maddox
734124	218018	Madame
734126	205443	Nurse/Receptionist
734126	259779	Mrs. Ford
734126	383363	Annie Holt, writer (The Wife 
734126	392808	Asylum Nurse
734126	405639	Serena
734127	65453	Rita
734128	40659	Jennifer
734128	65628	Wendy
734128	161948	Zanna
734128	257689	Herself
734129	404697	Amber
734130	382317	Herself (Presenter)
734131	133687	Mrs. Rollins
734132	185901	Woman on Subway
734133	293383	Night Nurse
734134	68670	Ruth Moore
734134	79432	
734134	95832	Good Mixer
734134	199272	
734134	289248	Marie Caswell
734134	316036	Ruth
734134	329809	Mildred Elrick
734134	342946	Mrs. Brown
734135	177667	Mrs.McPhearson
734135	377647	
734136	185219	Herself
734137	313756	Auction Notetaker
734138	362984	Rosemary
734139	235646	Club Hooker (Lucky Charm)
734140	82684	Herself
734141	129626	Fashion Model
734142	42825	Post mortem monologue voice
734143	218330	The Girl
734143	347358	Dr. Joan Lindsey
734144	20494	Rozika
734144	52659	Emma Hope
734144	59611	Miss Jennie Finch
734144	66373	Queen
734144	67157	Mrs. Fresnel
734144	67778	Emma Louise Glasgow
734144	96939	Jenny Ball
734144	130676	Sarah Davis
734144	141951	Fräulein Rottenmeier
734144	152522	Miss Hicks
734144	158331	Mrs. Preston
734144	177262	Duchess Anna of Elberfield
734144	183546	Mrs. Fame, the housekeeper
734144	192174	Amanda Minchin of Minchin Sem
734144	210779	Mrs. Maitland
734144	218257	The Duenna
734144	254654	Margaret Lord
734144	271293	Miss MacDaid
734144	285664	Miss Purvis
734144	321411	Sarah Duncan
734144	333054	Mrs. Muller
734144	345700	Constance Turner
734144	345719	Edith
734144	361300	Mrs. Pryor
734144	371887	Duenna
734145	151761	Pianist
734146	126067	Chorine
734146	317354	Student
734147	242544	Alma Blake/Thelma Fahnstock
734147	287149	Shade Lady
734148	186363	
734149	28671	Dorothy
734149	64937	Cicely Rand
734149	176335	Goldwyn Girl
734149	196486	Michaela
734149	247160	Goldwyn Girl
734149	277632	Florine Candless
734149	348541	Gertie Ryan
734150	26666	African-American Bride
734150	45662	Woman at Diner
734150	67988	Herself
734150	70368	Wanda Carter
734150	202387	Gladys
734150	311039	Misc. Voices
734150	384431	Host
734150	394384	Tollie Mae
734150	403188	Deputy Raineesha Williams/T.T
734151	116360	
734151	247930	
734152	6952	Zanetta
734152	9799	Passion Flower
734152	37061	Ann Taylor
734152	60239	Betty Madden
734152	84920	Sue Tanner
734152	127394	Lona Lane
734152	128152	Showgirl
734152	147889	Herself
734152	193677	Mrs. Frances 'Fran' Henderson
734152	201151	Good-looking girl
734152	209660	Show Girl
734152	218257	Baroness
734152	253126	Girl
734152	254471	Barbara Randall
734152	274356	Ellen Reynolds
734152	279300	Cora Drew
734152	309939	Becky Devers
734152	315535	Chris Marvin
734152	327851	Linda
734152	358442	Marge
734153	105100	Eileen McGivern
734153	199133	Mrs. Hannah
734153	219769	Ma
734153	266761	Maudie O'Toole
734153	285693	Mrs. Mac
734153	342772	Ma
734153	390130	Ma
734154	154356	Dilly
734154	163297	Great-granddaughter
734154	203281	Mary Ann
734154	295470	Nancy
734154	317821	Tina Deerhold
734154	327972	Amy, Johnson's Granddaughter
734155	128508	Liz
734156	405209	Nurse Rhonda Meiklejohn (2000
734157	91637	Receptionist
734157	128780	Dorothy Markham
734157	397182	
734158	20004	Ginny
734159	264427	Mother #1
734160	687	Herself
734160	1955	Herself
734160	3251	Performer/Herself
734160	47172	Performer: Mis-Teeq
734160	47173	Presenter
734160	169815	Herself/interviewee
734160	249592	Performer
734161	157833	Margo Griffin
734162	44844	Temple
734163	199086	Narrator
734164	133988	Traci
734165	314133	Cindy's Friend
734166	211472	Belly Dancer
734166	362176	Kelly
734167	409319	Marin
734167	409321	Marin
734168	404872	Princess Lola
734169	262160	Condo-Woman
734170	252483	Dr. Bob
734171	151741	
734172	199787	Roberta Taddei
734174	145482	Angel at the Library
734174	158563	Angel
734175	390195	Herself - Weather Forecaster 
734176	8307	
734176	8311	
734176	17093	
734176	21366	
734176	25555	
734176	25915	
734176	89424	
734176	127063	
734176	184997	
734176	207129	
734176	208733	
734176	219654	
734176	324881	
734177	104193	
734178	58566	Mother
734178	100228	
734179	352874	Herself (Danceuse)
734180	203779	Mrs. Kishmili
734181	4601	
734181	8909	
734181	8910	Adile
734181	39090	
734181	53874	
734181	79477	
734181	89464	
734181	136707	
734181	136744	
734181	136909	Hafize Ana
734181	136910	Hafize Ana
734181	136912	Hafize Ana
734181	136913	Hafize Ana
734181	136914	Hafize Ana
734181	138611	
734181	153326	
734181	163119	
734181	172140	
734181	176212	Mother of Feyzo
734181	182820	
734181	182908	
734181	198427	
734181	208252	
734181	214272	
734181	227238	
734181	238930	
734181	275757	
734181	284810	Hala
734181	284811	
734181	284817	
734181	285865	
734181	285965	
734181	318613	
734181	322558	
734181	336419	
734181	350929	
734181	370628	
734181	377507	
734181	411677	
734182	8651	Sidonie Pimzlíková, painters
734182	173996	Jarmila Jandová
734182	179896	Marta Hábová
734182	180576	Vilemína Balvínová
734182	182310	Anna Svojanová, zvaná Kvocna
734182	198355	
734182	247081	Katerina Sestáková
734182	251991	
734182	258578	Pavlásková, grandmother
734182	266435	Grandmother
734182	313896	Voice
734182	324335	
734182	328935	Berta, aunt
734182	343823	
734183	351181	Lt. Steve Dane/Lt. Debbie Dan
734184	84523	Leila Nassif, WTO Guard #2, E
734184	119601	
734184	180498	Azami
734184	215507	Pageant Matron
734184	342040	Adon
734184	342044	Adon
734184	404138	Azami
734185	32981	Helen Harrold
734185	73355	
734185	216962	
734185	337414	Swedish Girl
734186	79679	High Priestess
734187	6190	
734187	10376	Zoé
734187	137056	
734188	321678	Courtroom Extra
734188	375196	Vampire bride
734189	168369	
734190	236568	
734191	102231	
734191	253065	Girl in the Courtesan's House
734192	368036	
734193	342626	Clo Clo
734194	77652	La Donna
734195	264157	Tea Party Guest Amira
734195	271344	New Receptionist
734196	258554	Schoolgirl
734197	390310	Rosita
734197	390748	Corina Botero Rincón
734197	398807	Michelle
734198	117016	Girl at Bar
734199	190832	
734200	167573	Laila
734200	215838	Nadia
734201	208260	
734202	186250	
734203	34130	
734203	262944	
734204	81181	Jenny
734204	308096	Paging Nurse
734205	190543	Mrs. Lord
734206	330289	
734207	226929	Student
734208	268395	Sylvie
734209	45908	
734209	73471	
734209	119220	
734209	226265	
734209	277463	
734209	317478	
734209	338396	Die Wirtin
734210	7889	Student/Party Goer
734211	7889	Dave's Mom
734212	10933	Woman
734212	64131	
734212	219417	
734212	254569	Western Lady
734212	326823	Mrs. Gibson
734212	337742	
734213	106116	Café Patron
734214	39944	
734214	264677	
734214	264748	
734214	339915	
734215	327405	Secretary
734217	383107	Misuzu Arifuji
734217	404228	Hitomi Yuki
734218	397377	
734218	397460	
734219	56733	Yoon-ju
734219	249559	Gigolo's client
734219	260789	Suki
734220	176140	
734221	7285	Eva Gordon
734221	55900	Julia
734221	157929	Elizabeth
734221	200805	Mahalena
734221	225265	
734221	272453	
734221	274350	Gedren's Handmaid
734221	292283	
734221	300189	Italian woman
734221	366098	
734221	379784	Frau Westermann (1999-)
734221	390749	
734221	401970	Sveva Kassler (2002)
734221	402825	
734221	405800	
734222	15241	Amélie
734222	17488	Anna
734222	17845	Alice
734222	21419	Violette
734222	43705	
734222	51805	Elena
734222	54794	Jeanne
734222	58327	Éva
734222	66076	
734222	73185	La jeune fille du bal
734222	76489	Meda
734222	84654	Marie
734222	87499	Charlotte Le Royer
734222	87928	Luca's mother
734222	90769	
734222	110060	Marion Thoreau
734222	119038	The bride (segment "Mariage, 
734222	120879	
734222	153793	Hermione
734222	165711	Lucia
734222	169346	Claude Sauvage
734222	181261	Françoise Verbrugge
734222	191560	Nora
734222	197398	Aurélia
734222	205621	Chérubin
734222	210909	Josépha
734222	217645	Cameo appearance
734222	219459	Marianne
734222	234688	Oumi, the mother
734222	236542	Beth
734222	236567	Mme Slimani
734222	242889	Farroudja
734222	281960	Ethel Rosenberg
734222	283032	Odette Neveux
734222	284336	
734222	285275	Electre
734222	294566	La jeune femme (segment "Colè
734222	337742	Sura
734222	345145	Nicole
734222	353829	Françoise
734222	353830	Françoise
734222	354941	Elle (La femme et la mère de 
734222	355871	Cécile
734222	356983	Lise
734222	357858	Annie Marceau
734222	377735	
734222	377793	Elise
734222	384388	Lucie Manotte
734222	384596	Sido
734222	384897	Anna Miller
734222	389880	Julia Angellier
734222	391621	Herself
734222	396924	Françoise
734222	407874	Mathilde
734223	105211	Jane
734223	118481	
734223	130888	
734224	341221	Lia
734225	336954	L'infirmière
734225	351710	Une jeune assistante àTV8
734225	384388	
734226	56048	La directrice de l'orphelinat
734227	9635	Nini
734227	84667	Clarisse
734227	134559	Sonia
734227	164679	Sylvie
734227	238468	
734227	289371	
734227	301181	
734227	346534	Isabelle
734227	388689	
734227	397682	Lola Garnier
734227	406030	Sandra Robert (1996)
734227	409526	Lola
734228	6201	
734229	260785	
734230	69378	L'infirmière chef
734231	35778	Margie
734232	96681	Molly
734232	109365	Claire
734232	251383	Samira
734233	46747	Tallulah Yankhead
734234	52889	
734234	229644	
734234	244576	
734235	30743	Dancer
734235	68440	
734235	69012	
734235	70005	
734235	75251	
734235	92971	Flower Seller
734235	162038	
734235	193084	
734235	196394	
734235	217105	
734235	219592	
734235	235737	
734235	235746	
734235	236362	Girl
734235	253236	
734235	256771	
734235	265813	Student
734235	280740	
734235	317527	
734235	328116	
734235	340006	
734235	354876	
734235	380989	
734236	41418	Ninja
734237	3555	
734237	16813	
734237	386748	
734238	185634	Jackie
734238	255346	Girl
734238	264729	
734238	372458	
734238	380884	Jane Silver
734239	328891	
734240	199362	Jumelle 2
734241	55542	
734241	294707	
734242	68065	
734242	71601	Herself
734242	100268	
734242	106364	
734242	112825	Isabelle
734242	225180	
734242	333832	
734243	342908	Pando's Wife
734245	3465	
734245	351526	Lamanna's Secretary
734246	220218	Physiotherapeute, Suisse
734246	304340	Herself
734248	23816	Marianne
734248	25778	L'hôtesse
734248	29682	Barbarina
734248	87500	Janice
734248	98961	
734248	142614	Monique
734248	184356	Laudine
734248	243929	Colette Barnier
734248	269504	Lucy
734248	387764	Le juge d'instruction
734248	388419	
734248	388419	Pierrette, la serveuse (segme
734248	389000	Sophie de Monnier
734248	392369	Lise
734248	393486	Anne
734248	396523	Marguerite Picard
734248	399106	Michèle
734249	43313	
734250	135761	
734251	253573	
734251	361025	Natasa
734252	43521	Kate Curtis
734252	68271	Waitress
734252	75028	
734252	95233	
734252	120575	
734252	124783	
734252	128604	Model ("3 Girls & a Spa" Segm
734252	147825	Themselves
734252	164300	
734252	181019	Shanti
734252	224192	Mondale
734252	237138	
734252	260096	
734252	291280	
734252	297338	
734252	370948	Vasundhara
734252	375295	Naked Chick
734252	405984	(Int. Social, USC)
734253	189325	
734254	111663	
734254	181019	Shanu
734254	181477	Tashu
734254	229816	
734254	233032	
734254	370948	Vasu
734255	78838	
734255	201598	Angel
734255	227024	Waitress
734256	157636	Dwarf
734257	297729	Scampi Nater
734258	44055	
734259	95820	
734260	392521	
734261	217143	
734262	24827	Herself
734262	123572	Miner
734262	168961	
734262	186120	
734262	268197	Herself
734262	285984	La fille de Paul
734262	353129	La voix de la petite fille
734262	378027	Herself
734263	207637	
734263	343420	Police Officer
734263	395073	Amalia
734264	274525	Witness
734265	92981	La chanteuse/The singer
734266	101530	La vendeuse
734267	253191	
734268	31675	Angela
734269	54712	Herself (Investigative Journa
734270	252710	flute
734271	208975	Herself (subject)
734272	389118	Herself - Jordstråletyder
734273	16943	Herself
734274	77836	Princess
734274	133858	Olga
734275	160801	Questioner
734276	385322	Herself
734277	329818	
734278	53762	
734278	82439	
734279	289523	Hadley Twin
734280	29676	Allegro's Aide
734281	178813	Psychiatrist
734281	245530	Nancy Hayes
734281	326408	Mrs. Kovac
734281	372731	Mrs. Escalante
734282	9162	Mairy
734282	15958	Genie -Elena Chrisou
734282	18143	Anna
734282	18904	
734282	19040	
734282	39780	Christo's Mother
734282	77273	Elena
734282	82207	Maria
734282	98380	
734282	98570	
734282	100615	
734282	102124	Guide
734282	102687	Katerina
734282	104390	Mirka
734282	118483	Anna
734282	174486	
734282	174632	
734282	188887	
734282	250485	
734282	258649	
734282	259428	
734282	260066	
734282	265649	
734282	270547	
734282	309262	
734282	375293	
734282	379436	Julia Megapanos
734282	380434	Vera/Nina
734282	381009	
734282	389672	
734283	171851	
734284	224155	Race Course Extra
734285	38542	Chieftess
734286	142849	
734287	240171	Herself
734288	58889	
734288	101942	Blind Date #1
734288	178009	
734288	196808	Jill
734288	306998	
734288	340908	Felicity
734288	380391	Maggie Cory #6 (1996)
734288	411971	Rosalie Rowan
734289	321444	Whaler
734290	241351	The Secretary
734290	267441	
734290	340747	Michelle Collins
734291	155005	Franny
734291	217741	Jeannie
734291	241605	Mickey
734291	270949	Jessie
734291	331089	Julia Herrick
734291	385612	Juliet
734292	78991	Amber Gratovski
734292	340925	Teila
734293	52582	
734293	290871	Seminarteilnehmerin
734294	155468	Äpfelchen
734294	160269	Röschen
734295	214228	Young Ruth Spear
734295	300180	Julie's Daughter
734296	265558	Herself - reformer with axe
734297	222212	Party-goer
734297	317213	Alice
734299	398050	1st Eliminated (2001) (2001)
734300	220891	Lucy
734300	319281	Natalie
734300	336475	Girl #2 in limo
734301	3924	Mad Girl
734302	67828	
734302	78763	
734302	106235	
734303	106743	
734303	122411	Themselves
734304	10046	
734305	1006	
734305	9124	Woman in 'Moral Majority' Shi
734305	9125	Woman in tight shirt
734305	17934	Girl in Movie
734305	33988	Lavonia/Lola Langusta
734305	34733	
734305	34829	
734305	36920	
734305	48935	Madam #1
734305	51955	Skateboarder
734305	81853	
734305	89364	Tassie
734305	91943	Chastity Knott (The Double-D 
734305	97413	
734305	98838	
734305	98866	Herself
734305	98880	Kitten
734305	105014	
734305	108451	
734305	128255	Miss Langusta
734305	128825	Herself
734305	160415	Busty Gusty (segment "Busty G
734305	168543	
734305	178313	
734305	183698	Partygoer
734305	201784	
734305	224376	Ana Maria
734305	230558	Go-go dancer in bar
734305	231790	Ruby
734305	232166	Big Bust
734305	243539	
734305	260816	Herself
734305	274198	Amy
734305	303609	Hostess
734305	304921	
734305	323595	
734305	327781	
734305	335214	Stripper
734305	338854	Dancer at party
734305	347182	Martha Brenner
734305	348427	The Greek Chorus
734305	357158	Herself
734305	365341	Stripper #2
734305	365494	
734305	375707	The Bar Owner
734306	19420	Vanessa
734306	38696	Erin
734306	40504	Laura
734306	68086	Herself
734306	82519	Infomercial Woman
734306	354851	Wendy
734307	315018	
734308	169768	
734309	32133	
734309	34076	
734309	42269	
734309	84234	Boardinghouse Keeper
734309	145920	Undetermined Role
734309	203485	Actress as Nancy
734309	270998	
734309	372631	
734310	14370	Morena
734310	55496	Anna
734310	55848	
734310	61025	
734310	65615	Nouchi
734310	68649	
734310	69039	
734310	103998	Aunt Anna
734310	160514	Marisa Cattaneo
734310	161819	Monica
734310	183478	Carlotta
734310	215014	
734310	341517	Elsa
734310	351976	
734310	352292	Monica
734310	386484	Angela Rivalta
734310	386487	Angela Rivalta
734310	402160	Pina
734311	392787	
734312	81243	Francine Rosario
734312	388820	Diane Pulaski
734313	43046	(Episode 2)
734313	63545	Ukibashi dayu
734313	90164	
734313	124038	Ritsuko Nagasawa
734313	125702	
734313	156113	Kei Fujino
734313	162317	Fumiko Masuda
734313	167481	Mayumi
734313	168091	Tsuya Shimamura
734313	181566	
734313	198714	Machiko Takagi
734313	231308	
734313	232704	
734313	300545	Mariko Koide (Reporter)
734313	309186	Miyabi Sakuramiya
734313	341307	Ayako Tagami
734313	372017	Hisano Ueda
734313	373231	Usagi
734313	404245	
734313	408599	
734314	1050	Hostess
734314	47998	Cleaning Lady
734314	78399	Mrs. Uggla
734314	94341	Ellen
734314	95829	Dean's Wife
734314	98785	Tilda
734314	102897	Audience at Opera
734314	108200	Aunt Inga
734314	115382	Lord Mayoress
734314	115391	Vicar's wife
734314	115402	Woman being forced to buy a s
734314	115403	Wilhelmina Fogelström
734314	116018	Mrs. Andersson
734314	118696	Mrs. Louise Granlund
734314	120091	Post clerk
734314	120922	Actress
734314	121019	Betty Mosch
734314	122326	Mrs. Stockman
734314	122333	Mrs. Pilgård
734314	127569	Colonel's wife
734314	135219	Rakel Demant
734314	135674	Nurse Dagmar
734314	138491	Mrs. Börje
734314	142729	Britta's mother
734314	145520	Gustava
734314	154134	Aunt Ottilia
734314	154504	Kristin
734314	162252	Mrs. Asp
734314	172791	
734314	174076	Mrs. Betty Bergström
734314	174079	Mrs. X
734314	181844	Katarina
734314	181845	Adele Löwencreutz
734314	182547	Mrs. Tranman
734314	187635	The Mother
734314	190835	Aunt Anna
734314	192657	Mrs. Berger
734314	192928	Mrs. Norrman
734314	198018	Mrs. Margarete Grijp
734314	198265	Miss Bruuhn
734314	204533	Guest at Restaurant
734314	206208	Member of the board
734314	209327	Woman of morality
734314	237081	Mrs. Gunersen
734314	238802	Elna, Inga's supervisor
734314	240312	Rut Lundell, Kim's father
734314	244073	Aunt Victoria Sellberg
734314	248196	Mrs. Fanny Hellman
734314	264277	Malla Silverstolpe
734314	268354	Mrs. Lewen
734314	272755	Martha Berg
734314	279807	Katrina
734314	282087	Stava
734314	286299	Johanna
734314	289783	Woman
734314	303852	Mrs. Westerlund
734314	304137	Mrs. Agda Carlsson
734314	304142	Maid
734314	304173	Maid
734314	304212	Woman
734314	306371	Mrs. Augusta Welander
734314	308200	Malla
734314	313015	
734314	314843	Mrs. Wilder
734314	320618	Countess Gyllencrona
734314	322297	Miss Beate-Sophie Gripclou
734314	331008	Landlady
734314	343712	Fortuneteller
734314	349586	Mrs. Holm
734314	350564	Gabrielle Collin
734314	354422	Guest
734314	355638	Otti Patkull
734314	377382	Helena Daa
734315	147825	Herself
734316	372371	
734317	89635	Dr. Rank's Maid
734318	121933	Ayaka Utagawa
734318	122092	
734318	122099	Mako
734318	167578	
734318	172099	
734318	174870	
734318	174871	
734318	176569	Reiko Yamashita
734318	176612	Ukiko
734318	177720	Takiko Endo
734318	211893	Yumi Aoki
734318	242177	Reiko Kohno
734318	242217	
734318	243355	Takeko Tsuchiya
734318	253224	Shinko
734318	287108	
734318	294266	Toma
734318	306727	
734318	370521	
734318	375588	
734319	122087	
734319	161684	Yoko Yano
734319	180137	
734319	181989	
734319	242182	Machie
734319	358134	
734320	63706	
734320	63708	
734320	373485	
734320	373486	
734321	370441	Ayako
734322	334896	
734323	8758	
734323	18642	Rieko Hirayama
734323	21344	Yoko and Aiko's mother
734323	61449	Oine
734323	121440	Ayako
734323	146895	Mochiko
734323	167575	
734323	179399	Reikichi's mother
734323	179436	
734323	180030	Mrs. Minowa
734323	180046	
734323	180048	Tsuma - Akiko
734323	182061	
734323	182384	Yasuko's mother
734323	198826	Omura
734323	223306	Mother
734323	232524	
734323	232610	Hisako's mother
734323	242225	Otami
734323	244493	Kinue
734323	334840	Osome
734323	334921	Michiyo/Orie
734323	371974	Mrs. Natori
734323	371996	Naka
734323	373173	Osumi
734324	9344	Kijima, Miwako
734324	87858	Kiyoka
734324	131291	Saki
734324	181964	
734324	212655	
734324	242116	Yuki
734324	298836	Hinako Myoujin
734324	309397	
734324	312162	Hideko Ozaki
734324	358930	Yuriko
734324	359847	Aiko Shibata
734324	372001	Nami Tsuchiya
734324	373070	
734324	374105	O-Shino, Hattori's Wife
734324	380472	Kaori Machimura
734324	394292	Nao Shinoda
734324	402312	Kiriko Motomiya
734325	84253	
734325	126185	
734325	152929	Junko
734325	158887	Mineko Fuji
734325	168012	Oren
734325	177926	Akio, Opponent's Mistress
734325	180483	
734325	244515	Reiko (Izumi's mother)
734325	244543	Reiko (Izumi's mother)
734325	244546	Reiko (Izumi's mother)
734325	244547	Reiko (Izumi's mother)
734325	244548	Reiko (Izumi's mother)
734325	256142	
734325	288642	Tamazusa
734325	294028	Yubaba/Zeniba
734325	296510	Okatsu
734325	299998	Yukie
734325	320370	
734325	400071	Daria
734326	191138	
734326	229827	
734326	239460	
734326	239468	
734326	243436	G-Fresh's Daughter
734326	298921	
734326	298930	
734326	354753	
734326	355050	
734327	283627	Yamako Asama
734328	31053	Kanzaki Akari
734328	107610	Maria
734328	113332	Lulu
734328	113333	Lulu
734328	168829	Trish Una
734328	210476	Sion
734328	298425	Joy
734328	299125	Nanami Jinnai
734328	319430	Monkey Voice #3
734328	319431	Monkey Voice #3
734328	381401	Akari Kanzaki
734328	382908	Linna Yamazaki
734328	385980	Miyako Inoue
734328	396347	Miho
734328	397346	Ms. Millionare
734328	397942	Tami
734328	411893	Isuzu Yamaha
734329	9477	Osen
734329	137364	Sadako
734329	174333	
734329	174341	
734329	299142	Yukie Ayakoji
734329	379044	Osono (1978-1982)
734330	300448	
734331	1757	Sachi Matsuo
734331	76844	Kyoko Kashiwagi/Maria (plays 
734331	122211	Laura Gain
734331	136499	Tokiko Kohama
734331	167480	Mayumi/Misato
734331	177926	Matsue Kiryuin
734331	207117	Osode
734331	227445	Ozawa Keiko
734331	295127	Komako
734331	404134	Xuanzang Sanzang (Tripitaka)
734332	130543	
734332	130544	
734332	370009	Cheryl
734333	207504	Yoko Hara
734333	359830	Shimako
734334	232920	Komatsu
734334	244564	Emi
734334	365338	Rie
734336	24874	Avatar
734336	139396	Isa
734336	184100	
734336	231286	Liz
734336	279249	Marie
734338	55264	Emilia
734338	393028	Jacinta
734338	397738	Margarita Manrique
734338	405835	Socorro García Núñez
734339	353236	Martin's Sister
734340	170112	
734340	328048	
734341	46597	Michèle Leroy (segment "Je su
734341	63640	Yolande
734341	96243	Michka
734341	108205	Geneviève de Coutville
734341	122125	Marika
734341	155680	Aglaé
734341	167228	Sophie à 80 ans
734341	217633	Nadia
734341	218325	La Rousse
734341	220279	Brigitte Latouche
734341	224873	
734341	257012	Gloria Lamar
734341	260912	Arlette
734341	260939	Malou
734341	283048	Emma
734341	295211	Louise Chabot
734341	345465	
734341	377948	Germaine
734342	48052	Trixie Veronica
734342	304820	Hotel Guest
734343	246579	Banu
734344	47474	Essie's Party Guest
734345	213494	Turtle
734346	397009	Evelyn
734347	22076	
734348	2104	The Mother
734348	6272	Grandma Mills
734348	8072	Molvina MacGregor
734348	22856	Mabel Pritchard
734348	29963	Mrs. Ethel Banks, Corie's mot
734348	39413	Gwendolin Snoop
734348	40848	Madame Arcati
734348	60162	Mrs. Mebane
734348	71979	Griselda
734348	76966	Mrs. Costello
734348	78093	Madame de Rosemonde
734348	80729	Sarah Cleason
734348	88564	Shelby Saunders
734348	96891	Grandma
734348	100668	Mrs. Abigail Minnett
734348	147558	Grandma
734348	151162	Grandma
734348	155857	Jenny Grant
734348	178063	Mrs. Reilly
734348	178208	Isabella
734348	185830	Amelia Newcombe
734348	194052	Freda
734348	200860	Mrs. Angstrom
734348	202533	Molly Fletcher
734348	218013	Emily Finnegan
734348	262000	
734348	269861	The Widow Sarah Tillane
734348	298043	Abby Allshard aka Old Iron Pa
734348	306176	Gwendolyn Snoop Nicholson
734348	309285	
734348	324261	Aunt Renie
734348	326814	Grace Hewitt
734348	339707	Miss Miller
734348	340552	Miss Ivy Gravely
734348	358873	Mme. St. Pé
734348	367733	Nurse Braddock
734348	371887	Aunt Amarilla
734348	372148	Grand Duchess Olga Katrina
734348	395756	Aunt March (1979)
734348	405736	Gwendolyn Snoop
734349	136834	Beach Girl #2
734350	224091	Lesbian couple
734351	89706	Mariette
734351	119720	
734351	130331	Conductor's daughter
734351	144191	
734351	155388	
734351	175775	
734351	207213	
734351	210313	Hella
734351	226272	
734351	291084	Irene Masters
734351	317104	
734351	317360	Princess Helene
734351	321616	Anna Albert
734351	343480	Lotte Dancer
734351	350863	
734351	352302	
734351	364993	Frau Bock, Cafétiere
734352	178637	
734353	103135	Lucie Weidling
734353	144323	Lola
734353	335018	
734354	232847	Call Girl
734355	295098	
734356	339015	
734357	2781	Stars on 54
734357	249588	Herself
734358	187557	
734359	9524	
734359	115839	
734359	208430	
734359	325800	Frau Sennemann
734360	7451	
734360	47262	
734360	55334	
734360	92025	
734360	112823	
734360	216229	Madame Thénardier
734360	346584	
734360	377913	Newspaper seller
734361	333600	Denise
734362	48294	
734363	208503	Secretary
734364	3210	Jacquie Dufault
734364	60678	
734364	199599	
734364	237330	
734364	255813	Stéphanie
734364	286326	Anne Williamson
734364	340198	
734364	385503	Hélène Paradis
734364	390486	Dr. Louise Saucier
734364	406029	Clothilde Beaujeu
734364	409541	Madeleine Brossard
734365	269725	Mme Bonin
734366	99375	
734366	285773	
734367	315276	Françoise Hébert
734368	380260	Jumelle 1
734369	66954	
734370	7285	Grace O'Neil
734370	218206	Rookie Cop
734371	13293	Joanne
734371	35650	
734371	79757	Jane
734371	232493	Jane Moody
734371	242774	Lt. Dolores Crandall
734371	386193	Maggie Ferguson (fall)
734371	400352	Lt. Dolores Crandell
734372	2252	(segment "Attente, L'")
734372	17855	
734372	99375	
734372	254312	La bonne
734372	268463	Juliette
734372	276532	
734372	285773	
734372	380260	Jumelle 2
734372	399082	Fliquette Vanessa
734372	399811	
734373	22688	Danseuse
734374	51137	La baronne
734374	111698	
734374	224903	
734374	346514	
734374	346520	Madame Serin-Ledoux
734375	113138	
734376	305929	
734377	88893	Grandma
734377	244767	Katryn
734378	177166	Tina
734379	119771	Judy
734379	162618	Journarist
734380	212257	Drunk Office Woman
734380	403157	Betty Roberts
734381	393604	Herself - Jane Schmo (II)
734382	324091	Temple Student
734383	212787	Narrator
734384	43933	Nurse
734384	72504	Protester
734384	208023	Jill
734385	205426	Francie
734386	46236	
734387	201696	Herself
734388	109475	Newscaster
734388	346125	News Reporter
734390	180912	Patientin Birkenhof
734391	183976	Tyttö/The Girl
734392	2890	School Girl
734393	367838	Undetermined Role
734394	4937	
734394	23614	
734394	38146	Katrina
734394	171683	
734394	225868	Ustina
734394	239910	
734394	258704	
734394	280805	
734394	312434	
734394	332993	
734394	373443	Galya
734395	267642	Prostitute
734396	46541	Victim
734396	80852	Beverly Rachlin
734396	277909	Mrs. Riggs
734396	321632	Party Guest
734397	154678	Jomfru
734398	289996	Anna
734399	43344	
734399	65202	
734399	98375	Frau Horvath
734399	388419	La reine (segment "Le tramway
734399	410048	Frl. Lauters
734400	108893	La reine
734401	103280	Nurse
734402	86376	
734402	216387	
734403	63622	
734403	88407	
734403	162432	Galya
734403	187640	
734403	220692	
734403	252817	
734403	261370	Irina Lavrovna
734403	356064	
734404	91651	Rudolpho's Girlfriend
734405	45998	Den flyktende
734406	245897	
734407	202467	Joanne
734408	104777	Latvian entry (1st place)
734408	104778	Host
734408	387959	Herself - Presenter (2003)
734409	33824	
734409	34224	
734409	326978	Françoise as Child
734409	373744	
734410	174924	
734411	170228	Herself
734412	313659	Tamara
734412	401355	Ilze
734413	343945	Topsys stemme
734414	85597	
734414	191478	
734415	28041	Aicha
734416	394862	Participant (2002)
734417	338172	
734418	27574	Herself
734419	1345	
734419	107871	
734419	110338	Receptionist
734419	110504	
734419	160995	
734419	168070	
734419	168072	
734419	178321	
734419	203989	
734419	235653	
734419	372710	
734420	230237	
734421	83523	
734422	103425	
734423	240694	Illegal Mexican Woman
734425	333287	Aunt
734426	9786	
734426	99441	
734426	183512	
734426	221660	
734426	221699	
734426	247416	
734426	247466	
734426	272623	
734426	278940	
734426	279585	
734426	292928	
734426	341645	
734426	351679	
734426	399708	
734427	28769	Chico's Mother
734428	183587	Tatailia Santina
734429	20796	
734430	217054	Secretaria
734431	204772	
734432	139956	
734432	154663	
734432	204107	
734432	379023	
734433	70454	Newscaster
734434	131073	
734434	305939	Miki
734435	408323	Narrator 1
734436	23386	Lisa
734437	4417	
734437	15366	Mahattarika
734437	16292	
734437	17007	Tanu
734437	17399	Indu
734437	31423	Shobha Devi
734437	43163	
734437	59849	Neha
734437	75489	Sita
734437	77483	
734437	95453	Rama
734437	98469	
734437	98491	
734437	106792	Sheetal
734437	119354	Ms. Thomas
734437	126952	
734437	135226	Kavita (Guddu's mother )
734437	145626	
734437	147509	Proffessor Sehgal
734437	152481	Lajiya
734437	164951	
734437	170908	
734437	173109	Kamla
734437	173505	
734437	174543	Sandhya
734437	178203	
734437	187053	Chaitali
734437	204027	Geeta
734437	205484	
734437	215094	Mukhi's wife
734437	217175	
734437	227948	
734437	272048	
734437	284771	Gitanjali Gupta
734437	288837	Aarti
734437	297153	Shekhar's mother
734437	299641	
734437	300319	Veena
734437	327138	
734437	370388	Sunita (Deepak's wife)
734437	370958	
734438	313985	
734439	8564	Actriz discoteca (Disco actre
734439	197213	Sole
734439	279587	
734439	308271	Angela
734439	345592	Carla
734440	172338	Taani Mausi (Aunt Taani)
734440	208568	Mridu
734441	65097	Helga
734442	99485	
734442	108732	Doncella
734442	183503	
734442	202560	
734442	258488	
734443	36012	
734444	282491	Mme. Delaccarrier
734445	381451	Newsreader
734446	237122	Claire
734447	348229	Club Patron
734448	16915	Carmen Miranda Impersonator
734449	365642	Singer
734450	384507	Dancer
734451	160994	
734452	211186	
734453	38692	Witch
734454	380795	Lorena
734454	384980	Bianca
734455	235296	Compañera Andrea
734456	66752	Enfant de Benoît 2
734457	104227	Anne-Marie
734458	66752	Enfant de Benoît 1
734459	275466	Bridesmaid
734460	42568	Anne-Marie/Gilberte
734460	63948	Juliette
734460	85543	Janine
734460	132063	
734460	135624	
734460	148744	Esther
734460	200935	
734460	228193	Pivoine
734460	254056	Tosca
734460	339932	Marceline
734460	402357	Reine Claude aka Prunelle
734461	263990	Lily
734462	19202	Lucrèce
734462	24823	
734462	65168	Clara
734462	109969	Gaëlle
734462	120880	Sandrine Ricoeur
734462	124313	Jeanne
734462	131170	Paulina
734462	133057	Emeline
734462	160205	Maxime Kovacs, la fille
734462	167228	Aurélie
734462	196287	Eléonore
734462	206298	
734462	211658	Isabelle
734462	237998	Mélanie
734462	255573	Tanya Doubrovski
734462	282498	Lucia
734462	291575	Marie Bourgoin
734462	309454	
734462	324384	Elise
734462	345041	Delphine
734462	351784	La petite amie
734462	376964	Anita
734462	396924	Lola
734463	233805	Vampira
734464	13186	
734465	380524	
734465	387817	Aurora
734465	392960	Leyda
734465	402077	Conchita
734466	380065	Renata Sánchez Gabito
734466	380963	Paloma
734466	385502	Naydelin
734466	396211	Vicky
734466	397016	Young Graciela Pereira
734466	399084	Claudia
734466	401659	
734467	265328	
734468	282781	Pierre
734469	96500	Concetta, la segretaria
734470	212493	Maribel
734471	197885	
734472	143689	Nena
734473	203344	Sandri's Girl
734474	51772	Josephine
734475	212993	
734476	216804	
734477	75201	
734478	379132	Laurita (Chapter 5)
734479	166986	
734479	192682	Theresa
734479	210667	Woman
734479	327300	Bank Teller
734480	183518	
734481	198452	
734481	246718	Helen
734482	164486	Mexican Girl
734482	169817	Conchita
734483	75700	Miss Aguilera
734483	110941	Sarah Delao
734483	114099	Sunny Jordeen
734483	157117	Mrs. Hernandez
734483	175100	Martha Carechal
734483	335896	Carlotta Mendoza
734484	185053	Cop #3 in L.A. Station
734485	24986	Juanita
734486	20625	Extra
734486	67522	Squaw
734486	94134	
734486	242009	Tourist
734487	246966	
734487	274554	
734488	396417	
734489	52214	
734490	235998	Abuela Luna
734490	322395	Prostitute 1
734491	64368	
734491	296446	
734492	102441	Paloma
734493	45193	Chica clase 2
734493	322851	Funcionaria 2
734493	336267	Clienta pescadería
734494	74970	
734495	38203	
734495	351661	
734496	138744	Chorus Woman
734497	68333	Madame Pic, la bibliothécaire
734498	243704	
734499	348601	Pee Girl
734500	211375	Marylin
734501	189309	
734501	344813	
734502	45982	Grandmother
734502	89930	Old woman at the well
734502	221609	Old Woman
734502	273725	Francisco's Mother
734502	283982	Grandmother
734503	381607	Rafaella
734503	405978	
734504	387897	Yadira Paz
734504	395373	Mariví
734505	192936	
734506	23530	
734506	28158	Isabelle Demur
734506	52011	Anne
734506	69933	Perdita
734506	200942	Aline
734506	217808	Muriel Leguay
734506	285757	Geneviève in Toulouse
734506	286316	Nausicaa
734506	377991	Juliette enfant
734506	402664	Joséphine
734507	104089	
734508	301180	
734509	148038	
734510	107428	Four-year-old girl
734511	246299	Telefonista
734511	284573	
734511	328147	
734512	12020	
734512	13515	
734512	52214	Azucena
734512	53995	
734512	54328	
734512	83756	
734512	83862	
734512	88799	
734512	91426	
734512	134503	Mariquita Sanchez Thompson
734512	145216	
734512	147295	
734512	205794	Marga Quiroga
734512	206554	
734512	219317	
734512	222037	
734512	302551	
734512	307728	
734512	317949	
734512	318239	
734512	320348	
734512	398489	
734513	346516	Myriam
734514	50135	
734514	302323	
734514	379252	
734514	380074	
734514	404287	
734515	301180	
734516	43982	
734517	204581	
734517	278905	
734517	299714	Belen
734517	392086	
734518	114266	
734518	197625	
734519	166242	Beautiful Woman
734520	138744	Chorus Woman
734521	356947	
734523	76812	Cory
734523	222472	Pilar
734523	336216	
734523	398494	Winnie
734524	105943	Phu Ling
734524	227112	Mai
734524	301820	TV Announcer
734525	166375	
734525	166379	
734525	166384	Joly
734525	199718	
734525	269214	
734525	294113	
734525	381263	Sinhá
734525	392031	
734525	395366	
734525	397550	
734525	398877	
734525	401095	Delfina
734525	403083	Carmem
734525	405337	
734525	405401	
734525	407639	
734525	409407	Generosa
734525	409417	
734525	409902	
734525	410287	Safira
734526	8564	Actriz ojo vendado
734526	234358	
734526	304478	Chica ciber
734526	334667	
734526	353236	Biology Teacher
734527	65005	Teresa
734528	18641	La abuela Martha
734528	22770	
734528	32707	Reinaldo's Grandmother
734528	50007	Dona
734528	70889	
734528	73296	
734528	77246	
734528	91311	Jacinta
734528	96286	
734528	106329	
734528	120080	Nanny
734528	150543	Woman on Bus
734528	170478	Lupe
734528	193064	
734528	193550	Mamá de Bobo
734528	210868	Blind Woman
734528	212238	Chosen Grandmother
734528	260901	
734528	264264	Jarocha
734528	266822	
734528	282923	Hotel Proprietress
734528	287431	
734528	291126	Widow in Stands
734528	337677	
734528	339136	
734528	368953	Fat Woman
734528	370142	
734528	387479	Eulalia
734528	391570	Rosario
734528	398915	Xóchitl
734529	408793	Rocío
734530	169777	
734531	174743	Doña María
734532	404145	Chiqi Li (2000)
734533	103484	
734534	41448	Sra. Leach.
734534	161436	Berta
734535	14693	Dependiente dulceria
734535	18641	Paulina
734535	21707	Rosita
734535	22672	
734535	70641	Doña Sol
734535	70662	Mujer en silla de ruedas I
734535	78570	Witch
734535	80254	Lucita
734535	90113	
734535	104055	
734535	161436	
734535	165792	
734535	167801	
734535	189369	The mother
734535	193484	Chelo
734535	194129	
734535	206988	
734535	209072	
734535	211477	
734535	228560	
734535	249879	Berenice Bejarano
734535	281607	
734535	287890	Catalina
734535	301176	Nina
734535	339160	
734535	378039	
734535	380083	Ofelia de Valdez
734535	383261	Digna
734535	383273	Silvia
734535	387067	
734535	387478	
734535	389483	
734535	395857	Doña Adriana (Adriana's Mothe
734535	396894	
734535	397568	
734535	398486	
734535	400947	
734535	403257	
734535	408199	
734535	408860	
734535	411712	
734536	26148	
734536	31092	
734536	46816	Mrs. Gray
734536	64103	
734536	80027	
734536	104929	Kate Simpson-Bates
734536	141506	Aunt Becky
734536	221251	Mrs. Dane of Canada
734536	231808	Ruth
734536	362723	Mistress Hibbins
734537	263039	
734537	307039	
734538	143757	
734539	33493	
734539	53650	
734539	84177	Valentina
734539	149232	
734539	212342	
734539	249770	
734539	281293	Ana
734539	320306	
734539	342152	
734539	351830	
734539	376719	
734540	202834	Tati
734540	221744	Julia Elena
734540	407641	Leticia
734541	166986	Sarah
734542	384972	Ivonne Brichot (2004 -)
734543	323226	Bar Extra
734544	111989	
734546	68590	
734546	107022	
734546	397409	
734547	6499	Saloon Singer at Kingsville T
734547	13201	Anna Lanfranchi
734547	14644	
734547	36611	
734547	51449	
734547	55987	
734547	60131	
734547	61035	
734547	74879	
734547	99702	Emanuelle
734547	113707	
734547	118135	Dominique
734547	129003	Laura
734547	145258	
734547	159468	Veronica La Russa
734547	165711	Sylvia
734547	178050	Col. Smithson
734547	197582	Dolly
734547	208192	
734547	209442	Luisa
734547	213393	
734547	217112	
734547	219562	Valentina
734547	219564	Nicole Rochard
734547	234558	
734547	237011	Sra. Manassas
734547	256773	Dolores
734547	276127	The widow
734547	278973	Rosita
734547	280578	Consuela
734547	301183	Karin Foster
734547	336600	Doris
734547	340423	Nina
734547	342121	Barbara Harrison
734547	351402	Crystal
734547	356012	Ines, the Countess
734548	89927	
734548	100257	
734548	100385	
734548	103940	Gloria
734548	169751	
734548	269219	
734548	307798	
734548	328531	
734549	239945	
734550	70704	
734550	83732	
734550	213746	
734550	269532	
734550	339002	
734551	184369	On the Roof
734551	234004	
734551	353195	Experto (expert)
734552	104089	
734553	385202	Host
734554	87086	
734555	221960	
734556	160535	Actriz
734557	80124	
734557	91345	
734557	99354	Esther
734557	169561	
734557	217920	
734557	247418	
734557	251842	
734557	317696	
734557	349464	
734558	235316	
734559	70896	
734560	61959	Monica
734561	279587	
734561	383233	Aura Sánchez
734561	383633	Catalina
734561	385370	Teresa 'Paloma'/Elena Olivare
734561	387068	Victoria
734561	391417	María Claudia
734561	401251	Perla/Julieta
734562	247418	
734562	251842	
734562	349464	
734563	19463	
734564	360635	
734565	213396	
734566	109347	
734567	380155	Olga (2002, 2004)
734567	384990	Co-host (2002-)
734568	352853	
734569	50292	Jean's Mother
734570	319410	Guadalupe Biancha
734570	328248	
734570	380122	Cielo
734570	382867	Ana
734570	384985	
734570	388814	Karina
734570	399625	Marisela
734570	400667	Patricia Urticuechea (1992-20
734570	401106	Lidia (II)
734571	74867	Sra. Salzig
734572	233974	
734572	309086	
734572	341871	
734573	28914	Susana
734573	74502	Sandra
734574	338201	Juliette
734575	23375	Roser
734576	380535	Ricarda, Patiño
734576	382543	
734576	395867	Alejandra
734576	402463	
734576	408180	Romina
734577	34573	
734577	54148	Lilli, la danzatrice
734577	54296	Leonora Bragadin/Capitán Torm
734577	99245	La locandiera
734577	112654	Carmen, la danzatrice
734577	133307	Consuelo
734577	229153	Dolores, la ballerina
734577	256542	La viceregina
734577	263632	Estellita
734577	348179	
734577	376779	Viuda Damonthal
734578	225574	
734578	357816	
734579	52772	
734579	118114	
734579	222160	
734579	393345	
734580	55999	
734580	56581	
734580	68915	Felícia
734580	227624	Ana
734581	297671	Office Assistant
734582	91881	Maque Sanchez
734582	128089	Phone Girl
734582	260705	Lucy Sanchez
734582	359742	Maggie
734582	390771	Theresa Sandoval (1999-2000)
734582	400236	Linda Soto (1995-1997)
734583	388307	Zobia Shah
734584	198215	Costurera 7
734584	274784	Isabel
734584	396827	Ana Mouzo
734585	91388	
734585	213514	Gabriela
734586	155698	Iris
734587	183831	
734587	361543	Maid
734588	87409	Julia Ahn
734588	123029	Polylina/Lia
734588	127779	Polylina/Lia
734588	264168	Lachola
734588	298966	Yasha
734589	41376	TV Announcer
734589	70965	TV Reporter
734589	343189	Reporter
734590	323668	Enfermera 1
734591	128062	Dalit
734591	375644	
734592	266880	
734592	379668	Karen Davila
734592	380917	Anabel
734592	381072	Pilar 'Pili' Guaqueta
734592	400067	Mechas
734592	405798	Rosa Torres
734592	405858	Eugenia
734592	412153	Genobeva Arbeláez
734593	352943	
734594	383174	Paula Vallejo Cortez
734595	149525	
734595	379147	Clara
734595	379819	Sarita
734595	383688	Mireya
734595	396713	María Magdalena Osuna/'Malena
734595	396852	Yadira
734595	396880	Isabel
734595	397021	Night club dancer
734595	398801	Rosalía
734595	400860	Rosalía
734595	401404	Conductora
734595	410477	Rocío Zárate
734595	412192	Ximena Chávez
734596	235820	
734597	32790	Suky Tawdry
734597	41868	Ingrid
734597	89277	Mrs. Jones
734597	196232	Jaquenetta
734597	279108	Lucy
734597	404646	Hilary (II) (Series 2-3) (199
734598	9809	
734598	25971	
734598	124820	
734598	134741	Menstruating Girl
734598	136116	
734598	138774	Susana Bartlett
734598	162185	
734598	164750	
734598	172562	
734598	172570	
734598	172572	
734598	217141	
734598	217153	
734598	228715	
734598	233209	
734598	271964	
734598	297293	
734598	297621	
734598	298261	
734598	319104	
734598	359822	
734598	367218	
734599	276488	
734600	112807	Nicole
734600	146362	Andree
734600	279439	
734600	350070	Lara
734601	2161	Cute Sister
734601	35524	Floyd Fox
734602	365820	Store Clerk
734603	71477	Lindsey
734604	104699	Vandersexxx Girl
734605	78668	Herself
734605	257782	Herself
734605	295007	Herself
734606	82538	Bound Woman
734607	5495	Maubert
734607	6093	Ada
734607	66596	Florica
734607	346726	First Victim
734608	356542	Ertan
734609	357435	
734610	237536	Little Vera
734610	306099	Katynka
734611	405279	Miss Amelia
734612	410972	
734613	141863	Daughter
734614	168974	Johanna
734615	289271	
734616	282096	
734617	373521	
734618	266328	
734619	304913	Sophie
734620	316563	Grandmother
734621	272820	
734622	9711	
734622	327486	
734624	51541	
734624	104774	French entry (19th place)
734624	108844	(segment "El mago de Oz")
734625	21810	
734625	262832	Savitri Visvaas Inamdar
734625	355547	Reetha Mathews
734625	361081	Janni
734625	394668	Herself/Designer
734626	161422	Michelle
734627	36022	Ladhu
734627	79025	Nisha
734627	86463	Angela
734627	157499	Hospice Nurse
734627	196539	Rani Dayal
734627	264269	Olivia
734627	303558	Tina
734627	337341	Elaine Boyak
734627	340805	Olive
734627	382932	Jamila
734627	391769	Karen Pope
734627	400546	Debra Kumar
734627	403761	Joyce (2004-)
734627	405476	DC Kate Oakley
734627	406636	Elaine 'The Pain' Boyack
734628	90735	
734629	74257	Mrs. Lithebe (Stephen's Lodgi
734630	10670	Young Dorothy
734631	200618	Yakata
734632	212295	Rositza
734633	9473	
734634	1400	Maykata ha Ivan
734634	180217	
734634	243627	
734634	352807	Zhenata na Isay
734634	357324	
734635	98639	
734636	318290	Amiga
734637	106327	Zel
734638	62542	Counsellor
734639	230643	
734640	331264	Mary, secretary
734641	385342	Woman in Maternity Ward
734642	12228	Susan at Party
734643	2862	Girl #1
734644	314007	
734645	1371	Anne
734645	379220	Mum
734646	105853	Juliette
734647	213578	Peep-Bo
734648	403163	Various characters
734649	252483	Mantke Clerk
734650	365138	Physiotherapist
734651	319243	Herself
734652	105405	Abby
734652	110320	Hetty
734652	355165	
734653	47400	Claire
734653	67640	Sophie
734653	96857	
734653	181276	Herself
734653	218284	Myriam
734653	277726	
734653	345146	Kicup
734653	399756	Kicup
734654	65167	Marie
734654	216033	La vétérinaire
734655	283129	Suzette
734655	377262	Suzanne Courtois
734656	30987	Eri Yoshiyama
734657	251821	
734658	389480	Laura Paz Leighton
734659	30834	
734659	38229	Prisoner
734659	65704	
734659	249765	
734659	287159	
734660	95600	
734661	267146	Vicky
734662	67663	
734662	389643	
734662	391901	
734662	409898	
734663	225045	
734664	134573	Theatre Girl
734664	216945	Redhead
734664	369492	Xanadu Dancer
734664	383247	Debbie Day
734665	377617	
734666	241194	Clodô
734666	287484	
734667	264468	Coffee Girl No. 2
734668	130123	Herself
734668	189462	Social Studies Teacher
734669	44182	Farzaneh
734669	251669	Mother
734669	266018	Setare
734669	334090	
734670	9639	Herself
734670	97612	Self
734670	280878	Herself
734670	308281	
734671	979	Liza
734672	90131	Conception
734672	101896	Marthe
734672	386251	Romaine
734673	88353	Sister of Besia
734673	155176	Nazme Khanumi
734673	175955	Vicountess Pantiashvili
734674	3582	
734674	98585	
734674	179667	
734674	198150	
734674	264322	
734674	294654	
734674	306975	Sofiya Perovskaya
734674	382758	Olya's Grandmother
734675	198137	
734675	397053	Natasha
734676	48770	
734677	20041	Herself (Tiger Tamer)
734677	21307	Herself
734677	259807	Marutka
734677	344311	
734678	261567	Viktoria
734679	181591	
734679	198122	
734679	215597	
734679	229852	Vera
734679	234441	
734679	294371	
734679	321872	
734679	323329	
734679	340724	
734679	373545	
734679	374181	(segment "Kapronovaya yolochk
734679	375434	
734680	95574	
734681	11003	Gyuli
734682	63590	
734682	238361	
734682	357665	
734682	386030	Tamara
734682	386031	
734683	170308	Ginger
734684	39693	Maria
734684	171716	Ayu
734684	216114	
734685	34232	
734685	82784	Kristina Kashina
734685	155611	
734685	156001	Lyusya
734685	172450	Vnuchka
734685	180999	
734685	181727	Lisichkina
734685	223553	
734685	237832	Natasha, a journalist
734685	263938	Dasha
734685	284469	
734685	324651	
734685	357215	Sveta-'Svetlyachok'
734686	44269	Deborah
734687	4084	Renu
734687	4480	
734687	4886	
734687	6362	Radha
734687	10038	
734687	14454	
734687	17362	
734687	19279	
734687	21401	Sarla
734687	24272	
734687	25525	
734687	31432	
734687	31623	
734687	82922	Margaret
734687	88640	
734687	89598	
734687	127029	
734687	148921	
734687	203888	
734687	211402	
734687	231832	Operator
734687	233205	
734687	271424	
734687	271620	
734687	287931	
734687	313756	Mrs. Heather Burton
734687	324153	
734687	337070	
734687	359418	
734687	375037	Seema Singh
734687	385612	Mrs. Elkins
734687	408496	Various Characters (1992-)
734688	11700	Herself
734688	32711	Salome
734688	37952	Princess Triloff
734688	41142	Senora Augustias Gallardo
734688	46075	The Brat
734688	46836	Doña Maria, The Marquesa
734688	52902	Marguerite Gautier/Manon Lesc
734688	89632	Nora Helmer
734688	103237	Emmy Ritter
734688	106502	Hassouna
734688	141197	Sally Snape
734688	157899	Zofya Orvid
734688	199746	Mary Carlson/Mary Ainsleigh
734688	224321	Ana Silva
734688	245158	Faith & Eve
734688	274177	Mahlee & Blanche Sackville
734688	274451	Joan
734688	277007	Joline
734688	286177	Salome
734688	302467	Zosia Koslowska, welder
734688	317168	Sigrid Fersen
734688	337214	Zorah/Hagah
734688	359204	Joan
734689	75252	Herself
734690	207383	
734691	4286	
734691	27659	
734691	135224	
734691	167350	Shadaan
734691	215203	Saheban
734691	250818	
734691	252184	
734691	268591	
734691	268787	
734691	297026	
734691	374334	Sanwali
734692	6108	
734692	30695	
734692	33865	
734692	37712	
734692	38461	
734692	85842	
734692	178411	Ayse
734692	182800	
734692	211442	
734692	229332	
734692	377507	
734692	377514	
734693	226596	Zurina
734694	376619	Kiraz
734695	118098	
734695	136488	Popi Mamalaki
734695	379509	Kofalali
734695	406577	
734695	407739	Mary Bartzi
734696	38192	
734696	58683	
734696	86700	
734696	98497	
734696	137279	
734696	165947	
734696	180233	
734696	238867	Meena
734696	271041	
734696	271712	Guest Appearance
734696	359160	Sarla
734696	396476	Kunti
734697	510	Terajima Ryoko/Subaru
734697	515	Terajima Ryoko
734697	516	Terajima Ryoko/Subaru
734697	517	Terajima Ryoko/Subaru
734697	378651	Subaru
734697	392619	Lala Ru
734698	217943	Broker
734699	90028	
734699	92072	Pasqualina (segment "Le vacan
734699	387737	
734700	5447	
734701	9635	Lily
734701	20141	
734701	49717	
734701	51698	
734701	56929	Intervistatrice Discoteca
734701	87201	
734701	121297	
734701	199796	
734701	301181	
734701	302517	Night watch victim
734701	315829	Ragazza signorotto
734702	345693	Mary
734703	61025	
734704	188910	Herself
734705	481	Herself as old Woman
734705	37117	
734705	101332	
734705	126375	A Woman (segment Der grosse u
734705	136615	
734705	163112	Lina Kortmann
734705	170696	
734705	179752	
734705	179835	
734705	197419	
734705	231465	
734705	381728	
734705	389958	Charlotte
734705	404427	
734706	114969	Hosiannah
734707	57878	Recepcionista Laboratorio
734707	63863	
734707	68261	(segment "Textual")
734707	132467	
734707	139896	
734707	167668	
734707	183167	
734707	233953	
734707	292732	
734708	254121	Mother
734710	273566	Thandi Mbombela
734710	315414	Young Girl
734711	389868	Queen Moroka (1994-)
734712	322769	Gagnesiri
734713	100887	Malike
734713	274126	Herself
734713	278818	Herself
734713	313112	Herself
734713	326559	Herself
734714	44191	Old Woman
734714	167990	
734715	118291	Dinka Slavegirl
734716	346738	
734717	44993	Sukey
734718	57579	Princess Dior
734718	106796	Amy Kasse
734719	298184	Receptionist
734720	355958	
734721	405036	Noliwa
734722	229978	Ambuya
734723	115329	
734723	136100	
734723	237356	
734723	262398	
734723	357278	
734724	261863	
734725	25593	
734726	302932	Woman at Riot
734727	264945	
734728	62459	
734729	106796	Mammy, Her Mother
734730	184265	Singer in night club
734731	29650	Barbara James, at 10
734732	16649	
734732	31928	The Girl
734732	53935	Grace
734732	54969	
734732	75356	Lucy
734732	80494	Lena Pula
734732	84346	Detective Dot
734732	88750	Helen Martin
734732	89378	Daisy
734732	107620	
734732	110947	
734732	114731	
734732	114739	Third Couple
734732	116746	
734732	130592	Murray's daughter
734732	136142	Rosy Heintz
734732	145912	
734732	146244	Their daughter
734732	146275	
734732	146290	
734732	195429	Marie
734732	196429	
734732	197024	Elinor, her niece
734732	209706	Mamie
734732	214737	
734732	216456	Mrs. Robbins
734732	245551	Lena Gross
734732	249421	Muriel
734732	256364	Ruth Singleton
734732	264986	Florence
734732	276315	
734732	285368	Jane Hudson
734732	294901	Grace
734732	297976	
734732	299523	Minnie
734732	305842	
734732	305851	The Captain's Daughter
734732	319272	Sunshine Sue
734732	324496	Nora Muldune
734732	337812	
734732	362070	Molly Mason
734732	364291	Maggie, the Cook
734732	364857	
734732	367926	Sally
734733	67064	
734733	107620	
734733	114731	
734733	114739	Second Couple
734733	117283	Martha Dunn
734733	146244	The Maid
734733	166223	Clara Jenkins
734733	193983	Lucille
734733	230423	Bella Donna
734733	276315	
734733	294901	Bess
734733	297976	
734733	318508	
734733	337812	
734733	365747	
734734	140425	
734734	162243	
734734	205465	Talmor's Wife
734734	271599	
734734	327067	
734735	232930	
734735	371005	
734736	104106	Herself - Tiktak keyboards
734736	323754	Aida
734737	61418	Massage Parlor Girl
734738	87679	Trixie Turner
734739	53158	
734740	12057	Herself
734740	38981	Sarah Linden
734740	62110	Charlotte
734740	72018	Kate O'Halloran
734740	83115	Lady Helen Forbes
734740	99292	Beth in 1854/Elizabeth in 190
734740	114792	Hermione Wynne
734740	117647	Susan
734740	131569	Viki
734740	154354	Lady Patricia Fairfax
734740	162208	Irene O'Dare
734740	177606	Maria Karillos
734740	183719	Frances Baring
734740	183845	Florence Nightingale
734740	184439	Cameo appearance
734740	190755	Carole Beaumont/Lillian Grey/
734740	190946	Marjorie Kaye
734740	191752	Julie Alardy
734740	193610	Jacqueline
734740	203616	Mary Randall, Q.C.
734740	208720	Eileen Grahame
734740	224361	Valerie Carr
734740	229632	Nell Gwyn
734740	234033	Eleanor Hammond
734740	234090	Nanette
734740	236876	Edith Cavell
734740	238298	Odette/Marie/Lise
734740	251835	Peg Woffington
734740	255081	Diana Fraser
734740	269390	Queen Nadina
734740	290336	Bit Part
734740	300001	Muriel Ashton
734740	303572	Queen Victoria
734740	311986	Judy Howard
734740	319131	Sunny O'Sullivan
734740	330162	Amy 'Johnnie' Johnson/Molliso
734740	331474	Pat
734740	353486	Queen Victoria
734740	356635	
734740	371025	Sally Maitland
734741	337742	Femme Dipart
734742	337562	Secretary
734743	182576	Kvinna i butik
734744	18030	Joan
734744	45503	Co-Al Woman
734744	52142	Lady
734744	160980	Mrs. Lawrence
734744	188625	Jewelry Clerk
734744	221112	Head Nurse
734744	235694	Woman
734744	317415	Mrs. Haggerty
734745	7068	O-girl
734745	29970	
734745	32061	
734745	116921	Barefoot Model Andrea
734745	251739	
734745	276399	
734746	214430	Megan
734747	155277	Helen Wentworth
734748	44450	Nurse Washington (VA hospital
734748	69773	AnnieDuttonville
734748	92122	Bobbie
734748	104924	Ghost of Original Eve
734748	128089	Angela's Mother
734748	134315	Medicaid Woman #1
734748	135812	Gail
734748	160897	Liz Fletcher
734748	164641	Della
734748	165635	Gwen
734748	178028	Nurse
734748	219558	Linda Nealon
734748	274215	Donna
734748	301392	Sidnee
734748	321262	Rio
734748	356244	Donna Larson
734749	91914	Trixi
734749	348599	Doctor
734750	323390	Suzette Smith
734751	117115	
734751	290346	Marianne
734752	1048	Flyer
734753	54387	Secretary In Personnel Office
734754	305899	Patient
734755	92675	Elizabeth Blaine
734755	92677	Elizabeth Blaine
734755	292124	Natasha
734755	395275	ADA Casey Novak (2003-)
734756	196034	Elizabeth Ellison
734757	1975	Herself
734757	32917	Herself
734757	46683	Linda Sayers
734757	58940	Amy
734757	76604	Alicia
734757	147576	
734757	151530	Nadine
734757	153249	Yevette
734757	188223	Carlita
734757	202195	Hooker
734757	215860	Debra Graham
734757	218005	Paula
734757	246604	Aunt Jane
734757	257571	Summer
734757	276335	Jeanine
734757	278822	Wilma Watson
734757	282024	Beulah (Scrappie)
734757	285035	Gabi Paige
734757	291222	Hallie McDaniel
734757	291257	Herself
734757	329975	Young Woman
734757	379723	Tia Jewel
734757	392231	Yvonne Hughley
734757	396123	Janey Sinclair (1994)
734757	404605	Lt. J.J. Fredricks (1995-1996
734757	407470	Spa Instructress
734758	12286	Handmaiden
734758	14607	1st Mill Girl
734758	35725	Girl at Circus
734758	50801	Mother
734758	57169	Nurse
734758	92596	Lois Scott
734758	116120	Telephone Operator
734758	147391	Bride
734758	183627	Daughter on Boat
734758	184948	Girl
734758	193688	Betty Tolliver
734758	218712	Girl on Rangoon St.
734758	224581	Lois Scott
734758	230953	
734758	304367	Usherette
734758	320937	Patsy Connors
734759	397936	Herself (1972-1975)
734760	19290	English apple girl
734760	124502	Jennifer
734760	221137	Tiffani Tear's Assistant
734761	70556	Robber
734761	106219	Evelyn Neal
734762	64729	Ethel
734762	67853	Ann Jordan
734762	183814	Ann Rogers
734762	261973	Carol
734763	247033	Samantha Lefsburg
734764	406242	Herself
734765	2118	Party Lady
734765	324422	Dressing Room Girl
734766	232317	Shirley
734767	251798	Mark's Stepmother
734768	64750	Homeless Woman
734769	332769	And the Boot Heel Boys
734770	102704	Tuesday
734771	148874	Street Dancer
734771	372175	Dancer
734772	160555	Kellie: Birlings' Maid
734772	222588	Maid
734773	2364	Herself - recalling her award
734773	2375	Herself
734773	3021	Herself - Past Winner
734773	3053	Herself - Past winner
734773	3077	Herself
734773	11441	Paul's Mother
734773	13928	Herself
734773	14239	Narrator
734773	30741	Marie Charboneau
734773	31437	Dr. Clara Clemm
734773	46321	2-E
734773	46396	Leona Charles
734773	46993	Margaret Jane Singleton
734773	46994	Herself
734773	47385	Herself
734773	55536	Miss Trollope
734773	70368	Jewel Mae 'Cookie' Orcutt
734773	79897	Helen Benson
734773	87111	Joan Ross
734773	102468	Lois Swensen
734773	107081	Marcia Jeffries
734773	117223	Grammy May
734773	118236	Dominique Francon
734773	120573	Herself
734773	127204	Stella Hawthorne
734773	129437	
734773	138857	Cara
734773	139925	Sister Parker
734773	140565	Julia
734773	141959	Grandmother
734773	147637	Herself
734773	148438	Olivia Walton
734773	152209	Alma Brown
734773	157708	Lt. Maggie Haynes, RN
734773	160319	Herself
734773	163443	Herself
734773	168525	Herself (interviewee)
734773	168562	Mary McKinley
734773	195307	Mrs. Gehrig
734773	195799	Mrs. Frank
734773	201915	Herself
734773	220042	Antonia Morgan
734773	231597	Lupe
734773	231881	Maura Prince
734773	242771	Lt. (j.g.) Mary Stuart
734773	250463	Herself
734773	250713	Herself
734773	262974	Herself
734773	266546	Alison Crawford
734773	297791	Sister Carmelita
734773	308065	Anne Richards
734773	310594	Ruth Evans
734773	316200	Susan North
734773	316986	The Mistress (segment "The St
734773	317806	Nettie Cleary
734773	323147	Sen. Margaret Chase Smith
734773	330061	Actress in 'The Day the Earth
734773	330423	Peg Gerlach
734773	331596	Phyllis Horn
734773	341413	
734773	347550	
734773	359754	Alice Kingsley
734773	360245	
734773	360839	Jean Bowen
734774	172393	Jenny
734774	181990	Mary
734774	344019	Lisa
734775	52740	Resy
734775	167047	Woman
734776	205396	
734777	61856	Judith
734777	65786	Bethany
734777	270436	Suki
734777	297705	Juanita
734777	348599	Social Worker
734777	360055	Helen Atkinson
734777	369342	Christine Glynn
734777	398186	Araminta 'Minty' Cane
734778	357835	
734779	193956	
734780	34913	Choir member
734781	241559	Night Club Girl
734782	29101	Tammy
734783	326129	Mère Noèl
734784	59904	
734784	92569	Paula
734784	92570	Paula
734784	97314	
734784	113687	
734784	123801	
734784	296995	
734784	361886	
734785	19808	Child
734785	289372	Featured Extra
734785	323841	Granddaughter
734786	65453	Sheila
734786	134195	Forster's Technician
734786	148901	Constance Winters
734786	293098	Hotel Mom
734786	296785	Anchor #4
734786	342491	Susan
734787	237786	June Challis
734787	237787	June Challis
734788	107228	
734789	401214	Sarah
734790	272026	News Anchor
734791	277839	
734792	37702	Brandi
734793	7952	Meg
734793	67593	Nurse
734794	144568	
734794	191356	
734794	300520	
734795	10319	Maid
734795	41955	Mayor's Aide
734795	67445	Neighbor Woman
734795	79078	Cinderella
734795	127084	Chambermaid
734795	190209	Ann
734795	203917	Woman in Lobby
734795	223778	Sonia's Mother
734795	290082	Housekeeper
734795	324742	Dancer
734795	359403	Visitor
734795	363871	Mae Whitehead
734795	391069	Bunny
734796	24571	Liz Turkel
734797	198003	Sandy
734798	65751	Vagrancy Police Officer
734799	16780	Tara Nicole Steele
734799	89271	Rose Sr.
734799	99956	Herself
734799	106765	Herself
734799	141540	Lucille Burris
734799	157895	Herself
734799	200155	Fran
734799	214735	Irish
734799	304572	Barbara Pilgrim
734799	334596	Norma
734799	360608	Herself
734799	368170	
734801	195501	Florence
734802	102344	Lady in the Radiator
734803	46326	Marcia
734803	64673	Waitress
734804	26137	One of the townsfolk (segment
734804	59842	
734804	109426	Joan
734804	109784	
734804	116174	
734804	154460	Dancer
734804	163544	Dancer, Dutch Girl
734804	209631	College Girl Singer
734804	239719	College Girl
734804	279519	
734804	280896	
734804	315095	Girl in Sextette
734805	290326	Cat
734806	169868	Baby
734807	39415	Monica
734808	297190	Information Attendant #1
734808	317309	Purse Babe #1
734809	308632	
734809	314486	Dancer
734810	106188	
734810	122991	Veronica
734811	158320	
734812	158131	
734812	326441	
734813	11038	
734813	18093	
734813	18101	
734813	24215	
734813	38595	
734813	50945	Eleanor
734813	54437	The Widow's Maid
734813	54439	
734813	57180	
734813	71789	
734813	75334	
734813	79425	
734813	85746	The Slandering Ballerina
734813	113588	
734813	114294	
734813	114796	Faith
734813	117197	
734813	117810	A Widow
734813	120222	
734813	124093	
734813	128436	The GIrl Reporter
734813	133096	The Daughter
734813	141270	
734813	143049	
734813	146018	
734813	146093	Donald's Flirt
734813	151407	Millie
734813	155547	
734813	158131	
734813	160002	
734813	167674	The Stenographer
734813	184047	
734813	186365	The Accused's Daughter
734813	197326	Lulu
734813	216228	
734813	236872	
734813	252118	
734813	257851	
734813	259384	
734813	280987	
734813	297881	
734813	304749	Lucy, the Sleep Walker
734813	327288	
734813	329746	First Daughter
734813	330316	
734813	343215	
734813	363424	
734813	366327	
734813	372638	
734814	88852	Kate
734814	224085	Hector
734814	342880	Adolf
734814	381305	Mrs. Belcher
734815	199257	Thug
734816	161731	Granny
734817	368416	Paul's Backing Group
734818	289372	Sammy's date
734819	226929	Musician
734820	276386	Whittlesea Dancer
734821	169484	Herself
734822	45695	Girl
734822	246284	
734822	383891	Martha
734822	387267	Marina Foster
734823	326496	Chanting woman
734823	328272	Swahili Mom
734824	210104	Sofia
734825	115666	Girl #2
734826	68780	
734826	315437	
734827	234511	Teacher
734828	176303	Diane
734828	252926	Karen Sheehan
734829	189859	Host
734830	361486	Mara Schönwetter
734831	284404	Roeverens kone
734832	400118	Klassekammerat (Classmate)
734833	315768	
734834	7515	
734834	21983	
734834	31492	
734834	38300	
734834	38481	
734834	38494	
734834	63972	
734834	86600	
734834	98753	
734834	105477	
734834	109968	
734834	114319	
734834	123004	
734834	125271	
734834	171985	
734834	173273	
734834	174042	
734834	174639	
734834	175849	
734834	179195	
734834	179538	
734834	180319	
734834	181725	
734834	182166	
734834	182841	
734834	198916	
734834	214279	
734834	227235	
734834	252083	
734834	288378	
734834	294129	
734834	295266	
734834	301482	
734834	336417	
734834	370311	
734834	370425	
734834	370616	
734834	370794	
734834	374661	
734834	377542	
734834	378188	
734834	378594	
734835	87611	
734835	88670	Surová
734835	230032	Zemanová
734835	283261	Woman
734835	292975	
734835	357904	Nedomová
734836	65538	Vittelia
734836	108499	Minnie
734836	129022	Soprano
734837	366418	Cassidy Davidson
734838	21590	
734839	19837	Alexandra Hamilton
734839	23723	Henriette
734839	32035	Chevalier d'Eon
734839	44733	Blanche
734839	54061	Patricia
734839	57089	Clara
734839	65103	
734839	68349	
734839	69216	Sandra Celestini
734839	70524	
734839	80973	Nora
734839	91990	
734839	111096	Marie
734839	166157	Dréanne
734839	188689	Herself
734839	189923	Alice
734839	218667	Laurence
734839	219472	Fanny Lebret
734839	235772	
734839	236560	Stella
734839	251548	Isabelle
734839	259979	La Tante
734839	274799	
734839	281304	Marie
734839	286432	Sam Leroy
734839	311256	Simorre
734839	336998	
734839	337839	
734839	340121	
734839	345086	Sophie
734839	345406	Angela
734839	357387	
734839	357834	La cliente exhibitionistée
734839	390476	Georgia Elbaz (2000-2003)
734839	400389	Christine (1989-1990)
734839	403474	Emeline Lombard
734839	409732	
734839	410238	Hélène
734840	217609	Momo
734841	39465	
734842	223506	Candidate #3
734843	130307	Dong Ha bargirl
734844	104778	Herself - 3rd t.A.T.u. girl (
734845	265231	Second frau Bebber's daughter
734846	34608	
734846	95650	Nyusha
734847	356120	
734848	132074	
734849	89733	
734850	327331	Maria Alexandrovna
734851	81893	French G-8 representative
734852	77421	Mademoiselle d'Angouleme
734853	396239	
734854	294160	
734855	19209	Merrill Peak
734856	107354	Victim
734857	64431	Dayana Andrea
734857	70865	Copitinera terremoto
734857	247296	Esperanza Mardones
734857	401481	Irma
734857	402411	
734858	71280	
734859	206976	
734859	352944	
734859	387100	Ana María
734859	391444	
734860	217054	Voz en Andenes
734861	217054	Maestra: Pasajero del 86
734862	217054	Ballarina: Pasajero del 86
734864	205710	
734864	233617	
734864	376800	
734864	376860	
734865	311224	Hotel Desk Clerk
734866	386188	(episode "Misterul din fotogr
734867	38228	
734867	88419	
734867	117854	
734867	122825	
734867	131120	
734867	179742	Maria Mahazannik
734867	188126	Mavka
734867	210238	
734867	225914	
734867	267902	
734867	315931	
734867	341194	Marfa
734867	350923	
734868	12114	Beauty Parlour Customer
734869	214249	
734870	153009	Young Michelle
734871	5137	Anna
734871	48140	Sabine Röhl
734871	49596	
734871	119176	Ramona
734871	167127	
734871	180718	Verliebte Nymphe
734871	280507	
734871	338426	Melanie
734871	339606	Clarissa
734871	343674	Uschi Berger
734871	348049	Ginster
734871	359689	Real Estate Agent
734872	337222	
734873	297377	Debutante #3
734874	192892	
734875	222441	
734876	308482	
734877	96225	Kind
734877	132817	
734877	255919	Florence
734878	210355	Herself
734879	129180	Herself - Dancer
734880	11464	Herself
734880	130232	Roos Alberts
734880	390242	Roos Alberts-de Jager (1992-2
734880	400217	Angela Bolhuys (2002)
734881	99427	Kitty Mendoza
734881	125395	
734881	173831	
734881	181120	Gino
734881	196436	Aunt Jolanda
734881	332609	
734881	384901	Secretary
734881	391469	Grace Keeley
734881	398575	Jet
734881	409178	Rebecca Hillarius
734882	270151	Artoo Fan Club Member
734883	131026	Komrade Olivera
734883	172488	Vera
734883	277430	Ilinka
734883	318153	Georgi's wife
734884	390812	Angestellte Anett (2000-)
734885	386481	Henrietta
734886	157786	Wanda's Mother
734886	183834	Nun
734886	337632	Mme. Dreyfuss
734887	272384	Prodavachka v toto punkt
734888	314437	
734889	127487	Normal Party Guest
734890	749	Zoubida, la mère de Rachid
734890	9679	Mother in kibbutz
734890	64402	Boy's Mother
734890	248812	Farmer's wife
734891	9467	Micheto
734891	261892	
734891	412007	
734892	122183	COPS officer
734893	17113	
734893	29786	Barbora
734893	41665	Mrs. Ouradová
734893	57556	Vodnansky's Wife
734893	63359	Borická
734893	63631	Nurse
734893	81680	Marie Kalinová
734893	84763	Paní Julie
734893	88138	Katerina
734893	88583	Barbora Krácmerová
734893	88746	Mrs. Müllerová
734893	88747	Mrs. Müllerová, landlady
734893	95060	Anna Faktorová, landlady
734893	96394	Otýlie
734893	107713	Amálka Holoubková
734893	107714	Hospodyne Amálka
734893	111973	Mastílková
734893	138417	
734893	162196	Sulcová
734893	166444	Emilie Nezmarová
734893	166633	Antonie
734893	172327	Hostinská
734893	173557	Aunte
734893	174027	Matka Lízalka
734893	174068	
734893	178475	Kamilka Klapzubová
734893	196731	Kacenka Klásková
734893	198375	Leparová, grandmother
734893	199692	Antonie Lísková, mother
734893	207886	Barbora Krácmerová
734893	216598	Markéta, sister
734893	225889	
734893	225946	
734893	229154	Fanynka
734893	239477	
734893	244257	Betty Kondelíková
734893	244258	Bety Kondelíková
734893	244259	Bety Kondelíková
734893	247623	Klara´s mother
734893	247933	Fany
734893	258667	Aurelie
734893	259081	Antonie Nováková
734893	261383	Hokynarka
734893	262568	Veronika Vejvodová
734893	266283	Landová
734893	266426	Julèina matka
734893	320576	
734893	335494	Mistress of whorehaus
734893	349088	Rézi
734893	349318	Barbora Krácmerová
734893	350983	Kulichová
734893	351291	Aloise Pestová
734893	356427	Antonín ´s mother
734893	357631	Betty Novakova
734893	373414	
734893	373510	Frau Pani Bilian
734893	375404	Katerina
734893	375409	
734893	375414	Frony
734894	99181	Elf
734895	234147	Alphonsine
734896	97608	
734897	72918	Grace (segment "Warped")
734897	273007	Danceuse
734897	347741	Beauty shop customer
734898	178678	Hippiemädchen
734899	87020	The Tegu
734899	366743	Burned Wife
734899	366748	Burned Wife
734900	223026	Lily
734901	295272	Woman in sauna
734902	281170	Harlot
734903	330750	Linda Thompson
734904	98155	Elizabeth Bradford
734904	98156	Elizabeth Bradford
734904	98157	Herself
734904	345850	
734904	387374	Elizabeth Bradford
734905	331	Lucille Greghauser
734906	48075	Day Care Kid
734907	367919	Woman
734908	26471	Karen Brewer
734909	16878	Wedding Guest
734910	209170	Dancer
734911	3233	Julia Van Degen
734911	43724	Bonnie Parker
734911	49841	Roxanne
734911	148252	Sarah
734911	171333	Gina Gallagher
734911	185662	Lorraine Kidston
734911	197730	Sarah
734911	259969	Elsie Fleming
734911	265869	Rena
734911	294195	Maryann
734911	341812	Stacey
734911	386509	Inspector Candace 'C. D.' DeL
734911	395548	Paige Thatcher (1990-1993)
734911	408612	Ellie Jones
734911	410425	Samantha Bloom
734912	81190	Letta, Forsythe's friend
734912	108261	Denise a Hooker
734912	387309	Poppy Johnson (1982-1983)
734913	66655	Nadine Geffen
734914	186752	Sharon Longstreet
734914	366157	
734915	35320	Herself
734916	291503	Shaw
734917	78214	
734917	359816	Older prostitute
734917	380983	Fifi
734917	394912	Fee Troetel
734917	402877	Mevrouw Residu
734917	407166	
734918	149878	
734919	401863	Henriëtte
734920	392315	
734921	59913	
734921	267010	Bishop's mother
734922	246861	Pajama Girl
734922	268116	Pooja Sunderlal
734923	4066	
734923	4100	Aarti
734923	7768	
734923	8358	Siksha Chavan
734923	14462	
734923	16186	
734923	21400	
734923	29281	Neha
734923	35560	
734923	36058	
734923	37955	
734923	62726	
734923	62749	Guest Appearance
734923	79122	
734923	82006	
734923	85316	Photographer (Special appeara
734923	85318	
734923	88596	
734923	90834	
734923	91470	
734923	98512	
734923	98549	
734923	109311	
734923	126957	Kiran
734923	126970	Jaya Srivastav
734923	126992	
734923	127089	
734923	130677	Squaw
734923	139413	
734923	140052	
734923	150519	
734923	152452	Rekha
734923	152486	Sangeeta
734923	156600	
734923	159316	Neelu
734923	165944	
734923	174294	Bindiya
734923	175982	Sunita
734923	176004	
734923	176165	
734923	176168	Priya
734923	181480	Herself
734923	195297	
734923	200656	
734923	216281	
734923	227129	
734923	246101	
734923	246364	
734923	246736	
734923	248639	
734923	268119	
734923	271940	
734923	278804	
734923	285529	Chinar
734923	287795	
734923	288827	
734923	297441	Seema
734923	302511	
734923	303585	
734923	318418	
734923	322703	
734923	355300	Paro
734923	373708	
734923	375857	
734924	287215	Bedelia
734925	4180	
734925	4286	
734925	61383	
734925	78711	
734925	125153	
734925	139825	
734925	160187	
734925	160928	
734925	166487	
734925	168082	
734925	171774	
734925	176155	
734925	180536	
734925	208175	
734925	222993	
734925	246736	
734925	254733	
734925	288778	
734925	297994	
734925	298454	
734926	27018	
734927	324632	Rakel, fru Bals
734928	27790	Lakshmi
734928	91471	
734928	104253	Fru Allnes
734928	227315	Poonam
734928	319334	Munga
734928	324632	Antoinette, datter
734929	407084	Herself (Yasur Tribe)
734930	35144	O.R. Nurse #1
734930	88978	O.R. Nurse
734930	96741	Head Nurse
734930	141272	Jean
734930	214100	Officer Gretchen
734930	226937	Winnie Mandela
734930	277635	Cook
734930	319902	Eleanor 'Mama' Washington
734930	343294	Margaret
734930	366271	Attendant
734931	79938	Lila's Mom
734932	317309	Jogger Babe #3
734933	78311	
734934	19168	Arab Vendor
734934	103357	Proprietor
734934	194023	Abu
734934	222317	Thief
734934	232241	Gnostic Leader
734935	55136	
734936	283304	Clerk's Child
734937	188056	
734938	36174	
734938	85424	
734938	166021	
734938	297012	
734938	393236	Fiona Douglas
734938	397859	Mia
734939	45426	Sean's Perfect Sister
734940	36977	Herself
734940	105650	Audrey Their
734940	121823	Ivy
734940	195458	Mrs. Babcock
734940	234982	Sylvia Barnhart
734940	293105	Policewoman and Marilyn
734940	308177	Maid in Play (1912)
734940	318171	Ray Parkins
734940	319202	Karen
734940	337096	Irate Lady
734940	360668	Judy
734940	381924	Regular
734940	384706	
734940	386578	Nurse Faye Baryiski
734940	399725	Jacqueline Pennell
734940	400829	
734941	147252	Soignee Woman
734941	288557	Sulochana
734942	194836	
734943	149121	
734943	153776	Prostitueret
734943	304393	Brüels sekretær
734943	395824	Engeline
734944	182566	Danish prisoner in Ravensbrüc
734944	297033	
734945	162843	Maggie
734945	245756	The Girl
734946	362551	Joan
734947	7768	
734947	62370	
734947	195860	
734947	326963	
734947	343661	
734948	201362	Stephanie
734949	177088	Elize
734950	19931	
734950	201362	Katryn Du Toit
734950	356820	
734951	394713	
734952	41594	
734952	59893	Herself
734952	156992	
734952	247882	Alma
734952	296706	
734952	306911	
734952	319346	
734952	343486	Pamela
734953	316693	
734954	144749	
734954	198897	Receptionist (Veronica)
734954	301558	Slaymate
734954	374480	Maryln
734954	379716	Raquel Dion Santos #1 (1998-1
734955	202947	Ingrid's Girl
734956	4797	
734956	118766	
734956	132251	
734956	144032	
734956	155385	Frau Mahnke
734956	189595	
734956	262432	
734956	290014	Frau Fiedler
734956	302678	
734956	303175	
734956	347431	
734956	388293	Tante Frieda
734957	97850	La belle femme de l'hôtel
734958	20371	Reporter #1
734958	307974	Doreen Rusher
734958	365454	Brittney's mother
734959	249712	Florence
734960	118848	Widow Miller
734961	232352	Suzie
734962	51639	The Victim
734963	65415	Nonie Valetta
734963	143210	Mrs. Van Tuyler
734963	183394	Mrs. Wheeler
734963	188266	Lady De Bohun
734963	203032	Clementia Fitzhew
734963	203682	
734963	207179	Grover's Sister
734963	272244	Mrs. Bolland
734963	342879	Mrs. Delafield
734964	327840	Woman at dance
734965	81784	Mrs. Novak
734965	154898	Mrs. Kahn
734965	227012	Mrs. Regalzyk
734965	230391	Frau Hempel
734966	36554	Neto's Sister
734967	173195	Girl from the past
734967	217461	
734968	267407	Lisa
734969	107814	Mutter Bielek
734969	126364	
734969	126366	
734969	188799	
734969	410813	Hausmeisterin
734970	127008	
734970	158151	Young Father's Fiancee
734971	387150	Fan
734972	158537	
734973	167210	Manon
734974	115689	Toet Flodder
734974	388930	Toet Flodder (#2)
734975	46335	
734975	67478	Lolita
734976	359550	Restaurant owner
734977	75505	
734977	104193	
734978	194313	Girl
734979	209833	Wife of Shkurat
734979	260831	His wife
734980	9276	Okuni, the mistress
734980	9333	Yukiko
734980	15901	Keiko Kusakabe, the 'Queen Be
734980	17420	Natsue
734980	19696	Okon
734980	22114	Boy's mother
734980	22697	Yukie
734980	61220	Yoshie Kudo
734980	61525	Tami
734980	82871	Tomi, Yumi's mother
734980	89049	Good-Looking Housewife
734980	90823	Osen the Prostitute
734980	101588	Mother of Hirotsugu
734980	137480	The Mountain Girl
734980	138099	
734980	140026	
734980	156229	Asako Kuribayashi
734980	169214	Otsuka
734980	169215	Minamura
734980	171529	Kura
734980	171652	Chika
734980	172251	
734980	173128	
734980	174235	
734980	176636	
734980	177699	Chikiro's Mother (Dancing Gir
734980	182717	
734980	193230	Umeko
734980	216649	Mariko,s mother
734980	220228	
734980	225901	
734980	229775	
734980	242141	Harue
734980	243314	
734980	243621	The mother
734980	271678	Yamashita's wife
734980	288071	Kimu
734980	288351	Mrs. Shimozuma
734980	298735	Keiko
734980	298818	Fuji
734980	300395	
734980	300500	Tajire no Okiku
734980	334938	
734980	341279	
734980	358130	
734980	370684	
734982	9283	Tomoko Sasano
734982	9590	Tome, Maid
734982	17877	Woman at table
734982	21822	Yuuko Ichigase
734982	121469	Keiko Oka
734982	121933	Kocho Akashi
734982	122956	
734982	123446	
734982	124038	Nurse
734982	126283	
734982	137006	Kane's daughter
734982	137263	Ikuyo
734982	139735	Mrs. Kinomiya
734982	145441	Tomomi's Mother
734982	150688	Chizuko
734982	153661	TV Reporter
734982	160095	Sugihara
734982	169697	Tokiko Tsutsumi/Hitomi's agen
734982	172046	Keiko Nishi
734982	173990	Mama at Michikusa
734982	174334	Toshi Tajima
734982	179535	
734982	180056	Mitsue Hirayama
734982	213660	Akemi Funada
734982	226682	
734982	226683	Ms. Nezu
734982	236166	Sakae's Mother
734982	236874	Minako Nishimura, Chief nurse
734982	239427	Yayoi Terazaki, Tochi's wife
734982	257455	Yukiko Kadokura
734982	284871	Makoto's mother
734982	285101	Yoshi Kikumoto
734982	293591	Kinue Fujiwara
734982	294320	
734982	298836	Teruko Hiura (Sayori's mother
734982	334862	Namiko Tachibana
734982	344957	Ueda, Nurse
734982	370309	Yukie Hara
734982	371798	Narae
734982	373218	Mother carrying child
734983	264182	Neglia, Josie
734984	190975	Peanut
734984	226900	Coffee Shop Manager
734984	341513	Donut Bitch
734984	400207	Russian Hit Woman (1997)
734985	252638	
734986	25291	
734986	26745	Lena
734986	68891	Tanya
734986	105161	Nadia Christine
734986	202300	Vera
734986	349270	
734986	374174	
734987	25863	
734988	286294	Singer
734988	290690	Singer
734988	322564	Singer
734988	324691	Singer
734988	337135	Singer
734989	12130	
734989	17379	
734989	20098	
734989	42582	
734989	48194	
734989	57457	
734989	71223	
734989	158868	
734989	212133	
734989	222153	
734989	222191	
734989	225102	
734989	234045	
734989	251561	
734989	287735	
734989	308273	
734989	344853	
734989	377617	
734990	57800	
734991	261756	
734991	303137	Alice
734992	25066	
734993	23938	
734993	64131	
734993	96501	
734993	99937	
734993	222225	
734994	207646	Virtudes Machado
734995	384117	Herself
734996	99107	
734996	149504	Maria
734996	379814	Dinorah
734996	383370	
734996	384778	Zita
734996	392629	CAcilda
734996	398040	
734996	400765	Natércia
734997	247844	La Brasileña
734997	397015	Estela 'Estelita' Sánchez
734997	398472	Emperatriz
734997	401694	Chabuca Flores de Morelli
734998	401882	Integrante dos Jurados/Treina
734999	136313	
735000	222784	Dream Girl
735001	293386	
735002	14496	
735002	25319	
735002	31959	
735002	66889	
735002	78522	Beatrice
735002	110062	
735002	111846	
735002	112667	
735002	126314	
735002	128016	
735002	160053	
735002	160073	
735002	196714	
735002	198600	
735002	205303	
735002	207075	
735002	217125	
735002	236189	Rosella, la ragazza sedotta
735002	244266	
735002	253205	
735002	281118	Niny
735002	281183	
735002	288483	
735002	301216	
735002	309076	
735002	338680	
735002	344576	Nidia, the Blind Girl
735003	110437	Elisa, la modella
735003	125773	Anna
735003	127389	Ada Stoppani
735003	243303	Un' allieva
735003	307718	Faustina
735004	96101	
735004	145160	
735004	148027	
735004	236411	Flora
735004	302554	
735004	343723	
735005	47157	
735006	206442	Maya
735007	368640	
735008	194339	Dr. Fiasco
735009	234627	Nelson's lover
735009	256372	Norma
735009	269167	
735009	341133	
735009	380109	
735009	380327	Rosinha
735009	392828	Silvana
735009	398310	
735009	400444	
735009	400581	Madalena
735009	401818	Maíra
735009	402097	Silvana
735009	402456	
735009	402624	
735009	404753	Elizabeth
735009	405915	Antonieta
735009	405989	
735009	407861	
735009	409415	
735010	56929	Moglie di Armando
735011	78838	
735011	80898	
735011	104357	Additional Player
735011	109741	Party Girl
735011	109758	
735011	232933	Claude's Date
735011	277147	
735011	332061	
735012	19519	
735012	20428	Camille
735012	24125	Ma
735012	29709	Mona Moreau
735012	33477	Bella Donna (Ruby)
735012	34260	Rischka
735012	34323	
735012	35002	
735012	55180	Carmen
735012	59756	Mariposa
735012	60170	Carmelita De Bórdoba
735012	73954	Olga Kriga
735012	75939	
735012	79165	Pola Negri
735012	96840	Daisy Forbes
735012	108491	Rosine Savelli
735012	114965	Yvette
735012	115909	Carlota y Villalon
735012	117406	Catherine (the Czarina)
735012	120668	Carmen Casini
735012	125284	Lea, the Professor's Adopted 
735012	126389	
735012	131353	Germaine Morris
735012	134933	Gräfin Volescu
735012	144425	Genya Smetana
735012	147633	Cameo appearance
735012	150585	Anna Sedlak
735012	166615	
735012	185535	
735012	190898	Lily
735012	195613	Herself
735012	196484	Rachel
735012	199191	
735012	199302	Emma Bovary
735012	199329	Madame Du Barry
735012	206735	
735012	208793	Vera, Singer
735012	210696	Cleo
735012	218736	Madame Habib
735012	226244	Tessa Brückmann
735012	231725	
735012	259122	
735012	270222	
735012	272823	
735012	288007	
735012	292429	Amy
735012	296939	Claire, Queen of the Apaches
735012	310290	Gypsy fortune teller
735012	317329	
735012	318900	Yannaia, a Dancer
735012	319972	Lead
735012	324489	Mado Doucet
735012	331605	Baroness Gerda Wallentin
735012	351498	Marianna Paoli
735012	360202	Louise
735012	360936	Olga Petrowna
735012	367448	Maria Draga/Queen Draga of Se
735012	367463	Princess Fedora
735012	367576	Countess Elnora Natatorini
735012	367590	Julie
735013	116388	
735014	148658	
735014	379209	
735015	229740	Francesca Altamura
735016	104357	Additional Player
735016	120520	Thug's Girlfriend
735018	237504	Lilia
735018	296152	Andréa
735018	380242	Paula Novaes
735018	380331	Paula Novaes
735018	383441	Natália
735018	383727	Marília (Laura's mother)
735018	386123	Selma
735018	387640	Young Engraçadinha
735018	397540	Rebeca Maciel
735018	398549	Isabel Olinto
735018	400097	Clara
735019	348949	
735019	403449	Sandra
735019	404750	Una ragazza
735020	376687	Gitanas palmeras
735021	352927	The Child
735022	249334	
735022	252012	
735023	40659	Paula Caccaro
735023	89936	Theresa Chernak
735023	97352	Mrs. Anunciato
735023	100148	
735023	108318	Oona
735023	177290	Susan
735023	192437	Mary
735023	227502	Billie Ciminella
735023	233492	Miss Karnisian
735023	250779	Mrs. Stanton
735023	277670	Anne
735023	366163	Amy
735023	380391	Anne Whitelaw (1981-1982)
735024	71474	Dancer
735024	184233	Regina
735024	328866	Mari Chica
735024	391674	Luzia
735024	393006	Domingas
735024	394121	Madalena
735024	403739	Rosaura
735025	114489	Landlady
735026	65108	Betty Mercer
735026	105313	Maria
735026	196303	Sally Villa
735027	10833	Mina
735027	25711	Vixen
735027	87175	Karen
735028	383143	
735029	380332	Luísa Correia Marques
735030	287958	
735030	396201	
735031	979	Roberto's wife
735032	346024	Girl in Cafe
735033	99254	Katrina
735034	11737	
735034	30819	
735034	38468	
735034	38885	Herself (contestant)
735034	86627	
735034	98085	Antra Pandit
735034	114747	Shenaz
735034	147301	Thakur's daughter
735034	173993	Neha
735034	174037	
735034	174992	
735034	180725	Anu
735034	186963	
735034	214276	
735034	223222	Jahnvi
735034	271046	Mira Singh
735034	336418	
735035	271581	Orphan girl
735036	10652	Renate Kampitz
735036	33459	
735036	139835	Mitzi Karner
735036	199012	Planet
735036	212258	
735036	312875	
735036	389942	Elke Benedenz
735036	412113	Jana Thaler
735037	2392	Polly
735037	224531	junge Dame im Cafe
735037	376578	
735038	161886	Felicia Ramirez
735038	216926	Ruth Turner
735039	390009	Jennifer Conway
735039	408358	Penny Endicott
735040	358267	Amber
735041	393279	
735042	93287	Warindji
735042	120323	Trilby Comeaway
735042	333058	Larky
735042	386435	Esmerelda
735043	23863	
735043	67245	
735043	75985	
735043	77480	Dorota
735043	89474	Joanna Podborska
735043	89813	Wanda, Gigi's Wife
735043	94523	Virginia Otis
735043	179716	Zaleska
735043	180194	Diana d'Este
735043	182696	Madam
735043	202569	Ania, housekeeper
735043	206949	Marynia
735043	234268	Celina Mroczkowna-Katelbina
735043	240122	Helena
735043	247628	
735043	258438	Crying woman
735043	258666	
735043	267263	
735043	281043	Basia Olinowski
735043	284052	Magda
735043	373695	Teresa Adamska
735043	373899	Barbara
735043	374064	Zosia
735043	375067	Anka
735043	376522	
735043	387011	Helena Gerlicz
735043	393306	Malgorzata Krukowska
735043	398922	Matylda Hausner
735043	403627	Marynia Plawicka
735043	412008	Barbara Zlotopolska (1997-199
735044	29449	
735044	136431	Kondor Orsi
735045	29788	
735046	59847	
735046	287201	
735047	309890	Ravi's Wife
735048	215680	Miss New Zealand
735049	21213	Toe Bell Ringing
735050	227337	Turnbull's Kitchen Maid
735050	366889	Marjorie
735051	11173	
735051	22930	
735051	99757	
735051	152604	
735052	95568	Maya
735053	290378	Emily
735054	12737	Woman in Blue Movie
735054	160368	Marianne
735054	189355	Penelope (segment "The Husban
735054	219012	Sophie Latimore
735054	405576	Dr. Steiner
735055	103356	Victim 1
735055	312967	Anne
735056	104681	Claudia, Rusty's German Girl
735056	164892	Simones Mutter
735056	293624	
735056	325458	
735056	360148	
735056	381439	Marisa
735056	390704	
735056	390812	
735056	409625	Claudia Falkenberg (1997-2001
735057	303887	Psychiatrist's assistant
735058	113808	Cathy's Mom
735058	231550	The Pony (Nico's Mother)
735059	113773	Edie Carr
735060	11661	Cheerleader
735061	385107	Granny Slanders
735062	84487	Race Audience
735062	141484	Carnival Vendor
735062	157036	Diner patron
735062	228824	Restaurant Patron
735062	362407	Townsperson #1
735063	2687	Agathe
735064	34371	
735064	118593	Fru Kelbjerg, farmor
735064	179979	
735064	192653	Ane Søwren
735064	274934	
735064	301407	Herself
735064	357303	Meret (his mother)
735065	295032	Josh's girlfriend
735065	407916	Ruby Wright (1981-1982)
735066	194140	Soap Actress
735066	205268	Woman at Auction
735066	293105	Sally
735066	308128	Harry's Old Flame
735066	318510	Sally Parkyn
735066	358708	Elevator person
735066	380391	Emily Benson (1984-1985)
735066	380713	Dawn Wheeler #2 (1994-1995)
735066	390771	Rose McClaren Shayne (1987-19
735066	400236	Jeannie Johnson (#3) (1986)
735066	404002	Teresa Donahue (1978-1979)/Po
735066	404613	Gwen (1984)
735066	407916	Ruby Wright (1981-1982)
735067	298425	
735068	224431	Laura
735069	405418	
735070	276736	Barb
735071	185209	
735073	31671	Bunny
735073	173936	Stewardess
735074	5392	
735074	18383	Cleopatra
735074	48120	Queen Eleanor
735074	56647	Lady Kastellan
735074	96710	Colette Hyde
735074	101382	Kate Farrant
735074	157148	Gracie Savott
735074	177347	The Fool
735074	187157	Barbara Kirstenburg
735074	198891	1st Witch
735074	203524	Eve Pelham
735074	215153	Lady Foxcroft (Murder at Midn
735074	292053	The Psychiatrist
735074	318446	
735074	323803	Sheila McClain
735074	382593	Emma Bulman (1974)
735074	386274	Margaret Coleman
735074	406272	Virginia
735075	72376	Girl on Street
735076	1711	
735077	366754	Chanlock
735078	139651	
735079	384119	Martina/Fernanda (1998-1999)
735079	402350	Erica Villalobos Kent de Pari
735079	403021	Fernanda Peralta Ramos
735079	409957	
735080	81342	
735081	94085	Fan 7
735082	333120	Cervantes' Regular
735083	42660	Wedding Guest
735084	44660	Sabela
735084	253667	Dositea
735084	326321	Matuja
735085	304527	French Girl
735086	132915	Sue Appleton
735086	188334	Kathy
735087	105292	Eve Stephanopoulos
735087	210758	Gita
735088	82134	
735089	54656	
735089	353733	
735089	353734	
735090	108244	Debi/TV News Reporter
735091	4921	Mary Dawson
735091	6995	Judy Powell
735091	13998	American girl
735091	19971	Terry Salisbury
735091	20012	Terry
735091	23308	Lois Lane
735091	35663	Party girl
735091	36985	Elevator Operator
735091	41759	Melody, hatcheck girl
735091	46696	Lula, native girl
735091	47088	Cigarette Girl
735091	51756	Errol's Daughter
735091	53215	Betty Rogers
735091	67153	Cindy Harris, College Queen
735091	94881	School Kid
735091	107013	Courtroom Spectator
735091	117804	Ellen Reid
735091	119416	Betty Rogers
735091	121674	
735091	125909	Well-Wisher
735091	129236	Gertrude
735091	133949	Noel
735091	135834	Jessica
735091	137393	Courtroom Spectator, in 'Fabu
735091	142872	Student
735091	142877	Daisy
735091	142880	Jean
735091	143577	Dorothy
735091	144912	Betty
735091	161758	Second Airline Ticket Agent
735091	165268	Peg Royer
735091	170858	Betty Rogers
735091	183760	
735091	186413	Nancy James
735091	188341	Girl
735091	201770	Herself
735091	203373	
735091	215469	Marty's Friend
735091	215637	School Girl
735091	218482	Frances Martin
735091	223064	Kitty
735091	244842	Girl
735091	245673	Taffy
735091	262310	Girl on bus tour
735091	271224	Lona's Companion
735091	274412	Theater group member
735091	286334	Gracie
735091	288253	Betty Rogers
735091	298093	WAC enlistee
735091	304273	Jane Marshall
735091	305464	Betty
735091	305498	Girl at Party
735091	308329	Vicki
735091	313001	Lois Lane
735091	313118	Secretary
735091	315483	Jacqueline Billingsley (photo
735091	317824	Mrs. Sue Carlson
735091	319599	Lois Lane
735091	319601	Lois Lane
735091	319602	Young Lois Lane's mother (on 
735091	319607	
735091	319610	Lois Lane
735091	319612	Lois Lane
735091	319616	Lois Lane
735091	319617	Lois Lane
735091	319621	Lois Lane
735091	319951	Aunt Lois
735091	342216	Herself (The Adventures of Su
735091	349553	Betty Rogers
735091	361294	WAVE
735091	362959	Specialty Dancer
735091	363740	Beth Fairchild
735091	372588	
735091	379338	Lois Lane (II) (1953-1957)
735092	44450	Woman #2 - Democratic Convent
735092	306773	Constance
735093	169773	
735094	944	Glenda
735094	176718	Barmaid
735094	367758	Orange-juice Counter Girl
735095	102108	Herself
735095	279890	Herself
735097	36501	
735098	104943	Showgirl #1
735098	121829	Ziegfeld Girl
735098	121854	Gymnasia
735098	133332	
735098	150853	Call Girl
735098	157771	Amazon #7
735098	230751	Reva
735098	301558	Statue
735098	301669	Beautiful Blonde #1
735098	363393	Masseuse
735099	399845	Desire
735100	29524	Girl in Lara's Dream
735100	77759	Castle
735101	6147	
735101	19272	
735101	50474	School principal
735101	69300	Fatty's wife
735101	128488	Mrs. Ryan
735101	129904	
735101	160506	Prudence Crabtree
735101	273815	Mother-in-Law
735101	282329	Mother-in-Law
735101	364627	
735101	367429	
735102	19557	Harem girl
735103	60246	Hag
735104	289372	Featured Extra
735105	53930	Clarissa
735106	256188	Pink Chiquita
735107	37581	Young Nun
735107	66658	Emma
735107	75953	Marie Vladekova
735107	135602	Elizabeth Nightingale
735107	264459	Eloise
735107	305415	Jenny
735107	315995	Grete
735107	330280	Chloe
735107	339418	Washer Woman
735107	363877	Irene Saunders
735107	363932	Lady June Carberry
735107	364731	Customer in Shop
735107	411089	Trudie Nunn
735107	411090	Trudie Nunn
735107	411263	'Mike' Reynolds
735107	411482	Lynn
735107	411654	Doreen Sankey
735107	411683	Det. Kelly Lang
735108	113956	Hotel Secretary
735109	152608	Female Activist
735110	3405	Amy McSwan
735110	34927	Various characters
735110	91853	Various
735110	243647	Ingi
735110	291067	Various
735110	291068	Various
735110	339898	Various
735110	402441	Mrs. Gordon
735110	404536	Various Roles
735111	104790	Gospel Choir
735112	168295	Dangling Woman
735113	281696	Soloist in 'I've a Strange Ne
735114	328788	Student Teacher
735115	291915	New Zealand Beauty Winner
735116	177320	Constance
735117	108600	Goth
735118	48022	
735118	88654	
735118	149165	
735118	223851	
735118	267384	
735118	281351	
735118	311876	
735118	360546	
735119	164839	
735119	389046	Additional Voices
735120	49360	
735121	79862	Miss Durrant
735121	297906	Mary Monahan
735121	315682	Lettie
735122	395091	Lancaster Girl (aged 8)
735123	19099	
735123	42259	Queen Boadicea
735123	69805	Sister Elisaveta
735123	194167	Mrs. Redfern
735123	241340	Australia
735123	283989	Lady Lacy
735123	328010	Trilby
735123	328010	Trilby (segment "Trilby")
735123	339689	
735124	247022	Woman in Elevator
735125	387601	Cast
735126	247022	Woman in Elevator
735126	354164	Trainee
735127	355522	
735128	320549	
735128	320696	
735129	101778	Nurse
735130	111768	
735130	243548	
735131	297651	Melissa
735132	281297	
735132	306683	Dolores
735132	307212	
735132	307720	
735132	337564	
735133	400667	Yuri Marcela Chitiva (2002-)
735134	243695	Ana
735135	260584	
735136	86109	
735136	124395	Böske
735136	142513	De dood
735136	156154	Marie
735136	157908	Verpleegster
735136	205577	Zuster
735136	241204	Vera
735136	303163	Lies
735136	310825	Tijtverlies
735136	328859	Verpleegster 2
735136	357394	Martha
735136	365024	Ma
735136	375753	Thea
735136	381592	Carmen
735136	397704	Juffrouw Cornelie
735136	400801	Moeder-overste
735136	410401	Klette
735137	87341	Miss Van Sachs
735138	226929	Liz
735138	313633	Kitten
735138	315147	Carol
735138	397179	Molly Stage
735138	397818	Chelsea
735139	84142	Female Journalist
735139	102182	Bhutan mother
735139	264432	Slave Girl #1
735140	367093	Poolside Waitress
735141	254989	Secretary
735142	142112	
735143	52500	
735144	166366	
735144	338135	Wollnatzky
735145	310094	Amy as child
735146	120063	
735147	286574	
735148	103748	
735149	290273	
735150	147020	Stella
735151	384097	Dawn Khatir (1989-1990)
735152	134967	Marietta Lizielile
735152	182896	Viola
735152	204499	Monique
735152	282177	Sammy
735152	295261	
735152	390706	Katja Metz
735152	406318	Daniela
735153	284012	
735154	39865	Twin
735154	274313	(segment "Strip Poker")
735155	230149	Josiane
735156	280807	
735157	27598	Herself - Participant
735157	403530	Herself - Participant
735157	403531	Herself - Participant
735157	403535	Herself - Participant (2003)
735157	403536	Herself - Participant (2003)
735158	153160	
735159	356936	Zhenya
735160	228707	Nausikaja
735160	263056	
735161	38619	Claire
735162	321828	
735163	241691	
735164	78829	Dead body
735165	381259	Eri Yamazaki
735166	7270	
735166	12807	
735166	214311	
735166	230454	
735166	286216	
735166	304253	
735166	327129	
735166	370184	
735166	376234	
735167	262676	
735168	68275	Soviet 'Tyme' Commando
735169	150110	Crystina
735170	165078	Activist
735171	83574	
735171	198065	Jeanette
735172	11902	
735172	23887	Astrid
735172	24779	Helga Mann
735172	42166	Rose Cotton
735172	97437	Hanni
735172	98270	Ginny Kolczyk
735172	119117	
735172	125136	
735172	153106	
735172	178781	Eva Maria
735172	197117	Lilly Klausing
735172	225274	
735172	248540	
735172	274731	Nannerl
735172	325400	Clara Bürki
735172	348054	Sonja Bauer
735172	350853	
735172	358540	Beda
735172	359598	Die Schöne
735172	366526	
735172	387771	
735172	390993	
735172	396753	
735173	43606	Attorney
735173	169893	Social Worker
735174	24526	Claudi
735174	29162	Melanie
735174	30059	
735174	89282	Greta
735174	102527	Nina Eckernförde
735174	115103	Melissa Schroeder
735174	134851	Anja Grafers
735174	142076	Alex
735174	184274	Jenny
735174	188748	Anica
735174	216190	Doris Matthaus
735174	225205	Heidi
735174	226343	Nachbarin/Schwester Fanny
735174	281749	Joanna
735174	286575	Vera
735174	300996	Sylvia
735174	316964	Melanie
735174	334712	
735174	352355	Tine
735174	381694	Vero (2004-)
735174	390812	Katja Wettstein (1996-1999)
735174	400304	Schwester Mila
735175	334037	Abra
735176	222148	
735177	210940	Pim
735178	158940	
735179	364454	
735180	17861	
735180	125310	Maria
735180	142506	Joske
735180	246886	Platina Fluffy Suzie
735180	265303	Rita
735180	320003	
735180	373797	Vrouw van Frank
735180	384311	
735180	384970	
735180	388299	Catherine Mesotte (2000-2002)
735180	391030	Fine de Stoute-Blare
735180	395123	Laura Crets
735180	411425	Herself
735181	17861	
735181	199026	
735181	225825	Kleuterleidster
735181	337025	
735182	179475	Hildeke
735182	202700	Bediende bij de dienst bevolk
735183	14637	
735184	69572	
735185	7089	Cora Spencer
735185	30659	Patty Turner
735185	49366	Rita
735185	50399	
735185	52303	Marsha
735185	61728	Andrea
735185	87869	Bank Teller
735185	105313	Katie Kessler
735185	126508	Susie
735185	130305	Cynthia
735185	137675	Ellie Grimbridge
735185	166880	Marie Van Buren
735185	190705	Tao Wolf
735185	277911	Steph
735185	294786	Marlene
735185	319202	Stacey
735185	339439	Gina
735185	348366	Candy
735185	371100	Triola
735185	384124	Bonnie Sue Chisholm
735185	384125	Bonnie Sue Chisholm
735185	389867	Christy Russell #2 (1990)
735185	395162	Sheila Garrigan
735186	215697	Miss South Africa
735187	7504	Paulette
735187	13079	Hilda Salas
735187	14388	Layla
735187	14967	
735187	28957	
735187	33521	Christine
735187	45140	Genevieve
735187	52177	
735187	70900	Greta Nielsen
735187	81516	Anichino's wife
735187	81519	
735187	81526	
735187	82426	
735187	119085	
735187	135255	La femme d'un guerillero
735187	178300	Eva
735187	214112	Zoe
735187	240294	
735187	255597	Mme Staquet
735187	266012	
735187	269486	Cora
735187	282094	
735187	287495	
735187	293447	
735187	310214	Katy
735187	325173	Mary
735187	343998	
735187	347475	
735188	6592	Patou
735188	15066	Rose
735188	15079	Nicole
735188	31440	
735188	58119	Varua
735188	59996	Anna
735188	85541	Sophie Pessac
735188	97211	Christine
735188	117472	
735188	121426	Séverine
735188	188679	Irène
735188	202125	
735188	203786	Nicole Guerin
735188	204560	Simone
735188	220395	Therese
735188	225574	Flora
735188	228197	Nathalie
735188	235714	The unknown girl
735188	255584	Yvette
735188	263000	Rose
735188	268826	France
735188	275700	Victoria Kervellec
735188	278870	Helene
735188	284336	
735188	317952	Anne
735188	353907	Annick Renard
735188	377905	Martine
735188	378094	Hélène
735188	380864	Anne-Marie adulte
735188	386803	Sophie Pessac
735188	390515	Maïté Leclerc
735188	391634	Olympia (segment "Marchand de
735188	398079	Axelle
735188	404258	Ludmila Hoffman
735188	407718	Viviane Berg
735188	409446	Florence Delacroix (1997-1999
735188	412165	Anne Le Gall (segment "Gros c
735189	241689	DJ Kundalini
735190	59568	Teacher
735190	303154	Zofe
735190	314069	
735191	6173	Ulla Henriksen
735191	25215	Tove
735191	30110	Margrethe Staun
735191	30282	Baronesse Henriette von Rosen
735191	46657	Vibeke
735191	48133	Therese Brandt
735191	51935	Rita Birger
735191	83700	Tjenestepige Marie Kristoffer
735191	84279	Lones mor
735191	92531	En dame i violet
735191	93941	Adelsfruen
735191	94412	Karen Frandsen
735191	99555	Agnete
735191	101502	Speaker
735191	108169	Klara Gelinde
735191	109026	
735191	123502	Krestina Poulsen
735191	138540	Skuespillerinde Kamilla Svane
735191	142221	Tante Sofia
735191	142804	Ejer af Chez Madame
735191	151823	Marianne Boris
735191	154235	Ingrid Risberg
735191	159867	Vera
735191	166597	Leonora
735191	173139	Thyra Sabroe
735191	177900	Grethi Berger
735191	180335	Speaker
735191	190837	Narrator (Danish version)
735191	192653	Trine Rævsgaard
735191	211055	
735191	214347	Lise Born
735191	214547	Louise Thorsen
735191	236253	Svigermor
735191	237403	Andrea Margrethe
735191	239454	Frk. Margrethe Frandsen
735191	255674	Grevinde Constance Gyldenstje
735191	266369	Præstedatteren Marie
735191	307135	Cordelia von Britten
735191	307317	Statsadvokatens hustru
735191	312125	Mathilde
735191	315054	Kvinde, der udlejer værelse t
735191	315368	
735191	317651	Fru Birthe Mynster
735191	320224	Jutta Herfurth
735191	322466	Fru Rudi
735191	323346	Anne Louise Herbert
735191	336058	Grevinde Elsebeth
735191	336059	
735191	338728	Fru Erica Isling
735191	343374	Ida Frandsen
735191	352839	Karin
735191	353033	Fruen
735191	356852	
735191	394007	Fru Brydesen, Henning Brydese
735191	397074	Misse Møhge
735191	398272	Various roles
735192	80618	
735192	350186	Hooker #3
735193	360068	Gertrude (prostitute)
735194	272413	Lorna
735194	384894	Patricia Johnston
735195	61302	Sister
735196	3369	Alice
735196	42979	Suzy
735196	74621	
735196	90760	Silvana
735196	94677	Signora Dupont
735196	106250	Silvana (episode "La moglie s
735196	118831	
735196	162047	
735196	215405	
735196	227562	
735196	236419	
735196	256788	Conchita
735196	297410	Consuela
735196	351517	Lady Susan Morgan
735197	336388	Herself
735197	336393	Aida
735198	351543	
735199	9651	Loana
735199	295177	
735199	311676	
735200	19794	Laura
735200	27038	Herself
735200	35106	
735200	40543	Kate O'Rourke
735200	45457	Mrs. Jones
735200	50950	Narrator
735200	52695	Margaret Pfeiffer
735200	54641	Elizabeth Mink
735200	63832	Olive Worthington
735200	71563	Mercedes
735200	85813	Holly
735200	92658	Lucy Seward
735200	99067	Eleni
735200	106527	Lucy
735200	109662	Lana Ravine
735200	117732	Vivien Lanyon
735200	118980	Cora
735200	127986	Sarah Howell
735200	151625	Constance Saunders
735200	161485	Narrator
735200	179425	Kitty
735200	183772	Marguerite
735200	189242	Susan Miori
735200	189468	
735200	195365	JoAnn Thatcher
735200	195769	Kathryn McClain
735200	205153	Herself/Narrator
735200	205417	Catherine MacNeil
735200	209185	Isabella
735200	214078	Helena Reid
735200	220039	Sheila Walker
735200	221065	Peabody
735200	239826	Kate
735200	264075	Lila Wingo Newbury
735200	281058	Isabel
735200	296917	Eve
735200	297790	Stephanie Chadford
735200	311567	Elise
735200	315135	Narrator
735200	321536	Justice Sara Marie Brandwynne
735200	331405	Barbara Hoyle
735200	343907	U.S Marshal Catherine Walsh
735200	348303	Joanna Kennelly
735200	353416	Ruth Hession
735200	358835	Elizabeth
735200	363982	Jane
735200	366908	Susan Selky
735200	367254	Charlotte Randall
735200	390276	Anne Balfour
735200	392244	Nina Wade
735200	400265	Leonora Biddulph (1973-1974)
735200	408170	Thérèse
735200	411517	Mrs. Which
735201	6305	County Clerk
735201	29488	Wynona Wingate
735201	40745	Green Grocer
735201	82444	
735201	113986	Susan Nelli
735201	131717	Bea
735201	148316	School Bus Driver
735201	150758	Mrs. Pintuff
735201	158113	Guard
735201	158318	Woman
735201	158781	Librarian
735201	171019	Paula Strassberg
735201	192250	Gregory's Mother
735201	202239	Martha
735201	203669	Betsy
735201	229860	Nancy
735201	278315	Mrs. Papanickolas
735201	304691	Nurse
735201	326655	Waitress
735201	329027	Delores Lightbody
735201	366080	Miss Briggs
735202	240315	Slave Woman
735203	8545	Hala
735203	15311	Nadia
735203	33215	Amal
735203	104739	Spanish entry (12th place)
735203	108213	Loulou
735203	217128	Aziza
735203	222989	
735203	234898	Nora
735203	270935	Lillan (Bibban's little siste
735203	270993	Samia Samy
735203	309709	Performer
735203	319519	
735204	294995	
735205	117730	Topless Dancer
735206	228023	As Victoria
735206	352632	Stewardess
735207	6573	
735207	17544	Miss Hull
735207	92653	Woman in Coach (Scenes delete
735207	117535	Hotel Staff Member
735207	133726	
735207	160713	Christina's grandmother
735207	176316	Alf's customer
735207	218317	Marcelle, 2nd Landlady
735207	283500	Old Lady in Hotel
735207	335342	
735208	346016	Nanny
735209	83849	Valarie
735210	182412	Fortune Teller
735211	347856	Greta Kloss
735212	170359	Lucie
735212	193057	Mireille
735212	377486	
735213	348366	
735214	11531	Polish Foreign Worker
735214	110060	L'interprète
735214	222372	Irma Werner
735214	320458	Frau Holländer
735214	325945	
735214	336572	
735214	340437	
735214	343746	Erna Kovarik
735214	367233	Russian woman
735214	387271	Irmi Sackbauer (1975-1980)
735215	179094	Francesca de Mechade
735216	2136	
735216	399091	Miyuki Miura
735216	400371	Monica
735217	131739	Receptionist
735218	31643	Puss (Rat Pack member)
735218	31691	Rat Pack member
735218	37674	Alberta (Rat Pack member)
735218	92482	Reject #12
735218	127125	Puss
735218	151672	Puss
735218	222931	Lisa (muscle girl)
735218	246861	Rat Pack Member (Alberta)
735218	294742	
735218	365425	Dr. Virginia Grant
735219	158602	Allison
735220	22767	
735220	167135	
735220	222039	Assistant 1
735220	339102	
735221	343281	Maxi
735222	87586	Featured Disco Dancer
735222	224360	Waitress
735223	242922	Red Lennox
735224	9124	Airsick Woman
735224	9125	Hanging lady
735224	18570	Harriet
735224	127306	
735224	166637	Hunchback Nurse
735224	223978	Gramoo Sultenfuss
735224	283372	
735224	394676	Mrs.Richfield (1990-1991)
735225	93959	Violinist
735226	378865	Call Centre Boss
735227	378865	Call Centre Boss
735229	236154	Young Jenny
735230	28751	
735230	176895	Betty Lou
735230	200881	Baby Mercy Cheeves
735230	361300	Alice at 6 years old
735231	360010	Olga
735232	11635	
735233	52303	Bunny #2
735234	33412	Tina
735234	72210	Charlie's Girl
735234	72578	Nancy Arthur
735234	116245	Girl At Party
735234	193540	
735234	246923	Lola
735234	339611	
735234	395289	Dru Lemp (1958-1959)
735235	111854	
735235	202498	
735235	240270	
735236	91585	Girl at Gallery
735236	131641	Connie
735237	287900	
735238	31665	
735239	308738	Pianist, Gilda's Band
735239	365840	Herself
735240	155248	Additional Soul
735241	148219	Amanda
735241	291530	Celeste
735242	61959	Theresa
735243	101684	Marjorie, une dame d'honneur
735243	248422	Angèle
735243	269103	
735243	337543	Ania Kitina
735243	351005	
735244	312925	Nick's girl
735244	372502	Waitress
735245	390393	Wild girl
735246	119551	Gena
735246	163955	Liz Page
735246	203339	Anita
735246	205317	Melissa Karr
735246	210567	June Black
735246	238537	Johanna
735246	323591	Coed #1
735247	362597	Woman Biker
735248	235443	Margie McDonald
735249	185670	Rylan Technician
735250	99212	Customer at the Gate
735251	392337	Various
735252	219769	Mrs. Brady
735252	333868	Journalist
735253	92447	Sarah Jackman
735253	294065	Nurse
735253	343010	Woman at airport
735253	350636	
735254	133728	Girl in Park
735254	368455	Girl in Park
735255	34733	
735255	36912	
735255	327780	
735256	122076	Dr. Becker
735257	74156	
735257	270309	
735257	335988	
735257	386792	Marion
735258	228263	Herself
735259	138814	
735261	411802	Betsy Sanderson (1984)/Heathe
735262	4016	Jewelry Store Attendent
735262	16888	
735262	51984	Dolly
735262	92685	Laura, Beach Girl
735262	135835	
735262	185821	Dinah Groshardt
735262	211961	Nagura Shiori
735262	334886	Lady 2
735262	400621	Detective Guinevere McGorry (
735263	114047	Female Student #1
735263	398349	
735264	280016	Prudence
735265	189462	English Teacher
735266	292474	Police Officer
735267	215507	Stacey the Pageant Announcer
735268	193260	Gospel Singer
735269	41644	Mother
735269	50933	Gretchen
735269	157636	Teacher
735269	218785	Waitress
735269	265898	Susan Vicar
735269	313914	Decorator
735269	372566	Abigail Hobbs
735270	360877	Virgo
735271	291307	Striptease Victim
735272	128154	Papergirl
735273	222194	Heavy-Set Woman killed By Mes
735274	109131	Mrs. Vredberg
735274	164772	Kristin
735274	182542	Woman at Krypin
735274	182561	Tattar-Elsa
735274	199321	Young Ayla
735274	216985	Lili's Friend
735274	303849	Rosita
735274	317471	Agata
735274	322308	Prostitute
735274	342301	Mrs. Mia Karlsson
735275	390338	Herself
735277	19808	Russian Soldier
735278	358596	
735279	324371	Lis
735280	240473	Villager
735281	164703	
735282	48085	Miss. Nelson
735283	51975	Inmate
735284	37872	
735284	38131	
735284	126300	
735284	155699	
735284	198797	Wellington's Wife
735284	220867	
735285	27098	His daughter
735285	47564	'Angel' Lambert
735285	73924	Patricia Benton
735285	75840	Helen Turner
735285	81657	
735285	83565	
735285	83641	Carolyn Grey
735285	91792	Frances Powell
735285	117435	Isobel Lorraine
735285	146010	The girl
735285	220115	Louise Warner
735285	251405	Mary Langdon
735285	273856	
735285	312025	His daughter
735285	340495	The Salvation Army lassie
735285	343253	
735286	121541	Horse's Sister
735287	16661	Mrs. Reale
735287	87521	Mme. Julia
735287	102578	Mrs. Merton
735287	143278	Lady Ransley
735287	146003	
735287	175798	Lady Boddy
735287	184282	
735287	192406	Aunt March
735287	343102	
735288	12153	Masie Lorimer
735288	13527	
735288	32105	Louise Joyce
735288	39802	
735288	43316	
735288	61395	An Indian Girl
735288	69744	Sprague's Wife
735288	71733	
735288	72017	
735288	81661	Glory Moore
735288	88005	
735288	99153	
735288	107598	Violet
735288	108273	Kitty Claire
735288	124753	Stella Dodd
735288	128118	
735288	143156	
735288	143459	
735288	150911	
735288	152529	Velma
735288	188293	
735288	196207	Myra Dymsley
735288	197680	
735288	203761	
735288	241622	Shirley Bryson
735288	262039	Margot
735288	267602	
735288	277227	Anna Stevens
735288	302924	Gwendolin Beaumont
735288	305155	
735288	306469	Undetermined Role
735288	315169	Marguerite Lawson
735288	315759	
735288	317888	
735288	331221	
735288	362221	Louise Lloyd
735288	362335	
735288	363306	
735288	364035	Eleanor Boyd
735289	37921	
735289	41107	Alice Dickson
735289	129779	Co-ed
735289	207861	Salesgirl
735289	214069	Joanna Maitland
735289	248834	
735289	363238	Leda
735290	26394	Lamaze Instructor
735290	366765	Tina
735291	244407	Waitress
735292	52320	Kelly
735293	253248	Groupie
735294	3148	Bill's Great Aunt
735294	5879	
735294	6986	Housekeeper
735294	8630	Aunt Lily (1939 version)
735294	49850	Mary Bailey
735294	88936	Female janitor (Moscow Encamp
735294	90401	Mrs. Mason
735294	101721	
735294	104681	Hotel Manager's Mother
735294	163354	Mrs. Kirby
735294	177146	Mrs. Brown
735294	178286	8th Waitress
735294	183375	Mrs. Dawson
735294	185565	Lady in Courtroom
735294	186003	Ann Bonnington
735294	195316	Hermione Davis
735294	273834	Michael's Mother
735294	289231	Char
735294	292010	Landlady
735294	308105	2nd Old Lady
735294	312908	Matron
735294	315109	Hospital Sister
735294	321608	Mamma
735294	326584	Duty woman
735294	331465	
735294	341729	Provost's Wife
735294	383663	Mrs Gowdie (1970)
735295	37057	Jenny (Age 8)
735295	358593	Rosanne Cash
735296	30683	Sara Barnes
735297	80986	Second Tennis Player
735297	227053	Sheila
735297	283468	Vitina
735297	305571	Young American Miss
735297	321657	Cherry
735298	56545	Herself
735299	228164	The Muddy River Cloggers
735300	263352	Jessica
735301	84165	
735302	220529	Gloria Swansong
735303	30646	Student #5
735304	385911	Assistant
735304	386271	Assistant
735304	390135	Assistant
735304	399127	Assistant
735304	399277	Assistant
735305	158273	Indian Tilly
735305	174446	Samantha Donahue
735305	202619	Mary Mitchell
735305	252856	Joslyn
735305	360745	Female Patient
735306	23000	
735306	31157	Jane Mathies
735306	50434	
735306	57108	
735306	105802	Mary
735306	133206	
735306	140876	
735306	158375	
735306	165493	Jane
735306	175231	
735306	186691	
735306	200274	
735306	201518	
735306	208033	
735306	299199	
735306	304957	
735306	362930	
735307	53320	Freshman #2
735308	13941	Hitchhiker
735308	52142	Patty
735308	166637	Barbara Blau
735308	207530	Monica
735308	257203	Trija Howland Logan
735308	302750	Sonia
735308	363393	Cashier
735308	380570	Marsha (1982-1983)
735309	32419	Herself
735309	147300	Poet
735309	306431	Ralph
735309	315747	Realtor
735309	321651	Elizabeth Garland
735309	327304	Herself
735309	341459	Woman on steps
735310	308128	Harry's Old Flame
735311	68502	
735312	211833	Soprano 1
735314	165448	Housekeeper
735314	230377	Maid
735314	277061	Inga
735314	331489	Mother with Baby
735314	396005	Mrs. Benson
735315	394167	Anchorwoman (2003-)
735316	21304	Herself
735317	312062	Restaurant #2
735317	389858	Margaret Ward (1994)
735318	364281	Extra
735319	220960	Girl 3
735320	388104	Sumo Storm
735322	128522	Stenographer
735323	310800	4th Waitress
735324	302958	Waitress
735325	329987	Carol Anne
735326	331658	Christina
735327	126056	Vivian Malone
735328	26442	Woman in Park
735328	121386	Betty
735328	317307	Susan Aarons
735328	331706	Lani
735328	399905	Ellie O'Keefe
735328	407927	Polly Winthrop
735329	291095	Amber
735330	383107	Megumi Toyama, Toka's Mother,
735330	394175	Arima's Mother
735331	81640	
735331	277088	Pi-Delta-Pi
735332	60863	Ruth Vogel
735333	274427	Wanda's Girl
735334	54009	
735334	145165	
735334	307825	
735335	117844	Featured
735336	125672	
735337	344652	Leila
735338	254471	Betty Evans
735339	182987	Cocktail waitress
735340	257098	Herself
735341	96994	Becky Sue
735341	277801	Reporter
735341	316171	Reporter #1
735341	327641	Photographer's assistant
735342	725	Herself
735342	727	Herself
735342	728	Herself
735342	11137	Sharon Wallace
735342	11277	Lily Murdoch
735342	23448	Dr. Helen Dobson
735342	26840	Herself
735342	33941	Marjie Baile
735342	79909	Louise Maddison
735342	84250	Martha Phillips
735342	118806	Barbara Atwood
735342	150305	Lisa Vernon
735342	154148	Velma
735342	198541	Rosie Kettle
735342	198542	Rosie Kettle
735342	217185	Cynthia Stanhope
735342	217488	Stephanie
735342	245398	Lila Costain
735342	248817	Carol Kingsley
735342	255461	Mara
735342	277073	Helen Dobson
735342	292641	Mrs. Lieber
735342	302469	Sarah Cosgrove
735342	341673	Laura Saunders
735342	346355	Gloria
735342	347753	Jane Lowe
735342	358649	Claire Millard
735381	175190	Mrs. Lemont, Mother
735342	392184	Greta Hanson (1957-1958)
735343	167866	Extra in Street Scene-Final s
735344	235592	Nurse
735345	217602	Little Girl
735346	105797	Sarah
735347	108530	Rancher's Wife
735347	161051	Nurse at Desk
735348	255274	Sara
735348	289368	
735348	396013	Helen Margaret Quinn
735348	411809	Nurse Julie Warner (1976-1977
735349	24314	Molly Murphy
735349	35535	
735349	141192	Journalist #2
735349	183877	Woman at Club
735349	210567	Woman at INS
735349	222607	Party Guest
735349	283551	Lydia Rosen
735349	328637	Newscaster
735349	340757	Nun
735349	346127	Woman in Hospital
735349	358274	
735350	189974	Singer
735350	202947	Ingrid's Girl
735350	252528	Patron
735350	301558	Specialty Dancer
735351	151461	Agatzi Girl
735352	26768	Natalie Doer
735353	355518	Therapist
735354	170746	Crack Lady
735355	45548	Woman in Crowd
735356	24782	
735356	216924	Olivia Jenkins
735356	295372	Bertha
735357	31738	Gram Pomerleau
735357	72707	Helen Avery
735357	97440	Ruth
735357	159713	Mrs. Lillian Baker
735357	169662	Mrs. Kreuger
735357	195769	Mildred
735357	304889	Mrs. Thomas
735357	342549	Janice Hogan
735357	346005	Mrs. Fletcher
735358	202387	Escalade Dancer #2
735359	5037	Bartender
735360	116542	Staff Nurse
735360	298079	Woman
735361	227341	George Fayne
735361	227343	George Fayne
735361	227344	George Fayne
735361	227346	George Fayne
735361	227347	George Fayne
735362	347985	Herself (chimney sweep)
735363	385824	Abigail Johanna Deveraux (#1)
735364	375	Indian Girl
735365	37311	VIP Room Girl
735365	41518	Stewardess #4
735365	178093	Party Girl
735365	202915	Sexy Girl
735365	367873	Cellophane Girl
735366	3919	Janet
735366	24153	Catherine
735366	68225	Ms. Metcalf
735366	142889	Flight Attendant Lucy
735366	320104	Katie
735366	340923	Jean Coughlin
735367	67380	Janet
735368	163231	Dancer
735369	87780	Herself
735370	40289	Lottie
735370	84317	Guest at Den Gyldene Tunnan
735370	96015	Mrs. Ina Brennerth
735370	115395	Topsy
735370	134263	Isabella af Båge
735370	137975	Gertrud
735370	153199	Rose
735370	153744	Actress
735370	154150	Salvation Army Soldier
735370	164770	Nurse
735370	165615	Dorotea
735370	181850	Coffee Shop Patron
735370	182278	Olga Lindberg
735370	182559	Actress in Studio
735370	182574	Mim
735370	188864	Girl at Bar
735370	205498	Sylvia
735370	228389	Waitress
735370	237256	Hjördis, housekeeper
735370	266063	Mrs. Larsson
735370	276336	Maja, waitress
735370	307506	
735370	308203	Bertha
735370	314765	Guest at dinner
735370	322271	Monica
735370	338729	Lady
735370	343701	Valborg
735370	346970	Donna Isabella de los Colibra
735370	346987	Maggi
735370	350927	Newspaper Woman
735371	46321	Harriet (party guest in gold 
735371	342975	Woman
735372	150880	Fritzie
735372	191960	
735373	283021	
735374	20625	Extra
735375	23781	Hélène
735375	357053	La cliente au lapin
735376	65989	
735376	192437	Estelle
735376	378829	Vikki Allen (segment: "Bloodh
735376	379716	Vivien Taylor-Roxbury (1992-1
735376	392042	
735378	9129	Bunnie
735378	227173	The Mother
735378	256841	Herself
735379	252317	Une élève de Melle du Merle
735380	78184	
735381	1470	Rufus' Shrink
735381	18436	Mrs. Tate
735381	38645	Lee
735381	43606	Media Jackal
735381	64724	Second Annie Lee Moss
735381	70255	Aunt Mae
735381	71474	Madame St. Clair
735381	79961	Mrs. Chaney
735381	80464	Frances
735381	81019	Clarabelle
735381	84956	Botanica Woman
735381	88965	Mrs. Thornton
735381	114955	Lizzy the Housekeeper
735381	127692	
735381	128089	Angela's Aunt
735381	134017	Marriage Celebrant
735381	138965	Queenesther
735381	140901	Serena Cole
735381	140953	Moderator
735381	169991	Carol
735381	179425	Pearl
735381	192437	Mrs. Munson
735381	202619	Pearl (1955-1970)
735381	204583	Georgine
735381	211383	Angela
735381	240818	Aunt June
735381	243743	Mattie
735381	252925	Ambassador Alice Wills
735381	264932	Yvonne Washington
735381	293032	Carla Willis
735381	316886	Olivia
735381	318755	Rosetta Tyler
735381	347414	Jean
735381	360856	Mobu
735381	384072	Nellie Cole
735382	31902	Mother
735383	73703	Viola
735384	17996	Nurse Mendoza
735385	290991	Cara Emmons
735386	301185	
735386	314342	
735387	14556	Vanesa
735388	53329	Law Office Receptionist
735388	88868	Sarah Dolittle
735388	127175	
735388	224741	Aunt Gertrude Hardy
735388	244453	Mrs. Rowe
735388	270914	Receptionist
735388	309634	Sister Berthe
735388	309636	Herself (interviewee)
735388	340542	Sister Elizabeth
735388	379716	Rachel Gurney (1980-1990)
735389	248108	Child at Wedding
735390	205085	Gretchen's mom
735390	220082	Joan
735391	90891	
735392	388212	
735393	170147	Clerk at the Air Terminal
735394	2163	Mrs. Rose
735394	19797	Madame Fessier
735394	25417	Mrs. Lowe
735394	63146	Inez
735394	104918	Nell West
735394	128379	Kate Comstock
735394	152656	Esther Boray
735394	175835	Lisbeth Chisholm
735394	185858	Mrs. Schmidt
735394	188489	Bernice
735394	219996	Miss Ridgeway
735394	234807	Alice Grimm
735394	235162	Nadya
735394	294357	Mrs. McMasters
735394	304129	Grandma Jannsen
735394	333056	Amy Harper
735394	338894	Miss McDonough
735394	360741	Beatrice Sloan Cory
735394	365926	Ellen Wilson
735396	47977	Sarah Frye
735396	50867	Sandy Lewis
735396	54616	Mary Ann Troop
735396	77688	
735396	80356	Sara Murphy
735396	95792	Kelsey Daniels
735396	101573	Teacher Betty
735396	137536	Françoise Martin
735396	190047	Nurse #1
735396	207765	Sabrina
735396	217528	Madeline
735396	283341	Doctor #3
735396	340929	Cynthia Gray
735396	356329	
735396	404419	Various Characters (1991-1992
735396	407426	Catherine
735396	411802	Phyllis Summers #2 (1997-1999
735397	265495	Wife
735398	358476	Cello Player
735399	16943	Kelly Canfield
735399	108941	Box Office Ticket Seller
735399	163344	Legal Assistant
735399	224296	Candy
735399	340771	Times Square girl #2
735400	20065	Samantha
735401	93959	Tess Weinhaus
735401	99851	
735401	329703	Sarah
735402	234188	Herself
735403	220273	
735404	77144	IWAR Secretary
735404	79863	Sherrie
735404	101060	Woman in Restaurant
735405	50170	Simmi
735406	243564	Secretary
735407	187046	Casey
735407	294362	Thief/Princess
735408	159273	
735409	76567	Roxanne/Roger
735409	142479	
735410	182987	Drew
735411	279693	Nurse Jenkins
735412	310180	Peace Mime
735414	51990	New Prisoner
735415	183872	Singer
735416	216707	Pool Girl
735418	120095	Apartment Girl #1
735419	7043	Mary-Kate and Ashley's mom
735419	7044	
735419	31197	Herself (CBS Team contestant)
735419	50112	
735419	64571	Herself
735419	92112	Jenny Whiteman
735419	94035	Lori
735419	95101	Kelly Jordan
735419	108586	Ally Parks
735419	109620	Sister Stephanie 'Steve' Osko
735419	117056	Annie
735419	129437	Angela
735419	145086	Annie
735419	148385	Linda Parkinson
735419	155856	Randi Wainwright
735419	174520	Patch Reed
735419	176792	Audrey Harris
735419	205590	Joanie
735419	231832	Beth Needham
735419	233509	Tammy
735419	245921	Herself
735419	252884	Diane Crosby
735419	252897	Lisa Kellington
735419	252929	Angela McBride/Nikki Harcourt
735419	252988	Rachel
735419	253357	Charley Adams
735419	258083	Annie Benton
735419	265759	Lisa Miles
735419	272972	Donna Colla
735419	272973	Donna Colla
735419	335480	Jamie Davies
735419	336753	Clara Devlin
735419	372901	Germaine Beardsley
735419	388494	Sister Stephanie 'Steve' Osko
735419	390167	Angela Timini
735419	395309	Evelyn Gardner
735419	397401	Meredith Parker (1994-1995)
735419	406302	Jennifer DeNuccio
735420	1802	Herself
735420	29293	
735421	339143	
735422	154379	Herself
735424	223740	Freddy
735425	346974	Gun
735426	193138	Mrs. Hickey
735427	301625	Fiancée
735428	168161	
735429	43596	Skipping Girl
735430	340017	Clementine
735431	180215	Kontorpersonale
735432	172785	Maria
735433	87414	Parking Meter Beauty
735434	22198	
735435	127094	Jonelle
735436	140960	Senate Investigation reporter
735436	304237	Ginny
735437	179902	
735438	82538	Marcel's Secretary
735439	213789	Herself
735439	237514	Bride
735440	5186	Les mannequins
735441	58187	Hanka Hlavajová
735442	174279	Panni
735442	213681	
735442	412249	Magdi Kosári
735443	176796	
735444	4786	
735445	64734	Sandy
735446	176844	Marina
735447	58509	
735448	264229	
735449	380713	Jennifer Munson #1 (1990-1991
735450	28481	Minor Talent Contest audience
735451	212346	
735452	189466	
735453	322027	
735454	153859	Priest at the wedding
735455	9232	Matilda
735455	74777	Voice of Majstorica
735455	89266	Lugarova kci
735455	94177	Marija
735455	130144	
735455	192897	Mirjana
735455	261406	
735455	265124	
735455	293808	Regica
735455	344255	
735455	356072	Marina Ban
735456	80644	Vampire Victim
735457	93123	Annette Funicello age 12-15
735457	108275	Cindy
735457	194212	Babysitter
735457	230442	Rachel, Nicole's Friend
735457	235088	Maria
735457	289666	Heather
735457	308021	Kim McKay
735457	314104	Girlfriend #2
735457	348617	Heather
735457	399978	Medea/Sierra Jones
735458	31281	Priscilla
735458	58505	Anna
735458	209457	Warden's Girl
735458	364016	Tanya
735459	365998	Laughing Boy's Mother
735460	104051	Editke
735461	326242	Crew Member #1
735462	75885	Cynara
735463	372162	Singer
735464	268521	Irén Ulrich
735465	381288	Herself (säsong 3)
735466	162389	Margie
735466	217954	Middle Aged Woman
735466	300064	Ellie
735466	362581	Principal
735466	367964	Wordfest Party Guest
735467	49485	Francine
735467	162389	Margie
735468	78915	Marie
735469	55259	
735470	92694	Ballroom Dancer
735471	77624	
735471	78832	Mother
735471	261689	
735471	385222	Prostitute
735472	275171	Dancer
735473	393255	Frieda Tannebaum
735474	5960	Pool party guest
735475	102653	Cloe, la moglie (segment "Fil
735475	113097	Cloe, la moglie
735476	316908	
735477	378795	Dorothy (1988-1989)
735478	160814	Lyalka
735478	182134	Katya
735478	199941	
735478	211718	
735478	220693	
735478	304721	
735478	313529	
735478	313887	A little Shebejkina
735478	341189	Nurse
735478	357335	
735478	370173	
735479	2621	
735479	17534	
735479	40871	
735479	88450	
735479	124040	Guskov's Wife
735479	154684	
735479	173861	
735479	180381	Hair-dresser
735479	181240	
735479	226214	
735479	229175	President's ex-wife
735479	230164	Mrs. Ackroyd
735479	237430	Zizi
735479	244017	
735479	258406	
735479	259806	(segment "Vizit")
735479	261137	
735479	261322	
735479	262668	
735479	263261	
735479	266161	
735479	266295	
735479	289868	
735479	293847	
735479	293906	
735479	305286	Olga
735479	312432	
735479	323302	
735479	349316	Sasha's mother
735479	351783	
735479	356017	Alfred Ill's wife
735479	356112	
735479	357467	
735479	357484	
735479	357710	
735479	371427	Olga Larina
735480	397346	Forte/Bass
735480	398997	Shizune
735481	182716	
735481	216522	Jun
735481	256326	Mie
735481	299052	Yuiko
735481	401484	Mie
735482	42611	
735482	47405	
735482	269478	
735482	286418	Female Victim
735482	309166	
735482	311819	
735482	344442	
735483	68849	Allison
735483	139234	Jill
735484	44330	Sandy (babysitter)
735485	58111	
735485	361592	Neighbor
735486	95983	
735487	349804	Elena Dankina
735488	286216	
735489	35855	
735489	77096	
735490	208779	
735492	195418	Kate
735493	322060	Vera
735493	322122	Vera Mérö
735493	377745	Az indulót elõadó parasztlány
735494	5077	Anne Bonny
735494	12938	Performer
735494	71597	Host
735494	104773	German vote presenter
735494	127443	Tina
735494	204993	
735494	323005	
735494	334432	Lea
735494	347644	Herself
735494	347676	Jo Schnell
735494	355726	Herself
735494	358229	
735494	377342	Herself
735494	378947	Herself
735494	379372	Herself
735494	401831	Herself
735495	406316	Peva pesmu 'Srecni ljudi'
735496	313618	
735496	320236	
735497	115424	
735498	283837	
735498	333782	
735498	374464	
735499	132204	Fokina
735499	198169	Aleksandra Semenovna
735499	289870	
735499	324556	
735500	61519	
735500	170551	Sis Buleng
735500	219227	Katharina
735500	274304	Noe
735501	167990	Sofi
735501	323201	Secretary
735502	278337	
735503	48774	
735504	169545	Crowd/Atmosphere
735505	26517	
735505	53220	Patientin
735505	82945	
735505	204430	
735505	225274	
735505	265092	Roswitha Ellenrieder
735505	303154	Zofe
735506	4444	Mari Nuotio
735506	101631	Annostelija
735506	136898	
735506	142818	Helena
735506	242266	Laura
735506	301889	Kiia Saari
735506	343327	
735506	392553	Satu
735506	394960	Mira Kataja
735507	1400	
735508	371694	
735509	14416	
735510	42620	Anna
735510	121046	Frau Gabor
735510	144160	Jenny
735510	170659	Bertha Pappenheim
735510	186735	Lea
735510	186925	Lisa
735510	189706	Christine
735510	210026	
735510	225267	
735510	230169	Anna
735510	234291	Maman
735510	265096	Ilse
735510	325756	Martha Hobiehler
735510	325839	Else
735510	403410	Johanna Baumann-Artenberg
735510	404454	
735511	325756	Michaela Benssen
735512	102527	Frau Eckernförde
735512	125293	Mrs. Busch
735512	322504	Reisebüroangestellte/Travel A
735513	25059	
735514	24875	Puppy seller
735514	298762	
735514	361476	
735514	401394	Grandma
735515	99284	Baptismal Nun
735515	164594	Maggie
735515	263010	Dr. Jeena Kingsly
735515	334307	
735516	22193	Debbie
735516	293470	Debbie
735518	127941	
735519	359293	Suey Lee
735520	65683	
735521	29186	Cheerleader #1
735521	158983	
735521	196110	
735521	307848	Jade
735521	387312	Erin Woodbridge
735522	320089	Leah
735523	286513	
735524	17863	Stéphanie
735524	71813	La femme friquée
735524	244955	Muriel
735524	346465	
735524	353945	Diane
735524	400950	
735525	132034	
735525	180357	
735525	303790	
735526	65892	Shanty Girl
735527	289372	Featured Extra
735528	128515	Lisbeth
735529	93526	Gerda Balstrup
735530	64057	Scharlotte
735531	63931	
735532	28089	
735534	366588	
735535	91862	
735536	91862	
735537	342302	Operaregissören
735538	261455	
735539	208715	
735539	397192	
735540	265130	Lyolka
735541	197453	
735542	87667	
735543	380120	
735544	41115	
735544	51275	
735544	116106	Party guest
735544	154203	Girl modelling for Stig
735544	154565	Beautiful woman
735544	168389	Britta
735544	180475	Solveig
735544	182277	Young woman at the party
735544	182575	
735544	190821	Girl in bikini
735544	284102	Young Woman
735544	304183	
735544	307765	
735544	317642	Vivian
735544	320608	Blonde
735544	338660	Signe Bolinder
735544	352999	
735544	353039	Dancing woman at Skanskvarn
735544	377420	Eva Jonsson
735545	360856	Hotel Hostess
735546	163986	
735547	241918	Anna
735548	214799	
735548	395438	Presenter
735549	68639	
735549	266669	(segment "Una cena de navidad
735550	83007	
735550	104763	Spanish entry (11th place)
735551	163699	Lisa
735553	43543	Heidi
735553	156697	
735553	212028	Heilsarmistin
735553	289894	Schoolgirl
735553	347558	
735554	176563	
735554	184723	
735554	344577	
735557	9691	Livia
735557	29353	Maria
735557	46418	Herself
735557	46973	
735557	49677	
735557	54421	Valentina de Santis
735557	55388	Elena
735557	63890	
735557	67054	Selena Perrini
735557	71146	Marta Rienzi
735557	89567	Sofia
735557	90727	
735557	97376	Lulú
735557	110758	Sara
735557	127844	Elena Gigli
735557	132951	Laura
735557	138463	Allegra Pazzi
735557	162030	Andrea
735557	163949	
735557	204231	Claudia
735557	207947	Giulia
735557	212558	Giulia
735557	252309	Cecilia
735557	252675	Sara
735557	284827	Marina
735557	301128	Sonia Norton
735557	318126	Lucia
735557	376671	Ana
735557	378368	
735558	249067	
735559	102391	
735561	75031	
735562	11703	Eleanora Stuart
735562	13051	
735562	17090	La Polak
735562	20245	Dolores
735562	20277	Sheena
735562	23543	
735562	28544	
735562	35014	Anne Palmieri
735562	42609	
735562	51789	
735562	55902	Marianne
735562	55979	Miss Songbird
735562	60122	
735562	67515	
735562	68991	
735562	69369	Madonna Lisa
735562	70645	
735562	70766	
735562	72974	
735562	74882	
735562	81512	
735562	86332	Katherine
735562	86868	Margaret
735562	89908	
735562	94651	
735562	94677	La Segretaria
735562	94725	
735562	98653	Harem girl
735562	102307	
735562	102391	Helena
735562	102393	
735562	102395	Demeter, Queen of Micenas
735562	102910	Herself
735562	104043	Keresh
735562	111740	Elena
735562	112046	Alexa
735562	112662	Tania Frankenstein
735562	119212	Leontina
735562	127950	Lizzy
735562	127965	Stranger's Wife
735562	133107	Delilah
735562	161861	Demora
735562	162077	(segment "Cavalleria rustiaca
735562	163731	(segment "Infedeltà coniugale
735562	168765	Samantha Felton
735562	177163	Kira
735562	187929	Ramses' intended bride
735562	189262	
735562	193041	
735562	197581	Jenny Benson
735562	204457	Pauline
735562	211198	
735562	211643	La Polak
735562	214868	
735562	217100	Angelina
735562	217666	Alida
735562	218449	Agnes
735562	231684	Conchita
735562	234368	
735562	256154	
735562	258134	La Contessa Dracula
735562	263936	
735562	265235	
735562	270329	Bona
735562	270819	
735562	275351	
735562	281692	Herself
735562	287481	
735562	287648	
735562	289697	
735562	294393	Maria
735562	294540	
735562	308897	Passenger
735562	309263	
735562	316377	
735562	316378	Marina
735562	319664	Faddja
735562	323048	Rosie
735562	335538	Signora Cutitta
735562	335881	Paula
735562	336621	Magda
735562	348174	Margot
735562	349526	Santuzza
735562	349889	Rosalina
735562	349962	
735562	355885	Rosita
735562	355957	Prostitute
735562	356163	
735562	359105	Rosita
735562	365965	Frannie
735562	400092	
735562	400211	Herself
735563	107040	
735563	342118	
735563	356578	Luciana
735563	388733	Wanda
735563	402303	Perpetua
735564	6322	
735565	31768	Mom
735565	127292	SeaStar Receptionist
735565	140953	Reporter
735565	165582	Office Employee
735565	214755	Tourist
735565	215500	Miss Vermont
735565	229826	Prospective mother
735566	126140	
735566	186494	Ena Manjalara
735566	214315	Miranda
735566	253751	Juita
735566	260062	
735566	288046	Sara
735566	293878	E.J.
735566	370002	Seri Bayu
735567	13125	
735568	385824	Hannah Wales (1989)
735569	381500	Host (8-83)
735569	398635	Host
735570	170458	
735571	1224	Herself
735571	280016	Alysia
735571	312141	Machine gun-packing nun leder
735572	23844	
735572	326284	The misterious woman
735572	406687	Danielle
735573	119133	Mutter Sinirlioglu
735574	220175	Neighbor
735574	309153	Theater Director
735574	343121	Interpreter
735576	211324	
735577	353926	
735578	46938	
735578	234020	
735579	906	
735579	32939	
735579	36934	
735579	128724	
735579	202787	
735579	204023	
735579	295680	
735579	314212	
735581	68319	Putita
735581	142422	Nurse
735581	233538	
735581	301677	Pamela
735581	301681	Pamela
735583	87195	
735584	17821	
735584	100337	Maid
735584	108203	Greta, child nurse
735584	138032	
735584	178483	
735585	29670	King Kandor's People
735586	172415	Ustian
735587	307615	
735588	287279	Sylvie
735589	14345	Marthe
735589	23829	Béryl
735589	57400	La femme à la vidéo No. 1
735589	58305	Mère Michèle
735589	60493	
735589	64220	La baronne
735589	68896	La femme élégante
735589	111876	Mme Van Meulen
735589	120879	
735589	166553	Mme Grunstein
735589	187437	Hélène Pastorelli
735589	188922	Marie Guéret
735589	198357	Tante Léa
735589	204008	Sostrata
735589	205638	
735589	213520	Olga
735589	216236	La fille Gillenormand
735589	216237	Fille Guillenormand
735589	238483	La mère
735589	244304	
735589	254133	Vieille femme
735589	294845	Tatiana
735589	325083	Mme Pernelle
735589	333611	Voice
735589	336939	
735589	346512	Ginette
735589	359752	Mme Almond
735589	361558	Madeleine Goldstein
735589	377018	Dina
735589	381628	Olga
735589	382584	
735589	384029	Mme Elisabeth
735589	392369	Mme Gendron
735589	398033	Régine de Valgeneuse (1973)
735590	303154	Zofe
735591	24722	Caroline
735591	164169	A follower of Rasputin
735591	254718	
735592	164169	A follower of Rasputin
735593	225689	Herself
735594	385301	Kully Gill (2001)
735595	4564	
735596	21727	
735596	115794	
735596	196046	Amazon Guard
735596	207929	
735596	216214	
735596	228749	
735596	228750	
735596	237217	
735596	272890	
735596	344871	Dora
735596	349722	
735596	353100	
735596	388721	
735596	391673	
735596	398259	
735596	398503	
735596	398884	
735596	401104	
735596	402582	
735597	97647	
735598	8980	
735599	162958	
735600	126827	
735601	410441	Mary Tijl (1995)
735602	1807	Jentas mor
735603	73820	Annie
735604	107867	Princess Laone
735604	143285	Rose Hale
735604	144637	Ann Wesley
735604	154733	Varda Deering
735604	196972	
735604	224110	The Elder Sister
735604	274454	Alice Loring
735604	331151	Ruth
735604	331227	Miriam Gruenstein
735604	348103	Herself
735604	367649	Colette
735604	367754	Alice Lindsay
735605	112369	Louise
735606	32118	Mrs. Alexander Hamilton
735606	33744	Martha Grant
735606	43202	Barbara Bozenta
735606	47577	Corinne La Force
735606	108008	Marietta
735606	131440	Clarice Laverne
735606	188345	Yvonne de Prunelles
735606	191784	Evelyn Carmichael
735606	211430	Maude Foster
735606	246514	Laura Le Moyle
735606	249520	Mary Regan
735606	263506	Madge Endicott Black
735606	309554	Faith Palmer
735606	315141	Katharine Lambert
735606	363584	Eleanor Van Schuyler
735607	79862	Tom's Wife
735607	192382	Grandma
735607	235791	Mother
735607	278001	Mrs. War Hero
735607	384333	Annie Hughes
735607	405217	Woman at Bazaar
735608	342390	Giggles the Pie Girl
735609	125900	Blonde
735610	4906	
735610	7413	Grandmother Janou
735610	8094	Margaret Leigh
735610	8339	Mrs. Montrose
735610	33766	Mme. Boin
735610	40024	Lucia Colletti, the Maid
735610	51855	Egyptian Lady
735610	53602	Anne Lymes
735610	56203	Lady Lebanon
735610	73987	
735610	83853	Mme. Bonaparte
735610	90918	Ann Cody
735610	107579	
735610	108343	Julia Rainbird
735610	108619	Kate Somerford
735610	110383	Mother Rigby
735610	119755	The Old Lady at Hotel Des Col
735610	120295	Lady Lebanon
735610	121503	Heather Rudge
735610	124737	
735610	141499	Mrs. Bamford
735610	150874	
735610	170366	Grandmother
735610	178937	Lady Agatha
735610	184283	The Matron
735610	191771	Miss Parker
735610	199712	Mother Superior
735610	210825	Mrs. Upjohn
735610	221298	Lady Beldon
735610	230370	Edith Forbes
735610	231438	Miss Knag
735610	231871	Mrs. Delesande
735610	248877	Louise McKendrick
735610	265740	Mrs. Brock
735610	268152	Old Lady
735610	294514	Lady Matheson
735610	306440	Madame Hervé
735610	312908	Harry's mother
735610	313353	
735610	330342	Lady Hurf
735610	331323	La Principessa
735610	340464	Mother
735610	341028	Livia Embarday
735610	354550	Mrs. Dakin
735610	361275	Mrs. McNab
735610	387120	Ellen
735610	388447	Agatha Morley
735610	399748	Madame Dupin de Francueil
735611	335301	Cheese Saleslady
735612	232019	Cadaver
735613	49874	Flora
735614	190091	Exercise Instructor
735615	110561	(Violinist)
735615	194483	Violinist
735616	348510	Sam
735617	5970	
735617	8831	
735617	18299	Veronica
735617	21234	
735617	25390	The Wife
735617	29309	
735617	35375	
735617	42316	
735617	44692	
735617	45392	
735617	49053	Marie
735617	54554	Captain Nell
735617	57016	Roxane Bellairs
735617	61549	
735617	61835	
735617	65821	
735617	66185	
735617	66316	
735617	67316	Princess Dehra of Valaria
735617	71179	
735617	81630	
735617	92939	
735617	97610	
735617	98812	Eleanore Cuyler
735617	116369	Lady Cecily
735617	117592	Anna Lloyd
735617	120112	
735617	127244	Stephanie
735617	128113	
735617	140850	
735617	141445	
735617	142119	
735617	142694	
735617	146089	
735617	151454	
735617	159513	Dorothy Stafford
735617	162822	Miriam
735617	167653	Jim's Wife
735617	183605	
735617	185639	Cynthia Ford
735617	187713	
735617	187937	
735617	188150	
735617	188576	The Princess
735617	191605	The Wife
735617	192128	The Mother
735617	194441	
735617	202981	
735617	203501	
735617	206644	
735617	206912	
735617	214812	
735617	218245	
735617	219910	Mother
735617	229228	
735617	230566	
735617	230589	
735617	230813	The Neice
735617	231641	
735617	239817	
735617	261028	
735617	261105	
735617	263454	
735617	264136	
735617	269647	
735617	271491	
735617	274723	
735617	286126	
735617	315143	Miss Ashmay
735617	315735	
735617	318318	The Lady
735617	319190	
735617	329882	
735617	331530	The Queen
735617	331531	The Queen
735617	341981	
735617	346917	
735617	360159	Mary Wilson
735617	362241	A Spy
735617	364315	
735617	365730	
735617	366084	
735617	372943	
735618	65116	
735618	132024	Nurse
735618	149495	Telephone Operator
735618	177525	Onlooker
735618	207759	
735618	388063	Jane Carter (1968)
735618	395525	Waitress/Phib/Milliner/Miss G
735618	411012	Suni Sandoe
735619	387252	
735620	44442	Dianne
735620	128255	Cindy
735620	191196	Missy
735620	206157	Girlfriend
735620	222762	Vicki
735620	242797	F.H. Girl
735621	44238	Dancer
735622	112601	Aunt Sally Walker
735623	10414	Lindy
735623	44949	Ruby
735623	74211	Naima
735623	91920	Nikki
735624	254388	Movie Producer
735626	215691	Miss New York USA
735627	177800	Meir
735628	148776	
735628	397139	Tonia (1974)
735629	167197	Miren's Parent
735630	167197	Young Girl at Church
735631	203696	Squealing mime
735632	112878	Rosen
735632	173566	
735632	249711	Julie
735633	312014	Mena
735633	409162	Alida
735634	84760	
735635	279693	Sylvia
735636	18197	Sister Ursula
735636	18552	Undetermined Role
735636	26760	Gertrude Mellon
735636	32404	Lady Jane Crawley
735636	33748	Mrs. Higgins
735636	35693	Mrs. Temple
735636	41502	Nana, the Governess
735636	48539	Guest at Dolly Madison's Dinn
735636	48570	French matron
735636	56098	Patient's nurse
735636	61164	Sister John
735636	66201	Mrs. Tupham
735636	69614	Tourist
735636	80770	
735636	88853	Receptionist
735636	88943	
735636	92230	Bit Part
735636	110363	Susan
735636	112745	Mrs. Asher
735636	116790	Agnes
735636	117646	Mrs. Chiverton
735636	120639	Lady Servringham
735636	128592	Girls' College Teacher
735636	133703	Mrs. Frisbee
735636	133949	
735636	136816	Mrs. Prinkle, Dance School Te
735636	143135	Mrs. Whiting
735636	160336	Dolores
735636	160946	Mrs. Harris
735636	161901	Mrs. Mason
735636	169387	Nurse
735636	170378	Saleslady
735636	175162	Woman at Auction
735636	185830	Madame at Shop
735636	187951	Senora Contreras
735636	188326	Wife/Guest
735636	188542	Graylady
735636	188586	
735636	190858	Miss Smyth
735636	195816	Elderly Nurse
735636	202963	Mrs. Becker
735636	203002	
735636	207861	Saleswoman
735636	214695	Woman
735636	217426	Lady Alexander
735636	221297	Saleslady (Hat)
735636	224177	Mrs. Robinson
735636	231962	Elevator Passenger
735636	234211	Head Nurse
735636	235694	Flower Woman
735636	244842	Fur shop owner
735636	249513	
735636	262265	Hysterical woman in Senate
735636	263966	Lady in Waiting
735636	273513	Dowager at Tea
735636	276816	Elsa (governess)
735636	277645	Mrs. Wynne
735636	286808	
735636	289504	Lady-in-Waiting
735636	295470	Mrs. Lowood, Highcliff Headmi
735636	297918	Club Woman
735636	299072	Nurse
735636	299165	Lady Todhunter
735636	308089	Nurse, Nairobi Hospital
735636	308348	Nurse
735636	313331	
735636	314833	Drasa La Rue
735636	315745	The Governess on Ship (segmen
735636	319181	Woman
735636	327193	Caroline Sheldon
735636	330010	Mrs. Stevens
735636	331495	Miss Hillary, Head Nurse
735636	331991	English Matron
735636	343161	
735636	345860	Woman
735636	346227	Nurse
735636	347028	Mrs. Samuel Metford
735636	347109	Mrs. Carlton
735636	360479	Mrs. Gertrude Quimby
735636	362894	Third Autograph Seeker
735636	363793	Orderly
735636	365033	Florence Bromley
735636	366168	Housekeeper
735636	366987	Miss Johnson
735636	367288	Mrs. Bally
735637	145415	Staci
735638	276498	
735639	399007	
735640	215122	
735640	288126	
735641	266003	
735642	275127	
735643	388026	Panelist
735643	408395	Herself - Weekend hostess (19
735644	146926	Esther
735644	274449	Legal Secretary
735645	108001	Other Dancer
735647	27247	Kris Yates
735647	381121	Kristine Yates (Series 5-) (2
735647	403216	Melanie Wilson
735648	264914	
735649	232971	Alana
735650	234962	Herself
735651	353294	Academy Girl
735652	200925	
735654	114311	Sierra
735655	104371	Sarah Anne Howe
735656	19816	
735657	183467	
735658	69172	Herself
735659	187219	Polly Pry (Mrs. Leonel Ross O
735660	66939	Girl In Innertube
735661	86228	Didas Tochter
735661	120947	
735661	131024	Little Girl
735661	138950	Child
735661	142010	
735661	250637	
735661	275053	
735661	290179	Kleines Mädchen/Little girl
735661	290611	
735661	306475	Lieselotte
735661	337552	
735661	352585	
735661	358998	
735661	377840	
735662	12182	
735663	189736	
735663	214511	
735664	78991	Streeter #D
735665	230947	Hillary
735666	64341	Marie
735667	205845	Norma Jeane/Marilyn Monroe
735668	262502	Aunty Sonya
735669	210189	
735670	356418	
735671	182752	Prinzessin
735672	75987	
735673	249502	Janice
735674	195879	Chorus girl
735675	265739	Mariette
735676	129429	
735676	285430	
735677	335492	Sprinter Charlety
735678	252362	
735679	85400	
735680	287873	
735681	347588	Scarlet
735682	170215	Host
735683	205466	
735684	406321	
735685	223558	
735686	291652	Sanne 7år
735687	81339	Zone Girl I
735688	311785	Herself (Neckar Island genera
735689	195004	Dorothea
735690	229238	
735691	85595	
735691	195028	Manuela, the Mayor's wife
735691	351312	
735692	121030	
735693	401103	
735694	389241	Assistant to Mr. Pappa (1991-
735695	17576	Anna Netrebko
735695	133469	Lyudmila
735695	264157	Opera Singer Anna
735695	312541	Soloist
735695	379745	Lyudmila
735696	325537	Hostess
735697	374117	
735698	380210	Mónica
735698	392959	Encargada
735698	402193	Irene
735698	404074	Margarita
735698	404990	La secretaria de Karla
735698	410204	
735699	189373	
735700	298483	Die Ehefrau
735701	365026	
735702	345676	Ella
735703	166280	Georgette Sembat
735704	87583	
735705	373349	Herself
735706	106821	Newsreader
735707	188236	
735707	217167	Fatima
735707	240201	
735708	142449	Helen Hope
735709	194054	Odessa
735709	241791	Aunt Irene
735709	363927	Real Estate Agent
735710	324015	Water Taxi
735711	190091	Person at Table
735712	193000	Teacher
735713	14239	Susan B. Anthony
735713	18564	Nancy Dennison
735713	28787	Anna Karachev
735713	49219	Mary Justin
735713	67823	Hilda 'Bergie' Bergstrom
735713	80709	Louisa Stohler
735713	87309	Prudence Frost (schoolteacher
735713	97220	Ruth Striden
735713	107081	Mr. Mason's Nurse
735713	110298	Nan Claybourne
735713	110997	Pigeon
735713	115068	Belle Crocker
735713	117770	Anne Wilson
735713	131464	Mary (boarding house propriet
735713	149096	Linda Lathrop
735713	185104	Jennifer Clifton
735713	200991	Annie Boley
735713	204210	Dee Pogue
735713	209606	
735713	212902	Maleficent
735713	215176	Sister Marion
735713	253153	Dorothea Baitz
735713	255697	Mildred
735713	307047	Molly
735713	328562	Janet Turner
735713	336885	Terry Carrell
735713	338538	
735713	349999	Rita Brown
735713	360883	Sister Ellen
735713	367807	Sandra Parker/Sally Porter
735713	379154	Sue Kramer
735713	379740	Christina Stockwood
735713	382773	Patsy Dennis (1954-1957)(orig
735713	383780	Maude Wendell
735713	389858	Virginia Benson (1996-1998)
735713	392134	Maleficent
735713	392709	Joanne St. John (1989-1990)
735713	410616	Linda Martin
735713	411761	Penny Vanderhof Sycamore
735714	17695	Jane Andrews
735714	17697	Jane Andrews
735715	352091	
735716	116948	
735716	269574	Zezé
735717	8416	Inspector
735717	24542	Mother Poradzka
735717	75964	
735717	95738	
735717	165032	Teacher's Wife
735717	174026	Hulewiczowa
735717	181408	Gierczycha
735717	231658	Servant Marianna
735717	238834	
735717	242909	Gaston's Aunt
735717	254201	Waitress
735717	255741	
735717	258631	
735717	262194	The Mad Landlady
735717	282762	Wiktoria
735717	286803	Jakub's Mother
735717	311834	
735717	321767	
735717	322139	Dobracka
735717	340721	
735717	341067	
735717	343386	Aniela's Grandmothe
735717	367373	Pajakowa
735717	369010	
735717	373706	Listener to Chopin's Music
735718	202427	
735719	89943	
735720	37393	Ratty Girl
735721	94305	Künstlerin
735721	146871	Sophie Gerlich
735721	263955	Brigett (Palace Maid)
735721	348054	
735722	290527	
735723	33218	
735723	49275	
735723	109502	Pensionswirtin
735723	129674	Anna Kloiber
735723	144333	
735723	189805	Frau Reisbichler
735723	190765	Frau Prosel (Mrs. Prosel)
735723	216268	
735723	290511	
735723	314898	
735723	325634	
735723	347586	Luiserl
735723	366517	Zuschauerin
735723	368088	
735723	377343	
735723	398863	Toni
735723	403113	
735723	411155	Erni Angerer
735724	279420	Prostitute
735724	355535	Cardea
735725	244124	
735726	77664	
735727	318729	Mystery Woman
735728	168326	Sally
735729	70758	
735730	196588	
735731	4838	Mrs. Sommer
735731	12704	KV-Angestellte
735731	18518	Ute
735731	26407	Christine
735731	31470	Herself
735731	34288	Iris Müller-Martinez
735731	53764	
735731	66086	Helga Riemer
735731	71433	Eva Brunner
735731	94352	Maya
735731	98313	Britta Jacobsen
735731	107750	
735731	120331	Kellnerin Zilli
735731	125001	Cara
735731	126467	Annie Hertel
735731	134601	
735731	155344	Barbara Müller
735731	156739	Anna Christeiner
735731	173696	Beate Wollitz
735731	178534	Maria Schreiber
735731	178848	Norma
735731	178849	
735731	180704	Johanna
735731	182735	Karen
735731	185798	Stefans Geliebte
735731	189629	Lydia Arndt
735731	189674	Lena
735731	204503	Frau Pogge
735731	209953	Maria
735731	210048	Delphine
735731	225253	Marion Sievers
735731	225255	Marlene
735731	230179	Doris
735731	236816	
735731	244676	Frieda
735731	246642	Konditorin
735731	248029	Katharina
735731	262750	Lena Rauch
735731	266355	
735731	267117	Henriette Straub
735731	279643	Anna Felber
735731	282213	
735731	293251	Rosemarie
735731	301017	
735731	305432	Gabi
735731	325471	Margit Karner
735731	326047	Katrin Lackner
735731	326174	Klara
735731	334498	Sabrina Maurer
735731	339051	Baronin von Kollwitz
735731	342475	Annerose
735731	346855	
735731	346957	Kunigunde 'Kuni' Brandner
735731	347801	Marlene
735731	356567	Anna
735731	361034	Rita
735731	361035	Rita
735731	361529	Christina
735731	376290	Caroline
735731	376406	Tatjana Laake/Rebekka Butt
735731	381439	Gaby Muellerschoen
735731	386327	Thais
735731	390165	
735731	396268	Traundl Grandauer, geb. Soled
735731	396613	Amalie
735731	397370	Bedienung
735731	405817	Monika Strobl
735732	17491	Frau Ute Pelzer
735732	93402	Mariann
735732	95389	Henni Finkenzeller
735732	121048	
735732	126370	
735732	142083	
735732	147158	Helen Kilian
735732	160271	Mrs. Eiswald
735732	180880	Frl. Grill
735732	204519	Frau Zander
735732	210137	Hausmeisterin
735732	214680	Maria
735732	223478	Brigitte Buchner
735732	259695	Elisabeth von Esterhazy
735732	284993	
735732	288377	Gertrud Seibel
735732	314315	Elfi Beierlein
735732	325817	Frau Seidl
735732	325843	Angelika Geroth
735732	325869	Cornelia
735732	333661	Hilde
735732	338419	
735732	345938	Frau Wagner
735732	352540	
735732	378554	Agnes
735732	380356	Ute Pelzer
735732	388468	
735732	389739	Henni
735732	390993	
735732	391141	Ilse Kugler
735732	392997	Mutter von 'Effendi'
735732	397370	Hausmeisterin
735732	398863	
735732	401312	Elisabeth Schneck
735732	404453	Frau Yblagger
735732	412088	Frau Sogarski
735733	178139	Carl's Mother
735734	336506	Brigitta
735735	116392	
735735	204263	
735736	103130	
735737	185137	Woman Agent 1
735738	270030	
735740	202585	Manca
735741	151055	Woman train passenger
735742	105890	Alice
735743	33179	Ballet Dancer
735744	94238	Woman hitchhiker
735745	228547	
735745	248062	Sabine Bach
735745	354002	Sabine Bach
735746	290744	Twins
735747	290744	Twins
735748	29175	Mrs. Pearson
735749	136463	Stuepige
735749	184566	Jørgens mor
735749	346966	Stuepigen Vera
735750	404448	Manuela Vogt
735751	189404	Gloria Chambers
735752	66658	Woman Patient
735752	377014	Carol
735752	385299	Lila
735752	407085	Wendy (1975)
735753	198052	Julie
735754	119353	
735755	479	Annie
735755	156048	
735755	198420	
735755	347431	
735755	379083	Julia
735755	379859	
735756	98040	Red Cross nurse
735756	125166	Wirtin
735756	155479	Schmuckverkäuferin
735756	190765	Frau Buerli (Mrs. Buerli)
735756	193482	Frau Fink
735756	293415	Verkäuferin
735756	381689	Blumenverkäuferin
735757	145614	
735758	281668	Traudl
735759	230194	
735760	151628	Herself
735761	161789	
735762	410708	Juror
735763	66661	Divinia
735763	195341	Nurse
735764	297382	Shop Keeper
735766	138907	Sekretärin
735767	376314	Woman
735767	391604	Katrin Tornow (1997-1998, 199
735767	410497	KHK Renée Engels (2000-2002)
735768	50444	Extra
735768	188572	Bank Employee
735768	222686	Gladys, Sound Tech
735769	23886	Pepi Vibiral, as child (Klein
735770	50158	Inga
735770	67958	Yvonne
735770	141962	Frau Giesbacher
735770	290219	Mutter
735770	325469	Susan
735770	405500	Cora Wilde
735771	140580	Rahel
735772	360689	Engaged Woman
735773	248409	Frau
735774	404486	
735775	171274	Party Blonde
735775	277638	Receptionist
735775	389412	Emily Austin
735776	87891	Girl at the Bus Stop
735777	42114	Editha Knefke
735777	281941	
735777	290758	
735777	312877	
735778	475	Frau Bentsch
735778	12411	Ruth Rosenzweig
735778	18519	
735778	27421	Renate
735778	78301	Teacher
735778	79623	Frau von Kittlitz
735778	115224	Frau Dr. Lauscher
735778	131208	Alma
735778	142264	Kathi
735778	162451	Schlegel
735778	163749	Conny Berg
735778	178604	Sonja
735778	180712	Barbara D'Angelis
735778	225205	Lehrerin Abeka
735778	230179	Maggy
735778	259626	
735778	259652	
735778	259672	
735778	289946	Nicola
735778	325549	
735778	325946	Kreditberaterin
735778	347974	Theresa Leitner
735778	378556	Frau Gabi
735778	394543	Luise Weidler
735778	405419	Frau Kappes
735778	412099	Barbara Finke
735779	205725	
735780	40412	Evi Hansen
735780	102546	Marie
735780	302774	Carla
735781	98968	Dr. Melanie Heitmann
735781	120040	
735781	144129	Wanja Mertens
735781	210044	
735781	272745	Semmler-Heiduck
735781	353716	
735781	387443	Dr. Melanie Heitmann
735781	393255	Sister Magdalena
735781	403791	Erna Stanek
735782	259919	
735783	325704	Renate
735784	191839	Sandra
735785	367068	Background Singers
735786	129676	Vroni
735786	137648	Eva
735786	306409	Maria
735786	376376	Moni
735787	8207	Herself
735788	106710	Segal
735789	371908	Customer in Bank
735790	365344	Beautiful Party Woman
735791	313627	
735792	167009	Herself
735793	17760	Mrs. Singer
735793	194525	Miss Molina
735793	313583	Sandy's Mother
735794	257760	Danny's First Girlfriend
735795	181359	Cecylka, Servant
735796	140487	Danielle
735797	169608	Inga
735798	103810	
735798	212451	
735798	251578	
735798	278937	
735798	278939	
735799	34349	Tania
735799	60096	Malka
735799	98967	Alma
735799	167040	Mary
735799	175046	
735799	184012	Dalit
735799	204991	Dalia Baum
735799	305556	Malka
735799	327066	
735799	367443	
735799	373427	
735800	30678	Aunt
735801	382883	
735801	387900	
735801	388416	Anita
735801	407856	
735802	49274	
735802	49305	
735802	376306	Carla Dröhmer
735802	390812	Vera Richter (1992-1997)
735802	391604	Frau Tornow (1997)
735803	373430	The TV Announcer
735804	400419	
735804	404074	Isabel Mandujano
735805	204755	
735806	216366	Herself
735807	214197	
735807	247597	
735807	307211	Fru Winge
735808	5187	
735808	18166	Dorthe
735808	22844	Elis Mor
735808	27585	Herself/Mother
735808	32842	Karen
735808	40945	Tove
735808	42685	Herself - Winner
735808	51295	Fru Basse
735808	81470	Gertrud
735808	99511	Hanne
735808	100504	Asta K. Andersen
735808	111557	Moderen/Mother
735808	117903	Fru Thygesen
735808	121457	Elly
735808	125628	Hjemmehjælper
735808	138461	Permands kone
735808	138688	Lisa
735808	151239	Anna
735808	152704	Elin
735808	166265	Magdelone
735808	170392	Madam Olsen
735808	178731	Madam Olsen
735808	181736	Moster 'Bob'
735808	182626	Kirstens mother
735808	183314	Mor
735808	187617	
735808	198056	Leonora
735808	198064	Sara
735808	207547	
735808	208284	Gloria
735808	214367	Ejendomsmægler
735808	225686	Else Willumsen
735808	237286	Lis
735808	237291	Anne Marie
735808	239339	Bedemand
735808	256122	
735808	260961	Jakob and Lasse's mother
735808	268213	
735808	303747	Kate Suhr
735808	307601	Susse
735808	344672	Elisabeth
735808	387293	Vera Madsen
735808	389121	Fritze Krogh
735808	389594	
735808	397955	Inga, Bents Mor
735808	403379	Mrs. Svendsen
735808	408376	Lotte
735809	41308	Debra
735810	16660	Mrs. Oblanski
735810	18617	German Woman
735810	25868	Instructor with Glasses at Me
735810	40077	Miss Panucci
735810	44712	Woman at train station
735810	47974	Old Crone
735810	55463	Clara (a matron)
735810	79897	Margaret (Tom's secretary)
735810	83853	Queen Sofia
735810	90786	Elderly Woman
735810	108288	Bag Lady
735810	117015	Western Union Woman
735810	125862	Mrs. Johnson
735810	126589	Miss Martha Stone, Dean of Wy
735810	127621	Designer
735810	133953	
735810	137213	Carl's Aunt
735810	144989	Mrs. Miller
735810	150304	Anastasia Abernathy
735810	154849	Elderly Maid
735810	185931	Mrs. Newman
735810	193799	Mrs. Cannon
735810	194095	Aunt Ellen
735810	194269	Rose
735810	196871	Employment Agency Manager
735810	202952	Miss Crilly, Washington Churc
735810	203077	Spinster
735810	214961	Miss Millhouser
735810	215923	Madame
735810	220831	Librarian
735810	223733	Miss Amelia Evers
735810	235405	Patient
735810	239416	Bit Part
735810	264784	Mrs. Quigley
735810	278080	Secretary
735810	278766	Bit Part
735810	297136	Eva
735810	305934	Champion
735810	309286	Miss Elizabeth Jennings
735810	312003	Roseanne
735810	318160	Caldwell's secretary
735810	321390	
735810	323435	Felice Pickett
735810	323703	Prissy gossiper #2
735810	326770	Estelle Bonney
735810	327685	
735810	328619	Katrina, Witch/Eric's Mother
735810	330409	Mom
735810	343206	Miss Pinwhistle
735810	345944	Meg Maud, witch
735810	346914	Betsy
735810	350012	Helen Lawson's maid
735810	358031	Reformer
735811	92339	
735812	141955	Grandmother
735812	309211	Georgette
735813	51328	Stine
735813	290269	Manda
735813	321819	
735815	120381	Louise Holm
735815	123931	Grete
735815	211056	Lilian Berner
735815	223186	
735815	237288	Nete
735815	242450	
735815	244671	
735815	275218	
735815	307211	Kirsten Winge
735816	37192	Mrs. Campbell
735817	348044	
735818	22618	Mrs. Stewart
735819	82502	Deni Trion
735819	128288	Susie
735819	185397	Nurse
735819	216165	Susan Jamison
735819	223918	Connie
735819	232470	Helen Selleck
735819	238625	Linda
735819	314982	Joan
735819	321444	Erin
735819	349231	Barbara
735820	181135	Operations room staff
735821	352567	
735822	339330	
735823	225633	Fenja
735824	129720	
735825	20426	
735825	48550	
735825	119132	
735825	119149	
735825	134839	
735825	136207	
735825	178472	
735825	189750	Kitty Möller
735825	214172	
735825	223524	
735825	281207	Julia
735825	293873	
735825	308817	
735825	361453	
735826	114915	M
735827	18282	Jacinta (ten months old)
735828	110774	Julia Koenig
735828	290107	Magdalena
735828	343672	Tonie
735828	379493	Laura Haerlin
735828	379772	Sina (1995)
735828	380904	Stefanie Tümmler
735828	388571	Julia Koenig
735830	103157	Joven despampanante
735830	378958	Azul Ramayo
735830	383138	Bárbara
735830	393478	Camila
735831	124460	Stewardess
735832	97234	Ulli
735833	170136	
735834	63891	
735834	94222	Krystyna
735834	170383	Anna
735834	213898	Kasia Banachowa
735834	259838	Majka Jadwiga
735834	265080	Janicz's wife
735834	396863	Bronia
735834	402755	Anna
735835	472	
735835	14200	
735835	33134	
735835	51576	Fraulein Schneider
735835	105535	
735835	112214	
735835	120025	Frau Bernays
735835	138906	
735835	141955	
735835	151098	Freda Kassel
735835	182146	
735835	184505	Frau Koczebrowsky
735835	191783	Mrs. Minkel
735835	225633	
735835	238285	Frau Wenzer
735835	252574	Grandmother
735835	290716	
735835	292666	Olga
735835	316070	Mizzi
735835	325804	Frau Böhler
735835	337124	
735835	368033	
735835	394150	Einödbäuerin
735836	341086	
735838	79612	Alison
735838	176992	Script Supervisor
735838	192279	Blake
735838	325969	Karen Fuller
735839	286779	Martin als Baby
735840	17737	
735840	186957	
735840	270546	
735841	313132	
735842	144256	Agnes
735842	230169	Mirli
735842	325742	Rosa
735842	354718	Linde Winkler
735842	394049	Frau Turecek-Schoitl #2
735842	410813	
735843	352594	Frau auf dem Oktoberfest
735844	49985	Julia Sanders
735845	65474	Additional Voices
735847	399947	Charlotta Eriksson (2002-pres
735848	36522	
735849	93499	Heider
735849	108158	
735849	125169	
735849	336538	Ann
735849	354371	
735849	388290	Helga Schneider
735849	388783	Helga Schneider
735850	390812	Dr. Rebecca Scheele (1994-199
735851	400346	
735852	234280	
735853	384368	
735854	18501	
735855	139711	Hübsche Kollegin
735856	42620	
735856	106540	Anna
735856	274118	Limmer
735856	391843	Auschwitz Kapo
735857	92767	Woman Fighter
735858	346258	Bar Patron
735859	18392	
735859	389955	
735860	387531	Tani
735862	244083	Hélène
735862	247157	
735862	356363	Jackson
735863	306100	Sona
735864	237236	Herself
735865	153547	
735866	273409	Michelle
735867	175323	Marion
735868	2762	Performer and Winner Leading 
735868	2780	Herself - cast of 'Chicago'
735868	2810	Presenter
735868	7086	Felinet
735868	7155	Thubelina's mother
735868	11201	Anabelle
735868	11203	Anabelle
735868	36824	Alison Ritchie
735868	49026	Countess di Frasso
735868	57654	Hooker
735868	60347	Herself
735868	75282	Francesca
735868	79202	Dorothy Parker
735868	80958	
735868	88177	Julia Manchevering
735868	106444	Sylvia Marpole: the Head Coll
735868	107265	Principal Valerie Drake
735868	123366	Joanna Bourne
735868	126747	Trix
735868	134017	Lauren Adler
735868	151616	Lana Jong
735868	156872	Herself
735868	157909	Herself
735868	170522	Aunt Nora Shepherd
735868	175540	Herself
735868	175541	Herself
735868	189325	Ada Kurtzman
735868	202389	Det. Dana Harris
735868	223077	Herself
735868	223904	Velma Kelly
735868	223905	Herself
735868	246687	Margaret
735868	289222	Mrs. Evans
735868	309664	Last Woman on Cell-Phone
735868	313090	Herself
735868	318763	Gloria
735868	322886	Diane Lodder
735868	347688	Susan Maxwell
735868	366925	Gloria Allred
735868	379568	Mirage
735868	379707	Anabelle
735868	383994	Dr. Lilith Sternin-Crane (198
735868	385905	Nikki Masucci
735868	387309	Member of the Whitney Dance T
735868	395276	Tracy Kibre (2005 -)
735868	411139	Tabba Schwartzkopf
735869	10205	Malvira
735869	12366	La bouchère
735869	16434	Néné
735869	43444	Chantal Dupré
735869	48353	
735869	58329	Geneviève
735869	72387	Granny
735869	77818	Christiane
735869	91912	La réceptionniste/Receptionis
735869	148771	La postulante pour l'appartem
735869	169326	Christiane
735869	183235	Woman on Paris Street
735869	199564	Helene the Cook
735869	228317	Sandrine
735869	229052	La passagère de l'avion
735869	243345	
735869	246017	Flora
735869	246306	La collègue d'Anne
735869	254147	La fermière
735869	275634	Zora, la sorcière
735869	283036	Wilhelmine
735869	294815	
735869	306119	La patronne du café
735869	345061	
735869	345225	L'infirmière
735869	345332	Bénédicte
735869	346780	Waitress
735869	354907	Yolande
735869	356521	L'assistante sociale
735869	357074	Mimi
735869	357092	Lili
735870	223314	
735871	74897	Herself
735871	131029	
735871	317630	Zena na hrbitove
735871	380332	Diana Rodrigues
735871	407055	
735874	376717	
735874	385352	La boticaria
735874	394150	Schuta
735875	400690	
735876	390778	Reine (Davidson)
735876	399130	Lana Crawford (2004-)
735876	411080	Elizabeth Hawke
735877	319318	Hilkka
735878	223514	Tyttö polttareissa
735879	405292	Haltia/Keiju
735880	18452	
735880	144054	Second Ms. Salminen
735880	153756	Riitta
735880	171422	
735880	171588	Maid
735880	174477	Arviida
735880	184070	Elli
735880	232772	
735880	258847	Young lady
735880	258986	Jake's mother
735880	266752	Eila
735880	267126	Riika Romppanen
735880	303708	Sanny Kortman
735880	341543	Home aid
735880	343394	
735880	349734	Kirsti's guest
735880	349948	Party guest
735880	350822	Kaarina Sarkalahti
735880	356116	Woman at the dances
735880	377313	
735880	390996	Liisa
735880	409089	Mother
735881	180384	
735882	214721	Herself
735883	223514	Tanssiva nainen 2
735884	288850	Liene
735885	171042	
735886	55745	
735887	176864	Nurse Nanco
735888	41211	Party Guest
735889	264734	
735890	55795	Ann Bigelow
735891	85992	Victoria Ampolski
735892	268867	Yvonne
735893	26968	Shirley Curzon
735893	49637	Second Mother at School
735893	92655	Mina Harker
735893	153118	Midge Lammerton
735893	219742	Mrs. Beth Scott
735893	226916	Janet
735893	231113	Blonde
735893	261038	Isabel Archer
735893	291488	Isabel Fezziwig
735893	367952	Beryl Wittaker
735893	370874	Deanie Webb
735893	381981	Tessa
735893	389123	Holly Dartie née Forsyte
735893	405715	Grace Maskew
735893	411185	Ethel Brown
735894	98888	Herself
735895	374885	
735896	352640	
735896	389097	Herself
735897	47834	Leen
735897	243681	Paula
735897	410772	
735898	166916	Alice, Johanna, Heike (VO)
735898	362640	Petra
735899	260140	Airport Girl 2
735900	18140	
735901	195842	
735902	277440	Student Pianist
735903	254073	Babou
735904	46938	
735905	115343	Mlle Schwob, la secrétaire
735905	118415	Isabelle
735905	268396	Delphine de Nucingen
735905	402846	France
735906	393351	
735907	355764	
735909	28946	
735910	212136	
735911	10253	
735912	393351	
735913	69299	
735914	385023	Laura Nascimento Rangel
735915	344815	(segment "Vida Nova Por Acaso
735916	189305	(segment "Angélica")
735917	7236	Anotadora
735918	381246	
735919	64658	Azala, Goddess of Air
735920	58148	
735920	83288	
735920	341137	
735921	13614	Maria
735922	344851	Marta
735923	218240	Sara
735923	379514	Sílvia
735923	380332	Mariana
735923	383389	
735923	386523	Carolina
735923	395865	Milu
735923	402638	Maria da Gama
735923	403429	Maria João
735924	52070	Dancer
735925	57405	La Fondue
735926	408592	Tiffany Toledo
735927	150748	
735928	96026	Playgirl
735928	336461	Play Girl 2
735929	36713	Little Bo Peep
735930	238704	The aunt
735930	291150	Mrs. Spencer
735930	315118	Mlle. D'Ormy
735930	366735	Isha
735931	65809	Kelly
735931	309860	Nurse
735932	241141	Girl in coffin
735933	91953	Reporter #1
735933	159486	Newscaster
735933	167691	Newscaster
735933	195341	Nurse
735933	344514	The Anchorwoman
735933	366821	Marsha
735933	380682	Host
735933	388088	Herself - Co-anchor (1994-199
735933	389190	Correspondent (1998-)
735933	390316	Hostess (2004-)
735934	29003	
735934	113584	Irene
735934	133635	Dot
735935	22808	Woman at airport
735935	46990	Jane Travers
735935	65825	Magistrate
735935	85632	Nurse Fisher
735935	110353	Mrs. Mitchell
735935	263791	Mrs. Howard
735935	313707	Mrs. de Ville
735935	385299	Mrs. Maclin
735935	400082	Mrs. Simmons
735935	401381	Mother
735936	279335	Jordan
735937	33742	One of 'The Thirty Women'
735938	152514	Girl 6
735939	39129	Rowena Batts
735939	286136	Pip Lawson
735940	79340	Herself
735942	85927	Jessie's Mother
735942	146156	Mrs. Seton
735943	79340	Herself
735944	234594	Miami Usher
735945	182948	Women's Army of Revolt/Citize
735946	222597	Rehearsal actress #12
735947	79340	Herself
735948	135981	Elaine Jenkins
735948	137206	Mamie
735948	150765	Evie
735948	183706	Liza at 5 and 7
735948	262265	Little girl in newsreel theat
735948	355103	Jane Wood
735949	86445	
735950	255862	Florence
735951	19808	Danchuk
735951	26981	Bohemian
735951	54953	Klara
735952	75699	
735952	122990	Plasmid
735952	380373	Gilly Jones
735952	382932	Marlene Pyke
735952	387533	Rebecca Cairns (1997-1998) (1
735952	388208	Mary
735952	393491	Sister Prior
735952	401224	Belinda
735952	405988	Molly Pentreath
735953	185283	
735954	63834	Eileen
735954	70566	Liz Peters
735954	320758	Titty, Swallow
735955	8945	Reporter
735955	71682	Elizabeth Harcourt
735955	396080	Linda
735955	401381	Anthea
735956	79340	Herself
735957	345784	Herself
735958	140371	Terri Sayles
735958	196481	Anne Sheridan
735958	283582	Angela Robinson
735958	299870	Dawn/Daughter
735958	378869	Nikki Hudson
735958	380319	Rachel Berenson
735958	390775	Missy Carrow
735958	392420	Brenda Hadley
735958	404884	Claudia Marinelli
735959	35744	Abbey
735959	166728	Monika
735959	366680	Alexa
735960	366754	Rose
735961	26009	Ruby
735961	73989	Dorcas Bellows
735962	16644	Dr. Norberg
735962	27210	Eleanor Poulgrain
735962	51794	Black Eye
735962	54959	Lila
735962	56618	Federal Court Judge
735962	59244	Mrs. McCready
735962	69321	
735962	70425	Robyn Lukas
735962	99824	Kate Rogers
735962	101704	Councillor Dillard
735962	112401	Mary
735962	117100	
735962	118472	Connie
735962	131747	Kate
735962	134137	Mum
735962	137565	Angela Halifax
735962	137784	
735962	138421	
735962	162294	Jenny Doolan
735962	189355	Sister Caroline (segment "The
735962	196902	Anne-Marie LePine
735962	207989	Councillor Dillard
735962	207991	Councillor Dillard
735962	276249	Wiley
735962	296947	Mrs. Hanlon
735962	360004	Shasta
735962	381608	
735962	381641	
735962	386463	Lady Kerr
735962	404927	Sloth
735963	102580	Business Person at Work Build
735963	314812	Officer Kate Morgan
735963	379716	Cecily Davidson Kelly Brent (
735964	26009	Gran
735965	61320	Pastabilities
735966	321154	Frug dancer
735967	344	Solly, Woman Promoter
735967	4544	
735967	61576	Lenore Beavier
735967	78943	Maggie Hancock
735967	80606	Mrs. Stillman
735967	90320	Dr. Samuel
735967	92315	
735967	104549	Barbara Collins
735967	113411	Dr. Lisa Farrow
735967	135591	Marilyn Sheppard
735967	164657	Janet Bouvier Auchincloss
735967	165107	Sigourney Tompkins
735967	207155	Pam Albright
735967	219176	Frances Harrington
735967	221326	Mary Lant
735967	245606	
735967	248185	
735967	261427	Ellen Sumner
735967	301763	
735967	304822	Dr. Rissner
735967	313423	Son'a Officer #2
735967	323487	Andrea
735967	329983	
735967	329984	Carrie Mason
735967	341515	Page Hiller
735967	364847	Margaret Silverstein
735967	381576	Angela Aries
735967	391224	Margaret Thompson
735967	392297	Courtney Fielding
735967	396937	Barbara Huffman
735967	397401	Constance Fielding (1993-1997
735967	403284	Judy Franklin/Nova
735968	365509	Ulama Girl
735969	395290	Fetaured Peformer (1965-1969)
735970	113286	Child
735971	174922	Ustinka
735971	212114	Neli
735971	300490	
735972	26064	Sheep
735972	80759	Vicki
735972	81196	Gladys Hosking
735972	92048	(English language version)
735972	109698	Helen Moore
735972	154984	Vera
735972	166738	Drug cop 3
735972	222831	Deidre Chambers
735972	301945	Woman Veteran
735972	315909	Elizabeth Barrett
735972	316140	Therapist
735972	323385	Pam
735972	341759	Club Owner
735972	400775	Alice Drummond
735972	412051	Peta
735973	134290	Farmer's daughter
735974	117210	Elsie Lockwood
735974	118551	Signorina Signorelli
735974	125077	Sluttish woman
735974	144809	Bishop's Wife
735974	159435	
735974	190455	Signora Naccarelli
735974	195745	Amanda's Mother
735974	221245	Mrs. Hilberry
735974	232272	
735974	271331	Sarah
735974	277800	Elsie Siddall
735974	278478	Helen Kroger
735974	284583	Ida Strauss
735974	312168	Mrs. Zanfrello
735974	352725	German Frau
735974	368012	Mamma
735974	372733	Hotel Receptionist
735974	379354	Various (voices)
735974	381981	Mrs. Winters
735974	393321	Colonels Wife
735974	393476	Abigail
735974	396965	Deaf Cousin
735974	402212	Frau Ehrlich
735974	406434	
735974	410582	Woman at Weir Courteney
735975	134017	Immigration Clerk
735976	273794	Staffer #2
735977	282545	Saloon Guitar Player
735978	311520	
735979	223649	Ruth Wilcox
735980	8711	
735980	211444	
735980	216406	Ida Borovitz
735981	198137	
735982	89794	
735982	94995	
735982	198137	
735982	248324	
735982	250397	Sachka
735982	264974	Katia
735982	265069	Ekaterina Kirillovna
735982	266161	
735982	294370	
735982	297224	
735982	297857	
735982	306647	
735982	309423	Natasha
735982	343950	
735982	354374	
735982	357459	
735982	373777	
735982	374877	
735983	409360	
735984	204007	
735985	94050	
735986	239364	
735987	144536	Old Lakota Woman
735988	312302	Mrs. Weissburger
735988	315271	Sylvia
735989	10535	Nan
735989	17555	Miss Hull
735989	48739	Mrs. Wilson
735989	50932	The Aunt
735989	97718	Chorus of Nobility
735989	255285	The Aunt
735989	302954	Mrs. Tevitt
735989	323825	Katja Mann
735989	330377	Felicity
735989	347348	Narrator
735989	360469	Mrs. Grant
735989	366988	Miss O'Brien
735989	388895	Mrs. Crane
735989	400035	Vera Plumtree
735989	406197	Ruth
735989	411778	Mabel Wheeler
735990	108600	Goth
735991	308569	Woman at Dorsey Club
735992	23447	Counter Girl
735993	10833	Nadia
735993	12327	Crystal
735993	14223	Tina
735993	17605	Eve Duncan/Ghost
735993	20373	Bikini Assassin
735993	38866	Actress in towel
735993	55162	Anna
735993	92560	Alliana
735993	109076	Dahra
735993	130410	Billie
735993	143280	Fan
735993	177422	Sue
735993	192777	Escort
735993	224079	Claudia
735993	295916	Candy
735993	300533	Music Video Woman
735993	334175	Blonde on the Beach
735993	348303	Merino's Secretary
735993	368707	Sally
735994	99233	Herself (workshop-assistentin
735995	44764	Adeline
735995	104683	Charlotte
735995	165421	Jenny
735995	314658	Elaine Keefer
735996	230820	Model
735997	82683	Crypt Keeper starlet
735997	141435	Darla
735998	41746	Kim
735998	208415	Pierson
735998	345885	Sabrina
735999	162529	Sarah
736000	175140	Mrs Burgess
736001	78161	Marie Baird
736001	210892	Cora
736001	347343	Jo
736002	347531	
736003	154574	Janine
736003	249517	Reporter #2
736003	263760	Officer Judy
736003	342464	Miss Green
736004	47236	Additional Voices
736004	78785	Vocals
736004	165260	Vocals
736004	267536	Vocals
736004	318687	Debbie
736004	342659	Vocals
736004	393424	Jerrica Benton/Jem
736004	408730	Ariel/Elise Presser (1985-198
736005	55551	Cousin Nettie (Nettie Fowler)
736005	327669	La Madrecita
736006	233674	Lizzie
736006	345855	Anne Melon
736008	330274	Griffin's sister-in-law
736009	397395	Herself
736010	14141	Sally
736010	67559	District Attorney
736010	120202	Reporter
736010	141164	Angela Barclay
736010	192545	Secretary
736010	263498	Black woman
736010	276470	Angela
736010	318186	Nurse Joan
736010	337404	Press Secretary
736011	301614	Lorna Webber
736012	140011	Herself
736012	140019	Jamie
736013	184403	WAAF at Dance
736014	44565	Arrietty 'Ett' Clock
736014	358653	Susan
736015	95785	Pledge
736016	196872	Irish Step Dancer #6 (crowd)
736017	209209	Featured Zombie
736018	248143	Karen (Anna's school friend)
736019	53058	Rachel
736019	103910	Mysterious Caller/Computer Vo
736019	176932	Venom
736019	188476	
736019	360027	Mud Dog Cheerleader
736020	296266	Candy
736020	346016	Wincott
736021	252293	Julie Cross
736022	120108	Janna
736022	257014	Fur Woman #1
736022	411045	Herself
736023	226937	Slave to the Composer
736024	176830	
736025	176832	
736026	44496	Cathy Castle
736026	137560	Margaret Masters
736026	177232	Julie
736026	191074	
736026	385571	
736026	387203	Virginia Travis (1991)
736026	391869	Jackie West (2002, 2003)
736026	396001	
736026	399816	Theresa
736026	402197	Hannah Simpson (1982)/Wendy G
736026	403244	Alison Clark
736026	403431	
736027	37786	Kate Axelrod
736027	80553	Carry
736027	80724	Heather
736027	108319	Nick's Wife
736027	203290	Kit Aldridge
736027	274069	Chromalux Secretary
736027	283713	Gambler
736027	340857	Secretary
736027	347327	By-Stander
736028	209592	Telephone operator
736029	126492	Student #2
736029	252912	Marjorie
736030	38930	Officer at crime scene
736031	339380	Militant Indian lawyer
736032	93237	Celephais Chief Cat, Inganok 
736033	40235	Mimi the Policewoman
736033	40236	Mimi, policewoman posing as d
736034	79285	Destiny
736035	1703	Herself
736036	31838	Joan Teague
736036	94767	Lady Faversham
736036	380344	Madame Kartasova
736036	385922	Joan Shanks (1983-1985)
736036	395384	Various roles (1985)
736037	321444	
736038	363729	Latecomer
736039	132228	Shelley Fan
736040	404880	Nurse Stephanie/Melanie
736040	405209	Nicola Halley (1996, 2000)
736041	79049	Vampire
736042	69915	Hitchhiker
736043	115378	Superstar Porn-Queen
736044	144863	Janet Munchausen
736044	150713	
736044	329113	Henrietta Dukes
736045	368417	
736046	5585	French Girl
736046	55698	Nurse in Surgery
736046	55699	Pvt. Murray
736047	75526	Nightclub pickup
736047	82924	Cheeky Brunette
736047	371087	Kim
736048	253358	Landlady #2
736049	195640	Wedding Photographer
736050	190261	Dini Harrison
736051	37261	Receptionist
736051	113803	Young Emily
736051	257264	Owen's wife
736052	118685	Lilian Hamilton
736052	206338	Jacqueline Heron
736052	316082	Helen Rollins
736052	367899	Mona
736053	191994	Teacher
736054	232360	
736055	69232	Juror
736055	218785	Cheryl's Friend #2
736056	40494	Femme
736057	86526	Bunny Girl
736057	161556	Girl
736057	257340	Girl in Van
736057	396981	Various Characters
736058	241079	Mrs. Wilbur
736059	252480	Mrs. Wigmoe
736059	360479	Mrs. Samson Platt
736060	214695	Woman
736060	330664	Matron
736060	337846	Mrs. Ryder
736060	347109	Miss Ellis
736060	365547	Maw Smithers
736061	37024	Jackie
736061	108386	
736061	126705	Job Counselor
736061	127834	Dr. Bernice Sampson
736061	239891	Lady Reporter
736061	301753	Emily
736062	379505	
736063	355242	Herself
736065	59375	Carla Pane
736066	344151	Fat Little Girl
736067	12392	Jenny Moore
736068	92285	
736069	326596	Arm Wrestling Woman
736071	62498	Performer in Gypsy Café Seque
736072	352405	Woman in Nightmare
736073	122052	Roadside diner owner
736073	228819	Gwendolyn Kingston
736074	37392	Barking Girl
736075	323728	Pulchitruda, the stepmother
736076	366253	Lynsey Dyson
736077	71176	
736078	87336	Mama Bridges
736078	170314	Louella 'Mama Lou' Holiday
736079	114656	
736080	114271	Marie the waitress
736081	124014	Additional Voices
736082	167559	Mrs. Banks
736148	258079	Junet
736082	169491	Mrs. Plimmer (episode 'The La
736082	185390	Mrs. Iseley
736082	189529	Jane St John
736082	192567	Margaret Martin
736082	290356	Georgette, a countrywoman
736082	315109	Mrs. Hewitt
736082	385299	Edna Reed
736082	386604	Meg Owens
736082	387786	Mrs Warner
736082	394401	Miss East
736082	406936	Mrs. Jordan
736083	392771	Caroline
736084	232493	Rusty
736085	382838	Cathy Walker (1984)
736085	386963	Lynette Baker (1997-1998)
736085	390913	
736085	392546	
736085	404046	Polly
736085	404302	Cathy
736085	404558	Katrina
736085	409783	Claire
736086	47060	Pattie
736086	91936	Andrea Cleasant
736086	152722	Esmeralda
736086	190721	Alice
736086	244318	Alma Carver
736086	285703	Genevieve
736086	379153	
736086	380568	Dillian
736086	384441	Final Cleopatra
736086	385020	Gill Gregory (2001-2002)
736086	388320	Chantal
736086	393209	Maggie
736086	410961	Mary Seaton
736087	151732	Cuddlebutt
736088	202784	
736089	155028	Girl
736089	167707	Blonde
736090	297548	Shannon
736091	212051	Bank Teller #1
736092	290971	Gail
736093	28481	Extra
736094	304476	Sigurds barvenninne
736095	143724	
736095	156664	Marias Töchterchen
736095	344742	Lydia
736096	329899	
736097	310376	Bus Woman
736097	318174	Old Lady #2
736098	281182	Lily
736099	133432	Miss Lay
736100	226144	Doreen Stockwell, as a child
736101	30474	Narrator's Date
736101	159490	Kylie Hamilton
736102	409831	Additional Voices
736103	51975	Inmate
736103	333851	Bit Part
736103	354859	Dorothy, Librarian
736104	185587	Debbie
736105	39951	
736105	50531	
736105	188069	
736105	266168	
736105	316147	
736105	321039	
736105	358585	
736106	380826	Co-host
736107	169139	Wife
736108	118327	Demeter
736108	305710	Frosty Posse Follower
736108	371374	Extra
736109	371374	Cindy
736110	267604	Girlfriend in stream
736110	368405	1st Whore
736111	201506	Herself
736112	80592	Mrs. Bookman
736112	355539	Mrs. Harkwick
736113	14059	Herself
736114	58483	Girl at ticket counter
736114	80436	Jamie
736114	106026	Decaf Mochacino
736114	330323	Pagans #2
736115	194691	Buddy
736116	276874	Mrs. Elliott
736117	254268	Elizabeth
736118	342531	Nikki
736119	95486	Extra in Church
736120	342619	Self
736121	99829	Lady in Park
736122	362356	
736123	351502	Bonnie Cusack
736124	328301	Mrs. Johnson
736125	191973	Diane
736125	209237	Commentator 3
736125	232456	Sheila Kopecky
736125	237604	Young Marguerite
736126	57928	Porn Site Woman
736126	79272	Dater
736127	80416	Photo Artist
736128	30678	Patient
736130	99545	
736130	204800	Receptionist
736131	331133	Bebe Doree
736132	273876	Elizabeth Banner
736133	43895	The Girl
736133	401239	Celine Dion
736134	380387	Lavínia
736134	384922	
736135	35540	California Girl #3
736135	160637	Dancer
736135	323879	Linda Lee
736136	53273	Thumbelina
736136	363011	Herself
736137	196549	Nikki Noodleman
736137	286129	Egyptian Girl
736138	72901	Baby Food Killer
736138	86591	Herself
736139	355670	E.R. Nurse
736140	94858	Mrs. Burridge
736141	276969	Joyce
736141	300000	
736141	300004	Esma
736143	177015	Ipcress Files Band Guitarist 
736144	46372	
736144	265100	Friend #1
736144	389937	Cassie
736145	267988	
736146	21783	Hayley's Mother
736146	116884	Herself/Hazel Bailey
736146	263970	Ann Canty
736146	383056	Sandra Hollins
736146	388321	Linda Renshaw (2001)
736146	389042	Hazel Bailey
736146	391484	Rev. George (2004)
736146	408637	Lynn Southy
736147	30202	
736148	41311	Elizabeth
736148	95211	Vickie
736148	184769	Lapdancer
736148	231835	Kat
736148	289425	Jane
736148	289426	Erika Johannsen
736148	289427	Shannon/Randi
736148	295719	Natalie
736148	295720	Rivero's Girl #2
736148	295721	Vanessa
736148	295723	Melissa
736148	295728	Monica
736148	295729	Sarah Newman
736148	295730	Sandy
736148	355116	Andrea/Juliet
736148	355157	Molly
736148	410422	
736149	19436	Sophia Rishis
736149	190878	Nurse
736149	233920	Miss Blackford
736150	35213	Shawn
736151	301073	Nina
736152	346413	Herself
736153	134662	
736154	236972	Toy Theater
736155	187226	Interview girl
736155	194727	Paco's Girl
736155	224379	Cheerleader
736156	164446	Child
736157	292148	Militia Child
736158	93080	Girl in Closer
736159	82696	Cyndi
736160	274258	Talking Head #2
736161	172574	Bicyclist
736162	64838	Yvonne Jacobs
736162	117741	
736162	202604	(segment "Raya")
736162	272990	
736162	288118	Karima
736162	355639	Ann
736163	355597	Young Woman
736164	311342	Young Marie
736165	391869	Olivia Richards (#2) (1998-19
736166	230658	Eve
736167	66396	
736168	88965	Nurse Regosi
736169	38261	Kathy
736169	91594	
736169	242938	Marcia Delury
736169	281177	Lady Capulet
736169	367446	Laura
736170	128245	Lingerie salesgirl
736171	71923	Joleen Serling
736172	217941	Lady Franklyn
736172	239560	Annette Alborough
736172	280391	Polly Hinton
736172	316771	Mrs. Fairweather
736173	923	Herself (eyewitness)
736173	33419	Herself (shields son)
736173	34648	Herself (shields son)
736173	47758	Herself (onlooker, with husba
736173	94668	Herself
736173	283721	Herself (witness to assassina
736173	337129	Herself (shields son)
736173	397430	Herself (witness)
736174	11560	Makepiece's Secretary
736174	31838	Rebecca
736174	46444	Neighbour
736174	292143	Joan Dennistoun
736174	304804	Janet Erskine
736174	379593	Mrs. McKewan (1969-1970)
736174	381107	Miss. Rainbow
736174	382305	Emily
736174	385299	Constance Merrow
736174	387984	Hilda Hughes
736174	396114	Madge Dent
736174	396797	Grosvener
736175	153151	Mrs. Coombs
736176	32740	Teenage Mary
736177	33080	Jessie Nash
736177	314657	Nurse Zenia Zane
736178	77215	Lab assistant
736178	367854	Lorraine Horrocks
736178	385020	Lorraine Brownlow (1998-1999)
736178	385301	Sarah Jane Harvey (2001-2002)
736179	95101	Vivian
736180	219963	Mrs. Antrobus
736181	21899	Jade
736181	21900	Asian Babe
736181	158928	
736182	56871	Monica
736182	121497	Bo
736182	192678	Audrey Gersons
736182	208873	Emily Harriman
736182	313362	Katie Swellhead
736182	354851	Amanda
736182	360686	Teri Landry
736182	389858	Kristina Carter Cassadine (20
736183	209170	Dancer
736183	394318	Regular Performer
736184	133402	Dancer
736184	252242	Dancer
736184	375047	Dancer
736185	282568	Tenant
736186	169644	Lady
736187	47130	Nurse Advisor
736188	188388	Anal Retentive Mother Lawyer
736189	403067	Joanne
736190	264785	Mary Magdalene (in Howard's c
736190	270622	Ruthie
736191	26525	Pam
736192	44450	Hooker (Villa Dulce)
736192	70512	Leslie's Friend
736192	80821	Rosie
736192	368687	Amy, Ch 5 Secretary
736192	391835	Talking head/soundbites (segm
736193	118677	Local Radio Voice
736194	99968	Ruth
736194	240754	Ruth
736195	82545	Denise Bloom
736196	127238	Megan
736197	278774	
736198	12320	Sherry Rogers
736198	13990	Teenage Louise
736198	34774	Herself/Various Characters
736198	34846	Herself/Various Characters
736198	42310	Herself
736198	62836	
736198	68092	Shawn
736198	69290	Laarta
736198	69291	Connie
736198	82666	Professor Harris
736198	96590	Conehead
736198	100993	Elizabeth Wilberforce
736198	110251	Frog-Eyed Woman
736198	115568	Susan Rock
736198	116040	
736198	127680	Herself
736198	143248	Barbara
736198	154969	Casting Director
736198	161714	Ellen Gardner
736198	167698	Hostess
736198	167866	First Lady
736198	168472	Herself
736198	171052	Sylvia
736198	181996	Additional Voices
736198	216878	Aunt Polly
736198	218415	Additional Voice
736198	221021	Herself
736198	224371	Cynthia Fisher
736198	226956	
736198	252825	Linda
736198	265101	Lawanda Dumore
736198	270587	Flo
736198	277101	Carol Spencer
736198	283106	Samantha Shane
736198	283895	Bertha Bimini
736198	288700	Herself/Santy Wrap Commercial
736198	288702	Herself
736198	288703	Herself
736198	288705	Herself/Various Characters
736198	288707	Rosalyn Carter
736198	288717	Herself/Various Characters
736198	288719	Herself
736198	295006	Mommy Dodo
736198	306141	Herself
736198	313583	Film Executive
736198	314599	Herself/Various
736198	317544	Other characters
736198	330436	Herself
736198	330912	Louise Bellini
736198	341758	Sonja
736198	358285	Mother
736198	360505	Donut Rooter
736198	364446	Zoey/Zerelda
736198	365458	Additional Voices
736198	366739	Elaine
736198	379710	Samantha Shane
736198	380715	Lois Foutley
736198	383350	Chief Usherette/Host
736198	388202	Coral
736198	390647	Various voices
736198	391619	Charity Bazaar/Miss Informati
736198	396734	
736198	400450	Madame Butterfly
736198	402234	Additional Voices
736198	404337	Various (1975-1980)
736199	59721	Gwen
736200	244359	Mrs. Moore
736201	391869	Olivia Richards (#2) (1998-19
736202	227342	George Fayne
736203	220775	Young India at the pool
736203	293085	Janey Quinn
736204	297979	Christine
736205	279611	Gracey
736205	391869	Wendy Reynolds (1990)
736206	123420	Marsha
736207	61765	The Children of the Corn
736208	335277	Nurse #1/Vocal chorus
736210	126646	April Brodey
736210	241285	Olivia
736210	277106	Muffin Sheridan
736210	279145	Julie
736210	345948	Charlotte Langdon
736210	403550	Dana Sterling
736211	220775	Young India at the pool
736211	293085	Janey Quinn
736212	310800	Debbie
736212	342557	Nobu
736213	342557	Nobu
736213	394325	Ricket
736213	396501	Rinpun, Kojin
736214	216240	Cosette - Aged 8
736215	253065	Girl in the Chair
736216	163309	Gambling Casino Habitue
736217	23926	Audience Member
736217	39971	Mabrouka
736217	54555	Helena
736217	80651	Girl
736217	100952	
736217	107180	Janet
736217	150977	Joan Trevor
736217	160958	Velvet Brown
736217	167014	Jessie
736217	169398	Jill Collins (episode 'Paper 
736217	182947	Girl at End
736217	186639	Elizabeth
736217	195464	Kate Goonahan
736217	199871	Irma
736217	202920	Lady Alex Ackerman
736217	224714	Mrs. Crisparkle
736217	238506	Sally Athelny
736217	238991	Nurse
736217	246724	Mary
736217	253452	Sally
736217	256818	Mary
736217	270977	Jill Matthews
736217	273640	Josey
736217	276363	Woman in Car
736217	291886	Mrs. Clayton
736217	314443	Herself/Carol Van Sant
736217	314444	Carol Van Sant
736217	342462	Joyce
736217	363675	Girl Upstairs
736217	368924	Valerie
736217	368928	Julia Finsbury
736217	389513	Presenter
736217	395196	Liz Jackson
736217	395419	Judy
736217	402305	Eve Henska
736217	406482	Robin Lendrick
736218	396082	Girlfriend One
736219	141197	Mary Murray
736220	63125	Guest #1
736220	117108	Jessica
736221	297672	Victor's Girl
736221	314441	
736222	321275	Mrs. Fisher
736223	223026	Lucy
736223	256632	Estrella
736224	32044	Judy Miller
736224	47385	Herself
736224	50981	Miss Mandelbaum
736224	114364	Sylvia Rosen
736224	116499	Stella Deems
736224	152572	Iris Silk
736224	163248	Judith Penn
736224	171131	Maggie
736224	175534	Herself
736224	188426	Kathy Abbott
736224	204553	Mrs. Hesire (Emmy's Mother)
736224	242113	Faith's Mother
736224	255264	Juanita Badger, Cool Girl
736224	263439	Mrs. Gelbart
736224	289293	Lynn
736224	292647	
736224	334170	Betty McCarthy
736224	349632	
736224	384729	Ginny Hale
736224	386255	Doris Hudson
736224	400236	Renée Divine Buchanan Buchana
736224	407940	Herself
736224	408365	Herself/panelist (1962-1965)
736225	53059	Farmers Girlfriend
736226	3101	Girl
736227	271318	Barbara
736228	389633	Debby
736229	218364	Little Girl
736230	41138	Bargirl #3
736231	224192	Showgirl
736232	90117	Harem Girl
736232	133477	Andrea
736232	187886	Naked Cellist
736232	189236	FBI Agent McKevitt
736232	281596	Rosa
736232	341946	Sarah
736232	347453	Suzie (video store clerk)
736233	48729	L.A. Girl
736233	86467	Singer
736233	123404	Wedding Singer
736234	95486	Asylum Extra
736234	100937	Chess fan
736235	355596	Young girl on ship with Luke
736236	304528	Pharmacist
736237	154709	Janis Goldman
736237	360741	Chris Clinton
736238	297791	Folk singer
736239	41266	Young Isabelle
736240	326755	New Catgirl #1
736241	65134	Dancer
736242	128896	Henrietta
736242	215534	Bit Part
736242	240772	
736243	47004	Additional Voices
736243	265747	Paula
736243	271192	Voiceover
736243	311284	Voice Talent
736244	59456	Mrs. Mitchell
736245	269815	Hector's Niece
736246	223349	Estelle
736247	339354	Jury Forewoman
736248	155544	Ida Lucas
736249	310648	News Announcer
736250	16729	Diana
736250	34701	Janet
736250	81222	Judge Feinberg
736250	98659	Sam MacDonald's wife
736250	141097	
736250	142716	Mrs. Quint
736250	204358	10th-Floor Nurse
736250	276850	
736250	331768	Miss Thompson
736251	361864	Kylie
736251	391869	Narelle Smart (1989)
736252	280629	Jesse
736253	87432	Neuter Yuppie Woman
736253	140953	Train station reporter
736254	28938	Salon Model
736254	67580	Lisa Chambers
736254	77580	Miss McKenzie
736254	81902	Lady Elaine Wentworth
736254	82602	Primary specialty dancer
736254	105455	Dr. Zarma
736254	110998	Lilah McGuinness
736254	117098	Bonnie Brasher
736254	147957	
736254	153650	Venecia
736254	155927	Judy's Mother
736254	171134	
736254	183338	Herself (Too Funky Video)
736254	184562	
736254	189153	Stupefyin' Jones
736254	199085	Hesh-Ke
736254	202533	Carlotta Ravenswood
736254	206404	Katrin Sveg
736254	208887	Adrienne Redman
736254	219901	Toy Company Director
736254	237820	Miss Kitty
736254	237823	Miss Kitty
736254	274609	Toy Company Director
736254	276892	Arizona Bar Owner/Herself
736254	281386	Lili Marlene
736254	294835	The gilded girl
736254	295282	Dorcas Gailen
736254	304637	Dancer-Assassin
736254	306649	Herself
736254	316793	Queen Bee
736254	328368	Chalane Turner
736254	329560	
736254	334385	Herself
736254	352733	Aleatha Westering
736254	398719	Rhoda Miller (1964-1965)
736255	85042	
736256	189404	Sandra Wentworth
736256	275390	Waitress
736256	390523	Miss. Hartley (1984)
736257	18612	Julie Calder
736257	51883	Marla
736257	61587	Stephanie
736257	185724	Jassie
736257	213861	
736257	252425	Debbie
736257	321774	Jessie
736258	316720	Marie
736259	168683	Amy Jo
736259	193975	Doris
736260	73835	Little Girl
736261	280699	Lisa Newmyer
736262	73902	Celia Moss
736262	151116	Sarah Todville
736262	280699	Satin
736263	294919	Mannish Woman
736264	116919	Teenage girl
736264	406679	Cecily Bradshaw
736265	99999	Showgirl
736266	130685	Airport Reporter
736267	67709	
736268	171127	Teenybopper
736268	298129	
736269	231333	Luann Weiner
736270	70884	Vicky McDonald
736270	166217	
736270	190003	Eliza Tharm
736270	297718	Paulette
736270	384097	Thea Bartlett (1990)
736270	385020	Vicky Arden/McDonald (II) (19
736271	233920	David Family Slave
736272	105803	Agnes Stewart
736273	16748	
736273	138965	Maxine
736273	175182	Receptionist
736273	315897	Ellen
736273	384888	Faye Reynolds
736274	195305	Sing and Jingle Children
736275	203918	Roving Reporter
736276	300344	Candace
736277	235012	First lady
736278	222300	
736278	272209	Sentaro's Grandmother
736278	306276	Queen
736278	379337	Additional Voices
736278	381477	Airazor (1997-1998)
736278	386922	Frieza (I) (1997-1998)
736278	389629	Additional Voices
736278	392964	Mistress Centipede
736278	394754	Harpy
736278	395762	
736278	397054	Ms. Belnine, Adult School Pre
736278	398464	Discastia XO
736278	398513	Heka
736278	402863	Daimonji Matriarch (season 5-
736278	405501	
736278	409380	
736279	382123	Herself
736280	246021	Rebecca
736280	383017	Host
736280	390771	Fantasy Daughter (2003-2004)
736281	134122	Heather Wegman
736281	270697	Member, The Miller Sisters
736282	214430	Colonist/Accused Witch
736283	257111	4-H Judge
736284	191196	Zombie
736285	273850	
736285	356277	Miss Quinn
736286	354200	
736287	37469	Abigail Vance
736287	40793	
736287	93195	Millicent, age 6
736287	214114	Mary (age 10)
736287	309496	Tommy Carr
736287	331686	Betsy
736288	378811	Tallulah 'Tally' Hunter
736289	382244	Herself (2004)
736290	32496	Dorothea the Dove
736290	279199	Midge
736291	206445	Student in Pageant
736292	168151	Job's Wife
736292	183229	Swan
736293	105176	Herself
736293	147796	Herself
736293	257111	Centennial Singer
736294	158587	Bartender
736295	118731	Herself
736296	4616	Mahala
736296	49514	
736296	379716	Colby Marian Chandler #2 (200
736297	303153	
736298	390335	Herself
736299	5908	Herself
736299	20537	Marion
736299	42222	Police Woman
736299	56971	Vicki
736299	245128	Carla Dupre
736299	277889	Girl in Park
736299	336442	Pal Kenzy
736299	384962	Jill Martin
736299	398742	
736299	403244	Trish Garrett
736299	406385	Pal Kenzy
736299	407189	Marg
736299	407616	Alice Blake
736300	235541	Heather Lynn
736300	270607	Cheerleader
736301	193622	London Town Dozen & One Girl
736303	242028	
736304	58937	Jean
736304	64056	Polly Benton
736304	261041	Mrs. Millican
736304	333102	Biddy Drew
736304	385020	Mary McKenna (1997)
736304	390523	Pamela Jenkins (1995-1998)
736304	406206	Jean Hayward
736304	410961	Dolly
736305	89160	Tasha
736306	25318	Aphrodite
736306	129048	Margie
736306	147064	Arcangela
736306	158553	Billy
736306	169540	
736306	267523	
736306	327914	
736306	327921	
736306	344592	Carol
736306	344605	Diane
736306	351068	
736307	11243	
736307	42542	
736307	46819	
736307	91082	Lillian
736307	97093	
736307	107867	Elsie Blair
736307	217939	
736307	223228	At Dance
736307	239561	Newsboy
736307	263981	
736307	367495	Mary, the gypsy girl
736308	276238	Addie
736309	11277	
736309	27319	Ma Brown
736309	32352	Bit
736309	41103	Mrs. Agnes Rogers
736309	51799	Lorelei Larson
736309	73172	Martha, the Maid
736309	73246	Mrs. O'Keefe
736309	83670	Angel
736309	85036	Karger's Nurse
736309	92230	Bit Part
736309	95834	Nellie Brown
736309	96614	Mrs. Flint
736309	99856	Governess
736309	103313	Mrs. Devon
736309	128790	Dr. Gale Warren
736309	146752	
736309	169906	
736309	170601	Ella Sanderson
736309	183654	Reporter
736309	185195	Mrs. Forrest "Clara' Brent
736309	193658	Clarabelle Adams
736309	205106	Mrs. Crowell
736309	207861	Bit
736309	223714	Miss Simpson
736309	224373	Miss Harrison
736309	238983	Woman in Cafe
736309	248817	Laura
736309	254283	Faculty Member
736309	275694	Desk nurse
736309	276713	Posture Teacher
736309	281415	Woman
736309	295470	Esther Redi, Jacqueline's Par
736309	303429	Clerk
736309	311343	Mrs. Blanchard
736309	313118	Wife of Commander
736309	316270	Woman on Stagecoach
736309	321197	Mrs. Rogers
736309	329388	Probation Officer
736309	329592	Miss Burgess
736309	335358	Miss Margaret Baker, School P
736309	336811	Mrs. Beasley
736309	365373	Mrs. Thomas
736309	367913	Laundry Matron Enright
736309	374578	Mrs. Purty, Landlady
736310	55674	Graveside Mourner
736311	350504	Miss Pinkerton
736312	6442	Fille casting Sabrina
736313	390335	Herself
736314	266633	Kathy
736315	20406	Penny
736315	91717	
736315	233622	Miriam Northwick
736315	308224	Sally Zimmler
736316	41712	Susannah
736316	161403	Jane
736316	374028	Avalow
736317	146333	Extra
736319	1674	Herself
736319	32993	Herself
736319	33742	Beloved
736319	34538	Shandurai
736319	72559	Christine
736319	115628	Thandiwe Adjewa
736319	134315	Barbara 'Cookie' Cook
736319	158582	Clare
736319	161108	Yvette
736319	163374	Noreen Hurlock
736319	166565	Sally Hemings
736319	169422	Annalees
736319	186632	Hilary Rule
736319	193099	Zita
736319	215879	Nyah Nordoff-Hall
736319	243147	Herself
736319	243148	Herself
736319	256580	Becky Newton
736319	296665	Tiffany
736319	340950	Regina Lambert
736319	372420	Rachael Stevens
736320	283343	Witness #1
736321	288720	Kathy
736322	153995	Cigarette Girl
736322	233678	Judy
736323	409387	Presenter
736324	45	Herself
736324	1187	Herself
736324	1768	Herself
736324	1772	Herself
736324	1801	Herself
736324	2759	Herself
736324	2768	Herself
736324	3749	Herself
736324	13919	Herself
736324	32580	Herself
736324	55573	Herself
736324	56238	Herself
736324	62957	Female Storyteller
736324	63097	Julia Stonecypher
736324	104749	Herself
736324	107450	Herself
736324	121856	
736324	126601	Herself
736324	130577	Herself
736324	133401	Sandy Olsson
736324	147828	Herself (1998 interview)
736324	157464	Herself
736324	163586	Lina Bingham
736324	168604	Herself
736324	192770	Herself
736324	199765	Herself
736324	200092	Herself
736324	201036	Herself
736324	205651	Herself
736324	212711	Herself (Liberian Girl video)
736324	217481	Amy Miller
736324	223025	Herself
736324	224275	Herself
736324	235513	Herself
736324	240038	Herself
736324	240041	Herself
736324	240043	Herself
736324	240044	Herself
736324	240045	Herself
736324	240046	Herself
736324	240047	Herself
736324	240053	Herself
736324	240180	Herself
736324	280289	Herself
736324	298091	Herself
736324	306322	
736324	309153	Bitsy Mae Harling
736324	310612	Herself
736324	313075	Herself
736324	335762	Olivia
736324	343045	Debbie Wylder
736324	352961	Herself/Sandy
736324	358979	Herself
736324	365574	Jasmine Wilde
736324	369492	Kira
736324	381571	Herself/Sandy
736324	393105	Herself (1972)
736324	411135	Navigator
736325	34729	
736325	71713	Miss Scott
736325	309153	Ty's therapist
736325	340099	Reporter
736325	363490	Countess Bethune
736326	213352	Young Eleanor
736327	268411	
736328	46891	Martha Russell
736328	59506	Mary Lamb
736328	69820	Lady Pennistone
736328	83591	
736328	102640	
736328	103235	Grace
736328	148405	Constance Pelham
736328	165221	Patience Merlyn (Joss' wife))
736328	171840	
736328	186230	
736328	232306	Emily Raynor
736328	252441	Ydith, The Jew's Wife
736328	281052	Miss Hallam
736328	291486	Spirit of Christmas Past
736328	295298	Mrs. Willingdon
736328	296824	Mrs. Bentley
736328	302073	Mrs. Crawford
736328	317663	
736328	319956	Matron Fiske
736328	346838	Honoria Wymering
736328	358977	Judith, the adultress
736328	361587	Mildred Dyce
736328	366742	Malvina Lanier
736328	371547	Prison Governess
736329	401199	Toquinho
736330	104179	
736331	280872	
736332	46209	Anita
736332	84783	
736332	225935	
736332	287483	Neusa
736332	353675	
736333	70774	Aniuta Pankratowa
736333	89482	Arleta
736333	129602	Dzemilla
736333	179184	
736333	243659	Panna sklepowa
736334	55311	
736334	55340	
736334	55343	
736334	124241	
736334	135268	
736334	202130	
736334	341157	
736334	350142	
736335	18662	Toko Gusuku
736335	19778	Ruriko Sakuragasaki
736335	54203	Chun-Li
736335	54204	Chun Li
736335	76940	
736335	79070	Hsien-Ko/Lei-lei
736335	113780	Lena
736335	123113	Shoot
736335	130730	Swim Instructor C
736335	136044	Rally Vincent
736335	159751	Mako Satou
736335	172089	Shiratori no Jun
736335	214588	Diana
736335	258547	Lei-Lei/Hsien-Ko
736335	273202	Nancy Makuhari aka 'Miss Deep
736335	298966	Honey Kisaragi (Cutey Honey)
736335	309469	Sophitia
736335	309470	Sophitia Alexandra
736335	316625	Rose
736335	336006	Akiko Ôyama
736335	384233	Ayaka Shigure
736335	389503	Sgt. Maj. Melissa Mao
736335	390892	Riza Hawkeye
736335	392829	Mako
736335	394107	Kanako
736335	396019	Kali (Japanese version)
736335	396491	Ririka Kawaguchi and Mogu
736335	397520	Sayaka
736335	400269	Tsubaki Oribe
736335	402942	Nancy Makuhari
736335	408351	Serio HMX13
736335	410739	Cloud
736335	411563	Saya Monou
736335	411889	Azuki Tomonaga
736336	327552	
736337	332269	
736338	374719	Lyussya
736339	17405	
736339	23132	
736339	178390	
736340	323882	Jennifer Corvino (episode "Tw
736341	97830	Vera
736342	99002	Mladata
736342	401024	
736343	144576	Virginia Kelly
736343	165004	Laury Jackson
736343	220174	Theresa 'Terry' Lindsay
736343	238071	Dolores
736345	156	Debbie
736346	429	
736346	10999	Alisa (Voice)
736346	11000	Alisa (Voice)
736346	25690	Lady Esther
736346	29342	
736346	35836	Klara
736346	63584	Liza
736346	77485	
736346	91208	Yelena Sergeyevna, the teache
736346	95619	
736346	108850	
736346	164010	
736346	180738	
736346	218208	
736346	224390	
736346	243969	Alla
736346	243989	Polina
736346	259837	
736346	264321	
736346	277212	Anna Andreyevna Skvoznik-Dmuk
736346	283994	
736346	284480	Stesha
736346	300810	The mother of Andrei Tolstoi
736346	305111	Leyda
736346	305141	Valentina Kostyna
736346	313531	Princess
736346	327660	Annuanciata
736346	327661	Yulia Juli
736346	343310	Natasha
736346	357262	
736347	64978	Sandra
736347	70624	Reportera TV 1
736347	259849	Natalia
736347	379898	Isabel Rigores
736347	383094	Julieta
736347	385402	Laura Cazenave de Salazar
736347	387807	Natalia
736347	390096	Lucía Trevi
736347	396618	
736347	397022	María Rosa Vargas
736347	399943	Rita Reynoso/Rita Martin/Mari
736347	411636	Morena Gallardo-Sirenio Cháve
736348	393919	Pitoe
736348	411311	Klaartje 'Klaar' Opdebeeck (1
736349	7504	
736349	62241	Leila Wong
736349	165307	
736349	356214	Francesca's Friend
736350	78997	Old Navajo Woman #3
736351	215813	Lii Dahit'een - Dancing Horse
736352	100632	
736352	100633	
736352	125351	
736352	167938	
736352	180888	
736352	199275	
736352	213694	
736352	217753	
736352	240384	
736352	316474	
736352	316475	
736352	326089	
736352	326216	
736352	333763	Fifika
736352	333769	
736352	343411	Adelaida
736352	379529	Grandma Evropi
736353	314217	
736354	73974	
736355	369758	
736356	3261	Sister Thirteen
736356	3270	Sister 13
736356	8738	Candy Ho
736356	25887	Comrade Monroe
736356	25902	Amy
736356	25903	Ng Siu-Mui
736356	25905	Amy
736356	28832	Third Sister
736356	36466	
736356	44198	
736356	61993	Wasabi
736356	63376	Monkey
736356	76420	
736356	88613	Chu Lin-lin
736356	92858	Bali-Ba (Cantonese Voice)
736356	94289	Ping (cameo)
736356	94402	Ping
736356	94437	Spring
736356	95158	Julia
736356	121104	
736356	122888	Yue
736356	123256	Kam
736356	123257	Kam
736356	131270	Miss Hong Kong Wannabe
736356	131342	Sister Thirteen
736356	135461	
736356	138626	Waitress
736356	141896	Sandra Suen May-Tong
736356	151953	
736356	151954	
736356	151982	Gut
736356	152113	Amy
736356	152114	Huang Chia-Ju
736356	152115	Cop
736356	152810	
736356	153049	Tang Lyn-Yu
736356	167362	Veronica
736356	167408	Ching
736356	167446	
736356	170018	Judy Chu
736356	170074	Bitchy Yuen Ying
736356	172226	Oi-Chee
736356	179951	Sophie
736356	189168	Frankie Chan Bo Chu
736356	189211	Cameo appearance
736356	192453	Fong Ngoinam
736356	196643	Sister Bond
736356	196644	Sister Bond
736356	197135	
736356	198612	Hooker dressed as a policewom
736356	201367	Mrs. McDull
736356	208894	Mrs. Mc
736356	210969	Fat Cop's Wife
736356	210970	Sister Nine
736356	210972	Yu
736356	210981	
736356	231228	
736356	231337	Mei-Lan
736356	239141	Kam
736356	239145	Siu
736356	252091	
736356	268763	Jenny
736356	268791	
736356	298342	
736356	298380	
736356	298420	Sister 13
736356	300684	
736356	303394	Buddy Wall
736356	326353	Woman who has supernatural po
736356	332331	Lumy
736356	359011	
736356	369034	Rubbish Feng/Chao Fei-Fei
736356	369098	Yam Kin Fai
736356	369589	Tour Girl
736356	369786	Birdie
736356	370754	Sister Thirteen
736356	370842	Yue
736356	371494	Madam Lee
736356	371495	General's Cousin
736356	371517	
736356	371518	Chap-Lay Vamp
736356	373090	Video Dealer
736356	373156	
736356	374974	Chi Sum Chan
736356	374983	Customer
736356	376063	Doriana
736357	167373	Icy
736357	186300	
736357	298712	
736358	315476	Wife/Beloved/Angel
736359	231221	
736360	41164	Bride
736360	117554	
736360	158142	Camille Ngo
736360	272413	The Jogger
736360	294140	Du Mi Wong
736360	301779	The Bride
736360	317551	Jade Palace Hostess
736360	360465	Stephanie Chu
736361	3244	Liza
736361	43142	
736361	48439	Actress
736361	61522	Princess
736361	76425	Ka Lai
736361	85457	Li
736361	85499	Winnie Wong
736361	106794	May's Mother
736361	107201	
736361	110591	Hung
736361	123965	Chiu Feng
736361	123972	
736361	141871	Madam Rose/One Thousand Needl
736361	149006	Huntress
736361	149064	Carrie
736361	151812	Mrs. Wu
736361	167367	Penny Ng
736361	167452	Li
736361	167731	Si Wai
736361	167759	Col. Carry
736361	168040	Madam Chu
736361	184617	Judy Yu
736361	185971	
736361	188843	Ying-tai's Mother
736361	189145	Siu-Tsui
736361	189168	Liza
736361	189500	Ann
736361	193938	Huong
736361	194042	Carrie
736361	200771	
736361	236248	Lisa
736361	236282	Sister Man Ying
736361	286458	Yang Hsiu-Chen
736361	286996	Lai
736361	287333	Hou-yee
736361	298360	Policewoman Fong Fong-Fong
736361	299981	Lai
736361	300663	Miss Tong
736361	332286	Nancy Mei
736361	332311	Chu-Chiao
736361	336634	
736361	359031	Hua Tien-Qiao
736361	367539	
736361	369072	Jenny
736361	369764	Ling
736361	369770	Lai/Honey
736361	369960	
736361	370842	Lai
736361	371589	Kiki
736361	371629	Shan-Shan
736361	373688	Lung's Wife
736361	374703	
736361	374738	Councillor Lau
736361	381646	Xi He
736361	404623	May
736362	394775	Rain
736363	268728	Lee Kar-Po/Broom
736364	177078	Jojo
736365	3249	Carmen Leung
736365	3260	Yinsu
736365	25932	Rachel
736365	62636	Joey Yick
736365	63364	
736365	85889	Maggie
736365	110621	
736365	111246	Ming
736365	121777	Master Tak's Mother
736365	136068	Mona
736365	142816	Barbara
736365	144848	
736365	167500	Kwok Wai-Wai
736365	167584	Chuen
736365	198592	Mandy
736365	198593	May
736365	283712	Flight Attendant #1
736365	286469	
736365	288416	Ice
736365	293469	
736365	298366	Susan Wong Suet-San
736365	300663	Pak Yu-Seung
736365	358907	Jean
736365	358923	Moony
736365	358924	May
736365	360991	Pai So
736365	369558	King King
736365	370404	Gigi
736365	370926	Kei Chi
736365	371571	
736365	371583	May
736365	371585	Miu
736365	374671	Anna Ngok
736365	374822	Maureen
736365	374890	Lara
736366	215695	Ling
736367	117656	
736368	153562	Classmate at School Reunion
736369	315476	Receptionist
736370	30311	Young Chines Woman
736370	83982	Su Lim
736370	156537	
736370	199210	Aunty's Guard
736370	352968	Herself
736370	390178	Jasmine
736370	405209	Angelina Skeggins
736371	335406	Helen
736372	395818	Apple
736372	411522	Cassie
736373	141605	Torture Girl #1
736373	169594	Lindo (age 15)
736373	274971	
736373	314531	Cathy
736373	379716	An Li Chen Bodine #1 (1990-19
736373	388672	Herself/panelist (1997-1998)
736373	398775	Shelby Woo
736374	139123	Suki
736374	230977	Anne Lee
736374	232311	Myra Tang
736374	280478	Bonnie Lee
736375	74267	Witch
736376	85491	Meila Lin
736376	152079	Miss Sakura
736376	360999	Siu-Ha
736376	369077	Ching
736376	369624	Chu Kit-Man
736377	215695	Golden Palace Girl 1
736378	18598	Bridge Crosser
736379	286441	Student 6
736380	124574	
736381	52	
736382	42232	
736382	358305	Asian Woman
736383	291697	Girl
736384	370863	Chinese widow
736385	411589	Li Xiaoman
736386	216804	Sharon
736386	251108	Female Birthday Guest
736386	254512	Lacy
736386	340742	Freebo's Girl
736387	63371	
736388	303402	
736389	297507	Magy
736390	3288	Tang Mei-Ping
736390	48431	
736391	117656	Michelle
736392	7035	Chen Tsu's Mother
736393	48234	
736393	62189	Witch
736393	73198	
736393	231229	Man
736394	37027	Angie Phoon
736394	191340	The Bartender
736395	381238	Boarding Clerk
736396	370863	Laura Wong Tai
736397	405857	Patricia
736398	193048	Francis's sister
736398	386283	Li Fun Yee
736399	152011	Angel Yu
736400	374924	
736401	152079	Sakura
736402	139306	Chinese Family
736403	273853	Cynthia
736403	346039	Amy
736404	372389	Nurse
736405	121780	Gam
736405	370197	Millie Lo
736405	370485	
736406	374589	Stuffed Animal
736407	238590	Vietnamese Interpreter
736408	34420	La femme de ménage
736408	64950	Mala
736408	107509	La mère d'Adama
736408	241174	La Femme noire reste
736409	228388	Black Lady
736410	37027	Tan Gek Leng
736411	60139	Mrs. Chow
736412	14180	Headmistress Lo
736413	281882	Madame Toro
736414	198461	
736415	62188	
736415	106793	Jan Fong
736415	121776	Cathalina
736415	287338	Senna
736415	299988	Winnie Wong
736416	25935	Police Woman
736416	63374	Emma
736416	63376	Pigeon
736416	255020	Creamy
736416	327021	Oli
736417	340368	
736418	395491	
736419	257148	Riam
736420	47437	Rawi
736421	244392	Tomasi's Wife
736422	41809	Specialty Dancer
736422	116016	Mari
736423	405209	Kai Karakia (1998)
736424	60360	Band at the Blue Duka
736425	72935	Fudor Sprite
736426	29701	
736426	40364	Tschao Ming Kuong, die Chines
736427	118668	
736428	336985	Femme africaine 2
736429	272465	
736430	363526	
736431	81542	Hien Vu
736431	336134	Twoan
736432	117656	Manicurist
736433	307755	
736434	195105	
736435	103264	Tshoma
736435	177073	Li
736435	285271	Judge Urpa
736436	313479	Jedi Rocks dancer (special ed
736437	116646	
736438	281249	Claire
736439	389868	
736440	287399	
736441	391259	Chico's woman
736442	322335	Extra
736443	358098	
736445	199311	Butterfly's Mother
736446	43758	Un enfant de Marie
736447	186985	Maï (agée)
736448	272257	Mme Wong
736448	345146	Tsieng Ly
736449	221855	Old Thi
736450	357491	Thuy
736451	243603	
736452	76258	Mirror D7
736453	184812	Taipei Girl
736454	30750	Home Invasion Girl
736455	289372	Featured Extra
736456	209133	Sun Jin Dinh
736457	123915	Boomerang
736458	316615	Ken's Mother/Floozy/Additiona
736458	403909	Additional Voices
736459	134028	Man's Wife
736460	63843	Aung
736461	175040	Aunt
736462	16657	Art Gallery Visitor 2
736463	238590	Sapper's Mother
736464	221511	
736464	354119	
736465	24429	Anchor Woman
736465	79716	Misc. Newscaster #1
736465	95328	Female Newscaster
736465	124160	News Reporter
736465	248057	Female Field Reporter
736465	263481	TV Newscaster
736465	347180	TV Reporter
736465	402137	Herself - Co-Anchorwoman (199
736466	129047	
736466	241186	Maid
736467	166127	
736468	118298	Vietnamese Child #1
736469	304544	Cheerleader
736469	307492	Vietnamese girl
736470	75815	Couple
736471	141605	California Wizard
736472	336723	Mai
736474	130423	Jill
736474	189520	Kika
736475	174975	
736476	67774	Tourist
736476	78952	Minh
736476	185235	The Boy
736477	71226	
736478	269841	House Of 500 Girls' Woman
736478	311784	Herself
736479	190037	Hoochie Mama
736480	221510	Suong
736480	360495	Net
736480	369731	Madam
736481	37700	Girl in Hall
736481	267628	Andy
736481	359499	Charlie's Intern
736482	43931	Jenny
736483	263170	Young Li
736483	294980	Student on bus
736484	261146	Frau Thanh
736485	350836	Phuong
736486	21913	Herself
736486	340857	Jade Gate girl #6
736487	398050	4th Eliminated (2002)
736488	274460	CeCe
736489	410168	Herself
736490	62624	Mother
736491	74480	Supplies
736492	74480	Military Official
736492	410168	Herself
736493	32075	Lady Barber
736494	32075	Exquisite
736495	221855	Mai
736496	20067	People from Thiers
736496	58754	Apprentice
736496	146359	Madmoiselle Tilly, assistant 
736496	148702	Chinese woman
736496	355882	Chinese woman
736496	360495	Nhung
736497	32075	Old Woman
736498	340076	Loan
736499	285609	
736500	53858	Sau Xoa
736501	407073	Contestant
736502	39193	Tina
736502	188453	Drew
736502	223818	Victoria Lee
736502	233515	Shi
736503	235882	James Bond Girl 1 (segment "A
736504	369731	Happy Woman
736505	271172	Ky's Aunt
736506	312542	Veronica
736507	281244	Francy
736508	281244	Tiger's Sister
736509	274973	Herself
736510	282781	Pierre
736511	66584	Singer in Nightclub
736512	74480	Doctor
736513	262054	Nganga Ancient Woman
736514	242867	Moses Lisa
736515	399363	Nhi
736516	408555	Fya
736517	18310	Yoga Woman
736518	225572	
736519	75505	
736520	158503	Herself (speech on monk suici
736520	410168	Herself
736521	79340	Herself
736522	44191	Mother #2
736523	409823	Mamie Van Loc (1997)
736524	74480	Singer
736524	269841	House Of 500 Girls' Singer
736525	194483	The Lord of the Dance Troupe 
736525	279202	Dancer
736526	151340	Maeve
736526	258984	Mícheál's Daughter
736527	84516	
736529	369495	Ning
736530	369647	Chun Guan's mother
736531	117167	
736531	297301	Taozhi
736532	95042	Molly
736532	135491	Sally
736532	167424	Yin
736532	167781	Miss Cheuk
736532	184614	Wan Siu-Yau
736532	193912	Pretty Eyes
736532	236500	Fang
736532	319654	
736532	344960	Ying Zi
736532	369671	
736532	370403	Chang Siu-Yu
736533	272892	Singer
736534	3921	Zhao Yuxia
736535	95287	Tong An'an
736535	359012	Yinyin
736536	126707	Herself
736536	320148	Keisha
736536	403487	Herself/Maximum Velocity Tour
736537	104648	(herself)
736538	182980	Hooker#2
736539	55099	Club Dancer
736539	55754	Li-Ti
736539	187461	
736539	376461	
736540	198639	
736541	215393	Holly Bishop
736542	359902	Lisa
736543	174151	Ma Penda
736543	228990	Yaay Rama
736543	296383	
736543	336641	Seynabou
736543	369491	
736544	166093	Herself
736545	45757	
736545	58181	
736545	81523	
736545	86366	
736545	100491	Officer's Wife
736545	184231	
736545	203925	2nd Wife
736545	219749	Mere Mingue Diouf
736545	342626	Dame Castilor
736545	346549	
736546	336831	
736547	28097	
736547	135244	Helene
736547	369491	Rama
736548	174151	Upukaï dancer
736549	268972	Sénébou
736550	106274	Mati
736550	228990	Maxoye
736551	28169	
736552	235712	Maria
736553	180302	
736553	252362	
736554	130124	Club Patron
736556	330241	Hazel, Imogene's Friend
736557	47892	Girl
736557	55524	Evangeline
736557	115471	Student
736557	191819	Julia Jordan
736558	160037	His Wife
736559	115161	Joe's Woman
736560	25117	
736560	194907	
736561	201123	Singer
736562	356381	
736563	104763	Herself
736564	8146	Iole/hostess
736564	282122	Cristina
736565	27251	Janice Edwards
736565	42799	Darlene
736565	139699	Dori
736565	320798	Odette
736565	320800	Adult Princess Odette
736565	320801	Odette
736565	362808	Amanda Reese
736565	385824	Sasha Roberts #4 (1987)
736565	404282	Cybill Jordan (1986)/Illeana 
736565	407110	Diana Barstow
736566	283758	Barlota
736567	21276	
736568	21276	
736569	63865	Penny
736569	67838	Young Annina
736570	40204	Mrs. Fairchild
736571	127501	Casey
736571	309487	Perry's Girl
736572	31327	Mud Wrestler
736573	304683	
736574	119315	Terry's Girlfriend
736575	6725	Herself
736575	10361	Herself
736575	27008	Herself
736575	37225	
736575	41616	
736575	50179	
736575	54553	
736575	62668	
736575	81388	
736575	91832	
736575	105725	
736575	123641	
736575	139248	
736575	150044	
736575	154314	
736575	161121	
736575	168069	
736575	184950	
736575	196867	Zippo's Boudoir Girl
736575	228021	Herself
736575	228024	
736575	267835	
736575	273297	
736575	296706	
736575	302837	
736575	306908	
736575	306920	
736575	361243	
736575	361876	
736577	33034	
736577	46348	
736577	60928	
736577	75030	
736577	93717	
736577	188034	
736577	243129	
736578	118789	Mrs. Wynn
736578	298055	Ann
736578	403719	Marlene Barry
736580	244034	Docky's Clamshack
736581	244034	Docky's Clamshack
736582	199921	
736582	238286	
736582	265724	
736583	279609	Mrs. Knightley
736584	313127	Teacher
736585	45944	Mrs. Chichele
736585	224113	Mrs. Grant
736585	253428	Duchess
736586	193774	Mrs. Wheeler
736587	401839	Herself - Hostess (1977-79)
736588	200208	The Princess
736588	230442	Samantha's Mother
736588	256623	Chorus
736588	311826	Beautician
736588	392857	
736589	411884	Additional Voices
736590	236368	Miss Greece
736591	402386	Yap
736592	7500	Dreamgirl
736592	10901	Doris
736592	122991	Peggy Sue Peggy
736592	138118	Woman In Bed
736592	185418	Natalie
736592	245345	Nadine
736592	266627	Dianne
736592	288956	Alexa
736592	366891	Skyler
736593	41413	Stephanie
736593	74674	Maria
736593	99918	Marina
736593	128508	The Girl
736593	150297	Jasmine
736593	223338	Alice Durchfall
736593	281842	Selena Cantrell
736593	336456	
736593	398152	Vera Venom
736594	186151	
736595	376901	Chantal
736596	409	The girl
736596	304862	Little Girl
736597	194074	Jamie
736598	16105	Mother
736598	31187	Herself - CBS Team Contestant
736598	37366	Nurse Riley
736598	40184	Michelle
736598	54405	Betty Walker
736598	67351	Herself
736598	114613	Joy
736598	127094	Joan
736598	141162	Jean Kincaid
736598	158272	Harriet DeLong
736598	158273	Harriet Delong
736598	158274	Harriet Delong
736598	158275	Harriet Delong
736598	158276	Harriet DeLong Gillespie
736598	164663	Connie
736598	188333	Beth Foster
736598	206811	Vanessa Jackson
736598	207279	
736598	220014	Elizabeth Sturgis
736598	221099	Irene Mapes
736598	240943	Cleo Babilonia
736598	255433	Lila French
736598	266098	Gordon's Mother
736598	279008	Sylvia Becker
736598	280195	Leddy Hutch
736598	309047	Pat Henderson
736598	319532	
736598	381077	Olivia Ellis
736598	392709	Harriet DeLong (1989-1994)
736598	403708	Liz McIntyre
736599	81197	Mobile Librarian
736599	113388	Mrs. Courtney
736599	174152	
736599	274850	Miss Crowe
736599	323021	Jocelyn Holmes
736599	337830	Mrs. Renton
736599	364866	Mum
736599	382524	Agnes Ker (1970)
736599	403238	Harriet Penny
736599	408362	Esther
736600	192344	Bar Maid
736602	144767	The Orphan
736603	368318	Mary
736604	210608	Herself
736605	345853	Mrs. Plumm
736606	39957	Girl Hostage
736606	157314	Tina Moy
736606	190928	Kathy Beull
736606	287703	Donkey Girl/Doll Elf
736607	142985	Waitress
736608	244392	Gossip #2
736609	185219	Herself
736610	398132	Hostess
736611	69421	2nd Stripper
736612	82030	Sherry
736613	374436	Obsessive Compulsive Cat murd
736614	91523	Check-Out Girl
736615	184959	Dawn
736616	77640	Sky
736616	336452	Charming Hostess #1
736617	53206	Ellen
736617	109704	Carol
736617	193523	Casey
736618	220099	News Anchor #1
736619	150215	
736619	176804	Female Specialist McKay
736620	284442	First Violinist
736621	160878	Emily
736622	276998	Woman in the Mirror
736623	372766	
736624	380850	
736625	399425	Co-Host
736626	342871	Bowler
736627	33765	Mrs. Rushworth
736628	153611	Nurse
736629	63128	Jane
736629	96710	Olivia
736629	267106	Dinah
736629	399383	Kate Nickleby
736629	400709	Lady Mary
736630	55662	Dido
736631	231915	The Hookers
736632	153468	Miss Joyce
736632	311915	
736633	39600	Mrs. Mitchell
736633	81682	Rita
736633	187048	Striker
736633	194318	Mrs. Wright
736633	278909	Sue's Mother
736634	16644	K-Mart Shopper
736634	41226	Lady
736636	11230	Christine
736636	12620	Harry's girlfriend
736636	40197	Christabel Cavendish
736636	92621	Carol Rogers
736636	94015	Sarah
736636	99081	Merrick's Mother
736636	107504	Polly Wright
736636	125920	Susannah
736636	135727	Empress of Lilliput
736636	140530	Isobel Hawking
736636	141250	The Intended
736636	208189	Anne Durham
736636	208531	May Thrace
736636	214939	
736636	215892	Deborah Fitzbanks
736636	243226	Tina Argyle
736636	244883	Gerty Hook
736636	249611	Rebecca
736636	253542	Elizabeth Elliot
736636	263795	Shaw
736636	267106	Child
736636	292224	Judith Bendrix
736636	292575	
736636	296657	Emily Shackleton
736636	367816	Winifred Crich
736636	382744	Cordelia Flyte
736636	401429	Babs
736637	30147	Ko
736637	203021	Bodyguard
736637	315198	
736638	11169	Vicky
736638	267106	
736639	313479	Ewok
736640	3166	Herself/Audrey Roberts
736640	73896	
736640	271217	Mrs. Dunn
736640	360247	Herself
736640	367854	Audrey Roberts
736640	385019	Herself
736640	385020	Audrey Potter/Roberts (1979- 
736640	385299	Marilyn Gates (1964-1968)
736640	388241	Joan Greengross/Webster
736640	395341	Joan Greengross
736640	399726	Big Brenda (1975)
736640	401516	Mrs. Muddle
736640	403193	Nadia Popov (1981-1984)
736640	406209	Joyce
736640	409648	Wanda Pickles
736640	410214	
736641	34722	Herself
736641	118529	Herself
736641	169372	Phillipa Richards
736641	286045	Herself
736641	327388	
736641	387267	Trish Loman
736641	387639	
736641	402197	Heather Rodgers (1984)
736641	403244	Raelene Geddes
736641	404149	Herself - Hostess (1980-1982)
736642	26514	Court Clerk
736642	56857	Ginger
736642	65887	Detective Brand
736642	67380	Flora
736642	68242	Stewardess
736642	70424	Dallas Desk Clerk
736642	80372	Rose Clay
736642	80942	Iris
736642	82049	Sarah Casey
736642	135564	Receptionist
736642	167133	Jules Jackson
736642	204957	Maple
736642	241461	Angie Carson
736642	282954	Jessica
736642	303977	Montana Simpson
736642	306814	Monique
736642	318813	Mrs. Blakely
736642	356998	Car Rental Agent
736642	362323	Nora
736642	388372	Jules Jackson
736642	395727	Miss Murray (2001-)
736642	408692	Justine (1998-1999)
736643	388327	Lauren Brooker
736644	350212	Scared Roomate
736645	14620	
736645	247221	Aunt Caroline
736646	375842	Jackie
736646	380455	April Gregory (2000)
736647	408893	Additional Voices
736648	157038	
736648	158283	
736649	234226	Fairy Dancer #2
736651	32228	
736651	314212	
736651	339880	
736652	35632	Dolly Moore
736652	59535	Sadie
736652	80970	June Loveland
736652	87800	Miss Marlowe, Actress patient
736652	126044	Texas
736652	151092	Candy Ball
736652	152530	Gale Wilson
736652	177251	Birdie McDade
736652	194269	Gaye Swinger
736652	196352	Sadie Blodgett
736652	204050	Mimi
736652	214932	Arleene Witchy
736652	226875	Mildred
736652	246859	Poopsie
736652	246923	Gladys
736652	254875	
736652	262118	Flora
736652	279150	Blonde dancer
736652	289559	Brandy LaFrance
736652	295171	
736652	321310	Rita
736652	321556	Blossom LaTour
736652	327746	Stella
736652	329446	Jane
736652	363371	Lola Fandango
736652	364307	Gloria Coogle
736652	365395	Sandy
736652	367545	Mayme Radzevitch
736652	367948	Nick's girl
736652	396103	Ginger (1958)
736653	369358	Child
736654	110515	
736655	110295	Young Alice Walker
736655	302933	Young Alice Walker
736656	213718	
736656	234384	Sacrificed maiden
736657	54879	Nurse
736658	142373	
736659	93293	Rachel
736659	303426	Samantha
736660	5873	Maud Peterson
736660	6812	
736660	10391	Else Garnett
736660	14974	Orphanage Superintendant
736660	32453	Mrs Ethel Shroake
736660	38725	Meg Bowles
736660	47191	Florrie
736660	55697	Mrs. Roper
736660	60473	Mrs. Dukes
736660	69421	Mrs. Lea
736660	73707	
736660	74210	Mrs. Jenks, Foster Mother
736660	77613	Mrs Crabtree
736660	81732	Mrs. Elton
736660	83784	Housekeeper
736660	88856	Lady in Outpatients Dept.
736660	88881	Fat woman patient
736660	90287	Mrs. Marshall
736660	90401	Molly
736660	96696	Woman flooded by milk
736660	99842	Barmaid
736660	102480	Mrs. Featherstonehaugh
736660	102973	Princess Zasekina
736660	107869	Mrs. Patterson
736660	110996	Skivvy
736660	125550	
736660	126125	Hospital Nurse
736660	128407	Mrs. Smith
736660	138791	Ada
736660	142672	The Neighbor
736660	143569	Aunt Edie
736660	144981	Woman scrubbing porch step
736660	146631	Mrs. Johnson
736660	147616	Neighbor
736660	148182	
736660	151384	1st Old Lady
736660	152225	Bit Part
736660	158294	
736660	178840	Landlady
736660	183438	Mrs. Merryweather
736660	186751	Mrs. Stanley
736660	190875	
736660	194690	Greengrocer's Wife
736660	199134	Housekeeper
736660	209616	Mrs Clarke
736660	219984	
736660	231438	Mantalini's employee
736660	236085	Bit Part
736660	237465	Tea Lady/Neighbour
736660	255261	Lady at Ball
736660	257169	Phyllis
736660	291093	Caroline
736660	316169	Mrs. Tucker
736660	316604	
736660	332780	Stall Attendant
736660	333042	Else Garnett
736660	333257	Mrs. Budd
736660	335545	Mrs. Smith
736660	337111	Mrs. Wilson
736660	346938	
736660	354346	Bridget
736660	360708	
736660	363460	Maud Hodge
736660	363797	
736660	366373	Miss Hawkins
736660	367471	Mrs. Burrell
736660	367877	Third Landlady
736660	371547	Mrs. Price
736660	380737	Mrs. Spindle
736660	381139	Mrs. Fosdyke
736660	392702	Else Garnett (1985)
736660	395194	Sylvia Calvert
736660	395530	Else Garnett
736660	397182	Mrs. Moffat
736660	399931	Lily
736660	408231	Else Garnett (Series 1-6) (19
736660	408232	Else Garnett
736660	408954	Madge
736660	410539	Mrs. Gully
736661	90377	Angela Anders
736662	119615	Herself
736663	32466	Cheerleader
736664	324386	Lady in Travel Agent
736665	386236	Eri Asakawa, Misaki, Addition
736665	404138	Yuri Sakakibara
736666	305717	Latin Woman
736667	110295	Janet Walker
736668	209388	2nd Woman
736669	42673	
736669	56312	
736669	128814	
736669	141539	
736669	335590	
736670	12094	Georgia Carver
736670	290394	Swimming Coach
736671	73303	Jenny
736671	230947	Lundy
736671	271003	Little Girl
736672	41757	Billabong Rep
736674	99082	Countess
736674	144667	Hacklin's Mother
736674	254290	Neighbor
736674	279205	Sarah's Mother
736674	315228	Bag Lady in Ladies' Rm.
736674	388862	Louise Austen (1964-1965)
736674	407916	Kate Marshall (1980-1982)
736675	177316	Singer
736675	235496	Lobelia
736675	305646	Kay Sutton
736675	370532	
736676	213751	Friend of Devine
736677	206687	Rebecca
736677	224573	Theresa Engle
736679	51482	
736679	54455	
736679	68185	Michelle
736679	81343	Lover Nurse
736679	82468	Elizabeth Belmont, who ordere
736679	87388	
736679	98842	Joy de Vrie
736679	102920	Herself
736679	128826	
736679	128869	
736679	130318	
736679	142521	Mistress Stephanie
736679	161015	
736679	165434	
736679	177327	
736679	200851	
736679	216803	Anne #2
736679	233776	
736679	298226	
736679	306145	Ellen
736679	335758	Dee Ann
736679	341959	Herself
736680	194796	Girl recruit
736682	28564	Herself
736682	236968	Dewdrop
736683	223857	
736684	84185	
736685	372372	Shopper
736686	201928	Lucy
736687	318687	Girl
736687	328496	Jennie Calder (segment "Creat
736688	222804	
736689	224032	
736690	35496	
736690	36844	
736690	95466	Mina
736690	128352	Mrs. Leonard
736690	191996	Sylvia Sanford
736690	207954	Phyllis Burnham
736690	251192	Kate Gardner
736690	262041	Laurine Manners
736690	273840	Edith Phelan
736690	307282	Helen
736690	316834	
736690	336030	
736690	362710	Janet Watson
736690	372937	Maud Horton
736691	108391	Twin Sister
736691	110295	Roger's daughter
736692	45237	Young Actress at Audition
736692	53323	Groupie
736692	120233	Alison
736692	148446	Jane Fulbar
736692	165422	Carla
736692	185975	Laud's Assistant
736692	264131	Sirena Garcia
736692	264137	Meriam Al-Khalifa
736692	279319	Stephanie
736692	291222	Dawnie
736692	295826	Lucia
736692	351187	Audrey Griswold
736692	382233	Karen Bettencourt
736692	398701	Angela
736692	403248	Victoria Santiago (2000-2002)
736693	158902	Seven-Year Old
736694	3727	Herself
736694	164508	Herself
736695	312927	Bar patron 5
736696	284527	Waitress
736696	365624	Tracey Mcknot
736697	263636	
736698	158796	Teenage Girl
736698	202736	Midge
736699	367868	
736700	235052	Mom Jones
736701	18019	Mrs. Wacky
736701	67161	
736701	133561	Jewish woman
736701	153078	
736701	193736	Mrs. Pappakontous
736701	204185	Momma Gordoni
736701	212746	Mrs. Dominic
736701	244797	Cohen's wife
736701	255887	Mrs. Allesandro
736701	257739	Mrs. Lippincott
736701	277447	Other woman
736701	301829	Italian Mother
736701	342910	Mrs. Populopulini
736701	343128	
736701	347357	Rosa
736701	367800	Mrs. Givner
736702	6949	Sagan, High Priestess of Pang
736702	18385	Charmain
736702	19980	Miss Mable
736702	68302	SS Stella
736702	88981	Jenny Ribbock
736702	124185	Diane Maza
736702	133628	Joanne Logan
736702	160476	Herself
736702	185070	Herself
736702	187907	Lieutenant Nyota Uhura
736702	199514	Buyer at Fontaine's Salon
736702	215987	Dice Player
736702	218840	Herself
736702	237630	
736702	260628	Bit Part
736702	289228	Lisa Downey
736702	306223	Amelia Brooks
736702	313393	Herself
736702	313395	Cmdr. Nyota Uhura
736702	313396	Cmdr. Nyota Uhura
736702	313398	Cmdr. Nyota Uhura
736702	313399	Cmdr. Nyota Uhura
736702	313402	Lt. Uhura
736702	313403	Herself
736702	313404	Herself
736702	313425	Lt. Uhura
736702	313441	Lt. Cmdr. Nyota Uhura
736702	313449	Cmdr. Nyota Uhura
736702	313799	Herself
736702	319653	Sgt. Leona Hawkins
736702	319951	Oman
736702	325147	Ruana
736702	325152	
736702	338981	Herself
736702	340704	Dorinda
736702	365811	Herself
736702	389758	Diane Maza
736702	406405	Lt. Nyota Uhura
736702	406406	Lt. Nyota Uhura/Additional vo
736703	298308	Joy
736704	28069	His daughter
736704	33423	A maid
736704	49813	
736704	52465	Margarita
736704	91997	His Wife
736704	107757	Dancer
736704	187464	Draya
736704	229089	Chiquita Garavel
736704	265854	Vaudeville Artist
736704	275783	
736704	331102	Landlady
736704	332487	Lucy Cobden
736706	77580	Paula
736706	92249	Shayne
736706	117162	50's TV Show Dancer
736706	329522	Play-Tone Band Member
736707	81750	Jacqueline
736707	87586	
736707	171278	Rhonda
736707	259904	Carol
736707	342653	Female Cop
736707	350145	Maven
736708	118297	
736709	134664	Secretary
736710	333517	Mrs. Shubner
736711	14488	
736711	24703	Model at Bar
736711	81360	Trilby Moffat
736711	95080	Jessica
736711	121852	Jennifer
736711	368151	Samantha
736711	392882	Danny Roberts/Elizabeth Worth
736712	6775	Rachel
736712	177015	Miss Swan/Adams
736712	362996	Stripper
736712	406391	Nurse Sandy Beach
736713	253227	Scrub Nurse
736715	39929	Sadie's girl
736716	32112	Lucy
736717	163565	Alex Stratton-child
736718	33435	Woman
736719	26238	Priss Asagiri
736720	26910	
736720	31714	
736720	36703	
736720	49964	
736720	66900	
736720	69375	
736720	81500	
736720	83807	
736720	91816	
736720	101026	
736720	109429	
736720	128546	
736720	128676	
736720	128871	
736720	139206	
736720	139277	
736720	143322	
736720	147652	
736720	160399	
736720	161411	Private investigator
736720	226886	
736720	258760	
736720	306029	
736720	317938	
736720	333869	Herself
736720	338081	
736720	342553	
736721	1133	Patti
736722	248008	Darlene Hudson
736723	269391	Herself
736724	41726	Diane
736724	328251	Judy Golden
736724	360436	Woman in Black
736724	364372	Girl in Bar #2
736725	222254	Freak
736726	85019	Sarah Henson
736727	288387	MiCI 5
736728	87414	Josephine Baker
736729	385824	Kelly (1986-1987)
736730	350277	Satanists
736730	384695	Various roles
736731	247498	Cathrine
736732	358476	Woman Talking to the Novel Wr
736733	209219	Bikini Beauty
736733	348402	Woman at Party
736734	108391	Twin Sister
736734	110295	Roger's daughter
736735	339380	Abby
736736	151125	Salena
736737	88821	Morgenhall's Girl (In Flashba
736737	200492	Mrs. Ferris (segment "Pride")
736737	224414	
736737	232411	Mrs. Tredinnick
736737	301534	Lillian Maitland
736737	302151	
736737	312561	Flora Gilchrist
736737	363491	Mrs. Jones
736737	389766	Vicky Fox (1961)
736738	288960	Herself (segment "Fire and Ra
736739	372198	Mrs. Granek
736740	155261	Grace at 7
736740	356251	Little Girl
736740	403715	Laurie Rose
736741	194318	Karen Lodge
736742	16642	Piona
736742	164400	Motel Woman
736742	241650	Tobaccionist
736742	362917	Drunk woman
736742	393206	Josephine Bonaparte (2000)
736742	396921	Reporter Dominique Richards (
736742	405209	Reporter (1992)/Beatrice McBr
736743	288960	Herself (segment "Fire and Ra
736745	69382	Janet
736746	4683	Young Ebba
736747	97080	Sunshine
736748	213577	Presumed Chorister
736749	385299	Miss. Swift
736750	31665	
736750	77805	Chorus girl
736750	220165	
736751	14258	
736751	25322	
736751	150999	Priscilla
736751	289333	Andrea's girlfriend
736752	25436	Herself
736752	71489	
736752	111142	
736752	118384	Girl on Chair
736752	155054	
736752	196495	Girl on Chair
736752	291411	Herself
736752	291412	Herself
736753	382244	Herself - Winner (2004)
736754	75612	Inmate
736755	64750	Fiona
736755	147252	Nurse Nun in White
736755	159421	Veronica
736755	367254	Office worker #6
736756	329353	
736756	366021	Mother of a War Hero
736757	75602	Sandra Hewson
736757	80428	Charity
736757	139751	Lou Yates
736757	143826	Young German Woman
736757	155011	Jo
736757	191653	Joyce
736757	194047	Phoebe
736757	195813	Jennifer
736757	241799	College student
736757	293192	Alice
736757	310530	Rebecca
736757	341613	Ella Smalley
736757	355543	
736757	379802	Jenny Shaw (2001-2002)
736757	400474	Marian Kitt
736757	402089	Dr. Jules Keating
736757	406621	Cat Withers
736758	199173	Ad Agency Receptionist
736759	213152	Vivian Grey
736759	302235	T.V. Reporter
736759	405641	Gail Bradford
736760	30463	Sandy
736761	31643	Beach girl
736761	31691	Beach girl
736761	85997	Edie
736761	92482	Robot
736761	246861	Pajama Girl
736761	289444	
736762	51066	Lib
736763	36970	Immigrant
736763	65722	Nun
736763	107696	Indian Woman
736763	154652	German Mother
736763	169806	Josefa Iturbide
736763	200462	Landlady
736763	271855	Servant
736763	309875	Maria
736763	365350	Gypsy
736763	371887	Native Woman
736764	372198	Bridesmaid
736765	85997	Jerry
736765	359286	Joan
736766	232360	
736767	264157	Princess Lorraine
736767	308128	Young Girl in Market
736768	126067	Dance Team
736769	145022	Laurel
736770	303611	Stella Strassman
736771	320878	Captain
736771	363189	Hotel Guest
736771	364692	
736772	294222	Nurse
736773	93806	
736774	52074	Mujer Francesa
736775	49347	Wedding Guest
736775	60735	
736775	90154	Bathing Pool Beauty
736775	196471	Marie
736775	241605	Friend of Deceased
736775	255872	Model
736776	114296	English Woman
736776	128707	Warden
736776	138220	Wardress
736776	284526	Woman at Homecoming
736776	312141	English countdown lady
736777	204557	Girl on Video
736778	26527	
736778	41848	Mrs. Stannard
736778	54612	Mrs. Lomax
736778	73918	Aunt Opal
736778	78008	Mrs. Sprule
736778	84860	Aunt Eva
736778	85872	Anastasia Petrovna
736778	116798	Mrs. Mandrake
736778	138227	
736778	149649	Rachael Crumb
736778	168330	Middle Aged Lady
736778	186260	Mrs. Cartwright
736778	190444	Lady Shepley-Cooke
736778	241104	1st. W.V.S
736778	271338	Miss Pettigrew
736778	289231	Aged lady
736778	291807	Elderly Lady
736778	331465	Old Lady
736778	337107	Mrs. Frith
736778	338746	Isobel Mayne
736778	338988	
736778	348532	Edith Farringdon
736778	358570	
736778	389123	Aunt Juley Forsyte
736778	402060	Mrs. Sarn
736779	278833	William Parker & Patricia Nic
736780	330750	Herself
736781	115062	Queen of Azuria
736782	40315	Maria
736783	5913	Herself
736783	141677	
736783	195499	
736783	205280	
736783	321350	
736783	335201	
736784	1369	Mrs. Carlson
736785	110980	Theatre Woman/Meditation Woma
736786	400095	Sara marques Serôdio
736787	181534	Mimi Kim
736788	171251	
736789	272536	Young Girl
736790	141494	Old woman/Keystone Kop
736790	335669	Lenore Faddish
736791	272944	Customer
736792	291296	Susan
736793	8942	Erika (Die Freundinnen/The Gi
736793	11865	Stella
736793	24471	Sophia Schlund
736793	114481	
736793	223493	Barfrau Disco
736793	230239	Gesine Ganzmann-Seipel
736793	290471	
736794	87900	Pregnant Co-Worker
736795	86707	The Dildo Woman
736796	191685	Jean Marie
736797	29186	Preppy #3
736798	366933	Flight attendant
736799	68815	
736799	90682	
736799	203978	
736800	230207	Simone
736800	231623	
736801	18894	
736801	349534	Agatha
736801	365177	Mother
736802	149258	Woman in Cotton Club
736804	510	
736804	515	Additional Voices
736804	516	
736804	517	
736804	26998	Mother
736804	192628	Bartender
736804	202322	Sissy
736804	273569	Eileen
736805	99005	Lady at Lake
736806	270622	Evelyn Goorwitz
736806	289749	Jennifer
736807	26839	
736808	386618	Contestant
736809	68271	Female officer
736809	68274	Command Control Technician
736810	70540	Mother
736811	70540	Maximiliano's daughter
736812	144405	Girlfriend of one of the star
736812	391093	Lois
736813	78937	Herself
736813	78943	Gabriela Hancock
736813	203483	Dena Pingitore
736813	229859	Paula Miller
736813	267451	Herself
736813	305571	Shirley Tolstoy (Miss San Die
736813	365906	Violet Beauregarde
736813	374596	'Larry' Wilde
736813	385719	Amy Jennings (1968-69)/Nora C
736813	387438	Allison, member of the Short 
736813	404613	Liza Walton Kaslo Sentell Ken
736814	397687	Helena
736815	220790	Ann Alderson
736816	278315	Emelda
736817	139587	Herself (interviewee)
736818	366738	
736819	167003	Nora Ellinger
736820	72012	Jill Baker
736820	82703	Witness
736820	240076	Debbie Capri
736820	292280	The Dog Pack
736821	313334	Hotel Passerby
736822	292301	Ivana Killmore
736823	12282	
736824	226321	
736825	205597	Mulher do povo
736826	105280	Hospital Dancer
736826	118108	Performer
736826	199762	Dancer
736827	163541	
736828	81459	Cool Guest #2
736829	131232	Maypole dancer
736830	107464	Baby Boo
736831	110079	
736831	173050	
736831	178361	Irene Sorel
736831	189582	
736831	286221	
736831	301043	Prinzessin Gabriele, seine To
736833	367073	Munchkin
736834	35213	Young wedding guest #1
736835	35213	Young wedding guest #4
736836	35213	Young wedding guest #3
736837	35213	Young wedding guest #2
736838	144577	Susan Breen
736839	163206	Candy Counter Girl
736840	3982	Old Man
736840	38952	The Friend
736840	352409	Charlie
736840	354863	
736841	693	Herself/Commentator
736841	1702	Herself
736841	1768	Herself (member, Fleetwood Ma
736841	1927	
736841	115217	Vocals
736841	115218	Herself
736841	115219	Vocals
736841	115220	Herself
736841	308563	Herself
736841	314625	Herself (vocals)
736841	352749	Musical Perfomance
736841	352977	Performer
736841	381571	
736842	7099	Sydney, RBTV Computer Expert
736842	229428	Omar's Daughter
736842	333421	
736842	348303	Star Atwater
736842	382600	Morgan Matthews #1 (1993-1995
736843	94105	
736843	281923	Penelope
736844	276788	
736845	14490	Suki
736845	25934	
736845	61097	Yumi
736845	62015	Sung Neng Yee
736845	84889	Anna Nakashi
736845	91684	Satori Imada aka Lotus Flower
736845	94248	Delphine
736845	125638	Bortey
736845	128478	Nhung
736845	129435	Michelle
736845	139678	Mei Ling
736845	170857	Hannah
736845	171724	Cindy Jameson
736845	190253	The Woman
736845	202864	Kaylie
736845	271826	Co Bao
736845	300919	Noreen Chan
736845	332295	Julia
736845	360399	Herself
736845	364039	Jade
736845	380647	Princess Aouda
736845	396066	Rambo
736845	399595	Orlanda Ramos
736848	282282	Maman Bertain
736849	15041	Model 3
736849	20129	Herself
736849	23140	
736849	25169	Myriam
736849	28606	
736849	34213	
736849	40563	
736849	60461	Nico
736849	60753	Partier
736849	63785	The woman
736849	65553	
736849	65905	The Woman
736849	85954	Herself
736849	89572	Nico, top-model
736849	104993	Herself
736849	117180	Leader of admirers in Capri
736849	118384	Herself
736849	140306	
736849	155054	Nico
736849	156938	Maid
736849	161110	
736849	195112	Herself
736849	231549	Herself
736849	254676	Herself
736849	286355	Herself
736849	287230	Dancer at the Party
736849	289759	Herself
736849	291413	Herself
736849	319174	Narrator
736849	327441	Blonde Girl at Spring Festiva
736849	345390	Villanova
736849	351440	Herself
736849	352202	Nico
736849	357015	Catherine
736849	357269	The heroin
736850	93191	
736851	16838	Bourgeoise Lady
736851	202727	Yolanda/Woman in Airplane/Jol
736852	207992	Dujour
736852	282609	Herself
736852	382704	Fiona Motson (1998-1999)
736852	391248	Katerina Ioannou (1994-1997)
736852	391869	Leah Poulos/Patterson (2000-)
736852	401547	Various
736852	401760	Anastasia Skouras
736853	2434	
736853	102722	
736853	307886	Bartender
736854	132892	
736855	135057	Claudia
736856	267213	Cathy
736856	385105	Chloe Jones (1983-1986)
736856	401828	Matty Rothe
736857	75251	
736857	77154	Magda
736857	171720	
736857	218440	
736857	239302	
736857	280747	Brunette Prostitute
736857	301183	
736857	356939	
736858	389620	Lisa
736858	410755	Marie
736859	362129	
736860	347415	Betsy/Tinkerbell
736861	67938	Bossy Boots
736861	96799	Auntie Annie
736861	191291	Mrs. Beaver
736861	301940	Giant Queen
736861	382838	Shelley Rimmer (1986-1987)
736861	383630	Gillian
736862	301063	Mrs. Doyle
736863	135766	
736864	17697	Miss Kerr
736864	304797	Mrs. MacKinney
736865	410632	Countess Hazany
736866	43677	Waitress
736866	194981	Kerry Compton
736866	402004	Kelly Halloway
736867	410813	
736868	72781	
736868	91183	
736868	104778	Romanian entry (10th place)
736868	104781	Host
736869	65013	Madalina
736869	186505	
736869	383117	L'hôtesse radio
736870	223009	Marie
736871	43231	
736872	324632	Kirsten, datter
736873	105506	Ali Baxter
736873	121208	Sheila Tubman
736873	389478	Sheila Tubman
736874	89918	
736875	53158	
736875	138591	
736877	13094	(segment "L'irreparabile")
736877	43994	Mrs. Bausetti
736877	209440	
736877	235365	Giovanni's mother-in-law (seg
736877	292997	
736878	19307	
736879	346413	Lilly
736880	160882	Dancer
736881	357356	Natasja
736882	18525	
736882	71433	
736882	125308	Dagmar
736882	137403	Vera Brahms
736882	155431	Frau Kraft
736882	325581	
736882	348049	
736882	377351	
736882	404431	
736883	236972	Toy Soldier
736884	144388	
736884	209061	Self Defence Girl
736885	6512	Sangerinne
736886	202221	
736887	285004	
736888	144406	
736888	254522	Female Masquerade Dancer
736889	363756	Dental Assistant
736890	199331	La serveuse
736891	184895	
736891	213726	
736892	305938	
736893	35782	Russian Girl
736893	135967	Cassie Simms
736893	285922	Young Sakura - English
736894	25263	Nurse
736894	112879	Foufoune
736894	148758	Technocrate
736894	252317	Ingénieur 1
736895	135967	Tina Wesson
736895	281397	Nikki
736896	67719	La bonne
736896	276251	
736897	13078	Otto's girlfriend
736898	3184	
736898	130307	Doctor
736898	197280	
736898	202413	
736898	207123	Belen
736898	227728	
736898	243175	
736898	383054	Celia
736899	225408	
736900	69170	Herself
736901	94330	Nicole
736902	213576	Yo Shinara
736903	237316	
736904	108901	Solange
736904	120431	Laurence
736905	68513	
736906	291553	Martinelli
736907	229099	
736908	89977	
736908	150555	
736909	209073	dancer
736910	183503	
736910	301119	
736911	352086	
736912	78644	
736912	156415	
736912	183023	
736912	236484	
736912	240396	
736912	251358	
736913	23879	
736914	217943	Amie d'Anneliese
736915	3520	Barmaid
736915	75028	
736915	85840	Dyak Girl
736915	89207	Street Kid (herself)
736915	93203	
736915	104748	Norwegian entry (7th place)
736915	104750	Norwegian entry (18th place)
736915	108538	Sangerinnen
736915	235922	Dancer
736915	264722	Club Singer
736915	264749	
736915	405837	Løstig-Gjertrud
736916	276858	Kay Lawford
736917	41393	Jacy 3-4
736918	370643	Kelly
736920	217745	Dancer
736921	53296	Eli's Daughter
736922	270931	Sgt. Greta
736923	34882	
736923	39242	
736923	42809	Herself
736923	50569	
736923	92011	
736923	104314	
736923	123658	
736923	123659	
736923	150349	
736923	154386	
736923	158289	
736923	195916	
736923	228658	
736923	294296	
736923	295706	Door to door pornographic tap
736923	303366	
736923	318183	Patient with nymphomania rela
736923	320934	
736923	330431	
736923	360516	
736923	364727	
736923	365127	
736924	47265	Julie
736924	371092	Deborah McWhite
736924	390729	Hostess
736925	302328	
736926	345525	Une standartiste
736927	7068	
736927	186781	
736927	188053	
736928	27197	
736928	31880	Herself
736928	87246	
736928	89888	
736928	120575	
736928	128846	Herself
736928	129081	Herself
736928	196543	
736928	253481	
736928	281548	
736928	316506	
736929	257659	Miss July
736930	43087	Hooker
736930	164397	
736931	117154	Pageant Girl
736931	131239	Woman of the town
736932	1281	
736933	158591	Heather
736934	159210	
736936	156436	Fa
736936	353293	Lanette Sorwards
736937	264724	Model
736938	13637	Hooker
736939	6722	Herself
736939	13879	
736939	50367	
736939	128732	
736939	178716	
736939	327642	
736940	309158	J-Wags Patron
736941	160994	
736942	326495	Erikssons Pupil
736943	610	Claire
736943	142422	Milo
736943	147844	Make-Up Woman
736943	148910	Soledad Ramirez
736943	158975	Citizenship student
736943	208326	Celia
736943	272857	Rosa
736943	297791	Actress
736943	313049	Rafaela Fuentes
736944	147900	Melissa
736944	357151	Sorority Girl
736945	216639	Ms. May - Tennis
736946	76197	Eva Braun
736947	302710	Dancer
736947	317309	Dancer #5
736948	175086	Hanka
736949	38084	
736950	112737	Miruna
736951	260329	Joan's Mother
736952	107764	Tracey
736952	164619	Verla
736952	190453	Britta Rinegelt
736952	193108	Debbie Luger
736952	210469	Deuandranice
736952	264102	High Class Hooker
736952	296785	Cheryl
736952	363478	Lisa
736952	378855	Caryn
736952	379831	Lisa Bartholomew #1 (1990)
736952	404648	Paula
736953	282781	Pierre
736954	79252	Gonnie
736954	89911	
736954	181255	Moeder Keyzer
736954	277759	Moeder van hans
736954	390242	Mrs. van Thijn
736954	403723	Mevr. van Serooskerken
736954	410441	Tonny Oerlemans-de Boer (1993
736955	70865	Tenchita
736955	110504	
736955	160776	
736955	207515	
736955	264845	
736955	345025	Rose
736955	364724	
736955	395867	
736955	400442	Herself (1st part)
736955	410201	
736956	273341	Herself
736956	397218	Herself
736957	279681	Herself
736958	160978	
736959	461	Gräfin von Kokowsky
736959	479	Kitty
736959	4775	Mrs. Evelyn Piper
736959	12587	Yvonne Farini
736959	12835	Old Fanny
736959	14297	Mrs. Cooper's Hausdame
736959	15271	Gräfin Eichenfels
736959	23889	
736959	24160	Mimi Rums
736959	33237	Madame Houpfle
736959	33465	Teresas Mutter
736959	65176	Isabella Pinacoli
736959	67958	Frau Grunbaum
736959	79168	
736959	79176	Tante Agathe
736959	84591	Nanette
736959	104824	Daisy Jordan
736959	110714	
736959	111770	
736959	115202	Baroness Martens
736959	119140	
736959	119174	
736959	121057	Rosi
736959	132251	
736959	132546	Caroline, Erbgräfin von Luxem
736959	137636	Susi, Godais geschiedene Frau
736959	147132	
736959	147153	Johanna Segenreich
736959	147161	
736959	152406	
736959	155385	Frau von Wittekind
736959	155456	Yvonne
736959	155599	Chérie
736959	156701	Isabella
736959	156983	
736959	164270	Barbara Tusma
736959	164275	
736959	167150	Hedy
736959	170691	
736959	171664	
736959	172382	
736959	177176	Antonovna
736959	178664	Anny Bird
736959	181002	
736959	186931	
736959	189580	
736959	189679	Jasmin
736959	189766	
736959	190790	Frau Muskat
736959	198420	
736959	203224	
736959	203257	
736959	204468	
736959	205665	Franzi
736959	205666	
736959	209967	Veta Simmons
736959	209975	
736959	218913	
736959	223485	
736959	226252	Teresa's mother
736959	231482	
736959	239019	
736959	254669	Berthe Paradis
736959	281924	Vera
736959	281944	Janine Rocca
736959	290196	Actress, herself
736959	290578	
736959	290701	
736959	290786	Lisa
736959	290857	Cornelia
736959	293423	Gnädige, Die
736959	302678	
736959	308829	
736959	310276	Stefanie Baumann
736959	314541	Katie Held
736959	321828	Mathilde Seidlitz
736959	324866	
736959	325739	Gerda Radler
736959	335038	Anna
736959	338427	Frau Schmitt
736959	343663	
736959	343761	Wife
736959	345012	
736959	347567	Reseda
736959	352056	Friederike von Bernheim
736959	359645	
736959	363664	
736959	364935	
736959	366495	
736959	366566	Vera Cirmann
736959	374331	Guest
736959	376330	
736959	376426	Irene Neuhaus
736959	379811	
736959	384174	Gräfin B.
736959	388468	
736959	390291	
736959	403133	Frau Jellinek
736959	403410	Tante Durchlaucht
736959	404184	Graefin Masefi
736959	404462	Mrs. Froehlich
736960	255242	Art Club Member
736961	340662	Hécube
736962	337131	Catherine (the intern)
736963	197546	
736964	273482	Herself
736964	320097	Jill Nicolini
736965	29775	Berta
736966	327298	Sock Hop Dancer
736967	297126	Misty Flavors
736968	108213	Octavie
736969	201346	Nurse at Hospital
736970	264148	Mother's Shadow
736971	17949	Gabby
736971	24960	Becky
736971	75896	Amy
736971	127417	Tara Stewart
736971	253021	Tiffany
736971	269856	Dr. Lipsky
736971	311516	Bridget Riley
736971	367879	Priscilla
736971	383161	Dahlgren
736971	385462	Motherboard
736971	407318	Terri Taler (1990)
736971	408692	Cathy Blake (Season 1)
736972	87161	
736973	295210	Younger Daughter
736974	402664	Vidette
736975	379926	Herself (8th Place)
736976	78736	Herself (interviewee)
736976	78737	Herself
736976	113559	
736976	118128	Eveline
736976	127901	Diana
736976	159480	Elise Stallone Van Adler
736976	198904	Laura Di Falco
736976	205937	Herself
736976	214593	Moglie di Gildo
736976	217874	Herself/Various
736976	217875	Herself
736976	242607	Mira
736976	246493	Sylvia Hackett
736976	249249	Madre di Angela
736976	254621	Frau Brückner
736976	265504	Gianna Brezzi
736976	265905	Anita
736976	281629	Eleonora (madre di Cornelia)
736976	289582	Anna's Mother
736976	290285	Dora Baldini
736976	307463	Ms. Fogoni
736976	320324	Herself
736976	327903	Anne
736976	348118	Nurse
736976	351581	Clara De Peyhorrade
736976	354769	Sibilla
736976	380986	Narrator/Queen Camillia
736976	403449	Elisa
736976	405800	
736976	409970	Margherita
736977	68439	
736978	97232	Woman Paul Meets
736979	81351	Tisia
736980	206445	Student in Pageant
736981	206445	Student in Pageant
736982	41851	Cockney Urchin
736982	46389	Diana Maxwell
736982	48019	
736982	136024	
736982	193595	Melanie Sadler
736982	214643	Charlotte
736982	258036	Marion
736982	366118	Nitau
736982	386066	Annabelle Hurst
736982	388504	Anna Sergeyevna
736982	409514	Anne Heriot
736983	81040	Sara
736984	104045	Becky as a child
736985	74113	Nurse #1
736985	108938	Kit
736985	112023	Waitress
736985	221233	Princess Louise
736986	33398	Belinda's mother
736986	65681	Linda
736986	71777	Fiona Davies
736986	85070	Mrs.Allen
736986	123172	Rose Hamilton
736986	126700	
736986	158526	Mrs. Lyall
736986	231108	Connie
736986	245074	(Story 3 "Separate Ways")
736986	381238	Lady Faulkner
736986	381608	Fiona Buckland Carstairs Davi
736986	382312	Sgt. Monica Rourke
736986	384962	Marion O'Reilly
736986	390276	Miss Birrell
736986	399130	Robyn Taylor (1989)
736986	402197	Ann Reynolds (1983-1986)
736986	406891	Mrs. Turnbull
736987	235316	
736988	19928	Laura niña
736989	17522	Henriette
736990	362052	Sheik's Slave
736991	68430	
736992	315437	
736993	104475	
736993	157500	
736993	160056	
736993	202074	
736993	251614	La padrona del restorante
736993	278023	Maria, la domestica
736993	287648	
736993	319324	
736994	72069	Regine
736995	319819	Danseuse no. 2
736996	57846	
736997	243618	
736997	288941	Prisoner
736998	111154	
736999	166195	Marius
737000	140283	Juliette
737001	56749	Patient
737001	87820	French Girl in Paris
737001	154481	Night No. 2
737001	208719	Gypsy Dancer at Festival
737001	222592	Earl Carroll Girl
737001	241110	Traveler in Warsaw
737001	360068	Marie
737002	407236	Flóra Mágenheim (1988-1999)
737003	273661	
737003	357728	
737004	270320	Mariuska
737005	347013	
737006	386188	(episode "Misterul din fotogr
737007	115661	
737007	407624	Herself (2nd banished)
737008	95981	Woman in Zumpe's House
737008	227611	Antropology Professor
737008	232664	
737008	340721	
737008	375179	Natasza
737009	376587	
737010	11511	Linda
737010	87882	Jenny
737010	330302	Jenny
737011	124687	Juryvoorzitter
737011	149111	Honneponnetje
737011	157588	
737011	160781	Amy
737011	381672	
737012	237703	
737013	288690	
737014	189831	
737015	259098	Computer
737015	401740	Additional Voices
737016	226008	Maliszowa
737017	300532	Downstair Neighbors
737019	219862	
737020	11346	Business Executive, and Secre
737020	81774	Arianna
737021	33673	
737022	24051	
737023	123406	Mazie King
737024	19177	Wife
737025	24351	
737025	49301	
737025	96124	
737025	110774	Ellen Koenig
737025	169615	Daniel's Mother
737025	187594	Therapist
737025	296354	Ilona Wittberg
737025	366515	Angelika Bergmann
737025	388571	Ellen Koenig
737025	391284	
737025	392669	Helen Kanter
737025	401995	Anke Lindner
737025	404224	Silvia Althofer
737026	28992	Une amie d'Anna
737026	111045	Ma femme
737026	133019	
737027	305651	
737028	122769	
737029	101457	
737029	189902	Cécile
737029	284242	
737030	11769	Husholderske
737030	12512	Fru Friberg
737030	18079	
737030	18080	
737030	92947	Overhofmesterinde Fru Haxthau
737030	99443	Professorinde Thalby
737030	99554	Elisabeth Munk
737030	117583	Fru Ring
737030	123504	Gamle Karen
737030	127579	Lis' mor
737030	174016	
737030	190843	Olivia
737030	219817	Emma Nelsøe
737030	231669	Sidse Mikkelsen
737030	237288	
737030	253878	Fru Rasmussen
737030	308229	Fru Apoteker Hauch
737030	315382	
737030	322475	Anton Jessens mor
737030	331994	
737030	336058	
737030	349808	
737030	352840	Mor Karen
737031	120039	
737032	115436	
737032	178016	
737032	226197	Brigitte Sonthof
737032	259635	
737032	325192	Schwester Ilse
737032	325530	Gerda
737032	325676	Die Dicke
737032	325734	Schrotthändlerin
737032	325915	Gefängniswärterin
737033	151222	Female Singer #3
737033	362716	Housewife
737034	104766	German entry (18th place)
737035	307380	Poker Player, Paris
737036	307380	Poker Player, Paris
737037	399407	Herself
737038	261459	Student
737039	125229	
737039	156985	
737040	191405	Anka
737040	226841	
737040	284052	Kasia
737041	369336	Martha Earp
737042	95945	Adviser's Wife
737043	290576	Herself
737044	339937	Backup Singer #2
737045	235839	
737046	366077	Helmut
737047	341100	
737048	14905	
737048	19526	
737048	30284	
737048	63760	
737048	75237	Zoja
737048	90684	
737048	199934	Laura di Sansevero
737048	229987	Christine
737048	243199	Alice
737048	278933	Ute
737048	356207	
737049	12839	Rosalie
737049	24065	
737049	57261	Juanita
737049	106810	Ruth Relter
737049	122760	Lucie Heil
737049	139055	
737049	140246	Atlanta
737049	141939	Gabriele Attendorf
737049	158051	Belisa
737049	275039	
737049	281947	Dorothee Aden
737049	281983	Anna Krüger
737049	317365	Helene Willfüer
737049	325729	Frau Jakobs
737049	341100	
737049	360937	Anna
737050	38840	Burger, Irina
737050	94884	Antonia Lenz
737050	115103	Jeanette Fielmann
737050	119219	Maike
737050	124985	Luise Reimann
737050	129690	Saskia
737050	159608	Hanna Bellmann
737050	182783	Hanna
737050	195537	Ina/Jula
737050	281745	Christabel Lowyer
737050	312600	
737050	403791	
737050	409588	Gaby Zerlinski
737050	409958	Julia Sander, adopt. von Anst
737051	102989	Das Mädchen
737052	45371	Herself
737052	83902	Titten-Ilsa
737052	89849	Domenica/Herself
737052	153088	Domenica
737052	260405	
737052	281938	Sumatra
737052	326174	
737053	109481	Gloria
737054	168670	Valerie Washington
737054	253499	Girl on swing
737055	23703	
737055	26392	The Wet Nurse
737056	325620	Susi
737057	347591	Queen Mab
737059	244680	Liebespaar (Frau)
737060	213764	
737061	92694	Ballroom Guest
737061	368997	Party Guest #2
737062	92694	Ballroom Guest
737062	368997	Party Guest #1
737063	37904	Strygerske Bertha Andersen
737063	99443	Kvinde i mejeri
737063	105045	
737063	117001	
737063	136619	Fru Christensen
737063	154235	Asta Humlegaard
737063	237023	Viola Sivertsen
737063	304362	Kvinde
737064	212332	Herself - Participant/Perform
737065	389118	Herself - Aurafotograf
737066	34107	
737067	214385	
737067	303207	Linnea
737068	190995	Birgitta Edin
737069	234936	
737070	100887	Featured Performer
737070	405456	Tuuli
737071	305004	Gl.dame
737072	315836	
737073	5236	
737073	7579	Magda Vang
737073	20418	Jenny Schmidt
737073	21647	
737073	22576	Herself
737073	22578	Herself
737073	23169	
737073	28594	Camille Flavier
737073	46971	
737073	48406	
737073	51280	Helene Netzler
737073	51316	Lulu
737073	65567	
737073	79165	Asta Nielsen
737073	86264	Herself
737073	87209	Auguste
737073	91073	
737073	100930	
737073	101356	Jesta
737073	101357	
737073	102405	Lulu
737073	103599	
737073	105525	
737073	107234	
737073	107960	
737073	111745	
737073	113062	
737073	119150	Josefine
737073	119712	May
737073	120940	
737073	124994	Elsie seine Frau
737073	125144	Clarina, Tänzerin
737073	125326	Mary Verhag
737073	126340	
737073	126489	
737073	132542	
737073	137902	Hamlet
737073	140226	
737073	141790	
737073	142210	
737073	144100	Herself
737073	155092	Maria Magdalena
737073	155679	
737073	156645	
737073	156677	
737073	162453	
737073	170126	
737073	177148	
737073	177178	
737073	178681	
737073	179831	
737073	182003	Girl Lissy/Mulattin/Filmstar/
737073	185794	
737073	186923	
737073	189728	
737073	192668	
737073	199020	
737073	207581	Mata Hari
737073	209579	
737073	216780	
737073	225172	
737073	226162	Sonja Walter,Journalistin
737073	226311	
737073	272823	Henriette Mauclerc
737073	275053	Elena
737073	281822	
737073	284627	
737073	290220	
737073	309299	Stella
737073	311113	
737073	311242	Mata Hari
737073	313131	
737073	314584	
737073	318323	
737073	322517	
737073	323797	Herself
737073	334488	
737073	334550	
737073	336534	
737073	343478	
737073	347430	Vera Holgk
737073	350427	Vanina
737073	352492	Yvonne
737073	356850	Sabine
737073	358258	
737073	361075	
737073	361129	
737073	361405	
737073	373952	
737073	375992	
737073	386347	Herself (episode 1.1 "1900-19
737074	108856	Anne 'Fante-Anne'
737074	110770	Zazako, Felixs søster
737074	168935	Tone 'Jomfru trofast'
737077	12601	Petra
737077	17848	Barbara
737077	73158	Mme Bécu
737077	86238	Molly
737077	111868	Zosia
737077	137303	
737077	155361	
737077	266019	
737077	290665	Renate Berndorf
737077	290697	Rachel
737077	310019	Eva
737077	338003	Marianna
737077	341612	
737077	358997	
737077	376336	
737077	398083	Assistentin
737077	409627	
737078	27920	
737078	284858	Sabine
737078	306266	Peter's Sister
737079	240591	Bess
737080	398045	Herself - Chef and Expert in 
737081	7558	En veninde
737081	115973	
737081	252358	Ticket Agent
737081	277440	Madeleine
737082	3265	Agnes
737082	35523	Karla Fry
737082	36851	Herself
737082	36852	Herself
737082	47037	Herself
737082	50972	Lisa
737082	58508	Magda Kassar
737082	66356	Ingrid
737082	66661	Sybil
737082	68728	Michelle Stone
737082	89957	Domino
737082	90887	Elizabeth Gast
737082	91554	Rhonda
737082	107684	Herself
737082	108658	Black Queen
737082	108659	Black Queen
737082	108660	Black Queen
737082	108661	Black Queen
737082	123024	Ladera
737082	149967	Minna
737082	180337	Herself
737082	215843	Rachel K. Larkin
737082	222606	Maggie Bartok
737082	248056	Mrs. Nielsen
737082	274350	Red Sonja
737082	280284	Ludmilla
737082	298119	Veronica Lamar
737082	306312	Mimi
737082	363537	Herself
737082	381899	Herself
737082	381903	Herself (Participant)
737082	382775	Herself (Hostess)
737082	388613	Herself - Assistant (1992)
737082	388618	Herself (Assistant)
737082	391108	Herself (1991-1993)
737082	403263	Herself (Secret Army)
737082	407067	Herself/Season 3 (2004)
737082	407518	Herself (9th Executed)
737083	399881	Herself
737084	73559	Luscious Nurse
737084	226900	Connie
737085	120840	Pattie McCann
737085	206291	Juliette
737086	93514	Barn
737087	226338	Schlampilein
737088	29354	
737088	38764	Nina Sonntag
737088	40863	Margarethe Sanden
737088	53044	
737088	98252	
737088	115653	Martine Duval
737088	119111	Karin Becker
737088	119147	
737088	142097	Erika Schürmann
737088	156691	
737088	163078	Lilo
737088	189785	Tanja
737088	210108	Marion
737088	218935	Marga
737088	226400	
737088	284108	Cora Minelli
737088	290176	
737088	347675	
737088	361376	
737088	369136	Helga Glass
737088	396755	Philis Brother
737089	129858	Kandis
737089	178508	Sekretær i Arkitektfirma
737089	194986	Pige
737089	268213	Kandis
737089	291615	Gul Partner/Yellow Partner
737089	309292	Stemme
737089	379776	Kandis
737089	379777	Kandis
737089	402499	Kandis
737090	367856	Herself
737091	1674	Herself
737091	30640	Osborne
737091	48381	Sarah
737091	69643	Herself
737091	78969	Megan Denright
737091	82729	Diane de Monx
737091	84956	Christabella Andreoli
737091	129185	Lucilla
737091	133772	Margaret Utinsky
737091	152932	Abby Durrell
737091	155251	Renata
737091	215860	Terri Fisher
737091	241421	Nina Yorkin
737091	248265	Eva
737091	248415	Sarah
737091	253227	Dagmar
737091	276886	Charlotte Cory
737091	283739	Mrs. Calloway
737091	307351	Sandra
737091	344496	Lucilla (Gladiator)
737091	349533	Brunilde/Vanessa
737091	357007	Ronnie Freeland
737091	384618	Marilù
737092	322302	
737094	323427	Cara
737095	22845	Britt
737095	32542	Sygeplejerske
737095	219876	Mona
737095	291615	
737096	377445	Herself
737097	282908	Ed's Mom
737098	162657	Cafeterieejerens datter
737099	18953	Voice Over
737099	204893	Herself
737100	181237	Bedstemor
737100	187943	
737101	181237	Bedstemor
737101	187943	
737102	99381	Herself
737103	79552	Agnes som barn
737103	87736	Husassistent Mathilde Jørgens
737103	173201	Nurse
737104	120968	Veninde 3
737104	168706	Britta, Johnnys girlfriend
737104	325133	Rikke's Mother
737105	257244	Herself
737105	314992	Herself - Minister of Culture
737106	83700	Maren
737106	135237	
737106	334045	Audun Hamres mor/Audun Hamre'
737106	357303	
737107	403805	Amanda Simms (1998-1999)
737108	243265	Anne Skraedder
737109	255501	
737109	380210	Lupe
737109	383774	Otilia
737109	389480	Estela
737110	108971	Lille Grete
737110	108972	Lille Grete
737111	214196	Dancer
737112	115230	
737113	154869	Baby Jeannie
737114	354739	Jordmorder
737115	386871	Herself - Gardener
737116	359901	Mrs. Padopolous
737117	286168	
737118	16328	Bente
737118	115230	Tvilling Anne
737118	147395	Bikini pige
737118	156029	
737119	397074	Ellen Skjern (child)
737120	213435	Majbritt
737121	252000	Skoleelev/Classmate
737121	253027	X's girlfriend
737122	94337	
737123	23507	
737124	16328	Kirsten
737125	101745	Konstanze, beloved of Belmont
737125	288776	Gandhi's Assistant
737126	150490	Stacy
737126	154869	Baby Jeannie
737127	13993	Teenage Girl On News
737127	334085	School Girl
737128	6163	Nurse
737129	359858	Art Gallery Party Goer
737130	391357	Malin, familjemedlem hos Conn
737131	381894	Herself (season 1-2001)
737131	381896	Herself - Participant - Winne
737131	381897	Herself (season 1-2001)
737131	381914	Herself - Participant - Winne
737131	410194	Herself - Host
737132	93903	Herself (Qaanaaq)
737133	53220	Karkosch
737134	155138	Sophie
737134	280527	La spécialiste en chauffage c
737135	57817	Kathy
737135	120283	Tracy
737135	122991	Kathy/Cheer Leader
737136	257229	Jazell
737137	346992	
737138	99443	Lydia Frederiksen
737138	120310	Fru Lilian Hedberg
737139	7196	Barbara
737139	305390	Emily Bailey
737140	5689	Billie
737141	259739	Eleven
737142	351798	
737143	93514	Oversygeplejersken
737144	212334	Herself - Participant/Perform
737145	35145	Receptionist
737145	158782	Mrs. Bates
737145	234218	Girl Student #1
737147	16328	Birte
737147	84307	En pige
737147	107307	Mia
737147	109125	
737147	115230	Tvilling Lise
737147	146991	Vivian
737147	147395	Bikini pige
737147	173739	
737147	179790	Producerassistensen
737147	287375	Wilhelmine
737147	303691	Jenny
737147	304060	Peters mor
737147	328516	Direktør Ejlersens sekretær J
737147	344109	Jane
737147	351039	Tulle
737147	388910	Various roles
737147	408356	
737148	239497	Ola's Girlfriend
737149	173075	Narrator
737150	192660	Maj
737150	259159	Bettan Stark
737151	110924	The Perfect Woman, from 'Det 
737151	253028	The Perfect Woman
737152	48133	Kogekone
737152	116313	Fru Hviid
737152	154319	Kontordame
737152	317600	
737152	338696	
737153	324257	Herself - Forbrugerrådet
737154	17587	Mrs. Rasmussen
737154	89836	Mrs. Petersson
737154	108633	Biskopsgården
737154	120139	Agatha
737154	122776	Woman
737154	154502	Tourist
737154	164779	Ester Kahn
737154	181638	Ida Mattsson, housemaid
737154	182298	Fanny, assistant in fashion s
737154	218993	Woman at Maria Vaern's house
737154	276130	Gossip
737154	285409	Siv
737154	315373	Desdemona in 'Othello'
737154	342978	Miss Lind
737155	139006	Åse
737156	403381	Herself - Sygeplejerske, Rigs
737157	3008	Marie
737157	39127	Frk. Osterhammel
737157	94412	Old Victor's wetnurse
737157	153779	
737157	177900	Sidsel
737157	178789	
737157	179979	
737157	198054	
737157	207805	Various roles
737157	214197	
737157	237083	
737157	266364	Gunvor
737157	266369	Moster Gertrud
737157	303692	Frk. Mortensen
737157	303950	
737157	308229	Bedstemor
737157	315394	
737157	324626	Juliane Cramer
737157	334434	Den gamle dame
737157	340426	Frk. Møller
737157	343374	Hushjælpen Mads
737157	344048	Baronesse Caroline von Hessen
737157	356852	
737158	389658	B-151
737159	183311	Camille
737160	1198	Chicks
737161	212334	Herself - Participant/Perform
737162	17587	A young girl
737162	42200	Miss Wåhlin
737162	78514	Girl at the nightclub
737162	84314	Ms. Röös
737162	115401	Ping-Pong
737162	121016	Saucy girl
737162	128953	Colette
737162	134707	Miss Kempe
737162	136613	Berit
737162	142863	Lady Mortimer, daughter to Gl
737162	154276	Mother
737162	172982	Barbro Johansson
737162	174726	Mirka
737162	180938	Eva
737162	182257	Gang member
737162	187633	Rosette
737162	190795	Claire
737162	200645	Jenny, a whore
737162	204537	Newsstand lady
737162	210331	Herself
737162	220765	Cecily
737162	225232	Eva
737162	264292	Pirjo
737162	276131	Singer
737162	278997	Cathleen
737162	295901	The step daughter
737162	304217	Thérèse
737162	315361	Girl with rag doll
737162	320606	Sister Maerta
737162	322275	Marianne Olsson
737162	322310	Britta
737162	322663	
737162	322818	Lesbian
737162	348475	Mrs. Dalgren
737162	357760	
737162	357775	Lotta
737162	390792	
737162	391363	
737162	402479	Maud
737162	405785	Marianne Rooth
737162	409853	Bodil Assarsson, Women's Fash
737163	385938	Herself - Host (1999-2001)
737164	233865	Becky Sue
737165	78808	Fanette
737165	83928	
737165	379846	Pauline
737165	388307	Barbara (1999)
737165	392072	Mercedes Gonzales Nygård (200
737166	388916	Miss Warble
737167	91954	Sandra
737168	34543	Saga Sjöder
737168	255866	Monique
737168	259365	Eva
737168	355702	Anna Holt
737168	380343	kriminalinspektör Anna Magdal
737168	394942	Myran
737168	397397	Herself
737168	403769	Anette Joninger
737169	358846	Miss Måneskin-pige
737170	409172	Herself - Host (1998, 2000-20
737171	117950	
737173	210364	Herself
737173	397396	Herself
737174	153398	Herself - Overkonstabel, Livg
737175	328301	Nurse
737176	51295	Tvilling
737177	380391	Courtney Evans (1995-1996)
737178	51295	Tvilling
737179	122808	Herself
737181	354597	Mona
737182	238783	Herself
737182	383948	Herself
737183	181304	
737185	264639	
737186	381894	Herself (season 1-2001)
737186	381897	Herself (season 1-2001)
737186	381914	Herself - Participant (season
737187	307920	Tanya Nichols
737188	117819	
737189	181909	Herself - Promoter, Natteravn
737190	229414	
737191	128721	
737191	255662	Trine Bech Nielsen
737191	255711	
737192	305861	Nabo til Nick's mor
737192	312018	
737193	50328	
737193	383045	
737194	248188	
737194	401774	Eva Groenhag
737195	268558	Marie
737196	7580	Den unge Asta Nielsen
737197	393867	Julie Juhl
737198	347003	Sesjant-Petra
737199	80782	Cemetery Extra
737200	111953	Mizi, the maid
737200	119712	Stubenmädchen Mizi
737201	210462	Super's Girlfriend
737202	303564	Hanged Female
737203	3405	Amy McSwan
737203	72710	Hilary
737203	176452	Barbara Grant
737203	365141	Blonde Assistant
737203	382854	Nancy Lincoln (1973)
737203	384112	Grace Hills
737203	390023	Jean Carter (1963-64)
737203	393939	Eleanor Colchester
737203	402186	Liz Elliot
737203	407427	Mrs. Tranter
737204	98591	
737205	370113	Jett's Partner's Lover
737206	60251	Mrs. Feldman
737207	11525	Reporter
737208	95078	Sweater friend #2
737208	233865	
737209	156	Master's Wife
737210	374638	Angvisa Girl
737211	41326	
737211	104367	
737212	257264	Earring customer
737213	163619	
737214	45638	Kissing Woman (segment "This 
737215	136209	Herself
737216	209950	
737216	361406	Manuela
737217	18968	
737217	130240	Frau Niemann
737217	325768	
737217	391136	
737218	137936	
737219	185357	Old Woman
737220	308843	
737221	267008	
737222	58691	Franka
737222	85593	
737222	197219	Jadwiga Ciaglewiczowa
737222	313032	Wanda
737222	322104	
737222	367198	
737222	394585	Teresa (1999-2000)
737222	411894	Misia Chominska
737223	401789	Yulia
737224	232389	Hoover
737225	390242	Carrie van der Pol (1992)
737226	168866	Krisse
737227	324901	Altamort, General der Armee
737228	349736	
737229	89474	Natalia Orszenska
737229	266293	Barbara Skonecka
737229	311599	Herself
737230	315829	Ragazza sui fili
737231	319302	Minttu
737231	407109	Herself (2004)
737232	284411	Grossmutter
737233	186650	Additional player
737234	172289	Tuula
737234	223274	
737234	283591	Manor daughter
737234	323531	Annika's friend
737234	355743	Professorin tytär
737234	394792	Karin Luotola
737234	394797	Seija Viitala
737235	0	#1 Woman
737236	31870	Carol
737236	188615	Woman in crowd
737236	192608	Female Anchor
737236	231110	Violinist
737236	241467	Chrissa Lindh
737236	298091	Model
737236	304480	Ms. Schell
737236	314236	Kasha
737236	372806	Donna Wetter
737237	281676	
737238	148192	Mona
737238	388801	Young Ellie
737239	294545	Jari
737240	211038	Viulistityttö
737241	386700	Ange
737242	153547	
737243	9602	Pekkas fiancée
737243	380069	Maire Pajari
737244	213700	Maid
737245	4334	Maitotyttö
737246	285801	
737247	172777	Dancer
737247	175346	Rudolf's gal
737248	99471	
737248	152357	Veikko's mother
737248	173407	
737248	181562	Miina
737248	181711	
737248	181745	
737248	182840	
737248	213379	Matleena
737248	214840	
737248	236793	
737248	236796	Dandra
737248	239155	
737248	240329	Anderssonska
737248	246876	
737248	278873	
737248	284063	
737248	301912	
737248	343508	
737249	158988	
737249	250798	Michal's mother
737249	311836	Irena
737249	369340	Jolka
737249	385480	Sgt. Lidka Wisniewska
737249	404216	Anna Szpunar
737250	6094	Ada
737250	32572	Wanda Ruczynska
737250	95727	
737250	164260	Lolita
737250	165845	Chambermaid
737250	181384	Rita Malvani
737250	181387	Chambermaid
737250	217217	Amelia Kurkowna
737250	234249	Chambermaid
737250	247351	Wedding Guest
737250	275588	Kazia, the blond
737250	322153	
737250	369375	Hanna's Colleague
737251	92260	Dead Person
737252	323285	
737253	66263	Ferdowa
737253	75964	Bozenka Kaczmarkowa
737253	215214	
737253	237983	
737253	293684	
737254	73913	Pat
737255	394003	Presenter
737256	389868	Baba Swanepoel (????-2003)
737257	149478	
737258	109630	Stacy
737259	97037	Blaga
737260	223462	Doro
737261	96059	Interviewee
737262	252050	Herself
737262	386164	Herself - Hostess
737262	390878	Herself - Host
737263	95281	Melanie Marks
737263	189579	Lisas Schwester
737263	216119	Pauline
737263	371393	Charlie Bergmann
737264	44828	
737265	22714	Cupid
737266	290511	
737268	42122	Frau Vogel
737268	110712	
737268	119141	
737268	119165	Frau Lehmann
737268	134777	
737268	134801	Die Mutter
737268	147156	Veri
737268	153175	Tante Gusti
737268	172386	Stasi
737268	267578	
737268	322555	Hansi Aichinger
737268	343655	Henriette von Petrin
737269	26070	Nightclub singer
737269	27619	
737269	140908	Singer
737269	175236	Herself
737269	281392	Marilyn Fenton
737269	313833	Sarah
737269	330797	Singer at WW I recruiting sta
737269	331991	Herself
737269	335868	Gilda Norman
737269	370241	Herself (singer)
737270	226891	Bigfoot
737271	83961	Shotsie
737271	251646	Bouncer
737271	259864	Nun B
737272	314853	Nun
737273	82758	Nicol
737273	88410	Tadeusz's Girlfriend
737273	135886	Policewoman
737273	172769	Lena
737273	181249	Joanna
737273	237442	
737273	275036	Ola
737273	321429	
737273	385481	Anna Konopko
737273	412075	Beata
737274	273164	Girl in Dream
737275	37219	Andrea Shrelonzky
737275	80962	Emily
737275	142390	Shira
737275	144196	Lilli Leonard
737275	159607	Emma Jacobsson
737275	231334	Marilyn
737275	351808	Cindy Sanderson
737275	367674	
737275	371019	Katie Rosenberg
737276	9530	
737276	100973	Reiseberaterin
737277	313790	Performer
737278	389688	Diana Portete
737279	395885	Natalia Sandoval (2000)
737279	401916	Abigaíl Parra (Durán)
737279	402219	Lizbeth Duval de Salazar
737279	409719	Beatrice (Edmundo's Reception
737280	402332	Herself
737281	343193	Cook
737283	310073	Dancer
737284	379566	Sofía (1998-1999)
737284	381216	Victoria Eugenia
737285	243487	
737286	28019	
737287	145153	
737288	276486	
737289	24206	Enfermera
737290	337677	
737290	343193	Seamstress
737291	307496	
737292	357189	
737293	152352	
737294	355946	
737296	152250	
737297	206975	Eloísa
737297	275073	
737297	378497	
737298	57253	
737298	132664	Vecina
737298	143757	
737299	19491	Adela
737299	24612	
737300	242614	
737301	23092	
737301	68990	
737301	69206	
737301	85901	
737301	114521	
737301	160091	
737301	167810	
737301	225392	
737301	294969	
737301	317813	
737301	319559	
737301	339125	
737302	255438	
737303	380551	Natalia
737304	193735	Nurse #1
737305	74603	
737305	273705	
737307	253012	
737307	331970	Maureen
737307	368215	
737307	400294	Laure (1991)
737308	194836	
737308	331575	Helen
737309	8053	Gwen
737309	126468	
737309	178697	
737309	187049	Riet
737309	231672	
737309	246885	Ans Slieps
737309	269750	Riet
737309	376185	Mother
737309	382017	Henriëtte (oud)
737309	400507	Guusje Bussink-van Michelen L
737310	10228	
737310	14676	
737310	19449	
737310	33489	
737310	42640	
737310	47043	
737310	57480	
737310	58068	
737310	59532	
737310	61137	
737310	69128	
737310	75151	
737310	80274	
737310	90197	
737310	103109	
737310	103711	
737310	109284	Pura
737310	113300	
737310	121224	
737310	140572	
737310	143664	
737310	145204	
737310	148044	
737310	148093	Rosario
737310	193073	La madre
737310	221550	Tecla
737310	221910	
737310	222409	
737310	222533	
737310	231639	
737310	234408	
737310	263827	
737310	307722	Duquesa de Almiñate
737310	324180	
737310	333699	
737310	342152	
737310	351994	
737310	353591	Marcela
737310	355951	
737310	372757	La madre de Paco
737310	376794	
737310	376802	
737310	378423	
737311	111022	Baby
737311	206979	Model
737312	51524	
737312	64027	
737312	84011	
737313	8143	
737313	10122	
737313	55797	
737313	60423	
737313	68061	
737313	80225	
737313	83859	
737313	91388	
737313	124442	Brenda
737313	135350	
737313	169775	
737313	198993	
737313	198998	
737313	204770	
737313	227094	
737313	247416	
737313	248297	
737313	249796	
737313	268238	
737313	275278	
737313	294973	
737313	300679	Sara
737313	300683	
737313	324841	
737313	354782	
737314	5786	Lauryn
737315	130184	Nurse In Hallway
737316	254943	Jenna's Mom
737317	5786	Gia
737318	55143	
737318	121774	
737318	307240	
737318	324450	
737319	19253	
737319	30418	
737320	14956	Annamaria Di Cerri
737320	162074	
737321	55122	Club Patron
737322	377464	Mrs. Bornat
737323	7204	Receptioniste
737324	392675	Suusje (1993-1995)
737325	171587	Ballerina
737325	214838	Mademoiselle Ninette
737326	376218	
737327	188525	
737327	283829	Neznakomka
737328	34226	
737328	76485	
737328	82814	
737328	129935	
737328	129971	
737328	161079	Mokrushnitsa
737328	176048	
737328	180115	
737328	198154	
737328	241944	Nadezhda Pavlovna
737328	243987	
737328	253643	Kollontai
737328	259886	
737328	272524	
737328	278844	
737328	283827	
737328	294015	
737328	295067	
737328	337045	
737328	350126	Tanechka's mother
737328	356569	Nastya
737328	356913	
737328	357334	
737328	374829	
737329	162779	Dancers
737329	384306	Special Guest
737330	18926	Divya Saxena
737331	171824	
737332	4117	Ratna
737333	33521	
737333	55941	
737333	74649	
737333	90055	
737333	103160	Eugenia
737333	292709	
737333	374046	
737334	73800	Sonja van Claas
737334	116396	Jenny
737334	223340	Receptionist in hotel
737334	334611	
737335	112547	Saloon girl
737336	136832	Pi Girl
737337	11672	Theatre Cashier
737337	41711	Eileen
737337	44304	Stella
737337	54458	Nancy
737337	71788	Lorry Ryan
737337	74232	Nurse
737337	87552	Marion
737337	92883	Tabitha Wells
737337	112547	Florence Peel
737337	117926	Ann Pickett
737337	129093	May Norwick
737337	147416	Cleo Daniels
737337	150904	
737337	186117	Secretary
737337	186756	Cathy
737337	220157	Connie
737337	242747	Pat
737337	274412	No-No
737337	278591	Sherry Bliss
737337	280347	Nancy Cartwright
737337	303379	Mable
737337	308066	Army wife
737337	313919	Eleanor
737337	345860	Evelyn
737337	363731	Josie
737337	373814	Carol
737337	381995	Lorelei Kilbourne (1952-1953)
737338	42005	Tickety Tock
737338	382304	Tickety Tock (2002-)
737339	90243	Kathy Jenson
737340	145972	Sloppy Sue
737341	188351	Herself
737342	192563	Herself
737342	296822	Herself
737344	95800	
737344	106424	
737344	123818	
737344	123856	
737344	128156	
737344	128905	
737344	243109	
737344	243136	
737344	296293	
737344	306917	
737344	326364	
737344	370026	
737345	20258	
737345	34928	
737345	81772	
737345	353302	Michelle
737346	1635	Presenter
737346	129167	Herself - Host
737346	148222	Herself
737346	400086	Presenter
737347	186158	Cambridge Party Guest #3
737348	382085	Herself (# 92)
737349	879	Princess Souto
737349	194456	Miss Carroll
737349	222644	Trish
737349	241813	Lyn
737349	242750	Sgt. Julie Thompson
737349	276917	Trish
737349	311608	Assistant Supervisor
737349	363846	Joyce Deegan
737349	382838	Beryl 'Bel' Simpson (1996-199
737349	385293	Kathy Ross
737349	387247	Ronnie Bains (1992)
737349	388321	Lisa Wilkes (2001)
737349	401224	Sabina
737349	402031	Gwen Bryce
737349	406286	Suzy Summerfield
737350	31456	Nikiya - La Bayadère
737351	40206	Lori Larouche
737352	379502	Presenter
737352	388128	Presenter
737352	393154	Newsreader (2001-)
737352	403008	Presenter
737352	408165	Herself - Chairman
737352	411283	Presenter (1999-2001)
737353	224169	Herself
737354	277839	
737355	301592	
737358	192267	Passerby on street
737359	404879	Additional Voices
737360	123874	Roland's Girl #1
737361	186041	Hidalla
737361	194940	Young Mary
737362	127452	
737362	234648	
737362	261584	
737362	356485	
737362	356937	
737362	357414	
737363	163760	
737364	265904	Pedestrian
737365	13353	Denton's Maid [Ch.14]
737365	18197	Italian girl
737366	296752	Neighbor
737367	131093	Beth
737367	195043	Trish Maris
737367	321688	Young Elizabeth
737367	342512	Little Girl (Segment #4)
737367	400559	Lindsay Selkirk
737368	290007	
737368	344597	
737369	46714	Mrs. Woodfeather
737369	154439	Mrs. Kurnitz
737369	169387	Nora's mother
737369	195741	Elegant Woman at Dock
737369	205724	Woman at the Opera
737369	206415	Mrs. Baylin
737369	230731	Guest
737369	313058	Senator's Wife
737369	331205	Woman
737369	349633	
737370	300533	Judy
737371	100193	Woman in Street
737372	384118	
737373	347534	Hot Girl
737374	4561	Jyotsna
737374	36621	Malini
737374	58968	Neta Dhobani
737374	84765	Chandramukhi
737374	152450	
737374	175449	
737374	215374	
737374	262290	Dancer
737374	323674	
737375	58918	Lawer
737376	20537	Jill
737376	45083	June Thompson
737376	54959	Diana
737376	66385	Marching Girl
737376	77127	
737376	80693	Jeny
737376	105166	Alison Berger
737376	154087	Young woman
737376	173344	Vicki
737376	273610	Joycie
737376	304916	Pam
737376	346216	Design Room Girl
737376	382291	Christine 'Chris' Reilly (199
737376	382396	Jessie Bradman
737376	385159	
737376	405960	Julie Webb (1985)
737376	411809	Nurse Linda Wilson (1982)
737377	241160	Jake's Mate
737378	336353	Various
737378	393034	Ellen
737379	394095	
737381	225621	Herself - a member of Mooning
737382	278597	Pirjo
737382	394787	Agenttitonttu
737382	394938	Hotellin reception
737382	396314	Virpi Hakkarainen
737382	398192	Virpi Hakkarainen
737382	401278	Virpi Hakkarainen
737383	89049	1st Wife
737384	151741	
737385	239127	Musiikkiohjelman spiikkeri
737385	275804	Radiohaastattelija
737386	285801	
737387	307189	
737388	271635	
737389	156037	Woman in tram
737390	67078	(segment "Kusa-Meikyu")
737390	82818	
737390	288063	Tsubana
737390	299440	Shofu Midori (Prostitute Mido
737390	373116	
737391	38823	Rie Shibusawa
737391	245697	
737391	382110	Kou Seiya - Sailor Star Fight
737391	390264	Risa Kanzaki
737391	395888	Deedlit
737392	213898	Bronka
737393	212607	
737393	319785	
737393	375533	
737394	281371	Kleine Sien
737395	138013	Verpleegster Prik
737395	149111	Soeur Francisca
737395	202625	Thea K.P.R.
737395	390242	Agnes de Graaf-Nijholt (1993)
737395	410441	Nel Wittebol (1994-1995)
737396	189964	Zangeres
737397	10816	
737397	30756	Vroedvrouw
737397	40309	
737397	350310	Moeder Kalk
737397	356821	Actrice
737397	376433	Louise
737397	394912	Fee Kerfstok
737397	410200	
737398	214395	
737399	235708	Star of 'She Dances Alone'
737399	297895	Herself
737400	358547	Tanga meisje
737401	29572	Akiko
737401	146348	Oiku
737401	168001	Tamiko
737401	168006	Actress (cameo)
737401	239487	Minako Katori
737401	242379	Takanashi
737401	288408	Ranko
737401	298816	Prostitute
737401	298968	Sanae
737401	334928	Kyoko
737401	341280	Mishima's Wife Number 1
737402	233120	
737402	374519	Nami
737403	135215	Itoko
737404	52842	Model
737404	262094	Princess
737404	270923	Woo's Wife
737404	355212	Geisha Hostess
737404	370359	Yoko
737405	198827	Tamiko Nakayama
737406	387322	Herself
737407	367022	
737408	378806	Herself
737408	385529	Herself
737408	403085	Herself (2001-)
737409	125494	
737409	227428	Hideko Akiyama/Prefectural as
737409	277232	Zeletta Dougal
737409	400341	Herself (2002-2003)
737411	8489	Mourati's sister
737412	43918	Edie
737412	58461	Tamiko
737412	65955	
737412	115603	Miho
737412	142889	Gnoc Deng
737412	148835	
737412	170334	
737412	170335	
737412	177111	
737412	217087	
737412	230720	Student
737412	233989	Beautician
737412	275688	Yumi
737412	300913	Yuki Shimamura
737412	335986	Ai
737412	344647	Wadatsujin Aerial Type
737412	348770	Wadatsujin Aerial Type
737412	353264	
737413	76858	
737413	390899	Anna (Marco's mother)
737413	403958	Fujiko Mine
737414	265579	Hamburger Shop Employee B
737415	197464	Dancer
737416	228405	Mira
737417	255386	
737418	255386	
737419	77640	Club Singer
737419	171170	
737419	234737	
737419	259925	
737419	330055	
737420	357936	
737421	69796	
737422	63322	
737423	242126	Yoko Ozeki
737424	191	
737424	3922	Tomoko Hidaka
737424	8888	Sumiko Matsuyama
737424	9276	Otoyo
737424	9562	Tane Mishima
737424	28116	Mitsukazu Nakadaira
737424	172424	
737424	175334	Yukiko
737424	180510	
737424	229813	Fujiko
737424	238778	
737424	284076	
737424	287556	
737424	299323	Hideki's mother
737424	335317	Kiyo
737424	341320	Kiriko
737424	359828	Teruko
737424	375580	Fuyo Shibata
737425	305390	Cookie Store Customer
737426	266307	
737427	270285	
737428	408171	Eleftheria Stamou
737429	283767	Russian Guest
737430	40212	
737431	116580	Lyuba as a Child
737432	116580	Lyuba as a Child
737433	89795	
737434	35854	
737435	40212	
737436	261116	Catwalk Model
737437	3564	
737437	8410	Child
737437	35861	
737437	49127	
737437	59772	
737437	75195	
737437	86593	
737437	118692	
737437	122257	Herself
737437	131119	Anna Viktorovna
737437	164316	
737437	172409	Sushma
737437	179722	
737437	181271	
737437	198129	
737437	208521	
737437	210216	
737437	229004	
737437	233262	Mlada
737437	237767	
737437	238099	
737437	239785	Elvira
737437	240980	
737437	252577	
737437	259047	
737437	259076	Nina Orlovich
737437	263669	Gromov's assistant
737437	266161	
737437	272524	
737437	277204	Herself
737437	279249	Infirmière
737437	286738	
737437	293847	
737437	295936	
737437	296994	
737437	299426	
737437	304252	Bride
737437	324134	
737437	334997	
737437	354374	
737437	357335	
737437	357464	
737437	370173	
737437	370920	
737437	389582	Herself
737437	398757	
737437	402341	Petrova's neighbour
737437	402882	
737440	226012	
737441	33574	Orestes, Son of Agamemnon
737441	71445	Dorabella
737441	71446	Dorabella
737441	90086	Zerlina
737441	302246	Ebba, eine schwedische Spioni
737443	198573	Olga
737443	395706	
737444	265400	Frau Mamlock
737445	179588	
737445	357463	
737446	12806	
737446	76998	
737446	163737	
737446	172824	
737446	214665	Palasheka
737446	236063	
737446	286027	
737446	297863	Nastya
737446	310030	Russian text reader (Russian 
737446	317241	
737446	323218	
737446	350832	
737446	370939	Glafira
737447	197999	
737448	201976	
737449	237466	
737450	355307	
737451	10521	Zeynab
737451	219723	Songs
737451	258537	Songs
737451	262174	Amateur Opera Singer
737451	313887	A singer
737451	373573	Songs
737451	377807	
737452	85149	
737452	111117	
737452	261302	
737452	357480	
737453	82758	Marija
737453	374446	
737454	7773	Roja's mother
737454	31588	
737454	175947	
737455	18953	Mom #2
737456	1280	
737456	46328	Nikki
737456	164327	
737456	171777	
737456	236350	Nikki
737456	291280	
737456	365658	Mother
737457	91854	Younger Sarah
737457	105901	Aphrodite
737457	199210	Little One
737457	207970	
737457	396898	Jesús
737458	313526	Zywia
737458	394585	Agata (1998-)
737459	243539	
737459	314912	
737459	389831	Es Toch
737460	343446	
737461	24096	Herself (Sekretärin, Bauleitu
737462	178675	Sekretärin
737463	398064	
737464	164691	
737465	95166	Akusherka
737465	407624	Herself (6th banished)
737466	30599	
737466	30600	
737467	334190	Sharon
737468	45346	Eager-Office Girl
737469	153162	Darla
737469	230445	Alice
737470	8444	
737470	22584	
737470	154135	Klara
737470	173324	
737470	174455	
737470	181324	
737470	181392	Student
737470	184766	
737470	185907	
737470	210082	
737470	212564	
737470	216984	
737470	272248	
737470	287979	
737470	326217	
737470	327123	
737470	330328	
737470	369511	
737471	191419	
737471	330358	Electra
737471	392994	(Liza Papanikolaou)
737471	400705	
737471	405094	
737471	407921	Antzy Lambrou
737472	125350	
737473	380474	
737474	71806	
737474	94366	
737474	98332	Carlotta de Melac
737474	102983	
737474	107733	Inge Brandt
737474	113453	
737474	119181	
737474	120332	
737474	123962	
737474	134831	Frau de Jong
737474	153761	
737474	171840	
737474	183675	German maid
737474	210074	
737474	210140	
737474	230233	Madame Clermont
737474	269757	Marion
737474	277855	Marie Simpkins
737474	290555	Lola
737474	290649	Mademoiselle Köttschau
737474	335033	Marga
737474	345901	Minnie May
737474	346850	Vera Henning
737474	356200	Adelheid
737474	359623	
737474	376346	
737475	8006	Kay
737475	113319	Rachel Kincaid
737475	115663	Girl
737475	145415	Suanne
737475	332209	Celine Martin
737476	119458	Herself - Reporter
737477	170848	Herself - Participant/Perform
737478	81674	Vila 2
737479	311459	Lastnica hotela
737480	352574	Kellnerin
737481	379816	
737482	326089	
737483	220141	Katie
737483	326604	I'm Ted Kid
737483	375827	Story Hour Girl
737483	391516	Barbers' daughter
737483	412023	Nicole
737484	6802	Mrs. Perrins
737484	91488	
737484	310490	
737485	122825	
737485	135746	
737485	265937	
737485	312434	
737485	315931	
737486	341327	Tosya
737487	375651	
737487	410361	
737488	32859	
737488	226012	
737488	341217	
737489	217280	
737489	268134	
737489	324545	
737489	340724	
737490	237834	
737491	172430	Lolita
737491	173019	Sveta
737491	200993	Oxana
737491	297794	Lyuda
737491	382758	Vvedensky's Wife
737492	76481	
737493	81509	Herself
737493	135149	Pornoactress
737494	34542	
737494	43154	Bolnicarka
737494	139811	Hasanaginica
737494	163928	Ana Petrovna
737494	202598	
737494	213787	
737494	215997	
737494	267946	
737494	294369	
737494	303822	Zena trgovca konopcima
737494	349153	
737494	390388	
737494	401949	Velinka Delic
737494	406315	Savka Lopcevic-Ilic
737494	406316	Savka Ilic
737495	181294	
737496	355548	
737497	401927	Zaklina Zake Stojkovic
737498	262763	
737499	307582	Ivana
737500	35027	
737500	169553	
737501	34189	Herself
737501	78950	Devojcica I
737502	34189	Herself
737503	88730	
737504	81509	
737505	147212	
737505	173608	
737506	1358	
737506	29622	
737506	77491	
737506	136798	
737506	164051	
737506	181294	
737506	227942	
737506	232594	
737506	253807	
737506	262573	
737506	386246	
737507	48756	
737507	75739	
737507	101382	Nikki
737507	126292	
737507	164877	
737507	179877	
737507	180665	
737507	187996	Radojka
737507	209528	
737507	229570	
737507	249214	
737507	259912	Katja
737507	261343	
737507	266972	Pukovnikova ljubavnica
737507	286022	
737507	301902	Zorica... Arsina kci
737507	356437	Caca
737507	381161	
737507	383805	
737507	394110	
737507	395457	
737507	401281	
737507	401991	Andjela
737507	402024	
737507	402026	Rodjina avantura
737507	404144	
737507	410452	Knjeginja Julija
737508	48459	
737508	54173	
737508	79621	Garderoberka
737508	94218	
737508	169100	
737508	172497	Vecejka
737508	187997	
737508	237494	Slavka Lukic ... supruga
737508	251128	
737508	273093	
737508	351322	
737508	386526	
737509	340486	Chambermaid 2
737510	169100	
737511	87103	
737511	125569	
737511	126292	
737511	147464	Ksenija
737511	164867	
737511	187854	
737511	192880	
737511	192904	
737511	248002	
737511	259936	
737511	263056	Inspector's Wife
737511	270637	
737511	292978	Vedrana
737511	307169	
737511	326547	
737511	339316	Visnja
737511	409022	
737512	394138	Tinka
737513	89093	
737514	98434	
737515	105398	
737516	212579	
737517	401521	
737518	44394	
737519	28543	Irina
737519	80721	Anna Merisi
737519	105606	Maria
737519	197565	Anna
737519	247974	
737519	349519	
737519	392743	
737520	357426	
737521	131156	Prodavachka
737522	9044	Tracy
737523	138955	Lilyana
737523	248781	Krasi
737523	256733	Restavratorkata
737523	264977	Nevena
737523	333783	Valya
737523	372019	Mariya Yosifova
737523	373568	
737523	392017	Mrs. Valentina
737523	402033	Rada
737524	209823	Beti
737526	374794	
737527	50959	Singer
737528	41412	Caesar's Girls
737529	50964	
737529	95166	Majstorka
737529	95935	
737529	104831	Kina
737529	131157	
737529	145746	
737529	164037	Saprugata na Lunata
737529	174168	Servityorkata
737529	174661	Veselata
737529	228845	Antonia Kirilova
737529	233401	Eva Lederer
737529	242462	
737529	243956	Rhea
737529	258378	Maykata na Afro
737529	259075	Zhenata
737529	259973	Toni
737529	265994	Priyatelkata na Sobol
737529	286721	Lena
737529	305905	
737529	320648	Sekretarkata na Belodonev
737529	339228	The Female Monkey
737529	350252	Mita
737529	352807	
737529	357173	
737529	373242	Stanka
737529	375394	
737529	398896	Dzhalma
737530	88436	
737531	9473	
737532	136019	Maria-Maria
737533	95625	Orehovska
737533	179693	Kaka Stefana
737533	230056	Gena
737533	411921	Baba Tonka
737534	205432	
737534	209280	
737534	209823	Radeva
737535	235291	
737536	170848	Herself - Participant/Perform
737537	178848	Elena
737538	57556	Gypsy Dancer
737539	77482	
737539	374174	
737540	77096	
737541	190384	Televideniye
737542	341181	Nurse
737543	139261	
737543	315047	
737544	247276	
737545	297637	Bartendress
737546	60456	
737546	215706	
737546	374427	
737547	34169	
737547	46599	
737547	49600	
737547	49703	
737547	81408	
737547	133350	
737547	134232	
737547	147033	
737547	160593	
737547	181478	
737547	190018	
737547	201359	Gordana, nastavnica engleskog
737547	225805	
737547	225918	
737547	229278	
737547	258749	
737547	262575	Vukica, Agatonova kci
737547	267858	
737547	271747	
737547	283747	Natalijina kci
737547	285835	
737547	292985	Marija
737547	294660	
737547	300808	
737547	304574	
737547	307148	Marija ... novinarka
737547	312470	
737547	318976	
737547	332755	Tamara
737547	344327	
737547	357315	
737547	374667	Pevka
737547	382430	Sanjina maceha
737547	382431	Jelka Marinkovic
737547	399008	
737547	409102	Boba Pejic
737548	132160	
737548	254219	Bolnicarka
737548	283747	
737548	320549	
737548	350665	
737548	382431	
737548	400481	Prletova majka
737548	401991	Prletova majka
737549	376036	
737550	89795	
737550	283775	Catherine the First
737550	327173	Sister
737551	280378	
737552	1518	
737552	181395	
737552	266173	
737553	98576	
737553	179670	
737553	332995	
737554	305613	
737555	47054	Guide
737555	235964	
737555	334484	
737556	129868	Yamamba A
737557	30415	Diva
737557	225935	
737557	294116	Lili
737557	349790	
737558	6110	
737558	11745	
737558	15326	
737558	48430	
737558	89509	
737558	140592	
737558	173769	
737558	249228	
737558	322446	
737558	375281	
737559	294116	Maria
737560	281516	Helen Cody
737560	338927	Helen Cody
737561	161481	Herself
737562	161481	Herself
737563	215154	Cherry Baker
737563	244318	Estelle
737564	161481	Herself
737566	211341	
737566	241999	The Miller's Daughter
737567	32517	
737567	36703	
737567	39950	
737567	50367	
737567	50571	
737567	50627	
737567	50777	
737567	55279	
737567	75082	Herself
737567	82667	
737567	83807	
737567	87322	
737567	97116	
737567	102740	
737567	128546	
737567	161488	
737567	188337	
737567	188418	
737567	201497	
737567	214062	
737567	236877	
737567	252832	
737567	273784	
737567	297229	
737567	303924	
737567	310164	Isis
737567	317954	Wife of Superintendent of Sub
737567	361211	
737567	361878	
737571	24503	Cocktail Waitress
737572	52204	Hotel Registration
737573	400236	Julie Tanaka (2004)
737574	231997	Michelle
737575	1965	Woman on Park Avenue
737575	200864	Shopper
737575	302236	German Tourist
737576	347681	Dance-hall girl
737577	7099	Average Grandma
737577	21447	Mrs. Connor
737577	68455	Aunt Lilly
737577	273569	Drew's Secretary
737578	319560	Cynthia
737579	112207	Doreen
737580	139062	Tea Lady
737581	279618	Band member (backing vocals)
737581	279623	Backing vocals
737582	18085	
737582	23415	Tyra Persén
737582	60967	Eva-Lisa
737582	134943	Lilian
737582	153745	Aunt Agnes
737582	164786	Secretary
737582	180221	
737582	182530	Jane
737582	203231	
737582	204540	Anne-Marie
737582	205499	Maria Widen
737582	219840	Katrin
737582	225665	Curley's Wife
737582	237276	Karin
737582	248500	Barbro, Annika's Mother
737582	258387	
737582	272501	Agnes Bengtsson
737582	293839	Brita
737582	310254	Rulles fru
737582	322437	Vicar's wife
737582	326010	Trainer at the gym
737582	326044	Lagerlöfs dotter (episode 3)
737582	341810	Disponetfru
737582	350688	Female Police
737582	377424	Kristina
737582	386156	Hovmästaren
737582	389363	Frida
737582	390783	Siv
737582	393273	Kontorist hos polisen
737582	394736	The chairman
737582	396266	Stina
737582	399797	Margaretha
737582	399873	Märta
737583	68085	Dancer
737583	151351	Silas' One Night Stand
737583	178862	Harem Girl
737583	249551	Lola
737583	345788	Ecstasy Girl #1
737583	406010	Self
737584	198744	
737584	344118	Guitarist
737585	16746	Mrs. Lister
737586	186652	Leah Kleschna
737587	74659	Manuela
737587	80093	
737587	81693	Maria
737587	96284	
737587	119261	White Cloud's squaw
737587	168260	Marika Novak
737587	212367	
737587	238761	
737587	318141	
737587	352942	
737587	353223	Herself
737588	2657	Student
737588	7607	
737588	85282	
737588	167351	
737588	171759	
737588	210218	
737588	262919	
737588	288151	
737588	358202	
737589	303176	Elene
737591	127581	
737592	57564	Cecilia
737592	326048	Bergljot
737594	320523	Mabb Førnes
737595	63755	Azafata
737596	286392	
737597	18719	White Fawn
737597	245384	
737597	312271	Secretary
737598	320526	Anja
737599	286392	Solveig
737600	388391	Herself/Teamcoach (1996)
737600	410466	Programleder
737601	153350	Ottars kone
737601	300143	Platedirektørens sekretær
737601	320526	Unni
737601	326048	Jente på jobben
737602	10209	Charlotte
737603	201230	Silvia
737603	245619	
737604	2968	L'employée de maison
737604	205647	Ingrid, la cantatrice
737604	250752	Helena
737604	254024	
737604	258313	Madame Nothereau
737604	346521	Eva
737604	376972	Madame Radic
737604	384288	Elena
737604	396524	Eléna
737605	26206	
737605	34534	
737605	35862	
737605	60698	
737605	61365	
737605	124843	
737605	124851	
737605	132353	
737605	163044	Dina
737605	182240	
737605	210374	
737605	218854	Klara
737605	253750	
737605	254234	
737605	257385	
737605	389747	
737606	219437	
737607	49268	
737607	175288	Jessica
737608	6489	
737608	42653	
737608	206016	
737608	242679	
737609	107891	Stella
737611	101395	Toller
737611	320516	Secretary
737612	393898	Greta
737613	322313	Nurse
737614	240208	Gun
737614	403084	Helena Lundkvist (1997, 1999,
737615	105	
737615	6193	Mrs. Michael Ramsay
737615	6194	Mrs. Poynter
737615	13998	Kay Jansen
737615	26065	Vernie
737615	29647	Sue Negly
737615	30382	
737615	31088	
737615	31097	
737615	31147	
737615	31238	
737615	32946	
737615	35399	Jessica Drene
737615	37104	Helen Lang
737615	40896	Bess
737615	45521	Townswoman
737615	46517	
737615	46518	
737615	47297	Helen Tremaine
737615	48279	Madeline Grey
737615	48979	
737615	54699	
737615	60202	Grace Palmer
737615	67322	
737615	69317	Elinor
737615	71645	
737615	73879	Madame Deval
737615	74182	Nurse
737615	75889	Miss Brady, English Teacher
737615	79099	Agnes Lane
737615	83933	
737615	84232	
737615	94118	
737615	96967	Mry Ryan
737615	101032	
737615	105130	Saleslady
737615	105564	
737615	109147	
737615	109222	Mrs. Holstrom
737615	109674	
737615	110324	Abby's Maid
737615	112428	Sylvia Landis
737615	112464	Mrs. Knudson
737615	112711	Mary Forbes
737615	112777	
737615	113839	Mary Ferguson
737615	115070	Kate
737615	115936	Allegheny Briskow
737615	119226	
737615	128280	
737615	128897	Mother
737615	133560	Nurse
737615	133703	Paula Wales
737615	133887	Fanny
737615	134397	
737615	134484	Betty
737615	134675	Dowager at Friday Club
737615	136559	
737615	137506	The Stranger (Mrs. Webber)
737615	140116	
737615	140173	
737615	141004	Mrs. Nilsson
737615	141330	Alaire Austin
737615	141437	Helen Foraker
737615	142556	
737615	143234	Carlotta Stanmore
737615	143381	Mrs. Constance Lee/Caroline L
737615	143417	Rhoda Cortlandt
737615	144693	
737615	146102	
737615	147633	Cameo appearance
737615	154356	Mrs. Sherman
737615	155839	Alicia Wingate
737615	157763	Mary Manners
737615	158237	Woman with harp
737615	158253	
737615	158259	Margaret Muller
737615	159424	Florence Grey
737615	159430	Inez Laranetta
737615	159437	
737615	159513	Elaine Bernard
737615	159969	Fay Leslie
737615	162941	Dorothy Fairfax
737615	163246	Saleslady
737615	168481	
737615	169957	
737615	186277	Mrs. Scholmm
737615	192026	Village Woman
737615	193822	Polly Fosdick
737615	195101	Madge Vance
737615	195498	Joan Gray
737615	196869	Ruth Warren
737615	202168	Secretary
737615	203020	Genevieve Granger-Simpson
737615	203211	
737615	203214	
737615	203647	
737615	207200	Diane Delatour
737615	213175	Diana Fothergill
737615	215619	Barbara Brown
737615	215920	
737615	217443	Molly Pitcher
737615	218917	Jean Hyland
737615	233686	Katherine Gresham
737615	237671	Irene Lansing
737615	241414	Ellen Aldrich
737615	241818	Lady Sylvia Hutton
737615	245685	Bettie Adams
737615	246720	Leslie Carter
737615	248450	First Bridge Player
737615	252480	Juror
737615	253146	
737615	256218	Lady Margot Cork
737615	259995	Lady Flavia Desmond
737615	260084	
737615	264420	Barricks Matron Ames
737615	264440	
737615	264519	
737615	267367	
737615	270396	
737615	271130	
737615	272894	Edith Graham
737615	274846	Marie 'Mamie Rose' Deering
737615	276594	
737615	278002	Donna Ryan
737615	279087	
737615	283850	Lady Feo
737615	285654	Switchboard Operator
737615	289063	
737615	289199	
737615	289621	Betty Belgrave
737615	290328	Dr. Anne Galvin
737615	292159	
737615	292426	Dr. Rossiger's Secretary
737615	292569	
737615	295282	Mrs. Elcott
737615	295336	Mary Norton
737615	298387	
737615	299215	The Daughter
737615	299932	
737615	300063	Seamstress
737615	300906	Lady Auriol Dayne
737615	301071	Charlotte
737615	301663	Undetermined Role
737615	303077	The Other Woman
737615	303258	
737615	307361	
737615	307418	Alice Langham
737615	309252	Dora Sorrell
737615	309581	Celebrity
737615	310022	
737615	311470	Sandra De Hault
737615	311563	Cherry Malotte
737615	311741	Pamela Brent
737615	319181	Herself
737615	319772	Helen Chambers
737615	323984	Kate Lennox
737615	327290	
737615	327733	
737615	330153	Mrs. Taipe
737615	330607	Leila Kip
737615	330617	Helen Marsden
737615	331457	Ivis
737615	332108	Mary Rogers
737615	332471	
737615	332871	
737615	335004	
737615	335005	Mary Brown
737615	335674	Annabel Broadley
737615	335873	Sylvia Ingleton
737615	337664	Sheila Langford
737615	338736	
737615	339394	Juror
737615	339843	Herself
737615	342005	
737615	343143	
737615	345823	
737615	345951	Rose Neville
737615	347335	Cocktail Party Guest
737615	349983	Mrs. Scott's Nurse
737615	350508	Carol Harper
737615	350511	Vaana Du Maurier
737615	351916	Mrs. Pat Dyvenot
737615	352720	Viva Bacchus
737615	353385	
737615	356333	
737615	357772	Anna
737615	358954	Mrs. Virey
737615	359350	Mrs. Faulkner
737615	359991	
737615	360217	Audrie Hendrie/Monica Norton
737615	362454	Lily Gibbs
737615	363598	Iris d'Aquila
737615	364571	Anna Hedder
737615	366082	Countess Courteau
737615	366931	Ember Edwards
737615	367322	Mignon Mars
737615	368383	Mrs. Peterson
737616	109140	Mrs. Andersson
737617	305303	Student
737617	321510	Marianne, Göran's girlfriend
737618	182455	Birgit
737618	325074	Flipote
737619	99016	Elektra
737619	129179	Singer
737619	238415	Herself - segment "The Photog
737619	314911	Herself
737619	314996	Birgit Nilsson
737619	339973	Isolde
737620	91521	Telephone operator
737620	129179	Daughter of Sören and Boel
737620	305303	Student
737621	354424	Siv
737622	362576	Naked girl
737623	56810	Brunette
737623	80541	Puppy Secretary
737624	124451	
737624	357805	Britt
737625	303285	Victoria Waters
737625	368058	Savannah
737626	305310	Madde
737627	32373	Maria
737627	51128	Miss Svanström
737627	88829	Hustrun
737627	134966	Lisbeth
737627	142732	Sonja
737627	153062	Cecilia
737627	190809	Tora Jönsson
737627	190811	Tora Jönsson
737627	246492	Emma
737627	253519	Lena
737627	276750	Anna Turberg
737627	283694	Mother
737627	320508	Skobiträde
737627	345937	Sigrid
737627	348985	Psykologen
737627	381602	Birgitta
737627	397779	Elin
737627	397783	Ulf's mother
737627	399873	Nurse
737627	403084	(1997)
737627	404039	The Mom
737627	406742	Sonja
737627	410281	Eivor Kolmodin
737627	412047	Sirkka Eliasson
737628	78493	Herself - Member of jury
737628	104774	Swedish entry (1st place)
737628	133309	Herself
737628	210362	Herself
737628	397397	Herself/Host
737628	410280	Milla Svensson (1997-1998)
737629	168387	
737630	128949	
737631	91850	
737631	183443	Twin Interviewee
737632	129171	Hostel Guest
737632	320617	
737633	91850	
737633	183443	Twin Interviewee
737634	315606	Lisa
737635	395047	Läkare
737635	398852	Bankkassörskan
737635	400001	Tina
737636	120081	Herself
737637	59717	Crofter-Mats' Elin
737638	129179	Daughter of Sören and Boel
737638	284103	Murre
737638	338473	Young girl
737638	338660	Hilma Matilda
737639	405734	Gurkan Eriksson (11 episodes 
737640	349575	Lena
737641	182543	Helena
737642	210337	Herself
737643	342300	
737644	134464	Frau Andersson
737644	153743	Pippi Långstrump
737644	172428	Juliana
737644	240069	Herself
737644	247600	Jessica Werstén
737644	256502	Pippi Långstrump
737644	256503	Pippi Långstrump
737644	268362	Pippi Långstrump
737644	401519	Pippi
737645	98800	Cricket Spectator
737646	349575	Maja
737647	254996	Lizzie Wyatt
737648	328545	Sun-bathing girl #2
737649	6117	Eva
737649	60831	Svetlana Sergievskaja
737649	84268	Sophia
737649	170508	
737649	363453	
737649	401861	Lesbian Truckdriver
737650	34493	Neighbour
737651	55203	Mercédès
737651	171638	Rhendotter
737652	164783	Mom
737652	197808	Karin
737652	200451	Mrs. Hofverberg
737652	237411	Gerda
737652	246024	Lisa
737652	259353	Åsa Thorell
737652	281908	Åsa Thorell
737652	284141	Gudrun
737652	303649	Rosalita
737652	308193	Ellen
737652	338678	
737652	394197	Mia, Lisas mamma (episodes 2-
737653	116019	Karin
737654	48380	Anne-Marie
737654	77403	Körkortstagande Fredrika
737654	278346	Klara
737654	283694	Lady in the Shop
737654	393273	Präst
737654	401773	Mother of twins
737654	407124	
737654	410280	Elsa Gren (1997-1999)
737655	405539	Beata Björklund (1999-2000)
737656	210352	Herself
737656	248500	Rebecka Björkstig
737656	351368	Herself
737657	138189	Hanna
737657	202778	
737657	240208	Barbro
737657	286137	Yvonne
737658	386335	Croupier
737659	397397	Herself
737660	42099	Gertrud
737660	84317	Dora Svensson
737660	97883	Marianne Stenman
737660	101492	Felix's Mother
737660	102370	Adelheid
737660	115395	Birgit, The dancer's wife
737660	115399	Katja Kock
737660	122462	Ingrid 'Ninni' Arvidsson
737660	124449	Britt Malm
737660	166078	Karin Ingel-Anker
737660	182306	Marta
737660	191558	Ulla
737660	191571	Alva
737660	205498	Maria
737660	208058	Anita Andersson
737660	276138	Eva
737660	303666	Elvira
737660	303951	Erica
737660	308196	Britta Laaren
737660	308198	Marie
737660	333046	Marta Olsson
737660	343471	School girl
737660	345902	Adelheid
737660	353039	Lo Stjärnholm
737660	354423	Lena Hern
737660	357805	Maj-Britt
737660	359635	Ursula Benthien
737661	133309	Herself: Vocalette
737661	190811	Kvinnan som fjärtade
737662	346642	Ingrid
737662	354426	Maggan
737663	354426	
737663	378165	Karin
737664	181883	Sairaanhoito-opiskelija
737665	6020	Anna Williams
737665	12286	Aloma, as a child
737665	26776	Mary Johnson
737665	99853	The Little Girl
737665	123884	Little Girl
737665	134109	Cuckoo
737665	143577	Johnny Cabot fan
737665	224804	Annette
737665	235168	Niska
737665	253914	
737665	295414	Jane Baxter
737665	295470	Bit
737665	320294	
737665	343353	Dea, as a child
737665	360191	Mitzi as a Child
737666	405848	Ann Krause
737667	278443	Jenny Cederberg
737669	12511	Jenny
737669	389138	Fru Christensen
737670	1056	
737670	94258	Sofi
737670	357757	Annika
737671	78514	Maid
737672	129179	Old woman
737672	166753	Mrs. Nilsson, Jens' housemaid
737674	47607	Daughter
737674	198007	Daisy Korall
737675	378897	Katarina Taxell
737676	152757	Ebba
737676	164888	
737676	296617	
737676	355639	Ebba
737676	395047	Hemtjänst
737676	398852	Ebba
737677	228830	Sister Frances
737678	14936	
737679	61416	
737679	104706	Herself
737679	104753	Turkish entry (19th place)
737679	144307	
737679	265223	La soeur Jonas
737680	400954	(1966-1970)
737681	38248	Excited Fan
737681	209210	Curious Refugee
737682	34347	
737682	34353	
737682	40953	Miss Krause
737682	98055	
737682	98404	Johanna Möbius, his wife
737682	99891	Anni Wandel
737682	107369	
737682	108620	
737682	120853	
737682	134174	Gerda
737682	170677	Fräulein Werth
737682	290283	Mrs. Runge
737682	306388	Fräulein Stenzel
737682	312105	
737682	314960	Elli P., geb. Pieper
737682	386334	Frau Iffitz
737682	407351	
737682	410154	
737683	58273	Markéta
737685	294789	Female victim
737686	205610	
737686	346539	L'amie
737686	377825	La boulangère
737687	4035	
737687	4244	Mangala
737687	4275	
737687	9342	
737687	13128	Sonia
737687	17063	Angulimal's Lover
737687	27468	
737687	29435	
737687	30451	Neela
737687	30543	Gopi
737687	32459	
737687	35973	
737687	36006	
737687	50819	
737687	59390	Pyari
737687	61006	
737687	64049	(segment "Couro de Gato")
737687	76412	Parvati
737687	78281	
737687	81705	Champa
737687	116391	
737687	148472	
737687	152618	
737687	161452	
737687	164857	
737687	165193	
737687	172553	Herself
737687	174433	
737687	195359	Laila
737687	251887	
737687	260128	Mrs. Rai
737687	268109	
737687	271396	
737687	271529	
737687	289307	Asha
737687	297216	
737687	299604	
737687	306784	
737687	307077	
737687	307099	
737687	344054	Soni
737687	348857	
737687	358104	
737687	380536	
737687	381198	Júlia
737687	383276	
737687	383370	
737687	387166	
737687	390509	Theodora Del Mar
737687	391674	Madre Beatriz
737687	392628	
737687	392629	Matilde
737687	394121	Eva
737687	396337	Rosa
737687	397440	
737687	397787	Brázia
737687	398502	Branca
737687	400580	Ruth
737687	401199	Elza
737687	402365	
737687	402530	Zefa
737687	402927	
737687	403617	
737687	405101	
737687	408230	
737687	410103	Irene
737687	410106	Joana
737687	410188	
737688	339927	Helen Vichot
737689	279610	Eileen Marston
737689	392282	Princess Saskia
737690	366434	Sarah
737691	381910	Herself (Series 5) (2004)
737691	381920	Herself (Series 4) (2004)
737692	38546	Anne Jay
737692	38548	Anne Jay
737692	73125	Marfa
737692	107550	
737692	139677	Mrs. Rennie
737692	274081	
737692	283361	Mrs. Prunty
737692	283541	Sally Grant
737692	380344	Dolly
737692	384384	Sophie Stevens
737692	385020	Sarah Ridley (1983-1985)
737692	389180	Ellen "Merle"
737692	403292	Mary Beckett
737692	403595	Sgt. Rachel Osborne
737693	41502	Guest at Second Party
737694	79112	Narda
737694	79115	Narda
737695	1616	
737695	3191	
737695	3320	Dam
737695	3353	Marrubi
737695	5097	Nuria
737695	8277	Maria Menendez
737695	13078	Ana joven
737695	21726	Lucía
737695	32707	Fina Zorrilla Ochoa
737695	64746	
737695	110109	Julia
737695	197089	Elena
737695	249790	Gabi
737695	255485	Leire
737695	286285	Alex
737695	349071	Ángela
737695	369754	Herself - Nominee: Best Lead 
737695	369994	Herself - Nominee: Best Suppo
737696	412063	
737697	124282	Band
737697	124286	Acoustic Guitar, Mandolin
737698	144913	Stripper
737699	96927	Mary
737700	15409	Herself
737700	33693	Naked woman in hammock
737700	158662	
737700	279012	Haughty woman
737701	2435	
737701	93569	Herself
737701	189845	Herself
737701	203234	
737701	207124	Singer
737701	208630	Selena
737701	264875	
737701	282856	Woodchick #2 & Gyno Girl #2
737701	296205	Prostitute #6
737701	322331	Nora Bramane
737701	384615	Herself (Season 1-2004)
737701	401105	Teresa
737702	162665	Herself
737702	206536	
737702	323453	
737703	398448	Hostess
737704	136101	Yumeko Misawa
737704	137384	Chifuyu Imaizumi
737704	145448	Tsuneko Anzato
737704	148832	Akiko Sawaki
737704	182127	Chika
737704	349293	Hyo no me
737705	205426	Spanish Speaker
737706	9012	Mme. Pozzi
737706	12691	
737706	13544	
737706	14956	
737706	17742	Rosina
737706	23846	Maria
737706	24834	
737706	33660	
737706	36512	La contessa di Tournay
737706	37512	La signora Masetti/Missis Mas
737706	43718	Mme Louise
737706	54092	
737706	54094	Laura, la cameriera
737706	57277	
737706	64433	(segment "Galop finale al cir
737706	65570	
737706	67491	
737706	69218	
737706	75232	Signora Serra, mother
737706	82388	
737706	82428	Emilia
737706	86063	
737706	86114	
737706	89833	Signora Berardi
737706	89851	Fernanda Meloni
737706	89853	Elvira
737706	94812	Goverante
737706	99873	Adele Bordoni
737706	112653	La signora Mironova, madre di
737706	112657	
737706	122039	
737706	127983	Suor Celeste
737706	128029	
737706	132949	
737706	135192	Giovanna
737706	147057	Giovanna
737706	150883	Signora Orragi
737706	156905	
737706	157691	
737706	183277	Mme Georges
737706	189537	Beatrice
737706	199730	
737706	199820	Mattea
737706	200505	Margherita
737706	203946	Zia Gaspara
737706	206667	
737706	207978	Anastasia
737706	211800	Locusta
737706	220192	
737706	222200	
737706	228145	
737706	234752	
737706	235776	Sora Jole
737706	236733	Sister Bernard
737706	242300	Carmeja
737706	244576	Adelina Borletti (episode "Un
737706	248221	
737706	248953	Elvira de Angelis
737706	250857	Giacomo's wife
737706	251853	
737706	252030	Assunta Santini
737706	256154	
737706	258117	Signora Gianna
737706	259949	Gaetana
737706	263054	Clelia Pinelli
737706	263055	Clelia Pinelli
737706	263193	Agle, la signora Tricoin
737706	263723	Yolanda
737706	267031	Fat chambermaid
737706	270841	Marisa's mother
737706	270852	
737706	286593	Amelia Cicerchia
737706	287976	La gouvernante
737706	294708	
737706	295159	The Nanny
737706	301383	Iris
737706	307460	
737706	309447	Augusta
737706	311813	Evilina
737706	326626	Donna Celestina
737706	328192	Teresa's Mother
737706	336593	La zia
737706	336594	Gemma Torresi
737706	336606	Giovanna Scaparro
737706	348203	
737706	351074	Dolores
737706	355892	Corinna
737706	358837	Adele
737706	366553	Donna Rosa
737706	373348	Rudegarda
737706	377574	
737706	398504	
737707	171321	Gina Mallardi
737707	247974	
737707	315444	
737707	384243	
737707	385067	
737707	386811	
737707	386812	Adelaide
737708	310103	
737708	342645	
737709	178196	Max
737710	22735	Mrs. Adams
737711	240429	
737712	396366	La soeur de Marthe (segment "
737713	46747	Aphrodite
737713	115269	Mrs. Shepard
737714	29469	Gamei
737714	149020	
737714	152136	Angel
737714	167826	Mao Xiaohui
737714	184709	
737714	195696	Ah Fa
737714	247953	Cai Chunzhi
737714	272232	Singer
737714	287029	Fung Ching Ching
737714	332338	
737714	338207	
737714	350649	and Partner
737714	369976	
737714	370512	Mi Lan
737714	371603	
737715	19400	
737715	19501	Sofico's daughter
737715	172431	
737715	193555	
737715	193557	
737715	198123	
737715	217780	Guliko
737715	229179	Denise de Flavigny/Nitouche
737715	256696	Elene
737715	263658	
737715	285488	Zesnakhe
737715	291595	
737715	305294	
737715	312954	
737715	352283	Tamro
737715	399482	Natalya Ashotovno
737716	50971	Journaliste radio
737717	264335	Lady Edith
737718	385340	
737719	353428	Madame Guyme
737720	385340	
737721	131150	
737721	156433	Jelena Ilka Markovic
737721	156896	
737721	178876	
737721	201356	
737721	265322	Marta, Tejina sekretarica
737721	272606	Lola
737721	289128	Vera
737721	294661	Ema
737721	339307	Lucija
737721	396292	Lola, sekretarica (2004)
737721	401928	Ruzica Ruska Rankovic
737722	146368	A Child
737722	405659	Srebrenka... konobarica
737723	98277	Myriam
737723	313207	Flag Captain
737723	347429	Alemnesch
737723	389823	Sarah
737723	390893	
737723	391152	
737724	151614	Carrie
737726	63925	
737727	72545	Grandma Driver
737728	335272	Megumi
737729	199528	
737730	9321	
737730	9590	Tamae
737730	138041	Mitsue Takano
737730	232581	
737730	233128	Toshiko Ichinomiya
737730	341292	Yoshiko
737730	371862	
737730	372017	Hisashige
737730	390180	
737731	408319	
737732	68425	Juliette
737732	77410	
737732	84695	Secrétaire Degan 4
737732	164183	Christina
737732	248399	Tänzerin
737732	254601	Mère de Kevin
737732	257043	Martine
737732	290440	La réceptionniste de l'hôtel
737733	128	
737734	141618	Jacob's Mothert
737735	20625	Extra
737736	88899	Samantha Hunt
737736	175645	Avery
737736	254589	Cowgirl
737736	280720	'Alex' Keegan
737736	283351	Kim
737736	303902	Ellen
737736	315960	Susan Miller
737736	317842	Agent Wendy Robbins
737736	328256	Tina
737736	342491	Elon
737736	350182	Dr. Hair
737736	378795	Jackie Garrett (1988-1989)
737736	380783	Leslie Forsythe
737736	385824	Sasha Roberts #3 (1987)
737736	389858	Sandy Stryker (1986-1987)
737736	403540	Detective Lisa Madigan
737737	61673	Cynda
737737	184523	Alice
737737	230682	Female Officer
737738	23532	Jill
737739	355708	Soubrette (Actress)
737740	369882	
737741	8979	
737741	30049	
737741	38792	Kamalmani
737741	181054	Khiri
737741	207937	
737741	270558	Jatila
737742	383718	Nati
737742	384775	
737742	403021	Tatiana (2002)
737743	159542	
737744	9744	
737744	25832	
737744	137871	
737744	159186	
737744	183951	Miki
737744	206832	Rebecca
737744	343432	
737745	8898	
737745	17463	
737745	122697	Mangala
737745	124950	
737745	142831	
737745	173497	
737745	174275	Sitara
737745	191701	Village Girl
737745	285801	
737745	297574	
737745	297595	
737746	43382	
737747	4014	Chittibabu's mother
737747	4185	
737747	4331	
737747	4457	Saroja
737747	8396	
737747	10624	
737747	12009	Seetha
737747	14520	
737747	26020	
737747	29206	
737747	29216	
737747	36170	Bhargavi
737747	36184	
737747	36263	Goddess Seetha
737747	37518	
737747	48684	Radha
737747	58598	
737747	59043	
737747	61895	
737747	62235	
737747	62379	Widower's Daughter
737747	84714	
737747	85200	
737747	101293	
737747	123693	
737747	143822	
737747	162658	
737747	174222	
737747	175889	
737747	180502	
737747	181607	
737747	182117	Draupadi
737747	198771	
737747	200016	
737747	200680	
737747	202682	Kanthamma
737747	204780	Annapoornamma
737747	208620	
737747	208722	
737747	219655	
737747	221583	
737747	227076	
737747	239311	
737747	246312	
737747	247437	
737747	247508	Lord Krishna (Bala Krishnudu)
737747	250683	
737747	251927	
737747	260153	Padma
737747	270201	Sharma's neighbour
737747	283885	
737747	284719	
737747	287355	
737747	297442	
737747	299365	
737747	303417	
737747	306083	
737747	317779	Lakshmamma
737747	317792	
737747	318987	(guest role)
737747	320905	
737747	325303	
737747	370415	
737748	8384	
737748	165854	
737748	179173	
737748	219006	
737748	233399	Dakshayani
737748	246091	
737748	308981	
737748	315273	
737748	322552	
737748	322836	
737749	218272	Une chanteuse
737750	285478	
737751	343446	
737752	2385	Florence
737752	82274	Cynthia Thompson
737753	17934	CHP Officer
737753	46670	Louise
737753	64075	Drucella
737753	66123	The Butchettes
737753	70013	Blonde
737753	97206	Woman in bar
737753	126714	Astrid Anders
737753	140907	Olga
737753	168129	
737753	395182	Sgt. Martha Haggerty
737754	149463	
737755	331234	Kat
737756	305543	
737757	330392	Bit Part
737757	358609	Joan Adler
737757	364357	Salesgirl
737757	365740	Breakfast Food Demonstrator
737758	323037	Sadie Maclean
737759	152722	Provincial Lady
737759	405602	'Cat' Mary MacBride
737760	332151	Portsmouth Nurse
737760	371059	Waitress
737761	175573	First Trick or Treat
737762	93064	Go-Go dancer
737763	408691	
737764	225256	Bakada
737765	75717	Ballet instructor
737766	284103	'Pyret'
737767	113661	Britta
737767	237260	Charlotta as a child
737768	136579	
737769	94312	La mère de Solange
737769	225725	I. Mica
737770	205926	Alicia
737771	388051	Herself (2001)
737772	383519	Bibi
737773	176410	Girl at school yard
737773	268062	
737774	1698	Advocate Kajal
737774	5612	
737774	9387	
737774	12983	Yasmin
737774	27662	
737774	38182	
737774	45414	Sushma
737774	60051	
737774	61023	Mrs. Chinoy
737774	85282	Ram's stepsister (Special App
737774	86768	Jyoti
737774	93721	Gita
737774	118037	
737774	123943	
737774	135222	
737774	136879	Neha
737774	137061	
737774	143524	
737774	152469	Maya
737774	160184	
737774	166463	
737774	174799	Kuldeep Khanna's wife
737774	177990	
737774	182338	Mrs. Modi
737774	201048	Miss Reeta
737774	210218	Bulbul, the post woman
737774	211278	
737774	227308	Ratan Kaur
737774	228857	
737774	248559	
737774	254400	
737774	268088	
737774	268093	
737774	271445	Kamal Singh/Kammo
737774	284716	Anjali
737774	285699	Rekha
737774	286843	
737774	341634	Pia's friend
737774	358019	Anju Oberoi (Dilip's wife)
737774	373536	Mohan's Wife
737775	166340	Catherine (alto)
737776	293677	Chinese Mistress
737777	192779	Dancer
737778	2618	
737778	370411	Runa Kamizaki
737778	391749	Noriko (Tokimune's wife)
737778	403166	
737779	63706	
737779	63708	
737780	156196	
737780	159829	Shizuka Mizusawa
737780	159830	Shizuka
737780	159838	Shizuka Mizusawa
737780	173596	
737780	235037	(story Shibito keshô)
737780	327968	
737781	1040	Kazuko Migami (Junichi's Sist
737781	8767	
737781	122954	Rika Odagiri
737781	122955	Kaoru Yahashi
737781	126185	
737781	130484	Yuki Ichinose
737781	138037	Chikako
737781	145454	Sakiko
737781	182703	
737781	217366	Tsukasa
737781	217813	Yuki Machida, Koichi's girlfr
737781	226132	Agarikinjo, Nanako
737781	244983	Yayoi Yamamoto
737781	263361	Kanako Morishita
737781	285586	Midori Fujisaki
737781	341301	Yoko
737781	385935	
737781	391863	Machiko Aihara
737781	392643	Nakamura
737781	393147	Akemi
737781	396069	Miyabi
737781	396534	Kiriko Uda
737781	400605	Haruko Kaede
737781	404389	
737781	406360	
737781	410647	
737782	8762	
737782	155505	Fusae Nishioka
737783	159065	
737783	370706	Yoju's Daughter
737784	129868	Stewardess (Ms. Showy)
737784	163011	
737785	175050	
737786	25539	Kayoko Nakajima (original Jap
737786	38821	Diana
737786	38822	Diana
737786	49935	Yuka
737786	133113	Sue
737786	172535	Hiromi
737786	217377	Vivien
737786	285921	Iris
737786	285922	Iris Chateaubriand
737786	285923	Iris
737786	293450	Misayo Hagio
737786	322416	
737786	342572	Winbee
737786	349099	Mika
737786	380725	Elena Lolabrigita/Rumi Kuriha
737786	382111	Diana
737786	386344	Lucemon
737786	387831	Youko
737786	390027	Meiko Rokudo
737786	391333	Lynn
737786	391505	Yukinojyou
737786	394107	Fin Fish/Pakkyaramao Sensei
737786	396486	Daisy
737786	396500	Poron
737786	405278	Shiori Takatsuki
737787	381165	Emiri Imanaka
737788	28118	Yuki
737788	28119	Yuki
737788	175518	Oboro's Amazons
737788	177381	Shermie/Orochi Shermie
737788	177382	Shermie/Orochi Shermie
737788	177385	Shermie
737788	177387	Shermie/Orochi Shermie/Athena
737789	208015	Shinobu
737789	244054	Mrs. Hanamura
737790	38818	Flower Youma Kanpanyura
737790	382289	Minh
737791	98579	Tomo
737792	381436	Marlena (1990)
737793	130530	Yumi Awa
737793	169218	
737793	232921	Woman at Hachio
737793	293603	Hatsumi
737793	372017	Kobana
737794	77534	Nami Tsuchiya
737794	271918	Naomi
737795	28124	
737795	348994	Karukaya, koshimoto
737796	384221	Ope
737797	386033	Sayaka Nagisa/Change-Mermaid
737798	113416	Girl Guerrilla
737798	115895	Dancer
737799	38823	Saori Tachibana
737799	125239	Junsa
737799	125241	Junsâ (Patrol Officer)
737799	127779	Ginmaku no Miki
737799	155537	Kiiro Iijima
737799	258553	Waninoko
737799	293586	Komachi Kusatsuzuki
737799	296855	Kara La Luka
737799	299262	Female Edit Character
737799	379521	Uzura Kitaurawa
737799	382289	Elena
737799	389791	Fen Feiling
737799	389821	Neko Musume
737799	393999	Oozaru
737799	396440	Asuka
737799	396503	Chikurima
737799	397196	Randi
737799	400268	Nacchan
737799	401736	Officer Junsâ
737799	401740	Additional Voices (1999- )
737799	405028	Kaira La Luka
737799	405278	Mari Hozumi
737800	20371	Client #1
737800	223652	Ming Na
737801	186105	Shiori Okazaki
737802	167913	Sakura Matsunae
737803	62606	Sanae Inoue
737803	90445	
737804	285919	Kazuko Mishima
737805	9569	Chie Bessho
737805	140026	
737805	341282	Yoko
737805	379483	
737806	122235	
737807	374601	Tomomi
737808	211895	Hiromi
737808	300200	Eiko Sakaguchi
737809	409315	
737810	285680	Queen Beryl-Haruna-sensei
737811	47250	
737812	158356	Herself (author)
737813	373459	Noriko
737814	373218	
737815	18035	
737815	81411	
737815	236173	
737816	244548	Izumi's friend
737816	334893	Megumi
737816	400764	Megumi Nishio
737816	409315	
737817	255872	Nagiko's Friend
737818	140018	Takako Hanamura
737818	243313	
737818	244503	
737818	257718	Yamao, Mieko
737819	182167	Geisha
737820	10095	
737821	242417	
737822	122957	Herself (interview segment)
737823	25891	Sen
737823	34923	
737823	86311	Chia-Chi
737823	94400	Ko Chun's female Yakuza oppon
737823	119488	
737823	121442	Japanese Fighter
737823	127191	
737823	149064	Miss Nishiwaki
737823	152115	Michiko Nishiwaki
737823	153017	Show-Yun
737823	167583	Rikkî
737823	167754	Lily
737823	188511	
737823	203358	Female Karate Fighter
737823	212645	Michiko
737823	239298	Misao Matsuda
737823	268817	Mysterious Woman
737823	291634	
737823	302608	Mainlander
737823	332502	
737823	371589	Yi
737823	373261	Sha Sha Lee
737823	376065	Miego
737824	324196	
737825	1497	Agent Matsui
737825	126796	
737825	273944	Hi and Nee
737825	306616	Jenna Wong
737826	145280	Taniguchi, Junko
737826	379475	Nanami Kiriko
737826	381259	Hinako Mimura
737827	122137	Drama Club Captain
737828	285919	Student of Seika Girls High S
737829	76899	Etsuko Yano
737829	131291	Shiho
737829	172388	
737829	234185	
737829	334847	Ayako Nishiumi
737829	341308	
737830	156196	
737830	164290	
737830	179781	Deeba Khan
737830	181462	
737830	220785	
737830	272103	
737830	370946	
737831	289558	Gutierrez child
737832	209914	Manta
737832	356233	Aunt Greta
737833	142641	Student/Woman running away fr
737833	181634	
737833	184796	Nihala's maid
737833	236717	naisia Karrin häissä
737833	242257	Typist/Script girl
737833	255760	Woman at the stairs
737833	272247	Girl in the church-hill
737833	278875	Prisoner
737833	283593	Playing woman
737833	296508	Typist
737833	354087	Shy country girl
737834	227818	Tyttö
737835	166475	
737836	211037	Maija
737837	371658	
737838	14922	Luiza
737838	57323	Mathilde
737838	205597	Ana
737838	211013	Bugre
737838	353104	
737838	383727	Heloísa
737838	388721	
737838	396795	Deise Correia
737838	409347	Amélia
737839	9692	
737840	32386	Ernström
737840	122466	Danne's Mother
737840	213295	Helena
737840	339599	
737840	412288	
737841	29968	Barefoot Model
737842	342235	Herself
737843	117308	Esoterikerin (Testperson)
737843	178665	
737843	181729	Fräulein Mögel
737844	145502	Johanne i døra
737845	76782	Ingrid Lindberg
737845	182455	Barbro, the evil witch
737845	193298	Girl cleaning prison floor
737845	208797	Erica de Renan
737845	344074	Lillian
737846	136733	
737846	198115	
737846	306021	Fru Berling
737846	311233	
737846	357814	Annette
737847	154499	Herself - Mother to Cathrine
737848	389118	Herself - Psychologist
737849	34795	The Blonde
737849	40611	Maria d'Alvarez Kirby
737849	41035	Fanny
737849	50602	Mary Martin
737849	51867	Vanda Muroff
737849	64581	Josie La Tour
737849	76450	
737849	110212	Fabienne
737849	131618	Peggy Bums
737849	145711	Vivian Mathews
737849	149227	Ursula
737849	158350	Marie Dufrayne
737849	177522	Terese Manix
737849	183774	Pervaneh
737849	190119	Belle
737849	190831	Lise
737849	195015	Charlotte Randolph
737849	196122	Princess Flavia Eugenia Marie
737849	196856	Queen Helena
737849	196967	Antoinette
737849	210392	Elsa Von Rader
737849	235226	Herself
737849	240642	Marchesa Marcella Galdi
737849	260490	La Belle Toulaise
737849	270510	Voine
737849	274394	Zara
737849	301767	Nora Selmer
737849	338040	Sigrid Carline
737849	348102	Fifi La Rue
737849	358959	Tisha
737849	367843	Elsa
737850	337184	søster Grete
737851	266369	
737852	394729	
737853	328188	Herself
737854	51362	Eva
737854	52785	
737854	56929	Governante casa Germano
737854	61956	Desire'
737854	121299	Speaker
737854	121899	
737854	229738	Luciana's mother
737854	234764	Martine
737854	339631	Ale
737854	346173	German Woman
737854	353142	Karin
737854	390498	Baby Sitter
737855	253029	
737856	181765	Fru Scheel
737857	120968	Model i TV spot
737857	173141	
737858	235532	
737859	94457	Patti Mae
737859	278546	Mrs. Packard
737859	315999	Laura
737859	326970	Nurse
737860	181630	Pyntätty nainen
737860	251955	Naislääkäri
737861	306313	Michel
737862	341559	Maija Rivakka
737863	132075	Valerya Davidova
737863	225234	Wester's guest
737864	179212	Tehila
737865	189692	Isolde
737866	106228	
737867	1265	
737867	188513	
737867	409269	Apina
737868	18675	
737868	61524	
737868	62097	
737868	372034	
737869	339421	Tour Guide
737870	381853	
737871	215063	Woman Warrior
737874	322891	
737874	329894	Thea
737874	382542	
737874	394825	
737874	401324	
737874	407984	
737874	407985	
737876	123068	Lovarian Queen
737877	176146	Angsumalin
737878	401625	
737879	395394	Herself (Private Investigator
737880	34656	Girl in Restaurant
737881	174717	Satsuki
737881	370411	Mayuko Kishi
737882	196177	
737883	303700	Elenka
737884	2222	Student
737885	189669	
737886	395987	Various Roles (episodes 4 & 6
737887	11814	Anette
737887	12850	Franziska
737887	49480	
737887	50158	Nina
737887	79174	Doris Donath
737887	81325	Rita Evans
737887	86330	Michaela Ritter
737887	91135	Bae
737887	98972	Marianne
737887	119251	Marie
737887	120057	Martina Jakob
737887	124949	Ulrike Bongart
737887	125011	Regine
737887	125085	Anna Simons
737887	129709	
737887	145499	Ulrike Hoffmann
737887	155427	Linda Lano
737887	156687	Susanne
737887	157612	Dr. Maja von Wiesenthal
737887	160962	
737887	186941	Katja
737887	188721	Katharina
737887	189718	Kim Ziegler
737887	204423	Martina
737887	204495	Lisa
737887	225254	Linda Lano
737887	290286	Katja Janning
737887	290656	Barbara
737887	295835	Marie
737887	296096	Eva Leonhard
737887	312103	Irene Simon
737887	316529	Irene Starnow
737887	316530	Irene Starnow
737887	316540	Irene Starnow
737887	325435	Susanne
737887	383058	
737887	383449	Isabella
737887	389359	Susanne Junginger
737887	389359	Susanne Junginger (1992-1993)
737887	390192	Petra Lotz
737887	393680	
737887	399825	Teresa Gärtner
737887	404431	Barbara Sattler
737887	409588	Dr. Lea Hirschberg
737888	14122	Loni's girl
737889	290086	Schwitters Fanatic
737890	189831	
737891	237738	Sybille
737892	157653	Persica
737893	23034	
737893	63359	Mokrácek's wife
737893	88583	Dressmaker
737893	213849	Fifi's mother
737893	217037	Privy to spiritist seance
737893	244259	Urbanová
737893	247933	Apa
737893	261375	Client
737893	351809	Vonavková
737893	373402	
737893	375361	
737893	378508	
737894	83218	Judith Marchal
737894	107508	
737894	318488	Prostitute
737894	328407	Eva
737894	353934	Christine as an adult
737895	111309	Fabric Seller
737896	57847	La Diseuse
737896	118016	Maryane
737896	309890	Traffic Warden
737896	334818	Maud Florens
737897	38832	
737897	198424	
737897	303721	Magd Jantje
737897	325776	Agnes Treuleben
737897	348047	
737897	361114	
737898	102247	Carol's Roomate
737899	331178	Waitress
737900	85204	Bhavani
737900	139425	Manga
737900	179583	
737901	198303	La mendiante
737901	284207	Médecin
737901	335253	L'hôtesse Royal Nepal Airline
737902	16957	
737902	290070	Mila Pfefferberg
737903	391295	Marlies Welt, Antons Tochter
737904	35040	
737905	102965	Chantalle Krueger
737905	174179	Woman at baths, brunette
737905	259613	
737906	259564	
737907	308003	Chinese Girl
737908	175085	Huo Qinying
737909	110050	Serveuse du Kon Tiki
737910	71364	
737910	193072	Herself
737910	234324	Herself
737910	262980	Herself
737910	307243	
737910	381904	Herself (Rejected 2004/2)
737910	390404	
737910	399823	Alcatraz Cordero
737910	404161	Karicia
737910	408855	Yamilé (1999-2000)
737910	409908	Vida
737910	410327	Myrtha
737911	119822	Child
737912	169028	Marja
737913	85372	
737913	109108	
737913	164297	
737913	171522	
737913	315000	1:a Johanna
737913	349017	
737914	56102	
737915	377002	Jean-Pierre's mother
737916	153698	
737917	12327	Sandy Kennington
737917	17927	Suzy
737917	44415	Brian's Mother
737917	55507	Morgan Maddox
737917	59876	Patricia King
737917	83013	Monica Stienman
737917	91952	Veronica
737917	93897	Dr. Sloan
737917	109627	
737917	117623	Stacy Franklin
737917	118548	Goldie's Stepmother
737917	145710	Sheila
737917	148198	Connie
737917	152608	Fran Taylor
737917	154470	Linda
737917	156460	Pamela Raby
737917	193725	Jane Costello
737917	197373	Jan
737917	266583	Sharon
737917	272600	Marilyn Monroe
737917	294795	Donna Noland
737917	303265	Ashley Hawkins
737917	323505	Veronica
737917	332774	Kate Dolan
737917	346016	Tina
737917	360686	Entertainment Reporter
737917	366136	Barbara Miles
737917	366137	Newscaster
737917	382419	Brenda Dickerson (1996)
737917	400236	Liz Coleman Reynolds (2002-20
737917	401147	Kate Anderson (1998-2000)
737918	119849	Lucy
737919	184955	Guest
737920	385342	Mrs. Dawson
737920	397436	Mrs. Blake
737921	141166	Ogden's Secretary
737921	154662	Mrs. Mcintyre
737921	206138	Mrs. Sherwood
737921	368546	Megan Hardy
737922	400342	Herself (Finalist #17)
737923	337606	Idaho Deputy
737924	223649	Girl in the Washroom
737925	157857	Bastianedda
737926	73719	Chantal
737926	251007	
737926	328406	Lydia Bourraste
737927	211375	La secrétaire de l'agence
737927	354446	
737928	8214	
737928	43679	
737928	94349	
737928	113525	
737928	118828	
737928	119038	Madame Manchebois (segment "F
737928	152364	La bonne
737928	169648	
737928	216232	
737928	216235	Mademoiselle Gillenormand
737928	236623	La tante de Natacha
737928	240607	Mme. Lefranc
737928	261020	
737928	265216	
737928	271910	Une soeur
737928	282284	Marquise de la Mole
737928	307136	La religieuse
737928	371410	
737928	377601	
737929	393035	Herself
737930	376986	
737931	22766	
737931	48808	Duqesa
737931	82235	
737931	243554	
737931	369062	Mrs. Gregory
737932	211746	
737934	368069	Yukiko
737935	264424	Visitor
737936	194025	Radio reporter
737937	392570	Female Student, Female Clerk,
737938	125030	Kassiererin (Psychiatrie)
737939	164755	
737940	36424	Lili
737941	95727	
737941	178463	Janka's Fiancee
737941	231731	The Major
737941	244100	Miss Laura
737941	258664	Holiday in the Saddle Partici
737942	276428	Mary
737943	208984	Voice
737945	43925	Ishmael's Son's Wife
737946	282667	Diana (at age 7)
737947	9125	Mrs. Hurwitz
737948	16891	Herself
737948	95631	Herself
737948	330743	Herself
737949	186817	Judge
737950	209413	
737951	385824	Janice Barnes #1 (1976-1979)
737951	404101	Caroline Ford
737951	410568	Serena Burton (1979-1980)
737952	87364	Louisiana
737953	185084	Louisa
737954	201919	Dicette #3
737955	356544	Petra
737956	395302	Rosa
737957	335017	Charlotte
737958	2010	Herself
737958	3593	Herself
737958	161295	Herself
737959	161225	Herself
737960	203358	Tony Clifton Dancer
737961	889	
737961	111878	
737961	159542	
737961	231791	
737961	254248	Mrs. Pott
737961	298012	
737962	262589	St. Matthew's Choir & Band Me
737963	152	Cara
737963	2615	Herself
737963	2761	Herself
737963	2787	Herself
737963	2805	Herself - Best Supporting Act
737963	6248	Heather
737963	7196	Missy
737963	12937	Lorl
737963	26442	Gilbertine
737963	61827	
737963	71486	
737963	107100	Tina
737963	112216	Shirley Talley
737963	154044	Amy Hertz
737963	155949	Mrs. Piggee
737963	161225	Herself
737963	163595	Amy Cassidy
737963	178177	
737963	188227	Evangaline
737963	191755	Sunshine
737963	191991	Leslie
737963	196037	Janet Raft
737963	196303	Donna
737963	198068	
737963	204192	Jenny Anderman (Ithaca)
737963	206128	Other Voices
737963	206818	Retirement Home Director
737963	222707	Doreen
737963	223739	Nancy
737963	237600	Michelle
737963	245265	Sheena
737963	248011	Sharon Jenkins
737963	248111	Janice
737963	251979	Alice Stark
737963	264068	Jeannie
737963	264710	Sue Ellen
737963	272471	Alice
737963	280212	
737963	295601	Miranda
737963	295609	Miranda Hobbes
737963	312798	Mary Haines
737963	325983	Cindy
737963	331842	
737963	359453	Eleanor Roosevelt
737963	367768	Sarah
737963	390045	
737963	404946	Miranda Hobbes
737963	407545	Alex Tanner
737963	407547	Alex Tanner
737964	98864	
737964	98900	
737965	5619	
737966	317248	
737967	219367	Girl at Counter
737968	274283	Carolina
737969	230024	Fiona
737969	302198	Storage Girl
737970	87780	Herself
737970	310710	Herself (listens to 1968 spee
737971	106246	
737971	137570	Melissa
737971	159943	David's Secretary
737971	378896	Herself (Reporter - Fashion a
737971	381298	Herself
737971	391488	Herself - Co-host (1998-1999)
737971	397625	Herself
737971	401676	Herself - Co-host
737971	401968	Herself (2000-)
737972	240863	Hazel Boone
737972	318645	Desiree
737972	382458	Maude O'Brien
737973	65184	Clarence's classmate
737974	7967	Sidney Taylor
737974	13253	Sally Smith
737974	23902	Ruth Levi
737974	34795	Lena Schneider
737974	37005	Dora Allen
737974	50954	Andree, an Alias of Lucy Shoe
737974	54456	Madge
737974	58931	Glory Franklyn
737974	59619	Shirley Marlowe
737974	62150	Sally Phillmore
737974	64530	Bird Taylor
737974	67151	Madge Hutton
737974	71895	Muriel Colbrook
737974	75339	Agnes Evans
737974	85025	Rose Marie
737974	88863	May Tupping (phone operator)
737974	92218	Katie Kelly
737974	92717	Kit van Buren
737974	95361	Molly Gore
737974	105568	Lady Catherine
737974	107091	Madge
737974	118423	June Allen
737974	125506	Archduchess Maria Luisa
737974	126150	Geraldine
737974	138258	Mae, the Girl He Loves
737974	143937	Mary Allen
737974	151597	Beatrice Fairbanks
737974	153135	Joan Langdon
737974	154901	Hazeel Deming
737974	158258	Anna Lou Anderson
737974	166057	Elsa Hausmann
737974	171215	Jean Lawrence
737974	184994	Dolores Delfina
737974	185465	Ruth
737974	188204	Jacqueline McCall
737974	191118	Peggy
737974	199686	Bee
737974	203788	Bella Rogers/Helen Brandon
737974	241092	
737974	244992	Molly O'Day
737974	245185	Yvonne Gilbert
737974	251214	Annabelle
737974	255828	Mary Saunders
737974	264824	
737974	271228	Mary Lane
737974	273599	Rebecca
737974	273821	
737974	274197	Cynthia Day
737974	274368	Vera
737974	277986	Bess Erne
737974	280686	Phyllis
737974	282057	
737974	285126	Rena Newhall
737974	289249	Katherine Lane
737974	289610	Nora Mason
737974	300103	What Became of the Floradora 
737974	301852	Lucy Calhoun
737974	310259	'Spangles' Delancy
737974	311755	Norah Cavanaugh
737974	316891	Sylvia Montgomery
737974	321100	Babe Ellis
737974	321101	Annie Foster
737974	324425	Treasure McGuire
737974	326196	Rose Zimmerman
737974	335575	Rose
737974	349642	Lou Macon
737974	360535	Arabella Sykes
737974	362238	Lucille Bigbee
737974	363479	Alicia Stone
737974	366234	Peggy Harmon
737974	367800	Betty
737974	372659	Annie Jackson
737975	110285	Housekeeper
737976	687	Herself
737976	7413	Terry McKay
737976	154660	Aunt Alice
737976	164391	Princess Serena (singing voic
737976	168119	Voice of one of the angels
737976	177253	Anna
737976	201725	Herself
737976	222112	Grandmother Fa
737976	223867	Eliza Doolittle
737976	280364	Herself
737976	292414	Mary Lennox
737976	309634	Sister Sophia
737976	309636	Herself
737976	323585	
737976	361688	Maria
737976	372685	Herself
737977	209192	
737978	399816	Opal Wilkinson (1977)
737979	3838	Herself - as First Lady Pat N
737979	11525	Herself - at 1972 Inauguratio
737979	32404	Extra as Ballroom Dancer
737979	47911	Herself
737979	64724	Herself (with Richard)
737979	77834	Dance class student
737979	87780	Herself
737979	133880	Extra
737979	167324	Herself (with Richard)
737979	171689	Herself (with Richard)
737979	228981	Herself (visits Latin America
737979	233307	Herself - Leaving White House
737979	305398	Extra
737979	310710	Herself (votes in 1960 electi
737979	314138	Herself (at her husband's ina
737979	339428	Herself
737979	340899	Herself (at Eisenhower inaugu
737979	360382	Herself (Pat Nixon)
737979	383801	Herself
737979	384590	Herself
737979	394781	Herself (at Republican conven
737979	407822	Herself
737979	410652	Herself
737980	378811	Jax Duffy
737981	234891	Annie Foss
737982	293198	Jamie's mum
737983	68502	
737984	304734	Girl on Bus
737985	60296	Harriet
737985	382332	Sue Collins
737986	42224	Donnette
737987	87780	Herself
737987	233307	Herself - at Helicopter after
737987	264079	Herself
737987	310710	Herself (listens to 1968 spee
737987	384590	Herself
737987	410652	Herself
737988	31728	Taro's Mother
737988	251477	Hawaiian Bar Girl
737989	95597	
737990	370493	Yashemal
737991	34201	
737991	122942	
737991	152409	
737992	170233	Herself
737993	88268	Claire Damor
737993	164139	
737994	340304	
737995	247626	
737996	346674	Lisbeth Guérin
737997	7206	Vera
737997	7207	
737997	7208	
737997	7209	
737997	7210	
737997	7211	
737997	206291	Renée
737997	260892	Inxhi
737999	18635	Waitress
737999	18978	Reporter #3
737999	35735	Reporter
737999	80969	Emanda Maine
737999	99971	Kelly Short
737999	102182	Dr. KC Czaban
737999	105851	Diana
737999	159486	Erika
737999	210569	Robin Conners
737999	221043	Dr. Roget
737999	311058	Alexandra
737999	313423	Perim
737999	342499	Shauna
737999	387989	Nina Feeney
737999	409837	Agent Judith Phillips
738000	166657	Nõvér
738000	377891	
738001	394585	Lena Mazurkiewicz (1997-98)
738002	394585	Ula (1998-)
738003	159890	Pestka
738004	53731	Party Girl
738004	67800	Snow Eskanazi
738004	133770	Woman in West
738004	147484	Alice (Jerry's secretary)
738004	160464	Interviewee: Former Girlfrien
738004	246861	Pajama Girl
738004	257867	Herself
738004	295294	
738004	365526	Woman of Wongo
738005	12069	Singer
738006	9834	
738006	14705	
738006	16441	
738006	67656	Otávio's Mother
738006	67663	
738006	68578	
738006	74033	Josefina
738006	120701	
738006	160728	(segment "Dois Dedos")
738006	187573	
738006	314340	
738006	344854	
738006	378108	Dóris
738006	381222	Santa
738006	381523	Mainha
738006	384922	
738006	385030	Jandira
738006	388563	Filomena
738006	389643	Filomena
738006	391673	Chica
738006	393615	
738006	395089	Odete
738006	400584	Belmira
738006	400902	Iara
738006	401086	Alzira
738006	401104	Naninha
738006	401900	
738006	401944	Valderice
738006	402623	Helena
738006	403118	Joana
738006	403733	Mina
738006	404803	Cotinha
738006	404834	Dona Bil
738006	404960	Anésia
738006	406833	Zezé
738006	407868	Irmã Teresa
738006	408944	Neide
738006	412179	Antônia
738007	103803	
738008	12390	Col. Corazón Santiago
738009	89972	
738010	344972	Herself
738011	220369	Lema
738012	48743	
738013	36669	Patrick
738013	56048	Gina
738013	128586	Bu Savè
738013	251527	Mme Voght
738013	353836	L'infirmière qui chante
738013	387617	Geneviève
738014	219192	Girl
738015	234015	
738016	167198	
738017	213023	Veronica Okimo
738018	205696	
738019	21763	
738019	245339	
738020	286015	
738021	155813	
738022	9431	
738022	18879	
738022	102060	
738022	125960	
738022	165530	
738022	167603	
738022	259078	
738022	285570	
738023	15194	Yeong
738023	60656	
738023	84510	
738023	127723	
738023	202519	
738023	226549	
738023	228688	
738023	267954	
738023	371203	
738023	371863	
738024	34186	
738024	102074	
738024	166009	
738024	230254	
738024	254969	
738024	286468	
738024	371260	
738025	68686	Self
738025	90451	
738026	159971	Woman in grave
738027	301094	
738029	352367	
738030	137729	
738030	178602	
738030	181011	
738030	258182	
738030	316808	Bella Schwarz
738030	336851	
738030	359597	
738030	364826	
738030	369387	
738030	376319	
738030	378559	
738031	229259	Mrs. Scott
738031	277862	
738031	318770	Nancy
738031	391869	Coral King (1988-1989)
738031	399130	Edna Ramsay (1986-1988)
738031	406683	Mrs. Walsh
738031	407616	Marie Farrer
738031	409571	
738032	66945	Madge
738033	119018	Houseboat Owner
738033	179475	Orphelia
738033	182949	Philomene
738033	240429	
738033	358277	Salvation Army Singer
738033	393892	Adeline
738034	238658	Tanya
738035	145482	Child
738036	205511	
738037	210047	
738038	92301	Jane
738038	107504	Station Photographer
738038	391786	Mrs. Osborne (1995)
738039	380190	Sandra Daley
738039	402139	TV Newsreader
738040	211444	
738040	232660	Teacher Iochevet
738041	120783	Marion
738041	154071	Kim
738041	382838	Rose Finnegan (1999)
738042	293223	Undetermined Role
738042	364266	
738043	80335	Infirmière Isa
738043	88838	
738043	91432	
738043	236622	Cop 3
738043	274789	
738043	397200	Germaine
738044	124987	Neighbor
738045	102645	
738045	115172	
738045	217471	
738045	218336	1st Postulant
738045	236543	Hubertine, la fille de Mme Fa
738045	289094	Mother of Sick Boy
738046	331317	
738047	17857	Une hôtesse de l'air
738047	115433	Wanda Romanoff
738047	132994	
738047	148659	Moïra
738047	149237	
738047	169315	Mlle Verger
738047	222897	Claudine
738047	238299	Marie Fulton
738047	243022	Madame de Parcy
738047	248895	Alexandra Labruyère
738047	253241	
738047	284367	Jahel
738047	326322	Janine Royer
738047	336979	
738047	344560	Laureen Seygmoor
738047	380902	Agnès
738047	383820	Jacqueline
738047	384212	Florence Berg
738047	396175	Sophie de Champlitte/Sophie d
738047	396849	Fabienne
738047	404173	Juliette Majoureau
738048	147789	The Tenant
738049	9540	
738049	264876	
738049	264877	
738049	341102	Kajsa
738050	121840	Shop Assistant
738051	384645	Ciça
738052	103723	
738053	396810	Lazinha
738054	54360	Cognata di Don Vincenzo
738055	63730	
738055	73649	
738055	92070	Maria
738055	123176	Marcella Feroci
738055	160514	Elena
738055	187198	Dalilah Rayney
738055	322779	Maria Tosato
738055	342134	Sara Maggioni
738055	344589	Gemma
738055	354452	
738055	383260	
738055	392742	Gloria Forti
738055	402786	
738056	14380	Alunna
738058	50993	Patricia
738058	199331	Blandine
738058	292353	Mireille Casoni
738059	78015	Courtesan
738060	20070	
738061	100281	
738061	327898	
738062	128772	Account Executive KLAW 101.5 
738063	308311	
738064	308311	
738065	276249	Nandewar
738066	276857	Jeanine
738067	364372	Devlin's Date
738068	81123	Sadie
738068	222748	Polly
738069	69079	The Hairdresser (in Kevin Smi
738069	165977	Silent Bob's Mother
738070	157802	Triam's wife
738070	392177	Maria
738071	70964	Cleo
738071	302920	Rachel
738072	105348	
738073	333245	
738073	385299	Claire Harkness
738074	228785	Interviewer
738075	221215	Nurse Waite
738075	228330	
738075	230869	Mrs. James
738075	315516	Cynthia
738076	134722	Kate Seaver
738076	134723	Kate MacDonald-Seaver
738076	134724	Herself
738076	160637	Penelope
738076	187072	Hattie Durham
738076	187073	Hattie Durham
738076	192157	Carrie Lee, the neighbor
738076	201709	Herself
738076	201710	Herself
738076	313382	Robyn Call
738076	365866	Anchor Woman
738076	372203	Alison Taylor
738076	385824	Kristina Andropolous #1 (1988
738076	390691	Kate Macdonald (1989-1992)
738076	394540	Elizabeth Waters
738077	50292	Adrian Cover Girl
738078	303825	Typist
738079	185575	Diane's Mother
738079	292131	Taxi Dispatcher
738081	51934	Claire
738081	190109	Susan Byatt
738081	191253	Moonbeam
738081	221306	Actress
738081	266166	Dara
738081	288473	Celine
738081	311491	
738081	389046	Additional Voices
738081	396952	
738081	398775	Angie Burns (1998-1999)
738082	259969	Nurse
738083	72761	
738083	340960	Sheena Divine
738083	382862	Hostess
738083	385301	Suzie Samson (2003)
738084	10805	Ruth
738085	219410	Paraluman
738086	254522	Female Masquerade Dancer
738087	169139	Wife
738088	185931	Brazilian girl
738088	305399	Patsy
738089	391786	Abby Davies (2000-2004)
738090	51521	
738090	217311	
738091	237828	Prostitute
738092	14241	Kristy Palmer
738093	303455	Concert Goer
738094	176942	Vivian
738094	215288	Mrs. McCauley
738095	165260	Additional Voices
738096	65895	American girl
738097	93282	Teresa
738098	82502	Stacy
738098	321920	Receptionist
738099	98653	Nun
738100	370675	Age 15
738101	303696	Esther
738102	55719	Khasi's wife
738103	233479	Carol
738104	81041	Investigative Journalist
738104	251285	Clerk
738105	354791	Mother Grant
738106	154449	
738107	370675	Age 14
738108	13588	Reporter #1
738108	143831	Harriet
738108	211815	Rebecca Beecham
738108	353295	Blanche
738109	80695	Skater
738110	201260	Swing Dancer
738111	60866	Barracks woman
738111	128587	Randy Hunt
738111	164612	Lola
738111	171127	Mitzi
738111	194406	Woman in Bed
738111	209492	Kennedy student
738111	245498	Lola
738111	298129	Honey-Pot
738112	49136	Hazel
738113	292679	Barbara Westaway
738114	69421	Naked college girl
738115	186118	
738116	150606	Babette
738116	222612	Hotel Operator
738116	227247	Various Women
738116	273794	Mrs. Florence Milgrim
738116	316284	Additional Voice
738116	384894	Marge
738116	386055	
738116	393545	Additional Voices
738116	396346	Nathan, Cathy
738116	397036	Gloria Baker; Vanessa Warfiel
738116	401865	Pancake
738117	110050	La vahiné
738118	42716	
738118	55686	Sally
738118	67602	Marcy
738118	80661	Gillian Boles
738118	81143	Francesca
738118	107781	
738118	192567	Herself
738118	227014	Gladia Delmarre
738118	241630	Sabina Rogoff
738118	264664	Mistress Phyllis Morley
738118	313477	Jobal Naberrie
738118	365499	Penelope Devaraux (British In
738118	365883	Chris Bricker
738118	382254	Dr. Mittelstadt
738118	388031	Yvonne Holland (1976)
738118	392177	Valerie
738118	403317	Irene
738118	406736	Sgt. Rosie Johnson
738118	407897	Edna Beamish
738118	410699	Various
738119	17090	Margot
738119	96052	
738119	96195	
738119	111686	
738119	148718	L'hôtesse de l'air
738119	202577	
738119	254042	
738119	280533	
738119	321989	Le Thé
738119	338697	
738119	383454	Agnès Pacouli
738120	185131	June
738121	254775	
738122	360149	Vampire Girl #3
738123	336722	Gran
738125	403805	Caroline Brady (1998-)
738126	77705	Model
738127	138039	Saiki
738128	396126	Rosa
738129	387932	Tarsila's servant
738130	386142	Abigail 'Bibi' Santarem
738130	391673	
738130	396610	Bia (2000-2003)
738131	383561	
738132	122161	
738132	143553	
738132	328191	
738133	1862	Flora
738133	8566	
738133	52107	Emília
738133	52928	
738133	55313	
738133	63831	
738133	87185	Aurora
738133	165737	
738133	187944	
738133	217388	
738133	237216	
738133	248046	Clotilde
738133	267494	Francisquinha
738133	280872	
738133	308273	
738133	353100	
738133	357192	
738134	57981	Dora's Client
738134	306848	Herself
738135	409347	Crocoká
738136	256188	Pink Chiquita
738137	201302	Kokiri, Kiki no haha (Kiki's 
738137	390899	Fiolina
738137	394030	Various characters
738137	397844	Lana
738138	19945	Boy
738138	252519	
738139	95553	
738139	96198	
738140	170933	La bibliothécaire
738141	102583	Prostitute
738142	71266	
738142	213324	Moth
738144	411714	Herself
738145	251961	
738146	215731	Pia
738147	84632	
738147	289331	
738147	351602	
738149	6264	Mother
738149	176970	Mourner/Student/Additional Vo
738149	337301	Mia Parker
738149	342675	Emmett's Wife (segment The Sh
738150	120052	Fernseh-Ansagerin
738150	189854	Host
738151	239932	Bunny
738152	484	Sara
738152	168261	Herself
738153	89440	Marin
738153	177755	Boy
738153	195628	Mitsune 'Kitsune' Konno
738153	195629	Mitsune 'Kitsune' Konno
738153	195630	Mitsune Konno
738153	195631	Mitsune Konno
738153	273168	Natsuko Aki
738153	378718	
738153	382610	Takano Mizuki
738153	385980	Chibimon/V-mon/Fladramon/Raid
738153	390730	Miyabi Aizawa
738153	390799	Kato Matsuri
738153	394175	Maho Izawa
738153	394521	Jacqueline Muscle
738153	395167	Dio Eraclea
738153	396316	Inoba Kaori
738153	397346	IceMan, Madoi Iroaya/Maddy
738153	402729	Mitsune 'Kitsune' Konno
738153	403597	IceMan
738154	35008	
738154	99797	
738154	103743	
738154	104180	
738154	149619	
738154	212407	
738154	234311	
738154	267293	
738155	137010	Sanae Mihara
738155	173507	
738156	216649	
738157	173596	Tajima, Noriko
738158	12690	Marina
738158	53893	Francesca
738159	409356	Kit
738160	96860	Mrs. Lipvitch
738160	234809	Rebecca
738160	286191	Mrs. Peltz
738161	220302	Jennifer
738162	389722	Himself - Co-commentator (199
738163	120227	Narrator
738163	160255	The Witch
738164	16045	Extra
738164	343185	Eager Girl
738165	27918	La grande fille
738166	20625	Extra
738166	114291	Model
738167	193512	
738168	165558	High School Girl
738169	303498	
738169	364756	
738170	67565	P.A.
738171	193000	Maureen
738172	152352	
738174	351884	Girl
738175	31632	Susan Collins
738175	57550	Wendy
738175	84443	Peggy Cameron
738175	85992	Carol
738175	117154	Lily
738175	126589	Sue Ann Mobley
738175	128246	Betsy
738175	129593	Chris
738175	148947	Nancy Penrose
738175	169593	Mary Ellen Kincaid
738175	302362	Wedding Guest
738175	307364	Frances McCoy
738175	336130	
738175	365461	Dolly
738175	365544	Susan
738175	399944	Marilyn
738176	113702	
738177	383268	Tencha
738177	397838	Doña Felisa (1997-1998)
738178	72452	Chloe
738178	91641	Lilac
738178	148957	Herself
738178	154983	Bedelia
738178	162208	Herself - as 'Mama' in a show
738178	177305	Herself
738178	177689	Maid to Gordon
738178	178342	Myrtle, Black Woman
738178	183581	Specialty Dancer in Montage
738178	183638	Chloe, Jenny's Maid
738178	191588	Melissa
738178	206413	Hildegarde, Yates' Maid
738178	244863	Druscilla
738178	276683	Denver House chambermaid
738178	295414	Adella
738178	367919	Maid on Train
738180	384715	Music Teacher
738180	388264	Music Teacher
738181	336445	Somalian Woman
738182	105851	Fantasy secretary
738184	405239	Presenter
738185	264525	Recidiviste
738186	8559	
738186	74655	
738186	115754	
738186	318604	
738186	319505	
738186	324483	Movie Executive
738186	332601	
738186	397580	Silcia
738186	410016	
738187	34448	Jim Shirley's Girlfriend
738187	52312	
738187	154345	Valerie
738187	209219	Lovelie #1
738187	216737	Showgirl
738187	279323	Barfly
738187	361862	Herself
738187	362379	
738188	355080	Magdalena
738189	351884	Girl
738191	55451	
738191	135058	
738191	149700	Elena
738191	209001	Patricia
738191	277381	
738191	287879	Luisa
738192	406007	Jeremiah Van Adams
738193	158865	Marvene
738194	40792	Daisy Courtneigh
738195	222778	Young Woman #1
738196	222495	Elevator Passenger
738197	11922	Aunt
738197	16113	Mrs. Leonard
738197	185758	Marriage Commissioner
738197	275107	Stacey
738197	340058	Coffee Shop Waitress
738198	46133	Jean Knox
738198	372354	
738198	400341	Herself (2003)
738199	77676	Salsa Club Dancer
738199	295826	Sex Monster Dancer
738200	294145	
738200	306509	
738201	129957	Stripper
738202	170359	Birgitta
738202	291580	
738203	355212	Screaming Woman
738204	107624	Girl Student
738205	81622	
738206	208521	
738207	134036	Gittel [Gitl]
738207	302702	Mariashe
738208	20203	Psychiatrist
738208	38384	Mbak Wid
738208	64261	
738208	95411	Receptionist's Wife
738208	99197	Bunda
738208	169017	Lady Mayor
738208	319852	Jaska
738209	266235	
738210	407355	Presenter (1995-1997)
738211	409609	(1994-)
738212	147169	Sprechstundenhilfe
738213	379716	Molly Rose Montgomery (1989-1
738214	379716	Molly Rose Montgomery (1989-1
738215	309659	Mrs. Roberts
738216	141639	Rich lady
738217	25793	Monja 2
738218	57804	Maria
738218	240165	Olympia Miraflores
738218	336165	Lucy's Mother
738219	70679	Azafata 'La Jauría Humana' 1
738220	17421	Tomoko
738220	176659	
738220	182031	
738220	182702	
738220	286596	
738221	18662	Mayumi Kino
738221	18704	Shimorenjaku Yoko
738221	54890	Meilin Li
738221	54891	Meiling Li
738221	103000	Clair Andrews
738221	217377	Oozora Mirai
738221	271676	Mika
738221	350190	Felicia
738221	369415	Yuzuriha Nekoi
738221	383459	Meiling Li
738221	389503	Capt. Theresa Testarossa
738221	392570	Toshiko Sôma
738221	392964	Kanna
738221	405275	Alice Beckham/Marie Bitô
738221	410739	Tanima Yuri/Angel Lily
738222	51375	Impatient princess
738222	73649	
738222	79747	Ruth
738222	85687	
738222	127941	
738222	243362	Atena (episode "Eumenidi")
738222	252669	
738222	260616	
738222	301344	Magda
738222	322779	Gianna
738223	67835	
738223	67897	Lisa's maid
738223	88204	
738223	104474	
738223	199051	Mother Superior
738223	215399	
738224	277643	Receptionist
738225	19778	Fubuki Sakuragasaki
738225	25749	Kaori, a.k.a. 'Kaorin'
738225	381025	Kaori, a.k.a. 'Kaorin'
738225	397346	Aki
738225	404228	Miyuki Onizuka
738225	411725	Nemuta Koron
738226	19694	Okyo Kawanaga
738226	21337	
738226	28123	
738226	77313	
738226	91143	
738226	92830	
738226	125456	
738226	138041	Nobue Kaneko
738226	142177	
738226	147352	
738226	174333	
738226	174868	
738226	174869	Tsuyuko Takeda
738226	176577	
738226	176582	
738226	176587	
738226	176599	
738226	176603	
738226	181887	Senhime
738226	181979	
738226	181980	
738226	181981	
738226	217070	
738226	232574	Owaka
738226	232702	Maya
738226	233110	
738226	233117	
738226	239379	
738226	239380	Satoko Higa
738226	240377	Michiko
738226	283919	Fusae
738226	299135	Oume
738226	299562	
738226	300487	Harumi
738226	327796	
738226	327797	Yuki
738226	344958	Omine
738226	371987	Yuka
738226	374109	Oaki
738226	411878	Kaoru Yajima
738227	257806	Terri
738228	193390	Birgit, wife of the jealous a
738229	88438	
738229	390388	
738229	401928	Jelena... Listerova sekretari
738229	405659	Urlike Majnhof... narednik Un
738230	1757	Shizuko Nogi
738230	43045	
738230	82192	
738230	87876	Hiroko
738230	122534	Hisae Shirato
738230	138786	
738230	146351	
738230	174943	
738230	214715	Setsuko Iijima
738230	228374	
738230	237842	
738230	297733	Shizuko Okabe
738230	322488	Woman with dog
738230	324308	Female candidate
738230	382000	Shoko Hanamura
738230	385533	Machiko Hanaoka
738230	386594	
738230	391522	Yoshi (Mitsuhide's mother)
738230	394435	
738230	407153	Yoriko Ozama
738230	408890	Satomi Yamada
738230	408891	Satomi Yamada
738231	198416	Frau Kliemek
738231	325893	
738231	366269	Quäkeress
738232	8785	
738232	19697	
738232	20178	
738232	22123	
738232	153663	
738232	173060	
738232	176574	
738232	227060	
738232	288192	
738232	308437	
738232	326976	
738232	358402	
738233	403411	
738234	323239	
738235	241013	
738236	9274	
738237	371988	
738238	328333	Era
738239	65184	Clarence's classmate
738240	334567	
738241	70487	Young Salete
738241	166675	Márcia
738241	207929	
738241	258737	
738241	269574	Teresa
738241	314340	
738241	351966	Vera
738241	352855	Angela
738241	354484	Lucília
738241	380196	Marta
738241	380331	Maria Eduarda 'Duda' Resende
738241	383550	Dona Rosa
738241	383727	Ana Paula Diniz Moutinho
738241	388565	Selma
738241	394121	Alzira
738241	396741	Teca
738241	399645	Fátima
738241	400673	
738241	403118	Jacira
738241	404283	
738241	405990	
738242	204268	Bree
738243	219593	
738244	55313	
738245	216429	Dj Barbie
738246	344713	Herself
738247	8566	
738247	52107	
738247	67659	
738247	67664	
738247	82991	
738247	90457	
738247	147339	
738247	202129	
738247	202547	
738247	251840	Mãe
738247	278585	
738247	302535	
738247	327326	
738247	333693	
738247	341473	
738247	356032	
738249	265163	
738250	383441	
738250	396610	Betânia (1997)
738250	402504	
738251	148886	Honey Glaze
738252	88318	Friend
738253	344776	
738253	386418	
738253	387903	Regina
738253	390817	
738253	402109	Conchita
738254	114815	
738255	154899	Zombie #6
738256	195227	Bernarde Casterot
738256	201986	Woman resident
738257	407872	
738257	409407	
738257	412270	Ana
738258	17379	
738259	58096	Laura
738260	317708	
738261	19842	
738261	64431	Olga Tercera
738261	88322	
738261	139905	
738261	183525	
738261	247296	Elisa Pereira
738261	270552	
738261	324931	
738261	339172	Victoría
738261	377184	
738261	383867	
738261	387475	Eva
738261	387916	Marta Davis
738261	388648	
738261	392959	Texia
738261	392992	
738261	400419	Adela Moraga
738261	401481	Luisa Sotomayor
738261	402411	Mónica Barrera
738261	403644	
738261	403674	María Magdalena
738261	406852	Norma Órdenes
738261	407644	Antonieta
738262	12661	
738263	113235	
738263	152229	
738263	243695	Carmen
738263	281609	
738263	380125	Amalia
738263	398488	Maria
738263	404203	Macarena
738263	404988	
738263	405776	Eusebia Gómez
738263	408389	Dolores Montes
738264	83889	
738264	113235	
738264	224964	Oscar's mother
738264	392971	Xiomara
738265	3450	
738266	379553	
738267	385367	
738267	398217	Dania
738268	266872	
738269	51864	Abuela
738269	135074	Monica
738269	379458	Germanica
738269	390733	
738269	396462	Aretusa
738269	396873	Fucha
738269	397262	Petra
738269	402192	Mate
738269	403016	Petra Gómez
738269	404703	Prudencia Santana de Zulbarán
738270	8616	Priscille
738270	88043	L'animatrice télé
738270	112895	L'actrice
738270	166180	Lisa Raphael
738270	184621	
738270	276340	Dame de service 2
738270	286110	Woman inside the supermarket
738270	293898	
738270	394293	
738271	118298	Vera's Mother
738272	5056	Def. Atty. Wallace
738272	7848	Lydia
738272	45044	Janis
738272	45693	Denise
738272	59829	Frances Voss
738272	63134	Mrs. Helen Shirley
738272	69414	Mrs. Masterson
738272	80056	Phoebe Millbank
738272	87325	
738272	95786	Verchenko
738272	106493	Susan Juke
738272	118298	Vera
738272	118981	Theater Patron
738272	135177	Molly Sheridan
738272	147252	Jo Hoffa
738272	147612	Nancy Worthen
738272	148586	Chava
738272	163610	
738272	229861	Mildred
738272	241683	
738272	245236	Lynn Myerson
738272	261530	Friend at Airport
738272	265684	Healer
738272	276398	Judge Hargreaves
738272	299958	Theatre Director
738272	303263	Fran Steuben
738272	304851	Atty. Brooke McAdam
738272	310462	Nadya
738272	314131	Alice
738272	330412	Anna
738272	350155	Julie
738272	359963	Soapbox Speaker Two
738272	368259	Tina
738272	382835	Aunt Miriam (1991-1992)
738273	37474	Female Wing Kong Guard
738274	234004	
738275	78565	
738276	208707	
738278	69549	Amy
738278	263741	Baboon patriarch
738279	397013	
738279	398454	Cecilia
738279	403683	Elvira
738280	152528	Melinda
738281	176636	
738281	232698	Naoko
738281	299295	Ryuko
738281	300433	Miki
738281	318211	Rumiko/Sister Lucia
738282	376036	Wettkampfleiterin
738283	140194	Nel
738284	410203	Participant (1999)
738285	181135	Pearl DeLoach
738287	365341	Benny's Girl
738289	218082	
738290	259212	Copines Lydie
738291	39416	
738291	150283	
738291	184945	
738291	228053	
738291	236366	Model
738291	257993	
738291	318753	
738291	366829	Angie
738293	8090	Detective Hauser
738294	337032	Jeune femme
738295	170541	Cheerleader
738296	79375	
738296	105803	Madge
738296	358154	
738297	217661	Baroness
738297	236621	
738297	377240	Marquise
738298	59219	
738298	86574	
738298	94349	
738298	135422	
738298	149203	
738298	236623	
738298	243039	
738298	337018	
738298	377826	
738299	230214	Dancer
738300	31573	Miss Bangkok
738300	37855	Noriko
738300	96733	Jenquai
738300	100099	Roma Atani
738300	130057	Hosakawa
738300	160645	China
738300	169893	Persia
738300	185624	Mika
738300	383414	Additional Voices
738301	136899	Kaisu
738301	156039	Telirannan Selma
738302	163011	
738302	318504	
738303	274304	Hooker
738303	297071	Pampata
738303	405036	Pampata
738304	35491	
738304	89415	
738304	151879	
738304	215195	
738304	218885	
738304	229190	Lucija
738304	261668	Marilyn
738304	272187	Eilfrede
738304	283751	Ida Palamar
738304	286642	
738305	286642	
738306	47474	Ivan's Party Guest
738307	313357	Madame Keyslowski
738307	333881	Minnie Coutts
738308	366326	
738309	382838	Lisa Morrisey #1 (1997-1999)
738310	230526	Roxanne
738311	330027	Herself
738311	381910	Herself (Series 1) (2000)
738312	360366	Herself
738313	59083	
738313	157438	Grace
738313	159518	Caroline
738313	220142	Hotel Clerk
738313	289603	Goody Hunter
738313	307351	Judith
738313	310639	Hotel Clerk
738313	330580	Gridlocked Woman
738314	37857	Sgt. Sheelagh Murphy
738314	360366	Herself
738314	382052	Sgt./PC Sheelagh Murphy (2003
738314	382838	Diane Murray (2000-2002)
738315	42311	Whitey
738316	68156	Beulah
738317	279200	Dancer
738318	272761	Janelle Cooper
738318	360366	Herself
738318	383747	Herself (Series 1) (2002)
738318	395782	
738318	408075	Presenter (2001-2002)
738319	29074	Emily Baldwin
738319	46449	Lt. Janis King
738319	99584	Woman Reporter
738319	114862	Geraldine 'Jerry' Briggs
738319	125922	Mrs. Gertie Dugan
738319	264502	Mrs. Francie White Clark
738319	305756	Roberta 'Rob' Woodstock
738319	306126	Sandy
738320	155013	Party attendee
738321	21449	Sylvia Parker
738321	116497	Francine La Rue
738321	147512	Julia Seton
738321	162208	Lillian, a Model
738321	170147	Mrs. Corrigan
738321	203133	Rena Allen
738321	218712	Cynthia Harmon
738321	241422	Muriel Vance
738321	244865	Undetermined Role
738321	281058	2nd Mealticket Lady
738321	335868	Diana Borden
738322	364167	
738323	194043	Herself
738324	158358	Girl with Baby
738325	3027	Herself (Memorial Tribute)
738325	3080	Charlotte Reynolds
738325	4543	Major Ross
738325	10598	Miss Birdie
738325	11554	Jessie
738325	19291	Henrietta Bruce
738325	24774	Florence Shelby
738325	26062	Hannah Marie Didrikson
738325	35232	Lavinia Leventhal
738325	37113	Bertha Duncan
738325	58724	Mrs. Ewing Perryman (Cravatte
738325	67580	Mrs. Peck
738325	67612	Kate O'Connell
738325	81896	Mrs. Austen
738325	83971	Mrs. Larkin
738325	86224	Ma Webb
738325	105289	Miss Adelaide Dabney
738325	118505	Widow Tweed
738325	127202	Mrs. Ramsay
738325	130346	Emma
738325	131093	Mrs. Bartholomew
738325	133665	Ma Demara
738325	136020	Cora Melavan
738325	137630	Nante
738325	138376	Martha
738325	138886	Felice
738325	145166	Mrs. Briscoe
738325	149804	Ellen Booker
738325	153266	Rose MacIntosh
738325	177058	Foster Mother
738325	186273	Margaret O'Malley
738325	186415	Mrs. Dingo Brion
738325	194139	Alice Longstreet
738325	198870	Lady Macbeth
738325	203573	Nora Ericson
738325	204358	Mrs. Winconis
738325	223730	Aunt Sarah
738325	224710	Erm White
738325	230587	Essie Cargo
738325	233934	Mona Frene
738325	251748	Peege
738325	266574	Norma Bates
738325	270267	
738325	275361	Mrs. Fleming
738325	276195	Ellie Mae, Swamp Mouse
738325	285139	Ma Higgins
738325	289228	Mrs. Downey
738325	292508	Harriet Purcell
738325	304349	Gertie
738325	316644	Mrs. Chandler
738325	318605	Miss Wingate
738325	339513	Mrs. L.A. Peterson
738325	340757	Mrs. Spellacy
738325	342495	Amy Clinton
738325	343104	Mrs. Mary McCandless
738325	365290	Ma (Janet) Bascomb
738325	365525	Gertrude
738325	366081	
738325	368245	Mrs. Hart
738325	380997	Granny McWhirter
738325	386442	Sally Fergus (1974)
738325	389684	Erm White
738325	392075	Annette Deveraux
738325	403343	Regular
738325	410251	Holly Grainger (1967-1970)
738326	69232	Juror
738326	253924	
738327	46367	Anthem Singer
738328	151055	Seka
738329	15215	Helen Gibbs
738329	83917	Alice Rutherford
738329	157008	Mary Seldon
738329	162404	Katie
738329	164663	Dr. Galens
738329	190928	Mary Kay Beull
738329	234034	Tina Parner Bradley
738329	273342	Herself
738329	314232	Ethel Tucker
738329	321651	Larry's Mother
738329	382809	Lt. (j.g.) Anne Morgan
738329	393301	Cousin Liz
738329	402245	Wendy and Jane
738329	402245	Wendy/Jane
738329	402971	Kate McCoy (1957-1962)
738329	407897	Myrtle Heger
738330	51794	Esther
738330	80693	Siobham
738330	266671	Mrs. Vickers
738330	290421	
738330	312342	Maria
738330	324234	Bianca
738330	386008	Inger Petri
738330	391070	Sister Theophilus
738330	401828	Sister Theophilus
738331	360366	Herself
738331	393298	Herself
738332	51855	Lady
738332	239740	
738332	284261	
738332	368928	Mourner
738333	389237	Monique Francoeur
738334	244913	Extra in Denker's Beer Garden
738335	71742	School Girl
738336	32217	Caroline
738336	34646	Dink
738336	34663	Whore
738336	37694	Margarita
738336	53273	Little Assistance
738336	55682	Popsy
738336	55693	Miss Jones
738336	55700	Miss Dawn Brakes
738336	55701	Buxom Lass
738336	55707	Mrs. Tucker
738336	73705	Girlfriend
738336	90378	Spink's Nurse
738336	100679	
738336	111457	Norah
738336	130953	Dink
738336	133816	Susie Naphill
738336	139052	Grandfather's girl at casino
738336	163405	Vicki
738336	208087	Girl at inn
738336	233960	Barbara
738336	252848	
738336	265740	Mail-Order Film Girl
738336	283326	Secretary
738336	288720	Julie
738336	304259	Waitress
738336	329557	Various characters
738336	335762	Johnson
738336	340118	June
738336	382938	Inga (1972)
738336	385299	Denise Paget (1983)
738336	389203	Fox, Sheila
738336	399304	Tripp, Mercedes Ricarda (1965
738336	402551	Various Characters (1975)
738337	94290	Herself
738338	4785	
738338	37308	Fay Turner
738338	59763	Anne-Marie Whitley
738338	83620	Lady Diana Stonehill
738338	88833	Belle
738338	99145	
738338	101035	Florence Vinton
738338	111764	
738338	112741	Mlle. Adoree
738338	117569	Sylvia Omney
738338	131531	Julia Harrington
738338	213217	Miss Willing
738338	225189	
738338	245510	Connie Madden
738338	247944	
738338	297378	Cassie Cook
738338	301852	Sybil Morrissey
738338	309252	Molly Roland
738338	322562	
738338	335972	Bit Role
738338	343460	
738338	345666	
738338	346338	Sally Blake
738338	361664	Maizie
738338	369432	Vivyan Parker
738338	372520	Helen Herbert
738339	210754	Maura
738340	293771	Rollergirl
738341	305791	Herself (interviewee)
738342	150657	
738343	55407	Narrator
738344	23973	Gretchen
738345	390338	Herself
738346	23463	Lady at supermarket
738347	223787	Mother with Baby
738347	295299	
738347	296979	Waitress
738347	326778	Maria
738348	38358	Woman
738349	299287	Maureen
738349	316485	
738350	362426	Party Guest
738351	81884	Hydra Pilot
738352	219901	
738353	323841	Gimli Maiden
738354	7913	Evelyn
738354	206021	
738354	331600	
738355	34654	Jo Ella
738355	87341	
738355	99884	Frieda
738355	174584	Frizzy
738355	188642	Sally (The Forresters Episode
738355	288472	Kris
738357	31691	Rhonda
738357	114626	Girl
738357	222931	Animal
738357	295602	Vickie
738357	318694	Diana
738357	359338	Kate
738358	1796	Cyborg
738359	52628	
738359	82964	
738359	83551	
738359	100374	
738359	101900	
738360	112758	
738361	71192	
738362	204951	
738362	276053	
738363	5751	
738363	64696	The Nélida's Mother
738363	96380	
738363	238150	
738363	250693	
738363	280874	
738363	334650	
738363	405816	Empleada
738364	167135	
738365	101838	
738365	212508	
738366	322983	Politician
738367	222784	Basement Girl #7
738368	354761	
738369	42137	Anna
738369	58020	Eloise
738369	75788	Juliet
738369	81544	Smitty Turner
738369	142753	Hadley Hemingway
738369	149937	Sarah Tabet
738369	206595	Norma Collier
738369	210866	Julie Foley
738369	214744	Clare
738369	218722	Alice
738369	252912	Amber
738369	283015	Cristyne Lategano
738369	285289	Wrae
738369	300089	Sarah Tabbott
738369	364203	GBI Assistant
738369	366448	Iona
738369	372082	
738369	372261	Studio Exec
738369	399153	Miss Bailey
738369	406712	Rachel Hunter
738370	367838	Baby Dora
738371	381549	Abbie
738371	381871	Abbie
738372	356325	Angela
738373	286702	
738374	296079	Ecoliere
738375	356733	
738376	34493	Agnes Vergerus
738376	150940	
738376	150941	
738376	150943	
738377	70641	Mari Carmen
738377	74803	Debbie Saunders
738377	328735	
738377	381720	Basurto
738377	390300	
738377	391417	Kauris
738377	401917	Andrea
738378	23780	Phyllis Maxwell
738379	69935	Lena
738379	108895	
738379	377674	
738380	9113	
738380	31499	Neely Capshaw
738380	31502	Neely Capshaw
738380	116040	Sondra
738380	122636	Herself
738380	215687	Herself (judge)
738380	221417	Presenter
738380	221458	Herself - Hostess
738380	346280	Marylin
738380	381442	Neely Capshaw Bucannon (1995-
738380	390545	Herself
738380	402113	Model (1994-1995)
738380	405095	Sheena
738380	407947	Herself - Host
738381	31160	
738381	255813	
738381	400804	Nicole
738382	55018	Michelle
738382	108116	Estelle
738382	140972	
738382	202701	
738382	219992	
738382	255026	Madeleine Tremblay
738382	260957	Helene
738382	269041	Françoise
738382	307249	
738382	328414	Dominique
738382	353955	
738382	380836	Anne
738382	385503	Barbara
738382	387118	Auréa Cloutier
738382	390486	Soeur Marie Lamontagne
738382	396868	Marie-Didace Beauchemin
738382	406031	Camille Rousseau
738382	407068	Marie-Didace Beauchemin
738382	409677	Dr. Denise Lussier
738382	410252	Marie Lalonde
738384	133024	
738385	347686	Sammi
738386	11322	
738387	177254	Anna Leonowens
738388	2677	
738388	107930	Patty
738388	265243	Cynthia
738389	347686	Alice Fhelleps
738390	107054	Publisher
738391	308609	Waitress #1
738392	93502	Mariechen Balts
738393	398048	Herself (3rd Executed)
738394	261116	Dancer
738394	406790	
738395	18332	
738396	241767	Mrs. Rogers
738397	85543	La mère supérieure
738397	111959	Leonore/Fidelio
738397	120863	Armande Pellegrin
738397	134127	Madame Corbet
738397	171346	Elsa Lundenstein
738397	201104	Olga
738397	217886	Maria Martelli
738397	220273	Countess de Toulouse-Lautrec
738397	255659	Simone
738397	261609	Clotilde duveyrier
738397	264311	Julie Sarrazin
738397	300695	Anne d'Autriche
738397	300735	Mme. de Soisson
738397	337447	
738397	346457	Mme Nantilly
738397	353853	Aline
738397	384287	Laura
738397	404153	
738398	18340	Aunt Josefína
738398	20538	Marie Spacková
738398	29785	Rézinka
738398	30259	
738398	30836	
738398	51262	
738398	58258	Kulík's mother
738398	58265	
738398	63359	
738398	74469	Hedvika, grandmother
738398	75993	Kutilová
738398	84756	
738398	88745	Marie Novotná
738398	88746	Servant with dog/Russian land
738398	105966	Holovská
738398	155648	Housewife Amalka
738398	166420	
738398	181355	
738398	189493	Servant
738398	198374	
738398	204906	
738398	206950	Horacka, Francek´s mother
738398	247934	
738398	247949	
738398	258578	Slepicková
738398	262189	Betyna
738398	265017	
738398	266023	Hladíková
738398	266218	
738398	268228	Hadrbolcová
738398	268298	Jozífkova matka
738398	277209	Prayer
738398	282764	Gradmother Hasková
738398	282767	
738398	320638	Janitor
738398	320731	Kucera's wife
738398	339319	Hájkova matka
738398	341631	Mrs. Málková
738398	344347	
738398	344974	Urbanová
738398	357687	Mrácková
738398	373402	Sezimová
738398	373414	
738398	373487	Hukalova zena
738398	374490	Tekla
738398	374534	Pretender
738399	135000	Herself (Due West/South Carol
738400	51377	Featured Victim
738401	25960	Moeder van Karel
738402	117903	Sekretær
738402	120273	Dunja
738402	237291	
738402	303747	Employer
738402	311175	
738402	322680	Ekspedient i slagterforretnin
738402	343519	
738402	398855	
738402	398967	Farmor
738402	403380	Charlady
738403	252000	Skoleelev/Classmate
738404	404435	
738405	2667	
738405	98242	Barmaid
738405	317131	Marita Stefan
738405	386406	Elfie Dickes
738406	141664	
738407	346405	Andrea
738408	319050	Clarie
738409	210069	
738410	309172	Admiral Rion
738410	399405	Kotomi Hiyama
738411	321657	Jezebel
738412	180053	Ayumi
738413	287210	LAPD officer
738413	310103	
738414	69391	Asian Folksinger #2
738414	277616	Onery Hostess
738415	76899	
738416	2131	Mounhera
738417	163965	
738417	163966	
738417	306911	
738417	361350	
738418	95870	
738418	100558	
738418	107271	
738418	375285	
738418	380417	
738419	30988	Mayumi Tendou - Girls #14
738420	318370	Daisy
738421	318370	Rose
738422	318370	Violet
738423	391367	Shimada Sensei
738424	334910	Woman at phone booth
738425	60750	
738425	61461	Kelly
738425	130539	
738425	130540	
738425	135988	Kasumi
738425	161173	
738425	181897	
738425	236246	
738426	405036	Mahlana
738427	9276	Ofuku
738427	12955	Wife
738427	18677	
738427	137384	Matoyo
738427	149540	
738427	174326	Kinuyo Osawa
738427	174327	Kinuyo Osawa
738427	174328	Kinuyo Osawa
738427	174329	Kinuyo Osawa
738427	174330	Kinuyo Osawa
738427	174331	Kinuyo Osawa
738427	174332	Kinuyo Osawa
738427	174333	Kinuyo Osawa
738427	174334	Kinuyo Osawa
738427	174335	Kinuyo Osawa
738427	174336	Kinuyo Osawa
738427	174337	Kinuyo Osawa
738427	174338	Kinuyo Osawa
738427	174339	Kinuyo Osawa
738427	174340	Kinuyo Osawa
738427	174341	Kinuyo Osawa
738427	174342	Kinuyo Osawa
738427	174343	Kinuyo Osawa
738427	174344	Kinuyo Osawa
738427	174345	Kinuyo Osawa
738427	174346	Kinuyo Osawa
738427	176591	
738427	207668	Oharu
738427	208015	Kinuyo Sakaeda
738427	222455	Woman at Inn
738427	229788	
738427	243355	Haru
738427	299525	Inoue
738427	359040	The undertaker's wife
738427	370411	Tsuneko Yamada
738427	372034	
738427	394192	Kinuyo Osawa
738428	325205	
738430	255872	Model
738431	32114	Princeton student
738432	208089	Announcer
738433	97629	
738433	138101	Mitsu
738433	372017	Oharu
738434	325205	
738435	91092	Shizuka Minamoto
738435	396482	Michi 'Mittchi' Shimura #2 (1
738435	397969	Maya
738435	404390	Wakame Isono (#2)
738435	404872	Kona
738436	196537	
738437	32149	
738438	299094	Teacher of hair make up
738439	30937	Kim
738439	252935	Amy
738440	168084	
738440	173217	Angel
738440	402879	Kumiko Nishijima
738441	44429	Ondine Luello
738441	152579	FBI boss
738441	188665	Thandi
738441	243623	Doctor Olin
738441	273566	Doctor Matseke
738441	381567	Supt. Williams
738441	389868	Ntsiki Lukhele (1996-2001)
738442	20649	
738442	44182	Woman Hitch-Hiker
738442	112219	Mehrbanou
738442	175865	
738442	287088	Mother
738442	370626	
738442	374497	Mitra
738443	177754	Keiko
738443	394521	Keiko
738443	402942	Touko Shigno
738444	114237	Jen
738444	122647	Jen
738444	348614	Amii
738445	174336	Tomi
738445	174341	Tomi
738445	174342	Tomi
738445	174343	Tomi
738445	174344	Tomi
738445	208015	Tomi
738445	287161	Kiyo
738446	129868	Housewife (Mrs. Young Mother)
738447	129868	Office Lady
738447	296510	Geisha Ayame
738448	2037	Lana
738448	8767	Migusa Yamaoka
738448	172462	Kaoru Yoshikawa
738448	174339	Eri Itonaga
738448	257455	Akemi Yamaguchi
738448	292132	(Episode 3)
738448	334442	
738449	223084	Becky Lamb
738450	318346	Interview Girl
738451	14728	
738451	47154	
738451	112755	
738451	248759	
738451	266003	
738451	328760	
738451	341474	
738452	259863	Chic 2
738453	379841	
738454	315302	Anne's Friend #2
738455	258314	
738456	24082	Singer
738456	361122	Singer
738457	170225	Herself
738458	113138	
738459	321284	Costumer Ungaro
738460	122362	Anna
738461	65781	L'adolescente
738461	353945	La Conseillère 1
738462	282856	Herself
738463	280621	Diana
738463	309546	Coed #1
738463	368814	Serena the prostitute
738465	163729	Les comédiens-mimes
738465	399082	Fliquette Commissariat
738466	2597	Ruth
738466	13949	Yoshiko
738466	61896	Newscaster
738466	66356	Reporter #2
738466	74932	Lady Reporter
738466	88174	Donna
738466	95842	Betty Fon
738466	109722	Nurse
738466	113728	Tutor
738466	218371	TV Newscaster
738466	231037	Female Newscaster
738466	232471	Mori the Newswoman (segment "
738466	316767	TV Anchorwoman
738466	339573	Maggie Wong-Hernandez
738466	364189	Kathy
738467	55482	Reflexologist
738468	19307	Silvia
738469	323133	
738470	8895	Rui
738471	235407	Herself
738472	281371	
738473	10241	Prostitute in Cauldron
738475	62943	Doris
738476	409578	Judy Pimms
738477	382838	Kirsty Gordon (2002-2003)
738478	115924	
738479	407194	Presenter
738480	41464	Jenny
738481	254917	Bogey's secretary
738482	254755	
738483	27085	Karen
738484	155928	The Girl
738484	202152	Nina Vassileva
738484	237465	Coffee trainee/Mavis (girl at
738484	238991	Mill Girl
738484	383582	Barberina
738485	39852	Minion
738486	264723	Lisa
738487	137571	Janine Turnbull
738487	154087	Miss. Trueman
738487	312391	Nursing Sister
738487	402197	Wendy Scott (1979-1982)
738488	264991	TV Reporter
738489	107902	Linda
738490	117162	Merry Sparks
738490	290906	Young Angie
738491	120121	Paula
738491	185853	Letterman's girlfriend
738491	232463	Gale Myers
738491	411672	Trudy
738492	255527	Herself
738492	270041	Paola
738492	318358	Angela
738492	406144	Katrina Muggleton
738493	105921	Enforcer
738494	361695	Self
738494	383911	Herself/panelist
738495	20253	Betty
738495	111442	Girl on Bus
738495	144804	Party Guest
738495	236047	Sally
738496	196706	Punk Girl
738497	26528	
738498	72012	Rita
738499	158913	Lauri Talbott
738500	98783	
738500	114145	President's Secretary
738500	328703	Narrator
738501	64734	Nurse Pat
738501	117787	
738501	141435	Grace Deerfield
738501	179042	Herself
738501	294844	Betty
738501	303836	Sadie
738501	308563	Mrs. O'Brien
738501	379716	Ellen Tucker Shepherd Chandle
738501	394676	Claudia Sumner Whittaker (199
738501	406952	Bette Katzenkazrahi Duke Lank
738502	298119	Melena
738503	99330	Fairy No. 1
738503	200052	Bernadette
738503	231038	Girl
738504	2138	Miss Frisbee
738505	403805	Vanessa Cummings (1997)
738506	4117	
738506	42224	Tyson
738507	218868	
738507	222052	Chand
738507	250481	
738507	346670	Yasmine
738507	375198	
738508	325196	
738509	3831	Herself
738509	42643	Herself
738509	104106	Herself - Tiktak guitar & voc
738510	252927	Student
738511	241244	Tammy
738512	66920	
738512	362322	
738513	45203	Moeder
738514	279483	Joanie Ramone
738515	383470	
738516	256315	
738517	386700	Ro
738518	105487	
738519	35068	Trui Bles/De Weduwe
738520	401810	Tinus de Toeter
738521	314678	Tess
738522	5064	Cambodian irregular
738522	130740	Security Man #1
738523	95441	Herself
738523	270285	
738524	10540	
738524	156213	
738524	229063	
738524	301426	
738525	1525	
738525	2165	
738525	90526	
738525	146419	Zina
738525	148091	
738525	212390	
738525	255161	
738525	255190	
738525	319149	Student
738527	219458	Danseuse
738527	288129	Danseuse
738528	264745	
738529	252107	
738530	27381	Diba
738530	110991	Maya
738530	320363	
738531	172447	Khairi
738531	293943	
738532	118939	
738533	181166	Jenny
738535	261571	Victoria Benedictsson
738535	304411	Karin
738536	44519	Else
738536	119420	Mamma
738536	153717	
738536	275108	Bankkassörska
738536	315000	Ann
738536	380343	Sanna Ljung (1996)
738536	393873	Mamma (The Mother)
738536	397784	Percy's mother
738536	401128	Frida
738536	405848	Louise Eriksson
738537	35054	
738538	32375	Eva Örnberg
738538	39602	Policewoman
738538	62451	
738538	122470	Journalist
738538	131138	Jansson (episodes 2, 3, 4, 5)
738538	134707	Nurse
738538	139644	Eva
738538	169061	Kajsa
738538	182531	Anchorwoman
738538	259365	Sigbrit Mård
738538	319088	resebyråkvinnan
738538	322307	
738538	339490	Counsellor
738538	351889	Receptionist vid Perfecturum
738538	381602	Liv
738538	388646	Bredbergs hustru
738538	396250	Housekeeper
738538	403084	Camilla Ahlgren (1998)
738539	115391	Vera, Ellen's friend
738539	154203	Girl at the costume departmen
738539	237260	Guest at the party
738540	314390	Clary
738541	121010	Julie as a child
738541	174432	Rosalinda Larsson
738542	137734	Britta
738542	210310	Britt, musician
738543	54355	Elena
738543	96519	Ines Ruffo Saltini
738543	119068	Vannella
738543	119183	Ein Hüter der Schwelle de Tem
738543	242607	Lady Macbeth (soprano)
738543	324202	Asteria, Tochter Bajazet
738544	35578	Frantiska
738544	319006	Daniel's mother
738544	330527	Actress at Josefstadt Theater
738545	253	
738545	214356	
738545	311877	Vrouw vestiaire
738545	338031	
738546	111117	Mme. Buisson
738547	6347	Grandmother
738547	19468	Adelaide
738547	28589	Dra. Odete Lencastre
738547	58460	Colonist's daughter
738547	277577	
738547	390489	
738547	393345	
738547	395379	
738547	402638	Aurora Cabral Nogueira
738547	403766	
738547	409026	Sílvia Cunha Castelo Branco
738547	410105	Mimi
738548	280239	
738548	380120	Márcia
738548	390054	Ana
738548	404283	
738549	382838	Alice Farnham (1995-1996)
738550	8234	Mom
738551	78268	Herself
738551	165136	Bestemor
738552	12661	
738552	377114	
738553	33373	Margaret
738553	40547	Becca
738553	204049	Kate
738553	289526	Samantha Cheek
738553	323565	Tammy
738554	391720	Lægesekretær
738555	177644	
738555	213073	Rebecca
738556	93197	Sara
738556	349918	Jody
738557	336900	Lynn
738558	89320	Bowlapurina
738559	139587	Herself (interviewee)
738560	445	Gerda
738560	136179	Karin
738560	214690	Nenna
738560	259159	Katarina Risell
738560	377433	Monica Andersson
738561	259868	
738562	248191	Anna
738563	222130	
738564	117051	
738564	360624	Kitty Trent
738565	333564	The Hippo
738565	392567	Ika/Various
738565	392568	Ika
738565	404039	Carola Häggkvist
738565	408484	Findus
738566	182576	Sjuksyster
738567	44253	Mary Patterson
738568	92914	Gästens dam
738569	153763	Sophie
738570	191576	Policewoman
738570	228388	
738571	234953	
738572	32920	Rachel Bishop, Herself
738572	270440	Rachel Bishop
738572	375700	Waitress
738573	284388	Anne Mette
738574	46630	
738575	406961	Herself (Team Sembilang, 1st 
738576	273004	Elsa, Raymond's Mother
738577	286085	Ung kvinne
738578	98094	
738578	153739	Rouva Tuura
738578	168790	Rouva Tuura
738578	169542	Wife of cardiac patient
738578	181742	
738578	182570	Momma
738578	195094	Rouva Tuura
738578	197363	
738578	209085	Villager
738578	214201	
738578	214845	Herself
738578	255765	Jäpälän vaimo
738578	268322	
738578	271606	Pärre's wife, "Äitee"
738578	272246	Harem Girl
738578	272834	Rouva Tuura
738578	283232	Student
738578	283591	Freya's mother
738578	305242	Rosa
738578	336584	
738578	341786	Alcoholic
738578	341808	Rouva Tuura
738578	343399	
738578	349137	Rouva Tuura
738578	349138	Rouva Tuura
738578	349139	Rva Tuura
738578	349140	Rouva Tuura
738578	349141	rouva Tuura
738578	349142	Rouva Tuura
738578	349143	Rouva Tuura
738578	349144	Rouva Tuura
738578	349145	Rouva Tuura
738578	349146	Rouva Tuura
738578	349147	Rouva Tuura
738578	349148	Rouva Tuura
738578	390996	
738578	392596	
738578	399515	Rosa Behlström
738578	400848	Various
738578	409729	Rouva Tuura
738579	403771	Bartender
738580	270952	Magda
738581	270952	Sofia
738582	173383	Nadja
738583	79830	Gidget
738584	309534	Pete's Girlfriend
738585	392072	Benedicte Brubakk (2000-)
738586	50273	Signe, enkens datter
738586	108538	Moren
738586	120022	
738586	153100	
738586	178434	En madam
738586	266555	Fru Korsmo
738586	293841	Annen kontordame
738586	304182	Tante Mette
738586	317650	
738586	322471	
738586	340429	Ingebjørg
738587	392524	Third place (2004)
738588	21064	
738588	63662	
738588	225646	
738588	314309	Putzi
738588	343663	
738588	404183	Elsa von Cerny
738589	124896	Frau Hoffmann
738589	153903	Marios Mutter
738590	252242	Bank Customer
738591	26971	Party Animal
738592	115653	
738592	160253	Trixi
738592	202002	Sekretaerin
738593	90009	Tebaldo
738594	87414	Lost Lady
738594	194836	Charlie
738595	40034	Christine Sherwin
738595	56146	Della Dainton
738595	155593	Mrs. Margaret Marchmont
738595	155721	Cora Pearl
738595	161037	Susan Wilding
738595	214551	Barbara Edge
738595	231805	Jackie
738595	240888	
738595	275370	Gloria Pennie
738595	285793	Blanche
738595	370531	Herself
738596	5659	
738597	29701	
738597	40364	Kunigunde, die Deutsche
738597	310974	The English Woman
738598	409613	Tochter Claudia
738599	6517	
738600	198435	
738601	18894	
738601	20378	
738601	91456	Martine
738601	101511	Soeur Aline
738601	268445	Fabienne d'Avière
738601	336979	
738601	377729	Lucie
738601	410376	
738602	174079	Eva Berglund
738604	477	
738605	16017	
738605	67737	Mrs. Fleming
738605	84234	Coralie De Gar
738605	214483	Mrs. Arthur Stidulph
738605	355226	Mrs. Teake Sr
738606	86071	
738607	213293	Woman
738608	227103	Mother 1903
738609	225690	Gunn
738610	174120	Bitten
738611	216771	Waitress
738611	233840	Glam Girl
738611	347902	Drunk Hotel Guest
738612	115423	Worker at the union meeting
738613	18334	Recycling lady
738613	268345	Teacher
738615	252923	Herself
738616	393869	Sibbe
738617	92899	La bobby-soxer
738617	132984	Livina
738617	306154	Sarah
738617	343566	
738617	345154	Véronique
738617	345188	Françoise Lachaunaye
738617	401816	
738618	218898	Logerende
738618	277276	
738618	322680	Frk. With
738619	278443	Nurse #1
738620	95273	Anne-Marie Ehinger
738620	99819	Woman in park
738620	100549	Guest
738620	125894	Daisy
738620	170838	Nurse
738620	171991	Lill-Stina, Greggy's cousin
738620	182464	Dancer
738620	184585	Karin
738620	192928	Schoolgirl
738620	198265	Gertrud
738620	275590	Astrid Holm
738620	303662	Sonja Brink
738620	312696	Gunilla Dacke
738620	349902	Guest at Jensen's party
738622	350927	Annie Håkansson
738623	314678	Sara
738624	12840	
738624	178582	Eine Galeristin
738624	235002	
738624	365026	
738625	284389	
738626	10205	Mérédith
738626	96056	L'amie du peintre
738626	245953	
738626	249181	
738626	410359	Catherina
738627	41180	Allison
738628	185937	Suzanne
738630	59717	Löwensköld daughter
738631	109139	Wedding guest
738633	243479	Skeleton Dance
738634	116456	Marit
738634	140393	Solveig Moen
738634	148820	Ingrid
738634	182278	Nurse Aina
738634	276336	Pyret
738634	320618	Margareta
738634	342298	Jörel
738635	259365	Hostess
738635	322943	Vera Lundberg
738635	406775	Biologilärarinnan
738636	90075	Donna Elvira
738636	116134	Inga Hagen
738636	207212	Otto, a page boy
738636	265930	Ceres
738636	328861	
738636	340264	Queen of the Night
738637	48367	Maid
738637	137975	Salvation army soldier
738638	44292	Annina
738638	130717	Handmaiden
738638	403604	Cotanda (in episode "Rocky's 
738639	375223	Award Giver
738640	10211	Margit Karlsson
738641	59717	Löwensköld daughter
738642	129829	Ponti Assassination Bystander
738643	10844	Felicia
738643	16019	Janine
738643	33376	Helen Burnsides
738643	57804	Party Girl
738643	131347	Market Cashier
738643	212982	Party Girl
738643	232128	Missy
738644	58345	Siiri Pöllänen
738644	142642	Laura
738644	171591	Anne
738644	242255	Vilkku
738645	59717	Löwensköld daughter
738646	405617	Madeleine (Maddo) Lindelius
738647	96110	Marie-Charlotte
738648	133787	Lady Garnett's maid
738649	320594	Trilby
738650	11712	Anna
738650	11713	
738650	29571	Anna
738650	94251	Janne's Girl
738650	170710	Gittan
738650	211233	Mellangårds-Maja
738650	245228	
738650	294545	Greger´s Mother
738650	303207	Anita
738650	379764	Mellangårds-Maja
738650	393873	Pepparkaksgumman (The Gingerb
738651	269071	Pregnant Girl in Crowd
738652	367866	Herself
738653	232986	Mrs X
738654	184890	Karin Persson
738654	378256	The bride
738654	396255	
738655	156495	
738656	259173	
738657	52668	Model
738657	121819	French girl
738658	149322	Book's Girlfriend
738658	169908	Teri
738658	199976	Millie
738659	197676	Native Girl
738660	339480	Alison
738661	320617	
738662	207212	Amelia Holberg
738663	122472	
738664	109119	Anna Malmberg
738664	278443	The Angel
738665	6212	Salvation Sister Betty
738665	24171	Carina
738665	55250	Carmilla
738665	101395	Glenda Winther
738665	104414	Henriette
738665	179707	Elina
738665	182309	King Valemon's Mother
738665	182816	Anja, Ljubov's daughter
738665	245804	Gerda
738665	267579	Emelie Liljenstjerna
738665	303675	Helen
738665	304213	
738665	313639	M:lle Y
738665	354413	Zara
738665	382321	Eivor Lundberg
738665	399878	
738665	410281	fru Pettersson
738666	142351	Leslie's Mother
738667	214196	
738667	231273	Sykepleiersken
738667	253940	
738667	337183	Kjerstin
738668	337183	Lotta
738669	44519	Line
738669	76301	
738669	92012	Fru Ahrman
738669	104886	Damen med hund
738669	116986	Ane
738669	121027	3. Gamalfrøken
738669	153287	Uteligger
738669	184592	
738669	184922	Fru Lund
738669	219444	Elling's mother
738669	228708	
738669	231273	Stenografen
738669	284389	
738669	317646	Tine
738669	340429	Gunvor Smikkstugun
738669	366768	Norwegian Witch
738669	388554	Besta
738669	389138	Madam Kruse
738669	397312	Tale
738670	32512	Tone, fransklærerinne
738670	348962	
738671	130925	Sarren-Gerrel #2
738672	359867	
738673	343471	School girl
738674	130069	The teacher
738674	237056	Judit Olausson
738674	293314	Girl at the dance
738674	304411	Supt. Agneta
738674	304412	Emma
738675	197808	Lena
738676	27408	Tyttö huoltoasemalla
738677	412210	Herself/Host (1997-2000)
738678	190821	Sonja, office clerk
738678	266063	Eva Larsson
738679	140411	Lille-Hillka
738680	398195	Hedvig
738680	402881	Ida
738680	403367	Mother Sigga
738681	11699	Anne Deever
738681	17587	Ester
738681	23107	Greta
738681	29014	Alma Jonsson the servant girl
738681	34269	Lilly Walldén
738681	144002	Lena
738681	146924	Charlott
738681	228389	
738681	303951	Anne
738681	332206	Suzanne
738682	287377	Datter av Greta
738683	329031	Herself (member, Corral Cutie
738684	87566	Misaei/Rita
738685	332598	Niña
738686	14793	
738686	19942	
738686	21072	
738686	103846	
738686	236036	Maru
738686	246396	Marta
738686	301117	(segment "Gloria")
738686	324279	
738686	325179	
738686	335517	
738686	343448	
738686	380114	Claudia
738686	391962	
738686	400718	Margo
738687	13637	Hooker
738688	47965	Cody
738688	113315	Boy In Car
738689	86739	Sissy Montel
738689	166917	Women's Group Member
738689	169170	Reunion Coordinator
738689	273473	Helen Anne Pierce
738689	310192	Herself
738689	372513	Herself
738690	93789	Girl in Bookshop
738691	325133	Anna
738692	228388	Police Detective
738693	97089	Ann-Sofi
738693	192657	Young woman in love at midsum
738693	252188	Waitress
738693	314385	Jitterbugger
738693	338473	Maja
738693	341611	Aina
738693	357800	Model
738694	82735	Strange Fantasy Woman
738695	394894	Programleder
738696	53140	Anita, Sørens kone
738696	64646	Herself/Various roles
738696	108170	
738696	114034	Merete
738696	159909	
738696	170345	Merete
738696	182604	
738696	182619	Sonnchen
738696	203964	Eva/FBS 2
738696	234948	
738696	240096	Stewardesse
738696	240099	Sekretær
738696	240103	Værtshusgæst
738696	358846	Stewardesse
738696	382884	Hansigne Knudsen
738696	395115	Lisbet
738697	135953	Hiroko
738698	13080	
738698	284797	Lucía
738698	380107	Matilde Peñalver y Beristáin 
738698	387100	Lucero Sandoval
738698	390733	Guadalupe
738698	393801	Romina
738698	396713	Alfonsina Valdés Rivero
738698	397010	María Reinoso
738698	397016	María Isabel
738698	402219	Cristina Miranda-Velarde de D
738698	402681	Maricruz
738698	411694	Yesenia
738699	356056	
738700	383483	Mónica
738701	16897	Maria
738702	139898	Herself
738703	387572	Laura
738703	400946	Pepa 'Pepita'
738704	355958	
738705	243700	
738706	43085	
738707	326337	
738708	212467	
738709	358561	Bath Attendant
738709	401884	Herself/Escarcha Member
738710	228370	Junko
738711	376176	
738712	11781	Ellinor Berggren
738712	28512	Anna-Lisa
738712	32860	Else Fischer
738712	78509	Speaker
738712	92947	Justine Rosenkrantz
738712	116995	Speaker
738712	119461	Aino
738712	144060	Gloria Brandt
738712	174075	Lena
738712	204226	Barbera Frank
738712	219005	Kabaretsangerinde Odette Marg
738712	234943	Aino Flatø
738712	238258	
738712	303856	Ann-Kathrine
738712	304206	Lili Holme
738712	305304	May
738712	322291	Gerd
738712	322309	Maikki
738712	324626	Karine Lemberg
738712	338687	En Svensk dame
738712	342306	Karin Lundvall
738712	365016	Else Sibone
738713	11800	
738713	31040	
738713	55963	Renata
738713	57970	Lily Zilay
738713	60117	L'attrice
738713	67507	Mascia
738713	68372	
738713	69006	Eva
738713	79157	Anna
738713	86334	(segment "Non rubare")
738713	91080	
738713	127383	
738713	133111	Lauretta
738713	197453	Nicoletta
738713	198601	
738713	202697	
738713	205271	
738713	205446	Margherita Villauri/Rita/Marg
738713	208655	
738713	232774	Corallina
738713	251621	
738713	255099	Lauretta
738713	269451	
738713	281076	Anna a 40 anni & Annetta a 20
738713	301340	Lauretta
738713	301378	
738713	315423	Anna Roberti
738713	338722	
738713	348156	Adriana
738713	356224	
738713	357113	Colette Mauvoisin
738713	377600	
738714	261116	Catwalk Model
738715	273690	
738716	213843	Jana Rybárová
738716	273690	Tereza
738717	231511	Asian Woman
738718	124238	
738719	407918	Herself (1998)
738720	313866	
738721	239849	Miss Perkins
738722	119521	Tala Loreto
738722	372294	Roommate's Girlfriend
738723	95740	
738724	94341	Clerk at Swedish-America Line
738725	357801	Maja
738726	79650	The mother
738726	252005	Frida
738726	252006	Frida
738726	320611	Katrin
738727	116195	
738727	277948	Dusty Road Bartender
738728	10517	Aloyah
738728	49103	Cik Norma/Tuan Rumah (Landlad
738728	133949	Herself
738728	138922	
738728	293954	
738729	344182	Lyla
738730	402175	Judo Girl/Additional Voices
738731	57249	
738731	92915	
738731	94601	Mable La Rue
738731	105572	
738731	142428	Vivian
738731	195419	Street walker
738731	204885	
738731	213077	Mrs. Caldwell
738731	260875	Marjorie
738731	286929	
738731	346837	Lily
738731	361543	Streetwalker
738732	41657	Model
738732	206259	Alexa
738732	274427	Wedding Party in Philadelphia
738732	294527	
738733	186732	Gabby
738733	381778	Kerry
738733	402306	Margot Noteworthy (1998-1999)
738734	333120	Person of the Night
738735	242822	
738736	88769	Telephone Operator
738736	388321	Jackie Warren (2000)
738737	104925	Model #4
738738	347979	Herself
738739	313914	Fisherwoman
738740	301693	Girl at Party
738741	124506	The Gathering
738742	6605	Mrs. Conover
738742	8181	
738742	31688	La Comtesse de Warens
738742	45928	Marianna
738742	72198	Jim's Mother
738742	72499	Tornero No. 1
738742	74107	
738742	108495	Old Fadette
738742	111715	Sue Bassett
738742	118223	
738742	123368	Señora Juanita Martinez
738742	128403	Aunt Angela
738742	134120	Mrs. Tobias Greene
738742	138981	
738742	140803	
738742	141369	Mother Mathilde
738742	155837	Idylwood resident
738742	159591	
738742	159995	Mrs. Cribbley
738742	191917	Anna
738742	194441	
738742	208534	Aunt Deborah
738742	217435	Grandmother Meredith
738742	241624	Mother Kubelow
738742	249524	Grandma Baker
738742	253544	Peggy's Mother
738742	257201	
738742	263351	Their Grandmother
738742	277330	Mother Osborn
738742	278234	Aunt Millie Davis
738742	301261	Christian
738742	316887	Elder Aunt
738742	317399	Mrs. Daw
738742	327826	Undetermined role
738742	330316	
738742	340905	Grandma Albrentez
738742	345663	Marianne Marnholm
738742	348079	Old Agnes
738742	356249	Mrs. Lydiard
738742	364834	Sophronia Pennington
738743	123406	Mary O'Bryan
738744	155783	The Girl
738744	219490	
738745	125810	Mrs. Herbert Atwater
738746	389499	Millan
738746	399850	Kimmy Larsson (23 episodes 20
738747	318866	Smoking Girl
738748	71713	Cook
738748	364782	Villager on Summerisle
738749	270040	Mother
738750	245250	Isobel
738750	281100	Valia
738751	55698	3rd Reporter
738751	200261	
738752	20146	Ariadne/Primadonna
738752	165297	Herself
738752	167018	Carmen, soprano
738752	173824	Soprano (segment "Wagner")
738752	175538	Herself
738752	175540	Herself (Honoree)
738752	205452	
738752	205656	Herself
738752	234150	Herself
738752	238445	Jocasta
738752	245896	Herself
738752	321839	Soprano
738752	326278	Soprano
738752	334240	Herself
738752	340661	Cassandre
738752	350411	Lead Singer
738752	358688	Sieglinde
738753	242509	Agent #1
738754	342531	Roll Call Girl
738755	112195	Greenwich Village Girl
738755	117448	
738755	117449	Zita's Maid
738755	161468	Florence Blaisdell
738755	177405	Mary Of Bethany
738755	271896	Blanche Paglar
738755	279457	Anne Vener
738755	368780	The Bride
738756	387318	Mrs. Edison
738757	49927	Reporter
738757	85917	
738757	233510	Vanessa
738758	35	
738758	49651	
738758	183451	
738758	219628	Miss Fickles
738758	220043	Mary, the maid
738758	243230	Elizabeth's mother
738758	269300	
738758	308864	
738759	285201	Revolutionary
738760	232117	Rachel
738761	347142	Audience extra
738762	93398	Vera Bruce
738764	244933	Millie Jo
738764	315190	Nurse
738764	365288	Aunt Helen
738765	253696	
738766	260628	Clara (singing voice)
738767	55734	Susan Mitchell
738767	117110	Lily Duncan
738767	133722	Singer in Musical Masterpiece
738767	223146	
738767	246749	Abby
738767	253501	
738767	291354	Herself
738767	313695	Cameo appearance
738767	321390	Kathleen Townsend
738768	307137	Herself
738769	2437	Burden's maid
738769	5033	Camilla
738769	9128	Dorothy
738769	17998	Coralee
738769	29885	
738769	47007	Tanya's Mother
738769	49957	Kitty West
738769	93098	Jennie Daley
738769	105729	Housekeeper
738769	113278	Mrs. Johnson
738769	113416	Mrs.Pierce
738769	117655	Emma
738769	137675	Nurse Agnes
738769	146091	
738769	208193	Mrs. Stokes
738769	217958	Mattie, Phyllis' Maid
738769	220552	Gussie
738769	289228	Nurse Ferguson
738769	292820	Neddy
738769	300892	Eunice
738769	303544	Aunt Ada
738769	313323	Justice of the Peace
738769	317586	Weedy Warren
738769	320206	Georgette, Mark's Maid
738769	325151	Suma
738769	328637	Edna
738769	331048	Ruth Thornwell
738769	336032	Ann
738769	361290	Martha Crawford
738769	362192	Elvira Stitt
738769	368918	Bertha (maid)
738769	403730	Sister Scrap Scott
738770	318905	
738771	280145	Sunshine
738772	226954	Herself
738773	226939	Press Conference Panelist
738773	245264	Airline Stewardess #2
738774	252483	Reporter
738775	407138	Herself - Contestant
738776	272021	Task Force Agent
738777	403241	Herself (2003)
738778	338582	Stripper
738779	306396	Geertje Pool
738779	342889	Tessie Slocum
738780	15073	Singer
738780	25111	Clotilde du Manoir
738780	30810	
738780	57304	
738780	57517	
738780	71821	
738780	83370	
738780	83461	Sylvette de Vignolles
738780	85711	
738780	88238	
738780	90973	Helen
738780	94535	
738780	97138	Elena Blumenthal
738780	107681	
738780	113615	Florika
738780	132769	Mme Jumelin
738780	132930	
738780	149193	
738780	162023	
738780	167200	
738780	168101	
738780	199577	Virginie de Malempré
738780	202344	
738780	205705	
738780	252320	
738780	257010	
738780	268414	L'infirmière
738780	272355	
738780	275513	
738780	346514	
738780	350083	Marie
738780	352633	
738780	356370	Madame Berger, la directrice 
738780	377810	Suzanne
738781	29618	Martha Harding
738781	69511	Letty Piggott
738781	144833	Amelia
738781	230823	Mrs. Brissell
738782	375223	Drummer
738783	204141	Miss Abernathy
738783	336653	Miss Pringle
738784	274332	Dancer
738785	180039	
738785	182768	Prinzessin Natascha
738785	240610	Parent
738785	367035	
738785	375224	Beryl Stedman
738787	320109	
738788	231915	The Hookers
738789	22179	Mrs. Hansen
738789	59876	Janet Scott
738789	82922	Dr. Cussler
738789	158321	
738789	171207	Woman at Party
738789	195626	Marsha
738789	340752	Fanne
738789	349537	
738789	364232	Dee Cody
738790	363756	Chat Show Host
738791	59185	Performer
738792	53056	Alice
738793	140875	Sally
738793	178920	Officer Shawn McCormick
738793	258936	Nancy Olsen
738793	285287	Linda
738793	337088	Linda Ferillo
738793	400853	Susan Buckman Merrick
738794	74133	Linda
738795	309807	Girl In Park
738796	329914	Maya
738797	257634	Additional Cast
738798	223882	Drag Queen
738799	89646	Rose
738800	23729	Miette Rizoul
738800	53675	Florence Davis
738800	58286	Susanne
738800	71156	Caroline Grossac
738800	132883	
738800	148642	Vicky Blanchard
738800	183800	Oseille
738800	198610	Claire Andrieux
738800	215866	
738800	218331	Mlle Châtillon
738800	229495	Moune
738800	254152	Virginie Cardinal
738800	281816	
738800	322361	Paula Cherry
738800	324283	Yvonne Reverchon
738800	336296	Lorelei
738800	345098	Comtesse Paolina Ruccelli
738800	345306	Mathilde de Marsans
738800	354902	Mirette
738800	377635	
738801	27263	French Woman
738802	220187	Various roles
738803	259350	Katin Sante
738803	399850	Dr. Anita Klason (2 episodes 
738804	96162	La maître -nageuse
738805	9927	
738805	13539	
738805	18624	
738805	22811	
738805	22840	Mrs. Smith
738805	23022	
738805	26309	
738805	26869	Stephanie Trent
738805	29271	
738805	30181	Mabel
738805	30267	The Heiress
738805	31236	
738805	31926	
738805	35315	Betty
738805	35436	
738805	45259	
738805	46139	The Woman
738805	46995	
738805	47942	
738805	48048	
738805	57140	Mabel
738805	58870	
738805	59153	
738805	66815	
738805	66816	
738805	75414	
738805	79205	Martha
738805	80030	
738805	80362	
738805	80368	
738805	80522	
738805	83963	
738805	85852	Guest at Dinner Party
738805	86219	
738805	88109	The Niece
738805	88985	
738805	89084	Arabella Flynn
738805	92161	Herself
738805	94124	
738805	94788	
738805	101300	Alice
738805	104325	Mary, the Woman
738805	106233	Sue Graham
738805	107587	
738805	108324	
738805	109618	The City Girl
738805	109679	Mabel
738805	109876	
738805	109985	Mabel
738805	109986	
738805	109991	Mabel
738805	110008	
738805	110011	
738805	110013	
738805	110017	
738805	111903	Marcelle
738805	112956	Mabel
738805	115629	
738805	115726	Patricia O'Rourke
738805	116408	
738805	117071	
738805	117221	
738805	117587	
738805	121801	
738805	122012	
738805	123352	
738805	125901	Mabel
738805	126638	Ambrose's Wife
738805	129402	
738805	134532	
738805	136157	
738805	136545	
738805	138577	
738805	138887	
738805	140761	
738805	140821	The Girl
738805	140965	Tina
738805	142116	
738805	142306	Helen
738805	142606	
738805	142673	Mrs. Suburbanite
738805	142995	The Daughter
738805	143144	Mabel
738805	143312	
738805	144654	
738805	146093	Donald's Fiancee
738805	146262	Mabel, His Wife
738805	150394	Hank's Sweetheart
738805	151272	Betty
738805	151350	
738805	152180	
738805	158133	
738805	158822	
738805	159272	
738805	161032	Alice, Bob's Sweetheart
738805	161802	
738805	163704	
738805	167915	The Jinx
738805	168127	Joan
738805	171090	
738805	174502	Kate
738805	177672	
738805	191880	
738805	192321	The Little Teacher
738805	195339	
738805	195403	
738805	196040	
738805	196317	
738805	196465	
738805	198780	Herself
738805	198781	
738805	198782	
738805	198783	
738805	198784	Mabel
738805	198785	
738805	198787	Mabel
738805	198788	
738805	198789	
738805	198791	Mabel, the office girl
738805	198792	Mabel
738805	198793	Mabel, the kitchen maid
738805	198794	
738805	198795	
738805	198796	Mabel
738805	198797	Mabel
738805	198798	
738805	198799	
738805	198800	
738805	198801	Mabel
738805	198802	Mabel
738805	198803	
738805	198804	Fatty's Wife
738805	199077	
738805	201846	In Second Audience
738805	205185	Herself - From 'Tillie's Punc
738805	210935	
738805	212831	Mickey
738805	213123	
738805	215439	
738805	215742	
738805	215966	
738805	217441	Molly O'
738805	220525	
738805	220918	
738805	220948	
738805	221628	
738805	224386	Girl
738805	229118	
738805	229511	First French Family, the Wife
738805	230519	
738805	230739	
738805	231530	Paddy, the nickel hopper
738805	234586	
738805	239039	Innkeeper's Daughter
738805	239059	Gladys
738805	240525	The Bride
738805	241417	
738805	245638	
738805	250470	
738805	251645	Minnie Penelope Peck
738805	251734	
738805	252833	Mabel
738805	253770	Jigs
738805	255089	Picciola
738805	256375	Pinto
738805	265381	
738805	265429	
738805	270359	
738805	270950	Raggedy Rose
738805	274155	
738805	277130	
738805	278642	
738805	279102	
738805	282875	
738805	283222	
738805	283673	
738805	289064	
738805	289065	The Stenographer
738805	289105	
738805	291764	
738805	300024	The girl crook
738805	303145	Sis Hopkins
738805	304906	
738805	305001	Kalora
738805	310292	The Señorita
738805	310757	Mabel
738805	310769	
738805	312326	Wild Flower
738805	315088	
738805	315127	
738805	316450	
738805	317155	
738805	317773	Miss Prue, the Stenographer
738805	320417	Suzanna
738805	323766	
738805	324398	
738805	326631	
738805	327312	
738805	327391	
738805	329451	Wifey
738805	329496	Mabel
738805	329763	
738805	329819	
738805	331084	
738805	331091	
738805	331862	Wifey
738805	333076	Mabel, his Girl Friend
738805	335236	Tomboy Bessie
738805	336910	Tourist
738805	337487	The Heiress
738805	340620	Betty, His Daughter
738805	343077	
738805	348038	The Showgirl
738805	348530	Elsie MacFarland
738805	351920	Kitty O'Brien
738805	353386	
738805	356242	
738805	358289	
738805	359980	Diving Venus
738805	362246	Mayme Ladd/Rosa Alvaro
738805	362408	Jenks' Daughter
738805	362686	Mabel, Jack's Wife
738805	362731	
738805	362754	Millie Martin
738805	362757	
738805	362881	At Court
738805	363315	
738805	364581	The Wife
738805	366669	
738805	367941	
738805	376205	
738806	410252	Marilyn Potvin
738807	340593	Diana Coney
738808	44833	Dancer
738809	404925	Herself
738810	386618	Contestant
738811	269725	Renee
738811	386092	Carole Lamontagne
738812	351826	Spectatrice
738813	68343	Simone
738814	23459	
738814	68387	Esther's Friend
738815	66274	Vivian Stone
738815	145011	Ann
738815	222645	Dr. Beck
738815	281254	Irate Customer
738815	283398	Miss Shields, Reporter
738815	335591	
738815	367512	Hairdresser
738815	391558	Ann
738815	403509	Eunice Kennedy
738816	121615	Female Prison Guard
738818	267599	Samantha Jubosty
738818	298320	Brigitte
738819	13102	Mme. Levers
738819	19340	Frieda
738819	23653	
738819	24819	Mrs. Arnaud
738819	57288	Mme. Palato
738819	58325	La Lucette
738819	60493	
738819	68894	La Carconte (part 1 only)
738819	83265	
738819	88064	
738819	91266	
738819	96068	La grande Marcelle
738819	104539	Mme Grandet
738819	110023	Céline Gentilhomme
738819	111864	Mademoiselle Perdrières
738819	112803	Mme Renard
738819	112840	Marie Mazel
738819	114967	
738819	132287	Marie des Goupis
738819	133055	
738819	164140	Edith
738819	166870	Rosa Duroc
738819	171396	La Rougeole
738819	207751	
738819	212154	Isabelle
738819	229494	La gouvernante
738819	240607	Mme. Pichart
738819	243042	Nurse
738819	249356	Madame Berthe
738819	254029	
738819	268436	Inès
738819	271910	Franchita
738819	283047	Marie Leichner
738819	292356	Madame Clapain
738819	321831	Amelie Martens
738819	328410	Eléonore
738819	340670	Chiffon
738819	343568	La Fille
738819	346553	
738819	350919	Asie
738819	354524	
738819	377910	
738819	378077	
738820	177045	
738821	4958	Butch
738821	76276	Marina Oswald-1977
738821	151909	Sister Mary
738822	57981	Violeta
738822	197991	Grandmother
738823	258229	
738824	132981	
738824	334468	
738825	10503	
738826	75987	
738826	82196	Doctor
738827	345538	Dame guichet
738828	322313	Grandmother
738829	153717	
738830	107235	Herself
738831	52155	
738831	76005	
738831	83548	
738831	140560	
738831	140563	
738831	253446	
738831	276456	
738831	343722	
738832	48968	Customer in Bar
738833	30169	Georg's Wife
738833	134263	Countess af Silfverbåge
738833	142767	
738833	154360	Mrs Alm
738833	218891	Elvira Sylva
738833	350283	Roberts' Mother
738834	237598	Girl (The Clarion Call)
738834	306343	Beatrice (model)
738835	7498	Chorus Girl
738836	146884	Lacombe Children
738837	307359	Girl at Brothel
738838	333102	Tilly Trotter
738838	386599	Anoushka Flynn
738838	387247	Alice McMahon (1998)
738838	390432	Melanie
738838	392148	Vicky Squire
738838	405050	Sheila
738839	284326	Juana
738840	304443	Convertible Driver
738842	411850	Pam (1985-1986)
738843	9131	Bette
738843	31196	CBS Team Contestant
738843	97017	Darlene
738843	133442	Miss Utah
738843	134313	Linda Reinhardt
738843	139987	Nancy McCoy
738843	183775	Young Marcie
738843	208648	Cindy Jensen
738843	219526	Lydia
738843	220793	Julie Greher
738843	294142	Lisa
738843	318195	
738843	318748	Miriam
738843	380391	Margaret Allen (1998-1999)
738843	386603	Penny Davis #1 (1967)
738843	387309	Sarah Louise Capice #2 (1968-
738843	390771	Rebecca Nash (1992)
738843	404282	Laura Asher (1989-1990)
738843	408749	Gloria 'Ripples' Brancusi, R.
738844	381091	Herself (eliminated round 2)
738845	381158	Queenie
738845	393695	Mavis
738846	84924	
738846	176884	Office girl
738847	195162	Twin
738847	221304	Blonde Twin in Train WC
738849	34638	Mrs. McCarthy
738849	195162	Twin
738849	221304	Blonde Twin in Train WC
738850	96564	General Burns
738851	3919	Kacey
738852	143192	
738853	110561	Morrighan, the temptress
738853	194483	Morrighan
738854	131983	Party Kid #2
738855	144804	Laura's Friend
738856	41289	Virginia
738856	44456	Carolanne
738856	47208	Herself
738856	65200	Anna Rowe
738856	66926	Karen Marsden
738856	71567	Caroline
738856	107892	Clare
738856	149910	
738856	177008	Millennium Woman
738856	196960	Carol Goldsmith
738856	199150	Petronella
738856	247036	Hermia Redcliffe
738856	269806	Sarah
738856	294510	Priscilla
738856	380177	Narrator
738856	381685	Victoria St. John
738856	384585	Karen Marsden
738856	401725	Celestine
738856	404742	Sophie
738856	408567	Narrator: Heartbreakers
738856	411270	DI/DCI Carol Jordan
738858	204557	Younger Female Guest
738859	106077	Terry
738859	213037	Alice Mueller
738859	393086	Irene
738860	193359	
738861	409700	Herself (Third Wheel)
738862	303518	Peggy
738863	26636	Hostess
738863	26777	Mrs. Penworth
738863	84247	
738863	105971	Saleswoman
738863	114575	Kitty
738863	117098	Ava
738863	157234	Mrs. Rockwell
738863	196405	Kelly, Jerry's Secretary
738863	203917	Secretary
738863	249323	Operator
738863	255878	Miss Dickenson
738863	291851	Villager
738863	311530	Proprietress
738863	343884	Marie
738863	346352	Phyllis Gatewood
738864	406180	Host
738864	408981	Host
738864	409138	Host
738865	105898	Belly Dancer
738866	14002	Aunt Kay
738866	30140	Lydia Bailey
738866	103215	Wolf Moon Dance Soady
738866	116570	Anne
738866	126277	
738866	144536	Frank's Mother
738866	178921	
738866	194765	Dorrine
738866	210639	
738866	228479	Karen Lewis
738866	272868	Rhyia's Mother
738866	308397	Kate Bighead
738866	350464	Connie
738866	380713	Simone Bordeau (1992-1993)
738866	386970	Ugly Pretty Woman
738868	282318	Show Judge
738869	324009	Penelope
738871	305358	Cindy
738872	27247	Herself
738872	342435	Pub Landlady
738872	385020	Claire Palmer (1996-1997)
738873	55474	Pregnant Woman
738874	146884	Lacombe Children
738875	204190	Helen Moss
738875	281562	Mrs. Costello
738876	127793	
738877	360301	Baby Daisy
738878	308128	Harry's Assistant
738878	337285	Young Pepper Kane
738879	183879	Tea Lady
738880	44561	Hooker
738882	231491	Rachel "La-Shave"
738883	146884	Waitress
738883	384097	Zoe (2000)
738884	174517	Delivery Girl
738885	33984	
738886	196033	Beautiful Baby
738887	89247	
738888	11549	Lisa Simpson
738889	193359	
738890	411151	Presenter
738891	197895	Teenage Girl
738892	191747	Judy
738893	1973	FBI Agent
738894	38576	Dr. Scott
738894	278716	Nancy
738895	407815	Herself (Single) (2001)
738896	40138	Young Caroline
738897	408335	Lisen
738898	11691	Stina Norrman
738899	378165	Sonja
738900	893	Berit
738900	23415	Mrs. Björkum
738900	84268	BVC Doctor
738900	89477	The housemaid
738900	94254	Sigrid
738900	104807	Cousin Inez
738900	178478	Murva
738900	188873	Siv
738900	200450	Girl
738900	214385	Klara
738900	216981	The Sister
738900	236290	Waitress
738900	266776	TV Script Supervisor
738900	272510	
738900	272511	
738900	284553	Woman with small boat
738900	320629	Girl
738900	322294	Amanda
738900	357777	
738900	378338	Ekspeditrise
738900	405619	Viveka
738901	6132	Tonca, pokojská
738901	20538	
738901	21314	Katynka
738901	84756	
738901	90981	
738901	155648	Student Sona Urbanová
738901	262568	Bìtka
738901	265045	Anicka Nováková
738901	266130	Marta
738901	305300	Alena Skalská
738901	374534	Katka Dlouhá
738902	80692	Female Convict
738902	95792	Woman Sergeant
738902	106193	Mother (1958)
738902	113267	AA Speaker
738902	115549	Vivian Raymond
738902	161472	Joanie
738902	178906	Homesearcher
738902	192413	Mrs. Kirk
738902	215860	NASA Wife
738902	223773	Cam
738902	230442	Mrs. Crackerby
738902	247571	Donna Preston
738902	306226	Juror
738902	339596	Freda
738902	346871	Evelyn
738902	372191	Ma Murphy
738902	399741	Alberta Bloomsbury (1999)
738903	381054	Dying woman
738903	390784	Barbro
738904	303747	Rose Nymann
738905	317653	Lise
738906	94251	Ann
738906	180392	Maria
738907	33375	Sylvia
738908	161855	Kvinna i publik
738909	161855	Tjej i publik
738910	403805	Lea Donovan (1998-2000)
738911	80921	Herself
738912	7504	Helen
738912	51223	
738912	68312	Sandra
738912	202106	
738912	307569	Laurence
738912	331048	French woman
738913	43284	
738913	396201	
738913	398840	Mariana
738914	242083	Capoeira Student #5
738916	227301	
738917	228037	
738918	80693	Junkie
738918	117072	Lucy
738918	141596	Cheryl
738919	382659	Violet
738920	359532	Exotic Dancer
738921	311784	Herself
738922	348010	Herself
738923	42222	Lady Golfer
738924	87583	
738925	232020	Nora
738926	22996	Helen Mathews
738927	51787	Diane
738928	399129	Presenter
738929	29959	Jennifer Scott
738929	128962	Elaine
738929	154409	Betty
738929	290944	Daphne Blake
738929	290946	Daphne Blake
738929	290949	Daphne Blake
738929	290954	Daphne
738929	290955	Daphne Blake
738929	378727	Daphne Blake
738929	379760	Daphne Blake
738929	385824	Sandy Horton (#2) (1967-1971)
738929	387153	Daphne Blake
738929	399266	Daphne Blake
738929	399267	Daphne Blake (1984)
738929	400805	Kitty Morgan
738929	403354	Daphne Blake
738929	404516	Daphne Blake
738929	404517	Daphne Blake (1979-1980)
738929	404519	Daphne Blake (1985-1986)
738929	404520	Daphne Blake (1970-1972)
738929	404521	Daphne Blake
738929	404897	Ellie Jane (1978-1990)
738930	75580	Esther Forbes
738930	78936	Gloria
738930	87348	Bimbo Corrine
738930	191109	Host
738930	282562	Nurse
738930	308080	Jogger
738930	333376	Diane
738930	380807	Show Host
738930	382387	Herself
738930	403608	Samantha Strong
738931	340770	Julie Mugford
738932	17191	Acid Woman in White
738932	23447	Angel Grace
738932	32241	Renee
738932	37690	Samantha Vance
738932	83012	Flavia Gadoir
738932	140937	Cynthia
738932	142484	Big Rhonda
738932	153483	Carla Ferguson
738932	266600	Jackie
738932	350216	Arylai
738932	353296	Heidi Ho
738932	353365	Sarah
738933	114658	Newly-wed
738934	31672	Shower Girl
738934	128596	Sister Beans
738935	134004	Stephanie Parsons
738936	367952	Janet Sadler
738937	291468	Waitress
738938	44336	Janet
738939	20206	Wife
738939	110363	Woman
738939	128416	Dowager
738939	147391	Elderly Kiwanis Gentleman's W
738939	192747	Dowager at Party
738939	203293	Woman at Party
738939	203671	Barry's Aunt Helen
738939	209592	Bit part
738939	263966	Lady in Waiting
738939	323380	Proprietor's Wife
738939	363758	Third Lady Disapproving of Fl
738940	38899	
738940	41312	Cathy
738940	55625	Freida
738940	86021	
738940	109077	Girl
738940	119551	Amanda
738940	126130	Resident of Idyllia
738940	166637	Female Student
738940	270933	Frieda
738940	275904	Samantha
738940	292685	Penny
738940	305228	Angie
738940	313548	Elan/Aviana
738940	320938	Bonnie
738940	324899	Honey Lamb
738940	379027	Additional Voices
738940	383849	Additional Voices
738940	386388	Serena
738940	389295	Kelly
738940	389296	Kelly
738940	390793	Princess Calla/Cubbi/Mobile T
738940	393424	Video/Vivian Montgomery
738940	396988	Additional Voices
738940	397696	Oh No
738940	402171	Rowenne
738940	404354	Rhonda (segment 'Pitfall Harr
738940	405718	Slouchy Smurf (1985-1990)
738940	408020	Kelly
738940	411340	Sunny
738941	5430	Allison
738941	21447	Nancy
738941	192833	Sybil Burton
738941	278716	Laura
738941	389858	Constance Chapman (1992)
738942	174351	
738943	99969	Girl 2, Balliantyne
738944	226903	
738945	140843	Hanson Family Member #1
738946	1774	Herself
738946	13293	Lettie Norman
738946	18616	Hope Harcourt
738946	20003	Madelyn
738946	34968	Kitty Kane
738946	38240	Herself
738946	46439	Myrna
738946	59548	Jewell Everett (photographer)
738946	66604	Sally
738946	66917	Mrs. Hughes
738946	80560	
738946	84124	Rene Peron
738946	90222	Guest
738946	105689	Club member
738946	136540	Waitress
738946	147884	Herself
738946	151535	Curly Flagg
738946	157783	Lorraine
738946	165101	
738946	175807	Brandi
738946	186423	Laura Shelby (Hurd Price's wo
738946	187502	Ida
738946	189957	Katy Whitcomb
738946	192735	Jitterbug Dancer
738946	199679	Jonesy
738946	204029	Gloria Baron
738946	205339	Eadie
738946	205834	Herself
738946	205851	Gladys Baker
738946	219794	Melissa Dawson
738946	232253	Layla Burden
738946	233562	Isabelle Flagg
738946	242045	Sally
738946	243423	Mrs. Gloria Morgan
738946	245330	Buck's Wife
738946	270265	Mystery Woman
738946	273267	Carrie Todd
738946	280700	Ruby
738946	291039	Maxine Wagner
738946	296755	Gina Pulaski
738946	299775	Serepta (Books' ex-girlfriend
738946	306034	Kim Sutter
738946	320068	Sheree
738946	320209	Mrs. Beyers
738946	327093	Marie Wills
738946	329873	Gloria Oresko
738946	340481	Mrs. Murdock
738946	340547	Nita Bix
738946	350432	Beverly West
738946	360257	Hank Clifford, waitress
738946	363648	
738946	366417	Betty
738946	381433	Lynn Holtz
738946	381933	Honey Smith
738946	392462	Edie McKendrick
738946	411363	Lisa Gordon
738947	16654	Roxie
738949	4971	Vulnavia
738949	80656	Brenda
738949	193902	Champa
738949	240521	Olympe
738949	307888	Robot Number Nine
738950	247143	Amanda North
738950	375914	Cynthia Jones
738950	386825	Judy Kimball
738951	47084	Reporter
738951	222713	PC Bethal
738952	2627	Herself
738953	340593	The Kandy Kid
738954	37259	Little Pete
738954	139433	Fiona
738954	142351	Leslie
738954	230926	Video Shoot Groupie
738954	289372	Popcorn girl
738955	260229	Jessie Donahue
738956	220461	
738956	399256	Shawnte Northcutte
738957	79888	
738958	256578	Sister
738959	128604	Model ("Olivia's Closet" Segm
738960	158141	Extra
738961	192038	Ethel Griffing
738962	162578	Lady of leisure
738963	187771	Drackege felesége
738964	177525	Chorus Girl
738965	342938	Cigarette Hat Check Girl
738966	106116	Café Patron
738967	112363	Blonde
738967	170608	Boo's Girlfriend at Wedding
738967	223854	Gary Mitchell Fan
738968	208151	Maud's Mother
738969	121615	Prison Librarian
738969	361855	Herself
738970	37196	
738970	61995	Party guest
738970	86706	Segment 4 Girl
738970	102820	
738971	275600	Adele's Friend
738972	94793	Carmen
738973	141323	Runt, Schoolgirl
738974	131232	Extra
738975	131232	Extra
738976	131232	Extra
738977	17351	Maiju Miettinen
738977	166474	
738977	170246	Anja
738977	173407	Mustalaisneito
738977	174810	
738977	181631	Nina, wife of the Colonel of 
738977	213419	Leila
738977	216398	
738977	221842	
738977	236795	Inga Fridell
738977	251946	Suleima, daughter of Abu Kabu
738977	272246	Senora Carmen Manzano
738977	278621	
738977	319315	Kirre
738977	343394	
738977	343399	Marketta
738977	352895	
738978	19177	Office Personnel
738979	220252	Mouchette
738980	338647	Katja
738981	271344	Church Choir
738982	241703	Hortense
738982	289403	Nurse
738983	30071	Wman
738983	54487	Old lady
738984	72830	
738985	77638	
738985	90061	
738985	160066	Betty Woods
738985	169230	Joan
738985	170947	
738985	194451	Hetty
738985	230674	
738985	290430	Mary Truman
738985	351491	
738986	27344	Pinball Girl
738987	116227	Capt. Walter Tanner
738988	358941	Sister Frances
738989	41921	Jessica
738989	97522	The Snake Woman
738989	231079	
738989	297415	Background Artist
738990	313872	Voice Over
738991	6708	Wife
738991	71682	Faith
738991	299193	Debra King
738991	365560	Miss Brenner
738991	382239	Dorothy Snowden
738991	391229	Diana Ewerts
738991	391843	Marta Dorf
738991	396580	Bella Grout
738991	411691	Dorothy Wainwright
738992	69409	Monica Krivics
738992	77017	Molly Lechner
738992	398642	Mrs. Thompson
738993	220908	Herself
738994	271855	Dancer
738995	16803	Delia
738995	33462	
738995	77136	
738995	86759	
738995	95363	Bessie
738995	99330	Prof. Edith
738995	195551	Katie Anderson
738995	200959	La Serveuse
738995	352465	Witness Nurse #1
738995	390416	Clare
738995	399567	Joan
738995	400082	Bessy
738995	400999	Gwen
738996	291295	Lauri
738997	241061	Florabel Leigh
738998	89207	Rachel's Friends
738999	63185	Rebecca Holt
738999	238595	Mrs. Murchison
739000	117432	Mrs. Ryan
739001	170378	Girl in Hotel Lobby
739001	197943	Ship's Hostess
739001	240440	Martha (movie hairdresser)
739002	27247	Maxine Purvis
739002	82742	Erica Steele
739002	85090	Annie
739002	355189	Caroline Jarvis
739002	381121	Maxine Purvis (Series 3-4) (2
739003	3982	Johnson
739003	5574	Pompous woman
739003	14223	Nancy
739003	72915	Miss Christina
739003	218180	Nurse
739003	253773	Trixy
739003	288383	Amazonian blonde prison inmat
739003	409743	Despera
739004	93054	Marge
739004	365288	Mrs. Ellis
739005	342669	Bar patron
739006	380391	Cindy Clark Matthews (1970-19
739006	396088	Kate Swanson (1967-1969)
739006	399837	Dorothy Warner, R.N.
739006	400236	Julie Siegel (#2) (1974-1976)
739007	137195	Temp #4
739008	248133	Skeet Baby
739009	222773	Karen
739010	334408	Julie
739011	358714	Lois Norton
739012	222654	
739012	239740	
739013	96808	
739013	239746	
739014	131232	Extra
739015	150797	Chorus Girl
739015	162989	Little Mystery
739015	262322	
739015	308632	
739015	312042	Bit
739015	360837	
739016	238030	Herself
739017	351533	Elf
739018	47277	Arobicette
739019	361025	Nurse
739020	95475	Saarke Haarhoff
739020	119596	Susan
739021	14077	Carol
739021	44330	Judy Donnino
739021	71766	Lilly
739021	73158	Mme Passepont
739021	97040	Mars
739021	99940	Caroline Cavanaugh
739021	120480	Teri Harper
739021	159798	
739021	203957	Marike de Klerk
739021	266071	Betsy
739021	292234	Doctor
739021	317602	Teller
739022	319045	Peggy Hampton
739023	79049	Vampire
739024	198892	Witch 2
739025	45505	Third Prostitute
739025	64933	Girl Junkie
739025	283547	Ram's mate
739026	31188	Herself (as Judy Norton) (CBS
739026	31191	Herself (CBS Team)
739026	31193	Herself (as Judy Norton) (CBS
739026	64570	Herself
739026	64571	Herself/performer
739026	79757	Mary Ellen
739026	148438	Mary Ellen
739026	150516	Daughter
739026	160590	Jane Carrigan
739026	180651	Herself
739026	194789	Anne-Marie McCracken
739026	220018	Mary Ellen Walton
739026	342616	Dr.
739026	349859	Elizabeth
739026	358865	Mary Ellen Walton Jones
739026	358866	Mary Ellen
739026	358867	Mary Ellen
739026	360711	Mary Ellen
739026	410568	Mary Ellen Walton Willard
739027	42556	
739027	72553	Kvinnen
739027	181161	Tove
739028	96445	Lille My
739029	154465	Herself
739030	397074	Helle Varnæs
739031	17498	Marianne
739031	78487	Herself (performing 'Livet sp
739031	83082	Inger Hansen
739031	84276	
739031	108173	Massagepige
739031	117461	Klara's Mother
739031	122339	Togstewardesse
739031	208797	
739031	218974	Barbara
739031	228395	Leilah
739031	238799	Klaras mor
739031	272368	Vivi, the young woman
739031	275265	Bride
739031	281085	Kontordame hos Larsen
739031	287375	Gerda
739031	293650	Gitte
739031	307714	
739031	324329	Frk. Lise
739031	327054	Robert's Mother
739031	331034	Trut
739031	397955	Grace
739031	409349	Connie Andersen
739032	211868	Broad #2
739033	390213	Herself - Expert in household
739034	18288	La seconde mamie
739034	132955	Clémence
739035	282260	Liane Rotwang
739036	28493	Townspeople
739037	135888	Waitress
739037	249084	Nurse Bibs
739037	329199	Irene Goodall
739037	363906	Sarah
739038	846	Herself - #92: Jane Pauley v.
739038	161227	Narrator
739038	161379	Herself
739038	247370	Herself
739038	379959	Anchorwoman
739038	391236	Herself
739038	392858	Herself - Anchor (1995-)
739038	408395	Herself - Hostess (1989-1991)
739039	398691	Aileen Murray
739040	51106	Priestess
739040	86246	Herself as subject of documen
739040	90113	Helga
739040	103940	Rubia en Acapulco
739040	169773	Milly
739040	236430	
739040	246297	Helen
739040	285742	German Tourist
739040	287854	Selene
739040	335965	Herself
739041	122790	Terry
739041	379118	Déborah Falcón de Rivero
739041	380059	Paula
739041	380099	Isa
739041	381904	Herself (3rd Evicted 2002)
739041	382197	Selma Alcazar
739041	383145	Aïda (1985-1987)
739041	384126	
739041	385368	Alejandra
739041	386458	
739041	387577	Mariela
739041	390732	Nani
739041	398473	Viviana
739041	401696	Gaby
739041	402059	Valeria San Roman
739041	402681	Leonor
739042	403024	
739043	1832	Janet Murch
739043	144576	Susan Brent
739043	385719	Josette duPres Collins #2 (19
739044	171228	Jill
739045	389858	Georgiana 'Georgie' Jones #1 
739046	90840	
739047	1487	Herself
739047	1674	Herself
739047	1975	Herself
739047	2526	Herself (Presenter)
739047	2626	Herself
739047	2761	Herself
739047	13784	Herself
739047	57625	Herself
739047	57680	Herself
739047	64078	Cinderella
739047	91839	Kayla Harris
739047	154621	Karla Wilson
739047	161211	Herself
739047	221478	Herself
739047	221482	Herself/Presenter
739047	244034	Leah
739047	272978	Herself
739047	310988	Herself
739047	335540	Herself
739047	352978	Performer
739047	364124	Herself - Cinderella
739047	382672	Herself
739047	398027	Moesha "Mo" Mitchell
739047	407970	Danesha Turrell
739048	216803	Lily White Girl
739049	282043	Spoiled Girl
739050	74215	Tennis Lady
739051	360436	Disgruntled Theater Patron
739052	389858	Georgiana 'Georgie' Jones #1 
739054	274052	Rat Girl
739055	244223	The Stage Manager
739056	66558	
739057	305863	Anna Borg
739058	55525	Lina Hambreus
739058	142784	Anna Sörensen
739058	315039	Julia Person
739059	54385	Elvira
739059	284368	Kvinna på krog 1
739059	287568	Nadja
739059	349013	Andrea
739059	402479	Marika Nilsson
739059	406604	Fatima
739059	408800	Lucinda Gonzales (1996-1997)
739060	50977	Afholdskvinde
739061	253255	
739061	276444	
739062	16928	Child
739063	142527	Tony's Taco-slinger
739064	3581	Vero Zamponi
739064	3966	Uschi Mueller
739064	9530	Tatjana von Selasinsky
739064	10112	Kathrin Meyer
739064	69926	Kelly Whitman
739064	104759	Host
739064	105547	Gaby
739064	108472	Simone
739064	110651	Laura Schumann
739064	111057	Olga Lamouroux
739064	125095	Dr. Katharina Kluge
739064	131526	Mabel Bonnano
739064	144800	Hildy Koller
739064	166274	Marianne Galmot
739064	176804	Lindsay Quinn
739064	178703	Ann-Kristin
739064	196150	Britt Werner
739064	212792	Ninni
739064	214869	Ursula Ligier
739064	225636	Annabelle
739064	226175	Sanne
739064	242844	Iris
739064	269707	Daniela
739064	272785	Paula Gollwitz
739064	302619	Tourist
739064	312119	Katja Wedekind
739064	313785	Herself - Host
739064	322512	Jutta
739064	331602	Lisa Rosenstiel
739064	346591	Vanessa
739064	346924	
739064	350860	Silvia Kaltenbach
739064	360251	Claudette
739064	368530	Host
739064	378947	Herself
739064	380056	Dr. Angela Mancinelli
739064	383097	Barbara Jenninger-Gregorius, 
739064	387959	Herself - Host (1984)
739064	388569	Nini Salerno
739064	390194	
739064	393680	
739064	397756	Kim Mueller
739064	401402	
739065	10056	Girl at test lab
739065	19926	Annelise
739065	30508	
739065	48219	
739065	87039	
739065	162051	
739065	395662	Marina (1997)
739066	7318	Evelina
739066	33558	Evelina
739066	243307	
739066	326626	
739067	142586	
739068	315897	P.A.
739069	130685	Jody
739070	113883	Bikini Contestant
739071	282767	Evicka
739072	352804	
739073	17534	
739074	34609	
739074	46101	Marya Kondratyevna
739074	49148	
739074	60730	Pevitsa
739074	62355	
739074	174170	Tosya Burigina
739074	174823	Anfisa
739074	180361	Aksal
739074	217454	Valentina Filatova
739074	236062	Dvuliche
739074	238843	Drowned woman
739074	241004	Tamara
739074	246345	
739074	251308	Galina
739074	277210	Mlle. Maria Antonovna Skvozni
739074	300563	Akulina
739074	311579	
739074	313889	Ogurtsova
739074	320490	Komarikha
739074	323302	Mrs. Crump
739074	349358	Margo
739074	374255	Donna Rosa d'Alvadorez
739074	374769	Nichkina
739074	398757	Korobochka
739075	85160	Nikoleta
739075	171910	Ceca
739075	240006	Olivera
739075	252110	Slavica
739075	286643	Zorana
739075	305099	Ghost of girl
739075	397529	Ceca
739076	186246	
739077	180912	Patientin Birkenhof
739078	143514	
739079	257198	Secretary
739080	319001	Featured Player
739081	315018	
739082	262160	Floozy
739083	360272	Herself
739084	217223	
739084	217692	
739085	51101	
739085	55942	
739085	252607	
739085	296472	
739086	216094	
739086	293579	
739086	337962	
739087	2745	
739087	8606	Xeni
739087	15277	
739087	20660	
739087	85641	
739087	86829	
739087	89732	
739087	97920	
739087	100058	
739087	100598	
739087	100633	
739087	139717	Marigo
739087	182443	
739087	182447	Miss Ketty
739087	198050	
739087	214333	
739087	214636	
739087	226030	
739087	244245	
739087	246615	
739087	249413	Mother
739087	258836	
739087	265076	
739087	321930	
739087	326217	
739087	330576	
739087	331747	
739087	338986	
739087	375297	
739088	37263	Vera
739088	81894	Brandy Kirby
739089	48859	
739090	81694	Esposa Irazábal
739090	105110	
739091	132951	Vicine di casa
739093	305223	Mr. Phillips Secretary
739093	357726	
739094	224224	Priya
739095	271994	Prostitute
739096	35169	Woman at BBQ
739096	52201	
739096	191152	Happy Woman
739097	208638	Lana
739098	263748	Dirty Mary
739099	24068	
739099	265799	Helga
739099	325673	
739099	388756	Kundin
739099	389359	Isolde Aich (1995)
739100	181652	Applicant
739100	197383	
739100	211031	Elviira
739100	213700	Mrs. Hector
739100	233242	
739100	233243	The sheriff's wife
739100	242264	Teacher
739100	302979	
739100	336832	Doctor's wife
739100	343509	
739101	156037	
739101	171577	Woman distributing food to th
739101	176704	Jogging farmer's wife
739101	184067	Anna Kuula
739101	193554	Seija Keskinen
739101	213414	Mrs. Renlund
739101	247007	Saimi (Patient)
739101	324808	Enni Aalto
739101	349144	Rouva Sörsselssön
739101	393754	Peikkomuori
739101	403996	Rouva Matikainen, Alati Saira
739101	404145	Eila Kiviranta
739101	406959	Äiti
739102	386169	
739103	65138	La mère
739103	161782	Aline Reverdon
739103	282772	Old lady
739104	89451	Abe, Chisato
739105	370060	
739106	334915	Kiyoko, Gin's Daughter
739106	383107	Moto Tonomura
739106	392964	Rin
739106	411563	Kotori Monô
739107	235756	
739108	225689	Herself
739109	328630	Mildred Duque
739110	46533	Breathing Guide
739111	403689	
739112	46545	Young Caroline
739112	230869	Jane
739113	36855	Herself
739114	45622	Herself (SRO Management)
739115	87512	Shop Assistant
739116	15231	Cherry Goldstein
739117	17652	Jogger #2
739118	404445	Host
739119	47139	
739119	47587	
739120	360251	Goodyear Girl
739121	142417	Member of Squad
739122	26472	Baki, the Laboratory Assistan
739123	80562	Wendy
739123	144558	Applicant at Hairdressing Sal
739123	206884	Screaming Girl's Mother
739123	247036	Eileen Brandon
739123	262613	Tivvy Sexton
739123	291529	Marnie O'Brien
739123	292779	Glum Wife
739123	299827	Charlene
739123	335982	Helen Lenoir
739123	341670	Mrs. Prothero
739123	351972	Ivy
739123	382239	Dr. Laura Fairburn
739123	382663	Annie
739123	401307	Evelyn Walker (Series 2) (200
739123	411201	Mrs. 47
739124	40752	Erzählerin
739124	398056	Mathilde
739125	47050	Janet
739125	349536	Kelly/Michelle
739125	359425	Model
739125	360150	Party Babe
739126	130219	Anna
739127	345636	Flashback nurse #1
739128	255872	Nagiko's Friend
739129	45134	Candidate #1
739129	60274	Lovely #1
739129	136360	
739129	231577	La mamie
739130	133570	
739132	61716	Reine Paillassou (dramatic re
739133	49504	
739134	97995	Miriam
739135	29706	Prostituée dévergondée
739136	21752	Salma
739136	59301	Zora
739136	164126	
739136	202117	
739136	239318	Sherook
739136	287065	Nour
739136	299898	
739136	382761	
739136	396626	
739137	19723	
739137	206325	
739138	282781	Pierre
739140	55268	Monica
739140	240049	Herself
739141	25717	
739141	68433	Aisha
739141	85395	
739141	104209	
739141	132309	
739141	175726	
739141	186505	
739141	278335	
739141	285810	Matriarch
739141	286480	Mother
739141	288343	
739141	318616	
739141	343658	
739141	345564	
739141	371409	Marie
739142	318687	Girl
739143	374503	
739144	375258	Kouly's Daughter
739145	109334	Mary Arnold
739145	309275	
739146	33739	Laurette
739147	57530	Annie's Friend
739147	251544	Comédienne théâtre
739147	346522	Inès
739148	201089	Waitress at Buvette du Port
739149	153095	Elisabeth Korhonen
739149	156540	
739149	171577	Foreign tourist
739149	181630	Yöhoitaja
739149	188933	Ari's mother
739149	197362	Hoitaja
739149	251955	Sairaanhoitaja
739149	284769	
739149	300796	Elisabeth Järnefelt
739149	400045	Riitta Saarinen
739149	409042	Äiti
739150	156040	
739151	394538	Gallery Customer
739152	100131	CD Customer
739153	109130	Mrs. Carlton
739154	119959	
739155	18567	Danseres Toyota
739156	390836	
739157	232275	
739157	254076	Saleswoman
739157	306923	Herself
739158	1556	
739158	39752	
739158	75031	
739158	75059	
739158	91656	
739158	128156	
739158	178849	Sexy Krankenschwester
739158	291901	
739160	84155	
739160	94673	
739160	158707	
739160	199730	
739160	213794	
739160	217763	
739160	252410	
739161	29538	Belle Davis
739161	50940	Truda
739161	52232	Joan
739161	59165	Nina Girard
739161	73407	Madelon Dorette
739161	130648	Minnetake
739161	130861	
739161	206883	Nina Cordova
739161	207154	Helen Traynor
739161	214916	Violet
739161	224225	Mrs. Jud McIntire
739161	296956	Mary
739161	301250	Winona
739161	311409	Carmelita Delgado
739161	367527	
739163	1297	
739163	26911	
739163	26924	
739163	26983	
739163	27287	
739163	27288	
739163	36331	
739163	37385	
739163	37386	
739163	41526	
739163	57118	
739163	84894	
739163	85792	
739163	85814	
739163	91902	
739163	121639	
739163	127485	
739163	141591	
739163	150138	
739163	190130	
739163	232120	
739163	243121	
739163	271722	Herself
739163	295859	
739163	325271	
739163	344481	
739163	346402	
739163	348369	Herself
739163	361958	
739164	188393	
739164	219786	Bit Part
739165	252741	Miss France
739165	305036	Lady in Waiting to the Queen
739165	306234	Jane
739165	383792	Valentina Di Broglio
739166	233892	
739167	247581	
739168	104739	German entry (13th place)
739168	189854	Herself
739169	53863	
739169	90973	
739169	356224	
739170	322574	La madre di Mario
739171	96834	
739172	235754	
739173	351181	Wynetta Whitehead
739173	362592	
739174	7801	
739176	27191	
739176	353470	
739178	225134	
739179	192414	Josephine 'Jo' March
739179	340515	Dinah
739180	146729	Jennifer Andero
739181	159546	Herself
739182	380196	
739182	381591	
739182	401087	Lena
739182	403308	
739182	410287	
739183	388263	Contender
739184	382741	Isabel
739184	383328	Margareth
739184	384922	
739184	385853	Ana Lúcia Paiva
739184	385947	
739184	399645	Maryrose
739185	385024	Dora
739185	387732	Vivi
739185	388681	Erika
739185	396610	Lúcia (1995)
739185	401243	Patrícia
739185	409347	Patrícia
739186	384118	Lurdinha (2000)
739187	103857	Mãe de Bárbara
739187	288834	D. Genciana
739187	390489	Camila
739187	398881	
739187	401805	Eva
739187	402243	
739187	410105	Madame Sara
739189	238390	
739190	296696	Model #3
739192	286318	
739193	277232	Jenny Tate
739194	335353	Elderly Woman On Street
739195	16113	Sharon
739195	80784	Hudson Air Receptionist
739195	194211	Carrie
739196	198904	Giulio's fiancee
739196	300838	
739197	306197	
739198	140798	Debra (girl in car)
739198	158818	
739198	326456	Terri
739199	49894	
739200	292786	Second Wife
739201	2198	Ann Ralston
739201	11312	Dainty Dotty
739201	18994	Maid
739201	21740	
739201	29688	
739201	30378	May Gordon
739201	31345	Helen Chadwick
739201	31356	
739201	32125	Alice Carter
739201	33642	
739201	33704	Nun
739201	40113	Mamie
739201	40718	
739201	40977	Prison matron
739201	44745	Mary Carter
739201	59921	Jane Norworth
739201	70383	
739201	70976	Stage Passenger
739201	77022	Townswoman
739201	78085	Nurse
739201	78687	Alice Spencer
739201	83612	Dolly Remington
739201	88254	Rose Rapley/Rose Jones
739201	89650	Amy
739201	91699	
739201	95548	Dorothy Thompson
739201	109685	Ethel Bennett
739201	109729	Elsie, Vera's maid
739201	109940	
739201	110333	Enid Sexton
739201	111726	Betty Summers/Betty Brown
739201	112300	Margaret Hill
739201	116780	
739201	117260	Sylvia Vickers
739201	118283	Mrs. Winston
739201	119372	
739201	132362	
739201	133733	Mollie Martin
739201	141447	
739201	142517	Townswoman
739201	143301	
739201	143451	
739201	148931	Wedding Witness
739201	152405	
739201	155061	Jury Woman
739201	157520	
739201	162207	Eleanor Hadley
739201	172353	
739201	175750	Woman
739201	177465	Her niece
739201	185716	Winifred Samson
739201	186009	Carolyn Hollister
739201	188212	
739201	191507	Mary Dodge
739201	197696	Sue McGraig
739201	201525	Patricia Owens
739201	203017	Mabella
739201	203571	Vonia
739201	203573	
739201	209428	Hulda
739201	214150	Mary Gray
739201	215747	Eva Rivers
739201	233685	Jane Rogers
739201	234587	Anne Paisley
739201	235178	Marie La Fane
739201	236886	
739201	236985	
739201	237568	Rose Lanier
739201	251512	
739201	254507	Mary Van Horn
739201	263310	
739201	270465	Grace Danton
739201	274337	Mary Callahan
739201	277855	Cashier
739201	277860	Townswoman
739201	279745	Guest
739201	280856	
739201	280944	
739201	281560	
739201	282317	Gloria Gómez
739201	283421	
739201	285296	
739201	286114	Rosie Lafferty
739201	289240	
739201	294750	Spectator
739201	301262	
739201	301833	Georgia Wilson
739201	303750	
739201	304282	Estelle, his daughter
739201	305468	Rose
739201	306808	Louise
739201	310767	Pearl Matthews
739201	316600	
739201	319181	Courtier
739201	319194	
739201	323232	Adams' Daughter
739201	324034	
739201	327581	Marjorie Baldwin
739201	328910	Nelly Gray
739201	329388	
739201	331713	Matron
739201	332815	Harriet Halehurst
739201	335906	Mrs. Green
739201	336263	Velma Patton
739201	337705	Sally Fortune
739201	337778	Doctor's Wife
739201	339642	Beatrice Noyes
739201	348298	Jackie McNabb (in play)
739201	348333	Mary
739201	350156	
739201	359099	Kate Westhanger
739201	365427	Mrs. Simms
739201	367394	Aurora Norris
739201	367459	
739201	367798	Jennie
739201	368291	
739202	43153	Pevacica
739202	170212	Herself
739202	170213	Herself
739202	192885	Gabi Novak
739202	393847	Herself
739203	53026	
739203	76278	
739203	118147	
739203	356582	
739204	376615	
739205	186538	
739206	392	
739206	14967	
739206	33813	
739206	48296	
739206	69369	Host's wife
739206	70024	
739206	94652	
739206	127944	Giovanna
739206	162049	
739206	227585	
739206	247961	
739206	258334	Corinne
739206	259708	Policewoman
739206	288626	
739206	293973	Prefect's Wife
739207	5033	Mrs. Stell, Customer
739207	11406	
739207	17477	
739207	22991	
739207	29674	Floria Heatherton
739207	32950	Alice Morse
739207	33590	Ruth Harkin
739207	65422	Virginia Lee
739207	65878	Alice Winston
739207	67100	Joan Cameron
739207	77965	Mary Browning
739207	83587	Mrs. Lindquist
739207	88148	Jane Parker
739207	106654	Sybil Andres, Nature
739207	112745	Mrs. Blackwell
739207	113793	Winifred Olwell
739207	117557	Miss Benson
739207	119493	Flossie Moore
739207	120526	
739207	121982	Woman
739207	123137	Lucy Walker
739207	127213	Rose, gang moll
739207	130884	'Faro' Kate/Jane Sunderlin
739207	132572	
739207	133422	Joan Caretall
739207	133884	
739207	139547	Herself
739207	145873	Gloria Manning
739207	147543	Woman
739207	147650	Mrs. Steinman
739207	152858	
739207	160031	Jane Murray
739207	162355	Enid Winslow
739207	162989	Isobel Dean
739207	166222	Alice Martinez
739207	171214	
739207	174926	Joan Radisson
739207	178103	
739207	186559	Angnes Fanning
739207	191686	Sylvia Castle
739207	194739	Natalie Travers
739207	197298	Felipa/Antoinette
739207	197692	Agnes Belmont
739207	203281	Mrs. Black
739207	203688	Barbara Wier
739207	203721	Mary Larkin
739207	217949	Rose
739207	232849	Katherine Farrell
739207	241453	Alice Paris
739207	244439	Naomi Joyce
739207	246603	Miss Fredericks
739207	264350	Prinzessin Maria Idourska/Pri
739207	266221	Beatrice Audley
739207	274529	Judy
739207	279189	Miriam Kirkstone
739207	279500	
739207	281774	Vera Mather
739207	289537	Nightclub Patron
739207	289628	Cecelia Nortn
739207	293797	Mary Adams
739207	297600	Marcia Maynard
739207	306346	Virginia Tremont
739207	309509	
739207	311283	Cecil Steuart
739207	316989	Jean Morris
739207	317889	Hilda Nervers
739207	323231	
739207	324976	Nita
739207	327456	Ruth Vale
739207	329838	Thelma Guildmar
739207	331707	Ethel Barton
739207	332787	Ruth Ingram
739207	338851	Mary Radford
739207	343122	Countess Mayra Zuleska
739207	358180	Jane Washburn
739207	362370	Ruth Randall
739207	363678	Antonia Lee
739207	364001	Janet
739207	365844	
739207	367316	Hilda MacTavish
739207	370587	Mrs. Flora Van Arsdale
739208	145339	Driad
739209	338802	Miss Jean Turner
739210	146362	Madeline
739211	2257	Herself - accepting Writing A
739211	2273	Herself - Presenter: Best Act
739211	2649	Kay Greylek
739211	2759	Herself - Co-presenter: Best 
739211	14974	Moll Flanders
739211	33412	Gillian 'Gil' Holroyd
739211	45684	Cathy
739211	61856	Rose Sellars
739211	65568	Herself (academy awards telec
739211	94668	Herself
739211	97427	Marjorie Oelrichs
739211	103084	
739211	119803	Model on stairs
739211	133479	Sister Lyda Kebanov (forger)
739211	147768	Herself
739211	166345	Jeanne Eagels
739211	178080	Polly the Pistol/Zelda
739211	187277	Lylah Clare/Elsa Brinkmann
739211	189807	Lillian Anderson Munnsen
739211	190500	Herself
739211	191306	
739211	202361	Billie Farnsworth
739211	203648	Molly
739211	213037	Betty Preisser
739211	215153	Lola Brewster
739211	235694	Carlyle Hardwicke
739211	235708	Herself
739211	237910	Herself
739211	238506	Mildred Rogers
739211	246923	Linda English
739211	252528	Cameo appearance
739211	254631	Janis
739211	255264	Madge Owens
739211	262940	Herself
739211	267656	Lona McLane
739211	275879	Archive Footage
739211	278893	
739211	288481	Eva
739211	290801	Helga
739211	300187	Herself
739211	308382	Raider
739211	316325	Maggie Gault
739211	323913	Auriol Pageant
739211	330517	Gloria Joyce
739211	352639	Madeleine Elster/Judy Barton
739211	363770	Mrs. Poker Jenny Schermerhorn
739211	388237	Kit Marlowe (1986-1987)
739212	25530	
739213	344524	Herself
739214	33028	Herself
739214	57816	August
739214	130319	Uncle Franks Blonde Bombshell
739214	202382	Brianne
739215	81296	Ashley
739216	212057	
739216	350399	
739217	60341	Jeanne
739217	175621	Linda Chambers
739217	218819	Manicurist
739217	304571	Commandant's Lady
739217	350187	Suzy
739218	266633	Mrs. Foscoe
739219	361238	Hotel Desk Clerk
739220	83713	Lieutenant's girl
739221	253236	
739222	78139	Female Trainee
739223	292301	Girl being pushed
739224	103847	
739224	104015	
739224	156882	
739224	199478	
739224	336558	
739224	384427	Beatriz
739224	393803	Chiquita
739224	412198	
739225	408720	Silvia
739226	227826	Neighbour
739227	71477	Lyndie
739227	105390	Camille
739228	78835	Pangborn's Receptionist
739228	175741	Old Lady
739228	205590	Rosie's mothr
739229	28675	Katerina
739229	66682	Petra
739229	113915	Svettie Burke
739229	283781	Katia
739229	326555	Risa
739229	351908	Tasha
739229	388770	Svettie Burke
739230	18544	Sharks Trainer
739230	47269	Fishnet Floozys
739232	115705	Mabel
739232	140779	Madame
739232	151727	Olga
739232	153988	Operator
739232	167686	The Maid
739232	191640	
739232	196874	Maisie
739232	223033	
739232	238928	Tessa Burnett
739232	239743	
739232	273270	Lil
739232	285623	Jill
739232	289011	Clara Timpson
739232	290349	Phyllis Dawn
739232	305645	Jane
739232	308159	Mrs. Rivers
739232	308641	Showman's Wife
739232	309872	Bessie Warbuckle
739232	313565	Secretary
739232	359386	Lucy
739232	367785	Elizabeth Popday
739233	227942	
739234	64098	Cheerleader/Dancer #7
739235	134437	Azafata
739236	167159	Johanne
739237	144368	
739237	255567	Professeur De Mathematiques
739237	353886	
739238	48355	
739238	236515	Valérie Ammou
739239	87175	Brittany's Mom
739239	230353	Mrs. Boucher
739240	163405	Vera
739241	205771	Sara
739241	205929	La prostituée
739241	208220	Elvire
739241	379510	Sören
739242	329838	Little Thelma
739243	399924	
739244	23267	
739244	33401	
739244	225995	
739244	264389	
739244	354869	
739245	119327	Wanda
739246	34582	
739246	236291	Hare
739246	252079	Jindriska
739246	268293	
739246	357629	Agata
739247	174405	
739248	246344	Eva Braun
739248	246345	Eva Braun
739249	223487	
739250	40148	Tracy Warner
739250	105296	Brianie's Friend
739250	206191	Randa
739250	218169	Tianna
739250	384950	Raffa
739251	288986	
739252	19651	
739252	58033	
739252	94062	
739252	180665	
739252	225904	
739252	232599	
739252	280565	
739252	355551	
739252	376191	
739252	395457	
739252	396547	
739252	401961	
739252	401991	Komsinica
739252	410442	
739253	104737	Yugoslav entry (4th place)
739253	166392	
739253	170211	Herself
739253	170215	Herself
739253	170216	Herself
739253	261943	Pevacica
739253	293668	
739253	393847	Herself
739253	393848	Herself
739253	398887	Lola
739253	398888	Lola
739254	34034	Ulla
739254	108866	Mabel
739254	179889	Clara
739254	198231	Jana
739254	229181	Patricia
739254	303891	
739254	343489	Jana
739255	341371	
739255	376794	
739256	103440	
739257	51544	Emperatriz Carlota
739257	131117	
739257	148079	
739257	171496	Carlota
739257	199174	Empress Carlotta of Mexico
739257	207000	Maria Magdalena
739257	234382	
739257	247181	
739257	310068	
739257	339470	Leonor, Marquise del Olmo
739257	375283	
739258	317691	
739259	44929	
739260	280676	Dancer
739261	103461	Mariana
739261	383291	(1999-2000)
739261	385402	Clara Salcedo
739261	391999	Herself-Host
739261	397731	
739261	405789	
739261	405812	Ramiro's Friend
739261	409035	
739262	193841	
739263	61385	French Reporter
739264	68412	L'hôtesse
739265	280382	
739265	397529	Veroslava
739265	406567	
739266	379458	Celeste
739266	380087	
739266	390310	Gladiola González
739266	398807	Consuelo 'Chelo' Pacheco
739266	401090	
739266	401122	La Gata
739266	403125	Isabela Cotala
739266	403753	Mariana González Hernández
739266	404713	
739266	406864	Laura Montejo
739266	408389	Gabriela
739266	410385	
739267	14659	Àngel
739267	25795	Hermana lectora
739267	29439	
739267	77220	Dali`s mother
739267	126242	
739267	132743	La Duchesse de Cazouls
739267	160851	
739267	184870	Juana
739267	189301	Oradora
739267	193052	Merche
739267	193483	Head Nurse
739267	225017	Hermana Rosa
739267	233260	
739267	243448	
739267	248148	
739267	249872	Marga
739267	252530	Nathalie Jauma
739267	253277	Wife (segment "Desire")
739267	273075	Míriam
739267	276333	
739267	281650	Graciela
739267	353290	
739267	380639	Abadessa Udalgarda
739267	399505	Sofia Palau
739267	404715	
739268	185529	Herself
739269	234544	Dracula's Mother
739270	57384	Cavewoman
739271	42600	Isabella
739271	218541	
739272	2143	Plutocrats Dog Act Perfomer
739273	240372	Lucy
739274	270840	
739275	86049	
739276	102319	Rainha Mab
739277	80959	
739278	148171	Patricia
739279	153670	Guest
739280	333653	
739281	35709	Brunette
739282	59788	
739282	103508	
739282	244578	
739282	319661	Hija de Angelica Montes
739282	376677	
739283	138583	Lullaby vocal
739284	247968	
739285	208932	Millie Jones
739286	213793	
739287	21394	Mariam
739287	25624	Andranik's mother
739287	30052	Nazi
739287	95807	
739287	127658	Nani
739287	141864	Yeranos' wife
739287	145521	Oberon's mother
739287	147045	Yelizaveta
739287	174190	Sanam
739287	176051	Noyem
739287	178461	
739287	181409	
739287	211051	Bailiff
739287	211231	Siranush
739287	226719	Antaram
739287	303058	
739287	326281	David's mother
739287	326287	Mariam
739287	410403	
739288	9507	Anna Kivivuori
739288	163185	Dr. Ulla Salmi
739288	181649	Asta Kataja
739288	181884	
739288	184065	Aliina Kyrö
739288	233243	Siipirikko
739288	233247	Ilona Niskavuori
739288	242264	Elsa Aalto
739288	255763	
739288	256366	Liisa Nurmi
739288	264291	Kuningatar
739288	320584	Rva Duncker (Mrs. Duncker)
739288	343509	Anna Kivivuori
739289	105076	Linda
739290	139817	Ana
739292	10913	
739292	29903	1st Victim
739292	69444	Judge #1
739292	169017	Lady Fruit Seller
739292	232508	Judy
739292	282046	Script girl
739292	357994	Baby Harold's Mother
739292	372198	Receptionist
739293	21690	
739293	55007	
739293	71008	Novia Walter
739293	91387	
739293	104111	Prostituta 2
739293	104143	
739293	106214	
739293	120712	
739293	121952	
739293	124042	
739293	135357	
739293	207728	
739293	209046	Cajera restaurant
739293	221751	
739293	225045	
739293	307574	
739293	324841	
739293	343630	
739293	351680	Roxana
739294	1639	Jerry's wife
739294	178226	
739294	392086	
739295	244580	Bolnicarka
739295	395457	
739295	400481	Bolnicarka
739296	106376	Attractive Woman
739296	207902	Ashley Armstrong
739296	223984	Liberty (maid of honor)
739296	270349	Alissa
739296	295435	Brenda
739296	381811	Tracy Gaylian (1996-1997)
739296	405494	Teenage Teddy
739297	348123	Prostituée
739299	56618	Mrs. Petropoulos
739299	173353	Mediterranean Woman
739300	202829	
739301	60408	
739301	206291	Rose
739301	324487	
739302	379881	
739302	385947	Vilma
739302	391675	
739302	410245	Sílvia
739303	17760	Aunt Tessie
739303	42278	Sadie
739303	139610	Mrs. Rothman
739303	187810	Aunt Mema
739303	231120	Mrs. Tupperman
739303	301063	Mrs. Shapiro
739303	319253	Woman in Hotel
739304	323635	
739305	238367	
739306	49133	
739307	356921	
739308	323326	
739309	180942	
739309	356111	
739310	396239	Zoya
739311	357688	
739312	35924	
739313	40869	
739313	180214	
739313	230046	
739313	244017	
739313	297458	Shurochka
739313	343972	
739313	350738	
739313	394785	Guionne
739314	283693	The shaman, Rusalochka, Malka
739315	108855	
739315	320486	Zoika
739316	281037	Grand Duchess Olga Nikolayevn
739317	215485	Herself
739318	74144	
739318	75484	child
739319	99688	Himself
739320	61131	
739321	99683	Herself
739322	391021	Herself - Girl holding the Cu
739323	92870	Patinette
739324	108670	Soloist (segment "Ave Maria")
739324	223047	Leading Lady
739325	195703	Segment 'Arcadia and Pompeji'
739326	147974	Hutterite Woman
739327	7388	
739327	34534	
739327	180487	
739327	229003	
739327	305294	
739327	351021	
739327	373573	
739328	98818	Spanish Teacher
739329	13049	
739329	25516	Evita Perón
739329	66817	Carla Rosi
739329	120717	Sara
739329	121975	
739329	207652	Fabiana
739329	236301	
739329	313025	Marta
739329	351688	
739329	380116	Marcela
739329	388650	
739329	401771	Verónica 'Vero' Vega de Carri
739329	408895	Rocío Gallardo
739329	410423	Verónica
739330	372759	Herself
739330	372760	Herself
739330	411830	Herself (1984-1987)
739331	74422	
739332	56304	Female Newscaster
739333	229547	
739333	258597	
739334	37261	PEZ People
739335	132168	
739335	230043	
739335	256733	Zheleznicharkata
739335	265994	Bratovchedkata na Sobol
739335	272384	Dana
739335	357434	
739336	284459	Elena
739337	28258	
739337	179910	
739337	229549	
739337	394752	
739338	262562	
739339	35202	Laura
739339	45908	
739339	83280	La Countess Vera Lizavetta
739339	119058	Frasquita, the Gypsy singer
739339	133509	Maria Selka
739339	133857	Mme. Baranska
739339	134837	Herself
739339	180417	Vera Starschenska
739339	185750	Countess Vera Lizavetta
739339	226246	Frau Thormaelen
739339	291960	Mrs. Hannah Malik
739339	304187	Maja
739339	336388	Herself
739339	352307	Marie
739339	357685	Comtess Jacinta
739340	157636	Prince
739341	294545	Piroschka´s Grandmother
739342	25749	Koyomi Mizuhara
739342	248708	Boomer Sex Slave
739342	381025	Koyomi Mizuhara
739343	303778	Himself
739344	17348	Anja
739344	76731	Desiré
739344	165165	Lisa
739344	179771	Paula
739344	213296	Linn
739344	227042	Pretty girl
739344	235040	Lisa
739344	244206	Annelie
739344	276750	Yvonne
739344	304850	Saga Hansson
739344	305325	Smala Sussie
739344	316461	Monika
739344	332378	Jeanette
739344	342316	Herself
739344	391463	Leonora 'Nora' von Hancken
739344	405570	Nora Strandberg (1996-1999, 2
739344	409556	Henriette
739345	339308	Placková
739346	253253	
739347	180096	
739348	26540	
739348	58509	
739349	217032	Sylva
739350	119877	Zofka
739351	375345	Herself
739352	8695	
739352	165035	
739352	304119	Hanka
739353	75739	
739354	305294	
739355	394750	
739356	311726	
739357	372089	Little girl
739358	99825	Jackie
739359	165719	Dunajcanka
739360	315909	Lady MacBeth
739361	262544	(segment Nash papa majonez)
739362	357437	Nurse
739363	199873	
739364	368737	
739365	322022	
739366	104792	Nyaraló
739367	82797	
739367	245798	Eva
739368	258474	Pepi Kalasová
739368	349356	Stázinka Dudková
739369	96001	
739370	179714	Kalupinka
739371	99251	Girl on scooter #3
739371	182470	Hana
739371	223538	
739371	261384	
739371	383081	Evicka Svobodová
739371	404627	Gretel
739372	191548	
739373	236323	Martina N.
739374	118586	
739375	390812	Frau Marschner (1993)
739375	409958	Iris Brandner, geb. Sander (1
739376	115958	Melanie
739376	391136	
739377	132414	
739377	266307	
739377	369022	
739377	376535	Girl
739378	344652	Local Sinner
739379	12849	Crissi
739379	17685	Lena van Blaadren-Hartog
739379	26517	
739379	40957	
739379	111416	Margaret
739379	124460	Basala
739379	125001	Anna
739379	259563	
739379	310895	
739379	401142	Maam
739380	182527	Herself
739381	75978	
739381	101752	Franziska Witsch
739381	132479	Jounalistin
739381	135886	Zofia
739381	181249	
739381	191709	
739381	322908	Waitress
739381	395667	Urszula Winicki (1990-)
739381	405945	Reporterin (2000-)
739382	4751	Anna Paculanka
739383	180215	3.Pige
739384	266314	
739385	290070	Rebecca Tannenbaum
739385	364953	
739386	137642	
739387	216841	
739387	282234	Großmutter
739387	302046	
739387	347831	Frau Göppel
739387	366528	Oma Sperling
739388	79891	
739389	123099	Paulina
739389	208144	
739389	238095	Irena
739389	260733	Ruda
739389	306659	
739389	373551	Director's wife
739389	376523	
739389	393473	Grazyna Felde
739390	239756	Water Brigade
739391	17304	
739391	226420	Elzunia Bohatyrowicz
739392	68682	Herself
739392	381910	Herself (Series 4) (2003)
739392	381920	Herself (Series 3) (2003)
739393	88568	
739394	307189	Additional Voices
739394	389791	Additional Voices
739395	369874	Herself
739397	153509	Woman
739398	253197	
739398	322393	
739399	305560	
739400	245094	Irena Morawska
739401	91511	Prostitute
739402	174028	
739402	412076	Komandoska
739403	305391	Mrs Korczynski
739404	163496	Young Elena
739405	26973	Waitress
739406	235542	E. J. Smith
739407	214006	Betty
739407	251261	Joan Lowden
739408	208630	
739409	374203	Anielka
739410	138398	Madmoiselle
739410	231609	
739410	237869	Piotrowska
739411	360629	Herself
739412	197758	Prison inmate
739413	40227	Lisa (Actress)
739413	355404	Devil Showgirl
739414	347126	
739415	20459	Julian Moore
739415	150610	
739416	306107	
739417	225876	Anielka
739418	266335	
739419	128378	Marylou
739420	34354	
739420	98044	Dita Seiler
739421	62280	Lady #1
739421	126544	Dancer
739421	319682	Cheerleader
739422	45668	Tim and Casey's mom (segment 
739422	74112	Tim and Casey's mom
739423	114674	Katheryn
739423	215592	Miss Melody Jones
739424	176984	Person At Bar
739425	174483	
739426	174079	Hanka Nowarocka, Polish maid
739427	22729	Sarah Woodside
739428	396491	Additional Voices
739429	373795	Young Girl
739430	226420	Andrzejowa Korczynska
739430	232664	
739430	258631	
739431	338935	
739431	391479	Assistant
739432	21651	Cinderella
739432	119144	Goldmarie
739432	136607	
739432	333778	
739433	410812	Billy
739434	72376	Dancing Girl in Bar
739436	3631	Herself
739436	130153	Wife
739436	231822	Herself (interviewed)
739437	130677	Woman in dance hall
739438	26895	
739438	26902	
739438	34759	
739438	44907	
739438	102813	
739438	141067	
739438	243113	
739438	321024	
739438	358074	Herself
739438	369913	
739439	56748	No Neck Monster
739439	194062	Carolyn (5)
739440	259801	Hair dresser
739441	250737	Schoolgirl at Crossing
739441	269841	American Woman
739442	247590	Bloemenmeisje
739443	140580	Nina Shtein
739444	326453	Annick
739445	276506	
739446	310964	
739446	317179	Betty Macklin
739447	64072	Mother
739448	309407	
739449	4618	Miss Planey
739449	32356	Mary
739449	233930	Cousin Emmy
739450	7545	Sally Whitehouse
739450	21182	Grandma Thora Read
739450	21184	Grandma Thora
739450	21187	Grandma Thora Read
739450	23973	Tiffany's Make-Up Person
739450	35400	
739450	40506	Byrde Gordon
739450	46391	Sarah Kelly
739450	55511	
739450	57228	Vera Summers
739450	80394	Dairy Woman
739450	105316	Parky
739450	146934	Dr. Julien
739450	171284	Doris Berlanger
739450	218667	Réceptionniste du motel
739450	231550	Teacher
739450	232507	Margaret Graham
739450	236138	Ann Murphy
739450	256093	Mrs. Henry
739450	272022	Eilen Brayman
739450	273514	Wilma
739450	296688	Yvonne Fraser
739450	326229	
739450	359381	Ms. Donald
739450	360779	
739450	364424	Interrogator #2
739450	364783	Mary
739450	366961	
739450	380692	Grandma Thora Read
739450	388374	
739451	77541	
739452	234932	Parent
739453	333042	
739454	325422	
739454	325493	
739455	326266	
739456	91093	Son Gokû/Son Gohan/Son Goten
739456	91094	Son Gokû/Son Gohan
739456	91095	Son Gokû/Son Gohan/Târes
739456	91096	Son Gokû/Son Gohan
739456	91097	Burdock, Kakarot (Son Gokû)
739456	91098	Son Gokû
739456	91099	Son Gokû
739456	92746	Son Gokû/Son Gohan/Son Goten
739456	92747	Son Gokû/Son Gohan
739456	92751	Son Gokû/Son Gohan
739456	92755	Son Gokû/Son Gohan
739456	92756	Son Gokû/Son Gohan
739456	92757	Son Gokû/Son Gohan
739456	92849	Son Gokû Jr./Son Gokû
739456	92851	Son Gokû/Son Gohan/Bardack
739456	92853	Son Gokû/Son Gohan/Son Goten
739456	92854	Son Gokû/Son Gohan/Son Goten
739456	92855	Son Gohan
739456	92856	Son Gokû
739456	92857	Son Gokû
739456	127781	Tetsurô Hoshino
739456	127782	Tetsurô Hoshino
739456	127783	Tetsurô Hoshino
739456	127784	Tetsurô Hoshino
739456	127786	Tetsurô Hoshino
739456	127787	Tetsurô Hoshino
739456	137336	Kamezasa
739456	155537	Iczel Gold
739456	195630	Hina Urashima
739456	208014	Tetsurô Hoshino (from Galaxy 
739456	259034	Elekid
739456	289304	Tetsurô Hoshino
739456	322416	
739456	347077	Sheri
739456	379482	Polly
739456	380470	Kakeru/Aoi Blink
739456	380560	Sterling's Mother
739456	384219	Ropett, Oleana
739456	385982	Guilmon/Growmon/MegaloGrowmon
739456	386630	Hiroshi
739456	386775	Son Gokû, Son Gohan, Son Gote
739456	386776	Son Gokû, Son Gohan, Son Gote
739456	386777	Son Gokû
739456	386780	Emma-kun
739456	386921	Son Goku (Japan Dub) (1996)
739456	386923	Son Goku (Japan version)
739456	387049	Reika Nanjounin
739456	389567	Blinky (Japanese version)
739456	389569	White Rabbit
739456	389818	Kitarou
739456	389819	Kitarô
739456	390082	Tetsurô Hoshino
739456	391495	Bumbo
739456	392330	Suzuishi Hiroshi/Witch Honerv
739456	394029	Various characters
739456	394031	Various characters
739456	394040	Kaibutsu-kun
739456	395031	Danton
739456	396499	Triplets
739456	396535	Satan
739456	398102	Massmedia (Japanese dub)
739456	401467	Piccolino
739456	407381	Esteban
739456	407904	Astro Boy
739456	408485	Tom Sawyer
739456	410451	Tico
739457	232611	Sanae
739457	327009	
739458	379014	Nancy Wilson
739459	255872	Model
739460	225808	
739461	343962	
739462	395865	
739463	164089	Mariya Kamenova
739464	3582	
739464	17839	
739464	50080	
739464	130200	
739464	163925	
739464	312434	
739465	15902	Michiko Aota
739465	36527	Kaoru Shimizu
739465	61457	Wakako Yoshikura
739465	78335	Keiko Shima
739465	122165	Hideko Yamabe
739465	142179	Setsuko Matsuno
739465	153552	Kaoru
739465	168877	Girl (segment "Mono o takaku 
739465	180036	Hatoko Karasawa
739465	181490	Akiko Shirakawa
739465	182402	Kyoko Shima
739465	182476	His daughter
739465	200545	Fumiko
739465	216334	
739465	232529	
739465	239296	Chieko Hanamura
739465	242196	
739465	245864	Kaneko Ema
739465	299238	
739465	300597	Yoko, Muneo's sister
739465	323121	
739465	325207	
739465	343351	Saeko
739465	344285	Aiko
739465	373284	Kana Shinohara
739466	3400	
739466	9714	Carmen Lara
739466	32366	
739466	56501	
739466	74860	
739466	74972	
739466	77251	
739466	85560	
739466	92069	Mother Monter
739466	95025	
739466	103432	
739466	103804	La Madre
739466	133107	Samson's mother
739466	162077	
739466	165412	
739466	211171	
739466	221913	
739466	222418	
739466	239302	Lotte
739466	251556	
739466	291627	
739466	295147	Mamie
739466	295164	Mamie MacGregor
739466	353564	
739466	376691	
739467	14637	
739467	23369	
739467	32366	
739467	339450	
739468	307840	La seconde femme
739469	193480	Ellen
739470	15130	Anna
739470	29001	Renée Merelin
739470	58743	Eléonore
739470	63656	Ophélie
739470	100014	Anna
739470	116473	Gabrielle, la Folle de Saint-
739470	140283	Taxi
739470	148769	
739470	164153	Mrs Blot
739470	169660	
739470	200961	Lili's aunt
739470	220219	L'infirmière
739470	268826	La mère supérieure
739470	269088	Maid
739470	275635	
739470	275647	
739470	285754	
739470	354745	
739470	378866	Mme Châtaigne (ep.2)
739470	398786	Mme. Pipelet
739471	32464	Avarice (Sin #5)
739471	200599	Soula
739471	276642	Nurse
739471	351740	Sharna
739472	65089	
739472	65165	La mère de Frédéric
739472	70495	La femme de Raf
739472	119048	Margot
739472	122216	Marie
739472	195144	Réjane
739472	220219	L'infirmière
739472	283965	La duchesse d'Albuquerque
739473	370104	
739474	36648	Jeanne
739475	384434	
739477	316880	
739479	3509	Marcella Salustri
739479	5407	Andréa
739479	13178	Gradisca, The hairdresser
739479	15074	Angèle
739479	17861	
739479	22634	Annie
739479	33815	
739479	44974	Jenny Dorr
739479	59249	Denise
739479	60513	Maria
739479	67519	Carlotta
739479	68326	Fulvia Gelli
739479	70722	
739479	73308	Suzanne
739479	77231	
739479	78348	Barbara Yabakos
739479	82579	
739479	83203	Elisabeth Haas
739479	83232	Lydia
739479	83353	Coraline Merlin
739479	84619	
739479	86396	Mickey
739479	89572	Fanny
739479	94391	Viviane
739479	96221	Nathalie
739479	97566	
739479	99653	Lolotte
739479	101171	La tante Marguerite
739479	105853	Solange
739479	113112	Térésa
739479	124426	Sonia
739479	128030	
739479	131020	Angelina
739479	133081	Thérèse
739479	153811	Zizi
739479	182455	Countess
739479	187434	
739479	203522	Mrs. Franchetti
739479	204232	
739479	205734	Julie
739479	206955	Matilde Bernabei
739479	217254	Claudia
739479	219485	Solange
739479	220394	Françoise
739479	225663	Eva Troger
739479	234559	Odette
739479	236550	Rainette Leblanc
739479	237619	Muriel Rousset
739479	238978	Viviane Montero
739479	240124	Giovenella's Sister
739479	245959	La garde-malade
739479	247958	
739479	252412	Maddeleine
739479	257004	Cora Caillé
739479	261458	Pia Manosque
739479	263273	Signora Bellini
739479	266400	Edith Wilson
739479	268826	Sarah, la mère de David
739479	269636	
739479	270332	
739479	270830	Chanel
739479	273108	Lisette
739479	274892	Regina
739479	275646	Ida
739479	276105	Èva
739479	285506	Lénq
739479	288801	Fortunata
739479	295212	Jeanette Milliard
739479	300669	Arnaude
739479	309327	Mado
739479	309711	
739479	314021	
739479	334608	Gaby
739479	336604	Cleopatra
739479	337837	Louisa
739479	340372	Princess
739479	340950	Mysterious woman in black
739479	352634	Constance
739479	373400	Nick's Sister
739479	377473	Gloria Selby
739479	377572	
739479	378078	Jane
739479	381587	Mme Houpflé
739479	384577	Julia
739479	384746	Delia Delamarre
739479	393400	
739480	104740	Monegasque entry (9th place)
739481	28179	La fille de joie/La jeune jui
739481	273352	La mère de Luc
739482	156321	La patronne du bar
739482	218283	
739483	292341	
739484	22681	La fille de Barbe-Rouge
739484	40277	La comtesse Valentinovitch
739484	195203	
739484	228202	Hôtesse du bar
739484	329158	La femme mystique
739484	397947	Une femme Cour Assise
739485	370043	La seconde prostituée
739486	254089	Eva Blanchot
739487	13035	Bertha Mellors
739487	15066	La dame du vestiaire
739487	15096	L'actrice
739487	15912	
739487	19340	
739487	28998	La patronne
739487	51426	La cliente coiffeur
739487	63687	
739487	68874	
739487	91277	L'entraîneuse
739487	107541	Gilda
739487	110024	La cliente aimable
739487	121345	
739487	132750	
739487	148640	Evelyne
739487	148764	Une malade
739487	164149	La dame âgée
739487	164874	
739487	169278	Une secrétaire
739487	171004	
739487	188682	
739487	191499	La caissière
739487	198606	Denise
739487	204668	
739487	225616	Bigoudi
739487	225617	
739487	254152	
739487	257354	
739487	258332	Une mariée
739487	258981	Annette Coindet
739487	264311	Monique
739487	268530	La dame au chien
739487	276013	Clara Kelber
739487	296334	Mamy
739487	377013	
739487	377976	
739487	396845	Berthe Van Meulen
739488	7428	Mme Chartran
739488	23806	Clara
739488	79553	Minie
739488	110058	Marton, suivante d'Araminte
739488	112178	
739488	124397	Marguerite
739488	201180	Herself - from 'Doit-on le di
739488	206507	Mlle Talbot
739488	225383	Lucinde
739488	264087	Lisette
739488	276536	Nathalie
739488	283884	Lucietta, la fille de Lunardo
739488	288298	Tivuy
739488	313991	Caroline
739488	316306	
739488	332227	Nicole
739488	339496	La Escalanta
739488	377771	Agathe
739488	383117	Mme Vermillon
739488	384028	Mathilde
739488	407535	Sarah
739489	309369	
739490	221400	Noemi
739491	62459	
739492	287399	
739493	190329	Traditional Healer
739494	365458	BaAka Villager
739495	381256	Herself ( Evicted 9th, 66 Day
739496	205790	
739497	5876	Cynthia
739497	94206	Emily Ngubene
739497	273566	Attorney Nicci Ngwenya
739497	387359	Donna Makaula (1992-)
739499	353612	Juana
739500	228263	Herself
739500	322417	Announcer, Ayatolla
739500	332835	Girl with bandana
739501	100649	Albertina
739501	181348	Berta
739502	212078	Reporter
739502	387980	Herself/Host (2000-?)
739503	300834	
739504	99873	
739505	18375	
739505	57966	
739505	79157	
739505	133111	
739505	227870	
739505	252688	
739505	344586	La bambina
739505	354450	Una bambina
739506	306950	Mother
739507	109264	Memé's Mother
739507	148060	
739507	205710	
739507	380115	
739507	411735	Bianca
739508	399290	Aunt Diz
739509	1335	An incarcerated Sicilian girl
739509	3352	Roscio's mother
739509	14871	La contessa Naritsckina
739509	18188	
739509	19878	Gisella
739509	20805	Elettra
739509	26682	
739509	26685	Franca
739509	30273	
739509	33489	
739509	33588	Vanda
739509	52784	
739509	54016	Clara
739509	56928	
739509	57026	Mary del Varietà
739509	57306	
739509	63838	
739509	67497	Dario's mother
739509	69270	Tullia delle Grazie (in Itali
739509	69271	
739509	78561	
739509	85558	
739509	85733	
739509	102365	Vera, the wife of the very je
739509	118614	Gabriella Del Prà
739509	119077	
739509	119364	
739509	129018	Madonna Violante
739509	157175	Typist
739509	183021	
739509	196778	
739509	197580	Grumalda
739509	212550	
739509	247095	Liliana
739509	255125	
739509	277806	
739509	278728	
739509	278892	
739509	301368	
739509	301380	Fani
739509	307241	
739509	319293	
739509	319325	Baroness
739509	328629	
739509	344622	
739509	356150	
739509	359540	Elder
739509	399974	Antinous' mother
739510	392787	
739511	78558	
739512	104765	Portuguese entry (20th place)
739512	389858	Dee Dee Cerullo (1994)
739512	403822	
739513	197339	Lisa Dubroc
739514	122319	
739515	78318	Young Lisa
739516	2267	
739516	211464	
739517	13953	Woman at Juschi's
739517	20625	Extra
739517	150008	Gypsy Woman
739517	183445	
739517	206069	Helen Harris
739517	297261	Norma
739517	366236	
739518	44795	
739518	99571	
739519	358190	Henrietta Wheeler
739520	67135	Herself
739521	342021	
739522	61145	
739523	64260	
739524	136865	
739524	296504	
739524	309082	
739524	340444	
739525	5640	Bakkersvrouw
739525	40997	Moeder
739525	62143	Aagt
739525	67934	
739525	93672	Moeder Frits
739525	94920	
739525	156128	Vrouw van Duitse emigrant
739525	156150	Physician
739525	165354	Moeder van Gemma
739525	188904	Mevrouw de Nijs
739525	204573	Mieke Mertens
739525	211907	Corrie Noordam
739525	299889	
739525	359816	
739525	383950	de la Cour
739526	130305	Elephant Girl
739526	346142	Prostitute
739527	242688	Vedova Biliotti
739527	300834	
739528	31491	Amelia
739528	194699	Betsy
739528	252524	Karen Jackson
739529	2662	Gang Leader
739529	232676	Bartender
739530	73413	Girl
739530	109437	Jigger Parkson
739530	134026	Veronica, age 7
739530	160454	Sandy Balcom
739530	163246	Victoria at age 6
739530	192065	Clara
739530	195006	Pinkie
739530	197869	Rusty Davis
739530	198540	Nancy Kettle
739530	292331	Joan
739530	300124	Little girl
739530	315749	Young Mary Rogers
739530	337605	Sis McGonigle
739530	353305	Louise Hudson
739531	33646	Lily Gilbreth
739531	60162	Lillie Gilbreth
739532	9879	Rev. Disney's wife
739533	139547	Herself
739534	64784	Little Girl
739534	92158	Taffy Wells
739534	128332	Pauline
739534	144903	Wanda Anderson
739534	163246	Victoria at age 5
739534	198540	Betty Kettle
739534	200485	Judy
739534	228830	Debby Blain
739534	232225	Cathy Evans
739534	318778	Debbie
739534	330004	Frances 'Frankie' Groves
739534	331109	Little Girl on Boat
739535	194749	
739535	348327	Goldwyn Girl
739536	47549	
739537	23898	
739537	190599	Sybil Garfield
739537	239565	Marchioness
739538	280084	Herself
739539	362722	Brendan and Trudy's Child
739540	234901	Maid 2
739541	57880	Arlene
739542	221146	Albert's Sister
739543	272231	Miss Paradise
739544	194564	Symposium Doctor
739545	252974	Principal
739546	309687	
739546	329305	
739547	144132	
739549	8855	Madame Enjoji
739550	212477	
739550	244090	
739550	402792	
739551	175139	Marnie
739551	268558	Trommedanser
739551	354425	Jóna
739552	63105	
739553	105112	Motel receptionist
739554	52656	Danielle
739554	117844	Virginia Selikovitz
739554	292192	
739554	306596	Waitress
739554	397331	Tara (Joe's Assistant)
739555	46932	
739555	344184	Meatballs Mangini
739556	43154	Slobodanova zena
739556	82368	
739556	85167	
739556	117857	
739556	171913	
739556	181555	
739556	192899	
739556	222899	
739556	261946	Seka - sekretarica
739556	264951	Jacqueline
739556	284865	
739556	305813	Prostitutka
739556	314655	
739556	339971	
739556	343867	Borka
739556	348114	
739556	357400	
739556	387137	
739556	400481	Dragana
739556	401926	
739556	401991	Seka
739556	402025	
739556	405656	Zlata
739556	406315	Lola Golubovic
739556	406316	Lola Golubovic #2
739556	409294	Stanojeva bivsa zena
739557	403684	Maria
739558	360668	Bea
739559	298928	
739561	142799	Lollipop girl #2
739562	388320	Dr. Grant
739563	43615	Vocals
739564	4119	
739565	45899	Extra: bus
739566	110666	Dancer
739567	251560	
739568	23186	
739569	389889	
739571	98740	
739572	6345	Vicente's Wife
739573	55312	
739573	169570	
739573	225913	
739574	4656	(segment "Pacto, O")
739576	75485	
739576	354191	
739577	126166	Cecília
739578	13614	
739579	99107	
739580	410310	
739581	306968	Sofia
739582	66871	Kika/Prostituta
739582	263819	A Mulher
739583	148472	
739584	291892	
739585	148462	
739585	338241	Princess Myrna
739585	383584	Geni
739585	384002	Norma
739585	387424	
739585	388563	Rosane
739585	390494	Bebel
739585	393792	Rosinha
739585	395882	Gracinha
739585	397804	
739585	398220	Clementina
739585	399765	Emília
739585	401460	Maria
739585	402370	
739585	404814	
739586	230701	
739587	292039	Sherril
739588	269574	Flor
739589	54088	
739590	12114	Ruby Gold
739590	238608	Walter's Mother
739591	409937	Celinha
739592	209309	Isabelle
739592	268381	Eleonora
739592	293839	Johanna's Mother
739593	387732	Cindy
739593	409347	Tuiuiu
739594	383727	Cíntia
739594	394872	Lucia Allende
739594	396126	
739594	396610	Pamela (1997)
739594	400670	Celeste
739594	402685	Maria Laura
739594	410245	
739595	6640	Beth
739596	283188	
739597	61134	Orlinda
739597	281915	Tia Anastácia
739597	402086	Sílvia
739597	409347	Penélope
739598	20391	
739598	75633	
739598	91151	
739598	108068	Maria Luiza
739598	124238	
739598	225102	
739598	237216	
739598	256153	Lúcia
739598	263121	
739598	320415	Suzana
739598	324191	
739598	344699	Vera
739598	344853	
739598	380946	
739598	386245	
739598	387900	Mimi
739598	388416	Julieta
739598	391310	
739598	393616	
739598	395366	Maria Luiza
739598	397440	
739598	397547	Diana
739598	397787	Ismênia
739598	401500	
739598	409407	Arlinda
739599	378454	
739600	128663	Ary
739601	113975	
739602	78800	
739602	212687	Woman #1
739602	282350	Bordello lady
739602	329058	Josephine Garza
739603	210354	Herself
739604	82051	Rosalie Rodriguez
739604	227664	Ruiz' Smoldering Squeeze
739604	282616	Neva
739604	304955	Production assistant
739604	362323	Cop at Home
739605	31832	
739606	237465	Mrs. Naidu
739607	381839	Raquel Rinaldi
739608	269892	Aborigine
739609	4587	
739609	59660	
739609	98966	
739609	105871	Bit part
739609	154337	
739609	193050	
739609	215388	
739609	227920	
739609	246060	
739609	249745	Aviva
739609	256912	
739609	286107	Habbubah Shabati
739609	299332	
739609	302060	Julia Mizrahi
739609	352416	Graziella
739610	190180	Mary Magadalene
739610	261794	Femme de Wallid
739611	170843	Ticket Agent
739611	222292	Mumford's Mother
739612	113881	Judy
739613	9131	Passenger with dog
739613	52635	Mrs. Watkins
739613	78882	Mrs. Bunch
739613	82550	
739613	105420	Claire Beckendorf
739613	112207	Emma
739613	118775	Connie
739613	122076	Mrs. Callahan
739613	168693	Third Nurse
739613	202736	Fat Lady
739613	217600	Helga
739613	251743	Large Marge
739613	305953	Sis
739613	314127	Mrs. Furst
739613	331533	Nurse Palmer
739613	339573	Mrs. Cavell
739613	364367	Woman Parole Member
739613	383283	Mahala May Gruenecker
739613	408521	Regular
739613	410845	Carrie
739614	2445	Herself (Denise's Childhood F
739615	313479	Ewok
739616	384483	Todd's Wife
739617	34723	Herself
739617	38863	
739617	45299	Vicki Stafford
739617	73217	Rolly's Mother
739617	149930	Mrs. Lewis
739617	231030	
739617	381514	Herself (2001-2002)
739617	382590	Vicki Stafford
739617	391869	Ailsa Hogan/Stewart (#1) (198
739617	402197	Joyce Martin (1979)
739617	405960	Dr. Irene Fisher (1983-84)
739618	399130	Elly Conway (2001-2002)
739619	125672	
739619	191799	Professor Nancy Morrissey
739620	335880	Young Hillary
739621	86955	Party Server
739621	289265	
739621	314745	Sister Angela
739622	248108	Dancer
739623	96684	
739624	2445	Herself (Neighbor of Denise M
739625	192181	Tracy
739626	218169	Comforting Policewoman
739627	181534	Kelly
739628	100121	Herself (auditioning for Prin
739628	126110	Sue Lynn
739628	140401	
739628	174644	Cindy Holland
739628	289545	Lucy
739628	299952	Herself (segment: "Under The 
739628	329309	Jeannie
739629	104936	Nanette
739630	215664	Miss Kentucky Teen USA (Top 1
739631	267106	Waitress at zoo
739631	302834	Vera Martin
739631	316272	Miss Parke
739631	323913	Vera
739631	387533	Jean Kendall
739631	388324	Margaret Ashton/Porter
739632	285714	Mary
739633	177330	Lady In Phone Booth
739634	48336	
739634	57325	
739634	215074	
739634	294820	
739634	322256	Paula
739634	380081	Elisa Correia
739634	384992	
739634	385184	Dalva Lacerda Pinto
739634	391673	Marta Xavier
739634	397540	Jacira Ferreira de Souza
739634	404165	Remédios
739635	138710	Gack
739636	90816	
739637	96496	
739637	116345	
739637	132952	Teresa Caldarulo
739637	237643	Angela
739637	247066	Justine
739637	302184	
739637	386748	
739637	386749	Debora Angelini
739637	409092	
739638	24713	Matteo's Mother
739638	71215	(segment "Spalle al muro")
739638	310247	
739639	80863	Officer Diaz
739639	143284	Susan
739639	159490	Rosa Hernandez
739639	254625	Ella, Alberto's Mother
739639	308634	Belle Archie
739639	357001	Police Officer
739640	168114	
739640	286228	Dancer
739641	134964	Yr-vaken
739641	216981	The little girl
739641	266776	Short Extra
739642	210961	
739644	209064	Anja
739645	251987	Elsa
739646	179625	
739647	393765	Liisa
739647	405482	Oona Vakkilainen
739648	100453	Countess Flotte
739648	172295	Kirsti Kallio
739648	186071	The Dark Girl
739648	206142	Lilli
739648	282516	Servant
739648	302825	Raila Tuulo
739649	394335	Kerttu Ström
739649	394342	Kerttu Ström
739649	405482	Kaija Liimatainen
739649	409033	Soili Jalaspuro
739650	394962	News anchor (19??-)
739651	234572	Alicia Smythe
739652	48158	
739652	139041	Flemish lady
739652	153319	Mrs. Dawson
739652	184526	Mevrouw Van Hove
739652	202636	
739652	275868	
739652	293695	
739652	314886	Moeder van Jules
739652	360785	Prostituee
739652	379254	
739652	380103	Susana 'Susy' Oviedo
739652	381006	
739652	382551	
739652	388157	
739652	389825	Moeder
739652	393617	
739652	394142	
739652	397654	
739652	400341	Herself (2003)
739652	403637	
739652	408224	Moeder van Tijl
739652	412092	
739653	390950	The Somalian woman
739654	22079	
739654	25609	
739654	99552	
739654	294092	
739654	294122	
739654	307030	
739654	322551	
739654	370227	
739654	378185	
739655	5703	
739655	8343	
739655	10531	
739655	12642	
739655	17710	
739655	17728	
739655	21983	
739655	22018	
739655	22041	
739655	22077	
739655	22078	Gül
739655	23131	
739655	25606	
739655	25607	
739655	25613	
739655	25623	
739655	26002	
739655	26684	
739655	28835	
739655	33411	
739655	33857	
739655	33905	
739655	34045	
739655	34046	
739655	34504	
739655	38499	
739655	38508	
739655	38924	
739655	39050	
739655	44597	
739655	48433	
739655	53289	
739655	53293	
739655	53892	
739655	58332	Emine
739655	64015	
739655	76735	
739655	83103	
739655	83124	
739655	98595	
739655	102439	
739655	102537	
739655	106977	
739655	121698	
739655	125344	
739655	125931	Kösem Sultan
739655	136094	
739655	136690	
739655	136756	
739655	136764	
739655	137793	
739655	140603	
739655	140618	
739655	140705	
739655	156222	
739655	159868	
739655	163094	
739655	164034	
739655	164036	
739655	171979	
739655	171982	
739655	172005	
739655	172662	
739655	173569	
739655	173766	
739655	173772	
739655	173790	
739655	173807	
739655	174902	
739655	174907	
739655	175397	
739655	175487	
739655	175849	
739655	175850	Kezban
739655	178414	
739655	180257	
739655	180629	
739655	182835	
739655	182841	
739655	182868	
739655	200589	
739655	200671	
739655	204896	
739655	211653	
739655	212021	
739655	227965	
739655	229693	
739655	233196	
739655	251271	
739655	256984	
739655	284804	
739655	284868	
739655	288269	
739655	289320	
739655	293665	
739655	294119	
739655	296412	
739655	308290	
739655	308320	
739655	308417	
739655	308427	
739655	322448	
739655	323920	
739655	348021	
739655	348638	
739655	352941	
739655	370311	
739655	370425	Gül
739655	370633	
739655	370635	
739655	370697	
739655	370771	
739655	370772	
739655	370912	
739655	371349	
739655	371397	
739655	371398	
739655	371399	
739655	371549	Melahat
739655	371556	
739655	373396	
739655	374660	
739655	374661	
739655	377511	
739655	377513	
739655	377528	
739655	377533	
739655	377542	
739655	377561	
739655	378214	
739655	378231	
739655	378235	
739655	378592	Gül
739655	378600	
739655	386039	
739656	43293	
739656	63977	
739656	177788	
739656	177843	
739657	22032	
739657	38480	
739657	38925	
739657	45721	
739657	48441	
739657	56667	
739657	89530	
739657	96488	
739657	113716	
739657	136785	
739657	156431	
739657	173417	
739657	173564	
739657	173863	
739657	199615	
739657	212285	
739657	249228	
739657	293892	
739657	294121	
739657	294253	
739657	301426	
739657	302063	
739657	308322	
739657	370617	Fikret
739657	370656	
739657	371553	Hatçe
739658	26000	
739659	8914	
739659	12649	
739659	22099	
739659	27420	
739659	34037	
739659	38473	
739659	38474	
739659	44598	
739659	63801	
739659	78518	Zarife
739659	102529	
739659	102535	
739659	122807	
739659	156209	
739659	173426	
739659	173856	
739659	175384	
739659	176700	
739659	288607	
739659	295529	
739659	296406	
739659	322536	
739659	350993	
739659	370768	
739659	374317	
739659	375853	
739660	326495	Tansul Yilmaz
739661	23127	
739661	31011	
739661	33858	
739661	98677	
739661	173863	
739661	210253	
739661	240536	
739661	295252	
739661	377553	
739661	378202	
739662	177821	
739663	26031	
739663	34829	
739663	44656	
739663	285567	
739663	368444	
739664	171717	Sarah
739664	392511	Nadia
739664	392512	Nadia
739665	132074	
739666	43021	
739667	271685	
739668	70696	Child
739668	193053	20-months-old child
739669	377150	
739670	70696	
739671	47117	Backup Singer
739672	375394	
739672	390448	Fresita, the flower power gir
739673	23060	Amalia's daughter
739674	87936	Young Yvonne
739674	188143	Irene
739675	30312	Caroline
739675	51725	
739675	68362	
739675	70192	Erika
739675	148643	Thilda
739675	197546	La sirène
739675	222139	
739676	248735	
739677	356482	
739678	20203	Andien
739679	392532	Herself - the finalist (1st t
739680	182218	Cheerleader
739681	25282	Valerie
739681	144055	Liisu
739682	139383	
739682	166668	
739682	214712	
739682	217468	
739682	239445	Sirkku Laine Aaltonen
739682	334825	
739682	377313	Eva Tonnila
739683	248735	
739684	188933	Eija
739685	183967	
739686	181630	Ravintolan pöytäseurueen jäse
739686	181856	Waitress
739686	396314	Tuulia Turpeinen
739686	398192	Tuulia Turpeinen
739686	401278	Tuulia Turpeinen
739686	409851	Sairaanhoitaja
739687	101496	
739687	150661	Ramona
739687	160494	Maiju Puro
739687	261170	Sara
739687	300796	Kreivitär
739687	349439	Lea
739687	392605	Paula
739687	397748	Julia
739687	400356	Pias advokat
739687	403159	Sanna
739688	181630	Irma Rautavaara
739689	188623	Young Anna Kaleva, 1947
739690	374775	
739691	186446	Leslie
739692	199319	Sita
739693	27383	
739694	52576	Herself
739694	149252	Traci
739694	332376	Leilani
739695	43021	
739696	254285	Ibu Darmawan
739697	22688	Danseuse
739698	263675	
739699	97046	Jamie
739700	16034	
739700	27919	Gina (episode 4 "Baiser de 16
739700	73640	Svetla
739700	87045	Gladice
739700	88343	Maria
739700	116483	
739700	153741	Veronica
739700	218955	
739700	268899	Model for Photo of Lady Sheil
739700	275416	
739700	295132	
739700	295145	Emily
739700	300785	
739700	301175	Aglaia
739700	319514	Diabolicus' Mistress
739700	332741	
739700	335538	
739700	348157	Viviane Barrett
739700	351527	
739701	127038	
739701	361237	Emira
739702	12372	
739703	119626	Newswoman
739704	194350	
739705	300767	
739706	236784	(segment "At a Wedding")
739708	78489	Herself (performing 'Det blev
739708	78490	Herself (performing 'Kys mig 
739709	6775	Vampire Queen
739710	29149	Mom Flagg
739711	15866	Aarti
739711	18484	
739711	25955	Chanda
739711	29064	Kalyani
739711	30542	
739711	36004	
739711	58979	
739711	58996	
739711	60972	
739711	60978	Shanti
739711	61001	
739711	61533	
739711	84791	
739711	86652	
739711	86673	
739711	86746	
739711	95036	Nirmala
739711	98466	
739711	124633	
739711	132583	
739711	137828	Daughter
739711	141831	
739711	144733	
739711	160223	Shanti Devi (Amar's mother)
739711	164854	
739711	168369	
739711	171849	
739711	172621	
739711	173372	
739711	173500	Mrs. Singh (Ravi's mother)
739711	174129	Mrs. Vishwa Pratap Singh
739711	175930	
739711	180724	
739711	183114	
739711	184020	Laila
739711	198672	
739711	200698	
739711	201077	
739711	201078	Sanjukta
739711	204908	
739711	211460	Aarti (Mrs. Deepak Verma)
739711	213784	
739711	222069	Shankar's mother
739711	226076	Janki Kapoor
739711	246803	Laxmi
739711	251257	Shanti
739711	277088	Omega Mu
739711	277784	
739711	278808	Savitri
739711	284713	
739711	284717	Kunti
739711	288200	Kumud Sundari
739711	288836	Mahjubhi
739711	293247	Gauri
739711	296606	
739711	299329	
739711	308495	Lakshmi
739711	308496	
739711	308983	
739711	318517	Sujata
739711	328177	Sulekha
739711	328224	
739711	370206	Bhavna
739711	373078	Savitri Devi
739712	23058	Pittaluk
739714	384292	Amelia
739715	55847	
739716	184060	
739717	397793	Miss Courtney
739717	399189	Aunt Eleanor
739718	75242	Carla
739720	184959	Tiffany
739721	127548	Carol Ann
739722	228312	Herself
739722	311702	Herself
739722	387533	Chloe Atkinson (2000-2004)
739723	82682	Margo Evans
739724	191850	Earth Fiance
739725	405248	Herself
739726	104290	Rita Pope
739726	129348	Joyce Randolph
739726	398208	Debby
739727	79528	Maureen
739728	38960	Kate De Vries
739728	140966	Susan
739728	359750	Donna
739728	366953	Sandy
739729	394776	Herself (2001-)
739730	324304	
739731	379041	Äiti
739731	393054	Titta (1998)
739731	396314	Kulttuurisihteeri Suvi Aalton
739731	398192	Suvi Pohto
739731	401278	Suvi Pohto
739731	404145	Anna Järvinen
739731	409770	Tuuli Kontio
739732	285801	
739733	156039	Old lady of Teliranta
739733	177897	Granny
739733	196525	Vilhelmiina
739733	198758	Britta-Kaisa
739733	213378	Jaskari's wife
739733	283959	Briitta Ojanperä
739733	350584	Woman
739734	407109	Herself (2002)
739735	43931	Ingrid
739736	328196	
739737	17022	Rosie
739737	31073	Alma
739737	31156	Xiou-Xiou Ling
739737	36457	Console Giapponese
739737	37088	Atanga
739737	40018	Thais
739737	62015	Mrs. Sung
739737	66601	Tso-Tsing
739737	81162	Tapulua
739737	85819	Mai Chen
739737	86808	Kitty
739737	128337	Tamiko
739737	149708	Annalik
739737	157783	Kalai Ducanne
739737	166242	
739737	169594	Ying-Ying St. Clair
739737	185710	Cindy
739737	200256	
739737	203182	Nurse Kate Davray
739737	213019	Mitsi Kawamato
739737	241562	Ah Toy
739737	242431	Li Tang
739737	276852	Kito
739737	288441	Siu Lan
739737	305012	
739737	305575	Dr. Chin
739737	309858	Liat
739737	368890	
739737	392441	Sam-than McLean
739737	394676	Dr. Carrol (1990)
739737	404282	Dr. Chen (1989)
739737	406319	Dr. Paulette Kiem (1986-1988)
739738	97778	Angela
739739	157766	Jonge vrouw
739740	308326	
739741	174987	
739742	89967	
739742	360260	
739743	314853	Antonia als Kind
739744	355828	Violin
739745	215686	Miss Panama
739746	8267	
739746	82245	
739746	145208	
739747	301163	
739748	256786	
739749	82181	
739749	132912	Pedestrian
739750	70624	Mujer Federación 6
739751	84762	Ema
739751	180675	Paula
739751	243195	Terezka
739751	253255	Vera
739751	266344	
739752	111613	
739753	326496	Refugee woman
739754	279581	Servant Boy
739755	185529	Herself
739756	353749	Reporter #1
739757	245339	
739758	173165	
739759	59191	Narrator
739759	276686	Reporter #1
739759	385331	Herself
739760	203957	Ruby
739761	6501	Zsuzsa nõvére
739761	104195	
739761	110727	András's ex-girlfriend
739761	111313	Jogásznõ
739761	136442	
739761	138008	
739761	171622	
739761	171825	Maskot
739761	182831	Éva
739761	184270	
739761	322008	
739761	322213	Kati
739761	348572	
739761	350833	Juli
739761	368737	
739761	375370	
739761	399160	Augusta
739762	126355	Zevel
739763	268168	
739764	172688	Noni
739765	313477	Stass Allie
739766	176256	Shopkeeper
739766	273566	Miriam Mbombela
739767	33225	
739768	21756	Nyanta
739769	222661	
739770	74258	Apron Women
739770	75505	
739771	44359	Ivan's Mother
739771	191478	Prostitute Milka
739772	365485	Lottie
739773	312904	Tracy
739774	398852	Sjuskoterska
739775	223091	
739776	42200	Britt Kellerman
739776	96015	Bella
739776	228382	Inga-Lill
739776	276131	Ingeborg Nyberg
739776	303650	Anna-Lena Sander
739778	407125	Herself/Host
739779	168389	Eva
739780	411580	The psychologist
739781	393760	Vilttitossu
739782	411354	
739783	409045	Herself/Host
739784	312904	Rachael
739785	409540	
739786	341867	
739787	93514	Barn
739788	46199	
739789	135717	Berte Kanten
739789	192486	En bondekone
739789	304108	Augusta Østerholm
739789	352204	Myrbråtens kone
739789	354196	En småbrukerkone
739790	253363	Office manager
739791	46647	Maria
739792	178866	
739793	254080	
739793	306024	
739795	88102	Eva (5 years old)
739796	82541	Madame Antoinette
739797	122179	
739798	177069	
739799	290640	
739800	405209	Kimberley Wallasee (1999)
739801	72916	Sylvia Grantham (segment "Fat
739801	88164	Diana Proctor
739801	134694	Norine
739801	142541	Regina Holt
739801	289645	Tallulah Bankhead
739801	291288	
739801	293032	Aldena Kittner
739801	327669	Marguerite Gautier
739801	335710	Graziella
739801	336714	
739801	348851	Nancy Baker
739801	390771	Susan Piper (1984)/Carolyn "C
739801	410701	Herself/panelist
739802	150297	Vicki
739802	157575	Julia
739803	50925	
739803	245633	
739803	256116	
739804	312270	Eunice Tanner
739805	354563	Restaurant Patron/Club 1,000,
739806	99468	Ruth
739807	395127	Herself
739808	293793	
739809	7071	Ma Benson
739809	19173	ATS auxiliary
739809	77982	Wilma Pierce
739809	97611	Irene
739809	215153	Mayoress
739809	221075	Matron
739809	316604	
739809	396912	Polly Jessel
739809	401212	Madame Vacquer
739810	340502	Une Fille De La Nuit
739811	21965	
739811	326128	Belote player
739812	160321	Prisoner Voice
739812	273566	Sangoma Rachel Ndlovu
739812	288690	Miriam
739812	411707	Lily
739813	171426	Lenke
739814	16997	Vivi
739814	137889	
739814	153691	Yvonne Barret
739814	163174	Boglárka
739814	259506	Gerda Bachmann
739814	322047	Árnika
739814	334028	
739814	377889	Kériné
739814	381344	Juli Dobi (2001)
739815	74311	
739816	399512	Puala, Storfangerens datter
739817	117862	Bella Holm
739817	242689	Mor til Dan
739817	257413	Sykepleier
739817	271687	Bygde-Sara
739817	347005	Krestna
739817	382898	
739818	321176	Nathalie
739819	127581	Gerd
739820	334172	Yngves søster
739821	333022	
739822	53566	
739823	168446	
739824	127119	The Parliament
739824	208285	Nina's Mother
739824	321082	Shirley Hicks
739824	383376	Hannah Burgess
739824	396235	Laura Grey
739824	397534	Eleanor Scott
739825	194217	Herself
739825	260950	Elite Model
739826	159646	
739827	67349	
739828	232736	Young Woman
739828	322310	
739829	257902	Annabel
739830	357612	Receptionist
739830	380752	Eva
739831	152793	Isa
739831	303843	Flickans mamma
739831	405570	Natalie Ekman (1996-1997)
739832	153714	Agneta
739832	258991	Yvonne
739832	377396	Aja
739832	377427	Kerstin
739833	396248	Oona Jalava
739834	212333	Herself - Participant/Perform
739835	184009	Laura
739836	349128	Child
739837	255386	
739838	40889	Len
739839	386807	Herself
739840	19393	
739841	299954	Female Employee
739841	366972	Girl
739841	377889	
739842	326496	Refugee
739843	136431	
739844	392349	Host, Herself (1993)
739845	192927	Herself
739846	192927	Herself
739847	277349	Förbipasserande tjej 1
739848	192927	Herself
739849	192927	Herself
739850	238166	Young Prostitute
739851	178376	Statist
739852	227479	Herself (Nanook's wife, the s
739852	252412	La dame au chapeau
739853	408956	Tracy Young
739854	18402	Kasino manager
739854	136899	Honorary Counsellor's Wife
739854	152341	
739854	153721	
739854	170246	Shemeikan äiti
739854	171439	
739854	180316	
739854	219451	The Boy's Mother
739854	255764	Institution director
739854	272694	
739854	356116	
739855	164767	Beatrice Isløv
739856	390523	Janet St Clair (1983-1987)
739857	238648	
739858	181933	Isoäiti
739859	134965	Woman at the restaurant
739860	304354	Jessica
739860	405825	Bea
739860	405840	Anette
739861	107947	
739862	154502	Tourist
739862	289212	
739862	333068	Ulla
739862	402362	Phillis
739862	407124	Hellen
739863	195050	Sur tant
739864	377336	Agnes Lindberg
739865	94342	Berit
739866	51989	Ranch Inmate
739867	43979	
739867	256962	Fatima
739867	389121	Eva Holme
739868	107947	
739869	197718	Mother Victim
739871	381436	Cassie Roman (1992)
739872	2608	Steva
739872	42527	Ellen
739872	60278	Margareta
739872	84315	Guest at Restaurant
739872	94252	Sanna
739872	101126	Woman without legs
739872	107305	Bertha
739872	109140	Helen Tomasson
739872	121007	
739872	134943	Maggan Carlsson
739872	134966	Birgit
739872	136612	Signe
739872	136621	Orlanda
739872	153290	Agnes
739872	153945	Helena
739872	154016	The guide
739872	164788	Anna Lena Lisabet Nyman/Lena
739872	164789	Anna Lena Lisabet Nyman/Lena
739872	171574	Pernille
739872	174103	Britta
739872	197137	Greta
739872	214380	Sonja
739872	219437	Boel
739872	223194	Yvonne Wickström
739872	227103	
739872	245943	Mia/Ingegerd
739872	254282	Fru Fellini
739872	266776	Actress
739872	272501	Malla af Tidaholm
739872	272510	Merchant's wife
739872	272511	Handelsmannens fru
739872	281335	Lovis
739872	281336	Lovis
739872	284100	Räkan
739872	303843	Märit
739872	304424	Lee
739872	305306	Frida
739872	309064	Princess Victoria
739872	317609	Estelle
739872	320629	German messenger
739872	320692	Charlotte
739872	322315	Siv Matsson
739872	322613	Miss Jansson
739872	339454	Marie David
739872	355657	Berit
739872	378272	
739872	394937	Electrical girl
739872	403408	The prostitute
739872	409050	Mrs. Jansson
739873	182531	Rejected Woman
739874	135985	Alice
739875	122500	Tanten
739875	391059	
739877	100011	Tanhu-ryhmän jäsen
739878	153095	Helsingin Sanomien Ilmoitusvi
739878	156037	Bar owner
739878	156038	Laimi Hongisto
739878	165803	Kiimalaisen vaimo
739878	171576	
739878	174706	Nakkiakka
739878	176704	Minister for Culture
739878	181708	Lyyli-täti
739878	185006	Head Midwife
739878	190659	Kaisu's mother
739878	193554	Marjukka Notkola
739878	197364	
739878	221859	Emäntä
739878	223257	Maria's friend
739878	260500	Mother of the bride
739878	271053	Apulaispoliisimestari Ritva H
739878	284751	
739878	285801	Nainen pankkiautomaatilla
739878	301430	Hieno rouva
739878	323254	Alma (Ääni)
739878	324605	Huumoska
739878	324808	
739878	332518	
739878	343509	Elma Laurila
739878	350602	Eira
739878	350718	Ethel Paakinaho
739878	354285	Hetta's daughter-in-law
739878	371440	Liisa Suomies
739878	387500	Tuula (1997-1998)
739878	394539	Raakel Karhunen
739878	402792	Apulaispoliisimestari Ritva H
739878	405464	Marjukka Raavas
739878	407556	Kikka Perander
739878	409771	TV announcer
739878	409931	Minna Canth
739879	132241	
739880	208425	Witwe Bolte
739881	27099	Wrestler
739881	221373	Mesmeralda
739881	242814	First Lady
739881	296783	Helena, Fortuneteller, Woman 
739882	19786	
739883	188388	Divorcee
739883	352014	Herself
739884	65386	Waitress #2
739885	336985	Femme africaine 3
739886	336985	Femme africaine 4
739887	164164	
739887	322579	Marie
739888	189306	
739889	238094	
739890	86218	Baby
739891	285801	
739892	123711	
739893	47546	Herself
739894	347710	
739895	34254	Sonja Kovalevskij
739895	66044	
739895	120848	jungfru Stina
739895	130070	Svea Åkerblom, Oscar's wife
739895	136632	Birgitta
739895	152758	
739895	159904	Helena
739895	163936	Miss Karlsson
739895	164362	Kicki
739895	175352	Kattrina
739895	179713	Lene
739895	209303	Herself
739895	214863	Mrs. Edla
739895	216677	Moa
739895	225349	Masja
739895	233075	Alva Jönsson
739895	240208	Maj
739895	275843	
739895	283694	Monica
739895	326010	Red Cross-sister
739895	333467	Rita
739895	341026	Lisa
739895	345937	Hanna
739895	382856	Beatrice Grip
739895	390231	Svea Åkerblom
739895	390784	Kristina Frisk
739895	391357	Lillemor Andersson
739895	394085	Member 4
739895	402881	Tilda
739895	405822	Gunilla-Margits dotter
739895	407489	
739895	408272	
739895	408801	Anna Söderberg
739895	408998	Lena
739895	408999	Lena Jonsson
739896	283694	Lena as young
739897	47398	Jenny, Axel's friend
739898	108975	Nightclub Dancer
739898	129267	Professional dancer
739899	289873	Dochter villa-bewoner
739900	387611	La mercière
739900	396622	Livie
739901	388919	Princes Milo
739902	184924	Inger
739903	218886	Bitten
739903	258747	Lotte
739904	36704	Baxter Bay Fan
739905	245537	Nurse
739906	210298	
739907	259354	
739908	89860	Wedding Coordinator
739909	205209	
739910	301674	Hostess
739910	318642	Dressler's Secretary
739911	159640	
739912	104741	Finnish entry (10th place)
739913	122336	Herself
739914	147005	Singer
739914	304183	Linda
739915	174740	
739915	255753	Raili's mother
739916	228388	Ann Persson
739917	147005	Lillan
739918	2223	
739918	17587	Asta
739919	284135	Old Maid
739920	174726	Greta
739920	237056	Whore
739921	350927	
739922	349822	
739923	237241	Pirjo Valve, Tuula's sister
739924	115401	Agneta
739925	19404	Herself
739925	19409	Herself
739925	19411	Herself
739925	19414	Herself
739925	78460	Herself - Performer
739925	170848	Herself (greetings for the sh
739925	257309	
739925	305489	Herself - Aqua
739926	118781	Beatrice
739926	167324	Mary Moorman
739926	366665	
739926	411284	Various Characters
739927	33258	Tecia
739927	65751	Betty
739929	188453	'Dislike' Girl
739930	349779	Dóra
739931	28555	Rengjøringscjef
739931	219447	Wenche
739931	242692	
739931	391365	
739931	401127	Ragna Rekkverk
739931	404890	Ragna Rekkverk
739932	243800	
739933	235646	Aunt Joyce
739934	58743	Fatou
739935	8459	
739935	232262	
739935	316411	Aunt Viola
739936	382637	Samira
739936	410441	Millie Koenders (1994-1995)
739938	117877	
739939	147311	Berta barátnõje
739940	182828	Aranka
739940	410482	Ilcsi
739941	99740	
739941	256679	Falusi lány
739942	7703	
739942	122382	
739942	349034	
739943	61344	
739943	80286	
739943	83129	Amalia Saldivar
739943	132704	
739943	184242	
739943	212244	
739943	226499	Tia Carlota
739943	236036	Sheila Brown
739943	246154	
739943	264121	
739943	292774	
739943	370170	
739943	377189	
739943	380151	
739943	384986	
739943	386076	
739943	388095	Nela (1988-1989)
739943	393329	
739943	396243	
739943	397462	
739943	398491	
739943	399572	
739943	401695	
739943	401898	
739943	405400	
739943	412197	
739944	67435	
739945	69206	
739945	291608	
739946	401918	
739946	402839	Polita
739947	14638	
739947	53965	
739947	80187	
739947	96373	Isaura
739947	124442	Clotilde
739947	136736	
739947	170047	
739947	210868	Rich Lady
739947	250795	
739947	250796	Mrs. Rojas
739947	269470	
739947	383273	
739947	385416	Gutierrez widow
739947	386126	
739947	387170	
739947	388647	Angelina
739947	396631	
739947	397598	
739947	401898	
739947	403365	Maria II
739947	403402	Enfermera
739947	409719	Emiliana
739947	409782	Gloria
739947	410313	Enfermera de Beatriz
739947	410477	Laura Albavera viuda de López
739947	411710	
739948	198229	Alena
739948	239893	Juta's lady-in-waiting
739948	268276	Mirka
739948	402367	Mysterious Tizian
739949	75144	
739950	397011	
739951	377129	
739952	74407	Szilvia
739952	91252	
739952	110726	
739952	136600	
739952	209842	
739952	226712	
739952	322049	
739952	352777	Virágné
739952	354256	Kupi Terka
739952	401347	
739953	361038	
739954	377295	Äiti
739954	401477	Maija-Liisa Vesterinen
739955	350353	Hooker
739956	287575	
739957	372625	Band member (Kemopetrol)
739958	174117	Bettan
739958	357769	Betty, Lillebror's Sister
739959	342247	Herself
739961	314323	
739962	78266	Herself - Performer
739962	279619	Herself (audience)
739962	291654	Herself (episode 2 "Kendt fra
739962	351368	Herself
739962	376103	Herself
739962	392343	Herself
739962	401872	Herself - Participant (2001)
739962	401878	Herself - Participant (Winner
739963	195390	2nd Angry Woman
739964	136627	Piken
739964	197274	
739964	304182	
739964	304976	
739965	408188	Herself - på tur i Rallarvege
739966	50977	Afholdskvinde
739967	28041	Åse
739968	318487	Bartender
739969	388307	Hoang Sivertsen (1996-1997)
739970	83256	Solange
739970	200960	Cabaret Dancer
739971	282781	Pierre
739972	112178	The Girl
739972	115350	
739972	254023	Mireille
739973	44998	
739973	45000	
739974	8214	
739974	110436	
739974	236586	Nina
739975	7464	La Mère d'André
739975	208830	Mère de Jean
739975	319805	La vieille dame
739975	337007	Dame event 1
739975	346418	Temporary Newspaper Kiosk Wor
739976	121039	
739976	189831	Berta König
739977	48521	
739977	153688	
739977	281286	
739978	375965	Police girl
739979	162745	
739980	381344	Petra Varga (2004-)
739981	182793	
739982	328928	Nate nõje 3.
739983	357936	Mrs. László Szántó
739984	98027	
739985	98027	Hajdúné
739986	261204	
739987	175708	Varga Irén
739988	122131	
739988	224968	Rolla
739989	97969	
739990	74393	Enikö's Daughter
739990	348671	Dagi lány
739991	213681	
739992	103052	Jane
739992	173966	
739992	254518	Ilona
739992	327373	Dívka
739992	379094	
739993	97986	Schoolgirl
739994	98023	Eszter, Lugossy lánya
739994	199872	Madách Mária
739994	214708	Surányi Gizi
739994	225083	Panni,János menyasszonya
739994	229025	
739994	229477	
739994	237395	Ili
739994	268429	Végpusztai Varga Mária,avagy 
739995	64756	
739995	159286	
739996	157335	Agnes
739997	104792	
739998	29701	
739998	40364	
739999	69120	Actor
739999	72367	Jacynthe
739999	104290	Elizabeth Kane
739999	133045	Voix de Brigitte
739999	155230	Lead
739999	164182	Actor
739999	345427	Actor
739999	375936	Lucy
739999	385140	Lead
739999	386497	Stella (1997, 1998, 1999)
739999	404018	Support
739999	404525	
739999	408883	Stella (2000, 2001, 2002)
739999	409542	Actor
739999	409677	(1996)
740000	45620	Chantal
740000	217266	Odile
740000	309003	Karine
740001	97975	
740002	409046	Presenter
740003	104756	Host
740003	235398	
740003	387959	Herself - Presenter (1981)
740004	110216	Alanna
740005	403737	Ciara Ní Cheallaigh
740006	160325	Herself
740007	403737	Eileen Lynch
740008	86719	
740008	194113	Deirdre
740008	403737	Denise Bonner
740009	403737	Ríona De Búrca
740010	238246	Eileen
740010	403737	Dr. Sinéad Ní Bhaoill
740011	403737	Eimear O'Connor
740012	69635	Bairbre Conneely
740013	403737	Ali Begley
740014	367334	Barmaid #1
740014	403737	Bernie Ní Neachtain Seoighe
740015	403737	Caitríona Ní Loideáin
740016	403737	Deirdre Ní Ógáin
740017	292534	Barmaid
740017	403737	Angela Uí Dhireáin
740018	104746	Host
740018	387959	Herself - Presenter (1971)
740019	104769	Herself - Host: 30 May 1994
740019	387959	Herself - Co-Presenter (1994)
740020	92686	Voice Over
740020	96385	Sonnie's Mother
740020	215973	
740020	223841	
740021	403737	Bríd Sinclaire
740022	108225	Mrs. Busy Busy
740022	191342	
740022	403737	Rita O'Connor
740023	403737	Sgt. Úna Ní Riain
740024	130499	Yuri Tachibana (BS Digital Q 
740024	169737	Tomoka Miura
740024	228932	Midori Kagawa
740024	237590	
740024	403411	
740025	386882	Mariana 'Marianita' Díaz
740026	145205	Vicky
740027	344811	
740028	385043	Eurídice
740029	21628	Doppelganger
740030	292754	Terrorista
740031	155482	Hausbesorgerin
740032	396874	Johanna Schwerdtfeger (1992-)
740033	203965	Luder (hooker)
740033	271839	Julie's Mother
740034	95001	
740034	169973	Miriam
740034	305520	Elsebeth Jacobsen
740034	346992	Agnes
740034	403114	
740035	34494	
740035	146848	Ung pige
740035	213436	Soldat Frederiksen
740036	12519	Ellinor
740036	12522	Skuespilleren
740036	14994	Elise
740036	17705	Lisa
740036	20890	Abby Brewster
740036	21375	Annelise
740036	26156	Narrator
740036	28518	Frk. Hansen
740036	30282	Anne Tofte/von Rosensten
740036	34480	Lisa
740036	42619	
740036	42686	Herself (presenter)
740036	49543	Else
740036	59526	Laura Hornemann
740036	59726	Steffens Mor
740036	67230	Madame Alexandra
740036	77413	Afdøde Jonsens elskerinde
740036	78288	Undervisningsassistent
740036	78435	Regitze
740036	84267	Jan's mother
740036	84278	Ulla Lind, Sekretær
740036	93941	Inger
740036	94998	Nora
740036	99510	Britt
740036	107304	Laura
740036	108050	Elisabeth
740036	108955	Bitten Nielsen
740036	114808	Kammerpige Adele
740036	115230	Frk. Birk
740036	115231	Frk. Birk
740036	116306	Hanne Hansen
740036	120027	Rosha Cohen
740036	120312	Lis
740036	123496	Anna
740036	130070	Karin Åkerblom, Anna's mother
740036	130111	
740036	134256	Baronesse Gjerløv
740036	134972	Ellinor Haldorff
740036	136733	Inger
740036	136804	Voice of H.C. Andersens mothe
740036	138006	Marie Hamsun
740036	138036	Marianne Borg
740036	143219	Fru Nielsen
740036	145624	Henny
740036	147018	Herself
740036	147020	Tante Anna/Ålen
740036	153101	Frida
740036	153377	Eva
740036	153776	Fru Kryger
740036	155444	Barbara
740036	179455	Baglady
740036	180407	Kirsten
740036	181750	Fru Ilse Brehmer
740036	182276	Bente
740036	182601	Ida Friis
740036	184566	Grethe Strand
740036	188912	Lisa
740036	190825	Birthe Rasmussen
740036	195181	Louise
740036	198056	Pernille
740036	203969	Helene Lorentzen
740036	213435	Helle
740036	214349	Irene Hagenfryd
740036	214350	Bodil Thorsen
740036	215268	Célimène
740036	225679	Herself
740036	228396	Wish Luck
740036	236274	Caroline
740036	237301	Daisy
740036	240100	Frk. Bodil Hansen
740036	244002	Eva Hansen, kontorpige
740036	245794	Ida Molard
740036	249743	Madame Natasha
740036	252195	Ellen Worm
740036	252332	Hjördis
740036	253969	Tony
740036	255675	Kvinde på gaden
740036	275626	Sygeplejerske
740036	278356	Rikki
740036	287120	
740036	287375	Embla
740036	293650	Aase
740036	293703	
740036	293705	Svigermor
740036	303643	Marianne Birk
740036	304176	Eva Lund
740036	305877	Rut
740036	306973	Frederikke
740036	307507	Elena
740036	314992	Herself
740036	315399	Herself
740036	317510	Pernille
740036	317600	Anne Marie Bøgelund
740036	321992	Vibeke
740036	322457	Eva Thygesen
740036	336411	Edith Ibenholdt
740036	338697	Hanne
740036	343953	Helena Krebs
740036	344674	Anna
740036	346407	Secretary
740036	346966	Helle
740036	347013	Mrs. Kristensen
740036	349650	Hanne
740036	351046	Helene
740036	352116	Waitress
740036	357814	Eva
740036	358833	Flora Nymann
740036	376101	Herself - Winner
740036	376103	Herself
740036	377416	Frederik's Mother
740036	381055	Herself - Actress
740036	382884	Johanne Luise Heiberg
740036	387293	Ella Davidsen
740036	388761	Kristnie Åsland
740036	390231	Karin Åkerblom
740036	397074	Ingeborg Skjern
740036	403138	Bibi
740036	403379	Rigmor Mortensen
740036	403380	Rigmor
740036	412298	Thea
740037	403534	Herself - Participant
740037	403536	Herself - Participant (2001)
740039	405849	Herself
740040	80312	Herself
740040	211238	Herself
740040	396274	Herself - Host
740041	183311	Nybagt mor
740041	275415	Fængelsebetjent
740041	358464	
740042	341114	
740043	234826	Pige/Girl
740043	400118	Klassekammerat (Classmate)
740044	403536	Herself - Participant (1998)
740045	17413	
740045	22844	Karls Mor
740045	152394	Pia
740045	321997	
740046	153392	
740046	293895	Kvinde der reklamerer i tv
740047	398225	Host
740048	77489	
740049	11091	Miss Olsen
740050	260961	Kenneth's Girl
740051	399507	Fangerfamilie
740052	51132	Kunstmuseumsgæst
740053	2191	Herself - Sygeplejerske
740054	25057	
740054	397498	
740054	404994	
740055	114873	Dancer: Grupo Cobo de la Peña
740056	387685	India
740056	396852	Miguelina
740056	404161	
740056	410477	Lucy
740057	335016	Young Doris
740057	340034	Carolyn Hulin
740058	154212	Whore
740059	28578	
740060	24997	
740060	27781	
740060	63787	
740060	97659	Lola Vargas
740060	106458	
740060	170095	
740060	237988	Margaret Dixon
740060	265158	
740060	349928	
740060	380700	Pedro
740060	390899	Conccetta
740060	408485	Tom Sawyer
740061	106271	Herself
740062	377108	
740063	8524	
740063	12925	
740063	54192	
740063	57565	
740063	96288	
740063	179821	
740063	197088	Lucia II
740063	202735	Coronela
740063	210590	
740063	214390	
740063	221990	
740063	233628	
740063	238338	
740063	243509	Herself
740063	244629	
740063	263850	
740063	266190	
740063	306819	
740063	308327	
740063	357408	Isidora Kavarubiya
740064	86725	
740064	87807	Nancy
740064	206004	
740064	268500	
740064	370139	
740064	383242	Otilia Gades
740064	385869	Auriselvia Luzardo
740064	386149	Pastora
740064	387523	Leticia
740064	387666	Misia Flor
740064	392848	Jacinta Leal
740064	397012	Rosalinda Basanta
740064	397014	Inicencia
740064	405776	Agueda Ozores
740064	411659	
740065	104088	Mamen
740066	106993	Prima
740066	213759	Olivia joven
740066	332586	Lourdes
740067	151810	Clara
740068	120718	Sra. Hilda
740069	408747	Barbarita Pinzón (Barbie)
740069	412133	Cándida Santos
740070	55945	
740070	132681	
740070	137847	
740070	145208	
740070	162783	
740070	199969	
740070	212438	
740070	233342	
740071	114873	Dancer (segment "Bulerías")
740072	74842	Daisy
740072	338051	
740073	53656	
740073	84464	
740073	100279	
740073	101465	
740073	132709	
740073	192669	Mercedes
740073	205668	
740073	212526	Enfermera
740073	214207	
740073	221747	
740073	236025	
740073	256119	
740073	266528	
740073	268250	
740073	292910	
740073	300688	
740073	340288	
740073	349538	
740073	378467	
740074	349952	
740075	221990	
740076	303119	Miriam
740077	388097	Teresa
740077	393187	Eloísa
740077	403683	Fausta
740077	403784	Adela
740078	351961	
740078	407304	Leticia
740078	407529	
740079	147459	
740080	6468	
740080	187734	
740080	234008	Tanja
740080	372950	Bego
740080	384795	Tanja (2000-2001)
740080	400756	Herminia
740081	26656	
740081	111247	
740081	395050	
740082	43124	
740082	397370	Bub
740083	189611	Kellnerin beim Türken
740083	278573	Angestellte im Reisebüro
740084	985	Eva
740084	42525	
740084	79173	
740084	111922	
740084	125317	Beatrix
740084	128993	Ninon
740084	189764	Gräfin Melanie
740084	389961	
740085	259477	
740085	259615	Dame im Fenster
740086	210031	Margit
740086	352270	
740087	33157	Koldewey
740087	95424	Hannah Jaeger
740087	170510	Mme Peters
740087	178553	Polja
740087	182765	
740087	290561	Annemarie Bluhm
740087	308231	Warwara
740087	308834	
740087	312661	Jutta Schröder
740087	338940	Julia Bayer, seine Frau
740087	347011	Paula
740087	360972	Zensi Mühsam
740087	377374	Anna Neumann
740088	43941	Sheila
740090	41251	Young Indian
740091	109457	Caesar's Gang Member
740091	314104	Dancer
740092	5028	Kid #4
740093	312925	
740094	1119	The Second Mrs. O'Cleary
740095	42422	Stephanie
740096	9088	Stacey
740097	214677	
740098	50277	Henrietta
740098	50278	Henrietta
740098	50279	Henrietta
740098	50287	Henrietta
740098	50305	Henrietta
740098	171257	The Little Girl
740098	199565	Madeleine
740098	245629	The Child
740099	283546	Herself
740100	80695	Hooker
740101	80969	Hot Mary
740101	271344	Brunch Patron
740101	342499	Meter Maid/Auditioner
740102	286300	Tara
740103	306431	Herself
740103	333376	Ann
740103	346392	Herself
740103	385431	Host (1990-1994)
740103	388088	Herself - Anchor (1997-2000)
740103	392694	Host
740104	235694	Mrs. Oliphant
740105	371320	Julie
740105	382566	Blitzy Zulander
740105	386999	
740105	397341	Drill Man
740106	183559	Waitress
740106	191196	Zombie
740106	309199	Rhonda
740107	304770	Little Cindy
740108	327836	Clinic Nurses
740109	275630	Rebecca Shapiro
740110	118432	Meredith
740111	351502	Screaming Sirens band member
740113	14152	Air Puerto Rico Stewardess
740114	343160	Midget
740115	5876	Nadine Andrews
740115	171712	Marlene
740115	292230	
740115	351708	
740117	372417	Nancy
740118	215690	Miss Texas USA (2nd Runner Up
740118	379926	Herself (3rd Place)
740119	106121	Model #1
740120	24328	
740121	42276	Suzie
740122	183873	Peasant Girl
740123	128782	Herself
740124	123229	Lisa
740125	321352	Betty
740126	82628	Diana Tudworth
740126	93684	Virginie
740127	265756	Shannon
740128	139594	Harry's Mother
740129	379109	Co-Presenter
740130	352413	
740131	40766	
740132	69457	Attractive Blonde
740134	211600	Chorus girl
740135	127728	Child
740136	362984	Auntie Anne Murphy
740137	299396	Skylar
740137	350186	Leather
740137	363720	Alien Scientist
740137	375692	Teacher Zombie
740138	29757	Motion capture performer
740138	290936	Buttercup Scout
740138	386922	Pan
740138	390961	Mimi (Panda's owner)
740138	392964	Rin
740138	397054	Clara
740139	212050	
740139	391786	Louise Taylor (1995-1996)
740140	44408	Holly Holm
740141	2031	Bridie
740142	269891	Secretary
740143	171092	Steve's Wife
740143	244816	Lena
740144	107924	Ambassador's Assistant
740144	263758	Eastham's receptionist
740145	168621	Kit Garrett
740146	193776	Magdeline
740146	246422	Keira
740147	67758	Claire
740148	243479	Street Walker Dance
740149	65530	Colleen
740149	157547	Detective Mary Theresa
740150	37630	Juliette
740150	382472	Marilou
740151	366894	Her
740153	300304	Bass Player
740154	187167	Dancer
740155	368949	President's Secretary
740156	35523	Girl at Club
740156	289526	Dana Brown
740156	350182	Reporter
740156	353314	Receptionist
740157	100841	Carol Brighton
740157	110280	Sarah Anderson
740157	362970	Mother Susan
740158	308598	Dancer
740159	265750	Molly
740159	328301	Lizbeth
740159	365442	Molly
740160	79272	Dater
740160	305990	Mary
740161	168452	Mrs. Macdonald?
740162	291381	Herself
740163	215902	San Franciso women 1
740164	139215	Kathleen
740164	335489	Herself
740164	395529	Herself
740165	35481	Mrs. Walker
740165	108617	Midwife
740165	185741	Mrs. Carter
740165	190003	Mrs. Bradshaw
740165	218552	Mrs. Ellerbeck
740165	264676	Mrs. Sutcliff
740165	283500	Gillian Lindsay
740165	380190	Mary-Ann O'Rourke
740165	380259	Mrs. Sydney
740165	382612	Freda Dean
740165	382838	Gladys Charlton (1996-1997)
740165	387247	Edie Smith (1987-1988)
740165	397493	Maddie Wright
740165	399531	Mrs. Dovey
740165	402031	Carol Stansfield
740166	402147	Correspondent
740167	274729	Angela 'Dink' Dinkens
740168	112049	Background Gorilla
740168	235278	
740169	77190	Pauline Stanhope
740170	333856	Frozen woman with baby
740171	271003	Mrs. Thaw
740172	58827	
740173	42357	
740173	128422	Kathy Allen/Karen Shay
740173	157771	Amazon #1
740173	168581	Dorothea Danders
740173	241961	Jo Hill
740174	211390	
740174	359311	Calvin's Wife
740174	400236	Alice Henson (1994)
740175	168621	Hannah
740176	226929	Helen
740177	154827	Marie
740177	196946	The Hostess
740177	221163	Chambermaid
740177	231909	Columnist
740177	247888	Petunia
740177	265390	
740177	327256	Belle (at the wake)
740177	348350	
740177	367919	Euphie
740178	91644	
740178	363575	Daisy
740179	46698	Sandy
740179	273628	Townspeople
740180	114051	Kindly Lady
740180	149953	Belfast Woman
740181	230985	Coffee Shop Patron
740182	168739	
740183	321154	Lady on bridge
740184	105675	Marjorie Newton
740184	146291	Nora
740184	183763	Sister Anne
740184	367689	Kathleen Gibson
740185	126538	Bill Collector (segment "I'm 
740185	361540	Mrs. Manickindam
740186	82517	
740187	238789	
740187	334429	Ex Soprano
740187	409094	
740188	149721	Maggie
740188	330579	Guide
740188	385299	Jena Atkins
740189	2925	Student Protestor
740189	134666	Stratton
740189	163715	Handsome Rob's Policewoman
740190	47558	Marie Beauvais
740190	192121	Ariana du Puyster
740190	207419	Maggie
740190	235585	Rosie
740190	286381	Myrtle Hawes
740190	302868	Marguerite Roberts
740190	309493	Billie Simpson
740190	359129	Helen Bartlett
740190	372523	Lady Anne
740191	66683	Zoe
740191	77148	Little Girl
740192	152829	Daughter
740193	80394	Lupe
740193	105092	Holly
740193	313562	Also featuring
740193	386295	Annie Cutter
740194	372901	Susan Beardsley
740195	25354	
740196	39781	Flapper
740197	378865	Councellor
740198	46528	Mrs. Stern
740198	94194	Motel Clerk
740198	97035	
740198	135407	Mrs. Harriot
740198	141412	Woman in Dawson's
740198	263360	Artist (Hollywood Blvd.)
740198	292250	Thelma
740198	334747	Waitress
740198	362512	Boutique Clerk
740199	278476	Rachel
740200	120722	Vikki-Ann
740201	320877	Ashley Emerson
740202	33773	Terrible Tommy
740203	398292	Teonia Beare
740204	87348	Trish
740205	2947	Bartender
740206	360699	Young Laine
740207	27841	Sexy mugger
740207	247124	Sue Jamieson
740208	9883	Mrs. Sue Dickinson
740208	67685	Melinda Marshall
740208	126589	Marge Endicott
740208	138206	Mary Judson
740208	163256	Diane Warren (Nurse)
740208	163621	Wanda Paxton
740208	242773	Lt. Dolores Crandall, RN
740208	286536	Cecile Salazar
740208	303428	Kelly
740208	360425	Carol
740208	382338	Herself (regular perfomer)
740209	143918	
740210	351756	Kim Moon
740211	82444	Barbara
740211	108042	Lucy
740211	202728	Gina
740211	243930	Nora
740211	257107	Rachel Kingsley
740211	280054	
740211	281913	Geraldine
740211	302944	Sunshine Shelly
740211	363188	TV Housewife, the Assassin's 
740212	60829	
740213	390523	Mrs. Siobhan Maguire (1994-19
740214	174643	Katie O'Brien
740215	67198	Reporter #4, Auto Show
740216	20625	Extra
740217	235278	
740217	236387	Little Girl at Counter
740218	217909	
740219	233832	Female Officer
740219	330057	Office Assistant
740220	86946	Herself
740221	51483	CHUD Teen
740222	399315	Reporter (2001-)
740223	232933	Nudist
740224	13365	
740224	152205	Maryjane Wilks
740224	366419	First Blond Girl
740224	372600	Melody Lane
740225	261426	Jill
740226	405662	
740226	405687	Herself
740227	224838	Serena
740228	7127	Bunny O'Hare
740229	13966	Martin's Mother
740229	20591	Ruth
740229	35714	
740229	52142	Mamie, Abilene Hooker
740229	55818	Baby Piggy/Mom
740229	70300	Audrey Delaney
740229	82084	Pauline
740229	124340	Thelma
740229	139607	Screaming Woman
740229	159514	Eileen
740229	216772	Beverly Glazer
740229	237908	Gail
740229	241552	Elizabeth Graves
740229	333424	Terry
740229	335724	Wanda Sledge
740229	385272	
740229	398542	Piggy (1984-1991)
740230	216024	Carole Hendricks
740231	405426	Herself (vocalist)
740232	314129	Sarah
740233	53301	Interviewee
740234	276638	Teri
740235	323478	Mary
740236	2750	Herself
740236	3053	Herself - Past winner
740236	7591	Herself
740236	11688	Herself
740236	15215	Hazel Johnson
740236	17625	
740236	26144	Maxine, Little Girl at Auditi
740236	27135	Emmy
740236	36971	Midge
740236	54028	Lady Jessica de Canterville
740236	61615	Herself
740236	72878	Herself (segment "Hollywood M
740236	81128	
740236	85605	
740236	92480	Margaret
740236	99303	Herself
740236	115954	
740236	122145	
740236	129568	Clarabel Tilbee
740236	133518	Herself
740236	139798	Herself (at Canada-Hollywood 
740236	142508	Della Southby
740236	143136	Betty Foster
740236	147784	Herself
740236	147899	Herself
740236	148567	Herself
740236	165444	Adele Varens
740236	168112	Herself
740236	169387	Margaret White
740236	185205	Herself
740236	192410	Elizabeth 'Beth' March
740236	192411	
740236	194721	Alpha
740236	199318	Irene Curie (at age 5)
740236	209605	'Tootie' Smith
740236	222344	Etta Mann
740236	223019	Mike
740236	224729	Herself
740236	238613	Herself
740236	292414	Mary Lennox
740236	299288	Herself
740236	311526	Louise Prescott
740236	319177	
740236	328066	Flavia Mills
740236	329562	
740236	331205	Cameo appearance
740236	331688	Sheila O'Monahan
740236	346914	'Meg' Merlin
740236	372379	Their Daughter
740236	407897	Flora Bumpstead Eaton
740237	353	Mary
740237	6926	Caroline Thighs
740237	14152	Air Puerto Rico Stewardess
740237	62560	Carrier 2's wife
740237	83984	
740237	103447	Susan
740237	107990	Marie
740237	131499	Peggy
740237	158061	Nancy
740237	158106	Carla
740237	158920	Neighbor
740237	178051	Imogen
740237	265761	Donna
740237	266084	Donna
740237	298288	Lola Ramirez
740237	303235	Sandra
740237	305571	Maria Gonzales
740237	322754	Mandy
740237	335762	Françoise
740237	362748	Omah
740237	368365	Muriel
740237	372865	Carla
740237	386765	Susan (1972)
740237	399817	Ginny Ramirez
740238	33179	Girl Creeped Out by Malkovich
740238	85866	Tiffany
740238	124340	Ivy
740238	137689	Beth
740238	165199	Rose
740238	193653	Jezzabel
740238	196370	Kevin's TV Co-Star
740238	216782	Tiffany
740238	243272	Betty
740238	268035	Alexandra Norton
740238	307886	Thrift Store Cashier
740238	332402	Desperate Woman
740238	334747	Buffy
740238	361174	Waitress at Toi
740239	64090	Marie (manicurist)
740239	147663	Herself--Junior Hostess
740239	352752	Bernice
740240	89288	Clinic Girl
740242	342918	Michelle
740242	358624	Heather
740243	143136	Tillie
740243	176731	Maria Marec
740244	81230	Luanne Cole
740244	387272	Clara
740245	31343	His wife
740245	163329	Lois
740246	144450	Waitress
740246	218769	Amanda
740246	302586	Marie
740246	318138	Nephytis
740247	151461	Tour Girl
740247	154569	Jimsy
740248	317942	Square Dancer
740249	389858	Heather Grant Webber #2 (1977
740250	306595	Herself
740251	83561	Waitress/M.C.
740252	358287	Julia
740253	54209	Parade watcher
740253	232144	June Mabel
740253	392545	Doris Whitney
740254	244034	The Emergency Room Nurse
740255	40653	Mrs. Smythe
740255	65895	Dollie
740255	88925	Vicki
740255	88927	Vicki (Crusade segment)
740255	88928	Vicki
740255	92628	Vicki
740255	107897	Corinne Sullivan
740255	118021	Mrs. Richardson
740255	184403	Mrs. John Lawrence
740255	187266	
740255	240879	Linda
740255	282689	Lady of Edinburgh
740255	291529	Sister Bridget
740255	298055	Joan
740255	325215	
740255	375187	Natalya
740255	383631	Elizabeth Straker: General Ad
740255	386587	Vicki (1964-1965)
740255	396005	Mary Barrie
740255	400401	Electra
740255	401726	Florence Ricardo
740255	411016	Alayne
740256	108619	
740257	195690	
740258	277098	Attempted Rape Victim
740259	29677	
740259	73707	
740260	53036	Sally
740260	235541	Mrs. Tuffington
740261	34656	Patti
740261	228447	Girl in brothel
740262	158975	Architecture student
740263	381585	Charlotte Tucker
740263	405209	Ingrid Jenkins (2000)
740264	11635	Isabel O'Hara
740264	384808	Tabitha
740265	221603	Penny
740266	209653	Kate Shaw
740267	272416	
740268	260144	
740269	26750	Nikki
740269	66152	Susan
740269	128604	Model ("3 Girls & a Spa" Segm
740269	190147	Classy Lady
740269	196346	Hannah
740269	207706	Journalist
740269	231835	Eden
740269	257668	Herself (Model)
740269	289427	Brittany/Lori
740269	294278	Marla
740269	295725	Raven
740269	360625	Brandy
740269	365676	Herself
740269	368640	
740270	203698	The Dancer
740271	136828	Relative
740271	264161	Courtier/Girl Graduate
740272	169511	Herself
740273	293030	Waitress
740274	35597	Townspeople
740274	171363	Margaret Logan
740274	278280	Eve Lane, Peggy's Receptionis
740275	241320	Nurse
740275	352145	Irish Nurse #1
740276	305011	Miss Wilson
740277	80477	Jewelry Store Manager
740278	233674	Cynthia Jinette
740278	297186	Tina
740279	380610	Young Lady Louisa
740280	279200	Dancer
740281	67198	Cop #2, Drag Race
740281	194483	The Lord of the Dance Troupe 
740281	216803	Golden Girl
740282	17934	Waitress
740282	26093	Queen Sartanika
740282	31648	
740282	97461	Herself
740282	99981	Maggie
740282	99982	Maggie
740282	99983	Maggie
740282	99984	Maggie
740282	99985	Maggie
740282	99986	Maggie Henson
740282	115161	One of Joe's Women
740282	120195	Linda
740282	121367	Josie Williams
740282	128786	Herself
740282	199115	Exotic Dancer
740282	213090	Sandra
740282	216137	Stephanie
740282	245684	Rachel
740282	252382	Model
740282	252399	Herself
740282	257438	Tawny
740282	266051	Beautiful Girl
740282	278829	Herself
740282	289429	Lisa
740282	289430	Holly
740282	293058	Alexis Baxter
740282	295721	Amy
740282	295723	Claire
740282	313727	Dancer in Flashback
740282	316982	Doria
740282	320157	Babbette Laroux
740282	357133	Gina Porter
740282	365344	Natalie Woodman
740282	396076	Herself
740283	168696	
740284	12252	Sophie
740285	380022	Herself/Co-anchor (2003-)
740285	394680	Co-Host
740285	398430	Anchor
740285	405497	Host
740285	410760	Co-Anchor (1999-2003)
740286	104695	Herself
740286	407173	Herself (2002)
740287	186713	Woman in Bar
740288	264168	Additional Voices
740289	2352	Girl in Bathroom
740289	258098	Party Girl
740290	353466	Street Singer
740291	87597	Performer
740291	384097	Claire (1997)
740291	385020	Sarah Louise Platt (III) (199
740293	11911	Female prisoner
740294	61576	Mrs. Gallagher
740294	63189	Dottie
740294	78142	Maureen
740294	99075	P.E. Instructor
740294	140186	Aunt Caroline
740294	217537	Judge Turkell
740294	224227	Sharon Waters
740294	360796	Aunty Annabella
740294	363448	Judge
740295	37362	Kitty
740295	94291	Ginny
740295	118810	Nurse Kittredge
740295	133722	Herself
740295	136141	Reporter
740295	139790	Alma
740295	152433	Virginia Ferris
740295	183581	Lull
740295	209660	'Woodpecker' Peg
740295	211635	Phyllis Montague
740295	223149	Herself
740295	247372	Flo Foster
740295	278544	Virginia O'Brien, Singer
740295	299163	Fran Evans
740295	300124	Hortense
740295	304300	Lucille LaVonne
740295	329564	Herself (interview)
740295	331205	Cameo appearance
740295	333054	Ellie Mae in 'Show Boat'/Spec
740295	342873	Herself
740295	375044	Specialty
740296	252828	Mrs. Riddick
740297	39650	Ruth Taylor
740297	78029	Mrs. Freda Chatfield
740297	84130	Emily Cargraves
740297	105571	Mrs. Summers
740297	108366	Ellen Clark
740297	134070	Pat Arlen
740297	145975	Florence Stebbins
740297	151675	Mrs. Frump
740297	186828	Mrs. Silas (Gloria) Leavenwor
740297	190174	Nana
740297	190500	Herself
740297	192008	Jo
740297	193921	Mrs. Koehler
740297	218745	Mrs. Feather
740297	244865	Sarah Boynton
740297	254330	Mrs. Page
740297	254528	Wardrobe Woman
740297	258209	Rosie Redmond
740297	278442	Gloria Endicott
740297	291770	Nora O'Malley
740297	295339	Mrs. Hayden, an alias of Myra
740297	316567	Mary Forbes
740297	342933	Olga Konar
740297	401350	Nurse Choate (1965-1968)
740297	403906	Mrs. Ruggles (c. 1949 et seq.
740298	108363	Herself
740299	140334	Darlene 2
740300	390599	Herself
740301	50656	
740302	105402	Betty
740302	264818	Dana
740303	97037	Veronique
740303	250524	Margolotte/Tollydiggle/Quadli
740303	386158	Host
740304	404002	Katie Thompson #1 (1984)
740305	321227	Woman at Bar
740306	130721	Girl Friend
740308	148562	
740309	270910	Minna
740310	190723	Flower Woman
740310	346195	Mrs. Bassett
740311	78765	Angel
740311	88181	Tanya Levy
740311	99586	Priscilla
740311	171724	Pam Perkins
740311	178906	Debi Rutlege
740311	247571	Other Flight Attendant
740311	256528	Gina Green
740311	260610	
740311	278829	Herself
740311	296681	Gray Goodman
740311	307565	Deidra
740311	316791	
740311	323228	Chantal Benteen
740311	328270	Shara
740311	359858	Elise
740312	364344	Karen
740313	47980	Mrs. Felici
740313	249576	Woman
740314	64400	Dancing Girl
740314	211795	
740315	10738	The Aunt
740315	19167	Woman
740315	30196	Lobby extra
740315	46325	
740315	52095	
740315	61312	Busybody
740315	79105	Mrs. Jones
740315	80947	Woman
740315	88863	Susan (Dr. Bull's cook)
740315	107406	Character part unknown
740315	137478	
740315	154652	Woman in Clinic
740315	158364	Old maid
740315	159182	Annoyed Woman at Homecoming
740315	163288	Bus passenger
740315	163437	Mrs. Frobisher
740315	206358	Short Maid
740315	207184	
740315	214961	Woman
740315	224205	Mrs. Smiff
740315	231419	Mary
740315	245282	Mrs. O'Brien
740315	263601	Scrubwoman
740315	279428	Charwoman
740315	283093	Cook
740315	288023	Mother
740315	291716	Landlady
740315	292470	Charwoman
740315	297877	Stettin Maid
740315	299878	
740315	308109	Old Lady
740315	308614	Mrs. Abernathy
740315	309268	Scrubwoman
740315	313793	
740315	329813	Gossip
740315	364806	
740315	372126	Hotel Maid
740316	99466	Elodie
740316	310196	Monica Miles
740316	388209	Yvonne Doyle Gleeson II (1991
740317	32494	Carrie Rawlins
740317	64393	Julie Neil
740317	78045	Josie Norris
740317	138482	Paula
740317	150749	Maid
740317	155087	Moira
740317	305318	Marlene
740317	389203	Nan
740317	399770	Sonia Elston
740317	406128	Viv Smith
740317	408877	Linda Kennedy (1981)
740318	77578	Shannon
740318	137223	Dancer
740319	350144	
740320	162268	Herself - Award Winner
740320	402147	Host (1996-)
740321	129061	Ma Merry
740321	331306	English woman
740322	70826	Candace
740322	254996	Alsex Lemon's songs
740322	389035	The Singer
740323	20625	Extra
740324	219769	Sheila
740325	292787	Heather
740325	395750	Alison Jessop
740325	401077	Bridget Mellors, nurse (1999-
740327	57208	Kardassa
740327	229236	S&M Amazon
740328	219344	Custom officier
740329	113390	Operator #1
740330	265558	Herself - former Ziegfield gi
740331	44830	Child
740332	74215	Azaria
740333	41297	Mrs. Kornberg
740334	384782	Mariana De Alvear
740334	385402	Gimena Soldati
740334	387126	
740334	392805	
740334	394017	Mercedes 'Mecha' Green
740334	398165	Paula
740334	398842	Martina
740334	401358	
740334	403366	Trinidad 'Trini' Echeverri
740334	408204	
740334	412194	Belén Linares
740335	367334	Woman
740336	66945	Debbie
740337	1221	
740337	1243	
740337	6720	Herself
740337	7061	
740337	26067	
740337	31318	
740337	37225	
740337	41486	Herself
740337	44537	
740337	47141	NonSex
740337	47251	
740337	50683	
740337	71378	
740337	71379	
740337	81799	
740337	109232	
740337	128472	
740337	128871	
740337	134690	Brittany
740337	149328	
740337	158972	
740337	171170	
740337	230397	Linda Marx
740337	246863	
740337	260806	
740337	265771	
740337	266722	
740337	306875	Herself
740337	313574	
740337	332885	
740337	336486	
740337	354797	
740338	253341	Denise McCarren
740339	44301	Veronica Reilly
740339	122768	Ryan
740339	193409	Terry Fallon
740339	199238	Dawn
740339	232429	Resident
740339	297772	Lynn Richards
740339	330595	Kenny's Assistant #2
740340	290978	Terry
740341	276844	Singer
740342	382817	Herself
740343	105263	
740344	17490	Assistant #2
740344	28436	Phyllis
740344	45830	Mrs. Halsey
740344	59914	Doris
740344	64842	Mrs. Balford
740344	70421	Isabelle Malley
740344	71856	Cosmo
740344	73504	Shelly
740344	79961	Mom
740344	80852	Marilyn Middleton
740344	92865	Gwyn
740344	104338	Hollis
740344	107902	Sally Cutler
740344	110319	Nan Gordon
740344	112485	Peggy
740344	141484	Mrs. Gerber
740344	156854	Marge Dwyer
740344	161709	Dr. Gracia Scott
740344	171078	Landry
740344	171191	Mrs. Braverman, Lenny's Teach
740344	173513	
740344	186846	Ellen
740344	215438	Ella
740344	222630	Kate Faxton
740344	244918	Winona
740344	250404	Inez Brice
740344	292280	Helen
740344	305660	Waitress
740344	313762	Shanda
740344	313933	Irene
740344	315897	Lily
740344	333517	Nellie
740344	339363	Roberta
740344	389416	Barbara Young
740344	395020	Susan Blum
740344	396123	Sherri Rescott Watley #2 (198
740344	404645	Shirley
740344	405475	Heidi Schiller (1993)
740345	46242	Women's Ward Sister
740345	289097	
740345	289523	Angela Potroz
740345	393236	Kath Reilly
740345	397858	Aunt Lily
740346	115161	Rachel's Mother
740347	189325	Anne Whittier
740348	403373	Lavender
740350	123020	Little Girl
740351	107005	Herself
740351	115214	Band Vocalist Helen O'Connell
740351	154182	Herself
740351	215684	Hostess
740351	288736	Julie
740351	302645	Herself
740351	391306	Host
740351	391413	Host
740351	403972	Featured Performer (1956)
740351	408395	Herself - Today Girl (1956-19
740351	409150	Regular (1953)
740352	168125	Dancer
740352	214967	Miss Adams, Secretary
740353	48896	Mrs. o'Neil
740353	362453	Woman in Park
740354	341515	Dancer
740355	160885	Perfume Wearer
740356	20459	Additional Voices
740356	190883	Dorothy
740356	327006	Yukari
740357	68697	Physical Therapist
740358	5641	Jane Conway
740358	26289	Store Owner
740358	389283	Lucy Gamble (1969)
740358	404608	Finalist (2002)
740359	41418	Ninja
740360	66990	Yoga Woman
740360	105116	Woman #4
740360	232114	Nurse Nancy
740361	265101	Girl with Bikini Top
740362	52687	Coffee Shop Waitress
740363	104949	Lauren
740364	155264	PJ
740364	198445	
740366	313706	Emily
740367	79695	Mrs. Malone
740367	126067	Chorine
740367	302739	Showgirl
740368	64590	
740369	61584	Herself
740369	123849	Street Singer
740370	171653	
740370	325314	Cobalt
740371	131232	Extra
740372	171619	
740373	191051	Heather McCartney
740373	370118	Second Nurse
740374	39707	Joan Davidson
740375	197081	Lisa Bellows
740376	13267	Woman on Audition Line
740377	289425	Karen
740379	168295	Ms. Featherstone
740379	205317	Marge Corrigan
740379	225797	
740379	295349	Lingerie Saleslady
740379	315228	Hargrove Shelter Guard
740380	166567	Cheryl, the Showgirl
740380	353273	Gigi
740381	146075	Breede's oldest daughter
740381	335662	Sheila Murray
740381	364117	Mrs. Van Wye's secretary
740382	20625	Extra
740383	308048	Mean Executive #6
740384	245766	Festival Coordinater
740385	25835	Herself
740385	195090	Herself
740385	305489	Herself - B*witched
740385	360398	Herself
740386	28467	Claudia
740386	54896	
740386	117634	Receptionist
740386	163314	Aunt Liz
740387	51986	Honey
740387	67349	
740387	123032	Dameia
740387	150080	Brigitte Fritz
740387	230873	Jane
740387	280281	Ring Girl
740387	315248	Blonde
740387	382208	Hillary S. Prentiss
740387	385653	April Hayes
740388	97212	Josie Dillon
740389	311048	Mary Jane
740390	232389	Robin
740391	194693	Kid
740392	219859	Motel Blue Manager
740393	311947	Herself
740394	367512	Waitress
740395	362040	Aunt Meg
740396	404228	Sara Himekawa
740396	409831	Seiron
740397	307536	Paulette Love
740398	130060	Ella Darcy (the Darringtons' 
740399	151548	
740399	215578	
740400	158358	Dixon's Wife
740400	161519	Reporter
740401	140843	Receptionist #1
740401	266084	Mother of America
740402	223777	Lucy
740404	230829	Will Webb Jr
740405	133133	Grandma
740405	244034	The Zoo Visitors & Staff
740405	330057	Ashtray Babe
740406	210394	Specialty
740407	102112	Auditioner #1
740408	31765	Laboratory Assistant
740408	46639	Kim
740408	240714	Nurse
740408	301693	Bank Assistant
740408	329503	Julie Dolan
740408	332418	Ginny
740408	333039	Dr. Susan Craig
740408	356329	Estelle
740408	391533	Helen Chapman
740409	80356	Musical Performer - "Anything
740409	220276	Nini Legs-in-the-Air
740409	231856	Herself/Nini Legs-in-the-Air
740410	409841	Little Violet
740411	232389	Robin
740412	319486	Lucy Garfield
740413	34621	
740414	3817	Herself/Interviewed
740414	250452	Herself/band member
740414	250455	Herself/Band
740415	135851	Fongling
740415	298347	Eri Tajima, Noriko Nakamura, 
740415	298425	
740416	149450	Angela
740417	31318	
740418	65578	'Happy Scrappy' Mom
740419	178096	Girl
740420	218074	Babysitter
740420	333042	
740421	190516	Dave's Mum
740421	379744	Mrs. Griggs
740422	123986	Herself
740423	38292	Mrs. Binks
740423	81439	Bertha Argyll
740423	161034	The bride
740423	320318	
740424	321306	
740425	185336	Mrs. Cusack
740426	30301	
740426	52971	Ana
740426	55938	
740426	55966	
740426	77235	
740426	83548	
740426	100335	
740426	120715	
740426	183064	Mercedes Virreyes de Hernanda
740426	193315	
740426	216094	
740426	281605	
740426	291601	
740426	292938	
740426	294070	
740426	301185	
740426	353561	
740426	371678	
740427	44418	Laurie Stewart
740427	370643	Margarite
740428	233919	Tom's daughter
740429	184046	Maids/Nuns
740430	221054	
740431	119338	Armless Girl
740432	5013	Laura
740432	8822	Herself
740432	21213	Monica Swinton
740432	30924	2nd woman
740432	32466	Alison Gardner/Nicole Delarus
740432	43922	Elaine
740432	93582	
740432	157195	Gwendolen
740432	162364	Lucy Burns
740432	178125	Nikki
740432	186534	Alison Heywood
740432	191649	Kate Haslett
740432	195400	Mia
740432	199308	Emma Bovary
740432	204730	Fanny Price
740432	255084	
740432	258754	
740432	329307	Jenny
740432	331346	
740432	333409	Kate Ericson
740432	366099	Rita
740432	395282	Journalist
740432	405062	Dr. Jane
740433	17697	Maid at Maplehurst
740433	38021	Tour Guide
740433	73559	Bed One
740433	116079	Farm Woman
740433	124049	Mavis
740433	129596	Mrs. Bexter
740433	137470	Grandma Smoker
740433	139582	Woman With Purse
740433	193960	Alice Waldman
740433	259216	Woman at Phone Booth
740433	314484	Patient #2
740434	178096	Girl
740435	11590	Carol Lindsay
740435	26281	Rose
740435	45439	Gina Biggs
740435	52303	Corky
740435	69806	Marcia Woldarski
740435	81127	Nancy Lyon
740435	82327	Cas Richter
740435	99386	Charlotte Nelson Hammond
740435	112369	Rindy Banks
740435	126687	Ruthie
740435	166861	Susan Rollins
740435	168675	Sally
740435	176386	Lisa
740435	192067	Maureen Connolly
740435	195799	Lois
740435	210230	Melanie
740435	224044	Geegee
740435	230531	Connie Campbell
740435	231874	Petra Wetzel
740435	232447	Sloan Evans
740435	238274	Bobbie Lee Hartley
740435	244926	Emily Webb
740435	259278	Lynn Lewis
740435	285726	Claudia
740435	294142	Anita Cramer
740435	302931	Kevan Harris
740435	308005	Carrie
740435	318756	'Cat' Marshall
740435	331100	Ramona
740435	334187	Becky Scruggs
740435	335591	Ruth Berent
740435	363906	Jeannie McBride
740435	364611	Leola Mae Harmon
740435	380713	Dawn 'Dee' Stewart #3 (1973)/
740435	382149	Phyllis Carpenter
740435	384124	Elizabeth Chisholm
740435	405959	Anita Cramer
740436	220157	Jean
740436	371316	Student
740437	687	Herself
740437	54745	Maureen
740437	91719	Shirley
740437	128652	Claire
740437	388664	Viv Sharpe
740437	393327	Joanne
740438	26064	Additional Voices
740438	31846	Maeve
740438	45631	Mrs. Miles
740438	105101	Judge's Associate
740438	119234	Margaret
740438	128230	Irene Kelly
740438	224729	On-set Teacher
740438	245128	Barbara
740438	277829	Viona O'Reilly
740438	310997	Distressed Mother
740438	333058	Margot
740438	382704	Kate Markham
740438	390099	Irene Kelly
740438	390100	Irene Kelly
740438	390648	Jill
740438	397310	Dr. Jane Buchanan (1996)
740439	307060	
740440	39627	Mrs. Bostick ("Medieval World
740440	52142	Nell Bandis
740440	70359	Woman
740440	73841	Professor
740440	102233	Apartment Superintendant
740440	108261	Judge in 1st Trial
740440	128816	Esther
740440	134889	Nurse
740440	143628	Judge Maddick
740440	158315	The Teacher
740440	161537	Judge Marva Munson
740440	171336	Marie
740440	196503	Nurse
740440	226974	Vice Principal
740440	282024	Emma
740440	292227	Teacher
740440	294139	Manhattan Receptionist
740440	318337	Inmate #1
740440	321526	Rita
740440	338403	Georgia Jackson
740440	347741	Police officer
740440	363005	Susan Munson
740440	366842	Judge
740440	368363	Woman with Book
740441	267546	Maria Johanson
740441	341977	Janice Kreegman
740442	123293	Herself
740443	20260	Kathy
740443	26750	Ma Baker
740443	33794	Aunt Estelle
740443	52202	Manager
740443	68455	Mrs. Santucci
740443	86558	Ida
740443	87559	Mrs. Hirshenson
740443	99311	Assistant #1
740443	106266	Francis
740443	113376	Mary
740443	113547	Chloe's Mom
740443	121522	Helen
740443	123789	Officer Crowder
740443	128281	Waitress
740443	130972	Reporter
740443	142718	Renni
740443	184582	Shady Gray
740443	219953	Harriet Rogers
740443	231940	Kendall
740443	297246	Sarah
740443	301392	Waitress
740444	10384	Sherryl
740445	310087	Lady
740445	310106	Lady
740446	261107	Samantha Button
740447	105805	Shirley Profaci
740447	200330	Teacher
740448	37674	Beach girl
740449	116125	
740450	22887	
740450	49339	Mary Brown
740450	67859	Judy Dugan
740450	78959	Geraldine Lewis
740450	135802	Helen Merritt
740450	148402	
740450	190290	Gwendolyn Miles
740450	191250	Stella Donovan
740450	206420	Gwen Barker
740450	213189	Nell
740450	215730	Cicely
740450	220999	Suzanne Morton
740450	239653	Rose Blaine
740450	250572	Tess
740450	262340	Janet McWhorter
740450	289200	The boss's daughter
740450	319198	Molly Forbes
740450	340626	Irene La Rue
740450	350157	
740450	364525	Katherine
740450	365187	Elaine Hamilton
740451	153661	Mrs. Nicole
740452	358648	Herself
740453	113515	
740453	117133	Haley
740454	7935	
740454	18560	
740454	23423	Mrs. Brandon
740454	24236	
740454	32110	
740454	60308	Mrs. Parker
740454	61594	Lizette
740454	61824	Elinor Ainsley, their mother
740454	71697	Mrs. Wilson
740454	106642	Mrs. Sullivan
740454	107562	Martha Beeler
740454	107786	Attarea's slave
740454	139580	Madame Carter
740454	149266	Elinor Knapp
740454	159508	Mrs. Scudder
740454	161542	Attarea's Slave (Babylonian S
740454	190118	
740454	190881	Letty Carrington
740454	191955	Jail Matron
740454	195498	Mrs. Eleanor Strong
740454	215773	Miss Gaylord
740454	232788	Mrs. Townsend
740454	239571	Claudia Merriwane
740454	239602	Mrs. James D. Burke
740454	245139	Mrs. Sands
740454	292574	Nanette's mother
740454	315952	His Mother
740454	338902	Mrs. Stanyon
740454	340784	Susie's aunt
740455	368872	The Blonde Ballerina
740457	312035	P.A. Voice
740458	77676	Professional Latin Dance Fina
740459	314104	Joey
740460	292611	Betty
740460	332061	Maggie
740461	126539	Claire
740462	260950	
740463	191321	Woman (In Bar)
740463	252223	Female Guard
740464	160464	Interviewee: Personal Secreta
740464	295185	Sheldon's Wife
740465	128234	
740466	408816	Herself (series 2 - 2002)
740467	45473	Norah
740467	106176	
740467	198003	Leonor MacDonald
740467	203549	
740467	222931	Beach girl
740467	266871	
740467	397125	Secretary (1982-1983)
740468	116010	Mandy
740469	53726	
740470	321515	Featured Dancer
740471	395091	Pretty Girl #1
740472	148214	Girl In Stream
740473	165294	Edy Boardman
740473	284583	Kate Mullins
740474	112283	
740475	279200	Dancer
740476	83657	Gambler
740477	163309	Gambling Casino Habitue
740478	128327	Penny McCarthy
740478	154545	Judy
740478	163190	Peggy, Princess O'Hara
740478	215981	Genius's dancing partner
740478	218782	Alice
740478	248837	Doodles
740478	250724	Jivin' Jill
740478	269804	Millie
740478	274502	Patsy Blair
740478	288205	Katie Hurley
740478	335599	'Fake' Hulda
740478	372309	Peggy
740479	124224	Model
740479	154877	U.S.O. Girl
740479	164605	Salesgirl
740479	323389	June
740479	363440	Model
740480	273805	Liza
740481	7006	Julia Wilks
740481	10842	Kelly
740481	39919	Jennifer Winslow
740481	59135	Jessica Adams
740481	79045	Laurie Brinkman
740481	108015	Angela Errickson
740481	115713	Leslie
740481	116535	Bettie Draper
740481	143533	Deianeira
740481	143535	Gabrielle
740481	207687	Robin
740481	231918	Lorraine Beasley
740481	280189	Laura Sue Dean
740481	282864	Ashton
740481	315214	Tinselteeth
740481	321734	
740481	326654	Nancy Nichols
740481	411577	Gabrielle
740482	101722	Lilly
740482	282022	
740483	30967	Adorable Little Girl
740484	65926	Denise
740485	98819	Herself (Associate Justice, U
740485	123986	Herself
740486	127238	Reporter #1
740487	408819	Alice Bastable
740488	44998	Pénélope Fontanet
740488	45000	Pénélope Fontanet
740488	100166	La soeur de Myriam
740488	229492	
740488	234744	Christine
740488	246017	Maud
740488	248895	
740488	387553	Sylvie
740489	20999	Herself
740489	42330	Herself
740489	50476	Our Lady/Colleen
740489	57647	Herself
740489	96555	Herself
740489	143659	Herself
740489	153210	Sinead (not herself)
740489	155840	Herself - song "Haunted"
740489	278290	Herself
740489	343107	Herself
740489	350116	Herself
740489	358731	
740489	369185	Emily Bronte
740489	393000	
740489	404900	Herself
740491	203066	Simms' daughter
740491	273083	Daughter of Isabel
740492	257667	Herself
740492	387600	Tara, the gong-banger (second
740493	234982	Gladys Baker
740493	313441	Chief Ross
740493	344137	Lisa MacRainey
740494	46311	Arlene
740494	410977	Christine Cameron #1 (1969)
740495	224729	School Girl
740496	129762	Gnome Maiden
740498	6984	Duenna
740498	7097	Bess
740498	11323	Annie
740498	11609	Mary
740498	12766	Angie, Scotts' Housekeeper
740498	29285	Harriet
740498	30346	Wilson
740498	33704	Mrs. Breen
740498	46748	Minnie
740498	52431	Mrs. Milson, the Housekeeper
740498	54028	Mrs. Umney
740498	57260	Ellen Bridges
740498	58499	Amy, Diane's Maid
740498	61578	Nora, the Maid
740498	63029	Norah
740498	66201	Mrs. Wilson
740498	70960	Nora
740498	78903	Mrs. Weeks
740498	109824	Mrs. Boggs
740498	112464	Miss O'Rourke
740498	117647	Mrs. Caroline Ismay
740498	132323	Mrs. Harris
740498	136843	Perpetua
740498	140849	Doreta
740498	143116	Effie
740498	145818	Eva
740498	147973	Sarah Leek
740498	149827	Clementia
740498	151339	Undetermined Role
740498	158043	Stasia Claremorris
740498	159594	Mrs. McPhillip
740498	161916	Jenny Hall (innkeeper's wife)
740498	163193	Maggie Ryan
740498	163961	Mrs. Thrawn
740498	178200	Ellie, Juliet's Maid
740498	190858	Marie
740498	191962	Mary
740498	193007	Widow Blake
740498	194819	Mrs. Tubbs
740498	206890	Mrs. Arnell Simmons
740498	218702	Aunt Columba
740498	222774	Mrs. Grogram
740498	223912	Cora, Kyser's Maid
740498	224237	Mrs. Blevin
740498	238505	Mrs. Foreman
740498	243504	Mrs. Peters
740498	252886	Harriet Chatteris
740498	253467	Mrs. Gummidge
740498	253475	Clara, Crystal's Maid
740498	258020	Mrs. Signus
740498	258209	Maggie Gogan
740498	260249	Lady Fetherstone
740498	272025	Tobacconist
740498	276710	Miss Beedle
740498	276761	Mum Oaks
740498	281905	Anna
740498	291742	Miss Martha Latham
740498	314943	Annie
740498	316482	Mrs. Timothy Mulcahey
740498	320465	Mrs. Bradley, Suzy's Landlady
740498	330825	Mrs. Emma Lory
740498	331381	Maggie O'Callahan, scrubwoman
740498	332027	Julie
740498	333172	Myrtle
740498	334266	
740498	346866	Mathilda Hackett
740498	360369	Susan O'Connor, Newcome's Mai
740498	366987	Janet McKenzie
740499	145066	Girl in Parking Lot
740500	336486	
740501	37031	Mugging victim
740501	332897	Mrs. Holstein
740502	163265	Little Miss Brown
740503	97017	Miranda
740503	133958	
740503	329085	
740503	381205	
740504	291968	Kim (Asst. Hotel Manager)
740505	220892	Bit Part
740505	350149	
740506	16934	
740506	52448	Mother
740506	192055	Mrs. Merridew
740506	220183	Undetermined Role
740506	249527	Mrs. Grittlewood
740506	254491	Mrs.Owen
740506	310399	Mrs. Webster
740506	319196	Maddalena
740508	21293	Herself
740508	125486	As herself
740508	166064	Herself
740508	245330	Herself
740508	375111	Sheila Mangan
740509	368709	Farmer's wife
740510	255335	Dawn
740510	264718	Dawn
740511	244034	The Volcano Gal
740513	22185	Girl
740513	190179	Party Guest
740513	223943	Bit Part
740513	282711	Linda
740514	112517	Rose Martin
740515	30449	
740515	62424	Joyce, the Colonel's niece
740515	84917	
740515	118054	Sister
740515	126563	Belle
740515	127636	Paulette
740515	139223	Germaine Benoit
740515	145711	Pat Sullivan
740515	186316	Joan Hayden
740515	186396	Mary Warren
740515	190210	Sadie
740515	192260	Melissa Turner
740515	196367	Ann Hastings
740515	250530	Curley Boyle, the Golden Danc
740515	257882	Renee Grant
740515	291712	Ann McCall
740515	298437	Sammy Lane
740515	300103	
740515	303277	Molly Shannon
740515	304226	Ann Norton
740515	306642	Daisy
740516	20249	Claire Randolph
740516	20279	Dory Willard
740516	26776	Elizabeth Saxel
740516	44686	Martha Hadley
740516	44693	Mary Colby
740516	48569	
740516	50074	Edna Fielding
740516	54452	
740516	70214	Daisy Miller
740516	91641	Mary
740516	115471	Sue
740516	142610	Model
740516	149338	
740516	177401	
740516	178898	
740516	186268	Sally Dixon
740516	186341	Mary O'Brien
740516	203033	Sally Preston
740516	207196	Jean Malone
740516	224721	Camille Roget
740516	230344	Salesgirl
740516	253143	Diane Blake
740516	256637	Helen Spencer
740516	260101	Norma Reeves
740516	270510	Doris
740516	271005	Helen Osborne
740516	272961	Patti McDowell
740516	276792	Anne Miller
740516	279436	Eve Monroe
740516	279528	
740516	288742	Girl at Party
740516	294922	
740516	302596	Girl
740516	305680	Dorothy Benson
740516	308374	Jane Belden
740516	312829	Molly Denton
740516	330025	Antoinette
740516	330875	Secretary
740516	332128	Edith Walker
740516	332545	
740516	359867	
740516	367518	Helen Grant
740516	372360	Girl
740517	5569	Mildred Mitchell
740517	16651	Isabelle Bruner
740517	31325	
740517	40623	
740517	62088	
740517	65477	Jane Brooks/'Professor' Brook
740517	72604	
740517	112589	Skipper
740517	117068	
740517	118300	
740517	146015	Ethel Thompson
740517	149277	Henrietta Bowers
740517	172329	
740517	193680	
740517	203101	
740517	216755	Wright Avery
740517	251862	Peggy
740517	274012	Leona Lane
740517	277960	Helen Arliss
740517	277998	
740517	299702	Mary Mason
740517	311761	
740517	315519	Patsy
740517	330254	Slats/Mrs. Frank Black
740517	331297	Constance Kingsley
740517	332114	The Girl
740517	337665	Edith Kilgallen
740517	338540	Ora Perdue
740517	350448	Nell
740517	363746	
740518	306577	
740519	330057	Hot Club Patron
740520	157499	Mexican Woman with Child
740521	292826	First Windmill Girl
740522	339720	
740523	238716	Matilda Tone
740524	65394	Alena Gray
740524	232104	Barbra
740524	308111	Herself
740524	379011	Herself
740525	51512	Marilyn Mills, the showgirl
740526	37071	Margaret Brennan
740527	77805	Chorus girl
740528	45550	Miss Logan
740528	189915	Grandmother
740529	147816	Herself
740529	158364	Dancer
740529	216822	Fired Salesgirl
740529	218781	Gloria
740529	300062	Kim (at 16) on stage
740529	302596	Peggy
740529	316946	Tap Dancer
740529	372299	Marge, Blonde Dancer
740530	195844	Parking Lot Date
740531	385999	Herself
740532	203539	
740532	232815	Rosannagh
740533	26863	
740533	27149	
740533	36947	Arabella
740533	37273	Mrs. Deborah Hemingway
740533	106609	
740533	114456	
740533	135604	Aunt Martha
740533	155694	
740533	162578	The Madam
740533	191627	
740533	193369	
740533	219892	
740533	293171	
740533	297918	Spinster
740533	300062	School Teacher
740533	301868	Bit
740533	302727	Lucy Harris
740533	329903	Townswoman
740533	361630	Rose Gilbury
740533	372145	Woman
740534	269082	Mrs. Schroder
740535	311345	Mary Bowdin as a child
740536	257111	Contestant
740537	11556	
740537	67069	
740537	81835	
740537	87154	
740537	105156	
740537	188066	
740537	236877	
740537	245783	
740537	254080	
740537	270591	
740537	273298	
740537	288988	
740537	342460	
740538	2275	Herself
740538	7093	Talk Show Host
740538	26666	Questioning Bride
740538	206652	Entertainment Insider Anchor 
740538	215691	Hostess
740538	245541	Dr. Drake
740538	291222	Tori's Interviewer
740538	291223	Female Reporter
740538	361224	Herself
740538	379151	Herself - Host
740538	383743	Herself
740538	385431	Entertainment Reporter (1995-
740538	389858	Female police officer (1998)
740538	399018	Host
740539	54221	Ellen Eckert (Col. Eckert's W
740539	98827	
740539	114196	Michelle
740539	201940	Lisa
740539	216952	Kate
740539	267216	Field Reporter
740539	283464	Amy Winter
740539	383374	Ellen Eckert
740539	389416	Gaye Alford
740540	407076	Herself
740541	260902	Step-Mother
740542	186392	Dancer
740542	218256	Colombine
740543	32541	
740544	78838	
740545	108980	
740546	24696	Frau Feldmann
740546	59180	
740546	107580	Miss Gattiscombe
740546	127193	Mrs. Manley
740546	131391	
740546	139166	Mrs. Kissack
740546	140779	Mrs. Miley
740546	184283	Sister Tutor
740546	188283	
740546	208720	
740546	230259	Miss Fleming
740546	230356	Manageress
740546	329951	Mme. Duchaine
740546	363797	
740546	364437	Party Guest
740546	366449	Maggie Jones
740546	372204	
740547	321306	
740548	141130	Waitress
740549	281397	Woman in White #1
740550	269045	Council member
740550	276413	Anna Bishop
740551	281397	Woman in White #2
740552	82599	Lillian, the Maid
740552	168719	Country Woman
740552	238506	2nd Waitress
740553	128340	
740554	273974	Older Woman in Diner
740555	330405	(segment "The Box")
740557	272234	News reporter #1
740558	338563	Singer
740559	140181	Sarah
740560	228515	
740561	331733	Lady at Library
740562	39886	Election Worker
740562	46327	Suzanne
740562	148562	
740562	153187	Nurse
740563	18037	Dental patient
740563	26289	Wilma White, prospective adop
740563	35353	Woman
740563	40334	Woman
740563	44415	Mrs. Sutton
740563	74008	
740563	75397	Nurse Sally
740563	80504	Merrilee
740563	91881	Nun
740563	96994	Enid
740563	98149	Sad Man's Wife
740563	106335	Mrs. Jacobs
740563	108350	Lynn
740563	131447	Haggard Woman
740563	141406	Telephone operator
740563	148523	Wife at Pizza Joint
740563	150350	Amish Woman
740563	150854	Nurse
740563	154301	Official
740563	169377	Kate
740563	176253	Brian's Mother
740563	185078	Miss Vicky
740563	202322	Miss Logan
740563	205819	June Ryker
740563	211035	Mildred, Milton's Wife
740563	217816	Marion Parker
740563	224313	Mrs. Tibbett
740563	245055	Kelsey
740563	257696	Lady
740563	288737	Annette, the Next Door Neighb
740563	295407	Ms. Cardigan
740563	312092	Vet Receptionist
740563	313046	Hysterical Woman
740563	317956	Peg Mason
740563	324953	Emmy
740563	408234	
740564	407786	Young Becky
740565	82899	Elderly Babysitter
740566	319003	Woman looking for her son
740567	221233	Lady-in-Waiting
740568	13056	Oenone
740568	13379	Janet Burke
740568	33923	Tirzah
740568	34977	Wilma Cameron
740568	50071	Rusty
740568	81991	Judith Hutter
740568	84362	Susan Carmichael
740568	98166	Jill Manning
740568	199141	Anne Bennett
740568	203026	Barbara Waggoman
740568	214710	Judy Miniver
740568	224427	Sheila Wayne
740568	230431	Virginia Merrill
740568	300909	Ellen Norson
740568	315697	Early Christian Woman
740568	330179	Catherine 'Keechie' Mobley
740568	367675	Nina Van Rhyne
740568	367970	Nightclub Extra
740569	244034	Docky's Clamshack
740570	262093	Alice
740571	244034	The Science Fair Contestants 
740572	298161	
740573	182998	Receptionist
740574	317309	Halloween Trick O' Treater
740575	142439	von Delberg's daughter
740575	158792	Jean Joddy
740575	285786	Sue
740576	196845	Mother
740577	206687	Barmaid
740578	372599	Zerelda
740578	387286	Laurie
740578	410842	Nancy
740579	366752	Waitress
740580	115471	Grace
740580	150797	Chorus Girl
740580	329480	Singing Secretary
740581	328788	Nurse 1
740582	306294	Pam
740583	188622	
740584	25480	Young Stella
740585	35709	Diane Gold
740586	347925	Herself
740587	369874	Special Features Unit reporte
740588	134067	Sadistica/Various Other Chara
740589	43904	Voice of Sarah Parker
740590	68786	Young Claire
740590	243744	Carole
740591	24878	Herself
740592	80032	Additional Narrator
740593	148287	Maura Green
740593	265420	Peggy Scally
740594	294595	
740595	154101	Kate
740595	246335	Mrs. Maguire
740596	194507	
740597	65681	Simone
740597	87699	Melva
740597	126103	Bystander
740597	154087	Biddy
740597	279413	Sandra
740597	384686	Various roles (1990)
740598	294595	Various
740599	89055	Nora Blakey
740600	309860	Nurse
740600	324660	Kit
740601	5378	Bobby
740602	399694	Herself
740603	398430	Correspondent (1999-2003)
740604	20625	Extra
740605	48075	Woman at Party
740606	312773	Susan
740607	183	Herself
740607	846	Herself - #72: Caroline Rhea:
740607	1440	Herself - Presenter
740607	2539	Herself/Host
740607	2762	Host
740607	2771	Herself/Host
740607	2788	Host
740607	2924	Herself - in 'Cabin Boy' audi
740607	11670	Herself
740607	18015	Assistant D.A. Gina Garrett
740607	21301	Narrator
740607	32089	Gina Barrisano
740607	54726	Lucille Toody
740607	57674	Herself
740607	99461	Herself
740607	105851	Sheila Kingston
740607	109662	Woman in Bird Store
740607	115562	Octopus Masseuse
740607	115568	Betty Rubble
740607	126502	Herself
740607	131677	Herself
740607	135796	Herself
740607	139582	Ole Golly
740607	141815	Herself
740607	154869	Make-up person
740607	157463	Herself
740607	161227	Herself
740607	161248	Herself
740607	161370	Herself
740607	164587	Herself
740607	176493	Herself/Voice
740607	176495	Host
740607	185529	Herself
740607	186650	Doris Murphy (3rd base)
740607	192840	Herself
740607	231535	Host
740607	236083	Dr. Roberta Martin
740607	246779	Herself
740607	278096	Beth
740607	283108	Herself
740607	288700	Bella
740607	289250	Herself
740607	292891	Herself
740607	304829	Becky
740607	320125	Host
740607	320150	Herself/Host of 'The Rosie O'
740607	325098	Terk
740607	342181	Herself
740607	342499	Jackie
740607	347925	Herself
740607	352701	Herself
740607	352740	Herself
740607	364794	Sister Terry
740607	365241	Herself/panelist
740607	369449	Herself
740607	390070	Maggie O'Brien (1986-1987)
740607	403776	Herself/Host
740607	406357	Lorraine Popowski
740607	406365	Host
740608	331100	Dancer
740609	111393	Alisha
740610	51483	
740610	80716	Stewardess
740610	289667	Exorcist Party Goer
740611	39788	Neilson's Daughter
740611	406741	Jacky
740612	70342	Ruth Hunt
740612	72726	Hearing Disabled Teenager
740612	139073	Jane Hergruder
740612	150606	American Daughter
740612	207057	
740613	61614	Poor Little Girl
740614	385823	Girl
740615	221024	Executive Wife #1
740616	2123	
740617	209210	Refugee
740618	318358	Clementine McMillan
740619	366992	Pamela Taylor
740620	165556	1st Office Woman
740621	230857	Singer
740622	49255	Mrs. Arbuthnot
740623	20771	Nancy
740624	4664	
740625	364465	Hypnorized serviceman (chicke
740626	88874	Empress
740627	104790	Backing Vocals
740628	224070	Musicians - Cello
740629	193123	Camel Bay Betty, SAP
740629	237941	
740630	81233	Herself
740631	131750	
740632	80493	Lizzy
740632	305343	Sally
740632	331639	Cohn's receptionist
740632	358657	Crying Girl
740632	390100	Mandy
740633	340221	Carol
740634	160325	Herself
740634	401887	Herself
740635	11838	Pat
740635	40968	Marian Gale
740635	55393	Ruth Haines
740635	72703	Marjorie Nelson, alias Marjor
740635	73338	Georgia Gale
740635	77177	Mary Bohannon
740635	92163	Jane Colwell
740635	107873	Whitney Parker
740635	109361	Herself
740635	116523	Herself
740635	118040	Janette
740635	127086	Susanna Marshall
740635	128894	Grace
740635	142872	Mary Aldrich
740635	143116	Julie Harris
740635	143260	Connie
740635	143565	Molly McCarthy (Slats' sister
740635	144448	Patty Callahan
740635	150904	Miliza Morrelle
740635	169889	Leonora V. 'Elvie' Horton
740635	183331	Sally Pryor
740635	183627	Martha
740635	189152	Daisy Mae
740635	199136	Pretty girl
740635	224003	Joyce Whitman
740635	246215	Mary Jones
740635	263541	
740635	273513	Ivy Devereaux
740635	275405	Beamish's secretary
740635	292511	Mrs. Roberts
740635	296975	Gloria
740635	298080	Blonde Girl
740635	346195	Katie
740635	358183	Helen Lee
740635	360537	Deede Dunham
740635	372461	Dottie Coburn
740635	372927	Sally Carlyle
740636	107897	Ida
740636	243268	Judge's Daughter
740637	185503	Kay
740638	333868	Maureen
740639	190311	
740640	35107	Nursing Sister
740640	189265	Nurse No 2
740640	296686	Miriam
740640	368023	
740640	411378	
740642	8362	Marion Monks
740642	258932	Nurse O'Brien
740642	381187	Oonagh Dooley (1999-)
740643	137532	Miss Brown
740643	215492	Lulu
740643	229212	Esther
740644	40533	Cody, 3 Years Old
740645	218373	Party guest
740646	127730	Falcons Dance Squad Member
740646	341515	Dancer
740647	80606	Girl at Party
740648	207706	2nd Aran Singer
740649	1020	Waitress
740650	46709	Siona
740650	54453	Mrs. Fagan
740650	125656	
740650	138659	Miss Harper
740650	183670	Janie
740650	190104	Mary Gordon
740650	198871	Lady Macbeth
740650	278974	
740650	279758	Maid Marian
740650	291081	Heather McMara
740650	312286	Peg Curtis
740650	315682	Jessie Bond
740650	365560	Miss Carfax
740650	379327	Maid Marian (1955-1957)
740651	117879	
740652	64400	Benny age 10
740652	303820	Emma's Sister
740653	84134	
740654	76027	Claudia Procula, wife of Pila
740654	125519	Mrs. Gregg
740654	222661	
740654	297185	Mrs. Bland
740655	19561	Sultana Billah
740655	281442	Belly dancer
740655	385020	Jacqui Henderson (1997)
740655	387487	Mary Pitt
740655	405151	Kitty
740655	411089	Linda Perelli
740655	411090	Linda Perelli
740656	239252	
740657	383471	Génova
740657	384400	Raquel Orellana 'amiga de san
740657	395885	
740658	257987	
740658	362855	
740659	167048	Ensemble
740660	53320	Jr. Wurman
740661	48946	Latin maid of honor
740661	124440	Daugther
740661	225026	Daugther
740661	246422	Christina
740661	289607	Scarlet
740661	364390	Lollypop Angel
740661	383467	Maria Eugenia
740661	398474	Pilar 'Pili' Reyes Bustillos
740661	399900	Rana's Friend (1994-1995)
740661	400067	Sorora (1993-1995)
740662	63000	Screaming woman
740663	11410	Michelle
740663	340960	Promotions Woman
740663	351972	Nurse
740664	340221	(Daughter No. 1) Jenny
740665	286300	Italian radio presenter
740666	340221	(Daughter No. 2) Rebecca
740667	109427	Drunk Girl
740668	297185	Maid
740669	311166	Mrs. Young
740670	112499	
740671	311172	
740672	40296	
740672	113002	
740672	115429	Young Girl
740672	137054	Kristrun
740672	138033	
740672	153759	Nonne/Nun
740672	183997	Inger
740672	305567	Bess
740672	307709	Kari
740672	315394	
740673	234818	Tina
740674	195137	Bebe
740675	272675	Grace
740676	29650	Baby Danielle
740677	331441	Child
740678	350349	Kerrie, Diane's Baby Girl
740679	314635	
740680	117730	Lt. Lena Sohms
740681	151050	Colleen
740682	53916	The Pitcher
740683	313812	Sheila Rowland
740684	386963	Rachael Gately (2000)
740684	391786	Beth Morgan #1 (1999-2000)
740685	18032	Susan Miller
740685	37948	Judy
740685	40138	Caroline Boyle
740685	57788	Carol O'Hara
740685	62007	Georgia Lee
740685	84486	Claire
740685	105113	Janet
740685	122913	
740685	146741	Sara
740685	149454	June Andersen
740685	149943	Theresa Foley
740685	160307	Herself
740685	196892	Rachel Myer
740685	209526	Vivian Henry
740685	218106	Miranda St. Claire
740685	234237	Shelly
740685	245112	Maggie Stanley
740685	249178	Cindy Ellis
740685	252449	Rebecca Bailey
740685	295563	Jess Gradwell
740685	298008	Lt. Paula Coughlin
740685	298091	Laura
740685	304738	Olivia Wise
740685	310852	Jackie
740685	319873	Molly Bowser
740685	329484	Rowena
740685	331463	Karen Winthrop/Emily Riggs/Ci
740685	339363	Paulette Gill
740685	339597	Jane
740685	343052	Molly Saunders
740685	343189	Kathleen Anneken
740685	358634	Elaine Rigsbee
740685	361540	Victim in VW
740685	379997	Helen Pryor
740685	399739	Dr. Page Taylor
740686	272859	Jeanette
740687	176925	
740688	302432	Actress Playing Alma
740689	320917	Stewardess
740690	3165	Herself
740690	11678	Herself (for "Eight Is Enough
740690	26281	Girl #2
740690	51967	Noreen
740690	98155	Mary Bradford
740690	98156	Mary Bradford
740690	140698	Campus Girl
740690	176392	Julie NcNulty
740690	387374	Mary Bradford
740690	391224	Judy
740691	1849	Knighty's Mom
740692	46297	Receptionist
740693	20253	MC/Announcer
740693	223817	Lady at Lift
740694	176438	Louise Richardson
740694	238649	Alison
740695	164600	Sweet Dreams
740696	21621	Rose
740696	49377	Mrs. O'Brian
740696	68450	Bernie's Mother
740696	90332	Viv Hicks
740696	108919	Olive
740696	190749	Nancy
740696	195551	Minnie Kennedy
740696	217411	Kindly Sister
740696	232268	Winnie
740696	273943	Ella Pringle
740696	284583	Mary Agatha Glynn
740696	305990	Neighbour 1
740696	317327	Meter Maid
740696	362722	Lynn
740696	364869	Maddie O'Hara, Broome's Maid
740696	377014	Doreen
740697	390523	Kathy Mcllroy (2001-)
740698	42277	Alice Prime
740698	76951	Joan
740698	150183	Carrie James
740698	399130	Beverly Marshall/Robinson (II
740699	160581	Joy
740699	265606	Eileen Dunn
740699	395924	Patti Pearce
740700	297548	Vet Secretery
740701	18811	
740702	41337	
740703	80836	Hooker #2
740703	314631	Masked Marvel
740705	67199	Herself
740706	141746	Miriam
740707	169579	Allison
740708	369461	Herself
740709	285034	Nurse
740710	385094	Finalist 2003
740711	81563	Dineen Child
740712	79856	Jennifer
740713	109704	Shiela
740713	117281	College Girl
740714	81563	Dineen Child
740715	81563	Dineen Child
740716	81563	Dineen Child
740717	322335	
740718	23956	Adore O'Hara
740718	139216	Dead Entertainer
740719	14965	
740720	346121	Margaret O'Driscoll
740722	18248	
740722	139677	Mrs. Danby
740723	134004	Laura
740725	83778	The Daughter
740726	2042	Herself (Pretty Funny Female 
740726	3055	Perfomer: 'A Kiss at the End 
740726	7583	Herself
740726	7842	Gail
740726	16354	Dee Lee/Jane/Kitten/Holly Fau
740726	30478	Ludmilla
740726	34666	Cookie Guggelman Fleck
740726	35183	Gloria Henner
740726	68092	Barbara Leary
740726	91789	Judith
740726	96883	Scarlett O'Hare
740726	97737	
740726	120258	Herself
740726	123366	Lillian Rogan
740726	141416	Betty
740726	148200	Kate
740726	148203	Kate McCallister
740726	148260	Mrs. Lever
740726	149439	Muriel Macswain
740726	155065	Nancy Mae
740726	160841	Ma Spademinder
740726	168843	Various SCTV Characters
740726	185475	Cathleen
740726	185542	Lemon Twin
740726	185835	Shrink
740726	187708	Justice Strauss
740726	190056	Sheena
740726	192347	Lexie
740726	206130	Herself
740726	213502	Mickey Crabbe
740726	218364	DJ's mom
740726	232425	Sally, Shock
740726	235627	Audrey
740726	243150	Cindy Beugler
740726	248132	Susan
740726	256500	Mrs. Prysselius
740726	273496	Theresa Sharpe ('I'll Die Lov
740726	278412	
740726	279984	Aunt Edith
740726	288702	Herself - Audience Member
740726	291971	Herself
740726	302235	Mrs. Simon
740726	310547	Connie Barker
740726	320102	
740726	324040	Calamity Jane
740726	326482	Herself
740726	329954	Jessie Lodge
740726	358321	Sheila Albertson
740726	366728	Malicious
740726	368206	Gloria
740726	369336	Allie Earp
740726	384732	Myrna Wallbacker (1976-77)
740726	384765	Liz Larsen
740726	384803	Miss Malone
740726	404574	Lola Heatherton/Dusty Towne/K
740726	404637	Lola Heatherton/Other Roles (
740726	406524	
740728	232972	Tina
740729	287164	
740731	32654	Young Woman
740731	126104	Ticket agent
740732	336782	Mrs. Wall
740733	204608	Elsa Lutzer
740734	41772	Young girl
740735	175217	Girl In Bar
740736	168930	Dancer-Actress
740736	231768	Chorine
740736	234141	Showgirl
740736	255327	Beautiful young woman
740736	304966	
740736	329329	Show Girl
740736	375044	Showgirl
740737	231330	High School Girl
740738	124089	Susan Latimore
740738	192539	Mary
740739	16968	Kathy
740739	18030	Peggy
740739	40763	Rose
740739	47149	Maggie Hefner
740739	54946	Dotty Dodge
740739	56144	
740739	67377	Dorothy Renfrew
740739	113810	Ann Webster
740739	118043	Celia
740739	131348	The Woman
740739	141166	Betty Bendix
740739	152922	Carol Arizzio
740739	155890	Marge Carpenter (segment "196
740739	161352	Herself
740739	185397	Dancing lady
740739	185653	Deb Pierce
740739	188133	
740739	188618	Patty Miller
740739	195619	Gwen
740739	207709	Mrs. Schaffer
740739	220039	Val
740739	224842	Esther Harris
740739	227335	Hannah Green
740739	267109	Mrs. Shadboldt
740739	276819	Dr. Joan Watson
740739	292463	Lisa
740739	328247	Margaret Desmond
740739	340957	Beth
740739	346862	Harriet Rothman
740739	346871	Harriet Rothman
740739	360647	Mrs. Nelson
740739	366271	Miriam
740739	366684	Wendy Derleth
740739	367916	Mrs. Martinelli
740739	380713	Thelma Dailey (1992-1993)
740739	382149	Ruth Manly
740739	382224	Liz Garfield
740739	385068	Lottie Murphy
740739	388195	Miss Emily Mahoney (1979)
740739	391556	Rebecca
740739	395591	Constance 'Connie' Minardi (N
740739	395791	Muriel Spiegelman
740739	398733	Dixie Randazzo
740739	404720	Lucy Dexter
740739	409744	Jenny
740740	255697	Jennifer
740740	388862	Michaels, Sue (1964-1966)
740741	25368	
740741	76259	Mrs. Prynne
740741	79703	Maurya
740741	108919	Lady #3
740741	109660	Mrs. Gibney
740741	112217	Timmy's Mother
740741	116887	May's Mother
740741	143341	Mabel Carter
740741	148287	Josie O'Reilly
740741	168786	Mrs. Slattery
740741	184656	Mrs. Langrishe
740741	203304	Mrs. Crowe
740741	218748	Nun
740741	278012	
740741	297906	Mrs. Bates
740741	388209	Eunice Phelan (1994-)
740741	402956	Lady Dysart
740741	403146	Bridget Mullen
740742	317309	Studio Visitor
740743	399130	Linda (1989)
740744	160449	Herself
740745	202853	Mrs. Murray
740746	369336	Hotel Resident
740747	353374	Narrator
740748	189325	
740748	304243	Girl at The Skulls Party
740748	304862	Widow Emily Winship
740749	166638	Katie (a Cockle Seller)
740750	46877	Young Bridget
740751	291479	Customer
740751	324014	Distraught woman
740751	383683	Woman at Dinner
740751	395358	Delilah
740752	317309	Studio Visitor
740753	190774	Esther
740754	178692	Birthday Girl
740755	54892	Madison Taylor
740755	82828	Ai Amano (English Voice)
740755	91099	Bulma 2
740755	94400	Betty
740755	133123	Daphne Spankenheimer
740755	167789	Nanami Agawa
740755	216726	Marimeia Khushrenada
740755	224328	Wendy
740755	244447	Wanda
740755	277474	Waitress
740755	371970	Mia Koji
740755	371971	Mia Koji
740755	371972	Mia Koji
740755	382648	Hime Utsumiya
740755	383460	Madison Taylor
740755	384080	Juna Ariyoshi/Arjuna
740755	386922	Bulma (Vancouver Dub)
740755	395819	Sandy, Deaf Girl
740755	397005	Romy Bates
740755	397346	Mika: Yai's Maid
740755	398142	Holly
740755	398464	Cullen Lucciora
740755	398718	
740755	399699	
740755	402863	Anna (season 5)
740755	404062	Lime
740755	406012	Sayuka Tachibana, Kirihara Gr
740755	411569	Shadowcat/Katherine 'Kitty' P
740756	152947	Child on Subway
740757	128220	Karen Drake
740757	273969	
740758	170451	Nun
740759	18823	Helen
740759	53793	Darlene
740759	105041	Rita
740759	185542	Lemon Twin
740759	312348	Vivienne
740760	740	Herself
740760	3709	Herself
740760	3745	Herself
740760	3844	Herself
740760	8072	Spitfire Stevens
740760	11689	Herself
740760	13926	Herself
740760	22886	Claire
740760	27618	Princess Marjan
740760	31220	Moira
740760	37149	Martha McCandles
740760	37840	Sydney Fairfield
740760	39961	Lady Margaret Denby
740760	47192	Adelaide Culver
740760	48867	Louisa Frederici Cody
740760	51511	Katherine Eure
740760	58022	Herself
740760	62971	Mary Parkin (Mrs. Parkin)
740760	65568	Herself
740760	67683	Katie Howard
740760	77685	Judy
740760	80720	Kit Tilden
740760	88653	Katherine Hilliard
740760	105289	Joan Madison
740760	107873	Toni Donne
740760	109868	Elizabeth Cooper
740760	114844	Princess Tanya
740760	118543	Odalie d'Arceneaux
740760	148552	Leslie Hale
740760	151304	Elsie Waltz
740760	151339	Angharad Morgan
740760	152721	Esmeralda
740760	157050	Valentine
740760	165221	Mary (Joss' niece)
740760	168516	Herself
740760	173341	Dell McGuire
740760	176279	Secretary
740760	183668	Lady Godiva
740760	185180	Helen Parker
740760	191462	Sylvia Merrill
740760	193921	Mary O'Donnell
740760	200482	Karen Harrison
740760	201804	
740760	202095	Joanna Dana
740760	208932	Katherine McLintock
740760	214967	Doris Walker
740760	220959	Peggy Hobbs
740760	221298	Mrs. Miniver
740760	224035	Eileen O'Shea
740760	242081	Rose Muldoon
740760	244872	Beatrice Severn
740760	248877	Margaret 'Maggie' McKendrick
740760	269861	Mary Kate Danaher
740760	272439	Martha Evans
740760	274245	Ruth Tiflin
740760	274499	Kate Maxwell
740760	278589	Mrs. Kathleen York
740760	294357	Julie Beck/Weatherly
740760	302454	Shireen
740760	303379	Tacey King
740760	310326	Contessa Francesca
740760	310863	Olivia Spencer
740760	327698	Carolyn Bainbridge
740760	329546	Herself
740760	330190	Lolita O'Shea
740760	330825	Louise Martin
740760	334367	2nd Lt. Mary Carter
740760	339928	Countess D'Arneau
740760	359183	Elaine Corwin
740760	366182	Min Wead
740760	367721	Marian Washburn
740760	387120	
740761	91594	
740762	256362	Michelle
740765	183606	Ursula Hampden
740766	35794	Script Girl
740766	91036	
740766	325585	
740766	361140	Jenny
740766	365919	Lisa Berendonk
740767	295616	Strange Woman
740768	32152	Belle
740768	32153	Belle
740768	32178	Belle
740768	32185	Belle
740768	32186	Host
740768	33631	Belle
740768	59380	Belle
740768	87752	Belle
740768	87754	Belle
740768	87757	Belle
740768	177633	Belle
740768	201629	Herself
740768	212908	Belle
740768	272371	Nicole
740769	68373	
740769	204261	Mara's mother
740770	194749	Mrs. Taylor
740771	13966	Jasmine
740771	154629	Doctor Null
740771	295082	Julia
740772	310763	
740773	74230	Magge (witch)
740773	102932	Bit Part
740773	118431	Sarah
740773	127125	Sinistra
740773	131543	Marsha
740773	158502	Jada
740773	250811	Cigarette girl
740773	282904	Rubia
740773	321571	Cindy
740773	326424	Margaret Parker
740773	364357	Elevator Operator
740774	372198	Aunt Emma
740775	169988	Velvet Harris
740775	316087	
740776	273969	
740777	382838	Karen Grant (1982-1988)
740778	27031	Jane
740778	40697	
740778	78055	
740778	125873	Jacqueline
740778	126600	
740778	365394	Helen Owens
740779	2402	Carreras' Secretary
740779	20613	Shirley
740779	28478	Elizabeth
740779	29287	Postmistress
740779	33700	Nita
740779	59825	Manicurist
740779	72554	
740779	73246	Girl with bandaged man
740779	74711	Girl
740779	81222	Mrs. Norton
740779	94741	Waitress
740779	107105	Nurse
740779	107698	Hat Check Girl
740779	115534	Mrs. Bender
740779	122176	Grandmother
740779	126755	Mrs. Kramer
740779	127196	Silhouette Girl
740779	127697	Model
740779	144879	Jean Brewster
740779	145007	Bridesmaid
740779	149948	Mrs. Primus
740779	158793	
740779	192261	Mrs. Turner
740779	195652	Clara Dumont
740779	195794	College Coed
740779	196404	Show Girl
740779	204217	Elizabeth Barrett
740779	280270	Secretary
740779	283394	Stewardess
740779	295293	Girl in band
740779	300068	Bit
740779	314419	'Daughter' in Rehersal
740779	321783	Mrs. Karoki
740779	323147	Marie
740779	325105	Athena
740779	331421	Janet
740779	362140	Receptionist
740780	290650	
740781	134004	Mrs. Hughes
740782	70705	Marina
740783	296863	Martina
740784	312732	Herself
740785	241145	Maribelt
740786	346329	
740788	135195	Barbara
740788	320263	Elizabeth Quinn
740790	140967	Candi
740790	210742	Herself
740790	348106	Herself
740791	233823	Sara MacMillan
740792	27236	Talking Feet
740792	78983	Tourist 2
740793	27236	Talking Feet
740794	7285	
740794	70300	Carla Larkin
740794	100087	Mrs. Woodbridge
740794	140798	Amy Jensen
740794	288968	Shirley
740794	293149	Linda
740794	323898	Sarah White
740794	331533	Miss Farmer
740794	367323	ESS Operator
740794	380505	Anna Marie Hollyhock
740794	383956	Snow White Charming (Spring 1
740794	407471	Sarah Stickney White
740795	7038	Girl
740795	10565	Hotel maid
740795	41102	
740795	85095	Myra Willoughby
740795	149129	Debutante
740795	235381	Margaret Vance
740795	248318	Mary Mack
740795	277736	Mary martin
740795	317833	Vera Lane
740795	332048	Nona Mandan
740796	48468	Red Hot
740796	410688	Midajah (2000-2001)
740797	148524	Mrs. Cochran
740797	168322	
740798	338563	Post Office woman
740800	92416	Linda Monte
740800	168323	
740800	331655	Princess
740801	85922	Jane Spencer
740801	130168	Princess Margaret
740801	219990	
740801	292197	Emily Reece
740801	326496	Sister Siobhan
740801	345857	Mother
740801	396451	Harriet
740801	396965	Ruth Pinch
740801	397932	Deborah Corishant
740801	400082	Mrs. Quilp
740802	141859	Knockout Blonde
740803	11943	Gum Chewing Waitress
740805	359989	
740806	359989	
740807	359989	
740808	29960	
740808	187191	DA Joyce Rafferty
740808	214755	Pre-Crime Public Service Anno
740808	246640	Didi Jeffries
740808	291247	
740808	379696	Donna Alcott
740809	223324	
740810	113495	Young Esther
740811	129762	Married Gnome
740812	6005	Stage manager
740812	45409	Grace
740812	122025	Breen's Girlfriend
740812	160884	Noeleen
740812	212026	Herself - Presenter
740812	286300	Maria Beneventi
740812	293795	Mary
740812	366843	Sarah
740812	382979	
740812	388596	Lorraine
740812	388837	Fiona
740812	400999	Helen Fitzgerald
740813	279200	Singer
740814	362042	Anne
740816	305351	Polly
740817	119609	
740817	147961	Chemist
740817	219769	Amore Dating Co-ordinator/Mis
740817	240232	School Uniform Woman
740818	274754	Alexandra
740818	328301	Jane
740818	373300	Mrs. Daley
740819	274065	Lynn Thomas
740820	339398	Ann
740821	362722	Young Woman at Filmhaus
740822	64899	
740823	264914	
740824	383036	Minnie Clark
740825	428	Stephanie
740826	391835	Talking head/soundbites (segm
740827	72827	Schoolchildren
740828	159073	Amano
740830	154884	Girl in trailer
740831	289372	Featured Extra
740832	333857	Extra
740833	73928	Lauren Randall
740833	107912	Shawnee
740833	137663	Sarah Wainthrope
740833	222308	Jackie
740833	245014	Layla Simmons
740833	260137	Girl
740833	274295	Kylie Taylor
740833	298076	Taylor Vaughan
740833	326410	Debbie Strong
740833	351775	Tyler
740833	362598	Ashley Grant
740833	380391	Maggie Cory #4 (1995)
740833	399011	Cassidy Bridges
740834	292474	Voice of Lady Bartender
740835	161734	
740836	55374	
740837	363670	Doctor
740838	410805	Accompanist
740840	409894	Herself/lead dancer (season 2
740841	269817	Harriet DaVinci
740842	334757	Fleta/Chorus
740843	331226	Jane
740843	395449	Letty
740844	10436	Herself
740845	109386	The Girl
740846	334757	Chorus
740847	38084	
740848	403682	Jodi Miller
740849	149287	Prostitute
740849	151007	Margaret
740850	168948	Townsperson
740851	3221	Susan
740851	124467	Jennifer McGregory
740851	407941	Sophie Frisch
740852	45550	Agnes Boyd
740852	108261	Widow Doheny
740852	252925	Met Woman #2
740852	257614	
740852	359279	Meg McCullum
740852	360652	Mary
740853	402288	
740854	116284	Mary
740854	168680	
740854	183706	Office Girl
740854	288019	
740855	20549	Nurse
740855	65861	Bessie, Receptionist
740855	139790	Dance-hall girl
740855	143191	Page Girl
740855	152208	Girl at Inn
740855	195794	College Coed
740855	209660	Show Girl
740855	221307	Can-Can Girl
740856	405953	Co-Host
740857	157978	Turtle Choir Member
740858	46406	Mrs. Malesky
740859	238492	Soeur de Stéphane
740860	98373	Natasha Von Tuairisc
740861	103364	Mary Tucker
740862	178189	Extra
740863	20625	Extra
740863	331425	Customer
740864	313479	Ewok
740865	63066	Tourist #2
740865	69917	Homeless Woman
740865	70305	Betty
740865	86038	Melanie
740865	93772	Bank Heistess
740865	158183	Woman with Pig
740865	194067	Waitress
740865	215274	Nurse
740865	238595	Customer
740865	250379	Rusty's Mother
740865	374523	Ms. Chang
740866	178139	Robin
740867	10319	Marlene
740867	42112	Dori Derfner
740867	42308	Sue
740867	52303	Lynn Neighbors
740867	154447	Anita
740867	195652	Food Fight Party Girl
740867	254523	Betty Lou
740867	282022	
740867	292786	First Wife
740867	389949	Diane (1961-1962)
740867	404570	Faye
740868	27160	Mercedes Woman
740868	100744	Rachel
740868	269872	Mother
740868	270272	Miss Jessop
740868	279611	Predatory daughter #1
740868	293809	Dr. Iona Duncan
740868	294702	Anna
740868	296947	Bronwyn Taylor
740868	399201	Mrs. Mac
740868	408688	Mrs. McIntosh
740870	46242	Petition Couple
740871	185111	Waitress
740872	171286	Robin
740873	113915	Luisa
740873	359284	Helen
740874	317260	Office Worker
740875	191608	Lifeguard
740876	16803	Baby Alphie
740877	280853	Jamila
740878	286423	TV Reporter
740879	45853	Featured Party Zombie
740880	410548	Herself - of State University
740881	80636	Terry
740881	96910	Nurse
740881	258283	Waitress
740882	120449	Herself
740883	25149	
740883	29732	
740883	32586	
740883	42102	
740883	49382	
740883	53197	
740883	63429	
740883	65123	
740883	67161	Student, the Vamp
740883	69831	
740883	89158	
740883	90258	
740883	109592	
740883	115647	
740883	128592	Alice Weldon
740883	131063	
740883	131737	
740883	133128	
740883	137478	
740883	142612	
740883	147855	
740883	147880	
740883	148974	
740883	154630	
740883	162940	Alma Fairfax
740883	197590	
740883	230664	
740883	241547	
740883	270498	
740883	270642	
740883	279399	
740883	323489	
740883	348491	
740883	349557	
740884	77974	
740885	355365	E.R. Nurse #2/T.V. Reporter
740886	271868	Juror #2
740887	81640	Herself
740888	409578	Mary Barford
740889	122172	
740889	396510	Assiana
740890	104790	Backing Vocals
740891	104973	Brooke
740891	117131	Constance the maid
740892	149226	Caprice Cerise
740893	171123	Herself
740893	368393	Herself
740895	220985	Young Girl
740896	83875	Liz
740896	154087	Sally
740896	177510	Ondine
740897	75059	
740897	91656	
740897	96924	Title Sequence Girl
740897	128740	
740898	315808	Vrouw van Norbert
740899	25989	Mrs. Archibald
740899	25990	Mrs. Archibald
740899	25991	Mrs. Archibald
740899	35219	Mrs. Corlandt
740899	71903	Mrs. Herrick
740899	97890	Mrs. Hicks' Mother
740899	114700	Mrs. Patty Boyden
740899	140692	
740899	195544	Mrs. Meredith
740899	195656	Lady Dartridge
740899	198539	Mrs. Hick's Mother
740899	199349	Pride
740899	201461	Mrs. Harbury
740899	205905	Old News Vendor
740899	211425	
740899	231437	Mrs. Squeers
740899	239701	
740899	249118	Undetermined Role
740899	316280	Mrs. Lawrence
740899	317399	Harriet Farnum
740899	320292	Mrs. Marcia Vanderhold
740899	321793	Mrs. Fairponts
740899	323432	Fan
740900	34799	Scrubwoman
740900	78642	Molly Malloy
740900	79345	Miss Hegarty
740900	147524	Mrs. Murphy
740900	271689	Town Meeting Speaker
740900	275407	Mrs. McNair
740900	410575	Godmother
740901	31693	Tall Girl
740901	149362	Wanda
740902	176838	Waitress
740903	155840	Herself
740904	408816	Herself (series 2 - 2002)
740905	198514	
740906	393452	Various roles (2002)
740907	128376	Freckles' Baby
740908	59759	Mary Starkman
740909	128838	Karen
740910	342390	Mute Girl Who Sings
740911	160464	Herself
740912	33003	Groupie #4
740913	75339	Elizabeth Stevens
740913	249519	Baby
740913	251827	Margaret O'Connell, as a chil
740913	270939	Lucia, age 3
740913	275668	Red Cross Nurse
740913	295470	Mother
740914	368314	Hostess at Wedding
740915	80959	
740915	192286	Black Cat watiress
740916	150299	Bird Lady
740916	192409	
740917	185537	Mrs. Clarg
740917	317335	Nurse Krud
740918	229428	FBI SWAT Officer
740918	242030	Bitter Homeless Woman
740919	150054	
740920	292779	Second Bride
740920	402125	Sarah (maid)
740920	405829	Pvt. Stacey Grey/Butcher (199
740921	25480	Baby Stella
740922	3935	
740922	7396	Stewardess
740922	13619	Mrs. Gallagher
740922	39886	Mrs. Oneacre
740922	41108	Bathing Girl in Dream
740922	59548	Jessie (dispatcher, San Migue
740922	67561	Nurse
740922	70341	Woman
740922	71575	Reporter
740922	72104	Cigarette girl
740922	72400	
740922	87341	
740922	92230	Dolly
740922	99856	Mabel
740922	113472	Ada
740922	119782	Mabel Brown
740922	123135	Mary
740922	135553	Nurse
740922	152328	Ella
740922	152922	
740922	160057	
740922	162602	Housekeeper
740922	167925	Mother
740922	176913	Receptionist
740922	183792	Photographer
740922	191119	Stewardess
740922	199679	Woman
740922	200485	Switchboard Girl
740922	207861	Bit
740922	211602	Girl at Maxim's
740922	214069	
740922	214735	
740922	215363	Mrs. Hayes
740922	216022	Nurse
740922	224205	Herbert Brown, as a baby
740922	226873	Jean Jenkins
740922	231964	Palace Maiden
740922	232225	
740922	239515	College girl
740922	279322	Woman
740922	282042	Secretary
740922	286197	Salome girl
740922	299775	Schoolteacher
740922	306126	Woman
740922	318138	Handmaiden
740922	327093	Mrs. Maloney
740922	330836	Chorus girl
740922	335758	Screamer Woman
740922	343160	Showgirl
740922	358175	Prudence Perkins
740922	359868	
740922	361841	Second Woman
740922	367807	Girl
740922	389858	Mrs. Moss (1982)
740923	282452	Kelly
740923	385068	Trish
740923	397719	Kerry
740924	173089	Nancy Wingate
740925	100880	Paula D'Arcy
740926	20625	Extra
740926	240437	Cook
740926	258209	
740927	315586	House Buyer-Wife
740928	227341	Vivian Whitmore
740929	276731	Receptionist
740930	68450	Joey's Mother
740930	358478	Mrs. Kennedy
740931	367384	Market Girl 2
740932	143628	Patty
740933	276212	Deborah
740934	142949	Mall victim
740935	371211	Dame Carruthers
740936	237138	
740937	215331	Young Girl
740938	27064	Dean's Neighbor on Stoop
740939	258209	
740940	81319	Bellydancer at studio
740941	151101	Manicurist #1
740941	314108	Dancer
740942	224205	Herbert Brown, at 3 years
740943	195794	College Coed
740944	141695	
740946	50162	Kate Thompson
740946	221096	Mrs. Jakovitch
740946	223643	
740946	224345	
740947	359850	Julie
740948	342871	Bowler
740949	232093	Lucy
740949	348375	Alice Blake
740950	6892	Herself
740950	34903	Herself
740950	71133	Val Nolan
740950	83918	Adah (Jacob's girl)
740950	88922	The Rani
740950	88924	The Rani
740950	133513	Varinka
740950	149721	Alys
740950	163352	Herself
740950	190934	Irina
740950	198977	Pat Livingston
740950	228354	Salome
740950	257341	
740950	265690	Laura
740950	279403	Despina
740950	324163	Anna Skriabina
740950	341786	Karen Lindén/'Judith Russell'
740950	350199	The Governess (Mme. Perrodot)
740950	363011	Laura Wilde
740950	364510	Barbara Martin
740950	382854	Jane Maxwell (1975-1976)
740950	384497	Cynthia Tarrant
740950	384528	Mrs. Peacock (Christmas Speci
740950	385301	Lady Alice Fox (2003)
740950	387152	Cassandra 'Caress' Morrell (1
740950	387518	Nurse
740950	392200	Laura Wilde (1989-1990)
740950	396514	Julia Main (1969-1970)
740950	408877	Katherine Laker (1981-1982)
740950	410728	'Mick' Armstrong
740951	119328	Jackie Newman
740951	120427	
740952	103293	Natalie
740952	128838	Jackie/Jennifer
740953	195483	Gerry, the Cruise Director
740953	348386	Cathie
740953	385787	Regular (1972-73)
740953	389769	Regular (1966-67)
740954	7889	Party Goer
740954	133208	Natalie
740955	220960	Auditioner 6
740956	321559	Diner Waitress
740957	186849	Call girl
740958	133952	Herself
740958	163623	Herself
740958	228301	Herself
740958	249555	Herself/Performer
740958	257309	
740958	260291	Performer
740958	273900	Herself
740958	284447	Jo
740958	284448	Jo
740958	284449	Jo
740958	284450	
740958	284451	S Club 7
740958	284452	Jo
740958	284453	
740958	284454	
740958	284456	Jo
740958	342189	Herself
740958	384084	Herself/S Club 7/S Club (1999
740958	395019	Jo
740958	397615	Jo
740958	404032	Jo
740958	410298	Jo
740959	363633	The Rental Agent
740960	44845	The Baby
740960	320314	Rachel Ebstein
740961	224853	Mullen Family
740962	1038	Dancer
740962	45591	Dancer
740962	54621	Dancer
740962	126575	Herself (dancer)
740962	250989	Dancer
740962	250990	Herself
740962	250991	Dancer
740962	300180	Other Audition Dancer
740963	304691	Extreme Corporal Punishment
740964	6148	Phillipa
740964	208632	The Bells' Neighbour
740964	388321	Diana Wilson (2001)
740964	407141	Doctor Darby
740965	367822	Mrs. Fitzpatrick
740966	342557	Mini/Flag
740967	41179	Girl in Shower
740968	256578	Sister
740969	400087	
740970	142873	Mrs. Ikeley
740971	589	Pedestrian
740971	4619	
740971	6800	Miss Gurney
740971	7008	Miss Bartlett, the Teacher
740971	10406	Governess
740971	11181	Chambermaid
740971	17756	Miss Willoughby, the Nanny
740971	18411	Eleanor
740971	20475	Mrs. Page, Benny's Landlady
740971	25868	Tasmin's Receptionist
740971	27045	
740971	27149	Mrs. Weise
740971	29691	Stage Passenger
740971	33601	Mrs. Abercrombie
740971	37460	Gambling Woman
740971	38813	Mrs. Ward
740971	39251	Mrs. Harmon
740971	40998	Gertrude Glossop
740971	41502	Lena
740971	44559	Lucy Abott
740971	46737	Miss Jennings
740971	54607	Flora, the Telephone Operator
740971	56098	
740971	57152	
740971	59933	Clothing Store Saleslady
740971	60936	Miss Kittredge)
740971	80787	Miss Augustine Sifert
740971	83787	Travel Bureau Clerk
740971	92526	Nurse Mitchell, Gillespie's T
740971	96669	Receptionist
740971	107005	Kate
740971	107688	Dormitory Manager
740971	110995	Woman on Subway Train
740971	112464	Mrs. Flaherty
740971	120260	Brumbaugh's Secretary
740971	124714	Linen Maid
740971	126590	Proprietress in Gwen's Sweet 
740971	128790	Bart's Secretary
740971	129097	Mrs. Rhodes
740971	129231	
740971	130293	Woman on bus
740971	131594	Mrs. Finnerty
740971	133610	Secretary
740971	133629	Martha, old prune
740971	136816	John Pulham's Nurse
740971	139786	Dr. Schwartz's Nurse
740971	140676	
740971	141620	Day Nurse
740971	142877	Welfare Board Member
740971	142880	Mr. Stevens' Secretary
740971	146140	Nurse
740971	148552	Maid
740971	149104	Nurse
740971	151550	
740971	154182	Clara
740971	155293	
740971	157866	Mrs. Tompkins
740971	157886	Mrs. Peabody
740971	159594	Singer
740971	191833	
740971	196404	Mrs. Tubbs
740971	198543	Miss Quimby, Hygiene Nurse
740971	199394	Woman
740971	200304	Naturally Nosey Lady
740971	200462	Mrs. Foster
740971	200881	Bit Part
740971	201000	The Bride-to-Be
740971	201152	The Main Maid
740971	203490	Landlady
740971	205448	Maid
740971	212216	Miss Cummings (Sunshine Orpha
740971	213469	Schoolteacher
740971	214967	Secretary to Mr. Sawyer
740971	215746	Mrs. Swonaker
740971	218349	Miss Julia, Parishioner
740971	224216	Miss Jackson, School Teacher
740971	224711	Crisparkle maid
740971	230303	Julia Craddock
740971	230774	Schoolteacher
740971	233659	Friend of Mrs. Hanlon
740971	238507	Mrs. Hawks
740971	240610	Peggy's Mother
740971	242533	Miss Tristram
740971	246650	Mrs. Hammond Eggerley
740971	255881	USO Housing Clerk
740971	261506	Woman with nose machine
740971	261560	
740971	272691	Woman
740971	273254	Girl
740971	279393	Nurse Shaving Soldier
740971	283421	Miss Petrie
740971	297918	Customer
740971	299163	Captain's Wife
740971	300864	Mrs. Borum
740971	303146	Bit Part
740971	303232	Nurse
740971	303379	Mrs. Gibbs
740971	304966	Minerva
740971	305472	Undetermined Role
740971	305934	Miss Primm, Hospital Dining R
740971	306798	Watkins
740971	307846	Mrs. Barnett
740971	313085	Elvira's Mother
740971	316164	Jim's Secretary
740971	316314	Nurse Thompson
740971	321495	Miss Malcott
740971	323940	
740971	329329	Maid
740971	330167	Woman Patron
740971	331713	Mamie
740971	334272	Nurse
740971	343160	Woman on Escalator
740971	346914	Head Nurse
740971	348327	Spinster
740971	350229	Marion's Housekeeper
740971	360662	Nosy Neighbor
740971	361302	Stage passenger
740971	362343	Red Cross worker
740971	365926	Jennie, the Maid
740971	367453	Nurse
740971	367530	Mother by elevator
740971	372588	
740971	375045	Lady in Elevator
740971	402255	Nana
740972	130631	Hazel
740972	196924	Hazel
740973	155248	Additional Soul
740974	365624	Ann Richards
740975	195309	
740976	362689	Mrs. Garber
740977	7995	Karen
740977	119466	Chayzie
740977	128461	
740977	222687	Sara
740978	55292	Cindy
740978	141416	Magazine Colleagues
740978	263755	Elegant Woman
740978	268541	Agnes Quinn
740978	367254	Party guest
740979	149258	Singer
740980	89311	Stacy
740981	178080	Show Girl
740983	266871	
740984	371059	Mrs. Van Eik
740985	394660	Asuka
740986	178693	Eddy's Secretary
740986	302858	Priscilla
740987	267339	Mrs. Johnston
740989	292553	Angela Heggie
740990	173467	Receptionist
740992	22856	Second Couple (Racquet Club)
740992	231533	Movie Fanatic
740992	281937	Mrs. Wees
740992	362555	Lady on Plane
740993	45626	Nancy Bisbee
740993	62035	Miami Desk Clerk
740993	72237	Additional Voices
740993	86545	Botamon
740993	176631	Reiko{voice, English Version}
740993	185672	911 Operator
740993	207838	Movie Theater Actress
740993	264424	Heather Smith
740993	266591	Nurse
740993	336940	Geraldine
740993	386345	Suzie Wong (2001-2002)/Additi
740993	393552	Additional Voices
740993	397031	
740993	411343	
740994	16969	Angie
740996	1133	Kim
740996	2580	Herself - Best Supporting Act
740996	2589	Herself - Co-presenter: Best 
740996	2613	Herself - Presenter: Best Sup
740996	3053	Herself - Past winner
740996	3165	Herself
740996	25437	Narrator
740996	27333	Amanda Whurlitzer
740996	30702	Cynthia Kruger
740996	58160	Scarlet
740996	64408	Sarah Norton
740996	160958	Sarah Brown
740996	191755	Ferris
740996	192106	Stella
740996	231533	Alice Forsyte
740996	237572	Herself
740996	248117	Addie Loggins
740996	264499	Christie
740996	291109	Camille Picou
740996	326555	Slim
740996	367588	Lawrencia Bembenek
740996	388202	Goldilocks
740997	42805	Company Corpse
740998	116543	Angie Howard
740998	119577	Jennie
740998	129070	Trude Olsen
740998	151375	Herself
740998	169612	Virgy Maxwell
740998	188401	Kitty
740998	215991	Jill Kemp
740998	248613	Gym Sweetheart (In a Girls' G
740998	251430	Pansy Bruno
740998	311988	Ila
740998	329949	Bunny
740999	381909	Herself (2004) (10th Evicted,
741000	204890	Lori Martin
741002	161487	Liette's Mother
741003	11582	Duchesse de Praslin
741003	16669	Mrs. Catherine Tremayne
741003	114856	Mrs. Duryea
741003	131240	Ellen O'Hara
741003	154046	Jerry Lindsay
741003	154553	Jessie Brown
741003	196294	Sally Painter
741003	236733	Mother Didyma (War-time Hospi
741003	292318	Miss Robey
741003	299072	Miss Leeming
741003	314354	Helen Morrison Dallas
741003	318922	Helen Randolph
741003	337074	Queen Elizabeth
741003	337178	Louise Brigard
741003	363190	Madeleine Dumont Chagal
741003	363623	Theresa Randolph
741005	41614	
741005	47251	
741005	50371	
741005	152661	
741005	197852	
741005	210302	
741005	219149	
741005	291016	
741005	319644	Herself
741005	333830	
741006	273555	Feminist hanging flyers
741007	49997	
741008	384545	Elizabeth
741009	272911	
741010	67876	Alice Lewis
741010	93325	Lady Fleming
741010	118944	Mad Woman
741010	191532	
741010	385020	Ruth Winters (1966)
741010	385781	Clara Copperfield
741010	397182	
741010	406182	Shelagh
741010	406206	Beth Warrington
741010	406370	Felicity Grant
741011	365255	Annie
741012	145554	Fanny Hawthorne
741013	291307	Extra
741014	188491	Kathy Gleason
741015	176406	Extra in heaven scene
741016	41368	Patricia
741017	112504	Pam
741018	82342	
741019	148108	
741019	160136	
741019	211043	
741019	284213	
741020	24957	Little Buck
741021	174598	
741022	40552	Auditioning Actor
741023	7498	Evie
741023	26776	Mrs. Dilling (the landlady)
741023	38813	Hat shop customer
741023	161945	Mrs. Patten
741023	162946	Nurse Pauline
741023	168285	Mrs. Sheldon
741023	183679	Woman
741023	191646	Mrs. Mitchell
741023	234070	Landlady
741023	269804	Madame Zaronga
741023	321511	Mrs. Simms
741024	134672	Fan on street
741025	30582	Middle Pole-Dancing Cheerlead
741025	37648	Herself
741025	41063	Herself
741025	87697	Baby Doll Dancer
741025	116750	Nikeeta
741025	125425	Herself
741025	128604	Model ("Slumber Party" Segmen
741025	128786	Herself
741025	226984	Herself
741025	232242	Dancer
741025	296374	Herself
741025	356652	Herself
741025	404948	Female Bodyguard
741026	1955	Herself
741027	365779	Libby's Daughter
741028	52490	Mother Superior
741028	63992	Felice Venable
741028	71561	
741028	106655	Myra
741028	107808	Czarina Alexandra
741028	108002	Mrs. Finn
741028	113377	Nina
741028	114893	Zirah/Marika
741028	115864	Mrs. Vibrat
741028	131363	Mrs. Henderson
741028	133965	Alma
741028	141788	Hedda Gabler
741028	145964	Eugenie
741028	162419	Sarah Maitland
741028	180867	Miriam Friedlander
741028	183403	Mrs. Strong
741028	183766	Lady 'Ducky' Trench
741028	199245	
741028	221228	Mrs. Balfame
741028	239346	Mrs. Drake (replaced by Virgi
741028	264197	Princess Fedora Romanoff
741028	276422	Princess Marya
741028	280474	Princess Alexandra
741028	282594	The Queen
741028	292618	Mrs. Varney, Edith's Mother
741028	295462	Alma
741028	309582	Rosa Brenner
741028	329793	Grand Mere
741028	334803	Jane Brett
741028	338097	Honora 'Nora' Maury
741028	366735	Zora Fernandez
741028	367553	Countess Runyi
741028	367710	Jane Hawley
741029	16934	June Rowland
741029	46668	Cynthia
741029	48043	Eleanor
741029	72732	Nanda Macdonald
741029	79138	Mary Drake
741029	97663	Mary
741029	112262	Moira Regan
741029	124260	Sally Richards
741029	140959	Margaret
741029	141032	Betty
741029	142611	Helen taylor
741029	164370	Patricia Fraser
741029	183375	Una Verity
741029	209502	Carol
741029	231791	Young Marlow
741029	298012	Miss Neville
741029	307648	Miss Martin
741029	307999	Sally Martin
741029	308045	Cynthia Hatch
741029	308140	Millie Tarrant
741029	308160	Mary Randle
741029	329979	Barbara Blake
741029	333897	Mrs. Blakeworth
741029	342380	Ann
741030	6273	Mabel
741030	96696	Gladwys Hoskins
741030	108626	Mrs. Brown
741030	192000	Cook
741030	221238	Arlene
741030	252282	Christine Russell
741030	368190	Large Lady
741030	379640	
741030	388895	Sheba Shapiro
741030	403193	Queen Matilda (1981-1983)
741031	294246	Rose Lady
741032	117338	
741033	109673	Adagio Dancer
741034	9049	Peg
741034	31157	Ellen Winston
741034	35566	
741034	60242	Mary McQuire
741034	234786	Olga Nelson
741034	240725	
741034	252117	Nell
741034	252281	Peggy
741034	304743	Artist's Model
741034	362940	Mary
741035	51975	Inmate
741036	252926	Jillian
741036	278247	4-Year-Old Erica
741036	285796	Sophie
741037	1381	Herself
741037	23897	Bernice Lane
741037	26658	Sally O'Day
741037	31208	Ruth Judson
741037	31343	The mountain girl
741037	32403	Rebecca O'Brien McCloskey
741037	32788	
741037	46076	The Brat
741037	47339	Sally McAllister
741037	47369	Mary
741037	50858	Judy Carroll
741037	52574	Ellen Callahan
741037	70214	Gracie, call girl
741037	90238	Tracey Moffat
741037	115669	Pat Bixby
741037	120340	Sally Colleen Lapidowitz
741037	128389	Josie
741037	128411	Erie McCadden
741037	139230	Teena Johnson
741037	147396	Sue Burke
741037	166049	Ruth Morgan
741037	174602	Kathleen O'Connor
741037	174603	Kathleen O'Moore
741037	183393	Dot
741037	196367	Georgie Hastings
741037	199185	Cuddles
741037	213601	Mike
741037	219892	Diana Wyman
741037	222618	Jane, a Maid
741037	240981	Kitty
741037	286153	Mary
741037	286382	Myrtle
741037	300103	What Became of the Floradora 
741037	303277	Sally Malone
741037	303547	Rosita
741037	304943	Mary Munson
741037	309054	Margie Callahan
741037	335716	Ann Miller
741037	358904	Herself
741038	351767	Lisa
741040	171248	Chrissie
741040	194727	Jenny
741040	235460	Wendy
741040	360830	Elaine
741041	72912	Brett Gordon
741042	350114	
741043	105971	Edna
741043	223292	Girl in Box
741043	337816	Actress rehearsing scene
741043	358583	Reba
741044	178059	
741044	226875	Stripper
741045	196032	
741045	380713	Frances 'Frannie' Hughes #3 (
741046	19995	Jessica Hirsch
741046	26381	
741046	26490	Earth Alliance President
741046	40081	Teresa George
741046	46154	Maoina Krupps
741046	59632	Angelica
741046	67584	Dog trainer
741046	125638	
741046	127351	Vogue Editor
741046	135763	Angie (Rolls Royce)
741046	164663	Enid Marshall
741046	176329	Marion Fowler
741046	187283	Sarah Lyons
741046	206856	Dr. Angela Buccieri
741046	222711	Ashley Vickers
741046	256530	Anne Kimbrough
741046	259279	D.A. Willis
741046	326602	Judge Katherine Notch
741046	333856	Woman
741046	367606	Margaret Fitzpatrick
741046	385977	Rosa
741046	392185	Joan Willis (original cast)
741047	209480	
741048	262591	Tanya's Priestess/Angle Grind
741049	313474	Depa Billaba
741049	313476	Depa Billaba
741050	5378	Louise
741050	130960	Helen
741050	388209	Carol Foley Meehan (1999-)
741051	23441	German Skater
741051	83949	Cindy
741051	148901	Amy Szalinski
741051	148903	Amy Szalinski
741051	154301	Jodie
741051	364084	Pandra
741051	410987	Lisa Barnes
741051	411802	Molly (1986)
741052	10883	Kristin Sykes
741052	101078	Roxanne Tangent
741052	133130	Darlene
741052	279143	Mary Caldwell
741053	130188	
741053	243268	Country Shopkeeper
741053	359989	
741054	76546	
741055	16803	Mrs. Dooley
741055	46121	
741055	50476	Mrs. McGlone
741056	80612	Vera
741056	81168	Secretary
741056	141411	Dukes Waitress
741056	203507	Secretary
741056	335480	Barbara
741056	406083	Sandra Lee
741056	406793	
741057	97022	Nuala
741058	167679	Nurse Vivian
741058	287282	Mrs. McKie
741058	287305	Mrs.McKie
741058	316993	The Wife
741059	169545	Lisa
741060	644	Beautiful Girl
741060	169662	Samantha Utterback
741061	107331	Nellie
741062	25814	Michelle
741062	32894	Nikki Goodwin
741062	46121	Young Girl
741062	80593	Housewife
741062	118722	WPC
741062	143606	
741062	161839	Maj. Daniels
741062	316863	Janet Foster
741062	330830	Nurse Babs
741062	382266	Jenna Albury
741062	382384	Laila
741062	384968	Shelley Bloors
741062	385020	Andrea Clayton (1985, 2000)
741062	387247	Claire Butcher (1987-1989)
741062	402610	Janice Maloney
741062	402611	Janice Maloney
741063	190058	Patricia 'Pooky' Peck
741064	305356	Paula
741065	133772	Pregnant Girl (Platero)
741066	24212	Mother
741066	125557	Patricia
741066	176728	Grace Blakely
741066	274259	Joan
741066	310955	Gretchen
741067	340570	Plump Girl
741068	209210	Refugee
741069	147784	
741070	266713	Receptionist
741071	196536	Cindy
741071	202947	Erica
741071	326794	Desidieria
741071	383015	Sgt. Gloria Ames (1963-1965)
741072	223777	Sinead
741072	247332	
741073	411363	Mary Haskell's Child
741074	128270	Molly Maguire
741074	187194	Jake's sweetheart
741075	350277	Miranda
741076	314108	Dancer
741077	272437	Brit Woman
741078	387227	Herself - Movie News Correspo
741078	397919	Hostess
741078	402400	Host (2003-)
741079	307712	Bag Lady
741080	96787	Vicki
741081	40660	Sister Benedict
741082	182359	Backing vocalist
741083	280959	Ruth
741084	2992	Virginia Ducci
741084	31201	Herself (CBS Team)
741084	31202	Herself (CBS Team)
741084	52420	
741084	54848	Ellen Jasper
741084	54997	Georgia Hightower
741084	59813	Sandy Albright
741084	65948	Helen St. Clair
741084	68452	Susan Manning
741084	70927	Irene Grace
741084	72109	Kate
741084	72120	Dani Reynolds
741084	117086	
741084	117490	Mandy Rust
741084	121522	Debralee Taft
741084	122229	
741084	125775	Elena Bardi
741084	129576	Scotty
741084	132823	Herself
741084	154411	Irene
741084	160054	Teresa Raffo
741084	161738	Hillary Wayne
741084	183677	Paula Booth
741084	195761	Ms. Alman
741084	196265	Laurel
741084	201816	Herself
741084	240571	Linda Rodgers
741084	244430	Nancy Langford
741084	252874	Maggie
741084	253360	Alison Carr
741084	253509	Heather Moore
741084	263974	Queen Albertina
741084	274352	Stephanie Hartford
741084	275104	Ann Curtis
741084	277919	Ellen Stillwell
741084	278599	Shasta Delaney
741084	289470	Kim Obrist
741084	302009	Louellen Peterson
741084	310607	Herself
741084	314224	Cass Cassidy
741084	318036	Miranda Graham
741084	318748	Dorothy
741084	333205	Michelle Bain
741084	355596	Lydia
741084	357152	Dr. Elizabeth Duran
741084	363540	Scottie Hallam
741084	379015	Messalina
741084	381281	Lady Bobbi Rowan (1983)
741084	385142	Danielle Reynolds (1984-1985)
741084	391457	Herself (Hostess)
741085	213618	Narrator
741086	169545	Lisa's Mom
741087	64400	Little Girl
741088	310591	Herself
741089	115894	Mother
741090	408425	Amy Randall (1986-1987)
741092	178012	Nicole
741093	363780	Hamptons Girl
741094	385299	Kathleen O'Donovan
741095	114540	
741096	37884	Mrs. Cooper
741096	47973	Prostitute
741096	77211	Audrey Milligan
741096	154902	Mrs. Turner
741097	216803	Golden Girl
741098	154738	Dee Dee
741099	11326	Florence
741099	38750	Alex
741099	41490	Bernadette Woolley
741099	82110	
741099	95778	Caroline Tanner
741099	114719	Marina Kay
741099	120111	Louise
741099	125977	Berta
741099	132061	Kim
741099	140900	Norah
741099	143868	Alison Liddle
741099	176959	Sara Thornton
741099	217741	Girl in Paradise Club
741099	297252	Sheila Jackson
741099	323425	Kathy
741099	346078	Hazel Aaron
741099	362980	Sheila
741099	363512	Julian's second wife
741099	384100	Emma Holman (episode "Number 
741099	392970	Dr. Amanda Tucker
741099	395535	Auntie Doris
741099	401077	Dr. Alex Redman (2000 Series 
741099	405048	Sheila Jackson
741099	406643	Ariadne
741099	411014	Poppy
741100	80622	Helga
741100	382773	Althea Dennis (1960)
741101	20882	Housekeeper
741101	49242	Norah
741101	65968	
741101	67875	Mrs. Gore
741101	70321	Mary
741101	92574	Mrs. Mulvanry
741101	108085	Mrs. Docker
741101	109047	Mrs. Brough
741101	122903	Mrs. Murphy
741101	129225	Phoebe
741101	133539	Mrs. Bridget Walsh
741101	145398	Hannah
741101	160242	Mrs. Beetle
741101	162275	Mrs. Moriarty
741101	169948	Mrs. O'Halloran
741101	188283	Mrs. Mitterley
741101	195959	Mrs. Dorbell
741101	198450	
741101	215788	Housekeeper
741101	220366	Maura Macree
741101	222654	Mrs. Moore
741101	224035	Mrs. O'Shea
741101	238870	Mrs. Baggs
741101	240812	
741101	243071	Mrs. Lenham
741101	244972	Nanny
741101	251835	Peg's Mother
741101	252234	Cook
741101	252280	Widow Clegg
741101	255081	Mrs. Milligan
741101	285793	Ma Murnaghan
741101	291487	Alice's Patient
741101	294061	Mrs. Neddy
741101	300938	Mrs. Such
741101	302597	Madame Osiris
741101	308000	
741101	311915	
741101	311981	Meg Clayton
741101	312005	Dresser
741101	316184	Clarissa Finnegan
741101	321703	Biddy
741101	329699	Mrs. Cope
741101	331099	Housekeeper
741101	338770	Brigid
741101	372280	Mrs. Barrett
741102	4699	Elderly lady
741102	42431	Dr. Hamilton
741102	74235	Hotel Manageress
741102	112566	Moire's Sister
741102	348371	
741102	409005	Bridie
741103	64400	Nun
741103	233676	Maggie
741104	294573	Manageress
741105	321154	Frug dancer
741106	36833	Dominici's Mother
741106	62536	Lady in the Park
741106	112207	Mental Patient
741106	118541	Mrs. Steiner
741106	123032	Mitri
741106	158902	Granny Bacon
741106	264992	Mama
741106	293145	Sister Mary
741106	309047	Nurse
741106	350337	Gertie
741107	183670	
741108	329524	Shaquina Carson
741109	251979	Sara Ann Morgan
741110	232093	Rock singer
741111	339597	Young Candy
741112	224085	Young Elspeth
741113	65895	Molly
741113	286300	Michelle
741113	333868	Annie McPhelimy
741113	403017	Eileen O'Toole
741114	388462	
741115	166240	Bit Role
741116	11141	Grape Queen
741116	149261	Cigarette Girl
741116	163469	Cricket
741116	252381	Party Guest
741116	308636	Peggy
741116	372093	Model
741117	168119	Armor Double
741117	188326	Woman
741118	274521	Zombie
741119	40552	Frame Store Customer
741120	16705	Andrea Shockley
741120	102786	Vickie Coleman
741120	117362	Robin
741120	147753	Pam
741120	276857	Esther Molvania
741120	308344	Jane
741120	334152	Jane
741121	81152	Executive
741122	168290	Soot Zimmer
741122	289456	
741123	137462	Dancer
741123	155029	Betty
741123	318716	Dancer
741124	393447	Shona
741125	109524	Perry's Pizza waitress
741125	158865	Stage Manager
741125	272859	Suzy
741125	328458	Marge
741125	335346	Secretary
741126	88289	Ima Haig, his younest daughte
741126	90149	
741126	358983	Susie, the hermit's daughter
741126	371338	The sister
741126	372853	
741127	33191	Herself
741128	10670	Park Avenue Couples
741128	117101	Tatiana
741128	274805	Real Estate Broker
741128	304644	Victor's receptionist
741129	26457	Janice
741129	42431	Tina
741129	87591	Mags
741129	121510	Phillippa
741129	159573	RUC Policewoman
741129	185149	Junky's Ex
741129	219769	Mary Mallory
741129	240232	Carol Radford
741129	280833	Angel Hunter
741129	365138	Claire McKee
741129	387247	Joanne Ryan (2002-2003)
741130	191688	French Soldier's Wife
741130	268035	Julie
741130	318814	Tricia
741132	16642	Edith
741132	62793	Eileen O'Connor
741132	263500	Drosophila
741132	289564	Emma
741132	292792	Vicki
741132	335934	Prue
741132	382067	Nadine
741132	405209	Serena Hughes
741133	240071	Clerk
741134	290352	Miss Waldron
741135	114297	Daughter
741136	8615	
741136	156277	La dactylo
741136	218249	
741136	280534	
741137	41733	Blonde Girl
741138	283563	Hispanic Girl
741139	223026	Dancing Lady
741140	199217	Dora Fenton
741141	75226	Julie
741142	365101	
741143	20	Florence Castle, Secret Servi
741144	64400	Eve
741144	87591	Eileen
741144	101426	Elena
741144	113388	Debbie
741144	139569	Rebecca Kennedy
741144	154749	Sonja
741144	201852	Miss Chapman
741144	205786	Mariette Baptiste
741144	214939	
741144	220767	Cathy
741144	276430	Heather Graham
741144	307928	Alice Quigley
741144	380073	Mona
741145	86025	Housekeeper
741146	154927	Champagne girl #1
741147	113966	Bit Part
741147	113970	Nora Belmont
741147	202919	
741147	281876	Mary O'Malley
741147	296723	Margaret Haddon
741147	332150	Ellen Wilson
741148	140181	Barkeeper
741149	27160	Fondled Woman
741150	37855	Actress
741151	113728	Juliana
741152	390144	Panther (1992-1996)
741153	284583	Irish beauty
741154	108011	Jackie Parker
741155	250764	Belle McCreesh
741156	278568	
741156	322819	Isadora Duncan
741157	26467	
741157	42112	Cindy
741157	50340	Doris
741157	151461	Tour Girl
741157	191809	Sylvene McFall
741157	264158	Scottish Duchess
741157	322638	Kathy
741158	36864	Passenger
741159	24875	Dash MacKenzie
741159	189986	Shelly Deane
741159	207989	Officer Wirtz
741159	207991	Officer Wirtz
741159	278222	Pizza Girl
741159	292134	
741159	313477	Senator Mon Mothma
741159	386938	Herself
741160	164516	Hooker
741160	267345	Carissa Stamford
741160	288738	The Vampirettes
741161	74133	Lisa
741162	16802	Young Angela
741162	154116	Kate Creevy
741162	260663	Ginny
741162	347689	Policewoman
741163	385094	Finalist 2003
741164	42832	Mourner
741166	162275	Nurse Chambers
741167	108410	Miss Hunt
741167	366990	
741167	386604	Mrs. Baynes
741167	402603	Mrs. Morris
741168	140019	Cigarette Girl
741170	385109	Reporter (2004)
741171	206629	M. Force Secretary
741171	382411	Series Regular
741172	246861	Pajama Girl
741173	402147	Correspondent
741174	230620	Herself
741175	176303	Muffy
741176	6005	Box office attendant
741176	16803	Mrs. Carmody
741176	38905	
741177	352465	Girl Junkie #2
741178	300856	
741179	7889	Becky
741180	306126	Woman
741182	46348	
741182	75030	
741182	93714	
741182	236944	
741182	253650	
741185	239756	Water Brigade
741186	109229	
741186	255157	
741186	255158	
741187	71935	Colette
741187	315901	Slim McMahon
741188	72535	Vocals, Guitar, Keyboard
741188	72536	Herself
741188	72537	Herself
741188	72538	Herself
741188	163623	Herself
741188	192524	Vocals
741188	221420	Herself
741188	251090	Herself - Singer "Ava Maria"
741189	37969	Newsreader
741190	27271	Denise
741190	103370	Nurse 2
741190	119634	Mary Shaw
741191	141543	Katherine
741192	2893	Herself (Memorial Tribute)
741192	33392	Herself
741192	75525	Herself
741192	201736	Herself
741192	259826	Carol Anne Freeling
741192	259828	Carol Anne Freeling
741192	259829	Carol Anne Freeling
741192	320100	Sarah Brogan
741192	328553	Carol Anne Freeling (Polterge
741192	391006	Heather Pfister (1982-1983)
741193	121836	Eleanor Holm
741194	16642	Borstal Girl
741195	113586	Yvonne
741196	29941	
741196	152836	Little Fawn
741196	284576	Rose, as a child
741196	301782	Young Donelle
741197	296552	Dancer
741198	261049	Showgirl Dancer #8
741199	117879	
741199	194497	Hero Orcs, Goblins, Uruks & R
741200	335685	Lynne
741201	371305	Jewel
741202	382608	Co-Presenter
741202	384171	Reporter
741203	170720	Mahala
741204	224853	Sharon Kelly
741205	337988	Alice
741206	17749	Dancer/Orphan
741206	252242	Dancer
741207	39861	Teenage Runaway
741208	282898	Margot
741208	379210	
741208	379252	Rosario
741208	380074	Mireya
741208	383812	Alexandra Thompson
741208	384984	
741208	386555	Soraya Alafán
741208	387475	
741208	389589	
741208	392959	Diana
741208	396925	
741208	401634	
741208	408562	
741208	410316	
741209	2081	Rosa
741209	257613	Sara
741209	258455	Biddy Henly
741209	288493	Vampire girl
741210	86545	Sora/Male Student
741210	183061	Alouette
741210	241955	
741210	294028	Additional Voices
741210	323889	Genis Sage
741210	385674	Jazz Fenton
741210	386345	Sora Takenouchi (1999-2000)/A
741210	394403	Polly/Mary/Ellen/Don
741210	410930	Lori (2001-2002)
741211	158141	Bank patron
741212	404409	Baby Cat
741213	33732	Stephanie
741213	66159	
741213	130960	Clara
741213	359423	Kris' Friend
741214	78789	Kate Walenski
741214	118675	Rose
741214	196157	
741214	301289	Charlene Bullet
741214	331085	Bronwyn
741214	381238	Law Office Receptionist
741214	405960	Gayle Andrews
741215	404608	Finalist (2001)
741216	185724	Bar Girl
741217	57747	Inmate
741218	107897	Margaret
741219	110189	Aimée Dubucq de Rivéry
741219	123695	Ellen
741219	319997	Penny
741221	202372	Doreen Buffington
741222	381886	Herself - Guest Presenter (20
741222	381910	Herself (Series 1) (2000)
741223	47588	Old Folks Home
741225	14603	Nurse
741226	72018	Mrs. O'Halloran
741226	273850	Mrs. Conway
741227	160713	Christina's sister
741227	215789	Betting Shop Assistant
741229	277107	Lupe
741230	115890	Flower & Garnet's Mom
741230	279349	Donna
741230	338277	Carol
741230	382160	Pretty Bar Patron
741231	100008	Redhead
741232	165023	Aiya
741232	328966	Natsumi
741233	41552	Dancing coed
741233	216803	Anne #1
741233	230933	Model/Wife
741234	301906	
741235	306223	Chatting Woman #2
741236	303820	Emma
741237	97611	Old Woman
741238	289217	Song Mimer
741239	203049	
741240	7016	Ruby
741240	208059	
741240	245644	Mary Harrison
741240	342416	
741241	32494	Mrs. Hobday
741241	34663	Singer
741241	41851	Herself
741241	92506	Mrs. Tessie O'Toole
741241	147566	Pansy Rogers
741241	193622	Herself
741241	221119	Mrs. Cratchett
741241	283811	Alice Foss (telephone operato
741241	299233	Bella Sweeney
741241	308170	Daisy Smart
741241	360152	Herself (singer)
741241	380707	Blodwen O'Reilly
741241	387672	Regular (1964)
741241	411400	Herself
741242	217531	Female Jailer
741242	236142	
741242	292017	Aunt Gert
741242	345717	Nelda Knight
741243	116796	Girl
741244	117136	New York Socialite
741244	251646	New York Art Patron
741245	58170	Susan's Friend
741246	54853	Mrs. Rimmer
741246	139581	Mrs. Frazier
741246	255834	Mary Magdala
741246	361841	First Woman
741247	340103	
741248	10670	Kate
741249	141497	Ginny Edwards
741249	212050	
741250	27271	Teresa Campbell
741251	6005	Rita
741251	14247	Claire De Cintré
741251	17825	Liv
741251	50476	Ma Brady
741251	208954	Max
741251	212698	Girl in Bed
741251	241243	Jenny
741251	283607	Frances
741251	299489	
741251	303507	Woman
741251	359349	Carol
741251	369384	Vrau
741251	384460	Dr. Cathy Costello
741251	395569	Dr. Katherine Doone
741252	241650	Mrs. Stephenson
741252	387247	Barbara (1986)
741252	398184	Loveday
741252	405209	Dr. Anna Virtue (2001)
741253	215157	Gloria
741253	310624	
741253	310726	Woman with Baby Carriage
741254	8023	Jeanie
741254	61625	Mrs. Prothero
741254	80755	Bowling Shoe Lady
741254	200357	Dr. Rogers
741254	291771	Sherman's wife
741255	119581	Jesse
741256	240733	Mikey's Wife
741257	16803	Baby Alphie
741258	352703	Herself - interviewed
741259	47485	Bud Lordan
741260	56618	High Court Lawyer
741261	27213	Reporter #2
741262	19888	Dixie
741263	312918	Sarah
741264	80415	Girl
741264	228453	Female Reporter
741265	380880	Constance
741265	391872	Sally Freeman
741265	401135	
741266	378817	Queen Elizabeth II/Victoria '
741267	84829	Charlotte Bronte (court scene
741267	100087	The Nun
741267	154866	Nettie Beech
741268	405209	Nurse Robyn Stokes (2001-2002
741269	10305	Dance Girl
741270	313357	
741271	26289	Katie Tutts
741271	171218	Wendy Burroughs
741271	348795	Secretary
741272	3027	Herself (Memorial Tribute)
741272	3077	Herself
741272	11277	Sara Harper
741272	17543	Kitty
741272	30346	Henrietta Barrett
741272	35478	Claire Donahue
741272	36985	Georgette Stroud
741272	37308	Doris Thompson
741272	38803	Hester Grantham
741272	43774	Marion Drew
741272	54903	Lenore
741272	57766	Jane, thrown from a tree into
741272	66827	Molly Kelly
741272	69616	Alisande
741272	73678	Lillian Stanton
741272	73933	Sheila Carson
741272	79736	Judy Standish
741272	85109	Lorraine Lavond
741272	94880	Gladys Duffy
741272	100085	Maria Orlich
741272	109432	Sally
741272	114867	Linda Belton
741272	131585	Aunt Sue
741272	133655	Lady Conan Doyle
741272	136972	Helen Taylor
741272	138444	Norma
741272	138700	Herself
741272	139702	Eleanor Biddlecomb
741272	144672	Pauline Miller
741272	147417	June 'Junie' Evans
741272	147917	
741272	147921	Herself
741272	163629	
741272	168247	Herself
741272	171146	LN-18
741272	188294	Mary Roberts
741272	201152	Abigail 'Abby' Rawlston
741272	204024	Grandmother
741272	215849	Nancy Slocum
741272	223825	Martha Aldrich
741272	230421	Edith Lambert
741272	233919	Nan Kyle
741272	239346	Sheila Barton
741272	251276	Winnie Marble
741272	251867	Elizabeth Alvorg
741272	253467	Dora
741272	254917	Herself
741272	260880	Madelon
741272	263555	Jane Bennet
741272	264145	Princess Louise
741272	279599	Helen Herrick
741272	291299	Herself
741272	291341	Herself
741272	301980	Joyce Moore
741272	304375	Kathleen Kearny
741272	306488	Elinor Worthing
741272	308572	Eileen O'Brien
741272	311736	Linda Lockwood
741272	311995	Alexandra 'Alex' Benson
741272	312795	Shirley Lorraine
741272	314231	Gladys Duffy
741272	315959	Grace Clark
741272	316108	Madeline Arnold
741272	324038	Doretta Mims
741272	325102	Jane Parker
741272	325126	Jane
741272	325127	Jane
741272	325139	Jane Parker
741272	325154	Jane
741272	325158	Jane
741272	325163	Herself
741272	329565	Appearance
741272	330385	Dorothy Wynant
741272	335710	Inez Hardwick
741272	341528	Patricia 'Pat' Severn
741272	348008	Herself
741272	356261	Camden Terry
741272	361677	'Skip' Carter
741272	363282	Julie Dawn
741272	365290	Emma Breslin
741272	366834	Aunt Mildred
741272	367637	Ann Gray
741272	370530	Molly Beaumont
741272	379716	Olive Whelan (1981)
741272	390771	Miss Emma Witherspoon (1984)
741272	408395	Herself - Today Girl (1963-19
741273	290424	
741274	10748	Duchess, Queen of Hearts
741274	34822	Mrs. Malone
741274	124054	Freda
741274	213278	Caravan Lady
741274	257742	Granny
741274	277889	Ada Jones
741274	342908	Mrs Fletcher
741274	364502	Amelia Williams
741274	379335	Thelma
741274	382393	Mrs. Mortimer
741274	384962	Lorna Close
741274	386508	Eileen Vickers
741274	391486	Grandma Lois Kelly
741274	391869	Gladys Adams (2001, 2003)
741274	393685	
741274	399130	Marlene Kratz (1994-1997)
741274	399816	Phyllis Pratt (1975)
741274	403355	Beatrice White
741274	405960	Aileen Keegan
741275	155013	Girl/Jack's movie
741276	71742	Sister Cecilia
741276	97212	Mrs. O'Hara
741276	116796	Nun
741276	344683	May Golding Dedalus
741277	199467	
741278	80056	CHP Officer
741278	80802	
741278	83984	
741278	281911	Sales Clerk
741278	314949	
741279	11143	Guest 10
741280	275107	Aunt Mary
741281	207706	Japanese Bride
741282	2597	Elaine
741282	16327	Toni's adult voice
741282	34671	Rachel Blackstone
741282	46854	Miss Edmunds
741282	47592	Fitzpatrick, Nim
741282	56750	Alice Perrin
741282	62971	Keri Evans
741282	70486	Lola LaMarr
741282	73768	Kathy
741282	93255	Maud Gage Baum
741282	101722	Bambi
741282	113304	Connie Phipps
741282	113363	Gwen Saticoy
741282	116741	Susan
741282	127607	Herself
741282	128331	Jenny
741282	128378	Kate Comstock
741282	136228	Betsy
741282	143628	Jo Cavanaugh
741282	153008	Dottie Thorson
741282	156851	Ginny Rucklehaus
741282	163188	Beverly 'Bev/Bevvie' Marsh Ro
741282	175228	Anne Hallowell
741282	177451	Sharon
741282	178092	Kate Wilson
741282	183376	
741282	195455	Mrs. King
741282	195585	Carol Martin
741282	195867	Julie
741282	203263	Annie Hopkins
741282	220041	Ellen Wells
741282	223772	Joann
741282	240528	Hope
741282	241667	Janet Hays
741282	305571	Doria Houston (Miss Anaheim)
741282	313064	Tammy Wynette
741282	317153	Jessica Weitz
741282	319614	Lana Lang
741282	327592	Nora
741282	347528	Carol
741282	350491	Kathy
741282	359194	Wendy Geoghegan
741282	363886	Helen Lester
741282	385887	Cheryl Keeton
741282	392285	Dottie Thorson
741282	393492	Sarah
741282	399011	Lisa Bridges (1996-1998)
741282	405680	Martha Kent
741283	193754	
741283	294063	
741284	236953	Blair Weesch
741284	327055	Suzie Sexpert
741285	367588	Inmate
741286	33439	Rosie
741286	68683	Receptionist Maxine Gray Cosm
741286	165419	The Leopard Queen
741286	263298	Tanji
741286	411089	Myra
741287	217420	Josephine
741287	390777	Imogen Vey
741288	287230	
741289	289090	Colette Sheridan
741289	363486	Ann
741289	405670	Sloane
741290	8362	Senior Sister Magdalen
741290	41392	Susan Maxwell-Scott
741290	77758	Chemist
741290	80642	Miss Furlong
741290	168547	Herself
741290	186058	Amelia More
741290	234901	Miss Delahunty
741290	261434	Mrs. Jameson
741290	389090	Ms Langan
741290	389998	Sister Shelley
741290	394163	Staff Nurse
741290	399567	Dr. Eleanor Wiseman
741291	280207	Little Girl In Lobby
741291	323902	
741293	400158	Cora Collins
741294	305435	Samantha West
741295	95108	Sarah
741296	823	
741297	78041	
741297	87591	Marky's girlfriend
741298	157576	Chicken Fighting Girl
741299	129673	
741301	21704	Carmen
741301	61129	
741301	72434	
741301	97294	
741301	103375	Saturna
741301	149232	
741301	152237	Doña Caridad
741301	165789	
741301	165918	
741301	169557	Flora
741301	170037	
741301	170039	Genoveva
741301	184871	
741301	192938	
741301	193512	
741301	199295	
741301	221888	Doña Milagros
741301	253990	Señora Marsan
741301	255545	
741301	322851	Judge's Mother
741301	339130	
741301	341162	
741301	353638	
741301	361567	
741301	383481	
741301	397170	
741302	81533	Angel
741303	113900	Rosemary
741303	252524	Miss Nelson
741305	65542	Herself - Judge
741305	401875	Herself - Judge (2000-2002)
741305	409504	Herself - Reporter
741306	105374	
741306	369431	
741307	212973	Kip Jerli
741308	21346	
741308	214392	
741309	129627	Scarlett - Southern Bell
741309	233693	Sexual Persuasion
741309	321036	
741309	390180	Scarlett
741310	130556	Miko
741311	88219	
741311	153160	
741311	171662	
741311	183899	
741311	322610	
741311	344356	
741311	355252	
741313	139078	
741314	18704	Yohko Shimorenjaku
741316	238945	
741317	242553	
741318	206825	Sister Paula
741318	381191	
741318	391869	Kylie Burton (1996-1998)
741319	375757	
741320	318345	
741321	98495	
741322	58002	Shower Girl
741323	106076	Dancer
741324	80430	80's Bar Patron
741325	324237	Citizens and Members of the C
741325	367083	Running Girl
741326	290936	Dancer
741327	352473	Lauren
741328	356230	Model
741329	5360	Sally
741329	31191	Herself (NBC Team)
741329	31192	Herself (NBC Team contestant)
741329	31193	Herself (NBC Team)
741329	31194	Herself - NBC Team Contestant
741329	31195	Herself - Host
741329	31197	Herself (ABC Team contestant)
741329	31315	Young woman
741329	64567	Performer
741329	64568	
741329	64571	Herself/performer
741329	327172	June
741329	342533	Jennie
741329	400167	
741329	403773	Georgia
741330	329560	
741330	361688	Anybodys, Tomboy
741331	378735	Girl #1
741332	192187	Darla's Friend
741332	319753	Tart
741332	395924	Rosie, station cleaner/barmai
741333	215453	Music School Secretary
741334	209198	Massage Victim
741335	329323	Sue
741335	383789	Mandy
741336	179308	
741337	335666	Mrs. Day
741338	29728	Hortense
741338	35725	Guest at Chase's residence
741338	41002	Bit Role
741338	88943	
741338	141172	
741338	186828	Miss Hill
741338	190210	
741338	221124	Woman
741338	222678	Theatre Patron
741338	315100	Dorothea
741338	331763	Guest at Reception
741338	335469	Member of Jolly Trio
741338	360714	Reporter
741338	372145	Woman
741339	12769	Dorothy North (child)
741339	88156	The children
741339	95143	Beryl Meredith
741339	141503	Amy Rapp
741339	299029	Baby Kenyon
741339	368372	Sunny, the daughter
741340	78779	Waitress Tina
741340	257522	Julie
741341	395321	Herself/panelist (1962-1963)
741341	410900	Herself/panelist
741342	256	Vivien
741342	5889	Vivian, Edgar's Wife
741342	8166	Grace
741342	10978	
741342	12333	Mrs. Renington Chow, the wife
741342	13252	Mrs. Flint, landlady
741342	19128	Vivien
741342	23207	Mrs. Van Dieman
741342	26310	Vivien Kennedy
741342	26762	Kitty
741342	27262	Vivien
741342	32276	Vivien Kennedy
741342	34453	Mrs. Errol
741342	37107	Mrs. Black, (as Vivian Oaklan
741342	43989	
741342	44536	Boss's Wife
741342	46775	Miss Gordon, Saleslady
741342	49536	Annie Cobb
741342	63422	Receptionist
741342	65470	Mrs. Edgar (Vivian) Kennedy
741342	65744	Vivien
741342	69237	Mrs. Walter Hempstead
741342	72714	
741342	72728	
741342	73230	Madame Jarman
741342	82064	Mrs. Ballou
741342	84217	Beauty
741342	88153	
741342	90149	
741342	91635	Mrs. Jerome Courtland
741342	92705	Vivien
741342	95111	Vivien Kennedy
741342	110373	Vivien Kennedy
741342	115864	Maud
741342	116695	Vivien, Edgar's Wife
741342	123206	Smith's first love
741342	126496	Mrs. Tuttle, (as Vivian Oakla
741342	128198	Mrs. Renner
741342	128485	Chattie Richmond
741342	130633	Lucille Guthrie
741342	132191	
741342	146175	Mrs. Errol
741342	148233	Mrs. Parker, the neighbor
741342	150824	Bess
741342	154063	Russell's Sugar Mama
741342	158181	
741342	158258	Mrs. Kernell
741342	162858	Blonde
741342	163251	Mrs. Kennedy
741342	175552	Vivien Kennedy
741342	175848	Mrs. Carmenchita Conklin
741342	178858	
741342	183741	Mrs. Hemingway
741342	183821	Mrs. Lynchfield
741342	186004	Mrs. Conklin
741342	186155	
741342	188240	
741342	190612	
741342	193295	Mrs. Donovan
741342	193300	Mrs. Kennedy
741342	195121	
741342	195282	Mrs. Ricketts
741342	199135	Vivien
741342	199746	Lady Sarah Joyce
741342	200472	Mrs. Witherspoon
741342	200893	Vivien
741342	203147	Mrs. Maynard
741342	203208	Mrs. Kohler
741342	203594	Mrs. Monroe
741342	204858	Emily Coster
741342	207949	Susan Trebel
741342	211610	Mrs. Peabody
741342	213471	Mrs. Moose
741342	213821	Marie
741342	217984	Helen Whitney
741342	220884	Mrs. Laverne
741342	229520	
741342	230425	The new wife
741342	231768	Married woman
741342	238628	
741342	239050	Kunegundi
741342	241489	Ethel Morton
741342	241779	
741342	242110	
741342	245665	
741342	253020	
741342	253503	Mrs. Keller
741342	260285	Mrs. Violet Oberton
741342	267177	
741342	271250	Bessie Erne
741342	273687	Mrs. Webster
741342	274503	Mrs. Bill Williams
741342	275678	Lillian Haskins
741342	278438	
741342	283536	
741342	288019	
741342	289240	Mrs. Crum
741342	291136	Mrs. Beaumont
741342	292405	Mrs. Brownley
741342	300020	
741342	300037	Mrs. Errol
741342	304504	Mrs. Conway
741342	305498	Woman at Bar
741342	306774	
741342	313346	Jerry Classon
741342	319111	Vivien
741342	326509	Lois Caswell
741342	327211	
741342	327872	Miss Martin
741342	329592	Mrs. McBride
741342	329598	Mrs. Hardy
741342	329830	
741342	330059	Large Woman
741342	330170	Mrs. Fairchilds
741342	332126	
741342	333385	Mrs. Davis
741342	335550	Mrs. Johnson
741342	337468	
741342	337688	Vivien
741342	337922	Vivien
741342	343285	Vivien
741342	345826	Mrs. Shelby
741342	347137	
741342	348972	Stella Mason
741342	359140	Mrs. Norris
741342	360235	Sheriff's Wife
741342	360395	Mrs. Hardy
741342	360678	Mademoiselle Mimi de Lyle
741342	364352	Mrs. Shirley Brown
741342	365063	The other woman
741342	368973	Mrs. Errol
741342	372853	The governor's daughter
741343	320281	Natasha Kovacs
741344	6003	Herself
741344	17770	Herself
741345	47194	Sarah Lewis
741346	362081	Baby Daphne
741347	219774	Natalie Davis
741348	216879	Baby Suit #1
741349	38276	
741349	39305	Laura
741349	48542	
741349	59122	
741349	72342	
741349	77494	
741349	84484	
741349	87681	
741349	95093	Rilla
741349	112283	
741349	126296	
741349	128435	
741349	133786	
741349	134285	
741349	140522	
741349	143088	Undetermined Role
741349	143114	
741349	143250	Sister Agnes
741349	152554	
741349	155774	
741349	171204	
741349	186646	
741349	190596	
741349	192345	
741349	194465	Head Sister
741349	194466	
741349	210598	Life's Handmaiden
741349	264032	
741349	278768	
741349	280910	
741349	285704	
741349	286145	Mrs. Shackleton
741349	292047	
741349	296650	
741349	313351	Janice
741349	323732	
741349	329823	Ma Ford
741349	331360	
741349	335628	
741349	343264	Miss Ambrose
741349	346094	
741349	350448	Lady Mary Latimer
741349	362827	The Wife
741350	397859	Louisa
741351	282935	Regina
741352	36744	The Medical Student
741353	271198	Pregnant Woman in Coma
741354	330173	Waitress
741355	159073	Vij
741356	183310	Marie
741356	245170	
741356	252712	Ruby Miller
741357	80539	Sgt. Smith
741358	126130	Featured
741359	56729	Thing Two
741360	90316	Bobby's Daughter
741361	167687	Herself - a Singer
741362	310781	Herself
741364	45839	A Woman
741365	118414	Older Woman
741366	352931	Olga
741367	262542	
741368	55989	
741368	133527	Voice Over
741369	324091	Prostitute
741370	56545	Herself
741370	60186	Legal Secretary
741370	83777	Staci
741370	289024	Diggy
741370	345857	Talk Show Guest
741371	71474	Dancer
741372	46315	Aunt Martha
741372	128834	Miss Kinter
741372	154358	Flossie Williams
741372	203534	Nurse Agnes
741372	204891	
741372	263523	Pollitt
741372	330407	Miss Crabbe
741372	358977	Rachel [cut from US version]
741373	123150	
741373	202545	
741373	271966	
741373	376698	Mercedes, Shango's Mother
741374	359520	Herself (daughter)
741375	280853	Alexa
741376	404694	Polly (1970)
741377	359520	Herself (wife)
741378	37246	Mona
741378	82075	Carmine's Wife
741378	198489	Nurse #1
741378	215363	Technician #1
741378	336772	Hospital Doctor
741378	342153	Aunt Edna
741378	389412	Nurse
741379	82517	McCain
741379	118775	Patty
741379	144340	Tally
741379	288058	Mary
741379	310837	Jackie Segal
741379	399961	Edna Unger (1972-1975)
741380	8216	Receptionist at GP&S
741380	61611	Waitress
741380	305080	Kathy
741380	381924	Regular
741381	123068	Mother
741382	411657	Adoua
741383	263056	Woman in Police Station
741384	23731	Maria
741384	54846	
741384	88084	La prof de gym
741384	94387	Dominique, la mère de Romain
741384	120435	La femme du square
741384	208219	Michèle
741384	235264	Claire
741384	269741	L'hôtesse de l'air
741384	280769	Romaine
741384	291667	
741384	345522	Sybille
741384	385382	
741385	376999	Comité 2000
741386	353936	
741387	281442	Ali's mother
741388	321953	Princess
741389	100391	Periodista
741390	162598	Herself
741391	362650	Hazel
741392	246470	
741393	97635	
741393	334880	
741393	334882	
741394	402332	Herself
741395	55110	Carla's Family #6
741396	326496	Refugee
741396	356337	Herself
741397	385252	Paola
741398	66234	
741399	385252	Paola
741400	137325	Shino, Aoba's mum
741400	182127	Tetsuo's mother
741401	236178	Barbarina, Tochter des Antoni
741401	329669	Flora
741402	17284	Herself
741403	359612	
741404	357636	
741405	132748	
741406	217102	Mary
741407	364680	Dead Hooker
741408	333058	Meri
741409	131988	Lady Wrestler
741410	117490	Alice
741410	321746	
741410	407915	Boo Wheeler
741411	131758	Girl
741412	31503	Mother
741412	180544	
741412	232751	
741412	336816	
741413	93517	
741414	206741	Dark-Haired Girl
741415	349621	Jazmína
741416	150075	Shopping Girl
741417	159117	
741417	265407	Mrs. Brown, the Landlady
741418	90763	
741418	145328	Fräulein Hase
741418	174533	
741418	210107	
741418	225134	
741418	314899	
741418	317665	Thora Sandstadt
741418	352675	
741418	376399	
741419	179297	Bank Director's Secretary
741420	279205	Sarah
741421	19100	Vina
741422	90237	Dancer
741423	145482	In Her Apartment
741424	344093	Luisa
741425	328663	2nd Girl
741426	11280	Stephanie
741426	41942	Terrified Woman
741426	95490	Meg Carson
741426	354164	Trainee
741426	366914	Female Student
741427	389164	Herself
741428	312341	
741429	113655	Waitress
741430	162364	Prison Singer
741431	149198	Dispatcher #2
741432	344151	Pyramid Girl
741433	247001	
741434	187190	Judy Smith
741435	259691	Ulrike Bernert
741436	97712	Leis Schjelderup
741436	129689	Fanny
741436	130921	Vroni
741436	145467	Kathi
741436	156991	Steffie
741436	171565	Maria
741436	175311	Vicky
741436	178641	Klara
741436	225723	Julia
741436	266356	Burgl Lautenschlager
741436	285818	Inge
741436	293551	Resi
741436	306409	Liesl
741436	312598	Eva
741436	358748	Emmerenz
741436	361531	Bertl's Frau
741436	396613	Leni
741437	31469	Anna
741437	40379	Frl. Lenz
741437	124618	Bäuerin
741437	142136	Lena
741437	145467	Mali
741437	174822	
741437	233306	
741437	265093	Genoveva
741437	266356	Rosl Lautenschlager
741437	290255	Henriette:
741437	301017	
741437	306409	Fanny
741437	317664	Berta
741437	325926	Frau Moosbauer
741437	365607	
741437	365608	
741437	376376	Anna
741437	376388	Anita
741437	377350	
741437	389268	
741437	396874	Frau Hocke (1992-1993)
741437	397370	Frau am Steeg
741438	290557	
741439	5490	Elderly Mrs. Knighton
741439	30190	Leading Lady
741439	52541	
741439	79374	Mrs. Fowler
741439	140190	Sister Theresa
741439	143052	Mrs. Grant
741439	159710	
741439	192258	Mrs. Hudson
741439	264044	Mrs. Blithers
741439	270141	Mrs. Morgan, his aunt
741439	304028	Mrs. J. Smith Crawford
741439	305831	Mrs. Clement
741439	311023	
741439	331399	
741439	357588	Mrs. Clverman
741439	364012	Princess Chiaromonte
741440	128756	Herself
741441	28439	Amelia
741441	62786	Various
741441	256146	Lucretia
741441	378627	Bookstore Girl
741442	303175	
741443	318808	Waitress
741444	37643	Receptionist
741445	255645	
741446	115635	B&B lady
741446	133121	Mrs. Stern
741446	236786	Customer
741447	347430	
741448	375992	
741449	142135	Vroni
741451	42177	Marlene Thompson
741451	84391	Micky
741451	126401	
741451	140655	
741451	282207	Peggy
741451	344737	
741452	87735	
741453	7218	Gritka
741453	26177	Kristla
741453	48008	
741453	72383	Vilma
741453	87612	Jitka's mother
741453	87935	Liza
741453	96391	Nurse in asylum
741453	96495	Vlachová
741453	155649	The Countess of Basildon
741453	165131	
741453	167317	
741453	173035	Madam
741453	174937	Xena Longenová
741453	178453	Líza
741453	178532	Julina
741453	179883	Madam
741453	205383	Teacher Zíková
741453	237490	
741453	258524	
741453	270725	
741453	271618	
741453	279819	Tonicka
741453	283261	Mrs. Roupová
741453	305824	Jarosová
741453	309459	Jana
741453	313911	Julie
741453	342296	Andela
741453	357437	Miluska
741453	357683	Manheimová
741453	357745	Spisáková
741453	360071	
741453	374098	Mrs. Lovická
741453	374624	Marie
741453	378840	Blanka
741453	383079	Ruzena Soumarová
741453	387031	
741453	394618	Marta Gottwaldová
741453	402368	
741453	407221	Milada
741453	407278	Loudilová, Sipek's neighbour
741453	407383	Bozena
741453	412004	Karla
741454	67481	Petula Aldwin
741454	131753	Shirl
741454	207901	Fiona Maxwell
741454	244318	Prosecuting Counsel
741454	250737	Lady Holmes
741454	290771	Elaine Murray
741454	327964	Kate Norris
741454	334112	Sarah Pascal
741454	389146	Mortimer
741454	392278	Rose
741454	400814	Lonnie Simcox, nee Hope
741454	407838	Kate Norris
741454	408716	Alex Farrell
741455	41921	Waitress
741456	55085	
741457	134622	
741458	72171	Narrator
741458	107331	Tippycott
741458	177008	Weathergirl
741458	305381	Marion
741458	319726	Lea Van Gelder
741458	328804	Celebrity Participant
741458	360179	Lolly Swain
741458	381996	Various Roles (2002)
741458	382347	Beverly
741458	384695	Various Roles
741458	387247	Chrissie Watts (2004-)
741458	389410	Herself
741458	391075	
741458	392415	Herself
741459	119792	German Family
741459	161891	Hannah
741460	66120	
741461	110772	Doppelgänger
741461	325654	Petty
741462	318284	
741463	166763	Schulorchester
741464	226229	Lisbeth
741464	226257	Daniela
741464	259556	Arpads Mutter
741465	280279	The Transylvanians
741466	358170	Muse
741467	395714	Host (1988-1990)
741468	160797	
741469	105216	Misha
741469	167988	Priyanka Kapoor (Rohit's sist
741469	188449	
741469	318029	
741470	109069	Vivienne
741470	220175	Jean
741470	274052	Alicia
741471	12244	Party Goer
741472	264	Joan Ames
741472	1875	Linda Venning
741472	2548	Herself - Presenter
741472	7512	Sue Mayberry
741472	10395	Bit Part
741472	20033	Bit Part
741472	31266	Marquise Yorisaka
741472	33750	Helen Drummond
741472	34316	Lucienne
741472	47533	Germaine
741472	72227	Mary Smith
741472	78361	Elizabeth Rockwell
741472	78762	Kitty Vane
741472	78993	Leslie Calvin
741472	81784	Dorothy Donnelly
741472	83853	Empress Josephine
741472	88170	Leslie Steele/Lady Claire Mer
741472	97083	Bit Part
741472	102113	Herself (Messalina)
741472	109336	Bit Part
741472	114082	Nicole Larsen
741472	116443	Baroness Genevieve Cassini
741472	117227	Bit Part
741472	117647	Marjorie
741472	131004	Herself
741472	147716	Herself
741472	150516	The Duchess
741472	155058	Messalina
741472	161067	Serena Moore
741472	191230	Mrs. Richardson
741472	193375	Kitty Langley
741472	198023	Lydia MacMillen
741472	210822	Ysobel d'Aunay
741472	230430	Bit Part
741472	231964	Delarai
741472	232223	Cathy
741472	238512	Katherine Beckmann
741472	243954	Herself
741472	244450	Herself (acquaintance)
741472	245659	Jane Benson
741472	248829	Elizabeth Rockwell
741472	263477	Jessica Warren
741472	264730	Antonita, a Dancer of Passion
741472	264733	Anne Boleyn
741472	289614	Lady Marguerite Blakeney
741472	294948	Bit Part
741472	308674	George Sand
741472	312774	Herself
741472	316081	Bit Part
741472	327585	Ruby
741472	329528	Mrs. Jill Baker
741472	330096	Karen Wright
741472	330836	Karin Touzac
741472	334658	Margaret Fobson
741472	359440	Bit Part
741472	360719	Miss Hutchinson
741472	369182	Cathy
741473	142267	Bankkunde/Bank's Client
741473	352659	Paula Buchka
741474	37731	
741474	75976	
741475	102900	
741475	172608	
741475	352372	
741475	361445	Bessy
741475	409860	
741476	85540	Femme au cimetière #1
741477	18	Party Guest
741478	99688	Herself
741479	134517	Owens River Gang
741480	363225	Model
741481	153832	Enfermera
741482	40277	Solange
741483	81559	
741483	180332	
741483	270301	Pilot woman
741483	339942	
741484	365573	
741485	92864	Librarian
741486	340065	
741487	12034	
741487	269572	
741487	402301	Angélica
741488	364322	Dee Dee
741489	375689	Cherry
741490	357688	
741491	20847	Reporter
741491	98163	Dr. Wanda A. Langton
741491	145080	Customs Agent #2
741491	365869	Jenny
741491	387318	Terry
741492	312141	Dancer #2
741492	387340	Additional Voices
741493	334899	Mother
741494	33832	
741494	234301	Oksana
741494	316415	
741495	99284	Indian Maiden
741495	158788	Herself
741495	173328	Narrator
741495	219978	Narrator
741496	39840	Pregnant Woman
741497	163363	Brenda Butkis
741497	199568	Emma
741497	301509	Mary
741497	336745	Dixie
741497	379332	Alicia Gianelli
741497	380246	
741497	384765	Tracy Larsen
741497	385462	Inez
741497	389264	Skunk
741497	395723	
741497	406304	
741498	11715	Cilla Hedberg/Bogdana Kopowsk
741498	32379	Marianne Andersson
741498	59717	Domestic servant
741498	120356	Minna
741498	125708	
741498	134165	Ingegärd
741498	170837	Lena
741498	192929	Norah
741498	237037	Mother
741498	248188	Ulla
741498	326044	Lindas mamma (episode 2)
741498	343469	
741498	382307	Mona Rydbeck
741498	390854	Tvätterskan
741498	394085	Domestic servant
741498	401539	Gudrun
741498	403769	Sigrid Jonsson (episode Bländ
741498	404039	Sigge's Mom
741499	127627	Beach Dancer
741499	317309	Dancer #7
741500	35930	
741501	314559	Referendarin
741501	325536	
741502	4671	Herself
741502	23254	Audrey Rocio Ramirez
741502	23255	Audrey Rocio Ramirez
741502	23256	Audrey Rocio Ramirez
741502	73838	Miryea
741502	84486	Mrs. Elaine Fowler
741502	160307	Herself
741502	202915	Stacy Vetter
741502	252507	Dee Ramon
741502	265102	Conchita
741502	274361	Rita
741502	303447	Angelica
741502	307359	Vasquez
741502	307360	Vasquez
741502	336301	Carmen Naranjo
741502	347708	Amy
741502	358285	
741502	381400	Elena Ramirez
741503	314437	
741504	405506	Hasiba Boranovic 'Buranija'
741505	126292	
741506	64734	Desk Nurse
741506	131227	Naomi Ross
741507	306785	'Ferguson's Gang'
741508	291179	Pig Chase Announcer
741509	91212	
741510	55193	Carmen
741510	57337	Santuzza
741510	119019	
741510	135345	Akhrossimova
741510	209390	Neris
741510	356924	
741511	91511	Karolina
741512	204354	Party Guest
741513	346016	Inmate
741514	401918	Katy
741514	404869	Helga
741514	405415	
741515	40323	Blasco's lover
741515	52708	Laura
741515	54729	Janice
741515	70671	
741515	119442	
741515	132708	
741515	145254	Amparito
741515	147056	
741515	156095	Herself
741515	163879	Herself - Host
741515	163880	Herself - Presenter: Best Sup
741515	186124	
741515	209065	
741515	215027	Marian
741515	218374	Meg Hollaney
741515	221922	Actriz
741515	221923	Alicia
741515	224981	Eliza
741515	244613	Ana
741515	249470	
741515	252603	
741515	259326	Luisa
741515	274957	Nora
741515	302431	Isabel
741515	308903	
741515	328722	Liz
741515	339168	
741515	342099	
741515	351504	
741515	353545	Carolina
741515	369556	Herself - Presenter: Best Eur
741515	378988	Paula
741515	380155	Ana García
741515	380274	Rosa
741515	383204	
741515	390424	Host
741515	392034	Sonsy (1996-97)
741515	400132	
741515	401008	Host
741515	404686	Tamamet
741515	412159	Host (1993-1998)
741516	276568	
741516	310037	
741516	322399	
741517	99356	
741518	42946	
741518	63322	
741518	70648	
741518	91289	
741518	218094	
741518	221937	Neighbor woman
741518	263923	
741518	334681	
741519	74820	
741519	206977	
741520	99356	
741521	48276	Young girl
741521	226899	Mother
741521	289213	Soubrette
741522	115863	Pechová
741522	152213	
741522	174667	Katka Jakubová
741522	230495	Elena
741523	219708	Kranke
741524	88406	
741525	1903	
741525	1904	
741525	11474	
741525	18608	
741525	23577	
741525	39179	
741525	39210	
741525	39259	
741525	39284	
741525	39354	
741525	39358	College Student
741525	39362	
741525	39384	
741525	39401	
741525	39461	
741525	39471	
741525	39552	
741525	39581	
741525	39595	
741525	39612	
741525	39638	
741525	39662	
741525	39813	
741525	39870	Model
741525	39913	Lesbian
741525	39914	
741525	39915	
741525	39916	
741525	39966	
741525	40009	Afro-American Virgin
741525	40040	
741525	40180	
741525	41580	
741525	41586	
741525	43891	
741525	44070	
741525	44135	Herself
741525	44140	
741525	45209	
741525	47786	
741525	50606	
741525	54430	
741525	54566	
741525	55298	
741525	56570	
741525	62502	
741525	81788	
741525	93990	
741525	93991	
741525	97118	
741525	97129	
741525	107275	
741525	107276	
741525	119341	
741525	126517	
741525	126582	
741525	149250	
741525	159221	
741525	159918	
741525	162375	
741525	182974	
741525	189475	
741525	191356	
741525	201322	
741525	217338	
741525	223675	
741525	224196	Herself
741525	228030	Herself
741525	228084	Herself
741525	295564	Host
741525	296705	
741525	303187	
741525	306916	
741525	314694	
741525	319330	
741525	319390	
741525	320449	
741525	321217	
741525	321218	
741525	334146	
741525	338730	
741525	350422	
741526	299887	Katie
741527	142600	Host
741527	398934	Herself
741528	99719	Agnes
741529	35052	Employee
741530	28258	
741530	248803	
741530	349303	
741531	24082	
741532	93126	Young Woman
741533	280582	TV moderator
741534	385367	Chepina
741534	386162	
741534	387101	Lola
741534	391272	Inmaculada de Urbaneja
741534	395373	Gladys
741534	397011	Octavia
741534	398807	La Gran Betancourt
741534	405809	Lourdes Santalucía
741535	56506	Camila Toro
741536	384223	Little John Armstrong and Zan
741537	13759	Lorna
741538	361256	La Abuelita
741539	230583	Juice's Gang
741540	104111	Prostituta 6
741540	278747	
741541	403404	Mercedes 'Mecha'
741542	221739	Monja
741543	247176	Reportera
741544	68977	Stripper
741545	39043	
741545	139410	
741545	342581	
741545	376140	
741546	91402	
741547	108132	Sol
741548	411714	Claudia Bosch
741549	162799	
741550	40187	Party Girl
741550	157240	Kissing woman
741551	203610	Dancer
741552	266479	
741553	100368	
741554	150657	
741555	4638	Signora Boccioni
741556	80335	Personnel Samu
741557	34142	Adele
741557	43977	
741557	46933	Angèle Le Goff
741557	55758	Ophir
741557	68750	Gabriella (segment "Una giorn
741557	77468	Nerissa
741557	84647	Sophie
741557	89827	Mrs. Moccia
741557	90163	Don Milani's mother
741557	127985	
741557	204772	Daniela
741557	209443	Rosina
741557	209831	Emma Di Carlo
741557	254955	
741557	256957	Severina Serboli
741557	278953	
741557	301217	Crimilde
741557	348147	Elena
741557	348154	Dea
741557	351582	
741557	384933	
741557	401402	
741557	402302	
741557	402402	Elvira Puccini
741558	340803	Jennifer
741559	32114	Princeton student
741559	291968	Brooklyn Chick
741560	120520	Cheyenne Girl
741561	71148	
741562	338770	
741563	54342	Marge Scoogill
741564	74283	
741564	108837	
741564	123643	
741564	123797	
741564	206056	
741564	228024	Herself
741564	257930	
741564	264902	
741564	306911	
741565	221539	Myra
741566	119625	Corky
741566	190994	Michelle
741567	210604	
741568	278138	Dancer
741569	213590	Schoolgirl
741570	42880	Mujer
741570	101867	Asistenta
741570	147378	Casera
741570	225046	
741570	307471	
741571	288383	Yukiko/blind prison inmate
741572	308778	Rouge the Bat
741572	399405	Kotomi Hiyama
741572	405942	Rouge the Bat
741573	223544	
741574	75602	New Year's Reveler
741575	399344	
741576	261236	Heroine
741577	271859	
741578	242675	Muchacha #1
741579	326344	
741580	262810	
741581	8728	
741581	14749	
741581	17085	
741581	17124	la Contadora publica
741581	19486	
741581	42655	Rodolfo's mother
741581	48181	
741581	48292	Lencho's wife
741581	53986	
741581	55092	
741581	58915	
741581	62349	
741581	67753	Madre de Chava
741581	68990	
741581	70670	
741581	73083	
741581	74858	
741581	74983	
741581	83489	
741581	91345	
741581	92341	
741581	99338	
741581	103510	
741581	111320	
741581	123184	
741581	125462	
741581	137847	
741581	146486	Amiga de Isaura
741581	156585	Passenger
741581	159870	Merceditas, tendera
741581	198238	
741581	205136	
741581	209404	
741581	209470	
741581	212420	
741581	216086	
741581	221759	
741581	221988	
741581	222040	
741581	235298	Amiga de Carmen
741581	236742	
741581	240156	Cacarizo's Mother
741581	248239	
741581	248285	
741581	249888	Anastasia
741581	251558	
741581	252562	
741581	258481	
741581	261252	Chismosa
741581	263177	
741581	270069	
741581	273848	
741581	278426	Empleada
741581	279060	
741581	301386	
741581	317798	
741581	317813	
741581	328166	Relative
741581	328715	
741581	332970	
741581	337955	
741581	339097	
741581	339154	
741581	340041	
741581	341342	
741581	341389	
741581	345599	
741581	371777	
741582	2766	Party Goer
741583	202231	
741583	225606	Judge
741583	235248	María
741584	61140	
741584	183909	
741585	377199	Prostitute
741586	247159	Niña
741587	138544	
741588	10245	
741588	14643	Leonor
741588	14714	
741588	25812	
741588	35505	
741588	51564	
741588	52010	Petisa
741588	54721	
741588	57434	Leonorilda Ochoa
741588	63956	
741588	64043	
741588	69007	Leonor
741588	82834	
741588	83888	Laura
741588	221912	
741588	223621	Leonor
741588	234002	
741588	236004	
741588	269216	
741588	272404	
741588	281008	
741588	380795	Rita Díaz
741588	381805	
741588	384330	
741588	399809	
741588	403885	Dolores
741588	404186	
741588	410327	
741589	65000	
741589	171387	
741589	281150	Attractive Girl
741589	397604	Margarita
741590	73201	
741591	63207	
741591	102013	Dr. Fernandez
741591	211382	Charlayne
741591	250747	Lorena
741592	303611	High school student
741593	379936	
741593	383467	Margot
741593	385367	Bertha Betancourt
741593	387523	Laurita
741593	388567	Estefanía
741593	390733	
741593	391272	Amalia
741593	402772	Arelia
741594	310091	Princess Jarras
741595	23064	JULIA
741595	65011	Mujer
741595	83496	Mujer atropellada
741595	253375	Adela
741595	387100	Aracely
741595	395061	REFUGIO
741595	397009	Ramona
741595	397593	Malu
741595	401435	Conchita
741595	407851	Rebeca
741596	326344	
741597	95490	Beautiful Mexican Girl
741598	137427	Mujer victima
741599	9951	
741599	10223	
741599	14793	
741599	51554	
741599	67673	Lupita
741599	74630	
741599	123157	
741599	192954	
741599	198236	
741599	198241	
741599	249893	
741599	281295	
741600	76126	
741601	141720	Herself
741602	102233	Bess
741602	195455	Bellhop
741602	217004	Francis
741603	199499	Ally's assistant
741604	315701	Sassy
741605	12743	Party Guest
741605	337335	
741606	182978	Cindy
741606	194663	Jean Reed
741607	272802	Farmer's Wife
741608	403686	
741609	365592	Mutter Raban
741610	147163	Zwei Bauermädchen
741611	221067	College Girl
741611	336163	Tracey Allen
741611	336748	Beth Randolph
741612	278964	Giunone
741613	87599	Claire
741614	237917	Sabine
741615	152792	
741615	152793	Old lady in park
741616	43412	A journalist
741616	91973	Voix radio
741616	351255	Herself
741616	382471	
741616	384212	
741618	278517	Olga
741619	375235	
741619	399657	Herself (1992-1993)
741619	400142	Elettra
741620	226254	
741621	216700	Becky Thatcher
741621	380968	Becky Thatcher
741622	14093	Julie
741622	154822	Ballerina
741622	257305	Bobby
741622	291215	Herself
741623	48456	
741623	114609	
741623	398653	
741624	326712	Cheerleader #2
741625	2252	(segment "Vertige de l'amour"
741626	51420	
741626	120985	Max-Laure
741626	195170	Leila
741626	261756	
741626	295215	
741626	328433	Sandrine
741626	408658	
741627	272325	Henchwoman
741628	215687	Miss Dominican Republic
741628	253083	
741629	229005	
741629	312467	
741629	339287	Helena
741629	355993	Lena
741630	401447	
741631	244014	Servírka
741631	324119	Olina
741631	349365	Studentka Alena
741632	180483	
741633	335272	Tomoko
741634	284068	
741635	11023	Misako Hara
741635	145449	Akiko Azato
741635	349095	Natsu Miyawaki
741635	358947	Shiori Satonaka, trainee coun
741635	391367	
741635	398038	Masami I
741635	400541	Anna
741636	83960	Kathy
741636	196376	Girl on beach
741637	122137	Classmate
741637	251929	Midori
741639	16535	Mutsuki Miyasaka
741639	38799	Noriko Kurokawa
741639	38817	Shinobu
741639	62046	Chie Yamazaki
741639	239491	Naomi Koda
741639	271918	Aki Sakata
741639	289477	Aya
741639	293565	Naomi
741639	293566	Naomi Koda
741639	300200	Akiko Nawa
741639	373231	Angel
741640	138400	Marina Fujisawa
741641	374109	Osei
741642	394696	Sana Kurata
741643	156113	
741644	32585	Speller/Usurper
741644	181834	Young Helen
741645	21344	Tsuya
741645	123528	Oume, Otama's maid
741645	156234	Toyo Odagiri, employee
741645	171527	Machiko Kurata
741645	175334	
741645	232663	Toyoko
741645	244659	Kokin
741645	299128	Woman at the field
741645	299154	
741645	341271	
741645	375580	Chiyo
741646	169736	Saori
741647	335269	
741648	6087	
741648	6102	
741648	8454	Izabelina ljubavnica
741648	50818	
741648	124061	
741648	263426	Lukina zena
741648	392903	Blanka Marinic
741648	402392	
741648	409022	
741649	17689	Anne
741649	130486	Miki Saegusa
741649	130494	Miki Saegusa
741649	130495	Miki Saegusa
741649	130496	Miki Saegusa
741649	130497	Miki Saegusa
741649	130498	Miki Saegusa
741649	300561	
741649	323523	Akeno
741649	389567	Sandy Brown (Japanese version
741649	390962	Asuka Gumi
741649	411867	
741650	404244	Tomoko Sakurata
741651	5029	Beatriz
741651	90786	Duty Nurse
741651	404282	Luisa
741652	240168	Herself (high jump, GB)
741653	171922	Gospodja Rada
741653	192892	Anka
741653	318980	
741653	320480	
741653	373563	
741653	379426	
741653	382430	
741653	396292	
741654	238658	Drug Park kid #8
741655	276202	Pool Girl #2
741656	248133	Awards Hostess
741656	379037	Various characters (1995-1996
741656	396017	Pammie
741657	245603	Fortælleren
741658	80557	Lisa
741658	143824	Buxom Woman
741658	355173	Woman at Restaurant
741659	62957	Kid in the Living Room
741660	71445	Despina
741661	45619	Femme du chef de police
741661	120431	Lili
741661	236515	Une invitée
741662	396941	
741663	131136	Ana
741664	119775	Seller's Girlfriend
741664	154822	Wardrobe Mistress
741664	160492	Sandra Sutherland
741664	305359	
741665	234814	Evelyn
741667	38062	Kokkie
741667	38063	
741667	364906	
741668	68242	Female council member
741668	78025	Marcia
741668	81544	Kara Walsh
741668	93768	Yvonne Rankin
741668	108514	Charity
741668	130178	Tanya
741668	161060	Valerie McCabe
741668	165871	Woman Reporter
741668	171042	Mrs. Preston
741668	221045	Cathy the English Reporter
741668	266047	Laura
741668	276167	Ariel Flyer
741668	298120	Ginnie Gensler
741668	302236	Jeri
741668	333329	Jen
741668	372261	Audrey
741668	379165	Sparks
741668	382682	Lavana
741668	387344	Mrs. Taylor
741668	391559	Hannah Barnes
741668	396974	Pallum
741668	403227	Ariel Flyer
741669	26563	Agave
741669	74978	Herself
741669	87006	Reporter
741669	248937	David Lee's Mother
741671	123278	Mrs. Muir
741671	233070	Caroline Dunn
741672	366755	Colleen Jordan
741673	112029	
741674	24540	Ticey, young Jane
741674	186614	Amy
741675	261302	
741676	211508	Bodyguard side-kick
741677	155018	Governess
741678	332910	
741679	401320	Mme Figuier
741680	3008	Molly Werner
741680	137645	
741681	91620	Abby
741681	224378	
741681	324844	Ruth Boyd
741682	383	
741682	81518	Moglie di Tofano
741682	315449	
741682	355621	Catherine
741683	53133	Katherine (segment "People Ca
741683	92131	
741683	106355	Cheryl
741683	128378	Sally Brownlee
741683	143240	Rachel
741683	210771	Emily
741683	233968	
741683	236135	What
741683	240314	Jennifer Lane
741683	244457	Michelle
741683	263498	T.J.
741683	267111	Hessie
741683	267255	Felicity
741683	299664	Kitty
741683	314531	Chris
741683	339363	Patsy Thurman
741683	345752	Additional Voices
741683	398735	Sharon Cherski
741683	403608	
741684	319519	
741685	68916	Deolinda
741686	380563	Coló
741687	242878	Herself
741688	1802	Herself
741688	24540	Big Laura
741688	24662	
741688	28486	Herself
741688	62741	Herself
741688	111564	Herself
741688	113826	
741688	150270	Odette
741688	185711	Singer
741688	190571	Herself
741688	238290	
741688	238291	
741688	238292	
741688	238293	
741688	253954	Herself
741688	287128	Nancy Mannigoe
741688	330588	Ira's Lover/Dan's Lover/Bobby
741688	341972	Herself
741688	389997	Herself/Interviewee
741689	11444	Joan Allway
741689	21446	Rachel Higgins
741689	46565	Margaret Hungerford
741689	56610	Lorelei Redfern
741689	57749	
741689	60803	Mignon
741689	73396	
741689	75891	
741689	85831	Audrey Torrington
741689	91712	Dot Martingale
741689	99831	Nellum
741689	100694	Pat Desmond
741689	104518	Elinor Lester
741689	153633	Rachel Neve
741689	155926	Loanda
741689	159711	Rachel
741689	168541	Camilla Rivers
741689	175052	Anna Danby
741689	183606	Lady Clare
741689	191278	Mouse
741689	220942	Caterina
741689	230138	Marion Graham
741689	234106	Celia Ridler
741689	235423	Annie Armstrong
741689	297869	Ustane
741689	336144	Gwladys Price
741689	337854	
741689	366797	Cottie
741689	368035	Felise
741690	395924	Crew Commander Melissa Clarke
741691	168082	
741691	222052	Maima
741691	222307	
741692	195214	Un client de l'hôtel
741693	357108	
741694	360712	Carol
741695	17756	Jessie
741695	32360	Plump Girl
741695	97392	Ida, age 11
741695	128709	Hilda Haynes
741695	318773	Girl in dormitory at Briarwoo
741695	365433	Caroline as a Child
741695	368918	Marylee as a girl
741695	379641	Jennifer
741696	356415	
741697	209957	
741697	233174	Dienstmädchen Klara
741697	246920	Pregnant Woman
741697	389361	Alexa Hofer (2002- )
741697	392669	Irina
741697	403792	Nadja
741697	405500	Anna Berg
741698	82417	
741698	240275	
741699	259880	Masha
741700	407462	Musetta (segment "Hollywood B
741701	157662	Femme soirée de la cave
741702	227901	
741703	57304	Miss Parker
741703	62334	La danzatrice
741703	236187	La danzatrice
741703	256542	Lupita
741704	411047	Herself (introduced to Leon O
741705	276488	
741706	411047	Herself (introduced to Leon O
741707	13492	
741708	355262	Marie
741709	356325	Patti and Judy (DVD Alternate
741710	71110	Lizzie
741711	87480	Aunt Jenny
741712	314252	Church Singer
741713	364302	Rosita
741714	327632	Coed
741715	89032	Tina
741716	93197	Chief Suit
741716	159770	Sorority girl
741716	219123	Tory
741716	245275	Little Boy's Mother
741716	301681	Nun on Street
741716	356997	Stephanie
741716	360717	Annalee
741716	364372	Studio Head
741717	328800	Herself
741717	364588	Herself
741718	183467	
741719	81697	
741720	91061	Herself
741720	91063	Herself
741721	45619	Femme de Labine
741722	390244	Maria Luisa
741723	20405	Gun
741724	231468	
741725	120968	Amalie
741726	55493	
741727	243695	Selva
741727	287817	Zorida
741728	11469	
741728	279185	Student
741729	2161	Siren
741729	95045	Ms. Mercado
741729	105270	Mama
741729	115161	Nurse
741729	122019	Bank Customer
741729	127508	
741729	133151	Patsy
741729	149458	Grieving Mother
741729	183879	Rosalie Funthes
741729	224160	Lydia
741729	229198	Aunt Rose
741729	355431	Crackhouse Woman
741730	90883	Sharon
741731	397983	Susan Lambert
741732	322544	Hotline Girl #9
741733	392307	Herself - the host
741734	359933	Woman
741735	113414	Dentist
741736	12474	Unku
741738	170224	Herself
741738	170225	Herself
741738	170226	Herself
741738	170227	Herself
741738	170230	Herself
741738	171494	
741738	409311	
741739	402164	
741740	190775	Liliana
741741	137291	Veja, djevojcica
741742	37784	Bibi
741742	42209	Eva
741742	135671	Hostess on bus
741742	153741	Vigdis
741742	192930	Dina Richardsson
741742	219307	Ms. Nilsson
741742	350927	Mrs. Ström
741742	355627	Agneta
741743	213282	Misawa
741744	122948	
741745	40334	Heather, at Club 40
741746	356551	Simone
741747	10889	Tina
741747	57489	Sun
741747	117713	Knicks City Dancer
741747	147866	
741747	232124	Ronnie
741747	283543	Dancer
741747	324551	Liquid Silver Dancer
741748	289024	Ballet Dancer
741749	375230	Yvonne
741750	38515	Southern Nurse
741750	230743	Script Supervisor
741750	380391	Vivien Gorrow (1978-1981, 198
741750	407916	Vivien Gorrow (1981-1982)
741751	166724	Right Lady
741752	293421	Herself
741753	134379	
741753	156995	
741753	181501	Petra
741753	238895	Eva Schmidt
741754	391604	Trude Schiller (2003-)
741755	34417	
741756	144183	
741757	129778	Diner
741757	135821	Ruth Ross
741757	138668	Evelyn Foster
741757	291759	The Girl
741758	394215	Großmutter
741758	396267	Nenemama
741759	302175	Lehrerin
741760	194836	
741761	117656	Mui
741762	251865	Peggy
741763	1455	
741764	1455	
741764	158534	
741765	6125	Lamaze teacher
741766	198083	Mint Receptionist
741767	31391	
741768	56885	
741769	325586	
741769	325743	
741769	325921	
741770	134246	Gretchen
741770	201506	Herself
741770	340811	Stand Up Comedian #1
741771	46619	Gisela Zenk
741771	91179	
741771	124987	Secretary Vogel to the Rakete
741771	163112	Fräulein Berndt
741771	338938	Kate Alan
741771	341912	Mirzilla the Fox
741772	252036	Mélisande
741772	374132	Pamina
741773	64251	
741773	319852	
741773	397460	
741774	126455	Prinzessin Rosine
741774	393409	
741775	51506	Tan Peng Liang's mother
741777	144114	School Teacher
741778	276095	Kleine Diana
741780	21284	Gitti Bornemann
741781	329958	
741782	99893	Elsie Bürgi
741782	127670	Tilly Odermatt
741783	199020	
741784	323882	Dr. Rensheim (episode "Twiste
741785	162099	Fairy
741786	352665	Die alte Dame
741786	404435	
741787	360150	Mark's Mother
741788	74152	
741789	122584	
741790	176350	Peasant woman
741791	342871	Woman at baby shop
741792	69150	Herself
741792	103137	
741792	104738	Swiss entry (2nd place)
741792	105871	Mrs. Hirschberg
741792	378713	Miriam
741793	234310	Secretary
741794	410582	Hitler's Secretary
741795	234111	
741795	372023	
741796	192282	Herself/Reporter for CBC's Pr
741797	26079	Additional Voices
741798	385613	Young Monica
741799	138182	Woman announcer
741800	1666	Groupie
741801	403404	Úrsula 'Brujita'
741802	6391	Ilse
741802	119792	German Family
741802	159695	Maria
741802	208715	
741802	386222	
741802	397192	
741803	178451	
741804	208024	Mrs. Harding
741805	285201	Lady
741806	52187	
741806	56598	Sylvana
741806	289939	
741806	310976	Prostitute
741806	354665	
741807	146881	Samone
741808	175157	Mrs. Jackson (Henry's mother)
741808	214928	Aunt Hattie
741808	294537	Mama Keyes
741809	11533	Secretary
741809	23553	Dr. Coffey's Secretary
741809	46424	D.A. Katz
741809	52046	Birdette Cain
741809	73833	Karen
741809	74010	Mrs. Michalak
741809	127204	Helen
741809	128085	Cybil's Mom
741809	156970	Kathy
741809	175795	Chiropractor Woman
741809	195576	Police Dispatcher
741809	265605	Carol Lee
741809	277703	Kathy
741809	305341	Sarah
741809	309678	Girl in Neon Bedroom
741809	316793	Heather
741809	326604	Beverly
741809	340732	Laura Gayley
741809	347369	Penny, Karen's Friend
741809	398313	Hazel
741810	182949	
741811	385627	Amanda Quiggin
741812	385627	Belinda Quiggin
741813	371965	
741814	194666	Tenement Woman
741815	204991	Tamar
741815	299241	
741815	388943	Tuti
741815	394302	Various
741816	18277	Antigone
741817	18277	Ismene
741817	31638	Karla
741817	171708	
741817	182097	
741817	288996	
741817	293233	
741817	303153	
741817	336469	
741818	99137	Dancer
741819	166593	Narkosesøster
741820	298650	
741821	391056	Participant (2001)
741822	63713	Tewanton 3565
741822	265578	Asa
741822	265579	Asa
741822	265580	Asa
741822	267536	Asa
741822	283621	Boy
741822	283679	Sôshi Okita
741822	383423	Tsubasa Ohzora
741822	384227	Yoshio
741822	385060	Earth Federation Army Chairwo
741822	387831	Konpoko
741822	403966	Sôshi Okita
741822	405175	Nana Yoshida
741822	408733	Cancer
741823	135953	Mother
741824	151847	Arusyak
741824	153239	Zarmand
741824	176124	Ashkhen
741824	187360	
741825	325204	Shahverdyan
741826	257170	Herself (nurse and Ebola vict
741827	389221	
741828	386236	Ninomiya Tomoe
741828	411343	Cheza, the Flower Maiden
741829	227657	Matsu-yan
741830	409817	Reiha/Matsukaze
741831	177862	
741832	4016	Morisato Keiichi, as a child
741832	31046	Officer Tracy
741832	38818	Chibi Mamoru Chiba
741832	38819	Haruka Tenou (Sailor Uranus)
741832	38821	Haruka Tenoh (Sailor Uranus) 
741832	38822	Haruka Tenoh - Sailor Uranus
741832	54890	Yukito Tsukishiro
741832	54891	Yukito Tsukishiro/Yue
741832	122108	Tourei
741832	174325	Tetsurô Daiba
741832	204971	Shian
741832	209788	Juliana
741832	271676	Erika
741832	280237	Harupia
741832	280238	Harupia
741832	298993	Shinji Ikari
741832	298994	Shinji Ikari
741832	299132	Shinji Ikari
741832	316618	Nanase/Sharon
741832	316619	
741832	373380	Youko Kurama (a.k.a. Shuichi 
741832	373381	Youko Kurama (a.k.a. Shuichi 
741832	373382	Kuruma
741832	381034	Karen
741832	381163	Mille Feuille
741832	382108	Petz
741832	382109	Haruka Tenoh (Sailor Uranus)
741832	382110	Haruka Tenou - Sailor Uranus
741832	383422	Young Taro Misaki
741832	383459	Yukito Tsukishiro/Yue
741832	386236	Aoi Kurosaki
741832	390079	Hiryuu
741832	390870	Sizer
741832	394549	Anju
741832	394973	Reiha
741832	396440	Princess Emeraude
741832	405144	Shinji Ikari
741832	411883	Kurama (a.k.a. Minamino, Shui
741832	411886	Yûgi
741833	319790	Ayana Nagata
741835	22113	
741835	77534	Junko Tsuchiya
741835	77537	
741835	91112	
741835	102660	Misa
741835	121439	
741835	172088	
741835	172334	Maria
741835	177155	Ayaka
741835	220897	
741835	232685	Asami
741835	239481	Suzumura, Asami
741835	244055	Kumiko
741835	285190	Herself
741835	293486	Toshiko
741835	293626	Shizue
741835	299312	
741835	309394	
741835	334900	Asami
741835	347488	
741835	373234	Utae
741835	373386	Party guest
741836	381165	Kasumi/Lijewell
741837	242184	Masa
741838	20625	Extra
741839	298119	Sweat Shop Worker
741840	115679	Ichiume
741840	238096	Ayumi
741840	255347	Waitress
741840	273871	Myume Sato
741840	288410	Kyoko
741841	76876	
741842	156113	
741842	327938	Fukuko Yamamoto
741842	334862	Student 'A'
741843	225621	Herself - a member of Mooning
741844	170336	Printer's Wife
741844	172087	
741844	234682	
741845	109561	L
741846	180374	Mami Hanada
741847	9322	Ritsuko
741847	9557	Himeko Tanaka
741847	9581	
741847	44784	Omine
741847	121469	Haru Asano
741847	137124	Madame
741847	137267	Reime, the 1st daughter
741847	139733	
741847	142175	
741847	149135	Shina Sakaguchi
741847	162633	Shizuko Fujishima
741847	167996	
741847	172277	Gin Hashimoto
741847	173069	
741847	174347	Akiko Kazuki
741847	176225	Kikuyo, Sokichi's lover
741847	182859	
741847	216526	
741847	217071	
741847	232517	Asako Namiki
741847	278378	Yukiko Nunobuki
741847	288063	Sue Tokito
741847	293679	Akiko
741847	298800	Osono
741847	299075	Mutsuko
741847	299300	Keiko, Goro's lover
741847	299305	
741847	299596	Yamiko Kidoji
741847	370341	
741847	370747	
741847	373231	Momonosuke Harukawa
741847	374093	
741847	374520	
741847	398467	
741848	236854	Reiko
741848	242170	Tsueko
741848	385568	Miki Momozono/Goggle-Pink
741849	77523	
741849	137368	Akiko
741849	138069	
741849	146912	Akiko
741849	163771	Nobue
741849	177108	
741849	181897	
741849	209884	
741849	231272	Higanbana
741849	271917	
741849	275144	
741849	284068	Akiko Saitô
741850	172471	Michiko
741851	137119	Yuka Yasuura
741851	366086	Chiho Miyashita
741852	29567	Ryoko
741852	97616	Virgin
741852	97620	Yumi
741852	162321	
741852	168006	
741852	169274	Ohichi
741852	206759	Osayo
741852	242379	Senryo
741852	293475	Otsuyu
741852	301449	Takako Muroi
741853	255060	
741853	296510	Koharu Mizoguchi
741853	299405	Weather Woman
741853	314517	Kaoru Momozaki
741854	172340	Sunate
741854	178252	
741854	235373	Saura, a guardian angel
741854	375635	Ochisa
741854	400050	Yuki
741855	172462	A villager
741856	255872	10th Century Woman
741857	239427	
741858	170298	O-ume
741858	295461	Nurse
741858	305245	
741859	135579	Justice/April
741860	123697	Jury forewoman
741860	177705	Mrs. Ota
741860	333390	Reception Nurse
741860	353391	Japanese Waitress
741861	260859	
741862	329938	Shaniqua
741863	42812	
741865	77643	Amazon Chorus Girl
741865	195673	Member of carnival troupe
741865	283585	
741865	291218	
741865	349917	Matron
741866	305395	Eloise
741866	372413	
741867	320146	Herself
741867	320147	Herself/1st Banished
741867	407077	Herself (3 Days, Boran Tribe)
741868	288739	Mother
741869	178098	Bridesmaid
741870	237493	Mrs. Larsen
741871	50623	Miss Flax
741872	113886	Princess #4
741873	199207	
741874	124056	Nurse
741876	93977	
741876	155243	Lisa
741876	273431	Herself/London
741876	273432	
741876	273434	
741876	273436	
741876	402993	Herself/London (1995)
741876	402997	Herself/Real Worlders
741877	317335	Ms. Leclair
741878	37212	Grand Central Lover Female
741879	154517	3rd Nurse
741880	259779	Nurse Hunt
741880	383514	Various Characters
741881	22996	Mrs. Reade
741881	61276	Aunt Sarah
741881	82839	Effie
741881	113749	Bridget
741881	155704	Althea Bemis
741881	168593	Cook
741881	196523	Miss Hazey
741881	221334	Miss Tabitha Hazy
741881	304601	Aunt Sophie
741881	306768	Spinster
741881	313564	Mrs. Penny
741881	329314	Miss Blodgett
741881	333491	Hitty Tarbox
741881	347027	Annie, the Maid
741881	360165	Martha Perkins
741882	189346	Sophie, Jean's son
741883	81640	
741884	355618	
741885	173068	
741885	326253	Miyuki
741885	334938	
741885	344262	Fusae Tanabe
741885	358420	
741885	358421	
741886	234244	Katsumi Sakura
741886	370446	
741887	42736	Rie
741888	324323	
741889	151	Student
741889	3502	
741889	8149	
741889	15049	Claire
741889	22180	Mlle Tita
741889	23673	Yvelyne Bordier
741889	28992	Constance
741889	33276	Marie
741889	36669	Odile de Castellane
741889	44220	Rose
741889	51242	La reine
741889	53793	Cornelia
741889	59748	Florence
741889	60514	Irène Herms
741889	64330	Actress
741889	64449	Jeanne
741889	69531	Laurence's Mother
741889	69934	Hermione
741889	76049	Camille
741889	83157	Eva Stoffel
741889	83371	Marcelle
741889	84595	Anna, the mother
741889	85541	Laure Pincemaille
741889	93730	Hilde Krieger
741889	94805	Viva
741889	104205	
741889	107321	
741889	111871	La mère de Franck
741889	113116	
741889	123684	Liliane Guerec
741889	126043	Marie Dorval
741889	130963	Ame meurtrière
741889	132974	Armelle
741889	155743	Gigi la Folle
741889	162041	Irene
741889	162306	Mireille
741889	165233	Claire
741889	198318	La greffière
741889	201997	Denise
741889	205608	Janine
741889	208827	Ariane
741889	211361	Claude Sabrié
741889	217653	Actrice n° 1
741889	225444	Geneviève Derhode
741889	225768	Benoit's Mother
741889	228795	
741889	234932	La Mère
741889	235708	La visiteuse
741889	235926	
741889	244985	Pauline/Emilie
741889	244986	Pauline/Emilie
741889	247183	La mère d'Isidore
741889	251014	Paulina
741889	253522	Françoise
741889	255574	Martine
741889	256988	
741889	260031	Marie
741889	263989	Jeanne
741889	265623	Camille
741889	269044	Pauline
741889	274798	Louise
741889	275661	Odile
741889	281829	Jeanne
741889	285984	Rosemonde
741889	295232	La femme du peintre
741889	297775	Mrs. Ford
741889	308173	Brigitte
741889	308205	
741889	313044	Julia
741889	322350	Ariane
741889	327568	L'impatiente
741889	337008	
741889	337029	Béatrice
741889	339502	Florence Cook/Katie King
741889	339538	Suzie
741889	345050	Rita
741889	345178	Marguerite
741889	350054	Viviane
741889	356375	
741889	356508	Dame cimetière
741889	357108	
741889	357834	Madame Nadine, la patronne
741889	361085	Genia
741889	377825	Apolline
741889	384855	Julie de L'Espinasse
741889	386803	Laure Pincemaille
741889	390513	Madame Eterlin
741889	391928	
741889	395074	Mariquita
741890	24898	Angélique
741890	56949	Catherine de Heilbronn
741890	77337	Olympe
741890	127096	Pascale
741890	156284	
741890	236612	Louise
741890	252710	chant, pucelle, dame
741890	260031	Baptiste
741890	282020	
741890	301321	L'assistante médicale
741891	71639	Chambermaid
741892	259708	Rita
741893	334881	
741894	95414	Jean's mother
741894	252882	Woman Airport Official
741894	411015	Mrs. Frome
741895	90341	Elizabeth
741896	260950	Elite Model
741897	388321	Bethany Quinn (2004-)
741898	229772	
741899	28057	Murako Takahashi (Episode 3)
741899	63545	Oume
741899	130554	Katsuno as a girl
741899	150510	Setsuko
741899	156135	
741899	163848	Mai
741899	172113	Koyoshi
741899	172240	Iyo Ujima
741899	177108	
741899	182709	Miwa Sakaki
741899	214416	Sayoko
741899	227445	Shimura Asako
741899	242203	Harumi Imai
741899	287556	Kimie
741899	348770	Yuriko Edogawa
741899	380729	(1980)
741899	387193	Chino
741899	393789	Kyoko Kozuki
741899	399488	Sayo Kageyama, Ruka's mom
741899	411878	Akane, Kanako's sister-in-law
741900	261431	Dead girl #3
741901	371027	Rita
741902	143850	
741903	215690	Miss New Mexico USA (Semifina
741904	213453	Woman in museum
741905	7315	Bess
741905	52906	Blanche
741905	157192	Cecily
741905	169142	Fanny Goodwill
741905	301490	Sarah
741905	317327	Maddy
741905	385782	Agnes Wickfield
741905	400081	Little Nell
741905	402124	Lydia Bennet
741905	405271	Christine Dakers
741905	408633	Dawn McKenzie
741905	410711	Letty Mundy
741906	92575	Girl at the Bait Stake
741907	116516	Adriane Pennington
741908	120528	Dancer
741908	127627	Beach Dancer
741909	333327	Prison Guard
741910	306221	Betsy Clotworthy
741911	265102	Tiffany
741912	55301	
741913	162529	Tanya
741914	355309	
741915	359539	Girl Karate tudent
741916	49185	Blasko
741917	132923	
741918	273058	Rezhisyorkata
741918	358169	Vazrastnata gospozha, Prosyak
741920	43009	
741920	48517	
741920	174976	
741920	179100	
741920	305189	
741920	343783	
741921	48331	
741921	57620	
741921	89986	
741921	99019	
741921	180471	Stana
741921	181555	
741921	213874	Mileva Maric
741921	216511	
741921	253835	
741921	318869	Marica
741921	320663	
741922	184148	
741923	283837	
741924	216008	Bamu's baby
741925	103072	Sekretärin im VEB
741925	248185	Gerti
741925	314323	
741927	93963	Flower shop girl
741928	339942	
741929	16370	
741929	307751	Aunt Anna
741929	374562	Nanny/Neighbour/Strange woman
741930	59056	
741930	63954	La vendeuse
741930	240429	
741930	382219	Juge Laffargue
741931	300164	Cowboy's Better Half
741932	187854	TV novinarka
741933	326223	Chica cabaret
741934	149125	Mitsuko Kawai
741935	29340	Shirley
741936	114957	Louise Janine Lee
741936	295008	Young Girl (from New York Cit
741936	316327	Olivia
741937	17978	Freddy's whore
741938	216008	Hamu's Mother
741939	412066	Herself ( 2000 )
741940	287547	Mona
741941	359806	
741942	110732	Ume
741942	248459	Yoshiko
741943	293591	Michiko Takeda
741944	195806	Suzumi
741944	373333	
741945	373218	
741945	408430	Hisako Koyama
741946	81062	Naomi Vroot
741947	389819	Neko Musume
741948	206624	
741948	373248	
741948	378243	Ela
741949	9489	
741949	24884	Nine
741949	126200	
741949	288269	
741949	329160	
741949	370371	
741949	391179	
741949	395013	
741950	45591	Waitress
741950	46156	Delta Coffee Server
741950	362453	Dan's Secretary
741950	411802	Alison (1999)
741951	346925	
741952	307548	
741952	368082	
741953	9457	
741954	177078	Apple
741955	226568	
741956	1021	
741957	7275	
741958	102065	
741958	267189	
741958	267491	
741958	285220	
741958	294503	
741958	324649	
741958	371164	
741958	371200	
741959	344332	
741960	285845	Su-ha (story 3)
741961	372801	
741962	314006	Dancer
741963	20061	Teacher
741963	34185	Teacher
741963	61032	
741963	90604	
741963	247248	Jung-sook
741963	335185	
741963	358253	Moon Hye-won
741964	131725	
741965	57654	Buyer at Fashion Show
741966	109523	Orderly
741967	63401	
741967	294479	Songhwa
741967	322900	Sohwa
741968	2211	
741968	44518	
741968	49425	
741968	76634	
741968	79216	
741968	122864	
741968	130244	
741968	144279	
741968	167469	
741968	255749	
741968	268177	
741968	280423	
741968	285220	
741968	318661	
741968	371139	
741969	134018	Chinese Agitator 1
741970	91100	Jin, Song Lim
741971	28802	
741971	371185	
741972	61874	
741973	49192	
741973	128044	
741973	153522	
741973	344354	
741974	7272	
741974	92670	
741975	232240	Jeanie
741975	410686	Herself
741976	30658	Tanya
741977	2131	Mary
741977	27205	
741977	30359	Audrey
741977	31727	Bernice Schimmel
741977	37047	Mrs. Phyllis Caldwell
741977	46270	Young Turk
741977	52093	
741977	72340	Sara Hwang
741977	77759	Jasmine
741977	79276	Alpha Baby
741977	86038	Evelyn Lau
741977	91737	Jade Li
741977	118897	Herself (actress)
741977	121528	Fourth Fired Employee
741977	135623	Cindy
741977	139025	Mrs. Tokuda
741977	185424	Sandra
741977	193966	Kin Ho Lum
741977	253227	Friend
741977	263389	Il Bae
741977	264158	Vice Principal Gupta
741977	277764	Michelle
741977	300945	Stephanie
741977	331464	Narrator
741977	346173	Patti
741977	347922	
741977	354936	Madame Ming (Montréal)
741977	358479	Kim
741977	365123	Carol French
741977	380621	Rita Wu (1996-2002)
741977	386035	Gwen
741977	389561	Bambi Kanetaka
741977	390642	Christina Yang
741977	402343	Marsha Mitsubishi (2001-)
741978	322910	
741979	90944	Lee, Yun-ju
741979	138296	
741980	176898	Office Worker 1
741980	226554	
741981	7274	
741981	62849	
741981	127457	
741981	191353	
741981	228834	
741981	294495	
741981	373139	
741982	16586	
741982	49616	
741982	51005	
741982	63464	
741982	102077	
741982	165549	
741982	178890	
741982	199908	
741982	285220	
741982	285993	
741982	292071	
741982	322915	
741982	371162	
741982	371168	
741982	373189	
741982	389567	Sandy's Grandma (Korean versi
741983	56733	Irene
741983	272857	Jane
741984	198474	Red Guard Dancer
741985	9843	
741985	49422	
741985	123475	Tae-suk
741985	127720	Y
741985	165534	
741986	170325	
741987	36542	
741987	294443	
741988	16583	
741988	122828	
741988	131272	
741988	330064	
741989	15194	Jeong-ah
741989	84511	
741989	156276	
741989	227210	
741989	236773	
741989	236775	
741989	288169	
741989	318661	
741989	371257	
741990	138296	
741990	173370	Jisook
741990	187032	
741990	260359	Herself
741990	353766	
741991	174920	Mrs. Spiegel
741992	393154	Reporter (2000-)
741993	213292	Johanna
741993	376711	
741994	237979	Young spirit
741995	27344	Pedicurist
741995	40659	
741995	115161	Professor
741995	145743	
741995	150414	
741995	184974	
741995	196350	Harriet
741995	217052	
741995	218474	Mrs. Koo
741995	237979	Young Obaachan
741995	301614	Nurse Royama
741995	303977	Alex Koyama
741995	309620	Witch
741995	310726	Mrs. Kamino
741995	333913	Terry
741995	336663	Nurse
741995	389100	Capt. Amanda Cohen (1994-1995
741996	14705	
741996	25059	Branca
741996	33150	
741996	43666	
741996	57323	Juana-Maria
741996	102906	(segment "Final Call")
741996	103042	Erendira
741996	122300	Fulvia
741996	181446	Vanda
741996	194134	Julia
741996	195560	Lisa
741996	197991	Luzia
741996	211022	Soninha
741996	378108	Ludmila Struedel
741996	380081	Mariana
741996	383328	Débora Feberman Santos
741996	387902	Glorinha
741996	388591	Camila
741996	388681	Aurora da Silva
741996	398549	Antônia
741996	402371	Isabela Ferreto Vasconcelos
741996	402807	Paula
741996	408212	Young Tieta
741996	409814	Natasha
741996	411932	Maria Olímpia
741997	104361	Emilie
741997	112872	Zoé
741997	198567	Georges' wife
741997	217647	The angel
741997	334106	
741997	345249	Young woman
741997	346495	Young woman
741997	350850	Louise de la Vallière
741997	396043	Fan #1
741997	403101	Alix
741998	205640	Secrétaire clinique
741999	94481	
741999	97647	
741999	199126	
741999	220746	
741999	334575	
742000	8043	Ilana's Mother
742001	127129	Car Crash Wife
742002	137295	
742003	356206	
742004	183172	Twin sister
742005	183172	Twin sister
742006	326281	Gayane
742007	286597	
742007	286598	
742007	323133	
742007	348979	Yukie
742008	316362	
742009	296344	
742010	285919	Rumiko Sano
742011	358400	Yuko Nikaido
742012	63713	Claudia La'Salle
742012	74122	Ricky
742012	74123	Ricky
742012	91091	Nobita
742012	91092	Nobita Nobi
742012	127781	Ryûzu/Mîmé
742012	289304	Mîmé
742012	348752	Oyuki
742012	348754	Oyuki
742012	348756	Oyuki
742012	348757	Oyuki
742012	348760	Oyuki
742012	348767	Oyuki
742012	380700	Peter
742012	381711	Narrator
742012	384223	Kazarin Rii and Hiyoshi Gou (
742012	384227	Claudia LaSalle, Narrator
742012	390899	Conchetta (Fiolina's sister)
742012	394451	The Refles
742012	397844	Conan
742012	409318	Mîmé
742012	409325	Sabera, Jirô Shima
742012	409686	O-Yuki
742013	130554	Sanae
742013	144440	Hinaku
742013	162312	Hatsue Uehara
742013	164024	Sayo
742013	173124	Yuki Murai
742013	174872	Miyo Sugimoto
742013	239086	
742013	244498	Miki
742013	244552	Fujiko
742013	244559	Sanae
742013	298999	
742013	300599	Keiko Kunitomo
742013	370281	Singer
742013	374107	Okiyo
742013	378130	Omachi
742013	404269	
742013	408432	Ren
742015	110732	Extra
742015	244054	Nurse
742016	192746	Kyoko
742017	116053	
742018	163373	Herself - Interviewer
742019	360841	
742020	139831	Mrs. assistant professor
742020	140278	Fanta
742020	145448	Yoshiko Yasutomi
742020	174328	
742020	348868	Kazuko Takenaka
742021	347132	
742022	323133	
742023	15335	
742023	61489	
742023	172287	
742024	373908	Mari's Friend from School
742025	126355	Chimed
742026	367822	
742027	293591	Usui-sensei
742028	145449	Toshi Kamiya
742028	146909	Koume Kashiwagi
742028	146910	Koume Kashiwagi
742029	205286	Ling Su
742029	255872	Model
742030	12703	
742030	16222	Marschners Sekretärin
742030	116993	
742030	167153	Fräulein Husch
742030	288950	
742031	362675	Jessica Green (4 years old)
742032	186953	Marianne
742032	204481	Sekretärin Hagen
742032	236086	
742033	286877	Ballet dancer
742033	303734	Girl at the birthday party
742034	179608	Ruth
742035	287172	Karina
742036	77873	
742037	392503	Fotografin
742038	381532	Herself - Chief Creative Offi
742038	398120	Herself - Host
742039	122808	
742040	303849	Girl
742041	80535	First Victim
742042	277349	Kvinnan
742043	186632	Jessie Webb
742044	377442	Marlene Bow (episode 3)
742045	234826	Nonne/Nun
742046	445	Mejt
742046	78519	Annika Nilsson
742046	164786	Girl in advertisement
742046	281336	
742046	382891	
742047	3238	
742047	36520	
742047	47997	Cold Cuts Preparer
742047	84297	Woman
742047	108633	Biskopsgården
742047	108975	Maid
742047	115389	Strand
742047	145471	Alvar Sund's secretary
742047	153911	Story Teller at Library
742047	154323	Mrs. Larsson
742047	182299	Ameli
742047	204547	Old woman selling flowers
742047	214385	Mamsell Tornberg
742047	217451	Bertha
742047	219840	Lady with the dog
742047	259159	
742047	308196	Mrs. Lundström
742047	317642	Cleaning-lady
742047	322298	Student
742047	322310	Maid
742047	333046	Guest at Marta's birthday par
742047	333081	1st Woman
742047	340268	Goblin mother
742047	377324	Mrs. Bergérus
742047	394937	
742047	405619	
742047	408335	Handicraft teacher
742048	350607	Horat's People
742049	155912	
742050	82862	
742051	398430	Anchor (2001-2003)
742052	406494	Schwester Evi Briest
742053	69342	La jeune anglaise 2
742054	216400	Ren's Friend
742055	59729	Sister Armstrong
742056	44453	Liz
742056	57403	
742056	151105	Annabelle Loren
742056	227040	Madge
742056	241525	Evelyn
742056	289589	Pauline 'Paulie' Nevins
742056	289694	Marion Allison
742056	310684	Lisa Grimaldi
742056	311008	Emily Howe
742056	365395	Erica London
742057	200604	Flora, Lady Herriot
742058	139736	Akane Hama
742058	358121	Akane Hama
742059	330721	Takako Konishi
742060	352043	Inge Dettmann
742061	133208	Kristine
742063	79737	
742063	109670	
742063	111896	
742063	141438	
742063	144784	
742063	146302	
742063	177264	
742063	183571	
742063	191795	
742063	195885	
742063	238966	
742063	245624	
742063	320927	
742063	329775	
742063	335651	
742063	360174	
742063	362683	
742064	255872	Young Nagiko
742065	171298	
742066	171298	
742067	171298	
742068	173612	Mistress Inquisitor
742069	26237	
742070	56951	Standardiste PTT
742070	68334	Audrey
742070	84627	La mère du marié
742070	88843	
742070	99362	
742070	120355	La grosse dame
742070	287052	Berthe Bérurier
742070	309687	
742070	405696	Woman in Warehouse
742071	189329	Heidi
742072	248735	
742073	80852	Sharon Hammond
742074	120063	
742075	55333	Véronique
742075	98295	
742075	101472	
742075	113127	Carole, l'amie de Rudi
742075	187556	Gabi
742075	218913	
742075	300725	Soeur Céleste
742075	308847	Inka
742075	325955	Anja
742075	367236	Sonja
742075	391134	Cora Laroche
742075	397447	
742075	408662	Gwendoline
742076	155215	Skating Double
742076	155249	Subject of Film
742077	396267	Pips
742078	152437	
742079	3586	Kazumi
742079	169187	Kumiko
742079	172334	Sachiko Suzuki
742079	217612	Chibi
742079	238984	
742079	293486	Ranko Togawa
742079	299292	Hijacked Student on Bus
742079	325988	Miyoko
742079	376617	Yoshiko
742080	210042	Shizuku Chitose
742081	61053	
742082	2932	
742083	165554	Leo
742083	391596	Akko's mother
742083	393348	Antonio Jr.
742083	403327	Saphire
742084	91112	Mikami's Wife
742085	239926	
742086	374605	
742087	172088	Miyuki
742087	256288	
742088	379520	Dorothy
742089	146903	Tennis Club Member 'D'
742090	256241	
742091	91091	Doraemon
742091	91092	Doraemon
742091	229964	Housewife
742091	386773	DORAemon
742091	386774	DORAemon
742091	404390	Katsuo Isono (#1)
742092	9337	Kayo's Mother
742092	181888	Koyuki
742092	208684	Canary
742093	173931	Village Woman
742094	110655	Do's daughter/Chia-heui
742095	96408	Nishina Kurumi
742095	182151	Ami Nonomura, Mari, Yukari
742095	293465	Yayoi/Soul Laker
742095	396573	Katri
742095	405175	Chihiro Nanno
742096	61109	
742096	130528	
742096	229932	
742096	299118	Fukutaro
742096	335950	
742097	8827	
742097	155505	Michiko Ayukawa
742097	214414	Sunako Kurokawa
742097	293505	
742098	25523	Junko
742098	295446	Naoko
742098	399948	1st officer (1995)
742099	595	Nao
742100	174955	Aiko Hayase
742100	396491	Miho Shinohara/Fancy Lala
742101	335301	Postal Girl
742102	170247	Naapuritalon emäntä
742102	353845	
742103	230857	Tofu
742104	274679	
742105	334910	Beauty parlor customer
742106	43666	
742106	56327	
742106	83488	
742106	176812	Nurse
742106	219229	Donana
742106	234644	
742106	267494	Maria Paula
742106	379244	Conceição
742106	380156	
742106	382428	
742106	383293	Sônia
742106	383678	Catarina
742106	387052	
742106	387104	Lucrécia
742106	389643	Idalina Bastos
742106	389662	Elisa
742106	393616	
742106	395366	Maria
742106	397787	
742106	399481	Angélica
742106	399490	Júlia
742106	402265	
742106	403083	
742107	172406	Helmiina
742107	258846	Shoe-shopping woman
742109	198827	Ayako Ishibashi
742110	9053	
742110	65682	
742110	82445	Colette
742110	91876	Laura
742110	171355	Tori Olafsdotter/Ice
742110	183590	Marisa
742110	197065	Bunny
742110	207681	Young Woman #1
742110	278626	
742110	280191	
742110	321632	F & B Model
742110	405924	Kimberlee Clark
742111	106632	Model
742112	104632	Host
742113	375740	
742114	14691	
742114	74856	
742115	365341	Girl At Counter
742116	174779	
742117	25924	Claudia
742117	166368	Angie
742118	18152	
742118	76333	
742118	163050	
742118	166101	
742118	283751	
742118	328505	Jasmina
742118	375354	Policajka
742118	399020	Luce
742118	399767	
742119	159224	Todorka II
742119	169100	
742119	180666	
742119	197880	
742119	323341	
742119	375126	
742119	381182	
742119	382431	
742119	386659	Zena
742119	394110	Medicinska sestra
742119	406316	
742120	28401	
742120	137713	
742120	155659	
742120	292091	
742120	343867	
742120	373599	
742121	3132	Angeles
742121	73277	
742121	103499	Sara
742121	103778	Alma
742121	132642	Ofelia
742121	221908	Madre
742121	257432	Sra. Botifoll
742121	322397	Enfermera
742122	52788	
742123	222391	
742124	381922	Herself (3rd. evicted)
742124	390440	Azalia
742124	400400	Azalia (2004)
742124	409908	Guarura
742125	115886	Model
742126	283590	Carla
742126	375515	Girl In Shower
742127	408591	Paula Díaz
742128	249821	
742129	48778	
742130	221739	Monja
742131	386170	Estibaliz Hermosilla
742132	105462	Dancer
742133	113530	
742134	189805	
742135	397352	Naoko Harada
742136	334942	Kuniko
742137	265873	Leroy Maid
742138	278366	Sara Rikkilä
742139	128089	Wife of Korean Deli Owner
742139	133594	Gallery Receptionist
742140	148190	Woman
742141	11740	
742141	19649	
742141	22040	
742141	22060	
742141	25633	
742141	25729	Cemile
742141	44769	
742141	53022	Nazli
742141	85141	
742141	110407	
742141	162717	
742141	201401	
742141	210955	
742141	227231	
742141	285253	
742141	294679	
742141	307155	
742141	370394	
742141	373241	
742141	377564	
742142	132378	Ji-young
742142	159734	Yeong-ha
742143	127723	
742144	166803	
742144	182018	
742145	404244	Chiharu Yasui
742146	334862	Yoshiko (age 18)
742147	137006	
742148	174329	Terumi Taniguchi
742149	48438	Yukino
742149	121454	Tatsuno's wife
742149	137364	Takako Fujii
742149	176527	Coffee-shop Owner, Sachiko's 
742149	239427	Tokuko
742150	7640	Megumi
742150	8620	Kinuyo Takaishi
742150	9336	Naoko
742150	29324	Ogin
742150	121291	Doctor
742150	149962	Akemi
742150	173362	
742150	177134	
742150	181888	Oren-no-kata
742150	188071	
742150	236858	Gambler
742150	242122	Maki Takamura
742150	244569	BB Robotic Sex Doll
742150	288657	Bar's madam
742150	300438	Shinako
742150	300440	
742150	334918	Momoe Harada
742150	358931	
742150	370678	
742150	371846	Yûko
742150	371847	Miyako Shimamura
742150	371983	
742151	9470	Sen
742151	50187	Fuji
742151	76865	Omatsu
742151	137045	
742151	168949	
742151	171440	
742151	174959	Oyuki
742151	216495	Akemi
742151	216501	Akemi
742151	216502	Akemi
742151	216503	
742151	233276	Akemi
742151	285614	
742151	299127	Kozue
742152	158678	
742152	288656	Little Woman
742153	327049	
742154	48461	Attending Nurse
742154	168286	Young Woman
742155	232526	
742155	344950	Masuko
742156	171178	Kabuki Actress
742157	54571	Wong's Waitress
742158	9274	
742158	187756	
742158	299348	
742158	370304	
742159	293477	
742160	394096	Misaki Yuriko/Tackle
742161	8887	Yoshi
742161	9420	Yukiko Sasaki
742161	9435	Shinko
742161	9477	Riku Ohishi
742161	9560	Hitomi Sugawara
742161	18682	Miyako
742161	21814	Yasukichi's Sister
742161	22697	Saeko
742161	44775	Madonna
742161	76906	Kyoko
742161	78433	
742161	89517	Miyako Ichijo
742161	102679	Noe Ito
742161	121448	The young woman
742161	122115	Michiko Asai
742161	122140	Mitsuko Seki
742161	122521	Kumiko, Shigekichi's sister
742161	125198	Natsuko
742161	125199	Natsuko Kamioka, Konatsu
742161	125235	
742161	138049	
742161	138050	Okiku
742161	139726	Nobuko Hayashi
742161	140018	Maki Kamijo
742161	149135	Tatsuko Ibuki
742161	156240	Herself
742161	167966	
742161	168091	Sei Shimamura
742161	168319	Oriko
742161	170252	Yuriko Anzai
742161	171627	Kazuko Hirai, prisoner
742161	172093	Ai Kawase
742161	174326	
742161	174342	
742161	177121	Tamoko Omori
742161	177155	Kyoko Yasugi
742161	179306	
742161	179341	Tomoko
742161	179392	
742161	179537	Kyoko Ichimori
742161	180516	Mikako Akikawa
742161	182023	Fujie Kaizuka
742161	182030	Kikuko Kamo
742161	193668	Otaka
742161	200976	Shinako Yagi
742161	206784	Mitsuko Sugiura
742161	216493	Akemi
742161	216499	Akemi
742161	216520	Shizuka Matsutani
742161	223002	Kumi
742161	226644	Nanako
742161	227660	
742161	230139	Yoriko Tsushima
742161	232565	
742161	232921	Kyoko Yasugi
742161	239327	Matsuko Takasuna
742161	240377	Hanaman's owner
742161	242182	Miyako Mizuki
742161	242186	
742161	243980	
742161	244493	Michiko
742161	275755	Nanako
742161	287553	Akiko
742161	288068	Naoko Toba
742161	288071	Sumiko Komatsu
742161	293493	Hiroko Tadokoro
742161	298961	
742161	298962	
742161	299242	Kinuko
742161	299338	Mayumi Nishida
742161	300462	
742161	324285	Spaghetti sensei
742161	341277	Junko Amamiya
742161	344283	Sei Mukai
742161	358138	Hanako
742161	359828	Suzuyo
742161	370279	Rika
742161	370280	Rika
742161	371990	Miyo
742161	372034	Oiwa
742161	375583	Akemi
742161	378156	
742162	70178	Agnes
742163	8613	
742163	44592	Maria
742163	49707	Nami
742163	122048	Fuku
742163	125745	Fukuko
742163	137372	Yasue
742163	195272	Hiromi's mother
742163	239380	Kinuko
742163	285599	Michiyo Aratani
742163	287926	
742163	288642	Hamaji
742163	294103	Kazuko Arai
742163	398961	Misako
742163	404468	
742163	406698	Yurie Mizawa
742164	173945	Reiko Harakawa
742164	331679	Sumi's Friend
742165	213505	
742166	157444	O.B. Nurse
742167	63113	Child
742168	8827	
742168	21341	Newlywed Wife (episode "Kuchi
742168	61527	
742168	63538	Orui
742168	76872	
742168	122911	
742168	182497	Ohisa
742168	182720	Kaneda
742168	207577	Woman
742168	232902	
742168	243353	
742168	244557	
742168	299245	Oyoshi
742168	334940	Chikako
742168	334942	Otaka
742168	335381	Ane - Kyouko
742169	90617	
742169	138056	
742169	229583	Haru's Mother
742169	394705	
742169	396846	Riku Osawa
742169	400271	
742170	391367	
742171	13949	Auntie
742172	167537	Yoshi
742172	299572	
742173	50182	
742173	284363	
742174	235712	Colette
742175	204041	Onna
742176	25750	Yae
742176	238860	
742176	304287	
742176	334915	Miyuki
742176	403411	Tomoko Ooishi
742177	299024	Widow of Kudo
742177	367193	
742178	233128	
742179	113392	
742179	174984	Mieko's sister
742179	198598	Yoko
742179	238984	
742179	241911	Kaori
742179	347487	
742179	376617	Gloria
742180	156227	Miyako Nishimura
742180	373175	Naha, Yûko
742181	76857	Kirby, Ness
742181	112315	Kirby
742181	208014	New Queen Millenia
742181	233054	Kirby/Ness
742181	285919	Ms. Satomi
742181	373218	
742181	392026	Kirby
742181	407846	Miki Hanakain
742182	76988	Kuniko
742182	166044	Princess Matsue
742182	174945	
742182	215380	Juliet
742182	271672	Sister-in-law
742182	318550	Revenger
742183	64819	Nina Shutenberg
742183	176612	Asako
742183	244539	
742183	298724	Ramen Shop Girl
742183	380318	Queen Anne
742183	390963	Lun Lun
742183	394029	Various characters
742183	394030	Various characters
742183	394031	Various characters
742183	394332	Ranatan
742183	400039	Aiko
742183	404872	Serendipity
742183	409325	Teresa
742184	49934	Maya
742184	104908	Mayako Mido
742184	134272	Nova
742184	137284	Lanba Nom
742184	155714	Reiko Hosokawa
742184	176532	Minato Haruka
742184	209803	Female Voice
742184	214588	Patris
742184	241990	Reina
742184	285923	Soletta Orihime
742184	301673	Yuki Saiko
742184	350190	Lin-Lin
742184	354596	Fanna
742184	354828	Mary
742184	354829	Mary
742184	354830	Mary
742184	380473	Yayoi
742184	381034	B'T Mirage
742184	383019	Maya Jingu
742184	384236	Ekidona
742184	394421	Haruka Minato
742184	394426	Leina Ashta
742184	394429	Emma Sheen
742184	396492	Yukiko
742184	396796	Patty
742184	398579	Harumi
742184	405141	Patty
742184	405356	Yuki Saiko
742184	406006	Jacky
742184	408634	Natsuko
742184	409317	Anne
742184	410444	Tequila (Japanese version)
742184	410739	Natsumi
742185	181892	
742186	50064	
742187	161704	Ayumi
742188	14244	Sayuri
742188	323978	Punk Waitress
742189	117425	Miyako Kajiro
742189	169218	
742190	96414	Suzuko
742190	121291	Sonoe
742190	121933	Teruyo Tsubota
742190	137119	Tazaki
742190	137325	Nobue, Masumi's mum
742190	145765	Ruriko Komada
742190	146916	
742190	168871	Junko
742190	169189	Setsuko
742190	172963	Toku-san
742190	173560	
742190	220229	
742190	226863	
742190	232703	Prostitute
742190	243365	Tsuruko
742190	243497	
742190	272581	Reiko Aoki
742190	288064	Taiwanese woman
742190	292075	Tome
742190	327961	Yuri Ishido
742190	328028	
742190	334452	Yoshiko Takamatsu
742190	370309	Erika
742191	358132	
742192	187319	Landlady
742192	390730	Mrs. Sakurai
742193	15956	Chizuru Kashiwagi
742193	45002	Lisa
742193	78664	
742193	177856	Yôko Noguchi
742193	179188	
742193	257718	Kozu, Yumiko
742193	272224	Tokiko Sunaga (story "Imomush
742193	276920	Dr. Yagi
742193	371707	Kumi Kato (segment: Chess)
742194	58660	T.V. Moniter Girl #1
742195	31053	Myrandal
742195	49934	Chisato
742195	107610	Cindy
742195	135897	Marcia Asano (Japanese versio
742195	181996	Fio Piccolo
742195	241952	Princess Yuki
742195	248708	Reiko Michaelson
742195	254712	Karen
742195	285921	Kasumi Fujii
742195	285923	Kasumi Fujii
742195	370435	Rose/Mimi
742195	390799	Shibamura Mai
742195	392619	Shûzô Matsutani
742195	394549	Sayaka
742195	394696	Natsumi Hayama
742195	396503	Fairy churika
742195	400254	Nami
742196	127845	Maid B
742197	9189	Sato
742197	9190	Sato
742197	61469	
742197	76975	Toyoko
742197	138078	Okiku, Yoko's aunt
742197	138099	
742197	147327	
742197	180054	Tatsue
742197	219301	Kaoru Shimada
742197	229813	Otoki
742197	242119	Okada
742197	245865	
742197	275061	Torako Hayashi
742197	278533	
742197	299025	Widow of Kudo
742197	299101	Tsune Sato
742197	300423	Miyako's mother
742197	334895	
742197	359388	
742197	375558	Sato
742197	375603	
742198	163011	
742199	122957	(story 'Shokki')
742200	94711	Geisha
742201	381401	Mylandah A. Walder
742202	104717	Herself
742202	104718	Herself
742202	104720	Herself
742203	76751	
742203	173784	
742204	195088	Estelle
742205	371092	Auditioner #1
742205	394137	Diane
742206	129868	Department Store Girl (Ms. Be
742207	348612	Mrs. Saunders
742208	370235	
742209	299300	
742210	394975	Sister Jill
742211	288235	
742212	9470	Kita no kata
742212	198826	Otose
742213	348994	Princess Izayoi
742214	61443	
742215	136313	
742216	12646	
742216	21991	
742216	38491	
742216	53617	
742216	162133	
742216	177833	
742216	283967	Fatma
742216	295252	
742216	302084	
742216	303016	
742216	322549	
742216	325348	
742217	400148	Berrin
742218	146982	Melek
742218	392575	Kasap Melahat
742218	411678	Havva
742219	188385	Maki Gôtokuji, 2nd daughter
742219	324308	Eavenly kindergarten teacher
742219	392101	
742220	8786	Ai
742221	299302	Miho
742222	181890	
742222	275141	
742222	287503	Ponytail
742223	299300	
742225	17945	Bertha
742225	93205	Bertha Kizha
742225	399689	Bertha Kizha
742226	110732	O-Tae
742227	215487	Herself
742227	397888	Herself (2002-2003)
742228	138899	Woman in Court
742229	92215	Little Bit
742230	116657	Sara
742231	7329	
742232	146900	
742232	162317	Yasuko Umeno
742232	215380	First girl
742233	89328	Herself (Zephyr skate team)
742234	394103	Yuri
742235	5785	Jessie
742236	169736	Rika Nishina
742236	226827	
742236	244489	Nami Kikushima
742236	274309	Koto-Hime
742236	292074	Garasu
742236	327937	Tsuyuzaki Koharu
742236	344009	Nazuna Oikawa
742236	371707	Karu (segment: Samurai Cellul
742236	394465	Mayu Tsuzuki
742236	407835	Tsuyuzaki Koharu
742236	407836	
742237	72872	Coral
742237	373411	Herself - Co-Host
742238	9320	
742238	89049	Tatsu Masuda
742238	170337	Maria
742238	172112	Woman in a bright colour kimo
742238	173068	Toriko Futori, the retarded d
742238	176613	Emiko
742238	176614	Ginko
742238	182065	Mitsue
742238	299091	Omaki, Baiken's wife
742238	358125	
742239	241952	Princess Yuki
742240	178376	Statist
742241	272592	
742242	20625	Extra
742242	151082	Ghost
742243	283679	Landlady
742243	394975	Miharu
742243	403966	Ômime (Okon)
742244	182517	Danuta
742245	379566	Lúa (1999)
742246	5574	The Wachati Princess
742246	7288	Sithandra
742246	8194	Niobe
742246	10635	Marcey Burgess
742246	73769	Marsee
742246	80414	
742246	81891	Honey
742246	87423	Juliette
742246	129815	Paula
742246	150629	Tatiana
742246	160579	Eve Bowen
742246	164547	Jamaican Girl
742246	199150	Rosy
742246	230368	Jo Weller
742246	251436	Pippa
742246	321286	Ellen
742246	330957	Denise
742246	372746	Tracy
742246	384477	Jenny Wood (2002)
742246	386588	Alison Cheney
742246	390416	Moira Lavitt
742246	392677	Bernie Kramer
742246	406483	Kelley Booth
742247	68857	
742248	27247	Darlene Cake
742248	381121	Darlene Cake (Series 6-) (200
742249	388350	Nurse
742250	325595	Yasemin
742251	224968	
742252	334743	Herself
742253	174669	
742254	89812	
742255	181322	Stina
742255	246880	
742255	262198	Apoloniusz's Girlfriend
742255	341068	
742255	394585	Dr. Elzbieta Kulesza (1997-19
742256	5593	
742256	14284	Karla
742256	34288	Frau Hänel
742256	38771	Hennings Mutter
742256	66086	Henriette Thomsen
742256	68202	
742256	95426	Wanda
742256	98344	Ilse Althammer
742256	142036	
742256	142186	Frau Rusper
742256	167149	Carla
742256	180097	
742256	186607	Elly
742256	188718	Rotwein-Biggy
742256	188801	
742256	226517	Grandma
742256	259452	Frau Huber
742256	259573	
742256	268540	Dicke Bertha
742256	281652	
742256	281747	Watty
742256	284433	Frau Dormeier
742256	312649	Ärztin
742256	312651	
742256	314849	
742256	326175	Gertrud
742256	342335	Old Anna
742256	343684	Maria
742256	350878	Alte Frau
742256	352381	
742256	352421	Oma Lotte
742256	356567	Oma Grete
742256	361472	
742256	367121	Clara Zetkin
742256	381294	Martha Schön
742256	386905	Hanna Schulze
742256	389955	Frau Kalkreuth
742256	397452	Rosa
742256	405945	
742257	117581	Van Aken's Daughter
742258	240390	Girl in battle field
742259	216552	
742260	184804	
742261	395257	Tytti
742262	99198	Surija
742263	248145	Miss Wet T-shirt
742263	282111	La Raggazza
742264	251951	Äitee
742265	17317	Anita's Mother
742265	156040	Äiti
742265	174265	Nightclub singer
742265	175732	Paula
742265	253796	Laimi
742265	387500	Elina Kunkainen
742265	392233	Anitan äiti
742265	394701	
742265	394763	Iita
742265	401440	Rouva Regnell
742265	401477	Saara Räsänen
742266	200978	
742266	343399	
742267	170922	Hierottava nainen 1
742268	243218	Eliza's Friend
742269	26261	Cadett
742270	92726	
742270	111557	Søsteren/Sister
742270	181736	Gerda
742270	213431	Luder #1
742270	300988	Nicoline
742271	250798	
742272	182836	
742273	194254	Japanese Woman
742274	228830	Sister Cecilia
742275	238638	
742276	158887	Etsuko Tanamatsuri
742277	20878	Little girl
742278	286350	Dog attendant
742279	63066	Naomi
742279	79981	Lucy
742279	87015	
742279	91769	Parolee
742279	112485	Ronnie
742279	117231	Rose
742279	122639	Cynthia Graves
742279	137536	Penny
742279	151052	Karma
742279	151609	Nurse #2
742279	152931	Tracy
742279	216726	Lady Une
742279	233509	Photo Clerk
742279	275107	Cocktail Waitress #1
742279	291699	Sarah
742279	318188	Andrea
742279	381980	Donna
742279	386922	Android 18 (Vancouver Dub)
742279	388653	Kelly (Season 1)
742279	396384	Sheri Davis (1994-1997)
742279	398000	Lady Une
742279	405027	Jade
742279	406856	Lucy Dotson
742280	358947	Dead Woman
742281	176610	
742281	233108	
742281	233113	
742282	33940	Hounslow Harrier
742283	136759	
742283	378248	
742283	378595	
742284	321632	Little Girl
742285	88811	
742286	10265	
742286	45562	(segment "Night Over Belgrade
742286	79620	Elizaveta Petrovna, Daughter 
742286	86595	Grandmother
742286	132114	Tonya Jukova
742286	179907	Stachevskaya
742286	230110	Herself
742286	234439	
742286	261364	Lena Leontyeva
742286	268214	Karre-Lamadon
742286	316369	
742286	357236	Stachevskaya
742286	376215	
742286	376218	Countess Laval
742286	390525	Albina's grandmother
742287	373218	
742288	8754	
742290	149890	Chorus dancer
742291	130499	Eyewitness
742291	271540	Sumiko Nagai
742291	278548	Aiko Hazuki
742292	320410	
742293	104779	Polish entry (17th place)
742293	104782	Herself
742294	16928	Jadzka
742294	36418	Kowalowa
742294	367242	
742295	135215	Sayako Inoue
742295	175752	Otae
742295	227432	Sachiko Murai
742296	111613	
742297	68235	Student 3
742298	334893	Haruka's Mother
742299	373182	
742300	20308	
742300	22039	
742300	29530	
742300	30493	
742300	30698	
742300	33232	
742300	38451	
742300	39049	
742300	49439	
742300	50085	
742300	53294	
742300	64015	
742300	89519	
742300	97919	
742300	98595	
742300	171974	
742300	172008	
742300	173798	
742300	175659	
742300	181475	
742300	212280	
742300	288606	
742300	296421	
742300	307030	
742300	308314	
742300	325182	
742300	370796	
742300	371560	
742300	374521	
742300	407596	Evin Ana (1996-1998)
742301	138025	Agnes
742301	283778	
742302	152349	
742303	269104	
742304	44833	Dancer
742305	40819	Mams
742305	40820	Mams
742305	49756	Lina
742305	70105	
742305	76447	Jeanne
742305	98243	Tania
742305	302961	
742305	356811	
742305	375755	Martha
742305	384154	
742305	387377	Marianne Pallemans
742305	389315	Patsy
742305	391030	Lize
742305	406558	Andrea Sebrechts
742305	408151	Christine Michiels (1998-1999
742306	198990	Club 689 staff
742307	24322	Nurse
742307	376410	Liane
742308	5131	Gabriella
742308	172655	Linda
742308	223894	Mrs. Regan
742308	343449	Annie Leifs
742309	46249	Hooker on king's floor
742310	308457	Pianist
742311	190518	Paul's Lover
742312	155981	Hotel Girl
742313	358146	Hannah Collins (Make-Up)
742314	120537	Woman
742315	48040	Sidney's L.A. Assistant
742315	387331	Hannah (2002)
742316	180680	
742317	237198	Waitress
742318	110895	Telefonista
742319	114651	Pam
742320	108956	Granddaughter
742321	97713	Sophie - 1875
742322	177808	Doll in the Teacup
742323	237245	Linda
742324	79962	Kid #2
742324	194985	Young Dana
742325	106619	Kabui
742326	170373	Ursulla
742326	366451	Pam
742327	402386	Zen
742328	35540	Nurse
742328	52311	Stewardess
742328	201845	Margo
742328	314108	Model
742329	25739	Azucena
742330	135642	Novia
742330	225697	
742331	116508	
742332	112911	
742333	321429	
742334	309289	Bandi Citrom's sister
742334	322090	
742334	322213	Ági
742335	352039	Kabea
742335	381694	
742336	139637	
742336	194907	
742337	194116	Unge April/Alaterjenta/Saena 
742338	99415	Gunn
742338	388761	Lisa
742339	343388	Anna
742340	280412	Herself
742341	348651	Herself
742342	12083	
742343	3132	Juli
742343	73292	
742343	74964	
742343	97809	Azafata
742343	134498	Gloria
742343	146567	María
742343	159444	Señora 1
742343	204643	Luisa
742343	236028	Rosita
742343	247849	Voz de la Amiga
742343	334699	Azafata
742343	376810	
742343	405987	Colaboradora (1998-1999)
742344	106328	Secretaria
742344	376810	
742344	405987	Colaboradora (1998-1999)
742345	83457	
742346	85014	Girl on Bike
742346	211506	Girl on bike
742347	164255	Woman in cinema
742348	268323	
742349	49668	Solist
742350	379001	Loreto
742350	379648	La Gata
742350	398806	
742350	406852	Francisca Silva
742351	3131	
742351	5131	Elif
742351	13032	Sabahat
742351	38482	
742351	124912	
742351	129128	
742351	146982	Sükran
742351	156073	Müjgan
742351	156212	
742351	163098	Kösem Sultan
742351	173793	Sibel
742351	218732	
742351	244265	
742351	286104	Nefise
742351	380813	
742351	400890	
742351	411678	Olcay
742352	104725	Host
742353	50869	
742354	234059	Appearance
742355	212383	
742355	350123	Olga gran
742355	384972	Núria Vidal
742355	395041	
742356	163328	Cathy
742357	76966	Mrs. Walker's Guest
742357	267031	Coach tourist
742358	385478	Jagoda Karwowska (1976-1977)
742359	126282	Apache vision woman
742359	359311	Crystal Spencer
742359	389269	French Girl (segment "The Cow
742360	182904	Renate
742361	10867	Girl in Bar
742362	200843	Chica
742363	357356	Nurse
742364	32372	
742365	393857	Søster Ruth
742366	101303	Cecelia
742366	411802	Danielle Jorgenson (2001-2002
742367	236309	Herself - Master of Science
742368	179771	
742368	190809	Lucy
742369	163755	Lady
742369	183314	Gubbis mor
742369	305020	Sygeplejerske
742370	7423	Jean
742370	64186	Rachel
742370	362453	
742371	73222	
742371	221127	Hilary Smith
742372	384097	Lucy (1991)
742374	141144	
742375	34829	
742375	128633	
742375	128643	
742375	152665	
742375	327782	
742375	333829	
742375	333830	
742375	333831	
742375	374487	
742376	411809	Deborah Hill (1979)
742377	381514	Herself (2002)
742378	126045	
742379	189404	Alice Scott
742380	259266	Court Recorder
742381	145474	Bitten
742382	77477	Young Aileen Wournos
742383	335144	Gemma White
742383	399129	Herself (2001)
742383	399130	Emily Hancock (2000-2002)
742384	137569	Sharon 5 years old
742385	66390	
742385	94283	
742386	109660	Duffy
742387	73866	
742388	22017	Marion Holforth
742388	38220	Millie
742388	38221	Millie
742388	38222	Millie
742388	38224	Millie
742388	38225	Millie
742388	64903	
742388	79341	Georgina Berners
742388	81048	Joan Dryden
742388	96954	Joan Letchworth
742388	114791	Sybil Wynne
742388	122014	Sybil Wynne
742388	166239	Joyce Newcombe
742388	167281	Lady Maude Carleigh
742388	238728	Kitty
742388	263523	Jean Temple
742388	292443	The Daughter
742388	305366	May Roberts
742388	334266	Betty Pinder
742388	340624	
742388	355094	Virginia Trevor
742389	292249	Big Nick's Party
742390	182706	Additional Voices
742391	59726	Skuespiller
742392	236511	Daphnée
742393	408668	Ballerina
742394	192219	Youngest Peggie
742395	66557	Little Girl #2
742396	379133	Alicia
742396	405398	Yolanda
742397	63636	
742397	89916	
742397	194129	
742397	225543	
742397	337225	
742397	353235	
742397	353551	
742397	369894	
742397	380101	
742398	14970	
742398	21583	Susana
742398	76113	Miss Mary
742398	171615	Armanda
742398	212493	Antonia
742398	257562	Silvia
742398	296141	Puta 3
742398	380083	Adriana
742398	380103	Carmen
742398	385369	María Graciela
742398	387190	Susana
742398	407641	
742399	264423	Sally
742400	192777	Young Blonde
742400	289517	Girl #2
742401	139123	Stripper
742402	375734	Elzbieta
742403	106298	
742403	124903	Jackie
742403	125367	
742403	183209	Vriendin Jaqueline
742403	188282	Hannah Friday
742403	351892	'Crazy' Lady
742404	86046	Alice
742405	174920	
742406	312697	Woman on the street
742407	18347	Ander kind van Letta (Letta's
742408	225876	Nun
742409	356802	Voodoo Shop Owner
742410	35878	
742410	58243	Pietrzakowa
742410	66263	Lewandowska
742410	191709	
742410	215214	Barmaid
742410	405312	Joanna Tarkowska
742411	260598	Reporterka
742412	180357	
742413	363780	Vandergeld Dance Team
742414	96066	
742415	276731	Passenger
742416	274332	Dancer
742417	53746	
742418	323841	Child
742419	281191	Juliet's nurse
742420	397302	Soselka Rozy
742421	293314	Hildur Dalén
742422	361522	
742423	205426	Yuppie Woman
742424	255707	Herself/Director
742425	10064	Sabrinas mor
742425	32753	His mistress Esther
742425	34541	Herself
742425	93516	Jonas' mor
742425	99240	Rachel
742425	109141	Lægen
742425	117458	Prison warden
742425	146998	Gerd
742425	149121	Kirsten
742425	153954	Elisabeth
742425	156369	Moderen/The Mother
742425	159207	Monica Hviid
742425	168430	Johannes' mor
742425	184677	Gerda
742425	209389	Medea
742425	214336	Johanne
742425	284399	Runes mor
742425	295112	Jonna
742425	309173	Bondekonen
742425	312018	Marianne, Paulines mor
742425	322301	Bryggeriarbejder
742425	333307	John's mother
742425	341114	Henriette
742425	382884	Magnella Djørup
742425	392098	Alice Faber
742425	397074	Agnes Jensen
742425	408364	Gyrithe Lemcke
742425	408802	
742426	171729	Florence
742427	23502	Ældre dame i opgang
742428	122914	Mrs. Krump
742429	306055	Gerda
742430	191204	Singer
742431	7558	Birte Ellekær
742431	38827	Astrid Velerius
742431	136635	Nina
742432	373979	Oksana
742433	31391	
742434	253924	
742435	73214	Manfred Hauptmann
742436	73214	Manfred Hauptmann
742437	367782	Smiling Woman
742438	367782	Smiling Woman
742439	122757	Hildegunde (Opera)
742440	321448	Vernon Hooper
742441	42056	Toys 'R Us Saleswoman
742442	233913	Girl at Party
742443	644	Bianca Stratford
742443	682	Wendy, the Girl Next Door
742443	14159	Maria Sandor (at 18)
742443	26471	Dawn Schafer
742443	34946	
742443	47131	Ori Swords
742443	91625	
742443	190805	Go Go-dancer #2
742443	264845	
742443	279152	Gail Keene
742443	283778	
742443	333226	Juliana 'Jules'
742443	378855	Alissa Strudwick (1998-2000)
742443	404697	Alexandra 'Alex' Louise Mack
742444	12105	
742444	14700	
742444	43591	
742444	135132	
742444	222146	
742445	190772	Maria/Lilian M
742445	354988	Dória
742445	386215	
742445	393616	
742445	401482	Sofia
742445	409937	Atriz
742446	156249	Dame 2
742446	214027	Sangerinden
742446	214371	Bergs sekretær
742446	228358	Amerikanerpige
742446	255671	Emma
742446	304518	Sekretæren
742447	243293	
742447	383368	Zangeres
742448	367073	League Leader
742449	138822	Rosie
742450	153879	
742451	341876	Uhura
742452	88095	Herself
742452	256206	Linda
742453	108092	Young Mother
742454	144331	
742454	247183	
742454	376500	Couple
742455	344274	
742456	58148	
742457	9770	Older woman
742457	30388	Paula (Portuguese version)
742457	71376	Rita
742457	71431	Augusta
742457	73144	
742457	76025	D. Ana
742457	100723	D. Laura
742457	119651	Doroteia, the maid
742457	144200	Toino's mother
742457	153332	Josefina
742457	189086	Carlota
742457	195028	Mayor's mother-in-law
742457	199773	Genoveva
742457	204224	Joana
742457	211004	Maria do Ó
742457	219241	Catarina
742457	228899	Ti' Isaura
742457	234642	D. Clotilde
742457	236303	Aurora, Vicente's wife
742457	237212	
742457	273865	
742457	277585	
742457	286276	Miss Dolly
742457	307201	
742457	308742	Adelaide
742457	325125	
742457	333596	
742457	339674	
742457	340370	Bullfighter
742457	344760	
742457	344887	
742457	351484	
742457	353674	Baloons saler
742457	356010	Carolina
742458	340370	Bullfighter
742459	269831	Eismädchen/Icegirl
742460	105512	
742460	110401	
742460	173273	
742460	178405	
742460	238930	
742460	284949	
742460	302425	
742460	377565	
742461	68576	
742462	96377	La nena
742463	374397	Juliska Jurigová
742464	374397	
742465	374397	
742466	266533	
742467	51257	The Marshal's Daughter
742467	113102	Lenka
742467	174002	Lori
742467	339250	Ruzena Sadílková
742467	342274	Vera Bilanská
742467	344349	
742468	242903	
742469	90107	
742469	381329	Matilde
742470	397881	Rogyo Kastner
742471	156004	
742472	13026	Louise Martin
742472	25238	
742472	173129	La mère d'Élisabeth
742472	197400	Hélène Clément
742472	236983	
742472	252141	Belle Dame
742472	261862	Mme. Gagnon
742472	262939	Mme Biron
742472	307499	Marie Lapointe
742472	381613	Martine Giraud
742472	382469	Mme Caron
742472	384386	Laura Beaulieu
742472	385008	Tante Amélie (1992-1993)
742472	386020	Kiki
742472	396839	
742472	397043	Madame Aubry
742472	398847	Irène Chevalier
742472	404018	Maman Rancourt
742472	406029	Marie-Rose Julien
742473	6655	Herself
742474	70491	
742475	193185	Varuba
742476	192870	Marina
742477	16264	Landlady
742477	40523	Countess Evelina Gyllenspjuth
742477	43354	Housekeeper
742477	48367	Sanna
742477	142835	Mrs. Lindblom
742477	144252	Aunt Elisabeth
742477	155621	Ellen
742477	168391	Adelaide Ulfstjerna
742477	175351	Party guest
742477	181843	Vicar's wife
742477	204720	Woman in village
742477	219842	Midwife
742477	222474	Mrs. Blomberg
742477	228383	Barring
742477	258990	Widow Andersson
742477	270952	Mrs. Winroth
742477	312698	Mrs. Eriksson
742477	348497	Mrs. Lundbom
742477	357762	Mrs. Berg
742477	377298	Vicar's wife
742477	377389	Agda Pettersson
742477	377417	Vicar's Wife
742478	89664	Ms. Fredriksson
742479	404405	Pearl (at age 5)
742480	264279	
742481	18081	Shop assistant
742481	62460	Josephine Muscat
742481	79050	Maria
742481	97866	Anna Egerman (older)
742481	101040	Masha
742481	108633	Ekdahlska huset - Rosa
742481	115967	Karin
742481	120068	Gypsy woman
742481	120236	Sue
742481	129275	Lady with dog
742481	134943	Nina
742481	137883	Tessie
742481	137884	Tessie
742481	137885	Herself
742481	140315	Bobby Duran
742481	141751	Lena
742481	147745	Ruby
742481	155981	Faith Mattis
742481	179713	Ann
742481	182564	Lena
742481	197394	(segment "Lasse Hallström")
742481	220985	Dr. Elizabeth 'Libbie' Bowen
742481	224691	Dr. Annabel Leek
742481	231777	The Marquise
742481	231900	Peggy Lindstrom
742481	233058	Liana Telfer
742481	255005	
742481	259360	Jadzia
742481	268355	Nadja Melander
742481	269355	Maharet
742481	281193	Mona Demarkov
742481	284626	Annika Larsson
742481	321056	
742481	322818	Girl
742481	345641	Sabina
742481	347180	Marybeth Fitzgerald
742481	347876	
742481	358744	Marta
742481	379661	Irina Derevko/Laura Bristow (
742481	399350	Herself (eliminated round 5)
742482	104773	Romanian entry (22nd place)
742483	193636	
742484	195212	Estelle Malveneur
742485	253351	
742486	103884	
742487	90317	Candy Stripper
742488	356802	Western Heroine
742489	51990	Vi
742490	13882	Laura
742490	115161	Latin Wife
742490	142527	Twin #2
742490	273423	Estela
742490	313049	Guadalupe 'Lupe' Escobar
742490	315285	Ofelia
742491	296121	Eli
742492	351799	
742493	56545	Herself
742493	224842	Trooper Jenny Coughlin
742493	231879	Clare's Friend
742493	338308	News Reporter
742494	176253	Nurse
742495	20571	School Teacher
742496	397021	
742497	74712	
742498	51799	Mrs. Poletti
742498	74107	1st Lady-in-Waiting
742498	151041	Bit Role
742498	151173	Pizza saleswoman
742498	207865	Telephone Girl
742498	280465	Italian mother
742498	294577	Mail Girl
742499	206985	
742500	96338	Curra
742501	18836	Médica Ecografista
742501	342057	
742501	390517	Host
742501	399402	
742501	401152	Leonor Hornos
742502	76571	Marketing Girl
742502	140938	Mother
742503	384118	Marian (1998-1999)
742503	409957	Elis (1999-2000)
742504	380107	Lázara
742504	380795	Tránsito/Cosette
742504	384988	Tehua
742504	393363	Irene
742504	397572	Margarita
742504	405281	
742505	128707	Convict
742506	304578	Olga
742507	342675	Dr. Goodman (segment Hungry L
742508	135350	
742509	150088	Mimi, Branson's Girl
742510	194136	Polo Client #1
742511	65605	Bar Babe #2
742511	150571	Stairway Girl
742511	295726	Natasha
742511	342590	Herself
742511	384446	Alsatia
742512	74660	
742512	199956	Voice
742512	206742	Voice
742513	365657	Hostage
742514	80286	
742515	111395	Herself - Fernando's sister-i
742516	192954	
742517	100328	Rogelia
742518	126572	
742519	111395	Herself - Fernando's sister
742520	22179	Kimberly
742521	118273	Malena
742522	6630	
742522	44317	Whore
742522	45761	
742522	45762	
742522	51554	
742522	55668	
742522	55787	
742522	63687	
742522	87620	
742522	87622	
742522	103729	
742522	209298	Paulina
742522	211149	
742522	211713	
742522	213714	Nancy
742522	253292	
742522	253551	(segment "La Obsesión")
742522	276486	Mariya Wilowa
742522	339169	
742522	351781	
742522	353551	
742522	384980	Amalia
742522	385855	Elena
742522	387685	Cayetana
742522	391742	Sonia
742522	396245	
742522	401696	Lupita
742522	401700	
742522	412184	Remedios Nava
742523	379559	
742523	385663	Nilda Morelos
742523	398915	
742524	119618	
742524	185974	
742524	202398	Laura
742524	209005	Eva
742524	233337	Carmen
742524	233542	Marta
742524	234008	Paz
742524	234358	Celia
742524	252781	Josefina
742524	385864	Paula
742524	387881	
742524	395476	Herself
742524	398805	Mar
742524	401769	Laura Galarza
742524	402380	Mari
742524	403538	
742525	27979	
742525	199800	
742526	22179	Suzy
742527	400661	Mirta
742528	253779	
742529	331408	Stephanie, age 4
742530	70990	
742530	101046	
742530	124544	
742530	258483	
742530	302376	
742530	356663	
742530	384427	Elizabeth
742530	401914	Victoria
742530	410016	
742530	411735	Silvia Mijares
742531	380012	Herself - Finalist #12 (2003)
742532	185369	Murder Victim #4
742533	303832	Smith
742534	406056	
742534	410477	
742535	193260	Gospel Singer
742536	408002	Jenny de Fontanin adolescente
742537	42946	
742538	111011	
742538	218546	
742538	328535	
742539	106639	Nurse Rambaldi
742540	198550	La psychanalyste
742540	249208	Carole
742540	377253	Denise
742540	385347	Françoise
742541	232037	Princess Raviola
742542	101205	
742542	171389	
742543	406079	Liz Brogan
742544	376987	La fiancée du handicapé
742545	21636	
742545	217669	
742546	307265	
742547	18657	Girl in Disco
742548	212030	
742549	367589	Cook
742549	392792	
742550	380208	Lila
742551	387640	
742552	382676	
742552	384118	Patrícia 'Pata' (1997-2000)
742553	104896	Kelly Strickler
742554	377632	
742555	409026	Paula Sousa Rico
742556	13461	Camille
742556	338238	Juliana
742556	379937	Mila/Camille
742556	384480	Alicinha
742556	385024	Selena
742556	385853	Paloma Bianchi
742556	394121	Hannah
742556	394872	Helena
742556	397409	Marialva
742556	400095	Celeste Carvalho Pinto
742556	401944	Eulália
742556	402582	Tatiana
742556	404165	Adriana
742556	410190	Pilar
742557	265212	
742558	377096	
742559	332732	Carol
742560	33327	
742560	169709	
742561	28589	Celeste
742562	387732	Secretary
742563	195118	
742563	327812	
742564	88805	Mrs. Beckman
742565	33327	
742566	127588	
742567	48294	
742568	403738	
742569	112758	
742570	398501	Adelaide
742571	43244	
742572	387640	Iara
742573	104485	
742574	404888	Joana
742575	212137	
742576	344824	
742577	237216	
742578	381091	Herself (eliminated round 1)
742579	391673	
742580	64661	Triple Trapeze/Body Skating
742580	384324	Herself
742581	386421	
742582	411585	Agnes
742583	387732	
742583	396610	Cris (2002)
742584	83860	Urraca
742585	397546	Eugênia
742585	411932	Maria Isabel
742586	14728	
742586	132201	
742586	160193	
742586	237216	
742587	336894	Mystery Woman
742588	148466	
742589	18478	
742590	353890	
742591	104524	Princesa Matilde
742592	208245	Spectator
742593	273741	
742594	88658	Interviewee
742594	166554	Narrator
742595	367792	
742596	193752	Alice Smith
742597	318729	Kathy's Friend #2
742598	134154	Bronx Secretary
742599	126663	Nun
742599	251867	Nurse
742599	397693	
742600	295185	Nurse Oli
742601	250766	
742602	215748	Hostess
742602	223131	Shop Girl
742602	230840	
742603	35629	Herself
742603	150501	Myrtle
742603	316643	Sally
742603	397430	Herself (witness)
742604	389483	
742604	410098	
742605	185287	Counter Girl
742606	42033	Joselyn
742607	73944	Alice
742608	330057	Renise
742609	239933	Christine
742610	103326	2nd Band of Thieves
742611	30582	Brittany Kaiser
742611	58542	Condom Girl
742611	80504	Pam
742612	276268	Vicki
742613	125370	La professeur de judo
742614	361168	Ruby
742615	67395	Young Olivia
742616	8021	Dancer
742616	46147	Toaster
742616	46148	Toaster
742616	46149	Toaster
742616	104357	Additional Player
742616	168129	
742616	170562	Karen at Elizabeth Arden
742616	364344	Woman in apartment
742616	368342	Sister Patricia
742616	388333	Additional Voices
742617	185582	Mama
742618	365282	Paula
742619	201112	Lady with cat
742620	236539	
742621	216245	Irmgard Blohm
742622	73805	
742622	79944	Boat passenger
742623	10738	The Red Queen
742623	14220	Mrs. Niles
742623	17475	Dr. Malvina Wormser
742623	63992	Mrs. Tracy Wyatt
742623	69673	Matilda Blake
742623	72451	Aunt Van Varden
742623	94129	Mrs. McKlennar
742623	108622	Fanny Foley
742623	133670	Madame Talma
742623	137497	Mrs. Marshall
742623	147382	Violet
742623	155299	Hannah
742623	163544	Dr. Prodwell
742623	183409	Mrs. Livingston Baldwin Crane
742623	183839	
742623	185289	Augusta
742623	185989	Mrs. Sarah Cranston Austin
742623	188353	J.W. Smith
742623	192032	Sarah Wendling (owner, Hotel 
742623	192408	Aunt Martha March
742623	196455	Amelia Pincent
742623	196926	Mrs. McDee
742623	198023	Sarah MacMillan aka Granny
742623	204162	Mrs. Trapes
742623	209631	Dean Primrose
742623	222716	Hildegarde Withers
742623	222722	Hildegarde Withers
742623	223825	Mrs. Atherton
742623	230990	Bessie Tate
742623	233791	Mrs. Fanny 'Grandma' Townsend
742623	236876	Countess de Mavon
742623	242110	Leona
742623	248450	Mrs. Julia Kunkel, Tobler's H
742623	249235	Aunt Ben Wood
742623	252202	Miss Hildegarde Martha Wither
742623	253467	Aunt Betsy Trotwood
742623	260249	Harriet Spottiswood
742623	263555	Lady Catherine de Bourgh
742623	276379	Benson's Secretary
742623	281163	Nurse to Juliet
742623	281696	Queen of Romanza
742623	288698	Miss Streeter
742623	292169	Aunt Phoebe
742623	315748	Maggie Sutton
742623	323769	Miss Pross
742623	331534	Hetty
742623	360535	Maude Standing
742623	365044	Mrs. Dornham
742624	52902	Nanine, Marguerite's Maid
742624	89632	Anna
742625	83463	Christina
742626	276915	
742626	309556	Sal Lee
742627	12931	
742627	52052	
742627	57448	
742627	119678	
742627	143479	
742628	371310	Caron
742629	113617	Woman behind theatre counter
742630	158055	Alexes Turner
742631	185588	
742631	357001	Carol Wax
742631	362493	TV Reporter
742632	90241	Hooker
742633	306844	Brazilians
742634	244223	Herself/Mrs. Soames
742635	241689	Royal College Musician
742636	182334	Girl in bathroom
742636	220961	Women #1
742636	310303	Homeless Lover
742637	372264	Cashier
742638	232839	Care worker
742638	383631	Dr. Eddie Gordon: SHO (1994-1
742639	30679	Brainiac
742639	82468	Pizzeria manager and 'Deliver
742640	404608	Herself (2001)
742641	272021	Woman
742642	289422	
742643	273431	Herself/New York
742643	273432	
742643	273433	
742643	273434	
742643	273436	
742643	300533	Steve's Girlfriend
742643	360734	Julie
742643	402993	Herself/New York (1992)
742644	316061	
742645	395495	
742646	160434	Liz Davies
742646	325216	Suz
742647	283462	Millie
742648	381121	Buki Lester (Series 3-5) (200
742649	289024	Hip Hop Dancer
742649	314104	Dancer
742650	232427	Leslie
742650	317353	Marge Fielding
742650	332080	Teenager
742651	200864	Roosefelt Food Manager
742652	88568	
742653	45308	Rita
742653	115562	Hotel Worker
742653	214755	Murder Bystander
742653	222686	Audience Girl
742653	272602	Psychiatric Patient (2001)
742653	283183	Young Nurse
742653	283895	Wanda
742653	300195	Screaming Woman
742653	335258	Nurse in Waste Storage
742653	364558	Linda
742654	40653	Barmaid
742654	66121	Angela
742654	170411	Mrs. Hayman
742655	25149	
742655	64833	Extra in street scene
742655	166071	Bit part
742656	328611	Paisan Woman
742658	337958	
742660	222767	
742661	401895	Host
742662	14103	Magie
742663	13360	Boston Reporter
742663	215911	Alicia LeShay
742664	6412	Emeraldas
742664	29757	Carlita the Skunk
742664	107929	Karis
742664	109723	Cheryl
742664	123027	Emeraldas
742664	140919	Queen Marlena/Sorceress
742664	154854	Airline Ticket Agent
742664	175819	Key/Mima Tokiko
742664	191051	
742664	263230	Jodi Marconi
742664	263998	Marianne
742664	272209	Lin-Lin & Ran-Ran
742664	301557	Holly Sharp
742664	306223	Nurse
742664	350190	Hsien-Ko (Lei-lei)
742664	356998	Linda Mason
742664	369693	Siu Seen
742664	379026	Additional voices
742664	382648	Kuwabara's Companion
742664	383460	Meilin Rae
742664	384080	Mizuho Oshima, Shima Hospital
742664	385172	Dorothy Cramp (Mom)
742664	387775	Naria, Hitomi's Grandmother
742664	389866	
742664	391202	Queen Marlena, The Sorceress 
742664	394754	Tiger Lucy
742664	397054	Patricia Keaton, Reporter
742664	397346	Mrs. Hikari
742664	402863	Miyo (season 3), Ling-Ling (s
742664	404062	Additional Voices
742664	405356	Katsumi Liqueur
742664	405373	Gamma
742664	406012	Tusbaki Tokisaka
742664	408731	Kelly Bongartner
742664	409380	
742664	412028	Angeli, Sarah Slam
742665	138920	Babette LaFave
742666	186450	
742667	91789	Lorraine
742667	161639	Chandler
742667	265678	Vicki
742667	368713	
742668	46215	Girl Buttle
742668	70347	Corelle Fitch
742669	146273	
742670	375715	
742671	1376	Mrs. Vaughn
742671	15220	Mrs. York
742671	19180	Woman on TV
742671	72021	Mrs. Vaughn
742671	138822	Norma
742671	147694	Script Supervisor
742671	157596	Mrs. Giankanis
742671	189221	Betty
742671	231120	Doctor
742671	240969	Mrs. Vaughn
742671	289787	Gretchen
742671	347550	
742671	381736	Barbara Lamont
742672	108535	
742673	303288	Herself
742674	127084	Library Ghost
742675	126551	Bellhop
742676	26667	Herself
742676	381091	Herself (eliminated round 5)
742676	408910	Herself
742678	239669	
742679	160434	Jennifer Harris
742679	382254	Fair Princess
742680	309207	
742681	372901	Joan Beardsley
742682	13619	Neta Snook 'Snookie'
742682	50614	Norma
742682	54995	Nurse Cathy Clark
742682	55794	Anna
742682	59110	Margaret Rowe
742682	68692	Thelma Dwyer
742682	87800	Susan Andrews
742682	88660	Mildred Crandall
742682	91764	Leona Serling
742682	125486	Dorissa Dinell
742682	127803	Sugar
742682	134109	Phyllis
742682	136018	Maria Macklin
742682	139296	Claire Trent
742682	160911	Mary Van Leuven
742682	187907	Vina
742682	194269	Jan McNair
742682	196336	Patricia Cross
742682	202949	Matty
742682	218091	Barbara
742682	231597	Isabel
742682	313438	Vina
742682	335346	Marilyn Hurst
742682	372828	Audrey Williams
742682	385824	Laura Spencer Horton #3 (1975
742682	401350	Anne Colby Howard (1966)
742683	379193	Self
742684	39655	
742684	251161	Oritz's Girl
742685	402037	Herself
742686	18544	Player's Wife
742686	147972	Reporter #2
742686	277850	Montage Girl
742687	132739	Girl #2
742687	156501	Marlo
742688	295185	Nurse Ver
742689	185553	Beth
742690	96834	
742691	9618	Adela
742691	253667	Sra. de Portes
742692	405162	Herself
742693	158942	
742693	212136	
742694	396923	Meiko's Mother
742695	71287	Granny
742696	400242	Sports Presenter
742697	41318	Screamer
742698	147381	Assassin
742699	74369	
742699	80252	
742699	96347	
742699	101465	
742699	104859	
742699	108882	
742699	109264	Encarna
742699	140558	
742699	145673	
742699	169770	La Vicenta
742699	228896	Damiana
742699	239276	
742699	248228	
742699	278935	
742699	332908	Magda
742699	334428	
742699	334650	
742699	377148	
742699	400790	Tía Peluca
742699	402769	Constanza
742700	80189	Chavo Banda La Raza
742701	14693	Lety
742701	73659	Tango Student
742701	235299	
742701	276559	
742701	322395	Beep operator
742702	155241	Ice Cream Kid
742703	376650	Nana
742704	300484	
742705	353765	
742706	6630	
742706	229421	
742706	276449	
742706	300709	
742706	307803	
742707	205724	Lady in Waiting to Du Barry
742707	367919	Manicurist
742708	7231	Odília
742708	9682	
742708	132212	Lucy
742708	194726	Carolina
742708	220917	Kristina
742709	381904	Host (2002)
742709	381922	Herself (4th. evicted)
742709	390440	Paola
742710	51678	Abuela
742710	390526	
742711	40499	Roswitha
742712	362543	Junior detective
742713	107696	Maid
742714	10557	
742714	410108	Raquel Iturbe
742715	68647	
742715	242822	
742716	21021	
742716	242615	
742717	27433	Mrs. Diaz
742718	48948	Restaurant Customer
742719	384925	
742719	387101	Amarilis
742719	387621	Yajaira
742719	388567	Laurita
742719	391272	
742719	396644	Elsie
742719	397011	
742719	398807	María Consuela
742719	403753	
742719	404203	Sarita
742719	405809	Irene Santalucias
742719	408389	Carolina
742720	398608	
742721	282613	Herself
742722	184369	Townsperson
742723	178073	Dancer
742723	235502	Dancer
742723	269302	Coddles
742723	362098	Rose
742723	364646	
742724	786	
742724	12419	
742724	26927	
742724	30004	
742724	36703	
742724	36900	
742724	50550	
742724	51637	
742724	105430	
742724	105431	
742724	137057	
742724	208370	
742724	228273	
742724	282430	
742724	333834	
742724	333993	
742724	360249	
742724	364072	
742724	372662	
742725	176814	Diane Gonzolo
742726	2210	Keke
742726	342086	Visi
742727	228482	Herself
742727	257649	Miss May
742727	257838	Miss November 1990
742727	367847	Herself
742728	23876	Mathilde
742728	201167	Pascaline
742728	240036	
742729	90044	
742729	361595	Mimi
742730	83201	
742731	50148	
742731	199938	Isabel
742731	212457	
742731	212469	Herself
742731	234419	
742732	15129	
742733	267031	Gilbert's mother
742734	290871	Kellnerin Kneipe
742735	119053	
742735	236588	Mistress
742735	269513	Julie Lambert
742735	307499	Paulette
742735	310963	La Mère
742735	381681	Shirley Berger
742735	386092	Monique Breton
742736	16948	Une religieuse
742736	21626	La dame au chien
742736	36558	
742736	46597	(segment Les témoignages d'un
742736	55532	La chanoinesse
742736	55533	
742736	61424	Mme Noël, la secrétaire
742736	85692	Une carmélite
742736	111867	La mère/Mother
742736	148764	Félicie
742736	158845	Madame Daillat
742736	170471	Une vieille femme
742736	183800	Mme Bosset
742736	218325	Hélène Verger
742736	257011	
742736	257212	Mme. Tourneveau (segment "La 
742736	261810	
742736	268407	Mme Martin
742736	287595	La seconde sténo
742736	295212	Madame Bouqueret
742736	339539	L'amie de la vieille dame
742736	345189	
742736	353874	
742736	377911	La grand-mère Valon
742737	249548	
742738	52698	
742739	89402	
742739	205701	
742739	341473	
742740	20343	Vivette
742740	24734	La Mère de Bruno
742740	51424	L'institutrice
742740	68513	
742740	74584	Abuela
742740	77348	Une jeune fille
742740	85540	L'amie de la veuve
742740	85616	Mlle. Ruffier
742740	121413	La patronne de l'hôtel
742740	156321	L'inconnue au jardin public
742740	211362	Judith
742740	217267	Mme Roux
742740	251290	Cybille, épouse de Fernand
742740	262951	La mère de Victor
742740	287975	La mère de Jean
742740	327543	Marie
742740	345155	
742740	346503	Mamita
742740	377246	Marité
742740	379163	Juliette
742740	388159	
742740	388633	Henriette
742740	388723	Mme Testanière
742740	389242	Mme Kolescu
742740	397938	Marthe
742740	398985	Madeleine (1974)
742740	399082	Buraliste
742740	399082	Femme lavomatic
742740	408651	Sidonie
742740	409532	Claudine
742741	69177	Herself
742742	301314	Cathy
742743	69694	
742743	94767	Cassie Breccon
742744	19503	Graciela
742744	21694	
742744	23382	
742744	53119	Carina
742744	61867	
742744	68061	
742744	75387	
742744	80322	
742744	89929	
742744	98696	
742744	99441	
742744	104143	
742744	145262	
742744	148583	
742744	198995	
742744	221660	
742744	221740	
742744	255504	
742744	272670	
742744	284800	Gloria
742744	292763	Amiga de Jesús
742744	292922	
742744	300683	
742744	328000	
742744	337461	
742744	338162	Monica
742745	20135	Woman in Background (segment 
742746	6439	
742746	14435	
742746	21709	
742746	51549	
742746	51776	
742746	61197	Marcela
742746	65375	Claudia
742746	74363	
742746	76106	
742746	83138	
742746	83544	Elena
742746	83888	Teresa
742746	91088	
742746	103639	
742746	103808	
742746	103976	
742746	132640	
742746	136848	
742746	139897	Lucía
742746	140819	
742746	169559	
742746	186163	
742746	207977	
742746	221711	
742746	222051	
742746	233332	
742746	236032	Lupe
742746	238759	Libertad
742746	243784	
742746	251588	
742746	258484	
742746	267406	
742746	269918	
742746	300737	
742746	307205	
742746	307811	
742746	328194	
742746	337959	
742746	339125	
742746	339169	
742746	339171	(segment "Luisa")
742746	353573	Maria Luisa Leon
742746	379131	
742746	382541	
742746	386647	
742746	386738	
742746	386786	
742746	387550	Patricia
742746	387874	
742746	387935	Eugenia
742746	389843	
742746	393797	
742746	399535	
742746	402191	
742746	402585	
742746	404806	
742746	405954	Deborah
742746	407860	
742746	408586	Lore
742746	408708	
742746	410313	Gloria
742747	75629	
742747	78405	
742747	267880	Annie
742747	288322	Herself
742748	15260	Yvonne
742748	148706	La dame sourde
742748	292356	Florence
742748	347757	
742749	390461	
742749	402839	Doris
742749	405415	Encarnación de los Misterios 
742750	363602	Basketball Girl
742751	35010	
742752	347501	Tricia
742753	360084	Annie Heath
742754	198248	
742755	8990	Monique Vasseur
742755	146362	Claire
742755	167158	
742755	282001	Une Américaine
742756	138184	Veronica
742756	221221	
742757	396036	
742758	193571	
742759	106992	
742760	76131	La patronne de Claude
742760	201135	La réceptionniste de l'ANPE
742761	402781	Student
742762	94711	Geisha
742763	13051	
742763	81516	Spinelloccio's wife
742763	119085	
742764	194638	Store Tailor
742764	273271	Kiki
742764	295560	Suzette
742765	401644	Herself
742766	70487	Young Fanny
742766	83860	Maria
742766	380446	
742766	380531	Matilde
742766	384118	Carmem Almeida Campos (1997-1
742766	386123	Fanny
742766	407868	Ines
742767	8844	Goa
742767	15990	Herself
742768	266768	Rimmy Rolson
742769	105945	Female Prison Guard
742770	68437	Concetta Lo Mascolo
742771	87623	Maria
742771	129031	Maruzzella
742771	166369	
742771	260322	
742771	270812	Valentina
742772	113228	Une femme de la rue du Bac
742773	409419	Antônia (child)
742774	228562	La chanteuse
742775	101316	
742775	277125	Luchi
742776	52941	
742776	53010	
742777	248866	
742778	51099	
742778	371732	
742778	404203	Doña Teodora Torrealba
742778	408408	Elodia Rangel
742779	288689	
742781	20329	
742781	84497	
742781	86352	
742781	128966	Oliván, Luisa
742781	189108	
742782	409463	Secretaria (2004)
742783	301496	Frau M'Bwandele
742784	287495	
742785	91481	
742785	180791	
742785	357260	
742786	261313	
742786	262186	
742787	85209	
742788	277541	1-900-Boxx
742789	269697	
742790	231997	Dancer
742791	387897	Emilia Margarita Borosfky
742791	397578	Débora Pereira
742791	398471	Micaela Bellorín
742792	393833	
742792	395885	
742793	351162	
742794	336899	
742795	40883	
742795	290051	Ramona
742796	216772	Eleanor Schultz
742798	363729	Disciple
742799	33439	Daisy Roper
742799	47191	Miss Rowntree
742799	107427	Eileen
742799	121234	Paula
742799	264676	Woman
742799	297079	Eileen Hathall
742799	313361	Usherette
742799	386869	Fenella Lewis
742799	388782	Sheila Bigger
742799	388802	Mrs. Clegg, Norman's mother (
742799	391194	Martha
742799	392129	Florence Ranby (1991)
742799	396112	Kate Henshaw (1993-1994)
742799	397182	Mrs. Stone
742799	400313	Mavis
742799	404624	Mrs. Shelton
742799	408053	Margaret Oldfield
742800	399591	Ellen Mortimer
742801	76384	Bar Patron
742801	257962	
742802	387336	Lady Olliff Cooper - Lady Of 
742803	332472	Sister of Mercy
742804	14278	Tapani's wife
742805	171801	
742805	181884	
742805	303708	Inkeri
742805	341543	Mailis Eliasson
742805	352895	
742806	181630	Elli Puska
742806	256692	
742806	383296	
742806	394437	
742806	401477	Hilkka Nurminen
742806	410025	Grönrooska
742807	334821	Nainen baarissa
742808	180445	Pieni tyttö
742809	187833	Muotivalokuvaaja
742809	225234	Woman in staircase
742809	272834	TV-haastattelija
742810	182598	
742811	16070	Mrs. Runig
742811	28652	Mrs. Dwyer
742811	74235	Martha
742811	268840	Mrs. Fortune
742812	205967	Grandma
742813	94327	Récitante/Narrator
742813	198462	Une fille
742813	248973	Récitante
742814	337019	La femme de l'hôtel
742815	386222	
742817	270191	Anna-Liisa
742818	186897	Baustellen-Chor/Construction 
742819	283400	Mrs. Jauernick
742820	215563	Servant
742821	42113	
742821	145328	Hildes Mutter
742823	404715	Farners
742824	143552	
742825	110973	
742825	128514	
742826	370596	
742827	169794	Isabella as a Child
742828	51448	
742829	170047	
742830	132642	La Reina de Inglaterra
742830	294732	Anciana ladrona
742831	170035	
742832	190951	Ed's Niece
742833	9103	
742834	113243	
742835	9664	Eloisa Araiza
742835	20678	
742835	69781	Clodomira
742835	70864	Dora
742835	74577	
742835	90113	
742835	159291	Josefa
742835	256784	
742835	257900	Florinda
742835	263069	
742835	337575	
742835	380099	Manina
742835	380839	Marcia
742835	380842	La Coronela
742835	381156	Cassandra Teodorakis
742835	382197	Soledad
742835	383532	
742835	383556	
742835	385335	Raquel
742835	386660	
742835	387468	
742835	387577	
742835	387817	Dominga
742835	388649	Edith Brisson
742835	389843	
742835	392651	
742835	396604	Yuliana Pietri
742835	396983	Eboli
742835	401435	Triana Gallastegui
742835	405867	
742835	408211	Raymunda
742835	410303	Alarica Caradura
742835	410313	Sonia
742836	403687	
742836	412190	
742837	197160	Lila
742838	198233	
742839	114938	Rari
742840	278155	Conseillère matrimoniale
742841	51232	
742842	403461	Herself
742843	63910	
742844	266885	
742845	243516	
742846	72877	Gallery Spectator (segment "P
742847	241742	
742848	291825	Female Mariachi Band
742849	258496	
742850	10125	
742850	19380	
742850	22767	
742850	29805	
742850	35283	
742850	45725	
742850	53871	
742850	55318	
742850	56072	
742850	56075	
742850	88197	
742850	124447	
742850	145675	
742850	146509	
742850	146515	María Cristina
742850	161437	Olga
742850	221576	
742850	222039	Elvira
742850	249869	
742850	253663	
742850	282899	
742850	301109	
742850	318279	
742850	332674	
742850	353606	
742850	371727	
742850	377872	
742850	403172	Rossina
742850	403784	
742851	32335	
742851	34570	
742851	53872	
742851	89997	
742851	140559	
742851	145238	
742851	161656	
742851	197212	
742851	212407	
742851	221577	
742851	244620	
742851	255055	
742851	276577	
742851	307196	
742852	35778	Conchita
742852	82231	Jenny Lee Gutierrez
742853	191497	
742854	1381	Herself
742854	7098	
742854	26053	Eunice Littlefield
742854	32403	Nan Estabrook
742854	35261	
742854	36698	
742854	42016	
742854	47137	Ellen
742854	50752	Ruth Stratton
742854	52359	Betty Browne
742854	52574	Monica Murphy
742854	52822	Adele Randall
742854	60302	Jean Howard
742854	60307	Ann Kent
742854	66354	Mary Drake
742854	93649	
742854	100203	Typsy
742854	112497	
742854	112539	Jean Forsdale
742854	118536	Stella Fraser
742854	126065	Dolly Johnson
742854	128376	Edith Carr
742854	130047	
742854	135581	
742854	139185	
742854	144387	Lutie
742854	146746	Kathlyn Carson
742854	176250	
742854	183437	
742854	190293	Nora Malone
742854	193104	Molly Grainger
742854	193744	Helen Fairchild
742854	196464	Mary Larkin
742854	213172	Betty Brown
742854	218400	Betty Watson
742854	218504	Sally Roxford
742854	221186	Hilda Gregory
742854	245078	
742854	254564	
742854	267365	Angela
742854	291169	Eileen McCarthy
742854	296931	Winifred Coburn>
742854	300103	
742854	308853	Mary
742854	311751	Alice Elliott
742854	321112	Adeline
742854	321279	
742854	321304	Patricia Perry
742854	333384	Ruth Dakon
742854	333385	Mae Ellis
742854	333673	
742854	336258	Remedios Matías
742854	339690	Miss Bagot
742854	367414	Bernice Crane, Bride
742855	10336	Martha Washington
742855	371968	Martha Washington
742856	61617	Manager
742857	313593	Mary Davidson
742858	243773	L'Opinion Publique
742859	287399	
742860	244662	
742861	243498	Maria, adolescent
742861	328508	
742861	328712	
742862	111557	Girl
742863	112214	
742863	270936	Girl
742864	410280	Sarah Lindefors (1998-)
742865	42189	Harriet
742865	121016	Saucy girl
742865	377380	Mia
742866	320617	
742867	109139	Wedding guest
742868	89330	Dahlia
742869	289003	Rima
742869	307771	Secretary
742870	303682	Dream Child
742871	73432	Vanya Tosca
742872	291122	Linda
742873	353607	
742874	29650	Sister Betty
742875	366099	Hula dancer
742876	6203	
742876	7783	
742876	165523	
742876	209865	
742876	307715	
742877	381451	Markets Reporter (2003-)
742878	196588	
742879	184127	Traditional Singer
742880	31205	Dolores
742880	40976	Marguerite Chavez
742880	65679	Paula
742880	80817	Carmela
742880	153246	Rene
742880	160761	Madame Petrovna
742880	163509	
742880	175140	Duchess
742880	176727	Bella Braganza
742880	198874	3rd Witch
742880	264154	Woman in Theatre
742880	278081	Dorking's Bird
742880	281413	Mavis
742880	304234	French Girl
742880	332434	Mother
742880	367903	Marguerite Chavez
742880	390922	Witch
742880	403514	Desiree
742881	26329	Fru Sommer
742881	387097	Narrator
742882	138690	Petra
742883	19684	Sveszter
742883	74440	
742883	162974	
742883	261204	
742883	322064	Old lady on the subway
742883	327210	Mrs. Mauté de Fleurville
742883	376612	
742884	149880	
742885	245603	
742886	268558	Magdalene
742886	305612	Juliane Christiansen
742887	184859	Party Guest
742887	201803	Herself
742887	269771	Customer
742888	29540	Girl at Bar
742889	249573	Leggy Lady #5
742891	399936	Herself (interviewee)
742892	331004	
742893	191565	Kokke
742894	866	Herself
742894	2550	Herself
742894	3165	Herself
742894	7039	Ashley
742894	7040	Ashley
742894	7041	Ashley
742894	7042	Ashley
742894	7043	Ashley
742894	7044	Ashley
742894	7045	Ashley
742894	7046	Ashley
742894	7047	Herself
742894	7048	Ashley
742894	7049	Ashley
742894	13341	
742894	33078	Herself
742894	37894	Emily Tyler
742894	57685	Herself
742894	58662	Lizzie Dalton
742894	59665	Future Angel
742894	61615	Herself
742894	62959	Herself
742894	91932	Lynn Farmer/Young Aunt Agatha
742894	109359	Herself
742894	110178	Herself
742894	126745	Taylor Hunter
742894	147541	Alex Stewart
742894	151381	Herself
742894	151501	Jessica Martin
742894	163363	Alyssa Callaway/Amanda Lemmon
742894	192187	Twin #1
742894	221413	Herself
742894	221482	Herself/Presenter
742894	221483	Herself
742894	230926	Jane Ryan
742894	231536	Herself
742894	240090	Herself
742894	244817	Herself
742894	244864	Ashley Parker/Abby Turtleby/A
742894	244888	Herself
742894	321669	Emma Stanton
742894	334177	Julie Thompson
742894	362856	Leila
742894	366328	Riley Lawrence
742894	372332	
742894	372333	
742894	372334	
742894	372335	
742894	372336	
742894	372337	
742894	372338	Herself
742894	372339	
742894	372340	
742894	372341	
742894	372342	Ashley
742894	389501	Michelle Elizabeth Tanner (19
742894	397005	Ashley/Special Agent Amber
742894	405756	Chloe Carlson
742894	409232	Ashley Burke
742895	377404	Demonstrsjonsdame
742897	408234	
742898	80735	Band Member
742899	132786	Chorus
742900	145623	School welfare officer
742901	237291	
742902	6821	Revolutionary Cabinet Member
742903	120082	Camilla
742904	7039	Herself
742904	7043	Lizzie
742904	7046	Herself
742904	7049	Herself
742904	151501	Girl in Car
742905	393036	Herself (2004)
742906	403537	Participant (2000)
742907	181780	Store Patron
742908	230201	Zwilling
742909	23087	
742910	230238	
742911	240171	Herself
742912	239515	College girl
742912	321411	
742912	329329	A Lucky Star (The Lucky Star 
742913	99557	Song performer
742914	237304	
742917	83068	Receptionist Udlændingestyrel
742918	381065	Baby Grace (2001)
742919	291669	Pick-Up
742919	336597	La signora Durant
742920	142572	Cook 1957/87
742920	244407	Nurse
742921	147815	Herself - Mrs. James Durante
742922	266671	Vicki
742922	411809	Nurse Jo Bourke (1982)
742923	237286	Mortensens datter
742924	99570	
742925	41352	Attendant
742926	399	Brigitte
742926	16796	Herself/Angela's Friend/TVNZ 
742926	400242	Weather Presenter
742927	77850	
742927	95271	Mrs. Tex
742927	152608	Female Reporter #1
742927	164764	Female aide
742927	392395	Kristin Lervik
742928	247598	
742929	308122	Tracy
742930	104357	Musician
742931	406611	Herself - Finalist
742931	406612	Herself - Participant
742932	204747	Stephanie
742933	61643	TV newscaster
742933	177705	Nobu-Chan
742933	203915	Booyong
742933	230504	Miss Ward
742933	350145	Seko
742933	410864	Yung Hi
742934	248151	
742935	192659	Kikki
742936	41687	
742936	95698	Woman in the cellar
742937	293705	Veninde 6
742938	381909	Herself (1st Evicted, 13 Days
742939	55126	Ella
742939	70500	
742939	123040	Billetdame
742939	146596	
742939	179531	Kulturpings kone
742939	203964	Dame i tv
742939	230201	Zwilling
742939	287379	
742939	287472	Teresa
742939	304518	
742939	395115	Jytte
742941	128949	
742942	108655	En fiskerkone
742943	385525	Tanja
742944	866	Herself
742944	2550	Herself
742944	3165	Herself
742944	7039	Mary-Kate
742944	7040	Mary-Kate
742944	7041	Mary-Kate
742944	7042	Mary-Kate
742944	7043	Mary-Kate
742944	7044	Mary-Kate
742944	7045	Mary-Kate
742944	7046	Mary-Kate
742944	7047	Herself
742944	7048	Mary-Kate
742944	7049	Mary-Kate
742944	13341	
742944	33078	Herself
742944	37894	Tess Tyler
742944	57685	Herself
742944	58662	Shane Dalton
742944	59665	Future Angel
742944	61615	Herself
742944	62959	Herself
742944	91932	Kelly Farmer/Young Aunt Sofia
742944	109359	Herself
742944	110178	Herself
742944	126745	Kylie Hunter
742944	147541	Madison Stewart
742944	151381	Herself
742944	151501	Susie Martin
742944	163363	Amanda Lemmon/Alyssa Callaway
742944	192187	Twin #2
742944	221413	Herself
742944	221482	Herself/Presenter
742944	221483	Herself
742944	230926	Roxy Ryan
742944	231536	Herself
742944	240090	Herself
742944	244817	Herself
742944	244864	Mary Kate Parker/Maddy Turtle
742944	244888	Herself
742944	321669	Samantha 'Sam' Stanton
742944	334177	Sarah Thompson
742944	362856	Charli
742944	366328	Chloe Lawrence
742944	372332	
742944	372333	
742944	372334	
742944	372335	
742944	372336	
742944	372337	
742944	372338	Herself
742944	372339	
742944	372340	
742944	372341	
742944	372342	Mary-Kate
742944	389501	Michelle Elizabeth Tanner (19
742944	397005	Mary-Kate/Special Agent Misty
742944	405756	Riley Carlson
742944	409232	Mary-Kate Burke (1998-1999)
742945	331394	Show Girl
742946	354739	Habiba
742947	206631	Marianne
742948	381065	Baby Grace (2001)
742949	168722	
742949	313347	Iris
742950	321774	Margo
742951	311728	Herself
742952	334085	School Girl
742953	118918	Bride of the Monster
742953	135385	Eve Marley
742953	154152	Girl in Poolroom
742954	161692	Herself
742956	99511	Iskioskpige
742956	234826	Pige/Girl
742956	319087	Marie
742956	343518	Helene
742956	391710	
742956	401573	Katia
742957	234948	Maria
742958	188968	Edith
742958	267684	Citizens of New Orleans
742959	3692	Herself
742959	4671	Herself
742959	45778	Herself
742959	45779	Herself
742959	45781	Reporter for The Daily Tattle
742959	45782	Herself
742959	45783	Cindy Brady
742959	45784	Cindy Brady
742959	161254	Herself (interviewed)
742959	340547	
742959	368476	Brady Bunch Kids, The
742959	379065	
742959	382641	Cindy Brady
742959	382642	Cynthia 'Cindy' Brady
742959	382643	Cindy Brady
742959	382644	Cindy Brady
742959	386454	Herself
742959	386512	Litigant
742959	401850	Cynthia 'Cindy' Brady
742959	409121	Herself
742960	181736	Ulla Schierbeck
742960	278332	Charlotte
742960	305020	Sigfreds Datter
742960	319087	Dame i skranke
742960	391720	Victors Kone
742960	401737	Various roles (sketches)
742960	412298	Ditte
742961	16099	Intern (Copenhagen)
742962	296736	Mother
742963	215349	Shop Owners Wife
742964	58951	
742964	168730	Marie Yates
742964	169481	Susan
742964	274379	Sal
742964	328494	Marge
742964	358078	Patricia West
742966	75484	
742967	265046	
742968	216010	Mrs. Cratchit
742968	244766	Woman With Dog
742968	388366	
742969	198155	
742970	394620	
742971	20625	Extra
742972	126277	Mrs. Roosevelt
742972	186680	Secretary
742973	117673	Driver
742974	41185	Motel Victim
742975	232845	Car Lot Customer #2
742975	300096	Homeless Woman
742976	401777	Herself/panelist
742977	228164	The Muddy River Cloggers
742978	136951	Business Woman
742979	41744	The Textones
742979	200282	Go Go Go Go Girl
742979	296369	Herself - Guitarist (segment 
742980	119096	Cissy
742980	120301	Eve
742980	223893	Ellen
742981	45105	TV Reporter Becky Johanssen
742981	60764	Kippy Barrett
742982	324371	Destroyed Future Inhabitant
742983	13305	Sara
742983	139762	Marie
742984	123453	Paula/The Princess
742985	335555	Cissie
742986	115874	Sheila Barrett
742987	277070	Miss March
742988	277070	Miss March
742989	17214	Girl
742991	89713	Mrs. Nilsson
742991	138520	Fröken Svensson
742992	13620	Teenage Girl Fan
742992	41370	Molly
742992	80559	Young Rebecca
742992	160897	Megan
742992	189920	Alicia (Age 6)
742992	192833	Young Liz #2
742992	315774	Young Katarina
742992	365868	Shanna (age 8)
742992	385824	Jan Spears #1 (1999-2002, 200
742993	367073	Munchkin
742994	405209	Kayla Simpson (2000)
742995	270440	Young Emily
742996	141733	Camp Magnolia Girl
742997	204662	Madrigal Singer
742997	302134	Amelia's Lady-in-waiting
742998	158554	
742999	72376	Bidding Customer
742999	106664	
742999	121404	Cha Cha
742999	164606	Jocelyn
742999	289484	Jeannie
742999	390626	
742999	394298	Various
742999	397331	Kaitlin Marks (Daughter)
743000	128735	Herself
743000	136083	
743000	224863	
743000	257616	Herself
743000	257656	Herself (Miss February)
743000	257818	Herself (Miss August 1997)
743000	257866	
743000	387277	Herself (Team Smirnoff Ice Pl
743001	59193	Mary-Theresa
743002	155266	
743003	350700	Teen babe #1
743004	193211	Herself
743005	122466	Leo's classmate
743006	150140	
743007	44185	Spider
743008	249	Herself - "Betty Schaefer"
743008	3709	Herself
743008	5166	Betsy Carlisle
743008	9131	Mrs. Abbott
743008	31059	Mrs. Pat Rogers
743008	37153	Nancy Vallon
743008	45427	Katie Brannigan
743008	53558	Cecille Gautier
743008	115943	Secretary at Ford Company
743008	117480	Lt. Eleanor MacKay
743008	201579	Christine
743008	221044	Katherine Holbrook
743008	259777	Nancy Furman, Aunt Polly's Se
743008	261082	Teenager in art gallery
743008	305622	Norah Smith
743008	306298	Sue Baxter
743008	306396	Dallas O'Mara
743008	308352	Betsy Brainard
743008	317824	Carol
743008	319181	Betty Schaefer
743008	347136	Joyce Willecombe
743008	358803	Betsy Brainard
743008	358804	Betsy Carlisle ('The Absent M
743008	394516	Jessica Frazier
743008	400773	Marjorie Harper
743009	77592	Jane Arden
743009	306765	Ruth
743010	195300	Joanna Anderson
743011	23578	St. Tre
743011	234581	
743011	317110	St. Tre
743012	59366	
743012	73551	Barbara Yardley
743012	162862	
743012	230693	2nd French Girl
743013	242513	Debbie
743014	262386	Town Woman
743015	5797	Karynn
743016	228164	The Western Swingers
743017	2907	Bathing beauty
743017	84299	
743017	115385	Waitress
743017	130071	Shop clerk
743017	164770	Nurse Berit
743017	171991	Girl at the dance
743017	174697	Prostitute at Berns
743017	175351	Woman at the brothel
743017	182464	Clerk
743017	190835	Office employee
743017	198013	Woman in the waiting room
743017	198388	Lisa
743017	209311	Clerk in hairdresser's shop
743017	219842	Waitress
743017	252189	Night club singer
743017	252333	Guest
743017	281956	Lena
743017	303666	Head Waiter
743017	312022	Lillan
743017	312226	
743017	315360	Aina Blom
743017	317599	Girl
743018	117278	Nurse #1
743018	306814	Pat
743019	95146	Paul's mom
743019	109395	Kassidy
743019	223979	Wedding Guest
743019	411136	Natasha Kavasi
743020	337849	Maria
743021	203358	Tony Clifton Dancer
743022	322566	Social Worker
743023	52804	Dance Girl
743024	210346	Herself
743025	313104	Bank Teller
743026	355135	
743027	84315	Ticket clerk
743028	80659	Barn
743028	132431	Märta
743028	159640	Cherstin Olofsdotter
743028	164778	Anna von Feilitzen
743028	187563	The cashier
743028	405825	Marie
743029	309064	
743030	210352	Herself
743031	142766	Polischef
743032	40942	Dancer
743032	190808	Dancer
743032	214364	Dancer
743032	322671	Dancer
743033	28811	
743033	78384	Wardrobe lady
743033	84318	
743033	95066	Ms. Olofsson
743033	108053	Woman outside Grand Hotel
743033	121018	Frida
743033	142214	Städfru I
743033	154203	Miss Svensson, child wellfare
743033	165616	Albertina
743033	168389	Hulda
743033	168390	Hulda
743033	173540	Sara
743033	181006	Singer
743033	182285	Marina Lando
743033	192930	Livia Petrén
743033	198005	Bojan Larsson
743033	237149	Marianne Berg
743033	276139	Mrs. Bertils, journalist
743033	303853	Astrid Birgersson
743033	304183	
743033	314389	Ms. Månsson
743033	350927	Mrs. Håkansson
743033	353005	Gullan, house-maid
743033	377429	Maid
743033	377431	Speaker
743033	377435	Speaker
743033	382452	Prostinnan
743034	322299	Erik's Mother
743035	91521	Britta
743036	27397	Bua
743036	108051	New Tenant
743036	116304	Solveig
743036	135671	Waitress
743036	138182	Waitress
743036	170375	Julia
743036	178478	Klara Lust
743036	182545	
743036	202075	Kajsa
743036	251990	The daughter
743036	322306	Eva Larsson
743036	326048	Britt
743036	387056	
743036	390950	Mother #1
743036	392289	Fina
743036	394744	Ulla
743036	405619	Agneta
743037	378164	
743038	32374	Martina Gudmunsson
743038	84328	Actress
743038	94496	Anders' mother
743038	134915	Woman at the theatre
743038	138528	Doctor at the fertility clini
743038	167056	Anneli Fried
743038	171581	Mona Haglund
743038	198380	
743038	322294	Inger
743038	378245	Nurse
743038	394940	Ingela
743038	397784	Ulf's mother
743038	403084	Gisela Kunze (1993)
743039	182285	Ballet girl
743039	185966	Laura
743040	349575	Carina
743041	332598	
743043	55195	Mercedes
743043	182305	Gerda
743043	303205	Ritva
743043	320617	
743044	301930	Rider
743045	342307	Dancer
743046	80659	Barn
743047	6586	Mrs. Bohman
743047	29345	Aunt Signe
743047	179918	Lovisa Larsson
743047	305303	Tilda
743047	308802	Berta Lindgren
743047	314843	Aunt Lotten
743047	357805	Radio listener
743048	153911	Librarian
743048	390151	Upprörd lärare
743048	396218	Ann-Sofi Bodmark
743049	91521	Landlady
743050	94341	Telephone operator at Hotel E
743050	164770	Hospital patient
743050	268343	Märta's friend, mother of Lar
743050	305303	Customer
743050	322271	Lady in the Katarina Elevator
743050	338708	Guest at the restaurant
743050	350564	Nurse Frida
743051	320582	Gunnel's Colleague
743052	373726	Girl in discotheque
743053	312722	Felicia
743054	278881	Miss Skandinavia
743054	390236	Mrs. Rissler
743055	39116	Gudrun Bertelstam
743056	148816	TV-gäst #1
743057	326127	Taxi Switchboard Operator
743058	208838	Eurovision dancer
743059	210345	Herself
743060	190805	
743060	359915	
743061	238742	Receptionist
743062	139647	Kerstin (prostitute)
743063	1038	Becky
743063	51838	Young Mary Katherine
743063	80757	Emily Pick
743063	87986	Musical Guest Star
743063	100816	Amy
743063	126130	Featured
743063	160492	Deborah Wigand
743063	290982	Girl Scout
743063	310112	Renee
743063	348865	Little Girl
743063	383722	Katie
743063	400563	Megan Tollman
743063	403287	Ami
743063	404286	Renee Olstead
743063	406555	Lauren Miller
743063	406719	Marci Fant
743065	4544	Neighbor Lady
743065	26180	Jane Swan
743065	49763	Woman in hallway
743065	223772	Yvonne
743065	304753	April
743065	324235	Katherina
743065	363265	Toy Store Manager
743066	81321	Model #4
743066	363414	Runway Model
743067	266330	Girl on the Casting
743068	88507	
743068	95945	Village Woman/Mrs. Rollison
743068	120439	
743068	249815	
743068	311580	
743068	361575	Hostess
743068	411894	Janina Chominska
743069	260389	
743069	369005	Nurse
743070	250798	
743071	250798	Monika, journalist
743072	187586	
743072	205398	Gräfin Steinville
743073	231358	
743074	46770	Stasia
743074	63753	Sandra West
743074	99627	Ileana/Merilijn
743074	234258	Iza Supel
743074	266186	
743074	266342	Jola
743074	266540	Nurse
743074	268523	Iza/Netta Harlund/Franciszka/
743074	311391	Young Iza Gesiareczka
743074	316796	Iza
743074	324115	Krystyna
743074	373733	Matka Zosi
743074	387414	
743074	393473	Justyna (II)
743074	404216	Maria Majewska (2003-)
743075	276437	
743076	168586	Beautiful Woman
743077	121135	Cooler Girl 1
743078	5966	
743078	22580	
743078	23938	
743078	24859	
743078	30092	
743078	49176	
743078	49586	
743078	56112	
743078	62330	Chirita
743078	64139	Woman with Luggage
743078	66312	
743078	78257	
743078	86852	
743078	95121	
743078	106088	Angela
743078	107398	
743078	112784	
743078	119104	
743078	131079	
743078	155115	
743078	155116	
743078	155120	Varvara
743078	156588	
743078	160647	
743078	197355	
743078	229094	Veta
743078	250657	
743078	265780	
743078	301634	
743078	314292	
743078	334395	Varvara
743078	375132	Cook
743079	113886	Princess #5
743080	385564	Nyhetsoppleser
743081	403	Kocsmárosné
743081	77870	Kati
743081	177925	Steffy baronesse,Hohenfels lá
743081	226710	Piroska
743081	354256	Povereczine
743081	378577	Zsófi
743083	86436	La vendeuse de fleurs
743083	353945	
743083	387919	
743083	409462	Laetitia
743083	412266	Fliquette
743084	71594	Mamouda
743084	376427	
743085	256196	
743086	325598	
743086	325883	
743087	78869	The Little Girl
743087	380508	Margaret Appleyard #2
743088	33967	
743088	265165	
743089	3524	
743089	55918	
743089	62398	
743089	68962	
743089	82591	
743089	85585	
743089	85973	
743089	135357	
743089	149500	
743089	159477	
743089	169775	
743089	272638	
743089	276144	
743089	336293	
743089	382197	Clara
743089	385416	Rocio
743089	411710	
743090	84225	
743090	178863	
743090	196377	
743090	196378	
743091	332435	Cheryl
743092	18710	
743092	279293	
743092	379528	Julia
743092	380789	Theano
743092	380843	
743092	407976	
743093	276677	Girl at CD Store
743094	78514	Minna
743094	109122	Kerstin Engström
743094	122462	Maj's Schoolmate
743094	165614	Frida
743094	174432	Desdemona (Dessi) Larsson
743094	205515	Ann-Marie
743094	228386	Eva Rehn
743095	322025	Vidéki színésznõ
743096	377613	Susan Phillis
743097	74404	Valika
743098	243800	
743099	17079	
743100	281027	
743101	17079	
743102	55781	
743102	62827	
743102	122998	Mom
743102	123873	
743102	134300	Henriette Clovisse
743102	269103	
743102	320012	La princesse Eugénie
743102	324282	Mélanie
743102	343568	La Femme de Chambre
743102	345166	
743102	377261	
743103	205460	(segment "Papo Amarelo")
743103	319626	
743104	285469	
743105	18478	
743106	24903	
743106	25318	Hera
743106	74951	
743106	90744	
743106	102321	Lilian
743106	124441	Visanteta
743106	158947	Sheila Holmes
743106	161538	(segment "Altra lei, Un'")
743106	187852	Aunt Giulia
743106	193333	
743106	196625	
743106	202165	
743106	212552	
743106	238018	
743106	278405	Immacolata
743106	280744	Anna
743106	288320	
743106	293337	Luisa
743106	312248	Signora Cattani
743106	353499	Herself (Model)
743106	355118	Visanteta
743106	386749	
743106	387305	
743106	391929	Eugénie de Montijo
743106	393731	Pauline Bonaparte
743106	397623	Claudia
743106	399754	Countess Vanini
743107	54421	Tadzo's mother
743107	81692	
743107	88540	
743107	94889	
743107	129360	
743107	143697	Barbara Sitar
743107	174177	
743107	182258	
743107	192902	Rezka
743107	229408	Jana Petriè
743107	246022	Uradnica
743107	275491	Vladka Rozman
743108	196281	Church Lady
743109	12073	
743109	332944	
743110	370737	
743111	345567	
743112	17504	Lady of Court No.2
743112	99804	
743112	247169	
743112	306611	Sofia
743112	311226	Yati
743112	321994	
743112	397073	Mastura
743113	363224	Girl in Park #2
743114	48539	
743114	52062	Theater cashier
743114	96990	Girl at Pool
743114	285605	Russian Entertainer
743114	334180	Waitress
743115	63325	
743115	138304	Dang Baru
743115	184026	
743115	250689	
743115	268001	
743115	283233	
743116	54077	
743116	210443	
743116	212526	Voz
743117	61137	
743117	67527	
743117	68993	
743117	96314	
743117	236419	
743117	242678	
743117	251590	
743117	278429	
743117	355951	
743118	340973	Erika
743119	203957	Journalist #2
743120	239373	
743121	217273	
743121	340240	Lena
743122	304457	
743123	179259	
743123	228998	
743123	233316	
743123	370192	
743123	373638	
743123	375655	
743124	135365	Herself
743125	53058	Allison
743126	109945	
743126	172012	
743126	377512	
743127	87638	Host
743128	393036	Herself - Comentarista (2004)
743129	292587	Darnetta James
743130	283522	Roseanne
743131	189427	
743132	84471	
743132	341239	
743133	238320	
743134	342270	
743135	209237	Ghost
743136	211863	Virpi Kimpilä
743136	214584	Helena
743136	223514	Punkkarityttö
743136	278874	Taina
743136	391615	
743136	392553	Elina
743136	400785	Tyttöystävä 2
743136	401476	Tytti
743136	404145	Hanna Salin (1999-2003)
743137	70104	Flo Weinberg, Ernie's Wife
743137	80374	Betty
743137	89147	Edna
743137	97826	Caroline
743137	168216	Woman in Bargain Store
743137	194223	Wife
743137	196544	Mrs. Herzog
743137	197247	Lady With Quarter
743137	205089	Bystander
743137	221024	Middle Age Woman
743137	264037	The Preacher Lady
743137	292327	Jane's Mother
743137	314963	Mrs. R.H. Broache
743137	346902	Celia
743138	9678	
743138	50823	
743138	118879	
743138	193080	
743138	300365	
743138	303024	Michela
743139	120528	Dancer
743140	289162	Ivana
743141	217210	Mme Fitzpatrick
743141	303094	Dianna
743141	317110	Svetlana
743142	128727	Dancer
743143	96741	Tanya
743143	117162	Awards Dinner Dancer
743143	128727	Dancer
743144	253444	Eriko Kirishima
743145	26237	
743146	244379	Japanese Waitress
743146	360668	Sandy Yamamoto
743147	2709	Cafe Regular
743147	10889	Sara Sashen
743147	106737	Nurse
743147	119940	Emma
743147	328267	
743147	371011	Mrs Park
743148	168847	Omasa
743148	287636	Nakagimi
743148	344162	Prostitute
743148	372035	
743148	374110	Okatsu
743149	262150	
743150	26395	
743150	42531	Camilla Brown
743150	45548	MLK Passenger
743150	67387	Kayla Alex
743150	115011	Mae
743150	121859	Ellen Sanders
743150	154876	Joelyn
743150	158319	Mrs. Williamson
743150	178145	Maid #2
743150	185174	Officer Mulkey
743150	217531	Myra
743150	222647	Charlies Wife
743150	236142	
743150	240626	Sally Mae
743150	252856	Mrs. Lewis
743150	272970	Mrs. Johnson
743150	283434	Potential Juror #3
743150	293843	Amelia Boynton
743150	301753	Mary
743150	318181	Glenda Siles
743150	333347	Woman Angry at Klan
743150	334150	Eva Lynn
743150	360616	Hospital Receptionist
743150	392459	Joelyn
743151	28118	Akari Ichijo
743151	28119	Akari Ichijo
743152	82464	
743152	323668	Amiga
743153	2345	
743153	13875	Embassy Guest #6
743153	25083	La Servandoni
743153	78403	Directrice école
743153	104222	
743153	159695	Christine Belliard
743153	241878	
743153	275657	Lucie
743153	403896	Bianca
743154	131764	Harriet
743155	236182	Susanna
743156	30457	
743157	30666	
743158	336095	
743159	81674	Vila 1
743159	343800	Gracijela
743160	379508	Mitsue Takazawa (Natsumi's mo
743160	381507	Kyoko's mother
743161	192181	Paula
743162	270253	Self
743163	270253	Self
743164	182049	Kubo-sensei
743164	195855	Shino
743165	324308	Big woman of Hell
743166	390144	Rio (1996-2000)
743167	109970	Lydia
743168	27271	Police Woman
743169	35750	Herself
743169	180718	Schlafende Nymphe
743169	189602	Shula
743170	319083	1rst Woman
743171	25984	Shams
743171	319083	3rd Woman
743172	25984	Um Hasan
743173	7745	
743173	18030	Mrs. Ramirez
743173	79478	Lola
743173	81243	Maria Lopez
743173	108087	Mrs. García, Ralph's Mother
743173	109276	
743173	122025	Stall Owner
743173	360510	Mrs. Benite
743173	364516	Nurse Rodriguez
743174	257718	Kuroda, Asami (K1)
743175	122957	Hisayo (story 'Katasumi') (as
743175	248696	Mariko Anzai
743175	391341	
743176	81894	Mona Stevens
743177	46985	Barmaid
743178	34945	
743178	50378	
743178	91623	
743178	116013	Herself
743178	207515	
743179	176537	Additional Voices
743180	59809	
743180	261939	
743180	374776	
743180	382406	
743181	71798	TV Host, Kanal 7
743182	35237	Reprazent
743182	296410	
743182	377512	
743183	75191	
743183	321009	
743183	367652	
743184	75397	Jezebelle
743184	301760	Iris Doyle
743184	380713	Jennifer Munson #4 (1999-2002
743185	215697	Miss Georgia
743186	275987	Herself
743187	245879	The mother
743187	392575	
743188	354952	
743189	104710	Herself
743189	104759	Turkish entry (12th place)
743190	242316	High Class Prostitute
743191	127199	
743192	311189	Sachiko Imura
743193	23125	
743194	372597	Gretchen
743195	64695	Mujer de negro 2 (Un rincon c
743195	234352	
743195	379133	Fernanda
743195	379820	Isabela Chabela
743195	380107	Marie De La Roquette
743195	381156	
743195	387689	Ivonne del Castillo
743195	389788	Maria Julia Rodriguez
743195	396209	Bárbara
743195	396880	Brenda
743195	397019	Cecilia
743195	398473	Georgina Barrenechea
743195	404172	
743195	405318	Violeta Garrai
743195	405398	Natalia Preciado
743196	164237	Secretaria
743196	170097	Susan
743196	185911	
743196	409463	Secretaria (1983-1984)
743197	167866	Christmas Caroler
743198	63648	
743199	15023	
743199	17113	Anicka Karesová
743199	26252	Baby
743199	26253	Baby
743199	40111	Alice White
743199	51263	
743199	60076	Arlette
743199	62772	
743199	63631	Lilly Wardová, orphan
743199	68893	
743199	86303	Anny Flock
743199	88583	Pepina
743199	90785	Josette
743199	94190	Annie
743199	94227	
743199	95996	Dandy's friend
743199	96463	
743199	102287	Anny Spatz
743199	104885	Nina Laval/Anny de Lavais
743199	110125	Anny
743199	112843	
743199	115198	
743199	115650	Ingeborg
743199	120053	Anny
743199	120939	
743199	122539	
743199	124380	Erika
743199	127716	
743199	129564	
743199	129565	
743199	130021	
743199	133319	
743199	134818	Anny Ondra
743199	134849	
743199	145486	
743199	151834	
743199	151891	
743199	153976	
743199	155408	
743199	170661	
743199	173557	Vera Matysová
743199	174000	
743199	174843	
743199	176641	
743199	176642	
743199	178548	
743199	179019	
743199	182267	Daina Laurence
743199	196731	Hanicka, sirotek
743199	202814	Mamselle Nitouche
743199	204854	Kate Cregeen
743199	213849	Fifi Hrazánková
743199	223524	
743199	225223	
743199	226272	
743199	227784	
743199	232712	
743199	240414	Anny, his sister
743199	244652	Anny, his daughter
743199	247089	
743199	247933	Melanka
743199	259189	Helena Zaremba
743199	259819	Helena Zarembová
743199	262434	Pratermizzi
743199	265338	Vera Mathys
743199	266432	Dagmar/Alena, his wife
743199	289215	
743199	289949	Anny, a young girl
743199	290758	Madame de Lila
743199	293548	
743199	295054	Evelina Woschatková
743199	295129	Enny
743199	304460	
743199	309651	Herself
743199	322525	
743199	324118	
743199	334494	
743199	340717	
743199	341400	Aenny
743199	346688	
743199	348085	
743199	350982	
743199	351290	Zuzka Pestová alias Lili Webe
743199	352354	
743199	352602	
743199	356836	
743199	375094	
743199	375944	Andrea, his niece
743199	376626	Herself
743199	378508	Daisy
743200	51243	Jeanne
743201	253152	Dora
743202	88128	Bobina
743202	202585	Ruza
743202	266352	Anezka
743202	357266	Radka
743202	375950	Jana
743202	376602	Eva
743202	383079	Majka Drvotová
743203	239893	Bozena's servant girl
743204	320659	
743204	342274	Eva
743206	232847	A. Fiscal
743207	187819	
743208	197897	Juliet
743208	303753	Jenny Bradshaw
743210	256504	Player
743211	28281	Nela's sister
743211	94921	Anastasia
743211	115836	
743211	234565	
743211	249765	
743211	263765	
743211	294592	
743212	93205	Kyla
743213	82254	Josefa
743214	401694	Soledad Guillén
743215	27784	Dra. Ronsky
743215	33649	
743215	83879	Madre de Ana
743215	234012	Factory Woman
743215	322342	Madre de Paula
743215	324502	School Teacher
743215	383089	Agustina
743216	146533	
743217	20282	Patrona
743217	187616	
743218	28211	
743218	33649	
743218	61359	Marisol
743218	80236	
743218	91361	
743218	110169	Roberta
743218	222378	
743218	251986	
743218	328743	
743218	380578	
743218	389235	Lola
743218	390085	Sami (Samanta Galarza)
743218	398661	Adelina 'Lina' de Solo
743218	402172	
743218	405789	Mónica Muzzopappa
743218	405916	Natalia (2003)
743218	407284	
743218	408204	
743218	409959	
743218	412198	
743219	119803	Showgirl
743219	308382	Alicia
743220	342149	Amiga Ruth
743221	79553	Janet
743221	244985	Bergamotte
743221	361897	Herself
743222	153562	Cassandra
743223	1500	Housekeeper
743223	37971	Nan
743223	64394	Marta
743223	91737	Mom Li
743223	142312	Rebecca's Mother
743223	193966	Tam
743223	230926	Ma Bang
743223	241412	Lisa
743224	117656	Pedicurist
743225	185808	
743226	168063	Wendy Chan
743226	225844	
743227	57001	Daphne
743227	62841	Nicole Ko
743227	87295	Bree
743227	251477	Dental Assistant
743227	327020	Haze
743228	153562	Tanya
743230	91737	Selina
743230	171264	Mother
743230	344480	Linda Kwan
743230	381562	Wendy Weng
743230	407992	Tina Lee
743231	117656	Grandmother
743231	225844	Ah Kua's Mother
743231	370604	Drago's Mother
743232	117656	
743233	369727	Ms. Lim
743234	151540	Lilly Lee's Receptionist
743235	185808	
743237	83523	
743237	255798	
743237	354985	
743238	229601	moglie Rubizzi
743239	41347	Receptionist
743239	96787	Faith
743239	188453	Opening Sequence Girl
743239	188615	Supporter #2
743240	282823	Jim
743241	1310	Bow
743241	214956	
743241	371957	
743242	154169	Olive Thomas
743242	184955	Change Girl
743242	279376	Handmaiden
743242	308382	Raider
743243	33599	One of Frenchie's Girls
743244	37479	Setsu as a Girl
743244	174335	Lin Pao-Chung
743244	239211	
743244	255872	The Mother
743244	279632	Lain (Horton's second sidekic
743244	285588	Cyborg 003
743244	285589	Cyborg 003
743244	309102	
743244	318526	Li I chi
743244	324308	Goddess
743244	350189	Caroline (HK version)
743244	395517	Aisha
743244	396495	
743244	408176	
743245	330759	Magenta
743246	81870	Christine
743247	80610	Debbie
743247	264517	Nurse Pearson
743248	346228	
743249	76001	
743250	157576	Nurse
743251	8459	
743251	287400	
743252	363491	
743253	264054	Ada Augusta Byron
743254	131970	
743254	341881	
743254	410155	
743255	90979	
743256	26248	
743256	137112	
743256	204385	
743256	321952	
743256	332995	
743256	373971	
743257	169733	Dancer
743258	236972	Child at the Party
743259	108778	Smuin Ballet/SF Dancer
743260	4597	
743261	38822	Bonbon Babies
743262	122909	Batyan Senhora
743263	21822	Shizuka Nagao
743263	122137	Girl
743263	373226	Miyo
743264	20625	Extra
743265	172994	Junko Tama
743265	394101	Junko Tama
743266	237979	Suye
743267	371876	Kikko
743268	89049	Hanako Sawagami
743269	172987	Danta's Girlfriend
743270	21829	Kuramochi, Mikiko
743270	104566	Mikiko
743270	128052	Kazuko
743270	189166	Atsuko
743270	203794	Rie
743270	217051	Michiru
743271	319013	
743272	17420	
743272	89049	4th Wife
743272	137006	
743272	298749	Woman Farmer
743273	371815	
743273	373218	
743274	163835	Oyae
743274	173827	Ayako Takatsu
743274	182402	Masami Kurahashi
743274	204325	Runa Iki
743274	243899	Takino
743274	243902	Sueko
743274	371982	
743274	371991	Kunie
743274	373284	Shinko
743275	411563	Kaede
743276	374604	Rei (aka Zero Woman)
743277	26237	
743277	39829	Miyuki
743277	137361	Utugi
743277	149034	Shukoran
743277	182027	Chiaki Amaoka
743277	239380	Mariko
743277	293497	Wang Li-Hua
743277	294103	Miwa
743277	299323	Nami Tsuchiya
743278	232971	Megumi
743279	374606	
743280	358425	
743281	1404	
743281	2581	Herself
743281	31944	Herself
743281	32450	
743281	60462	Herself
743281	68746	Herself
743281	85954	Herself
743281	95844	Herself
743281	119549	
743281	142809	Herself (with John Lennon)
743281	154035	Herself
743281	156864	
743281	156872	Herself
743281	156874	Herself
743281	161224	Herself
743281	161399	Herself
743281	168463	Herself
743281	168484	Herself
743281	168560	Herself
743281	168959	Herself
743281	175150	Herself
743281	178091	Herself
743281	188221	Herself
743281	212716	Herself
743281	215362	
743281	218840	Herself
743281	222976	Herself
743281	234104	Herself
743281	256210	Herself
743281	273448	Herself
743281	277074	Herself
743281	280708	Herself
743281	289759	Herself
743281	327697	Herself
743281	343188	
743281	366213	Herself
743281	381501	Herself
743282	272518	Japanese school girl
743283	130491	Sara Yuhara (Tokumitsu's daug
743284	87060	
743285	298978	Narrator
743286	126011	Menage a Trois
743287	181576	Voice
743288	122108	
743288	293450	Hisami Aoike
743288	397520	Nana
743289	313421	Chodak computer
743290	63395	
743291	159487	Blonde Woman
743292	5232	
743293	56012	Bartoloni's gilfriend
743293	94634	Rita
743293	162087	
743293	259950	Cristina
743293	267534	Liliana
743293	275393	Amica di Alberto
743293	366098	
743293	384301	
743293	397933	Anna
743293	399660	Ginevra
743293	407213	Alessandra
743294	289488	Isa
743295	20625	Extra
743296	148539	Akemi
743297	289448	
743298	12695	
743299	19790	
743299	47261	
743299	67691	
743299	106985	
743299	217900	
743300	217872	
743301	173259	High School Girl 1
743302	292074	Hirota
743303	373892	Tamizo Onoue
743304	84457	Babe #5
743305	61156	Female Dancer
743305	105280	Groucho Party Dancer
743305	353466	Ensemble
743307	190386	Little Daughter (Karin)
743307	265829	
743308	215879	Flamenco Dancer #1
743310	153396	
743310	242715	Margrete
743311	403095	Herself (host)
743312	242692	
743313	215767	Liesbeth age 4
743314	345459	La mère de Robert
743315	352	Dona Rosa
743315	21448	Nora Manning
743315	37062	Maid
743315	44318	Madam in Whorehouse
743315	44432	Rudy's mother
743315	45044	Carmen
743315	52361	At the Hotel - Maid
743315	53822	Abuela
743315	63342	Beverly Franco
743315	89701	Camilla
743315	97899	Connie
743315	98689	Nacha
743315	122768	Grandma Josie
743315	131885	Rosalita, cleaning woman
743315	167015	Mary Velasco
743315	192340	Market Voice #1
743315	197373	Tia Tonia
743315	221136	Tia Sophia
743315	223871	Irene Sanchez
743315	240061	
743315	250428	Parranda (pastore)
743315	255234	Constancia
743315	273423	Carmen
743315	278579	Ducna
743315	281769	Sophie
743315	293363	
743315	293744	Yolanda Saldivar
743315	300099	Pepita
743315	315251	Remedios
743315	315781	Consuelo ('Non-fiction')
743315	331112	Rosa
743315	336300	Adelfa
743315	347241	Maid
743315	363044	Cruz
743315	368592	Whore #2
743315	375847	Dolores
743315	387070	Marta
743315	390481	Grandma Gomez
743315	390631	Magdalena
743316	58048	Alma Santacruz
743316	139908	Ester
743316	322395	Mrs. Panza
743316	379461	Lina
743316	395857	Nora (Julieta's Mother)
743316	402404	
743316	403457	Host
743316	407304	Enriqueta
743316	407851	
743316	409282	Alina
743316	410093	Paola de Giraldo
743316	410450	Nicolasa Díaz (16años)/Sofía 
743316	411633	Rosaura
743317	337950	Prostituta #3
743318	382257	Missu Hurmala
743318	382258	Missu Hurmala
743319	391502	Herself
743320	89451	Fujisaki, Rika
743321	259869	
743322	168295	Girl in Garden
743323	94595	
743324	394189	Esma
743325	353500	Herself (Model)
743326	326496	Lasana
743327	107290	Ndidi
743328	99137	Dancer
743329	38000	Small Creature
743330	38000	Samll Creature
743330	223686	Herself
743331	321029	
743332	122788	Olga
743332	146832	Gretl Braun
743332	166993	Dr. Maria Frankenstein
743334	176669	Hostess
743334	374509	
743335	4240	Ooha
743335	11994	Sitaram's Sister
743335	25537	Ooha
743335	213579	Peep-Bo/Katisha
743336	113332	Lucil
743336	180377	Midori
743336	304364	Femme
743336	386236	Asakawa Eri
743336	400268	Kaede Misumi
743336	400269	Kaede Misumi
743336	406887	Raquel Casull
743337	92858	Yingying (character movement)
743338	285717	Wong May
743339	78611	Wendy
743340	386033	Mai Tsubasa/Change-Phoenix
743341	9294	
743341	242252	
743342	18685	Woman with a cart
743343	9320	
743343	12919	Sister Shunko
743343	23411	Natsumi Umano
743343	28105	
743343	32547	
743343	48438	Kochou
743343	61456	Naomi
743343	125688	Orin
743343	145727	Prostitute
743343	153559	Yoko
743343	172112	Shinako
743343	173604	Ritsuko
743343	176611	Yoshiko
743343	177720	
743343	180622	Shiranui
743343	193230	Natsuko/Teruko
743343	202295	Michiko Sakuma
743343	243717	Chikako Masui
743343	293679	Hiroko
743343	298927	Houran
743343	299128	Keishin, Shinran's wife
743343	299572	Kazue Tozaki
743343	327041	
743343	341228	Shuko Aochi
743343	373232	Owner of a hotel
743343	374105	Aunt O-Ume
743343	374118	Okichi
743344	93632	Sammy
743344	314858	Bonnie
743345	33960	Astrid
743346	48361	Susan
743346	50300	Micha
743346	58528	Chainsmoker
743346	62451	Christina Lovén
743346	90889	Meg Tannahill
743346	108018	
743346	110306	Prostitute
743346	126678	Viola
743346	127773	Cecilia
743346	148845	
743346	150643	Gerda
743346	164821	Annabelle
743346	173810	Sara Philips
743346	182305	Linnea
743346	211727	Maria Theresa Paradies
743346	233694	Anna
743346	273967	Kia
743346	284368	Bonnie
743346	293267	Eva
743346	322299	Elsa Andersson
743346	334100	Frun i hallen med morgonrock
743346	342085	Marina
743346	350075	Lizzie Rosenfeld
743346	365616	Alice White
743346	389124	Helene Hilmer/Forsyte
743347	312148	Fritzi
743348	226626	
743349	95525	Herself
743349	386642	Herself
743350	258290	
743351	253	Mathiel
743351	18388	
743351	152367	Kee
743351	203253	Ellen
743351	210124	
743351	367021	Treske
743351	408223	Oude meid
743352	15187	Bag lady
743352	15264	Rietje
743352	40776	Joke
743352	115688	Buurvrouw Neuteboom
743352	115689	Neighbour Neuteboom
743352	115690	Buurvrouw Neuteboom
743352	157588	
743352	242445	Moeder Overste
743352	265829	Mw. Gerritsen
743352	272665	
743352	319726	Mrs. van Gelder
743352	350300	Gouvernante
743352	388930	Buurvrouw Neuteboom
743354	250914	Marina
743355	42855	
743355	268151	
743355	351162	
743356	87414	Heineken Blonde
743358	163987	
743358	236173	Elevator girl
743358	257577	Dominatrix
743359	8612	Mine Masai
743359	21870	Mitamura Tsunako, the First D
743359	98114	
743359	121465	
743359	122951	Sawako
743359	129769	Michiko (mother of Sugihara)
743359	131291	Sayuri
743359	137384	Hiroko Tanii
743359	156238	Tokuko, Yasukichi's first dau
743359	156261	
743359	167578	Yoshiko Sakai
743359	176225	Policewoman
743359	178249	Kuroki
743359	182050	
743359	200772	Mayumi
743359	244533	
743359	260416	Shizue Sato
743359	277356	
743359	293588	
743359	293594	
743359	293600	Ori-eh, as a teenager
743359	293602	Orie Maki
743359	298817	
743359	299015	Nami Tsuchiya
743359	299525	Tagiri
743359	299596	
743359	375588	
743360	4016	Hasegawa Sora
743360	6765	Nicole
743360	8901	Ria
743360	76857	Pikachu
743360	103180	Merle
743360	125239	Pikachû
743360	125240	Pikachu
743360	125241	Pikachu
743360	125242	Pikachu
743360	176532	Yukina Shiratori
743360	183061	Eringa
743360	210152	Mitsuhiko Tsuburaya
743360	233054	Pikachu
743360	258553	Pikachu
743360	259003	Pikachu
743360	259031	Pikachu
743360	259032	Pikachû
743360	259033	Pikachû
743360	259034	Pikachû
743360	259035	Pikachu
743360	259038	Pikachu
743360	259088	Pikachu
743360	259090	Pikachu
743360	259091	Pikachu/Sparky
743360	259092	Pikachu
743360	259093	Pikachu
743360	259094	Pikachu
743360	259095	Pikachu
743360	259096	Pikachu/Additional Voices
743360	259097	Pikachu/Raichu/Additional Voi
743360	259098	Pikachu
743360	259109	Pikachu (II)
743360	259111	Pikachu
743360	259113	Pikachu
743360	259120	Pikachu
743360	259121	Pikachu
743360	280228	Bomb Bonne
743360	296855	Kyo Ryu
743360	298425	Fangmei Xun
743360	327811	
743360	335380	
743360	373381	Youko Kurama (a.k.a. Minamino
743360	382110	Sailor Tin Nyanko - Suzu Nyan
743360	384236	Mushanokouji Fujimaru
743360	389729	Kiyoshi Hara
743360	389877	Kodama
743360	391594	Erika/Himeko Nonohara
743360	394421	Shiratori Yukina
743360	394549	Ako
743360	394685	Kobo
743360	396503	Spirit
743360	396640	Arimori Ushio
743360	397371	Mitsuhiko Tsuburaya
743360	397828	Reiko
743360	400254	Toni-Toni Chopper
743360	401703	Pikachû
743360	401736	Pikachû/Tosakinto
743360	401740	Pikachu, Raichu
743360	404846	Shizuka (Iincho)
743360	405028	Kyuo Ryu
743360	407839	Merle
743360	407847	Ruka
743360	410739	Akira Tamano and Donna
743360	411883	Youko Kurama (a.k.a. Minamino
743361	211895	Eiko Kanzaki
743361	335270	Sachiko Kimata
743362	258290	
743363	387323	Ria (1996)
743364	225721	Auguste
743364	324629	Mizzi Pollinger
743365	21374	Gerd Skaug
743365	117862	Fru Syvert
743365	266555	Et alternativ
743365	293841	
743365	305858	Elsa
743365	315186	Gnista
743366	76991	Biba
743367	180358	Prepodavatel
743367	376527	Frau Bulow-Pferke
743368	40552	Dinner Guest #2
743369	238324	Molodukha
743370	382543	
743370	388648	
743371	340248	Sangerinne, Singer
743372	390788	Miss Siti (1994-1996)
743373	212018	
743374	155277	Claudia White
743374	205268	Reporter (Feld House)
743374	292233	Mom
743374	319023	Frieda/Betty
743375	35049	Vivien
743375	40395	Sibilla Jacopescu
743375	107966	Euphemia Nikitsch
743375	108191	Sheila Potter
743375	142067	Fräulein Romm
743375	219265	Fräulein Dr. Lang
743375	232280	Tatjana
743375	247318	
743375	271616	
743375	287315	
743375	290173	Anna Herwegh
743375	290688	Baronin Prankha
743375	325503	Frau Schermann
743375	343500	
743375	385680	Olga Vesela
743375	396756	Irina Kuhlin
743375	403133	Clarissa Delorme
743376	211758	Vietnamese girl
743376	321660	Girl #2
743378	35643	Anchorwoman
743378	78082	Girl in Commercial
743378	139226	Mother
743378	227664	Kathryn Calvess
743378	273771	Leona Spencer
743378	277795	Kris
743378	282300	Flight Attendant Tracey Nicho
743378	360497	Jenna Whitehall
743378	382703	Ana Mitchell
743378	391971	Shannon Marr
743379	26978	Nautch Dancer
743379	77595	
743379	83653	Dancer
743379	85184	French Student
743379	138804	Dancer
743379	264193	Vocalist
743379	279411	Dancer
743379	329329	Hatcheck Girl (Bette Davis Nu
743380	1973	Mother
743381	1973	Kid
743382	1973	Kid
743383	47013	
743383	47014	
743383	47015	
743383	319049	Ivy
743385	82528	ATW girl
743386	162296	
743387	28857	
743388	222931	Surfer girl
743388	246861	Pajama Girl
743389	131559	Policewoman Julie
743390	256624	Edith
743391	75771	Woman #1
743392	10899	Alien #1
743392	262160	Waitress
743393	217855	Family at the Supermarket
743394	18392	
743394	94424	Angelika
743394	102047	
743394	153173	Andrea
743394	174214	
743394	186921	Nora Werner
743394	210078	Sybille
743394	259464	
743394	301032	Bettina
743394	312639	
743395	289671	Little Girl (segment "Hit And
743396	289671	Mother (segment "Hit And Run"
743397	284077	Female Soldier
743398	46182	Marisol Montaño
743399	226491	
743400	64979	
743401	391151	Polly Dawson
743402	391151	Molly Dawson
743403	190823	Body flame dame
743404	258039	Lingerie
743405	400217	Suzanne Van Wetering (1994-19
743406	177776	
743407	40694	Advokatens hustru Ellen
743407	42204	
743407	45941	Pep Lebeau
743407	87145	Herself - Host
743407	114034	Chefens tjenestepige
743407	147017	Sekretær
743407	166598	
743407	182620	Tante Elisabeth
743407	195156	Herself - Member of Skuespill
743407	214366	Rikke Berg
743407	214370	Rikke Berg
743407	214371	Rikke Berg
743407	214372	Rikke Berg
743407	237300	Elisa
743407	306383	
743407	312234	Mælkepige
743407	334021	Herself/Various roles
743407	393861	Nissen Gyvel
743407	397074	Vicki Arnesen
743407	409362	Various roles (1974-1975)
743408	198339	Lise
743409	98353	Herself (family friend)
743410	17085	
743411	166046	Louise Thetford
743411	215153	Margot Bence
743411	269670	
743411	278081	Zoro
743411	398844	Madame de St. Martial
743412	63089	Gabriel's Mother
743412	360300	Kara
743413	207828	Child at Assembly
743414	2555	News Anchor
743414	142291	
743414	207440	Waitress
743415	26079	Additional Voices
743416	383525	Sarah Carson (1983-1984)
743417	31018	
743417	76534	Poppa
743417	84634	La Poicard
743417	198312	La mère/Une baronne
743417	351789	
743417	376999	Head of the high school
743418	225768	
743419	267031	Coach hostess
743420	267117	
743420	281660	
743420	325501	Doris Kolbe
743421	71304	
743422	155473	
743422	284991	
743422	290100	
743422	327004	
743422	376493	Kommunistin
743423	95281	Ines Offermann
743423	356734	
743424	183253	
743425	77	Herself
743425	201750	Herself
743426	305692	Party Goer
743427	88583	Madla
743427	268297	Josífek' mother
743427	357685	Beggar
743427	375361	
743428	336445	Vitalie
743429	237056	Karl-Oskar's and Kristina's d
743429	349128	Child
743430	29320	Teacher
743431	118873	Irza Topnizki
743432	303617	
743433	101036	Russian Beauty
743434	90183	Dulcinée
743435	189161	Béatrice Cassin
743436	78034	Internet cafe worker
743437	58130	
743438	21189	Irene, hans forlovede
743439	375338	
743440	236049	
743441	9879	Woman in Bar
743442	265568	Knight of Sobriety Barbie B
743443	116041	Tikgeit
743444	35690	Nurse
743444	383084	Manu Kaulukukui
743445	174748	
743445	339964	
743446	10208	Fru Ramberg
743446	101389	Johanne Volden
743446	130196	Fru Bjørn
743446	144061	Rosa Niehlsen
743446	166846	Nille
743446	180710	Fru Krane
743446	231273	Jordmoren
743446	293812	Dorothea, tjenestepike hos Ha
743446	304431	Hellemos kone
743446	315415	Maria Smehaugen
743446	341048	En tjenestejente
743446	353049	Fru Dahl
743447	353236	Hairdresser
743448	56545	Herself
743449	215603	Barbara
743450	385052	Alicia viuda de Lascano
743450	387807	Teresa
743450	396132	Claudia Egúsquiza
743450	396214	Graciela de Mendoza y Rivero
743450	396618	
743450	399620	Angela Markovich
743450	399943	Karen Ullmann
743450	405835	Laura Álvarez Calderón
743450	410108	Joanna López de Valente
743451	135074	Woman at bar #2
743452	217725	Marie-Rose
743453	104001	Rossella
743453	274892	
743453	280751	
743454	311427	Rosanna
743455	372597	Cook
743456	84691	La dame pipi
743456	101166	Secrétaire de Sweeney
743456	119038	Ginette's friend (segment "Vi
743456	120355	Thérèse
743456	120674	Carmen
743456	150082	
743456	167191	The turtle
743456	201140	La directrice d'école
743456	219442	Mme Maud
743456	248263	La tante de Mme Tiquet (segme
743456	254147	La directrice Pigier
743456	254520	Madame Giry
743456	261864	Madame Menange
743456	309773	Marthe
743456	336964	Léone
743456	345544	
743456	352930	Praskovia
743456	356973	
743456	379240	Lily Park
743456	384212	
743457	9394	Guranducht
743458	238480	Arzu
743458	265833	Azamet
743458	376070	
743458	384654	Gounay Marmaris
743459	28296	
743459	173854	
743460	248479	Oral/Aural Jo-Ann
743461	175446	
743461	182833	
743461	404388	
743462	12634	Yanola
743462	25607	
743462	38463	
743462	156205	
743462	173428	
743462	173567	
743462	173797	Emine
743462	173913	
743462	177880	Sabahat
743462	178413	
743462	182833	
743462	189057	Lale
743462	210956	Kadin
743462	212317	Necla
743462	232729	
743462	242337	
743462	254347	
743462	256984	
743462	295269	
743462	348990	
743462	349229	
743462	370772	
743462	370775	
743462	371554	
743463	86046	
743463	208478	Model
743463	257622	Host
743463	257623	Host
743464	321515	Featured Dancer
743465	405209	Mrs. Blakely (2000)
743466	305005	Selina
743467	269954	
743468	51989	Gymnist
743469	24429	Dancer
743469	24432	Felicity Dancer #3
743469	298076	Dancer
743470	8183	Archer maid
743470	85050	Maid
743471	332216	La vieille femme
743472	57338	Lola
743473	161148	
743474	329481	Child
743475	249871	
743476	301574	Tia Cristy
743477	140061	
743478	278597	Baarimyyjä
743478	322001	
743478	394641	Riia Karilo
743478	400690	
743479	392348	Mirja Korhonen
743480	142636	Petteri's Daughter
743480	181569	Aija, Masa's girlfriend
743480	255920	
743481	1888	Mateja
743482	48296	
743483	368224	
743484	40215	
743484	63318	Lena Bessolceva
743484	108985	
743484	124071	Großfürstin Katharina
743484	163143	
743484	190955	
743484	231171	Zvyozdochka
743484	231172	Zvyozdochka
743484	235920	Buratino
743484	313880	
743484	313881	
743484	313882	
743484	355850	Fike (future czarine Catherin
743485	47462	Lead Teacher
743485	116079	Teacher
743485	203161	Mrs. Meyer
743485	241692	(segment "Baby")
743485	282791	Andrew's mother
743485	346139	Hazel
743485	396378	Miss Clavel (1990-1992)
743486	375079	
743487	135440	
743488	88669	Magdusa
743489	225453	Headmistress of the foundatio
743490	68391	
743490	139815	
743490	208343	
743490	208396	Gladys Maxence
743490	208434	
743490	208452	
743490	345202	
743491	55617	Chica copiloto
743491	357187	Camerera Motel
743491	387119	
743492	230873	Punker in Car
743493	83561	Cheetah's Dancer
743494	47407	Pinja
743494	197374	Lumi
743494	392348	Suvi Hyrkäs (2001)
743494	409931	Louise
743495	349794	
743496	294160	
743497	326076	Társasági hölgy
743498	403	
743498	35938	Kutyás apáca
743498	74415	
743498	97985	
743498	98023	Tanárnõ
743498	102017	Varrónõ
743498	108913	
743498	110706	
743498	110915	
743498	138944	
743498	153678	
743498	153697	
743498	171629	
743498	182514	Tóthné
743498	198412	
743498	209842	
743498	225083	Jozefin
743498	322014	
743498	322017	
743498	322049	
743498	324096	
743498	377761	Veszekedõ asszony
743498	377818	
743498	377820	
743498	378042	
743500	397019	
743501	306278	Baby Snow White
743502	8021	
743503	143565	Group cast appearance
743503	362877	Themselves
743503	368660	Naked Playgirl
743505	119533	Donut shop lady
743505	188511	News Crew
743507	263255	Neighbor
743508	87504	
743508	87682	
743508	113559	Padrona Bar
743509	30582	Felons Cheerleader
743510	340009	Prima cercatrice (Suor Angeli
743511	3088	Mme Bolek
743511	6401	Claire
743511	25164	Sarah
743511	25778	Martine Connetti
743511	58322	Rita
743511	69968	Maroussia
743511	76128	Zoé
743511	91461	Maria Tosi
743511	97072	Jeanne Miller
743511	108361	Charlie
743511	111391	
743511	129665	Bichette
743511	136647	
743511	167195	Bernadette
743511	215053	Therese/Marinette
743511	225502	Marthe
743511	249072	(segment 2)
743511	263372	Picard
743511	266379	La fille
743511	318515	La fille délurée
743511	340343	Marie-Catherine
743511	340413	
743511	345209	Nicky
743511	384965	Lara
743513	5329	Natalie Steele
743513	209061	Credit Girl
743514	108355	Bronson
743514	120301	Script Girl
743514	337164	Woman in Park
743515	3943	Marlene
743515	107070	
743516	228169	Saloon Girl 2
743517	270135	Sariah Phelps
743518	46074	
743518	94181	
743519	345022	Une amie de la mère
743520	8580	Nuera
743520	12502	Maestra
743520	17290	Anica
743520	24372	María
743520	25793	Hermana 2
743520	27966	Merche
743520	52210	Ana
743520	55377	Carmina
743520	55996	Monja-Profesora
743520	60921	Lucía
743520	70312	
743520	70661	Ana
743520	74501	
743520	83135	Madre de María Martín pasado
743520	87808	
743520	100312	
743520	102440	
743520	103153	
743520	103499	Hermana Sandra
743520	146582	
743520	193316	
743520	215031	Berta
743520	231294	
743520	238106	
743520	269128	
743520	275084	Queen Isabel
743520	278905	
743520	286080	
743520	307630	Mother
743520	317697	
743520	324935	
743520	328209	Teresa de Ávila
743520	334699	Lolita
743520	348932	
743520	355915	
743520	355916	
743520	369748	Herself- Winner: Best New Act
743520	369754	Herself - Presenter: Best Art
743520	372950	Ana
743520	376810	Rubí
743520	380551	Isabel (2004-)
743520	384062	
743520	384773	
743520	400756	
743520	401188	Julia
743520	408418	Esther
743520	409881	
743521	293744	Moolerrey Reporter
743522	95140	Beryl
743522	270649	Herself
743522	302598	
743523	166360	
743524	14403	Marta
743524	123911	Greta
743525	9536	
743525	359589	
743525	373706	Mother Tokarska
743526	393419	
743526	396292	
743527	258881	Rachel
743528	239713	Iris Noonan
743529	329484	Senator's Mistress
743530	160146	Elise Gardet
743530	235926	
743530	258903	Julie
743531	115958	Girl Eva
743531	207059	
743531	225157	Engel
743531	248040	Sabine
743531	338400	
743532	309535	Latin Stripper
743533	231726	
743533	243659	Dancer, Stonor's friend
743533	248348	
743533	248349	
743533	322153	Rita Holm, singer
743533	369375	
743534	353637	
743535	275398	Allegra
743536	361224	Photoshop Staff Member #3
743537	198998	
743538	266019	Janina Chudzik 'Drabina'
743539	341165	Stolarska
743540	389677	Hostess
743541	379004	Colaboradora (2003-2004)
743541	408197	Tertuliana (2002)
743543	103992	
743543	189023	
743543	233760	Elisa
743543	251340	
743544	25793	Hermana 3
743544	58360	Tere
743544	70684	Chelo
743544	103152	
743544	106267	Monja
743544	146481	
743544	170054	Periodista
743544	189480	Lisa
743544	202296	Sandra
743544	219424	Policía Municipal
743544	221908	Bea
743544	306701	Empleada temporal
743544	307800	
743544	326121	Travesti
743544	333640	
743544	370062	Miss Julie
743544	410257	
743547	157662	Femme soirée de la cave
743548	303196	Family on platform
743549	243124	
743550	92072	(segment "Sarò tutta per te")
743550	228848	Balerina
743550	375234	
743551	20091	Verónica 'Vero' De Ricci
743551	65555	Sandra
743551	135279	
743551	378958	Lucía Peralta
743551	379853	Extra
743551	386127	Carmen
743551	387098	Verónica Iturbe Montalbán
743551	392751	Extra/Victoria
743551	394017	Antonia Guerrero (Kachorra) a
743551	398661	Milagros 'Mili' Esposito-Di C
743551	403366	Valeria García Méndez de Sale
743551	405236	Herself-Paquita-Winner (1993)
743553	171742	
743554	238324	Svetlanka
743555	178771	
743556	192245	Elena
743556	361237	Munira
743557	102591	Kippy Kovacs #2
743558	80750	
743558	291052	Courtesan
743559	233812	
743560	46251	Berta
743561	76115	Sandra
743562	293055	
743563	57560	Maid
743563	87432	Loose Linda
743564	18248	
743564	58312	Gost
743564	89492	Sluzavka
743564	136798	
743564	156895	Prva mama
743564	180699	Prodavacica cvijeca
743564	187854	Zena u telefonskoj govornici
743564	192905	
743564	221342	
743564	229079	
743564	229288	
743564	229745	
743564	232594	
743564	258776	
743564	259191	
743564	303625	
743564	312417	Gospoda Puhek
743564	323314	Tetka Lucija
743564	334049	Teta Mina
743564	338865	
743564	341335	Umirovljenica
743564	343819	Rose
743564	348909	
743564	351016	Meirina tetka I
743564	355551	Blagajnica
743564	357376	
743564	375323	Doktorova zena
743564	375354	Elina mama
743564	385147	Ministrova zena
743564	386538	
743564	394138	
743564	397410	Madame Piris
743564	405705	Uciteljica
743564	409878	
743565	167047	Woman
743566	287956	
743567	53666	
743567	83465	
743567	115741	
743567	225011	
743568	135807	Nurse
743569	385776	Úrsula
743570	307591	Soledad
743571	116537	Young Librarian
743571	195987	Mrs. Goodman
743571	311037	Doctor
743572	361224	Baywatch Casting Director #1
743573	282997	Clarice
743574	183220	
743575	26009	Baba
743575	59637	Elisabeth
743575	138353	Grace
743575	142870	Agnes
743575	152838	Roberta
743575	222751	
743575	230422	Joy
743575	273772	Lady Tenzer
743575	366961	
743575	387524	Great Aunt Caroline Priest
743575	387987	Mrs. Monaghan
743575	405073	Older Constance 'Connie' Coll
743576	74080	Herself (journalist)
743577	67527	
743578	376793	
743579	142949	Mall shopper #1
743580	142949	Mall shopper #2
743581	397302	Lidochka
743582	41063	Herself
743582	257651	Miss February
743582	257672	Herself
743582	257832	Miss June 1993
743582	257866	
743583	263256	
743584	118696	Örjelåt, Sture's grand-grand-
743585	14846	
743586	286200	
743587	80750	
743588	322342	Mujer del bar
743588	370096	
743589	204994	Edith
743590	27481	Mother
743590	79982	Pari
743591	86840	
743592	82208	
743592	100620	
743592	174821	Marta Papastathi
743592	208411	Dispatcher/Doctor/Female Offi
743592	327595	Yvonne
743592	379437	Popi
743592	385536	
743592	386403	
743592	387477	
743592	392005	
743592	396360	
743592	397729	
743592	403251	Amalia
743592	408912	Erasmia
743592	410360	
743593	82411	
743594	19879	Innkeeper's wife
743594	25301	
743594	37825	Linda
743594	44404	
743594	56079	Lion Tamer
743594	57301	Zuela
743594	66064	
743594	67933	
743594	77468	Adriana
743594	89572	
743594	94811	Maruzza
743594	102399	Delilah
743594	106250	Carla (episode "La doccia")
743594	117975	Jacinta
743594	127590	Queen Texen
743594	131985	Luana
743594	135153	Un'ausiliaria
743594	187448	Camilla, Queen of the Vulga
743594	199044	
743594	215897	
743594	220192	L'avvocato difensore
743594	222201	Amilore
743594	229387	Merith
743594	235365	Attilia (segment "Il Marito d
743594	256649	Anna del Peru
743594	265462	Albertina
743594	272980	
743594	301375	Titì
743594	325060	Helga
743594	328627	Jolanda
743594	333662	
743594	376667	
743595	14953	
743595	20390	
743595	56079	Santina
743595	57255	Bestia Assatanata
743595	60120	
743595	67835	Taide
743595	88205	Marisa Ciorcioli
743595	92929	
743595	94666	Marzia
743595	94676	Rosalia
743595	94677	
743595	94679	Claudette
743595	94714	
743595	102400	
743595	102622	Ura
743595	112680	
743595	118598	Carolina
743595	156692	
743595	158718	Poppaea
743595	163739	
743595	177768	Herself
743595	199075	
743595	217769	Suor Virginia, la monaca di M
743595	262672	Malina
743595	265513	Mirka
743595	273150	Grenda
743595	279257	Artamnis
743595	279913	
743595	309401	Naufraga
743595	316520	Adelaide
743595	332241	
743595	336597	
743595	336604	Ottavia
743595	339806	Pasiphae, the witch
743595	348731	Attea
743595	348734	Attea
743595	349532	
743595	351579	Jana
743595	375884	Malva
743596	127971	
743597	212276	Paula, his wife
743598	355036	Iris Ligon
743599	107333	Destiny Rutt
743599	230444	Liza
743599	355036	Summer Ipswitch
743600	125166	Geierwally
743600	156651	
743600	176561	
743600	178536	
743600	325467	
743600	325613	Frau Kalmbach
743600	374622	Giovanna
743600	380392	Lisa
743601	46006	La vendeuse country
743602	337047	
743603	342151	
743603	371005	
743604	27191	
743605	411513	Caroline
743606	53685	
743606	55001	
743607	126346	
743608	381233	Herself (dancer) (1980)
743609	348194	
743610	192708	
743611	182527	Jo Hegglin
743611	182528	Daktari Jo
743611	182529	Magnolia
743611	352505	Schwester Johanna
743611	376380	Maria
743612	34040	
743612	249730	
743613	44495	Claire Tate
743613	144681	Tourist
743613	248097	Angie Warner
743613	299070	Girl in Canteen
743613	312939	Anya Larina
743613	327240	Lucy
743613	339573	Leslie Graham
743613	342799	Young Ana
743614	34075	Soprano
743614	216344	Aspasia
743615	102834	Herself (exotic dancer)
743616	74432	
743617	76050	
743618	83330	Meryem
743618	100269	
743618	100271	
743618	161151	
743618	173782	
743618	182821	Sükran
743618	199615	
743618	211654	
743618	238852	
743618	251889	
743618	265833	Sahane
743618	295527	
743618	349223	
743618	357596	
743618	371882	Emine
743618	371891	
743618	371961	
743618	394922	Elif Ana
743619	382135	
743620	12319	Factory and Boardwalk
743621	118109	Thérèse
743622	13224	Mother Superior
743623	3355	
743623	101219	La concierge
743623	354930	Le professeur Mayence
743624	63890	
743625	63890	
743626	389	
743628	396649	
743629	5149	Velvet
743630	15302	
743630	20696	
743630	53851	Maria Clódia
743630	53853	Mariana
743630	57453	
743630	66076	
743630	69113	Conchita
743630	98801	
743630	99677	
743630	159014	
743630	167076	Maria de Góes
743630	184299	
743630	189087	
743630	196776	Gypsy Singer
743630	210944	
743630	246853	
743630	249042	
743630	284575	Vanja
743630	287887	
743630	293332	
743630	328155	
743630	366079	
743630	370390	
743630	388450	Bá
743630	407800	
743631	401026	
743632	278904	
743632	353872	Herself
743633	168061	Fujimura's wife
743633	359830	
743634	385465	Emerald
743635	385465	Sapphire
743636	246383	Angela
743637	51522	
743638	240349	
743639	148647	Perfume Saleswoman
743640	18704	Mitaka Arisa
743640	38823	Sayaka Kitaouji
743640	63704	Mirai
743640	113780	Young Mars
743640	122108	Chesha Cat
743640	123113	Pfizer
743640	172089	On'na Katse
743640	177084	Michi
743640	179108	C Seagull
743640	182026	Hayabusa
743640	204971	Dain
743640	257982	Rian (original Japanese versi
743640	285921	Ayame Fujieda
743640	285922	Ayame Fujieda
743640	285923	Kaede Fujieda
743640	289314	Linlin
743640	298956	Quatre Winner
743640	298966	Gene
743640	316626	Rose
743640	327801	Ryoko
743640	327802	Ryoko (Japanese cast member)
743640	327803	Ryoko
743640	327804	Ryoko/Zero
743640	328012	Alexiel
743640	350723	Clair (Japanese version)
743640	373387	Sachiko
743640	380473	Ryoko Takeuchi
743640	380725	Mirei Morita
743640	381034	Miisha
743640	381166	Max
743640	381401	Yumiko Karashima
743640	390537	Touma Seguchi
743640	390964	Ken
743640	392964	Jakotsu
743640	394164	Kurosaten
743640	394392	Timothy Constance
743640	394423	Al's Mother
743640	394428	Fara Griffon
743640	394997	Dr. Reiko Amagi
743640	396497	Ryôko
743640	397196	Solude
743640	397520	Ginko
743640	401393	Aun's Sister (Japanese versio
743640	404062	Baikou
743640	404230	Pururun (original Japanese ve
743640	405140	Quatre Raberba Winner (Japane
743640	405146	Ryouko
743640	405215	Cedie
743640	405278	Kanae Ohtori
743640	407389	Suna
743640	407829	Ryoko
743640	410258	Donna
743640	411883	Kuwabara, Shizuru
743641	177754	Rinko Nikaidô
743641	294163	Chiyoko Fujiwara (10-20's)
743641	310150	Nana
743641	384133	Yuzuki
743641	390730	Azusa Fuyutsuki
743641	391337	Seras Victoria
743641	392430	Seiko Kasuganomichi
743641	402790	Kim Hotaru
743641	404133	Chise
743641	406887	Pacifica Casull
743641	409831	Meia Gisborn (Japanese Cast)
743642	125240	Kanon
743642	383107	Saki Yoshizawa
743642	385982	Ruki Makino
743642	394521	Rinko Nikaidô
743642	397843	Timerobotto
743642	399405	Chiaki Komatsu
743644	61819	Debbie
743644	117061	Anastasia
743644	151365	Kelly
743644	304285	
743645	12210	Lorenza
743645	34150	Lenni
743645	123176	Martina
743645	135289	Sballestrera
743645	245801	Lisa
743645	255870	
743645	344589	Arianna
743646	243307	
743646	295136	
743647	185684	Mirra
743648	137449	Baby Julian
743649	137449	Baby Julian
743650	266897	Carmen
743650	281219	Campesino
743651	191098	Dancer 'Eat the Music'
743651	292779	Uneasy Woman
743651	410060	Dancer
743652	51978	Janet Cooper
743652	252053	
743652	379252	
743653	58141	
743654	296442	
743654	379000	
743654	387700	
743654	388567	Rosario
743654	395373	Zuleima
743655	300827	Cabaratera 2
743656	117483	Tourist
743657	64070	Ensemble
743658	191826	Woman on beach
743659	177897	Lahja Helpi
743659	182504	Irma's daughter
743659	213375	Virve as a child
743660	349225	
743661	99528	
743662	48569	Camp Hostess
743662	241592	Nina
743662	363288	Singer
743663	4785	Frau Hamel
743663	24126	
743663	35499	
743663	40358	
743663	40764	
743663	93728	
743663	99528	
743663	114028	
743663	122603	
743663	124994	Resi Kellnerin
743663	137407	The Half-Caste
743663	147257	
743663	159620	
743663	180903	
743663	186940	
743663	193289	
743663	223229	
743663	227785	
743663	241968	
743663	249106	
743663	311213	Lio Sha
743663	311214	Lio Sha
743663	315175	
743664	335689	Child
743665	335689	Woman at Car Wash
743666	335689	Child
743667	42148	Mrs. Scanlon
743667	54878	
743667	104386	Miss Stimpson
743667	141681	The Widow
743667	149177	The Mother
743667	153182	
743667	191804	Mrs. Skaggs, The Cranky Aunty
743668	47941	
743669	168772	Mrs. Webster
743670	13410	Anitra's Mother
743670	243651	Herself
743670	371093	
743671	344534	Herself
743672	178560	
743672	317661	
743673	243204	Trixie
743674	286418	Daughter
743675	327098	
743676	59635	
743676	269693	Madame Ferrer
743676	345032	Catherine
743677	43715	
743677	73416	Susan
743677	140832	Dalia
743677	224430	Florida de leon
743677	252925	Italian Diplomat
743677	362124	Nikki
743677	390498	Infermirra Antonio
743678	151892	Femme de l'homme au chien
743678	156297	L'infirmière
743679	4599	Signora Courier
743679	11627	
743679	52087	
743679	56029	La madre di Anna
743679	71108	
743679	75260	Claretta
743679	90973	Agnes Reed, la direttrice
743679	94647	Clara Palozzi
743679	106803	La zia
743679	108723	
743679	109099	Evelina
743679	127888	Carlotta Spatary
743679	129131	
743679	159618	Madre di Anna
743679	188599	Laura Conforto
743679	198903	
743679	205705	
743679	207752	
743679	217914	
743679	235752	Ersilia
743679	270034	
743679	276615	
743679	294634	
743679	301381	La moglie del professore
743679	338318	
743679	351854	
743679	356144	
743680	101451	Singer at the nightclub
743681	270971	Woman in cab
743682	24141	
743684	131372	Soap Opera Girl/Outsider
743685	199362	Madame Peloponnèse
743686	203263	Woman
743687	91523	Mother
743688	47800	Danny's Girlfriend
743689	345526	
743690	129833	
743691	251136	
743691	251604	
743692	288455	Monica
743693	354765	Interviewee
743694	61985	Simone
743695	164786	Little girl in gym class
743697	216234	Peasant Child with Jean's Sis
743699	6219	Woman in supermarket
743700	108472	
743701	71346	Pxana
743702	210379	
743703	231718	Herself
743704	184341	Lana
743705	375439	
743706	82155	
743707	320624	Sporedan lik
743708	319568	Party Guest
743709	115401	Bibban
743710	386065	
743711	407084	Herself (Yasur Tribe)
743712	109454	New Tenant
743713	349364	
743714	109264	Turista 1
743715	55961	
743716	46698	Dancer in Pink Bikini
743716	146784	
743716	183794	
743716	195310	
743716	224287	Parlor Maid
743717	235934	
743718	186384	Maid
743719	228761	Secretaria Pte. Tribunal
743719	379879	Vendedora
743720	23242	Ingigerd
743721	174272	
743723	14563	
743723	263658	
743723	341238	Gloriya Rozetti, an air-gymna
743723	349077	
743723	352805	
743723	374255	Betti
743724	125658	
743725	82489	
743725	96858	Various roles
743725	179722	
743725	179805	Ludmilla Ivanovna Glinka
743725	198147	Herself
743725	223238	Tatanya Platonova
743725	243986	Kseniya Lebedeva
743725	253960	Grushen'ka
743725	304253	Lira
743725	320668	Tanya Morozova
743725	341236	Mary (Marion Dixon)
743725	352813	Prof. Irina Petrovna Nikitina
743725	352873	Anyuta
743725	356526	'Strelka' Petrova
743725	357445	Janet Sherwood, journalist
743726	12815	
743726	310472	
743727	35934	
743727	396236	
743727	404218	
743728	243756	
743728	250547	
743728	314748	Irène
743729	113644	Alyonushka
743729	173950	
743729	176137	
743729	178727	(segment Klinika)
743729	187019	Snegurochka
743729	187382	
743729	188524	
743729	220690	
743729	229023	
743729	244477	
743729	258613	
743729	261369	
743729	264323	
743729	305799	
743729	324336	
743729	343983	Nina
743729	344008	
743729	350975	
743729	356598	
743729	357202	
743729	371893	
743729	373723	
743729	374751	
743730	155997	
743731	40871	Leza Karaseva
743731	84414	Vera Petrovna
743731	95578	
743731	104429	Director of studies
743731	163891	Polina, waitress
743731	178821	
743731	179318	
743731	180380	
743731	180430	Pussy-cat
743731	273073	
743731	289868	
743731	307311	Polina, waitress
743731	350731	
743731	356866	
743731	370140	
743731	370186	Mother
743731	378720	Yelena Stanislavovna
743732	7269	Masha
743732	16369	
743732	16993	
743732	134185	
743732	171341	
743732	232670	Dasha
743732	244727	
743732	255778	Lisa
743732	265654	
743732	266011	
743732	267201	Muse
743732	288484	
743732	341187	
743732	356083	
743733	355555	
743734	349353	
743735	234260	Ceca
743735	236049	
743735	243578	
743735	296047	Konobarica
743735	328708	
743735	382431	
743735	397530	Devojka
743736	366268	Schlankes Reh [Slender Deer]
743737	191579	
743737	339283	
743738	351374	
743739	354317	
743740	319706	Kitchen staff
743741	26914	
743741	118578	
743741	118579	
743741	118580	
743741	242071	
743741	353767	
743742	51333	Runaway Girl
743743	139468	
743744	246299	Pilar
743745	161997	
743745	375079	
743746	26153	Girl/Une fille
743746	68702	La soeur de René Cabourg
743746	96052	
743746	98404	
743746	132984	Madame Gosseran
743746	169227	La prostituée
743746	169286	La baronne
743746	183735	Blonde girl
743746	217213	La voisine de Bénéchol
743746	232083	Otto's Wife
743746	261609	Rose Compardon
743746	286048	
743746	333614	Bianca Castafiore
743746	345154	Julie
743746	353941	Concierge
743746	401972	Rose
743747	106072	Irmela
743747	126446	Kommissarin Monika Thiele
743747	156633	Carola Jaschke
743747	185854	Rose
743747	225264	Marianne Klein
743747	286236	Stationsärztin
743747	308824	Pionierleiterin
743747	325691	
743747	347637	
743747	356879	
743747	394608	Frau Ciupka
743748	88412	Nurse
743748	270037	Nigidia
743748	394585	Barbara Milecka (2001-)
743748	408826	Michalina Cwilecka
743749	86334	(segment "Non ammazzare")
743749	215332	Eponine
743749	301381	Un' altra figlia del professo
743749	336623	
743750	375694	Bunny
743751	2275	Herself
743751	320437	Hostess
743751	407112	Hostess
743752	119234	Telephone Girl
743753	147177	
743754	334014	
743755	37682	Bistro Patron
743756	308928	
743757	360145	Allellee Zillah
743758	96314	
743759	218570	
743760	323039	Helen
743761	182526	Feklusa
743761	271614	Mother Goose
743761	368747	Margaret
743762	126068	Jean Moriston
743763	317942	Square Dancer
743764	197701	
743765	17168	Jessie
743765	26392	The Daughter
743765	34683	Nora Fanshawe
743765	54657	Rachel Clifford
743765	87183	Herself
743765	114152	Guinevere
743765	162364	Inez Millholland
743765	187418	Susannah Fincannon Ludlow
743765	228917	Edith Hahn
743765	235352	Marie
743765	243146	Herself
743765	263782	Caitlin Carlson
743765	276251	Claire
743765	284932	Sabrina Fairchild
743765	291971	Herself
743765	300810	Jane Callahan
743765	305612	Smilla Jasperson
743765	312939	Nadya Alliluyeva
743765	350622	Miriam Davenport
743765	372504	Catherine
743765	383376	
743765	408704	Caroline Lithgow
743766	134396	
743766	257967	
743767	147646	Constance
743768	80564	Linda
743769	203999	Principal
743770	130988	Goldi
743771	111056	
743772	118722	Booking Clerk
743773	368485	
743774	214925	Penelope Gullett
743775	230869	Lynne
743776	61830	Anya
743776	81335	Cathy Brooks
743776	332011	
743777	81898	Hooker #1
743778	264054	Mrs. Byron
743779	11549	
743779	316140	Groupie
743780	61778	
743781	392158	Co-Host
743782	78921	Rachel Harris
743782	158582	Liz
743782	362380	Girl on Boat
743782	384483	Alison
743784	341208	
743785	294401	
743786	29916	Tracy
743786	170434	Herself
743786	396076	Herself (interviewed)
743787	379890	Sor Maria
743787	381839	Juanita
743787	383519	
743787	403741	Caridad
743788	63823	Vizinha do Paraíba
743788	74152	Petra Antióquia
743788	112764	
743788	212033	
743788	400670	
743789	346016	Inmate
743790	141965	Judy Holland
743791	405302	Host (1994-95)
743792	257673	Additional Talent
743793	105472	
743794	79049	Vampire
743795	79049	Vampire
743797	225340	
743798	187148	Herself
743799	309341	woman
743799	315549	Shop assistant
743799	326127	Office Girl
743800	79133	
743801	214078	Mrs. Henderson
743802	41368	Su's Fighter #3
743802	192536	Pinchon
743803	293353	
743804	25065	
743804	108841	
743804	145531	
743804	198919	
743804	294878	
743805	270975	Randy
743806	391611	Eva
743807	12815	Neighbor
743807	286753	Louhi
743808	129113	Red Headed (Sex Addict)
743809	377464	Valeria's mother
743810	408313	
743811	28955	Vecina #1
743812	286228	Lola
743813	199194	Mechanic
743814	357191	
743815	342118	Assistente camera operatoria
743816	3958	
743816	8547	Liliam
743816	9309	
743816	13525	
743816	28243	
743816	30727	
743816	30866	
743816	31420	
743816	32559	
743816	48522	
743816	49151	Azun
743816	49885	Betty
743816	51986	Chinh
743816	53203	
743816	77073	
743816	103580	
743816	103774	Sandra Salgado
743816	122184	Huntress
743816	123937	
743816	148428	Mrs. Edades
743816	152171	Clara
743816	152421	Kapitana
743816	152423	
743816	162112	
743816	162639	
743816	172306	
743816	173685	
743816	174018	
743816	174915	
743816	175664	
743816	176973	Lagring San Miguel
743816	184213	Nipsie
743816	185800	Mrs. Orozco
743816	197344	
743816	200009	
743816	200591	
743816	200664	
743816	202714	
743816	205686	
743816	207047	Antonette
743816	213776	
743816	216014	
743816	216015	Melody
743816	232976	Lotus
743816	236738	
743816	246557	
743816	246938	
743816	256099	
743816	284678	Rosa
743816	294311	Pia
743816	325965	Minda
743816	344199	
743816	387832	Sandra Salgado
743816	404246	Victoria Altamonte
743817	375847	Pachura vocalist #2
743818	321320	
743819	59788	
743819	294071	
743820	112043	
743820	265460	
743821	11533	Woman In The Bar
743821	135843	FBI Agent
743821	147966	Screaming Blonde Woman
743821	200521	Bride
743823	85164	
743824	107021	
743824	377782	A lány
743825	349627	
743826	64744	Announcer
743826	272530	Lady #4
743826	377821	
743827	349794	Girl at party
743827	400940	Zsófi, the new neighbour (200
743828	52386	Pincérnõ
743828	111313	Parfümbolti eladó
743829	9454	
743829	76531	Elza
743829	108071	
743829	284355	
743829	394559	
743829	399860	
743829	407236	Helga Németh (1994-1996)
743830	110700	
743831	1117	Rózsáné
743831	98015	Mária néni
743831	149611	Mother of Karesz
743831	182692	
743831	183280	
743831	187201	Franciska
743831	199873	Az édesanya
743831	201967	Makra anyja
743831	322011	Blúzné
743832	368737	
743833	19678	
743833	96433	Szubrett
743834	46568	Newscaster
743834	200613	Toldi's wife
743834	229574	
743834	349794	Timi
743834	393994	Mari
743834	394978	Orsi, Magda's and Dezsõ's dau
743834	407234	Brigi
743835	322378	
743836	64164	Lecturer
743837	287414	
743838	99792	
743839	17290	Gris
743839	193483	Marga
743839	212402	
743840	353240	Mujer #2
743841	193157	Pedro's Girlfriend
743842	29828	
743842	55086	
743842	83486	
743842	90450	Monja
743842	193334	
743842	236474	
743842	250892	Merce
743842	257908	
743842	286315	
743842	354785	
743843	387275	Beatriz Aurora 'Betty' Pinzon
743843	401258	Verónica Murillo
743843	401975	Magdalena Ahumada
743843	408205	
743843	411714	Beatriz Aurora 'Betty' Pinzón
743844	8142	
743845	243448	
743846	329276	
743847	249551	Maria
743847	351704	Danielle Pinero
743848	356486	
743849	68968	
743849	356671	
743849	379559	Jovita
743849	383827	Eduviges
743849	384655	
743849	387479	Carmen
743849	397579	Catalina
743849	403690	Juana
743849	408846	
743850	326223	Elvia
743851	215499	Julita
743852	395373	América
743852	398662	Laura
743853	344467	
743854	349471	
743854	401690	Juanita
743855	81542	Lisa
743855	186745	Mei-Lin
743856	18761	
743856	30389	Susi, Javi's sister
743856	36507	Sofía
743856	59990	Lola
743856	83486	
743856	108070	Glòria
743856	149128	
743856	158847	Violeta
743856	181348	Elena
743856	236465	Herself
743856	250892	Sara
743856	369754	Herself - Winner: Best New Ac
743856	369870	Herself - Presenter: Best New
743856	397847	Pilar/Maria
743856	402876	
743856	403745	Soledat
743857	2143	Circus Fat Lady
743857	55550	Fat Woman
743858	70670	
743858	165584	Erendira
743858	207754	
743858	212241	
743859	64050	Mirna
743860	349664	Gloria
743861	14693	Gloria
743861	77246	
743861	80338	Denise
743861	139898	As herself
743861	222032	Chayo
743861	237806	Alicia Villalobos
743861	252764	Lilly
743861	265515	Coral Fabre
743861	287839	Vicenta Cortés
743861	301657	Ana-Francisca
743861	322395	Mrs. Dolores
743861	353557	Waitress
743861	376172	Mrs. Mendoza
743861	383564	Narcisa Olmedo
743862	96373	Ruth
743863	42910	(segment "La Venus virtual")
743863	379668	Alicia Cardona
743863	389233	Magdalena Rivera (1999-2001)
743863	393023	Isabel Vargas
743863	395332	Laura Servantes
743863	396392	Lucía Suárez Caicedo
743863	399625	Katia Lopera
743863	400067	Vainilla
743864	73472	Helene
743864	134617	Cécile
743864	346642	Noemie
743865	134515	Bobby's Mother
743865	134521	Cameo Appearance
743866	31209	American wife
743866	74213	
743866	142387	Mrs. Eunice Weinhardt
743866	340969	Mrs. Maguire
743866	359486	
743867	241484	Leanne
743868	41105	Sgt. Betty Jane McDermott
743869	11451	Little Girl
743869	55675	Carrie
743869	58628	Guest Singer
743869	61614	Shirley Temple
743869	154715	Lucy Van Pelt
743869	274268	Ashley #1
743869	355543	Narrator
743869	386772	Vocal Artist Christmas 2002
743870	323866	Darva
743870	380654	Linda Sobek
743870	396232	Baywatch Babe
743871	168776	Theta #2
743872	23699	
743872	100677	Voice
743872	138583	Elisa
743872	190440	
743872	244234	
743872	277705	
743872	277706	
743872	347077	Toby/Young Spinx
743872	379168	Additional Voices
743872	379344	Kiwi Kids/Queen of the Crown
743872	379913	Additional Voices
743872	393652	Zenz/Zina
743872	396482	Trixie/Sprytle/Mom Racer/Addi
743872	396889	Marine Boy/Neptina/Clicli/All
743872	399926	
743872	401072	Wanda Raccoon/Shirley Duck/Ge
743872	402174	Witch
743872	406382	Nova Forrester/Queen Mariposa
743872	409398	Voices
743873	337115	Dispatcher
743874	132572	
743875	49396	Rollerblade Girl
743875	267105	
743876	204747	Kaye
743877	364860	Wife
743879	67481	Diamanda Wolfsblut
743879	161163	
743879	317903	Daughter
743880	346904	Waitress
743881	267684	French Woman
743882	93074	Woman at ATM
743882	204747	Patty
743883	188968	Cheshire Cat
743884	365559	Central Player
743885	330376	Mrs. Smither
743886	246012	Jordan
743886	250641	Meagan
743886	267503	Silver (at age 4)
743887	315480	Stork's mother
743887	385299	Mrs. Bullock
743887	385781	Mrs. Crupp
743888	15925	Janet
743889	255697	Saleslady
743890	328260	Shelley
743891	52005	Alice Lacey
743891	52007	Alice Lacey
743891	52008	Alice Lacey
743891	72654	
743891	72655	
743891	72656	
743891	211753	Jenny
743891	235441	Christy Worth
743891	379893	Misty Raines (2000-2002)
743891	386936	Rina
743891	403280	Betsy Allen
743891	410959	Chloe
743892	131636	Darcy Pringle
743893	83099	Sally
743894	77676	Salsa Club Dancer
743895	35451	
743895	383780	Victoria Grebe
743896	165417	Halley
743897	404613	Meredith Hartford (1977-1978)
743898	80695	Dancer in Nightclub
743899	262726	
743900	120085	Narrator
743900	212270	
743901	349928	
743902	363488	Nikki
743903	247272	Pamela Bucklin
743904	384908	Luisa d'Armilly
743905	64458	Denise
743906	249107	Clara
743907	267355	Herta
743908	89462	Lieske Pulder
743908	124939	Hetty Andersen
743908	352032	Agnes Stam
743908	357381	
743909	104545	
743909	175327	Maija-Liisa
743909	175689	Impi
743909	181754	
743909	182370	Anna
743909	182504	Elle Relander
743909	184780	Woman in a circus
743909	253075	Woman in a party
743909	258847	Kirsti Uitto
743909	260623	Sointu Järvinen
743909	321925	Satu
743909	321999	Society woman
743909	341559	Villager
743910	59885	Ad Executive
743910	194332	Secret Agent Shopper
743910	276869	Dancer
743910	309546	Bloody Student
743910	345857	Back-Up Singer
743911	281618	Pescadera
743912	411245	Marjorie (Episode 2: Just Fri
743913	141164	Woman at audition
743913	181834	Mrs. Herb
743913	199475	Wife at Car Lot
743913	250514	Receptionist
743913	305435	Purgoyle and Dozit
743913	307975	Teller
743913	333840	Female Announcer
743914	93355	Narrator
743915	321953	Ninang
743916	234966	Secretary
743917	321953	Ninang
743918	180101	Office staff
743919	23105	Mimi
743919	43423	La vendeuse de chapeaux
743919	43625	Ingrid Bermouthe
743919	100176	La postière
743919	100469	Trocadero manager
743919	101184	Vanina
743919	286042	
743919	337019	Solène
743919	345253	La Veillee Actress
743919	410074	La gardienne
743920	328891	
743921	44685	
743922	40795	Cleaning Woman
743922	201311	Adelina Girardi
743922	218848	Woman in Hair Salon
743922	253021	Woman #2
743923	75933	Vera
743923	279071	Marianne
743923	308844	Tilde
743923	325970	Girl by Pool
743923	341107	Helga Rollin
743923	352503	
743924	38484	Nermin
743924	178411	
743924	373275	Bacim Sultan
743925	199466	Hilda, Cook #2
743925	313320	
743926	28857	
743927	9744	Rithi
743928	402302	
743929	330204	Herself (rescuer, France)
743930	23429	Frannie
743930	23430	Frannie
743930	45825	Steph
743930	72418	Sunny
743930	194695	
743930	300361	Prostitute
743931	110170	Gina
743931	387084	Amanda Phillips (1988-1989)
743932	110170	Hannah
743932	121864	Little Girl
743932	253820	Dena Yeagher
743932	395548	Zoe (1990-1991)
743933	222146	
743933	389714	Herself - Cheats and Codes Se
743934	387279	The Prodigette (2000)
743934	388101	Prodigette (2000)
743935	96500	Signora incidente
743935	328891	
743936	378738	Fabiana
743936	379001	Patita
743936	379648	Francisca Steinlein
743936	398806	
743936	408180	Aurora
743938	133171	
743939	63884	Maria Goretti
743939	296470	Lúcia
743940	19260	Cinzia
743940	247066	
743940	277811	Lucia
743941	87712	Doris (Fantasy Woman)
743941	124184	Dr. Christina Durant (lead)
743941	267350	Maclain
743943	389480	Amanda Cervantes
743944	338927	Claire
743945	159546	Herself
743946	8241	Diane Fletcher
743946	97390	Diane
743946	134205	Julie
743946	216242	Marie
743946	222963	Catherine Tanguay
743946	276523	Suzie Lambert
743946	304747	Jane Conroy
743946	336948	Suzie Lambert
743946	382196	Emilie Bordeleau
743946	383664	Anne
743946	386079	
743946	386080	Karen Durelle
743946	387058	Sara Alvaro
743946	388690	Emilie Bordeleau
743946	395093	Suzie Lambert
743946	395094	Suzie Lambert
743946	395095	Suzie Lambert
743946	395096	Suzie Lambert
743946	395097	Suzie Lambert
743946	395158	Karen Durelle
743946	400384	Sophie Laflamme
743946	400386	Corinne Martinelli
743946	405099	Shehaweh
743946	409677	Dr. Michele Imbeault
743947	6575	
743947	29669	Suicide Girl
743947	82721	
743947	296518	Maria Coronel
743947	307337	Camilla
743947	328056	
743947	342140	
743947	348736	Kato
743948	90756	
743949	115375	
743949	186218	MMe Agnel
743950	254621	Schoolgirl
743951	340460	
743953	293338	Padrona della Pensione Primav
743954	92027	
743955	43432	Don Calo's Wife
743956	124860	Kuriata's Mother
743956	165032	Radio Editor
743956	184200	Mrs. Meliton
743956	258664	Older Waitress Zuzia
743956	275250	Duegna
743956	282762	Cousin
743956	282768	Zofia Kaliszewska, Joanna's M
743956	287097	
743956	324315	Wieslawa's Mother
743956	341070	Marysia Majchrowska (segment 
743956	369010	Mrs. Bove
743957	35025	
743957	96008	
743957	120133	
743957	126474	
743957	316810	
743958	244176	Marta Bartosová
743959	1886	
743959	6314	
743959	26683	Signora Ardizzone
743959	52003	
743959	68140	madre di Stefania
743959	86064	Mrs. Dozza
743959	125859	
743959	127948	Eileen (Judge Cutchell's daug
743959	153807	Giovanella Cordell
743959	158861	
743959	162038	
743959	162040	
743959	183497	
743959	187197	
743959	197058	
743959	219825	
743959	224022	Woman in Siena
743959	227963	
743959	243302	Signora
743959	252413	
743959	269075	
743959	269632	
743959	286295	Marilena
743959	302532	
743959	314535	Linda
743959	348153	Marie
743959	355624	
743959	376411	Marcella
743959	399651	
743960	36473	Sam's wife
743960	125859	
743960	127376	
743961	253228	Math Teacher
743962	56929	Zia Adelina
743962	356658	
743963	35059	Sára, a cigányasszony
743963	48670	
743963	74455	Magyar néni
743963	95162	
743963	96387	
743963	103033	Huberné
743963	108913	
743963	122131	
743963	122230	Gyuri anyja
743963	122387	Adminisztrátornõ
743963	136403	Barlane
743963	136600	
743963	138274	
743963	138944	
743963	141866	Jagoda,az eszelõs öregasszony
743963	153679	Primuszné
743963	155614	
743963	156028	
743963	165562	
743963	175466	
743963	175635	Szilvi néni
743963	182648	Baloghné,parasztasszony
743963	182879	
743963	193338	Tanárnõ
743963	199118	Házmesterné
743963	229465	Keresztesné
743963	229481	Ács mama
743963	248214	Elvira
743963	268428	Árvaházi tanárnõ
743963	268429	
743963	288119	Cigányasszony
743963	293990	
743963	322014	Oraveczné
743963	322069	Gergelits sógornõje
743963	322080	Irén
743963	324708	
743963	326980	
743963	333123	
743963	343633	
743963	343751	István anyja
743963	377123	
743963	377144	Nagymama
743963	387360	Özvegy Padosné
743963	412290	Vilma néni (ep.3)
743964	336619	Herself
743965	150973	Judy
743965	215829	
743966	185648	Hysterical Woman
743966	289265	
743967	283045	La femme blanche
743968	16221	Frau Krug
743968	21403	
743968	234825	
743968	290180	
743968	290194	
743969	180634	
743970	184104	Cassie/The Laker Girls
743971	28198	
743971	300099	
743972	387572	Esther
743972	400942	
743973	391359	
743974	383684	Asunción Chávez
743974	386162	Lucrecia
743974	387101	Alma
743974	387621	Bernarda Jiménez
743974	393028	Rosario Linares
743974	398218	Montserrat Prado
743974	398453	
743974	402136	
743974	402711	
743974	404181	
743975	257459	Old Woman
743976	28089	Chiqui
743976	182233	Jill
743976	204603	Yna
743976	384447	Mimi
743976	390873	Donna
743977	65892	Dalisay
743978	14789	
743978	19463	
743978	27981	
743978	52601	
743978	54091	
743978	96341	
743978	100414	Hanneh
743978	148110	
743978	204644	Esposa de Gurriato
743978	226438	
743978	318016	
743978	322400	
743979	90099	
743980	12148	María
743981	12148	Joaquina
743982	54351	
743982	127601	
743982	145271	
743982	281787	
743983	380795	Cristal
743983	397572	Laura
743984	346016	Inmate
743985	149911	Nurse Teresa Campanella (Thir
743985	247567	Irene
743986	13531	Hispanic Woman
743986	117266	Carmen
743986	132247	Mrs. Reyna
743986	183590	Houseperson
743986	214123	Neighbor
743987	221555	
743988	75361	
743989	233539	Camarera
743990	18694	
743990	43581	
743990	57453	
743990	68574	
743990	97856	
743990	237936	
743990	252591	
743990	284966	(segment "Vitamina C na Cama"
743990	341133	
743991	104168	
743991	136967	
743991	234393	
743991	338869	
743992	91297	Parishioner 4
743993	336265	Putilla
743993	336267	Estudiante pescadería
743994	235998	Amiga de la nana
743994	379820	Juanita (1999)
743994	386126	
743994	395885	Venus
743994	396211	
743994	397018	
743994	397019	
743994	402540	
743994	405398	
743994	410450	Manuela Díaz (18 años)
743995	244636	Dancer 1
743996	17820	Corinne
743996	101235	
743996	319914	La Députée
743997	145420	
743998	135283	
743999	309525	Stacey
744000	286228	Aunt
744001	133743	Dancing Biker Girl
744002	254414	Background Player
744003	100385	
744004	41282	Molly
744005	176900	Suki
744005	247559	Rachel
744006	14817	Pili
744006	377581	Marta
744007	85482	Mercedes Garcia
744008	113249	
744008	205752	SOS-Amitié delegate
744009	377621	
744010	5294	
744010	66600	
744010	94898	
744010	100043	
744010	124516	
744010	172967	
744010	232044	Serafica
744010	284673	
744010	381380	Lady Godiva
744011	371757	
744012	36667	Restaurant Client
744012	49431	Lauro's friend
744013	13905	Anne
744013	76254	Hockey Fan
744013	201327	Extra
744014	320368	
744016	20625	Extra
744016	64435	
744016	121270	
744016	193077	
744016	278422	
744017	227728	
744018	1859	
744018	17198	
744018	55122	Waitress
744018	92663	
744018	199916	
744018	252625	Rosalía
744018	378799	Natalia
744018	380145	Julieta
744018	382951	Poli
744018	386480	Gloria
744018	392805	
744018	403651	Luciana
744018	405812	Lara
744018	405918	
744018	406857	
744018	409959	Nora
744018	410453	(1999)
744019	103941	
744021	50139	Interne
744022	411636	Lucía 'Jazmín' Pereira
744023	115043	Herself
744023	322729	
744024	55670	
744025	43237	TV Presenter
744025	379459	Sofía Elizondo
744025	380077	Magnolia Guzman
744025	386204	Karen Sinisterra
744025	386402	Maria/Nancy
744025	396216	Karen Franco
744025	396859	Monica de Mendez
744025	398807	María Patricia Mendoza
744025	405324	Roberta/Roberto
744026	66677	
744027	287755	Bailaora
744028	266479	
744029	118165	Azucena
744029	325324	Simona
744029	367999	Celia Obregon
744030	412138	Panelist
744031	339822	
744032	28168	Sylvie
744032	100431	Nathalie
744032	345314	
744032	354646	Pas-Ici
744032	404175	Béa Rivière
744033	258133	Paula
744033	380155	Amalia
744034	321953	Ninang
744035	165796	
744035	249671	
744035	265140	Judge
744035	328697	Encargada C. Ventas/Sales Cle
744035	334687	Pilar Barrachina
744035	336265	Pilingui
744035	376851	Farmaceutica 2ª
744036	88225	
744037	254414	Background Player
744038	80619	Rival Gang Member #3
744038	252935	Payge
744039	305290	Carmelita Fox
744040	121615	Female Prison Guard
744041	38541	Mahumahu
744042	160449	Herself
744043	376825	Herself
744044	10125	
744044	44197	
744044	55974	Señora de Castro, Mather of A
744044	56978	
744044	90139	
744044	146507	
744044	148030	
744044	148140	
744044	169760	
744044	204594	Laura's Mother
744044	205708	
744044	222036	
744044	295108	
744044	317702	
744044	340363	
744045	292444	Crouched Figure
744046	126538	Illegal Alien (segment "Born 
744047	380993	Chiara Lorenzini
744048	183467	
744049	10919	Orrie
744049	14091	Yolanda
744049	44432	Mother with oranges
744049	60087	
744049	67559	Colenari
744049	89688	Mrs. Rodriquez
744049	123122	Herself
744049	169918	Musico's Mother
744049	183009	Donna's Girlfriend
744049	192340	Bar Voice #2
744049	197373	Irene
744049	245541	Gloriana
744049	255234	Gaga
744049	280194	Linda Gustavo
744049	297788	Mrs. Martinez
744049	376740	Juanita
744049	383508	Dyana the Doll
744049	396803	Lupe the Cook
744049	401189	Dyana
744050	390753	
744051	213862	
744051	241339	Fern, Waitress
744052	145647	Señora
744053	100041	Sam's Receptionist
744053	108933	Penny Alsop
744053	200992	Ampy
744054	313865	Herself
744055	117665	Chrissy
744056	200466	Maid
744057	181828	
744057	197551	
744057	200664	
744057	291046	Dean Beatrice Catedral
744057	327601	Emcee
744058	118321	Bit part
744058	360837	
744058	363292	Bit part
744059	60246	Ballet dancer
744060	187170	Attorney #1
744060	361611	
744061	5965	
744061	98347	
744061	99904	
744061	109444	
744061	125977	Frau Gruber
744061	162128	
744061	178718	Klimts Mutter
744061	182139	Rosalinde
744061	182146	
744061	187682	Gisela Schäfer
744061	237486	
744061	264220	Freuds Ehefrau Martha
744061	272784	Marianne
744061	301048	Rosalind
744061	302751	
744061	339948	
744061	371287	Yerma
744062	24965	
744062	37872	
744062	37873	
744062	38112	Sweetheart
744062	41718	Pinkey
744062	75294	Girl
744062	75577	
744062	99117	Girl
744062	109680	
744062	117229	
744062	125415	
744062	140899	Dunn's Secretary
744062	141446	
744062	142594	
744062	179036	
744062	190021	
744062	192862	
744062	195414	
744062	208256	
744062	249164	
744062	249511	
744062	281408	
744062	289401	Barnacle's wife
744062	299930	
744062	301831	
744062	302370	
744062	311968	
744062	315099	
744062	331281	Natalie Shelton
744063	160873	Marie
744064	12131	
744064	43118	Hotel's female guest
744064	54284	Diana Assis
744064	88805	Beatriz Campos Jordão ('Bia')
744064	95432	Elisabeth
744064	222158	
744064	234988	Marta
744064	237217	
744064	260569	Laís
744064	324621	Meg (Raul's wife)
744064	379450	Van Van
744064	381891	Apresentadora
744064	382684	Vanda
744064	386212	Valquíria
744064	402807	Nicinha
744064	404118	Magda Brigadeiro Antibes (199
744064	404119	Herself
744064	409130	1992
744066	62941	
744066	88978	Sarah
744066	194116	The White Dragon/The Maerum Q
744066	203410	
744066	305087	Reporter
744066	379716	Marissa Rampal #1 (1988)
744123	259088	
744066	396123	Dr. Johanna Sachs (late 1980s
744066	400236	Melinda Cramer Janssen #4 (19
744067	51081	
744067	158079	
744067	229508	Narrator
744067	258963	Nurse
744067	305575	Woman Entering Fertility Clin
744068	11531	Airshelter Warden
744069	390446	Herself
744070	277033	Binka
744071	380332	Rosa
744072	70081	
744072	322220	
744073	360891	Anita
744073	397823	Herself
744074	18653	Policia 1
744075	52946	
744076	41918	Band singer
744077	29135	
744078	12072	
744078	62027	
744078	64041	
744078	137846	
744078	139912	
744078	218101	
744078	237814	
744078	281619	
744078	332677	
744078	377106	
744080	69257	C Block Inmate
744080	177467	Isabel
744080	190221	Loretta
744080	221136	Lorena
744080	336300	
744080	379025	Ana Rivera
744080	394845	Santa Clemente
744081	14951	
744082	371764	
744084	177658	
744085	55520	Christen
744085	187518	Kelly
744086	109856	Olivia
744086	109857	Olivia
744086	193280	Teresa
744086	201260	Vera
744086	385272	
744086	386849	Carmen the Maid
744087	119225	Nurse
744088	128594	Karina
744089	390404	Karina
744089	398490	Maru
744089	402152	Gina
744089	404703	Andrea Carvajal
744090	328469	
744091	202728	Leticia
744092	12109	
744092	34552	
744092	206975	María niña
744092	234495	
744092	275085	
744093	323403	Herself
744094	221481	Herself - Presenter/Pre-Show 
744094	402868	Performer (city High)
744095	252064	Lilia
744096	53284	Wet T-Shirt Contestant
744097	74527	
744097	317673	
744098	135283	
744099	53042	Vanessa
744100	53042	LaKeisha
744101	306326	Herself
744102	682	Hispanic Kid
744103	385052	Juanita
744103	395404	Rosa
744103	401694	Norma Gutiérrez
744103	405835	La Caribeña
744104	53574	
744105	293744	Waitress
744107	9939	
744107	14550	
744107	55182	Carmen
744107	100378	
744107	139894	
744107	248779	
744108	204184	Dancer
744109	108423	
744110	120705	
744111	378958	Agustina Cisneros
744111	383032	Ximena
744111	391419	Betina
744111	397733	Victoria Taylor Monti de Lópe
744111	398661	Pilar
744111	398842	Gabriela
744111	398842	Verónica
744112	62628	The Little Girl
744113	359569	Candy Store Girl
744113	365827	Puerto Rican Girl
744113	378829	Trini (1980)
744114	13518	
744114	30319	
744114	61341	
744114	121280	
744114	266827	
744114	287877	
744114	307205	
744114	351668	
744114	353468	
744114	380111	
744114	380114	Bertha Valdez
744114	380954	
744114	385374	
744114	397584	
744114	398522	
744114	409718	
744116	128594	Female student
744117	276563	
744118	302323	
744119	285098	Spanish Rice
744120	202728	Leticia
744121	91297	Parishioner 2
744122	158462	Bélgica Adela 'Dedé' Mirabal 
744123	19778	Chizuru Jyumonji
744123	31045	Ellis
744123	38823	Saori Tachibana
744123	79206	Lina Inverse
744123	81228	Lina Inverse
744123	92815	Lina Inverse
744123	92816	Lina Inverse
744123	106073	Lina Inverse
744123	117361	Lina Inverse
744123	123109	Pony/Eluza
744123	127780	Kaoru
744123	132912	Commercial Voice
744123	139476	Maetel
744123	143837	Lina Inverse
744123	154879	Lina Inverse
744123	179108	Akumako
744123	193381	Deedlit
744123	195570	Lina Inverse
744123	199950	Maetel
744123	201256	Lina Inverse
744123	210156	Si Tau
744123	247454	Lina Inverse
744123	254447	Lina Inverse
744123	259032	Additional Voices
744123	259090	Bianca/Oakley
744123	259096	
744123	259097	Neesha (female trainer)
744123	272997	Fuu
744123	292547	Lina Inverse
744123	293586	Hatsumi Fujiwara
744123	294104	Secretary (Mercury Production
744123	299499	Lina Inverse
744123	300155	Lina Inverse
744123	300594	Shiori Takatsuki, Shadow Girl
744123	304671	Lina Inverse
744123	304675	Lina Inverse
744123	304676	Lina Inverse
744123	304677	Lina Inverse
744123	304678	Lina Inverse
744123	304679	Lina Inverse
744123	318176	Lina Inverse
744123	336656	Lina Inverse
744123	341015	Lina Inverse
744123	342557	Chris
744123	346861	Lina Inverse
744123	373385	
744123	382289	Alicia Whistle
744123	383107	Saki Yoshisawa
744123	388653	Liz (Season 4)
744123	389567	Sandy
744123	392619	Lala-Ru
744123	394064	Coco
744123	394175	Tsubasa Shibahime
744123	394325	Attendent, Additional Voices
744123	395888	Deedlit (Ep 1-15, 22-27)
744123	396501	Nanaka Nakatomi
744123	398579	Azalyn
744123	401740	Lapras (1999), Chikorita, Bay
744123	405047	Jun Tao
744123	405278	Kozue Kaoru/Shiori Takatsuki
744123	405633	Lina Inverse
744123	405634	Lina Inverse
744123	405635	Lina Inverse
744123	405636	Lina Inverse
744123	405942	Amy Rose
744123	407519	
744123	409390	Roxanne
744123	411261	Musa/Icy/Mitzi (2004)
744123	411449	Kiriri Kaibashira, Kyoko Kudo
744123	411648	Maria Won
744123	411886	Serenity Wheeler
744123	411887	Serenity Wheeler (English ver
744124	346016	Inmate
744125	52998	
744125	54771	
744125	70087	
744125	148168	
744125	251969	
744125	252770	
744125	258499	Rosita
744125	339117	
744126	23190	The Little Girl
744127	106223	
744127	328630	Lead Biker Bitch
744128	41138	Caroline
744128	82661	Daphne
744128	274199	Caroline
744128	310132	Government Agent
744128	353365	Biker
744129	187332	Indian Woman
744130	339198	
744131	248870	Andrea
744132	381025	Yuka
744132	386536	Yuki Suzaki, With (Pet)
744132	394431	Ringo Seto, Additional Voices
744132	402175	Additional Voices
744133	59793	Spanish artist
744133	70063	Tia Pascuas
744134	292089	
744135	376786	Fotógrafo 2
744136	46224	
744136	51710	Pat
744136	54337	
744136	55844	
744136	85585	
744136	99710	
744136	253665	
744136	260571	
744136	328610	
744136	398229	Gloria
744136	401918	
744136	404736	Verónica
744136	409908	Doña Catalina Sosa 'mama de E
744136	410477	Rita
744137	25039	
744137	51102	
744137	97365	Child
744137	247461	
744137	247465	
744137	340041	
744138	201351	
744139	5271	Lucrecia Vélez
744139	5758	
744139	17516	Marthy
744139	19442	Herself
744139	28026	Madre Superiora
744139	33966	María
744139	44197	Gitana
744139	52971	Laura Simrok
744139	54083	Flora Jordán
744139	55766	Antonieta Lear
744139	55934	Mrs. Randall
744139	69003	Nelly Rover
744139	83756	Directora Interventora
744139	95008	Grand Russian Duchess
744139	99290	Elizabeth I
744139	121978	Madre
744139	132706	Alicia
744139	169567	Elena Ocampo
744139	193223	Remedios
744139	199303	Ema Bovary
744139	199938	Elena Acevedo de Lerena
744139	201988	Marcela
744139	205016	Esther Collins
744139	205431	Margarita
744139	206987	Maria de los Angeles Ermosill
744139	210262	Clotilde Contreras
744139	212469	Herself
744139	212526	Gloria Rivas
744139	221574	Mara Ordaz
744139	221575	La Rubia Mireya
744139	221987	Raquel Miramar
744139	222039	Ana María del Solar
744139	255481	Amalia Pradere - Amalia Grand
744139	262608	Princesa Fedora Romanov
744139	268250	Irina Galowa
744139	282900	Ana María Peña de Robles - La
744139	285374	Selva Moreno - Safo
744139	287435	Alcaldesa Teresa Marquesa de 
744139	294516	Mrs. Meacham
744139	296464	Ann Dewey
744139	307792	Selva Moreno - Safo
744139	316743	Blanche Dubois
744139	339185	Mercedes de la Fuente
744139	349457	Estela Arenal
744139	353667	Malena
744139	378475	Albareda
744139	380947	
744139	387845	Constanza
744139	387906	Mercedes de Castro
744139	389173	Anna - Ella
744139	392985	Victoria
744139	399083	Mercedes Fábregas
744139	400403	Angiulina
744139	403650	Malù
744139	405242	Ella
744140	357766	
744141	6492	
744141	21681	Sirvienta de Elena
744141	24375	Maria, criada
744141	49101	
744141	51778	
744141	53668	
744141	53988	
744141	55961	
744141	64041	
744141	83549	
744141	92346	Don~a Remedios
744141	108718	
744141	108730	
744141	145159	
744141	145230	
744141	148150	
744141	193077	
744141	213395	
744141	216078	Dona Ingracia
744141	229431	
744141	234006	
744141	238326	
744141	246870	
744141	260579	
744141	260589	
744141	263923	
744141	272379	
744141	273946	
744141	281759	
744141	291643	
744141	296469	
744141	345600	
744142	115634	Nurse #2
744143	90525	Dress seller
744144	360452	
744145	3184	
744145	10996	
744145	16962	
744145	49116	
744145	136188	
744145	204975	
744145	226980	
744145	355073	
744146	212488	Herself (Narrator)
744147	87586	Featured Disco Dancer
744148	45479	
744148	79120	Elektra
744148	92928	
744148	250512	
744148	288959	Mai Ling
744148	288972	
744149	204354	Party Guest
744150	395846	Yolanda Sánchez (Llovizna)
744150	396161	Luisa Fernanda
744150	397862	Lisa Estrada Rossi
744150	399521	Federica
744150	399793	Host/Dalina (1995-1996) (Vene
744150	404703	María Clara Carvajal
744150	408410	Camila Montes
744150	408419	Marilyn
744150	411714	Alejandra Zingg
744151	74827	Niña (segment "Frac")
744152	68764	Candy
744153	91920	Brenda
744155	53647	
744155	222410	
744155	256358	
744155	379116	Sister Amanda
744155	384119	Matilde (1995-1996)
744155	385458	Regina
744155	387187	Gabriela
744155	387473	Elena
744155	387818	Julia
744155	388650	
744155	398850	Olga
744155	401691	
744155	402350	Carmen de Ortiz
744155	403021	Sandra (2002)
744155	405412	Aldana
744155	409957	Elvira Herrera (1998-2000)
744155	410423	Yolanda
744156	401914	Albertina
744157	348116	
744158	128154	Mia
744160	223732	
744161	379588	Carolina
744161	383470	Valentina Avila
744161	386503	María Elena
744161	387536	
744161	392610	Macarena Guinand
744161	396858	Rebeca
744161	396902	Aurora Gálvez Escorza
744161	397012	Andrea
744161	397020	Silvia
744161	398471	
744161	400938	Clara
744161	408710	Ibelice
744162	291612	Mujer del autobús
744163	25039	
744163	91294	
744163	94842	
744163	246154	
744163	251552	
744163	281181	
744163	332373	Hija mayor de Aurelio
744163	332970	
744163	334216	Woman
744164	268046	
744165	94244	Annette
744166	276097	
744167	377798	Woman 2
744168	68260	Mongoria
744169	66308	Giovanna
744170	353993	Ursula
744171	85195	
744172	127588	
744173	18900	Lady in the Library
744173	145359	Katri
744173	171801	
744173	172793	
744173	179625	
744173	180442	Kirsti Kiisu
744173	181633	
744173	198262	Cabin stewardess
744173	209085	Villager
744173	209949	Anna Tuhkanen
744173	229543	
744173	236795	Maid
744173	240329	
744173	250433	Piika-Mari (Mari, maid)
744173	255935	Cashier
744173	258815	Marjatta Hakala
744173	270673	Hooker
744173	271635	
744173	282146	Barbara Ants
744173	371441	
744174	242259	
744174	272836	Piika
744174	354260	Training instructor in the in
744175	404261	Teca
744176	40748	
744177	326383	Lady in the Coach
744178	149202	Reine de Marcilly
744178	345442	La jeune fille
744179	77190	Mrs. Lee
744179	194513	Houseguest
744179	305415	Abrutiene
744179	398680	Packer's Assistant
744179	401603	Ward Sister Julia
744179	405457	Sandra (1980-1981)
744180	190799	Herself
744180	309944	Rocket
744181	357086	
744182	343336	Herself
744183	296543	Croupier
744183	351187	Croupier
744184	100119	Claudia
744185	44945	Danseuse Katalitik
744185	313195	Dancer
744186	148127	
744187	58096	Irina
744187	67218	
744187	108581	
744188	58045	
744189	58045	
744190	29006	
744190	202599	
744190	221676	Miren
744190	286285	Dealer
744191	395332	María Elvira
744192	64750	Sidewalk Woman #10
744192	117883	Cym
744192	144816	Sexy Woman
744192	151458	Leslie James
744192	155861	British stewardess
744192	245020	Lowanda
744192	267255	Female Super Model
744192	284932	Model
744192	304293	Amanda
744192	364351	Scouse's Girl
744193	265833	Nazmiye
744194	296333	Air Hostess
744195	170227	Herself
744196	15196	
744197	339032	
744198	408381	Madelaine
744199	313474	Yané
744200	272373	Ewa Zatorska
744200	322167	
744200	365021	Mija Brynicka
744201	40901	Mrs. Zimmermartin
744201	77216	Mrs. Erskine
744201	267486	Auntie Maud
744201	333102	Cook
744201	366159	Ma Felton
744201	383078	Lou Gallagher
744201	385220	Nastasya
744201	400516	Sandra Weightman
744201	408191	Jessie Blackmore
744202	157324	St. Jude Student
744203	79042	Jessie Everett
744203	81665	Alex
744203	140636	Caitlin Curren
744203	196892	Janey
744203	329347	Allison Snider
744203	391559	Juliette Waybourne
744203	409816	Sherry Woods
744204	56871	Girl
744205	263358	
744206	52455	Tillie Wiecek
744206	80669	Mrs. Schmidt
744206	105729	Liz
744206	154756	Mrs. Cvetic
744206	170157	Old Woman
744206	269295	Mrs. Nalawak, High Diver segm
744206	274051	Sister Kasmira
744206	330345	Mrs. Polansky, the Apple Farm
744207	174028	
744208	375439	Karnicka
744209	91509	Old Village Woman
744209	260390	Jurgieluszka
744210	208725	Grandma
744211	244106	
744212	40870	Bednarz's Daughter
744213	189428	Woman at the church
744214	206751	
744214	387405	Sonnur
744215	194836	
744216	213375	Guest at the engagement party
744216	341793	Pellikka's mother
744216	349948	Customer in the flower shop
744217	184070	Old maid
744217	258843	Ompelijatar
744217	267931	Missus Sinikantele
744218	147208	Inger
744218	306020	Ekspedetrise
744218	340270	Mor
744218	347466	Mona
744218	388307	Charlotte Zimmermann (2000)
744218	388554	Rakel
744218	407116	
744218	408192	Nina's Mother
744218	410019	Emma
744219	124036	Hideya Yoshinodou, Kikuyo Rok
744219	298347	Ine Hayata, Megumi Mishima (E
744219	316619	Narrator
744219	347145	Cela/Additional Voices
744220	253796	Leena
744221	307189	
744221	383107	Mayumi Kisaragi
744222	367248	
744223	53062	Private Jones
744225	216508	Miyuki Kashima's mother
744225	400050	Massako
744225	409692	Yuzare
744226	178208	Bianca
744227	95471	Brothel
744228	163071	Daughter
744229	197815	Moki Ahashi
744230	153209	Family Restaurant Waitress
744231	326015	Nancy Lee
744231	343643	
744232	130494	Meru Ozawa
744232	130496	Psychic Schoolteacher
744232	130497	Cosmos #2
744232	130498	Cosmos #2
744232	358126	Kuni Miyazawa
744233	196627	Herself
744234	6989	Rosita
744234	222491	
744234	295002	Rosita
744234	295003	Puppetteer
744234	381473	Ursa (199?-)
744234	386615	Additional Muppet Performer
744234	402491	Kiki Flores
744234	404897	Rosita (1991-)/Goldie Locks (
744236	220574	Polo player
744237	334085	School Girl
744238	78038	Pageant Girl
744239	253527	Bar Trollop
744240	223893	Baby Jane
744241	298656	Singer
744241	342320	Herself (SHeDaisy)
744242	223893	Baby Jane
744243	288748	Alice
744243	298656	Herself
744243	342320	Herself (SHeDaisy)
744244	298656	Herself
744244	342320	Herself (SHeDaisy)
744245	219659	Jill
744246	115179	Tourist
744247	240235	Child on Street in Omaha
744248	385158	Herself
744249	140105	Larry's Mother
744249	223402	Nurse with Wheelchair (Uncred
744249	321090	Sally
744249	383719	Elizabeth Bourne
744249	393314	Miss Temple
744249	394508	Gwen Hoey
744249	407439	Lucie Manette
744251	72349	The Cowpuncher's Ward, as a C
744252	394479	Nina Leemhuis
744253	380685	Herself (as The Chordettes, 1
744254	328869	Butterfly Girl
744255	350193	Herself
744256	257234	Lizzie
744256	327298	Giggly girl
744257	304683	
744258	71474	Child in street
744259	64119	Cindy
744259	102703	Angelica
744259	105898	Southern Belle
744259	215623	
744259	337151	
744260	133218	Emily
744261	32971	Mrs. Loomis
744261	84250	
744261	96771	Housewife at Supermarket
744261	105864	
744261	155071	Myrna Devlin
744261	168264	Wardrobe Mistress
744261	202963	Customer
744261	222601	Miss Wiley, ex-maid
744261	241630	Muriel Emhardt
744261	306396	Girl
744262	89308	Lisa
744263	18544	Party Girl
744263	306223	Miami Pretty Girl
744263	399947	Jade Dominguez (2002-present)
744264	137603	Design Store Clerk
744265	2366	Herself
744265	47377	Herself
744265	87981	Herself
744265	201537	Herself
744265	313112	Herself
744266	406678	Edie Croucher
744268	59410	Dotty
744268	61662	Mrs. Starr
744268	183804	Secretary
744269	206828	Herself - Old school friend o
744270	303860	Hooker
744271	330382	Narrator
744272	206204	Amy Winters
744272	266191	Leah Gibson
744273	148562	
744274	64539	Gloria
744274	302723	Soubrette
744275	93992	Baby Emile
744276	51989	Cheryl
744277	26383	
744277	54534	Marie, Captain Kiddo
744277	61582	Marie
744277	75298	Marie Stewart
744277	76601	Marie Standlaw
744277	79415	June Gordon
744277	89702	Dolly
744277	89719	Dolly McKenzie
744277	116523	Nurse
744277	140408	Extra
744277	143565	Woman in trailer
744277	169582	Joy
744277	176464	Toots, the Baby
744277	191766	Little Marie
744277	191996	Mary
744277	192148	The Little Patriot
744277	213734	Baby Marie Tompkins
744277	224228	Woman Passenger
744277	239689	Tiny
744277	289189	Sally Lou
744277	296920	Little Mary
744277	300008	Robert Holmes
744277	319247	Little Mary
744277	321534	Undetermined Role
744277	326480	Little Marie
744277	334977	Little Mary Sunshine
744277	342546	Bessie Hunt/Fay Van Loan
744277	356265	Marie Lind
744277	360533	Woman at Western Union
744277	362710	Baby Marie Watson
744277	366319	Marie Reading
744277	366612	
744278	41881	Mrs. Tracey
744278	90267	
744279	407055	Herself (winner)
744281	6812	
744281	89130	Linda
744281	168453	Alice
744282	148562	Rhina
744282	154709	Amazon
744283	222611	Richard's Mother
744284	224729	Jackie Estes
744284	229255	Tiffany
744284	393471	Gwen Thomas
744285	186979	
744286	93992	Old lady
744287	196372	Receptionist
744287	359753	Alice Almond
744288	199475	Woman in Sushi Bar
744290	33745	Elinor Hunter
744290	52883	Mandy Haley
744290	54459	Victorine
744290	58828	Countess
744290	73197	Suzanne Duval
744290	78848	Maybelle Blake, Hal's ex-wife
744290	85024	Rena
744290	92883	Johanna Van Ryn
744290	108435	Mrs. Marcia Ferguson
744290	116548	Gloria
744290	131587	Pearl Binswanger
744290	153183	Mary Boyd
744290	153985	Mrs. Wilson
744290	158562	Betsy Caldwell
744290	188436	Rosa Donelli
744290	190057	Mrs. McGilvary
744290	196214	Adele De Ronsard
744290	197942	Sybil Brenhard
744290	207275	
744290	210717	Lilli Arno
744290	219919	Julia Brennon
744290	233791	Lady Diana Knowleton
744290	245651	Isabella Strong
744290	254441	Elsa Evans
744290	263941	Thelma
744290	276372	Marie Cliff
744290	278286	The Sweetheart
744290	285635	Red Dale
744290	297877	Ceila Stettin
744290	302870	Alicia Mackelvey
744290	306577	Maxie Carewe
744290	319650	Ruth Rogen
744290	335320	Martha Winters
744290	342946	Helen
744290	343118	Shirley Day
744290	360838	Shirley
744290	367046	Renée La Journée
744291	177645	Dorothy Carrington
744292	116515	Harem girl #6
744292	142672	High Priestess
744293	161374	Herself
744293	245927	Herself
744293	369187	Raquelle
744294	46572	Mutant
744295	1187	Herself
744295	1725	Herself - Performer
744295	1737	Herself
744295	2258	Herself - Co-host
744295	2581	Herself
744295	2787	Herself
744295	24429	Herself
744295	63076	Performer
744295	161374	Herself
744295	192542	Sharon
744295	221426	Herself
744295	221435	Herself
744295	221441	Host
744295	221482	Herself
744295	221483	Herself
744295	227159	Herself
744295	240189	Performer
744295	243928	Herself
744295	245927	Herself
744295	245929	Herself
744295	245931	Herself
744295	252585	Herself (song: "Papa Don't Pr
744295	267252	Kelly Osbourne
744295	305490	Herself (Presenter)
744295	360457	Herself
744295	395540	Deborah
744295	400430	Herself
744296	133240	Herself - Tennis Player
744297	407055	
744298	227159	Herself
744299	227159	Herself
744300	240819	Jasmine
744301	846	Herself - #66: Terrible Talk 
744301	1737	Herself
744301	2258	Herself - Co-host
744301	2581	Presenter
744301	2787	Herself
744301	23922	Herself (audience member)
744301	24429	Herself
744301	136035	Herself
744301	161374	Herself
744301	169815	Herself
744301	221413	Herself
744301	221426	Herself
744301	221482	Herself
744301	227159	Herself
744301	240189	Herself
744301	243928	Herself
744301	245927	Herself
744301	245929	Herself
744301	352976	Herself
744301	360457	Herself
744301	388385	Herself
744301	392421	Herself
744301	400430	Herself
744301	405068	Herself (Hostess)
744301	411558	Judge
744301	411600	Herself
744302	235959	November Messing
744302	275182	
744302	360962	Anna
744303	93118	Hostess
744303	120609	Catherine
744303	128350	Jeannie
744303	161537	Stewardess
744303	380391	Kathleen McKinnon Winthrop (1
744304	393808	
744305	35239	Doctor
744306	44912	
744306	95348	Mujer en peluquería 2
744306	106270	
744306	225017	Curra
744306	247198	Pilar
744306	285933	Funcionaria
744306	397863	Abuela Críspula
744307	340372	Helen
744308	8630	Muriel, his daughter (1939 ve
744308	140544	Jackie Coryton
744309	385299	Natalie Carrington
744310	96112	
744311	322840	Herself as Statistansvarig
744312	244074	Bärbel Olofsson
744313	182560	Actress
744314	244074	
744315	244074	
744316	388646	Polisman 2
744316	408800	Agneta Larsson (1994-1997)
744317	389832	Mia
744318	82708	Jenna
744318	129382	Gloria
744318	238774	Carina Anderhage
744318	342316	Herself
744318	389600	Lena
744318	397783	Percy's mother
744318	405570	Karin Toivonen
744319	309804	Yacht Girl #2
744320	365970	Suzy Billy
744321	60341	Parent
744322	33197	Woman Motorist
744322	60341	Distraught Relative
744323	33197	Suzie
744324	229644	
744324	294644	4th Aunt
744325	83705	
744326	195262	Luisa
744327	390523	Clare Chaplin (2001-2002)
744328	32466	DV8 Clubgoer
744328	192777	Dog Girl #1
744329	383970	Herself (2001-2002)
744330	245020	Gloria
744331	45521	Frail girl
744332	11182	Herself
744333	55766	Gobernanta
744333	200537	
744333	306708	
744333	319857	
744333	332674	
744334	28314	
744334	128965	
744335	84440	Michelle
744336	362934	
744337	53208	Announcer
744338	117092	The Girl
744338	372899	Mary Jane Braley
744339	227924	Fleytistkata
744341	17465	
744342	166247	Haruko Suruga
744342	176608	Hamako
744342	208721	
744342	210201	Ohan
744343	8786	Asako
744343	109017	
744343	371914	
744344	145449	Hisako Kakihana
744345	17878	Takako
744346	251929	Yumi Horikoshi
744347	53186	Narrator (segment: "Hiroshima
744347	145741	Narrator
744348	177823	
744348	391576	Rie (Mama)
744348	400480	Yoko Miki
744349	177823	Misuho Ito, Shoko's friend
744350	214588	Fina
744351	15956	Kazuko Ohno
744351	76899	
744351	294181	
744352	270896	Shona
744353	121518	
744354	298749	Woman Farmer
744355	394043	Asuka,
744356	277094	Grandmother
744357	23331	Dr. Cyber
744358	170881	Hiromi
744359	225800	Jemma
744359	378865	Caller
744359	387247	Nurse (2003)
744360	116103	Massage Girl
744361	219718	
744362	314459	Anna's Friend
744363	188227	Sheila
744363	221047	Teacher
744364	48169	Top Hat
744365	196387	Rita
744366	30868	
744367	394585	Malgosia Borecka (2001-)
744368	195227	Bernadette Soubirous
744368	375767	Samantha
744369	15147	
744369	112771	
744369	121286	
744369	131119	
744369	244252	
744369	283775	Herself
744369	304155	Ariadna
744369	375176	
744370	29670	Harem
744371	91201	
744372	258684	
744372	374775	
744373	43213	
744374	340431	
744374	350729	
744375	255357	Camper
744376	19883	
744376	44829	
744376	55542	
744376	206667	
744376	234734	Priscilla
744376	259844	Herself
744376	259949	Herself
744377	274125	Doo Wop Girl #3
744378	215242	Gustavs mamma
744378	285462	Marit Jaha
744378	382895	Lita Tavle
744379	175241	
744380	69416	Paige
744381	69416	Paula
744382	26998	Wife
744383	37339	
744384	5342	Herself
744384	32346	Herself - Singer
744384	258963	Candy
744384	280443	Herself
744384	330391	Lucy
744386	51039	Karol's Girlfriend
744387	162308	Kirsti
744387	175729	
744387	229626	Marja at the age of 12
744387	260056	Ms. Peltonen
744387	319315	Laura
744388	46259	
744388	66188	
744388	84345	Detective Dorothy
744388	145911	The Boy
744388	342004	The Little Girl
744389	317578	
744390	176306	Gail
744391	154147	Sandy
744392	196948	Cheryl Bemberg
744392	223719	Athena at 15
744392	398704	Lisa
744393	74282	Zora, the little girl
744394	381451	Presenter (2002-)
744395	261259	
744396	229079	
744396	303625	
744397	56430	Herself
744397	97737	
744397	288115	Cassie Witting
744397	292457	Miranda Aiken
744397	312151	Gerti Giggles
744397	312152	Gerti Giggles
744398	137650	College Kid
744399	361260	Laverne
744400	332755	
744401	72091	
744401	172497	Zena vlasnika kamp kucice
744401	258641	
744401	381182	
744401	381239	
744402	34608	
744402	261912	
744402	344365	
744403	237834	
744403	261372	
744404	110357	Tawny
744404	139841	
744404	368036	Carol Singer
744405	29965	
744405	32061	
744405	62431	
744405	116827	
744405	143981	
744405	247932	
744405	324766	
744405	333650	
744405	372344	
744406	90775	Herself (documentary)
744407	22085	Paulette
744407	60464	Louise
744407	81142	Joan Robert
744407	150896	Elaine Merryman
744407	158566	Nell Fosdick
744407	163560	April Vaughan
744407	188386	Marjorie Gordon
744407	224612	Peggy Dundas
744407	315722	Jennifer Ware
744407	330903	Sally
744407	348400	Mabel
744407	360496	Sally
744407	363242	Delia
744408	10284	Herself
744409	846	Herself - #47: Eyebrow Liftin
744409	2012	Herself - Co-presenter: Best 
744409	2376	Herself
744409	11676	Herself
744409	14098	Herself
744409	42336	
744409	42342	
744409	50274	Queen
744409	57674	Herself
744409	87784	Herself
744409	102099	Herself
744409	125511	
744409	127528	Beth Atherton
744409	130287	Marie
744409	138726	Herself
744409	152336	
744409	154482	Josephine 'Josie' Marcus
744409	160463	Herself
744409	228305	Host
744409	237547	Herself
744409	244031	
744409	281505	Sister Mae Davis
744409	281881	Rose Petal
744409	300893	Olive Osmond
744409	320430	Herself
744409	339525	Herself
744409	351443	Fairy Princess and Velveteen 
744409	358831	
744409	367802	Herself
744409	385591	Herself
744409	386755	Host
744409	386756	Herself/Host
744409	396583	Herself (2001)
744409	396866	Star
744409	397180	Julia Wallace
744409	403420	Herself (1985-1986)
744411	160463	Herself
744411	300893	Herself
744412	101170	Mme Lambert
744413	389138	Tjenestejente hos Løvdahl
744414	24634	Jane Doe
744415	228166	Natalka
744416	229913	Velya
744417	32353	Music Teacher
744417	43274	
744417	46630	Galina
744417	108993	
744417	137112	
744417	223212	Georgette Leblanc
744417	244040	Maslyuk
744419	334316	Gospodinja
744420	315831	
744421	73476	
744422	77430	
744422	340655	
744422	377099	Vecina
744423	27978	Hija de Damián
744424	384507	Dancer
744424	406972	Mini Posh Spice
744425	378971	Zulaima
744425	392971	Yadira
744425	397578	Beatriz Carreño
744425	410297	
744426	351494	
744427	2069	Young Salgado
744427	87526	Girl in Choir
744428	383471	Lupita
744428	393833	Carmela 'Carmelita' Pérez
744428	405318	Mariana Garrai
744428	408855	
744428	409908	Ximena Robleto
744429	88623	Carmen
744430	340401	Teacher's Assistant
744431	165768	Sirvienta
744432	400667	Jenni (1999-2003)
744433	14553	Marta
744433	19943	Beatriz
744433	65062	
744433	233340	
744433	251327	
744433	292743	
744433	320341	Sussi
744433	379896	
744433	380096	
744433	383867	
744433	387273	Corín
744433	389480	Tábata Villalobos
744433	389589	
744433	396942	
744433	397591	Lupita
744433	404074	
744433	409919	Isolina (2004-???)
744434	233394	Fernando's Mother
744434	377112	Hermana Margarita
744434	390745	Amparo de Rojas
744434	401106	Ana
744435	22657	
744435	91173	
744435	351646	
744436	91419	
744437	43078	Abuela de El Bola
744437	237851	
744437	257462	Senora Escrupulosa
744437	353612	Señora
744438	55122	Blanco's Girlfriend
744438	120840	Donna Del Rio
744438	127048	
744438	153248	Liz
744438	177530	Rikki's Mother at 25
744438	233585	Mercedes Colon
744438	253773	Malaria
744438	278626	(segment "Caught in the Fever
744438	279311	Chespi
744438	300527	Debby
744438	305011	Kim
744438	392125	Various Characters
744438	394510	Carmalita Perez
744439	233394	Martha Cecilia
744440	12101	Herself
744440	84350	
744440	190182	
744519	191730	
744441	184053	La dame blonde dans une voitu
744442	1050	Mrs. Bergman
744442	42208	Greta Wallenius
744442	87948	The Lady
744442	88392	Woman
744442	135671	Grete Hoffman
744442	180076	Maja-Vivan Willer
744442	181126	
744442	182285	Ballet Dancer
744442	214362	Irene Jöhs
744442	228408	Guest at party
744442	307760	Telephone Operator
744442	342304	Cecilia Alling
744443	325283	Christy
744444	24038	
744444	79163	
744444	91222	Nora
744444	250899	
744444	352198	Leila
744444	361486	Hausgeist
744445	43591	
744446	248071	Wilma Bosman, Johans zus
744446	272665	
744447	51455	
744447	73471	
744448	325459	
744449	345671	Gertrud Schulz
744450	346987	Britt
744451	26478	
744452	324124	
744453	349076	
744454	34270	
744454	290512	Cara
744454	295419	Conny
744454	404480	Cara
744455	38770	Frieda
744455	261860	Claire
744456	65410	Marie, la jeune fille
744456	336997	
744456	376953	Herself
744457	33694	Dancer
744458	355072	(special thanks)
744459	41252	Sonia
744459	77101	Regina Lilienstern
744459	95506	Zona Adama
744459	146595	The Student
744459	183935	She
744459	215605	Magda, Wladyslaw's Daughter
744459	223220	Agnieszka, Adam's daughter
744459	345023	Femme de chambre
744459	359585	Wiktoria
744459	366972	Irén
744459	367242	Teresa
744459	396286	Marta Mostowiak
744460	64661	Icarian games/Body Skating
744461	316153	Leather clad zombie
744462	370854	Alison
744463	16928	Angel
744464	279701	
744465	97937	
744465	250798	Marysia Orzechowska
744465	254986	Woman with Child
744465	266291	Sister Leonia
744465	266309	Marta Mycinska
744465	266342	Karolina
744465	290070	Frantic woman
744465	363302	
744465	398874	Malgorzata Stankiewicz Donova
744466	115842	Sarah
744466	274971	
744466	292860	Co-Host
744466	330410	Kathy
744466	358814	Co-Host
744466	388642	Charly
744467	40863	Renate Gontard
744467	100990	Uschi Berger
744467	101346	Der Engel
744467	238790	
744468	351565	
744469	134442	Lady Dirry-Moir
744470	13053	
744470	290932	
744471	80395	Soft porn actress
744472	213552	inspectrice
744472	336422	Vrouw van de notaris
744472	390242	Sandra Mulder (1991-1992)
744473	177217	
744474	24746	Mrs. Bonheer
744475	402621	
744476	57208	Client w/Deceased Father
744476	202324	Karina, Robaldo Girl
744477	257324	
744478	158315	Laurie
744478	186156	Molly
744478	188968	Dormouse
744478	274333	Confirmation Class/Masquerade
744478	365988	Mr. Rat
744479	325506	
744480	270884	Angela
744480	274350	Kendra
744481	232676	Addy
744482	385824	Hope Alice Williams (#1) (197
744483	341939	Child in Stroller
744484	38761	Irina Farber
744484	268005	Nelly Schwarz
744484	272822	
744484	308223	Sabina
744484	376772	Alte Dame
744484	379174	Klara
744484	397368	
744485	143808	
744486	35637	Louisa May Alcott
744486	399439	Reporter #4
744487	20964	Herself
744487	41662	Irene Evendorr
744487	61324	
744487	291921	
744487	346899	
744488	225256	
744489	290715	Schwester Eva-Maria
744490	155458	Mary
744491	93267	Svenja Petersen
744491	339799	Kind
744491	350858	Lilli Kolberg
744492	322544	Canan
744493	182292	Lesbian mother
744494	154273	Margaret
744495	143507	Lilly
744495	166434	Jedermann's Mutter
744495	179816	Mizzi
744495	199312	Frau Rätin
744495	301082	
744495	312202	Städterin
744495	325386	
744495	325395	Anna Pfeil
744495	353995	Beatrice
744495	359659	
744495	361054	Uli
744495	364827	Katharina
744495	364897	Elisabeth
744495	374552	Eve Rull
744495	379772	Sigid Heine, verw. Hohdorf (1
744496	238613	Herself
744496	391835	Talking head/soundbites (segm
744497	248108	Girl in Bar
744498	231652	
744499	5176	Mrs. Nakamura
744499	16968	Dr. Gould's Nurse
744499	21448	Neighbor Woman
744499	29315	Mums Gornik
744499	51801	Mrs. Pierpont
744499	113550	Mrs. Fitzgerald
744499	129397	Woman in Ovington Arms
744499	138775	Mrs. Dooley
744499	185459	Annie McCarigle
744499	191945	Matron
744499	220622	Crystal Butterworth
744499	244925	Mrs. Gibbs
744499	248083	Widow Ida Hansen (Mrs. Hansen
744499	249323	Rosie
744499	313185	Aunt Pamela
744499	314884	Margaret Langley
744499	323785	Grandmother
744499	332785	Mrs. Ratner
744499	368449	Erica 'Boothy' Booth
744499	381802	Nell Kendrick
744499	382747	Sophie Steinberg (1972-73)
744499	383397	Regular (1948)
744499	389424	Regular
744499	389858	Nanny McTavish #1 (1982)
744499	392641	Regular (1954-55)
744499	401359	Additional Voices
744499	406429	Herself
744499	410977	Stella O'Brien (1969-1972) (o
744499	411319	
744500	325764	Kathrin Köhler
744501	170132	
744501	290627	Inge
744502	170468	
744503	164434	
744504	244034	The Emergency Room Nurse
744505	64706	
744505	115033	Herself
744506	109483	
744507	126577	Jeannie
744507	230316	College Girl
744508	16297	Jerkova majka Ika
744508	147464	Biba
744508	163038	Ruza
744508	180091	
744508	197224	
744508	236048	Post clerk
744508	278415	
744508	373503	Nina Korbar
744508	382787	Salova zena
744508	398998	
744508	399928	
744508	405705	Bongova uciteljica
744508	408357	
744509	187970	Teta Djana
744509	212458	Mother
744509	215120	
744510	146530	Pielegniarka w lazarecie
744511	367083	Running Girl
744512	244090	
744513	322837	Additional Voices
744514	192100	Angel #5
744515	85073	Rave Girl/Shadow
744516	69769	Lawyer
744516	74211	Georgie
744516	385178	Herself
744517	373532	Anja
744517	397285	Herself (2002, 2003-)
744517	402746	Herself (?-?)
744517	406965	Herself (?-?)
744518	56955	Pamela
744518	101973	Julia Myers
744518	106254	Woman Hypnotized
744518	106263	Mrs. Beckman
744518	389416	Louise Shepard
744519	5437	May
744519	10492	
744519	11644	
744519	13255	
744519	31431	
744519	33608	
744519	35365	Betty
744519	35380	Betty
744519	36820	
744519	38117	
744519	38674	
744519	41505	A Page
744519	42101	Grace Moran
744519	46260	
744519	53077	
744519	57701	Celeste
744519	60231	
744519	64510	
744519	64585	Papita, a Bareback Rider
744519	64586	Babette
744519	73403	
744519	73819	
744519	75346	
744519	79402	Margot
744519	81660	Muriel Phelps
744519	85839	Zelda the Dancing Girl
744519	91163	Metta
744519	91788	
744519	96878	
744519	109231	
744519	110381	Feathertop
744519	115704	As the Girl Grown Up
744519	116967	
744519	117196	
744519	119312	
744519	120127	
744519	128394	
744519	131440	Barbara Manning
744519	138124	Helen Haynes
744519	141171	
744519	142307	
744519	142997	
744519	143083	
744519	143128	
744519	143368	
744519	143441	
744519	145894	
744519	146005	
744519	146940	Annie
744519	147460	
744519	147959	Rebecca
744519	149156	Stenographer
744519	150849	
744519	157721	
744519	160003	
744519	169497	Jess Alden
744519	175186	Ruth
744519	175205	
744519	175551	Kate Seymour
744519	186310	
744519	186684	Tootsie Brown
744519	187297	
744519	188582	Kittie
744519	192255	
744519	193180	
744519	194295	
744519	195515	Milly
744519	199741	
744519	201936	Muriel Hughes
744519	209583	Betty
744519	210838	Edith Trainer
744519	211430	Vera Seynave
744519	215600	
744519	218918	Mary McClinton
744519	218919	Barbara Van Vliets
744519	219628	Bella Forsythe
744519	221331	
744519	239077	
744519	252739	
744519	258002	
744519	259372	
744519	265419	
744519	267557	Ruth Caldwell
744519	267583	
744519	272872	
744519	273203	
744519	277105	Kittie
744519	277771	
744519	279388	Mollie
744519	279728	Christabel
744519	283663	
744519	283670	
744519	285029	Ray Palton
744519	286132	Sally McGill
744519	296871	
744519	301651	White Wing, Indian Maiden
744519	306752	
744519	310683	Rosie
744519	310755	
744519	312276	Ruby Trailes
744519	316967	
744519	323759	
744519	324255	Guest
744519	324400	
744519	324963	
744519	327750	
744519	329454	Nell Gatewood
744519	333600	Ruth Carmichael
744519	335697	
744519	337160	
744519	341998	Della Fletcher
744519	349508	
744519	350703	Ruth Randall
744519	351746	Lucy
744519	352898	
744519	356634	Madge's Mother
744519	359098	Marion Blum
744519	360239	Marcelle Pinet
744519	362315	Dorothy Deal
744519	362524	
744519	362783	
744519	362863	Muriel Worth
744519	363064	
744519	363357	
744519	363759	
744519	363989	
744519	364228	Helen Maitland
744519	372906	Grace Van Seer
744520	176076	
744520	265942	
744521	121824	Grandmother in Audition Line
744522	229868	
744523	57381	Rex's mother
744524	246923	Stripper
744525	17189	
744525	109711	Alex
744526	195300	Billy's Video Vixen
744526	195615	Baywatch Auditionee
744526	224184	Melissa
744526	363224	Planetarium Lady
744527	315586	Sally
744528	39866	
744529	17995	Parishoner
744529	100827	Candy Canyon
744529	115635	Jane
744529	363602	Chick #2
744530	404002	Olivia Coleridge (1988-1989) 
744531	404002	Olivia Coleridge (1988-1989) 
744532	302	Tamara Georgievna
744532	3585	
744532	30634	
744532	35932	
744532	92328	
744532	113207	
744532	118126	
744532	124040	Marina
744532	179340	Postmistress
744532	198155	
744532	229004	
744532	229074	
744532	236053	
744532	238099	
744532	238105	
744532	295061	
744532	318146	
744532	350801	
744532	357343	
744532	370163	
744532	381530	Maria Alekseevna Dolgorukaya
744532	386539	
744532	401687	Nurse Masha
744532	411976	
744533	224798	Myrtile Sargot
744533	231928	Deborah Honeywill
744534	617	Maykata na Ani
744534	228845	
744534	264535	
744534	265021	Ruzha
744534	265655	Lilyana
744534	294594	
744534	343400	Maria
744534	357560	
744536	47054	Istambul Prostitute
744536	313889	
744537	232633	
744538	65108	Comic Strip Announcer
744539	101726	Young Nurse
744539	210469	White Woman with Baby
744539	272600	Woman On Set
744540	64689	Marta
744540	88412	Partner's Wife
744540	95960	
744540	341598	
744541	104782	Herself
744541	157674	Nowak's Student
744541	282756	Beata Molibdenowa
744541	366596	
744541	394585	Grazyna Lubicz
744542	258665	
744543	152172	
744543	357962	
744544	84264	Holiday-Maker
744545	238969	Gretchen
744546	30646	Last Woman
744547	225574	
744548	59141	Tanya
744548	335017	Stacey Stanton
744549	146595	Magda
744549	369004	The Crow
744550	41877	Frau mit Einkaufstaschen
744551	279203	Ally Keppel
744552	65118	Young Uba
744553	357217	
744554	23828	Estelle
744556	41030	Leonie
744556	53060	
744556	74427	
744556	86375	
744556	102287	Singer
744556	103128	
744556	107370	
744556	134818	Carla Marventa
744556	155369	
744556	166423	
744556	176642	
744556	180212	
744556	226265	Frau Bredow
744556	262391	
744556	290556	
744556	290855	
744556	307087	
744556	312739	Sein 'blondes Gift'
744556	361377	
744557	8268	
744557	10483	
744557	47043	Mercè
744557	67692	
744557	74596	
744557	88196	
744557	94520	
744557	137429	Leonor
744557	170460	
744557	200515	Carmen
744557	222050	
744557	251590	
744557	256771	Marjorie
744557	258381	
744557	258531	Sally
744557	284896	
744557	354043	
744557	376793	
744558	381329	Susana (1985-1987)
744559	348157	
744560	226475	Olga Korbut
744561	39095	Mother
744561	225993	
744561	243892	
744561	356679	
744561	378536	Dana
744562	1813	1. Modell
744563	69926	Hotel Maid
744563	178231	Kalmár Orsolya
744563	312138	Cousin of Muir
744563	347876	Fair haired beauty
744563	387493	Csilla
744564	102539	
744565	228895	
744566	283788	Anuska
744567	100841	Bar Girls
744568	235719	L'anglaise
744569	161896	Muriel Webster
744570	369419	
744571	120788	Alma
744571	177332	Gast
744571	317545	Anna
744572	54913	Fighter
744573	93498	Heiderl
744573	103140	Ingeborg
744573	103142	Vilma
744573	103143	Sporks Tochter
744573	147257	Schauspielerin
744573	183672	Jane Middleton
744573	197050	Naomi
744573	204636	Inge
744573	275183	Nemea
744573	345930	
744574	140942	Lilita Lopez
744574	158136	
744574	262339	
744574	364027	
744575	35629	Herself
744575	118271	Herself
744575	283721	Herself (with Mark Lane)
744575	397430	Herself - Oswald's mother
744576	13111	Laetitia
744576	17563	Voice
744576	136308	
744576	235710	Falourdel
744576	287591	Mrs. Emily Driscoll
744577	51104	
744577	357944	Mimi Piko
744578	3768	Herself
744578	35629	Herself
744578	94668	Herself
744578	118271	Herself
744578	210854	Herself
744578	380018	Herself
744578	397430	Herself (archive foorage) (wi
744579	147257	kleine Antonia
744580	104370	Toni
744580	164600	Truck Stop Waitress
744581	393204	
744582	114099	Kid #2
744583	24424	Ossi, his daughter
744583	86323	
744583	107366	Ossi Bondy
744583	111953	
744583	122677	
744583	134931	
744583	155423	Ossi
744583	172455	
744583	175775	
744583	188853	
744583	210072	
744583	212276	
744583	225217	
744583	225222	
744583	237228	
744583	244084	
744583	264334	
744583	267326	Ossi/The doll
744583	280345	
744583	290484	
744583	290563	
744583	290709	
744583	303036	
744583	314551	Rita
744583	335028	
744583	367187	
744584	136360	
744585	3161	Child at the swimming school
744586	54827	Lady Elizabeth
744586	383055	Leonard's secretary
744587	199079	Dancer
744588	349132	
744589	393712	Herself/Reporter
744589	402150	Herself/Jornalista
744590	159599	La Japonaise
744591	48680	Helen Yoshida
744592	173595	
744593	20625	Extra
744594	257718	Ichijo, Kiyomi
744595	298815	
744596	79849	Herself
744597	1471	Kazuhiko
744597	30796	Ririko
744597	137006	Tami
744597	139733	
744597	213282	Komachi
744597	280097	Yumi
744597	298836	Yukari Asakawa
744597	373333	Girl on a bike
744597	397867	
744598	235034	
744599	374633	
744600	171733	
744600	335982	Dancer
744601	386963	Kitty Wyatt (1999-2000)
744602	334905	
744603	139856	
744604	50064	
744604	76475	
744604	98372	
744604	121714	Kuriko's mother, age 50
744604	139851	Fude Hatanaka
744604	141737	
744604	156238	Yasukichi's lover
744604	172302	Kayoko
744604	173257	Mie Akino
744604	178307	Otoki
744604	179398	Keiko Kuwayama
744604	215380	
744604	232559	Oko
744604	232562	
744604	232689	The Girl
744604	334878	
744604	341228	Sono/Koine (plays two parts)
744604	370361	Akane, Minoru's sister
744604	374108	Oyae
744605	200976	Tomoko
744605	222922	Takako Sasamoto
744605	334911	Namiko
744606	47857	Sushi Bar Waitress
744607	89416	
744608	192885	
744609	181883	Sairaanhoitaja
744609	395257	Tauski's mother
744610	30742	
744610	103532	
744610	192932	
744610	328117	Lupita's mother
744610	329216	
744611	162883	Restaurant Hostess
744612	98967	Mara
744613	356503	
744614	356503	
744615	1674	Herself
744615	24430	Flight attendant
744615	95080	Ms. Heller
744615	160560	Mayor Wilson
744615	189233	Jane
744615	195274	Mary
744615	197706	Molly
744615	288700	Rita Delvecchio
744615	288703	Herself
744615	288710	Herself/Various Characters
744615	288716	Herself
744615	288718	Herself/Various Characters
744615	289666	Gail Hailstorm
744615	305379	Globotech Telephone Operator
744615	305572	Linda
744615	306142	Herself - Host 1995-1999
744615	307206	Burnadette Best
744615	320106	Maria Villanova
744615	366872	Montana
744615	404337	Various (1995-2000)
744616	210427	
744617	14770	Enfermera
744617	77377	Candela
744617	156085	Herself
744617	202296	Mariana
744617	253315	
744617	259959	
744617	274705	
744617	287490	
744617	307027	
744617	352632	Ana Fonseca
744617	357187	Katy
744617	384795	Nuria (1999-2000)
744617	408418	Yoli
744618	38029	Bar guest
744619	19686	
744619	20098	Dancer
744619	344712	
744620	68610	
744620	69222	
744620	74554	Maria
744620	77242	Suzette
744620	101595	
744620	124660	
744620	248232	
744620	248233	
744620	339205	
744620	355953	
744620	377104	
744620	378497	
744621	296495	
744621	357892	
744622	393838	Herself - Host (1988)
744623	24714	
744624	368943	Clerk
744625	74584	Gloria niña
744626	308751	
744627	98974	Enamorada
744628	135366	
744629	51940	Tango Woman
744630	13042	Viviane
744630	15037	Axelle Aubin-Fournet
744630	20117	
744630	27917	La mère
744630	28553	
744630	48790	Isabelle
744630	51152	Anne
744630	51229	Phénice
744630	54393	Emma
744630	60890	Laure
744630	62564	Jeanne
744630	66728	Isabelle Margaillan
744630	66748	
744630	68359	
744630	83106	Thérèse Maye
744630	83348	Mariette
744630	94325	
744630	98954	Agnès
744630	112832	Laurène Mansard
744630	146370	Herself
744630	166105	Thérèse
744630	166357	Jeanne
744630	170103	Le juge Sophie Beaulieu
744630	202296	Magda
744630	220697	Dominique
744630	225445	Anne
744630	247980	Lena
744630	248931	Victoria
744630	266396	
744630	328373	Liliane
744630	328411	
744630	345284	Claudine Bouttier
744630	353944	
744630	354026	Carole Lamberti
744630	354586	Béatrice
744630	354914	Isabelle
744630	385216	Commandant Hélène Vallon (200
744630	386153	Régine Texel
744630	386282	Diane Carro
744630	389732	
744630	390515	Philipinne Leclerc
744630	393842	
744630	408002	Anne de Battaincourt
744631	73295	
744631	339139	
744632	19466	Herself
744632	21590	
744632	349333	Herself
744632	378856	Herself - Host (1988-1989)
744632	384644	Herself - Host (2000-2004)
744632	393584	Herself
744632	396182	Herself - Host
744632	400939	Herself - Host
744632	403693	Herself - Host
744633	250476	
744634	384118	Cecília 'Ciça' (1999)
744635	110749	Salesgirl
744635	120717	Madre sin texto
744635	146370	Herself
744636	233948	Prostitute
744636	403006	Herself
744637	202019	
744637	267877	Prostituta
744638	96341	
744639	397016	Gloria Mendiola
744639	400797	Estela
744639	403173	Katy
744640	58193	
744640	205690	
744640	251311	
744640	252066	
744641	157215	
744642	404058	Host (1981-1982)
744643	222226	Yvette
744644	162799	
744645	33685	
744645	82424	
744645	212577	
744646	44185	Black Hooker
744647	14800	Beatriz Viterbo
744647	52960	
744647	76118	
744647	238144	Elsa
744647	264262	Rocío
744647	328249	Chica
744647	333640	
744647	395042	
744647	406728	Condesa (1991)
744647	407599	
744648	323300	
744649	281581	Carlota (Child)
744650	311120	Herself
744651	142266	Herself (Hausfrau, Ehefrau ei
744652	285696	Sarra
744653	207563	
744653	293878	Dr. Sadar
744654	345219	Herself
744655	162979	Corinthian Circle member
744656	55725	Herself
744656	105845	Kate
744656	130307	Kathleen
744656	302149	Elaine Johnston
744656	365380	Emily Reed
744657	6901	
744657	133559	Mother Rosenbaum
744657	134293	'Deep Sea Kitty' Doyle
744657	159508	Miss Parliss
744657	188029	
744657	194800	Mrs. Arthur Standish
744657	213307	Hippolyta
744657	215619	Miriam Arnold
744657	240012	Nancy Sykes
744657	274753	The Princess
744657	292548	Mrs. Miltimore
744657	336263	Anne Mayhew
744657	339641	Effie Stilwell
744657	346033	Madge Carson
744657	363570	Pearl De La Marr
744658	277071	Lincoln Cheerleader
744659	128896	Connie Watkins
744659	220830	Fluffy
744659	252426	Thelma
744661	58175	Waitress #1
744661	187328	Lily
744661	304561	Rebecca
744661	306853	Cindy
744662	215695	Susan
744663	9073	Lara
744664	211861	
744664	313880	
744665	82167	Second Musician
744666	44450	Woman #1 - Democratic Convent
744666	208089	Gourmet Hunter
744666	407369	Officer Yoriko Nikaido
744667	351645	Elena/Amarna
744668	17879	
744668	121452	Nagisa Fujioka
744669	62190	Sister
744669	62196	
744669	123972	
744669	167731	
744669	189224	Vixen
744669	203241	
744669	216401	
744669	239148	
744669	249377	Lee's new girl
744669	268717	Lily
744669	284722	
744669	302601	
744669	302606	Fong
744669	324346	
744669	371563	
744670	66621	Tony Luna's Mother
744671	232611	
744671	244537	
744671	308884	Iwaki's Wife
744672	143712	
744673	168847	Chizu Yajima
744673	174877	Shizue
744674	62180	
744674	63542	
744674	104269	Kyoko Ikebe
744674	125198	Oyone
744674	125199	Oyone
744674	137006	
744674	144678	Yuriko, Hideko's sister
744674	172105	Takemaru's Nurse
744674	216499	
744674	271915	Sue's Old Lady
744674	341321	Mr. Tanno's second wife
744674	373218	
744675	227319	Kumiko Hattori
744675	227320	Kumiko Hattori
744676	4557	Osasa
744676	8794	(segment 1)
744676	8800	
744676	9150	Takako Ishikawa
744676	9151	
744676	9274	
744676	9417	
744676	9479	
744676	9596	Jijyu
744676	18675	Kimino
744676	21330	Herself
744676	21823	
744676	37623	
744676	39285	Namie Yasui
744676	43064	Kyoko Yamai
744676	43065	Masa
744676	61221	Taeko Sakai
744676	61442	Hideyo, after age 40
744676	61525	Toyo, Mother
744676	62097	
744676	76875	
744676	76889	Shizu Kuboyama
744676	76906	Nobuyo Yamaki
744676	76907	
744676	78662	
744676	91188	Nanako
744676	98115	Tomoko, Takashi's wife
744676	125382	Takako Ishikawa
744676	125422	
744676	125684	Murasaki no ue
744676	127745	Sakie/Umeko (plays two parts)
744676	127858	
744676	130252	Toyoko Yanagawa
744676	137040	Take Yamada
744676	137043	Toyo, the mother
744676	137124	Tamiko
744676	137267	Sumie, Mitsumasa's wife
744676	138060	
744676	138100	
744676	147357	Omomo, Sashichi's Wife
744676	149122	The Housemaid
744676	156158	
744676	164100	
744676	167578	
744676	169694	Kakuko Mori
744676	172111	Otoyo
744676	173261	Taka
744676	173272	Middle aged woman
744676	174356	
744676	174881	
744676	176577	
744676	176578	
744676	176579	
744676	176587	
744676	176607	
744676	179341	Ikuyo
744676	179519	Mrs. M
744676	179527	
744676	180138	
744676	182476	Odama
744676	182717	Ryoko Kariba
744676	193230	Katsue
744676	194068	
744676	198946	
744676	213595	
744676	214309	
744676	215109	
744676	222517	
744676	226460	Atsuko Fujikawa
744676	227183	Masa, Kichitaro's wife
744676	230139	Tamiko
744676	232611	
744676	232903	Gorosuke
744676	233136	Goddess of Anenouzume
744676	234908	
744676	234956	
744676	239199	Noriko Ishiyama
744676	239321	Akiko Yano
744676	241945	Woman
744676	242172	Fujiko Shirakawa
744676	242186	
744676	245881	Shizu
744676	271672	Mother
744676	284076	Hagiyo, Chiho's mother
744676	285929	Narrator
744676	287531	Teru
744676	287556	Okaji
744676	293460	Wife
744676	293661	
744676	294049	Ayako Ohta
744676	298722	
744676	298951	
744676	299234	
744676	299291	Ochiai's Wife
744676	299591	Tamiko/Prostitute Yuki (plays
744676	300471	Ginko
744676	326253	Tamasode
744676	327938	Tei Ishikawa
744676	334938	
744676	334960	Yukari
744676	341305	Densuke's mother
744676	341318	Fumiko
744676	341320	Aunt
744676	344119	Yasuko Muto
744676	348898	(segment 'San jyotai')
744676	358116	
744676	358128	Mino Kawamura
744676	358403	
744676	370233	Mother
744676	370279	
744676	370280	The Princess
744676	370300	
744676	370705	Ume
744676	371787	Hanzo's Daughter
744676	371879	Shizue Kitami
744676	373233	
744676	375584	
744676	400437	Oshin as grown-up
744677	293498	
744678	18900	Hostess
744678	162988	Salme Isola alias Iso Vaalee
744679	380430	
744680	108671	Monbran
744681	376075	
744682	391337	Woman Ghoul
744682	399405	Girl
744683	199311	The Aunt
744684	400764	Megumi Otsuka
744685	9190	Masako Saito, nurse
744685	232610	Ms. Tamura, the school teache
744685	358425	
744685	375558	Masako Saito, nurse
744686	9590	Taneko Ochi
744686	44784	Oyone
744686	167979	
744686	171625	Suga Sasahara
744686	299116	
744686	371981	
744687	38381	Office Worker
744687	407829	Nagi
744688	21354	Nobuko Shimizu
744688	180373	
744688	238383	
744688	299264	Number 29
744688	320762	Reiko
744688	334822	
744688	349104	Kimiko Ikejima
744688	359358	Ryoko Kurasawa
744688	386892	Mariko Nishiyama
744688	391455	Misuzu Nakamura
744688	393147	Junko
744688	406651	
744689	292074	Stôkaa sareru onna
744690	9190	Nurse
744690	375558	Nurse
744691	15861	Tiffanny
744691	99630	Japan
744691	219638	Nancy Nissan
744691	385797	Elaine Yamagami
744692	11775	Babette
744692	42166	Betty
744692	101326	Silvana Orth
744692	142213	Mady
744692	145349	Sheila
744692	157682	Erika
744692	179760	Sophie
744692	182536	Angelika
744692	214005	Mary
744692	248396	
744692	272563	
744692	290455	Betty Tayler
744692	317507	Marion
744693	182305	Fotokund
744694	50076	The Solo Dancer
744695	80635	TV Reporter
744696	28523	Marie
744696	94862	Ruth Mallinger
744696	122550	Gusti
744696	155377	Ältere Dame im Schlafwagen
744696	175308	
744696	189705	
744696	189829	Singer
744696	209975	
744696	301079	Gusti
744696	376125	Fanninka
744696	390924	Resi Huber
744696	395504	
744697	165438	Ann
744698	168289	Dawn
744699	271868	Mrs. Cordenas
744700	40046	Mary Hogan
744700	135513	Woman with Gun
744700	155816	Rita
744700	161875	Shirine
744700	254540	Ispalata
744700	258067	Spanish Girl
744700	272592	Wife
744700	346329	
744700	363339	Betty Avery
744700	366780	Jessie (young)
744701	349595	
744702	61149	
744703	393273	Kvinnlig polis
744704	23231	
744705	163248	Extra
744705	212837	Drunk Lady at Wedding
744705	321126	Mother and Family on Boardwal
744705	399769	Wall Street Employee
744705	406177	Tourist
744705	408036	NY Mets Fan
744706	254621	Nurse
744707	161126	Vestal Virgin
744707	356147	Aldina
744708	103201	Profesora de Interpretación
744709	286913	
744710	102460	Boerenmeisje
744710	168998	
744710	179720	Willy, Daughter of Brand
744710	318469	
744711	271853	Starlight
744712	42034	Kim
744713	165354	
744713	230103	
744714	177088	
744715	324592	Elisabeth
744716	174715	Annika
744717	23242	Baldame
744718	257114	Clinic Nurse
744719	57747	Guard
744720	2063	Wilhelmine
744720	20431	Karin
744720	37708	Leos mor
744720	48324	Mary Holm
744720	49049	Anna
744720	82152	
744720	94273	Tobbens mor
744720	119463	Pia
744720	153287	Mie Jacobsen
744720	153288	Mie
744720	153289	Mie
744720	159637	Margrethe
744720	170828	
744720	177092	Gudrun
744720	179082	Huldra
744720	180449	
744720	184922	Mor
744720	201395	Elsa, Vincenzos kone
744720	219879	
744720	229298	Jente i studio
744720	257413	Resepsjonsbetjent
744720	259354	Kristina Eldefoss
744720	266555	Liven
744720	293649	Runi Winther
744720	326048	Framtidsuhyre
744720	356489	Wilhelmine Hansen
744720	382558	Wenche (1998)
744720	389317	Pia
744720	391842	Eva Holm
744720	405905	Narrator
744720	407326	
744721	115402	Old woman
744721	164651	Customer
744721	182566	Old woman in Ravensbrück
744721	304403	Guest at the party
744721	357762	Church visitor
744722	51302	Herself - Host
744722	104779	Danish vote presenter
744722	147018	Herself - Co-host
744722	170848	Herself - Host/Performer
744722	212332	Herself - Host
744722	212333	Herself - Host
744722	212334	Host/Performer ("Jay")
744722	242969	Herself
744722	246034	Herself - Reporter/Presenter
744722	383100	Herself - Host (2000-2001)
744722	388392	Herself - Co-host
744722	399790	Herself - Host
744722	403994	Herself - Host (2002)
744722	408654	Herself - Host
744723	82152	
744723	177092	Inga Li
744724	212334	Herself - Participant/Perform
744725	154678	Jomfru
744726	158812	Nude model
744727	84393	Laila
744727	408494	Tonje Lian
744728	102118	Susanne
744729	114961	Herself
744730	298314	Customer
744731	7038	Marie Sylva
744731	11323	Filomena
744731	17475	Mrs. Feldermans
744731	18197	Sra. Buvino
744731	21540	Lena
744731	43469	Miss Trigge
744731	73124	Landlady
744731	75481	Mrs. Higgins
744731	85109	Malita
744731	100662	Francesca, a Castle Servant
744731	110937	Della, Alison's Maid
744731	115810	Lili Salvatore
744731	132806	Suzette
744731	133589	Mrs. Joe
744731	154481	Madelon
744731	154881	Proprietress
744731	185289	Retta
744731	186276	Ma Sims
744731	186638	Dora Chapin
744731	191646	Mme. Lupinsky
744731	194052	Bella, a Tropical Woman
744731	194892	Rosa, Marian's Maid
744731	195071	Gaby's Maid
744731	199184	Ning
744731	203931	Madame Countess
744731	205724	Louise, Marie's Maid
744731	206459	Maid
744731	208719	Ellen, Marcia's Maid
744731	231863	Neighbor woman on steps
744731	241361	Elvira (the maid)
744731	249021	Fluschotska
744731	275438	Mme. Bouclier
744731	278174	Matron
744731	295448	Madame Frisson
744731	297909	Russian Rita
744731	318246	Maria De Teba
744731	329429	Nikki's Personal Maid
744731	335955	Lillian, the Housekeeper
744731	337178	Felicianne
744731	353520	Madame Makanoff
744731	354201	Mrs. Henrietta Sullivan
744731	359747	Mona Farrell
744731	360533	Mrs. William Anderson
744732	349536	Ragazza sauna
744733	35494	Die Nymphe der deutschen Roma
744733	184763	Kakalia Katzen
744733	226253	Herself
744734	75717	Lorie Peckarovski
744734	367083	Dancer
744735	19362	Doctor
744736	4779	Frau Wiese
744736	124987	Marianne
744737	8363	Nurse
744738	138431	Jeanette
744740	166763	Schulorchester
744741	199639	Katy
744742	207703	Annie
744742	399816	Jan Butterfield (1974)
744742	401828	Mrs. Kilroy
744742	405960	Frannie Henderson
744743	276443	
744744	100918	Herself
744744	189611	1. Prostituierte
744745	119197	
744745	124987	Woman in Bordello
744745	147186	Model
744746	326972	Doting Mom
744747	72602	Harriet
744747	161293	Herself
744748	170671	Frau Hasentraffer
744749	21235	
744749	143442	
744749	351749	Phyllis Brown
744750	137294	Model #5
744751	398711	Anastasia 'AJ' Burke
744752	359063	Lisa
744753	1073	Rebecca
744753	78318	Glenda Lake
744753	80493	Alice Walsh
744753	88465	Herself/Eowyn
744753	88912	Clara Strother
744753	89387	Patsy
744753	99969	Emma Grange
744753	115520	
744753	128480	Nell Tiscowitz
744753	143915	Roma Page
744753	152555	Gabrielle
744753	157826	Penny
744753	158494	Ronnie
744753	159757	Stevie
744753	164415	Cora Redding
744753	170436	Julie Makowsky
744753	177120	Anna
744753	185197	Annie
744753	194495	Eowyn
744753	194499	Herself
744753	194500	Eowyn
744753	194502	Eowyn
744753	196033	Dimity Hurley
744753	235357	Jennie O'Brien
744753	295784	Viv
744753	330388	Marty Bell
744753	340812	Mimi
744753	356581	Ruth
744753	361291	Katherine
744753	362312	Mary Feur
744753	408145	Lindy Chamberlain
744753	410672	Mrs. Hurtle
744754	390771	Marah Shayne Lewis #1 (1987)
744755	97688	Store Clerk
744756	344862	Lídia
744757	364931	
744758	11787	Karis mor
744758	48130	Pliktoppfyllende mor
744758	99514	Gudleiks mor
744758	105363	Marja Syssojevna
744758	166593	Frk. Bull
744758	180710	Fru Breien
744758	237066	Melkemadamen
744758	287550	Fru Christensen
744758	303678	Elses mor
744758	334230	Else Nordgaard, hans hustru
744758	347004	Lagerta
744758	349003	Claus' Mother
744758	353047	
744759	77949	Mrs. Robertson
744760	366743	Townsperson
744761	101338	Frau Wallhaus
744761	121033	Martina Seefeld
744761	231607	Lehrerin
744761	259644	Schaffnerin
744761	259661	
744761	272478	
744762	229648	
744763	159536	Ragazza amico Alessio
744763	229648	
744764	68253	
744764	91171	
744764	140565	Silvana
744764	248869	
744764	351645	Elena/Amarna
744765	75242	Commessa
744766	65729	La jeune veuve
744766	119803	French nursemaid with Little 
744766	128294	Girl at Sidewalk Cafe
744766	204648	
744767	22844	4. Kollegianer
744768	142231	Kone i nattklubb
744768	154604	The informer
744768	177092	Åshild
744769	192657	Woman at midsummer festival
744769	202774	Dinnerguest
744769	303663	Guest at the birthday party
744769	303666	Carmencita's mother
744770	84296	Herself
744771	318871	
744772	271490	
744772	342571	
744773	268429	
744774	96400	
744775	321522	Darlene
744776	12744	Bar Girl
744777	4794	
744778	409361	Slime Tour Referee (1997-2001
744779	355924	Extra 3
744780	95936	
744781	148365	
744781	196248	Mriel Mereton
744782	19346	La coiffeuse
744782	92044	Coralie
744782	134957	
744782	209944	Julie
744782	254133	Sarah
744783	212162	
744783	283982	Júlia
744783	293905	Maid Guilhermina
744784	128988	Camarera
744785	52082	Doña Sica
744786	355808	La bonne de la voyante
744787	95224	
744788	125370	Dans le couloir
744789	190628	Anna
744790	257354	
744791	17868	Carole
744792	286655	Halima, la mère
744793	300230	Doll/Jill
744794	286810	Donna nomade
744795	214387	
744796	288315	
744797	103877	Frida
744797	340184	Lilia
744798	377247	Cantinière 1
744799	24916	
744799	100115	Élodie
744799	211138	
744799	250664	Wardrobe Assistant
744799	258839	Cécile
744799	399082	Virginie
744800	216240	Old Woman
744800	223977	Peasant Woman #2
744801	27694	La femme de l'épicier
744801	377247	Cantinière 2
744802	236599	Soeur
744803	41796	Chibana, Ryoko
744804	301613	Dr. Jessop
744804	359195	Aya Kawashima
744805	271421	Zineb, la deuxième cuisinière
744806	181326	
744807	107958	Natalia
744807	332623	L'avocate
744807	337025	
744808	6386	Laurel's mother
744808	123688	
744808	200942	Jeanne
744808	261820	Ursula
744808	266397	
744808	269244	L'employée
744809	218464	Secretary
744810	11934	La vendeuse de glaces
744810	71528	
744810	101233	Julie
744810	107512	Denise
744810	205765	Martine
744810	229052	L'assistante sociale
744811	393556	
744812	7204	Meisje in disco
744813	50791	Somkeita
744814	7710	Elalie
744814	265716	Assita
744814	333018	
744814	370199	Koudi
744814	370400	
744815	50791	Razugu
744816	333018	A female villager
744817	370400	
744818	333018	Koudpoko
744819	361350	Timpoko
744820	135346	
744821	74920	Mireille
744822	238163	Pouilleuse
744823	257434	Fan #1
744823	382196	
744824	313100	Monitor
744825	303617	
744826	194706	Flutist
744827	25109	
744827	66720	Mme Laframboise
744827	280041	
744827	384214	La tante d'Isabelle
744827	398039	Rose Moineau
744828	24585	Danseuse
744829	157004	Sarah
744830	21730	Fille draguee
744831	210198	
744832	34380	Mrs. Bodge
744832	52448	Victoria
744832	80538	
744832	101067	Martha Teavle
744832	129403	Mrs. Latter
744832	169818	Mrs. Tribbets
744832	206885	Mrs. Otery
744832	208657	
744832	232276	
744832	290349	Mrs. Dealtry
744832	311988	Minna
744832	318074	
744832	329951	Housekeeper
744832	330172	Mrs. Greene
744832	330603	Pettit
744832	331474	His Mother
744832	366038	Mme. Asticot
744832	367440	Mrs. Jones
744832	371025	
744834	85542	Virginie
744834	112882	
744834	159768	Nadine
744834	238426	Grand-mère
744834	282279	Valerie
744834	350124	Valerie
744834	370104	Marie
744834	400383	
744835	269725	Miss Vette
744835	380863	Elizabeth Turcotte
744836	195137	Voice Off
744836	380717	Lily Gagné
744836	411623	Diane
744837	26093	First Victim
744838	100343	La mère
744839	180095	Yokihi
744839	242313	Umeko
744840	135946	Women
744841	10548	Schoolgirl
744842	286655	Musicienne #1
744843	351549	Le serveuse de café
744844	299882	Stefani
744844	388209	Lana Borodin (2003-)
744845	237422	Girl at Dance
744846	382830	Ellen Nussey
744847	46794	Circus Performer
744848	6623	Ravy
744849	190213	Arab neighbor #2
744850	381111	Herself (Paul Newman Biograph
744851	60109	Aunt Gina
744852	371854	Otora
744852	374109	Osato
744853	127059	Monia
744854	41165	Mother
744855	48452	
744856	21730	Proprietaire du hammam
744856	28395	
744856	346767	
744857	51286	Patricia
744858	28681	La jolie femme
744859	329839	Thelma
744860	19686	
744861	115794	
744862	169541	Emina
744863	224888	Sidonie
744864	143729	
744865	381193	Pia donna
744866	280365	
744867	126276	Girl in Car
744869	282024	Philomena
744870	13990	Stage Manger's Date
744870	232483	Angela
744870	297261	Hairdresser
744870	382828	Ellen Bronkov
744871	24669	Setti
744871	59094	Serveuse bar 'Le Grillon'
744871	149115	Aiti
744871	328432	Grand-mère
744872	107344	
744872	172575	Helima
744872	262945	
744873	109002	
744874	344737	
744875	16937	Artist's Wife
744875	350811	KGB Agent
744875	394750	Rosa
744876	35822	Mme. Tanya
744876	69676	Countess Pelagia Walewska
744876	77685	Madame Basilova
744876	89100	Baroness Von Obersdorf
744876	92455	Franziska Speyer
744876	118943	Maleva
744876	155017	Madame Goronoff
744876	169889	Mrs. Judith Volduzzi
744876	176188	
744876	177689	Madame Marie von Eln (Parris'
744876	178042	Mme. Karina
744876	195303	Grandmother Janou
744876	203132	Frau Gerhardt
744876	219557	Hilda Breitner
744876	224721	Madame Cecile Roget
744876	231477	
744876	271293	Maharani
744876	297369	The Amah
744876	320626	
744876	324556	
744876	325105	Amazon Queen
744876	341328	The matchmaker
744876	360068	Madame Olga Kirowa
744876	367288	Maleva
744876	367338	Old Gypsy Hag
744876	369359	Maria
744877	239238	
744878	130677	Woman in dance hall
744878	255827	Bit Part in Church Scene
744879	382458	Mira Reznik
744880	7382	
744880	48320	Liverpool Hooker
744880	88559	Policewoman on the roof
744880	119230	
744880	161116	
744880	163952	
744880	219344	Nurse 2
744880	314886	Susan ter Horst
744880	320071	Carolien
744880	378773	Sylvia
744880	386628	Marga Maarseveld (2001-)
744880	410838	Freia Meuleman (1999)
744881	60824	
744882	175942	Mother
744883	340872	Betty Boulangère
744884	2997	Love interest
744884	27079	Lili Taylor
744884	27567	Herself
744884	113303	Natalie Taylor
744884	153711	Kansanparantaja, tietäjäakka
744884	189992	Herself
744884	201569	Narrator
744884	245051	Dean's Mum
744884	274027	Cpl. Jo McDonagh
744884	362852	Caz
744884	387247	Melanie Healy/Beale/Owen (199
744884	387248	Herself
744884	389230	Frances Tuesday
744884	403059	Sgt Jo McDonagh
744885	2792	
744885	8903	
744885	64288	Herself
744885	93230	Tuula
744885	102327	Paula
744885	102663	Tarjoilija
744885	146617	Shopkeeper's Wife
744885	156540	
744885	170247	Marja
744885	170594	
744885	172294	Pukija Päivi Suominen
744885	174779	Ilona
744885	181859	
744885	190671	Jessica
744885	213417	Irma
744885	225438	Katinka
744885	236361	Rose
744885	246674	Hoitajat
744885	246913	
744885	255386	Tatjana
744885	260500	Päivi, mother of Niila
744885	264290	
744885	285801	Tarja, Ippen äiti
744885	309382	
744885	322287	
744885	327727	(segment "Dogs Have No Hell")
744885	341608	Iiris
744885	343510	Lissu
744885	350673	Ilona
744885	376036	Inkeri, Baggerfahrerin
744885	392292	Erja
744885	393764	Elina Valo, Lampun äiti
744885	410461	
744886	273222	
744887	43162	Sidni Fishes, Dan Joop
744888	75705	Terri Lewis
744888	246604	Homegirl on the Street
744889	72104	Cover Girl: Red Book
744889	302467	
744890	192100	Roney, Stripper
744892	141271	Irene
744892	286380	Myrtle
744892	348099	Estelle
744893	287892	Prostituta
744894	346476	
744895	261116	Cocktail Model
744896	1123	Aafje
744896	7204	Roxanne
744896	130227	Hanna
744896	393184	Reclamevrouw
744896	411949	Zeeuws Meisje
744897	312659	Fleur
744898	247492	Auditor Rachel Molotov
744898	271350	Angela
744899	25898	
744899	369802	Grandma
744899	371595	Mrs. Chen
744900	410074	La stagiaire
744901	376999	
744902	259212	Aïcha
744903	162296	
744904	101978	
744905	69631	
744906	384373	
744907	17398	
744907	242682	
744908	401871	Lollipop singer
744909	212283	(segment Slovo)
744910	140051	Lali
744911	211113	
744912	230075	Manuela
744912	390496	
744913	244644	
744914	253639	Natasha
744915	3179	
744915	8282	
744915	10417	
744915	33819	
744915	43075	
744915	84759	Katya
744915	84820	Nastya
744915	95617	
744915	95936	
744915	104429	
744915	154605	
744915	179668	
744915	198082	
744915	202648	
744915	229925	
744915	244253	Nyurka
744915	264534	
744915	278844	
744915	301898	
744915	303800	Warwara
744915	307614	Katya
744915	320681	
744915	339026	
744915	343959	
744915	349078	
744915	349840	
744915	352446	
744915	356039	
744915	376234	
744915	382445	Valya, Petrykin's bride
744916	357227	Fira Kupershmidt
744917	357745	Hanka
744918	357745	Kamila
744919	104954	
744919	129055	Esther Hadassi
744920	234153	
744921	314675	Clinic Clerk
744922	4919	Betty
744922	38140	Rowena
744922	75668	Pauline
744922	112182	Evie Spangler
744922	123303	Melody O'Rourke
744922	131571	Florence
744922	150885	Lillian Huber
744922	159558	Warr. Off. Charlene Porter
744922	161354	Herself
744922	177204	Samantha's Mother
744922	194727	Richard Doolan's Girlfriend
744922	215905	Connie
744922	245728	Tyria Moore
744922	262626	Paula Sims
744922	263450	Dot Hutlemeyer
744922	304494	Derek's Mom (Chastity)
744922	310423	Melba May
744922	313778	Shirl (waitress)
744922	323225	Marion
744922	323970	Debbie/Agnes (voice)/Theresa
744922	334214	Prof. Shellington
744922	346223	Bonnie Newman
744922	350488	Lynn
744922	353265	Jane
744922	358825	Herself
744922	362701	Gail
744922	385261	Alice Tompkins
744922	387546	Laverne Higby Todd Kane
744922	394224	Katie Joplin
744922	395054	Clair Stiles (1999-2000)
744923	22802	
744923	92618	Wedding Party
744924	168373	
744924	211025	Iaiá
744924	219581	
744924	307828	
744924	369497	Empress Teresa Cristina
744924	379101	
744924	380166	Margarida
744924	380946	Alice
744924	381773	
744924	400656	
744924	402626	Mariana
744924	403618	
744924	407864	
744924	409424	
744925	153286	Märta
744925	184593	Else
744926	2321	Amy
744926	102209	
744926	152910	Meg Maddux
744926	196131	Molly
744926	215438	Mary
744926	245275	Alice
744926	321126	Iris (Hooker #2)
744926	365088	Carol Hilley
744926	390771	Jenny (1999-2000)
744926	406363	Dayna Jurgens
744926	407950	Patty
744927	34101	Kate
744928	398636	Herself - Host
744929	100034	Anchorwoman
744929	101070	Field Reporter #1
744929	122658	Civilian Secretary
744929	148594	Dawn Daniels
744929	275871	Sideline Reporter
744929	301391	Sarah Hughes
744929	348303	Herself - WFIL Reporter
744930	12522	
744930	28569	
744930	31885	
744930	70110	Anne Collins
744930	79616	Henriette
744930	93516	
744930	107024	Caroline Kelner
744930	117457	Lotto Girl 1
744930	135608	Selena Russell
744930	159506	Robin
744930	161544	Anna Michelzewski
744930	237404	Barn
744930	240694	Kristen
744930	330276	Etta
744930	333856	Helga Dahl
744930	346128	Toni Cutter
744930	351798	
744930	353364	Helga
744930	364025	Bregitta
744930	392087	Maid (segments "Tricks" and "
744931	411296	Herself
744932	338009	Slaughterhouse staff
744933	230321	Becky Olson
744934	154866	Ellen Gallagher
744935	266232	Sandra
744936	269286	Catty
744937	381238	Blonde with Arkie
744938	335785	Mother
744939	405243	Herself
744939	406789	Herself (1999-2000)
744940	50816	Scratch's Girlfriend
744941	12319	Party Guest
744942	88559	Lady in striking gown
744943	46965	Hilde
744943	177196	Ylonka
744943	217064	Hilde
744943	375723	Teenager
744943	376436	Prinses Lentelust
744944	151608	Margaret's Sister
744944	222213	Heather
744944	355980	Thyrza Goodeve
744945	129900	Party Girl #1
744945	178862	Martinez
744945	192219	Drunk Girl
744945	358642	Shirley Evans
744945	389858	Gabriela Garza (2000-2002)
744945	401930	Gabriella 'Gabby/Gigi' Garza,
744946	331541	Lead Singer
744948	260212	
744949	137195	Julie Faustino
744950	185321	Woman #1 In Theatre
744951	254774	Blondie
744952	72931	Goodyear Chorus Girl
744953	135161	Selene
744953	161864	Serena Blue
744954	323748	Olga
744954	331602	Receptioniste casino
744955	3113	Mourner
744955	69429	Dame Pruyn
744955	86542	Mrs. Harrell
744955	101086	Natalya
744955	213186	Operative
744955	218767	Nun
744955	240471	Operative
744955	258878	Baum's Wife
744955	323748	Olga, the Russian
744956	125011	
744957	263798	Hostage #1
744958	32895	Ellen's Friend
744959	280365	
744961	256328	Nurse
744962	253059	Model
744963	363928	Janet
744964	363928	Suzy
744965	190261	Martine
744965	246683	Anna
744965	273772	Judge
744966	129401	
744966	200241	Mary
744966	273316	Mother of Aaron
744966	308713	Helen Lachance
744967	46368	
744967	163344	Erica
744967	278437	Becky Smith
744967	360686	Dahlia Landry
744967	379716	Rain Wilkins (2000)
744968	85850	
744969	191769	Katy
744970	16467	Cigarette Girl
744970	128894	Sarah
744970	316955	'Romeo and Juliet' Girl
744970	330105	Charity
744971	46353	Firefox
744972	312056	Natasja
744973	116385	Herself - EU Ambassador
744974	34122	
744975	7792	
744976	130307	Hostess
744977	58253	
744978	77186	
744979	231427	
744980	11091	Sophie
744980	39956	Young Brian's Girlfriend
744980	219605	Porn actress
744980	260785	Jenny
744981	83364	Anna
744981	269127	Gudule
744981	340205	
744982	48784	
744982	143789	
744982	269918	
744982	340041	
744982	349464	
744982	351632	
744983	231083	
744984	282140	
744985	228153	
744985	383390	Margarita
744985	393364	Dora
744985	401106	Lidia (I)
744985	412124	Coral
744985	412153	Marlenis de Torres
744986	217563	Chica 2
744986	386127	Juana (amiga de Mabel 'Mabeli
744987	249877	The Psychologist
744988	40917	Marianne
744989	109631	Gretchen
744990	156653	
744991	387572	Virginia
744992	141301	
744993	26846	Antique Store Saleswoman
744993	62994	
744993	127255	Slimed Restaurant Patron
744993	170843	Stewardess
744994	12806	Alyonka
744995	248647	
744996	127290	Charlie
744997	26248	
744997	162754	
744997	180478	The Mother
744997	237811	
744997	340724	
744997	349355	
744997	374407	
744998	65554	Charmian
744998	66121	Elaine
744998	75797	
744998	107864	Karen
744998	112205	VIP Stewardess
744998	161108	New Orleans whore
744998	163496	Production Assistant
744998	219125	Quant
744998	243213	Cornelie
744998	244316	Bianca
744998	276239	Ms. Black
744998	360129	Mona
744998	380844	Tyler (series 2, 2001)
744998	395191	Etty
744998	405088	Angela Dunn
744998	406073	Paula Hernandez
744999	34448	Cashier
744999	252936	Cute Salesgirl
744999	319876	Girl in Sarong
745000	84912	Maya
745001	307221	Maid
745002	140389	Mira
745003	381906	Herself
745003	381911	Herself (2000)
745003	387953	Herself
745003	387954	Herself
745004	75985	
745005	307325	Oberstens barnebarn
745005	382884	Jørgine
745005	383948	Joan, Cafeteriaansat
745006	49345	Paint Girl
745006	392098	Estelle
745006	406755	
745007	406685	Cody (1999)
745008	210541	Sandra
745008	408877	Lisa Watkins (1983)
745009	315665	
745011	16073	
745011	337482	Dancer
745012	307687	Bronwen
745013	383742	Various Celebrities (1999-200
745014	3888	Herself
745014	49326	Susan
745014	380391	Dr. Paula McCrea (1971-1972)
745014	380713	Linda Elliot #2 (1961-1964)
745014	398539	Marilyn Munster (1964)
745015	113931	Lisa's Mother
745016	220638	Rose
745017	32910	Ellen Robinson
745017	44451	Joan Sheldon
745017	82048	Alice Randall
745017	117449	
745017	145964	Princess Orsolini
745017	280474	Princess Vera
745017	316907	Elizabeth
745017	318075	Elinor Kranz
745017	334582	Eve Warner
745018	16078	Girlfriend
745018	109415	Grace, Receptionist
745018	115474	Mrs. Frost
745018	118304	Nurse
745018	123141	Second Woman
745018	130763	Second Stenographer
745018	149126	First Telephone Operator
745018	201152	House Guest
745018	205724	Woman in Gaming House
745018	254543	Telephone Operator
745018	299064	Stewardess
745019	97201	Pam Jennings
745019	296789	Barbara
745019	385299	Louise Borelli
745020	400566	Cortney
745021	99089	
745023	115531	Herself (historian, Oberlin, 
745024	342692	Susan
745025	107023	Sherry Clarke
745026	108314	
745027	124377	Narrator, 'Time Marches Back'
745028	107947	
745029	183754	Jennifer Williams
745029	234033	Night Nurse
745029	263973	Maggie
745030	41712	Agnes
745030	346020	Neighbor
745031	90335	Herself
745032	276870	Jane & Young Wendy
745032	380276	Susan Collins
745032	383630	Clare Castle
745032	403146	Maeve Lessing
745033	238747	Young Rosa/Young Maria
745033	389630	Zoe Browning
745034	236972	Chinese Girl
745035	408893	Additional Voices
745036	348492	Chorus Girl
745037	326620	Nancy McMahon
745038	363560	Evil Stepsister
745039	279009	Dr. Shaba
745039	330570	TV announcer
745040	101040	Cashier
745041	10485	Elisa Belascoaran Shayne
745041	14693	Recepcionista
745041	20711	Igrid
745041	48781	
745041	73477	Monica
745041	77246	
745041	83776	Elena
745041	96354	Elisa
745041	161431	
745041	200456	
745041	219315	Miss Williams
745041	243592	Margareta, on Stage
745041	246202	
745041	255817	Heidi
745041	259964	Woman
745041	293378	Julia
745041	386016	
745041	395061	Nenena
745041	408859	Mercedes
745042	49577	
745042	49581	
745042	82377	
745042	99832	
745042	141648	
745042	145802	
745042	155993	
745042	191231	
745042	216438	
745042	305072	
745043	119822	Rhonda
745043	190227	Mrs. Pelligrew
745044	24967	Doctor
745044	105226	Gray Ghost Inn Hostess
745044	139178	Waitress
745044	147127	Waitress
745044	150292	
745044	161108	Widow St. Clair
745044	222590	Dorothea
745044	288908	Mrs. McKew
745044	303544	
745044	327627	Motel Receptionist
745044	358274	
745045	80065	Eva
745046	220652	Mother of Twins
745046	402197	Jenny (1981-1986)
745047	372080	Maizie Kelly
745048	161239	Herself
745049	138161	Maria (Dr. Mott's Nurse)
745050	83949	Carla
745051	7972	Herself
745051	41712	Beate
745051	94808	Leonie
745051	118917	Justine
745051	120799	Nell Crayshaw
745051	132122	Mrs. Lewis
745051	185516	Joan Dodds
745051	195300	PM's Secretary
745051	202079	Mally's mother
745051	240835	Frau Fischer
745051	242092	Dilys
745051	257096	
745051	261434	Mrs. Lees
745051	346020	Lily Smalls
745051	348534	Herself
745051	350506	Lady Crawley
745051	363883	White Lady
745051	388327	Iris Brooker
745051	389231	Betty Kane
745051	394500	Ruth King
745051	395565	Ann Shakespeare
745051	395595	Vera Parry
745051	403464	Ann Farrance
745051	405703	Miss. Mansfield
745051	409666	Hazel Forrest Bellamy (21 epi
745051	411356	Elizabeth Harte
745052	65474	Mrs. Winter
745053	121135	Prostitute/BBQ Bangerette
745053	405765	Anna
745054	91923	Eurodollar Agent
745055	330568	Mo-Wa
745055	363426	Marie
745056	256687	Alice/Ballerina
745057	252483	Ma Flynt
745057	279166	Vadie
745058	318358	Nurse
745059	175632	Kathy
745059	283722	Wendy
745060	12317	
745060	194217	Herself
745060	260950	Elite Model
745061	44416	Model
745062	411296	Herself
745063	3178	
745063	21213	Ticket taker
745063	77630	Rix
745063	143220	Lena
745063	154887	Mickie
745063	206864	Soona Fualaau
745063	229733	Emily Gray
745063	241160	Beth Heke
745063	251466	Warrior Woman
745063	258099	Maria Macintyre
745063	272279	Hitirenga
745063	288952	Takiora
745063	300957	Clarissa
745063	313476	Ministerial Assistant Taun We
745063	313477	Senator Nee Alavar
745063	331186	The Gypsy
745063	359973	Crazy Norma
745063	362152	Beth Heke
745063	362917	Katie
745063	364734	Mary
745063	397310	Macy Fields (1996-1997)
745064	11158	Dotty
745064	162354	Princess Maria Clementina Zob
745065	48539	Wife
745065	57169	Cleaning nurse
745066	41875	Pauline Spitos
745067	355665	
745068	115233	
745068	147616	
745069	190154	Herself
745070	99287	Lady in Waiting
745071	22914	
745071	26761	Hester Bevins
745071	35273	
745071	41761	Helena Boursch
745071	42550	
745071	45970	Mary Lee
745071	46550	The star
745071	46559	Ruth Fellows
745071	60176	Carol McCall
745071	64852	Regina Barry
745071	72636	
745071	79887	
745071	101987	Jeannie
745071	107085	Grand Duchess Tatiana
745071	107404	Richmiel Crumb
745071	107786	Attarea
745071	114860	The Flame
745071	117301	June Paige
745071	118532	The Fox Woman, Alice Carroway
745071	121355	Barbara Riggs
745071	127544	Sylvia Alden
745071	129871	Mary Skinner
745071	133863	Camilla Challenor
745071	145003	Ah Woo
745071	146028	Blanche
745071	151079	Shirley Lord
745071	152927	Joanne Gray
745071	154047	Julia Calvert
745071	156779	Jessie Dexter
745071	161542	Attarea, the Princess Beloved
745071	184228	Mary
745071	186228	Ruth Thorne
745071	186827	Eleanor Leavenworth
745071	190141	Laura
745071	199300	Octavia
745071	202890	Betty Dalrymple
745071	203798	Georgette
745071	206387	Rose Sellers
745071	206593	Dorothea
745071	238726	Trixi Du Bray
745071	239848	
745071	241642	Frances Hudson
745071	245114	The Girl
745071	252217	Dolores
745071	263507	Jean Dering
745071	269304	Queen Regina V
745071	278008	The Girl
745071	283715	Yvonne Dorée
745071	298548	Beulah Rutherford
745071	299216	Loie Austin
745071	302884	Yvonne D'Orsy
745071	303276	Alix Strickland
745071	308977	Edna Ellis
745071	347590	Miriam Helston
745071	353518	Alma
745071	367468	Anna Janssen
745071	367676	Paula Letchworth
745071	370567	Gunhild, a Norwegian Girl
745072	302748	Kearsten With A Ear (waitress
745072	313522	Talk Show Host
745073	34829	
745073	44656	
745073	98888	Herself
745073	296995	
745073	327780	
745074	278175	Singer
745074	320294	
745074	332035	Ginger Kelly
745075	30247	Waitress
745076	363734	Sally Bell
745077	96957	Carol Stafford
745077	128259	Molly
745077	147521	Angela Kirby
745077	206465	Sue Carson
745077	215077	Betty
745077	223771	Meg Waring
745077	261023	Helen
745077	295469	Susan Brook
745077	301621	Nellie
745077	308000	Sally Martin
745077	330556	Peggy
745077	370896	Alice
745078	384097	Donna (1991)
745079	333856	Cora Cartmell
745080	82545	Donut Shop Clerk
745081	199499	Grandmother Chandler
745082	126688	Opera Singer
745082	145058	The Fairy Queen
745082	158870	Arnalta
745083	368853	First Girl in Park
745084	33742	Midget Dancer
745085	193884	Helen
745086	27312	High Society Mourner 1
745087	90908	Seminar Assistant
745088	120540	
745088	176910	Singer
745088	188253	
745088	211494	Herself
745089	79972	Talent Show Participant
745090	312363	Lizzie
745091	195134	Adult Catherine
745092	192278	Iced Tea
745092	277954	Maria
745092	341939	Kelly Deer
745092	391544	Asisstant (1987-1988)
745093	272021	Detective #3
745094	193485	Mother
745095	152205	Marybelle
745096	43606	Inez Bavardage
745096	220891	Kitty, the Bench Woman
745096	223009	Loop Group
745096	230985	Mrs. Marsdon
745096	343201	Woman in Elevator
745097	281402	Patron #6
745098	73109	
745099	340791	Ruth
745100	168293	Debs Patterson
745101	201496	Mago
745101	305720	Margo Huntley
745103	155272	Customer
745104	190324	Shannon
745105	372525	Angelo's Wife
745105	382208	Misty Karamazov
745106	355172	
745107	73787	Susanna
745108	96741	Curl Up and Dye Dancer
745108	128727	Dancer
745108	283543	Dancer
745108	290319	Deidre
745108	333549	Dancer/Singer
745109	68232	Ex-Siamese twin/Dancer
745110	191648	Lead singer, Club Band
745111	26381	Kathy Tyler
745111	61647	Lady Executive
745111	93255	Actress
745111	108250	Jan
745111	176965	Amy Kinney
745111	188646	Joanne
745111	213153	Mother
745111	223923	Lottie
745111	235441	Janet Worth
745111	252825	Receptionist
745111	300892	Barbara
745111	321184	Cynthia Levenger
745111	334187	Elisa Wheeler
745111	335480	Julie
745111	339602	Liz Morgenson
745111	347688	
745111	399739	Nancy Kliner
745112	74281	
745112	119821	Ice Box Josie/Girl on Bus
745112	203980	Prostitute
745112	240075	
745112	296755	Hooker
745113	150462	Susan
745114	241000	Angel
745115	64075	Prince's Dancing Girl
745115	108711	Alice
745116	49893	Herself
745118	403280	Lizzie Pickett
745120	219184	Mona
745121	32112	Diana
745121	32275	D'aria
745121	177792	Female Assistant Professor
745122	119560	Sky
745123	213164	Carrie Blass
745124	121596	Anne of Austria
745125	194693	Meter maid
745125	212038	Party Guest
745126	4641	Mrs. Wiggins
745127	46367	Woman
745128	327756	Jesse
745129	175632	Mrs. Varney
745130	224682	Mabel Dawn
745130	316193	Blonde
745131	11030	Sally Parker
745131	27925	Anna Hastings
745131	39929	Clare Grubbs
745131	67313	Betty Hartley
745131	73918	Willow, Opal's Companion
745131	84247	Charlie
745131	101427	
745131	113410	Mary
745131	114632	Joy
745131	116117	Helene Delambre
745131	127193	Party Girl (Joyce)
745131	129103	
745131	131410	Girl in Pub
745131	135839	Lucy Martin
745131	135907	Katherine
745131	138659	Angela Parry
745131	142419	Sheila Lincoln
745131	150877	Joan
745131	162838	Sylvia
745131	178947	Lady Vivien
745131	186263	Peggy
745131	215577	
745131	233562	Jean Martin
745131	239750	
745131	241330	
745131	247561	
745131	289295	Eileen Webster
745131	295396	Grace
745131	323760	Mary (segment "Final Twist' s
745131	330095	Joyce
745131	330420	
745131	358554	Ellen
745131	363573	Bit Part
745131	366018	Connie Lee
745131	369444	Margaret Brandon
745132	65029	Field hospital nurse
745133	12300	Lonely Girl
745134	39984	Herself
745135	153565	Little Girl
745136	70382	Nettie Washington
745136	395815	Rita James (1994-1997)
745137	68232	Ex-Siamese twin/Dancer
745137	96741	Curl Up and Dye Dancer
745137	128727	Dancer
745137	283543	Dancer
745137	290319	Sharon
745137	321306	
745137	333549	Dancer/Singer
745138	40206	
745138	297228	Lorna Rainey
745139	139781	Miss Shirley
745140	380317	Voices
745140	390055	Voices
745140	393326	Voices
745140	408264	Voices
745141	1793	Miss March 1988
745141	155852	Herself
745141	257646	Miss August
745141	257833	Miss March 1988
745141	257859	Herself
745141	330117	Katie
745141	361862	
745141	391835	Herself
745142	125986	Croupier
745142	203381	Attendant
745142	329693	Girl On Scooter
745143	45257	Herself, Mother of Shot Boy
745145	99720	Cindi
745147	61647	Carnival Kid
745147	123304	Lizzie
745148	61647	Carnival Kid
745148	123304	Sara
745149	369008	
745150	41096	Second Saleslady
745150	60247	Secretary
745150	73124	Reception Clerk
745150	99224	
745150	124714	Linen Maid
745150	190268	
745150	195883	Chambermaid
745150	200881	Bit Part
745150	212213	Public Stenographer
745150	244865	Alice
745150	245518	Teacher
745150	318078	Nurse
745150	349917	Saleslady
745150	361681	Beauty Operator
745150	366168	Nurse
745151	385564	Nyhetsoppleser (1997-)
745152	63130	Matron of the Orphanage
745153	9076	Beisa
745154	90932	Old Crott
745155	286197	Girl
745156	94291	Miss September, Vargas Calend
745157	230926	House of Bling Customer
745158	89972	
745159	408627	Lucy
745160	381207	Lulu (1993-)
745161	104764	Italian entry (9th place)
745161	207083	
745161	388613	Herself - Assistant (1994)
745162	399693	Weather Forecaster
745163	78471	Herself (performing 'Mit priv
745164	21185	Morgana
745164	45678	Patsy 'Boom-Boom' Parker
745164	56870	Sgt. Tina Walcott
745164	59505	Princess Diana
745164	67093	Det Bailey
745164	72120	
745164	75779	Herself
745164	95875	Herself
745164	116179	Lacy Anderson
745164	120101	Forest Service Woman
745164	130577	Herself
745164	171694	Aja Turner
745164	184046	Eve Trent
745164	214962	Marion Shergold
745164	240314	Cassandra Barashe
745164	245716	Kristin
745164	253102	Sasha
745164	263008	Kate Barnes
745164	278476	Fiona Matthews McDonald
745164	280804	Princess Elysa
745164	282667	Lady Diana Spencer
745164	282872	Jordy
745164	287126	Susan Renart
745164	296297	Kate
745164	314780	Nancy
745164	321469	Jade Greene
745164	333327	Sarah McKinney
745164	333329	Thrill Seekers Spokesperson
745164	338732	Simone Hollister
745164	339049	Lisa Duncan
745164	351035	Margaret
745164	358635	
745164	379144	Ashley Hunter-Coddington
745164	387152	Amanda Bedford Carrington (#1
745165	329315	Herself
745166	351035	Mattie
745167	57766	Herself
745167	276190	Herself
745168	113915	Peg Beecher
745169	196328	Fighting Wife
745170	11191	Mrs. Pumphrey
745170	72049	Bessie Norton
745170	118944	Lady In Garden
745170	127663	Speaking Voice
745170	222746	Dowager
745170	264095	
745170	321351	Mrs. Walton
745170	324009	
745170	329541	Mrs. Sutcliffe
745170	357075	
745170	384086	Great-grandmother Oldknow
745170	385020	Esther Hayes (1960-1972)
745170	385801	
745170	392180	Grandmother
745170	395103	Evelyn Spurling
745170	408370	Mrs. Patterson
745170	411654	Mrs. Chambers (1976)
745171	401694	Patricia 'Paty' Hernández-Mar
745172	116041	Majorette
745173	1784	Gina
745173	305340	Lorie
745174	195262	Bank Officer
745176	113530	Friend
745177	298216	Liza
745178	104165	Prostituta
745179	373333	
745180	76908	Aihara
745181	7878	Janet
745183	285680	Sailor Moon
745184	73413	Sister Gertrude
745184	326446	Daughter on Jeep
745185	149890	Visitor of Salon "Uonome"
745186	9329	Miho Nimura
745186	42736	Eri
745186	121714	
745186	237842	
745186	334916	
745187	42640	
745187	82717	
745187	103476	
745187	283903	
745188	313476	Jedi Knight Luminara Unduli
745188	313477	Luminara Unduli
745189	240650	Talent Show Winner
745190	63532	Princess Margret
745190	90209	1st Handmaiden
745190	199308	Felicite
745190	301230	Isobel
745190	304862	Sarah, The Servant Girl
745190	402935	Claire Jones
745191	287400	
745192	95796	Child in Hospital
745193	42632	Blanca
745193	84988	
745193	205890	Algelo
745193	296442	
745193	401098	
745194	390745	Norfalia
745194	396712	
745194	397010	Adalgiza
745196	45357	Flower Shop Girl
745197	98208	
745197	138073	Hamako
745197	174942	
745197	318400	Saotome
745197	358419	Yumiko
745197	396492	Yuko Kazuki
745198	155505	Sachiko Yamazaki
745199	121470	
745199	172123	
745199	173489	
745199	174864	
745199	217341	
745199	222542	
745199	227428	Umeko Yazawa
745199	228376	
745199	235033	
745200	55708	Cleaner
745200	79554	Midwife
745200	105215	Janet Cheatham
745200	121234	Eleanor
745200	179065	Traffic Warden
745200	405669	Lily
745200	407398	Daisy
745201	11635	
745202	408485	Mary
745203	298749	Woman Farmer
745204	359611	Iwabuchi maid
745205	90558	Yukiko
745205	280602	
745205	283325	Massako
745206	299998	Yoko
745207	37621	Hiromi
745208	21348	Young girl
745208	51508	
745209	32577	Saki
745209	170880	
745209	370413	Reika Ayakoji
745209	374600	Rei
745209	390962	Miko
745210	403411	
745211	30987	Shinobu
745212	349226	
745213	10219	Herself
745214	5700	
745214	8345	
745214	11739	Betty
745214	25614	
745214	27625	
745214	34500	
745214	38479	Çiler
745214	38491	
745214	96487	
745214	113715	
745214	125347	
745214	156219	
745214	159658	
745214	212284	
745214	252083	Kezban
745214	284805	
745214	295536	Meral
745214	296418	
745214	320476	
745214	377505	
745214	378194	Azize
745214	378713	Frau Brocca
745215	20306	Semra
745215	38454	
745215	135906	Zehra
745215	136912	Semra Hodja
745215	173764	Gülüþan
745215	240540	
745215	370392	
745215	409292	Zelis
745216	118623	Nurse #1
745217	327405	Belly Dancer
745218	411014	Irie
745219	50444	Extra
745219	307886	The Murmurs
745220	161687	Kikuno Aonuma
745221	82184	
745221	164111	
745221	176126	
745221	179865	
745221	187374	
745221	375793	
745222	34503	
745222	136776	
745222	172182	
745222	173209	
745222	175445	
745222	189058	
745222	284949	
745222	285253	
745222	302291	
745222	323621	
745222	377532	
745223	242334	
745224	107551	Grandmother
745224	171050	Gertie
745224	253161	Ruth
745225	56083	
745225	63681	Madame Thomas
745225	71841	
745225	73183	Sonia
745225	77344	
745225	77355	Lisa
745225	78379	Rosalie
745225	91462	Mme de Puyloubier
745225	113252	Jeannette
745225	135339	Queen Victoria
745225	178989	Mariette
745225	190789	Julie the wife and mother (cr
745225	201166	
745225	203943	Monette Chaput
745225	224902	Fleur de Marie
745225	268389	Madeleine Dupont
745225	270353	
745225	271910	Gracieuse
745225	292369	Nadia
745225	309743	
745225	337001	
745225	339502	Mrs. Marryat
745225	345428	
745225	346634	
745225	354151	Julien's Mother
745225	377663	
745225	391632	
745225	391634	La dame du bistrot (segment "
745225	393731	Mme de Kreny
745225	396788	Mme Fontan
745225	407535	
745226	258668	
745226	297561	
745226	349298	
745227	304170	
745228	226847	
745228	370999	The Singer
745228	375461	Wife
745229	154506	
745229	357227	Brilyant-Svistunova
745230	258129	
745231	258129	
745232	375330	Taika
745233	68381	
745234	274381	Dominatrix
745235	109965	
745236	100032	Gretchen Fox
745236	118911	Puppeteer
745236	222483	Additional Muppet Performer
745236	368455	Herself/Muppet Performer
745236	398543	Hilda (1976)/Wanda (1976-1977
745237	229972	Neval
745238	272944	Bills Wife
745239	253739	
745239	373622	
745240	89590	
745240	95666	
745240	95669	
745240	179319	Velta
745240	210304	Mara
745240	228115	Dsydra
745240	240996	
745240	297131	
745240	321877	
745240	357459	
745241	179331	Aiya
745242	280016	Additional Party Guests
745243	52008	Mrs. Seguin
745243	120248	Customer #1
745243	145068	Landlady
745243	183867	Headmistress
745243	252978	German Housekeeper
745244	211678	La mère
745244	254850	La mère
745245	254850	La fille
745246	8756	
745246	160099	Tamiko Imura
745246	233299	
745247	135953	Kiyoko
745247	299007	
745248	4557	Ayame
745248	61221	Yuko Miyata
745248	76875	
745248	121989	Princess Okoto
745248	124029	Maike
745248	125237	
745248	144432	
745248	147350	
745248	156158	
745248	173991	
745248	173994	Shiho Mikumo
745248	174330	
745248	176572	
745248	176576	
745248	176577	
745248	176579	
745248	176580	
745248	176582	
745248	176585	
745248	176586	Yumi
745248	176589	
745248	176594	
745248	179438	Hanasode, a harlot
745248	181982	
745248	227183	Setsuko, Kichitaro and Masa's
745248	228378	
745248	233132	Setona
745248	280604	Noriko
745248	299291	Muramatsu
745248	341282	Yuko
745248	358416	
745248	358419	Yuko
745248	359398	
745248	372034	Oume
745248	373309	
745248	375584	
745249	12441	Blanca Diez
745249	23065	Mercedes
745249	48185	
745249	54078	
745249	63409	Lucía, la hija del alcalde
745249	74584	Ana
745249	75380	
745249	91424	
745249	100370	Pilar
745249	101118	
745249	103118	Juanita
745249	145219	
745249	149511	Flora
745249	153785	Tere
745249	190645	
745249	193192	
745249	204642	Catalina (la madre)
745249	233361	Mari Carmen
745249	247168	Lola
745249	247322	
745249	252758	Carmen
745249	258133	Susana Grey
745249	263860	Adri
745249	268239	
745249	268498	Lina
745249	269560	
745249	318235	Amparo
745249	353572	Ágata
745249	369754	Herself - Winner: Best Suppor
745249	369870	Herself - Nominee: Best Suppo
745249	369989	Herself - Presenter: Best Scr
745249	369996	Herself - Nominee: Best Lead 
745249	369999	Herself - Nominee: Best Actre
745249	373871	
745249	376786	Mari
745249	380488	Herself - Host (1981-1983)
745249	382950	Herself
745249	393346	
745249	396767	Catalina Moreno
745249	401248	Pilar, Luis' ex-wife
745249	409073	
745250	53686	
745250	54798	
745250	90504	
745250	99722	
745250	122983	Herself
745250	193192	
745250	193503	
745250	202060	
745250	248866	
745250	323073	
745250	376693	
745250	383557	Elvira
745250	386336	Begoña
745250	388442	Sandra
745250	404975	Beatriz Acosta
745250	409463	Doctora Remedios Urgante (199
745251	10129	
745251	220701	
745252	79388	Devi Bessmer
745253	397513	
745254	6501	Jutka
745254	64756	Assistant Director/Woman in F
745254	104195	
745254	122384	Julie
745254	131204	Eva
745254	136442	Éva, Bea's mom
745254	153689	Erzsi (segment "Az utolsó elö
745254	250860	
745254	355565	Jutka
745254	375162	Ibolya, ÁNTSZ ellenõr
745255	205771	Larissa
745256	213084	Herself
745257	25105	Laroche's maid
745257	35104	
745257	260861	
745257	282495	Stella
745257	377481	
745258	318613	
745258	382135	
745259	11900	
745259	16221	Gina Richter
745259	65199	
745259	98305	
745259	115699	
745259	119253	
745259	130931	
745259	178680	
745259	191472	
745259	211113	
745259	211118	Ella
745259	225140	
745259	226277	
745259	267256	
745259	290810	
745259	366535	Trude
745259	366554	
745260	119884	Passenger
745261	192990	La madre
745261	322714	Señora María
745262	247159	Niña
745263	28089	
745263	396887	Young Marina
745264	182359	Herself
745265	93636	
745266	76675	
745266	392512	Noor
745269	381908	Herself (season 4)
745270	202135	
745270	271647	
745270	327791	
745270	355320	
745271	385048	Herself
745273	170966	Mrs. Lee
745273	230863	Elizabeth
745274	391546	The Homecoming Queen
745275	202728	Killer's Girlfriend
745276	82003	Neemo (Sapna's sister)
745276	152483	
745277	19938	
745277	28244	Consort of Venkateshwara
745277	36041	
745277	85345	Kathyayini
745277	85354	
745277	85355	
745277	135880	
745277	165993	Annapoorna
745277	179277	
745277	181037	Radha
745277	208621	
745277	249654	
745277	262376	Jagadamba
745277	262842	
745277	262920	Ila
745277	262972	
745277	271904	
745277	288155	Chitrangi
745277	288157	
745277	288370	Sasirekha
745277	292713	
745277	297834	
745277	303099	
745277	312495	Vakula
745277	324059	
745278	273309	
745279	303321	Sumitra
745280	182377	Reporter
745280	371654	Herself - the host
745280	407376	Herself - the host
745281	108956	Party Family
745282	179622	
745283	179366	Vampyyrintappaja nainen
745284	289847	
745284	375049	Heike
745285	138013	Surinaamse Buurvrouw
745286	284105	Dolly
745286	341591	Kummitäti 2
745287	187790	
745288	277923	Lehua
745289	48671	Woman in Cafe
745289	96445	Jente som Roy kliner med
745289	154020	Maid #1
745289	178191	Lisa
745289	393857	Turte
745289	400008	Åsa Vestly
745290	182368	
745291	9533	Katjushka Danilova
745291	170245	Anja
745291	171588	Sabina
745291	187951	Consuelo Contreras
745291	213374	Irmeli Venes
745291	267123	Elli Korpio
745291	271677	Hilja Aro
745291	321760	
745291	350584	Manja
745292	61044	
745293	165354	
745293	178555	Elleke
745294	323832	Stacy (segment "Trick or Trea
745295	177404	Extra in Palm Sunday scene
745296	124355	Jezebel's Mother
745297	145418	
745298	207890	Marchesa Melibea
745298	350606	Sonja
745299	8902	Clockmaker's wife
745299	179622	
745299	348495	
745300	21722	
745300	177040	Janitor's wife
745300	255753	Impi Lintunen
745300	255935	Salmiska
745301	409269	Liisi
745302	205809	Tone
745303	87949	
745304	30170	
745304	51291	Lizzi
745304	92947	Grevinde von Plessen
745304	120312	
745304	125432	Malle
745304	153382	Frk. Mortensen
745304	159641	Erik's mor
745304	179979	Anna
745304	323346	Stuepigen Rita
745305	320398	Hilkka's friend
745306	153095	Rouva Rangsted
745306	168790	Stephanie
745306	239979	
745306	272834	Unelma, Häppälän agentti
745306	278881	Woman in car accident
745306	322700	
745306	336353	Various
745306	400045	Raija Koivunen
745307	267931	Sanukka
745308	182377	Tarja Salokorpi
745308	246584	Erkkilän ex-vaimo
745308	328684	Various characters
745308	392348	Krika Heinälä
745308	404145	Minde Messenius
745308	407556	Carita Perander
745309	357309	Eriks jongere zusje
745310	155591	
745310	226586	
745311	9168	Kati
745312	156540	
745312	188933	Woman at the bar
745312	200086	Various
745312	235846	Sanna
745312	404782	Pirjo Vanninen
745313	47407	Lääkäri
745313	139429	Sinikka
745313	169542	
745313	200933	Elisa Porola
745313	272832	Herself
745313	354289	
745313	392348	Saara Sirén
745313	400283	
745313	402897	Aino
745313	409931	Vendla 'Venny' Soldan-Brofeld
745314	179484	
745315	228238	Herself
745315	379221	Herself
745315	403863	Regular co-hostess (2002-2003
745316	21706	
745317	157497	
745317	296188	
745318	355616	
745319	399608	Azafata
745319	409463	Secretaria (1991-1993)
745320	203344	Reina Rosas
745320	270255	
745321	161611	
745321	204793	
745322	405318	Lorenza
745323	307799	
745324	22188	Dina
745324	57735	Dream Girl
745324	72376	Sexy Dancer
745324	98652	Sophia
745324	133335	Doris
745324	141859	Wholesome Girl 1
745324	159709	Student
745324	177481	Nina the Dominatrix
745324	178862	Sheik's Wife
745324	187240	Mary Lopez
745324	213653	Lucy
745325	62628	Olga
745325	84257	Police inspector
745325	204184	Margaret
745325	212384	
745325	360891	Punk salesgirl
745325	412272	
745326	164364	Nurse
745327	155347	
745327	376353	Ingrid
745328	352527	
745329	144096	American journalist
745330	73377	Field porter
745331	258248	Flora
745331	379000	
745331	397578	Gladiola de Carreno
745332	366645	Zombie
745333	6986	
745334	390950	Aida
745335	169360	Interviewee
745336	6684	Fanchon
745336	12653	
745336	28697	
745336	59264	Lucie
745336	96094	
745336	122906	
745336	134300	Françoise Morestan
745336	214874	Une élève
745336	220265	
745336	282490	
745336	288760	
745337	279971	Marc
745338	13100	
745339	390199	
745340	195945	Kathleen Sallee
745341	43416	
745342	141984	Eve Caldwell
745342	363977	Librarian
745343	411802	Abigail 'Abby' Carlton #3 (20
745344	46626	
745344	102393	Princess Yamara
745344	280545	
745345	104775	Maltese entry (8th place)
745345	202521	Herself
745345	202522	Herself
745345	202523	Herself
745345	202524	Herself
745346	191937	Mrs. Santello
745347	136509	'Baby' Louise
745348	94386	Camille
745349	59915	Phoebe
745349	207484	Priscilla Galey
745349	379716	Claire Declairville (1999-200
745350	287414	
745351	1034	Liberia
745351	46682	Linda Sayers
745351	63165	Herself
745351	70393	Obalese Eaton
745351	71476	Iris
745351	117987	Elvira
745351	120425	Bella Garrington
745351	304500	Iris Daniels
745351	330998	Pretty Girl in Bank
745351	331416	Eulice
745351	348346	Harlene
745351	372613	Ann Fielding
745351	401350	Lillian Walters (1968-1969)/V
745351	411816	Pat Walters
745352	75721	Geometry Student/Cheerleader
745353	143136	Violet
745354	407960	
745355	34474	Menghina
745355	36333	Catty
745356	204051	Second Audience Girl
745357	35714	Pace
745357	72319	Amy
745357	95785	Paige Tashman
745357	209638	
745357	219953	Detective #1
745357	222575	Carla Forest
745357	233653	Police Woman
745357	234212	Sales Girl
745357	286609	Pam
745358	270646	
745359	50593	Veronica
745359	202576	1a Donna linciaggio
745359	313182	Podestà's wife
745360	411802	Abigail 'Abby' Carlton #3 (20
745361	202524	Herself
745361	202529	Herself
745363	219575	Virginia Castellano
745363	309820	Giulia
745363	396305	Anna
745363	401970	Elena Giordano
745364	186681	Angel of Mercy
745365	69232	Juror
745366	191149	
745366	399160	Valentina
745367	277916	Singers
745368	405436	Hereself
745369	125793	
745370	81512	
745370	252579	
745371	109342	
745372	313174	
745373	42966	Musetta
745374	46242	Nurse Leading Carols
745374	78122	Mrs. Mooney
745374	294060	Mrs. McKinley
745374	400431	Doris
745375	241108	Princess Marigold
745376	226505	
745377	183665	Aulhe's Mother
745377	203649	Cha, Hip's Niece #2
745377	272773	
745378	157672	Marla
745379	50006	Biru Pant
745380	111023	Alice
745381	322606	Receptionist
745382	132651	
745382	281289	
745384	28955	Lola
745385	193166	
745386	74865	María
745387	222512	Concha
745388	2441	
745388	6626	
745388	6673	
745388	19443	
745388	25792	Reportera
745388	71298	
745388	99710	
745388	100404	Berta
745388	103995	Hermana Verdugui
745388	192977	
745388	193161	
745388	198996	
745388	207014	
745388	209297	
745388	211148	
745388	212491	
745388	247048	Cristina
745388	257900	Hija de carmona
745388	276977	Cristina
745388	284088	
745388	286366	
745388	292928	
745388	294629	
745388	296135	
745388	340042	
745388	354779	
745388	370153	
745388	375882	
745388	383261	Iris
745388	384980	
745388	385502	Florencia
745388	386504	Terka
745388	390174	
745388	397598	Margarita
745388	399522	Zulema Ortiz
745388	399763	Alicia
745388	401918	Malena
745388	402219	Begoña
745388	403885	Lilia
745388	404702	
745388	404869	Raquel
745388	410319	Raquel
745389	42976	
745389	73145	Antonio's Mother
745389	234614	
745390	54763	
745391	55120	Roxy
745391	72292	
745391	155013	Girl/Jack's movie
745391	195298	Kelly
745392	311530	Concessionaire
745393	16050	Guard #4
745394	55897	Vera Barbosa
745395	104513	
745396	293963	Lucrecia
745397	13023	Princess
745397	80200	
745398	333287	Young Josie
745399	209297	
745400	89938	Eva 6 años
745401	396506	Servant
745401	401882	Herself
745402	124517	
745402	269115	
745403	384507	Dancer
745404	376658	child
745404	376834	child
745405	338242	
745406	55110	Witness for Peace
745407	400733	
745408	47077	Rappin' White Girl
745408	95789	Female Student
745408	327649	Natalie
745408	329703	Brook
745408	337821	Elena Foster
745408	362453	Woman in Library
745409	54769	
745410	92832	Princess Daphne
745410	92835	Daphne
745411	3461	
745411	12527	
745411	12545	Doña Trinidad
745411	22772	Mujer de Baldomero
745411	28314	
745411	42630	
745411	53637	
745411	61127	
745411	70772	
745411	71362	
745411	73270	
745411	73974	Ermelinda
745411	75361	
745411	91315	Madame Stephanie
745411	103558	
745411	108732	
745411	128975	
745411	135301	
745411	148127	
745411	205690	
745411	206977	
745411	212522	
745411	222418	
745411	234393	
745411	239272	
745411	252615	
745411	264117	Dama
745411	266805	
745411	287807	
745411	296449	María 3ª
745411	301141	
745411	327444	
745411	332612	
745411	336249	Braulia
745411	353600	Mariana
745411	353665	
745411	376794	
745412	314357	
745413	49290	
745413	120039	Anna
745413	124460	Stewardess
745413	189821	
745413	347794	
745413	352398	Gitti
745414	58126	Vera
745415	135685	Karolina
745415	373351	Karolina
745416	266330	Girl on the Casting
745417	66266	
745417	244106	
745418	343979	Dancer
745419	184469	Businesswoman
745419	363763	Jogger
745420	168639	Johnny's mother
745421	140313	
745422	165130	Margo
745423	307712	Office Employee
745424	253037	
745425	289359	
745426	109766	Marilena
745427	290990	Theresa
745428	353066	
745429	20683	Gisella
745429	69385	Sera
745429	100008	East Asian French Maid
745429	109421	Racer's Edge Clerk
745429	171411	Madam Han
745429	214937	Controller
745429	324747	Caroline/Ruby No
745429	384446	
745430	39680	Ida Coagan
745432	175816	Gabriella
745433	313900	
745434	270631	Herself
745435	163544	Singer
745436	217513	Floyd's mother
745437	102733	Art Student (episode "Model S
745438	108713	
745438	349888	
745439	112833	
745439	161478	Extra: BAHAMAS
745440	84851	Ludwig
745440	121615	Inmate
745442	36630	Anna, maid
745442	38767	
745442	144055	Fiina
745442	197362	
745442	321771	Riitta
745443	338833	The Ghost Party
745444	15229	
745445	150788	Marianne
745446	209170	Dancer
745447	17486	Helena
745447	20164	Judge
745447	101631	Sihteeri
745447	104276	Sisko Lindholm
745447	142636	Naked Night Guest
745447	163186	Herself
745447	163844	
745447	168866	Raili
745447	181569	Gang member
745447	203256	Marja
745447	211863	Liisa Tyrni
745447	229545	Rikospoliisi #2
745447	235846	Katrin äiti
745447	278366	Rauha Massi
745447	295249	
745447	323254	Helmi
745447	341608	The doctor
745447	354286	Ex-wife of the man dressed in
745447	410455	Anneli
745448	331310	Audrey
745449	53318	Student
745450	72931	Goodyear Chorus Girl
745451	16143	Halloween Kid #2
745451	24503	Dawson's Blond
745451	31502	April Giminski
745451	126588	Jeri
745451	176978	Lisa Evans
745451	191630	Lanya
745451	368595	Girl in Box
745451	381442	April Giminski (1997-1999)
745451	383208	Tiffani Smith
745451	392151	Host
745451	403421	Field Correspondent
745452	72722	Maggie
745453	153578	Mrs. Uker
745454	89967	
745454	360260	
745455	41987	Sue's Mother
745455	297890	
745455	342008	Woman
745456	361298	Herself
745457	26079	Additional Voices
745457	213448	
745458	18617	English Woman in Audience
745458	43425	Mrs. Henderson
745458	209602	Mrs. Swaile
745458	220959	Hostess
745458	248496	Mrs. Barrington
745458	253127	Mrs. Carruthers
745458	297261	Rosalind
745458	326747	Juvenile Court judge
745458	391017	Clara Mason
745458	396785	Clarice Armitage (1959-1960)/
745458	407527	Mrs. Brent
745460	301930	Rider
745461	250972	
745462	77805	Chorus girl
745462	128173	
745463	6886	Mrs. Thatcher
745463	44485	Mrs. Perth
745463	69237	Sarah Norton
745463	73229	
745463	83920	Woman on Train
745463	88891	Emily
745463	101050	Landlady
745463	101051	
745463	109862	Actress as the Innkeeper's Wi
745463	125853	Maid
745463	129236	Aunt Hattie Higgins
745463	131594	Mrs. Butler
745463	135607	Mrs. Mitchell
745463	147527	Rosa
745463	163358	Mrs. Muir
745463	163485	
745463	178976	Jury member
745463	188387	Miss Berkley
745463	190060	Alma's Maid
745463	218704	Villager
745463	261973	Dr. Tuttle's Secretary
745463	262333	Cora Gibbs
745463	274773	Martha
745463	277736	Miss Andrews
745463	285130	Matilda
745463	292470	Organist
745463	297936	Receptionist
745463	304970	Undetermined Role
745463	305472	Woman
745463	315490	Mrs. Cornwall
745463	330240	Spinster
745463	340964	Annie
745463	372929	
745464	170243	Monica
745465	269627	Ronno's Girl
745466	108355	Little Girl
745467	307899	Dr. Judson
745467	382838	Josie Johnson/Brooks (1990-19
745467	382846	Siobhan Etienne
745467	383631	Sister Tess Bateman: Emergenc
745467	386444	Rhiannon
745467	408213	Marie
745468	65184	Game player 'Double Dutch'
745469	68009	Luciana
745469	342710	Gladys
745469	385780	Dora
745470	215986	
745471	69773	Rehab Counselor
745472	7218	Strbikova
745472	50008	Hotel Guest
745472	174405	
745472	187994	Komisárka
745472	270715	
745472	283688	
745472	351381	Marie
745472	376178	Chotková
745472	402896	
745473	112021	Herself (United Negro Improve
745474	259912	
745474	308482	
745475	68916	Maria
745476	367083	Extra
745477	107282	
745477	163699	Martina
745478	21314	Sobotová
745478	55493	
745478	167022	Martina
745478	262817	Actress Holmová
745478	343823	
745479	44355	
745480	198112	
745481	156482	Narrator
745481	330635	Herself
745481	349022	Miss Beaton
745482	246390	
745483	21008	Elizabeth
745483	30497	Student
745483	39579	Vanessa
745483	42797	Tracy
745483	46392	Anna/Diana
745483	50212	Anna
745483	51443	Emilia
745483	54558	Brenda Franelli
745483	69258	Dr. Lena Poole
745483	72562	Lissette
745483	75349	Iris Wetherton
745483	76126	Irena
745483	81054	Elli
745483	81877	Monica Quik
745483	87006	Paula Kennedy
745483	100254	Marta
745483	102951	Liz
745483	103297	Luka
745483	105116	Lauren
745483	106639	Diana Carlyle
745483	117704	Talia Nitti
745483	131586	
745483	132075	Irina Asanova
745483	140149	1st Mate Bergren
745483	141618	Selma
745483	146773	Sonia
745483	178166	Felice
745483	185287	Nora Weeks
745483	190594	Valery
745483	201677	Herself
745483	206154	Leslie
745483	219686	Sascha
745483	223977	Lilliana Rotaro
745483	231632	
745483	233865	Ms. Klein
745483	235456	Anita Clark
745483	235488	Gila
745483	242985	Princess Nicole
745483	246422	Jessica Lancaster
745483	264721	Sophie Morgan
745483	301787	Lily Wine
745483	321176	Risa Gallagher
745483	321239	Joelle
745483	333417	Evelyn Adams
745483	335245	Kate Fisher
745483	344440	Lena
745483	346009	Abbey Jane Strong
745483	354452	Alina
745483	355233	Nadia Vinogradiya
745483	359425	Paula Dare
745483	359533	Elizabeth
745483	363972	Julia Konneman
745483	371868	
745483	382880	Gogi
745483	385296	Marissa Freilich
745483	386654	Ewa Szymosiuk-Talar #1 (1980)
745483	387213	Diana Randall (1990)
745483	393306	Gabi
745484	232986	Boardmember
745485	266019	Dancer
745486	304763	Baby Gorgon
745487	394991	Verácska
745488	6401	Hortense
745488	23778	Sophie
745488	23793	Gabrielle Tristan
745488	23807	Edmée
745488	33279	Maria
745488	43753	Myrette
745488	68412	Lulu Dorval
745488	69837	Marie-Cecile
745488	73472	Victor's Mother
745488	78365	Herself
745488	83178	L'inconnue
745488	87902	Glycia Malaquet
745488	100014	Céline
745488	125463	Mme Lareine Leroy
745488	132066	Josépha Dépelouze
745488	167232	Une cliente
745488	201170	Véronique
745488	208216	Belle-maman
745488	249708	Mme Michalon
745488	269240	Pauline
745488	301553	La mère d'Elisabeth
745488	303388	Vicomtesse Sophie de Valrude
745488	309773	Lucie Jumaucourt
745488	327890	Germaine
745488	332221	Lucrezia
745488	339482	Suzy Ponchabert
745488	345128	
745488	345155	Maryse
745488	345186	Aurelia
745488	346560	Emma
745488	346773	Tante Emma
745488	346805	Marion
745488	356973	Clemence
745488	377465	Janine
745488	386574	Mlle Raynal (1996-1998)
745488	404914	Michèle
745489	25966	
745489	170908	
745489	172920	Maham Anga
745489	175983	Nargis Sethna
745489	252927	Nurse
745489	314110	Mrs Bhoolabhoy
745489	318029	Mrs. Kutpitia
745489	361611	Mrs. Shah
745490	95557	Bride
745491	104636	Herself
745491	104638	Herself
745492	288242	Bar Dancer
745493	98914	Kate
745494	247272	Jessica
745495	6888	Herself
745495	59595	Woman in Cafe
745495	75787	Zoe/Interviewee
745495	88926	Zoe
745495	88931	Zoe Herriot
745495	88933	Zoe
745495	89001	Herself
745495	224928	
745495	276253	Zoe
745495	288476	Cathy Vespers
745495	309555	Keel
745495	385299	Stevie Harris (1964)
745495	386587	Zoe Heriot (1968-1969)
745495	387533	Rosemary Roberts (1987)
745495	389331	Sue Craig (1971-73)
745495	396787	Amanda Woodford
745495	404532	
745496	7008	Woman Wanting Needle Threaded
745496	8067	Ma Ashby
745496	11323	Proprietress
745496	16728	Agatha, Minister's wife
745496	16913	Mrs. Smith
745496	17475	Lil
745496	17543	Governess
745496	21509	Mrs. Janowski
745496	27219	Mrs. Gardner
745496	37153	Mrs. Lexiter
745496	39645	Mrs. Owens, stock footage
745496	41095	Ma McClune
745496	46329	Mrs. Marie Edgedaw
745496	48976	Luke's Wife
745496	56098	Landlady
745496	58419	Mrs. Tridd
745496	64878	Mrs. Randolph
745496	67095	Police Lieutenant's Wife
745496	68670	Mrs. Williams
745496	71182	Nurse
745496	73757	Mary Stevens
745496	77015	Mrs. Plummer
745496	79581	Widow
745496	82064	Mrs. Evans
745496	88853	Chief CLerk
745496	88863	Mary the Canning Cook
745496	89192	Frau Keller
745496	94604	Mrs. Hallahan
745496	96669	Mrs. Murphy
745496	105808	Aunt Jane
745496	107091	Ma Brown
745496	108396	Mrs. Jones
745496	117438	Widder' Sue Brown, Sandys Int
745496	117440	Mrs. Zagona
745496	117759	Miss Donaldson, warden
745496	120758	Mrs. Owens
745496	125862	Mom Palooka
745496	127115	Aunt Sally
745496	128440	Emma
745496	128517	Cookie
745496	133709	Mistress Hall
745496	136043	Rawhide Rosie Rawlings
745496	138383	Mrs. Georgia Dvorak, Grocer
745496	140871	Mrs. Gardella
745496	141323	'Skipper' Forbes
745496	143937	Mrs. Riley
745496	144671	Mrs. Dorgan
745496	148585	Mrs. Webb
745496	148927	Mrs. Halett
745496	149387	Sarah
745496	149952	
745496	150812	Mrs. Beach
745496	152522	Mother at Railroad Station
745496	154623	Lady in Post Office
745496	155586	Old lady #1
745496	155640	Mrs. Anderson
745496	157206	Deaf Woman
745496	157872	Ma Woods
745496	160971	Bit Part
745496	163359	Jenny
745496	163562	Woman in Elevator
745496	164446	Cannery Woman
745496	168262	Mom Palooka
745496	168266	Mom Palooka
745496	168271	Mom Palooka
745496	175749	Miz Tinware
745496	179991	Nun in Convent School
745496	183679	Miner's Wife
745496	186269	Mary Todd
745496	188213	'Ma' Logan
745496	190179	Overseer
745496	191990	Widow Scharrenhofer
745496	192131	Mrs. Nora Moriarty
745496	192334	Victim
745496	193709	Lydia 'Granny' Phelps
745496	195382	Mrs. Grant
745496	199192	Mother of Lame Girl
745496	199221	Grandmother
745496	203279	Houston's mother
745496	203332	Olago
745496	203543	Maid
745496	206480	
745496	206530	Mrs. Randall
745496	207415	Aggie
745496	207582	Nursing Sister Teresa
745496	210764	Mrs. Rose Smith
745496	213170	Nita St. George
745496	214059	Emma Millerson
745496	215927	Mother
745496	222604	Aunt Cassie Denham
745496	223847	Aunt Carrie Hodgkins
745496	228828	Mrs. Margaret Gimble
745496	235162	Old lady
745496	237754	
745496	238616	Mrs. Fallon
745496	238983	Mrs. Ledbetter
745496	244778	Mrs. Hinkle, the Landlady
745496	245416	The Nun
745496	255828	Mother Of MIA
745496	261423	Mrs. Norris, Caretaker's Wife
745496	261997	Henry's Wife
745496	263601	Mrs. Roberts, Gehrig Neighbor
745496	264064	Mary Todd Lincoln
745496	264836	Lowizie Smith
745496	271889	Mrs. Parks
745496	272078	'Ma' Curtis
745496	272082	Boots Annie
745496	272532	Duna (landlady)
745496	274428	
745496	274773	Hetty Carter
745496	276818	Mrs. Huiskamp
745496	277644	Alice 'Ma' Thayer
745496	277969	Melinda Pringle
745496	278004	Ma Turner
745496	280959	Sarah
745496	286911	Mrs. Gulliver
745496	287748	Jed's wife
745496	300003	Mrs. Wilson
745496	302368	Mrs. Watts
745496	306424	Bridget
745496	306502	Aunt Charity Speers
745496	306642	Ma Stevens
745496	308398	Mrs. Baker
745496	308599	Kate 'Ma' Conway
745496	308927	Widow in Temple
745496	309054	Mrs. Collins
745496	315956	Workman's Wife
745496	316672	Mother
745496	318793	Beggar Woman
745496	328757	Old Martha
745496	329388	Mrs. Graves, the Nice Landlad
745496	330703	Mrs. Mason
745496	330809	Sarah
745496	331324	Frau Schultz
745496	331421	Middle-Aged Woman
745496	332874	Mrs. Ritpert
745496	334582	Emma Warner
745496	335347	Mrs. Mason
745496	337654	Mrs. Ferguson
745496	337656	Ma Wagner
745496	342712	Mrs. Polansky
745496	345718	Peasant Woman on Bus
745496	347609	Alberta
745496	348977	Sarah Wenover
745496	359747	
745496	363031	Mrs. Tarman
745496	364014	Frau Elsatz
745496	365188	Mrs. Kimball
745496	365264	Lize
745496	365475	Carrie Bannister
745496	365641	Aunt Agatha
745496	367269	Mrs. Stevens
745496	367415	Dora
745496	367644	Mrs. Carroll
745496	367686	Police Matron
745496	367820	Martha Wilson
745496	367908	Aggie Specks
745496	367974	Anna
745496	371089	Mother Kalish
745496	372412	Mrs. Taylor
745496	372928	Mrs. Blair
745496	374581	Sister Theodosia
745497	199499	Kid at river
745498	346047	Princess Stella
745499	170418	Shirley
745500	163258	
745501	197388	Un dame au bal masqué
745502	98643	
745502	289488	Sandra
745502	295136	
745503	111427	
745504	25881	
745504	342416	Twenty Questions panellist
745505	387247	Jessie Moore (1997-1998)
745506	381144	Zuleika Gomes
745506	383247	Matilde
745506	385023	Palmira Cantanhede
745506	386757	Irene
745506	392747	Virgínia
745506	403118	Júlia
745506	405810	
745506	412179	Mary
745507	73991	
745508	158930	Girl #2
745508	248937	Lex
745508	313334	Nanny
745509	343232	Hostess
745510	265101	Mother
745511	277343	The Office Girl
745512	202195	Lisha
745513	402456	
745514	70744	
745514	246971	
745515	381891	Estela
745516	225929	
745516	262234	
745516	269537	
745517	35094	
745518	42576	Maria Luiza
745518	207626	Helena
745518	322218	Art director
745518	351857	
745518	375497	
745518	380242	Stella Medeiros
745518	380331	Stela Medeiros Fachini
745518	380387	Maria
745518	381223	
745518	383441	Bruna
745518	384645	Nair
745518	385184	Dinorá de Moura Valente
745518	385947	Sônia
745518	386757	Karen
745518	387932	Reny
745518	395044	Sílvia
745518	396610	Alberta Gonzaga (1999)
745518	396795	Giovana Alcântara
745518	396926	Leopoldina
745518	397645	Amanda
745518	398501	Hilda Moraes de Sampaio-Viana
745518	400098	Marina
745518	402685	Emengarda Cauper
745518	412179	Beth
745519	246971	
745520	176712	Hooker #3
745521	7103	Woman In Desert
745521	32707	Margarita Camacho
745521	82598	Luisa
745521	87282	Yolanda
745521	100887	Mathilda
745521	111789	Soledad
745521	145414	Christina Chavez
745521	182955	Inez Soto
745521	302149	Avitel
745521	337404	Ana Sanchez
745522	294972	
745523	280129	Madre
745523	307195	
745524	139911	
745525	332676	
745526	235340	
745527	249387	Fabiana Di Toro
745528	92935	
745528	250701	
745529	381922	Herself (1st. evicted)
745529	390440	Denisse
745529	392213	Host (2004)
745529	404161	Denisse
745530	195665	Rath
745530	307359	Girl at Brothel
745531	5659	
745532	52236	
745534	139894	
745534	197987	She
745535	197987	
745535	250701	
745536	281242	
745536	378658	
745536	403404	Carola Villafañe-Ramos Del So
745537	372806	Luce
745538	394247	Contessa (2003)
745539	131128	Titanic girl
745540	152894	Calendar Girl
745541	5741	
745541	20712	
745541	37912	
745541	40427	Mrs. Garaguso
745541	48789	
745541	51540	
745541	66393	Lola
745541	68252	
745541	214389	Doña Leonor
745541	236012	
745541	277435	
745541	316282	Desk Woman
745541	327317	
745541	332583	
745541	334679	
745541	392262	
745541	399711	Various Characteres (1982)
745541	401437	Yolanda
745542	274702	
745543	392958	
745543	395861	
745544	386236	Additional Voices
745545	360635	
745546	8324	
745546	204603	Rose
745546	207124	Singer
745546	404040	
745547	194618	Asunción Gómez
745547	233644	Asunción Gómez
745547	381023	Brígida
745547	383233	Matilde
745547	385370	Soledad
745547	391570	Sor Joaquina
745548	131128	Titanic girl
745549	340789	Selena
745550	112368	Elba
745551	401884	Herself/- Finalist
745552	407640	Johanna
745553	128683	Woman on left of cover/23-yea
745554	84811	Daisy
745554	206652	Showbiz News Anchor
745554	291884	Sylivia Vasquez
745555	405281	
745556	122984	Herself - Hostess
745556	156095	Herself
745556	206769	Maite
745556	271706	Mother
745556	385353	Staff humorist (1997-1998)
745556	389875	Herself - Staff Humorist
745556	392845	Herself - Hostess (1996-1997)
745556	397863	Loli Mingo
745556	412122	Dina (2000-2001)
745557	46251	Maya
745557	158462	Bélgica Adela 'Dedé' Mirabal
745557	306688	Marina
745558	26973	Doorman Tipper
745559	103580	
745559	173681	
745559	249636	
745560	324079	
745561	245337	Young Arab Girl
745562	15428	
745562	28078	
745562	30867	Tessie
745562	39673	
745562	44793	
745562	109806	
745562	146966	
745562	148207	Doris
745562	156159	
745562	156160	Sara
745562	181770	
745562	199779	Sandra
745562	200420	
745562	204603	Lu-Shui
745562	214772	
745562	223812	
745562	238782	
745562	246583	
745562	251230	
745562	313892	Jane
745562	313893	Jane
745562	325329	
745562	379023	Host (1997-)
745562	388282	
745562	398237	Host
745562	404050	Nieves Quevedo
745563	76076	
745564	104753	Portuguese entry (17th place)
745564	104757	Portuguese entry (13th place)
745565	177691	Young Lady
745566	406636	Louise
745567	6014	
745567	39029	
745567	139650	Penelope Clearwater
745567	171883	
745567	176180	
745567	182111	
745567	184173	Princess Parizad
745567	200703	
745567	243860	
745567	271033	
745567	287391	
745567	373802	
745568	4418	
745568	7225	Saramma
745568	7766	
745568	13133	
745568	13170	Rupa
745568	14521	
745568	16283	Satyendra's mother
745568	19353	
745568	19706	Anbukarasi
745568	21744	Pishima
745568	21753	
745568	24272	
745568	27725	Malati
745568	28844	
745568	30088	Mother
745568	36004	
745568	38227	Bindu's mother
745568	44915	Ranima
745568	58968	Sanaka
745568	58971	
745568	59044	
745568	62379	Meenakshi
745568	79125	Bimala
745568	84795	Prafulla's mother
745568	85345	Narthaki
745568	85402	
745568	98551	
745568	98552	
745568	101311	
745568	104399	Sumathi
745568	123745	
745568	134351	Suresh's aunt
745568	145579	
745568	159241	Harani
745568	165188	Mahamaya, Roy's wife
745568	165375	
745568	165878	
745568	166003	
745568	167981	Kammo
745568	171762	
745568	172832	
745568	173282	
745568	173547	Rangila
745568	174162	Padma
745568	174373	
745568	177940	
745568	181383	
745568	181698	
745568	181699	
745568	184018	
745568	198662	
745568	199866	Velaiammai
745568	200651	Kanchanmala
745568	203933	
745568	204110	Sulochana
745568	204364	
745568	205039	
745568	205045	Maragatham/Alamu
745568	206560	Parukutty
745568	206771	
745568	207382	Gauri
745568	207879	Nanda
745568	211268	Meena/Minoo master
745568	215706	
745568	221111	Malini Devi
745568	234651	Kunjoojama Thomas
745568	239313	
745568	246350	
745568	248803	
745568	251222	Kamla
745568	252233	Ponnamma
745568	260269	
745568	268569	
745568	270172	
745568	271413	
745568	285113	Sheela's mother
745568	285527	Mejo Bou
745568	286514	
745568	287522	
745568	288027	Krishnendu's mother
745568	288216	Nrityakali
745568	295017	
745568	297542	Pratima
745568	297614	Ramola's mother
745568	300225	
745568	302657	
745568	306056	Omana
745568	309174	Queen Kumara Devi
745568	312452	
745568	330360	Mohanambal
745568	349110	Indranil's mother
745568	349445	
745568	354129	Savitri
745568	354356	
745568	355315	
745569	86645	
745569	238303	Baby Lakshmi
745570	188474	
745570	228755	
745571	193900	Audience
745571	259778	Cook
745572	282436	
745573	238597	Paullette
745574	169515	TSA Computer-Generated Person
745575	14903	Aurelia Merchant
745575	57330	Countess Clotilde, Speranza's
745575	94675	
745575	129036	La contessa Maffei
745575	249462	
745575	290900	Schiava di Sofonisba
745575	301340	Jeanne, la giocatrice al brid
745575	313899	Dorothy
745575	356224	
745576	14260	La signorina Paolina
745576	29956	Chambermaid
745576	187928	
745576	197334	Giustina
745577	357116	Mme Legropatre
745578	51614	
745578	354212	
745579	56360	
745580	87386	
745580	91580	
745580	229235	Gennifer
745580	302173	
745581	318604	
745582	31456	Gamzatti - La Princesse
745583	12691	
745583	14955	(segment "Epoca fascista")
745583	23586	Irene
745583	30372	
745583	52471	Maddelena
745583	53762	Silvia
745583	57313	
745583	57959	
745583	60136	Anna
745583	63696	La Comtesse
745583	63761	
745583	64163	Caterina
745583	69987	Princesse Mathilde Bonaparte
745583	75242	Anna
745583	86060	Katiousha
745583	88121	
745583	90156	
745583	90754	Franca
745583	91453	Françoise Le Guen
745583	94653	
745583	94689	Rosina
745583	98079	
745583	98643	
745583	102236	
745583	111859	
745583	112650	
745583	119856	Alba
745583	126257	Maheude
745583	127892	
745583	129104	Annuziata
745583	132721	Anna
745583	133026	
745583	135075	
745583	160052	Marcella
745583	161654	Luisa Marcelli
745583	188592	
745583	217123	Lea
745583	226971	Queen Maria Luisa
745583	227586	Carmela Gargiulo
745583	234566	Balestrieri's Widow
745583	238467	Lola Zardi
745583	247356	
745583	247515	Donna Violante Ruotolo
745583	248226	
745583	264215	La Reine Catherine de Médicis
745583	267879	Countess Cumiana
745583	275378	Mother
745583	280756	Caterina
745583	293062	Norma
745583	307455	Laura
745583	307639	
745583	326150	
745583	327452	Maria (segment "Pupo, Il")
745583	331626	Elena Ravezza
745583	336606	Ginetta
745583	341413	
745583	345593	Maria
745583	348147	Michele's mother
745583	408841	
745584	6408	
745585	6408	Une des filles prises en voit
745586	109452	Old lady customer
745587	2691	
745587	155344	Steffi Müller
745588	3397	Mary
745588	14649	
745588	42645	
745588	74593	
745588	83428	
745588	85568	
745588	86902	
745588	103500	
745588	104122	Amèlia
745588	108634	Pilar
745588	140543	
745588	149618	
745588	183985	Vagabunda
745588	193349	
745588	222533	
745588	246210	
745588	263068	
745588	266859	
745588	281884	Louise
745588	292751	
745588	294072	
745588	337949	
745588	341371	
745588	348935	
745588	351635	Lois Duvall
745588	371682	
745588	376794	
745588	401105	Paulina
745589	113808	Thelma
745590	80116	Herself
745591	1338	Séverine
745591	14573	Teresa
745591	19468	Rosa
745591	28589	Genoveva
745591	28690	Joana
745591	33147	Manuela
745591	64028	Zulmira
745591	66869	Julie
745591	68915	Senhora Arquitecta
745591	84267	Constanca
745591	107321	
745591	113681	Prostitute
745591	156399	The Mermaid
745591	205021	Filipa
745591	211666	Eva
745591	213742	Dona Rosa
745591	223817	Rosa Marques
745591	327446	
745591	385209	Dra Margarida Pereira
745591	398840	Dr. Sofia
745591	403232	Marta
745592	252605	
745592	385252	Marcia
745592	387523	
745592	397014	
745593	202735	Cachita
745594	145154	
745595	273429	Herself/Miami
745595	273434	
745595	273436	
745595	402993	Herself/Miami (1996)
745596	54791	Ludmila
745596	83889	
745596	152229	Madre Oliver
745596	300827	Chabela
745596	357189	
745596	384925	Fabiola
745596	396644	Milagros
745597	187627	Hija (en el hospital)
745598	223248	School Play Kid 2
745599	145134	Emma
745600	146943	Marinette Reyes
745601	331608	Lili
745602	38041	Nicky 'Pinky' Whoosiz
745602	45232	Singer
745602	74765	Gypsy Queen
745602	123884	Woman
745602	138835	Woman
745602	146754	Lavinia
745602	176312	Mrs. Lyons
745602	183789	Madame Kya
745602	279441	Proprietress
745602	330105	Anna
745603	330778	Woman
745604	28460	Bus Conductress
745604	192125	
745604	206259	Consuela
745604	306414	Dormitory Wardress
745604	337859	Mrs. Lindt
745605	68622	
745605	77752	
745605	80247	
745605	193356	
745605	202835	
745605	210262	Cholita
745605	255055	
745605	266225	
745605	266875	
745605	308965	
745605	371778	
745606	12056	
745606	24982	
745606	204820	
745606	228329	
745606	234178	
745606	334674	
745607	394871	News Anchor
745608	236339	
745609	126875	
745610	311635	The Spider Woman
745611	387953	Herself
745611	387954	Herself
745612	225188	Mai Li
745613	40520	
745614	40520	
745615	271603	Woman
745616	104731	Dutch entry
745616	228227	Herself
745617	225234	Martin's girlfriend
745618	379450	Karina
745618	385522	Nieta
745618	404261	Paty
745618	409419	Elisa Furtado
745620	13181	Kika
745620	15407	Luna
745620	23659	
745620	56068	Luzia
745620	56637	
745620	70770	Dada
745620	70909	
745620	73655	Amanda
745620	98801	Corina
745620	99828	Kachiri
745620	140294	Whore
745620	184365	
745620	187748	
745620	212143	Cléia
745620	234612	Joana
745620	237849	
745620	353588	
745620	380563	Nininha
745620	384117	Vitalina
745620	386728	Celeste
745620	389153	Palmira
745620	393006	Potira
745620	409419	Magnólia Cavalcanti
745621	380147	
745621	383550	Mulher Embuçada
745621	383727	Jaqueline Joy
745621	384480	Karla
745621	395302	Rita
745622	395882	
745622	396847	
745623	16891	Herself
745623	26768	Alex Starbuck
745623	53327	Sheila
745623	221122	Various Characters
745623	283565	Sheila Norton
745623	330386	Karen Hill
745623	365946	Mom
745623	398407	Various
745624	54631	Nurse Boland
745624	192634	Ruth McQueen
745624	292115	Trish
745624	363653	Jenny Martin
745624	365326	Nurse #2
745625	265092	Pilgrim
745626	155490	
745626	240067	Hexe
745627	131024	
745628	126588	Lesbian
745628	157752	Donna Dolores
745629	401087	
745630	49948	Clair
745630	289420	
745630	393881	Featured
745631	65184	Clarence's classmate
745632	80833	Calusa tribe
745633	149704	Marisa
745633	162607	Isabella Rico
745633	321975	Roxann
745634	236137	Lourdes
745635	48075	Newscaster
745635	52007	Reporter
745635	59311	News Anchor
745635	99254	News Reporter
745635	190245	Newscaster
745635	252483	DC Reporter
745635	307264	Correspondent
745635	314227	Reporter
745635	366954	Herself
745636	401514	Rosa, Terrasini's niece
745637	409493	Herself
745638	396035	Matilde Assunção
745639	409493	Herself
745640	353236	English Teacher
745641	189961	
745642	409493	Herself
745643	67909	Martino
745644	8283	
745644	355618	
745645	56328	Notaio
745646	390444	Herself
745646	390452	Herself
745646	390453	Tamara
745646	390454	Herself
745647	6743	
745647	197468	Mariella
745647	293938	
745647	349542	
745648	497	
745648	22791	
745648	29845	
745648	55947	
745648	69227	
745648	97253	
745648	100335	
745648	138948	
745648	146515	The Mother
745648	149229	
745648	169760	
745648	197457	
745648	199303	Sra Bovary, mother
745648	221985	
745648	266470	
745648	266875	
745648	281605	
745648	356667	
745649	48122	Monica
745650	403363	Antonella Franconi Vallesi
745651	70347	Kitchen Staff
745652	229869	Otis' mother
745653	209388	3rd Woman
745653	380713	Marsha Talbot (1985-1986)
745653	397027	Miriam
745654	54785	
745655	400900	Host
745656	162292	Commanders Wife
745657	78023	Sales Lady
745658	168128	Mollie
745658	213144	
745658	238965	
745658	297654	Carlotta
745658	315139	Mame
745658	360239	Claudine
745658	367566	Squaw
745659	125037	
745659	252305	
745659	277806	Aunt
745659	386745	Susan
745660	123150	
745662	74531	
745662	210172	
745662	235987	
745662	252607	
745662	296472	
745663	308749	Herself
745663	411597	Miuxa
745664	96515	Nëna
745664	136674	
745664	154277	
745664	170220	Herself
745664	201473	
745664	338723	
745665	17509	Nurse
745665	23985	
745665	30062	Die Landfriedbäuerin
745665	37755	Deren Mutter
745665	45908	
745665	55180	Don Josés Mutter
745665	86100	Frau Werner
745665	92411	Frau Bessel
745665	111849	Linotte
745665	134811	
745665	140258	
745665	142010	
745665	143724	
745665	158564	
745665	188795	
745665	193287	
745665	198928	
745665	199355	
745665	207086	
745665	211074	Krämersfrau
745665	225207	Mutter Schulz
745665	270417	
745665	281942	
745665	290756	
745665	301037	
745665	307087	
745665	324696	
745665	329899	
745665	337558	
745665	360923	
745666	42584	Julia
745667	59093	Depression Girl
745667	137224	Miss Liberty
745667	280082	
745668	347572	Usherette
745669	74577	
745669	117480	Therese
745669	147976	Isla/She whose planet is Mars
745670	55662	Martha
745670	188486	Gilian
745671	297126	Breezy
745673	54777	
745673	124799	
745673	229173	
745673	248555	
745673	265097	
745673	279268	Josephine Bracken
745673	302070	
745673	306665	
745673	316572	
745673	316879	
745673	325965	Stephanie
745673	337235	
745673	359034	
745674	30038	
745674	354752	Franny
745674	378928	Maria
745675	19999	Sally O'Neil
745675	36946	Lilian Langley
745675	37255	
745675	42399	Socialite
745675	47357	Queenie Mahoney
745675	57193	Genevieve Jones
745675	63088	Herself
745675	72650	Grandma Anita Kroger
745675	72878	Herself (segment "Hollywood M
745675	96789	Peg Murdock Feliki
745675	116194	Anita Hastings
745675	119473	Elvira
745675	125887	Ruth
745675	133538	
745675	146782	Claudia Revelle
745675	147784	Herself
745675	147825	Herself
745675	154263	Jean St. Clair
745675	154680	Herself
745675	164579	Herself
745675	168112	Herself
745675	170732	Doris Evans
745675	178034	
745675	191587	Isabel
745675	195281	
745675	222344	Mumsie Day
745675	228814	Alice 'Allie' Brown
745675	231863	Mary Thomas
745675	244778	Connie Blair
745675	244798	Ann 'Annikins'
745675	244882	Kentucky Strafford
745675	265977	Helen Praskins Warren
745675	274539	Vivian Truffle
745675	300942	Margie Kelly
745675	307428	Natalie
745675	310799	Patricia
745675	319177	
745675	327305	Chrystal Malone
745675	345989	Sophie
745675	356270	Herself
745675	359277	Joy Meadows
745675	363566	Myrtle
745675	366755	Sister Seraphina
745676	5148	Mrs. Brewster
745676	117528	Bridge Player #2
745676	146934	Dinah's Mother
745676	190331	Receptionist
745676	272085	Pearl
745676	359545	Old Nurse
745677	214229	
745678	243300	Prison's Guardian
745678	331831	Cop #2
745679	205658	Woman at Fight
745680	35362	
745680	35363	Herself
745680	120559	Herself
745680	153571	Stripper
745680	257813	Herself
745680	326511	Herself
745680	350636	Herself
745682	217628	Herself (Journalist)
745683	13620	Pearl Soap Singers
745683	19551	Princess Yum Yum (singing)
745683	32185	Chorus
745683	87009	Additional Voices
745683	183550	Chorus
745683	212902	Chorus
745683	212908	Jasmine, Chorus
745683	232425	Additional Voices
745683	258513	Additional Voices
745683	264157	Church Choir Member
745683	392134	Chorus
745685	308489	Herself
745686	213591	Yum-Yum
745686	256626	Mabel
745687	57550	Unemployment clerk
745687	58799	Race horse owner
745687	69447	Elvira
745687	94052	Alicia
745687	106260	Bank Secretary
745687	113980	TV Reporter (& Creative Consu
745687	139296	Newlywed at park
745687	161417	Embassy Secretary
745687	162897	Woman at gun range
745687	166709	Police woman
745687	175833	Forensic Investigator
745687	187810	Nightclub patron
745687	209156	Elementary School Teacher
745687	228775	Luly
745687	283313	Post Girl
745687	319187	Opthalmologist (segment "The 
745687	323492	Ms. Ruiz
745687	340034	Co-Anchor (Marta)
745687	384161	Lucha Santiesteban (2003-??)
745687	387083	Rosalinda
745687	390010	Co-Host
745687	397617	Carmen
745687	407006	Doctor (1988)
745687	407245	Teresa (La Familia Fernández)
745687	412161	Cousin Milagros (Episode: "Ga
745688	52199	Monroe's voice
745689	289260	Christian Lady
745690	111698	
745690	303503	Une pensionnaire
745691	276677	Girl at Cafe
745692	32142	
745694	116086	Sarah Lawrence Girl
745695	159770	Sorority girl
745696	7438	La fille enceinte
745696	54255	Zite
745696	101194	
745696	101446	
745696	200966	Maurins' maid
745696	215854	
745696	225409	
745696	231147	
745696	243929	Bernadette
745696	272896	Hélène
745696	283032	Josette
745696	307493	
745696	339539	Nicole
745696	346740	Rosemary
745696	357046	
745697	177540	Sheba
745697	202641	Mrs. Hayes
745697	204189	Yvonne/Toots Malloy
745697	277845	Helen Rickson
745697	302709	Dorothy Hendricks
745697	359993	Shirley Martin
745698	57013	Classical Singer
745699	5196	Mrs. Marriner, Hugh's mother
745699	154101	
745699	168501	Mrs. Jones
745699	209185	Francisca
745699	275479	
745699	292419	Grandmother at dock
745699	348067	Ann Waterton
745699	404659	Andree Foiret (1977)
745700	92248	Monk's Stage Manager
745701	159270	Sarah Burton
745701	376701	
745702	130327	Jennifer
745702	139025	Hayley
745702	148460	Young Lisa
745702	154183	Stella Blackstone
745702	196107	Suzanna
745702	205969	Joanie
745702	220486	Sherry
745702	221227	Natalie Merritt
745702	256820	Maggie Maclean
745702	361937	Jocelyn
745702	365123	Emily Anderson
745702	401540	Maggie MacLean
745702	403370	Helene (Eps 1)
745702	408711	Treena Lahey (2002)
745703	191630	
745703	191631	Alyana Stillwater
745703	366919	Rachel
745703	400236	Roseanne Delgado Vega (1998-2
745703	404645	Roxanna
745704	30605	
745704	50925	
745704	193831	
745704	193840	
745704	196301	
745704	256116	
745704	282337	
745704	333653	
745704	360442	
745705	141746	Old Woman
745706	45286	Susan
745707	240617	Mélanie
745708	362174	
745709	5033	Marion King
745709	13351	Nurse Randolph
745709	17566	Katie
745709	61567	Miss Bowers, Head Nurse
745709	73233	Sue Warren
745709	79429	Cora Masters
745709	118264	Emma Lemp
745709	118341	Emma Lemp Talbot
745709	118399	Emma Lemp Talbot
745709	141321	Elizabeth Spaulding
745709	159182	Lee Mason
745709	179083	Bonnie Skiles Rockne
745709	228588	Linda McKay
745709	330159	Pearl Fabrini
745709	333301	Mary L. (a woman of quality)
745709	372129	Madge Stone
745710	335982	Miss Langton-James, Chorus Me
745710	391206	Stella Dunn
745711	8305	Mary Bolevasco
745711	20135	(segment "Les Boréades")
745711	33555	Madame Anais
745711	35814	Zizi
745711	43002	Nathalie Dupin
745711	48356	Karen Sandler
745711	48918	La veuve/The widow
745711	55809	
745711	57284	Evremont
745711	57539	
745711	58756	Eve
745711	60692	Barbara Van Looren
745711	81639	Margot Beste-Chetwynde
745711	96040	
745711	98653	Princess Urraca
745711	108542	Marquise de Pompadour
745711	117565	Dominique Danemore
745711	125740	Simone
745711	132866	Monique Delvaux-Sarti
745711	148606	
745711	149203	Ursula Keller
745711	158831	Bernadette
745711	166301	Herself
745711	169333	Agathe
745711	188680	Colette Simonet
745711	196442	Alice
745711	201343	Agnès des Vallières
745711	208656	Countess Larish
745711	212779	Nadia Fédor
745711	219606	Mme. Schmidt-Boulanger
745711	225471	Jeanne Lemoyne
745711	234416	Dominique de Bellecombe
745711	236554	Viola
745711	249707	Carole de Norbois
745711	257215	Violette
745711	264747	Ilse von Hoffmanstat, aka Gab
745711	278146	Martha Loncle
745711	301846	Genevieve Gerard
745711	308675	Countess Marie
745711	323802	
745711	327890	Béatrice Dumonceaux
745711	340118	Yolande Combes
745711	345036	Edith
745711	372805	Frieda Winter
745711	377950	Donata
745711	385037	Mary Brown
745711	402531	La baronne
745712	2815	Herself - Best Actress Winner
745712	7007	Sally Phelps
745712	29962	Xantippe
745712	32849	Martha Farnsworth
745712	46794	Mrs. Baumann
745712	61143	Carol Richardson
745712	79850	Big Sister
745712	80970	Evie Jackson
745712	89686	Mrs. Kendrick
745712	138661	Mrs. Duke
745712	139680	'Aunt' Beverly
745712	148840	Angie Lowe
745712	149107	Sister Maria Clarissa
745712	154943	Jean Scott Martin
745712	160855	Eve
745712	164243	Mama
745712	192506	Mrs. O'Neill
745712	194180	
745712	218588	
745712	224106	Molly
745712	228046	Sister Walburga
745712	228339	Peggy
745712	228915	Itta Halaunbrenner
745712	243950	Herself
745712	248386	Sarah
745712	253843	Gertrude
745712	260357	Mrs. Ritter
745712	276195	Madame Medusa
745712	278012	
745712	308063	Ann Cappelletti
745712	318673	Alma Winemiller
745712	321145	Alexandra Del Lago (Princess 
745712	326119	Florence Albert
745712	329353	Sook
745712	331610	Olga
745712	337211	Carrie Berniers
745712	339707	Sook
745712	339834	Mrs. Watts
745712	362585	Claire Marrable
745712	363939	Anne Wyatt
745712	372305	Margery Chanticleer
745712	379068	Cousin Sook
745712	382282	Mrs. Lovelace
745713	187231	Nurse
745714	40203	Zoe
745714	83877	Nicole Shepard
745714	90911	Kim
745714	316191	Sarah Jane
745714	360392	Natasha Linden
745714	381422	Cami
745715	60364	Rose Blake
745715	77286	
745715	91864	Mace
745715	151711	
745715	307961	
745715	365084	
745716	177015	Mrs. Jameson
745716	388887	Mary Porter (1971)
745717	240975	
745718	9389	Aunt Ida
745719	313812	Grandmother
745720	194689	Young Woman
745720	356516	Nadine
745721	77805	Chorus girl
745722	131984	Bedroom Girl
745723	288696	
745724	222495	Sardi's Customer
745725	2723	Nature Girl
745725	238563	Daphne
745726	127730	Vikings Dance Squad Member
745726	128727	Dancer
745726	329946	Street Dancer
745726	368316	
745727	25834	Audition Dancer
745727	30582	Felons Cheerleader
745727	115562	Rockette
745727	151540	Human Models Receptionist
745728	311441	Haily Hollister
745729	9731	
745729	29621	
745729	123188	
745729	135059	
745729	145159	
745729	209028	
745729	256883	
745729	301123	
745729	310027	Kitty
745730	79556	Dora Spenlow
745730	120506	Ann Crook
745730	194996	Gladys
745730	195300	Just Judy
745730	215563	Servant
745730	352682	Bethan Bevan
745730	383683	Zoe Cazalet
745730	396587	OM Rosie Bowen
745731	45901	Villager
745731	328824	Miss. Sheppard
745732	49369	Anita de la Vega
745732	56044	Annina Brandel
745732	69683	Consuelo de Cordova
745732	112356	Nina
745732	177988	Marsinah
745732	203791	Lali
745732	300312	Charlotte Moore
745732	335491	Prairie Flower
745732	407135	Mary Videau (1st Season)
745733	117728	Carol
745733	263227	Sheila
745733	271315	Women Evacuee
745733	283802	Carole
745733	401563	Madeleine Valenta
745733	403145	Heather (1985)
745733	404189	Sally
745733	407085	Sally (1976)
745733	411133	Policewoman
745734	106632	Model
745734	380390	Carla Redlon #2 (1982)
745734	386944	Kari
745735	63835	Hannah Brown
745735	133678	Old Lady at Garage
745735	161414	Mary, Kay's Maid
745735	176322	
745735	178840	Woman in House
745735	203200	Landlady
745735	215582	Postmistress
745735	281413	
745735	367877	First Landlady
745735	385927	Mrs. Lynch
745736	161979	Matron
745737	403931	Mrs. Fairbairn
745738	115670	
745740	246861	Pajama Girl
745741	360092	Layla Reid
745741	362663	Georgia Park
745742	217821	Nitro Girl Kimberly
745742	257836	Herself (Miss May 1987)
745742	289380	Sylvia Heinrich
745742	360336	Kimberly the Diamond Doll
745742	360344	Herself
745742	410688	Herself (1995-2000)
745742	410690	Herself (1998-2000)
745743	192428	Cindy
745744	192428	Cindy
745745	41083	Tootsie Woodley
745745	303522	TV News Interviewer
745745	306182	Mother
745745	312557	Nurse
745745	383399	Taffy Dare
745745	383612	Space Patrol Officer Minnie
745745	383849	Additional Voices
745745	395758	Mrs. Bigg
745745	398087	Kyla
745745	404518	Mrs. Creeply/Taffy Dare
745746	57489	Grandma
745746	120093	Old lady
745746	131424	Herself
745746	131692	Wilma
745746	187241	Herself
745746	208207	Elsie, the maid
745746	212027	Old Nurse
745746	223734	Hotel Maid
745746	274441	Herself
745746	277697	
745746	277700	Herself
745746	297113	Female Clown Barfly
745746	315256	Erna
745746	361604	Mrs. Potter & Gertrude Potter
745746	373990	Mrs. Jones
745746	381041	Ma
745746	386193	Charlene Jenkins
745746	403080	Herself
745746	404265	Aunt Esther Anderson (1972-19
745746	404266	Esther Anderson
745746	404267	Esther Anderson
745747	39386	
745747	177574	Lena
745747	333096	Sylvia
745748	321141	Tina Miller
745749	16396	Herself
745749	309860	Nurse
745749	316881	Vanessa Cronin
745750	99860	Patient
745751	79111	
745751	85088	Dancer
745751	193707	Herself (member, Rhythm Cowgi
745751	223019	Orchestra Member
745752	76606	Fiona Cooper
745753	45458	Acrobatic Dancer
745753	218771	
745754	356326	Herself
745755	390778	Katie Dawson
745756	31675	Debbie
745757	199318	Woman at accident
745759	125520	
745760	365648	Church Girl
745761	124772	
745762	233584	Ms. Buckles
745763	215508	Punk Girl
745764	81512	
745765	27197	
745765	41971	
745765	108451	
745765	130782	
745765	296680	
745766	28994	Jane
745766	125723	
745766	178975	Rickshaw Racer
745766	211824	Young Girl in Bath
745766	303492	L'assistante
745766	343565	
745767	41696	Tylette
745768	137962	
745769	163496	Managers assistant
745770	190781	Baby
745770	365202	
745771	13781	Herself
745771	34112	Herself
745771	45684	Joanne McIllenny
745771	90537	Liz
745771	99449	Sister Rachel
745771	131577	
745771	200201	Herself
745771	228969	Herself
745771	250848	Herself
745771	314117	Singer
745771	381969	Host
745771	398593	Hostess
745771	402888	Herself
745774	278476	Susan Cole
745775	270499	Herself
745775	368872	Herself
745776	141056	Mrs. Edwards
745777	220892	Cigarette girl
745778	347985	Herself (booklender)
745779	79691	Manageress
745780	383619	
745781	381107	Bunny Burroughs (series 2-3)
745782	78311	
745783	20033	Cabaret Dancer
745783	40952	Hotel Maid
745783	49244	Barmaid
745783	150745	Chambermaid
745783	188395	The Bride Who Wasn't
745783	192096	Mrs. Mary Fogarty
745783	192174	Girl
745783	249235	Young Girl
745783	271293	Esketh's Maid
745783	330664	Corporal
745783	347109	Maid
745783	354201	Glennie
745784	92959	Student
745785	60461	
745786	78422	
745787	321788	Young American Girl Student
745788	8071	
745788	140951	
745789	141637	
745789	257269	Little Girl
745790	165318	Donna Patterson
745791	131723	Tommy's mum
745791	236695	
745792	396083	Juliette Briones
745793	97730	Betty Foxley
745794	213662	Sarah
745796	252282	Sheila Gilroy
745797	313583	Fan in Lobby
745798	116690	Mrs. Hazzard
745798	201461	Anita Webb
745798	244867	Mrs. Elliott
745799	196038	Wine Pourer
745800	269161	Catherine 10 ans
745801	97054	
745802	55488	Gina
745802	87975	Mrs. Healy
745802	132922	
745802	164220	A Client
745802	237610	
745802	243300	Prison's Guardian
745802	249209	Fan de Jeannot
745802	264365	
745802	270290	Beatrice Owen
745802	384386	Julia
745802	411623	Hélène
745803	245207	Young Kit
745804	347063	Tina
745805	212334	Herself - Participant/Perform
745806	167922	Annie Lynn
745807	63133	Herself (Princeton)
745808	131239	Woman of the town
745809	111704	La cuisinière
745809	171389	
745809	217672	
745809	229064	Madame Hette
745810	93473	Renate Oberweger
745810	114876	Karla Werner
745810	126331	Alexandra Köhler
745810	144160	Enkelin
745810	166763	Lara
745810	195823	Jenny Arndt
745810	203767	
745810	215914	
745810	230172	Suleyka
745810	264329	Natalie
745810	322920	Lilli Gschwantner
745810	347634	Johanna
745810	352068	Susanne Weber
745810	379372	Doris Berg
745811	292955	
745813	276506	
745814	16207	Eva Maria Seebacher
745814	18533	Alice
745814	34105	Mona
745814	98258	Liebling
745814	114876	Lisa Werner
745814	225284	Vivian Gerste
745814	325407	Irene Schmidt
745814	345910	Natalie
745814	386981	Henriette Gutmann (2001-????)
745814	392636	Nora
745814	409588	Anneli Müller
745814	411100	Anette
745815	133758	Joan
745816	149010	Cashier
745817	17700	Molly LaRochelle
745817	33646	Martha Gilbreth
745817	38542	Kalua
745817	47434	Sonseeahray ('Morningstar')
745817	74232	Teena Riconti
745817	82602	Lucia
745817	118434	Ruth
745817	120613	Virginia Nicholl
745817	123300	Melanie Barbee
745817	140141	Ann Ward
745817	151041	Maria Domenico
745817	159252	Seetha
745817	163299	Alice (Debby's college friend
745817	169486	Seta
745817	185333	Indian girl
745817	195881	Cathy Reno
745817	199638	Filmclips from 'The Haunted P
745817	207242	Esmeralda
745817	215334	Cosette
745817	219765	Linda Marlow
745817	219950	Linda
745817	240245	Sharain
745817	264090	Ilene
745817	264189	Princess Shalimar/Taura
745817	279186	Margaret Cameron (unmarried M
745817	294540	Shila
745817	295280	Elizabeth Clark
745817	323891	Helene Valdemar (segment "The
745817	327685	Lilia
745817	332805	Seetha
745817	363830	Appearing Day
745817	364625	Dottie Manson
745818	305465	Fay Trevor
745819	327279	Elsie
745820	133695	Herself
745821	251739	
745822	50794	
745823	167172	Une invitée
745824	385823	Sarah's child
745825	17807	Livia
745825	351013	
745826	3965	Kitty Perring
745826	69820	Mrs. Hammerbrook
745826	90905	Mrs. Hannay
745826	162984	
745826	203561	Secretary
745826	214710	Mrs. Kanesley
745826	339430	Lady Queensberry
745826	341028	Lady at Hotel
745826	350115	Mrs. Carter
745826	389123	
745827	52361	At the Airport - Stewardesses
745828	17702	Princess Mary
745828	25480	Dotty Blundell
745828	34488	Emma Orchardson
745828	118958	Elizabeth Fanschawe
745828	119842	
745828	138119	Catherine
745828	240032	Joanna Stone
745828	242726	Anna
745828	249617	
745828	264917	Acting Lt. Sylvia Morgan
745828	290960	Julia Stitch
745828	307916	Jenny, Salvation Army officer
745828	329988	Claire
745828	348534	Herself
745828	354333	Talia
745828	355537	Elizabeth
745828	379489	Sonia Drysdale
745828	380344	Anna Karenina
745828	382118	Liz Rodenhurst/Badger
745828	383165	
745828	398990	Mlle. George
745828	408287	Mrs. Mannion
745828	409645	Sally Kegworthy
745828	409666	Elizabeth Bellamy/Kirbridge (
745828	411356	Adele Fairley
745829	387651	Elpida
745829	407739	
745830	120827	Marie Blanchard
745830	391976	Sydney Shanowski (2003-2004)
745830	400933	Jennie Bradbury
745831	7580	Miss Poulsen
745831	182621	Sandra
745831	278332	Anna, Sekretær
745831	405582	Sidsel Gudmundsen
745832	159618	Baronessa D'Erlange
745833	110960	Herself
745833	129368	Herself
745833	142889	Herself
745833	160464	Interviewee: Educator/Author
745833	163625	Herself
745833	223869	Herself (interviewed)
745833	257389	Herself
745833	278290	Herself
745833	287238	Herself
745833	295636	Herself (interviewee)
745833	320088	Herself
745833	360084	Herself
745834	1411	Folksinger
745835	255499	Clementina
745835	384781	
745835	398519	
745836	25327	Il Grillo Parlante
745837	81665	Sorority Sister #1
745838	346514	
745839	84142	Photographer
745840	278308	Gilda
745841	381821	Ensemble (1975-1977)
745842	362597	Fitness Special Extra
745843	5761	Anita
745843	19068	Zia Ortensia
745843	23503	Madre di Osvaldo
745843	67691	Francesca Cavalli
745843	94733	
745843	129011	Guest of Matteoni
745843	158757	La signora Maigret
745843	158758	Signora Maigret
745843	158759	La signora Maigret
745843	158760	La signora Maigret
745843	158761	Signora Maigret
745843	158762	Signora Maigret
745843	158763	La signora Maigret
745843	158765	La signora Maigret
745843	158766	La signora Maigret
745843	158767	La signora Maigret
745843	158768	La signora Maigret
745843	158769	La signora Maigret
745843	158770	La signora Maigret
745843	158771	La signore Maigret
745843	158772	La signora Maigret
745843	162080	
745843	199920	
745843	211704	
745843	215332	Suor Simplicia
745843	243635	
745843	246431	La signora Maria
745843	250510	
745843	254962	
745843	255868	Giovanna
745843	263190	
745843	269481	Susanna
745843	294848	
745843	341414	
745844	43287	Daisy
745844	111299	Sara Goudar
745844	125776	
745844	209831	
745844	259843	Rosita
745844	262405	Moracciona
745844	337448	Fabiola
745844	401065	
745845	6378	La marchande de fleurs
745845	6402	Paulette
745845	8915	Cricri
745845	33584	Watermiller's Daughter
745845	55307	Francine Dardamelle
745845	201189	Coco
745845	204656	Manon des sources
745845	228943	Naïs Micoulin
745845	282048	Young Girl
745845	294946	Marcelle
745845	328439	Louisette
745845	335900	Ernestine Muche
745846	344000	
745847	202727	Massimo's Mother
745848	192380	Beautiful Woman
745849	69187	Herself
745850	319914	L'Autre entraineuse
745852	240761	Veronica France
745852	333127	Secretary
745853	17042	Veronica
745853	79269	Video Clerk
745853	112331	Flight Attendant/Ring Girl
745855	400242	Weather Presenter
745856	95869	Dina
745856	98734	Margarita Bistou
745856	173084	Rena Sgourou
745856	199617	Eftihia
745856	350796	
745856	396045	
745857	26120	
745858	12826	
745858	25216	
745858	42559	
745858	55362	
745858	63831	
745858	89971	
745858	184824	
745858	351182	Herself
745858	377632	
745859	12826	
745859	25158	
745859	42559	
745859	52110	Rosina
745859	52928	Sônia
745859	63831	
745859	184824	
745859	190408	
745859	225710	
745860	20828	Aurore
745861	24314	La cousine Marthe
745861	69343	La prostituée
745861	165183	Julie
745861	195204	Tina
745861	240539	Danièle
745861	260886	
745861	314303	Annetta
745861	356356	Maria
745862	94535	Suzette
745862	127634	
745862	229027	
745862	336849	
745863	51615	Júlia
745863	55753	Victoria
745863	100405	Mariona
745863	322593	
745863	384972	Carme Bosch
745863	399506	Mireia Puigfalcó
745863	400034	Meritxell
745863	400036	Meritxell
745863	405498	
745864	2599	
745864	21404	
745864	33116	Mrs. Moschmann
745864	33166	Heidi
745864	34291	Angela
745864	40377	Miss Mabel Finley
745864	40499	Gretchen Scheffler
745864	42219	Carol
745864	48618	
745864	68303	
745864	79624	Conny
745864	89956	Frau Moll
745864	101324	Frau Vöpel
745864	101355	Inge
745864	123924	Edith
745864	132053	Miss Finley
745864	136930	Mariette
745864	140247	Atlanta
745864	142321	
745864	152753	Miss Finley
745864	153111	
745864	156616	Miss Finley
745864	179798	
745864	186919	Zimmermädchen
745864	189673	
745864	193460	Bob's Mutter
745864	204452	Miss Finley
745864	217917	
745864	225629	Sekretärin
745864	249102	Geliebte
745864	290650	Karla
745864	311010	
745864	338394	Evchen
745864	344784	Telefonistin
745864	345915	Helga
745864	345924	Gaby
745864	348108	Juliette
745864	359613	
745864	364922	
745864	366263	Nscho-tschi
745864	376354	
745864	392086	
745864	404909	Lilli (voice: German version)
745864	406321	
745865	110169	Mora
745865	233978	Gaby
745866	114873	(segment "Petenera")
745866	279201	Flamenco dancer
745866	279202	Flamenco dancer
745867	4987	
745867	52987	Sara
745867	73269	
745867	91270	
745867	127602	
745867	276234	Margarita
745867	306694	
745867	378653	Gela
745867	389219	Pura
745868	389119	Katharina Arnhoff (#3/#4) (20
745869	389119	Katharina Arnhoff (#3/#4) (20
745870	27408	Tanssija
745870	281298	Miss Ooh
745871	379635	
745872	62294	WAC
745873	124432	The soubrette
745873	211102	
745874	73744	Schoolgirl
745875	117862	Barselspasient
745876	40942	Dancer
745877	398051	Herself (6th Executed)
745878	132751	Hélène
745879	308482	
745880	80464	Fate 2
745880	115603	Woman at Phone Booth
745880	132909	Asuka Kasen
745880	138701	Claire
745880	237058	
745880	259939	Ting
745880	276085	Angelic Nurse
745880	301077	Tina Osu
745880	374285	Connie
745881	278711	Kashi Yamamoto
745882	280187	Shariyar
745883	37474	Miao Yin
745883	114067	
745883	297672	Siakwan
745883	407610	Billie Low
745884	17599	Anna Weiss
745884	22001	
745884	71215	(segment "Asino chi legge")
745884	73643	
745884	262405	Suora
745884	307677	
745884	328500	Gianna
745884	380367	Vera
745885	94493	Agent Raquel
745885	94494	Agent Raquel
745885	94495	Agent Raquel
745886	405209	Jessica Healey (1998)
745887	33986	Mala
745888	375045	Singer: Solo Lines in 'Ziegfe
745889	49347	Porn Woman
745890	26583	Fanny
745890	358581	Mrs. Dymbort
745890	383306	Manon
745890	386497	Mado
745890	409444	Mélanie, La blonde du père de
745890	410628	Catherine
745891	21378	Secretary
745891	58572	Chenna
745891	288339	Rekha
745892	148011	Raquel
745893	114039	Claudia Goss
745893	236117	Marty
745893	281911	Kim Silva
745893	393437	Maggie Marino
745893	406424	Margaret 'Maddie' Keller
745894	232240	Laura
745895	241774	Emma
745897	283230	Teen Runaway
745898	406459	Herself/Starting Over roommat
745899	62017	Sally, Red Cross
745899	372618	Bit Part
745900	194690	Nanny
745900	316218	Vicky Leigh
745901	370643	Janet Farnwell
745902	372050	Torch singer
745903	338981	Herself
745904	299958	
745905	5066	Young Woman
745906	223818	Wanda Adams
745907	182956	Erin
745907	215845	Sheriff's Wife
745908	687	Herself
745908	4595	Herself
745908	6906	Daisy
745908	16396	Herself
745908	16397	Herself
745908	56996	Grizabella the Glamour Cat
745908	60834	Florence
745908	144406	Grizabella
745908	198094	Eva Peron/Florence (segment "
745908	232140	
745908	241239	Kim
745908	308559	Herself - Performer
745908	346883	Betty
745908	385299	Caroline Winthrop (1978)
745909	317533	Groupie 1
745910	2434	
745910	95752	
745910	156831	
745910	298163	
745910	306923	Herself
745911	64070	Ensemble
745912	140909	Gigi
745913	12784	Herself - Polly
745913	16729	Dolly Blaine
745913	26626	Dolores Jynson
745913	30922	Janis
745913	42357	Herself
745913	46636	Mandy Packer, Owner of Red Ox
745913	47385	Herself
745913	54995	Marion
745913	60936	Emily Carson
745913	67564	Goldie Williamson
745913	70470	Irene
745913	116524	Liz Bradville
745913	143233	Georgia King
745913	147663	Angela
745913	150800	Kit Williams
745913	154824	Kim Karol/Sally
745913	184696	Kate Lanigan
745913	195382	Jackie
745913	195459	
745913	221154	Lorraine
745913	228442	Mrs. MacCarthy
745913	233690	Maggie Hodiak
745913	238505	Sally Athelny
745913	241752	Virginia Brush
745913	244443	Mrs. Barnes
745913	257963	Deborah Vaughn
745913	279689	
745913	280992	Mrs. Elvira Kent
745913	288613	Herself
745913	292683	Circus Star
745913	301842	Peggy Dainton
745913	306550	Herself
745913	315815	Barbara Clementi
745913	330878	Nadine Taylor
745913	333386	Sue Jackson
745913	342001	Lonnie
745913	342865	Della Oliver/Sylvia Latour
745913	342901	Polly
745913	349864	Madge
745913	358749	Joy Linnett
745913	361222	Adah one of Zar's Girls
745913	366422	Peggy Markham
745913	372811	Kate Shepherd
745913	381070	Blanche (1983)
745913	383385	Lauren Clegg/Margaret Hansen 
745913	389858	Aunt Iona Huntington (1989)
745913	390795	Nettie McCoy
745913	393099	Jan Stewart
745913	395128	Kate Lanigan
745913	404282	Minx Lockridge #2 (1990-1993)
745913	408749	Catherine Hackett (1985-1986)
745914	31933	Rosalie Rogers
745914	38668	Dorothy Barlow
745914	39267	Jessie Gordon
745914	40705	Norah Greenway
745914	54450	Arabella Bishop
745914	71542	
745914	78726	Suzette
745914	79024	Justine Bouvier
745914	83845	Dolly Drake
745914	113465	Nonette
745914	117992	Betty Graham
745914	130793	Laura Brooks
745914	144564	
745914	159135	
745914	177374	Jewel
745914	265245	Betty Malroy
745914	290425	
745914	304373	Miss Elsie Leeson
745914	324411	Lola Maynard
745914	335633	Charlotte Browning
745915	71687	Waitress
745915	341680	Nurse
745916	146333	Extra
745918	102208	Allison's Friend
745919	263	Taffy, Age 12
745919	116290	
745919	117496	Rachel
745920	312138	Berlin: Sandy, Muir's 2nd Wif
745920	381344	(2000)
745921	1793	Miss May 1987
745921	35523	Playboy Playmate
745921	41317	
745921	219638	Nurse
745921	257645	Herself (Miss August)
745921	257859	Herself
745922	194796	Hostage
745923	10595	Mrs. Mary Ford
745923	58468	Mrs. Dalton
745923	80062	Mrs. Van Santen
745923	141292	Mrs. Kibbie
745923	141788	Aunt Julia
745923	220073	Captain's Mother
745923	289609	Mrs. Victor Krenin
745924	32070	Drummer
745925	18008	
745925	24962	Lucy
745925	26843	Mrs. Cassett
745925	31893	Mrs. Peters
745925	32903	Flossie
745925	41378	Madame Moana
745925	53975	Ethel Oliver
745925	54708	Mary Pepper
745925	55048	
745925	72684	
745925	74288	Lady with Pekinese
745925	78126	Marie Drumman
745925	97496	Mrs. Pearson
745925	98142	
745925	116712	Bess
745925	119559	Rhoda, Ellen's Babysitter
745925	131430	Miss Kent
745925	137493	Bus Old Lady
745925	138804	Mrs. Smith
745925	143203	Mrs. Josper
745925	147609	Charwoman
745925	150723	Medium
745925	155917	Grandma
745925	163276	Julia Jiggs
745925	168646	Mrs. Lutz
745925	168720	Slatternly Woman
745925	196963	Annie ('Ma')
745925	207861	Mrs. Hanson
745925	216456	Slavey
745925	222775	Grandma Fleagle
745925	224003	Miss Eckles
745925	228272	Mrs. Garvey
745925	234471	Mrs. Warne
745925	245209	Mrs. Robbins
745925	254283	Mrs. Hibsch, Faculty Cook
745925	273464	
745925	281909	Grandma Sykes
745925	294901	Mandy Spraggs
745925	298031	Helen
745925	298047	Mrs. Whittaker
745925	299523	Myrtle, an Old Maid
745925	306126	Landlady
745925	308022	Mrs. Freeman
745925	309430	The Soubrette
745925	313377	Undetermined Role
745925	340853	Mom Porter
745925	372111	Her Mother
745925	372139	Miss Hawks
745925	372461	Mrs. Garnett
745926	176974	Maid
745927	111068	Ginger
745928	98183	
745928	355062	Herself
745928	355069	Virgin (Mazzy Page)
745929	343162	Dumb Blonde
745930	118431	Janet/Joan
745931	394392	Dvergr
745932	195463	Flem
745933	234226	Mrs. Cain
745935	379700	Herself/Contestant (Top Ten F
745936	84492	Karen Addams
745936	227032	Carrisina
745937	175193	Young Darya
745937	335782	Tooth
745937	368060	Lilian
745937	398781	Abby
745938	358434	April
745938	395024	Herself
745939	107464	Gobstopper
745940	51293	Girl in bar
745941	173950	
745943	2838	Valérie
745943	7184	Christine Faure
745943	19317	Marie
745943	19789	Véronique
745943	58744	Clémence
745943	60913	Maelle Coste
745943	68383	
745943	72387	Helena
745943	90117	Doña Ana
745943	116431	Louise
745943	124328	Sophie
745943	140302	Maria
745943	153814	Juliette Destrac
745943	162109	Gloria
745943	197394	(segment "Cédric Klapisch")
745943	229492	Christiane Mercier
745943	248581	
745943	248886	Marie
745943	254316	Lucie
745943	265347	Herself
745943	272032	Nadine
745943	277030	Rachel
745943	318488	Helen
745943	335081	Hélène
745943	345285	Léna
745943	346799	Claire
745944	109408	Suzy
745944	377061	
745945	321800	
745946	136657	Jessica
745947	198638	Manon
745948	61716	Herself/Teacher at Chabannes
745949	377490	
745950	212238	Mexican Woman (Phone)
745950	294972	
745950	376640	Hierbera
745950	384400	Dolores 'vigilante en el cent
745950	391572	
745950	393801	Simona
745950	402404	
745950	405281	
745950	405415	Samantha
745950	409908	
745952	29408	Kobi
745952	68896	Valentine
745952	94391	Charlie's mother
745952	148764	Une paysanne
745952	200966	Butcher
745952	309023	La concierge
745952	309748	Mme Milou
745952	325063	
745952	332224	Mme Courtemiche
745952	338592	Une femme au restaurant
745952	340670	
745952	345273	Tantine
745954	251007	
745955	6402	Une invitée de Bernardine
745955	7468	
745955	8214	
745955	13034	
745955	15118	
745955	15126	
745955	36482	
745955	43710	
745955	51379	
745955	60691	La caissière
745955	72074	
745955	107382	
745955	118182	La voyageuse
745955	130117	
745955	135344	La vieille dame dans l'escali
745955	148744	
745955	148749	Une domestique
745955	165775	La dame des toilettes
745955	167230	
745955	199570	Milk Woman
745955	212154	
745955	216235	La servante, rue Plumet
745955	220498	
745955	222830	La cliente dans la rue
745955	224904	
745955	225430	L'habilleuse
745955	225517	
745955	254016	La grand-mère du petit Claus
745955	254056	
745955	257886	1st Woman at the Lamp
745955	258332	Petit rôle
745955	269138	
745955	287595	
745955	294565	(segment "Luxure, La/Lust")
745955	333738	La mère
745955	339875	
745955	345377	
745955	350184	Mme Schultz
745955	384787	La concierge de Claude
745955	389145	
745955	404914	
745956	362655	Townsperson
745957	8249	Une touriste
745957	15251	La femme de José Bové
745957	46006	La prof de dactylo
745957	55370	Butcher Mistress
745957	59743	Hector's wife
745957	64951	Barmaid
745957	72402	L'infirmière salle de garde
745957	87500	Une paroissienne
745957	100513	
745957	106988	The Newsstand Woman
745957	118824	La mère de Franck
745957	156279	
745957	170355	
745957	215021	Mapouletta
745957	225405	
745957	231286	Une prostituée
745957	232081	Huge Woman
745957	236504	Paulette
745957	246291	La Tessier
745957	251007	
745957	254520	Singer
745957	284861	La Dame
745957	286110	Nurse
745957	295210	His Mistress
745957	306953	Madame Robillard
745957	318515	
745957	329322	
745957	345332	
745957	346599	Vendeur
745957	354585	
745958	100280	
745959	133242	Une danseuse
745960	217563	Chica 1
745961	28552	Michele Michaels
745961	127238	Double
745961	182987	Victoria
745961	232933	Nudist
745961	275888	R.V. Girl
745961	342651	Hooker
745962	24774	Tina Elliott
745962	26796	Janet Henderson
745962	142716	Leslie Van Houten (Manson gir
745962	156775	
745962	222711	Young Woman
745962	263788	Mall Administrator
745962	400208	Mae Lee Cleghorne
745963	296313	
745964	68866	Annie
745964	220829	Lily Van Cleve
745965	10899	Lisa Jordan
745965	41353	Candy Carlson
745965	61887	
745965	100001	Girl No. 1
745965	129435	Cake Lady
745965	213268	
745965	279323	Party Girl
745965	303975	Tina
745965	328258	Topless Girl
745965	367096	Melina
745966	168216	Teeney Bopper
745967	114693	Extra
745968	265556	The Angel of Prohibition
745969	167326	Herself (friend of Marina Osw
745969	397430	Herself - Marina Oswald's lan
745969	411047	Herself (Oswald family friend
745970	261281	Dress Salesperson
745972	124603	Older Aline
745972	168501	Rebecca
745973	409957	
745974	388046	Herself (Finalist #3)
745974	392609	Pato
745975	24157	
745976	65474	Additional Voices
745977	297793	Herself
745978	262956	Herself
745979	146779	Cheryl
745980	321682	
745981	1091	Aunt
745981	95472	Jeanine Sykes
745982	407648	Carmelita
745983	12083	Yang-Yang
745984	259482	
745984	259534	Frau Losert
745984	259583	
745984	259616	
745984	312639	
745984	390992	Centa Beimler
745985	126322	
745986	394232	Elsie Carr
745987	165367	
745987	386995	Reinhilde Rubens
745987	395633	Stanske (1995)
745988	404085	Herself/Hostess
745988	409465	Host
745989	401210	Host (1994-1996)
745989	404085	Herself/Hostess
745989	405317	Host (2000-2001)
745989	407754	Host
745990	104110	
745991	264293	Herself - Managing Director, 
745992	75179	
745992	371709	
745993	267030	Any
745994	2570	Alzira
745994	28589	Gabi
745994	67713	Arianne
745995	179846	Sue
745996	352718	
745997	293037	Shannon O'Connor
745998	165446	
745998	190796	Psychodrama Moderator
745998	263319	Lonely Woman
745999	21275	
745999	25625	
745999	79232	
745999	100608	
745999	100625	
745999	105733	Katerina
745999	105863	Mrs. Adamanda
745999	123477	
745999	127362	
745999	127609	
745999	130475	
745999	163152	
745999	180352	Loulis' aunt
745999	209764	
745999	213661	Sinaxaridou
745999	279293	
745999	315194	
745999	341180	
745999	387401	Aunt Ortansia Triovolou
745999	396045	
746000	412266	Alice
746001	374766	
746002	157765	Young Angela
746003	307265	
746004	67676	Young girl killed by Indians
746005	391673	Madalena
746005	401900	Camila Lafayette
746005	402582	
746006	381251	Durvalina
746007	63414	
746008	116138	Cousin Lou
746009	382740	Herself (Episode 4)
746010	78367	
746010	169967	Luciana
746010	225031	Federica
746011	44723	Juan's Wife I
746012	327329	
746013	23620	
746014	396899	Young Amparo
746015	157765	Female Reporter 2
746016	104082	
746016	334704	
746016	352159	
746017	400765	Edna
746018	392069	Bride's Friend
746019	29696	
746019	102889	
746019	123522	
746019	158955	Inspector's Maid
746019	162708	
746019	210104	Despina
746019	210380	
746019	214305	
746019	219007	
746019	246617	
746019	261644	
746019	321930	
746019	326216	Zacharoula
746019	379527	Grandma Sofia
746019	380496	
746019	400757	Chrysostomi Pantheou
746019	402344	Grandmother
746019	412027	
746020	396108	Contestant
746021	404145	Virpi Hurme (1999-2000)
746022	17491	Tina
746022	20658	Soula
746022	33162	Julia
746022	82650	PLO-officer
746022	91012	Sabrina
746022	91013	Sabrina
746022	91014	Sabrina
746022	91015	Sabrina
746022	91016	Sabrina Nikolaidou
746022	91017	Sabrina
746022	91018	Sabrina Nikolaidou
746022	91019	Sabrina Nikolaidou
746022	91020	Sabrina Nikolaidou
746022	91021	Sabrina
746022	91022	Sabrina Nikolaidou
746022	91023	Sabrina Nikolaidou
746022	91024	Sabrina
746022	91025	Sabrina
746022	91026	Sabrina Nikolaidou
746022	91027	Sabrina
746022	91028	Sabrina Nikolaidou
746022	91029	Sabrina
746022	91030	Sabrina
746022	91031	Sabrina Nikolaidou
746022	91032	Sabrina
746022	91033	Sabrina
746022	91034	Sabrina
746022	91035	Sabrina
746022	91036	Sabrina Nikolaidou
746022	91037	Sabrina Nikolaidu
746022	91038	Sabrina
746022	91039	Sabrina
746022	91041	Sabrina
746022	108191	Kerima
746022	123281	Billie Seeger
746022	193305	
746022	225650	Gabi Fendt
746022	284559	Zita Mendez
746022	306472	Dr. Müller
746022	325444	Vera Laible
746022	325743	Aischa
746022	325942	Laure Meister
746022	325954	Bella Klein
746022	347676	
746022	355241	Anna Schneider
746022	356746	Betty Götz
746022	367228	Eleni
746022	374136	
746022	376009	Marie
746022	380356	Tina
746022	381587	Rosza
746022	386770	Kriminalkommissarin Sabrina N
746022	397953	Jutta Dannecker
746022	397957	
746022	408320	Edda Kreutzer
746023	296211	Luisa
746023	318018	
746024	243689	Celadora
746024	390527	Herself
746025	243616	Cristal
746026	276078	Cecylka
746027	229408	Zdravnica
746028	392802	Anne Heche
746029	73576	
746029	87103	
746029	88362	Visnja
746029	124061	
746029	137850	
746029	171919	
746029	172493	Mirjana
746029	180091	Steffi Graf
746029	187014	Ksenija
746029	206500	Danica Skulic
746029	238764	Matilda Ivancic
746029	243173	
746029	261668	
746029	263056	Doctor
746029	283751	
746029	307153	
746029	320497	
746029	339273	Renata Puskec
746029	349153	
746029	373503	Jagoda
746029	375353	Veronika
746029	375395	
746029	399767	Linda
746029	402486	
746029	405705	Nina
746029	408357	
746029	409022	
746029	410202	
746030	308839	Party
746031	79691	Woman Reporter
746031	108933	Shirley
746031	165448	Mary Lugram
746031	235012	Shirley
746031	295611	Shirley
746031	382743	Jean Markham
746031	383525	Margery Carson
746031	398357	
746031	402197	Helen Masters (1979)
746031	403929	
746032	85153	Ginette
746033	313480	TIE Bomber Pilot/Computer Com
746034	79060	Cleaning woman
746035	267454	Various
746036	376760	Hija de Lola
746037	396253	Kirsi Misu
746038	3206	Hyang-Sook
746038	33395	Chinese Couple
746038	185678	Hyang-Sook
746039	3206	Woman at Mirabel
746040	211860	
746041	144291	Cameo appearance
746041	358906	
746041	371583	Fat Girl
746043	23450	Diane
746044	31768	Lizzy
746045	168829	Giorno Giovanna
746045	199112	Katie
746045	298928	Doha (Vista)
746045	382648	Kanan Gimms
746045	385980	Ken Ichijouji/Digimon Kaizer
746045	390892	Edward Elric
746045	393998	Tsubute (Japanese version)
746045	398997	Temari
746045	401100	Rabi-san
746045	404576	Shute {Japanese Version}
746045	409065	Loran Cehack
746046	27040	Host
746046	221443	Herself - Host
746046	221482	Herself/VJ
746046	221483	Herself
746046	221487	Host
746046	221488	Host
746046	306748	Narrator
746046	383957	Herself
746046	392927	Correspondent (1998-2001)
746046	398438	Correspondant (2001-)
746046	399342	Co-Host
746046	408610	Herself (2001-)
746047	326798	Talkative Foot #1
746048	170256	Mrs. Chan
746049	152676	La cliente batavia
746050	89479	Zbunjakoviceva kci
746050	113554	Iva
746050	166101	
746050	232514	
746050	351359	Mirna
746050	399767	Maja
746050	400120	Lujza pl. Radocaj
746051	138441	Herself
746051	221492	Herself - performer
746051	327322	Herself - music performer
746051	392532	Herself - the finalist (the w
746052	168321	Aune, Veijon äiti
746052	170922	Merja Kesämaa
746052	172405	Kaija
746052	174706	Mallu
746052	174779	Aamutakkinen nainen (Woman in
746052	183967	Leila
746052	184786	Aili Ervast
746052	188933	Nurse
746052	190671	Olga
746052	197362	Sisko Paavonen
746052	213417	Kaisa Nieminen
746052	242255	Girlfriend
746052	271630	
746052	278881	Abandoned bride
746052	287574	Neiti Kirsch (Miss Kirsch)
746052	324605	Lehtikojun myyjä
746052	333030	
746052	350552	
746052	373378	Nina
746052	380247	Alma
746052	388258	Isopiika
746052	392164	Katri (2003)
746052	394437	Henna
746052	394539	Mailis
746052	394797	Virpi
746052	401125	Marjatta Valkia
746052	402792	Komisario Niemisen vaimo
746052	402897	
746052	409269	Oona Komppi
746052	410455	
746053	242948	Tiina
746053	258986	Teacher
746053	293510	Laura Vuorinen
746054	209064	Inkeri
746055	181755	Liisa
746056	213577	Presumed Chorister
746057	321137	Katie Perry
746057	404891	Lady Caroline
746058	104723	Herself
746058	104724	Herself
746058	104725	Herself
746058	104771	Turkish entry (12th place)
746058	104772	Turkish entry (3rd place)
746059	225416	Nadège
746060	247970	Tanya, 12 Years
746061	79484	Herself
746062	334028	
746063	1787	Laura
746064	286046	La caissière du cinéma
746064	378600	
746065	309388	
746066	16806	
746066	156037	Anneli
746066	181753	Kaisa
746066	197364	
746066	211433	
746066	214584	Essi
746066	223511	
746066	278366	Alfhild Räikkönen
746066	301430	Anoppi
746066	354083	Kerttu Rinta-Perkiö
746066	356234	
746066	401476	
746066	402897	
746066	409038	Kyllikki Saarenvirta
746067	260103	Kaisa
746067	395358	Kaisa
746068	122466	The Courier
746068	294661	Sara Santanda
746069	126511	Receptionist
746070	81425	Hania Hofsztajn
746071	107550	
746071	405045	Shehnaaz Sattar
746071	408481	Presenter (1990s)
746072	40937	Paktofonika
746072	399175	Ilse
746073	35840	Joanna
746073	81425	Anna Wawrowska
746073	82205	Ewa
746073	88844	Mme Klein
746073	89603	Barbarka
746073	167319	Renee Bleist
746073	180079	Anka
746073	229469	Mária
746073	231688	
746073	237974	
746073	244111	dr. Sawicka
746073	244208	Jadwiga Czerkanska
746073	246880	Magda Wisniewska
746073	262196	
746073	290289	
746073	343979	Einzwei, ambassador of German
746073	361573	
746073	373554	Teresa
746073	376526	Maria
746073	385985	Ewa (episode 3)
746073	387414	Nadiezda
746073	388834	Agata Ksiazek
746073	397007	Jowita Winter-Lisowska
746073	402381	Different Characters (2002-20
746074	214359	Anis
746074	381894	Herself (season 2-2001)
746074	381897	Herself (season 2-2001)
746074	381914	Herself - Participant (season
746075	4153	
746075	288660	
746076	22695	Mrittika
746076	84770	Parbati
746076	349090	Shompa, Nishit's daughter
746077	10478	
746077	193078	
746077	355928	
746078	28232	
746078	51613	
746078	159044	
746078	343628	
746078	380066	
746078	383769	Cachita Montero
746078	384975	
746078	385402	Consuelo Pedraza
746078	386129	
746078	389235	Jacinta
746078	395495	
746078	398983	Aurora Del Molino López
746078	400488	Susana
746078	401912	
746078	401913	La Chiche
746078	402158	Carmen
746078	402172	Luciana
746078	402301	Margarita
746078	402350	Mercedes Kent de Anzoategui
746078	403366	Olga
746078	412127	Carmen
746078	412311	
746079	247057	Julieta
746079	379853	
746079	384119	Florencia (1996)
746079	385070	
746079	385402	Luciana
746079	391440	
746079	396596	
746079	405916	
746079	410304	
746080	176937	Rosa
746081	136089	Wine Waitress
746082	21760	Mokshada
746083	4192	
746083	4204	
746083	29858	
746083	176154	
746083	221109	
746083	327011	
746083	355296	
746084	108805	Herself
746085	6177	Herself
746086	24140	Sorella di Silvana
746086	90506	
746086	202771	La signora Margherita
746086	294708	
746086	294714	
746086	336605	Giannina
746086	336606	Mirella Scaparra
746086	349527	
746086	351532	
746087	85801	
746088	222784	Hooker #2
746089	404957	
746090	204257	Ivy
746091	117588	La Tour Barmaid
746091	347757	
746092	351494	
746093	125776	
746094	176864	Nurse #9
746095	162787	Ma
746095	197886	Una gitana
746096	86085	
746097	114873	Dancer: Grupo de Baile Marche
746098	379890	Eugenia
746099	191293	Plongeuse
746100	121649	Secretary
746101	23937	
746101	30856	
746101	44530	
746101	54084	
746101	54321	
746101	55935	
746101	61191	
746101	63951	
746101	77252	
746101	99681	
746101	113223	
746101	121247	
746101	148109	
746101	162025	D. Inês
746101	183504	Germana, la hermana de Don Fe
746101	197473	
746101	212385	Diana
746101	224996	Magdalena
746101	225042	Sofia
746101	231284	
746101	294069	
746101	341833	
746101	355923	
746101	380151	
746101	384655	
746101	396131	
746101	396391	
746101	397869	Sor Perpetua
746101	404284	Elvira
746101	412188	
746102	197966	
746103	22773	
746103	25021	
746103	27846	
746103	30357	
746103	51781	
746103	53684	
746103	54660	
746103	56121	
746103	63324	
746103	69476	
746103	91173	
746103	97367	
746103	101914	
746103	103504	
746103	103728	Irene
746103	111991	
746103	161563	
746103	171619	
746103	197447	
746103	201314	Linda
746103	202233	
746103	210445	Bailarina
746103	212523	
746103	263852	
746103	275744	
746103	277373	
746103	281602	
746103	287438	
746103	287850	Dancer in club
746103	287896	Irene
746103	292930	
746103	307658	
746103	322856	
746103	327016	
746103	350260	Anna Cagliostro
746103	351682	
746103	353573	Yolanda Cruz
746103	371777	
746103	383827	Mireya
746103	384328	
746103	385206	
746103	391743	
746103	403459	
746103	404997	
746103	412193	Emilia
746104	56316	Maltratada
746105	66096	Buccaneer Waitress
746105	124510	Chayo
746105	140824	
746105	383568	Patricia Zamora
746105	396211	
746105	401916	Rosalba
746106	278499	
746107	380858	Hostess
746107	384507	Hostess (1999)
746107	384794	
746107	403904	
746107	406972	
746107	412193	Emilia
746108	87807	Paula
746109	234371	Señora Dupont
746110	201302	Osono
746110	343724	
746110	382418	Hada Truca
746110	389217	Musy
746111	236413	Dancer
746112	357189	
746113	301577	Multitud
746114	74390	(segment "O Pombo Enigmático"
746114	353100	
746115	4981	
746115	20732	
746115	30798	
746115	37706	
746115	54764	
746115	74504	
746115	91276	
746115	104091	
746115	115747	
746115	135058	
746115	152236	
746115	169084	
746115	184935	
746115	213722	
746115	229803	
746115	234181	
746115	269470	Mujer en reunion
746115	270069	
746115	309092	
746115	338162	Hortencia
746115	341342	
746115	377102	La Buenaventura
746116	74599	
746117	9640	
746117	54071	
746117	58149	
746117	68982	
746118	57464	Veronica
746118	275948	
746118	370087	Eva Maria
746119	12160	
746120	14553	Yolanda
746120	52713	
746120	54090	
746120	58408	Tía Lastenia
746120	69875	The Mother
746120	70865	Rosario
746120	233340	
746120	249868	
746120	320341	
746120	380074	Helga
746120	380096	
746120	383774	Clotilde
746120	383867	
746120	384984	
746120	389480	Trinidad Sanhueza Bahamondes
746120	396941	Chela
746120	396942	
746120	397117	
746120	397591	
746120	401634	
746120	405978	
746121	70060	Mary
746122	307471	
746123	104846	
746123	226499	
746123	281008	
746123	353468	
746124	53574	
746125	84029	Ragman
746126	4981	
746126	19387	
746126	21685	
746126	52991	
746126	56022	
746126	57462	
746126	62619	
746126	84187	
746126	123183	
746126	145220	
746126	189010	
746126	209088	
746126	218098	
746126	227684	
746126	236003	
746126	238760	
746126	251971	
746126	252057	
746126	253304	
746126	263037	
746126	310046	
746126	324144	
746126	326132	
746126	326333	
746126	339186	
746126	370090	
746127	396	Vecina balcon
746127	301172	
746128	56344	
746128	160054	Miss Elviretta
746128	247963	
746128	255472	
746128	259699	
746128	280753	Carol Alessi
746128	315439	Loretta
746128	316826	
746128	380864	Marina
746128	398032	
746128	409875	Dianella Salvo
746130	117919	Agnes
746131	132609	Janka
746132	8115	Mara (segment 3)
746132	285318	Newscaster
746132	387154	Mina Aggelopoulou
746132	387716	
746132	388684	Klio
746132	395090	Vanda
746132	405566	
746132	406756	
746133	335921	Voula
746133	356094	
746134	284617	Joanne
746135	134162	
746136	53030	Oldest girl
746136	66757	
746137	2475	Polly
746137	65108	Hooker
746137	100125	Christine Graham
746137	139987	Mary Hatfield
746138	34937	Elly Dundee
746138	56435	Ellen Armstrong
746138	67948	Gail Cooper
746138	131043	A Golfer
746138	231132	Susie Kay
746138	240327	Young nanny
746138	316057	Air Hostess
746138	342155	Sally
746138	345998	Journalist
746138	403420	Herself (1983-1985)
746138	408096	Miss Carmichael
746139	184424	Village Woman
746140	393753	Tonttuapulainen
746141	7877	Diner Owner's Wife
746141	8182	Natasia, Ellen's Maid
746141	10649	Rinelli's Mother
746141	11323	Proprietress
746141	12763	Italian Maid
746141	30277	Gypsy Fortune-teller
746141	32534	Cleaning Lady
746141	33420	
746141	35725	Native nurse
746141	39444	Rosita, the housekeeper
746141	39498	Mrs. Morova
746141	46276	Mother of Violin Student
746141	56215	Italian Mother
746141	57153	Mary Ripportella
746141	61304	Mrs. Buzzi
746141	85109	Concierge
746141	89100	Teresa (Edith's housekeeper)
746141	97084	Native Woman
746141	100662	Castle Servant
746141	109057	
746141	113920	Flower Woman
746141	114867	Bar and Flophouse Manager
746141	115483	Mrs. Moraciagos, Ketti's Moth
746141	115637	Senora Lopez
746141	118916	Villager
746141	121362	Maria
746141	124767	
746141	132893	Woman at Wedding Party
746141	143913	Mrs. Bonicelli
746141	145822	Native Mother
746141	148552	Gypsy Woman
746141	150008	Gypsy
746141	154784	Fisherman's Wife
746141	155028	Italian Lady
746141	163250	Italian Mother
746141	177479	Neighbor
746141	183545	Mrs. Zambrogio
746141	189255	Fortune Teller
746141	190060	Mrs. Spano
746141	192061	Mercedes Orozco
746141	196487	Woman in Crowd
746141	203323	Italian Woman
746141	205724	Fish Wife
746141	206890	Tony's Wife
746141	210404	Louisa
746141	210777	Mrs. Garboni
746141	211610	Joe's Wife
746141	218362	Tula
746141	222672	Mrs. Aldine
746141	231794	Maid
746141	231905	Maid
746141	240936	Mrs. Galentoni
746141	241025	Mrs. Rossi
746141	241531	Tohana
746141	242009	Lily's aunt
746141	245209	Mrs. Palukas
746141	252297	Foreign Woman
746141	255828	Mrs. Carlucci
746141	260951	Mrs. Gannow
746141	279308	Mama Gambini
746141	279743	Nurse with Madre
746141	280972	Mama Lopez
746141	289556	Tony's mother
746141	291713	Italian woman
746141	293468	The modiste
746141	294577	Concierge
746141	306791	Mrs. Esposito
746141	308622	Mrs. 'Mama' Romandi
746141	310516	Rosa, Tony's wife
746141	310775	Mrs. Gambini
746141	332798	Mike's Neighbor
746141	345860	Squaw
746141	345995	Mrs. Romero
746141	364014	
746141	366235	Mama Gambini
746141	366612	Hat customer
746141	367595	Signora Grassi
746141	367783	Italian Mother
746141	371047	Dr. Finlay's housekeeper
746141	372133	Mrs. Romano
746142	214839	Sini
746143	394064	Kayla
746143	401740	Additional Voices
746143	405942	Miles "Tails" Prower
746144	3439	
746145	80221	
746146	2361	(complete version)
746146	217223	
746146	228562	Lucette
746146	345032	La secrétaire
746147	206428	Annushka
746148	58592	
746148	85446	Kajal
746148	181019	
746149	142869	Bal Negre Performer
746149	350425	Seconde femme d'Hippolyte
746150	104482	
746150	116368	
746151	184369	Townsperson
746152	184369	Townsperson
746153	193483	Girlfriend
746154	123275	
746154	251586	
746155	68584	
746156	159590	Herself
746156	378499	Doña Genoveva
746157	54009	
746157	63841	
746157	145165	
746157	266910	
746157	307825	
746158	88330	
746158	112755	
746158	264537	Stores Coadjuvantes
746158	266003	
746159	14680	
746159	125411	
746159	212435	
746159	221937	Woman with Rosario's boyfrien
746159	318284	
746160	173851	
746161	30457	
746162	127997	Juliette
746163	86870	
746163	354720	
746164	224863	
746165	35249	Blonde Bombshell
746166	211281	Babata akusherka na Tzilka
746166	397471	Babata akusherka na Tzilka
746167	37899	Invitée Dîner
746167	153241	Fugitive
746167	161782	Anna
746167	260938	
746167	327540	Ginette
746167	345097	Mother Superior
746167	353847	La voisine
746168	57853	La seconda sorellastra di Cen
746169	128573	Chunk
746170	178075	Guidette
746170	275466	Bride
746170	305920	Prostitute
746171	224192	Hillary
746172	276204	Cara
746173	240269	
746174	112648	
746175	384825	Hostess
746175	391449	
746176	19748	Dolors
746176	125785	Lucía
746176	132723	Camarera
746176	247168	Luisa
746176	257362	Esther
746176	379566	Miranda (1999-2001)
746176	392027	Dra. Laura Llanos (2002-)
746177	95665	
746178	84650	La jeune fille
746178	217728	Margot
746178	296334	Clarisse
746178	395621	Odile
746179	281027	Lány a bárban
746180	5358	Herself
746180	157581	Herself
746180	303288	Herself
746181	233279	
746182	364292	
746183	399887	
746184	289337	Mother
746185	253253	
746186	230142	
746187	45977	Vroni, ihre Tochter
746187	126459	
746187	142129	
746187	278812	
746187	284993	
746187	325615	Ellen Schelle
746187	386982	
746187	391134	Louise Laroche
746187	396874	Elfriede Berger (1992-)
746187	409613	Apothekerin
746188	147070	Bernie
746189	9491	Ruhi
746190	48617	Smith's mother
746191	246385	
746192	246385	
746193	13292	Janice
746193	24960	Cassidy
746193	129461	Journalist #3
746193	154157	
746193	213152	Secretary
746193	220094	Melanie
746193	262081	
746193	285787	Nurse
746194	86897	
746195	23756	Renée
746195	30814	
746195	66212	Rose, Mica*el's daughter
746195	77944	Mrs. Hockey
746195	120812	
746195	155787	
746195	205467	
746195	377913	Gina
746196	327911	Prima ragazza
746197	192630	Mrs. Rawlings
746198	377580	
746199	157236	(segment "Acidente, O")
746200	247364	
746200	369334	Joanna
746201	100249	Helene
746201	251529	L'aide-soignante
746201	340346	Solange
746201	377479	Thérèse
746202	43609	
746202	74906	
746203	67004	Stewardess
746204	147867	Portia
746204	183377	Madeleine
746204	235473	Wife 2
746204	298315	Shelly
746204	316294	
746205	318604	
746206	353470	
746207	53678	
746207	202063	Arquitecta
746208	3293	Melody Le Blanc
746208	158999	Tech/Medical assistant #2
746208	240328	Emma
746208	330610	Woman on the beach
746209	311980	The Teenage Girl
746209	390180	
746210	379815	Patricia Araiza
746210	379888	Jessica
746210	392960	Anabella Roldán Limantur de F
746210	395885	Pamela
746210	401918	Fernanda Lavalle de Díaz de L
746210	408855	Raquel (1999-2000)
746210	409719	Gema Durán Bracho
746211	70667	Fernanda Montenegro
746211	228476	Ximena
746211	379133	Alejandra
746211	380059	Jimena de la O
746211	383519	María Joaquina Villaseñor
746211	392290	Norma
746211	397019	María de los Ángeles 'Tita' d
746211	398473	Aída Santibáñez
746211	399522	Carolina Soriano
746212	383441	
746212	385023	
746212	398503	
746212	400584	
746212	403618	
746212	403733	
746212	404799	
746213	207268	Female dancer
746213	318716	Dancer
746214	155331	
746215	24196	Highland Mary
746216	77835	Morag
746216	183213	Ballroom Dancer
746216	327431	Spirit
746217	409144	Herself - Reporter (2003-)
746218	168790	
746218	181860	Hilkka
746218	336353	Various
746218	393034	Anita
746218	404145	Jenni Vainio (1999-2000, 2002
746220	153635	
746221	134152	Herself/Reader
746221	213872	Helen
746222	55047	Linda Lane
746222	183418	Adelaide
746223	57929	Girl at Salsa Club
746224	11915	Delia Graci
746224	369451	Samantha Mulder, age 14
746224	372335	Dancer
746224	394414	Mimi Paley
746225	116441	Baroness Cassini
746225	116443	Baroness Cassini
746225	148770	Christiane
746225	264024	Claire d'Arlong
746225	264730	Jealous Husband's Poor Wife
746225	321794	Lily Levetsky
746225	377840	Marina
746226	88878	Technician
746227	12251	Nicole Henderson
746227	307692	Anne
746227	363840	Dr. McCullough
746227	380391	Quinn Harding (1981-1987)
746227	390771	Vivian Grant (1992-1997, 1998
746228	6802	Undetermined Role
746228	81169	Lois Lanyard
746228	183706	Model
746228	347731	Girl
746229	215781	Presenter
746230	336242	Herself
746231	5055	Ottilie
746231	11485	Old Woman
746231	37788	Ida Miller
746231	41502	Maid
746231	56044	Woman Selling Her Diamonds
746231	69403	Kassel's nurse
746231	101071	Housekeeper
746231	103237	Julie, Ruby's Maid
746231	118382	Peasant
746231	146840	Karin Göring
746231	157899	Wanda
746231	196503	Analysis
746231	205089	Old Lady on 47th Street
746231	207138	Receptionist
746231	245054	Madame Rochelle
746231	276948	Unpleasant German Customer
746231	346262	Greta, undergrounder
746231	358564	Mrs. Kafer
746232	238552	Marge
746233	99068	Sidney's Mother
746233	273604	Mrs. Wet
746233	291720	Sister Gytha
746234	101431	Blod Jones
746234	134112	DC Karen Carter
746234	135402	Mrs Nice
746234	150871	Gwenny
746234	161839	Sgt Kathy Bartlett
746234	194479	Dr. Amy Clarke
746234	208632	Jan
746234	214442	DC Rebecca Longton
746234	245513	Lola Davies
746234	311524	Christine Montgomery
746234	330280	Young Mother
746234	370072	Arianrhod
746235	133544	Lady Borstwick
746236	92877	Victim
746236	264129	Pamela Lenox
746236	385220	Sonia Marmeladovna
746236	398981	Lady Sophia Somerville (1982-
746237	401145	Blind Girl
746238	30515	
746239	30515	
746239	71224	
746239	199126	
746239	338239	
746240	408381	Morena
746241	380120	
746241	380777	Sílvia
746241	385629	Bibi
746241	391900	Senhorinha
746241	397541	Lourdes
746241	398549	Jewish woman
746242	379470	Yulia (2003)
746243	19173	Granny Lummette
746243	151047	Jeanne Marie Harlowe
746243	232339	
746244	16788	Beautician
746245	147464	Medicinska sestra
746245	260356	Young Nurse
746245	261404	Kristinka
746245	357366	Jasna
746245	375741	
746246	80456	
746246	260430	Whitney Addison
746246	338818	Isabella
746247	126716	Rachel
746247	277343	The Pretty Girl
746248	261735	Vendeuse
746249	210739	INS Agent
746249	362716	Betty Stowe
746250	119315	Staci Parker
746251	28983	
746251	145429	
746251	233682	Josefa Cruz
746251	341447	
746252	349137	Hoitaja
746253	251955	Hotellivirkailija
746253	300796	Saimi Järnefelt
746254	281315	
746255	181698	
746255	181699	
746256	376218	
746257	84962	Gertrud
746258	322369	La maîtresse d'école
746259	245115	Woman
746260	56733	Woman at Door
746261	226597	Aida
746262	304656	Amalija
746263	71559	Valentine
746263	96740	Lorna
746263	107351	Jackie
746263	120820	Jean Norburg
746263	149725	Nora
746263	214641	Girl in cinema
746263	232365	New Governess
746263	257521	Ann
746263	304234	Maid
746263	396514	Sarah Courtenay/Lady Radchest
746263	411288	Nancy Jones
746264	75653	Rona
746264	82049	Judge Karnes
746264	82051	Judge Lacey
746264	117089	
746264	132139	Samaritan Woman
746264	194566	Miss Rydell
746264	206889	Mary Silliman
746264	285729	Landlady
746265	96738	Gail
746266	359290	Anchorwoman
746267	222136	Dying Vampiress
746268	184878	
746268	313966	Clotilde
746269	53656	
746269	54139	
746269	90720	
746269	121230	
746269	124583	
746269	157500	Lolita
746269	356144	
746270	189721	Mrs. Reisenberger
746271	1643	Blonde Girlfriend
746271	11158	Lucretia
746271	47974	Girl
746271	64885	Waitress
746271	73413	Sugar Torch
746271	99449	Girl in brothel
746271	119803	Showgirl
746271	124224	Fitting Model
746271	150347	
746271	165004	Striptease woman
746271	198545	French Girl
746271	232089	Dancer
746271	330682	New girl
746271	384741	The Moon Girl
746272	356516	Maude
746272	382583	Marjolaine Tremblay
746273	190171	Victim's mother
746273	300164	Faye the Waitress
746274	229175	
746274	336424	
746274	356444	
746275	7103	Mary
746275	28436	Lizzie
746275	57654	Production Assistant
746275	60744	Darcy
746275	70424	Bonnie
746275	153008	Brandi Thorson
746275	193807	Lily Randolph
746275	204583	Laurel
746275	217745	Frances the Girl in Italian C
746275	236694	Sadie
746275	274065	Emily Whaley
746275	292233	Gwen
746275	315781	Catherine ('Fiction')
746275	368863	Maddy Hawkins
746276	197578	Greta
746277	83515	Mrs. Cannizzaro
746277	235646	Antonnette
746277	292155	Grandmother
746277	310428	
746278	162038	
746279	214500	
746280	265526	
746281	277899	Girl
746282	176337	Lupita
746282	307842	Party Guest
746282	331333	Cuban Singer
746283	7925	Prostitute in Church
746284	135136	
746285	25061	
746286	353330	
746287	248459	Carolina
746289	246403	
746290	134466	Eva
746291	52778	
746291	75444	
746291	94848	
746291	146568	Lavandera
746291	183504	Teresa, la nueva ama de llave
746291	208192	
746291	248769	
746291	251556	
746291	376795	
746292	55941	
746292	61203	Madre de Julia
746292	83890	
746292	96284	
746292	208192	
746292	221567	
746292	236456	
746292	249775	
746292	275076	
746292	377181	
746292	383558	
746293	301040	Dancers
746294	7112	
746294	48124	Eve
746294	68412	Rita Capucine
746294	97809	Chantal
746294	169312	Juliette
746294	249677	
746294	277339	Alice Varyk
746294	288892	Pharmacienne 3
746294	294881	Geneviève
746294	312564	Mathilde
746294	322768	Cécile
746294	328087	Vero
746294	339925	Nathalie Challes
746294	346738	Anna
746294	356498	Mère d'Antoine
746294	365670	Teresa
746294	380859	Valérie Cotty
746294	381143	
746294	384016	
746294	389469	Béatrice
746294	393976	Alice Rimbaud (2000)
746295	39711	
746295	42381	Madame Riboire
746295	100242	
746295	219605	Taxi driver
746295	228155	
746295	228317	Angry woman
746296	105462	Elisa
746296	150725	Dancing Woman
746296	186447	Singer
746297	202009	
746297	322397	
746297	332586	Neli
746298	76011	
746298	119865	
746299	156329	Une Cliente chez Sandra
746299	343572	Louise
746300	54114	Cindy
746301	94969	
746301	96515	
746301	102187	
746301	102300	
746301	129152	
746301	147033	
746301	154277	Maxhupi 1
746301	173660	
746301	261259	
746301	300730	
746301	338723	
746301	343594	
746301	344265	
746301	387729	
746301	394914	
746302	9986	Sabine
746302	25924	Karin
746302	101322	Joe
746302	104699	Anna, The Camera Store Girl
746302	106381	Kittie
746302	166368	Nina
746302	325834	Svenja
746302	359677	Elli
746303	162493	
746303	220826	
746303	306492	
746304	317473	Madhu Rao
746305	322575	Adriana as child
746306	5447	
746307	123866	
746308	30549	Madame Ledoux
746308	111978	La femme de chambre
746309	29669	The Great Tyrant
746309	34213	
746309	53762	Nurse Bullock
746309	86753	Glauco's wife
746309	144682	
746309	195771	Person in Casino
746309	205680	Herself
746309	212729	Katrina
746309	218991	Marie
746309	253042	Pherber
746309	321821	Herself (doing backing vocals
746309	344904	
746310	187172	Assistant to Auctioneer
746311	357582	
746312	211942	Jane (original)
746312	333915	Stacy
746313	268074	Dancer
746313	401737	Various roles (sketches)
746314	28569	
746314	147023	Anna
746314	246920	Nina
746314	291615	Blå Partner/Blue Partner
746314	291720	Ayrun
746314	314992	Herself
746314	344672	Sophie
746314	403138	Gabriella 'Gaby' Levin
746315	292564	Maid
746316	98883	Torch carrier
746316	291449	Candy
746317	110331	Susie
746318	284456	Tina's double
746319	18843	
746320	180127	
746321	380611	
746321	388630	
746321	388713	Marianna Lefa
746321	392558	
746322	197846	
746323	294415	First Prostitute
746324	93043	Cheryl
746326	83460	Susan Smith
746326	260156	Female Pool Pro
746326	403248	Teacher in Episode #12 Aniver
746327	8388	Surbhi
746327	171993	Maha
746327	174799	Mahek
746327	181482	Mangala Solanki
746327	222202	Nita
746327	368966	Mahi
746328	409277	Herself/Journalist
746329	355758	
746330	11628	Julia
746330	14387	
746330	17520	Mariuccia
746330	19738	Laura
746330	36473	Cam's wife
746330	57316	Guiselle, Louise's Maid
746330	67468	
746330	134318	Edera, her sister
746330	135159	Adalgisa Pellicciotti
746330	163743	Anna
746330	199383	Heloise
746330	209443	Pasqua
746330	218050	Lutezia
746330	229994	Lily Rowan
746330	255689	Rosalba Massimo
746330	265447	
746330	285641	Girl at Dance
746330	295150	Irnes, Agostino's wife
746330	328972	Luisa
746330	349889	
746330	351072	
746330	353088	Carmelinda
746331	249293	La dopée
746332	68490	Herself (News reporter)
746333	120975	
746334	207014	
746334	309385	Dona Delfina
746334	379043	Cupertina
746334	389639	Eduviges
746334	393837	
746335	189301	Miliciana #5
746336	317309	Studio Executive
746337	409111	
746338	320512	Lady with Packages
746339	85014	Girl in Store
746340	122466	Principal
746340	160156	Empfangsdame
746340	357764	
746340	386335	Dammråtta
746340	390854	Kvinna i skogen
746340	394744	Christians mamma
746340	401773	Barbro Emanuelsson
746340	405822	Marie-Evas dotter
746341	111894	Doctor
746341	155430	Sophia
746341	187715	
746341	288994	Mathelehrerin
746341	376375	Cheerleader
746341	377363	Ulrike Hollmann
746341	381180	
746343	219357	
746344	376084	Grandmother
746345	392434	Susanne
746346	204414	
746346	344737	
746347	310806	
746348	206631	Bjørg
746349	302245	Drowning Girl
746350	350889	Luchana
746351	189373	
746351	381861	
746351	391418	Florinda
746351	396389	
746352	13127	María
746352	16168	Erika
746352	24375	Cecilia
746352	24909	Ana del Castillo
746352	25096	Rosaura de Cervera
746352	30517	Rebeca's mother
746352	33263	
746352	49101	
746352	55926	
746352	56333	
746352	63887	
746352	66347	Irene, hermana de Arturo
746352	74638	
746352	86903	
746352	87075	
746352	87894	Julieta
746352	97374	
746352	99066	
746352	100262	Eva Sikelianos
746352	101615	Mrs. Cervantes
746352	101627	Tia Loti
746352	101920	
746352	104527	
746352	128392	Small part
746352	135057	Josefina Rosas
746352	143749	
746352	159871	
746352	193027	Eva
746352	197972	
746352	198205	
746352	211166	
746352	216538	
746352	221937	Rosario
746352	221975	
746352	222040	Laura
746352	222044	Olga/Ángela Ederly
746352	225551	Ella misma
746352	225553	Tia Cuca
746352	246392	
746352	258476	
746352	260534	
746352	263923	Luisa
746352	265163	
746352	266669	(segment "Una cena de navidad
746352	276449	
746352	279060	
746352	281766	
746352	286420	
746352	293571	
746352	294285	Eulalia
746352	296437	Nelly
746352	301190	
746352	307814	
746352	309081	
746352	309089	Juana de Asbaje, Sor Juana In
746352	325115	Luana, Mara's Mother
746352	328194	
746352	339157	
746352	355789	
746352	376770	
746352	378358	Magda
746352	382868	
746352	383234	
746352	384330	
746352	387575	
746352	387826	
746352	387935	
746352	388253	
746352	388280	
746352	393329	
746352	393850	
746352	395859	
746352	396131	
746352	397573	
746352	398522	Sra. María Luisa Sartinari
746352	398664	Amanda
746352	399942	
746352	400943	
746352	401690	Doña Beatriz
746352	402405	
746352	402407	
746352	402875	
746352	405319	
746352	405977	
746352	409717	
746352	412188	Mother Abbess
746353	112400	Mrs. Pelyk
746354	199120	
746355	2638	
746356	86353	
746356	91380	
746356	104153	
746356	252542	
746357	159449	
746358	384992	Luciana
746359	328937	
746360	67890	
746360	243385	Katia
746361	18834	
746361	52972	Leticia
746361	74627	
746361	100386	Ada Cisneros de Romano
746361	103508	
746361	145672	
746361	148035	
746361	222044	Margot/María Elena
746361	260557	
746361	324175	
746361	349660	
746361	371676	
746363	144066	Anny Lind
746363	337559	Anny Lind
746364	377174	
746365	106597	Popular Girl
746366	51573	Blanche Howard
746366	53565	Nora
746366	109334	Dotty Sinclair
746366	163309	Ruth Allen
746366	269083	Nellie Webster
746366	270938	Ruth Endicott
746366	292263	Ann Winton
746367	216045	
746367	242098	
746367	328730	La Danzatrice
746368	318298	
746369	100653	
746370	378971	
746370	383472	Damelys
746371	1616	
746371	5465	Deluxe guest
746371	9084	Carmiña, mujer de Pazos en un
746371	10186	
746371	19499	
746371	44973	Pauline
746371	61285	Necrophelia Addams
746371	71261	Teniente Cifuentes
746371	90146	Viuda de Prodini
746371	91929	Le Monocle
746371	103157	Margarita
746371	111039	Catherine, amie d'Anna
746371	115759	Rosa
746371	118157	Herself - Presenter: Best For
746371	118783	
746371	136150	
746371	149744	Concepcion Alibera
746371	176630	Juana
746371	184053	Myriam Bardem
746371	189005	Locutora tele
746371	194684	Blind Woman
746371	211982	
746371	222008	Marisa
746371	222139	La Colombienne
746371	226610	Leïla
746371	243603	The Sphynx
746371	251850	Myrna
746371	252424	Pilar
746371	253277	Librarian (segment "Love")
746371	266419	Pilar
746371	286463	Chichi
746371	323961	Elena
746371	341364	
746371	349334	Herself - Presenter: Best Spe
746371	353018	Herself
746371	369999	Himself - Presenter: Best New
746371	376760	Camello en Vespa
746371	387908	Herself - Host
746371	391445	
746371	395059	Eva Duarte
746371	407628	Herself
746372	78902	Vina
746373	188453	'Likes' Girl
746375	105883	Gemela Bogardis
746376	385824	Samantha Gene 'Sami' Brady (#
746377	52246	
746377	123476	
746377	171613	
746377	296143	
746378	13061	
746379	113495	Little Amanda
746379	270231	Maggie
746380	215696	Miss Italy (Runner-Up)
746381	132786	Chorus
746381	162099	Fairy
746382	29112	Bank Teller
746383	360596	The Attractive Girl
746383	407815	Herself (2002)
746384	238405	Maj
746384	270952	Hedvig/Nora
746384	320621	Svea Berg
746384	346974	Maja
746385	62927	
746385	129268	Nana
746386	6314	
746386	14261	Adely
746386	32311	
746386	34141	The Doe
746386	55496	Rosalba Ranghi
746386	68362	La femme du caïd
746386	90726	Giulia
746386	107527	Luciana, la mère
746386	206300	Geneviève
746386	212083	
746386	214858	
746386	227963	
746386	231685	
746386	236806	
746386	275715	Tallulha
746386	277808	Patrizia
746386	313898	Caterina
746386	375237	La Chanteuse
746386	377575	Lidia Cairoli
746386	399754	Aldegonde
746386	402780	Tina
746387	136450	
746388	404915	Cibele (child)
746389	213703	
746390	104738	Dutch entry (13th place)
746391	150608	Herself
746392	186454	Widow
746392	267611	Miss Astby
746392	365712	Eliza Collins
746393	235016	Young Normanna
746394	368036	Jane, the Victim
746395	38568	Woman in Forest
746395	319672	
746396	163625	Strip Club Waitress
746396	190273	Street Singing Trio
746396	245265	Shoplifter
746397	33023	Herself
746397	162534	
746397	340560	Judy Benson
746398	264836	Janie
746399	43725	Bonnie's sister
746399	185530	Herself
746399	206491	U.S.D.S. Tech
746400	245033	Dowager
746401	212050	Elizabeth
746402	71474	Dancer
746403	370178	
746404	86218	Little Girl
746405	154840	
746406	40726	Olivia
746407	408880	Brady (Series 1)
746408	3426	El Guragú
746408	145254	Vedette
746409	62076	Katherine Cross
746409	65430	Tracy
746409	108399	Rhonda
746409	190697	Daughter
746409	366081	
746410	411515	Herself (booth girl, 2001-2/6
746411	283351	Air hostess
746412	143341	Young Agnes
746413	67577	Martha Lamarr
746413	110314	Mams
746413	120116	Mrs. Pamela Voorhees
746413	120119	Mrs. Pamela Voorhees
746413	120120	Mrs. Pamela Voorhees
746413	120126	Mrs. Pamela Voorhees
746413	130098	Hera
746413	162602	Ellie Fineman
746413	163295	Herself (panelist)
746413	168112	Herself
746413	185072	Anna Thrasher
746413	193921	Kitty Carter
746413	206710	Virginia
746413	216022	Lt. Ann Girard
746413	269282	Carol Lee Phillips
746413	276846	Herself
746413	314812	Aunt Mildred
746413	319454	Herself ("Mrs. Voorhees" - Fr
746413	333533	Nona Mayfield
746413	340843	Phyllis Carter/Lynn Stuart
746413	348027	Eva
746413	366039	Mrs. Hart Brisbane
746413	390106	Hostess (1969-1970)
746413	392477	Herself (Panelist) (1957-1967
746413	394676	Virginia Bullock (1989-1990)
746413	397044	Herself (Panelist) (1956-1957
746413	399817	Maureen Galloway (1980-1981)
746413	408395	Herself - Today Girl (1958-19
746413	410908	Herself (Panelist) (1957-1958
746414	182987	
746416	93776	Glowie's Friend
746416	294150	
746416	299706	Herself
746417	266004	Carol
746418	42398	Sarah
746418	176903	Rose
746418	324371	50's Waitress
746418	333691	Fairy Queen
746419	41301	Beauty Contestant
746420	62954	Faith
746420	382668	Various roles
746421	213581	Katisha
746421	250638	The Lady Jane
746421	282950	Dame Hannah Trusty
746421	334757	Special Guest
746422	152911	Joan Brian
746423	362837	Vocalist
746424	37214	Society Woman
746425	224716	Lola Love
746426	47339	Lila Leroy
746426	47614	Madge
746426	65937	
746426	120485	
746426	126062	Mrs. Gorman
746426	143381	Nancy
746426	148943	Mrs. Fremont Gage I
746426	148955	Betty Royce
746426	161504	Mrs. Harding
746426	203750	Sylvia Cabot
746426	231821	Blonde
746426	234890	Cabaret Girl
746426	259763	Lisa Smith
746426	276655	
746426	289641	
746426	295818	
746426	339375	
746427	72372	Woman on the Bus
746427	92093	
746427	103331	Aunt Molly
746427	164587	Doris (Confused Fan)
746427	185550	
746427	310801	Teller
746428	197758	Susan Williams
746429	70653	Pool party girl
746430	168627	Voodoo Dancer
746431	261977	Night Club Manager
746431	405489	Denise
746432	106632	Model
746432	171297	Museum Curator
746432	337384	Gladys
746433	401502	
746434	152204	
746434	360153	Ma Parker
746435	30400	
746435	75386	
746435	76776	
746435	82408	
746435	100365	
746435	135117	Edelmira Carranza de Garay
746435	137985	
746435	148028	
746435	161956	
746435	243685	
746435	328160	
746436	203535	Cook
746437	79025	Jane
746438	293030	Debbie
746439	220892	Bit Part
746440	38463	
746440	140230	
746440	160285	
746440	163100	
746440	308416	
746440	370226	
746441	6646	
746443	10072	Florence Pike
746443	131203	Duchess of Plaza Toro
746443	182526	Marfa Ignatevna Kabanová
746443	213586	Katisha
746443	243654	Orlando
746443	309713	Herself
746445	306854	
746446	380934	Presenter
746447	246357	Ursula
746448	10847	Melissa Rose
746448	36775	Liquor Store Clerk
746448	62699	Rusty
746448	73883	Beautiful Girl/Dancer
746448	86716	Pearl
746448	109457	Valerie Thompson
746448	123041	
746448	187460	Karlson
746448	196063	Elvette
746448	202367	Woman
746448	218738	Mina Lang
746448	274119	Hooker
746448	313727	Carrie
746448	340109	Jade Owens
746448	362808	Stewardess
746448	366684	Ariella
746448	381537	Nikki
746448	382164	African Violet
746448	391897	
746448	393604	Ambrosia "The Bitch"
746448	403525	K.T
746448	411802	Serena (2001-2002)
746449	47423	Heidi Davis
746449	252884	Kelly
746450	203782	Aunt Violet
746451	370585	Enid (Ted's wife)
746452	11199	Fay
746452	310866	Vivian's Mother
746452	385020	Ida Clough (1978-1989, 1995-1
746452	385823	Martha Matthews
746453	191950	Pupil at Tadworthy House Scho
746453	239740	
746453	360500	
746454	73819	Mrs. Angell
746454	96944	The Easy Mark
746454	146291	Aunt Nancy
746454	156771	Mrs. Bell
746454	206866	Mrs. Lawson - Mary's Mother
746454	230113	His Mother
746454	231437	Nicholas' Mother
746454	245570	
746454	245647	Mrs. Finn
746454	362934	Undetermined Role
746454	367424	Undetermined Role
746455	29420	Girl
746456	129435	Extra
746456	275888	Porn Gal
746456	279323	Party Girl
746457	187186	Mal's Gals
746458	283500	Prostitute
746458	359593	
746459	385092	Barbara
746459	393653	Rose
746459	406723	Cindy
746460	75705	Mrs. Jacobs
746461	282043	Teacher
746462	195436	
746463	355536	Margret Curran
746463	387497	Clettes Smith Presley
746464	408322	Herself
746465	409020	Rhona Jenkins
746466	67665	Dance Instructor
746466	261559	Granddaughter
746466	270910	Chorus Dancer
746466	367055	Munchkin/Poppy/Emerald City C
746467	123467	Girl in steam room
746467	235510	Girl
746467	240761	Wife
746467	244704	Model
746467	325276	Redhead Prostitute
746468	324278	Woman
746470	43606	Gospel Singer
746471	147099	Daphne
746471	355490	Cleopatra
746472	407789	Various Characters
746473	305778	Black Lady
746474	196716	
746474	205271	
746475	23949	
746475	26114	
746475	41077	
746475	41758	
746475	50552	
746475	65605	Amazon Girl #1
746475	83833	
746475	92471	
746475	95803	
746475	105901	Juliet
746475	117216	
746475	127616	
746475	129734	
746475	147770	
746475	152716	
746475	158969	
746475	184773	
746475	187117	
746475	195273	
746475	196398	
746475	288110	
746475	303451	
746475	311160	
746475	332885	
746475	340523	
746475	363757	
746476	29746	Gina's Niece
746476	368206	Lou
746477	11485	Audrey Paris
746477	165277	Arlene
746477	349876	
746478	350269	
746479	4780	
746479	14855	Hilde Brenner (segment "Il se
746479	14974	Dutchy
746479	15888	Anna Anderson
746479	30905	
746479	35086	Lygia da Silva
746479	35578	Baroness Edith de Kekesfalva
746479	40666	Valerie
746479	42703	Peg Born
746479	45615	Esther Lieberman
746479	50448	Kathryn Ward
746479	65722	Gina
746479	68280	Susan
746479	69805	Mother Katharine
746479	71643	Frau Marianne Möllendorf
746479	72461	Baroness Von Haltz
746479	73245	Natasha
746479	80305	Mme. de Montreuil
746479	86032	
746479	90918	Judy Lansdowne
746479	101427	Brigid Knudsen
746479	110654	Hilde
746479	111768	Iduna
746479	113471	
746479	114198	Jeanette
746479	118359	Abby Edwards
746479	119117	
746479	119119	Frau Cheney
746479	119207	Mrs. Warren
746479	119222	
746479	125817	Erna Debruski
746479	128333	Clytie Devine
746479	129667	Katja Fleming
746479	131528	Yvette
746479	132596	Anna-Marie
746479	133482	Lou
746479	134804	Schauspielerin
746479	138516	Danielle, the gypsy
746479	139041	Adrianne
746479	140263	Anna Hauser
746479	147381	Althene Holcroft
746479	164459	Cameo appearance
746479	170384	Julia Lambert
746479	177164	Mother
746479	180002	Princess Metternich
746479	188922	Wife
746479	191950	
746479	193882	Mary Groome
746479	195057	Lotte
746479	201068	Herself
746479	214965	Vedena Podhajsky
746479	220639	
746479	222815	Mrs. Charron
746479	223981	Tisa Kepes
746479	225142	Fraeulein Elisabeth von Bernb
746479	233778	April Ashwell
746479	234207	Sheila Quentin
746479	238448	Jocasta
746479	241612	Lilli
746479	242721	Frieda
746479	244411	Zarah Valeska
746479	246122	Alice
746479	251541	Helen
746479	255312	Herself (narrator)
746479	258048	Katharine 'Kate' Dougherty
746479	271612	Rikki Krausner
746479	275650	Eva/Anne Leuven
746479	276234	Mme. Fourneau
746479	284420	
746479	284510	The Wife
746479	292058	Elsa Shahn
746479	292297	Lilli
746479	319196	Gelda
746479	323485	
746479	324232	Katherina
746479	328980	Melanie
746479	332058	Melanie Kurtz
746479	335501	Marie Brassac
746479	353938	Odette de Starenberg
746479	357046	Isabelle Quantin
746479	360848	
746479	364894	Marianne Eichler
746479	367307	Lydia
746479	376319	
746479	376490	Nina Bohlen
746479	395645	Host (1951)
746479	395646	Host (1956)
746479	401311	Natalya
746479	412052	Manouche 'The Leopard' Roget
746480	186843	Rosie
746482	394245	Herself
746483	91557	Ruth Fuller
746484	113883	Bikini Contestant
746485	107947	
746486	90772	Concerned Mother
746486	127237	Lady at Garage Sale
746486	131226	Televangelist Wife
746487	1042	Estelle Prager, alias Estelle
746487	50919	Renee LaRue
746487	72582	Potonda (Bavarro's wife)
746487	80013	Yelena
746487	105409	Rena's Mother (additional seq
746487	115496	
746487	183792	Margo Martin, Circus Club Sin
746487	215862	Tanya Litvinov
746487	235355	Catherine de Medici
746487	244357	Huberta
746487	245303	
746487	275677	Greta Holvig
746487	316890	Countess Lili Szadvany
746487	320025	Janet Barton
746487	331369	Julia Karek
746487	360632	Martha Kroner
746487	411819	Mady Stevens (1964-1965)
746488	261049	Showgirl Dancer #10
746489	1548	
746489	28969	
746489	50139	Natalia Donahin
746489	65401	La Esposa
746489	68643	
746489	78256	
746489	82393	
746489	86898	
746489	139913	
746489	161563	
746489	197967	
746489	202233	
746489	209297	
746489	222530	
746489	233397	
746489	278333	
746489	287455	
746489	296441	Karina Smith
746489	337987	
746489	357895	Fina
746489	379819	Isadora
746489	379905	Fabiola Pineda Montoya
746489	384988	Teresa
746489	397019	
746490	148901	Hard Rock Reporter
746491	330093	Marcia
746492	85573	Fara
746492	123091	
746492	202724	Lena Masetti
746492	224192	Lola Fuchs
746492	242790	Nurse
746492	394123	Fashion Reporter
746493	114859	Mrs. George Fowler
746493	241546	Mrs. Ross
746494	33748	Undetermined Role
746494	52432	Mrs. Morgan
746494	77674	
746494	109402	Showgirl
746494	223032	Old Woman
746494	366205	Woman in beauty shop
746495	95631	Herself (Automat featurette)
746495	330743	Herself
746496	131641	Bit Part
746496	326584	Air hostess
746496	345947	
746496	362403	
746497	58936	Millie
746497	203138	Elsie
746498	245158	Maude Standish
746499	51165	
746499	51170	La gouvernante
746499	71956	
746499	205627	
746499	254100	La petite danseuse
746499	377702	Miss Palmer
746500	254085	Un enfant Anglais
746501	10570	Girl
746501	238150	
746501	332711	Angelina
746502	5813	Margie Landers
746502	11406	
746502	12181	
746502	12214	
746502	17701	
746502	18560	
746502	19513	
746502	24236	
746502	24942	
746502	27933	
746502	35359	
746502	36439	
746502	41055	
746502	45981	
746502	50884	
746502	50940	Stephanie Maynard
746502	61593	
746502	64910	
746502	72201	Amy
746502	72226	Midge
746502	72270	Ethel Dunlap
746502	107570	Babette
746502	112222	
746502	125885	Kate Leonard
746502	128174	Rose
746502	130149	
746502	133909	Elsie Brown
746502	141302	Soma
746502	144598	Wanda Holmes
746502	147442	Hairdresser
746502	148393	Elsie
746502	160806	
746502	161499	The Girl
746502	162846	
746502	172068	
746502	187956	Nadje
746502	192242	Kitty
746502	206874	
746502	217538	
746502	217949	Chicago Kate
746502	220843	Priscilla Parker
746502	228641	Lola Leeds
746502	246777	
746502	249375	'Toddles' Thornton
746502	259758	Polly
746502	266685	
746502	282458	Doris Hyland
746502	282544	Roommate
746502	286148	
746502	287158	Josie Kirkwood
746502	309476	Nellie
746502	309557	Nadia/Agnes
746502	330425	The Girl
746502	334348	Undetermined Role
746502	359805	Helen Smith
746502	360627	Mollie Barbee
746502	364398	Alice Stantonn
746502	366939	Natalie
746503	64984	Liliana
746503	121231	
746503	379889	Leonor
746503	380098	Stella Maris
746503	384257	
746503	385379	
746503	385458	
746503	387098	Ana Iturbe Montalbán
746503	387126	Edith
746503	391860	Mariana de Maciel
746503	392609	Laura Grimaldi
746503	395487	Laura Andoaegui
746503	398800	Victoria Olazábal
746503	401152	Cata Andrade
746503	403107	Ana María
746503	404991	
746503	405412	Julia
746503	409915	
746503	412194	Ángeles Di Steffano-Linares S
746504	161210	Herself
746505	23913	Herself/Audience Member
746505	23927	Herself/Audience Member
746505	23932	Herself/Audience Member
746505	65200	Kitty
746505	96871	Bianca Butcher
746505	105016	Audience Member/Herself
746505	114051	Young Girl
746505	196074	
746505	208892	Clare McCready
746505	228327	Herself
746505	386546	Claire
746505	387247	Bianca Jackson/Butcher (1993-
746505	391194	Mrs. Bozzle
746505	397219	Clare McCready
746507	111051	Élisabeth
746507	111067	Solange Watin
746507	202319	Evelyne
746508	33985	Nadia
746508	68072	Emma
746508	87867	Alice Fisher
746508	115703	Mother
746508	120817	Irene
746508	161163	Pam (Girl in Squat)
746508	176960	Michelle
746508	190724	Helena Warner
746508	269901	Michette
746508	274289	Maria Riddell
746508	316461	Rachel
746508	330697	Francine
746508	391514	Lucy
746509	30196	
746509	33797	
746509	36867	Neighbor
746509	98821	Lady in town
746509	149381	Party guest
746509	241382	Bit Part
746509	267990	Extra
746509	299389	Woman in audience
746509	329813	Bit part
746509	343151	Motorist
746510	1675	Herself
746510	105613	Receptionist
746510	146807	Female Porn Star
746510	183387	Playboy Bunny
746510	190994	Assistant
746510	216445	Judi
746510	217484	Fair Maiden
746510	339596	Rickie
746511	63715	Kuroko
746511	298905	Kuroko
746512	241799	Christmas choir member
746513	384783	Miss. Foster
746514	363406	Self
746515	236476	Kathy
746517	29357	Shirley Lee
746517	32071	Beth
746517	49971	Nan Preston
746517	53207	Audrey Scott
746517	60302	Elizabeth Summers
746517	66632	Lorna McKenna
746517	96640	
746517	105653	Sadie Towner
746517	183394	Marie
746517	200147	The Wife
746517	206341	Molly
746517	255828	Nurse
746517	266183	Cubann Maid
746517	289583	Eve
746517	308172	Mary Burton
746517	315593	Mary
746517	330882	Ann Erskine
746517	363960	Telephone Operator
746517	366364	Marion Wayne
746517	372900	Colleen O'Brien
746518	130358	Miss Jamaica/Chickie
746519	70623	
746520	68870	Lady Artist
746521	148067	
746522	191051	English Reporter
746522	245542	Rock Video Singer
746524	11503	Marge
746524	30172	Phoebe
746524	32400	
746524	68217	Rosie
746524	88852	Rosie
746524	119802	Mrs. Endicott
746524	168330	Anna
746524	240755	Ivy
746524	245605	Singer in Pub
746524	273422	Doreen
746524	303030	Rosie One-Tooth
746524	305413	Joan
746524	305514	Toni
746524	316214	Doorwoman
746524	316895	Bridget
746524	335601	Dancer
746524	348377	1st Buttercup Girl
746524	362073	Waitress
746524	371043	Christine
746524	372420	Pierce's Widow
746524	385388	Mrs. Trapp
746524	391081	Dot
746524	398031	Mrs. Williams
746524	407408	Doreen Underhill
746524	410829	Ma
746524	411152	Ruby
746525	22743	
746525	53009	
746525	88705	
746525	91290	
746525	137432	
746525	149546	
746525	209297	
746525	221658	
746525	233657	
746525	253279	
746525	274950	
746525	318008	Julia
746525	337567	
746525	370111	
746525	378478	
746526	41945	The Fledgeling
746526	44549	Constance Stanley
746526	50169	Marie
746526	81027	Sylvia's maid
746526	85182	Marian Wayne
746526	104910	Mrs. Nina Carey
746526	106650	Stella Haynes
746526	113593	
746526	127790	Ginger Carson
746526	143272	Dawn Havey
746526	164704	Poppy
746526	182184	
746526	190229	Peggy Harmon
746526	196112	Dora Palmer
746526	215891	
746526	224132	Jessie Peters
746526	229512	Ruth Leigh
746526	230500	
746526	231981	Beer Garden Waitress
746526	276655	
746526	282301	Evelyn Durant
746526	304621	Dulce
746526	324417	Milly
746527	245524	Mrs. Gosnold
746531	5054	Joan Wellingford
746531	40321	Diana
746531	47460	The Girl
746531	91649	Dolly Simms
746531	240837	Clara
746531	241205	Alice Dene
746531	283376	The Girl
746531	321084	
746531	358778	Madge Benson
746531	359680	Mary (17 year)
746531	376260	Rosa, dochter van de cipier
746532	29531	Ryan
746532	130178	Susan Pierce
746532	245115	Didi Goldstein
746532	273260	Patti Reagan
746532	291252	Rebecca Kull
746532	328269	Annabelle
746532	382240	Donna
746533	291892	
746534	310990	Herself
746535	206803	Murder
746536	34105	Tina
746536	49276	Giovanna Traghetto
746536	84942	Rebecca
746536	134996	Chrissi
746536	147179	Jo
746536	186941	Yvonne
746536	186952	Jenny Wiemann
746536	228157	Miriam Lerz
746536	303359	Patricia Kästner
746536	310901	Mara Gehricke
746536	325485	
746536	325912	Tanja
746536	334492	
746537	687	Herself
746537	3251	Herself
746537	3252	Herself
746537	23927	Herself - Audience member
746537	23932	Herself
746537	34646	Herself
746537	68682	Herself - Presenter
746537	77092	Herself
746537	154921	Herself
746537	155595	Olivia Basildon
746537	157196	Herself
746537	170848	Herself - Presenter (UK versi
746537	197923	Herself
746537	199150	Celebrity
746537	283798	Herself
746537	380310	Presenter (2003-)
746537	387106	Herself - Presenter (2003)
746537	388118	Herself - Presenter
746537	392463	Herself (Series 1) (2002), Co
746538	55076	Herself - Dancer
746538	88301	Herself
746538	186354	Dancer
746538	245159	Cuban Room Dancer
746538	271091	Arab Girl
746538	309848	Dancer
746538	365350	Miss Cairo, Side Show Dancer
746539	44318	Old Woman in Processing Room
746540	51067	Térésa
746540	66733	
746540	107455	
746540	111142	
746540	199524	Hotel Chambermaid
746540	275344	Soeur Saint-Clément
746540	384744	Marie Boulard
746540	397137	Sabine
746540	404663	La secrétaire
746540	404861	Valérie Janniau
746541	390676	Herself (1999-2000)
746542	123252	
746543	29400	
746543	220726	Mozart's Sister, Nannerl at 1
746543	361704	Zimmermädchen
746544	366754	Agent Harris
746545	48788	
746546	20625	Extra
746546	151041	Bit Role
746546	330689	Bit Part
746547	178342	Flower Woman
746548	2766	Party Goer
746549	409111	
746550	29345	Mrs. Larsson
746550	29560	Woman
746550	42190	Beata
746550	42954	Alma
746550	47176	Arvid's mother
746550	48365	Stina Olsson
746550	78384	Hanna
746550	99568	Charwoman
746550	115391	Botilla
746550	115395	Mrs. Blomqvist
746550	115427	Grandmother
746550	116018	Hulda, Lovén's housemaid
746550	118696	Selma, Granlund's cook
746550	122480	Nurse on women's clinic
746550	125894	Customer at the pawn shop
746550	129171	Sylvia Wickman
746550	129267	Cemetary Worker
746550	135211	Ulrika
746550	136628	Anna-Maria
746550	136701	Quarreling woman
746550	140393	Mrs. Hansen
746550	142835	Maria, housekeeper
746550	143995	Mor Kajsa
746550	147005	Woman with folding-chair
746550	153716	Åhörare i tingssalen
746550	153760	Sidonia
746550	154504	Old woman
746550	159635	Arne's Mother
746550	159642	Mrs. Jörgensen
746550	164770	Head Nurse
746550	164784	Nurse
746550	173201	Sara i Jovik
746550	174049	Göran Persson's mother
746550	174076	Hulda
746550	174079	Miss Olsson
746550	174201	Prompter
746550	178745	Mrs. Karlsson
746550	181850	Adrians Mother
746550	182257	Lady with dog
746550	182263	Alida, Borg's housemaid
746550	182278	Miss Andersson
746550	192644	Mrs. Johansson
746550	192657	Milk woman
746550	198271	Hulda
746550	204720	Karna
746550	216359	Maria (maid)
746550	255945	Willy's Mother
746550	266362	Old vicar's wife
746550	268343	Helena Velander
746550	272755	House owner's wife
746550	276336	Restaurant guest
746550	293314	Old woman
746550	303666	Charwoman
746550	312231	Mrs. Nylund
746550	315548	Gossip
746550	316909	Nurse
746550	321901	Hilda, Anna's aunt
746550	337888	
746550	350564	Hulda, Tage's housemaid
746550	354423	Mrs. Larsson
746550	377315	Matilda 'Matte' Mattsson
746551	174697	Young woman at the shop
746551	353013	Girl at the shooting booth
746552	94253	Girl at party
746553	159933	Our gang member
746554	217119	
746554	219591	
746554	256772	
746554	289343	Nun
746554	293980	
746555	223850	Nurse Lewis
746556	5203	Patti Gonzalez
746556	37060	The Teacher
746556	80802	
746556	145102	Good Intentions
746556	155861	Officer Mazzaro
746556	187091	Mrs. Rodriguez
746556	233832	Gloria
746556	261290	Police Officer
746556	269919	Leticia
746556	279094	Blanca
746556	319175	Candy Store Girl
746556	322847	María
746556	334780	Brad's Wife
746556	347692	Janice Bogart
746556	366997	Cynthia Moore
746556	394510	Executive Assistant
746557	62350	
746559	385599	
746559	404988	Helena
746560	106205	Secretary
746560	219497	Carole
746560	383864	Marie-Thérèse
746561	90666	
746561	349544	Angela
746562	189902	Lulu Uranga
746563	253520	Un amour fantôme
746563	274315	(segment "Four on the Floor")
746564	305362	Prostitute on Street
746566	105466	Eva Perón
746566	247458	
746566	379842	Host
746566	388884	
746566	388885	Herself
746566	388886	Flavia
746566	396654	Flavia
746566	396860	Abril
746566	397023	
746566	400073	
746566	402594	Host
746566	403784	
746566	405916	Adriana
746567	234728	
746568	255115	
746569	127044	Nikki
746570	38472	
746570	89827	Vale's Sister
746570	376671	
746571	139781	Amy Peelman
746572	310156	Mother
746573	69812	Nurses' Aide
746573	271344	Church Choir
746573	398415	Young T.V. Reporter (Ask Mr. 
746574	344444	
746575	173980	Zara
746575	262405	Monica pizzeria
746576	69812	Nurses' Aide
746576	188511	Elevator Girl
746576	310156	Little girl
746577	163565	Claire Miller
746578	226517	
746578	278436	
746578	336289	
746578	370596	Juta
746579	189902	
746580	193322	
746581	312229	Martin's daughter
746582	174779	
746583	394938	Lapsi
746584	79060	Extra
746585	387262	Katarina (segments 2, 3, 4, 6
746586	97866	Anna Egerman (younger)
746587	20713	Almancenera
746587	28212	
746587	74624	
746587	146533	
746587	169764	
746587	253779	Miguel's Wife
746587	394017	Nilda Toledo
746588	238003	Rosanna
746589	255386	
746590	40694	Plejerske
746590	40944	Birgit
746590	94337	Fru Jensen
746590	101314	Fru Dannemand
746590	114770	Fru Borch
746590	115231	Sygeplejerske
746590	121026	Actress
746590	153197	Ida
746590	180407	Skuespiller
746590	182100	Helger, Emil's wife
746590	184677	Brians mor
746590	198058	Pensionatsværtinde
746590	249743	Vred nonne
746590	317649	Lene Svendsen
746590	317651	Fru Lene Svendsen
746590	317652	Fru Svendsen
746590	320608	Blonde
746590	328516	Schatz' mor
746590	354739	Habibas veninde
746590	354882	Milles nabo
746590	393642	Alice
746591	145761	Remes' Woman
746592	377302	The mother
746593	156039	Old woman
746594	136628	Agneta Ehrenfalk
746594	182299	Eva Lind
746595	94871	Maria
746595	350548	Herself - solo singer
746596	93831	Nurse
746597	181856	Sami's girlfriend
746598	197374	Goottityttö
746599	25296	Anna's mother
746599	100011	Ella
746599	169542	
746599	198887	Sarah
746599	211863	Nainen huoltoasemalla
746599	226798	Sari
746599	354280	
746599	354286	Irma Manner, woman talking wi
746599	357793	Kata
746599	398988	Bertta
746599	400496	
746599	402892	Pirjo Mustonen
746599	404782	Helena Salakari
746599	409038	
746600	122446	
746600	153756	Saara Leinjoki
746600	164248	Lyyli Alho
746600	170519	Erika Melker
746600	184796	Woman in a waiting room
746600	186071	Prostitute
746600	211031	Nurse
746600	253075	Ms. Ritva
746600	266752	Mrs. Perkiö
746600	301890	
746600	319315	Streetwalker
746600	320384	Asta Tapio
746600	343507	Mirja Kaarlo
746600	349734	Maija Pietarinen
746600	373379	
746601	243132	
746601	290377	
746602	281405	
746602	305938	
746602	355047	
746603	5443	
746603	6740	Patro
746603	12527	
746603	26120	
746603	74153	
746603	97658	
746603	101767	
746603	114864	Selma
746603	118598	
746603	156911	Another Sister (segment "Suor
746603	202213	
746603	204262	
746603	205429	
746603	205926	
746603	214821	Ruby
746603	221559	
746603	234412	
746603	268526	
746603	272399	
746603	275076	
746603	280430	
746603	306692	Tatiana
746603	320217	
746603	339131	
746603	339151	
746603	376644	
746604	145271	
746604	303084	
746605	106328	Alcohólicos Anónimos
746606	55007	
746607	283260	
746608	139001	Tracy
746609	15092	Marion
746610	278933	
746610	307440	
746611	219830	Claudia
746611	278170	
746612	14908	
746613	403021	Sol Rivarola (2003)
746614	4656	(segment "Noche terrible")
746614	71299	
746614	103879	
746614	161697	
746614	189295	
746614	197150	
746614	225069	
746614	247463	
746614	250993	
746614	277435	
746614	307734	
746615	64435	
746615	94828	
746615	246387	
746615	287443	
746616	54083	
746616	75379	
746616	135308	
746616	169760	
746616	206744	
746616	212508	
746616	228772	
746616	260949	
746616	336266	
746617	234630	
746619	379132	Chola (Chapter 1)
746620	304544	Cheerleader
746621	356671	Patricia
746622	279094	Reina
746623	124017	Nurse
746624	10892	Mrs. Bodi
746625	181709	Several characters
746625	387709	Various characters
746625	394898	Various characters
746625	395622	Hoitaja
746625	396747	Several characters
746626	285801	
746627	181754	Aino Mäkelä
746627	407375	Aino Mäkelä
746628	285801	
746629	18	Senator's Reporter
746630	343980	Nicole Renski
746631	377044	
746632	214504	
746632	378050	Síró asszony
746633	74407	
746633	182648	Lány
746635	19383	
746635	34562	
746635	53649	
746635	55955	
746635	72958	
746635	74559	Cristina Cifuentes
746635	74983	
746635	83137	
746635	89736	
746635	91173	
746635	108057	
746635	135197	
746635	137846	
746635	148122	Madre de Juan Carlos
746635	161657	
746635	167082	
746635	171496	
746635	183496	
746635	193076	
746635	197972	
746635	221900	
746635	225391	
746635	238326	
746635	258505	
746635	286419	
746635	292759	
746635	296437	
746635	320211	Dona Carmen
746635	353573	
746635	376662	La esposa, Zoraida
746636	105883	Operadora
746637	10875	Warden O'Neil
746637	127574	Beth Farady
746637	211758	Secretary
746637	252834	Marilyn Zakowski
746637	326654	Waitress
746638	78464	Herself - Head of jury
746638	78466	Herself - Member of jury
746638	118589	Speaker
746638	123505	Speaker
746638	136617	Speaker
746638	248172	Narrator
746638	312724	Speaker
746638	378660	Herself - Regular participant
746639	214370	
746640	412298	Stewardesse
746641	17439	Anita
746642	63099	Melanie
746643	60968	Jane
746643	93624	Zulma
746643	132272	Lieske
746643	178447	Henriette
746643	188909	Sasja
746643	247132	
746643	258170	Molliser
746643	303163	Trees Spinael
746643	356103	Eugénie
746643	356817	Thea
746643	358948	Linda
746643	371288	
746643	381543	
746643	382551	Vrouw Smessaert
746643	388299	Advocate (2002)
746643	389782	
746643	403528	
746644	182332	Lutgart de Graef
746644	403046	Dienster (2001-)
746645	403046	Dienster (2001-)
746646	215112	Miriam as Child
746647	355971	Stéphanie
746648	241650	Extra
746649	113530	Friend
746650	846	Herself - #53: Red Carpet Dis
746650	1674	Herself
746650	3027	Herself - Best Actress Winner
746650	3040	Herself - Presenter: Best Act
746650	3046	Herself - Presenter
746650	17796	Skye Davidson
746650	24429	Herself
746650	45001	Abby Janello
746650	74008	Angela Pritchard
746650	80819	Carol Fagot Holland
746650	94861	Liv
746650	99373	Most stylish actress
746650	99951	Emma Woodhouse
746650	105198	Peggy Lee
746650	115252	Ginnie
746650	116228	Polly Perkins
746650	133594	Estella
746650	149287	Young Wendy
746650	153204	Helen Baring
746650	160318	Herself
746650	160888	Herself
746650	166565	Patsy Jefferson
746650	186165	Herself/Best Actress Nominee
746650	202389	Paula Bell
746650	218774	Lucy Trager
746650	221306	Paula Hunt
746650	245179	Sarah Orne Jewett
746650	247119	Julie DeMarco
746650	252925	Emily Bradford Taylor
746650	260266	Herself
746650	261434	Maud Bailey
746650	265821	Catherine
746650	274593	Herself
746650	274688	Herself
746650	282696	Margot Tenenbaum
746650	291698	Tracy Mills
746650	291971	Herself
746650	297115	Viola De Lesseps
746650	297190	Rosemary Shanahan
746650	300044	Rebecca
746650	304267	Polly Perkins
746650	304948	Helen Quilley
746650	321754	Clementine
746650	321788	Sylvia Plath
746650	323813	Marge Sherwood
746650	347906	Marlene Dietrich
746650	354164	Donna Jensen
746651	17305	Elzbieta
746651	289808	
746651	290070	Manci Rosner
746651	305560	Ula
746651	401714	Lotte Rauch
746652	266019	
746653	266019	Ula
746653	361076	
746653	380346	Hotel Maid
746654	57428	
746655	356337	Herself
746656	59306	Forensics Technician
746656	82332	Woman Getting Towed
746656	155924	
746656	166930	Cathy
746656	167893	Connie Sloan
746656	182967	Court Aide
746656	406674	Nurse
746656	407421	Girl in yellow parka
746657	71432	
746658	227576	Irene
746659	146841	
746660	17745	
746660	28562	
746660	49693	Zia Tina
746660	51907	
746660	54141	
746660	54347	La zia di Margherita
746660	55545	Sisina's mother
746660	60120	
746660	84150	
746660	89856	Concierge
746660	90005	Maria
746660	112693	
746660	123273	Emma
746660	157691	
746660	162084	
746660	183082	
746660	183281	
746660	186562	Donnna Carmela
746660	191208	
746660	194554	
746660	206027	La portiera
746660	206028	Antonella
746660	212313	
746660	213794	
746660	215340	Luisella
746660	220193	La suocera di Nino
746660	227562	
746660	233082	Carmelina
746660	234752	
746660	234765	Carmela
746660	234824	Carmelina
746660	247356	
746660	252773	
746660	259949	Una spettatrice
746660	270822	Margherita
746660	277812	Dolores Cannavacciuolo
746660	290897	
746660	291658	
746660	293353	Marta, la domestica
746660	296540	
746660	319299	Mamma di Andrea
746660	338716	
746660	351073	Donna Elvira
746660	353053	
746660	376137	Tosca
746660	376139	Signora Bertuccini
746661	355890	
746662	362856	Paolo's grandmother
746663	207020	Catherine
746664	329379	Tube
746665	25764	Weeping Lady
746666	379700	Herself/Contestant (Top Six F
746667	30666	
746668	187167	Dancer
746669	108506	Knitter
746670	294545	Polack
746670	336289	
746671	153643	Madam
746671	214792	Bolshevik
746671	377339	
746673	337	Giovanna Nunziante
746673	6674	
746673	14376	Anna
746673	33033	Herself
746673	39534	Toni
746673	43451	Herself
746673	54555	Mala
746673	55157	Princess Ilyena
746673	63399	Veronica Kleits
746673	63669	Michèle Hennequin
746673	67515	
746673	68059	Lisa
746673	68441	Rosy
746673	90658	
746673	94738	Elena Carli
746673	100307	Sophia
746673	103393	Mizziana
746673	104124	Lady Alexander
746673	109943	Amazon
746673	111155	
746673	133995	Paola Scotti
746673	134097	Lisa Benson
746673	135072	
746673	135361	Phaedra
746673	148111	
746673	159469	Jole Scarpa
746673	160293	Herself
746673	162077	(segment "Giochi acerbi")
746673	164188	Pat
746673	169486	Bahrani
746673	178468	Trixie
746673	202040	Eva Lalli
746673	209153	Therese
746673	209522	Sarah
746673	219592	Lisa
746673	222931	Julie
746673	229741	Giulia
746673	231684	Maud
746673	234035	Carola (manager of The Lido)
746673	236124	Gabrielle Monet
746673	241338	Gava Berens
746673	256788	Anna Carrasco
746673	257719	
746673	259706	Renata Boletti
746673	261979	Juanita Sierra-Perez
746673	269633	La moglie dell'industriale
746673	275378	Carlotta
746673	276876	Raffaella Carter
746673	289332	Sister in law
746673	291729	Josita
746673	293344	
746673	294773	
746673	303490	Contessa DeRojas
746673	328188	Herself
746673	331323	Angela
746673	332065	Fiona Volpe
746673	332805	Baharani
746673	334376	Angela
746673	348180	Vera Vannucchi
746673	351589	Giulia Almeranti
746673	352917	
746673	353301	Héléna
746673	388841	Simone Genet
746674	202694	La fonctionnaire de l'aide so
746675	255386	
746676	199707	Royal Child
746677	165408	Zona Umarlaka
746677	180079	Nurse
746677	200452	Znachorka
746677	237701	
746678	30494	
746678	49516	
746678	88436	Zhenata na direktora
746678	156262	
746678	229086	
746678	253836	Kolezhkata na Mikroba
746678	320534	Tzelguba
746679	102539	
746680	343633	Nóra
746680	348572	
746681	227103	Mother
746682	54177	
746682	227103	Maria as a child
746683	178081	Mother
746684	149931	Passenger
746685	65892	Tenant Farmer Wife
746686	1283	
746686	2513	
746686	20870	Sepora
746686	65086	
746686	75031	
746686	110254	
746686	112651	
746686	114828	
746686	115358	La bonne
746686	166330	Flora
746686	202343	Annie
746686	319969	Blanche
746686	336964	Sombre Dimanche
746686	377238	L'infirmière
746687	323251	
746688	336341	
746689	219564	
746690	247849	Manos de la Amiga
746691	101070	Model #3
746691	109938	Pretty Woman
746692	216737	Dancer
746693	2584	Madame Bonbon, la canzonettis
746693	11810	Albertina, la camiera del mag
746693	14955	(segment "1910")
746693	18366	Anita
746693	18952	
746693	20804	
746693	25323	Rosetta
746693	30272	Rosa Pezza
746693	33474	Nannina
746693	33661	Silvana
746693	36446	
746693	38776	
746693	48200	Chiara
746693	48862	Daisy Parnell
746693	54153	
746693	54154	
746693	54159	
746693	90657	
746693	102303	Herself
746693	118072	
746693	124584	Luciana
746693	127982	Gloriana
746693	129038	
746693	136850	
746693	158626	Clara
746693	158702	
746693	162066	Rosa de Fuego
746693	179289	Aurore de Lautenberg
746693	193431	Wanda
746693	205382	Silvana Di Gennaro
746693	206025	
746693	206037	Anna Zaccheo
746693	207978	La vedova
746693	208798	
746693	215013	
746693	217900	
746693	227560	
746693	227595	
746693	234548	Virginia
746693	237615	Empress Poppea
746693	243505	Beatrice
746693	251051	Luisa Bonneur
746693	251624	Carla
746693	259949	Fiamma
746693	263193	Gobette, la soubrette
746693	264252	Almadena
746693	265189	Liliana Ferrari
746693	270333	Maria
746693	277742	
746693	288182	Sara
746693	290000	Mara Gualtieri
746693	292953	
746693	293356	Anna Tancredi
746693	310468	Leila
746693	315821	Giuseppina Pancrazi
746693	328625	Delores
746693	332374	
746693	336850	Marguerite de Bourgogne
746693	338369	Lucia
746693	339159	
746693	355787	Herself
746693	356898	Elena Fanti
746693	358012	Queen Shagaret El Dor
746693	377573	Carla Colombo
746693	408804	Paola's mother
746694	206928	Mary2
746695	334	
746695	1598	
746695	6297	
746695	10656	
746695	13087	Party guest
746695	15994	
746695	19218	
746695	30743	Dancer
746695	31000	
746695	31001	
746695	42609	
746695	55497	
746695	67185	Circus singer
746695	67692	
746695	67891	
746695	82134	
746695	87821	
746695	88348	
746695	88390	
746695	89561	Telephone Clerk
746695	89830	
746695	90029	
746695	90058	
746695	90760	Bruna
746695	92069	
746695	94708	
746695	94710	
746695	104004	
746695	110104	
746695	110992	Streetwalker
746695	115123	
746695	123879	
746695	133038	Saloon Girl
746695	135315	
746695	158627	
746695	161535	
746695	162075	
746695	162082	
746695	168549	
746695	168765	
746695	179761	
746695	180951	
746695	183283	
746695	197588	
746695	200515	Corinne
746695	205260	
746695	209387	
746695	219561	Hotel guest
746695	219592	
746695	229622	Pupil
746695	234761	
746695	235767	
746695	239302	
746695	240294	
746695	242828	Irena Hollander
746695	242830	
746695	243691	
746695	252642	
746695	252773	
746695	256788	Ines
746695	269471	
746695	272980	
746695	276101	Stripper
746695	278896	
746695	278898	
746695	288495	
746695	288800	
746695	289346	
746695	291560	
746695	291561	Fiorella Conforti
746695	291679	
746695	293061	
746695	297410	Marisol
746695	300689	Eva
746695	319296	
746695	338323	
746695	339072	
746695	345604	
746695	347476	
746695	349542	
746695	351072	
746695	352252	
746695	352661	
746695	357971	
746695	359105	
746695	375880	Cortez's daughter
746695	376137	
746695	376691	
746696	387573	
746697	57878	Recepcionista Hospital
746697	135114	Susana
746697	226458	Empleada Lavadero
746697	302053	Martha
746697	324294	Woman in Car
746698	161922	Scientist
746699	88324	Hija de la mujer histérica
746699	249905	
746700	376685	Profesora
746701	3545	Marisa
746701	380551	Alicia
746701	401769	Marina Blasco
746701	408418	Caty
746702	160728	(segment "Prisão de J.Carmo G
746703	19467	Maria
746703	127727	Ana
746703	252702	
746703	270057	Sole
746704	156568	Tatjana
746705	119710	Zimmermädchen
746705	140201	
746705	210036	
746705	258392	Gänseliesel
746705	278573	Freundin des Tänzers
746705	280142	
746705	359620	Schallplattenverkäuferin
746706	26283	
746707	104727	Host
746707	280030	Themselves
746708	328774	Herself - Celebrity Represent
746708	381514	Herself (2000-2002)
746708	382458	Yao Wang Yin
746708	384088	Pei
746708	387388	Herself - Brains Trust
746708	404956	Herself
746709	236087	Mahjong Player
746709	299798	May
746709	335820	Mom
746710	101704	Additional Voices
746710	387638	Tipsuree Thai
746711	143877	
746712	94409	Du Shiniang
746712	135021	
746712	167725	
746712	181421	
746712	218879	Wan Rong
746712	275544	Lu Wenting
746712	296573	Yang Juan
746712	358929	Ding Xiaolu
746712	376053	Gui Zui
746713	24897	Christa Gontard
746713	77410	Marion
746713	91006	
746713	98043	Jutta
746713	103144	
746713	152406	
746713	156749	Klärchen
746713	167646	
746713	189774	Irmgard Schmuck
746713	204464	Margery Bellows
746713	275692	
746713	308819	
746713	335037	Eva Strux
746713	361470	Frl. Knüll
746713	366562	Doddy
746713	366588	
746714	313951	Club Waitress
746715	141911	Ma Nao
746715	374955	Miss Xue
746716	374890	
746716	405110	Li Mochou
746717	295326	Larwin's Friend
746718	3378	Rebecca
746718	106790	Mrs. Suen
746718	137161	Huang
746718	332338	Queen mother
746720	209894	Bai Yuer
746721	106536	Chang
746722	167752	Xiao Qun
746723	94497	
746723	189217	Miss Mary Lee
746724	15289	Axi
746725	135048	Mrs. Li the matchmaker
746726	78765	E.R. Nurse
746726	92889	
746727	100117	Tick Roby
746727	291970	Darcy Deeton
746727	295563	Sara Gradwell
746727	304288	Layla
746727	317307	Brittany Aarons
746727	320102	Gina
746728	80478	Sam LaRoche
746728	218415	Additional Voice
746728	318823	Nikki Westerly
746728	406914	Nikki Westerly
746729	77982	
746730	85417	
746731	319405	
746731	329927	
746732	8117	
746732	8500	
746732	25625	
746732	79232	
746732	100628	
746732	212563	
746732	228170	
746732	244752	
746732	259419	
746732	270550	
746732	314299	Stefania's Mother
746732	329264	
746732	379443	
746732	379445	
746732	380479	
746732	383215	(singer)
746732	393051	
746732	402244	
746733	8430	
746733	133191	
746733	244243	
746733	252701	
746733	328234	
746733	350544	
746733	386408	
746733	387716	
746733	395692	
746733	397608	
746733	407739	Lego Kallivrousi
746734	79982	Solmaz
746735	367271	Olga the Rubber Girl
746736	26080	
746736	399411	Panam
746737	144331	
746737	153783	
746738	159175	Village Child
746739	2226	Pamela Webb
746739	14857	Doddy Paseroni
746739	25300	
746739	29808	
746739	33580	Anna Maria
746739	42978	Leonora Danin
746739	53093	
746739	53998	
746739	58041	Nora
746739	63948	
746739	67519	Diana
746739	84149	
746739	102395	Medea, Queen of Tyro
746739	112672	Abigail
746739	135158	Charlotte
746739	159900	Marcella
746739	186562	Sandra
746739	199291	
746739	202773	
746739	206025	
746739	213883	
746739	235776	Luisa
746739	251556	
746739	261890	Anna Maria
746739	261891	Annamaria
746739	268195	Rosita Arbellez
746739	270318	Wilma
746739	270847	Susy
746739	279912	Ciro's Fiancee
746739	287223	Cynthia Montague
746739	289906	Rosita Arbellez
746739	326306	
746739	336622	
746739	340645	
746739	344363	Elena/Helen
746740	51373	
746740	104646	
746740	111154	Marie Antoinette
746740	119085	
746740	217900	
746740	288941	Prisoner
746741	42242	
746741	82198	
746741	179342	
746741	215410	Hania
746741	236160	
746741	238095	Basia
746741	364982	Prostitute
746742	366597	Interviewed
746742	381091	Herself (eliminated round 6) 
746743	154506	
746743	228759	
746743	238102	
746743	261639	
746743	291594	
746743	293956	
746744	49828	Dancer
746745	399657	Herself (1992-1993)
746747	379978	Herself (eliminated 3rd) (200
746748	178459	Virginia Bisbiki
746748	285318	Rena
746748	379452	
746748	386147	
746748	386638	Hristina Markatou
746748	388201	Fofi
746748	396360	Sousou
746748	397727	Anna
746748	401011	Venetia
746748	403750	
746748	408830	Olga Haritou
746749	330358	
746750	172836	
746750	244952	
746751	388201	
746752	33767	Elias Aletras
746753	238098	
746754	320529	
746755	398548	
746756	399160	
746758	14372	Mariella
746758	242825	
746758	255101	Franchina
746758	289488	Lisa
746759	192853	Miss Lizzie Andrew Borden
746760	170219	Herself
746760	170220	Herself
746760	170221	Herself
746761	29656	Queen Mother Bona Sforza
746762	29656	
746762	36279	
746762	137597	Janusz's Mother
746762	341073	Countess Matylda Tyniecka
746763	381238	Court Typist
746764	212294	
746765	316863	Receptionist
746766	211157	
746767	185704	Dancer
746768	270577	Russian Dancer
746769	313634	
746770	218464	Ange-Marie
746771	291017	
746772	194753	Mrs. Beasley
746773	358922	Rubia
746774	102931	La danseuse
746775	35052	Striptease
746776	11934	Yolande
746776	60274	Lovely #4
746776	186192	La Grande Charlotte
746776	195245	Amina
746776	213520	
746776	345424	La patronne
746777	25930	
746778	4294	
746778	8388	
746778	13856	Ashok
746778	127329	
746778	183897	Goli
746778	222285	Hari
746779	218341	Vijaya Puri
746780	191701	Queen Maya
746781	200656	
746782	4400	
746782	4591	
746782	6098	
746782	9226	
746782	11931	
746782	12009	
746782	13172	
746782	13333	
746782	13334	
746782	13648	
746782	14506	
746782	15972	
746782	15975	
746782	16278	
746782	17518	
746782	17647	
746782	17660	
746782	18183	
746782	18470	
746782	18487	
746782	21152	
746782	22608	
746782	23163	
746782	24755	
746782	24768	
746782	24798	
746782	24802	
746782	27515	
746782	27725	
746782	28979	
746782	29031	
746782	29038	
746782	29212	
746782	29213	
746782	32457	Neela
746782	33665	Lalitha
746782	35190	
746782	35943	
746782	35962	
746782	36040	
746782	36050	
746782	36083	Sabari
746782	36084	
746782	36085	
746782	36097	
746782	36124	
746782	49870	
746782	51488	
746782	58426	
746782	58963	
746782	59028	
746782	59029	
746782	60418	
746782	60874	
746782	60994	
746782	62844	
746782	76449	
746782	76979	
746782	84710	
746782	84714	
746782	85283	
746782	85333	
746782	85342	
746782	88911	
746782	90577	
746782	90578	
746782	90579	
746782	94626	
746782	97776	
746782	98548	
746782	101306	
746782	101517	
746782	104373	
746782	122928	
746782	123746	
746782	124630	
746782	124965	
746782	125227	
746782	134356	
746782	135758	
746782	135759	Susheela
746782	135760	
746782	135879	
746782	136105	
746782	137741	
746782	139384	
746782	142733	
746782	142736	
746782	149870	
746782	151856	
746782	155650	
746782	155654	
746782	159308	
746782	159328	
746782	163890	
746782	165598	
746782	167337	
746782	171524	
746782	171944	
746782	172044	
746782	172617	
746782	172632	
746782	172748	
746782	172965	
746782	173460	
746782	174549	
746782	175652	
746782	176031	
746782	179249	
746782	180494	
746782	180526	
746782	181060	
746782	181606	Shantha
746782	181704	
746782	182131	
746782	183092	
746782	184198	
746782	184199	
746782	184235	
746782	186455	
746782	187224	Girl's Mother
746782	198681	
746782	198685	
746782	199659	
746782	200643	
746782	200716	
746782	200724	
746782	201018	
746782	201948	
746782	202139	
746782	203854	
746782	203870	
746782	204306	
746782	204528	
746782	204625	
746782	204626	
746782	204627	
746782	205070	
746782	206244	
746782	207811	
746782	208616	
746782	210211	
746782	217130	
746782	218664	
746782	219902	
746782	220162	
746782	221092	
746782	221816	
746782	222839	
746782	223357	
746782	223374	
746782	226073	
746782	226092	
746782	226096	
746782	226617	
746782	227116	
746782	227206	
746782	227208	
746782	227464	
746782	228415	
746782	228720	
746782	229307	
746782	229960	
746782	229963	
746782	230137	
746782	232592	
746782	232806	
746782	237049	
746782	238218	
746782	239350	
746782	242254	
746782	243818	
746782	243864	
746782	246072	
746782	246362	
746782	246631	
746782	246936	
746782	246992	
746782	247112	
746782	247127	
746782	247408	
746782	247437	
746782	248697	Vimala
746782	248802	Susheela
746782	250600	
746782	250602	
746782	250853	
746782	251071	
746782	251676	
746782	252265	
746782	253554	
746782	260182	
746782	262364	
746782	262453	
746782	262460	
746782	262874	
746782	262908	
746782	264962	
746782	266786	
746782	266797	
746782	267224	
746782	267225	
746782	267273	
746782	267306	
746782	267995	
746782	270171	
746782	270564	
746782	270959	
746782	270965	
746782	271429	
746782	271481	
746782	271583	
746782	271623	
746782	271661	
746782	271753	
746782	271765	
746782	271766	
746782	271772	
746782	271908	
746782	272063	
746782	272994	
746782	275807	
746782	279041	
746782	284770	
746782	285523	
746782	286759	Sabari
746782	287196	
746782	287545	
746782	287680	
746782	287824	
746782	288227	
746782	288403	
746782	288526	
746782	288558	
746782	288768	
746782	288769	
746782	293285	
746782	293292	
746782	298249	
746782	300219	
746782	300249	
746782	300280	
746782	300287	
746782	300290	
746782	300340	
746782	306866	
746782	308262	
746782	312449	
746782	319604	
746782	320393	
746782	320770	
746782	320862	
746782	320875	
746782	326156	
746782	326157	
746782	327015	
746782	329242	
746782	329301	
746782	329355	
746782	329635	
746782	329647	
746782	330652	
746782	331141	
746782	332175	
746782	339716	
746782	339717	
746782	339718	
746782	345620	
746782	349015	
746782	349180	
746782	349205	
746782	349609	
746782	350417	
746782	350752	
746782	350753	
746782	350942	
746782	350962	
746782	351389	
746782	352883	
746782	352904	
746782	370429	
746783	122926	Abhisarika
746783	217360	Neelima
746783	256832	Special Appearance (Song 'Mer
746783	262373	Guest Appearance
746784	30088	Mini's Mother
746785	18923	Wife-mother
746785	28981	
746785	60402	Diana
746785	85314	
746785	86650	Asha Singh
746785	131951	
746785	143466	Asha
746785	174296	
746785	271417	
746785	285946	
746785	344369	Karuna
746785	359160	Priya
746786	127016	
746787	395981	Herself
746788	4106	
746788	54743	Puja
746788	82002	
746788	166481	Vijayata Kiran
746788	196070	Pinky
746788	216281	
746788	217142	Roopa
746788	358108	Sita
746788	373792	
746789	401970	Rita Giordano ( 1996-2000)
746790	71411	
746790	102947	Candela (Mayor)
746790	401436	Abril Agrelo
746791	14370	Claudia
746791	24141	Luisa
746791	56361	
746791	69942	
746791	102947	Candela
746791	109778	Laura
746791	120770	Gabriella
746791	144944	
746791	175737	
746791	186248	
746791	214236	Scapuzzo
746791	226832	Bruna
746791	244962	
746791	245801	Susi
746791	255128	
746791	324643	
746791	344595	
746791	380057	Susanna
746791	384666	
746791	386485	Giulia Corsi
746791	386486	Giulia Corsi
746791	397297	Alice
746791	404865	
746791	410344	Chiara
746792	322919	Cristiana
746793	4980	Rachel
746793	41419	Lead Vampire
746793	93364	Shelly
746793	105453	Rachel
746793	293225	Tota
746794	247189	Michele's mother
746795	82541	Sharon
746796	361907	Godspell Girl
746797	155250	Mother
746797	171134	Specialty Dancer
746797	304929	Diane Jacobs
746798	88873	
746799	226108	Nille
746800	181075	
746801	10021	Helene
746802	95329	
746803	278337	
746804	262838	
746805	154781	Poetry Teacher
746806	242113	Le Sirenuse Concierge
746807	135051	
746808	273738	Claire
746809	9688	Minerva
746809	63890	
746809	64772	Housewife
746809	108113	Aunt Luise
746809	132962	
746809	133110	Mrs. Minozzi
746809	200819	
746809	229601	moglie Alberto
746809	307583	La moglie di Augusto
746809	313915	
746810	3184	
746810	404050	Isabel
746811	251230	
746811	287062	Daisy
746811	407943	
746812	337029	Victorine
746813	315000	2:a Johanna
746814	215911	Mrs. Bedi
746815	79046	Jenny Rooker (daughter)
746815	88102	Morag (5 years old)
746816	127940	Nurse
746817	7408	Young Jeanne
746817	48950	Dot
746817	48951	Dot
746817	60863	Molly Eastman
746817	87009	Suri
746817	95476	Melanie Lewis
746817	122636	Herself
746817	151317	
746817	155266	Gen
746817	155905	Young Susan 'Suzie' Stone/Ali
746817	168286	Natalie Scheffer
746817	177632	Kairi
746817	206093	Tati
746817	211764	Girl on Sinking Boat
746817	234989	Patty Ann
746817	237783	Mermaid
746817	271344	Audrey Davis
746817	275453	Sheryl Yoast
746817	332774	Maddie Dolan
746817	379802	Maddie Harrington (2002)
746817	390771	Elizabeth 'Lizzie' Spaulding 
746817	400236	Sarah Victoria 'Flash' Robert
746817	408529	Young Doris Duke
746817	411176	
746818	402621	
746819	374408	
746820	379975	Contestant
746821	17909	
746821	132193	
746822	76852	
746823	90551	David's Wife
746823	94403	Hokei
746823	121779	
746823	135026	Sheila
746823	135466	Tai-Dan
746823	136329	Aunt Fak
746823	138315	
746823	149035	
746823	167367	Wendy Pang
746823	184614	Chow Mei-Si
746823	298427	Man Nap
746823	298707	Jessica
746823	358909	Nurse
746823	360997	Ling Peidan
746823	368071	The Policewoman
746823	369742	Ching Kwok-Shan/Fun-Fun
746823	374893	Mindy
746825	90358	Number One Daughter
746825	235618	Lunar Maiden
746825	241037	Maria
746825	356313	Dancer
746825	393033	Cindy Lee (season 1 only)
746826	78318	Sonya Tims
746826	124017	Mai
746826	161864	Anna Chan
746826	196575	Cassandra
746826	236494	Moon Choo
746826	401624	Herself (1998-)
746827	297515	Wutasha
746828	141416	Dinner Party Guest
746828	156874	Herself
746828	273448	Herself
746829	111191	Li Zi
746830	121122	Girl Tending Geese
746830	140747	Ai Na
746830	255019	Luo Su
746830	369036	Lin Jing
746831	58917	Mingyue
746832	117656	Linda
746833	369492	Xanadu Dancer
746834	130844	Quick Silver
746834	256215	Rebel Angel
746835	299225	Mother
746836	340872	Nadine
746837	207047	Irenea's friend
746838	12918	
746838	76585	Nina
746838	79992	
746838	138335	
746838	168928	Party Guest
746838	171969	
746838	200018	Myla
746838	204604	
746838	213726	
746838	267068	
746838	288113	Becky
746838	294507	
746838	322736	(episode: Demonyita)
746838	324388	
746838	381686	Nicole
746838	388282	
746838	404050	Abby
746838	407538	
746839	211679	
746840	117266	Michelle
746841	290544	
746842	20203	Masseur
746843	392913	Host (2004-)
746844	9309	Beauty
746844	104430	
746844	148895	
746844	156182	
746844	222110	Berta
746844	246912	
746844	279268	Narcisa
746844	360755	Nikki
746844	393047	
746844	398494	Berta
746844	404049	Gundina
746844	404051	Jengky
746845	28089	
746845	34483	Karina Fernandez
746845	108763	Hostage Victim
746845	385532	
746845	385582	
746846	249711	Annie
746847	272944	Victors Man
746848	61558	Mercia
746849	234172	
746850	28089	
746851	86684	Rachna
746851	328178	Piya Anand
746852	303626	Tetka
746852	375351	
746852	404305	Fatima Preslica
746853	3388	Luz
746853	250795	
746854	381018	
746854	392216	Hostess
746854	397253	Hostess
746854	400836	Hostess
746854	406101	Hostess
746855	359198	Ibolya
746856	52779	Condesa (Countess)
746857	23058	Young Sigluk's wife
746858	205460	(segment "Guilherme")
746859	289488	Claudia
746861	186136	Prof. Baldi
746862	23973	Cab Driver's Daughter
746863	58754	Anna (piano player)
746864	30468	
746864	60002	Annie
746864	132616	Sachidanandan's Mother
746864	168854	
746864	171884	Chandrika's Sister
746864	173471	Soudamini
746864	208675	
746864	220861	Nirmala
746864	228417	Thankamma
746864	233184	Maya
746864	233415	Saudamini
746864	242392	Thresiamma
746864	243813	Sindhu
746864	250821	Radhamani's Mother
746864	288382	
746864	297630	
746864	309000	Devaki\\Devumma
746864	330357	Vanaja
746864	350690	
746864	350757	Anandavalli
746864	351399	
746864	351400	Bhavani
746864	352912	
746864	355546	
746865	89797	
746865	396236	Mariya Fyodorovna
746866	28143	
746866	97438	Female guard
746866	188471	
746866	189423	
746866	223214	Gertrude
746866	223561	
746866	244017	
746866	259200	
746866	263679	
746866	263680	
746866	349298	
746866	357463	
746866	376218	
746867	22672	
746867	55917	
746867	251724	
746867	380151	Vilma
746867	387834	Ángela
746868	120718	
746869	118634	
746870	12021	
746870	22747	
746870	30416	
746870	36555	
746870	48829	
746870	53164	
746870	57912	
746870	82222	
746870	85563	
746870	88198	
746870	88822	
746870	101617	
746870	103939	
746870	104017	
746870	124584	
746870	145675	
746870	148089	
746870	148091	
746870	207773	
746870	211300	
746870	216761	
746870	221716	
746870	221884	(segment "El engaño")
746870	221933	
746870	222011	
746870	222033	
746870	236025	
746870	238150	
746870	267043	
746870	285943	
746870	318002	
746870	319858	
746870	326325	
746870	350258	
746870	375897	
746870	378467	Martina
746870	379853	
746870	387098	Aunt Julia Iturbe Montalbán
746870	387778	Alejandra
746870	397203	
746870	400728	Nina
746870	402428	Mrs. Heredia
746871	197454	
746872	33940	Pinky Bhamra
746872	36605	Joyoti
746872	66584	Check In
746872	69843	
746872	73769	Sumi
746872	96799	Meenah Khan
746872	113303	Farida
746872	292701	Nadia's Probation Officer
746872	330830	Niala
746872	370716	Yasmin
746872	382668	Various roles
746872	383363	Clare (The Man of Law's Tale)
746872	390542	Rita Dhillon
746872	392705	Basya, Pharaoh's Daughter
746872	404594	Megan Sharma
746872	405441	Gita
746872	408644	Chandra (Mr Jones)
746872	411014	Alsana
746873	271631	Harriet Örn, Carlin vaimo
746874	62802	Herself
746875	109123	Anna
746876	12448	Die Dirne
746876	95394	
746876	343480	Frau Schwabe
746877	98201	
746878	241600	Second newsreader
746878	281441	Jenny Forenko
746878	366427	Dolly Brukman
746878	411245	Jenny Forenko (episode 1: Roo
746879	169139	Wife
746880	314457	Miss Millen
746881	54264	Mrs. Pine
746882	261309	
746883	33312	
746884	318019	Svetlana
746885	180357	
746886	17575	The Dressmaker
746886	95603	
746886	104540	Nanetta
746886	108855	
746886	131119	Art director
746886	209517	Anna Terentyevna
746886	238099	
746886	296528	
746886	349329	
746886	370997	
746886	374795	Yefrosinya Potapovna
746886	376218	Annenkova
746887	120370	Monika
746887	210085	
746887	265402	Schülerin
746888	1999	Saleslady/Night Tech
746888	8080	Matron
746888	16658	Nurse
746888	17213	Beatrice Lincoln
746888	37057	Heavy-Set Nurse
746888	48217	Sister Consolata
746888	60852	Lottery lady
746888	65386	Waitress #1
746888	80813	Ma Brisson
746888	86540	Nurse
746888	87936	Miss Wainbright
746888	117522	Sunseeker Gladys
746888	126680	Nurse
746888	152222	Newsreel Secretary
746888	157576	Milena
746888	170620	Artist's Sister
746888	177651	Waitress
746888	191717	Grandma
746888	195082	Hester Shaver
746888	195844	Grandma Clerk
746888	210503	Mrs. Wray
746888	257731	Mrs. Green
746888	279273	Maid
746888	279456	Laughing Lady
746888	322866	Tad's Nurse
746888	334244	Town Hall Clerk
746888	338564	Elderly Woman
746888	342491	Admission Clerk
746888	343141	Mrs. Habersham
746889	343979	Dancer
746890	259989	Dziewczyna z nocnego
746891	14485	Sensory Woman
746891	156789	
746891	170092	Juanita
746891	212244	
746891	257900	Hija de carmona
746891	266530	
746891	296499	Rosita Rivera
746891	379552	Adela
746891	379614	Consuelo Márquez
746891	383155	Raquel
746891	383261	Gloria
746891	383273	Inés
746891	383518	
746891	386119	Martita
746891	387817	Juana
746891	393833	Bertha de la Mora 'tía de Pau
746891	393837	Teresa
746891	401916	Dr. Obregón
746891	402050	Meche
746891	403741	
746891	409012	Ana
746891	410081	Ortensia
746891	412195	
746892	207107	Klava
746893	25708	
746894	230682	PJ Spokesperson
746895	24873	
746895	88847	Maya
746895	102096	Sushama
746895	167466	Sita
746895	173641	Shyama
746895	183902	Stage character (wife)
746895	248945	Stage character (wife)
746895	297443	
746896	386603	Sara Dancy Powers (1976-1977)
746897	89188	Sarah Gray
746898	139461	Mabel Wheelan
746899	7846	Vicky
746899	40799	Candy
746899	105327	Glitter
746899	129219	Chirona
746900	30646	Woman #3
746901	316693	
746902	377647	
746902	410628	Maryse Baribeau
746903	70942	Marie
746903	74077	Thérèse
746903	101151	Mlle Fournier
746903	125368	Josée
746903	166273	
746903	307499	Danielle Lapointe
746903	389304	Ginette Pilote
746904	135338	Directrice de la chorale
746905	264749	
746907	96198	
746907	284180	
746907	385002	L'infirmière
746908	99513	Sabrina
746909	407369	Additonal Voices
746910	147010	Charlotta
746910	227042	Moa
746910	284138	Hotel receptionist
746911	27953	Cute Senorita
746911	32243	Crazy Arab Impostor
746911	137237	Screaming Woman Driver
746911	165422	Rosa's Older Sister
746912	400893	
746913	10373	Helena (then)
746914	279203	Lyn Harwood
746915	247649	
746915	379679	
746915	380150	
746915	397523	Hostess
746915	403251	Haroula Peponaki
746915	407199	
746916	97388	Dancer
746917	828	
746917	6349	
746917	6418	
746917	17586	Anna Roditi
746917	18225	Aliki Bobola
746917	40928	Miranta Halari
746917	86840	
746917	93893	
746917	97855	
746917	100598	
746917	107332	
746917	113100	Eleni
746917	116621	
746917	172514	
746917	180287	
746917	181392	Mrs. Petrovassili
746917	182446	
746917	203808	
746917	266187	Mistress' Daughter
746917	281228	Eleni
746917	338992	Melpo
746917	338996	
746917	338999	
746917	354466	
746917	380491	
746917	380607	
746917	390039	
746917	401723	Nitsa
746918	11017	Sylvia
746919	400680	
746920	9354	
746921	62276	Countess Cherry
746921	134227	
746921	217454	Efrosinia Mironovna Shevtzova
746921	261912	
746921	283755	
746921	294990	Aunt Pasha
746921	303802	
746921	313624	Aunt Evpraksia Aristakhovna F
746921	341040	
746921	356921	Agrafena Petrovna
746922	351357	
746923	9353	Dancer
746924	4597	
746924	121013	Fröken Julie
746925	220733	Mila
746926	60428	
746927	264534	
746927	373856	
746928	211281	Uchitelka ot kervana na Mis S
746928	397471	Uchitelka ot kervana na Mis S
746929	34238	Irina
746929	43012	
746929	202602	Young Polina Yuryeva
746929	382758	Lena
746929	390525	Galina Zhgut
746930	32482	Voula
746930	114512	Grace Lupi
746930	171102	Maria Stroppi
746930	196203	Zia Norma
746930	203584	Italian Reporter
746930	403355	Jill Warner
746930	410745	Susie Abruzzo
746931	78920	Susan Bitel
746931	318644	Karen Murphy
746931	341892	Melinda
746931	390276	Jess Briggs
746931	405960	Susan Palmer; Susan Hamilton 
746931	409400	Veronica
746932	377109	
746933	152205	
746934	16662	Liv
746934	140719	
746934	177181	
746934	179685	Mika
746934	325632	Alice Bothe
746934	374138	Desiree
746934	377370	Katja
746934	387697	Mimi
746934	406225	Katja
746934	409861	Beatrice (1995)
746935	344997	
746936	377525	
746937	166697	Brenda
746937	369492	Xanadu Dancer
746938	12207	Clarise Bennington
746939	9679	Nili
746940	57654	Friend of Supermodel
746940	219541	Jade
746940	252445	Summerwear Showroom Reception
746940	306511	Irina
746940	328890	
746940	357231	
746940	375827	Irina
746940	399677	The Other Lisa (original pilo
746941	8479	Microbio
746942	401970	Stefi
746944	51567	Periodista de TV
746945	89557	
746946	236405	
746947	93736	
746948	402302	
746949	27179	Video store clerk
746950	102146	Dying Woman
746951	161732	
746953	183665	Cannibal girl
746954	409862	Katia
746955	14579	
746955	15958	
746955	321948	
746956	154274	A Ghost
746958	15077	Monique
746958	325343	A neighbor
746959	397727	Christina
746960	400048	Mrs. Maria
746961	167318	
746961	263431	
746961	266972	
746961	317870	
746961	351339	
746961	396547	
746962	85160	Jelena (only on photo)
746963	350598	
746963	408171	Liza Stewart
746964	313825	Nightclub Dancer
746965	59885	Club Dancer #2
746965	194136	Cheerleader
746966	26628	Bit Part
746967	12494	
746967	60206	
746967	251742	Susan
746969	320106	Reporter #1
746970	103363	Clinic Receptionist
746970	149739	Peggy (Gail's roommate)
746970	203200	Cashier (Barber's Shop)
746970	236700	Lotte
746970	294527	
746970	316023	Isabella
746970	338041	Gina
746971	44343	Djevica Zla #2
746972	163851	
746972	165871	Reporter #2
746972	340669	Ms. Hinchey
746972	378939	Rashpaul's Friend
746973	270499	Herself
746973	368872	Herself
746975	140445	
746975	191092	
746976	204315	Bianca Treves
746976	402302	
746977	165719	
746977	333794	Kuharica
746977	339287	
746978	400286	Suor Celeste
746979	114873	Dancer: Grupo Cobo de la Peña
746980	14798	Monja
746981	96338	Juana Medina
746981	122980	Herself
746981	371760	Ana Montes/Carmen Torres
746981	392002	
746982	141419	Healthy Meals Receptionist
746982	219773	Miles' girl
746983	69055	
746984	104063	
746985	393036	Herself (2004)
746987	292122	Waitress
746988	398940	Anchorwoman
746989	235052	Betty Lou
746990	254994	Mrs. Nash
746991	297181	
746991	363780	Karen's Backup Dancer
746992	134831	
746992	258003	
746993	77009	
746993	104802	
746994	261612	
746995	81690	Aunt
746996	379414	Elani
746996	379796	
746996	387711	
746996	394227	
746997	3545	Policia
746998	317487	
746999	40947	Anja
746999	255743	Satu Kukkola
746999	285155	Woman in the christening sere
746999	402897	
747000	38767	
747000	151741	Madam Adam
747000	156037	Nurse
747000	171583	Maija Takala
747000	268533	Hätäläinen
747000	285155	Model Kristiina Tapaninen, "K
747000	323531	Annika Saarinen
747000	394792	Tuula Pennanen (1996-1997)
747000	409794	
747001	219821	(segment "La nobile arte")
747002	59995	Desirée
747002	402456	
747003	311916	Maskenbildnerin
747004	32068	Nong Toom's mother
747005	25364	Mayroll
747006	282823	Tum
747007	388055	Herself (2001)
747008	44596	Sémire
747008	159016	1ère entrée - Le Turc généreu
747008	281272	Stephano
747009	275453	Grownup Sheryl Yoast
747010	349412	Secretary
747011	144140	
747011	314540	Annerl
747012	225872	Nurse
747013	147030	Alena
747013	147035	Nurse Zdena
747013	181251	Helena
747014	390614	Juanita
747015	378055	
747016	380054	Amy Granados
747016	385873	Amy la serenita (2004)
747016	392213	Hostess ("Hoy Niños" (2003))
747016	397009	María Belén García Marín
747016	401659	
747016	402917	Lupita Lerma
747016	410303	Estrella
747017	10058	Eugenia, sua moglie
747017	54143	Lucia
747017	57306	
747017	63836	Beatrice di Rionero
747017	71217	
747017	75260	Teresa
747017	108503	
747017	108614	Fanny
747017	195061	
747017	212550	
747017	218541	
747017	235752	Giulietta
747017	247875	Anna, la segretaria dell'ispe
747017	252303	
747017	253072	
747017	301369	Mirella
747017	307437	Giovanna
747017	338586	
747017	344577	
747017	344622	
747017	348167	Renata Vigo
747017	351294	
747018	85554	
747018	384775	
747018	385849	
747018	401124	
747018	403366	Teresita
747019	42643	Herself
747019	99268	Herself
747020	351976	
747021	203696	Topless sioux mime/Drummer
747022	371638	Madre
747023	223711	Party Guest
747024	355703	Baby sitter
747027	33547	Carlotta
747027	65168	Jacqueline
747027	67209	Inès
747027	83364	Emmanuelle
747027	118418	Zerbinette
747027	174405	Stefanie Von Baden
747027	187445	
747027	229112	Molly, Claude's Phoenix Wife
747027	276152	Maria
747027	277947	Laura Duparru
747027	280792	Rosine
747027	292348	Ginette
747027	297714	Lucille
747027	297718	Lucille
747027	339899	
747027	357094	
747027	360913	Judy
747027	379846	Rachel Bernstein
747027	388214	Francoise
747027	390083	Isabelle de Chamonpierre
747027	390538	Galina Vilali
747028	4935	Madonna de Medici
747028	6280	Galina Petrovna Argounova
747028	6293	Stella Martini
747028	33588	
747028	59805	La grande duchesse
747028	91080	
747028	108502	La signora Bradford
747028	124201	Mariella anziana
747028	133181	
747028	155669	
747028	206039	
747028	234564	Galina Petrovna Argounova
747028	252765	La baronessa
747028	276981	
747028	349655	La marchessa
747028	351577	
747028	360466	Galina Petrovna Argounova
747029	75632	Lila
747029	298311	Gloria
747030	94724	
747031	240265	
747032	3537	Augusta
747032	19881	
747032	56079	
747032	71216	
747032	90719	
747032	125781	
747032	195039	Anita
747032	276450	Marina
747032	295146	Miranda
747032	351536	
747033	398816	Soraya
747033	400342	Directora de la Academia Coca
747034	402302	
747035	82428	
747035	301384	Paola
747036	82246	Teresa, Gerardo's mother
747037	5761	Ida
747037	11804	
747037	16864	
747037	19878	Corinna
747037	20401	
747037	32279	
747037	54003	
747037	54140	La contessa
747037	57277	
747037	70860	Regina Ermengarda
747037	82299	Madre di Anselmo
747037	86334	(segment "Non desiderare la d
747037	90779	
747037	94639	
747037	94698	Marianna
747037	108556	Laura di Sassuolo
747037	112671	Madre di Renzo
747037	117971	
747037	118070	Diana, la trapezista
747037	126203	Olimpia
747037	129036	Margherita Barezzi
747037	156973	Lauretta
747037	157500	
747037	158704	La contessa Cristina Velasco
747037	175053	Elena Koeffeld
747037	194561	Biancha Strozzi
747037	196797	Sandra Serra, the Wife
747037	199441	
747037	204591	
747037	254954	Pia de' Tolomei
747037	255098	The Wife
747037	276443	Alessandra
747037	277607	Laura
747037	287121	Elena Scotto
747037	291659	Irma Tamberlan
747037	294007	Donna Franca
747037	300615	La cantante del tabarin
747037	307064	Mary Peterson
747037	307067	La signora mantenuta
747037	308809	Giuditta Turina
747037	314356	
747037	318003	Fahima
747037	319324	Superiora del convento
747037	336150	Dionisia Tessari
747037	338586	
747037	342102	
747037	344625	
747037	352918	Iva
747037	355654	Maria Maggi
747037	358786	
747037	377592	Stella
747037	384979	
747037	402302	La principessa
747038	20828	Les frères - Thérèse, la bell
747038	23540	
747038	33571	
747038	44836	Mlle Paul
747038	44946	
747038	60031	Fliquette
747038	70594	La caissière
747038	78234	
747038	78406	Jenny
747038	108906	Louise Chapus
747038	111143	Assistante sociale
747038	153241	
747038	156317	
747038	160068	Maité
747038	164174	L'infirmière
747038	186575	La mère d'élève
747038	189923	Suzan
747038	199307	Mère Roler
747038	200953	Mme Guillot
747038	204913	
747038	300670	
747038	347054	Nestor's Mother
747038	355250	Elevator passenger #12
747038	356520	La Mère
747038	377999	
747038	410144	Soeur du Curé
747039	90722	
747039	288800	
747040	32279	
747041	242028	
747042	70615	
747042	408212	Araci
747043	291673	
747044	55132	Aunt Josephine
747044	138365	Doctor
747044	141187	Mrs. 'Good Joe'
747044	181005	Lecture Woman #3
747044	238228	Passenger
747044	265605	Miss Decker
747044	273241	Mrs. Boggs
747044	274729	Matron Miriam Mather
747044	275319	Doris Kalewsky
747044	278498	Mourner #2
747044	337381	Cookie Mom
747044	347369	Operator
747044	360536	Rosemarie
747045	63884	Teresa
747046	89572	Laughing girl at seance
747047	243637	
747047	341413	
747048	16867	
747048	198499	Madame's Girl
747049	115688	Tennismeisje
747050	400286	Chiara
747051	276958	Michelle
747052	103367	Amber
747052	214476	Lesley
747052	263547	Chrissy DeMitro
747052	283181	Michelle
747052	409894	Herself/dancer (season 2)
747053	52619	
747053	227565	
747053	333665	
747054	128773	Herself
747054	381909	Herself (2nd Evicted, 20 Days
747055	51978	
747057	237292	Tatjana
747058	261850	
747059	322025	Zsuzsi
747060	16965	Vera Angi
747060	74408	Bea
747060	96430	Kati
747060	104051	Kücsük anyja
747060	110573	Voice
747060	122373	
747060	153688	Selyem
747060	156453	Miss Balázs
747060	163130	Gizus vagy Nyuszika
747060	198213	Bathilda
747060	229707	
747060	229711	
747060	237339	Marie
747060	281286	Hajnalka
747060	284349	
747060	348572	
747060	378116	Szandál Juli
747060	378581	Judit Szamosi
747060	388511	
747061	403	Jutka
747061	9422	
747061	9454	
747061	43110	
747061	99751	
747061	123326	Grandmother's Maid
747061	136393	
747061	138393	Gregoria
747061	139438	Harlekin
747061	182653	
747061	186122	Márta, dr Varga felesége
747061	200606	Mayer Fanni
747061	200609	
747061	200615	Fábiánné, Ilona
747061	209835	Edi
747061	209842	Ilonka
747061	216250	Luca
747061	251976	Desdemona
747061	322126	Dragosné
747061	322128	Szépszemü lány
747061	322131	Szófia néni
747061	328769	
747061	348997	
747061	350834	Dávid felesége
747061	377753	Zsófi
747061	382544	Donna Inez
747061	401347	Mrs. Szendrey
747062	54810	
747062	55900	Sandra
747062	67878	
747062	68780	
747062	113530	Friend
747062	114578	
747062	197846	Clarissa
747062	218336	2nd Roman Girl
747062	240269	
747062	309421	
747062	401402	
747063	158700	Assunta a 10 anni
747064	249677	Fille 2 toilette
747065	289582	Fast Food Woman
747066	296161	
747067	252445	Radio Announcer
747068	25309	Il carceriere
747068	94641	
747068	199035	
747068	207069	
747068	235366	
747068	244269	
747070	119702	
747071	49928	Monique
747071	200993	Gina
747071	283181	Gina
747072	333875	Shailagh Hacker
747073	57828	Una fantesca
747073	352636	Bice Gualtieri
747074	336168	Rosa
747075	302414	Additional Voices
747076	76759	(segment "Hvis du bærer på.."
747077	35438	Anne
747077	58161	Zelda
747077	74003	Isabel
747077	291170	Simone
747077	301641	Cybil Bennet
747077	306291	Bess
747078	11015	
747079	182531	Tjej från Norrköpings kompis
747080	74277	Joanna
747081	380431	
747082	8503	
747082	387416	
747082	388713	
747082	395090	Sandra Drakou
747083	174676	Phoebe (Children)
747084	5800	
747084	407739	
747085	219855	Urania
747087	387401	Litsaki
747087	394603	
747088	329734	Aggeliki Barda
747089	210104	
747089	233503	
747089	380474	
747089	387154	Mara Theofanous
747089	387404	
747089	392217	
747089	392558	Athina Foka/Elisabeth
747089	394037	Vera
747089	400504	
747089	405793	
747090	118641	
747091	252698	
747092	191419	
747092	405094	
747093	18710	Katerina
747093	23160	
747093	329174	
747093	356094	
747094	14641	Martha
747094	18641	Bertha
747094	55752	
747094	83310	
747094	205998	
747094	395857	Laura
747095	9496	
747096	387711	
747096	395900	
747096	409862	Yeoryia
747097	3546	
747097	82789	Aunt Bardi
747097	117777	
747097	137889	
747097	140061	Edit
747097	147929	
747097	211727	The Afflicted
747097	237731	
747097	333909	
747098	19073	Theatre Actess
747098	147999	
747098	201082	
747098	399082	Sandra Pinto
747099	261634	
747099	300856	
747100	23622	Marly
747100	33669	Sofia Rafidjian
747100	115833	
747100	380446	Marina
747100	384778	Arlete
747100	386726	Olga
747100	396035	Bianca de Lucca
747100	396899	Margarida Soares
747100	398856	
747100	412258	Marta
747101	411515	Herself/Panelist (2002-)
747102	154927	MP
747103	1003	
747104	400680	
747105	394037	Konstandina
747105	397727	Rena
747105	408894	
747106	379618	Rania
747106	380475	Dimitra Papadopoulou
747106	387358	Athina Nikolaidou
747106	394068	
747106	404037	Dimitra
747107	18945	
747108	172894	Mother of the boy in the beac
747109	401521	
747110	245857	
747110	397266	
747110	402344	Evanthoula
747111	54464	Mad Person
747112	26044	
747113	242469	
747113	256733	Nina
747113	352558	Elena
747114	76712	Antigone
747114	254398	Anna
747115	92922	
747115	139558	
747115	168092	
747115	182447	Irini
747115	200391	
747115	329734	Maria Barda
747117	141404	Christina's Class
747118	8115	Christina (segment 2)
747118	121077	
747118	280370	
747118	402382	Erato
747118	405094	
747118	408829	
747119	211926	
747120	21493	
747120	248556	
747121	380479	Maria
747122	215696	Miss Cyprus
747124	265986	Mirto Kalapothaki
747124	330358	
747124	379509	Selma
747124	394227	
747124	405094	
747125	75717	Jodie Weidermann
747126	71334	Dancer
747127	101552	
747127	181389	
747128	18221	Elli Pappa
747128	178459	Tzella Delafragga
747128	209023	
747128	285318	Tania
747128	380321	
747128	380769	
747128	387486	Anna
747128	397586	
747128	406476	Roxani Ntanou-Kouloubi
747128	409007	
747129	388713	Vicky
747130	174463	
747131	35171	
747132	410523	
747133	208987	
747133	217800	
747133	394037	Nansi
747133	401338	
747133	401521	
747133	405384	
747133	408912	Victoria
747134	281402	Hotel Guest #2
747135	14407	
747135	34574	Estela
747135	61861	Paz
747135	84043	
747135	104877	Nélida
747135	199916	
747135	222378	
747135	252757	
747135	301109	
747135	339202	
747135	383032	Dolores 'Lola' Benavides
747135	387473	Andrea Acuña Lan
747135	387818	Fe
747135	392805	
747135	397731	Valeria
747135	398476	
747135	400945	Rosa María
747135	401358	Panchita
747135	401913	Marcela Morales Rivero
747135	403366	Estela Izaguirre
747135	403651	Gabriela Cribeli
747135	405338	
747135	410423	Ana Oromí
747135	412039	
747136	281402	Hotel Guest #1
747137	401114	Anitra
747138	379349	
747139	408797	Governante Maria
747140	367054	The Wiz Singers Adult Choir
747141	204755	
747142	195127	Soula
747143	25273	
747143	90808	Eleni
747143	186897	Kristina
747143	390838	
747143	393403	Aliki
747143	394713	
747143	400270	
747143	406476	
747144	102186	
747144	125618	
747144	162126	Iphigenia
747144	321167	Cousin Margarita
747144	379509	Filio Deloggi
747144	389459	Vassilina
747144	398784	
747144	404236	Glyka
747145	218236	Dao
747146	101382	Singer
747147	211683	La future
747148	41181	Sheetar & Bitsy
747148	283351	Victim
747148	350145	Waitress
747148	353366	Desert Siren
747149	7364	
747149	8442	
747149	14330	
747149	17116	
747149	18149	
747149	18224	
747149	18261	
747149	22737	
747149	26046	
747149	86073	
747149	93895	
747149	98380	
747149	100595	
747149	100607	
747149	100630	Myrto
747149	118482	
747149	120815	
747149	121085	
747149	127358	
747149	149592	
747149	151640	Tina
747149	156419	
747149	180781	
747149	183176	
747149	207018	
747149	209081	
747149	212062	Mihalis's Daughter
747149	212562	
747149	212565	Rene
747149	212582	
747149	217776	
747149	239923	
747149	251132	
747149	259860	
747149	265933	
747149	312616	
747149	312627	
747149	327116	Loula Charissiadou
747149	330962	
747149	369517	
747149	374167	
747149	380170	Ioli
747149	400455	Dimitroula
747149	402382	
747150	162816	Member of elderly Greek famil
747151	231345	Popi
747152	181510	
747153	332328	Office Worker
747154	294391	Whore
747154	407902	Herself
747155	182685	
747155	268489	Nëna
747155	300642	
747155	333573	
747156	49468	Eileen Snow
747156	79961	Escaping Patient
747156	318763	Young Woman Shot by Son of Sa
747156	359753	Guillotine Victim
747157	286316	La femme acariâtre
747159	57139	Pat
747160	9500	Aunt Soso
747160	304712	Zulfie Hanum
747161	133345	Michelle
747162	3352	Luisa Roscio
747162	10389	Widow
747162	14900	
747162	17702	Queen Katherine
747162	18279	Antigone
747162	21675	
747162	23565	Grune
747162	29409	Diotime
747162	41388	Simonetta Palazzi
747162	44920	Bouboulina
747162	47927	Ida Ginetta
747162	54464	Drosoula
747162	57323	Anasthasie
747162	73542	Giulia Venere
747162	73646	Angela's mother
747162	83978	Ajmi
747162	87682	Mariangela
747162	92976	Yvonne Lebeau
747162	93176	Caliope
747162	97151	Anna
747162	99013	Elektra
747162	103042	The great-mother
747162	136024	Maria Pappadimos
747162	137868	
747162	144930	Penelope
747162	159455	Luisa Azzali
747162	160120	Mother
747162	161505	Shaheen Parvici
747162	162126	Clytemnestre
747162	162816	Marquise
747162	164628	Rebekah
747162	172215	
747162	186588	Raimonda Spina
747162	188596	Gina
747162	190974	
747162	191254	Mabrouka
747162	210485	Mrs. Hasim
747162	211787	Hind
747162	217743	Helen
747162	218736	Sophia
747162	219707	Zipporah
747162	225785	Housewife
747162	229590	
747162	233190	Helen's grandmother
747162	234285	La mère
747162	234748	Dona Aurelia Avallone
747162	238420	Anticlea
747162	240269	Rafaella
747162	247649	Maria
747162	249544	Irene
747162	255033	
747162	258685	
747162	261576	Barbara
747162	266532	
747162	288343	Mamluk's Mother
747162	320367	Partisan Woman
747162	321167	Mrs. Araya
747162	328102	Faidia
747162	339485	Erinaki
747162	339513	Jocasta Constantine
747162	340227	Helen
747162	344752	Helena
747162	345593	Monica
747162	356898	Clara
747162	367208	Greek Lady at Bingo
747162	371290	Vieja Pagana
747162	373400	Helene, the Deputy's wife
747162	374646	Lea Weiss
747162	381193	Old Maria
747162	393045	
747162	396591	Marie-Amelia, la mère de Lind
747162	399952	Aurelia Perdomo
747162	399974	Penelope
747163	197371	Davi
747163	399586	Indy
747164	408658	Odile
747165	208445	
747166	100601	Mongolaki
747167	314741	
747168	379856	
747169	300613	La fille de Sarah
747170	406507	Herself
747171	334380	
747172	74277	Nadja
747173	180558	Sia (Athanassia)
747173	379436	Despina Apergi
747173	379530	Lida
747173	397143	
747174	75896	Desk Clerk Boise
747174	99111	Ellen
747174	138784	Trucking Secretary
747174	143074	Marnie
747174	199487	Herself
747174	263983	Mother
747174	276426	Botanist
747174	312971	Mrs. Lambert
747174	315132	
747174	362307	Mrs. Hall
747174	385977	Nancy
747174	394116	Liza Auster
747175	76535	
747175	84026	Athina
747175	98567	
747175	121082	
747175	139717	Lele
747175	154135	Katina
747175	212594	Nana, Andreas' sister
747175	224860	
747175	251132	
747175	326217	
747175	349940	
747176	100610	
747177	178684	
747177	284490	
747178	76061	
747179	400822	
747180	8511	
747180	118651	
747180	131169	
747180	247908	Kiki
747180	253659	
747180	271821	Popi
747180	400825	Eleni
747181	398161	Irene Arndt
747181	398163	Herself
747182	342257	Herself
747183	268957	
747184	258658	Natasha as a child
747185	26154	Shop Girl
747185	150804	Linda
747186	100855	Snake Lady
747186	203410	Mrs. Cox
747186	224134	Ms. Fluger
747186	308092	First Reporter
747187	39175	Well Dressed Woman
747187	46237	Female Panel Member
747187	129119	Thelma Robinson
747187	137766	Dawn Wolanski
747187	152838	Chubby
747187	220023	Woman Professor
747187	276197	Alizia
747187	333361	Alzheimer's Group Instructor
747187	362310	Northside Office Worker
747187	403542	Woman
747188	182984	Baby
747189	156103	Feena
747189	378718	Yuka Sugimoto
747189	379484	Mayu Miyuki
747189	379485	Taeko's Mother, Yuko, Bus Int
747189	390794	Shinonora
747189	390900	Nemu
747189	391257	Phia Oliveira, Christina Gabr
747190	140765	Goth 5
747191	52017	Babs
747191	81505	
747191	112522	Angela McCarthy
747191	133354	Mom
747191	138365	Mother at Party
747192	12840	
747193	346142	Waitress
747194	403570	Herself
747195	13203	
747195	111891	
747195	183873	Mrs. Pitou
747195	252749	Cameriera
747195	281121	
747195	353130	Cameriera Firenze
747195	402782	Amalia Sacchi
747196	201227	
747197	386963	Zoe (2000-2003)
747198	327914	
747199	135545	Mathilde
747200	206072	
747201	170534	
747201	254075	Camille
747201	332197	Théroinge, enfant
747201	379805	
747202	326281	Anahit
747203	2266	
747203	2442	
747203	6143	
747203	7078	
747203	21903	
747203	32556	
747203	34928	
747203	39353	
747203	41922	
747203	52363	
747203	81756	
747203	87278	
747203	87315	
747203	91160	
747203	98175	
747203	139252	
747203	139253	
747203	150055	Masseuse
747203	188046	
747203	193543	
747203	195098	
747203	199034	
747203	219102	
747203	226976	
747203	228029	Herself
747203	232869	
747203	241593	
747203	253608	
747203	254701	
747203	257597	
747203	286226	
747203	300194	
747203	305665	
747203	349879	
747203	353270	
747203	353739	
747203	355910	
747203	370027	
747203	371587	
747203	372400	
747203	372402	
747203	384400	Andrea (2003)
747204	74025	Waitress
747204	77206	Mrs. Saltaire
747204	256622	Daughter
747206	185492	Huron Woman
747207	346466	Joëlle
747208	44948	
747208	338789	Diedre
747209	231149	Madame Laflamme
747209	237610	
747209	381504	Céline Blair
747209	393395	Madame Rowley
747209	396865	Tante Anselme
747209	409541	Emerise
747210	346466	Micou
747211	67012	
747211	100264	
747211	170052	
747211	193319	
747211	318006	
747211	380146	Yanina Soriano
747211	385402	Leticia Gamarra
747211	385403	
747211	387773	
747211	391443	
747211	398842	
747211	401913	
747211	403237	
747211	403366	Irene
747211	405412	Nelly
747211	408895	
747212	195702	Wife
747213	185984	
747214	31400	
747215	390814	Presenter (1991- 1994)
747215	403077	Presenter (1997-)
747217	39943	Hooker
747217	223687	
747217	384645	Leni
747217	386726	Iara
747217	405990	
747218	311389	Kiki
747219	6646	
747220	46800	Marion
747220	100611	
747220	102101	
747220	285318	Advertising company employee
747220	380789	Lena
747220	385203	Anna
747220	387154	Marina Kountouratou
747220	387390	
747220	387408	
747220	387415	
747220	399504	Afroditi
747220	407619	
747221	6419	
747221	137180	
747221	265282	
747222	24003	
747222	132547	Juliette Vermont
747222	197833	
747222	338422	
747222	364999	Pepi
747223	25565	
747223	208260	
747223	265841	Eleni
747223	379361	Katerina Savidi (2001-2003)
747223	401315	Aggeliki
747224	285318	Wife of a viagra user
747224	332262	
747224	349940	
747224	355731	
747224	380789	Veta
747224	397729	
747224	399504	
747224	400882	
747224	400992	Gesthimani Kollia
747224	406476	Pavlina Kakoudaki
747225	380150	
747226	1057	
747227	56431	Russian Woman with Peterson
747228	175089	
747229	322126	Munkáslány
747230	322064	Szatmári barátnõje
747231	74464	Angi
747232	377889	A szépasszony gyereke
747233	198917	
747234	74464	
747235	172898	Violinist
747236	357829	
747238	177935	Fraulein Schneider
747239	78835	Rosalie
747239	81193	Agatha (Swain) Ruby
747239	206823	Exercise Woman
747240	114761	
747241	248182	Herself
747242	387493	Alina
747243	172082	Kathy
747244	102357	
747244	172081	
747244	172196	Rita
747244	244483	Jane Worthing
747244	247085	Anna
747244	265711	Silvia
747244	294391	
747244	379378	
747244	379415	
747244	380486	
747244	383574	
747244	388684	
747244	412018	
747245	1201	
747245	137869	
747245	256742	
747245	388630	
747245	393051	
747245	394617	Christina
747246	252571	Marina
747247	2745	
747247	6322	
747247	178530	
747247	243328	Malamo
747247	333763	
747249	8484	
747249	82208	
747249	164455	Kleoniki
747250	51377	Ben's Grandmother
747251	270752	Harpist
747252	50610	Small Girl/Marissa
747253	52197	Guest
747253	169946	Ellie Supporter
747253	223896	Flight Attendant
747253	345847	Young Mother
747253	405298	Dr Gayle Politis
747255	193683	Amy
747255	324007	Young Wife
747255	395788	Host (2001)
747256	302624	Torch Singer
747256	308632	
747257	372570	Barmaid
747258	241613	Sunshine
747259	138444	Theater Executive
747260	273333	Girl on Beach
747261	59470	Clare
747261	299073	Nurse
747261	319613	Alice
747262	117783	Valen
747262	305444	
747263	59721	High Strung Chicken
747263	127255	Arguing Couple
747263	402234	Additional Voices
747263	405552	Shriek
747263	408537	
747264	119966	Kiki
747265	383056	Vocalist
747266	156709	
747267	263076	Journalist #2
747268	403689	
747269	171092	Brittany
747270	155383	
747271	208243	Valentim's Wife
747273	278910	Fortunata
747274	132460	Kärsivä radioääni
747275	290401	Murdoch girl
747276	158625	
747277	59397	Javahir
747277	176660	Varduhi
747278	212283	(segment Slovo)
747278	268583	Marta
747278	352301	
747278	371280	
747279	20042	Herself (dancer-contortionist
747280	163904	Herself
747281	104764	French entry (8th place)
747282	70518	
747282	94843	
747282	114873	(segment "Bulerías")
747282	351761	Musician
747283	27910	Paulette Bourideys
747283	301090	La femme
747284	249209	
747285	189340	Pleureuse
747286	40800	Mrs. Goldman
747286	61820	Mrs. Sawyer
747286	134672	Flat-tire lady
747286	223711	Kimmy's Grandma
747286	236047	Mrs. Langston
747286	262798	Dancing woman
747286	274475	Granny
747287	286416	
747288	108773	
747288	247607	
747289	51451	Mère de Chili
747289	99408	
747289	117073	Natalie
747289	144545	Connie Glenn
747289	148696	Patty Deschamps
747289	155230	
747289	276104	Denise
747289	345064	
747289	351551	Jacqueline
747289	386497	Suzy Dupré
747289	400139	Gabrielle Provost
747289	400141	Gabrielle Provost
747289	401983	Hélène Lauzière
747289	402557	
747289	410628	Luce Taillefer (1997-1998)
747290	353886	
747291	157066	Femme fauchée
747292	198632	Jeannot's mother
747292	224909	Madame Painchaud
747292	288844	Caissière
747293	385348	
747294	7427	
747295	185130	Girl with Lot
747296	42094	Fifine
747296	130300	French maid
747296	133798	Maid
747296	188393	Maid
747296	194450	Marie, Ardis' Maid
747297	231289	
747298	195801	Drug Dealer
747299	101896	Denise
747300	225369	
747301	1674	Herself
747301	1965	Mary D'Annunzio
747301	2816	Presenter for Best Performanc
747301	2921	Herself (Winner, Best Support
747301	2924	Herself (Presenter)
747301	3021	Herself - Past Winner
747301	3165	Herself
747301	11533	Annabel Lee
747301	12217	Polexia Aphrodisia
747301	14477	Queen Isabella
747301	33039	Herself
747301	33046	Herself
747301	46418	Herself (N.Y. Premiere)
747301	48909	Robyn Lee
747301	79050	Regina
747301	113489	Claire Spence
747301	116079	Amy Alden
747301	153094	Donna
747301	165449	Young Jane
747301	210503	Frankie Addams
747301	255009	Flora McGrath
747301	292256	Herself
747301	298076	Mackenzie Siler
747301	311150	Herself
747301	312355	Lili
747301	327967	Sheeta (2003)
747301	345706	Herself
747301	355599	Herself
747301	358581	Alison Kantrowitz
747301	369448	Herself
747301	369458	Rogue/Marie D'Ancanto
747301	369461	Herself
747301	369486	Rogue
747302	157636	Dwarf
747303	122186	Alex
747303	390771	Marina Cooper #5 (2004)
747304	346533	Suzanne
747305	149812	Véronique
747305	410307	Véronique
747306	9852	Herself
747306	114974	La première préceptrice
747306	167224	La cliente-photos
747306	324122	
747307	383863	Geneviève
747308	224885	Anne-Catherine
747309	356391	Une voisine
747310	29001	
747310	91277	
747310	215145	
747310	386616	Anne's dog
747311	49153	Bulan
747312	9846	
747312	11929	
747312	17442	
747312	22075	
747312	25597	
747312	25731	
747312	27729	
747312	28391	Gülnaz
747312	30695	
747312	33858	
747312	38435	
747312	38494	
747312	38918	
747312	50085	
747312	53843	
747312	57591	
747312	76717	
747312	79626	
747312	83316	
747312	85139	
747312	102530	
747312	124216	
747312	125348	
747312	125934	
747312	129124	
747312	136092	
747312	139375	
747312	140603	
747312	143179	
747312	146973	
747312	146975	
747312	152224	Ayse, the teacher
747312	172189	
747312	172643	
747312	173429	
747312	173570	
747312	173777	
747312	176699	
747312	176701	
747312	177117	
747312	180318	
747312	181730	
747312	187629	
747312	210936	
747312	211709	
747312	222522	
747312	222547	
747312	247309	Halime
747312	285249	
747312	285552	
747312	294030	
747312	308475	
747312	308477	
747312	326991	
747312	343769	
747312	370158	
747312	370629	
747312	370635	
747312	370658	
747312	370686	
747312	370688	
747312	371396	
747312	378175	
747312	378202	
747312	378229	
747312	378246	
747312	378612	
747313	115577	Marivic
747314	5579	
747314	21413	
747314	23617	Emire
747314	25620	
747314	26029	
747314	31009	
747314	51351	
747314	57872	
747314	76765	
747314	109944	
747314	155175	
747314	156221	
747314	158710	Gülnaz
747314	173768	
747314	173808	
747314	173809	Elif
747314	174392	
747314	174393	
747314	175382	
747314	177818	
747314	180688	
747314	182909	
747314	240535	
747314	240536	
747314	279366	
747314	308322	Nesrin
747314	317703	
747314	370694	
747314	371550	
747314	377509	
747314	378210	
747315	167341	
747315	184020	
747315	209844	
747315	209850	
747315	228854	
747315	229332	
747315	297055	
747315	307098	
747315	318414	Paro
747315	373902	
747316	81256	June
747317	387187	Paola
747318	158516	Travel Agent (Pakistan)
747319	293228	Zoe's Relative
747320	353470	
747321	307199	
747322	396953	Marcelita
747322	408591	Karen
747322	408724	
747323	41182	Shirley
747324	27004	
747324	39861	Babette
747324	133214	Maggie
747324	165284	Marisa Pierangeli
747324	184417	
747324	283546	Starlet
747325	353637	
747326	265615	Amanda Grey
747327	288862	Herself - Miss Germany 1997
747328	319713	Secretary Gabrieli
747329	397518	Mevrouw Keusters-Nolensen
747330	379396	Emma
747331	83208	Alice
747332	356792	Charlotte
747332	372318	Model
747333	276984	Danièle
747334	139159	Liz
747335	190970	
747335	269740	Louise St-Amour
747335	380058	Marie
747335	402620	Nicole
747336	3523	
747336	12619	
747336	48779	
747336	61200	
747336	74593	
747336	96355	Erika
747336	116633	
747336	193349	
747336	205429	Nina
747336	206018	
747336	209233	
747336	221657	Elena
747336	243961	
747336	327931	
747336	328723	Mary
747336	350814	
747337	101151	Une villageoise
747338	214515	Jeanne-Marie
747338	220502	Jeune mariée
747338	234279	Étudiante
747338	393352	Isabelle
747338	395095	Debbie Gillis
747338	396839	
747339	162609	La femme de chambre
747340	224909	Infirmière
747340	380869	Manon Lesage
747341	2894	Herself
747341	23341	Concia
747341	60334	
747341	101269	Herself
747341	101272	Herself
747341	101273	Herself
747341	112855	Adele
747341	136560	Hester
747341	194840	Herself
747341	217648	Colette
747341	340184	Herself
747341	345038	Morgane
747341	346465	Alice Tomaso
747341	350274	Herself
747341	376593	Herself
747341	377792	Marie Desmoulin
747342	367866	Herself
747345	353718	
747346	204268	Nurse
747347	39839	Nurse
747347	141305	Denise
747347	327756	Jennifer Baker
747348	150084	Stripper
747350	265516	Karen Boglia
747351	248552	Herself
747352	5740	
747353	26525	Mrs. Bartrand
747353	46292	Mrs. Lufkowitz
747353	153565	Mrs. McAlpin
747353	168328	
747353	191896	Eliza Ingalls
747353	244918	Mrs. Sloane
747353	254776	Lynn
747353	395735	Alice Garvey (1977-1980)
747355	354761	
747356	25253	Mary
747356	244392	Postmistress
747356	255009	Mairangi
747356	282921	Cleaning Supervisor
747357	97928	Nanette
747357	227996	
747358	15232	
747358	17299	
747358	18842	
747358	42441	
747358	76814	Victoria
747358	77081	
747358	79448	Juana Rios
747358	104026	
747358	127639	
747358	149077	
747358	162131	
747358	172943	
747358	182232	
747358	198024	
747358	201398	
747358	219410	Selisa Noble
747358	227123	Mama-San
747358	280406	
747358	302895	
747358	308455	
747358	319835	Margaret Suwono
747358	320032	Pilar
747358	324533	
747358	344358	
747358	352459	
747359	13857	Farah Saaed
747360	174963	Nandini
747360	233323	Woman seeking treatment in Ka
747360	243501	Panchami
747360	286683	Kunjunni
747360	349438	Savithri
747361	71479	Wellington hospital nurse
747362	42909	Radina zena
747362	58312	Sestra u dvorcu
747362	94176	Countess Maria
747362	163038	Zrinka
747362	188519	
747362	226843	
747362	229190	Jelena
747362	263405	Monika
747362	295874	(segment Krvoprolice)
747362	320190	
747362	354706	
747363	237529	
747363	335220	Guest
747364	164539	Henrietta
747365	252075	Lulu
747366	142831	
747366	262919	
747367	27710	
747367	36059	
747367	36218	
747367	95243	Sushila
747367	123739	
747367	165948	
747367	166495	Shakuntala
747367	172686	
747367	181877	Chitra
747367	246795	
747367	246796	
747367	249404	
747367	271897	
747367	271898	
747367	285804	
747367	316576	
747367	318629	Shakuntala
747367	343365	
747368	337465	
747369	373126	Herself (D'Divaz)
747370	322837	Additional Voices
747371	263516	Jackie Muñoz
747372	27918	1.fille au bordel
747373	19458	
747374	181808	Kimono Girl
747375	92496	Madame Xue
747375	193978	The Valet
747375	316140	Solicitor
747375	381540	Frankie Nguyen
747376	28679	
747376	122309	Geta
747376	183066	
747377	8112	
747377	32123	
747377	95884	Anna
747377	198447	
747377	349740	Pasithéa
747378	223719	Cousin Jennie
747379	287014	
747380	23818	Julie, Mme de Canisy
747380	45197	Mélie
747380	261854	
747381	88085	Mary (Mother of Chris)
747382	257305	Celebrity Body Double
747383	35735	Blackjack Dealer
747384	42582	
747384	98758	
747384	148487	
747384	268315	
747385	107037	Eleonora
747385	269496	Laura
747385	287219	Clara
747385	342060	Mysterious Woman {Mascagni}
747385	379901	Luisa
747385	397297	Jessica
747386	111134	
747387	222191	
747388	338242	
747389	202599	
747390	218491	
747391	255866	
747392	290171	
747394	86716	Superintendent
747395	288088	
747396	185764	Nurse
747397	100395	Woman
747398	90131	Une femme
747399	35760	Mother Dalton
747399	257881	Gloria's Mother
747399	331281	Mrs. Tiffany
747399	366189	Mrs. Muir
747400	293162	
747401	75273	
747401	163281	Prologue
747402	362819	
747403	4904	The Other Girl
747403	21264	Model No. 3
747403	50665	
747403	50882	
747403	68875	Comrade Ellen
747403	75273	
747403	207954	Mrs. Baddly Bytton
747404	355809	Shawna Babbit
747405	322128	Fekete kalapos hölgy
747406	64433	(segment "Galop finale al cir
747406	77437	
747406	84182	
747406	277608	
747406	344607	
747407	112880	Employée château
747407	398042	
747407	404804	Mademoiselle Pologne
747408	373216	Lingerie Model
747409	212135	
747410	135968	Orgasmic Hooker
747411	16889	
747411	73296	
747411	158462	Magdalena
747411	170478	Gitana
747411	212493	Lila
747411	222412	Norma
747411	252515	
747411	332919	Ines
747411	333746	
747411	348523	
747411	350247	Lupe
747411	368953	Woman Mourner
747412	237899	Victima #2
747413	301577	Multitud
747414	9692	
747414	16204	Sara
747414	18653	Chica de servicio
747414	68765	Excursionista
747414	169798	
747414	241086	Laura López Salgado
747414	349459	Clara
747415	73125	Pulcheria
747415	95656	
747415	154749	Honda's Mother
747415	227991	
747415	263795	Filing Clerk
747415	285752	President Karpov's wife
747415	350109	
747415	381685	Mrs. Bronowski
747416	255907	
747417	381862	Various
747418	487	
747418	70684	Anciana
747418	74834	
747418	103806	
747418	206990	
747418	279707	
747418	336272	Manuela
747419	169798	
747419	241086	
747419	248291	
747420	351494	
747421	88802	
747421	253385	
747421	285957	
747422	80104	
747422	376701	
747423	19174	Olghina
747423	56336	
747423	90765	Annette
747423	94708	Caramella
747423	146433	
747423	168114	
747423	179777	Kathin Russell
747423	294338	
747423	322576	
747424	25221	
747424	339180	
747425	377169	Lorena Carvajal
747425	386785	Soledad Neira
747425	410316	Loreto
747426	376767	
747427	91298	
747427	380242	
747427	412301	
747428	23626	Juani
747428	62485	Gladys
747428	71285	América
747428	77690	Lola
747428	258138	Wife
747428	279830	Madre de Windows
747428	307277	Asistente Social
747428	349333	Herself
747428	369755	Herself - Co-Host
747428	371290	Lavandera
747428	385353	Staff Humorist (2000-2002)
747428	409463	Staff Humorist (2004)
747429	20152	
747429	137719	
747429	205465	Neighbor
747429	236866	
747430	391258	Herself
747431	283351	Bar girl
747432	306100	Girl
747433	208287	Rose
747434	148945	
747435	296336	Party Girl
747436	381233	Herself (dancer) (1969-1979)
747437	264818	Resort Guest
747438	380005	Lace (1989-1992)
747439	293578	
747440	78916	Psychiatrist
747440	96958	Off-camera singer
747440	164986	Vicki
747441	41251	Kereesin
747441	380589	Betty Ann
747442	13626	Baby Gerstein
747443	68827	Gloria Andueza
747443	199120	
747443	257463	Malva Granados
747444	256099	
747445	101894	
747446	233550	
747446	276234	Susana
747446	292709	
747446	376667	
747447	36640	Francisca
747447	57464	Meche
747447	220171	Mother Sister Alberto
747447	268282	
747447	370087	Doña Rosario
747449	551	
747449	4525	Herself
747449	4923	
747449	7759	
747449	36561	Doña María Luisa
747449	53650	
747449	54760	
747449	55515	
747449	70011	Xulia
747449	70889	Lola
747449	73643	Luca's Mother
747449	78367	Clara
747449	82399	
747449	82400	Carmen
747449	88835	Elise von Sekt
747449	97294	
747449	101894	Sor Estiércol
747449	103778	Carmen
747449	103853	
747449	115041	Herself
747449	115759	Leo Macías
747449	118157	Herself - Presenter: Best Spa
747449	118158	Herself - Winner: Best Movie 
747449	119304	
747449	122973	Herself
747449	131018	Le Maîtresse de Cérémonie
747449	132374	
747449	136987	Guest at singer party
747449	154542	Herself
747449	154543	Herself - Presenter: Best Scr
747449	168958	Maria
747449	184844	
747449	187842	Mujer en el metro
747449	192980	
747449	213402	
747449	222418	
747449	228761	Julia Márquez
747449	233555	
747449	234345	Herself - Host
747449	250394	
747449	253311	
747449	262611	Rosario
747449	265515	Irene Gallardo
747449	266380	La mère
747449	270730	
747449	275067	
747449	275952	Herself
747449	277236	
747449	284210	
747449	286369	Berta
747449	294828	Madame Moreau
747449	296485	Susana
747449	296505	
747449	320184	Carmen
747449	322851	Becky del Páramo
747449	323961	Doña Consuelo
747449	325304	Paloma
747449	332633	OIga
747449	333616	
747449	334678	Huma Rojo
747449	335253	Suzana, la femme d'Arturo
747449	338334	Griselda
747449	340205	Maria
747449	341383	
747449	343606	
747449	354265	Herself - Presenter: Best Fil
747449	354272	Herself - Presenter: Best Lea
747449	355660	Madre di Dora
747449	369437	Herself- Nominee: Best Lead A
747449	369556	Herself - Presenter: Best Lea
747449	369748	Herself - Presenter: Best Eur
747449	369870	Herself - Presenter: Best Dir
747449	369989	Herself - President of the Sp
747449	369994	Herself - Presenter: Best Fil
747449	369996	Herself - Presenter: Honorary
747449	369999	Herself - Presenter: Best Lea
747449	376500	Sarah Bernhardt
747449	378110	Zoila Gómez
747449	383816	
747449	384062	
747449	398814	
747449	400102	
747450	143757	
747451	101894	
747452	254047	La cliente
747453	103500	
747454	334706	Fiancee
747455	89921	
747455	387536	Juana
747455	395861	Gloria
747455	401438	
747456	6960	
747456	36875	
747456	36881	
747456	39506	
747456	39614	
747456	44109	
747456	76244	
747456	178998	
747457	87902	La mère (pub TV)
747458	35506	Dancer
747458	149287	Prostitute
747458	157575	Fruit Stand Lady
747458	302710	Dancer
747459	385252	Doña Chona
747459	403560	
747460	4252	Varsha/Deepali
747460	4428	
747460	4480	
747460	6351	
747460	9397	Usha
747460	16305	
747460	17361	Geeta
747460	25525	
747460	27733	Geeta
747460	31373	Bade Thakur's wife
747460	36007	Taaj
747460	36174	
747460	38182	
747460	38192	
747460	49437	
747460	54743	Mrs. Mehera
747460	54833	Sunita
747460	60993	
747460	62308	
747460	86642	Neeta
747460	88480	
747460	126961	
747460	126991	
747460	127339	
747460	137819	Sharda Singh (Vishal's mom)
747460	141846	
747460	152470	
747460	152494	
747460	164329	Sunita/Nisha
747460	165942	
747460	171777	Shanti
747460	172147	
747460	173397	
747460	173585	Rekha
747460	174633	Madhu/Madhvi/Poonam
747460	181664	Chandan
747460	186198	
747460	195728	Asha
747460	200657	
747460	201078	Tulsi
747460	204910	Vijay's mom
747460	211253	Anju
747460	211418	
747460	211465	Kavita
747460	226447	
747460	228862	
747460	246535	
747460	254738	
747460	262868	
747460	265396	
747460	268069	
747460	271620	
747460	272173	
747460	285412	
747460	285836	Rajni
747460	286496	Champa
747460	298805	
747460	326963	Sunita
747460	344083	
747460	348464	Kavita
747460	348919	Child Artiste
747460	373711	
747460	375037	Asha
747461	152483	
747461	162686	Shirin
747461	204403	
747462	81272	
747463	58068	
747465	153782	Monique
747466	89250	Woman in dance hall
747467	95486	Juanita
747468	235460	Tina
747469	296769	Assistant D.A. #1
747470	82643	Solange Garnier
747471	269544	
747472	398847	Vicky Champagne
747473	79586	Herself
747474	212084	Hotel receptionist
747475	53152	Téléphoniste du 911
747475	409444	Variés
747476	269725	Inhalotherapeute
747477	15072	Catherine
747477	118690	
747477	132898	Léa
747477	135334	
747477	190629	Alice
747477	202319	Cathy
747477	205669	
747477	245935	La mère d'Emmanuel enfant
747477	269223	Séverine, la filleule du Rége
747477	294882	
747477	354656	
747477	355245	Jacqueline
747477	357052	Mathilde
747477	371415	La jeune fille douce
747477	388439	Fabienne
747477	396978	Marie-Jeanne
747478	240490	
747479	38257	Éva, la grand-mère de Françoi
747479	67233	Armande
747479	156329	Germaine Lauzon
747479	249209	Mignonne
747479	261862	
747479	320421	Babysitter
747479	377647	
747479	407214	Madame Pigeon
747480	324483	Seamstress
747481	10864	Janet
747481	24626	Herself (actress)
747481	37693	
747481	40715	Demonica Toffet
747481	41017	Viva
747481	41423	Whitney
747481	48935	Amber Dexterous
747481	50262	Carrie
747481	56894	Terry Mitchell
747481	65812	Amanda Henderson
747481	66151	Christine
747481	66152	Alex
747481	75771	Dr. Barnett
747481	77640	Lora
747481	78157	Nicole
747481	80924	Bravetart
747481	83561	Veronica
747481	83843	Adrienne
747481	88167	Rachel Horn/Brenda
747481	91867	
747481	92767	Dancer
747481	102726	Erica (episode "The Business 
747481	102764	
747481	102769	Vampiress (Segment "Midnight 
747481	141425	Suzanne Chadway Hawks
747481	165284	Ursula
747481	167659	Janis Joplin
747481	169083	Shirley
747481	175804	Tina
747481	183876	Debbie Schaffer
747481	186936	Jocelyn Speer
747481	195884	Jessica/Julie
747481	196086	Miss Heartstrings
747481	196471	Thief
747481	197807	Ellie
747481	201598	Nude Ninja
747481	206440	Valerie
747481	208502	Katya
747481	213109	Joni
747481	215177	Cassandra
747481	231885	Intimate Strangers Segment
747481	231896	Brandy
747481	232293	
747481	252862	Krystal Evans
747481	252889	Lori
747481	253019	Sharon
747481	254418	Jocilyn
747481	257545	Geena
747481	257583	Donna
747481	258872	Gina
747481	260789	Charise
747481	277070	Misty Autumn
747481	278829	Herself
747481	292007	
747481	295614	Jennifer
747481	302910	Clarise
747481	316906	Blond Model
747481	319177	
747481	321373	Becca
747481	327620	Charlene
747481	340949	Woman in Elevator
747481	341974	
747481	353365	Angela
747481	363778	
747481	364752	Samantha 'Sam' Sharpe
747481	368613	Herself
747481	380039	
747481	381807	Madame Veronica Winston (1998
747481	391835	Herself
747481	396076	Herself
747482	104222	L'infirmière
747483	306257	Female Shadow Dancer
747484	379343	Samantha Huff
747485	78695	
747485	234067	Sam, Eric's Mother
747486	404018	Marie-Pier
747488	51377	Valerie
747489	74935	Isabelle
747490	243016	
747491	103893	
747492	221863	
747493	68609	Herself
747494	206294	
747494	321913	
747494	339089	Bonnie
747495	126130	Featured
747495	284628	Talk Show Host
747495	297641	The Saleswoman
747495	406534	Mariana
747496	269164	Mulher de Matale
747497	303225	Sister Alma
747497	303226	Choir Nun
747497	310188	Old Wife
747498	187489	
747499	57429	
747500	278897	(violin)
747501	25780	Luzia
747502	226475	Anne
747503	395044	Estudante
747504	397888	Herself (2003)
747506	242614	
747507	22769	
747507	42109	
747507	66231	
747507	67702	
747507	69016	
747507	83501	
747507	93859	
747507	135292	
747507	193225	
747507	193353	
747507	199793	
747507	212454	
747507	255481	Vicente's wife
747507	265147	
747507	266676	
747507	307240	
747507	307678	
747507	318005	
747507	318006	
747508	84258	Asistente teatro 1
747509	9745	
747509	13515	
747509	51555	
747509	90192	
747509	221575	Lucy Rosales
747509	222039	Marta
747509	246497	
747509	254239	
747509	294858	
747509	314342	
747509	351833	
747509	353231	
747509	357518	
747510	68556	
747511	89963	Soeur Ursule
747512	73185	
747513	26016	
747513	30790	
747513	30859	
747513	30862	
747513	49115	
747513	50995	
747513	57713	
747513	77082	
747513	81424	Deborah
747513	88710	
747513	90505	
747513	90890	
747513	94899	
747513	99286	Beth
747513	112629	
747513	138335	
747513	144365	Madame Lola
747513	156189	Doreen Lerma
747513	162113	Loleng
747513	165244	
747513	172964	
747513	174915	
747513	188328	
747513	190695	
747513	200009	
747513	200464	
747513	200591	
747513	202595	
747513	204107	
747513	205061	
747513	207124	
747513	208552	
747513	227512	
747513	248006	
747513	284639	
747513	284851	
747513	287062	Lita, Jerry's mother
747513	288277	
747513	300624	Darna
747513	324600	
747513	325362	
747513	333059	
747513	368320	
747513	381380	Ligaya
747513	388282	
747513	404049	Lita
747513	404051	Marita
747514	218387	
747515	94015	Girl in restaurant
747516	89801	
747516	229180	
747516	286884	
747517	393492	
747517	405962	Annie Morel
747518	208024	Claire Harding
747518	410801	Chris Basham
747519	5885	Alicia Drummond
747519	16739	Lilian Matfield
747519	22728	Dame Brenda Raphael
747519	40091	Harriet Collard
747519	43422	Lola Widmeyer
747519	58493	Deidre
747519	58875	Dr. Merrow
747519	68468	
747519	72099	Renata Beck
747519	81184	Elsa Gruber
747519	81588	
747519	85850	Lady Crewne
747519	89742	Vera Donovan
747519	99043	Genevieve
747519	105069	Queen Marie
747519	107924	Ambassador
747519	123092	Angelica Sarti
747519	126688	Lady Stella Munday
747519	128515	Maria Thins
747519	131746	
747519	137913	Gertrude
747519	141497	Isobel John
747519	141731	Lady Constance Keeble
747519	144657	Chauffeur
747519	152915	
747519	169465	Faith Wheeler (Do Me a Favor 
747519	177525	Queen Katherine
747519	196538	Mrs. Tennant
747519	202390	Julia Bickleigh
747519	208189	Mrs. Durham
747519	213276	
747519	214449	Jenny Bannerman
747519	258930	Miss Van Schayler
747519	276745	Mrs. Platter
747519	282933	Mrs. Puxley
747519	292575	
747519	294573	Verena
747519	301614	Beryl Stacton
747519	315250	
747519	333249	Marie
747519	335331	
747519	345685	
747519	365564	Lady Mount-Temple
747519	381685	Lady Harmonsworth
747519	383953	Alison Warren
747519	383956	Queen Lillian White
747519	385780	Rosa Dartle
747519	388126	Martha
747519	390538	Hilda Spearpoint
747519	390539	Hilda Spearpoint
747519	393491	Mildred Layton
747519	395595	Lady Myers Lloyd
747519	396668	Jacqueline Dawson
747519	398365	Miss. Dredger
747519	402124	Lady Catherine de Bourgh
747519	405217	Lady Constance Lytton
747519	407439	Madame Defarge
747519	410219	Lucy Snowe
747520	300304	Grown-Ups' Lead Singer
747521	266736	
747521	357659	
747522	68990	
747522	91323	
747522	156378	
747522	198238	
747522	205136	
747522	216086	
747522	221725	
747522	343448	
747522	379241	
747522	384573	
747522	385941	
747522	397567	
747523	302053	Mujer del baño 2
747524	281674	Herself
747525	52204	Chemist's Assistant
747525	77189	Barmaid
747525	387247	Sarah (2004)
747526	17319	Brenda
747526	29909	Dawn
747526	77205	Judy Venables
747526	228312	Herself
747526	251436	Barmaid
747526	385301	Helen Raven (2002-2003)
747526	387533	Chastity Dingle (2002-)
747527	146530	Nauczycielka
747528	236972	Child at the Party
747529	236972	Child at the Party
747530	32565	Dominatrix
747530	106149	Elaine Drury/Anne
747530	289103	Iman Al-Rehaief
747531	204051	Party Girl
747532	324889	Women's Chorus
747533	115600	
747534	189237	Marilyn Bouton (Mystery Woman
747534	260369	Connie Parese
747535	194605	Girl on Street
747536	314927	First Girl
747537	294779	Restaurant manager
747538	345564	Gigi
747539	4637	Aurora
747539	50972	Paola
747539	198912	Alina
747539	248056	Herself
747539	285743	Misery
747539	287992	
747539	388613	Herself - Assistant (1992)
747539	408804	Paola Del Sol
747540	110391	
747541	16147	
747541	17356	
747541	19665	Saheb's Wife
747541	86676	
747541	127020	
747541	152483	Mamta
747541	174124	
747541	297594	Nandini Khanna (Rahul's mom)
747541	341695	
747541	373720	Pooja (Suraj's sister)
747542	188001	
747543	9044	Fatima
747543	43921	
747543	57104	
747543	77793	Cheryl Reed
747543	151530	Barbara
747543	169944	Rhonda Reese
747543	192219	Silvia Penniman
747543	210300	Marsha Mello
747543	244813	Woman on Bus
747543	245262	Melanie
747543	284621	Jail Intake Reporter
747543	308114	Brenda Brass
747543	316502	N'Dea Strawberry
747543	410835	Bonnie
747544	396479	Kiraun
747545	10820	Convent nun
747546	2324	Florence
747546	31016	Nathalie
747546	60132	Loredana
747546	80467	Helen Catherine Howe
747546	80681	Julia Muller
747546	118994	Bernadette
747546	123896	Nina Delgado
747546	128618	Catherine Flavin
747546	153874	Estelle
747546	160000	Marie
747546	170294	Marie
747546	203178	Queen Mother Anne
747546	204946	Albertine
747546	232628	Nikita
747546	261777	Charlotte
747546	265765	
747546	297775	Jessie Markham
747546	327545	Véronique Sandrin
747546	345037	La jeune fille avec un petit 
747546	345312	Herself
747546	346730	Olga Duclos
747546	376962	Alice
747546	377012	Odette Moreau
747546	377696	Chloé, Moune
747546	399160	Isabelle
747547	270933	Fleeing Party Girl
747548	203323	
747548	319794	
747549	69933	Customer
747549	258150	Claudine
747550	390242	Loes (1996)
747551	399266	(1973-1974)
747552	1308	
747552	27014	
747552	75028	
747552	118293	
747552	303626	
747552	319346	
747552	349385	
747553	163655	Themselves
747554	31715	Diva
747556	142302	Young Cassandra
747558	67570	Marcy Edwards
747558	120615	Rita Mulick
747558	130767	Claire McCartney
747558	131400	Kelly Sherwood
747558	189310	Melissa
747558	209114	Aunt Felicia
747558	275743	Tracy
747558	276169	Hannah
747558	321147	Heavenly Finley
747558	321227	Suzanne
747559	62874	
747560	71520	
747560	123559	Porte-parole
747561	75909	La première soeur
747562	236542	Annabel
747563	217912	Delicious
747564	311537	Referee
747565	330093	Toni
747566	15988	
747566	105606	Emanuela S.C. Dalla Chiesa
747566	278933	
747566	356042	
747566	386847	
747567	85771	
747567	367652	
747568	377488	La chanteuse du métro
747569	108208	
747570	88239	Herself
747572	23745	Mme Perrin
747573	114017	Madge
747573	252483	Jury Forewoman (Cincinnati Co
747573	298308	Sophia
747574	84592	Gitte
747575	20625	Extra
747575	129921	
747575	266104	Waitress
747575	273543	
747575	293978	Malawa
747575	308382	Raider
747575	309858	Nurse in Thanksgiving Show
747576	142302	Matron
747577	63835	Spinster 2
747577	78529	Elizabeth Siddal
747577	85123	Sister Judith
747577	92882	Mrs. Churchill
747577	183558	Mrs Barkamb
747577	183599	Mrs. Marshall
747577	214442	Mrs. Dorothy Kaminski
747577	254522	Carlotta's Seamstress
747577	258005	La Patronne
747577	264459	Madame Dreyfus
747577	271263	Miss Harby
747577	288947	Kate
747577	385627	Mrs. Foxe (segment film two)
747577	391002	Miss Wheeler
747578	331395	Dancer
747579	31715	Delivery Room Nurse #2
747579	105851	Immigration security
747579	118980	Pregnant Customer
747579	235615	Gina the Nurse
747579	244421	Wedding Coordinator
747579	245699	Grant's Girlfriend
747579	263360	Rachel (Hollywood Blvd.)
747579	264157	Lady Palisades
747579	264158	Princess Palisades
747579	271344	Real Estate Woman
747579	283410	Reporter Murphy
747579	399738	Autumn
747580	307590	Cafe Waitress
747581	26563	Maenad (chorus)
747581	290375	Susie Jessop
747582	142302	Iphigenia
747583	112825	Sarah
747583	205751	Marie
747584	58170	Chorus Girl No. 6
747585	326346	
747585	377587	Ninetta
747586	78824	Susan Ashby
747588	68108	Herself
747589	41181	Background singer
747590	129029	
747590	135127	
747591	163655	Herself
747592	185683	Theater Audience
747592	214439	Danielle Bocca
747593	269528	Bride
747594	27107	Sara Leachman
747594	120699	Girl in Hotel Lobby
747594	194525	Annie Yuckamanelli
747595	45072	
747596	17760	Actress in Rehearsal
747596	287135	Auction Guest #2
747596	404002	Mary Ryan Fenelli (1977) (tem
747597	220982	Betty Crane
747597	281451	Michelle
747598	114512	Rosa
747598	388644	Rosina Agostino
747599	134587	Madeleine
747600	313470	RSF Officer/Naboo Citizen
747602	363981	Narrator
747603	350916	Actress
747604	7438	Madame de Ludre
747604	9012	Chantal
747604	14669	Doña María
747604	15084	
747604	23677	
747604	23784	Alphonsine (Fonsine) Lefranc
747604	42372	Yvonne
747604	57616	Mrs. Gorzone
747604	68896	Émilienne
747604	68932	
747604	99362	
747604	104475	
747604	119038	Lucienne's friend (segment "A
747604	120876	
747604	121411	Béatrice Dupont-Vallier
747604	127620	
747604	135423	Mme. de Fourcroy
747604	156564	
747604	159268	Simone
747604	159702	Irène Chaulieu
747604	162612	Tante Flora
747604	166099	Luce
747604	193895	Sabine
747604	206718	Arlette
747604	214809	Mony
747604	217717	Madame Védrines
747604	217721	
747604	219512	Madame Armandy
747604	227595	La comtesse de Blanc-Mesnil
747604	286317	
747604	300695	une Dame
747604	322337	Madame Serval
747604	340212	Mona Lambelle
747604	345032	La grand-mère maternelle
747604	345113	Clara
747604	345269	Head Mistress
747604	349842	Berthe
747604	356963	Elyane de Broussac
747606	33773	Hilda
747607	242809	Female Agent
747608	6717	Herself
747608	26910	
747608	33017	
747608	34757	
747608	34830	
747608	36904	
747608	37198	
747608	39744	
747608	41068	
747608	69984	
747608	77797	
747608	80075	
747608	85779	
747608	91816	
747608	92351	
747608	109429	
747608	128797	
747608	138211	
747608	150220	
747608	161602	
747608	188076	
747608	189469	
747608	189470	
747608	190316	
747608	193414	
747608	199536	
747608	208521	
747608	209750	
747608	218617	
747608	219770	
747608	243112	
747608	268209	
747608	273231	
747608	278543	
747608	280154	
747608	280802	
747608	295945	
747608	296200	
747608	304613	
747608	319705	Herself
747608	321046	
747608	321220	
747608	321316	
747608	325271	
747608	325292	
747608	327619	
747608	335803	Herself
747608	336090	
747608	340793	
747608	351171	
747608	351172	
747608	351175	
747608	353471	
747608	353483	
747608	356227	Rage
747608	361900	Wanda
747608	364261	Rosie
747608	365713	
747608	365715	
747609	215791	Anna Perez
747609	283469	Rita Armijo
747609	292247	Mrs. Padilly
747609	313049	Raquel Ortega
747609	328520	
747609	348070	Mrs. Howell
747609	404282	Miss Burrell
747609	411363	Mrs. Valdez
747610	55018	Enfant
747610	72901	Mother Augustine
747611	264745	
747612	154040	Nurse
747613	232413	Police Officer
747614	287215	Female Paramedic
747615	178136	Christina 'Chrissy' Sposato
747615	193035	Lo
747615	329552	Patty Amore
747616	65555	Petra
747617	263709	Clelia
747618	336970	
747618	401507	
747618	406000	
747619	33716	
747619	77625	
747619	87296	
747619	102715	
747619	135620	
747619	145103	
747619	209177	
747619	232175	
747619	263356	
747619	311902	
747620	245043	Herself
747621	68755	Donna
747622	11026	
747622	159132	Millie
747622	273422	Rachel
747622	297108	
747622	364818	Blackpool Waitress
747622	381080	Lesley Bailey
747622	381081	Lesley Bailey
747622	382052	DC Eva Sharpe (2002-2004)
747622	384477	Sylvia Robinson
747622	387247	Lola Christie (1998)
747622	391769	Janet
747622	396112	Beth Taylor (1993-1994)
747622	396298	DC Eva Sharpe (Series 2-) (20
747622	401415	Lisa Gee
747622	410070	Shirley Robinson (2000)
747623	37089	Amanda
747624	645	Tina
747625	194648	Ginger
747626	171079	
747627	187046	Angela
747627	246012	Diana
747627	346104	Denise
747628	340923	Factory Girl
747629	249457	Ad Agency Receptionist
747629	277142	Dr. Charlotte Woods
747629	308051	
747629	345858	Lydia Gray
747629	380874	Narrator
747629	382186	Natalie Holden
747629	385455	Allie Henshall
747629	391254	Amanda Thomas
747629	392644	Gaynor Crosswell
747629	401077	Dawn Rudge, receptionist (199
747629	405476	Ali Pearson
747629	408988	Annie Naylor
747629	410070	Jane (2001)
747630	172605	Minnie Rosen
747631	212103	Jane Clark
747631	321569	Renata
747632	42600	Peronella
747632	309248	
747633	386236	Additional Voices
747634	51832	Herself
747635	231850	
747636	14548	
747636	54300	
747636	117667	
747636	129024	Cornelia
747636	141941	
747636	142007	
747636	142012	Angelina
747636	158761	Signora Krofta
747636	206035	Iole Pelagalli
747636	207540	
747636	289387	Franca
747636	292962	Monique Riviere
747636	303175	Teresa
747636	310467	
747636	389293	Jane
747637	133110	Girl With Contacts
747637	213324	Bottom's Wife
747638	285577	
747638	320415	
747638	332460	
747639	348167	
747640	115019	Herself
747642	16869	Sora Rosa
747643	111428	
747643	356582	
747644	285577	
747644	332460	
747645	131803	Martha
747645	171050	Angry Waterford Resident
747646	51832	Herself
747647	273345	Julie
747648	387058	Girl with Mazzotta
747649	2010	Self
747649	151616	Jeannie Ashcroft
747649	228313	Dawes
747649	237154	
747649	240831	
747649	246495	Elise Ashton
747649	263777	Katherine
747649	380713	Julia Lindsey Snyder (1998-20
747650	202277	
747651	1016	Catherine Barrachet
747651	13526	Dominique
747651	20216	
747651	23814	Mme Legrand
747651	43690	
747651	43757	Lucette, Baronne Seychelles d
747651	51207	Pat
747651	57897	Pepa
747651	92905	Striptease Girl
747651	96218	Adèle
747651	103206	La seconde fille Grimaldi
747651	110189	Mirishah
747651	120669	
747651	122216	
747651	130117	La chanteuse
747651	133047	Sister Marie-Odile
747651	135426	Marie-Hélène Perrin
747651	208656	Princess Stephanie
747651	249082	
747651	249713	Mme. Jeancourt
747651	253998	Marie-Beatrice Fourchaume
747651	261100	Clotilde
747651	275664	Daphné
747651	305108	Françoise
747651	314301	Isabella Sampaio
747651	339539	Clo
747651	345149	
747651	346691	Loulou
747651	355266	
747651	384788	Agathe
747652	277011	Greek Orthodox nun
747653	226298	
747653	325857	Schwester Else
747654	68050	Narrator
747656	37902	Paulette
747656	94786	
747656	263882	
747657	108033	Ms. Winters
747658	371939	
747659	164844	
747660	2823	
747660	3144	
747660	8486	
747660	15176	
747660	15206	
747660	15396	
747660	20060	
747660	20063	
747660	26211	
747660	27550	
747660	28728	
747660	28819	
747660	29599	
747660	29600	
747660	49146	
747660	49147	
747660	49424	
747660	49425	
747660	49615	
747660	59059	
747660	60607	
747660	60647	
747660	60653	
747660	60665	
747660	62509	
747660	62794	
747660	62849	
747660	63387	
747660	63492	
747660	76680	
747660	77058	
747660	78203	
747660	89539	
747660	95735	
747660	102074	
747660	102077	
747660	102081	
747660	102085	
747660	124435	
747660	125950	
747660	126809	
747660	130236	
747660	135652	
747660	136336	
747660	136409	
747660	136416	
747660	136417	
747660	136421	
747660	138321	
747660	142966	
747660	144255	
747660	147309	
747660	153427	
747660	153428	
747660	153429	
747660	155195	
747660	156427	
747660	156595	
747660	159614	
747660	164756	
747660	165111	
747660	166009	
747660	166013	
747660	166791	
747660	166815	Won
747660	166835	
747660	167088	
747660	167515	
747660	169010	
747660	169015	
747660	170304	
747660	170325	
747660	170326	
747660	174086	
747660	199910	
747660	199953	
747660	202519	
747660	204136	
747660	204138	
747660	214268	
747660	216414	
747660	216416	
747660	217367	
747660	218040	
747660	219711	
747660	221874	
747660	222222	
747660	224459	
747660	224460	
747660	224463	
747660	224464	
747660	224468	
747660	226005	
747660	226548	
747660	226562	
747660	227221	
747660	227222	
747660	236497	
747660	238861	
747660	239348	
747660	239514	
747660	245840	
747660	247026	
747660	247310	
747660	258787	
747660	267198	
747660	268144	
747660	280884	
747660	284816	
747660	285570	
747660	286006	
747660	288171	
747660	293653	
747660	294429	
747660	294436	
747660	294469	
747660	294472	
747660	294484	
747660	294497	
747660	294504	
747660	294505	
747660	299026	
747660	308285	
747660	308286	
747660	309093	
747660	312149	
747660	322903	
747660	322904	
747660	323696	
747660	329017	
747660	368082	
747660	368091	
747660	370278	
747660	370518	
747660	371258	
747660	371264	
747660	371865	
747660	371945	
747660	373146	
747660	373147	
747660	373168	
747661	367375	
747662	23943	
747663	373146	
747664	176346	
747665	240008	Herself
747666	65593	Nam Joo Choi
747668	540	Princess January
747668	60645	Rose
747668	376540	Yu, Hye-ri
747668	376542	Hee-jung
747668	385546	Yeon-Saeng Lee
747669	30352	
747670	135786	Beauty parlor owner
747671	224459	
747672	38174	Do-kyung
747673	238683	
747674	214098	
747675	135239	
747675	267492	
747676	236767	Sa-ri
747677	116016	Bartender
747678	236137	Gloria
747679	182967	Charmaigne
747679	281196	Asian Dancer
747679	381422	Lt. (j.g.) Sharon 'Boomer' Va
747679	381423	Lieutenant Junior Grade Sharo
747679	387312	Shannon Ng
747679	392244	Taiwanese Woman #1
747680	6994	Twin Club Girl
747681	140183	Frail Old Woman
747682	150351	Raker Girl
747682	287362	
747683	371144	Kim So-hie
747684	371231	
747685	122940	Chang-won
747685	136378	
747686	6994	Twin Club Girl
747687	166802	
747688	37597	
747688	126907	
747688	390832	Chong-a
747689	308413	
747689	358103	
747690	287389	
747691	41178	Hostage Woman
747691	271364	
747691	405209	Dr. MacKenzie Choat (1998-199
747691	406707	Maddy McGuire
747692	135807	Dora Jones
747692	177291	Salesgirl
747692	274412	Showgirl
747692	283579	
747692	285095	Lorraine
747693	310633	Tempest
747694	93959	Female Reporter #2
747695	171274	Roach Girl
747696	297937	Girl at rally
747697	149307	Young Couple #3
747698	141695	
747699	199555	Sung-hae
747700	16582	
747700	136323	
747700	162091	
747700	165645	
747700	226839	
747700	373168	
747701	371401	
747702	385546	Queen Munjeong
747703	240008	Herself
747704	43245	The Baby's Mother
747704	50118	
747704	137071	Mi-yeong
747705	126785	
747705	204723	
747705	371265	
747706	175763	
747707	141060	
747708	226571	
747709	28070	
747709	89765	Mi-ae
747709	371144	Kim Yun-ji
747710	2221	
747710	6340	
747710	15175	
747710	19050	
747710	76658	
747710	122733	
747710	140588	
747710	153475	
747710	187040	
747710	199887	
747710	204137	
747710	236775	
747710	285878	
747710	320237	
747710	370612	
747710	371151	
747710	371198	Ji-ae
747711	178038	
747711	390029	Joon-hee
747712	51007	Su-yeon
747712	123556	Hwa-yi
747712	138009	Jeong Jang-mi
747712	287115	Seo Yeon-hwa
747712	371143	
747712	371251	
747713	204321	
747713	371843	
747714	199881	
747715	134568	Setup Crew
747716	94986	
747716	126819	
747716	162680	
747716	226548	
747716	280884	
747716	364699	
747717	133915	Fanny Praed
747718	201284	
747719	303571	Mother
747720	227255	
747721	126796	
747722	106285	
747724	288360	
747725	288342	
747726	89548	
747726	126888	
747726	136421	
747726	136497	
747726	167473	
747726	221877	
747726	236763	
747726	293653	
747726	373148	
747727	101711	Ens. Hoshi Sato
747727	310689	Renee Hansen
747727	323503	Party Goer
747727	387671	Ensign Hoshi Sato
747728	395280	
747730	298120	Becca White
747730	307964	Brenda Murphy
747730	330891	Young Cara Cabot
747730	379165	Jessica Fisgus
747730	382242	Wendy
747731	318106	Sandy
747731	363303	Sara
747732	105029	
747732	115204	Dancer
747732	282985	Herself
747733	137073	Su He Ran
747734	60660	
747735	238981	
747735	285845	Mi-hyeon (story 2)
747736	167570	
747737	51021	Maeng-soon
747738	211204	Jeong-hwa
747738	226560	
747738	287310	
747738	288146	
747739	227074	Myeong-heui
747739	239851	
747740	227074	
747740	237646	Woman Neighbor
747741	402725	Bridie (1998-99)
747742	12319	Party Guest
747743	356605	
747744	223084	Herself
747745	127131	
747746	1806	
747746	38755	
747746	267003	
747747	153413	
747747	298858	
747748	124364	
747748	215569	
747748	348657	
747748	371223	
747749	40098	
747749	170636	Ye-jin
747749	221644	
747749	300109	Yun-hie
747751	102779	
747752	153452	Seon-mi
747753	288180	
747754	371223	
747755	29606	Song Yeon-hwa
747755	390832	Chae-Lin Oh
747756	136323	
747757	61541	
747758	224729	Nurse
747759	78865	Japanese Girl
747760	77077	
747760	344217	
747760	371849	
747761	372982	
747762	222144	
747763	159705	Alley Woman
747764	294452	Eun-A
747765	103454	Femme à la plage
747766	59311	Kim
747766	94983	Sharon
747766	126673	Chiropractor
747766	214971	Newscaster
747766	311038	Chainsaw Nurse
747766	389622	Walker Rothenberg
747766	395460	Joss Nakano
747767	7309	
747767	113728	Tutor
747768	230340	Reporter
747769	21040	Tina Chan
747769	41411	Sharl
747769	87480	Lin Young the Saigon Whore
747769	87975	Volonteer Mary
747769	149939	Gina
747769	266166	Sook Hee's Mother
747769	314763	Viet Gun Girl
747770	17672	
747770	28808	
747770	43026	
747770	43043	
747770	51016	
747770	77087	
747770	90585	
747770	102023	
747770	102030	
747770	102036	Song Ok-kyeong
747770	126795	
747770	136323	
747770	153512	
747770	156108	
747770	165530	
747770	169009	
747770	204136	
747770	221854	
747770	227713	
747770	228366	
747770	243882	
747770	288361	
747770	371151	
747770	371266	
747770	371864	
747771	7282	
747771	7283	
747771	286011	
747772	51027	
747772	62519	
747772	153438	
747772	287573	
747773	95041	Yun-a
747773	136342	Kang, Ji-young
747774	236737	
747775	299138	
747776	126887	
747777	126891	
747777	142547	
747778	182323	Kim, Seong-hye
747778	371191	
747779	29600	
747780	371223	
747781	245670	
747782	43957	Su-bin
747783	61793	Valerie
747783	109617	Sandy
747783	120122	Tina Shepard
747783	150836	Kate
747783	264129	Cindy Cathcart
747783	394676	Linda Fairgate (1987, 1989-19
747784	396625	
747785	234071	Reporter
747785	392057	Amanda Reed
747786	106493	9-1-1 Caller
747787	104764	Luxembourg entry (20th place)
747788	81493	Waitress
747788	150844	Receptionist
747789	287781	Caroler
747790	1920	Lily
747790	79972	Pamella
747790	191937	Jenice
747790	211380	Gigi
747791	104335	Maffio
747792	374425	Child on School Bus
747793	31715	Diva
747794	142886	Bonnie Pare
747795	213581	Chorus
747795	250638	Aesthetic maiden
747795	334757	Chorus
747796	385299	Gwen Gifford
747796	408166	Matron
747798	392802	Lizzie Grubman
747799	46663	Nursing Home Manageress
747799	189238	Old Maid
747800	42806	Shark Club Dancer
747800	48235	Colleen
747800	82336	Dr. Anne Harper
747800	96741	Dancer in saloon
747800	97351	Det. Eileen Burke
747800	164764	Lt. (j.g.) Caitlin Pike
747800	227024	Miss France
747800	263278	Miss Parker/Catherine Parker
747800	263283	Miss Parker
747800	275796	Dancer (nurse)
747800	353394	
747800	370035	Kelly Morgan
747800	387728	Linda Farrell (1994-1995)
747800	395415	Lydia Weston
747800	402099	Miss Parker/Catherine Parker
747801	298302	Nurses #2
747802	103286	Hooker
747802	136011	Herself - Wedding Guest
747802	195751	Capomezzo Cousin
747802	306431	Sasha, the Coffee Shop Dancer
747802	363399	Blue (Teenage Runaway)
747803	171668	
747803	220880	Mary Ann Albertson
747803	252510	Claire Upton
747804	263362	Herself - singer
747806	169579	Bayo
747806	195441	Gayl
747807	361611	
747809	169773	
747810	169470	Girl 2
747811	117773	Evelyn Jones
747811	253357	Desk Clerk Hillary
747812	150270	Myrtle
747813	18351	Young Jane
747813	405882	Buffy (1975-1976)
747814	3627	Herself
747814	29370	Herself
747814	81092	Herself ("Beyond Reality" ver
747814	95797	Herself
747814	123705	Herself - Shot in police ambu
747814	306364	Herself - Shot in police ambu
747815	39264	
747816	33426	Nurse
747817	208390	Student
747818	93788	Desiree, the Blind Woman
747818	185533	Rainbow
747818	238242	Suzanne
747818	301556	Didi
747818	316067	Cecile
747818	387540	Colleen Gordon
747819	45105	Doorwoman
747819	289467	Waitress
747820	77616	
747821	21300	Girl
747821	42023	Bit Part
747821	66549	Girl
747821	78155	
747821	92959	Student
747821	93642	Sally Dawson
747821	147384	Girl
747821	155846	Girl
747821	215748	Hostess
747821	280895	Maid
747821	289422	Bit Role
747821	302629	Bit
747821	361300	Girl
747821	372050	Girl
747822	8629	Muriel McComber
747822	16465	Marian
747822	16466	Marian Hardy
747822	16467	Marian Hardy
747822	16470	Marian Hardy
747822	33783	Molly Fitzgerald (courtesy of
747822	49922	Jane Delano
747822	72022	Marian Hardy
747822	77297	Rosie
747822	101695	Aline Chalmers
747822	108240	Marion Hardy
747822	112095	Herself
747822	118916	Maid
747822	121384	Georgia Stevens
747822	123343	Diana Cameron
747822	124700	
747822	128327	Dorothy McCarthy
747822	132765	Constance 'Connie' Furness
747822	135817	Rae Marsh
747822	139316	Marian Hardy
747822	143623	Suzette
747822	144908	Beth Andrews
747822	146282	
747822	147678	Joyce Butler
747822	149164	Mary Turner
747822	154256	Rose
747822	157741	Ruth Brewster
747822	169889	Marian Hardy
747822	169890	Marian Hardy
747822	170796	Barbara Morgan
747822	183855	First Siamese Twin
747822	194886	Ruth Robinson
747822	194887	Ruth Robinson
747822	194965	Betty Moore
747822	195579	Marian Hardy
747822	203432	Sally Ryan
747822	214557	Marta Hill
747822	224794	Jane Emory
747822	228639	Julie
747822	239643	
747822	239657	Irene Hutchins
747822	245253	Marian Hardy
747822	246730	Olga Koerber, Heinrich's Brid
747822	266764	Mrs. Howard
747822	271238	Molly Burke
747822	271251	Fay Larkin
747822	277959	Fay Denton
747822	280630	Janet Blake
747822	292639	Blondie Marsh
747822	295380	Victor Van Maaster
747822	321380	Joan Whitney
747822	331459	Ann Gordon
747822	335246	Jenny Lee
747822	337584	Virginia Weston
747822	347066	First Siamese Twin
747822	347354	Sheila O'Neill
747822	367843	Undetermined Role
747822	372353	Marian Hardy
747822	372482	Undetermined Role
747824	191527	Herself
747825	328788	Young Brunette Girl at Family
747826	188453	Opening Sequence Girl
747827	129829	A-Man's Entourage
747829	196472	Teri
747830	256365	Herself
747831	382483	Gladys
747831	384884	Babs
747831	394665	Julia
747831	410068	Barbara Bultitude
747832	120865	Young Jean
747833	190171	Mail girl
747834	321182	Older Julie
747835	54362	Celia
747836	166089	Herself
747836	231128	Woman With Broom
747837	333119	Warjat's Waitress
747838	236087	Mrs. Fong
747838	345851	Mai Ling
747839	405984	UCDavis
747840	403116	Hostess
747841	267010	Girl in bed
747843	72931	Goodyear Chorus Girl
747844	147886	Herself
747844	151041	Nightclub Singer
747844	177286	Herself - Band Vocalist
747845	471	
747845	85729	Gloria Pickerstone
747845	100990	
747845	115653	Ellen Frank
747845	116070	Georgia
747845	130998	Jane Brendel
747845	140720	
747845	160253	Colette
747845	225160	
747845	288436	
747845	290630	Madeleine
747845	336538	Gladys
747845	361096	Susan Collins
747846	327785	Herself
747847	175684	Herself (wife)
747848	5048	Lucy Tibbets
747848	12784	Herself
747848	13872	Deborah Rojack
747848	23210	Bathing Beauty
747848	30741	Lady Amberly
747848	35482	Ann Bergner
747848	37310	Telephone operator
747848	50244	Norma
747848	51975	Marie Allen
747848	58475	Jo Holloway
747848	73134	Irene Carr
747848	80560	Catherine Blake
747848	84362	Mary McLeod
747848	103278	Carla Forester
747848	103317	Fionella MacLean
747848	106522	Aunt Danny
747848	108817	Eunice Hollander Baines
747848	133442	Peggy Lowery
747848	138489	Dame Brinker
747848	147484	Eloise Rogers
747848	147663	Herself
747848	148253	Alex Morgan
747848	148266	Hannah Hunnicutt
747848	151670	Margitta
747848	161041	Marjorie Lawrence
747848	163443	Herself
747848	177251	Sabina McDade
747848	185585	Kitty Kelly
747848	192849	Elizabeth Richmond
747848	199405	Katherine Richardson
747848	199684	Anne Tremaine
747848	203648	Zosch Machine
747848	204883	Mary Stuart Cherne
747848	208634	Claire Miller
747848	210819	Mrs. Frank Bickley
747848	214143	Christy Sloane
747848	215862	Emlen Davies
747848	224583	Letty Carstairs
747848	226962	Joanna Leiningen
747848	230390	Ellen Gayley
747848	238505	Mildred Rogers
747848	243954	Sophie Cantaro
747848	247563	Louise Harris
747848	263593	Ruth Hartley
747848	276876	Connie Rossi, Dress Shop Owne
747848	289504	Lenore
747848	295463	Carol Carwin
747848	298083	Regine Danton
747848	307415	Nurse Ryan (the intern's supe
747848	309634	The Baroness
747848	318966	Mrs. Thoren
747848	330153	Bit part
747848	331596	Susan Connors Chase
747848	332938	Esperia Vincenzini
747848	349874	Joan Carlisle
747848	350018	Ann Barclay Mercedes
747848	350432	Sue Greer
747848	352752	Janet Wheeler
747848	356293	Sally Middleton
747848	359481	Mrs. Doris Ruston
747848	367535	Laura Fairlie/Ann Catherick
747848	382636	Sylvia Caldwell, Secretary
747849	5437	Grace Ellis
747850	78835	Wendy & William Beaumont
747851	83952	Kate
747851	93136	Nurse Jennifer
747851	180705	Teacher
747851	232093	Gladys
747851	315263	Becky's Mother
747851	332730	Millie
747851	345853	Muffet DiNicola
747851	390771	Maureen Reardon Bauer #2 (198
747851	394311	Ethel Kennedy
747852	70465	Teddy Franklin
747852	194913	Joan Wood
747852	383164	Alice Brewster (1954-1956)
747853	185683	Theater Audience
747854	82596	Nightclub Dancer
747855	390073	Herself
747856	289615	Marchioness
747857	1073	Maid
747857	1734	Herself - Presenter
747857	76542	Corine Johnstone
747857	203062	Kate Conroy
747857	276004	Janis
747857	372544	Country Girl Fan
747857	379185	Despina Hatzipapadopoulos (19
747857	379730	Terri Sullivan/Stevens (1998-
747857	379738	Herself - Panellist
747857	385105	Sister Lucy 'Gardiner' Tyler 
747857	388764	Firefighter Morgan 'Mad Dog' 
747857	400601	Sandy Spencer
747858	304243	Coxie
747859	95631	Maggie Eisner (Automat featur
747860	69773	Martha
747860	115011	Mrs. Williams
747860	120148	Ruth's Mother
747860	185174	Sue Hunt
747861	47334	Water Glass Virtuoso
747862	40074	Arline Crocker
747862	197940	Morton's Wife
747862	208695	Carolyn Howard
747863	150054	
747864	11630	
747865	267486	Bright girl
747866	274689	Haircutter
747867	354288	Ulvi
747868	48063	Member of the Marquee Quintet
747869	79450	Indigo Plantation
747870	190379	Aunt Lily
747871	278476	Woman Guard
747872	176942	Hope
747873	79528	Sandra
747874	17073	Elderly Woman (new movie)
747875	175355	
747876	74285	
747877	7025	Kitty O'Day
747877	9970	Ann Coswell
747877	18738	Mrs. Hawkes
747877	20316	Judy Allen
747877	30369	Necia
747877	35822	Jean Lawrence
747877	39988	Hatti Combest
747877	42019	Lucille
747877	54830	Timka
747877	80516	Heather Hayden
747877	81989	Judith
747877	84353	Kitty O'Day
747877	88165	Lucile SmIth
747877	109206	Adie Boyer
747877	109399	Herself
747877	115472	Maxine Scott
747877	116151	Shirley Brooks
747877	116169	Georgette
747877	122759	Alice Bronson
747877	127113	Peggy Martin
747877	128171	Mary McCoy
747877	135918	Molly, Singer
747877	140332	Sally Moore
747877	142592	Doris Henley
747877	144453	Dorothy Greenfield
747877	144799	Connie Baker
747877	154356	Susan Richards
747877	178946	Holly Ripple
747877	183637	Louise
747877	183708	Mary
747877	186415	Cora Dean
747877	186556	Sarah Lescalle
747877	190065	Carole Martin
747877	190944	Toni
747877	192408	Elizabeth 'Beth' March
747877	199534	Adele
747877	214594	Mary Smith
747877	222667	Betty Lansing
747877	228828	Ellen Sayre
747877	233620	Louise Campbell
747877	239068	Valerie
747877	241257	Carol Dunlap
747877	242812	Eleanor Shackleford
747877	248896	Susan Wesley
747877	249346	Mrs. Sarah Jones
747877	252218	Elizabeth
747877	255340	Herself
747877	256900	Patricia Mallory
747877	262011	Carol Blake
747877	264170	Princess O'Hara
747877	272532	Princess Maria
747877	279539	Alice Williams
747877	280688	Frances Crawford
747877	280959	Laurie
747877	280969	June Martin
747877	292521	Eloise Duval
747877	294627	Toni Martin
747877	297967	Linda
747877	308398	Steve Moore
747877	315506	Danitza
747877	329116	Amanda Bailey
747877	331109	Liz
747877	335343	Julie Bronson
747877	336221	Grace Holman
747877	336814	Della
747877	337846	Molly
747877	342715	Mazie
747877	362367	Ruth Harper
747877	364773	Rosanne Stroud, aka Rosanne T
747877	368806	Peggy Starr
747877	372113	Elizabeth Burton Bell
747877	374522	Mary Tibbett
747878	314738	Jeanie
747880	31968	Jean Merton
747880	31978	Jean Merton
747881	33599	One of Frenchie's Girls
747881	154182	Dancer
747881	175175	WAC
747881	195190	Drum majorette
747881	254283	February Petty Girl
747881	282711	Dancer in Haiti number
747882	191424	
747883	122638	Doris Fenwick
747884	313429	
747884	330368	Belson's Doctor
747885	1710	Sgt. Romiski, T-Force
747885	216162	Phone Room Operator #4
747886	280475	Female Team Member/Female Hos
747887	380344	Denka
747888	367951	Herself
747889	40005	Jean Bitton
747889	165449	Leah
747889	333102	Ada
747889	400516	Mrs. Noble
747890	127376	
747890	366390	Dori
747891	128154	Carrie
747892	296783	Dana
747892	309470	Talim
747894	381490	Co-Hostess
747895	233827	
747896	283248	Lake Girl #3
747897	114626	Girl
747898	16627	Diane
747899	7619	Large Woman
747899	78920	Mrs. Nicholls
747900	331603	Elizabeth
747901	117464	
747901	280270	Paulie's Date
747902	411419	Sarah Sims (1970) (original c
747903	86218	
747905	28309	Apple
747905	45738	
747905	69625	
747905	83676	Alluring Woman
747905	83820	Psychiatrist
747905	102811	
747905	113804	
747905	113992	
747905	119477	
747905	131653	
747905	183404	
747905	187411	Herself
747905	242073	
747905	296090	
747905	321385	
747905	323834	
747905	331353	
747905	335229	
747905	366829	Hooker
747906	218853	Kellie
747907	138253	Herself (contestant)
747908	71581	Secretary
747908	112031	Barbara Griselle
747908	113825	Fire Maiden
747908	131392	Three Graces
747908	203678	Suzanne
747908	249802	
747908	293224	
747908	315024	
747908	346230	Maid
747909	372097	Rudy Sr.'s Girlfriend
747910	334149	Mom
747911	193000	Tracy
747911	305391	Jackie
747912	7482	Bridge Player
747913	7136	Barbara
747913	19289	
747913	58430	Eileen Chadwick Hawthorne
747913	62032	Helene Harrelson
747913	69691	Shirley
747913	78937	Herself ('Angelique DuPr'es)
747913	83992	Grace
747913	118549	Rachel Parmelee
747913	144452	Jeannie Mitchell
747913	158896	Laura Banner
747913	186535	Denice
747913	223811	Charlotte
747913	232027	Angelique Collins
747913	241106	Maggie Conway
747913	270394	Kelly March
747913	281505	Janet
747913	289030	Margo
747913	307579	Lisa Tobin
747913	383385	Linda Vandenburg (1985-1986)
747913	385719	Angelique Bouchard Collins Du
747913	393470	Katie Robbins
747913	410616	Wanda Elliott
747914	166917	Former Girlfriend
747915	34616	Nurse
747915	40506	Baby Laura
747915	54114	Simone
747915	59765	Young Mother
747915	62525	Judy Rebick
747915	80707	Roz
747915	97696	Martha
747915	98392	Anya
747915	117037	The Theater Company. Day job:
747915	145736	Margaret Truman
747915	150751	Mrs. Barrymore
747915	184981	Waitress at Ed's
747915	202727	TV Anna
747915	214078	Dixie
747915	221306	Beatrice Kaufman
747915	231550	Librarian
747915	291261	Cpl. McDonald
747915	313562	Also featuring
747915	346720	Hotesse au salon de thè
747915	363653	Receptionist-Shelter
747915	372318	Alice
747915	387237	Da'an (1997-2001)
747915	387524	Miss Brownell
747916	55544	
747916	174482	
747917	77805	Chorus girl
747917	183855	Second Siamese Twin
747917	228639	Casquette Girl
747917	317354	Student
747917	347066	Second Siamese Twin
747919	363242	Singer
747920	11632	Kate
747920	55818	Corey
747920	73573	Cindy
747920	115929	Carrie
747920	159514	Melissa
747920	244445	Kate
747920	299485	Little Girl
747920	368944	Tim's Sister
747921	29523	Annie
747921	306421	So Fine Girl
747921	309678	A Girl in Pool
747921	315246	Thera
747923	249557	Charlene
747924	150472	Tiffany
747925	141500	Rose Neville
747926	73986	Mrs. Fanshaw
747926	257874	Mrs. O'Connor
747927	334271	Waitress
747928	117232	
747929	328603	Teacher (segment "Come To Gra
747930	142422	Mette
747931	212732	Shawna Landon at 11
747932	391161	May (1968-1969)
747933	72668	
747934	64801	Jalapena Helen
747935	262015	Lab Hostage
747936	108277	Lily
747937	205172	Herself
747939	157922	Girl at Dance
747940	117883	Nurse
747941	95763	
747941	96478	Leonie Pierson
747941	120937	
747941	137418	Liane, Frau Gonzales
747941	164272	
747941	197416	Irene
747941	197889	
747941	289215	
747941	290220	
747941	290813	
747941	322562	
747941	347046	Briggs' Fiance
747941	348085	
747941	356849	Iduna, Frau Brenneis Tochter
747941	361482	
747942	21300	Punkins
747942	51885	Southern Girl
747942	53194	Co-Ed
747942	66549	Girl
747942	149947	Rosa Gonzuelo
747942	152925	Bit Part
747942	175175	
747942	183706	Miss Parker
747942	197693	Widow Sutton
747942	223019	Anita
747942	271953	Mitzi
747942	302629	Bit
747942	312584	Punkins
747942	318175	Ellen
747942	330537	Nancy
747942	372204	Pvt. Sally Briggs
747943	358703	Michelle
747944	2563	Herself - Nominee: Best Lead 
747944	2787	Herself
747944	2798	Herself
747944	2805	Herself - Best Supporting Act
747944	2894	Herself (Winner of Best Suppo
747944	34964	Sue
747944	45662	Robin
747944	49366	Ellen
747944	65612	Dianne Sway
747944	75282	Cate DeAngelo
747944	114691	Rona
747944	120148	Ruth Jamison
747944	131739	Peggy Blane
747944	132756	Dee
747944	160311	Herself
747944	187189	Rica Martin
747944	188275	Julia Hirsch
747944	194140	Lisa
747944	201480	Officer Emily Peck
747944	207484	Bonnie Hanssen
747944	214981	Corrine Morgan-Thomas
747944	221174	Rita
747944	222645	Caroline Walker
747944	226954	Joanne White
747944	256464	Toni Edelman
747944	257078	Linda
747944	261039	Henrietta Stackpole
747944	268913	Sarah Richardson
747944	273783	Pooty
747944	274069	Molly Graham
747944	280844	Constance
747944	285726	Lucy Ann Deen-Dulcimer-Bedloe
747944	289074	Lillian
747944	301393	Charlotte
747944	302211	Dr. Valerie Crane
747944	318390	Phyllis McGuire
747944	335720	Pearl Spencer
747944	380256	Harper Pitt
747944	404002	
747944	410835	Amelia 'Amy' Gardner (2001-)
747945	269082	Gidget Maida
747945	353357	Barbara
747947	192286	Photo model
747948	392154	
747949	259407	Audience Member
747950	72931	Goodyear Chorus Girl
747951	42773	Tera the Dancer
747951	82683	Party babe
747952	18612	Lynne
747952	40836	Connie
747952	46270	Kate
747952	57928	Florence
747952	58495	Mathilde
747952	69917	Stephanie
747952	81545	Rachel Morton
747952	97091	Francine 'Frannie' (mother an
747952	107906	Norma Sax
747952	114691	Anna Miller
747952	120537	Lina
747952	131601	Madeline
747952	131635	
747952	139048	Jenifur band member
747952	139968	Maggie
747952	160778	Chyna Shepherd
747952	161641	Daisy
747952	162364	Emily Leighton
747952	178189	Sandra Larson
747952	183426	Julia
747952	185463	Nurse
747952	185758	Sarah
747952	191747	Social Worker
747952	194265	Monica
747952	201503	Herself
747952	205969	Agnes
747952	208285	Nina Rothman
747952	210866	Amy Foley
747952	224328	Lori Spoda
747952	232831	Lisa
747952	241552	Eliza Williams
747952	249047	Peg Kennedy
747952	267426	Mel
747952	272133	Sue
747952	272437	Alice
747952	294976	
747952	317892	Courtney
747952	319239	Hannah Wippler
747952	320319	Leila Murray
747952	333855	Lulu Foley
747952	346005	Cynthia
747952	346413	Narrator
747952	358479	Juliet Beck
747952	359202	Sylvia
747952	366177	
747952	368040	Molly
747952	385908	Alma Garret
747952	409214	Hope
747953	11632	Female Referee
747953	22931	Nadine
747953	67387	May Bolton
747953	68208	
747953	70741	Mother
747953	140907	Sally
747953	155861	Coroner
747953	157290	Gloria Washburn
747953	194025	Haru's secretary
747953	211611	Fat Girl
747953	214976	Greta
747953	224257	Dr. Frida Schluss
747953	226777	Madame Divine
747953	244445	Marie
747953	252925	Janice Moran
747953	270587	Goldie
747953	279456	Mrs. Tindermarsh
747953	283510	Fat Lady
747953	291039	Dolores
747953	313064	Jane
747953	321667	Jessica
747953	331891	Dorothy
747953	362258	French Madam
747953	367512	Corrine
747953	389531	Regular
747953	408056	Supporting Player
747955	127585	
747956	50607	Lily
747956	97091	Ghost of Christmas Past #2
747956	105617	Waitress at Knotty Pines
747956	137536	Darla
747956	139048	Journalist
747956	207765	Nurse
747956	230442	Coil (The Nasties)
747956	282954	Niki
747956	298008	Young Groupie
747956	315257	Female Draft Officer
747956	399495	Venus Hero
747957	94861	Finale Singer
747957	119625	Mousy
747957	304529	Redhead
747958	396359	Various (2003-)
747959	1664	Bridget
747959	2626	Herself
747959	7103	Nurse Jenny
747959	41942	Melissa Green
747959	43883	Becky Barnett
747959	48040	Reese Marie Wiggam Ellis
747959	77793	Tomasina 'Tommy' Crawford
747959	87979	Stephanie
747959	100887	Ade
747959	105805	Georgeanne Taylor
747959	139443	Clarisse
747959	158930	Evelyn 'Evie' Roy
747959	177605	
747959	194566	Christine Claiborne
747959	196549	Frances
747959	204947	Sherry
747959	214455	Weather Karkinnon
747959	215087	Denise Scott
747959	223349	Mavis
747959	273704	Wanda
747959	275453	Carol Boone
747959	310410	Nina
747959	404648	Ryan Muse
747959	406007	Teri Joseph
747960	15222	Amy Fisher
747960	22810	Jill
747960	65579	Veronica
747960	76554	
747960	86492	
747960	102580	Harmony Star, aka 'Pamela Tre
747960	157596	Charmian
747960	178128	June Stern
747960	185714	
747960	186822	Zoey
747960	194213	Woman Client
747960	231068	London
747960	263057	Betsy
747960	265916	Cambi
747960	295349	Birth Control Girl
747960	342628	Jeanette
747960	364459	Hitchhiker
747960	400695	
747960	405494	Reed Lyn Halsey Philby #2 (19
747961	396123	Lorna Forbes Conway #2 (1986-
747962	30474	Little Girl in Donut Shop
747964	262	Julia
747965	402113	Sub-model (1972-1973)
747966	60866	
747967	90010	Tebaldo
747967	220724	Three Ladies
747967	321086	Company
747968	384303	
747968	391900	Mariana
747968	406847	Branca
747969	213122	Karen Allendale
747970	109571	
747971	23699	
747971	348753	Ten
747972	2232	Stephanie
747972	12776	Melodie
747972	46448	Ann
747972	71319	Tang (segment "Tang")
747972	120093	Joi
747972	126535	Jamilia
747972	144788	Gracie
747972	195521	
747972	223691	Rolonda
747972	254785	Felicia
747972	278626	
747972	297937	Evelyn
747972	312062	Adina
747972	323848	Sissy
747972	364558	Paula King
747972	368092	Claudette
747972	380495	Regular Performer (1992-1993)
747972	388080	Herself
747972	392422	Herself
747972	402343	Trudy Proud
747972	405738	Roberta Young
747972	408666	
747972	409667	Various Characters
747972	410674	Monique (1995-1996)
747972	410780	Val Brentwood - Gal Spy
747973	152576	Nellie Dale
747974	78771	Flirt Conroy
747974	193369	
747974	333054	Punch and Judy Show Operator
747974	396559	Terry Williams (1959-1960)
747974	396833	Maybelle Jackson (1961-1962)
747975	216737	Dancer
747975	352554	Carolyn
747976	273555	Donna
747977	56996	Cassandra
747977	144406	
747977	167048	Soul/Herod Girl 3
747977	252877	Feet Express girl
747978	108869	The Countess
747979	153187	Margaret
747979	380943	Rhonda (1968-1969)
747980	228650	
747981	138889	Librarian/Biker's Girlfriend
747981	152809	AAA Guns
747981	158338	Woman on train
747982	5028	Carrie
747982	26844	Bystander #1
747982	27263	Michael's Neighbor
747982	146091	Susan Frazier
747982	251867	Lisa
747982	278012	
747982	291495	Belle
747982	314656	Bobbi
747982	354136	Young Woman
747982	358838	Charlene
747982	361167	Libby Ohiemacher
747982	383385	Tracy Harris (1986-1987)
747982	388202	Loretta
747983	87218	Miss Clavell
747983	152300	Flapper
747983	157541	Jodie Wilson
747983	187226	TV reporter
747983	279841	Tyler
747983	308738	Pattie McLeish
747983	338313	Dolly
747984	251054	Toyota's woman
747985	118020	Mrs. Croshere
747986	78835	Wendy & William Beaumont
747986	86046	Liz
747986	163922	
747986	370851	Shelley
747987	37057	1950's Sorority Girl
747988	263	Francesca Lanfield
747988	1440	Herself - Presenter
747988	1462	Herself
747988	1681	Herself - Host
747988	2581	Presenter
747988	2615	Herself
747988	2753	Herself
747988	2761	Herself/Presenter, Outstandin
747988	2762	Performer for musical "Once U
747988	2779	Herself
747988	2797	Herself
747988	2805	Herself - Best Actress Winner
747988	2816	Presenter for Best Musical
747988	2818	Herself/winner
747988	2894	Herself (Winner of Best Actre
747988	2909	Herself
747988	2924	Herself
747988	3044	Herself
747988	12247	Suzanne Henderson
747988	13751	Herself
747988	37321	Herself
747988	47363	Herself
747988	76542	Rachel Goldman
747988	87981	Herself/presenter
747988	94621	Nell Fenwick
747988	97360	Dolores Fuller
747988	99602	Herself
747988	102209	Jo Ann Harris
747988	106378	Jodie Trammel
747988	114298	Shelly Stewart
747988	114314	Lisa
747988	115517	Carolyn McAdams
747988	116907	Rusty
747988	128727	Janey Glenn
747988	130329	Maggie
747988	140012	Meredith Morton
747988	147214	Sarah Sanderson
747988	148952	Betsy/Donna
747988	155862	Lucy Ackerman
747988	158107	Callie Cain
747988	160464	Herself
747988	161225	Herself
747988	161296	Herself
747988	161324	Herself
747988	182977	SanDeE*
747988	190045	Narrator
747988	190258	Amy-Beth
747988	206488	Nathalie Lake
747988	212623	Gwyn Marcus
747988	223739	Katy
747988	267598	Miriam
747988	277638	
747988	281443	Mandy Janovic
747988	284003	Laura
747988	295601	Carrie
747988	295609	Carrie Bradshaw
747988	308184	Lori Anderson
747988	313914	Claire Wellesley
747988	316327	Grief Counselor Peggy Callas
747988	316979	Jo Christman/Det. Emily Harpe
747988	317877	Sarah Geldhart
747988	319254	Nancy Clark
747988	387718	Jo Ann Harris
747988	404946	Carrie Bradshaw
747988	406302	Patty Greene
747988	406617	
747988	411672	Kay Erickson
747988	411673	Kay Ericson Gardner
747989	149968	Cashier
747989	265473	Female Paramedic
747990	79450	Indigo Plantation
747992	183239	Suzelle
747993	2730	
747994	279029	Zita
747995	183684	Red
747995	214828	Terry
747995	215837	Alice Grant
747995	258067	French Girl
747997	289673	Abused Wife (Segment "7: 23")
747997	364203	Cynthia Montgomery
747998	296814	Police radio operator
747999	80607	Caddy lady
747999	287131	Irma Kovak
748001	34799	Gregg Adams
748001	58724	Barbara Dixon
748001	64396	Lucy Bowen
748001	65568	Herself (1963 television comm
748001	115481	Lucille Caroll
748001	121819	Specialty Dancer (Pink Number
748001	147839	Herself
748001	160980	Lisa Cardigan
748001	178141	Gwinneth Livingston
748001	327746	Kate Drummond
748001	402245	
748002	100391	Maluca
748004	109454	Kelly
748005	27200	Herself
748006	206388	Carla Alexander
748007	46327	Pool Girl #3
748007	150182	
748008	368043	Chrissy
748009	107867	Lato
748010	167043	Terri Rowbe
748011	92618	Dr. T's Staff
748011	264452	Breezy
748012	359894	
748014	388202	Musetta
748015	30680	Brainiac
748016	278727	French Woman
748017	264097	
748017	386250	Herself
748018	32438	Girl at Dairy Cool
748018	44844	Motel Manager
748018	46372	
748018	69409	Woman in Pickup
748018	121487	Agnes Volence
748018	148260	Lamaze Instructor
748018	171197	Nasty Stewardess
748018	193669	Margaret Siddons
748018	229257	Townswoman
748018	252455	Julie
748018	274427	Driscoll Townsperson
748018	292015	Librarian
748018	293021	Woman at Cemetery
748018	297914	Ethan's Mother
748018	305941	Edna May
748018	340864	Mrs. Colville
748018	343020	Reporter #1
748018	347692	Jury Foreman
748018	350700	Mo Moxon
748018	358321	Stage Manager
748018	366959	Neighbor
748018	391262	Illinois Farm Wife
748018	406719	Maggie
748018	411355	Exa Banks
748019	334410	Girl in Bar
748021	155244	Tracey Dale
748022	32886	
748023	381489	Herself/Assistant
748024	24969	Elizabeth
748024	33752	Connie
748025	210797	
748026	35524	Annihilator Girl
748026	37702	Jamie
748026	69504	Francesca
748026	133214	Antoinette
748026	160415	(segment "I've Got A Crush On
748026	301787	Beautiful woman
748026	405123	Tiffany Baker
748027	384083	Host
748028	245033	Victoria
748028	363932	Nancy Wirewater
748029	133939	Herself
748030	133939	Herself
748031	67792	
748032	18908	
748032	173678	
748032	180941	
748032	229035	
748032	255900	
748032	261239	Tamara
748032	289863	
748033	155003	Nurse
748033	178976	Woman
748033	203766	Girl
748033	207865	Board Member Wife
748033	223733	Nurse
748033	271855	Guest
748033	318192	Elevator passenger
748033	325026	Matron
748034	1410	
748034	1640	High School Girl
748034	3857	Herself
748034	22720	Bonnie
748034	29655	(1983)
748034	31183	Herself (NBC Team)
748034	31765	Judith Rubin
748034	46330	Jackie Wyatt
748034	52201	Cleo Banks
748034	62925	Christina/Kay
748034	73562	Angela Adams
748034	127202	Eileen
748034	129992	Herself
748034	161271	Herself
748034	164661	Herself
748034	180846	B.A.
748034	186325	Jane Adams
748034	201205	Cynthia
748034	211219	Roxanne Delancey
748034	253355	Ellen Cartwright
748034	254331	Herself
748034	254332	Betty Harrington Cord
748034	267355	Maggie
748034	289456	Annie Laurie Williams
748034	300045	Rosa O'Flynn/Oldsmith
748034	306034	Barbara Maxvill
748034	325234	Susan Wilcox
748034	330463	Herself
748034	334132	Duchess of Windsor
748034	345852	Dr. Margaret Houghton
748034	350012	Anne Welles
748034	351698	
748034	360709	Herself
748034	372600	Vanessa Hunt
748034	375047	Anna Held
748034	381111	Herself
748034	383429	Martinique
748034	393427	Leonie
748034	396744	Charlotte Kent
748034	401350	Betty Anderson Harrington Cor
748034	404419	Various Characters (1991)
748034	407897	Marjorie Ferrier/Hilda Eaton
748035	136979	
748036	57650	Herself
748036	257581	Herself
748036	263446	Model
748036	295951	Herself
748036	351169	Charlene
748036	402113	Model (1975-1993)
748037	64073	The Fairy Godmother
748037	223058	Odile (SWAN LAKE ballet)
748037	281170	Rosaline
748038	11906	Giuseppa
748038	19035	Margot Krosmansky
748038	52632	Millie
748038	60237	Conny Neudorff
748038	82510	Mara
748038	91019	Melanie Sass
748038	95177	Sohad
748038	119224	Mai Winter
748038	137949	Ophelia #2
748038	147175	Mecki
748038	147179	Flora
748038	149127	Charlie
748038	158227	
748038	178770	
748038	211489	Birgit
748038	236643	Maria
748038	236828	Nadja
748038	350858	Isabell
748038	352263	Emily
748038	352483	Angela
748039	69382	Susan MP
748039	158061	Motel Clerk
748039	342153	Aunt Virginia
748040	250764	Pub Patron
748041	408148	Herself - Panellist
748042	278909	Jenny
748043	11509	Rita
748044	122764	Raili
748044	145359	
748044	174740	
748044	179625	
748044	181592	Laila
748044	260056	
748044	271604	
748044	271635	
748044	343395	Silja Varala
748045	152442	
748046	163181	Katariina "Kati" Laine
748046	249541	
748046	300796	
748046	380247	Angela Anders
748046	410461	Eki
748047	68013	Citizen
748048	129178	Ingalill
748049	388264	Herself (Series 2) (2003)
748050	36364	
748050	46354	
748050	57112	
748050	98888	Girl at picnic
748050	109628	
748050	144420	
748050	153476	
748050	169607	
748050	178086	
748050	195617	
748050	197747	
748050	249549	
748050	254796	
748050	263759	
748050	295668	
748050	312612	
748050	353731	
748051	144891	
748052	272728	Maureen
748052	366842	Jane
748053	84434	Michi Kanzaki
748054	52310	Chrissie
748055	140318	
748056	89311	Waitress
748057	22179	Karen
748057	120120	Vera Sanchez
748057	194223	Jan
748057	360855	Tina, Vito's Girl
748057	381576	Sally Dundee
748057	385824	Mitzi Rummley #1 (1982)
748057	412070	Senorita Anita
748058	197748	
748059	171073	Sally
748060	123646	Christy
748060	228032	Herself
748061	83929	Door Woman
748062	138822	April Jones
748062	396117	Megan Cushing Saxton #2 (1977
748063	232281	Lisa
748064	195558	Singer
748066	100678	
748066	112711	Kitty
748066	128506	The chum
748066	164490	Rose
748066	186266	
748066	193847	
748066	203802	Milly
748066	241317	
748067	13800	Waitress
748067	299451	Marilyn
748068	107386	Betty Black
748068	134694	Nurse Catherine
748068	231936	Doris Courtier
748068	232017	Herself
748068	295294	
748068	386859	Herself/panelist (1956)
748068	396088	Ellie Crown (1951-1955)(origi
748068	408365	Herself/panelist (1956-1957)
748069	195558	Mia
748069	281365	Young Sister
748069	300913	Girl in Botanica
748071	153151	Kissie
748072	68978	Admin Assistant
748073	379925	Herself
748074	406549	Flora
748075	367073	Munchkin
748076	372477	
748077	60776	
748078	342608	Herself
748079	383897	Herself - Correspondent (1996
748083	75028	
748083	239629	
748084	100678	
748085	40441	Piano Player
748085	136531	
748085	245589	Mrs. Clark
748085	305898	Laura Jessup
748085	310777	Jane Chandler
748085	329106	Ann Williams
748085	333301	Elsie Mandelspiegel (a girl i
748085	350645	Herself
748086	35690	Keao's mother
748088	235162	Sonya
748089	1480	Herself - Presenter
748089	1805	Herself
748089	157942	Herself (rides bus)
748089	161368	Herself
748089	213499	Herself
748089	238497	Herself
748089	281644	Herself
748089	310707	Herself (leads march into Mon
748089	388137	Herself
748090	108617	Receptionist
748090	292430	Louise North
748090	310416	Registrar
748090	393037	Nurse
748092	252455	Uniformed cop
748092	292637	Phelan
748092	293021	Lizzy Burke
748092	340864	Nellie
748093	312797	Herself
748094	23447	Betty
748094	41191	Margie
748094	79863	Scorpion
748094	80724	Nicole, danceer
748094	83824	Valerie
748094	93870	Runaway wife
748094	102778	The Ghost
748094	123397	Vixen
748094	192267	Barbara
748094	196417	
748094	213260	Misty
748094	232293	
748094	236331	Bambi
748094	252889	Pajama Party Guest
748094	257545	Michelle
748094	269847	Redhead Flasher
748094	295375	
748094	305777	Hooker
748094	333857	Vladimina
748094	355152	Susan
748094	367803	
748095	119937	
748095	182956	Angie
748096	37286	
748096	79078	Syreena
748096	85871	Thumper
748096	160293	Herself
748096	191394	
748096	223362	Marcie
748097	327063	Tora Hokori
748098	137491	Herself
748099	318204	Girl #2
748100	194605	Rich Girl
748101	212524	Gracilla
748101	313420	Girl with Teddy Bear
748101	411365	Desiree Sugarbaker
748102	247912	Undetermined Role
748102	340673	Mrs. Fraser
748103	103407	
748104	339088	
748105	122500	Katinka
748106	198	
748106	113559	Moglie di Carlo Piane
748106	214860	
748106	243266	
748106	269172	
748106	375796	La maestra/L'institutrice
748106	386812	Betta
748106	409092	
748107	76526	Charlotte
748107	306182	Lila
748107	346274	
748107	358576	Little Girl
748107	390979	Mary-Beth Pepperton
748108	227032	Mrs. Able
748109	168126	Little Girl in Church
748110	215691	Miss South Dakota USA
748111	7449	Mina Lesurques
748111	23051	Juliette
748111	23635	Denise Baudu
748111	64301	Herself
748111	77357	Comtesse Anna Fedorovna
748111	77386	
748111	125119	
748111	132988	Elsa (farm woman)
748111	142001	
748111	142061	Anna
748111	149154	Roszi
748111	158838	
748111	171346	
748111	177985	
748111	199586	Mademoiselle Docteur
748111	204634	
748111	210315	
748111	211097	Annie Marlow
748111	220864	The Girl
748111	243038	Lisbeth
748111	246838	
748111	272387	
748111	283047	Jeanne de Romer
748111	301358	
748111	340360	Alma
748111	343480	Inge Dancer
748111	344558	Anna Salic
748111	346053	Dr. Anne-Marie Lesser
748111	346978	Marika
748112	30128	Grace
748113	30429	Angel
748114	292473	
748114	299944	Wanda Brown
748115	216987	
748116	403001	Herself/Road Rulers
748116	403487	Herself/Europe (1997)
748117	234483	L'écolière
748118	130358	Miss France
748120	48007	
748120	162715	
748120	222275	
748120	397008	Baskan
748120	411658	
748121	8140	
748121	176168	
748122	321999	Cloakroom girl
748123	239913	Woman at a milk shop
748123	326641	Mrs. Kähkönen
748123	341559	Rättäri's mother
748123	344376	Karuliina Sipri
748123	354087	Hilma Saviainen
748124	191471	
748124	393878	
748125	34416	Klara
748126	67182	Madame Elisabeth
748126	235253	
748127	216611	
748128	78842	Mrs. Daniels
748129	194229	
748130	320582	Kennet's Sister
748130	342313	
748131	109320	Millan
748132	33555	Severine enfant
748132	70316	Renata
748133	357863	Claudie, la camarade de class
748134	11040	
748134	17868	Stella
748134	32270	Louise
748134	43008	Jasmine Troney
748134	62565	Anne
748134	116479	Lucie
748134	145732	Hérisson
748134	205770	Julie
748134	343578	Julie
748134	351863	Juliette
748134	353908	Stella
748134	354576	Fiona
748134	383864	Jeanne
748134	387081	Blandine
748135	366157	
748136	371404	Herself
748137	95329	
748137	356147	
748138	58170	Waitress
748139	76410	Asha Verma
748139	333712	Sanam
748139	373718	
748140	48417	Jean D'Arc
748140	299369	Mihaella Vais
748140	395073	Jennie
748141	105185	Rosa
748142	171963	
748142	175324	Frau Radebrecht
748142	177332	Kritikerin
748142	312881	
748142	343488	Zweite Frau
748142	343492	Pennerin
748142	376263	Die Frau
748143	77146	Dallas Cowboy Cheerleader
748144	252884	Logan Crosby
748144	317927	Phyllis, Age 8
748145	205448	Mrs. Horstwalder
748145	316345	Martina Sanders
748145	329605	Mrs. Bernice Mann
748146	360470	Woman in Wheelchair
748147	296798	
748148	185626	Mrs. Beaumont
748149	73913	Lucy
748149	302110	Simisola (Sojourner)
748150	46389	Mrs. Stevens
748150	106176	
748150	206108	
748150	226931	Hostess
748150	249486	Day Nurse
748150	301762	Joan Drew
748151	108087	Hawaiian Dancer
748153	131915	Waitress
748153	151461	Tour Girl
748153	171050	Rona
748154	301676	Marianne (age 8)
748154	318346	Cindy
748155	5311	Herself
748156	358881	
748157	88485	
748157	202405	
748157	207382	
748157	211253	
748157	217482	
748157	287391	
748157	288245	
748157	296627	Gypsy Girl
748157	326958	
748157	328180	
748157	330975	
748157	405302	Host (1994-95)
748158	239465	
748159	229425	
748160	236712	
748161	27824	Hotel director
748162	42844	Herself
748162	342118	Se stessa
748163	376831	
748164	19878	
748164	28760	Giuliana
748164	38630	Irene Della Bella
748164	47259	
748164	68653	Agnese Mellario
748164	90068	
748164	108505	Elena Carafa
748164	187446	
748164	262223	
748164	349655	Patrizia
748165	139895	
748166	27853	
748167	84596	Fabienne
748168	12278	
748168	15125	Georgette
748168	25094	Lucienne Aubier
748168	28697	
748168	30262	
748168	78392	Alma
748168	82369	
748168	83187	Marie
748168	155089	Claire
748168	166162	
748168	209947	
748168	216374	Georgette
748168	249090	
748168	309767	Nathalie
748168	317558	
748168	338052	
748168	352929	The Queen
748169	103992	
748170	83370	
748170	84678	
748170	140282	
748170	224903	Fleur de Marie
748170	268395	Victorine
748170	275647	Bit part
748170	345027	Claire
748170	357079	Florence, la jeune mariée
748171	6402	
748171	23636	Une boutiquière
748171	42213	La grand-mère
748171	51400	
748171	54392	La concierge
748171	55532	La voisine de la nourrice
748171	57397	
748171	61431	La bourgeoise
748171	66075	
748171	67068	Un amie de la veuve Ménard
748171	76030	La femme de ménage
748171	77341	
748171	84678	
748171	91972	La vieille Thérèse
748171	100281	La bijoutière
748171	103207	Madame Pinchard
748171	111049	La femme de chambre
748171	119048	La mère
748171	133000	Sylvie
748171	152373	
748171	166870	Petit rôle
748171	214882	Une commére
748171	216235	Madame Magloire
748171	257008	La bonne
748171	268414	La couturière
748171	275647	Bit part
748171	287340	Mme Cardinaud, mère
748171	287595	Une concierge
748171	294565	La dame des vestiaires (segme
748171	327563	
748171	340203	Mere D'Une Danseuse
748171	353853	Madame de Merly
748171	354695	L'hôtelière
748171	356370	La concierge
748171	357117	La vieille fille
748171	377948	
748172	63231	
748172	244461	Flavie
748172	337022	
748173	145153	
748174	356915	Vard
748174	371279	
748174	374717	Horomsim
748175	212084	Kid in classroom
748176	113246	
748176	387189	
748176	398167	Madre Directora
748177	124507	Italianita
748178	8475	
748179	81428	Une résistante
748179	378789	La fille ('Chez Maman') (2004
748180	40427	Ruth
748180	208711	
748180	215589	
748181	23704	Italian Woman
748182	102734	Lisa (episode "An Erotic Chri
748183	273815	Girl in Park
748183	358288	The Cashier
748184	56304	Woman Black Jack Dealer
748184	145071	Pilot's Mom
748185	199570	Young Girl
748186	411520	
748187	102116	Lily
748188	87586	Tucker's Girlfriend
748189	154147	Medic 2
748190	262759	
748190	381238	Thai Thief
748190	385651	New York Times secretary
748190	409400	Kim Shaomin
748190	410167	Le
748191	200282	Myra Farnsworth
748192	313818	Diane Duncan
748192	390050	Jane Sturgess
748193	90888	Middle-Aged Woman
748193	244480	Newsagent
748193	295489	Receptionist
748193	313081	Mrs. Barton
748193	330884	Mrs. Farrer
748193	385825	Agnes Cranwell
748193	387247	Auntie Irene (1986-1987)
748193	411288	Mrs. Drew
748194	384090	Edith Beverley
748195	190893	
748195	192044	
748196	64173	The Fiancée
748196	162891	McMasters' Native Wife
748196	171074	Lulu Pope
748196	196185	Mario
748196	197653	Minna Dolan
748196	203698	Cecile
748196	310017	Sadie Jones
748196	315880	Bobby
748196	321793	Nonette
748196	366333	Millie Nelson
748198	139099	June
748198	328905	Galya (aged 39)
748198	391588	Annie Walsh
748199	318926	The Girl
748200	30618	
748200	41049	
748200	46403	
748200	56821	
748200	85092	Doris Stilwell
748200	88162	
748200	121868	
748200	145938	
748200	147736	
748200	153157	
748200	191283	
748200	207184	
748200	224002	
748200	290989	
748200	300030	
748200	363701	
748200	366052	The Girl
748201	70778	Teacher in Classroom
748201	104549	Nurse
748201	147745	Prison Guard
748201	245992	Donna's Mom
748202	366903	Singer
748203	103995	Justine Pórtico
748203	339986	
748203	385370	Ximena De Fontalvo
748203	387068	Jacinta
748203	395856	Teodosia
748203	397201	
748203	399707	Estela
748203	403459	
748203	403690	Blanca
748203	404989	
748203	405398	
748204	211042	
748205	237987	
748206	353637	
748207	7952	Cathy
748208	14266	Sernery
748209	325119	Slave Girl
748209	330689	Juanita
748211	384507	Dancer
748211	406972	Dancer
748212	194780	Country Club Guest
748213	393901	
748213	396125	
748213	407347	Amanda
748214	170029	
748214	290372	
748214	291612	Clienta de la pescadera
748215	377181	
748216	286285	Eva
748217	16171	
748217	90093	
748217	121951	
748217	145157	
748217	148025	
748217	171379	
748217	202316	
748217	246303	
748217	351636	
748217	379559	
748218	121649	Castanet Player
748219	144956	Tina
748220	198605	Hôtesse
748221	185398	Teacher/Maria
748221	358642	Zarla
748222	217167	Mme Piani
748223	55742	
748223	302394	Mamá Rosa
748223	385401	Presidenta Damas Voluntarias
748223	385663	Consuelo 'Chelito' de Gamboa
748223	386167	Beatriz
748223	388095	Doña Constanza
748223	402190	
748224	84052	Herself
748225	329151	Girl With Snow Cone
748226	233764	Madre
748227	5150	News staff
748228	99739	(segment "Az ember melegségre
748228	153854	Svéd milliomosnõ
748228	237322	Vilma
748228	243878	
748229	192318	Marissa
748230	245337	Young Arab Girl
748231	82386	Corinne
748232	348181	Santina
748233	135996	Dancer
748234	96306	
748235	334289	Beautician
748235	372569	Manuela's mother
748236	5196	Doris, Christine's sister
748236	363511	Eileen Joyce as a young girl
748237	112689	
748237	118615	
748238	358596	
748239	120840	Lisa Vasquez
748239	275880	Marci
748239	294004	
748239	311055	Marci Eyre
748239	352730	Teresa
748239	382505	Teresa Ortiz
748239	406177	Angie Ordonez (2000-2001)
748240	274786	Angela, Salvo's wife
748241	301376	
748242	215690	Miss Washington USA (Miss Con
748243	206687	Stella
748244	326604	Executioner
748245	123304	Mrs. Featherstone
748246	51724	Caesar
748247	26380	Lee Ann
748247	66148	Alko
748247	113501	Miranda Johnson
748247	206937	Mary Armin
748247	260789	Kristina
748247	362493	Monica Moore
748247	395054	Bonnie Stiles (pilot)
748247	401930	Reese Black (2002-2003)
748248	375508	Houswife in Park #1
748249	94575	Skiddles
748249	115566	Oblivia Frankenstone
748249	143571	Helen Little
748249	194212	Dogs and Wolves
748249	212880	Belle (Daisy Duck)
748249	212908	Daisy Duck (segment "Mickey's
748249	366280	Kanga
748249	367323	ESS Voice
748249	387108	
748249	388651	Aunt Sophie
748249	393185	Shelly
748249	395758	Helen Little
748249	399218	Kanga/Christopher Robin's Mot
748249	404517	Additional Voices
748249	405172	Pammy Panda
748249	405177	Husband Henry
748249	405718	Additional Voices
748249	411730	Rita
748251	26238	Sho's Mother, Lisa, Harmonies
748251	29099	Jennifer
748251	65837	Donna
748251	107823	Sheila
748251	143068	
748251	195082	Kelly Malone
748251	196339	
748251	232442	Hula Hoop Talent
748251	238228	Computer Girl
748251	270697	Member, The Miller Sisters
748251	308115	Lucy
748251	322417	Sakuya
748251	342491	Supermarket Checker
748252	366749	Model
748253	135996	Police Clerk
748254	336807	
748255	195381	Jail Matron
748255	255827	Bit Part in Church Scene
748256	306286	Chorus
748256	383385	Veronica 'Ronnie' Angelo (198
748257	326258	Settler woman
748258	243743	Rich Woman
748258	293126	Group Therapy Patient
748258	387309	Zelda Moffett (1981)/Buffy Re
748259	10602	Undetermined role
748259	342885	Secretary
748260	24158	Elinor
748260	92247	Patricia Gilhooley
748260	128353	Mary
748260	128377	Edith Carr
748260	178015	Radio listener
748260	195509	
748260	280830	Woman
748260	321852	Carmen Rozzini
748260	342394	Myrtle Schultz (Oscar's secre
748261	366749	Photo Assistant
748262	26065	
748262	26439	
748262	37469	Honey Girl Cameron
748262	46748	Communion girl
748262	61306	
748262	63992	Donna Cravat
748262	64099	Sally Murton
748262	89192	Maria Cogez
748262	89362	Helen, the audition singer
748262	114164	Barbara Clinton
748262	117340	Roberta: aged 8
748262	130973	
748262	145932	Jame
748262	154983	Trudie Morgan
748262	157866	Ellen Sanford
748262	192333	Kay Boylan
748262	192334	Penny
748262	199136	Felice
748262	201457	Genevieve
748262	208719	Maypole Singer
748262	224739	Marie
748262	245737	Barbara Gilbert
748262	266706	Little girl
748262	269783	Nora Reed
748262	293139	Margaret Carter as a Child
748262	303483	Rosita Alvarez
748262	308625	Elsa as a Girl
748262	312774	Herself
748262	315869	Neighbor Girl
748262	319215	Sylvia Clark
748262	330003	Marjorie
748262	330107	Vivian Drew
748262	331615	Kay Craig
748262	335621	Virginia Kerrigan
748262	336773	Ann Wilson
748262	340529	Ann Prescott
748262	349923	Child on Train
748262	362666	Diana Manning
748262	363288	Helen Borden
748262	366395	Ann Baxter
748262	367274	Marcia
748262	368244	Song and dance principal
748262	369432	Gloria, as a child
748262	369433	Linda Ward
748262	372295	Janis Bellacrest
748263	230116	Security Officer
748264	126130	Featured
748265	76384	Cocktail Waitress #2
748266	381313	Jennifer Allen
748266	390693	Mrs. Payne (1948-1949)
748267	26381	Nurse in Hospital
748267	84833	Sheila
748267	88696	June
748267	113879	Martha Brian
748267	139482	Serena Harrison
748267	163621	Bridalshop Saleslady
748267	171286	Mrs. Frazier
748267	185270	Marge Fields
748267	237007	College Student
748267	248496	Joanna
748267	259407	Audience Member
748267	333277	Salem Quaker
748267	363008	Nurse
748267	366390	Dee Dee
748267	383385	Maggie Brady (1982-1985)
748267	390343	Linda Lewis
748267	390607	Lot's daughter
748267	403281	Betty Anderson Harrington Cor
748268	253126	Switchboard operator
748268	294038	Aunt Abby
748269	29441	Ruth Sprague
748269	47912	
748269	53792	
748269	72595	Kathy
748269	76212	Ramona Bertrand
748269	76582	College girl
748269	84954	Cissy
748269	117098	Jan Brasher
748269	127414	Ev Kester
748269	128308	
748269	151535	Girl on Bus
748269	161936	Colleen Hudson
748269	189153	Daisy Mae
748269	189957	Bit part
748269	203342	Party Guest
748269	203917	Jocelyn Jordan
748269	215727	Zema
748269	217968	Treva Saint
748269	242941	Leg model
748269	261042	Iris Murphy
748269	295616	Susan
748269	324547	Lt. Alice Brent
748269	331549	Mary Lou Mauve
748269	355054	Courtier
748270	385824	Jamie Caldwell (1993-1996)
748271	231929	
748272	148375	
748273	44800	Gail Radford
748273	96614	Mary
748273	157870	Bit
748273	188381	Linda
748273	209612	Gloria
748273	241788	Girl
748273	330180	Pat Daniels
748273	331180	Handmaiden
748274	321126	Party Guest
748275	281371	Belze Marie
748276	206818	Nun #3
748276	345690	Ancient Personnel Secretary
748277	79656	Rockin' L Waitress
748279	112838	Catherine
748279	208128	Voyou du village
748279	249625	Lili
748279	292351	Molidje
748279	351712	Policière infiltrée
748279	383319	Conteuse de la côte Ouest (se
748280	357535	
748281	99008	
748282	324502	Dancer
748283	67698	
748284	244194	(segment "Quem Seria o Feliz 
748285	132618	Mrs. Johnson
748286	396009	Vesta Tilley
748287	223502	Woman in restaurant
748288	12338	Salsa Dancer
748288	196995	Dancer
748288	280081	Roxy dancer
748288	313825	Cheerleader
748288	372175	Dancer
748288	383721	Dancer
748289	293076	Octavia
748290	277808	Vanina
748291	232870	
748292	393695	Jinny
748293	37894	Julianne
748293	294236	April Witherspoon
748293	390634	Paige, Matty's girlfriend
748294	203083	Telephonist
748295	20625	
748295	117911	Mrs. Maywood
748295	359221	Mary Smith
748296	163413	
748296	304832	Mrs. Drew
748296	323402	Mrs. Murphy
748296	366038	
748296	372206	Mother
748297	202195	Student in Harlem Classroom
748298	87166	Duck Dancer
748299	166879	Bag Lady
748299	277533	Herself - Member of Florentin
748299	330218	Marathon Spectator
748300	7451	
748300	33616	
748300	73630	Claire
748300	117521	Madame Avenel
748300	269148	
748300	340212	Christine
748301	183229	Swan
748302	400806	Tina Goggin
748303	6410	
748303	35198	
748303	39100	Paul Baumann
748303	97059	
748303	98037	
748303	98332	Madame Knorr
748303	112948	
748303	115947	
748303	115948	
748303	119126	
748303	119169	
748303	120947	
748303	134774	Gisa Langer
748303	144069	Ursula Heider
748303	153587	
748303	156069	
748303	167134	
748303	168404	
748303	186927	
748303	189729	
748303	189775	
748303	197835	
748303	197949	
748303	199018	
748303	199019	
748303	218194	
748303	220167	
748303	234825	
748303	280794	
748303	290813	
748303	312631	
748303	312632	
748303	316556	
748303	317253	
748303	317254	
748303	322516	
748303	324668	
748303	324669	
748303	334497	
748304	11116	Prime Minster's Assistant
748305	292792	Reporter
748306	129826	1st Child
748306	138120	Rachel Mathias
748306	149807	Melie
748306	234033	Jackie
748307	54919	Housewife
748308	73434	Eden
748308	381013	Miori Sahara
748308	381785	Asami
748308	396491	Emiko Konno, Announcer
748308	404768	Anne
748308	404772	Kaneeshu
748308	412029	Viola
748309	58119	Liouba
748309	71559	Mercedes
748309	73918	Ann Amour
748309	77613	Eve
748309	78869	Molly Lester
748309	112851	La mère
748309	118467	Sandra Martin
748309	128293	Perlita Barker
748309	130711	Betty Felton
748309	140165	
748309	177337	Cordelia
748309	191557	Eva
748309	209730	Vitvitskaia
748309	213124	Jill harris
748309	213167	Peggy Thompson
748309	213312	Titania
748309	218317	Patricia
748309	236594	La femme
748309	238991	Sir William Robertson's Lady
748309	261842	Patricia
748309	281172	Lady Capulet
748309	282307	Margaret Goreham
748309	366042	Anna Vidal
748309	381327	Giselle
748309	396073	Mrs. Aspen
748309	400401	Priestess of Apollo
748309	404965	Cassandra
748310	77222	Barnes Wallace's daughter
748310	81109	
748310	115233	
748310	335073	Dr. Arnold's daughter
748310	342720	Prudence
748311	21180	Mrs. Griffiths
748311	28650	Renee
748311	245513	Grace Holland
748311	258207	Mourner #2
748311	352682	Chapel woman
748311	408213	Lil Protheroe
748312	110739	Salome
748312	269841	French Woman
748313	141579	Elements
748314	54706	Herself
748315	279996	News Reporter
748316	291479	Helen
748317	61954	Rental Manager
748317	245513	Dee Blake
748317	380540	Mrs Reynolds
748318	408481	Presenter (1994-1997)
748319	346354	Girl Swimmer
748320	381608	Sarah
748321	294559	
748321	380864	Anne
748322	391179	Gözde
748323	71474	Dancer
748324	394927	Nazife Cnadan
748325	313432	Maggie Horn
748326	299653	Stephanie
748326	334190	Sarah Franklin
748327	64203	
748328	367203	Medewerker
748329	50690	Homebuyer #1
748330	232873	Winston's Sister
748330	319568	Argonian Citizen
748330	323771	Little Lucie
748330	381568	(1985)
748331	403613	Co-Host
748332	206387	Beatrice Wheater
748333	75648	Claire's niece
748334	219931	Special Guest Appearance
748335	174918	KEl
748336	335530	Band member
748337	93241	
748338	107855	Herself
748339	226938	Mercedes Lady
748340	10920	Med Tech
748340	37581	Maxine Fine
748340	38882	Bernice
748340	114206	
748340	123377	Alice Kamore
748340	206098	Momma Rose
748340	256580	Melly
748340	309534	Earl's Mum
748340	389737	Sarah Gant
748340	411242	
748341	136360	
748342	230693	Model
748343	282948	Mrs. McFluster
748343	300000	
748344	165829	
748345	104943	Girl at Pond
748346	142485	Herself (segment "Home Movie"
748347	338403	Prime woman
748348	95840	Sue Bennett
748349	126577	Bridget
748351	139236	Girl At Convention
748351	158902	Sophie Pride
748352	116289	Party Girl
748353	177660	Silver Legacy Waitress
748354	142716	'Family' girl
748355	33399	Herself - Backing Vocals
748355	42677	Singer
748355	199757	Background Vocals
748355	199766	Background Vocals
748356	107855	Herself
748357	106766	Waitress
748358	143253	Kitterkins de Vere
748359	2515	Herself - Best Supporting Act
748359	3021	Herself - Past Winner
748359	13833	Older Doris
748359	37120	Edwina
748359	43725	Blanche
748359	45662	Louise the Psychic
748359	67776	Mabel Lederer
748359	90283	Marion Hollander
748359	100117	Bea
748359	105263	Matty Jennings (Principal)
748359	117129	Helen Robbins
748359	117540	1st Lady/Barmaid
748359	119316	Mrs. Stanapolous
748359	120691	Mollie Malloy
748359	125830	Marjorie Seebode
748359	135419	Mrs. O'Connell
748359	135789	Sadie Underwood
748359	142756	Herself
748359	154517	Alice
748359	154694	Ellen Haney Tawes
748359	170618	
748359	183871	Johnn's mother
748359	187697	Mrs. Kupchak
748359	194289	Queen Margaret/Herself
748359	195812	Beatrice Corrigan
748359	210661	Agnes
748359	242487	Clare Block
748359	264761	Mary Chessen
748359	270446	Calla Mackie
748359	328588	Arlene Glynn
748359	329411	Old Lady McCracken
748359	343083	Barbara Newman
748359	344137	Betty Hill
748359	360082	Althea Gerber
748359	381110	Bess Truman
748359	403765	Beverly Harris
748359	408395	Herself - Today Girl (1953-19
748360	200310	Baby Harriet
748360	209670	Narrator
748360	209672	Narrator
748360	209673	Narrator
748360	209674	Narrator
748360	209675	Narrator
748360	209676	Narrator
748360	209677	Narrator
748360	209678	Narrator
748361	326383	Hazel
748362	23583	Real Estate Agent
748362	45426	Sean's Perfect Mother
748363	359311	Official
748364	256128	Wife/Sweetheart
748365	347367	Extra
748366	65154	
748366	83960	Olivia
748366	92865	ICU nurse
748366	94726	RCMP Officer 2
748366	190056	Bank Teller 1
748366	219979	Trisha
748366	230324	P.E. Teacher
748366	293762	
748366	313450	Ocampan nurse
748366	330678	
748366	358865	Rebecca Weeks
748366	398568	
748367	40227	Lawyer
748367	301765	Sara Reynolds
748368	25415	Register Clerk
748368	158372	Melina Liviakis
748368	199759	Madonna Sr.
748368	240786	Margie/Receptionist
748368	267653	Flight Attendant
748368	316961	Mrs. Dewey
748368	334293	Lisa Burns
748368	367588	Woman
748368	392660	Herself
748368	407042	Judge Gwen Mason
748369	6821	Ina Fudge
748369	130979	Cynthia Martin
748369	228515	
748370	73482	Jenny
748370	148562	Andrea
748370	320938	Joella
748371	1046	Lily
748371	2960	Herself/presenter
748371	3079	Herself - Presenter
748371	81276	Brooke
748371	135727	Lady-in-Waiting
748371	183387	Julie Simmons
748371	201329	Emily Walburn
748371	216486	Nia
748371	389350	Hilary Banks
748371	393577	Toni (2001-2002)
748371	396200	Margot Hines
748372	61728	
748372	105455	Laura Lee
748372	220461	
748372	399256	Kelly Parsons
748373	110303	Joanie
748374	54706	Herself
748374	56579	
748374	147754	Herself
748374	168112	Herself
748374	291319	Herself
748374	291381	Herself
748374	300106	Cameo appearance
748374	313319	Herself
748374	313695	Cameo appearance
748374	320206	Telephone Voice
748374	366947	Herself
748375	1046	ER nurse
748377	306606	
748377	361866	
748378	136720	Flosshilde
748378	277460	Flosshilde
748380	14152	Lady Mailperson
748380	81094	Nurse
748380	88978	Laurie
748380	148523	Maid
748380	149107	Alice the Teller
748380	154516	Singing Patient
748380	183698	Tiny Alice
748380	183872	Coach Annie
748380	184127	Sister Mary Margaret
748380	192302	Camp Nurse
748380	194374	Nurse
748380	206856	Billie Rae
748380	219864	Ida Smith
748380	252242	The Old Whore
748380	260663	Balbricker
748380	260679	Balbricker
748380	260697	Beulah Balbricker
748380	269082	Mrs. Klosterman
748380	301792	Hotel Proprietor
748380	305721	Harold's Mother
748380	314252	Janice Van Meter
748380	318171	Mrs. Kruger
748380	363393	Head Nurse
748380	364070	Georgia Gubser
748380	366408	Nurse Jackson
748380	366683	Miss Crabbe
748381	290972	Nicola
748382	271224	Lona's Companion
748383	265611	Lee Marcus
748384	35773	Cleolanta
748384	51799	Girl in Dressing Room
748384	72582	Cleolanta of Opheish
748384	94763	Cleolanta
748384	204211	Cleolanta
748384	210901	Cleolanta
748384	275724	Cleolanta (in flashback)
748384	403604	Cleolanta
748385	7492	Marlene Titus
748385	38049	Miller's daughter
748385	143941	Peggy Bell
748385	209588	Patsy Hewitt
748385	210393	Nancy Higby
748385	282394	Louise Jr, ages 12-17
748385	330188	Susie
748385	330225	Patsy Hunter
748385	370555	Josie Cohan at 12
748385	372115	Orphan Girl
748386	118329	Vanessa
748387	119350	April
748388	161739	Reporter
748389	329309	Tony's other girlfriend
748390	382838	Cheryl Smith (2000-2001)
748390	406267	Carole Lombard
748391	71777	Jean Fowler
748392	387560	
748392	401332	
748393	95798	Charlie's Wife
748395	237241	Ellu, Tuula's workmate
748396	387647	
748397	316153	Writhing, disemboweled girl
748398	42779	Dimitra
748398	67494	Susanna
748398	86114	
748399	102124	Woman Hitchhiker
748400	379405	Eleonora
748401	261556	Ida Plischke
748402	4253	
748402	76466	
748402	123843	
748402	221623	Lakshmi
748402	223507	Vidyadhari
748402	267918	
748402	347439	Kamalam
748403	19677	
748403	58405	Zerfi
748403	99882	
748403	136599	Dominika Losonczy
748403	153637	Maid
748403	171641	Hotel maid (segment 'Cipõk')
748403	177541	Predslava
748403	211707	Zsuzsa
748403	232801	
748403	253781	
748403	328969	Kriszta
748404	117582	Herself
748405	11370	Herself
748405	14975	
748405	36929	
748405	36933	
748405	50368	Karen
748405	87421	Buxom Model
748405	128576	
748405	186481	
748405	335829	Herself
748406	183234	Maria
748407	232248	Mavis
748408	83982	Maori Warrior
748408	105412	Rose Carruthers
748408	210730	Prostitute
748409	50340	Duty Nurse
748409	70393	
748409	151792	
748409	154152	Nurse
748409	205788	Harry's Girl Friend
748409	219991	The Mother
748409	231533	Movie Fanatic
748409	324983	Drive-in patron
748409	345828	Mrs. Smyth
748409	362555	Party Guest
748410	241046	Honey Beach
748411	866	Herself
748411	1479	Herself
748411	2365	Herself - Presenter
748411	2549	Herself (presenter)
748411	2768	Herself - Co-presenter: Music
748411	2804	Herself - Co-presenter: Best 
748411	3844	
748411	14098	Herself
748411	34794	Herself
748411	35506	Herself
748411	37024	Herself
748411	38031	Herself
748411	41962	Leanna Taylor
748411	55505	Herself
748411	60681	Herself
748411	62958	Herself
748411	63109	Herself
748411	66237	Herself/Performer
748411	89696	Herself
748411	89705	Herself
748411	89707	Herself
748411	89722	Herself
748411	118873	Edith McKlusky
748411	126572	
748411	132579	Herself
748411	132846	Herself
748411	141527	Herself
748411	161200	Herself
748411	164587	Herself
748411	175574	
748411	175578	Herself
748411	190912	Herself
748411	206130	Herself
748411	227502	Herself
748411	227930	Herself
748411	232861	Doralee Rhodes
748411	243950	Herself
748411	277471	Jake
748411	282569	Herself
748411	305760	Lorna Davis
748411	305762	Herself
748411	314252	Truvy Jones
748411	315897	Shirlee Kenyon
748411	330818	Herself
748411	345887	Herself
748411	358825	Herself
748411	365442	Thiola 'Big T' Rayfield
748411	365841	Herself
748411	366322	Herself
748411	379977	Herself
748411	384537	Performer
748411	386643	Host
748411	386644	Herself
748411	391266	
748411	397798	
748411	401936	Herself (1967-1974)
748412	12835	Mrs. Ebner, Fanny's
748412	31390	Julie
748412	65202	Madame Kutshera
748412	102927	
748412	139695	Beatrix Voss
748412	211727	Frau Paradies
748412	231487	Beatrix Voss
748412	314309	Elisabeth
748412	325606	Inspektor Winter
748412	325741	Sekretaerin d. Kammersaengeri
748412	325837	Inspektor Winter
748412	325860	Inspektor Winter
748412	354056	
748412	354113	Dorothea Winter
748412	361085	
748412	377361	
748412	394049	Lena
748412	403410	Antonie Ender
748413	19825	
748413	33260	
748413	37426	
748413	49500	
748413	84808	
748413	84809	
748413	98839	Jill
748413	98870	Aerobics girl
748413	98880	2nd stewardess with pilot
748413	102786	Marvin's Nurse
748413	116808	
748413	128736	
748413	130782	
748413	131453	Bettina
748413	196041	Model
748413	226908	Irene
748413	230934	Jessie
748413	252374	Loveboat Woman
748413	252397	Punk or Bust Customer
748413	281923	Bellhop
748413	293638	
748413	310847	
748413	332450	
748413	338229	
748413	353295	Malathian
748413	353298	Melanie/Malathion
748413	365676	Herself
748413	372506	
748414	199263	
748414	256507	
748414	284799	
748415	53959	
748415	119541	Fighting Lady
748415	195494	Driver
748415	232231	Merissa/Ethel Murray
748416	47019	Solo-singing Angel
748417	67387	Ellen Fuller
748417	71743	Herself
748417	295389	
748418	320380	Kovacane
748419	304536	Mom
748420	132403	
748421	357852	Sarah
748422	172956	
748423	215879	Flamenco Dancer #7
748424	155272	Customer
748425	144834	Receptionist
748426	35233	Bridget
748426	144406	
748427	80727	Cindy Langely
748428	38005	Other Ways Demolition Squad s
748429	26154	Old Woman
748430	158338	Winking nurse
748430	196320	Barbara
748430	224109	Wind Whistler
748430	226920	Waitress
748430	278855	Kessler
748430	358576	Little Girl's Mother
748430	385727	Additional Voices
748430	385969	Jedda Walker
748430	398717	Wind Whistler
748431	120	Herself
748431	41280	Herself
748432	172416	Polsk pasbetjent
748432	306966	Sofia
748433	252211	No-nonsense Gal
748434	84765	Chandramukhi
748434	102096	Charan's wife
748434	200685	Priyambada
748435	112785	
748435	126124	
748435	136594	
748435	176143	
748435	201598	Virgin Mary
748435	253795	
748436	72391	Vampire Actress
748436	128515	Model
748437	276821	Mina
748438	236160	
748438	341166	
748439	250655	
748440	32409	
748441	27469	
748441	30094	Mashtehata
748441	77220	Journalist
748441	143729	
748441	160687	
748441	186537	(episode 5+1)
748441	205422	Shefkata
748441	225817	
748441	243640	Svatyata na Mitashki
748441	284467	Marieta
748441	314392	
748441	350946	
748441	375742	Chehlarska
748442	386065	
748443	4939	Sarada
748443	6357	Usha
748443	9449	Nurse
748443	59001	Kusum
748443	77036	
748443	164852	Ashwathy
748443	172932	Nandagopal's Wife
748443	177853	
748443	180784	Svetla
748443	182119	
748443	232874	
748443	243839	
748443	251072	
748443	253557	Kunju Lakshmi
748443	329235	Shailaja
748443	329305	
748443	331032	Radha
748443	349565	
748443	366975	Indu R. Nair
748444	22106	
748444	58429	
748444	59013	
748444	208576	
748444	243371	
748444	371821	
748445	228997	Esteri
748445	255759	Elsa Keinänen
748445	302825	Iris Vild
748445	356233	Alli
748446	190659	
748447	103155	Miisa Rajala
748447	398646	Noora Karhu
748447	407094	Noora Karhu
748448	185000	Sinin kaveri
748449	247033	Lisa Thrift
748450	5806	Townsperson
748451	288748	Mom
748452	9910	
748452	11806	Erika
748452	13056	
748452	14260	Elena
748452	14915	Paola (segment "La voce umana
748452	19946	La donna fatale
748452	21084	Emma Scimoni
748452	31962	Angela
748452	53083	
748452	55188	Pamela
748452	57308	La Dogaressa
748452	83770	Paola Previtali
748452	90068	La zingara
748452	90718	Yvonne/Giacomina
748452	94661	Zanze
748452	108507	Lolita de Fuego
748452	111419	L'attricetta truccata all'ori
748452	119081	
748452	124551	
748452	184971	
748452	187435	
748452	196792	
748452	198493	Marta
748452	199820	
748452	205249	
748452	212478	
748452	215339	Donna Luisella
748452	217872	Magda Damiani
748452	235752	Maria, la figlia dell'oste
748452	249462	
748452	260044	Armida
748452	260890	La signora provocante
748452	273154	La zingara
748452	278023	L'amante di Giorgio
748452	281693	
748452	287869	Amalia
748452	295133	Melitta, la cameriera
748452	301024	Melitta
748452	307455	Donna Matilda
748452	336615	
748452	344587	Girl in the institute
748452	347650	
748452	348205	
748452	351580	
748452	352638	
748452	377589	Lidia Guidi, Bacchi's friend
748453	158801	
748454	89311	Model
748455	289473	Doubting Guest
748456	32655	Hauhälterin Johanna
748456	138275	Martha Menzel
748456	165640	Vera
748456	174104	Mrs. Brunner
748456	188926	Christiana
748456	259485	Frau Schmidt
748456	283479	
748456	283765	
748456	312086	Hexe
748456	352171	Lilo
748456	376475	Li Weinert
748456	406269	Jette
748457	59316	Ally
748457	118901	Fantasy girl
748457	187130	
748457	312785	Julie
748457	316097	Susan
748458	275059	'Mike' Pulaski
748459	123480	
748460	69728	
748462	179184	Elwira
748462	231658	
748462	359590	
748463	311887	
748464	134018	Nicki
748465	377143	
748466	245863	La Grand-mère jeune
748466	275651	Hermione
748466	294554	
748466	319824	Femme Xsara sandwich
748467	253581	
748468	7710	Kassi
748468	236532	
748468	266962	Isa
748468	283045	Rokia
748469	43174	Kimberly
748469	43432	Rosalie Profaci
748469	81038	Nancy Eaton
748469	100533	Carole
748469	194706	Victoria 'Tori' Moller
748469	261248	Adria
748469	261448	Party Guest #1
748469	293113	Samantha Brown
748469	313562	Tina Menzhal
748469	364783	Rebecca
748469	393189	Courtney Benedict
748469	395798	Rita Amherst
748469	398993	Eleanore Denuelle
748470	307249	
748470	345498	
748470	353927	
748470	398158	L'infirmière
748471	142600	Herself
748472	15067	
748472	16948	Madeleine
748472	26253	
748472	33564	Felicity
748472	41274	Helen Pascall
748472	53006	Madame Dupont
748472	54181	Lisa
748472	55838	
748472	57295	Lola
748472	57894	
748472	59774	Anna
748472	64444	La Panthère
748472	68922	Le comtesse/The countess
748472	83221	Sylvie
748472	84188	Clara Cartier
748472	90759	Floriane
748472	90783	
748472	92963	Dancing Girl
748472	99409	Madame de Vitrac
748472	100170	
748472	103399	
748472	132925	Nicole
748472	132974	Marraine
748472	167231	
748472	170533	
748472	190789	La dactylo (Typist)
748472	191555	Yada
748472	215866	Barbara
748472	216002	
748472	218268	
748472	218274	Nelly
748472	240427	
748472	250836	
748472	254137	
748472	257212	Raphaële (segment "La Maison 
748472	268406	
748472	275513	
748472	281580	Édith Frasne
748472	283047	Léa Level
748472	284146	Geneviève de Marras
748472	284299	George Sand
748472	306318	Carla Rometta, alias Comtessa
748472	336170	Florence
748472	337543	
748472	346633	Gaby
748472	350092	
748472	357861	
748472	376955	Jeanne
748472	377939	Stella Dora
748473	82725	
748473	339715	
748474	230013	Herself
748475	75259	La ragazza del tiro a segno (
748475	129019	Desperate friend
748475	200509	Moglie di Francesco
748475	204237	
748475	217769	La zingara
748475	234566	Nun
748475	270817	Liliana
748475	336597	La francese
748476	19441	
748477	56519	
748477	58045	
748478	50133	
748478	369996	Herself - Nominee: Best New D
748479	14691	
748479	48180	
748479	66670	
748479	68556	
748479	94591	
748479	143682	
748479	152596	
748479	193190	
748479	209737	
748479	246385	
748479	249768	
748479	259747	
748479	266057	
748479	273113	
748479	274839	
748479	293833	
748479	307634	
748479	376802	
748480	262235	
748480	400901	Talita
748480	404271	Zulmira
748481	116041	Majorette
748482	234226	Bea Burger
748483	333287	Italian Girl
748484	186072	Kyllikki
748485	172142	Marjut's guest
748485	214201	Nainen hississä/Nainen valtio
748485	237243	
748485	258816	Neiti Hiiva
748485	268322	Toimittaja Kielo Joki
748485	369467	Päivi
748486	180175	Herself
748486	187568	Keinuhevosella keinuva tyttö
748486	349146	Myyjä kahvilassa
748486	355743	Joona Maaperän tytär
748488	213452	Porno Film Star
748489	121482	Bodil von Hauch
748490	161279	Herself
748491	84665	
748491	100060	Clemencia Sarrias
748491	120669	
748491	148716	
748491	224900	
748491	283698	
748491	377899	
748492	61315	
748492	339426	
748493	51174	Sandrine
748493	246510	
748494	223	Sylvie
748494	23632	Josette
748494	43444	Jeannette
748494	60513	Liza
748494	71520	Hélène Plazy
748494	71807	Sarah
748494	83349	Anne Torrini
748494	96211	Marie-Jeanne
748494	99376	Alice Guy-Blaché
748494	99497	La 'vraie' Elsa
748494	110146	La cinéaste
748494	111019	Laetitia
748494	122362	Félicité
748494	132770	Claire, la mère de Louis
748494	135505	Jeanne
748494	149631	Liliane Torrini
748494	156399	Linda Walsh
748494	157305	Betty Saint-Ramé
748494	159210	Lise
748494	201052	Corinne
748494	209946	Chantal
748494	240487	Anne Glizer
748494	246277	María
748494	247647	Tunia
748494	250752	Laurence
748494	265736	Madeleine
748494	269223	Emilie
748494	274798	Sandrine
748494	278145	Lise
748494	301402	Christine
748494	309733	Chantal
748494	337734	Isabelle
748494	338597	Christine
748494	385489	Cécile
748494	403177	La fiancée
748495	66219	Clémentine
748495	345511	Jul
748496	14161	Reporter
748497	71952	
748497	153803	La fille
748497	206008	L'épicière
748498	353789	
748499	218247	Une amie du frère de Monsieur
748501	33767	Papis Filipides
748501	49874	Marie
748501	89380	Herself
748501	104244	
748501	129805	Martine
748501	158723	
748501	175140	Mimi
748501	190593	Marie Ward Leeman
748501	196546	Model
748501	290346	Sally Reagan
748501	306989	Madeleine
748501	321821	
748501	329988	Paola
748501	397793	Danielle Favre (Series 1-3) (
748501	398990	Elzunia
748501	402209	Louise
748502	213563	Madame Lebelle
748502	302160	
748503	210917	Herself
748503	328691	Marta
748504	15132	Mme de Vaudremont
748504	15136	Micheline
748504	19322	Germaine
748504	20342	Vivette
748504	33268	Suzanne Gérard-Moulin
748504	33542	Hélène de Trévillac
748504	44999	Herself
748504	56336	
748504	68874	
748504	83221	Antoinette Baron
748504	84682	Une des jeunes filles
748504	100358	Rose
748504	111081	Loulou
748504	111684	Thérèse Rabou
748504	149609	Hélène Boucher
748504	164246	
748504	170294	Madame Dewacker
748504	197548	Élisabeth de Lunegarde
748504	199337	Claudette Sauvaget
748504	199584	Micheline Bertier
748504	199611	Christine Gibson
748504	199724	
748504	205213	Marie-Thérèse Langeac
748504	207260	Mme de Chaulmes
748504	219468	Liliane Forestier
748504	219491	Marcelle de Kérondic
748504	254093	Benjamine Lapistole
748504	256873	Jany Cristal-Davis
748504	295214	Lydia Simon
748504	300695	Comtesse de G...
748504	300735	Louise de La Vallière
748504	321798	Gaby Lemontier
748504	335251	
748504	353844	Musette
748504	357861	Estelle
748504	377473	Anne Brunier
748504	377639	Florence
748504	388609	Madelene
748504	407213	Constance Dussault
748504	408657	Madeleine Duroc
748504	410473	Ghislaine
748505	97539	Hortense Filliard
748506	381504	Edith Lasnier
748506	396865	Marie Quat'Poche
748508	69153	Herself
748508	104741	Swiss entry (6th place)
748509	389480	Jossette Villalobos
748510	15222	Aunt Violet
748512	46942	Peggy
748512	57077	Lydia
748512	115433	L'assistante de la 'Maîtresse
748512	134598	
748512	140267	Janine
748512	214064	Cécile
748512	219468	Maria
748512	248251	Minouche (segment "Résidence 
748512	268963	
748512	270909	Christine
748512	386151	Joëlle Gavarnier
748512	401475	Brigitte
748514	45197	Mme Bordin
748514	118115	
748514	146954	Mme Lemaire
748514	166349	Yolande d'Aragon
748514	216236	La mère supérieure
748514	216237	La Soeur Prieure
748514	217729	Francette Dumont
748514	238471	Madeleine Vilard
748514	292367	
748514	384855	Madame Helvétius
748514	386268	Mme Verdier
748514	389145	
748514	400681	Léonie
748515	41337	
748515	249178	Mrs. Avery
748515	278484	Girlfriend
748515	368892	
748515	382852	Sam
748516	70315	
748516	99493	
748516	148758	Technocrate
748516	225769	
748516	237648	Nadine
748516	252317	Ingénieur 2
748516	254175	
748516	286318	
748517	217833	
748518	49267	Vroni Röckl
748518	50004	Maxe
748518	56078	Angela
748518	66555	Vera
748518	66891	Gaby
748518	102910	Herself
748518	134320	Amanda
748518	134967	Dr. Beate Chevalier
748518	142078	Webcam-Masterin
748518	160979	
748518	166766	Baroness Victoria
748518	225249	
748518	237419	
748518	281730	Jane Marshall
748518	286580	
748518	290547	
748518	318746	Victoria
748518	325855	Margit Lamp
748518	338411	Marguerite
748518	338433	Annemarie
748518	344229	
748518	352047	
748518	380057	Leo's mother
748518	381208	
748518	389359	Dr. Beate Chevalier (1994-199
748518	392997	Christl Burger
748518	393576	
748518	398083	
748518	404488	Carola Reisner
748518	405803	Lizzy Berger (1988-1997)
748518	405844	Lizzy Berger
748518	406294	Sofia Minaretti
748519	19797	Refugee mother
748520	23804	Kundji
748520	58699	Claire
748520	139545	Mme Chassen
748520	202088	
748520	251541	
748520	345039	Madame Gallardon
748520	391632	
748520	408662	
748521	290843	Kitty Springfield
748522	269725	Jeune mariee
748522	386092	Dubé, Liliane
748523	67482	Doreen Lawrence
748524	174155	Échangiste
748525	293113	Festival Receptionist
748525	380869	Sandra
748526	146926	Lucille
748527	400681	
748527	409440	Rosy
748528	153539	
748529	19201	Lucrèce
748529	69468	Florence, enfant
748529	118176	Jean-Pierre
748529	229053	Nathalie
748529	236516	Catherine, la petite fille
748529	283242	Linda
748529	286817	
748529	341504	Vendeuse boutique
748529	349421	Patricia
748529	353886	
748529	380669	Isilda
748529	381245	Annie
748529	389130	Herself/Co-Host (1992)
748529	392579	Caroline
748530	381891	Vanessa
748530	404077	Solange Matos
748531	108113	Adelina, as a child
748531	357066	
748532	31879	Strip Dancer
748532	36471	Keiko
748532	104752	Greek entry (5th place)
748532	336601	
748533	314156	Bridesmaid
748534	50444	Extra
748535	146370	Herself
748536	147598	The psycologist
748536	217870	
748536	254958	
748536	383537	Alarm Clock/Tea Pot
748537	335121	
748538	292275	Cherrleader 2
748539	292275	Cheerleader 3
748540	152968	Girl in Nightclub
748541	280530	
748542	182949	Elegant Woman
748543	349487	Martine
748544	44685	
748545	286785	Alycen
748546	71339	
748547	394585	Ola Lubicz
748548	16161	Cristine Pasche
748548	353223	Herself
748549	16245	
748550	46767	Sophie Clemenceau
748550	237290	Fleur
748551	244677	
748552	39126	
748552	189882	
748552	302194	
748552	302197	Cast Member
748552	356848	
748553	14700	
748554	20860	La dame du village
748554	249751	
748555	248894	Chloé
748556	248440	
748557	10535	Suzy
748557	23906	Alice Villon
748557	24898	Ursula
748557	56025	
748557	65138	Marie
748557	66578	Marte-Blanche
748557	67506	Luisa
748557	71526	Valerie
748557	71959	Margot
748557	77759	Female Customer
748557	82936	
748557	93883	
748557	94239	Axelle Bazin
748557	111566	
748557	149751	Sissi
748557	161891	Claire
748557	197565	Elena
748557	265979	Miranda
748557	268902	Anna
748557	277555	Joëlle
748557	281928	Roselyne
748557	284827	Danielle
748557	288893	Marielle
748557	309775	Françoise
748557	346387	Undine
748557	348648	Joëlle
748557	377038	Karine
748557	383916	Hidegarde
748557	392787	
748558	28589	Brigida
748559	338790	Jessica
748560	181135	Operations room controller
748561	383014	Herself
748562	387633	Host
748563	181135	President's Aide
748564	352682	Young Annie-Mary
748565	150780	Travelling Player
748566	217745	Photographer
748567	339831	Assistant
748568	134146	Mother
748569	354101	Huguette
748570	54688	reporter
748570	223503	Sandra
748570	280115	
748571	239926	
748572	121340	Marina
748572	132699	Stellina
748572	255127	Ombretta, loro figlia
748572	278959	Lisa
748572	294406	Lisa
748573	211375	Le professeur de chant
748574	178833	Mujer de la joyería
748574	332598	Pequi
748574	349883	Andrea
748575	148036	
748576	21676	
748576	64048	
748576	69767	
748576	83028	Abuela
748576	103992	
748576	339130	
748577	14788	
748577	69242	Pilar
748577	265687	Chica Tv 2
748577	281618	Camarera
748577	287236	
748577	376769	
748578	5294	
748578	15427	
748578	26016	
748578	156187	
748578	178140	Asian Business Woman
748578	181010	
748578	185800	Remedios
748578	195917	
748578	256098	
748578	287382	
748578	303150	
748578	381380	Mrs. Peters
748578	400738	Betty Mae Verseles
748580	183467	Correntina
748581	244587	Comentarista
748582	167059	
748582	201386	
748582	326093	
748583	399402	Herself
748583	401881	Herself (Finalist)
748584	148172	
748584	382948	Host (1989-1990)
748584	385498	Host
748584	401907	
748585	51728	Ameli
748585	76110	Redactora 1
748585	353612	Camarera
748586	6617	
748586	25812	
748586	63983	Adela
748586	103858	
748586	171615	
748586	235998	Abuela Sol
748586	247174	
748586	253416	
748586	267285	
748586	276559	
748586	340655	
748586	350066	
748586	353972	Angustias
748586	371764	Abuela
748586	377149	Josefina
748586	380516	Amanda
748586	383344	Catalina Austin
748586	385416	Iris Van Den Sandt de Gaxiola
748586	386646	
748586	387878	Magdalena
748586	389483	
748586	390405	Carlota
748586	396711	
748586	397573	
748586	398457	
748586	398458	
748586	401203	
748586	403257	Narda
748586	403403	
748586	405398	Constanza
748586	407850	Generosa
748586	407862	Teresa's Grand Mother (Enriqu
748586	408846	
748586	410313	Belina
748587	363657	Marta Acuña
748588	253989	
748589	25793	Monja 1
748590	55866	
748591	132686	Herself
748591	390451	Vanessa
748592	23624	Super India
748593	33811	
748594	109087	
748595	199525	Dars Mom
748596	288088	
748597	215687	Miss Panama (second runner up
748597	215688	Miss Universe 2002
748598	227329	Tierärztin
748598	244034	Additional Character Voice
748598	289749	Woman at Book Store
748599	229553	Child
748600	271882	Mrs. Slavetz
748601	351582	
748602	218435	Lucie
748602	219237	Railroad Conductor
748602	259614	
748602	324671	
748602	339699	
748602	352367	
748602	406829	
748603	229740	Silvia Stradella
748605	309525	Paramedic #1
748606	85940	Freda
748607	73607	News Reporter
748608	216042	Mak Lampir
748608	288651	
748608	397931	Mak Lampir
748609	18215	
748609	100553	
748609	229957	
748609	243188	
748609	249152	
748609	284491	
748610	17490	Producer
748610	20727	Mrs. Meanie
748610	47605	Roz
748610	51654	Narc
748610	65099	Salon Client #2
748610	130201	Pharmacist
748610	154593	Psychiatrist
748610	162439	Fat Woman with Turkey
748610	171700	Russian Woman
748610	208992	Mabel
748610	235052	Operator
748610	251646	Voice of Pelt Room Announcer
748610	253723	Babe
748610	304870	Adoption Agency Director
748610	321126	Blanche's Friend
748611	34587	
748611	91202	
748611	131991	
748611	155673	General's wife
748611	259345	Akulina, Polikei's wife
748611	261911	
748611	356539	Murzavetskaya
748611	370997	
748612	27469	Milka
748613	258373	Anahit
748614	59917	Herself
748615	321444	Whaler
748616	59975	
748617	88742	
748617	178821	
748617	180367	
748617	348709	
748617	356570	
748617	370939	Varvara
748618	49828	Rat Woman
748618	303789	Marusya
748618	356827	Actress
748619	144406	
748619	224346	Rose Seller
748620	357324	
748621	6220	
748622	180384	Mrs. Löppönen
748623	229186	
748624	119705	Yara
748624	239451	
748626	87905	
748627	99109	Elettra
748628	241471	Christina
748629	89835	
748630	82412	
748631	354952	
748632	154554	Herself - victim at age 12
748633	189916	Cleo
748633	393262	Betty
748634	20228	Maykata na Filip
748634	32506	Militza
748634	45764	Penka (segment Satirat)
748634	49475	Nina
748634	50964	Milka
748634	61227	
748634	82102	Mariya Peeva
748634	98994	Krachmarkata Zdravka
748634	99002	Nepoznatata
748634	104831	Naumova
748634	130567	Meditzinskata sestra
748634	131082	
748634	131157	
748634	132569	Maria
748634	163901	Hristina Vlaeva
748634	174661	Katina
748634	180616	Maria
748634	180786	Nayme
748634	186537	Angelina (episode 5+1)
748634	202182	Maykata Angelina
748634	207940	Tana
748634	208777	Hristina
748634	226017	Rositza Eneva
748634	228847	Diana, sapriga na Abrashev
748634	234793	Sanka
748634	244469	Vera
748634	247276	Elena
748634	258745	Damata
748634	259973	Zhenata na Velko
748634	261134	Herself
748634	304162	Boyana
748634	304501	Snezha
748634	311387	Kakata Maria
748634	311584	Maykata
748634	325006	Maykata
748634	326260	Malina
748634	328770	
748634	354641	Nevyana
748634	357432	Mladata karakachanka
748634	357434	
748634	365915	Stefka
748634	373566	Maykata na momicheto
748634	374847	Maykata
748634	376228	Liza Strezova
748635	92356	
748636	384097	Tilly (2000)
748637	289024	Ballet Instructor
748638	371539	Estelle
748639	253432	
748640	130576	Marta
748641	174028	
748642	66196	Herself/Hair Stylist
748643	174028	Magda
748643	255611	Croupier
748643	319660	Model
748643	412076	Katarzyna
748644	125141	The Gypsy Queen
748644	197509	
748644	375179	Lola
748645	347611	Woman 1
748646	347611	Woman 2
748647	70052	
748647	84524	
748647	104009	Clara
748647	355829	Mari
748647	379879	Vera Hardoy
748647	380196	Elizabete Montana
748647	380326	Lavínia
748647	388565	Débora Meireles
748647	394872	Lorena
748647	398503	Malu Assunção
748647	401900	Laura Trajano
748647	402371	Irene Ribeiro
748647	409347	Maria João
748648	31637	Marilyn
748648	232293	
748648	365344	Kelly Johnson
748649	233996	Madre de Marga
748649	272640	Columba
748649	356153	Tía Olga
748650	30851	
748650	44659	Juanita Arruallo
748650	44911	
748650	56323	Madre de César
748650	62464	
748650	67212	Madre de Victorita
748650	70749	Encarna
748650	75457	
748650	82724	Gloria
748650	133215	
748650	136149	
748650	153827	
748650	189023	
748650	193316	
748650	205690	
748650	221953	
748650	263699	Luis's Mother
748650	276560	
748650	295025	Pili
748650	306697	
748650	326577	
748650	328154	Vicky
748650	355759	
748650	356664	Elena
748650	357533	
748650	376796	
748650	391445	
748650	402842	
748650	404755	Lucía
748651	396610	Branco (1998)
748652	233977	
748653	328105	Old Peasant
748653	350412	Mary (older)
748654	27841	Woman sweeping
748655	353267	
748655	354992	
748656	404161	Lupita
748657	6401	Anaïs
748658	258316	Catherine
748658	345538	Gaëlle
748659	74215	Mrs. McCombe
748659	389630	Dr. Tessa Korkidas
748660	6349	
748660	79500	
748660	100454	Miss Liaska
748660	100553	
748660	137183	Haido
748660	162292	Cassandra
748660	380474	
748660	381009	
748661	111037	
748662	241556	Anita's Friend
748663	35183	Georgies Companion
748664	231110	Daughter #1
748666	302933	Megan Woodrow Fernier
748667	35193	Showgirl
748668	112664	
748668	127438	
748668	246454	
748669	349861	Vendeuse
748669	395914	Sonia
748669	410470	Geneviève
748670	124201	Geltrude anziana
748671	53093	
748672	14793	
748672	21583	Alde
748672	21595	
748672	55959	
748672	58380	Pepito's sister
748672	64040	Claire
748672	84018	
748672	87620	
748672	94823	
748672	149525	
748672	168664	
748672	209036	
748672	221956	
748672	259400	
748672	287843	Juno
748672	288255	
748672	292727	
748672	319623	
748672	351658	
748672	354779	Susana
748672	379565	Tina
748672	379602	Paulina
748672	379909	Isaura Avila de Guzmán
748672	380104	Carolina
748672	380963	La Barbura
748672	381031	
748672	385335	Marisa Cruces (joven)
748672	385369	Teresa
748672	387190	Laura
748672	390869	Hilda Moreno
748672	392256	
748672	392290	Caridad
748672	392749	
748672	393176	
748672	396713	Pilar Luna
748672	396848	
748672	397572	Zulema Fernández de Sánchez
748672	397601	
748672	397734	
748672	398455	
748672	398522	
748672	400797	Lidia
748672	403048	
748672	404701	
748673	273083	Proprietess of Mine Cafe
748674	126709	Margaret Rowley
748675	3996	Boss Numero Uno
748675	234716	Giulia
748675	272855	Marilina Pace
748675	287762	Manager #4
748676	281889	Grandma Mangiacavallo
748677	347732	Miss Joubert
748678	188023	Shopkeeper
748678	214098	Pavlova's Maid
748679	60052	Chantal
748680	377490	
748681	65384	Mlle Poisson
748682	73744	Jeannie Roersch
748682	382475	Anne Demers-Leroux
748682	383664	Mme Turban
748682	387048	Sylvie Larouche
748682	401330	Murielle Germain
748683	25088	Monique
748684	166097	Fille thérapie 2
748684	199362	Aline
748684	217842	Arlette
748684	345542	
748685	8355	Le professeur de français
748685	111032	
748685	164665	
748685	195110	Suzanne
748685	277785	Monique Pillier
748685	377999	
748686	270631	Herself
748687	87161	La présentatrice de LCI
748688	137536	Sally Larson
748689	322403	Moza restaurante
748690	319824	Femme caisse
748691	196471	Honey
748692	90719	
748692	289488	Elvira
748693	112692	
748694	403487	Herself/The Quest (2001)
748695	37691	Kari
748695	45105	Jewels
748695	80649	Diana
748695	87869	Mrs. Simms
748695	97644	Cassie
748695	117498	Erin
748695	143280	Student
748695	215843	Erin Miller
748695	231832	Marge Hampton
748695	289467	Sarah Kopek
748695	294789	Marianne Capriato
748695	366684	Glass Woman
748696	44325	Mrs. Stine
748696	45503	Donna Watson
748696	75704	Toyota Woman
748696	186425	Loretta Tayman
748696	307900	Marge
748696	316768	Sally
748697	142716	Sgt. Broom
748697	173518	Lovey
748697	186425	Loretta Tayman
748697	236890	Beth Dillon
748698	229260	Older Barmaid
748699	30389	Chica dominicana del parque
748700	61061	
748701	240202	Raimundo's mother
748702	299316	
748703	217745	Phyllis
748704	121888	Lupa
748705	189221	Rose
748705	276799	Irene Rosenblue
748706	281542	Grandmother
748707	386128	Segretaria François
748708	290926	
748709	289094	Vatican Switchboard Operator
748710	37092	Runaway Girl
748711	235491	
748712	7618	Nurse With Knitting
748712	81152	Anchor Woman
748712	161422	Woman No. 2
748712	283496	Belinda Jones
748713	881	
748713	170727	
748714	65820	Selina
748714	256211	Spanish Maid
748715	401514	Opera singer
748717	20572	
748717	180562	
748717	380606	Anthoula
748718	278897	(viola)
748719	206687	Angel
748720	30887	Marion
748721	181135	Secretary of State
748722	82710	Helga Haller, Ingrid's mother
748723	11485	Dancer Backstage
748723	21154	Wedding Guest
748724	90062	
748725	83087	
748726	255674	Lulu Hansen
748727	12635	Edith
748727	45941	Kokkepige/stuepige
748727	83059	
748727	83082	Tolk
748727	98981	Mrs. Kelly
748727	108955	Frk. Mortensen
748727	108967	Lærerinde Ludvigsen
748727	108970	Frk. Ludvigsen
748727	108971	Lærerinde Ludvigsen
748727	108972	Lærerinden
748727	108973	Lærerinde
748727	116306	Svends venindes søster
748727	178750	Studerende på malerskolen
748727	213438	
748727	214350	Lensbaronesse
748727	220199	Anna
748727	228358	Barmedhjælper
748727	258747	Togpassager
748727	275265	Doctor
748727	281085	Emma
748727	287375	Lægen
748727	324329	Massageklinik indehaver
748727	326109	Radiodame på Taxa
748727	346965	Sofie
748727	349650	Inga
748728	12513	Stuepigen
748728	203963	Sygeplejerske
748728	241975	Stuepigen
748728	303694	Mary
748728	334310	Sygehjælper
748729	89572	Woman in Miracle Sequence
748729	205294	
748729	229644	
748731	62650	Bar Girl
748732	105506	Secretary
748732	167691	Deli customer
748732	185252	Teresa
748732	258948	Lisa
748732	307018	Mrs. Carpini
748732	370342	Matronly Woman
748733	37499	Satellite
748734	10587	Party guest
748734	85828	Bit Woman
748735	164160	
748736	55307	Aunt
748736	61424	La grand-mère de Francis
748736	115350	
748736	124325	Mme. Sorbier
748736	136308	
748736	157228	Mme Richet
748736	161568	Mme Marcange
748736	189162	Une invitée des Valmont
748736	215145	Carine
748736	225517	Une amie de léone
748736	238978	
748736	248032	La visiteuse
748736	281315	La voisine
748736	345381	La patronne
748736	346609	Léa
748737	73675	Ripeka Bastion
748737	156030	Ihaka's Niece
748737	169814	Lucille Williams
748737	170580	Jonas
748737	233822	Tracey Johnson
748737	405209	Jay Copeland (2004)
748738	39365	
748738	279703	
748740	7719	
748740	7720	
748740	7723	
748740	7724	
748740	7732	
748740	7745	
748740	11250	
748740	32591	
748740	39153	
748740	39231	
748740	39233	Nymphomaniac
748740	39263	
748740	39369	
748740	39783	
748740	49659	
748740	52272	
748740	59156	
748740	60277	Girl
748740	62486	Cindy
748740	97125	
748740	128918	
748740	133593	
748740	147757	
748740	161164	
748740	196123	
748740	228000	
748740	228480	
748740	235497	
748740	241138	
748740	241655	
748740	243083	
748740	243124	
748740	245473	
748740	292372	
748740	295917	
748740	317938	
748740	348217	
748740	363786	
748742	52358	Go-Go Girl
748743	28480	Russian Mother
748743	102514	Babysitter
748743	146420	
748743	293126	Olga
748744	296900	Woman in Tea Room
748744	385759	Various (1977)
748745	337163	Sarah Dixon
748746	73828	Nadine
748747	280768	
748748	206590	Martha
748749	144103	
748750	162309	Sarah
748750	384992	Pati
748750	409419	Ana Maria
748751	166074	Herself
748752	384922	
748753	135297	
748754	8942	
748754	18350	
748754	48520	
748754	188793	
748754	280513	Lully's child
748754	369142	Schuhverkäuferin
748755	336555	
748756	120427	Oskie
748756	405683	Co-Host (2004-)
748757	158831	La greffière du tribunal
748758	380430	
748759	41192	
748760	113773	Store clerk
748761	193770	Bride
748762	105216	Customer in Salon
748763	335	Jarka
748763	3489	Mother Nemnicova
748763	74934	
748763	283261	Gamekeeper
748763	304709	Vlasta Beránková
748763	375824	Woman at Window
748764	89160	Jess' mum
748764	147496	Policewoman
748764	348219	Vicky
748765	110157	La copine
748765	121413	Anaïs
748765	249277	Mathilde
748765	262993	Sandra
748765	318493	Anaïs
748765	349496	Mélanie
748765	377480	Hélène
748765	385216	Nathalie (2003 - ????)
748766	44450	Neighbor
748767	319302	Pikku-Anna
748768	201619	Herself
748769	388646	Språklärare
748770	32088	Libby
748770	44685	
748770	45780	Veronica Dotwebb
748770	63137	Jean Boyajian
748770	103304	Amanda, George's Assistant
748770	117666	Miami Tan Attendant
748770	142753	Zelda fitzgerald
748770	164984	Amber
748770	200999	Young Mother
748770	213875	Maureen Milgaard
748770	260137	Marilyn Burke
748770	352136	Lucy Blackwell
748770	361229	Mandy
748770	374659	Natalie Klein
748770	392666	Val Lanier
748772	294236	Smythe/Bates Receptionist
748773	378546	Anna
748774	308382	Camilla
748775	321319	Kathy
748776	408694	Carpenter
748776	408697	Carpenter
748777	70679	Meretriz
748777	115826	
748777	279830	Presentadora TV
748778	55911	Magdalena
748778	74827	Inga (segment "Koñensonaten")
748778	100416	Aurora
748778	127905	
748778	204600	
748779	211713	
748780	28314	
748780	32366	
748780	55768	
748780	145137	
748780	146572	
748780	204644	Vieja 2ª
748780	251631	
748780	285241	
748780	334708	
748781	70667	Rosa Moscoso
748781	384980	Olga
748782	17073	Linda (new movie)
748783	3554	María Luisa
748783	33208	
748783	209066	
748784	57778	Clienta zapatería
748784	322714	Vocalista
748785	304443	Wants to Leave Country
748786	157200	
748787	347128	Ruby
748788	80086	
748788	396417	
748789	400811	Herself (episodes 13-29, 30)
748790	341623	Red Fox Cadet
748791	148901	Hard Rock Hostess
748792	8564	Actriz irlandesa (Irish actre
748792	9084	Amiga de Araceli Nº 1
748792	9692	
748792	56541	
748792	101867	Camarera Crock
748792	225046	Raquel
748792	273074	Secretaria de Electra
748792	295501	Carmen García Cobián (joven)
748793	325192	Patient
748794	334816	
748794	385347	Nathalie
748795	106304	
748796	66403	Estrellita
748796	187842	Portera de Taller
748797	208709	Laura
748798	217394	
748799	17670	Malena
748799	19748	Teresa
748799	19922	Modia
748799	28914	Cristina
748799	61146	
748799	66403	Estrella
748799	68447	Helena Moguentes
748799	70624	Jimena
748799	94851	Maria
748799	97376	
748799	100097	Empress
748799	100254	Pilar
748799	122025	Monica
748799	148036	
748799	169794	Elvira
748799	184369	Blanca
748799	187842	Merche
748799	212369	Marisol
748799	218503	
748799	229441	Marta
748799	233952	Celia
748799	256660	
748799	269746	
748799	274765	Simone
748799	306701	Trini
748799	322407	Esmeralda Velasco
748799	369870	Herself - Presenter: Best Lea
748799	369994	Herself - Nominee: Best Suppo
748799	377077	Teresa
748800	148039	
748801	251851	
748802	7473	Jeanne Seznec à 35 ans
748802	384560	Herself (Cocogirl) (1984-1985
748803	306003	Sexy Club Girl 2
748805	55208	Frasquita
748806	78015	Courtesan
748807	121346	Herself
748808	313762	Woman in Canoe
748809	22705	
748809	56074	
748809	58433	
748809	63950	Teacher
748809	74549	
748809	74556	Marcela
748809	90061	
748809	100439	Elisa Rossi
748809	103765	
748809	112096	
748809	120906	
748809	151804	
748809	230245	
748809	251229	
748809	266508	
748809	293052	
748809	307834	
748809	339099	
748809	349936	
748809	371765	
748809	384423	Cándida Linares
748809	391846	
748809	405816	Cordelia
748809	408845	
748810	97372	
748810	400342	Herself
748810	401152	Luciana
748810	403404	Soledad Acosta
748811	346599	Pâtissière
748812	12527	
748812	25000	
748812	28290	
748812	54084	
748812	63876	
748812	74721	Elena
748812	103753	
748812	229453	
748812	244616	
748812	376644	
748813	357516	
748814	180419	
748814	287990	
748815	243257	Irish Whore
748816	16530	Nadezhda Krupskaya
748816	21062	
748816	104432	
748816	112771	
748816	202116	Maria Pervenova
748816	212020	Mother
748816	265667	N.K. Krupskaya
748816	299428	
748816	356124	
748816	357230	
748816	373514	
748817	356418	
748818	356120	
748819	237139	
748819	261689	
748821	51615	Propietária pis
748822	5377	Stella
748822	73647	
748822	89572	Girl Covered With Feathers
748822	243191	Slave
748823	63099	Smiling Woman
748823	289372	Featured Extra
748824	373430	Lilo, The Script Girl
748825	75924	Gorecka
748826	176684	Brunette
748827	253499	Mimi
748828	36910	
748828	248484	
748828	398410	Miss Pat (1960-1975)
748829	410920	Vancouver Host (2001-2002)
748830	15151	BABY JANE
748831	2252	(segment "Sirène, La")
748831	2297	
748831	5900	Patachou
748831	33804	Geneviève
748831	57832	
748831	58845	Madame Ambrogiano
748831	63777	Mme. Meynard
748831	66748	
748831	94238	Mathilde Firmin
748831	110024	Madame Coppercage
748831	111117	
748831	119751	Yvette Guilbert
748831	147455	Emilie Sagglia
748831	158861	
748831	188682	Madame Harvey
748831	201201	Mme Sève
748831	207873	Alice
748831	227595	Madame sans-Gêne
748831	232081	
748831	236559	Herself
748831	254168	Marguerite
748831	259128	Margherite
748831	264367	Adrienne Broussier
748831	283242	Madame Meyrals
748831	286896	Ruth Booz
748831	322579	Ophélie
748831	327888	Madeleine
748831	345494	Céline
748831	356385	
748831	356446	Marthe
748831	384965	Lucia Munin
748831	390515	Sophie Leclerc
748831	396230	Madame Chevrier
748831	400389	Marthe (1989-1990)
748831	401728	Rose-Marie
748831	410149	Mme Castillon
748832	113686	
748833	350833	
748834	117705	Anna
748835	100119	Baalca
748836	179851	Gretchen
748836	266213	
748837	378583	
748838	322108	
748839	21075	Candela
748839	22786	Herself
748839	23368	Katya
748839	35697	Laura Olney
748839	54330	Sigrid
748839	65158	
748839	121939	Nina
748839	164084	
748839	211045	Diana
748839	234358	Marta Cuspineda
748839	252516	Fátima
748839	281130	Barbara
748839	302359	Waitress in Hell
748839	307641	Chica revista
748839	325324	Blanqui
748839	333640	
748839	379566	Raquel (1997-1999)
748839	402602	Senora Vera Hidalgo
748839	404887	Raquel (2003-2004)
748839	408306	
748840	407230	Letter turner (1997-)
748841	7003	Kulub
748841	8961	
748841	19287	Mrs. Fouquet
748841	19557	Harem girl
748841	69823	Hungarian woman
748841	196487	Bride
748841	214961	Miss Anna Klovna
748841	241111	Sonya
748842	52716	
748843	78318	In the Morning Presenter
748844	277712	Herself
748846	119888	Girl #2
748846	131404	Nurse Spatz
748846	133730	Ticket lady
748846	145086	Carolyn
748846	153147	Woman at prison
748846	167001	Laverne Owens
748846	211826	Linda Mabry
748846	263439	Earring Woman
748846	281397	Homeless Woman
748847	70096	
748848	13043	The Assistant Mistress
748848	243289	Wang
748848	301230	Mrs. Fong
748848	353886	Thi Lan
748848	358005	
748848	396477	Gandhari
748849	227859	Jo
748849	379244	
748850	33148	
748850	148051	Puig's girlfriend
748852	17215	Mona
748852	87867	Amy Thompson
748853	305362	Mrs. Callahan
748854	388923	Courtney Gordon
748855	161259	Herself
748856	32693	Tina Walker
748856	46981	Meredith
748856	120271	
748856	148383	Sissy
748856	192250	Elaine
748856	235443	Joan
748856	245111	Jenny's mom
748856	252926	Det. Jane Fleming
748856	328869	Mary Magdalene
748856	336727	Woman
748856	345612	
748857	210149	Eva
748858	399319	Herself
748859	305221	Baseball Wife
748860	411056	Mrs. Rossiter
748861	128322	
748862	13707	Herself - So. Calif. Children
748863	95368	Ethel Durant
748864	347686	Candice
748865	13707	Herself - Attorney L.A. Count
748866	114943	
748867	149804	Roper
748868	314445	Dancer
748869	274283	Troupe member
748870	209237	Commentator 2
748872	4328	Sapna
748872	27517	Sarayu
748872	98744	
748872	122800	Sakina
748872	152632	
748872	152694	Priya
748872	172172	Sonia
748872	180725	Sanjana Roy
748872	182339	Sandhya Patil
748872	211407	Anjali
748872	226102	
748872	249663	Pooja
748872	267916	Jo
748872	278836	Jwala
748872	282029	Herself
748872	319163	
748872	370954	Sonia
748872	370983	Sarena Devan
748873	160575	Hadiyyah Taymullah
748873	160579	Hadiyyah
748873	160582	Hadiyyah
748874	85312	
748874	95538	
748874	125823	
748874	156105	Maya
748874	164301	
748874	283151	
748874	341549	Mrs. Khanna, Anju's mother
748874	349091	Aditi
748875	13758	Sonali
748875	77803	Jai
748876	172172	Raj's mother
748877	36022	Refugee woman
748877	263795	Tennison's secretary
748877	362081	Dancer
748878	382266	Hospital Receptionist
748879	200108	Trot
748880	45592	Lily
748881	391558	Captain
748882	105216	Monica
748883	208531	Asian Girl
748884	274521	Zombie
748885	71334	Dancer
748886	390523	Anika Modi (1999-)
748888	57073	Beggar, Maid, Singer
748888	79716	Misc. Newscaster #2
748888	92865	Airline official
748888	289103	Dr. Hamida
748889	112762	
748889	320257	
748890	61845	Fairy/Leprechaun
748891	71334	Dancer
748892	4680	Sharmila's Friend
748893	126542	Esmarelda Constantina
748894	41352	Woo Cowgirl #2
748895	252729	Percy's Mother
748896	202791	Lady Constable
748897	5010	Friend
748897	115465	
748898	4680	Sharmila's Father
748899	95236	Sage
748900	24271	
748900	226687	
748901	39159	
748902	4438	Neeti
748903	19604	
748903	288544	
748904	38972	Amrita
748905	75268	
748906	71334	Dancer
748907	278223	The Grand Duaghter
748907	284777	Nancy
748908	43164	Bhuvan's Mother
748909	50203	Indian Woman
748909	199390	2nd Punjabi Lady
748909	383363	Misha (The Sea Captain's Tale
748910	259161	Korina
748911	270346	Ghetto Victim
748912	270346	Ghetto Victim
748913	270346	Ghetto Victim
748914	280006	Mother
748915	340029	Prisoner nurse
748916	101254	
748916	277339	Une terroriste
748916	355703	Consuelo
748917	402291	
748918	218218	
748919	236146	Deputy Bowan
748920	215123	
748921	41197	Phone Skirt-Donor
748922	79036	Carol
748922	236697	Brothel prostitute
748923	39274	Molly Gordon
748924	191857	Pamela Jackson
748925	61329	Rhonda
748926	84696	Sophie Wastiaux
748926	327076	Hélène
748927	42595	
748927	158704	
748927	301380	
748928	70970	Cyborg 2 (segment "Take It As
748929	147560	Pier Lady
748930	92099	
748930	140518	Jan
748930	177525	Counter Girl
748930	274994	Rosie
748930	351930	Mother
748930	383461	Staff Nurse Annie Mills
748930	387247	Ruth Aitken/Fowler (1994-1998
748930	406592	Eve Peel
748930	411242	
748931	303894	Aerialist
748932	81527	April
748932	346198	Female Mummy
748933	43	Nun
748934	82017	Mrs. Boyd
748935	97922	Jim's Mistress
748936	93774	Lee-Ann
748936	263348	Cheerleader #1
748936	385172	Wendy Winkle
748937	362380	Justice Bradley
748937	409222	Herself
748938	117728	Caroline
748939	94613	Super Hot Giant Alien Chick
748939	160464	Herself
748939	257616	Herself
748939	257632	Herself
748939	257658	Herself (Miss December)
748939	409700	Herself (Forbidden Fruit)
748941	132909	Pedestrian
748941	132912	Commercial Voice
748941	199961	Various voices
748942	17702	Jane Seymour
748942	263786	Prefect
748943	390105	Herself
748944	316295	Jeri
748944	409400	
748945	2773	Margaret Rondell
748945	35588	Margery
748945	38981	Dolly
748945	44899	Wanda Gale
748945	52432	Pat Laurie
748945	59608	Carol Arnold
748945	133626	Nancy
748945	140954	Geraldine Powis-Porter
748945	143639	Laura Wentworth
748945	147716	Herself
748945	155678	Mrs. Cherry
748945	186060	Doris Gregg
748945	194444	Helen Parker
748945	195071	Patty
748945	196135	Valerie
748945	196167	Peggy
748945	209429	Gwendoline Wells
748945	244440	Prudence Wycherly
748945	249527	Angela Grittlewood
748945	278273	June Kessler
748945	310872	Valerie 'Boots' O'Connell
748946	411884	Miyuki
748947	114600	
748948	405209	Melissa Comrie (2001)
748949	46383	Caroline
748949	131632	
748949	169372	Marriage celebrant
748949	381608	
748949	381641	
748950	32098	Mrs. O'Malley
748950	58497	Angie
748950	69917	Rose
748950	70224	Sister Margaret
748950	72065	Cottage Owner
748950	74117	Mrs. Tinkerman
748950	78013	Nurse
748950	99386	
748950	110519	Beth's Grandmother
748950	117209	Neighbor
748950	151110	Mrs. Thibideaux
748950	151196	Bernice
748950	160589	Woman at Gas Bar
748950	194212	Old Waitress
748950	203614	Old Woman
748950	219994	Mrs. Evelyn
748950	240325	Older Christian Woman
748950	269045	Receptionist
748950	296769	Jury Spokesperson
748950	304529	Elderly Woman
748950	314440	Dr. Barbara Faraday
748950	341020	Lou
748950	405833	Nora
748951	6121	
748952	333007	Madge
748952	370113	Noisy's Mom
748953	268	
748953	7327	
748953	22900	
748953	99542	
748953	105646	
748953	114400	
748953	120557	
748953	124484	
748953	139304	
748953	145859	Gwendoline
748953	167718	
748953	216903	
748953	267512	
748953	269651	
748953	286387	The Salvationist
748953	302213	
748953	314539	
748953	348077	
748954	49728	
748954	65185	
748954	251164	
748954	342494	May
748955	4151	
748955	4323	Sunita's mother
748955	4419	Dai Maa
748955	5630	
748955	8717	
748955	15867	
748955	18141	
748955	18494	Sushma (Arun's mother)
748955	21150	Kavita's mother
748955	21746	
748955	24274	Sita's chachi
748955	27392	
748955	36207	
748955	36223	
748955	36303	Mrs. Kale
748955	38218	
748955	39034	Mother
748955	43174	Mrs. Seth (Rahul's grandma)
748955	59480	
748955	62359	
748955	84769	Bhuvan's mother
748955	84791	
748955	86686	Vikram's mom
748955	88544	Shantu (Ramu & Rani's mom)
748955	93103	
748955	97773	Eena's mom
748955	98473	
748955	98527	Priyam's mother
748955	126997	
748955	130561	Mrs. Kamala Srivastav
748955	147509	
748955	152630	
748955	156105	
748955	166459	
748955	173843	Govinda's mother
748955	174064	Raju
748955	176147	Nirmila (Mother)
748955	177129	
748955	180428	Durga (Aarti's Mother)
748955	184075	
748955	200904	Buaji
748955	208205	
748955	209567	
748955	211419	Rajnath's mom
748955	217175	Joshi's Wife
748955	226042	
748955	227644	Naniji (Special appearance)
748955	246575	
748955	248799	Suraj's mom
748955	256161	
748955	256827	
748955	268093	
748955	271035	
748955	271450	Dodima
748955	271651	Chandan's mom
748955	284757	
748955	284789	
748955	287089	Fateh's mom
748955	288048	
748955	288778	Harbhajan's mother
748955	288837	Bir Singh's elder sister
748955	297433	
748955	297579	
748955	313184	Mrs. Verma
748955	319823	Kanneshwar's mom
748955	325041	Rammo
748955	341685	Nani (Seema's mom)
748955	344991	
748955	354313	Angad's grandmother (Biji)
748955	355326	Saroj
748955	367212	Savitri (Anand's mom)
748955	370202	Dadi
748955	370218	Kaki
748955	370733	
748955	373718	
748955	375850	
748955	407521	
748956	137716	
748957	39683	
748958	100755	Mrs. Sudhakar Rao
748958	141548	Ritu, Inder Lal's wife (1982.
748958	220789	Amma
748958	252927	Pratima Ghote
748959	9324	Seema
748959	20296	Sudha
748959	31507	Shabnam
748959	33230	Nisha
748959	35559	
748959	86767	
748959	107673	
748959	123572	Manu
748959	164603	Sonu Datta
748959	167353	
748959	172895	Subhadra
748959	173110	
748959	199637	
748959	207253	Bhavana
748959	215094	Pepper factory worker
748959	236507	Gayatri
748959	270181	Nita
748959	297034	Shaheena
748959	354313	Anna Vargiz
748959	411997	
748960	149961	
748961	402291	Fitness girl (1997)
748962	189066	Abbey's Mom
748963	176256	Neegal's Date
748964	174635	
748964	256998	
748965	187861	Black Whore
748966	38103	Backing Singer #2
748966	143540	Labia, Murial, Fanny, Delilah
748966	386622	Dimity Todd
748967	58935	Christine
748968	67481	Molly Mezner
748968	160413	Laura
748969	278823	Bela
748970	305806	Laxmibai Tilak as child
748971	4173	Advocate Rajani
748971	4187	Nisha/Asha
748971	4209	Nagi
748971	4322	Ganga
748971	8716	
748971	9316	Herself
748971	9326	Special Appearance
748971	10076	Joan
748971	15166	Kamla
748971	15816	
748971	16575	
748971	17895	
748971	18472	
748971	19931	Jyotsna Gokhale
748971	21150	Kavita Sanyal
748971	25353	
748971	27492	
748971	31507	Najma
748971	36207	Ujaan
748971	36223	
748971	36303	Usha (Urvashi) Dalvi
748971	58572	Amma
748971	59423	Princess
748971	60006	
748971	61364	Shivagami
748971	76817	(Guest Appearance)
748971	77599	
748971	78648	
748971	81436	Seeta
748971	86686	Sheela
748971	86767	
748971	109109	
748971	123104	Tulsi
748971	123268	Khairun
748971	127334	Sumitra
748971	127346	
748971	127468	
748971	136875	
748971	152456	
748971	152462	Roma (special appearance)
748971	165019	
748971	165929	
748971	171790	
748971	173506	
748971	174297	
748971	179880	
748971	203976	Zeenat
748971	204774	Bindu
748971	211249	
748971	211255	Geeta
748971	211414	Geeta
748971	215094	Sonbai
748971	227128	Poonam
748971	228844	Ajitha
748971	228938	
748971	233201	Rukmani (Vishwam's wife)
748971	253817	
748971	268602	
748971	271035	
748971	272850	Ganga
748971	285159	Jhuria
748971	288339	Sujatha
748971	297148	Roma Devi
748971	297545	
748971	297570	Guest Appearance in Song "Jah
748971	298464	
748971	303324	
748971	320373	
748971	323340	
748971	324883	Janaki
748971	326960	
748971	330354	Shashi
748971	344917	Savitri
748971	359419	Paro
748972	81321	Model
748973	169517	Mexican Woman
748974	320343	
748974	355703	
748975	176525	British soldier
748977	339984	
748978	116750	Rene
748979	70653	Pool party girl
748980	135919	Indian Village Person
748981	244586	
748982	219862	
748983	139151	Groupie
748984	5407	Françoise
748984	54260	
748984	59385	
748984	90769	Brigitte
748984	95372	Solange Duraton
748984	96052	
748984	120813	
748984	135423	La fleuriste
748984	158809	Barbara
748984	160820	
748984	193895	Christine
748984	202593	Une amie
748984	219021	Françoise
748984	225142	Alexandra von Treskow
748984	237619	Anita Lead
748984	263925	Luísa
748984	270765	
748984	318903	The Girl
748984	335601	Lilliane Decker
748984	350184	Erna
748984	377614	Mrs. Hamilton
748985	32146	Herself
748985	111746	Herself
748985	183338	Model (Freedom Video)
748985	194725	Herself
748985	216872	Herself
748985	266419	Herself
748985	276398	Leight Woodfield
748985	278830	Cheryl Lynn Austin
748986	71193	
748987	326178	Reportera #1
748988	52010	Viejita #2
748989	379089	
748989	404076	Tertuliana (2003-2004)
748989	412147	Entrevistadora
748990	132678	
748991	383344	Nina
748992	333591	
748993	132182	Pirkko
748993	136176	Fröken Uggla
748993	180101	Anna-Karin
748993	197808	Sirpa
748993	215242	Mia
748993	241216	Stina
748993	341815	
748993	390950	Tuula, Arja's daughter
748993	404048	Marie (1999)
748995	839	Özvegy Feketéné
748995	19393	Irma néni
748995	28538	Kati néni
748995	44773	Nagymama
748995	51314	
748995	74422	Öregasszony
748995	78206	
748995	84821	Mindszenty's mother
748995	136428	Nagymama
748995	138393	Paulina
748995	143725	
748995	147948	Erzsi
748995	176207	Libás öregasszony
748995	182643	
748995	182847	
748995	187508	Alker anyja
748995	226705	
748995	278687	Zsuzsa, öltöztetõnõ
748995	322011	Moziruhatárosnõ
748995	322105	Öreg néni
748995	322245	Galambos Sarolta
748995	326341	
748995	334015	
748995	357819	Irma néni
748995	377144	Ilona néni
748995	377206	
748995	377723	Patient
748995	378578	
748995	381345	Idõs asszony
748996	40134	The Oxley Postmistress
748996	79278	Bedelia
748996	150180	
748996	210391	
748996	210401	
748996	215674	Judith Gale
748996	330185	Soho girl
748996	359486	
748997	202063	Amiga en la pileta
748998	224224	Rajani Verghese
748998	311224	Balinese Masseuse
748998	324803	Lajwati 'Laji'
748998	404940	Imitatia/Anna Nehue
748999	79276	Restaurant Patron
749000	41329	Shrike member
749000	70486	Dancer
749000	81052	Dancer
749000	109457	Caesar's Gang Member
749000	128727	Dancer
749000	164587	Dancer
749000	274319	Elliot (segment "Tears")
749000	302710	Dancer
749000	303226	Dancer
749001	64667	The Girl
749002	250888	Tornász
749003	70943	
749004	390144	Siren (1997-2000)
749005	14230	Grandma
749005	16099	Woman in Denver
749005	41934	Dottie Owens
749005	65464	Shirley Pogue
749005	69037	
749005	72691	Edna
749005	73333	Adelaide
749005	86321	Angela's Fan
749005	87341	Homicide Detective
749005	96691	Mrs. Carmichael
749005	106493	Moderator
749005	115161	Doctor
749005	134672	Mrs. Lancaster
749005	148255	Woman on Airplane
749005	168238	Woman with Roadrunner
749005	169679	Rita Mae Tuttle
749005	175164	Dinah
749005	185441	Mrs. Gustafson
749005	189921	Mrs. Shearer
749005	193521	Mrs. Holmes
749005	196303	Parole Board Member #3
749005	204214	Mrs. Webster
749005	280421	
749005	293011	Joan
749005	313450	Aunt Adah
749005	338298	Hattie Anderson
749005	347180	Airplane Woman
749005	360723	Faye
749005	361167	Gloria Sikes
749005	363265	Ellie McNeil
749005	366271	Mrs. Spencer
749005	388237	Harriet Anderson (1988-1989)
749006	3159	Lizzy
749006	223807	Hooker
749006	286119	
749007	196180	Mirella
749007	381107	Ethel Whitlow
749008	77857	Mitzi
749008	253093	Hotel Receptionist
749009	31874	Milbank
749009	44108	Nurse
749009	99604	Melissa (stewardess)
749009	116356	Waitress
749009	168290	New Jersey Nurse
749009	263983	Milkmaid
749009	267653	Honeymoon Woman
749009	400633	Marci Reed
749010	15221	Mary Jo Buttafuoco
749010	68891	Cynthia
749010	96970	Angela
749010	160590	Susan Scott
749010	195270	Joyce
749010	235022	Erica
749010	236148	Liana
749010	254923	Mabel
749010	289456	Joyce Matthews
749010	321667	Reporter
749011	40877	Kate, the nurse
749012	309056	
749013	63254	
749014	116079	Laura
749015	108099	Miss Catherine Sinclair
749015	203539	
749015	387974	Neighbour
749016	258664	University Worker Kazimiera
749017	7477	Hélène Haslans
749017	57400	Nora
749017	96164	
749017	100022	Anna Borg
749017	132744	
749017	155738	Petula Clark
749017	216236	Eponine
749017	216237	Eponine
749017	243022	Mary
749017	347566	Candice
749017	377726	Margot's Sister
749017	386020	
749017	388507	Odette
749017	390520	Sirena (segment "Mission secr
749017	400393	Georgie de Winter
749017	409602	
749018	63849	Vendeuse magasin vêtements
749019	5585	French Singer
749019	407211	Françoise
749020	236345	
749021	372393	
749022	344253	
749023	259710	
749024	252725	
749025	2222	Student
749025	16195	Truda
749025	30324	Singer
749025	35044	Kati
749025	62589	Herself
749025	196818	Saleswoman
749025	202574	
749025	237497	Princess
749025	247348	
749025	260392	
749025	305824	Marta Vanková
749025	339277	Director's assistant
749025	349323	Ilona
749025	357297	Manuela
749025	380553	Xenie
749025	380554	Xenie
749025	396134	Verkäuferin
749025	398755	
749025	399869	Emilia Fernandez/Káta Jandová
749025	400727	Stewardess (1978)
749026	409860	
749027	12675	
749027	342134	Speaker
749028	160979	
749028	319325	
749029	404045	Luca Appio
749030	94670	
749031	401521	
749032	277505	Wilda
749033	128379	School Girl
749033	209609	Dancer
749033	384597	Herself
749034	344524	Herself
749035	404747	2nd Whore
749036	30092	
749036	46188	
749036	55807	
749036	72233	Specialty dancer
749036	74893	
749036	75031	
749036	76081	
749036	80263	
749036	86884	
749036	87441	
749036	95124	
749036	104745	Dutch entry (7th place)
749036	110839	
749036	112700	
749036	138591	
749036	150049	
749036	191167	
749036	219417	
749036	228090	Patricia
749036	229787	
749036	231184	
749036	236238	
749036	246442	
749036	251355	
749036	265079	
749036	265199	
749036	286272	Paulette
749036	286273	
749036	296428	
749036	325301	
749036	338866	
749036	372458	
749036	380971	Herself (14th Banished, 42 da
749036	389221	
749036	396173	
749036	396174	
749037	267455	Woman at Restaurant
749038	2685	
749039	125647	
749039	246154	
749039	294710	
749040	5000	
749040	370170	
749040	386077	Asunción
749040	388094	
749040	397587	
749040	397734	
749040	398452	Isabel
749040	401162	
749041	133949	Herself
749042	10030	Celerina
749042	61129	
749042	252627	
749043	133772	Platero Girl #1
749044	84009	
749045	228257	Herself - Host
749045	390410	Clara Alvàro (1999)
749046	257746	Kelly Wolfe
749047	215905	Church Soloist
749048	158192	Angel
749049	152892	Mermaid
749050	16003	Sarah Carter
749050	155596	Miss Danvers
749050	244316	Emilia
749050	270442	Vicki
749050	273825	Barbara Fairley
749050	372210	Linda Enderby
749050	396522	DCI Susan Askey (Series 1) (1
749050	405088	Julia Lawson
749051	216235	
749052	42806	Candy
749052	176827	Terry
749052	194478	Lead Female Cultist
749052	245207	Karen
749052	299561	Nadia
749052	303267	Vera
749052	366892	Samantha 'Nuke em' Rogers
749052	367083	Running Girl
749052	374597	Wendy
749053	389924	Patience
749054	128777	
749054	133920	
749054	152662	
749054	258284	
749054	317395	
749054	333830	
749054	374488	
749055	194638	Blond Everclear Fan at Concer
749056	118303	Girl
749056	175405	Milo's Assistant
749056	217380	Adad
749056	327975	Herself
749056	368918	Waitress
749057	390105	Herself
749058	50246	Sam
749058	86457	Amy
749058	129829	Ponti Assassination Bystander
749059	231881	Mary Wingate
749060	3024	Trudy Maxwell
749060	10561	Elaine Carter
749060	27112	Arlene
749060	31262	Danny's Girl
749060	33601	Deborah
749060	37099	Betsy Abbott
749060	40977	Gloria Dell
749060	45685	Susan Walker
749060	67920	Kitty
749060	84115	Janet Brooks
749060	110411	Solitare
749060	116511	Ann Gorman
749060	117313	Model, Girth Control Sequence
749060	137452	Edna Radwell
749060	144989	Helen Kenet
749060	150812	Emily Gaunt
749060	184953	Dorothy Reid
749060	193763	Louise Curtis
749060	203278	Betty Coughlin
749060	210806	Mrs. Dodson
749060	213475	Caroline Glenson
749060	230753	Miralee Smith
749060	245379	Mary Saunders
749060	251418	Edith Sawyer
749060	276590	Eve O'Grady
749060	279300	Sally Clayton
749060	288916	Elizabeth Webb
749060	289504	Dorie
749060	302696	Audience member
749060	324385	Nadine
749060	325025	Lou Jellison
749060	333054	Eva Kern
749060	336032	Martha
749060	346017	Madeline Wellington
749060	348327	Goldwyn Girl
749060	354859	Helen Martin
749061	198003	
749061	295728	Katherine Tramell
749062	3163	Porn Girl
749063	21297	Cynthia Wentworth
749063	36839	Nurse
749063	37255	
749063	46669	Barbara Drew
749063	52198	Olivia Radford
749063	65372	Julia Naughton
749063	72499	Maria Lucia
749063	73205	Helen Stanley
749063	78155	Margaret Van Case
749063	81281	Rhoda
749063	87549	Joan Carroll
749063	88916	Marilyn Thomas
749063	91971	Florence McCrickett
749063	96716	Grace Stanton
749063	123141	Clare Pendleton
749063	123354	
749063	132821	Agnes Carren
749063	143202	Natalie Martin
749063	146751	Toni Jarrett
749063	155837	Secretary at Idylwood
749063	160433	Audrey O'Connor
749063	168570	Caroline Haig
749063	174594	Lorraine Bennett
749063	177359	Dale Borden
749063	177516	Ellen Taggert
749063	193738	Marcia Stewart
749063	195539	Isobel Kimble Grayson
749063	199136	Gwen Taylor
749063	199752	Ella Randolph
749063	202630	
749063	203279	Margaret Lea
749063	215903	Elvira Rumford
749063	222592	Sadie Evans
749063	222768	Meg Archer
749063	222818	Jerry Evans
749063	223917	Bianca Bates
749063	224136	Cornelia Bullock
749063	224634	Mary Benton Foster
749063	233791	Therese Germane
749063	241416	Mrs. Ellen Barclay
749063	254441	Laura Hamilton
749063	255167	Party Girl
749063	255339	Herself
749063	257200	Cathy Arnesen
749063	263386	Claire Woodward
749063	269868	Myra Blandy
749063	275694	Dolores Starr
749063	275769	Jessie Gibbs Shayne
749063	283236	Patsy Fletcher
749063	291299	Herself
749063	305454	Kay Reynolds
749063	312773	Linda Shaw
749063	323476	Cornelia Burbank
749063	323883	Ellen
749063	334351	Ann Hayden Stanley
749063	342453	Mary Hale
749063	342933	Irene Lassiter
749063	343251	Sue Parker
749063	348008	Herself
749063	348332	Mabel Essington
749063	358184	Nancy Wellington
749063	358954	Ruth Virey
749063	360479	Linda Wayne
749063	363875	Helen Varek
749063	367051	Lucy Stowell
749063	367805	Margot Bracken
749064	17319	Tracey Rutter
749065	220187	Various roles
749065	388802	Nora Renshaw (1988-1989)
749066	58753	Madame de Thiffry
749067	22643	Janine Norwalk
749067	81189	Miss Forsythe
749067	196405	Peter's Receptionist
749067	386891	Susan Deigh (receptionist) (1
749068	3082	Elinor Knox
749069	202673	Herself
749070	265100	Kid #2
749071	359194	Mathilda Tate
749072	283538	Angie
749073	2977	Mrs. Howard Cassin
749073	24240	Doris Upson
749073	37327	Karen Saunders
749073	39283	Effie
749073	44248	Ellie
749073	51975	Elvira Powell
749073	64803	Gladys
749073	69237	Anna 'Big Annie' Barry
749073	72611	Goldie Tibbets
749073	77955	Nancy Donovan
749073	78185	Head Nurse Johnson
749073	90847	Melissa Price
749073	107181	Cora Elliott
749073	109843	Aunt Tess 'Tessie' Haley
749073	114423	Stella
749073	116929	Blondie White
749073	121585	Claire Simpson
749073	123306	Fay Lawrence
749073	126063	Rena Leslie
749073	128337	Mary Hatten
749073	131715	Madame Fleury
749073	142577	The Wife
749073	144673	
749073	148940	Mrs. Pettijohn
749073	158515	Betty Wilmoth
749073	159944	Ruth Bennett
749073	168017	Dorcas
749073	175175	Gladys Hopkins
749073	178200	Betty Trent
749073	183392	Mary Larrabee
749073	184832	Agatha Parkinson
749073	186355	Dorothy
749073	186420	Jan Dawson
749073	200900	Kissing Milk Customer
749073	202537	Effie Perine
749073	213820	Mrs. Maggie Biederhof
749073	214080	Josie 'Lou' La Rue
749073	217946	Miss Martha Church
749073	218715	Mrs. Blake
749073	219996	Lil (on train)
749073	221307	Madeleine Parkington Swann
749073	223018	Nora Burns
749073	230675	Mrs. Hitchcock
749073	232224	Flo
749073	232260	Polly Franklin
749073	234223	Miss Pennington
749073	236129	'Deb' McIntyre
749073	236901	Miss Ruth Adams
749073	245589	Mrs. Foley
749073	255878	Mrs. Walters
749073	288742	Florrie Halevy Sands
749073	293103	Sally Evans
749073	302697	
749073	303307	Flora Gibbon
749073	305606	Rose Fairchild
749073	305934	Asylum Inmate
749073	308155	Eve 'Evie' Manning
749073	309846	Delia Snedeker
749073	316036	Diana Foster
749073	316114	Mrs. Lathrop
749073	318673	Mrs. Ewell
749073	323435	Rose
749073	330018	Marge
749073	335327	Janet Higgins
749073	352639	Older mistaken identification
749073	355411	Rheba Spelding
749073	358452	The Blonde
749073	358768	Susan
749073	367040	Mrs. Swanson
749073	372107	
749073	379870	Various character voices (196
749073	382549	Aggie
749073	408576	Henrietta Topper
749074	23803	La cliente de Rosa
749074	23805	Laura Lyons
749074	23818	Elisa
749074	109015	Solange
749074	119038	Woman passenger (segment "Mar
749074	170429	Tamira
749074	208481	La secrétaire
749074	227598	
749074	312260	Estelle
749074	322337	Mado
749074	345145	Diane
749074	377618	La Silote
749074	401798	Perpetua (1966)
749075	192381	Isabelle
749075	380909	Herself - Host (1992)
749075	395791	Lisa
749076	135907	Tina
749076	151675	Receptionist
749076	319904	Sylvia Dempster
749076	407487	Tina (1961-1962)
749077	381821	Ensemble (1973)
749078	320779	Nora's Sister
749079	321373	Videographer
749080	21312	Narrator
749081	254788	Becky
749082	4621	
749082	46769	
749082	175605	
749082	190947	Extra in dress circle
749082	197765	
749082	203691	Boxcar Alice
749082	205034	
749082	256226	
749082	265265	
749082	271297	
749082	289568	Dolly
749082	308569	
749082	329148	
749082	332028	
749082	360527	
749082	361841	Flashy Woman
749082	363842	White Goddess
749082	367863	Island Woman
749082	368410	Lena
749083	1020	Misty
749084	20625	Extra
749084	93101	Bridesmaid
749084	289585	Catherine's lady-in-waiting
749084	292470	Goldwyn Girl
749084	297970	Saleswoman
749085	25083	Coogan
749085	201173	
749086	195479	Police Officer
749087	196341	Coffee Shop/Restaurant Custom
749088	1245	
749088	6728	Herself
749088	21969	
749088	57936	Herself
749088	109486	WiB #2
749088	116013	Herself
749088	116808	
749088	128770	Herself
749088	128851	
749088	142703	Hostage
749088	165923	
749088	197866	Herself
749088	242555	
749088	251739	
749088	252393	
749088	253515	Sara
749088	257620	Herself
749088	296706	
749088	306875	Herself
749088	328142	
749088	399420	Host (2000-2002)
749088	401924	Herself
749088	407854	Host
749089	142479	
749090	213588	Peep-Bo
749091	314814	Auction Bidder
749092	102630	
749092	293355	
749093	43213	
749094	317309	Prom Queen
749095	317309	Prom Queen
749096	8476	
749096	85637	
749096	98738	
749096	172836	
749096	306962	
749097	149214	Toinette
749098	14908	
749099	4615	
749100	219572	Studente agli esami
749101	88205	
749101	119075	Mariella
749101	270850	
749101	349526	Rossella
749101	351075	
749102	104766	Cyprian entry (9th place)
749103	377474	
749104	145630	Herself
749105	352931	Lolo
749106	302145	Naked woman #2
749107	331496	
749108	210189	
749109	402539	Gina
749110	51451	Soeur Saint-Agnès
749110	191500	Carole Gosselin
749110	400384	Angèle Létourneau
749110	400899	Thérèsa St-Pierre
749110	403196	Lise Payette
749110	405099	
749111	344691	Young Açucena
749112	397198	
749113	412257	
749114	353100	
749115	266519	
749115	398880	Melina
749116	85585	
749116	173308	
749116	188998	
749116	212519	
749116	276474	
749116	287881	Esmeralda Toques
749116	302827	
749116	361338	
749116	381030	Fabiola
749116	382378	Angelica
749116	383272	Bertha
749116	397572	Claudia
749116	401700	
749116	407276	Liz
749117	26586	
749117	62827	
749117	282224	
749118	91613	
749119	187053	Party Woman No. 3
749120	286402	Nid
749121	321515	Featured Dancer
749122	252825	Nanette
749123	389124	Imogen
749124	309597	Nun
749125	393471	Polly Simpson (Aged 5)
749126	99137	Dancer
749127	44786	Nellie Garth
749128	82448	Herself
749129	29504	
749129	41087	Coed
749129	75852	Red Rock Secretary
749129	94598	Girl at the ranch
749129	109862	Hotel St. Anthony Telephone O
749129	116891	Miss Hughes (Helen in Play)
749129	178342	
749129	188405	Chorus Girl
749129	208692	Girl at Office
749129	212215	Dennis's Stenographer
749129	248838	Girl on bus with Tommy
749129	275859	Richard's Secretary
749129	346880	
749130	139643	Woman with Baby Cart
749132	393471	Sarah Simpson (Aged 7)
749133	368258	Herself
749134	87769	Girl #1
749134	116513	Nora White
749134	121616	Herself
749134	129813	Yvonne Stratton
749134	134632	Gothic old lady in opening fi
749134	148266	Elizabeth 'Libby' Halstead
749134	168236	Jody Weaver
749134	168750	Priscilla 'Cilla' Lapham
749134	192065	Missey Choosey Glenson
749134	192261	Melissa Turner
749134	210434	Herself
749134	223010	Margaret Shaw
749134	251650	Herself
749134	276381	Polly Fisher
749134	280109	Joan Wright
749134	299659	Hannah Hawker
749134	306400	Tildy
749134	308653	Ginny
749134	330203	Barbara Collins
749134	332039	Tracey Hamilton
749134	348008	Herself
749134	372502	Ann Howel
749135	11530	Herself
749136	349512	Millie
749137	80034	
749137	105971	Housekeeper
749137	362538	Ellie Banner
749138	78182	Dead Girl #2
749139	83982	Chorus #17
749140	393314	Jane as a Child
749141	279323	
749142	304734	Break-in Victim
749143	254619	Herself (preface)
749144	369492	Xanadu Dancer
749145	142628	Mrs. Levitt
749145	271094	
749146	37867	Arnie's Mom
749146	315896	Woman on Bus
749147	277528	Bit part
749148	403542	Exotic Dancer #2
749149	380815	Herself
749150	71477	Tina
749151	58672	Sue
749151	403589	Jasmine
749152	273496	Rachel ('I'll Die Loving')
749153	44493	Dixie
749154	186306	Sandy
749154	255357	Marilyn
749154	274373	Patty
749155	132008	Connie
749155	204890	Councillor Marika
749155	235353	Mother
749155	306814	Gerri
749156	70717	Head Nurse
749157	401221	Katrina (1995)
749158	682	Dorm Room Girl
749158	2476	Kylie
749158	59151	Cop At Precinct #3
749158	235403	Party Girl
749158	350343	Even Hotter Senior
749159	81157	Driver
749159	232181	Morgana's Patrol #2
749160	118938	Mildred Pennys
749160	142668	Woman Passenger
749160	306625	Old Woman
749160	364135	Doris
749160	365759	
749160	366575	The Grandmother
749161	64819	Nina Shutenberg
749161	87891	Juliet
749161	157672	Mia
749161	187238	Pirotesse/Sheru
749161	327048	Jun Kazama
749162	183608	Bit Role
749163	225755	Herself
749164	6802	Nellie
749164	12239	Aunt Matilda Manning
749164	17704	Rebecca
749164	27279	Mrs. Perkins
749164	33622	Sarah
749164	35725	Mrs. Daly
749164	37258	Mrs. Goldfarb
749164	37839	Aunt Hester Fairfield
749164	42023	Aunt Hedwige
749164	45419	Mrs. Harper
749164	46239	Cora Pugmire
749164	46993	Tabitha Singleton
749164	49249	Aunt Blanche Clavering
749164	49250	Aunt Blanche
749164	49252	Aunt Blanche
749164	56687	Aunt Susan
749164	56712	Susan
749164	59933	Mlle. Prefere
749164	67251	Emma
749164	69673	Landlady
749164	76581	Mrs. Lippett
749164	77846	
749164	86957	Miss Copeland
749164	88863	Aunt Patricia Banning
749164	96762	Becky Tilden
749164	105070	Clara Tuttle, Canteen Worker
749164	106011	Miss Crackenwald
749164	116523	Annie
749164	124747	The Town Gossip
749164	129839	Aunt Kate Barnaby
749164	130802	Lydia
749164	135563	Elvira Ward
749164	137206	Libby's Aunt
749164	139519	Emma Haller
749164	141630	Vergie
749164	143034	Eva
749164	143281	Mrs. Ellie Martin
749164	144672	'Ma' Miller
749164	144994	Grandma Cortlandt
749164	147384	Grandma Holland
749164	147446	Miss Tuttle (reformatory matr
749164	153183	Mrs. Caroline Reid
749164	154476	Margaret, Wally's Housekeeper
749164	155017	Mrs. Sompter
749164	159473	Elinor's Aunt
749164	161633	Miss Habersham
749164	174641	Aunt Priscilla
749164	178134	Aunt Lilly Lou
749164	183792	Charlotte Waring
749164	184953	Mrs. Mary Raff
749164	190057	Mrs. Tubby
749164	192410	Hannah
749164	193713	Sarah Martin
749164	195883	First Aunt
749164	196973	Annabelle Dinwiddie
749164	203457	Miss Harper, Lois' Secretary
749164	210876	Aunt Ella
749164	212752	Aunt Olivia
749164	215634	Aunt Juliet Mitchell
749164	215662	Cora
749164	224304	Grandma Sherwood
749164	230734	Aunty Doe
749164	231858	Mrs. Elvira Ward
749164	232038	Mrs. Tobias Greene
749164	233683	Mrs. Randall
749164	239657	Mrs. Sarah Hutchins
749164	243340	Maria Cooper
749164	244863	Aunt Tillie
749164	245121	Miss Spring
749164	246923	Mrs. Casey
749164	252299	The Teacher
749164	257559	19-Cent Woman (replaced by Fl
749164	275452	Aunt Emma
749164	276716	Mrs. Bartholomey
749164	276730	Araminta Sedley
749164	289422	Ada Smith
749164	292426	Mrs. Stover
749164	292540	Mary, the cook
749164	299503	Catherine Dennison
749164	302629	Mrs. Beebe
749164	304347	Mrs. Fisher
749164	305398	Ma Brannan
749164	305609	Baroness von Schwedel
749164	306397	Mrs. Tebbit
749164	306468	Mary Cherry
749164	308614	Mrs. Beecham
749164	308940	Grandmother Lee
749164	309878	Sarah
749164	315644	Mrs. Mac Gregor
749164	315726	Aunt Jennie
749164	324036	Connie
749164	325030	Mrs. Courtney
749164	330129	Mrs. Cullen
749164	330170	Lizzie
749164	331317	Wilma Chester
749164	333493	Vilda Cummins
749164	334416	Ada Lester
749164	334754	Jessie
749164	350484	Grandma Yancey
749164	359754	Miss Dee
749164	361176	Mrs. Gilley
749164	364204	Aunt Maggie Ambler
749164	368244	Dean Crockett
749164	392419	Mrs. Matilda Trumbull (1953-1
749165	68697	Noel
749165	289024	Les Presages Dancer
749166	72931	Goodyear Chorus Girl
749167	38553	Molly Baird
749167	54629	Hilda Bruger
749167	126697	Irene McCallum
749167	163188	Mrs. Gray Kersh
749167	183639	Rebecca's Mom
749167	184719	Justina Titus
749167	192413	Hannah
749167	203444	Mrs. Porter
749167	292042	
749167	334177	Great Grandma Mimi
749167	381112	Marge Aylesworth
749167	392135	Bernice Pride
749168	74761	
749168	371087	Pat
749169	27152	Blonde
749169	308382	Raider
749170	124115	Running Villager
749171	257527	Madalyn
749172	274449	Kirsten
749173	64070	Ensemble
749174	342862	Easter
749174	375045	Singer: Solo Lines in 'Ziegfe
749175	47478	Mrs. Demarest
749176	298173	Shayne Clerk #2
749177	304540	Maxine
749178	304734	Break-In Victim
749179	175724	Lady Yodo
749180	87883	Valerie Maitland
749180	236081	Rachel
749181	45424	Pretty Girl
749182	41360	Candi Cohen
749182	79006	
749183	238161	Nurse
749183	273717	Jools Docherty
749184	402945	Ranger Julie, Tiny
749185	224154	Lydia
749186	2928	Mimi
749186	184981	Pretty Girl #3
749187	364783	Hostess
749187	378735	Chari Umpire
749188	232413	Kim Temper
749189	80695	Rockhouse Girl #1
749190	314504	Nelda
749191	9125	Randy
749191	30659	
749191	31733	Miss Brahms
749191	157252	Julie
749191	300963	Laurie Morgan
749191	388977	Liz Drever
749191	390373	Betty Crandall
749191	397077	Panelist
749191	402204	Pvt. Judy Benjamin
749191	411411	Nikki Evashevsky
749192	53050	Trish Prescott
749192	65954	Crystal
749192	65990	Claire
749192	113411	Young Jenny
749192	133716	Nicole
749192	163529	
749192	163633	
749192	177626	Amy
749192	192833	Jane Powell
749192	232460	Little Girl
749192	260328	
749192	292611	Callie
749192	305087	Ballinger's daughter
749192	312971	Michelle Lambert
749192	313122	Sarah
749192	364390	Brittany Van Horn
749192	398336	Lori Lansford
749192	405892	Nicole Farrell
749192	409489	Emily Del'Amico
749193	163246	Victoria at age 3
749194	71639	Air Hostess
749195	87631	Specialty
749196	17021	April Wilde
749196	41139	Ellie Masters
749196	75824	Lea
749196	139577	Jeannie
749196	157061	Nurse Monica Blaine
749196	388147	Wrangler Jane Angelica Thrift
749197	68688	Marilyn Monroe
749197	264157	Lady Elyssa
749197	306431	Guest at Wedding
749197	347900	Stewardess
749198	92409	Carmen
749199	50444	Cheerleader
749200	37261	Twin
749201	335630	
749202	7413	Lois Clark
749202	11386	Gretchen
749202	11525	Angry CRP Woman
749202	36773	Eliza
749202	48709	Mrs. Ella Holly
749202	71655	Dorothy
749202	79528	Mrs. Clemens
749202	80680	
749202	80970	Connie
749202	83856	Miss Warriner
749202	89964	Gaddis
749202	97161	Mrs. Buchanan
749202	211783	Mrs. Oliver
749202	236151	Marian's mother
749202	259290	
749202	283191	
749202	283469	Alice Collingwood
749202	303989	Mrs. Claggart
749202	307518	Amelia Shotgraven
749202	308094	Mrs. Farrow
749202	311249	Louise Kramer
749202	313189	Playboy Executive
749202	316264	Mrs. Denver
749202	323843	Carlotta Levy
749202	326119	Miss Millard
749202	335702	Blanche Oehlrichs
749202	349231	Eleanor Dupres
749202	367878	Lady Judith Eason
749202	386562	Margaret 'Mags' Brimble
749202	390414	Maggie McLeod
749202	396729	Hostess
749202	399385	Ma Ketcham (1971-72)
749202	409744	Eleanor Dupres
749203	329107	Backing Vocals
749204	42805	Rosemary
749204	98906	Clair Moss
749205	163655	Herself
749206	292826	Third Windmill Girl
749207	277989	Fay Larkin
749208	144448	Girl
749208	300062	Banjo Player
749209	196546	Carol Taylor
749210	291222	Usher Giving Out Costumes
749211	111677	Monica Hewlett
749211	143005	Eva Lawrence
749211	148492	Esther
749211	151113	Violet Christie
749211	178052	
749211	191772	Dancer
749211	220990	Dolly Fairfield
749211	259156	
749211	306437	Wife
749211	311466	
749211	334225	Mrs. Briggs
749211	362088	
749211	362402	Miss Dunlop
749211	362867	Helen Byars
749211	363501	Mrs. O'Grady
749212	179510	Herself
749213	148296	
749214	245717	Kate Alpert
749216	362952	Singer, Child
749217	195262	Nurse
749218	191881	Mrs. Evans
749219	11911	Admitting Clerk
749220	133792	Cheerleader
749221	68693	Rosaleen
749221	88522	Louise
749221	306275	Snow White
749222	47985	Sister Elizabeth
749222	235189	Arlene
749222	356329	Roschi
749222	405833	
749223	12252	Church Secretary
749225	30969	Linda Page
749225	35479	Nurse Thorsen
749225	39559	Janet Hadley
749225	44748	Stewardess
749225	44884	Woman
749225	78017	Bride
749225	93651	Jenny Morgan
749225	119803	Model
749225	131507	Secretary
749225	139790	Harvey Girl
749225	143592	Josephine
749225	163387	Ann Anderson
749225	175175	WAC Brooks
749225	178762	Dancer
749225	184501	Margaret Hathaway
749225	186004	Mrs. Knox
749225	186335	Michele Darcy
749225	188387	Girl
749225	194053	Carol Shay
749225	196973	Chambermaid
749225	200869	Bellhop at Amazon Hotel for W
749225	203766	Nurse Bentley
749225	206355	Mary Saunders
749225	219189	Girl
749225	224047	Elevator Girl
749225	235096	Lydia Rogers
749225	248318	Katherine Webb
749225	254820	Lola (bargirl)
749225	274498	Telephone Operator
749225	277980	Sheila Taylor
749225	278111	Gail Holloway
749225	278114	Alice Morton
749225	284910	Miss Cole
749225	292129	
749225	301941	Ahnpa
749225	311317	June Rogers
749225	311621	Perkins (Dunkfeather's secret
749225	313806	Terry Lawrence
749225	329097	Nancy Drew
749225	330107	Receptionist
749225	341678	Robin Ryan
749225	354227	Jane Andrews
749225	368557	Elaine
749226	381503	Young Isobel
749227	152948	
749228	72319	Sherri
749230	349631	Page
749231	92257	Brina
749231	145171	Jenny
749232	76258	Koobie Akira
749233	291100	Ginny
749234	237995	Berenice
749234	243656	Angelica
749234	251093	Soprano
749235	109621	Alix Coxx
749236	232413	Tammy Temper
749237	42983	Sara Reynard
749237	134062	Zoe
749238	263352	Preen #2
749239	87586	Disco Godfather Dancer
749240	241146	Audience Guest
749241	110363	Nurse
749242	352968	Herself
749242	407815	Herself
749243	392483	Masseuse
749244	195518	Other Girl
749245	175794	
749245	204007	
749245	316794	
749245	332771	Bill's Assistant
749246	32677	
749246	237996	
749246	252652	
749246	269468	
749246	328205	
749248	8841	Soloist dancers
749249	99403	Branca
749249	123688	
749249	346730	La copine gay
749250	20625	Extra
749251	403169	Kristen the Rap Girl
749252	68438	
749252	197618	
749252	222856	Giornalista
749252	252668	
749252	356214	
749253	399657	Herself (1991-1993)
749254	177625	Little David's singing voice/
749254	358805	Herself (1988)
749254	358822	Herself
749255	42834	
749255	59100	Waitress
749255	144165	
749256	395620	Jeanne (segment "Claude")
749257	10233	
749257	300708	
749258	358547	Prostituee met Somers
749259	13966	Salesclerk
749260	290229	
749261	46444	Nurse 1 (ICU)
749262	128896	Louise
749262	190179	
749263	223659	Herself
749264	290086	The Mysterious Couple
749264	305939	Alice
749265	223659	Aunt Posie
749266	153538	Cassandra (age 12)
749267	72506	
749268	264194	
749269	58170	Mother
749271	134154	Blonde in Park
749272	70178	Antoinette
749273	305778	Workout Girl #2
749274	319175	Girl at Lunch
749275	238983	Piano Player
749276	389432	
749277	340962	Candy
749278	272754	
749280	196998	Bride
749281	108497	Fanci Wiesenthal
749283	206535	Kathy Cassidy
749284	6269	Angie
749285	78951	Girl
749285	171279	Lesbian
749286	69808	Molly
749287	315	
749288	33393	Mrs. Frankel
749288	47333	Tourist
749288	123325	Ricky's wife
749288	129113	Grandma Ruthie
749288	261107	Saleswoman
749289	312341	
749290	21331	Carol White
749291	78771	Mrs. Ralston
749291	87884	Mrs. Jessica Prescott
749291	157783	Grace Scanlon
749291	195483	Martha
749291	206404	Mamie
749291	245530	Chairlady
749291	250869	Myra
749291	257963	Mrs. Hunter
749291	281132	Mrs. Bell
749291	291960	Mrs. Fisher
749292	185746	
749292	249237	
749292	371087	Mrs. Broome
749293	180730	Chouchou
749294	302362	Wedding Guest
749295	26352	Toddler
749295	81776	Brittany Baker
749296	39455	Ginny Long
749296	49957	Doris Green
749296	91779	Actress in Othello
749296	147663	Herself--Junior Hostess
749296	149635	Party Girl
749296	163485	Ruth Dakin Bailey
749296	165558	Carrie Lou
749296	185585	Hazel Dale
749296	197020	Millie Dale
749296	234199	Switchboard Operator
749296	239515	College girl
749296	279556	Karen Farris
749296	329329	Girl (Ann Sheridan Number)
749297	308114	Choir Member
749298	265904	Concierge
749299	51483	Teen
749299	309674	Janice
749300	117061	Desdemona
749300	249595	Jennifer
749300	257108	Sarah Gavin
749300	298063	Peppermint Patty
749300	317341	Patricia
749300	372363	Peppermint Patty
749301	36907	
749301	196899	Patty of 'Patty and Fields' (
749301	283410	Church Teacher Karla
749302	42877	Mietje
749302	94924	
749302	213555	Dactylo
749303	265819	Kiosk Girl
749303	381990	Various
749303	390598	Herself - Impro Team
749303	395134	Various Characters
749303	407975	Herself
749304	6393	Liliane
749304	15209	Élisabeth, une serveuse
749304	44980	La secrétaire de Klaus Barbie
749304	148629	La vendeuse
749304	353958	
749304	377951	
749305	100280	Isabelle
749305	225769	Laetitia
749305	272898	Zerbinette
749305	345286	
749305	395636	Sabine
749306	183919	
749306	262832	Ambu
749307	713	Discogängerin #2
749308	345275	Val
749309	2034	Counter Girl
749309	9008	Kate
749309	29186	Actor #6
749309	50867	Heartbreaker #2
749309	63185	Bessie Coburn
749309	87926	Betty Caldicott
749309	155020	Misty
749309	222721	Young Andrea
749309	252841	Holly
749309	269046	Kate
749309	270347	
749309	273428	Melinda
749309	292472	Julia
749309	308021	Leigh Eversol
749309	359567	Tracey
749309	362740	Elaine
749309	384180	Bessie Coburn
749310	74824	
749310	184369	In the Cafe
749311	16685	Puri
749312	282781	Pierre
749313	343879	Cherry
749314	222357	
749315	25520	
749315	35201	
749315	91132	
749315	92860	
749315	98047	Agathe
749315	98065	
749315	98305	
749315	107964	Ruth Hannemann
749315	111339	Frau Käthe
749315	119178	Susi
749315	124994	Magna
749315	132432	Lotte Sperber
749315	134818	Maria Paudler
749315	159279	
749315	170638	
749315	170692	
749315	171663	
749315	175301	Frau Müller
749315	175303	
749315	180413	
749315	188731	Yvonne
749315	189584	
749315	189594	
749315	189753	Henriette Kessler
749315	199398	Louise Bonvin
749315	201265	Karin
749315	203400	
749315	225136	Lisa Stürmer
749315	238927	Rose-Marie
749315	265402	Senora Almadez
749315	287337	
749315	306512	
749315	307247	
749315	317104	
749315	347703	Maria Geistinger
749315	352337	Kamilla
749315	361116	
749315	361371	
749315	367190	
749316	152448	Herself
749317	41391	Marienka
749317	58159	Princess Anicka
749317	180565	Dana
749317	181286	Valentina
749317	262507	Anicka 1
749317	405586	Evka
749317	409861	Vera (2001-2002)
749318	111063	Brigitte
749319	394797	Susku Viitala
749320	405482	Roosa Heiskanen
749321	46281	
749322	2657	Sissy
749322	2658	Sissy
749322	2659	Sissy
749322	22714	Katrina
749322	170381	Jeannine
749323	120931	Dona Elena de Rivas
749323	315822	Mrs. Collins
749323	375881	
749324	216935	Fairy
749325	88575	Heather a Student
749325	303236	Angel
749325	411126	Hannah
749326	610	Leslie
749326	973	Epiphany Lovejoy
749326	3101	Sunny
749326	5050	Jill Amorosa
749326	7946	Petra Guera
749326	13941	Becky
749326	14103	Isabelle
749326	21185	Caitlin Regal
749326	31498	Lt. Stephanie Holden
749326	31499	Allison Ford
749326	45860	Kara Banks
749326	46432	Charlie
749326	62938	Leigh Cabot
749326	75766	Rebecca Snow
749326	80041	Annie Gibson
749326	81289	Sabrina Carver
749326	86017	Katherine
749326	92736	Connie Swail
749326	97192	Olivia
749326	106149	Jackie Steerman
749326	107225	Olivia McCleary
749326	117223	Emily
749326	126714	Kendall Gibley
749326	134095	
749326	151050	Maura South
749326	157529	Amy
749326	171284	Bobbie
749326	176309	Sarah Hansen
749326	178009	
749326	181545	The Chief's Wife
749326	184104	Heidi/Jenny
749326	184580	Emma Decker
749326	210458	Herself
749326	213884	Giulia
749326	216445	Beth
749326	226956	
749326	232311	Sabrina Carver
749326	235645	Natasha
749326	245191	Jan Lindsey
749326	248081	Melissa Thorpe
749326	248097	Laurie Caswell
749326	253350	Amy Hastings
749326	253354	Amy Hastings
749326	256528	Maggie McNamara
749326	263395	Carrie
749326	274471	Audrey Powell
749326	277042	Laura Underwood
749326	282300	Flight Attendant Katy Phillip
749326	289089	Cheryl
749326	312141	Woman in Murphy bed
749326	319188	Anita
749326	367487	Lainie Wheeler
749326	381442	Lt. Stephanie Holden (1992-19
749326	391835	Herself
749326	397401	Terry O'Brien (1999)
749326	411253	Herself (Hostess)
749327	399719	Herself (suffragist, unfurls 
749328	5195	Tresenfrau Disco
749328	24035	Apothekerin
749328	95283	Ilona Becker
749328	269995	Marina Bongartz
749328	315602	Gabi
749328	359689	Journalist
749329	5372	The maid
749329	44829	
749329	76156	Queen Anne
749329	206667	
749329	269635	
749329	312858	
749329	326320	
749329	328830	
749329	351511	
749330	217697	
749332	154869	'Rainbow House' parent
749332	275762	Lolina Menka
749333	283466	Sally
749334	294287	
749335	38576	Reporter
749335	308609	Caroline's Friend #3
749336	115233	
749336	240019	Singer at 'Three Cripples'
749337	21185	Mrs. Frays
749337	26352	Headquarters Nurse
749337	38961	Astonville Bank Teller
749337	45678	Singer at Party
749337	91554	Pretty Girl
749337	99695	Jean Pearson
749337	104357	Actress at Party
749337	105845	Waitress
749337	107910	Hilary Lewis
749337	109758	
749337	173925	Margret Cage
749337	191909	Lady Moopsie
749337	214094	Retirement Nurse
749337	214123	Secretary
749337	216878	Young Woman
749337	255697	Crying Girl
749337	264131	Wedding Guest
749337	266051	Receptionist
749337	333530	Little Girl's Mother
749338	353373	Girl
749339	263794	Gayle Sutherland
749340	61719	
749340	99292	Mother in 1854
749340	238298	Mother Superior
749340	311986	Lady Borechester
749341	92914	Marina
749342	293670	Maria
749343	111781	Waitress
749344	135369	Comrade Lakme
749345	11854	Laura Briest
749345	84570	Sascha Busch
749345	95126	Sabrina Rotenbacher
749345	97237	Sophie
749345	105540	Sarah
749345	120043	Caro
749345	136722	Sandra Fechtner
749345	145494	Julie Stiller
749345	153757	Cora
749345	155449	Christine
749345	156660	Juli
749345	179005	Verkäuferin in der Boutique
749345	186897	Vera
749345	202785	Paula
749345	206221	Tamara Matul
749345	236816	Claudia Schumacher
749345	256536	Meike
749345	290550	Maria Fender
749345	347778	
749345	357780	Ilona
749345	368296	Rhoda
749345	376004	Tanja Krieger
749345	376351	Jule
749345	382503	
749346	81764	Hot Dog Girl
749346	337482	Dancer
749346	350181	Rosa
749347	168645	Tupperware Lady #2
749348	86672	
749348	172539	Jasprit "Sweetu" Kapoor
749349	43953	
749349	171349	Mrs. Carter
749349	396353	Switchboard Operator
749350	29088	The Child
749350	44016	
749350	274474	
749351	339674	
749351	387050	Emma
749352	7003	Shireen
749352	18740	Liwana
749352	37555	Saleslady
749352	87680	Mara, wife of Suba
749352	135921	Raquel
749352	168048	Native Bit
749352	203362	Dorothy Pierce
749352	277222	
749352	301274	Elena Torres
749352	412071	Elena Torres
749353	26082	
749354	402197	Sarah Webster (1984)
749354	406891	Maureen Sullivan
749355	31693	Nurse
749355	41430	
749355	82695	Housekeeper
749355	185470	Myrna
749355	224648	Woman on Bus
749355	276850	
749355	358576	Toy Store Customer
749357	4618	Tall Girl
749357	36509	Un'amica di Milady
749357	36511	Una poliziotta di Scotland Ya
749357	51704	Paula Gonzales
749357	70491	Michelle
749357	79094	Crepe Suzette
749357	90090	
749357	94656	Molly
749357	94658	Dorothy
749357	94677	Marlene
749357	94710	Sentenza Jane
749357	108777	Havana Scott
749357	119077	
749357	160761	Gina Carlotti
749357	216039	Nachtclubtänzerin
749357	227562	
749357	244576	Rossana (episode "40 ma non l
749357	252666	Juanita
749357	266934	Gloria
749357	270819	Lorella
749357	277034	
749357	295138	Esmeralda, la zingara
749357	295172	Mona
749357	324452	
749357	336621	Patrizia, un'altra attrice
749357	338718	Gloria
749357	351585	Jenny (segment "Intrigo al ma
749358	224045	Margaret Hall
749359	234949	Frau Hövelmann
749360	173467	Museum Lady
749360	177342	
749361	224045	Peter's sister
749362	14349	La cliente salon
749363	224000	Stripper
749364	107248	
749364	339352	Janet
749364	339354	Court Usher
749365	87002	Satoko Evans/MTHR
749365	366643	Lana
749366	384484	
749367	372736	Mrs. Martin
749368	189860	Herself
749369	343160	Herself - Showgirl in Crosby'
749370	64750	Sidewalk Woman #08
749371	362481	
749372	190808	Dancer
749372	342307	Dancer
749373	392129	Chalmers (1991)
749374	92506	Organ grinder woman
749375	396734	
749377	13966	Waitress
749378	115062	Aquarian Girl
749378	391689	Handmaiden
749379	376882	
749380	314484	Dancer
749381	32624	Convention Speaker
749382	19327	Un Enfant
749383	107166	Hospital girl
749383	117623	Austene Slaighter
749383	128154	Young Lizzie
749383	178897	Girlfriend
749383	198044	Girl #1
749383	275872	Julie
749383	356997	Teri Brighton
749384	26736	Mrs. Royce
749384	50639	Gesela
749384	52415	Diandra Jensen
749384	54689	Linda Christian
749384	70927	Bianca
749384	127247	Chang's girlfriend #2
749384	139171	Angel
749384	194136	Golf Maiden #2
749384	196063	Elvette
749384	265873	Luna Wells
749384	267453	Angela
749384	280265	
749384	317842	Karen
749384	351808	Female Terrorist
749385	144869	Mag & Turbo Girl #2
749385	215697	Miss New Zealand
749386	213314	Helena
749387	125871	Maid
749388	76496	Corporate Employee
749388	114206	Charlotte Patton
749388	135679	Susan Almon
749388	190330	Ellen Donaldson
749388	195999	Delaware
749388	276729	
749388	298184	Betsy Ames
749388	349399	Paige Wilson Grafalk
749388	406079	Sally Brogan
749388	407831	Mary North
749389	137157	
749389	211405	
749389	297027	
749390	72901	Jackie Ketchum
749390	143188	Trish
749390	364729	Ginger/Traci
749391	328081	
749392	244680	Dicke Frau
749393	20625	Extra
749393	34654	
749394	34354	Sängerin der Torero-Bar
749394	84554	Herself
749394	93479	
749394	142094	Kläre Winter
749394	144134	Marion De Lorme
749394	155599	Singer
749394	160702	
749394	200696	Singer
749394	204515	Barsängerin
749394	290122	Singer
749394	302679	Anita Mohr
749394	303713	
749394	324691	Singer
749394	345997	Singer
749394	361399	Vera, Singer
749395	188139	Sarah
749395	191937	Carlee
749395	278082	Student-Secretary from '69
749395	323780	Angela Rossi
749395	387287	Jessica Martell
749396	396422	Additional voices
749397	81446	Mary Peyre
749398	80438	Alex
749398	403244	Robyn Hunter
749399	29064	
749399	287522	
749400	137815	
749401	266671	Tracy
749401	304994	Young Joy McKean
749402	3919	Kate
749402	47914	Chandler Academy Student
749402	205085	Gretchen
749403	119629	Gail's Voice
749403	350343	Terri
749404	353965	Une cliente de la quimboiseus
749405	44301	Girl In Elevator
749406	112983	Sara Sloan
749407	68455	Bridal Clerk
749408	11485	Stacy
749409	225732	
749410	138716	Herself
749410	389741	Host
749410	390762	Host (1998-2001)
749410	404641	Host
749411	17073	Patty (new movie)
749411	21479	Guitar Player
749411	44474	Gorilla Team
749411	163586	Pat Bergen
749412	65754	Lab partner
749412	122778	Stacey
749412	137330	Police Woman
749412	189422	Nurse
749412	243912	Tiffany
749412	246422	Tanya
749412	354885	Elantra Chung-Hee
749413	105280	Mannequin/Harry Winston Dance
749413	215191	
749414	156851	Young Sonya
749414	160778	Ariel Delane
749415	107155	Della Rae
749416	176921	Doris
749417	378880	Woman #4
749418	147961	Kylie
749419	200492	Receptionist (segment "Lust")
749419	228685	Victorian Prostitute
749419	381661	Various Roles (1969-1972)
749420	23963	
749420	31648	
749420	120800	Jill
749420	156474	Kathy
749420	191324	Sam
749420	226984	Herself
749420	234136	Herself
749420	289425	Stripper
749420	289430	Stripper #1
749420	295720	Sasha
749420	295721	Lindsey
749420	295728	Jenna Cox
749420	295730	Susan
749421	2252	(segment "Sidapolis")
749422	211375	L'organisatrice du défilé
749423	220218	Solange, Quebec
749424	30497	Nelly Livington-Pawluk
749424	180106	Patrycja
749424	215214	Aleksandra Kozel (as Christin
749424	246952	Nicole
749424	373491	Wanda Borejko
749425	202527	Herself
749425	218487	Charli McKnight
749425	312849	Charlie McKnight
749425	350141	
749426	197986	
749426	236303	María Rosa, Vicente's daughte
749426	344778	
749426	387730	
749427	57454	
749427	222122	
749427	324868	
749428	384293	Ana
749428	395865	
749428	403232	Matilde
749429	9429	
749429	104851	
749429	146969	
749429	156161	
749429	176674	
749429	195347	
749429	204975	
749429	207046	
749429	226613	Angela
749429	284650	
749429	341553	
749429	341615	
749429	351942	
749429	359139	
749430	162170	
749431	371806	Yoga Instructor
749432	147554	Singer/Cashier
749434	267317	Pupil
749434	268301	Amália
749435	25782	
749435	237874	
749436	28861	
749436	44218	
749436	48529	
749436	63675	Herself
749436	71402	
749436	104834	
749436	195118	
749436	222012	
749436	237216	
749436	263416	
749436	334565	
749436	383479	Semíramis
749436	390751	Ludmila Petrovna
749436	400902	Manuela
749436	403733	Amparito Hernandez
749437	10984	
749437	49887	
749437	53214	
749437	110188	
749437	172163	
749437	181826	
749437	217371	
749437	229419	
749437	359360	
749438	99462	Florica,Todorescu lánya
749439	270797	Annus
749440	47131	Mu
749440	49396	Claudia
749440	267339	Ivana
749440	379716	Bianca Montgomery #5 (1997-19
749441	166692	Miss Trousdale
749441	334190	Elizabeth Rigatelli
749441	363078	Wife
749442	95267	
749444	322628	Annie
749444	333687	
749445	113254	Le médecin
749446	353907	Sandra
749447	29010	Rosita
749447	45132	
749447	134340	
749447	385853	Inácio
749447	409418	Julião
749448	237887	
749449	151082	Ghost
749450	190464	Nurse
749451	25199	Ms. Allen
749452	200782	
749453	6264	Kathy
749454	218162	Girl with Kite
749455	10535	Hoochie
749456	277232	Tehachapi Jill
749457	723	Host
749457	846	Herself - #92: Jane Pauley v.
749457	2275	Herself - Presenter
749457	63042	Host
749457	68490	Herself (News reporter)
749457	228970	Herself
749457	288703	Herself - Audience Member
749457	296037	Host
749457	385747	Herself (1992-2003)
749457	408395	Herself - Hostess (1976-1989)
749458	281506	Jessica's Mom
749459	158141	Traveler
749460	2662	Mary Maxell
749460	135601	Silvia Resino (segment "Noctu
749461	269640	
749462	223410	Gundula Mutschmann
749462	325409	
749462	325631	Irene Hausmann
749462	325797	Frau Grote
749462	386334	Frau Reibold
749462	395455	Agnes
749463	134817	Kellnerin, Marie
749463	311078	Burgl, waitress
749463	361093	
749464	199288	La madre di Cio-Cio-San
749465	125635	Indian Girl
749465	140247	
749465	404169	Zirkusansagerin
749466	18240	Maria Flieder
749466	34325	Luise
749467	174676	Phoebe's Mother
749468	307440	
749469	2252	(segment "Rêve, Le")
749470	182570	Kantor
749471	80303	
749472	380717	Nicole Gagné
749473	1020	Brittany
749473	354563	Club 1,000,000 Lineup
749474	218005	Auctioneer
749474	231798	Porsche Girl
749474	288703	Herself - Audience Member
749475	1257	
749475	126109	Herself
749475	194217	Herself
749475	228637	
749475	297548	Monica
749475	399845	Herself (2002)
749475	404958	Herself
749475	408643	Herself (2001)
749476	35362	
749476	50794	
749477	269692	Heroin Junkie
749479	379820	Sandy
749480	404169	
749481	25936	Johanna
749482	376227	
749483	305036	Dancer
749484	187193	Another Aide
749484	206149	Beth
749484	234204	Casting
749484	396359	Various (2003-2004)
749485	54450	Mademoiselle d'Ogeron
749486	44989	Suzy Daniels
749486	79106	June Kelly
749486	97096	Katherine McGuire
749486	116289	Marcelle Flynn
749486	166738	Policemoman Moore
749486	231659	Melissa
749486	269355	Flight Attendant
749486	362414	Night
749486	384529	Miss Vivienne Scarlet
749486	399130	Natalie Rigby (1999)
749486	402197	Lisa Mullins #1 (1986)
749486	403278	Sarah Harper
749486	408109	Marge McGrath
749487	141497	Nurse
749487	292213	Melanie
749488	159717	Jennifer Maxwell
749489	71130	
749490	37270	Sister
749491	33463	
749491	65409	Marie
749491	95424	Ruth Vera
749491	136201	
749491	189782	Siegurt
749491	316817	
749491	352534	Harry´s Mutter
749492	324673	
749493	134488	
749494	274361	Mariko
749495	332732	Mamãe Noel
749496	140793	Luana
749497	100723	
749498	396265	Ivone
749499	217696	
749500	84427	
749500	95605	
749500	173034	Vilma Nováková
749500	173035	Vilma Nováková
749500	202504	Ruze
749500	237540	
749500	305814	Paní Zita
749500	360071	Visen
749500	376552	
749500	378351	Kate Stratton
749500	378510	
749500	383082	Olina
749500	384319	Alice
749500	399768	Nováková
749500	403860	Cook Vendulka
749501	119704	Elisabeth (jung)
749501	134967	Christa Meinicke
749501	275764	Zuppi Gützkow
749502	394322	Kenny Jr
749503	32380	Siri Duvander
749503	108197	Siv
749503	113457	Gösta's wife
749503	322840	Herself
749503	394322	Mona
749503	396345	Magdalena Rudeschöld
749503	403084	Rebecca Dahlén (1992-1994, 20
749504	321996	Kathleen Wilson
749505	46424	Mary Keyes
749506	190823	Ellinor med porene
749507	225724	Amme
749507	268535	
749508	172804	
749509	103965	Parvularia amiga
749509	378986	
749509	381607	Patricia Rosselot
749509	386785	Chinche
749509	397591	
749509	397735	
749509	410207	
749509	410383	
749510	263	Tiffany
749510	120123	Suzi Donaldson
749510	148440	Heather
749510	195296	Liz
749510	231088	Young Mother
749510	283410	Reporter Tiffany
749511	37047	Female Extra
749511	106335	Manicurist
749511	107144	
749511	116750	Monica
749511	152930	Terri
749511	177676	Tammy
749511	222292	Sutter's Young Wife
749511	261404	Nurse
749511	327592	Beautiful Thing
749511	410688	Herself (2000)
749511	410690	Herself (2000)
749512	364647	Anne McDougall
749513	56304	
749513	161714	
749514	312010	Estelle
749515	279864	Carla
749517	48939	Eilleen
749517	92263	Vikki Hiller
749517	120248	Diana, age 21
749517	142258	Mary
749517	188928	Acey
749517	194067	Leanne Bossert
749517	244421	Heather Tate
749517	250576	Luci Baines Johnson
749517	297796	
749517	321450	Merrill
749517	362453	Annie
749517	380006	Merlyn Temple
749517	385515	Chief Dep. Dist. Atty. Lisa P
749517	393190	Elisa Cronkite
749517	395312	Faith Wardwell
749517	397535	Audrey
749518	406775	Kemiläraren
749519	83853	Princess Sofia
749520	207393	Lavinia Ginnifer
749520	278272	Cousin Amelia
749521	150189	Secretary
749522	328987	
749523	404943	Vanessa Beukes
749524	57929	ABA Student
749525	24082	
749526	408769	Vera Vilbers
749527	28153	Loulou
749527	284511	
749527	289971	Sarah
749527	386013	Barbara Wouters
749527	388909	Vera Jacobs (2000-2002)
749527	406203	Kris Jamaer (2002)
749527	406558	Wendy
749528	23673	Anna
749528	51241	
749528	54794	Zelda Lapierre
749528	83379	Mireille
749528	93872	Golda
749528	153842	La voleuse du vidéo-club
749528	198189	Pénélope
749528	208219	La cliente au chapeau
749528	214003	
749528	264950	Émilie Mesniel
749528	327542	Emma
749528	328273	Sarah
749528	384816	Good-looking girl
749530	92568	Katie
749530	92571	Anne
749531	115927	
749532	130935	Elke Marwitz
749532	157330	Carla Stale
749532	158860	
749533	32805	
749533	69968	Emily
749533	83242	L'amie de la musicienne
749533	94323	Le modèle
749533	229112	Maggie, Claude's L.A. Wife
749533	233058	Daughter-in-Law
749533	252183	Andrea Flanegan
749533	258866	
749533	261790	
749533	279430	Arabella
749533	313068	Joan
749533	322985	Kathy
749533	325976	TV Anchorwoman
749533	328512	Barbara
749533	336650	Susan
749533	346566	La soeur Dolly
749533	346811	
749533	397938	Falk's Secretary
749534	219257	Sylviane
749534	219517	Irène
749534	254718	
749534	365409	
749535	11874	Frau von Laar
749535	17509	Queen Catherine
749535	30739	
749535	87209	Die Mutter
749535	125330	
749535	183667	
749535	197118	
749535	337552	Adrienne Moreau
749536	202516	Marie Malraux
749537	254851	
749539	122818	La Mariée/The Bride
749540	6154	Aunt Lydia
749540	124735	Lady Owbridge
749540	151043	Lady Temperley
749541	163313	Mrs. Dudley
749541	220878	Julia Chedworth
749541	240681	Bit Part
749541	272160	Aunt Abbie
749542	16801	
749543	265463	
749544	223747	
749545	156038	
749546	322099	
749547	351018	
749548	320551	
749549	162129	Second Pristess
749550	104747	Finnish entry (12th place)
749550	282248	
749551	353660	
749552	336968	
749553	278315	Elaina
749554	12037	
749555	410523	
749556	395006	Xénia
749556	407232	Gigi
749557	112911	
749558	178578	
749559	139647	Moa (Harry's daughter)
749560	122980	Herself
749560	186139	Herself
749560	234150	Herself
749561	7889	Party Goer
749562	12468	Sara Severijn
749562	47834	Muis
749562	183124	
749562	243624	Baards ex-vrouw
749562	320467	Receptionist
749563	377992	Amie de Thomas
749564	65791	Eveline
749564	388299	Chantal (1992-1994)
749565	399052	Herself (2001)
749566	208282	Vriendin Sofie 1
749566	407173	Herself (1996)
749567	132735	
749568	2748	
749568	99268	Wasvrouw/Johanna
749568	148141	Doriane
749568	318470	
749568	398025	
749569	381911	Herself (2001)
749570	284296	Mimespeler
749571	52232	Myrtle
749572	284244	Francine
749573	46853	ICU Nurse
749573	68470	Andy's Mother
749573	80411	Saleswoman
749573	91768	Forelady
749573	129596	
749573	208503	Ronnie
749573	221338	Woman on train
749573	263076	Barton's secretary
749573	316981	Social Security Clerk
749573	346909	Doctor
749573	350437	Mrs. George
749574	91949	
749574	105790	Lise
749574	381617	Mathilde
749574	384386	Jeannie Dauphin
749574	393401	Louison
749574	403898	Denise Jarry
749575	309890	Stilt Walker
749576	376082	
749577	187919	Dancer
749578	102391	Tamar
749579	2008	Herself - accepting Best Actr
749579	18321	Mathilde
749579	75703	Angelita Avila
749579	85924	Catherine de Medici
749579	86032	
749579	92224	Julie Angelino
749579	94098	Toby
749579	140293	
749579	147057	Marisa
749579	166326	Herself
749579	168581	Aimee de Tellison
749579	168716	La mère de Ben
749579	203175	Maria Montagne
749579	213249	Anna Malatesta
749579	266947	Une invitée au vernissage
749579	281889	Rosa Delle Rose
749579	297412	
749579	307688	Abishag
749579	314378	Herself
749579	339389	Evita Alesio
749579	362363	Nicole Bouchard
749579	378017	Maria Mazetti
749579	380687	Celia Vandervoort
749579	404002	Chantal DuBujak (1985-1989)
749580	261027	
749581	69993	
749582	396610	Rafaela (1997)
749582	397540	Bisteca
749582	402626	Daniela
749582	405936	Maria Carolina 'Laleska'
749583	2584	
749583	211800	
749584	356967	
749584	380538	
749584	384250	
749584	399643	
749585	381514	Herself (2002-2003)
749586	169438	Paula Green
749587	211529	Girl in Bathroom #2
749588	68431	
749589	260569	
749589	386212	Nagiba
749589	395302	Clarice
749589	397540	Das Dores
749589	402456	Donana
749589	404272	
749590	123063	Béatrice de Salamanque
749590	251618	
749591	35852	
749592	81559	
749592	238390	Nina
749592	253745	
749593	76007	
749593	151806	Agente ecológica 1 (segment "
749593	160652	Picis
749593	238118	
749593	338162	Enfermera #1
749593	397598	
749594	69421	Dolly Bird
749594	312170	Arab beauty
749595	176984	Mrs. Palmer
749596	68845	
749596	106994	
749596	267050	
749597	317876	Girl
749598	259663	
749599	237498	Cat
749599	256494	
749599	316453	
749600	52162	
749600	75178	
749600	161675	
749600	161681	Ioana
749600	215093	
749600	244211	
749600	259839	
749600	338007	
749601	249047	Mrs. McKenzie
749602	263804	Gloria
749603	163965	
749603	163966	
749604	39671	
749605	403208	Madame Lapen (Italian version
749606	305571	Mother
749607	356802	Tour Guide
749608	107802	The Hag
749609	51303	Herself
749609	321985	Herself
749611	26425	Maria
749611	53821	Monica
749611	70965	Desk Clerk
749611	93054	Maureen
749611	119622	Waitress (Flo)
749611	144650	Malissa Morgan
749611	221057	Carly
749611	245988	Polly
749611	269296	Allie
749611	281911	
749611	297894	Jill
749611	298108	Robin
749611	303833	Trisha
749611	308316	Carol
749611	317341	Student Bagley
749611	326654	Joan
749611	358995	Kelley
749611	404282	Elaine Barnowski (1992)
749612	76322	Maja
749613	16298	
749614	170233	Herself
749615	394152	
749616	343798	
749617	288127	Angela Sadilo
749618	68331	Voisine Solidarnosc
749618	111084	Kristina
749618	112819	Selina
749619	81104	Drome Groupie
749620	133350	
749620	173662	
749620	236019	
749620	355551	
749620	357552	Baka
749620	394138	Antonija
749621	104222	La maîtresse de Léo
749621	247847	Lavandière #2
749622	202367	Stunning Girl
749622	219638	Sexy Dancer
749623	19552	Soada
749623	96877	The Mammy
749623	114070	Chan Lee
749623	170755	Betty's Mother
749623	221231	Priscilla Black
749623	301832	Yvette Fernau
749623	337630	Mlle. Zora Ruharde
749624	45588	
749624	64495	
749624	79344	Barbara Fullerton
749624	144969	Polly Staire
749624	289566	Indian Maid
749624	319268	Sal
749624	335534	Rosa Picciano
749624	358617	Sonia
749625	254891	American photographer
749626	16658	St. Jude Patient
749627	308468	
749628	371425	
749629	329307	Catriona older
749630	350990	
749631	173625	
749632	293750	Deklica
749633	90029	
749634	28044	
749635	356483	
749636	279615	Katie McDaniels
749637	288088	
749638	187094	
749638	294391	
749638	381593	
749638	385536	
749638	387378	
749638	388713	
749638	402344	Lena Iakovidi
749638	408343	
749639	410408	
749640	206618	Radio Operator C
749641	14442	
749642	1675	Herself
749642	19924	Crazed Fan
749642	40533	Dentist's Receptionist
749642	391658	Various roles
749642	392660	Herself
749642	404979	Frau Foch
749642	405938	Various Characters
749643	195296	Girl In Hallway
749644	19319	Mrs. Laguennec
749644	78093	Adèle
749644	119792	Monotonous-voiced woman
749644	164153	Florence
749644	198534	Prof d'anglais
749644	330681	Gallery Assistant
749644	347850	Marcia
749645	282280	Marion
749646	14880	
749646	295166	
749647	139764	Annie
749648	18336	Yadviga Valentinovna Kholodet
749649	8026	Additional Story Teller
749650	97532	Stewardess
749650	145068	Susan
749650	236622	Hostess
749651	92731	
749651	239465	Mara
749651	244181	
749651	249733	Sestra
749651	258641	
749651	273097	
749651	305194	
749651	317193	Usnija
749651	343968	
749652	323841	Dancer
749653	3179	
749653	17551	
749653	136231	
749653	222349	
749653	313624	
749653	370166	
749654	258447	Rositza
749654	305293	Malkata galabitza
749654	357324	Obesenoto momiche
749655	95093	Fenella
749655	144100	Herself (dancer)
749655	157054	
749655	329560	
749656	349325	
749657	410457	
749658	380815	Herself
749659	174234	Emily
749660	32506	
749660	103565	
749660	243627	
749661	280600	
749661	375146	
749662	24777	Wife
749662	179795	
749662	314392	
749662	343919	Bradley's Mother
749663	41699	The Blue Bird
749663	104431	
749663	303349	
749663	374784	
749664	222753	Doctor Quimper's Wife
749665	236966	
749666	306976	
749667	2790	
749667	3582	
749667	58555	Polina Andreevna
749667	60440	
749667	92941	
749667	179667	
749667	179789	
749667	179899	
749667	180856	
749667	210374	
749667	223563	
749667	229035	
749667	245897	
749667	284066	
749667	293956	
749667	294669	
749667	297561	
749667	312434	Olga Dmitriyevna
749667	349301	
749667	357214	
749667	357246	
749667	374867	
749667	379358	Mrs. Speranskiy
749668	229179	
749669	39671	The mother
749669	72859	
749669	162047	Nina
749669	188592	
749669	210917	
749669	218955	
749669	301359	Alma Nanni
749670	86593	
749671	172445	Lera
749671	398902	
749672	405462	
749673	116580	
749674	311224	Female Russian Journalist
749675	179795	
749676	396236	Silviya
749677	223887	Sayma
749677	404305	
749678	187980	
749679	55683	Courting girl
749679	142430	Arabella
749679	295881	Salina
749679	350181	Schoolgirl
749679	378492	
749679	401661	Celia (1971-72)
749680	229749	
749680	270030	
749680	369419	
749681	342669	Bar patron
749682	173007	
749683	401063	(1996)
749684	85166	
749684	85266	Girl
749684	94219	Tatjana
749684	129162	
749684	132869	
749684	163888	Doktorka
749684	172527	Dobrila ... novinarka
749684	187970	Bolnicarka
749684	212458	Marina
749684	212459	Marina
749684	246898	Emilija (segment "Noc bez sna
749684	266127	Natasa
749684	339325	Sabrina (Mara)
749684	346269	Jelena, Bride
749684	382029	Jelena... udavaca
749685	374446	
749686	170221	Herself
749687	163888	
749687	164095	
749688	134231	
749688	173813	Zena iz naroda
749689	221193	
749689	328707	Prevodilac
749690	197096	
749691	77469	Herself
749691	79149	
749691	102174	Amy Fulton
749691	130358	
749691	189919	
749691	206610	Mia
749691	215688	Prelimanary Judge
749691	227024	Miss Bolivia
749691	282452	Hostess
749691	308400	Rima
749691	366576	Heels
749691	402122	Katya
749692	13626	Berthe's Mother
749692	70854	
749693	345559	Les enfants
749694	375077	
749695	179670	
749695	356866	
749696	162020	
749696	304254	
749696	344278	
749697	174405	
749698	82332	Olena
749698	249047	Calvin's Girlfriend
749698	365869	
749699	313551	
749700	25293	Matzka
749700	226191	
749700	230468	
749700	289340	Svetla
749700	357624	
749701	33732	Dorothy
749701	69507	Sally
749701	76945	Miss Dean
749701	88856	Joy
749701	88884	Joy
749701	95108	Julia Tripp
749701	106669	Lucy
749701	137903	Ophelia
749701	138555	Gretel
749701	163357	Alison
749701	202530	Maria Gonzar
749701	210514	Grannie Valvona
749701	222753	Emma Ackenthorpe
749701	230115	Caroline Cartier
749701	231824	Marion Decker
749701	252983	Violet
749701	269882	Miranda
749701	273173	Thelma Bader
749701	273943	Miss Dunstable
749701	280891	
749701	281475	Maire Hogan
749701	299782	Margaret Heiss
749701	302128	Janet Honeyman
749701	302597	
749701	332780	Meg Elgin
749701	363624	Dina
749701	388726	Age Concern Lady
749701	400111	Librarian
749701	406936	Miss Dewhurst
749703	86597	
749703	124840	
749703	162677	
749703	187786	Krupskaya's Mother
749703	349353	
749703	357423	
749703	357461	
749703	375488	
749704	375434	
749705	394750	
749707	179038	Woman in Taxi
749707	223313	Assistant
749707	262286	Postal clerk
749707	262564	Dancer (Barvy)
749708	26540	
749709	206188	Drahuse
749710	223314	
749711	172607	Grandmother
749711	357416	Krópalová
749712	374397	Old Kutinová
749713	352109	
749714	209830	Sara Carati (5 Years Old)
749715	176955	
749716	21201	Guest in the party
749717	69165	Herself
749717	94728	Guglielmina 'Mimma' Castiglia
749717	110716	Rita
749717	127390	School director Gertrude/narr
749717	127931	Giannino Stoppani ('Gian Burr
749717	234566	Singer of:'Now That You've Go
749717	234761	Rita Santangelo
749717	257016	Herself
749717	278896	Rita
749717	278898	Little Rita
749717	278908	Rita D'Angelo
749717	410055	Herself
749718	82728	Violetta
749719	26825	Faux Make-Up Artist
749720	34472	
749720	94718	Madame Jeannette
749720	340425	Rosetta Parboni
749721	265047	
749722	14448	Upokojenka
749722	180332	
749723	2569	La standardiste
749723	23816	Francine
749723	384168	Zouzou
749723	393718	Nicole
749723	412250	Annette
749724	7453	Récitante/Narrator
749724	20058	La petite fille
749724	84625	
749724	155738	Dalida
749724	166288	Mme Raisin
749724	345258	Suzanne
749725	302053	Mujer del baño 1
749726	136306	Rita
749726	307490	Nathalie
749727	266440	
749728	406054	
749729	112758	
749730	22796	Herself
749730	36646	
749730	71211	
749730	74547	Cristina
749730	100275	
749730	100420	
749730	183506	
749730	190407	
749730	221980	María
749730	225551	Ella misma
749730	233351	
749730	235312	Celia 'La Chorreada'
749730	266887	Maria Elena
749730	339150	Maritoña
749730	348938	Celia 'La Chorreada'
749730	357540	Juan Simón López
749731	17329	La Urraca
749732	17329	Sister Margarita
749733	61463	Mom
749733	218036	Siu Wai's Mom
749733	268682	
749734	4034	
749734	4035	
749734	4150	
749734	4167	
749734	4267	
749734	4292	Madam/fake Mousi
749734	4409	
749734	4428	
749734	9385	
749734	10618	
749734	11720	
749734	13132	
749734	15164	Yamuna
749734	15165	Seeta
749734	15812	Nurse D'Souza
749734	15866	Mrs. L. D'Sa
749734	18909	
749734	18910	
749734	18928	
749734	21390	
749734	21821	
749734	24272	
749734	25946	
749734	25955	Gopal & Chanda's mom
749734	27518	
749734	27661	
749734	27766	
749734	27772	
749734	27773	Rajeshwari (Raghu's stepmothe
749734	27777	
749734	27790	
749734	28722	
749734	28891	Shyam's mom
749734	28925	
749734	28981	
749734	29435	
749734	32455	
749734	32646	
749734	33096	
749734	36000	
749734	36031	
749734	36078	
749734	36079	
749734	36081	
749734	36174	
749734	36201	
749734	36211	
749734	38216	
749734	38501	
749734	42098	
749734	43328	Kashibai
749734	44032	
749734	48681	
749734	54536	
749734	58559	
749734	58623	
749734	58966	
749734	59989	
749734	60046	
749734	60988	
749734	60989	
749734	60993	
749734	61001	
749734	62308	
749734	62753	
749734	76412	
749734	76808	Suraj's Mother
749734	76986	
749734	79127	Dadima
749734	79209	
749734	84718	
749734	84791	
749734	85309	
749734	86235	
749734	86640	
749734	86664	
749734	86724	Saranga
749734	88222	
749734	88470	Amit's Neighbour
749734	88476	Mother
749734	88511	
749734	88537	
749734	88586	Mani's mother
749734	90946	Miss Mary
749734	90948	
749734	93103	
749734	95230	
749734	95240	
749734	95242	
749734	98477	Nani
749734	98481	
749734	98490	
749734	98506	
749734	98508	
749734	98517	
749734	98534	
749734	108989	
749734	113717	
749734	123743	
749734	123916	
749734	123978	
749734	124209	
749734	124639	
749734	125152	
749734	126941	
749734	126975	
749734	126991	
749734	126999	
749734	131887	
749734	131934	Lilavati Devi
749734	131950	
749734	134356	
749734	134365	
749734	134366	
749734	135400	
749734	137989	
749734	137990	
749734	139326	
749734	140054	
749734	141831	
749734	144732	
749734	144733	
749734	145463	
749734	148920	
749734	152457	
749734	152461	
749734	160165	
749734	164123	
749734	164306	
749734	164310	
749734	164930	
749734	164935	
749734	164950	
749734	165191	
749734	165390	
749734	165400	
749734	165401	
749734	166008	
749734	167352	
749734	167358	
749734	167359	Kamliw
749734	167981	Mirabai
749734	170168	
749734	170830	Shekar's mum
749734	171502	
749734	171849	
749734	172135	
749734	172313	
749734	172346	
749734	172585	
749734	172675	
749734	172677	
749734	172681	
749734	173372	
749734	174031	
749734	174656	
749734	175909	
749734	175921	
749734	175929	
749734	175930	
749734	176007	Mrs. DaCosta
749734	177919	
749734	179360	Dai Maa
749734	181646	
749734	181925	
749734	183114	
749734	184118	
749734	190967	
749734	195359	
749734	195728	Gayetridevi
749734	198677	Reeta's mom
749734	198693	
749734	199252	
749734	200718	
749734	200738	
749734	201017	
749734	201236	
749734	201272	
749734	202405	
749734	202611	
749734	202687	
749734	203233	
749734	203813	
749734	203994	
749734	204909	Mrs. Chandra (Ajay's mom)
749734	207537	
749734	208560	
749734	208651	
749734	209869	
749734	210216	
749734	210506	Mrs. Roy
749734	211454	Gangajali
749734	215505	
749734	217181	
749734	220774	Sita Devi (Auntie)
749734	220984	
749734	222312	
749734	223232	
749734	226049	
749734	227381	
749734	227382	
749734	227719	
749734	227810	
749734	227881	Mrs. Gomes
749734	227990	Mousi (aunty)
749734	228549	
749734	228697	Durga
749734	228806	
749734	228853	
749734	228855	
749734	228862	
749734	228868	Anoop's mom
749734	229333	Thakurain
749734	229334	
749734	229565	
749734	230118	The Maratha Maid Spy
749734	233152	
749734	233313	
749734	234885	
749734	242398	
749734	242618	
749734	246610	
749734	248782	
749734	248956	
749734	249135	
749734	249644	
749734	249662	Sarita Devi (Rajesh's mother)
749734	250672	
749734	250674	
749734	250676	
749734	250843	
749734	251887	
749734	254739	
749734	254829	
749734	254831	
749734	254840	Didi
749734	258551	
749734	262524	
749734	262685	
749734	262823	
749734	264085	
749734	264549	
749734	265374	Sita Devi
749734	267662	
749734	268078	
749734	268101	
749734	268102	
749734	268111	
749734	268113	
749734	268592	
749734	270184	
749734	271406	
749734	271413	
749734	271441	
749734	271442	
749734	271443	
749734	271548	
749734	271645	
749734	271730	
749734	271732	
749734	271742	
749734	271743	
749734	271897	Anandibai
749734	271898	
749734	272050	
749734	272702	
749734	273061	
749734	279440	
749734	284753	
749734	285169	Lalita (in play) (Guest Appea
749734	285587	
749734	285842	
749734	286757	
749734	286774	
749734	287177	
749734	287348	
749734	287411	Poonam's mom
749734	287565	
749734	287656	
749734	287673	
749734	287675	
749734	287798	
749734	288260	
749734	288412	
749734	288414	
749734	288599	
749734	288602	
749734	288807	
749734	289307	Asha's mom
749734	293427	
749734	297280	
749734	297440	
749734	297571	
749734	298615	
749734	299354	
749734	299362	
749734	300218	Ganga Mai
749734	300220	
749734	300238	
749734	300262	
749734	300319	Veena's mother-in-law
749734	300464	
749734	308589	
749734	317784	
749734	317872	
749734	318427	
749734	318517	Giribala
749734	318553	
749734	318989	
749734	319840	
749734	324171	
749734	324761	Mrs. Varma
749734	325296	
749734	326131	
749734	326187	Mrs. D'Sa
749734	326657	
749734	328176	
749734	330975	
749734	335747	
749734	341689	
749734	341694	
749734	348857	
749734	349109	
749734	355321	
749734	359514	Rosie
749734	359823	
749734	367225	
749734	370217	Johnny's mother
749734	370732	
749734	370953	
749734	373792	
749734	375209	
749735	286502	Champa
749736	266335	1. Czuszka
749736	293700	Emma Dax
749736	324115	
749737	93502	Evchen
749738	153977	Lydia
749738	289894	Schoolgirl
749739	51989	Prison Guard
749740	16928	Model
749740	240215	
749741	2810	Winner Best Performence by Fe
749741	7952	Michele
749741	15887	Ensemble Vocals
749741	72504	Liberty committee
749741	115497	Valerie Dwyer
749741	115739	Herself
749741	128315	Diane Mayerofsky
749741	166567	Young Mother
749742	196572	Customer #2
749743	226420	Justyna Orzelska
749743	266541	Nowy's wife
749744	174880	Streetwalker
749744	236160	Elzbieta
749744	260733	Aga
749745	159890	Ula
749745	281044	
749746	92554	
749746	380700	Brigitte
749747	185451	Young Joan
749748	6775	Forma
749749	41355	
749750	113461	
749750	163275	
749750	235495	
749750	239658	Bit Part
749751	294545	Russian´s Mother
749752	120123	Young Rennie
749753	319995	Lili
749754	27153	Boss's Wife
749755	94067	
749755	130211	Ewa
749755	369340	Elza
749756	125222	
749757	93429	On Eis
749757	121037	
749757	338427	
749758	67445	Female Officer
749758	283543	Newscaster
749759	326389	Penny
749760	118691	Une pimbêche
749761	394736	Pia
749761	400112	Grevinnan
749761	405570	Regina Hansson (1996)
749762	18081	Shop assistant
749762	122618	Policewoman
749762	198012	Girl with flyers
749762	231274	Girl
749762	309637	Girl at the beach
749762	377304	Adele, Age 10
749762	381054	nurse Sonja
749762	398195	Young teacher
749763	254091	
749764	322999	Aunt Frieda
749764	378553	Marfa
749765	369381	
749766	305560	
749767	225603	
749767	374231	Marysia's Grandma
749768	187510	Office Worker
749769	325911	
749770	58245	Presenter
749770	96384	Vasilina
749770	357279	Charwoman
749770	376552	
749771	53930	Leona
749771	118576	Alice
749771	123430	
749771	398066	Barbara Harris
749772	256976	Delivery Goddess
749773	359590	Bogucha
749774	5555	
749774	12783	Adele Boone
749774	20600	
749774	21458	
749774	38233	Ruth Warren
749774	41714	
749774	43902	Mollie Lester
749774	50325	Charlotte Rowland
749774	60173	Kitty Van Ness
749774	64857	Marcell Matthews
749774	105158	
749774	112382	Eileen Graham
749774	116783	Bernice Lorraine
749774	132318	
749774	135539	Annie
749774	143888	Martha
749774	144805	Patricia West
749774	145966	
749774	149182	
749774	176353	Violet Ray
749774	189148	Marion Halstead
749774	191801	Miss Van Eaton
749774	213087	Annie Grey
749774	214158	Marion Culbreth
749774	215166	
749774	241274	Phyllis Howard
749774	245195	Mabel Cutting
749774	252126	Barbary Nell
749774	257913	Dorothy Sands
749774	267447	
749774	267976	Barbara Norton
749774	297226	Winifred Wellington
749774	307856	Marjorie Milbank
749774	311283	Madeline Brant
749774	314926	
749774	316032	Florry, His Wife
749774	316103	Ruth Mayo
749774	334461	Eugenia
749774	339267	
749774	351734	
749774	362246	Gwen
749775	127461	
749775	361566	
749776	69483	Mrs. Melandez
749776	117295	Pilar
749776	149952	Maria
749776	206702	Orsetta
749776	214993	La Roca
749776	219571	
749776	220406	Christine Mannon
749776	220808	Sophie
749776	233235	
749776	264043	Mona Constanza Zoppo
749776	265227	Scientist
749776	279912	Rosaria Parondi
749776	312819	Herself
749776	324638	Aunt Zita
749776	345562	Marya
749776	345809	Madame de la Rougierre
749777	79427	Sean
749777	201215	Beth
749778	301977	Sybil Harrington
749779	344652	Wrestling Fan
749780	136	Lecturer/Java Girl
749781	314733	Dorotea
749782	131601	Monica
749783	3202	Jimmy's Mother
749783	24540	Mistress Bryant
749783	26382	Suzanne
749783	55641	Martha Collin
749783	56889	Nurse Cramer
749783	60852	Mrs. Kline
749783	63176	
749783	67561	Ruth Stafford
749783	74220	Bess Millard
749783	81127	
749783	110318	Herself
749783	116033	Bella
749783	118547	Madge Burton
749783	165964	Dr. Lureen Elkins
749783	169422	Mina
749783	170538	April May
749783	192636	Mrs. Owens
749783	203483	Honor Lassiter
749783	205718	Virginia
749783	213159	Woman at party
749783	227155	Diz Terry
749783	261107	Chancellor
749783	271318	Mother
749783	277274	Ann
749783	309621	Ann Kochek
749783	334212	Mayella Violet Ewell
749783	342469	Ian
749783	342642	Rose Stanton
749783	346179	Susan B. Anthony
749783	365648	Bessie Morgan
749784	177364	The Paxton Sisters
749785	177364	The Paxton Sisters
749785	334252	Girl
749786	10913	Marie
749786	82998	Louise
749786	244312	Emilia
749786	255826	Rebecca
749787	45655	
749787	167679	Marion Denbeigh
749787	168174	Girl
749787	203554	The Girl
749787	220074	Mary
749787	263445	Irene Clive
749787	287125	Spinster
749788	111068	Gertrude Schank
749789	244739	Eve Langley
749790	95365	Hillary
749790	126130	Featured
749790	140125	Ashley
749790	150758	Tracy Richburg
749790	180545	Charlotte
749790	189233	Child at Party and School
749790	223026	Young Karen
749790	252884	Sydney
749790	282932	
749790	304838	Stacie
749790	307351	Angie
749790	318823	Sarah
749790	385704	Darcy Fields
749790	390631	Sarah Tobin
749790	398387	
749791	63000	Child
749792	128154	
749793	290991	Small Woman Passenger
749794	79934	
749794	312701	
749795	144966	Telephone Operator
749795	334252	Guest at Wedding
749796	203328	Herself
749797	87428	Lady with Pearls
749797	164316	
749798	82681	Grieving Mother
749799	5885	Midwife
749799	80593	Mrs. Franklin
749799	113933	Mrs. Madment
749799	118648	Mrs. Lawson
749799	124506	The Gathering
749799	152722	Parisian Lady
749799	186061	Betty
749799	248116	Salisbury Sister
749799	252983	Officious Woman
749799	307738	
749799	392970	Gran
749799	393068	Ruth
749799	404407	Solange
749800	55918	
749800	80352	Chofa
749800	376172	Leonora
749800	388575	Josefina
749800	392352	Regina
749800	396898	Melita/Esmeralda
749800	407850	
749801	115850	Carmen
749801	289558	Mrs. Gutierrez
749802	133371	Amy
749803	76820	Letitia
749804	401884	Herself/- Finalist
749805	168725	Lucy
749806	11317	Connie Agnelli
749806	84492	Police Officer
749807	50235	Rich Woman
749808	90364	Colette
749808	183501	Fernanda
749809	157115	La femme
749809	184054	Sandra
749809	225362	Fanny
749809	249089	The Hotel Receptionist
749809	254076	
749810	66221	Irma, la cartomancienne
749811	32029	
749811	56048	Mme White
749811	74965	Nathalie
749811	80206	Héloïse
749811	159691	Geneviève
749811	164153	Singer
749811	235264	Julie
749811	238301	
749811	248246	Aude
749811	268972	Léa
749811	276529	Juliette
749811	319914	Chrystelle
749811	340462	
749811	376907	Lise
749811	376910	Sylvie Crouzet
749811	377044	Delphine
749812	190269	Liza Minnelli, ages 1-2
749813	354609	
749814	290521	
749815	157765	Female Reporter 1
749816	311086	Frau Bogner
749816	393878	
749817	245889	Oz Author
749818	350184	
749818	355870	Herself
749818	399813	Host
749819	80430	Bride
749820	238516	Narrator
749821	43629	Invitee party
749822	268393	Infirmière
749823	249548	Sorority Girl
749825	51521	
749826	139228	Albertine
749827	42883	Second Girl on Bike
749828	88788	Rozzie
749829	281255	Class Valedictorian
749830	6516	
749830	32489	
749830	32517	
749830	43478	
749830	45059	
749830	54643	
749830	59993	
749830	73111	
749830	83812	
749830	83813	
749830	95200	
749830	95216	Lucrezia Borgia
749830	139059	
749830	139060	
749830	139217	
749830	143064	
749830	162575	
749830	244921	
749830	253132	
749830	263468	
749830	269363	
749830	302496	
749830	304588	
749830	304600	
749830	316894	
749830	332543	
749830	337795	
749831	160633	Asse
749832	57064	Performance Dancer
749833	189066	Girl in Photo
749834	168725	Wilma
749835	55444	Lauri
749835	66593	Sarah
749835	194309	Sage
749835	310633	Gunhilda
749835	331284	Sherry
749836	300068	A showgirl
749837	84207	
749837	215177	Carlotta
749837	230116	
749838	96838	Tania
749838	109242	Petronell
749838	119582	Erna
749838	330960	Betty
749839	79900	Ciel
749840	284442	Flutist
749841	145022	Charlie
749842	241287	Bored Girl
749843	75893	Herself
749844	158056	Lady Moire Chiardhubh niBhard
749845	133412	Herself
749845	387533	Viv Windsor/Hope (1993-)
749846	241339	Marco's Wife
749847	160043	
749848	25	
749848	22918	
749848	24860	
749848	25734	Dolores, the Governor's Daugh
749848	26059	
749848	42127	The Ranch Owner's Niece
749848	45905	
749848	46003	Maude Lake
749848	46172	Dora
749848	51537	Tonia
749848	67318	
749848	79689	
749848	80548	Blair's Daughter
749848	92178	
749848	101438	
749848	109663	
749848	109785	The Wife's School Friend
749848	114795	
749848	116729	
749848	125861	
749848	127170	
749848	128456	The GIrl
749848	128567	Madge
749848	137537	
749848	141248	Carita
749848	144739	
749848	145008	Marie
749848	161491	Ruth Barker, Her Daughter
749848	164602	
749848	167262	Ellen, Mannerson's Daughter
749848	168580	
749848	169745	
749848	178336	Kitty
749848	191089	
749848	191612	
749848	193652	
749848	194026	
749848	197690	
749848	202906	
749848	212190	
749848	212219	The Paymaster's Daughter
749848	218828	
749848	224718	Edna, Grayson's Ward
749848	237668	
749848	263492	
749848	263527	Clancy's Daughter
749848	264833	
749848	272126	
749848	275742	
749848	275812	Alice
749848	276912	
749848	280952	
749848	285058	
749848	289050	
749848	296946	Peggy
749848	298502	
749848	301727	
749848	312315	
749848	314970	Yenna, Ranse's Sweetheart
749848	315717	
749848	330290	
749848	338216	
749848	359988	
749848	364449	Madge
749848	366882	Elsie
749849	7155	
749849	214755	Pre-Crime Public Service Anno
749849	220083	Jessica
749850	11945	Cafe Patron
749851	33435	Woman
749852	43928	Kelly Simms
749852	80821	Lily Potter
749852	113720	Jean Aimes
749852	187391	Herself
749852	237006	Claudine
749852	270889	Gran
749852	312062	Vocalist
749852	408398	Host
749853	82385	Nurse
749854	90280	Great Girl 2
749854	147660	Ana
749855	175599	Constance
749855	250984	Paula
749857	117713	Dancer
749859	14230	Mrs. Zyskowski
749859	45781	Mrs. Simmons
749859	72569	Maxine Konner
749859	74005	Pearl
749859	119097	Naomi Tvedt
749859	124161	Mom
749859	124162	Library Girl, Receptionist
749859	124164	Mai-Tai/Stewardess
749859	124166	Dr. Liz Wilson
749859	124167	Kitty
749859	124170	Dr. Liz Wilson
749859	129369	Additional Voices
749859	140162	Annie
749859	158920	Neighbor
749859	170562	Receptionist at Elizabeth Ard
749859	171084	Karen
749859	193761	Rental agent
749859	215346	Reporter #1
749859	218162	Librarian
749859	261054	The Minister's Wife
749859	264825	Coach Whelan
749859	271192	Voiceover
749859	273327	Dr. Anne Kramer
749859	312141	Mother Superior
749859	316501	Woman
749859	326620	Lila Claypool
749859	330794	Mime Waitress
749859	332163	Announcer
749859	342470	Flora Fauna
749859	345752	Additional Voices
749859	387063	Aggie Aylesworth
749859	389756	Lanolin/Liz
749859	395395	Lucille Trumbley
749859	408679	Dr. N!Godatu (1987)
749859	411321	Queen Lattinia
749860	34799	Girl in Typing Pool
749860	90353	Helen
749860	128246	Girl #1
749860	162874	Lurai
749860	203917	Party Guest
749861	161757	Katherine Martin
749862	1999	Aunt Helen
749862	59914	
749862	112207	
749862	115195	Margaret Parks
749862	154876	Clerk
749862	233636	Marion
749862	324546	Dianne Flemming
749863	98113	Student
749864	77712	Loretta
749865	364351	The Other Daughter
749866	325692	Barbara
749867	304339	Biddie
749868	363191	
749869	321597	Donna
749870	317483	Lisa
749871	272440	Market Scene Extra
749872	35585	Rose LeBarbe
749872	286148	
749873	340108	Helen
749874	35658	Mary-Randolph
749875	195296	Martha
749876	299963	Janice Billings
749877	253058	Waitress
749878	2042	Herself (Pretty Funny Newcome
749878	2627	Best Female Stand-Up
749878	399347	Herself
749878	408590	Enis' Stalker
749879	241287	Yawning girl
749880	342669	Bar patron
749881	88111	Girl at party
749881	378683	Legal Aide
749881	390771	Officer Russell (2002)
749882	24484	Woman in Restaurant
749882	65108	Flower Lady
749882	73833	Senior Citizen
749882	132456	Surprised Mourner
749882	244443	Village Resident
749882	270622	Diction Student
749882	276833	Exchange Woman
749882	346948	Bride's Mother
749883	13378	Jean
749883	27298	'Princess' Sally Blackstone
749883	30074	Sally
749883	34995	
749883	37318	Toodles Brown
749883	41084	Young Woman
749883	41094	Marvin's Wife
749883	56280	The Wife
749883	64803	Singer
749883	70384	Sally Kennedy, Edgar's Wife
749883	74948	
749883	89912	Gertrude
749883	105808	Mabel
749883	114518	Elizabeth
749883	141177	Mrs. Kennedy
749883	144740	Lizzie
749883	147743	Tourist
749883	154097	First Operator
749883	154439	Salesgirl
749883	154875	Sally
749883	157869	Squeak Brown
749883	159460	Mrs. Kennedy
749883	166992	Polly Morgan
749883	183024	Lucy Endover
749883	183643	Chorus girl
749883	202995	Sally Whittaker
749883	203038	Patsy
749883	217946	Mrs. Jones
749883	220342	
749883	224419	Lizzie
749883	230282	Jo Morrison
749883	234090	Maid
749883	241592	Woman with First Man Polled b
749883	252287	
749883	257856	Gloria
749883	269852	Sally Kennedy
749883	274281	Sally Whittaker
749883	279746	Belle Starr
749883	280355	
749883	280994	Sally
749883	295070	Girl Bowler
749883	298509	Queenie Whittaker, aka Queeni
749883	330809	Dolly
749883	342154	Pansy
749883	360679	Bride-to-be
749883	361839	Sally
749883	363079	Annabella
749883	363190	Waitress
749883	363222	
749883	372491	Miss 'Calamity' Jane Canary
749883	392428	Sally
749884	164505	Mrs. Acland
749884	220638	Eryl Griffith
749884	280447	Pam
749884	365560	Miss Taylor
749884	384783	Wendy Millet
749884	393956	Liz Parker
749884	399304	Janet Cooper
749884	400081	Mrs. Quilp
749884	408877	Christine Harris (1982-1983)
749884	410519	Marion Ballard
749885	85913	Herself
749885	352974	Herself
749886	321268	Stevenessa
749887	305498	Angelica 'Angel' Conway
749888	37334	Cigarette girl
749888	64090	Red Cross nurse
749888	140407	Bathing Beauty
749888	177988	Handmaiden
749888	300068	A show girl
749888	342873	Cigarette girl
749888	348327	Goldwyn Girl
749888	365071	Secretary
749889	141036	Joan Hunter
749889	328663	Rika's Friend
749889	348342	Mary
749889	358661	Deborah, as a child
749890	362551	Model #1
749891	35155	Ellie
749891	137536	Sister #1
749891	139674	Helen Porter
749891	163188	Female Taxi Driver
749891	233509	Betty
749891	240325	North Carolina Motel Clerk
749891	346872	
749892	389924	Betty Washington (as a child)
749893	318729	Mrs. Underwood
749894	228449	Student
749895	16918	Porn Star
749895	24430	Go-go dancer
749896	83185	Mère Grand
749897	277541	1-900-Boxx
749898	333591	
749899	58220	Juliette enfant
749900	105162	Daughter of France
749901	213578	Pitti-Sing
749902	388396	Kate Somerford
749903	597	
749904	4944	Jennifer Lewis
749904	8194	Helena
749904	66956	Carla Martin/Christa Bruckner
749904	68854	Narrator
749904	80560	Jennifer Ashford
749904	115067	Christina 'Tina' McGee
749904	115068	Dr. Christina 'Tina' McGee
749904	115095	Christina 'Tina' McGee
749904	120404	
749904	132944	Marie, the Archaeologist
749904	147673	Joan Travers
749904	154302	Katherine
749904	177233	Melissa Leftridge
749904	188923	Elizabeth 'Willie' Williams
749904	208378	Theora Jones
749904	214508	Nikki South
749904	220797	Vivienne
749904	238590	Sister Nicole, Nun
749904	245850	Lady Victoria Wingate
749904	249178	Sarah Taylor
749904	264913	Third Assassin
749904	287777	Doris Spivak
749904	307566	Katie Burrough
749904	310196	Dawn
749904	317902	Alex
749904	330592	Geraldine Marsh
749904	379015	Sarah
749904	382722	Host
749904	388873	Christina 'Tina' McGee
749904	397156	Theora Jones
749904	408008	DS Anna Dryden (1997-1998)
749905	316961	Mother
749906	209803	Mai Yumekanou (ADV dub 2004)
749906	209804	Mai Yumekanou (ADV dub 2004)
749906	209805	Mai Yumekanou (ADV dub 2004)
749906	248708	Little Girl
749906	267200	Ms. Ishii
749906	381025	Miruchi
749906	384233	Cecile
749906	390536	Cecile
749906	394431	Hatoko Kobayashi
749906	402790	Movie Narration, Additional V
749906	404127	Miho
749907	24570	Anchorwoman
749907	32654	Ruth Walters (the Reporter)
749907	43606	Anchorwoman
749907	360760	Beverly Salinger
749907	366954	Pamela Barnes
749908	3420	
749908	5625	
749908	11429	Mrs. Wilson
749908	11611	
749908	13378	Large Woman
749908	14135	
749908	14607	Woman at Trial
749908	14609	Police Matron
749908	16910	Large Woman
749908	19967	
749908	26643	Mrs. Boppo
749908	27149	
749908	30907	Rival
749908	30910	
749908	31808	Stranded actress
749908	32258	
749908	33797	Formidable woman
749908	40855	Egbert's mother-in-law
749908	41085	
749908	42935	
749908	47137	
749908	49545	
749908	57145	
749908	70301	Matron
749908	70381	Mackerel customer
749908	74265	
749908	89310	Spud's mother
749908	89672	
749908	112713	Mrs. Jones
749908	117014	Lady on the street
749908	120548	Nurse at Bellevue
749908	127305	Mrs. 'Ma' Williams
749908	137455	Shipwrecked woman
749908	138553	
749908	142605	
749908	142707	Mrs. Hardy
749908	143041	The Aerialist
749908	147329	Party guest
749908	148992	
749908	149129	Mezzo Soprano
749908	152617	
749908	154630	
749908	157118	Mrs. Thomas
749908	158364	Hatchet-faced woman
749908	164386	
749908	166240	Matron
749908	171267	
749908	175211	
749908	176367	
749908	176429	
749908	184437	Undetermined Role
749908	192186	
749908	194403	
749908	195254	
749908	195448	Clan Member
749908	195984	
749908	200869	Amazon Hotel House Detective,
749908	220901	Bit Part
749908	223054	Singer
749908	228579	
749908	239023	Osteopath
749908	241557	Wife
749908	243525	
749908	244937	Mrs. Gladding
749908	248014	
749908	267487	
749908	268832	
749908	272521	
749908	274226	Dr. Payson
749908	286334	Taxi driver
749908	287510	
749908	297918	Raider
749908	300024	Guest
749908	304504	Hilda
749908	305038	The Battleship
749908	305480	
749908	311437	
749908	318625	Harem Matron
749908	319498	
749908	321552	
749908	323489	
749908	323968	Woman
749908	326190	
749908	331252	The Amazon
749908	335619	
749908	335678	
749908	359275	Head Nurse
749908	360437	Johanna
749908	362682	
749908	363622	Henpecking Wife
749908	364707	Matron
749908	365034	His wife
749908	367919	Masseuse
749908	371337	
749908	372145	Matron
749909	240165	Border Guard
749910	1281	
749910	126040	Ape Singer (s)
749911	46761	Mrs. Dina Van Gelder
749911	77138	Flo, Brant Marlow's Woman
749911	94131	Kathy Summers
749911	114979	Lorna Vecchi
749911	118378	Lena/Helen
749911	133671	Kate
749911	178148	Holiday Carleton
749911	222683	Eden Lane
749911	241078	Girl Photographer
749911	242086	Cathy Eversham
749911	251654	Kay McCormick
749911	283342	Jane Johnson
749911	301937	Rita Landon
749911	338270	Meg Dixon, alias Laurie Frede
749912	313929	Nurse
749913	371021	Spanish Nell
749914	112416	Enid MacDonald
749915	45936	Annette
749915	45962	Dolores Mendoza
749915	107570	Ena
749915	254555	Betty Marshall
749915	319217	Lolita
749915	363345	Quan Yin
749916	66626	
749916	98835	Mary's mother
749916	146148	Nettie Wright
749916	185159	Undetermined Role
749916	195830	Margie Gay
749916	197677	Enrichetta
749916	247269	
749916	247271	
749916	292717	The Maid
749916	296920	Her Mother
749916	327998	
749916	371021	Teresa Fowler
749917	185137	Wedding Guest
749918	44899	Girl
749919	67445	Woman #2 at Recreation Center
749919	73883	Jookhouse Woman #2
749919	80898	Baptist #1
749919	87797	Kool's mother
749919	97232	Paul's Wife
749919	124336	Loretta
749919	147767	Black Lady
749919	158193	Olivia
749919	340320	Saleswoman
749919	368191	Herself
749919	388348	Harriette Winslow #1 (1989-19
749919	399262	Mona
749919	401226	Harriette Winslow (1987-1989)
749919	402343	Suga Mama
749920	47898	
749920	70776	Rhonda
749920	78820	Mary Ann
749920	120014	Liz Armstrong
749920	130350	Kathy
749920	157636	Ethel
749920	161246	Herself
749920	162439	Mother
749920	208992	Agnes
749920	224106	Delly Bettinger
749920	276424	Margaret
749920	313706	
749920	379224	Louisa Catherine
749920	380391	Hazel Parker (1979-1980)
749920	400236	Addie Cramer (1991-1999, 2001
749920	411087	Rosalind
749921	279707	
749921	376795	
749922	74594	Herself
749923	14962	The daughter
749923	73549	
749923	103879	
749923	153829	
749924	402321	Fabiana
749925	121227	
749926	150657	
749927	123265	
749927	342151	Hodl
749928	134003	
749928	179556	
749928	209825	
749928	213686	
749928	326354	
749929	80106	Carol
749929	206567	Polca
749929	293646	
749929	383566	
749929	396899	Marisol Lima do Vale/Veronica
749930	379252	
749930	403782	
749931	5267	Herself
749932	390443	Eva
749933	168748	
749933	214622	
749934	113238	
749936	52	
749936	53323	Girl Mike Hits On #2
749936	128085	Barn Girl #1
749936	287782	Helen Chu
749936	371092	Na-Ta-Ta Weeeeee
749937	103713	
749938	96313	Catalina
749938	383094	
749938	386882	Ángeles García
749938	397592	Cassandra
749938	400667	Magaly (1997)
749938	402350	Margarita Pineda
749938	411714	Patricia Fernández
749939	189046	Marta
749940	353100	
749941	318496	dancer
749941	340050	
749942	149509	Narrator
749943	83299	
749944	340191	Rita
749945	177411	Linda Only
749946	225611	
749947	343700	Silver fairy
749947	387766	Fågelkvinnan
749949	109778	
749949	400825	Vasso
749949	407739	Vaggelio
749950	195615	Taj
749950	283181	Julie
749950	378829	Maggie (1986-1988)
749950	379056	Funfit Kid
749951	276332	
749952	58334	Betka
749952	324298	Tana
749953	285259	Nafas
749954	378108	
749955	302845	Mila
749956	69652	
749956	160824	
749956	353592	
749957	226181	
749958	391690	Herself
749958	402996	Women/Road Rules
749958	403487	Herself/Down Under (1998)
749959	148775	
749960	396019	Gore Nova (Eps 24-26)
749961	111377	Eva Flastorny
749961	155545	Ella
749961	196733	Mrs. Gordon
749961	353280	Vica
749962	268521	
749963	258311	
749964	298778	
749966	50070	Dag
749966	231829	Robin
749967	73989	Goody Sibber
749967	87220	Detective Burke
749967	157636	Vivian's mother
749967	166746	Aunt Helen
749967	168737	Agent O'Donnell
749967	211529	Coach Parker
749967	265898	Hannibal's Secretary
749967	308095	Beth
749968	122358	
749969	27247	Performer: Bad Girls The Musi
749969	30680	Ellice
749969	85090	Iona
749969	163352	Herself
749969	163391	Herself
749969	387533	Anne Cullen, Andy's teacher (
749969	395924	Firefighter Sally 'Gracie' Fi
749969	399425	Regular Performer (1998-2002)
749970	16761	
749970	21500	
749970	39751	
749970	41581	
749970	50761	
749970	71494	
749970	75046	
749970	78040	
749970	79270	
749970	81076	Shower Demon
749970	84407	
749970	136253	
749970	150043	
749970	151215	Sue
749970	161087	
749970	188082	
749970	309899	
749971	168087	Joy
749971	329349	Emily
749972	5573	Reporter #2
749972	133594	Anchor Woman
749972	171170	
749972	242555	
749972	317893	Mrs. Rolle
749972	365451	Reporter #2
749973	1273	
749973	326674	
749973	326677	
749973	336494	
749974	408555	Herself - Presenter (1985)
749975	372525	Young Simon's Mother
749976	29340	Receptionist
749976	103366	Miss Eubanks
749976	114955	Aunt Frances
749976	134517	Sister France
749976	146738	Bobbi
749977	240030	Maid (Rose)
749977	334307	
749978	150587	
749979	109474	Cissy
749980	200925	
749981	5392	
749981	7315	Florence
749981	26753	Violet Saffary
749981	28460	Peggy Harrison
749981	56747	Mae
749981	75706	Lady
749981	116517	Susan Turner
749981	124496	Victoria Caldwell
749981	133130	Fay
749981	183719	Mrs. Freddy
749981	220082	Fay
749981	233677	Pauline
749981	246769	Frances Pilbright
749981	265617	Dr. Patricia Hill
749981	281413	June Samson
749981	291488	Fred's Wife
749981	379015	
749981	386481	Mrs. Wyndham 'Mary Anne' Lewi
749981	388428	Mrs. Harlowe
749981	408121	Milady de Winter
749982	13268	
749982	44135	
749982	56934	
749982	61911	Herself
749982	75028	
749982	91624	
749982	157672	Donnie the Dog
749982	240044	Herself
749982	304343	
749982	313692	
749984	61845	Hermia
749985	37056	Jane
749985	126607	Sammi Thompson
749985	158684	Beth Morton
749985	252116	
749985	278715	Lara Svetlana
749985	295565	Sophie
749985	372315	Vesuvius
749986	230827	Nicki
749986	316753	Mary
749987	81196	Post Office clerk #1
749987	350333	Vocals
749988	70470	Policewoman
749989	119928	Alice
749989	301660	Pledge
749989	331100	Fuldauer's Daughter
749989	333237	Anna
749990	222784	Mirror Girl
749991	113506	Emma
749992	169815	Herself/interviewee
749993	11154	
749993	20917	
749993	22895	
749993	26833	
749993	30329	
749993	30615	
749993	31329	
749993	31737	
749993	32977	
749993	44697	
749993	46178	
749993	53949	
749993	54971	
749993	57368	
749993	61931	
749993	73684	
749993	73759	
749993	73823	
749993	75507	
749993	78972	
749993	80363	
749993	87097	
749993	94752	
749993	99270	
749993	107787	
749993	109837	
749993	116744	
749993	119337	
749993	139368	
749993	140754	
749993	140787	
749993	145684	
749993	145843	
749993	145905	
749993	145990	
749993	151274	
749993	152178	
749993	155027	
749993	157788	
749993	157891	
749993	160588	
749993	163333	
749993	165575	
749993	167992	
749993	174519	
749993	183562	
749993	183566	
749993	183567	
749993	183568	
749993	183569	
749993	183572	
749993	185631	
749993	186659	
749993	186676	
749993	187080	
749993	187705	
749993	192162	Maid
749993	195380	
749993	195798	
749993	196011	
749993	196425	
749993	203629	
749993	206351	
749993	214142	
749993	221265	
749993	221291	
749993	221590	
749993	222135	
749993	223141	
749993	237592	
749993	241282	
749993	245018	
749993	252916	
749993	255393	
749993	258259	
749993	270751	
749993	275231	
749993	278246	
749993	282044	
749993	289038	
749993	290532	
749993	291171	
749993	296890	
749993	297234	
749993	298030	
749993	298049	
749993	304964	
749993	309675	
749993	312804	
749993	323388	
749993	329742	
749993	329762	
749993	331088	
749993	342399	
749993	346834	
749993	359076	
749993	359094	
749993	359982	
749993	362398	
749993	364507	
749993	365039	
749993	372274	
749994	68014	Luciana
749995	69069	Gloria
749996	182498	
749997	165421	Dancers
749998	73883	Young Girl at Crossroads
749999	18622	
750000	270151	Artoo Fan Club Member
750001	208904	Newscaster
750002	123986	Herself
750003	169678	Finbar
750004	99257	Agent Tricia
750005	372544	Inventor Couple
750006	375047	Marilyn Miller
750007	117061	Nurse
750008	244987	Chris
750009	364465	Topless dancer
750010	314098	Little Deer
750011	364030	Kreischende Mutter
750012	70540	Sister
750013	65085	Sarah
750013	141422	Sarah
750013	177347	Cordelia
750013	198891	3rd Witch
750013	401603	Anna MacConnell
750013	405476	Carol Shilling
750014	49637	
750014	106176	Chinese Rose
750014	208035	Jane
750014	297871	Night club dancer
750015	140108	Miss Falloffski
750016	11410	Party-Girl
750016	77205	Dr. Allison Laurie
750016	120817	Ticket Attendant
750016	128891	Sharon
750016	137886	Lulu
750016	297252	Veronica Fisher
750016	353490	
750016	386386	Twinkle
750016	387225	Janice
750016	405048	Veronica
750016	410672	Ruby Ruggles
750017	232099	Vesuvia
750018	38750	Molly
750018	194996	Mrs. Hilda Summerlee
750018	269085	Anita
750018	316303	Irene Eliot
750018	318726	Sandra Lyle
750018	342867	Julia
750018	362404	
750018	363206	Nancy Holmes
750018	381601	Dora Greenfield
750018	383958	Jenny
750018	386024	Mrs Hunter
750018	391666	Bridget Allworthy
750018	400278	Raquel Turner/Rachel Slater (
750018	402124	Mary Bennet
750018	405751	Sally Rokeby
750018	407779	Elisabeth Cowley
750018	409649	Maria
750019	11652	Janelle Sharkey
750019	29340	Renee
750019	93304	Mrs. Jennings
750019	113807	Mary Swanson
750019	118275	Lory Rogers, the Song Bird
750019	126646	Alice Selby
750019	132529	Blondie
750019	142597	Minnie Fay
750019	185550	
750019	320108	Natalie Schafer
750019	331714	Ann Carson
750019	407948	Gloria Quigley Dickson
750020	37424	Blond Nurse
750020	128554	
750020	178868	
750021	36888	Herself
750021	88574	Atlanta Lee
750021	133920	Herself
750021	247493	Herself
750021	291005	Herself
750021	355368	Herself
750021	356652	Herself
750023	128631	
750023	128637	
750023	257442	
750024	6722	Herself
750024	36901	
750024	36932	
750024	128635	Narrator
750024	128639	
750024	128640	
750024	188453	Big Boob Girl #1
750024	333833	
750024	356652	Herself
750025	103215	Porcelain Bus Dancer
750025	305737	Herself
750026	303897	Ilsa
750027	98151	
750027	309208	Merle Scott
750028	33599	Elsie Wilkins
750028	50096	Housewife
750028	80949	Unemployment Office Clerk
750028	80970	Miss Moore
750028	87800	Miss Fuzzibee, Talkative Pati
750028	151535	Miss Syl
750028	178080	Mrs. Mulligan
750028	183316	Hilda
750028	224317	Bus Driver
750028	240904	Lucy Shmeeler
750028	242941	Olga
750028	324262	Vera
750028	331768	Irving's wife
750028	379666	Host (1949)
750028	381814	Gladys Kravitz #1 (1964-1966)
750028	388656	Herself (in girdle ad)
750028	393301	Annie Moakum
750028	393392	The Neighbor
750028	400240	Herself/panelist
750029	30646	Talk Show Audience
750030	27618	Tirza
750030	83599	Yasmin
750030	122967	Dance Hall Girl
750030	195162	Miss Cartwright
750030	198543	
750030	241078	Receptionist
750030	245516	Bertie, the Waitress
750030	251855	Pretty girl
750030	273240	Rosa
750030	315700	A Con
750030	346339	Telegraph clerk
750031	54655	
750032	22732	
750033	388787	Young Nell
750034	18098	
750034	195491	Madge L'Estrange
750034	199391	Lys
750034	273305	Margaret Van Arsden
750035	65947	Lucy
750036	16122	
750037	133929	Mrs. Pradley
750038	123110	
750039	53273	Floor Wax Housewife
750040	32761	
750040	161476	Woman with Dog
750040	184100	Anne
750040	196539	Molly Hart
750040	214226	Mrs. Milner
750040	257983	Mrs. Dunstable
750040	276947	
750040	335982	Gilbert's Mother
750040	365942	Elderly Woman in Lift
750040	378710	The Gypsy Queen
750040	383683	Aunt Anna
750040	390574	Mrs. Hubble
750040	396235	Beryl
750040	405988	Mrs. Marks
750040	408091	Teresa
750040	411688	Mrs. Pond (Lily's mother)
750041	363165	Gracie Jenkins
750042	7992	Servalan
750042	45127	Madame Jacqui
750042	90351	Third Lady
750042	90378	Pamela Lester
750042	94742	Servalan
750042	104798	
750042	136117	
750042	151589	Maud
750042	209185	Mariana
750042	224933	Herself
750042	243064	Servalan
750042	257172	Alice Mary Tompson
750042	264147	Lady Apthorpe
750042	276033	Anna Franklyn
750042	304339	(Gypsie) Cammellia
750042	335890	Herself
750042	351597	
750042	359426	Servalan
750042	363932	Idina
750042	382191	Supreme Commander Servalan
750042	384205	
750042	385116	
750042	385659	Baroness Langen
750042	385717	Miss Pendragon
750042	385781	Rosa Dartle
750042	398186	Miss Vole/Miss Raven
750042	410156	Anna: 'Spring Sonata'
750043	80622	Laura
750044	170496	Handmaiden
750044	374638	Angvisa Girl
750045	163491	
750046	264060	
750047	68012	Luciana
750047	170581	Louise
750047	211843	Gina Meti
750047	219420	Sandra Brock
750047	222625	Andrea Wolf
750047	222879	Jo Eaglan
750047	249717	Isabelle
750047	342867	Silvia
750047	360265	Emma
750047	364465	Princess Wendy
750047	393939	Marion Segal
750047	407488	Berengaria
750048	87828	Julie
750049	284442	First Violinist
750050	289667	Exorcist Party Goer
750051	100756	Student 2
750052	398020	(Kafka segment)
750053	209210	Refugee
750054	57560	Family Lady B
750054	74259	Picnic Mother
750054	83961	Princess Coo-Coo
750054	85926	Mrs. Linkletter
750054	87432	Unjudgemental Ex-Sex Addict
750054	88095	Herself
750054	88101	Herself
750054	97027	Kidnapped model
750054	110974	Donna Dasher
750054	137102	Bodie green dancer
750054	137259	Hairhopper Mother
750054	195808	Store Customer
750054	217913	The Bombshell/Cinderella
750054	222254	Bonnie/Cavalcade Patron
750054	251646	Homophobic Lady
750054	256206	Cotton
750054	259864	Nun A
750054	280775	Model
750054	294798	Book Buyer
750055	206811	Nurse
750056	128809	
750057	31735	Lisa
750057	93762	Sue Ryan
750057	232635	
750057	280298	Tina Jones
750057	400131	Candace
750057	403822	
750057	411606	Paquita
750058	7055	
750058	354893	Oral Sex Blond
750058	354895	Oral Sex Girl Under Desk
750059	399130	Mrs. Woodhouse (1988)
750059	402197	Phyllis Hunt (1979-1984)
750061	231916	
750062	141566	Gloria Spania
750062	171209	Lady Croft
750062	206723	
750062	210796	Elvira
750062	231438	Mrs. Crummles
750062	232318	Madame Grilby
750062	232319	Aunt
750062	235578	Lady Millicent
750062	241849	Mrs. Gilbey
750062	257986	Petunia Trundle
750062	282607	Wife
750062	298443	Lady Helen Reynolds
750062	306576	Edith
750062	309929	Carrie
750062	329543	Suny Berata
750062	334298	Herself
750062	362093	Emily Pennyfeather
750062	371328	Pansy Beresford
750062	371330	Franzi
750063	6994	Sorority Girl
750064	59528	Valerie Cross
750064	82550	
750064	131731	Rhonda Fontana
750064	191898	Elsa Norris
750064	312363	Geri Sanders
750064	329094	Kimberly
750064	400236	Melinda Cramer Janssen #1 (19
750065	393654	Duckweather's Girlfriend
750066	21510	
750067	11325	Angela
750067	34723	Herself
750067	380909	Herself - Host (2003-)
750067	387203	Toni Windsor (1989-92)
750067	391869	Beth Armstrong (1994)
750068	10520	Themselves
750070	8452	Lise Dorian
750071	13588	Dispatcher
750072	68192	
750072	123610	
750072	306908	
750073	170832	Mom
750074	97390	Dancer
750075	385441	Ella's deskmate
750076	52712	Indian dancer
750076	183487	Dancer
750076	270810	Contessa Giosi
750077	207782	Missus
750078	1711	
750079	206441	Chanda
750079	257599	
750080	58490	Emily Pearl
750080	245336	Maggie
750080	317881	Faculty Lounge Teacher
750081	213868	Worst Actress in Class
750082	245049	Kandi
750084	281867	Comedy Dancer
750086	1768	Herself
750086	66305	Herself
750086	68563	Herself
750086	118033	Ma Culpepper
750086	125997	
750086	132845	Herself
750086	190038	Herself
750086	282569	Herself - Host
750086	292171	
750086	329519	Rev. Rose Conley
750086	329558	
750086	330818	Herself
750086	390474	Herself
750086	391281	Herself (1970-1991)
750086	393689	
750087	115421	
750088	202849	Secretary
750089	1711	
750090	207828	Miss Honey at 5 Years
750091	105307	Princess Paula
750091	148960	Bunny
750091	277535	Karen Vosper
750092	271237	Mademoiselle Fifi
750093	386603	Stephanie Aldrich (1981-1982)
750094	321060	
750096	131734	
750096	295869	
750096	296260	
750096	366352	
750097	11947	Bit part
750097	301846	Bit part
750097	334307	
750098	89041	Yaeli
750098	207023	
750099	411420	Herself
750100	232164	Elderly Woman
750101	323225	Violinist
750102	144249	
750103	11837	Necheme
750103	28791	Myrna Goldfarb
750103	128089	Girl #19
750103	240644	
750104	100089	
750105	109395	Little Girl
750106	31727	Phyllis Quill
750106	165309	Social Worker
750106	230116	Nurse #2
750106	242790	Woman Chopping Carrots
750106	274215	Isis
750107	57750	
750109	196508	Taxi Driver
750111	117604	Evelyn Webb
750112	76299	
750113	38872	Extra
750113	62954	Megan
750114	7841	
750115	147948	
750116	296777	Herself (mother of Padraig Pe
750117	228785	Eve
750118	277763	Kirsten
750119	312927	Vampire 6
750120	403299	Panelist
750121	84034	
750122	325113	Ape
750123	13966	Jewel
750123	119564	
750123	389858	Gia Campbell #2 (2002-2003)
750125	78009	Nancy Michaels
750125	404613	Allison Simmons #2 (1959-1965
750125	409795	Diane Emerson Soames #1 (1953
750126	159119	Hotel Manager
750127	117485	Doris Lowry
750127	194749	Marcia Carter
750128	366747	School Girl No. 2
750129	208632	Ewan's Posse
750130	40653	Receptionist
750130	67481	Lola Keyring
750131	360366	Herself
750131	392416	Herself (1986 epsiode)
750132	33432	Lucy Bell
750133	184447	Lady Gwenneth Beailah
750133	366026	Ruth Gledhill
750134	330438	Amanda
750135	86780	Eliza
750136	46981	Kathleen
750137	388863	Margit
750138	223690	
750139	348328	Ticket Seller
750140	44988	Ernie
750140	183305	
750141	53212	Babs
750141	163593	Granny
750141	382966	Various Characters
750141	385329	Crusader Rabbit (1957)
750141	407963	Various characters
750142	375045	Salesgirl
750143	387247	April McIntosh (1990-1991)
750143	387533	Carol Wareing (2000-2001)
750143	391786	Frankie Dean (2002 - )
750144	127730	Demons Dance Squad Member
750145	229250	Hooker
750146	201569	Herself
750146	206596	Daniel's Senior Partner
750146	384968	Maggie Hayes (1999-2001)
750146	391759	Sister Kath Shaughnessy/Fox (
750147	382695	Lucy Roberts
750148	253002	Jeanie's Sister
750150	59540	Officer's wife
750150	151786	Eleanor
750150	166635	Nurse
750150	283348	
750150	379522	Nancy Kabel
750150	407977	Chairwoman
750151	80444	TV Newscaster
750151	152968	News Anchorperson
750152	241284	Barbara Brown
750153	30056	Hooker in Bar
750154	44562	Arrietty Clock
750154	102244	Mary
750154	224299	Prudence Gribley
750154	244665	Young Beth
750154	335121	Becky Thatcher
750154	362951	Peggy Connelly
750155	223908	
750156	399130	Hope Landers/Gottlieb (1993)
750157	7987	Journalist
750157	307513	Casino Bar Worker
750158	142402	Cashier
750159	138165	Girl in Classroom
750160	360366	Herself
750160	392416	Herself (1986 episode)
750161	345847	The Dog
750162	107892	Michelle
750162	388213	Rachel Thurston
750162	405271	Diane Harper
750162	410711	Rosie Blair
750164	295558	Rita
750165	289262	Dierdre
750166	310648	Hooker
750167	281397	Young Woman #1
750167	316779	
750168	84966	
750169	349997	Granny Dean
750170	18436	Cashier
750170	245263	Fine woman #1
750171	293961	B.E.A.T. Woman
750172	162529	Patricia
750173	95078	Masseuse
750174	263227	Black Sister at Portobello Ro
750175	316211	
750176	35439	Little Girl
750177	35537	Dancer
750177	152564	Jennie
750178	190273	Erin
750179	72325	Janet
750179	80398	Helpful woman
750179	263922	
750179	273836	Woman at Play
750179	307564	Maggie
750179	363547	Alma Munoz
750180	248011	Reverend's Wife
750180	293020	Willa Jenks
750181	6019	Mrs. Telfer
750181	7990	Ruth Morgan
750181	11217	Henrietta Downs
750181	23421	Madame Carlton
750181	26775	Bit Part
750181	36982	Tennessee
750181	38810	Hester, Lady Cardew
750181	38987	Anne
750181	40467	Margaret Walsh
750181	48548	Beatrix Buchanan
750181	77947	Mres. Blair
750181	78683	Kate
750181	79355	Louise de Ciron
750181	93797	
750181	113891	
750181	143353	Marcia Calhoun
750181	152926	Joanne Fitzhugh
750181	153624	Virginia Trent
750181	157218	Catherine Kimberly
750181	178094	
750181	189244	Sybil Houston
750181	190569	Janet Thornwall
750181	195462	Lea Montrose, Mrs. Vanderveer
750181	222279	The Wife
750181	240520	
750181	254516	Carlotta/Carlotta's Mother (1
750181	262059	Mrs. Wright
750181	263940	
750181	264029	Queen Claudia
750181	269333	Pauline Chraud
750181	274170	Mrs. Beverly Fontaine
750181	282668	The Princess Sylvia
750181	301505	Millie Burke
750181	303227	Anne/Katherine
750181	305594	Mrs. van Smythe
750181	312900	Stevens' daughter
750181	315105	Virginia Lake
750181	326173	Mrs. Blaine Jameson
750181	331146	Emily Raynor
750181	331166	Mary Bruce
750181	336339	Lucille Darrell
750181	341941	Marcia Wilbur
750181	355668	Beatrice King
750181	359201	Jean MacDougal
750181	362356	Mary
750181	362777	Mary Page Walton
750181	365668	Louise Wesley
750181	367066	Lady Vishuss
750181	368763	Roma Winnet
750181	368908	Barbara Lawrence
750182	327279	Street Girl
750182	410539	Marie
750183	164364	Phoebe (at 18)
750184	36855	Herself
750184	276249	Loretta
750184	381898	Herself (2002)
750184	381917	Herself - Evictee #9: 9 June 
750185	55700	Gloria Winch
750185	74674	Dolores
750185	202849	Secretary
750185	288493	Vampire girl
750186	300180	Paramedic
750187	86929	Sally/Liz/Ellie/Aggie/Winkie/
750187	100198	Janet Armstrong
750187	109666	Lauren Davis
750187	153147	Patty Valentine
750187	221324	Maggie, Soffel's Cook
750187	245182	Nancy
750187	354520	Sarah, George's Wife
750187	382954	Bill's daughter
750188	92134	Herself
750189	92134	Herself
750190	92134	Herself
750191	40864	Nick Cave Fan
750192	273275	Phone Operator
750193	16456	Space Raider
750193	140798	Joyce
750193	157291	Jo Ann
750193	310157	Amanda
750193	336456	
750193	343121	Gwen Reynolds
750193	385824	Kimberly Brady #1 (1984-1990,
750193	404613	Cissie Mitchell Sentell (1979
750193	411802	Patricia Fennell (1996)
750194	23919	Herself
750194	147628	Jacqui Hudson
750194	151057	Mary Norton
750194	206612	Harroway
750194	281058	New Nanny
750194	302110	Cookie Dix
750194	367695	Sandra
750194	382838	Fran Pearson (1990-1992)
750194	384430	Ada
750194	387533	Jo Steadman (1997)
750194	388787	Ann Forester
750194	388846	Penella Strachan
750194	391786	Jacqui Hudson (2000-2001)
750194	395782	
750194	396206	Eden
750194	404862	Roxy
750194	404929	
750194	408090	Kath Shaw
750195	287230	Administrator's Wife
750196	158102	Rockland T-Ball
750197	223649	Pixie Wilcox
750198	11006	Hospital Clerk/Nurse
750198	220484	Jeanie
750199	154320	
750199	242449	Skuespiller
750200	36724	Matron
750200	37261	Mrs. Feldzar
750200	55463	Henry's mother
750200	69460	Gertrude Palmer
750200	78032	Miss Bridges
750200	80477	Gertrude Bellman
750200	90801	Sister Matthew
750200	92161	Miss Ryan
750200	110940	Hairdresser
750200	175405	Miss Boyle
750200	199684	Miss Malloy
750200	224317	Lady Columnist
750200	264882	Mrs. Hibler
750200	329527	Fashion consultant
750201	36722	Cindy
750202	39237	
750202	39945	
750202	41545	
750202	43253	
750202	44139	Herself
750202	50851	
750202	72909	
750202	88335	
750202	97118	
750202	97121	
750202	119343	
750202	145632	
750202	149250	
750202	188989	
750202	236307	
750202	236922	Nurse
750202	247989	
750202	248882	
750202	273000	
750202	296339	Exotic Dancer
750202	319330	
750202	319346	
750202	319480	
750202	326729	
750203	333327	Prison Guard
750204	35027	
750204	74780	Krstinja
750204	94061	Maca
750204	146842	Devojka na vasaru
750204	162753	Kosara
750204	172463	
750204	180418	
750204	187980	
750204	201357	
750204	251128	
750204	251926	
750204	253835	
750204	263448	
750204	305812	
750204	324268	Frau Femka
750204	343798	Mira
750204	381061	Jocina majka
750204	386407	Mimi Mitrovic
750204	386527	Jeka
750204	388685	
750204	399008	
750204	400405	Molka
750204	400438	Pepina zena
750204	400481	Marija ... sluzavka
750204	401991	Dana
750204	406326	
750205	3502	Ella misma
750206	3502	Ella misma
750207	130479	
750208	149510	Tom
750209	41241	
750211	42311	Hair Monster
750212	338648	aristocratica
750213	30723	
750213	161023	
750214	53017	
750215	201175	
750216	201135	Juliet
750217	376758	
750218	229186	
750219	361237	
750220	223199	
750221	284519	
750222	34582	
750223	2309	
750223	17534	
750223	92328	
750223	131146	
750223	132089	
750223	173014	
750223	253561	
750223	258428	Polina
750223	303790	Luiza De Kavenyak
750223	387138	
750223	409848	
750224	38955	
750225	2163	Ms. Bunweil
750225	16099	Female Reporter
750225	33773	Verne Vavoom
750225	35353	Pat Benedict
750225	42904	Naive Lady
750225	47744	Lorraine Running Water
750225	49877	Claudia Van Mueller
750225	67950	
750225	106493	Teacher
750225	120216	Mrs. Hamilton
750225	127100	Willa
750225	134090	Mother
750225	139050	Mama
750225	149183	Dispatcher
750225	158106	Dr. Garfield
750225	172703	Mrs. Musgrave
750225	174585	Kathy
750225	176778	Judge Crowley
750225	183536	Nurse #2
750225	239394	Sunny
750225	316210	Nurse Duncan
750225	362453	Woman at Lunch Counter
750226	148702	La jeune femme du cimetiere e
750227	166670	Caroline
750227	235289	
750228	227924	Roza tapandzhiykata
750229	248855	
750230	109318	Granny
750230	147303	Great-grandmother
750230	234252	
750230	247529	Pechácková
750230	266510	Pírko (2. segment - Hry lásky
750230	357687	Vorácková
750230	383856	
750231	392530	Herself - Finalist #4 (2002)
750232	260679	Flock Member
750234	55253	Carmilla/Madelaine
750234	88652	Celia
750234	232060	T.V. Girl
750234	287457	
750234	311635	Isabelle
750234	349893	Valerie
750235	391786	Jess (2000)
750236	121140	
750236	370406	
750237	103623	
750238	237604	Bartender
750239	5830	Tracy
750239	70242	
750240	308096	Theodocia Thomas
750241	13531	Julie
750241	41797	Jessie
750241	70238	Herself
750241	93558	Helen
750241	119775	Airline Ticket Agent
750241	140416	Mrs. Rubin
750241	177013	Martina
750241	223709	Nora
750241	261107	Margaret Church
750241	309764	La Coiffeuse
750241	336137	Laila Malek
750241	336946	Emily Simonin
750241	358708	Candice Rogers
750242	5064	Judge Roberta Alspaugh
750242	115929	Narrator
750242	224283	Policewoman
750242	224824	Elisa Reardon
750242	276599	Carla Minelli
750242	311428	TV Reporter
750242	326743	Miss Mott
750242	404517	Additional Voices
750242	405718	Additional Voices
750243	350186	Sherry
750244	305080	Annie
750245	265558	Herself
750246	234186	Denise
750246	399677	Linda Le Tour (original pilot
750247	147512	Mrs. Jennings
750248	37387	Reindeer Suit Person
750248	210678	Brenda Wright
750248	223026	Betty
750249	147560	Sally
750250	141503	
750250	362863	Mrs. Worth
750251	298425	
750252	250618	Adam's Mother
750253	127104	Club Couple
750254	69053	Teenage Ada
750255	404608	Finalist (2002)
750256	196289	The Sister
750257	144876	Clerk
750258	350012	Telethon telephone girl
750259	132212	Transvestite Hooker
750260	231451	Maggie
750260	289772	Sharon
750261	47355	'Lucky Star' Number Dancer
750261	195071	Dancer
750262	78991	Young Sam
750263	316752	Troglodyte Mother with Baby
750264	263755	Retiree
750265	358936	Mrs. Anderson
750266	277044	Theresa
750267	90772	Beth Farmer
750267	126130	Featured
750268	71654	Maid
750268	112029	
750269	386864	
750270	12217	Quiet Girl
750270	30140	Haight's Assistant
750270	126567	Stephie
750270	194925	
750270	319479	Darlene
750271	273863	
750272	244120	Tremayne's Secretary
750272	366921	Katie Francke
750273	286453	Herself
750274	161337	Herself
750274	314884	
750275	16893	
750275	365215	Herself
750276	30658	Salesgirl #1
750276	34636	Herself
750276	42732	Adult film actress #2
750276	98883	Woman in shower
750276	102786	Cheerleader
750276	196041	Herself
750276	229241	Jennie (1983 reissue)
750276	252374	Therapist's Assistant
750276	280653	Bod sister
750276	296967	Sandy
750277	191648	News Anchor
750278	357533	
750279	135750	Bibena
750280	308482	
750281	214858	
750282	44	
750283	264115	Karin
750283	269495	
750284	14884	Delia, as a child
750284	162071	Tomasina
750284	386399	Rosetta
750285	69033	
750286	1311	Ana (Episodio "La vergüenza")
750286	12034	
750286	14930	Milena Jejenska
750286	20712	
750286	28208	
750286	52890	Camila O'Gorman
750286	71282	Silvia
750286	112096	
750286	146554	Laura
750286	215221	
750286	260833	
750286	280743	Roma Di Toro
750286	296471	
750286	319793	Rosi Echegoyen
750286	322853	Luisa
750286	376792	Sarah
750286	380477	
750286	384809	Various
750286	385403	Perla
750286	391861	
750286	395255	Zoe
750286	395477	Nina Escalada
750286	397580	Lila
750286	399764	Patricia
750286	412312	
750287	81296	Elizabeth
750288	286295	Sonia
750288	293357	
750288	348949	
750289	220084	Emma
750290	110075	
750291	389130	
750292	215624	Folle du cimetière
750294	274709	Béatrice
750295	46524	Marla
750296	108132	Yanina
750296	383718	Maru
750296	384119	Mariela 'Maru' Cisneros (1995
750298	23338	FEMA Worker
750298	39815	Lisa
750298	78759	Hannah Sukova
750298	80691	Manager
750298	110519	Adult Beth Narrator
750298	113306	Anesthesiologist
750298	119436	School Nurse
750298	154854	Turf'n'Turf Customer #3
750298	190230	Stage Manager
750298	191933	Mrs. Hooft
750298	232466	Young Mother
750298	244838	Irate Parent
750298	392244	Peggy
750298	393947	Coleen Roberts (2000- )
750299	26839	
750300	294260	
750301	126030	Herself
750302	193042	Judith
750302	263189	Mrs. Guardavaccaro
750302	359110	
750303	147961	Holy Cross Girl
750304	168326	Dancer
750305	148304	Herself
750306	399301	Emmy Jo
750307	35542	Michelle
750307	50975	Train Girl #1
750307	94621	Dancer
750308	168326	Dancer
750309	29867	
750309	217860	
750310	343017	Teenage Girl #1
750311	288113	Lavinia
750312	183314	Skoleelev
750314	40300	Sisse 'Fisse' Fisker
750315	9504	Herself - Royal Chamber Singe
750315	166607	Julie Tutein
750316	154449	
750317	218886	Agnes
750318	378741	Herself - Reporter
750319	153367	Herself - Family Member of Pa
750320	229298	Ukjent jente
750321	137402	Lise
750321	312018	
750322	7780	
750323	403535	Herself - Participant (2004)
750323	403536	Herself - Participant (2004)
750324	120170	Frau mit Hund
750324	346537	Kirghiz Dancer
750325	28884	Bankrøver
750326	237290	Kvinde 40 år
750327	407294	Yvonne, Bodils datter
750328	47915	Victoria
750328	53945	Model
750328	326854	Teenager in Jeep
750329	154449	
750331	97713	Inger - 1868
750332	11743	Herself
750332	235226	Herself
750333	32861	Marin
750334	172451	American Dubbing Team
750334	194009	Woman Packing Fruit
750334	280174	Noblewoman in Laughing Bandit
750334	359149	Brownie Butterworth
750335	40300	Peter #2's one night stand
750336	104759	Swedish backing vocal
750336	210347	Herself
750337	387814	Herself - Fartøjschef
750338	142712	Frida
750339	398260	Lise Jarmer
750340	153759	Heksen/The Witch
750341	11743	Herself
750342	182626	Pige
750343	259739	Patient in hospital hallway
750344	182977	Airline Ticket Agent
750344	323390	Teacher
750345	389397	Flower girl
750346	97713	Inger Munch
750347	279804	Herself
750347	403536	Herself - Participant - Winne
750348	27598	Herself - Participant
750348	403530	Herself - Participant
750348	403531	Herself - Participant
750348	403536	Herself - Participant (2003)
750349	356890	Hanne
750350	5645	
750350	305549	
750351	81640	Herself (Vixen bassist)
750352	135236	
750353	398260	Ida Jarmer
750354	356443	
750355	401872	Herself - Judge (2002-2003)
750355	401878	Herself - Judge (2002-2003)
750356	137402	Guest at party
750357	403532	Herself - Participant
750357	403533	Herself - Participant
750357	403536	Herself - Participant (2000, 
750358	152814	Female Morgue Attendant
750358	275871	Wannabee Cheerleader
750359	138821	Conneticut Senator
750360	195270	Singer at the Wedding
750361	16646	Bohemian Desk Clerk
750362	32601	Brunette Kitten
750363	15944	
750364	188740	The maid
750364	303549	Dancing Bear
750365	194682	Verla May
750365	235443	Hannah
750366	99081	Skeleton Man
750366	319568	Party Guest
750367	109613	Bree Boon
750367	115673	
750368	41888	Woman at Blake's
750369	167049	Woman blessed on the beach
750370	115421	
750371	340648	Azucena
750372	375796	
750373	352405	Bereaved Mother
750374	44229	
750374	199291	
750375	61312	Judge's wife
750375	72027	
750375	117340	
750375	186391	Mrs. Perry Steele
750375	271855	Guest
750375	273251	Elderly Lady in Hallway
750375	331425	Relative
750375	364087	Mother Superior
750376	383036	Pepa
750377	17769	Young Girl
750378	215193	
750379	86114	
750380	36874	
750380	36894	
750381	290907	Nannarella
750382	398915	
750383	259949	
750383	336564	
750384	210447	
750385	401187	
750385	402708	
750385	409871	
750386	397257	Diego's Mother
750386	405324	Magnolia
750388	90442	Margarita
750389	160979	
750390	55968	
750391	67025	
750392	193558	
750393	381246	
750393	398881	
750393	407867	
750394	207941	Swing Dancer
750395	115300	Girl In Bondage Room
750396	183426	Police Officer/Lucia
750397	269012	
750398	221739	Monja
750399	121268	
750399	151806	Alejandra (segment "Lunes")
750399	193344	Rosita
750399	232985	
750399	383392	Nora
750399	387090	
750400	44301	Geddy's Secretary
750401	318260	Mónica
750402	90001	
750402	207070	
750402	273140	
750403	236995	Tennis Reporter
750403	257859	(segments "Thrill Seekers, Fl
750404	68268	
750404	68269	
750405	328851	
750406	215862	Telephone Operator
750407	412266	Directrice des thermes
750408	339476	
750409	407906	
750410	30418	
750410	89656	
750410	185948	
750410	248076	
750411	70549	Secretaria
750411	138288	Madre
750411	221963	Luise
750411	244626	Gloria
750411	376827	Modesta
750412	21590	
750413	64752	
750414	354952	
750416	116392	
750416	211021	
750416	286415	
750417	198838	
750418	280622	
750419	35116	
750419	280622	
750419	381773	Mila
750419	393793	
750419	406987	
750420	160193	
750421	210010	Gemeindeschwester
750422	390497	Herself (4th Edition)
750423	315718	Iduma
750424	78220	Voces
750425	212433	
750425	244578	
750426	25028	
750426	52941	
750426	67697	
750426	77275	
750426	96298	Clienta restaurante
750426	131968	
750426	151806	Margarita (segment "Martes")
750426	160190	
750426	221740	
750426	371710	
750427	964	Reporter
750427	50333	Herself
750427	69263	2nd Newscaster
750427	92613	Announcer
750427	96771	Laura, Royce's Office Secreta
750427	129456	Person
750427	140533	
750427	141557	Carmen Garcia
750427	270139	Estella
750427	302724	Sister Consuella
750427	315718	
750427	332440	Ophelia
750427	352700	TV Announcer
750428	20625	Extra
750429	80619	Fiesta Dancer #5
750430	271079	Banda 'Tandito'
750432	223032	Herself - Dancer
750433	9382	
750433	82851	
750433	175494	
750433	349228	
750433	370524	
750434	201326	Steve
750435	141752	Hilde
750435	399125	Hilde
750435	406500	Hilde
750436	310573	Marian
750437	5717	Mother (A Soft Touch)
750437	7213	Vivien Liddell
750437	49493	Nancy
750437	303682	Landlady
750437	388726	Betsy Bourke
750437	402391	Anne Cowan
750437	406694	Pheemie (1992-1994)
750438	242085	Herself
750439	53030	Woman invited
750440	70471	Kelly (Aged 15)
750441	39849	Patrice
750442	79449	
750443	104777	Host
750443	338623	Flora Bervoix
750443	387959	Herself - Co-presenter (2002)
750444	211907	Suze van der Heide
750444	253887	
750445	303837	Sheri Duncan
750446	268323	Margot Vorik
750447	79789	
750448	401891	Herself
750449	311757	Maude Dane
750450	7876	Miss Bufton
750450	88170	Mrs. Johnson
750450	114184	Ellen Fraser
750450	131527	Sally
750450	140959	Sheila
750450	153490	Barbara Ainsworth
750450	158566	Mrs. Farrell
750450	194690	Henrietta Gay
750450	269396	Mrs. Wynne-Walton
750450	304846	Suzy
750450	323942	
750450	364063	Joan
750450	378755	Mrs. Farrow
750451	66917	Voodoo Musician
750452	6248	Young Debbie
750452	372331	Peppermint Patty
750453	129092	Hooker #2
750453	294079	
750454	282948	Matilda
750455	116314	Troisième dame
750456	145167	Jenny
750457	183338	(model - Too Funky V.)
750457	321196	Rosetta
750458	64676	Corrie
750458	124903	
750459	165624	Meid Marie
750459	165625	Marie meid van Janssens
750461	46857	Cafe waitress
750461	149111	Soeur Magdalena
750462	1733	Herself
750462	11616	Herself
750462	12327	Beth Jenkins
750462	41377	Nikki Cruise
750462	42055	Lieutenant Elizondo
750462	48165	Michelle
750462	80692	Allie Thompson
750462	81977	Scarpelli
750462	113908	Haley
750462	137492	49er Six
750462	138700	Herself
750462	154168	Theresa Garabaldi
750462	157291	Bernie
750462	160414	
750462	209635	Miss Chang
750462	221138	Doctor Elizabeth English
750462	224179	Annie
750462	228002	Serena Cruz
750462	235159	Kiani
750462	238239	Assassin
750462	253361	Cathy Redding
750462	260117	Angel
750462	278168	Heather Anderson
750462	302764	Deaf girl
750462	321469	Maria
750462	328247	Janet Reardon
750462	337084	Jill Perry
750462	370035	Sasha Townes
750462	385128	Veronica Gilbert
750462	385246	Lily Gannon
750462	385824	Mallory (1983)
750462	389858	Carla Escobar (1983-1994)
750462	392423	Herself
750462	393087	Co-Host (1999)
750462	396910	Lisa
750462	398605	Darcie
750462	399021	Serena Cruz
750462	400919	Host
750462	403280	Agostina Vega
750462	408556	Host
750462	410545	Sydney Cooke (1999-2001)
750463	300998	
750464	42785	Genevieve
750464	110286	Mildred
750464	138236	Judge #2
750464	156970	Linda's Client
750464	163188	Mrs. Douglas
750465	11541	Miss Prentice
750466	227030	Estelle
750467	11194	Mary Gillard
750468	18591	Mary Jane Robinson
750468	19115	April Darling
750468	20601	Rosie
750468	245648	Susan as an Adult
750468	248613	Chorus Girl
750468	249222	Nita Leslie
750468	271194	Mary Rainey
750468	333657	Edna Moreno
750468	334975	Esther Hatburn
750469	37884	WDC Suzi Croft
750469	61954	Christina
750469	206541	Linda Rossi
750469	336442	DC Suzi Croft
750469	342019	Sue
750469	382052	WPC/WDC Suzi Croft (1993-1998
750469	382838	Helen Carey (2001-2002)
750470	11006	Sally Brown
750470	48688	Jennifer
750470	126499	
750470	130316	Hooker
750470	169382	Charlotte
750470	218136	Rita
750470	276249	State of Emergency
750470	307620	Judy Ballantyne
750470	319049	Sheila Dawson
750470	330919	University Friend
750470	381608	Nancy (1977)
750470	402442	Rosalyn Rowney
750471	388051	Herself (2001)
750472	9753	Lady Wilton
750474	42913	Travellers Aide - Las Vegas
750474	170843	Reporter
750474	231895	Girl in Bar
750474	242111	Flight Attendant
750475	31515	
750475	41242	Lisa
750475	49154	
750475	176195	
750475	222084	
750475	228904	
750475	374005	Nawab's Wife
750476	1470	Nicole
750476	1674	Herself
750476	17191	Debbie
750476	42807	Jane Bannister
750476	58090	Herself
750476	59151	Cynthia Banek
750476	79276	Belkis Felcher
750476	99386	Julia Hobbs
750476	134417	Patty
750476	144788	Jackie Grimaldi
750476	155634	Paris
750476	155949	Rachel
750476	155950	Herself
750476	162986	Debbie
750476	170540	Lisa
750476	195021	
750476	210269	Susan
750476	241342	Celia
750476	243566	Julia
750476	257744	Amber
750476	274590	Herself
750476	289113	Judith Fessbeggler
750476	289206	
750476	298117	Molly
750476	302256	Chris
750476	308128	Marin
750476	309941	Marianne Silva
750476	321961	Julie Woodman
750476	323499	Karen
750476	336663	Bridgette
750476	343031	Nina Harris
750476	355109	
750476	362603	Patty
750476	363602	Mia
750476	364424	Jill St. Claire
750476	364431	Jill
750476	383789	Robyn Gainer (1995-1996)
750476	393190	Jacqueline 'Jack' Barrett
750476	400911	Beth Harmon
750477	387444	Herself (theoretical physicis
750478	9127	Survivor
750479	227549	Secretary No. 1
750480	394730	Tante Ria
750481	207051	Creature - Mr. Butterfly
750482	218004	Herself/Panhandler
750483	25960	Douarrière
750484	360784	Minnie
750484	381340	Kaatje
750485	18567	Meisje aan GSM
750486	381911	Herself (2000)
750487	211917	Mieke Clasters
750488	214688	
750488	242498	Mariette
750488	390925	Martha
750488	395633	Ida (1994-)
750488	403417	Victoriene Vingerhoets
750488	410656	Herself
750489	145666	
750490	346711	
750491	171666	
750493	284459	
750493	340720	
750494	229279	Kakata (Zima)
750495	339228	
750496	290307	Claire
750497	6431	
750497	18313	
750497	136482	
750497	174646	
750497	179529	
750497	387708	Melpo
750498	390036	
750498	404242	
750499	121077	
750499	227996	
750499	233503	
750499	341181	Hilda
750499	379530	Eva
750499	392005	
750499	392993	
750500	327370	
750501	398953	Featured Vocalist
750501	411784	Regular
750502	49862	Estate Agent
750502	78250	Sylvia Chapman
750502	123874	Flo
750502	222748	Mrs. Casey
750502	292158	Sue
750502	341947	Miss Jessel
750502	349582	Boney Lyn
750502	388486	Pippa
750502	391155	Phillipa Holmes
750502	402610	Rosalie Cotter
750502	402611	Rosalie Cotter
750502	405476	Alison Crabbe
750503	129418	
750504	315980	
750504	329585	
750504	351690	Agente
750505	68071	Christine
750505	273422	Flirty Girl
750505	280478	Girlfriend in Pub
750505	391786	Emily Taylor (1999-2000)
750505	393018	Rosie
750505	405489	Lorna
750506	75706	Mandy Rickets
750506	391151	WPC
750507	13192	Gnà Malia
750509	256454	
750510	243151	Fille certificat 1
750511	265545	Olya
750512	356039	
750513	196844	Charlotte
750513	320031	
750514	176487	Darcy
750515	61876	Ernestina
750516	108956	Party Family
750517	2445	Herself (Denise's Aunt)
750518	151595	
750519	341388	
750520	124556	
750521	376387	Verkäuferin
750522	2933	Kristiina's mother
750522	8902	Mrs. Harakka
750522	21722	
750522	156039	Helka
750522	162649	Hotel guest
750522	170246	Kaisa
750522	181650	
750522	197383	
750522	198758	Maaret Oijusvuoma
750522	233246	
750522	236795	Party guest
750522	255762	Hilma
750522	267122	
750522	278560	Mimmi Riipinen
750522	283960	
750522	341603	
750522	349148	
750522	354598	
750522	357788	Nainen koiran kanssa
750522	392347	Kylvettäjä (1990-1991)
750523	1490	Pearl Forrester
750523	107250	
750523	201726	Herself/Pearl Forrester
750523	398779	Pearl Forrester (1996-1999)/M
750524	617	Priyatelkata na Ani
750524	253836	Vera
750524	337944	Nastya
750524	351018	Dimka
750525	141594	Finnish Translater
750526	144577	Exercise Class
750527	170229	Herself
750528	202260	
750529	37904	Alvilda Mortensen
750529	38827	Fru Mikkelsen
750529	51291	Pensionatværtinde
750529	80101	
750529	97090	Munkholm
750529	108169	Kulmutter
750529	108177	Hugos tante
750529	116028	Tante
750529	138532	Kioskdame
750529	153228	
750529	166599	Karlsen/'Karl'
750529	182851	
750529	202972	Fru Olsen
750529	214346	Stuepigen Stine
750529	219005	
750529	231669	Sladrekone
750529	234943	Gamle Lise
750529	242451	Frøken Fallesen
750529	249744	Fru Augusta Larsen
750529	255660	
750529	301457	
750529	308229	Madam Poulsen
750529	322461	Husholderske hos Mikkelsen
750529	322475	Fru Ovesen
750529	336058	
750529	338728	Husholdersken Emilie
750529	345968	Fru Ulivarius
750529	356852	
750530	331040	
750531	377336	Repairman's wife
750532	8765	
750533	370863	Harry Yung's secretary
750534	26154	Salon Attendant
750534	181797	
750534	372534	
750535	375230	Annette
750536	192459	
750536	411907	Ma Yuanyuan
750537	275548	Zhong Kui
750538	266127	Vesna
750539	49738	
750539	74781	Jagoda
750539	92357	
750539	166651	
750539	187997	
750539	209531	Uciteljica
750539	229895	Tuzilac 2
750539	261258	Otilija Ill ... kci
750539	272195	
750539	312426	
750539	328151	Sopran
750539	343967	Actress
750539	349216	
750539	375178	
750539	386362	
750539	394813	Mrs Atanackovic
750539	395457	Brankica
750539	398660	
750539	399008	
750539	401991	Pevacica
750539	404036	
750539	404144	
750540	167312	Shawn
750541	100619	
750542	161515	June Curzon
750542	308928	
750543	289827	
750543	331602	Gertrude Müllendorf
750543	393492	Mrs. Goldman
750544	7457	Margot
750544	57262	Isabelle Lacouture
750544	101448	La prostituée
750544	113560	Mme Beauchamps
750544	205469	Margot
750544	214987	Françoise
750544	217682	Sylvie
750544	240298	Noémie
750544	243151	Isabelle
750544	249123	Sylvie Billot
750544	286316	Camille
750544	286432	Corinne
750544	377630	Hélène
750544	381505	Inès Monclar
750544	385003	Catherine
750545	321401	Kathryn
750546	25578	Herself (friend, secretary)
750547	7196	Homeless Woman
750547	68070	Emily Best
750547	79708	Herself
750547	166938	Day Care Center Teacher
750547	236691	Lana
750547	238228	Felice
750547	273260	Edith Davis
750547	273783	Bartender
750547	308711	Evelyn 'Grams' Ryan
750547	314445	Helen Devlin
750547	385802	Evelyn 'Grams' Ryan
750548	394903	Sina Baum
750549	13370	Dancer
750549	113320	Carrie's Friend
750549	134245	Lori Finkle
750549	162574	Expectant Mom
750550	390759	Herself
750551	94843	singer
750552	254119	
750553	287433	
750554	220960	Girl 2
750555	176480	Doctor
750556	166871	Saloon girl
750557	187727	Suze
750558	1638	La conquête
750558	157662	La femme en noir
750558	269127	Pouffe Phoebus
750559	219990	Mabel Goma
750560	71364	Radio Interviewer
750561	327083	
750562	20806	Carol
750562	106821	Clarissa
750562	141666	Honorah Parker Rieper
750562	163574	Lizzie
750562	211733	Victoria's Mother
750562	222747	Agnes
750562	228782	Linnet
750562	271174	Kate
750562	321785	Vivian Wallop
750562	345857	Florist
750562	367554	
750562	386622	Jenny Grant
750563	396623	Fanny Armstrong
750563	400516	Brenda Friel
750564	96341	
750564	250793	
750565	326144	
750566	335515	
750567	265568	Dr. Brenda V
750568	106514	Female Doctor
750569	7019	Saloon singer 2
750570	92082	
750570	162308	Irmeli Svanberg
750570	163184	Birgitta 'Pirkko' Hurulainen
750570	163185	Ulla Tammela
750570	171575	
750570	181884	
750570	184040	
750570	186068	Rauni Verkkola
750570	251943	Sosiaalivirkailija Raikas
750570	256880	Regina
750570	258843	Malkamäen Olga
750570	291607	Vuokko Takala
750570	324606	Ulla Möllensvärd
750570	328685	
750570	341888	
750570	354255	
750570	371441	
750571	236794	Paula
750571	343393	WAC
750572	453	
750572	15101	
750572	38939	
750572	42993	Judith
750572	48618	Wanda Merville
750572	62176	L'inconnue de la Seine
750572	92553	
750572	98301	
750572	99235	Isabella
750572	126342	
750572	129701	Trine
750572	129709	
750572	136086	Dagmar Lindner
750572	144196	Doris Leonard
750572	150563	Alice Creusot
750572	150927	Fiona
750572	156044	Barbara Burger
750572	166717	
750572	179799	
750572	180964	
750572	180965	
750572	180989	
750572	204504	Jane
750572	205761	
750572	210084	
750572	225275	
750572	225286	Dr. Duval
750572	229390	Mirville
750572	249102	Zeitungsmädchen
750572	258388	Sheila Wallis
750572	275799	
750572	277464	Carla
750572	281710	Marian
750572	281747	
750572	289350	Cordy
750572	290300	Lore
750572	290537	
750572	290538	Mrs. Gabriel
750572	310273	
750572	334017	
750572	338389	Vera
750572	338414	Angela
750572	343494	
750572	347642	Bessy Neuhaus
750572	348042	Doris Wichmann
750572	348043	Doris Wichmann
750572	348044	Doris Wichmann
750572	348045	Doris Wichmann
750572	348046	Doris Wichmann
750572	348047	Doris Wichmann
750572	348048	Doris Wichmann
750572	354075	Silvia
750572	387735	Aenne Günther (1987, 1989-199
750572	388574	Gloria
750572	390706	Apothekerin (1993)
750572	397103	Gertrud Torotahal
750572	397766	Veronica
750572	400063	Conny
750572	402046	Angela Martens
750572	407204	Daphne
750572	407357	
750573	160560	Young girl
750574	257296	Ape Soccer Kid
750575	257296	Ape Soccer Kid
750576	398360	Laura
750576	402281	Herself/Hostess
750577	8480	
750577	40937	Peja
750578	240317	Rom
750579	81626	
750579	167250	
750580	227511	Daktilograf
750581	336	2nd Girl
750581	237514	Marta
750582	199794	Gypsy
750584	29860	
750584	136753	
750584	139495	
750585	175	Floor
750586	202880	Peggy Mason
750587	177088	
750588	22099	
750588	39102	
750588	82852	
750588	102439	
750588	103882	
750588	110401	
750588	124033	
750588	140622	
750588	173862	Iren
750588	173869	
750588	173973	
750588	176701	
750588	181683	
750588	181730	
750588	370337	Jale
750588	377555	
750588	378571	
750588	378612	
750589	122270	Marianne
750590	182598	
750591	4907	
750591	7524	
750591	21216	
750591	24844	
750591	24846	
750591	25602	
750591	26032	
750591	34221	
750591	38437	
750591	38453	
750591	38491	
750591	63802	
750591	76750	
750591	77113	
750591	87716	
750591	96469	
750591	102533	
750591	104708	
750591	104755	Turkish entry (15th place)
750591	136761	
750591	146972	
750591	173798	
750591	174205	
750591	174913	
750591	175493	
750591	179605	
750591	180630	
750591	183893	
750591	247900	
750591	257219	
750591	285873	
750591	293406	
750591	293433	
750591	294539	
750591	295266	
750591	295530	
750591	303017	
750591	303581	Selma
750591	307030	
750591	307157	
750591	326265	
750591	370227	
750591	377503	
750591	378259	
750591	378571	
750592	21216	
750592	22829	
750592	171974	
750592	172650	
750592	173777	
750592	236498	
750592	370617	Necla
750592	377544	
750592	377555	
750593	409033	Elli Ranta
750593	409851	Tiina
750594	406834	Narrator
750595	186072	
750596	51417	
750597	88436	
750598	88436	
750598	370411	Head Nurse
750599	37682	Acting as Film Crew
750599	47277	Seminar Guest
750600	81690	Selling woman
750600	88556	
750600	236323	Jitka Spácilová
750601	82341	
750601	85137	
750601	335068	
750601	341876	Jenice
750601	377541	
750602	58243	Wiesia Stec
750602	394585	Renata Zabuzanska (1999-)
750602	410485	Krystyna Duraj
750603	7596	
750603	9350	
750603	9503	Ayse
750603	11933	
750603	22029	
750603	22042	
750603	22045	
750603	22060	
750603	23271	
750603	33856	
750603	38436	
750603	38450	
750603	38470	
750603	38486	
750603	39092	
750603	53306	
750603	63800	
750603	63981	
750603	77322	
750603	83103	
750603	96434	
750603	102532	
750603	103575	
750603	106978	
750603	124218	
750603	137559	
750603	140595	
750603	140608	Peykel
750603	145754	Nezaket
750603	153964	
750603	156430	
750603	158803	
750603	160188	Old woman
750603	172008	
750603	172009	
750603	174662	
750603	175444	Keloglan's mother
750603	175445	
750603	175446	
750603	175853	
750603	177834	
750603	177965	
750603	178393	
750603	180688	
750603	182833	
750603	182910	
750603	182912	
750603	182913	
750603	200671	
750603	214740	
750603	230040	
750603	244486	Necile
750603	286533	
750603	293435	
750603	295265	
750603	295509	
750603	296406	
750603	307034	
750603	348021	
750603	370374	
750603	370393	
750603	370395	
750603	370616	
750603	370912	
750603	370913	
750603	371550	
750603	374152	
750603	377497	
750603	377500	
750603	407308	The wet-nurse (1996-1997)
750604	23461	
750604	29525	Lily
750604	134467	Asistente
750604	134470	Asistente
750604	228212	Chica (episodio 'Licuadora en
750604	256115	
750604	382951	
750605	388567	
750606	185310	Don's Wife
750607	396108	Contestant
750608	67909	Marta
750609	47588	Wedding Party
750609	62579	Hooker #1
750610	189285	
750611	218857	Kitty
750611	223735	Brenda Benoit
750611	238476	Rita
750611	410441	Maria Wezenbeek (1994)
750612	19223	La portiera
750613	117778	Nicole
750614	225038	
750615	19387	
750615	75623	
750615	104079	Rossy
750615	268238	
750615	379118	La Güera
750615	383145	Rossy (1982-1987)
750615	383471	Fedora Aldama
750615	384390	Zulema
750615	388937	
750615	399084	Lola
750615	401093	
750615	403173	Adriana
750615	404161	Kikis
750615	404869	Sandy
750616	23671	
750616	108542	Henriette de France
750616	113112	La jeune fille blonde
750616	153321	
750616	187480	
750616	249720	Annie
750617	196588	
750618	373618	Thea
750619	345250	Sylvie Brisebois
750620	284446	Princess Adelka
750621	7850	Ryan Callahan
750621	39861	Little Darcy
750621	53282	Girl with kitten
750621	57004	Darla Dimple (speaking)
750621	61587	Catherine
750621	73989	Ruth Putman
750621	79948	Grace (age 4)
750621	81543	Mary Saunders
750621	93957	Young Elizabeth
750621	127237	Margaret (Art Class)
750621	165108	Young Molly
750621	170726	Teen raksha, the wolf
750621	187697	Sarah Frank
750621	292723	Cindy Bradford
750621	297246	Josie
750621	304006	
750621	314351	Jenny (age 3)
750621	358482	Amelia
750621	360726	Marah Lewis
750621	361811	Tabitha Ruth 'T.R./Turtle/Ali
750621	366811	Marissa DiMartino
750621	366954	Kimberly Hastings
750621	390771	Marah Lewis #3 (1989-1991)
750621	395739	Additional Voices
750621	398070	Kasey Larson
750621	402099	Young Miss Parker
750622	6139	
750622	6866	Sarah Anderson
750622	155277	Billie
750622	191836	Debbie O'Shea
750622	191857	Katie Bryant
750622	208974	Megan
750622	215657	Brittani Golden
750622	222721	Young Sherry
750622	245229	Marci
750622	264131	Gilda
750622	265759	Susie Miles
750622	273474	Charlolette
750622	289238	Cher Falwell
750622	304006	Candy
750622	335058	Townspeople
750622	346405	Herself
750622	365278	Terri Bradford
750622	391080	Darcy Payne (1991-1992)
750622	398070	Beth Booker
750623	210249	
750623	306275	
750624	13643	Gramma
750624	64402	Gerryman's Wife
750624	82528	Sister Ann
750624	105871	Mrs. Frankel
750624	169974	Hannah
750624	185764	Sara
750625	14170	Woman in Disco
750626	243151	Femme en noir
750627	399506	Mercè Montsolís
750628	199126	
750629	152255	
750630	294623	Groundskeeper's wife
750631	384816	Opera spectator No. 3
750632	373606	Little girl
750632	384580	Tinc
750633	23595	Woman
750633	179631	Erica
750633	280205	Amber Raine
750633	333604	Opera Singer
750633	334156	Starlett
750634	333698	Virginie
750635	104693	Herself
750636	11764	
750636	25254	Bep
750636	124903	
750636	183124	
750636	210954	Tini
750636	281148	Kennis Anne
750636	327030	
750636	342327	Verpleegster
750636	352336	Marie Pekkers
750636	356107	Hoer
750636	356815	Nurse
750637	134675	First Girl
750637	190179	
750637	359868	Starlet
750638	92618	Joanne
750639	207132	Canuck's Girl
750640	141666	Laura
750641	176967	Waitress
750642	8559	
750642	22615	Angelica Petrus
750642	35115	
750642	56290	
750642	61211	
750642	74146	Carmen
750642	85975	Marucha
750642	121231	
750642	121975	Dra. Lavalléri
750642	146560	
750642	196743	
750642	249806	
750642	269826	
750642	319796	
750642	327513	Leticia
750642	332583	
750642	379853	
750642	383770	Ornella Pizzamiglio
750642	384809	
750642	384981	Katy
750642	397571	Mariana
750642	399805	
750642	400420	
750642	402770	Wife of El Rafa
750642	404993	
750642	408204	
750642	410453	Silvia (1999)
750643	34673	Gail Powell
750643	41824	Younger Daughter
750643	49656	Lee
750643	67385	Betty
750643	71735	Nancy
750643	127322	Rebecca
750643	148674	Anne
750643	150924	Jo Miller
750643	154738	Miranda
750643	161474	Sarah Carstairs
750643	166697	Jennifer Baylor
750643	170366	Julia (younger)
750643	191301	Hélène Gaultier
750643	238595	Ashley Manson
750643	252887	Annie Cavagnaro
750643	263105	Lisa
750643	276893	Sarah
750643	296785	Leslie Saxon
750643	321526	Violet
750643	340780	Mattie Ross
750643	349972	Tavis
750643	366039	
750643	367916	Kyla
750643	381737	Mary Margaret Rafferty
750643	395162	Rosamond Ardley
750643	406793	Lucy Scanlon
750643	408058	
750644	4779	Frau Wolzow
750644	20811	Agathe Rouget/Brideau
750644	32655	
750644	93735	
750644	98370	Großmutter
750644	101333	Mrs. Brix
750644	110640	
750644	115983	
750644	126608	Mrs. Herrfurth
750644	126828	Muhme Ursel
750644	144032	Sandra
750644	178596	Frau Honigmann
750644	210144	Die Alte
750644	226403	Tante Marie
750644	252313	Pensionsinhaberin
750644	253387	Atossa
750644	259482	Selma
750644	334533	Frau Zichy
750644	350429	Gräfin Vitteleschi
750644	352380	
750644	385660	Anna
750644	393408	Lore Rosenthal
750644	410774	The Old Lesstorff
750646	306438	Vivianne
750647	114766	
750647	181954	
750647	233427	
750647	236935	
750647	300203	
750647	349763	
750648	169886	Control Judge
750649	13800	Millie
750649	176888	Dorothy
750650	52425	Mrs. Feigelbaum
750650	105188	Lady Customer
750650	116045	Herman's Wife
750650	155912	Madam
750650	246859	Mae
750650	301716	Housing Lady
750650	303753	Woman in Motel
750650	350012	Rehearsal hall receptionist
750650	372198	Rachel
750651	29743	Pauline
750651	110147	La marquise de tergall
750651	124802	
750652	369	Hélène
750652	19199	Estate Agent
750652	19346	L'infirmière
750652	71891	Sally
750652	107525	
750652	199572	The pharmacist
750652	205219	Cliente du bar
750652	211670	
750652	225478	Blanche
750652	278139	Institutrice
750652	328087	
750652	376890	Guidance Counselor Secretary
750652	377869	Christiane
750653	211159	Voice of The Woman
750653	243218	The Thrird Girl
750654	103965	Isabel
750655	228563	Actrice
750656	261851	L'enfant
750657	112759	
750657	211012	
750657	354191	
750658	269164	Marieta
750659	230247	
750660	323283	
750661	650	Herself
750661	87325	British prostitute
750661	382838	Anna Wolska (1992-1993)
750661	385020	Hazel Wilding (2002)
750661	388321	Chrissy Costello (2003-)
750661	391247	Maggie Bolton (1995-2001)
750662	215727	Moon Girl
750662	249576	Showgirl
750663	387801	Herself - the presenter
750663	388427	Herself - host
750664	256878	Pimu
750665	273449	Student
750666	155108	Herself
750667	384600	Various
750669	255357	Young Susan
750670	234104	Herself
750671	54879	Sarah
750671	233831	Miss Fit
750671	315999	Sharon
750672	132369	French Lady
750673	2654	Boja
750673	104643	Ines
750673	105553	
750673	234709	
750673	270813	Laura
750673	280756	
750673	336606	Irene
750673	344362	
750673	352230	Annadora
750673	359174	Liudmila
750674	199389	
750675	300982	The Woman
750676	278155	Joggeuse
750677	103264	Ogamo Woman
750678	5367	
750678	64129	
750678	69204	
750678	107716	
750678	140292	La mère d'Alex
750678	204456	
750678	235352	Landlady
750678	313587	
750678	345941	
750678	357575	
750680	263709	Clelia's mother
750681	32034	Eugénie
750682	65616	Olympe
750682	170294	Domino
750682	337734	Madeleine
750682	341345	Sabine
750682	355806	Claire
750682	355882	Secretarial candidate
750682	379809	Claire
750682	401139	Mme Barré
750683	111419	
750683	193219	
750683	316867	
750684	3574	
750684	12689	Grandmother (segment "Pot-pou
750684	14857	La vecchia tifosa
750684	17084	
750684	33494	
750684	33672	
750684	46181	Dance teacher's mother
750684	54094	Una vecchia profuga
750684	54148	
750684	55411	La vecchietta curiosa
750684	64762	
750684	82917	
750684	86334	
750684	94661	La vecchia della stamberga
750684	99245	
750684	106818	
750684	117865	Marozia
750684	125360	Un' amica del marchese di Roc
750684	127982	
750684	127983	Suor Scolastica
750684	139440	
750684	146494	
750684	161654	Amalia
750684	162066	
750684	183149	La domestica di D'Anzi
750684	183494	
750684	205360	La ruffiana
750684	214859	Acceronis
750684	251609	
750684	255101	Donna Virginia
750684	260053	La padrona della pensione
750684	263632	Maria
750684	280762	Boarding house's owner
750684	281076	La vecchia domestica
750684	281113	
750684	289329	
750684	301367	
750684	336624	
750685	90752	
750686	269109	prostituta
750687	26696	
750687	33485	Myriam
750687	46953	
750687	97139	
750687	104888	Terry
750687	113533	Sarah
750687	113702	Zumurrud
750687	124556	Naiba Campbell
750687	135290	Sonia
750687	163694	Student on Park Bench
750687	199291	
750687	234112	
750687	243192	
750687	251616	
750687	286418	The slavegirl
750687	289445	
750687	308891	
750688	154472	Sleepyhead
750688	168693	
750688	210625	Herself
750688	360529	
750688	367073	Woman in Blue Flowerpot Hat/S
750689	239963	
750690	202417	Ines
750691	235732	
750691	294412	
750692	371372	Sandy
750693	358031	Tumbler
750695	51585	
750695	148472	Rosa
750695	284087	
750695	293331	
750695	348745	
750695	377118	
750695	379814	Mariana
750695	385876	Laura
750695	395822	Helena
750695	396126	Fernanda
750696	326365	Rose
750697	11420	Stranger Two
750698	110279	Amanda
750699	16796	Herself/Angela's Biography Co
750700	3343	
750700	77632	Sharon
750700	111428	
750700	113362	Gina
750700	163705	
750700	242296	
750700	349528	
750700	383143	
750700	401065	
750700	409093	
750701	198499	Elena
750701	283285	
750702	97450	Justice of the Peace
750702	361357	Nurse
750702	380713	Diana Williams (1997, 1999)
750702	400236	Virginia Douglas (1992-1994, 
750704	115345	Drugstore Saleswoman
750705	377616	Holle anyó
750706	220682	Emma Jean
750706	317451	Cameo appearance (in 'Stuff' 
750706	368817	Herself
750707	160492	Lesley Stahl
750708	387272	Eckhart
750708	387524	Ilse Burnley
750709	125190	
750709	183466	
750709	286880	Ofelia
750709	378658	Marisa
750709	382540	
750709	385469	
750709	391647	Sandra
750709	393478	Paula Encina
750709	396808	
750709	403237	Lucrecia
750709	408204	
750710	237536	
750711	16950	
750711	71827	La Vendeuse
750711	157071	Betty
750711	157074	L'Employée théâtre
750711	193508	Vendeuse lingerie
750711	205150	
750711	337013	Fille du bal
750711	356412	
750711	357094	
750712	262514	Britany
750713	23747	Soeur de Lucie
750713	26583	Bérénice
750713	44423	Eileen
750713	96795	Cindy
750713	113503	Nancy Georg
750713	148753	Therese St-Amant
750713	171421	Fille à Londres
750713	185956	Wanda Woodsworth
750713	205723	Marie-Anne Lagimodière
750713	208128	Madame Blanchette
750713	223263	Elena
750713	225100	Rita Sauvage
750713	237330	
750713	245477	Anne
750713	305702	
750713	307623	
750713	327239	Naomi
750713	330561	Laura
750713	333792	
750713	354652	Mrs. Wallis
750713	358764	Joan Tremblay
750713	408321	
750714	38421	
750715	298091	Nurse
750716	32271	Rachel
750716	288948	Barmaid
750717	184896	Suzanne
750717	388332	
750718	30353	Marie
750718	77926	La Femme
750718	158842	La cliente boulangerie
750718	227317	Une comédienne
750718	251019	Hôtesse/une des 'Jeannes'
750718	357177	La mère d'Anne-Sophie
750719	118379	
750720	38257	Mme. Gendron
750720	70723	Lucienne
750720	76132	
750720	159326	
750720	229330	Narrator
750720	231837	
750720	269740	Rosa St-Amour
750720	333812	Germaine
750720	370104	
750720	376959	Pauline Garnier
750720	385503	Lucie Paradis
750720	388316	Cécile Plouffe
750720	396868	Nancy Varieur
750720	398158	France Joyal
750721	388655	
750722	341850	La femme de Michel
750723	97054	Fille de Victor
750724	284586	Préposée SPCE
750724	410628	Stéphanie Couillard
750725	24695	
750726	378858	Sarah
750727	65104	
750728	7112	Joy
750728	7982	Isabel Marino
750728	45865	Stacie
750728	51934	
750728	68902	
750728	96200	Bonnie
750728	106636	Rebecca Morse
750728	110196	Shell
750728	195102	Anne-Marie Andrews
750728	195267	
750728	199148	Max's Mother
750728	220502	Voix répondeur
750728	231149	Céline Bourgeois
750728	248162	
750728	311944	Emily
750728	342610	Nancy
750728	378858	Gabrielle Champagne #1 (1995-
750728	380855	Louise (Polarities)
750728	383818	Élizabeth Pawlowski
750728	384016	Joy
750728	389137	Magali Simon
750728	398595	Joyce
750728	400133	Catherine
750728	400134	Catherine
750728	400635	Pauline
750728	403475	Sophie D'Amour
750728	408969	Helene Desbiens
750729	330057	Cordosa Gamblers
750730	396793	Herself - Cartographic Histor
750731	265717	
750733	224935	Young Mia
750734	217640	Marie-Alexandrine (8 ans)
750735	46766	Faith (age 8)
750735	48539	Wife
750735	61727	Little Jean
750735	185723	Daughter
750735	190591	Marion
750735	277987	Bess
750735	372737	Madge
750736	26397	Egg Lady
750736	107901	Baglady
750736	195452	
750736	195458	Old Lady
750737	75360	Jenah
750738	137208	
750739	176926	Confederate Nurse
750739	299685	Mayor's Wife
750740	401770	Herself
750741	234490	
750742	16935	Tina
750742	21695	
750742	36667	Woman Bathroom 2
750742	49722	
750742	83849	Christina
750742	83886	
750742	84254	
750742	96337	
750742	104079	Nina
750742	160652	Zoraya
750742	188999	Mona
750742	203344	Reporter 1
750742	205379	
750742	212238	Mexican Ticket Agent
750742	267455	Girl at Club
750742	276930	
750742	376640	Gladiola Ruvalcaba
750742	379461	Lara Lai
750742	380795	Elena Molet
750742	383145	Nina la Punk (1981-1985)
750742	384400	Esther Peñaloza de Ordóñez 'm
750742	389881	
750743	12944	Chica del tren
750743	50127	Milagros
750743	55768	
750743	67006	Comadrona
750743	87136	
750743	103992	
750743	121697	
750743	136865	
750743	151818	
750743	205669	
750743	228722	
750743	236456	Otra chica
750743	307039	
750743	309082	
750743	357729	Farmacéutica
750744	21598	Ruth
750744	396211	Celia
750744	397009	Sara
750744	398801	Nayeli
750745	13081	Jacinta (segment "El difunto 
750745	14432	
750745	14641	
750745	21690	
750745	28727	
750745	29127	
750745	49674	Herself
750745	51811	Mujer de Pantoja
750745	62443	La Choca
750745	68992	Madre de Casey
750745	79845	Lydia Yearby
750745	103504	
750745	111560	
750745	114758	Cárdenas' daughter
750745	131059	
750745	135356	Herself
750745	136596	
750745	184935	
750745	204821	
750745	205379	
750745	212249	
750745	221956	
750745	228902	
750745	251728	Susana San Juan
750745	253551	(segment "La Búsqueda)
750745	257562	His Wife
750745	260503	Santa
750745	269918	
750745	278303	
750745	287697	
750745	287900	
750745	301117	(segment "Isabel")
750745	323300	
750745	339169	
750745	339755	
750745	351490	
750745	353559	Admiradora
750745	355484	Paloma
750745	375909	Don Francisco's Wife
750745	376813	Josefa
750745	383272	Yolanda
750745	384139	Silvia
750745	386296	
750745	391965	
750745	392290	Aunt Ada
750745	392651	
750745	398458	Martha
750745	400655	
750745	402152	La Chonta
750745	405415	Dolores 'Loló' De La Bárcena 
750746	96364	Luisa
750746	198850	Macario's Wife
750746	241883	Louisa
750746	251582	Irma
750746	280430	Rogelia
750748	189986	Maddy Cardamone
750749	29556	Girl in Eliel's class
750749	404967	Cecilia
750750	251939	
750750	251941	Singer #2
750751	70835	
750751	74747	
750751	252639	
750751	252675	Sabrina
750751	384784	
750751	392741	Dori Baroni/Lori Baroni
750751	403363	Cinzia
750752	159495	
750753	251310	
750753	308747	
750754	133620	Woman in Box
750756	236403	
750757	213389	
750758	121955	
750758	251610	
750759	153547	
750760	232203	Screaming Woman
750761	80446	Voice
750762	80446	Voice
750763	93643	Girl on Horseback
750764	1520	Véronique
750764	23757	Salomé
750764	83355	Juliette Gréco
750764	146954	
750764	155884	Taffy
750764	214013	The Grand Vizier's Daughter
750764	277726	
750764	301405	Berthe
750764	321284	Salesperson (Ungaro)
750766	385267	Dr. Kaitlin Melling
750767	17945	Elsie
750767	61774	Nita
750767	93205	Elsie Tsa Che
750767	158118	Elsie Tsa Che
750767	339365	Elsie Tsa Che
750767	386970	Old Multnomah Woman
750767	399689	Elsie Tsa Che
750768	20067	Madame Leclou, Julien's mothe
750768	27918	Mademoiselle Ida
750768	84601	Secrétaire de Claude
750769	161412	Pedestrian
750770	104764	Dutch entry (15th place)
750770	147240	Dutch entry
750770	228256	Herself
750771	119484	Jerry's Waitress
750772	270058	Ejecutiva francesa
750773	86011	
750774	344652	Girl Who Wants Ice Cream
750775	77134	Sarpedonte
750777	113729	Waitress
750778	143284	Desk Attendant
750779	17330	Vrouw van de postbode
750780	113127	Une enfant
750781	113127	Une enfant
750782	403024	Lupita Fernandez
750783	254442	
750783	258369	
750784	133432	Miss Roops
750786	49184	Nadya
750786	114761	Katika,Pötörke lánya
750786	122388	Erzsike,nörsz
750786	139500	Klárika,Haday lánya
750786	171609	Ádám Sári
750786	222086	Kéky Mária
750786	256752	Barátnõ
750786	327925	Nadja
750786	378276	Szepesy testvére
750786	378518	Diáklány
750787	74437	
750787	153860	
750787	171641	Shoe shop assistant (segments
750787	200610	
750787	219216	Ági
750787	261204	Masni
750787	354620	The Witch
750787	378187	
750788	44330	Receptionist
750789	1161	Soraya
750791	377964	Margot
750792	24626	Herself
750793	394539	Kaarina
750794	303107	Sirkka
750795	392292	
750796	156038	
750796	160494	Lesbian
750796	165803	Marjaana
750796	181630	Ravintolan pöytäseurueen jäse
750796	207892	Esteri Keppilä
750796	287574	Rouva Sarastus (Mrs Sarastus)
750796	301430	Tuula Vekkilä
750796	394641	Anna Karilo
750796	399648	
750797	184789	Juoksijatyttö
750798	323140	
750799	323140	
750800	161505	SAVAK Bimbo
750801	186650	Marbleann Wilkenson (2nd base
750801	304717	Improv student
750801	392273	Wren
750802	355980	Fan
750803	341782	(episode "Toivo, rakkaus...")
750804	349439	Liisa
750804	398192	Eija
750805	176549	
750805	182598	
750805	242259	(segment "Juulia")
750805	349440	Sinikka
750806	285801	
750807	23550	
750807	35933	Marselina
750807	43204	
750807	43209	Olkhovikova
750807	63347	Grandmother
750807	83161	Glafira Aniskina
750807	95002	Teresa
750807	95585	
750807	95651	Gofmejsterina
750807	104429	Nadezhda Aleksandrovna
750807	117852	Fedosya Ivanovna
750807	154605	Glafira Aniskina
750807	154684	
750807	163041	
750807	163891	Dunya Yevdokia Brovkina
750807	172433	Varvara
750807	172441	
750807	172447	Lidia Fyodorovna
750807	173861	
750807	176058	
750807	178821	Tyulpina
750807	179090	
750807	179668	
750807	181404	
750807	189430	
750807	201976	
750807	202306	Mariya Ivanovna (segment 1)
750807	209517	The nurse
750807	217461	
750807	219426	Eligible Bachelor's Mother
750807	229004	
750807	234441	Aleksandra Alekseyevna
750807	238324	Matveikha
750807	244017	Witch
750807	244657	Grandma Agapa
750807	253635	
750807	261296	Baba-Yaga
750807	261911	
750807	263684	
750807	263690	Grandmother
750807	263893	Pivashikha
750807	265959	Aunt Toni
750807	273029	Grandmother
750807	280397	Herself
750807	283152	Grandmother
750807	284065	Witness
750807	289868	
750807	307311	Dumya Yevdokia Brovkina
750807	320483	The wife of the doctor
750807	320488	Lukerya Pokhlyobkina
750807	324134	Grandmother Yaga
750807	339335	Ganimed
750807	340660	Mrs. Poppits
750807	341191	Berta
750807	343298	Aunt Lyuba
750807	343805	Klavdiya Mikhajlovna
750807	344311	Vorontsova
750807	350126	Roman's grandmother
750807	350832	
750807	357229	Witch
750807	357465	Aunt Sasha
750807	370231	Dudukalka
750807	372953	
750807	374992	
750807	375129	Grandma (Voice)
750807	378720	Vorobyaninov's Mother-in-Law
750807	394010	Pani Irena
750808	232166	Tank
750809	136528	
750810	134154	Divorcee
750811	116750	Posh Hostess
750812	280092	Reporter
750812	300195	Reporter #3
750812	378778	Herself - Correspondent
750813	191494	Home Resident #2
750814	101346	Frau Petersen
750814	120032	Frau Silberstein
750814	129709	
750814	155392	Dr. Maria Brunner
750814	193474	
750814	351912	Rosabel Fleming
750814	376626	Lucie Krämer
750814	389359	Renate Paulus
750814	389359	Renate Paulus (1992-1994)
750814	411078	Frau von Strelenau, geb. Schm
750815	1548	
750815	3398	
750815	5289	
750815	5753	
750815	6673	
750815	7248	
750815	8137	
750815	9694	Julissa
750815	12910	
750815	13512	
750815	13517	
750815	19443	
750815	20739	
750815	21703	Consuelo
750815	25101	Josafina
750815	28026	
750815	28905	
750815	28969	
750815	29009	
750815	34563	
750815	34578	
750815	41770	
750815	41771	Laura
750815	47754	
750815	49726	
750815	51599	
750815	51627	Marta/Princess Zochiquatl
750815	51720	
750815	51782	
750815	52045	
750815	52973	
750815	53697	
750815	56365	
750815	56446	
750815	57252	
750815	59253	
750815	62396	
750815	67753	Irene
750815	68642	Araceli Valverde
750815	69709	
750815	70094	Camelia
750815	70634	
750815	70674	
750815	71121	Aurora
750815	72967	
750815	73274	
750815	74145	
750815	74576	
750815	80144	
750815	83551	
750815	83887	
750815	85901	
750815	85973	
750815	91310	
750815	91332	
750815	91338	
750815	91400	
750815	99710	
750815	100374	
750815	100644	
750815	100776	
750815	101321	
750815	101844	
750815	104087	
750815	104846	
750815	106215	
750815	106995	
750815	108717	Lucy
750815	115822	
750815	121274	
750815	121306	
750815	121953	
750815	121969	
750815	134374	
750815	135284	
750815	136596	
750815	145141	
750815	145192	
750815	145211	
750815	145307	
750815	148095	Beatriz Cifuentes/Beatrice Fo
750815	156378	
750815	157323	
750815	161559	
750815	163766	
750815	169084	
750815	171467	
750815	184935	
750815	186211	
750815	186212	
750815	194623	
750815	198198	
750815	205560	
750815	207664	
750815	207734	
750815	212058	La comadre
750815	212396	
750815	212465	
750815	216861	
750815	221677	
750815	221960	
750815	221996	Laura Moreno; La Vicky
750815	224966	
750815	226360	
750815	231594	
750815	237574	
750815	240154	
750815	243617	Mina
750815	243784	
750815	246174	
750815	247477	
750815	248300	
750815	248351	
750815	251724	Roja
750815	253292	
750815	253293	
750815	253377	
750815	253380	
750815	253666	
750815	258500	
750815	259329	
750815	260588	
750815	266882	
750815	272620	Josefina
750815	272635	
750815	272667	
750815	272668	
750815	274954	Andrea
750815	275072	
750815	275984	
750815	277128	
750815	277366	
750815	288182	Ernestina
750815	288802	
750815	290004	
750815	291650	
750815	292953	
750815	293003	
750815	293054	
750815	296146	
750815	296502	Maruja Valverde
750815	301117	(segment "Gloria")
750815	301863	
750815	306826	
750815	307659	
750815	319429	
750815	326132	
750815	328046	
750815	328507	
750815	328509	
750815	328613	
750815	328714	
750815	332917	
750815	337461	Helen Brown
750815	339451	
750815	340069	
750815	349665	Monica
750815	349695	
750815	349956	Concepcion
750815	350076	
750815	351027	
750815	351573	
750815	351574	
750815	351615	
750815	351654	
750815	351781	
750815	352254	
750815	352852	Marta
750815	354782	
750815	357542	
750815	376757	Ana
750815	377197	Gabriela
750815	378471	
750815	382197	Odette
750815	383471	Aída Medrano de Romero
750815	391444	Mamá ana Coraje
750815	393801	Chata
750815	395300	Aurora Campos
750815	396880	Selva
750815	397016	Iris
750815	398069	
750815	398167	
750815	401093	Ivette
750815	401690	Lucia
750815	401700	
750815	404869	Esther
750815	406056	
750815	409017	Catalina
750816	355488	
750817	70657	Enfermera
750818	245421	Rosita
750819	252185	
750820	132139	Young Woman
750821	47145	Gladys
750822	197515	Annie
750823	270896	Tactical Cafe crowd
750824	114021	
750824	119350	Karla
750824	125578	Leslie Gordon
750824	142484	Heidi Mae
750825	93573	Museum Girl
750825	94099	Judy Carreck
750825	230933	Groupie
750825	288695	Linda
750825	380391	Lila Hart Roberts Cory Winthr
750825	396123	Ava Rescott Forbes Alden Mast
750825	400236	Billie Giordano (1987)/Gina R
750825	404613	Wendy Wilkins McNeil Carter #
750825	405882	Libby Wheeler (1975)
750826	283708	
750827	36480	Hexenwächterin
750828	231616	
750829	44441	Sarah Reddy
750830	168974	Sabine
750831	392787	
750832	377874	
750833	14693	Trabajadora social
750833	55937	Doña Mercedes
750833	100309	Directora de la escuela
750833	101047	
750833	101882	Pancho Villa's mother
750833	104877	Elodia
750833	194618	Doña Isabel
750833	203344	Sister Anna
750833	212238	Big Tom's Mother
750833	212493	Clara
750833	249429	
750833	255817	Maid
750833	260560	
750833	355484	Egas Ramirez
750833	379834	Librada
750833	380084	Chana
750833	383548	
750833	393985	
750833	396713	Altagracia Osuna
750833	397016	Micaela
750833	397604	Arcelia
750833	400860	Ceferina
750833	402404	
750833	402405	
750833	402839	Martha Canito
750833	409719	Ricarda
750834	205669	
750835	134465	
750836	233812	
750836	244036	Esther
750837	143756	
750838	57533	Agathe
750839	295406	Great Mother
750840	318110	Operator
750841	350277	Synchronised Swimmers
750842	150973	Mrs. Peniston's Maid
750843	398781	Snowdrop
750844	17964	Mrs. Burrows
750844	32866	Trudy
750844	148222	WPC Wilding
750844	191964	Dawson
750844	215608	Bursar
750844	226902	Mrs. Longhurst
750844	275362	Angelina
750844	297673	Myrna
750844	387604	Olive Martel
750844	405217	Dr. Margaret Bell
750845	73479	Maggie Armstrong
750846	169435	Office Manager
750847	19295	Secretary
750848	154730	Mother
750849	383456	Herself/Model (1986-1989)
750850	202195	Hooker
750850	257760	Dancer (Spikes' Fantasy)
750851	42854	Legs
750852	273083	Showgirl
750852	343160	Woman Hotel Guest
750853	308606	Katie
750854	177110	Mia
750855	66096	Amy Aerobics
750856	138744	Chorus Woman
750857	278909	Lawn Mower Lil
750858	211396	Kid on the Street
750859	211396	Kid on the Street
750860	377378	
750861	117073	Trudy
750862	350380	Girl
750863	17049	Mrs. Munchmeyer
750863	17056	Mrs. Schall
750863	43234	Frau Käser
750863	46602	Mother
750863	83880	Secretary
750863	84578	
750863	93730	Mother Gast
750863	97843	Luise von Briest, Effis Mutte
750863	98040	Frau Ehmke
750863	110114	Neighbour
750863	136717	Mutter
750863	153730	Customer
750863	155485	Herself
750863	157648	Schwester Gudrun
750863	178557	Frau Eder
750863	190765	Tamara
750863	206581	
750863	223460	Sekretärin
750863	234902	Marie
750863	278573	Günthers Mutter
750863	293415	Chehm
750863	359620	Kollegin im Büro
750863	361305	Data typist
750863	379174	Hausfrau
750863	381689	Frau Pums
750864	375171	
750865	233599	
750866	60073	
750867	170291	
750867	227594	Hortense De Beauharnais
750869	67456	Honey
750869	222560	
750870	211396	Kid on the Street
750871	100887	Featured Performer
750872	285957	
750873	213756	Welfare Worker
750874	124595	
750875	44985	
750875	152991	Sarah
750875	153248	Ms. Khalo
750875	185418	Victoria
750875	196313	Angela
750875	234054	Anchorwoman
750875	347599	Dana
750876	127730	Ducks Dance Squad Member
750876	367774	
750877	316640	Upstairs Neighbor
750878	214123	Maria
750879	260578	
750880	104977	Carla
750881	9884	Ana Esparza
750881	329058	Maria Trinidad Garza
750881	406719	Negra
750882	291825	Female Mariachi Band
750883	377087	Senhora
750884	192778	Amelia
750884	363415	Angela Ortiz
750885	250747	Evelia
750886	122398	Secrétaire du chef
750887	296433	Female Narrator
750888	25158	
750889	165852	VR teen girl #1
750890	387275	Doña Blanquita
750891	363941	Natacha
750892	338748	Biker
750893	349811	Indian Woman
750894	197578	Esther
750895	118638	
750896	41418	Erma Birdwell
750896	154517	Special Nurse
750896	169859	Patty Hornbeck
750896	380391	Patricia 'Pat' Matthews #2 (1
750896	380713	Adalaide Fitzgibbons #2 (1989
750896	405882	Patricia 'Pat' Matthews (1970
750897	167047	Woman
750897	331732	Lisa
750897	390771	Katie Parker (1977-1985)
750898	26877	Young Patch
750899	259973	Zhenata na Aleksi
750900	6220	Zhechka
750900	22739	
750900	27469	Kostova
750900	45764	Sekretarkata na dotzent Stefa
750900	60727	Katya Mihaylova
750900	81351	Janeris
750900	103552	Vyra Zadgorska
750900	163029	Rusata vdovitza
750900	180657	Mariya Konstantinova Yonova
750900	188470	
750900	200786	Magdalena
750900	227066	Magdalena
750900	229155	Neli, styuardesa
750900	235292	Popadiyata
750900	244217	
750900	250887	Vasila
750900	258536	
750900	261305	
750900	297637	Wife
750900	304501	
750900	316434	Popadiyata
750900	343413	Tzaritza Mariya
750900	357324	Sevda
750900	373242	
750900	374940	Roza
750900	386065	Doroti
750900	407635	Pozmari
750900	409735	
750900	412007	
750901	103565	
750901	354641	
750902	374864	
750903	152641	Jaillin
750904	238169	Kid
750905	47090	Herself
750905	148321	Herself (Vocals)
750905	367054	The Wiz Singers Adult Choir
750906	94663	Lucrezia Contarini
750906	181483	
750906	279706	Elisabetta I
750907	103905	
750907	128241	
750907	159918	
750907	189475	
750907	343078	
750908	106752	
750909	19557	Virgin
750909	103317	Girl
750909	213820	Party Guest
750909	223019	Orchestra Member
750909	230390	Louise
750909	231768	Pretty nurse
750910	207992	Potential
750911	218014	Counter Girl
750912	319416	Brooklyn girl
750912	321107	The girl
750913	257634	Additional Cast
750914	253338	Assistant #2
750915	129092	Leading Rock and Roll Woman
750916	384097	Lizzie (1999)
750916	395547	Lindsay
750917	187319	Kayo
750917	407369	Ume, Cafeteria Lady
750918	361538	
750919	306002	Laura
750920	189549	Anja
750921	340827	Hey Now Kid
750922	93152	Janice Reynolds
750923	107947	
750924	16327	Paula Whitney
750924	78121	Young Marlene
750924	87522	Debby
750924	99195	Terry
750924	108275	Melissa Billingsley
750924	154893	Betsy Morrison
750924	220034	Sandy
750925	281523	Mary
750926	267339	Beth
750927	20613	Diane Pendleton
750927	55521	Diana
750928	1642	Aronnax's dughter
750928	21289	
750928	75461	Amelia Garside
750928	128490	
750928	142246	
750928	314832	
750929	148222	Mrs. Beresford
750930	12355	
750930	87789	Polychrome
750930	212846	Herself
750930	361837	Myra Thompson
750930	397640	Karen
750931	170932	Herself
750932	67938	Perry's Daughter
750932	160780	Woman on telephone
750932	279371	Matron
750932	299193	Kathleen Grundy
750932	330445	Elizabeth
750932	380798	Mrs. Braithwaite
750932	382384	Sister Thomas-A-Kempis
750932	388861	Aunt Grace
750932	395178	Sybil
750932	402140	Mrs. Field
750933	211765	Judge
750934	277070	Daisy May
750935	10910	Fife
750935	139175	Vinnie
750935	380005	Blaze (1989-1992)
750936	390961	
750938	116542	Nurse
750938	140886	Ellen
750938	411012	Barbara's girlfriend
750939	235586	Rachel
750940	223857	
750941	7361	
750941	64308	Herself
750942	158871	Amore
750943	155884	Carol
750944	289013	Celine
750945	10224	
750945	14654	Tía Rosario
750945	14676	
750945	25065	Duquesa de San Tirso
750945	29847	
750945	30856	
750945	40323	Rosalía de Castro
750945	50127	Rosa
750945	55378	Consuelo
750945	55743	
750945	74342	Casera
750945	74596	
750945	76094	Marga
750945	80140	
750945	88707	Palmira
750945	92337	Aurora
750945	103992	Doña Justa
750945	110440	Estrella
750945	117975	Fortunata
750945	122985	Herself
750945	130924	Dinah
750945	135196	La monjita
750945	135301	
750945	149520	
750945	152237	Doña Pilar
750945	154543	Herself - Presenter: Best Lea
750945	193512	
750945	200506	
750945	205001	Catalina, la buhonera
750945	205699	
750945	236028	Remedios
750945	239272	Lola
750945	246393	María
750945	250787	Héléna
750945	251631	
750945	263857	
750945	268498	Carmen
750945	274861	
750945	289474	Buba
750945	294330	
750945	339148	Héléna
750945	340876	
750945	344987	(segment 2)
750945	352152	Carmen, la hija de Amadeo
750945	353017	Herself - Accepting the Honor
750945	354035	Sagrario
750945	376659	Esperancita Couceiro
750945	377178	
750945	380551	Concha
750945	393911	Teresa Campos
750945	402679	Teresa Panza
750947	75195	
750947	91351	
750947	149515	
750947	216068	
750947	222124	
750947	231296	
750947	292708	Las Nenas
750947	334675	
750948	301889	Koira
750949	79423	Maggie
750950	351854	
750951	115890	Young Flower
750951	152396	The Young Girl
750952	45482	
750952	373242	
750952	374794	
750953	224447	
750954	103565	
750954	131157	
750954	173100	
750954	179704	Yuliana
750954	180780	Zhenata na Prodan
750954	207254	
750954	243640	Pepi
750954	244214	
750954	320534	
750954	339314	Vdovitzata
750954	356042	
750955	173625	
750956	308069	Herself (sister)
750957	108314	
750957	135602	Jean Burden
750957	233528	Jean Burden
750957	382830	Anne Bronte
750957	398392	Betsy
750957	399552	Vera Botting (1987)
750958	389131	Herself - Presenter (2003-)
750959	107947	
750960	410740	Orange Female Contestant
750961	225188	Irma
750962	215695	Fang
750963	47874	
750964	212503	Alex
750965	40469	
750966	121553	
750967	299208	Girl
750968	141389	Stewardess
750969	195999	Mrs. Hoskins
750969	255721	Old Lady
750970	59125	Isabella
750970	69363	Jenny Welch
750970	71548	Lucy Westenra
750970	141585	
750970	166677	
750970	170870	Mrs Brogan
750970	184500	Lisa Clayton
750970	185144	
750970	187949	Helen James
750970	207232	Miss Derwent
750970	215008	Juliane Koepcke
750970	228046	Sister Felicity
750970	233960	Penny Hunter
750970	238884	Barbara
750970	264820	Ann Halpern
750970	289231	
750970	307288	Susan
750970	324236	Bianca
750970	331045	Beth Fyfield
750970	345707	Janet
750970	346020	Mae Rose Cottage
750970	382581	Prue Sorenson
750970	388751	Helen Barker
750970	391243	Natalie Harris
750970	394472	Herself
750970	394474	Donna Pennyman
750970	402743	Carol Tomes
750970	407699	Jane (1993)
750970	408952	Julia Charlesworth
750971	16950	
750972	59813	Little Girl
750972	236972	Child at the Party
750973	68962	Gloria
750973	95421	
750973	156789	
750973	201214	
750973	234317	
750973	242500	
750973	275845	Norma
750973	322854	Angélica Marín
750973	334568	Chica Adivino
750973	379461	Gloria
750973	379653	
750973	383329	Josefina
750973	383548	Laura
750973	385368	Claudia
750973	388095	Monica Auseta (1988)
750973	389639	Nora
750973	393837	Laura
750973	395300	Julieta
750973	395885	Vilma Lara
750973	397594	Amalia
750973	398469	Rebeca
750973	410015	
750974	114321	
750975	379834	Alondra (12 años)
750975	397019	Alicia Montalban Smith
750975	399522	Luz
750975	404161	Money
750975	409908	Aniseta 'Anny' Paz
750975	410109	Host (2002)
750976	152509	Secretary
750977	277492	Baby Rhubarb
750978	390073	Herself - judge (Phoenix edit
750979	115778	
750980	87948	The Mother
750981	325882	Lina
750982	136904	Gerda
750983	3564	
750983	34232	Olya
750983	394373	
750985	258693	
750986	45482	
750987	131953	
750988	294151	
750989	167324	Plaza witness #2
750989	261281	Switchboard Operator
750990	232031	Molly
750991	108523	Effie Floud
750991	260963	Mrs. Stoneway
750991	280908	Mrs. Olwin
750991	314343	Mrs. Calhoun
750991	360523	Mme. Parole
750992	158473	Isabella
750993	18544	Sharks Trainer
750994	278833	William Parker & Patricia Nic
750995	39720	Black House Servant
750998	326649	Lily Miller
750999	176386	Mother
750999	203185	Melitza Konradis
750999	354516	Sophia Balbino (A Daughter)
750999	385927	Maria Salvedor
750999	387605	Karin
750999	389123	Annette Forsyte née Lamotte
751000	80013	Olga
751000	141667	Belgian girl
751000	371887	Eight-Year-Old Girl
751001	73879	Reporter
751001	297877	Thin Woman
751001	366205	Woman at car
751001	367919	Nurse
751002	264677	
751003	59293	
751003	61056	Blonde Killer
751003	62106	
751003	81106	Kim
751003	139097	Nicky Knox
751003	141907	Kim
751003	149015	
751003	167819	Blonde Gunwoman
751003	178975	Chip
751003	298367	
751003	332502	Kitty
751003	333508	Sharon
751003	344530	Killer
751003	344552	Ambrosia
751003	358909	Niki
751003	369104	Blonde
751003	374910	Blonde
751004	123397	April
751005	73969	Mrs. Oldacre
751005	312358	Mrs. Mopps
751006	299060	
751007	133371	Hot Chick
751008	311475	Opera Attendant
751009	158784	Party Guest
751010	263372	La copine de Bernard
751011	336034	Female Bar Patron
751012	241295	Drew Casey
751013	74390	(segment "A Morena e o Louro"
751014	52059	
751014	68621	
751014	117943	
751014	169808	
751014	203926	
751014	220746	
751014	224965	
751014	246469	
751014	282812	
751014	287889	
751014	291892	
751014	307215	
751014	327812	
751014	334468	
751014	340359	
751014	391901	Zoraida
751014	393005	Indaiá
751014	395089	Mariinha
751014	404798	Sofia
751014	407864	
751014	410014	Zora
751015	83122	Derby-Queen
751016	51628	Dulcinéa
751016	54315	
751016	56071	
751016	83080	
751016	92903	Saint Barbara
751016	210685	Helena
751016	307472	
751017	70888	
751017	383328	Carlota
751017	396886	Diana
751017	396899	Constanza
751017	399481	
751017	400096	
751017	406847	Lúcia de Góes
751018	16867	
751018	238003	
751018	334429	Donna di Mosè
751019	328555	Deborah Lynn Hodge (The Origi
751020	193554	Mrs. Helminen
751021	285801	
751022	255935	Maid
751023	181630	Nainen junassa
751024	137928	Lady-in-waiting
751025	80833	Calusa tribe
751026	15057	Fabienne
751026	259264	
751026	354941	La réfugiée rousse
751027	109237	June
751028	104896	Rena Hawkins
751029	274214	Herself
751030	215691	Miss South Carolina USA (1st 
751031	215691	Miss South Carolina USA (1st 
751032	373276	
751033	80430	Bingo Burger Patron
751034	397888	Herself (2002)
751035	397888	Herself (2002)
751036	176984	Person At Bar
751037	95331	Nurse 2
751038	347053	Marion Penrose
751039	140186	Sarahs Mother
751039	148570	Bob's Mom
751040	375527	Zoey
751040	401072	Pinch Racoon/Scootch Racoon
751041	268853	
751042	129900	Casting Director
751043	68070	Heroin addict
751044	32601	Court Stenographer
751044	138353	Grace the Nun
751046	398050	4th Eliminated (2000)
751047	93217	Candy
751048	42785	Victim #3
751049	101387	Court Soprano
751050	217745	Art History Student
751050	224296	Waitress
751051	356098	Boerin
751052	18256	Ann Wharton
751052	62023	Sugar Fingers, the Entertaine
751052	130625	Ann Collins
751052	130873	Lucy Sulter
751052	133880	Herself
751052	138744	Herself
751052	142544	
751052	162527	Lena Schmitt
751052	178041	Dancer
751052	191681	Justina Howland
751052	196952	Dancer
751052	199152	Mimi
751052	199298	Gwen Townley
751052	204156	Herself
751052	231846	
751052	232163	Dancer Ann Pennington
751052	263335	Herself
751052	271237	Hope
751052	319263	Nance Molloy
751052	320248	Susie
751052	324582	Tootsie
751052	329134	Dancer
751052	347061	Telephone opeator
751053	38546	Rochelle Halliday
751053	121836	
751053	194045	Catherine
751053	241366	Dr. Vogler
751053	257867	Herself
751053	340106	Helen
751053	366081	
751053	383456	Herself/Model (1978-1981)
751053	395529	Bookshop Manageress
751053	402113	Sub-model (1975-1977)
751054	405209	Libby Bailey (1997)
751055	241650	Mrs. Caughey
751055	405209	Motelier (1998)
751056	81193	Floreanna Ruby
751057	58169	Mrs. Jane Barclay
751057	220323	Alice Baker
751057	305144	Eleanor Philips
751058	259868	Fourth Sister
751059	154409	Nurse Cynthia
751059	257867	Herself
751059	263446	Model
751059	397077	Panelist
751059	402113	Model (1972-2000)
751060	383363	Chloe Healey (The Pardoner's 
751061	97342	Nurse Rosa Cays
751061	116043	Claire (1986)
751062	241120	Blossom Culp
751063	205165	Catherine March
751063	397479	ANI - Android Nursing Interfa
751064	61899	
751064	161754	Dream Jennifer
751065	108291	
751066	48907	Girl
751066	167644	Jan
751066	389858	Samantha Livingston Chandler 
751066	391453	Laura
751066	405676	Joan Lawson
751066	405769	Leslie Walker (1979-1981)
751067	365970	Mrs. Liggett
751068	137032	Electron's Mother
751069	371374	Extra
751070	85117	Party Girl 1
751070	128154	
751070	231782	Naomi
751070	323999	
751071	390497	Herself (3rd Edition)
751072	149954	Extra
751072	359758	Players
751073	109486	Dominique
751074	228453	Lily
751075	316277	Kitty Kay
751077	33940	Victoria Beckham
751078	400306	Bonnie Miller
751079	64073	The Fairy Spring
751079	141557	Chris Galvin
751079	195307	Jennifer
751079	231871	Woman
751079	281170	Juliet's Friend
751080	151196	Young Lucille
751081	277846	
751081	291449	Pageant Girl
751082	252287	Herself
751082	252288	Herself
751082	252291	
751082	275431	Herself
751083	118577	
751083	143241	
751083	187411	
751084	34390	Bernadette
751084	37366	Lily
751084	54673	Peg Adams
751084	61576	Margaret Gallagher
751084	64349	Rosetta
751084	64384	
751084	81016	Gloria
751084	100661	Natalie Ross
751084	118471	Shameir
751084	126714	Ramona
751084	141435	Maxine
751084	153565	Robyn
751084	158189	Malika
751084	163578	Lucy van Pelt
751084	184879	Joy Arden
751084	231037	Melissa Kenley
751084	232189	Melissa Hollister
751084	247039	Megan Wheeler
751084	250713	Tessa Dahl
751084	251156	Megan
751084	305692	Corrine
751084	331907	Princess Ankelsen
751084	342944	Elizabeth
751084	379716	Julia Santos Keefer (1993-199
751084	382419	Samantha Kelly (2003-) (#4108
751084	392340	Jennifer Worth
751084	395135	Joy Arden
751084	399241	Danielle 'Dani' Collins-Griff
751084	404282	B.J. Walker Lockridge (1992-1
751084	406952	Meg Cummings #2 (8/1999-12/19
751084	408096	Young Meggie Cleary
751085	154379	Herself
751085	240761	2nd Prostitute
751085	289841	Lesbia
751086	80337	
751086	207602	Alumna 1º
751087	77705	Nurse
751087	134403	Woman on balcony
751087	233976	Hermana María Dolores
751088	23699	Nicole Gray
751089	178099	Molested Dancer
751089	234068	Ronnie
751089	274805	Lawyer
751090	9353	
751091	16861	
751091	102217	
751091	108502	Elsie Porter
751091	109979	
751091	133111	Anna
751091	344594	Carole White
751091	377592	Ginetta
751092	305341	Karate Instructor
751093	41277	Elizabeth
751094	26263	Chariene
751094	66650	Sharon Brooks
751094	141192	Business Lady
751094	148566	Leslie
751094	258371	Dr. Montgomery
751094	285117	TV Reporter
751095	195446	Stewardess
751096	364094	
751097	303776	
751098	650	Herself
751098	77751	Symphony Girl #1
751098	382838	WPC Emma Reid (1988-1989)
751098	391247	Gina Ward (1993-)
751099	357385	Supermarket girl
751100	21379	Else von Kipping
751100	91265	Margot
751100	126305	Gertrud Kanning
751100	153229	Hildur Storgaard
751100	178007	Elizabeth
751100	182628	Annelise Dahl
751101	147233	
751101	373244	
751101	373246	
751102	34707	Woman
751104	158563	Woman selling flowers
751104	225306	Die Alten
751105	12117	
751105	24746	Shon Arlina Recordina
751105	43023	Rosaura
751106	273315	Herself
751106	273483	Herself
751106	394221	Herself
751106	407815	Herself
751107	187886	Old Woman
751107	228685	Maiden Aunt
751107	400079	Miss Pinto
751108	395706	
751109	94330	Renée
751110	140317	Eliane Ferro
751113	28620	Ulrica
751113	69971	La mère d'Antonia
751113	324592	Venus
751113	338617	Flora Bervoix
751114	377281	
751115	197091	
751116	99664	(segment "O Filho da Televisã
751116	219229	Joaninha
751117	297190	Sorority Girl
751118	18544	Cheerleader
751119	67473	Joy
751120	349860	Waitress
751121	67758	
751122	144083	
751123	179291	Sairaanhoitaja
751124	177620	Tuxedo's Manager
751125	259700	
751126	104277	Riikka
751126	182840	
751126	260623	Suurmetso's maid
751127	144708	Vuokraemäntä
751128	251955	Lastenhoitaja
751129	341591	Hoitaja 2
751130	255743	Kristiina
751131	404145	Kristiina
751132	349137	Hoitaja
751133	184286	
751134	213417	Member of Salvation Army choi
751135	172777	Dancer
751136	31936	Vilma Nikulov
751136	168866	Virve
751136	170922	Sanna
751136	285801	Mia
751136	303846	Silja
751136	409265	Susanna Haapasalo
751137	346119	Hotel Receptionist
751138	46420	Interpreter
751138	296775	Nurse
751139	276178	
751140	54248	Myrta
751141	89977	
751141	246439	
751142	203138	Joan
751143	188692	Pearl
751143	396187	
751144	5596	Eclypse
751144	42170	Christel
751144	42952	Erna Kappes
751144	65686	
751144	119216	Anselma
751144	189396	Secretary
751144	263727	
751144	347767	Agnes Mills
751144	351945	
751144	361455	Kathi
751145	67892	
751145	262706	
751145	291695	
751147	194780	Tropicana Guest
751148	221207	Korelka
751148	327205	
751149	56956	Mrs. Miche
751150	149442	Audra Airdale
751151	181534	Dottie Peoples
751152	138003	Herself
751153	31286	Sister
751153	208930	Freddy
751153	249192	Elizabeth
751153	316295	Gary's Secretary
751155	94948	Ella
751155	123699	Cararet Entertainer
751155	204758	
751156	309769	Internaute
751157	229024	
751158	1965	Female Jogger
751158	297937	Gia
751159	63741	Caterina
751159	108873	
751159	316800	Clara
751160	240278	
751161	384507	
751162	90752	
751164	182360	Herself (dancer)
751165	89572	
751166	62957	Kid in the Living Room
751167	394570	Co-host
751168	229499	Nurse (Wayburn's office)
751169	57929	Anna
751169	363224	Girl in Park #1
751170	2473	
751170	96111	Porn actress
751170	158733	
751170	217842	Femme rêve érotique
751171	43423	
751172	233832	Laurie
751173	204880	Herself
751174	177651	Senate secretary
751175	344000	
751176	138555	The Witch
751176	255825	Giant Despair
751177	255825	Discretion
751178	7618	2nd Girl at Wedding
751178	93265	The Usherette
751179	17040	
751179	101752	Sandra Fromm
751179	290454	
751179	395667	Lisa Hoffmeister
751180	59759	Lucy
751181	185328	Dancer
751182	152874	Herself
751182	277638	Susan
751183	110998	Liberation Lady
751184	239932	Kitty
751185	7293	Blonde at Shooting Gallery
751185	13378	Muriel
751185	14163	Streetwalker
751185	20508	Riki
751185	24240	Mrs. Krantz
751185	26628	Dance-Hall Hostess
751185	37087	Lois, the Drunk's Girl
751185	37309	Mamie
751185	38685	Maizie
751185	40972	Rex's Fiance
751185	44899	Chorine
751185	46669	Cab Driver
751185	53324	
751185	55671	Edith, Harry's Girl Friend
751185	56614	Goldie
751185	59838	Mabel the Drunken Girl
751185	61570	Miss Brown
751185	67416	Ginger Bixby
751185	72104	Chorus girl
751185	72219	
751185	76227	Woman
751185	78528	Drunk at Ship's Cafe
751185	89140	Alice Morgan
751185	89183	
751185	115472	Blond Waitress
751185	117509	Nancy Rhodes
751185	117557	Dorine
751185	117759	Eve Abbott
751185	118041	Alice, Showgirl
751185	118718	Goldie Green
751185	120342	The Stranger
751185	121585	Woman watching TV
751185	127083	Mrs. Nolan, Nurse
751185	128161	Woman at the Bar
751185	128700	Ruth
751185	140877	
751185	142875	Wild Rose
751185	144573	Undetermined role
751185	147854	Althea Ames
751185	148398	
751185	149261	Dance Contestant #1
751185	149298	Secretary
751185	154376	Blonde
751185	159478	Waitress
751185	163621	Fisherwoman
751185	176358	1934 Goldwyn Girl
751185	178080	Big Bertha
751185	183627	Lady Wrestler Type
751185	183713	Kay Renshaw
751185	188202	Milly Adams
751185	188341	Daisy
751185	198454	Clytie Morpher
751185	200478	June
751185	200869	Blonde
751185	202916	Myrtle, hotel patron
751185	204708	Polly
751185	214059	Eadie Rookstool
751185	220270	Chorus Girl
751185	222325	Mary Browning
751185	222775	Bonnie Fleagle
751185	223018	Blonde on Bus
751185	223065	Feril Hawkes (Snapping Beans)
751185	223733	Waitress
751185	223867	Doolittle's Dance Partner
751185	223912	Speedy', 'B' Girl at Kelly's
751185	228660	Gilded Cage hostess
751185	232299	Blonde Waitress
751185	238522	Second Girl
751185	238616	Flossie (telephone operator)
751185	241134	Taxi girl
751185	241775	Dottie
751185	244797	Sally
751185	245159	Cuban Room Cigarette Girl
751185	245300	Blonde Saloon Lady
751185	250811	Bowler
751185	260951	Evelyn
751185	264438	Winnie De Voe
751185	276683	Nellie Blane
751185	277913	
751185	280496	Marjorie Burns
751185	280830	Slave Girl
751185	285445	Joan Martin
751185	285664	Maude
751185	288019	
751185	289418	Rena
751185	291713	Spanked blonde
751185	300062	Chorus Girl
751185	302467	Bowling Pin girl
751185	302739	Honey
751185	305934	Patient
751185	306490	Girl in audience with sailor
751185	306502	Betty, DC Taxi Driver
751185	309848	Julie
751185	313377	The Blonde who bruises too ea
751185	315993	Annie
751185	316048	Mattie
751185	316891	
751185	321384	Telephone Operator
751185	324249	Hazel White
751185	328606	Karen Kemp, the Louisville La
751185	330184	Budgie Massey
751185	331618	Viola
751185	331619	Frances 'Francie' LaRue
751185	332069	Louise Braggart
751185	335656	Angela Brown
751185	340480	
751185	347418	Mrs. Schmidt
751185	355837	Girl
751185	359140	Marge
751185	360045	Gloria Vance
751185	360420	
751185	361819	Agatha Hogan
751185	362154	Elsie Ford
751185	364347	Tony's Wife
751185	364357	Customer at Bargain Sale
751185	364804	Belle
751185	366484	A girl
751185	367833	Millie, Irish nurse
751185	367919	Tough Girl
751185	368973	
751185	372107	May 'Bubbles' Smith
751185	372115	5&10 Store Clerk
751185	372484	Wife
751185	390622	Doris Ziffel #1 (1965-1969)
751186	113488	
751187	25845	Herself - Burlesque Dancer
751188	60162	One of the girls looking in t
751188	73481	Marsha
751188	178204	Cpl. Midge Riley
751188	286121	Sally Marten
751188	323395	Adele
751188	396833	Margie Clayton (1961-1962)
751188	398740	Jean Pearson (1960-1961)
751189	11525	Message Desk Receptionist
751189	80670	Dancing Girl
751189	128790	
751189	143191	Glamazon
751189	275694	WAC corporal
751189	302646	
751189	304876	Dancer
751190	7732	
751190	26782	
751190	26785	
751190	26902	
751190	39233	
751190	39369	
751190	39519	
751190	39567	
751190	39609	
751190	39646	
751190	39749	
751190	39783	
751190	39963	
751190	40003	
751190	42673	
751190	44469	
751190	49550	Sgt. Miss Ezra
751190	62490	
751190	83010	
751190	106624	
751190	130781	
751190	144913	Mrs. McReynolds
751190	147699	
751190	150083	
751190	150593	
751190	150700	
751190	155877	
751190	161010	
751190	200854	
751190	228050	
751190	228307	
751190	236307	
751190	238909	
751190	242066	
751190	249040	
751190	263533	
751190	266559	
751190	274145	
751190	295658	
751190	302907	
751190	304817	
751190	319346	
751190	319458	
751190	336784	
751190	360744	
751190	367625	
751190	369913	
751191	155257	W.P.C. Brownlow
751192	32440	Sara
751193	134664	Aboriginal witness
751194	49643	
751195	321280	Young Woman
751196	405278	Mari Hozumi
751197	41971	
751198	140184	Irka
751199	8148	Carlo Fisher
751199	53301	Interviewee
751199	68226	Jen
751199	136556	Kate
751199	313995	Nurse
751199	332133	Reporter
751199	384695	Various roles
751199	395998	Therapist
751199	403320	Ally Elvis
751200	192038	Grace Griffing
751200	201107	Frances Hardor
751200	213096	Mrs. Jones
751200	215602	Marjorie Wilson
751201	183712	Meeda Jones
751201	375646	Betta
751203	25415	Teller
751203	42108	
751203	93211	Floor Nurse
751203	302584	Mrs. Simonides
751203	309287	Helen
751204	327812	
751205	74676	Regla
751205	202735	Ofelia
751205	284899	Carmen
751206	234153	Socialna delavka
751206	374667	
751207	88557	Alicia
751207	93176	Nurse
751207	145539	Freda Halle
751207	291942	Ellen
751207	313332	
751208	111068	Pool Side Girl
751209	899	Brandy
751209	1674	Herself
751209	7099	Karen Sympathy, FBI
751209	57359	Charlie
751209	60163	Nora Baker
751209	65600	
751209	72376	Violet Sanford
751209	97569	
751209	115920	Iris
751209	116554	Girl at Party
751209	125989	Princess Lunna
751209	154279	Anna Cable
751209	179073	That Girl
751209	194706	Pauline 'Paulie' Oster
751209	255430	Julia
751209	302772	Giant Squid
751209	304527	Genevieve LePlouff
751209	364094	Sara
751210	96335	Madre de José
751211	161447	Vera
751211	255122	
751212	357338	
751213	379001	Katty
751213	393340	Luchita
751213	393836	
751213	403644	
751213	403782	Andrea
751213	408724	
751213	412183	Andrea
751214	16968	Circulating Nurse
751214	82463	Mrs. Birnbaum
751214	110319	Laura's Sister
751214	170843	Mrs. Lanzarotta
751214	342904	Roxy
751215	68325	Maria
751216	309334	
751217	49103	Mak Zaiton (Zaiton's mother)
751218	265315	Estela
751219	55768	
751220	21668	
751220	288113	Jessie
751220	390069	Pauline Salveron
751220	398494	Jowie
751220	407337	Angela 'Anne' de Guzman
751221	28243	
751221	29440	
751221	49039	
751221	89764	
751221	91324	
751221	105560	Kim
751221	127724	
751221	144499	Isabel
751221	163530	Pinky
751221	202413	Sara
751221	284647	Geri
751221	295770	
751221	301493	
751221	322626	
751221	323637	
751221	325323	Amada
751221	379023	Host/Dancer
751221	390069	Jersey Salveron
751221	391119	
751221	394247	Helaena Argos
751221	398494	Trina
751222	155272	Paula
751223	20855	Vicenta
751223	57778	Vecina del pueblo 4
751223	115818	
751223	169794	Maria
751223	233855	Sesé
751223	235254	Policía audiovisual 1
751223	244590	Lola
751223	295501	Sandra Oberón
751223	367255	Soto
751223	384734	Luisa 'Elo' Soriano
751224	28314	
751224	67006	José's mother
751225	249301	
751226	289004	Sophia
751228	105110	School Teacher
751229	75789	Blue
751229	264205	Bulemia
751230	210558	
751231	301574	Maria
751232	6045	
751232	18834	
751232	19484	Ana Maria
751232	33967	
751232	59779	
751232	63323	Matlde de Frizac
751232	73300	
751232	74583	Cecilia, maestra
751232	74839	(segment El bombón)
751232	76013	Prisionera
751232	83129	Sara
751232	85960	Patricia
751232	88200	
751232	91343	
751232	100341	
751232	103858	
751232	115762	
751232	124659	
751232	134492	Lupe
751232	145156	
751232	145672	
751232	159870	Guillermina Perea
751232	205102	
751232	212344	
751232	221983	Luisa
751232	229208	
751232	229430	
751232	235298	Lupe, hermana de Elsa
751232	251563	Matilde
751232	251571	
751232	258481	
751232	270070	
751232	277382	
751232	286420	
751232	287436	
751232	340432	Maria
751232	377102	Sofia
751232	382868	
751232	403558	
751233	370153	
751233	379815	Adriana
751233	381023	Lázara
751233	385370	Marcia
751233	396826	Soledad
751233	398915	Martha
751233	401917	Julieta
751234	58930	Woman In Bar
751235	221932	
751236	257324	
751237	321386	Girl in Shop Window
751238	131074	
751239	324502	Dancer
751240	25853	
751241	26093	
751241	99768	Ingenue
751241	109486	Marina
751241	147840	Carrie
751241	222330	Ana Harwa/Princess Hat-Em-Akh
751241	253515	Heather
751241	273279	
751241	314111	Tai
751242	6490	
751242	233357	
751243	209943	Une petite fille au mariage
751244	241160	Jake's Mate
751245	235834	Annie
751245	294856	Rosa
751246	394069	Jatta
751246	394762	
751246	402867	Various characters
751246	405347	
751247	246397	
751248	109821	
751248	303156	
751248	354630	
751249	215664	Miss Hawaii Teen USA (Top 10)
751250	672	Lucía Carvajal
751250	379588	
751250	383472	Irene Cáceres
751250	385414	Catalina Earnshaw
751250	387523	Emilia
751250	395373	Victoria
751250	397014	Liduvina
751250	398519	Indiana Castro/Pociedad
751250	400942	Elizabeth Montiel
751250	401122	
751250	401211	Amnerys Balza
751250	402688	Consuelo
751250	402772	
751250	403016	Sara Santos
751250	403290	Emperatriz Azcárraga
751250	404703	Teresa
751250	405863	
751250	412123	Graciela/Consuelo Guerrero
751251	23377	
751251	404994	Raquel
751252	144083	Fru Sorg
751252	237399	Tant Grön
751253	318738	Anna
751254	10298	Olga Dell'Incanto
751254	11806	Zia Giovanna
751254	12540	
751254	12689	Bride's mother (segment "Pot-
751254	14380	
751254	14828	Luisa
751254	14902	
751254	17209	La direttrice dell'ospedale d
751254	17483	A Patient
751254	28152	
751254	28760	Zia Berelli, Pricò's Aunt
751254	52784	Assunta
751254	52892	
751254	54353	Dolores, Governor's wife
751254	54361	
751254	61038	
751254	61077	Mother Superior
751254	64233	
751254	68653	La signora Mellario
751254	69939	
751254	70859	La nutrice
751254	75267	
751254	112650	
751254	119073	Berta
751254	127888	
751254	147057	
751254	158707	
751254	183493	Giulia
751254	199820	La contessa Ornano
751254	206027	La cognata
751254	215550	Mrs. Favarelli
751254	251626	Ortensia
751254	254954	Tonia, la guardiana
751254	260604	
751254	263411	
751254	288182	
751254	290000	
751254	291656	
751254	292267	Miss Vanni
751254	303178	Signora Bracco-Rinaldi
751254	327496	Laura
751254	336621	Luisa Giovanna
751254	349527	
751254	356898	
751255	74801	Karina
751255	165768	Lucía
751256	127834	Cassandra
751256	241342	Lew's Secretary
751257	102945	Mère de Maria
751257	143489	
751257	236507	Norinne
751258	367022	Neighbour
751259	154927	Party person
751260	10784	The White Rabbit
751261	390771	Marah Shayne Lewis #2 (1987)
751262	390771	Marah Shayne Lewis #2 (1987)
751263	29512	La boulangère
751264	154581	Manx Hotel Clerk
751265	99055	Inmate #4
751265	362453	Showgirl
751265	364100	A Lindy Girl
751266	165122	
751267	142283	
751267	349012	
751268	172488	
751268	351359	Korina
751269	375482	
751270	292175	Woman in commercial
751271	329522	Diane Dane
751272	36868	
751272	92520	
751272	99506	Herself
751273	117672	Policewoman
751273	138184	Miss Ripon
751273	282689	Miss Berry
751274	142618	Brittany Virtue
751275	167289	Old Indian Woman
751276	122288	
751276	197091	
751276	268993	
751276	284842	
751276	319626	
751277	112759	
751277	253662	
751277	255798	
751278	372346	Girl
751279	27031	Fanny
751279	32439	Woman
751279	35583	Mary Emerson
751279	37463	Fan Tilden
751279	42148	Beth Rupert
751279	47345	Dolly
751279	50034	Anne Cabell
751279	61740	Babs Weston
751279	66354	Sophie Binner
751279	66826	Eileen Percy
751279	83590	Nell
751279	92228	Ethel Forsythe
751279	96849	Lory James
751279	99474	Nancy Moore
751279	100197	The Girl
751279	109493	Virginia Martin
751279	113524	Adele
751279	114049	Herself
751279	115619	Cora Madison
751279	118463	Mrs. Brian O'Brien
751279	133369	
751279	143194	Julia Kennedy
751279	144531	Anna Mae Neil
751279	146938	Alice Randolph
751279	147633	Cameo appearance
751279	153179	Myra Hastings
751279	157820	Kate Vernon
751279	184437	Nina
751279	186809	Madge Earle
751279	188367	Lucy Frazer
751279	192040	Patricia/Patsy
751279	196523	Kate
751279	200886	Betty
751279	203054	Jane Forbes, the School
751279	203494	Mamie Lee
751279	215747	Eileen Allen
751279	241889	Prarie-Flower Marie
751279	247880	Gerard's Sister
751279	248833	Molly Dale
751279	254444	Jane Terrill
751279	257913	Eulalie Morgan
751279	264492	Dorothy Garrison
751279	270392	
751279	273180	Elsie Merrill
751279	292521	Maizie
751279	296836	Lucia Warring
751279	307906	Celie Sterling
751279	309580	Esther Hamilton
751279	311973	Martha Lomsdom
751279	327305	Maizie
751279	327582	
751279	329469	Mamie
751279	330512	
751279	334980	Tillie Hardy
751279	335241	Minnie Ann Thomas
751279	335455	Billie Boland
751279	341921	Mrs. Roscoe Sheridan
751279	342383	Maizie
751279	345738	Emily Madden
751279	346148	Kitty
751279	361785	Dot Lorimer
751279	362600	Enid North
751279	363450	Prudence Caldwell
751279	364674	Eunice Day
751279	364707	Stella
751279	365156	Nell Larabee
751279	366888	
751279	371384	Viola Armes
751280	192413	Hummel Child
751281	99923	Emily2's mother
751281	114658	Victoria
751281	395984	Lucy
751282	317350	Karen
751283	32785	Sosad
751283	295404	Station Agent's Daughter
751283	313370	Faith Levering
751283	350448	Elizabeth Latimer
751283	367301	
751284	5602	Fräulein Robert
751284	138431	Bürgermeisterin
751284	225319	Frau Theren
751284	328991	Wirtschafterin Therese
751284	348048	
751284	380199	Mrs. Williams
751285	48666	Ilonka, Kassay lánya
751285	95163	Tamássy Erzsi
751285	96430	Szántóné, Roska Erzsébet,Mári
751285	144244	Vera
751285	195258	Baba,Virág lánya
751285	205804	Ella
751285	211706	Kovács Vera
751285	226704	
751285	281910	Old Woman In Court
751285	378280	Terez
751285	378346	Kitty
751286	162205	Krystyna
751286	165844	Magda Gruzdowa
751286	185809	
751286	236159	Woman in Factory
751286	258570	Kachna
751287	40957	
751287	177377	Anna
751287	189630	
751287	230207	Frau Gerster (Stadtbeamtin)
751287	259471	Monika
751287	259551	Ingrid Heder
751287	259557	Xenia
751287	259564	Frau Gröning
751287	259595	Sylvia Westphal
751287	259625	Marita Schubke
751287	259691	Anna
751287	284433	Fräulein Branstner
751287	312637	Luise
751287	312649	Sibylle
751287	314716	Marga
751287	325939	
751287	379779	Ellen Kladow
751287	394920	Marion Dieckhoff
751288	18392	
751288	204456	
751288	259456	Monika
751288	325677	
751289	72391	Vampire Actress
751289	148341	Sara
751289	223518	Kira
751289	307680	Madonna
751289	325798	Maria
751289	325986	Baby
751289	405500	Dani Winkler
751291	63755	Instrumentista
751292	387572	Delia
751292	400942	
751293	204	
751293	5756	
751293	6474	
751293	10822	
751293	13627	
751293	17881	Azucena
751293	21673	
751293	21703	Amalia
751293	28306	
751293	28987	
751293	33517	
751293	43082	
751293	44524	
751293	63636	
751293	70864	Estela
751293	88703	Rosario
751293	91331	
751293	96274	
751293	96286	
751293	96337	
751293	98440	
751293	103434	
751293	104846	
751293	124041	
751293	149513	
751293	165791	
751293	170053	Silvia
751293	183948	Rita
751293	183949	Rita
751293	189004	
751293	194129	
751293	200000	
751293	207598	
751293	216056	
751293	218498	Marcelina
751293	223376	
751293	225051	
751293	244617	
751293	249889	
751293	251971	
751293	252042	
751293	263069	
751293	263830	Catalina Guerra de Luna
751293	268271	
751293	276034	
751293	284528	
751293	352254	
751293	370142	
751293	371686	
751293	376867	
751293	377159	Mago
751293	379147	
751293	379565	Emilia
751293	379890	Reyna
751293	380795	Margarita Saavedra Corcuera
751293	381169	
751293	383272	Alma
751293	383330	
751293	383518	
751293	384395	
751293	385050	
751293	385251	
751293	386126	Chaquira
751293	390405	
751293	397018	
751293	397601	
751293	398522	Irma
751293	398534	
751293	399823	Gudelia
751293	402152	Catalina Guerra de Luna
751293	402248	
751293	403024	Mayra
751293	403365	Lili
751293	404161	Lola
751293	410313	Azafata
751293	410319	Maria
751294	99714	
751295	303119	Yure
751296	28284	
751297	33628	La comtesse
751297	71853	Diana
751297	73382	Mary Brody
751297	76166	Elsa Kastner
751297	108898	La vieille tante/Aunt
751297	118204	Anne
751297	123873	
751297	166335	
751297	167160	
751297	167231	
751297	206239	
751297	208809	
751297	211647	
751297	217659	Henriette
751297	224878	Mathilde Stangerson
751297	224898	Floriane Aboody
751297	235857	
751297	236610	
751297	248919	Mathilde Stangerson
751297	268398	
751297	280536	
751297	281135	
751297	282497	
751297	300723	Christine Largeau
751297	335900	Suzy Courtois
751297	340130	Françoise
751297	345105	
751297	399758	Mme de Grey (segment "De Grey
751298	265747	Lynn
751298	399838	Nancy Jones
751299	38806	Margery Chapman
751299	41559	Anne Small
751299	78002	Edith Stanton
751299	80037	Ruth Holt
751299	117420	
751299	127837	Mildred Ripley
751299	150290	
751299	185384	Hattie
751299	224797	
751299	230994	
751299	230996	
751299	230997	
751299	230999	
751299	231000	
751299	231001	
751299	231003	
751299	231004	
751299	231006	
751299	231008	
751299	231011	
751299	231012	
751299	231013	
751299	231015	
751299	231017	
751299	231018	
751299	231024	
751299	246681	Mazie Hull
751299	269791	Jeanne Landis
751299	272084	
751299	305404	
751299	305610	Mabel
751299	347752	Marcheta
751299	363457	Annice's Friend
751300	62294	Mrs. Browne
751300	77949	Mrs. Barstow
751300	295326	1st Hag
751300	334148	Estelle the Landlady
751300	342459	Lucy
751301	242028	
751302	281249	Maria
751303	7420	Party Goer
751304	383443	Trinidad
751304	399900	Rafaela Mercado
751304	412124	Mikaela Terranova
751305	327508	Rita
751306	215690	Miss Nebraska USA
751307	98440	
751308	74077	Assistante cameraman
751308	300609	Surveillante
751308	378858	Lina Cobetto
751308	400855	
751309	265884	Herself
751310	348671	Kurva hátulról
751311	355946	Teacher
751312	367430	Pepa
751313	185927	
751314	14422	Magaly
751315	398807	Samira
751316	6292	
751316	55301	
751317	355626	
751318	6743	Maria
751318	14381	
751318	14867	La padrona di casa (segment "
751318	14879	
751318	19174	Nanny
751318	20747	Gisèle Dupont
751318	23503	Valeria Bitossi
751318	48969	
751318	52712	Ellen Fielding
751318	54397	Aurore Panneton
751318	55648	
751318	58049	
751318	60122	Isabella
751318	63682	
751318	63789	Miris' mother
751318	69477	Carol
751318	70024	
751318	70025	Countess Janos
751318	73650	
751318	90743	
751318	94652	Segretaria
751318	96549	Concetta
751318	102915	Chantal
751318	103191	
751318	103638	Annunziata Abbate
751318	111920	
751318	121906	Caterina
751318	144527	
751318	158761	La portinaia
751318	162651	
751318	170305	
751318	171001	La veuve Casanova
751318	173754	Sofia
751318	198553	Donna Ermelina
751318	202279	Madre di Camilla
751318	202955	Elizabeth
751318	204593	
751318	207082	
751318	214391	
751318	214850	
751318	217765	Mother Rachele
751318	219570	Lea
751318	236543	Mme Sauce
751318	236789	Laura
751318	242294	
751318	242827	
751318	243385	Ester Pravedoni
751318	244576	Annalena (episode "La svitata
751318	249231	Amneris
751318	252631	La suora
751318	255540	Giovanna, madre di Pierino
751318	261714	Woman
751318	265447	
751318	267535	
751318	290901	
751318	293351	
751318	295044	
751318	295155	
751318	301360	
751318	307337	Assunta
751318	315446	Woman
751318	328445	Signora Scorzarelli-Micci
751318	336295	
751318	342109	Tradeswoman
751318	344563	
751318	348162	Barbara
751318	351069	
751318	355481	Nella
751319	158079	
751320	10331	Bagoas dancer
751321	407518	Hostess
751322	7269	Ihoshka, a maid of mars
751323	259147	Sister Sarah
751324	118838	
751325	382163	Tory Stratton
751325	395540	Jackie
751326	303799	Danila
751327	208302	Zoe
751327	263983	Young Woman with Bike
751327	348643	Sarah
751327	399153	
751328	222378	
751329	331285	The girl from Copenhagen
751330	277295	Dancer
751331	349750	Adriana/Urraca
751332	233553	
751333	110668	Vitorino's mother
751333	227868	
751334	412257	
751335	293905	Mariana
751336	65578	'Happy Scrappy' Kid
751337	183118	
751338	398197	Joana Duarte
751339	332730	Woman watching boxing match
751340	28277	
751340	404988	
751341	52070	Dancer
751341	79185	
751342	222407	Journalist
751343	68255	
751344	154502	Prostitute
751345	15240	
751345	48336	
751345	79184	
751345	205003	
751345	258737	
751345	275019	Maria das Dores
751345	280866	Coizinha
751345	324347	
751345	369979	
751345	382683	Milena Ferraiolo
751345	383247	
751345	383294	Olímpia
751345	385025	Isaura
751345	386377	Garapa
751345	387424	Ieda
751345	388681	Divina
751345	390751	Afrodite 'Frô' Aparecida da S
751345	409130	
751345	409814	Luiza
751345	409975	Gabi
751346	384507	Dancer
751346	403904	Dancer
751346	406972	Dancer
751347	293646	
751348	178099	Sioux Dancer
751349	117656	
751350	192870	Matilde
751351	122393	
751352	279703	
751353	139243	Young Lizzy
751355	283829	Maryan
751356	95325	
751356	229703	
751356	377607	
751357	274784	Laura
751359	142866	Padre Henrique's Mother
751360	117656	Ticket Seller #2
751360	393351	
751361	125874	
751361	293183	Mme. Bellini
751361	316082	
751362	154899	Zombie
751362	229238	Woman
751363	377223	
751364	88794	(segment "O Filminho")
751365	227781	
751366	28946	
751367	63831	
751367	286571	
751368	389887	Isabel
751369	5090	
751370	388680	
751371	403118	
751372	392927	Co-Host (1998-2001)
751372	411773	Host (2000-2001)
751372	411941	Co-Anchor (2001-2004)
751373	143551	
751373	211023	
751374	29273	
751375	87659	
751375	275072	
751376	202550	Luísa
751376	390752	
751377	383727	Wanda
751378	189113	Doña Dorita
751378	229794	Doña Luisa
751379	382676	Betinha
751380	110666	
751381	8480	
751381	53260	
751381	99942	Verónica
751381	261198	
751382	132641	
751383	110666	
751384	393615	
751385	203926	
751386	58893	
751386	86752	
751386	98423	
751387	236163	Woman 6
751388	190273	Acrobat
751389	28589	Carolina
751390	149442	Graciela
751390	200521	Pink Dot Girl
751390	212996	Jennifer Martin
751390	310462	TV Anchor Woman
751391	357189	
751392	306639	
751393	191054	Actress
751394	40244	Mother of the Bride
751394	46010	
751394	68578	
751394	68809	
751394	111153	
751394	122767	Arminda
751394	169570	
751394	243391	
751394	246794	
751394	250430	Tiberia
751394	255051	Tia Nastácia
751394	269011	
751394	282812	
751394	283554	Matriarch
751394	286393	
751394	286565	
751394	286574	Maria
751394	307756	
751394	329018	
751394	338235	
751394	344778	
751394	344782	
751394	344824	
751394	380387	Talita
751394	381849	Dora
751394	383469	Donana
751394	385023	Odete Paiva Manhães
751394	386569	
751394	386730	Corina
751394	387777	Braulina
751394	387804	Januária
751394	391901	Conceição
751394	393005	Virgínia
751394	400673	Mãe Maria
751394	401010	Basília
751394	401597	Dora
751394	402504	Isaura
751394	407279	Tia Nastácia
751394	409780	Maria José
751394	410014	
751394	410476	
751395	407279	Emília
751395	409407	Sílvia
751395	409424	
751395	410107	
751395	412270	
751397	28004	
751398	292089	
751399	397029	
751399	398478	
751399	409922	María Luisa Arciniegas
751400	387128	Host
751400	400342	Hostess
751401	396795	
751402	152603	Domino's friend
751403	338536	The Girl
751404	282980	
751405	33376	Mrs. Grove
751405	40301	Guest #2
751405	194727	Woman at Felicia and Barton's
751405	223752	Townsperson
751405	224379	
751405	252455	Counselor
751405	263170	Diane
751405	274437	Mrs. Rains
751405	285922	Sakura's Mother
751405	293021	Reporter #1
751405	296744	Hostess
751405	325218	Mrs. Sloan
751405	329094	Donna Farthing
751405	332821	Samantha
751405	344463	
751405	366959	Miss Robison
751406	251738	
751407	70954	
751407	71010	
751407	219257	Anna
751407	348647	La mère de Tim
751409	350144	
751410	26478	
751411	14198	Daphne
751412	124535	Rafael's Mother
751413	305548	
751414	104197	
751414	182642	
751414	204514	Ari
751414	226705	
751414	377748	Young woman
751415	26283	
751416	101354	Amelie
751416	123952	Geli
751416	129663	Das andere Mädchen
751416	132239	Sophie
751416	156608	Charlotte
751416	178016	Emma Semmelmann
751416	204417	
751416	225202	Hippie Girl #3
751417	233433	
751418	3107	Buckle Bunny
751418	17996	Waitress #2
751418	27256	Marcy
751418	74105	Sgt. Shannon Brooks
751418	114353	Frances
751418	116726	Lorna
751418	265594	Marilyn Poser
751418	287515	Roxanne
751418	293021	Interviewer
751418	293231	Roseanne
751418	296744	Kim
751418	297914	Nurse
751418	310252	
751418	316932	Janet
751418	327756	Petey
751418	329094	Luanne
751418	346299	Ember Waitress
751418	350700	Miss Davis
751418	355352	Hostess
751418	366959	Brady Secretary
751418	366997	TV Reporter
751419	315879	Anna
751420	78254	
751420	96115	
751421	15156	Selia
751422	401881	Herself (Finalist)
751423	271355	
751423	350237	She Demon
751424	43174	Twinky's friend
751424	158610	Angela
751425	245854	Silvana
751426	384925	Tamara
751426	394006	Janet
751427	169355	Indian Dancer
751428	383742	Various Celebrities (1998-199
751430	71267	
751431	205640	Secrétaire Max
751433	207096	
751433	233806	
751434	381200	Tatá
751434	404290	Tati
751435	4530	Betty
751436	309425	
751437	211846	Ester
751437	401108	Bee
751438	276075	The woman at the lighthouse
751439	43107	
751440	391850	Malena
751441	384775	
751441	385458	
751441	387473	Rosalía
751441	392751	
751441	405412	
751441	410423	
751442	400670	Bartira
751443	404978	
751444	118877	Himself
751445	96198	
751446	92618	Lacey
751447	348522	
751448	294064	Girl in a video store
751449	42109	
751449	48789	
751449	48850	
751449	49443	
751449	51602	
751449	63676	
751449	63688	
751449	66229	
751449	81472	
751449	82987	
751449	140567	
751449	150558	
751449	169256	
751449	193225	
751449	199958	
751449	206741	Second Captive
751449	207773	
751449	216761	
751449	219660	
751449	230245	
751449	246872	
751449	256661	
751449	265329	
751449	269829	
751449	273651	
751449	293402	
751449	308277	
751449	353201	
751449	353555	
751449	376726	
751449	388859	Olivia
751450	265765	
751451	46270	Acting Teacher
751451	55587	Edna Feeney
751451	89147	Angela 'Angie' Wortzik
751451	107861	Marie
751451	149109	Miss Maud
751451	153154	Miss Walsh
751451	158150	Big Faye
751451	190091	Sarah
751451	194374	Female tenant
751451	210481	Chapel Owner
751451	239033	Louise
751451	259828	Daughter
751451	272687	Network Receptionist
751451	276599	Mrs. Stoller
751451	289420	Missus Hart
751451	302584	Mrs. Tucci
751451	321526	Edith
751451	323487	Plump Girl
751451	379016	Ambulance Driver Foshko
751451	381057	Darlene Gilbert
751452	262172	
751453	270617	
751454	29059	La joven
751454	52980	Lila
751454	57213	
751454	121397	
751454	239281	Elena
751454	339193	
751454	380084	Sabrina
751454	380095	Sandy
751454	383392	
751454	383442	Teresa Alcántara
751454	383483	Fiorella Menchelli
751454	392352	Norma
751454	401696	
751454	403741	Norma
751454	407862	Aurora
751454	408793	Isabel Revilla
751454	410323	Atenas Merisa Obregón
751455	101260	
751455	260608	
751456	302359	
751457	376821	Eva
751458	249821	
751458	404983	
751459	160238	Lieschen
751460	15426	
751460	162114	
751460	252690	
751460	332756	
751460	390873	Divine Ogata
751460	396410	
751460	404049	Mirriam
751461	10357	Alexandra
751461	140640	
751461	184928	
751461	204706	
751461	223235	
751462	246852	
751462	256935	Professora
751462	380331	Elisinha Jordão Ferraz
751462	383370	
751462	383550	Madre Cecília
751462	384778	Valquíria
751462	385043	
751462	385947	Celeste
751462	388565	Ametista
751462	396506	Maria da Gama
751462	397409	Gertrudes
751462	397539	Rosa Maria Gentil
751462	404165	Gilda
751462	404220	
751462	409419	Madame Claire
751463	91103	
751463	110748	(segment "Cruz")
751463	194133	
751463	234631	
751463	344855	
751464	18842	
751464	21661	
751464	28084	Cita
751464	72108	The Model
751464	76888	
751464	123233	
751464	127639	
751464	137582	
751464	146480	
751464	162722	
751464	173092	
751464	182229	
751464	202413	
751464	233682	'Joe' Cruz
751464	246502	
751464	267028	
751464	325360	
751464	325368	
751464	326251	
751464	344358	
751464	360675	
751464	392560	Salud
751465	289558	Marta
751466	387952	Herself
751466	407173	Herself (2001-2002)
751468	398501	Simone
751470	247462	
751471	398217	
751472	64058	
751472	369982	Moto Girl #1
751473	135354	Soldado Balbuena
751473	379566	Andrea (1999-2001)
751474	27341	
751474	194814	Sasha
751474	202915	Lucero Girl
751474	236387	Audition Woman
751474	280459	Tara McPhearson
751474	307410	Pvt. Veronica Morales
751474	370113	Waitress
751475	372766	
751476	194956	Nina
751478	68968	
751479	56545	Herself
751480	166873	Maria Reyes
751481	381328	Clô
751481	385853	Yasmin Bianchi
751481	386757	Yara
751482	186708	
751483	151680	Girlfriend of DC
751483	297705	Ramona
751483	297708	Ramona
751483	297709	Ramona
751483	297710	Ramona
751483	297712	Ramona
751483	297716	Ramona Harper
751483	297717	Ramona
751484	10224	
751485	204354	Party Guest
751486	403487	Herself/Season II (1996)
751487	101216	
751488	65184	Girl after school
751489	282498	Florence
751490	243713	
751491	282781	Pierre
751492	130016	Laura
751493	241615	Pleasured Bellybutton Girl
751495	162607	Juanita
751497	24430	Gambler
751497	71490	Sarcastic Waitress
751497	134995	Dr. Vivian Gonzales
751497	264157	Genovian Cafe Patron
751497	264158	Helga
751497	271344	Basketball Parent
751497	308097	Pit Boss
751498	10996	
751498	12795	
751498	14985	
751498	28295	Diana
751498	37583	Lerma
751498	77073	
751498	145591	Diana
751498	156161	
751498	174395	Gilda
751498	177909	
751498	177969	
751498	190418	
751498	295713	Nelia
751498	341553	Joanne
751499	143389	Student #1
751499	394123	Florentyna Koskiewicz 3-4
751500	5590	Mrs. Del Prado
751500	206119	Duenna Maria
751500	232097	Housekeeper
751502	288943	Dock Kid
751503	112205	Stewardess
751504	264424	Visitor
751505	140289	Valérie
751506	388065	Laura
751506	398503	Andréa Sampaio
751506	401900	Rose
751506	408944	Lilian
751507	291302	Bar Patron
751508	392527	
751509	379924	Herself
751510	185927	
751511	273242	Corrie Ortiz
751512	34446	Kickan Bodell
751513	353605	
751514	362493	Auntie Delores
751515	55937	Vendedora
751515	273423	Rosali
751516	411585	
751517	409981	Aurélie
751518	59885	Club Dancer #6
751519	13100	
751520	113507	Baby Sitter
751521	29828	
751521	226184	
751522	17912	Mary
751523	303965	Tattoo Model
751525	110924	Couple (Woman) (segment "Obst
751526	144379	Driver
751528	145591	Laila
751528	355049	Talia
751529	412198	Veronica Calzone
751530	356660	
751530	369885	
751531	404754	Co-Hostess
751533	255234	Aztec Dancer
751534	338332	Mathilde
751535	161462	Reporter
751536	10944	
751536	210660	Village woman
751537	231537	
751538	1435	Herself - Presenter
751538	1440	Herself - Presenter
751538	1870	Grace Santos
751538	2960	Herself/presenter
751538	7591	Herself
751538	47904	Debbie
751538	68105	Herself
751538	73345	Denise Moore
751538	88623	Tina
751538	105580	
751538	110319	Carla Rodrigo
751538	120596	Narrator
751538	152555	Louise
751538	155937	Host
751538	157465	Host
751538	163229	Muriel Lang
751538	177461	Joanne
751538	183274	
751538	195135	
751538	201504	Herself/Tina
751538	201537	Herself
751538	223973	Herself
751538	232134	Angela
751538	252764	Perdita Durango
751538	278082	Shirley Perro
751538	279384	Chel
751538	307983	Mercedes
751538	309552	Herself
751538	311150	Herself
751538	347741	Cindy
751538	362271	Herself
751538	363927	Gloria Clemente
751538	368540	Herself
751538	392125	Various Characters
751538	411091	Linda
751539	143988	Young alicia
751540	113412	Servant
751540	123304	Woman in Bank
751540	391262	Rosa
751541	166370	Sandrine
751542	128429	Young Robin Age 6
751543	283847	Popular Girl on Bus
751544	253022	Myriam
751545	116112	Yutti
751545	128200	Theresa
751546	166376	
751546	229821	
751546	252594	
751546	380327	
751546	405915	
751546	411739	
751547	168373	
751547	210263	
751547	397198	
751547	397804	
751548	162132	
751549	170279	Lisi
751550	82714	Charlene
751551	314949	
751552	13061	
751553	83456	
751553	247174	
751554	113886	Princess #6
751555	248165	Femme du hacker
751556	95894	Woman
751557	194840	Herself - Assistant Set Decor
751558	60550	
751559	100311	
751560	144400	Chelsea
751561	115432	Louise
751561	117083	
751563	75282	Waitress
751563	299944	Nicole
751564	215174	P.E. Teacher
751564	215176	Nun #1
751565	215174	Teacher
751566	174253	
751568	361377	
751569	31665	
751569	34700	
751570	140953	Cable anchorwoman
751570	186446	TV Reporter
751570	200864	NY1 Reporter
751570	370648	Reporter
751571	308482	
751572	351821	
751573	87612	
751573	375136	nurse
751574	55444	Young Kathy
751575	254017	La Mère
751576	192286	Kevin's friend
751576	264723	
751577	277788	
751578	370771	
751579	280006	Lou Anne
751580	97179	
751581	8350	
751581	23129	
751581	105512	
751581	173865	Kutül Kulüp
751581	175852	
751581	176941	
751581	202459	
751581	357604	
751581	377549	
751582	81509	
751583	166617	
751583	215996	
751583	229016	
751583	238806	Marta
751583	260287	
751583	263431	Rajka
751583	286720	
751583	412003	Valentina
751584	94041	Javorka
751584	132160	
751584	164029	
751584	187969	
751584	202347	
751584	261675	
751584	306977	
751584	381061	Mrsava alapaca
751584	395832	Ljupce
751585	375937	LaGrand'Mère de Martine
751586	347414	Sophie
751588	222159	
751589	91903	Hooker #2
751590	389233	Danae "La Mutante" (2003-2004
751591	60111	
751591	124584	
751592	139228	Semester at Sea Girl
751594	42560	Mère de Jacco
751595	117927	
751596	188453	Opening Sequence Girl
751597	110451	Karen Siddeley
751598	339934	Fat Susy, cow-boy's nagger
751599	44371	
751600	72628	
751601	392648	
751602	7889	Party Goer
751604	93412	Nuray
751604	171726	Heike Ludwig
751604	226342	
751604	226343	Irene
751604	322544	Dilek
751604	334538	Kommissarin Petrescu
751604	387386	Sema Aslan
751604	411161	Maggie
751605	217108	
751606	220218	Membre du conseil, Belgique
751607	254	
751607	90839	Oude vrouw 1
751607	108162	Dolly de Raadt
751607	180025	
751607	180400	Grandma
751607	327030	moeder Wijkstra
751607	342328	Laura's mother
751607	354070	
751607	382403	De nicht
751607	385554	Tante Dora
751607	394612	Maartje
751608	152208	Ellen Dorrance
751609	292058	Thelma
751610	329151	Lavelle Bates
751612	48971	
751612	257015	Silvia
751612	289647	
751612	400789	
751613	90738	
751613	111845	
751613	113698	
751613	157018	
751613	205156	
751613	235747	
751613	287476	
751615	126839	Anna Maria
751616	34538	Child at concert
751616	234764	Angela
751617	57340	
751618	199524	Girl With Dog
751619	400034	Ampariues
751620	58312	Margeurita
751620	218885	
751620	261404	Mime
751620	315944	
751620	320497	
751620	353782	Dora
751621	283751	
751622	17967	Prudence
751623	4915	
751623	23377	
751623	27885	
751623	66230	
751623	82409	
751623	82961	
751623	100791	
751623	101260	
751623	103397	
751623	124544	
751623	193144	
751623	212454	
751623	265299	
751623	266992	
751623	301109	
751623	319509	
751623	326340	
751623	387774	
751623	407601	
751623	407606	
751624	32178	Additional Voices
751624	130311	Dancer
751624	330762	Esther O'Donnell
751624	336449	Molly
751624	349231	Resistance Member
751624	396574	Ivy Papastegios
751625	224997	
751626	63870	
751627	37681	Roller Girl
751628	27305	Conchita
751629	94132	Sister Agnes Knight
751629	222719	Mercedes
751629	319045	Mama Jay
751630	313479	Ewok
751631	262651	
751632	302121	Commune member
751632	326155	Friend of Iris
751633	5163	
751633	79451	Eloise Dabb
751634	380128	Mercedes Quintana
751635	90425	Female fire-eater
751636	239657	Sally (Credits)/Carrie Hutchi
751637	208630	
751638	124225	Discount Store Shopper
751639	49323	Beverely
751639	163348	Herself
751639	183868	Jill
751639	292779	Hortense's Sister-in-Law
751639	388321	Denise Boulter (2003-)
751639	398752	Bridget Groves
751639	401450	Cathy Kelsey
751640	252954	Brenda
751641	359971	Andrea
751642	78775	Pickles
751643	122113	
751644	66917	Voodoo Dancer
751644	68232	Dancer
751644	149258	Cotton Club Dancer
751644	187988	Jackie Dee's Wife
751644	252825	Sports Connection Member
751645	252825	TV Reporter
751646	1999	Lily Cummings
751646	5028	Joan
751646	7582	Herself
751646	24790	Ann Kaye
751646	36694	Susan
751646	56992	Mrs. Brody
751646	65782	Skye Weston
751646	72706	Joan Blake
751646	88978	June Ellis
751646	101454	Jane
751646	112051	
751646	113504	Coral
751646	115568	Wilma Flintstone
751646	117271	Sally Wheeler
751646	120623	Jo Ann
751646	127694	Polly
751646	140843	Lorie Bryer
751646	154969	Aubrey Wicker
751646	155890	Alice Hedley (segment "1961")
751646	159131	Jennifer Morton
751646	161233	Herself
751646	167671	Miranda Coolidge
751646	176498	
751646	188141	Sue
751646	195455	Stella Wynkowski
751646	214971	Dorey Walker
751646	218774	Rebecca Trager Lott
751646	224313	Judy Chapman
751646	276198	Gertruda Babilinska (segment 
751646	278437	Carol Breyer
751646	310515	Joyce Sordino
751646	321206	Adie Nims
751646	326387	Dr. Garrett
751646	341018	Blanche
751646	362216	Mama
751646	381400	Madeleine Dunleavy
751646	389416	Marilyn Lovell
751646	391394	Alcmene
751647	18628	Krista
751647	63185	Zady Spencer
751647	127822	Brigitte 'B' Fitzgerald
751647	127823	Brigitte
751647	127824	Brigitte
751647	157563	Kathy Ewalt
751647	160524	Girl at Funeral
751647	163188	Beverly 'Bev/Bevvie' Marsh (a
751647	191865	Katy Caboose
751647	214976	Desiree Helm
751647	217530	Suzanne Stevens
751647	250379	Karen 'Shy Girl' Daniels
751647	266200	Ellen
751647	305377	Karen Downs
751647	367585	Abby
751647	384180	Zady Spencer
751647	398063	Marie Sullivan
751648	46242	Joan
751648	185703	Girl on balcony
751648	187680	
751649	242954	Herself
751650	78689	Carol Butler
751650	149322	Nivar
751651	362555	Jones´ Driver
751652	126072	Beautiful Woman
751652	261622	Shannon
751652	275430	Ariel
751652	302225	Alex
751653	79862	Manageress
751654	115849	
751654	223654	Bit Role
751655	80969	Information Booth Clerk
751655	98145	Additional Singer
751657	6125	Sen. Paula Hawkins
751657	273702	Make-up woman
751657	279843	Angry Citizen
751657	302219	Nurse Otto
751657	304341	Dr. Elaine Carey
751657	332821	Lucy
751657	334234	Interviewed Neighbor
751657	348453	Mrs. Sudro
751658	213190	Nurse
751659	199316	
751660	164467	Various voices
751661	257733	Lady In White
751662	195768	Bit Role
751662	239657	Florrie (Credits)/Julie Hutch
751664	15907	Surreal Theater Troupe Member
751664	330323	Keepers #6
751665	254477	Caroline
751666	109829	
751666	142950	Mother of Boys
751666	152222	Mrs. Braithwaite
751666	169951	Bus Driver
751667	49945	Jen
751667	192678	Cynthia
751668	42677	Singer
751669	5010	Friend
751670	223633	Sammy Rogers
751671	117281	College Girl
751671	279721	Woman
751673	79888	
751674	113288	Irene; Lance's Mother
751675	12037	
751676	13990	Artie's Mom
751676	86476	Bev-Air Receptionist
751677	72376	New Coyote
751677	257296	Friend at Leo's Party
751677	402001	Astronema/Karone
751677	402003	Karone/Pink Galaxy Ranger #2
751678	11532	Susan
751678	211529	Nurse
751679	2273	Herself - Presenter: Best Dir
751679	15944	Ellen Cousins
751679	22810	Julie
751679	42687	Dr. Spencer
751679	47433	Penny Bartman
751679	52440	Frances Duke
751679	58728	Ruth Kramer
751679	86031	Anne Frank
751679	95025	Aldonza/Dulcinea
751679	101632	Nurse Scotty
751679	126050	Herself
751679	130066	Allie's Mother
751679	139765	Ruth
751679	165102	Mrs. Winston
751679	189409	Mary Fiske
751679	195719	Vera Jenkins
751679	198882	Lady Macduff
751679	213233	Aunt Mimi
751679	222704	Edna Webber
751679	229243	Lena (part 2)
751679	244358	Kate
751679	252123	Nancy Faulkner
751679	256768	Helen Maravich
751679	277883	Abigail
751679	297791	Mrs. Gilligan
751679	299772	Woman
751679	304480	Bobby Nye
751679	307137	Herself
751679	316159	Helen
751679	318755	Doris
751679	322754	Kathleen
751679	329349	Lois Tilby
751679	340549	Doctor Langly
751679	343017	Mrs. Delongpre
751679	358708	Mrs. Fox
751679	359520	Herself
751679	365316	Betty Lee Parsons, Glenn's Gi
751679	365319	Mary Fergus
751679	367674	
751679	379015	Mary
751679	380455	Irene O'Brien Otis
751679	387497	Gladys Presley
751679	394676	Jane Sumner (1983-1984,1990)
751680	107526	Quenne
751680	119822	Shopper
751680	150292	
751680	167324	Mattie
751680	175815	Superstitious woman
751680	189238	Pearl
751680	195184	Nella
751680	263314	Ola Mae
751680	283954	Mrs. Peel
751681	56750	Taxi driver
751682	278361	Aunt
751682	400236	Marlena Haver (2004)
751684	140843	Sheila
751685	691	Herself
751685	323408	Bedder's mum
751685	387429	Trish Valentine
751686	79262	Title Song Singer
751687	277057	Ronnie MacDonald
751687	394663	Gundrada (1990)/Malice (1990)
751688	33432	School girl
751689	371320	Susan
751690	154315	Woman
751691	90318	
751692	692	Herself
751692	17759	Herself
751692	55685	Narrator
751692	154368	Herself
751692	190280	Girl at birthday party
751692	192554	Co-Host
751692	232018	Herself (Mockstars contestant
751692	383624	Host
751692	383733	Herself (Series 2) (2002)
751692	395205	Presenter
751692	395611	Presenter
751692	395746	
751692	403325	Presenter (2003)
751692	409643	Guest Host
751692	411207	Herself - Women's Team Captai
751693	254787	Stewardess
751694	41401	Exotic dancer #2
751695	35658	Hat Lady
751696	338403	Mrs. Pickering
751697	211941	
751697	313938	Bridgette
751698	137223	White Boys
751698	266871	
751699	244842	English Girl
751699	264502	Joan Grey, alias Beverly Bren
751699	280056	Annette (Aleeta's French maid
751699	280493	Milk maid
751699	343379	Betsy Blake
751700	166871	Additional cast
751701	258394	Mother
751702	402571	Color
751703	209198	The Leader's Assistant
751704	296047	Zapisnicarka
751705	277947	Sarah
751706	254522	Female Masquerade Dancer
751707	365251	
751708	353428	Dame du salon 1
751709	8043	Vickie
751709	104468	Yola
751709	299369	Einat Lazar
751709	323061	Rachel
751709	339022	
751709	397470	Noa
751709	397482	
751709	412000	
751710	28862	Dawn Herbert
751710	77143	Girl #1
751710	86901	
751710	104119	
751710	168300	Big Hair Patron Linda
751711	191257	Herself
751712	256914	
751714	302485	
751715	143757	
751716	346819	
751717	112062	Hostess
751718	44393	Nurse
751718	184053	Le bombe black
751719	83262	
751720	90357	Mama Minote
751721	144005	
751721	171139	Fee
751721	286824	
751721	334551	
751722	26633	Screaming Woman
751722	141406	Student in shower
751722	146091	Megan
751722	190722	Unit 36-C
751722	235471	Davanna Girl
751722	314982	Bambi Bilenka
751722	332897	Becky Jacklin
751722	394387	Gorgeous Gal
751723	146362	Jeanne
751723	348155	
751724	217654	L'aide sociale
751725	232594	
751725	339309	Irma
751726	234994	Rivas
751727	211396	Kid on the Street
751728	4830	Mutter
751728	11531	Paloma
751728	12837	Marion
751728	18349	
751728	28700	
751728	38771	Contessa Thilde
751728	40960	Isolde Bierbichler
751728	49298	Hanna Liebknecht
751728	72737	Susi
751728	86101	Mitglied
751728	93414	Lady Marian
751728	102985	Frau Dormin
751728	132239	Lydia
751728	139709	Flo's Mother
751728	188743	Vera Rohleder
751728	226248	Philipps Mutter
751728	289193	
751728	290138	Giesi
751728	295419	Lukas Mutter
751728	317277	Ute Jensen
751728	328546	Annabel
751728	347789	Doris
751728	352067	Lilo Nordegg
751728	359704	Gloria
751728	367376	
751728	369398	Frau
751728	395644	Ricki
751728	397949	
751728	399825	Veronica
751728	406501	
751729	286416	
751730	71665	Hooker
751731	72782	Waitress, past
751731	176756	Hairdresser
751731	240327	Chambermaid
751731	368131	First Neighbour
751731	400565	Linda
751732	11525	CRP Receptionist
751733	139195	Ethel
751733	231951	Linda
751733	261049	Donna
751733	277471	Esther Jean
751733	314108	Cathy
751734	334048	Mirel Feld
751735	264439	Adriene
751735	367083	Girl in Avanti
751736	311229	
751737	277088	Pi-Delta-Pi
751738	105280	Pianist
751740	11670	Herself
751740	13396	Lois (segment "The Wedding Ri
751740	53516	Deputy Honey
751740	55588	Martha the Meter Maid
751740	60347	Herself
751740	68092	Audience member
751740	93981	Tawney Shapiro
751740	96739	Herself
751740	101454	Mavis
751740	108248	Aunt Dee
751740	119056	Herself
751740	120648	9-Eye
751740	121864	Constitutional Caterer
751740	136801	Ms. Beezlebub
751740	138671	Rose Johnson
751740	140400	
751740	150134	Woman on Ferry
751740	150725	Esther
751740	151633	Jackie Kennedy
751740	154738	Rae Finer
751740	158183	Phil Markowitz
751740	161415	
751740	185318	Mrs. Gizborne
751740	190711	Jan
751740	195518	June Burns
751740	206856	Judy
751740	207828	Zinnia Wormwood
751740	218603	Herself (audience)
751740	224109	Reeka
751740	228297	Little Jewish Prostitute
751740	228969	Herself
751740	228970	Herself
751740	232022	Herself
751740	257107	Jerri Blair
751740	272687	Francine Kester
751740	288703	Herself - Audience Member
751740	292335	Dr. Parella
751740	295007	Herself
751740	311567	Emma
751740	312958	Jean
751740	313002	Claudia
751740	319206	Phyllis Saroka
751740	320825	Mother
751740	323153	Thelma
751740	326602	Grace
751740	329954	Lydia Nunn
751740	334177	Shirley
751740	360507	Mother Bird
751740	368455	Herself
751740	383994	Carla Maria Victoria Angelina
751740	394209	Abbie Schaeffer
751740	395628	Vince's Wife
751740	401080	Mrs. Pearl Caraldo
751741	286783	Sara Pent
751742	46991	Michelle
751742	397726	Yael
751743	124112	Herself
751744	124112	Herself
751745	70424	Megan
751745	101638	10 year old Sarah
751745	150826	Amanda (age 10)
751745	204947	Emma Goodwin
751745	214455	Genevieve Dunn
751745	226900	Lucy
751745	289456	Young Jacqueline Susann
751745	296866	Annabel
751745	374282	Brooke Barnet
751746	59765	Margaret (child)
751746	101638	Young Sarah
751746	150826	Amanda (age 5)
751746	204947	Claire Goodwin
751746	272085	Amy Berman
751746	287781	Little Girl
751746	315132	Laura McKinley
751746	379165	Ashley
751747	124112	Herself
751748	168485	
751749	159412	Angela
751750	371909	
751751	371909	
751752	371909	
751753	332910	
751754	153874	Valérie
751755	287734	
751756	108897	Herself
751757	88461	Narradora
751758	122919	Puspadewi
751758	358545	
751758	391062	
751759	398653	
751760	186849	Party guest 2
751761	186849	Receptionist
751762	137462	Young Ann
751763	113646	Kassia
751763	334687	Cubana
751764	217448	Classroom student
751765	357302	
751766	243616	Madre
751767	158700	Maestra
751767	269468	
751768	217448	Classroom student
751769	53895	Pacciana
751769	102303	
751769	104643	Cesira
751769	317718	The maid
751769	324233	
751769	327912	Mary Bender
751770	345164	Clémence
751771	92914	Kattis
751771	136849	Hanna
751771	191576	Marianne
751771	227042	Katrin
751771	389584	Kristin Asplund
751773	6618	Lucie
751773	8151	Agathe
751773	11971	
751773	15030	Philippine
751773	30887	Mauve
751773	57282	Fabienne
751773	66744	Pauline
751773	97983	Lina
751773	100254	Bobi
751773	101226	
751773	105592	
751773	111019	Adèle
751773	111026	Diane
751773	128618	
751773	148633	Jeanne Bardey
751773	148766	Clara
751773	156317	
751773	166133	Anne
751773	183906	Inès de Nevers
751773	203219	Angel
751773	208229	Rose
751773	217642	Marion Couderc
751773	249278	
751773	258118	Vanina, 10 ans
751773	269227	Odile, Joeuf's daughter
751773	272390	
751773	286327	
751773	300661	Sophie
751773	324944	Marie
751773	340119	Sandrine
751773	341068	
751773	346448	
751773	349567	Sarah
751773	354907	Amélie
751773	355648	Catherine
751773	355866	Solange
751773	356497	Marcelle
751773	357116	Valentine
751773	372950	Hélène
751773	376971	Laurence
751773	377708	Martine
751773	393279	Elise Molly
751773	393843	Juge Florence Larrieu (1993-2
751773	396869	
751773	398993	Madame Tallien
751773	406493	Margrit Steenfort Feldhof
751773	408002	Thérèse de Fontanin
751776	329628	Herself
751777	207721	Evina
751778	96053	
751779	68513	
751780	302337	
751781	327542	L'Hôtesse d'accueil 2
751782	154796	
751783	361854	Cast
751784	393934	Anna Begani
751784	407667	Eva
751785	70227	Angela Fiore
751786	208235	
751787	356988	
751788	346752	
751790	310118	Natasha
751791	257522	Ring Card Girl
751792	14996	
751793	382488	Jingbah
751794	39880	Peg
751795	162988	Cook
751796	392750	Colette
751797	37672	
751798	355056	Vicuni Tribe Dancer
751799	155532	Cheerleader
751800	193515	
751802	6674	
751803	98098	
751803	255763	
751803	264291	Pikkutyttö
751804	7560	
751805	30526	
751805	49738	
751805	155662	
751805	217318	
751805	311362	
751805	401281	
751805	405506	Kasapinova zenska
751806	90168	
751806	90718	
751806	206029	
751806	227870	
751807	92044	Jeanne
751807	144310	Céline
751807	250780	Camille
751807	286653	Clotilde
751808	255527	Herself
751809	247642	
751810	349257	Liza
751810	390401	
751811	192897	
751811	323341	
751812	270057	
751813	395373	Briseida
751814	233964	Nurse Mindy
751815	94817	Juliana
751815	115169	The Toad
751816	267317	Ti' Zefa
751816	337974	
751817	44571	
751817	379093	
751817	379892	Wilma Mariño
751817	383467	Manuela Contreras
751817	384925	Virginia Lugo
751817	385865	Aurora
751817	398807	Mercedes Fajardo de López
751817	401067	Miranda Fuentes Gómez
751817	401211	Margarita Guánchez
751817	402136	Cristina París
751817	403884	Ana María
751817	404988	
751818	24774	
751819	388299	Els Bervoets-Van Den Bossche-
751820	241878	
751820	336311	Usherette
751821	277759	Medeleerling
751822	123879	
751823	42020	
751823	81519	
751824	15019	Clarice
751824	116315	Troisième Dame
751825	189505	Hope
751826	66960	Principal
751826	78991	Young Mother
751826	208506	Synthi
751826	386922	Bulma
751826	401718	Principal
751828	2252	(segment "Teuf d'enfer, La")
751829	193255	
751830	185684	Olivia
751831	315493	Tina Money
751832	301314	Chris
751833	229491	Honorine
751834	10594	Susan Holden
751834	23565	
751834	43774	Betsy Drew
751834	70390	Amy
751834	77677	Shelley
751834	78993	Girl
751834	100696	Lark as a Child
751834	108300	Zoe
751834	117015	Item
751834	128847	Serafina Garcia
751834	129965	Robin Lee Scott, Daughter
751834	134026	Veronica, age 4
751834	139800	Roberta
751834	142404	Sue Robbins
751834	144764	Nancy (age 5)
751834	144929	Patricia Haber (English versi
751834	169481	Karen White
751834	183801	Diana Braddock
751834	194181	Eileen Lowell
751834	199318	Eve (at age 18 months)
751834	203175	Susan Hopkins
751834	207478	Helena's daughter
751834	221124	Fanny (age 2)
751834	223943	Ramona
751834	230303	Tina Hayward
751834	276949	Maggie
751834	281909	Allifair McCoy
751834	285782	Beasley girl
751834	296835	Susan Starrling
751834	308592	Julie
751834	308614	Faith Beecham
751834	324266	Rita
751834	330004	Ellen Groves
751834	334162	Virgie Ingham
751834	342873	Jean, age 2-1/2
751834	356298	Bobbie
751834	360839	Anne Stubbs
751834	365290	Missouri Breslin
751834	371887	Gigi
751834	381789	Patricia Strickland (1959-60)
751834	389015	Katherine Ann Richards
751835	161713	Kathy Wilson
751835	186420	Wilson's Daughter
751835	198436	The Last Little Girl
751835	230303	Little Girl Dude
751835	274051	Mickey Mouse
751835	274497	Mary Barrett
751835	297386	Child
751835	308592	Eugenie
751835	331367	Barbara
751835	360839	Patty Stubbs
751835	405258	Belinda Cratchit
751836	163300	Baby MacAvoy
751836	287322	Woman Manifesting
751837	2252	(segment "Vertige de l'amour"
751838	169629	Jounalist
751839	119625	Courthouse Whore
751840	80649	Katherine
751840	261551	Fille du bordel
751840	316789	Dead Hooker
751841	365123	Radio Announcer
751841	381166	Ian
751841	397280	Samantha (II)
751842	77937	
751843	1140	Soeur de De Lorimier
751844	137650	College Kid
751845	291553	Sugaro
751846	94244	L'assistante dentaire
751847	223817	Marabenta Dancer
751849	384507	Dancer
751850	350401	Vanessa
751851	52790	Bianca Vinicio
751851	197204	
751851	302186	Laudonia
751851	336624	Ida
751851	344587	
751852	197180	
751853	133309	Herself: Performer
751854	94317	Theresa Thaler
751855	390950	Fatima's gang
751856	284188	
751856	319596	Françoise Doradée
751857	306950	La Maitresse
751857	396779	Josiane (Manu's sister)
751858	24854	Dame Claude
751858	43702	Une dame
751858	64228	La duègne
751858	68348	Une figurante
751858	71952	
751858	73155	
751858	76040	Mme Bocardon
751858	79553	Mlle Murdstone
751858	86727	Femme mission 1
751858	90132	
751858	99375	
751858	101233	Dowager at Ball
751858	115343	Coco
751858	121809	Servante
751858	148635	Femme OS
751858	164149	Madame Savart
751858	198567	Theater teacher
751858	198639	
751858	202341	Petit Merlu
751858	232628	Dame agence
751858	239218	
751858	248263	Une commère (segment "Le para
751858	264220	La grand-mère de Bonaparte
751858	277726	
751858	296082	Clarisse
751858	301321	
751858	309456	Rosanna's Mother
751858	319995	Mme Ferreux
751858	345298	Mrs. Fauvel
751858	347850	Madame Dunund
751858	377896	La directrice d'école normale
751858	391620	Mme Cartier de Chalmot
751858	392602	Mme de Chandour
751858	394166	Sylvie de Caussade (segment "
751858	398966	Mme Maloir
751858	399756	La dame du train
751858	400698	Une cliente (Partouze)
751858	409454	
751858	409760	
751858	410144	
751858	412276	Gertrude Archignat
751859	269427	Underage Girl at Bar
751860	15251	Miss Arizona
751862	396	Ann Franccesca
751863	235709	Taille de Cerf
751864	6378	La bonne de l'hôtel
751864	54392	Friquette
751864	57263	Amanda
751864	80230	
751864	99409	Janine de Vimeuse
751864	201189	Mimi
751864	229002	
751864	238041	
751864	250785	Pépette
751864	328850	Mary
751864	356370	Georgette Volnar-Bucel
751865	312259	Amina
751866	165901	Louise
751867	148773	
751867	303503	Une pensionnaire
751868	68780	
751869	12217	Alice Wisdom
751869	21735	Gina Mascara
751869	30962	Police Officer
751869	40200	Lucy Devlin
751869	47865	Female Lover Bear
751869	65042	Carolyn
751869	75668	Jolene
751869	138153	Hi-Girl
751869	152876	Cokie Conner
751869	200330	Shannon
751869	223932	Bebe
751869	263494	Renee
751869	274340	Patty Peirson
751869	278498	Beth
751869	398567	Gwen (1996-1997)
751869	399087	Abby Sciuto
751869	405690	Charley
751869	406127	Alice Kramer (2001)
751869	407950	Lisa
751869	408270	Cecilia Wiznarski
751870	396135	
751871	6158	Mme Corinne
751871	13037	Françoise Charny
751871	14352	
751871	15096	Mme. Célerier
751871	55307	Isabelle
751871	58176	Maman
751871	58756	Mme Darbédat
751871	66715	Mme Bourride, dite :Vera
751871	88840	Jacquemine d'Argout
751871	90769	Mme Noblet
751871	96066	Odette Chausson
751871	101716	Mme Marsh
751871	111272	
751871	111482	Hermine Chauchois
751871	138246	Madame Aliberti
751871	148744	Madeleine Constantin
751871	150631	Mme. Pallas
751871	166132	Monique Argilliers
751871	166365	Conchita de Cantagril
751871	167631	Pauline Bretonneau
751871	169800	Juanita
751871	170537	Mme Haudouin
751871	178968	Mme. Rémy
751871	199322	La Nourrice
751871	199582	Mme de La Ferté
751871	208821	Hélène Marchand
751871	212154	Blanche Annequin
751871	214882	Madame veuve Hermine Grandier
751871	217677	La baronne de la Carbonnière
751871	226478	Nadia
751871	248685	Aunt Élise
751871	249752	Gilberte Valandray
751871	250729	Catherine Jonas
751871	254148	Dandarine
751871	264527	Mme Bertin, la mère de René
751871	282048	Countess de Blonville
751871	309735	Mme Rigaud
751871	324615	Juliette Mithouard
751871	337223	Françoise
751871	345431	
751871	346633	Marie Cerval
751871	354472	Mme. Legardon
751871	377661	Juliette Valtier
751871	377733	Gisèle Beryl
751871	380237	Saturnine
751871	396135	Mme Cunier
751872	166370	A customer
751872	240605	
751872	309732	Mère Jeanne des Anges
751873	20037	Wild Boy
751873	60763	Jan
751873	107135	Jodie Sands
751874	347455	
751875	54209	Ticket agent
751875	56304	Ace's Secretary
751875	81649	Policewoman on Campus
751875	97727	Cissy
751875	223978	Betty
751876	115299	Perrini
751877	232812	Italian singer
751877	358964	Terri Perri
751878	126039	TV Reporter
751878	126130	Featured
751878	245265	Stewardess
751879	59350	Yankee Doodle Dancer
751880	340146	Mme. Laure
751881	51067	Une danseuse
751882	353428	Dame du salon 2
751883	388628	Une soeur de Flore
751884	198	
751884	17814	Monica
751884	342038	Margherita
751885	176276	Door Person
751886	175703	Mrs Casper
751886	187048	Mollie
751886	367854	Ivy Tilsley/Brennan
751886	385020	Ivy Tilsley/Brennan (1971-199
751886	402608	Miss Petty
751888	148702	Uta, Babysitter
751889	284308	
751890	396523	Brigitte, la fille d'Hélène
751891	384386	Diane Falardeau
751891	409541	Marie-Josée Dubois
751892	134957	
751892	343565	
751892	390662	Ève ("Les Différents" segment
751893	258854	La mère de Rémy
751894	278925	
751895	240630	Rose
751896	3950	Rancal's daughter
751896	220723	Despina, Servant to the siste
751897	45113	
751897	85871	Marie
751898	15094	Valerie
751898	166286	Keyboards
751898	166322	Musician
751898	222828	Nora
751898	240444	Bank client
751899	123983	Julie
751899	340340	Emma
751900	217652	
751900	376914	Le paysan
751901	254141	Juliette
751902	188188	Young Mother
751903	18858	
751903	103191	
751903	104659	
751903	252687	Herself
751904	171301	
751905	17847	Claire
751905	17852	Claire Fontanes
751905	45452	Mireille
751905	51251	
751905	62459	France Dalens
751905	64333	Herself (1985)
751905	68833	Marie
751905	77818	Madeleine
751905	80186	Angela
751905	87683	
751905	101805	
751905	124135	La postière
751905	125723	La femme sur le quai
751905	131018	Ruth
751905	144943	
751905	164195	Lola
751905	166155	
751905	167227	Melo
751905	169336	
751905	180946	Sabine
751905	201105	Sophie
751905	208226	The young mother
751905	225419	
751905	230123	
751905	240288	Mother
751905	245935	Judith
751905	249089	Anne-Marie
751905	250664	Assistant
751905	254133	Femme à Auschwitz
751905	254168	Andrée
751905	268959	
751905	322369	Pascale
751905	336554	Evelyne as young woman
751905	337562	Laura Cocea
751905	341144	The Teacher
751905	345190	Fabienne
751905	345324	Gabrielle
751905	345379	Nathalie
751905	350050	
751905	377061	Primo's Ex-Wife
751906	340670	
751907	243487	
751908	298173	Shayne Clerk #1
751909	215057	
751910	385299	Angie
751911	381766	Narrator
751911	394270	Announcer
751911	404563	Hollywood Reporter
751912	15056	Infirmière de Garde
751912	397857	Bernadette
751913	248715	Party Guest
751914	412266	Jeune femme agent
751915	70150	Caroline
751915	83697	Maria
751915	134584	La vendeuse oisellerie
751915	287329	Mme Delorme
751916	116315	Première Dame
751917	58758	
751918	344176	Ursula
751919	10832	Maurine
751921	5009	Family Member in Mothercare C
751922	409277	Herself/Panelist ("Partir")
751923	377736	Pierrette
751924	101547	Prostitute
751925	157870	Bit
751925	241444	
751925	308632	
751925	360837	
751926	106474	
751927	667	Jeannette Perrin
751928	5009	Family Member in Mothercare C
751929	133419	Emma
751930	151540	Kim
751931	345752	Party Girl #3
751932	2759	Herself - Co-presenter: Best 
751932	2781	Elaine's Patron
751932	8216	Brenda Wilcox
751932	42988	Mona
751932	44318	Marcy
751932	46292	Delores Smith
751932	46985	Aileen
751932	48047	Marguerita Hansen
751932	52376	Lenora Tripp
751932	53329	Samantha Simpson
751932	53960	Female Cop Pulling Over Lambo
751932	55892	
751932	64564	Performer
751932	64565	Herself - Performer
751932	64567	Ringmaster
751932	64572	Herself (performer)
751932	71861	Jennifer Allen
751932	75602	Monica Gilroy
751932	85871	Shady Tree's Acorn
751932	87165	Gloria Vassick
751932	98922	Charlotta Steele
751932	100827	Mrs. Duncan
751932	128281	Tilly
751932	163600	Herself
751932	185062	Marge, Morley's Secretary
751932	187810	Honey Bruce
751932	200353	Zeftel
751932	200894	Georgette Starkey
751932	201770	Herself
751932	202361	Dee Staufer
751932	205658	Stella
751932	207145	Maria
751932	217134	V
751932	220334	Isabelle
751932	220844	Rosie Jones
751932	223984	Rita Lindross
751932	255353	
751932	257058	Estelle
751932	278186	Caterina
751932	281682	Rosa
751932	281796	
751932	297242	Maura's Mother
751932	304572	Montana Wildhack
751932	314186	Meredith
751932	319602	Eve Teschmacher
751932	319613	Eve Teschmacher
751932	321147	Miss Lucy
751932	357994	Carlotta Monti
751932	359932	Pamela
751932	362453	Margo
751932	363250	Ronda Thompson
751932	375047	Lillian Lorraine
751932	380713	Dolores Pierce (1998-1999)
751932	395395	Liz Green
751932	404718	Honey Potts Atkins
751933	289092	Dara
751934	94858	Betsy
751934	309407	Jessica Crane
751935	246549	Nedda
751936	78829	Medical student
751937	277787	Dr. Piazza
751938	154200	Lady Diana Delemere
751939	191092	
751940	60063	La cuisinière
751941	61326	Brigitte
751942	241598	Stripper
751943	238658	Mrs. Davis
751944	19331	Cathos
751944	33367	Anabelle
751944	34420	Marion
751944	48242	
751944	57230	Judith
751944	69945	Blanchette
751944	70324	Nicole
751944	74336	Chloé Duval
751944	94312	Mlle Guerensky
751944	106988	Eva, The Strip Teaser
751944	184053	Nathalie
751944	217648	Peggy
751944	275611	Isabelle de Ventadour
751944	376879	
751945	64949	Journaliste Américaine
751946	288316	Rita
751947	2252	(segment "Vertige de l'amour"
751947	29513	Girl
751947	100692	Mathilde
751947	101547	Prostitute
751947	167217	
751947	279709	Céline
751947	284259	Jeune fille 4
751947	340346	Valerie
751948	292691	Dancer
751949	24585	Femme manifestante
751950	10986	La Veliplanchiste
751950	45620	Sylvie
751950	51451	Caissière du restaurant
751950	158819	Mademoiselle Charlotte
751950	174155	Nancy
751950	218335	
751950	224909	Mademoiselle Charlotte
751950	307623	
751950	391631	Marie-Jo Desforges-Gauthier
751950	396835	Simone
751950	404018	Sylvie
751950	410368	
751951	144628	
751952	2766	Nude Model
751953	254522	Candelabra Holder
751954	396649	
751955	376722	
751956	164667	
751957	318769	Juliette
751958	165737	
751959	184214	
751959	287414	
751959	383441	
751959	386142	Paula
751959	399645	Lucinha
751959	400097	Tina Zapata
751960	273972	Nurse
751961	73933	Cigones
751962	254064	
751962	410215	
751963	66049	Florist
751964	83005	
751964	277610	
751964	391632	
751965	44269	
751966	23233	
751966	25239	
751966	78380	
751966	84641	
751966	111693	Sylvia Caporale
751966	216233	Mme Magloire
751966	284682	
751966	378023	
751967	68333	Lou
751968	273965	
751969	283031	La patronne de l'hôtel
751970	202421	
751971	2206	Aunt May
751971	11502	Old Lady
751971	50448	Bit
751972	95271	Maid #3
751973	103755	Silvia
751974	386864	
751975	160833	
751976	8517	Poppea
751977	277787	Reporter
751978	170842	Sally
751980	305157	
751981	110036	Neve
751981	197225	Mother
751981	298058	Sally
751981	356896	The Sayet
751982	128154	Barfly
751983	160329	Donna
751984	192037	Undetermined Role
751985	7864	Mrs. George Spencer
751985	370571	Duenna
751986	122214	Beautiful Girl
751987	143707	Mrs. Suydam
751987	196238	Olga Jandoroff
751987	301780	Maid
751987	358712	Temple's Housekeeper
751988	16654	Barbara
751988	71537	Dorothy Dwight
751988	74202	
751988	91651	Lil Paxton
751988	97412	Herself - singer
751988	109856	Female Factory Worker
751988	120639	
751988	144448	Specialty Dancer
751988	154648	Professor Ann Bromfield
751988	154763	Tall WAC
751988	171311	Mildred
751988	205851	
751988	215041	Dr. Broden's Receptionist
751988	226963	Edna
751988	227149	Herself - Dancer
751988	242585	
751988	253153	
751988	259755	
751988	259775	Mrs. Clayton
751988	299463	
751988	324742	Milly
751988	330284	Mrs. Risman
751988	337995	Mrs. Santa Claus
751988	340930	
751988	360668	Margot
751988	391118	Thelma Brockwood
751988	396831	Miss Weatherly
751989	30463	Sam's Grandma
751989	95365	Polly
751989	301559	Martha
751991	82737	
751992	192254	Nude Vacuumer
751992	373216	Model
751993	142618	Go-Go Dancer
751994	111698	Régina
751995	2135	Reporter
751996	109276	Ann Grady
751997	128275	
751998	316998	
751999	154614	Vegas Showgirl
752000	57788	Suzy
752001	154869	Audition child
752002	73484	911 Operator
752002	279615	Mrs. Mullins
752002	336444	Hungry Star Studio model
752002	365750	Alisa
752003	46406	Kee Malesky
752003	56545	Herself
752005	265527	Rehab Nurse
752005	279467	Marla
752006	296261	Blondie
752007	1792	Miss November 1994
752007	41757	Denise
752007	257654	Herself (Miss March)
752007	257662	
752007	257839	Herself (Miss November 1994)
752008	52776	
752008	170057	
752008	209076	
752008	215209	
752008	255907	
752008	293398	
752008	322234	
752009	78184	
752009	353366	Judy Jetson
752010	203560	Music Student
752011	29287	Grace Nye
752011	102104	
752011	154903	Herself
752011	293637	Funeral Woman #2
752011	301639	Woman
752011	324822	Parent
752011	398242	Katy Eliott
752012	32900	Red Crown Operator #4
752013	117131	Bunny Monroe
752013	166705	Jennifer
752013	223840	
752013	289520	Judy
752013	323155	Jodie Shawback
752013	359712	Mary
752014	232018	Madge Allsop
752014	382704	Terri Simmons
752014	385603	Madge Allsop
752014	385605	Madge Allsop
752014	385606	Madge Allsop
752015	327627	Old Woman
752016	301131	Young Sue
752017	27209	
752017	104386	Ethel
752017	301854	Annette
752017	335672	
752018	379108	Herself - Gardening expert
752019	5527	Receptionist
752019	10661	Karen Sullivan
752019	35802	Cynthia Rogers
752019	42785	Reporter #4
752019	44511	Edna
752019	47935	Car Rental Clerk
752019	61656	Lucille
752019	79637	Jess
752019	91932	Girl's Mother
752019	119625	Mrs. Wilson's Asst.
752019	156970	Lawyer's Receptionist
752019	178906	Attractive Girl
752019	183639	Street Hooker
752019	186131	T.V. Interviewer
752019	215860	NASA Wife
752019	233509	Young Woman in Audience
752019	242096	Carolyn
752019	265892	Party Guest
752019	299669	Computer Operator
752019	314503	Sheila
752019	359904	Second T.V. Reporter
752019	382525	Diane Denny
752019	398063	
752020	160949	Herself (saxophonist)
752021	336655	Zoë
752022	207637	
752023	407815	Herself (Single) (2001)
752024	59552	Amy Spettigue
752024	298206	Frances Miller
752024	307913	Rosella
752024	308079	Model
752024	351438	
752025	113126	Béa
752026	20430	
752026	38937	Frau Milke
752026	95393	Madame Angela
752026	99236	Archduchess Sophie
752026	110713	
752026	143724	
752026	166405	
752026	170127	
752026	189865	
752026	272533	
752026	290256	
752026	332554	
752026	361422	Anna
752027	81543	Museum Employee
752027	144913	Moaning Woman
752027	374570	
752028	397379	Tracy Patterson
752029	6412	Old Partisian
752029	23338	Kelly Marx, KNFS
752029	109629	ATM Teller
752029	123027	Shadow
752029	158983	
752029	244838	Lisa Marie Peterson
752029	252841	Ms. Darrington
752029	350190	Mei-Ling (Lin-lin)
752029	386922	Mrs. Breifs (I) (1997-1998)/A
752029	411738	Kayura
752030	344524	Herself
752030	410756	Entertainment Reporter
752031	115205	Adele
752031	129040	Nannetta
752031	158869	Drusilla
752031	236180	Barbarina
752031	278962	Melanto
752031	281974	Sophie
752031	352308	Esmeralda
752031	375088	Arsena
752031	375095	Zorika
752032	333120	Person of the Night
752033	14146	Young Rachael
752033	46747	Wedding Guest
752033	131431	Gina
752035	18498	Fun Hole Chick
752036	395080	Annie Quinlan
752037	16089	Maid
752037	54607	Juror
752037	120336	Maid
752037	188202	Jail Matron
752037	188294	Head of PTA Juror
752037	191118	Mrs. Hamilton
752037	227338	Second Prison Matron
752037	246215	Woman in park
752037	292631	Mrs. Norris
752037	297889	Phone Gossip #3
752037	303307	Johnson's Maid
752037	311025	Bus station woman [Chs. 1-2]
752037	313076	Reformer
752037	329903	Townswoman
752037	336044	Bailiff
752038	7069	Mrs. Riley
752038	115639	Roxie
752039	40121	Caroline Holmes
752039	40608	Linda Curtis
752039	49361	Patricia Mortimer 'Pat' Van D
752039	56215	Peggy
752039	71636	Phyllis Fowler
752039	78085	Carol Andrews
752039	84901	Eve Hammond
752039	123130	Barbara McGrail
752039	131454	Sylvia Brand
752039	142125	Jane Parker
752039	160946	Connie
752039	193740	Delia Jordan
752039	201152	Diana 'Di' Webley
752039	209625	Ellen Barstow
752039	224568	Alice Lockhart
752039	232833	Jane Abbott
752039	297099	Edith Stuart
752039	313833	Jean Worthington
752039	315996	Alice Devlin
752040	64019	Mrs. Hoban
752040	186423	
752041	363772	Coductress
752042	45342	Wedding Guest
752042	208839	Kate
752042	307928	Prison Officer's Widow
752042	363146	Woman in car
752043	9117	Passenger
752043	11079	
752043	11125	Helen
752043	26813	
752043	41346	Sally Morgan
752043	52427	Maid
752043	61276	Ruth Whitman
752043	88169	Helen Wakefield
752043	96719	Daphne Carter
752043	112183	Guest at Lockhart Home
752043	114305	Grace Livingston
752043	116783	Nellie Blye
752043	153192	Doris Knight
752043	162580	Marie Mestretti
752043	185227	Guest
752043	195752	Ruth Allen
752043	201060	Mrs. Dave Dyer
752043	224136	Socialite
752043	300908	Kathleen Doyle
752043	308977	Miss Hollander
752043	364571	Edith, a Golddigger
752043	366198	Gwen Manners
752043	367764	Jenny Killian
752044	67553	Honey
752044	171395	Lucille Marposian
752044	319175	Girl at Lunch
752044	389858	
752045	53284	Cheerleader #1
752045	144913	Featured Extra
752046	274461	Katie Gail
752047	12114	Nzingha
752048	139680	Relief Girl
752049	288388	Bigfoot Days Elder
752050	52333	Mary Tolliver
752050	56226	Janice Seaton
752050	133620	Mlle. Molee
752050	184386	Louise Turner
752050	199217	Myra Frost
752050	220905	Information Desk Girl
752050	248896	Linda Ames
752050	280941	Jean Armour
752050	281004	Nina
752050	302611	Miss Joyce, the Secretary
752050	319042	Mary Lou
752050	330241	Imogene Mayfield
752050	342713	Edith Carstairs
752050	368986	Ann Stevens Brown
752051	109992	Mrs. Floribam
752052	57647	Herself
752053	369421	Friendly Young Thing
752054	44083	Sean and Mitchell's Mother
752054	191061	Linda
752055	322844	Lorraines
752056	115219	Backup singer
752056	212908	Chorus
752056	314625	Herself (Background Vocals)
752057	218346	
752058	223991	Serena
752059	408557	Herself - Dancer/Performer
752060	110916	Dancer
752060	272930	Dancer
752061	87586	Disco Godfather Dancer
752062	57606	Girl
752062	69732	Margaret
752062	129839	Joyce Struthers
752062	230734	Phyl Thomas
752063	205414	Herself
752064	161175	
752065	129090	Herself (sister of J.D. Ram)
752066	93974	Choirgirl
752066	134563	Tanisha
752066	140938	Robin/Denise
752067	171094	Slumber Party Girl
752068	11552	Great-aunt Sadie
752068	121359	Ruby Lightfoot
752068	345836	Marina
752069	186331	
752070	70208	Mo
752070	82453	Deliverance Dancer
752070	114009	
752070	160322	Mary
752070	301736	Rose
752070	358482	Sweet Young Thing
752071	273869	Goth
752072	156474	Susan Diamond
752072	213155	Amanda
752073	301589	Amy
752074	47147	
752074	178345	
752075	234716	Tina
752076	92044	
752077	119502	Crystal
752077	210300	Blue Mini
752077	234986	
752077	406529	Sara (1996-1997)
752078	41502	Mary
752078	96672	Receptionist
752078	339394	Sally
752079	8023	Diane's Mother
752079	26387	Jackie
752079	40836	Dottie
752079	56992	Yorkie Dog Owner
752079	80832	Mother Superior
752079	91769	Mrs. J. Kritch
752079	109675	Realtor
752079	113293	Nurse
752079	133329	Lydia
752079	149931	Edna
752079	158296	Rebecca Rasmussen
752079	182993	Meyerling's Mother
752079	330340	Mrs. Christopher
752079	333035	Carol
752079	342468	Mrs. Morgan
752080	297413	
752080	354866	Sandy
752081	128201	
752081	128474	Burton's Maid
752081	310314	Lola
752082	365420	Mattie
752083	311615	The Barmaid
752084	18250	Middle Aged Woman
752084	139001	Bette
752084	322757	Starr
752085	178036	Lizzie Nolan
752086	90765	Angelika
752086	244198	Monika
752088	208475	Hostess
752088	401195	Host
752088	410030	Host
752089	147694	Barbeque Guest
752090	281270	La Nurse
752091	77456	Mrs. Whitehead
752091	241780	Liquor store woman
752092	246756	Hallie Gilmore at 13
752092	380455	Young Rene Jackson (1998-2001
752094	39974	Herself
752094	81185	
752094	83934	Woman Doctor
752094	193992	
752095	178125	'Surf & Turf' Waitress
752096	239067	
752097	122778	Young Gabrielle
752097	131797	Ginnie Thatcher
752098	362563	Mother
752099	80654	Woman Tramp
752100	108956	Party Family
752101	82099	Mother
752101	196996	Roz Strait
752103	384352	Herself - Presenter (2001)
752103	390522	Herself - World Super Bike Pr
752103	392154	Herself - Presenter
752103	408810	Herself - Skyrunner
752105	131797	Carrie Thatcher
752106	281421	Stacey Redstone
752106	281467	Kiely
752106	321268	Sharon
752107	379831	Linda Gable #1 (1990)
752108	336782	Wet T-Shirt Girl
752109	215834	
752110	390369	Debbie
752111	31508	Girlfriend
752112	383046	Trish Reagan
752113	79792	Judith
752114	249457	Bride
752115	76617	Jennifer
752115	158230	Sheila
752115	185473	Lady
752115	194045	Flight Attendant
752116	176525	Tea Bag/Colonist/British sold
752116	335758	Woman in Apartment
752116	389411	Colleen
752117	266678	Mayor's daughter
752118	362921	The Princess Louise
752119	16042	
752119	37921	
752119	47355	
752119	52455	Telephone Operator, Chicago T
752119	73172	Miss White
752119	81186	Girl
752119	96614	Girl
752119	123135	
752119	126067	Chorine
752119	133880	Chorus girl 'Pretty Girl'[unc
752119	135553	Nurse
752119	143191	Maid
752119	168929	
752119	176358	1934 Goldwyn Girl
752119	188457	Party Girl
752119	207861	Elevator Girl
752119	215534	Ruth
752119	222302	Princess
752119	222592	Earl Carroll Girl
752119	223292	Princess Alisha
752119	248827	Narcissus
752119	274988	
752119	276724	Undetermined role
752119	279687	Fashion Model
752119	280896	Cinderella Girl
752119	283890	Secretary
752119	296883	Waitress
752119	323940	
752119	330375	Member of Girls Band
752119	358768	Marco's Secretary
752119	362051	
752120	78843	Yasemin
752120	230027	Arab Woman
752121	380713	Rosanna Cabot #1 (1992-1996, 
752121	383341	Host
752121	390771	Brittany Wilding (1990)
752122	313825	Nightclub Dancer
752122	383721	Dancer
752123	194211	Nursery Baby
752124	39845	Robin
752124	103332	
752125	154261	
752125	402470	
752125	406633	
752126	418	Mother
752126	66049	Miss Gabhurst
752126	115493	
752126	195685	Aunt Dorry
752126	366078	Miss Dodge
752126	381608	Cheryl Turner (1975)
752126	383891	Older Kate
752126	401261	
752127	34116	Various characters
752127	65370	Mrs. Hooper
752127	119180	Harriet
752127	223059	Candy
752128	136128	Bombay Dance Class Dancer
752128	361613	Bakery Counter Girl
752129	244918	Receptionist
752129	349120	Anna
752129	382460	Lexi
752130	355924	Extra at Award Ceremony
752131	244444	Traci Collins
752131	252407	Pet
752132	194638	Hi Ro Student
752133	184243	Herself (woman walking)
752134	411507	
752135	101756	
752136	2897	Hilde Bergman
752136	6573	
752136	7663	Helena Hanson
752136	14835	Eleonora Curtatoni
752136	29103	Helen
752136	30946	
752136	48179	Marianna
752136	49701	Lillian
752136	60366	Ginny Desmond
752136	80280	
752136	83978	Marusia
752136	87088	
752136	87939	La femme de Klaus
752136	92553	
752136	93403	
752136	103729	
752136	105886	Patricia
752136	106250	Eva (episode "La moglie svede
752136	114634	Margret
752136	119180	Ruth Olsen
752136	119261	Ursula
752136	120025	Magda
752136	120992	
752136	140720	
752136	142256	Franziska Kleinschmidt
752136	142822	Ann Barry
752136	169085	Frieda
752136	179780	Joan Smith
752136	184598	Afra
752136	186935	Doris Korff
752136	187850	
752136	198360	
752136	203727	Isolde 'Easy' Mueller
752136	218935	Monique
752136	222815	Genevre
752136	225661	Lucy
752136	226252	Eva
752136	228546	Karin Dobermann
752136	234332	
752136	239264	Yvette
752136	254962	
752136	266056	
752136	290606	Gretl Mittermayr
752136	296526	Hélène Blomberg
752136	301169	
752136	313103	
752136	357585	Pamela Windsor
752136	361096	Claudia Laudon
752136	361372	Josi
752136	376290	Vermieterin
752136	378429	Lily
752136	378434	Elena Truppe
752136	389858	Maria Schuller (1977)
752137	68153	Amber
752137	178123	Nurse
752138	226505	
752139	310994	
752140	323042	Jeanne
752141	29670	King Kandor's People
752142	19793	Silver Lady
752142	30979	Dr. Pamela Lillian Isley/Pois
752142	107941	
752142	115066	Dale Arden
752142	117779	Centeol/Safan/Tamoko
752142	117783	Adalon
752142	161843	
752142	213486	Pearl Pureheart
752142	269595	Erana, Rusalka, Staff of Eran
752142	272846	Des
752142	306285	Queen
752142	340302	Yori
752142	375862	Fishmarket Lady/Shona
752142	381397	Dr. Pamela Lillian Isley/Pois
752142	383797	Crystal Kane
752142	385969	
752142	386064	
752142	390403	Dr. Pamela Lillian Isley/Pois
752142	392897	Additional Voices (1985-1986)
752142	399210	Pearl Pureheart
752142	399222	Dale Arden
752142	404063	
752142	405091	Netossa (1987-1988)
752142	405718	Additional Voices
752142	407575	Isis
752143	314257	Dispatcher
752144	29115	
752144	31931	
752144	73805	
752144	91614	
752144	112378	Helen Palmer
752144	194352	Mary Baker
752144	203606	
752144	300074	Betty Gray
752144	364309	
752144	365500	
752145	280013	Madame
752146	366	
752147	6965	
752147	6973	
752147	7746	
752147	7750	
752147	7751	
752147	23589	
752147	30610	
752147	34876	
752147	36731	
752147	36877	
752147	39610	
752147	39647	
752147	44022	
752147	76244	
752147	91816	
752147	130285	
752147	157796	
752147	189067	
752147	197750	
752147	251749	
752147	266675	
752147	274872	L'orfana
752147	280294	
752147	342550	
752148	46348	
752148	328871	
752148	354443	
752149	68440	Marchesa Norma Zaccarin
752149	111155	
752149	270818	
752150	160123	
752151	188659	
752151	270800	
752151	287015	
752152	68243	Karla
752152	139764	Joanne Harrison
752152	393087	Teacher
752152	409616	Victoria
752153	90700	Tania
752154	322574	Gaby
752155	300613	
752156	280305	Drinker
752157	394163	Old Arab Woman
752157	403805	Lindsey Spencer #2 (2001)
752158	292449	Herself - writer
752159	14137	Bella
752159	14159	Pattie
752159	37031	McCabe
752159	46537	Salesgirl
752159	62536	Emmy Soames
752159	69290	Lisa Farber
752159	71474	Frances Flegenheimer
752159	80464	Sarah
752159	83956	Linda
752159	84207	Katrina
752159	89334	Allison
752159	110967	Margot
752159	131915	The Psychic
752159	133475	Babe
752159	133792	Mary Anne Meechum
752159	178081	Dirty Dee
752159	185470	Harriet Gross
752159	208072	Jo Dayton
752159	209206	
752159	223932	Sheila
752159	251867	Delores Dodge
752159	260059	Alicia Frank
752159	264657	Dottie Dworski
752159	297625	
752159	297791	Cathy
752159	299722	Casting Director
752159	319876	Mary Ann Webster
752159	341680	Diner Waitress
752159	355670	Bobby
752159	361981	
752159	362808	Alice
752159	363492	Jenny
752159	380403	Joanie Rutledge
752159	402206	Dottie
752160	120699	His date
752161	299912	Venus
752162	344046	Beba
752163	340162	
752164	253433	Herself
752165	113269	Ms. Peters
752165	275996	Aerobics Instructor
752165	379716	District Attorney Galen Hende
752166	316795	Mercedes
752167	253433	Herself
752169	80695	Dancer in Nightclub
752169	275889	Laundry Person
752169	379831	Natalie Johnson #2 (1989)
752170	377625	Marina
752171	133475	Sam's Secratary
752172	345537	Cécile
752173	374285	Sophie
752174	53227	La vendeuse de bagues
752174	188683	
752175	219518	
752176	7464	L'Hôtesse d'accueil
752177	112893	
752178	61183	
752178	112008	Annie's mother
752178	130792	Mrs. Burke
752178	133182	Teacher
752178	139096	
752178	149388	Opal Fleener
752178	203310	
752178	205933	
752178	240838	Flower Lady
752178	262798	Elderly woman
752178	278855	Lab Teacher
752178	292700	Great Aunt Daria
752178	346092	Aunt Vera
752178	408102	Abbe Charm
752179	320617	
752180	240106	Sonja
752181	105740	Lill
752181	215712	Berit
752181	340268	Mona
752182	40941	
752182	322313	Per's wife
752183	107722	Cyklist
752184	257848	Herself
752184	257859	(segments "Thrill Seekers, Fr
752186	342307	Dancer
752187	387766	Ghost outside haunted house
752188	334	Thora
752188	40947	Doris
752188	74230	Lady Patricia Whitman
752188	116134	Eva
752188	187623	Eliza
752188	272563	Betty Williams
752188	305308	Sonja
752188	341094	Nurse Berit
752188	354440	Agneta
752188	377425	Journalist
752188	395004	
752188	402277	
752188	407290	Maj-Britt
752190	271053	Toimittaja
752191	115424	
752192	210349	Herself
752193	142788	Professor's Daughter
752194	23535	Ulla
752194	197385	La Suédoise
752195	304408	Daughter of Måns Olsson
752196	322313	Susanne
752197	210343	Janne Lucas
752197	210344	Janne Lucas
752198	5195	Riccos Schwester Chantal
752200	88975	
752200	212414	
752201	145623	Emma
752202	263001	
752205	380203	Berit
752206	153743	Annika
752206	256502	Annika
752206	256503	Annika
752206	268362	Annika
752206	401519	Annika
752207	259707	Christina
752208	266768	Marjorie Fontaine
752209	55203	Frasquita
752209	281978	Sophie
752210	42200	Mrs. Kellerman
752210	96015	Mrs. Frideborg Bergzell
752210	115391	Guest at the coffe party
752210	129179	Boel Sörenson
752210	134261	Stina Svensson
752210	140046	Marianne
752210	166753	Mim
752210	172787	Stina
752210	192657	Marie Möller
752210	237258	Hanna
752210	268353	Emma
752210	303663	Mrs. Ek
752210	305991	Grimme-Jens's maid
752210	314958	Nurse
752210	320583	One of the Flink sisters, tel
752210	322420	Karna
752210	349585	Maggi Wills
752210	377316	Eva Gustafsson
752211	190798	Performer: "Been It"
752211	221417	The Cardigans-presenter
752211	221422	Herself/Presenter
752211	221423	Herself - Presenter
752211	234151	Herself
752212	372306	Lucy
752213	150626	
752213	223021	Drummer
752213	322299	Edith
752213	349775	Övermarskalken
752214	242345	Nova
752214	284368	Kvinna på grog 2
752214	406866	The Sister
752215	304407	
752216	320617	
752217	212333	Herself - Participant/Perform
752218	187623	Annika
752219	120848	Ida (episodes 1 and 2)
752219	202779	Sara
752219	378897	Journalist
752220	342054	Herself
752221	91943	Adolfina Hitbrakes
752221	201784	
752222	54015	Marleen Degraeve
752222	233287	
752222	267510	Les yeux de Manon
752222	400287	Irma Rottiers
752222	411311	Ria Persoons (1998-1999, 2000
752223	15332	
752223	126454	
752223	310825	Ootmoedigheid
752224	162100	The Fairy Queen
752224	213588	Katisha
752224	213591	Katisha
752224	256626	Ruth
752225	40751	Maria
752226	294294	Greta Kujala
752227	114915	Tolisa
752229	231115	Michelle
752229	390771	Maria (1999)
752230	401640	Herself (1960-61)
752231	240918	
752232	362219	
752233	24084	Kathi
752233	90649	Ihre Mutter
752233	93442	Frau von Mallebre
752233	93465	Dienstmädchen Frieda
752233	98067	
752233	98263	Beate Haase
752233	111344	
752233	119254	Feldwebel Grete Busse
752233	129674	Midwife
752233	134822	
752233	144080	Marei
752233	144256	Genoveva Maderer
752233	147176	
752233	152406	
752233	164270	Resi
752233	189577	Agnes Bauer
752233	204428	
752233	208449	Pauline Schilling
752233	225720	Frieda
752233	241974	
752233	264352	Wirtin Gretl
752233	290665	'Trauben'-Wirtin
752233	348678	
752233	361012	
752233	361393	Resi
752233	367139	Vroni
752233	376273	
752233	376339	
752233	376358	
752234	97388	Reporter
752235	58946	Irate Traveler
752235	213460	Secretary
752235	302221	Funeral Home Assistant
752236	341332	
752237	83400	Classe sport et études
752238	253477	
752239	220443	June
752239	289615	Seamstress
752239	384783	Pat Warren
752240	33938	Carol
752240	67922	Elaine
752240	154577	Nurse
752240	354488	Juliet Dunne
752240	382932	Louise
752240	401228	Briony Rogers
752240	411316	Lady Cuxhaven
752242	217689	
752243	324924	
752245	135379	
752245	146501	
752246	313872	Gena
752247	147976	Berg's Wife
752248	119429	Urchin Girl
752249	109608	Ellen's Friend
752250	91414	
752250	169775	
752250	334568	Mujer
752251	8254	
752251	13080	Lupita, Sirvienta I
752251	14693	Mujer 2
752251	64702	
752251	87086	
752251	103163	Muchacha 5
752251	103482	Cantinera
752251	107355	
752251	150080	Fat Singer
752251	156789	
752251	165896	
752251	193025	Sra. en delegacion
752251	272623	
752251	326540	
752251	338162	Subastadora
752251	351620	
752252	163169	
752253	108713	
752254	44328	Jasmine
752254	84168	
752254	344584	
752255	89518	Kirpi (Spiky)
752256	25544	Aybiçe
752256	173779	
752256	296405	Gül
752257	280513	Spectator
752258	256962	Eva
752259	262129	Shelby
752259	315707	The Maid
752260	21384	
752261	247007	
752262	125298	Pummel
752263	303290	Herself
752264	54821	Josefa
752264	74365	Blanca
752264	80232	María
752264	278949	Mariana
752264	293378	Luisa, Julia's sister
752264	379559	Valeria
752264	387068	Karla
752264	401068	Samantha
752264	409282	Karla
752264	409683	Lucy
752264	411633	Berenice
752265	70774	Apartment Owner
752265	231646	Banasiowa
752266	71597	Herself
752267	48075	Woman at Party
752268	7088	Robot Maid
752269	113559	Sig.ra Gerli
752269	302184	
752270	407109	Herself (2002)
752271	184284	Suze
752272	282096	
752273	254294	
752274	18899	
752275	294242	
752276	18365	
752277	3686	Herself
752277	21468	Herself
752277	51524	
752277	53640	Herself
752277	55001	
752277	105469	Herself
752277	225041	
752277	235989	
752277	266470	
752277	376735	
752277	388268	Herself
752279	86388	Ruby
752280	278409	
752281	200962	La secrétaire
752281	321515	Featured Dancer
752282	409092	
752283	309347	
752284	53895	Stefana
752285	32240	Elizabeth Mckay
752285	395159	Herself (6th Eliminated)
752285	395160	Herself
752286	160979	
752286	251607	Feodora
752287	160979	
752288	128931	
752288	159647	
752288	160071	
752288	280740	Roma
752288	315425	Armida
752288	355640	
752289	87685	
752289	227288	Nana
752290	77437	
752290	309248	
752290	312257	Tourist
752291	13202	Avvocato
752291	211744	Silvia, la sposa
752291	270864	Suora
752291	341393	Collega di Francesco Grigioni
752291	355357	Donna inseguita
752292	167704	Jersey Girl
752293	12927	
752293	43666	
752293	222168	
752293	222170	
752293	269028	
752293	322222	
752294	80430	Bridesmaid
752295	114099	Kid #1
752296	187686	Herself
752296	211968	Herself
752296	220237	Herself
752297	211117	
752298	130130	Francesca Corleone
752299	361224	Nick Decker's Manager #2
752300	60714	Wife
752300	93223	Psychic
752301	18522	
752301	49295	Kindergärtnerin
752301	106035	Anna Brückl
752301	144025	Waitress at 'Goldener Löffel'
752301	184643	
752301	290449	The principal
752301	325378	
752301	346855	
752301	352070	
752301	404462	
752301	407253	Nick's grandmother
752302	10308	Cy
752302	34325	Hannah
752303	396806	
752304	51422	Agathe Salsigne
752304	68426	
752304	101547	Owner of disreputable bar
752304	136974	La Fouchue
752304	254966	
752304	261845	Marie
752304	285424	
752304	294559	
752304	336725	La conductrice
752304	387659	
752304	394166	Chiquitta (segment "Couronne 
752304	400681	
752305	404456	Tante Tilda
752306	388166	Gitti Haidle
752307	333377	
752308	120268	Frau Krausse
752309	287215	Police Officer
752310	42720	Claire Archer
752310	42722	Claire
752310	78796	Carla Simpson
752310	230508	Trainee
752310	321348	Sara Bailey Brooks
752310	336788	Customer #1
752311	357094	
752312	3749	Herself
752312	7199	Janice Vernon
752312	31190	Herself (ABC Team)
752312	79891	Gloria Block
752312	80482	Rosemary Monroe
752312	104973	Eileen Stevens
752312	129595	Norma
752312	152536	Gloria Prentice
752312	163958	Bonnie Benitez
752312	164587	Herself
752312	165102	Wendy
752312	168604	Herself
752312	237908	Susan
752312	249500	Bob's Wife
752312	259307	Sissy Owens
752312	271205	Jinnie Gumm
752312	288695	Annette
752312	327187	
752312	379716	Dr. Lynn Carson (1983)
752312	380261	Angie Falco Benson
752312	387973	Eileen Stevens
752312	388080	Herself
752312	389858	Gertrude Morgan (1999-2001)
752312	397077	Panelist
752312	400559	Donna Garland
752313	194840	Herself - Costume Designer
752314	154611	Beth
752315	379924	Herself
752316	200934	Aline Archambaud
752316	206048	Magali, Jeannette's Daughter
752316	376938	Vanessa
752316	376972	L'institutrice
752316	376986	Vénus
752317	261319	
752318	257870	Chris' Mother
752319	258671	
752320	320551	Sandra
752321	44008	Bobijeva bivsa zena
752321	186244	
752321	265322	Radnica III
752322	374435	Starica
752323	42886	Jasna, Nenadova zena
752323	119445	
752323	129760	Komsinica
752323	171967	
752323	172485	
752323	179241	
752323	209362	Lucija ... gimnazijalka
752323	212458	Olga
752323	220732	
752323	225918	
752323	238193	
752323	244648	
752323	253724	
752323	258671	
752323	262504	
752323	305526	
752323	306193	
752323	314651	
752323	339330	
752323	343836	
752323	374667	
752323	376225	Jelena
752323	382430	Danica Ilic
752323	383805	
752323	386246	
752323	387570	
752323	390182	
752323	390660	Herself
752323	391582	
752323	398198	
752323	399008	
752323	401750	
752323	402022	Olga Petrovic
752323	402023	Olga Petrovic
752323	402024	Olga Petrovic
752323	402025	Olga Petrovic
752323	402026	Olga Petrovic #2
752323	404090	
752324	173625	
752325	42402	Lyman Townfolk
752326	87025	Fan
752326	341939	Girl in Headshots and Auditio
752327	223285	
752328	197270	
752329	107578	Anna
752331	221066	Mrs. Patterson
752332	206096	Victim
752333	165348	Stefan's wife
752333	373781	Koutná
752335	267313	Pavla Brecková
752336	165737	
752337	58144	
752337	396417	
752338	404782	Oona
752339	168866	Second nurse
752339	197612	
752339	408194	Leena Okkola (2003)
752340	21382	Suvi
752340	403159	Johanna
752341	170516	
752342	267122	
752343	303846	Tyttö luennolla
752344	354281	Riika Lehvä
752345	214201	
752346	8847	
752346	10270	Annastina Stenvall
752346	395007	Aulikki Jalkanen
752347	148648	La concierge de Charles
752348	54103	
752349	222191	
752350	41418	Smokestompers Representaive
752350	232273	Maureen McLeod
752350	255234	Nurse Margaret
752351	353899	
752352	88385	
752352	376596	Zora
752353	124544	
752353	202063	Vecina
752353	318006	
752353	324502	Woman Investor #2
752353	342148	
752353	382951	Cata
752353	383974	Pepita
752353	384775	Ada
752353	387818	Lina
752353	388093	Sister Catalina
752353	388162	
752353	391846	
752353	391850	
752353	396860	Noemi
752353	398816	Flora Ramírez
752353	398995	
752353	400640	
752353	401692	Julita Zambrano
752353	401912	
752353	404998	
752353	409014	Delicia
752353	410404	Sor Ligia
752353	410423	Bernardita
752355	283345	Waitress
752356	251330	
752356	367589	Esther
752356	384118	Iaiá (2000)
752356	388458	Germana
752356	396844	
752357	14369	Eva
752357	14912	Stella
752357	111299	Maria Carolina d'Asburgo
752357	111433	
752357	121888	
752357	167041	Salome
752357	253711	
752357	352292	
752357	356162	Angela
752357	385284	
752357	388753	Paola
752357	390091	
752357	400404	Elisa Deodato
752358	184518	Kim
752358	346405	Rachel from Season 4
752359	379450	Sirlene
752359	396610	Magali (1995-1998)
752360	338242	
752361	4895	Herself
752362	213324	Mustardseed
752362	347876	Filming
752364	118469	Hannelore
752365	282239	Graphikerin
752365	352080	
752366	71192	
752367	275024	
752368	84483	
752368	106462	Natércia
752368	113023	Mércia
752368	385021	
752368	400685	
752369	235159	Chandler's Daughter
752370	246022	Igralka
752371	16181	Anziana #1
752371	261577	
752371	346173	Contessa
752372	226450	Nadah
752373	262272	Puree
752374	241698	Wedding Guest
752375	311785	Herself (Model)
752375	353499	Herself (Model)
752376	69901	Angela
752376	356418	
752378	265069	Liza as a child
752379	84466	
752380	107717	
752381	336843	
752382	290936	Dancer
752382	363780	Vandergeld Dance Team
752383	343979	Adiutant of the General
752383	397622	Mariola
752383	403854	Aldzia Klos
752384	258791	Magda
752386	185219	Herself
752386	210792	Herself
752386	333203	Herself (corpse lying in squa
752386	349368	Herself (corpse in Milan)
752386	384116	Various roles (1982-1984)
752386	398641	Herself
752387	382337	Pam Wilcox
752388	92207	
752388	113440	
752389	18849	Lucy
752389	25780	Lúcia
752389	89402	
752389	256371	Gilda
752389	269029	Marisa
752389	278616	
752390	4536	Young Katie
752391	4536	Young Katie
752392	265463	
752393	238590	Francine
752394	269236	
752395	101193	
752397	294798	Baby's Mother
752398	299954	Lejla Kovacevic
752398	380276	Vicki Simpson
752398	388370	Anne
752399	65458	Mrs. Bickers
752399	143279	Mrs. Pelham
752399	146201	'Ma' Drake
752399	188266	Mrs. Vassall
752400	409144	Herself - Anchor
752401	189623	Claudia
752402	315602	Anna
752403	228563	Cafetière
752404	199820	Principessa Fatima
752404	314541	
752405	211683	Femme BCBG
752406	286453	Herself
752408	289951	
752409	354319	
752409	382453	Tante Josée
752409	384041	Tante Josée
752410	45976	Eva Drechsel
752411	170725	Lindsey
752411	398352	Nahbiri
752412	399816	Sandra
752413	223350	Telephone operator's voice
752414	77410	Emma
752414	188756	
752415	189616	
752416	102452	Martha Nüssli
752416	142105	
752416	223457	
752416	225258	
752416	325802	Dr. Isabelle Schlegel
752416	366522	Gudrun
752416	397447	
752416	404488	Dr. Karin Plessers, gesch. Sa
752417	215416	Animal defender
752418	194427	
752419	182898	Matild bárónõ
752419	190758	Old Lili
752419	197303	
752420	406271	Krista MacClaud (2002)
752421	117859	Jenny
752422	81052	Blonde with Jim Morrison
752422	90932	
752422	298091	Cameo appearance
752423	6989	Additional Muppet Performer
752424	375694	Lora
752425	84439	Britney
752425	131760	Amber
752426	109093	Hooker #2
752426	151351	Mrs. Sheila Cain
752426	273769	Gigi Grant
752426	399677	Pamela (unused footage)
752426	403014	Barbra Jean 'B.J.' Booker Har
752428	314853	Nun
752429	83712	Lavra
752430	11775	Tante Ficquet
752430	12587	
752430	15123	Blanche
752430	25520	
752430	42620	
752430	98625	
752430	104824	Christl
752430	129493	
752430	137636	
752430	142162	
752430	155599	
752430	157682	Edith Freytag
752430	172375	Direktrice
752430	172382	
752430	172387	Mizzi - Seine Tochter
752430	179793	
752430	180005	Lisel
752430	182536	Lisbeth
752430	189688	
752430	222467	Kundin
752430	254362	Solveig
752430	272563	
752430	281944	Hilla Pfennig
752430	290665	
752430	317507	Beate Dreegen
752430	347659	Liesl Busch, Wirtin
752430	347660	
752430	352579	Anni
752430	354073	Frau Thaller
752431	270151	Cratchit's Daughter
752432	2657	Woman in Video Store
752432	2658	Nympho Woman
752433	75326	Claire Rutherford
752435	107846	
752436	118472	Rent-A-Car Girl
752436	157023	Waitress
752436	256240	Girl in school
752437	264269	Davina
752438	1378	
752438	85917	
752438	388491	Sister Anna
752438	393491	Woman in Waiting Room
752439	212960	Seven-year-old girl
752440	266871	
752441	213037	Elizabeth Kingsley
752441	379716	Eugenia Robards #2 (1981)
752441	390771	Sara Shayne (1987-1991, 1993-
752441	396088	Vanessa 'Van' Dale Raven Ster
752441	396123	Judge Connors (1983)
752442	134980	
752442	272609	
752443	51983	
752443	135835	
752444	410492	Beas Bücher (2003-)
752445	207402	Lillie, Lady Eva Blacwell's M
752446	344381	
752447	2527	Herself
752447	2542	Herself
752447	2563	Herself - Presenter
752447	2603	Herself - Performer: 'How Luc
752447	2762	Presenter - Honour Award and 
752447	2780	Herself
752447	2788	Herself
752447	2806	Herself/Host
752447	2810	Nominee 'Gypsy'
752447	2816	Presenter for Best Revival of
752447	5539	Allison
752447	7583	Herself
752447	10670	Muse
752447	11671	Herself
752447	13934	Herself
752447	15887	Sophie
752447	17749	Lily
752447	30501	
752447	32185	Angelique
752447	34392	Herself
752447	38238	
752447	42431	Bailey Lewis
752447	64078	Cinderella's Stepmother
752447	64565	Herself - Ringmaster
752447	64572	Herself (Ringmaster)
752447	79514	Marie Rothenberg
752447	85912	
752447	107742	Tammy Faye Bakker
752447	126033	
752447	138700	Herself
752447	141395	Aqua
752447	144406	
752447	157283	Marie D'Agoult
752447	161523	The Witch
752447	162902	Trudy Engles
752447	163344	Rebecca Gromberg
752447	166879	Marie Kimble
752447	175536	Herself
752447	184382	Sue
752447	185085	Jane Murray
752447	185404	The Soprano
752447	190617	Lily St. Regis
752447	194122	Miss Toot, Warden's Secretary
752447	200228	Herself
752447	201537	Herself
752447	238420	Circe
752447	241118	Lady Larken
752447	248470	
752447	252242	Eileen, aka 'Lulu'
752447	256184	Lou Ann McGuinn
752447	263983	Margo/'Titania'
752447	301669	Vilma Kaplan
752447	304644	Eleanor
752447	306221	Elise Ellis
752447	307878	Herself
752447	308489	Herself
752447	319023	Dot/Marie
752447	330207	
752447	341601	Rutanya Wallace
752447	354215	Little Dee
752447	357994	Melody
752447	358488	Rita
752447	362407	Helen Ayers
752447	379753	Charlotte (Charley) Drake
752447	380313	Rita
752447	383496	Skit characters
752447	384492	
752447	388202	Sleeping Beauty
752447	396961	Genevieve Selsor
752448	26831	Mrs. Stuyvesant
752448	173318	Mrs. Pruitt
752448	389858	Agnes Whitaker (1980-1982, 19
752449	31665	
752451	193884	Nurse
752451	228685	Mama
752451	270987	Tony's mother
752451	378976	Osborne's secretary
752451	408715	Brenda (1973)
752451	410522	Mrs Adelaide Barnes
752452	356564	Mother
752453	75181	
752453	82464	
752453	334647	Ella
752454	118325	
752454	317932	Swapped Wife
752455	220968	Lenore Watson
752456	131538	Nude
752457	256536	
752457	290190	Connie
752457	325568	Katharina Stoll
752457	358586	Pia Himmelman
752457	377374	Jutta Peters
752457	378542	
752457	379372	
752458	79765	Bree
752458	106116	Reporter
752458	122778	Life's Assistant #3
752458	323943	Brooke
752459	94887	Old Woman
752459	97237	Passantin
752459	97483	Juryvorsitzende
752459	109503	
752459	123954	
752459	124999	Margret
752459	125388	Minna
752459	126462	
752459	134174	Grandma
752459	134511	
752459	134986	Susannes Grossmutter
752459	157612	Sophie
752459	167149	Meta
752459	168975	Bertchen
752459	181450	Tante Rosa
752459	189602	
752459	189712	
752459	226317	Alte Dame/Old Lady
752459	254354	Altes Weiblein
752459	259534	
752459	259597	
752459	259641	Anna Reichenbach
752459	259695	
752459	272820	Oma
752459	281665	Oma
752459	285006	
752459	317278	
752459	324322	Oma Bley
752459	338425	Frau Rosemarie Merten
752459	350931	Tassilos Mutter
752459	352208	Frau Hinzen
752459	352381	
752459	356742	Elli Dunker
752459	375171	Frau Windisch
752459	391078	Kioskbesitzerin
752459	395503	Charlotte Lenz
752459	398827	
752460	132786	Julia Jellicoe (Leading Lady)
752461	342413	
752462	50976	Miss Julia
752463	224317	Amy
752465	210350	Herself
752466	142653	
752466	392117	Mrs. Phipps
752467	306910	
752469	194324	Lachesis/The Dragon
752470	270697	'Gork' actress
752471	335050	Debby
752472	95512	The Wife
752473	6845	Kate
752473	141233	Orphan Child Laborer
752473	314400	
752474	38780	Mamie
752474	54150	
752474	55758	Sarepta
752474	104231	The Cook
752474	191416	La Cuoca negra
752474	207210	Herself
752474	237769	
752474	259709	La cameriera
752474	270014	
752474	279739	Palla di Grasso
752474	291687	Maria
752474	343761	
752474	355626	Herself
752475	309401	Suora
752476	280305	Jewel
752476	298127	Nicolette Patchett
752477	404967	Elin
752477	410280	Alexandra Brink (1999-)
752478	122653	Trudy
752478	143912	Nitza
752478	151049	Loy Schiller
752478	218428	Nina Rhodes
752478	221112	Elenka
752479	222212	Party-goer
752480	109992	Women with hat
752480	199463	Salesperson
752482	189665	
752483	389868	Vivian Majozi (2000-2003)
752483	393790	Captain Linda Paulson
752484	24519	Mädchen auf Heuwagen
752484	140265	Kati Opitz
752484	140269	Anna
752484	177615	Ida
752484	188810	Die Andere
752484	254364	Novizin
752484	290839	Traudl
752485	161908	Mrs. Moore
752486	16878	Dancer
752487	358561	American Athlete
752489	109143	Herself
752490	208206	Thildchen
752491	364087	Calalou
752492	193797	
752493	386603	Kathy Ryker #3 (1972-1973)
752494	367060	Maid
752495	16334	
752495	59562	Britta Nielsen
752495	115806	Therese Meyer/Florence
752495	129708	Monika Brinkmann
752495	130919	Prinzessin
752495	134615	
752495	178360	
752495	184294	Herself
752495	193461	
752495	290096	
752495	317365	Gulrapp
752495	366594	Maid Barbara
752496	43339	(herself)
752497	305710	Ms. Lawrence
752498	104761	German entry (8th place)
752498	189843	Herself
752499	227662	Caroline Schindler
752500	80509	Yana
752501	367633	Tina
752502	270954	
752503	130149	
752503	234890	Cabaret Girl
752503	249375	Nita Northrup
752504	25578	Kay Gonda
752504	191505	Tutor
752504	226777	Librarian
752504	299485	Doctor
752504	368318	April
752505	17700	Capt. Anne Providence
752505	18716	Nalinle
752505	21555	Alice Hodges
752505	42049	Lynne Cameron
752505	47508	Barbara
752505	54478	Catana Perez
752505	81953	Ann Freeman
752505	163299	Deborah Greenleaf (Vernon's f
752505	196108	Ruth Manning
752505	197693	Laurie Harper
752505	202952	Catherine Wood Marshall
752505	231311	Polly Cutler
752505	237598	Susan (The Last Leaf)
752505	253873	Priscilla
752505	255259	Candy
752505	323389	Dallas
752505	331323	Anita Hutchins
752505	353373	Vicki Lynn
752505	355831	Josefa Zapata
752505	358273	Nellie Halper
752505	366129	Elizabeth Willard
752505	380687	Beatrice Heyward
752506	266564	Laina's mom
752507	389858	Martha Taylor #2 (1978)
752508	397859	Alexandra
752509	237158	Elizabeth
752510	157499	Voice
752511	58162	Watiress
752511	141023	Mrs. Peters
752512	37495	Prostitute
752512	69410	Girl
752512	69421	Baby Doll
752512	154984	Deidre
752512	242093	Drunk Lady
752512	334337	Girl #3
752513	150255	
752513	204021	Pupil
752513	310866	First Woman
752513	388861	Mrs. Lucas
752514	128629	Ronnie St. Clair
752515	65763	Samantha
752516	222750	Travino
752516	366670	Driver
752517	282952	Dame Hannah
752518	32881	Murderess Janie Holtz's niece
752518	153651	Amber Autumn
752518	205268	Girl
752520	207210	Herself
752520	270014	
752521	63103	Hospice Worker
752521	113498	Customer
752521	129401	Debra Mack
752521	148460	Teacher at Middle School
752521	176989	Mrs. Star
752521	298120	Angry Mom
752521	335721	Grace Chapman
752522	353978	
752523	110070	Margaret
752524	411809	Nurse Gloria Stapleton (1981-
752525	263976	Trufflehunter
752525	365881	Kaiya Ufgood
752526	101331	Frau Wolters
752527	160562	Dating Service Woman
752528	115003	Lee
752528	151659	Jane
752528	295351	Olivia St. Clair
752529	121563	Tiffany
752530	5539	Rachel
752530	13872	Freya
752530	18569	Girl in museum
752530	26666	Waitress
752530	41393	Principal
752530	52005	Ginger
752530	80847	Katharine Kilpatrick
752530	133850	Patsy
752530	140402	Karen Hudson
752530	164431	Sally
752530	176796	Mrs. DelVecchio
752530	177022	Mary Roberts
752530	191626	Olga Crabb
752530	258552	Sharon (Kane's ex-wife)
752530	259828	Young Jess
752530	269662	Mrs. Wharton
752530	323147	Mrs. Gates
752530	328587	Betty Carson
752530	360514	
752530	366765	Linda Reynolds
752531	189795	
752532	177696	Akita
752533	117086	Gena Austin
752533	220959	Katey
752533	318716	Barbara Winters
752535	112746	Female voyeur
752536	11846	
752537	121363	Belle, Charlie's wife
752538	360436	Hot Tub Woman
752539	360436	Hot Tub Woman
752540	245816	Barmaid
752541	79775	Mrs. Jackson
752541	219047	Rita
752541	292415	Mrs. Sowerby
752541	306944	
752541	330444	Velvey
752541	364782	Girl on Grave
752541	383409	Alice
752541	403777	Aunt Ida
752542	45594	Ingrid (The Stripper)
752542	69013	Rosemary
752542	115250	Carol Edwards
752542	119599	Rosemary
752542	129805	Carol/Go Girl
752542	184482	Laurie Gordon
752542	197755	Trudi
752542	203335	Angel
752542	235510	Karen Williams
752542	246214	Candy Bubbles
752542	342597	Gerta
752542	350160	Pottinger's Secretary
752542	365560	Miss Adams
752542	379593	Leslie Willis
752542	385020	Lorna Shawcross (1971)
752543	110273	
752543	133332	Anne Arthur
752543	151380	The Interviewer
752544	126569	Restaurant Customer
752545	190780	Mammy
752546	57235	Herself (historian)
752547	74580	Laura
752547	103708	
752547	137865	
752548	93872	La mère adoptive
752549	13990	Big Red
752549	26289	Postmaster
752549	68276	Hooker 1
752549	104943	Marge
752549	130666	Polani
752549	213226	Nurse
752550	29648	Mammy Lou
752550	32528	
752550	37005	Ophelia
752550	79820	
752550	105850	Mammy
752550	123368	Marietta
752550	142304	Mandy, the housekeeper
752550	195863	Caresse
752550	289186	Tressie
752550	289659	Mandy
752550	303510	Mammy
752551	71392	Hortense
752551	234827	
752552	295853	Herself
752553	127097	Carol
752553	185253	Syb #2
752554	148370	
752556	33033	Herself
752556	90378	Heath's Secretary
752556	125076	Vera
752556	328188	Herself
752556	332065	Patricia Fearing
752557	47007	Sister Young
752558	347697	
752559	53318	Student
752561	205783	
752561	290789	Freundin von Diego
752562	240556	
752562	312704	
752563	32217	Cora
752564	240315	Slave Woman
752564	336559	Dorothy
752564	403708	Laura
752566	193900	
752566	364363	Bella
752567	302467	
752568	37452	Web Girl
752568	187460	Goodis
752568	365183	Dancer
752569	66306	
752569	70166	Mrs. Citizen
752569	80682	Maid
752569	115804	
752569	120579	Girl
752569	129164	Lucienne Bocard
752569	130715	Mrs. Citizen
752569	143347	Vera Trenchard
752569	151223	Mrs. Citizen
752569	157684	Pollie Hills
752569	169670	Euphemia
752569	188422	A girl
752569	190752	Jess Kissock
752569	195126	Lady Loudwater
752569	208693	
752569	316934	Mrs. Citizen
752569	328009	Zerlina (segment "Don Juan")
752569	339075	Mabel Manderson
752569	348956	Vittoria
752569	358843	Pauline Highbrow
752569	358852	The Girl
752569	358853	Pauline
752569	358856	Mrs. Walter
752569	358857	Miss Wager
752569	358858	Mrs. Walter
752569	358859	
752569	358861	Lady Victoria
752569	358863	
752569	362975	
752570	17918	Ulli Brackmann
752570	29400	
752570	60675	Valerie
752570	101335	
752570	127514	Jutta Flamm
752570	142093	
752570	172171	Marianne
752570	203401	Wanja
752570	225130	Christina
752570	225137	Ursula Schumann
752570	225631	Gustl
752570	289896	
752570	334337	Sister Helle
752570	336527	
752571	55396	Herself
752571	64813	Nettie Anselmo
752571	133720	Host
752571	335479	Elsa Valdine
752572	81135	Jean Genevieve Valiton
752573	5659	
752573	24091	Erika
752573	36474	Leontine
752573	112280	Gräfin Rosine
752573	115699	
752573	119724	Daisy Kessner
752573	120154	Charlotte von Erdmannsdorf
752573	129666	
752573	142079	Helly
752573	144153	Ebba Hartwig, Laborantin
752573	155353	
752573	181167	Nina Rakowska
752573	203403	Irms Topelius, Schwester von 
752573	210075	
752573	225147	Irene Lawrence
752573	226244	Gisela Brückmann
752573	263376	
752573	275044	
752573	284114	
752573	290175	
752573	290446	
752573	290802	
752573	338396	Die Zofe
752573	347761	
752573	354059	Käthe
752574	354791	Ellen Tinker (prostitute-vict
752576	390523	Julia Glover (1986-1988)
752577	26563	Maenad (chorus)
752578	234659	Dog
752579	119436	Lori's Mother
752579	130311	Dolly Parton Look-Alike
752579	333120	Wired Woman
752580	98625	
752582	72395	Kristin
752583	289372	Featured Extra
752584	213147	
752585	16470	Sue, Wainwright Coed on Train
752585	37310	Ruth Carter
752585	143588	Miss Brown
752585	175175	Ann 'Annie' Darrison
752585	203585	Girl
752585	209592	Autograph hound
752585	217946	Depositor
752585	253501	
752585	272025	Kitty Chilcet
752585	287749	Charlotte Davis
752585	289687	Ruth Savage
752585	301266	Leah St. Aubyn
752585	308604	Nadya Stepanova
752585	316482	Girl
752585	320197	Party Guest
752585	331619	Mary Tyler
752585	333779	Cora Edwards Bowzer
752585	372588	Susan Evans
752585	397895	Susan Martin (1951)
752586	210960	Newscaster #5
752587	282917	Girl
752588	114313	Employment Agent #2
752589	259492	
752590	66941	Police Woman
752591	159672	Brita's Mother
752591	321927	Ingebjörg Granliden
752591	341540	rouva Pierrot
752592	247902	Maid Marion
752592	384660	Herself - Presenter
752593	116047	Julia
752593	257305	Fancy
752593	342413	
752594	368130	Plum
752595	116954	Angela
752595	178125	Young Nikki
752596	361159	Christina Freeman
752597	311038	Chainsaw Nurse
752598	217448	Classroom student
752600	41219	Gail Waterman
752601	216312	Helena Jackman
752602	214087	
752602	317536	Rhea
752603	109524	Restaurant waitress
752603	119437	Woman in Plane
752603	131239	Woman of the town
752603	166242	Maid
752603	199144	
752603	223833	Frumpy Woman
752603	232231	Wilma Krankheimer
752603	272647	Beggar Woman
752604	225641	Schwester
752605	157785	Emily Rahn
752605	328807	Celebrity Participant
752605	385020	Cilla Brown (2003-)
752606	297105	Arnold's Secretary
752607	53564	First Nations Zombie
752608	150136	Hannie
752608	207210	Themselves
752608	366522	
752609	92411	Germaine, ihre Nichte
752609	109130	Mary Powell
752609	124984	
752609	239902	
752609	290725	
752610	9884	Settler
752610	134245	Audience member
752610	135967	Girl In Park
752610	233840	Audience member
752610	368659	Playground child
752611	9884	Settler
752611	134245	Audience member
752611	135967	Claude Sweeney's daughter
752611	233840	Audience member
752612	46355	Girl
752612	116750	Desiree
752613	373618	Line
752614	189676	Seine Frau (part 1)
752615	17559	Anna Kleiber
752615	18437	Moeder
752615	25258	Müller
752615	43982	
752615	46965	Moeder
752615	48162	
752615	48257	Geertrui
752615	78515	Mie Rap
752615	91255	Filomeen
752615	93627	Vrouw van Peachum
752615	101334	Priscilla Nash
752615	102289	
752615	110548	Herself
752615	110551	Emilia Verstappen
752615	126181	Moeder
752615	126381	Moeder Ann
752615	130835	Liga van de Pels
752615	141735	Weduwe Biro
752615	141776	Zuster Abdis
752615	141798	Juliane Tesman
752615	148370	Yvonne
752615	148624	Mme Annelet
752615	152363	Adinda
752615	157585	Stella
752615	165243	Germaine Radoux
752615	165367	Moeder van Alwina
752615	169013	Mevrouw Leimgruber
752615	174407	Echtgenote van de voorzitter
752615	174842	Valeria
752615	179475	Dora, moeder van Sarah
752615	187081	Landlady
752615	197214	Moeder
752615	203408	Ma Mère
752615	204531	Denise
752615	213564	
752615	214897	Hospita
752615	226332	Ellen
752615	242864	
752615	243293	Sekretaresse
752615	249735	Clementine
752615	251016	Paulette
752615	257105	Marraine
752615	275660	Madame Delachaume
752615	282891	Marie de Medicis
752615	285011	
752615	290032	Marceline Hofstadt
752615	316122	Cafébezitster
752615	331968	Florke Van De Wiele-Bomans-Ro
752615	357359	Moeder van Erik
752615	373797	Moe
752615	373877	Jeanne
752615	374085	Tante Meme
752615	374655	Mariette
752615	374656	Conciërge
752615	375791	Eugénie Krantz
752615	381006	Waardin
752615	384311	Zulma
752615	391491	Oma
752615	392731	Mevrouw Huisman
752615	394142	Emma
752615	394333	Gwin de Witte Vrouw
752615	396460	Katrijn
752615	397445	Boerin
752615	397484	Ant Veraart
752615	400294	Anna de Ketelaere (1991)
752615	400801	Clotilde de Mulder
752615	402838	Ramona
752615	404223	Jeanine De Bolle (1993-)
752615	405653	Melanie
752615	408151	Florke Van De Wiele-Bomans-Ro
752615	408739	Gusta
752615	409887	
752615	409974	
752615	410401	Madame van Waefelghem
752615	411116	Fien Janssens
752615	412092	Elspet
752616	21375	Petite
752617	242752	Herself - Nurse
752618	354477	
752619	338981	Herself
752620	338981	Herself
752621	55126	
752622	155231	
752623	295277	Matilda Sager
752624	143219	Kunde
752624	403379	Assisting nurse
752625	381514	Herself (2000)
752626	7559	Godtfredsens sekretær
752626	26156	Solveig
752626	30160	Frk. Thomsens mor
752626	33511	Kvinden i toget
752626	45941	Postfunktionær
752626	48133	Husassistent
752626	53140	Ældre dame
752626	56087	Gammel Dame
752626	78435	Neighbour
752626	84307	Politimands kone
752626	95906	Fru Eriksen
752626	104644	Old Female Assistant
752626	114827	Fru Lynge
752626	116305	Else
752626	123502	
752626	123931	Pige til prøvefilmning
752626	153954	Bibliotekaren/Grænsevagten
752626	181075	
752626	181152	
752626	190840	Værtshusholderske Lizzie
752626	205594	Alice's friend
752626	213336	Ældre dame i tv-studie
752626	213439	Pastorens kone
752626	213440	Anna
752626	219005	Frk. Baunsø
752626	237084	Kioskdame
752626	238555	Theodora
752626	241975	Middagsgæst
752626	252629	Fru Petersen
752626	259789	Guest
752626	275626	Frk. Mortensen
752626	300976	Sarita Myrtle
752626	307325	Kokken/Frk. Petersen
752626	309292	Jomfru Rottbøll
752626	318608	Nun
752626	338696	Stuepigen Marie
752626	343374	
752626	365016	Sofie
752626	372330	Admiral's wife
752626	383948	Ældre Dame i Cafeteria
752626	397074	Direktrice i Damernes Magasin
752626	399892	Ekspeditrice
752626	403380	Old Lady
752627	405304	Herself - Resident, Plejehjem
752628	141656	Mrs. Kopestonsky
752628	275784	Cynthia
752629	266366	Birgitta
752630	13360	Teacher
752631	37971	Stage Hand
752632	294660	
752632	329672	
752632	388082	????-1997
752633	160050	Maria's Neighbour
752634	280218	Connies mor
752635	115384	Marilyn
752636	16897	Debbie
752637	385824	Jennifer Rose Horton (#2) (19
752638	46676	Herself
752639	391750	Herself (Anlægsgartner) (2000
752640	48345	
752641	295277	Elizabeth Sager
752643	214026	
752643	322476	Maren
752644	108933	Ilsa
752644	253976	Teresa
752644	301945	Interpreter
752644	399816	Christina Vettare (1976)
752644	411809	Erica Hoffman Shaw (1978-1980
752645	65432	Dolores
752645	366653	Talley
752646	51381	Arlette Stavisky
752646	82507	
752646	111682	Mme Misseron
752646	118960	Elisabeth
752646	196978	Igea
752646	208185	Edmée
752646	269140	Milady
752646	303615	Roxane
752646	340192	Cécile
752646	384576	Marie-Claude Mancier
752646	385602	Diane
752646	402357	
752647	30160	Beboer i kvarteret
752648	16724	Lizbeth
752648	52017	Cassie
752648	199979	Girl
752648	231088	Kid #4
752648	283546	Young Lauren
752648	328603	Jennifer Gatley (segment "Bob
752648	335380	Girl (English Version 2004)
752648	363415	Americus Nation
752648	369187	Young Cate/Cate's Daughter
752649	181304	
752650	178721	Herself
752651	120969	Female Christ (segment "Den k
752651	238556	Ofelia
752651	338698	
752652	171577	Pirkko, secretary
752653	3017	
752654	155684	Mongol
752654	370801	Mongol
752655	145572	Library Looker
752656	368121	Louise
752657	51295	Kitt
752658	123885	
752658	278332	
752658	319937	Lis
752659	7806	Alice
752660	50977	Rannvá's daughter
752662	13360	School Girl
752663	67350	
752664	2487	Prostitute
752665	144351	
752665	160404	Walti's Mother
752665	284858	Hilde Seiffert
752665	317507	Erna Machunze
752665	324699	
752666	29905	Lena - 13 år
752667	7684	Identity Crisis
752668	399880	Herself
752669	306055	
752670	386750	Trisha Stone (1963-1966)
752671	182629	Kay
752672	123501	Laungestewardesse
752673	706	
752674	405332	Herself - Host
752674	409168	Herself - Weather Forecaster
752675	22844	Karen Iversens Barn 1
752676	93903	Herself: Biskop
752677	182457	
752677	320228	
752679	295277	Lousia Sager
752680	378936	Participant (2001)
752681	178007	Mannequin
752682	182849	
752683	159641	Anne
752684	407109	Herself (2004)
752685	409298	Aggie (2000)
752686	119275	
752686	125059	
752686	125119	
752686	151887	
752687	16105	Jenny
752687	17749	Dancer
752687	34669	Gretchen
752687	53320	Cindy Mancini
752687	55158	Trisha Mills
752687	106062	Lori Swenson
752687	109617	Valerie
752687	142370	Michelle Ferguson
752687	186406	Diana
752687	191513	Donna Lumis
752687	195329	Stephanie
752687	261270	Abigail Baywood
752687	366080	Julie Moore
752687	382507	Squirt Sawyer
752687	411672	Sunny Sisk
752687	411673	Sunny Sisk
752688	233840	Silicone Brunette
752689	99212	Customer at the Gate
752690	162292	Wedding Guest
752691	349121	Saleslady
752692	186406	Venus
752693	86982	Bettina
752693	155526	Sonija Astrov
752693	217507	Katherine
752693	233989	Margaret
752693	286464	Emily
752694	190702	Kid with Dad #2
752695	190702	Kid with Dad #1
752696	6985	Little Party Girl
752696	327632	Guest
752697	344432	Raven, Additiomal Voices
752698	360270	Ashe Blonde
752699	89888	
752699	242517	
752700	55218	Myrt
752701	19808	Worshipper
752702	8965	
752702	32118	Theodosia Burr
752702	116784	Jane Tompkins
752702	286132	Undetermined Role
752702	292607	Nurse
752702	295404	The Maid
752702	315305	
752703	16331	Herself
752704	245230	Isabella
752704	385926	Elizabeth du Plessis
752705	94018	Maria Lasala
752706	17992	Biker Girl
752707	51381	Arlette Stavisky
752708	380515	
752708	387573	Lucía Prieto
752708	398165	María
752708	398995	Valeria
752708	399145	
752708	401152	Sandra
752708	402172	
752708	405916	Brigitte
752708	409957	Perla Gómez (1999-2000)
752710	154517	First Nurse
752711	318776	Phone Lady #1
752712	5909	Roxy
752712	11750	Sorais
752712	23444	Herself
752712	23460	Elvira
752712	28309	Angie Stoddard
752712	42338	Elvira, Mistress of the Dark
752712	46755	Herself
752712	60273	Hostage
752712	66322	Dinner Party Guest
752712	80969	Herself
752712	82731	Sabrina Williams
752712	97206	Sheri
752712	99572	Elvira, Mistress of the Dark/
752712	99573	Elvira/(Aunt) Morgana Talbot
752712	100747	Elvira, Mistress of the Dark
752712	108585	Herself
752712	113039	Elvira
752712	126538	Elvira(segment "Born in East 
752712	141534	Elvira
752712	152429	Herself
752712	166637	Busty Nurse
752712	168129	Herself
752712	177475	Neighbor
752712	185474	Elvira
752712	200347	Elvira
752712	218382	Herself
752712	251743	Biker Mama
752712	258098	Party Girl
752712	278484	Jennifer
752712	280740	
752712	289552	Elvira
752712	314923	O'Malley's Girl
752712	317120	Girl with Lugs
752712	319710	Elvira
752712	326602	Lisa
752712	331771	Herself
752712	345709	Various Characters
752712	368321	Katya
752712	368817	Elvira
752712	387496	Elvira, Mistress of the Dark
752712	391269	Elvira
752712	398327	Elvira
752712	403097	The Hostess
752713	406847	Aparecida
752714	193000	Carla
752715	192726	Grace
752716	29703	La princesse Hermia
752717	183400	
752718	58469	
752718	131744	
752718	187411	
752718	320976	
752718	320978	
752718	320983	
752718	340484	Psychiatric patient
752719	34785	
752720	78182	Dancers In Club
752721	192282	Herself/Equality for Gays & L
752722	87559	Jenna
752723	29264	The Lovebeats band member
752723	137251	Bobby Russo's Daughter
752724	18603	Airline passenger
752725	207184	
752725	292578	
752726	398606	Herself (1954)
752727	232470	Bad Auditionee
752728	196627	Herself
752729	20336	Ma Parsons
752729	53821	Nurse
752729	144468	Lynn
752729	188348	Jack's girlfriend
752729	203670	Hooker #1
752729	213097	
752729	231106	Socialitie
752729	245016	Woman in Car
752730	2773	Adela Rondell
752730	9022	Mrs. Chester
752730	21509	Mil Shaw
752730	23590	Mrs. Wallace
752730	31831	Mary Fitzpatrick
752730	33739	Baroness Irene von Hausmann
752730	37946	Mrs. Jackson
752730	44951	Mrs. Dale
752730	46404	Annie Decker
752730	50204	Mrs. Tinker
752730	51641	Lilly Blake
752730	52427	Silas' Wife
752730	60343	Mrs. Bishop, Ella's Mother
752730	69338	Mrs. Koslov
752730	71718	Nurse Katherine Kennedy
752730	78986	Miss Wainwright
752730	84898	Mrs. Jennie Stevens
752730	99949	Mrs. Winthrop
752730	103184	
752730	107181	Mrs. Mason
752730	114649	Mrs. Pepper
752730	114650	Mrs. Pepper
752730	114651	Mrs. Pepper
752730	116222	Mrs. Edith Corrigan, Doug's M
752730	117340	Helen
752730	119377	Mrs. Duncan
752730	128327	Mrs. McCarthy
752730	128827	Jane Lennox
752730	142872	Mrs. Aldrich
752730	143202	Dorothy Powell
752730	147401	Mary Shane
752730	152925	Mary Harris
752730	154972	Thelma
752730	183330	Mrs. Stanton
752730	190057	A Patient
752730	190858	Cynthia Leonard
752730	203208	Lola DeWinters
752730	203293	Bessie Bennett
752730	208696	Mrs. Smith, Jimmy's Mother
752730	210764	Nurse Mary
752730	218704	Mother
752730	220085	Mary Williams
752730	221124	Manby
752730	232344	Edith Blair
752730	245254	Mrs. Pepper
752730	249586	Kate
752730	251276	Annie Marble
752730	251643	Aunt Lily Clay
752730	252299	Mrs. Mary Schofield
752730	267596	Mrs. McCoy
752730	273798	Mrs. Jennison
752730	274726	Mrs. Putnam
752730	276939	Katherine Kennedy
752730	277641	Katherine Trumbull
752730	277913	Mrs. Martin
752730	284905	Edith
752730	284916	Mrs. Mason
752730	298021	Mrs. Miller
752730	300912	Mrs. Richards
752730	303232	Agnes
752730	304375	Rose Breen
752730	306397	Maartje Pool
752730	306791	Mrs. Kate Harrigan
752730	321101	Mrs. Henry Foster
752730	329437	Minta Hagen
752730	330797	Mrs. Nelson
752730	330809	Aunt Betsy
752730	331769	
752730	335643	Gertrude Houlihan
752730	338550	Martha Hall
752730	338778	Mrs. Hawkins
752730	342755	Kathleen O'Donnell
752730	345719	Cicily
752730	345775	Margaret Day
752730	345981	Susan Nash
752730	348311	Mrs. Marshall
752730	360153	Runaway Rosie
752730	362666	Mrs. Margaret Randall
752730	363123	Mrs. Benson
752730	367530	Mrs. Wanley
752730	367833	Sister Frances
752731	267932	Narrator
752732	47132	Circus performer
752732	308632	
752732	360837	
752732	363292	Bit part
752733	366743	Visitor
752734	160401	
752735	88102	Miss Crawford
752735	306814	Midwife
752736	20625	Extra
752736	37104	
752736	47343	Woman
752736	69338	Actress
752736	90255	Woman with Henry
752736	99856	Bit Part
752736	105947	Icy Lady
752736	106011	Miss Stack
752736	113885	Actress
752736	121819	Female buyer
752736	129088	Young Woman
752736	130712	Party Guest
752736	135563	Emma, Vera's Maid
752736	143267	Cabaret woman
752736	150797	Mrs. Hanson
752736	163961	Yacht Guest
752736	199272	Martha, Angela's Maid
752736	209592	Bit part
752736	249022	Hairdresser
752736	341969	Bit Role
752737	1381	Head Hospital Nurse
752738	190252	Myrna Clement
752739	377902	Mrs. Santore
752740	159770	Megan
752740	339834	Young Carrie Watts
752741	127730	Judge #1
752742	75802	Haley
752743	68248	
752744	46981	CA Woman
752745	260406	
752746	14258	American Painter
752746	94639	
752747	355028	The Academy's Blessed 'Virgin
752748	358634	Chruch Lady
752749	62579	Garbage Picker
752750	127530	Abigail Prince
752750	389416	Mrs. Swigert
752751	69895	Major Russell's Daughter
752752	160971	Frances
752754	236972	Toy Theater
752755	80969	Postal Signer
752756	26525	Housekeeper
752756	31672	Party Guest #5
752756	158273	Maria Ramirez
752756	187703	Cheryl Smith
752756	210730	Billy's Sister
752756	362277	Sarina
752756	397617	Mary Lou
752757	142554	Reenactment Corina
752758	144804	Laura's Sister
752758	359902	Jessica
752759	56545	Herself
752760	92694	Ballroom Dancer
752761	188873	Elin
752762	94957	Additional Voices
752763	80782	Cemetery Extra
752763	81260	Sparrow, Bar Waitress
752764	1793	Miss February 1987
752764	148335	Herself
752764	257645	Herself (Miss November)
752765	193521	Private School Guide
752765	264205	Betty
752766	317309	Bonnie & Clyde Musical Audien
752766	335566	Herself
752767	245179	Herself
752768	191994	General's Secretary
752769	109076	Young Brigit
752769	148426	Dicey Tillerman
752769	185385	Karen
752769	187325	Karen Lacy
752769	263741	Kelsey Cunningham
752769	292335	Dawn Cottrell
752770	48343	Irene
752770	187836	
752771	185594	Eva
752772	186633	Julie Schoenbjorn
752773	215902	Carmel tour Guide
752774	93238	
752774	194062	Carolyn (Adult)
752774	288738	Lizzie Borden
752775	39655	Lucy Horton
752775	60186	Mrs. Plecki
752775	66649	Ione Flowers
752775	92736	Granny Mundy
752775	109666	Martha Busek
752775	148524	Mrs. Edwards
752775	166567	Church Lady #2
752775	177695	Laura Frazier
752775	190332	Mrs. Carlson
752775	192596	Gwen
752775	247216	Betty
752775	247572	Jeanette
752775	254619	Mary Jo Patterson
752775	255684	
752775	276923	Mrs. Parish
752775	283469	Mrs. Wilson
752775	293644	Music Teacher
752775	308005	Enid
752775	323389	Ruth
752775	364611	Leola Mae's Mother
752775	380391	Marie Fenton (1983)/Helen D'A
752775	382468	Doris Bonino
752775	384568	Ione Flowers
752775	388862	Martha Skerba/Driscoll (1964-
752775	404613	Isabel Moore (1962-1964)/Evel
752775	411811	Faye Bannister #1 (1959-1961)
752776	69047	Stryker's Secretary
752776	150014	
752776	221055	Mrs. Denby
752776	293085	Holly
752777	80390	
752778	267650	Woman in Cafe
752779	347421	
752780	28791	Ruth (Casting Director)
752780	196117	Pamela
752780	252570	Martha
752780	304477	Slam Poet 'Ice Cream'
752781	82662	
752781	103331	Survey Girl
752781	160560	Showgirl
752781	193509	Cassandra
752781	216737	
752781	296020	Thorpe's Secretary
752781	400236	Karen Reeder (2003)
752782	143565	Basketball player
752783	108956	Party Family
752783	270931	Driver
752784	312680	
752785	16464	Herself/Charlene Darling
752785	16483	Herself
752785	16686	Mrs. Toback
752785	195610	Rose Ellen Wilkerson
752785	245693	Ellie, Crawford's Daughter
752785	258051	First Woman
752785	276868	Charlene Darling
752785	313625	Dispatch Operator
752785	372244	Jennifer
752785	380225	Charlene Darling (1963-1964, 
752785	382043	Susie
752786	316926	Kit Anderson
752787	376399	
752788	20135	Les Jeunes Filles (segment "A
752788	91643	Marie-Hélène
752788	106048	Kate
752788	116966	Françoise
752788	171005	Christine
752788	184795	Dr. Lauren Brint
752788	282017	
752788	346563	Florence
752788	353828	Véra
752788	356509	
752788	370057	Noëlle Réglisson
752788	389940	Anne De Balbi
752788	400378	Patricia
752788	405929	Adrienne
752789	194966	Stenographer
752789	195744	Hat Check Girl
752789	247371	Pearl
752789	328757	
752790	113927	Shannon Murphy
752791	390771	Nell Cleary (1995-1996)
752792	39653	Detective #1
752792	289456	Susan Hayward
752793	10317	Mrs. Maloney
752793	11258	
752793	30359	Dr. Campbell
752793	99850	Mrs. Quinn
752793	159012	Rob's Mom
752793	185168	
752793	328595	Computer Operator
752793	356351	Nurse
752794	30463	Angel
752795	18383	Iras
752795	59133	
752795	79002	Mrs. Lydell
752795	207099	Pretty W.A.C. Receptionist
752795	255694	Hazel
752795	353278	Jennifer
752797	128847	Carhop
752797	144683	Trudy Osborne
752797	195189	Nina Duprez, alias Minette La
752797	299972	The Daughter
752798	347115	Cailin
752799	49366	Josette
752799	62699	Tanya
752799	150568	Vera Klingenberg-Faber
752799	322454	Minken
752800	115179	Dancer
752800	281723	Suzan Sackstone
752800	356742	Sophie Hiller
752800	389361	Vera Klingenberg
752801	108773	Jeanne
752802	150075	Jessica Cheer Girl
752802	201816	Herself
752802	333205	Cindy
752802	390979	Amy Wright (1996-1997)
752803	255414	Francie
752804	265005	Nudist
752804	302724	Sister Gertrude
752805	34380	Mary
752805	222731	Sylvia Armitage
752806	105042	Julie
752807	396555	Hostess
752808	30646	Practice Team/Cheerleaders
752808	92862	Bar Fight Spectator
752809	35526	Charlie
752809	41148	Dina Reese
752809	72290	Debbie
752809	76556	Daphne Hutchinson
752809	115517	Scientist #2
752809	144860	Jackie Hawkes
752809	191760	Female Doctor
752809	223885	Doris
752809	263360	Saleswoman (Beverly Hills)
752809	275871	Mrs. O'Neil
752809	354164	Donna's Mom
752809	381066	Arlene Mandell
752809	391539	Jackie Hawkes
752810	2351	Waitress
752810	12764	Saleslady
752810	59612	Renee Jacquard
752810	59867	Newspaper Secretary
752810	133653	Desk nurse
752810	145556	Mary Hollins
752810	169167	Switchboard Operator
752810	284916	Society woman
752810	297931	Waitress
752812	124123	Iris
752812	166567	Nurse
752813	387490	Laura
752814	286873	Runaway
752815	98356	Miss Fitch
752815	169950	Jackie Coverdale
752815	361183	1st technician
752815	386619	Helen Underwood
752815	399723	Margaret Simmons
752816	142527	Crazy #2
752816	329309	Tony's friend #2
752817	319926	
752818	71192	
752819	150924	Cute patient
752820	6908	Betty
752820	26343	Mabel
752820	109862	Secretary
752820	220907	Cheerleader
752820	313076	Dancer
752821	323824	Lola (segment "Fighting Spiri
752822	29264	The Lovebeats band member
752822	83988	Hippie mob killer
752822	137251	Bobby Russo's Daughter
752822	144772	
752822	196357	Jeannie
752822	279981	
752823	380918	Moderator (1952-1954)
752824	391508	Jen
752825	3161	Teacher/Woman giving birth
752826	389599	Herself
752827	395825	Psykologen
752828	78486	Herself (performing 'Casino')
752829	403535	Herself - Participant (2004)
752829	403536	Herself - Participant (2004)
752830	281438	Matron
752830	359486	
752831	204047	
752832	251315	Veska
752832	261305	
752832	339314	
752833	381821	Ensemble (1976-1977)
752834	381821	Ensemble (1980-1983)
752835	313699	Chairwoman
752836	108867	Reporter
752837	85702	Soeur Constance (soprano)
752837	101751	Blonde
752837	159016	4ème entrée - Les Sauvages: Z
752837	243775	Amour
752838	274600	Host
752839	28545	
752841	28249	
752841	330010	Herself - Irra Petina
752842	135919	Indian Girl
752843	33279	Une tuberculeuse
752844	45736	La journaliste
752844	265467	La joueuse bowling
752844	404804	Germaine
752845	59699	
752845	190910	
752845	336979	
752845	340118	
752848	106474	
752849	202706	Sonia
752849	381143	
752850	1473	Marie
752850	58409	Bartender
752850	59258	
752850	83185	
752850	85552	La mère de Joseph
752850	111863	
752850	146401	
752850	184054	Gisèle
752850	190745	
752850	235878	La fille blonde
752850	244742	
752850	247977	Corinne
752850	249359	
752850	254129	
752850	263896	
752850	282417	Nathalie
752850	345440	Fabienne
752850	353880	Aurélia
752850	390662	Various characters
752851	248914	Nude Dancer
752852	131015	Axelle
752852	309980	Petite Alice
752853	23904	Mme Verny
752854	314394	
752855	298439	Sammy Lane
752856	197985	
752857	64949	Les "Panthères"
752858	77353	
752858	83217	
752858	122924	
752858	218302	
752859	283653	
752859	384746	
752859	391924	Mabel
752859	408486	Diane
752860	124323	Lucienne
752861	23685	
752862	134492	
752863	270453	
752863	292348	Mme Pignalele
752864	120979	Petite-fille de Jean
752865	17081	L'Esmenarde
752865	58734	La chanteuse des rues
752867	167874	L'infirmière
752869	13100	
752871	348598	Sally
752873	4773	Hélène
752873	7434	Christine Fiesco
752873	17017	Ilse
752873	34297	Wendi
752873	42601	Giletta
752873	45897	Giuditta
752873	50792	Irène
752873	55332	Lotty
752873	68413	Marion
752873	71073	Pilar Perez
752873	73634	Maria
752873	83179	Jenny
752873	86056	Jeanine Raush
752873	89579	
752873	96165	Daniele
752873	107382	Agathe
752873	119214	Duchess Elisa
752873	134826	Maria
752873	168314	Lisa Martin
752873	170429	Julie
752873	182915	Maureen
752873	188609	Margarita 'Rita' Passi
752873	199574	Solange
752873	248059	Simone
752873	269025	Esmeralda
752873	274907	Cleopatra
752873	287588	Mireille Rampin
752873	296425	
752873	301199	
752873	309150	Mary Warren
752873	316122	Ann
752873	320231	Caroline
752873	323072	
752873	339539	Mic
752873	345146	Delphine
752873	346574	Manette
752873	346787	Rosalie
752873	352511	
752873	354585	Fernande Boulard
752873	361007	Miriam
752873	376319	
752873	383649	Sara la Noire
752873	384168	L'espionne
752873	395493	Liliane
752873	399756	Delphine
752873	409440	
752874	64949	Les "Panthères"
752876	100249	
752876	406790	
752877	214294	
752878	83175	Ninon Lancret
752878	112817	
752878	183889	The marquise
752878	187922	
752878	198344	Tante Marise
752878	199197	Mrs. Grosvenor
752878	217404	
752878	261018	
752878	301663	Mrs. Carlingford
752878	377717	
752878	377842	
752879	38084	
752880	15010	Madame Gaillac
752880	51726	Clarinetist's mother
752880	64011	1st Concierge
752880	73077	La voisine
752880	87660	Baker's Wife
752880	101233	Dressmaker
752880	126258	Veuve Désir
752880	166163	Jacqueline
752880	166565	Dressmaker
752880	199369	Raymonde
752880	208715	
752880	208806	Germaine
752880	215606	
752880	222817	Laundress
752880	240497	Marthe
752880	246653	
752880	251007	
752880	275110	
752880	276517	
752880	279430	Mrs. Barritou
752880	280530	
752880	330197	Denise
752880	342611	Irina
752880	345246	
752880	350062	Mother Superior
752880	355877	Patronne bistrot village
752880	392369	Mme Lanion
752880	396817	Mérange
752880	397192	
752880	410144	
752881	125223	Ingrid
752882	294790	The Black Widow
752883	369	Madame Martin
752883	2968	Institutrice
752883	45120	Ségolène
752883	58000	
752883	67037	Marion
752883	69469	Dr. Monnier's Secretary
752883	72402	Anne
752883	73472	Françoise
752883	74912	Carole
752883	91977	La Gardienne
752883	101426	Madame Vardot
752883	112855	Bride
752883	130724	
752883	133164	Lucie
752883	146954	Mlle Coutaz
752883	148672	Viviane
752883	166670	Madame Bertrand
752883	200941	Jeanne Boyer
752883	200965	Madame Cornet
752883	217651	Micheline
752883	240288	Therapist
752883	253522	Lucie
752883	264212	Madame Sophie
752883	278024	Baronne d'Oberkirchner
752883	301155	Christine, la mère
752883	325343	A passer-by
752883	332139	Edwige's mother
752883	355806	
752883	379655	Madame Hubert
752883	379805	
752883	400631	Mathilde (1999-2000)
752883	401329	Nicole Gramont
752884	52856	
752885	206008	La veuve Pichard
752887	240600	Rosette
752887	284518	Germaine
752887	316357	
752887	371908	The Doctor
752888	100280	Monique
752888	166129	La Representante
752888	186192	Dame Denise
752888	202341	La secrétaire
752888	286318	La mère
752888	383356	
752889	114871	
752889	205204	
752890	190738	Herself
752891	2937	
752891	34758	
752891	41034	
752891	41076	Herself
752891	44473	
752891	52009	
752891	62490	
752891	75191	
752891	81391	
752891	87461	
752891	91836	
752891	102809	Herself
752891	190679	
752891	194657	
752891	242066	
752891	271828	Roxanne, T.J.'s girl
752891	313219	
752891	313254	
752891	313285	
752891	321018	
752891	348026	
752891	369902	
752891	369913	
752892	42056	Concert Guest
752892	139607	Baby Bigfoot
752892	245498	Inmate
752892	346142	Hotel Rainbow Guest
752893	216774	Une manifestante
752894	296524	
752895	351976	
752896	188227	Race Track Bettors
752897	5009	Hairdresser
752898	333143	Little girl
752899	407815	Herself (Single) (2003)
752900	259609	
752900	259650	Ursula
752900	325544	
752900	361448	
752900	374366	
752901	328770	
752902	103565	
752903	180780	
752904	189077	
752905	179795	
752905	229279	Pepa (Zima)
752906	337221	
752907	269717	La chanteuse
752908	103565	
752909	178835	Maykata
752910	82102	Svekarvata na Elka
752911	6437	
752912	373567	
752913	9353	Dancer
752914	354325	Svetlana, kerka na Klime
752915	28414	Prodavacica
752916	86243	Julieta
752916	397522	Suellen Madeira
752917	395832	Radmila
752918	288862	Herself
752919	46187	
752919	48459	Dusica
752919	92357	Klara
752919	147567	
752919	172463	
752919	215997	Madam Patu
752919	244580	Marija
752919	249478	Jelena
752919	261946	Marija
752919	284865	
752919	305192	
752919	341450	
752919	349684	Mlada zena
752919	390660	Lepa
752919	394690	
752919	400481	Marija
752919	401991	Marija Simeunovic
752919	402119	
752920	104779	Macedonian vote presenter
752921	287607	
752922	257731	Mandy
752923	395090	Persa
752924	97121	
752924	104106	Herself - Tiktak vocals
752924	130285	
752924	164516	Sister
752924	229594	Nekro-gang member
752924	278695	
752924	339915	
752924	399350	Herself (eliminated round 7)
752924	404123	
752925	90330	Mrs. Kay
752925	117154	Miss Jenks
752925	126589	Donna, the Photographer
752925	130149	
752925	147409	Mrs. Page
752925	150314	Wife at Picnic
752925	162578	Lady of leisure
752925	170309	Redhead
752925	178204	Dixie Cate
752925	193805	Mrs. Anderson
752925	196336	Mrs. Sacaccio
752925	256640	Lola
752925	335247	Millie
752925	363046	Kate
752925	368549	Pretty Girl
752925	372729	Mrs. Morse
752925	372828	Wilma, the Cashier
752926	39849	Girlfriend
752926	102115	Copter Traffic Reporter
752926	403988	Tatiana
752928	262586	
752929	339345	
752930	44343	Yoga vjezbacica #4
752931	14446	
752931	23608	
752931	37635	Eleonora
752931	66676	
752931	94912	
752931	156588	
752931	236784	
752931	324304	
752931	344438	Lucian's mother
752932	381631	
752933	400217	Ariël Visser (2002-2004)
752934	198337	Contadina
752936	268811	The girl
752937	53033	Julie (Vlad's Girlfriend)
752938	119622	Girl Gang Member
752939	157040	Lilo Braun
752940	283829	Zhena Shirika
752941	266173	
752942	68430	
752944	111259	
752945	322104	Masza
752946	97561	
752947	94176	Countess's Daughter
752948	53678	
752949	399657	Herself - Co-Host
752950	5543	Raven
752950	26844	Girl #1
752950	171483	Farah
752951	253522	Enfant de Dizou
752952	265463	
752953	73744	Schoolgirl
752954	238044	Herself
752956	83768	
752956	183497	
752956	189395	
752956	217115	
752956	307052	
752957	55928	Doll
752958	36613	Herself
752959	35054	
752960	42596	
752961	60550	
752962	236957	
752963	82791	
752964	176076	
752965	357697	
752966	297729	Jung child sitting on the sof
752967	5966	
752967	9709	
752967	50463	Jacqueline
752967	56604	
752967	57597	
752967	80353	
752967	86823	
752967	86886	
752967	89977	Mrs. Moscu
752967	95123	
752967	107172	Eva
752967	150555	
752967	157210	
752967	197368	
752967	236277	
752967	249847	
752967	261919	
752967	263949	
752967	272833	Ana
752967	293303	Magdalena
752967	302805	Iona
752967	314333	
752967	315922	
752967	350122	Ana
752968	22580	
752968	28717	Raluca
752968	92887	
752968	155754	
752968	325342	
752969	214495	
752969	377123	Ilonka
752970	223329	Tiffany
752971	349036	
752972	33687	La donna
752973	377057	
752974	18350	Tatjana Oppendorf
752975	40282	Blanche
752975	134766	
752975	231680	
752975	290784	Petra
752975	308230	
752976	215488	Herself-winner
752976	397888	Herself (2003)
752977	17667	Marie Welte
752977	142186	
752977	180097	Laura Spiegelberg
752977	187866	Irene Scheffler
752977	202732	Julia
752977	208427	Sozialbeamtin
752977	213291	Jacqueline (segment "Sabotage
752977	218965	Rita
752977	226346	Nachtschwester
752977	242760	Gilda Gerber
752977	322982	Claudia Brücken
752977	325883	Angela Meerbaum
752977	347649	Steffi
752977	352240	Anna
752977	357570	Nathalie
752977	361424	Mona Lutter
752977	408659	
752978	12812	
752978	15083	Thaïs
752978	57895	Clara Moor
752978	84248	Countess
752978	86820	Marta
752978	101819	Sonia Karpova
752978	150082	La Marquise Pipo
752978	183735	Madam
752978	188609	
752978	207594	Baronne du Maine
752978	214316	
752978	240584	
752978	275310	
752978	276105	Mado
752978	284504	Prostitute
752978	289565	Génia
752978	345470	Georgina
752978	346641	Mme Sauler
752978	354941	La femme du producteur
752978	390756	
752978	393336	Babou
752978	395620	Mary (segment "Mary")
752978	404129	Olga (1965)
752979	207973	
752979	291547	
752979	293358	Paquita
752979	353856	Fraulein Kate
752980	12631	
752980	24124	Milo Thiele
752980	82127	
752980	93465	Dienstmädchen Bertha
752980	108550	Sabine Schmidt
752980	108551	Sabine
752980	119243	Margaret
752980	142027	
752980	147168	
752980	198428	Frau Nietnagel
752980	218067	Inge, Monika's Friend
752980	225140	
752980	225181	
752980	225244	
752980	272780	Paula
752980	293542	
752980	324627	
752980	343761	
752980	344745	Lilly Mertens
752980	401298	Tante Klärchen
752980	409860	
752981	57057	Old Woman
752981	215122	
752981	356069	
752984	242665	
752985	193218	Laura
752985	252295	
752987	216387	
752987	225203	
752987	260407	Isabel
752988	11814	Ruth
752988	16955	Uta Kruse
752988	30131	Louise
752988	36481	Tante Lissy
752988	38771	Katja Pfeifer
752988	42168	
752988	48409	Elise Steininger
752988	80963	Gerta
752988	94800	Constanze Adler
752988	100919	Sabine
752988	111670	
752988	119125	Nurse
752988	120038	Ingeborga
752988	122566	Mutter (Off)
752988	126462	Julia Berger
752988	126832	Corinna
752988	134808	Ann
752988	138731	Susi
752988	145346	Paula Uhland
752988	155324	Hanna
752988	155449	Silvia
752988	177172	Fräulein Roth
752988	178192	Gudrun
752988	182758	Rita
752988	187595	Marianne
752988	193504	Frau Hansen
752988	209950	Mona
752988	217409	
752988	223818	Regina
752988	226180	
752988	226337	Johanna Schneider
752988	230247	Frau Blume
752988	231623	Marita
752988	254385	
752988	257268	Vera Frostenthal
752988	259451	Dorn
752988	259569	
752988	275169	Ella Maillart
752988	282222	Vivian
752988	290046	
752988	290050	Regina Maubach
752988	290501	
752988	290787	Gudrun
752988	325467	Helga Grimme
752988	325598	Judith Vorbeck
752988	325648	Judith Vorbeck
752988	325649	Judith Vorbeck
752988	325727	Judith Vorbeck
752988	325813	Martina Spilonska
752988	325913	
752988	334628	
752988	343665	Maria
752988	345665	Grete
752988	347574	Paula Finke
752988	352105	Doro
752988	352772	Ulrike
752988	356879	Margit
752988	361053	Olga (Mutter)
752988	376036	Frau Kößner, Sekretärin
752988	376284	Elise Steininger
752988	376285	Elise
752988	376287	Elise Steininger
752988	376288	Elise Steininger
752988	376289	Elise Steininger
752988	376290	Elise Steininger
752988	376291	Elise Steininger
752988	376292	Elise Steininger
752988	376293	Elise Steininger
752988	376294	Elise Steininger
752988	376295	Elise
752988	376296	Elise Steininger
752988	376297	Elise Steininger
752988	376298	Elise Steininger
752988	376299	Elise Steininger
752988	376300	Elise Steininger
752988	376772	Charlotte
752988	377355	Jana Kutter
752988	387034	Inge
752988	395049	
752988	403791	
752989	207096	
752990	4307	Woman in window
752990	359816	
752991	312721	L'infirmière blonde
752992	105393	Phyliss
752992	171297	Patsy the Drunk
752992	182948	Col. Cardamon
752992	346099	Woman Bartender
752993	7386	
752993	28414	Novinarka
752993	48457	Lisjen Omenides De Istangva
752993	52073	Komsinica
752993	73590	Radnica na salteru
752993	87188	Sluzbenica
752993	88368	Zivka Nedic
752993	94041	Seljanka
752993	95593	
752993	132610	Medicinska sestra
752993	173658	
752993	178458	
752993	182239	
752993	192890	
752993	209507	Herself (interviewed)
752993	209509	
752993	215996	
752993	221348	
752993	225944	
752993	227943	
752993	241006	
752993	244026	
752993	256731	
752993	258608	
752993	261348	
752993	267946	
752993	273096	
752993	286737	
752993	288346	
752993	288986	Roksa
752993	300808	
752993	303822	Starica
752993	305525	
752993	318895	
752993	320634	
752993	344327	
752993	344397	
752993	350680	Leposava
752993	351295	
752993	351337	
752993	352166	
752993	357494	
752993	379426	
752993	386526	
752993	386659	
752993	395834	
752993	397527	Nemanjina tetka
752993	397528	
752993	397529	
752993	399107	
752993	399133	Grozda
752993	405775	Brusicka
752994	137715	
752995	246909	
752996	78950	
752997	118128	
752998	251926	Lela
752998	405705	Dunja Vragec (1982-1989)
752999	192889	
752999	236019	
753000	395457	
753000	396547	
753000	400481	Zenska
753000	402026	Olgina prijateljica (III)
753001	348957	
753002	1057	
753002	266068	
753003	190171	TV reporter
753003	293744	Saleslady
753003	347244	Female news anchor
753004	354777	
753005	119144	Pechmarie
753005	153736	Mother
753006	59858	Tory
753006	357567	Nurse Ratchet
753007	109087	
753008	109087	
753009	38968	Narrator
753009	38969	Narrator
753010	65838	Donna Pedlar
753011	26397	Mother Comisso
753011	65179	
753011	69482	Mrs. McAlister
753011	121741	Ruby
753011	141529	Mrs. Weinman
753011	148387	Mrs. Strickmeyer
753011	150243	Mrs. Grayson
753011	172666	Boston Neighbor
753011	195365	Peggy Thatcher
753011	233496	Mrs. Donaldson
753011	253339	Mrs. Lynch
753011	289472	Susan Kellum
753011	306308	
753011	313711	Nurse
753011	327063	Mother Superior
753011	332418	Mrs. Foster
753011	334304	Mrs. Macleod
753011	359205	Mrs. McInnis
753011	360696	Mary Dougall
753011	391533	Meg Chapman
753012	17031	Harpy
753012	222567	Miss Pringle
753012	329973	Woman at Assembly Hall
753012	403464	Martha
753013	14096	Mark's Girlfriend/Associate P
753014	160780	Heather
753014	178098	Policewoman
753015	285370	Mom in Park
753016	11963	Anna
753016	26381	Protester #4
753016	35184	Nurse
753016	144641	TV reporter
753016	343908	Stewardress
753017	37270	Housewife
753018	108964	Kate
753018	191311	Jenny
753018	196541	Belinda Harrison
753018	258882	Diana
753018	278682	Sue
753018	299393	Janine Tudor
753018	321361	Annie
753018	335121	Mary Sawyer
753018	351723	Jennifer Logan
753018	408378	Toby Mitchell
753019	196867	Giani's Girl
753020	313189	Paul's Party Guest
753021	229733	Reporter #1
753021	300326	Teenage Girl
753022	5093	
753022	34574	Young Mercedes
753022	89744	
753022	103759	Estela
753022	234490	
753022	383206	Johana
753022	389780	Valeria
753022	396180	Miranda Ferrando Flores
753022	400661	Lourdes 'Nena' Serrano Ponce
753022	402054	Beatriz
753022	403404	Delfina Díaz Guillén
753022	405789	María
753022	405916	Gabriela (2003)
753023	224217	Janelle
753024	10717	Friend in Frankfurt
753024	63222	Kelly
753025	6329	
753026	75937	Mädi
753026	265402	Schülerin
753026	294202	Krankenschwester
753027	344	Akron Wrestler #1
753028	23602	
753029	48583	
753030	222790	Rollins' daughter
753031	23186	
753032	344722	
753033	399928	
753034	396718	Mena
753035	242540	
753036	118164	
753038	375742	Pum
753039	14548	
753039	89572	
753039	102622	
753039	118615	Rosina
753039	131095	
753039	158772	Cliente russa
753039	386743	Prima ragazza
753040	281686	Rosa
753041	350109	
753042	78803	Bin
753042	102184	Gordeova
753042	200618	Dobrata magyosnitza
753042	247984	Suora ospedale
753042	251896	Stéphanie
753042	304725	Maria
753043	20625	Extra
753044	207566	
753045	230149	Madame Bertrand
753046	15299	Alena
753046	34234	
753046	90455	
753046	102407	Adamshaus-Bäuerin
753046	111459	Warwara
753047	323841	Nurse
753048	20713	Clienta de Marta
753049	137570	Sarah - 11 years old
753050	324546	Barmaid
753051	93871	Mary
753052	26672	Pissed off Girl in Leather
753052	102674	Club Waitress
753052	343087	Movie Theater Employee
753052	392718	Cassie
753053	134246	Older Sibling
753053	201506	Herself
753054	108339	Nina (5-6)
753054	287728	Kid #3
753055	192349	Elaine
753056	315998	
753057	19891	Emily Barlow
753057	194582	Lorna Doone as a child
753057	214782	Caroline, Age 5
753057	342981	Janice Jeffries
753057	346832	Screaming Woman
753058	396031	Ariadne Mazonaki
753061	24746	Yuya Bokadushi
753062	150554	Handsome Guy's Girlfriend
753063	188453	Opening Sequence Girl
753064	80833	Lori
753064	220805	BB Gun Shooter
753065	21299	Model
753065	241883	Flower girl
753066	88874	Gluttony
753066	105831	Dancer
753066	314845	Adrienne
753067	66279	
753068	114075	Hope
753068	257566	
753069	91268	
753070	40867	
753071	149965	Betsy
753072	33482	
753072	56033	Cindy
753072	64206	Lina Esposito
753072	64772	Guard
753072	68644	Mirella
753072	168235	
753072	207081	
753072	295178	
753073	21203	
753073	35690	Suzie
753073	50815	Cynthia
753073	291222	Film Class Mopey Girl
753073	354652	Jo
753074	45551	(segment "Troye v voronke")
753074	330800	(segment "Three in a Shell Ho
753075	26254	
753076	102795	
753076	272909	
753076	356652	Herself
753077	37047	Reporter
753077	87109	Lucia
753077	127739	Sissy
753077	154042	Ashley
753077	160885	Eyeshadow Wearer
753077	186713	Maria
753077	190393	Liz
753077	212732	Sharee Landon
753077	222699	Laura
753077	234080	Celeste Cartier
753077	267105	Courtney Burke
753077	271013	Jessie
753077	278224	Cute Lesbian
753077	282291	Didi
753077	335258	Maria
753077	363766	Angelina
753077	411802	Carrie Parker (2002)
753078	291298	Raquel
753078	381909	Herself (4th Banished, 57 Day
753079	338612	Annina
753080	259749	Karen Pollock
753081	27312	Old Lady 2
753082	292163	Laney
753083	142390	Kradik's Daughter
753084	333800	Tour Guide
753085	234669	Bruno's Girl
753086	137099	
753086	148831	Gypsy Girl
753087	25232	
753087	212283	(segment Illyuziya)
753088	21842	Arus
753088	176124	
753088	211231	Knar
753088	244249	Ashkhen's mother
753088	341334	Aelita
753088	352301	Margo
753088	356938	
753088	371285	Shushanik Kurghinyan
753089	90979	
753089	172472	
753089	231162	
753089	268135	
753089	320410	
753089	371351	
753091	325283	Ruby
753092	59141	Saleswoman
753093	73458	
753095	394750	
753096	44394	Anna, dashterya na Boris
753096	77220	Anais Nin
753096	160594	
753096	229086	
753096	229155	Yuliya, dashterya na Anton
753096	272903	
753096	326260	
753096	335461	
753096	374857	Neli
753097	350973	
753098	6445	Maria
753098	60696	Borisova
753098	180780	
753098	399132	
753099	95166	Mashinopiska
753100	104831	
753100	166170	Untersuchungsrichterin
753100	217278	
753100	229279	Radka
753100	261359	Ira
753101	51369	
753101	86098	Nurse Benedetta
753101	122031	Iris
753101	186136	Francesca
753101	238306	Rosa
753101	251325	Lorena
753101	266358	Josefa Corteja
753101	309350	Donna Filiana
753101	315942	
753101	356042	
753101	356572	
753101	392743	
753101	401024	Neda
753101	401513	Marcella Rodio
753102	90153	
753102	133198	Tzigankata
753102	180617	Mariya
753102	250880	
753103	40215	
753103	89733	
753103	96115	Klara Glushko
753103	124843	
753103	129338	
753103	154685	
753103	228113	
753103	229547	
753103	236165	
753103	243880	
753103	256804	
753103	259837	
753103	310472	
753103	318562	
753103	328109	Mother-in-law
753103	335920	
753103	356827	Varvara
753103	357223	Grandmother
753103	370183	
753103	375330	Zinaida
753103	375793	
753103	399344	Liza
753104	84820	Lena
753105	370460	Lyulyuche 6
753106	56666	
753106	280398	
753107	159915	Tanya
753108	76350	
753109	62829	Lili
753109	180616	Lyubimata na Mustafa
753109	181067	
753109	229058	Mariya
753109	283693	
753109	386065	
753109	409430	Keti
753110	6437	Lyubopitnata Neda
753110	242467	
753110	259075	
753111	9473	
753111	30596	
753111	94506	
753111	103565	
753111	181483	
753111	238098	
753111	349286	
753111	373444	
753111	374169	Maykata
753112	115209	Adele
753113	60697	
753113	94506	Momicheto
753114	35854	
753115	9353	
753115	211281	Leka Zhena
753115	397471	Leka zhena
753116	332261	Patrizia
753117	40390	Irina, Dancer
753117	103129	Hausmädchen Elke
753117	108188	Suzy
753117	124993	Draga
753117	142095	
753117	147518	Ein junges Mädchen
753117	164199	Sheila
753117	189619	Fotomodell Ruth
753117	216294	Wahrsagerin
753117	226324	Magali
753117	243548	
753117	264352	Prinzessin Jelka
753117	282199	Anna
753117	316527	Marie
753118	373567	Viola
753119	149524	Mariya
753120	207254	
753121	117164	Girl #1
753122	20206	Girl at Maxim's
753123	204047	
753124	63610	
753124	91191	
753124	91205	
753124	198134	
753124	198145	
753124	258999	
753124	356481	
753124	357651	
753125	283755	Lyudmila
753125	397513	
753126	39324	Sonia Smirnov/Marie, the conv
753126	41662	
753126	46870	Mary O'Brien
753126	79348	Marion Ashley
753126	104330	Bianca
753126	105791	Claudia Perez
753126	106291	Norma Russell
753126	141218	Martha Redmond
753126	186324	Margaret Harding
753126	190143	Anita Courtland
753126	190496	Laurel carlisle, M>D>
753126	219198	Elaine Esmond/Vera Maitland
753126	224130	Lucille
753126	247887	Patience Sparhawk
753126	257798	Jean Serian
753126	289638	Thora Davis
753126	292512	Eve, in the Garden of Eden/Ha
753126	301543	Laura Sutphen
753126	309493	Elaine Elton
753126	309503	Heloise Broulette
753126	327400	Lucille Caruthers
753126	332948	Stella
753126	334335	Bianca Sylva
753126	344276	Sofja Andreevna
753126	346412	The Princess/Grace Leslie
753126	350228	Jeanne Lefarge
753126	358372	Grace Vaughan
753126	362446	Persis Cabot
753127	91213	
753127	179318	
753128	76350	
753128	265995	
753129	81698	
753131	45764	(segment Kakvo ti stava)
753132	258433	Maykata na Evgeni
753132	261330	
753132	335937	
753132	343415	
753132	349286	
753133	44394	Veleslava, nalozhnitza na Bor
753133	180766	Tanya
753133	284475	Milena
753134	163884	
753135	257422	Milena
753135	258630	Tzena
753135	273052	Dana
753136	350973	
753137	95690	
753137	171673	
753137	219426	
753137	349345	
753137	350728	
753138	285119	Veronika III
753139	261317	
753139	327331	
753140	356420	
753141	237844	Markitantka
753142	399133	Mira
753143	339023	
753144	246022	Prodajalka
753145	222441	Radio 'Ritam herca'
753146	81509	
753147	26262	Borris
753147	65066	
753147	213882	Jasna
753147	229577	
753147	293807	
753147	320551	
753147	399000	Milica
753147	401928	Sluzbenica u sudu
753148	170211	Herself
753148	170212	Herself
753149	267844	
753150	376191	
753151	104736	Yugoslav entry (8th place)
753151	166450	Radnica
753151	393847	Herself
753151	393848	Herself
753152	309811	
753152	374446	
753153	227840	
753154	323314	Bozena
753155	254219	Milana
753156	124992	Milena
753157	34189	Herself
753158	309811	
753158	374446	
753159	28401	
753160	107054	
753161	149552	
753162	66266	Lida Tumova
753162	74469	Bibi
753162	115863	Markyta
753162	180680	
753162	223570	Jana
753162	226741	Juzová, director
753162	266456	Irena
753162	283163	Stefková
753162	334423	
753162	357920	Mrs. Bezáková
753163	21314	
753163	198220	
753163	357685	Marta
753164	187198	Alex
753165	113116	
753166	217280	
753167	345067	Herself - Accompanist
753168	262940	Herself
753169	14830	Marina
753169	55969	
753169	76153	Maria Cruyllas di Gravina - f
753169	85474	Renee
753169	109658	Contancia
753169	111700	Sonia
753169	144726	
753169	148016	
753169	197114	Sophie
753169	235422	Angelique
753169	235863	Hélène
753169	237696	
753169	261495	
753169	263722	Vanina Abati
753169	263781	
753169	293319	
753169	387309	Martine Duval Crown (1980-198
753169	404613	Renatta Corelli Sutton (1979-
753171	30494	
753171	30636	
753171	44394	Evpraksiya
753171	98639	
753171	149524	
753171	174378	
753171	174661	Malchalivata
753171	200408	Katya
753171	230043	
753171	261305	Chernata Maria
753171	339314	Petra
753171	344059	Zhenata s koka
753171	357324	
753171	399132	
753171	401024	
753172	16227	
753172	84589	Hausfrau
753172	86242	Kellnerin
753172	106808	
753172	140242	Frau Berger
753172	177377	Almut
753172	180877	
753172	186897	Donita
753172	188721	Wirtin
753172	188817	
753172	189598	Postal Employee
753172	193488	Hella
753172	225306	Die Anderen: Hausmeisterin
753172	259483	
753172	259660	
753172	289946	Wirtin
753172	338431	Hannelore Opiz
753172	343680	
753172	349056	Rosi
753172	386977	Loni
753172	411944	Gertrud Zebralla
753173	60725	
753173	174378	
753174	170218	Herself
753175	60451	
753175	88450	
753176	122932	
753177	132255	
753177	216864	Tanja
753178	181483	
753179	126489	
753181	108883	
753182	213324	Dwarf
753183	68417	
753184	346173	Choir Singer
753185	157785	Sonia
753186	81640	Herself (Vixen drummer)
753187	395892	Herself (co-winner, 70 days)
753187	412265	Herself/Host
753188	160882	Ensemble
753188	336242	Herself
753190	122991	Sandy
753190	263057	Chambermaid #3
753190	318114	
753191	332955	
753192	26799	Alanta - German version
753192	46192	Herself - No Angels/Performer
753192	178568	Manili
753192	233480	Herself - No Angels
753192	367052	Girl Group Member
753192	401886	Herself - No Angels
753194	170689	
753195	181451	Fahrerin
753196	95592	
753197	79858	Widow
753198	60550	
753199	16819	
753199	399012	Mara
753200	105891	Willi
753200	292559	Grandmere
753200	321746	Dr. Lazarus
753201	124275	Rosi
753202	201346	Margaret
753203	224372	Anca
753204	93741	
753205	69154	Herself
753206	177644	Mom
753207	26249	
753207	90763	Evi, Huckebein's Tochter
753207	293871	Marlen Weber (as Ilse Petri)
753207	293874	
753209	75347	Susan
753210	348509	Young Girl
753211	361244	Ann
753212	235367	Dr. Carol Turner
753213	377814	
753214	373572	Marta
753215	445	Susannes aunt
753215	6171	Eva Tapper
753215	6212	Salvation Sister Lundin
753215	17473	Ann
753215	28811	Blonde Woman
753215	85902	Diana
753215	115881	Harriet
753215	132038	Lena Berg
753215	136175	Sofia Magdalena
753215	174726	Rike
753215	204532	Gabriella von Hook
753215	241179	Inger
753215	268328	Brita
753215	281907	Roseanna McGraw
753215	284057	Git Malmström
753215	289783	Nora Bring
753215	304210	The bride
753215	305863	Sigbritt Borg
753215	308191	Liselotte Högsbo
753215	343484	Monica Sunndberg
753215	350927	Skyltdockan
753215	354677	Hanna Urström
753215	355627	Eva von Schöffer
753215	377304	Angela
753216	154565	Young talent
753217	29556	Radio journalist
753218	29556	Ulva
753218	32374	
753218	35054	Måna Klagshamn
753218	48361	Angry Lady
753218	51128	Ljungström
753218	120236	
753218	136632	Elisabeth
753218	154323	Prostitute
753218	173383	Ulrika
753218	179713	Social worker
753218	182279	Hennis mor (episodes 1 and 3)
753218	202828	Policewoman
753218	214360	Victoria Nilsson
753218	236692	Custodian
753218	240214	Anita
753218	253911	School teacher
753218	303205	Fredrik's mother
753218	326044	Läkare (episode 3)
753218	326519	Ulla Lindskog
753218	348985	Karin, Sanna's Mother
753218	357757	Isabell's mother
753218	394940	Green
753218	400112	Fru Tranberg
753218	409267	Mrs. Persson
753218	409853	the Mother
753219	2819	Mother
753219	321240	
753220	280835	Gili/Ginny
753220	364942	Sarah
753221	240313	Guest at the birtday party
753222	97438	Edelweiss Pirate girls
753223	395924	Kelly Green (1988-2001)
753224	37643	Beth Burke
753224	84811	Zoe
753224	244433	Mrs. Sansom
753225	118451	Noland's Son
753226	196892	Bobby
753227	191745	Twin #2
753228	191745	Twin #1
753229	35776	Customer at Russian Bar
753230	367515	Undetermined Role
753231	155013	Party attendee
753232	16267	Britt
753233	358486	Anna Sloan
753234	46630	Trisa
753235	235254	Laura García
753236	1050	Karin Lindstroem-Lindholm
753236	9543	Philip's wife in the play
753236	10211	Caretaker
753236	11710	Hilda Malmqvist
753236	12010	Mrs. Randel
753236	16264	Mrs. Pilgren
753236	16267	Mrs. Nilsson
753236	17564	Mrs. Herlen
753236	17821	Miss Berg
753236	29558	Mrs. Pettersson
753236	30167	Olga
753236	37784	Mother Rossi
753236	48134	Mrs. Karlsson
753236	51122	Mrs. Lilja
753236	52602	Madame Sylvia
753236	78384	Olga Eckers
753236	80172	
753236	84293	Mrs. Andersson
753236	84297	Madame Rochelle
753236	88824	Gurli's mother
753236	89713	Nanna Sten
753236	94804	
753236	95066	Mrs. Holmström
753236	97883	Mrs. Gabrielsson
753236	101639	Hannelore Schwarz
753236	101640	Mother Susanna
753236	104825	Young lady
753236	105362	Hilda Granström
753236	107108	Mrs. Kovac
753236	108203	Ellen Winkler
753236	109132	Hostess
753236	115383	Olga
753236	115385	Lotten Meller
753236	115399	Colonel's wife
753236	116131	Mrs. Wikman
753236	117566	Mrs. Weimer
753236	120066	Mrs. Berg
753236	120138	Selma Olsson
753236	120139	Selma Olsson
753236	120966	Mrs. Lobelius
753236	121004	Mrs. Berg
753236	121005	Laura Allard
753236	121006	Rita Rang
753236	122496	Telephone operator
753236	122499	Mrs. Emilie Hassel
753236	129171	Miss Hellberg
753236	129178	Millan Blomquist
753236	136628	Mrs. Ehrenfalck
753236	136683	Maren Juul
753236	138526	Julia Hyltenius
753236	142789	Madame Flod
753236	142863	Hostess of a tavern
753236	145471	Mrs. Jägerström
753236	146355	Madame
753236	147016	Elisabeth Canitz
753236	154134	Mrs. Brandt
753236	154150	Annie Eriksson
753236	154565	Aurora Tolftén
753236	164651	Mrs. Knutsson
753236	165627	Telephone operator
753236	168437	Beda, cook
753236	173538	Cigar lady
753236	174079	Bertha Stenmark
753236	174726	Anna
753236	181848	Mrs. Wallsenius, Göran's moth
753236	182302	Miss Karlsson
753236	182464	Rosa Blom
753236	182559	Scorpion
753236	184586	Mrs. Fredriksson
753236	188874	Teacher
753236	189483	Britta
753236	190807	Prioress
753236	190812	Miss Schultze
753236	190821	Selma Olsson
753236	190822	Selma Olsson
753236	190845	Miss Björkman
753236	192930	Fanny Falkman
753236	194527	
753236	197819	Ellen, David's sister
753236	198265	Miss Hedberg
753236	198388	Katrin Pålsson
753236	207145	Ida Swanson, movie theater ca
753236	209368	The porter's wife
753236	219294	Mrs. Wassberg
753236	219838	
753236	225330	Mrs. Karlsson
753236	237256	Tekla Motander
753236	237260	Mrs. Lamberg, 'Bläsan'
753236	248191	Mrs. Svea Vikingson
753236	248196	Anna Hessler
753236	254252	Miss Svensson
753236	254253	Singoalla Pettersson
753236	272512	Berta
753236	276138	Miss Wetterdahl
753236	276139	Dagmar Vikström
753236	282086	Clara
753236	284102	Clara Grepeclou
753236	296112	Selma Waldner
753236	303644	Sofia Pang
753236	303666	Elvira's Mother
753236	303851	Sofi
753236	307600	Klara Bjurstedt
753236	309064	Eleonora Bruse
753236	312697	Baroness Agata von Stråhle
753236	314386	Mrs. Agda
753236	315352	Mrs. Kirsewetter
753236	315360	Fanny Koger
753236	316909	Augusta Sofia Svensson, alcoh
753236	317599	Mrs. Mathiesen
753236	317642	Mrs. Jansson
753236	321512	Principal Alma Stålberg
753236	321928	Karen Solbakken
753236	322275	Stina Grepe
753236	322279	Guest at party
753236	322306	Mrs. Karlsson
753236	322312	Woman waiting outside The Ope
753236	326127	Mia Lundgren
753236	337888	Henriette Gustafsson-Chereaux
753236	338729	Elsa Lindberg
753236	340434	Erika, teacher
753236	341094	Cashier
753236	346080	Märta, Olle's Mother
753236	346210	Aunt Emilie
753236	346962	Miss Solaeng
753236	350397	Ms. Fristedt
753236	353005	Laura Larsson
753236	353039	Telephone operator
753236	355627	Julia Rask
753236	355638	Miss Rosén, tenant at Själagå
753236	357759	
753236	357762	Leontine Klintin
753236	357799	Mrs. Brolinder
753236	377284	Dancer
753236	377383	Four times married wife
753236	377428	Selma
753236	378294	Hilda Sjoeberg
753236	405618	Augusta
753237	18544	Society Lady at Mayor's Party
753238	265005	Speaker at Nudist Meeting
753239	104099	Himself, Ilpo Murtojärvi Band
753240	20546	Emma
753240	33254	Marit (segments 2, 3)
753240	51126	Gunilla
753240	108197	Kjell's Mother
753240	167056	
753240	253519	Anna
753240	309341	Julia
753240	333979	
753240	397781	Carina
753241	394940	Axel's mother
753242	18083	Sanna
753242	142789	Lotten, maid
753242	170707	Karin
753242	184890	Hanna Apelblad
753242	237256	Elisabeth Ryden
753242	258991	Marie
753242	286103	Young Salka Valka
753242	349801	
753243	66044	Camomilla
753243	74339	Lucie de Montyon
753243	84315	Rolf's fiancee
753243	94261	
753243	100448	Miss Svensson
753243	142765	Teacher
753243	225632	Lena
753243	232738	Mother
753243	264278	Li
753243	345987	Louise
753244	178051	Woman in Bar 1
753245	395712	Teacher
753246	42216	Eva
753247	398251	Bondmoran
753248	311933	Nurse
753249	122484	Julia
753250	397783	Krillan
753251	198012	Taxen
753252	357612	Female Colleague
753253	104807	
753254	101126	
753254	159646	Dancer
753254	227042	Eva Karlsson
753255	62450	
753255	96420	Portier
753255	96427	Woman on the attic
753255	145623	Headmaster
753255	154323	Nurse
753255	168850	Receptionist
753255	197738	Cold-buffet manageress
753255	219437	Ullabritt
753255	303664	Alice, shop clerk at Konsum
753255	405378	
753256	181076	Sonja Westman
753257	313637	
753258	59717	Crofter-Mats' child
753259	303224	Josefin
753260	198265	Teacher
753262	304407	
753263	187623	
753264	31183	Herself (NBC Team)
753264	34663	Josephine Pacefoot
753264	41666	Joanne Morton
753264	56314	Mata Bond
753264	74220	Delda Hadley
753264	74235	Cynthia Donegin/Candia Leight
753264	78943	Jesse Breton
753264	82504	April Thompson
753264	83971	Ruth Merrick
753264	91720	Mindy Jordache
753264	105448	Dr. Caroline Arnold
753264	107295	Herself
753264	116925	Sarah Allison
753264	134694	Kay Strong
753264	141637	
753264	171286	Carolyn Adams
753264	176820	Sylvia
753264	213327	Jody Baxter
753264	232083	Ulrike von Seydlitz-Gabler
753264	244326	Desdemona
753264	256427	Maggie Sergeant
753264	276682	Alana Richardson
753264	279603	Kate Clifton
753264	295608	Leslie Fitch
753264	321167	Monica
753264	328551	Dr. Fletcher
753264	334133	
753264	343010	(TV version only)
753264	360880	Sister Mary Damian/Marjorie W
753264	361182	Grace Henry
753264	366237	
753264	383429	Katherine Hennessey
753264	386603	Judy Stratton (1964)
753264	386891	Yvonne Barlow (1961)
753264	394676	Det. Lt. Janet Baines (1983)
753265	105280	Trick-or-Treat Child
753266	256912	
753267	24305	
753268	286168	
753269	249746	Paulette
753270	38000	Bear & Mother Bunny
753271	71474	Dancer
753272	112264	Selinka Pettiford, Organ Play
753272	321520	Organ Specialty Act
753273	69465	Sean
753273	71474	Dancer
753273	129439	Lillian Frank
753273	190702	Mrs. Boyd
753273	248976	Terry
753273	279887	Newscaster
753273	316641	Denise
753273	380391	Detective Courtney Walker (19
753273	390914	Big Dee Dee Thorne
753273	400236	Sheila Price Gannon (#1) (199
753274	72707	Nurse #1
753274	137709	Foe Hammer
753274	190230	Striker #2
753274	342549	Dr. Shelvy
753275	318812	Sarah Ann Phillips
753276	104974	Dawn
753277	318812	Mrs. Wilson
753278	47191	Demonstrator
753278	395529	Mrs. Andrews
753278	411742	Herself - Presenter (1986)
753279	296947	Clara Bennett
753279	382743	Sister Francine
753279	385105	Sister Kate 'Bryant' Morrison
753279	405372	Lillian
753280	36858	Herself (interviewee)
753281	246012	Kaitlin
753281	280169	Cheerleader
753281	318458	Amy
753281	364090	
753282	287993	Anna
753283	399657	
753284	158873	Extra
753285	348203	
753286	13707	Herself - Probation Officer
753286	81640	Probation Officer
753287	241773	Beth Cooper
753288	338760	Herself
753289	47572	
753290	58820	Herself - vocalist with Lawre
753291	245122	Nancy
753292	338760	Herself
753293	313522	Waitress #2
753294	338760	Herself
753295	303997	Deena
753296	39518	Billie Jean
753297	121982	Carol Ann
753297	128421	Janet
753297	358564	Mrs. martin
753298	411902	Rita (2000-2001)
753299	40509	Jodie
753299	72677	Cheryl
753299	384511	Dancer (1987-1989)
753300	130314	Dovie Gellar
753300	134018	License Examiner
753300	196373	
753300	230860	Dana
753301	294753	Marge McKay
753302	147767	Homeowner
753303	402139	Miriam
753304	59350	Yankee Doodle Dancer
753304	167601	Mother
753304	339352	Mrs. Booth
753305	115269	Booty Bernett
753306	151048	
753307	359499	Curtis's Assistant
753309	24503	Interview Montage Girl #1
753309	223502	Shelly (loaner)
753309	293030	Star
753309	319910	Sixth Woman
753309	347852	Kelly
753310	12221	Lillie Werner
753310	87480	Dini Petty
753310	206671	Newscaster
753310	330559	Talk Show Host
753310	384370	Anchor
753310	386378	Host
753310	407151	Hostess
753310	408056	Herself/panelist (1971)
753311	79509	Mary Rhys, as a girl
753311	214313	Gwen
753311	219626	Mrs. Morgan
753311	329917	Magistrate
753311	352682	Chapel woman
753311	398262	Mrs. Morgan
753311	400466	Tim's Mother
753312	303601	Bar Waitress
753313	73835	Dancer
753314	232971	Tracy
753315	307000	Paperboy
753316	1784	Funeral Goer
753316	76559	Leslie Thornton
753316	316153	Woman writhing in pool of blo
753317	236694	Selma
753317	270589	Mary
753318	130335	Tiffany
753318	212982	Courtney
753318	379893	Bree
753319	20689	Candy
753319	30896	Willie
753319	51836	Lila
753319	66168	India
753319	71591	Sara Davis
753319	113995	Lucy
753319	119532	Rae Lindley
753319	149690	Six
753319	158091	Christine Jones
753319	186650	Kit Keller
753319	198855	Kelly
753319	253354	Cassie
753319	258752	Penelope
753319	258860	Tyler Ann Endicott
753319	259280	
753319	263392	Faith
753319	275308	Robin Moon
753319	282476	Steph, U.S. Marshal
753319	319624	Livewire
753319	324551	Tank Girl
753319	382494	Suzanne Dunne (1990)
753319	382779	Maxine (1998-1999)
753319	396200	Georgia "George" Sanders (199
753319	408098	Cricket (1988)
753320	340808	Katie
753321	117881	Molly
753322	41739	McRae Daughter
753323	7724	
753323	23956	Patty Rhodes
753323	26530	
753323	36880	
753323	40974	
753323	41974	
753323	41975	
753323	41983	
753323	52309	
753323	56092	
753323	56963	
753323	60159	
753323	60761	
753323	71703	
753323	73552	
753323	75191	
753323	85749	
753323	85751	
753323	98841	Mrs. Abbey
753323	102781	
753323	102801	Aging stripper
753323	113992	
753323	117453	
753323	129081	Herself
753323	132299	
753323	133922	
753323	154305	
753323	160867	
753323	184945	
753323	187411	Herself
753323	195916	
753323	197801	
753323	217522	
753323	221601	
753323	245473	
753323	245474	
753323	260149	
753323	263332	
753323	293043	
753323	295775	
753323	295810	
753323	303973	
753323	319398	Herself
753323	320966	
753323	320989	
753323	332447	
753323	357158	Herself
753323	358074	Herself
753323	366656	
753324	154709	Autograph Girl #1
753324	213178	Berle
753325	39564	Policewoman
753325	189422	Policewoman
753326	38368	Lisa
753326	44232	
753326	65110	Gloria
753326	75465	Susan
753326	108451	
753326	122655	Bonnie
753326	130350	Woman at crap table
753326	131692	Dancing Nun
753326	141651	Emily (saloon girl)
753326	142436	Cherry
753326	194796	Whiplash
753326	199155	Sheila Willard
753326	219901	
753326	275889	Repo Wife #2
753326	307673	Secretaria de Redacción
753326	312935	
753326	327241	Melissa
753326	363481	
753326	365245	
753326	367083	Dora Belair
753327	173016	
753327	321933	Milda, the Miller's Daughter
753328	45711	
753329	396623	Fortune Teller
753330	74394	
753330	74426	Nagymama
753330	75938	
753330	94225	Kovalikne
753330	103033	Erzsébet udvarhölgye
753330	145617	Majsáné
753330	153854	Parasztasszony
753330	153963	Baloghné
753330	175699	
753330	176207	Háziasszony
753330	182873	
753330	225486	A busó testvérek anyja
753330	322080	Luca anyja
753330	322118	
753330	322188	
753330	343693	Szebenyiné
753330	343710	
753330	350834	
753330	357825	
753330	404025	
753331	197778	
753332	156024	Contessa Aleardi
753333	11531	Girl
753333	28601	Laura
753333	56903	Angel
753333	256331	Prinzessin
753333	267073	Lisa
753334	87810	
753334	357876	Jô
753335	209447	Biggi Schwerin
753335	275156	Maria
753335	389400	Presenter (2001-2002)
753335	397298	Pilotin Biggi Schwerin
753335	412102	Giulietta Albertini
753336	34321	
753337	399175	Anne
753338	139511	Pepíkova sestra
753338	198374	
753338	253829	Spouse
753338	341631	Apprentice
753339	18712	
753339	96466	
753339	117877	
753339	136441	Esküvõi vendég
753339	136576	Szomszédasszony
753339	163128	
753339	175089	Margó
753339	180824	Ballagóné
753339	182514	Szabó Teri
753339	201967	
753339	235375	Tóth Mari
753339	237167	
753339	348999	
753339	377797	
753340	294160	
753341	182723	
753341	272530	Princess Sophia
753341	322025	Kati
753341	357712	
753341	381344	Gabi Juhász (1998-1999)
753342	17079	
753343	301895	Tána
753344	180912	Patientin Birkenhof
753345	211665	
753346	9317	
753346	9355	
753346	82284	Kaarina
753346	99640	Anna Mäkitalo
753346	141887	Rintava nainen
753346	163181	Rouva Nortia
753346	169302	
753346	209949	Woman In The Sheep-pen
753346	270191	Mother
753346	349138	Toimittaja Mirja Putinki
753346	404145	Ulla Taalasmaa
753346	410177	
753347	387953	Herself
753347	387954	Herself
753348	101763	Stefanie
753349	245919	Herself
753350	178376	Statist
753351	9007	Andrea Framm
753351	304838	Molly
753352	62432	Severine
753353	95475	Tourist Daughter
753354	389140	Shop Owner (Part IV: 'Provide
753355	333120	Person of the Day
753356	212467	
753357	188453	Opening Sequence Girl
753358	170845	Janene Twine
753359	324795	A Child
753360	143629	
753361	25164	La mère de Michel
753361	303481	Denise, la libraire amie de F
753361	383819	Pauline
753361	385845	Myriam Kaufman (segment "Un h
753361	388419	Joséphine
753361	388419	Joséphine (segment "L'étreint
753361	409933	Hélène
753362	9353	Dancer
753363	147035	Kalousová
753364	16029	Sonya
753364	23571	Columbia
753364	26682	
753364	67186	Siomara
753364	149658	
753364	162415	Deeva
753364	175843	Clarissa
753364	189921	Chavola
753364	208386	Curandera
753364	217553	
753364	234717	Astriaha
753364	236803	Vinya
753364	297649	Sandra Hayes
753364	313915	
753364	383860	
753364	384175	Selina
753364	385284	
753365	33530	
753366	83336	Véro
753366	235279	Jeune fille/putain
753366	346707	Soeur
753366	381427	Rose
753367	106988	Samantha
753367	354398	Rubis
753368	355264	
753370	87497	Une réceptionniste
753371	248975	La directrice de casting
753372	227440	Whitney Craft, American (?)
753373	248258	Une femme du bal
753374	204015	
753375	393282	Clarisse
753375	409750	Ève
753376	206727	Vox sola
753377	43710	
753377	125838	Une joueuse
753377	148744	
753377	188922	
753377	200575	Une villageoise
753377	218246	La serveuse du restaurant
753377	260915	
753377	328374	
753377	357858	
753378	27243	Bad girl
753379	377490	
753380	236605	
753381	398359	Nannerl à 12 ans
753382	365664	Lorraine
753383	4914	
753383	70990	
753383	84016	
753383	101260	
753383	209076	Mucama
753383	214405	Secretary
753383	215209	
753383	248761	
753383	343628	
753383	388274	
753383	393493	Dancer
753383	395997	Soraya
753383	397732	
753383	403302	Vedette
753383	407030	La Novia
753383	410060	Dancer
753384	169352	Dancer
753385	11525	Sharon Lyons
753385	31196	CBS Team Contestant
753385	39108	Stilts
753385	99850	Nicky Tice
753385	119587	Linda
753385	120337	Rosalie Bender
753385	128711	Tracy Beaumont
753385	158608	Barbara Kornpett
753385	158964	Samantha Morrow
753385	185853	Susan Binford
753385	211815	Trudy Pike
753385	247500	Lisa Erickson
753385	255731	Janice Zimmer
753385	269938	Laurie O'Neill
753385	314780	Cindy Fox
753385	346198	
753385	346902	Jewelry Salesgirl
753385	365461	Libby Tyree
753385	382282	Emma Gayser
753385	385188	Cindy Fox
753385	394676	Amanda Michaels (1989-1990)
753385	403335	Ramona Scott
753385	408522	Roberta 'Bobby' Franklin (197
753386	36781	Gloria
753387	104692	Herself
753387	104758	Belgian entry (18th place)
753387	170541	Moeder
753387	222514	Nicole
753388	80622	Karen Stone
753388	263319	Gail Crouder
753389	43706	
753389	102915	La femme qui lit 'La Croix'
753389	108886	La speakerine
753389	240605	
753390	370060	Student
753391	339492	L'Anglaise
753392	258149	Louise Bisier
753393	193834	
753393	331923	Mrs. Lippin
753394	32178	Additional Voices
753395	41158	
753396	81442	Mrs. Latimer
753397	228314	Schoolgirl
753398	331650	
753399	377575	Una turista
753400	42722	Zanna
753400	53921	Kari
753400	206215	Dawn
753400	253458	Penny Brill
753400	295545	Falco
753400	372134	Girl in Elevator
753401	167876	Jackie Fitzgerald
753402	167876	Sarah Fitzgerald
753403	78317	
753403	330836	Youngster
753405	272604	Jo
753406	149089	
753407	154048	
753408	293843	Rachel West
753409	146358	La grand-mère
753410	266588	Hooker
753411	178728	
753411	225969	Commander Milica
753412	1888	Evina prijateljica
753413	1888	Evina prijateljica
753414	51737	
753414	54401	
753414	63888	Laura
753414	85732	
753414	99066	
753414	104846	
753414	121320	
753414	156093	
753414	161438	
753414	183158	
753414	207031	
753414	252063	Empleada en salon
753414	288803	
753414	302982	
753414	351487	
753414	377197	Onfalia
753414	398522	Matilde
753415	379543	Host
753415	383333	Susy
753415	392210	Hostess
753415	396826	Sofía
753415	397577	Deborah
753415	399570	
753415	402059	Lorena
753415	403290	Isabela Ruiz
753415	407640	Matilde
753416	334813	
753417	234990	Dana
753418	68645	l'amica di Cora
753418	72973	Flaminia
753418	159536	Irene
753419	328207	
753420	207297	Mme Lemonier
753420	238483	La concierge
753420	313991	
753420	322337	
753420	325077	Filope
753421	269733	
753422	37672	Bandit
753423	77066	Pinuccia
753424	73516	
753424	74545	
753425	93282	Teté
753426	195157	Princesse de Condé
753427	265194	
753427	289349	
753428	100193	Customer
753429	357875	
753430	10051	Maddalena
753431	87039	
753432	177613	Girl in Shower
753433	215664	Miss New Jersey Teen USA (4th
753434	404681	Elizabeth
753434	410887	Cindy
753435	64445	
753436	3348	Luisa
753439	101864	
753440	6640	
753440	246794	
753440	338239	
753440	349670	
753441	3197	
753441	48670	
753441	78206	
753441	97964	Dr.Schön Tóni,kémikus
753441	97982	A jószágigazgató felesége
753441	98023	Igazgatónõ
753441	110574	
753441	122455	
753441	122599	
753441	155545	Otilia nõvér
753441	171540	
753441	177925	Stanzi,Marika nénje
753441	182805	
753441	200056	Igatgatónõ
753441	209842	
753441	226710	Szerafin anyó
753441	268425	
753441	284358	
753441	322068	Panyóki Eszmeralda
753441	322069	Gergelits sógornõje
753441	322100	Judit nõvére
753441	328970	
753441	350830	Ilcsi madame
753441	354256	
753441	357943	Kapusnõ
753441	377786	
753441	378304	Mrs.Morris
753441	378342	Natalie
753441	378582	András anyja
753442	336069	Red-dancer
753443	6630	Lucy
753443	24373	
753443	69325	
753443	100590	
753443	189009	
753443	214694	Maria
753443	222006	Lucy
753443	234343	Cathy, as a little girl
753443	244604	Claudia
753443	258484	
753443	270013	
753444	2685	
753444	169775	
753444	240083	
753445	86342	
753445	235987	
753445	252607	
753446	412195	
753447	281130	Helena
753448	327927	
753449	61	Herself - Actress/Carmen
753449	42577	Tanya
753449	57716	Elicia
753449	83421	María Francisca
753449	83486	Iris
753449	96349	Vanessa
753449	147378	Trini
753449	160535	Alba
753449	163980	Herself - Nominee: Best Suppo
753449	221762	Irene
753449	233976	Espe
753449	236026	Cristal
753449	302403	Cecilia
753449	326307	Ana
753449	331251	Laura
753449	334678	Nina Cruz
753449	336257	Carmen
753449	345569	Taxista
753449	369437	Herself - Presenter: Best New
753449	369755	Herself
753449	369870	Herself - Nominee: Best Suppo
753449	369996	Herself - Presenter: Best Edi
753449	369999	Herself- Winner: Best Support
753449	376786	Graci
753449	386164	
753450	128988	Prostituta
753450	252516	Chica calle tarde
753450	383600	Mónica Soto
753450	384795	Jose (2001-2002)
753450	408857	Bárbara Montes
753451	328	Marisa Esteval
753451	1703	Herself
753451	5836	Carmen
753451	6434	Narrator
753451	10210	Rosario Ames
753451	41940	Tracy Perez
753451	44270	Maria Rodriguez
753451	69917	Luisa Rojas
753451	73871	Liz Garcia
753451	80464	Viv Saunders
753451	92112	Carmen
753451	119533	Kate Haley
753451	121348	Flo Martin
753451	121864	
753451	147781	Theresa Shoe
753451	151479	
753451	157240	Midwife
753451	158927	Mirage
753451	161721	Ellen Garza
753451	163208	Ellen Fields
753451	164641	Jezebel
753451	175171	Holly
753451	183009	Rosie Morales
753451	193701	Pilar Cruz
753451	240697	Connie
753451	273867	
753451	281463	Lisa
753451	283712	Demolition Specialist Tania J
753451	292148	Christina
753451	295320	Martha
753451	297455	Lucy Acosta
753451	316171	Toni Gage
753451	317926	Clara Harris
753451	318250	Mirabella
753451	322487	Aurelita
753451	327767	
753451	330108	Rita
753451	330410	Carmen
753451	333430	Disco Hostess
753451	336301	Leticia Naranjo
753451	338036	Margaret
753451	342708	Elizabeth Gaitan
753451	353265	Consuelo
753451	360032	Rosa
753451	375113	Ms. Tate
753451	387029	Mika Camarena
753451	392427	Dora Calderon
753451	403248	Bibi Beatriz Corrales
753451	405055	Lucy Acosta (1990-1991)
753451	408641	Off. Connie Rivera
753452	155196	
753453	16781	
753453	61861	Flopi
753453	376869	
753453	381215	Host (2002)
753453	383826	Various
753453	385852	Rita
753453	386480	Majo
753453	396180	Ana Morones
753453	399523	Florencia Finkel
753453	399627	
753453	401823	
753453	403107	Silvia
753453	405226	Hostess
753453	405917	
753453	406857	
753453	409957	Guadalupe 'Lupe' Arriaga (199
753454	385872	
753455	383665	
753455	385335	
753456	204644	Niña
753457	234324	Herself
753457	236413	Singer
753457	262980	Herself
753458	153336	
753459	14940	
753459	18359	
753459	18379	
753459	46654	Edvige
753459	50127	
753459	52974	
753459	65153	
753459	68813	
753459	69244	
753459	74370	
753459	82220	
753459	83420	
753459	99963	
753459	100785	
753459	117975	
753459	132638	Peasant woman
753459	146472	
753459	165725	
753459	165789	Julia
753459	183155	
753459	196793	
753459	199852	
753459	205430	
753459	206277	
753459	212489	
753459	251701	
753459	262375	
753459	263039	
753459	269567	
753459	280868	
753459	296483	
753459	334702	
753460	52966	
753461	390733	Maricusa
753462	103466	
753462	106328	Alcohólicos Anónimos
753463	3388	
753463	44317	Whore
753463	57869	
753463	68845	
753463	133795	Holidays
753463	135313	Concha
753463	144889	Voluptuous Lady
753463	159291	
753463	283243	
753463	284893	Esposa de lorenzo
753463	296499	Rosa Rivera, mama de Rosita
753463	301166	
753463	306705	
753463	341645	
753463	405842	Ada
753464	301577	Madre de la novia
753465	43664	
753465	55012	
753465	70857	
753465	100257	
753465	111039	
753465	169780	
753465	210581	
753465	215231	Criada
753465	235309	
753465	236433	
753465	324764	
753465	354045	La Venada
753465	355484	Lala
753465	357728	
753466	12083	
753467	83545	
753468	42911	Herself
753469	61358	
753469	64021	
753469	115791	
753469	117980	
753469	119862	
753469	153331	
753469	186965	
753469	212514	Vendedora de sellos
753469	218096	
753469	221913	
753469	236411	Marga
753469	251614	Mariana
753469	252535	
753469	260834	María Victoria
753469	348179	Anna
753469	387602	
753470	386680	Señorita Elvia
753470	387275	Sofía de Rodríguez
753470	399557	
753470	411714	Sofía de Rodríguez
753471	52595	
753471	83883	
753471	221890	
753471	246881	
753471	268245	
753472	395885	
753472	397572	Guadalupe 'Lupita' Reyes Solí
753473	13047	Norma
753473	44529	
753473	48790	Mother
753473	48934	Marga
753473	52789	
753473	55911	Martirio
753473	57394	Doctora Maeso
753473	58603	Monique Renard
753473	83542	Pilar
753473	85958	Gloria
753473	92813	Carmen Polo de Franco
753473	99668	Elvira
753473	101890	Madre de Lucía
753473	122973	Herself
753473	126242	
753473	132743	Xenia la Gitane
753473	156097	Herself - Winner: Lead Actres
753473	163881	Herself - Performer
753473	183985	Maria
753473	184870	Waitress
753473	196743	
753473	206300	La Reine
753473	219311	The Little Girl's Mother
753473	243448	
753473	254987	Mme Milhaud
753473	255485	Maricarmen
753473	257126	
753473	262983	Herself - Winner: Best Lead A
753473	264262	Carmen
753473	305745	Marta
753473	322325	Sarah
753473	339182	
753473	356153	Madre Elisa
753473	361567	Beatriz
753473	369748	Herself - Nominee: Best Suppo
753473	396767	Luisa
753473	404983	
753473	412151	
753475	248295	
753476	70679	Chica spot
753477	350138	
753478	103871	La Guacharaca
753479	12026	
753479	83138	
753479	390732	Marisol
753479	395707	
753479	398522	Ana Rosa
753479	412184	Alma Robles del Castillo
753480	3545	Monica
753480	25793	Paquita
753480	45853	Paquita Maria Sanchez
753480	53652	Madre Juana de la Cruz
753480	56320	
753480	71281	
753480	103152	
753480	118165	Paqui
753480	122226	
753480	170054	
753480	197886	Esperanza
753480	219424	
753480	221922	Mujer Asesinada
753480	246393	
753480	251580	Sabina
753480	332584	Florita
753480	353017	Herself - Presenter: Best Sup
753480	369755	Herself - Presenter
753480	384062	Charo
753480	393911	Marisa
753480	397307	
753480	408415	
753481	9955	Chica
753482	33440	Fru Malm
753482	109125	
753482	109298	Jannie
753482	113551	Lucile
753482	114827	Sussi
753482	130111	
753482	130189	Fru Eriksen
753482	153351	Tine
753482	153776	Johanne Jastrau
753482	179790	TV-medarbejder
753482	198282	Åse
753482	213336	Hustru
753482	241975	Tjener Vicki
753482	249743	Rektors sekretær
753482	286819	Dolphin
753482	287120	
753482	303133	En Krukke
753482	315355	Karen Hansen
753482	317094	
753482	341116	
753482	343519	Miriam Levinsen
753482	385687	Various roles (1981-1987)
753482	399507	Gemyse
753482	399508	Gemyse
753482	401737	Various roles (sketches)
753482	406551	Herself - Participant
753483	229165	
753484	401352	Herself - Jean-Marie's wife
753485	35052	Dancer
753486	401352	Herself - oldest daughter
753487	401352	Herself
753488	399052	Herself (2001)
753488	401352	Herself - second daughter
753488	407173	Herself (1996-1997)
753489	401352	Herself
753490	142985	Heather Blackwood
753491	290770	
753492	44735	
753492	77291	
753492	274353	
753492	295547	
753492	296924	Assassin
753492	355518	Visitor
753493	1787	Nurse
753493	92784	Johanna
753493	93759	Ellen
753493	129623	Susan
753493	366980	Thief
753494	386603	Kathy Ryker #1 (1970-1971)
753495	40422	Helga Sommer
753496	293272	
753497	410688	Nitro Girl Syren (2000-2001)
753498	259534	
753499	226170	Sängerin beim Casting
753500	280365	
753501	32466	Fly Girl
753501	35783	Mrs. Bouchie
753501	304691	Fast Food Clerk
753501	364165	Female Radio Psychologist
753502	38696	Extra
753503	189443	Flüchtling
753504	3952	Herself
753505	222761	Reporter #1
753506	290070	Herself/Schindler mourner
753507	369333	
753508	14557	Doctor's assistant
753508	71380	Maureen
753508	97936	
753508	156150	Liesbeth
753508	375228	Carina
753508	390646	Hetty Mulder
753508	392674	Klaartje
753508	410838	Iris de Haas (#2) (2001-2003)
753509	115833	
753510	14172	Millie
753510	16041	Nurse #1
753510	224648	Sarah
753510	330198	Eichman daughter
753510	339439	Selma
753510	344151	Woman with Withered Arm
753511	140168	
753512	11286	Ruth Glick
753512	276429	Dr. Emily Zarkoff
753512	364680	Bitch/Karen
753513	385872	Teresa
753514	379787	
753515	55812	Dra. Antônia Maria dos Anjos
753515	237217	
753515	260429	Vany
753515	382375	Cláudia Toledo
753515	383727	Solange Sá
753515	384480	Cinira
753515	386123	Virginia
753515	394872	Amanda
753515	396610	Paula Prata (1995)
753515	397539	Isadora Venturini
753515	401243	Leda
753515	403118	Léa Berdinazi
753515	408592	Leila Sampaio/Leda Sampaio
753515	408944	Letícia
753515	409347	Vitória
753516	4500	Gabi
753517	194254	Whim
753518	247176	Bodeguera
753519	183899	
753520	9986	Biolehrerin
753520	11836	Krankenschwester
753520	202633	
753521	211126	
753521	333045	Junge Frau & Ensemble
753521	404013	Frl. Hering
753522	117288	Chelsea
753522	324593	Chelsea (Office Boss)
753523	11963	Val
753523	47965	Stevie
753523	65632	Donna
753523	78184	Nikki
753523	80809	Kirsten
753523	91721	Linda Mack
753523	93745	The Girl
753523	107895	Sheila Folsom
753523	118980	Frankie's Cousin
753523	140365	Queenie
753523	145086	Emily
753523	149728	Bonnie McCarthy
753523	161505	Hooker
753523	176883	Sarah Moss
753523	177603	Catherine
753523	178128	Catherine Deese
753523	209206	Leslie
753523	213153	Mary Masterson
753523	220682	Cissy
753523	223871	Karen Gillespie
753523	266137	
753523	270595	Kate
753523	274363	Rebecca
753523	287210	Lana Hawkins
753523	299647	Catherine
753523	304293	Emily Hall
753523	336819	Kristen Marsh
753523	348303	Luanne Atwater
753523	350145	Amaretto
753523	385473	Rachel Blanders (1995-1997)
753523	389072	Sheri Winston
753525	110718	Panzergrenadier UA Pfeiffer
753526	364942	Fan 4
753527	139781	Marshal #2 at Briefing
753528	6994	Sorority Girl
753528	304293	Liz
753529	119683	Kellnerin
753529	290107	Philipp
753530	1674	Herself
753530	2893	Herself - Co-presenter: Best 
753530	2895	Herself - Presenter: Internat
753530	8183	Ellen Olenska
753530	13432	Brenda (segment "Hospital")
753530	30967	Catwoman/Selina Kyle
753530	32419	Herself
753530	52635	Sue Lynn Bordeaux
753530	59597	Cordelia Farenington
753530	59884	
753530	60685	Sukie Ridgemont
753530	61703	Jennifer Williams
753530	78093	Madame Marie de Tourvel
753530	78107	Louanne Johnson
753530	81767	Beth Cappadora
753530	107002	Susie Diamond
753530	107910	Sue Wellington
753530	118980	Frankie
753530	133402	Stephanie Zinone
753530	147767	Suzie Q
753530	154040	Rita Harrison
753530	159975	Herself
753530	161505	Diana
753530	183873	Isabeau d'Anjou
753530	195576	Lurene Hallett
753530	206447	Angela de Marco
753530	213324	Titania
753530	241342	Melanie Parker
753530	241781	Annie
753530	264041	Tzipporah
753530	283767	Katya Orlova
753530	289558	Elvira Hancock Montana
753530	302457	Eris
753530	307579	Tricia
753530	315747	Katie Jordan
753530	321237	Faith Healy
753530	323845	Natica Jackson
753530	327304	Herself
753530	328130	Jo Ann Vallenari
753530	331178	Rose Cook Lewis
753530	334175	Gillian Lewis
753530	348303	Sally/Tally Atwater
753530	349123	Herself
753530	356350	Herself - Choir Member
753530	362312	Claire Spencer
753530	362313	Herself
753530	363948	Ingrid Magnussen
753530	366761	Sukie Ridgemont
753530	367254	Laura Alden
753530	381041	Samantha 'Sunshine' Jensen
753530	386005	The Bombshell
753530	391835	Herself
753530	409121	Herself
753531	390812	Marina Geppert (1992-1993)
753532	381007	Yvonne
753532	409625	Pauline Pfitzer (1999-2003)
753533	282189	Gruscha
753534	80065	Shelly Far's Mother
753535	148790	Die Muse
753536	377366	
753537	84282	Wilna
753537	137744	Soledad
753537	154546	Mrs. Nilsson
753537	182571	Lucille Weiden
753537	192667	Lila
753537	198017	Atkinson's Friend
753538	132247	Peninsula Dance Team
753539	350860	Frau Kilian
753540	275182	
753541	361410	
753542	145057	Herself
753543	247845	Pichuza
753543	396132	Carolina
753544	37261	Woman in Cabin
753544	64399	Stella Price
753544	176392	Glynis Vargas
753544	238238	Interviewer
753544	291122	Ms. Lopes
753544	342924	Juror in black/Woman dancing 
753544	360124	Christy Ross
753544	380391	Dr. Alice Matthews Frame Fram
753544	389858	Cynthia Elliot (1982)
753544	403452	Lisa Thompson (1985)
753545	65001	
753546	65001	
753547	381821	Ensemble (1985-1986)
753548	407747	Newsreader (1990-)
753549	71807	Louisa Feldman
753550	51932	
753551	60316	Suzy
753551	98855	Miss Movie Review
753551	98857	Daisy Diddleman
753551	98858	Celeste
753551	98859	Holly
753551	98860	Horny's girl
753551	98863	Peaches
753551	98868	Princess Cassandra
753551	98872	Honey
753551	98881	Daphne Doyle
753551	98885	Ms. Armstrong
753552	269954	
753553	33451	
753553	33456	Jana Schöller
753553	113660	Anhalterin
753553	137145	Vivian Hellmann
753553	144193	Dr. Birgel
753553	170171	
753553	189571	Veronika
753553	290197	Beate Werner
753553	300156	Sue
753553	325385	Suza Bindner
753553	325510	Suza Binder
753553	325762	Suza Binder
753553	325763	Suza Binder
753553	352176	Britta Klunter
753553	393878	
753554	31855	Saleslady
753555	26493	Sheila
753555	81052	Psychiatric patient
753555	98149	Ms. McCoy
753555	154039	Mrs. Mishkin
753555	155208	Jeweler
753555	191260	Mother
753555	208989	
753555	219859	Hospital Nurse
753555	232423	Lori
753555	272973	Hotel Manager
753555	285287	Client's wife
753555	294789	Selby's neighbor
753555	359454	Secretary 2
753555	366684	Female Customer
753555	389858	Mrs. Williams (1993)
753556	125472	Leni
753556	180706	Thekla Dollinger
753556	223203	Anna
753556	289955	Elvira
753556	290167	Cordula Rammelmeier
753556	293443	Irma Kragler
753556	303717	Gusti Mast
753556	310440	
753556	352339	Petronella
753556	374327	Tante Anni
753557	18438	Karin Lucas
753557	38769	Gudrun
753557	44826	
753557	75937	Mädi
753557	86101	
753557	101328	
753557	119133	Olga Wick
753557	120789	Lolita
753557	121070	Juliua
753557	125121	Lili
753557	126445	Gabriele Montag
753557	154139	Gretchen Hoffmann
753557	155435	Lieselotte Neugebauer
753557	176545	Inga
753557	180971	
753557	203338	Tanja Rosnova
753557	204922	
753557	211108	
753557	214682	Janet
753557	229755	
753557	268856	Charlotte Diensen
753557	272591	
753557	272796	Tamara Jagellovsk
753557	281735	Elisabeth Betterton
753557	290069	Schäfer-Ammi
753557	343494	
753557	345928	Lydia
753557	347771	Waltraut
753557	390938	Dinah Winston
753557	393978	
753557	394920	Mathilde Warburg
753557	396165	
753557	402895	Tamara Jagellovsk
753557	408243	Vivien Gilmore
753557	411096	Emely Brown
753557	411929	Frau Zimmermann
753557	412100	
753557	412250	Diane Dénard
753558	56980	Christina
753558	75805	Woman in Control Room
753558	79907	Evelyn Michaels
753558	207099	Lt. Maria 'Dish' Schneider
753558	213159	Cynthia Vaughn
753558	232231	Louise Harper
753558	276708	TV reporter
753558	291245	Sandy Miller
753558	314424	Gillian Francis
753558	330126	Sylvia Martin
753558	338564	Boss Jack's Wife
753558	346281	Jean Broadhurst
753558	363298	Alice Gilligan
753558	388247	Samantha "Big Jack" Jack (198
753558	388401	Invisible Girl (Susan Storm R
753558	400352	Lt. Katherine O'Hara (1978-19
753558	403452	Taylor Chapin Field Von Plate
753559	313782	Performer
753560	98261	Frau am Bahnhof
753561	98318	Madame Knorr
753561	172349	
753561	180703	Kathrein Kellnerin
753561	290442	Frau Schrammel
753561	340013	Phodippe
753562	360055	Vanessa
753563	165123	Lady Singer
753564	43931	Shapely Waitress
753565	325610	Sonja
753566	36480	Moni
753566	40645	Julia
753566	42443	Marie Wilde
753566	186941	Nina
753566	219268	Lena
753566	350870	Lina Bach
753566	366515	Cornelia 'Neli' Bergmann
753566	377350	
753566	377361	
753567	119272	
753568	374385	
753569	262434	Double der Tänzerin
753569	301797	Toinette
753570	342588	Gertraud's Tochter
753571	60790	Freshman (College Student 2)
753571	133795	Friday
753571	143538	Seductress #3
753571	279296	Old lady
753571	296336	The Sexy Chef
753571	331992	Beautiful Brunette
753572	60714	Brynn
753572	190799	Herself
753572	208475	Herself (#45) (Interviewee)
753572	288682	Herself
753572	293192	Yoga Teacher
753572	392421	Herself
753572	392422	Herself
753572	392424	Herself
753573	163889	
753574	374322	Max's Daughter
753575	172740	Krishna
753575	184698	
753575	300257	Krishna
753577	177204	Salon Receptionist
753578	62581	
753578	143641	
753578	176242	
753578	267147	
753578	281355	
753578	323609	Ann Howe
753579	97070	La fiancée asiatique/La prost
753579	302304	L'Esprit asiatique
753580	24878	Herself
753581	291014	
753582	377044	
753583	84616	Gogo-girl du bar
753584	393336	Nimh
753585	4946	Photographer
753585	141605	Ghost Wife
753585	152272	Manicurist
753586	209133	Trang Pak
753587	327564	Une asiatique
753588	221511	
753589	42381	Blanche
753589	76169	Soon Yi
753589	112860	
753589	186985	Maï (jeune)
753589	254053	Lucie
753589	352635	Hôtesse restaurant thaïlandai
753589	409443	Li-Xou
753590	167942	
753590	229096	Yim Om, mother
753590	231071	Vannah
753590	345478	Srey Poeuv's Mother
753591	5064	Herself (napalmed young Vietn
753591	141463	Herself
753592	269503	Serveuse bar
753593	3275	
753593	72139	
753593	125143	Vanessa
753593	136725	Supi-Susi
753593	144151	Ananda Singh
753593	153856	
753593	164832	Sin-Li
753593	172842	Musikantin
753593	226342	Mimi Hu
753593	226343	Mimi Hu
753593	236039	Soeur Anna-Marie
753593	257268	Emma Trost
753593	276624	Kim Lhan Thi Hong
753593	308824	Gast aus Vietnam
753593	325618	
753593	325711	Maria Knauf
753593	354102	Sarah
753593	388798	Keko
753593	392913	Host (1995-1998)
753594	258313	Un élève de la 4e techno
753595	217835	Une cliente
753596	39848	Empress of China
753597	151052	Tyranny
753598	297937	Michelle
753599	44441	Cleaner
753599	113515	
753599	382846	Naomi
753599	393653	Mrs. Stapleton
753599	408870	Mrs. Wald
753600	80585	Skivvie Girl #1
753601	105216	Customer in Salon
753602	158207	Lisa
753602	342574	Actress
753603	7488	Specialty Dancer
753603	125923	Shirley (Curly's Wife)
753603	294212	Specialty Dancer
753603	300145	Specialty Dancer
753603	308861	Specialty Dancer
753603	333386	Specialty Dancer
753603	372907	Nightclub act
753604	309988	Marie
753605	154051	Cheryl Koye
753606	307374	Penelope
753607	131240	Housemaid (evening prayers)
753608	48762	Monica Harris
753608	135592	
753608	187988	
753608	188317	
753608	389858	Katie (2000)
753609	6684	La petite Adrienne
753609	135330	Marie Tintin
753610	98679	Señorita
753611	384303	Elvira
753611	407275	Cris
753612	74978	Herself
753612	300230	Maiden #1/Generic Female #2
753613	44418	Girl in Factory
753613	77620	Eve
753614	51989	Ranch Inmate
753614	384522	Sharla
753615	28272	Highest Tree
753615	31286	Ma Tyrell
753615	72515	Truck Driver
753615	81331	Joan
753615	83455	
753615	85070	Girl in pub
753615	89339	Joan Jarvis
753615	136950	Anna
753615	139092	
753615	154087	Lay preacher
753615	154357	Mrs. Jones
753615	294355	
753615	381059	Postie
753615	381343	
753615	381608	Kate Murray Ashwood
753615	384581	Mrs. Fuller
753615	385924	
753615	388323	Dawn
753615	391070	Mumma Darcy
753615	391774	
753615	392868	
753615	394297	
753615	399130	Claudia Harvey (1997)
753615	401828	Mumma Darcy
753615	402197	Myra Desmond (1980, 1981, 198
753615	403431	
753615	405578	
753615	406457	
753615	409197	
753616	256504	Player
753617	162607	Singing Voice of Isabella
753618	221324	Old Aunt
753619	139288	
753620	366921	Karen
753621	243714	
753622	190796	Lonely Girl's Mother
753623	291428	Herself
753624	61418	Girl on car
753625	394123	Virginia Kane 3-4
753626	402020	Liberty
753627	158873	Extra
753628	222880	Fan in Bookshop
753629	144634	The Child
753630	291410	Herself
753630	291411	Herself
753630	291412	Herself
753630	291413	Herself
753632	366657	The Baby
753633	64070	Ensemble
753633	65551	Charmion (Cleopatra's handmai
753633	71562	Haydee
753633	283329	
753633	299796	Grandmother
753633	316226	Glenda Perry
753633	331732	Mrs. Larkin
753633	404694	Grace Harris Tyrell #3 (1970-
753633	405882	Hilda Benson (1974)
753634	157303	Dream Ghost
753635	308344	Woman Attacked
753636	145630	Herself
753637	342880	Mandy
753638	348752	Babara, Oyuki, Operator
753638	348754	Oyuki
753639	283006	Friend
753640	158275	Lil Allwood
753641	32711	Herself - printer
753642	299073	Receptionist
753643	410887	Davonia Sommersill
753644	328272	Homeland Security Officer
753645	93076	Self
753646	156510	
753647	303078	Mrs. Gordon
753648	20034	Bertie, Smitty's Wife
753648	366952	Virginia
753649	133728	Charkie's Water Ballet Perfor
753650	296552	Dancer
753650	369492	Muse 3
753651	283429	Cleo
753653	390180	Roxy Astor
753654	304355	
753655	170755	Betty as a Little Girl
753655	203593	June, as a baby
753656	199483	Greta
753657	20625	Extra
753657	40077	Teacher in Lounge
753657	302603	Helen
753659	182949	Couliba
753660	104764	Portuguese entry (16th place)
753661	104764	Portuguese entry (16th place)
753662	306421	So Fine Dancer
753663	142464	Johnny's Mother
753664	277088	Rho-Rho
753665	133345	Party Guest
753666	26289	Hadleyville Mayor/Dr. Cooper'
753667	22839	Herself/Host
753667	202372	Cameo appearance
753667	231776	Herself
753667	252445	Herself
753668	398508	Presenter
753668	408481	Presenter (1985-1994)
753669	7926	Faith Barker
753669	8173	Margy (age 18)
753669	40483	Talithy Millicuddy
753669	77914	Tressie Harloow
753669	94140	Princess Emanuella
753669	108017	Mary
753669	112197	Isoel Ludant
753669	116769	Crippled Girl
753669	116802	Mamie Rose
753669	122904	Irene Tudor
753669	147865	Clips from 'The Phantom of th
753669	152546	Ruth
753669	185536	Julie
753669	195871	Hannerl
753669	203536	Dea
753669	211620	Agnes Urban
753669	242616	
753669	252298	Margaret Schofield
753669	254516	Christine Daae
753669	260867	Joan
753669	274038	Eliza Fay
753669	281857	Mitsi
753669	297457	Tessie Swanzey
753669	314361	Stella Maris/Unity Blake
753669	319871	
753669	320023	Lea Lyon
753669	327463	Moira
753669	331754	Cameo appearance (herself)
753669	340626	Mary Lee
753669	363336	Sallie Summrs
753670	64951	Stripper
753671	336828	Cécile
753672	312946	Mme Solz
753673	73744	Dancer
753674	86727	Domestique chez Rambert 1
753675	69172	Herself
753676	5645	
753676	410110	Herself - Host (1999-)
753677	5009	Additional SPAT Woman
753679	155338	
753680	121855	Kathryn
753681	238774	Lilian
753682	54464	Prostitute
753683	359901	Jane Sommers
753684	15069	Geneviève
753684	17110	La Juge
753684	23844	
753684	25242	Isabelle Chabrier
753684	94239	Claude Galmiche
753684	96141	Valentine
753684	101127	Régine
753684	104222	Julie
753684	111035	Christine
753684	124143	Anna
753684	201183	Marlène
753684	205717	Lioudmila, la fille de Moukov
753684	206300	Catherine de Brie
753684	264114	L'institutrice
753684	264212	Pauline Metternich
753684	284829	Elena
753684	318119	Le procureur
753684	346418	Doctor Ferrières
753684	352927	The Governor's Wife
753684	381430	Solange Garamance
753684	393731	Delphine de Custine
753684	397195	Mlle de Chevreuse
753684	410143	Mlle Varthon
753685	81351	Tarinda
753686	41412	Caesar's Girls
753687	4501	
753687	26259	Elisabeth
753687	33464	Nurse
753687	66087	Gabi
753687	93971	Ann Katrin
753687	129743	Luzzi
753687	147261	Iris
753687	176515	Katja
753687	176896	Barbara
753687	189782	Suse
753687	223334	Paula's Mother
753687	225258	Bille
753687	273967	
753687	325477	Nina Grote
753687	325486	
753687	325499	Ana Gramm
753687	325676	Michaela Metzner
753687	359689	Pritt
753687	387383	KOK Hanne Krause
753687	391600	Bernice
753687	394411	Katja Goldbach
753688	234573	Une cliente
753689	91007	
753689	125130	Zofe Lizzi
753690	7199	Marie Moore
753690	45912	Sarah White
753690	59114	Young Girl #2
753690	220682	Secretary
753691	20419	
753691	24551	Renate
753691	147153	Anita
753691	205663	Lucia
753691	247147	Barbara Martin
753691	288244	
753691	289894	Barbara
753691	392509	
753692	106013	Helga
753692	119707	
753692	155430	Petita
753692	242767	Lucky
753692	281747	Flora Waring/Rose Schuster
753692	283472	
753692	290239	Dr. Lost
753692	290240	Dr. Lost
753692	296365	Hassende Mutter/Hating Mother
753692	312104	Annabel Lee
753692	328643	Claudia
753692	361492	Francis Bennett
753692	376361	Antonia Rolfs
753692	388510	Ulrike Krueger
753692	389119	Lisa (1990-)
753692	391152	Amelie Kaiser
753692	394287	
753692	396451	Ingrid
753692	409952	
753693	19021	
753693	43651	Charlotte Friedenthal
753693	123957	
753693	140311	Hava
753693	153977	Barbara
753693	164262	
753693	184276	Gabi
753693	188763	Rose Pemberton
753693	189749	Tina's Mutter
753693	205663	Ampora
753693	213623	
753693	225296	
753693	322520	Alexandra Karel
753693	343501	
753693	347002	
753693	361404	Luise
753693	366976	Amy Jones
753693	369179	
753693	371287	Mädchen #1
753693	382116	Prinzessin Augusta
753693	386220	Anna Mahlmann
753693	386904	Knabber (voice: German versio
753693	396759	Ilse Gollmer
753693	398083	Frau Mueller-Atchinson
753693	398095	Rosanna
753693	401311	Louise
753693	407810	Martha Meister
753693	409626	Sabine
753694	18945	Madam in brothel
753694	395706	
753695	163820	La secrétaire de Sam
753695	171325	La directrice
753696	199316	La jeune servante à Hong Kong
753696	217676	Suzie
753697	108210	
753698	112864	Marilyn
753698	345422	Simone Cornu
753698	382195	Jeannette
753698	384628	
753698	391479	Mme le juge
753698	412276	Elfriede
753699	386091	
753700	377258	Renée
753701	190213	Stella
753701	192046	Carla
753702	8883	Maya Berger
753702	25323	Marquise de maubricourt
753702	28155	Paméla Noël
753702	33583	Solange de Fleury
753702	41116	Brune
753702	55598	Dora
753702	57295	
753702	58417	Solange Montfort
753702	65136	Colette
753702	66088	Monique de Saint-Febvrier
753702	66741	Mary Pinson
753702	89729	
753702	111081	The Princess
753702	119751	Eleonore
753702	132995	Suzanne de Norvaisis
753702	135432	Linda
753702	144309	Clemence
753702	148677	Donna
753702	248259	Renée
753702	249082	Barbara
753702	261020	Marie
753702	268437	Nathalie
753702	307073	Maria
753702	343564	
753702	346702	Régine
753702	356512	Rosine
753704	217657	
753705	230227	
753706	254664	Joanne
753707	397886	Herself
753707	397888	Herself (2002)
753708	334624	Herself
753709	15934	Chasity Pasley
753709	148339	Alicia Browning
753709	222308	Carol Ann
753709	305710	Karen Carter
753709	311952	Jenny
753709	363780	Karen
753709	385802	Audrey Liddell (2001-2003)
753709	389289	Kim Kelly
753709	404376	Mindy
753710	24429	Austin's Mom
753710	335258	Steve's Nurse
753710	336239	Poser's Girlfriend
753710	402946	Host
753711	388756	Krämerin
753712	310835	Pronouncer of Words
753713	41757	Event Coordinator
753714	228298	Pyramid Team
753714	326967	Mrs. Hampton
753715	262091	Yellow Ranger
753715	262092	Katie/Yellow Time Force Range
753715	262093	Katie/Yellow Time Force Range
753715	262094	Katie/Yellow Time Force Range
753715	262095	Katie/Yellow Time Force Range
753715	402006	Katie Walker/Yellow Time Forc
753716	345688	
753717	297991	Ryan's Mom
753718	7212	Emma
753718	15852	Karla
753718	33001	Herself
753718	33491	Rosa Luciano
753718	44439	Holly Nolan
753718	46369	Lindsay Kurtz
753718	80373	Melody
753718	80786	Tracy Ingram
753718	143051	Tess Weston
753718	166470	Patricia "Trish" Jenner
753718	166711	Jennifer Cassi/Joanna
753718	189920	Alicia
753718	192748	Lisa Francato
753718	196291	Adult Gigi
753718	226777	Mia Romano
753718	233614	Alexis Winfield
753718	272863	Lorri
753718	286424	Lisa
753718	308084	Orangina
753718	327307	Kristen Barrett
753718	329343	Jordan
753718	346947	Tammy
753718	363045	Teenage Girl
753718	368154	Nicole Walker
753718	379802	Sandy Hingle (1999-2000)
753718	391162	Harper Woods
753719	160418	(segment "Three On A Match")
753720	26460	Karen
753720	82327	
753720	189911	Elizabeth
753720	218026	Natalie
753720	259284	
753720	270484	Alice Donnelly
753720	316667	
753720	333287	WAC
753720	359194	Roo Zimmerman
753722	21449	Laura
753722	46779	Maria, the Hotel Maid
753722	47381	
753722	54471	Elsie Rickenbacker
753722	80947	Mrs. Wilkins
753722	81009	Mrs. Edie Wilkins
753722	81023	Mrs. Wilkins
753722	109057	Helen Ferguson
753722	154083	Mrs. Boyd
753722	158711	Bessie Guinan
753722	178017	Dorothy Pringle
753722	183706	Maggie Grant
753722	186795	Mrs. Berent
753722	190057	Miss Pinty
753722	190193	Girl
753722	204552	Miss Beryl Lee
753722	264090	Queen
753722	329399	Amy
753722	366205	Mrs. Hatti Penletter
753722	367721	Mrs. Mary Fowler
753723	175232	Krazy Kat
753723	220420	Krazy Kat
753723	306369	Loweezy
753723	381548	Krazy Kat/Loweezy/Mrs.Quack Q
753723	394824	Krazy Kat, Mrs. Kvak Kvak
753723	394824	Krazy Kat/all female characte
753724	374572	911 Operator
753725	2334	Mrs.Roy Chowdhury
753726	99927	Mevrouw Molkenboer
753727	185251	Maria
753728	153775	
753729	294595	Alisa
753730	1710	Holly Davis
753731	48000	Natascha
753731	109293	Inez
753731	115402	Malin, young girl
753731	121018	
753731	142337	Hotellgäst
753731	154509	Guest at the hotel
753731	173540	Vera
753731	180937	Eva
753731	188932	Gunilla (in Swedish-language 
753731	284387	Birgitta Mander
753731	305303	Student
753731	305519	Britta
753731	378274	Cecilia Käck
753732	240213	Tony, bridegroom
753733	104779	Swedish entry (6th place)
753733	192659	Herself
753733	210349	Herself
753733	210350	Herself
753733	210351	Herself
753733	210363	Herself/Host
753733	397396	Herself/Host
753733	397397	Herself (The Winner)
753733	405853	Singer
753734	182569	Golf player
753735	228339	Nun
753736	245907	Bar patron/mutant
753737	43596	Seance Woman
753738	381608	Christine Jackson
753739	55632	Susan
753740	101805	
753741	54919	Millie, Pauline's Child
753742	222672	Ice Skater
753743	201175	Muriel
753744	120813	
753744	218530	Zizi, the Cigarette Girl
753745	300214	Mom
753746	118233	Maddie Banks (younger)
753746	370643	Denise
753747	307948	Female Customer
753748	52156	
753748	260625	
753748	292755	
753748	355953	
753749	243564	Drugstore Cashier
753750	116961	
753750	158309	
753750	218108	
753750	256437	Deirdre
753751	14131	Computer Girl
753751	214664	Milly Bright
753751	359327	Edna
753753	118956	Claire Clairmont
753753	119547	Julia
753753	129461	Georgia
753753	215252	Sarah From Brighton
753753	224221	Jasmine
753753	248667	Michelle
753753	362380	Ellen
753753	390523	Jessica Arnold (1994-1998)
753753	408864	Chelsea
753754	140966	Rebecca
753755	26418	Best Friend
753756	232262	
753757	294804	Doria
753757	335103	Maeve
753758	94861	Arlene
753758	112184	Gertrude
753758	204583	Connie
753759	7863	Sally Tate
753759	117072	Anne
753759	175788	
753759	327829	Gaye
753760	45695	Nola
753760	66205	Judy
753760	102009	Rachel
753760	206331	Anna McKinnon
753760	331639	Mabel Fine
753760	358657	Kate
753760	365779	Catherine Waterford
753760	368788	Max
753760	386339	Cassie
753760	411817	Det. Sr. Const. Cameron Smart
753761	46862	Bella
753761	117579	Doll
753761	118021	Servant girl
753762	363514	Herself
753763	406731	Judge
753764	365452	Nurse Thea
753765	35809	Fashion model
753765	147644	
753766	147901	
753766	363926	
753767	97512	Drugged out hippie girl
753767	147885	Syxx
753767	321174	Crimologist
753768	81589	Sketch artist
753769	348219	Female Boxer
753770	116691	
753771	279456	Waitress
753772	16113	Juror #1
753772	32098	Grandmotherly Sitter
753772	42785	Teacher
753772	45498	Institute receptionist
753772	74117	Abigail Spaulding
753772	80729	Martha
753772	130629	Mysterious Woman
753772	138236	Woman Neighbor
753772	143849	Chairwoman
753772	151196	Mrs. Jardine
753772	154445	Landlord
753772	161051	Edwina
753772	164483	Mary Quinn
753772	222650	Grandmother
753772	234218	Mother Superior
753772	255233	Mrs. Gersten, piano
753772	276801	Cynthia
753772	283398	Linda, Parapsychologist
753772	297228	Norma Curtis
753772	299897	Clerk
753772	329503	Mrs. Trueblood
753772	331697	Mary Whitelaw
753772	387239	Marion
753772	399196	Granmama Addams
753773	202188	Mrs. T
753773	208953	Mrs. Ballantyne
753773	229258	
753773	304994	Slim's Mother
753773	399130	Gloria Gardner/Lewis (1988-19
753773	401017	
753774	12217	Estrella Starr
753774	39193	Charlie
753774	49396	Ali Willis
753774	90900	Alice
753774	109509	Tracy
753774	140416	Emily
753774	161323	Herself
753774	225774	
753774	238140	Backpacker
753774	280277	Herself
753774	318370	Autograph Girl
753774	325058	Delilah Milford
753775	326615	The Boy's Mercenary Aunt
753776	5310	Maya/Corinna
753776	14223	Raquel
753776	26734	Helen
753776	54221	Navy Pilot Lt. Cmd. Barbara D
753776	55457	Alex Grant
753776	58770	Kam
753776	58771	Kam
753776	58773	Kam
753776	60937	Cheyenne
753776	72109	Hetty Barnett
753776	135996	Felicia
753776	137200	Buffer Bidwell
753776	149181	Jamie Pisarcik
753776	185267	Dr. Anne Williams
753776	191260	Kelly
753776	201643	Herself/Kam
753776	274316	Mimi Johnson/Luscious Lola (s
753776	286637	Karen Douglas
753776	300180	Dee
753776	326272	Zoey Kinsella
753776	360811	
753776	383374	Navy Pilot Lt. Cmdr. Barbara 
753776	398567	Julie Costello (1995-1996)
753776	410638	Lori Danforth
753777	299654	Dougie
753778	35764	Bubbles
753779	232392	Thea
753779	288628	Billy Swan
753779	393424	Jem (singing voice)
753781	22016	Refined young lady
753781	70307	Resko's Wife
753781	90437	Olga
753781	96973	Mime #2
753781	123456	Holly, Party Guest
753781	163358	Belvah
753781	206255	Sidney Strutt's secretary
753781	238071	Hungry girl
753781	249576	Rico's 'Secretary'
753781	257963	Mary Smith
753781	277895	Saloon girl
753781	307863	Rosalie ('Bama's girl)
753781	362635	Cynical Patron At Art Showing
753781	395519	Lilly (1963-1964)
753782	11455	Olivia Larkin
753782	12759	Molly the Eel
753782	21524	
753782	21798	Marie
753782	32125	Carmen De Santas
753782	51583	Dolly
753782	51873	Gaza
753782	59835	
753782	107451	Madame Le Grande
753782	108237	
753782	112438	Mexico
753782	113779	Marie Roselli
753782	116945	Valeska De Marsay
753782	117410	Benita Ramirez
753782	125844	The Vamp
753782	127695	
753782	133433	Viola Matthews
753782	133519	
753782	134285	
753782	136252	Lady Clarissa
753782	140514	
753782	141346	Grace Fitch
753782	147633	Cameo appearance
753782	148389	Nan Powderly
753782	149447	Miza/Wanda Atherton
753782	186646	
753782	194466	
753782	203589	Fanina
753782	207193	
753782	221327	Pauline
753782	245508	
753782	246477	Tai Chen
753782	246955	
753782	256484	Caprice
753782	257374	Undetermined Role
753782	278242	Paulette Du Bois
753782	279418	Princess Constantine
753782	296650	
753782	303510	Mrs. King
753782	305585	Madame Yelba
753782	305802	
753782	314926	
753782	319227	Camilla Aiken
753782	327998	
753782	329775	
753782	329780	
753782	330629	Carlotta
753782	331360	
753782	335651	
753782	335673	Mrs. William Trevor
753782	343377	Marie Courtot
753782	345743	Idaho Ina
753782	346108	
753782	351432	Countess Michhetti
753782	362688	
753782	364108	Rosa
753782	371039	The Yellow Girl
753783	217958	Poojah's wife
753784	224217	Tina
753785	44719	Tanya "goon"
753786	106176	
753787	50975	Kim MacAfee
753787	51801	Mary Frances 'Miffy' Young
753787	67950	Jessica
753787	131767	Alma
753787	161323	Herself
753787	161908	Cindy Moore
753787	191675	
753787	220669	Megan Lawrence
753787	221474	Herself
753787	282563	Roxanne Pulitzer
753787	289222	Mimi
753787	296919	Herself
753787	307902	Mia
753787	338553	Mona Voight
753787	365931	Herself
753788	107143	Waitress
753789	152514	Girl 4
753790	56654	Ann
753790	214943	Female Cop
753790	263348	Unknown
753791	27339	Disturbed Woman
753791	218206	Flashback Wife
753792	403967	Commie Babe Make-Up Artist
753793	274200	Sharon Stone Wannabe
753794	140783	'I Love You' Leech
753795	308401	Ann Farrell
753796	283250	Old Woman
753797	880	Mrs. Mirthless
753797	54032	Aunt Gretchen
753797	55706	Aunt Beatrice Grubb
753797	58017	Lady at Party
753797	62710	Mrs. Rhineberger
753797	70788	Sarah Pugh
753797	80518	1st Woman
753797	94858	Betty
753797	118940	Nurse
753797	183239	Madame Watteau
753797	192000	Winifred
753797	193621	Woman at Airport
753797	231130	Mrs. Firth-Benham
753797	284583	Emma Bucknell
753797	287713	Miss Tucker
753797	346020	Mrs. Dai Bread One
753797	382148	Mistress Hatch (1973-1974)
753797	384497	Madame Leblanc
753797	390523	Mrs. Monroe (1978)
753797	392545	Brunhilda
753797	401224	Partygoer
753797	404966	Mrs. Bardell
753797	405092	Aunt Elsa
753798	6909	
753798	7410	
753798	13529	
753798	16078	Gertrude's Maid
753798	18574	
753798	26648	
753798	29547	Jane Cortelyou
753798	32947	
753798	35806	
753798	43468	Elinor Crawford
753798	44554	
753798	47351	Midge O'Hara
753798	47480	Aurora Lane
753798	49808	Dorothy Willard
753798	51774	
753798	61717	
753798	66616	
753798	69614	Townswoman
753798	72200	
753798	72498	
753798	73772	Village Woman
753798	81444	
753798	84194	Mary Burton
753798	89630	Nora Helmer
753798	105159	Mrs. Bradin
753798	109786	Alice Trevor
753798	113360	
753798	113563	
753798	113974	Madge Garvey
753798	113981	
753798	115122	Delice Brixton
753798	117249	
753798	122167	
753798	124711	Claire
753798	125822	
753798	125864	
753798	128285	Mary Graham 'Flash' Fan
753798	131965	Marion Walters
753798	138866	
753798	139523	
753798	141265	Nanette
753798	141294	
753798	142389	Lola
753798	143060	Mary Perkins
753798	143207	
753798	145819	
753798	145956	
753798	150757	
753798	151160	
753798	153144	Lola
753798	155865	Margaret Ardrath
753798	157494	
753798	157740	
753798	158130	
753798	161509	
753798	163962	
753798	166043	Mrs. Consuelo Carter
753798	166252	
753798	170979	
753798	183325	
753798	183777	
753798	185050	
753798	188144	
753798	195714	
753798	203175	Mr. Hopkins' maid
753798	203544	
753798	203573	
753798	203802	Victoria
753798	206088	Doris
753798	208110	
753798	219619	Gloria Carter
753798	221307	Pedestrian in Mining Town
753798	223912	Woman at Wedding
753798	224756	
753798	224759	
753798	230718	Nellie Gorman
753798	241095	Aurora Meredith
753798	246599	Joan Gray
753798	249350	
753798	251195	Marta
753798	254576	
753798	254898	
753798	256478	Amy Hadley
753798	257052	Priscilla Glenn
753798	261558	Nurse
753798	262037	Dora Gordon
753798	263483	
753798	263512	Helen Urmy
753798	265828	
753798	265863	
753798	267973	Gertrude Austin
753798	273805	Woman
753798	275432	Ruth Pomeroy
753798	275709	
753798	276181	Anne Wetherall
753798	278267	Sonia/Vivian
753798	278857	Marjorie Helmer
753798	281771	Ruth Martin
753798	289040	
753798	289072	Katie Carrington
753798	291999	
753798	296558	
753798	297783	
753798	298501	
753798	299933	
753798	301279	
753798	303493	
753798	303519	
753798	304233	
753798	304505	Yvonne Desmarest
753798	306759	
753798	309479	Neila Pendleton
753798	309585	
753798	311743	Patricia Winthrop
753798	312045	
753798	320737	
753798	323967	Genevra French
753798	327408	
753798	329324	The Boy's Mother
753798	329740	
753798	331497	
753798	337640	
753798	340010	Nell Baxter
753798	343139	
753798	345701	Margaret Phillips
753798	347341	
753798	348529	Miss Weaver
753798	350004	
753798	350117	
753798	354859	Bank customer
753798	365035	
753798	366939	Mrs. Enid Garth
753798	367834	Mrs. Flaherty
753798	368562	Jo Bishop
753799	81719	Luana
753800	226128	
753801	163407	Belle Waylay
753801	190250	
753801	235594	Mrs. Commodore Dan
753801	246785	Mrs. Nettleton
753801	274981	Lady Westcott
753801	283091	'Klondike' Kate Kenner
753802	243750	Joy's Mother
753803	69834	Maid
753804	120095	Booster Pat
753804	151351	Internet Date
753804	320108	Counter Girl
753805	23591	Louise
753805	29335	Florence St. Vincent
753805	46517	
753805	60168	
753805	66629	
753805	66630	
753805	68307	The Queen
753805	70340	
753805	117173	
753805	175625	
753805	210426	
753805	218856	
753805	229138	
753805	300306	
753805	301260	Dacia
753805	308328	
753805	353387	Beryl
753805	362450	The Heroine
753805	364855	
753806	23459	Eve Phillips
753807	163391	Herself
753807	215171	
753807	228312	Herself
753807	281442	TV Presenter
753807	382799	Herself
753807	390195	Herself - Presenter (1997-)
753807	400056	Presenter (Series 1) (1999)
753807	403332	Host
753809	2541	Presentation escort
753810	241416	Information Girl
753811	10871	Dr. Sydney Templer
753811	11546	Felicity
753811	73303	Bride
753811	230968	Alice
753811	270008	Mrs. Nearing
753811	327634	Melody
753811	340987	Donna Moreland
753811	356792	Vanessa Forbes
753811	388555	Jessica Graham
753811	398567	Lisa Gillespie (1995-1996)
753811	400236	Sarah Gordon Buchanan #2 (199
753812	296888	
753813	68248	Debutante, Ann Waring
753814	387267	Lisa Loman
753815	33398	Doreen
753815	192381	
753815	295083	Peggy
753815	381333	Herself (1966-1967)
753815	381512	Herself
753815	382743	Mrs. Purley
753815	399816	Marie Crowther (1973)
753815	409629	
753816	37672	
753816	113136	Un sportif anglais
753816	116051	Woman
753816	254238	Prostitute
753817	89308	Stacey
753818	9145	Angela
753818	130311	Dancer
753818	314108	Dancer
753819	191535	Peach
753820	124506	The Gathering
753820	127258	Anne Hicks
753820	258075	Renée (episode "His Tale Her 
753821	53794	Wendy
753821	73857	Marion
753821	278842	100 Percent Woman
753821	342362	Countess Olivia
753821	342908	Sharon
753821	391869	Irene Roberts (#1) (1992)
753822	233840	Primal Scream Lady
753823	232870	
753824	274427	Wanda's Girl
753825	14607	Peggy Nolan
753825	50801	Redhead
753825	92425	Connie Madigan
753825	133707	Manicurist
753825	147391	Nurse at Desk
753825	183627	Sweetie
753825	184948	Girl
753825	190268	Cashier
753825	195190	Lady in green
753825	230953	
753825	231780	2nd Girl in Steve's Party
753825	231962	Janet Price
753825	232033	Faulkner's Secretary
753825	245424	Susan Grant
753825	277531	Party guest
753825	313377	Undetermined Role
753825	331123	
753825	333149	Ann Barrows
753825	361681	Betty
753825	372364	Girl
753826	353425	
753827	21040	TWN reporter
753828	347537	
753829	98894	
753829	98899	
753829	244864	Agent Kathryn Smith
753829	254585	Female Pilot
753830	281475	Sheila O'Flynn
753831	62898	2nd Starlet
753831	296753	
753831	306298	Naomi Voight
753832	208470	Exercise Class Lady
753833	128352	Gladys
753833	356276	
753834	283784	Molly Holly
753834	311537	Supermarket Girl
753835	44330	Female Reporter
753836	2580	Herself - Best Picture Winner
753836	230963	Rich woman meeting Jimmy ('Yo
753837	11937	Angela Nansky
753837	36862	Victoria
753837	113553	Loraine
753837	115326	Becky Culpepper
753837	126752	Janet
753837	146091	Anne Davis
753837	147653	Linda Morgan/Sarah Constance 
753837	166242	Heather
753837	238238	Sally
753837	242096	Susannah
753837	243595	Becka Sharp
753837	295326	Lisa Eden
753837	303975	Molly
753837	318701	Joanna Brannigan
753837	321239	Dixie
753837	332467	Jessica Weaver
753837	356998	Rachel Waring
753837	363502	Noreen Rafferty
753837	405494	Francesca 'Frankie' Reed Marg
753838	72747	Mary
753838	295614	Sherilyn
753838	362512	Kid #3
753838	406083	Ronnie
753839	273429	Herself/Boston
753839	273434	
753839	273436	Hostess
753839	402993	Herself/Boston (1997)
753839	403001	Herself/Real Worlders
753840	32305	Announcer in Capitol
753840	176686	Brigid
753841	97696	Older Boy
753842	196605	Grandmother Stirling
753842	287261	Miss Wayne
753843	310090	Woman with Dog
753844	292275	Snatch
753845	388144	Kathy (1952)
753846	50444	Jan
753846	251239	Bank teller
753846	316225	New Inmate
753846	350211	Kat
753847	126056	Choir Leader
753848	317805	Hanna
753849	362261	Bryanna Garner
753850	311407	Charlie Case
753851	49338	Tanya Strickland
753851	155251	Rusty
753851	182331	Didi
753851	255424	TV Reporter
753851	279420	Ruby the Waitress
753851	315317	Missy
753851	316875	Paula
753852	54681	Beach Girl
753853	120148	Young Naughty Bird
753854	142755	
753855	108382	Kindra
753856	167797	Wedding child
753857	16878	Dancer
753857	20188	Dancers
753858	120840	Caroline Jenssen
753859	34707	Woman
753860	44238	Patrice
753861	6624	Akanesi
753861	363836	Bernice Martin
753862	304862	Girl #2
753863	34828	
753863	36922	
753863	36925	
753863	128643	
753863	191422	
753863	317395	
753863	333833	
753864	18544	Sharks Trainer
753865	223079	
753866	162439	Flower Girl
753866	384962	Claire O'Reilly
753867	296830	Second Old Woman
753868	337267	Neighbor
753869	406710	Additional Voices
753870	13963	Carol
753870	31183	Herself (CBS Team)
753870	31187	Herself - CBS Team Contestant
753870	57492	Herself
753870	57677	Herself
753870	64564	Performer
753870	69905	Herself
753870	91888	Mary Burge
753870	98803	Eleanor Roosevelt, age 14
753870	109472	Susan
753870	126030	Herself
753870	129772	Doris
753870	161210	Herself
753870	161323	Herself
753870	164566	Nurse Harding
753870	174520	Deyna
753870	195518	J.J.
753870	201615	Herself
753870	213865	Robin Williams
753870	219030	Carol/Rainbow
753870	270742	Rita Sykes
753870	280210	Herself
753870	301659	Lillian Gish
753870	340775	Connie
753870	362663	Catherine Brown
753870	390771	Rachel Sullivan (1996)
753870	400223	Julie Cooper Horvath (1975-19
753870	405759	Molly Phillips
753871	85014	Adrianne
753871	211506	Psychic
753872	74288	Garter Girl
753872	117295	Cafe girl
753872	196963	Girl
753872	286334	Girl in singing quartet
753872	313118	Office Girl
753872	313377	Finale
753872	340853	Girl
753873	177337	Regan
753873	190179	Nora Harleigh
753873	236733	Sister Pauline (medical stude
753873	388778	Mrs. Cratchit
753874	125857	Mary Corbett
753875	328905	Madam Lupinskaya
753875	410513	Princess Caroline
753876	40250	Woman in Bar
753877	244785	Sarah Elliott
753878	26064	Sheep
753878	65796	Counselor
753878	190869	Additional Voice
753878	191246	Additional Voices
753878	272238	Temperance Lady 2
753878	312193	Zoe the Fairy, Additional Voi
753878	312851	Annabelle
753878	314745	Sister Agnes
753879	336157	Girl
753880	333857	Extra
753881	304316	Melanie Mitchell
753882	381091	Herself (eliminated round 5) 
753882	381092	Herself (2004)
753883	150051	
753884	1963	Herself
753884	3233	
753884	13769	Linda Tevere
753884	19087	
753884	31186	Herself (NBC Team contestant)
753884	41388	Vivian Nichols
753884	52328	Maggie
753884	64565	Herself
753884	72099	Claire Noble
753884	81277	Joyce Kreski
753884	86749	Billie Frechette
753884	90269	Guest Star
753884	115115	Herself
753884	139605	Mother
753884	146638	Herself (The Mamas and Papas)
753884	161276	Herself
753884	161323	Himself
753884	161343	Herself
753884	165474	June
753884	169207	Esther Severence
753884	175153	
753884	179042	Herself
753884	185420	Banker's daughter
753884	188227	Mrs. Davis
753884	194865	DeeDee Westbrook
753884	203633	Gena
753884	205165	Joan
753884	213628	Leora Van Treas
753884	214907	Trixie
753884	218538	Herself (The Mamas and the Pa
753884	218765	Meredith Tyne
753884	222690	Chris Jameson
753884	233829	Laura Collins
753884	246688	Sandra Lorenz
753884	263348	Mrs. Stepanek
753884	263461	Mrs. Rye
753884	280007	Host
753884	280046	Herself/Host
753884	282872	
753884	288930	Maggie
753884	290906	Ann Carter
753884	292818	Katie Jordan
753884	313635	Jennifer Clayton
753884	321405	Nancy Nevins (present day)
753884	339049	Suzanna Hollander
753884	345648	Erma
753884	348851	Marina Brent
753884	349876	Natasha Rambova
753884	380750	Gloria Osborne
753884	381811	Abby Malone (1998)
753884	389340	Jennie Barber
753884	392094	Elizabeth Bradshaw Cabot (198
753884	394676	Anne W. Matheson Sumner (1987
753884	394677	Anne Matheson Sumner
753884	396614	Suki Walker (1996)
753884	401894	Hellacious Akers (2000)
753884	404613	Ruby Ashford (1983)
753884	404635	Joanna
753884	406151	Raven
753885	280044	Herself
753886	29082	Mrs. Grayson
753886	78683	Mrs. Stone
753886	117377	Ruth's mother
753886	123240	Jennifer Rensington
753886	139937	Flossie
753886	144109	Mrs. Cartwright
753886	202248	Blanche Damon
753886	224304	Mrs. Wade
753886	235162	Old lady in wagon
753886	269295	The Cook, Horsie segment
753886	298587	Mrs. Howells
753886	316323	Dowager
753886	331381	Martha
753886	337780	Aunt Abbie
753886	370529	M'Dame
753887	73833	Sarah Jacobs
753887	108474	Woman on Steps
753887	316658	Hattie
753887	360266	Mrs. Aldridge
753888	351691	The Mother-in-Law
753889	227123	Black Baby
753890	76542	Michelle Barlow
753890	230412	Meredith
753890	257742	Beatie Bow
753890	276004	Lavinia
753890	336722	Sarah
753890	383057	Jackie
753890	383882	Nicki Taylor #2
753890	390276	Daphne Craig
753890	391128	Scruffy girl
753890	391869	Viv Newton (1989-1990)
753890	400646	PJ
753891	219178	The Widow
753891	339629	
753892	38728	Kaz
753893	11652	Connie Swooze
753893	44759	Barbara Wise
753893	196536	Nelly
753893	403834	Regular Performer (1970-1971)
753894	64811	Lefty's Girl
753894	280647	The Vamp
753895	307948	Bank Manager
753895	394424	Additional Voices
753896	171251	Helen Raymond
753898	364205	Regan Chamberlain
753899	206889	
753899	389694	Herself/Various characters
753900	292650	Elsie Merton
753901	18863	Judy
753901	294248	Jen Stone
753902	16088	
753902	21773	
753902	117714	Rose Verney
753902	244889	Our Mutual Girl
753902	283433	June Moore
753903	131005	
753904	318106	Lenore
753905	93870	Slave girl #2
753905	161924	Psych Nurse
753906	108355	Kathy Andrews
753906	238612	Triathlon Bikers
753907	24569	
753907	31484	Sharon
753907	69090	Mom
753907	108354	Bianca
753907	131539	Orrie's Wife
753907	164400	Anne
753907	184719	Robin Stuart
753907	189989	
753907	194277	Mrs. Delaney
753907	296691	Elizabeth Violet
753908	59813	Auntie Jane
753908	89271	Older Cafe Customer
753908	151501	Natty
753908	358339	Iris
753908	399695	Ruth-Anne Miller
753909	79002	Zelza
753910	348219	Female Boxer
753911	118980	Snooty Customer
753912	334112	Belinda
753913	110363	Woman
753914	270923	Mrs. Choo
753915	5504	Fleur Bennett
753916	315311	
753917	117259	Sylvia Vickers
753918	147885	Anubus' Crew
753919	137068	Nurse
753919	389858	Janet Fleming (1963)
753920	203560	Music Student
753921	38718	Karen
753921	41572	Patricia
753921	44456	Suzy
753921	46877	Shazzer, Bridget's Pal
753921	46878	Shazza
753921	63532	Waitress
753921	68097	Herself
753921	68111	PA (EastEnders segment)
753921	72354	Pinky
753921	99373	Female TV Star
753921	129203	Worthaboutapig
753921	158392	Jemma White
753921	161986	Sarah
753921	163282	
753921	170888	Sal
753921	209138	Tracey
753921	235790	Carolyn
753921	300108	Heidi & Amelia
753921	303863	Smack The Pony
753921	335782	Mom
753921	372069	Laura
753921	384695	Various roles
753921	388830	Various roles (1995-1996)
753921	391612	Jill Sprint
753921	391770	Laura
753921	392465	Sophie
753921	403228	Katie Nash
753921	405521	Various Characters
753921	405558	
753921	405664	Various Characters
753922	166871	Additional cast
753923	297653	Mayor's secretary
753924	86287	Katya
753924	100887	Singer
753924	142644	Herself
753925	16422	Mabel
753925	16637	Jade
753925	20373	Kid AllMedia
753925	29916	Sam
753925	32892	
753925	50599	Dina
753925	56303	Jamie McKenzie
753925	77144	Samantha Maxx
753925	81537	Eve Bendibuckle
753925	89688	Tina
753925	103449	
753925	104925	Beach Model
753925	107848	Michelle
753925	147677	Cop Dancer
753925	195999	Chrissy
753925	201883	Miss September
753925	211035	Candy the Resort's Whore
753925	218738	DreamGirl
753925	252389	
753925	252399	Herself
753925	252877	Girl in bar
753925	254414	Alchemy
753925	254415	Alchemy
753925	276169	Cherie
753925	289427	Melinda Ross
753925	295674	Nevada
753925	295723	Linda
753925	296276	Nicole
753925	308855	Wife
753925	338771	Sam
753925	360856	Pretty Young Thing
753925	392058	Katherine 'Kat' Matthus
753925	397417	Host (2001)
753925	404957	
753926	10871	DOD Medical Examiner
753926	80782	Cemetery Extra
753926	95789	Mrs. Linden
753926	154470	Ellen, Dr. Drummond's Recepti
753926	284526	Talent Agent
753926	302943	Aunt Sally
753926	366643	Woman
753927	358373	
753928	138822	In the Pink
753929	43933	Burkitsville Tourist #2
753930	137923	The Players
753930	299794	Reporter's Voice
753931	194315	Mrs. Combs
753932	89391	Sarah
753933	224192	Shelby
753934	13850	Carol
753934	161184	Victorine
753934	223502	Woman in restaurant
753934	337381	Success Mom
753935	8183	Mrs. Archer
753935	10216	Narrator
753935	23569	Grandmother
753935	32389	Gwendolen
753935	39330	Daisy Barnett
753935	44564	Mrs. Driver
753935	55561	Mrs. Henska
753935	60234	From "Come and Go"
753935	64080	The Evil Baroness
753935	65228	Queen Cassiopeia
753935	67781	Ru
753935	77068	
753935	78910	Mrs. Blessington
753935	88852	Annabella Rock
753935	95181	Rev. Mother Gaius Helen Mohia
753935	98029	
753935	104997	Herself
753935	105537	Queen Charal
753935	131771	Ursula Mossbank
753935	141401	
753935	141959	Frau Sesemann
753935	150871	Mam
753935	151402	Mrs. Alicia Moore
753935	183842	The Duchesse of Berwich
753935	186058	Lady Elizabeth More
753935	194111	WREN
753935	200356	Meg Lewis
753935	200357	Meg Lewis
753935	201621	Herself
753935	222886	Dr. Hayden
753935	232608	Lady Ripon
753935	238630	Lina Van Elyn
753935	244363	Kate Grant
753935	244450	Lady Lavery
753935	276745	Mrs. Driver
753935	290922	Mathilda Gillespie
753935	343024	Duchess of Windsor
753935	346020	Mrs. Ogmore-Pritchard
753935	349571	Calypso
753935	350062	Madame de Volanges
753935	352830	Martha Jones
753935	380610	Narrator/Older Lady Emily
753935	381327	Mrs Dalgleish
753935	384023	Nain Griffiths
753935	385220	Katerina Ivanovna
753935	387526	Nain Griffiths
753935	392171	Beth Morgan
753935	392483	Livia
753935	393162	Queen Eleanor
753935	393427	Mrs. Patrick Campbell
753935	394456	Isobel Makepeace
753935	400401	Leader of the Furies
753935	403062	Narrator
753935	405217	Mrs. Emmeline Pankhurst
753935	405696	Ann Smiley
753935	405742	Nain Griffiths
753935	408299	Ann Smiley
753935	409840	Miss Matilda Crawley
753935	410599	Queen Boudicca
753935	411255	Clementine Churchill
753937	330457	
753938	52440	Reporter No. 2
753939	26308	Ticket Attendant
753939	110286	FAA FlightCon Director Kerry 
753939	222300	Additional Voices
753939	231900	News #3
753939	313467	Komari Vosa
753939	313489	Additional Voices
753939	398513	Additional Voices
753940	138737	Alice
753941	86907	Trendy Model
753941	212524	Trendy Girl
753941	359149	Margerine
753942	329954	The Colangelos
753943	43220	Brandy
753944	346004	Daphne
753945	47838	Keesha
753945	386814	Announcer
753946	203159	Daisy (the maid)
753947	135843	Dancer at Cheemo's House
753948	2537	
753948	45591	Dancer
753948	196995	Dancer
753949	52804	Claire
753949	100838	Greta
753949	405209	Pamela Waggoner (2001)
753950	365526	Woman of Wongo
753951	53316	Mechanic
753951	147429	Meg
753951	383308	Miss Teasdale
753951	392019	Rose Derwent
753952	99216	Tonya
753952	158423	
753953	24315	L'Américaine
753954	1272	
753955	143400	Belle
753956	131232	Extra
753957	9124	Mary, Shuttle Stewardess
753957	19087	Marie Danzig
753957	49026	Esta Siegel
753957	81051	Mary Wilson
753957	109439	Paula Stone
753957	119096	Betty Ann
753957	120520	Monolith Secretary
753957	122245	Mom
753957	127574	Sarah Grant
753957	143973	Margaret
753957	148319	Claire Greene
753957	154040	Miss Wright
753957	190218	Lucy
753957	196100	Lisa Del Monte
753957	199114	Hannah Foss
753957	199115	Hannah Foss
753957	206714	Therapist
753957	213231	Gail
753957	223923	Mom
753957	241630	Debbie Hinshaw
753957	248097	
753957	280190	Babs Honeywell
753957	292017	Luanne Utley
753957	297791	
753957	335711	
753957	367093	Christine Bateman
753957	387297	Lacey Brown
753957	388031	Stacey Walling
753957	388237	Lauren Sharpe Daniels Channin
753957	391898	Anne Metcalf-Kahn
753957	402306	Claire Greene
753957	403508	Ann Sherr
753957	404371	Lucille Richards (1996)
753957	406363	Lisa Hull
753957	411672	Anne Gardner Maxwell
753957	411673	Anne Gardner Maxwell
753958	199150	Prison Warden
753958	352682	Megan, Hinge
753959	28611	Beverly Hills Housewife #2
753960	7394	Charmian
753960	241813	Policewoman
753960	382693	Roxy
753960	382838	Karyn Clark (1992-1993)
753960	383376	Wendy Foley
753960	385129	Bridget Laing
753960	401725	Gerda Grant
753960	405829	Karen Fitzpatrick (1997)
753961	81041	Grade School Teacher
753962	137567	Honey Kingsley
753963	21419	
753963	193501	
753964	318104	Mom
753965	96601	
753966	4184	Pappy's Sister
753966	16909	Mother at Party
753966	24209	Sylvia Levington
753966	34441	Miss Burrows
753966	54609	Majorie (with the major)
753966	55684	Aristocratic lady
753966	55709	The mad woman
753966	60532	
753966	61947	Lady Fielding
753966	85878	Lady Truesdale
753966	88883	Lady Spratt
753966	94972	Duchess
753966	106176	Lady Rosemary
753966	109884	
753966	118788	Miss Spence
753966	129954	Anappara Achamma
753966	137224	Minerva Grimes
753966	138800	Lady Martin
753966	152531	Mrs. Croxton
753966	157707	
753966	174434	
753966	180568	Rose Mary's grand mother
753966	190054	Mrs. Brown
753966	209577	Muthu's Grandmother
753966	220871	
753966	220893	Miss Blade
753966	240065	Nabisa's Mother
753966	241045	Antimatter
753966	242377	Lady Missenden Green
753966	242712	Reporter
753966	253557	Kunju Lakshmi's Grandmother
753966	271362	Mrs. Featherstone
753966	275364	Miss Grey, Secretary
753966	281413	Mrs. Brown
753966	291259	Lady
753966	300425	Tight
753966	315083	Miss Patten, fur department c
753966	318173	Margo-go-go
753966	323386	Bobbie
753966	329235	Paru
753966	330841	Lady Daubney
753966	340562	Marie
753966	340969	Lady Tavistock
753966	342720	Lady Smith-Adams
753966	348348	Lady Banderville
753966	354120	Moosa Sett's Mother
753966	357404	Margerett
753966	365560	Mrs Mowbray
753966	390887	Lady Helen Hadleigh
753966	392523	Lizaveta Epanchin
753966	393115	Lady Skerrington-Mallet
753967	370751	Herself
753968	243064	Alta Two
753968	385299	Isobel Zola
753969	196038	Lady in Leather
753970	353314	Cosmetic Salesgirl
753971	315897	Librarian
753972	274292	Janice
753973	140636	Girl Student
753974	154940	Kev's Girlfriend
753975	185174	Reporter
753976	366612	Joan O'Halloran
753977	41197	Jennifer Fresh
753978	323800	Marcie
753979	241806	
753980	215365	The Waitress
753980	355013	Rachel
753981	63746	Lab Woman
753981	113352	Casher at Club
753981	278466	Nurse
753981	278470	Nurse
753981	316609	Mother at Motel
753982	78821	
753983	245051	Danny's Sister
753984	16112	Secretary
753984	35595	
753984	66944	
753984	68179	Ruth Stone
753984	232319	Mrs. Jackson
753984	287285	Rita
753985	235491	
753986	347200	Girl in Cafe
753987	235491	
753988	109032	The Girl
753988	158361	Lisa Burke
753989	34459	Jessie
753989	36866	
753989	84383	
753989	128617	
753989	144911	Eleanor Barrett
753989	169623	Mabel
753989	195859	Mary O'Shane
753989	231054	Sally Wellington
753989	234797	Mary
753989	241855	Boat passenger
753989	364645	Betty Green
753990	239673	
753991	44681	Bubbles
753991	46326	Mimi
753991	102344	Landlady (long version)
753992	190329	HIV/AIDS Activist
753993	190329	Commercial Sex Worker
753994	21379	Fru Holst
753994	115555	Faster Jane
753994	123500	
753994	275257	Kunde I stormagasin
753994	287173	
753994	307713	Gnaven hotelgæst
753995	279460	Party Guest
753996	292845	
753997	682	Dorm Room Girl
753997	86955	Woman in Chinese Restaurant
753997	242529	Phoebe
753998	34946	
753998	43776	Busty Uniform Girl
753998	196842	Busty Schoolgirl
753998	267094	
753999	271282	Coleen
753999	408053	Schoolgirl
754000	17319	Nurse
754000	387533	P.C. Clare Waite (1999) (4 ep
754001	292182	
754002	4945	
754002	6753	
754002	39753	
754002	75060	
754002	91760	
754002	128156	
754002	296293	
754003	174520	1st Brownie
754005	75279	
754005	164502	
754005	182947	Sonia
754005	362977	Herself
754005	367854	Elsie Tanner
754005	384898	Phyllis Nugent
754005	385020	Elsie Tanner/Howard (1960-197
754006	31	Kimberly
754006	104965	Bonanza Jellybean
754006	107024	Terra
754006	139605	Nikki
754006	154822	Bartender#1
754006	200894	Brie Starkey
754006	237422	Emily
754006	304870	WROD Receptionist
754006	316225	Kit
754006	334154	
754007	20727	Jane Freeman
754007	33393	Carla Moebius
754007	53323	Candy, Stoned Girl's Friend
754007	68454	Meg
754007	86982	Marti
754007	104045	Esther Kahn
754007	107265	F'%# You Girl
754007	128085	Rebecca Fernhurst
754007	154822	Bartender#2/Girl at the Beach
754007	174520	Becky Stark
754007	184822	Jen Malmskog
754007	283443	
754007	283824	Candi
754007	304691	Brandy
754007	320453	Suzie Gold
754007	359790	Samantha
754008	66710	
754009	4498	Cecilia
754010	102444	
754010	129886	Mother
754011	272276	Mai-Lien
754012	320692	Cholatom
754013	18871	
754013	41327	Lethe
754013	81642	Catholic Discipline/Guitarist
754013	190371	Herself
754013	245240	Herself
754014	374890	Psychologist
754015	58999	Bedeni
754015	167419	Policewoman
754015	200803	Palanka
754015	222101	Dilpiyara
754015	300625	Jinzhu
754015	411777	Zhong Mei
754016	341019	Second Prostitute
754017	106526	Vietnamese Mother
754018	194928	
754019	246509	
754020	130307	Mother of tortured girl
754021	177145	Sue-Lin
754022	411245	Minh (Episode 7: On Loan)
754023	31702	Cleaning Woman
754024	238590	Vietnamese Interpreter
754025	390180	
754026	310874	Fashion Model
754029	213576	Katisha
754030	231082	
754032	43399	
754032	120813	Grande-Duchesse Anna Ivanova
754032	122216	Elisa
754032	152364	La jeune fille
754032	199328	Marie-Antoinette
754032	205679	Lise
754032	205684	Lise
754033	203436	Chorus
754034	78472	Herself (performing winning s
754034	104741	Danish entry (14th place)
754034	123040	Anna Bella
754034	253970	Lisbeth Berg
754034	327340	Herself (segment "Ulla Pia - 
754034	344381	
754036	235760	Nicola's Mother
754037	325458	
754038	242825	
754039	301521	
754040	13103	Simone
754040	44999	
754040	119751	Eugénie Buffet
754040	124324	
754040	218561	Lily
754040	225699	
754040	230205	Christine
754040	248996	
754040	254968	
754040	300735	Woman of the people
754040	377939	Madeleine
754041	339446	
754042	26038	Matilde
754042	74524	Natalia
754042	110109	Mujer ojerosa
754042	136150	María
754042	159935	Olympia
754042	284456	Susan Sealove
754042	317810	Cantante
754043	228152	Lorella
754044	8479	Esiliata romana
754044	17815	Dama dell'Azione Cattolica
754044	44229	
754044	56360	
754044	115172	
754044	199560	
754044	244077	
754044	293938	
754044	309405	
754044	328831	
754044	334990	
754044	384618	
754045	112926	
754046	258114	
754047	205755	La fermière
754048	68430	
754049	153336	
754050	55483	1st Sicilian Woman
754050	68436	
754050	163733	
754050	173613	Water woman (segment "Altro f
754050	202576	Renato's Mother
754050	238380	
754050	307440	Peasant Woman
754051	217652	
754052	57832	
754052	207947	
754052	234764	Raffaella
754052	385276	Ivana
754052	390091	
754053	23518	
754053	55496	Vitelli's widow
754053	72391	Woman in Fiat
754053	75254	Rosa
754053	84168	Marta
754053	108093	Cousin
754053	157786	Rosa
754053	189289	Anita
754053	198499	Anna's Mother
754053	200457	
754053	229738	
754053	230102	
754053	246399	Carmela Morcaldi
754053	249903	Maria Pelosi
754053	252749	
754053	269924	Germana
754053	277587	
754053	287894	
754053	321420	Receptionist
754053	328689	
754053	338673	
754053	355619	Teresa
754053	355698	Maria Pullara
754053	357392	
754053	357594	Zia Simona
754053	390753	
754054	198912	Cashier
754055	55804	
754056	321535	Iris Bauer
754057	405351	Frau Sandal
754058	277458	
754058	309039	Emmi Hoess
754058	382931	Tony as child
754059	91643	Claudia
754060	127263	Aphrodite
754062	30726	
754063	367826	
754064	97541	Ela Kluba
754064	159489	Celina
754064	324115	Waitress
754065	373706	
754066	32707	Pretty Blonde Student
754067	410427	Various characters
754068	189905	
754070	129247	Parmentier
754070	280513	Louise de la Vallière
754071	19220	
754071	28343	
754071	278933	Margo
754071	302517	40-year-old woman
754072	327487	Naty
754073	56636	Vénus
754073	166565	Singer
754073	294883	Atalanta
754073	329661	Singer, soprano
754074	2742	Ester Maggi
754074	229997	Clotilde
754074	274785	Adriana
754074	293062	Office worker
754074	387217	Signora Croiset
754075	123941	
754076	70621	
754076	230296	Medea
754077	246397	
754078	344589	Veronica
754078	392740	Suor Marie
754078	393897	Cornelia
754081	365740	Junior's Secretary
754082	411859	Regular Performer (1950-1953)
754083	28879	Girl in bed
754084	156684	Touristin
754086	24140	Bit
754086	33662	
754086	55616	
754086	70746	
754086	74527	
754086	74593	
754086	91346	
754086	111276	
754086	147054	
754086	148110	
754086	153832	Herminia
754086	162066	
754086	221562	
754086	222841	Irene
754086	244616	
754086	255488	
754086	274702	
754086	281693	
754086	287479	
754086	318016	
754086	351523	
754086	353202	
754086	354041	
754086	354445	Maestra
754087	388141	Corinne
754088	100591	Ann
754088	215816	Candy
754088	315259	Melanie
754089	193483	Secretaria juicio
754090	25794	
754090	149512	
754090	277563	
754091	83303	The girl
754092	13174	
754092	26686	
754092	28549	
754092	49690	Antonia
754092	54353	
754092	55545	Capera
754092	60120	
754092	63739	
754092	64762	Concetta
754092	69947	
754092	75240	Aged Woman
754092	76355	Zia Tina
754092	84149	Beppa
754092	84155	
754092	94721	
754092	96523	
754092	102458	
754092	102618	Clotilde
754092	108751	Annunziata
754092	111377	Giulia
754092	111859	
754092	113206	Rosalia Solimena
754092	133397	
754092	136843	
754092	155809	Grandmother ("Mara" episode)
754092	159618	Infermiera anziana
754092	162061	
754092	162084	Mammeta's mother
754092	182938	Teresa, the concierge
754092	186562	Mrs. Capuano
754092	206033	
754092	212580	Tina De Cupis
754092	217123	Sig.ra Beretta
754092	227580	Teresa
754092	227586	Donna Bettina
754092	233082	Donna Sabella
754092	234740	
754092	234755	Bijou
754092	234824	Nonna Sabella
754092	243693	A client of the Professor (Il
754092	247513	Housekeeper 'Caramel'
754092	247514	Housekeeper Caramella
754092	247515	Caramella
754092	252030	Nonna Matilde
754092	256707	
754092	260604	
754092	265189	Restaurant's cook
754092	265562	
754092	278408	
754092	293324	Agnese's Aunt
754092	301382	Zia vittoria
754092	309749	Aunt Camilla
754092	336603	Lady at hospital
754093	13759	Tere
754093	15412	Mercy
754093	30792	Sister
754093	30867	
754093	31462	Narcisa
754093	46711	Katie
754093	49885	Aileen
754093	79113	
754093	119108	
754093	132207	Luisa Villacosta
754093	138335	
754093	145619	
754093	145682	
754093	153314	
754093	157100	
754093	172303	
754093	179445	
754093	183907	
754093	184895	
754093	200508	
754093	204604	
754093	207123	Pastora
754093	213726	
754093	234848	Marites
754093	287062	Cynthia
754093	291046	
754093	300794	
754093	324389	Nanette
754093	358502	Wife of abducted labor leader
754093	382126	Olivia
754093	398494	Shirley
754093	404050	Becky Pagsisihan
754093	404051	Dolores
754094	205437	The stripper
754095	258621	
754096	396873	Olga
754096	412123	
754097	383006	Martine Smeets
754097	384154	Bakkerin
754097	387323	Nancy Ceulaers-De Graef (1995
754097	399982	
754097	406266	Arlette Van Asten (2002-)
754097	408151	Agnes (1996)
754097	409192	
754097	411311	Camilla Thijssen (#2) (1998-1
754098	145603	
754099	3210	Laurette Gagnon
754099	24897	Schwester Ursula
754099	55018	
754099	94507	
754099	131015	La grand-mère
754099	156329	Robertine
754099	159326	
754099	159768	
754099	237306	Cedulie
754099	309719	
754099	326038	Mme Larivee
754099	377937	Simone
754099	380860	Angelina Desmarais
754099	381189	Léontine Villeneuve
754099	382486	Mme Dessaultes
754099	382777	Madame Brillant
754099	385348	Alice Lebrun
754099	387048	Colombe Paradis
754099	390486	Cordélia
754099	396769	Edith Bédard
754099	396868	Angélina Desmarais
754099	400804	Laurette Lesieur
754099	401322	Ramona Plouffe
754099	403897	Rosette Desgagnés
754099	406031	
754099	407068	Angélina
754099	407214	Madame Bellemare
754099	409444	La mère de Sylvie
754099	410252	Alice
754099	412164	Blanche Rioux
754100	153190	Banducci family
754101	2814	
754101	44269	
754101	119792	Mrs. Cowen
754101	124066	La vieille fille
754101	134957	
754101	353660	
754101	397192	
754102	53104	
754103	138759	
754104	388765	Herself - Author, Restoration
754105	249625	Marie-Josee
754105	261799	
754105	261800	
754105	300609	Lynne
754105	407345	Infirmière d'urgence
754106	51993	Judith
754107	192272	Widow
754108	168840	Sybil Finch
754109	19321	
754109	69280	
754109	75411	
754109	101161	
754109	110023	Fernande
754109	111075	
754109	111295	Armandine
754109	166092	
754109	263882	
754109	288204	Alice
754109	296081	Lily
754109	307227	
754109	320011	
754109	346688	
754110	78102	Jane
754110	80876	Rachel (Red Riding Hood)
754110	127323	Party Girl
754110	277091	Tina
754110	333340	Patti
754111	236042	La serveuse
754112	380860	Catherine
754112	407068	Catherine
754113	147974	Hutterite Unmarried Young Lad
754114	116969	Elizabeth
754114	342578	Lea
754114	382998	Megan
754114	389046	
754114	392214	Crystal and Brook
754115	51993	Rayleen
754116	398501	Rafaela Godoy
754116	404261	
754117	302225	Kate
754118	124378	Extra
754119	53016	
754120	202195	Crowd Member
754121	109597	
754122	230583	Chicana
754123	69980	Elisabeth Bathory
754124	373216	Receptionist
754125	40071	Celia
754125	40140	Blair Robbins
754125	67348	Danielle Knowlton
754125	126745	Charley Simms
754125	235456	Elizabeth
754125	394414	Alexandra 'Alex' Palm
754125	407690	
754126	185819	Jenny Baltic
754126	265756	Maggie
754126	385141	Ruby Arno
754127	15003	La victime du bois
754127	379595	Germaine
754128	220569	Miss Bee
754129	286202	
754130	308463	
754131	222565	TV Reporter
754132	84230	Shower Siren
754133	310946	Sonia
754134	310806	
754135	28179	L'amie de l'ouvrière
754136	6497	
754136	21678	Juanita
754136	46648	
754136	60222	
754136	74156	
754136	80105	
754136	84048	
754136	96360	
754136	96380	
754136	121307	Fideo's Mother
754136	131137	
754136	136947	
754136	148022	
754136	205000	Clara
754136	206739	
754136	208711	
754136	226442	Enfermera
754136	242672	
754136	247463	
754136	252625	Madre de Rosalía
754136	252757	Clara
754136	258483	Irma
754136	272794	
754136	278324	
754136	287867	Mulata
754136	287913	
754136	288326	
754136	307202	
754136	322853	
754136	324510	Ana
754136	338945	Laura
754136	379651	
754136	380209	Laura Ledesma/María Luisa Bér
754136	383032	Argentina 'Titina' Ferre
754136	384782	Mónica
754136	384809	
754136	384823	La Moreira
754136	385070	Carmen Rosetti
754136	385852	Mecha
754136	391756	Pelusa
754136	392805	
754136	395997	
754136	396646	Daniela Robledo
754136	399711	Various Characteres (1982)
754136	400728	Bety de Miñón
754136	403172	
754136	403651	
754136	408200	
754136	409915	
754137	89936	Joey
754138	89936	Joey
754139	24429	Studio 69 Girl
754139	56871	Bikini Girl
754140	14548	
754141	205397	
754142	161938	Sugar
754142	194564	Cristina Odone, Augusto's Dau
754143	23893	Piccini
754144	324456	Jeannette
754145	17671	
754145	20143	Veronica
754145	25151	
754145	36613	Giuliana
754145	63890	
754145	69219	Enrica
754145	73649	
754145	89827	Betty
754145	103999	Patrizia
754145	113444	Rosi
754145	127917	Silvia
754145	164434	
754145	270691	Marzia
754145	294412	Doctor Crispi
754145	322779	Mrs. Gironda
754146	235618	Child
754147	57929	Jazz Class Dancer
754148	54354	
754149	385651	Computer operator
754150	312956	Woman
754150	327715	Marta
754151	207961	Teresina, seamstress
754152	336270	Gypsy Woman
754153	233852	Connie
754154	278734	Catherine
754154	338593	Une infirmière à l'hôpital
754154	345483	The wife
754155	5292	
754156	243018	Une lutine
754156	246336	La speakerine licenciement
754157	100715	
754158	326383	Anna, Lady Hester's Maid
754159	132953	Barbara
754159	223175	
754160	113883	Bikini Contestant
754161	290862	Segretaria
754162	138859	Julie
754163	241799	Christmas choir member
754164	14420	
754164	384119	Jimena Del Solar (1995-1998)
754164	394017	Lorena
754164	408895	Melina Scarpelli
754165	106953	Sandra
754166	440	Adelaide Frassati
754166	14360	Edith/L'inconnue
754166	15990	Herself
754166	17062	Margherita Tellini
754166	18321	Nathalie
754166	30243	Sandra
754166	30418	Sandra
754166	36613	Simona
754166	38397	
754166	48525	
754166	63853	Suzanne
754166	67188	Martha Fontaine
754166	69262	Adelaide
754166	71265	
754166	71293	Augusta Malfenti
754166	76287	The Mother
754166	84654	Maria
754166	108113	Adelina
754166	110104	Faustina
754166	124571	Caterina
754166	146404	Bergamotte
754166	173870	
754166	197587	Rosa
754166	199413	Ninon
754166	199715	Mado
754166	205275	Gabriella Scarpa
754166	212022	Ersilia
754166	222200	
754166	229604	
754166	252633	Anita
754166	263412	
754166	294644	Lidia
754166	338361	Nanda
754166	341364	L'analista
754166	343993	Valeria Corsini
754166	345025	Teena
754166	345604	Stefanella
754166	352924	Félicie
754166	355621	Béatrice d'Este
754166	375877	Contessina Ortensia Pulido
754166	383815	Marietta
754166	384049	
754166	385386	
754166	385845	Edith (segment "Amie étranger
754166	386752	Matilde
754166	397811	Enrica
754166	398504	
754166	400415	
754166	400859	Catherine
754167	24713	Betta
754167	61956	Moglie dell'imprenditore
754167	113663	Lia
754168	207838	Movie Theater Actress
754169	60466	Agent Palmero
754170	186735	Dory
754170	210026	Gertrud
754170	302751	
754171	294840	Wife
754172	107155	Dr. Winson
754173	23044	
754174	27344	Photo Elf
754175	42641	
754175	54662	
754175	55655	
754175	87697	Karen
754175	100776	
754175	123187	
754175	135287	
754175	205605	
754175	221678	
754175	227679	
754175	260590	
754175	319340	Shandira
754176	15041	Libra woman 2
754176	299655	Police woman
754176	345222	Louise
754176	353886	
754176	362268	Receptionist/Waitress
754177	244379	Receptionist
754178	245490	
754179	143514	
754180	67530	Karen
754181	146957	Lise
754182	211832	Salomé
754183	355626	
754184	46111	Berta
754185	124908	Thea Leitner as a Teenager an
754185	342588	Frau im Stiegenhaus
754185	377346	
754185	393878	Waltraut Hirmer
754185	404183	Kathi
754187	374556	Eve
754188	189814	
754189	110189	Harem Girl
754190	223410	
754190	322513	Vera
754190	389948	
754190	392509	Hannelore
754190	406321	
754191	262219	Mánicka
754191	327373	Anci
754192	109061	Margaret
754192	394505	Miss West
754193	332232	
754194	123373	Miss Fawcett
754195	376998	La femme du couple
754196	208830	Ado boîte de nuit 2
754197	336985	Melle Pichon
754198	287976	
754199	93863	
754200	350216	Biker
754201	5281	L'épouse
754201	82508	Constance
754201	148685	Marie
754201	198342	Arlette
754201	235715	Marion
754201	248915	Charlotte Couderc
754201	269147	Sophie Ravec
754201	276538	Frédérique
754201	276943	Young lover
754201	309960	Janni
754201	346772	Rose
754201	376914	Caroline
754201	381610	Nathalie
754201	384577	Isa
754201	389343	Annick
754201	393968	Camille
754201	396924	Lucie
754202	292691	Lydia
754203	161734	Sarah
754204	278082	Amelia (Age 1)
754205	401689	Indeg Griffiths (2000-)
754206	169991	Child in class
754207	346310	Liz (Slasher)
754207	390787	Dolly Pope
754208	65608	Adeline
754208	91590	
754208	117647	Trimble Maid
754208	183845	Queen Victoria
754208	188216	Oscar's Wife
754208	190946	Pixie
754208	193375	Annie Rowley
754208	194517	
754208	195847	
754208	215632	Mrs. Jenkins
754208	223033	
754208	229632	Mrs. Pepys
754208	286222	Mrs Small
754208	311496	Lottie
754208	341987	Lil Turner
754208	363202	Annie Parker
754209	38042	Singer at the party
754210	16004	
754210	38270	Shop Clerk Who Runs With The 
754211	74048	Child of Castor
754212	406286	Mrs. Metcalfe
754213	78857	Colette
754213	302597	
754214	196549	
754214	370648	
754215	1639	Themselves
754215	309629	Singing trio
754216	1639	Herself (singer)
754216	303378	Member of the 'Pickens Sister
754217	1639	Herself (singer)
754217	224300	Herself
754217	303378	Member of the 'Pickens Sister
754217	347234	Herself
754218	1639	Herself (singer)
754218	303378	Member of the 'Pickens Sister
754219	323419	Vocalist
754220	140019	Funeral Goer
754221	84843	Grace Wilmot
754221	142944	
754221	195367	
754221	196927	Midge
754221	258000	
754221	314533	
754222	14163	McGregor's Secretary
754222	128850	
754222	147391	Mrs. Brown
754222	157886	Farmer's wife
754222	163451	
754222	245747	Mrs. Banning
754222	270381	Bit Part
754222	280969	
754222	318138	Old woman
754222	329103	Mrs. Emma Martindale
754222	331097	Mrs. Wilson
754222	372588	
754223	379730	Sophia Beaumont (2004)
754225	65191	Woman on Stairs
754225	79990	Red-haired woman in Diner
754226	292419	Betty Butterworth
754227	363084	
754228	316111	Stewardess #2
754229	143526	Additional Voices
754230	335982	Second Prostitute
754230	339046	Maria Corrigan
754231	105256	
754232	129439	Young Louise
754233	194055	Laura Ann
754234	362334	
754235	138231	Marina
754235	152863	Nellie
754235	203042	Trini
754235	304358	Marette
754236	378811	Bethan Davis
754236	380798	Verity
754236	384097	Sarah (2000)
754237	191774	Little Dorrit
754238	1871	Baby
754239	378779	
754240	53284	Dyanne
754240	69396	Erica
754240	78983	Kim Masters
754240	90377	Gameshow Host
754240	105901	Josie
754240	140163	
754240	193509	Bartender 1
754240	197807	Linda
754240	295722	Kelly
754240	295727	Pamela
754240	330117	Model
754240	334355	Rhonda
754240	350213	
754240	350271	Anne-Marie Ballion
754240	408542	Herself (1989)
754241	23317	Jennifer Yates
754241	46235	
754241	52555	Vanessa Sarnac
754241	60739	Mary Breydon
754241	64405	Lyn Nilsson
754241	66388	Catherine Anatole
754241	72374	Maggie Foster
754241	73677	Jill
754241	74204	Elaine Russell
754241	81977	Diane Norris
754241	97217	Sue Myers
754241	105506	Melanie Baxter
754241	111442	Katie Bueller
754241	131717	Sharon Phillips (Mrs. Phillip
754241	139967	Barbara McCoy
754241	143188	Laney Devereaux
754241	153650	Kate
754241	154301	Kay Stayner
754241	161495	Rye Swallow
754241	163954	Lil Tyler
754241	176309	Beverly Dwerkin
754241	205454	Velda
754241	210881	Hannah
754241	231920	Valerie St. John
754241	235482	Margaret Keller
754241	243582	Marguerite
754241	244917	Betty McGuire
754241	246708	Sadie
754241	258374	Addy Mathewson
754241	269642	Joanne Kelly
754241	292698	Mrs. Voss
754241	298091	Cameo appearance
754241	304854	Mrs. Robertson
754241	308316	Connie
754241	314434	Maggie Conner
754241	365220	Dana
754241	380049	Amanda Bradford
754241	383228	Vanessa Sarnac
754241	390771	Jackie Scott Marler Spaulding
754241	392340	Marjorie Sweeney
754241	406319	Dr. Carol Novino (1986-1988)
754242	363126	
754243	92665	Joan
754244	242872	P.A.
754245	112227	Athlete
754245	119608	Athlete
754245	277851	Athlete
754246	267530	
754247	50170	2nd Welfare Recipient
754248	77442	Trekker
754249	188936	
754250	334733	
754251	304913	Rosie
754252	171274	Office Secretary
754252	196503	Anna
754252	308184	Glora Stockton
754253	7397	
754253	31820	(unconfirmed)
754253	33597	
754253	35270	Puritan
754253	47466	Townswoman
754253	47518	
754253	52551	
754253	54906	The Princess' Servant
754253	61650	
754253	61653	
754253	72015	
754253	85815	Esther Stanley, the Gypsy Her
754253	90176	Lola
754253	91235	Jennie Faxton
754253	105593	
754253	107299	
754253	108495	Madelon
754253	109791	
754253	126655	Party Guest
754253	128458	
754253	130665	Nellie
754253	130877	Flower Girl
754253	138846	At Party
754253	142656	In Corridor
754253	144222	
754253	146057	At Wedding
754253	146231	Eva
754253	146260	Woman at farewell
754253	150880	Mary Denbigh
754253	158491	
754253	159118	Indian
754253	161496	Mary
754253	163702	At Ball
754253	179040	
754253	187718	
754253	190484	
754253	191754	
754253	192199	
754253	195453	
754253	195580	The Girl
754253	196210	
754253	203007	Dixie
754253	205344	
754253	213192	Mrs. Henry Blowhard
754253	213835	Rosalynde d'Aubre
754253	229229	
754253	231025	
754253	237663	
754253	240781	Eleanore Duke
754253	255835	
754253	257194	Storemate
754253	274210	
754253	277330	Edith Penfield
754253	294813	
754253	302201	In Hallway
754253	304620	A Dancer
754253	305706	
754253	316129	At Party
754253	318718	
754253	321253	Young Lettie Terrell
754253	327828	Nellie's Friend
754253	327866	
754253	328812	A Maid
754253	330215	Margaret Seldon
754253	331606	At Dancing Academy
754253	331880	At the Ball
754253	334292	
754253	336409	
754253	342971	
754253	342989	
754253	343081	At Party
754253	346868	
754253	353390	
754253	362564	
754253	362667	Betty
754253	363992	At Party
754253	364379	A Malicious Young Woman
754253	367461	Young Woman (unconfirmed)
754253	368770	
754254	283	
754254	1962	Herself - Presenter: Best Pic
754254	2603	Herself - Honorary Award Reci
754254	7400	
754254	8302	
754254	11404	The Young Woman
754254	11684	
754254	13191	Amarilly Jenkins
754254	17793	
754254	19785	Priscilla
754254	21147	
754254	21469	George Forrester's Daughter, 
754254	22800	Mrs. Warren
754254	22922	One of the Ladies of the Cour
754254	25399	The Widow's Daughter
754254	26861	Sadie Allen
754254	31820	The Young Woman
754254	33011	Dolly Lane
754254	33068	Lucy
754254	33922	Crowd extra in chariot race
754254	35271	A Salvation Army Lass
754254	39811	Double for Billie Dove in Fin
754254	47490	
754254	47518	Ruth King
754254	50916	
754254	51797	
754254	52520	Amy Gordon
754254	52551	A Messenger
754254	52564	
754254	54386	Mercy Baxter
754254	54532	Mary MacTavish
754254	54906	A Disguised Servant
754254	56579	
754254	57561	Herself
754254	59360	Herself
754254	61635	Grace
754254	61650	
754254	61653	
754254	61841	
754254	63049	Herself
754254	64062	Cinderella
754254	69741	
754254	70269	
754254	70600	Norma Besant
754254	71716	Elder daughter
754254	72015	Mary
754254	76599	
754254	76619	Jerusha 'Judy' Abbott
754254	79663	Glad
754254	81585	
754254	81667	Mary
754254	89255	
754254	91235	Dorothy Vernon
754254	93232	
754254	93757	
754254	96652	Anemone Breckenridge
754254	101430	The Girl
754254	103620	Esmeralda Rogers
754254	104312	Louise
754254	105593	
754254	107046	
754254	107299	At Party
754254	107414	Edith Morton
754254	108495	Fanchon, the cricket
754254	109331	
754254	109756	
754254	109787	The Mexican Girl
754254	110962	The Miner's Wife's Sister
754254	111716	The Daughter
754254	112976	Archive Footage, 'Simple Char
754254	114395	
754254	115080	
754254	115406	From 'Behind the Stockade, 19
754254	117018	
754254	117250	The Princess
754254	117678	
754254	118223	Molly O
754254	118224	Molly O
754254	120234	Dora (the orphan)
754254	120605	
754254	121801	
754254	124384	Flora Powell
754254	124585	Virgin Mary
754254	126655	Miss Lucy
754254	127463	On Sidewalk
754254	128403	Jane Stuart
754254	130665	Mazie
754254	131494	Juliet
754254	133203	
754254	139798	Herself (attends premiere wit
754254	141190	Mavis Hawn
754254	141240	The Outlaw's Daughter, as an 
754254	141434	Nina
754254	141807	Herself
754254	143065	
754254	143117	Biscuit Victim
754254	144222	Soldier's Family
754254	145888	
754254	145890	One of the children on the st
754254	146022	
754254	146057	Mary
754254	146320	Bessie Wright
754254	147633	Cameo appearance
754254	147743	Herself
754254	147804	Herself
754254	148248	The Young Woman
754254	149178	
754254	149262	Amy Burke
754254	151294	Jean Mackaye
754254	152412	Hulda
754254	155528	
754254	157875	Homecoming Party
754254	157879	
754254	158110	Nance Olden
754254	158120	
754254	158403	Mabel
754254	158452	Haidee
754254	158475	At Brainard's
754254	159118	Blue Cloud's Wife
754254	159136	The Widow's Daughter
754254	159591	The Confederate Captain's Swe
754254	159913	The Rich Italian's Daughter
754254	162093	Iola
754254	163702	Alice
754254	168410	Johanna Renssaller
754254	171173	The Young Woman
754254	176403	
754254	176640	Kiki
754254	179722	
754254	187718	Lena
754254	188134	Radha
754254	188384	
754254	190484	
754254	190529	
754254	191115	Second Couple
754254	191594	Angela Moore
754254	191599	(unconfirmed)
754254	191602	Annabelle 'Little Annie' Roon
754254	191754	Little Darling
754254	191961	Little Lord Fauntleroy/Deares
754254	192095	
754254	192143	'Little Pal'
754254	192173	Sara Crewe
754254	192199	Little Red Riding Hood
754254	192320	The Little Teacher
754254	193377	The Mexican Girl
754254	193795	One of the Cullison Children
754254	195315	The Lacemaker
754254	195624	
754254	195840	Angela Carlotti
754254	197033	Bessie
754254	198453	M'liss Smith
754254	199309	Cho-Cho-San
754254	200888	
754254	204389	
754254	205185	Herself - 'The New York Hat'
754254	206879	Herself/Numerous Roles
754254	207111	
754254	207399	Elsie Graham
754254	208530	May
754254	210935	The Net-Mender
754254	211766	
754254	212222	The Señorita
754254	213075	Eleanor
754254	215180	
754254	216154	Nell Gwyn
754254	220358	Harum-Scarum, a Mountain Girl
754254	220657	Herself
754254	221280	
754254	221790	Mabel
754254	221791	Mabel Brown
754254	223668	The Wife
754254	223718	Maggie Johnson
754254	227801	Mrs. Jim Holcomb
754254	229229	The Maid/In Pawnshop
754254	230308	The Girl
754254	230918	Miss Mollie Goodhue (the girl
754254	231025	Alice Vance
754254	236949	Extra
754254	239060	Bessie
754254	239517	The Old Actor's Daughter
754254	241434	
754254	241715	The Wife
754254	251434	On Street/In Store
754254	255340	Herself
754254	255359	Rosita
754254	257194	Edith
754254	259776	Pollyanna Whittier
754254	260222	Peppina
754254	260228	Gwendolyn
754254	261104	
754254	261690	Herself
754254	263586	Marget MacTavish
754254	266832	The Indian Girl
754254	266840	
754254	270996	Rags/Alice McCloud
754254	271852	Ramona
754254	273598	Rebecca Randall
754254	275811	Kittie Ryan
754254	276388	Alice Ashford
754254	277652	Jennie
754254	280970	Jenny Lawrence
754254	280984	Indian
754254	282057	Rosita, a street singer
754254	290390	Nora, the Waif
754254	290867	Mrs. Crawford
754254	291314	Herself
754254	291317	Herself
754254	291364	Herself
754254	291396	Herself
754254	291861	A Lady-in-Waiting
754254	292221	Gertrude Edgar
754254	292782	Mary Carlton/Mary Marlow
754254	294379	
754254	294813	
754254	295440	The Maid
754254	302201	Miss Wilkins
754254	303072	
754254	303767	
754254	304620	A Young Girl at Court
754254	305706	George's Wife
754254	306460	The Young Woman
754254	308432	Mary Clark
754254	308662	Dove Eyes
754254	309277	Mary
754254	310445	Molly
754254	313011	
754254	313336	Herself
754254	313359	Herself
754254	314360	Miss Stella Maris/Unity Blake
754254	314828	Herself (still photos)
754254	316129	
754254	318027	Queen Anna Victoria
754254	318213	Amanda Afflick
754254	318801	(unconfirmed)
754254	319271	
754254	321131	Alice
754254	321253	Polly Biblett
754254	321287	
754254	324010	Herself
754254	324229	Katherine
754254	327643	
754254	327828	Nellie
754254	328755	Tessibel Skinner
754254	328756	Tessibel 'Tess' Skinner
754254	328812	Bessie
754254	329402	
754254	329768	
754254	330242	Bessie
754254	331220	Myrtle
754254	331606	Mary
754254	331879	Jeanne
754254	333413	Heroine of the Movie with the
754254	334292	Agnes Hailey
754254	336409	
754254	337900	Herself
754254	339581	Nellie Burt
754254	342678	Molly Hendricks
754254	342761	Mexican
754254	342989	Marion's Sister
754254	345733	The Daughter as an Adult
754254	348075	The Slavey
754254	348952	Invalid Daughter
754254	353390	The Wife's Friend
754254	354917	Giannina, Taddeo's Daughter
754254	356271	Herself
754254	358282	The Chief of Police's Son's F
754254	359113	
754254	360203	Winnie, Mabel's Cousin
754254	362189	
754254	362406	Martha
754254	362564	Mary
754254	362672	Tessie
754254	363066	
754254	363214	Mary
754254	363992	Betty
754254	365778	Peggy
754254	365926	Herself
754254	366858	Faro Kate
754254	366936	Herself
754254	367461	Mary Petersby, the Daughter
754254	367928	The Woman
754254	410871	Herself (in Paris, 1920)
754255	98922	Woman blowing kiss to Sonny a
754256	184378	Elsie
754257	296552	Dancer
754258	87019	Alex's Mother
754259	95510	Motel Waitress
754259	134672	Buster's wife
754259	194268	Doris Greenbaum
754259	289024	Older Disgusted Woman
754259	343907	Martha (Earl's wife)
754259	345857	Woman in Red Bra, Jerry Sprin
754260	8147	Charlotte Fisher
754260	10535	Headmistress
754260	46444	Diane Cresswell
754260	47952	Theresa Bennett/Jennifer Coll
754260	58875	Sally
754260	73843	Returning Officer
754260	96817	Joyce Hallijohn
754260	105441	Emily Brewster
754260	138494	Mrs. Dickens
754260	162051	
754260	183235	Muscles Templeton
754260	196083	Esther
754260	215153	Miss Giles
754260	264095	Camilla Parker-Bowles
754260	328751	Miriam
754260	371094	Jennie
754260	379727	Jeanette
754260	381954	Margaret Johnson #1 (2000)
754260	382052	DCI Kim Reid (1990-1992)
754260	382305	Margaret Kelly
754260	383363	Judy Adams (The Wife of Bath)
754260	383630	Jane Rhodes
754260	387533	Shelley Williams (2003-2004)
754260	397176	Simone
754260	397833	
754260	400412	Miss Blackett
754260	408146	Doris
754260	410711	Sally Bilton
754261	16890	Angela Porter
754261	126040	Beatrice
754261	132454	Mrs. Buxton
754261	145175	Charlotte
754261	163213	Chris
754261	187418	Isabel Ludlow
754261	207530	Sorceress of Castle Grayskull
754261	207906	Diana Huntington
754261	217815	Kate Keller
754261	222752	Mim Sanburne
754261	232447	Sarah Jenner
754261	233567	Mrs. Livingston
754261	261240	Goddess, Guardian of the Temp
754261	277092	Tippy
754261	281150	Caroline Montague
754261	283717	Eve
754261	293643	Nicole Blackstone
754261	307206	Sol's Mom
754261	323844	Irene
754261	342623	Marilyn Cabot
754261	349896	Meg Darnell
754261	360723	Angie Sullivan
754261	380391	Countess Elena dePoulignac #1
754261	389982	Elizabeth Parker
754261	390771	Linell Conway (1970-1972)
754261	401174	Cissy MacIntyre
754261	406083	Mrs. McKellar
754261	406319	Nurse Helen Rosenthal
754262	409993	Kelsey Horne
754263	10667	Alice
754263	47191	Matron
754263	53757	Grimsworthy
754263	86007	Mrs. James
754263	139543	Mrs. Chasen
754263	142614	Joycie
754263	160713	Lily
754263	162618	Isadora Duncan
754263	165222	Martha Yellan
754263	215608	Dr. Hadley
754263	231434	Mme. Krupskaya
754263	237465	Good lady
754263	250827	Mrs. Ingram
754263	257509	German Nurse
754263	263556	Mrs. Bennet
754263	273590	Beatrice
754263	282985	English Voice
754263	319006	Alva Hodson
754263	320309	Isobel Sedbusk
754263	387471	Mary of Scotland
754263	391072	Julie Wheeler
754263	396080	Lady Montdore
754263	399748	
754263	407188	Virginia Troy
754263	409478	
754264	27447	Tiffany
754264	209586	Himself
754265	120257	Nancy
754265	192286	Photo studio woman
754266	330195	Peggy Crump
754267	126856	
754268	30056	Lady Manager
754268	44318	Hooker
754268	68162	Sophie
754268	105845	Bartender
754268	115106	Margo
754268	161505	Ellen Okin
754268	194229	Rusty
754268	252123	Clair Turnley
754268	271255	
754268	283452	Ruby
754268	319161	Donna Rosario
754268	387303	
754268	387540	Gloria
754268	411802	Amanda Browning (flashbacks) 
754269	220465	Concierge
754269	331738	Elegant Man's Wife
754269	343879	Georgette
754270	9254	Stella Primrose
754270	30662	Clara Fairfax
754270	166568	Casino Girl
754270	353467	Lady Henrietta 'Hetty' Standi
754270	399531	Kaye Bentley
754271	399584	
754272	14241	Amanda Hunter
754273	14241	Amanda Hunter
754274	276528	
754275	6627	
754275	43711	
754275	105805	Female complaintant
754275	235278	Natalie Newman
754275	260936	
754276	12163	
754276	53959	Mrs. Goldfarb
754276	53960	Mrs. Goldfarb
754276	67800	Mrs. Sophie Baker
754276	111928	Yente
754276	117129	Mrs. Cherry
754276	133121	Grandma
754276	188401	Specialty Act
754276	191849	
754276	202739	Khavtshi Samet aka Mamele
754276	222718	Ida Goldman
754276	226899	Soda-selling shopkeeper
754276	244088	Mollie
754276	350906	Herself
754276	371544	Yiddle
754276	398060	Herself/Host
754276	405882	Sarah Briskin #1 (1975)
754277	341407	
754278	211652	
754278	291063	Janitor
754279	211375	Emma
754280	353972	Criada
754281	333356	
754282	46242	Sonja Davies
754282	83455	Helen Striebel
754282	118337	Marjorie Jackson
754282	137567	Denise Rattigan
754282	194063	Robin
754282	201877	Herself
754282	208445	Rose
754282	222831	Store detective
754282	265819	Celia
754282	334250	Suzanna
754282	340812	Hannah
754282	346216	Libby
754282	390358	Kate
754282	392868	Penelope Phillips
754282	397310	Dr. Julia Elizabeth MacAlpine
754282	401339	
754282	404927	Wrath
754282	406891	Caroline Sullivan (1976-80)
754282	408287	
754283	252500	Narrator
754285	96755	Goth girl
754285	100661	Sabrina Addams
754285	161054	Jade Champion
754285	161056	Jade Champion
754285	161948	Kidnapped Girl
754285	166639	Nurse
754285	208080	Marjorie
754285	289222	Girl #1
754285	316067	Lori from Encino
754285	385653	Sharon Higgins
754285	388651	Lorna Holcomb
754285	391616	Mandy Lambert
754286	90977	Barbara
754287	20221	
754288	161433	
754289	229007	Rezika
754289	394876	
754290	334203	
754291	253667	Chica 2ª coro
754292	221567	
754292	246403	
754292	285240	
754292	378395	
754293	207047	Visitor
754294	229794	Little girl
754295	216806	Booker #2
754295	245710	Doppling Medico
754295	274650	Santa Family #2
754295	391330	
754295	401752	Hooks, Callahan
754295	406982	
754296	408122	Various roles
754297	7195	Ellen Goldman
754297	56844	The Director's Assistant
754297	60234	From "Catastrophe"
754297	79703	Nancy Gulliver
754297	142165	Fran Moore
754297	148586	Miss Klein
754297	298079	Young Lillian
754297	299789	
754297	310329	Susan Ricci
754297	313914	Ann
754297	345839	Sonya
754297	359963	Connie
754297	366378	Catherine 'Kate' Winslow
754297	383285	Sally Byfleet
754298	89026	
754299	317182	Additional Vocals
754300	380350	Herself (Anna's Dog)
754301	57128	
754301	105220	
754301	160150	
754301	254333	
754301	323186	
754302	150054	
754303	172416	
754304	259749	Young Redhead
754305	245484	Girl
754306	44034	Donna
754306	211385	Patrolwoman
754306	362310	Juvenile Custody Guard
754308	270037	Eunice
754309	154051	Shed dancer 1
754310	380081	Camilinha
754310	385023	Isabel Fraga Dantas
754310	403219	
754311	90082	Donna Elvira
754311	281978	Die Feldmarschallin Fürstin W
754312	1625	
754312	30507	
754312	58095	
754312	75989	
754312	95946	
754312	107212	
754312	132479	
754312	167319	Suzanne
754312	179716	
754312	181367	
754312	183178	
754312	226535	
754312	247626	Kasia's Mother
754312	255844	Irena 'Bribe'
754312	259818	
754312	270037	Akte
754312	354914	
754312	365022	
754312	387414	Sabina
754312	390725	Anja Galik
754312	394122	
754312	394599	
754312	405570	Gosia Andersson (1996-1997)
754312	408995	
754313	275107	Portuguese Woman
754314	83388	
754315	337	
754315	27844	Gloria, 'La Guapa'
754315	67804	
754315	68441	
754315	168605	
754315	189290	
754315	238916	Elvira
754315	293973	
754315	319752	
754315	320528	
754315	354872	
754315	356003	
754316	96349	María
754317	225471	
754318	290286	
754319	67901	
754320	181114	Ekspert
754320	261135	Ewa Kopacz
754321	25425	Basia Bzowska
754321	206952	
754321	322036	Basia Cisowska
754322	34936	
754322	140354	
754322	214948	Carol
754322	220461	
754322	388195	Sue Ann Weaver (1979-1981, 19
754322	399256	Julie Piekarski
754323	40552	Hooker
754324	42242	
754325	106109	Guest at Party
754326	377771	Une grande Euménide
754326	390520	Mme de Sairmeuse (segment "Mo
754326	397506	Thérèse
754327	95975	
754327	367109	Ewa
754328	389619	Host (1998-2000)
754328	397915	Host
754328	407355	Host (2000-)
754330	78301	
754330	160258	
754330	325544	
754330	325660	
754330	365607	
754330	395667	Elfie Kronmayr
754331	41490	Felicity
754331	195999	Sarah
754331	235386	Judith Tipton
754331	264129	Hillary Haverstock
754332	261607	Tant Hoender
754333	387359	Audrey Paulse (2001-)
754334	17494	
754334	71766	B and B Lady
754335	86038	Girl in Van
754336	251939	
754336	251941	Singer #1
754337	194534	Librarian
754338	66266	Girl in Plaza
754339	315814	
754340	341069	Grazyna
754340	393473	Teresa Hadala
754340	394585	Dr. Ligocka (2000)
754340	396286	Maria Mostowiak-Zdunska
754341	889	
754341	157187	Gwendolen Fairfax
754341	253213	Queen Mary Tudor/Queen Elizab
754342	188875	Elena
754342	209277	
754343	259573	
754344	376036	
754345	386465	Host (1991-1993)
754346	398161	Nina Drechsler
754347	107354	Bit Part
754348	210091	
754348	269092	
754349	5328	
754349	131795	Girl 1
754350	8847	
754350	171577	Irja
754350	181630	Siiri Angerkoski
754350	251951	Kaisa Kuovi
754350	251953	Kaisa Kuovi
754350	251954	Kaisa Kuovi
754350	251955	Kaisa Kuovi
754350	321771	Bank teller
754350	401278	Lilja Fräntilä
754350	401441	Herself
754350	407197	Kyllikki
754351	302323	
754352	160247	Ileana Bolzoni
754352	189394	
754352	286418	Wife
754353	169264	Une danseuse flamenca
754354	15159	Marie-Thé
754354	183235	American Tourist
754354	253241	
754355	77337	Thérèse
754356	222856	Giornalista
754357	405209	Fiona Douglas (1999)
754358	261793	
754359	128008	
754359	210539	
754360	14108	Ministers Secretary
754360	43575	Magda
754360	82682	Dia Gregory
754360	83912	
754360	188513	Trudy
754360	245233	Maggie
754360	266071	Tinnie
754360	267497	Janine
754360	274240	Puttnam
754360	317602	Janet
754361	8598	
754361	76007	Laura
754361	91331	
754361	277380	
754361	280144	
754361	291620	
754361	383471	
754361	385502	Doña Biba Solasi
754361	392028	
754361	392263	Co-Host
754361	404186	
754361	404869	Bárbara
754361	411620	
754362	187231	Little girl
754363	14624	Counter Girl
754363	49320	Tacky Girl #2
754364	37687	Madame Zola
754364	45052	
754365	208094	Mattie Fresno
754366	38404	Connie Haviland
754366	72733	William Holden
754366	193411	Ruth
754366	264075	Riva Rosenberg
754366	314113	Nurse
754366	322842	Wife
754366	328251	Mrs. Highton
754367	53218	
754367	57145	
754367	57175	
754367	130677	Manicurist
754367	132784	Henriette
754367	192869	Polly Pliers, Daughter of the
754367	283381	
754367	285683	Society lady
754367	295284	Undetermined role
754368	398066	Sheila Wallace
754369	10569	Nellie
754369	130677	Woman in dance hall
754369	133377	Mother Superior
754369	255617	
754369	283727	The Painter
754369	338028	
754370	29511	
754370	41578	
754370	81924	
754370	93990	
754371	30190	Emily
754371	67100	Esther Cameron
754371	72027	
754371	112502	
754371	124356	Susie (his daughter)
754371	186229	Jeanette Gregory
754371	203314	Bo Raynor
754371	239172	
754371	239820	
754371	251408	Martha Howe
754371	269344	
754371	298204	
754371	304344	Edna Hamilton
754371	319459	Irene Hayes
754371	323183	Bessie Dupuy
754371	331952	Mary Fenton
754371	351242	Araminta Lee
754371	365558	Louise Lawson
754371	367483	Muriel Warren
754372	347397	
754373	29395	Mother, Reporter, Female Moni
754374	76258	Lorna Page De Warsa
754375	232521	Spoiled RIch Girl #2
754376	163244	Momma
754377	224070	Child
754378	66979	
754379	70916	Lucy
754379	235160	Marlena
754379	404282	Isabella Castillo (1989)
754379	411802	Diane Westin (1990-1991)
754380	394167	Anchorwoman (1983-)
754381	54655	
754382	54944	Ethel Bush
754383	407194	Presenter (2nd Series)
754384	14213	Bertine Cranston
754384	44249	Anne Martin
754384	47311	
754384	55417	Girl
754384	81097	Waitress
754384	90238	Marian Jenkins
754384	154925	
754384	210807	
754384	214083	Mary French
754384	218123	Manicurist
754384	241026	Natalie
754384	308758	
754384	327874	Bobbie
754385	187231	Bessie Smith
754386	232251	Flora Mae
754387	204557	Customer
754388	162927	Undetermined Role
754390	257434	Lina Smith
754390	292177	Luci's Friend
754391	40330	Moses
754391	72733	Heavy Daughter
754391	75808	Liz McDowell
754391	77673	Lola
754391	79065	Janet
754391	176255	Darcy
754391	207681	Tiffany Needleman
754391	209136	Mambo Woman
754391	240317	Zinc, Rom
754391	245833	Dark Haired Lady
754391	278484	Woman Fencer
754391	320265	Operator
754391	345683	Young Woman
754391	366711	Marie
754391	387303	Lacey
754392	81790	Tresa
754392	274427	Wanda's Girl
754393	35506	Dancer
754394	30071	Baby
754395	252935	Aunt Grace
754396	245275	Erica Mauldin
754397	290389	Sosority Snob
754398	2017	Julie
754398	109857	Two-Month-Old Megan Banks
754399	11341	Nicole
754399	21533	Skylar
754399	41228	Secretary
754399	49966	Beth Blake
754399	117424	Virginia Hill
754399	170857	Tower Controller
754399	190325	
754399	216162	Gina
754399	241726	Reporter
754399	293058	Rooney
754400	107165	Estelle Age 14
754401	18559	Vera
754401	39830	Mary Kuron
754401	126705	Shopkeeper
754401	138220	Another wife
754401	157444	Judge Skinner
754401	185201	Real Estate Lady
754401	222651	School Principal
754401	232442	Hilda Smith
754401	297991	Mrs. Gilmore
754401	308431	Judy O'Kelly
754401	315261	Young Woman
754401	318204	Mrs. Clark
754401	328585	
754401	360616	Ann Sorva
754402	342041	Adon
754403	58475	Nurse
754403	119803	Showgirl
754403	216022	Nurse
754403	229938	Model
754403	278091	Ellie
754404	282928	Work Applications
754405	394492	Additional Voices
754406	57037	June Carter (Webb's sister)
754406	109546	Flo
754406	129813	Girl
754406	230407	Nurse
754406	323891	Lenora Locke (segment "Morell
754406	398722	Barbara Crabtree
754407	11108	
754407	145829	Margaret Howard
754407	372932	Switchboard Operator
754408	372618	Young French girl
754409	30071	
754410	149191	
754411	41620	
754411	60796	College Freshman
754411	113168	
754411	158590	
754411	171170	
754412	80513	Register Girl
754412	124390	Sara
754413	29681	Girl at swimming hole
754414	187231	Child
754415	115722	Pinky
754415	368318	Kathy
754416	379928	Herself
754417	80803	Video Dating Receptionist
754417	334187	Mother
754418	145809	His Wife
754419	330709	Phillis Blake
754419	360723	Grandma Molly
754420	62676	Susan
754420	99055	Radon
754420	214938	Kate Stewart
754421	143824	Channel 4 Anchorwoman
754422	61765	The Children of the Corn
754423	334148	Newlywed in Club
754424	152300	Chanteuse
754426	362595	
754427	145143	Estrella
754427	219458	Model
754428	7213	Heather Lennox
754428	18022	Kirsty
754428	120199	Miss Evers
754428	224381	Aunt Cora
754428	390523	Mrs. Scott (1981-1984)
754428	396090	Mrs. Pye
754428	398743	Aunt Cora
754428	409234	Lilian Phillips
754429	28789	Narrator
754429	66932	Foreign Correspondant
754429	130311	Dancer
754430	221274	Stephanie
754430	236954	Matron/Queen Candy
754430	320797	The Girlfriend
754431	46242	Megaphone Woman
754431	162450	Detective Chalmers
754431	220772	Mary Carmichael
754431	245214	
754431	288934	Louise Savage
754431	294060	Vicki
754431	399434	Anne Piper
754432	73195	Thérése
754433	17435	Frau Vargas
754434	84634	La jeune comédienne
754434	99406	Olga
754434	240298	Sandra
754434	240429	
754434	253522	Agnès
754434	265699	Joanna
754434	345267	Brigitte
754434	346564	Le commissaire
754434	397768	
754434	406783	Peggy
754435	188601	Ginetta Esposito
754435	247974	
754436	141612	Cleaning Woman
754436	147064	
754436	259555	
754436	334429	1° Donna di servizio
754436	390498	Caterina
754437	229994	Seconda donna
754438	313872	Tanya
754439	250961	Mathilde
754440	71221	
754441	249250	
754442	245801	Katia
754443	77116	
754443	130229	Stella
754443	325984	Nina
754443	378773	Ellen
754443	385145	Cindy van Dorp (episode 14-)
754443	403856	Babette van Woensel
754443	410838	Ellen Meinen (1999-2000, 2002
754444	345946	Indian Woman
754445	94110	Indian dancer
754446	152989	Bit Part
754447	190718	Stem
754448	214858	
754449	99268	Hoertje
754449	134630	Eva
754449	255418	
754449	334107	
754449	398025	
754450	382654	Presenter
754450	397412	Presenter
754451	50384	
754452	298558	Wilma
754453	289377	Warwick Maid
754454	240138	
754454	397920	Angela
754455	69950	Elisa
754455	71435	Cecilia
754455	118618	Contessina Oniria
754455	159480	Musical Student (Mater Lacrim
754455	200819	
754455	204230	Maggie
754455	269482	Ann, the babysitter
754455	301370	Carlotta
754455	327903	Elsa Manni
754456	30458	Claire
754456	41353	Madam Marquez
754456	97727	Blonde/TV
754456	165958	Cooking Teacher
754456	232270	Mary-Lou
754456	250645	Patient 42
754456	309197	Female Officer
754456	332427	
754457	187913	
754458	148614	Mezzo-soprano
754458	226146	Fenena
754459	67096	Society Woman
754459	120689	
754459	223733	Mrs. Johnston
754460	185844	Girl in Service Station
754460	224085	Sissie
754460	305351	Jeannie
754460	306124	The Intruder
754460	307513	Adele
754460	389620	Nina
754460	390152	Francesca Casaro
754460	403462	Kelly Marie Adams (2003-)
754461	380102	
754461	383470	Teolinda Marcano
754461	392848	
754461	404203	Joanna
754462	58848	
754463	194007	Wilhelmina
754464	2252	(segment "Sidapolis")
754465	332947	
754466	40413	Marion Thoma
754466	290688	
754466	318746	
754466	380652	Rilana
754466	394149	Senitza
754467	21259	Mrs. Cellini
754467	110528	Secretary
754467	116685	
754467	247160	Goldwyn Girl
754467	319119	
754467	339738	Girl in Fur Coat
754468	377651	
754469	294537	Evelyn
754470	64953	
754471	40227	Monique (P.A.)
754472	327625	Martha Reeves
754473	168139	
754474	62570	
754474	191500	Servuse au bar
754474	217043	
754474	318119	Substitut
754475	335492	Sprinter Charlety
754476	283021	
754477	321213	Model
754478	345297	Annicette
754479	362080	
754480	4615	Iris
754480	8915	
754480	14853	
754480	15073	
754480	15091	Jackie
754480	19345	Suzy
754480	19813	Solange
754480	23729	Mado
754480	28913	Lucienne
754480	43679	Sonia Flo
754480	54084	
754480	58286	Dora
754480	61061	Teresa
754480	64318	La blonde au restaurant
754480	71853	Pearl Black
754480	75151	
754480	83890	Katty
754480	86890	Armandine
754480	90746	Nora
754480	93491	Prostitutes
754480	96163	Simone
754480	101881	
754480	112706	Fernande Le Guen
754480	132688	
754480	162443	
754480	189609	
754480	198325	Simone
754480	202164	
754480	212154	
754480	214795	Lili
754480	237619	
754480	240602	
754480	258247	Alicia Damours
754480	270764	Danielle Vernaux
754480	278409	Lara (il Larone)
754480	281135	
754480	289432	Lily
754480	293062	Jacqueline
754480	303476	Simone
754480	307483	
754480	322354	Mado
754480	324922	Actriz extranjera
754480	324944	Mme Empot
754480	335864	Ivette
754480	336621	Jacqueline
754480	338726	Helen Chester (segment "The D
754480	346484	Hélène Beaudier
754480	351530	
754480	352633	
754480	354911	
754480	376750	
754481	339930	
754482	20870	Claudia
754482	76054	Myriam
754482	88838	Miss Fanny Osbourne
754482	153847	Margherita Luti
754482	160054	
754482	160979	Sister Veronica
754482	326220	
754483	133054	
754484	71602	Herself
754485	197394	Mother (segment "David Lynch"
754485	299858	Mother ("Lumiere and Company"
754486	384816	Maid of Morcerf household
754487	382321	Märta Lundberg
754488	6378	Lady Braconfield
754488	7242	Miss Crocks
754488	24721	
754488	28178	La cousine Henriette
754488	30253	Fébronie
754488	45726	Tante Lucie
754488	53739	La vieille
754488	58224	
754488	58237	La présidente
754488	63640	Mme Boze
754488	63677	Camille
754488	64715	La logeuse
754488	68932	
754488	69215	
754488	69518	Marguerite
754488	70152	
754488	71505	The Maid
754488	71948	Genevieve's Aunt
754488	83266	Carine
754488	83370	Madame Bonnefous
754488	84642	
754488	90044	Edmée Veyron-Laffite
754488	90759	Mademoiselle Thomessin
754488	100170	
754488	107057	Madame Clairvoix
754488	110051	Mlle. Esperajou
754488	110118	
754488	111083	Tante Sophie
754488	118840	Mlle. Guérande
754488	120670	Anna Dobson
754488	123687	Mme. Marcel, la folle
754488	132266	
754488	156564	
754488	164184	
754488	164208	La Comtesse Apolline de Mont-
754488	178968	La dame en violet
754488	193432	
754488	199328	Comtesse de Médarne
754488	199333	Mademoiselle Malvina
754488	202591	La Blandin
754488	206006	
754488	214880	Madame Grandier
754488	218261	
754488	218262	
754488	227292	Zoé
754488	227595	Mme de Chabrol-Trompiez
754488	235854	
754488	238488	Mme. Grombert
754488	240627	Julie Follavoine
754488	244230	Mme Fabien
754488	248358	
754488	249094	Mme Castagnières
754488	264436	Mademoiselle Pauline
754488	270312	La Védie
754488	282047	Victoire
754488	295214	
754488	300695	la Centenaire
754488	308833	
754488	324610	Léocadie
754488	333907	
754488	336876	Mme. Charbonnier
754488	337016	
754488	340112	
754488	340113	
754488	345518	
754488	353839	Madeleine Lacoste
754488	354472	La grand-mère Mallez
754488	377491	
754489	386995	Nancy
754491	304684	Additional Voices
754492	5363	
754492	20794	
754492	28974	Maria Ciacci
754492	212575	
754492	255537	Enrichetta
754492	277610	
754496	26620	Dorothy Bloom
754496	76788	Cheryl's Mom
754496	390252	Pam Coughlan
754497	35537	Poodle Lady
754497	406491	Auntie Kim
754498	115933	Estelle
754498	149444	Teacher
754498	261434	Mrs. Cammish
754498	384483	Margot
754499	348328	Little Girl Dancing
754500	200116	Girlfriend2
754501	56545	Herself
754502	16846	Flo
754502	95152	Waitress
754502	135402	Saucy wood nymph
754502	187336	Jenny West
754502	201645	
754502	265606	Juliette
754502	315961	Sarah Robinson
754502	345760	Sarah Tomkinson
754502	355184	Fiona
754502	380632	Various roles (2001-)
754502	381478	Jade
754502	381538	Sapphire (Series 1) (2001)
754502	385822	Jackie Burget
754502	390523	Becky Radcliffe (1999)
754502	392437	Zoe
754502	408261	Connie (2002- )
754503	254085	
754504	274616	Herself
754505	228940	Véronique à 10 ans
754506	33638	Woman at postal window
754506	43762	
754506	44941	Rose
754506	57263	La bonne des Dupont-Dufort
754506	58416	
754506	61416	Concierge
754506	83211	
754506	85529	Une femme
754506	103207	La fleuriste
754506	111693	
754506	125737	La grosse spectatrice
754506	205774	
754506	210915	L'essayeuse
754506	214874	La gérante
754506	217670	
754506	221584	
754506	235824	
754506	236565	Mme Michonnet
754506	301528	La femme de chambre d'Emile
754506	309765	Fat Woman with Purse
754506	337394	
754506	343568	Cuisinière
754506	345150	
754506	345167	
754506	356987	
754507	274616	Herself
754507	306297	Herself
754508	220080	Wild Babe
754509	7431	Léontine, la cuisinière
754510	153661	Mrs. Mineva
754511	23152	Herself
754511	115568	BC-52's
754511	194958	Herself
754511	208042	Bambi
754511	241795	Herself
754511	283104	Newborn Baby
754511	379323	The Blind Millionaire
754511	392422	Herself
754512	19340	
754512	36484	
754512	110023	Louise
754512	122905	La charcutiere
754512	204559	
754512	218561	
754512	294945	
754512	353920	Une journaliste
754512	356988	
754513	390771	Alice Holden #3 (1958-1960)
754514	285819	Aglaé, un enfant
754515	163986	
754516	147972	Host #3
754516	240838	Salon Girl
754517	3057	
754517	16431	
754517	25683	
754517	51137	Madame de Wallée
754517	84218	
754517	100060	
754517	111044	
754517	129157	Athalia
754517	201198	
754517	214796	
754517	218261	
754517	227544	
754517	268968	
754517	282421	
754517	283026	
754517	303458	
754518	319078	Grewdolyn Harrison
754519	334011	Tamora
754520	30646	Faquita
754521	17036	Liv Øyen
754523	104476	
754524	146530	Chanutka I
754524	255611	Pynia
754524	262709	Younger Teacher
754524	300056	Ala
754524	412008	Joanna
754525	169572	Dorota
754526	313476	Beru Whitesun
754526	313477	Beru Whitesun-Lars
754526	391532	Donna
754526	392000	Alicia
754527	235818	
754528	196878	Christine
754530	319824	La femme Suisse
754531	377295	Liiviliikkeen omistaja
754532	157612	Schwester
754532	281655	
754533	82199	Ola
754533	167025	Kaska
754533	173673	Ewa, secretary
754533	183153	
754533	186384	Maryla/Girl/Virgin/Angel/Woma
754533	305560	Weronika
754533	373554	
754534	147651	Drive-In Mother
754534	273157	Nurse
754535	388832	Major
754535	394634	Various parts
754535	394777	Various characters (2001-????
754536	115606	Willemijn
754536	400217	Claire van Walsum-Simons (200
754537	86109	
754538	215488	Herself
754538	397888	Herself (2003)
754539	279409	
754540	388319	Buffy Davis
754541	324482	Viulisti #3
754542	323254	Myyjä (Salesgirl)
754543	139732	
754544	233246	
754545	341782	(episode "Confiteor")
754546	285801	
754547	288667	Herself, performer
754548	375740	
754549	27977	
754549	52960	
754549	60142	Loyola Guzmán
754549	153836	Marina
754549	322342	
754549	381217	
754549	387126	Olga
754549	392805	
754549	395871	Frida Maurer
754549	398476	
754549	398983	Magdalena 'Maggie' Del Molino
754549	401771	Marcela 'Negra' Espina
754549	401904	Belen Ortiz
754549	402630	Luciana
754549	409959	Sabrina
754550	66596	Mother in Cemetery
754551	26198	Herself - Dancer
754551	183230	Odette/Odile
754551	268946	Margot
754551	280615	
754552	13051	
754553	235750	
754554	373795	Young Girl
754555	124949	Saskia Bongart
754555	189793	Christina
754556	149532	
754557	57079	
754557	74336	Une spectatrice
754557	218308	Psychologue maison de repos
754558	110050	Colette Boulier
754559	133335	Erin
754560	10867	Couple in Woods
754562	1920	Connie
754562	5052	Phyllis
754562	66655	Mary Gilbert
754562	96958	Party Mother
754562	113507	Mrs. Portelli
754562	131780	Cicero's Wife
754562	132456	Receptionist
754562	141416	Hospital Receptionist
754562	148952	School Parent
754562	163229	Jury Foreperson
754562	163717	Filumena
754562	179425	Receptionist
754562	182999	Mrs. Cole
754562	191937	Denise
754562	208992	Person on Ferry
754562	211380	Mom
754562	234227	Cass
754562	236786	
754562	250573	Ayyad's secretary
754562	282915	Victoria
754562	283548	English Teacher
754562	296980	Ann Palmieri
754562	299469	Additional Dialogue
754562	306421	Sylvia
754562	313100	Peggy
754562	323780	Beverly Rossi
754562	330477	Clinic Doctor
754562	361248	Mrs. Wiener
754562	366908	Parent
754562	367405	Human Resources #1
754562	380391	Connie Corelli (1994-1995)
754562	380523	Doris
754563	191937	Lori Santello
754563	385705	Aunt Amy Barksdale (recurring
754564	146433	Bit Part (segment "Toby Dammi
754564	288801	Wife of Ephesus
754565	336605	Squillo al Sistina
754566	36586	Marcysia
754567	348540	Eileen's Friend
754568	289931	
754568	314855	Tatjanas Mutter
754568	325466	Lore
754568	325573	Lore
754568	325603	Lore
754568	325713	Frau Ehrlicher
754568	325787	Lore Ehrlicher
754568	325866	Lore Ehrlicher
754568	325939	Lore Ehrlicher
754568	369156	Miss Segebrecht
754569	322930	Sabine
754570	208220	
754571	59271	
754572	299443	Herself
754573	11317	Terri Paxton
754573	95908	Clara
754573	105113	Carrie
754573	161305	Narrator
754573	166652	
754573	167866	Liza Tisch
754573	206714	Actress
754573	231077	Alice Pryor
754573	283006	Melinda
754573	364431	Waitress
754573	383502	Annie Viola Spadaro
754573	385438	Melissa Taylor
754573	398578	Bronwyn Jones, lesbian anchor
754573	403624	Charlie
754574	65660	Eva Crosby
754575	388944	
754576	377976	
754577	65499	Little Girl
754578	213852	Carlyn Pressley
754579	19019	
754580	248711	
754581	386123	Euzeni
754581	389153	Dora
754581	396899	Romilda
754582	33775	Jill
754582	75801	Computer voice
754582	108339	Mary (13-15)
754582	158609	Female Rabbi
754582	158791	Nancy
754582	161125	
754582	190269	Jimmy Gumm, adult
754582	205786	Sister Hermance
754582	207484	Jane Hanssen
754582	215651	Eunice
754582	227156	Kim
754582	241651	Carla
754582	243273	Lucy
754582	282618	Catalina
754582	330559	Talkative Student
754582	380246	
754582	392244	Helen Wade
754582	400517	Kale Stiglic
754582	404152	Marry Warren
754582	405069	
754582	408060	Alice De Ray
754583	157676	
754583	262591	Fetish Girl
754584	178163	
754585	223601	
754586	367638	Marion
754587	43679	Bernadette Phalempin
754587	48209	Anne-Marie
754587	57540	Jeannette Pommeau
754587	72074	La Première
754587	81678	Nanette
754587	92046	Lucette
754587	149486	
754587	211364	Sylvie
754587	225142	Edelgard von Kleist
754587	225169	Marion
754587	240484	Annette
754587	254042	
754587	301401	Agnès, l'infirmière
754587	345525	Muriel, the prostitute
754587	349493	Sylvie Morel
754588	224909	Fille de 6ème A
754589	193000	Extra
754590	169351	Mara
754591	300609	Serveuse
754592	169351	La fille de Mara
754593	66967	Tia
754593	156030	Michelle
754593	261977	Lily
754593	308033	Nicole
754593	331321	Cynthia
754593	331639	Cohn's secretary
754593	375798	Miss Understood
754594	49389	Car Hire Girl
754594	61175	Violet
754594	62779	Bridget Baines
754594	157040	Therese Obermayer
754594	188567	Elaine
754594	222625	Carola
754594	305460	Fast Eddie
754594	316410	Helen
754594	382838	Petra Taylor (1982-1993)
754594	396580	Maureen
754595	242539	
754596	137620	
754597	399816	Georgina Carter (1972)
754598	2278	Herself
754599	14908	
754600	39711	
754601	247563	
754602	152791	Car scratch victim
754603	409277	Herself/Panelist ("Emploi")
754604	225058	
754605	128594	Wife
754606	89576	Principessa Lavinia
754607	10007	Amanda
754607	13201	Elena Soriano
754607	51361	Sveva
754607	53762	
754607	55759	Prof. Terzi
754607	61427	Fashion shoot photographer
754607	109090	Direttrice del carcere
754607	127949	
754607	129032	
754607	130952	
754607	135942	Julie
754607	162063	Elena Vitali
754607	187430	
754607	202278	Letizia
754607	235745	
754607	252721	
754607	259699	Rosa
754607	270808	
754607	287771	Angeluzza Cicchi
754607	289343	Marjorie Mills
754607	344628	Jenny Benton
754607	378434	Erika
754607	388610	
754608	89572	Lady in White Coat at Castle
754609	219583	
754609	268997	
754609	282836	
754610	7457	Adeline Rose
754610	84616	Bru de Félicité
754610	112812	Sister Céline
754610	114823	La voisine
754610	134605	Femme 2
754610	144317	Mme Boléro
754610	166141	La mère d'Otto
754610	191130	
754610	216668	Mo'
754610	217651	La femme au coker
754610	266389	
754610	306942	Soeur Marie-Louise
754610	325343	Cab driver
754610	345058	La pépiniériste
754610	345253	La Veillee Actress
754610	353885	Madame Groseille
754610	370102	
754610	376914	La matrone
754611	240429	
754612	215057	
754613	10899	Girl with Jimmy Zipper
754613	99558	Salesgirl #2
754615	372294	Girl
754616	73560	Feminist
754616	210233	Helen
754617	11323	Tony's Housekeeper
754617	12238	
754617	13677	
754617	20206	Woman in Irish pub
754617	32404	The Charwoman
754617	39811	Duenna
754617	45686	
754617	46748	Aunt Glutz
754617	52696	Anne
754617	57260	Mrs. Snapper
754617	69403	
754617	79664	Ginney
754617	84899	Tuerta
754617	85183	Bridget
754617	88863	Grandma Banning
754617	92503	Mrs. Hawkins (Ivy's landlady)
754617	96672	Mrs. Oakes
754617	108473	Mrs. Rudge
754617	110363	Katy
754617	115622	
754617	116790	Bessie
754617	117646	Midwife
754617	133661	Mrs. Unthank
754617	133966	Mother McTeague
754617	150765	Mrs. Saunders
754617	154230	Waiting Woman
754617	155844	Mrs. Gill
754617	165444	Fortune Teller
754617	177141	Flower Woman
754617	178332	Woman in window
754617	187690	Old Lady
754617	190944	Maggie
754617	191962	Mrs. Dibble
754617	193974	Mrs. Gamp
754617	194302	Woman Looking for Plumbing De
754617	203316	Madame
754617	207174	Aunt Phoebe Dyer
754617	213166	Grandma Spencer
754617	222814	Crone
754617	227803	Aunt Agnes
754617	232341	Flora
754617	236129	Mrs. Smith
754617	238504	Agnes Hollett, Philip's Landl
754617	240018	Mrs. Corney
754617	241349	Mrs. Dibble
754617	241553	Mrs. Purdy
754617	245545	First Gossip
754617	255834	
754617	270918	Landlady
754617	279303	Woman
754617	279320	Grandma Grayson
754617	283850	Mrs. De Breeze
754617	295300	Mrs. Haggerty
754617	299072	Miss Weatherby, a Patient
754617	301841	Mrs. Gower
754617	307912	Flower Woman
754617	315695	Woman
754617	317426	Mrs. Hudson
754617	320465	Old Woman Getting Police
754617	323769	Old Hag (Dropped a Stitch)
754617	350408	Cake Seller at the Fair
754617	350504	Mrs. Sedley
754617	358753	Mrs. Claybourne
754617	360068	Cockney in air-raid shelter
754617	361543	Drunk Woman
754617	363758	Mrs. Waters, the Drunken Nurs
754617	364352	Mrs. Sawyer the Mother-in-Law
754617	366939	Madame Gordon
754618	211926	Nurse
754619	12930	
754620	5511	
754621	171418	Monika Steigermann
754621	231479	Babette Didic
754622	77926	L'infirmière
754623	250961	Madeleine
754624	47570	Nicole Collard (German Voice)
754624	47571	Nicole Collard (German Voice)
754624	47572	Nicole Collard (German Voice)
754624	88841	
754624	369428	Dana Scully (German Voice)
754624	389681	Narrator
754625	108039	Kilina
754626	179666	Aurika as a Little Girl
754627	234976	Clotilde
754628	409748	Host
754629	299474	
754629	381436	Paige Davenport (1992)
754629	411273	Narrator
754630	44795	
754631	174779	
754632	309292	Stuepige på Havslunde
754633	213375	Guest at the engagement party
754634	8906	Morokka's mother
754634	164248	Cleaning woman
754634	213376	Tiina
754635	397746	Herself
754636	88540	
754637	153747	
754638	108052	Miss Singoalla Grönroos
754638	144055	Dean's wife
754638	255935	Woman in the ball
754638	259881	Arthemis, metsästyksen jumala
754639	400811	Herself (episodes 1-30) (Winn
754640	281298	Child
754641	238166	Octobriana
754642	350895	Singing schoolgirl
754643	27408	Tanssija
754644	214839	Venäläisen perheen lapsi
754645	255386	
754646	4334	Magnuksen sisko
754647	404782	Veikkauksessa
754648	4334	Magnuksen sisko
754649	284769	
754650	232584	Sari
754650	353845	
754650	396747	Various characters
754651	74574	Mujer de la pareja del jardín
754651	87960	
754651	353195	Inspector 2
754652	82656	Cora
754653	104771	Dutch backing vocal
754653	104777	Belgian backing vocal
754653	144230	
754653	228253	Herself
754654	99580	
754655	183132	Herself
754656	6082	
754657	154377	
754657	218532	Annamari
754657	232801	Hostess of the Show
754657	278999	
754657	343533	Amazon
754657	355742	
754658	198155	
754659	108775	A career-woman
754660	42898	
754662	363393	Stewardess #1
754663	50977	Lady with sunglasses in cafet
754664	7408	Mademoiselle in Pink
754664	66121	Yas
754664	221305	Violet
754664	383363	Kirsty (The Wife of Bath)
754664	387247	Suzie (2003)
754664	391025	Kelly Blade
754665	58169	Col. Culpepper's Wife
754665	106293	Ma Brown
754665	120617	Mrs. Mortimer
754665	166729	Mrs. Rossiter-Jones
754665	220323	Mrs. Forsythe
754666	152513	Heather
754667	128303	Susannah
754668	91862	
754668	254743	
754669	235639	Debra Meagher
754669	381886	Herself - Oscars Host (1997)
754669	398340	Reporter (1993)
754671	25868	Sedley Guest
754671	103780	Fleurette
754671	133561	Secretary
754671	154874	Washerwoman
754671	175175	
754671	199318	Woman at accident
754671	241595	Bit
754671	247160	Goldwyn Girl
754671	265361	Bit
754671	298612	
754671	299035	Vaudevillian
754671	318246	Julia
754671	326570	Girl, (as Anita Pike)
754671	330165	Zigzag (French girl)
754671	330375	
754671	352929	Maid
754672	43451	Herself
754672	86263	Miranda Frost
754672	90850	Samantha
754672	160294	Herself
754672	165265	Herself
754672	189308	Elizabeth Malet
754672	262959	Herself
754672	263558	Jane Bennet
754672	265765	
754672	272675	Celia
754672	339353	Lucy
754672	396081	Fanny
754672	411316	Lady Harriet Cumnor
754673	77984	Girl
754673	145312	Harpsichord Player
754673	189360	Helen
754673	222745	Sophia
754673	330786	Girl
754674	41400	Kylie
754675	204134	Sherry Ouelette
754675	230386	Lesley
754676	89871	Marianne
754677	64660	Handbalancing performer
754677	64661	Contortionist (Handbalancing)
754677	384324	Herself
754678	85840	Penan Girl
754679	334821	Kultasepänliikkeen myyjä
754680	178455	
754681	8500	Robber's Girlfriend
754681	98734	Kaitoula
754681	102685	Efi
754681	136438	
754681	178543	Marina
754681	189071	Marina
754681	259336	
754681	266536	
754681	282723	Jenny Georgopoulou
754681	288485	
754681	341178	
754681	350796	Betty
754681	379434	
754681	389183	Athina
754681	394076	
754681	394219	Stella Hrysafi
754681	395090	Efi
754682	263134	Pomoshchnika bossa
754683	94049	
754684	379716	Amanda Maureen Dillon #2 (199
754685	379716	Amanda Maureen Dillon #2 (199
754686	89506	
754687	8043	Tiki
754688	163768	
754688	284799	
754689	9869	
754689	15434	
754689	39686	Elena
754689	73196	
754689	79113	Valentina
754689	172306	
754689	199769	Mindanao's girl
754689	199861	
754689	206780	
754689	208112	
754689	227513	
754689	233375	
754689	274063	
754689	404049	Adora Evangelista
754690	214223	
754691	94728	Una coinquilina
754691	113446	
754691	189262	
754691	213804	Assunta
754691	264258	
754692	205268	Woman at Auction
754693	199239	
754694	171638	Rhendotter
754695	368374	Spanish Dance Teacher
754696	198430	
754697	75571	
754698	55258	
754698	120651	
754699	261792	La femme du sauveteur
754700	298027	
754701	88714	Vanilka
754701	175025	
754701	195249	
754701	322672	
754701	353380	Herself
754701	375430	Klára Králová aka Clara Regin
754702	169572	Szymaniak's Neighbour
754702	266316	Cashier
754703	30856	child
754703	179354	
754704	77102	Doctor at Police Station
754704	95946	
754704	223220	Policewoman
754704	259816	Marta Melk
754704	262198	Blonde Woman
754704	316437	
754704	357977	Madame Olivier
754704	369004	Mother of Piotrus
754704	369018	Rysia
754704	382476	Lily
754704	397820	Alina Krawczyk #1 (1998-2002)
754704	409252	Basia, Nowak's secretary
754705	113671	Arminda
754706	290534	Barmaid
754707	14407	
754708	284590	Madre Filicudi
754709	295131	Woman of the sect
754710	23588	Madre spacciatore
754711	96161	Une femme
754712	123849	Whore #2
754713	324448	Dancer: Esto es tango
754714	645	Mrs. Byrd
754714	16033	
754714	56358	
754714	62536	Clerk
754714	105465	First actress
754714	107376	Ruth Clay
754714	120301	Etta Radzoff
754714	127436	Giorgio's Mother
754714	131692	Mme. Carnova
754714	148523	Mrs. Lanza
754714	154168	Grandma Garibaldi
754714	158856	
754714	185835	Golfer Woman
754714	186650	Older Helen
754714	189997	Foreign Woman
754714	191513	Monica's Aunt
754714	195761	Waitress
754714	199442	
754714	200122	Clara Burke
754714	212630	
754714	216772	Ida Standon
754714	219007	Norma
754714	255234	Old Miracle Seeker
754714	293007	Lenore Orloff
754714	310014	Ermanno's mother
754714	311258	Mrs.Marinoni
754714	321222	Old Woman Patient
754714	325242	Mrs. Dobrowski
754714	353162	Adriana's mother
754714	353307	Derelict Woman
754714	358482	Lila
754714	385296	
754715	87511	Old Woman in 'Yerma'
754716	254514	Daphne Bigelow
754717	225876	
754718	26515	Dionne's Posse
754719	83115	
754720	28864	Cora Pound
754720	60300	Margaret Greenleaf
754720	71628	Tracy Hart
754720	134037	Alexandra Baxter
754720	191825	Felicity Hughes
754720	203534	Betty Lawrence
754720	231107	Beppie Leemans
754720	245045	
754720	250411	Christine Hall
754720	264448	Reformatory Inmate
754720	311997	Baby Furze
754720	330841	Phoebe Ferguson
754720	331681	Claire Prentiss
754720	341482	Lady Jane Grey
754720	371025	Betty Maitland
754720	372437	Erica Burgoyne
754721	81033	Child (segment "The Psychic")
754722	304578	Irina
754723	242822	
754724	187244	
754725	305778	Bar Girl #8
754726	384816	Poor woman at hippodrome
754727	13050	
754728	328788	Nurse
754729	226195	
754730	10260	Galya
754730	82494	Korneva
754730	82812	
754730	179093	
754730	207560	Sasha
754730	256677	Vakulyna
754730	265941	Smirnitskaya
754730	273073	Tanya Ogneva
754730	280807	
754730	301916	
754730	326247	Borodina
754730	349343	
754730	374427	
754731	91195	
754732	275435	Groupie 2
754733	7361	Sheetal Malhotra
754733	25430	Paramjeet
754733	341549	Saraswatibai, the maid
754733	398512	Shipra Sinha
754733	409016	
754734	348396	Jill
754735	74317	Little Girl
754735	79741	Betsy Foster
754736	176882	Lucy
754737	283709	Driller's Waitress
754738	189801	
754739	49874	Rosie
754739	72760	
754740	160464	Herself
754740	257684	Herself
754740	257867	Herself
754741	313951	Aja
754742	166871	Additional cast
754743	362984	Young Auntie Anne
754744	382254	Old Woman
754745	256935	Jornalista
754746	337007	Marion
754747	71488	Mathilde
754748	317517	Natasha Slutsky
754749	172503	Ksenija Iver
754750	180175	Herself
754751	174169	
754752	12985	Herself
754752	142642	Saara
754753	83988	Alexandria
754753	196357	
754753	368154	Robin
754754	11576	Eileen O'Neill
754754	45342	Bride
754754	46545	Sandra Maitland
754754	51460	
754754	87509	Katie
754754	105186	Michelle
754754	130650	Rose
754754	143341	Young Katherine
754754	152584	Lulu
754754	162300	Irène Mc Coy
754754	185475	Jayne Wayne
754754	214996	Rose
754754	224046	Tracy
754754	229902	Rachel
754754	270255	
754754	283607	Maggie
754754	303963	
754754	384460	Susie Cassidy
754754	388089	
754754	389167	Christy Bannam
754754	398085	Katrina Finlay (Series 1-2)
754755	41478	Gerty
754755	154116	Young Eileen
754755	196629	Marion Kews
754755	384460	Keelin Geraghty
754755	409005	Aisling Ward
754756	314131	Eddie's Secretary
754757	16803	Minnie MacAdorey
754757	43941	Radio Reporter
754757	93129	Daughter
754757	141064	Jacinta
754757	243268	Journalist
754757	363146	Susie
754758	93629	The Woman
754759	187073	Extra
754759	201709	Herself/Extra in Movie
754760	26256	Larkin Malone
754760	69416	Ella
754760	74280	Liesl
754760	80930	Remember Patience Whipple/Mem
754760	81019	Susan
754760	82122	Marie von Goetham
754760	86456	Sally
754760	87015	Julia
754760	109455	Emma Redding
754760	147554	Fern
754760	164635	Shapiro/Marfa
754760	190056	Jessica
754760	190269	Young Lorna Luft
754760	193268	Lacey
754760	213358	Constance 'Connie' Danforth
754760	244365	Allana Browning
754760	252937	Marie (age 15)
754760	255442	Beth Burns
754760	255894	Mattie Lyons
754760	257196	Katie Fitch
754760	274544	Cornflower
754760	294513	Beth
754760	304059	Chuckette Morris
754760	316220	Hetty
754760	346872	Samantha Mayer
754760	362216	Tilden
754760	362307	Katy Carr
754760	380169	Paulette
754760	395165	Bethany
754760	403090	Cornflower
754762	18803	
754763	165404	Mrs. Thirumulpadu
754763	208774	Anjana
754764	381455	Newsreader
754765	359307	The Wife
754766	3156	Antara
754766	30527	Reporter
754766	86637	Priya
754766	105216	Jessica
754766	264941	Lili
754766	288660	
754766	358256	Shalu
754767	12772	Clarise
754767	310515	Ivy
754768	14629	Ludovina
754768	111492	
754768	202238	Cris
754768	211024	Mãe
754768	218041	Amula
754768	236040	Maria do Céu
754768	248303	
754768	269164	Teresa
754768	382724	Ana Cláudia
754768	383142	Emerenciana
754768	383464	Rosa
754768	398500	Cristina (1998-1999)
754768	399645	Cinara Alves
754768	402504	Ester
754768	402807	Alaíde
754768	403118	Luana
754768	403171	Eliana
754768	403733	Linda Bastos
754768	404160	Salomé
754768	405454	Ana do Véu Teixeira
754768	409405	Duda
754768	410096	Branca
754769	193444	Marie-Juliette
754769	227483	Nanou
754769	345443	La gamine
754770	260950	
754771	334853	Material girl
754772	385824	Jeannie Donovan (#2) (1991-19
754773	385824	Jeannie Donovan (#2) (1991-19
754774	19759	
754775	315654	Dina Dime
754776	189066	Abbey
754776	337704	Indira Cortez
754777	400928	Herself
754778	76072	
754779	384288	Cynthia
754780	8944	Une prostituée
754780	13041	
754780	15258	La femme dans l'épicerie
754780	17194	
754780	19327	
754780	28904	
754780	32713	Woman in Courtyard
754780	33554	Rosa
754780	43412	
754780	52698	
754780	64333	Herself (1984)
754780	77869	Une sorcière
754780	84625	Monique
754780	94329	La voisine
754780	96198	Lulu
754780	100352	
754780	101530	La surveillante
754780	124313	Albine
754780	125468	
754780	130756	La mère
754780	133164	Clémence
754780	134605	Cliente bistro
754780	135359	(segment "La semaine sanglant
754780	156322	Passante montre
754780	170933	La douce-dingue du bistrot
754780	175761	Nadia
754780	186192	Berthe
754780	196813	Marie
754780	197547	Yvonne Cayatte
754780	200938	Madame Lachaise
754780	205243	La femme du fourgue
754780	205741	La mère Malgrain
754780	208806	Mme Letournel
754780	210910	Yvette
754780	219442	Laurette Civiletti
754780	233294	
754780	248886	Abortionist
754780	249072	(segment 2)
754780	251294	Mme Calveyrat
754780	252235	Marie Le Noach
754780	255584	Maryse
754780	269717	Joan, la mère de Théo
754780	270433	Judith
754780	278024	Charlotte
754780	324321	Proprietress of Hotel du Comm
754780	328392	Mère
754780	346639	
754780	346819	
754780	378866	Germaine (ep.5)
754780	384209	La gardienne de prison
754780	395620	La patronne (segment "Ernest"
754781	250708	L'infirmière
754782	78041	
754783	180445	Myyjä huonekaluliikkeessä
754784	55855	Skier
754785	369255	Brian Pillman's Wife
754786	109442	
754786	144142	
754786	325651	
754786	325832	Gunda
754786	338423	
754786	352070	
754787	128008	
754788	73811	Inmate
754788	104944	Snake River Reporter
754788	127679	Anne Beatts
754788	161018	Officer Valinski
754788	165436	Tech #1 in Data Processing
754788	176411	The Kid
754788	207484	FBI Agent
754788	242514	Linda
754788	368206	Signing Woman
754788	384102	Michel Mabius
754788	385462	Matt
754788	391554	Haley (Host/Narrator)
754788	397280	Rintaro Namishima
754788	407224	Ms. Flowers
754789	212121	Monna Violante
754790	57567	
754790	242481	Pige i lejlighed
754790	283789	
754790	303695	Oda
754791	73072	
754792	82541	Fang
754792	196572	Bodybuilder
754793	318204	Clara Mae McMillian
754793	345861	May
754793	363225	Girl in Museum
754794	30359	Subject needing more lube
754796	116014	
754797	170	
754797	59741	Mrs. Boyd
754797	185227	Mrs. Rogers
754797	215359	Mrs. Crandall
754797	219628	Society Lady
754797	263442	Mme. Benoist
754798	381493	Star Wars Geek (2001-2002)
754799	322092	Fanny, Füge lánya
754800	89480	
754801	399635	Narrator
754802	237536	Zuzi Rajková
754803	167047	Woman
754804	190745	Fernanda
754807	24180	Monique a 10 ans
754808	259088	
754809	391272	Leticia
754809	398218	Marisa Andara
754809	398519	
754809	401090	
754809	408408	Gloria
754810	26737	Dorinda, Timmy's Maid
754810	33748	Mrs. White
754810	55519	Singer
754810	64803	Della, a Maid
754810	73378	Mamie (maid)
754810	77592	Cora, Benson's Maid
754810	85828	Maid
754810	109907	Della
754810	121354	Della, Mrs. Leslie's Maid
754810	141487	Chloe
754810	186293	Elsie, the Maid
754810	223723	Beulah the Colbrook Maid
754810	233872	Birdie, the Fifrth Maid
754810	240657	Emmie Lou
754810	252297	Delia
754810	252300	Delia the Schofield Maid
754810	252301	Delia
754810	266705	Miranda the Maid
754810	279317	Lucinda (Winston's maid)
754810	287749	Hannah (black woman on train)
754810	289236	Washerwoman
754810	292829	Blanche, Fay's Maid
754810	304278	Matilda (Meg's maid)
754810	315669	George Washington Carver's mo
754810	321102	Martha
754810	329399	Black Maid
754810	331619	Patterson's Maid
754810	363767	Hannah
754810	367781	Maude, Claire's Maid
754811	174155	Échangiste
754812	72367	Étudiante
754812	308472	Louisette
754812	337034	
754813	86911	Chimene
754813	346701	
754813	391631	Véronique Perron
754814	198389	His Wife
754815	94646	La cameriera
754816	45724	Drastiová
754816	375401	Sestra Matylda
754817	258804	Herself (wife)
754818	258804	Herself (daughter)
754819	258804	Herself (daughter)
754820	77217	Woman
754820	299193	Primrose Shipman
754820	411316	Mrs. Dawes
754821	364998	Singer
754822	99538	Pipi
754823	11545	Lynn
754824	387960	Herself
754825	198348	Publiciste
754825	211630	
754826	185004	Bus hostess
754826	236718	Wedding Guest
754826	236793	
754826	309387	
754826	323531	Marjatta Kaartinen, Erik's wi
754827	233246	
754828	17546	Zhena poslonnika
754828	17551	Grafina Vronskaya
754828	94184	
754828	126266	
754828	225948	
754828	259076	Alisa Vitalyevna
754828	266288	Zorich
754828	270310	
754828	294672	
754828	300368	
754828	313813	
754828	320637	
754828	349303	Zasulich
754828	357469	Dronov's wife
754828	374856	
754829	132090	
754830	234117	
754831	360975	
754832	277930	(segment "Der Augenblick des 
754833	184663	
754834	1396	Sigrid
754834	129678	Hillary
754834	290741	Juliana May
754834	320458	Frau Holler
754834	380887	Lotte
754834	404454	Andrea Papst
754835	138603	Dagma
754836	19201	La chmabrière
754837	379009	Alien Hand
754838	33813	
754838	305247	Konopnice
754839	223604	
754840	365820	Baby
754841	179670	
754842	354730	
754843	138567	
754843	234749	
754844	234646	
754845	28946	
754845	166377	
754846	25058	
754846	88216	
754846	208143	
754846	327325	
754846	404306	
754846	409426	
754847	324855	
754848	122393	
754849	102514	Beth (18 months)
754850	102514	Beth (18 months)
754851	334011	Goth
754852	281397	Young Mother
754853	95080	Museum Director
754853	201806	Herself
754853	263392	Natalie
754853	321367	Drunk Woman
754853	411204	Co-Host/Announcer (2001-2002)
754854	70116	
754855	352632	Child
754856	294829	Old Crone
754857	191604	Mrs. Ool
754857	284850	Friederike
754857	349600	Doris van Woudenberg
754857	394613	
754858	262234	
754859	17391	
754860	294723	Maria
754861	104066	Zombie
754862	352632	Child
754864	55390	
754864	212132	
754865	412273	Finalist #8
754866	402808	
754867	51931	Zilá
754868	46027	Pretinha
754869	380076	Catalina Zuleta Palacio
754871	19064	
754871	196337	L'Avocate
754871	198621	Mme Lemieux
754871	205932	Social worker
754871	224814	Prunelle
754871	247607	
754871	249712	La femme médecin
754871	286326	Claire
754871	332418	Member of Sharing Group
754871	371366	Gabrielle Daneault
754871	383842	
754872	47869	Herself
754873	69169	Herself
754873	356653	
754874	203344	Undercover AFI
754875	103322	Adelita
754876	147886	Member, The Depina Troupe
754877	105205	Joan
754878	278005	Singing Trio
754878	383368	Zangeres
754879	286574	
754880	15104	
754880	77396	Becky Prittspitt, die Tochter
754880	93434	
754880	111477	
754880	126856	
754880	183254	
754880	199343	Freundin Verniers
754880	223484	
754880	289884	
754880	333563	Sonja
754880	354082	
754881	389858	Lydia Morez (1994)
754882	1860	Catalina
754882	3502	Ella misma
754882	6493	
754882	7248	Irene
754882	8705	Sonia Iliana
754882	14677	
754882	14711	Silvia
754882	14727	
754882	14756	
754882	14757	Malena
754882	25680	Tota
754882	28736	
754882	29160	Doliente
754882	30806	Felicia
754882	48799	
754882	49674	Herself
754882	51667	
754882	51745	
754882	54078	Elisa
754882	55089	Carmen Santibañes
754882	56632	Mimí
754882	57471	
754882	59532	
754882	64700	
754882	74552	Tencha
754882	74845	Magda Bustamante/Enriqueta (s
754882	74858	
754882	83870	
754882	84018	Kim Jones
754882	87074	Felisa
754882	88057	Mari Gaila
754882	91424	
754882	92343	Paz Alegre
754882	95009	Lucrecia
754882	103508	Teresa Moreno
754882	104005	Marta
754882	104123	
754882	106321	
754882	123147	Carmina
754882	131058	
754882	135249	Xóchitl Torres
754882	143755	
754882	145176	Magdalena
754882	146478	Margot
754882	148098	Marta
754882	160085	Mané
754882	170055	Lena Anderson (segment "Diver
754882	193346	Mabel Mendoza
754882	193349	
754882	205139	
754882	205690	
754882	206001	
754882	206996	María Isabel
754882	209084	Rosita Alba Vírez
754882	212380	
754882	215233	Silvia
754882	216852	Carmen
754882	221905	
754882	221912	Silvia Torres
754882	221980	Laura
754882	225551	Ella misma
754882	233354	Tina
754882	236036	Irene
754882	251559	Juanita
754882	251571	Soledad Hernández
754882	260520	
754882	260933	
754882	266409	Leonor Rivas Conde/Regina Sal
754882	266676	Beatriz
754882	267392	
754882	273780	Gaby
754882	277125	Alicia Sandoval/Isis de Aleja
754882	277386	
754882	278426	Sonia Iliana
754882	292727	
754882	297652	Anna
754882	300737	Lidia Kane
754882	302309	The Devil
754882	307290	Lázara
754882	309370	Regina de Alba
754882	322372	
754882	326534	
754882	348129	Giovanna
754882	351490	
754882	353641	María Andrade
754882	355120	Viridiana
754882	370153	Genoveva Reyer
754882	371756	María Aguirre
754882	376666	
754882	376746	Veronica de la Maza
754882	377165	Leticia 'La Valkiria'
754882	380963	Silvia
754882	383471	Madre Lucía
754882	383665	
754882	387274	
754882	395300	Herself
754882	397201	
754882	398484	Host
754882	403303	
754882	405381	
754882	411616	
754883	10233	
754883	21076	
754883	63787	
754883	68971	
754883	70730	
754883	74352	
754883	94640	
754883	97659	
754883	99336	
754883	113238	
754883	115772	Reyes
754883	132675	
754883	153334	
754883	205713	
754883	243613	
754883	249905	
754883	265160	
754883	279707	
754883	291604	
754883	323661	
754883	386696	
754884	295873	
754885	50340	Rizzo's Daughter
754885	279681	Herself
754885	339463	Kiska
754885	371325	Laura Giordano
754887	11572	
754888	101171	
754888	336951	Elisa
754889	91912	
754890	57414	
754891	112891	Copine Tina
754892	41379	Showgirl
754893	131232	Extra
754894	331520	Queen Anne
754895	301403	
754896	273555	Girl never studying
754897	52576	Herself
754898	79963	Katherine
754899	52576	Herself
754900	405997	Host
754901	281027	Ilka
754901	305112	
754902	37397	Jean Davino
754903	180215	Vred pige
754904	269735	Une réceptionniste
754905	23345	Mirka
754905	26540	Judge
754905	314078	
754905	387031	
754906	113405	Mrs. Morgan
754907	147560	Lucy
754908	381910	Herself (Series 5) (2004)
754908	381920	Herself (Series 4) (2004)
754909	80834	Francella
754910	129092	Magic Carped Child
754911	381436	Avery Sands (1992-1995)
754912	107288	Catherine
754912	123029	Jina/Additional Voices
754912	394421	Ai's mother
754914	36834	
754915	276160	Cindy Peterson
754916	110965	Woman at Beach
754917	62285	Tina
754918	141695	
754919	72932	Bessie Gilmore
754920	64207	Assistant #1
754920	100816	Evie, Head Priest's Daughter
754920	154039	Jenny Dallas
754920	185964	Susan Davis
754920	203223	Amanda
754920	215657	Previous Year's Winner
754920	230857	Shy Gal
754920	234204	Actress
754920	344182	Sexy College Girl
754920	360717	Maggie Greenwood
754920	366045	Youngest Patient
754921	144452	Date #3
754922	30255	Rita, the Gypsy
754922	190796	Patient
754922	249169	Jenny O'Rourke
754922	346368	Woman
754923	43897	Mr. W.'s date
754923	44899	Showgirl
754923	92558	Louise
754923	121360	Beauty operator
754923	150260	Brenda Johnson
754923	364434	Seaver's secretary
754923	367919	Glamour Girl
754924	34955	Elena
754925	198998	
754926	67236	
754927	250514	Hippie Girl
754928	328323	Conxita
754929	333059	Baby Pipa
754930	121316	Cantante guerrillera
754930	351669	
754931	383273	
754932	185426	Exotic Dancer
754933	230130	Neto's Wife
754934	331903	Narrator
754936	249770	
754937	100326	
754938	188453	Opening Sequence Girl
754939	122768	Magdalena
754940	244640	Madame dufourt
754941	170241	
754942	387741	Chanella Pieterszoon
754943	136832	Girl with Shopping Cart
754944	63552	Une épargnante
754944	83349	
754944	106464	Le faux témoin
754944	169980	
754944	336964	
754944	345468	Madame Fréval
754945	53863	Clotilde
754945	238828	Anna
754947	319027	Candice
754948	404613	Dr. Carolyn Hanley Walton #1 
754949	69251	
754949	83006	Marina
754949	88794	(segment "A Boca")
754949	98799	
754949	103216	Madalena
754949	103893	
754949	132959	
754949	149518	
754949	197953	
754949	201133	
754949	234635	
754949	241011	
754949	279753	
754949	295098	
754949	296129	
754949	338239	
754949	344813	
754950	288316	Prieuse
754950	346618	Margot
754951	76150	La mère
754952	229492	
754953	328404	
754954	76194	Herself
754955	133045	Chloé Landry
754955	196820	
754955	393395	Madame Giroux
754956	105849	
754957	178975	V-Six Model/Cheerleader
754958	268807	Hotel Woman
754959	348992	Lee Ping, lady assassin
754960	76367	Yu Chiao
754960	332337	
754961	112343	Siping, Tsefang's sister
754962	377061	
754963	166565	Dancers
754963	329661	Dancer
754964	100288	
754965	224430	Vivian Wienstein
754965	235646	Candy
754966	160544	
754966	331005	Melodie
754966	336953	
754967	166917	Women's Group Member
754968	80776	Hostess
754969	396718	
754970	361081	
754971	2324	Estheticienne
754971	99736	Hôtesse clinique
754972	252589	Sheila
754972	396899	Cássia
754973	352855	Capitu
754974	383437	
754974	397553	
754975	187576	
754976	63823	Cocotas
754977	30983	
754977	181446	Extra
754977	308504	
754978	194133	
754979	180946	Roxanne
754980	384002	Tânia
754981	21787	
754982	338644	
754983	205696	
754984	103857	Bárbara Criança
754985	101315	
754986	65914	Ambulance Woman
754986	237711	Hazel
754987	70228	Marta
754988	212478	Opera singer
754989	25328	
754990	113709	
754991	36611	
754992	82710	Girl in back of Jacob's car/W
754993	401031	Various
754993	411809	Nurse Sherry Andrews (1979-19
754994	53020	
754994	111844	
754994	121887	Daisy D'Elsing
754994	127909	
754994	261889	
754994	278190	
754994	356222	Signora de Cay
754994	375015	L'autentica zia
754995	220985	Girlfriend
754996	43977	
754996	44229	
754996	49677	Giannina
754996	128963	
754996	158553	Federica
754996	278170	
754996	295137	
754996	313915	
754997	376772	Pinkola
754998	60429	Rivele
754999	379566	Elsa (2000)
754999	398857	Hostess (2004)
754999	398858	Hostess (2004)
755000	277391	Elena niña
755001	61140	Dancer
755001	75500	
755001	108423	
755001	376758	
755002	25100	
755002	61140	Dancer
755002	101645	
755002	189036	
755003	231916	
755004	342744	Bride
755005	921	(segment Bosnia-Herzegovina)
755005	1673	Herself
755005	1706	Herself
755005	1737	Herself
755005	2009	Herself
755005	2573	Herself
755005	2721	Herself
755005	47171	Herself
755005	47173	Performer/Herself
755005	59665	Coal Bowl Starter
755005	120665	Herself
755005	132132	Janis Joplin
755005	170848	Herself (greetings for the sh
755005	221424	Herself
755005	221426	Herself
755005	221434	Herself
755005	221480	Herself
755005	221481	Herself
755005	221482	Herself
755005	280200	Herself
755005	280663	Herself
755005	303909	Herself
755005	305490	Herself
755005	405487	Guest Host
755007	42296	Swedish Suntanning Team Membe
755008	110519	Mrs. Pink
755010	46932	
755010	214897	
755010	374631	Hoofdrolspeelster
755010	375724	Meisje in de trein
755011	342245	Herself
755011	402425	Herself
755012	243129	
755013	1258	
755014	260725	
755015	186768	
755017	60156	Gloria The Gorgeous (Part 4)
755017	163671	Sandy
755017	319408	
755018	48968	Angel
755018	118961	Niina
755019	70208	Nun
755020	314504	Stanley
755021	81041	Protestor
755021	185187	Selma
755021	194701	Bank Teller
755021	313961	Lunch Lady
755022	49854	Herself - Film Commissioner
755023	206410	
755024	380713	Dorothy Connors (1983-1984)
755024	386603	Viveca Strand (1979-1981)
755024	387309	Beth Moon Anderson Barnes (19
755024	390771	Dr. Zito (1989)
755024	400236	Dr. Dorian Cramer Lord Callis
755024	405882	Karen MacMillan (1970-1972)
755025	3055	Herself - Co-presenter: Best 
755025	3909	Herself
755025	10502	Sonji
755025	28791	Sloan Hopkins
755025	32917	Herself
755025	41501	Mary
755025	67052	Annie
755025	82683	Jeryline
755025	101704	Niobe
755025	155888	Patti (segment "1996")
755025	159862	Lauren Kelly
755025	161277	Herself
755025	165853	Lyric
755025	177630	Charisse Slocumb
755025	196572	Peaches Jordan
755025	199255	Gloria the Hippo
755025	201505	Herself
755025	201623	
755025	204255	Narrator
755025	207988	Herself
755025	207989	Niobe
755025	207991	Niobe
755025	210902	Ronnie
755025	217052	
755025	218219	Toki
755025	237008	Professor Carla Purty
755025	276875	M.J. Major
755025	291222	Maureen Evans
755025	295077	Lida 'Stony' Newsom
755025	361224	Herself
755025	368092	Woo
755025	386338	Lena James (1991-1993)
755026	67198	Old Lady at Budget Rental
755026	73989	Goody Good
755026	253065	Girl in the Courtesan's House
755026	271198	Rosalind Hart
755027	2762	Nominee Leading Actor in a Mu
755027	2816	Nominee for Best Performance 
755027	3593	Livia Frye
755027	5066	Mailika
755027	8098	Sondra
755027	13863	
755027	21526	Heather Dalton
755027	31892	Angela
755027	165329	Herself
755027	195644	Auntie V
755027	270915	Sharon
755027	280844	Female Medic
755027	293105	Leslie
755027	316411	A.T.F. Officer
755027	379716	Olivia 'Livia' Frye Cudahy (1
755027	380713	Heather Dalton (1983-1986)
755027	409585	Nurse Mary Jenkins
755028	17073	Popcorn Woman (old movie)
755029	17073	Laura (old movie)
755030	37387	Dave London's Hair Model
755031	119756	The Three Degrees
755032	205076	Patient
755032	292058	Joan
755033	161674	Rob/Alisha
755034	106595	
755035	261380	
755036	82384	Molly
755037	215911	Mrs. Morgan
755038	313189	Playboy Mansion Guest
755040	161416	Dick
755040	199207	Nightrider's Girl
755040	273800	Hollywood Supermarket Check-o
755040	304916	Addy
755040	306001	Wendy
755040	330579	Nurse
755040	372544	The Blonde
755040	395180	Helen
755040	402197	Melinda Cross (1979)
755041	15041	Secretary
755041	57463	Delfina
755041	58402	
755041	65973	Accident Witness
755041	82718	
755041	84695	Médecin hôpital
755041	101448	La mère de Giovanni
755041	104208	Josy
755041	107509	La mère de Lila
755041	113560	La mère de Nicolas
755041	120435	Madame Aymard
755041	136645	La mère d'Edouard
755041	157323	
755041	166105	Chanteuse
755041	166191	Meryl
755041	173500	
755041	201114	Josiane
755041	230206	
755041	249277	
755041	262993	La vendeuse
755041	269726	L'infirmière du bloc
755041	278936	
755041	280546	La Migou
755041	346646	Louise
755041	346656	La mère de Nicolas
755041	346760	Jacqueline
755041	380859	Martine
755041	392894	La mère
755042	4271	
755042	5611	
755042	15803	Dolly
755042	18909	
755042	45322	
755042	85315	
755042	98497	
755042	166493	
755042	167352	Child artist
755042	198725	
755042	227990	
755043	124794	Office Worker
755044	18598	Old Bat
755045	365177	Schoolgirl
755046	365177	Carol
755047	59346	
755047	275017	
755047	336316	
755047	354842	
755048	185429	Ginger
755049	89169	Female Executive
755050	388765	
755051	113825	Fire Maiden
755052	329610	
755053	285357	Marilyn
755054	47915	Student
755055	47915	Student
755055	82052	Police Dispatcher
755056	47915	Student
755057	49314	Franziska Pahlenberg
755057	386465	Host (1994-1995)
755057	408216	Host (1996-1998)
755058	287732	Mariana Zukker
755059	321307	Melanie
755060	351516	
755061	378829	Kathy (1983-1985)
755062	551	
755062	7336	Lola
755062	14637	
755062	23369	
755062	28290	
755062	56522	Miedosa
755062	74721	Mujer 2ª
755062	95024	Mendiga
755062	103500	
755062	146570	
755062	162712	
755062	235981	
755062	285240	
755062	339122	
755062	357533	
755062	370068	
755062	376641	
755063	273955	
755064	71867	Ellie
755064	72580	
755064	158314	
755064	192748	Donna
755064	224328	Rhoda Cortino
755064	225797	Madeline
755064	242431	
755064	279273	Diane Pazinski
755064	309563	Rita
755064	339363	Evie Bauchmoyer
755064	342904	Edith
755064	346947	Helen Jessup, M.D.
755065	409463	Azafata (1977-1978)
755066	94230	Waitress
755067	378464	
755068	106802	Vicina casa Detto
755069	234572	Winthrop Staff
755070	198835	Kate (special edition)
755070	331338	Herself
755071	2252	(segment "Teuf d'enfer, La")
755072	309535	Hardrock Girl
755072	378807	Waitress (2001-2002)
755073	282274	La vendeuse de croissants
755074	96356	Chica Coro 1
755074	132369	Piano Teacher
755074	302403	Invitada a la fiesta de Marie
755075	125723	
755075	218255	Infirmière train
755075	301126	Vanessa
755075	340681	Fille 9
755076	193501	Maid
755077	99201	Hermine
755077	394697	
755077	410622	Hanna (1997)
755078	33363	Julie
755078	49095	
755078	70105	
755078	126861	Romanie
755078	129257	
755078	182080	Thérèse
755078	203449	Victors moeder
755078	218859	Directrice
755078	240394	Els
755078	374656	Receptioniste
755078	384154	
755078	411311	Véronique Lemaître (1993-1994
755079	363261	Girl in Cafe
755080	113503	
755081	1658	Eve
755081	1675	Herself
755081	2042	Herself
755081	19281	Nan Youngblood
755081	31441	Saxon Coldwell
755081	48265	Julia Woodruff
755081	91750	Amy
755081	103304	Diane
755081	129580	
755081	189913	
755081	191933	Kirsten MacKenzie
755081	265751	Emily
755081	282300	Air Traffic Controller Sara L
755081	296695	Jayne Manley
755081	311173	Larraine Keller
755081	358479	Reporter from Fielding's past
755081	365951	Julie
755081	396375	Veronica
755081	398209	Diane
755082	284442	Violincellist
755083	286425	Student two
755084	69773	Woman in Drawing Room
755085	35655	Julie Oxel
755086	14314	Mathilde
755086	345292	Sophie
755087	100756	Reader 1
755089	37899	Deuxième Femme Bridge
755089	43625	Voisine des Pinglard
755089	83157	La serveuse du Cyclamens
755089	281435	Une employée du loto
755089	340872	La jeune femme du pavillon
755089	343544	
755089	353864	La secrétaire
755090	202728	Girlfriend #2
755090	313820	Female trooper
755090	347712	Nurse Franklin
755090	385824	Billie Holiday Reed #3 (2004-
755090	401930	Dr. Evelyn Rae 'Eve' Lambert 
755090	411802	Shiloh (February 2004-May 200
755091	100756	Reader 2
755093	233044	German Woman at Railroad Stat
755094	270631	Herself
755095	261986	Assistant
755096	344631	President of Tango Jury
755098	146448	
755098	328732	
755099	120080	Woman at Wedding
755100	74558	
755101	74215	Nuwe
755101	229663	Émilie Nelligan
755101	242360	
755101	307499	
755101	393894	Elvina
755102	263056	Nun
755103	327370	
755104	248258	Une jeune femme au pub
755105	294844	Matilda
755106	294844	Anie
755107	86882	
755107	246441	
755108	225732	
755109	150140	
755110	351192	Model
755111	271212	
755112	296047	Starica II
755113	99683	Herself
755113	170214	Herself
755113	170216	Herself
755113	170221	Herself
755113	170224	Herself
755113	314520	
755114	95123	
755115	194106	
755116	143777	
755117	15809	
755118	344830	
755118	385209	Rosália
755119	95074	
755120	12080	
755121	47333	Temp Agent
755121	177089	Woman in Wheelchair
755122	15914	
755123	292763	Susana
755124	205529	
755125	292596	
755126	357189	
755127	264537	
755128	256454	
755129	79742	Ana Galt (air crash victim)
755130	294876	
755131	184336	Amazon #2
755132	352127	Lurdinha
755133	51569	
755133	213703	
755133	234639	
755133	344739	
755135	379566	Laura (2000)
755136	19468	Senhora no Jardim
755137	28963	
755137	83437	
755138	30983	Taylor, Elizabeth
755138	181446	Extra
755139	353571	Aunt Madge
755140	286880	Notera 2
755141	118173	Mercedes
755141	320341	
755141	379652	
755141	380126	
755141	383812	Zulema Chávez
755141	384984	
755141	386170	
755141	401096	Laura de Pérez
755141	402463	
755142	66211	
755142	197059	
755142	246593	
755143	294890	María
755144	12826	
755145	197981	
755146	236957	
755147	205542	Maria Goretti
755147	383609	Alessia
755148	100370	Enfermera 2
755149	12688	
755150	124513	
755150	148144	
755151	88794	(segment "O Filminho")
755152	5747	Clara
755153	263924	Juliana
755154	7236	Make-up Artist
755154	19468	Jovem Criada
755154	28589	Explicadora de Inglês
755154	44216	Isilda
755154	397549	Aunt Isaura
755155	8564	Actriz discoteca (Disco actre
755155	14817	Camarera God
755155	46016	
755155	56541	
755155	96356	Chica Teletienda
755156	68251	
755156	121274	
755156	145215	
755156	186968	
755156	209066	
755157	68961	
755157	93682	
755157	160879	
755157	235983	
755157	260521	
755157	296472	
755157	332908	
755159	127997	
755160	217118	Bettaldi
755161	357936	
755162	110689	Narrator
755163	62925	Bank cashier
755163	72065	Natalie
755163	128505	Mandy
755163	151196	Helen
755163	209218	Jackie
755163	311826	New Neighbour
755163	314440	Mrs. Anderson
755163	316206	Pat
755163	382927	Jenny/Capt. Mimi LaFleur
755163	383640	Host
755164	184469	Judge
755165	33395	Carmen Ruiz
755165	321248	
755165	390771	Anita Ybarra (1988-1989)
755166	55033	Sorella Dieci
755166	235760	Old Peasant Woman's Niece
755167	131205	TV Anchor Woman
755168	400067	Patilla
755169	273121	
755170	84502	Estrellita, Carlota's daughte
755170	386790	Maria Urdaneta
755170	405865	Ángela Anzola
755171	153779	
755172	385824	Guinevere Rutherford (1985)
755172	406396	Judy 'Moose' Wells
755173	354825	La chanteuse du groupe de roc
755174	20540	
755174	288844	Enfant à la vitrine
755175	151483	Junie
755175	171695	Terri
755175	270384	Oni Nagano
755175	311952	Jello Girl
755176	132539	
755177	349364	
755178	205310	Ola
755178	262157	Ania Ziembalska
755179	375443	
755180	36419	
755180	165048	
755181	406144	Riana
755182	311893	Sofia Lipinska
755183	403854	Rozalka
755184	322000	
755185	116147	Crew member
755186	245370	Lady Tima
755187	309902	Herself
755188	215433	Bebita Márquez
755189	163562	Mrs. Pansy Nussbaum
755189	168258	Rosie
755189	195702	Maid at the Ritz
755189	256353	
755189	318808	Woman in Theatre
755189	387309	Nicole's landlady (1972)
755190	50247	
755190	368650	
755191	148483	Marinês
755191	319367	
755191	395044	Virgínia Camargo
755191	396610	Patrícia (1997)
755191	402274	Patrícia
755191	402582	Dra. Maria Eduarda
755191	402685	Domitila, Marquess of Santos
755191	404947	Angel
755191	406833	Márcia
755191	410245	Vânia
755192	12689	Lucia (segment "Idillio")
755192	25323	
755192	33444	Nunziata
755192	55386	
755192	69115	
755192	96523	
755192	97138	
755192	102257	
755192	108505	L'ostessa
755192	132699	
755192	135192	Donata Esposito
755192	147055	
755192	157500	
755192	183491	
755192	187927	
755192	193220	Lucrezia, la cameriera della 
755192	197334	Mrs. Salvi
755192	217763	
755192	227617	Paquita, stella del varietá
755192	231600	
755192	234777	
755192	235763	
755192	243637	
755192	248226	
755192	256542	Una popolana
755192	260890	La zia del piccolo Claudio
755192	263711	
755192	263947	
755192	269635	
755192	278994	
755192	280840	
755192	291659	La padrona della caffetteria
755192	301367	
755192	322575	Emma
755192	324076	Madre della Bambina
755192	326150	
755192	336364	Angela
755192	344588	Sua madre
755192	353066	Anna
755192	355616	
755192	375017	La cameriera di Clara
755193	20141	
755194	260819	
755194	293331	Gilda
755194	341150	
755194	388563	Marilyn Meyer
755194	394442	
755194	396651	
755196	123160	
755196	147051	
755197	203297	Winnie Harmstrung
755197	394297	Maggie Patterson
755197	399130	Ruth Wilkinson/Martin (1996-1
755198	395543	Priscilla (1980)
755198	408035	Sally Jenkins
755199	22665	Gwen Gatewood
755200	117713	Organist
755200	213662	Mrs. Packard
755201	33445	Bella
755201	37923	Herself/Host
755201	47168	Herself
755201	52160	Angel
755201	105462	Bit Part
755201	186632	Bit Part
755201	249590	Performer
755201	305489	Herself
755201	311350	Jenny
755201	330433	Vicky
755201	353490	
755201	383363	Alison Crosby (The Miller's T
755201	385591	Herself
755201	386587	Rose Tyler (2005-)
755201	411259	Herself (2000)
755202	308459	Girl
755203	182948	Women's Army of Revolt/Citize
755203	267684	Citizens of New Orleans
755203	274333	Karen #3
755203	365988	Mr. Badger
755204	331637	Helen
755205	307524	Mom
755205	316635	Jake's Date
755206	182948	Women's Army of Revolt/Citize
755207	100130	Amy Matthews
755207	191802	Asta
755207	244352	Audrey
755207	357178	
755207	399815	Ishbel MacDonald
755208	135967	Martial Arts Extra
755209	169650	
755210	55682	Myrtle Plummer
755210	55706	Sally Martin
755210	55707	Sister
755210	55716	June
755210	88885	Cockney Girl
755210	195464	Pregnant Girl #2
755210	231973	Bride
755210	252848	
755210	323377	Mrs. Bunn
755210	362472	Interviewee/'Sally Martin'
755210	391745	Pearl (I) (Series 1) (1975)
755211	24503	Dinner Theatre Actress
755212	66394	Toni Baylor
755212	272953	Elaine Hallenbeck
755212	278069	Carol
755212	353307	Blue Chip
755213	138463	Perfume Expert
755214	16456	Bionda
755214	72030	Kimberly
755214	394362	Rikki
755215	178051	Woman in Bar 2
755216	38978	Emma King
755217	237130	Secondary
755218	232455	Nurse #1
755218	318687	Woman Counselor
755219	259904	
755220	106204	Dee Dee Dippenscoop
755221	333731	Marie
755221	387165	
755222	14894	
755222	53016	
755222	94707	
755222	214593	
755222	230291	
755222	235369	Marika
755222	247511	Woman in Car
755222	270884	
755223	90661	
755224	339930	
755225	66161	Jesse
755225	256925	Samantha
755225	396003	Sarah Davis
755227	93237	Cat Leader
755227	305390	Binkie
755228	307712	Christmas Caroler
755229	307712	Christmas Caroler
755230	180284	
755231	46671	
755231	77491	
755231	82906	
755231	95685	Maria
755231	115992	Ivo's mother
755231	129266	
755231	132197	Stela's mother
755231	174187	Marija
755231	180490	
755231	181140	
755231	181301	
755231	197100	
755231	218900	
755231	222078	Rahela
755231	237775	Majka
755231	239816	Molly
755231	242472	
755231	255775	
755231	261226	
755231	266064	
755231	266213	Cvrgina majka
755231	292983	White Boy's Mother
755231	303629	
755231	312283	
755231	315821	Agneza
755231	328216	
755231	348957	
755231	351016	Meirina majka
755231	352885	
755231	375323	Nastavnica
755231	375959	
755231	405705	Melita Vragec
755231	409878	
755232	396017	Libby
755233	134301	
755234	59766	
755234	324578	Waitress/Kellnerin
755235	25764	Carla De Metrio
755236	155272	Customer
755237	155272	Customer
755238	25204	Miss von Löwen
755238	104277	Baroness Saarentausta
755238	144058	
755238	149634	Teacher
755238	153756	Math teacher
755238	169099	Kerttu Karppo
755238	171439	
755238	174477	Countess Ebba Liliecrona
755238	175346	Secretary
755238	175759	Deaf woman
755238	181634	Governess
755238	181649	Stiina
755238	198263	Mrs. Gråstjärnä
755238	213374	Applicant
755238	213376	Miina Salokannel
755238	213378	Deaconess
755238	242257	Woman #4
755238	242264	Raakel Björn
755238	242269	Old countess
755238	253075	Raili's aunt
755238	258846	Verna
755238	267123	Irja Hykkyrä
755238	284025	Rosalie Auermaa
755238	296508	Tourist
755238	321926	Aunt Augusta
755238	321973	Merchant's wife
755238	324606	
755238	341793	Typist
755238	349150	Julia Modin
755238	350672	Lindström
755238	354087	Witness
755238	354261	Klaara Vuorenkaiku
755239	314357	
755240	73887	Dylan's Other Girl
755240	275995	Sexy Girl
755240	291226	Amber
755240	299783	
755240	310562	Pippi
755240	342448	Heather
755240	408757	Luna
755241	215911	Sylvester Artiste III
755242	330246	
755243	42664	
755243	53639	
755243	89749	
755243	112779	
755243	209004	
755243	229451	
755243	371677	
755244	72378	
755244	75838	
755244	189020	Rita
755244	226414	
755244	310033	
755245	380407	Weather Forecaster (1990-2004
755245	383526	Co-host
755246	214808	La jeune fille du cinéma
755248	67445	Bird's Girlfriend
755249	63065	Sister Agnes
755249	76526	Ticket Clerk
755249	277055	Nurse
755249	366271	Waitress
755250	346480	La fille vestiaire
755251	44576	Singer
755251	105738	
755251	107516	
755251	117952	
755251	140304	Maria
755251	260947	
755251	265223	Soeur Marie de Jésus
755251	324638	The Day Watchman
755251	345551	
755251	356515	La patronne de l'hôtel/Hotel 
755251	374208	Zazie's mother
755251	380967	Rachel
755251	384859	Béatrice
755251	384912	La mère
755251	388198	Victoire
755251	401349	Marie
755252	406893	Isil
755253	374656	Meisje in bed
755253	390408	Linda
755253	408151	Nancy Fierens (2003-2004)
755253	411311	Ingrid Delopel (2000)
755254	6071	Waitress Mieke
755255	381583	Lucinha
755256	43183	
755256	186192	Amélie
755256	353957	Une étudiante
755257	387370	
755258	5073	
755258	14844	
755258	14859	
755258	14956	
755258	21656	
755258	25309	La dama di compagnia della du
755258	28962	
755258	46184	Una dama petegola al pozzo
755258	49690	
755258	53083	
755258	54087	
755258	54829	
755258	57309	Elena, la nutrice
755258	75260	Gilda, madre si Teresa
755258	79157	
755258	117865	Mamma Rosa
755258	129036	La venditrice di castagne
755258	187441	
755258	196778	
755258	197051	Beatrice
755258	197616	
755258	204661	Una nobile pettegola al ballo
755258	205355	La moglie del pescatore
755258	206039	
755258	214016	La madre di Magda
755258	217872	An actress
755258	218541	Signora Maria
755258	226971	Governess Asuncion
755258	240130	Elisa
755258	247875	La signora Simmons
755258	252765	
755258	260053	Marta
755258	273154	Berarda, governante di Gilda
755258	278023	La monaca nel carcere
755258	282082	
755258	286593	
755258	290932	
755258	301353	
755258	302186	
755258	307337	Signora Olga
755258	307718	La zia di Anna
755258	315423	
755258	327198	
755258	328210	La signora impaziente all'uff
755258	336126	
755258	336149	
755258	344586	
755258	345606	La governante
755258	354117	
755258	354450	La portinaia
755258	356898	Guardia della prigione
755258	362854	Dove
755259	391674	Jandira
755260	159495	
755261	124559	
755261	200440	
755261	252413	
755261	344611	
755262	76287	Silvietta
755263	261756	
755265	10673	
755265	408797	
755266	248647	
755267	335252	Audrey
755268	322779	Elderly Woman
755269	225969	Receptionist
755270	289984	
755271	129681	Mutter
755271	352316	
755271	352317	
755272	358796	
755273	119287	
755273	289885	
755274	377064	
755275	361855	Herself
755276	325714	
755278	75028	
755279	327096	Mulher na Escada
755279	391437	Various Roles/Felisberto Desg
755279	400095	'Berta' Duarte Silva
755280	205163	
755281	205131	
755282	400095	Teresinha Sousa de Jesus
755283	396718	
755284	34070	Ariela Masé/Castana Beatriz
755284	380147	Lurdinha
755284	397409	Young Maria Moura
755285	351549	La concierge
755286	55343	
755286	108455	
755286	222148	
755286	333693	
755287	264724	Cynthia James
755288	5977	Nossa Senhora/Christ's
755290	34511	
755290	135134	Isabel
755290	169072	Sandra
755290	210692	Heloísa (Graciliano's Wife)
755290	249448	Selma
755290	252592	Bel
755290	269164	Pierina
755290	307793	
755290	378046	Put Koi
755290	380242	Nice
755290	380331	Nice Noronha
755290	383141	Zuca
755290	385629	Marisa
755290	386123	Júlia Moreno
755290	386417	Rosália Medeiros
755290	386757	Estela Maciel
755290	387052	Letícia
755290	396036	Cláudia
755290	397409	Maria Moura
755290	397645	Sarita
755290	398503	Ruth Araújo/Raquel Araújo
755290	398548	
755290	400902	Celina
755290	401199	
755290	403118	Rafaela
755290	404798	Glorinha
755290	404814	Ione
755290	406833	Inês/Lavínia
755290	407801	Ana Terra
755290	409003	Maria José
755290	409780	Maria de Fátima Accioly
755290	412179	Sandra
755291	397545	Gina
755292	32241	Club Patron
755294	203638	Rebecca
755295	23599	Herself
755295	65387	Pianist
755295	88049	
755295	188696	Maria João Pires
755297	10271	
755297	33148	Worker woman
755297	43666	
755297	46010	
755297	63573	Isaura
755297	70487	Celima
755297	103886	
755297	122767	Malvina's Mother
755297	178119	Mother Molina
755297	344809	Mrs.Oliveira
755297	350254	
755297	380168	Gaby
755297	380328	Tina
755297	381144	Cândida Martins
755297	381222	Célia
755297	382405	Consuelo
755297	383387	Pedro Bala's Mother
755297	383584	Olinda Leme
755297	383678	Benvinda
755297	385025	
755297	385385	Alba
755297	386123	Isaura
755297	386727	
755297	387929	Matilde
755297	388728	Marina
755297	390054	Eulália
755297	390076	Julica
755297	391901	Carolina
755297	392589	Ludovica
755297	392611	
755297	393005	Dalva
755297	394872	Widow
755297	395882	Margarida
755297	396718	
755297	397409	Gerusa
755297	397553	Luzia
755297	399481	
755297	399842	
755297	400098	Fernanda
755297	401086	
755297	401104	Quirina
755297	403740	Inez de La Torre
755297	404160	Mariana
755297	404814	Dulce Leonardo
755297	404834	Clementina
755297	404837	Camila
755297	405864	Leila
755297	405936	Cecília
755297	406847	Guilhermina
755297	407275	Carolina
755297	407643	
755297	407830	Carlota
755297	408212	Milu
755297	408381	Ernestina
755297	409025	Vevé
755297	409347	
755297	409405	Ermelinda
755297	409414	
755297	410476	
755297	411585	Benvinda
755298	297972	Lisa/Maggie
755299	379450	Lia
755299	408381	Turquinha
755301	199997	Patrizia
755302	27408	Tanssija
755303	142818	
755303	153657	Various
755303	181589	Camilla Järvinen
755303	193559	Hammashoitaja
755303	210153	Various
755303	223513	
755303	249384	
755303	251953	Adoptiotoimiston nainen
755303	271636	Hoitaja
755303	278367	Maid
755303	284748	Marita Pitkänen
755303	314365	
755303	324808	Säde Vasara
755303	349439	Tuire
755303	354280	
755303	355135	
755303	357793	Leena
755303	392334	Various characters
755303	394539	Elma Liikanen
755303	394887	
755303	398541	Various (2001-)
755303	402088	Puolustusministeri Tiina Nisu
755303	405456	Sirpa
755303	409843	
755305	155533	
755305	390497	Herself (1st Edition)
755306	135170	Nikki
755307	385299	Mrs. Hardgreaves
755308	134234	Herself
755309	59912	Mary
755309	385020	Linda Sykes/Baldwin (1998-200
755309	387533	Tina Dingle (1994-1996)
755310	22643	
755311	73861	Woman
755311	114359	Sarah Boggs
755311	144996	Vonetta
755311	194708	French Nurse
755311	343142	Janet Methuen
755312	136838	Sally
755313	223511	
755314	9602	Irene
755314	103155	Margit
755314	197493	Punakaartilainen 3
755314	278686	Beauty
755314	281038	Kaarinan ystävätär
755314	283145	Marja Louhela
755314	396485	Kirsi-Marjatta
755315	253920	Mermaid
755316	247977	
755317	83982	Maori Warrior
755318	99336	
755318	193512	
755319	31018	Young Woman on the telephone
755319	86432	Aline
755319	211375	Hélène Gibault
755319	248717	Mme Drey
755319	346420	La pharmacienne
755319	352520	Chantal
755320	403623	Gosca
755321	260744	Russian girl 2
755322	41054	
755323	42806	Middle Aged Woman
755323	64734	Dr. Milton
755323	190209	Gillian
755323	279841	Barbara
755323	342924	Sandra
755324	237130	Secondary
755325	24141	
755325	28974	Agnese Rinaldi
755325	35028	
755325	68140	Esmeralda
755325	82415	
755325	86453	Cecilia (Nicola's wife)
755325	90741	
755325	105606	Cristina Buscetta
755325	129033	
755325	208799	Giulia Miletti
755325	214869	
755325	252413	
755325	252679	
755325	261573	Maddalena
755325	277587	
755325	291517	Luciella
755325	315451	
755325	355655	
755325	356162	Adele
755325	384784	
755325	392654	Marzia
755327	391847	Julita
755328	281113	
755329	240074	Olli pienenä
755330	13588	Reporter #3
755331	124228	
755332	335220	Guest
755333	205358	Catherine Léonard
755334	362347	NOW Comics Staffer
755335	270868	
755336	84657	
755336	214298	
755337	217568	Restaurant Server
755337	248700	
755338	86730	
755338	288142	
755339	16997	Zsófia
755339	99739	Girl (segment: Az utolsó vona
755339	99749	Saci
755339	136433	Péteri Luca
755339	136576	Színésznõ
755339	137147	Királyné
755339	156100	Agnes
755339	163883	Queen
755339	172529	Kasosné
755339	175753	Zsuzsa
755339	190748	Polli,táncosnõ
755339	194023	Gertrude
755339	199118	Orbánné lánykorában
755339	322191	Juli barátnõje
755339	352776	Szöszi
755339	377807	Paula
755339	379094	Zsuzsanna
755339	387360	Lazarova
755339	394559	Hédi
755340	7212	Reporter
755340	50867	Newscaster
755340	67374	Reporter #2
755340	88919	KKBE News Anchor #2
755340	120806	TV Broadcaster
755340	155981	News Anchor #1
755340	190324	Newscaster
755340	235482	Reporter
755340	275107	TV Newscaster
755340	291457	National anchorwoman
755340	346933	Media
755340	408703	Reporter
755341	32907	
755342	112732	
755343	357092	
755343	387697	
755344	125599	Girl in Steve's Bedroom
755345	58753	Interviewer TV
755346	351884	Girl
755347	56304	High Roller
755348	49828	Dancer
755349	1613	
755349	3522	
755349	48838	
755349	51524	
755349	69003	Sra. Rover
755349	74529	
755349	85561	
755349	101465	
755349	113227	
755349	115745	Rina
755349	121230	
755349	132476	The Grandmother
755349	132671	
755349	146513	
755349	186147	
755349	193141	
755349	193327	
755349	206981	
755349	210262	María Malatesta
755349	215219	
755349	216076	
755349	233466	
755349	266875	
755349	267293	
755349	274960	Octavio's mother
755349	285374	Gertrudis
755349	291677	
755349	353982	
755349	371725	
755349	376735	
755349	378365	
755350	115792	Susan
755351	188126	Kilina
755351	265936	
755352	282416	
755353	194706	Allison's Friend #4
755353	282106	
755353	313562	
755354	169136	Child Chorus
755355	289582	Anna as a Child
755356	327370	
755357	597	
755358	108408	Mistaken Woman
755358	113463	Accompanist
755358	221049	Kurt's Mom
755358	235545	
755358	301693	Mrs. Evanchuk
755359	147905	
755360	60480	Ia
755361	251914	
755362	175743	Nana
755363	303812	May
755364	376999	
755365	357839	Fleur
755366	324115	Nurse
755367	351761	Musician
755368	111670	
755368	303154	Zofe
755369	62442	L'Ange Bleu
755369	309772	La Grosse
755370	40872	
755370	42913	Lorraine Age 7
755370	95786	Little Girl
755370	113498	Soccoro Greeley
755370	126492	Taylor
755370	127407	Sally
755370	127679	Young Pam
755370	148460	Young Liz
755370	193960	Girl #2
755370	200999	Lindsey Witkowski
755370	219181	Joy
755370	224224	Wilhelmina
755370	252937	Marie (age 10)
755370	363061	Marie
755370	388869	Becca Fisher (age 5)
755370	402011	Lauren Zelmer
755371	310974	Caterina, the Anna Maria's da
755372	1304	
755372	6697	(segment "La dernière mouche"
755372	30314	Ariana
755372	31783	Margarita
755372	43644	
755372	45619	Violette
755372	45736	Nina
755372	52011	Georgette
755372	52909	La cantatrice
755372	58791	
755372	59433	
755372	64333	Herself (1985)
755372	73188	Carlotta
755372	82338	Madame Tapioca
755372	83273	La Fille Au Grain De Beauté
755372	89119	Claire
755372	96104	Louise
755372	99736	Nicole
755372	101646	Restaurant Owner
755372	111022	Hélène
755372	122838	Lucie
755372	126258	La Mouquette
755372	132746	Berta
755372	148643	Isa
755372	162109	Matron
755372	188484	Cafe Hostess
755372	193449	La Fermière
755372	200942	Berthe
755372	205485	Madame Shaeffer
755372	214283	Antonia
755372	216239	Une jeune femme juive
755372	223226	Buxom Woman at Banquet
755372	230100	
755372	240261	
755372	252412	Evelyne
755372	253994	Femme cantine
755372	275641	
755372	324321	Proprietress of Hotel des Gra
755372	328292	
755372	334215	
755372	338480	La conseillère
755372	345297	Le fille de la 'Belle époque'
755372	356969	Emilie
755372	409087	Nono
755372	410147	La voyante
755373	234765	L'altra giocatrice al lotto
755374	336149	
755375	95135	Bonnie
755376	319323	
755377	162652	
755377	230047	Meya
755377	238833	Horpyna
755378	17137	kissing girl in the undergrou
755379	4931	
755380	14834	Cameriera casa Garramone
755381	37733	Bilbao
755381	44197	Celia Etchepare
755381	56100	
755381	71078	
755381	152241	Hembra 1
755381	288950	Lucy
755381	295176	Maid
755381	307812	
755381	354775	
755382	107288	Shakti
755383	17483	Sister Carmela
755383	20793	
755383	42601	Mannocchia
755383	94639	
755383	94708	
755383	94733	
755383	99871	
755383	113206	
755383	157691	
755383	162055	
755383	189262	
755383	191416	Bidella
755383	204601	
755383	206041	Sofia
755383	209439	
755383	220192	
755383	227576	Anna
755383	233068	
755383	233082	
755383	234765	Una giocatrice al lotto
755383	234777	
755383	246450	
755383	252305	
755383	253713	
755383	263055	Zia Rosa
755383	263711	
755383	270814	
755383	277812	Stella
755383	290864	Cristina
755383	296524	
755383	300786	
755383	336587	
755383	336603	Mrs. Barozzoli
755383	351075	
755383	351611	
755384	29106	Mintonia
755385	383138	Paola 'Salomé' Terrero
755385	384782	Laura de Martínez Godoy
755385	385070	
755385	385852	Sol
755385	398165	Karen
755385	398842	Belén
755385	412311	
755386	97983	Asszony a sorban
755387	296188	
755388	284485	
755388	356922	
755389	156200	
755390	229556	Kulharkova
755391	91068	Herself
755391	91069	Herself
755391	91070	Herself
755391	104777	Croatian entry (11th place)
755392	277851	Athlete
755393	124571	
755393	229644	
755393	349677	
755394	55392	
755394	217760	
755395	189258	Bimba
755396	324312	Roggiero
755397	36333	Sorella di Antonio
755398	14386	Mamma Robertino
755399	276328	Angie Ruffolo
755400	17814	Party host
755400	84168	
755400	247974	
755401	83762	
755401	127391	
755402	342135	Lena
755403	385151	Additional Voices
755404	2556	
755404	14347	Milena
755404	15026	Colette Tazzi
755404	15089	Colette (segment "Antoine et 
755404	15112	Sylvia
755404	19197	Madame Umlaut
755404	21436	Gaby Delcourt
755404	27918	Colette Tazzi
755404	29415	Colette Lecoudray
755404	30242	Nelly
755404	57894	Celle qui dit 'Foutaises'
755404	59056	Gabrielle 'Coco' Chanel
755404	67713	The Stranger
755404	68353	Claire Forestier
755404	70939	Gilberte Liégeard
755404	71519	Alice
755404	72055	Karine
755404	73160	Colette Ribert
755404	76049	Sophie
755404	90697	Bebe
755404	108898	Mme Calmette/Mrs. Calmette
755404	111978	Claire
755404	113116	
755404	119047	Herself
755404	119820	Madame Catherine Tessier
755404	122377	Françoise
755404	150470	Dr. Simpson
755404	158748	Melle Manant
755404	158840	Florence
755404	169344	
755404	170474	
755404	205967	Audrey
755404	219468	Jane Herbin
755404	219476	Maria/Claudia
755404	227317	Christine
755404	234758	
755404	235715	Violaine
755404	235827	Lise
755404	238490	Martha
755404	240162	Olympe
755404	243289	La mère de Louise
755404	244397	Noelle Page
755404	249181	Persephone
755404	250664	Producer
755404	251014	Isabelle
755404	261836	Véronique
755404	261839	Irene
755404	264951	Laurence Ballard
755404	285783	Angelica
755404	306944	Charlotte Brontë
755404	309975	Régina
755404	314864	Florence
755404	319824	Dr. Rouget
755404	322350	Agathe
755404	327548	Louise Fontas
755404	327577	Madame Verdurin
755404	336940	Marion
755404	338031	Eva
755404	345302	Léna
755404	346557	
755404	346662	Sabine
755404	350184	Anna
755404	357849	Monique
755404	371405	Klara
755404	374126	Clawdia Chauchat
755404	377715	Alise
755404	389340	Lisa
755404	389880	Ludivine
755404	396924	Marie-Claire
755404	401972	Berthe Josserand
755404	404570	Valentine O'Neill
755404	408317	Nathalie
755404	410470	Mme Pommerand
755405	249640	
755406	314445	Stepford wife
755407	11731	
755407	11737	
755407	17727	
755407	25579	
755407	28391	
755407	31492	
755407	38468	
755407	53892	
755407	75393	
755407	83316	
755407	95550	
755407	96468	
755407	124206	
755407	158802	
755407	163107	
755407	172830	
755407	173421	
755407	173571	
755407	173855	
755407	174037	
755407	176688	
755407	178380	
755407	187629	
755407	198427	Zeynep
755407	208251	
755407	210521	
755407	227965	
755407	227968	
755407	294129	
755407	301425	
755407	308297	
755407	322440	
755407	322550	
755407	336418	
755407	342162	
755407	349224	
755407	349229	
755407	370526	
755407	370713	
755407	370792	
755407	377560	
755407	378189	
755407	378201	
755407	378246	
755408	243348	Liuka Kaminskaite
755409	383252	
755410	360116	Biker Girl
755411	350718	
755412	357228	
755413	244716	
755414	163893	Mary
755414	268136	Tamara
755415	46064	Sveta
755415	373848	Frida
755416	353572	Directora sucursal
755417	84458	
755418	190411	Madre Cachi
755419	260362	Pickelina
755420	173666	
755420	394078	Marianna Theoxari
755420	400825	Rena
755421	226974	The Adjusted Woman
755422	380326	
755422	388065	Cleide
755422	402582	
755423	262923	Carmela
755423	339934	Lucy, Al's second wife
755424	66075	
755424	268855	
755425	57832	
755426	91316	
755428	297233	Bad Heterosexuals
755429	303187	
755429	409625	Nadine Auerberg
755430	380611	
755430	387401	Eleni Ekonomidou
755430	391100	Aliki
755430	394219	Dede
755430	394713	
755430	400270	
755430	400998	
755431	155912	
755432	148692	
755433	240473	Takanapsaluk
755434	188659	
755435	219457	
755435	294412	
755436	5028	Girl at Bar
755436	41765	
755436	257182	Punk Girl
755436	364095	Nicki
755436	397431	Lisa Vaneti
755437	318405	
755438	259465	
755439	55772	
755439	160620	Tootsie
755439	191497	
755440	153335	
755440	181450	Laurinda
755441	36818	Linen shop girl
755442	403904	
755443	9179	Giovanna
755443	14847	
755443	29580	Mary Magdalene
755443	34436	
755443	55533	
755443	65552	
755443	68663	Martine Leloup
755443	71357	
755443	73650	
755443	80173	
755443	87821	
755443	102236	
755443	111365	Scilla
755443	115587	Aida
755443	157983	Nicole
755443	173754	
755443	211804	
755443	227607	Masceradi kisasszony
755443	234719	
755443	244060	
755443	259294	
755443	266930	Giulia
755443	277292	Carlotta
755443	277808	Adriana
755443	286372	Giovanna
755443	291561	Valeria Conforti
755443	294418	Cinzia Mancuso
755443	294845	Duty Free shop
755443	294984	
755443	302484	Vera
755443	319296	Widow
755443	328120	
755443	328990	
755443	341414	
755443	342117	Ginerva
755443	345025	Lucile
755443	352455	Luisa Santini
755443	353088	Anna
755443	355646	
755443	378972	Judy Adamson
755443	384130	
755443	392738	Giovanna Medici
755443	392739	Giovanna Medici
755443	392740	Giovanna Medici
755443	392741	Giovanna Medici
755443	392742	Giovanna Medici
755443	392743	Giovanna Medici
755443	402302	Lucia Mondella
755443	408384	
755443	408675	Margaret
755444	8932	Speakeasy Dancer
755445	54813	Paraguaçu
755445	263414	Anésia
755445	269902	
755445	274482	Soninha
755445	301335	
755445	319367	
755445	388591	Terezinha Fronteira
755445	392973	Paraguaçu
755445	396610	Alex (1996-1997)
755445	398501	Luciana Ribeiro-Alves De Cass
755445	400981	Marialva
755445	401087	Ritinha
755445	401944	Esmeralda
755445	402371	Patrícia Noronha
755445	404947	Vilma
755446	148472	
755447	260429	Assistente de J.P.
755447	398501	Shirley Maria De Souza
755448	278964	Minerva/Amore
755449	160	Bride
755449	19061	Laure
755449	54248	Infirmière train
755449	62565	Claire
755449	112812	Olympe
755449	120880	Estelle
755449	162109	Motel Receptionist
755449	217727	Doriane Teneraux
755449	235875	L'amie de Raoul 2
755449	318523	
755449	346805	Catherine
755449	377464	Valeria
755450	147955	Michal's Mother
755450	223534	
755450	282766	
755451	208938	
755451	286686	Mrs. Simmons
755452	268313	The Maid
755453	315311	
755454	131232	Extra
755455	315084	Rosalind Ramsgate
755456	2470	Mrs. Kidder
755456	30410	Lena Dwyer
755456	80593	Doris
755456	278478	
755456	385299	Beryl Thomas
755456	385825	
755456	396080	Mrs Hunt
755457	241605	Dancer
755458	198310	Madeleine Pikas
755459	134617	Evelyne
755461	12248	Billie
755462	234012	Factory Cleaning Woman
755463	45498	Colette
755464	206876	
755465	7890	Vicki
755465	35409	Maria Caprefoli
755465	47004	Pony Tail Girl
755465	50989	Kim
755465	59350	Mary Pickford
755465	63101	Debbie
755465	70455	Bridget
755465	80969	Gloria McKinney
755465	87202	Betty
755465	103301	Teresa Walden Stamper
755465	118848	Zee
755465	130201	Audrey Timmonds
755465	154869	Flight attendant
755465	194759	Annie
755465	228434	Deborah
755465	288739	Chelsea
755465	298127	Olivia Honey
755465	308097	Maggie
755465	311153	Angel
755465	340824	Kandi
755465	362274	Vickie
755465	363953	Janey
755465	366617	Masseuse
755465	392145	Casey Farrell
755465	392716	
755465	397657	Robin
755465	400910	Alicia Sundergard
755465	404002	Nancy Don Lewis (1987-1989)
755465	406038	Gina Weston
755466	256188	Pink Chiquita
755467	284829	
755468	310184	Self-Destruct Voice
755469	387429	Fizz Charlson
755470	355135	
755471	197493	Tsutsunen 3
755471	392164	Stina Göranintytär (1999-2002
755471	402792	Pornokaupan apulainen Pirjo
755472	178376	Statist
755473	395257	Terri
755474	144059	Maid
755474	255759	Woman at the party
755475	228154	Train dispatcher
755477	350704	Woman
755478	136523	Fortune teller
755479	142916	Princess Katherine
755480	352191	Karin
755481	97407	Housekeeper
755482	2968	Hôtesse d'accueil Cupidon
755482	239219	Marie
755483	229492	
755484	8366	Dr. Livingston's Mother
755484	28493	Mrs. McPhail
755484	32440	Grandma Jean
755484	34960	Mrs. Foster
755484	63130	Mother Superior Frances
755484	69047	Chambers' Mother
755484	88965	Gray Lady
755484	144697	Grandma Jennie
755484	148988	Miss Benvenuti
755484	150885	Judge
755484	151196	Aunt Lily
755484	158109	
755484	170388	Mrs. Danforth
755484	214963	Maggie Scott
755484	215957	Harriet
755484	220062	
755484	233864	
755484	239588	Katherine
755484	239636	Mrs. Winslow
755484	242924	Aunt Diedre 'Dee'
755484	303263	Mrs. Bettlehelm
755484	320162	Betty
755484	331178	Mary Livingstone
755484	346892	Grandma
755484	349399	Dr. Lotty Herschel
755484	363423	Mrs. Tetlow
755484	367062	Cornelia
755484	379392	Mildred Potter (1984)
755484	390922	Bernice Wallace
755485	198341	
755485	345209	Lucette
755486	189576	
755487	399	
755488	68932	
755488	78449	Sister Gabrielle
755488	97073	
755488	217412	
755488	267509	
755488	269106	
755488	336876	Mony
755488	360834	Irma
755489	5279	Renée Leclerc
755489	200932	
755489	327560	Gilberte
755490	32114	Brunette
755491	185065	
755491	330794	'Jamboree Bop' Dancer
755492	306099	
755493	410054	Bárbara
755494	290145	
755495	184399	Lisa
755496	16363	Rosl (11)
755497	277071	Aloha Sub Cheerleader
755498	204946	Avik's grandmother
755499	83054	Lola Wells (child)
755500	340723	
755501	124905	
755502	102091	
755502	282724	
755502	285318	Katia
755502	321167	Waitress
755502	401242	Anika
755502	404242	
755502	406476	Manolia Bournouva
755503	222831	Singer at Muriel's wedding
755504	374638	Angvisa Girl
755505	407085	Agnes Carlsson (1977)
755506	223937	Aunt Irene
755507	20421	Dida
755507	119287	
755507	142132	Lissa Roden
755508	21117	Hitchcock blonde
755508	22735	Isobella
755508	34558	
755508	43593	Widow
755508	46755	Herself
755508	50036	Herself
755508	53086	
755508	68012	Courtesan
755508	71664	Countess Elisabeth Nodosheen
755508	88936	Extra
755508	89906	Lady Violator
755508	94843	
755508	115251	Herself
755508	121854	Courtesian
755508	134038	Mrs. Bowen
755508	138440	Margit
755508	151139	Carla Lynde (segment "The Clo
755508	151168	Countess Von Eisen
755508	185471	Herself
755508	234205	Alice Allison
755508	240321	Linda
755508	240555	Herself
755508	276667	
755508	295636	Herself (interviewee)
755508	308796	Sofia Minelli
755508	346360	Pepperdine
755508	347187	Fraulein Baum
755508	350199	Marcilla/Carmilla/Mircalla Ka
755508	363300	Heidi
755508	364147	Helga
755508	364781	Herself
755508	364782	Librarian
755508	365262	Hooker
755508	405696	Elvira
755508	408142	Ilse
755509	317205	Wife
755510	69918	
755510	73303	Wedding Guest
755511	143819	Witch
755512	140184	Halina
755513	22735	Jenny
755513	37581	Judy
755513	49389	Donna Dutch
755513	81317	Nurse #2
755513	183542	Martha
755513	208024	Miss MacPherson
755513	283802	Tukes Secretary
755513	394123	Florentyna Koskiewicz 18-20
755514	379924	Herself
755515	378865	Eleanor
755516	244954	
755517	351858	Luca's Mother
755518	361248	Ginger Friedman
755519	379509	Thomai Deloggi
755519	393051	
755520	328349	Maria Rita
755521	88050	
755522	10478	
755522	42142	
755522	167668	
755522	233953	
755522	317726	Marilyn
755523	289488	Gabriella
755524	212507	
755525	99013	Elektra as a Girl
755526	45855	Dr. Garland
755527	242862	Steffi Gerritz
755527	315893	Melanie Bretz
755527	325733	Bea Hilpert
755528	287954	La secrétaire
755529	38103	Rob's Girl #2
755530	4935	Un amica di Berta
755530	19068	Un' amica di Andreina
755530	38779	Maria, la servetta
755530	67496	Rosa
755530	90731	Luisella, sorella di Rosetta
755530	243303	Marcella Maretti
755531	199931	
755531	353056	
755532	364516	Nurse
755533	161776	
755534	3537	
755534	240124	
755534	279257	Lucilla
755534	279258	
755534	307337	Claretta
755535	126071	Heather
755536	128349	Shirley
755536	202265	Candy Ramirez
755537	73950	Indonesian Cloth Vendor
755538	169808	
755538	211043	
755538	287231	Dalvah
755539	37787	Kerry
755540	132909	Pedestrian
755541	20928	
755542	97644	Woman in Window
755542	252521	Doris Kessler
755543	75465	Scarlet
755544	115737	Mama
755545	337609	Herself (Spectre)
755546	213204	Child #3
755547	37787	Daphne
755548	144521	Fluffy
755549	252325	Ida
755550	5363	
755550	344130	
755551	20049	Hospita 2
755551	39005	
755551	48305	Louise
755551	52856	
755551	126864	
755551	157700	
755551	171798	Fine Laarmans
755551	173831	
755551	178614	
755551	178874	Puch
755551	210122	Martha
755551	235939	
755551	241926	
755551	289485	Zerbinette
755551	340642	Zuster
755552	77139	Getuige
755552	382403	Mevrouw Pruvost
755553	126686	Party Guest
755554	184822	Sherry
755555	321407	Herself
755556	183712	Mrs. Vandeburg
755557	274679	
755558	91839	
755558	250573	Susan Bethom
755558	300195	Female Cop #1
755559	154742	Restaurant Customer
755559	320156	Trisha Hayes
755560	203358	Rockette
755560	368092	Voluptuous Woman
755561	255827	Bit Part in Church Scene
755562	87760	Kid Clown
755563	128741	Trish
755564	65756	Saleslady
755565	41	Party Guest
755565	1053	Mathilde
755565	1381	Herself
755565	2726	Herself
755565	2773	Letitia Rondell
755565	7405	Susan Todd
755565	8291	Sybby
755565	11440	Mrs. Baumer (silent version)
755565	12711	
755565	20114	Mrs. Wyatt
755565	21518	Sal Sue
755565	22104	Zasu
755565	26775	Mrs. Dole
755565	27351	Minnie
755565	30076	
755565	30606	Geraldine
755565	31329	
755565	32977	
755565	35265	Nancy Scroggs
755565	35824	'Mlle' Fritzi Mobley
755565	37070	Nora Dugan
755565	37255	
755565	41095	Gertie
755565	46329	Elvira Spriggens
755565	47010	Sally
755565	47350	Myra Prottle
755565	47520	Anna, Holderlin's Maid
755565	48568	Hulda
755565	50226	
755565	53949	
755565	56249	Camille
755565	56861	Zasu
755565	59150	Delia
755565	73670	Nora
755565	77414	Mathilda Hemingway
755565	79362	Mary Cosgrove
755565	79456	Lorena
755565	82947	Jane
755565	84251	Temperance worker
755565	85022	Ethel
755565	87780	Herself
755565	95145	Rose Gleason
755565	96719	Mrs. Dugan
755565	104352	Mrs. Bingham
755565	109506	Mona
755565	113653	Mrs. Haddock
755565	117175	Jennie Dunn
755565	118041	Hildegarde Withers
755565	118796	Nurse Valerie Humpert
755565	118811	Lt. Valerie Humpert
755565	119494	Ada, the Maid
755565	124695	Mirabelle
755565	124816	Mrs. MacGruder
755565	128476	
755565	130336	Cora Upshaw
755565	130961	Amelia Pugsley
755565	131566	Undetermined Role
755565	133564	Polly Jordan
755565	133696	Nancy
755565	133956	
755565	133966	Trina
755565	135198	Liesl, the Maid
755565	140787	
755565	141335	Katie Abbott
755565	142609	Millie
755565	143012	Gladys Smith
755565	143131	Mary Horner
755565	143358	Timmins
755565	145905	
755565	147633	Cameo appearance
755565	148868	Mayme
755565	148977	Caecilia
755565	150465	Belle McGill
755565	151294	Oscar's Sweetheart
755565	162547	Mrs. Wilbur
755565	162551	Telephone Operator
755565	163193	Miss Flint
755565	163462	Gertie (switchboard operator)
755565	183853	Dulcey Lee
755565	183856	Emily
755565	186559	Ruth Fanning
755565	187257	Mary Brown
755565	188336	
755565	188341	Cornelia Figeson
755565	190264	Cora
755565	191587	Monica
755565	192173	Becky
755565	193264	Telephone Girl
755565	195068	Hilda
755565	195473	Araminta Tootle
755565	196297	Connie Clark
755565	199184	Mrs. Fay Kinney
755565	199686	Florrie
755565	200920	
755565	201421	Mrs. Scudder
755565	204550	Annie Pogani
755565	206878	Herself
755565	209166	Tillie Prescott
755565	209631	Zasu
755565	209652	Aunt Emma Bates
755565	210615	Herself
755565	210892	Katie Jones
755565	211565	Winnie Oatfield
755565	212212	Miss Pepper
755565	212215	Miss Emily Pepper
755565	212856	Lil
755565	215637	Miss Pandora Polly
755565	216938	
755565	218504	Hope Durant
755565	218506	Bertha
755565	221125	Mrs. Maddie Skitch
755565	221335	Miss Tabitha Hazy, Spinster
755565	228588	Aunt Penelope Hardwick
755565	231317	Emmy Sawyer
755565	234089	Pauline
755565	234090	Pauline
755565	236876	Mme. Moulin
755565	237592	
755565	239073	The Elk
755565	239543	
755565	239796	
755565	240792	
755565	241060	Miss Leyton
755565	241794	
755565	244351	Jennie Jones, The Jazz Kid
755565	244993	Bonny
755565	246866	
755565	248970	Harriet
755565	250806	Patsy
755565	252299	Mrs. Bassett
755565	252913	Rosa
755565	255393	
755565	258198	Hildegarde Withers
755565	260234	Apple Annie
755565	260247	Daisy Perkins
755565	263335	Maggie Keenan
755565	264822	Miss Coates
755565	265362	Elmerada de Leon
755565	273159	Judy
755565	273598	Undetermined Role
755565	274226	Miss Pitts
755565	278853	Agnes Wheaton
755565	279187	Louise
755565	279536	Gabby Tourist
755565	283093	Prunella Judson
755565	291849	
755565	292678	Bella
755565	292876	Celia Stebbins
755565	293139	Jennie
755565	293186	Betty Lawrence
755565	297918	Esmeralda
755565	299801	Dot
755565	300066	Zasu
755565	302388	Anna 'Annie'
755565	302595	Annie Snodgrass
755565	302611	Gwen Logan
755565	302936	Mother Spengler
755565	306046	Miss Pitts, Woman of the Jury
755565	306809	Mary
755565	307117	Cameo appearance
755565	309581	Celebrity
755565	312007	Maggie
755565	312262	Lena
755565	312337	Bella
755565	314125	Dot
755565	316320	Sybil Smith
755565	316908	
755565	319124	
755565	319146	Evelyn
755565	319160	(scenes deleted)
755565	323967	
755565	326385	'Brainy' Jones
755565	326794	Aunt Theodora
755565	329743	Tillie Whim
755565	329793	Miss Dibbs
755565	330170	Molly
755565	330598	Miss Harkins
755565	330682	Mrs. Katie Shea
755565	330888	Clara Bertrand
755565	331551	Alice Mudge
755565	331687	Mickey
755565	331768	Olivia
755565	332033	Mandy Coulter
755565	333071	
755565	333779	Aggie Pilkington
755565	339407	Gladys Fairweather
755565	340011	A Factory Girl
755565	342519	Tillie
755565	342715	Esthey Roberts
755565	345775	Aunt Julia
755565	346834	
755565	346864	Polly Perkins
755565	350451	Aunt Sylvia
755565	358149	Luella Logan
755565	359077	Winnie Oatfield
755565	359275	Zasu
755565	359277	Cushie
755565	360702	Cecelia Schweisser
755565	360866	Anna, Craig's Maid
755565	361661	Dessie Arnhalt
755565	362238	Hilda
755565	364404	
755565	364667	
755565	365059	Germaine
755565	366121	
755565	367553	Katie
755565	367687	Blanche
755565	372933	Emily
755565	389673	Elvira Nugent (1956-60)
755566	194584	Young Lorna Doone
755567	352913	Tante
755567	384116	Various roles (1982-1984)
755568	334203	
755569	393780	Sarina
755570	83744	Yael
755570	256907	Merav Benyamini
755570	339022	
755570	373752	Yaffa Zakuta
755570	390891	Etti Argov
755570	405010	Adaya (2004)
755570	408313	Sigal Lugasi (2003)
755571	286286	
755572	396874	(1992)
755573	72931	Goodyear Chorus Girl
755574	62967	Kohkum
755575	314745	Homeless Woman
755576	39680	Mora Tori
755576	154288	Casting director
755576	176884	Gym member
755576	224344	Ma Bumpus
755576	302432	Mrs. Goldberg
755576	365866	Chicken Lady
755577	217600	Fan
755578	407413	Herself - Stewardesse
755579	201453	Herself
755579	306267	Kanaalaq
755580	21408	
755580	40420	Mohrchen
755580	86266	Klara
755580	86324	Viola
755580	180156	
755580	182748	Beate Karaseck
755580	188850	
755580	206559	Patientin Stötzer
755580	214194	Hermine Seidelmann
755580	225308	
755580	243767	Diana
755580	254370	Hübsch, Isetta
755580	259516	Dr. Gudrun Hammer
755580	259600	Ilse Boelssen
755580	259623	Sabine Winterfeld
755580	290056	Haeppchen
755580	312651	Schwester Hildegard
755580	367138	
755580	377341	Doris
755580	379362	Alice Blümert
755580	386640	Elfi
755580	394134	Annegret Nelken
755580	398827	
755580	411906	Häppchen
755581	380106	
755581	380146	
755581	383974	Élida
755581	391850	
755581	395864	
755581	396149	Emeralda
755581	397590	Luisa
755581	398913	Leocadia
755581	402172	Madre de Pili
755581	403023	China
755581	403650	Felisa
755581	405412	Corina
755581	407792	
755581	410404	Mariana
755582	7598	
755583	15054	
755583	370104	
755584	34642	Gloria Webber, Ch. 6 News
755585	69137	American Olympic Athlete
755586	344187	Deaf girl
755587	347069	Lorna
755588	88177	Action Alert Helper
755588	115345	Dominique
755588	384621	Mathilde Gauthier
755588	389774	
755589	272285	
755590	163729	Les comédiens-mimes
755591	2742	The lady who reads
755592	111389	
755593	174271	
755593	259831	
755593	340436	
755594	90509	
755594	109715	Old Gypsy Woman
755594	221342	
755594	229288	
755594	236019	
755594	239465	
755594	314336	Prodavacica
755594	338865	
755594	341335	Umirovljenica
755594	356072	
755594	386538	
755595	330536	Herself
755596	315897	Joan
755596	327521	Jeanette's Mother
755597	16006	Mother
755597	42386	Penn State Protester
755598	221182	Toni
755599	301346	Fata Sicura
755600	12690	Maria De Simone
755600	23518	
755600	128061	
755600	211982	Rossella Giacometti
755600	278910	Vittoria Rinaldi
755600	353130	Fosca
755600	384750	
755600	384751	Fiorenza
755600	388613	Herself - Assistant (1998)
755600	396829	Francesca
755601	205294	
755604	64951	Baby
755605	374729	
755606	222590	Lisa
755607	380096	
755608	82199	Ania
755608	82203	Ania
755608	385985	Ania
755609	188793	Irene
755609	259686	
755610	76126	
755611	179583	Woman at the railway station
755612	68950	
755613	185964	Airport Passenger
755614	186723	Laverne
755614	201592	Claire Walters
755615	358478	Villager of Tullymore
755616	271023	
755617	16127	ECMO nurse
755617	44108	Pregnant Woman
755617	48169	Katie Saldano
755617	64854	Alice
755617	80482	Mercedes
755617	107069	Esperanza
755617	116356	Rape Victim
755617	156970	Spanish Woman's Daughter
755617	310878	Juanita
755617	314138	Mrs. Ramos
755617	330559	Prison Wife
755617	362323	Woman at Hospital
755617	377250	
755618	372950	Azafata
755619	45829	Subway rider
755620	378858	Rafaëlla Diaz
755621	245486	Celia (the murdered wife)
755622	91349	Pilar
755622	101890	Sisi
755623	73288	
755623	91299	Pizca, la niña
755624	293317	Himself
755625	41071	Screaming Woman
755626	127991	
755627	32347	Sara
755627	67863	Cecelia Bonduce
755627	366811	Janey Hirsch
755628	14386	Frida piccola
755629	211311	
755630	36509	La regina Anna
755630	53998	
755630	63740	Caterina Lari
755630	86333	
755630	102458	
755630	128033	
755630	204005	La Madre
755630	210384	Assunta
755630	212979	
755630	235368	Herself
755630	252410	
755630	270823	
755630	286346	
755630	294707	
755630	307459	Marina
755630	307667	
755630	376770	
755631	47122	Herself
755632	46327	Pool Girl #4
755632	89933	
755633	36536	Lloyd's Wife
755633	82522	Leslie
755633	222341	Lorrie Waters
755633	266564	Sylvia Bourget
755633	316916	
755633	330881	Video Narrator
755634	185175	Audrey Gardener
755635	313181	Anais as a child
755636	15919	
755636	68927	L'épouse de Benoît
755636	157173	Herself
755636	228563	Marcheuse
755636	249293	La déracineuse d'arbres
755636	321991	
755637	42640	
755638	6407	Miss Mois d'août
755638	57894	Sylvie
755638	64951	Stripper
755638	184059	La pharmacienne
755638	202421	
755638	265801	Stéphanie
755639	70194	
755639	76148	
755639	354692	
755640	68381	
755641	9625	
755641	28739	
755641	55090	
755641	62301	
755641	63636	
755641	91368	
755641	103119	
755641	103434	
755641	103485	
755641	104022	
755641	114784	
755641	122157	
755641	192977	
755641	199001	
755641	217083	
755641	220523	
755641	233658	
755641	233762	
755641	234009	
755641	255138	
755641	309063	
755641	319623	
755641	325039	
755641	326311	
755641	328046	
755641	333750	
755641	380437	
755642	170478	
755643	403560	
755644	17135	
755644	355781	
755645	399807	Deborah
755646	274784	Rebeca
755647	20625	Extra
755647	74853	
755647	308910	
755647	380210	Marta
755647	381607	Adelaida
755647	383774	
755647	383867	
755647	385847	Beatriz Bañados
755647	386785	
755647	387916	Carlota Meza
755647	393806	
755647	396941	Lina
755647	396942	
755647	397591	
755647	405978	
755647	410207	
755648	104188	Dancer
755649	235296	Amiga Alicia
755650	412185	Manuela
755651	109066	Isabelle
755651	117091	
755651	241021	Vivian
755651	245119	Cait McLachlan
755651	283453	Rita
755651	403248	Olivia Solano (2001-)
755652	24297	
755653	397414	Constança
755654	42087	Jennifer
755654	98683	Esmeralda
755654	382174	Chessy
755655	304544	Rebecca Galley
755656	219422	
755657	318264	Obrera
755657	384795	Montse (2001-2002)
755658	34552	
755658	97181	
755658	99547	
755658	99762	
755659	12527	
755659	51667	
755659	63787	
755659	94640	
755659	99336	
755659	184934	
755659	248291	
755659	253386	Euryale
755659	348731	
755659	357504	
755660	101180	Cécile/Carresse
755661	180721	Kranke Frau
755662	405209	Judith Carlyle (2000)
755663	360470	Amanda
755664	56545	Herself
755665	68450	Coconuts Trio
755666	5871	Becky Wiggins
755666	26289	
755666	32438	Jean Daniel Murph
755666	33179	Floris
755666	36966	Meg
755666	45050	Sue Ann (girl in bar)
755666	46985	Judy
755666	54571	Katherine Harvey
755666	64734	Gail Stoney
755666	68454	Psychiatrist
755666	72691	Merrilee Playton
755666	81041	Mrs. Kim
755666	105095	Susan
755666	106062	Mrs. Crandall
755666	106514	Claire Spencer
755666	117100	K.K
755666	117118	Betty Ann Dustin
755666	128505	Prissy Thrash
755666	128583	Barbara Gilcrest
755666	146665	
755666	146666	
755666	151631	Mary Bryant
755666	152555	Nathan's Mother
755666	158321	Norma Williams
755666	161301	Herself
755666	169946	Jan Martinez
755666	170872	Ma
755666	171207	Shilda Hawk
755666	176807	Dr. Gwen Bradley
755666	185964	Gladys Davis
755666	188124	Susan
755666	193819	
755666	195669	Sam
755666	204583	Elaine
755666	216945	Lorraine
755666	217485	Ellie Skinner
755666	219030	Teensa
755666	223932	Patty
755666	224389	Molly
755666	226777	Fern Romano
755666	228479	Madame Celeste
755666	230703	Donna
755666	230963	Bernice Bennett
755666	232831	Alma Morgan
755666	234196	
755666	245236	Sondra Evetts
755666	251646	Joyce
755666	258876	Coreen Davis
755666	261054	
755666	264581	Pvt. Mary Lou Glass
755666	271287	Dot Black
755666	285357	Helen Christianson
755666	286516	Marilyn
755666	301946	Grace Seymour
755666	305782	Katherine
755666	313855	Marie
755666	321213	Pearl Smooter
755666	324022	
755666	327300	Shelley Jefferson Carp
755666	328211	Nora
755666	328301	Doris
755666	337844	Elizabeth Van Lew
755666	358868	
755666	367674	Cecilia
755666	389098	Loretta Haggers
755666	389561	Prue Giroux
755666	396994	Loretta Haggers
755666	407470	Prudence Susan 'Prue' Giroux
755666	409121	Herself
755667	44433	Woman from Ragazzo
755667	297927	
755668	11171	Elderly Woman
755668	16776	
755668	39886	Woman at Party
755668	46415	Martha Gannon
755668	159549	Doris
755668	175479	Tate's Grandmother
755668	186158	Woman 2
755668	206440	Joan
755668	217503	Hana Taniguch
755668	220083	Bob's Mom
755668	220917	Mrs. Cliverhorn
755668	238648	
755668	245275	Mrs. Foote
755668	255235	Gothic Woman
755668	262087	Wise Woman
755668	263395	May
755668	289468	Old Woman
755668	304293	Elderly Woman
755668	328495	Rose
755668	410780	Mrs. Fesenmeyer
755669	249595	Mrs. Simmons
755670	312927	Bar patron 6
755671	48461	Baby
755672	261380	
755673	311120	Herself
755674	94310	
755674	184504	Piglet
755674	259484	
755674	311120	Herself
755674	366511	Judith
755675	311120	Herself
755676	389119	Carmen Niemeyer (1994, 1995)
755676	396874	Ines (1992)
755677	69773	Woman in Blues Connection
755678	350082	
755679	58041	
755679	90665	
755680	4637	
755681	17139	Maddalena
755681	60129	Carmen
755681	63756	Paola Angelini
755681	80721	Caterina
755681	109087	
755681	127844	Nurse
755681	159021	
755681	164434	Adelaide
755681	243047	Viola
755681	245802	Elena
755681	269172	Valeria
755681	355703	Laura
755681	383569	
755681	406000	
755682	163751	Elvira
755683	324465	
755684	20434	Health Club Woman #1
755684	42847	
755684	367096	Harem Mistress
755685	255498	
755686	321126	Sally Jilian
755687	264825	School Girl
755688	345121	Cécile
755689	8043	Contortionist
755690	188684	
755690	288992	
755691	360272	Herself
755692	285031	Succubi
755693	328993	
755694	101931	Beatrice Avantil
755695	183006	Drums
755695	235407	Herself
755695	294798	Camel Lips
755696	172438	
755696	272516	Maria
755697	39692	Russian singer
755698	238102	
755698	263662	
755699	38259	Ginger
755699	66589	Chief of Staff Nan Fleming
755699	87576	Mary Anne Hunter
755699	99852	Chief of Staff Nan Fleming
755699	192380	Phyllis
755699	224336	Tenley
755699	358114	Grace
755699	386393	Monica DiVertibrae/Sally/Elde
755699	396048	Meg Tynan
755699	396350	Dr. Joan Golfinos (1996-1999)
755700	84032	
755702	62695	
755703	124335	Screaming Woman
755704	174155	Échangiste
755705	8574	
755705	70862	Señora Russel
755705	73270	
755705	162025	
755705	234357	
755705	234387	
755705	243721	Doña Clara
755705	251309	
755705	266227	
755705	296470	Maria Rosa
755705	326338	Sofía Manzanares
755706	88060	Gigi
755706	99362	
755706	111104	
755706	320007	Ginette
755706	353925	
755707	264131	Young Sirena
755708	100373	
755709	301124	Doña Pilar
755710	273075	Gracia
755710	282062	Tina
755710	334666	Enfermera 1
755710	384972	Mari Esteva
755710	397414	Estranya
755710	404715	Eli
755711	225043	Carmen
755711	263763	Loli
755712	200604	Actress
755713	9659	
755713	63882	
755713	354037	
755714	6629	
755714	12925	
755714	88802	
755714	96288	
755714	197088	
755714	221680	Aunt
755714	268255	
755714	291670	
755715	37910	
755716	77794	Woman
755716	141383	Lila Fairchild
755716	254708	Katherine Corbett
755716	279468	Bobbie Webb
755716	361843	Ann Howard
755717	362984	Other
755718	15934	Russell's Aunt
755718	27213	Mrs. Tsiakos
755718	27323	Bank Teller
755718	65085	Chippie No. 1
755718	81038	Psychiatrist #3
755718	146810	Cashier
755718	157563	Mrs. Ketchum
755718	164415	Housekeeper
755718	167087	Mrs. Ross
755718	234116	Woman in Car
755718	282392	Mavis
755718	293020	Brenda Curtis
755718	297382	Jedadiah's Wife
755718	298279	Mark's Mother
755719	381422	Extra
755720	345342	
755721	360010	Beautiful woman
755722	49506	Frau Andersson
755722	350688	Drunk Woman
755723	39852	Julie Windham
755724	280830	Slave Girl
755725	249335	The Old Woman
755726	226605	
755727	10498	
755728	386336	María
755728	395473	Lita Pardo
755728	409960	Alejandra 'Alex' Stacman
755729	10418	
755729	34495	Frau Mayer
755729	40380	Mutter Schneider
755729	259516	
755729	259578	Dr. Voigt
755729	259675	Hella Söhnl
755729	276098	
755729	312636	Birgits Mutter
755730	65141	
755731	355880	
755732	149609	Geneviève Gaudin
755732	170112	Marie
755732	345362	Geneviève
755733	47244	Britta
755733	84584	
755733	137969	Monika
755733	138544	
755733	174792	Cornelia Hofschnedider
755733	240192	Widow
755733	290282	Yvonne
755733	325398	
755733	325830	Schwester Marthe
755733	377355	
755733	393462	Girl
755733	406518	
755733	407543	Gaby
755734	225723	Helene
755734	377346	
755735	167866	Christmas Caroler
755735	213460	Tammy Duncan
755736	405217	Adela Pankhurst
755737	134151	Genie
755737	399837	Gail Lucas, R.N.
755737	404613	Patti Barron Tate Whiting #8 
755737	405882	Danny Catsworth (1971-1972)
755738	226974	Mrs. Marlinda Bliss
755739	242513	Sarah Jane
755739	304829	Stewardess
755740	303508	Undetermined Role
755741	230126	Reporter Carol
755742	230126	Reporter Cindy
755743	148702	
755744	107504	A Fairy
755745	308671	Herself
755746	11941	Bride
755747	308671	Herself
755748	209757	Giggling Baby
755749	31715	Iris Myandowski
755750	82626	Factory Girl
755750	327279	Manageress
755751	302714	Television Host
755752	333047	Student #1
755753	60025	Religieuse orientale
755754	61156	Female Dancer
755754	120080	Paris Chanteuse
755755	97245	
755756	99737	La voisine
755757	345641	
755758	364180	Herself
755759	63046	Buffy
755760	12986	Jessica
755760	221067	Cara Cook
755760	326739	Herself
755760	326740	Herself
755760	391080	Sara Henderson
755761	340190	La caissière
755762	284196	Une militante
755763	356785	
755764	151741	
755765	43426	Peppermint Patty
755765	163665	Peppermint Patty
755766	252646	
755766	322593	
755766	407863	
755767	379716	Claudette Flax Montgomery #2 
755768	156964	
755769	233456	
755769	349763	
755770	97543	
755771	258499	
755772	134464	Hagere Nichte
755772	139709	Frau Müller
755772	182139	Tankstellenkassiererin
755772	203935	Frau Wolter
755772	223461	Schwester Elke
755772	267407	Bens Mutter
755772	290512	Frau Birkl
755772	336508	Frau Kattowitz
755773	182472	Martia
755774	263439	Homegirl #2
755775	264974	Judge
755776	190733	Jarka
755777	192072	Little Monster
755778	145038	Katherine
755778	360692	Jessie
755779	313514	Moo, a Daffodil Girl
755780	132909	Chatterbox Caller
755782	308259	
755783	58409	Odile
755784	246291	Prostitute at Teissier
755785	32713	Waitress
755785	110158	
755786	257389	Herself
755786	378691	Herself
755787	191398	Surfer
755788	253717	
755789	138262	
755789	198717	
755789	231218	Madame Zorayda
755790	28473	Carmen Cortez
755790	213751	Milagro Townsperson
755791	173817	Herself
755792	239843	The Old Woman
755793	52786	
755793	376738	Gaby
755793	381900	Herself
755793	381904	Herself (5th Evicted 2003)
755793	383471	Soraya
755793	384400	Elisa de Mendoza 'esposa de c
755793	385401	Blanca
755793	386791	(1994)
755793	390440	Virginia de la Purísima Conce
755793	392290	Karina
755793	395885	Gisela Castillo
755793	398794	
755793	400492	Herself/Various (1996-)
755793	401698	
755793	408855	Carla (1999)
755794	178563	Frau Pietschmann
755794	212402	
755794	315763	
755794	409623	Vera
755794	410497	POM Dorothea 'Doro' von Laube
755794	411095	Actress (1994)
755795	22193	Girl
755795	51117	Chris
755795	120993	Gabriela
755795	155483	
755795	170674	
755795	186952	Christine Wiemann
755795	189604	
755795	189667	Dr. Karen Stendal
755795	194631	
755795	265631	
755795	281728	
755795	285006	Patricia Paschke
755795	294161	Egon
755795	325426	Cordula Stricker
755795	325609	Bettina
755795	325821	Manu Münter
755795	332724	Susanne Mertens
755795	338434	Kerstin Hilpert
755795	338442	Ute
755795	338445	Annette Fallenberg
755795	348053	Maxi
755795	352343	Floriane
755795	388288	Marlene Holstein
755795	388947	Iris Tecklenburg (1996-)
755795	389618	Karin Pfister
755795	389840	Claudia
755795	394116	Mona Koller
755795	394608	Ursula Foges
755795	398056	Agathe
755795	402046	Sigi Kaul
755795	409951	
755795	412024	Eva
755796	257700	
755796	333745	
755797	329	
755798	226610	Une prostituée du Jo Bar/Pros
755799	336997	Etoile
755799	354909	Herself
755800	14574	Amodeo's Mom
755801	395038	Herself (2003-)
755801	396763	Herself (2000)
755802	381539	Presenter
755802	385247	Communications adviser
755803	329818	
755804	18998	
755804	68253	
755804	69767	
755804	70671	
755804	74516	
755804	74821	
755804	77091	
755804	80280	
755804	83435	
755804	96262	
755804	204646	
755804	204827	Purita
755804	208192	
755804	246420	
755804	257129	
755804	260927	
755804	375875	
755804	378429	
755805	5976	
755806	31720	
755807	30108	Waitress #2
755807	38021	Miss Lippy
755807	72504	Lucille Schly
755807	84486	Bergita
755807	210678	Floral Manager
755808	107917	Officer at Station
755809	70416	
755811	2761	Herself - Memorial Tribute
755811	34789	Herself
755811	35723	Wendy
755811	37681	J.D.
755811	38407	Tennis Fan
755811	40190	Rita
755811	52361	At the Airport - Jenny
755811	64567	Performer
755811	64568	
755811	68728	Dana Fields
755811	77561	Herself
755811	84005	Herself
755811	86454	Herself
755811	86478	Jill Martin
755811	105889	Sandra Phalor
755811	144922	Cara Ames
755811	149949	
755811	180652	Daughter
755811	188480	Elizabeth
755811	214033	
755811	232281	Kelli Medd
755811	246243	Prosecuting Attorney
755811	263790	Diana Masters
755811	276840	Evie Jo
755811	290404	Daisy Dallenger
755811	309670	
755811	314414	
755811	332760	
755811	386337	Kimberly Drummond (1978-1984)
755812	26259	Lana
755812	259618	
755813	273069	
755814	88812	
755815	19505	
755816	16419	Woman
755816	168702	Miss Kelly
755816	321154	Lady with hat on bridge
755816	366300	Mrs. Eshovo
755817	17188	
755817	42846	Alice
755817	137570	Judy Peacock
755817	240682	Sharon Towers
755817	388323	Stephanie
755817	399130	Jen Handley (1994-1996)
755817	404149	Herself - Hostess (1986-1991)
755817	405960	Amanda Morrell (1983-1985)
755818	189248	Kid #2
755819	270949	The Little Girl
755820	144072	
755820	290234	
755820	325748	Sekretärin Hella
755820	329688	Sarah
755820	361059	Doppelgängerin (Double)
755821	274344	Canoer
755822	55674	Masseuse
755822	245214	Maggie
755823	354203	Extra
755824	54459	Corunna
755824	117759	Judy Wingate
755824	154488	Brenda
755824	310502	Dian 'Di' Turlon
755824	312826	Lucy Mallory
755824	316664	Virginia Thompson
755824	327256	Ellen Frazier
755824	390771	Ruth Jannings Holden #2 (1958
755825	100843	Jeannie
755826	139607	Librarian
755827	410416	Debra
755828	33904	Herself
755828	81490	Herself
755828	96975	Herself
755828	126737	Herself
755828	141040	Herself
755828	289222	Mrs. Flood
755828	318370	Maggie
755828	366936	Herself
755828	367883	Herself
755829	222745	Lady Sarah Carlisle
755829	228503	Nikki
755829	254986	Janina
755829	263970	Sarah
755829	310426	Rebecca Knight
755829	330957	Young girl
755829	331045	Lucy
755830	365868	Amber (age 8)
755831	143627	Felice Sabry
755832	109539	Arnelle (lead)
755832	158863	Doctor Greenbaum
755832	216807	Chrissy 'DJ C-Lo'
755832	272843	Lillian
755832	289517	Lynn
755832	316300	Woman
755832	359304	Leader Tara, Agnes, Anime Gir
755832	402899	Reina
755833	223	Chan Turner
755833	5358	Herself
755833	12114	Rainbow Gold
755833	44005	
755833	365960	Josephine Baker
755833	379716	Corinne Elroy (1996)
755833	390771	Vicky Spaulding #2 (1998-2001
755834	248410	Vrouw van zakenman
755835	100130	Paul's Sister
755836	222815	Orsini's Assistant
755837	112888	
755838	153711	Täti, morsiamen itkettäjä
755839	48169	Reporter
755839	62280	Reporter #1
755839	79046	Diane Platts (Channel 7 repor
755839	88575	Anchor Woman Ch. 1 News
755839	256188	Anita
755839	310876	T.V. Host
755839	361229	Fox Newscaster Jane
755840	228535	
755840	296995	
755841	284621	Dispatcher #2
755842	298129	Supergirl
755843	85075	Emmy Roland
755843	143369	Alice Biggs
755844	411994	Homestory-Reporterin
755845	14831	
755846	138915	
755846	144140	
755846	178671	
755846	308805	Frau Gmeiner
755847	202141	
755848	181345	Vladka
755849	49152	Elle
755850	24051	Greisslerin
755850	44326	
755850	119682	Franzi
755850	124276	
755850	153903	
755850	160596	Susi Wodak
755850	324578	Waitress/Kellnerin
755850	325403	Susi Wodak
755850	325534	Frau Wodak
755850	325735	
755850	325737	Frau Wodak
755850	325738	Susi Wodak
755850	325741	Susi Wodak, Vertragsangestell
755850	325742	
755850	325748	Susi Wodak
755850	325917	Susi Wodak
755850	390811	
755851	109779	Petra München
755851	111410	Hanelore
755851	252356	Rita Steiner
755851	375166	Monique
755851	376248	Yvonne
755852	393878	
755853	385931	Herself
755854	118524	Margo
755856	195494	Driver
755857	195262	Crenshaw High School Girl's B
755858	405038	Extra
755859	95877	Krystina Carrington
755859	108288	Mary Bankston
755859	245105	Tracy Lundgren
755859	387152	Krystina Carrington (1985-198
755859	388340	Mary Bankston
755860	94476	Kate's Teacher
755861	6573	
755861	74882	Sonja
755861	161741	Girl
755861	202363	Sally
755861	259898	Sue Ann
755862	378830	Hostess (1978)
755863	135406	Mrs. Bodfish
755863	302002	Denise
755864	66681	Mrs. Unwin
755864	117956	Old Woman
755864	277862	
755864	298879	Gwen Stuart
755864	402197	Minnie Donovan (1983-1984)
755864	403278	Rena McMaster
755865	141633	Charlotte Bennett
755866	83379	Mme Raymond
755867	93261	Ronda
755868	14489	Demons' Voice
755868	52303	Corrine
755868	71290	Oona Dowd
755868	91994	Beebe Bluff/Elmo
755868	110871	Voice
755868	117101	Mrs. Prissilla Bailey
755868	141706	Gloria
755868	155094	Gretchen
755868	183871	Harriet
755868	187208	Blix
755868	187684	Goldie Oldie/Others
755868	222571	Alice
755868	224109	Baby Lickety Split/Bushwoolie
755868	247915	Marriage Counselor
755868	254230	Princess/Queen
755868	256415	Mother
755868	256620	Edith Stanley
755868	364223	Della
755868	382669	Beebe Bluff/Elmo the A.V. Ner
755868	386840	Beebe Bluff
755868	394848	Alice (in 'The Lost Saucer')
755868	396016	Alice
755869	70626	Janitor's wife
755870	153890	
755871	672	Rita
755871	6476	
755871	23116	
755871	55907	
755871	132523	
755871	379615	Morella
755871	380123	
755871	391173	Mónica de Montenegro
755871	392610	Reyes, Jorge (IV)
755871	401693	Bárbara
755871	401905	
755871	402711	
755871	403125	
755871	405776	Rosa Ozores
755871	408747	Beba Solís
755872	266885	Ana
755873	2597	Indian hooker
755873	19209	Elizabeth Peak
755873	44450	Charlie's hooker (Villa Dulce
755873	82523	Quiquina Esquintla
755873	141406	Mrs. Aponte
755873	141544	Anna Trejo
755873	171212	Flasher's Girl
755873	200894	Maria
755873	333442	
755876	13086	
755877	98976	Prostitute
755878	134395	Indian Child
755879	13462	Rita
755879	28197	
755879	74578	Maribel
755879	156444	Feli
755879	205978	Irina
755879	244590	Eva
755879	291612	Enfermera del hospital
755879	328133	
755880	86249	First Enchantress
755881	21201	Girl in the pub
755882	245094	Nikki
755883	319736	Katinka
755884	300180	Other Audition Dancer
755884	302710	Dancer
755885	228449	Student
755886	355924	Woman
755887	162099	Fairy
755889	4990	Daughter
755890	114271	Paige Zinke
755890	408686	Guru CeCe
755890	410786	Not Louise Next Door
755891	15892	Clara (madwoman)
755891	38702	
755891	62992	Ghost of Christmas Past
755891	63835	Crabby
755891	84201	Peace Girl
755891	110192	Louis' Sister
755891	120459	Emily Underwood
755891	123849	Woman Accomplice
755891	130179	Stranger
755891	143636	Scruffy Girl
755891	146870	Trude
755891	183453	
755891	185726	Beatrice Grayson
755891	195464	Mick's Secretary
755891	215335	Fantine
755891	291925	Johanna Frielduct
755891	294573	Lottie
755891	301490	Molly
755891	308183	Anita Fitzpatrick
755891	314157	Sister Cecilia
755891	368102	
755891	381278	Susan Grantly
755891	396772	Lady Bertram
755891	405525	Catherine Howard
755892	7408	Rosalie
755892	17825	Nikki
755892	49927	Anna Benson
755892	138494	Gypsy Washerwoman
755892	224429	Imogen/Mum
755892	285298	Rachel
755892	299490	Louise
755892	393939	Maria De Silva
755892	394163	Waitress (Movie)
755892	407826	Eliza Millward
755892	411382	Heather, Henry's friend
755893	138659	Young girl
755893	162984	Juvenile
755893	334392	Rabbits, weasels, mice
755893	392801	Susan North
755893	405374	Ruth Balicki
755894	161484	
755894	391872	Barbara Wesley
755895	36929	
755895	291007	
755895	327782	
755895	374487	
755896	291016	
755898	5056	Physical Therapist
755900	303268	Reagen
755901	118205	1st Gal
755902	24838	
755902	126292	
755902	216511	
755902	217290	
755902	261258	
755902	295057	
755902	357493	
755902	400438	
755902	402118	
755903	387925	
755904	91065	Herself
755905	119583	Mrs. Dupre
755905	174508	2nd Woman in Office
755905	410547	Deputy Joan Litton
755906	65888	Clara
755906	137580	Gina Lobianco
755908	192413	Naughty Girl
755908	243934	Rabbit Girl
755909	192413	Naughty Girl
755909	243934	Rabbit Girl
755910	402277	
755911	34254	Foufa Kovaevskij
755911	405570	Sandra Bovallius (1996-1998)
755912	82166	Serina
755913	243773	La violoniste
755914	364945	
755915	194726	Hooker
755916	180114	Mädchen
755917	381821	Ensemble (1986)
755918	84962	Leda
755919	94305	Hebamme Barbara
755919	223284	
755919	223285	
755919	246642	Frau mit Hut
755919	290051	
755919	365916	
755920	319966	Tao Sri Chulalak
755921	356658	
755921	369882	
755921	369885	
755922	131345	
755922	198077	
755922	250875	
755922	292800	
755922	321030	
755922	327782	
755922	335847	
755922	357169	
755923	361086	Rieke
755924	292296	Rosa
755925	161576	Michelle
755926	342405	Anna
755927	292594	Model
755928	2486	Chris Lockwood
755928	3626	Herself
755928	6939	Arabella Flagg
755928	12317	Capt. Janet Hamilton
755928	12331	Anne Banning/Janet Furie
755928	20965	Herself
755928	31346	Marie
755928	38614	Annie Hayworth
755928	40062	Jo Anne Baker
755928	42385	Emily Hartley
755928	46873	Tracy Bridges
755928	57492	Herself
755928	67576	Helen Stewart
755928	87884	Mrs. Kitty Mainwarring
755928	88264	Dixie Cabot
755928	108694	Carla Webber
755928	109768	Martha Webster (stewardess)
755928	115234	Kate Fallon
755928	115247	Nona
755928	117100	Joanna Piper
755928	125191	Sgt. Betty Pearson
755928	142669	Laura Bingham
755928	150400	Louise Webster
755928	152957	Barbara Soline
755928	155857	Samantha Perkins
755928	155893	Janet Langford
755928	157540	Kate Todd
755928	161381	
755928	174508	Kate Bliss
755928	179424	Dana Sutton
755928	186273	Karen Day
755928	187343	June Mathis
755928	187889	Leona Helmsley
755928	191244	Zira
755928	191306	
755928	215987	Fiddle
755928	230286	Pilar (Kiowa girl)
755928	238613	Herself
755928	239032	Paula Richards
755928	240649	Herself/Emily Hartley
755928	241276	Joanne Boone
755928	262118	Professor Margery Lansing
755928	270926	Grace Caldwell
755928	277745	Elizabeth Morton
755928	279145	Anna
755928	281132	Prudence Bell
755928	287311	Herself
755928	291963	Herself
755928	294028	Yubaba/Zeniba
755928	297005	Betty Daniels
755928	313333	Margot Murray
755928	314606	Herself
755928	316263	Kate Bennington
755928	319757	Patience
755928	319760	Ramona
755928	324979	Diane Reed
755928	342623	Dr. Rachel Walters
755928	344168	Fran Garrison
755928	358700	Laura Rubio
755928	366184	Kitty Sanborn
755928	372805	Jeanne Green
755928	382356	Emily Hartley
755928	382609	Jackie Hansen
755928	382746	Tracy Bridges
755928	390339	Claire Arnold (2002-2003)
755928	399450	Christine Broderick
755928	407110	Maggie Briggs
755929	16989	
755929	35860	
755929	51044	
755929	62354	
755929	107663	
755929	143726	
755929	184044	
755929	374779	
755930	167250	
755930	357555	Blonde witch
755931	104051	
755931	118823	
755931	137758	
755932	228881	Agne
755933	349321	Petra
755934	2191	Herself - Nurse
755935	126305	
755936	78488	Herself (performing 'Godmorge
755937	171637	Girl at Airport
755938	171637	Girl at Airport
755939	134623	Vera
755939	394285	Mariël Speier (2004-????)
755939	400217	Marieke de Jong (1998)/Lizzy 
755940	111148	
755940	162443	
755940	193423	Elsa
755940	222002	
755940	227292	
755940	240477	
755940	294565	La Paresse (segment "Paresse,
755940	300662	
755940	300695	la Reine Eleonore
755940	310889	
755940	326084	
755940	351521	
755940	354513	Colette
755941	16244	Sivers' Mother
755941	29355	
755941	29557	Cook
755941	86228	Frau Ibsen
755941	101740	
755941	123692	
755941	156757	
755941	167137	Rikchen, Salomons Frau
755941	183672	
755941	197050	Fratellis Frau
755941	204636	Mutter Manolescu
755941	225195	
755941	234497	
755941	293243	
755941	322998	Tante Frieda
755941	329899	
755941	334629	
755941	352348	
755941	360946	
755941	360947	
755942	96478	
755943	361522	Elfi
755944	17725	Gräfin Nedlitz auf Borstenfel
755944	94423	
755944	109201	
755944	120932	
755944	121798	Victoria Fadenschein, Bügelei
755944	125173	
755944	143724	
755944	156664	Wirtschafterin bei Puzzle
755944	171862	
755944	189660	
755944	225130	
755944	289882	
755944	324792	Schneidermeisterin
755944	367354	
755945	57613	Zuzka
755945	172910	Eliska
755945	231177	Bride
755945	356571	Bohuna
755945	383082	Eliska
755946	224257	Mimi
755947	57401	
755947	58302	Vida Tomsic
755947	95656	
755947	134763	
755947	155659	
755947	166450	Popadija
755947	179847	
755947	200794	
755947	215355	Irma
755947	246309	
755947	318980	
755947	339307	Meri
755947	348715	
755947	350680	
755947	357328	Veljanica
755947	390388	Dzekijeva zenska
755947	392446	
755947	399006	
755947	399975	
755947	403622	
755947	404391	
755947	410442	
755948	60438	
755948	261322	
755949	244115	
755950	98145	Concession Stand Worker
755951	378168	Dancer
755952	390497	Herself (1st Edition, Winner)
755953	68914	Lucile
755953	387697	
755954	275233	Dr. Stella Stone
755954	390771	Dana Jones (1989-1990)
755955	130316	Jane
755955	168597	Nadia
755955	218136	Jessie
755955	406891	Nadia
755956	245761	Roving Reporter
755957	95952	Helena's Mother
755957	97547	School Charwoman
755957	177691	Shop-assistant
755957	226420	
755957	293700	Maks's Wife
755957	349453	Teacher
755958	399298	Herself - Top 24 Finalist (20
755959	193482	Rahel
755960	85627	Veruscina Chuva
755960	198375	Marcela
755960	219455	
755960	252226	Helena
755960	262635	Jansová, professor
755961	95281	
755961	134548	Kutz
755961	317272	
755961	317274	
755961	356740	
755961	410002	Clemens Bartsch
755962	126364	
755963	142287	Mother
755963	197282	Mother
755964	162021	Wife of the Jones
755964	175635	Kata
755964	249382	Kamila
755964	304461	Muska
755964	322936	
755964	343751	Novák Erzsébet
755964	349194	Jozka´s mother
755965	242756	Gloria
755966	180912	Schwester Notaufnahme
755967	318290	Golfa
755968	23890	
755968	188824	Ursel
755969	345164	
755970	224192	Old Neighbor
755971	72930	Ellen
755971	224192	Wanda, Lulu, Betty,Corvette G
755972	321559	Derby Lady
755973	1664	Monica
755973	18028	Laura
755973	31738	Earlene Pomerleau
755973	32089	Jan
755973	59273	Ann
755973	68124	
755973	79961	Laurie
755973	82049	Mary Jane Preston
755973	82050	M.J. Preston
755973	82051	Mary Jane 'M.J.' Preston
755973	106514	Ainsley DuPree
755973	131885	Stefanie 'Stef' Steinbrenner
755973	137228	Miss Crumbles
755973	154593	Stevie
755973	154988	Laurie Campbell
755973	160373	Sofie
755973	169170	Alison (The Liberty Maid)
755973	185683	Chloe
755973	190115	
755973	201789	Herself
755973	219739	Emily Spellgood
755973	221306	Jane Grant
755973	223026	Karen Swan
755973	224091	Herself
755973	248884	Julie Buckman-Lampkin Hawkes
755973	251646	Tina
755973	253007	
755973	279166	Jonsy
755973	280729	Fewster's Older Daughter
755973	283548	Lorna Phillips
755973	286516	Samantha
755973	291971	Herself
755973	300573	Grace
755973	304870	Rebecca
755973	313141	Kelly King
755973	313762	Bryant
755973	364186	Herself
755973	367435	Helene Moszkiewiez
755973	376311	Claudia Jacoby
755974	10805	Reenie
755974	117540	First Girl
755974	129362	Randa
755974	267932	Face-Off Girl
755975	162886	Heally
755976	381091	Herself (eliminated round 2) 
755977	345287	Luna
755978	211464	Girl
755979	17551	Knyagina Betsy
755979	17553	Anna Karenina
755979	43214	
755979	58459	Desire
755979	107185	
755979	108852	
755979	186867	Odette/Odile
755979	201229	
755979	207496	Zarema (segment "Fountains of
755979	208836	Herself
755979	258705	
755979	303799	Queen Maiden
755980	122202	Carnal Miranda
755981	20097	
755982	15218	Matron
755983	22587	
755983	38229	Nicoleta
755983	49180	
755983	53158	
755983	83531	
755983	86886	Sida
755983	94153	
755983	107398	
755983	161529	
755983	256373	
755983	262658	
755983	314296	
755983	346378	
755983	356823	Dolores Damfi
755984	284424	
755985	5184	WJD Technician #1
755985	40905	Cleopatra/Mom
755985	302299	Dallas/Pandora
755986	12037	
755987	82349	(segment "O Olhar")
755987	160119	
755987	204263	
755987	328973	(segment "O Oráculo")
755987	353644	
755988	315178	Mathilde
755989	275652	Trude
755989	336979	
755989	396617	
755990	153803	Mme Torchebeuf
755991	312721	L'infirmière brune
755992	127621	Mannequin
755993	256578	Sister
755994	91510	Child
755995	218077	Barbara
755996	122488	Helene
755996	314554	
755996	325645	Beatrice
755996	325904	Heidi Knapp
755996	352350	
755996	377290	
755996	391479	Silvy
755997	223506	Candidate #2
755998	4711	Anne
755999	370377	
756000	88584	
756000	155612	
756000	304721	
756001	35597	Goblin
756002	133489	Laurie
756003	381091	Herself (eliminated round 1)
756004	311133	Russian rocket crew
756005	178727	(segment Klinika)
756005	303058	Emma
756005	318615	
756005	347094	
756005	377807	Ágnes
756006	264552	
756007	39142	Nurse #1
756007	72376	Girl at the Surprise Party
756008	124136	Alenka
756010	234279	Propriétaire
756011	376906	Violoniste
756012	381617	Noëlla
756013	15054	
756014	304357	Studine
756015	304176	Vips
756016	406031	Isadora Rousseau
756017	6735	Gabriella
756017	107504	A Fairy
756017	115379	Pop's woman
756017	117581	Mrs. Meredith Van Aiken
756017	297377	Debutante #1
756017	383251	Melinda Maclean
756017	391194	Caroline Spalding
756018	28480	Russian Girl - Young
756019	134109	Betsy Abel
756020	8067	Rebecca Ashby
756020	38051	Elizabeth (Betty) Bentley
756020	55624	Little girl
756020	61162	Nancy Cannon
756020	148391	Katie Washburn
756020	192410	Child
756020	198539	Susie Kettle
756020	218124	Bit Girl
756020	223733	Pringle girl
756020	246251	Judy
756020	275724	Jonica (daughter of LaVolga)
756020	331306	English girl
756020	366584	Alice's mother
756020	403604	Jonica, daughter of Lavolga (
756021	84230	Townsperson
756022	396009	Masie Dawe
756023	2340	German agent
756023	4622	Nursemaid
756023	31059	Mrs. Rogers
756023	51885	Maid
756023	56098	English maid
756023	85184	Elderly Woman
756023	109729	Lady Mong
756023	117557	Miss Pimm
756023	147512	Marjorie, Woman in Church
756023	150765	Mrs. Merritt
756023	157129	Woman Customer
756023	178332	Mrs. Thickness
756023	178342	Nurse
756023	190179	Hotel Desk Clerk
756023	196405	Cleaning Woman
756023	200462	Nurse
756023	214695	Woman
756023	221001	Dorothy's Maid
756023	236129	Justine
756023	249521	Aunt Martha
756023	254654	Librarian
756023	270755	Wilson, Melrose's Maid and co
756023	272025	Paula's nurse
756023	277491	Katie
756023	294514	Mabel
756023	299072	Nurse
756023	313321	Reporter at Shrine Auditorium
756023	318740	Mary
756023	320308	Postmistress
756023	327193	Amelia Sheldon
756023	343249	
756023	347855	Woman
756023	365926	Jeanette Rankin
756023	367535	Woman Attendant
756023	367919	Miss Fordyce
756023	372145	Lady Melville
756024	847	Nanny
756024	10210	Jeanne Vertefeuille
756024	16037	Mam
756024	24790	Eva Krichinsky
756024	26860	Martha Sowerby
756024	27877	Aunt Angie
756024	35605	Aunt Clara
756024	38726	Meg
756024	47058	Norma Bates
756024	47117	Mrs. Arness
756024	47191	Phyllis Grimshaw
756024	52577	Sarah Keller
756024	63022	Reader
756024	65934	Mrs. Monro
756024	68009	Adriana
756024	77676	Bea Johnson
756024	78607	Lady Pitts
756024	81682	Edith
756024	82899	Mrs. Martha Wilson
756024	86033	Mrs. Frank
756024	87009	Baylene
756024	93594	Nellie
756024	94012	Cissie Colpitts 1
756024	100663	Mrs. Fisher
756024	101721	Jean Rice
756024	102244	Dora Strang
756024	118970	Phoebe
756024	125989	Mother Superior
756024	129461	Lady Foxley
756024	131910	Beatrice Fairfield
756024	150876	La Poncia
756024	154017	Sophie
756024	154446	Nadja
756024	157192	Lady Bracknell
756024	165449	Mrs. Fairfax
756024	184899	
756024	185053	Teacher
756024	186164	Herself (presenter)
756024	186166	Herself
756024	211349	Portia
756024	221183	Mrs. Crawford
756024	221305	Mrs. Palfrey
756024	240626	Mrs. Appletree
756024	256079	Grandma
756024	257078	Dorothy
756024	268211	Mrs. Linzer
756024	276790	Mrs. Yeobright
756024	277258	Mrs. McConnahay
756024	289603	Harriet Hibbons
756024	312939	Olga
756024	326383	Mary Wallace
756024	330681	Rosemary
756024	331607	Masha
756024	333381	Agnes Cole
756024	335155	Mrs. Bartholomew
756024	342359	Viola, Sebastian
756024	345837	Sonya
756024	364869	Mrs. Doyle-Counihan aka Mrs. 
756024	387583	Marie Pinoni
756024	410513	Mrs. Taylor
756025	27247	Performer: Bad Girls The Musi
756025	96873	Julie
756025	199079	Dolly
756025	387247	Julie Cooper (1989-1990)
756026	206892	Queen Elizabeth I
756026	340009	Suor Angelica (Suor Angelica)
756026	396699	Hermione Harefield
756027	340650	Leonora
756028	138862	
756029	113363	Student #1
756029	156851	Edgemont Girl #5
756030	37189	Housewife
756031	21549	Phebe
756031	52810	
756031	293733	Mrs. Metcalfe
756031	387060	Mary
756031	392171	
756031	401689	Diane Francis/Harries (1998-)
756032	61716	Herself/OSE Educator
756033	5133	Francoise Leclerc
756033	43341	
756033	163080	Edelgard
756034	378693	Herself
756035	17048	Gloria
756035	33265	Madeleine Forestier
756035	48408	Rachel Fachmin
756035	86391	Alissa Thal
756035	104463	Susanne
756035	111770	
756035	124372	Bella
756035	144714	
756035	160597	Claire Imhoff
756035	177176	Elena
756035	189610	
756035	204440	
756035	205043	
756035	218867	Julia
756035	221284	Melanie Klein
756035	225676	Mascha Schamjarewa
756035	275052	The Actress
756035	281945	
756035	290801	Eva
756035	308847	Mother
756035	322941	Julia Chomin
756035	325520	Brigitte Beerenberg
756035	334556	Nicole von Beck
756035	338422	
756035	340091	Andromache
756035	359658	Olivia
756035	376502	Cäcilie
756035	406730	Gräfin von Claudieuse
756036	22845	Bettina
756036	26317	Eva
756036	59726	Skuespiller
756036	117458	Aase
756036	117875	Karin Fritch
756036	162657	Vivi
756036	198282	Josefines mor
756036	201220	Maj
756036	209389	Glauces Stemme
756036	389397	Louise
756036	403379	Mona's Mother
756036	403380	Mona's Mother
756037	42533	April Harris
756037	168737	Clerk
756037	193898	Sarah Freeman
756037	202389	Neighbor Boy's Mother
756037	211529	Mrs. Martha Crain
756037	231118	Denise Shebola
756037	330323	Pagans #4, Townspeople #5, Fe
756037	404504	
756038	44740	Ballet mistress
756038	118949	Marriage registrar
756038	209170	Daughter
756038	358727	
756039	136828	Relative
756039	258761	
756039	264161	Courtier/Girl Graduate
756040	78951	Denise
756040	171279	Denise
756040	266592	Stacey
756041	4671	Herself
756041	10351	Dawn Wetherby
756041	45778	Herself
756041	45779	Herself
756041	45782	Herself
756041	45783	Jan Brady
756041	45784	Jan Brady
756041	79698	Dawn Wetherby
756041	117486	Cindy Carrington
756041	121208	Mrs. Ann Hatcher
756041	151104	Margaret Ord
756041	154959	Kalinga's Wife
756041	176748	Revolutionary #3
756041	192412	Elizabeth 'Beth' March
756041	201598	Mrs. Noah
756041	204049	Professor Mason
756041	232246	Terry Kelly
756041	236135	Mrs. Sighvatssohn
756041	288058	Gretchen
756041	292888	Vicki Wood
756041	327172	Kim
756041	352700	Jan Brady Covington
756041	368476	Brady Bunch Kids, The
756041	379065	
756041	382640	Jan Brady Covington
756041	382642	Jan Brady
756041	382643	Jan Brady
756041	382644	Jan Brady Covington
756041	389478	Ann Hatcher
756041	390607	Lilla
756041	395756	Lissa
756041	401850	Jan Brady
756042	202363	Ms. Plickett
756042	396117	Eleanor Saxton Kimball (1977-
756043	127811	Miss Leach
756043	137712	Mother Paul
756043	313626	Mrs. Tyron
756043	391070	Grandma Kilker
756043	391869	Doris Peters (1989)/Elizabeth
756043	399130	Ida (1985)
756043	403355	Mum Foote
756043	411809	Ada Simmonds (1976-1982)
756044	132281	Anna
756045	238420	Queen Alcinous
756046	32744	Shannon Plumb
756047	117490	Party Guest
756047	156777	Kathy
756047	232493	Sharon
756047	381041	Ginger
756048	37693	
756049	46242	Post Office Clerk
756050	979	Mari
756051	84696	Madame Forest
756051	218448	Une curiste
756051	345135	Mlle D'Alleray
756051	403907	Didi Cornichon
756052	283006	Fran
756053	2855	Jane
756054	212084	Yvette
756055	294239	Reporter
756056	1703	Herself
756056	2355	Herself - Best Supporting Act
756056	2592	Herself
756056	3113	Beryl
756056	14124	Sandra
756056	18818	Miss Chenille
756056	46660	
756056	47385	Herself
756056	47386	
756056	50645	Eunice
756056	57027	Annie
756056	72021	Laura Vaughn
756056	78217	Susan Isaacson
756056	80467	Frieda
756056	89686	Mamie
756056	90341	Bridget
756056	94167	Shelley
756056	113293	Rothstein
756056	114392	Lydia
756056	119597	Nun
756056	119622	Ramona Lutz
756056	126492	Miss Dawson
756056	133371	Jalyn
756056	134916	Miss Ferenczi
756056	143526	The Fates
756056	143527	Clotho
756056	150606	Miss Miscarriage
756056	153645	Myrna Malloy
756056	156356	Gionalista ABC
756056	168292	Dagmar
756056	175479	Claude's Mother
756056	179423	Phyllis
756056	182989	Red Pool Owner
756056	185071	The Last Angel
756056	185372	Lillian Burke
756056	195208	Sabrina
756056	199499	Wiley Foxx
756056	214090	Vivien
756056	214301	Simone
756056	215644	Lusia Weiss
756056	224089	Laurie
756056	229325	Netitia 'Nettie' Cobb
756056	235352	Catherine De Medici
756056	238152	Denise
756056	251177	Franny
756056	264508	Sam
756056	265864	Rachael
756056	267038	Honey Bunny (Yolanda)
756056	267039	Herself
756056	278012	
756056	278279	Paulina Marcos
756056	288462	Merrill Whooly
756056	295297	Ellen Shaw
756056	296847	Prof. Tracy
756056	300962	Sister Graziella
756056	302236	Boots
756056	306431	Rose Michaels
756056	313975	Julia Purcell
756056	315731	Narrator
756056	334065	
756056	339669	Penny Archer
756056	340738	Susan Lizar
756056	346139	Franny Basilio
756056	346948	Angela Dunoway
756056	350282	
756056	364511	Cara Clausen
756056	368363	Ellen James
756056	372102	Susan Cooperberg
756056	406617	The Snow Girl
756057	400201	Kula May Perot
756058	156466	TV Announcer
756059	96795	Rita
756060	289469	New Path Resident #2
756061	245536	Plain Woman
756062	382937	Charmian Rybeera
756063	16003	Sally
756064	81973	Woman
756065	296742	Judy
756066	136832	Pi Girl
756067	137565	Amy
756067	323387	Penny
756067	386924	Lucy Eaton #1 (2002)
756068	21628	Hanging Female Corpse
756068	169522	Joane
756069	4369	Townswoman
756069	20259	Martha Lorimer
756069	35780	Woman at inquest
756069	37354	Mrs. Cal Brett
756069	37458	Nurse
756069	44338	Townswoman
756069	44693	Townswoman
756069	45925	Mrs. Camp (Rod's mother)
756069	45932	Mrs. Plummer (Molly's houseke
756069	49238	Stage passenger
756069	49358	Mother Craig
756069	52476	Townswoman
756069	52685	Rancher's wife
756069	57049	Townswoman
756069	64090	Woman in courtroom
756069	64391	Mother
756069	67410	Chicago Woman
756069	67416	Townswoman
756069	67862	Townswoman
756069	67865	Woman in Bank
756069	72257	Townswoman
756069	72438	Impatient Woman in Ticket Lin
756069	73408	Mrs. Malloy [Ch. 11]
756069	75849	Townswoman
756069	75866	Mrs. Malloy, cleaning woman s
756069	78878	Aunt Pattie
756069	83991	Mrs. Watkins
756069	84926	Townsman
756069	94766	Dancer
756069	96829	Carnival person
756069	99428	Matron
756069	108026	Chambermaid
756069	112403	Townswoman
756069	112483	Townswoman
756069	112561	Minnie
756069	112624	Trading Post Customer
756069	115180	Court spectator
756069	118916	Villager
756069	128284	
756069	128700	Matron
756069	128960	Clem's wife
756069	131472	Small Woman
756069	135823	Concerned mother
756069	135929	Woman at dance
756069	135995	Townswoman
756069	136049	Mrs. Summers
756069	142125	Brings baby
756069	157118	Neighbor
756069	160450	Mom Cobb
756069	164446	Lydia (Charmian's secretary)
756069	176368	Townswoman
756069	178976	Jury member
756069	186356	Townswoman
756069	186357	Mrs. Mary Carruthers
756069	186410	Homesteader's wife
756069	188542	
756069	190065	Bit Woman
756069	190579	Townswoman
756069	199752	
756069	203279	Tennessee woman
756069	204012	Ship Passenger
756069	206167	Rosie Bradley
756069	218483	The Nurse
756069	224629	Townswoman
756069	237670	Homesteader's Wife
756069	239559	Townswoman
756069	242569	
756069	245377	Mrs. Brady
756069	245510	Onlooker outside the bank
756069	245744	Stage passenger
756069	246215	Woman in street
756069	251652	Party guest
756069	254524	Townswoman
756069	261423	Woman in Cafe
756069	274263	Townswoman
756069	274280	Rancher's wife
756069	276710	
756069	276724	Music teacher
756069	276792	Townswoman
756069	277879	Mrs. Gordon
756069	282526	Rancher's wife
756069	283864	Mrs. O'Brien [Ch. 4]
756069	285438	Townswoman
756069	287746	Townswoman
756069	292330	Flower woman
756069	296951	Landlady
756069	297970	Cook
756069	298495	Townswoman
756069	299034	Rancher's wife
756069	302727	Townswoman at Party
756069	302785	Homesteader's wife
756069	308346	Townswoman
756069	311025	Bus terminal woman [Chs. 1-2]
756069	312836	Townswoman
756069	319073	Townswoman
756069	321519	
756069	323206	Mother's Train Companion
756069	323420	
756069	331356	White Haired Farmer's Wife
756069	331498	Townswoman
756069	332046	Mrs. Johnson
756069	335010	Woman at dance
756069	337608	Spectator
756069	342895	Townswoman
756069	346240	Woman
756069	349633	First Old Woman
756069	350032	Townswoman
756069	358163	Ma Benton
756069	362681	Nina the Baldwin Housekeeper
756069	363475	Townswoman
756069	364453	Passenger
756069	366257	Townswoman
756069	367400	Woman in line at the bank
756069	370566	Mrs. Billingsly
756069	371794	Townswoman
756069	371887	Woman at Fiesta
756070	316502	Lady #1
756071	297101	Teenage Girl #1
756071	301660	Pledge
756072	166871	Additional cast
756073	312850	Drama Teacher
756073	384460	Mrs. Fleming
756073	390163	Mary McDermott- Moran
756075	64079	Cinderella
756075	71684	Sarah Clifford
756075	107897	Kathleen Scollard (older teen
756075	177145	Kathleen
756075	240733	Lesley
756075	375745	Jenny Cassidy
756075	381094	Alison
756076	46415	Eliza Becker
756076	57929	Mrs. Sawyer
756076	65099	Mary Egan
756076	81587	Donna McKenzie
756076	116799	Heleport Mother with Little I
756076	192437	Barbara
756076	193175	Kathy Mulcahey
756076	331621	Anne Putnam Sr.
756077	296777	Herself (widow of Joseph Plun
756078	43461	Mary Phillips
756078	73938	Alice
756078	95255	Grace Holden
756078	103444	Eldon Baker
756078	115298	Doris Newman
756078	155641	Betty
756078	163199	Doris Sandigate
756078	184519	Mona
756078	204021	Miss Cricker
756078	222770	Jan, Stephen's Wife
756080	274273	
756081	345467	Lotus
756081	384434	
756082	89207	Club Doorgirl
756083	251527	
756084	183108	Irene
756085	348509	
756086	291593	
756087	85214	Fyodorov's Wife
756087	293685	Rubtsov's wife
756088	100367	Eva
756088	234004	
756088	393479	Sílvia
756089	218221	Receptionist
756090	290029	Meierin
756090	365638	
756091	115103	Verrückte Dame
756091	325536	
756092	44037	
756093	405900	Evy Sjöström
756094	97036	Ah Girl's mother
756094	321210	District Attorney
756094	375694	Camper's Wife
756095	231735	
756096	223400	Tahitian
756097	71174	
756097	116628	Gracieuse/Graciosa
756097	175052	Juliet
756098	58693	
756099	110584	
756099	124574	
756099	145428	Seargant's daughter
756099	231222	Edward's Mom
756100	14002	Mary
756101	14002	Stephanie
756102	5969	3 (three)
756103	128008	
756103	242615	
756104	92087	
756104	162735	Ester
756104	239465	Ane
756105	137641	Teresa (dancer)
756106	47548	
756106	53050	Nicole
756106	119357	Brynne
756107	374133	Die Königin der Nacht
756108	103962	
756108	120718	Laura
756108	146564	Older Serón Sister
756108	326178	Nelly
756108	410316	Marisa
756109	75187	
756110	221869	Xena
756111	294995	
756112	151895	Miriam
756113	200043	
756113	351496	
756113	375414	Mína
756114	288859	Laura
756114	355359	Claudia
756115	67829	Tori
756115	87980	Tori
756115	87987	Tori
756115	177492	Tori
756115	196627	Terri Power
756115	196628	Terri Power
756115	234073	Tori
756115	318836	Tori
756115	320138	Tori
756115	368816	Tori
756115	368834	Tori
756115	369242	Tori
756115	369275	Tori
756115	369279	Tori
756115	369290	Tori
756115	369307	Tori
756115	402907	Tori (1999-2001)
756115	406933	Tori (1999-2001)
756115	408643	Herself - Trainer (2001)
756115	411545	Tori (1999-2001)
756116	257432	Antonia
756116	387869	Teresa
756116	397414	Padrina Cargol
756116	407808	Carmeta
756117	209283	Etaniya, the alien woman
756117	269317	Woman on Alien Planet
756118	33126	
756118	231623	
756118	276490	Rita
756119	355978	
756120	208827	Female Guest
756121	361710	Angelina
756123	80202	
756123	189017	
756123	256454	
756124	6211	Stewardess
756124	237717	Tanja
756124	250928	Tobias' Mutter
756125	69761	Martine
756126	243773	Diane
756127	270008	Queens Neighbor
756128	192072	Little Monster
756129	218004	Herself
756130	391479	
756131	13001	First beggar
756131	32855	Sodnikova
756131	75747	Luca Skalar
756131	84788	
756131	88135	
756131	132610	Francijeva mama
756131	165719	Blondinka
756131	214806	
756131	258147	
756131	292985	
756131	314651	
756131	333794	Hedvika
756131	343956	
756131	374044	
756132	88540	Alenka
756132	238390	
756132	270301	Ksenija
756132	339752	
756132	398999	Dr. Lili Muha
756133	176906	
756133	286243	Jill
756133	351740	Dancer
756133	408122	Various roles
756134	179897	
756135	99067	Nick's daughter
756135	155909	Blythe Steffen
756136	285607	Ann
756137	205006	
756137	206571	
756137	253446	
756138	40867	Sisata
756138	73578	
756138	181945	
756138	202038	Zvezdana 'Stela', porno diva
756139	116270	Lina Lewicki
756139	362382	Eliza
756141	303700	Irenka
756142	296898	Caroline
756143	60186	Church Girl
756144	60186	Agnieska's Sister
756145	60186	Agnieska's Sister
756146	78139	Female Trainee
756147	226448	
756148	181360	
756149	338344	Holly's Sister
756150	146743	
756151	116138	Concert Singer
756152	53132	Susan
756153	82691	
756154	7889	Nicole T. Bitch
756154	348601	Lorie
756155	400	Hogelman Nurse
756155	29531	Chris
756155	41293	Rose
756155	42913	Circus Character
756155	77629	Sadie Maracle
756155	88102	Pique
756155	90419	Casey
756155	114377	
756155	194765	Kate
756155	214455	Gloria Crosby
756155	297874	Tala
756155	299870	Hope
756155	358985	Kim Barilko
756155	384894	Cecilia
756155	398003	Deb Johnson
756155	403316	Sadie Maracle
756155	403469	Michelle Martin
756156	382210	Malia (age 12)
756157	77629	Little Margaret
756157	168695	Rox
756157	382210	Malia (age 16)
756157	402947	Carla Slavinski
756157	403316	Lucy
756158	281293	Victoria
756159	176482	
756160	80139	Charlotte
756161	34577	
756161	48191	
756161	55942	
756161	292938	
756161	301886	
756161	377097	
756162	376567	Helena
756163	6294	Elsa
756163	16818	Lisa
756163	37588	Bethi
756163	54154	
756163	67491	
756163	69115	
756163	89834	Stefania
756163	90156	Luisa
756163	106745	Isabel
756163	108506	Pereira
756163	119365	Jamila
756163	121955	Lianora
756163	124563	Rosalia
756163	132963	Giorgia
756163	133048	
756163	135192	La figlia di Bottoni
756163	142301	Helena
756163	143525	Hera
756163	148781	Cocò Lampugnani
756163	162079	
756163	188659	
756163	219677	
756163	234745	
756163	235304	María Pedrosa
756163	243316	Carla
756163	247516	Simone
756163	247963	Lilia
756163	257568	
756163	263273	Silvia
756163	270842	Tosca
756163	272948	Costanza Varno
756163	274413	Rossana
756163	287827	Isabella
756163	290001	Antea
756163	293342	Maria, Rosa's Mother
756163	295159	Princess Snow White
756163	295169	Giorgia
756163	301165	
756163	306873	Shuah
756163	307633	Fabiola
756163	310212	Marta
756163	316374	
756163	319026	Clara (segment "Armando's Not
756163	338017	
756163	343992	Delia Benetti
756163	344362	Nausica
756163	350814	Maria
756163	352227	Mary Hunter
756163	355787	Marisa
756163	355801	
756163	378078	Caterina
756164	24545	
756164	70009	
756165	52891	Camila O'Gorman
756165	204833	Manuelita Rosas
756165	294074	
756165	332641	
756166	2224	
756166	10125	
756166	14787	
756166	25067	
756166	30317	
756166	34560	
756166	51670	
756166	54102	
756166	72887	
756166	74902	
756166	88822	
756166	98700	
756166	103480	
756166	103720	
756166	127378	
756166	131972	
756166	147295	
756166	148030	
756166	160611	
756166	169768	
756166	193141	
756166	199303	Viuda Lefrancois
756166	221747	
756166	221933	
756166	222822	
756166	229425	
756166	234421	
756166	251584	
756166	260521	
756166	265154	
756166	301189	
756166	302980	
756166	317702	
756166	320348	
756166	322220	
756166	332681	
756166	334677	
756166	340361	
756166	341348	
756166	345077	
756166	353204	
756166	355751	
756166	376681	
756166	376865	
756167	243809	
756168	380076	Silvia de Irragui
756169	43971	The Dragon
756170	96736	Angela
756170	232072	Judy Cassidy
756170	363011	Cally Harper Ewing
756170	385594	Calpurnia Elizabeth 'Callie' 
756171	342871	Cricketer
756172	82495	Klavdiya Naumenko
756173	17502	Anna Herzog
756173	44672	
756173	102414	Xeni
756173	325845	
756174	320640	Jula
756175	249047	Angela
756176	7217	Anna Marie
756176	139511	Emca Hájová
756177	179345	
756178	38000	Soloist
756179	13210	
756179	114206	Queen Olga
756179	182442	
756179	340005	
756179	379527	
756179	380817	
756180	335689	Judy
756181	266735	Toano Middle School Student
756182	366267	Julia
756183	77009	
756183	175082	
756184	1888	Ana
756185	1888	Valentinina mama
756186	75767	Herself
756187	112844	Marquese de Berckenfield
756188	334117	Clarissa
756189	99138	Girl at party 2
756189	237685	Emily
756189	255859	Jessica Roundy
756190	381821	Ensemble (1974-1975)
756191	321424	
756192	351975	Bozena Skácelíková
756193	168395	St. Margaret/Courtier
756194	241987	
756195	339345	(segment - III. Koplji pod br
756196	375307	
756197	183220	
756198	54315	
756199	29523	Barfly
756200	74267	Customs agent
756200	106193	Dr. Melissa Kyle
756200	117231	Newsperson #1
756200	165484	Woman #1
756200	217528	Receptionist
756200	241038	Nurse
756201	95927	
756201	374677	
756202	399130	Pam Muir (1988)
756203	265045	
756204	391621	Herself
756205	28044	
756205	94514	
756205	174177	
756205	192880	
756205	209235	
756205	215122	
756205	239465	Nina Andrejevna
756205	258776	
756205	328149	
756205	399005	
756205	409022	
756206	333794	
756207	18954	Mary Magdalene/Plague
756207	132181	Female Singer
756207	299342	Oma
756208	271813	Herself
756209	94621	Dancer
756210	272930	News Crews
756211	280152	Emily Rockwell
756211	317960	Cola-Marie
756212	239719	Honey
756212	334116	Barbara Shelby
756213	346956	Plug Ugly's Wife
756214	33527	Cashier (Yellow)
756215	42729	Convenience Store Woman #1
756215	67395	Church sister
756216	11529	Mother
756216	20336	Leah Faraday
756216	118020	Ruth Simon
756216	131571	Betsey
756216	296935	Josie Lee
756216	313778	Prostitute
756216	362133	Julie's Mom
756217	51791	Medical Student
756218	81981	Additional Voices
756218	84486	Ruth
756218	84829	
756218	102013	Natalie Vanderpark
756218	103285	Mary/Various
756218	206629	Patty
756218	209133	Mrs. George
756218	309943	
756218	335338	Woman Sprayed with Hose
756218	361907	Susie
756218	365270	
756218	395214	Stacy, Andy's Little Sister/V
756218	404337	Various (2001-)
756218	409664	Colby, Various
756219	162099	Fairy (Corps de Ballet)
756220	85597	Emília
756220	104093	Ana Maria
756220	183508	Housemaid
756220	202549	Luísa
756221	215487	Herself
756221	397888	Herself (2002)
756222	155144	
756223	166173	
756223	347566	Tatiana & Tania Itovitch
756223	357367	Jacqueline
756223	409602	
756224	51377	Ben's Mother
756224	357827	Mme Lambert
756224	383486	La mère du mourant
756225	72332	Rosemary
756226	111791	Girl #2
756227	382224	Woman, Inaugural #2
756228	218403	
756228	411687	Emily Warner (2003-)
756228	411802	Kyle Jenkins (aka Christian V
756229	218403	
756229	411687	Emily Warner (2003-)
756229	411802	Kyle Jenkins (aka Christian V
756230	90348	Dwarf
756231	64631	Billa
756232	223807	Mrs. Abrams
756233	17048	Hairdresser
756234	290180	
756235	252235	Vonnick
756236	139222	Student #2
756237	105110	
756238	178584	Gerlinde
756238	347789	
756239	295873	
756240	17184	Wilma
756241	116138	Bunny
756242	116138	Nicki's Mom
756243	392911	Classe de Victor
756244	270840	
756245	263431	Vera
756246	70550	
756247	142351	Marty's Mother
756247	368023	
756247	385783	Susan
756247	393262	Mimi
756247	411378	
756248	345929	Herself - Renate's Mother
756249	396610	Maria Maravilha (1999-2001)
756251	9627	
756251	33664	
756251	51370	Inge
756251	52054	
756251	53011	
756251	56329	
756251	57832	
756251	74951	
756251	88841	Kathi
756251	124552	Luisa Valenti
756251	127385	
756251	212392	Alessia
756251	248590	
756251	263240	Marilù
756251	269003	
756251	269492	
756251	287013	Mary, Mother of Jesus
756251	308422	
756251	308903	
756251	315942	
756251	328872	
756251	332748	Patrizia
756251	338712	Irene Mori
756251	344442	Lise Cohen
756251	344606	Laura
756251	354769	Amanda
756251	356213	
756251	379854	
756251	381615	
756251	383058	
756251	383676	Clara
756251	384758	
756251	392738	Cristina Ansaldi
756251	392741	Cristina Ansaldi
756251	392743	Cristina Ansaldi
756251	398032	
756251	401148	
756251	402786	
756251	406004	Sandra Vannucci
756251	409936	Carlotta Maggi
756252	41225	Woman at lawn party
756252	141566	
756252	176335	Specialty Dancer
756252	210404	Carmen
756252	230302	Exhibition dancer
756252	305934	Asylum Inmate
756252	309286	Member of Dance Team
756253	240058	Cousin Louise
756254	53821	Diane
756254	148952	Laura
756254	237904	Tina
756254	297101	Suzi
756255	191208	
756255	217769	
756257	28768	Judge
756257	94634	
756257	183478	Claudia
756257	252749	
756257	301370	Chiara
756257	302184	Elena
756258	171470	
756258	319510	
756258	319511	
756258	382691	Betty
756259	407599	
756260	225031	Artista 1
756261	355698	
756262	349811	Segundo's Girl
756263	338662	
756264	17332	Sona
756264	95927	
756265	183480	Friend
756266	86274	Dispatcher
756266	143831	Receptionist
756266	168675	Woman
756266	277471	Photographer
756267	180941	
756268	229553	Fagot
756268	261466	Kleopatra
756269	6006	
756269	38229	(Guest Appearence)
756269	65703	
756269	70319	
756269	91546	
756269	92892	
756269	94108	
756269	96501	
756269	129529	
756269	187362	
756269	197366	
756269	209165	
756269	260329	Village woman
756269	274827	
756269	333558	
756269	338952	
756269	355607	
756269	374636	
756269	396173	
756269	396174	
756270	44816	Wanda
756271	265939	
756272	35900	
756272	95627	Reditelka sirotcince
756272	179197	
756272	231634	The Maid
756272	315017	Zoska
756272	373548	Zuzia, a showgirl
756273	180791	
756274	275784	Sharon
756275	161259	Herself
756276	275784	Shelley
756277	348509	Agata's Friend
756278	9254	Freddy Furnish
756278	46215	Shirley
756278	54490	Teacher
756278	68693	Young Bride
756278	103593	Malcolm's mum
756278	138899	June Carberry
756278	185451	Young Elizabeth's Mum
756278	214184	St. Clare
756278	221238	Audrey
756278	250827	May, The Past
756278	267426	Woman at Door
756278	308183	Liz
756278	316303	Joan Royce
756278	388350	Dora
756278	403047	Phyllis
756278	408091	Doris
756278	410711	Vi Blair
756279	142994	
756280	9250	Anna, Petõ felesége
756280	25723	
756280	51104	Bözsi
756280	74393	
756280	74432	Terike
756280	74437	Piroska (the headmaster)
756280	74463	
756280	97993	Magda
756280	98793	Monoriné, Rózsi
756280	110921	
756280	134635	Joiner's Wife
756280	147369	Tünde's Mother
756280	153637	Mrs. Schneider
756280	161682	Trafikosnõ
756280	187514	Rozi, Józsi's mom
756280	211702	Cassiusné (Bella)
756280	211707	Mrs. Kovács, Vera's mother
756280	247522	
756280	273683	Kathi Blumich
756280	306702	Bori néni
756280	309354	Mom
756280	322016	Szaffi
756280	322025	Lidi
756280	322208	Emma
756280	322210	Micike, a fõhadnagy gépírónõj
756280	322215	
756280	343744	Mother
756280	343752	Gigi's voice
756280	345225	Patronne Soleil Levant
756280	357549	Young Vuk
756280	375162	Vilma,Fikász felesége
756280	376039	Nora
756280	377128	
756280	377143	Mimike, teacher
756280	401000	
756281	91252	
756281	394977	
756282	382903	Chen Xiaoyan
756283	14738	
756283	21722	
756283	99616	
756283	162739	
756283	163183	Kaarina
756283	170246	Marja
756283	174307	Irmeli
756283	179736	Irma Vanne
756283	181562	Helinä
756283	181631	Barbara
756283	190658	Koistisen vaimo
756283	233246	
756283	237240	
756283	237241	Eeva Valve, Tuula's mother
756283	239976	Liisa Kaski
756283	271605	Lissie
756283	278873	
756283	301864	Johanna Sillankorva
756283	332518	
756283	343396	Hertta Vuori
756283	352598	Astrid Bergas
756283	354598	Kaarin Turkka
756283	357785	Everstinna Tossavainen
756283	357786	Everstinna Tossavainen
756283	357788	rouva Tossavainen
756283	357789	Everstinna Tossavainen
756283	406892	Linnea Ravaska
756284	170516	
756285	358063	
756286	9507	Alma Koskela
756286	10955	Sanni
756286	16806	Alma
756286	100011	Ranen mummo
756286	144708	Hurmeen vaimo
756286	179291	Pankkineiti
756286	182377	Mrs. Nilsen
756286	197362	Rva Lindqvist
756286	242261	Mummo
756286	261537	
756286	265453	Elisabethin äiti
756286	270191	Grandmother
756286	272836	Liisa
756286	303180	Lotta
756286	343509	Alma Koskela
756286	349137	Anni
756286	350107	Kaisa Kallio
756286	356186	Mrs. Palmu
756286	357793	Old lady on the train
756286	391466	Tyyne
756286	392347	Tyyne (1991-1996)
756286	394538	Henni Haapasalo
756287	184789	Hautajaisvieras
756288	174209	Hilja
756288	177040	Seamstress
756288	213419	Society belle
756288	214835	
756288	229626	Woman
756288	285959	Cashier
756289	226811	Paula Oliverstamm
756289	283959	Sofia
756289	400045	Henna Eerola
756290	339062	
756291	182752	Prinzessin
756292	129681	Erika
756293	6584	Guest at Hasselbacken
756293	301218	Student
756294	289907	
756295	11837	Marikke Guttman
756295	100968	Nicolette
756296	11774	Anna Stolberg
756296	12903	Marie
756296	83902	Gertrud
756296	92522	
756296	122545	Lotti Riehl
756296	125163	
756296	134903	Oberin
756296	147194	Ulla Kranz
756296	164262	
756296	166715	Tante Ellen
756296	177185	Mutter Henk
756296	199574	Johanna Bredow
756296	204492	Johanna Winter
756296	212765	
756296	216329	
756296	230031	
756296	290582	
756296	290594	Frau Zaluskowski
756296	290596	Frau Zaluskowski
756296	290840	
756296	317479	Kriminalbeamtin
756296	319632	Frau der Geisel
756296	325622	Brigitte Ansbach
756296	325800	Helga Rubeck
756296	338446	Olga
756296	348683	Lotti Riehl
756296	376000	Frau Müller
756296	380905	
756296	386334	Vera Drombusch
756296	387161	
756296	387381	Tochter Lamprecht
756296	390194	Thekla
756296	391004	Anna
756296	392618	Carla van Esken
756296	393254	
756296	393431	Tante Ellen
756296	404435	
756296	406321	
756296	409720	Gerda Heimann
756297	210112	
756298	97595	
756298	115967	Suse
756298	152846	Mutter
756298	167152	
756298	185984	
756298	193474	
756298	230070	
756298	259193	Anna
756298	341408	Ella
756298	389957	Ruth
756299	126755	Pam
756299	385824	Amy Kositchek (1978-1979)
756300	54913	Fighter
756301	134980	
756302	103137	
756303	110180	Sara
756303	230508	Bettina
756303	291897	Kim's secretary
756303	296876	Lane
756303	318510	Anna
756304	344176	Amanda
756305	333517	Gibraltar Operator 6
756306	233646	Susie Willis
756307	318386	Bar Girl 2
756308	136234	Dana
756309	58415	La jeune fille aux huitres
756310	216592	Young Woman
756311	199954	Girl
756311	215684	Featured Guest
756311	341786	Dr. Harriet Berg
756311	367323	Pauline van der Veer
756312	45452	
756313	348229	Club Patron
756314	122320	Script Supervisor at Film Stu
756315	401125	Juulia
756316	182215	
756317	215905	Grieving Mother
756318	127394	Young woman
756319	316953	Lady #2 in garden
756320	391803	Herself
756321	345533	Mathilde
756322	87979	Auditioner #1
756322	358642	Edna
756323	169296	Laure Pointeau
756323	353934	Angel
756324	84078	Jeanne
756324	107509	Lila
756324	154937	Fille casting
756324	240298	Lili
756324	249208	Justine (9-12 years old)
756324	281334	Little Girl
756324	345423	Tessa
756324	356369	
756324	377697	Domino
756324	379655	Jeanne 11 ans
756325	56158	Female student
756325	99327	TV News Reporter
756325	250448	Daisy
756326	2630	Herself/presenter
756326	2831	Herself/presenter
756326	13781	Herself (The Pointer Sisters)
756326	13784	Performer
756326	54749	Wilson Sister
756326	87579	Herself
756326	87779	
756326	220211	Herself
756326	221831	Herself
756326	250990	Herself
756326	258910	Herself
756326	296552	Our Guests at Heartland
756326	356350	Herself - Lead vocal
756326	360377	
756326	392423	Herself
756327	13781	Herself (The Pointer Sisters)
756327	54749	Wilson Sister
756328	2630	Herself/presenter
756328	13781	Herself (The Pointer Sisters)
756328	13784	Performer
756328	54749	Wilson Sister
756328	87779	
756328	119775	Marsha
756328	177591	Herself
756328	220211	Herself
756328	221831	Herself
756328	258910	Herself
756328	356350	Herself - Lead vocal
756329	152563	
756330	67161	
756331	363431	
756332	169679	Pig Muffin
756333	2173	Emma Dvorak
756333	5903	Herself
756333	12293	Susan Hight
756333	19824	
756333	37286	Lucy Meredith
756333	41988	Mrs. Beaumont
756333	51483	Dr. Berllin
756333	55625	Mrs. Snell
756333	55635	Lily Henson
756333	67200	Jean MacArthur
756333	68736	Mrs. Donellan
756333	72372	Mrs. Henry Howard
756333	74199	
756333	81282	Marion Chapman
756333	87924	Nurse Francine
756333	98804	Missy LeHand
756333	107388	History teacher
756333	107689	Mrs. Lee
756333	115095	Nora Allen
756333	120623	Mrs. Martha Williams
756333	125576	
756333	127522	Rosalee Boyer
756333	131692	Myra
756333	133829	Miss Harris
756333	148996	Rosella Ramsey
756333	175100	Helen Hunter McVey
756333	176919	Judge Cudahy
756333	194278	Mrs. Dunn
756333	206856	Laura Atherton
756333	212960	Diana Hutchison
756333	217479	Ruth Meredith
756333	217600	Mrs. Chadwick
756333	224648	She
756333	231533	Mabel
756333	232455	Dr. Elizabeth Simms
756333	241957	Chrissie Campbell
756333	246699	Barbara
756333	270933	Mrs. Snell
756333	283304	Queen Grizelda
756333	283426	Mary Bennett
756333	300099	Alice Ryan
756333	338538	
756333	342512	Miss Cox (Segment #2)
756333	345650	Grandma
756333	383228	Lillie
756333	385594	Rebecca Barnes Wentworth (198
756333	389412	Mrs. Amelia Austin
756333	391359	Grace Hemingway
756333	410977	Adrienne Harris Rainey (1972-
756334	2630	Herself/presenter
756334	13781	Herself (The Pointer Sisters)
756334	13784	Performer
756334	54749	Wilson Sister
756334	87579	Herself
756334	87779	
756334	220211	Herself
756334	221831	Herself
756334	258910	Herself
756334	356350	Herself - Lead vocal
756335	147784	Gutted Woman
756335	188566	Mother
756335	333215	Mona Richens
756335	366755	Maid
756336	46162	Kiddy die Negertänzerin
756337	245526	Carol
756338	80183	La vieille dame
756339	239489	Participant (Biathlon)
756340	280561	
756341	407	Maria Rind
756342	407	Extra
756343	96111	Siliconed girl
756344	146943	Elaine
756345	79711	Narrator
756346	15091	Annette
756346	16156	Fanny Miller
756346	51409	Emilienne de Montluçon
756346	66835	Edmonde
756346	77345	La môme crevette
756346	84662	Marthe Gatouillat
756346	121411	Maud
756346	198572	
756346	217688	Philippine Opposum
756346	289388	
756346	322362	Dolorès
756346	353079	
756346	412268	Mme de Châteaurenard (segment
756347	112882	
756348	183867	Anne Quill
756349	35774	
756350	151109	Sorority girl #1
756351	8075	Coconut
756352	503	Céline
756353	46529	Carol
756353	131078	Sonia
756353	342496	Shizuka Tachibana
756353	379360	Æon Flux
756353	379625	Cassandra
756353	395700	Aeon Flux (segment "Aeon Flux
756353	401287	Nancy
756353	406113	Merrick/Bounty Hunter
756355	132735	Therese
756356	220624	Devonah
756357	1492	Herself
756357	1738	Herself
756357	14146	Barbara Brown
756357	77922	Lisa Alford
756357	79675	Monica
756357	81665	Constance
756357	226901	Young Lover 1
756357	263276	Heather
756357	272661	Jamie The 'Actress'
756357	272739	Jay
756357	400808	Roxy Hunter
756358	368224	
756359	345445	Charlotte
756360	208215	
756360	352511	
756361	406981	Christine Caillé
756361	410628	Manon Primeau
756362	108773	Michelle
756363	238426	Audrey/Aurore
756363	403899	Sophie Bissonnette
756364	289372	Featured Extra
756365	309758	L'infirmière
756365	327539	Mme Perré
756366	17861	
756366	164137	
756367	120979	Fille d'André
756368	155248	Little Girl Inbreed
756369	70213	
756369	259583	
756369	259666	
756369	318372	
756369	378691	Themselves
756371	67202	
756372	243151	Fille Madeleine
756373	33804	Louvre shop tennant
756374	25139	Yvette
756374	32012	Raymonde
756374	65635	
756374	82920	La caisière
756374	95344	Mme Schumacher
756374	135359	Une Versaillaise (segment "La
756374	170107	Mlle Pichon
756374	170536	
756374	288042	Mme de Montalembert
756374	309773	Mme le juge
756374	353886	
756374	354908	
756374	391924	Olme Etchekarian
756374	392580	
756374	410139	Le blonde
756375	328273	
756376	2252	(segment "Chambre, La")
756376	15056	Charlotte
756376	58745	
756376	80156	Sophie
756376	101581	Mademoiselle Brêche
756376	133166	Sophie
756376	164084	
756376	282781	Pierre (la Gardeuse)
756376	309727	
756376	351818	La boulangère
756376	386674	Charlotte Pichon
756378	74621	
756379	84845	Anita Mandalay
756379	224917	
756379	321718	Helga's Friend
756380	194564	Nikolais Secretary
756381	127094	Nurse Satler, the X-ray nurse
756381	164547	Law Clerk
756381	189310	Rose
756381	314963	Cook's Helper
756382	255433	Cookie
756383	84845	Hellena Handbasket
756383	119502	Nicole Turner
756383	138713	Hannah
756383	198855	Linda
756383	232831	Vanessa
756383	234126	Ruth
756383	240734	Hannah (segment "Happy Birthd
756383	249161	Sophia Johnson
756383	340765	Jane March
756383	379047	Abigail 'Abby' Walker
756383	388811	Riley Kessler
756384	136172	Marie-Louise
756385	286274	Performer
756386	305147	
756387	117945	Mother Superior
756387	156341	
756387	254084	
756387	340494	La mère de Lucien
756387	358310	Mme. Simard
756387	363680	Hospital Room Sister
756387	378731	La ménagère
756387	380860	
756387	388316	Blanche Toulouse
756388	155230	
756388	398078	Monique Cloutier
756389	312962	Nurse
756389	407345	Roselyn
756390	10685	La duchesse
756390	14343	Annette Lemonnier
756390	15238	Amélie
756390	18319	Juliette
756390	20465	Mimi
756390	23702	
756390	42561	Germaine
756390	44731	Une agioteuse
756390	44998	
756390	46000	
756390	51378	Herself
756390	51426	La mère de Pierre
756390	60897	Blanche
756390	64226	Annette Jacquin
756390	68360	Mme Marcelle
756390	70509	Charlotte
756390	70592	Simone
756390	71156	Adèle
756390	71392	Nénette
756390	71853	Titine
756390	75628	Mme Perruchot
756390	78365	Herself
756390	81678	
756390	84662	La bonne
756390	94249	Sara, la vieille cliente de l
756390	94702	Madame Thérèse
756390	103834	Aline Rouzac
756390	108528	
756390	112867	Isabeau de Bavière
756390	116410	La remplaçante
756390	118177	La spectatrice
756390	122364	Employee
756390	122923	Mme. Tignasse
756390	133174	Herself
756390	135624	
756390	146425	Pierrette
756390	158702	
756390	160204	
756390	166114	
756390	166134	La postière
756390	171346	
756390	195033	La femme
756390	198572	
756390	202241	
756390	202577	Mme. Plumme
756390	207771	Lucienne
756390	216226	
756390	217671	Georgette
756390	217683	Annette Bridoux
756390	218448	La mère Poivre
756390	219018	Mamy
756390	220279	Gisèle Chauvinet
756390	224885	Louise
756390	235857	
756390	260915	Nénette
756390	262948	Une pensionnaire de l'orpheli
756390	268445	Sandrine
756390	268879	
756390	268881	Mirabelle
756390	283048	Comtesse de Latrille
756390	283264	
756390	295211	Mireille
756390	300761	
756390	310057	
756390	318515	La vieille faussaire
756390	322587	Phosphora
756390	323731	Annette
756390	326200	Mathilde, la femme de Léon/Lé
756390	336934	Cerise
756390	336939	La femme du couple
756390	341384	Louise
756390	349421	La curiste
756390	350078	Lily
756390	353925	La dame de l'hôtel
756390	353936	
756390	357079	Marinette
756390	376956	Agathe
756390	377017	Herself
756390	377238	Marthe
756390	380502	Mémé Langouste
756390	386096	La tante
756390	392910	Jeanne Redon
756390	400681	Mme Pourpaille
756390	400762	La mère de Zinard (1982)
756390	401939	
756390	409440	
756390	410141	Claudine
756390	412203	Yvette Deboulet
756390	412235	Annette Martin
756391	233457	
756392	68627	
756393	113975	
756394	13322	Anna Wlodarczyk
756394	48211	Woman in Cinema
756394	64355	
756394	132414	
756394	217452	
756394	231620	Clerk
756394	275244	
756395	60729	Tatiana
756395	124843	
756395	312537	
756395	373573	
756396	168321	Eevi Laitinen
756397	168321	Eevi Lahtinen
756397	252250	Various
756398	386030	Oksana
756399	87856	Greta
756399	171577	Italian tourist
756399	175730	Herself - model
756399	193554	Mysterious woman
756399	242265	Tellu
756399	354260	Helinä Lehmusto, "Mrs. 21"
756399	402897	
756400	211863	Teija Kimpilä
756400	324605	Irja Kilpinen
756400	402414	Irene Raikas-Salmi
756401	30646	Talk Show Audience
756401	336488	Allison
756402	113554	
756402	267933	
756402	283751	
756403	404216	Kamila (2003)
756404	344017	
756405	220238	Lucy
756406	111747	Jessica
756407	115974	Gansl-Anna
756408	154377	
756408	231141	Niké
756408	308190	
756408	322064	Hostess
756408	377886	
756409	127994	Rosa Maltoni
756409	236323	Miriam Simáková
756409	237542	
756409	261385	Young servant
756409	305805	Mrs. Bartakova
756409	309459	Chambermaid
756409	374074	Workwoman
756409	375407	
756409	410338	
756410	119877	Zaneta
756411	166662	Janicka
756412	30836	
756412	268510	
756412	339310	
756413	12937	Czechoslovakian actor
756413	123236	
756413	198233	Pája
756413	257481	Julienka
756413	357437	
756413	357949	
756413	367327	
756413	378525	
756413	389657	
756414	375663	
756415	80472	Zombie Corps
756415	119484	Additional Voices
756416	91067	Host
756416	91068	Host
756417	171426	Zsuzsa
756419	200002	
756419	231163	
756419	238366	Alja
756419	238766	Lyubov Trofimova
756419	265641	
756419	340660	Emily
756420	9534	
756420	25291	
756420	63590	
756420	88442	
756420	88450	
756420	88738	
756420	132205	
756420	163997	
756420	239370	
756420	320713	
756420	357627	
756421	174170	
756422	351064	
756423	86904	
756423	276234	Claudia
756424	28509	La Sainte Vierge
756424	60901	Iseult
756424	208817	
756425	17330	Hoveniersvrouw
756426	51414	La manucure
756427	70940	
756428	29669	Pipe-smoking girl
756428	276642	Claudine
756428	321982	Helga
756428	354516	Gioia Spartaco (A Daughter)
756428	360453	Jirina
756429	197543	
756430	268303	
756431	232987	Nadia
756432	5396	Gina
756432	10043	
756432	14857	Signora Sonia Paseroni
756432	16869	Countess Melitta
756432	17915	
756432	28760	Nina, la madre (the Mother)
756432	54003	
756432	54143	
756432	57333	Santuzza
756432	64433	(segments "Contatto telefonic
756432	72859	
756432	112656	
756432	121941	Clara
756432	197051	Lucrezia Borgia
756432	205445	
756432	219677	
756432	246454	Lucietta
756432	260047	Luciana Dorelli
756432	270869	
756432	274902	Tabuia, leader of the handmai
756432	279063	
756432	289648	
756432	301353	Arianna
756432	308888	Lisa
756432	327100	
756432	328344	Daisy
756432	338715	Paola, madre di Renata
756432	348133	
756432	351071	
756432	358786	
756433	196756	
756434	73146	
756435	322393	
756436	124987	Girl Combing Hair
756437	85692	Une carmélite
756438	100097	Guest #2
756439	87220	Kathleen Veneziano
756440	99055	Boron
756441	77353	
756441	83217	
756441	120329	Le Friquet
756441	122924	
756441	188650	Jolene
756441	218302	
756441	306943	
756441	355509	
756442	15099	La chiromancienne
756442	21418	
756442	54343	
756442	70183	
756442	193219	
756442	199036	Graziella
756442	199053	
756442	258944	
756442	267294	
756442	285242	
756442	377261	
756443	259160	
756444	46230	
756444	217356	
756445	52156	
756446	155144	
756447	190350	Lydia
756447	376246	
756449	393878	Elisabeth Laubach
756450	48320	Herself
756451	134302	
756451	173625	
756452	288465	Cissy, teenager
756452	321444	Whaler
756453	87066	
756453	319678	Patricia Morgan
756453	378429	Tania
756454	178975	V-Six Model/Cheerleader
756455	76559	Jamie Ashcroft
756455	79280	Rebecca
756455	92166	Agnieszka, Robbie's Prostitut
756455	301398	Judy
756456	348611	Hooker
756457	188129	Greta
756458	343801	
756459	5960	FBI secretary
756459	16922	Love Child
756459	23447	Grocery Lady #1
756459	25874	Delia Cassidy
756459	37686	Woman With Insect Repellent
756459	114699	Paisley
756459	120195	Potential Nanny
756459	121367	D.A.
756459	161893	Investor #2
756459	209399	Casey
756459	313314	Mrs. Turner
756459	367982	Vera
756460	55036	Baroness
756460	96519	Ines Ruffo Saltini
756460	135723	Queen
756460	153246	Hostess
756460	164628	Midwife
756460	171691	Juno Baker
756460	228581	Daisy
756460	233786	Mrs. Dean
756460	395625	Hannah Rafferty
756460	396181	Mother
756460	409578	Betty Birkett
756461	76384	Bar Manager
756462	60186	
756462	111789	Polish Woman Witness
756462	195276	Mrs. Galway
756462	309039	Woman in English Class
756463	88703	Vanessa
756464	384400	
756464	385502	
756464	392029	Dra. Paz Arce de Vergara
756464	397572	Noemí
756464	402219	Casilda de Ramos
756464	409908	
756464	411581	Martina
756465	408562	
756466	2069	Reader
756466	58483	Woman in church
756466	65006	
756466	119888	Rosa Vasquez
756466	202726	Woman
756466	204184	Doña Crusita
756466	214662	Rosa
756466	223084	Landlady
756466	237783	Carmelita
756466	272234	Fatema
756466	343201	Rosario
756467	156583	
756468	380077	Mila de Ferrara
756468	382867	Maria Clara 'Cler'
756468	397737	Esther de Corrales
756468	408419	Clemencia Camacho
756469	281657	Frau Schalla
756469	340368	
756469	364945	
756469	401058	Judith Pawlak
756470	2766	Party Goer
756471	114281	Go-Go Girl
756472	102394	
756472	131090	Myriam
756472	197056	
756472	199055	Selena
756472	215399	
756472	287650	
756472	291658	
756472	352231	Sor Luisa
756473	388721	
756474	349238	Child
756475	64262	Friend (Cintamani)
756475	265276	
756475	295053	
756475	304709	Pokojská Bozka
756476	35844	
756476	58243	
756477	330530	Young Helen
756478	60970	
756479	254986	Girl
756480	194534	The Kings Court Nobility
756481	333671	
756482	177119	Becky
756483	212414	
756484	175949	Kirati
756485	20148	Primadonna/Ariadne
756485	65387	Soprano
756485	257144	Sieglinde (Sopran)
756485	340662	Cassandre/Didon
756486	206188	Alexandria
756487	171971	
756488	210524	
756489	251575	
756490	56545	Herself
756491	329840	
756492	25290	
756492	60821	Vava
756492	89591	
756492	95603	
756492	178798	
756492	180854	
756492	293327	
756492	298305	
756492	309994	Waitress (segment "Priyatnogo
756493	103425	Rosa
756494	2944	
756495	35506	Dancer
756495	149287	Prostitute
756495	235403	Sadie Agatha Johnson
756495	245249	Pearl
756495	310524	Ettie Glittens
756495	321367	Dancer
756496	157892	Anneke
756496	175241	Elisabeth
756497	142729	Waitress at the Paris bar
756498	276328	Waitress
756499	199602	La Martiniquaise
756500	359894	
756501	132456	Sarah Hodgkins
756501	313583	Libby
756501	404002	Miss Beatrice Mills (1976)
756502	30665	Herself
756503	30665	Herself
756503	92115	Fauna
756503	234204	Zoe
756503	313820	School prom lead singer
756503	363947	Rachel
756504	154051	Tiffiny Berlin
756505	82614	
756505	82813	
756505	88815	Olga Vasilev
756505	127459	
756505	154216	
756505	158623	
756505	180756	
756505	188870	
756505	349302	
756505	350125	
756505	355307	
756505	356041	
756505	373274	
756507	147694	Seder Guest
756508	198151	
756509	126459	
756510	361472	Lilli
756511	11804	
756511	14382	
756511	94687	
756511	102365	Passenger
756511	214016	La zia di Magda
756511	251614	Adele
756511	255634	Madama Reale
756511	269640	
756512	2003	Veronique
756512	3964	Terry
756512	8257	
756512	14867	Marisa (segment "Una domenica
756512	14875	Rosa, the Maid
756512	94682	
756512	123866	Franca
756512	125391	Madame Duval
756512	134589	Monique Roussel
756512	162047	
756512	162077	(segment "Cavalleria rustican
756512	196630	
756512	199073	
756512	199075	
756512	217900	
756512	228728	Barbara (saloon girl)
756512	279750	
756512	310392	
756512	316356	Hanna Lehman
756512	317985	Carla
756512	325164	Doris
756512	336613	
756512	351585	L'amica di Francesco (segment
756512	353083	
756513	19790	
756513	56447	
756513	63730	
756513	67885	Francesca
756513	87042	
756513	106250	(episode "La moglie svedese")
756513	108874	
756513	108877	
756513	160247	
756513	187852	
756513	291517	Laura Cametta
756513	295179	Matilde
756513	349521	Fedora
756513	386748	
756513	386749	Wanda Galetti
756514	10230	Mrs. Lima
756514	48933	Zilda
756514	60048	
756514	88805	Journalist-Brasília
756514	122909	Gina
756514	280866	
756514	379450	Tintim
756514	380196	Bonitona
756514	383464	Gabriela
756514	385947	Jandira
756514	388065	Mila
756514	391580	Dona Neném
756514	397409	Firma
756514	399645	Mariana França
756514	401932	
756514	401944	Amapola Ferraço
756514	404165	Marinelza
756514	407520	
756514	408550	Nana
756514	409024	
756514	409814	Sílvia
756515	43246	
756515	84475	La maîtresse
756515	254659	Claire
756515	346503	La professeur de français
756516	384645	Maria João
756517	164877	Beki
756518	106817	
756519	46064	Herself
756520	265943	
756521	222349	The Mistress
756521	255779	Countess
756522	265640	
756523	144032	
756523	225740	Countess Daschkin
756524	27311	First Musicologist
756525	49828	Rat Woman
756526	353267	Prostituta
756527	243302	
756528	224968	
756529	43114	
756529	377139	Felszolgáló
756530	163130	
756531	163130	
756532	335267	Malvinka
756533	291100	Fiona
756534	43438	Saloon Girl
756535	224935	Bookstore Woman
756536	212094	
756537	227153	Papal Envoy
756538	340009	Una conversa (Suor Angelica)
756539	55759	Christine Girdler
756540	143463	
756540	156076	
756541	19223	
756542	7538	
756542	10046	Viola la sarta
756542	13202	
756542	107040	
756542	132194	Gostanza da Libbiano
756543	89997	
756543	202023	
756543	216090	
756543	258106	
756543	268439	
756543	301132	
756544	197577	
756545	10043	
756545	19883	
756545	116496	
756545	198852	La ballerina
756545	274899	
756546	152329	La femme de Boutre
756546	251543	Mme. Bontemps
756547	101581	L'avocate de la défense
756547	122411	
756547	266954	La femme de Luigi
756548	122346	
756549	395852	(season 3)
756549	397879	Sivan Cohen
756550	19502	Galina
756551	382458	Lilia Tsukerman
756552	212486	
756553	40208	Barica
756553	163050	
756553	173388	Mande
756553	261234	
756553	263056	Girl in Cinema
756554	20354	
756554	132557	
756554	242822	
756555	365452	Beth Anne Lake
756556	277471	Rhinestone Heckler
756557	241774	Julia
756558	396610	Duda (1999-2001)
756558	398501	Elisa Sampaio-Viana Moraes
756558	411932	Clarinha
756559	202523	Herself
756559	202526	Herself
756559	202527	Herself
756559	202528	Herself
756560	29870	Herself
756560	260432	Herself
756560	401875	Herself - Bardot (2000)
756561	397266	
756562	2252	(segment "Teuf d'enfer, La")
756563	276305	
756564	306646	
756565	2510	
756565	57440	Lieutenant Pauline Meyer
756565	63779	Zelda
756565	228202	Ingrid
756565	248246	La femme en robe du soir
756565	312305	
756565	324439	
756566	286651	Madame Sally
756566	319847	Princess Mukhraneli
756567	271450	Manisha's Friend
756568	270883	Mimi
756569	381091	Herself (eliminated round 1) 
756570	176037	
756571	1266	
756571	1284	
756571	88703	Figurante
756571	160652	Cancer
756572	88766	Zeb's Mother
756573	84845	Lucy Fur
756574	48617	
756574	96478	Tänzerin
756575	301984	Danseuse 1
756576	191731	The wife
756577	85145	
756578	10841	Girl In Porno (segment "Unsav
756579	144577	Exercise Class
756580	95608	
756581	2267	
756581	3351	
756581	26206	
756581	26207	
756581	33830	
756581	43201	
756581	76709	
756581	86614	
756581	94845	Diana
756581	103636	Kleya
756581	121290	
756581	126268	
756581	156006	
756581	157258	
756581	160814	Zina Meleiko
756581	176137	
756581	180365	
756581	180397	
756581	180791	
756581	198150	Irina
756581	209518	
756581	220693	
756581	225818	
756581	230060	
756581	236070	
756581	237016	
756581	244582	
756581	248063	
756581	261593	
756581	263406	
756581	263678	Janette
756581	265571	
756581	273028	
756581	279032	
756581	294017	
756581	294018	
756581	294151	
756581	297859	
756581	299289	Ambassador's wife
756581	303723	
756581	312992	
756581	323302	Adele Fortescue
756581	328645	
756581	332994	
756581	334998	Tatyana Fyodorovna
756581	336424	
756581	339231	
756581	341214	
756581	349298	
756581	350793	
756581	350923	
756581	352051	
756581	356598	
756581	357637	
756581	370132	
756581	370183	
756581	371355	
756581	374239	Hairdresser
756581	375463	
756581	375653	
756581	378720	The Dancer
756581	406689	
756582	87740	
756582	95667	
756582	181327	
756582	264539	
756582	351475	
756582	374766	
756583	176136	
756584	271003	Woman in Window
756585	234773	Sofia
756586	63808	
756586	131118	
756586	309347	
756587	46752	Girl 3
756588	41186	Trixi Treeter
756589	68490	Herself
756590	195622	Secretary
756590	210662	Stella
756590	269472	Anne
756591	89266	
756591	149865	
756591	173625	
756591	180891	
756591	181301	
756591	192886	
756591	195247	
756591	238764	Sluzbenica
756591	334049	
756591	339330	
756591	341335	Umirovljenica
756591	355551	
756592	344594	Nancy
756593	203313	Denise Bradden
756594	224863	
756595	347200	Waiter #2
756596	393372	Flora
756597	219694	Human Rights Jurnalist (Herse
756598	71447	
756599	74632	
756600	14884	Rosaria, Delia's Sister
756600	82993	Tanya
756600	104476	
756600	112926	Tripolina
756600	125037	
756600	135129	Nanina Scognamiglio
756600	186588	
756600	261887	
756600	291517	Mrs. Lanzetta
756600	291557	
756600	342129	Mariuccia
756600	389333	
756601	304765	Young Carol
756602	12677	
756602	15057	Dream Sequence
756602	44200	Marita
756602	54360	Teresa Talascio
756602	67076	Haydee
756602	104459	
756602	104474	Enrica
756602	111090	Haydée
756602	132638	Karen
756602	152534	Pidgeon
756602	160992	
756602	167208	Sylvie
756602	184784	
756602	229019	Maid
756602	274918	Liv
756602	289344	
756602	292724	
756602	332187	Herself
756602	352226	
756602	398650	
756603	388713	Rita
756604	10992	
756604	82195	Lela Karagianni
756604	172082	Miriam
756604	211736	
756604	217777	
756604	379361	(2002-2003)
756604	379443	
756604	379678	
756604	380170	Roxani
756604	380479	Mirto
756604	380771	
756604	386408	
756604	394078	
756604	395090	
756604	398041	
756604	398131	
756605	104422	
756606	52582	
756607	339	
756607	89785	Vika
756607	174270	
756607	178798	
756607	260435	Pani Lapidus
756607	303217	
756607	322708	
756607	348906	
756607	350125	
756607	373998	
756608	107268	
756608	383206	Mariana
756608	384775	Alicia
756608	396781	
756608	398476	
756608	403237	Inés Podestá
756608	409465	Host
756609	393	
756609	33685	Donna Egeria
756609	88050	Dany's Maid
756609	265905	Mafalda
756610	237962	Robin
756611	319023	Louise
756612	37650	Cee Cee
756612	204957	Young Maple
756613	313522	Excited Teen
756614	75757	
756614	186384	Young Lady
756614	259083	
756614	295069	
756614	322725	
756614	322908	Cashier
756614	376176	Matuszkowa
756615	394414	Katie
756616	315310	Ensemble
756617	72690	
756618	329834	Herself
756619	140524	Dancers
756620	37452	Web Girl
756621	40524	
756621	341074	Hanka
756622	100254	Carmela
756623	20625	Extra
756624	73561	Court Reporter
756625	256530	Mrs.Wilson
756626	189701	Kupplerin
756626	312215	Woman
756627	53033	Brittany
756628	30581	Duty Nurse
756628	303545	Lumberjack
756628	404282	Sister Agatha (1988)
756629	312913	
756630	76779	Jutta
756630	177164	Miriam
756630	263377	Prinzessin Luise
756630	393360	
756630	411929	
756631	33848	Extra
756632	194687	Movie on TV 'Little Girl'
756633	394782	Mara
756634	26064	Sheep
756634	54946	Additional Voices
756634	107002	Background Voice
756634	111409	Additional Voices
756634	113332	Additional Voices
756634	134594	
756634	190869	Additional Voice
756634	307902	Party Guest
756634	363953	
756635	270484	Girl in Bowling Alley
756636	287133	
756637	379924	Herself
756638	80969	Normandie Arms Tenant
756638	283410	T-Shirt Lady
756639	20957	Shiloh
756639	31444	Sarah Chapman
756639	35303	Betty Monday
756639	73841	Carol Brockton
756639	78950	Frances
756639	79281	Rhonda/Cashier in Market
756639	117266	Mary Margaret
756639	206215	Marla Hanson
756639	208743	Martha
756639	223709	Darla Blake
756639	231982	Charly Dorn
756639	233987	Nicole/Tina Kelso
756639	252936	Irene
756639	267088	Paige Woodward
756639	302312	Maryanne
756639	321469	Rosy
756639	333288	Cheryl Hammer
756639	362479	Alyssa
756639	391288	Rita MacDougal
756639	392084	Stephane "Stevie" Mayfield
756639	392238	Camilla
756639	395781	Nancy Lockridge
756639	397401	Susan Madsen (1994)
756640	145482	Hatlady
756640	390701	Cameo
756642	8363	Hulda
756642	13325	Eva
756642	14964	
756642	25282	Grandmother
756642	29560	Erika Rost
756642	48357	Miss Sande
756642	99887	Lillklossan
756642	100549	Miss Blom
756642	125828	Secretary
756642	142765	Ester
756642	153945	Piano instructor
756642	159646	Mina Andree
756642	172420	Governess
756642	172428	Market Woman
756642	178827	Mrs. Rubin
756642	181086	Grandma
756642	181166	The old lady
756642	198271	Miss Danielsson
756642	198276	Fredrika Bremer
756642	198277	Fortune Teller
756642	204539	Erna Larsson
756642	209306	Miss Carlander
756642	218993	Olga Vaern
756642	228410	Anna Söderblom
756642	303653	Woman
756642	304137	Märta Hoffman
756642	308198	Mrs. Calwagen, Henrik's aunt
756642	312231	
756642	315362	Governess
756642	319788	Sophie
756642	322433	The Grandma
756642	353005	Mrs. Rose Rosenchrona
756642	390854	Majorskans mor
756642	404212	Fortuneteller
756643	101325	Frau Reimers
756643	216278	Daisy
756643	259646	Dagmar
756643	390812	Lara Kelm (2000)
756643	393878	
756644	1500	Lindsay Boxer
756644	4705	Kari Swenson
756644	26460	Leslie, College Girl
756644	30247	Mary Beth Phillips
756644	47004	Vicky
756644	95790	Lisa Ann Rohn
756644	113558	Liz O'Reilly
756644	117105	
756644	131619	Suzanne
756644	133692	
756644	142798	
756644	154055	Herself
756644	192286	Nicki Davis
756644	265762	Mary
756644	295032	Leslie
756644	310597	Elizabeth Van Lew
756644	316179	Mara
756644	337314	Eileen Grafton
756644	380354	Anna
756644	388359	Ellen Reed (1985-1986)
756645	16477	Herself
756645	16517	Herself
756645	203358	Herself (Little Wendy)
756646	29186	Parent #4
756647	51635	Hotel Manager
756647	113267	Prison Guard
756647	120806	Mrs. Larinov
756647	363547	Pauline
756648	329417	
756649	133475	Kreme Cup Girl
756650	13677	Arriet Emingway
756650	29901	
756650	37402	Sybil
756650	43742	Millie (maid)
756650	46325	
756650	46999	Mame Avery
756650	47595	
756650	49382	
756650	53192	
756650	53218	Dora
756650	56781	
756650	73892	
756650	77814	Mother
756650	78181	
756650	88185	
756650	90258	
756650	109414	
756650	128180	
756650	128207	Wardrobe mistress
756650	130703	
756650	131737	
756650	140531	
756650	142666	Mrs. Hemingway
756650	145939	Mrs. Smoking Moe
756650	146746	The Slavey
756650	148974	
756650	176312	Mrs. McGinnis
756650	183808	Millie, Maid
756650	191280	
756650	194372	Agnes the Maid
756650	195447	
756650	207707	Mrs. McNitt
756650	218158	
756650	239530	
756650	242506	
756650	244913	Mrs. Daphne Hardy
756650	251431	The Butler
756650	270498	
756650	283381	Coach Minnie Marmon
756650	302884	Mabel
756650	304279	Minnie
756650	304944	
756650	305633	
756650	305699	Emma Pollard
756650	309878	Mrs. Nott
756650	315877	
756650	318367	
756650	321443	
756650	321499	Mrs. May
756650	330277	Mrs. Daphne Hardy
756650	333074	Mumsy
756650	362109	Masseuse
756650	362731	
756651	36854	Herself
756651	363011	Herself
756651	408148	Herself - Panellist
756652	410020	Herself
756652	410024	Herself
756653	154554	Herself - mother of a Lyndonv
756654	103581	Nelly
756654	182466	Black woman
756655	60174	Mrs. Flaherty
756655	176406	Extra in heaven scene
756655	350504	Mrs. Tinker
756656	74715	Dancer
756657	104045	Kave, The Daughter of Love
756658	90271	Herself
756658	132823	Herself
756658	144406	Performer
756658	253331	Herself
756658	391509	Peggy Ollerenshaw
756658	395746	Noisy
756658	400035	Ethel Schumann
756658	401146	Penny Crayon
756658	409243	Flo
756658	411778	Ivy Teasdale
756659	224106	The Talent Show - Jump Rope
756661	113773	Mrs. Carr
756662	386785	Consuelo
756663	379210	
756663	382941	
756663	383812	
756663	384984	
756663	385485	
756663	387916	Pamela
756663	396925	
756663	401634	
756663	403686	Barbarita
756663	412183	Cony
756664	83879	Secretaria de Patricio
756665	46970	
756666	133723	Olivia Flaversham
756667	162597	Rosita Perez
756667	366587	
756669	142231	Danserinne i nattklubb
756670	266365	Høvdingens elskerinde
756671	88670	Zuzana
756671	127994	Carmen
756671	149572	Hafia
756671	166443	Sandra
756671	237746	
756671	242638	Milena
756671	352820	
756671	357279	Eva
756671	399869	Ali Lábusová
756672	375414	
756673	106983	La Grand-Mère
756674	383486	
756675	211186	Vrouw van zwager
756675	367022	Girfriend of Liza
756676	253520	Un amour profond
756677	391287	Heidi
756678	168960	Girlfriend
756679	327516	
756680	388012	Additional Voices (1985- )
756680	401026	Mrs. Bradshaw
756680	406706	Gloria Beacham (1987-1990)
756681	27928	Rhonda Glimsher
756682	363307	Herself
756683	80592	Soap Opera Character
756683	253021	Restaurant Woman
756683	261446	Gwen
756683	263276	
756683	305978	Pam
756684	1675	Herself (Pretty Funny Actress
756684	2131	Donna Cherry
756684	6925	Sally Salt
756684	26042	Young Celeste
756684	34190	Selma
756684	37467	Christy Donaldson
756684	41869	Ellen
756684	61693	
756684	65085	Hope Burn
756684	79675	Ana
756684	83171	Gwen
756684	90275	Sky
756684	105035	Dana
756684	105823	Merle
756684	105906	Tracey Brown
756684	129768	Ronna Martin
756684	135623	Harper Sloane
756684	138236	
756684	138353	Teen Rosemary
756684	138737	Sara Stanley
756684	140503	
756684	141632	
756684	154279	Claire
756684	166904	Deb
756684	168307	Josephine
756684	168408	Angel
756684	184719	Jody Turner
756684	185424	Jennifer 'Jenny' Wheeler
756684	186306	Beatrice
756684	190056	Connie
756684	195523	Sister Sarah
756684	196850	Margaret
756684	224089	Ann
756684	233989	Beatrice
756684	241494	Molly Monaghan
756684	257293	Butter
756684	263365	Karla
756684	300815	Tabby
756684	318338	Pregnant Girl
756684	321209	Nicole
756684	330850	
756684	361028	Maren Hontvedt
756684	363895	Catherine Chapman
756684	402837	Ramona Quimby
756684	403490	Sara Stanley
756684	406654	Lily
756685	377281	
756686	346258	Bar Patron
756687	128807	Herself (Segment "Bridal Suit
756688	328874	Mother
756689	328874	Sister
756690	83248	
756691	97765	
756691	362551	
756692	73560	Ruby
756692	82051	Rally Woman
756692	89194	Mary Daas
756692	132181	Gina
756692	139434	Ora Perkins
756692	152910	Co-Op Worker
756692	164984	Missy
756692	193268	Dr. Susan Beckman
756692	254996	Eleanor Ormond
756692	331664	Amy's Girlfriend #2
756692	359716	Penny
756692	362310	Geena
756692	379935	Hekka
756693	30086	
756693	33458	
756693	40412	Frau Schollmann
756693	41117	
756693	95278	
756693	125027	
756693	145099	Prostituierte
756693	216255	
756693	242760	
756693	312884	
756693	325680	Heike Hellwig
756693	325711	Heike Breitenfeld
756693	336493	Pia
756693	342335	Frau Stolz
756693	401356	
756694	319176	Mrs. Liversidge
756695	367823	Herself
756696	125296	Dodo
756696	290764	Jeanne
756697	84450	Freundin des Galeristen
756699	218599	Girl in Castle Anthrax
756700	375515	Party Guest
756701	192910	
756702	311912	Rosa Mera
756703	16803	Mrs. Finucane
756703	81012	Mary Kelly
756703	96876	Clare Williams
756703	108919	Molly Kay
756703	118270	Carmel
756703	195551	Helen Pottinger
756703	365138	Magistrate
756703	382693	Lilo Lil
756704	164614	Herself
756705	20032	The Vamp
756705	32469	McKelvey's Housekeeper
756705	39670	Margaret Huntingdon
756705	59180	Actress
756705	90026	Lady Vanessa
756705	107624	Miss Fossett
756705	113479	Grandma
756705	114184	Maid
756705	123216	Horsey Lady
756705	125874	
756705	130824	Madame Sonia
756705	136512	Haggard's Maid
756705	138790	Leo Hutt
756705	141081	
756705	149715	Aunt Harris
756705	153611	Miss Barbara Barton
756705	159593	Prostitute
756705	163413	Mrs. Joe
756705	178137	Gladys Dodd
756705	185162	
756705	193961	Mrs. Cheam
756705	204892	
756705	207483	Dr. Morrell
756705	213068	Sonia Strubel
756705	214183	Janet Mason
756705	215991	Donna Lucia
756705	220269	Girl
756705	234789	Miss Harvey
756705	235496	Agatha
756705	255079	Vamp
756705	272410	Landlady
756705	282607	Wife
756705	285735	
756705	306414	Miss Smith
756705	308078	Mrs. Holley
756705	308947	Margaret Hulls
756705	310395	Lady Hardstaff
756705	311495	CO's Wife
756705	316714	Gloria Weston
756705	333290	Lady Florence
756705	334183	Roberta
756705	335635	Rose
756705	359486	Baroness de Jammes
756705	364233	Ruth Prendergast
756705	364731	Mrs. Munce
756705	365078	Dolly White
756705	385132	Madame Nourisson
756705	387786	Dr. Mary Carter
756705	400087	
756705	400709	Lady Baldock
756705	411482	Dodie
756706	380680	Herself - art expert
756707	16803	Roden Lane Neighbour
756707	199133	Mrs. Coulter
756707	219769	Mrs. O'Rourke
756707	333868	Patsy French
756707	387940	Large Woman
756708	265002	Barb @8
756709	164352	Little Ella
756710	240498	
756711	169963	Prostitute
756712	28471	
756713	44332	Sandy
756713	316220	Pamela Martin
756714	222750	Janette Collier
756714	347571	TV Reporter
756715	166643	Bride
756716	191701	Woman in museum scene
756717	81244	Esther
756717	129813	Mary Stratton
756717	185072	Sarah
756717	251161	Bertha
756717	318036	Aunt Harriet
756717	389417	Myra Fraser
756718	402925	Occasional host
756719	298966	Bank Teller, Victim 1, Victim
756720	363602	Thief
756721	166635	Opera Singer
756722	61765	The Children of the Corn
756723	384783	Janet
756723	385635	Pearce
756723	386488	Dilys Humphries
756723	408445	Mrs. Brown
756724	91121	Polly
756724	384064	Herself
756724	384400	Emiliana 'mamá de Charlie' (2
756724	385502	Teacher Glafira
756724	387274	Pilar
756724	393833	Leticia Guzmán 'mama de Gina'
756724	397598	
756724	399522	Lic. Ibáñez
756724	401916	Pilar
756724	401918	Micaela Ornelas (joven)
756724	402540	
756724	405398	
756724	405416	Aurelia
756724	408855	
756725	91547	
756725	140712	Zsuzsi
756726	150243	Reporter
756727	97853	Françoise
756727	410069	Emmanuelle
756728	140765	Goth 6
756729	342588	Pfarrersköchin
756730	307571	The mathematician
756731	202063	Lucía
756732	93888	Franka
756732	100163	Chica
756732	202063	Hermana de Pablo
756733	546	Adriana (Agente 02)
756733	266196	
756733	400937	
756734	255539	Gisella
756735	386107	Herself/Challenger Team
756736	54524	
756736	67121	
756736	116769	Marietta, his half-witted dau
756736	367564	Paulette
756737	114593	Little Fawn
756738	234573	Garance enfant
756739	1674	Herself
756739	1995	Herself
756739	20788	Char
756739	22179	Robin Hand
756739	44495	Beryl Ann Devers
756739	89860	Susan
756739	109832	Kim Lussier
756739	121506	Tana Roberts
756739	130768	Cynthia
756739	151071	Rosa del Valle
756739	206349	Susan Prescot
756739	209643	Pamela Martha Byrnes
756739	209658	Pam Byrnes
756739	224667	Geena Matthews
756739	252449	Justine Altemus Slatkin
756739	254520	Christine Daee
756739	262529	Janet Hayworth
756739	269759	Quick
756739	292245	Connie Heller
756739	311854	Herself
756739	315871	Jordan Donavan
756739	329053	
756739	347571	Barbara Wagner
756739	350323	Helena Harker
756739	382779	Det. Ash (Ashur Badaktu) (199
756739	392130	Grace Dawkins
756739	392476	Alex Young
756739	396123	Kristin Larsen (1986)
756739	399695	Michelle Schowdoski Capra (19
756739	406871	
756739	409098	Amanda Hampton (1988-1989)
756740	69662	Extra
756741	63894	
756741	66266	Irena Stepowska
756741	76670	Woman
756741	95704	Basia, Wozniak's Lover
756741	102639	Zosia, Dzidzius' Wife (segmen
756741	121136	Widow Nowacka
756741	160591	Basia Kwiatkowska
756741	174880	Neighbour
756741	242909	Dorota
756741	255497	Franciszek's ex-Wife
756741	303739	Baska
756741	316437	
756741	359590	Sawa
756741	374664	Zosia Jelonkowa
756741	378122	Ela
756742	37691	Press in Hospital
756743	136958	Young Tamara
756744	363218	
756746	324567	
756747	265069	Daria
756748	207570	
756748	337046	Supplier's Wife
756748	339338	
756748	356420	
756749	82203	Ewa
756749	95700	Walentyna
756749	95945	Woman/Ewa
756749	227531	Magda
756749	227532	
756749	227533	Magda
756749	227534	Egri Magda
756749	303620	Giuseppa
756749	369017	Krystyna's mother
756749	385985	Ewa (episode 7)
756749	411894	Aniela Dulska
756750	159607	
756751	341217	
756752	123509	
756753	143018	Sonia Crator
756753	196271	Sonia Crator
756755	390401	
756756	131230	Narrator
756757	129426	Luisa Karlovna Ivanova, her m
756757	155673	Nina Alexandrovna Ivolgina
756757	179666	
756757	283984	
756757	335119	
756757	356420	Drubetskaya
756757	356421	Drubezkaya
756757	356422	Drubetskaya
756758	264320	
756759	26460	Miss Katz
756760	260902	Partygoer
756761	79038	May Queen
756762	330886	Mary Ellen
756763	7599	
756763	9506	
756763	14309	The Russian Grandson's Wife
756763	25290	Anna's mother
756763	26214	
756763	28500	Anna
756763	33834	
756763	33835	
756763	43213	
756763	46598	
756763	60439	
756763	60865	
756763	83331	
756763	86597	
756763	89101	
756763	94027	
756763	120673	Zina
756763	120698	
756763	131300	
756763	155460	Russsisches Mädchen
756763	162677	
756763	165640	Walja
756763	174987	
756763	179325	
756763	179899	
756763	198126	
756763	198127	
756763	198128	
756763	217274	
756763	217277	
756763	218995	
756763	227838	
756763	230463	
756763	231162	
756763	234441	Galina Ukladova
756763	244220	
756763	244657	
756763	244716	
756763	253750	
756763	257385	
756763	258423	
756763	259806	Udalova (segment "Zolotye ryb
756763	261137	
756763	267804	
756763	273088	
756763	320410	
756763	320655	
756763	320681	
756763	332996	
756763	339284	
756763	352446	
756763	355741	
756763	356925	
756763	357659	
756763	370166	Alyona
756763	371893	
756763	373502	Kaisa Karhutar
756763	374772	Nastya
756763	374840	Galya
756763	374993	
756763	375463	
756763	375474	Yadviga
756763	379585	
756763	383967	
756763	386540	
756763	390525	Borzov's wife
756763	394642	
756763	401314	Elza Frantsevna
756763	402924	Elza Frantsevna
756764	263134	Sotrudnika v ofise
756765	10813	May
756765	26022	Mrs. Smith (mother)
756765	91854	Nursing sister
756765	92077	Mrs. Castaldi
756765	122198	Dymphna
756765	176229	Mrs. Derrick
756765	222831	Tania's mother
756765	370855	Moira
756765	383661	
756765	383813	
756765	387203	Martha O'Dare
756765	408664	Eileen
756766	177792	Mildred Kinsey
756767	410469	Anouchka
756768	353934	Esther
756769	8280	Col. Karonov
756769	142792	Tarja Paasonen
756769	171577	Mrs. Vatanen
756769	179291	Sylvi, Simon enkeli #1
756769	181935	Nainen juhlissa
756769	225234	Head-waitress #2
756769	268169	Marja Mäkinen
756769	272834	Rouva Mäkyläinen
756769	283746	Senja Merimaa
756769	341798	Naapuri
756769	354281	Whore
756769	373502	Anna-Liisa Ihalainen
756770	31791	Girl
756771	47756	Woman With Pince-nez
756771	289431	
756772	351269	Blonde girl at cinema (episod
756773	82498	
756773	82777	
756773	84428	(segment "Terrorist")
756773	176053	
756773	182015	
756773	226214	
756773	260502	
756773	263695	
756773	315934	
756773	357468	
756774	284259	Jeune fille 5
756775	293362	María Francisca Portuguesa
756776	156545	Uutistoimittaja
756776	181935	Uutistenlukija
756776	409163	Herself - newscaster (19??-)
756777	119019	
756778	4353	Meid van Pinke
756779	129501	Katrien keukenmeid
756780	410165	Susu Oechsler-Bartsch
756781	161061	Diamonds
756782	288113	Gertrude
756783	229990	Signorina, Barish
756784	158767	Signora Lauer
756784	219592	Ursula
756784	315423	
756785	349139	Tisse, ministerin tytär
756786	102434	Katri Kanerva
756786	302989	Vilma
756787	198661	
756787	214307	
756787	242474	
756787	350125	
756788	3335	
756788	83027	
756788	89808	
756788	179723	
756788	218995	
756788	275217	
756788	303797	
756789	8455	
756789	43213	
756789	49472	Sobachikha
756789	60699	
756789	63590	
756789	91193	
756789	120673	Klavdiya Gerasimovna
756789	132726	
756789	160113	
756789	163143	
756789	173026	Turbina
756789	179903	
756789	180367	
756789	217269	
756789	226188	(segment Angel)
756789	238112	
756789	261368	
756789	263134	Babushka
756789	265939	
756789	283835	
756789	284469	
756789	318562	
756789	347307	
756789	350738	
756789	356916	
756789	357459	
756789	357693	
756789	373583	
756790	132034	
756791	155657	
756791	304160	
756791	370175	
756792	201392	
756793	130007	
756793	242818	Kurkova
756794	37141	Maria
756795	55109	Sevasti
756795	147381	Manfredi's Secretary
756795	189505	Zhanya
756795	389180	Simone "Rossignol" Portales
756796	18945	Voice of mother
756797	242898	
756797	319684	Bunny
756798	104764	Cyprian entry (11th place)
756799	343995	Annie
756800	134568	Dance Floor DJ #2
756800	223350	
756801	43114	Marika, the neighbour
756802	390053	Host (Challenge/Free & Fun) (
756803	354111	
756803	373343	Nichette
756803	376310	
756804	6133	Eva
756805	229917	
756805	350880	Karla
756806	305821	Marta
756807	188129	Gréta
756808	74808	
756809	43128	Ilona Fetková
756809	155401	Dora Nemcová
756809	237198	Girl #1
756809	276332	Marie
756810	356	
756811	104199	
756811	122599	Kéri Juli
756811	170394	Margherita
756811	170396	Margherita
756811	172530	Linka
756811	182828	Edit
756811	227533	
756811	227534	
756811	324655	Zsuzsa, Mádi felesége
756812	294887	
756813	13038	Emma
756813	394758	Hortense
756814	392911	Enfant
756815	77676	Fernando's Daughter
756816	41422	Teresa
756817	35532	
756818	231386	Brunetta/Blondie Group #4
756819	354989	
756820	234325	
756821	210563	
756822	327486	
756823	90099	
756824	80687	Blue alien
756825	344779	
756826	12105	
756827	271340	Amy
756828	104967	Call Girl
756828	146849	Call Girl
756829	34378	
756829	378020	Ayudante
756830	166322	Vocal Solo
756831	320010	Herself
756832	20607	Margaret
756833	138683	Hysterical Woman
756833	221047	Secretary
756833	231951	Patsy's Girl
756833	255897	Sandy Campbell
756833	315271	
756833	332005	Mrs. Hunnicutt
756834	344012	Praskoviya Vasilyevna Lautina
756835	116727	Bunny
756835	219921	Wendy
756835	372049	Ellie
756835	405493	Marcia (1995-1997)
756836	369	Young woman at wedding
756837	153	
756837	339260	Cathy Quinn
756838	152	Sarah
756838	209626	Cyndi the Nazi
756838	247119	Roller Coaster Rider
756839	196397	
756840	363939	Dvornik
756841	7091	Adam's Mum
756841	143540	Herself
756841	201877	Herself
756841	380808	Herself
756841	398335	Herself (1986-2004)
756841	403096	Herself - Panellist
756842	81578	Linda
756843	33027	Herself
756843	201751	Herself
756844	146957	Alice
756845	50690	Officer Cheryl Dubrowsky
756846	245632	Julia
756847	310086	Kimberley
756848	50610	Charlene
756849	186108	
756850	26352	Carrie
756850	26471	Suzi Barrett
756850	61706	Scarlett Biggs
756850	102514	Shanna Jensen
756850	126130	Featured
756850	138912	Jency (Flaming Batons)
756850	159200	
756850	213466	Charlotte
756850	278463	Suzy
756850	304535	Lucy
756850	379696	Sam Alcott (original pilot)
756850	403014	Kyra Eleanor Hart
756851	2451	Lady on street
756851	12692	
756851	30723	
756851	49680	
756851	52003	
756851	52875	Pucci Ferretti
756851	55301	
756851	55902	
756851	56360	
756851	68427	
756851	70025	Girl at countess' party
756851	85608	
756851	85978	
756851	87582	
756851	94664	
756851	103638	
756851	104888	
756851	112662	
756851	124553	
756851	124558	Telephone operator
756851	193039	
756851	235934	
756851	252004	
756851	259704	
756851	263720	
756851	265905	
756851	294290	
756851	300701	
756851	302484	
756851	309400	
756851	315440	
756851	352239	
756851	353335	
756851	380852	
756852	175023	Holcicka
756853	330057	Buttercup Singer
756854	375439	
756855	105773	Naked Woman
756855	410756	News Anchor
756856	51049	
756856	56388	
756856	57473	La patronne
756856	198462	Mme Laurent
756857	347781	Anja
756858	19238	Female cop
756858	112812	Sister Germaine
756859	291307	Heather
756860	29447	La mère de Julien
756860	410211	Simone
756862	183426	Girl #1
756863	267393	Studio Reporter #2/Senator
756863	289208	Maxine
756864	410311	Nina Castelli
756865	23546	
756865	53143	Sharon
756865	214656	Eva Killbrook
756865	246493	
756865	377976	Patricia
756866	197758	Prison inmate/Engagement part
756867	24141	Alunna
756868	58053	
756869	115996	
756870	171	Herself
756870	3090	Human Resources Woman
756870	20954	Sandra Walker
756870	56871	Marci
756870	68225	Upset Girl
756870	78677	Karen Page
756870	104338	Naomi
756870	105042	Beth
756870	129578	Phoebe
756870	158481	Martha
756870	218785	Bertie Knox
756870	234239	Veronica
756870	239786	Nicole
756870	346298	Flynn
756870	390642	Meredith Grey
756871	133007	Mimi
756871	384265	
756871	386421	Sandra
756871	388679	
756871	388680	
756871	401819	
756871	404912	
756872	3566	
756872	14765	Luísa
756872	15246	
756872	18670	
756872	25019	
756872	42582	
756872	43235	
756872	68578	
756872	68624	Bebeto´s mother ( segment "O 
756872	73196	
756872	85598	
756872	133014	
756872	148480	
756872	222168	Hilda
756872	234021	
756872	246794	
756872	248236	
756872	251560	
756872	252420	
756872	302090	
756872	307756	
756872	336321	
756872	385522	Dinah
756872	387835	
756872	387902	Nenzinha
756872	390499	Gina
756872	391900	Amélia
756872	393792	
756872	396886	Matilde
756872	399481	Clorinda
756872	401086	Djanira
756872	403740	Soledad Navarro
756872	410014	Teresa
756872	412173	
756873	304734	Celebrating Bride-to-be
756875	227345	George Faye
756875	345344	
756876	216325	
756877	207947	
756878	313033	Les collégiennes
756879	95700	Klara
756879	172416	Magdalena
756879	181359	Anna Sklodowska, Elzbieta's D
756879	217321	Gozdzik's mother
756879	239245	Helena Pogoruelska
756879	266980	
756879	311391	Jola Lukasik
756879	343338	Anka
756879	361573	
756879	364982	Prostitute Jola
756879	375023	
756880	174704	Punk
756881	223691	Grandma Fung-Yu
756882	274198	Gina
756883	35765	Woman
756884	408861	Pseudo Sarah Bernard
756885	111741	Herself
756886	271215	Murky Dismal (costumed charac
756887	70624	Gorda
756888	285607	Neighbour
756889	71002	
756890	399807	Estrella Montiel
756890	406058	Paulina
756891	275889	Repo Victim's Wife
756892	189480	Czinka
756893	346016	Inmate
756894	57471	
756895	367891	
756896	400162	Nails (1995)
756897	235711	Esmeralda
756898	178265	Violinist
756899	70965	Jennifer Nicholson
756899	74008	
756899	217535	Laurisa Anello
756899	244917	Maureen McGuire
756899	384365	Penny Gianni
756900	15370	Off voice
756900	88324	
756900	92348	
756900	96318	
756900	96361	
756900	121697	
756900	135115	
756900	212489	
756900	317675	
756901	55897	Maria
756901	300827	Rosa
756902	384119	Serena (1998)
756903	301574	Nina cuatro
756904	339117	
756905	257636	Additional Cast
756906	47080	Yolo
756906	75838	
756906	94826	
756906	136288	
756906	209298	Manchas wife
756906	252063	
756906	287875	Fabiola, vampire woman
756906	350138	
756906	351648	
756906	365213	Yolis
756906	376666	
756907	292561	Fely
756908	2252	(segment "Teuf d'enfer, La")
756910	251296	Jeune mariée
756911	68782	
756911	133180	
756911	148707	La femme
756911	324160	Lydia
756912	49094	
756912	153092	Isabelle
756912	217738	
756912	225502	Léa
756912	254129	
756912	306944	
756912	353880	Alice
756912	397473	Various characters
756913	217738	
756914	345046	Bookeuse
756915	199564	Lolo
756915	404804	Elisabeth (age 12)
756916	100533	Barbina Bertini 6-8 ans
756917	210590	
756918	29591	Janine (French version)
756918	307344	Evelyne Watson
756919	174636	Une élève
756919	343566	
756920	324854	
756921	113685	Suzy
756922	219250	Rachel's Mom
756923	219250	Rachel's Sister
756924	107155	Attorney Martin
756925	6994	
756925	53206	Susan
756925	69049	Victim
756925	92767	Marta
756925	122204	Model
756925	206477	
756925	222361	Female Celebrity
756925	302910	Rachel
756926	97388	Owner's Box Hostess
756926	219250	Rachel
756927	104974	Waitress
756928	177253	Youngest Princess
756928	187079	
756928	203573	
756928	273633	Girl
756929	551	
756929	8262	
756929	22653	
756929	24203	
756929	24611	Nuria
756929	28953	
756929	40272	Dora, la mujer de Camilo
756929	52420	
756929	52775	
756929	52986	La Mica
756929	53650	
756929	56011	
756929	60468	
756929	61126	
756929	66081	
756929	83704	
756929	95026	
756929	96314	
756929	104089	
756929	104646	
756929	106313	
756929	132524	
756929	136980	
756929	170037	
756929	186532	Moza 1ª (Girl #1)
756929	197216	
756929	212484	
756929	233344	
756929	234175	
756929	237616	Sara
756929	240152	
756929	246376	
756929	251580	Señora cuarentona
756929	269556	
756929	301108	
756929	302310	
756929	306692	Julia
756929	328534	
756929	339138	
756929	339979	Muchacha
756929	343608	
756929	348158	
756929	352108	Conchita
756929	353654	
756929	386696	
756930	385002	Une ménagère
756931	401740	Additional Voices
756931	405278	Wakaba Shinohara
756932	346079	Wife #2
756933	248878	Cell Phone Girl
756934	29099	Young Woman
756935	273275	Phone Operator
756936	111170	Coffee Shop Waitress
756936	157931	Ms. Alexander
756936	291751	
756937	166122	
756938	13001	Virgin
756938	50500	Marija
756938	273136	
756938	333794	Prijazna opravljivka
756938	352814	
756939	44261	Annona Wetona
756939	123223	Little Wolf
756939	207184	
756940	261468	Designer
756941	2862	Ashley Cooper
756942	291055	
756944	102904	
756945	63831	
756946	27604	Herself
756947	3502	Ella misma
756947	21582	
756947	83450	Herself
756947	217930	Herself
756948	266669	(segment "Juego de espejos")
756949	292163	Lidia
756950	88669	Lukásova matka
756950	179634	
756950	179889	Old Woman
756950	223539	Malatinská
756950	225993	
756950	356091	Svrcinová
756951	384119	Sandra (1997)
756951	385469	
756952	155741	Herself
756953	145332	
756954	11010	Journaliste
756955	363840	Greek Singer
756956	155374	
756956	186931	Sibylle
756956	187677	Herta
756956	352384	Andreas Mutter
756957	28630	
756957	134188	
756957	177332	Kritikerin
756957	222452	
756957	229065	
756957	357463	
756957	381227	Dasha
756957	398892	
756957	411911	
756958	165404	
756958	174820	Saraswathi Kunjamma
756959	6459	Mariyamma
756959	14518	Marykutty Teacher
756959	20231	Janakiyamma
756959	28630	
756959	106702	Kunjannamma
756959	130151	Amarnath's Mother
756959	139403	Hariharan Pillai's Mother
756959	157707	
756959	162496	
756959	172476	Sethu Lakshmi Bhai 'Thampurat
756959	177853	Ammu
756959	179264	Kamalamma
756959	181521	Madhavan Nair's Wife
756959	204529	
756959	204848	Babu's Mother
756959	220861	Ananthan Thampi's Mother
756959	227371	Unni Amma
756959	228417	Charlie's Mother
756959	233179	Velichapad's Wife
756959	233399	
756959	248197	
756959	250821	Bhavaniyamma
756959	253557	Devaki
756959	283606	Bharathiyamma
756959	329305	
756959	330465	Mother
756959	339962	
756959	349016	
756959	349592	Rugmavathi Amma
756959	354120	Krishnamurthy's Mother
756959	355547	Sreekumar's Mother
756960	4184	Mariyamma
756961	341331	
756962	163845	
756962	324652	
756963	226469	Mama
756963	245898	
756964	352818	
756965	245898	
756965	280566	
756966	244047	(segment Obyezdchik)
756966	374941	Nina Gorchakova
756967	198122	Tonka
756967	323349	
756967	323926	
756968	3378	Prostitute
756969	383819	Cécile Bourel
756970	45899	Extra: park
756971	84012	
756972	191497	
756973	111996	
756974	61141	
756975	94837	
756975	194438	Lady #2
756976	85992	Thelma
756976	117683	Fortune Teller
756976	270446	
756976	275784	Leonard's mother
756976	383431	Lucile Toody
756976	401369	Mrs. Emma Ritzik
756978	263089	Aina
756979	199609	
756980	199524	Provincial Journalist
756980	360823	
756981	128772	Traffic Girl WQSR 105.7 FM Ba
756982	21021	Herself
756982	55393	Herself
756982	120699	Herself (with Pres. and Mrs. 
756982	146933	Suzette, aka Oogahunga, the B
756982	154199	Annette Monard Street
756982	217572	Herself
756982	329429	Nicole 'Nikki' Martin
756983	283429	Tina
756983	292248	Mrs. Rodriguez
756984	18998	
756985	293940	
756986	222310	Princess
756987	5364	
756987	28246	
756987	36646	
756987	55311	Lolita
756987	55951	
756987	57478	
756987	57906	
756987	63809	
756987	74007	
756987	74644	
756987	74849	
756987	74956	Alicia
756987	99790	
756987	101318	
756987	104146	
756987	111332	
756987	115741	
756987	115743	
756987	124662	
756987	145161	
756987	160191	
756987	179959	
756987	187478	
756987	206983	
756987	212494	
756987	213724	Ven Acá
756987	216089	
756987	221938	Rosario/Carolina Mendez
756987	225551	Ella misma
756987	229209	
756987	233342	
756987	234360	
756987	236418	
756987	236756	
756987	238221	
756987	249855	
756987	257013	
756987	270061	
756987	275079	
756987	275083	
756987	280882	
756987	281707	
756987	300817	
756987	302402	
756987	318015	
756987	326534	
756987	334571	
756987	336214	
756987	353653	
756987	355789	
756987	357005	
756987	357728	
756987	376752	Carolina Montero
756987	377172	
756987	378352	
756988	6022	Young aspirant to actress
756988	14741	Jordina
756988	23304	Sra. Hannises
756988	34564	Paula
756988	40323	María
756988	48934	Anna
756988	55866	Noia
756988	111995	Raquel Llopis
756988	162249	Agata
756988	178833	Silvia
756988	219311	The Policewoman
756988	235992	Novia sueño
756988	236752	
756988	253277	Fiancee (segment "Sincerity")
756988	266853	Alicia
756988	272693	Monise
756988	309297	
756988	309961	Secretaria del Consulado
756988	349883	Laura
756988	384795	Ana (1998-1999)
756988	402667	Susanna
756988	402673	Diana
756989	6485	
756989	49443	
756989	51540	
756989	73284	
756989	81472	
756989	103847	
756989	132705	
756989	135285	
756989	204564	
756989	278936	
756989	322249	
756989	404182	
756989	407249	
756990	6485	
756990	49443	
756990	73284	
756990	81472	
756990	135285	
756990	148052	
756990	204564	
756990	234410	
756990	307233	
756990	309414	Carmen
756990	386127	Vendadora de panchos (friend 
756990	387473	Malena
756990	389235	Nina Buenaventura
756990	389775	
756990	389776	
756990	389777	
756990	398520	Various characters
756990	400700	
756990	401133	
756991	103653	
756992	61756	
756992	219009	
756993	249891	
756994	319822	Nicole
756995	277295	Sergeant
756996	357189	
756997	193053	
756998	23761	
756998	66835	Une cliente
756998	120863	
756998	206513	Nini Bonvalon
756999	284057	Blue Star
757000	21021	M-G-M screen test for Carmen
757000	47344	Herself
757001	232184	Jean Morley
757001	277144	
757001	291506	Judy
757002	279610	Lady in Coach
757003	270796	
757004	57280	
757004	153241	
757004	161782	La mère du client
757004	217167	Patronne restaurant
757004	345548	La Voisine
757004	357042	La mère de Paulo
757005	26246	Grandma
757005	35936	
757005	95916	
757005	121874	
757005	122825	
757005	176189	
757005	178821	
757005	180430	Hen
757005	191430	
757005	222553	
757005	229944	
757005	261317	
757005	263666	Alice (Voice)
757005	265037	Pussy-cat
757005	277210	Ivanova, a sergeant's widow
757005	289868	
757005	299039	Landlady
757005	300370	
757005	304252	Mlekopitayeva
757005	320483	
757005	356993	Crone
757005	374876	Smirnova
757006	288455	
757008	64709	Orantes' daughter
757009	386412	Hostess
757009	405286	Azafata
757010	199	Mary
757010	8987	Chica
757010	193524	
757010	387811	Jeanette
757010	392034	Elena
757010	393188	Susi
757010	408306	
757011	158563	Doria
757012	158563	Melanie
757013	248136	Ella
757014	14749	
757014	146496	
757014	220522	
757014	251985	
757014	270070	
757014	279060	
757014	296499	Lidia Irigoyen
757014	327199	
757014	381224	Jipila
757014	387826	
757014	390859	
757014	395402	
757014	396840	
757014	397305	Romana
757014	397594	Carmen
757014	399406	
757014	402152	
757014	404186	
757015	189113	Laura
757015	206569	
757015	235986	Rosa
757015	281618	Paula
757015	348792	
757016	389316	
757017	1017	
757017	12944	Tía Aurora
757017	14697	
757017	19455	Sor Damiana
757017	27965	Doña Antonia
757017	28953	
757017	43307	
757017	52763	Blanca
757017	52975	
757017	53085	Compradora
757017	53652	Madre Tornera
757017	54850	
757017	57782	Juana, la esposa de Luis
757017	61349	
757017	61360	
757017	63755	Doña Socorro
757017	64993	
757017	65216	
757017	66081	
757017	66404	Matilde
757017	67212	Doña Rosa
757017	68969	Carola
757017	71193	
757017	74359	
757017	74651	
757017	80148	
757017	80164	
757017	84050	
757017	86904	
757017	90188	Ama de Don Alonso Quijano (Do
757017	97658	
757017	101618	
757017	102400	
757017	103118	Matilde
757017	104139	Alicia
757017	106326	Mercera
757017	117975	
757017	132524	
757017	132689	
757017	133093	Spaniard at party
757017	143771	Alejandra
757017	145254	
757017	151797	Elder Lady On Old Time Train
757017	163030	Khozyajka doma
757017	163980	Herself - Winner: Best Suppor
757017	171651	
757017	190645	
757017	192980	
757017	194622	
757017	199827	
757017	202734	Doña Ramona
757017	209007	
757017	211171	
757017	212452	Mrs. Bietti
757017	212486	
757017	218503	
757017	219424	Graciela
757017	221926	Petrita
757017	222418	
757017	226374	
757017	231264	
757017	231601	Amparo
757017	246376	
757017	247322	
757017	253990	Francisca
757017	256720	
757017	266481	
757017	266864	
757017	274861	
757017	277235	
757017	280430	
757017	281650	Anciana
757017	291691	
757017	292709	
757017	292919	
757017	296500	
757017	301197	Flérida
757017	318291	
757017	319751	madre di Leo e Delia
757017	341871	
757017	343608	Lucía Castelo Encantado da Se
757017	349472	
757017	350558	Juana
757017	350933	
757017	351637	
757017	352152	Estefanía
757017	353180	
757017	353548	Señora de Piñeiro
757017	353626	
757017	355758	(segment "Aniversario, El")
757017	370064	
757017	376795	
757017	377729	Madame Bertrand
757017	378482	
757017	380274	Asunción
757017	383772	Doña Merlucines
757017	383816	
757017	384062	
757017	385396	
757017	388442	Vecina
757017	389139	Doña Lupe Rubín
757017	393911	Doña Emilia
757017	402541	Posadera
757017	404755	Mercedes
757018	208410	Bicycle Helmet-Girl
757018	208411	Bicycle Helmet-Girl
757021	205713	
757022	339707	Emily
757023	130305	Sister
757023	144376	Gelsa
757023	170562	Pedicurist at Elizabeth Arden
757023	224064	Phillipa
757023	229428	Secretary
757023	294786	Daphne
757023	324020	Betsy
757023	360874	Flight Attendant
757023	382254	Neighbor Woman
757023	395227	
757023	403206	Lucy
757024	243720	Sinhazinha/Guerreira
757025	104766	Portuguese entry (8th place)
757026	222736	Hostess
757027	55362	
757028	57781	
757028	238761	
757028	260841	La bella chulita
757028	339168	
757029	111102	Claudia
757029	169532	
757029	345201	Catherine
757029	346738	d'Arielle
757029	351550	Leïla
757030	87175	TV Reporter
757031	228523	Dorothée
757032	206741	Mulatto Woman
757033	33625	Henriette
757033	340509	Myrthe
757033	400217	Els Stam (1994-1995)
757034	130656	Aimee Rambeau
757035	74649	
757036	81030	
757037	248884	Safety Man at Track
757038	388104	Player-Ink, Incorporated
757039	290282	Geli, Reporterin
757040	291479	Organizer
757041	336139	Linda
757042	12513	Faster Sofie
757042	17526	
757042	30058	
757042	40189	Siri (fourth sequence)
757042	45742	Ruth Landén
757042	48133	Margrethe Dragstrup
757042	48358	Mylady
757042	83086	The Princess of Illyria
757042	91140	
757042	99517	
757042	99520	Hustruen
757042	101011	
757042	117320	
757042	120312	Jødisk flygtning
757042	122502	Hedvig Rehmer
757042	137054	Hrafnhildur, Hadda Padda
757042	147000	
757042	153370	
757042	153759	Nonne/Nun
757042	154075	Fru Brun
757042	154211	Herself
757042	159909	
757042	166597	Læserbrevsredaktøren Fru Nann
757042	173114	Jägmästarens dotter
757042	179979	
757042	180406	
757042	182271	Enkefru Tang
757042	182614	
757042	182624	
757042	182631	
757042	198279	
757042	203970	
757042	211055	Primadonnaen
757042	215071	Estelle
757042	237402	
757042	248719	Oline Gruesen
757042	249685	Ballet dancer
757042	251178	
757042	264295	Speaker
757042	266361	Maria
757042	268356	Eleonore Renskiöld
757042	274934	
757042	303643	Østerhøj/Tante
757042	303725	
757042	304518	Mamma
757042	305130	Ms. Ehrenborg von Wendelshaus
757042	305860	
757042	315055	
757042	317653	Camilla
757042	322681	Bedste
757042	350278	
757042	351041	Anna
757042	356842	
757043	328891	
757044	112971	Helene
757044	121000	Babettchen
757044	145348	
757044	164274	
757044	179768	
757044	204449	
757044	210085	
757044	294213	
757044	322427	Tinchen
757044	360965	Marie
757044	376509	
757045	338668	The Brother's Mother
757046	291049	Leese's Secretary
757047	142866	
757048	261767	
757048	264378	Louise de la Vallière
757050	148817	Goerans' class mate
757050	220194	Bathing beauty
757050	381054	nurse Stina
757051	2939	Greta Borg
757051	8039	Tora
757051	32380	Dam
757051	45943	Mrs. Olofsson
757051	78514	Sonja Gren
757051	94252	Parrot's voice
757051	97883	Mrs. Falk
757051	101451	Woman at the ball
757051	101640	Greta
757051	107236	Mrs. Holm
757051	115881	Zuleika
757051	129267	Miss Berg, Sylvester's secret
757051	129662	Friend of Ellen
757051	131138	kassörskan (episodes 3, 4)
757051	135219	Ragnhild
757051	136683	Laundry woman at Vanås
757051	148817	Sylvia, Nisse's girlfriend
757051	154203	Girl at the costume departmen
757051	174256	Mona Miller
757051	181846	
757051	182279	fru Klausner (episodes 1 and 
757051	188874	Maj-Britt
757051	193298	Mrs. Lövgren
757051	195047	Mrs. Blomgren
757051	198256	Mariann
757051	218993	
757051	272501	Katarina Andersson
757051	276139	Ms. Håkansson, secretary
757051	289212	
757051	304137	School Girl
757051	304655	Astrid Ahlin
757051	307771	Aunt
757051	311536	Leyla
757051	317642	Gullan
757051	332378	Rosita
757051	346971	Elly Carlström
757051	347016	Waitress
757051	355638	Laughing girl on the train
757051	355642	The Model
757051	357796	Helen Ivarson
757051	382891	Ritva
757051	384527	Siv Holm, housemaid
757051	393273	Hyresvärdinna
757052	375867	Ingrid
757053	69781	
757054	64672	Old Cantina Lady
757054	89928	Mamá de Felipe
757054	273583	Neighbor
757054	355820	Astolfa
757054	398915	
757055	147976	Woman at the church
757055	256795	
757056	394609	
757057	10282	
757057	12681	Rita
757057	16795	
757057	43715	
757057	52785	
757057	54810	
757057	55033	Wilma
757057	57020	Anna
757057	65581	Sara
757057	72409	Roberta
757057	75250	Carola
757057	77817	
757057	82438	Gloria Datti
757057	111336	Francesca
757057	111840	
757057	127917	Styla
757057	160540	Marisa
757057	161126	Young Girl
757057	209342	Lidia
757057	212094	
757057	248513	Anna
757057	255126	Gioia
757057	276444	Vera
757057	278968	
757057	278969	Gioia
757057	290862	Claudia
757057	307334	Annina
757057	324452	
757057	327438	Giovanna Zanon
757057	336270	Second Maid
757057	352560	Paola
757057	356210	
757057	375235	
757057	381622	Francesca Cialdi
757057	385418	
757057	410278	Rosa
757058	72973	Deborah
757058	290862	Segretaria
757058	344613	Muchacha
757059	29523	Barfly
757060	6619	
757060	15064	Mme Adrienne
757060	68381	
757060	200575	
757060	324185	La surveillante
757061	23202	Mama
757061	50151	
757061	134145	Elena Rodriguez
757061	254291	Front Desk Clerk
757061	363763	Monica
757062	70904	Luana
757062	123849	Johnny's Girlfriend
757062	269094	Irma
757063	101842	
757064	308155	Old Chinese Woman
757064	370540	Old Woman
757065	327727	(segment "Lifeline")
757066	74257	Mrs. Ndela (Absolom's Lodging
757067	81195	Prostitute
757067	127020	
757067	165980	Pooja
757067	173843	
757068	155579	
757068	176168	
757068	183431	Vanaja
757069	97718	Elektra Quartet, Viola
757070	317536	Waitress
757071	176177	Lady Rayrai
757072	351645	
757073	24693	
757074	310634	Valeri
757075	137603	Casino Cocktail Waitress
757076	320034	
757076	411809	Pam Keough (1980)
757077	86817	Pili
757078	55686	Betty
757079	150542	Narrator
757079	275393	Herself
757080	330122	Constance Stuckling
757082	41875	Older Woman
757083	306326	Herself
757084	106666	Masked party principal
757085	114271	Caller
757086	266587	Cafe Waitress
757087	17996	Waitress #1
757087	109841	Reporter
757087	141400	Judy
757087	293021	Reporter #2
757088	18090	Sophie
757089	133319	
757089	174568	Sybill Braun
757090	380430	
757091	69429	Ruth Fisher
757091	99327	Nurse
757091	307105	Claire
757092	147974	Hutterite Girl
757093	92514	Margie
757093	117115	
757094	47175	
757095	37691	Brian Michael
757095	185173	Rick
757096	119581	Noreaster #4
757097	393664	Host (1948-1949)
757098	72580	
757099	74207	Acting High Commissioner's wi
757100	205417	Woman
757101	291834	Fuck Off woman
757102	87638	Archaelogist
757103	195785	Kissing Couple
757104	208756	Woman in Red
757105	213299	Helena
757106	160000	Melody Lounge Dancer
757107	287704	
757108	47175	
757110	23441	Cookie
757110	37683	Blonde Bikini Girl
757110	102764	
757110	106120	Hostess & Model #8
757110	106121	Hostess & Model #9
757110	150571	Lingerie Model
757111	84521	Mrs. Krenshaw
757112	102769	
757112	135996	Dancer
757113	105069	Young Jacqueline
757113	262591	Child With Puppy
757114	390694	Teacher
757115	71254	Model
757115	188773	Jella
757115	363777	Girl
757115	385299	Ingrid Larsen
757115	410582	Eva Braun
757116	78516	Mario's moeder/Mario´s mother
757117	10070	Elsa Einstein
757117	24602	Frau Sengebusch
757117	40386	Hexe
757117	86882	
757117	98262	
757117	107360	
757117	109100	Frau Sammet
757117	139833	Lehrerin
757117	156722	Adelheid Türkheimer
757117	178634	Müllerin
757117	189630	Mathias' mother
757117	259497	
757117	259513	Elfriede Hesse
757117	259617	Betty
757117	259631	
757117	290534	Senior #1
757117	312649	Gerda
757117	324511	
757117	333044	
757117	376316	Caroline Neuber
757117	376476	
757117	392669	Edda Barrach
757118	103120	Anja
757118	259459	Veronika
757118	259644	Ilona Bauer
757119	71138	Masseuse
757119	72557	Camera girl
757119	78991	Valerie
757119	113724	Julie
757119	134314	Guide
757119	137449	Nurse #2
757119	137470	Supply Clerk
757119	216184	Linda Woo
757119	226900	Barbara
757119	280663	Red Team: #7
757119	363972	Reporter
757120	79281	Female Reporter
757120	182966	D.A. Marilyn Dart
757120	391834	Brenda
757121	310591	Herself
757122	96543	Jenny
757122	359021	
757123	116398	
757124	262772	
757125	106794	May
757125	216664	
757125	370923	Cheung, Siu Yu
757126	216664	
757127	370404	
757129	50006	Maid Servant
757129	143949	
757129	174612	
757129	198772	
757129	220826	
757129	303410	
757130	34837	Herself
757131	79060	Nurse
757132	185593	Teri
757132	269036	Jeanie
757132	366617	Massuese
757133	158516	Kurdish Mother (Iran)
757134	175942	Apple Seller
757135	15190	
757135	17191	Scary Nurse
757135	21666	
757135	21808	
757135	23082	
757135	24758	
757135	29865	Padma
757135	90923	Chelli
757135	132012	
757135	135893	
757135	137059	
757135	161456	Chitti thalli
757135	184193	
757135	204348	
757135	221583	
757135	227108	
757135	242425	
757135	252014	
757135	267957	
757135	312506	Swarna
757135	316712	
757135	323692	
757136	45410	Hospita
757136	67667	Marina
757136	365113	
757136	376185	Michelle
757136	393184	Mireille Laporte (pvdv)
757136	400904	Els
757137	12142	Mother
757138	118684	Inuit Woman
757139	229506	Party girl
757140	104754	German entry (4th place)
757140	189843	Herself
757140	189851	Herself
757141	151007	Talia
757141	267497	Melanie
757141	300180	Nurse
757142	362990	
757143	263005	Patricia
757144	241696	Alice
757145	65751	Vagrancy Police Officer
757145	161948	Prostitute
757146	265903	
757147	183264	
757148	66596	Nuta
757149	78765	Giggling Girl
757149	263005	
757149	339967	La fille camion social 2
757150	118946	Woman
757151	28281	
757151	57514	
757151	238024	Mihaela
757151	250879	Emilia
757151	262586	
757151	378095	
757152	173831	
757153	57764	Herself
757154	222441	
757155	100841	Woman in Park
757156	258812	
757157	30596	
757157	261305	
757158	229057	
757159	27469	Chinovnichkata
757159	95919	Doykata
757159	226017	
757159	227970	
757159	228845	
757159	311584	
757159	374030	
757159	375394	
757160	395911	Denis
757160	398874	Student
757161	143648	Themselves
757161	238169	Kid
757162	144392	The Babe
757162	321182	Girlfriend at Fair
757163	230857	Mandy
757164	158311	General Store Extra
757165	34673	Michelle
757166	191742	
757167	1500	Cindy Thomas
757167	10933	Sara Johnson
757167	70426	Beth Tanner
757167	87926	Abbey
757167	91574	Bianca
757167	98174	Jenny
757167	105279	Rena
757167	113473	Carla
757167	128572	
757167	142753	Young Loreto Callaghan
757167	155020	Cheerleader
757167	160887	Sarah Calder
757167	229733	Sara Novak
757167	243150	Tanya
757167	244838	Mari Ferraez
757167	306220	Fawn
757167	330891	Mel Rochester
757167	338297	Molly White
757167	350667	Cheryth Bleyn
757167	366061	Angela
757167	401894	Samantha 'Sam' McPherson
757168	13392	
757168	386859	Herself/panelist (1951-1954)
757169	78121	Bar Patron
757169	80660	Herself
757169	99213	
757169	120258	Himself
757169	256500	Teacher
757170	183213	Ballroom Dancer
757170	184046	Maids/Nuns
757171	65200	Dido
757171	283689	Wood Nymph
757172	287217	Klara
757173	27247	Frances Myers
757173	82838	
757173	147553	
757173	381121	Frances Myers (Series 6-) (20
757173	385020	Tanya Pooley (1993-1994)
757173	386963	Stephanie Jacobs (1998)
757173	389167	Kathy Starkie
757173	390432	Janice
757173	397212	Dr. Charley Fielding (1998)
757173	397429	Becky (Series 2)
757173	398691	Ruby Mason
757173	401077	Claire Brightwell, practice n
757174	99413	Leslie Town
757175	293790	
757176	88831	Saundra
757176	163562	Marion Floogle
757177	316501	Song Leader
757178	133572	Herself
757179	402330	Himself
757180	254283	Toni Twin Petty Girl
757181	301765	Girl at Party
757182	254283	Toni Twin Petty Girl
757183	305087	Gloria Alden
757184	158975	Auctiion bidder
757185	119826	
757185	161662	Wife
757185	187411	
757185	195919	
757185	195921	
757185	314683	June
757185	322670	Kitty, the cook
757185	341456	
757185	348828	
757185	364021	
757185	375112	
757186	350214	Lana
757187	88259	
757188	303239	Visitor
757189	57139	Suzanne
757189	308038	Angela
757190	298266	Rochelle
757191	395220	Herself
757192	70301	Martha
757192	308576	Woman
757193	227034	
757193	228608	Toni
757195	211765	Girl on Raft
757196	64833	Extra in restaurant scene
757197	78957	
757198	394663	Brangwen-She (1989)/Morghanna
757199	406817	(2003)
757200	144577	Young Nancy
757201	241531	Shell Person
757202	11362	Waitress
757202	92864	Luncheonette Lady
757202	108086	Dottie Dorfman
757202	117112	Mrs. Ralston
757202	137197	Sister Veronica
757202	185670	Elvira
757202	199467	Group Member
757202	209655	Bernice Muncey
757202	232861	Margaret Foster
757202	241050	Mrs. Kendall
757202	281997	
757202	317893	Hannah Dillon
757202	336815	Esther
757202	361475	Mrs. Bernstein
757202	382071	Alice Fisher
757202	383240	Elaine Fusco
757202	405769	Mrs. David (1979-1981)
757203	48461	Extra
757203	379376	Narrator
757204	311038	Train Passenger
757205	133475	Haney's Big House Dancer
757205	235554	Daisy
757206	26660	Helen
757207	105492	Student
757208	2657	Priscilla
757208	2658	Priscilla
757209	246025	911 Operator
757210	33754	Miss Clayton
757210	105971	FBI Office Secretary
757210	194831	Slave Girl
757210	297998	Rita
757210	367686	Party Guest
757211	171094	Slumber Party Girl
757211	365142	Mountain Family Daughter
757212	197220	
757212	243892	Granny
757213	51260	Táflová
757213	85220	
757213	91441	
757213	95995	
757213	96495	Markéta's mother
757213	165062	
757213	174937	Peková
757213	189497	
757213	224959	Zemánková
757213	229560	Zouharová
757213	266459	
757213	305809	Sister-in-law
757213	315810	Marie Bukvajová
757213	325165	Lady with buckteeth
757213	373781	Mikysková
757213	374531	Jamborová
757213	375973	
757213	384174	Meuder
757213	399142	Jáchymová, nurse
757214	38170	Vendeuse vêtements
757215	13037	
757215	23803	Karma, la voyante
757215	24421	Laetitia Bonaparte
757215	43003	Francine Margerie
757215	83297	Mme Rameau
757215	91079	
757215	104799	Mariska
757215	118177	Arabella
757215	120987	Frédérica
757215	136957	Duchesse de Malévrier
757215	148668	Mona Talia
757215	153804	Erika Axelos
757215	156564	
757215	199613	Sofia
757215	201164	
757215	217674	
757215	248358	
757215	248422	Sonia Vorochine
757215	258117	Mrs. Popova
757215	266406	
757215	280556	Therese Mannix, a famous actr
757215	284662	
757215	332754	
757215	339617	Bernardine
757215	346511	
757215	349899	Antonia
757215	351005	La princesse
757215	356370	Mona Lorenza
757215	377062	Nadia
757215	377241	Véra Termutzki
757215	377733	
757216	20190	
757216	64351	
757216	66312	
757216	67024	
757216	104503	
757216	110984	
757216	138941	
757216	155119	
757216	243606	
757216	262986	
757216	325342	
757217	12263	
757217	54199	
757217	54200	
757217	75178	
757217	92892	
757217	94153	
757217	188782	
757217	225599	
757217	229094	
757217	252416	
757217	284346	
757217	294688	
757217	302808	
757217	344440	
757218	150555	
757219	337996	Caliban's Girl
757220	75083	
757220	88203	
757220	157670	
757220	190769	
757220	219417	
757220	287159	
757220	345559	
757221	150555	
757221	346546	Madame Maréchal
757222	87118	Corina Pope
757223	365244	Varvara
757224	3372	
757224	12265	
757224	12876	
757224	15339	
757224	22580	
757224	55849	
757224	84041	
757224	86830	
757224	94153	
757224	99276	
757224	110097	
757224	112700	
757224	123013	
757224	132433	
757224	157670	
757224	205575	
757224	229094	Spioana
757224	240396	
757224	247899	
757224	251355	
757224	253987	
757224	288336	
757224	292897	
757224	296350	
757224	341509	
757224	344439	
757224	350569	
757224	354634	Postmaster
757224	374224	
757225	13626	Fourth SS Officer's Wife
757226	16801	
757227	181124	Angela
757228	36638	
757228	258664	Nurse
757229	390800	Lady Marie
757230	27476	Lekarkata
757230	164089	Lili, prisluzhnitzata na Kame
757230	173988	Glasat na Adriana
757230	227970	
757230	258572	Rada Gospozhina
757230	304720	Maykata na Bebo
757230	326332	Yanka
757230	402131	
757230	404810	
757231	404448	Kim Riemann (1999-14. Februar
757232	105596	Spoon
757233	256853	Wendy
757234	285752	Ilya's girlfriend
757235	318871	
757235	318873	
757235	318875	
757235	318876	
757235	318877	Manka
757235	318881	
757236	79965	Louise
757237	68086	Herself
757238	108851	Masha
757238	259925	
757238	263893	
757238	265047	Little Red Riding Hood
757238	266289	
757238	320410	
757238	349217	Eugénie Danglars
757239	259879	
757240	113993	Theresa
757241	34683	Sheila Wexford
757241	120111	Sophie Maddox
757241	178224	Sheila Wexford
757241	222642	Marie Mercado
757241	279347	Sheila Wexford/Curzon
757241	304800	Sheila Wexford
757241	351238	Sheila Wexford
757241	367299	Sheila Wexford
757241	388126	Fran Tuett
757241	391759	Anna Chandler: Anaesthetist (
757241	403285	Isabella
757241	411382	Bee, Marshall's client
757242	194380	Waitress
757243	77675	Whisper Narration
757244	305742	Herb's Mom
757244	358328	Glenda
757246	43200	
757246	94181	
757246	136231	
757247	219694	Actress (Herself)
757248	3582	
757248	163058	
757248	226188	(segment "Rodina elektrichest
757248	229193	Korneva (Nancy Matthews - US)
757249	298734	
757250	231159	Ganka Palauzova
757250	300564	Yana, zhenata na Goran
757251	383569	
757252	45764	Eli (segment Chao, lyubov moy
757252	82488	
757252	180496	Maya
757252	224448	Kina
757252	354321	Yana
757252	381360	
757252	386653	Mariya Aldanova
757252	399132	Mariya
757252	410432	Mariya Aldanova
757253	370460	Lyulyuche 3
757254	134758	
757254	225909	Nadezhda Krupskaya
757254	300368	
757255	220695	
757255	227959	
757255	373519	
757256	9473	
757256	44394	
757256	149524	
757256	160594	Nora
757256	247984	Donna bulgara
757256	285195	Keratza
757256	309112	Laila
757256	374247	
757257	235964	
757257	244644	
757258	87660	Girl in Cafe
757259	126204	
757259	320529	
757260	315851	Dancer
757261	95754	
757261	258602	
757262	62828	
757262	76350	
757263	180539	Manja
757264	208777	Dimana
757264	301892	Petra
757264	404797	
757265	397513	
757266	207497	Nastya (segment "The Lower De
757267	22585	Woman on Train
757268	200418	
757268	225971	
757268	227900	
757268	244715	
757268	245901	
757268	270581	
757268	357256	
757269	265018	Rumyanka
757270	223212	Rosette
757271	303877	
757271	386031	
757272	103565	
757272	213513	
757272	261330	
757272	320707	
757273	182069	
757274	181510	
757275	39012	
757276	26475	Komarikha
757276	34588	
757276	46101	Matryona
757276	76998	
757276	87191	
757276	95618	
757276	98575	
757276	177911	
757276	198139	
757276	219426	Old Woman
757276	244728	
757276	262674	Samokhina
757276	304252	
757276	343807	
757276	350728	Stepanida
757276	357465	
757276	357675	
757276	370934	
757277	33833	Grandma
757277	45900	
757277	258658	Daughter
757277	370934	Katja
757278	276826	Ericlea
757279	349217	
757280	162672	
757280	229003	
757280	229839	
757280	238112	
757280	286732	Valerka's Mother
757280	309360	
757280	357459	
757280	373856	Valerka's mother
757280	374459	
757280	381391	Nurse Shura
757280	390181	
757281	35836	Pravka
757281	164061	
757281	208775	Violeta
757281	300564	Kalinka
757281	324427	Zhenata na smartnika
757282	44394	
757283	214249	
757284	341937	Mary Lane, reporter
757285	91108	Miki
757285	95595	Luna Lu
757285	258523	
757285	303418	Medicinska sestra
757285	338863	Galina
757285	382029	Mustafina zenska
757285	400405	
757286	373126	Herself (D'Divaz)
757287	385931	Herself
757288	397855	
757289	94219	Ruzica
757290	164724	
757291	43009	Kneginja Milica, njegova zena
757291	78950	Nina
757291	85266	
757291	87188	Jedviga
757291	91217	Jelena
757291	129334	Radanova zena
757291	137713	
757291	166970	
757291	173814	Kneginja Ljubica
757291	180666	Milka
757291	207800	
757291	215120	Reporterka
757291	215270	
757291	221193	
757291	226376	Silja
757291	229075	
757291	229570	
757291	230098	Dunja
757291	235001	Herself
757291	245890	Gina
757291	246308	Bozica
757291	258523	
757291	258608	
757291	263528	
757291	265033	
757291	265322	Debela novinarka
757291	272044	Nevenka
757291	293807	Razumenka
757291	295051	
757291	296047	Snasa
757291	302057	Kate
757291	303124	Debela iz lige za gradjanska 
757291	303622	Labudova majka
757291	304551	Kelnerica
757291	320482	
757291	320551	Razumenka
757291	320634	
757291	320705	
757291	337450	
757291	339325	Tetka
757291	343835	Dunja
757291	343839	Herself (interviewed)
757291	344254	Jovana
757291	351973	
757291	356533	Dobrila
757291	357313	Milica Stojadinovic-Srpkinja
757291	375340	
757291	382430	Dara Zavisic-Biberovic
757291	382431	Dara Zavisic
757291	382787	Todorova zena
757291	382939	
757291	390388	Vukica, Macina prijateljica
757291	395607	
757291	396292	Komsinica
757291	397529	
757291	398921	Lepa
757291	399000	Andjelija
757291	405506	Ljilja
757291	405693	
757291	406497	
757291	410452	Ljubica Obrenovic
757291	411900	Deska
757292	85266	Lila
757292	180253	Jelena
757292	234260	Danica
757292	304159	Anja
757292	309811	
757292	324481	
757293	187980	
757294	34189	Herself
757295	343813	
757296	229293	
757297	263032	
757298	170212	Herself
757299	77504	
757299	92356	
757299	92730	
757299	132160	Zivka Popovic
757299	171888	
757299	267844	
757299	320567	
757299	339283	
757299	344258	
757299	357276	
757299	395832	Visnja
757300	397530	Brankica
757301	355548	
757302	93510	
757303	212332	Herself - Participant/Perform
757303	212333	Herself - Participant/Perform
757304	215355	Svetlana
757304	386526	
757305	181507	
757306	166450	Zgodna radnica
757306	244181	
757307	198836	Ivonna Cadaver
757307	396318	Ivonna Cadaver
757308	49828	Prostitute
757308	174975	
757309	110519	Beth's Grandmother at 35
757309	347849	Janet
757310	18039	
757310	78644	
757310	80353	
757310	95123	
757310	217754	
757310	249847	
757310	261913	
757310	261921	
757310	261922	
757310	272579	
757310	295104	
757310	341509	
757311	678	
757311	5399	
757311	54201	
757311	112784	
757311	213540	
757311	248729	
757311	273879	
757311	375134	
757312	56014	
757312	94504	
757313	18039	
757314	15998	
757314	37635	
757314	40266	
757314	78644	Darclée
757314	92888	
757314	94153	
757314	101476	
757314	122042	
757314	127906	Irina
757314	156737	Illic
757314	161532	Doamna Ruxandra
757314	183055	
757314	240396	
757314	243046	
757314	246442	
757314	272624	
757314	294651	
757314	338866	
757314	339094	
757315	278687	
757316	144459	
757316	361237	
757316	396567	
757317	170214	Himself
757317	170215	Herself
757317	170220	Herself
757317	170222	Herself
757318	185960	
757319	406685	Claire Noblet
757320	287219	Piano player
757321	391693	Herself
757322	7889	Marge Flappenberg
757322	223776	Heidi Popp
757323	265092	Pilgrim
757324	55256	Soprano
757324	95684	Soprano
757324	111960	Marcellina
757324	140626	Soprano
757324	197837	Mistress Ann
757324	281973	Sophie
757324	352309	Maria
757324	374008	Marie, siene Nichte
757324	374129	Pamina
757325	276601	Doris Reimer
757326	361448	
757327	4640	
757327	281667	
757328	185137	Ms. Benini
757329	229172	Die Auktionärin
757329	347807	Bewerberin
757330	50975	Traingirl #2
757331	313056	Angelina
757332	4513	
757332	40941	
757332	48366	Ella Westman
757332	109277	Professorskan Emelie Palm
757332	109278	The Angel, Amandus' sister
757332	190808	
757332	214364	Housemaid
757332	310386	Betty Lagberg
757332	322671	
757332	341815	
757332	355630	
757333	48366	Helena Westman
757333	69649	Elisabeth
757333	108784	Henriette
757333	109278	Emelie, Jönssons' daugter
757333	164790	
757333	244015	
757333	304413	The wife
757333	310386	Matilda Röse
757333	354414	Hedvig, their daughter
757334	6071	
757334	27520	
757334	114495	Dolly
757334	171798	Meid
757334	314886	Secretaresse
757334	376188	Police Officer
757334	384154	
757334	400287	Suzanne D'Hert
757334	406558	Yannick
757335	237967	
757335	261363	
757336	54465	Lady Fear/Soldat/Bruno
757337	79162	Female Paramedic
757338	155108	Herself
757339	141734	
757339	147298	
757339	175243	
757340	314108	Dancer
757341	217480	Fishface #3
757341	346142	Hotel Rainbow Guest
757342	148909	Monica
757343	141855	dochter Pink
757343	409987	Gwen van Dungen
757344	63208	Susan Pevensie
757344	87464	Rebecca
757344	119849	Henrietta
757344	128515	Maertge
757344	192346	Anna Sackville-Bagg
757344	204730	Betsey
757344	209095	Young Marina
757344	332133	Denise Smash
757344	385659	Fanny Davilow
757344	396081	Victoria
757345	195300	Daisy, her daughter
757345	396081	Emma
757346	191573	Candie's Mom
757347	85930	
757347	85934	
757348	145173	Sandy
757348	281449	Mrs. McGregor
757349	281449	Young Christel McGregor
757350	211722	Tatiana
757351	330705	Alva
757352	18544	Sharks Trainer
757354	379470	Lisa Dvir (2003)
757355	281941	
757356	37731	
757356	247647	
757356	322138	Aneczka
757357	6082	
757357	95755	Frieda
757357	104954	
757357	105185	Mrs. Finkelstein
757357	119500	
757357	299410	
757357	301008	'Stefa' Stefania Wiczynska
757357	304774	Nana
757358	156036	
757358	181853	Malka Badihi Leml
757358	181854	Malka Badihi
757358	285992	
757359	294387	
757360	194881	Ellie
757361	314155	Kid
757361	400548	Second Grader
757362	289547	Kelly (victim #5)
757363	5743	
757363	14789	
757363	33506	
757363	50127	
757363	61138	Señora gorda
757363	61142	
757363	61203	
757363	73486	
757363	90055	
757363	90157	
757363	96355	
757363	108129	
757363	119305	
757363	121479	
757363	148096	
757363	148110	
757363	170095	
757363	211874	
757363	284959	
757363	317673	
757363	343613	
757363	377196	
757364	73284	
757364	140824	
757364	268513	
757365	120706	
757366	13065	
757366	15357	
757366	44659	Ama del cura
757366	52763	
757366	55748	
757366	56316	Gimnasta
757366	102912	
757366	135281	
757366	136979	
757366	143757	
757366	148072	
757366	165789	
757366	207032	
757366	216303	Carnicera
757366	225038	
757366	246875	
757366	248250	
757366	263699	
757366	265157	
757366	280275	
757366	301151	Pili
757366	307291	Concha
757366	307297	
757366	310298	Maria
757366	355758	
757366	376734	
757366	376835	
757366	383687	
757366	387821	
757366	387967	
757366	398838	Paca (1998-1999)
757366	399606	Pepa
757367	74821	
757368	54161	Herself
757368	102914	Herself
757368	383368	Zangeres
757368	397004	Herself
757368	400288	Herself
757369	328259	Christina Gale
757369	353294	The B-Girls
757370	100490	ontvoerd meisje
757371	20287	Dancer
757371	20625	Extra
757371	163544	Dancer, Cuban Girl
757371	207287	Woman at airport
757371	271855	Servant
757372	55444	Kenna
757372	62584	Logan
757372	120827	Reporter
757372	160445	Herself
757372	313822	Pvt. Lei Sahara
757373	161299	Herself
757373	328584	Ranger Emily
757374	327232	Guest
757375	177146	Mrs. Parker
757375	263102	Miss Erikson
757376	87943	
757377	355660	Old-maid teacher
757378	196390	French Girl
757378	334189	French girl
757379	383803	Herself (segment "First Step"
757379	401595	Herself
757380	89194	Baby Nello
757381	246397	
757382	192691	Bucky
757382	230675	Dorothy Anderson
757382	324983	Drive-in patron
757383	3149	Mimi Jonquille
757383	12653	
757383	19097	Lucienne Lombardi
757383	46597	Denise (segment "Le mort dans
757383	54299	Léonora Galigaï
757383	57540	Monique
757383	72069	
757383	119038	Mme. Bazouche (segment "Enfan
757383	126257	Madame Maigrat
757383	133000	Agnès de Charançay
757383	153839	Hélène Bardin
757383	167194	Mother Superior
757383	211139	
757383	217636	
757383	225409	
757383	236614	
757383	258529	Lucienne Marignan
757383	265739	Madame Mailer
757383	266388	
757383	273108	Solange Birot
757383	275993	Mother
757383	280871	Madeleine
757383	320007	Muriel Herbillon
757383	332622	
757383	336912	Simone Rebeira
757383	340132	La tante de Perle
757383	346561	Le mère
757383	352858	
757383	353829	Line
757383	353830	Line
757383	357855	
757383	357858	La secrétaire de Me Guérin
757384	89827	Vale Toppetti
757385	254076	
757386	135345	Maria/Actrice
757387	249449	Rita
757388	335275	
757389	96115	
757390	333018	Azeta
757391	333018	Porgo
757392	192794	Rita Partridge
757393	7948	Ellen Maxfield
757393	17490	Krystyna
757393	20253	Millie
757393	23734	Mary Rafelson
757393	72140	
757393	78770	Maggie
757393	110967	Langley Flynn
757393	142985	Nina
757393	160888	Chi Chi Chemise
757393	179041	Lily
757393	194047	Diane Thwaite
757393	249517	Wallis P. Longsworth
757393	252445	Dr. Anna Fahri
757393	260950	Elite Model
757393	281454	Eliza
757393	292122	Allison
757393	311782	Herself
757393	332146	Dallas
757393	360670	Tanya
757394	202044	Cecilia
757395	364769	Dorothy
757397	2844	
757397	75030	
757397	75031	
757397	75035	
757397	75059	
757397	326745	
757397	351199	
757398	270896	B-Girl at the Elephant
757399	341217	
757400	178376	Statist
757401	166708	Little Girl at Sinagogue
757402	18285	Devuska v tualete
757402	172440	Herself
757402	173033	Katya Mazur
757402	234435	Svetlana
757402	234436	
757402	259059	Marina
757402	382758	Tamara, Fil's Wife
757402	394752	Psikhiatry
757402	409314	Lyudmila Stupina, literature 
757403	120851	
757404	48294	
757404	205051	Marilda
757404	344734	
757404	344735	
757405	148667	
757406	63915	Segunda víctima (Second victi
757407	371732	
757408	42911	Herself/Host
757409	173649	
757410	42779	Punk
757411	6441	
757411	14680	
757411	54722	
757411	55375	
757411	75201	
757411	148150	
757411	169779	
757411	170919	
757411	197972	
757411	221952	
757411	260550	
757411	281759	
757411	287695	Eufrosia
757411	377106	
757412	246275	
757413	193515	
757414	221773	Hope
757415	102247	Perez
757416	401466	Herself - the host
757417	367951	Herself
757418	53793	Lola
757419	354672	
757420	85693	La femme du peuple
757420	201201	Une femme du 'Necro's club'
757420	257002	
757420	403643	Jeanne la Boîteuse
757421	68693	Amorous Boy's mother
757421	199390	Receptionist
757421	202390	Florence
757421	258305	Lady Newbold
757421	262613	Mrs. Ox Driver
757421	264676	Mrs. Dorcus Medcalf
757421	285752	Orphanage nun
757421	303030	Porcelain
757421	363727	Security officer
757421	382279	Freda
757421	384333	Miss Cramb
757421	384587	Beth's Mother
757421	390523	Mrs. Hilary Thomas (1980-1982
757422	375508	Sandy (lake murder victim)
757423	50610	Jesse
757424	277764	Anne Balin
757425	353907	Serveuse asiatique
757426	8480	
757427	40689	The hospital nurse
757428	164688	Reine 1
757429	376625	
757430	121892	
757430	348620	
757431	7743	
757431	7745	
757431	39284	
757431	39354	
757431	39638	
757431	39913	Lesbian
757431	39916	
757431	43891	
757431	45209	
757431	97118	
757431	97129	
757431	119341	
757431	128633	
757431	233053	
757431	236307	
757431	327337	Herself - Interviewee
757431	333829	
757432	370675	Age 13
757433	105890	Waitress
757433	142330	USC Woman #3
757433	333423	Janice Kennedy
757434	321678	Phrenology Head
757435	397635	Gili Shachar
757436	405636	Additional Voices
757437	280526	
757438	202052	Sra. visita
757439	295873	
757440	378972	Nurse
757441	19250	
757441	42640	
757441	73263	
757441	74362	
757441	147376	
757441	246878	
757441	338603	
757441	355760	
757441	355951	
757441	361499	Cathy Conroy
757441	372757	
757442	4748	
757442	86826	Chica chófer (segment "No tre
757443	28177	
757443	70105	
757443	76670	Zulma
757443	125311	
757443	126613	Katharina
757443	148141	Moeder Declerq
757443	155803	Chantal Vereecken
757443	190663	Woman with Banana
757443	215586	
757443	239453	
757443	240034	Louise
757443	255423	'Madame'
757443	296671	Night porter
757443	380747	Thérèse Minne
757443	382877	
757443	384154	
757443	388909	Linda De Jongh (1999, 2002)
757443	395516	
757443	410339	
757444	227685	
757445	198571	
757446	43719	Justine
757446	68661	Betty Tardieu
757446	68662	Betty Tardieu
757446	69932	Rosine
757446	200943	Gloria
757446	218255	Micheline Batignole
757446	260026	
757446	327542	Jennifer
757446	336993	Marion
757446	345302	Laure
757446	396504	
757447	15108	Lea
757447	32277	Dominique
757447	70743	Cordelia Viau
757447	77996	Johanne
757447	84669	Martine
757447	96054	Diane
757447	99408	Claire
757447	110141	Dany
757447	121498	Rose
757447	132890	
757447	136838	
757447	161765	Diane
757447	184896	Luse
757447	208646	Julie Roussel
757447	211672	Bernadette Legranbois
757447	220405	La comédienne
757447	222963	Jacqueline Tanguay
757447	235236	
757447	238426	Blanche-Neige
757447	285723	
757447	309775	Reine
757447	309980	Pauline
757447	322353	Delphine Lacoste
757447	326038	Gigi Gilbert
757447	333555	
757447	353927	Andrée
757447	382469	Julie
757447	386497	Doris Tremblay
757447	387048	Patsy (1979-1982)
757447	387530	Madeleine Miro
757447	389137	Mère incestueuse
757447	395863	
757447	400627	Nicole Lajoie
757447	403475	Ginette Lalande
757447	407345	Manon
757447	410368	Françoise Dessables
757447	411623	Jocelyne
757448	14837	
757448	15995	Donna Dolores
757448	33659	
757448	61061	
757448	68442	Irma
757448	159252	A peasant
757448	187323	Girl
757448	214851	
757448	219821	Nanda (segment "Che vitacchia
757448	228362	Saloon girl
757448	229644	Laura
757448	270804	
757449	250430	
757449	327812	
757450	192725	Muther
757451	397740	Rachel (2004-)
757452	288696	
757453	26777	Harper's Bazaar Models. Not i
757454	350492	Singer
757455	17109	Isagel
757455	276139	Woman in musical number
757456	352371	
757457	383111	Herself/Panelist (Fashion & B
757458	69221	
757459	197155	
757460	221963	Miss Santender
757461	18999	
757461	384118	Cláudia Feraschi (1998)
757461	387799	Darci
757461	389153	Florinda
757461	392510	Margô
757461	410104	Darcy
757461	411585	Veridiana
757462	105110	
757463	6345	Vicente's Mistress
757463	70116	
757464	376856	
757465	293886	
757466	78320	Sophie
757467	288948	Marie
757468	92514	Petra
757469	43756	(segment "Primeiro de Abril")
757470	1891	Helga Vanroh
757470	4771	
757470	5160	Direktorin
757470	6610	
757470	10354	
757470	12569	Erzherzogin Elisabeth Theresi
757470	16361	
757470	17509	Anna Boleyn
757470	18749	
757470	33137	
757470	40384	
757470	40759	
757470	55516	Carola Lamberti
757470	62883	
757470	77402	
757470	79165	Henny Porten
757470	83510	
757470	98039	
757470	104808	
757470	107367	
757470	108147	Wilhelmine Buchholz
757470	110086	
757470	114970	
757470	119220	
757470	119286	
757470	120955	Frl. von Scuderi
757470	125111	
757470	125167	
757470	125371	
757470	130926	
757470	130927	
757470	130928	
757470	134811	
757470	134825	
757470	134926	
757470	144094	Johanna von Grothe
757470	145612	
757470	152849	
757470	155092	Maria
757470	156060	
757470	159620	
757470	162480	
757470	173118	
757470	174781	Porzia
757470	179352	Liesel, his elder daughter/Gr
757470	179833	Amalia, Herzogin von Weissenf
757470	180636	Witwe Bock
757470	186929	
757470	189578	
757470	189590	
757470	189655	
757470	189815	
757470	193421	
757470	195053	
757470	197211	
757470	207215	
757470	210099	
757470	218070	
757470	223469	
757470	223470	
757470	223484	
757470	225731	
757470	229526	
757470	236832	
757470	242974	
757470	244294	Desdemona
757470	254363	
757470	262431	
757470	281804	Rose Bernd
757470	281942	Dr. Eva Maron
757470	289889	
757470	290076	
757470	290496	
757470	301012	
757470	303722	Dr.Eva Rüttgers
757470	321825	
757470	337549	
757470	337557	
757470	344757	
757470	346977	
757470	354790	
757470	358999	
757470	359224	Mrs.Seiderhelm
757470	361385	Elisa Arvik
757470	364968	
757470	376019	
757470	376309	
757471	18749	
757471	244294	Emilia
757472	187632	Meisje bij Lamborghini
757472	189970	Janine
757472	388051	Herself (2000)
757473	235946	Reisefachfrau
757474	405209	Sarah-Jane Ross (1993)/France
757475	11570	Ruby
757476	20956	Additional Cast
757476	29186	Actor #5
757477	73217	Elly's Mother
757477	224155	Dr. Kim
757478	42807	Detective Thompson
757478	127351	Girl at Group Therapy
757478	251420	New York Female Cop
757478	256464	Lauren Gunther
757478	312798	Hospital Nurse
757478	321678	Stenographer
757479	75479	Curly Sue
757479	148538	Maggie
757479	154446	Carla Boca
757479	248884	Taylor Buckman
757479	300344	Brandi
757479	314351	Jenny (age 8)
757479	363247	Kelly
757479	384068	Molly Peerce
757479	392461	Young Maxi
757479	401107	Lil' Punkin (1987-1990)
757479	401226	Tess Holland (1990)
757480	143188	Young Billie
757481	53218	
757481	78528	Devil
757481	330602	Equestrienne
757482	162578	Lady of leisure
757483	254522	Young Meg
757484	20703	
757485	317346	
757485	372663	Joanne
757486	194833	Ann
757487	27092	Doctor
757488	382154	Anonda Haskell
757489	190889	Young Actress
757490	41868	Barmaid
757490	122229	Majorie Satz
757490	133623	Mrs. McKee
757490	191290	Witch
757490	195343	Anna
757490	208971	
757490	220465	Sandra
757490	227034	
757490	258005	Amber
757490	319613	Football Fan
757490	364510	Mrs. Lustig
757490	385960	Carrie Stone
757490	391689	Marketing girl
757490	403574	Kitty Schreiber
757491	109452	Sharon
757492	267476	Gerry
757493	81342	
757493	192112	Tracy, the girl at the party
757493	351502	Girl in Shower
757494	56545	Herself
757495	30959	Assassin
757495	86263	Ice Palace Party Guest
757495	223700	Party Girl
757495	308552	Herself (3rd place)
757495	380934	Presenter
757495	406359	Herself
757496	124416	Moeder Overste
757497	213504	Girl with Limp
757498	411500	Miss Drill
757499	142417	Showgirl
757500	177438	Helen Howard
757501	36700	Marcie
757501	44855	Shana
757501	53042	Kelley
757501	131541	Deli
757501	251202	(Karen) Stan-The-Man's Wife
757502	291876	Raven
757503	18570	Trucker
757503	45867	Bikini girl #2
757503	342512	Waitress No. 2 (Segment #1)
757504	146926	Gretchen
757505	39518	Supporting Players
757506	76496	Surprised Neighbor
757506	343045	Restaurant Patron
757507	85016	Blonde
757508	20315	Herself
757508	60239	Singer
757508	228642	
757508	323764	
757508	330893	Merle
757508	331333	Cuban Singer
757508	368918	Secretary
757509	365868	Reporter #2
757510	311037	Bone-ette
757510	411367	Jungle Grrl
757511	202195	Coed
757511	205718	Rape victim
757511	353273	Stand-Ins
757511	400236	Audrey Ames (1988-1989)
757512	689	Herself
757512	10536	Herself
757512	57655	Herself
757512	68111	(Popsters segment)
757512	208478	Model
757512	312721	La mère au B&B
757512	322778	Herself
757512	381886	Herself - 'On the Bed' Presen
757512	385890	Presenter
757512	386808	Presenter
757512	389510	Presenter
757512	389661	
757512	389721	Herself (Series 1) (2003)
757512	392165	Presenter (1998)
757512	395764	Herself - Electric Circus Pre
757512	397384	Guest Host
757512	398324	Host
757512	400056	Presenter (Series 2) (2004)
757512	400245	
757512	408555	Herself - Presenter (1998- )
757513	48461	Trailer Park Gal
757514	140405	Bessie, age 5
757515	82386	Dancer
757516	333409	ITC Prep Room Nurse
757517	126103	Baby Nina
757518	132714	
757518	221969	
757518	255057	
757518	267408	
757518	380080	Margarita
757519	3559	Maria (child)
757520	82685	Jane Corben
757521	77146	Dallas Cowboy Cheerleader
757522	17073	Laboratory Nurse (old movie)
757523	4619	Ruthie
757523	5017	Sally
757523	16468	Katy Anderson
757523	26144	
757523	30922	Jean Allenwood
757523	35350	Joanne Leeds
757523	52113	Major Barabara
757523	66042	Jean, Ballet Student
757523	74191	Darlene LaVonne
757523	96990	Frances
757523	107762	Joan
757523	122657	Jan
757523	124582	Girl in cantina
757523	129614	
757523	141323	Pudge
757523	148282	Young fan
757523	175626	Sally Shannon
757523	187078	Mary Yin
757523	192033	Judy Gibson
757523	228939	Kelam (magician's assistant)
757523	230344	Passerby
757523	241531	Shell Person
757523	270457	Lucille Mitchell
757523	286925	Betty Lou Kenyon
757523	321197	Genevieve Rogers
757523	329437	Sharon Bailey
757523	330010	Girl
757523	331763	Ga-Ga Bride
757523	333056	Helen Ingersoll
757523	342453	Kitty
757523	342745	Catherine Abbott
757523	346204	Penguin Girl
757523	362343	Jeanne Quidoc
757523	372588	
757523	372819	Patricia Drew
757524	29618	Joan Lorne
757524	43468	Jean
757524	123353	Classmate
757524	160355	Gertie
757524	252112	
757524	347026	
757525	236972	Observer
757526	28475	Ida
757526	116525	Bartender
757526	184654	Gate Agent
757526	220819	Lila
757527	120699	Myer's Wife
757527	321240	Jean
757528	13292	Amateur
757529	183662	Ticket Clerk
757529	318189	Singer
757530	183559	Superintendent
757530	375808	Dr. Freed
757531	224346	WPC
757531	317350	Blue Stocking
757532	261039	Miss Molyneux #2
757533	242626	Student
757534	47993	Sandra the Temp
757535	88653	Dancer
757535	128256	Page Girl
757535	128889	Student
757535	144896	Cuddles
757535	150575	
757535	154881	Flower Girl
757535	168981	Helen
757535	169167	Toinette
757535	183418	Marjorie
757535	203132	Receptionist
757535	204174	
757535	206469	Secretary
757535	241444	Girl in band
757535	243206	Cigarette Girl
757535	256085	Bit part
757535	266689	Hat Check Girl
757535	292169	Girlfriend of Jimmy
757535	292191	Telephone Operator
757535	308632	Paulani (Palola's cousin)
757535	315338	Rita
757535	316672	Undetermined Role
757535	318933	Telephone operator
757535	321290	
757535	324054	
757535	329480	Luiza, Cecilia's Maid
757535	331283	Girl on Bench
757535	333520	Telephone Operator
757535	340535	
757535	367073	Munchkin
757535	370537	Chorus Girl
757535	372935	Lisbeth
757536	26381	Dr. Einwohner
757536	94613	Mrs. Crabbleman
757536	95328	Old Biddy #2
757536	207858	The Wise Old Woman
757536	249500	Older Woman
757536	313167	Alice
757536	340949	Newscast Auditioner
757536	341680	Mrs Boman
757536	342593	Painter
757536	362716	Old Woman
757536	364164	Manya
757536	401360	Old Woman
757537	243478	
757538	72381	Kristi
757539	160854	
757539	346310	Lisa (Ball)
757540	59350	Matchgirl
757541	45827	Herself
757541	190284	
757543	342531	Miss Winter
757544	262386	Mrs. Fairburn the Teacher
757545	68878	The Lady
757546	139151	Maria
757546	142889	Mary
757547	204522	Rosalie Annunciata
757548	294794	Victim 1 (reenactment)
757549	402482	Presenter
757549	408346	Presenter (2004)
757550	394422	Kycillia Zabi (English Voice)
757551	273704	Baby
757552	162950	
757552	245209	Herself (member, Glamourette 
757554	72487	Muriel
757554	120459	Susan Warren (segment "Elemen
757554	145312	Dame Margot Fonteyn
757554	151139	Ann Norton (segment "Sweets t
757554	155641	Pam
757554	165448	Blanche Ingram
757554	192570	Marjorie Mason
757554	202918	Mary Greer
757554	219325	
757554	249380	Jenny
757554	278486	Laura
757554	294327	Betty
757554	342954	Eileen
757554	389062	
757554	389123	Irene Forsyte née Heron
757554	395485	
757554	396361	Emma Bovary
757554	396961	Alice Hathaway
757554	399183	Deirdre Baldock (I) (Series 1
757554	402340	Contessa Caroline di Contini
757555	45953	Second daughter
757555	203046	Agnes
757555	291287	Young maiden
757555	350146	
757556	321734	
757557	206991	
757558	117409	Tessie Byrne
757559	289221	
757560	157920	Daughter
757560	366162	Lorna Collins
757560	382279	Bessie Williams
757560	392019	Elinor Willoughby/Codsall
757560	411228	Lorna Collins
757561	385575	Hailey Timmons
757562	197758	Scruggs
757562	296967	Morgan Cole
757563	261564	Bridge City woman
757564	23963	
757564	95211	Lady In Waiting
757564	257438	Leni
757564	258074	Dana (segment "Corporate Merg
757564	295719	Ms. Frazen
757564	295721	Lea
757565	189529	Daughter
757566	8026	Marg Turnbull
757566	15218	Anny Buchanan
757566	35263	Cin
757566	44083	Sara
757566	65541	Herself
757566	110529	Vicki
757566	155674	Betty
757566	218169	Jill Fitzpatrick
757566	221096	Fay
757566	222211	Tully
757566	248491	Oggi
757566	313476	Waitress Hermione Bagwa
757566	320916	Emma
757566	326957	Letitia (Teesh)
757566	342908	Dierdre
757566	361260	Angie
757566	406464	Susan
757567	314228	Girl On Beach
757568	137031	Joey's Mother
757569	327756	Stephanie
757570	330103	Girl in bar
757571	105226	Football Player
757572	37787	Bowling Score Keeper
757573	331289	Martha Carr
757574	211941	Mary
757575	194810	Herself
757576	220270	Show Girl
757577	91767	Sascha
757577	148316	Pigtail Girl
757578	80786	Lucy Ingram
757579	124056	
757579	181276	
757579	267568	
757579	274475	Ann Goldman
757580	118555	Marianna
757581	265002	Terry Ryan (Tuff) age 13, 16 
757582	120392	News Reporter
757583	159429	Adel
757584	385846	
757584	404166	Entrevistadora
757585	312345	Christine
757586	342331	Kathi
757587	29273	
757587	61079	
757587	71142	
757587	211011	
757588	20828	La voisine
757589	181939	Nhi
757590	223004	Girl
757591	253076	Saija
757592	346173	Signor Martini's Wife
757593	311649	Margie, Village Sweet Shop Cl
757594	82386	Dancer
757596	253593	
757597	222009	Marielos
757598	98974	Pasajera tren
757599	14818	Amelia
757599	67364	Madre
757599	101867	Lali
757599	101890	Manuela
757599	103630	Marta
757599	156085	Herself
757599	247206	Lola
757599	253296	Dorotea
757599	322397	Abogada
757599	328168	Irene
757599	349335	Herself - Winner: Lead Actres
757599	354266	Herself
757599	369755	Herself
757599	369996	Herself - Presenter: Best Art
757599	378929	Carlota Pérez (1999-2004)
757599	400484	Estefania
757601	85580	Yunier's flirt
757602	9695	
757602	9745	
757602	12661	
757602	52971	Dora
757602	74162	
757602	82387	
757602	83548	
757602	90061	
757602	106315	
757602	148166	
757602	151794	
757602	169567	Lucila
757602	221985	
757602	226153	
757602	227565	
757602	269706	
757602	343722	
757602	371709	
757602	373620	
757603	248867	Alicia Gonzalez
757603	338606	
757604	339988	
757605	256538	
757606	34021	
757607	352	Florentina
757607	34669	Mrs. Zepeta
757607	46424	Lisa, Sanctuary Woman
757607	105889	Spanish Girl
757607	109931	Nurse
757607	176723	Sarah Loper
757607	195313	Janis
757607	209156	Kathy Vasquez
757607	247194	Donna
757607	247565	
757607	279151	Rosalia
757607	293363	
757607	353416	Pilar Galloway
757607	358587	Katie
757607	363393	Maid
757607	375847	Della
757607	382538	Star Fire
757607	387394	Millie Zamora
757609	31255	Interviewee/Road Rules
757609	218545	Herself/Road Rules
757609	402995	Herself/RR: Semester At Sea
757609	402996	Women/Road Rules
757609	402997	Herself/Road Rulers
757609	402999	Herself/Road Rulers
757609	403000	Herself/Road Rulers
757609	403487	Herself/Semester At Sea (1999
757610	80225	
757611	301574	Matilde
757612	54959	Miss Colden
757612	79691	Sue
757612	241426	
757613	21727	
757613	71224	
757613	74390	(segment "Iniciada a Peleja")
757613	99677	
757613	104134	
757613	125782	
757613	208243	May's Mother
757613	252754	
757613	277321	
757613	344758	
757613	383387	
757613	396926	
757613	398219	
757613	400098	Ana Lídia
757613	402159	
757613	407281	Ritinha
757614	107347	A Woman
757615	93123	Herself
757616	34647	Kelly
757616	52453	Sara
757616	60763	Sharon
757616	263392	Sorority Girl #1
757616	366914	Dream Student
757616	393300	Kathy
757616	399905	Young Ellie
757617	24693	
757618	1452	Herself - Presenter
757618	1725	Herself
757618	18635	Ann August
757618	32089	Marty
757618	32822	Herself
757618	65885	Alice
757618	66947	Sara
757618	69079	Herself
757618	84774	Nina
757618	96769	Herself
757618	105280	Laura Dandridge
757618	113005	Herself
757618	124110	Sam
757618	141544	Lauren Gustafson
757618	146860	
757618	158022	Herself
757618	169448	Herself
757618	198338	Mathilda
757618	206488	Taffy Dale
757618	231560	Herself
757618	249080	Francine (segment "10th arron
757618	270151	Herself
757618	305708	Nicole Bonner
757618	313474	Queen Padmé Naberrie Amidala
757618	313476	Senator Padmé Amidala
757618	313477	Senator Amidala/Padmé Naberri
757618	313799	Herself
757618	340729	Francine
757618	352985	Herself
757618	363415	Novalee Nation
757618	375827	Herself
757619	206687	Ruth
757620	94244	Une cliente du salon de beaut
757621	341110	Christine
757622	16669	Patient
757622	20625	Extra
757622	118951	Frightened lady
757624	234204	
757624	371046	Rachel
757625	58672	Jonathan's Mom
757626	45899	Extra: park
757627	222177	
757628	44218	
757629	4514	
757630	77310	
757630	156395	
757630	222149	
757630	246026	
757630	291678	
757631	66863	Gonzaga's Daughter (D)
757631	352127	Bárbara
757632	80757	School Administrator
757632	280156	Gary's Nurse
757632	292637	Nurse #2
757632	297914	Receptionist
757632	406719	Marieta
757633	51554	
757633	69206	
757634	77377	Nena incendio
757635	104115	
757635	398793	Heloisa
757635	409418	Sandra
757635	410377	Rita
757636	382741	Lilian
757636	390750	Kelly Cristina
757637	67663	
757638	124240	Indalércia
757638	380089	Brenda
757638	383550	Zefina
757638	396035	Amanda Rangel
757639	302278	Elisa
757640	276546	Louise enfant
757640	287592	Lise
757640	346507	Vanessa
757640	397947	Eponine, 9-11 ans (11 year)
757641	254123	Renata
757642	133345	Vampirette
757643	66710	
757643	120813	
757643	238488	
757643	339932	Holliday
757644	185964	Airport Passenger
757645	40334	Woman Guest #2
757645	69457	Marie
757645	76571	Tony's Mom
757645	87282	Mrs. Phelps
757645	96910	Receptionist
757645	97360	Backer's Wife
757645	115886	Suzie
757645	151187	Mrs. Harris
757645	152555	Bistro Waitress
757645	155888	Margaret (segment "1952")
757645	158435	Mother
757645	163715	Stella's Receptionist
757645	234982	Adrian Wallingford
757645	304527	Kimmy Sue Sprinkle
757645	305244	Mrs. Hoffman
757645	317945	Mrs. Farley
757645	331920	Barbara
757645	340803	Trudy
757645	365960	
757646	20625	Extra
757647	16810	Gold Tooth (Bontoc)
757648	339882	Julie's Woman Fighter
757649	74865	Candela/Candelaria
757650	229238	
757651	231553	Poolse vrouw op tram
757652	62258	Chip
757653	163492	Waitress
757653	219371	Body Builder
757654	36536	Puppeteer
757655	48793	Herself
757655	57565	
757655	240249	
757656	374528	Irena
757657	344365	
757658	177890	Hellevi Penttilä
757659	324652	
757660	23527	
757661	181255	Kind van Moeder Keesie
757661	255629	Arm Meisje
757662	255629	Zusje Sproet
757662	310228	Simone's sister
757663	351494	
757664	397592	Marcela
757664	411709	Sefira
757665	18791	
757665	61140	
757665	89750	
757666	387275	Sandra Patiño (La Jirafa)
757666	401699	Milady
757666	408419	Yolanda
757666	411714	Sandra Patiño (La Jirafa)
757667	131914	
757668	71125	Secretaria de Lopez VS
757668	296432	
757669	123185	
757671	225355	Susanne
757672	115456	
757672	289983	Daughter
757672	312735	
757672	321776	
757672	343714	
757672	352046	
757672	376131	
757673	10308	Frau am Alex
757674	11767	
757674	31390	Ilse
757674	78301	Aysche's mother
757674	105523	Kräuter-Agnes
757674	124899	
757674	126478	Inge Horn
757674	157653	Hanna Posch
757674	166757	Frau Dr. Keller
757674	193304	Rena Bergner
757674	303730	Nora Heid
757674	325541	Miriam Langer
757674	325699	
757674	356702	Heidi
757674	360928	Anna Rosner
757674	376031	Beate Claudius
757674	412083	Beate
757675	273104	Anna Naumann
757676	99018	4. Magd
757676	176131	Susanna
757677	146783	Sharon
757678	55554	
757678	64244	
757678	336614	Giacoma, la moglie dei procur
757678	348203	Luciana
757679	228552	
757680	225306	Die Alten
757681	24703	Autumn Woman #1
757681	27281	Mysterious Lady
757681	158930	Lena
757681	196996	Rebecca
757681	314133	Grace
757681	390771	Amanda Wexler Middleton McFar
757682	314133	Baby Zelda
757683	146726	Holly Kendall
757684	132786	Chorus
757685	292177	Jenny
757686	73212	Nurse
757687	210548	
757688	31630	Sola
757689	6123	Rhonda
757689	13224	Girl Squatter
757689	17796	Judy Adams
757689	22183	
757689	30702	Mary Boone
757689	32917	Herself
757689	34666	Meg Swan
757689	40203	Danica
757689	65756	Margaret Burre
757689	69290	Stephanie
757689	80046	Jo Malone
757689	80050	Darla Marks
757689	80424	Denise
757689	83495	Wanda
757689	86959	Celia
757689	90855	Brandi
757689	94167	Debbie
757689	105035	Nick
757689	105344	
757689	114167	
757689	115602	Emily
757689	115603	Emily
757689	118928	Detective Carson O'Conner
757689	120344	Ferguson
757689	142402	Jinger Heath
757689	142889	Fay
757689	151093	Jackie-O
757689	158144	Herself
757689	159011	Herself
757689	162245	
757689	168331	Irene Kildare
757689	176276	Miami
757689	186446	Serena
757689	201806	Herself
757689	213502	Sissy Knox
757689	215252	Margaret Nathan
757689	216469	Rollerblader
757689	238893	Priscilla
757689	242624	Fairy #1
757689	249579	Mary
757689	253497	Herself
757689	253498	Herself
757689	253499	Greta
757689	291223	Jennifer Jolie
757689	304752	Athena
757689	304829	Lulu (scenes deleted)
757689	317947	Erica
757689	321367	Judy Webb
757689	337284	Libby
757689	351773	Myra
757689	358321	Libby Mae Brown
757689	358463	Beachgoer
757689	362380	Mirella Burton
757689	363514	Herself
757689	372372	Patricia Eden
757689	380713	Tess Shelby (1991-1992)
757689	389561	Connie Bradshaw Fetzner
757689	398208	Connie Bradshaw
757689	407470	Connie Bradshaw
757690	400566	Summer
757691	18999	Nun
757692	26590	Maria Bach
757692	81148	Junkie
757692	312962	Cocktail Girl
757693	200439	
757694	242474	
757695	30113	
757695	49160	
757695	126926	
757695	176041	
757695	219363	
757695	249659	
757695	250818	
757695	328232	
757695	335737	
757696	147035	Officer Jindra
757697	84449	Stacey
757698	299393	Mrs. Guilbault
757698	343879	Flower woman
757699	64789	Katherine
757699	137717	Julia
757700	90900	Frame Shop Clerk
757700	361248	Felicity
757701	204499	Marion
757701	219269	Mona
757701	365922	Sophie
757702	235542	Moll
757703	141865	Lujza
757704	319257	Old Lady
757705	333517	Mrs. Hudson
757706	49335	Katya
757707	190796	Therapist
757708	12250	Mrs. Caulfield
757708	68245	
757708	88522	Paula
757708	187886	Jimmy's Woman
757708	403992	Edwina Blanche
757709	358964	Despie's Girlfriend
757710	355028	The Academy's Blessed 'Virgin
757711	60179	Boink
757711	254785	News Anchor
757712	69327	
757713	181312	
757714	168998	
757714	351162	
757715	393005	
757716	69738	Rape Victim
757717	75757	
757718	91069	Herself
757719	16195	
757720	268228	Yvettka
757720	341631	Zorka, daughter
757721	165349	Queen Sophia of Bavaria
757722	110048	Boss
757722	167023	
757722	357684	
757722	357951	Lili Burdová
757724	255506	Adela
757725	148483	Caixa do banco
757725	349624	Neighboor
757725	384921	(episode "A importância do cu
757726	379583	
757726	383206	Lala
757726	385852	Karina
757726	389780	Jessica
757726	397733	
757726	398166	Micaela
757726	402158	
757727	209014	
757728	35043	
757728	226318	Charlotte Knacksteert
757728	338940	Seine Gönnerin
757729	411064	Nurse
757730	166431	Schuldknechts Weib
757731	219293	
757731	407986	
757732	73467	
757732	193491	
757732	278409	
757732	384891	
757733	173383	Emma Karlsson
757733	301554	Friend 2 (flashback sequence)
757734	386107	Herself/Survivor Team
757734	388044	Herself
757735	161790	Waitress
757736	156249	Ulla
757736	210298	
757736	241971	Frk. Hanne
757737	273772	Reporter 1
757738	102220	Horsewoman
757739	233838	
757741	24201	Julie
757742	92742	Shopkeeper
757742	152860	Dr. Woo
757743	242384	
757744	35714	Joyce
757744	59914	Gwen Kessler
757744	89240	Horse
757744	108284	Herself
757744	118972	
757744	129437	Barbara Nelson
757744	129449	Linda Moon
757744	155020	Rosemary Zoltanne
757744	200169	
757744	235449	Jan Thacker
757744	308014	Laurie Philips
757744	316186	Sharon Dancey
757744	320089	Amy Hoffman
757744	330057	Sheila Jensen
757744	333035	Virginia Corbett
757744	339602	Marla
757744	339917	Delia Langtree
757744	355539	Judith English
757744	383456	Model (1978-1981)
757744	387434	Electra Woman
757744	388247	Terri Shannon (1982-1983)/Ter
757744	389736	Chris Brennan
757744	391253	Georgie Anne Lahti Hartman
757744	395193	
757744	399423	Christine Sullivan (1985-1992
757744	399964	Julia Whitney
757744	404813	Barbara Jane Bookman
757745	118763	Mental Patient
757745	142716	'Family' girl
757746	198115	Frk. Hansen
757746	210298	
757746	314394	
757747	40834	Harry's Daughter
757747	89308	Anna
757747	241600	Eva
757747	265819	Waitress
757747	340812	Sam
757747	387937	Angela Duvier
757747	392953	Emily
757747	403278	Jessica Stewart
757747	406891	Julianna Sleven (1982)
757748	398316	Herself
757748	405679	Herself in 'An Ordinary Life'
757748	405887	Herself
757748	406371	Herself
757749	72931	Goodyear Chorus Girl
757751	44675	
757752	6907	Lisa Moroni
757752	6911	Carol
757752	10391	Rita
757752	11560	Daphne Dunmore
757752	29533	Lesley Green
757752	55683	Norma Baxter
757752	143636	Linda
757752	207493	Judy
757752	234033	Cathy
757752	252728	Maggie Hyde
757752	252741	Iris
757752	273422	Babs
757752	307888	Angela, Drummond's daily
757752	311940	Betty Duckworth
757752	334307	Moira Jackson
757752	346938	
757752	348358	Scrubba
757752	348380	Rube
757752	379626	Renata Green
757752	380412	Billy Bedbug/Witch Weevil/Nat
757752	395963	(1971-1972)
757752	398177	Iris
757753	336158	
757755	375521	Hoertje
757755	409572	Judy Zeeman
757756	12565	Ulla
757756	18395	
757756	18523	Vorsitzende Richterin
757756	24068	Dr. Sigrid Graefe
757756	94305	Barbara Burckhardt
757756	107363	Nora
757756	142034	Lore
757756	217414	Maja
757756	225659	Doris Pfaff
757756	230229	
757756	290105	Susanne
757756	325384	Hauptkommissarin Inga Lürsen
757756	325468	Kommissarin Inga Lürsen
757756	325516	Vera
757756	325525	Hauptkommissarin Inga Lürsen
757756	325542	Hauptkommissarin Inga Lürsen
757756	325553	Hauptkommissarin Inga Lürsen
757756	325585	Hauptkommissarin Inga Lürsen
757756	325593	Hauptkommissarin Inga Lürsen
757756	325671	Kommissarin Inga Lürsen
757756	325680	Hauptkommissarin Inga Lürsen
757756	325807	Hauptkommissarin Inga Lürsen
757756	325929	Inga Lürsen
757756	334013	Ruth
757756	341766	Fräulein Nau
757756	352058	Thea
757756	382750	Annika Newman
757756	387625	Katharina "Kathi"
757756	387735	Barbara Strobel (1990)
757756	389286	
757756	395399	
757756	399162	Marianne Brandt
757756	399387	Sybille Schefer
757756	401356	
757756	408334	Ruth Sturhahn
757756	409609	Liane Pösel (1991)
757756	411163	Sabine Engel
757757	303290	Herself
757758	350105	
757759	32886	
757759	33698	Dancer
757759	56103	Dancer
757759	146813	Show Girl
757759	254558	Dancer
757759	279373	Dancer
757759	348972	Dancer
757760	26971	Ninja/Party Animal
757761	298076	Bit
757761	402296	Herself
757762	186758	Grandma
757763	73281	Esposa Chato Aguilar/Chato Ag
757764	376036	Kind im Zug
757765	352215	
757767	59267	La vendeuse
757768	301126	Jeanne
757768	340681	La prostituée
757769	234716	Mara
757769	255115	
757770	82464	
757771	361855	Herself
757772	29356	Marylin
757772	107715	
757772	166442	Erika
757772	175059	
757772	237530	Mother of Princess
757772	247950	
757772	259186	Angelika Hardingová
757772	283309	
757772	380662	
757772	387059	Jarus
757772	399141	Mrs. Vernerová
757773	404943	Dezi van Jaarsveld Terreblanc
757774	341038	Pamina
757775	162244	Doktersvrouw
757776	376431	Femke
757777	220695	
757778	89818	
757778	265937	
757778	300370	
757779	204260	Child in Park
757780	323225	Nurse
757781	19138	Vampire AKA 'Star Rock', Mr. 
757781	107145	
757781	144536	Madam in Saloon
757781	144913	
757781	202387	Shopper
757781	295077	
757781	379716	Donna Beck Tyler (#1) (1976)
757781	406555	
757782	286423	Nurse
757783	6868	Jamie
757783	80726	Club Metro Dancer, Rose
757783	160637	Laura
757783	326715	Herself
757785	58358	
757786	231090	Marjana
757787	10064	Sabrina
757787	49169	Ida
757787	109141	Anne
757787	117461	Ida
757787	198053	Ida
757787	215067	Karen Elise
757787	238799	Ida
757788	208262	
757789	44785	
757789	95939	
757789	357217	
757789	357227	Klavdiya
757790	12803	
757790	375667	
757791	20404	
757791	95569	
757791	187013	
757791	220692	
757791	240503	
757791	244114	
757791	265934	
757791	265996	
757791	341356	
757791	399344	
757792	41697	Fire
757793	67031	Karen Tobin
757794	3112	Matilda
757795	213186	Nurse
757796	110315	Nurse #1
757797	127324	Bearded Lady
757798	174170	
757799	91222	Sissi
757800	8250	
757801	23169	
757801	43340	
757801	85712	
757801	92411	Frau Simonitsch
757801	92541	Russin
757801	93434	
757801	101740	
757801	108156	
757801	120947	
757801	122605	
757801	124991	
757801	134931	
757801	134968	
757801	134989	Leocadia Barboza
757801	143724	
757801	148827	
757801	155326	
757801	170131	
757801	175779	
757801	179838	Frau Ring
757801	187553	
757801	197949	
757801	204660	
757801	209986	
757801	216987	
757801	293799	
757801	301037	Mrs. Gyurkovics
757801	312066	Ringmaster's wife
757801	352551	
757801	358897	Steffi
757801	361120	
757801	366552	Pepis Erbtante
757801	367035	
757802	114023	
757803	188453	Opening Sequence Girl
757803	379925	Herself
757804	276309	L'amie de François
757805	37035	Waitress
757806	1725	Herself - Presenter
757806	15916	Paula Henning
757806	15917	Paula Henning
757806	41518	Barbara Buckley
757806	42047	Iris Sellin/Siri Sellin
757806	45128	Marie Helena Kreutz
757806	45129	Marie
757806	60107	
757806	68170	Nina
757806	72904	Kate
757806	92284	Peggy
757806	93440	Lena
757806	96930	Lily
757806	106649	
757806	154456	Mia
757806	180912	Simone 'Sissi'
757806	193504	Lola
757806	211242	
757806	226170	Anna
757806	242844	Gabrielle
757806	275763	Alice
757806	290140	Mona Wendt
757806	315781	Toby's Editor ('Non-fiction')
757806	322504	Kassiererin/Cashier
757806	330066	Therese
757806	341018	Jane
757806	341624	Trixie Boudain
757806	346797	Lisa Manocci
757806	376294	Mara
757806	376772	Linda
757807	15916	Woman in hospital talking to 
757808	32414	Lori
757809	69216	
757810	41004	'Big' Alice
757811	316563	Young daughter
757812	264215	La Dauphine Marie-Stuart
757813	88070	Prehistoric Woman
757813	141296	
757814	7628	Victoria 'Vicky' Young
757814	64743	Carlene Osway
757814	255001	Alex Laney's Mother
757815	288316	Olivine
757816	80959	
757818	202090	La femme au ver solitaire
757819	16105	Rachel Henderson
757819	86490	Lizbeth Collins
757819	88965	Carla
757819	224106	Georgia
757819	359145	Melanie
757819	411372	Herself (1980-1987)
757820	167874	Passager du traineau
757821	167874	Passager du traineau
757822	390497	Herself (2nd Edition)
757823	198442	Dancer
757824	284224	Une lycéenne
757825	295066	
757826	249256	Une jeune femme congolaise
757827	164691	
757828	25425	Girl
757828	75924	Halina Zaslawska
757828	124860	Secretary
757828	152172	Marianna 'Tereska' Cel
757828	172905	Lucie
757828	190541	
757828	231690	Helenka
757828	238354	Joanna Damrot
757828	247626	Ewa's Mother
757828	369022	The Little
757828	394589	
757828	397114	Wanda Popiolek
757828	401665	Malgorzata Górna (2002-)
757829	65222	Martine enfant
757830	57502	
757831	350721	Alja
757832	9232	Zeljka
757832	88386	Ljubica
757832	174177	
757832	181301	
757832	241009	
757833	148586	Asst. Librarian
757833	310329	Bookstore Woman
757833	313914	Maude
757834	62791	Party Guest
757835	25221	
757836	16950	
757836	23648	La femme de l'aubergiste
757836	48355	
757836	60274	Female courtier #1
757836	65131	Mademoiselle Joubert
757836	66726	Marie-Hélène
757836	70715	Suzanne
757836	78444	Helga
757836	82920	
757836	101457	
757836	107143	Marion
757836	122840	Germy
757836	135361	Melanippe
757836	155884	Mimi Larcher
757836	158189	Woman with TV
757836	189903	Brigitte
757836	195343	Bit Part
757836	200965	Alberte
757836	208220	
757836	214900	Miss Madeleine
757836	235839	
757836	248007	Hélène Rappoport
757836	253994	Assistante Sociale
757836	261855	Chastaing
757836	272257	Lili
757836	276505	La Patronne
757836	279988	Simone, la soeur d'Isaac
757836	316674	Bertha
757836	323240	
757836	346512	Aline
757836	356974	
757836	386674	Martine Pichon Deulon
757836	388150	Mme Morel
757836	388944	
757836	391359	Gertrude Stein
757836	396368	Nelly (1999-)
757836	396864	Arlette (1999-2001)
757836	402128	
757837	330412	Chambermaid
757838	32855	Prednica
757838	55868	
757838	81692	Mila
757838	88540	Kmetica
757838	92722	Grigorijeva
757838	179111	Medvedka
757838	186541	Branka
757838	192902	
757838	192903	Teta
757838	225970	Nancika
757838	227827	Brigita
757838	229018	Magda
757838	259198	Zdravica
757838	259199	
757838	261341	Magda
757838	263841	
757838	273136	Zefa
757838	286730	Meta
757838	288126	
757838	312410	Mrs. Kmecel
757838	334316	Rozi
757838	339345	Meta
757838	339680	Stefanova mama
757838	344939	Micka
757839	101511	Soeur Thérèse
757839	169980	
757840	17817	Elisabeth Vercors
757841	357456	
757842	263134	Aktivistka
757844	218258	
757845	44433	Other Leader/Woman at Site
757846	222212	Party-goer
757847	113917	Mother
757848	208053	Mrs. Tucker
757849	35513	Herself
757849	35515	Herself/Cindy Walsh
757849	35542	Cindy Walsh
757849	95525	Betsy Winters
757849	136278	Mom
757849	143248	Elaine
757849	228479	Rape Counselor
757849	229505	Sue Bernhardt
757849	332778	Cynthia
757849	334592	
757849	381811	Cindy Walsh (1990-1995)
757849	400236	Beverly Wilkes (#1) (1979)
757849	406952	Joan Cummings (1997, 1998-199
757849	408399	Maggie Clinton
757850	408121	Queen Anne
757851	364205	Judge's Associate
757852	75030	
757853	345641	
757854	133728	Charkie's Water Ballet Perfor
757855	254268	Frog Girl
757856	175684	
757856	338808	2nd girl in fight
757857	328788	Nurse
757858	49493	Mary
757858	273715	DS Siobhan Clarke
757858	273716	DS Siobhan Clarke
757858	273717	DS Siobhan Clarke
757858	273718	DS Siobhan Clarke
757859	289505	Girl
757859	315797	Captain's Daughter
757860	262732	
757861	100940	
757861	298188	Additional Voices
757862	13953	Jill
757862	97017	Lallie
757863	45884	Ida Primmer
757864	292396	
757865	299924	Pregnant wife
757866	409695	Catherine
757867	194405	Convertible Girl
757868	1595	Jennie
757869	331019	Washerwoman
757870	366910	
757871	150723	Little woman
757871	158918	Midget
757871	161713	The Martian 'Intelligence'
757872	41379	Widow Mary
757872	44764	Verena Tarrant
757872	57164	Alice Harrison
757872	78737	Herself
757872	94692	Annabel (segment "The Black C
757872	130720	Lady Castledean
757872	139765	Miriam Zook
757872	142541	Felicity Glick
757872	221771	
757872	274755	Sylvia Oakes
757872	304644	Daria
757872	310851	Morgan de la Fey/Nula
757872	318448	Nancy
757872	320598	Antonia
757872	363734	Caroline Dupress
757872	363798	
757872	406464	Professor Tate
757873	368130	Plum
757874	204893	Herself
757875	127481	Ethel Sparrow
757875	261095	Dante
757875	278820	
757875	344683	Josie Breen
757876	12332	Jezzie Flannigan
757876	49347	Biker's Woman
757876	68940	Tricia Poe
757876	70424	Kate Durrell
757876	140967	Amanda Pierce
757876	141639	Lilli
757876	155011	Lucy
757876	201613	Herself
757876	206596	Martha
757876	250514	Carin Fisher
757876	277150	Muriel Wynn
757876	289167	Alison Gordon
757876	366933	Mary Marckx
757876	382555	Lori Colson
757876	411802	Sharon Newman #1 (1994)
757877	336475	Vanessa
757878	89007	Narrator
757878	284523	Commander.6
757878	316728	Winette
757878	321240	
757879	296785	Samantha Saxon
757880	297115	Third Whore
757880	339352	Emily
757880	382838	Victoria Seagram Wilcox (1999
757880	391759	Diane Lloyd (2002-)
757880	404407	Angele St. Cyr
757881	175684	
757882	31489	Clothilde
757883	381139	Tess Bagthorpe
757884	324483	Sally
757885	301646	The Lost Girl
757886	82695	Baby
757887	69409	Hooker
757888	244375	Lisa
757888	345943	Young Zombie Girl
757889	18347	Kind van Deedee (Deedee's Chi
757890	38994	
757890	40957	
757890	147946	Eva
757890	170369	
757890	189556	
757890	225301	Susanne
757890	246919	Marie
757890	259460	Jana
757890	307680	Nadja
757890	308260	Isabell
757890	325659	Kirsten Hellmann
757890	334492	Leonie
757890	334551	Maria
757890	359600	Mia
757890	361046	Marietta
757890	381578	Anna
757890	388798	Lea Sand
757890	392669	
757890	396874	(199?)
757891	353934	Greta
757892	16878	Dancer
757893	323074	Singer
757894	83361	Valérie
757895	336302	Nikita, the hairdresser
757896	40564	Contractuelle de l'année
757897	141540	Bridesmaid
757898	382294	Melinda Rogerson
757899	210542	English Voice
757900	320	The Girl (main character)
757901	169136	Child Chorus
757902	200910	Self
757903	200910	Self
757904	10415	Party Guest
757905	2726	Herself/Host
757905	13398	Mrs. Bev Binford (segment "Fa
757905	31490	Lily
757905	39697	Linda Cleary
757905	46410	Mary Klinglitch
757905	57492	Herself
757905	71252	Vanessa
757905	72212	D.G.
757905	82052	Julie Posey
757905	83805	Herself
757905	99593	
757905	115157	Flatbed Annie
757905	127084	Janine Melnitz
757905	127255	Janine Melnitz
757905	141384	Bonnie Howard
757905	143068	Kris Lansford
757905	161236	Narrator
757905	163213	Cindy Mills
757905	168656	Herself
757905	170562	Liz Carlson
757905	177451	Persa
757905	183376	
757905	201822	Herself/Host
757905	203507	Louise
757905	263334	Iona
757905	298091	Cameo appearance
757905	308094	Sunday
757905	329151	Karla Jackson
757905	337166	Bo Peep
757905	337168	Bo Peep
757905	337169	Bo Peep
757905	360752	Herself
757905	364344	Helen Downing
757905	364611	Daria
757905	380455	Mary Elizabeth 'M.E.' O'Brien
757905	385652	Louanne Johnson
757905	386138	Mary Jo Shively (1986-1993)
757905	390373	Edith Bedelmeyer
757905	394949	
757905	396048	Dana Palladino (1993-1995)
757905	400603	Hadley Martin
757905	404721	Herself
757905	406772	
757906	153204	Georgina Richards
757906	162364	'Second the Motion' Woman
757906	342384	Store Clerk
757907	187319	Layge
757907	348752	Rose
757908	65763	Sharon
757908	293267	Hannah Price
757909	190171	Rosie
757910	139001	Police Woman
757911	383780	Blue Leaf
757912	97826	Matilda
757912	270446	Rachel as a child
757913	238660	John's Mom
757914	7888	Ashley
757914	46368	Anna
757914	54035	Virginia Otis
757914	77216	Sophie Richmond
757914	209197	Myra
757914	222780	Breeta Byrne
757914	224330	Madelaine
757914	316514	Anna
757914	368040	Melanie
757914	368722	Louise
757914	372494	Radegonde/Anne
757914	382826	Harriet Potter
757914	385961	Georgia Haley
757914	395879	Alice Pierce
757915	6125	Cathy
757916	382079	
757916	387951	Host
757916	390409	Host
757916	391692	Herself (1999-2000)
757917	327552	
757918	322353	Marie-Louise Brochu
757918	378858	Madeleine Sauvageau
757918	383818	
757918	391631	Gladys Lalande
757918	410368	
757919	42391	Morgan
757920	50816	Stella
757920	70169	Susan
757920	195331	Rachel
757920	253245	Paula
757920	275480	Nanny
757921	1578	Serveuse snack-bar
757921	45620	Lisette
757921	45688	Lisette
757921	78370	Voisine 4
757921	86911	Serveuse
757921	119501	Doris
757921	174154	Baronne
757921	174155	La Baronne
757921	195137	Critique 'Festin des loups'
757921	229499	Retirement home nurse
757921	244429	
757921	266766	
757921	380981	Mme Boulu
757921	401331	Linda
757921	404018	Marlène Jalbert
757922	193255	
757923	206884	Farraday Girl
757923	215876	Kiev Room Agent
757923	302143	Angel
757924	141757	
757924	148015	
757924	332695	
757925	412195	
757926	217827	Copier
757927	55804	Elezac
757928	87787	
757929	64661	Keyboards
757929	322648	
757930	128332	Dancer
757930	309858	Nurse/Dancer in Thanksgiving 
757931	70392	Christiane
757931	75479	Dinah Tompkins
757931	78936	Maggie Evans
757931	81152	Hayden Cale
757931	182979	Lillian
757931	186431	Dr. Cori Platt
757931	245447	Francis Monk
757931	278188	Ana Rivera
757931	297455	Gwen
757931	301753	Lauren McKinley
757931	324052	Toni
757931	336456	Cathy Easton
757931	368944	Nicole
757931	385720	Maggie Evans
757932	124326	
757933	23648	Mme Robert jeune
757933	108224	La mère de Thierry
757933	195215	L'hôtesse
757934	286040	Mémère
757935	102013	Girl #1 at Play (Bee)
757936	388723	Olympe #1
757937	273020	in Cherbourg
757938	104761	French entry (17th place)
757938	332847	La voix chantée de Maman Gour
757939	101200	Djuba
757939	285819	Amélie
757940	346101	Party People
757941	6288	
757942	193227	Simone Choule
757942	225442	
757943	150157	
757944	181348	Chica
757945	252112	
757946	20900	Miss McKee (Arson Squad recep
757946	25868	Sedley Guest
757946	37113	Mrs Tucker
757946	44289	Priscilla Weeks
757946	51975	Inmate
757946	56098	
757946	64090	Cigar store clerk
757946	72703	Impersonator
757946	112745	Woman
757946	145076	
757946	186816	Mrs. McAllister
757946	251279	Nurse Starns
757946	252981	Secretary
757946	257087	Receptionist
757946	274498	Bit Part
757946	281415	Woman
757946	285660	ZaSu Pitts double
757946	313321	Reporter at Shrine Auditorium
757946	313695	Waitress
757946	323940	
757946	324404	Betty
757946	331421	
757946	341673	
757946	342612	Dowager
757946	366422	Woman in cafe
757947	159015	L'Amour/Phani
757947	218543	Teutile
757948	377792	
757949	160573	Sasha
757949	176960	Alice's secretary
757950	200951	Denise
757951	114206	Eleni
757952	242306	
757953	317248	
757954	17912	Jane
757955	217505	
757955	375108	Julie
757956	217640	Fermiere
757957	206622	La mère
757958	87896	Janice
757959	397854	Mireille
757960	111089	
757960	269161	Mère
757962	6133	
757962	90066	Elvira
757962	151838	Mother
757962	179890	Suzanne
757962	180228	Foreign woman
757962	180690	Queen Rosamunda
757962	226025	
757962	288359	Regina/Queen/Kaizrová
757962	320422	Catherine
757962	357635	
757963	266554	Middle Eastern Dancer
757964	255231	Stewardess #2
757965	104774	Bosnian entry (7th place)
757966	182604	
757967	165648	
757967	395824	Rikke
757968	28569	Dorte
757969	136449	
757969	176446	
757970	183311	Louise
757971	49966	Dancer #4
757972	363488	Laundry Girl
757973	28594	Simon's Frau
757973	32860	Emma Fischer
757973	83086	
757973	87949	Grandmother Maren
757973	99555	
757973	136619	Enkefrue
757973	146603	Spåkonen Ane
757973	150613	Tosse-Grete
757973	177900	Grethis moster
757973	219005	Påklæderske Flora Kristiansen
757973	225684	Lises mor
757973	237083	
757973	237403	Sidse
757973	308229	Fru Graa
757974	305020	Lærerinde 1
757975	48326	Belinda
757975	368740	Rikke
757976	22844	Karen Iversen
757976	132260	Moder til ung mand
757976	233695	Kvinde på flygel
757976	406602	Sanne Olsen
757977	179975	
757978	273889	Girl in metro station
757979	139918	
757980	322684	Sygeplejersken Frk. Ege
757981	9129	Joan
757982	322302	
757983	28603	Tilly
757983	178749	
757984	213322	Fairy/Courtier
757985	107947	
757986	195300	Billy's Video Vixen
757987	11913	Polly
757987	28442	Mary Wayne
757987	61718	Molly
757987	69847	Tessa Sanger
757987	73958	Mamie
757987	79341	Aimee Scroope
757987	103235	Girl of the Town
757987	129165	
757987	129960	Stella
757987	142494	Hetty
757987	206927	Bessie Bryant
757987	218739	
757987	235483	Ethel Borridge
757987	235611	Doris Rose
757987	239566	Little Nell
757987	243957	Polly
757987	246981	No. 16
757987	276793	Lisette
757987	301647	T'Mala
757987	326161	Molly
757987	328592	Poppy
757987	340624	
757987	355094	Joyce
757987	377259	
757988	214518	Crystal Carter
757989	210485	Nurse
757990	1805	Herself - Presenter
757990	5358	Herself
757990	9802	The Magic Oracle
757990	11450	Dr. Marilyn Tower
757990	11485	Nurse Blake
757990	21499	Priscilla
757990	26395	Nurse Bloom
757990	30962	Virtual News Anchor #1
757990	34104	Dr. Garvey
757990	41501	
757990	43948	Jane
757990	45548	Jo Ann Robinson
757990	68469	Rachel Twymon
757990	70619	Ma Jenkins
757990	82683	Irene
757990	87507	Detective Davis
757990	87526	Mrs. Swift
757990	100816	Detective Margie Francis
757990	102575	Daisy Bates
757990	107166	Dr. Holllis Miller
757990	107942	Vree
757990	113363	Danielle Kline
757990	117271	Naomi Brinker
757990	121859	Ethel B.
757990	129820	Deborah
757990	154943	Anne
757990	155888	Jenny Ford (segment "1952")
757990	157194	Miss Prism
757990	164483	Mrs. Harris
757990	186680	Roberta
757990	190346	Mayvene
757990	191840	Dr. Geddes
757990	210469	Lucinda Davis
757990	222647	Fannie Lee Chaney
757990	224246	Renee
757990	230124	Sandra Knight
757990	233864	Prue
757990	245096	Brenda
757990	261530	Julie Marsden
757990	265030	Peaches Altamont
757990	266591	Fran Ambrose
757990	274476	Winnie Mandela
757990	276345	Ada Johnson
757990	279845	Bertha
757990	283372	Janice
757990	305087	Lt. Victoria Hendrix
757990	330410	Judge
757990	330430	Harriet Napolean
757990	330503	Julie Cartwright
757990	336692	Lily Keyes
757990	336792	
757990	340767	Chief
757990	343523	Sally
757990	345728	Reader
757990	347119	Mrs. Lewis
757990	363812	Nurse Shabana, Light Side Cli
757990	375842	Ash
757990	380823	Venus Taylor
757990	382023	Stonecutter
757990	382096	Nurse Lucy
757990	387728	Dr. Angela Hicks (1994-1997)
757990	389758	Coldfire/Desdemona
757990	392130	Dr. Shauna Kendall
757990	392545	Ernestine Littlechap
757990	403280	Sara Pickett
757990	405131	Claudette Wyms
757990	408361	
757990	411362	Dawn Murphy
757991	234984	Millie Wilson
757992	286949	
757993	109241	Widow Windeatt
757994	186650	Connie Calhoun (outfield)
757995	2726	Herself
757995	57010	Herself
757995	68000	Herself
757995	68104	Herself
757995	68105	Herself
757995	68107	Herself
757995	98186	Herself
757995	122981	Herself
757995	153578	Karen
757995	161335	Herself
757995	250997	Herself
757995	366640	Herself
757995	391883	Paula Small (1999)
757995	400244	Herself
757995	401047	Host
757995	404504	Judge Stone
757995	408369	Herself/Panelist (2000-2001)
757996	124685	
757997	262954	Singer
757998	51675	Michelle
757998	161068	
757998	383651	Hélène Chevrier
757999	365906	Oompa Loompa
758000	240444	La Chevalière de la Barre
758001	111279	
758001	205567	
758001	234272	Mme Belugue
758001	309368	
758001	353899	
758002	71827	Delphine
758003	34135	
758004	17081	Florence
758004	325062	
758005	349532	
758006	84616	Pussy
758007	275210	
758008	187335	Local Woman
758009	353895	La Comédienne
758010	230693	
758011	60918	
758012	254522	Female Masquerade Dancer
758013	165165	Yasmin
758014	5898	Eléonore
758014	53227	La pute du Soleil
758014	57894	Mylène, l'amie de Camille
758014	235246	Claire
758015	181842	Une jeune
758016	327889	Petit Catherine
758017	58044	Graciela
758017	67012	
758017	121231	
758017	380072	Silvia
758017	395864	
758017	403021	Mora Bustamante (2002)
758018	377490	
758019	248865	Secretaria
758020	379909	Claudia Rivas
758021	29885	
758021	41155	Marie
758021	91875	Princess Regina
758021	193761	Frieda
758021	369492	Xanadu Dancer
758022	379900	
758023	17861	
758023	241177	
758023	284754	
758023	374657	
758024	308154	Mom
758025	401377	
758026	5186	Karine
758026	217420	Carole
758026	278911	
758026	380569	Lorrie
758026	390513	Marie-Ange
758027	325549	
758028	316863	Dr. West
758028	405048	Megan
758029	41446	Jeune homme
758030	156144	Dina
758030	320071	Yvonne
758030	391102	Afdelingsassistente Martine (
758031	327730	
758031	394470	Marijke
758031	410441	Marion Molenaar (1995)
758031	410764	Desiree
758032	408811	Herself/Winner
758033	131173	
758034	337032	Passant 3
758035	337032	Passant 2
758036	91810	Gisèle
758036	125738	Jeanne
758036	284175	Madame Lemonnier
758036	324437	Girl in Aeroplane
758036	337032	Infirmière 2
758036	356392	
758036	403253	
758036	409273	
758037	138704	Lillian (Grandma)
758037	188341	Nancy Collister
758037	206476	Mrs. Derringer
758037	250449	Mrs. Beminger
758037	367919	Mrs. Phelps Potter (Edith)
758038	21590	
758039	63917	
758040	253317	
758041	201194	
758042	253499	Maroushka
758043	274313	(segment "Weightless")
758043	305132	
758043	351600	
758043	382758	Nadya
758043	386030	Vera
758044	62571	Kubira
758045	280384	
758046	156851	Nona
758047	308482	
758048	131987	
758049	92042	
758050	247595	Ms. Björk
758050	343511	Guest at the party
758051	333794	
758052	259872	
758053	321729	Angie
758054	370955	
758056	313622	Nurse
758057	276163	Pom Pom Girl
758057	288454	Debbie
758057	335758	Girlfriend
758058	5910	Estelle
758059	5192	Dorita
758060	16890	Reporter #2
758060	38572	TV Reporter
758060	70557	Marva Prescott
758060	300195	Reporter #4
758060	363913	Newscaster
758061	29098	Receptionist
758061	60852	Jessie McGruff
758061	77225	
758061	78947	Kit Ferris
758061	81127	Bridget
758061	100131	Mariah Carey Customer
758061	139506	Venus
758061	187222	Mary Jones
758061	283434	Deborah
758061	299724	Ruth
758061	308684	Josie Moore
758061	319416	Brooklyn girl
758061	342491	Psychiartic Nurse
758062	400256	Herself/Various
758062	406371	Ethel Chop
758064	359232	Field Reporter
758064	393066	
758065	177689	Esther
758065	323380	Cook
758066	9088	Nikki
758066	92881	Beth Armstrong
758066	115195	Cindy Henderson
758066	120202	Head Cheerleader
758066	128782	Herself
758066	182963	Liz Shelby
758066	329522	Shades Fan
758066	334113	Cheryl
758066	345683	Sally Anne Philips
758066	387303	Josh's Lover
758066	389858	Summer Holloway (2002-2003)
758066	391549	Kaja
758066	400647	Beth Hooper
758066	401930	Summer Halloway (2002-2003)
758066	410783	Roxanne (1997)
758067	127190	
758068	325995	Divorce Papers
758069	381821	Ensemble (1978)
758070	231388	Linda
758070	382522	Beth
758071	64119	
758072	114583	Faith
758073	37164	Biker Girl 2
758074	69970	Nicklaus and The Muse
758074	213319	Hipolita
758074	244278	Emilia
758074	264160	Melissa, Lady Blanche's Daugh
758074	325216	Waitress
758074	371215	Phoebe Meryll
758075	346359	Undetermined Role
758076	14231	Sister Hobbs
758076	39173	Mrs. Sterling
758076	286687	Woman in Kitchen
758076	361169	Rosa Parkson
758076	402139	Silver Haired Lady
758077	106484	Mother
758078	150616	Mr. Martin's Daughter
758078	401224	Sylvia
758079	301956	2nd Party Guest
758081	175189	Inmate
758082	246923	Stripper
758083	136513	Hope
758084	71	Clare Bennett
758084	13918	
758084	32804	Herself
758084	44479	Nora Paige
758084	47355	Irene Foster, aka Mlle. La Be
758084	47356	Sally Lee
758084	94527	Herself - Cameo appearance
758084	126067	Marilyn Collins
758084	133722	Herself
758084	140340	Herself
758084	149126	Miss Dorothy 'Dot' March
758084	154182	Miss Constance 'Connie' Shaw
758084	183581	Marilyn Marsh
758084	233522	Tap dance specialty
758084	269302	Bit as dancer
758084	281696	Princess Rosalie Romanikov
758084	291324	
758084	291344	Herself
758084	291356	Herself
758084	294212	Ginny Walker
758084	299163	Tallulah Winters
758084	329560	
758084	329562	
758084	329563	Herself
758084	329565	
758084	331205	Cameo appearance
758084	350906	Herself
758084	388222	
758085	79450	Indigo Plantation
758086	110739	Clinic Receptionist
758086	112023	McArdle's PA
758086	256625	
758086	273507	Rebecca Trevisard
758087	266735	Toano Middle School Student
758088	303819	Cindy
758089	398423	Mrs. Cabobble
758090	147496	Minnie
758091	319778	
758092	26860	Toby, The Maid
758092	95771	Doris
758092	107101	Eileen
758092	177145	Mrs. P.
758092	194355	Doreen
758092	242502	Gloria Martin
758092	387533	Julie Croft (1976)
758092	390523	Mrs. Bridget 'The Midget' McC
758092	390743	Clare Weston
758092	406296	Sqd, Ldr. Grant
758093	304764	Young Violet
758094	11077	
758094	14620	
758094	30605	
758094	40831	
758094	50925	
758094	96905	
758094	115618	
758094	153283	
758094	171258	
758094	233868	
758094	271223	
758094	333653	
758095	257098	Herself
758096	372117	
758097	1398	Herself
758097	1401	Herself
758097	3844	Herself
758097	13918	
758097	23148	Athena Mulvain
758097	47385	Herself
758097	64557	Herself
758097	79290	Judy Foster
758097	81784	Ottilie van Zandt in 'Maytime
758097	82364	Cheryl Williams
758097	100675	Fayaway
758097	110383	
758097	110940	Penny Windsor
758097	128332	Dodie
758097	138700	Herself
758097	146755	Susan Smith
758097	147536	Christine Evans
758097	188642	Elaine Anderson (The Anderson
758097	197943	Polly Bradford
758097	205718	Singer at rally
758097	208648	Kitty Douglas
758097	209606	Esther
758097	227349	Nancy Barklay
758097	229677	Host
758097	232017	Herself
758097	252926	Dance Instructor
758097	255353	
758097	277656	Elizabeth Rogers
758097	282711	Ellen Bowen
758097	283094	Daughter
758097	287285	Delia Ferguson
758097	291389	Herself
758097	295282	Milly Pontipee
758097	305399	Cindy Kimbell
758097	306649	Herself
758097	308636	Herself
758097	329560	
758097	329562	
758097	331333	Tess Morgan
758097	331587	Penny Weston
758097	341436	Celeste
758097	343206	Patti Robinson
758097	362634	Dorcie
758097	379607	Alternate Lead Player (1957-1
758097	380713	Lisa Miller Hughes Eldridge S
758097	390375	Alternate Lead Player (1957-1
758097	390691	Irma (1988-1990)
758097	396123	Rebecca Beecham (1985-1986)
758098	280932	Irene Greville
758099	26666	Starlight Room Singer
758100	71474	Dancer
758101	241389	
758102	151627	Shardinae
758103	12393	Maliika
758104	71897	Kimberly
758104	108476	Jenny
758105	3163	Mary Ann Mathews
758105	37205	Maggie Dickens
758106	154379	Herself
758106	273567	Herself
758106	396049	Presenter
758106	405768	Presenter
758106	407877	Herself/Guest Host (2003-2004
758106	410948	Herself/Hostess (1997-2000)
758107	3148	
758107	185228	
758107	341885	
758107	380713	Marcy Breen #2 (1992-1993)
758108	46862	Mrs. Pierce
758108	116577	WRAC
758108	183599	Duchess of Oaklands
758109	202728	Blonde patron at ballroom and
758109	333276	Eloi girl
758110	218742	Herself
758111	214744	Talk Show Host
758111	387436	Host (1996-2000)
758111	393352	Marie-Jolle CinqMars
758111	403542	Bunny Bustamente
758112	37908	Vicky
758112	115264	Maggie O'Hara
758113	274267	Arianna
758114	17978	Nun
758114	139611	Beauty #3
758114	183717	Anne Montgomery (Lady in Whit
758115	270607	Honeycutt's Squeeze
758116	409578	Debbie
758117	272440	Extra
758118	80802	
758118	171082	Merry Cat Logan
758118	213963	Mrs. Clean
758118	389858	Louise Knotts (1988)
758119	399816	Vicki Dawson Feather (1977)
758120	404608	Finalist (2001)
758121	287285	Choir Member
758122	68505	McCormick's daughter
758123	185710	
758123	209604	
758123	274728	Mrs. Patton
758123	330097	Proprietress
758124	22651	Fourth Woman
758124	34702	Wedding Coordinator
758124	40489	Ava
758124	40726	Tory
758124	74912	Miller
758124	195812	Doctor
758124	238682	Naomi
758124	380713	Joan Weber (2000)
758125	20565	Stewardess #1
758126	367470	Rosie
758127	138822	Madelaine
758127	154517	Norma
758127	261439	Dr. Erika Lorenz
758127	385719	Portia Fitzsimmons (1967)
758127	404694	Birdie 'Aunt Birdie' Clayborn
758127	407940	Herself
758128	251812	Kari
758129	142524	Waitress 1958
758130	222194	Blond in Bed (Corpse) in #17
758130	356997	Candi
758131	37035	Traveler
758132	45912	Singer
758132	371824	
758133	342462	Mrs. Rhodes
758134	4705	
758135	338138	Prison Guard
758136	162292	Captains Wife
758137	85913	Herself
758138	185294	Dorothy
758139	75421	Tyler's Girlfriend #2
758139	113526	Sherry
758140	371381	Melody St. Matthews
758141	644	Save Ferris Singer
758142	207173	Sister Mary van Hootin
758143	93974	Lenora Jamison
758143	364281	Extra
758144	304644	The other guest
758145	351533	Mommy
758146	7413	Blonde
758146	365740	Receptionist
758148	166637	Hydettes
758149	356791	Pharmacist
758150	18811	
758151	393695	Josie
758152	159732	Nurse
758152	206652	Gossip Columnist #1
758152	245263	Debra B. Collins/Dead Deb
758152	258752	Woman with baby
758153	302793	Pinachle Lady
758154	234779	Joyce
758155	47588	Earl's Wife
758156	137006	
758157	3027	Herself - Best Costume Design
758157	97718	Seamstresses
758158	11198	
758158	395924	Firefighter Sally Reid (1993-
758158	403918	Georgy
758158	409841	Miss Swartz
758159	149766	Herself
758160	117231	Serena
758160	190230	Lanie's Mother
758160	390109	Kathy's Secretary
758161	89256	Featured Extra
758162	319568	Waitress (Popeyes)
758162	400684	Receptionist in Ladies' Room
758163	231037	Mrs. Kent
758163	316767	Gena
758163	342605	Cheryl
758163	385653	Warden Grayson
758163	395284	Abby (1975)
758164	115852	Miss America 1981
758164	148299	Self
758165	28939	Martha Johnson
758165	41807	Fast Food Cashier
758165	59174	Camillia
758165	367454	Girlfriend
758166	187727	Melissa
758167	250640	The Lady Ella
758168	43931	Bar Waitress
758169	256128	Wife/Sweetheart
758170	137223	Dancer
758171	89061	
758172	78226	Mrs. Boone
758173	76257	V1
758173	382289	Amick Hendar, Additional Voic
758173	394392	Etoh, Additional Voices
758174	182331	Juvy Girl
758174	289024	Toni
758175	291934	Herself
758176	214943	Beverly Hills Chick #2
758177	21076	
758177	34558	
758177	37694	Ingrid
758177	61148	
758177	70523	
758177	85558	
758177	103184	
758177	278179	
758177	283052	
758177	352846	
758177	355758	
758178	335258	Grandmother MacDonald
758179	183528	
758180	2135	Kid
758181	363264	Infant
758182	200176	Liz
758182	285271	Ruth
758182	309127	Carol
758183	292302	Rosalie
758183	366684	Sierra
758183	410941	Skye Warner
758184	141643	Mother
758185	129762	Married Gnome
758186	32370	Charity
758186	52686	Lynette
758186	91936	Lisa/Zoe
758186	97209	Lisa
758186	149639	Betsy
758186	160581	Joanna Sydeham
758186	229233	Alice
758186	252983	Martina
758186	301940	Jill Pole
758186	310416	Becky Lawton
758186	315216	Girl
758186	318796	Sabina Halliday
758186	331936	Sky
758186	338827	Dora
758186	383086	Lady Caroline Lamb
758186	387533	Jessica McAllister (1993-1995
758186	390485	Adele Bannerman
758186	396710	Gabriella Benson
758186	398184	Maria
758186	405625	Annabel
758186	409518	Gilda Smith
758186	409645	Ariadne
758187	157279	Kate
758188	247137	Art school student
758189	1879	Chan's Girlfriend/Woman in Ni
758189	139062	Candle Dream Girl
758189	160882	Lana
758189	187167	Commercial Girl
758189	208502	Wife
758189	213109	De'Ann Power
758189	217389	Susie
758189	226958	Joanne
758189	232181	Verrick's Entourage
758189	295614	Rachel
758189	305896	Beth Livingston
758189	315586	Landon
758189	327836	Veronica
758189	342802	Mrs. O'Brien
758189	384446	Tangerina
758190	129228	Mrs. Villeneuve
758191	144406	
758191	323748	Mary
758191	387247	Christine Hewitt (1992-1994)
758191	395647	Ellen Terry
758192	200470	Female News Reader
758193	141540	Track Team Friend
758194	46981	Evelyn
758194	99278	Sarah
758194	278247	Art Teacher
758195	117143	Mrs. Twombly-Smith
758195	129534	
758195	143297	Bernice Archer
758195	301978	Mrs. Baxter
758196	85143	Jane Millburn
758197	134568	Featured Extra
758198	130804	Milly Stevenson
758199	257374	Consuela
758199	329127	Mrs. Campbell
758200	361213	
758201	8222	Patricia Sidebottom
758201	379429	Patricia Sidebottom
758201	382693	Martina
758202	363967	Nanna
758203	73919	
758203	245513	Jan Roscoe
758203	380346	Masha
758203	391769	Helen
758203	397659	Mary Garth
758203	399531	Mary Hamilton/Slater
758203	400530	Pleasant Riderhood
758204	2079	
758204	102837	(segment "Anticipation: The M
758204	132562	Robin
758204	367847	Weekend Getaway/Sexual Power
758205	16820	Princess Anna Esterhazy
758205	102910	Herself
758205	104751	Italian entry (7th place)
758205	104760	Italian entry (7th place)
758205	111155	
758205	126839	Irene
758205	147240	Italian entry
758205	208656	
758205	210917	Stella
758205	212313	
758205	229622	Lorena Vivaldi
758205	229989	Lois Jarrell
758205	243691	
758205	252305	
758205	252642	
758205	313786	Performer
758205	319299	Rosetta
758205	340293	Fanny
758205	354699	Mariette
758205	403448	Maharani Surama
758205	409093	
758206	11581	Mrs. Hall
758206	117210	First Mourner
758206	183805	
758206	206803	Dame de Miolans
758206	277716	Mrs. Jenkins
758206	324386	Mrs. Martin
758207	196574	Lisa
758207	285302	Maid
758207	397030	Various Roles
758207	402165	Sonia Trent
758208	227473	Sarah
758210	41004	Mary
758210	50207	Young Punk
758210	188567	Charlie's Girlfriend
758210	382838	Lyn Matthews Rogers (1992-199
758211	161962	Soibhan
758212	44229	Olimpia
758212	71563	Valentine De Villefort
758212	97035	Anita
758212	206976	María
758212	294860	Margaret
758212	302448	Dione
758212	337335	Stephanie
758212	353201	
758213	301559	Mariam
758214	218701	
758215	56435	Miss Kramer
758215	112207	
758215	144889	Gail
758215	352733	Mariette
758215	389858	Fran Woods (1988)
758215	395533	Dolores Roberts
758216	38270	Lulu
758217	362257	
758218	78142	
758218	80583	Chris Noel
758218	116559	Nola
758218	185388	Lucy Kolinski
758218	207132	Lisa
758218	234200	Det. Mary Ellen 'Dusty' Dusti
758218	241404	Cassie Springer
758218	245249	Shelly
758218	257182	Dawn-Marie Zeffer
758218	257689	Herself
758218	265266	Nancy Pringle
758218	270345	Sylvie
758218	278830	Julia
758218	295435	Ronnie
758218	301539	Andrea
758218	308855	Rose
758218	315502	Major Tanya Goodman
758218	335563	Tonya Harding
758218	347059	Patricia 'Trish' Jaworsky
758218	375109	Sara
758218	395023	Jane Halliday (1993-1994)
758219	191195	
758220	111861	Scream
758221	66123	Blonde Fighter
758221	78875	Girl
758221	321411	
758221	328285	Ticket Taker at Club Technoir
758222	16686	Charlene De Gaulle
758222	46321	Dancer at nightclub
758222	46805	Carla Henderson
758222	68016	Mrs. Phipps
758222	73551	Girl with Dion
758222	126571	Miss Beverly Hills
758222	154907	Electra
758222	161741	Harriet Williams
758222	164243	Dora Mae
758222	178204	Trudy
758222	185130	Saloon Hostess
758222	196352	Orgy Dancer
758222	219045	Sheree
758222	262118	Sylvia, party girl
758222	303544	Carmelita
758222	310800	Mary Ann
758222	311530	Receptionist
758222	355810	Showgirl
758222	372524	Floyd's Girl
758223	95714	Herself
758223	150043	
758223	242059	
758223	270643	
758223	284621	Herself
758223	327592	Rita's Video Partner
758223	330813	Bridget the Midget
758223	333685	
758223	382748	Bridget the Midget
758224	249712	Julie
758226	188639	Girl at Dance
758227	346321	
758228	144889	Dan's Wife
758229	164460	Auntie M
758230	192219	Sailor's Girlfriend
758231	257750	Sophia
758232	197489	Nall, Mia Ausa
758232	301796	Nera Shyna
758234	42311	Annoying
758235	48264	Janey
758236	332772	Fighter/Soldier/Performer
758237	273483	Herself
758237	320146	Herself
758237	320147	Herself/11th Banished
758237	407077	Herself (33 Days, Samburu/Mot
758238	78007	Waitress
758239	160982	Amazon
758241	36834	
758241	81953	Mrs. Freeman
758241	321323	Mrs. Horace Allen
758241	350012	Woman at Martha Washington Ho
758241	379612	Mrs. Brown (original cast) (p
758241	398736	Mrs. Bixby
758242	137259	Penny Pingleton
758243	52695	
758244	13253	Olive Smith
758244	38041	
758244	203423	Emily
758244	206295	
758244	224828	Mary Marshall
758244	242110	
758244	264824	
758244	329066	Nancy Keefe
758244	331674	Miss Witherspoon
758244	343269	Joan Markham
758245	339593	
758246	204168	Janie
758247	12021	
758247	34032	Aileen Donovan
758247	64790	Terry McBride
758247	64924	Sally 'Angel Face' Connors
758247	67470	Anne Spensser
758247	75908	Roxane
758247	76609	Meg Stone
758247	81126	Val Owens
758247	90882	Maj. Georgianna Bronski
758247	97496	Julie
758247	110275	Sharon Carlin
758247	115516	Ellen
758247	120573	Herself/Narrator
758247	126151	Janey Edwards
758247	203362	Marlan Wood
758247	245457	Ann Walton
758247	270906	Laura Reno
758247	280498	
758247	281851	Rose of Cimarron
758247	293578	
758247	301131	Sue Russell
758247	315538	Tay Rorick
758247	324261	Barbara
758247	336773	Esther Clark, Tommy's kid sis
758247	347352	Gina Matthews
758247	371058	Nevada Wray
758247	385656	Rebecca Boone
758247	391184	Mona Williams (1965-66)
758247	396663	Marian Crane (1971-72)
758248	209503	Madame Flora
758249	36781	
758250	102147	Mary Margaret
758251	35593	Frederick the Great's Sweethe
758251	82634	Mary
758251	119492	
758251	235674	'Pigeon' Deering
758251	304033	
758251	334191	
758251	364571	Madeline Wallace
758252	223632	Kim Smalls
758252	383909	Various (2003)
758253	78564	
758254	96774	
758254	150068	
758254	291773	
758254	364419	
758255	98831	Waitress
758256	158595	
758257	57381	Locker room student
758258	137224	Porter Davis
758258	355518	Visitor
758259	144484	
758260	256559	
758260	264748	
758261	296107	Psychologist Patient
758262	297126	Alice Bine
758263	14614	
758263	22865	Frances Schreuder
758263	34488	Beryl Markham
758263	34903	Herself
758263	42304	Kate
758263	42346	
758263	49734	Helen Dudak
758263	72971	Susan Roberts
758263	81118	Joan Barthel
758263	81588	Sabrina/Stephanie
758263	87779	Herself
758263	99400	Celeste
758263	103327	Dottie Del Mar
758263	105971	Toby Sherwood
758263	108367	Jessie Calloway
758263	108482	Pat Carroll
758263	114613	Gloria
758263	115020	Herself
758263	131239	Little Moon
758263	131484	The Queen
758263	138700	Herself
758263	139233	Rozaline
758263	139698	Jennifer Hart
758263	139699	Jennifer Hart
758263	139700	Jennifer Hart
758263	139701	Jennifer Hart
758263	139702	Jennifer Hart
758263	139703	Jennifer Hart
758263	139704	Jennifer Hart
758263	139705	Jennifer Hart/Simone
758263	139706	Jennifer Hart
758263	143503	Nicole Harris
758263	155816	Tina
758263	160980	Gloria
758263	161380	Herself
758263	161936	Candy Barrett
758263	163345	Georgina
758263	190689	Ginny Miller
758263	195329	Caroline Landry
758263	195621	Carol Lambert
758263	200493	Mrs. Laurie Gunn
758263	203218	Ann
758263	204217	Ann Louise Hovis
758263	208932	Becky McLintock
758263	230330	Toni 'Feather' Danton
758263	230675	Gloria Worship
758263	231919	Mrs. Pauline Hannigen
758263	232017	Herself
758263	233881	Bonnie Howard
758263	236099	
758263	236151	Marian Adams
758263	247143	Bunny Dixon
758263	248113	Karen McMillan
758263	259355	Herself
758263	276850	Marianne
758263	291417	Herself - Interviewee
758263	292502	Shalin
758263	292682	Host
758263	298027	Elena Forrester-Chandler
758263	299778	Letty Crandell
758263	304281	Terry Hardings
758263	304399	Nancy Sorenson
758263	308009	Michelle Dupre
758263	312827	Mrs. Lucy Mallory
758263	320095	Victoria
758263	321358	Rachel Stanton
758263	324266	Kay
758263	352965	Herself
758263	359481	Liz Thayer
758263	363225	Maxie Howard
758263	368498	Herself
758263	372736	Ginny Miller
758263	385591	Herself
758263	386599	Jane Powers (2001)
758263	388546	Toni 'Feather' Danton
758263	390101	April Dancer
758263	391097	Jennifer Hart
758263	391834	Montana Gray
758263	392422	Herself
758263	396778	Herself/panelist
758263	397938	Maggy Lunel
758263	410616	Sally Whalen
758264	26169	
758264	62650	Hook Girl
758264	290231	Pizza Girl
758265	187697	Marilyn Fogelman
758265	408044	
758268	298609	Tour Guide
758269	209125	
758270	185960	Sonia
758271	25426	Basia's friend
758271	95960	Pupil in School
758271	231362	Anna Miauczynska
758271	247626	Ewa
758271	247628	Irenka's friend
758271	375443	
758271	394585	Czeslawa Kot-Kurzepa (2000-)
758271	406208	Marta
758272	11817	Christine
758273	379677	Fran Peoples
758274	73449	Jenny
758274	207904	Jury Foreperson
758274	310125	
758274	403353	
758275	43912	
758276	133719	Gabriel as a Child
758277	362081	Peach Orwood
758277	391786	Melanie Burton (2003-)
758278	128584	Pat, the girl
758278	242750	Girl in Field
758279	362081	Pear Orwood
758279	391786	Sophie Burton (2003-)
758280	279080	
758281	255274	Pupil
758282	63117	Screaming Girl On Slide After
758283	392424	Herself
758283	407088	Herself
758284	408584	Ruth Ann Torkelson (pilot onl
758285	314011	
758286	59082	The Girl
758287	101546	
758288	71683	Missy Ivy
758289	106721	Adrienne
758289	273698	Karen
758290	276197	Maxie
758291	44407	Dorothy Gray
758291	141450	
758291	141503	Hilda Wagner
758291	187722	Helena Nichols/Lena Rivers
758291	191847	
758291	243233	
758293	2495	The Woman
758293	113355	Amanda
758293	261075	Dora
758294	220574	Polo player
758294	247160	Swimmer
758295	115990	
758296	367782	Smiling Woman
758297	104723	Herself
758298	390523	Becky Stevens (1990-1996)
758299	96356	Patricia
758299	115000	Eva
758299	233996	Sonia
758299	244636	Lucia
758299	369755	Herself
758299	369999	Herself - Nominee: Best New A
758299	396154	Silvia
758299	401769	Nerea Yanci (2001-2002)
758300	268579	Kakala
758301	356951	
758302	394876	
758303	3428	
758303	120375	
758303	145247	La cuoca
758303	205667	
758303	234174	
758303	277371	
758303	306697	
758303	353230	
758304	18286	
758305	370997	
758306	35851	
758306	95356	
758306	154105	
758306	154685	
758306	162758	Baska
758306	238365	
758306	243880	
758306	259221	Katrina's Replacement Transla
758306	356827	Accountant's Wife
758307	379700	Herself/Contestant (Top Six F
758308	131994	Isaac's Mother
758308	155672	Ivolgina
758308	208750	Maria's mother
758308	255777	Countess
758308	283823	
758309	132534	
758310	310605	
758311	48756	
758311	72087	
758311	94061	Pacijent II
758311	146842	Markova zena
758311	170965	Verka
758311	187982	
758311	195255	
758311	202046	
758311	211940	
758311	259834	Gazdarica
758311	293711	
758311	293712	
758311	303118	
758311	305813	
758311	312426	
758311	318640	Baba iz bolnicke sobe
758311	320558	Zoranova majka
758311	332755	
758311	382430	Cistacica
758311	385269	
758311	386634	
758311	394813	
758311	401834	Notarosevica
758311	401961	
758311	401991	Sretina zena
758311	404206	
758311	404391	
758311	404733	
758311	405656	
758311	406099	
758312	115993	Herself
758313	63359	Vera
758313	84764	Margot de la Monty
758313	113102	Lotty Roubinkova
758313	281214	Neighbor
758313	325165	Lady
758313	357437	Granny
758314	7164	Irena
758314	22867	Anabelle
758314	36421	
758314	40499	Extra
758314	75977	
758314	84263	Herself
758314	101049	Fatima
758314	111305	Flora Gente
758314	119567	Narration
758314	137944	Ophelia
758314	141660	Ingrid Steiner
758314	151590	Herself
758314	167324	Marina Oswald
758314	178460	
758314	181145	Zosia - Maid
758314	181362	Ksiezniczka
758314	216474	Erica Chamberlain
758314	216613	Mnemosyne
758314	220024	Kristine Reinmuller
758314	255604	
758314	266564	Laina Pozok
758314	271860	
758314	281528	
758314	282761	
758314	313035	Kobieta w czerni
758314	322041	
758314	324493	
758314	344911	
758314	353872	Alice Eber
758314	363878	Narrator
758314	394589	Betty
758314	397401	Dr. Katya Petrova Fielding (1
758314	411139	Tambor
758314	412115	Todzia
758315	197999	
758316	39158	Maria
758317	367977	Dochter Isabella
758318	199808	
758318	379653	Madre Josefina
758318	383519	
758318	384390	Juventina
758318	387090	
758318	387552	
758318	395885	Doris Quintana
758318	402059	Fermina
758318	410323	Lupe Fernández
758319	19369	
758319	339988	
758320	108722	Marthe
758321	384507	Dancer
758321	403904	Dancer
758321	406972	Mini Celia Cruz
758322	263919	
758323	411366	Biri (episode 2: Maydina the 
758325	6208	
758325	128004	
758325	251051	
758325	260604	
758326	53016	
758326	246380	Giulia
758326	249903	Giornalista
758326	315439	Gina
758326	337259	
758326	359727	Irina
758326	380991	Caterina (Teil 1)
758326	388569	Mama di Lele
758326	390496	
758326	396157	Vittoria
758326	397297	Laura
758327	74746	
758328	67225	
758328	92072	(segment "Sarò tutta per te")
758328	124567	
758328	127997	Valeria
758328	200075	
758328	202279	Adriana
758328	216108	Edith de Berg
758328	234717	Locandiera
758328	282120	
758329	26442	McCray Child
758330	14918	
758331	55892	
758332	387	
758332	3563	
758332	4930	
758332	11702	
758332	12973	
758332	26924	Herself
758332	43416	
758332	44522	Ragazza nuda in piscina
758332	68646	
758332	82424	
758332	91054	Virginia
758332	91616	
758332	119730	
758332	121298	Juana
758332	127798	
758332	132019	
758332	216692	
758332	238662	
758332	251031	
758332	259950	Moglie di Nicola
758332	266169	Vanessa
758332	267883	
758332	349534	Luana
758332	354005	Accompagnatrice in fabbrica
758332	356004	
758332	357970	
758333	300906	Ernestine
758334	112664	
758335	318370	Groupie #3
758336	36670	Magali Rozes
758336	55404	Jessica
758336	139652	Fleur Delacour
758336	239938	
758336	254141	Anna
758336	324526	Maguy
758336	390800	Mary, Queen of Scots
758337	147369	Television Reporter
758337	353808	Rádióriporter
758338	4454	
758338	86233	Prakash's nephew
758338	86849	
758338	132629	Mohini
758338	161451	
758338	164851	
758338	171865	
758338	199872	Madáchné,Imre anyja
758338	204348	
758338	208581	
758338	215096	Bálnokházyné
758338	300302	
758338	303321	Mandodari
758338	357829	
758339	4270	
758339	4561	Jahnavi
758339	4881	
758339	4890	
758339	17307	
758339	17662	Jahnavi
758339	19634	Swarnamanjari
758339	26202	
758339	28817	Rashmoni
758339	36296	
758339	43542	
758339	85345	Champa
758339	124227	Shanta
758339	173395	
758339	173399	
758339	174679	
758339	203992	
758339	204028	Surabala's mother
758339	207937	
758339	226646	The Mother
758339	247130	Rama
758339	247131	
758339	247479	
758339	248119	
758339	248701	Mrs. Sen
758339	250555	
758339	285494	Ratan's mother
758339	285558	
758339	293273	Tungabhadra
758339	295017	
758339	325333	
758339	350749	
758340	9326	
758340	84766	
758340	198662	
758340	280035	
758340	293278	
758340	302815	
758341	218341	Tuppa Girl
758342	75489	Radha
758342	112762	
758342	114747	
758342	184777	
758342	328182	Radhe's sister-in-law
758343	140002	
758344	5412	Herself
758344	46213	Herself
758344	105016	Audience Member/Herself
758345	336	Sidlak's Wife
758345	202260	
758345	237514	Woman
758345	342296	Kadlecová
758345	349007	Mother
758346	380680	Herself - art expert
758347	139545	Marie
758348	207880	Ayesha
758348	386616	Ajile's dog
758349	252109	
758349	386402	
758349	390745	Fanny
758349	393901	
758349	401106	
758350	139907	
758351	332595	Protestante 2
758352	70624	Mujer Federación 1
758353	326178	Secretaria Oficina Lada
758354	251599	Refitolera
758355	206995	
758356	60278	Dancer
758357	82423	
758357	95025	
758357	112890	
758357	119433	Silvia
758357	219824	
758358	7446	La tenancière
758358	45116	Nicole
758358	201180	Herself - from 'Doit-on le di
758358	235825	
758358	238483	Roze
758358	245963	Yvette
758358	266375	Magdelon
758358	325343	Madame Lafosse
758358	376910	Martine Paillet
758358	376919	Madame Giraud
758358	377857	Lisette
758358	388689	Cindy
758358	390057	Dolorès
758358	390755	Solange
758358	409447	Estelle
758358	409528	Hermine
758359	12929	
758359	52600	
758359	55766	Ester Martinez
758359	67952	
758359	69124	
758359	100279	
758359	236010	
758359	236024	
758360	310052	
758362	377002	Solange
758363	130626	Sadie
758364	200942	Françoise
758365	17852	Fofette Fontanes
758366	375769	
758367	72062	
758367	219257	
758367	270353	
758367	287609	
758367	292689	Greta
758367	361305	Singer
758368	249751	
758369	410513	Russian Girlfriend
758370	353790	
758371	12545	Leonor
758371	18174	
758371	55152	
758371	57827	
758371	64997	Luisa
758371	78553	
758371	83444	
758371	99789	Tita
758371	103117	
758371	103836	
758371	108842	
758371	121224	
758371	136967	
758371	140543	
758371	162025	D. Constança
758371	186971	presenter
758371	206977	
758371	212522	
758371	222841	
758371	231639	
758371	234371	Ana María
758371	243613	Madre Superiora
758371	332603	
758371	353598	Ana
758371	357504	
758371	371712	
758371	373757	
758372	4192	
758372	176110	
758372	297066	
758373	394967	Nandini Takhar
758374	124620	
758375	35944	
758376	246581	Sarala
758376	248801	
758376	298814	
758377	36303	
758377	123572	Mrs. Motilal Nehru
758377	354313	
758377	396479	Nadar
758378	98527	
758379	370060	
758380	326128	Pregnant woman
758381	15083	Corinne
758381	15126	Françoise Morel
758381	23774	Catherine
758381	23837	Amenita
758381	33088	Maria, Hussy
758381	40217	Betty
758381	48209	Sonia
758381	58737	Lucie Desgrez
758381	68369	Julie Sotto
758381	68933	Antoinette
758381	73195	Helene
758381	76033	Catherine
758381	77171	
758381	83359	Lisa
758381	103977	Elisabeth
758381	121974	Consuela Moroni 1
758381	150883	Jeanne-Marie
758381	167165	Florence
758381	169986	
758381	285783	
758381	291580	Louise Martin
758381	294566	La speakerine (segment "Colèr
758381	340176	Constance Bonacieux
758381	340177	Constance Bonacieux
758381	393489	Herself (regular guest)
758381	398102	Massmédia
758381	407809	Sylvie
758382	42640	
758382	258381	
758382	276303	
758382	287429	
758383	258737	Herself
758384	243612	
758384	246879	
758384	302745	Harumi
758384	380083	Silvia
758384	395857	Catalina
758384	401068	Loreta
758384	409282	Rosario
758385	396718	Divina
758386	212137	
758388	111284	
758388	132944	
758388	344809	
758389	46926	
758389	51828	
758389	74974	
758389	83445	
758389	91327	
758389	124583	
758389	210262	Julia Bertolini
758389	212464	
758389	268244	
758389	269829	
758389	294334	The Hilario's mother
758389	300688	
758389	302239	
758389	327200	
758389	380094	
758389	380113	
758391	383677	
758391	387104	
758392	148709	Lisa
758392	228201	
758392	396617	Véronique
758393	150421	Herself
758394	18847	
758394	116368	
758394	383293	
758394	412304	
758395	56317	
758395	379566	Elisa (1999-2001)
758396	380103	Silvia Miranda
758396	383273	
758396	384771	Constanza
758396	396215	
758396	404989	
758396	407304	Elena
758397	257350	
758398	25045	
758398	28946	
758398	35492	
758398	56299	Fifica
758398	62513	Augusta
758398	131092	
758398	166375	
758398	166376	
758398	166377	
758398	166379	
758398	166381	
758398	166384	Cesariana
758398	184292	Marcolina Jabá
758398	206797	Nhá Policena
758398	212135	Magnólia
758398	233841	
758398	339995	
758398	344704	
758398	351489	
758398	376587	
758398	379183	Helena
758398	379244	
758398	379491	Lídia
758398	381263	
758398	383269	Ivone
758398	383276	
758398	386377	
758398	386419	Irmã Socorro
758398	386422	
758398	386505	
758398	393463	
758398	396520	Ismênia
758398	397547	Miloca
758398	397548	Donana
758398	397699	
758398	398249	Mrs.Linton
758398	399490	Gabi
758398	399713	
758398	400703	
758398	400765	
758398	403747	
758398	404271	
758398	405337	
758398	407639	
758398	408414	Eulália
758398	409004	
758398	409407	Eulália
758398	409424	
758398	409902	
758398	412257	Candoca
758398	412270	Lurdes
758399	292774	
758400	369982	Garota da premiação
758400	383566	(2nd season)
758401	400838	
758402	115532	Lei Ling
758402	300623	
758403	384381	
758403	400106	
758404	3467	
758404	4929	Isabel
758404	6474	
758404	13080	Celina, mama de Pedro
758404	14661	
758404	16301	
758404	20730	
758404	20739	
758404	21697	
758404	29802	
758404	51813	
758404	54771	
758404	55011	
758404	64043	
758404	64694	
758404	69475	
758404	70656	
758404	73300	
758404	74504	
758404	74589	
758404	74606	
758404	74858	
758404	83406	
758404	84047	
758404	86096	
758404	91414	
758404	94826	
758404	94873	
758404	98695	
758404	99710	
758404	101616	
758404	108130	
758404	110231	Julita
758404	121220	
758404	123149	
758404	124655	Rosaura
758404	124658	Antonia 'La Gelatina'
758404	138019	
758404	142740	
758404	149547	
758404	156585	Lupita
758404	159050	La Cacariza
758404	160087	
758404	160824	
758404	175670	Rosaura
758404	183500	
758404	193355	
758404	202098	
758404	202557	
758404	207014	
758404	209470	
758404	212388	
758404	212466	
758404	213753	
758404	215231	Rosita
758404	217306	
758404	222017	Lupe
758404	225554	
758404	234494	
758404	235979	
758404	237191	Herself
758404	238757	
758404	250476	
758404	251583	
758404	258476	
758404	266809	
758404	266881	
758404	269832	
758404	272666	
758404	275077	Guaita
758404	275136	
758404	277364	
758404	278427	Nieves García
758404	294071	
758404	300637	
758404	302402	
758404	310027	Bit Part
758404	317798	Raquel
758404	324093	Juana
758404	324527	
758404	326297	
758404	332692	
758404	337578	
758404	339097	
758404	339201	
758404	343619	
758404	349932	
758404	353573	Eufemia
758404	353609	
758404	353615	Martha
758404	357515	Magdalena
758404	377172	
758404	384573	
758404	387696	
758404	397734	
758404	398069	
758404	399709	
758404	400947	
758404	408199	
758405	234630	
758406	5105	María
758406	15319	
758406	29806	
758406	63408	
758406	74352	Madeleine
758406	90099	Anita
758406	109170	
758406	144710	
758406	184934	
758406	199552	
758406	204644	Celia
758406	205713	
758406	221559	
758406	225697	
758406	231291	
758406	234020	
758406	244605	
758406	283204	
758406	287850	
758406	287877	
758406	288950	Chiquito
758406	305223	Jean Morris
758406	353619	
758406	376795	
758407	86086	Niña
758407	213761	
758408	161435	
758408	234611	
758408	268993	
758408	272569	
758408	275017	
758408	319626	
758408	354220	
758409	71140	
758409	307532	
758409	349723	
758410	14937	
758410	104169	
758410	287416	
758411	19486	
758411	53746	Filoca
758411	53851	Olívia
758411	61127	
758411	206985	
758411	226438	La joven americana
758411	234020	Flora
758411	243466	
758411	267318	Margarida
758411	273659	
758411	292774	
758411	324922	Isabel
758411	328366	Lina
758411	332460	Durvalina
758411	337871	
758411	353640	
758411	376704	
758411	379880	
758412	16844	
758412	53613	
758412	292774	
758413	204	
758413	2520	
758413	6625	
758413	9694	Doña Meche
758413	16171	
758413	17135	
758413	55007	
758413	68061	
758413	68642	Mama de Luis Miguel
758413	72378	
758413	77871	
758413	87078	
758413	90093	
758413	103756	Guille
758413	125393	
758413	137613	
758413	145255	
758413	145307	
758413	148156	
758413	188998	
758413	207647	Lupe
758413	208249	
758413	234316	
758413	234906	
758413	247476	
758413	258504	
758413	264387	
758413	272623	
758413	273842	Mujer en la calle
758413	275751	
758413	275985	
758413	337440	
758413	339086	Consuelo
758413	351636	
758413	351781	
758413	353975	
758413	379602	Clara
758413	379653	
758413	379909	Cholé Ocampo
758413	381169	
758413	381650	
758413	386284	Doña Emma
758413	392806	
758413	392960	Zenaida
758413	396898	Doña Chancla
758413	397019	Rosenda La Carcelera
758413	397201	
758413	400490	Martina Rubio
758413	402050	Doña Licha
758413	403173	Malvis
758413	406861	
758413	408792	
758413	410477	Azalia Sánchez
758414	221755	
758415	192778	Ana
758416	18873	
758416	47056	
758416	55964	Aurelia
758416	56442	
758416	68639	
758416	74748	
758416	75198	
758416	76006	Sen~ora Beteta
758416	87070	
758416	87622	
758416	100782	
758416	108721	Patricia Ruiz; Leonor
758416	112044	Alina
758416	122159	
758416	135283	
758416	136313	
758416	145259	
758416	183505	
758416	197171	
758416	212249	
758416	214694	Secretaria
758416	216861	
758416	233329	
758416	233330	
758416	233371	
758416	235999	Irene
758416	246423	
758416	256784	
758416	260588	
758416	266879	
758416	275751	
758416	284796	
758416	284889	
758416	296126	Rita
758416	307659	
758416	322250	
758416	339781	
758416	352082	
758416	355441	Alicia
758416	371769	
758416	381030	
758416	383669	
758416	385251	Eugenia
758416	385369	Susana
758416	391742	Verónica
758416	391966	
758416	395856	Martha
758416	397009	Hilda Serrano
758416	398801	Estela
758416	406056	Mamá de Benjamín
758416	407648	Estela
758416	409915	Inés
758416	410327	
758417	24191	The Teacher (1)
758417	111502	The Bride
758417	151237	Sequência do celular
758417	407801	Honorina
758418	344828	
758418	384871	
758419	395044	
758420	82589	
758421	230432	Angela
758423	399823	Sandra
758423	401918	
758423	404172	
758423	410327	
758424	83888	
758425	106222	
758426	292691	Mélanie
758427	106222	
758428	6072	
758428	125077	Maisie
758428	144698	Wrochek
758428	167111	Sophia Gelderen
758428	185739	Frau Hoffman
758428	185743	Hotel Guest
758428	188401	Specialty Act
758428	190851	Nurse Schmitt
758428	194690	Mitzi
758428	231389	Mme. Dupont
758428	231874	Mrs. Roseler
758428	233830	Olga, Johnny's girl (maid)
758428	271611	Maria Bellini, of the Neapoli
758428	306189	French Woman
758428	308082	
758428	334337	German matron
758428	385920	Mrs. Lemenski
758428	391843	Maria Kalova
758429	206054	
758429	340689	
758430	20075	Aline de Beauvilliers
758430	34212	
758430	55334	
758430	90120	
758430	98788	Iliana
758430	101137	Nellie Rantz
758430	111693	Romilde Pascal
758430	148669	Djenna
758430	159727	The simpleton
758430	205209	
758430	265804	
758431	259970	Weber's mother
758432	288088	
758433	405341	La soubrette
758434	18421	Verloofde van de moordenaar
758435	89717	Maid
758436	178975	V-Six Model/Cheerleader
758436	185137	Sheila
758437	9339	
758437	84765	
758437	93723	
758437	125101	
758437	271835	
758437	285485	
758437	320833	
758438	123843	
758438	411680	Tzameret Karni
758439	335799	Acting Student
758440	117162	Associate Producer, Awards, T
758440	185385	Beat Cop
758441	597	
758441	75932	Marika Egressy
758441	104844	Eva
758441	129679	
758441	144032	Manda
758441	177137	
758441	198420	
758441	225315	Tamara
758441	289915	Resi
758441	293272	
758441	365018	
758442	271868	Technologist #3
758443	221021	Woman in film room
758443	387309	Laurie Ann Karr Lamont Dallas
758443	404337	Various (1981)
758444	166254	Jean
758445	33459	
758446	108353	Susan Lyman
758446	120632	Claudia Kincaid
758446	293164	Heather
758446	311537	Bernice
758446	389858	Priscilla (1991)
758447	356551	Midwife
758448	286808	Snake Dancer
758449	129765	Tom
758450	324632	Mlle de Polignac
758451	294723	
758452	8214	
758452	9012	Vieille dame
758452	15260	La sourde
758452	28147	
758452	51953	La présidente
758452	54247	
758452	55008	Juana
758452	55532	Citoyenne Bouchon, la concier
758452	55533	
758452	59384	Madame Lezcano
758452	62441	La comtesse de Bellecour
758452	68397	
758452	71505	The Mother
758452	77345	La duchesse
758452	84678	
758452	101684	Lady Clayton
758452	108207	Madame Martin
758452	110125	Miss Flora
758452	111056	La comtesse de Bellefeuille
758452	115801	Madame Chantelouve
758452	124324	Mme. Lerbier
758452	148668	La Pensionnaire
758452	164181	
758452	166196	
758452	174635	
758452	195702	Rich woman
758452	199328	Mme du Barry, mère
758452	202697	
758452	223174	La mère Beaume
758452	224910	
758452	229494	Madame Romanay mère
758452	254157	Madame d'Aiguebelle
758452	256755	La présidente
758452	257068	
758452	258236	
758452	268395	Madame Vauquer
758452	279111	
758452	279635	
758452	280778	
758452	283025	
758452	287974	
758452	288760	
758452	294565	La présidente (segment "Orgue
758452	309748	Mme. Balthazar
758452	345189	La mère
758452	345215	La baronne
758452	351005	
758452	353914	Liane d'Ysigny
758452	377667	
758453	56729	Thing Two
758453	93897	Jaime Roland
758453	138365	Four Year Old Maddy
758453	231524	Young Cat
758454	53937	Lippy
758455	204384	Nidhi
758456	339683	Anna
758457	82662	
758457	141606	Asia Sellers
758458	23097	
758459	51430	
758460	8912	Herself
758461	26768	Emily Madigan
758461	39737	Toni
758461	146726	
758461	194035	Andrea
758461	222212	Julie
758461	370711	
758462	387358	Joan
758463	2463	
758463	5633	
758463	20691	Lalitha
758463	27724	
758463	28743	
758463	30541	Meena
758463	34201	
758463	36231	Chandra
758463	38794	Heera
758463	49103	Prani
758463	85415	
758463	137829	Vasanthi
758463	165600	
758463	184170	
758463	288134	
758464	1034	Australia
758465	468	
758465	136722	
758465	181459	
758465	219012	Voice of Wilma Deloy
758465	263370	
758465	279071	Elsa Bornemann
758465	301040	Secretary
758465	352178	Frl. Baumann (segment "Theate
758465	366266	Miss Bessie
758465	378168	
758465	397366	Cäcilie von Strauchnitz
758466	340086	
758467	344625	
758468	14957	Anna
758468	17287	Eugenia
758468	103998	The Bride
758468	311811	
758468	370865	Woman Terrorist
758468	378456	Rosa Bianca
758468	384111	Laura
758469	197393	Miranda
758470	380584	Herself/Hostess
758470	389235	Romina González
758470	399542	Various characters
758470	401823	
758471	11806	Lilli
758471	108106	Nerina Bartolla
758472	83761	
758473	378824	Assistent
758475	154020	Kristin
758475	305034	Hildegard (female German tour
758475	382765	Connie Steen
758476	158897	Juliet Griffith
758476	183857	Alizon
758476	194278	Brigid
758476	255826	Ann
758476	272235	Alice Halliday
758476	289260	First bride
758476	338285	Chris Moffet
758476	381802	Rachel Kendrick
758476	385718	Sophie Hooke
758476	407897	Jenny Heger
758477	305861	
758478	201226	Narrator
758479	138735	Bombshell Barbie
758480	50070	
758480	272927	Girl With Balloons
758480	394782	Ree
758481	132962	
758481	352559	Papere
758482	253065	Girl in the Courtesan's House
758482	402175	Kanako Mita
758483	201405	Chunni/Munni
758484	123582	Adilakshmi
758484	124638	
758484	174238	Sharada
758484	181052	Uma
758484	204273	Sridevi
758485	48677	
758485	92541	
758485	142010	
758485	253758	
758485	347699	Barbara Henlein
758485	360059	
758485	360973	
758485	366520	
758485	376390	
758486	4184	Kasthuri
758486	156984	Sylvia Büttner
758486	208774	Kunjumol
758486	320740	
758487	245115	Young Rose Perl
758488	232425	Additional Voices
758488	360618	Wendy Sloan
758489	40397	
758490	361395	Margit
758491	124908	Thea Leitner as Old Woman
758491	168974	La sorcière
758491	172765	Die Mutter
758491	231455	
758491	324866	Mutter
758491	325534	Köchin Kukal
758491	343746	
758491	358214	Malwida von Meysenburg
758491	367233	
758491	390811	
758491	410048	
758491	410813	
758492	264525	Primaire
758493	120880	Margot
758493	170452	Marianne
758493	217635	Aglaë
758493	320004	L'étudiante
758493	337019	Zaza
758494	267281	
758495	61067	
758496	317725	Evita
758497	211921	Irminka, Trzeciaks' Daughter
758498	387177	Colaboradora (1998-2000)
758498	393036	Herself (2003)
758499	22747	
758499	35007	
758499	128987	
758499	257127	Laura 'Beba' Villegas
758499	287433	Laura
758499	351670	Rachel
758500	86909	
758501	119755	Young Girl on the Beach playi
758502	395495	
758503	269532	
758504	375301	
758505	5960	Frankie's girl
758506	231110	Selkirk's Wife
758507	305147	
758508	45899	Extra: bus
758509	127243	Elaine Robinson
758509	314522	Muffin (Valley Girls)
758510	393460	Hillary Lighter
758511	127767	Clown
758512	215251	Policewoman
758513	5960	Girl by car
758514	31192	Herself (ABC Team contestant)
758514	36723	Jane Kingston
758514	79698	Susie
758514	81992	Judith Hutter
758514	85076	Julie Preston
758514	98155	Janet
758514	98156	Janet
758514	98157	Herself
758514	146091	Lauren
758514	180651	Herself
758514	186578	
758514	270265	Segoynia Savaka
758514	302931	Megan
758514	305571	Robin (Miss Antelope Valley)
758514	323478	Madelene
758514	387374	Janet McArthur Bradford
758514	388031	Glory Dalessio
758515	45548	Claudette Colvin
758516	98800	Village Woman
758516	362595	
758517	333211	
758518	60112	
758520	56360	
758520	61047	
758520	107037	Teresa
758520	314021	
758521	25318	Aracne
758521	55224	Carmen
758521	60275	Loredana
758521	90662	
758521	121303	
758521	127895	
758521	131011	Alida Spada
758521	135293	Lith
758521	173337	
758521	203402	Violetta
758521	217112	Sonia
758521	218336	1st Roman Girl
758521	218901	Femme du night-club
758521	228799	
758521	239974	
758521	247066	Ljuba Bonetti
758521	297574	
758521	318569	
758521	338083	Women Succubus
758521	356582	Miriam Pieraccini
758521	377575	La sig.ra Piranesi
758521	409094	Ingrid
758522	176209	
758524	21120	
758524	82395	
758524	138567	
758524	234749	
758524	396649	
758525	89764	
758525	136907	
758525	145357	
758525	168928	Coffee Shop Passerby
758525	199779	Liza
758525	246911	
758525	267068	
758525	288113	Sarah Crewe
758525	342200	
758525	359109	
758525	370430	
758525	380659	Biba Arriba
758525	381380	Diamante
758525	391866	Sam
758525	404049	Terry
758525	407337	Natasha (2003-)
758526	402769	Victoria
758527	277360	
758528	56500	
758528	90137	
758529	64695	Teresa (No estoy jugando epis
758529	189020	Rosalia Cabrera
758529	189029	
758529	207647	Señora Adriana
758529	212396	
758529	221703	Pat
758529	267296	Laura
758529	279829	Christiane Barry
758529	379820	Clemencia
758529	380065	Olga
758529	383261	Teresa
758529	383471	Francesa Rossi
758529	384980	Irene de la Reguera Antillón
758529	385251	
758529	386169	
758529	397594	Fernanda
758529	399522	Mariagna Pratts
758529	400949	
758529	402152	Pilar Camargo de Iturriaga
758529	403741	
758530	10313	
758530	232976	Mariko
758531	2325	
758531	30341	Lupita
758531	70093	
758531	169962	
758531	234057	
758531	379554	Alejandra
758531	380080	Ursula
758531	381023	Hilda
758531	381720	Dora Elena
758531	384771	Nieves
758531	384870	
758531	398167	Olivia
758531	401700	
758531	402704	Giuliana
758531	404706	
758531	409290	Laura
758532	224192	Showgirl
758533	223758	Blanche Derrick
758533	298463	Secretary
758534	175611	Mrs. Morgan
758535	279428	Airline hostess
758536	344524	Herself
758537	47364	Fat Girl
758537	142873	Girl
758539	404624	Lisa
758540	9145	Marella
758540	99089	
758540	105851	Dr. Allison
758540	132618	Jennifer
758540	174672	
758540	185593	Robin Dwyer
758540	195765	Susan
758540	298121	Bonnie Madison
758540	310195	Meagan (earthworm captive on 
758540	331554	Sissy
758541	165447	Adele
758542	4656	Friend (segment "Noche terrib
758543	43874	Jane
758543	43875	Jane
758543	177660	T.V. Interviewer
758543	350424	Herself
758543	393322	Host
758544	127111	
758544	311207	Mrs. Harrison
758544	347356	Mrs. Dalton
758545	56801	Traci
758546	21736	Simone
758546	66806	
758546	76966	Opera Patron
758546	115172	
758546	124559	
758546	199934	
758546	408841	Amy Peters
758547	410415	Sally Ruth Cochran
758548	131052	Mai 'My My' Yoong
758549	185262	Dora
758550	13742	Leaf Weidmann
758550	74011	Cherie Claymon
758550	80378	Kelly Britton
758550	93762	Dee Vine
758550	109564	Heather
758550	213325	Debbie
758550	305710	Lisa Stockwell
758550	319935	Katie
758550	330217	Jenny
758550	366585	First Date
758550	391344	Veronica Ridgeway, the Pop St
758551	131227	Kate's daughter
758551	145171	Megan Paulsen
758551	219184	Emily
758551	223658	Yulka Cuzak
758551	354854	The Antichrist
758552	2626	Herself
758552	26471	Becca Ramsey
758552	30182	Marcella Walker
758552	88869	Maya Dolittle
758552	92453	Maya Dolittle
758552	109564	Doris Roberts
758552	164587	Little Jackie Washington
758552	195262	Young Monica
758552	199148	Kid
758552	204255	Amanda Beale
758552	217815	Young Helen
758552	241669	Breanna Washington
758552	292046	Liyah
758552	358865	
758552	388080	Herself
758552	400253	Breanna Washington
758552	402343	Penny Proud
758552	405684	Brandi Andrea Dickson
758553	298239	Aunt Elizabeth
758554	39193	Sandy
758554	68940	Debbie, 6-Year-Old Girl
758554	114364	Melissa
758554	237783	Sally Miller
758554	240664	Patsy
758554	380391	Charlotte 'Charlie' Frame Win
758554	396123	Alexis Masters #2 (1994-1995)
758555	245684	Hostess
758556	355046	The Attorney
758557	220697	Marie Bilou
758559	36473	
758560	148753	Nathalie, une cegepienne
758561	11560	Miss Danderfield
758562	6682	Herself- Artist (Painter)
758563	381356	Herself
758564	74125	Tina
758565	185639	Wedding Guest
758566	185639	Guest
758567	272234	News reporter #3
758568	190923	
758569	80753	Drunken Lady
758570	320162	Armed Little Lady
758571	131765	Third Elderly Lady
758572	407537	Herself/Parihaka
758573	51241	Femme de Jean Mardet
758574	121404	Woman by Brian's Van
758575	158272	Officer Sharon
758576	363120	Angie (girl who picks up Tom)
758577	32682	Journalist #2
758577	64389	Elizabeth Mac Cracken
758577	81222	Janie
758577	264785	Stewardess
758577	320091	Stephanie
758577	379716	Barbara Montgomery Cudahy Mon
758577	380713	Charlotte Lindsey (1999)
758577	389858	Anne 'Annie' Logan, R.N. (197
758577	390771	Dr. Claire Ramsey Jarrett (19
758577	393354	Capt. Nicole Davidoff (1979-1
758577	396123	Elizabeth Barnes (1994)
758577	407575	Nicole Davidoff
758578	644	Mandella
758578	57929	Maureen Cummings
758578	59765	Margaret
758578	93762	Alicia DeGasario
758578	152838	Shelly Hunter
758578	201642	Herself
758578	233676	Annie
758578	291981	Gilda Mattei
758578	317881	Anya Thomasson
758578	346298	Olivia/Lucy
758579	65184	Tap dancer
758580	74215	The Jury
758580	210485	Dulcie
758580	313020	Barbara
758580	408109	Janet
758581	368040	Kelly
758582	40169	Charlie
758582	68001	Kelli
758582	91639	Herself
758582	137766	Hollywood Honey
758582	187125	Ding
758582	202488	Jennifer
758582	222591	CPL Tara Jeffries
758582	362597	Fitness Instructor
758582	384440	Sarge (2000-2001)
758582	389075	Wilkes
758582	398649	Shalimar Fox (2001-)
758582	400207	Jackie Janczyk (1998)
758583	28493	Townspeople
758583	264761	Ice Cream Mother
758584	1999	Elaine
758584	15929	Joy Tolson
758584	17163	Prosecutor
758584	340752	Janine
758584	341985	Emily Turner
758584	400236	Andrea 'Andy' Harrison Guther
758585	9661	
758585	24612	
758585	36665	
758585	38275	
758585	57554	
758585	61204	
758585	74521	
758585	74557	
758585	74821	
758585	75380	
758585	80280	
758585	87805	
758585	103048	
758585	113239	
758585	132707	
758585	135719	
758585	183050	
758585	197216	
758585	199845	
758585	210588	Angelita
758585	218096	
758585	252648	
758585	266056	
758585	293385	Camila
758585	339229	Charo
758585	343622	
758585	376790	
758586	243300	Louise Boudreau
758587	83274	
758587	243300	Martine Boudreau
758587	247607	
758587	377647	
758588	243300	Monique Boudreau
758592	348106	Herself
758593	57747	Inmate
758594	15159	Valentine
758594	384186	Louise
758595	194544	Mme Bausch
758595	401319	Une dame du troisième âge
758596	405292	Extra
758597	40360	
758598	206618	Hisago Plan Guide, Billboard 
758598	384233	Ayaka Shigure
758598	390536	Ayaka, Zeravire AI
758598	398924	Shinobu Misato
758598	404127	Shunrei
758599	16092	Madame Lassal
758599	32736	Beata
758599	49389	Old Lady at Seance
758599	75953	Mrs. Pircek
758599	81317	Mrs. Kaprov
758599	92656	Innkeeper's wife
758599	102175	Mrs. Clandon-Hartley
758599	116508	
758599	133678	Zsa Zsa
758599	180846	Mrs. Kazar
758599	187886	Woman
758599	203492	Grandmother
758599	248459	Ruth Posnitch
758599	299070	Babysitter
758599	345641	
758599	380724	Hotel Landlady
758599	395647	Madame Nicolle
758599	398990	Marysia
758599	407085	Emma Cohen (1975)
758600	176910	
758601	106702	Rani
758601	172747	
758601	243126	Malavika Menon
758601	255908	Sr. Cindrella/Megha Mathew
758601	340999	
758601	394140	Marina
758602	67692	
758603	42596	
758604	40716	Young Bedelia Rose
758605	406096	Majka
758606	156975	
758606	251087	Herself
758606	257016	Herself
758606	270861	
758607	84315	Li Berg
758607	115399	Brita Bjurling
758607	120966	Elsie
758607	122334	Ulla Ejners
758607	122499	Louise von Bogenhusen
758607	136175	Mrs. Schröderheim
758607	149488	Sylvia Blidfjell
758607	182079	Ninon
758607	187621	Designer
758607	192930	Camilla Martin
758607	204532	Katja Sundin, the murdered mo
758607	219307	Agda Ahlgren
758607	225235	Stina
758607	225632	Karin Swan
758607	228386	Vera Gillman
758607	237256	Barbara Sandell
758607	286103	American Tourist
758607	303645	Eva Lindberg
758607	305874	Stefan's father's secretary
758607	308191	Helga Krus
758607	324819	Elsa Krusenbrant
758607	338660	Mrs. Eriksson
758607	341094	Maria Wester
758607	346081	Visitor
758607	350927	Ms. Karlberg, the landlady
758607	357749	Dolly
758607	371670	Hilda Persdotter
758608	178610	
758609	336508	Geliebte Kattowicz
758610	369152	Angelika
758611	199828	Rosi
758612	103789	
758613	384645	Virgínia
758614	311348	Ellen Chalsky
758614	329522	Hollywood Showcase Script Sup
758615	380612	
758615	381328	Alice
758615	386377	Marlen
758615	388592	
758615	396337	
758615	404960	Aurora
758615	405101	
758615	407639	
758615	408942	Ada
758615	410188	
758616	6754	
758616	23237	Tanit
758616	39439	Zeca
758616	115357	Jeanne Duval
758616	327494	Mariam
758616	350425	Troisième femme d'Hyppolite
758616	384577	Audrey
758616	386226	Planète
758617	11323	
758617	195071	French Can-Can Girl
758617	241424	Colette's Upstair's Maid
758618	350869	Sibylle Zeck
758619	295853	Herself
758620	18801	Maria dos Anjos dos Santos
758621	44723	English Student
758622	88410	Elderly Lady
758622	179708	
758622	186384	Lady
758622	262157	Servant Agata
758622	341068	
758623	303698	Jeho zena
758623	320659	
758624	284446	Inkeeper's wife
758625	16444	
758625	66267	Klára
758625	84756	
758625	155648	Student
758625	198375	Eva
758625	219455	
758625	351374	Kavanová
758626	43654	
758627	177624	Jessop
758628	63865	
758629	397858	Mandy McFarlane
758629	408880	Trudy/Supreme Mother (Series 
758629	411325	Host (2002-2003)
758630	259395	Herself
758631	201836	Herself
758632	169136	Child Chorus
758633	44919	Loula-Loula
758634	24735	Une hôtesse
758634	54247	
758634	86437	
758634	211852	
758634	214809	La bonne
758634	282495	
758634	283025	
758634	287595	La première sténo
758634	309983	
758635	51261	Nurse Katka
758635	261373	Aranka
758636	8903	
758636	9507	Ellen Salpakari, deans's wife
758636	26867	
758636	153722	
758636	156032	
758636	168387	
758636	168790	Sally
758636	170921	Toini
758636	171801	
758636	174779	Kampaamonomistaja (Ladies' ha
758636	180445	Rouva Nieminen
758636	182212	Maja
758636	184286	Head Waitress
758636	208955	
758636	221859	Aranka Honvágy
758636	239445	Leena
758636	303708	Kerttu
758636	341888	
758636	343509	Ellen Salpakari, dean's wife
758636	349145	Gynegologi
758636	392164	Viktoria Rosenström (1999-200
758636	404053	Sandberg
758636	406959	Eevi
758637	175728	Sylvin äiti
758637	181746	Rouva Rittner
758637	236791	Evastina, Annikin äiti
758638	33574	Leona, a Courtesan
758639	112044	
758640	18516	
758641	197758	Female guard
758641	254999	Patronne
758641	402153	Tertuliana
758641	403240	Contertulia
758641	412136	Herself
758642	318729	Tennis Player
758644	61832	Herself
758646	64714	
758647	365244	Men's Club Girl #4
758649	21241	
758649	84424	
758650	11450	Amy
758650	56142	Woman on Elevator
758650	115195	Zestos Waitress
758650	127562	Lady #2
758650	158317	Lucille Parsons
758650	178693	Swimsuit Shop
758650	213122	Hardware Store Owner
758650	263485	
758650	292698	Principal
758650	313762	Hotel Receptionist
758650	314232	Charlotte Tucker
758650	318204	Mrs. Hester Harrigan
758650	345861	Mrs. Woods
758650	360616	Amanda
758650	389416	Phyllis Storms
758651	57615	
758651	105820	
758651	115836	
758651	155122	
758651	158879	
758652	29622	Zvanova zena
758653	108361	
758653	355877	
758654	219561	Russian tourist
758655	196082	Herself
758656	94183	
758657	47084	Sarah
758657	277142	Maria Hughes
758658	155066	Vinnie
758658	185123	Vinnie
758659	209218	Patti
758660	36713	Fairy Godmother
758661	254522	Female Ensemble
758662	131232	Extra
758663	38358	Voice Artist
758663	47572	
758663	73325	
758663	302083	Miss Moody, Miss Buckle
758664	38746	Cissie Deldine
758664	41047	Viola
758664	48287	Mildred Carrison
758664	69593	
758664	81536	Doris Rutledge/Evelyn Bently
758664	84994	
758664	118738	Clarry Robson
758664	126112	Grace
758664	136038	
758664	148548	Orlean
758664	183405	Prisoner
758664	183629	
758664	210226	Jonquil Williams
758664	311024	Norma Shepard
758664	366884	Sylvia Landry
758665	100486	Kasturi
758665	222324	Nekhebet
758666	30452	
758666	85380	
758666	95408	Nartaki
758666	102297	
758666	181012	
758666	203933	
758666	218083	
758666	302067	
758666	370737	
758667	289372	Featured Extra
758668	289372	Featured Extra
758669	178004	
758669	339023	
758670	251547	Vendeuse
758671	241038	Bike Courier
758671	289098	Grace
758671	308019	Ex Girlfriend
758672	74420	
758672	113108	Borbála
758672	209721	Marie France
758672	211217	
758672	227534	
758672	357930	Duci
758672	407236	Fruzsi, the hairdresser (1993
758673	380681	Hostess
758673	402153	Tertuliana
758673	407735	Newsreader (1981-1982)
758674	24082	
758675	188766	
758675	412104	Marie-Therese Sagerer (1993)
758676	183251	Herself
758677	124978	Nadine
758677	189556	
758677	380349	Patricia Seeberger
758678	64689	Mimi
758678	231687	Jolanda
758678	231743	Kinga (acquaintance of Judyta
758678	259989	Renata
758678	266291	
758678	321814	Dawid's Wife
758678	334199	Franek's Mother
758678	369005	Hala
758678	369027	Kinga
758679	254330	Extra (Parade)
758680	107922	Trailer Chick
758681	107922	Trailer Chic
758682	284623	
758684	401642	Peggy Patch
758684	405157	Dogsby
758684	409194	Bella (1999-2000)
758685	44108	Triage Nurse
758686	119733	Hari
758687	336	Lowyova
758688	194136	
758688	407690	
758689	358052	Girl at prom
758690	219293	
758691	304191	
758692	65448	Aline
758692	113216	Standardiste
758692	198594	Réa
758692	236601	
758692	248483	
758693	242403	Sara
758694	16471	Euphrasia 'Phrasie Daisy' Cla
758694	26119	Rosalie Essex
758694	26146	Fern Wallace
758694	53215	Dodie Rogers
758694	77767	'Ticky' James
758694	119416	Dodie Rogers
758694	123141	Miss Dolly Matson
758694	142872	Geraldine Adams
758694	144912	Dodie
758694	154913	Marge Bailey
758694	169889	Euphrasia 'Phrasie Daisy' Cla
758694	170858	Dodie Rogers
758694	188381	Mable Stack
758694	222660	Jerry
758694	223064	June Larkin
758694	269796	
758694	288253	Dodie Rogers
758694	305464	Dodie
758694	316955	Barbara Frances Morgan
758694	320937	Susan Lawrence
758694	342745	Patti Calhoun
758694	349553	Dodie Rogers
758695	132909	Pedestrian
758696	165038	Mother
758696	165081	Mother
758696	170350	Marie Fucíková
758696	251134	
758696	282754	Anna
758696	284081	Nun
758696	323299	
758696	339947	Lauretta
758696	375430	Lili
758696	407221	Terezka ml.
758697	155466	
758697	201231	
758698	16725	Herself
758698	80508	Woman at vigil
758699	206669	Marcella
758700	325898	
758701	26262	Alice
758701	66382	Secretary
758701	94219	Russian dancer
758701	355199	Anja
758701	374446	Zaklina
758702	34212	
758702	90120	
758702	98788	La comtesse suédoise
758702	123055	
758702	148669	La mère
758702	205209	
758702	284225	
758702	352630	
758703	376273	
758704	168493	Muppet characters
758704	182506	Dan Rumm (English version)
758704	183213	The Worm/The Junk Lady/Firey 
758704	222479	Ghost of Christmas Past
758704	222481	Red Fraggle
758704	222495	Yolanda Rat
758704	323743	Great Grandmother and Babble
758704	347074	Unico (English version)
758704	347077	Unico
758704	368455	Herself/Muppet Performer
758704	372710	
758704	380303	Tizzy Bee (1997)
758704	380987	Pinocchio/Clion
758704	389217	Red
758704	390020	Mimi
758704	390551	Little Bong
758704	398543	Additional Muppets (1980-1981
758704	404897	Deena Monster (1980-1981)/Add
758705	186959	Löffelholz' Daughter
758705	391604	Birgit Schnoor (1997-)
758706	12380	
758706	54366	Mother
758706	84793	Devi
758706	138453	Stage Actress
758706	159206	Obkircherwirtin
758706	168974	Mademoiselle Koch
758706	186944	Marianne
758706	226623	Nagalakshmi
758706	229346	Wife of Real Father of Neeli'
758706	264103	Swarna
758706	340999	
758706	376011	Bozena Kekic
758706	392788	Milli
758707	278734	Danseuse tzigane 2
758708	262805	Meisje
758709	24540	Mme. Gautier
758709	347237	Herself - Singer
758710	244694	
758711	16747	
758712	311153	Soap Actress
758713	88663	Dorm Monitor
758714	181102	
758715	188683	L.
758715	249081	Myope/Lunettes
758715	346530	
758716	216889	Polly
758717	387247	Dr. McCloud (2003)
758718	72318	Marie
758718	293771	Divorced Woman
758719	213494	Jody
758720	146072	Kakofel
758720	204050	Alita
758721	9671	
758721	39937	Tia Agata
758721	52745	
758721	54798	
758721	55941	
758721	74649	
758721	75444	
758721	90055	Doña Luisa
758721	91171	Madre de Elvira
758721	91299	Rosa, la viuda de Diógenes
758721	101630	Madre de Rosana
758721	103394	
758721	103758	
758721	113238	
758721	125661	
758721	133245	
758721	145219	
758721	148115	
758721	149520	
758721	160726	
758721	166666	
758721	199845	
758721	212441	Doña Otilia, madre de Clara
758721	212463	
758721	213365	
758721	222418	
758721	233551	
758721	233599	
758721	233974	
758721	236027	Madre de Gela
758721	251573	Rafaela
758721	256719	
758721	268239	Madre
758721	296475	
758721	296477	
758721	296500	
758721	301197	Dominica
758721	309086	Madre Superiora
758721	326144	Luisa
758721	353556	Doña Casilda
758721	357533	
758721	375875	
758721	376707	
758721	377729	Germaine Blaise
758721	383558	
758721	386522	
758721	387885	
758721	390420	Rita
758721	404107	Rita
758722	343613	
758723	29054	
758723	36645	Hermana de Carola
758723	90057	
758723	104168	
758723	223613	
758723	273018	
758723	341361	
758724	348112	
758725	411134	Katrina Ryan
758726	104779	Belgian vote presenter
758726	400928	Herself
758726	403619	Herself (2001-)
758726	410336	Herself
758726	410439	Herself (1992-1993)
758727	392019	Marie Potter
758728	315122	
758729	324795	Classmate of Thomas
758730	354786	
758731	390151	Paula, Ellas skolkamrat
758732	33893	Party Girl
758733	87935	Britta
758733	180040	
758734	226112	Meisje
758735	150088	Crystal the Gambler
758736	263028	Herself
758737	229131	Marya
758738	283451	
758739	402015	Pepper
758740	334352	Mrs. Lanlivey
758741	197016	Lucky
758741	332627	The Sacrifice
758742	308382	Zaza
758743	26989	Motel receptionist
758744	149434	Kris Klear
758744	197016	Moira
758744	327635	Alexis
758744	332627	The Blind Woman
758745	263028	Herself
758746	168410	Twin, Johanna's Sister
758747	168410	Twin, Johanna's Sister
758748	382921	Wilma Deering
758749	18569	Miss Linsley
758749	52358	Barbara Miller
758749	155829	Thelma
758749	157848	Jill Willis
758749	224336	The Voice of Bag
758749	245264	Airline Stewardess #1
758749	383413	Sgt. Candy Kane
758750	157870	Bit
758750	188341	Woman in court
758750	308113	Girl
758750	330375	
758751	1842	Herself - Presenter
758751	2548	Herself - Presenter
758751	26626	Linda Delavane
758751	39692	Sgt. Natalie Zimmerman
758751	44509	Veronica
758751	48704	Celia Clooney
758751	56889	Nurse Duckett
758751	71861	Barbara Hamilton
758751	116524	Toni Denham
758751	120272	Sandy
758751	140400	Trish Canfield
758751	148959	Pam Dunstan
758751	149613	Molly Blue
758751	157708	Bev McConnel
758751	185500	Bobbi Michele
758751	191257	Herself
758751	191537	Hostess
758751	194269	Herself
758751	198489	Lynne
758751	203727	Abigail Page
758751	203817	Hostess
758751	220504	Dolly Jaffe
758751	221338	Obnoxious nurse
758751	233931	Terry McKenna
758751	246267	Dianne Webber
758751	248568	Lee Carter
758751	280055	Abigail Page
758751	288737	Mary
758751	314443	Herself/Bobbie Markowe
758751	314444	Bobbie Markowe
758751	335866	Norma Ellsworth Cully
758751	360245	
758751	363371	Tuggle Carpenter
758751	368449	Stella Dunnworthy
758751	391192	Paula Hollister
758751	398370	Sonia Dracula (1981)
758752	216817	Waitress
758753	168960	Schoolchild
758754	17918	Rose
758754	34354	Mädchen im Park
758754	40411	Katharina
758754	48532	
758754	104826	
758754	145483	
758754	175310	Marian Selby
758754	188733	
758754	225137	Lore Liebhold
758754	231506	
758754	288869	
758755	95682	
758755	178825	
758755	253961	
758755	258094	Miss Julie
758755	356419	
758755	374728	
758756	180122	
758756	255779	
758757	357737	
758758	2009	Herself - Presenter
758758	62786	Rachel Cruz
758758	80694	Karla Homolka
758758	190559	Angevin Duvet
758758	260790	
758758	304447	Reanna
758758	309944	Seven=Five
758758	387005	Herself
758758	407929	Donna Pinciotti
758759	200022	Zora Tankovic
758760	402444	Host (1992-1997)
758761	178458	
758761	388428	Nautch Girl
758762	256624	Mabel
758763	328373	Julie
758764	391273	
758765	92712	Granny #1
758766	118970	Dancer
758767	153118	Marie Robinson
758767	203086	
758767	226916	Landlady
758770	271882	Anna Kovacs
758770	358453	Girl
758771	253898	Katherine
758772	110363	Mrs. Guernsey
758772	124374	Bit Part
758772	190944	Woman Employment Agent
758772	234803	Old Lady
758772	263966	Woman in Window
758772	330602	Nan, Bobby's Nanny
758772	331157	Mrs. Kron
758772	360068	Cockney in air-raid shelter
758773	86531	
758773	116261	Mrs. Schifan
758774	208991	Gail
758775	5055	English girl
758775	66201	Mrs. Snaffle
758775	67920	Mrs. Matthews
758775	69490	Elizabeth Harding
758775	103330	Mrs. Hollister
758775	117647	ATS Girl
758775	136274	Mother
758775	157050	
758775	203002	
758775	217426	Barmaid
758775	330664	Nurse
758775	332030	Mrs. Moore
758775	360068	Third girl at estate party (m
758775	363793	Mrs. Kenney
758775	370537	Nurse
758776	47548	
758776	64813	Julie in 'Carousel'
758777	48939	Alicia's Mom
758777	56207	Phillipa Sameth
758777	146729	Gwen Colton
758777	183428	
758777	221043	Jan
758777	222565	Gail Gogerty
758777	289222	Partier
758777	311609	Student Director
758777	411408	Lana Peters
758778	155532	Bag lady
758779	286516	Quartet Violist
758780	265754	Nurse
758781	37210	Lena
758781	107103	Marnie
758781	324842	Tracy
758781	337768	
758782	183824	Tyson's Secretary
758783	66556	Alien
758784	397673	Narrator
758784	399426	Narrator
758785	10489	
758785	11223	
758785	11243	
758785	19785	In Gambling Hall
758785	21503	
758785	26623	
758785	28327	
758785	28328	Jessie
758785	28331	
758785	28333	
758785	28334	
758785	28335	
758785	29338	The Banker's Youngest Daughte
758785	30337	
758785	30608	
758785	31802	
758785	35384	Betty Marshall
758785	40714	
758785	42322	
758785	42323	
758785	42324	
758785	46238	
758785	47463	Slavey
758785	52551	A Gypsy
758785	61635	Mrs. Thurston
758785	66036	
758785	68882	The Franklin Daughter
758785	74022	The Stepmother
758785	75342	
758785	75451	
758785	82278	
758785	88040	
758785	90844	
758785	95515	
758785	107046	Mira
758785	108494	Fanchon
758785	108947	His Wife
758785	111288	
758785	114391	Cora
758785	115080	Belle
758785	116734	
758785	121391	
758785	125822	
758785	128274	
758785	128375	
758785	141209	Gypsy Rosa
758785	141221	
758785	142995	A Laundry Employee
758785	143292	
758785	143315	
758785	143375	The Barmaid
758785	145566	
758785	146260	Woman at farewell
758785	151443	Mary's Cousin
758785	151446	
758785	151715	
758785	157005	Mrs. Albert Radley
758785	158577	Vivian
758785	161033	
758785	163702	At Ball
758785	163704	The Wife
758785	166221	The Wife
758785	174502	
758785	183676	
758785	186655	Leah
758785	194038	
758785	195693	
758785	196103	Margaret Burnham
758785	196957	The Maid
758785	197675	
758785	197681	
758785	199373	
758785	200901	
758785	201846	In Second Audience
758785	203087	The Cook
758785	204279	The Manicure Lady
758785	211762	The Old Astronomer's Daughter
758785	213115	At Party
758785	213256	Vivian
758785	217939	
758785	221070	Mrs. Peck
758785	230600	The Painted Woman
758785	230714	
758785	233611	
758785	239517	At Audition
758785	239540	In Office
758785	241581	
758785	242526	Peggy Dodge, Darius' Daughter
758785	246432	Rosita Messano
758785	248468	An Angel/A Maid
758785	251833	
758785	260252	
758785	262068	Annie Hosford Carson
758785	263738	The Millionaire's Girlfriend
758785	264372	(unconfirmed)
758785	264373	
758785	264374	(unidentified role)
758785	265887	
758785	276280	Old Chemist's Daughter
758785	276380	
758785	276961	Emily
758785	286331	The Woman on the Beach
758785	287252	
758785	297289	Aileen Brennan
758785	300699	
758785	307868	Vivian
758785	307875	Vivian
758785	307892	Vivian
758785	307951	Vivian
758785	309585	
758785	310315	Pepita
758785	311874	Vivian
758785	312301	
758785	318030	Vivian
758785	318718	
758785	323580	
758785	324207	
758785	326437	Dolly
758785	327629	Mary
758785	329409	Dan's Sweetheart
758785	329758	
758785	329801	Vivian
758785	329811	Vivian
758785	330150	Vivian
758785	331606	Adele
758785	341033	Waitress
758785	343081	At Party
758785	346182	Cigarette
758785	348083	Elsie Edmonds
758785	348230	
758785	348434	Vivian
758785	351225	
758785	351691	
758785	354552	
758785	355900	Vivian
758785	355901	Vivian
758785	355902	Vivian
758785	355903	Vivian
758785	355904	Vivian
758785	360158	
758785	362389	In Court
758785	363096	An Actress
758785	364174	The Wife
758785	365680	
758785	365831	Willie's Sweetheart
758785	366311	Vera Blair
758785	366791	The Maid
758785	367599	
758786	116818	Erotic Policewoman
758786	364119	Whitney
758787	95705	
758787	352376	
758788	80721	Laura
758789	111742	Isolde
758789	249336	
758790	249336	
758791	33156	
758791	147186	Elderly Berliner
758791	173961	
758791	218211	
758791	225137	Irmchen Fischer, 'Würmchen'
758791	314332	
758791	341912	
758791	393408	
758792	309213	Buffy
758793	384737	A little girl
758794	228071	
758794	262589	St. Matthew's Choir & Band Me
758795	311	Madame Raymonde
758795	6945	Lea Mariotte
758795	12370	Lady with jewels
758795	13034	Madeleine
758795	13965	Jeanne Martinez
758795	15013	Dr. Marie Prieur
758795	16205	
758795	17522	Marie
758795	19319	La voisine/The neighbour
758795	19839	La mère (segment "Remue-ménag
758795	28157	Madame de Seyrieuse
758795	30252	Perle Germain-Joubert
758795	31963	Lucrezia, Francesco's wife
758795	32022	Jacqueline
758795	33542	Françoise Pimbrache
758795	40630	Jacqueline Cousteau
758795	42568	Régine/Simone
758795	44929	La star Belladonna
758795	44970	Élisabeth Rousset, known as B
758795	46975	La Marchesa
758795	51109	La mère
758795	51927	Mme Mouton
758795	53835	Maria
758795	53924	Herself
758795	55784	Lucille
758795	56024	Virginia Marchi
758795	56387	Gisèle
758795	58174	Hélène
758795	58791	Gloria
758795	59743	Bélise, Octave's mother
758795	61411	Simone
758795	62817	La mère de Stanislas
758795	62936	Baronne Lena Eggersdorf
758795	64299	Herself
758795	64320	Herself
758795	64758	La mère
758795	65089	L'antiquaire
758795	65613	Mme Armand
758795	66745	Madeleine
758795	68925	Lydia
758795	71800	Angèle Brissac
758795	72004	Huguette
758795	77335	Marguerite Gauthier
758795	83248	Hélène/Elena
758795	84644	Laurence
758795	85532	Marthe Grangier
758795	85536	Madame Aubert
758795	85543	Micheline Allan
758795	86065	
758795	87817	Mme Donnadieu
758795	91910	Mamina
758795	96164	Rose
758795	99409	Lucie
758795	100358	Mathilde
758795	101208	Mère de sophie
758795	107681	Micheline Lafaurie
758795	107835	Bernard's Mother
758795	108540	Maude
758795	110051	Claire Ancelot
758795	110059	Mme Argente
758795	111139	Nicole
758795	111482	
758795	118754	Nicole
758795	122360	Félicie Nanteuil
758795	122420	Mireille, Thomas' mother
758795	133085	Michele
758795	135427	Herself
758795	144084	Madame Latour
758795	144085	Mrs. Latour
758795	146387	Adélaïde Barbier
758795	154736	Isabelle Gauthier
758795	155816	Germaine Stacy
758795	157326	Michèle
758795	161573	Monique Bouvier
758795	166092	
758795	166106	Luce
758795	166179	Mlle Chagrin
758795	166198	Daisy
758795	166289	Alice Arguel âgée
758795	167200	Jacqueline Presle
758795	167249	Eva Charlier
758795	169328	Germaine et Marie-Louise
758795	169355	Diane
758795	188673	
758795	188689	Herself
758795	188917	Madame Desvilliers
758795	189903	Régine
758795	193430	
758795	195244	Hélène Vanaux
758795	199331	Madame Dubois
758795	206057	Judith Aurigault
758795	208220	Violette Ancelin
758795	208235	Mamie
758795	213512	Miss Girelli
758795	216239	La mère supérieure/Mother Sup
758795	219018	La psychologue
758795	227595	Hortense de Beauharnais
758795	229030	Herself
758795	236586	Irène
758795	237316	Helen Ashby
758795	239218	Rénée Boudard, la femme du pr
758795	240487	Madame Courdevey
758795	248358	
758795	248422	Janine & Jeannette
758795	249757	Mme. Loussine
758795	251532	La Reine Rouge, la seconde re
758795	254131	
758795	255493	
758795	258864	Avril Espart
758795	262641	
758795	265005	Dr. Denise Marceau
758795	268458	Aunt Amelie
758795	272390	
758795	275344	Mme de Moni
758795	277304	Eva
758795	278136	Carmen
758795	280516	Madame Eglantine
758795	282285	Mme de Rénal
758795	284497	La mère
758795	286277	Mme Saltim
758795	287322	Denise
758795	294566	La Mère (segment "Luxure, La"
758795	298276	Marcelle Ichak
758795	300735	La Pompadour
758795	307476	Micheline
758795	332187	Herself
758795	336933	
758795	336964	Betty
758795	338978	Madeleine Villardier
758795	339079	Herself
758795	340291	La mère
758795	345024	Colette Navarre
758795	345201	Marthe
758795	345465	Clara Biondi
758795	346024	Paule Manet
758795	346574	Paule
758795	347194	Herself
758795	349421	Valentine Vatrin dite 'Vava'
758795	351583	Josephine
758795	352635	La mère de Vincent
758795	353818	Claire Lacombe
758795	354447	
758795	356519	Genevieve
758795	356988	
758795	357021	
758795	357042	Hermine
758795	357093	Madame Dubosc
758795	357116	Mme Renaud
758795	357834	Tante Maryse
758795	371409	Marguerite
758795	377239	Tante Mathilde
758795	377272	Juliette
758795	378017	Dr. Delavigne
758795	384475	Baroness Courtebiche
758795	384816	Madame de Saint-Méran
758795	391621	Herself
758795	396171	
758795	404129	Eve Lagarde (1965-1968-1970)
758795	409732	
758795	410143	Mme de Biran
758796	370239	
758797	116966	Hélène Martin
758797	205486	
758797	248654	La femme de "Joyeux anniversa
758797	279430	Assistant
758797	399164	
758798	80813	Melanie Faulkner
758799	57561	Herself/interviewee
758799	131004	Herself
758800	196558	Audience member at Grand Thea
758801	96555	Herself
758801	212711	Herself (You Are Not Alone vi
758801	212715	Herself
758801	221435	Herself
758801	221482	Herself/Presenter
758801	330750	Herself
758801	352976	Performer
758801	392421	Herself
758802	61079	
758802	104485	
758802	122390	
758803	6994	Colleen Sutton
758803	7816	Herself/Jenna Wade
758803	46337	Keelin
758803	99583	Herself
758803	99620	Herself
758803	140636	Sue Wagner
758803	195758	Sandy Redford
758803	226937	Jane Spencer
758803	226938	Jane Spencer Drebin
758803	226939	Jane Spencer
758803	381797	Herself
758803	385594	Jenna Wade #3 (1983-1988)
758803	397401	Nurse Benson (1996)
758803	408101	Host
758804	252371	Herself
758804	252390	
758804	252408	Pet
758805	260140	
758806	176480	Mary, Nurse
758806	248135	Marlene
758807	365762	Mrs. Spencer
758808	339369	Supermodel
758809	104240	Stephanie
758809	193202	The Chick Driver
758809	388120	Marie gym trainer
758810	1950	Beatriz
758810	83492	
758811	281460	Sandy
758812	28675	Dell
758812	61802	Mavis Craig
758812	97463	Liesl
758812	115628	Mrs. Archer
758812	155674	Frightened Bank Teller
758812	190774	Ruby
758812	227539	
758812	234083	Mrs. Palmer
758812	243934	Mrs. Trevis
758812	313626	Karen
758812	330919	Wagga Girlfriend
758812	358296	Therese
758812	389965	Dr. Maureen Jolly
758813	130056	Naomi, as an Adult
758814	359569	Prom Couple
758814	387309	Inez Johnson (1977)
758815	30197	Charity
758815	33004	Michelle
758815	35143	Thelma
758815	103284	
758815	140960	VP's secretary
758815	157772	Stephanie Holden
758815	185766	Ellen
758815	210233	Felicia Kramer
758815	221065	Nurse Graves
758815	256823	Mrs. Benjamin
758815	260110	Margaret Caldwell
758815	263276	Chantal Greco
758815	273260	Betsy Bloomingdale
758815	346408	Jenny Lang
758815	368610	Sheila
758816	256841	Herself
758817	17152	Pregnant Woman
758817	124506	Female Van Pusher
758817	189519	Sheena Cast
758817	211388	Alison
758817	224343	Mona
758817	359765	Zoë
758818	321179	Radio voice #2
758819	212334	Herself - Participant/Perform
758820	158526	Wendy
758820	278718	Theatrical troupe member
758821	40902	Herself
758822	106988	Credits Helper
758823	292734	
758824	345711	Herself
758825	13100	
758826	106379	Sofie
758827	162607	Ensemble
758827	281506	Neighborhood Woman with Apple
758828	2116	Miranda
758829	408704	
758830	81062	Sara Vroot
758831	64813	Field Reporter
758831	72504	Rose
758831	76604	Sheila
758831	138965	Yvonne Barnes
758831	163229	Television Reporter
758831	342630	
758831	382734	Etta Mae Johnson
758832	313382	12 Year Old Robyn
758833	177598	Cassima
758834	125589	Alesha
758835	100131	Girl #1
758836	238508	Wedding Participant
758837	196887	Woman in Park
758838	682	Cynthia, the Goddess
758838	2009	Herself
758838	8090	Sally
758838	34611	Karen Kroll
758838	53323	Beth, Girlfriend #1
758838	72372	Dottie Matthews
758838	74029	Catherine
758838	81287	Tiffany
758838	82681	Tina
758838	104944	Linda Bork
758838	116917	
758838	168238	Jill
758838	168665	Charlie
758838	169513	Allison Waite
758838	173925	Ashley Wilkens
758838	211327	Pre-teen American Girl
758838	221413	Herself
758838	221459	Bowler
758838	235403	Priscilla
758838	258951	Violet
758838	260255	Sandy Lake
758838	274584	Herself
758838	278526	Angel Zorzak
758838	311156	Herself
758838	332402	Claire
758838	335258	Tricia
758838	336239	China
758838	338345	C.J. Callum
758838	351880	Tara
758838	392835	Self
758838	393190	Audrey Griffin
758838	402476	Nikki Lang
758839	222193	The Woman
758840	249573	The Girl of His Dreams
758841	93749	Sheryl (the bride)
758842	220165	
758842	222592	Earl Carroll Girl
758843	67156	
758844	326800	Old Woman
758845	287254	
758846	44998	Géraldine
758846	45000	
758847	57766	Herself
758847	276190	Herself
758847	340555	Herself
758848	16654	Miss Johnson
758849	44505	Jerri Marshall
758850	44683	Frances Hart
758850	120645	Girl
758850	158711	Texas Guinan - Age 9
758850	308604	Stasha
758851	60873	Nada
758851	61578	Linda
758851	141667	Dutch girl
758851	183742	Young Mary Audrey
758851	240470	Julie Brent
758852	186817	Dog Trainer
758853	87166	Impatient Soccermom
758854	35496	
758854	128250	Martha
758854	305675	Marie Wingate
758856	109642	Greta
758857	93870	Pleasure 'droid #2
758857	354181	Siren
758858	27943	
758858	67656	Lawyer
758858	135269	Maria da Perdição
758858	148472	
758858	171650	Júlia Pastrana
758858	280866	Fausta's friend
758858	383584	Maria do Carmo Leme
758858	397645	Líria
758858	400098	Belissa
758859	25055	
758860	25055	
758861	324868	
758861	344824	
758861	381633	
758861	386730	Camila
758861	396847	Mariana
758861	402149	
758863	111299	Princess of Floridia
758863	143770	Conchita
758863	242823	
758863	256454	
758863	396305	
758864	117139	Waitress
758864	147252	Hoffa's Secretary
758864	147897	Cashier
758864	151545	
758864	199084	
758864	210678	Janet Kelso
758864	210960	Jose's Secretary
758864	222806	The Beautician
758864	275462	
758864	275785	Aunt Rose
758864	300343	Woman in Elevator
758864	310647	Dr. Victoria Roth PhD
758864	358114	Crossfire Moderator
758864	362453	Coffee Shop Customer
758865	55262	
758867	80782	Cemetery Extra
758868	8194	Camilla
758868	56031	
758868	81110	Rosina Donatini
758868	104042	Zeresh
758868	351526	Sandra
758869	290441	Dentist
758870	79938	Border Patrol Agent
758870	127297	Molly Brown
758870	333856	Praying woman
758871	214937	Kai Honda
758872	10317	Other Nurse
758873	200467	Mrs. Howard
758873	249253	Frances Crawford
758874	72504	Administrator
758874	75735	Sheriff
758874	117136	Rebecca Yoder
758874	135623	Patty
758874	169510	Laura Singh
758874	171024	Mint Jennifer
758874	187222	Idalyn Greaves
758874	211382	Emily Lang
758874	223711	Mandy Newhouse
758874	235221	Sam
758874	314445	Barbara
758874	315915	Sally
758874	367638	Monica
758874	387520	B.D. Benson
758874	390922	Charlene
758875	62568	
758876	222745	Marie
758876	273716	Ama Petrie
758876	274677	Paula
758876	323023	Sheenagh Bailey
758876	365121	Jenny
758877	22618	Young Woman
758878	33510	Bella
758878	39489	Delores Holtz/Morning Star
758878	39491	Delores Hottz/Morningstar
758878	45851	Janet
758878	70224	Ali Caine
758878	79068	Laura
758878	105035	Amy
758878	107225	Nikki Mayhew
758878	155859	Melissa Tyler
758878	187091	Beth
758878	192724	Mary Hausman
758878	196481	Erin Kelley
758878	199759	Jude O'Mally
758878	213866	Jani Browning
758878	256093	Ursula
758878	265270	Sally
758878	265679	Sarah Monroe
758878	330370	Kate Johnson
758878	336459	Olivia Hume
758878	344553	Mary Kate
758878	362037	Claire Lowe
758878	383410	Princess Zelda
758878	383411	Princess Zelda
758878	383412	Additional Voices
758878	389858	Faith Rosco (2002-)
758878	401427	Paula (Episode: "Armed Respon
758878	406982	Princess Zelda (1989-1991)
758878	408347	Cindy Beck
758878	408609	Olivia Hume
758879	408668	Mama Mouse
758880	37037	Mrs. Conway
758881	323390	Mingo Junction Cheerleader
758882	2250	Viva Las Vegas Showgirl
758883	77796	Little Dancer
758884	197499	Extra
758885	192765	Mary
758886	17693	Mrs. Blewett's Daughter
758887	236972	Waltz of the Flowers
758888	645	Doreen
758921	333674	Mildred Garson
758888	846	Herself - #63: Acceptance Spe
758888	2766	Cini
758888	3749	Herself
758888	3761	Herself
758888	6262	Linda Green
758888	13432	Violet (segment "Titan Man")
758888	13833	Diana Marley
758888	29524	Bebe
758888	31274	Chirk
758888	31275	Herself
758888	56729	Mom
758888	60953	Rebecca Carver
758888	62938	Roseanne
758888	64734	Rachel
758888	75395	Kelly Hogue
758888	76562	Rose
758888	91595	Vera Blanchard
758888	104549	Lucy Collins
758888	106016	Bonnie
758888	117078	Mary Lee
758888	117091	Jane Aubrey
758888	120478	Newscaster Kelly Houge
758888	147972	Kate Newell
758888	161294	Herself
758888	164432	Gabby Frost
758888	166917	Avery Bishop
758888	192316	Ginger
758888	195458	Sara Lee
758888	195740	Jean Starr
758888	211985	Dhyana
758888	215288	Marilyn McCauley
758888	221300	Young Rose
758888	235513	Herself
758888	235647	Ann Beam
758888	238613	Herself (with John Travolta)
758888	242111	Amanda Hughes
758888	252844	Laura
758888	276886	Susan Kennan
758888	283320	Karen Landers
758888	288703	Herself - Audience Member
758888	292291	Deborah Anne Fimple
758888	304288	Josie Jetstream
758888	310186	Tish Ambrosei
758888	310838	Miranda Reed
758888	332821	Shirley Butts
758888	342593	Marnie Mason
758888	354164	Sherry
758888	358376	Kathleen
758888	361224	Herself
758888	362081	Libby Reynolds
758888	383385	Gillian McCandless (1982)
758888	389056	Mary Lee
758889	158607	
758890	204182	Jim's Dance Partner
758891	342865	Maggie
758892	355014	Nurse
758893	33742	One of 'The Thirty Women'
758894	154173	Herself
758895	196559	Lucy
758895	335782	Tolly
758895	353467	
758896	243003	
758897	224085	Debs Haig
758898	41272	
758898	63019	Mrs. Truesdale
758898	72602	Dixie
758899	106628	Indian girl
758900	245009	Sarah
758900	333102	Mary Brentwood
758900	391759	Sister Karen Newburn (1999-20
758901	293770	
758902	122793	Meg Getz
758902	251789	Woman in Room 3
758902	275780	Neighbour
758903	359323	Herself
758904	136270	Agnes
758905	265101	Parent
758906	59375	Girl in Window 2
758907	232282	Face in the Fire
758908	124240	
758910	43039	Chris Metcalf
758910	81702	Dennis's Mom
758910	105927	Madalyn
758910	205171	Natalie Paterson
758910	292700	Nadya
758911	39984	Herself
758912	55868	
758913	227577	Carmela, Pietro's mother
758913	227586	Mariannina
758913	263116	
758914	197490	Ozella
758915	211508	Sue
758916	94028	Customer #2
758917	70067	Claudete
758918	377464	Mrs. Marchal
758919	124896	Hayri Dönmez (newborn)
758920	386421	
758921	11156	Mrs. Jones
758921	22892	Mrs. Sheerl Jones
758921	27938	Norah
758921	30377	Mildred McCormick
758921	31731	
758921	35475	
758921	48050	
758921	48609	Blanche Cavendish
758921	58633	Fay Calvert
758921	64895	Tessa, Rudolph's Daughter
758921	73806	
758921	79668	Elizabeth McLean
758921	114682	Nell Hawkins, Jock's Daughter
758921	116717	Lydia Mainwaring
758921	128425	Joan Wakefield
758921	144585	
758921	152545	Ruth
758921	157489	Janie Dubb
758921	189978	Ruth Stuyvesant
758921	190112	Katherine Webb
758921	195706	Mrs. O'Brien
758921	196221	
758921	203515	Catherine Hudson
758921	203598	Betty Austin
758921	212227	The Warrior's Wife
758921	213999	Mary Wheatley
758921	214139	Maude Allyne
758921	239641	
758921	241253	Arline
758921	241572	The Woman
758921	243531	Clara Fenton
758921	263224	
758921	263943	Helen
758921	282296	Mariette
758921	292442	Princess Julia
758921	296906	
758921	299197	Nurse
758921	301752	
758921	315576	Helda McCabe
758921	320014	Lucie Bennt
758921	330612	
758921	331659	Ned's Wife
758921	338831	Nell Blythe
758921	341953	Nell Brown, Tom's Sweetheart
758921	349984	Marion
758921	355037	Madge
758921	358162	
758921	363087	Grace Eldridge
758921	363836	Ethel Granville
758921	367503	Ruth Hope, The Woman in Grey
758922	43750	
758923	55093	Melanie
758923	365657	Jill
758924	255399	Dancer
758925	126282	Woman at ball
758925	365183	Mann's No. 10 Saloon Bargirl 
758926	18544	Party Girl
758926	352517	Runaway Model Six
758927	412080	Programleder
758928	408388	Tänzerin 2
758929	113993	Office Woman
758930	194638	College Girl
758930	209133	Caroline Krafft
758930	263955	Stacey
758930	348608	Clapper Girl
758931	147748	
758932	286780	Frau am Marktstand
758933	83858	
758934	376445	
758935	404448	Anna Reichenbach
758936	149974	Office Gossip #2
758936	240029	Nurse2
758936	319270	Mrs. Morley Crandall (tourist
758936	338345	Mrs. James
758937	188756	
758938	121055	Clara as a Child
758940	189898	Bewerberin mit kurzem Rock
758941	402878	Kathy
758942	41192	
758943	314555	Alex
758943	406517	Alex
758944	46112	Nicole Martens
758944	82370	
758944	177182	Nicole Martens
758944	181450	Peggy
758944	204499	Jacqueline
758944	210079	Pia Franke
758944	235905	Roloff
758944	272746	Michaela
758944	324205	
758944	325818	Tanja
758944	338425	Steffi
758944	352105	Camilla
758944	361508	Monika
758944	392669	Julia Hartwig
758944	400007	Laura
758945	144183	
758946	122563	Theres
758946	210068	
758946	322522	Gabriele
758946	367036	Walli
758946	376388	Resi
758947	380903	
758948	375985	Frau Wagner
758949	139151	Wolf Lady
758950	197537	La femme de Carlo
758951	128618	
758952	237130	Secondary
758953	387465	Emilia Radicati di Magliano
758954	389091	Patricia Bennett (1953-1954)
758955	138444	Hannah's Child
758956	96555	Herself
758956	365347	Herself
758957	277587	Amica di Enza
758958	272320	
758959	17820	Pharmacienne
758959	19759	
758960	12190	Marcia Blake
758960	32058	Gloria
758960	33187	Valerie Winship
758960	34028	Saloon Girl
758960	35229	
758960	41006	Marie
758960	42427	Connemara Moore
758960	52043	Sherman's Receptionist
758960	52396	
758960	55428	Babe
758960	57390	Myra Gaylord
758960	70823	Mary Brennan/Margaret Waring
758960	73892	
758960	76467	
758960	78096	Teddy Harmon
758960	78973	Eve Quinn
758960	79446	Marjory Hadley
758960	82927	
758960	88168	Mabel Deering
758960	90306	Patricia Parker
758960	92170	The Faithful Wife
758960	96820	
758960	99150	Tessie Florin
758960	116197	Pat
758960	117300	Laura Rittenhaus
758960	125887	Mabel
758960	126669	Gertie Darling
758960	128304	Hazel Burton
758960	130149	Mame
758960	131363	Trixie
758960	138230	Nona
758960	138887	
758960	142363	Mrs. Lulu Farnsworth
758960	143307	
758960	143317	Molly May Mahone
758960	143943	
758960	144211	
758960	144664	
758960	145983	
758960	146009	Gloria Gregory
758960	146232	
758960	147763	Herself
758960	151569	Mabel Todd
758960	163482	Annie Ostrom
758960	175848	Mrs. Clarabelle Sterling
758960	178056	LouLou Fleury
758960	178188	Constance Keener
758960	183403	Dot Lamar
758960	196212	
758960	196293	Newlywed
758960	196413	Marie Duplessis
758960	202922	Madge Dreyer
758960	206344	Mizzi Stock
758960	206420	Pamela Billings
758960	218778	Nan Rutledge
758960	220657	Herself - playing pesant girl
758960	227289	Gaga
758960	230424	
758960	231826	Cynthia Stockton
758960	234224	Polly Gordon
758960	240948	Vera
758960	242110	Amy
758960	244449	Kay Lambert
758960	246596	Agnes 'Aggie' Lynch
758960	249120	Liane-Demarest
758960	249263	Jeanie
758960	249575	Diana Hoster
758960	255149	
758960	270501	Helen Hayes)
758960	273802	Alice
758960	273866	Julie Gmelyn
758960	274190	Ruth Carson
758960	275065	
758960	278644	
758960	280119	Marie
758960	283393	Margy
758960	283715	Margie Dolan
758960	286193	
758960	292814	
758960	295368	Molly Brian
758960	297958	
758960	300929	Queenie Parker
758960	302365	Rosalie Lebeau
758960	304905	
758960	304963	Nellie Gordon
758960	305404	Marcelle Mansfield
758960	310531	
758960	311735	Angela 'Angie' Ludeking
758960	321389	Nita
758960	324425	Betty Barlow, Treasure's Room
758960	325024	Nettie Dark
758960	327704	Elsie
758960	330598	Waitress
758960	331689	Dot
758960	331702	Harriet
758960	342786	
758960	345815	Eliza
758960	347957	Celeste
758960	348326	
758960	348331	Mabel Ainsworth
758960	354502	
758960	359147	Myra Hastings
758960	359277	Rosalie Parker
758960	361658	
758960	362920	
758960	364541	
758960	370562	A Belgian Girl
758961	307883	
758962	104958	
758962	116376	Edith Forge
758962	141491	
758962	142587	His devoted wife
758962	187742	Phyllis
758962	197252	
758962	197267	
758962	238961	
758962	239820	Esther
758962	246677	Swimming pool manager
758962	300032	
758962	300040	Draft Board clerk
758962	345830	
758962	346148	Maybelle
758963	176425	Nini
758964	14477	Tecora Slave
758964	148440	Hot Tub Girl
758964	220170	Heather
758965	113124	
758966	105216	Customer in Salon
758967	214466	D.C. Shelley
758968	109608	Receptionist
758969	161731	Popcorn Thrower #1
758970	329915	Allison
758971	19302	Casey
758972	112235	Old Lady
758972	124413	Nurse
758972	175276	Frau Sprott
758972	189670	Mieke
758972	336520	Mrs. Brooks
758972	337135	Fursorgeschwester
758973	340247	Diana
758974	196631	Narrator
758975	361441	
758976	254066	Leila
758978	214815	Diner
758979	223502	Woman in restaurant
758980	38952	
758981	142372	Queenie
758982	78246	Maria
758983	381918	Herself ( Evicted 4th, 56 Day
758984	70556	Robber
758985	301398	Beth
758986	41857	Hi Roller Waitress
758986	47773	Sophia (beautician)
758986	69812	Nun
758986	81028	Mrs. Caiafa
758986	94099	Sister Theresa
758986	99461	Make-up Lady
758986	134713	Jennie Grasso
758986	196505	Waitress in Cafe
758986	246272	Mrs. Romano
758986	281895	Marie
758986	301398	Sr Jean Albertson
758986	333602	Nun
758986	340803	Deli Customer
758987	375108	Vendeur de voiture #4
758988	66575	Timothy's Mother
758989	80959	
758990	368737	
758991	6102	
758991	12091	Alma Mahler
758991	35491	
758991	172488	
758991	180091	Dora Pejacevic
758991	180891	
758991	217270	Zorka Solina
758991	261942	Katarina Kozul
758991	267667	Marta
758991	292978	Sister Klara
758991	295051	
758991	295064	
758991	312409	
758991	320701	Novinarka
758991	338865	Vera Kralj
758991	373602	Rozalija
758991	375353	Marta
758991	379616	Zorka
758991	399767	
758992	277227	Eva Essex
758993	9124	Stewardess
758993	133402	Rhonda Ritter
758993	293028	Andrea
758993	346902	Kissing Girl
758994	313935	Zoey
758995	68728	Beverly Byrn
758996	255370	Transvestitte #2
758997	26381	Sue
758997	32052	Mother at Slumber Party
758997	41693	Karen Vernet
758997	50866	FEMA Bunker Nurse
758997	61572	Melinda Elledge
758997	63176	Miss Ida Grantland
758997	78773	
758997	118666	Phyllis Mason
758997	131567	Carol Stuart
758997	222739	Sandy Bird
758997	259013	Miss Tuttwiler
758997	262261	Lovelorn lady
758997	280421	
758997	281540	Sarah
758997	301716	TV Rape Victim
758997	315285	Glenna Howard
758997	335563	Abuse Survivor
758997	362813	D.A. Barbara Rumson
758997	384178	Miss Ida Grantland
758998	97440	Amy
758999	269286	Ross
759000	391544	Hostess (1978-1980)
759001	272325	Bar Customer
759002	236697	Dotty passenger
759003	240473	Mother of Girl #1/Medicine Pe
759004	16897	Angie
759004	82095	Larry's Model
759004	279315	Helen, Heidi and Roxanne
759004	405340	Jennifer
759005	300527	Role
759006	386924	Lorelai
759006	399130	Ally Slater (1993)/Shona Munr
759006	399948	Jodie (1994)
759007	394406	Dancer (1984)
759008	19960	Guest
759008	27152	Matron
759008	45044	Newscaster
759008	93101	Aunt
759008	93571	Desiree Vance's Corpse
759008	313185	Jenny
759008	336033	Gabrielle
759009	34759	
759009	39307	
759009	41034	
759009	103451	
759009	242073	
759009	269345	
759009	333904	
759009	369902	
759010	185841	Waitress
759011	258933	Gerda Christow
759011	342365	Olivia
759011	363734	Emily Shearer
759012	117108	Stacy
759013	54983	
759013	280131	Juju Asst. #2
759014	30474	Woman in Dumpster
759015	224317	Dulcie
759015	255689	Luigina
759016	308851	Mattie's Girl
759017	58490	Receptionist
759018	82463	Terri
759019	41270	Mrs. Williams
759019	41712	Mrs. Barratt
759019	52810	Marged-Ann
759019	162511	Mme Morgan
759019	279485	Mam
759019	329917	Mrs. Williams
759019	346020	Mrs. Organ Morgan
759019	384333	Mrs. Llewellyn
759020	248117	Ribbon Saleslady
759021	130713	Pool Player #2
759021	263236	Nurse
759021	330445	Andrea
759022	302714	Destiny
759023	10813	Felicity Marione
759023	59105	Monique
759023	90987	Rust/Dance
759023	237991	Bookseller
759023	261521	Receptionist
759023	283781	Phaedra
759023	318358	Jacquiline
759024	30071	
759025	258859	Woman in Pink
759025	340864	Foundry Woman
759025	381312	Miss Kepler
759026	359906	Bag Lady
759027	381821	Ensemble (1976)
759028	192254	Old Lady
759028	350155	Matron
759029	346933	Sexy Girl
759030	404613	Pearl March #1 (1959)
759032	308115	Anne
759033	110347	
759034	73235	Laura
759034	131559	Mandy Stuart
759035	41170	Policewoman
759035	80539	Orderly
759035	105943	Nurse
759035	106526	Secretary
759035	177524	Hecuba
759035	287222	
759035	318182	Waitress
759035	326486	Receptionist
759036	349689	Realtor
759037	192000	Charlotte Fairbrother
759038	223380	Cheerleader
759039	80594	Lynn
759039	236697	Marianne
759039	291265	Kitty Bangle
759040	269421	Mrs. Frisbee
759041	215335	Cosette as Child
759042	359569	Prom Couple
759043	281911	Fourth AD
759044	135385	Dance Teacher
759045	218555	Lynda
759045	324264	Judy
759046	184859	Bar Girl
759046	320784	Karen, Arcane's Messenger
759046	324777	Foxy Extra
759047	5177	Joe's Mother
759047	7939	
759047	11214	The Cook
759047	11639	
759047	13191	Mrs. Americus Jenkins
759047	13530	
759047	16056	An Attractive Widow
759047	16081	
759047	17990	
759047	18586	Mrs. O'Grady
759047	20233	Mrs. Canby
759047	20283	Mrs. McGuire
759047	21542	Audrey
759047	23176	
759047	26641	
759047	30063	
759047	32072	Kate Callahan
759047	33091	Mrs. MacGregor (the cook)
759047	33403	
759047	34710	
759047	35474	
759047	43458	Bertha le Noir, Pierre's Sist
759047	45549	Kate
759047	46261	
759047	47010	Mres. Cassidy
759047	47129	Mama
759047	47136	Maggie
759047	47497	Lydia Ryan
759047	49625	Second 'Twin'
759047	49632	
759047	49645	
759047	51665	
759047	54433	The Captain's Wife
759047	54436	The African's Wife
759047	54437	A Widow
759047	54494	
759047	56247	Mary the Cook
759047	56254	Mrs. Casey Jones
759047	58517	
759047	66825	Mrs. Kelly
759047	66828	Mrs. Kelly
759047	66829	Mrs. Kelly
759047	66830	Mrs. Kelly
759047	66831	Mrs. Kelly
759047	67859	Delia Morahan
759047	68190	
759047	73820	Nora Murphy
759047	76591	The Mammy
759047	77845	Mrs. O'Neil
759047	78069	Mrs. Kelley
759047	78103	Jane (the cook)
759047	83583	Mrs. McQuade
759047	85078	Mrs. Frank
759047	85746	
759047	85804	
759047	87035	
759047	91967	
759047	96939	Laundress
759047	97076	
759047	99087	Mrs. Goodsport
759047	101032	
759047	105037	The Girl's Mother
759047	105235	
759047	105949	Second Sister
759047	107591	
759047	109567	Kate
759047	109814	
759047	109887	
759047	109893	The Cook
759047	112711	Mrs. Devlin
759047	114294	
759047	115246	Landlady
759047	116802	Mrs. Flannigan
759047	117328	
759047	118265	
759047	120340	Bridget O'Grady Lapidowitz
759047	127159	Mrs. Sullivan
759047	130031	Nora Fitzpatrick
759047	130149	A Matron
759047	131565	Nurse
759047	131733	Sarah
759047	133558	A Maid
759047	133644	Woman at accident
759047	135590	Kate
759047	136252	Mrs. O'Day
759047	140332	Mrs. Kelly, the Landlady
759047	140887	Kate
759047	143059	Amelia, Mortimer's Sister
759047	143095	Mary Applewin
759047	143139	
759047	143326	A Domestic Servant
759047	143419	
759047	146018	
759047	146172	Kate Shannon
759047	151347	
759047	151407	The Landlady
759047	152176	The Cook
759047	152620	Cousin Kate
759047	153620	
759047	158205	A Pupil
759047	160002	
759047	162207	Ma O'Dare
759047	162408	
759047	163318	
759047	164425	
759047	166932	
759047	168202	Mrs. Humph
759047	171263	
759047	171456	The Old Negro Nurse
759047	183409	Mrs. McGuire
759047	183666	
759047	183768	
759047	185867	
759047	190900	
759047	191031	Nan
759047	191961	Mrs. McGinty
759047	192022	
759047	192611	Wilma
759047	192616	The Housekeeper
759047	196200	Marchioness of Hurlshire
759047	196259	
759047	196507	
759047	198657	Ma Smith
759047	199185	Jail Matron
759047	200895	Plump's Wife
759047	203114	An Eligible Widow
759047	203680	Mrs. McBride
759047	204789	Mrs. Malone
759047	210646	Phone Booth Woman
759047	214074	Squires
759047	215948	
759047	216811	
759047	217966	Betty Nan
759047	220006	His mother
759047	220367	'Ma' Nolan
759047	224418	Wife
759047	229111	Bridget Schultz
759047	230823	Mrs. Brennan
759047	232151	Mrs. Duncan
759047	233995	
759047	234589	
759047	235648	Nora
759047	237560	The Widow McGee
759047	237561	Mrs. Sullivan
759047	237563	Mrs. Sullivan
759047	238719	
759047	238720	Officer Kate
759047	239664	Sarah Simmonds, Bill's Wife
759047	239797	
759047	243215	Mrs. McGinnis
759047	243230	Aunt Rebecca
759047	244439	Housekeeper
759047	246598	Carol's Servant
759047	247495	
759047	247997	Mama Dean
759047	248427	Lady George
759047	252849	Mrs. Sally Mulligan
759047	253150	
759047	256466	Maggie
759047	264171	Housekeeper
759047	265003	Lady Kate
759047	265378	The Cook
759047	267862	Bridget
759047	268914	Patty
759047	273181	
759047	274168	The Housekeeper
759047	275438	Cook
759047	276648	Mrs. Pogson
759047	278014	Mrs. Ryan
759047	280474	Pelrovna
759047	286153	Mrs. Dugan
759047	291741	Innkeeper's Wife
759047	291802	Bridget
759047	291844	Mrs. McBride
759047	293738	
759047	294905	The First Cook
759047	296845	Maggie Murphy
759047	298019	
759047	300079	Mrs. Dugan
759047	304956	
759047	311563	Landlady
759047	311760	Housekeeper
759047	314401	
759047	321091	
759047	329337	Mrs. Crogan, Landlady
759047	329432	Mrs. Huzzard
759047	330507	Mrs. Chubb
759047	331879	Imaginary mother
759047	333135	Mrs. McGee
759047	333518	Mrs. O'Brian
759047	335626	
759047	336167	Emily
759047	338218	Mrs. Joseph Miniver
759047	342540	Kate
759047	343077	
759047	343093	The Landlady
759047	343202	Ma Weaver
759047	344933	
759047	345738	
759047	350501	Miss Crawley
759047	357587	
759047	358166	
759047	358288	The Dishwasher
759047	359118	
759047	359450	Mrs. Price
759047	360181	Woman in Jail
759047	360237	
759047	361677	Heavy Woman at Football Game
759047	363234	
759047	364377	Mrs. Briggs
759047	364852	The Widow McCarthy
759047	365053	Mattie
759047	366695	
759047	367205	
759047	367302	Kitty Blatherwick
759048	398051	Herself (The Mole)
759049	1465	Herself
759049	2009	Herself
759049	47117	Nightclub Singer
759049	364124	Herself
759050	61706	Scarlett's mom
759051	82898	Margaret
759052	150127	Girl at Party
759053	252159	Brandy
759054	21021	Herself
759054	62960	Herself
759054	118073	Leonora
759054	129041	Soprano
759054	133720	Herrself
759054	175523	Herself (Honoree)
759054	175524	Herself
759054	187947	Herself (singer)
759054	192551	Soloist
759054	260631	Herself/Bess in the 1952 stag
759054	281150	'Liebestod' Vocalist
759054	336365	Floria Tosca
759054	399100	Pamina
759055	362595	
759056	139456	Nurse
759057	78829	Host
759058	17067	Recycling Girl
759058	35515	Herself/Janet Sosna
759058	37347	Tracy's Friend
759058	45677	Laurie
759058	66096	Yu
759058	141180	Juliet Lee
759058	152777	Cleveland
759058	234054	Soid
759058	258374	April Mathewson
759058	267563	Kacy
759058	323612	
759058	360026	Jasmine
759058	379716	An Li Chen Bodine #2 (1991-19
759058	381811	Janet Sosna/Sanders (1998-200
759058	382419	Michael Lai (1995-1997)
759058	385118	Jane Christie
759059	326769	Cassandra's Mother
759060	86027	
759061	8836	Aida
759061	297880	Christmas Party Guest
759062	72664	Room Renter #1
759063	316942	Bus Conductress
759064	72912	
759066	13529	
759066	107870	Mrs. Brown
759066	138281	Ragged Ann
759066	195460	Mrs. Gordon
759067	280774	Undetermined Role
759068	66237	Herself
759068	192733	Voice of Steve's Wife
759068	195619	Lisa Harris
759068	224820	Sarah Heinz
759068	384768	Nancy Slaton
759068	390682	Claudia Finnerty
759068	392421	Herself
759068	392424	Herself
759068	395229	Gale Ingersoll
759069	282378	Myrtice Crews
759070	72689	Patsy
759071	360094	Lucy
759072	19983	
759072	39182	
759072	39902	
759072	49413	
759072	84864	
759072	213959	
759072	363241	
759073	87520	Woman with Glasses
759073	323879	
759074	25148	Norma
759074	59891	Susie
759074	71633	Margo
759074	74881	Dove Cunningham
759074	166938	Cookie
759074	171297	Teacher #1
759074	178075	Meryl
759074	267653	Crystal Plotkin
759074	272026	Alice Beaufort
759074	278839	Nikki
759074	285726	Clara
759074	297267	
759074	304870	Rebecca's Colleague
759074	321126	Ann
759074	332730	Leah
759074	382218	Phyllis
759074	387583	Francesca Pinoni (Pilot Episo
759074	408036	Faith Yokas
759075	47524	Caricia, as a girl
759075	57193	Priscilla
759075	88963	Susie
759075	128310	Oriole
759075	152576	Marjorie Stockton
759075	157686	Jacinta, the Hotel Maid
759075	203787	Child
759075	266706	Little girl
759075	331458	Alice
759076	14143	Lovey Lee
759076	33802	Countess de Blangy
759076	43737	Lady Kingsburgh
759076	55418	Mrs. Trewhella
759076	68137	Mrs. Titmouse
759076	73995	
759076	80528	Madame Pelletier
759076	92183	Annie Collins
759076	146003	Lady Ridgeley
759076	153004	Mrs. Moran
759076	154312	Mrs Rebecca Crozier
759076	154354	Mrs. Wilson
759076	196305	Her Friend
759076	196497	Posie Nancy
759076	198089	
759076	199742	Mama Barucci
759076	204021	Miss Ellis
759076	205524	Theresa Suprenant
759076	207435	Lydia Crowther
759076	292492	Violette, housekeeper
759076	310661	Mrs. Staunton
759076	313797	Martha Fenwick
759076	318074	(cast of "Price of Divorce, T
759076	331681	Gertrude Morgan-Vaughan
759076	365739	Queen Elizabeth
759076	367654	Governess
759077	386488	Nora
759079	97388	Dancer
759080	27160	Screaming Woman
759081	11537	Tracy
759081	90422	Allison
759081	230692	Karen
759081	301660	Lorraine
759081	315310	Ensemble
759081	380165	Eleena Oak
759082	196787	Alisa
759082	200150	Second Lady
759083	276362	Bit part
759084	1228	
759084	27253	
759084	32924	
759084	50535	
759084	76181	Whitney
759084	81786	
759084	88527	
759084	158122	
759084	172914	
759084	197485	
759084	245783	
759084	267102	
759084	280059	
759084	312710	
759084	316326	Woman in park
759084	348849	
759084	361941	
759085	91577	Hostess
759085	114707	Amy Martin
759085	191608	Megan
759086	246257	Wife
759087	134396	
759088	181155	Whore
759089	149803	Walter's Wife
759089	411162	Nurse Red
759090	232676	Student at University
759091	31950	Bored Woman
759092	279545	May Carter
759093	86504	Cousin Metamorphic
759094	398691	Becca Blake
759095	13619	Louise
759095	16660	
759095	44449	Helen
759095	95872	Margaret McCullum
759095	98803	
759095	114312	Correspondent
759095	176723	Irene
759095	176919	Mrs. May
759095	190332	Woman on Beach
759095	190823	Sjefen
759095	243625	American tourist
759095	252481	
759095	343401	American Lady
759095	375047	Parson's Wife
759095	400208	
759096	302714	Savannah
759097	323020	Kellie
759097	407414	Sarah McDonald
759098	229731	Alex
759098	229732	Alex Sinclair
759098	229734	Alex
759099	37486	Babysitter
759099	92192	Sara Caldwell
759099	185581	Jenny
759099	212371	Carla the bartender
759099	323155	Courtney
759100	149448	Young Birdee Calvert
759101	308344	Nurse
759102	265171	Coffee Bartender
759103	80959	
759104	97727	TV Newswoman
759105	289221	
759106	161962	Amy
759106	252354	Jan Butler
759106	395738	Amy Lawrence
759106	405726	Shannon Jennings
759106	408685	Mel Porter
759106	408713	Nicole Svendsen (2003)
759107	209061	Self Defence Girl
759108	37393	Beth
759109	131776	Lisa
759109	140937	Karen
759109	190889	Young Actress
759110	218152	Waitress
759111	196779	Assistant stage manager
759112	74215	Azaria
759113	4543	Nurse Ferris
759113	16462	
759113	35420	Wife
759113	35784	Agnes
759113	37921	
759113	52425	Mrs. Gibbons
759113	67417	Mrs. Wallace
759113	72222	Summers (teacher)
759113	77681	
759113	81784	Lodge manager
759113	98170	Ma Beasley
759113	112495	Kate, the Barber
759113	127087	Homely Woman at Seance
759113	129762	Katie Barrett
759113	130664	Ranch guest
759113	131534	Nurse
759113	133704	Miss Albright
759113	135805	Mrs. Rogers
759113	138448	Mrs. Miller
759113	139786	Elvira, the Cook
759113	143136	Miss Pond
759113	154907	Spinster
759113	178141	Chief nurse
759113	187341	2nd Old Maid
759113	193658	Hattie Hatfield
759113	194834	Woman in Window
759113	202533	Mrs. Potter
759113	202952	Mrs. Pike
759113	203172	Nurse receptionist
759113	203650	Mrs. Elderhorn
759113	211817	Matty Frommel
759113	212748	Nosy Neighbor
759113	216802	Delia Seaton
759113	218471	Rancher's wife
759113	223065	Townswoman
759113	228830	Nurse
759113	233574	Bookstore clerk
759113	233934	Woman
759113	235062	Elsie (Plaza maid)
759113	241752	Woman Barber
759113	251655	Mrs. Peck
759113	254560	Mrs. Wiggins
759113	272466	Miss Pince-nez
759113	289400	Mrs. Holahan
759113	304552	Nurse Collins
759113	308585	Millie
759113	321154	Nurse on bridge
759113	332117	Mrs. Blocher
759113	333319	Annie
759113	343261	Widow Simpson
759113	358273	Mrs. Burdge
759113	360839	Maid
759113	362475	Elderly woman
759113	363599	Mrs. Gruman
759113	363644	Mrs. Wallace
759113	364131	Mrs. Hundley
759113	367746	Mother
759113	367981	Mother
759113	385744	Mrs. Cassie Murphy (1957-1958
759113	391184	Rosie (1961-1966)
759113	407526	Mrs. Ratchett
759114	365693	
759115	90525	Tango dancer
759116	9930	
759117	9930	
759118	302863	Mother
759119	302863	Daughter
759120	10925	Teacher
759120	165970	Elizabeth Perry
759120	280356	Gail
759120	299900	
759120	321367	Mrs. Franklin
759122	17024	
759122	54919	Pauline
759122	138864	Sharon Marcus
759122	291000	Sonia
759123	195558	Jasmine
759123	241730	
759123	263029	Yumi
759123	273428	Omara
759123	350914	Desaray
759124	168452	Mary, the Maid?
759125	39484	
759126	45270	
759126	49788	
759126	151813	
759126	191718	Maid
759126	289043	
759127	10160	Figurine #2/Party Guest
759128	85806	Grace Lewin
759128	110063	Marguerite
759128	139670	Girl
759128	215422	Nellie Prince
759128	245161	Mrs. Sluggett
759129	47279	Tom's Soundwoman
759130	167661	Herself
759131	210269	Acting student
759132	301613	Baby
759133	63574	
759134	298119	Ala Mode Assistant
759135	406730	
759136	210673	Becca
759137	345432	
759138	355545	Karin as a child
759139	178588	
759140	325942	Maria
759141	54268	Poet/performer
759142	233261	
759143	18501	
759144	356452	
759145	394477	Merle
759146	367347	Antonia
759147	289013	Stephanie
759147	404137	Additional Voices
759148	96889	Dancer
759148	114845	Bit
759148	203051	Dancer
759151	401461	Meeba
759152	338576	Dee Gregory
759155	250546	Lady in Butcher Shop
759155	368952	Delicatessen proprietor's wif
759155	380391	Prostitute (1967)
759155	387309	Juror (1976)
759155	404002	Sister Mary Joel #3 (1976-197
759156	296019	Hooker
759157	3888	Herself
759157	9687	Herself
759157	96829	Student
759157	96927	Dina Bishop
759157	143573	Cameo appearance
759157	158881	Linda Girard
759157	194269	Waitress
759157	307860	Carnival Nurse
759157	398539	Marilyn Munster (1964-1966)
759158	279205	Waitress
759159	392509	
759160	107896	Lisa
759161	62779	Hilda Shaw
759161	379387	Mary (1989)
759162	16471	Susan Wiley
759162	41087	Gushing Coed
759162	92435	Mason twin
759162	105077	Fat Girl
759162	128894	Skinny
759162	288019	
759163	405209	Marion Seymour (1997)/Lady Ma
759164	72418	Kate
759164	75798	Su
759164	79057	Sarah
759164	122678	Lisa Belmont
759164	176774	Masseuse
759164	257271	Dr. Wanda
759164	270920	Tara
759164	317892	Claire Bilino
759164	348229	Amanda Lear
759164	373276	Punk Girl
759164	397533	LA Host
759165	85986	Dr. Cristina Inger
759166	281413	
759167	838	
759168	8980	Teresa
759168	28209	
759168	56071	Glorinha
759168	94481	
759168	124517	
759168	162118	
759168	171366	Ana Maria
759168	187529	Alzirinha
759168	198408	Lucia McCartney
759168	210685	
759168	246971	
759168	248236	Fátima
759168	252420	
759168	295096	
759168	308800	Soninha
759168	344691	Açucena
759168	344855	Dorianne
759168	356033	Cristina
759168	402809	
759168	407798	
759169	249774	
759170	380123	
759170	380125	
759170	387103	
759170	396902	
759170	397012	
759170	399521	
759170	401905	
759170	408747	Sor Ernestina González
759170	410297	
759170	412133	Doña Flor
759171	88842	Madame Guzik
759171	166163	Renée
759171	193508	Le professeur théâtre
759171	286110	Nurse
759171	332198	Céline
759172	14645	
759172	52047	
759172	86903	
759172	103813	
759172	128971	Marta Avilés
759172	205607	
759172	215036	
759172	222017	Carlota
759172	258095	
759172	269962	
759172	287459	
759172	291681	
759172	307242	
759172	327199	
759172	328172	
759172	341389	
759172	344654	Margarita Soler
759172	355757	
759172	371683	
759173	293362	La Abuela
759174	5294	
759174	46711	Sonia
759174	79113	Young Narda
759174	88081	
759174	145547	
759174	156906	
759174	189274	Trixie
759174	189275	Janelle
759174	190416	
759174	306666	
759174	329237	
759174	341564	
759174	407943	Herself
759175	273509	Shotgun Mike's Girl
759176	233394	Rafael's Mother
759176	307797	Marelvis
759176	395332	Eduviges
759178	233385	Herself
759179	258118	Une petite fille
759180	25846	Kathy's Mother
759180	58408	Claudia
759180	185112	Cote
759180	326318	Rosicler
759180	378738	Ester
759180	384984	
759180	388648	
759180	392992	
759180	400419	
759180	412183	La Sargento Pepper
759181	42578	
759182	412307	Herself
759183	205713	
759184	110103	
759184	148110	
759184	221559	
759185	63913	
759185	379001	Maite del Río
759185	379648	
759185	384984	Natalia Condell
759185	396333	Mónica Salazar
759185	398806	
759187	185948	
759188	136269	Waitress
759189	385776	Isa/Vicky/Voz Radio (Guerra d
759190	296468	
759190	378971	Celeste Contreras
759190	379615	Rosario
759190	379892	Morgana
759190	380123	
759190	385869	
759190	386149	
759190	389316	
759190	390220	
759190	396902	
759190	397012	
759190	397566	Maíta
759190	398453	Herminia
759190	398483	Evencia de Romero
759190	402462	Estacia Briceño
759190	403015	
759190	403884	Dorila
759190	408570	Doña Pura
759190	408747	Eulalia Pinzón
759190	410297	
759190	412133	Luz Elena Aguirre
759191	112736	
759192	6639	Estrella
759193	235985	
759194	332846	Apothekerin
759195	95263	
759196	43007	Françoise Faget
759196	84642	
759196	235709	
759197	284224	Une joueuse de flipper
759198	136721	3. Norn
759198	339975	Brangäne
759199	244000	Vajza
759200	21782	
759201	74006	Karen Alario
759202	40228	Emily
759203	301769	Customer #2
759205	250445	Büfés nõ
759206	88450	
759206	125658	
759206	265936	Ulyana
759207	373699	Lena
759208	913	Susan
759209	30836	
759209	84763	Novotná
759209	253829	Wedding guest
759210	12600	
759210	93437	Ruth Berger
759210	166408	
759210	210070	
759211	160993	
759211	228604	
759211	316635	Crying Girl
759211	318341	Julie
759212	351939	Eine Tänzerin
759213	24297	
759214	1989	Jenny Clarens
759214	8881	Madame de Navailles
759214	10385	
759214	16951	
759214	19095	
759214	19325	Catherine Grand
759214	20907	
759214	20909	
759214	23636	Madame Desforges
759214	23746	La comtesse Barinoff
759214	23750	Mademoiselle Chamblas
759214	23759	Countess Belsky
759214	29010	
759214	30532	Vassilissa Kostyleva
759214	34370	Madame Grandville
759214	36655	Madame Berger
759214	51154	
759214	51582	Reine
759214	55008	Estella
759214	55176	
759214	55595	Michèle Allain
759214	55872	Madeleine
759214	55876	
759214	57397	Madame Petersen
759214	67068	Madame Ménard
759214	68648	Pierrette
759214	70939	La mère de Marie-Adélaïde/Mar
759214	73182	
759214	84639	
759214	92046	Mme César
759214	109103	Joséphine
759214	111684	Maria, la parfumeuse
759214	148645	Camélia
759214	170533	Clémentine Beaugerard
759214	191292	Blanche Eroli
759214	194598	Madeleine Lonant
759214	202360	La comtesse Merlin
759214	208655	Countess Larisch
759214	217661	Marguerite
759214	220499	Cinema Star
759214	225463	Lola
759214	250748	Anna Ostermann
759214	254049	
759214	254311	
759214	256610	Jeanne Rolland
759214	264259	Empress Catherine
759214	268438	
759214	270312	Flore Brazier, la rabouilleus
759214	275116	
759214	275121	
759214	286802	Grace Ritter
759214	318513	Mme. Olga
759214	319292	
759214	337433	Mme. Estelle
759214	339878	
759214	345168	Maryse
759214	345182	
759214	345426	
759214	347757	Estelle Froment adulte
759214	349842	Mme Renaudot
759214	377958	Suzy
759214	378023	
759216	37643	Pet Store Owner
759216	59840	Tour Guide
759216	66349	Hospital Receptionist
759217	193353	
759220	33660	
759220	49690	
759220	51687	
759220	52784	Tamara
759220	60122	
759220	68750	(segment "Complesso della sch
759220	87822	
759220	89870	
759220	90719	Olimpia, Lina's mother
759220	124426	Flora
759220	159663	
759220	209440	Tersilli's Mother
759220	211198	
759220	227562	
759220	234709	
759220	254963	
759220	255101	Lady Eva's Mother
759220	265310	Tersilli's Mother
759220	266151	Gemma's mother
759220	269707	Nonna di Daniela
759220	290002	
759220	291556	Giovanna
759220	301368	
759220	319323	
759220	336607	
759220	342100	La prima zia
759220	342627	
759220	351075	
759220	375217	Marisa and Silvia's mother
759221	226971	Princess of Portugal
759221	328688	
759222	144837	Martin's Girl Friend
759222	315070	Marianne
759222	385020	Kathy Barrett (1982)
759223	35143	Bartender
759223	79046	Mother
759223	338638	Hooker
759224	71741	
759225	257502	Angel
759226	130358	Miss Louisiana/Bunny Miller
759226	244824	Old Woman/Demonstrator
759227	211600	Hansen Sister
759227	262341	Olga
759228	83309	
759228	118836	
759229	87891	Young Female Customer
759230	136823	Hebe
759231	67790	Phyllis Hapgood
759231	141953	Brigitta
759232	16339	Bea
759232	25805	Carmen Sevilla
759232	57394	Alicia
759232	71261	Montse
759232	89938	Eva
759232	158847	Olivia
759232	252308	
759232	289325	Anna
759232	306701	Esther
759232	318232	Rakel
759232	318295	Blanca
759232	332598	María
759232	335366	Gabi
759232	378736	Cristina Bofill
759232	399505	Mariona Montsolís
759233	289696	
759233	315824	
759234	188737	Fräulein Hansen
759235	119524	
759236	216127	Raphaela Wright
759237	154937	Femme enceinte
759238	54589	Lady Seabrook
759238	364138	Mrs. Tyler
759239	113286	Child
759240	277839	
759241	261641	
759242	377847	
759243	117673	Carrie
759244	57654	Waiting Room Nurse
759244	81649	Elevator Voice
759244	105280	Nurse
759244	116499	Young Phyllis
759245	93096	Final Stripper on Stage
759245	332278	Herself - stripper
759246	20712	
759246	74624	
759246	193168	Teresa
759246	380115	
759246	395310	
759246	408720	Mariana
759246	410423	Sor Karen
759247	8661	
759248	139521	The Singer
759249	139056	Tara
759249	185137	Wedding Guest
759249	298389	Sara
759250	327834	
759251	197027	Secretary
759251	288432	Anna Maxwell
759252	36862	Betty
759252	79478	Alice
759252	120248	Cella
759252	136291	Herself
759252	152272	Kelly
759252	163248	Madelaine
759252	175548	Herself
759252	185228	Angela
759252	223885	Diana
759252	223904	Herself
759252	244933	Athylene
759252	255345	Mrs. Mercer
759252	292015	Sadie
759252	387592	Various
759252	391550	Val Brumberg
759252	399769	Janet
759253	221908	
759254	186450	Ginger
759254	241780	Ginger Mason
759255	81329	Psychologist
759255	101278	Massage Girl
759255	309540	
759256	399948	Vanessa (1994-1995)
759257	330017	Trudi
759258	162364	Hostess
759259	290307	Sara's Mother
759260	49345	Becky
759261	309890	Smoke House
759263	96363	
759263	100439	
759263	255936	
759263	376712	
759264	245950	Maureen
759265	123650	
759265	123657	
759265	365494	
759266	28591	Posy
759266	252573	Lily
759266	289396	Mr. Woods' Secretary
759267	222575	Kari Davies
759267	316238	Newscaster
759268	300871	Punkette
759269	25627	
759269	326223	María Eugenia
759270	364300	Herself
759271	6972	
759271	26067	
759271	31180	
759271	50777	
759271	54455	
759271	136253	
759272	175562	Sister Katherine
759273	1382	Herself (at coronation of her
759273	1387	Herself
759273	1398	Herself
759273	1703	Herself
759273	16099	Herself (epilogue sequence)
759273	21468	Herself
759273	23224	Herself
759273	23368	Herself
759273	29511	
759273	38358	
759273	42643	Herself
759273	63526	Herself
759273	81182	Herself (arrives in Indonesia
759273	81860	
759273	82897	Herself
759273	85897	Herself
759273	85903	Herself
759273	85918	Herself
759273	96555	Herself
759273	132451	Herself
759273	132777	Herself
759273	132823	Herself
759273	134280	Herself (with her parents)
759273	139547	Herself (with Harold Lloyd)
759273	162010	Herself (audience, Guest of H
759273	166322	Herself (Guest of Honour)
759273	177371	Herself
759273	190011	Herself
759273	192508	Herself
759273	195262	Diving Basketball Player
759273	203572	Herself (after coronation of 
759273	205419	Herself
759273	215028	
759273	240180	Special Appearance
759273	240189	Herself
759273	244278	Guest of Honour
759273	244450	Herself (on V-E Day)
759273	264079	Herself
759273	264097	
759273	264130	
759273	264155	Herself
759273	264203	
759273	282624	Herself
759273	282713	Herself
759273	308736	Herself (on V-E Day)
759273	310714	Herself
759273	372118	Herself (meets the Beatles)
759273	376685	Herself
759273	381501	Herself
759273	382085	Herself - #73
759273	386250	Herself
759273	386287	Herself
759273	388268	Herself
759273	391377	Herself
759273	394756	Herself
759273	397381	Herself
759273	403850	Herself
759273	407735	Herself - Newsreader (2003)
759273	411420	Herself
759274	394756	Herself
759275	394756	Herself
759276	132451	Herself
759276	327336	Herself
759276	394756	Herself
759277	48576	
759277	130285	
759277	372090	
759278	257930	
759281	211790	
759281	280090	Themselves
759281	280780	
759281	284202	
759282	220252	Schoolteacher
759283	190208	Lady Cunard
759283	318462	
759283	380391	Judge Kathryn Reeves (1997-19
759283	380713	Miranda Marlowe Hughes (1981-
759283	385824	Linda Patterson Anderson #2 (
759283	400236	Dr. Dorian Cramer Lord Callis
759284	4711	Kate Finley
759284	7816	Herself/Pamela Barnes Ewing
759284	31187	Herself - CBS Team Contestant
759284	31190	Herself (CBS Team)
759284	35688	Eleanor DiCarlo
759284	40745	Maggie Kemlich
759284	49734	Margy Allison
759284	77796	Anna Forbes
759284	89368	Pamela Barnes Ewing
759284	90423	Linda
759284	96771	Rosa Amici
759284	108817	Michelle
759284	154813	Jackie Martin
759284	161395	Herself
759284	185328	Yolanda Marquez
759284	190034	Maria Elena, aka The Angel (B
759284	195669	Maggie Sorrell
759284	212724	Leila Parker
759284	216126	Rae Colton
759284	226879	Cathy
759284	226966	Joanne Dawson
759284	232017	Herself
759284	232253	Reba Bar Lev
759284	235449	Dr. Diana Dawson
759284	258051	Patti Flynn
759284	279152	Maggie Keene
759284	293048	Patty/Sylvia
759284	303574	Herself (Presenter)
759284	333893	Gwen Williams
759284	342186	Herself
759284	354215	Linda Christopher
759284	385594	Pamela Barnes Ewing (1978-198
759284	391835	Herself
759284	408326	Gwen Williams
759286	104155	
759286	123094	
759286	197184	
759286	230002	
759286	251008	
759286	310890	
759286	344575	
759287	113224	
759288	213789	Herself
759289	176168	
759290	189576	
759290	296188	
759291	182633	Bessy
759292	14259	
759293	184930	Emily
759294	94330	Nelly
759295	1381	Herself
759295	6145	Evelyn Trevelyan
759295	8171	Barbara
759295	26307	Lydia
759295	31995	Yvonne
759295	42701	Hilda
759295	46781	
759295	50858	Diane Manners
759295	52661	Mrs. Thatcher
759295	62916	Lady Robert Ure
759295	70297	Claire Norville
759295	71356	Olivia
759295	73348	Mrs. Manning
759295	90355	Edith Martin
759295	92480	Chaperon
759295	93178	The Duchess
759295	96761	
759295	133548	Lois
759295	138848	Mrs. Prentiss
759295	139316	Miss Booth, Dress Saleslady
759295	145999	Tamara Loraine
759295	158381	Princess Eboli
759295	165443	Blanche Ingram
759295	168570	Mrs. Melton
759295	178041	Janet Livingstone
759295	185444	Maria
759295	186117	Woman
759295	195986	Caroline Burt
759295	203799	Gossipy Woman
759295	206421	Guest at party
759295	222579	Esme Kennedy
759295	223653	Hortensia deVereta
759295	224851	Zara
759295	227161	Isabelle
759295	232040	Saleslady
759295	232163	Paula Vernoff
759295	235633	Mrs. Bullock
759295	237674	Alice
759295	241092	
759295	241867	Elsie Duchanier
759295	254500	Mrs. Herbert Walcott
759295	255083	Paducah Pomeroy
759295	259233	Diana McCormick
759295	264040	Eve Marley
759295	267964	Mrs. Teddy Von Rennsler
759295	291317	Herself
759295	298106	Mrs. Douglas
759295	300003	Mrs. White
759295	300106	Cameo appearance
759295	302365	Suzette
759295	302467	
759295	302765	Mary Hazeltine
759295	307407	Brenda Ritchie
759295	308937	Enid Chadburne
759295	309497	Velma
759295	309581	Lady Jane
759295	311696	
759295	315134	Inez Salles
759295	316329	Mrs. Schuyler-Peabody
759295	317957	Dale Tracy
759295	326367	Doris Langford
759295	329335	Lulu, Blackmailer Leader
759295	330153	Mrs. Sharp
759295	330297	Rosa Carmino
759295	331676	The Queen
759295	332815	Chameli Brentwood
759295	333510	Janet Stone
759295	335599	Mrs. Arthur MacArthur
759295	340731	Mrs. Eva Boutelle
759295	347028	Diana Roggers
759295	350408	Herries Servant
759295	358707	Ann Tabor
759295	359140	Secretary
759295	360123	Newswoman
759295	364780	Kitty Dare
759295	365053	Inez Martin
759295	365068	Mrs. Anne Barker
759295	365628	Juneau MacLean
759295	365640	Claire Barrington
759295	367919	Miss Carter, Saleslady
759295	372819	Miss Farwood
759296	71666	Baroness
759296	240410	Diana Smallwood
759297	330550	Harbor Patrol Diver
759298	26655	
759298	50641	Pep's Aunt
759298	113632	
759299	195134	Young Barbara Joan
759300	2351	Mrs. Carey, Landlady
759300	85022	Aunt Betty
759300	121360	Mrs. Carfax
759300	127791	Gossip
759300	138282	Jennie
759300	246337	Immigrant Woman
759301	34656	Doria
759301	70753	Katie Ryan
759301	91759	Neff's Secretary
759301	106636	Gwen Singleton
759301	127351	Therapist at Rehab
759301	134294	Ann Smith
759301	158813	Dr. Palmer
759301	164225	Christella
759301	243592	Sara
759301	252726	Mrs. Carter
759301	348431	Doris
759301	355391	Gwen
759301	389858	Dr. Patricia Mason (1982-1984
759301	389867	Ruth Marshall (1989-1991)
759301	393015	Diana Sanger (1974-1975)
759301	400253	Eunice
759301	402773	Nurse Beryl Keynes (1977)
759301	407958	Tracy Curtis Taylor (1975)
759301	408058	
759301	411013	Sybil Buchanan
759303	142719	The Smug Witness/Rock Concert
759304	384894	Dee #1
759305	162289	Greenbottle
759306	202873	
759307	64093	Pauline (Flapper)
759307	216804	Mindy
759307	240786	Kayla Sanders
759307	278096	Model in Red
759307	411564	(2004-)
759308	383316	
759308	397655	Host (1985-?)
759309	65598	Panelista
759310	94920	
759310	235958	Jacoba
759310	376433	Schooljuffrouw
759310	378092	Grandmother
759310	400507	Maud van Mechelen Liepelt
759310	411115	
759311	99511	A&E Doctor
759311	276465	
759311	283789	
759311	305882	Nurse
759311	320228	Mor
759311	382884	Frederikke (1840-1854)
759311	383948	Inger, cafeteriaansat
759312	51643	TV Reporter
759313	404898	Esther (1984-1987)
759314	994	Samantha Lintrell
759315	10360	Herself
759315	10367	Herself
759315	10368	Herself
759315	42643	Herself
759315	119460	Herself - Princess of Sayn-Wi
759315	122515	Herself
759315	133309	Herself
759315	179969	Herself
759315	179972	Herself
759315	179973	Herself
759315	179974	Herself
759315	179976	Herself
759315	179977	Herself
759315	179983	Herself
759315	181156	Herself
759315	211228	Herself
759315	264293	Herself - Protector for UNICE
759315	264296	Herself
759315	264298	Herself
759315	314992	Herself
759315	333107	Herself
759315	344244	Zuster Ter Hoeven
759315	376107	Herself (from "TV2 Nyhederne"
759315	376108	Herself
759315	377410	Herself
759315	377411	Herself
759315	377413	Herself
759315	377414	Herself
759315	377415	Herself
759315	394755	Herself
759315	394756	Herself
759316	372329	Team Member
759317	17494	
759317	65418	Louw's Mother
759317	130170	Kate Thompson
759317	158345	Laura
759317	167267	
759317	191514	
759317	215561	Julie
759317	245293	Hannah
759317	269602	Dorothy
759317	310019	
759317	336542	Pascale
759317	386269	
759318	343128	
759319	24984	
759320	6684	Adrienne Lecouvreur
759320	69215	
759320	77334	Marguerite Gautier
759320	94787	Thérèse Jaillon
759320	166134	Élisabeth & Irène
759320	340203	Fanny Grandpré
759320	345451	
759320	350083	Hortense Schneider
759320	357048	Clotilde, Fournier
759321	302752	Lorrie Stuart
759321	347953	
759322	220226	
759323	241058	Fairy #1
759324	69468	Dora
759325	1121	Duenna
759325	24199	
759325	68618	
759325	77705	Quesada's wife
759325	104060	
759325	123080	Hostess
759325	143757	
759325	183516	
759325	236746	
759325	287462	Reporter 2
759325	299714	Senora Sanchez
759325	305223	Mayor's Secretary
759325	339229	María
759325	371705	
759325	376693	
759325	408418	Merche
759325	409960	Paulina
759326	312748	
759326	325870	Frau Höfele
759328	46262	Bella
759328	106379	Grandma
759328	379716	Amy Parker Tyler (1970) (orig
759328	380713	Penny Hughes Baker Baker Wade
759328	388799	Amy
759328	392185	Dr. Julie Franklin (1974) (or
759328	404002	Sister Mary Joel #6 (1988-198
759329	298425	
759330	119413	Herself
759331	70570	Elyse
759331	340727	Narrator
759332	97138	
759333	16867	
759333	127977	
759333	307075	
759334	75827	
759335	169642	Lucy Werner
759336	403649	
759337	45853	Featured Party Zombie
759338	227731	Camarera
759339	111383	Belinda
759340	119247	
759341	78722	Receptionist
759341	88696	Sandy
759342	38739	Alison Fulton
759342	63192	Vivian Vadim
759342	293383	Daniella
759342	384181	Vivian
759343	317153	Martin's Mother
759343	405024	Mrs. Potter
759344	142417	Member of Squad
759345	66967	Phaedra
759345	141653	Sharon
759345	155674	Luce
759345	222831	Girl at wedding
759345	262348	Sophie
759345	368788	Eleanor
759346	402197	Lucy Ferguson (1983)
759347	56364	Avvocato Cogliani
759348	48297	Paride's Wife
759349	84616	Gogo-girl du bar
759350	1939	
759350	65397	Mother Superior
759351	158818	Natassja (Russian exchange st
759352	119702	
759353	10071	Chelsea
759353	20237	
759353	29273	
759353	57422	Adriana
759353	117330	
759353	228663	
759353	241391	Dana
759353	247486	Inês
759353	412170	Herself - Finalist #9
759355	6089	Milly
759356	99828	Kachiri's Cousin
759357	68697	Suzanne
759358	16442	
759358	242555	
759358	247990	
759358	288619	Hooker
759359	328359	
759360	162603	Margareta
759360	317627	Princess Claudia
759360	399141	Monika
759361	220165	
759362	324371	Lisa Henson
759363	24605	Dr Sally Arnold
759363	24606	Dr Sally Arnold
759363	24607	Dr. Sally Arnold
759363	263791	WPC Southwood
759364	360200	Matron
759364	365333	Margaret Hughes
759364	396463	Maggie
759364	399417	Freda Phillips
759365	21180	Julie
759365	258207	Vegas Showgirl
759366	367612	Child
759367	145080	Louise Watson
759368	6907	Sally
759368	11283	Freda Donohue
759368	102211	Mary
759368	122170	The Bird
759368	152531	Girl in nightclub
759368	242980	Laundry Lady
759368	245687	Bev
759368	298056	Diane Simpson
759368	336716	Miss Funnypenny
759368	346110	Lady Victoria Stockbridge
759368	362501	Cashier in Discotheque
759368	381881	Mavis
759368	385299	Zelda Haye
759368	408943	Polly Blossom-Smith
759368	411065	Saccharine
759369	80617	Hope Byington
759370	59117	Sally Morrison
759371	169382	Elizabeth Harrington
759372	209209	Street Kid
759373	192725	Reena
759374	330204	Herself (rescuer, Holland)
759375	69834	Jenny West
759376	153142	Secretary
759377	91954	Carol
759378	236972	Servant Child
759379	140378	Secretary
759380	381910	Herself (Series 3) (2002)
759380	381920	Herself (Series 2) (2002)
759381	27144	
759381	208986	Bonny
759381	326383	Connie Raynor
759382	220484	Social Welfare officer
759383	113490	
759383	366453	Jessica
759384	395321	Herself/panelist (1949-1954)
759385	406083	Esther Glancey
759386	99583	Herself
759387	59369	Water Woman
759387	336824	Anada
759387	368762	Chela
759388	221245	Nursemaid
759389	219182	Bidder
759389	222690	Second receptionist
759389	232458	Cop #2
759389	245462	Secretary
759390	178099	Agent
759390	380713	Monica Lawrence Eldridge #2 (
759391	159540	
759392	14585	
759392	35844	
759392	37731	Anna
759392	62410	
759392	93598	
759392	146534	Halina Maczka
759392	156573	Malgorzata
759392	165053	Mirella
759392	166628	Danka Wislawska
759392	187645	
759392	246020	
759392	303742	Matka
759392	304439	Lab Worker
759392	366496	Hela
759392	375060	
759392	399959	
759393	335220	Guest
759394	103883	
759394	388728	Ana Maria
759394	390076	Gracinha
759394	396886	Adriana
759394	402927	Ester
759394	406847	Luísa
759394	409024	
759394	409025	Vera
759395	123941	
759396	107518	Julie
759396	240630	Clémence Chouilloux
759396	266376	Une voisine
759397	32032	
759397	248423	
759397	268826	
759397	377987	Marie-Pierre
759397	386222	
759398	361710	Antoine's Sister
759399	401972	Louise
759400	23684	
759400	73182	
759400	101147	
759400	101149	
759400	161660	
759400	244743	
759400	254150	
759401	131346	Marie
759401	199999	Lisa Paradiso
759401	223762	Carol Jacobs/Casale
759402	333443	Karen Price
759403	207651	Berta Legrand
759404	68430	
759405	233262	Djevojka 1
759406	266019	
759407	43313	
759407	58403	
759407	257424	
759407	266019	
759407	312478	Rukmini
759407	317779	Sandhya
759407	350043	Valli
759408	299606	
759409	88085	Krishna 2
759410	373712	
759411	4269	
759411	8373	
759411	17366	
759411	156256	Komal
759411	227076	
759411	254828	
759411	288848	Chand
759412	86652	
759412	95403	Gaiytri
759412	139403	
759412	162500	Vasanthi
759412	173335	
759412	174240	
759412	181052	
759412	267006	
759412	289135	Damayanthi
759412	307352	
759412	350528	
759412	351399	
759413	244159	Alisa Seleznyova
759414	149724	Girl
759415	283830	
759416	88492	
759416	91481	
759416	175956	
759416	211722	Akulina Ivanovna
759416	237961	
759416	270306	
759416	375483	
759417	251093	Soprano
759418	28802	
759419	382740	Co-host (Episode 3)
759420	259726	
759421	20702	Raquel
759421	193015	
759421	379133	Yolanda
759421	383155	Elsa
759421	385401	Edith
759421	386167	Beba
759421	392290	Larissa
759421	392653	
759421	400949	Marina
759422	269641	Gerda Laube
759423	302761	Karen
759424	58672	Waitress
759424	403589	Muffy
759425	57830	Lenka Vanáková
759425	58243	Pregnant Woman
759425	59809	
759425	164255	Woman in bar
759425	170669	Susi
759425	183153	
759425	197219	Ciaglewicz's girl
759425	260733	Hania
759425	340029	Rauscher's girlfriend
759425	341166	Monika
759425	373554	
759425	376523	
759425	409032	Kasia
759426	61627	Becky
759427	458	Anna-Susanna Dirksen
759427	17588	
759427	32409	
759427	33116	Frau auf der Party
759427	93465	Grete
759427	122487	
759427	155376	Hella Romberg
759427	172847	
759427	201334	Mrs. Wendlandt
759427	236823	
759427	246491	
759427	269151	
759427	293527	Marianne Tessler
759427	307092	
759427	307258	Anna Huber
759427	312656	
759427	314960	
759427	352527	
759427	356201	Christel
759427	390812	Jessika Naumann (1992-)
759428	172841	Jody
759429	397912	Gisela (1995)
759430	35783	Grace Ingalls at 9
759430	276899	Sydney
759431	205544	
759432	218248	La petite fille
759433	404482	Claudia
759434	217406	La jeune mariée
759437	256540	The Child
759437	315844	
759438	174028	
759439	76075	
759439	233527	Pedrinho's Mother
759439	344834	
759439	379101	
759439	386417	Carola
759439	387901	Estela Proença Alvarenga
759439	388565	Sheila
759439	388721	Lawyer
759439	391673	Yara Machado
759439	400097	Elza
759439	402593	Charlotte
759439	404078	
759439	409780	Laís
759440	136649	La petite fille
759441	409609	Josefine
759442	289372	Featured Extra
759443	134694	The Baroness
759443	179424	Mourner
759444	341067	
759445	118280	Dancehall Girl #3
759445	213276	Secretary
759446	391295	Moni, Tillmans Freundin
759447	189663	
759448	242815	Club Woman #3
759449	95601	Lída Melková
759449	151848	Malická
759449	165033	Mrs. Poláková
759449	166662	Chaloupková
759449	179038	Marta
759449	237747	
759449	238130	Hedvábová
759449	266454	Gardavská
759449	267951	Servant in the Fulnek
759449	290847	Catriona
759449	352472	Marie
759449	356070	
759449	357289	
759449	378525	
759449	380554	Art Expert
759450	237747	
759451	387059	Vilma
759452	357905	Bozena Svarcová
759453	180940	
759454	336	Mrs. Vesely
759454	165047	Cíglerová
759454	221350	
759454	231169	Helena
759454	268509	Eva Slavíková
759454	348460	Madame Ferat
759454	375973	
759454	380554	
759455	320732	Nora Ephron, Robotic Intern
759456	93359	Dreamer: Old friends
759457	248086	Joey
759458	140186	Young Lucy
759459	38630	Livia, la figlia maggiore
759459	51790	Nocio's wife
759459	111920	
759459	127976	Mariella
759459	202354	Jana
759459	208071	Jeanne Blasto
759459	248657	Constance Sauvage
759459	353155	Prostitute
759460	6311	
759460	67024	
759460	105820	
759460	119049	
759460	212155	Pascale
759460	234221	
759460	262583	
759460	365693	
759461	187333	An O'ffenderette
759462	354607	Kvinna vid krock (episode 3)
759462	377324	Karin
759463	16891	Herself
759463	37387	Young Valhenna Woman
759463	42807	Whitney Bryant
759463	73803	Counter Girl
759463	94985	Mavis
759463	108340	Julie Rubins
759463	109439	Roz Epstein
759463	117654	Tiffany Drawl
759463	128236	Tammy
759463	135623	Susan Sloane
759463	166917	Former Girlfriend
759463	177629	
759463	186841	Debbie
759463	317843	Frances Naquin
759463	385359	Calleigh Duquesne
759463	410835	Ainsley Hayes (2000-2002)
759464	51931	
759464	215939	
759465	65947	Headmistress
759466	283554	Varig Sales Girl
759467	263566	Little Girl
759468	232090	Teacher
759469	99853	Dry Cleaner
759469	116767	Nance Anthony
759469	235431	Dora Birch
759469	306807	Mrs. Burr
759469	366930	La Belle
759469	367686	Mrs. Segerblum
759469	367919	Woman in Cabinet
759469	372932	Mrs. Aspitt
759470	408694	Designer (2003-)
759470	408696	Designer
759471	54033	Voice
759472	308928	Mary O'Riordan
759473	147794	
759474	123377	Brigid
759475	234116	Woman #2
759476	117575	Belle #1
759477	130167	Martha's Daughter
759478	154884	Lisa
759479	210833	Undetermined Role
759479	308109	Old Lady
759480	4730	Woman on Street
759481	257511	Winnie
759481	382830	Landlady
759482	278082	Cindy
759483	122076	Agent
759484	222698	Mrs. Fryatt
759485	3473	
759486	372525	Valerie
759487	113507	Princess
759488	156	Master's Wife
759489	25627	
759489	197967	
759489	353266	Pilar
759489	379820	Iris
759489	380054	Minerva Camargo
759489	383471	Morelba
759489	383777	Cynthia
759489	392290	Dayanira
759489	396898	Malú
759489	397019	Brenda
759489	399084	Julieta
759489	399823	Mara Montalbán
759489	404161	Rebeca Santos
759489	404701	
759489	405318	Olivia
759489	407648	Elisa
759489	410303	Diamantina
759489	410327	
759489	411710	Georgette
759490	336066	Herself
759491	10121	
759491	10476	
759491	30391	
759491	64205	
759491	84447	Eloisa
759491	100374	
759491	211169	Angelica
759491	212445	
759491	248747	Vicky
759491	275815	
759491	301198	
759491	307659	
759491	336191	
759491	343448	
759491	383665	
759491	388094	
759491	392749	
759491	403365	Irma
759491	403741	
759491	405834	Sandra
759491	409833	Nurse Norma
759491	412180	
759492	383665	
759493	187969	
759493	376231	
759494	42885	
759495	385216	Pascale
759496	223117	
759497	324630	Hildegard
759498	118123	
759498	212579	
759498	379445	
759499	1183	
759499	33148	Catarina
759499	46010	Bebel
759499	48933	Delfina Delamare
759499	77258	Suzana
759499	149523	Susana/Lyla
759499	181446	Maureen
759499	198197	Dona Beija
759499	246854	Anna Rondi
759499	249448	Herself
759499	266121	Sandra
759499	293887	Dona Yá Yá
759499	296133	
759499	307532	
759499	334988	Márcia
759499	355832	Caroline
759499	357003	
759499	383441	Heloísa
759499	384922	Pamela
759499	385025	
759499	385522	Vera 'Verinha' Campos Sodré
759499	386377	
759499	386727	Dona Beija
759499	387424	
759499	387902	Kalinda
759499	388565	Helena
759499	390751	Juliana de Alcântara Pereira 
759499	393615	Carla Barros
759499	396610	Daniela Amorim (2003)
759499	396926	Domitila de Castro
759499	404178	Clotilde
759499	405990	Ana Clara
759499	408592	Clara Soares
759499	409003	Maria da Glória
759499	409418	Valéria
759499	410190	Eugênia
759500	110732	O-Koma
759501	86897	
759502	313877	Fan Girl
759502	323841	Nurse/Gimli Maiden
759503	381574	Puppeteer
759504	185903	Katie White
759505	93821	Pagan
759506	235428	
759507	150351	Nun Not in This Movie
759508	68243	Lily Garcia
759509	189721	Hilde
759510	32491	Mrs. Volichkov
759510	49026	Marlene Dietrich
759510	132197	Andra
759510	233878	Woman on Bus
759510	291891	Serbian
759510	311674	
759510	338197	Mummy
759511	20725	Valentina
759511	64239	Fioranna
759511	328321	Moglie del sindaco
759511	355697	
759511	356455	Annamaria
759511	375235	Manuela
759511	380056	Susanna
759511	380992	Patrizia
759511	385275	Maria
759511	389950	
759511	396157	Valeria
759511	410278	Ines
759512	115833	
759513	236789	
759514	12700	
759515	4561	Khyanta
759515	17662	Khyanta
759515	165331	Jatila
759515	169063	
759515	172544	
759515	222101	Manasha Buri
759515	281895	Frizzy Hair Customer
759515	301398	Sister Marie Thomas
759515	325091	Satya's mother
759516	306100	Girl
759517	370917	
759518	244134	
759519	3582	
759519	18399	Klava
759519	28503	Shura
759519	40869	
759519	95618	
759519	95647	Kravchenko
759519	95654	
759519	95749	
759519	155768	
759519	163737	Katya
759519	179670	
759519	197999	
759519	198151	
759519	224436	
759519	227066	Lyuba
759519	229922	Varya
759519	238313	Nina
759519	241935	
759519	244219	
759519	258682	a doctor
759519	259737	
759519	264983	
759519	265572	Nastya
759519	315933	
759519	334484	Alexey's mother
759519	343301	
759519	350798	
759519	374769	Kapochka
759519	375653	
759520	323646	Wife of Man on Sofa
759521	259872	
759521	294014	
759521	316102	Alien Woman
759521	357245	
759521	371116	Ustinya Pugachyeva
759522	88729	
759522	174686	
759523	404577	Operator banka
759524	225725	III. Ana
759525	302135	Amelia
759525	359175	Countess Natasha Rostova
759525	359318	Soprano
759525	371430	Tatiana
759526	3534	
759526	17581	Anna Pavlova
759526	48658	Yuliya
759526	48765	
759526	63270	(segment "Vanya")
759526	132034	Krysya/Jeanne d'Arc
759526	155612	
759526	162673	
759526	164014	Slepnyova
759526	172433	Alyona
759526	172472	
759526	178823	
759526	214307	Larisa Ivanovna
759526	224436	
759526	252803	Olga Alekseyeva
759526	253560	
759526	262187	
759526	294371	
759526	306103	Gerda
759526	306648	Marcela
759526	306710	
759526	352456	
759526	356942	
759526	370919	Fesheva
759526	373977	Mazha
759526	374994	Lida
759526	375460	Nadya
759526	376234	Tanya
759526	386805	Dubrovsky's ex-wife
759526	390723	
759526	411976	
759527	79225	
759527	121708	
759527	228131	
759528	97438	Child
759529	219718	
759529	347307	
759530	162758	
759531	182948	Women's Army of Revolt/Citize
759532	47756	Mother Carrying Wounded Boy
759532	134672	Polka dancer
759532	283006	Football Groupie
759532	333327	Brenda
759532	366817	Homeless Bum in Courtroom
759533	40211	
759534	258591	Rada
759535	2745	
759535	8124	
759535	44943	
759535	99936	
759535	100609	
759535	122786	
759535	172210	
759535	180350	Eleni
759535	182448	Nitsa
759535	213687	Arta
759535	214636	
759535	240385	
759535	248536	
759535	265965	
759535	270551	
759535	314090	
759535	321966	
759536	390037	Anna
759536	397608	
759537	402816	Host
759537	407230	Letter turner
759538	98639	Norvezhkata
759539	226843	
759540	368755	Irena
759541	344402	Herself
759542	11846	
759542	12835	Fanny
759542	12938	Laudatorin
759542	13626	Helga
759542	18240	Lucy
759542	24051	
759542	35035	Bianca Wondraschek
759542	119721	
759542	120993	Karin
759542	125303	Katrin
759542	145607	Margit Krcal
759542	156170	Lena
759542	164905	Frau Sommerauer
759542	173674	Eva
759542	179762	Angelika Lanz
759542	188672	Margarethe
759542	196441	
759542	234954	Jasmin Schmid
759542	269954	
759542	294574	Lena
759542	302751	
759542	304947	
759542	308826	
759542	311086	Mitzi Rihoscheck
759542	320458	Stewardess
759542	325385	
759542	328307	Lilly
759542	376313	Jessica
759542	376512	Kathi
759542	403792	Chantal
759543	247177	Schwester Isabelle
759543	395010	
759543	406321	
759544	66745	Make-up artist
759545	26258	
759546	357833	
759547	47423	Young Dorm Guard
759548	18411	Bit Role
759548	29234	
759548	39364	
759548	39949	
759548	62484	
759548	106424	
759548	119343	
759548	122845	
759548	124767	Courtroom Visitor
759548	140930	
759548	159929	
759548	159930	
759548	256196	
759548	317729	
759548	361914	
759548	372393	
759549	7921	Society Woman
759549	144813	Bit
759550	62922	Nutlady
759550	314779	Bar Girl
759550	362380	Stenographer
759551	370711	
759551	387573	Roberta
759551	389235	Alicia Villalba
759551	398995	
759551	403651	Dulciena
759551	405812	Mimí
759551	409957	Nora 'Norita' Levín (1999-200
759552	83744	Shlomit
759553	5913	Herself
759554	26173	Herself
759555	181599	
759556	357208	
759557	349536	Roberta
759558	116041	Groupie
759559	176136	
759560	67954	
759560	68629	
759560	74655	
759560	82346	
759560	101046	
759560	104015	
759560	132469	
759560	132705	
759560	214405	
759560	216761	
759560	244596	
759560	248228	
759560	249786	
759560	258618	
759560	266508	
759560	268244	
759560	277006	
759560	295108	
759560	296460	
759560	343628	
759560	379598	
759560	379852	
759560	380106	
759560	380209	Enriqueta
759560	387083	Leticia
759560	388886	
759560	396781	Gabriela
759560	397571	Emilia
759560	398489	
759560	398913	María
759560	400717	
759560	400790	Mother Superior
759560	402301	Victoría
759560	405412	Rufina
759560	405816	
759560	410016	
759561	162886	Beach Girl
759562	32070	Trombone Player
759563	8183	Countess Olenska's maid
759563	107878	Maria
759564	101278	Irene DiGeorgio
759564	137195	Josh's Mom
759564	176838	Mrs. Franco
759564	221259	Lundy's Secretary
759564	266564	Baglady
759564	300814	Hostess
759564	306431	Marriage Desk Employee
759564	321266	Osiris
759564	367589	Niko's Mother
759565	320368	
759566	217559	Missis Mancini
759567	5936	Newscaster
759567	35233	Marlene
759567	35704	
759567	40250	Charlotte
759567	56304	Jennifer Santoro
759567	109649	Nancy Wilson
759567	131780	Angie
759567	161757	McGuire
759567	194223	Commercial Script Girl
759567	210481	Easy Street Model
759567	257694	Ann
759567	333375	Jennie
759567	350337	Camille
759568	217201	Laura Marx
759569	72688	Priscilla
759569	117428	Betsey
759569	119508	Kathy
759569	126555	Nicki
759569	259939	Flynn
759569	361068	The Weenies
759569	380713	Ellie Snyder Anderson (1988-1
759569	385824	Veronica Allen (1985-1986)
759570	135127	
759571	144331	
759572	226000	
759573	310949	
759574	160979	
759575	58510	Caroline
759577	121959	Mila
759577	155659	
759577	186541	Ranka
759577	201357	Miletova supruga Slovenka
759577	215355	The Madam
759577	242642	
759577	249214	
759577	267322	
759577	276050	
759577	287644	Mila
759577	312417	Plavokosa and Danijela Dorija
759577	312467	
759577	343867	
759577	343967	Mrs. Panic
759577	351013	
759577	352784	
759577	373747	
759577	394111	
759577	395832	Doktorka
759577	399958	
759577	402022	Nemica ... poslovni partner
759577	402026	Olgina prijateljica (I)
759577	402119	
759577	405656	
759578	216611	
759579	85163	Smilja kao djevojcica
759580	89592	
759581	256853	Mrs. Darling
759582	398874	Pawel Walicki
759583	339310	
759584	340724	
759585	30091	
759585	91509	Client
759586	189109	
759587	203436	Chorus
759588	215831	Angry Bookstore Customer
759589	1870	Press Agent
759589	14212	Shawn Chapman
759589	80491	Samantha laVole
759589	190702	Janet
759589	244334	Didi
759589	245204	Vickie
759589	306221	Jenny
759589	335715	Black Soldier
759589	388801	Kayla Turner
759590	72854	Robbi
759591	188129	Puklice
759592	63890	
759593	13292	Patron
759595	342746	Koorine
759596	46242	Older Woman on Wharf
759596	397859	Prime Minister's wife
759597	108652	Mathilde
759597	164658	Fabinne
759598	96603	Girl #1
759599	62781	L'observatrice de la parité
759599	86430	Déméter
759599	133019	
759599	217841	Pénélope
759599	234666	La médecine
759599	260029	La femme kurde
759599	337033	Emilie
759600	337033	Bébé d'Emilie
759601	276920	Future Technician
759602	263677	Lyuda Yablochkina
759604	46572	Styles
759605	296094	La jeune échevelée
759606	354862	Mother
759607	119434	
759607	393409	
759608	60075	Mammy
759609	214042	Herself - Harvard School of P
759610	352646	Gräfin
759611	134225	Anitha
759611	184900	Greta Von Gruesome
759611	184901	Greta Von Gruesome
759611	184902	
759611	184903	Greta Von Gruesome
759611	370670	Malathi
759612	20226	
759612	394713	
759613	259161	Thalia
759614	1669	
759614	46026	
759614	100611	
759614	234201	
759614	387707	Hristina
759614	388684	(2003-)
759614	390038	
759615	350614	
759615	379452	
759615	380420	
759615	408912	Ekavi Loggou
759616	263667	Malvina
759617	209513	
759618	306950	
759619	38663	Christine
759619	119599	Gwen
759619	146619	Moira Millikin
759619	211958	Eva
759619	364465	Woman at wax museum
759619	384783	Jacki Kendall
759619	396363	Nastasie
759619	399485	Mary (Deacon) Thoday
759619	400109	Mrs. Sowerberry
759619	405387	Miss
759620	191290	Mrs. Beaver
759620	359944	
759621	267640	Quatro
759621	346016	Inmate
759622	153283	
759623	348336	Sister Mary Indian (Nun)
759624	97522	Hostile Customer
759625	47422	Jenny (age 4)
759625	203186	Paris Jackson (Michaels daugh
759626	15113	Judith
759626	23651	
759626	51500	Laurianne Beaulieu (mère)
759626	101133	Pauline
759626	111037	Mlle Angèle
759626	146406	
759626	148842	
759626	165746	
759626	260957	Marie
759626	296079	La chanteuse
759626	379430	Sergent Carmen Côté
759626	392368	
759626	392962	Claire Boileau
759626	393285	
759626	398078	Claire Lebeau
759626	406029	Annette Julien
759627	15054	
759627	15208	
759627	75629	Mlle Theberge
759627	119053	
759627	144366	Miss Dolphine
759627	159326	
759627	164155	Mme Lafleur
759627	164220	Hotel's Owner
759627	173129	Victoire
759627	197400	Denise LeRoyer
759627	237610	
759627	248268	
759627	332270	
759627	332274	Madame Eva
759627	350918	Sister Ste-Germaine
759627	371421	Mme Noreau
759627	388867	Francine
759627	400627	Fernande Lemieux
759627	400804	Émérentienne Chalifoux
759627	401330	
759627	401727	Gertrude Leblanc
759627	403742	
759627	403898	Sofrida Belhumeur
759627	407214	Marie-Madeleine
759627	407807	Marie-Rose Desrosiers
759628	129846	Herself
759629	135346	
759630	360221	Josie
759631	115421	
759632	1140	Deuxième fille de la ferme
759632	24585	Prostituee avec Regis
759632	222963	
759632	351826	Serveuse
759633	321182	Girlfriend at Fair
759634	78971	Julie
759635	10986	Enfant
759635	13620	Young Amelias
759636	307499	
759637	132892	
759638	78390	
759638	402557	
759638	407345	Roxane
759639	183947	
759640	14803	
759640	100932	
759640	116639	
759640	183947	
759640	254338	
759640	353188	
759641	31418	Betty
759641	72056	Fanny
759641	219477	Caroline
759641	245565	
759641	268448	
759641	346563	Émilie
759641	352597	Sophie
759641	377630	Sandrine
759641	384596	Lotte
759642	7239	
759642	62936	
759642	66075	
759642	77351	Dame Anglaise
759642	241175	
759642	250509	L'institutrice
759642	257886	2nd Woman at the Lamp
759642	269223	La voyante
759643	113709	Officer
759644	389343	Madame Belleau
759645	59375	Disgusted Woman 2
759646	56779	The Daughter
759646	70812	
759646	135174	
759646	192200	Little Red Riding Hood
759646	215649	
759646	230567	Snobbish Girl in Church
759646	235475	The Bareback Rider
759646	239608	
759646	243739	The Orphan
759646	274470	
759646	279103	Eva
759646	319776	The Young Wife
759646	331270	Goldilocks
759646	331749	
759646	361277	Female Orchestra Member
759647	99022	Abby Miller
759647	191051	Stella (Age 8)
759647	214536	Young Tracy Wellman
759647	241099	Brittany Morgan
759647	342468	Brittany Morgan
759647	360688	Stella Carver
759648	269143	Une journaliste
759649	14161	Joanna Simpson
759650	42775	Herself (photographer)
759651	307310	
759651	355865	Virginie
759652	350070	La monitrice
759653	307310	
759654	307310	
759656	240322	
759657	196029	Girl
759658	342688	Nurse Glenda the Good Witch
759659	274052	Rachel
759661	198228	Hitch-hiker
759662	380097	Isabel
759662	390750	Márcia
759662	390752	Nikita
759662	392510	Nanda
759662	404272	Viviane
759662	404888	Rosemunde
759663	370252	
759664	17090	Barbe
759664	25116	Esther
759664	32032	
759664	33547	Henriette
759664	59249	Gisèle
759664	66226	Madame de Léré
759664	86890	Clotilde de Pontagnac
759664	96104	Madame Prunet
759664	104227	Suzanne Lambertier
759664	107516	
759664	125714	Mme de Suff
759664	133090	La comtesse
759664	134598	
759664	184557	Madame Laporte
759664	191316	Hélène
759664	211643	Barbe
759664	214882	Une commére
759664	225099	La mère d'Isabelle
759664	235856	
759664	261840	La patronne de l'hôtel
759664	268458	Mlle. Letellier
759664	340670	La Païva
759664	345098	Comtesse Clélia de Montelone
759664	346738	Maggué
759664	346740	Lady Barbara Dumfrey
759664	349529	Marceline
759664	350083	
759664	379424	Dominique
759664	382466	Dominique, la mère de Colette
759664	398984	La mère
759664	401319	Mlle Angevin
759664	412201	
759665	207771	Le mère muette
759666	1140	Cousine de De Lorimier
759666	17864	Claudette Pelletier
759666	38257	Geneviève
759666	96795	Marianne
759666	99590	Lisianne Gagnon
759666	300609	Professeur
759666	410628	Carole Bélanger (1994-1997)
759667	214986	Young Annie
759668	11502	Drunken Woman
759668	27485	Vincente's wife
759669	350216	Mother
759670	358291	Army chick
759671	2206	Emmy Lou Raven
759671	42357	Herself
759671	43736	Bonnie Parker
759671	131543	Minerva Bissel
759671	133770	Lily Olay
759671	163462	Emeline Marcus-Finch
759671	192539	Jackie
759671	230304	Sally Inwood
759671	241736	Tracy Alexander
759671	278633	Babe
759671	291687	Susan Fleming
759671	308037	Emmeline Finch
759671	309621	Marge Carruthers
759671	327971	Herself
759671	329412	Ingrid Randall
759671	358700	Ann Conroy
759671	364356	Verna Baxter
759671	379586	Rocky Shaw
759671	403502	Pinky Pinkham
759672	195161	
759672	201102	Marguerite Courtemanche
759672	215260	Arsinoé
759672	381189	Jacqueline Villeneuve
759672	381504	Soeur Sainte-Scholastique
759672	406028	Clotilde Martin
759673	127017	Lily Raquel
759674	71839	
759674	131715	
759674	134300	Louise Morestan
759674	168892	Irma
759674	174635	
759674	208809	
759674	218266	
759674	237312	
759674	266404	Angéline Haudecoeur
759674	268398	
759674	346528	
759675	366902	Dana Skinner
759676	57538	
759676	338591	
759677	310180	Barbie Que
759678	366921	Haggard Woman
759679	320037	Pride
759680	188683	Elle à Berlin
759681	236186	Cherubino
759682	242712	
759683	2376	Herself
759683	2548	Herself - Presenter
759683	53336	Claudine
759683	55500	
759683	64558	Performer
759683	86919	Marion Davis
759683	99623	Herself
759683	112052	Francina
759683	118888	Herself/Interviewee
759683	122653	Lili
759683	129437	
759683	138730	Herself
759683	170457	Herself
759683	178791	Herself
759683	217102	Wife
759683	223135	
759683	262940	Herself
759683	278203	Ursula Poe
759683	292130	Martha Foster
759683	292248	Rena
759683	311921	
759683	364231	Norah Dain
759683	398081	Mona Carroll McCluskey
759684	352350	
759686	339734	
759687	298734	
759688	214307	
759689	12017	Dancing Babe
759690	324371	Destroyed Future Inhabitant/F
759691	294643	
759691	341335	Strankinja
759692	397410	Receptionist
759693	42909	Novinarka RTB
759693	94176	Castelan's Wife
759693	94890	
759693	163046	
759693	171919	
759693	172484	Lucija Milosavljevic
759693	180699	
759693	197224	
759693	303622	Agnes
759693	305197	
759693	320701	Medicinska sestra
759693	338048	
759693	351341	
759693	355549	
759693	375741	
759693	399020	
759694	17585	Herself
759694	23735	
759694	30755	Suzanne
759694	51402	La femme blonde
759694	64772	Elena
759694	91445	Sarah Robski
759694	92680	
759694	115439	Senta
759694	135359	La fédérée polonaise (segment
759694	142638	
759694	148701	Julie
759694	187976	
759694	201135	Agnès
759694	229489	Wanda Vallès
759694	236159	Female Clerk
759694	238848	Halinka
759694	266307	Mrs. Fox
759694	266328	Krystyna
759694	275164	Eva
759694	304514	Momicheto
759694	305434	Krysia Kowalska
759694	312721	La femme blonde
759694	321255	Anna Planeta/Capt. Ann
759694	345045	
759694	347840	
759694	369004	The Teacher
759694	390756	
759694	399396	Hélène
759694	410774	Steffa
759696	132939	Narrator
759697	114368	Veronica
759697	350214	Amanda
759698	177369	Audrey
759699	103265	Lubella
759700	289670	Diane
759701	83891	
759701	169036	
759701	379457	Yolanda
759701	397838	Adriana San Millán
759701	397839	Adriana
759701	398915	Soraya
759701	403459	
759701	407850	Lorenza Segovia
759702	218308	Femme dépressive 2
759703	288088	
759704	58041	
759705	271294	Nurse Patel
759706	377464	Mrs. Dupuis
759707	381493	Friends Geek (2002)
759708	34228	
759708	95642	
759708	174965	
759708	364941	Stefa
759708	387138	Katya Tatarinova
759708	409848	
759709	271676	Miki
759709	293450	Rika
759709	297223	Lena, Priestess
759709	328012	Alexiel
759709	397196	Rapier
759709	401393	Keyne Aqua
759709	411648	Maria's Mother
759710	214047	Peasant
759711	301753	Rental Car Agent
759712	330818	Herself
759713	178889	Herself
759714	275621	Patricia Jambier
759715	337701	Blanche DuBois
759716	271170	Cabdriver
759717	87900	Leslie
759718	407712	Patricia Richardson
759719	193716	Nurse
759719	215507	Pageant Employee
759719	230663	Student
759719	255273	Townsperson
759719	359499	Media
759720	323443	Woman Outside Bar
759721	11535	Feng Shui
759722	87905	
759723	261564	Pineview band
759724	42772	Hair salon stylist
759724	42786	Waitress
759724	45591	Andie
759724	80969	Southern Tourist
759724	93223	Michelle
759724	95331	Valerie
759724	107286	Ms. Stafford
759724	185385	Lila, Karen's Sister
759724	206488	White House tour guide
759724	216772	Miss Brill
759724	222619	Rebecca
759724	237604	Nightclub Woman
759724	310423	Showgirl
759725	47382	Anytime Annie
759725	62778	Reject Dancer
759725	324742	Dancer
759726	58811	
759726	68422	Nicole Kaplan
759726	148638	Sophie
759726	225445	L'infirmière
759726	346548	Dominique
759726	380780	Patricia
759726	400859	Sophie
759727	253302	Lorna
759727	322752	
759727	392352	Sandra
759728	44450	Young Donna
759728	116554	Cynthia Gordon
759728	381079	Stacey McGill
759728	400255	Charlie the Host (1997-1998)
759728	407610	Winnifred Tattinger (1989)
759729	381179	Emanuela Simoni
759730	308482	
759731	184942	Tina, The Hooker
759732	204893	Herself
759733	342825	
759734	129692	Christel Abt
759735	311400	Bundesrätin
759735	317374	Martha Kunz
759735	381864	
759736	141863	Patron
759737	109251	Herself
759738	197893	Grete
759739	32705	Mrs. Nichols
759739	116690	Mrs. Smith
759739	128206	Dorothy Grosscup
759739	146307	Eva Uppington
759739	165350	Nancy Cummings
759739	245258	Clarice Stapleton
759739	273824	Mrs. Dahlgren
759739	331059	
759739	362572	Mrs. Blake
759739	367534	Marion Fairlie
759739	368627	Phyllis Leigh
759740	5492	
759740	6794	
759740	39457	
759740	46414	
759740	224713	Helena Landless
759740	240472	Joan Thurston
759740	258211	Evelyn
759740	261028	
759740	278482	Mary Harrison
759741	129219	Stacey
759742	194693	Customer 2
759743	104634	Herself
759743	104636	Herself
759744	193058	
759745	104222	
759745	106464	Le fille du club de Jazz
759745	189318	La secrétaire du lycée
759745	243773	Junon
759745	258868	
759746	213504	Girl in Hall
759746	222599	Emily
759747	97155	
759747	147303	Suchánková
759748	258786	
759749	33326	Motya, Gavrik's cousin
759750	231426	Cafe patron
759751	408481	Presenter (1990s)
759752	163374	Lexi
759753	128583	E.R. Nurse
759755	110903	
759755	246697	Wardrobe Mistress
759755	300178	
759756	224813	Streetwalker
759757	144789	Countkid
759758	144789	Countkid
759759	144789	Countkid's Mother
759760	60179	Tracy
759760	241613	Becky Moray
759761	151171	Herself
759762	112744	Genevieve
759763	274169	Julie Belle
759763	330594	Ronnie's Roommate
759763	360911	Katie
759764	319269	
759765	6821	Revolutionary Cabinet Member
759766	71923	Josie Serling
759767	314353	Mrs. Grosvenor
759768	161353	Herself (childhood friend)
759769	6273	Apartment tenant
759769	11352	Cafe waitress
759769	75535	Party girl
759769	90351	Girl
759769	117115	
759769	131878	Bikini Girl
759770	193176	Chef Mola
759771	283739	Woman Back Stage
759772	31637	Roxanne
759772	97232	Sara (Tarot Reader)
759772	125991	Co-worker
759772	272023	Rebecca Forman
759772	301835	TV Interviewer
759772	321475	Claudia
759772	366652	Tierra
759773	177319	Esther
759774	134195	Tour Guide #2
759774	360668	Shower Guest
759776	113658	Young Iseult
759777	16738	Mrs. Smeeth
759777	32400	
759777	40036	James Harper
759777	69805	
759777	88856	
759777	88884	Mrs. Cooper
759777	96710	Stephen's mother
759777	141193	Frau Spiel
759777	149807	Madam Douin
759777	183596	Mrs. Butler
759777	183845	Sister Wheeler
759777	190086	Teddy's mother
759777	199642	Mrs. Griggs
759777	217410	Mrs. Gill
759777	223058	Nina's Mother
759777	228295	The Matron
759777	233677	
759777	238884	Mrs. Digby-Hunter
759777	243260	Miss Marigold
759777	292592	Mrs. Haywood
759777	308613	Jelka Delius
759777	331279	Birdie Guffy
759777	360542	Prison Matron
759777	399030	Jessie Titlark #2 (1957)
759777	405217	Dr. Ethel Smyth
759778	273966	
759779	159888	
759780	5836	Public Defender
759780	72109	Dora (Makeup Artist)
759780	80410	Joan
759780	208988	Janeeta
759780	233782	Mayor
759780	305948	Chloe
759780	328869	Zeraptah
759780	397991	Herself (Seasons 1-3)
759781	16918	Lupe
759781	40070	
759781	106723	Willa
759781	120396	
759781	151483	Shopper
759781	191837	
759781	210540	
759781	249572	Herself
759781	392423	Herself
759781	403887	Jackie (1998-1999)
759782	261650	Apothecary Shop
759783	141786	Girl
759783	365333	Catrin Hughes
759783	401689	Alison Owen
759784	152205	Miss Maryanne
759785	17473	Woman
759785	17640	Annajanska, the Queen
759785	29182	Mrs. Leonardsson
759785	101639	Lisa Bladh-Bernhard
759785	111631	Sister
759785	116018	Store clerk
759785	122494	Tove Larsson
759785	128953	Miss Gilchrist
759785	142327	Gestur's Grandmother
759785	153753	
759785	170708	Madame
759785	175352	Mamsellen (episode 1)
759785	178478	Helge's Mother
759785	180076	Ms. Pimpernel
759785	182256	Neighbour
759785	192930	Olivia Petrén
759785	193389	Anna-Lisa
759785	203231	
759785	205498	Birgitta Bertner
759785	217008	The Mother
759785	217415	Dulcie Baxter
759785	218254	Manicurist
759785	225314	Edla
759785	237056	Fina Kajsa
759785	245846	Old Woman
759785	252006	Gammel-Maja
759785	268338	Edla, maid
759785	275884	Helge's mother
759785	305874	Peter's landlady
759785	315361	Lillemor
759785	320689	
759785	349027	Hanna Andersson
759785	349128	Fina Kajsa
759785	350927	Ms. Lind
759785	355642	Widow
759785	377443	
759785	394883	
759785	394937	Little Mussy
759785	405619	Majken
759785	405785	Astrid Rooth
759785	408339	
759785	408799	Herself - Member of the Film 
759786	55190	Micaëla
759787	276924	Nurse
759788	31908	Waitress
759789	196588	
759790	266307	
759791	122749	Sylvia
759791	208714	Mayra
759792	63892	
759792	95960	Policewoman
759792	136364	Marylka
759792	174028	Jadzia Jaszunska
759792	181360	Kasia
759792	284347	Beata aka Gryzelda
759792	296424	Dziewczyna
759792	319660	Donata Fiok
759793	57796	Weronka
759793	63894	
759793	202253	
759793	258570	Weronka
759794	231724	Herself
759794	374664	Club Singer
759795	121527	Sucka
759796	104782	Herself
759797	104782	Herself
759798	276078	Ewka
759799	369008	
759800	368654	Bronson #4
759801	219293	
759802	51152	Ninon
759803	262225	
759804	3545	Chica Piscina
759805	247999	
759806	183311	Ansat på arkitektkontor
759807	349861	Coiffeuse 2
759808	101171	
759808	198549	Bar owner
759809	140298	La femme de Clem
759809	249417	
759809	249751	
759809	254053	Minerve
759809	254162	Rose
759809	285984	La mère de Rosemonde
759809	387615	Mlle Berthe
759810	111067	
759810	240297	Mme Martinaud
759811	247607	
759812	345158	Simone
759812	380970	Léo
759812	400855	
759812	403254	Marielle Landry
759812	403919	Anne-Sophie Boudreau
759813	186192	Mam'zelle Arthur
759813	212148	Henriette
759813	339209	
759814	52390	Catherine
759815	248717	Viviane
759816	396308	Lisa
759817	7434	Madame Lenormand
759817	8097	Julie
759817	25111	Mme Van Hope
759817	46934	Christine
759817	55008	Béatrice
759817	58605	La jeune fille
759817	70152	
759817	72069	Mrs. Harrington
759817	77856	Maria Zeitler
759817	84682	Cécile Vancouver
759817	86890	Maguy Pacarel
759817	88838	
759817	101806	Lucienne Noblet
759817	215132	
759817	225432	Irène Daniel
759817	236560	
759817	249094	Jane Billingham
759817	264436	Alice
759817	266405	
759817	340113	
759817	343554	Louise Maurisson
759817	350919	Madame de Maufrigneuse
759817	397938	Comtesse
759817	399758	Mrs. Julian (segment "Un jeun
759817	409440	
759818	218334	La bonne
759819	23783	Catherine
759819	59697	Ariane
759819	97072	Marie Valette
759819	104479	Lili
759819	160548	La vendeuse 'Nina Ricci'
759819	281301	Christine
759819	307495	
759819	333689	Sophie
759819	345160	Mme Chapelin-Tourvel
759819	354574	Julie, la fille de Nathan
759819	377013	Isabelle
759819	402846	Catherine
759820	65131	Sylvie
759820	72056	La beaufette
759820	87494	L'infirmière
759820	96021	Serveuse
759820	111701	Corinne
759820	200952	La bonne des Seuret
759820	205749	Mme Montiboeuf
759820	247994	Lucette
759820	258788	Marie-Cécile
759820	306953	
759820	324501	Yolande
759820	353885	Roselyne Groseille
759820	382573	
759821	248986	
759822	15027	La mère de Martine
759822	17745	
759822	33238	Lilli
759822	33278	Françoise
759822	33815	
759822	43425	The Girl
759822	48122	Clarissa Renos
759822	51958	
759822	53238	La baronne
759822	56336	Sandra Solfi
759822	58309	La secrétaire
759822	65163	
759822	68396	Isabelle
759822	76128	Jacqueline
759822	90651	Paola
759822	101059	Nicole
759822	106075	Charlotte
759822	112801	Eléonore San Real
759822	123076	Nicole
759822	133085	Gladys
759822	146433	Friend of Countess (segment "
759822	153749	
759822	159740	
759822	163722	Elvira Spallanzani
759822	166268	
759822	167165	Guylaine
759822	184212	Claudine
759822	200968	Simone
759822	202064	
759822	204442	
759822	205374	
759822	211364	Françoise
759822	211622	Renée Novick
759822	215003	
759822	218447	Germaine
759822	219596	Françoise
759822	231147	
759822	248271	
759822	249045	Terry Yordan
759822	249698	Arlette
759822	251288	Katie Pearson
759822	263720	Virginia
759822	265813	Paolo's Mother
759822	266118	
759822	269002	
759822	269075	Cristiana
759822	269479	The Queen
759822	275123	
759822	284174	Anne de Limeuil
759822	290926	
759822	292238	
759822	294623	Leni von Gerlach
759822	301314	Hélène
759822	307490	Jeanne
759822	328056	Carla
759822	340171	Ketty
759822	341790	
759822	343535	
759822	343542	Françoise Castejac
759822	346496	Simone
759822	349498	Françoise
759822	350303	Arlette
759822	350304	Arlette
759822	353074	Colette
759822	354935	La jolie infirmière
759822	355011	
759822	355863	
759823	346520	La serveuse
759824	348489	La vieille femme
759826	256977	
759827	113252	
759827	319861	
759828	19325	
759828	58605	La jolie passagère
759829	268391	
759830	14903	Margherita
759830	24914	
759830	169166	Jeanette
759830	195167	
759830	327653	Yvonne
759831	45793	
759831	69004	
759831	103050	
759831	135314	
759831	345239	
759832	273105	
759832	322180	
759833	104051	Kornél szerelme
759833	125641	Ági
759833	137889	
759833	182209	
759833	322180	
759833	357944	Nagya
759834	208846	
759834	268439	
759835	375467	Mala
759836	22738	Frau Schnitzler
759836	40960	
759836	125212	
759836	335992	Reporterin
759837	373625	
759838	153977	Bibi (episode "Der gelbe Wage
759840	376361	Nicole
759840	412102	Nicole
759841	401682	Host
759842	51291	Jenny
759842	100935	Irene
759842	315374	Margit
759842	322684	Gudrun
759844	150780	Peasant Woman
759845	82827	
759846	218218	
759846	379412	Ergini
759846	393051	
759846	395090	Elvira
759846	395381	
759847	55253	Rachel
759847	97323	Dawn Marie
759847	97325	Dawn Marie
759847	97338	Dawn Marie
759847	97339	Dawn Marie Bytch
759847	168487	Dawn Marie
759847	282685	Dawn Marie Wilson
759847	320141	Dawn Marie Rinaldi
759847	369200	Dawn Marie
759847	369207	Dawn Marie
759847	369208	Dawn Marie
759847	369210	Herself
759847	369216	Herself
759847	369217	Dawn Marie
759847	369223	Herself
759847	369237	Dawn Marie
759847	387279	Dawn Marie (1999-2001); Tammy
759847	388101	Dawn Marie (1999-2000); Tammy
759847	411537	Dawn Marie Wilson (2003-); Da
759847	411545	Dawn Marie Wilson (2003-); Da
759848	341181	
759849	403230	
759849	409862	Dina
759850	172894	Lilian
759851	172894	Vivian
759852	98315	
759852	147153	Pepi Kokosch
759852	150599	
759852	169373	
759852	170369	Mami
759852	361034	
759852	389956	
759852	391293	Tante Martha
759853	79279	Blonde Barfly
759854	8455	Baroness
759854	176052	
759854	178727	(segments "Klinika", "Konsult
759854	179087	Yaroslavna
759854	187382	
759854	217461	
759854	305546	
759854	351292	
759854	389747	Anna Vestuzheva
759855	379816	
759856	210485	Gloria
759857	330358	
759858	153538	Candystriper
759859	165123	Grandmother
759859	180112	Old lady (witch)
759860	42927	
759860	48521	
759860	74418	Gabi, aki kevésbé örül
759860	74434	
759860	74451	
759860	75938	Fürstin Marie-Louise
759860	97974	
759860	97990	Antónia
759860	99537	Királyné
759860	102541	Mutter
759860	103051	
759860	110726	Sebes Maca, énekesnõ
759860	118170	
759860	122397	Dóra
759860	122599	Olasz autós
759860	144677	Betti
759860	153678	Színésznõ
759860	153697	Tera
759860	163131	Helene
759860	163132	
759860	163179	
759860	176207	Gézuka anyja
759860	198322	Viola
759860	209810	
759860	211656	
759860	211700	Vali,Piri testvére
759860	216250	Queen Beatrix
759860	226703	Eurydike
759860	227521	Rózsa
759860	229710	Juci
759860	243722	Helga
759860	272164	
759860	322011	Adorjánné, mama
759860	322069	A kisasszony
759860	322391	
759860	343747	
759860	349035	
759860	349039	Mrs. György Nyáry
759860	357930	Mrs. Csuszik
759860	357931	
759860	375966	Lukrécia
759860	377206	
759860	377817	Katona felesége
759860	377892	Marika/Maud/nõ/Tekla
759860	378263	Micci Diabolo
759860	394880	Kotkoda (episodes 1-13)
759860	412294	
759861	316436	
759862	266381	Mitreisende
759863	200439	
759864	145522	Candy
759864	164275	
759864	302678	
759866	49828	Rat Woman
759866	180179	
759866	341189	Marina
759867	156006	
759868	116002	Val
759869	126268	
759869	196338	
759869	258129	
759870	20538	
759870	29786	
759870	95638	
759870	169110	Mother J.K. Tyl
759870	174002	
759870	180817	
759870	198375	
759870	227874	
759870	230483	Teta Ing. Nováka
759870	234259	Anna Marie Kostálová
759870	305552	Antonínova matka
759870	320536	Blazková
759870	320636	Bártová
759870	350612	Abbes
759870	351374	Anna, Petrova matka
759870	373506	Jirí's mother
759870	374226	Anna, Kalina's wife
759870	375411	Fanynka
759871	36359	A Xiang
759871	151964	A Li
759872	53937	Rollerbabe #3
759873	176325	Native Malayan Dancer
759874	50006	Guest Princess
759875	228442	Ticket Agent
759876	388592	Rosa
759876	391609	
759878	148147	
759879	354186	Silvia
759880	206447	Three-Card Monte Victim
759881	206447	Three-Card Monte Victim
759882	124446	
759883	214971	Little Girl
759884	339599	
759885	82712	
759885	159497	
759885	202093	
759886	105542	Ana
759886	223333	Júlia
759886	380089	Aurélia
759886	396810	Berenice
759886	397546	Jandira
759887	408381	Dalila
759889	103440	
759890	128587	Nancy Foster
759891	386743	Jean Madison
759892	89327	Other Cast
759893	310571	Cynthia
759894	301359	La maestra di canto
759895	351009	
759896	87928	
759897	157162	Octavia
759897	198613	Francesca
759897	251313	Mirella
759897	287691	Teresa
759897	342135	Gaia
759897	385276	Giulia
759897	387465	Elisa di Rivombrosa
759898	122725	Lucky
759899	28679	
759900	99682	Herself
759900	99688	Herself
759901	225768	
759902	251290	Fille cadette du coiffeur
759903	196387	Teacher
759904	314573	
759905	95726	Lady at Restaurant
759905	165844	Village Woman
759905	255613	Barmaid
759905	303738	Jagusia
759905	373706	Vendor on Train
759906	14736	
759906	90115	
759907	19252	
759907	51575	
759907	61138	
759907	100778	
759907	204644	Justina, la portera
759907	221559	
759907	250666	
759907	273018	
759907	286291	
759907	320288	
759907	332705	
759908	204594	
759908	204690	
759909	55911	Criada
759910	10250	
759910	71002	
759911	378452	
759912	96366	
759912	247845	Sandra
759913	276295	
759915	223776	Failed Sitcom Actress
759917	203796	Mrs. Errol
759918	300037	
759919	329693	Voodoo Dancer
759920	121528	Hotel Waitress
759921	29581	Kobra
759922	691	Herself
759922	23933	Herself/Audience Member
759922	386806	Herself - Field reporter
759922	400688	Herself - Host
759922	406939	Herself - Presenter
759922	411031	Herself - Host
759922	411401	Herself - Presenter (1990-199
759923	285801	
759924	292335	Kirsten
759924	360483	Julie
759924	366686	Jose Rodriguez
759924	366687	Waitress
759924	378788	
759925	56031	
759926	358832	Herself (Walt's niece)
759927	130576	Mrs. Krysia
759928	87480	Opera Lady
759929	140701	Funcionaria
759930	13013	
759930	71160	Recepcionista/Notaria
759930	157321	Girl in the bar
759931	383268	Miriam (daughter)
759932	118754	Femme 2 couple salon musique
759933	366956	Theresa McAllister
759934	193060	
759935	15061	
759936	25035	
759936	61139	
759936	74515	
759936	90532	
759936	91296	
759936	91308	
759936	115742	
759936	207750	
759937	160845	
759938	411435	The Saiyan
759939	68132	Dancer
759939	129105	Guest
759939	271855	Dancer
759939	283236	Rumba dancer
759940	64492	
759941	377178	
759942	3418	Girl
759942	15356	
759942	101867	Pacienta 1
759942	204684	Camarera
759943	326223	Leticia
759943	354847	Karla
759944	13004	
759945	410323	Atenas (age 7)
759946	114915	Volley
759947	277098	Witch
759948	388044	Herself
759949	294752	Emmy Lou
759950	408419	Lina
759951	15357	
759952	121227	
759952	381217	
759952	384119	Gabriela Morán (1995-1997)
759952	384782	Chani
759952	399627	
759952	403237	María, Santiago's wife
759952	409957	(2000)
759953	32707	Blonde on the Beach
759954	328154	
759955	228776	
759956	119884	Neighbor
759957	6493	
759957	55925	La Pachequito
759958	16809	
759958	54576	Josephine Prenez
759958	69475	
759958	92335	Clara
759958	101808	
759958	108118	Estela Cataño
759958	125462	
759958	140553	
759958	205607	
759958	207976	
759958	281791	Esperanza
759958	351836	
759959	229598	
759960	97471	Virginia Poe
759960	394406	Devyn (1988-1989)
759961	186437	Gwen
759962	212383	Jamila
759963	318337	Jack's Mom (Edna)
759964	185369	TV Producer
759965	100455	Rebeca
759966	189026	Carmiña
759967	51615	Dona Quim
759967	384972	Vicenta Cardona (2000-2001)
759968	193010	Marian
759969	205606	Female Bodyguard
759970	95942	
759970	104772	Russian entry (15th place)
759970	162432	Nadya's voice (songs)
759970	180357	Angela (vocal)
759970	198166	
759970	261883	Zukhra, a singer
759970	264384	Herself
759970	296422	Herself
759970	313881	
759970	313882	Young Herself
759970	313883	
759970	339006	
759970	341216	Nina Chelnokova
759970	356598	
759970	357454	Herself
759970	374783	Anna Streltsova
759971	244162	
759971	370997	
759972	88406	
759972	95603	
759972	234438	
759972	263406	
759972	288363	
759972	306646	
759972	352817	Zina
759972	373642	
759972	394750	
759973	264384	
759974	264384	
759975	179924	
759976	392792	Mérilu
759977	192903	
759978	334316	
759979	143520	Chantal Duvert
759980	34516	Receptionist
759980	142505	Bardame
759980	153101	Dame på kro
759980	233284	Politibetjent
759980	275265	
759981	33511	
759983	170841	Ceil
759984	336720	Bron
759985	300180	Baby Fat Dancer
759986	315627	Cheerleader
759987	47952	The Mother
759987	411778	Lady Lavender
759988	64091	Delivery Nurse
759989	337609	Herself (visitor)
759990	85921	Mother Theresa
759991	250971	
759992	24143	Housemaid
759992	360200	Social Worker
759993	266225	
759994	297628	Dancer 1
759995	134703	Carla Stanton
759995	218474	Stephanie
759995	290378	Concert Goer
759996	344443	Impiegata
759997	232181	Romulus' Opponent
759998	55759	Marta
759998	202576	3a Prostituta
759998	234730	Amanda
759998	396649	
759999	311517	Large Insanisilum Nurse
760000	282037	Night Sister
760001	347820	
760002	300796	Sibeliuksen tytär lapsena
760003	300796	Sibeliuksen tytär lapsena
760004	300796	Sibeliuksen tytär lapsena
760005	234153	
760006	170224	Herself
760007	244227	
760008	187465	Margie
760008	222575	Paramedic
760009	308026	Mrs. Barton
760010	56084	Magdalena
760011	111350	Lucie Müller
760012	159804	
760012	261234	
760012	405705	
760013	185053	Autograph Seeker
760014	285098	Rice-A-Roni
760015	55768	
760016	229441	
760017	19557	Old woman
760017	33420	Woman
760017	33778	Aunt Maria
760017	64670	Señora
760017	73203	Mrs. Luigi
760017	147391	Lupita
760017	154712	Peppy's Mother
760017	209348	Mrs. Catalina
760017	216716	Mrs. Minch
760017	235168	Ekawe
760017	257200	Anita Lopez
760017	277891	Maria
760017	278607	Marianna, Rita's Maid
760017	280972	
760017	302669	Natasha, Woman Who Sold Vicki
760017	305898	Josephina
760017	329115	Maria
760017	346239	Rosita Lopez
760017	351748	Maria
760017	365180	Winnie
760018	244985	Elaine
760019	108137	
760019	151818	
760019	379136	Leo
760019	392034	Casta
760019	409960	Rosa
760020	376657	
760021	239284	
760022	334479	
760023	99737	Bourgeoise 1
760024	70325	Burgomaster
760025	87060	
760026	404444	Madam Krielemans
760027	171695	Girl in Park with Poodle
760028	252524	Barbara Violet
760029	381255	Herself
760030	3470	Gimena
760030	3476	Maite
760030	27863	
760030	45193	Cándida
760030	68765	Miranda
760030	71285	Ángeles
760030	83486	Invitada fiesta
760030	100367	Sofía
760030	101890	Cata
760030	122973	Herself
760030	134498	Rita
760030	160535	Isabel
760030	160837	
760030	189301	Mariona
760030	193170	Sara
760030	198215	Beatriz
760030	206569	
760030	249322	
760030	252771	Mari Carmen
760030	294010	
760030	350134	
760030	369755	Herself
760030	369999	Herself - Nominee: Best Suppo
760030	401248	Mamen Tebar (1997-2001)
760031	220971	Orphan
760032	36532	
760032	45752	
760032	46589	Vera
760032	47395	
760032	95595	Maca 1
760032	171435	
760032	217299	Majka Natalija
760032	226835	Mejra
760032	231278	
760032	258608	
760032	294156	Miloseva zena
760032	294369	
760032	320492	
760032	320669	
760032	323647	Divna (novinarka)
760032	324481	
760032	350367	
760032	373646	Dama
760032	399133	
760032	401749	
760032	401750	
760032	406567	Pesina zena
760033	32311	
760033	147567	
760033	207240	
760033	212458	Lidija
760033	213787	
760033	239451	Mala Irena
760033	259063	
760033	311140	Lola
760033	318640	Medicinska sestra bez gacica
760033	323634	
760034	403804	Hostess
760035	99356	
760036	389000	La lingère
760037	272647	Singing Bag Lady
760038	33540	Les Fées/Le Chat Botté et la 
760038	376953	
760039	44269	
760040	208503	Cleaning Lady
760040	264950	Brigitte
760041	113900	Helen
760042	56357	Cheli
760042	385353	Tomoka (1999-2000)
760042	400893	Tinta Turmix
760043	267281	
760044	249386	
760045	226605	
760046	384972	Magalí Rodri Codina (2004 -)
760047	26799	Valerie - German version
760048	198147	Herself
760049	151961	Mother
760049	181540	Bussaba
760049	218236	Sadaw (Sadao)
760050	74422	
760052	70408	
760053	185106	Michelle "Shelly" Monarch, Da
760054	146881	Sloan McFadden
760055	215691	Miss North Carolina USA (2nd 
760056	215691	Miss North Carolina USA (2nd 
760057	316609	Waitress
760058	39524	
760058	208887	Receptionist
760058	248568	Shirley (Salmon Tail bar girl
760058	330200	Jenny Campbell, Murder Victim
760059	8529	
760060	249910	Niña Flecha
760061	391611	
760061	402059	Herself
760062	114873	Dancer: Grupo Cobo de la Peña
760063	380126	
760063	383812	Mariana Ferrer
760063	396925	
760063	401634	
760063	402463	
760063	404292	Lucía
760064	3520	Bailarina
760065	68618	
760066	115577	Mom
760067	353604	dancer
760068	52570	Operator
760069	63908	Elvira's baby
760070	324035	Spanish Girl
760071	184358	Lady Vivian
760071	245142	Thug #2
760071	252959	Janette Leary
760071	292216	Moira
760072	349896	Kid in Parking Lot
760073	349896	Sister
760074	14032	Herself
760074	282563	Party Guest
760075	151741	Policewoman
760075	181754	
760075	214839	Matkatoimistovirkailija
760075	235846	Soile
760075	388912	Strippa
760075	404145	Sonja Routa
760076	350718	
760077	73989	Goody Bellows
760078	251937	Nurse
760078	251940	
760078	251945	Girl #1
760078	251946	Girl #1
760079	399648	
760080	350718	
760082	330881	Reporter
760083	55444	Beautiful woman ordering shot
760084	210387	Girls' Group
760085	37659	Girl in diner
760086	183558	Phoebe
760086	271155	Ruth (Maid)
760086	381880	Leah
760086	386385	Mary Ellen Lee
760086	387247	Mary Flaherty (1997-1999)
760088	228449	Student
760089	303292	Donna
760090	81040	Tony's Mom
760091	2118	Waitress
760091	97048	Nurse Sheila
760091	235422	Redhead Pickup
760092	46528	Jenny
760092	147732	Bar Beauty
760093	147500	Mrs. Sweetfeet
760093	149691	
760093	177024	Cecile 'Ce-Ce' Washington
760093	177696	Trina
760093	185624	Erin
760093	241351	The Naughty Daughter
760093	272357	Mia Trada
760093	330271	Cassandra
760093	396696	Juggy Dancer (2001-2003)
760094	55540	
760094	128334	May Laguna
760095	82339	Marilyn
760095	319188	Crazy lady
760096	151703	Irma
760097	168670	Stephanie Washington
760098	358478	Villager of Tullymore
760099	326428	Student
760100	80472	Nina Poe
760100	81040	Accident Observer
760100	128085	The Flee's Girl
760100	139745	Kimberly
760100	170725	Christie Jessup
760100	185550	
760100	277203	Herself/Nina Poe
760100	278526	Fiona
760100	326679	Claudia
760100	366781	Margaret
760101	294790	Phone Victim
760102	355104	Alice Bell
760103	104974	Dancer #2
760104	399130	Emily Johnson (1988)
760105	379879	Sonia
760106	320309	Jessie Barham
760106	393235	Princess Layme
760106	397676	Terry Bazely
760107	236185	Bridesmaid
760108	18955	
760108	26666	Big Hair Bride
760108	37409	Margaret Maxfield
760108	50444	Cheerleader
760108	53760	
760108	89169	Patty
760108	114953	
760108	137258	Hot Brunette Girl
760108	170730	Mantoo
760108	209374	Laura Linn
760108	277085	Deb Crux
760108	335053	
760109	181104	Sociální pracovnice
760110	259543	Rita Köhler
760111	180721	Mutter mit krankem Kind
760112	158496	Elizabeth Gorham
760114	170572	Bobbie Dean
760114	318791	Micki
760115	256427	Mrs. Hill
760116	82095	French Model
760116	157698	Serena
760116	172717	Kalin's model friend
760116	238152	Andrea
760116	361475	Consuela
760117	275110	Mireille
760118	13430	Young Tara
760119	277748	
760120	59563	
760120	248404	Suzanne
760121	204234	Herself
760122	306587	Jane Fleming
760123	86955	Laura's Co-worker
760124	11877	
760124	25105	Mina von Kraft
760124	33237	Zaza
760124	47848	
760124	48675	Tony
760124	48676	Tony
760124	92554	Violetta
760124	109422	Lili Steiner
760124	120370	Friederike
760124	121067	Liane Clausen
760124	122450	Maria
760124	125840	Baby
760124	129456	Sonya
760124	134336	Christine
760124	136173	Page Gustl Leublfing
760124	136904	Fräulein Helm
760124	138602	Hilde Graf
760124	141939	Susanne Edwards
760124	142261	Raina petkoff
760124	144101	Anneliese
760124	144327	
760124	149363	Jenny Richardson
760124	155363	Piroschka
760124	155372	
760124	155452	
760124	165775	Hilda
760124	166353	Jeanne d'Arc
760124	169285	Pauline Zagorianski
760124	178660	Herself
760124	178704	Corry Bell
760124	179355	Liesel and Gretel Kohlhiesel
760124	183036	Marie Antoinette
760124	188778	Jessika
760124	202581	Catherine
760124	218069	
760124	218246	Elizabeth Bernadac
760124	225240	Anna
760124	226315	
760124	228146	Schwarzkopf
760124	234289	
760124	240301	
760124	241875	Ingeborg
760124	243767	Opinion public
760124	256783	
760124	274855	Lizzie Curry
760124	275344	Mme de Chelles
760124	290508	Marianne
760124	290765	Dorothee Durand
760124	305433	
760124	312089	Charlotte
760124	319736	Alma Winkel
760124	321622	
760124	333351	Elizabeth Kruse
760124	341120	Daisy
760124	344339	Vreneli
760124	344340	Vreneli
760124	356751	Bianca Merz
760124	366594	Comtesse Franziska von Sandau
760124	376626	Juliane Thomas
760124	397953	Else Kempfert
760124	404899	Lilo (1977-1983)
760124	408317	
760125	32809	Agent
760126	32809	Grandma
760127	202576	
760128	119138	
760128	144329	
760128	358221	
760129	193298	Black Maja
760130	3048	Rodeo rider's girlfriend
760130	57762	Private school mom
760130	148198	Jogger
760130	230687	Club Waitress
760130	310262	SUV Mom
760130	333356	Bar patron
760130	408361	Driver #2
760131	269667	Teresa
760132	82589	
760132	275092	
760133	63360	Intuorn
760134	238552	Sally Norton
760135	144406	
760136	259636	
760137	366099	Hula dancer
760138	399439	Play Director
760139	85994	
760140	159012	Actress #1
760140	333835	
760141	12605	Ann
760141	34822	Melanie
760141	59244	Gilda Marshall
760141	82385	Mrs. Lovell
760141	91646	Christine Sterling
760141	91854	Edwina Lawkin
760141	137569	Anthea
760141	162897	Beth
760141	231069	Fay
760141	311873	Caroline Wallace
760141	320144	Beth
760141	328350	Margie
760141	328788	Jessica Hathaway
760141	335144	Irene
760141	360444	Jeannie Gunn
760141	364502	Gwen Morrison
760141	379869	Lucy
760141	391869	Ros Parrish (1994-1995)
760141	408287	
760142	25368	
760142	115379	Alice
760142	141959	Tinette
760142	144789	Lady Catherine
760142	241556	Rachel
760142	352265	
760142	382116	Princess Victoria
760143	33180	Avice
760143	64079	Regan
760143	67922	Amy
760143	99330	Hattie
760143	131769	Linda Mortimer
760143	134126	Holly
760143	190010	Lead Stewardess
760143	292208	Car Rental Girl
760143	378710	Sally Peep
760143	381872	Melissa (1999)
760143	386563	Elaine Denham
760143	395418	Eveline
760143	403187	Sue White (1999)
760144	1069	Princess Rozalia
760144	6445	
760144	45764	Tzigularkata (segment Motzart
760144	77426	Anna-Dona
760144	103565	Liza
760144	104831	Pepa
760144	150540	Lencheto
760144	174168	Sekretarkata na shefa na karn
760144	180780	
760144	244471	
760144	250887	Gospozha Zlatareva
760144	282715	Reporterkata
760144	310475	
760144	352807	Kozarka
760144	374940	Neda
760145	323173	Herself
760146	172056	
760146	267186	Herself
760147	326260	
760148	335370	Maté
760149	208137	
760150	116391	
760151	209133	Animal Dancer
760152	62957	Cat
760152	120646	Herself
760152	137679	Herself
760152	228976	Herself
760152	274695	
760152	335607	Herself
760153	185000	Emilia
760154	283525	Kite
760155	38103	Melody
760156	83493	
760157	139429	Käyhkö
760157	149634	Office girl #1
760157	156038	
760157	163185	
760157	171584	Elsa Maijala
760157	175729	
760157	177040	Girl #2
760157	181649	Ulla Karpela
760157	181652	Lab assistant
760157	209949	Cleaning Woman
760157	211031	Woman in engagement party
760157	233246	
760157	234649	Saleswoman
760157	236795	Saleswoman
760157	255764	Ticket seller
760157	255935	Maid
760157	264291	Kuutar
760157	265452	
760157	271636	
760157	278560	
760157	278875	Prisoner
760157	283232	Ballet girl
760157	284377	
760157	285967	
760157	324756	
760157	336832	
760157	349948	Auli's classmate
760157	354598	
760157	404782	Salme
760158	105216	Customer in Salon
760159	46849	Siamese girl
760160	9776	
760160	136907	Miss Madonna
760160	154166	
760160	155183	
760160	172164	
760160	198990	Pining
760160	213726	
760160	222110	Selina Matias
760160	252546	
760160	398494	Selina Matias
760161	14817	Cristina
760161	40267	Blanca Madison
760161	56117	Luz
760161	91389	
760161	101809	Lola
760161	226441	Nina
760161	233539	Marta
760161	234008	Miriam
760161	249671	Zou Zou
760161	256220	Zola
760161	300731	
760161	307125	
760161	384734	Subinspectora Ángela Alonso (
760161	384795	Miriam
760162	313174	
760163	17137	Thief
760163	17287	la professoressa
760163	61427	Miss Brückner
760163	82481	Claudio's Mother
760163	209830	Gallerista
760163	246400	
760163	281584	Cecilia
760163	311811	
760163	344443	
760164	320037	Sophia
760165	394716	Herself (200?-2002)
760166	127125	Piccola
760167	73788	Ray's secretary
760167	114383	
760167	134417	Pam
760167	166885	Brett's Date
760167	249458	
760167	347947	The Hostess
760167	361618	Grace
760168	233262	Ira
760169	354246	Claire
760170	135074	Marina
760170	266412	
760170	398522	Josefina
760170	412272	María Romany
760171	364692	Welfare Worker
760172	382508	Herself
760173	90680	Salomé
760174	81674	Vila 3
760174	343800	Rada
760175	270868	
760176	332134	Princess
760177	105216	Customer in Salon
760178	19931	
760179	61089	
760179	158772	La sigaraia
760179	289343	Susan Palmer
760179	295044	
760180	176942	Hooker 3
760181	184469	Restaurant Couple
760182	225344	Green
760184	51993	Rosa
760185	17697	Wagon Driver
760186	18598	Old Bat
760187	177311	Gail
760188	148415	Mamma
760189	26638	Jane Remington
760189	73670	Thelma
760189	171025	Roxana 'Roxy' Hartley
760189	203155	Crystal Wetherby
760189	258173	
760190	346121	Riot Extra
760191	147825	Singer
760191	354022	Mary, a Singer on the Stage
760192	295806	Gloria
760192	383747	Herself (Series 1) (2002)
760192	387533	Cynthia Daggert (2001-2002)
760193	184717	Detective Claudia Wiss
760193	308033	Diane
760193	308174	Lulu
760193	388255	Sharon Walker
760193	401760	Const. Tracy davis (1995) (se
760194	6151	Jerri Jo Hopper
760194	9124	Mrs. Seluchi
760194	12251	Christine Alexander
760194	13365	Billie Dove
760194	35163	Sharon DeLeon
760194	37480	Peggy Gordon
760194	87364	Berle
760194	88314	
760194	97407	Jilly Buck
760194	128589	The Girl
760194	145166	Eileen Noonan
760194	148572	Ms. Jackson
760194	158895	Dr. Margaret (Maggie) Shaw
760194	175581	Jennie Reed
760194	176299	Molly Ford
760194	176922	Jane Pasco
760194	194009	Bessie Robertson
760194	202100	Molly DeMornay
760194	206419	
760194	220593	Lilah
760194	221007	Wiley
760194	222649	Samantha Hunt
760194	224405	Olivia de Havilland
760194	229241	Priscilla
760194	279389	Performer (Vocals: 'The ARC S
760194	292641	Ann Thielman
760194	292664	Casey McCann
760194	310156	Maggie
760194	313074	Karen Hammond
760194	314963	Susan
760194	316210	Julia
760194	334187	Sandie
760194	347367	Doris Winslow
760194	349973	Beth Brent
760194	367696	Herself
760194	398748	
760195	26633	3-D Actress
760196	106621	Orphanage matron
760197	201260	Old Lady
760197	391189	Old Lady
760198	31188	Herself (NBC Team)
760198	31191	Herself (NBC Team)
760198	31192	Herself (NBC Team contestant)
760198	38006	
760198	99850	Dr. Connie Sullivan
760198	109142	Herself
760198	135514	Marsha
760198	228969	Herself
760198	328520	Jennifer
760198	379021	Host (1975)
760198	381784	Co-Host (1977-1978)
760198	402972	Hostess (1979-1984)
760199	241288	Stephanie
760200	269605	Girl with Balloon
760201	77956	Girl
760202	27342	Wanda
760202	159765	Pledge
760202	288107	Marilyn Cooper
760202	385824	Dale Griffith (1985)
760202	389858	Jill Streeter (1977)
760202	396672	Kelly
760203	302793	Testimony Bearer
760204	37270	Janet Nailer
760205	687	Herself
760206	71742	Dancer
760207	362486	Alma
760208	113993	Sarah Andrews
760209	228714	Yates
760209	312847	Hazel Thomas
760210	9055	Disturbed Sleeper
760210	16074	Carrie
760210	30606	Widder Abernathy
760210	32537	Mrs. Moriaritey, Stella's Hou
760210	40998	Second Dowager at Opera
760210	91758	Fat Shopper in Market
760210	91908	Mother (In Law)
760210	92006	Miss Wood
760210	108300	Helen Hockinson
760210	144453	Mrs. Wilson
760210	147609	Mrs. Neyhmer, Patient
760210	154553	Fat Night Nurse
760210	167529	Mrs. Kelsey Chelsae Blackwell
760210	192721	Committee Woman
760210	193007	Singer
760210	195188	Mrs. Vandergrift
760210	195816	Old hag
760210	199304	Mme. Foulard
760210	223783	Woman
760210	224047	Woman in Berth
760210	228272	Opera Singer
760210	236129	Rosa
760210	252381	Party Guest
760210	257939	Fat Woman
760210	263313	Stout Lady
760210	267588	Tourist Welfare Worker
760210	277447	Party guest
760210	278540	Party Giver
760210	282394	Tub customer
760210	289631	Matron
760210	294212	Mme. Angostina
760210	296767	Mrs. Martin (landlady)
760210	299503	Sarah Glidden
760210	308592	Mrs. Hein
760210	310843	Dr. Brulov's housekeeper
760210	313301	Townswoman
760210	318793	
760210	321519	
760210	321520	Mrs. Bradstreet
760210	329437	Ruth Laverty, A Gossip
760210	330809	Mrs. Ferguson
760210	330836	Character woman
760210	332027	Cafe Owner's Wife
760210	334754	Fat Woman
760210	338894	Tenant Woman
760210	340853	Woman in Subway
760210	345860	Fat mother at the ball
760210	349556	
760210	363999	Blossom
760211	215691	Miss Delaware USA
760212	56162	Tape Secretary
760213	90772	Cherita Chen
760214	82357	Confused party guest
760215	321444	Whaler
760216	20787	Liquor Store Woman
760216	89691	Rosemary Bower
760216	117957	Zed-10
760216	120458	Dr. Bloch
760216	256815	Contessa D'Alba Molina
760216	273157	Dr. Harrod
760216	279860	Kate
760216	310171	Delia
760217	176942	Hooker 2
760219	123572	Sushila Nayyar
760220	25494	
760220	174299	
760221	133730	Sucheta
760221	194140	Dr. Patel
760221	194686	Munna's Mother
760221	215911	Gossip 2
760221	311529	Auntie
760222	13856	Sue/Sujata
760222	105216	Nikita
760222	159075	Neeraj
760223	394017	
760225	251537	
760225	411623	Minou
760226	10305	Susan
760226	39297	
760226	69834	Young Constance
760226	123839	
760227	5203	Jean Douglas
760227	5430	Maryanne Bellmann
760227	6259	Cassie Robbins
760227	7065	Nellie Bly
760227	21331	Rose Allen
760227	32727	
760227	39697	Anne Macarino
760227	42772	Norma
760227	44429	Eleanor Porter
760227	64573	Performer
760227	72724	Cheryl
760227	78871	Shellane Victor
760227	98803	Alice Roosevelt (age 14-20)
760227	110296	Sandy Bilings
760227	114843	Vada
760227	120827	Christy Blanchard
760227	134343	Narrator
760227	140399	Laura Gorman
760227	144787	Kathy
760227	147967	Joan Wolrod
760227	158053	Susan Andrews
760227	158782	Helen Davis
760227	169091	Amy
760227	185168	Sharon Muir
760227	187847	Loree
760227	190711	Virginia Rae Hensler
760227	191945	Hailey Atkins
760227	213019	Sarah
760227	213466	Dr. Ruth Young
760227	217990	Annie Gilson
760227	228442	Jessie MacCarthy
760227	232247	Brenda Farrell
760227	243341	Deborah Randal
760227	245462	Arlene Robbins
760227	252988	Jessica Michaels
760227	258083	Eve Harper
760227	292793	Jane Adams
760227	311136	Beverly
760227	316188	Katherine Norris
760227	319002	Emily
760227	333368	
760227	345977	Kate Del'Amico
760227	354953	Laura Macalla
760227	355519	Sheila Munroe
760227	357994	Ingenue
760227	360616	Lauren Hale
760227	367791	Jennifer Scott
760227	372713	Molly Beaton
760227	372714	Molly Beaton
760227	381468	Betsy Bullock
760227	388801	Sarah Novelli
760227	391006	Gloria (1974-75)/Ashley Pfist
760227	395163	Nydia
760227	396744	Deirdre O'Manion
760227	397116	Charlene Matlock (1986-1987)
760227	401930	Claire Wright
760227	403525	Brett Robin
760227	404694	Doreen Post (1973-1974)
760227	407897	Mavis Eaton
760227	409489	Kate Del'Amico
760227	411824	Molly Beaton
760229	385613	Clarissa
760230	21150	
760230	24271	Juhi
760230	27385	Myna
760230	27526	
760230	27651	
760230	27662	
760230	29401	
760230	86650	
760230	107654	
760230	123737	
760230	128985	
760230	135509	
760230	164288	Lisa
760230	167363	
760230	168358	
760230	171777	
760230	171790	
760230	201048	
760230	201078	
760230	211253	
760230	211349	Jessica
760230	222079	
760230	226076	
760230	228857	
760230	236507	Lilou
760230	250496	
760230	261463	
760230	262831	
760230	264828	
760230	271529	
760230	272701	
760230	284787	
760230	285404	Shehzadi
760230	287564	
760230	287640	
760230	312455	
760230	323278	Character - Queen Mumtaz Maha
760230	331607	Irina
760230	335780	
760230	370207	
760230	372969	La maman
760230	373903	Sumitra
760230	384430	Janet Orgreave
760230	391939	
760230	394015	Meenu
760231	69517	
760232	267016	Marja
760233	112904	Sheetal Desai
760233	329716	Maya
760234	96973	Girl #6
760235	31819	Hooker #2
760235	105396	Alisha
760236	234669	Gypsey
760237	18416	Martha
760238	23250	Qayla
760238	168166	Rosie
760238	192774	Kate Atkins
760238	208379	Cricket
760238	223864	Irrate Woman
760238	319279	
760238	321474	A
760238	334393	Cricket
760238	386427	Liz Labella
760238	400621	Catherine McClain (2001-2002)
760239	247668	
760240	192254	Schoolgirl
760241	164984	Gynger
760242	2351	Chorus girl
760243	337135	Susi
760244	290536	Secretary
760245	126040	Flight Attendant
760246	184543	Louanne
760247	78862	Princess Margaretha
760248	365344	'Big Girls' Contestant
760249	40745	Newswoman
760250	317148	Jane
760251	94613	Dancer #5
760251	296261	Party Girl
760252	41198	Divinity
760252	72646	
760252	110468	Sarah
760253	291449	Pageant Girl
760254	379716	Devon Shepherd McFadden (1977
760255	289090	Steph
760256	113303	Coat Check Girl
760257	117483	Bystander
760258	91720	Girl at Bar
760259	158921	
760260	313872	Stage Manager
760261	65094	Judith
760261	127564	Esther
760261	157563	Waitress
760261	164415	Gussie Dykes
760261	261119	Darla James
760261	263922	Paschal Draney
760261	301613	Amber
760261	386172	Merle Owen
760262	6854	The Girl
760262	29319	Edna, a Secretary
760262	33058	The girl
760262	43463	Charlie's Wife
760262	49896	Carmen
760262	49897	Carmen
760262	50928	Young Wife
760262	57766	Kissed by David while dressed
760262	58871	Trainer's Daughter
760262	59352	Various
760262	59363	Herself
760262	59627	Various roles
760262	59628	Various roles
760262	59629	Various roles
760262	59818	Edna Sugar-Plum
760262	71586	Miss Moneybags
760262	75419	The Girl
760262	79944	Mother
760262	89250	Bar singer
760262	96979	The Mission Worker
760262	103891	The farmer's daughter/Her sis
760262	113951	Girl
760262	115731	Manager's secretary
760262	121801	
760262	157007	Immigrant
760262	158382	Nursemaid
760262	167993	Girl
760262	176406	Mother
760262	190947	Mrs. Parker
760262	218330	Garden Party Guest
760262	231967	Lady in the Stalls
760262	232150	His Wife
760262	251172	His daughter
760262	251190	Foreman's Daughter
760262	255827	Miss Brown
760262	259210	Daughter of the House
760262	278555	The Girl
760262	297400	Daughter of the Shipowner
760262	300040	French girl
760262	319160	Village Belle
760262	337938	Farmer's Daughter
760262	339903	Maid
760262	347324	Herself - in Out-Takes
760262	349645	Girl Stolen by Gypsies
760262	367564	Marie St. Clair
760262	367572	Joan
760262	367749	Daughter of the House
760262	368266	Maid
760262	377732	
760263	84925	
760264	8234	Amy
760264	69917	Julie
760264	78084	
760264	87522	Amy Pickman
760264	93123	Heather
760264	117056	
760264	205904	Adele Nordstrom
760264	236077	Young Angela
760264	281337	Willa Cappell
760264	287727	Danielle
760264	308565	Tina Comstock
760264	401796	Katherine 'Kat' Corrigan
760264	407421	Lisa Clarke (age 13)
760265	12221	Stephanie at 10
760266	9133	
760267	79964	Anna
760268	183213	Goblin Corps
760268	313479	Ewok
760269	89099	Katie
760269	109675	Molly Stephens
760269	191747	Nonny
760269	205904	Adele (Age 4)
760269	333372	Abbie Phillips
760269	369486	Little Girl 143
760270	390276	Verea
760270	407667	Robin
760271	7212	Girl in Dorm
760272	286282	
760273	108941	Sarah Deacon
760273	194566	Young Loretta Claiborne
760273	397831	Angelina
760274	14051	Herself
760275	362650	Scum woman #1
760276	87166	Lisa Knowland
760277	16456	Bonnie Colby
760277	73768	Jessica
760277	90423	Chrissy Rider
760277	99584	Child
760277	118938	Cindy Swanson
760277	188135	Little Girl
760277	233692	Mary Jean
760277	329349	Jenni
760277	404282	Chelsea
760278	182883	
760279	981	Puggly
760280	265761	Patricia Parker
760281	401828	Sister Rose
760282	118957	Coed #1
760282	146756	
760282	301680	Elf
760282	322606	Hostage 11
760282	387303	
760283	11963	Nancy
760284	95690	
760285	343963	
760286	35846	
760287	60550	
760288	4091	
760288	6514	
760288	30451	
760288	56522	Torso vivo
760288	109393	Kusum
760288	130561	
760288	151049	The Legless Girl
760288	177967	
760288	180608	
760288	262919	
760288	300901	Naomi
760288	351123	
760289	27777	
760289	28194	Sangu
760289	60552	
760289	62652	Choodamani
760289	76455	
760289	101309	Sumathi
760289	172205	
760289	202156	
760289	217194	Mohini/Vishnu
760289	217195	
760289	246438	Goddess Seetha
760289	252015	
760289	252087	Mangamma
760289	262889	
760289	270557	
760289	286758	
760289	286791	Kamala
760289	288773	
760289	288785	
760289	297442	
760289	317792	
760289	318205	
760289	350570	Kamala
760289	354669	
760289	355320	
760290	240473	Dancer
760291	25590	
760291	184650	
760291	246912	
760291	319403	
760292	19534	Arabella
760293	193039	
760294	8345	
760294	8914	
760294	24831	
760294	24845	
760294	25647	
760294	25729	
760294	38440	
760294	53875	Sibel
760294	63802	
760294	77424	
760294	78707	
760294	94596	
760294	124202	
760294	124216	
760294	136093	
760294	140707	
760294	149688	
760294	156075	
760294	163099	
760294	172078	
760294	173804	
760294	173863	
760294	173868	
760294	174659	
760294	202454	
760294	240536	
760294	283967	Füsun
760294	294539	
760294	307030	
760294	307158	
760294	370368	
760294	370693	
760294	378580	
760294	394377	
760295	322025	Felvételizõ
760296	46747	Honey Havasuck
760298	234334	
760302	321490	Party Girl
760303	221079	
760304	151196	Ice Cream Lady
760305	266533	
760306	165077	Aldona
760307	374192	Herself
760308	2987	
760309	334028	
760310	109992	Women in Chair
760310	381821	Ensemble (1977-1978)
760311	154377	
760312	47800	Nurse
760313	12320	Ethel
760313	208067	
760313	358374	Molly Kauffman
760314	235404	Anya!
760315	339472	
760316	278909	Mavis
760317	73935	Daughter
760318	132610	
760318	352784	
760318	374667	
760319	349662	
760320	288980	The Forest Girl
760320	312246	Fiona Strike
760321	116047	Donna
760322	213477	Suzy
760323	28862	Tess Herbert
760323	359848	Dominique
760324	323824	Ring Girl #1 (segment "Fighti
760325	25949	
760325	27642	
760325	49165	
760325	64175	
760325	229364	Neera
760325	262920	
760325	288569	
760325	341560	
760326	167224	Mme Jean
760326	345456	
760326	345471	Herself
760327	316693	Mrs. Maurrant
760328	80430	Bingo Burger Patron
760329	80430	Bingo Burger Patron
760330	82099	Producer
760331	231764	Jazzy
760332	90943	
760332	129761	Valley Girl
760333	233840	Mrs. Pauletto
760334	19524	Arabella
760334	26087	Donna Anna
760334	65539	Vitellia
760334	216343	Sifare
760334	266744	Soprano
760335	283811	Annie Whittaker
760335	399266	
760336	47550	Phyllis Carson
760337	129514	Waitress
760337	141403	Mrs. Kolodny
760338	195345	Girl on Bed
760339	337267	Victim
760340	298055	
760341	327840	Woman at dance
760342	323155	Dr. Jennifer Ryan
760342	351767	Jessica
760342	362149	Jane
760343	150405	
760344	176146	Angsumalin's Mother
760345	288865	Harnum
760345	288866	Harnum
760345	288867	Harnum
760346	256947	
760347	379770	Fabienne Sprot (1998-1999)
760347	382877	
760347	411311	Cathy Hoste (2001)
760348	177267	Lancelot's Mother
760348	389700	Janie Waggett
760348	400516	Bernadette Cox
760349	255466	Gypsy's Wife, Helga
760350	268266	Tante Marjána
760351	191070	
760353	119353	
760354	150680	Woman #1
760355	214844	Pregnant Woman
760356	160494	Theodora Rosqvist, "Tessa"
760356	184009	Helmi Elisa Karhu
760356	247008	Ella Murrik
760356	267016	Taina
760356	400857	Anna Karvala, ent. Auer
760357	43672	Various
760358	280559	Sanna Sillankorva
760358	301911	Mrs. Hanell
760359	51855	Lady in Waiting
760360	13307	La Mora
760360	161781	
760360	296492	
760361	30946	
760361	103681	Locutora
760361	132708	
760361	170050	
760361	212363	
760361	212542	
760361	228776	
760361	371696	
760362	29817	Hospital nurse
760362	377199	Prostitute
760363	74381	La hija (Daughter)
760364	377707	
760365	148702	Nicole
760366	26410	
760366	332989	Natalya
760367	326428	Student
760368	338427	
760369	63629	
760370	39456	Natasha
760370	410582	Katinka
760371	2572	Herself - accepting Writing A
760372	49828	Sleazy Prostitute
760373	328760	
760374	328760	
760375	17387	
760375	20171	Ariella
760375	33401	
760375	43240	
760375	70311	
760375	77310	
760375	102669	
760375	104482	Lila
760375	112770	
760375	122767	Malvina
760375	264389	
760375	276572	Jandira
760375	295103	Sílvia Rossi
760375	328760	Tessa
760375	356680	
760375	381328	Luísa Cóler
760375	385043	Leda
760375	387104	Carolina
760375	392629	Antonieta
760375	393791	
760375	396337	
760375	396741	Mônica
760375	396899	Rebeca
760375	397198	
760375	398040	
760375	401243	
760375	403616	Heloísa
760375	408727	Leonor
760376	192726	Amy Johnson
760377	194665	Stacey
760378	22126	
760378	208845	
760379	25229	
760379	45725	
760379	53871	
760379	54328	
760379	64027	
760379	67952	
760379	68748	
760379	70675	
760379	97253	
760379	101838	
760379	106315	
760379	167135	
760379	193067	
760379	193326	
760379	193327	
760379	212469	
760379	221557	
760379	221580	
760379	221944	
760379	239277	
760379	259965	
760379	270612	
760379	273960	
760379	292771	
760379	301189	
760379	310050	
760379	339107	
760379	357518	
760380	400893	
760381	45899	Extra: park
760382	371416	
760383	6970	
760384	251346	
760385	177025	Chauffeurette
760386	84426	
760387	265840	
760388	179593	[1767-1768] (1934)  Nevesta
760389	244644	
760389	375463	
760390	78139	Female Trainee
760391	31704	Shopper
760392	105744	Sister/Aunt
760393	177525	Chorus Girl
760394	47055	Lida Bosse
760394	205526	Herself
760394	223604	
760394	229541	
760394	318151	
760395	1848	Eun-ji
760396	277850	Little Jackson Girl
760397	34707	Cindy
760398	12324	Susan
760399	312270	May Tompkins
760400	323970	Nancy
760401	218545	Herself/Road Rules
760401	403000	Herself/Road Rulers
760401	403487	Herself/South Pacific (2003)
760402	22876	Lara
760402	139841	Lisa Goode
760403	112183	Guest at Lockhart Home
760403	148423	Red Cross Field Worker
760404	94010	Brenda
760405	191432	Radio and Television Shows
760406	55686	Hilda
760407	363565	Paul Adams
760408	118781	Fleurette
760410	2709	Henry's Date
760410	12338	Roxanne
760410	13851	Gigi
760410	16006	
760410	21448	Cafe 24 Waitress
760410	26672	Heather
760410	37057	Mildred
760410	47117	Ashley
760410	50440	Catherine Grey
760410	59578	Ms. Beauregard
760410	71486	
760410	89057	Fran
760410	106115	Amy
760410	123034	Thermian Laliari/Jane Doe
760410	148206	Vera
760410	209596	Ericka
760410	236691	Laurel
760410	306221	Ily
760410	309535	Barbara
760410	339544	Actress with Flowers
760410	392424	Herself
760410	410679	Various (2001)
760411	102581	Parent #1
760412	55456	Dress Store Customer
760413	318111	Spalding
760414	368537	Ranch House patron
760415	294029	Dorotka
760416	394539	Hanuria soittava tyttö
760417	65474	Additional Voices
760418	405209	Anaesthetist (1997)
760419	262591	Fetish Girl
760420	150853	Call Girl
760421	68274	Dr. Boudreau (Firestorm)
760422	46384	
760422	55249	
760422	85111	Jane, Harry's sister
760422	109912	Anna Glover
760422	155731	Rosalind
760422	199638	Julia
760422	241628	Susan
760422	308183	Debbie's Mother
760422	324233	Bianca
760422	364233	Mary Trellington
760422	388493	Anna Glover
760423	403277	Sarah Harper
760424	260266	Dirty Dee Girl
760424	318763	Young Woman Shot by Son of Sa
760425	42325	Chloe Moon/Judy
760426	141064	Vicky
760426	240232	Lorraine Wilson
760426	275055	Lin
760426	381094	Vicki Lester
760427	256464	Melaine Phillips
760428	120806	Dr. Vera Terescheva
760429	357468	
760430	6181	
760430	165661	
760430	290763	
760430	306475	
760431	104098	Merike
760432	59978	Galka
760432	227958	The Wife
760432	307179	
760433	46101	Grushenka
760433	132156	
760433	176134	
760433	217280	
760433	238808	
760433	242476	Sophie
760433	261370	Kruglaya
760433	320637	
760433	356570	Stella
760433	357680	
760434	180357	
760435	176119	
760436	305249	Miluna
760437	118199	Esme
760438	75964	
760438	255741	
760439	27196	Concierge
760439	179038	Person in TV documentary
760440	211863	Masan baarin emäntä
760441	163181	Puhelinääni 1
760441	172294	Skripta
760441	178186	Nitta
760441	178373	Gimma
760441	213414	Baby
760441	281038	Tyttö kasinolla
760441	285155	Girl in the tram
760442	390871	Herself
760442	393716	Herself
760443	184286	Waitress at Kalajoki
760443	213414	Mother
760443	225234	Make-up presentator
760443	343510	Grill vendor
760444	350590	Rantanen
760445	33326	Mme. Storozhenko
760445	34588	Kharita Ignatiyevna Ogudalova
760446	104241	Basketteur 2
760447	403	
760447	839	
760447	9454	
760447	28538	Bandi bácsi felesége
760447	35060	
760447	43187	Aunt Varga
760447	97974	
760447	171603	
760447	172529	Pékné
760447	175466	
760447	175699	
760447	175753	Munkaügyis
760447	182846	cook
760447	198322	Fanni, szobalány
760447	212428	
760447	224968	
760447	235375	
760447	268430	
760447	270860	Elza, the housekeeper
760447	277214	
760447	322126	Zsuzsi néni
760447	322188	Márta
760447	376615	
760447	401347	
760447	410331	
760447	412290	II.asszony (ep.3)
760448	19451	End narration
760448	24750	Bárbara
760448	68590	
760448	101441	Letícia
760448	104353	Sideria
760448	208998	Vera
760448	211022	
760448	229706	
760448	234605	
760448	237882	Narration
760448	293331	
760448	383294	Sílvia
760448	386727	
760448	387932	Estela Santos Belo
760448	389786	Ivete
760448	396610	Vivian (1995)
760448	396718	
760448	396741	Sandra
760448	398793	
760448	400799	
760448	402582	Fabiola
760448	412258	Pepa
760449	42911	Herself
760450	222404	
760451	20738	
760451	199552	
760451	355951	
760452	247869	Delia
760453	379603	Irene
760453	380065	Isabel Eburrola
760453	382197	Alicia de Castro
760453	383155	Sor Angélica
760453	383333	Sylvia
760453	384980	Gabriela
760453	386284	Rita Linares Corona
760453	386795	
760453	387623	Adela
760453	392290	Maribel
760453	397009	Claudia del Río
760453	399525	
760453	402917	Mirna López
760453	405955	
760454	53015	
760455	281286	
760456	302145	Driver
760457	74422	
760458	149624	Bohunka
760458	258819	
760458	261581	
760458	264230	Anicka
760459	97974	
760459	165562	
760459	322014	
760460	322025	Mûkedvelõ színjátszó
760461	322194	
760461	377143	
760462	43114	
760462	208285	Mrs. Epp
760462	349045	
760462	377143	Osztálytárs
760463	343560	
760464	212320	Herself
760465	177975	
760466	282125	
760467	343446	
760468	258808	Bence, Matuska's grandson
760469	21596	Jockey's wife
760470	2987	
760470	9243	Girl
760470	74447	Ledér
760470	99524	
760470	99534	Mari
760470	138440	Female Prisoner
760470	172529	Zsuzsi
760470	180824	Brunnerné
760470	377817	Juditka,az asszistensnõ
760470	378253	
760470	378282	
760470	382544	Vera
760470	394990	
760471	153859	
760472	231421	Herself
760473	284010	Akja
760474	322025	Felvételizõ
760475	110702	
760475	122614	
760475	239455	Ibolya
760475	270798	Mimi
760475	304168	Éva
760475	399860	
760475	407229	
760476	78206	
760476	136577	Kis gyurkovics lány
760476	138393	Gerolda
760476	147950	Mrs. Solti
760476	174688	
760476	175466	The secretary
760476	177970	Anna
760476	200615	Tarné
760476	219836	Boci mama
760476	343775	Marika
760476	349046	
760476	354256	Arendas Juci
760476	376559	
760477	96201	
760477	166648	
760477	171609	
760477	174750	A gyerek anyja
760477	322242	Özvegy Nyárayné,Tamás anyja
760477	343775	Bozine
760477	343776	
760477	349795	Zsuzsanna,János felesége
760478	211700	
760479	153698	
760480	307783	Camarera Phobia
760481	74499	
760482	28960	Conchona
760482	207731	Traficante
760482	340038	Sioux woman
760482	376688	Ema
760483	43114	Mária's daughter
760484	2247	Sutyi anyja
760484	2379	Szurkoló
760484	3417	Hanák néni
760484	12733	Üdülõ asszony
760484	19683	
760484	48666	
760484	48670	
760484	50463	Kati mamája
760484	74468	
760484	97970	Szobalány
760484	99561	Zsófi néni
760484	99749	Béla's Wife
760484	104196	Rózsa néni
760484	108073	Kocsmárosné
760484	122397	Collasné
760484	122455	
760484	122599	
760484	138944	
760484	140394	
760484	145617	
760484	149494	Mama
760484	155545	Drámai szende
760484	159286	
760484	163132	
760484	171541	Mostoha
760484	171603	
760484	175499	
760484	177970	
760484	182653	Mother of János Korbusz
760484	190793	
760484	198412	Anyó
760484	200056	
760484	200606	
760484	224968	
760484	229710	
760484	243878	Mariska
760484	254957	
760484	268284	Szívós néni
760484	284091	Falusi lány
760484	322017	Mari néni
760484	324708	
760484	326078	
760484	333801	Vera iskolatársa
760484	343703	Terényi mama
760484	357943	Kálmánné
760484	377123	
760484	377815	Teréz,szobalány
760484	377892	Anya
760484	378346	Kati,cselédlány
760484	378518	Borbála
760484	389220	Irma
760484	402164	Nusi
760485	198377	
760485	377807	Soloist
760486	89506	
760487	11069	
760487	377807	
760488	14159	Ilus
760488	16965	Anna Traján
760488	24715	Forgóné
760488	48521	
760488	76531	Cook
760488	97969	
760488	117877	Aranka, Boróka felesége
760488	136431	Hecseki néni
760488	162745	Takarítónõ
760488	171719	Marika
760488	173965	
760488	173966	
760488	175466	The mistress
760488	177975	Pancsáné, pénztáros
760488	180824	Galántainé
760488	182693	Panna Pirityi
760488	182843	
760488	187514	Wife
760488	187732	
760488	198210	
760488	211702	Utcalány
760488	214496	
760488	225486	
760488	225784	Tóthné
760488	226705	
760488	239455	Mrs. Kemenes
760488	244582	
760488	249197	
760488	268520	A mûvezetõ felesége
760488	276325	Anya
760488	284349	
760488	322087	
760488	343776	Erzsi
760488	349035	
760488	350833	Aranka néni
760488	352275	Kajtárné, Margit
760488	371289	
760488	377723	Teacher
760488	377807	Mrs. Pervics
760488	394749	Amália Kristóf
760488	397351	Margitka (secretary #3) (1980
760488	407236	Janka Szöllõsi (1987, 1989-19
760488	407241	Nagymama
760488	407837	Szolgáló
760489	231186	Marta
760490	201967	
760491	404182	Blanca Luna
760492	1136	
760492	3132	Rocío
760492	3283	Dolores
760492	9104	Mujer peón
760492	42640	
760492	52977	
760492	55372	
760492	57716	Celestina
760492	68912	Ramona
760492	74596	
760492	76104	
760492	82399	
760492	85958	Madre
760492	91425	
760492	96269	Rosario
760492	96374	
760492	103432	
760492	103653	The Queen Mother
760492	103804	Situada
760492	117975	
760492	143771	Ramona
760492	146458	
760492	152242	Pilar Prades Expósito
760492	183162	
760492	186144	Teresa
760492	197885	
760492	202043	
760492	202055	Reyes
760492	207960	
760492	233974	
760492	234333	
760492	236021	
760492	236400	Marga
760492	243704	
760492	262977	Herself
760492	268524	
760492	277250	
760492	283258	
760492	284212	Jerónima
760492	286291	
760492	287907	Régula
760492	326007	
760492	369996	Herself - Presenter: Best Cin
760492	381324	Amparo
760492	383687	Samaruca
760492	402679	Ama (Housekeeper)
760493	24725	
760493	44732	
760493	56388	
760493	60062	
760493	70709	
760493	72525	
760493	73384	
760493	85718	
760493	108615	
760493	112733	L'habilleuse
760493	119751	Mimi Prunelle
760493	124084	Suzanne
760493	148669	La tenancière
760493	205369	Doctor Fedelmann
760493	208356	
760493	220497	La servante
760493	224968	
760493	228557	
760493	253996	
760493	275616	
760493	283025	
760493	283037	Misé Monié
760493	287595	Une vieille dame dans la rue
760493	288203	
760493	309150	
760493	351572	Tarot cards reader
760493	357125	
760493	374208	
760493	376891	
760494	198343	
760495	115424	
760496	246024	Herself
760497	402509	Herself
760498	246024	Herself
760499	404145	Krista Koivula
760500	149634	Matron
760500	156039	Emmi
760501	142267	Kassiererin/Cashier
760501	215984	
760501	387384	
760501	407180	Herself/Sketches
760502	350718	
760503	4446	Farm Matron
760503	152357	Restaurant hostess
760503	326998	
760504	411734	Herself - the host
760505	346974	Signe
760506	232986	Girl in videostore
760507	152757	Agneta
760507	398852	Agneta
760508	210355	Herself
760508	210356	Herself
760509	210353	Herself
760509	210355	Herself
760510	59716	Anna Svärd
760510	174075	Opera singer
760510	322309	Olof's Mother
760511	7241	Fernande
760511	15079	L'avocate
760511	18356	
760511	55333	Marie
760511	90108	Une suivante
760511	119297	
760511	166172	Une jeune femme dans un bar
760511	201052	Myriam
760511	217253	Christine
760511	238463	
760511	244961	
760511	261841	L'employée
760511	264525	Surveillante
760511	268822	la Seconde Assistante
760511	353886	
760512	69378	Irene Siccora
760513	23750	Une pensionnaire de la Maison
760514	51396	
760515	3197	
760515	74397	Mariska néni
760515	99739	(segment "Jégárpa")
760515	108913	
760515	122380	
760515	122599	
760515	139438	
760515	209835	
760515	211700	Mama
760515	225695	Takács mama
760515	272164	
760515	377760	Ella neni
760515	377892	A mama
760516	403599	Hostess
760517	248761	
760517	310042	
760517	387870	
760517	389780	Nelly
760517	392818	
760517	402721	Oficial
760518	44199	
760519	335267	Gáldy Tomi
760519	377724	Erzsike,Hargittay lánya
760520	9416	Jolán
760520	17523	Nadja
760520	19670	Noémi
760520	28538	Lujza néni
760520	74447	Ilma
760520	76531	Mrs. Bolygó
760520	97957	
760520	97958	
760520	98016	Zsuzsi, a barna feleség
760520	108840	
760520	111269	Olga
760520	122380	
760520	134959	Dina
760520	140049	Mara
760520	143725	
760520	147311	Mrs. Bette Cuzzle; Berta Szve
760520	159333	Csámpás Rozi
760520	163132	
760520	180223	Örzse
760520	182659	
760520	182876	Mrs. Orczy
760520	187368	Ica
760520	198213	Asszony
760520	211036	Wesselényiné
760520	211702	Hermin, erõmûvésznõ
760520	216250	Mária
760520	218532	Makkosi's mom
760520	225503	
760520	225784	Geositsné
760520	237339	Sátán Jutka
760520	240159	
760520	253782	Klári
760520	258345	Rózsi
760520	259932	Mrs. Riecan
760520	268520	Pelikán anyuka
760574	411714	Herself
760520	278687	Stern Anni, zongoratanárnõ
760520	322011	Redõ Klára
760520	322102	Lola Montes
760520	326341	Marica
760520	333113	Ries Anna
760520	343747	
760520	352275	Kajtár Jolán
760520	376559	
760520	377883	Tálasné
760520	378042	
760520	378310	Irén
760520	382544	Milica
760520	395664	Linda's stepmother
760520	402164	Bizsu, pincérnö
760520	407837	Cigánylány
760521	78206	
760521	126269	
760521	211700	
760522	163969	Aimara Peculo
760523	177935	
760524	240589	L'infirmière
760524	252141	
760525	68382	Serveuse du bistrot
760525	332947	
760526	147136	Mère de Marc
760527	172070	
760528	228016	Herself
760528	228022	Herself
760528	228069	
760528	237331	L'assistante sociale
760528	396187	
760529	111067	
760529	398254	Hélène
760530	252141	Fillette
760531	15099	
760531	66089	
760531	66747	
760531	82605	
760531	84688	
760531	101999	
760531	123478	
760531	127620	
760531	148737	
760531	204016	
760531	205733	
760531	225759	
760531	235707	
760531	240478	
760531	257000	
760531	259257	
760531	280780	
760531	328052	
760532	202421	
760533	70495	
760534	380477	Margarita
760535	152628	Child
760536	375909	Granddaughter
760537	8529	
760537	86870	
760537	352020	
760538	322221	
760539	118838	
760540	153334	María Silva
760540	206791	María José Alfonso
760541	153833	
760541	350144	
760541	376719	
760542	250504	
760543	287693	Doña Angustias
760544	51099	
760544	87807	Mercedes
760544	101713	
760544	169785	
760544	247456	Carmín
760544	296468	
760544	380251	
760544	381859	
760544	383480	
760544	385599	Lucía Suárez
760544	387624	
760544	387886	
760544	392610	Benita Bello
760544	392848	Leonor Calcaño
760544	396213	
760544	396896	
760544	397578	Celeste Villanueva de Dupont
760544	399520	Consuelo Landaeta de Olivares
760544	401905	
760544	403125	Solvencia
760544	404181	
760544	404988	Endrina
760544	404996	
760544	408570	Domitila
760545	87942	
760546	53867	
760547	103487	
760547	145137	
760547	202213	
760547	211071	
760547	212463	
760547	251311	
760547	293052	
760547	377193	Enfermera
760548	28198	
760548	101593	Doña Barbara
760548	135073	
760549	161781	
760549	226448	
760550	324930	
760551	295513	
760552	48851	
760553	3461	
760553	63876	
760553	91286	
760553	125660	
760553	149904	
760553	192983	
760553	197190	
760553	255488	
760553	273650	
760553	306697	
760554	189719	Herself
760555	216087	
760556	135110	Iku
760557	14921	
760557	83132	
760557	135110	Marilis
760557	248076	
760558	148053	child
760559	134171	
760560	198362	Pat
760561	83524	
760562	83524	
760563	91383	Angelita
760564	26120	
760566	351761	Danse Flamenco
760567	90197	child
760568	148700	Female Servant
760569	3524	
760569	56295	Julia (episodio 'Cacería')
760569	104835	
760569	183467	Mujer del final
760569	196702	
760570	378415	
760570	380065	
760571	100391	Copera
760572	353228	
760573	97376	
760574	385069	Sofía Granados
760575	405857	Zenaida
760576	276121	
760577	3073	Recepcionist
760578	253382	Hawaiana
760579	42911	Herself
760580	393802	Petrica
760581	73528	
760582	345607	Extra
760583	194524	Rita Repulsa
760583	341842	Rita Repulsa
760583	397693	Rita Repulsa (1994-1996)
760583	402009	Rita Repulsa
760584	269945	
760584	353290	
760585	204642	Madre 3
760585	357189	
760586	379093	
760586	400942	
760587	89291	
760588	135366	
760589	101236	The girl
760590	74350	Irene
760590	84024	
760590	219325	
760591	351281	Make Up Girl
760592	286285	Catalina
760592	371290	Muchacha romería
760592	386285	Herself
760593	386285	Herself
760593	407741	Herself
760594	213389	
760595	253520	Un amour torride
760596	56244	
760597	51730	Mesera
760598	50139	Figurante
760599	53697	
760600	353637	
760601	192995	Nana
760601	319662	Pepita Pinon
760601	379653	
760601	383777	
760601	387817	Eufraria
760601	389881	
760601	392806	
760601	401918	
760601	402219	Chole
760601	404172	
760602	337952	
760603	371290	Cantaora romería
760604	119305	
760604	253297	
760605	300636	Martha
760606	896	Judith
760606	6573	
760606	24997	
760606	24998	
760606	52775	
760606	55941	
760606	65216	
760606	199817	
760607	32285	Viviane enfant
760608	52708	Empleada de la Agencia de Via
760609	6408	La voisine
760609	7460	
760609	20541	
760609	23798	Amélie Ducotel
760609	23866	L'épicière
760609	32021	Madame Chaunier
760609	34462	La Berthe
760609	69119	Mathilde
760609	72066	Cleaning lady
760609	74348	Marie
760609	85532	Madame Marin
760609	89965	
760609	127646	
760609	130117	La veuve Goupil
760609	167232	Le buraliste
760609	169345	
760609	202401	Tante Philomène
760609	202581	Mother Capitaine
760609	205618	Madame Férez
760609	211649	
760609	218527	
760609	225375	
760609	235824	La mère de Jeannot
760609	249032	
760609	258853	Honorine
760609	266949	
760609	276545	
760609	281580	
760609	282490	
760609	294566	(segment "Avarice, L'")
760609	309143	
760609	332199	Balionte
760609	337000	
760609	343553	Hanka
760609	345357	Une vieille dame
760609	346457	La cuisinière
760609	352611	Mlle Froment
760609	354935	
760609	376905	
760609	379103	Mlle Germaine Longspès
760609	379595	Concierge
760609	381323	La grand-mère
760609	383915	Mathilde
760609	388714	La mourante
760609	389004	
760609	389271	(segment "Pierre")
760609	397946	
760609	409440	
760610	242678	Camioneta
760611	91298	
760612	100391	Copera
760613	301577	Multitud
760613	337950	Prostituta #2
760614	198550	Nathalie (enfant)
760615	294242	
760615	353605	
760616	207736	
760617	211876	Mujer de Chuito Guaregua
760618	78559	
760619	193325	Sonya
760620	77392	Umma
760621	404070	Ángela
760622	12053	
760623	379879	Enfermera
760624	21676	
760625	239270	
760626	205540	Constanza
760627	406972	Dancer
760628	96382	Lupe
760629	231082	
760629	234004	
760629	235296	Ginecóloga
760629	255291	
760629	377200	Raquel
760629	393479	Esther
760630	12503	Lucia
760631	18391	
760631	74566	
760631	207736	
760632	105805	Consuela
760632	266902	Bank teller
760633	67006	
760633	125785	
760634	99439	
760634	301189	
760634	306708	
760635	355928	
760636	251631	
760637	117826	
760638	257418	Puta 2 Parque de Diversiones
760639	184873	
760640	337950	
760641	187627	
760641	388278	María Soledad
760642	216761	
760642	383242	La Maga
760642	385336	
760642	397014	
760642	401438	
760643	54805	
760643	322593	
760643	383772	
760643	400034	Trini
760643	401614	Mercedes
760644	328384	Various Characters
760644	391937	Various characters (2003-)
760644	409464	Carmen Tornillos/Various Char
760645	360231	Anita's mother
760646	310073	Dancer
760647	25516	Susana Canales
760647	389294	Nataly
760648	646	Other 'Gold Mine' Girl
760649	380129	
760650	52210	Esther
760651	239242	Child
760652	56010	Herself
760652	277899	Girl
760653	170451	Bowler
760654	221660	
760654	401251	Mariana
760655	9692	Victim
760655	86708	Elena
760655	208129	Esperenza del Plata y Oro
760655	378983	Co-Hostess
760655	387668	Maria-Luisa Cortez
760655	390457	Host (1993-1994)
760655	396648	Host (2001-2004)
760655	407035	Hostess
760655	412130	Hostess (2004-)
760656	378355	
760657	75144	
760658	55901	
760658	353646	
760659	96356	Psicóloga
760659	285933	Enfermera
760659	307027	
760660	50139	Interne
760660	88703	Figurante
760661	240156	
760662	337952	
760663	74842	Clienta banco 1º
760664	195262	Sandra
760664	387681	
760664	392963	Liliana
760664	396843	Andrea López
760664	397010	Lupe
760664	410290	Valeria Sandoval
760664	412185	Luisa Falla
760665	90117	Singer
760665	96555	Herself
760665	185935	Herself
760665	293744	Herself
760665	381571	Herself
760665	386791	Selena
760667	23367	
760667	71268	
760667	87621	
760667	145250	
760667	204694	Silvia
760667	214405	
760667	223622	
760667	265333	
760667	318006	
760667	384775	
760667	398983	Crista Piris
760667	399574	Various Characters
760668	324502	Dancer
760669	75361	
760669	379210	Vera
760669	383579	
760669	383867	
760669	389480	Madelyn Cisternas
760669	392959	Yolanda
760669	396984	Edelmira
760669	399612	Linda
760669	401634	
760669	402193	Corita
760669	404707	Marlene
760669	408722	
760669	409283	Loreto
760669	412301	
760670	14798	
760670	24202	Marilyn
760670	65141	Carmen
760670	83891	
760670	189018	
760670	242663	Ana
760670	244603	
760670	259958	
760670	293371	
760670	326578	
760670	351785	Mariana
760671	162254	
760672	340038	Sioux woman
760673	233339	
760673	318727	
760674	100433	
760675	6461	Alicia (child)
760676	193325	Norma
760677	184870	Flora Casals
760678	407735	Newsreader (2003 -)
760678	412136	Herself
760679	212614	Stewardess
760680	82988	Lisa Canals
760680	103385	Ingrid
760680	218589	
760680	226483	Teresa
760680	401270	Herself
760682	284180	
760683	286046	Anne
760684	381297	
760685	171321	Joséphine Masson
760685	408001	Jenny de Fontanin
760685	412268	Joséphine de Lavalette (segme
760686	17858	
760686	102006	Lise Segal
760686	161992	La gantière
760686	169307	Francesca Hodler
760686	208830	Hélène
760686	261205	Anne
760686	269518	
760686	345466	Irène de Lauze
760686	346957	Sanni Binder
760686	397097	
760687	108880	
760687	191436	Prazeres
760687	296152	Cláudia
760687	369979	Patrícia
760687	382684	Dirce
760687	387799	Dona Tati
760687	392747	Marfissa
760687	405773	Belinha
760687	412069	Malu
760688	11835	La concierge
760688	15007	
760688	27910	Cadette
760688	30883	
760688	43625	Mémé Pinglard
760688	52698	
760688	54395	Cirta
760688	55533	
760688	57284	
760688	60901	La geôlière
760688	61401	La concierge
760688	68513	
760688	85616	Le Professeur de Dessin
760688	86794	Soeur Opportune
760688	105738	
760688	111032	Jeanne
760688	111384	L'épicière
760688	119296	
760688	132770	Marie de Grenouille
760688	163819	La mère de Robert
760688	170107	La mère du rouquin
760688	171416	
760688	184267	Mme. Hautemare
760688	195343	Spanish countess
760688	205717	Nefiodovna, la nourrice
760688	206062	La commère
760688	213889	Schmidt
760688	216236	La mère Magnon
760688	220399	Le vieille
760688	225442	
760688	229164	Frau Vogelsang
760688	237653	Mme Vanderboek
760688	238482	Mme Magis
760688	249044	Mme Petersen
760688	249461	Une villageoise
760688	280517	
760688	309758	La gouvernante
760688	326035	La vieille femme/Old Lady
760688	328205	
760688	338597	La mère de Nicole
760688	346641	Mademoiselle la jurée Bertran
760688	353952	
760688	379595	Torgkone
760688	388419	
760688	388419	La mère Toulouche
760688	388419	La mère Toulouche (segment "L
760688	395259	
760688	396370	
760688	398786	L'Ogresse
760688	400051	
760688	401972	Mme Gourd
760688	402357	
760688	408001	La mère Ury
760689	378866	Une concierge (ep.5)
760690	83206	La petite fille
760691	25116	
760691	40276	Madame d'Harcourt
760691	43705	
760691	58234	L'automobiliste
760691	68663	L'adjointe au maire du XV°
760691	86495	
760691	94345	
760691	108212	Madame
760691	123274	Une élève danseuse
760691	126319	
760691	132735	
760691	167243	Jeanne Gouard
760691	199570	Maria
760691	217701	Mademoiselle Fevrier
760691	249682	
760691	254056	Une soeur
760691	269504	
760691	275647	
760691	289439	
760691	306154	La veuve du P.D.G. Naudet
760691	309697	Mother
760691	324618	
760691	345188	Aunt Clair
760691	349421	
760691	377896	Mlle Lorthiloir, l'infirmière
760691	383955	Mme Ferry
760692	28861	
760692	33154	
760692	54104	Elizabeth
760692	56241	
760692	69496	
760692	133003	Angela
760692	222122	
760692	256750	
760692	278163	
760692	294628	
760692	308741	
760692	344741	
760692	344828	
760692	353168	Isaura
760692	355887	
760692	380449	Carlota
760692	383293	Emília
760692	387777	Celina
760692	387835	Ana Lúcia
760692	390499	Maria Cristina
760692	393005	Paula
760692	401678	Bianca
760692	403740	Maria Consuelo
760692	404273	Dolores
760692	404960	Leonor
760692	407275	Mapy
760692	407281	Tonica
760692	407798	Maria Helena
760692	410014	Flor
760692	410054	Salomé
760692	410476	Flor
760693	322126	
760694	180824	Bödecsné
760694	201967	
760694	284183	Minárikné, Aranka
760694	407837	Juliska, szakácsnõ
760695	97142	
760695	126614	Szandi
760697	18893	Marianne,Juliette és Giovanni
760698	43107	
760698	125641	
760698	140058	
760698	231141	Petit Danone
760699	322123	The bride
760700	227521	Jégtáncos
760702	1140	Mère Gamelin
760702	155859	Clerk #1
760702	224909	Mlle Lamerlotte
760702	229663	Femme garçonne
760702	320066	
760702	380863	Mme Adélaïde Levers
760702	383319	Conteuse des plaines (segment
760702	389304	Dyane
760702	400855	
760702	403254	Élise Veilleux
760702	406031	Lyne Dupuis
760703	177345	Journalist
760703	275862	A woman at the bar
760704	307499	
760704	384214	La mère d'Isabelle
760704	389471	La propriétaire
760704	390486	Céline
760704	401322	Amélie Plouffe
760705	60965	
760705	346716	Lisette
760706	69181	Herself
760706	227317	La fleuriste
760707	354334	Helga
760708	11934	Mademoiselle Lelonguet
760708	104199	
760708	140671	
760708	153963	Titkárnõ
760708	214500	
760708	225073	
760708	286313	Voisine qui se dispute
760708	307147	
760709	42559	
760710	15240	Amélia
760710	15361	
760710	17386	Marta Brum
760710	29517	Ana
760710	57981	Irene
760710	86050	Maryalva 'Mary' Matos
760710	90821	
760710	132970	
760710	148482	Rosinha
760710	166675	Renata
760710	192777	Vanessa
760710	216449	Rita La Punta
760710	256935	Sueli
760710	275019	Pupe
760710	293646	Dona Fernanda
760710	332732	Perpétua
760710	352851	Madame Clessy
760710	353168	Ana Lara
760710	377610	
760710	381222	Noeli
760710	381773	Manoela
760710	382684	Amélia
760710	382724	Rafaela Alvaray
760710	383172	Shirley Sexy
760710	383294	Elizabeth Caldeira
760710	383727	Herself
760710	384711	Marlene Emilinha da Silva Tel
760710	392747	Erotildes
760710	396126	Genuína 'Genu' Miranda
760710	396506	Maria Monforte
760710	396718	Isadora
760710	397540	Custódia Alves Serrão
760710	398219	Carolina
760710	400666	
760710	402159	Juliana Couceiro Tavira
760710	402623	Alice
760710	402807	Herself
760710	403778	Rosinha
760710	406987	Joana Martini
760710	407024	Manoela
760710	408550	
760710	409414	
760710	409426	Serafina Rosa Petrone
760711	8445	
760711	43242	
760711	86050	Tânia
760711	144165	
760711	266886	
760711	350277	Acolytes
760711	381913	Participant, 4th out (2003)
760711	383294	
760711	385629	Herself
760711	386123	Geralda
760711	396718	Baiana
760711	401944	Reporter
760712	122767	Anabela
760712	204841	
760713	59733	
760713	83454	Victoria
760713	379879	Auca
760713	380064	
760713	384427	Karina
760713	385852	
760713	398842	Nacha
760713	401124	
760713	401250	Lucila Álvarez-Toledo de Bagg
760713	401912	
760713	403006	Herself
760713	403107	Mónica
760713	403366	Clara Quiroga
760713	410453	Mirna (2000)
760713	412120	Dara Stevanovich
760714	84223	
760714	96391	Teacher of witches
760714	187018	Supálková
760715	221646	Marina, the mother
760716	18340	
760716	29786	
760716	30835	Friend
760716	75993	
760716	213849	
760716	375358	
760717	253253	
760718	25863	
760719	112925	
760719	157327	Singer
760719	210369	
760719	341726	
760719	352460	Smaranda
760719	352466	Smaranda/Fay/Queen
760720	377076	Blanka
760721	180824	
760722	234882	
760723	259586	Anne Werdau
760723	259638	Heidrun Fischer
760724	339091	Lissi
760725	219430	
760726	48816	
760727	304947	Billie
760728	27408	Sisko
760729	352270	
760730	397370	Charlotte
760731	259637	
760732	5129	
760732	29641	Susanne
760732	97926	La mère
760732	106972	
760732	107368	
760732	134376	
760732	147194	Marlies
760732	155468	Gabriele
760732	180973	
760732	266848	Rose Bucher
760732	325478	Vera Ponsoldt
760732	325503	Frau von Cramer
760732	325938	Frau Schäfermann
760732	379493	
760732	393360	
760732	399825	Oma Neutze
760733	40779	Junge Polizistin
760733	177223	
760734	139429	Dödö's kid #2
760735	2987	
760735	402164	Pancsa
760736	406433	Herself
760737	55228	Mercédès
760738	98099	
760738	271630	
760738	381657	Nina Särki
760738	392164	Ruth Lindhof (2003)
760738	394979	Pirjo Räsänen
760739	6661	
760739	12846	Wirtin
760739	20324	
760739	91007	
760739	102638	Haushälterin
760739	103023	Zofe
760739	103143	Frau Lene Kramer
760739	119136	Klara
760739	134794	Maria Theresia
760739	178583	
760739	178663	
760739	179068	
760739	204429	
760739	204497	Frau Durran
760739	266208	
760739	290575	Tante Pepi
760739	302677	
760739	312203	Mrs. Steininger
760739	345012	
760739	352328	Fürstin Metternich
760739	364988	Hildegard, Luegers Schwester
760739	366514	Mrs. Seewald
760740	150630	
760741	350353	Nurse
760742	224968	
760743	143808	Tante
760744	31332	
760745	274198	Singer
760746	20620	Female Agent
760746	60409	Charlene Ching
760746	135449	Kei, wife of Fei
760746	135483	Anna
760746	137215	Gigi
760746	150927	Perfect Harmony
760746	204186	Susan/Hope
760746	217138	May
760746	283713	Girl in Car
760746	327021	Jane Quigley
760746	398446	Herself
760748	228006	
760750	264738	
760753	168057	Tavga
760754	164290	
760755	303878	Teo
760756	175083	
760757	180789	Meri
760758	344266	Natela
760759	129514	104th Street Cab Driver
760760	4228	
760760	122718	
760760	160187	
760760	175993	
760760	236689	
760760	288040	
760761	155237	Luna's Alter Ego
760762	213507	
760763	154277	Maxhupja 2
760763	268609	
760763	299415	
760763	386492	
760763	401685	
760763	409281	
760764	400954	
760764	409281	
760765	387729	
760765	390136	
760766	215697	Miss China (Second Runner-Up)
760767	60538	Liu Yumei
760767	149082	Che Feng
760767	332357	Jin Guixiang
760768	76266	Li Bailing
760768	359007	Huang Liandi
760769	185971	Maise
760770	62121	Herself
760770	221606	Du Liniang
760771	204927	Jia Yuezhen
760772	354936	Elderly Woman (Shanghai)
760773	243491	
760773	344194	Wife of Condrat
760774	107044	Jenny
760774	255837	Shiang-Chyi
760775	192485	Qin Yan
760775	369626	Fangfang
760776	268733	Su Ning
760777	63451	Peizhen
760777	110628	
760777	141905	Party Secretary Liu
760778	210966	Yan Wei
760778	332504	Fanglin's Wife
760779	179859	
760781	124867	Mother
760782	151960	Chief Prostitute
760783	134872	Sabedo
760783	228189	Sidu
760783	319847	
760784	8781	Cuier
760785	86923	Sister Ku
760786	251108	Wu Nanny
760787	383890	Grandmother
760788	208109	
760788	243666	
760789	33280	Prison director
760789	227051	Procurator
760789	229977	Elisabed
760790	178438	Jane
760791	16877	
760791	34510	
760792	251108	Wu Nanny
760793	300457	Chen Yuehua
760794	123967	Li Xiulan
760794	369918	Qi Lujun
760795	141869	Li Shuxian
760796	181413	Mother Feng
760796	236252	Old Mrs. Zhen
760797	29287	Ruttles
760797	109439	Sybil
760797	199143	Martha
760797	310059	Attendant
760797	313125	Anne Klinger
760798	20364	
760798	186017	Judy MacKenzie
760798	359499	Rock Journalist
760799	162986	TV cook
760800	56432	Tina Gymbix
760800	187170	Rodriguez
760801	367782	Smiling Woman
760802	214387	
760803	103130	
760803	172765	Ariane
760803	293423	
760804	47043	
760804	61141	Luisa
760804	296173	
760804	377182	
760805	37682	Bistro Patron
760805	62683	
760806	296382	Sandra
760807	13617	Amelia
760811	300486	Rita
760811	386691	
760812	102618	
760812	359174	Young girl protected by Pierr
760813	285717	Esther
760814	62037	Annie Atkins
760815	356014	
760816	118924	Amy
760817	140955	Freak #4
760818	160637	Janet
760819	846	Herself
760819	392421	Herself
760819	392422	Herself
760819	392424	Herself
760820	250811	Waitress
760821	385653	Francis Clark
760821	396123	Carrie Davis (1988)
760822	372170	Nurse
760823	79337	Sophie Powell
760824	130149	A Matron
760824	289604	Mrs. Rosetta Bowen
760825	268958	
760826	307410	Pvt. Hall
760827	301754	Child
760828	20001	Nussbaum Secretary
760830	37704	
760830	139211	Prostitute
760831	70972	Zombie
760832	14225	Noy
760833	201745	Herself
760833	283099	Kimi Finster
760833	283100	Kimi Finster
760833	283102	Kimi Watanabe
760833	283106	Kimi Watanabe-Finster
760833	283108	Herself/Kimi Watanabe-Finster
760833	379710	Kimi Finster
760833	385149	Additional Voices
760833	388215	Trixie Tang
760833	400033	Queen Rapsheeba
760833	403907	Kimi Wantabe-Finster (2001-20
760834	7035	Chen Tsu's Daughter
760835	151616	Lori
760835	196101	
760836	98689	Josefita
760837	9073	Ginny
760838	24503	Blind Man's Bluff Girl
760838	26093	
760838	150845	Sadie
760839	143712	
760840	687	Herself
760840	27261	Herself
760840	108101	Herself
760841	268250	Pianista
760842	1784	Marci
760842	55853	Jen
760843	399657	Herself
760844	281080	
760845	5770	
760845	6277	
760845	115835	
760845	131195	Paolo's mother
760845	141789	
760845	160052	
760845	184723	
760845	198584	
760845	199056	
760845	199060	
760845	209445	
760845	210560	
760845	221906	
760845	223119	La marchesa Beatrice Melzi
760845	230005	Ottavia
760845	243372	
760845	279241	
760845	302187	
760845	328865	
760845	339067	
760845	353151	
760846	6277	
760846	51657	Cabiria, also called Elissa
760846	94696	
760846	205517	
760846	210595	
760846	246369	
760846	308189	
760846	338705	
760846	356222	
760847	103280	Cleaning Lady
760848	136117	Jill
760849	359795	Dance
760850	33667	
760850	90679	
760851	123849	Whore #1
760852	2070	Lucia
760852	120528	Hot Girl
760853	225205	
760855	185201	Anti Disco Rally Reporter
760856	340583	Charity Spencer
760857	340583	Faith Spencer
760858	368444	
760859	354520	Dorothy
760860	403494	Herself
760861	101170	Mme Vallée
760861	139817	Assistante sociale 1
760861	234573	Une cliente
760862	381917	Herself - Evictee #4: 6 June 
760863	78766	Girl on bus
760864	108382	Young Aunt T.
760864	251979	Laura Kass
760864	294004	Staff Sergeant Hovis
760864	316168	Major Lynne Reese
760864	379716	Dr. Angie Baxter Hubbard Hubb
760864	390982	Geneva Lee (1993-1997)
760864	406674	Major Lynne Reese
760865	11432	
760865	20234	Conchita
760865	20285	Lola
760865	26618	Maria Credaro
760865	37348	Mary
760865	73665	
760865	75855	Nita Garcia
760865	84972	Rita
760865	93652	Nita Aliso
760865	104350	Consuelo
760865	112588	Tiana
760865	120836	Jane
760865	130038	Suzanne, a Party Girl
760865	130745	Dawn's Maid-in-Waiting
760865	132805	
760865	134055	Native girl
760865	142348	Nurse
760865	148974	
760865	162930	Loru
760865	183822	Carmencita (bargirl)
760865	187089	Chiquita
760865	195121	
760865	203035	Anita Garcia
760865	210815	Woolie-Woolie
760865	218173	Nura
760865	230730	Vadda
760865	241303	
760865	241746	Chyra
760865	245403	Chita
760865	254503	Teresa Valardi
760865	274212	Zelie
760865	274452	Mitzi
760865	282930	
760865	308939	Extra at Sons convention
760865	317825	Panama Percentage Girl
760865	331498	Rosita (waitress)
760865	336042	Cuban Dancer
760865	338268	Sally Moore
760865	342555	
760865	342929	Celito
760865	346052	Carmencita Alverez
760865	349633	Mike, Tony's Friend
760865	355102	Girl in ar
760865	365068	Cuban Telephone Operator
760866	29556	Flore Daimon
760866	85133	Rosemary
760866	388309	Marina
760866	401128	Monique
760867	351031	
760868	8480	
760868	18447	
760868	42564	
760868	52070	Old Woman
760868	66869	Professor
760868	68915	D. Antónia
760868	70228	3.ª Veladora
760868	89802	Maria
760868	107210	
760868	194106	D. Angela
760868	219586	
760868	229702	
760868	269569	Ti Delfina
760868	302419	Aunt's Mother
760868	355763	Maria da Conceicao
760868	402128	
760869	292696	Waitress
760870	17315	
760871	225297	
760871	348740	Hostess
760871	395701	Manuela
760872	46620	Gitte
760873	399175	Rita
760874	33452	Veronika Müller
760874	375869	
760875	238427	Koningin van de Nacht
760875	238787	Mrs. Doll
760876	280142	
760877	269355	Vampire Girl Sucking
760879	169856	Mary of Bethany
760881	399947	Tasha
760882	227029	Herself
760883	97540	Herself
760883	141374	Narrator
760883	186755	Herself
760883	227029	Herself
760883	391006	Leather Tuscadero (recurring)
760884	202576	Tenutaria bordello
760884	348181	Prostitute
760885	7987	Nurse
760886	70056	Herself
760887	13053	
760887	111427	
760887	162075	Sonia
760887	200505	
760887	256412	
760887	270833	
760887	344446	
760888	10186	
760888	14534	
760888	16855	Alda
760888	26692	La piccola Lilia
760888	43287	Alba
760888	45895	Eugenia
760888	75259	Lisa Von Tellen (segment "La 
760888	85477	Herself
760888	111566	
760888	112656	
760888	113674	
760888	119080	
760888	132316	
760888	160056	Ada
760888	161654	Bettina
760888	162051	
760888	200505	Paola
760888	213381	
760888	233475	Signora Corsi
760888	252719	Marilyn Ricci
760888	257016	Paola
760888	263918	Andreina
760888	270838	
760888	273453	Princess Maria
760888	277569	
760888	289440	
760888	293354	
760888	307350	
760888	315560	Nina
760888	327912	Jenny
760888	348211	Anna
760888	384758	
760888	386026	
760888	388753	Elisabetta Rinaldi
760888	400729	
760888	402402	Gianna
760889	75262	
760889	243940	Sara
760889	386812	Mara
760889	388753	Silvia Rinaldi
760889	392742	Diamante
760890	96294	Madre de Candy
760890	211652	
760890	277587	Giudice
760891	141419	Michelle
760891	142249	Student #2
760891	185066	Alison
760892	326496	Refugee
760893	293318	
760894	326496	Refugee
760895	6906	Loretta Proudfoot
760895	6907	Medea
760895	56314	Frau Hoffner
760895	62385	Baroness Bomburst
760895	93956	Aunt Miriam
760895	139052	Millie
760895	142919	Alice
760895	154379	
760895	216169	Mrs. Jelks
760895	284583	Maude Slocomb
760895	287268	Billingsgate Woman
760895	295409	Freda
760895	305514	Charlotte Brillig
760895	348370	Lady Ashfodel
760895	382744	Hostess
760895	388491	Reverend Mother Joseph
760895	389931	Miss Humphreys
760895	390523	Mrs. Kate Monroe (1990-1994)
760895	399931	Pam
760896	141593	Amy
760897	50868	Store Clerk
760897	82468	Beautiful singer at hospital 
760897	216803	Leather Lady
760897	230444	Mrs. Darling
760898	112743	Betty
760898	298579	Lady Violet Cholmondley
760898	394274	Jacqui Rush (1980)
760898	410414	
760899	396353	Susan Hilliand
760900	185530	Herself (at GOP convention)
760900	288708	Herself
760901	47060	Woman in street
760902	155237	Luna
760903	252294	Mrs. Shakabona
760904	72677	Mental Dwarf Patient
760904	350321	Dwerger
760904	380350	Herself (2003)
760905	120520	Woman who slaps Haines
760905	404002	Jacqueline Novak (1983-1985)
760906	82530	
760906	322837	Additional Voices
760907	1789	Golda Meir
760907	4500	Helene Hartmann
760907	4839	
760907	4842	Mutter Meiners
760907	17017	
760907	24076	
760907	35200	
760907	67229	
760907	107826	Violet
760907	111763	Lehrerin
760907	140277	Trude Perlacher
760907	141793	Julia Tesman
760907	149702	
760907	164833	Barbara
760907	189716	
760907	191473	Frau von Bienenfeld
760907	193286	
760907	222217	
760907	226338	Frau Lehmann
760907	275799	
760907	279637	
760907	322988	Melinda
760907	324785	
760907	325555	Frau Helm
760907	325567	Frau Küppers
760907	325956	
760907	338436	Agathe Seebach
760907	347651	Mrs. Soames
760907	356745	Frau Hösel
760907	364902	Frau Richter
760907	384162	
760907	386334	
760907	387625	
760907	393674	
760907	394653	
760907	395010	Oma Petermann
760908	96011	Dämonenbrut
760908	334611	
760909	1382	Herself (at coronation of her
760909	1382	Herself (with George at coron
760909	1382	Herself (with George V, and a
760909	1387	Herself
760909	1398	Herself
760909	3681	Herself
760909	3720	Herself
760909	3727	Herself
760909	5963	Herself (visits Canada, 1964)
760909	16071	Herself
760909	16796	Herself
760909	20758	Herself
760909	20780	Herself
760909	21468	Herself
760909	23224	Herself
760909	24533	Herself - Riding in a Jeep
760909	31102	Herself (visits bombed London
760909	35913	Herself
760909	35916	Herself
760909	40859	Herself
760909	42643	Herself
760909	51037	Herself
760909	52208	Herself
760909	61770	Herself
760909	63526	Herself
760909	63526	Herself (Princess Elizabeth)
760909	67486	Herself
760909	68746	Herself (with the Beatles)
760909	69686	Herself (in coronation carria
760909	70673	
760909	70871	Herself
760909	70872	Herself
760909	70876	Herself
760909	70877	Herself
760909	70878	Herself
760909	73965	Herself
760909	75496	
760909	76196	
760909	76196	Introduction
760909	81064	Herself
760909	81182	Herself (handshake with Suhar
760909	82303	Herself
760909	82304	Herself
760909	82978	Herself
760909	93898	Herself
760909	94931	Herself
760909	94932	Herself
760909	94933	Herself
760909	94934	Herself
760909	94935	Herself
760909	95456	Herself (in Ottawa with the K
760909	101360	Herself
760909	105086	Herself
760909	110549	Herself
760909	112988	Herself
760909	113146	Herself
760909	114228	Herself
760909	118271	Herself
760909	121882	Herself (funeral)
760909	122317	Herself
760909	123403	Herself
760909	124106	Herself
760909	130000	Herself
760909	132782	Herself
760909	133551	Herself
760909	133695	Herself
760909	134280	Herself
760909	134280	Herself (with her parents)
760909	138640	Herself
760909	139798	Herself (hears God Save the K
760909	140770	
760909	141772	Herself (in Canada)
760909	143265	Herself
760909	143268	Herself
760909	143269	Herself
760909	143270	Herself
760909	143271	Herself
760909	144406	Herself
760909	144728	Herself
760909	145059	Herself
760909	146853	Herself
760909	153320	Herself
760909	157624	Herself (inspects Black Watch
760909	164508	Herself
760909	167234	Herself
760909	168112	Herself
760909	168538	Herself
760909	169815	Herself
760909	177257	Herself
760909	177259	Herself
760909	177299	Herself
760909	177301	Herself
760909	177371	Herself
760909	177611	Herself
760909	179969	Herself
760909	179974	Herself
760909	191511	Herself (in audience)
760909	193591	Herself (with bombed Londoner
760909	194927	Herself (on Canadian tour)
760909	199895	
760909	199895	(home movie footage)
760909	203572	Herself (after coronation of 
760909	203572	Herself (in coronation carria
760909	203897	Himself
760909	210672	Herself (congratulates crew o
760909	228309	Herself (cuts the Centennial 
760909	228925	Herself
760909	235358	Herself
760909	235410	Herself
760909	244450	Herself (on V-E Day)
760909	249555	Herself
760909	262959	Herself
760909	264079	Herself
760909	265675	Guest of Honour
760909	269278	Herself
760909	269278	Herself (Queen Mother)
760909	269303	Herself
760909	269303	Herself/The Queen Mother
760909	269313	Herself
760909	269380	Herself
760909	269381	[Number 1] (1901)  Herself (f
760909	269382	[Number 2] (1901)  Herself (f
760909	269383	[Number 3] (1901)  Herself (f
760909	269384	Herself
760909	269387	Herself
760909	269388	Herself
760909	269396	Herself - in Trooping the Col
760909	269404	Herself
760909	269409	
760909	275483	Herself
760909	282623	Herself
760909	282624	Herself
760909	282640	Herself
760909	282650	Herself
760909	282655	Herself
760909	282658	Herself
760909	282659	Herself
760909	282700	
760909	282710	Herself
760909	289812	Herself
760909	292884	Herself
760909	295879	Herself
760909	296777	Herself (in carriage with Kin
760909	308069	Herself (with Mountie escort)
760909	308100	Herself (at the Queen's Plate
760909	308736	Herself (on V-E Day)
760909	310714	Herself
760909	315678	Herself (1946 FA Cup Final)
760909	315678	Herself (1953 FA Cup Final) (
760909	329784	Herself
760909	329785	Herself
760909	329786	Herself (Empress of India)
760909	329794	Herself
760909	340333	Herself
760909	341950	Herself
760909	352716	Herself
760909	355413	Herself
760909	360629	Herself
760909	362485	Herself
760909	367977	Herself
760909	376108	Herself
760909	379267	Herself
760909	381501	Herself
760909	382261	Herself (in carriage with par
760909	384206	Herself
760909	384590	Herself (with the Gorbachevs 
760909	384800	Herself
760909	385285	Herself (riding to her corona
760909	385309	Herself (Warden of the Cinque
760909	385968	Herself (dedicates Cenotaph i
760909	386250	Herself
760909	388268	Herself
760909	391377	Herself
760909	394756	Herself
760909	395981	Herself
760909	397381	Herself
760909	398171	Herself
760909	398641	Herself
760909	403850	Herself
760909	408968	Herself
760909	411420	Herself
760909	411420	Herself (Princess Elizabeth)
760911	245675	Waitress
760911	309896	Patti
760912	37428	
760912	37450	
760914	35823	Herself
760914	86702	Herself
760914	102834	Herself (at Mother Goose's Ne
760914	133847	Herself
760914	151572	Herself
760914	296242	Herself
760915	244779	Herself
760917	347069	Nurse
760920	131347	Carl's Secretary
760920	342391	Courtney Thorpe
760920	359454	Nurse 2
760921	125871	Chorus
760922	71548	Mrs. Westenra
760922	100130	Mrs. Pym
760922	165449	Lady Lynn
760922	170366	Woman in Berlin Station
760922	215608	College Secretary
760922	229728	Miss Wimpole
760922	289396	Mrs. Hare
760922	305612	Mrs. Schou
760922	365937	Party Guest
760922	407838	Judith Bowen (1981)
760922	411353	Mrs. Hartright
760923	100902	
760923	109747	
760923	200041	
760923	233250	
760923	349186	
760923	358472	
760924	380199	
760925	349815	Paivoa #1
760927	89993	
760928	124240	
760928	256935	Mae de Dito
760928	396899	Zalmúdia
760928	400096	
760929	307265	
760930	162309	Teodora
760930	379450	Sol
760930	385522	Carla
760930	396506	Ana
760930	396899	Camila Linhares
760930	397522	Ana Valentina
760930	403616	Bia
760931	398840	Catarina
760932	379450	Chica
760932	384117	Young Maria Gonzaga do Amaral
760932	391673	
760932	401900	Juliana Fontes
760932	409405	Luana
760932	410190	Tamara
760933	392647	Eulália
760934	400838	
760935	8581	
760936	381144	Bebel
760936	385629	Leila
760936	388728	Gabi
760936	407872	
760937	349669	
760938	54164	Cilinha
760938	99269	Secretary
760938	107316	Mafalda
760938	124547	
760938	228140	
760938	234642	
760938	268320	Becas
760938	295093	Selma/Sónia
760938	344705	Susana
760938	398840	Rosa
760938	398881	
760938	401534	Joao
760938	403100	Amélia
760938	409420	
760939	307534	
760940	67236	
760940	153671	
760940	172694	Model
760940	335169	Guerrillera
760940	383390	
760940	390735	
760940	397737	Magdalena
760941	296055	Herself (mother)
760942	131289	Salina
760942	137283	Jiang Liangxing
760942	370838	
760942	384151	Gannai
760942	385523	
760942	393494	
760942	411589	Gao Yating
760943	123058	
760943	355007	
760944	59151	Kate
760945	147646	Sailing Instructor
760946	2814	
760946	397192	
760947	171485	Magda Rowonowitch
760948	17796	Party Guest
760948	241758	Jessica
760949	335083	
760950	387533	Lulu Dingle (9/1997)
760951	83184	Emma Favart
760951	357490	La Maquilleuse
760952	217827	Nurse
760953	292856	Mary-Clare
760954	303194	Claes's mother
760955	69043	The Princess
760955	119820	Toni
760955	140295	Judith
760955	201767	Herself
760955	206648	Cléo
760955	258111	Marie
760955	318738	Lina
760955	336311	Nietzsce student
760955	347566	
760955	409602	
760956	91745	
760957	400754	Host
760958	91745	
760959	8039	Mrs. Dahlgren
760959	8156	Aunt Tilda
760959	23417	Märta
760959	30171	Mental patient
760959	48373	Hilma Palm
760959	77404	Cecilia von Schilden
760959	89477	Mrs. Parpelaid
760959	97868	Ulla Ståhle
760959	99889	
760959	101451	Harriet's Mother
760959	108052	Lisa
760959	115385	Ulla Frank
760959	115430	Elsa Brummell
760959	126304	
760959	129267	Luiza Cabral
760959	136613	Stepmother
760959	136628	Mathilde
760959	136683	Black-Elsa
760959	142785	Greta
760959	158685	Béline
760959	168823	
760959	174726	Tora
760959	180475	Doris Fågelström
760959	182264	Mrs. Åvik
760959	182549	Cora
760959	182552	Rosa
760959	182582	Detective's Niece
760959	182807	Maria
760959	184000	Elli Logje
760959	187634	Björn's Mother
760959	198013	Ann-Marie Brandt
760959	205677	Marianne's Mother
760959	206192	The Marchioness
760959	214361	Sylvia
760959	217451	Emmy Anckarberg
760959	222474	Margit, his daughter
760959	225329	Hilda
760959	225625	Mrs. Rockett
760959	245805	Mrs. Carson
760959	254251	Elsa Wallin
760959	258993	Grace Winslow
760959	268206	Maid
760959	268328	Gertrude Odenstam
760959	270952	Maria alias Raggen
760959	302146	Jessie
760959	303650	Agnes Bentick
760959	304220	Grandmother
760959	312229	Mrs. Boniface
760959	322275	Agda Stjernesten
760959	325074	Mme Pernelle
760959	342978	Miss Larousse
760959	346969	Timothy's mother
760959	357760	
760959	357797	
760959	371670	Grave-Karna
760959	377304	Fredrika
760959	377324	Louise Günther
760959	377381	Elly
760959	377396	Aunt Göta
760959	387026	Friherrinnan (episodes 3 and 
760960	21375	Frederic Rousseaus kone (Fred
760961	1815	
760961	4564	
760961	33154	
760961	42582	
760961	55312	
760961	67653	
760961	112757	Margot
760961	238933	
760961	247178	
760961	286416	
760961	295096	
760961	344799	
760961	344865	
760961	398877	
760962	110666	Dancer
760963	377002	Richard
760964	99805	
760965	385609	Clémence
760966	2498	Narrator
760966	11412	Rebecca
760966	34619	Traffic Warden
760966	38045	
760966	68103	Kate Salinger
760966	105008	Monica Despacos
760966	131769	Gina Ravelli
760966	149411	Vixen
760966	150244	Bridget Watmore
760966	213621	Herself/Narrator
760966	229135	Marcia Bournemouth
760966	249611	Shirley
760966	258305	Lady Darcy
760966	336442	Madeline Magellan
760966	340561	Traffic Warden
760966	348352	Patti Technology
760966	356764	Maria Moogan
760966	382266	Lin Beresford
760966	382296	DCI Janine Lewis
760966	386721	Kate Bancroft
760966	386961	Brenda
760966	392842	Beth Pastorov
760966	393686	Madeline 'Maddy' Magellan (19
760966	394552	Kate Salinger
760966	395246	Herself
760966	395544	Maggie
760966	397418	Dorothy
760966	401565	Herself
760966	405024	Mary Bennett
760966	411068	Herself (1996)
760967	101233	Russian Girl
760967	112819	
760967	126258	Lucie Deneulin
760967	153788	Delphine, l'étudiente
760967	198633	
760967	208219	L'infirmière
760967	234900	
760967	240465	Young Woman Kissing
760967	320468	Julie
760967	325343	Nurse Camille
760967	376580	La fiancée
760968	154516	Receptionist
760969	148758	
760969	345132	
760969	353345	
760970	71822	Un supporter
760970	101530	La concierge
760970	114828	
760970	378866	La concierge aggressive (ep.5
760970	384744	Stéphanie
760971	397946	Azelma
760972	68914	
760972	346642	La cliente
760972	379805	
760973	234064	Sally Thompson
760973	327646	Nurse
760974	19344	
760974	25139	La tante
760974	85616	Mlle. Dumas
760974	96198	
760974	101511	Mme Corbier
760974	132832	Madame Seurel
760974	153871	Mme Oxenham
760974	156321	Marie-Jeanne, femme de Christ
760974	166143	La mère
760974	195152	La cuisinière
760974	199305	Mme Homais
760974	238455	La bouchère, la patronne du c
760974	281960	Mme Harris
760974	287619	La dame de la maire
760974	312260	La mère de Séverine
760974	357053	Une amie à l'enterrement
760974	378866	Mme Lecran
760975	372087	Jane Smith
760976	77220	Dali`s sister
760976	103173	
760977	387101	
760977	398474	Inés Rondón
760978	254837	
760979	251729	Caridad
760980	34538	Child pianist at concert
760981	329933	Stacy
760982	118722	House Keeper
760983	246941	
760983	369870	Herself - Nominee: Best Direc
760984	13847	Doctor
760984	124338	
760985	6674	
760985	26686	La madre di Don Mario
760985	28944	Madre di Paolo
760985	112687	
760985	197567	
760985	199441	
760985	291693	Stella (segment "Il promesso.
760985	319300	
760985	338715	
760986	16600	Hélène
760986	101228	Second Pretty Girl
760987	51392	
760988	61423	Secretary
760989	85328	Reshms mor
760990	171816	
760991	218247	Jumelle 1
760992	218247	Jumelle 2
760993	192575	Herself
760994	153847	
760995	354203	Banff Waitress
760996	8152	
760997	57414	
760998	11337	
760998	172309	Consuelo's Friend
760998	204312	Mercy
760998	221142	
760998	325323	Mikaela
760999	49759	
761000	94820	
761000	145137	
761000	149904	
761000	170277	
761000	205713	
761000	208841	
761000	213363	
761000	249804	
761000	276481	
761000	320217	
761001	42659	
761002	183466	María José
761003	14431	
761003	52776	
761003	54797	
761003	82588	
761003	82961	
761003	112059	
761003	194614	
761003	202833	
761003	212468	
761003	221558	Barman
761003	255276	
761003	265115	
761003	350137	
761003	351993	
761003	380064	Grandmother of Carlín Cantoni
761003	383287	
761003	384775	
761003	387774	Carmen 1ra.
761003	390085	Ortencia
761003	397589	Manuela
761003	397590	Doña Aurora
761003	407285	Benita
761004	10484	
761004	96358	
761004	209024	
761004	214624	
761004	234796	María
761004	246424	
761004	265334	
761004	266508	
761004	318006	
761004	340068	
761004	379598	
761004	383439	Fedora
761004	384775	Dora
761004	391850	Alfonsina
761004	395864	
761004	396781	Jacinta
761004	397589	Dominga
761004	398165	Pelagia
761004	405816	Juana
761004	406050	Eulalia
761004	409790	Roberta
761005	265714	
761005	270822	
761006	344524	Herself
761007	24612	
761008	401918	
761009	253667	Nené (Sra. de Gutier)
761010	69391	Gong Show Model
761011	48169	Rita
761011	74470	Ann Trower
761011	295560	Patrice
761011	331740	Nanci Hanover
761011	368942	Office Worker #1
761011	400808	Yvonne Bernini
761012	51586	Le Vieille Dame
761012	74333	Mme Beaudry
761012	77996	Rachel
761012	171596	
761012	300787	
761012	352927	The Proprietor
761012	389137	Belle-mère de Nadia
761012	407360	Gisèle
761013	167049	Praetorius' patient #1/Wrestl
761014	62995	Maude
761014	140518	WPC Clarke
761014	160059	Michaela Willis
761014	160572	Stepha Odell
761014	367695	Francie
761014	379255	Eleanor Flood
761014	383461	Dr. Monica Broome (1994)
761014	388321	Diane Short (2001-2002)
761014	388758	Carol
761014	408008	DC Grace Harris (1996-1997)
761017	351181	Empress Nueva Gabor
761018	130055	Maid
761019	46807	One of Fu Man Chu's slaves
761020	124	Olive Oyl
761020	2761	Herself
761020	3404	Betty Boop
761020	5288	Olive Oyl
761020	6555	Betty Boop
761020	7090	Olive Oyl
761020	9800	Olive Oyl
761020	11634	Olive Oyl
761020	12426	Olive Oyl
761020	16020	Olive Oyl
761020	18514	Olive Oyl
761020	18563	Betty Boop
761020	23976	Little Audrey
761020	25498	Olive Oyl
761020	26272	Betty Boop
761020	26434	Olive Oyl
761020	26436	Olive Oyl
761020	28677	Olive Oyl
761020	30121	Olive Oyl
761020	30154	Betty Boop
761020	31584	Betty Boop
761020	31589	Olive Oyl
761020	31613	Betty Boop
761020	31694	Olive Oyl
761020	32023	Little Lulu
761020	32040	Olive Oyl
761020	35324	Betty Boop
761020	35325	Betty Boop
761020	35326	Betty Boop
761020	35329	Betty Boop
761020	35330	Betty Boop
761020	35331	Betty Boop
761020	35332	Betty boop
761020	35333	Betty Boop
761020	35334	Betty Boop
761020	35335	Betty Boop
761020	35336	Betty Boop
761020	35337	Betty Boop
761020	35338	Betty Boop
761020	35339	Betty Boop
761020	35340	Betty Boop
761020	35341	Betty Boop
761020	35342	Betty Boop
761020	35343	Betty Boop
761020	35344	Betty Boop
761020	35345	Betty Boop
761020	35346	Betty Boop
761020	35347	Betty Boop
761020	35348	Betty Boop
761020	35349	Betty Boop
761020	35355	Betty Boop
761020	35569	Olive Oyl
761020	36725	Olive Oyl
761020	36965	Olive Oyl
761020	38167	Betty Boop
761020	38168	Betty Boop
761020	41547	Olive Oyl
761020	44039	Betty Boop
761020	44043	Billy
761020	46723	Olive Oyl
761020	46820	Olive Oyl
761020	47934	Olive Oyl
761020	48498	Mother in Checkered Dress
761020	49262	Olive Oyl
761020	50670	Little Audrey
761020	50835	Betty Boop
761020	50836	Betty Boop
761020	53317	Olive Oyl
761020	53710	Betty Boop
761020	54757	Olive Oyl
761020	60837	Betty Boop
761020	61613	Olive Oyl
761020	62667	Olive Oyl
761020	63134	Aunt Bethany
761020	65463	Olive Oyl
761020	70373	Olive Oyl
761020	70562	Olive Oyl
761020	72750	Betty Boop
761020	74293	Olive Oyl
761020	75657	Olive Oyl (in episode "Let's 
761020	77596	Olive Oyl
761020	77779	Betty Boop
761020	79277	Olive Oyl
761020	79648	Little Audrey
761020	86908	Betty Boop
761020	88296	Betty Boop
761020	88297	Little Audrey
761020	88299	Olive Oyl
761020	88311	Betty Boop
761020	91940	Olive Oyl
761020	93219	Olive Oyl
761020	109196	Olive Oyl
761020	113953	Olive Oyl
761020	114462	Little Audrey
761020	114516	Olive Oyl
761020	115727	Olive Oyl
761020	116878	Olive Oyl
761020	116970	Olive Oyl
761020	116973	Olive Oyl
761020	118487	Olive Oyl
761020	118574	Betty Boop
761020	120288	Olive Oyl
761020	121829	Mrs. Strakosh
761020	127505	Olive Oyl
761020	131848	Little Audrey
761020	132634	Betty Boop
761020	133989	Olive Oyl
761020	136455	Olive Oyl
761020	136869	Betty Boop
761020	138910	Betty Boop
761020	140067	Olive Oyl
761020	145374	Olive Oyl
761020	147431	Little Audrey
761020	147434	Olive Oyl
761020	148856	Betty Boop
761020	149483	Bee Scout
761020	149913	Olive Oyl
761020	149987	Olive Oyl
761020	149988	Betty Boop
761020	150297	Mrs. Lobowitz
761020	150808	Olive Oyl
761020	150818	Betty Boop
761020	151151	Olive Oyl
761020	151336	Olive Oyl
761020	154176	Olive Oyl
761020	154207	Olive Oyl
761020	154268	Betty Boop
761020	154350	Olive Oyl
761020	154514	Olive Oyl
761020	154699	Olive Oyl
761020	154834	Olive Oyl
761020	154835	Olive Oyl
761020	154851	Betty Boop
761020	154857	Olive Oyl
761020	154961	Olive Oyl
761020	154966	Little Lulu
761020	155079	Olive Oyl
761020	157259	Betty Boop
761020	162552	Betty Boop
761020	162828	Olive Oyl
761020	163621	Cecilia Albright
761020	164387	Betty Boop
761020	166467	Olive Oyl
761020	168015	Olive Oyl
761020	168129	
761020	168156	Olive Oyl
761020	169888	Betty Boop
761020	171026	Betty Boop
761020	171223	Betty Boop
761020	175130	Betty Boop
761020	176502	Woman in the shoe, kids
761020	177471	Olive Oyl
761020	178343	Betty Boop
761020	178759	Olive Oyl
761020	184442	Isabel, Rosita Wristwatch
761020	184477	Isabel
761020	184478	Isabel
761020	184678	Betty Boop
761020	186258	Little Audrey
761020	186706	Olive Oyl
761020	188234	Betty Boop
761020	188321	Olive Oyl
761020	188356	Olive Oyl
761020	188443	Olive Oyl
761020	188465	Olive Oyl
761020	190335	Betty Boop
761020	191609	Little Audrey
761020	192105	Betty Boop
761020	192296	Betty Boop
761020	192317	Olive Oyl
761020	194718	Olive Oyl
761020	194795	Little Audrey
761020	197321	Little Lulu
761020	197328	Little Lulu
761020	197352	Olive Oyl
761020	197529	Olive Oyl
761020	201349	Mrs. Rubin
761020	201555	Betty Boop
761020	201908	Betty Boop
761020	207159	Betty Boop
761020	211743	Olive Oyl
761020	214523	Betty Boop
761020	214736	Betty Boop
761020	215976	Olive Oyl
761020	219137	Betty Boop
761020	219402	Betty Boop
761020	219404	Olive Oyl
761020	219926	Betty Boop
761020	220504	Mrs. Katz
761020	220627	Olive Oyl
761020	223136	
761020	223140	Betty Boop
761020	223153	Betty Boop
761020	223390	Olive Oyl
761020	223660	Olive Oyl
761020	223961	Betty Boop
761020	224606	Betty Boop
761020	229146	Olive Oyl
761020	230351	Olive Oyl
761020	230591	Betty Boop
761020	230947	Mother
761020	234086	Betty Boop
761020	235464	Betty Boop
761020	236893	Olive Oyl
761020	238963	Betty Boop
761020	239718	Betty Boop
761020	239990	Olive Oyl
761020	240977	Betty Boop
761020	243403	Olive Oyl
761020	245167	Betty Boop
761020	245248	Olive Oyl
761020	247521	Olive Oyl
761020	248375	Betty Boop
761020	249203	Olive Oyl
761020	251773	Olive Oyl
761020	252272	Olive Oyl
761020	255821	Olive Oyl
761020	256850	Olive Oyl
761020	257998	Olive Oyl
761020	258275	Olive Oyl
761020	260205	Betty Boop
761020	260311	Olive Oyl
761020	260368	Olive Oyl
761020	260370	Olive Oyl
761020	260371	Olive Oyl
761020	260372	Olive Oyl
761020	260377	Olive Oyl
761020	260378	Olive Oyl
761020	260379	Betty Boop/Olive Oyl
761020	260380	Olive Oyl
761020	260381	Olive Oyl
761020	260382	Olive Oyl
761020	260383	Olive Oyl
761020	260438	Betty Boop
761020	262580	Olive Oyl
761020	264659	Olive Oyl
761020	266061	Olive Oyl
761020	266778	Betty Boop
761020	266779	Betty Boop
761020	266780	Betty Boop
761020	266781	Betty Boop
761020	267343	Olive Oyl
761020	269785	Olive Oyl
761020	274143	Betty Boop
761020	277530	Betty Boop
761020	278102	Betty Boop
761020	279754	Olive Oyl
761020	280165	Olive Oyl
761020	280360	Olive Oyl
761020	280445	Herself
761020	281063	Betty Boop
761020	282632	Olive Oyl
761020	283012	Betty Boop
761020	284547	Betty Boop
761020	285282	Olive Oyl
761020	286146	Betty Boop
761020	289527	Betty Boop
761020	291121	Little Lulu
761020	291889	Little Audrey
761020	292013	Olive Oyl
761020	294954	Olive Oyl
761020	294956	Betty Boop
761020	297547	Olive Oyl, Popeye
761020	297830	Olive Oyl
761020	298048	Betty Boop
761020	298162	Olive Oyl
761020	299387	Olive Oyl
761020	299538	Olive Oyl
761020	300541	Olive Oyl
761020	301870	Olive Oyl
761020	301880	Betty Boop
761020	305979	Little Lulu
761020	306252	Olive Oyl
761020	306293	Betty Boop
761020	306402	Betty Boop
761020	306838	Olive Oyl
761020	308538	Betty Boop
761020	308617	Little Audrey
761020	311200	Olive Oyl
761020	311201	Olive Oyl
761020	311202	Olive Oyl
761020	311203	Olive Oyl
761020	311658	Olive Oyl
761020	311926	Olive Oyl
761020	315304	Betty Boop
761020	315356	Betty Boop
761020	317158	Olive Oyl
761020	319409	Little Lulu
761020	319893	Little Audrey
761020	320897	Betty Boop
761020	321442	Betty Boop
761020	321447	Olive Oyl
761020	321524	Betty Boop
761020	321847	Olive Oyl
761020	323606	Betty Boop
761020	324846	Olive Oyl
761020	325071	Little Audrey
761020	326205	Olive Oyl
761020	330029	Betty Boop
761020	331766	Olive Oyl
761020	331803	Betty Boop
761020	333305	Mermaid (Betty Boop)
761020	335968	Olive Oyl
761020	336062	Olive Oyl
761020	336570	Olive Oyl
761020	337819	Betty Boop
761020	342607	Olive Oyl
761020	343242	Olive Oyl
761020	349560	Olive Oyl
761020	354621	Olive Oyl
761020	358272	Betty Boop
761020	360351	Olive Oyl
761020	360387	Betty Boop
761020	362962	Betty Boop
761020	364161	Betty Boop
761020	364466	Betty Boop
761020	365111	
761020	365249	Olive Oyl
761020	367279	Olive Oyl
761020	368701	Olive Oyl
761020	372178	Olive Oyl
761020	372271	Betty Boop
761020	372349	Betty Boop
761020	374418	Helen Kane
761020	376083	Betty Boop
761020	397132	Casper, Little Audrey, Additi
761020	401857	Olive Oyl, Sea Hag, Swee'pea
761020	405882	Miriam Briskin (1975)
761020	411235	Winky Dink
761021	44269	Rachel
761021	64333	Herself (1982)
761021	100734	Madame Rateau
761021	133019	
761021	169355	University Professor
761022	2252	(segment "Teuf d'enfer, La")
761023	346744	
761024	3047	Concierge
761025	118172	
761025	150558	
761025	214210	
761026	380100	Alejandra 'Ale'
761026	383291	
761026	391860	Astrid
761026	392030	
761026	405916	
761026	409959	
761026	410453	
761027	122226	
761028	110743	
761029	281613	
761030	53649	
761030	221710	Lulu
761031	204987	
761032	356472	The Media (Herself)
761033	198567	Rachel's mother
761034	198567	Rachel
761035	371325	Liu
761036	18975	
761037	254414	Background Player
761038	330282	Kate
761039	12056	
761039	24982	
761039	334674	
761040	287712	Lupita
761041	214777	
761041	380345	(1996-97)
761042	216111	
761043	19897	Eskimo Girl
761043	358508	
761043	388087	
761044	100841	Keno's Date
761045	41347	Gloria Torres
761045	48075	Newscaster
761045	56880	Reporter Five
761045	114095	White House Reporter #1
761045	175050	Naomi
761045	394260	Weathergirl (2003-)
761046	65118	Aga
761047	55788	
761047	187880	
761048	99999	Emmanuelle of Soho
761048	108626	Sarah
761049	298439	Maggie
761050	192349	Mr. Boo's Band
761051	1378	Anna
761051	7408	Madame Pomfré
761051	9254	Lady Gryffoyn
761051	37335	Mona Grant
761051	47974	
761051	53346	
761051	55036	Tullia
761051	62988	Ghost of Christmas Past
761051	63654	Princess Ida
761051	65200	Lady Betty
761051	77201	ACC Sheila Applegarth
761051	77214	ACC Stella Applegarth
761051	87645	Sophia
761051	94055	Anaïs Nin
761051	94808	Laura
761051	171349	Kate Fielding
761051	186632	Susan
761051	214510	Annie
761051	231434	Sonya
761051	235352	Diane de Portier
761051	238237	Fiona Harris
761051	243213	Madam
761051	243226	Gwenda Vaughan
761051	254518	Madame Bianchi
761051	258932	Mrs. Welman
761051	263517	Alice Daltrey
761051	264655	Penny
761051	272530	Grand Duchess Ella
761051	277122	The Duchess
761051	289099	Honey
761051	331402	Mary Hannay
761051	354246	Emily
761051	357385	Susan
761051	365937	Sally
761051	380610	Older Lady Louisa
761051	381753	Gloria (Series 2) (1970)
761051	382744	Julia Flyte
761051	384799	Various
761051	385635	Marion Glassford-Gale
761051	386588	Prime
761051	391259	Avril Watcham
761051	393020	
761051	398990	Eleonore
761051	411353	Marian Halcombe
761052	309918	Bambi
761053	179507	Shun Kisaragi
761054	126538	Aerobic Girl (segment "Get Ou
761055	51576	Kit-Kat Dancer
761055	321154	Dancer in 'Big Spender' numer
761056	226870	Grandmama
761057	201506	Herself
761058	35523	Playboy Model
761059	114284	Carol
761060	153978	
761061	50235	Pram Runner 2
761062	160218	
761063	37098	Herself (western outfitter)
761064	114658	Mother
761064	151086	Denise
761065	108087	Sheila
761066	219773	Nightshift nurse
761067	362453	Girl at Lunch Counter
761068	277458	Enkelin
761069	97842	
761070	405209	Faith Andrews (1997)
761071	105596	Georgelle
761072	336754	The Children
761073	45851	Mrs. Driscol
761073	304237	Mrs. Bull
761074	49928	Sam
761074	187843	Ruth Livingston
761074	400621	Cathy Jo Cutler (2003)
761075	32682	T.J.'s Mom
761075	74189	Mrs. Hunt
761075	157499	Hospital Administrator
761075	193807	Eva
761075	237612	Hotel Clerk
761075	248660	Saleswoman
761076	396580	Sharon
761077	49493	Tracy
761077	390152	Mel McGrath
761077	391182	Various Roles
761077	394169	Various roles
761078	10587	Mary Dow
761078	26615	Girl with Pigtails at Movie
761078	41698	Child
761078	44479	Sally Saks
761078	64101	Cinderella
761078	66643	Cynthia
761078	85055	Helen McCoy as a Child
761078	85109	Marguerite Coulvet
761078	108328	Susan
761078	130440	Sally
761078	138848	Sally Pierce
761078	140332	Rosy, at the Dance School
761078	140408	Mabel, Emma's Daughter
761078	140444	Doris Milburn
761078	154182	Autograph Seeker
761078	156939	Baby Jessie Pullman, Age 3
761078	183546	Mary Lou
761078	197943	Jean
761078	203567	Linette Verin
761078	210871	Patricia Falconer at Age 6
761078	224809	Daughter
761078	228314	Malvolia Brown
761078	230774	Sally
761078	238894	Junior
761078	248084	Rita, as a child
761078	278174	Rosie Bunch
761078	315531	Pepita
761078	315869	Maggie Haines
761078	329394	The Pest
761078	350484	Caroline Yancey
761078	360535	Child with Nanny
761078	363683	Rose Murphy
761078	367415	Ellen
761078	370529	Jane 'The Runt' Dennis
761078	372050	Girl
761079	728	Herself
761079	736	Herself
761079	737	Herself
761079	14150	
761079	17214	Dana Miles-Evans
761079	18160	Herself
761079	23448	Deaf Girl
761079	23956	Sally Webster
761079	31630	Sally
761079	35532	Lead Singer
761079	38165	
761079	39845	Milly
761079	41172	
761079	41231	Wanda Dance
761079	43878	Gretchen
761079	49828	Rat Woman
761079	59577	Sadie
761079	70972	Elli Kroger
761079	72913	Bianca
761079	80477	Zombie Go-go Girl
761079	80746	Michelle Arno
761079	81155	Angel Wilson
761079	81347	Courtesan
761079	86534	Mona
761079	90318	Bondi's Mother
761079	92400	Rocker Chick #2
761079	93779	Herself
761079	107493	Sleeping Beauty
761079	109642	Wendy Williams
761079	109649	Athlete
761079	119437	Soul From Freddy's Chest
761079	120798	Sandra
761079	122204	Trash, from 'Return of the Li
761079	126508	Groupie
761079	128255	Teri
761079	128786	Herself
761079	132529	Dolores
761079	136299	Scream Queen
761079	147667	Samantha
761079	147677	Ryder
761079	149743	Photo Model
761079	160000	Nurse
761079	163212	Vaughnroe, Marilyn
761079	164542	Carolyn Miller
761079	173467	Georgina Thereshkova
761079	176463	Cathy
761079	176811	TV Shower Girl
761079	179631	Dorothy
761079	191196	Herself
761079	218380	Aunt Ruth
761079	220674	District Attorney
761079	222762	Dawn
761079	223834	Herself
761079	231386	Blondie Group #2
761079	232072	Suzanne
761079	232205	Girl on TV
761079	232456	Soul from Freddy's Chest
761079	232465	Melody
761079	236366	Model
761079	257522	Overdosed Hooker
761079	257642	Herself
761079	265860	Hooker
761079	266587	Barmaid
761079	267112	Nadine
761079	276781	Trash
761079	279865	Miss Barbeau
761079	291246	Malicia Tombs
761079	291248	
761079	291249	Herself
761079	295725	Texas Lilly
761079	295951	Herself
761079	296068	Phoebe Love
761079	299462	Herself/Scream Queen
761079	300859	Scream Queen
761079	301677	Denise
761079	301681	Denise
761079	309199	Spider
761079	314824	Blonde in Spa
761079	315218	Melody Stevens
761079	319454	Herself (B-Movie Scream Queen
761079	321385	Cupid's Corner Host
761079	338816	Lu de Belle
761079	345636	Mary Burns
761079	351765	
761079	353294	Didi/Fluffer
761079	353297	Didi
761079	355028	Kathleen
761079	366784	Ginger Kowolski
761079	367345	Candy
761079	372774	Ginger
761079	375714	Principal Russo
761079	408049	Herself
761080	273793	Helen 'Sugar' Devereaux
761081	109632	Liz
761081	123019	Wanda
761081	134195	Hallway Employee
761081	151007	Dolly
761081	196397	
761081	274805	Hillary
761081	275996	Sister Brothers
761081	363044	Clerk #2
761082	242929	Woman at accident
761083	346101	Bombshell Blonde
761084	244864	Sheila #4
761085	41024	Regina Mason
761085	114651	Peggy
761085	142879	Martha Daley
761085	151762	Mary Howard at Age 17
761085	152522	Helen Eliot, Homer's Crush
761085	162931	Diane, the naif
761085	166690	Amelia
761085	175184	Susan, Standing 'Forward Amer
761085	277913	Ellen Martin
761085	278641	Mary Davis
761085	320197	Blossom 'Bloss' Trexel
761085	330514	Elvira Kelland
761085	338225	Clementine
761085	350484	Caroline, as an Adult
761085	363683	Brook Hammond
761085	367805	Herta Rumann
761086	186708	
761087	32114	Nobel Prize attendee
761088	33565	Dancer
761089	25047	
761090	54320	
761090	61133	Duquesa
761090	61141	Eufrasia
761090	111984	
761090	212386	
761090	243721	Remigia
761090	249318	
761090	253870	
761090	281620	Nieves
761090	352017	
761091	36640	Ladrona
761092	51681	
761092	61140	
761092	193187	
761092	283911	
761093	73249	Policewoman #2
761093	96382	Enid
761093	113830	Journalist
761093	204903	
761093	344650	Radio
761093	389788	Sonia
761093	402192	Lucero Riobueno
761093	403290	Lucia Arciniegas
761093	404703	Isolda Garcia
761094	210553	
761095	160206	Claudine
761096	52199	Howdy Doody Mom
761097	359323	Herself
761098	321605	Francis Robinson
761099	16466	Maxine, a Student
761099	297366	Phone Operator
761100	10587	Nurse
761100	20271	Anne
761100	53207	Edna
761100	60941	Genevieve
761100	153129	Tonita
761100	210435	Perdita
761100	234598	Sister
761100	285123	Rita
761100	302739	Showgirl
761100	355687	
761101	52668	Model
761102	90292	Telephone Operator
761103	16005	Daisy
761103	16626	Annie
761103	53757	Cluny
761103	146619	Felicty Phee
761103	191547	Cosima
761103	202079	Mally
761103	205784	
761103	250907	Frau
761103	270949	Lou
761103	274310	Girl
761103	279720	Sister Mary
761103	365560	Lizzie
761103	407667	Teresa Turner
761103	411165	Nancy
761104	78796	Nurse
761105	57929	Jazz Class Dancer
761106	5099	
761106	223287	
761106	322535	Fräulein Jessel (Geist)
761106	348043	Frau Urban
761106	386334	
761106	389615	Hilde Siebenbrunn
761106	392902	
761106	402373	Frau Lohmeier
761106	402374	Frau Lohmeier
761106	408386	
761107	80718	
761107	383882	Tessa
761107	391869	Donna Bishop (1995)
761108	382312	Jo Goldman (1976)
761109	326428	Sarah
761110	190452	Gert
761111	9464	
761112	180198	Margie Quinn
761112	183379	Lucille Gates
761112	196899	Eleanor
761112	210831	Mr. Burton's Secretary
761112	230884	Helen Matthews
761112	253147	Emily Montrose
761112	270623	Mrs. Evans
761112	271879	Estelle
761112	286139	Marian Duval
761112	326509	Janet Comstock
761112	333724	Rita
761112	337492	Diana
761112	337718	Molly Blake
761112	342997	Margaret
761112	361796	Molly Turner
761112	362238	Marjorie Goodly
761112	364433	Sadie Wise
761112	368377	Alma Pauls
761113	91492	
761114	279200	Dancer
761115	99363	
761115	107512	Présentatrice télé
761115	384743	Herself/columnist (2004-)
761115	403461	Herself
761116	63135	Airplane Hostess
761117	55194	Artistas invitados
761118	266564	Miragequester
761119	331373	Grace Kitteredge
761120	11217	Myra Haynes
761121	198873	La troisième sorcière
761121	251532	La duchesse Girard
761122	250764	ATF Raid Team Member
761123	383116	Co-host (1999-)
761124	265852	Sue Dawson
761125	32466	Cheerleader
761126	396506	Young Teresinha Silveira
761127	26729	Aggie Twaddle
761128	151460	Danicing Girl's Friend
761129	265603	Joan
761130	4709	Anne Benedict
761130	7582	Herself
761130	9128	Julie
761130	13963	Peg
761130	14196	Hope Tyler
761130	18979	Marilyn Lovell
761130	31156	Eve
761130	40136	Chris Graham
761130	40551	Meredith
761130	46304	Amy Taylor
761130	53270	Melissa
761130	61793	Lois Lee
761130	65022	Anne Anderson
761130	65174	Leona Hart
761130	80631	Beth Hytner
761130	90932	Patricia Kennealy
761130	93325	Sarah McAllister
761130	105034	Peters, Med Tech
761130	138419	Janet Dunn
761130	147904	Herself - Actress
761130	154516	Deborah
761130	158296	Kathy Waylan
761130	158997	Mary Ann Taylor
761130	185372	Kathy Rubicek
761130	185764	Joyce
761130	186427	Clare Stockard
761130	190332	Wendy
761130	191945	Karen Brodwick
761130	194918	Herself
761130	196711	Joyce Howell
761130	201615	Herself
761130	203377	Grace Freemont
761130	215738	Michelle
761130	223977	Serena Kamin
761130	232440	
761130	241454	
761130	242804	Ginnie
761130	246422	Judge Scorsi
761130	252834	Melanie Bauers
761130	252961	Tess Gallagher
761130	265754	Nancy McAllister/Marie Adamso
761130	279203	Sande Keppel
761130	279342	Herself
761130	283492	Sister Rita
761130	298094	Pvt. Cass Donner
761130	315076	Bekka
761130	316515	Lindsey Jarrett
761130	319026	Laurie (segment "Skippy")
761130	319175	Nancy Shoemaker
761130	338273	Mary Ann Marshall
761130	339369	Wanda
761130	342001	Edith Evans
761130	342512	Helen Foley(School Teacher)(S
761130	359482	Joanie Morse
761130	363005	Rose Michaels
761130	363313	Deborah Anders
761130	365443	Jane
761130	374649	Mary Beth Dunhill
761130	388345	Lynn Holt
761130	401427	Mollie (segment "Lightning")
761130	402294	Herself
761130	408529	Nanaline Duke
761131	45565	Diane
761131	73330	Heather
761131	93897	Colleen O'Brian
761131	115811	Claire
761131	141236	Becky Schultz
761131	160659	Receiving Nurse
761131	175479	Rhonda
761131	230107	Detective Sandra Simmonds
761131	231524	The Mother
761131	257522	Tiffany
761131	327995	Siobhan Kelly
761131	336475	Liv Watson
761131	382419	Megan Conley (1995-)
761131	389858	Betsy Kensington (1993)
761132	150390	Table Dancer
761133	196134	Carol
761133	314508	Nurse
761134	190321	Rosie
761135	50020	TV reproter
761135	92689	Reporter #3
761136	10986	Aline
761136	346720	Fille de Bernard
761137	48075	Teleprompter Operator
761137	407957	First Lady Laura Bush
761138	687	Herself
761138	17749	Annie
761138	120404	Princess Zora
761138	190617	Annie
761138	245917	Dorothy Gale
761139	6717	Herself
761139	11912	
761139	27012	Alexandria
761139	37432	
761139	39751	
761139	50569	
761139	56934	
761139	61323	
761139	75050	
761139	77885	
761139	77990	
761139	81761	
761139	91617	
761139	91879	
761139	93079	
761139	101017	
761139	108428	
761139	122857	
761139	123862	
761139	124827	
761139	141538	
761139	154732	
761139	208521	
761139	215289	
761139	231838	
761139	243083	
761139	253502	
761139	256196	
761139	256747	
761139	272037	
761139	273297	
761139	273298	
761139	273300	
761139	280059	
761139	281394	Diane
761139	294063	
761139	306911	
761139	306916	
761139	306923	Herself
761139	330674	
761139	340523	
761139	351943	
761139	358047	Herself
761140	49952	Christine
761141	41407	Gloria
761142	41747	Union Secretary
761142	120098	Dresser
761142	335865	Valerie Lattimer
761143	50975	Debra Sue
761144	266100	Mila (Hansen's gypsy girlfrie
761145	321632	Party Guest
761146	24790	David as a Baby
761147	44897	The Waitress
761147	127097	Sarah
761147	195276	Ivana
761148	41953	Stephanie
761148	65108	Muriel
761148	140798	Dance teacher
761148	165966	Anxious tunnel lady
761148	312363	The Sheriff's Girl
761148	365396	Mildred
761149	308128	Lady in Market
761150	380685	Herself (regular performer, 1
761151	139199	Amtrak Lady
761151	235603	Party Goer
761152	13800	Karen
761152	58507	Cellmate
761153	81205	Newscaster
761154	155013	Leslie Campbell
761154	157937	Isabel
761154	300533	Hope
761154	396123	Carly Rescott Alden (1990-199
761155	219904	Jill Henderson
761156	273275	Sallini's Mistress
761157	98906	Carol
761158	86037	Fanny
761158	185180	Young Helen Parker
761158	215507	Mary Jo Wright, Miss Texas
761158	230815	Big Agency Receptionist
761159	104771	Irish entry (1st place)
761160	176848	Lilac
761160	195345	Mrs. Reed
761160	309608	Mabel Bell
761161	89309	Tanya Nashold
761162	240232	Marion Radford
761163	120014	Student in Fleeber Classroom
761164	80617	Photographer's model
761165	402161	Herself (2001- )
761166	75258	Claire
761166	94861	K.C. Hostess
761166	120418	Underwater Elder
761166	154856	Catherine
761166	191502	Farley's Sister
761166	252963	Kyle's Mother
761166	281337	Trudy
761166	321405	Nurse #2
761166	327164	Sarah
761166	339596	April
761166	379197	Vira
761166	385172	Tandy
761166	397054	Marguerite
761167	65895	Jackie Fitzpatrick
761167	124379	Woman
761167	272648	Mrs. Quinn
761168	644	Crying Loser
761169	184942	Cherry Blossom
761170	272592	
761171	134178	Rowan girl
761172	101070	Reynolds' Daughter
761173	151511	Herself
761174	366027	Rene Taylor
761174	366957	Ellen Sharp
761175	97018	Rock TV V.J.
761176	118980	Pretty Girl Bowler
761177	78780	Cleaner
761177	340221	Travelling Woman
761178	2031	Bibi
761178	10153	Jane
761178	47485	Catherine O'Leary
761178	65099	Woman in park
761178	69357	Assistant D.A. Liz
761178	104949	Sister Theresa
761178	141689	Darlene
761178	146729	Eileen
761178	154593	Jean
761178	194047	
761178	330771	Concepta
761178	363146	Fidelma
761179	27181	Lisa Cummings
761179	62699	Mae Clutter
761179	68745	Herself
761179	78038	Tympani Charles
761179	80477	Newscaster
761179	97390	Music Video Hostess
761179	220164	Bank Teller
761179	221469	
761179	265101	Emily
761179	311204	Host
761179	324777	RVTV-VJ
761179	379979	Guest Host (1987)
761179	382644	Tracy Brady
761179	387227	Herself - Correspondent (1999
761179	403596	Host
761179	406398	Co-Host (1994-1995)
761180	258209	Second Woman
761180	272536	Innkeepers Wife
761181	399383	Termagant
761182	137845	Edna Reilly
761182	150297	Susan
761182	196281	Barbara
761182	198044	Woman in gallery
761182	352420	Fitzsimmons' Wife
761183	126691	Mom
761184	312389	Herself
761185	283579	
761186	31675	Janey
761187	186665	Lillian
761188	354857	
761189	160780	1st Nurse
761190	65756	Woman in Office
761190	108382	Willa Mae
761190	193123	Strange Character
761190	195327	Linda
761190	230343	Sylvia
761190	283601	Carol
761191	687	Herself
761191	6582	Girl at Dance #2
761191	10391	
761191	31909	
761191	32174	Susan
761191	45286	Sylvia Daisy Pouncer
761191	47928	Lizzie Siddall
761191	62989	Ghost of Christmas Past
761191	65976	Annette Vallo
761191	71659	Margot
761191	101387	Elizabeth Purcell
761191	140510	Woman, Sorceress
761191	209170	Mrs. Williams
761191	245532	Siobhan
761191	280277	Herself
761191	280278	Herself
761191	280279	Magenta
761191	299471	Nation McKinley
761191	329505	Bridesmaid
761191	348370	Wife
761191	348377	Magda, Mata Hari's maid
761191	366778	Lucinda Jessup
761191	389146	Mona Castlebar
761191	392483	Livilla
761191	396009	Doris Tingley
761191	405217	Christabel Pankhurst
761192	10805	Alice Brock
761192	65453	June
761192	103277	Rosa
761192	162980	Ma Tate
761192	299658	Juliana
761192	347414	Sue
761192	373578	Belle Starr
761193	35524	Oki-Doki
761193	107745	Kelly
761193	243889	Lydia
761194	273327	Donna Stanley
761195	236972	Toy Soldier
761196	13806	Cecile Harding
761196	35593	French Girl - Red Cross Nurse
761196	46124	Ruth Hunneywell
761196	78004	Asta
761196	120545	Teeresa Capriano
761196	152638	Beatrice
761196	154897	Barbara Knowles
761196	244359	Betty Moore
761196	244366	Lola Wayne
761196	263575	Mary
761196	273729	Felice Huxley
761196	368991	Doris Marshall
761198	44516	Beatrice Duffee
761198	383697	Herself - Co-Anchor (1973-197
761199	234481	Louise Phelps
761200	106666	Masked party principal
761201	311953	Herself/Performer
761201	388264	Herself (Series 1) (2002)
761202	38719	Elizabeth
761203	360076	Baby Kate
761204	216803	Police Woman
761204	366617	Massuese
761205	31286	Country Mother
761205	209236	
761206	211687	Tarantella
761206	229100	Celia, the housekeeper
761206	265104	Judith
761207	131006	Popcorn kid
761207	200245	Girl with Ribbons
761208	176919	Olive Laveta
761208	176987	Cindy
761208	236982	Cell Woman #4
761208	239709	Angela
761208	257014	Interviewer
761208	315172	Imelda
761208	370898	Alice
761209	10737	The Queen of Hearts
761210	232676	Bar Patron
761211	21198	Nurse in Cafeteria
761211	220775	Paquita
761212	79764	Babs
761213	342356	Olivia
761214	48831	Vendedora discos
761214	196702	
761215	240724	Laura
761216	311784	Herself
761217	204354	Brothel Worker
761218	91383	
761219	204354	Brothel Worker
761220	17676	Kitty
761221	222123	
761222	124794	Office Worker
761222	317991	Leah Lotts
761222	336138	Laura
761223	232496	Female Reporter #2
761224	204354	Aunt Aida
761224	249420	Cleaning Lady
761225	59759	Perfect Mother
761226	59759	Perfect Child #1
761228	410310	
761229	217640	Directrice du Conservatoire
761230	19740	Jen Caffrey
761231	75629	La Veuve Sirois
761232	97450	Attendant
761232	366316	Camilla
761233	12217	Arizona Housekeeper
761233	33395	A.C.H.E. secretary
761233	56871	Hotel Maid
761233	214755	Murder Bystander
761233	328272	Government Inspector
761233	350424	Frozen Theologist
761234	122983	Herself
761234	122984	Herself
761234	388083	Host
761234	404076	Host
761234	405423	Host
761234	409976	Host
761235	353636	
761236	20482	
761237	123150	
761238	3135	Minha
761238	14636	
761238	14933	
761238	25812	
761238	43131	Lina Rivas
761238	43664	
761238	48776	
761238	51776	
761238	53614	(segment "Una solución inespe
761238	53641	
761238	54824	
761238	57092	
761238	80163	
761238	83142	
761238	87074	
761238	88051	
761238	91355	
761238	94830	
761238	101712	
761238	121977	
761238	136224	
761238	171471	Patricia
761238	186163	
761238	189000	
761238	193068	
761238	198235	Rosa del Valle
761238	199969	
761238	209042	
761238	216074	
761238	223625	Dr. Karen
761238	249874	
761238	251985	Sue
761238	256775	
761238	259018	
761238	266842	
761238	277303	
761238	291608	
761238	292929	
761238	301167	
761238	324764	
761238	332943	
761238	333608	
761238	333748	
761238	336177	
761238	339157	
761238	339167	
761238	339176	
761238	339190	
761238	349683	
761238	351490	
761238	352852	Rebeca Ponce
761238	355757	
761238	379256	
761238	386646	
761238	388568	
761238	390816	Mrs Gutierrez
761239	387621	Carla
761240	403741	
761241	411509	Herself - General Assignment 
761242	395814	Teresa
761243	10047	
761243	71105	
761243	100769	
761243	135118	
761243	226153	
761243	246191	
761243	269236	
761243	281605	
761243	291657	
761243	301189	
761243	310031	
761243	314342	
761243	332681	
761243	343607	
761244	297890	The Jordan Baby
761245	314170	Elaine
761246	247415	March Smith
761247	6480	
761247	371727	
761248	348169	
761249	401912	
761250	246967	
761250	380700	Clara
761251	496	
761251	3399	
761251	3458	
761251	8729	
761251	12026	
761251	12910	
761251	14826	
761251	24375	Monica Sandoval
761251	49693	Valentina
761251	52110	Lupe
761251	52234	
761251	53643	
761251	54781	
761251	59788	
761251	63860	
761251	66101	Tere Dorantes
761251	68639	
761251	70599	
761251	74564	
761251	82718	
761251	91341	
761251	94592	
761251	94873	
761251	103503	
761251	137847	
761251	139911	Eloisa
761251	148033	
761251	202025	
761251	209029	
761251	211044	
761251	212433	
761251	212461	
761251	212492	
761251	213704	Carmen Zamudio
761251	222019	
761251	222040	Claudia
761251	233761	
761251	235979	
761251	238150	
761251	242879	
761251	247173	
761251	287736	
761251	294710	
761251	301111	
761251	309081	
761251	310026	Rosita Garcia
761251	320211	Susana
761251	339105	
761251	339157	
761251	343734	
761251	350066	
761251	355781	
761251	371713	
761251	371730	
761251	374026	
761251	376654	
761251	376705	
761251	376787	
761251	377146	
761251	378381	
761251	379118	Eduviges De La Cruz y Ferreir
761251	380795	Carmina del Mar
761251	387090	Martina
761251	392958	Renata Rossi
761251	403173	Angelita
761251	404702	Doña Pura
761252	295013	
761253	68250	
761254	328642	
761255	9771	
761256	5902	
761257	101848	
761258	236299	
761259	72290	Waitress
761260	103158	
761260	256545	Arista
761261	121346	Rosa
761262	65006	Friend
761263	110666	
761264	43992	Baby Jack McMasters
761264	118040	'Chum'
761264	130676	Gladys Davis, the Baby
761265	358191	Baby
761266	358191	Baby
761267	43351	
761267	307726	
761268	74871	
761268	351661	
761269	89655	Cowboy's daughter
761270	395846	Babilonia
761271	4528	Amy
761271	5294	
761271	28301	
761271	152199	
761271	197625	
761271	207632	
761271	242406	
761271	256369	
761271	284669	
761271	295113	
761271	297096	
761271	322736	
761271	334985	
761271	342082	
761271	359026	
761271	380345	(1997-99)
761272	395865	
761273	300688	Alicia
761275	387953	Herself
761275	387954	Herself
761275	401876	Herself
761276	366015	Runner
761277	246426	
761278	157499	Mexican Woman Guitarist
761279	353297	Hooker
761279	353298	Hooker
761280	121270	
761281	331206	Manic-Depressive Girlfriend
761281	347200	Girl #3
761282	228426	
761283	212691	Suzy Q
761284	215611	Teenager with Camcorder
761285	357189	
761286	80241	
761287	68716	
761288	131117	
761289	318252	
761290	159038	Girl in classroom
761291	14430	
761291	383443	Adelaila
761291	385069	
761291	388814	Nancy de Lombana
761291	400485	Martha
761291	400946	Edwina Trueba
761291	402055	Luisa's Mother
761291	411714	Margarita Sáenz de Mendoza
761292	213760	Clara
761293	74652	Cepillo
761294	252616	
761295	68629	
761295	139896	
761295	168666	
761295	341662	
761295	405789	Zulma
761296	263631	Figlia di Giovanni
761297	390446	Herself
761298	3439	Teresa
761298	5269	
761298	7336	Florista
761298	19248	
761298	20740	
761298	24611	
761298	36664	Señorita Eloísa, la maestra
761298	67212	Doña Visitación
761298	69019	
761298	69128	
761298	75999	
761298	96321	Hermana Matilde
761298	100373	
761298	103165	
761298	104819	Eugenia
761298	113223	
761298	113238	
761298	120707	
761298	132647	
761298	135196	Cecilia
761298	143748	
761298	146506	
761298	170920	Helena
761298	171493	
761298	193512	
761298	204275	
761298	235306	
761298	242678	
761298	250793	Julia
761298	258381	Emilia
761298	264252	Tasirga
761298	271927	Elvira
761298	281293	Magdalena
761298	301060	
761298	322400	
761298	337974	Mujer de Don Arturo
761298	352152	
761298	353202	
761298	380274	Concha
761299	149753	Une Ecolière
761300	387424	
761300	400838	
761301	268946	La prostituée
761302	406389	Herself-Grand Finalist
761303	65006	
761304	65892	Imelda's Mother
761304	270724	Caller
761305	3958	Miss Eula Yulo
761305	9464	
761305	15427	
761305	21997	Dannie
761305	28387	
761305	31454	
761305	49321	
761305	54432	Freezy/Rosella
761305	76813	
761305	102924	
761305	129535	Gloria Labandera
761305	134224	
761305	136925	
761305	152403	Paula
761305	172310	
761305	180173	
761305	200421	
761305	200663	Joanna
761305	203811	
761305	207124	Boobita Rose
761305	207871	
761305	246501	Bubut
761305	248216	
761305	248312	
761305	256098	
761305	256507	
761305	270724	Mila
761305	295770	
761305	300687	
761305	312258	
761305	318664	
761305	319343	Bi
761305	380659	Jenny (2000)
761305	382906	Herself (2001-)
761305	392527	Vivian
761305	392560	Liberty
761306	73137	Gloria
761306	117128	
761306	250713	Reporter #3
761306	310643	Fat Lathrop
761308	60025	Soeur Angèle
761308	86785	Sophie
761308	189908	Carine
761308	216376	Lucy
761308	235811	Madeleine
761308	245956	La pauvresse à reculons
761308	246281	Karine
761308	251542	Claudine
761308	258841	Claire
761308	258856	
761308	269726	Isabelle (Bambi)
761308	376988	
761309	94202	Loud Girl Blind Date
761310	62928	Band Member-Backing Vocals
761311	279871	Little Girl
761312	279871	Young Marcia
761313	383509	Sinead
761314	304168	Zsófi 4 évesen
761315	309742	Marion Mourier
761316	10556	
761317	239241	
761318	148775	
761319	366454	
761319	366455	
761321	272614	The mother
761322	201711	
761323	334085	School Girl
761324	111149	
761324	243635	La ballerina
761325	362453	Marshall Field's Shopper
761326	30666	
761327	325459	
761327	325942	
761328	71257	Herself/narrator
761329	98758	
761329	100009	
761329	338643	
761330	407275	Bia
761331	338403	Gare Grayson
761332	318464	Maggie
761332	365458	Jane
761332	365459	
761332	369521	Elly's Mom
761332	388672	Herself/panelist (1997-1998)
761332	390819	Referee
761332	398713	Brit Krust
761333	21180	Janet
761333	54035	Madame Murielle
761333	55632	Hepzibah Green
761333	60268	Lynda
761333	79556	Peggotty
761333	80839	Linda Topping
761333	99081	2nd Whore
761333	126688	Muriel Sutton
761333	138721	Herself
761333	163352	Faith Addis
761333	185148	Gwen
761333	191774	Maggy
761333	201569	Herself
761333	244780	Sonia Williamson
761333	273422	Mandy
761333	273424	Mandy Evans
761333	274473	Jean
761333	276804	Girl Searching in Hospital
761333	291529	Olive Martin
761333	380259	Vicky Smith (1982-1983)
761333	381584	April
761333	382101	Sharon Theodopolopoudos
761333	386858	Faith Addis (Series 1-3) (200
761333	389557	Charlotte
761333	393580	Herself
761333	396114	Carole Richards
761333	396522	DI Maisie Raine
761333	399686	Dixon
761333	400002	Jo Thomas
761333	401050	
761333	405151	Veronica
761333	406635	Eliza
761333	411774	
761334	388209	Noleen McCoy II (1997-)
761335	293789	
761335	377902	Uruguayan citizen
761335	380242	
761336	207656	
761337	1613	
761337	169781	
761337	205687	
761337	276133	
761337	354046	
761338	2320	Exotic Dancer
761339	27873	
761339	308465	
761340	3522	
761340	51524	
761340	53660	
761340	56292	
761340	57910	
761340	68955	
761340	90526	
761340	119859	
761340	132706	
761340	135052	
761340	135307	
761340	138948	
761340	140563	
761340	146509	
761340	148089	
761340	158728	
761340	211172	
761340	221994	
761340	248302	
761340	259967	
761340	265327	
761340	266875	
761340	302980	
761340	349466	
761340	356667	
761340	371678	
761341	377	Dona Clara
761341	6461	Emilia
761341	50127	
761341	52420	
761341	52775	
761341	55768	
761341	64023	
761341	111005	
761341	117975	
761341	152257	
761341	169557	
761341	183050	
761341	205926	Madre de Pedro
761341	208845	
761341	226437	
761341	349584	
761342	387473	Pebeta
761342	410423	
761343	152808	Spanish Translator
761344	221575	
761345	378380	Enfermera
761346	376711	
761347	5265	
761347	53676	
761347	91307	
761347	193063	
761347	271988	
761347	351656	
761347	371676	
761347	377108	
761348	297140	Brunette at Bar
761349	376825	Herself
761350	317248	
761351	385367	
761351	386162	
761351	395846	Diamante Falcón Heres
761351	396179	Marina
761351	401067	
761352	88703	Secretaria 1
761353	30401	Maggie
761353	128604	Model ("Tennis Anyone?" Segme
761353	155010	Nude Model
761354	70649	
761355	277384	child
761356	361710	Child at Meal
761357	105135	Elvira
761358	141663	
761358	200491	
761358	345636	Flashback mental patient #3
761359	63510	Mama Candicha
761360	233366	
761361	402197	Officer Wendy Sharpe (1981-19
761362	377435	Woman asking for the time
761363	245348	
761363	257867	Herself
761363	280717	
761363	293961	
761363	305405	
761364	82336	Beth Hans
761364	155897	Kobe
761365	344524	Herself
761366	333875	Stephanie Burns
761367	240428	
761368	268021	
761369	43078	Enfermera
761370	267221	Nancy Smith
761371	205462	
761371	344704	
761372	28618	Ulrica
761372	28619	Ulrica
761372	322716	La Frugola
761373	9897	Bonnie
761373	80861	Lee Aaron
761373	151757	Herself
761373	160464	Herself
761373	215539	Herself
761373	230877	Herself
761373	264785	Robin Quivers
761373	392195	Herself
761373	392196	Herself
761373	392197	Herself
761374	230706	Nancy
761375	377464	Dining hall lady
761376	173644	
761377	341615	
761378	55996	Madre Colegio
761379	132679	Herself
761379	162249	Rosario
761379	225017	Mencia
761379	369870	Herself
761379	389677	Herself
761379	395850	Herself
761379	396575	
761380	132467	
761380	281784	Angélica
761381	215680	Miss Puerto Rico/Miss Univers
761381	215687	Miss Universe 2001
761382	57468	
761383	19378	
761384	373956	
761384	379461	
761384	380059	
761384	380151	
761384	380476	
761384	383333	
761384	393329	
761384	396243	
761384	397204	
761384	397603	
761384	398490	
761384	398801	Margarita
761384	400490	Simona Díaz
761384	400664	
761384	401695	
761384	405954	Patricia
761384	406056	Mamá de Julieta
761384	408585	
761384	412180	
761385	23058	Niriuniq
761386	23058	Child Kigutikaajuk
761387	3081	Ah Ming
761387	13949	Kangoro's Mother
761387	27228	Chinese Herbalist
761387	35535	Lil's maid
761387	39697	Mrs. Yamato
761387	47423	Guard Velie
761387	61710	Madame Ngai
761387	62076	Mulwray's maid
761387	78223	Lynn Chow
761387	115895	Woman
761387	117354	Mrs. Lee
761387	117404	Vice Dean Yin
761387	125606	Primus Lu-Chan
761387	128884	Madam Yung
761387	155896	Midori
761387	157008	So-Toy
761387	161505	Mrs. Yakamura
761387	183662	Mai Ling Luong
761387	185694	Mrs. Peters
761387	188589	Ong's mother
761387	195743	Third Aunt
761387	198854	Ah Cheu
761387	246999	Mme Chen
761387	286848	Hana Mitsubishi Cantrell
761387	287155	Mama Chunk
761387	343199	Chinese Woman
761387	357073	Native Nurse
761387	371325	Mei Ling
761387	389858	Olin (1985)
761387	396820	Empress Chabi
761388	24703	Eriko
761388	215688	Judge
761388	283713	Kenny's Wife
761388	311785	Herself (Model)
761389	204747	Nancy
761390	214387	
761391	240591	La copine de Bess
761392	200864	Lily Kim, Hotel Seamstress
761393	17506	Wife of King
761393	59617	Iris Chan
761393	62000	Tan Ying
761394	99284	Rose Quong, Chinese Astrologe
761395	301901	Cinamon
761396	186384	Girl/Lady/Angel
761396	262157	Governess Ewelina
761396	410485	Dr. Agata Wieczorek (1989-199
761398	161692	Herself
761399	35597	Townspeople
761400	176082	Bela 'Bulbul' (Mahesh's daugh
761401	215672	
761401	220785	
761402	17898	
761402	228689	
761403	298325	
761404	77492	
761405	219498	Coc Battut
761406	206044	Félicité
761406	387048	Jocelyne (1980-1982)
761406	388507	Kate Wright
761407	237331	
761408	273020	in Cherbourg
761409	385408	Herself/Host (2003) ("Sexe in
761409	401781	Host
761410	268348	Anna-Greta's friend
761411	400356	Sköterska
761412	94253	Girl at party
761413	272434	Doctor
761414	17705	Fru Worms
761414	26404	Elisabeth Rosenfeldt
761414	35061	Else Petersen
761414	50328	Mrs. Larsen
761414	80101	Journalist
761414	100935	Rideskolelæreinde Grethe Mikk
761414	107304	Ammen
761414	108177	Karen Olsen
761414	108965	Else Margrethe Jensen
761414	115230	Balle
761414	125630	Fru Helene Alving, Kammerherr
761414	127579	Ulla Hempel
761414	147398	Lulu Wänner
761414	154131	Korpigen Vera Holm
761414	156255	Kvinden
761414	166597	Vivian
761414	166609	Forfatterinde Eva Saabye
761414	168706	Johnnys grandmother
761414	203965	Johannes mor
761414	205685	Clothilde Christensen
761414	211055	
761414	214365	Lydia
761414	249744	Marianne Hauge
761414	274934	Marta
761414	286819	Tortoise
761414	300976	Martha Carrington
761414	304206	Vera Lind
761414	315054	Pouls hustru
761414	317094	
761414	322456	
761414	322680	Karen
761414	324430	Eugenia
761414	334434	Alice Borgen
761414	340080	Sally
761414	340426	Sekretær Frk. Poulsen
761414	341116	
761414	341117	
761414	346966	Birthe's Mother
761414	356854	Lulu Vänner
761414	383045	Mrs. Larsen
761415	286666	Serminaz
761416	63925	
761417	399512	Nulia, Storfangerens kone
761419	177184	Herself
761420	265335	Elsi Czynska
761421	391546	The Tall Girl
761422	271647	
761424	307540	
761425	166089	Herself
761426	203243	Shopper
761426	214814	Gospel Choir
761428	6688	Julie Nast
761428	143538	Townsperson #1
761428	194844	Heather
761430	175249	
761430	203402	Mrs. Stöppelkamp
761431	64737	Blow-Up Doll
761431	106355	Melissa
761431	106620	The Girl
761431	107002	Nina
761431	108352	Nureet
761431	192318	Elizabeth
761431	274650	Mary Chasseur
761431	279509	Gloria
761432	6311	
761432	13626	Blond Lady At Fontana's
761432	183279	
761432	206706	
761432	308270	
761433	43929	Herself
761433	243436	Lisa
761434	366316	Pregnant couple
761435	67843	Amber
761436	194136	Bar Patron
761437	311946	Herself
761438	368025	Herself
761440	280798	
761441	169121	Melanie
761442	28530	Freja
761442	86847	Tove
761442	178731	Syngepige, Bakkens Hvile
761442	178747	
761442	213336	Rita
761442	334021	Herself/Various roles
761442	371059	Dr. Enders
761442	388757	Various roles (2001)
761442	392098	Cecilie Bang
761442	396399	Susanne Madsen
761442	403379	Judith Bang Petersen
761442	403380	Judith
761443	193391	Kiddy
761443	268172	Bobby
761443	275253	Bigi
761443	322504	Stewardess
761443	344737	
761443	352223	Konstanze
761443	355241	
761443	404482	Susi
761444	4158	Laxmi
761444	4454	
761444	4860	Archana
761444	13645	
761444	18458	
761444	19607	
761444	21362	
761444	37886	
761444	72580	
761444	76456	
761444	90573	Seeta
761444	135221	
761444	143822	
761444	155661	
761444	166367	Sundaramba, Pachiappan's Wife
761444	166518	Ranga's Wife
761444	171503	
761444	177841	
761444	178396	Siruvayi
761444	184152	Guest Appearance
761444	211270	Roopa
761444	217851	
761444	227107	
761444	237051	
761444	250683	
761444	251121	Pavithra
761444	252014	
761444	262879	Subhadra, Suribabu's mother
761444	262889	
761444	264959	
761444	266999	
761444	270557	Radha
761444	271482	
761444	299400	
761444	320904	Sarada
761444	320905	Lalitha
761444	339999	
761444	350591	Lakshmi
761444	350942	
761444	370421	Radha
761445	151239	Lisa
761446	32356	Vera
761446	58816	Waters' Secretary
761446	66042	Woman
761446	93240	Receptionist
761446	118546	Cleo
761446	140837	Marge, Peggy's girlfriend
761446	164501	Blonde woman
761446	183836	Daisy
761446	188403	Peggy (Hugh's secretary)
761446	202928	
761446	241309	Kate
761446	263581	Telephone Operator
761446	283342	Mrs. Cornish
761446	292262	Sue (secretary)
761446	312243	Cameo Kincaid
761447	20745	
761447	27399	
761447	164120	
761447	236485	
761447	285958	
761447	358205	
761448	1980	Shalini
761448	4193	
761448	4268	Shanti
761448	4293	Priya
761448	4296	
761448	4297	Ranimaa
761448	15816	
761448	15868	
761448	18500	Rajni
761448	25926	Gayatri Bachchan
761448	25980	Shobha (Ajay's Mother)
761448	27461	
761448	27663	
761448	28289	
761448	28890	
761448	29028	
761448	29211	
761448	30287	Gayatri Sharma
761448	30590	Shardha
761448	31623	
761448	33847	Kavita Chaturvedi (Sakhi)
761448	39683	Asha Mehan
761448	44240	Dharamvir's mother
761448	62372	
761448	76413	Chandni
761448	76477	Devi Choudhrain
761448	81184	The Old Princess
761448	86629	
761448	86659	Tia's mother
761448	86663	Nirmila Devi
761448	90945	
761448	98536	Pratima Kapoor
761448	107673	
761448	137825	
761448	141353	Herself (host)
761448	141849	Roma
761448	152630	
761448	156343	Mrs. Dharam Verma (Suraj's Mo
761448	164297	Rukmani
761448	165644	
761448	166494	
761448	166500	Deepa
761448	166517	
761448	169194	
761448	170971	Rama
761448	171852	Pooja
761448	172565	Dr. Sudha Sen
761448	173848	Durga
761448	174398	Suman
761448	175911	Arti (Ballu's mother)
761448	177977	Geeta
761448	181380	Maheshwari Devi (Mirtagarh's 
761448	183134	Vidya
761448	184167	
761448	194415	
761448	201043	Shivangi
761448	222285	Star TV Reporter Priya Naraya
761448	222506	
761448	222507	Kaamna
761448	233181	Anarkali
761448	248694	
761448	248742	
761448	249286	Parama
761448	262465	Saraswati Devi
761448	271729	Sharda
761448	276227	
761448	280271	
761448	282945	Bhigni
761448	284707	Sujata Sharma
761448	287915	Ratna
761448	288848	Ganga
761448	296596	
761448	296601	Sheetal
761448	297148	Sheetal
761448	297210	Ganga
761448	297674	
761448	298249	
761448	300208	
761448	300319	Parvatidevi
761448	300422	Ranga Pishima
761448	307352	Vijay's wife
761448	322701	
761448	323674	Purnima (Arjun's mother)
761448	324761	Indrani "Indu" Sinha
761448	339963	Geeta
761448	358106	
761448	370981	
761448	373831	
761448	375033	
761448	375198	Sumitra Devi
761449	152483	Priya
761450	31872	Bald Old Woman
761451	103201	Herself (Finalist)
761451	401881	Herself (Finalist)
761452	105462	Eva's Maid #3
761452	183868	Policewoman
761453	85204	Nirmala
761453	116778	
761453	118259	Jenny
761453	130551	Sirisha
761453	142535	Shelly O'Deane
761453	155639	Saddie Hargrave
761453	217599	Gracie
761453	232591	Malli
761453	287160	Vasundhara
761453	293261	
761453	317790	Nandini
761453	337143	Zoe Parker
761453	351795	
761453	353383	Summer
761453	356784	Wendy
761454	379041	Essi
761455	395120	Gerda (Children)
761456	71013	
761456	182721	
761456	233080	
761457	15895	
761457	28305	
761457	59026	
761457	156448	
761457	284826	
761457	297474	
761458	40941	
761459	163601	Sandra Damandos
761460	216639	Ms. August - Soccer
761461	13514	
761461	14940	
761461	67212	
761461	169788	
761461	189032	Ginesa
761461	226374	
761461	247198	Pescadera
761461	258619	Mujer 5ª mercado
761461	376760	Farmacéutica
761461	376767	
761461	393911	Trini (mercado)
761462	13514	
761462	21704	
761462	36459	Lisa
761462	48844	Consuelito
761462	52420	
761462	56634	
761462	67458	
761462	68795	Evelyne
761462	83420	
761462	96351	
761462	103710	Casilda
761462	103758	
761462	124453	
761462	132374	
761462	189032	Isabel
761462	193195	
761462	207960	
761462	215222	
761462	268458	
761462	355120	Rita
761462	383553	
761462	390739	Host (1991-1993)
761463	313335	Singer
761464	188504	Dane's Girl #2
761465	153875	La caissière
761466	19797	Bistro owner's wife
761466	119803	Flower woman
761466	273083	Flower woman (an old French c
761467	38761	No character identified
761467	94335	
761467	120929	
761467	145482	Air-Raid Shelter
761467	155352	Herself
761467	157711	Urschel
761467	226175	Dame im Café
761467	332626	Homeless Woman
761467	341781	
761467	352106	
761468	254592	Terrorist #2
761469	291052	Harem Girl
761470	8901	Aika
761470	25539	Ayane
761470	31045	Sofia
761470	62571	Shaia Hishizaki
761470	123107	Sandy Newman
761470	125942	Yuka Kikushima/Maki Umezaki (
761470	159073	Tarrot Card Woman
761470	165023	Jo Diamonds
761470	176528	Kanuka Clancy, Ine "The Gadge
761470	179108	Mei-Mer
761470	193381	Leaf, Marta
761470	271676	Hikaru
761470	272997	Alcyone
761470	277456	Sandy Newman, Narrator
761470	293586	Komachi Kusatsuzuki, Suzukure
761470	294104	Remy's Mother (Mercury Produc
761470	298347	Ling Sha Hua
761470	319790	Irene
761470	328966	Hazumi
761470	383107	Boogiepop, Sayoko Oikawa, Tou
761470	390027	Okinu
761470	390537	Mika Seguchi
761470	394175	Rika Sena
761470	394420	Kanuka Clancy
761470	395888	Leaf
761470	397196	Maze (female)
761470	410258	Mirei
761470	411449	Haruna
761470	411648	Gushoshin #2
761471	379248	Monica Suarez
761471	381623	Gabriela Gruber
761471	391272	Ligia Valderrama
761471	397578	Tza Tza Lanz (Sása)
761471	401090	Indira
761471	401122	Clementina
761471	403125	Marlene Páez/Sara
761471	412133	Aegella León
761472	43352	Mascha
761472	80685	Jessy, das Mädchen
761472	139475	Harlis
761472	188819	
761472	207060	Herself (Interviews and Photo
761472	207061	Herself/Chetana/das Fotomodel
761472	286180	Salome
761472	290527	
761472	361305	Eva Vollmer, daughter of Henr
761473	396806	Sylvie
761474	361950	
761477	131944	
761478	94276	
761479	204720	Woman in village
761479	398195	the Tenant
761479	407118	Greta
761480	217745	Art History Student
761480	230316	Tess
761481	225768	
761482	8087	American woman
761482	71302	Ruth
761482	186847	Mrs. Lang
761482	197740	Obnoxious Woman
761482	227352	Madeleine
761482	248491	Mrs. Tippler
761482	302763	Margaret Bennett
761482	303090	Rose Lindsay
761482	349512	Tessa
761482	361291	Hester
761482	382120	Samira Nazib
761482	389436	Rosa Campbell Praed
761482	397477	Clare Bannister
761482	404927	Greed
761483	399948	Commander Byrne (1995)
761484	378829	3-2-1 Contact Theme Singer
761485	327632	Guest
761486	75444	
761486	91298	
761486	169085	
761486	189384	
761486	218096	
761486	225014	
761486	273658	
761486	296450	
761486	351831	
761487	41032	
761488	14703	
761488	251560	
761488	393616	
761488	396899	Branca
761489	269120	Glorinha
761490	246469	
761490	322265	
761491	328155	
761492	377674	
761493	321225	Natasha
761493	348396	June
761494	382502	Herself - Host (2000-2001)
761495	17038	
761496	107879	Inge
761496	226354	
761496	307251	
761497	140266	
761497	140267	Linda
761497	140269	Heidi
761497	290523	Frau Wedekind
761497	290839	Anna
761498	95101	Adel
761499	10877	Thibeault
761500	57161	
761500	69361	
761500	117535	Madeline
761500	118948	Elizabeth Levenza, Victor's F
761500	143522	Lydia Lee
761500	192702	Liz
761500	208189	Pippa Durham
761500	208986	Sally
761500	273328	Kate
761500	394318	Regular Performer
761500	411778	Cissy Meldrum
761501	377376	Imzad-Player
761502	226723	
761503	26440	Reporter
761504	248076	
761504	318278	
761505	106737	Dolores
761506	239218	
761507	370751	Herself
761507	371645	Herself
761507	375256	
761508	38963	
761509	108634	
761509	189301	Pelirroja
761510	203436	Chorus
761511	14576	
761511	408318	
761512	25827	Ruthie
761512	29399	
761512	217568	Babysitter
761512	298764	Doris/Sally
761513	142870	Hilda
761513	215257	Denise Marmalade, Servbots
761513	395723	
761513	397168	Jeri
761514	256907	Mrs. Schiffman
761514	396306	Nira
761515	333445	Litvinna
761516	21388	Alia - Snake women generic
761516	79010	Additional Voices
761516	230458	
761517	16746	Sammy's Aunt
761518	403473	
761519	270622	Sponsor's Wife
761520	190431	Neche
761521	323410	
761522	396286	Agnieszka Makowska (2002-)
761524	94670	
761524	145648	Nurse
761524	146494	
761524	252667	Girl in tub
761524	294713	
761524	355700	
761525	279693	Roberta Urbanchock
761525	346258	Momma
761525	363948	Lady on Bus
761526	229213	Terry
761526	292501	Voice
761526	326800	Teenage Girl
761526	394323	Kat
761527	366531	
761528	61349	
761529	282124	
761530	239180	Herself
761531	405036	Maidservant
761532	59301	Sitcom Actress #2
761533	49170	
761534	350268	
761535	71149	
761536	185205	Herself
761536	201844	Herself
761537	334299	
761538	274427	Wedding Party in Philadelphia
761539	397996	Herself - cand.jur., Børns Vi
761541	16647	
761542	193862	Extra
761543	405988	Susan
761544	2451	Dalia
761544	10904	Emile Grant
761544	23745	Mme Quentin
761544	24407	Isabelle
761544	87523	Celandine
761544	132886	
761544	197385	Julienne
761544	218289	Françoise/Cathy
761544	275944	
761544	345523	Suzy Bloom
761544	354397	Jeanne
761545	31411	Sandhya
761545	198772	
761545	260271	
761545	289305	Dr. Millicent Wilem
761546	407345	Mme Boujenoui
761547	196844	Witch
761548	75031	
761548	104739	French entry (4th place)
761548	195178	
761548	270448	Aïcha
761548	326943	
761548	381091	Herself (eliminated round 2) 
761549	137262	Young girl
761550	348864	Complaining lady
761551	1270	
761551	18540	
761551	33034	
761551	93716	
761551	235417	
761551	273387	
761551	336495	
761552	110146	Rachel
761553	82106	Katie Cahner
761553	232157	Herself
761554	72664	Whore
761555	88344	
761556	260327	Miss Withit
761556	290352	Jean
761557	177369	McCabe's Wife
761557	248484	
761558	408104	
761559	307903	Arm Pit Lady
761560	322837	Additional Voices
761561	373567	
761562	293844	
761563	250887	
761564	92977	
761565	284251	Danaé Handson
761565	309699	Dora Dalba, la strip-teaseuse
761565	310974	The 'Contessa Azzurra'
761565	377481	
761566	54953	Townsperson
761567	358560	Petra
761568	87882	Diane Bradford
761568	156777	Diane Bradford
761568	330302	Diane
761569	175855	
761569	269142	Herself
761569	376980	Lalla Hobbi
761570	63728	
761570	71228	
761570	121307	Novia de Oreja
761570	124507	
761570	222378	
761570	253291	
761570	339202	
761570	376869	
761570	383032	
761570	387870	
761570	396860	
761570	403366	
761570	404182	
761571	307488	
761572	286313	La mariée
761573	261263	
761574	47333	Back-up Singer
761575	49111	Pia
761575	89105	
761575	235948	Laras
761575	270543	Kartini
761577	305020	Polsk Pige
761578	95283	
761578	145598	Mutter von Astrud
761578	225254	
761578	281657	3. Bedienstete
761578	325720	
761578	344770	Chemikerin
761578	391604	Gaby Kaiser (1997-1998)
761579	21557	
761580	296100	Detective
761581	230247	Sächsin
761582	218230	
761583	9536	Stasiakowa
761583	24542	Member of Assembly
761583	25425	Magdzia
761583	31908	Doctor
761583	42242	
761583	58691	Awdacja
761583	95726	Girl at Railway Station
761583	95738	Luszka Szawczukowa
761583	105516	Manageress
761583	121136	Zaliwska
761583	134549	Magda
761583	165844	Maria Ruczajowa
761583	173652	Huckster
761583	180009	Malego's Mother
761583	181358	Vendor
761583	200439	Mathilda
761583	212289	
761583	234268	Julka, servant
761583	236159	Manageress
761583	237983	
761583	244100	Elza
761583	244106	
761583	244208	Halaburdowa's Neighbour
761583	252346	
761583	266327	Amelia Rebeczowa
761583	267263	
761583	282756	Jarzabek's Aunt
761583	286652	
761583	311820	Book-keeper
761583	321432	Kukulkowa
761583	321433	
761583	341070	Village Woman (segment "Dzien
761583	341074	Mother
761583	343386	
761583	344047	Landlady
761583	367373	Barcikowska
761583	375649	Nanny
761583	379864	Tekla Wagnerówna
761583	386654	Maria Talarowa (1980-1987)
761584	269725	La poupee
761585	410598	Host
761586	120970	
761586	135989	Marie-Thérèse
761586	147453	Journaliste
761586	321699	Hamsharis Mistress
761586	328663	French-Canadian Waitress
761586	400808	Sarah Braga (2001)
761587	344344	
761588	360647	Whore #4
761589	46154	Beta Teacher
761589	62580	Rachel
761589	70455	Isabel
761589	79844	Lana
761589	102569	Nurse St. Cloud
761589	122655	Mai Lee Foon
761589	127100	Anne Greyfeather
761589	134035	Em Thuy
761589	144983	Dolores
761589	169441	Shirley
761589	200155	Andrea
761589	220330	Running Moon
761589	224849	Napewaste
761589	265859	Ramona Hawks
761589	274343	Viola Lopez
761589	279532	Appomosiscut
761589	291943	Genara Juantez
761589	354817	Sgt. Smith
761589	362529	Woman in Pad
761589	363827	Katrin
761589	364725	Indian Woman
761589	365245	
761589	384124	Kewedinak
761589	384125	Kewedinak
761589	386603	Tia Mahala
761589	388237	Corene Powers (1983-1984)
761589	403317	The Creole
761590	111873	
761591	88037	
761591	310838	Woman in Coven
761592	257238	
761593	64607	
761594	20544	Miss Jenny
761594	57840	Alice
761594	73231	Isabelle Garrot
761594	170105	
761594	214987	Judith
761594	399082	Madame Auquelin
761595	76001	Tirso's Date at Party
761596	24542	Walerka
761596	89790	Guest
761596	255028	
761596	258631	Peasant
761596	311896	Krystyna Flisakowna
761596	375649	Military Clerk
761597	75360	Roxanne
761598	67816	Rollerblader
761599	98297	Rose
761600	115299	Paula
761601	380905	
761602	145414	Janice Cooley
761603	50465	Woman
761603	128142	Waitress
761604	356089	Gaba
761605	381908	Herself (season 2)
761606	3343	
761606	4638	
761606	16867	
761606	315942	
761606	397614	
761608	267287	
761609	265892	Party Guest
761610	184341	Homeless Woman
761611	149128	Cida
761611	209721	Dancer
761611	286186	Princess
761612	86282	Mrs. Fuksa
761612	110967	Earthwoman
761613	231115	Veronica
761614	61900	Susan
761615	259925	
761616	261135	
761617	330204	Herself (survivor, Poland)
761618	140019	Funeral Goer
761619	195455	Valet #2
761620	74530	
761621	187969	
761622	331310	Jean
761623	104015	
761623	112096	
761623	128987	Alejandra
761623	170052	
761623	235928	Luisita
761623	265147	
761623	302239	
761623	383274	Marcela
761623	384974	
761623	387102	
761623	388650	
761623	392985	
761623	398913	
761623	403366	Jazmín
761623	409915	Ana
761624	123190	
761624	146368	Fifine
761624	217107	
761624	229646	
761624	287476	
761625	286418	Daughter
761625	313135	
761626	393	
761627	221193	
761628	263776	
761628	286777	
761629	91268	
761629	164029	
761629	167250	
761629	187969	
761629	310224	
761629	324541	
761629	351345	
761630	105936	
761631	91071	Herself
761632	120717	
761632	378658	Yiya
761632	383291	Milena (2000)
761633	250998	
761635	49851	Reporter 1
761636	17760	Annie's Psychiatrist
761637	86597	
761637	179666	
761637	238363	Varya
761637	303132	Gliko
761637	357261	
761638	179728	
761639	61162	Relief agent
761640	148200	Cousin
761640	232845	Child #1 at Toy Store
761640	242081	Halloween Witch
761641	108857	Miranda Anstruther
761642	408019	Christine
761643	76241	Jane Corey
761643	77152	Hooker
761643	109666	Merry Piscitelli
761643	140912	Holly's Nurse
761643	189409	
761643	193705	
761643	278268	Robyn
761643	279841	Technician #1
761643	331022	Cathy
761643	363045	Mrs. Klugman
761644	267604	Cop at luncheonette
761645	59873	
761646	1868	Twitchy girl
761646	131629	Joanne
761646	381212	Sarah
761646	382531	Jean Bradshaw
761646	385020	Alison Wakefield/Webster (199
761646	390485	Lynne Milligan
761646	402610	Judith Collins
761647	328803	Herself - Celebrity Participa
761648	148200	Cousin
761648	224838	Phoebe Travers
761648	232845	Child #2 at Toy Store
761648	242081	Halloween Bum
761649	17695	Mrs. Barry
761649	17696	Mrs. Barry
761649	17697	Mrs. Barry
761649	18823	Poncho Woman
761649	105041	Mom
761649	120258	Herself
761649	321364	Mrs. Tutweiler
761649	384732	Rosie Tucker
761649	386909	
761649	394494	Tina Soble (1978-80)
761649	396933	Dorene
761650	6856	Marchioness de Rotunda
761651	9804	Al-talib
761651	26135	The Robber Prince
761651	26465	
761651	37928	
761651	60308	Orphan
761651	61698	Child
761651	61779	Clayton child
761651	108458	Chief Executioner
761651	130419	Mrs. Van Dyke's Child
761651	134247	Garrity kid
761651	164384	Prince Rudolpho
761651	188228	Adams child
761651	192246	Undetermined role
761651	216912	
761651	303241	Eli
761651	303508	Undetermined Child Role
761651	338776	Long John Silver
761652	379061	Herself - Correspondent (1999
761653	410844	Herself/Senior Pastor's Perso
761654	6641	Sabrina, la chanteuse
761655	57817	
761656	57817	
761657	33394	Liza
761658	156860	The Girl
761658	256627	Little Lisa
761658	289031	Classmate
761658	308056	Liberty
761658	389858	Brooke Lynn Ashton (1999-2001
761659	310679	Dancer
761660	156860	The Mom
761661	132445	Julie
761662	180113	
761662	193504	Die Alte
761663	201350	Interviewed Student
761664	132239	Mandy
761664	178016	
761664	188729	Rita
761664	328643	Tramperin
761664	405419	Karin Toprak
761665	2781	TV Host
761665	10688	Sherry
761665	32088	Caroline
761665	38819	Michelle Kaio - Sailor Neptun
761665	38822	Michelle Kaio - Sailor Neptun
761665	80482	Mrs. Samuel Fisher
761665	85006	
761665	87418	Clarissa Dalrymple
761665	103309	Jaynie Flint
761665	105926	Dani
761665	132259	Mary C.B.S
761665	178227	Muriel
761665	316961	Tinka's Mother
761665	331664	TV Reporter
761666	76465	Frau Meurer
761666	116069	Mother of Ulf
761667	18598	Bridge Crosser
761668	344524	Herself
761669	226360	
761669	333535	
761670	21557	
761671	252080	
761672	24746	Shon Bonheer
761673	327298	Sock Hop Dancer
761674	340509	TV-reporter
761675	266071	Niven's Wife
761676	57401	
761677	370898	June Miles
761679	199528	
761680	397513	
761681	320655	
761682	3334	Nadya
761682	82488	
761682	156262	Sultana Glaoushev
761682	181067	Ana
761682	187386	Shirin
761682	191492	Lelyata na Vesa
761682	207940	Zhela
761682	224448	Damyana
761682	229062	Tzoneva
761682	230055	Donka
761682	261305	Shivachkata
761682	273708	Zyulker
761682	293811	Kostovitza
761682	303116	Hristina
761682	305199	Elen
761682	305213	Gospozha Krusheva
761682	305905	Yurtalanitza
761682	311589	Asenka
761682	323925	Maykata
761682	332955	Uchitelkata
761682	334483	
761682	357432	Maykata na Matey
761682	373213	Maykata na Karabelov
761682	374864	Sheli
761682	381360	
761682	386653	Aldanova
761682	399132	
761682	401701	Hazyaykata
761682	410432	Aldanova
761683	99875	
761683	145746	Simeonova
761683	204047	Tahova
761683	227970	Elena
761683	238098	
761683	243956	Che-Cho-Ter
761683	335461	Maykata na Veso
761683	341024	Maykata
761683	374062	Dora
761684	24777	Girl in Bar
761685	82954	Sherma
761686	289128	Baby
761687	69	Handcock's wife
761688	236315	Ann Brown
761689	50058	Gertie Stearner
761689	232873	Susan Parsons
761689	366180	
761689	390523	Susie Young (1988-1989)
761689	408030	Kid
761690	364161	Hippo
761691	37791	
761691	61824	
761691	192005	Jacob's Sister
761691	213449	Pansy
761691	312805	The Slavey
761691	365265	Mrs. Hamilton
761692	139219	Waitress #2
761693	16413	Rachel Tyler
761693	52008	
761693	54689	Nadia
761693	62280	Irene
761693	73190	Anna Carlsson
761693	139591	Alma Starbuck
761693	167256	Raylene Hilburn (Age 22-30)
761693	174517	Zoey
761693	176964	Teri Sands
761693	185114	Sheilah Graham
761693	190208	Pamela Harriman at 20
761693	210664	Alice
761693	242745	Anne
761693	272413	Diane
761693	275480	Greg's wife
761693	306868	Young Becky
761693	310880	Cloris Caldwell
761693	319682	Autumn Winters
761693	335257	Imogen
761693	385704	Amanda Fields
761693	393173	Rosemary Kennedy
761693	400635	Young Charity
761693	407716	Nika
761694	79741	Delores Foster
761694	110035	Mother
761695	4014	
761695	6235	
761695	9850	
761695	10957	
761695	14523	
761695	16154	
761695	22105	Vijay's sister
761695	36017	
761695	36614	
761695	38794	Heera
761695	43313	
761695	48202	
761695	58923	Chhaya
761695	58974	
761695	62372	
761695	62658	
761695	79438	
761695	84800	Surama
761695	85135	Kalpana
761695	85204	
761695	85305	
761695	85323	
761695	85380	
761695	86699	
761695	88485	
761695	90571	
761695	90576	
761695	101364	
761695	114891	Reba
761695	131879	
761695	131941	
761695	137825	
761695	145458	
761695	145533	
761695	155569	
761695	156355	
761695	162191	
761695	164947	
761695	165171	
761695	165216	Gobardhan's Wife
761695	165998	Subbulu
761695	166374	
761695	171749	
761695	172128	
761695	173464	
761695	173547	
761695	174361	Kirtan singer
761695	175378	
761695	177304	
761695	178397	
761695	178974	Lead
761695	179251	
761695	179870	Srikanya
761695	179871	
761695	181042	Sunita
761695	181517	
761695	182016	
761695	184118	
761695	184174	
761695	184708	
761695	199265	
761695	204399	Manmoyee
761695	205062	
761695	205064	Sakina
761695	209565	Young Meera
761695	210219	
761695	220201	
761695	220980	
761695	223355	Kuyil
761695	223373	
761695	226066	
761695	226088	
761695	227098	
761695	232792	
761695	233153	
761695	234483	Le voyante
761695	243821	
761695	246145	
761695	247410	
761695	252025	
761695	259050	
761695	260189	
761695	264961	
761695	266164	
761695	266998	
761695	270178	
761695	270188	
761695	270557	
761695	270575	
761695	271663	Rekha
761695	272057	
761695	272059	Pagalini
761695	272852	
761695	279192	Melanie
761695	281060	
761695	283005	
761695	288242	Bar Dancer
761695	293278	
761695	293802	
761695	303416	
761695	312497	
761695	313953	
761695	317778	
761695	317793	
761695	327074	
761695	328227	
761695	331026	
761695	332984	
761695	343179	
761695	349926	
761695	353375	Savitri
761695	370292	
761695	370459	Radha
761695	373790	
761696	225102	Lenita
761696	262235	
761697	68381	
761697	268828	
761698	118754	Standardiste plateforme
761699	9232	Violeta
761700	9232	Zaklina
761701	46671	
761702	95236	Ms. Kateris
761703	149450	Ma
761704	281186	Lady Capuleti
761705	73825	
761705	321574	Marie
761705	331655	Girl
761706	263660	Magistralata
761706	326260	
761707	6445	
761707	45764	Toni (segment Talant)
761707	95697	
761707	188470	
761707	199266	
761707	217493	
761707	223581	
761707	305293	Golyamata galabitza
761707	332269	
761708	358291	Loopy receptionist
761709	53019	Beatificata
761709	63884	La madre di Maria
761709	125361	
761709	199441	
761709	246431	Marianna
761710	186122	
761711	237160	
761712	217061	Vrouw in groep
761713	104967	Body Builder
761713	146849	Body Builder
761714	134191	Maid
761714	236623	La femme de chambre
761714	248971	
761714	288204	Remedios
761714	345244	
761714	345263	
761715	47439	Parasha, Fedka's Mother
761716	358216	
761717	137930	Prologue
761717	395924	Linda Morgan (1998-1999)
761718	323766	
761719	33403	Owner of the Boarding House
761719	41785	Mrs. Davis
761719	60033	Maid
761719	71543	
761719	143419	
761719	191683	
761719	238617	Mrs. James Farrar
761719	239724	Mrs. Marsham
761719	308394	Marcia Lowe
761719	331280	
761719	351728	The Little Girl
761720	395714	Host (2000-2001)
761721	114815	
761721	409898	
761722	42104	Francine
761723	91438	TV novinarka
761723	229220	Devojka
761724	172501	Tamara Lojtes
761724	186244	Tamara Lojtes
761724	193487	Lola
761724	258163	Anna Mutzi
761724	357551	Dunja
761724	375744	Zona Zamfirova
761724	401749	Sonja
761724	401750	Sonja
761725	229220	
761726	230934	Art Gallery Guest
761727	86329	
761728	264355	
761729	196588	
761730	40868	Zhurnalistkata
761730	261309	
761731	125115	Anita
761732	372071	Mary (Milan)
761733	18311	Herself
761734	2034	Chick Contestant
761734	8234	Animal Behavior Scientist
761734	9007	Donna
761734	53029	Motel Manager
761734	63185	Mrs. Perkins
761734	115668	Waitress
761734	136277	Ken's Secretary
761734	137694	Astris
761734	139048	Joanne/Thelma
761734	223773	FBI Technician
761734	318188	Café Waitress
761734	330479	Isabella Smith, The Pilgrimes
761734	360279	June
761735	123023	Angela
761736	83110	Donna Steffens
761736	290697	Nurse
761737	24082	
761738	396236	
761739	270008	Queens Neighbor
761740	95471	Brothel
761741	261353	Autostoperka
761742	411759	Natalie (1982)
761743	221221	
761744	2313	Herself - Presenter
761744	17229	Barbara Warbler/Brenda Spring
761744	34774	Herself/Various Characters
761744	34827	Herself/Judy Miller/Roseanne 
761744	34846	Herself/Various Characters
761744	40472	Townswoman in church
761744	42310	Herself
761744	114112	Gloria Link
761744	120258	Herself
761744	121861	Herself
761744	127542	Nicely, Malicious, Narrator
761744	127677	Herself/Various Characters
761744	127678	Herself/Various
761744	127680	Herself
761744	138419	Kate Hellman
761744	140105	Vickie Pearle
761744	163206	Herself
761744	164544	Jill
761744	185224	Nichiren Shoshu Member
761744	201811	Herself
761744	201824	Animalympics characters
761744	220519	Livia Machado
761744	221021	Herself
761744	223025	Introduction
761744	283954	Mrs. Emily Pules
761744	288700	Herself
761744	288702	Herself
761744	288703	Herself
761744	288705	Herself/Various Characters
761744	288707	Baba Wawa, Miss Lillian Carte
761744	288717	Herself/Various Characters
761744	306141	Herself
761744	330436	Herself
761744	339428	Baba Wawa
761744	366728	Witch
761744	367512	Ms. Milner
761744	386909	
761744	404337	Various (1975-1980)
761745	94489	Juliette
761745	214177	Else
761746	21630	Denise
761746	212084	Kid in classroom
761747	75789	Belly Dancer
761748	40491	Shelly
761748	105205	Dee Dee
761748	239713	Sunnie Theodorou
761749	284347	
761750	1400	
761750	357415	
761751	346726	The Cat
761751	365244	Men's Club Girl #3
761752	81511	
761753	60723	Sevda
761753	61227	
761753	127456	Belgiykata
761753	129753	
761753	163939	
761753	242468	Lanke
761753	263665	Irina
761754	174112	
761755	174112	
761756	169553	
761757	217217	
761757	231649	Basia
761757	247343	Zofia
761757	373975	Unidentified Character [Scrip
761758	265936	Katrya
761759	16370	
761760	234082	Little Fanny Brandeis
761760	252296	
761761	300056	
761762	395838	Hostess
761763	379252	
761763	396942	
761763	401634	
761764	244821	Narrator
761764	276094	
761764	403862	Host
761765	383742	Various Celebrities (1998)
761766	192892	
761767	81509	
761768	40505	Mika
761769	325344	
761770	381161	
761771	251597	
761772	94062	
761773	132165	Kristina, kuvarica
761773	343844	Sultana Cijuk
761774	49481	
761775	258590	Raichka malka
761776	232024	
761778	30096	
761778	45766	
761778	81480	
761778	132158	
761778	160826	
761778	166647	Jelena Gavanski
761778	217300	
761778	225944	
761778	232599	Gospodja Margarita
761778	261951	
761778	265034	
761778	282737	Etel Rozemberg
761778	286426	
761778	315848	Jelisaveta
761778	317870	Nada Marinkovic
761778	329162	
761778	352885	
761778	390388	Sara, Boskova prijateljica
761778	399471	
761779	132161	Dara ... cerka
761780	176284	
761780	244580	
761780	386526	
761780	405656	Lepa
761781	268195	Big India
761781	289906	Big India
761781	401063	(1996-1998)
761783	114339	Nun
761783	276889	Jenny
761784	65199	
761784	134849	
761784	178779	Gittli, Wolfrats Schwester
761784	311078	Stasi Kötterle
761785	409958	Gabriella Santos (1998-2002)
761786	101957	Gisela Ahrendt
761786	375981	
761787	103326	1st Band of Thieves
761788	54248	Serveuse café Sokol
761789	104781	Herself
761790	121615	Nurse
761791	407195	Herself
761792	293015	
761793	16801	
761794	198661	
761794	389221	
761795	6074	Ungarkata
761796	192892	
761797	219575	Rosaria
761798	154796	Blonde Beauty
761799	12810	
761799	34229	
761799	340725	
761799	349370	
761799	352892	
761800	189533	Doris
761801	142302	Hera
761801	224691	Furry
761801	315512	Havens
761802	305320	Cool Girl #2
761803	74422	
761804	9454	
761805	62694	Ludwika Chopin
761805	77262	Malgorzata Gautier
761805	304666	Elzbieta Szyller (I)
761805	311391	Maria Zgolka
761805	316437	
761805	375023	
761805	398874	Dr. Justyna Bauchman (2003)
761806	63753	Ola
761808	261321	
761809	266328	
761810	82203	
761810	187641	Halina
761811	89813	Aska, Gigi's Daughter
761812	32528	Sonya Malisoff
761812	213254	Anisya
761812	291741	Fenzileh
761813	97476	Ekonomka
761813	118151	
761813	123506	Queen
761813	180354	Goneril
761813	210304	Mara's mother
761813	261325	
761813	294764	
761813	323302	Effie Ramsbotton
761813	326522	Dolly
761813	351386	
761813	351387	
761813	354287	Abtiss
761814	134417	Liz
761814	189807	Waitress
761815	164660	Herself
761815	186121	Laura
761816	410534	
761817	182633	Mary, Turner lánya
761818	200056	
761819	50369	
761819	71739	
761819	110476	
761819	116013	Herself
761819	150560	
761819	219149	
761819	282963	
761820	66055	Bianca
761821	93208	
761821	366985	
761823	161462	Woman in Church
761824	20987	Summer
761825	144667	Ruthie Hacklin
761825	176496	
761825	191675	
761825	195872	Prostitute
761825	214963	Leona Grainger
761825	235460	Parent
761825	240785	Mrs. Freed
761826	80872	
761827	48075	Hazel
761827	69414	Poodle Lady
761827	97042	Diner Waitress
761827	109834	Stepmother
761827	143455	Viola Hubbell
761827	176888	Kate
761827	176942	Linda
761827	219903	Mrs. Stallings
761828	257696	Vanilla
761828	366777	Regina Radford
761828	388349	
761829	289115	Martha Morell
761830	41616	
761833	73190	Carrie Roberts
761833	73959	Shauna Langley
761833	105506	Jamie Saunders
761833	106362	Jessie Jacobs
761833	110180	Norma Jean Hazelrigg
761833	169435	Julia
761833	196209	Adrianne Jones
761833	198042	Amy Miller
761833	380240	Molly Harrison
761833	392340	Trudy Tucker
761833	398015	Sarah Owens
761834	108937	Tina
761835	9687	Herself
761835	18032	Stella
761835	28876	Mrs. Mellish
761835	31733	Mrs. Slocombe
761835	38367	Herself
761835	47363	Herself
761835	73190	
761835	86454	Herself
761835	86459	
761835	107259	Herself
761835	107260	Edna Garrett
761835	107261	Mrs. Edna Garrett
761835	137223	Lady in Pink
761835	142552	Myrtle Ruth
761835	150299	Ma Murch
761835	157667	
761835	161297	Herself
761835	166720	Bella Star
761835	169433	
761835	232017	Herself
761835	236135	Fortune Teller
761835	244926	Mrs. Soames
761835	269372	Helen
761835	270265	Cousin Claire
761835	289021	
761835	300946	Mrs. Holt
761835	332018	Lola Miller
761835	335064	Aunt Pristine Figg
761835	339439	Bessie
761835	360245	
761835	368248	Mary Tom Chism
761835	368475	
761835	368675	Miss Cackle, Agatha
761835	378703	Nanny
761835	383431	Silvia Schnauser
761835	386337	Edna Garrett (1978-1979)
761835	387120	
761835	388195	Mrs. Edna Ann Garrett Gaines 
761835	389417	Hilda Furman (1961)
761835	392043	Mrs. Bellotti
761835	403334	
761886	313187	Mary Asher
761835	404897	Molly the Mail Lady (1971-197
761836	31500	
761836	224336	Station Wagon Driver
761838	42687	Ginger
761839	328905	Akhmatova
761839	356284	
761839	385299	Paloma Gasiorowski (1988)
761839	396050	Joanna
761840	41616	
761840	121527	Herself
761840	317729	
761840	350200	Miss X
761841	7500	Miss Halloween
761843	342515	Herself
761844	130992	Alice
761845	27003	Diane
761845	63046	Muffy
761845	301741	
761845	311183	Julie
761846	223790	Bus Conductress
761847	109636	Irene, the Child
761848	223072	
761848	264881	Agnes
761848	309860	Nurse
761849	132786	The Princess of Monte Carlo
761850	134289	Courtney
761852	96834	
761852	161938	Grandmother
761853	342757	Tobie
761854	281193	Girl #2
761855	80739	Renee Dupa
761855	307983	Little Mort's Girlfriend
761857	1837	Porn Star
761857	69639	Mary
761857	79658	Kristin
761857	167087	Ivory Girl
761857	203186	Lisa Marie Presley
761857	314731	Fiona
761857	359790	Tina
761858	70752	Young Corey
761859	168087	Dawn's friend
761860	355532	Gail
761861	72140	Model
761862	383460	Layla MacKenzie
761863	26757	
761863	41615	
761864	76496	Nurse
761865	191423	
761866	29335	Natalie Strebelow
761866	117250	The Queen's Favorite
761867	49934	Chief Terrorist
761867	92777	Mom
761867	127779	Fraulein D, Additional Voices
761867	130730	Bicycle Shop Woman
761867	136044	Natasha Radinov
761867	206618	Miss Howmei
761867	257397	Mei Lin Jones
761867	264168	Chiloria, Additional Voices
761867	286864	Amakusa
761867	298952	Shino Arisaka, Additional Voi
761867	298966	Saline
761867	304685	Josephine
761867	318540	Remi Mizuchi
761867	348870	Asako's Mother
761867	379014	Old Aunt
761867	380473	Ryoko Takeuchi
761867	388022	Angry Mother, Additional Voic
761867	389869	Newsstand Woman
761867	394421	Howmei
761867	399784	Old Woman, Additional Voices
761867	402175	Camp Super
761867	402790	Female Relative, Game System,
761868	404613	Marge Bergman (1951-1971) (or
761869	26077	Verbal Spectator
761869	39412	Counter Girl
761869	194268	Dance Instructor
761869	343189	Woman in Bathroom
761869	347969	Union Station woman
761869	363078	Criminalist
761870	107871	Sacrifice Servant
761870	365488	Dulvina
761871	31880	
761871	34733	
761871	36906	
761871	36939	
761871	37201	
761871	37427	
761871	45013	
761871	108451	
761871	108520	
761871	113520	
761871	128529	
761871	128814	
761871	152280	
761871	154386	
761871	194270	
761871	202367	Extra
761871	295656	
761871	296177	
761871	321014	
761871	324767	
761871	327780	
761871	333810	
761871	357158	Herself
761873	21782	Dream Date
761873	61706	Marvin's mom
761873	68015	Luce and Demetrius
761873	93759	Roxie
761873	99601	Starlight Horowitz
761873	130104	Lucy
761873	157824	Reporter #1
761873	274605	Host
761873	281145	Lycosian Troop
761873	291421	Girlfriend
761873	291961	Melanie
761873	303837	Zoe
761873	336487	Homeless Girl
761874	378862	Herself
761875	353302	Actress
761876	131258	Majorette
761876	339380	Majorette
761876	362040	
761877	129900	Natalie
761878	205540	Carla
761878	232496	Teenager's Mother
761878	321446	Jake's Nurse
761879	72520	Mary
761879	81297	Girl
761879	365260	Ellen Gare
761879	375802	Emma
761880	73891	1st Flower Girl
761881	33732	Waitress
761882	123854	Girl
761882	229446	
761882	232648	
761882	357145	Lady In Black & White Bikini
761883	264424	Pinup Girl
761883	360290	
761884	154182	Dancer
761884	308632	
761885	177705	Duke's girl
761887	125884	Old Lady
761888	26914	
761888	34907	Herself
761888	53199	
761888	59971	
761888	82468	Nurse at hospital with hair d
761888	87249	
761888	89357	
761888	98847	Jenny
761888	128859	
761888	131445	
761888	159911	Bartender who wants to be str
761888	164359	
761888	187412	Herself
761888	197795	
761888	243116	
761888	245469	
761888	311454	Herself
761888	313278	
761888	321025	
761888	321027	
761888	323138	
761888	323890	
761888	332447	
761888	341959	
761888	347733	
761888	348026	
761888	348603	
761888	361946	
761888	372664	
761889	45498	Ms. O'Neil
761892	310436	Chris
761893	5570	Child
761893	35284	Bella
761893	48978	
761893	50909	
761893	63313	
761893	64555	Daisy Mae
761893	73105	The Cricket as a child
761893	77978	Dolly Paulton
761893	129537	Gloriana
761893	134876	
761893	141262	
761893	141348	Undetermined Role
761893	172374	Gretel
761893	175611	Zoe
761893	192162	Margery
761893	200141	Shirley Bowman
761893	220349	
761893	224096	Paul
761893	259765	Susie Vance
761893	301652	Little Kate
761893	313360	Star Prince
761893	331844	
761893	359339	
761893	360554	Jane
761894	57190	Lorraine
761894	66390	
761894	155824	Carol
761894	299471	Macy Struthers
761894	401429	Mary
761895	168285	Daisy Knowlton
761895	295380	Cornelius Van Maaster
761895	321520	Donna
761896	243262	
761897	333097	
761898	93356	
761899	154323	Shop assistant
761900	273477	Jodie
761901	150127	Girl at Party
761902	119328	Jennifer #2
761904	17573	Kato
761905	268029	Prostituierte
761906	73665	
761906	313076	Child
761907	198400	Herself - Beach Camp particip
761908	90680	Dottoressa
761909	400286	Svetlana Lubovna
761910	93217	Extra
761913	96387	
761913	122388	Fiatal lány a miniszternél
761913	148472	
761913	224968	
761913	274957	
761913	285000	Gräfin von Kolowrath, Oberhof
761914	326087	
761915	244276	Emilia
761916	191563	Mira
761917	377039	
761918	83786	Irene
761918	387786	Secretary
761918	397790	Miss. Sharmoon
761919	18645	
761919	380331	Socorro
761919	409347	Dóris
761920	168126	Salesgirt
761921	160408	Voice of the Walker (segment 
761922	347063	Avenger
761923	168627	Sherry
761923	176838	Mom #1
761923	211035	Resort Nurse
761924	62818	
761925	37470	Daisy's girl
761925	371026	Crystal Towers
761926	312721	L'étudiante dans le train
761927	154847	Waitress
761927	275597	Rhonda Perry
761928	264818	Georgie's Mom
761928	311428	Mary Bauer
761929	37381	Samantha
761929	118278	Karin
761929	143636	Ingrid
761929	203335	Goose
761929	324442	
761930	74393	La mère de Béla
761931	69151	Herself
761932	183476	
761933	99375	
761933	204913	
761933	254163	Annie
761933	284362	
761936	202516	Mme Goldschmidt
761936	377909	
761938	63730	
761939	187231	Robin (trailer incident)
761940	204190	Theater Auditioner
761940	380391	Erin (1997)
761941	281233	Banquet Guest
761942	182697	Juli nagyanyja
761943	89576	
761943	135289	Herself
761944	353280	Klári
761945	101171	
761945	169577	Guest
761945	211741	Une femme policier
761945	340148	La caissière du café de Trouv
761945	403643	Eudeline
761946	74426	
761946	96201	
761946	97963	Trafikoslány
761946	97975	Olgica,Hubert középsõ lánya
761946	98023	Sári
761946	140672	
761946	182648	Csöpi
761946	322152	Angela
761946	377085	Sári
761947	293405	Énekesnõ
761948	152791	Anna's mother
761949	5717	Dr. Callaghan (The Acid House
761949	52362	Jessica
761949	129815	Madge Cameron
761949	222749	Mrs. Kitson
761949	364782	Woman with Baby
761949	367886	Janine
761949	390948	Agnes
761949	402725	Ella Cotter
761949	403590	Alice Urquhart
761949	408300	Jacqueline Donnelly (2000)
761949	411823	Alice
761949	411837	Shirley
761950	224176	Rhona
761951	71742	Prefect
761952	4619	Claire Warren
761952	6983	Maggie Riley
761952	27135	Dora McCabe
761952	29691	Portia Adair
761952	47364	Autograph Seeker
761952	75477	Mildred Johnson
761952	92480	Irene
761952	92814	Orchid
761952	106614	Girl
761952	113605	Clinic Switchboard Operator
761952	128152	Marjorie Tait
761952	137393	Schoolteacher Mildred Johnson
761952	144573	Jean Hampton
761952	146859	Annaliese Cermak, Student wea
761952	183553	Ellen McPhail Wiggins
761952	194819	Lois Evans
761952	217977	Julie
761952	218649	Louise Morgan
761952	218650	Louise Morgan
761952	221307	Jane Stilham
761952	239849	Frances Shaw
761952	253501	Sheila Brooks (screen test fo
761952	255887	Carhop
761952	263117	Showgirl
761952	280347	Dixie Benson
761952	295380	George Van Maaster
761952	297386	Mrs. Warren
761952	304959	Girl Getting Off Bus
761952	321529	Office Worker
761952	331205	Marie
761952	359171	Sally
761952	366174	Arlene Baker
761952	372588	Co-ed
761952	385949	Ruth Henshaw
761952	401291	Nancy (1961-1962)
761953	77216	Cleaner
761954	213185	Martina
761955	246025	Ashley
761956	306720	Cora Stone
761956	306744	Catherine
761956	310530	Nurse
761956	408836	Dr. Casey Matthews
761958	69760	
761959	31963	
761960	2475	Trina Stanley
761960	43911	Amelia Hartland
761960	64564	
761960	64572	Herself (performer)
761960	65370	Claudia
761960	77653	Dr. Evelyn Howard
761960	81317	Kathryn Davis
761960	92077	Patti Ratteree
761960	117105	Lilah Ward
761960	117218	Barbara
761960	130011	Casey Forster
761960	138359	
761960	140658	Brooke Hayward
761960	148351	Monica Arins
761960	151641	Cynthia Miller
761960	161233	Herself
761960	164662	January
761960	176922	Anna Medley
761960	183239	Judy 'Jude' Hale
761960	185743	Selena Frankham
761960	219385	Elly Dinsmore
761960	232081	Sara Drayton
761960	232438	Cathy Phillips
761960	253335	Emily Allison
761960	272231	Cindy Simmons
761960	283551	Elizabeth St. Claire
761960	289472	Julie Vale
761960	294381	Jennifer
761960	300962	Sister Megan
761960	303897	Lee Larson
761960	310425	Iris Murdoch
761960	331732	Barbara Jones
761960	336754	Lena Canada
761960	365760	Willa Barnes
761960	389161	Gloria Munday
761960	391835	Herself
761960	395162	Chris Farris
761960	399595	Casey Tcholok
761961	90131	La suivante d'Elvire
761961	218448	Une curiste
761962	58490	Colleen Dryden
761962	359855	Deborah
761964	338981	Herself
761965	57073	Grusha
761966	47334	Vincent's Wife
761967	28157	Mirza
761968	96799	
761969	1529	Detective
761969	127565	Katherine (the Wife)
761969	274400	Woman in clinic
761970	71479	Mira
761971	280433	Herself (Miss America)
761971	358805	Miss America (1988)
761972	103282	
761973	7842	Angry Mob Member
761973	12309	Voyager
761973	155453	Hooker
761973	175223	Mother
761973	313583	Fan in Lobby
761973	337478	Kennel Manageress
761974	181765	Fru Rafman
761975	402726	Herself - Host (2003)
761976	330533	Girl on Boat
761977	285696	
761978	23452	Space Worm
761978	101586	Innocent victim (hippie girl)
761979	217306	
761980	115628	Fiona Spry
761981	43941	Shauna
761981	388209	Robin McKenna Doyle (2001-)
761982	162268	Herself - Award Winner
761983	170848	Herself - Participant/Perform
761984	2242	Toris, Samos' Wife
761984	246624	
761984	346439	
761985	8434	
761986	288427	
761987	248884	Amy
761987	301649	Kathy
761988	62579	Cellmate
761989	83233	Dame rue 1
761990	306697	dance couple
761991	315998	The Girl
761993	67609	Ruth
761993	107922	Bartender
761994	156471	Doctor
761994	185376	Tess
761995	385609	
761996	321420	Bell Boy
761997	385466	Danica
761998	1258	
761999	4689	
761999	5285	
761999	11107	
761999	23949	
761999	34928	
761999	50764	
761999	56570	
761999	70213	
761999	81538	
761999	105220	
761999	254698	
761999	267517	
761999	296270	
761999	303451	
761999	329869	Herself
761999	354177	Mandy
761999	354801	
762000	35823	Herself
762000	37456	
762000	50764	
762000	57949	
762000	60280	Randi
762000	70213	
762000	81864	
762000	128472	
762000	152716	
762000	188044	
762000	191356	
762000	247989	
762000	281552	
762000	311160	
762000	334735	
762000	346122	
762000	354801	
762000	369908	
762001	17956	
762001	35538	
762001	52266	
762001	72817	
762001	73609	Crocodile Blondee
762001	87422	
762001	120346	Snowy
762001	127264	
762001	128788	
762001	143642	
762001	149653	Alice Ramden
762001	149654	Alice Ramden
762001	159939	
762001	159940	
762001	162832	
762001	171722	Woman who inherits TV station
762001	201574	
762001	209799	
762001	219199	
762001	228647	
762001	243121	
762001	251475	Catherine
762001	269363	
762001	270973	
762001	270981	
762001	291286	
762001	299671	Rosalind
762001	331303	
762001	331482	
762001	345658	
762001	350404	
762001	358074	Herself
762001	362915	
762002	231099	Baby D'
762002	277850	Peaches
762002	331963	
762002	361830	Herself
762003	171870	Paniluk
762004	56523	
762005	146263	
762006	314351	Preppy Girl #1
762007	34255	Rita
762007	163731	(segment "Frenesia del succes
762008	57210	
762008	383499	Carola Casini
762008	397733	Delfina Taylor Monti de De Va
762008	402158	Alejandra Casanova
762008	411903	Luz
762009	25794	
762009	56351	
762009	225031	Madre de Mariana
762009	233978	Mother of María
762009	285468	
762009	319830	Anita
762009	383499	
762009	384775	
762009	387446	Dolores Arrieta
762009	389780	
762009	394017	Mother Superior Diana
762009	398800	Margarita
762009	402158	
762010	199061	
762011	26381	ICNY Receptionist
762011	55132	Aunt Phyllis
762011	107002	Bad singer
762011	203641	Reporter
762011	218415	Additional Voice
762011	358055	McNugget #2
762011	358438	Claudia
762011	372244	Lorraine
762011	379027	Exposia Vertov
762011	389628	Zarana
762011	397695	Additional Voices
762011	402204	Pvt. Maria Gianelli (1981)
762011	410975	Additional Voices
762012	272719	
762013	167049	The Straight Shooters Waitres
762014	379924	Herself
762015	180534	Kottara
762016	39193	Shari
762017	363724	
762018	4068	
762018	13133	
762018	19650	
762018	25172	Sudha
762018	36283	Tara
762018	62799	
762018	172832	
762018	174362	Kashi
762018	222067	
762018	251222	
762018	268569	
762018	297049	
762018	298808	
762018	329221	Nishi (club dancer)
762018	332154	Sulekha
762018	347463	Unniyarcha
762019	59085	Katrina Heller
762019	92182	Mary
762019	108000	Annabelle Stirling
762019	209619	
762019	235157	Dora Maybridge
762020	379831	Shelley Bartholomew #2 (1989)
762021	66131	Screaming Woman at Fire
762021	79698	Melba
762022	37222	Monica
762022	242513	Gloria
762023	32241	Heather
762023	252397	Car Wash
762024	29570	Girl on the bus
762025	9272	
762025	34200	
762025	125153	
762025	127328	
762025	135774	
762025	156571	
762025	181756	
762025	212320	Birthmother
762025	222424	
762025	226774	
762025	228696	
762025	228936	
762025	297596	
762025	328232	
762026	156956	
762026	197468	Rita
762026	234773	Nonna (Grandmother)
762026	236807	
762026	250539	
762026	281686	
762026	296663	
762026	326536	Costumista
762026	336970	
762027	34574	Mujer Protagonista Film
762027	61354	
762027	217562	
762027	238514	Hilda Leal
762027	309414	
762027	380108	Amelia
762027	397013	Magda
762027	409013	
762028	304765	Shakes' Mother
762029	26971	Party Animal
762030	26971	Party Animal
762031	327632	Little Girl Two
762032	17751	Pepper
762033	51248	
762033	56948	Maria Vandamme
762033	58754	Julie Davenne
762033	62568	
762033	133164	L'actrice en nuisette
762033	168800	Ghislaine
762033	205485	Madame Chardon
762033	259947	
762033	266402	Emma Ardoux
762033	284882	
762033	381350	Valentine
762034	385824	Elvis Aron Banks-DiMera (1997
762035	20625	Extra
762036	323666	Interviews
762037	172856	Hanna Siemers
762037	256957	Rita
762037	301085	2. Aerztin
762038	68437	
762039	176742	Salt
762040	345377	Judith
762041	344784	
762042	233856	Heathen Biker
762043	68728	Amber
762043	82661	Waitress
762044	127574	Nurse
762044	171228	English Teacher
762044	213662	Captain
762045	360116	Sam
762046	293162	
762047	348427	Gwendolyn
762048	15080	La chanteuse
762048	247415	Young Florence
762049	84401	Herself
762050	355863	Solange
762050	386111	
762052	140296	Emilie
762053	223762	Sal Casale's Children
762054	89572	Reporter
762055	223762	Anna's Mother
762056	314653	Marion
762058	22187	Chauffeur
762059	119021	Woman in the Marquis
762060	185704	Dancer
762061	206496	Cohen
762062	109454	Literary Receptionist
762063	318218	Interviewer #2
762064	49153	Wulan
762066	296624	
762067	367271	Snake Charmer
762068	270958	
762069	239911	
762070	350718	
762071	350718	
762072	350718	
762073	350718	
762074	267931	Esteri
762074	301816	Silja 7-vuotiaana
762075	50996	Schoolteacher
762075	214022	Amina
762075	222515	
762075	286654	
762076	126595	
762076	278397	
762076	293932	Maria
762076	392511	Datin Sally
762077	64258	
762077	165093	
762077	210390	
762077	253183	Lela
762077	288651	
762078	119626	Starlet
762079	153170	Sussie
762080	277102	Herself
762081	1586	Kitty Krusemark
762081	11872	Lola
762081	17017	Mrs. Melzer
762081	24124	Gerda Schirmer
762081	40399	
762081	77373	Bianca Monnier
762081	93475	
762081	93496	
762081	95259	
762081	119249	
762081	119673	Erste Kellnerin
762081	119724	Lore Filoda
762081	120926	Thea
762081	122317	Marjorie Wells
762081	124977	Anni
762081	125127	
762081	125317	Marianne
762081	126408	
762081	134183	Toni
762081	134222	Retta Schwaiger
762081	134795	
762081	136616	Anni
762081	136902	
762081	137188	Dora
762081	137640	Bibi
762081	144159	Mia
762081	147539	Liane Engelhard
762081	152753	Catherine Wilson
762081	155341	
762081	156984	Malchen Eilers
762081	156985	
762081	170700	
762081	170705	Monika
762081	171706	
762081	174087	Pauline Münchmeyer
762081	180154	Eva gerndl
762081	180639	
762081	189764	Gast im Hotel
762081	197832	Gisela Merz, Journalistin
762081	202428	Helga
762081	210015	
762081	210071	Alexa Flemming
762081	216248	
762081	216267	Barbara
762081	225159	
762081	226258	
762081	226264	Edith Marquardt
762081	226270	Mimi
762081	237723	
762081	244684	
762081	246516	
762081	250468	
762081	257724	
762081	259672	Sängerin
762081	272825	
762081	285381	Vera Hellmer
762081	287098	
762081	290558	
762081	290754	Lola Kobler, Hotelbesitzerin
762081	299373	
762081	301018	Die platinblonde Dame
762081	303389	Lissie
762081	303713	Rita
762081	312872	Frau Hildegard Noack
762081	314300	
762081	314560	
762081	314892	Erika Grube
762081	314894	
762081	317575	
762081	322969	
762081	325552	Frau Mettmann
762081	325887	Nadja Bacher
762081	333134	Rosalie
762081	335029	
762081	335392	
762081	337066	Natalia
762081	341007	Hilde seine Assistentin
762081	341107	Leonie Peppritz
762081	343487	
762081	343490	Madeleine Robiac
762081	343495	Madame Savy
762081	343500	
762081	348085	
762081	359224	Petra
762081	361079	Mrs. Falk
762081	361093	Frau von Kleewitz
762081	361131	
762081	361414	
762081	366589	Lilo
762081	366595	Mrs. Simmons
762081	375986	Soubrette
762081	385009	
762081	388623	Edith Fischer
762081	390190	Ilse
762081	393978	
762081	399478	Akka (voice: German version)
762081	411078	Josephine Tenstaag
762082	118146	Francine Gold
762082	272754	
762082	349412	Cashier
762083	218886	Lykkes veninde
762084	156989	
762084	343485	Ginette Gaillan
762084	343487	
762084	343496	
762084	389615	Hilde
762085	94342	Anki
762085	122465	Eyewitness
762085	146845	Anti-nazi
762085	182101	Gudrun/Asta Olsson
762085	223206	
762085	394924	Asta Nygren
762085	394925	Gudrun
762086	182101	Gudrun's Grandmother
762087	344742	Vychovatelka
762088	182531	Gaby
762088	403167	Ina Lind (1994-1998)
762089	137300	Flower Girl #1
762090	65144	Halima
762091	109483	Maya
762092	373119	Young Fisherwoman
762093	14583	Natalie
762093	111258	Isabella
762093	112263	Suleta
762093	138604	
762093	175839	Sally Jordan
762093	359042	Maya
762094	152474	
762095	276249	Nandewar
762096	31368	
762096	126141	
762096	236627	Penari & penyanyi di pesta pe
762097	5961	Hélène
762098	120298	Beth
762098	187046	Sabrina
762098	202382	Michelle
762098	296736	Daphne
762098	385824	Isabella 'Belle' Black #6 (20
762099	174920	Mrs. Nissimov
762100	176925	
762101	147545	Herself
762102	40309	Mimi
762102	59563	
762102	84571	
762102	121062	
762102	121069	Bar-Tänzerin
762102	127884	(segment "4 Wives")
762102	172608	
762102	206147	
762102	210064	Miss Morris
762102	225218	Liese
762102	230175	Annette Westberg
762102	235934	
762102	250413	Studentin Annemarie Born
762102	266007	
762103	177305	Herself
762104	76536	
762104	142531	Laura Weire
762104	169374	Taansy, berry-maid
762104	174249	Anu
762104	302911	Tracy
762104	389858	Dr. Monica Bard Webber Quarte
762105	26599	
762105	124647	
762106	260144	
762107	18402	Martta Miettinen
762107	166473	Eila
762107	170519	Elisa Karhelin
762107	177897	Liisa
762107	181938	Leila Varta
762107	191194	Ringa Littow
762107	219450	Mirjami Savonen
762107	321925	Lilja
762107	321949	Nurse
762107	354259	
762108	89664	Fylgia
762108	229544	Taina Pusu
762109	384644	Herself (2000-2001)
762110	81559	
762111	15116	Linda
762111	64950	Tissou
762111	76130	Nacifa
762111	94239	Arielle Trissi
762111	112819	Phildar
762111	236599	La Prostituée
762111	248055	Yasmine
762111	278153	Marie, the neighbour
762111	283035	Zohra
762111	355962	
762112	303902	Chair Lift Rider
762113	103085	2. Frau am Eßtisch
762114	359	Ashi Kapoor
762114	1844	Special Appearance (song)
762114	2606	Herself (Best Actress)
762114	4003	Pooja Walia
762114	10035	Sonia
762114	43169	Herself
762114	43171	Herself (various characters)
762114	46726	Lalita Bakshi
762114	59308	
762114	62588	Binodini
762114	84769	Parvati ('Paro')
762114	85276	Sahiba Gareval
762114	86659	Tia
762114	137815	Preeti
762114	141266	Mumtaz Mahal
762114	152453	Nandini
762114	152477	Komal
762114	152500	Special Appearence
762114	162499	Pushpa/Kalpana
762114	166367	Madhumitha/Vaishnavi
762114	169169	Shirley
762114	173317	Meenakshi
762114	175899	Mahalaxshmi
762114	181481	Namrata
762114	182480	Diya Malhotra
762114	202682	Rani
762114	210218	Guest Appearance
762114	216164	Tilo
762114	217158	Megha
762114	271266	Niru
762114	272904	Special Appearance
762114	287093	Special Appearance
762114	296616	
762114	297153	Dream Girl
762114	302801	Tulaja
762114	322696	Mansi
762115	166167	Kissing Woman
762116	15872	Anarkali
762116	24271	Ruhi
762116	29043	Mala
762116	76411	
762116	95409	
762116	127339	
762116	145368	
762116	160221	
762116	172676	
762116	205899	Bina Khanna
762116	209556	
762116	211278	
762116	286843	
762116	288223	
762116	299608	
762116	323275	Mumtaz Mahal (Arjuman)
762118	17084	
762119	387247	Sharmilla Kapoor (1995-1997)
762120	290936	Dancer
762121	4331	
762122	227307	
762122	227644	
762122	284946	
762122	297726	
762122	328226	
762122	353482	
762122	367221	
762123	53564	East Indian Zombie
762124	262591	Fetish Girl
762125	256827	
762126	161725	Lystrian Woman
762127	42583	
762127	63820	Cida
762127	181446	Sônia
762127	207929	
762127	369979	Madrasta
762127	381583	Mina de Montmartre
762127	382684	Karla
762127	386212	Maria Escandalosa
762127	387640	Engraçadinha
762127	388681	Ramona Cavalcante
762127	396356	
762127	400584	Edwiges
762127	402371	Wedding Victim
762127	402807	Adriana Ross
762127	403733	Ninon
762127	407868	Hortência
762127	408592	Angela Vidal
762127	409130	Tonhão
762128	380097	
762128	410245	Juliana
762129	367073	Munchkin
762130	314224	Aunt Margaret
762131	349670	
762131	407801	
762132	401991	Jela
762133	85159	
762133	187668	
762133	234444	
762133	343798	
762134	64098	Girl at Car Wash
762135	334661	
762136	168948	Townsperson
762137	192897	
762138	226517	
762138	285833	
762139	159754	Linda
762140	79060	Gang girl
762141	201193	Mme de Bettigny
762142	16250	Samantha Azzizi
762142	104045	Becky Kahn
762142	279403	Jasmine
762142	404616	Ariana
762143	246880	
762143	266540	
762143	348509	
762144	298239	Horse Auction Bidder
762145	113927	Violet Brown
762146	132723	
762147	78941	Bennini's Girlfriend #3
762148	173873	Ujo nainen
762149	263384	Security Guard, Borneo tribal
762150	390627	Karen Ball
762150	407486	Various
762152	32561	Elderly Woman
762152	149129	Mrs. Frobisher
762152	254488	Mrs. Witherspoon
762152	365062	Mrs. Brandt
762153	117655	Waiter
762154	130116	
762155	199369	La femme de 65 ans
762155	225615	Yvonne
762155	278155	Micheline
762155	400698	Une gardienne du bon goût
762156	117636	Hollywood Dancer
762157	243603	Garage owner's wife
762158	274068	Powder Room Attendant
762158	304587	Slave Girl
762159	124824	Cliente Sopha 2
762159	386803	
762160	225129	Ada
762161	112908	Old Woman
762161	341454	Mae Tuck
762162	168287	Herself
762163	236368	Carol Wilson, Miss England
762164	42884	Maiden
762164	66096	Screaming Island Guest
762165	92767	Woman Fighter
762166	104731	Italian entry
762166	388611	Herself
762167	212666	Madre de Camila
762168	3169	Nurse
762169	307380	Melissa
762170	1904	
762170	41594	
762170	111425	Rescued Pit Bull
762170	328891	
762171	1247	
762171	115307	
762171	302837	
762175	6730	NonSex
762175	11621	
762175	102784	
762175	326724	
762177	127823	Elder
762177	138413	
762177	386970	Old Woman
762179	11107	
762179	37417	
762179	41578	
762179	120018	
762179	123829	
762179	230539	
762179	295375	
762179	300517	
762179	300519	
762181	4714	Jane
762181	57767	Herself
762181	185330	Sadie
762181	262590	Willie Mae
762182	79043	The Organist
762182	354203	Seattle Waitress
762183	93821	Pagan
762184	60274	Gypsy dancer
762184	78374	Herself
762184	94239	Gaby Hamilton
762185	6720	Herself
762185	6724	Host
762185	6725	Herself
762185	13390	
762185	26915	
762185	27018	
762185	36337	
762185	36386	
762185	40985	
762185	41758	
762185	81804	
762185	81903	
762185	105220	
762185	108837	
762185	115728	
762185	123627	
762185	128732	
762185	130323	
762185	161981	
762185	165923	
762185	178326	
762185	178327	
762185	187058	
762185	228044	
762185	232206	Human Fly Girl
762185	241066	
762185	242069	
762185	254079	
762185	274390	
762185	276637	
762185	292605	
762185	293017	
762185	295572	
762185	302523	
762185	319408	
762185	327150	
762185	330411	
762185	359085	
762185	368574	Fluffer
762185	372662	
762186	348528	
762188	768	
762188	1308	
762188	45873	NonSex
762188	47504	
762188	67143	
762188	75028	
762188	75031	
762188	75059	
762188	332857	
762189	102834	Herself (emcee, Michelle's XX
762189	151530	Jealous Girl
762190	188453	Condom Girl
762191	216817	Actress
762192	236681	Sonia Hunter
762192	245074	(Story 2 "It Will Never Work"
762192	379411	Mrs. Louisa Wiltshire
762192	399816	Sonia Freeman Vansard Hunter 
762192	411809	June Holland (1980-1981)
762193	398464	Carabona Guinea
762194	1270	
762194	75031	
762194	75059	
762194	326659	
762194	372752	
762195	319670	
762196	1537	
762196	102434	Anni Siitola
762196	145131	Lulu
762196	175346	Viivi
762196	207894	Vera Mäki
762196	223273	Anja
762196	253075	Beautician
762196	296508	Woman in dance restaurant
762196	303312	Liisa
762196	336545	Woman in a party
762196	349735	Pikkurouva
762196	350672	Aino
762196	371657	
762197	17964	Magistrate
762197	61690	Mims
762197	101301	Miss Bligh
762197	118949	Mrs. Bligh
762197	255329	Mrs. Vane
762197	304224	Tony's mum
762197	318194	Miss Foxhill
762197	321137	Isobel
762197	328824	Miriam Kiall
762197	382530	Daphne
762197	383953	Phyllis Bennett
762197	386279	Drip
762197	387330	Mrs. Allgood
762197	391868	Brenda
762197	396090	Miss Tidy
762197	398692	Laura James
762197	409840	Mrs. Sedley
762198	72543	The Nurse
762198	79025	Ultra sound nurse
762198	230024	Sandra
762198	307566	Wet `n' Wild Assistant
762199	191491	Student Nurse
762199	289577	Miss Trumbull
762200	58790	Herself - band vocalist
762201	6988	Nyoka Shade
762201	119466	Rave Girl#2
762201	364113	Claire
762202	348640	
762203	65681	
762203	76504	Susie
762203	136870	
762203	387517	May
762203	397115	Nell Kennedy
762204	32789	Mrs. Slamekin
762204	79918	May
762204	116798	Millicent
762204	142715	Amber
762204	163279	Susan Marsh
762204	196194	Molly Harris
762204	199554	Bessie Smith
762204	247490	Peggy
762204	353313	Alice
762205	254522	Female Masquerade Dancer
762206	201224	
762206	296354	
762206	325775	
762206	347794	Sabine Thalhammer
762206	376134	Mira Höhn
762206	404224	Lena Czerni
762207	237431	Wharvey Gal
762208	20324	Seine Frau
762208	144140	
762208	200038	
762208	210479	
762209	290442	
762210	361407	F. Liszt
762211	140446	
762211	143593	
762211	220415	Paper People/Starling
762211	230101	
762211	282996	
762211	315733	
762212	154569	
762212	226997	Gay Andrews
762212	336684	Joan Denton
762212	362169	Village Woman
762213	86399	Herself
762214	225776	
762214	269222	Anna Ferrand
762214	274000	Girl in Woods
762214	287976	Javotte Monestier
762214	371415	Xénie
762214	377718	
762215	3021	Herself - Past Winner
762215	3052	Herself/interviewee
762215	3053	Herself - Past winner
762215	36970	Anna Benton
762215	50861	
762215	77711	
762215	92959	Louise Mauban
762215	100085	Countess Olga Mironova
762215	103221	Leopoldine Dur
762215	123326	Grandmother
762215	131418	O-Lan
762215	133856	Poldi Vogelhuber
762215	133880	Anna Held
762215	134241	Herself
762215	138700	Herself
762215	144322	Marita Costa
762215	149952	Milada Pressinger
762215	199344	
762215	258689	
762215	293414	
762215	329563	Herself
762215	337178	Gilberte 'Frou Frou' Brigard
762215	397564	Herself
762216	17677	Mädi
762216	17678	Mädi
762216	82645	
762216	102452	Herta
762216	125306	Dorngrüterin
762216	141952	Peters Mutter/Peter's Mother
762216	141974	Peters Mutter/Peter's mother
762216	145601	
762216	173703	Frau Haas
762216	182589	Eisi
762216	246951	Hilde Staub, Telefonistin
762216	259722	
762216	259723	Hedwig Wäckerli
762216	292093	
762216	308252	
762216	376128	
762216	398825	Rosa
762217	377918	Édith Férat
762218	130720	Nursemaid
762219	313402	Federation admiral
762220	232798	Ninas Mutter
762221	169518	
762221	192637	
762221	199408	Josephine de College
762221	264932	Helen Caldicott
762222	289386	Giulia Bernini
762223	169518	
762224	9053	Ticket Clerk
762224	44301	Nannette Kirby
762224	107928	Communication Couple
762224	121404	Receptionist at Office
762224	272405	Devinger
762224	350212	Possessed Roomate
762225	283195	Kid II
762225	397054	Anna Plummer
762226	262	Voice of Meg's Friend #2
762227	221228	Dr. Anna Steuer
762229	117634	Erica
762229	265030	Airport Clerk
762229	383385	Wendy (1984-1985)
762230	31188	Herself (NBC Team contestant)
762230	31194	Herself - NBC Team Contestant
762230	31195	Herself - NBC Team Contestant
762230	61617	Karen
762230	94808	Adele
762230	114959	Lane Ballou
762230	125576	Roma Breed
762230	144341	Oriole
762230	185838	Nancy Irving
762230	227925	Mary
762230	227928	Laurel Ellison
762230	232471	Lisa the Wife (segment "Terro
762230	235159	Rick's Mother
762230	270036	Lygia
762230	273328	Laurel
762230	276704	
762230	283795	Bogna Kirchoff
762230	294381	Alison Parker
762230	301956	Julie Prince
762230	312680	Pamela Chambers
762230	316767	Assistant D.A. Carol Nielson
762230	319238	Kate Hayden
762230	328078	Nancy Miller
762230	336754	Amy
762230	383780	Lucinda McKeag Zendt
762230	388865	Lane Ballou
762230	395974	Late Evans
762231	48276	Cora Lister
762231	71250	Joyce Cartwright
762231	74182	Connie Booth, Nurse Aide
762231	78140	Lucy Brackett
762231	101689	Stacie
762231	112433	Louise Ryan
762231	137206	Libby
762231	157091	Marsha Peters
762231	203193	Rhona Ellison
762231	254488	Carol 'Kansas' Richman
762231	277898	Celia Evarts
762231	283394	Penelope Hampton aka Annabell
762231	292166	Phyllis Holmes
762231	294038	Poppy McNaughton
762231	302715	Nan Morgan
762231	315993	Deborah Brown
762231	320269	Mary Gray
762231	324030	Arly Harolday
762231	333319	Rissa Fortune
762231	358645	Chris Jackson
762231	360632	Noel Faraday
762231	364037	Louise Bradford
762231	393323	Janet Dean
762232	87600	Barbara Ann
762232	216803	Lily White Girl
762232	223380	Linda
762232	284014	Valerie
762233	46648	
762233	85554	
762233	214624	
762233	222045	
762233	333847	
762233	336558	
762233	343621	
762233	346449	
762233	354107	
762233	385458	Dra, Dileo
762233	407792	
762234	105472	
762234	253500	Officer Riley
762234	293015	
762235	334591	Studio Teacher 1
762236	79304	Herself
762237	29523	Celia
762238	241799	Christmas choir member
762240	270923	Estelle
762241	239069	Eleanor
762242	330591	Tough Girl
762243	248486	Marsha
762244	161754	Heidi
762245	43919	Wanda
762245	116522	Vicky
762246	65183	
762246	134175	
762246	169950	Child in Shop
762247	365259	
762248	340547	Third Farmhand
762249	212624	Vivian Stein (the daughter)
762250	188502	Pool Girl
762252	64585	The Fortune Teller
762252	81660	Vincent's wife
762252	157721	
762252	175186	His Mother
762252	264997	
762253	53921	Attorney
762254	198430	
762255	381246	
762256	384816	Magician's assistant
762257	123914	Jinie
762258	39404	Raven Room Party Guest #3
762259	66557	Man's Wife
762260	146819	Jennifer
762261	172142	Irmeli Jääketo
762261	255743	Guide
762262	25180	
762263	335082	Mme Marguerite
762263	409454	La grand-mère
762264	1360	Dora
762264	50965	Rina
762264	62832	Monika
762264	131158	Margarita
762264	131990	Maykata na Ina
762264	173840	Aneliya
762264	205422	Maykata na Margarita
762264	217493	Pevitzata Neli Yordanova
762264	229057	
762264	230055	Bistra
762264	233401	Edit
762264	244718	Lelyata
762264	253836	Zhenata na Mitko
762264	300373	Toni
762264	354321	Zhenata s pianoto
762264	374247	
762264	397197	
762264	399115	
762264	401684	
762264	405462	
762265	80552	Actress
762267	161922	
762269	24	
762269	119756	Stripper
762269	119826	Francesca
762269	187411	Herself
762269	224030	
762269	274655	
762269	314711	
762269	322670	Ester, the teacher
762269	326825	Stepmother
762270	785	
762270	786	
762270	796	
762270	2435	
762270	30037	
762270	33947	
762270	34776	
762270	34856	
762270	41588	
762270	67117	
762270	95803	
762270	116013	Herself
762270	121555	
762270	233715	
762270	273298	
762270	297333	
762270	300519	
762270	302251	
762271	733	Herself
762271	737	Herself
762271	50340	Receptionist
762271	106740	Airport Waitress
762271	149107	Mary the Teller
762271	153119	Woman
762271	162906	Andrea
762271	180493	Dr. McKernan
762271	192048	Clerk
762271	222607	Technician
762271	230330	Jesse
762271	236120	Herself
762271	239032	Helen
762271	242616	Herself
762271	250713	Nurse Jean
762271	260966	Opening Girl
762271	263789	
762271	282046	Marjorie
762271	288107	Mrs. Tyler
762271	291254	Girl in Office
762271	295608	Second Nun
762271	299319	Arlene
762271	304761	Woman in the mirror
762271	313074	Sadie
762271	318810	Rikki
762271	365341	Woman Next Door
762271	375047	Goldie
762272	72877	Mary Laveau (segment "Possess
762273	223814	Drew Lookalike
762273	295185	Erin
762274	7889	Party Goer
762275	276646	Wendy
762276	267174	Audience Participants and Hec
762277	23569	Edeka
762277	131559	Amanda Gregory
762277	408213	Kate
762278	200925	
762279	269507	
762280	353821	
762281	118242	Esther
762281	215507	Miss Indiana
762281	264158	Ballroom Dancer
762282	94722	
762283	93840	
762283	140000	Nina
762283	214899	Mira Edora
762283	318088	
762284	31548	
762285	103282	
762285	263895	
762286	27728	Baharak
762286	78793	Client Daughter
762287	184122	Mistress Bentson
762287	211604	Praskovia
762288	263134	Katya
762288	280610	
762289	351346	Mother Sakhov
762290	343463	
762291	305370	
762292	97096	Ann Blackmore
762292	100756	Madaline Carr
762292	117072	English Waitress
762292	130409	Nosh
762292	319557	Beth Perkins
762292	385105	Cathy Hayden (1987-1990)
762292	387203	Sheridan Sturgess (1990-92)
762292	391869	Jennifer Atkinson (1989)
762292	400583	Tori
762292	400646	Georgina Ellis
762293	30424	Lady Helena Langrish Smith
762293	84485	Svetlana
762293	160576	Ros
762293	252983	Young Grace
762293	264746	Deb Willet
762293	320467	Marianne Faithfull
762293	368165	Heather
762294	201976	
762295	10548	High school girl's friend
762295	195558	Drill Team Member
762296	104972	Prosecutor
762297	77914	Mrs. Della Mayhew
762297	241370	Mrs. McIntyre
762297	358694	Mrs. Nickerson
762298	153739	Elisabeth Unelma Tuura, myöh.
762298	168790	Elisabeth Turhapuro
762298	195094	Elisabeth Turhapuro
762298	209949	Anita
762298	214845	Herself
762298	265453	Elisabeth Turhapuro
762298	272834	Elisabeth Turhapuro
762298	278881	Traffic investigator
762298	332518	
762298	341808	Elisabeth Turhapuro
762298	349136	Elisabeth Turhapuro
762298	349137	Elisabeth Turhapuro
762298	349138	Elisabeth Turhapuro
762298	349139	Elisabeth Turhapuro
762298	349140	Elisabeth Turhapuro
762298	349141	Elisabeth Turhapuro
762298	349142	Elisabeth Turhapuro
762298	349143	Elisabeth Turhapuro
762298	349144	Elisabeth Turhapuro
762298	349145	Elisabeth Turhapuro
762298	349146	Elisabeth Turhapuro
762298	349147	Elisabeth Turhapuro
762298	349148	Elisabeth Tuura
762298	398541	Various
762298	406132	Various/Herself
762298	407556	Laila Rissanen
762298	409729	Elisabeth Turhapuro
762299	272247	Piika-Taava
762300	160464	Herself
762300	177039	Herself
762300	304494	Luscious Lola
762300	409741	Nikki Franco
762301	21568	
762301	384119	
762302	288862	Herself
762303	107483	Musician
762304	4231	
762304	170246	Vieras #2
762304	177898	Mrs. Häkkinen
762304	181652	Delegation member
762304	228997	Sick cottager
762304	229544	Woman in a bus
762304	233243	The Dean's wife
762304	234649	Matron in Pelastusrengas
762304	242264	Maija
762304	255764	Woman in train
762304	264291	Lapsenhoitaja
762304	265452	
762304	278875	Kaisa
762304	285967	
762304	343399	
762304	354255	
762305	409269	Papu
762306	40497	Sylvia
762306	73096	Mona Ridley
762306	385020	Doreen Horten (1992-2000)
762306	396018	Mrs. Kaydan
762306	403811	Izzy
762306	406441	Annie Mercer
762306	408277	Mrs. Kennedy
762306	411011	Madge Tanner
762307	2573	Herself
762307	20052	Herself
762307	31944	Herself
762307	43739	Herself
762307	71687	Herself - Trixie St. Claire
762307	132626	Herself (Performer)
762307	163623	Herself
762307	164611	Herself
762307	168558	Herself
762307	168559	Herself
762307	175538	Herself
762307	185529	Herself
762307	190571	Herself
762307	220208	Herself
762307	221629	Herself
762307	233820	Herself
762307	282582	Herself
762307	296552	Our Guests at Heartland
762307	309504	Featured Performer
762307	318912	Herself
762307	339530	Herself
762307	348594	Herself
762307	365843	Herself
762308	381821	Ensemble (1968)
762309	296261	Judith Gray
762310	115666	Girl #1
762311	4433	
762311	4496	
762311	4875	
762311	5630	
762311	6355	
762311	22105	Anita
762311	37955	
762311	65574	
762311	95030	
762311	125154	
762311	126948	Deepa
762311	126961	
762311	127334	
762311	140494	Salma/Shamim Khan
762311	152700	
762311	156600	
762311	160186	
762311	164301	
762311	166463	
762311	172556	
762311	175976	
762311	196401	
762311	200749	Dancer
762311	209872	
762311	211257	
762311	217155	Shop-owner's wife
762311	226601	Radha
762311	228700	
762311	262827	
762311	262866	
762311	268122	Shobha
762311	288782	
762311	320860	
762311	322703	
762311	326960	
762311	373831	
762311	374012	
762312	60186	Agnieska Maryniarczyk
762313	27410	
762313	135677	Mandy
762314	287160	
762315	68433	Clementina Vasile Cozzo
762315	68435	
762315	68438	Clementina Vasile Cozzo
762317	337474	
762318	60532	
762318	136360	
762319	204625	Vasantasena
762320	255513	Annikki
762321	179366	Lapsi
762322	253753	
762323	35961	
762323	202474	Subbamma
762323	214835	Agnes Stenvall
762324	207808	Helen
762325	349799	Sundari
762326	172699	Princess Nidhyadhari
762326	227370	
762327	106694	Kandan's Niece
762327	182202	
762327	201951	Thangam
762327	204110	Prabha
762327	272165	Thangam
762328	79742	Herself (Radio 5 Traffic Repo
762329	8490	
762329	8638	
762329	29042	
762329	36119	
762329	58598	Seetha
762329	59049	
762329	61521	
762329	77036	
762329	116150	Herself
762329	135893	
762329	166519	Ganga
762329	171499	
762329	171500	
762329	201299	
762329	208576	Bhanumathi
762329	275704	Vindhya
762329	286793	
762330	36056	
762330	77035	
762330	84746	Vimala
762330	202474	Kamala
762330	208576	Yashoda (in the song Vinnava 
762330	221795	
762330	293282	
762330	323078	
762330	355320	Vishalakshamma
762330	371821	
762331	4455	
762331	19706	Azhagurani
762331	26222	Uloochi
762331	36108	
762331	62380	
762331	62749	
762331	77036	Rohini
762331	155576	Sarala
762331	165993	Narthaki Amrutha
762331	173445	(guest role in the veedhi bha
762331	200653	
762331	200673	
762331	203855	
762331	204096	
762331	204101	
762331	227375	Nandha's Mother
762331	247446	Dancer (guest role in a song)
762331	252227	
762331	260130	
762331	262972	
762331	271027	
762331	271453	Prameela
762331	272165	Radha
762331	284826	
762331	288157	
762331	297474	
762331	308954	
762331	320391	Jayanth in disguise
762331	325303	
762331	332793	
762331	333757	(guest)
762331	334641	
762331	350060	
762331	351420	
762331	355320	
762332	22191	
762332	26230	
762332	68363	Aude
762332	73719	Pomme N°2
762332	134582	Emmanuelle dite 'Manu'
762332	202343	
762332	275700	Baba
762332	346756	Lola
762332	377013	Pauline
762332	381590	Laurine
762332	384595	Colette Enfant
762332	384628	
762332	398102	Rebecca
762332	400762	
762332	408317	
762332	409457	
762333	259834	
762334	29867	
762335	361237	
762336	272530	Lady #1
762337	204403	
762338	21749	
762338	57654	Snob
762338	101400	
762338	198679	
762339	209362	
762340	4476	Jhansi
762340	12983	Gita
762340	18186	(guest)
762340	24256	Kokila
762340	25297	Ratna
762340	39033	
762340	125892	
762340	192299	Anitha
762340	220826	Asha
762340	233183	Dr. Annie
762340	243813	Indu
762340	288518	Priya
762340	312457	
762340	330642	Rajathi
762340	330971	
762341	227827	
762342	339283	
762343	385931	Herself
762344	253892	Marica
762345	180693	
762345	252020	Indira
762346	63315	
762346	197464	Khabibula
762347	40211	
762347	178798	
762347	179340	Teacher
762347	306975	Ghesya
762348	4285	
762348	5631	
762348	5632	
762348	14463	
762348	17358	
762348	17892	
762348	36046	
762348	59035	Chandralekha
762348	59036	Chandralekha
762348	60995	
762348	84753	
762348	84767	Chandramukhi
762348	99969	Indian dancer
762348	164736	
762348	166000	
762348	170783	
762348	174266	
762348	196482	
762348	203234	
762348	203991	
762348	204773	
762348	251257	
762348	266958	Haimavati
762348	272186	
762348	288303	
762348	288815	
762348	297599	
762348	306783	
762348	341898	
762348	350840	
762349	169664	
762350	22118	Bar girl
762351	315928	
762352	144244	Kutyás hölgy
762352	311805	Mrs. Radován
762352	326302	Nászutas a panzióban
762353	64744	Slow Woman
762354	233279	
762354	281286	
762355	74431	
762355	97983	Néni
762355	138008	
762355	304168	Özvegy Kuglerné
762355	399860	
762356	219836	Orosztanárnõ
762357	172826	Pendzsi
762358	36024	
762358	42886	Vida
762358	95437	
762358	150671	
762358	164880	
762358	164942	
762358	172136	
762358	181927	
762358	205039	
762358	284707	Kamal's wife
762358	375392	Pevacica
762358	395497	
762358	399008	
762358	400015	Jedna od pretkinja
762359	91477	
762360	223789	
762361	25930	
762362	28734	Bhama
762362	45814	Sheetal Chaudhary
762362	86675	
762362	88501	
762362	124954	
762362	126941	
762362	135873	
762362	165643	
762362	167363	
762362	171940	Nimmi
762362	208205	
762362	217157	
762362	268092	
762362	285400	Sheel
762362	316577	
762362	317752	
762362	318418	
762363	80801	Nicole
762364	17796	Mary-Lynn
762364	25437	Herself
762364	50073	Amanda
762364	65394	Grace
762364	94613	Zelmina, Space Nerd #3
762364	128687	Mary Lynn
762364	142718	Lynette 'Squeaky' Fromme
762364	187193	Reena Giuliani
762364	200521	Janet (Frank's Assistant)
762364	203358	Mary ('Fridays')
762364	221123	Various Characters
762364	224639	Avalyn
762364	267165	Elizabeth
762364	279460	Blind Brenda
762364	283368	Herself
762364	315781	Melinda ('Fiction')
762364	321213	Dorothea
762364	330386	Suzy Smokestack
762364	340949	Female Radio Caller
762364	364372	Cheeseball Eater
762364	380638	Sgt. Tipton
762364	386860	Various
762364	394298	Various
762364	398407	Various (1995-1996)
762366	234153	
762366	312419	Neli
762367	32806	
762367	48260	Cora Ramada
762367	54996	Dama IV
762367	77509	
762367	134792	Adelaide
762367	174098	Mutter Thick
762367	180995	
762367	181501	Sybille
762367	204504	Coco
762367	267814	Kristina
762367	328978	Jenny
762367	334176	
762367	347048	Dolores
762367	347787	Betsy
762367	366263	Belle
762367	404169	Dunja
762367	412101	
762368	249140	
762369	172920	Rasa Devi's Courtesan
762370	4843	
762370	4860	Susheela
762370	6232	
762370	6359	
762370	6360	
762370	27470	
762370	29067	
762370	88489	Nayabji
762370	131947	Anandamoyee
762370	137988	
762370	138582	
762370	138925	Bahadur Singh's Girlfriend
762370	141833	Heer
762370	145582	Mohini, Tahira
762370	165397	
762370	181515	
762370	230128	
762370	243860	
762370	249858	Lakshmi
762370	285526	
762370	286793	
762370	297442	
762370	320856	
762370	339962	
762370	344066	
762371	169991	Child in class
762373	118108	Performer
762374	317097	Daisy (Haroula)
762375	225970	Dragarica
762376	305571	Young American Miss
762378	86669	
762378	328284	Backlash Dancer
762379	256654	
762379	295061	
762379	356417	
762379	357658	
762380	299586	
762380	344279	
762381	202301	
762382	352782	
762383	231171	Neznaika
762383	231172	Neznaika
762384	63574	
762385	370999	Rajka
762386	261301	Kapitolina Markovna, his aunt
762386	374881	Mrs. Khromova
762387	33801	
762388	234437	
762389	7092	Gypsy Dancer
762389	12839	Gypsy Dancer
762389	21656	
762389	52942	
762389	98043	Tänzerin/Dancer
762389	119123	
762389	123140	
762389	182902	Irina
762389	237106	
762389	260410	
762389	272591	
762389	281894	Dancer
762389	282220	
762389	288950	Mimí
762389	293224	Moana
762389	348391	Lao Win Tan
762389	385173	Halima
762390	181507	
762391	209780	
762392	80437	
762393	206220	
762394	339091	Nurse #2
762395	308482	
762396	169553	
762397	210158	Tuba
762398	262230	
762399	211698	Slavie Fish
762399	263439	Tsipi
762399	333768	Angela
762400	20140	
762400	25297	
762400	31908	Beata Klosowicz
762400	36586	Hania
762400	153864	
762400	155364	
762400	178795	
762400	209537	
762400	244207	
762400	247591	
762400	249665	
762400	260389	Helena de With
762400	266330	Mariola Bronska
762400	275250	Inezilia
762400	282768	Krysia (episode 2)
762400	284079	
762400	322036	Wanda Gasowska
762400	348509	Agata's Mother
762400	374630	
762400	375912	
762400	385480	Marusia 'Ogoniok'
762401	16294	
762401	46064	Zinka
762401	47402	
762401	95933	
762401	199869	
762401	251994	
762401	261260	
762401	261321	
762401	263406	
762401	265069	Liza's aunt
762401	285208	
762401	299381	
762401	357617	
762402	367951	Herself
762403	398997	Kurenai Yuuhi
762405	338612	Flora Bervoix
762406	49823	Leni Schindler
762406	119287	
762406	124403	
762406	352658	Die Mutter
762407	242884	
762408	398046	Herself (1998)
762409	258188	Hattie
762410	41696	Cow
762410	42698	Mrs. Taylor
762410	65534	Countess Dobronowska
762410	83814	Mother
762410	195857	Mrs. Simmons
762410	234216	Baroness d'Alvard
762410	249118	Undetermined Role
762410	264054	Mme. de Stael
762410	264177	Mrs. Raffan
762410	265493	
762410	279405	The Duchess
762410	327644	Mrs. Tredgett
762410	343074	Countess De Liniere
762410	367701	La Terribula
762411	176989	Dr. Jones
762412	346281	Sue, age 18
762413	9467	Tyanka
762413	44394	Deansha-Mariya, Zhena Na Bori
762413	160594	
762413	258378	Maykata na Plyontek
762414	301702	Tatooed Biker Mama
762415	270697	Dancer #4
762416	87060	
762417	88386	Smilja
762417	174829	Janja
762417	217364	
762417	218946	Ana
762418	245562	
762419	22585	Mother
762419	63574	
762420	232843	Nella
762421	2480	Esmeralda (segment "L'attimo 
762421	7318	Giovanna
762421	17743	
762421	20792	
762421	28760	Una bambina che giocca ai gia
762421	33558	Giovanna
762421	37512	Valeria Masetti
762421	51376	Elide Catenacci, Romolo's dau
762421	52879	Giovanna
762421	53575	
762421	53954	Leonora
762421	54225	Angela
762421	55211	Carmen
762421	61030	La signorina X (segment "La s
762421	67498	
762421	67908	
762421	68985	
762421	71357	Giovanna
762421	80651	Fe Moreau
762421	85463	contessa Cristina
762421	90700	Laura
762421	96518	
762421	102307	Esperia
762421	102618	Marcella
762421	108110	Amalia
762421	111374	
762421	121332	Piera Fabbri
762421	125561	Valeria
762421	132401	Maria
762421	135270	Italia
762421	149532	Camille
762421	153243	Cosima
762421	183483	Maddalena Scognamiglio
762421	184691	
762421	191208	Tuzza Azara
762421	196776	
762421	197616	
762421	198955	Marianne Stadler
762421	199328	Cadette
762421	199921	Una bambina
762421	204637	
762421	211325	Columba
762421	217559	Luisa Morelli
762421	217758	Virginia de Layva
762421	229598	Assuntina
762421	229741	Luciana
762421	238006	Anna
762421	248221	
762421	250387	Angela
762421	251612	
762421	252030	
762421	252631	Ofelia Ceceretti
762421	259699	Asst. Dist. Atty. Vittoria St
762421	262405	Franca Malorni
762421	263410	
762421	263711	La commessa
762421	266002	Oslavia
762421	270333	Marcella
762421	270842	Mafalda
762421	279081	
762421	290973	
762421	291669	Prostitute
762421	301376	
762421	301382	Bruna
762421	307664	
762421	327496	Gina
762421	338677	La cameriera
762421	342117	Laura
762421	348189	Lina
762421	352559	Pina
762421	354447	
762421	355791	Rosa
762421	362169	Gina Romano
762421	377587	Carmela
762421	380255	Elisa
762421	402098	Elisabetta
762422	254398	Herself
762423	97147	Michele's sister Valentina
762424	90004	Second mother
762425	271198	Author Max Sinclair
762426	17205	Martina
762427	290524	Karla Döring
762427	370495	Celia
762428	97727	Red-Haired Woman/TV
762428	156466	Mrs. Sobel
762429	338709	Eva Steen
762430	175631	Carrie Thomas
762431	204106	Joanna
762432	10472	Maria Obal
762432	40398	Oberin Madeleine
762432	48399	
762432	70642	
762432	81514	Lady Violante
762432	110067	Herzogin von Parma/Duchess of
762432	111485	Wulfhild
762432	142309	Andromache
762432	144009	
762432	145603	Generaloberin
762432	148797	
762432	175268	
762432	175269	
762432	182762	
762432	204413	
762432	206579	
762432	227544	
762432	231355	
762432	231356	Brunhild
762432	264332	
762432	290745	
762432	314717	
762432	322532	Lona, Bäuerin
762432	365805	
762433	7486	Beatrice
762433	7961	Aunt Katherine Forrest
762433	17470	Terry
762433	41698	Fairy Berylune
762433	49597	Grandmother
762433	51885	Mrs. De Witt
762433	52904	Nanine, Marguerite's Maid
762433	54451	Mrs. Barlow
762433	61583	Aunt Minnie
762433	68248	Nora
762433	91917	Mrs. 'Stonewall Jackson' Kens
762433	94129	Mrs. Weaver
762433	99455	Sarah Crosby
762433	100662	Mrs. Phoebe Brockwell Templet
762433	104950	Mrs. Blake
762433	118304	Miss Tobias
762433	123193	Sybil
762433	124082	Mrs. Hammle
762433	128173	Mrs. Van Dyne
762433	131418	Cuckoo
762433	147417	Aunt Lucy McCaffey
762433	154097	Mama McGann
762433	154230	Nana
762433	154355	Mrs. O.H.B. Gage, Kay's Grand
762433	154712	Grandma Brokaw
762433	165172	Gran Whiteoaks
762433	176336	Aunt Minetta 'Minnie' Thomas
762433	183643	Mrs. McGuinness
762433	185444	The Duchess of Ebley
762433	191962	The Applewoman
762433	195741	Sheriff Janet Winfield
762433	199744	
762433	206112	Midwife
762433	206910	Mary Lamb
762433	212102	Charwoman
762433	212856	Mrs. Hudson
762433	216234	Madame Magloire, Bishop's Ser
762433	222592	Mrs. Helene Smith aka Elsie S
762433	227290	Zoe
762433	230883	Mrs. Macey
762433	241595	Angelina, the Housekeeper
762433	249022	Countess de Charelle
762433	253467	Nurse Peggotty
762433	260880	Honorine
762433	286929	Mrs. Maisie Burley
762433	312584	Aunt Tibbie
762433	313295	Aunt Martha Parker
762433	318028	Mary
762433	330191	Duchess of Beltravers
762433	347028	Lady Agatha Hathaway
762433	350408	Lady Mullion
762433	358650	Evelyn Bennett
762433	360430	Matrona Pavlovna
762433	371033	Mrs. Brian
762434	306594	Mrs. Murchison
762435	289761	Lee
762436	846	Herself
762436	866	Herself
762436	1480	Herself - Presenter
762436	2540	Herself
762436	3079	Herself - Presenter
762436	5358	Herself
762436	26395	Mamie
762436	42913	Ruth Clark
762436	61708	Herself
762436	66603	Maggie Bryan
762436	84409	Gayle Redford
762436	87182	Herself
762436	87893	Miss Loretta
762436	115568	Mrs. Pyrite
762436	123303	Miss Rosalee
762436	138700	Herself
762436	166692	Dr. Pamela Prentiss
762436	194865	Nurse
762436	196420	Charlotte
762436	213494	Lola Quinn
762436	216127	Beverly
762436	229505	Doris Campbell
762436	233509	Marjorie Duncan
762436	240001	Rita
762436	253510	Chantal
762436	255433	Barbara Hanley
762436	265915	
762436	292797	
762436	303226	Florence Watson
762436	303235	Corelle
762436	303975	Receptionist
762436	334313	Linda
762436	345856	Linda Cray
762436	356350	Herself - Choir Member
762436	363913	Roberta
762436	366711	Hypolyta Kropotkin
762436	384567	Maggie Bryan
762436	386138	Etienne Toussaint Bouvier (19
762436	389927	Maggie Foster
762436	393083	Ginger St. James (1986-1989)
762436	398027	Dee Mitchell (1996-1999)
762436	399225	Vicki St. James
762436	404613	Laura McCarthy (1983-1984)
762436	411142	Additional Voices
762437	385728	Victoria Larkin
762438	290753	
762439	393653	Pregnant woman
762440	92862	Secretary
762441	272325	Bar Customer
762442	26	Carolyn Jordan
762442	7909	Elissa Strange
762442	11639	
762442	14220	Mary Gray
762442	21449	Miss Danforth
762442	32783	Cynthia Mason
762442	34951	Alice O'Neil
762442	35128	Vroni
762442	39269	Leila Lambert
762442	40670	Moira Devens
762442	40827	Mary Lou Kileen
762442	50649	
762442	50860	Baroness von Ballin
762442	56178	Lena Smith
762442	61727	Jean Waddington
762442	73856	Helen Stratton
762442	78156	
762442	78715	Ethel Stanton
762442	80465	Eva Mason
762442	81869	
762442	88855	Bit
762442	109400	Céleste de Givray and Lola Da
762442	112286	
762442	112713	Janet Wells
762442	117057	Bit Part
762442	117509	Ruby Anatole
762442	122022	
762442	128193	Mary Trevor
762442	131370	
762442	131902	Dagmar Carroll
762442	136553	Dorothy Gorman
762442	137446	Patience Winslow
762442	141178	Rose Hillyer
762442	147650	Flora Moore
762442	152203	Mary Jane Wilks
762442	164456	Queenie Hatch
762442	170793	Valerie Shields [Chs. 1,3,6,7
762442	170818	Miss Shields
762442	176406	Extra in heaven scene
762442	178034	Fairy Godmother
762442	183359	Miss Winkler
762442	188562	Mrs. Sinclair
762442	191822	
762442	193662	
762442	193796	Madeline Smith
762442	195381	Nancy Blair
762442	195613	Herself
762442	196926	Doris McDee
762442	205911	Dorothy Manning
762442	206344	Miss Hofer
762442	213503	Louise Patterson
762442	216000	Charmion
762442	224629	Vivian McNain [Chs.10-11]
762442	239659	Esther
762442	240017	Rose Maylie
762442	247235	Nina
762442	251681	Undetermined Role
762442	253913	Mrs. Darling
762442	254467	
762442	264492	Marie
762442	265264	Antonia
762442	267433	
762442	267448	Stella Bolling
762442	269083	Louise Mason
762442	271142	Joan Dunster
762442	275477	Beatrice
762442	276318	Louise Rillette
762442	276939	Janet Fair
762442	280896	Gwen de la Rue
762442	281134	Asta Marvelle
762442	285181	Dolly Merrick
762442	286943	Frances March
762442	289191	Hallie
762442	296951	Viola Avery
762442	301628	Herself
762442	304504	Ruth De Milo
762442	308044	Diana
762442	311868	Lizzie Stokes/Olga Rostova
762442	312156	Jean Bruce
762442	316164	Olga
762442	316567	Elaine Vincent
762442	327729	Kitty O'Day
762442	333170	
762442	333520	Nora Bayes
762442	334273	
762442	334351	Ellen Colby
762442	334766	Jenny
762442	337321	Dorothy Alden
762442	339829	Herself
762442	340569	Dagmar
762442	346051	
762442	347416	Flora McKenzie
762442	353461	Chewing gum baron's daughter
762442	362172	
762442	362624	Ruth Dangan
762442	363681	Rose Gibbard
762442	365393	Bess Furth
762442	367395	
762442	367759	Mollie
762442	400515	Helen Lee (1962)
762443	114193	Buck and Wing Girl
762443	169016	
762443	271191	Punk Waitress
762443	294745	Teenage girl
762443	319185	Joanne
762444	19964	
762444	35415	
762444	37123	June Halloway
762444	39322	Dorinda Maxwell
762444	40434	
762444	43568	
762444	46796	
762444	52465	Clem
762444	67119	Doris Marlowe
762444	71568	Betty McKinney
762444	89313	Herself
762444	117014	The Downtown Girl
762444	120013	Peggy
762444	127637	Mary Hubbel
762444	128450	The Rich Girl
762444	131036	
762444	139547	Herself - Harold's new leadin
762444	150478	Wifey
762444	152652	Heroine
762444	176302	Mary Powers
762444	190552	Mary Warren/Topsy
762444	192019	Winifred Davidson
762444	231908	Kate Murphy
762444	262069	Jane Atwill
762444	263322	Marion Dunbar
762444	270477	Sally
762444	282385	Mary
762444	285678	Bit Part
762444	298223	
762444	299027	
762444	307927	The Girl
762444	310575	Madge, The Girl
762444	321171	Mariam Finklebaum
762444	323450	
762444	331532	Constance Bonne-aux-Fieux
762444	334805	Mary
762444	363688	
762444	364691	The Nurse
762444	366161	Sylvia Lewis
762445	321469	
762446	310591	Herself
762447	52431	Beatrice Gwynn
762447	73243	Pegqy Stone
762447	105075	Camille Lansing
762447	116077	Ila Sayre
762447	116790	Jill
762447	130653	Molly Featherstone
762447	143211	Mrs. Garron
762447	175111	USO Girl
762447	176325	Linda Walker
762447	210718	Wanda Townsend
762447	215809	Mabel Jones
762447	230344	Stewardess
762447	231905	Nightclub vamp
762447	245121	Patricia
762447	248993	Renee
762447	280941	Lord Craig's Niece
762447	286899	Diner
762447	291780	Leah Carlton
762447	296559	Vesta Vernoff
762447	302723	Helen Young, the Movie Star
762447	319040	Blonde
762448	155003	Tourist
762448	241278	Woman #2
762449	126130	Featured
762449	229865	Marilyn Peterson
762449	243568	Herself (Jenny)
762449	360124	
762450	5524	Ilona Vance
762450	16732	Christine Ridgeway
762450	33579	Belle Le Grand
762450	77015	Sandy Poli (Devlin)
762450	107452	Kim Kim
762450	112527	Fleurette De Marchand
762450	114870	Carlotta Novak
762450	135931	Cheel
762450	149259	Marte Dufour
762450	155061	Annette Dubois/Jane Doe
762450	155293	Ice-Capades Skater
762450	155294	Ice-Capades Skater
762450	169817	Florinda Grove, aka Julie Lat
762450	183546	Janice Farrell
762450	184094	Vera Haschek
762450	203498	Lynn Brennon
762450	222672	Lila
762450	235697	Angela Monks
762450	253106	Francie Landreaux
762450	257200	Ann Arnesen
762450	311557	Joan Milna
762450	315530	Maria Mazarek, aka Maritza
762450	320025	Violet Barton
762450	333169	Lynne Tilton
762450	365199	Lt. Helen Landers
762450	369359	Karen Alderson
762451	77908	Mrs. Meehan
762452	154274	Victoria
762453	83886	
762453	225010	
762453	233581	Roxana
762454	271706	Herself
762455	271706	Herself
762456	271706	Herself
762457	50006	Sacrifice Dancer
762458	50006	Sacrifice Dancer
762459	151935	
762460	100229	
762461	25124	
762461	60501	
762461	164851	Kokila
762461	212647	Miarka
762461	238026	
762461	299246	Princess Selima
762461	333172	Native Girl
762462	127487	Fontana Model
762464	89572	Woman in Seance
762465	214283	Petite Fille au journal
762467	2079	
762468	399936	Herself (interviewee)
762469	104695	Jurylid
762471	182980	Naomi
762471	265516	Receptionist
762471	288905	Waitress
762472	67732	Prostitute
762473	173353	Mod Girl
762474	99825	
762474	254418	Voice
762475	67839	
762476	398473	Vicky
762477	87599	Coroner's Office Receptionist
762478	96973	Girl #1
762479	34913	Choir member
762480	8289	
762480	10629	Marjina
762480	13523	Princess Amaravati
762480	14530	
762480	18110	
762480	18145	
762480	19008	Ranjana
762480	23482	
762480	28807	
762480	30879	
762480	36108	Radha
762480	42437	Mallamma
762480	58576	Granddaughter Who Bears a Dau
762480	58707	
762480	59004	Chandirani
762480	59005	
762480	62248	Chintamani
762480	85354	
762480	85355	
762480	124291	
762480	134357	
762480	134363	Janaki
762480	172862	Kalyani
762480	181037	Chandravali
762480	184018	Laila
762480	199866	Princess Bommi
762480	202102	Poonkothai
762480	202156	
762480	202478	Malliswari
762480	203870	
762480	204082	Mangala
762480	204104	Mangamma
762480	208095	
762480	208608	
762480	221624	
762480	227085	Damayanthi
762480	227104	Pushpa
762480	247165	Nagamma
762480	251679	Adusumilli Basavapunnamma
762480	252020	Savithramma
762480	252133	
762480	262872	Mothi
762480	271647	Princess Kalavathi
762480	272165	Rangam
762480	272705	Ratnamala
762480	286772	
762480	288157	Chitrangi Devi
762480	320874	Subbi/Sujatha Devi
762480	323078	Kamala
762480	325320	
762480	327792	Rangasaani
762480	327794	Rangasaani
762480	334716	
762480	350570	Kalindi
762480	350720	
762480	353341	
762480	354966	Devadevi
762480	355839	Bharati
762481	219396	Vaishnavi
762482	191701	Temptation Girl
762483	110633	Girl with Bell #3
762484	143757	
762485	17386	Maria Clara
762485	119021	French Woman
762485	386727	
762486	68590	Branquinha's sister
762487	184233	
762487	219580	
762487	219581	
762487	229680	Herself
762487	248303	
762487	266121	Lourdes - 'Saint´s mother'
762487	339003	
762487	355823	Herself
762487	378108	Margot
762487	396718	
762488	24554	Aurora
762489	15156	Macko
762489	43591	
762490	83137	
762490	101627	
762491	273018	
762492	10069	La soeur d'Einstein
762493	205063	
762493	250856	Koran's Wife
762494	349361	
762495	84962	Lily
762496	11026	Female Social Worker
762496	32894	Nurse
762496	97809	Kamala
762496	118722	Bank Teller
762496	159132	Hospital Doctor
762496	285302	Receptionist
762497	121875	
762497	198677	Muniya
762497	204146	
762497	222348	
762497	228699	Seema
762497	271161	Princess Indira
762497	297055	
762497	326153	Sylvie
762498	2585	
762498	4476	Vikranth's mother
762498	14528	
762498	19056	
762498	19213	Ammaji
762498	27475	
762498	43382	
762498	61533	
762498	88586	
762498	108267	
762498	116898	
762498	155574	
762498	155658	
762498	161451	
762498	165397	
762498	166521	
762498	221583	
762498	250683	
762498	262911	Subbammatta
762498	300281	
762498	303100	
762498	312489	
762498	320902	
762498	323049	Bamma
762498	325303	
762498	355836	
762499	50029	
762501	90317	Running Girl
762502	107578	Tamar
762502	154601	Wala Mirga
762502	163085	Sabiya (guide)
762502	287251	Naima
762502	334189	Carla
762503	62247	Chintamani
762503	93005	Satyabhama
762503	154601	Zoya
762503	217195	
762503	271762	
762503	289131	Savitri
762503	300261	Yashoda
762504	248169	
762505	48954	Escort Service Madam
762506	173706	
762506	341876	
762507	195690	
762508	239970	
762509	158767	Una cliente del Night
762509	402302	
762510	40748	
762510	68373	Giulia
762510	238003	Miki
762510	263733	
762510	353056	
762510	375851	Zora
762510	379901	Cristiana
762510	385419	Eleonora Rossi
762510	386748	
762511	226498	Alumna gimnasia
762512	73295	
762512	205690	
762514	70084	
762514	72436	
762514	84169	
762514	100782	
762514	104143	
762514	110415	
762514	276472	
762514	332699	Cecilia Altamirano
762514	354846	
762515	73289	
762515	381029	Silvia
762515	384245	
762515	387834	Margarita
762515	390732	Elvira
762515	397201	
762515	399707	Marcela
762515	402181	Marina
762516	16889	
762516	41776	Vika
762516	410246	Rosario
762517	149854	Carol Muldoon
762518	166270	Francoise, Lorraine's mother
762519	99356	
762520	99356	
762521	99356	
762522	198348	Femme du Taxi
762522	331010	
762522	345185	Chanteuse de rue
762522	391707	Mathilde
762523	348647	
762524	101154	Gisèle
762525	53014	Françoise
762525	68513	
762525	70710	La femme
762525	257059	
762525	346824	Mademoiselle Pré
762525	377060	Yolande
762525	386803	
762525	396328	Mme Speer
762526	15271	
762526	91121	Gundula Wurmlinger
762526	93499	Mrs. Prametzberger
762526	137642	
762526	138456	
762526	144140	
762526	147184	
762526	175289	
762526	180002	
762526	189433	
762526	200038	Barbara, Wirtschafterin des P
762526	253209	Monika, Wirtschafterin beim G
762526	265653	Marktweib
762526	285814	Lina Möhslacher
762526	365010	
762526	366589	Gretl Kögerl
762527	93872	L'employée ANPE
762527	96197	Fabienne
762527	160720	
762528	16952	
762528	66563	Florence
762528	100548	
762528	118091	Jacqueline
762528	268384	
762529	101219	La grand-mère
762529	349488	La dame du bridge
762530	314941	
762531	133902	Mrs. Creightn Hardage
762531	166729	Mrs. Van Mater
762531	188160	Mrs. Hammond
762531	237994	Mrs. Lydia Larson
762531	249120	Sophie Demarest
762531	301782	Mrs. Lindsay
762532	1629	Josie Johnson
762532	4543	Mrs. Leona Donner
762532	18552	Sarah Calbern
762532	20536	Mrs. Shannahan
762532	27215	Mrs. Roger Nelson
762532	47294	Lillian (Lil) Rice
762532	68462	Columbia (prologue)
762532	80062	Rachel (The Dazzling Miss Dav
762532	81444	Countess Ann
762532	88291	Lillian Bennett
762532	96789	Elfie St. Clair, Brockton Mod
762532	96843	Mama Teresa Lorenzo
762532	114155	Belle Hardwick
762532	117655	Herself
762532	118008	Renee Browning
762532	132753	Daisy Hemingway
762532	133538	
762532	133915	Auriole Praed
762532	141650	Mamie
762532	142363	Mame Kelsey
762532	143274	Annie
762532	157886	Bessie Baxter (hotel propriet
762532	160618	Lulu
762532	185991	Sylvia Swan
762532	186038	Ruby
762532	187095	The Duchess
762532	197020	Hattie Hatfield
762532	202952	Miss Laura Fowler
762532	203270	Gert a movie extra
762532	203718	Flossie
762532	206873	Mary Moreland
762532	211546	Mrs. Harlan
762532	214327	Bella Pringle
762532	215182	Blanche
762532	216907	Mme. Azais
762532	220073	Louise
762532	228308	America
762532	231311	Bit Part
762532	239068	Lil Vanderhoven
762532	247200	Mayme Palooka
762532	263941	Mamie Adams
762532	271293	Mrs. Simon
762532	273225	Goldie Tate
762532	286197	Madam Europe
762532	287742	Ma Burton
762532	292642	Peaches
762532	301507	Mollie Burke
762532	304503	Mrs. Manley
762532	308363	Mrs. Darsay
762532	316319	Geneva Sterling
762532	316903	Annie Gibson
762532	318175	Elsie Patterson
762532	321896	Herself
762532	323174	Kitty DuPuy
762532	330851	
762532	331619	Aunt Lottie
762532	334416	Sister Bessie Rice
762532	336032	Mrs. Stewart
762532	337368	Edith Trent
762532	341529	Tugboat Capt. Annie Brennan
762532	346043	Amy
762532	354160	Lucy Wales
762532	358777	Mrs. Dunham
762532	359548	Hippolyta
762532	367415	Mrs. Kingsley
762533	176358	Child on tugboat
762534	59615	
762534	203463	Girl
762534	212102	Celeste, Ghita's Maid
762534	265361	Bit
762535	48132	Mor til Tallak
762535	181082	Kari Fjelstugu
762535	315378	Toralfa
762535	334226	Pensjonær
762535	347003	Olina
762536	214196	Dancer
762537	71822	La religieuse robuste
762537	166144	Une jeune fille
762537	199717	Mme Plantu
762537	234783	Rose Garonaire
762537	235819	
762537	237917	Paulette
762537	327564	La Belge
762537	342611	
762537	376998	La patronne du café
762537	412276	La nurse
762538	205753	Herself
762538	274332	Herself
762539	51452	
762539	124151	
762539	345481	
762539	377489	
762540	4014	Rambha
762540	9443	
762540	11718	
762540	11758	
762540	11994	Bobby
762540	29026	
762540	29211	
762540	31411	Swapna
762540	35112	Priya
762540	36017	
762540	58838	Devi
762540	63199	Bhama
762540	76442	
762540	83516	
762540	86665	
762540	94930	
762540	127014	Manisha
762540	142545	(guest role in the song Kanne
762540	146834	
762540	155577	(guest role in the song Hey r
762540	164316	Nita
762540	165167	Gayetri
762540	169987	Roopa
762540	170622	Naina
762540	170972	Priya
762540	182383	Tara
762540	202609	
762540	221352	Guest role in the song Ramaia
762540	236601	
762540	248483	
762540	268060	Dancer
762540	268563	
762540	285839	
762540	288248	
762540	288271	
762540	300948	Hema
762540	320408	
762541	379716	Lily Benton Montgomery #3 (20
762543	103500	
762543	186532	Viuda (Widow)
762544	86451	
762545	273826	Old Woman
762546	1841	Herself - Performer
762547	138889	Jill
762548	188227	Race Track Bettors
762549	29582	
762549	229002	Une jolie cliente
762550	9500	Rodoula
762550	141139	Martha
762550	401279	
762550	405094	
762551	66354	Dancer
762551	298257	Extra
762551	362356	
762551	362919	Margaret Benson
762551	367499	Undetermined Role
762552	130656	Alison Rambeau (at 15)
762553	186016	Laughing Boy's Mother
762554	339870	Dany
762555	271050	Kamodini
762556	20620	Indian Girl
762556	50006	Sacrifice Dancer
762557	40519	Herself
762557	356882	Maria Weissmann
762558	134941	Ragnhild
762559	51917	Aïcha
762560	13207	
762560	14875	Susy
762560	54347	Dorian Greco
762560	66397	Delia
762560	106250	Anna (episode "Il mondo è dei
762560	116492	
762560	136850	
762560	187983	
762560	193079	Silvana
762560	272474	
762561	111365	
762562	354588	Michèle
762563	271910	Pantchika
762564	13106	
762564	349782	La fermière
762564	353938	
762565	3013	Dr. Barbara Heim
762565	5644	Susannes Mutter
762565	18344	Bürgermeisterin
762565	24362	Karin Ulrich (segmen 'Der Com
762565	63611	
762565	94424	
762565	101332	Chefin
762565	115812	Fräulein Maass
762565	178742	Sophie Sieg
762565	187402	
762565	188802	Juanita Alvarez
762565	204517	Vivian Fielding
762565	230196	Marina Maass
762565	259507	Carolin
762565	259533	Frau Caster
762565	301041	Barbara Helm
762565	324795	Teacher
762565	409614	Winnie
762566	117498	Woman Held by Drug Dealer
762567	110306	Claire
762567	120896	Stella
762567	134915	Paula
762567	197738	Alice
762567	234664	Kriminalinspektör Anja Månsdo
762567	275233	Woman in Phonebooth
762567	303195	Helene Salonen, the secret po
762567	330562	Anja
762567	341027	Elin
762567	380337	Anna Nordenstierna
762567	392089	Ingrid
762567	399947	Nora Eriksson (2002, 2003)
762567	405378	Mona
762568	108051	Fia
762568	155555	Helen Lessler
762568	182454	Kristin
762568	333564	
762568	379373	
762568	396255	
762568	403084	Diana Nordin (1995)
762568	404818	Mormor Berta
762569	202828	Mother
762569	320406	Annika
762569	403084	Angelique/Eva Wiik/Eva Robert
762570	63763	
762571	316028	Woman in Grocery Store
762572	25717	
762573	404652	Pauline
762574	374562	
762575	4058	Salma (aka Shanti)
762575	4410	Mala
762575	8392	
762575	36009	
762575	62235	
762575	95039	
762575	98523	
762575	100228	
762575	152462	Komal (Gopi's girlfriend)
762575	181482	Shanti
762575	198733	
762575	211275	
762575	222056	
762575	232591	Seetaram's mother
762575	271501	
762575	286751	Champa
762575	293291	Seetalu
762575	297579	Sharda, Inder's wife
762575	318958	Sunayana
762577	328406	Françoise Combes-Mary
762577	395493	Antoinette
762578	89849	Angelina as child
762579	3105	
762579	63890	
762579	127940	Laura
762579	237643	Friend in restaurant
762579	238028	Rosa
762579	341393	Diana Parmegiani
762579	344578	
762580	343232	Waitress in Quinn's club
762581	91875	Secretary
762581	141592	Teacher in Conference Room
762581	264038	Nun
762582	292383	Mme Fériaud
762582	377702	La Veuve Grandidier
762583	302427	Sinans svigermor
762584	397486	Queen Maria Theresa
762585	60899	La Fourcaude
762585	139287	Rousotte
762586	127967	
762586	251313	Sbarbina
762586	277811	Ginevra
762587	19914	
762588	155931	Mercedes Galindo
762588	208565	
762588	395861	
762588	401438	
762590	361157	Siv
762591	264313	
762592	208141	Niña alcoholizada
762593	112263	Girl with Grenade
762594	348695	
762595	244066	Maria
762596	51569	
762596	234639	
762596	344739	
762597	103372	
762597	347369	Taco Stand Worker
762597	392811	Host/Tamara (2001-2002)
762598	351281	Adriana
762599	54720	
762600	294829	Bizango Dancer
762601	339988	
762602	362952	Singer, Child
762603	55110	Brigadista
762604	406007	Kelly Chadway #1 (2000)
762605	351461	
762606	107990	Toni
762606	135074	Carmen
762606	381703	Connie Morales
762606	412161	Violeta
762607	73741	Mia
762607	97273	Alila
762607	109564	Lauri
762607	191655	Laurie
762607	297937	Alex Guerrero
762607	340668	
762608	8547	
762608	28055	
762608	31462	Donya Lolay
762608	31465	
762608	79113	
762608	131716	Anna
762608	145553	
762608	145682	
762608	152168	
762608	152421	
762608	157100	
762608	183907	
762608	207923	
762608	236738	
762608	246093	
762608	302902	
762608	306665	
762608	309881	
762608	318535	
762608	336184	
762608	385703	Milagros Cordero
762608	407337	Eds' Mother
762609	287732	Voz de Telemarketer Fiestera
762610	317946	Maid
762612	20957	Strawberry Girl
762614	356623	
762615	339984	
762617	399640	
762618	220606	Waitress
762619	153067	
762620	85133	Female Gang Leader
762621	304751	Tabby
762622	191503	Little
762623	348221	Restaurant patron
762624	270752	Young Anya
762625	315999	Corrina
762626	204354	Anita (Oscar's Wife)
762627	212049	Rose
762627	328584	Terry
762627	336106	Dianne
762628	387619	Tampa PD Police Officer
762630	316640	Cecillia
762631	130724	
762632	167153	Tänzerin
762633	253499	News reporter
762634	27059	Girl in video 'Quit Playing G
762634	389858	Gia Campbell #1 (2000-2002)
762634	397834	Evelyn Santos
762634	404847	Host
762635	348864	Waitress
762636	138317	Tina
762636	168272	Jenny Rainbow
762636	168328	
762636	257379	(English-language version)
762636	289468	Hotel Maid
762636	293145	Jane
762636	313542	
762636	382010	Susie (season 1)
762636	383780	Blue Leaf (Age 14)
762637	134568	Featured Dancer
762638	58409	Danseuse salsa
762639	144577	Girl Child
762640	35239	Steve's Decathlon Team Member
762641	286892	
762642	388680	
762643	254522	Flamenco Dancer
762644	311037	Cop at carjacking
762644	344970	Lammy
762644	347902	
762644	359742	Belkis
762644	362968	Peggy Fears
762644	372372	Rose, Zabar's Cashier
762644	380713	Valerie Merediz (1997)
762644	381354	Gabriella Martinez
762645	16935	Sandra
762645	380795	Narda Mareca (joven)
762645	396898	Sonia
762645	398473	Carmen
762645	410477	Betina
762646	370035	Trandlator
762647	216449	Companion
762648	358477	Raver
762649	301574	Nina tres
762650	66131	Travel Agent
762651	51800	Noonan child
762651	317264	P.A.
762651	349550	Daisy Mabel
762652	51801	Girls in Bar
762652	231798	Roxbury Club Girl
762652	335593	Catlin
762653	268611	
762654	113883	Bikini Contestant
762654	160633	Protester
762654	309542	Nadine
762654	316711	(Hindi version)
762654	387436	Host (2000-2002)
762655	261234	
762655	267859	
762656	189581	
762656	325739	Frau Grete
762657	132074	
762658	115540	Brittany Loud
762658	118262	Orphan
762658	347924	
762660	78416	
762661	261564	Pineview band
762662	234863	
762662	268345	Old Man's Wife
762662	354288	Dispatcher Klaara Kukk
762663	92112	Sandra Goodnight
762664	152450	
762664	175994	Madhuri
762664	182292	Lesbian mum
762664	278406	Rammo
762664	312766	
762666	358330	Pamela
762667	44895	
762667	68149	
762667	81862	
762667	106340	
762667	242555	
762667	247990	
762667	260816	Herself
762667	275718	
762667	296039	Bed Sheet Romper
762667	306916	
762667	335440	
762667	357151	Judy K.
762668	114469	
762668	162243	Iris
762669	381427	Valentine
762670	296314	
762670	306765	Herself
762670	329331	Specialty
762670	361287	Herself
762672	229740	Giulia Dieci
762673	387946	Contestant (2003)
762674	199815	
762675	252757	
762676	55120	Tina
762677	1464	
762677	153569	
762678	338131	Self
762679	191054	Amanda
762680	380162	
762680	393832	Isabel
762681	327252	Narrator
762682	408496	Herself/Correspondent (2000-)
762683	32182	Silly Girl
762684	412138	Panelist
762685	17124	Portera
762685	31537	
762685	48292	Doña Marta
762685	53649	
762685	64022	
762685	80269	
762685	82397	
762685	87894	Ignacio's lover
762685	92335	Carmela
762685	124662	
762685	146486	Virginia
762685	159528	
762685	193188	
762685	194610	
762685	197972	
762685	206979	Reporter
762685	206989	
762685	206991	Carmen
762685	211044	
762685	212528	
762685	216078	Angelica
762685	221996	Recepcionista en sanatorio
762685	225391	
762685	225715	
762685	229431	
762685	234382	
762685	234413	
762685	235298	Sra. Manrique
762685	236418	
762685	239268	
762685	243462	
762685	243709	
762685	251591	
762685	253198	
762685	272403	Perfecta
762685	275946	
762685	287452	Lya Font
762685	296453	Enfermera
762685	306821	
762685	307842	Senora Inocente
762685	309081	
762685	317798	Elisa
762685	325179	
762685	352852	
762685	353628	
762685	376706	
762686	402424	Bia
762687	51539	
762688	217751	Mona Saber
762688	340152	La mère
762688	353828	Carine
762688	353929	Diane
762688	387657	Virginie Morsella
762688	389242	Nelson/Minda Fierro
762688	412017	Lucinda
762690	129991	Statue of Thinker
762691	69239	
762691	336316	
762692	131227	Rose Medema
762692	388114	(herself)
762693	2089	Stripper
762693	37699	Bikini Girl
762693	175842	Sixty-Six Club Dancer
762693	261426	Prostitute
762695	227797	Elderly Woman
762696	268987	
762697	396718	
762697	402582	Paulinha
762698	239948	Visita
762699	381380	Alan's Wife
762699	400738	Lia's Friend
762700	183161	Shop Assistant
762701	183510	TV Anchorwoman
762702	26544	Ana
762702	53846	
762702	66160	
762702	70311	Anita
762702	72672	
762702	88330	Bia
762702	135317	(segment "Poderoso Cifrão, O"
762702	156386	
762702	156392	
762702	158981	
762702	162170	Iracema
762702	181779	
762702	197091	
762702	222159	Regina
762702	222168	Marina
762702	222170	
762702	222188	
762702	222190	
762702	234619	
762702	250876	
762702	252335	Eneida
762702	255798	
762702	260573	
762702	261456	
762702	284842	
762702	294628	
762702	354842	
762702	356681	
762702	380097	Suzete
762702	390751	Lucilene
762702	397553	Cleusa
762703	705	Jesus Reynolds
762703	205426	Natali
762704	106327	Estela
762705	381720	Rita
762706	128089	Topless Dancer
762707	234310	Secretary
762708	57249	
762708	128151	Señorita
762708	249335	Lust
762708	275741	Delores
762709	35638	
762709	81337	Moor Princess
762709	144983	Tigerstripe Officer
762709	342506	Primo, the Ape Man
762710	379831	Lianne #3 (1990)
762711	6468	Caty
762711	24202	Magda
762711	74600	Diana
762711	154440	Kati
762711	242663	Pilar
762711	265320	
762711	284899	Alumna Universidad
762711	355832	Dolores
762713	280727	
762714	263916	
762715	36662	
762716	388591	
762716	398503	
762717	24429	Dancer
762717	41829	Dancer
762717	194332	Dancer
762717	347878	Dancer
762718	81421	
762718	357869	
762719	297548	Housekeeper
762720	378416	Dancer
762721	5201	Committee Woman
762721	7868	Molly
762721	9886	
762721	26959	Sally
762721	34960	Female Officer
762721	40813	Guillermo's Mother
762721	80898	Chicano Woman
762721	86958	Tina
762721	122188	Clerk
762721	142527	Twin #1
762721	194268	Alma Gomez
762721	244920	Patient's Wife
762721	277643	Grace
762721	286228	Mother
762721	308071	Nurse
762721	310715	Maid
762721	310726	Addtional Bus Passenger
762721	345650	Consuela
762721	376740	Conchita
762722	397571	Enfermera
762722	409959	Eugenia
762723	41776	Pedestrian
762724	324749	
762725	354869	
762726	67642	
762726	377603	Celeste
762727	317710	
762728	103965	Paula
762729	344863	
762730	71359	
762730	307798	
762731	412257	
762732	276481	
762733	109714	Nurse
762733	241056	
762734	103965	Paula
762734	215494	
762734	235929	
762734	353652	
762735	90140	Bailarina
762736	88057	
762736	379179	
762736	387552	
762737	318515	
762738	106304	
762738	214826	
762739	332711	
762740	240682	Girl in Lane Way
762741	378940	Shirley
762741	400342	Herself (Finalist #14)
762742	117496	Girl with Fan
762743	219593	
762744	328359	
762745	77459	Herself - Women Against Porno
762746	376703	Leonora Pola
762747	105945	Prison Guard #2
762748	376791	
762749	292089	
762750	105110	
762751	20397	
762751	29051	
762751	55906	
762751	70771	
762751	94482	
762751	269115	
762751	339757	
762752	85819	Nurse
762753	348229	Club Patron
762754	318290	Elvia
762755	381023	Ubenza
762756	73294	
762757	379997	Patty Pryor
762758	305896	Kimmie Livingston
762759	66874	
762759	244090	
762760	200541	
762761	682	Hispanic Kid
762762	186406	Gasoline Attendant
762763	211876	Prostituta 1
762764	406386	Herself
762764	407815	Herself (Single) (2001)
762765	193558	
762766	301172	
762767	122393	
762768	391937	Various characters (2003-)
762769	35550	Adelheid Wolff
762769	48253	Zuster Alice
762769	49756	Vestiairedame
762769	54851	Nicole
762769	76447	
762769	126381	Maria Peinen
762769	126860	Romanie
762769	129540	Florentijn
762769	173037	Julie
762769	173654	Greet
762769	178618	Moeder Janssen
762769	187061	Lysette
762769	248412	Maîtresse van Lucifer/Suzanne
762769	251016	Begeleidster
762769	324642	
762769	335532	Eva
762769	354457	Louise Stas (Kamermeisje)
762769	356103	Antoinette
762769	357566	Leontine
762769	371288	
762769	375525	Suzie
762769	376252	Verpleegster
762769	379634	Tiene De Vijlder
762769	383455	
762769	387143	Pat Brouwers
762769	394794	Mimi (?-)
762769	400801	Leentje
762769	401670	Orelia Bank
762769	408739	Helga
762769	409192	
762769	411180	Louise de Coligny
762770	105947	Reporter
762771	377474	Une invitée
762772	270342	
762773	32660	Guest #1
762774	93756	Girl on phone
762775	126966	
762775	136058	
762775	136059	Bansari
762775	140005	
762775	166502	
762775	176089	
762775	184017	
762775	289671	Wraparound Secretary (segment
762775	289673	Seceretary
762775	295258	
762775	319084	
762775	353804	Chapala
762776	386701	
762777	4815	Helen
762777	6295	Annabella
762777	16677	Margaret Krusemark
762777	22187	Marion
762777	22720	Barbara
762777	51847	Elisabeth Thallman
762777	54839	Lila
762777	58532	Claire
762777	60769	Ranyevskaya
762777	61102	Nicole
762777	65980	Narrator (English language ve
762777	70776	Corky's Wife
762777	76241	Mrs. Fitzwaring
762777	83264	La marquise
762777	109077	Helen Grayle
762777	111002	Fanny de Lussange
762777	118442	Kate Stockton
762777	118555	Julia
762777	118731	Herself
762777	126125	Meredith
762777	127925	Fosca
762777	133595	Miss Havisham
762777	137970	Grace McAlister
762777	142930	Anne Boleyn
762777	148604	
762777	154902	Helen
762777	157064	Elma Turner
762777	157161	Livia
762777	159511	Flaminia
762777	161739	Deidre Stiles (Josh's attorne
762777	166956	
762777	178840	Water Skier
762777	187679	
762777	193902	Jane
762777	207051	Gaby Hart
762777	222644	Sonya Davies
762777	240603	Barbara Spark
762777	243198	Rachel Bedford
762777	248991	Clara Paige
762777	260954	Lucia Atherton
762777	273712	Miriam, contessa di Du Terrai
762777	282254	Sara Capell
762777	286817	Isabelle de Marsac
762777	291971	Herself
762777	294626	Christina
762777	298590	Irene Adler
762777	301390	Marjorie
762777	303882	Samantha
762777	309752	Marie Drillon
762777	312138	Anna Cathcart
762777	313583	Dorrie
762777	313966	Nicole
762777	319713	Frances Matteo
762777	321458	Sarah Morton
762777	324979	Ruth Carlyle
762777	331240	Marty
762777	333256	Irina Kaufman
762777	339992	Léa Uéno
762777	345312	Herself
762777	345502	Sharon
762777	350274	Herself
762777	350463	Hitchhiker
762777	352145	Laura Fischer
762777	352516	
762777	355281	Herself
762777	355806	Catherine Perrin
762777	366192	Aunt Maude
762777	373277	Silvia
762777	374028	Consuella
762777	398743	Sylvia Featherstone
762777	402216	Interviewer
762777	402747	Valerie von Taussig
762778	204451	
762779	91912	Nicole
762780	354777	
762781	18777	
762781	25670	
762781	29612	
762781	176161	
762781	213730	
762781	246883	
762781	260803	Herself
762782	116590	
762783	124379	Lynne
762783	272648	Anne Marie
762783	305345	Anne Marie (segment Ma and Da
762784	292062	Maude
762785	73575	Dr. McCormick
762785	105316	Sarah Kempner
762785	113293	Sgt. Kathleen Hardy
762785	141305	Reeba
762785	186650	Helen Haley
762785	218350	Laurie Hunzinger
762785	222704	Linda Keaton
762785	241776	Sandi
762785	252834	Paula Simpson
762785	257296	Lt. Col. Grace Alexander
762785	308080	Limo Driver
762785	325242	Barbara
762785	346273	Jo
762785	346912	
762785	367589	TV Director
762785	386001	Geri Zarias (1997-1998)
762785	386578	Dr. Leona Linowitz (1990-1991
762785	396350	Lisa Stemple (1992-1997, 1998
762786	381608	Hagar Grossark
762787	192288	
762788	384086	Mother Oldknow
762789	186443	Herself
762789	220603	Herself - Singer
762790	11444	Mrs. Alway
762790	372620	Graeme
762791	5641	Dora Wexford
762791	34683	Dora Wexford
762791	120477	Dora Wexford
762791	135602	Dora Wexford
762791	139486	Dora Wexford
762791	178224	Dora Wexford
762791	220430	Dora Wexford
762791	222596	Dora Wexford
762791	233528	Dora Wexford
762791	233786	Dora Wexford
762791	267846	Dora Wexford
762791	279347	Dora Wexford
762791	297079	Dora Wexford
762791	302110	Dora Wexford
762791	304800	Dora Wexford
762791	307908	Dora Wexford
762791	348067	Dora Wexford
762791	351238	Dora Wexford
762791	367299	Dora Wexford
762791	394508	Rita King
762792	67922	Sonia
762792	137930	Prostitute
762792	213204	Bertie's Girlfriend
762792	233510	PC Kate Booth
762792	392129	Grace Keeble (1993)
762793	158317	Wylie
762794	380464	
762794	383034	
762794	398420	
762794	399816	Babs (1972)
762794	402197	Leila Fletcher (1979-1980)
762795	237241	Sirkka Ehrnrooth, from Red Cr
762796	79106	Young Woman 1
762796	269355	Woman Victim
762796	399130	BB Larkin (1987)
762796	401963	Jane Andrews
762797	245137	Policeman #3
762798	408266	Janet Freeman
762799	85850	
762800	139547	Herself
762800	177988	Cafe Girl
762800	194831	Slave Girl
762800	263254	Herself
762800	302361	Frances Otis
762801	316153	Cynthia
762802	84860	Nurse
762803	410020	Herself
762804	151789	Sybil
762805	135716	Violetta Damast
762805	350300	Zuster
762806	67791	Sue Ellen
762806	256504	The Player
762807	116292	Lee
762808	408191	Kate Broughton
762809	107504	Charlotte
762810	2888	Herself (Nominee)
762810	2893	Herself (Memorial Tribute)
762810	17941	Leadlady
762810	18570	Loretta Quince
762810	39692	Bessie Callahan
762810	45439	Rachel
762810	79698	Librarian
762810	80763	Elvira Parker
762810	88879	
762810	117129	Telephone Lady
762810	120544	Massive Woman
762810	126714	Lady at Police Station
762810	127528	Maeve O'Halloran
762810	130296	Spinster #2
762810	131585	The Hag
762810	131885	Mama Fratelli
762810	148344	
762810	148523	Edna
762810	154739	Matron
762810	176915	First Ragpicker
762810	176972	Landlady (Martha Dodson)
762810	186381	Eleanor Bleisch
762810	195458	Old Witch
762810	201789	Herself
762810	205658	Teacher
762810	205851	
762810	209647	Babbleaxe
762810	222711	Woman on Bus
762810	230558	Wife of crazy man
762810	230751	Taxi Driver
762810	277478	Woman with Cat
762810	289260	Major
762810	291495	Woman in shelter
762810	293028	Woman on Bus
762810	305363	Doris
762810	311744	Scott's Wife
762810	330517	Madelaine
762810	331934	Mrs. Lift
762810	348386	Battleaxe
762810	360818	Mom Umstetter
762810	363243	Rhea Childress
762810	363911	Heavy Charm
762810	382224	
762810	391453	Miss Helter
762811	136287	Angel
762812	114193	Brenda
762813	145543	
762813	311541	
762813	316879	
762814	239032	Lisa, Tracy's Classmate
762815	88894	
762815	193005	Housekeeper
762815	239673	
762815	264448	
762815	277692	
762815	297478	
762815	363744	Hilda
762816	44330	Eileen Simons
762816	71766	Felicia Rheinhardt
762816	99043	Andrea Maclean
762816	145170	Sox's agent
762816	231673	Karen Swart
762816	319753	Julia Summers
762816	388693	Victoria Vulture
762816	393971	Kate Hansen
762817	219182	Linda
762817	383208	Melody Garrison (1992-1993)
762817	389858	Susan Moore Baldwin (1978-198
762817	389867	Laura Whitmore McCallum (1989
762817	397714	Linda (1984-1986) (recurrent 
762818	53310	Dr. Silverton
762818	67911	
762818	234828	Nonnie
762818	238449	Theban Citizen
762818	406936	Vet
762819	140011	Herself/The Voice behind the 
762819	140019	Female Bar Patron
762820	152564	Alien Leader
762821	329522	Chantrellines Member
762822	50095	
762823	74029	Jenny
762823	194529	Gabrielle
762823	273276	Herself
762823	385827	Natalie Christine Day
762824	230658	Club Girl
762825	31285	
762825	45299	Mrs. Hopkins
762825	72464	Gwen
762825	119892	Mrs. Beck
762825	224025	Mrs. May Carmichael
762825	241600	Salvation Army woman
762825	279176	Edna
762825	279413	Carmel
762825	281993	Dawn
762825	341594	Margaret
762825	346216	Landlady
762825	382590	Mrs. Hopkins (1974-1977)
762825	387203	Lillian
762825	391070	Mrs. Campion
762825	401828	Mrs. Campion
762825	402197	Agnes Forster (1980)/Ettie Pa
762825	406891	Mrs. Patterson
762825	408966	Dora
762825	411809	Winnie Parsons (1980)
762826	151678	Margaretta
762826	217884	Herself
762826	365425	Kay
762827	108367	Linda Jones
762827	259214	Cadet Laverne Hooks
762827	259216	Sgt. Laverne Hooks
762827	259217	Sgt. Laverne Hooks
762827	259219	Sgt. Laverne Hooks
762827	273769	Motorcycle Cop
762827	276838	Maid
762827	385046	Regular
762828	7944	Melissa
762829	137930	Prostitute
762829	390432	Cat
762830	39141	Dee
762831	47548	Jennifer Colter
762831	60763	Sandy
762831	61764	Hannah
762831	69411	Julia
762831	74012	Sheila Wright
762831	193202	Natalie
762831	244421	Body Shot Girl
762831	257922	Real Mary Sue Parker
762832	331223	Caroline
762833	72931	Goodyear Chorus Girl
762835	320143	Herself
762835	320149	Herself
762835	407081	Herself (30 Days, Sook Jai/Ch
762837	257232	Cat
762838	204244	Alice Maxwell
762839	197362	
762840	205793	
762841	60270	Girl
762841	161505	Lady In Waiting
762842	211217	
762842	322099	Német lány
762843	388444	Herself - Participant
762844	26471	Mallory Pike
762844	269765	Young Ellen
762844	324551	Sam
762844	328247	Helen
762845	125899	Third Woman
762846	269044	Monika
762846	282248	Johanna
762847	249699	
762848	88063	Christine
762849	60732	
762849	159210	Pascale
762849	249417	
762850	7825	Wife Care-taker
762850	237316	
762850	274757	Germaine Fradel
762852	34638	Mrs. McCarthy
762852	73677	Woman in Bakery
762852	221255	Miss Kelly
762852	269045	Marta Boricki
762852	289666	Old Lady In Theatre
762852	311826	Dodge's Secretary
762852	334177	Old Woman on Bus
762853	272058	Padma
762853	301172	
762854	62725	
762854	396479	Lady
762855	134018	Young Interpreter
762855	135769	Gee Gee (Erotic Exotic)
762855	408301	Host - 'Spiritual Side'
762856	155960	
762857	357189	
762858	402154	Health Reporter
762858	410101	Host
762859	56446	
762859	107034	Jacinta
762859	218498	Gloria Huesón
762860	9692	
762860	400893	Host (1998-1999)
762861	87086	
762862	48780	Estrella (3 years old)
762862	235254	Lucía
762863	1041	
762863	22770	Julia
762863	49430	
762863	58008	
762863	58087	
762863	63983	Susana Limón
762863	68058	Cordelia
762863	68554	Bisnieta
762863	74365	
762863	96100	
762863	100519	
762863	100521	Ana
762863	118814	
762863	170067	Carmen Luisa
762863	212483	
762863	221897	Natividad
762863	226498	Alicía, madre de Miriam
762863	279271	Lucía/Sandra
762863	292746	Young Romelia
762863	294861	Valentina
762863	300732	Estela
762863	328716	Lupita
762863	339986	
762863	343193	Susana
762863	376172	Martina
762863	378373	Leticia
762863	383233	Emilia Mendoza
762863	385855	Carolina
762863	386787	
762863	393363	
762863	398801	Carolina
762863	402404	
762863	407529	
762864	401884	Herself/- Finalist
762865	318265	Lupita
762866	170478	
762866	211876	RamirezMarianita
762867	393199	Lila
762867	395332	Remedios 'Cherry' Carranza
762868	1041	
762868	74356	María Iturbide
762868	80189	Automovilista
762868	82934	
762868	95181	Fremen girl
762868	143691	
762868	145207	
762868	170053	Alejandra
762868	197444	
762868	266229	
762868	275845	Claudia
762868	322395	Clarisa Negrete
762868	339193	
762868	349661	Perla
762868	380083	Ana Valdez
762868	386016	
762868	392790	
762868	393801	
762868	395707	
762868	395857	Tania Lomelí
762868	397018	María José
762868	398230	
762868	400860	Juliana Santos (Julianita)
762868	402540	Rosa
762868	407648	Yulissa
762868	408919	Nina
762868	409683	Angela
762868	411714	Herself
762868	412184	Brenda Haro
762869	6738	Marta
762869	57714	Melibea
762869	57782	Irene
762869	73976	
762869	96314	
762869	108135	
762869	112691	
762869	148106	
762869	192980	
762869	210588	Sor Rosario del Niño Jesús/Ca
762869	221913	
762869	257423	Blanca
762869	269576	
762869	277236	
762869	296450	
762869	310038	
762869	408854	
762869	408911	
762869	409954	
762870	36667	Restaurant Client
762871	78547	
762871	219735	
762872	384519	Host (2003)
762872	386531	
762872	397019	
762872	398473	Candy
762872	410109	Co-Host (2001)
762873	70682	
762873	73065	
762873	90061	
762873	103765	
762873	226155	
762873	378037	
762873	383579	Marisa
762874	161438	
762875	326257	
762875	383174	Marcia Pontalvo
762875	400667	Gabriela Cortez (1999- )
762876	152234	Legna
762876	167801	
762876	234397	
762876	378486	
762877	215499	Chabeli
762878	96383	Congratulada Díaz
762879	75361	
762880	202298	Brugard the Barmaid
762880	265923	
762881	67700	Cora
762881	101837	
762881	235047	Sandra
762881	337461	
762882	20091	Gloria Look-Alike
762882	120722	Marisol Falcone
762882	289761	Mirabel
762883	80189	Chavo Banda La Raza
762884	351494	
762885	294010	Hija Xonxa joven
762886	22744	Virgen María (Virgin Mary)
762886	33560	Amalia
762886	71193	
762886	71281	
762886	71282	Madre de Pepita
762886	122973	Herself
762886	148164	Madre
762886	221888	Luisita
762886	242666	Tia Chus
762886	249898	
762886	252053	
762886	291611	Anunciación
762886	306707	Voz
762886	369989	Herself - Presenter: Best Edi
762886	378988	Mariló
762886	380546	
762886	387476	Mother
762886	395059	
762886	407858	
762886	412122	Lucrecia
762887	8269	
762887	86710	
762887	319510	
762888	16093	Esperanza Sánchez
762889	100405	Laura
762890	157098	Yuli
762891	351494	
762892	210868	Daughter
762893	269889	
762893	379551	Barbara
762893	386882	Rosario Vargas
762893	397592	Chantal
762893	405858	Josefa Barrios
762893	411714	Marcela Valencia
762894	70624	Chata Berta
762894	247845	Vanessa
762894	401694	Alicia
762894	405835	La China
762895	145420	
762896	376825	
762897	379118	
762897	380059	
762897	397009	Alejandra Medrano
762897	404161	Mercedes
762898	225029	
762899	255501	Elsa
762899	379896	
762899	389480	Chola
762899	396333	Jacinta
762899	402686	Marcela
762900	205369	Pepita, Ulysses' Niece
762901	59885	Miss Mexico
762902	74161	
762903	378415	
762904	233948	Chica 'Happy Birthday'
762905	244987	Angie
762906	65216	Adriana
762906	124017	Rapper Girl
762906	175076	
762906	225065	
762906	376756	Celia
762907	3455	
762907	6313	Adèle
762907	14723	
762907	29825	
762907	57468	
762907	84059	Pepita
762907	96319	
762907	99668	Susana
762907	103152	
762907	106268	
762907	108634	
762907	121254	
762907	124295	
762907	132369	Leocadia
762907	140701	Nuria
762907	163880	Herself - Presenter: Best Mak
762907	175076	Joan Collins
762907	185974	
762907	201105	Maria
762907	205019	
762907	205396	Ana Molina
762907	207653	
762907	221926	Lolo
762907	235296	Paca
762907	246871	Tía Margarita
762907	248541	María
762907	252680	
762907	268239	Elisa
762907	277398	Paca Tavora
762907	284337	Paula
762907	309961	Mirita Marcos
762907	322345	Carmen
762907	349334	Herself - Presenter: Best Fil
762907	369870	Herself - Presenter: Best Cin
762907	376671	
762907	378403	
762907	386093	Kati
762907	400795	Laura
762907	408982	
762907	412151	
762908	52966	
762908	71002	
762909	278585	
762910	40779	Marie
762911	187569	
762912	82818	
762912	174266	
762912	405984	(Philanthropy, USC)
762913	171869	
762913	172538	
762913	222067	
762913	370715	
762914	4429	Reshma
762914	98504	
762914	124209	
762914	145461	
762914	248584	Munnibai
762914	271744	
762915	176104	
762916	4410	
762916	39683	
762916	79239	
762916	89994	
762916	91471	
762916	95437	
762916	123295	
762916	123737	
762916	133612	
762916	297148	
762916	373834	
762917	297012	
762918	123295	
762919	182114	
762920	136893	
762921	28041	Moren
762922	195461	Angela
762923	184777	
762925	379937	Andréa
762925	380196	Lídia Leblon
762925	380326	Joana
762925	384992	Clara Gouveia/Clara Feitosa
762925	386142	Nina
762925	388065	Larissa
762925	388417	Host
762925	391674	Stefânia
762925	395302	Cíntia
762925	398501	Raquel De Almeida Martins
762925	400097	Malena
762925	402086	Lúcia Helena
762925	402582	Suzana Salles
762925	404834	Yara
762925	409419	Lídia Rosemberg
762926	13544	
762926	199051	Consuelo
762926	200507	Dolores
762926	253386	Andromeda
762926	279913	
762927	32089	Cheryl Morris
762928	47773	Tina
762928	107576	Teacher
762928	113927	Barrett Hopkins
762928	148416	Phyllis
762928	153094	Susie
762928	185776	Yvonne
762928	235571	Escort
762929	60332	Herself
762930	69974	Olympia
762930	108064	Nannetta
762930	220718	Blonde
762930	281977	Sophie
762931	170418	Motel Girl
762931	287407	Goddess of Fire
762932	113603	Dreems Girl #3
762932	171056	Darlene
762933	47786	Fille de cuisine
762934	78289	Train passenger (train segmen
762935	78289	Train passenger (train segmen
762936	19881	
762936	57316	Derolia the Bar Maid
762936	104003	Maddalena
762936	133043	Diana
762936	199065	Nofret
762936	217109	
762936	263626	Jeanette
762936	351515	Thea
762937	48756	
762937	81507	
762937	88588	
762937	171911	
762937	186541	
762937	195251	Predsednikova zena
762937	200794	Vera
762937	226376	Emilija Cukon
762937	227952	
762937	229570	
762937	236168	
762937	248773	
762937	261343	
762937	266213	
762937	280906	Sura
762937	289328	Vera
762937	318980	
762937	320558	
762937	338863	
762937	344265	
762937	374060	
762937	375315	
762937	375323	Ana
762937	381239	
762937	386526	Rada
762937	390388	Medicinska sestra
762937	400478	
762937	408837	
762938	356391	Une voisine
762939	306278	Girl on Road
762940	35740	Melanie
762940	67104	Manuela
762941	94304	Singer
762943	25578	Herself (testifies before HUA
762943	117246	Herself
762943	177405	Extra
762944	318218	Donut Shop Customer
762945	30425	Meg
762946	273077	Transilvania Extra
762947	32241	Otis's Girl
762948	282311	
762949	30073	
762950	73551	Usherette
762950	121649	2nd Girl
762950	128884	Village woman
762950	282463	College student
762951	366683	Masseuse
762952	140900	Hanka
762953	150672	
762954	64072	5th Maiden
762955	26613	Maid
762955	39474	
762955	43121	Arnette
762955	46168	Sally Vernon
762955	72618	Rita Bayne
762955	93593	
762955	112458	Fräulein Hertz
762955	123203	Dorothy Shelton
762955	126669	Teddy Desmond
762955	127637	
762955	128266	Girl in Bombay
762955	131055	Mary Ward
762955	143916	
762955	145878	Marian Gault
762955	150650	
762955	177405	Extra
762955	202922	Nancy
762955	227168	
762955	232035	Gypsy Dancer
762955	279457	
762955	301261	Crocodiles Rotisserie Victim
762955	319146	A Dancer
762955	319203	Kathy O'Connor
762955	329068	Jean Crawford
762955	367414	Maysie Bell
762955	385285	Herself
762956	7613	Nora
762956	110431	
762956	228660	Singing specialty
762956	239076	Sophie
762956	305076	Mildred
762956	329388	Girl
762957	334581	
762958	168446	
762959	14241	Reporter #1
762961	368122	Mute Indian Squaw
762962	304969	Themselves
762963	29441	Linda Hayden
762963	62898	Texas Girl
762963	90886	Katherine Jason
762963	126001	Herself (Playmate)
762963	126571	Stewardess
762963	142439	Amanda
762963	164213	
762963	216820	Model No. 2
762963	232231	Policewoman Sheila
762963	280432	Joanna March
762963	311530	Negli's Girl
762963	312680	Stacey Hanson
762963	333228	Nellie Winters
762963	361848	Daphne, Servant Girl
762963	385824	Sheila Hammond #2 (1971-1972)
762963	391281	Herself (1972-1973)
762964	78677	Waitress
762965	42208	Odette
762966	84807	Joan Alton
762966	289578	Scarlet
762967	131769	Receptionist
762967	199707	Lady Adam
762967	276947	
762967	382830	Barmaid
762968	380875	Hostess
762969	57208	New Coven Witch
762969	202324	Field Reporter
762970	93051	Mary
762970	113303	Chloe Milner
762970	160575	Rachel Infield
762970	299193	Debbie Bambroffe
762970	330697	Kath
762971	156528	Clarice Stoker
762971	345943	Molly
762972	119560	Liam's Mother
762973	45548	MLK Passenger
762973	117522	Sunseeker
762973	119585	Blind Woman
762973	285726	Mrs. Myrdal
762973	296972	Virginia
762973	308115	Eula
762973	360745	Willa
762973	399685	Clyta
762974	67800	Tall Girl
762974	85992	
762974	393225	Herself (Glea Girl)
762975	46285	
762976	41155	2nd Girl
762977	318775	Emma
762978	381466	Margaret Carmody #2
762979	262536	Pratt
762979	366921	Anchorwoman
762980	126673	
762980	366921	Clerk
762981	302841	Model
762982	232933	Gail
762983	33742	Amy Denver
762983	77712	Jean
762983	100131	Autograph Girl
762983	108959	Child on Sand Dune
762983	279624	Laurie
762983	314745	Cheryl
762984	141959	Klara
762984	158107	Jessica Cain
762984	194055	Mary Catherine
762984	214919	Taffy Marshall
762984	288114	Anna Witting
762984	288115	Anna Witting
762984	304368	Anna
762984	313778	Beatric Day (eldest daughter)
762984	359351	Lidia Simmons
762985	320093	
762986	266724	
762987	41281	Andrea
762989	332550	
762990	90863	Jean Williams
762990	186287	Mary Lee Johnson
762990	235095	Mary Cassidy
762990	336805	Clara
762990	363475	Bess Lane
762991	337124	
762992	11632	Disgruntled Woman
762992	132184	Stacey Stevens
762992	291495	Harpy
762992	403335	Lucy (The Casino Waitress)
762993	109445	
762993	314261	Anna
762994	335809	
762994	371538	
762995	78155	Phone Girl
762995	280895	Kovach's Maid
762995	289422	Bit Role
762995	333655	Waitress
762995	372050	Shoplifter
762996	44334	Herself
762997	82468	Judge at contest
762997	213663	Shirley
762997	242431	Secretary
762997	387309	Teresa 'Tree' Worthington, R.
762998	402012	Mrs. Tracey
762999	20475	Nurse Paxton
763000	4543	Dottie Jensen
763000	13665	Teacher's Friend
763000	58486	Polly Gunther
763000	73500	Helen (Slade's fiance)
763000	185448	Lila
763000	190193	Babs Riley
763000	198539	Kim Parker
763000	198543	Kim Parker Kettle
763000	198544	Kim Parker Kettle
763000	315481	Peg Brown
763000	346238	Viola Trengham
763000	366952	Jane
763001	528	Mishca Paradowsky
763001	4972	
763001	5268	
763001	6740	Pupé
763001	10228	
763001	14409	
763001	36502	María Bayona
763001	47043	
763001	52750	
763001	53639	
763001	55515	
763001	56989	Esmeralda
763001	57971	
763001	63408	
763001	64234	Rosaria
763001	71165	
763001	71435	Luisa Marengo
763001	73517	
763001	74148	
763001	74350	Paulina
763001	74362	
763001	74833	Nancy
763001	80279	
763001	83538	
763001	84185	
763001	88199	
763001	94704	Rosita
763001	101868	
763001	102631	Sherry
763001	102635	Amanda
763001	103433	Mercé
763001	115772	Cristina, mujer de Eduardo
763001	121965	
763001	129012	Yvonne
763001	132964	Josephine
763001	135122	
763001	139910	Piluca
763001	148016	
763001	148058	Manola
763001	156086	Herself- Presenter
763001	160136	Madeleine
763001	170076	
763001	189379	
763001	207960	
763001	212402	
763001	212490	Feli
763001	216069	
763001	218518	
763001	219313	Ana
763001	221709	
763001	225014	Carla
763001	243704	
763001	247423	Lupe
763001	252684	
763001	256719	
763001	265157	
763001	271692	
763001	275416	
763001	276560	
763001	277235	
763001	277236	
763001	278530	Carolina
763001	281597	Ana
763001	284213	
763001	285460	Mari
763001	300828	
763001	307496	Maria
763001	319514	Lidia
763001	319862	Josephine
763001	326007	
763001	332586	Begoña
763001	334687	Sonsoles
763001	339127	
763001	342137	
763001	349334	Herself - Presenter: Best Mak
763001	351997	
763001	355123	
763001	356674	Isabel
763001	369437	Herself - Presenter: Best New
763001	377168	
763001	377770	
763001	378403	
763001	380155	Rosa, Alexia's mother (2002-2
763001	380274	Paloma
763001	381692	Albina d'Abrantes
763001	385053	Host
763001	390172	
763001	393932	Nuri
763001	399505	Aurora Jané
763001	402708	
763001	402880	Host
763001	407268	
763001	408854	
763002	80481	Bar Waitress
763003	236387	Army Girl
763004	31880	Herself
763004	57119	
763004	67883	
763004	68141	
763004	95841	
763004	97127	
763004	98881	Girl in "Fantasy Woman" segme
763004	104668	
763004	109477	
763004	128853	
763004	140338	
763004	150410	
763004	165003	
763004	171085	
763004	171280	
763004	178143	
763004	213826	
763004	240797	
763004	242034	
763004	245715	
763004	246225	
763004	253482	
763004	253623	
763004	273469	
763004	280185	
763004	295813	
763004	306993	
763004	312611	
763004	314177	
763004	325220	
763004	338134	
763004	358048	
763004	361063	
763004	365323	
763004	365520	
763004	369914	
763005	37113	Jill
763005	223292	
763005	247218	Zell
763005	311645	Bea Bopper
763006	141499	Ann Bamford
763006	154351	Grace Felton
763006	185750	
763006	277535	
763006	366053	
763007	6151	Pearlie
763007	275206	May Ellen
763008	238608	Girl at Office #1
763009	108407	Herself
763011	130149	
763012	5017	Girl at Party
763012	6791	Dame #3
763012	19557	Harem girl
763012	23210	Woman on Train
763012	32352	Roxanna
763012	45617	Girl
763012	46739	Cigarette Girl
763012	56191	Mamie Russell, alias the Duch
763012	67860	
763012	80567	Belle Loper (bartender, Half 
763012	107762	Lydia Hummock
763012	113905	
763012	113907	Girl
763012	115214	Hostess
763012	121672	
763012	123240	Waitress
763012	131532	Sunbather
763012	138804	Showgirl
763012	143233	Patsy
763012	143565	Woman who sits out the dance 
763012	144447	
763012	144449	Girl
763012	146759	Woman in bed with Tubby
763012	147426	Girl
763012	147543	Girl
763012	148552	Guest
763012	150480	Mrs. Lane
763012	157886	Woman on train
763012	163221	Vicki
763012	193690	Helen Clark
763012	195190	Louisiana belle
763012	231768	Chorus girl
763012	246215	Civil Defense girl on truck
763012	262138	Model
763012	279551	Gail Chase
763012	295313	Mable De Rose
763012	296848	Lenore Jessup
763012	298002	Vera, the Spy
763012	302396	Dance Hall Girl
763012	306177	
763012	306804	Alice Preston
763012	320269	Model
763012	324383	Rocco's Girl
763012	329592	Showgirl
763012	331180	Girl in tailor shop
763012	341969	Model
763012	363430	Mrs. Howard
763012	365038	Bunnie Kean, the vamp
763012	375045	Ziegfeld Girl
763013	41930	
763013	93101	Bridesmaid
763013	100075	Tyrolean Girl
763013	133622	Actress at Party
763013	140676	
763013	183443	Hat Check Girl
763013	231925	Secretary
763013	237618	Cashier
763013	253126	Country girl
763013	285605	Girl
763013	315483	Showgirl
763013	350645	Usherette
763014	297397	Mah-Jongg Voice (North)
763014	338371	Victoria
763014	348229	Shelly
763015	42788	Dream Stranger
763016	213580	Pitti-Sing
763017	318346	Girl In Restaurant
763018	34002	Female Anchor
763018	40222	Blair
763018	62285	Officer Sandy Baker
763018	68669	Saleswoman
763018	82660	Dugan
763018	84437	Inga
763018	93056	Lena Drago
763018	105407	Liz
763018	105619	Harly Cordell
763018	114109	
763018	127325	Alexandra
763018	144978	Heather/Mary/Jessica
763018	158893	Sandra Alexander
763018	209596	Sunny
763018	267346	Dr. Leslie Piper
763018	328211	Kay
763018	332402	SWAT Team Commander
763018	334747	Laura
763018	337996	Lyra
763018	337997	Lyra
763019	86025	Marie
763019	262741	Amyak
763019	395350	Adela
763020	83856	Ruthie Saylor
763020	409795	Diane Emerson Soames #3 (1955
763021	4622	Girl
763022	126276	Girl in Car
763023	15057	The Au Pair
763023	98856	Herself
763023	98891	Herself
763023	127808	Herself
763023	235383	Photographer
763023	319460	Photographer
763023	319461	Photographer
763024	253248	Groupie
763025	108407	Herself
763025	304961	Undetermined Role
763026	72018	Pam
763026	78928	
763026	154915	Aileen Meredith
763026	214188	Annie Earnshaw
763026	215632	
763026	235655	Diana Chaice
763026	290334	Bety Andrews
763026	362066	Cpl. Joan Watts
763026	367520	Ann
763027	104337	Model
763028	181534	Ms. Alma
763029	75505	Anthea Steed
763029	347454	Clare
763030	338927	Parent
763031	313174	
763032	112645	
763032	336123	
763033	99055	Officer Serving Papers
763034	33511	Judith
763034	48325	Vera Berg
763034	93514	Merethe
763034	109123	Simon's sectretary
763034	119733	Lærerinden Else
763034	129271	Mor
763034	181152	Nurse/Sygeplejerske
763034	192641	Grete
763034	255672	
763034	293705	Brudesalonejer
763034	300976	Sekretær for bestyrelsen
763034	304393	Alice
763034	390857	Else Parsberg
763034	392322	Eva Damgaard
763034	395823	Sketch Character
763034	398967	Frk. Lind
763034	406602	Marianne Laursen
763035	372417	Judy
763037	62778	Reject Dancer
763038	393981	Anne
763039	213939	
763040	13953	Cloak Room Girl
763041	200241	Lucy
763042	308553	Herself
763043	367833	Phyllis Grant, nurse
763044	395178	Pub Singer
763045	215349	Woman
763046	54684	Jane Fliegelbaum
763047	22818	Mor til Reinert
763047	30133	Ranka
763047	98631	Ellen Stenersen
763047	139006	
763047	178435	
763047	181314	Gudrun
763047	182309	Jordmoren
763047	396828	Helga
763048	223776	Martial Arts Instructor
763049	127329	
763049	187224	Police Officer
763049	270218	
763049	328181	Jara Singh Taxiwala
763050	43174	Bobby's sister
763051	17809	
763052	254522	Female Masquerade Dancer
763053	111148	
763053	223119	
763053	243303	Un' allieva
763053	269074	
763053	348950	Grazia
763053	375015	Dora
763054	129026	Clelia
763054	339807	
763054	363292	Bit part
763055	336623	
763056	102656	
763056	132540	
763056	198938	
763056	361522	
763057	47232	Dancer
763057	372175	Dancer
763058	31906	Marie Bernard
763058	135394	
763058	136801	
763058	348612	Carol Simpson
763058	382600	Amy Matthews
763058	391880	Karen (1992-1993)
763059	33172	Rosslyn
763059	46804	Bessie Mundy
763059	78015	Francesca
763060	29745	Gabby
763061	267605	Coffee Shop Manager
763061	339440	Erica
763061	358347	Tiffany
763062	32352	Autograph Seeker
763062	40998	Tracy
763062	72230	Sue Evans
763062	120739	Hostess
763062	153134	Maria
763062	176755	Girl
763062	183792	Circus Club Cigarette Girl
763062	212196	Girl
763062	224589	Rulu of Mercury
763062	231964	Palace Maiden
763062	241846	
763062	286197	Salome girl
763062	308605	Native girl
763062	315530	Checkroom Girl
763062	329616	Angel of Death
763062	330836	Chorus girl
763063	118271	Herself
763064	115319	Herself
763064	147603	Janice Walton
763064	147604	Herself
763064	254785	Dispatcher
763064	375113	Diane
763065	5885	Sister Rogers
763065	17964	Pilar
763065	27137	Winifred Turner
763065	35604	The Girl
763065	37884	WDS Jo Morgan
763065	105539	
763065	127572	Mrs. Gilliam
763065	184105	Bernie Quinlan
763065	310532	Mrs. Thompson
763065	381799	Christine Ellis
763065	382052	WDC/WDS Josephine 'Jo' Morgan
763065	382537	Teresa
763065	383251	Marge
763065	395080	Bernie Quinlan
763065	395924	Marion II
763065	408277	Miss Atkinson
763066	55674	Graveside Mourner
763067	27168	Theresa Burnett
763067	27171	Theresa
763067	35524	Janice
763067	57489	Eve
763067	96994	Ace
763067	114642	Brenda
763067	128089	Judy, aka Girl 6
763067	135177	Arlene Russell
763067	141179	Ciao Chow Club Maitre D'
763067	170746	Inez
763067	192674	Natalie Cole
763067	200894	Doni
763067	202195	Laura
763067	229106	Lady in Car
763067	310130	Juanita Jordan
763067	310499	Wanda Blake
763067	318361	Melissa
763068	45457	
763068	126544	Dancer
763068	263283	Cryptkeeper's Daughter
763068	277010	Maggie Stone
763068	303236	Young Angela
763069	226991	Little girl
763070	147750	Diane
763070	161594	Marilyn Monroe
763070	164996	Missy
763070	260255	Suzy
763070	289772	Donna
763071	380166	Vanda
763071	392629	Renata
763072	388248	Anna
763073	252839	
763074	285675	Kazumi
763075	313787	Performer
763076	80780	
763076	265599	Heidi
763077	22907	Undetermined role
763077	39733	Mezzanine Johnson
763077	43276	Linasi
763077	68049	
763077	88566	Marian
763077	142508	Edna (Mrs. Haddock's maid)
763077	162390	Maria
763077	185130	Sally
763077	198047	Jail Matron
763077	202952	Willie
763077	216026	Savannah, the Maid
763077	234070	Gladys, Dr. Wharton's Houseke
763077	258555	Annie's neighbor
763077	298122	Maybelle
763077	321543	Liza Freeman
763077	379894	Hostess
763077	380131	Sapphire's Mama
763077	381803	Beulah (1953)
763077	396559	Louise (1955-1964)
763078	390788	Marysol
763079	90430	Beck
763080	275519	Policewoman
763081	135396	Dorothy
763082	130852	
763083	360759	Catherine Merrill
763083	364146	Alice Palgrave
763084	276781	Tina
763084	298388	Baby Martha Anderson
763084	352750	Baby Chadwick
763085	283601	Sweetlove Dancer
763086	123921	
763087	20625	Extra
763089	47860	Mamie
763089	60303	Doris Wilson
763089	119872	Gladys
763089	190087	Phoebe Selsey
763089	213327	Mrs. Fitch
763089	232082	Jenny Warwick
763089	277627	The Old Maid
763089	305485	Alice Thornby/Alice Forrest
763089	309713	
763089	329543	Joy Dean
763089	330960	Bobbie Rivers
763089	334298	Herself
763089	371330	Anne Weber
763089	387332	Lady Colefax
763090	8961	Mrs. Moffit
763090	18552	Mrs. Lorgan
763090	30224	Mrs. Uppington
763090	33579	
763090	34650	Professor's Wife
763090	44250	Hepsibah
763090	54574	Kate Dilts, passenger
763090	72239	Mrs. Winston
763090	73500	Nurse
763090	78793	Mrs. Reynolds
763090	81009	Mrs. Teaker
763090	93101	Matron
763090	111734	Lucile Upperworth
763090	116521	Mrs. Forbes
763090	121585	Mrs. South
763090	136531	
763090	140676	Woman in Hotel
763090	142873	Mrs. Stacey
763090	143634	Mrs. Uppington
763090	149382	Abigail Fairchild
763090	150347	Mrs. Taylor
763090	155917	Mrs. Clinton
763090	163264	Miss Esther Evans, Team Co-Ow
763090	163358	Mrs. Chalmers
763090	165245	Mrs. Abigail Uppington
763090	183443	Mrs. Bolton
763090	183836	Mrs. Frazier
763090	192410	Mrs. Gardiner
763090	194209	Mrs. Abigail Uppington
763090	203594	Mrs. Hammond
763090	206887	Mrs. Simpson
763090	215658	Mrs. Howe
763090	215746	Alice Kruger
763090	220911	Dowager
763090	223903	Frederick's mother
763090	234889	Miss Van Buren
763090	237584	Mrs. Uppington
763090	238983	Mrs. Blankenship
763090	240936	Hortense Dingwell
763090	244841	Mrs. Southworth
763090	262265	Mrs. Meglin
763090	277844	Woman spectator at rodeo
763090	277916	Miss Spencer
763090	287290	Myrtle, Justice's Wife
763090	292848	Mrs. Gussy
763090	296767	Mrs. Margaret Green
763090	297386	Mrs. Merryweather
763090	300145	
763090	302469	Johnstone White
763090	303379	Mrs. Frisbee
763090	305395	Mrs. Jones
763090	313118	Jane Ritchie (Glen Ritchie's 
763090	318192	Dowager in elevator
763090	323380	Mrs. French
763090	327218	Mrs. Arnold Whitmore
763090	329421	Mrs. Winthrop
763090	329538	Mrs. Vickers
763090	332107	Deborah Cranston
763090	342810	Margaret Adams
763090	343160	Housekeeper
763090	365926	Housekeeper
763090	367919	Woman in Cabinet
763090	371380	Mrs. Kellogg
763090	372093	Elderly Saleslady
763090	372139	
763090	372346	Teacher
763090	372633	Mrs. Martha Rickson
763090	397324	Mrs. Boone
763090	400527	Mrs. Nestor (1955-56)
763091	48651	Joan Raymond
763091	56749	Alice Moore
763091	75533	Alice Reed
763091	87990	Singer
763091	107699	Marcia Brooks
763091	107703	Marcie Brooks
763091	116724	Jessie Dixon
763091	120689	Peggy Grant
763091	145114	Peggy Fogarty
763091	157669	Marian McCormick
763091	158331	Mrs. Jerry Armstrong
763091	166241	Janet Urban
763091	202248	Secretary
763091	204708	Hat Check Girl
763091	224610	Marina Lamont
763091	241349	Mother
763091	242533	Nancy Lester
763091	271144	Clara Calhoun
763091	311742	Pamela Herrick
763091	322607	Diana Simpson
763091	329447	Extra
763092	105327	
763092	160483	Herself
763092	164581	Herself
763092	342216	Herself (The Honeymooners)
763092	383673	Trixie Norton (1950-52)
763092	391951	Trixie Norton
763092	391952	Trixie Norton
763092	393223	Herself (regular performer (1
763093	128429	Audrey
763093	154089	Tanya
763093	308851	Dagmar
763093	315707	Natalie
763094	298388	Baby Martha Anderson
763094	352750	Baby Chadwick
763095	135772	Deaf Woman
763096	270742	Student Driver
763097	7036	Black Woman
763097	11141	Deborah, the Washwoman
763097	12862	Mrs. Jones
763097	26606	Bessie
763097	33941	Aunt Tildy, Hendricks' Maid
763097	61578	Carrie, the Maid
763097	70384	Beulah Jackson, fast-exiting 
763097	80947	Dora
763097	94948	Woman With Sciatica
763097	118681	Mammy Two-Shoes
763097	125846	Aunt Eppie
763097	127697	Birdie
763097	127698	Birdie
763097	127699	Birdie, the housekeeper
763097	133629	Birdie Scoggins
763097	138804	Tessie
763097	144453	Birdie
763097	149382	Birdie
763097	151659	Matilda
763097	152208	Radio Voice
763097	153211	Cleaning Woman
763097	163485	Anne (Bailey family maid)
763097	164662	Mabel
763097	166697	Martha
763097	188391	Sarah
763097	190088	Cinthy
763097	192009	Asia
763097	193844	Mammy Two-Shoes
763097	200090	Sadie
763097	212214	Hyacinth
763097	213865	Evelyn
763097	221129	
763097	234029	Hilda
763097	241078	Mamie
763097	241957	Nana
763097	254488	Woman at Train Platform
763097	267635	Mammy Two-Shoes
763097	288674	Mammy Two-Shoes
763097	304755	Maid at Parkhurst's
763097	308560	Eliza
763097	327790	Aunt Gertrude
763097	329588	May (Maid)
763097	331451	Mabel
763097	348327	Black woman
763097	361681	Sophie
763097	365351	Missy
763097	380131	Madame Queen
763097	382040	Rose Kincaid (1969-1970)
763097	390577	Birdie Lee Coggins
763097	403728	Sister Sara
763097	408443	
763098	299463	Dance teacher in therapy clas
763099	229240	Mary
763100	127273	Loren
763101	365328	
763102	238983	Mrs. Worth
763103	292327	Waitress/Ticket Seller/Nurse
763104	79393	Dolores' Grandmother
763105	65953	Accident Gal
763106	26831	Hot Tub Girl #2
763106	41196	Ingrid
763106	147655	Dorreen
763107	66277	Angel Teacher
763107	367891	
763108	85182	Lucy Marsh
763109	312062	Restaurant #1
763110	261558	Snooty Woman
763110	292426	Salesgirl
763110	319181	Courtier
763111	113603	Dreems Girl #4
763112	176332	Debbie
763113	162449	Woman at Party
763114	311133	Reporter
763115	1880	Doctora
763115	31543	
763115	56077	
763115	74156	
763115	121227	
763115	193078	Nurse
763115	199478	
763115	285468	
763115	315573	
763115	397731	Josefina 'Fina' Prado Calets
763115	401912	
763115	409959	Gloria
763116	178982	
763116	379467	Eleni
763116	380493	
763116	394761	Eleni Vlahaki
763116	404378	Bia Bekou
763116	408171	Dominique 'Dodo' Caesar
763117	95684	Contralto
763117	249337	Kundry
763118	181237	Anna Jacobsen
763119	304262	Daphne
763120	43677	Mary
763120	223991	Cheryl
763120	375131	Melissa
763120	391919	Suzanne Johnstone
763120	405209	Fran Kennedy Brown (1999)
763121	297993	
763122	10320	Herself
763122	393864	Fru Franzen
763123	208775	Dancheto
763123	357560	Nadezhda
763124	20253	Angie
763125	29488	Bronwyn Smith
763125	265728	Io
763126	222931	Surfer girl
763127	201112	Lisa Armstrong
763128	389599	Herself
763129	3161	Child at the swimming school
763130	60446	Wife of school superintendent
763130	85209	Sviristinskaya
763130	95073	
763130	174116	Freken Bok (Voice)
763130	179722	
763130	198082	
763130	209276	Madame Rosa
763130	229180	
763130	236063	
763130	243986	
763130	244133	
763130	258638	Lelya
763130	268214	Mme. Loiseau
763130	293327	
763130	320483	Mother of the bride
763130	352813	Margarita Lvovich, housekeepe
763130	357445	Mrs. MacDermott
763130	375679	Stepmother
763131	80803	Woman on Escalator
763131	141141	Terri
763132	81640	
763133	279325	Helen
763134	348594	Chrystal
763135	129696	
763135	209918	Comrade Struntz
763136	218415	Additional Voice
763137	100130	British Prisoner
763138	80969	Postal Window Clerk
763138	95631	Herself (Automat featurette)
763138	264157	Wedding Guest
763138	271344	Restaurant Waitress
763138	330743	The Tortoise
763139	349575	Jessika
763140	60003	Chato's woman
763141	4003	Loveleen
763141	4117	Pushpa (Govind's wife)
763141	4297	Puja
763141	27388	Special Appearance (Song)
763141	27643	Kiran Malhotra
763141	109034	Suman Varma
763141	137062	
763141	152471	
763141	152500	Nita
763141	182114	Special Appearance
763141	206173	Lisa
763141	222058	Anuradha
763141	287821	Shareefa's Wife
763142	410846	Anna Saxby
763143	1729	Performer
763143	3251	Performer
763143	3252	Herself - Performer
763143	47173	Performer/Herself
763143	72032	
763143	112853	Marie Jérémit
763143	170848	Herself - Performer (performi
763143	212026	Herself/Performer
763143	221424	Presenter
763143	376098	Herself - Performer
763144	103884	
763145	88703	Prostituta
763146	67323	Nurse #1
763147	401208	
763148	382741	Celina
763148	402504	Sheila
763148	404947	Andréa
763149	215148	Miroslava's relative at Pragu
763150	396644	Estefanía
763151	84095	Rangel, Graciela
763152	36494	Carol Murphy
763153	389233	Mariela 'Pancerotti' Paredes 
763154	6756	(episode O Telhado)
763154	101265	
763154	205439	
763154	389003	
763154	393027	
763154	409428	Beth
763154	410103	Madô
763155	13531	Female Dancer
763155	44439	Frankie
763155	121524	Justine
763155	157316	Maria
763155	187186	Lorrie de Luca
763155	214123	Anita
763155	259278	Luisa
763155	273800	Hollywood Boulevard Girl
763155	385653	Maria Trent
763155	389858	Rosa Fernandez (1987)/Adela C
763156	8542	
763156	390310	
763157	117943	
763158	16845	
763158	91323	
763158	252560	
763158	328734	
763158	356671	Laura
763158	357728	
763159	124241	
763159	327326	
763160	83551	
763160	287890	
763161	250887	Singing Song
763162	97561	
763162	180217	Madamchik
763162	226190	
763162	227066	Evelin
763162	243894	Klara
763162	251315	Emiliya
763162	304458	Saneva
763162	355994	Lyuba
763162	398895	
763162	398896	
763162	401062	
763163	1400	
763164	378731	Judith
763165	396005	Gaby Deslys
763166	230385	Westport Airport girl
763168	208813	
763168	381504	Lulu Bédard
763169	160421	Female Refugee 4
763170	349125	Wikhoein's Mother
763171	407646	Reporter
763172	105352	
763172	222473	Anne Page
763172	388582	Inka Storm
763173	24280	
763173	27470	
763173	29865	Elokeshi
763173	88278	
763173	152475	
763173	165643	
763173	237096	Carlita
763173	287391	
763173	316711	(Hindi version)
763173	350383	
763173	373834	
763174	326962	
763175	3251	Presenter
763175	3252	Presenter
763175	311953	Presenter
763176	152475	Young Kajal
763176	156955	
763177	24270	Tulsi
763178	5633	Kasturi
763178	17358	Indira
763178	95399	Durga
763178	137826	
763178	164121	
763178	165600	Protima
763178	165951	Kamala
763178	166503	Lata
763178	166506	Uma
763178	174126	Maharani
763178	289139	Savitri
763179	16282	Bijali
763179	36620	
763180	59420	
763181	45814	
763181	249139	
763181	287391	
763181	373536	
763182	28744	
763182	28746	
763182	262822	
763182	288535	
763182	300210	
763182	373655	
763183	318205	
763184	85842	
763185	293277	Geeta's stepmother
763186	227812	Ganga
763186	375199	
763187	13758	Varsha
763187	52569	
763187	337362	Neha
763188	173459	
763188	203230	
763188	318205	
763188	327900	
763189	88508	
763189	312483	
763190	27743	
763190	233201	
763191	135667	
763192	18785	Teliginni
763192	19634	Atul's mother
763192	28303	
763192	33229	Reba
763192	36279	
763192	36621	Bidya
763192	131947	Sucharita
763192	172545	Mokshada
763192	204795	
763192	209821	
763192	222101	Ratri
763192	227380	
763192	227633	Jayanti
763192	248699	Giribala Dutta
763192	248701	Ela
763192	263339	Hilda's Mother(Mrs. Lee)
763192	288216	Chameli
763192	317789	
763192	323986	Shanta
763192	325091	Pratima
763193	134288	Young Girl
763194	54289	La cantante Amparo
763194	69026	
763194	183282	
763194	225699	
763194	265188	
763194	355801	
763195	102653	La ragazza (segment "Filo per
763195	113097	La ragazza
763195	121338	Maria
763195	205542	Assunta Goretti
763195	264243	Luisa
763195	400142	Simona Colli
763196	86493	
763197	219797	
763197	343286	
763197	392560	
763198	9868	
763200	11034	Hostess #2
763200	208112	
763200	293401	Brian
763200	400738	Fatima dela Merced
763201	91068	Herself
763201	91069	Herself
763201	91070	Herself - Member of the Jury
763201	104776	Croatian entry (10th place)
763201	351006	Singer
763202	175593	
763202	181884	
763202	283959	Girl
763203	21722	
763203	36288	
763203	36478	
763203	98092	
763203	149634	Mother
763203	165215	Mother in law
763203	172296	
763203	175346	Kerttu's mother
763203	179625	
763203	179736	Amalia Rygseck
763203	180846	Mikail's Mother
763203	181858	
763203	184072	
763203	196525	Herrassönskä
763203	198263	Pertti's Mother
763203	214835	Anna Palmqvist
763203	214837	
763203	228154	Mother Näljänkä
763203	229543	
763203	229627	Police chief's wife
763203	246916	
763203	255762	Vetteranska
763203	271604	
763203	283959	Lady of Foudila
763203	284752	Hanna
763203	288133	
763203	294168	
763203	312455	
763203	322273	Landlady
763203	328685	
763203	343399	
763203	349735	Sisar Varma
763203	355136	
763203	371441	
763203	371657	
763203	390960	
763204	4329	
763204	12959	Uchamma
763204	13144	
763204	15819	
763204	17410	Lilly Fernandes
763204	20359	
763204	25975	
763204	58371	Channi
763204	62221	
763204	122918	
763204	124677	
763204	126943	
763204	136875	
763204	139995	
763204	152699	
763204	181112	Guddi
763204	184022	Laila
763204	186071	Pihlajanterttu
763204	198771	
763204	222054	
763204	226528	
763204	228693	Hemnalini (Hindi version)
763204	250636	
763204	250845	Pavala
763204	268598	Sita, the nurse
763204	271414	
763204	271563	
763204	287641	
763204	288665	Seema
763204	318994	
763204	319605	Gita
763204	319845	
763204	324878	
763204	367217	
763204	373804	
763205	219215	
763206	53755	Tiina
763206	198609	
763207	259661	
763208	188453	Opening Sequence Girl
763209	214112	Erno
763209	269092	
763210	2149	Candy Lane
763211	134529	Mildred Midley
763212	360066	
763213	97023	Avril
763214	10562	
763214	29922	The old maid
763214	31600	Aunt Agatha
763214	44078	Matilda Boggs
763214	47480	Mrs. Ephraim Adamson
763214	55828	
763214	55829	
763214	55830	
763214	59600	Miller's Landlady
763214	76517	
763214	113634	Miss Weber
763214	163320	Stenographer
763214	168981	Spinster
763214	177231	Mrs. Daney
763214	178030	Bit Part
763214	187722	Nancy Scovendyke
763214	193713	Mrs. Parker
763214	195074	Lizzie Roberts
763214	209428	Hattie
763214	210876	Miss Alice Withers
763214	214452	Aggie
763214	215619	His Wife
763214	232849	Saleslady
763214	235459	Malinda
763214	251160	
763214	260200	Matilda Jenkins
763214	294582	
763214	307856	Arminta Simpkins
763214	315338	
763214	326385	Mrs. Bump, reformer
763214	331532	The Queen
763214	333317	
763214	348468	Elsa
763214	354500	Squire's Wife
763214	362236	Alvina Starlight
763214	362237	Alvina Smith
763214	362356	
763214	362751	Undetermined Role
763214	366930	Miss Alstyne
763215	31654	Diane Rovell
763215	47907	Robin Jansen
763215	81321	Maxine
763215	86952	Audrey
763215	97351	Rita Gillette
763215	103254	Janet
763215	107155	Julia
763215	157937	Joey Amos
763215	165498	Beth
763215	168586	Public Defender
763215	342925	Reporter
763215	346408	Cindy
763215	358330	Beth
763215	387524	Juliet Starr
763215	401427	Marie
763215	403490	Beth (1992)
763215	405298	Erica Ouimette (1996)
763216	67807	Jury Member
763216	70541	Mrs. Shanks
763216	85008	Mavis Dale
763216	114534	
763216	133425	Alice Challice
763216	133610	Elderly Woman
763216	143432	His Aunt
763216	149384	
763216	167642	Nina Bronson
763216	187724	Mathilde Nichols
763216	195451	Mrs. Vernon
763216	231778	Matron
763216	240457	Mrs. Burlingame
763216	286059	The Matron
763216	306810	Miss Wexley
763216	363190	Woman
763216	372145	Mrs. Leach
763216	374522	Party Guest
763217	35360	
763217	136953	Clarice Wiggins
763218	138353	Black-Eyed Susan
763218	205969	Sue
763218	291085	Nurse Peg
763218	365244	Flight Attendent
763219	329506	Mary
763220	60016	Governor's Secretary
763221	143264	Margaret Updike
763221	405209	Samantha Hindmarsh (2001)
763222	97222	Katy
763223	386236	Motoko Ogura, Satomi Yuasa, I
763224	319049	Station hand
763225	345737	Agnes Murtha
763226	200042	The Old Lady
763227	43738	Lady Margaret MacDonald
763227	264755	
763227	276907	Christine
763227	336037	Mrs. Paula Towers
763228	119484	Ticket Taker
763229	221045	Rebecca Rankin
763230	295560	Hannah
763231	31444	
763232	266596	Sheila
763233	277677	York, brother of Edward
763234	389140	Margaret (Part I: 'Starting O
763235	235407	Herself
763236	144708	Nainen montun laidalla
763238	147567	
763238	180889	
763239	100916	
763240	373938	
763241	405621	Number Girl
763242	373216	Mary Marsh
763244	231331	
763245	77986	Skin
763245	77989	Skin
763245	81256	Skin
763247	289372	Lou's date
763248	47473	Leslie
763249	108956	Party Family
763250	9996	Waitress
763250	24690	
763250	98098	
763250	141937	Dagny Kehvelin/Dagny Kaheline
763250	142721	
763250	150732	Liisa
763250	170246	Vieras #20
763250	172523	Augusta
763250	173267	
763250	175346	Maid applicant
763250	175689	
763250	175700	
763250	175759	Hilma
763250	179736	Cook
763250	184071	Taxityttö
763250	184072	Paula Sanelma Puupponen
763250	187832	Taimi Toeikkae
763250	207223	Miina
763250	213940	
763250	239445	
763250	251944	
763250	251947	young mother
763250	255763	
763250	258843	Kihlajaisvieras #3
763250	260056	Sulotar
763250	278338	
763250	284021	Manta
763250	294168	
763250	303312	Emma
763250	326641	Maid
763250	326954	
763250	334825	
763250	349735	Maj-Lisin ystävätär #2
763250	349738	Elina's sister
763250	350895	Cleaning woman
763251	407197	
763252	21729	
763253	380864	Nathalia
763254	47334	Lou's Daughter
763255	211883	Ratajová
763256	143360	
763256	149158	
763257	157580	Secretary
763257	231115	Woman in Bar
763258	197718	Betty
763259	139236	Ramada's Secretary George
763260	134517	Owens River Gang
763261	92182	
763262	177391	Hat Check Girl
763262	199272	Victory
763263	232630	High School Extra
763264	10476	
763264	14793	
763264	55959	
763264	70857	
763264	161067	Susan
763264	184877	
763264	231295	
763264	231296	
763264	250986	
763264	339858	Helena
763264	373886	
763265	190780	Amy
763266	120591	Mary-To dd Lincoln
763267	352758	Linda
763268	137258	Hollywood Girl #1
763268	262655	Paula Gates
763269	283493	Babs
763270	77759	Bartender
763271	11582	Dora Vanderbilt
763271	241029	Faith Fenwick, the Child
763271	246730	Child
763271	265264	Elsbeth
763272	127730	Falcons Dance Squad Member
763273	61954	June Gaskell
763274	338778	Streetwalker
763275	69850	Maid
763275	152208	Maid
763275	168119	Domremy peasant
763275	178332	Maid to Duke Malmunster
763275	188547	Maid
763275	193295	Kitchen Girl
763275	214961	Woman
763275	215746	Marie, second kitchen servant
763275	237618	Elevator operator
763275	257939	Woman at Dock
763275	327585	Receptionist
763275	329421	Amelia, Maid
763275	334272	
763275	342008	Maid
763276	407959	
763277	10437	Aelhswith
763277	78089	Laura Marshall
763277	108950	Fanny Robin
763277	163000	Barbara Carey
763277	175502	Amy Robsart
763277	203213	Grace Bass, Zachary's Wife
763277	273930	Silvia
763277	360771	Shirley Marlowe
763277	376835	Evelyn
763277	385220	Dounia
763277	388324	Dominique Brehaut
763277	392019	Claire Derwent/Craddock
763277	405611	Susannah
763277	405988	Fanny Garland
763277	410604	Zoe Carter (1977) Series 4
763278	192040	Miss Rorke
763279	16915	Lois Wilson
763279	60343	Gretchen Clark, Hope's Daught
763279	96674	Betty Higgins
763279	120223	Nancy
763279	132844	Susie Ann Weaver
763279	133148	Betty Higgins
763279	209651	Betty Higgins
763279	218012	Betty Higgins
763279	254270	Higgins Daughter
763279	255577	Clara
763279	275731	Julie Martin
763279	346083	Helen Smith
763280	127481	Jane Gideon
763280	256479	Anna
763281	274198	Girl In Diner
763282	8919	Susan
763282	13555	Soeur Marguerite
763282	17283	Récitante
763282	20545	La soeur du juge
763282	28769	Stepmother
763282	47195	Albine
763282	53251	Alice de Montfort
763282	74348	Fine
763282	84612	Romaine
763282	97071	
763282	135426	Mme le ministre
763282	196961	
763282	198873	La première sorcière
763282	208215	
763282	220395	Mme Jaias
763282	279634	Marie
763282	279648	L'éxaminateur au permis
763282	281960	La gardienne
763282	283884	Marina, la femme du comte Ric
763282	381628	Marie Hiquet
763282	389005	Mme de Persigny
763282	393718	
763282	408662	
763283	153547	Tyttö
763284	394236	Olga
763284	400780	Marjatta, vanhainkodin johtaj
763285	9507	Siukola's wife
763285	171009	
763285	209949	Secretary
763285	258986	Young woman
763286	240255	Dancer
763287	25204	Doctor's wife
763287	25266	Mrs Järvelainen
763287	104277	Agnes Harmelius
763287	144059	Sofia Andersson
763287	164248	Maija
763287	171439	
763287	172406	Mrs. von Heideman
763287	174477	Countess Yvonne Armborg
763287	181634	Arnold's mother
763287	213374	Party guest
763287	213376	Amelia Oljander
763287	213700	Tyra Barring
763287	214838	Maid applicant
763287	228997	Cottager
763287	236790	Nukari's wife
763287	242269	Mrs. Korskas
763287	253075	Mrs. Schmitt
763287	256880	Susanna
763287	266752	Loviisa Donnarita Haglund
763287	271637	Head nurse
763287	278349	Mrs. Karila
763287	283593	
763287	284025	Anemone Auermaa
763287	307139	Kristiina Talasti
763287	319318	Mrs. Maaheimo
763287	319328	Juror's wife
763287	321782	
763287	341793	Ilona Sjöberg-Karsta
763287	349738	Maria Westerlund
763287	354259	Fanny Aromaa
763288	341785	Kotilainen
763289	345004	
763290	175728	Dagmar
763290	236791	Annikki, Eeron morsian
763290	352169	Margareta, paronin tytär
763291	168413	
763291	190659	Eero's wife Helli
763291	252046	Leenakaisa Sukunen
763291	283145	Member of the women's auxilia
763291	284751	Irina
763291	324808	Anneli
763292	211038	Tumma rantatyttö
763293	255386	
763294	139383	
763295	14278	Kaisu Hakala
763295	18900	Ile´s classmate
763295	52121	
763295	90375	Kirsti
763295	101497	
763295	181935	Taina Salminen
763295	184108	Kaisu Hakala
763295	186148	
763295	198887	Singer
763295	201219	Various
763295	213377	Raija
763295	237155	Eija Sillanpää
763295	246562	Herself/Tarja
763295	271053	Tarja
763295	287574	Oili Lumme
763295	319302	Amor
763295	350673	Nikander's Sister (Nikanderin
763295	392287	Various characters (Season 2)
763295	394792	Seija Jaakkola (1995-1999)
763295	396030	Elma
763295	397748	Elisa
763295	398919	
763295	400690	Helena
763295	401132	
763295	401477	Riitta Salo-Belowsky
763295	402792	Tarja, nakkikioskin myyjä
763295	404781	Venla
763295	409042	Olga Kalmanova
763296	83087	
763297	387958	Herself
763298	29150	The Documentarian
763298	178217	Josie
763298	185253	Techie #2
763299	23919	Herself
763299	215171	
763299	223059	Herself
763299	232021	Herself
763299	381989	Presenter
763299	382638	Herself - Reporter
763299	384084	Presenter (1980-)
763299	387889	
763299	391256	
763299	406731	Herself (Series 2) (2004)
763299	407944	Presenter
763299	407949	Host
763300	269109	la portinaia
763301	90832	Aaf de Meeuw
763302	104249	La petite fille
763303	178637	Frau Weber
763304	66397	
763305	56929	Livia, madre di Margherita
763305	113709	Elisabette/Elisa
763305	186041	Lady Helena
763305	255115	
763305	260075	Anna
763305	262405	Susanna Papi
763305	338681	Raffaella
763305	349422	Ilaria
763305	353142	Leonetta
763305	355612	Chiara/Vittoria
763305	377087	Ana
763305	380991	Laura (Teil 3)
763306	4503	Anjali/Nandini
763306	81995	Radhika
763306	162695	Payal
763306	187224	Mannewali
763306	201041	Sanjana
763306	207536	Aanchal
763307	254410	
763308	86678	
763308	172920	Annabi
763309	172920	Old Woman
763310	271794	Kaveri
763311	271771	
763312	288660	
763313	202135	
763313	250490	
763314	41186	Candi Graham
763315	250766	
763316	11446	Mary
763317	6380	
763318	354377	Lene
763319	34595	Beate
763320	105216	Customer in Salon
763321	248799	
763322	271584	Call girl
763323	109308	
763324	2161	Beautiful Girl #5
763325	134225	Malini
763325	138929	
763325	152453	Kamna Pui
763325	262832	Surekha
763325	327001	Maid
763326	187053	Mira
763327	118824	
763328	98800	Bazaar Dancer
763329	326648	
763330	204082	
763332	4680	Jennifer
763332	117808	Elizabeth
763332	363025	Cookie
763333	125617	
763333	269743	
763333	371423	Mina
763334	32052	Shopper
763334	40334	Mom
763334	81055	Mrs. Greene
763334	110180	Allison Shoop
763334	147668	Secretary
763334	186433	Dolly
763334	196063	Colonic Nurse
763334	207681	Geraldine Haft
763334	212238	Estelle
763334	230124	Judge Peters
763334	245249	Sylvia
763334	281339	Neighbor
763334	330146	Red Cross Worker
763335	205717	Mme Dora
763336	377253	Girl visiting
763337	281916	Madame Bartolo
763338	376972	Clémentine Patché
763339	95965	
763340	122183	Marion
763341	9370	Gitta
763341	23345	Daniela
763341	246203	Erdödyová
763341	262657	Matka
763341	305812	
763341	317315	Sasa
763341	322675	Eva
763341	324827	Ila Královná
763341	342062	
763342	2723	Graduate student
763342	302748	Punching Girl
763343	87802	Young Girl (Gina)
763344	278647	Skateboard Girl
763345	99422	Sofia
763345	142732	Eva
763345	171581	Anne
763345	182531	Åsa
763345	192827	Pernilla
763345	224503	Christina
763345	240213	Nathalie, Hanna's dark-haired
763345	293101	
763345	341202	Morsan, Tina
763345	386175	
763345	391463	
763345	393578	Victoria
763345	397294	Zina Zahedi
763345	399797	Vanessa
763345	400308	Yolanda Hatzimitakos, nurse
763345	407489	Louise
763346	108363	Herself
763347	108363	Herself
763348	269892	Aborigine
763349	376218	
763350	52804	Kohi
763351	157562	Susan Kidwell
763351	206267	Priscilla Keith
763351	380713	Maggie Crawford Andropoulos (
763351	382224	Senater Baker's Wife
763351	397288	Student (1969-1971)
763351	400236	Faith Kipling (1979-1980)
763352	172703	Little Girl
763353	62415	Sharon
763354	378659	Herself (2002-2003)
763355	323966	Guest Starring
763356	402	
763356	251635	
763356	293800	
763356	322555	
763357	189617	
763357	205594	Kathl
763357	275606	
763357	366540	
763358	192064	Kathleen O'Reilly
763358	379612	
763358	383426	Ranger Craig
763358	385120	
763358	388792	
763358	408161	Pumyra
763359	37867	Bitch 1
763360	359543	Leanora
763361	57654	Tony's Mother
763361	157720	Mimmy
763361	207280	Maid
763361	328458	Mrs. Hoskins
763362	401988	
763363	6249	Herself
763363	91920	Herself
763363	136128	Herself
763363	179420	Herself
763363	209683	Herself
763363	233829	Judge
763363	251040	Herself
763363	276237	Herself
763363	298127	Herself
763363	345857	Herself
763363	380391	Herself (1993)
763363	404157	Herself
763364	107856	
763365	266366	
763366	335298	Anya
763367	254112	
763368	85740	Catarina
763368	308689	Elisabeth I
763368	377940	La Princesse Laoula
763369	237315	L'hôtesse Ebony
763370	301984	Sheila
763371	88376	Cliente boucher
763372	317953	The Commissioner's guest
763373	214317	
763374	128024	
763374	342129	Adelina
763375	381740	Host
763375	396505	Presenter (1995-2001)
763375	410883	Field Reporter (1996-1998)
763376	156038	
763376	169542	
763376	180445	Helena Halme
763376	237241	Katriina Häkkinen, "Kati", Jo
763376	265668	
763376	404201	Erja
763377	314837	Bartender in Fairmont
763378	5440	Girl on Plane
763378	46270	Woman Fan
763378	154446	Librarian
763378	185835	Female Bartender
763378	330595	White House Operator #1
763379	298119	Diva Model
763380	279747	Julie, as a young girl
763381	279747	Virgie
763382	110666	
763383	386728	
763383	396718	
763384	104084	
763385	61345	
763386	246482	Angele
763387	133333	Female Student
763389	101429	Lavatory attendant
763390	78217	Seminar Girl
763390	130350	Park Player
763390	192254	Zoo Girl
763390	223918	Neighborhood Girl
763390	264068	Beach Player
763390	270622	Counter Girl
763390	271003	Sister
763390	311428	Apartment Dweller
763390	343045	Neighborhood Kid
763390	366072	Student
763391	40148	Receptionist
763391	222831	Press Member at Muriel's wedd
763391	305035	Miranda
763392	55477	Twin #1
763393	131473	Barfed on Lady
763394	48128	Märta
763394	115383	Beda
763394	116018	Telephone operator
763394	116454	Lotta Holmqvist
763394	174079	Guest at Karin's party
763394	324807	Model
763394	342311	Britta Wesslén
763394	377432	Astrid
763395	302283	Sim
763395	302288	Child Voice Talent
763396	145490	
763396	230191	Bettina
763396	254436	Nicole Schulz
763396	259634	
763397	333517	Coffee shop waitress
763398	269348	Catherine the Great
763399	161219	Narrator
763399	408395	Herself - Entertainment Corre
763400	332209	Mother de Gonzague
763401	308039	
763402	129055	Hospital Nurse
763403	65394	Gina
763403	117118	Missy Ross
763403	184829	Rhonda
763403	192403	Jamie
763403	224342	
763403	249449	Gina
763403	293192	Naomi
763403	343189	Amy
763403	347180	Second Officer
763403	355352	Zoe
763404	32044	Student
763404	235052	Receptionist
763404	245275	Hospital Receptionist
763404	296543	Telephone Operator
763405	3690	Herself
763405	7175	Zana
763405	108786	Uncredited
763405	116767	Salesgirl
763405	123382	Uncredited
763405	146114	
763405	146285	Pretty lady in the car
763405	176237	Uncredited
763405	248456	Marcia Van Wyck
763405	267160	Uncredited
763405	342484	
763405	361861	Uncredited
763406	90207	Kitri's Friend
763407	219874	Esta Friedman
763408	98282	Gabi
763408	265984	Hanni Fischer
763408	296368	Hedwig Zirngiebl
763408	303717	Hildegard Kurz
763408	352339	Monika
763408	375165	Margarete Bammerl
763409	229186	
763410	246335	Mrs. Doyle
763410	268840	Woman
763410	344683	
763411	359311	Jay's Daughter
763412	97438	Edelweiss Pirate girls
763413	17556	
763413	164118	
763413	257136	Natusya, a beginning actress
763413	265640	
763413	303176	Marie
763413	341326	
763413	357410	Erna
763413	381227	Rahil Dallet
763413	401686	Debora
763414	375177	
763415	51724	Effie
763415	84486	Old Woman in Line
763415	243436	Old Lady
763416	4832	
763416	119692	
763416	121066	Wife with Dog
763416	206559	erste Schwester
763416	259445	
763416	259493	
763416	259500	
763416	259586	
763416	259595	
763416	259600	
763416	259641	Gertrud Reichenbach
763416	259666	
763416	312118	Vera Stenger
763416	347614	
763417	76805	
763418	351549	La femme au chien
763419	186735	Janna
763419	242777	Lotte Rohrer
763419	282162	Thekla
763419	325385	Renata Lang
763419	325471	Dr. Renate Lang
763419	325510	Dr. Renata Lang
763419	325591	Renata Lang
763419	325762	Dr. Renata Lang
763419	325763	Dr. Lang
763419	325769	
763419	325904	Dr. Renata Lang
763419	376382	Ulrike
763419	376416	Vera Kudelski
763419	386637	Marianne Hubinger
763419	389618	Dr. Anna Hellwig
763419	400304	Dr. Virginia Moll
763419	405805	Alexandra Gebhart
763420	10378	Aise
763421	311923	Women's Shelter Extra
763422	34666	Miss Agnes, the Shih Tzu
763423	99055	Prison Guard #2
763424	50153	
763424	84808	
763424	84809	
763424	115062	Exotic Girl in Ming's Bedcham
763424	379559	
763424	399377	Herself (Spanish candidate)
763424	404888	Young Rosemunde
763425	381253	Herself
763426	87904	
763426	383621	Biba
763426	408381	Rosa
763427	17932	Rapariga na Festa
763428	260266	Flashback Woman
763429	202428	Carmen
763430	211021	
763432	13061	
763432	123750	
763432	125682	
763432	251723	
763432	265211	
763432	277321	
763432	307215	
763432	345895	Donna Cecilia
763432	356607	
763432	377095	
763432	379101	Princesa Isabel
763432	380777	Clô Hayala
763432	381144	Martha Frey Gama
763432	387732	Berta
763432	390658	Débora
763432	393464	Maria
763432	393784	
763432	396036	Renata Dumont
763432	396938	Lola
763432	400838	Aurora
763432	401197	
763432	402371	Francesca Ferreto
763432	402593	Queen Valentine
763432	403032	Lupe
763432	403219	Princesa Isabel
763434	24201	Marie
763435	232939	Shotsi
763436	52558	Tanya
763436	195898	Matt Kutu's P.A.
763436	282921	Rata
763436	390630	Hine
763436	405209	Nurse Te Hana Hudson (2001-20
763437	24323	
763437	64132	
763437	97144	
763437	97145	
763437	110984	
763437	124590	
763437	157951	
763437	183007	Batrana
763437	183019	
763437	288336	
763438	24326	
763439	212051	Bank Customer
763440	86702	Herself
763441	269892	Aborigine
763442	333058	Mt. Hope Housegirl
763443	3519	Erzebet-Beta
763443	6165	
763443	24715	Fazekas Lili
763443	35027	
763443	35493	Tamia
763443	36533	
763443	52976	Mrs. Mendel
763443	72089	
763443	74776	
763443	88446	
763443	94219	
763443	132044	Miki Miki's Mother
763443	133188	Rozi
763443	134903	Rahel (Rachel Maria Ginzburg)
763443	137289	
763443	147567	
763443	156764	
763443	162753	Krstovicka
763443	163052	
763443	166972	
763443	182239	Marina
763443	187980	
763443	192895	Isabela
763443	199936	Zena u tramvaju
763443	211036	Zrinyiné
763443	212458	Baba Sera
763443	212459	
763443	214496	
763443	227952	
763443	244226	
763443	244227	Ilonka Petrovic
763443	289906	Girl
763443	290545	Nebatja
763443	294156	
763443	311140	Cistacica
763443	313018	
763443	340094	Margita Kovac
763443	351322	Pokerasica
763443	355996	Zorica
763443	357555	Woman
763443	373493	
763443	373764	Tereza
763443	374038	
763443	374452	
763443	377126	Irénke, a titkárnõ
763443	377134	Bauerné
763443	377768	Aranka, titkárnõ
763443	381061	Eva
763443	382430	Leposava Ciganovic
763443	382431	Leposava Ciganovic
763443	390388	
763443	395832	Rozika... Miloradova cimerka
763443	398926	
763443	399006	
763443	400405	
763443	401749	
763443	401927	Erzebet-Beta Stamenkovic
763443	401928	Erzebet Beta Stamenkovic
763443	405506	Zora
763443	406315	Smiljka Miljkovic
763443	406316	Smiljka Miljkovic
763443	410452	Mrs Kraus
763444	52201	
763444	80552	April
763444	80748	Waitress
763444	198489	Sheila Evans
763444	259284	Reporter
763444	313068	Karen
763444	319532	
763444	340738	
763445	304821	Reporter
763445	316667	
763446	407648	Dorita
763447	139967	Robbie's Coworker
763448	205859	Zizi
763449	249631	Lisa
763449	321975	Darla Winston
763449	326389	Tanya
763449	393318	
763449	410462	Jenny Eriksson
763450	47374	Dance Group Leader
763450	85110	
763450	113920	Cafe Extra
763450	142579	Themselves
763450	147825	Herself
763450	194450	
763450	244778	
763450	280474	
763450	299717	
763450	375094	
763451	149486	
763451	289894	Bessie
763451	316522	Elvira
763452	23193	
763452	89713	Dancer
763452	98785	Linda Corina
763452	115382	Dancer
763452	198388	Dancer
763452	303666	Carmencita
763453	30730	
763454	138915	Binchen
763455	225683	Nuka
763455	294066	Lone
763456	149198	Girl in Card Store
763457	40838	Woman dancing with Henry
763458	377342	Anja
763459	247526	Hella
763459	262954	Polly
763460	170771	Giant Woman
763461	268540	Jasmin
763462	126104	Mish
763463	101699	Maria
763464	261281	Julie Kenner/Bobbie King
763465	250701	
763466	120528	Dancer
763467	11992	Sanna's mother
763467	32379	Policewoman
763467	147003	Mari
763467	197808	Dansbandet Dannez
763467	239474	Ann-Sofie
763467	311933	Ingrid
763467	333049	Julia
763467	354426	Stina
763467	357612	Therapist No. 1
763467	393273	Sanna Nyberg
763467	396345	Hedvig de la Gardie
763467	399850	Sussie Rydberg (5 episodes 20
763467	400308	Linnea Spjuth, doctor (1999-)
763467	404967	Drama teacher
763467	405539	Eva Ask (2000-2001)
763467	407489	
763468	29162	Dr. Lammerts
763468	59568	Secretary
763468	92559	Zirkusdirektorin
763468	110648	Kleopatra
763468	119217	Frau Hansen
763468	137145	Frau Römer
763468	178559	
763468	179638	
763468	182747	Blanca
763468	182760	
763468	189548	Richterin
763468	189613	Francine
763468	204482	Christiane Maiwald, geb. Schi
763468	223410	Anna
763468	254353	Edeltraut Remmler
763468	254355	Edeltraut Remmler
763468	281730	Liz
763468	312746	Frau Krauss
763468	344913	Psychiaterin
763468	345890	
763468	361140	Rosi Kramer
763468	366517	Henriette
763468	376364	Eva Maria Heise
763468	380349	Margot Gärtner
763468	388246	vorsitzende Richterin
763468	391294	Lucie
763468	394903	Ada Mannheimer
763468	396757	Christiane
763468	397950	
763468	406321	
763468	412104	Eva Maria Heise (1989, 1991, 
763469	114873	Dancer: Escuela Flamenca Mati
763470	132733	
763470	344597	
763471	373699	Girl in Car
763472	145539	Valerie Breslau
763472	280665	Girl in Line
763472	391055	George Fayne (1977)
763473	2541	Herself/presenter
763473	2816	Winner for Best Performance b
763473	26525	Det. Kate Jacobs
763473	47267	
763473	71291	Herself; Clair Huxtable
763473	79611	Gladys Johnson
763473	108042	Lynne Jacobi
763473	119502	Desiree
763473	137620	Mayor Turner
763473	161324	Herself
763473	161362	Herself
763473	164992	Janice Grant
763473	175541	Herself
763473	196549	Alice Melville
763473	222781	Cassandra Hawkins
763473	228970	Herself
763473	239790	Elizabeth
763473	241148	Ma Ponk
763473	259755	Aunt Polly
763473	259775	Aunt Polly
763473	261440	Dr. Marion Hale (Psychiatrist
763473	342231	Host
763473	345828	Eliza
763473	355431	Dr. Coles
763473	360510	
763473	367055	Munchkin/Field Mouse
763473	385055	Clair Olivia Hanks Huxtable
763473	385056	Ruth Lucas
763473	395727	Brenda
763473	400236	Courtney Wright (1983-1984)
763473	404282	Felicia Dalton (1985)
763474	154817	Jessica
763475	325437	Cora
763476	230663	Cheerleader
763478	126619	Extra Talent (segment "Gett O
763479	179795	
763480	129426	Singer of 'Antonida'
763481	236072	A washerwoman
763481	266750	
763481	351346	Olga
763482	121140	
763483	323347	
763484	400373	Herself (TV-vært & Forfatter)
763485	82825	
763485	216114	
763485	253240	
763486	250551	
763487	194347	Screaming Girl
763487	222057	Simi
763488	13769	Competition Gymnast
763489	37924	Terri Lawrence
763490	5201	Kay Ford
763490	80379	Handcuffed Woman
763490	141656	Mrs. Kovach
763490	318174	Barbara
763490	390922	Nurse Janice Crane
763491	157674	Psychoanalyst Marta Krauze
763491	258541	
763492	406644	Basia, dancer
763493	95945	Village Woman
763493	106702	Aiswarya
763493	349016	Devika
763494	21359	Wife
763495	238792	
763496	21724	
763497	100011	Urkuharmoni
763498	349944	
763498	397537	Jaana Järvenheimo
763499	165803	Paula
763499	301430	
763500	398960	Herself
763501	118020	Joan
763502	7989	Kasteelvrouw
763503	74259	Susie Q, Pepper Walker's Daug
763504	183221	The Bride
763505	157785	Charlotte Anne Miller
763505	163216	Mother with questions
763505	362081	Bride
763506	281054	Actress
763507	345554	Christiane
763508	40413	Frau Langen
763508	142213	Marion
763508	397765	
763508	404462	
763509	412138	Panelist
763510	199094	Klári
763511	2283	
763511	12103	
763511	147575	Helena
763511	162021	Wife of the Ed
763511	165836	
763511	167310	Rosmery
763511	213678	
763511	239020	Jana
763511	304432	
763511	305301	Mi
763511	353949	Jana
763511	357430	
763512	97306	Lea
763513	92104	Marilyn
763513	263557	Charlotte
763513	352971	Herself
763513	380012	Herself - Finalist #6 (2003)
763514	182628	Stuepige
763514	351910	
763514	352120	Johns sekretær
763515	192659	Lena Ph
763515	341201	Mona
763516	1208	Dwayne's Sister
763517	322463	Birgit
763517	382250	Susanne Søsdal
763518	239970	Grete
763519	235615	Nancy
763520	28529	Nancy
763521	96020	Pierette
763522	266695	Hotel Guest
763523	284392	Zita Munk
763523	351910	
763523	352120	Johns sekretær
763523	405717	Helle Hansen, antikvitetsopkø
763524	124477	Herself
763525	76728	Lærerinden
763525	166752	
763526	340077	Mor
763527	177015	Jane
763528	214337	
763529	115385	Vera
763529	214220	Eva
763530	181734	Herself
763531	109041	Varvara, en tater
763531	109544	Hélène's chambermaid
763532	219879	
763532	392072	Helga Helgesen (2003)
763533	315377	Alma
763534	108538	Anna
763535	123071	Woman
763536	268558	Karina
763537	83558	Meryl
763538	307698	Louise
763539	110319	Passenger #4
763539	267642	Rita
763540	123040	Sygeplejerske
763541	52583	Kari
763541	247319	Edvarda's Friend
763541	253029	
763542	134261	
763543	385525	Lotte Henriksen
763544	46666	Trixie, the actress
763545	37033	Mrs. Stewart
763546	122214	Beautiful Girl
763547	129210	Herself - Viceborgmester
763548	137402	Tysk Tante
763549	402513	Herself
763550	294066	Angelica
763551	362381	Janet
763553	111063	Veronica
763553	330478	
763553	353499	Herself (Model)
763554	153219	Herself - Singer
763555	94336	Herself
763556	277098	Woman with Goalie
763557	98990	Redhead Hallway Siren
763557	114557	Iris Gardner
763558	196889	Stranded Motorist
763559	155638	Billa
763560	396218	The dance partner
763561	42201	Bargæst
763562	87697	Baby Doll Dancer
763563	314958	Vicar's maid
763564	67968	Herself
763564	150297	Mrs. Green
763565	203436	Chorus
763565	294883	Serse
763565	353139	Marchesa Melibea
763566	185601	Johnny's sister
763567	10841	(segment "Alien Abductee Inte
763567	10869	Dr. Winifred Perry
763568	251326	Herself
763569	351861	
763570	28946	
763570	322222	
763570	380330	Vivi
763570	387915	Aninha
763570	388565	Maria
763570	390658	Arlete
763570	396126	
763570	405451	Clotilde
763570	409003	Violeta
763571	310073	Dancer
763572	110890	Ixchel
763572	322723	Ndriky
763573	313382	Robyn's Assistant
763574	84198	Accident Victim
763574	319951	Costume Party Guest
763575	77409	
763576	12730	
763576	20692	La madre istriana
763576	28562	
763576	36460	
763576	52150	Nonna
763576	63740	La lettrice di pubblicità
763576	67686	
763576	71265	
763576	118831	
763576	127389	Caterina
763576	132993	
763576	158771	Signora Bendit
763576	197588	La contessa
763576	204593	
763576	229993	Hattie Annis
763576	234761	Director
763576	246427	
763576	255101	
763576	278896	Director
763576	319752	
763576	352231	Duchessa di mantova
763577	23267	
763577	160966	
763578	390917	Receptionist
763579	214307	
763579	375146	
763580	301022	Catharina Hellmann
763581	276437	
763581	296032	Secretary
763582	100281	
763582	107382	
763582	264522	Hélène Vion
763583	177172	Heimleiterin
763583	381692	Eva Braun
763584	59233	Zeinab
763584	285810	Zohra
763585	225135	
763586	347194	Herself
763587	388608	Eliane Bissiger
763588	152765	
763589	11545	Nikki
763589	112735	Tess
763590	3360	
763590	16817	
763590	49696	Maria
763590	56329	
763590	83080	Marlene
763590	88346	Alethea
763590	109804	Marta
763590	124558	Bianca Merusi
763590	133035	
763590	133093	Isabelle
763590	234707	
763590	243788	Christina Hoffman
763590	252654	
763590	252780	Clara Pasini
763590	269095	
763590	269457	
763590	293938	
763590	296518	Anna Coronel
763590	327488	
763590	344904	
763590	381589	
763590	397636	Sangarre
763590	400393	Margarete Barcza
763590	400407	Wanda (segment "Wanda")
763591	132568	
763591	243880	
763592	2621	
763592	176056	
763593	172445	Lida
763593	300492	
763593	374833	
763595	129215	
763595	153759	En tjenestepige/Maid
763595	315382	
763595	375096	
763596	48394	
763597	185818	
763598	159606	
763599	31189	Herself (NBC Team)
763599	126755	Paula
763599	213209	
763599	244940	Susie Wilson
763599	285008	Ange Kerry
763599	310503	
763600	329410	Jogging Lady
763601	157800	
763601	242458	Eva
763602	217096	Director's Wife
763603	32409	
763604	205531	
763605	164279	
763606	78465	Herself (performing 'Refræn',
763606	78468	Herself (performing 'Hjemme h
763606	78471	Herself (performing 'Vi taler
763606	104733	Danish entry (8th place)
763607	260501	Herself
763607	304166	
763608	218341	Sona Verma
763609	317876	Mel
763610	370851	Girl
763611	115954	Chitra
763611	125075	Mai Tim
763612	29248	Fon
763613	312819	Herself
763614	173318	Scarlett
763615	301901	Candy
763616	188453	'Likes' Girl
763617	233510	Denise
763617	395924	Jo
763618	7977	Mum
763618	89628	Maggie
763618	108314	Janice Baildon
763618	113380	Jenny
763618	153246	Olympia
763618	270646	Kathy
763618	371379	Rita
763618	387247	Sue Osman (1985-1989) Origina
763618	402743	Joyce Mooney
763618	408628	Charmaine
763619	205823	Dr. Fargo
763620	72325	Casey Sutherland
763621	345846	Susie
763622	121858	
763622	234849	
763623	13457	
763623	319729	
763624	38684	Girl Fan
763624	365560	Maggie
763625	161073	Tanya
763626	325343	Nurse at the hospital
763627	88376	Kim
763628	168964	Elisabeth
763628	282199	Hanni
763629	397138	Marguerite Richard
763630	377647	
763631	235246	Chris
763632	326061	
763633	18530	Ina Nasch-Haussmann
763633	144131	
763633	153727	
763633	257715	
763633	312892	
763633	319736	Elegante Schwäbin
763633	376411	Victoria
763633	386982	
763633	390701	
763633	404224	Marion Stangl
763633	404454	Mrs. Gerhus
763634	375166	Susanne
763635	19451	Norma
763636	134822	Singer
763637	302679	Singer
763638	51120	
763638	142274	Olga
763638	259830	Frau Blaschke
763638	301044	
763638	325936	Roswitha Reimers
763638	397914	Marianne Altenburg
763639	310197	
763639	405147	
763640	359064	T. Shirt Lady
763641	194706	Allison's Friend #3
763641	378735	Adena Stiles
763642	64864	Bar Kep Girl
763643	6005	Actor in Richard III
763643	94502	Tour guide
763644	34517	Herself
763645	11444	Editor's Wife
763645	280937	Evelyn Jerningham
763646	277676	Queen Margaret
763647	239034	Umbrella Lady
763647	355519	Mrs. Marsh
763648	121824	Theater Teacher
763648	405741	Hilda Schultz
763648	406120	Cleo's Landlady
763649	316635	Susan
763650	72542	
763651	12999	
763651	74258	Mrs. Kumalo
763651	120237	Innocentia
763651	145170	Mrs. Biteme
763651	202548	
763651	204952	Ma Mobise
763651	252294	Lili Shabulala
763651	309016	Herself
763652	226344	
763653	347128	Official's daughter
763654	124502	Extra
763655	139781	Erin Lee Peelman
763655	307604	
763656	113826	Marta Richter
763657	13535	
763658	34331	Georgs Frau
763659	45588	Harini's Father
763659	173317	
763660	207808	
763660	271500	
763661	126364	
763661	352658	Frau Richter in spe
763662	288660	
763663	15968	Bala
763663	164316	Rashmi
763663	226102	
763663	230496	
763663	329282	Meenakshi
763663	370204	Monishka Rai
763664	43313	
763666	209870	
763667	375997	Maid
763668	177182	Maja Winter
763669	326114	Claudia Seide
763670	394538	Gallery Customer
763671	42689	Nani
763672	9756	
763672	9762	
763672	10392	
763672	25594	
763672	76854	
763672	127347	
763672	140604	
763672	174905	Mother
763672	184035	
763672	200746	
763672	214340	
763672	268559	Sania
763672	285595	
763672	319791	Nagiyya
763672	322881	
763672	323680	
763673	87511	Young Maria Eugenia
763673	323961	Leonor
763674	399525	
763675	109438	Hitchhiker
763676	381821	Ensemble (1971-1973)
763677	139236	Hostess
763678	47930	Drake University Student
763679	70540	Donna Randall
763679	192726	Todd's Mom
763680	146783	Gail
763681	296778	Woman in Bar
763682	30750	Patty
763683	4323	
763683	4410	
763683	30453	
763683	39830	Eunice Dole
763683	58967	
763683	86746	
763683	142558	
763683	152475	
763683	159849	
763683	165643	
763683	173372	
763683	181515	
763683	246367	Bindu's mom Mrs. Pratap Singh
763683	344250	
763684	29023	
763684	32458	
763684	35946	
763684	45814	Sheetal's mom
763684	49316	
763684	125152	
763684	173204	
763684	174841	
763684	211277	
763684	227990	
763684	233205	
763684	270216	
763684	284978	Dance Institute Manager
763684	284980	Bhola's Mother
763684	288200	
763684	288412	
763684	293277	Ravi's mom
763684	335738	Mother
763684	348450	
763684	351113	
763684	367219	Dr. Lata
763685	76793	Asha
763686	40933	Lola
763686	98992	
763686	168291	Neneng
763686	169204	Bu Jeffry
763686	169741	Sari
763686	239925	Olga
763686	253774	Nia
763686	288376	Saskia
763686	300665	Iteung
763686	317725	
763686	327127	The Child's Mother
763686	393426	Astuti
763686	404832	
763687	13318	
763688	58542	Girl #1 at Annie Audition
763688	125160	
763689	37894	Debbie
763689	97026	Jennifer Beck
763689	315889	Pam's Mom
763689	336663	Debra
763689	368342	Ruth
763690	362588	
763691	287508	Jennifer Laughton, Inferno, F
763692	71856	Scott's Mother
763693	45756	Joyce Chambers-Broyce
763693	50227	Airport Announcer
763693	212837	Art Patron
763694	287508	Vera Stark, Lady Ivanna, Dian
763695	123737	
763695	193253	Gloria
763696	326247	Ira
763697	30513	
763697	69910	
763697	118813	Maria Owen
763698	340918	Fräulein Bruckner
763699	244467	Otje
763700	406160	Natascha Lewanowa
763702	75651	
763703	77873	
763703	91020	Katharina Schneider
763703	125057	
763703	170463	Maria
763703	226290	Junge Frau
763703	259658	Ina Kowalski
763703	259677	
763703	317499	Lucy
763703	365773	Anna
763704	409625	Anna Weigel (1994-2004)
763705	105596	Gilgreth
763706	96122	Denise
763706	244119	Conny
763706	290472	Emma
763706	334506	Jessica Spiekermann
763706	392669	Katharina
763706	406814	Susanne
763707	236837	Synchronstimme Truthahn
763707	280309	Knife-Kitti
763707	352674	
763707	387445	
763709	55404	Principal
763709	58288	
763709	189163	Mme Laclos
763709	346805	Mme Imbert
763709	357045	Kee
763710	309347	
763711	5827	Holly Smith
763711	30679	Susan
763711	122020	Jenny Robinson
763711	220312	Jenny Robinson
763711	291740	Courtney Maclaine
763711	380713	Lily Walsh Mason Snyder #3 (1
763711	390771	Wendy (1988)
763712	1379	Suffragette
763712	118725	Newscaster
763713	34403	Barbara
763714	203634	Nurse
763715	281109	
763715	290748	Brigitte
763715	354110	Hedwig Hutterer
763716	402365	
763716	404752	Lúcia
763716	408230	
763718	43883	Hot Traxx dancer
763718	94621	Dancer
763718	300180	Goddess Dancer
763718	317309	Dancer #3
763718	333856	Steerage dancer
763719	136990	Jacqueline
763719	366491	Lena
763720	24072	
763720	59559	
763720	98334	
763720	115994	Maggy
763720	119212	Marika
763720	173154	Daniela
763720	189577	Monique
763720	189804	Alexandra
763720	230154	
763720	233570	Lola
763720	269091	
763720	272609	Alexandra
763720	282279	Ilona Harczy
763720	317507	Hannelore Zibulka
763720	324785	
763720	325382	Isabel Raisch
763720	343502	
763720	352646	Evi
763720	359614	Marisa
763720	383171	
763720	390194	Nancy
763720	396753	
763720	406321	
763720	412260	Laurence
763721	28434	Susanne
763721	44826	
763721	78610	Calisto
763721	115700	Raymonde Chandebise
763721	125297	
763721	163080	Brita
763721	189661	
763721	216295	
763721	230178	Frau Staples
763721	239014	
763721	350859	Margot Hasenklein
763721	361042	Seine Frau
763721	377333	
763722	46807	One of Fu Man Chu's slaves
763723	23886	Subject of initiation ceremon
763723	24644	
763723	42170	Lucia
763723	49508	
763723	125040	Resi
763723	140266	
763723	140267	Mabel
763723	140268	Ingegrid Farmsen
763723	170675	Maja
763723	207933	Hasi
763723	324699	
763724	363025	Dee-Dee
763725	142105	
763725	184395	Dorothea Kleinert (old)
763725	325783	
763726	407537	Herself/Parihaka
763727	3047	Laurence
763728	58830	Girl at Madames house
763728	83082	Kirsten Sørensen
763728	149477	Maj/Eva
763729	34033	Sonja, Anders' mother
763729	304850	Helen
763729	392265	Various
763730	397122	Kasandra
763731	377736	Carole
763732	321597	Taylor
763733	102374	Kleines Mädchen
763734	393841	Herself (1991-1992)
763735	176934	Sara
763736	164352	Mrs. Weiss
763736	164590	Restaurant Couple
763737	11901	Marie-Eve
763737	33116	Nurse Christine
763737	119217	Verena
763737	140229	Siegrid Kothe
763737	144161	Maike Conrad
763737	156711	Sile (Bild)
763737	204415	
763737	204416	Kommissarin Hirsch
763737	240229	Linda Brömmer
763737	281734	Pamela Skermerton
763737	286575	Julchen Wollberg
763737	313668	
763737	327920	Verena
763737	334537	Annette
763737	338426	Anne König
763737	338440	Ida Becker
763737	365784	Sarah Fergusson
763737	380903	Marlene Seeler
763737	388510	Verena
763737	389286	
763737	389361	
763737	389840	Sabrina
763737	391012	Trix
763737	394086	
763737	397452	Ariane Sommer
763737	409951	Vera Meves
763737	412097	Petra Wittich
763738	228672	
763739	5036	Grace
763740	119702	
763741	4804	Cabaret Singer
763741	21403	Singer
763741	103101	Singer
763741	121051	Singer
763741	134809	Singer
763741	179611	Singer
763741	204037	Singer
763741	253944	Singer
763742	179019	Singer
763742	203403	Singer
763742	290802	Singer
763742	306405	Singer
763742	366590	Singer
763743	8657	Woman with Dog
763743	12391	
763743	73800	
763743	115884	
763743	193391	Performance Girl
763743	204496	Walter's Wife
763743	258127	Cora
763743	284794	The Swiss Ambassador's wife
763743	298764	Frieda/Trixie
763743	315768	Champagne Girl
763743	318852	Eva
763743	364885	Ini Charell
763743	364942	Reporterin
763743	369150	Sandra
763744	191502	Mother at Swing
763745	73800	
763746	380064	
763746	385070	
763746	387573	Victoria 'Vicky'
763746	389235	Luna Marelli
763746	396180	
763747	404613	Dorothy Royce (1974-1975)
763748	34291	
763749	396256	Anna
763750	211948	Nastasha Romanenko
763750	211953	Nastasha Romanenko
763750	211954	Nastasha Romanenko
763750	241955	Oyu
763750	306844	Feral, Additional Voices
763750	364558	Waitress
763751	280108	Waitress 1
763752	308840	
763753	294160	
763754	29556	TV journalist
763754	122466	Kidnapper
763754	153170	Nana
763754	154602	
763755	98592	Frk. Schwarz
763755	138036	Lilli
763755	349081	
763755	361564	Fama
763755	405717	Guldsmedeekspeditrice
763756	140019	Female Bartender at Club
763758	394060	Herself - host
763758	410358	Herself - the host
763759	292978	
763759	375741	
763760	231540	Nicki
763760	312086	Keks
763761	279709	Child's mother
763761	340120	
763762	309407	
763763	322335	Extra
763764	94330	Joëlle
763765	204134	Alberta
763766	367791	Susan Zachary
763767	396799	
763768	139359	
763769	34334	
763769	35175	Gastwirtstochter
763769	40417	Frau Wernicke
763769	76480	
763769	98135	Waltraut Wöhlers
763769	137643	Martha Kulecke
763769	182904	Frau Kuß
763769	239017	Margarete
763769	248062	Margarete Bach
763769	259562	
763769	259661	
763769	259681	
763769	275043	Helmut's wife
763769	276330	
763769	282234	Mutter
763769	290043	
763769	336543	Elfriede Watt
763769	354002	Margarete Bach
763769	361514	
763769	374625	Köchin
763769	386640	Martha Dolle
763769	389381	
763769	390186	
763769	395668	Anna
763769	410774	Mrs. Heinemann
763770	136619	Kontordame
763771	359971	Grad
763772	178370	Paula
763773	71321	
763773	141887	Johanna, Kultsin tyttökaveri
763773	153269	Anna Oleson
763773	162750	
763773	171590	Claire
763773	181709	Mrs. Begining
763773	185633	
763773	194543	
763773	211863	Blondi
763773	225234	Customer in car show
763773	341798	Sinikka, agentti
763773	349139	Myyjä baarissa
763773	349141	Naisagentti
763773	372625	Jury member
763773	393981	Rasmuksen äiti
763773	400682	Laura Pietinen
763773	409265	Tarja Salmén
763774	214844	
763775	350797	
763776	390145	Cheerleader
763777	45942	
763777	51328	Mette
763777	51329	
763777	89679	Antrin Arntjen
763777	124433	Grete Goebel
763777	153940	
763777	174215	
763777	175276	Frau Bollmann
763777	181500	
763777	182776	Doris
763777	189670	Heißenbüttelsche
763777	242458	Hanni
763777	310275	Frau Konsistorialrat Kruse
763777	338366	Hanne Knoop
763777	345917	
763777	365772	
763778	331602	Dame au chien
763779	34707	Johnson
763780	375714	Child Zombie
763781	215185	Edna Strickland (old)
763782	54834	Lanah
763783	188815	
763784	9913	Dienstmädchen Meta
763784	12832	
763784	33167	
763784	62887	Ella Lenz
763784	79167	
763784	86398	
763784	93459	
763784	93502	Frau Fleischer
763784	94301	
763784	98047	Hanneri
763784	115699	
763784	119243	Alice Bedford
763784	119266	
763784	121000	Frau Rindsfuß
763784	143808	Lotte
763784	144143	
763784	147168	
763784	156057	
763784	160269	Clara Vogel
763784	170711	Frau Berger
763784	175275	Gerry Franzen
763784	189734	
763784	208181	Frau Tigges
763784	210100	
763784	225134	
763784	234950	Andrea
763784	248398	
763784	259435	
763784	275412	
763784	282212	Molly Haase
763784	290272	
763784	293561	Mrs. Schönlein
763784	302045	
763784	310272	Frau Semmelmann
763784	326057	Roswitha
763784	347771	
763784	350884	
763784	352395	Woman on Train
763784	359635	Mrs. Mahnke
763784	361469	Maria, the maid
763784	364880	
763784	367037	Frau Hansen
763784	367139	
763784	374551	Second maid
763784	376440	
763784	388297	Frau Schölermann
763785	122198	Religious Group Member
763786	216299	Singer-Zwischen Shanghai & St
763787	231487	Ayu
763788	113975	
763789	119726	Universitätsangestellt
763790	275651	Her
763791	144321	
763792	24566	
763793	16370	Idiot girl (Durochka)
763793	89486	
763793	163931	Ivan's Mother
763794	375690	Daria Trumillio
763795	235479	Lucy Cook (Peter's daughter)
763796	182736	Magd-Margret
763796	200038	
763797	251955	Hieroja
763798	307052	
763799	341782	(episode "Toivo, rakkaus...")
763800	392072	May Halvorsen (2004-)
763800	395375	Vår, Thomas' kjæreste
763801	68505	Misty
763801	193296	Student
763801	348754	Benton
763802	213379	Blacksmith's wife
763803	27408	Viettelijätär
763804	32369	Lena Klingström
763804	32376	Lena Klingström
763804	32378	Lena Klingström
763804	32379	Lena Klingström
763804	32381	Lena Klingström
763804	32384	Lena Klingström
763804	32385	Lena Klingström
763804	32386	Lena Klingström
763804	153731	Flickan
763804	204545	
763804	322840	
763804	335363	Helena
763804	402763	Talvi
763804	403084	Andrea Melin (1998-2000)
763805	134467	Griscelda
763806	134470	Griscelda
763806	334577	Modelo
763807	365526	Woman of Goona
763808	411078	Elke Dreher
763809	325586	
763810	210079	Kate
763810	251460	Lissi Schuster
763810	259656	Ina Dörfler
763811	153788	
763812	225531	Sarah
763813	208834	Marion
763814	137222	Sarah
763815	405696	Leipzig's Girlfriend
763816	248215	Forest maiden
763817	409044	Herself, the host
763818	137746	People at the dances
763818	172406	Elisabeth von Heideman
763819	267931	Lyygia
763820	182216	Herself
763821	228997	Granny
763821	282516	Elli Jaakkola
763821	320385	Helena, Eeron äiti
763822	200880	Joan of Arc
763823	61156	Female Dancer
763823	137766	Hooker at Motel
763824	201089	Waitress at Bar de la Marine
763825	47786	
763826	198602	Student
763826	249361	
763826	254002	
763826	381245	
763826	399396	
763827	14943	Carlos' Mother
763827	23622	Maria's Mother
763827	91103	
763827	97353	Nogueira's wife
763827	126166	Malu
763827	192870	Laura Costa
763827	269199	
763827	319626	
763827	355832	Isolda
763827	381773	Neide
763827	382676	
763827	383437	Zeny
763827	383550	Madalena Aguilar
763827	383866	Antônia
763827	387424	
763827	387929	
763827	390506	Zuleika
763827	390751	Bárbara
763827	391674	Herself
763827	396337	Dinorah
763827	396810	Dete
763827	398877	Cláudia
763827	400686	
763827	402266	Teresa
763827	402928	Luzia
763827	404272	Princesa Isabel
763827	405401	Inez
763827	405810	Rachel
763827	406833	Eleonor
763827	406841	Gina
763827	406987	Majô Prado
763827	410053	Estela
763827	410375	Neide
763827	412258	Lola
763828	39138	
763829	398555	Investigator
763830	54818	Marguerite
763830	66078	Marion
763830	132857	Colette
763830	148647	Karate Client
763830	153874	Yveline
763830	218808	Dolly, Jaws' Girlfriend
763830	286327	
763830	287322	Nun at station
763830	291575	Madame Bourgoin
763830	318515	
763830	322340	
763830	340086	
763830	346525	Sylvie Brisebard
763830	346620	Maggy
763830	356519	The first woman
763830	377013	Daphné
763830	392369	La négociatrice
763830	403642	
763831	10624	Phoolan Devi
763831	14546	
763831	17855	
763831	62225	
763831	87497	La joueuse de poker
763831	243320	
763831	252028	
763831	317790	Nirmala
763832	65555	Cocinera
763834	23610	Announcer/Narrator (italian)
763835	83699	
763836	132161	Daca
763836	164029	
763836	235978	
763836	357555	
763837	136360	
763838	17820	Collègue
763839	246493	
763839	248056	Herself
763839	269492	
763839	401970	Chiara Donati Spataro
763840	14926	
763840	66414	
763840	68062	
763840	85732	
763840	111315	
763840	113245	
763840	128055	
763840	132685	
763840	145240	
763840	231696	
763840	231698	
763840	246942	
763840	262601	María del Carmen
763840	273957	
763840	296480	
763841	6378	
763841	167243	
763842	170523	
763843	20625	Extra
763844	377950	
763845	20625	Extra
763846	5477	
763846	101950	
763847	234891	
763848	142319	Mutter 2. Familie
763848	223491	Stationsschwester
763849	19238	Karine
763849	28994	Jocelyne
763849	40263	Marie
763849	201114	
763849	275688	Cecile
763849	277156	
763849	345533	Stéphanie
763849	396924	
763849	399082	Nathalie Morandy
763850	332278	Herself - stripper
763851	9624	
763851	28614	Rita Valenti
763851	94687	
763851	147065	
763851	217114	
763851	248505	
763851	295152	
763851	302771	French Maid
763851	330851	Bit
763851	331114	Madelon
763851	346823	Arlette
763851	356148	
763851	359277	French chanteuse
763851	377823	Edith Corbett
763852	218811	Dancer
763853	310739	Gina Lombardi
763854	104692	Herself
763855	79530	Candace
763856	40250	Daughter
763857	3438	
763858	2626	Herself
763858	5074	
763858	6717	Herself
763858	11654	Sam
763858	25767	Soraya
763858	34882	
763858	39744	
763858	46582	
763858	48506	Starlet
763858	60361	Galleria
763858	71289	Herself
763858	71291	Herself; Olivia Kendall
763858	72818	
763858	75191	
763858	75395	Joan
763858	88869	Charisse Dolittle
763858	92453	Charisse Dolittle
763858	95799	
763858	109564	Danielle
763858	116013	Herself
763858	123150	
763858	127827	
763858	128767	The Locket
763858	141539	
763858	150282	
763858	150341	
763858	154145	Herself
763858	160228	
763858	177074	Monique
763858	177076	Monique
763858	192187	Stymie's Girlfriend
763858	200857	
763858	210475	
763858	220209	Herself
763858	221831	Herself
763858	222490	Young Girl
763858	228970	Herself
763858	231496	Herself
763858	231536	Herself
763858	236404	Nancy
763858	240877	Herself
763858	261432	
763858	264157	Asana
763858	270640	
763858	272866	
763858	304307	
763858	310936	
763858	313292	
763858	319705	Herself
763858	326664	Herself
763858	352960	Herself
763858	358808	Herself
763858	359456	
763858	361946	
763858	365172	
763858	366825	Herself
763858	374523	Nebula Wade
763858	374525	Nebula
763858	385055	Olivia Kendall (1989-1992)
763858	388080	Herself
763858	390982	Nicole Lee (1993-1997)
763858	390998	Goldilocks
763858	392423	Herself
763858	394460	Monique
763858	396873	Chela
763858	402605	Queen (age 5)
763858	407962	Raven Baxter
763858	408848	Marcela
763860	107833	Karen at age 10
763860	294726	Girl Student #2
763861	277086	
763861	351185	
763862	2634	Mama
763862	14137	Hannele
763862	14487	Mrs. Townsend
763862	18037	Volunteer
763862	26844	Clocktower Woman
763862	72458	Dalton
763862	72850	Mrs. Mallory
763862	83463	Vera
763862	102591	Mrs. Shotwell
763862	107151	Grandma
763862	109971	Phil's Wife
763862	110319	Grey Haired Mother at Therapy
763862	113956	Tourist
763862	123703	Mrs. Water Buffalo
763862	130347	Mrs. Pauly
763862	148954	Matron
763862	158322	Booth's landlady
763862	158975	Citizenship student
763862	185281	
763862	208080	Dean
763862	214092	Dr. Isabel Armen
763862	217004	Gertrude Stein
763862	219526	Policewoman
763862	219819	Senior Lady
763862	241604	Mrs. Salvatore
763862	250546	Pre-natal Nurse
763862	261559	Matron
763862	280189	Sarah Lanka
763862	292247	Large Nurse
763862	333856	Rosalie Ida Strauss
763862	342512	Nurse No. 2 (Segment #2)
763862	379948	Inga (1988-1990)
763862	383385	Gabriela (1982)
763862	385824	Lucille (1998-2000)
763862	389858	Tessie (1986)
763862	411278	Carlotta Terranova Aiuppo (19
763863	76420	Young JoJo
763864	212242	Karen
763864	293103	Bit Part
763864	324383	Girl
763865	45232	Showgirl
763866	49069	Tummy The Sock
763868	76384	Mission Woman #2
763869	311601	Shark #1
763870	119915	
763870	150031	Michelle
763870	197751	
763870	215636	
763870	273300	
763870	306917	
763870	310908	
763870	335440	
763870	359860	
763871	111663	
763873	80650	
763874	257714	Betsy
763875	387331	Student
763876	389749	Presenter (2004-)
763877	36985	Elevator Starter
763877	343316	
763878	297754	Susan
763878	303549	Latex Nun
763879	159107	Whispering Waters
763880	107031	
763880	291613	
763880	322779	Mrs. Andreoli
763881	50919	Gossip
763881	130417	Mrs. Potter
763881	343295	Nurse
763881	354859	Miss Shirley, Bank Employee
763882	195004	Singer
763882	395302	Ivete
763882	402593	
763883	25814	Carol Dudley
763883	113343	Thea
763883	134402	Janet Grimley
763883	140994	Additional Voices
763883	232018	Various
763883	266608	Ruth Streeting
763883	282703	Herself
763883	378817	Queen Elizabeth II/Victoria '
763883	381946	Various Roles
763883	383516	(1983)
763883	385899	Kirsty Wark/Delia Smith/Nigel
763883	387064	Angie Tennant
763883	390650	Janet Grimley
763883	396206	Martinique
763883	399540	Nicky
763883	406193	Various Voices
763883	406800	Various Roles (1989-1991)
763883	411068	Herself (1988-1990)
763884	274445	Lucie
763885	8241	Coroner's Assistant
763885	61737	Checkout Lady
763885	131910	Miss Hodgins
763885	301231	Jules Berens
763885	314731	Jazz
763885	339365	Waitress
763886	225340	
763887	389061	Herself
763888	241340	New Zealand
763889	164012	
763889	386208	
763890	115688	Yolanda Kruisman
763890	235618	Mara Hofmeier
763890	294650	Seraphita
763891	242438	Laura
763891	359816	
763892	63044	Herself
763892	175171	Susan Dailey
763892	206629	Kashia
763892	210960	Linda
763892	214463	Vicki Walters
763892	404897	Herself (1975-1978)
763892	408036	Kimberly 'Kim' Zambrano (1999
763892	408897	Clarissa McCallister
763893	53760	
763893	114296	Vice President
763893	119622	Judge
763893	242929	Eddie's secretary
763895	3233	Sheila
763895	59885	Beauty Pageant Judge
763895	114642	
763895	124336	Rev. Sheila
763895	126535	Gina
763895	178138	Naomi Cross
763895	184232	
763895	197920	
763895	277442	Lenore Foxwood
763895	285739	Det. Rachel Dressler
763895	300180	Molly Abrams
763895	309477	Faith
763895	309526	Grace
763895	327625	Josephine
763895	357998	Dr. Patty Provost, Bob's Sist
763895	363931	Alma
763895	389487	Sara Gerard
763895	408270	Jocelyn 'Joss' House
763896	84078	Janine Parroz
763896	132403	
763897	18347	Sarah
763898	281496	
763899	7989	Meisje
763900	85017	
763901	383718	Marilú
763902	216406	Chavazelet
763903	214562	
763904	21667	
763904	216406	Family Representative Wife
763905	187834	Herself - Interviewster
763906	243151	Femme lavoir
763907	53897	Sophie
763909	103285	Additonal Voice
763909	113824	
763909	116053	Coke Lady
763909	269528	
763910	29746	Tanya
763911	256494	
763912	250993	
763913	382480	Micheline Dubreuil
763914	32987	
763915	387336	Erika - the Third Housemaid (
763916	4585	
763917	141748	Herself
763918	53296	Young Woman At Cafe
763919	286107	
763920	359744	Republican Bimbo
763921	385602	Gertrude
763922	224891	Madeleine
763922	268422	Isabelle
763923	66728	Anna Magnier
763923	249281	Claire
763923	309561	Madame Valbert
763924	86816	
763925	319937	Bente
763926	198530	Herself
763927	29905	Lena - 17 år
763928	389307	Benny
763929	406551	Herself - Participant
763930	342464	Sarah Polinski
763931	54634	Roni Clarke/Radio Reporter
763931	168940	Sandy Hobbes
763932	394967	Suhasi ----- nee Virani
763933	192172	Maya
763933	216485	Gayatri Shah
763934	244033	
763935	370204	Sania Singh Puri
763936	77760	Jennifer
763936	150998	Soraya
763936	164494	Ruby
763936	264137	Sabika
763936	316649	Sofia
763936	331172	Freya McAllister
763936	335053	Chandi Azu
763937	141893	Hostess
763938	388765	Herself - Medical Historian, 
763938	403845	Herself
763939	203436	Chorus
763940	124160	Information Agent
763940	223963	Kissing Couple
763941	406644	
763942	216670	Herself (interview)
763943	47356	Soloist
763943	77951	Miss Bello, Coloratura Sopran
763943	321494	First Singing Nurse
763944	176378	Molly Kitty
763945	227340	Wood Expert
763945	227345	Charleena Purcell, Radio Voic
763945	227346	Poppy Dada
763946	71483	
763946	107125	Gramma/Mable Quinnland
763946	113513	Grandmother
763947	363262	Patty
763948	65754	Tourist Mom
763948	163069	Estelle Birch
763948	284628	Corel
763949	222495	Customer at Sardi's
763949	313855	Bloomingdale's Crowd
763950	350191	Casmir
763951	365311	Mary
763952	216028	Lisa
763953	32127	Marie Galt
763953	92838	Dowager Countess of Suffolk
763953	116512	Mrs. Sidley
763953	137903	Gertrude
763953	138248	Madame Bullard
763953	166635	Jekyll's Mother
763953	233928	Mrs. Railton
763953	280803	Countess Vereberg
763953	314792	Patricia
763953	323880	Herself
763953	360202	Woman
763953	365739	Mary Fitton
763953	384783	Mrs. Donaldson
763955	78671	Herself
763956	510	BT
763956	516	BT
763956	517	BT
763956	378651	BT
763956	389870	Emma, Natasha
763957	142719	Storehouse For Love
763958	185321	Alley Scene: Old Lady
763959	156851	Edgemont Girl #6
763960	274332	Gwladys, Vicky's friend
763961	1640	Girl
763961	122653	Fritzie
763962	67481	Emma Socket
763963	321086	Company
763964	399947	Kayla McDermott (2002-2003) (
763965	387336	Jessica - the Second Housemai
763966	94488	Hortense - The Head Milliner
763967	46769	Lady in Waiting
763967	116896	
763967	207865	Party Guest
763967	249023	Pierre's Daughter
763967	286808	Guest
763967	309268	Nurse
763967	340391	
763967	345860	Brunette
763967	350645	Herself
763968	403492	Margaret
763969	311705	Herself
763970	271341	Paula
763971	21	Vice President (2004)
763971	27368	Jade
763971	289469	Medical Deputy
763971	365744	Elizabeth
763972	388791	Maddy
763973	362346	Herself
763973	382706	Herself - Presenter (1997-199
763973	382715	Presenter (2000-2002)
763973	386956	Presenter
763973	393827	Presenter
763973	405518	Herself - Newsreader (2002-)
763973	408481	Presenter (1999-)
763974	254519	Meg (London)
763974	368445	Emma
763974	394478	Assistant press officer
763975	321794	Bit Part
763976	80910	
763976	119802	
763976	385889	Archangel Doreen
763976	399379	Babs Edmonds
763976	403235	Hilary
763977	397936	Cousin Mary Owl (1970-2001) (
763979	304683	
763980	50380	
763980	291003	
763981	344652	Wrestling Card Girl
763982	219884	Marion Walton
763982	289104	Mabel
763982	291855	Lillian Maitland
763982	312024	L'Acadienne
763983	2545	Chorus girl
763984	39288	Dora Drake
763984	73816	
763984	117951	Aimee
763984	123209	
763984	134008	
763984	135793	Helen, a stowaway
763984	140506	Mary
763984	140507	Mary Selby
763984	148966	Blue Bonnet
763984	151163	
763984	159191	Mary Woods
763984	203685	
763984	210468	
763984	216917	
763984	240764	
763984	245729	Mary Winters
763984	249522	Patricia Moreland
763984	254582	Ruth Hampton
763984	257497	
763984	271851	
763984	306325	
763984	312312	
763984	319115	
763984	327757	
763984	328467	
763984	333427	Irene Laird
763984	337668	
763984	360186	
763984	361655	Eileen Nawn
763984	361832	Marge Holt
763984	365561	
763984	371024	
763984	372843	Marie Mertens
763985	45662	Indigo Girl
763985	71799	Herself (interviewed)
763985	159219	Herself
763985	190798	Performer
763986	35809	Girl in tub
763987	214934	
763988	264452	Juwanda
763988	291302	Screen Door Believer #3
763989	271855	Servant
763990	50956	Aparna
763990	86622	
763991	318933	Child
763992	297091	Annita, singing slum teen
763993	214187	Gum-chewing Girl
763994	262466	
763995	122693	Herself
763995	295017	
763996	382289	Yung, Additional Voices
763996	389464	Child 2
763998	140953	Little girl
763999	309918	Student #2
764000	192805	Mother
764001	188928	
764002	283558	Amanda
764003	190796	Lilith's Mother in Dream
764004	190796	Patient
764005	191991	Rosemary
764006	129118	Little Emily
764007	167698	Screamer
764008	352554	Slacker Poet
764009	240429	
764010	5037	Vicki Rusk
764010	42531	Clara Jones
764010	149448	Bobbi-Claire Patterson
764010	151556	Marion Smith
764010	155696	Mom Tobias
764010	194963	Mother
764010	223920	Genny
764010	230398	Shane
764010	310130	Owner's Girlfriend
764010	310728	Fran Fisher
764010	317261	Aunt Tina Little
764010	333278	Teacher
764010	352701	Annoyed Flight Attendant
764010	379828	Millicent Torkelson
764010	408584	Millicent Torkelson
764011	152453	Doctor
764012	75030	
764012	75031	
764012	82356	
764012	188034	
764012	256202	
764012	257605	
764012	326745	
764012	336495	
764012	342638	
764015	60332	Herself
764016	128772	On Air Talent WSHE 103.5 Miam
764017	50949	Bride
764017	350509	Susan
764020	240841	Speciality Dancer
764020	242941	Specialty Dancer
764021	28938	Bit Part
764021	318792	Stock company member
764022	239601	Mother Mack
764022	306397	Maiden Aunt
764023	270607	Hanna Fan
764023	275453	Protestor
764024	273083	Trollop
764025	10057	
764026	106021	
764027	291449	Pageant Girl
764028	118003	Joan Drummond
764029	358379	
764030	37672	Bandit
764031	105954	Intoxication
764031	298319	Adele
764032	10385	
764032	378023	
764033	356557	Ika
764035	129762	Gnome Maiden
764035	157771	Denise
764036	35808	
764036	177021	
764037	362426	Party Guest
764038	154182	Dancer
764038	157870	Bit
764038	175175	WAC
764038	230857	Claire
764038	315889	Interviewer
764039	92182	
764040	117575	Belle #2
764041	80771	Susan Theresa 'Sooty' Lane
764041	144858	Kathy Giannetti
764042	4641	Sue
764042	298173	Nurse
764043	191851	
764044	99413	Johanna Ray
764045	247930	
764046	411389	Willie/Mrs. Scrubbit/The Baby
764047	220906	Alicia
764048	67159	
764049	42024	Wife
764051	340109	Female Radio Voice
764052	152992	Darcy
764052	180533	Bunny in pink
764052	197922	Mary
764052	261745	Madelyn Shawcross
764053	102704	
764054	5972	Mona
764054	81010	The Elf
764054	121364	Rita
764054	176393	Waitress
764054	217486	Waittress #3
764054	351808	2nd Reporter
764056	81640	
764057	6046	Ming Vase
764058	7987	Denise Foster
764059	32564	Mademoiselle Gabrielle
764059	47318	
764059	130416	Senorita
764059	138850	Specialty singer
764059	147985	Marjorie Dean
764059	241444	Leah (singer in band)
764059	302593	Ann Lane
764059	309629	Singer in grocery store
764059	330375	Singer
764059	358453	Cafe Singer
764059	358643	Linda Martin
764061	223833	Leggy Redhead
764061	386603	Stacy Wells (1975-1977)
764061	387309	Babs Micelli (1973)
764061	404613	Donna Davis (1978)
764063	309678	Sally in Pool
764063	330108	
764064	390523	Amy Davenport (1999-2003)
764065	20690	Saima
764065	43174	Sue (Sunita) Singh
764065	86659	
764065	174401	Simran Bhargav
764065	323626	Bhuvana
764065	359934	
764066	195765	
764067	147886	Herself
764067	266104	Belle
764068	46752	Marzie
764070	358394	Miss Kate
764071	30257	Kathrin Dumont
764071	123876	
764071	333705	
764071	352692	Herself
764072	147559	Herself
764073	140112	Lucy
764074	334313	Loviray Norwood
764074	404267	Evelyn 'Eve' Lewis
764074	411802	Mamie Johnson #1 (1980-1989)
764075	103237	Baroness von Reiber
764076	357873	Jane
764077	223502	Woman in restaurant
764078	211226	Odette
764079	31090	
764079	311157	
764080	21117	Sonia
764080	26725	Aunt Hannah
764080	62988	Mrs. Dilber
764080	194528	Mrs. Bear
764080	404795	Lynn Nesbit
764080	407831	Mrs. Abrams
764081	189325	Woman in Court #1
764082	17749	Mrs. Greer
764082	223739	Aunt Beasey
764083	83561	Cheetah's Dancer
764084	177089	Valerie
764086	256926	Vanessa
764086	362261	Jessica Smalls
764087	20959	
764087	189152	Mammy Yokum
764087	248830	Peggy Martin
764087	255143	
764087	274116	
764087	345826	Topsy
764088	213577	Presumed Chorister
764089	353155	Natalie Burton
764089	355654	Una ragazza al corso di recit
764090	55122	Club Patron
764091	75724	Sarah
764092	87153	Clairette
764092	96094	
764092	160547	Armandine
764092	356376	
764093	257886	Singer
764094	645	Ola
764094	2597	Vroman's dancer
764094	35523	Playboy Playmate
764094	42705	Hooker #1
764094	203549	
764094	212712	Herself
764094	212717	Michael's Girl ('Thriller' vi
764094	232213	Dawn
764094	232229	Sable Fox
764094	331779	Michael's Girl
764094	352968	Herself
764095	162100	Fairy
764095	213588	Schoolgirl
764095	256626	Kate
764096	41930	Guest at Top Hat Nightclub
764096	253126	Reporter at reception
764096	261558	Woman
764096	411222	Regular
764097	132171	
764097	132310	
764097	164170	Geneviève Irvin/Marcelle Irvi
764097	281818	
764097	307134	
764098	368928	Child with Governess
764099	765	
764099	767	
764099	796	
764099	23961	
764099	29946	
764099	87370	
764099	144431	
764099	165924	
764099	165925	
764099	165926	
764099	243131	
764099	306908	
764099	339766	
764100	378622	Host
764100	378837	Host
764101	213190	Parolee
764102	219370	Girl in Bar
764103	29304	Doreen Richards
764103	33752	Mary
764103	44445	Mops
764103	73222	
764103	77667	Elsie
764103	96954	Typist
764103	105616	Angela Murgatroyd
764103	109047	Elsie Wainwright
764103	121502	Margery Boyd
764103	123216	Pam Riley
764103	131410	Angela
764103	143639	Telephonist
764103	144980	
764103	146051	Vera
764103	148262	Gladys Burton
764103	151197	Chris Faringdon
764103	155902	Sarah 'Low Jinks'
764103	166672	Jenifer Hale
764103	175200	Kitty Williams
764103	177574	Peggy
764103	220366	Mary Macree
764103	232820	Mary Doane
764103	239533	Sally
764103	241071	Stella Drake
764103	257986	Ann Trent
764103	272616	Odile Verdier
764103	276761	Lela Oaks
764103	280690	Eliza Dibbs
764103	282607	Girl
764103	316721	Lucy
764103	330185	Cora
764103	332766	Letty
764103	343209	Trixie
764103	350699	Iris
764103	353363	Mrs. Ambler
764103	360750	Betty Leadbetter
764103	362906	Mary
764103	367877	Vivianne Bruce
764103	372789	Kitty
764104	267255	Bartender
764106	388765	
764107	324602	Mriganayani
764108	256527	Screaming Woman
764109	340968	Molly
764110	83515	Reverend Mother
764110	154474	Keri's Mom
764111	242066	
764113	164243	Herself
764114	375016	
764115	124181	Diana
764116	363265	Julie
764117	81177	Monica
764119	248377	Kaori Shiina
764120	190577	Herself
764121	2402	Hotel Miramar Cashier
764121	235579	Church Woman
764122	192748	Confessional Dancer #7
764123	395603	Herself
764123	405767	Herself/Host
764123	406117	Herself
764123	410944	Voice of 'Cyber Lucy'
764124	406117	Herself
764125	26782	
764125	34753	
764125	202651	
764125	321014	
764126	30255	Dancer
764126	190796	Patient
764127	37375	Sam
764127	52320	Bikini Girl
764127	68382	Miz Guili-Guili
764127	128772	Talk Show Host WFTL 1400 AM F
764127	140699	Rebecca Epstein
764127	334274	Blonde Hooker
764128	44899	Chorine
764128	241444	
764128	313301	Chorine
764128	331425	Relative
764129	10724	Alice's sister
764129	213046	Beatrice Joanna
764129	224709	Czech
764129	257113	Jessie
764129	360543	
764130	314309	Chorus-Mädchen
764131	48704	Mexican Maid
764132	228232	Herself
764133	206743	
764134	23762	
764134	62296	
764134	101684	Music Hall Star
764134	155970	Loulette
764134	197062	
764134	268397	Ginette
764134	280562	Lili
764134	285081	Elise
764134	309743	
764135	18979	Patty
764135	35524	Spider Rider
764136	322240	
764137	175934	Gyatri Subedi
764138	154458	Gypsy
764139	387052	Maria
764140	215049	Latino mother
764141	406104	Gillian
764143	336117	Title song vocalist
764144	29518	Herself
764144	43787	Marie
764144	79272	Dater
764144	178196	Tara
764144	289513	Nicole
764145	51224	
764146	261321	
764146	373567	
764147	358376	Onika Harris
764147	398746	Claire Kyle #1 (2001)
764148	328045	
764149	31045	Uranus
764150	353500	Herself (Model)
764150	375827	Herself
764151	400236	Starr Manning (#2) (1998)
764152	59484	Charity
764152	131453	Jeannie's Cellmate
764152	131473	Lady in Airplane
764152	214755	Hamburger Mom
764152	267567	Sam
764152	353295	Irwin's Date
764153	134037	Jeannie Mansell
764153	169372	Maggie
764153	203297	Ursula Penhindle
764153	275294	Aunty Joan
764153	275442	Jenny's Mother
764153	312005	Janet Hill/Janet Ware
764153	316488	Molly Lowe
764153	358876	Empress Maria
764153	363544	Sally Grant
764153	378918	Herself/Various
764153	382206	Herself - Panellist
764153	396001	
764153	397142	Various (1964-1968)
764153	399816	Baroness Amanda von Pappenbur
764153	409647	Lady Fitzgibbon
764156	293149	3rd Nurse
764157	63992	Bit Part
764157	174594	
764157	209605	
764158	115509	Derval Dove
764159	350424	Dancer
764160	291232	
764161	148945	Jill
764162	297097	Eggroll's Guitar Girl
764163	11	Martha Madison
764163	2924	Herself (Memorial Tribute)
764163	10746	Duchess
764163	21297	Specialty
764163	36840	Patsy
764163	36841	Martha Bellows
764163	38034	Lulu
764163	42336	
764163	45617	Luce
764163	64161	Herself
764163	64569	Herself - Co-ringmaster
764163	67139	Daisy Schloggenheimer
764163	67159	Mable
764163	69137	Loretta
764163	91795	Liza Lou Lane
764163	109221	Patience Bingham
764163	118321	Herself
764163	129079	Letty Larkin
764163	132184	Georgia O'Hanlon
764163	142637	Betty Johnson
764163	144675	Helen Flint
764163	175111	Gloria Phelps/Barbara Phelps
764163	218330	Annabella Bonheur
764163	220333	Mary Beamish
764163	228816	Lilibelle Bolton
764163	228969	Herself
764163	230384	Mickey Hawkins
764163	233268	Herself - Singer
764163	233988	Herself
764163	254917	Foxy
764163	256085	Molly McKay
764163	256504	Berthe
764163	266917	Boss Witch
764163	277528	Emma Mazda
764163	304013	
764163	340370	Midge Miller
764163	358255	Myrtle Finch
764163	379667	Carrie Sharples (1982-1984)
764163	382958	Benita Bizarre (1970-72)
764163	389177	Herself (alternate host) (195
764163	396958	Herself/various characters
764163	397232	Agatha (1976-1977)
764164	97356	Herself
764167	227996	
764169	127674	Harpy
764170	385738	Communication Coach
764170	392405	Co Host
764171	253059	Receptionist
764172	120540	
764172	407089	Hostess
764173	281233	Bit Part
764173	364013	
764174	82517	Robbie Jean
764174	390771	Hope Bauer Spaulding #4 (1975
764174	410488	Christine Nichols
764175	323693	The Bride
764176	185946	
764177	13555	Palombe
764177	15062	Aude
764177	15258	
764177	16610	
764177	17718	
764177	28528	La secrétaire de Talmain
764177	66736	Nathalie
764177	84106	Charlotte
764177	84625	Madame Bernard
764177	85540	La veuve
764177	95276	Hermine
764177	101135	Anne, la femme de Pierre
764177	166280	Rosa Luxembourg
764177	202516	Berthe Malraux
764177	211630	Irène Flipo-Risq
764177	217943	Gouvernante de Franck
764177	222817	Melle L'Espanaye
764177	224814	Madame Leterrier
764177	235720	Marcelina
764177	248420	
764177	251532	Une fille de cuisine
764177	254600	Octavie
764177	254938	Phèdre
764177	260886	
764177	261820	Élisa Jeune/Adele
764177	266153	
764177	267015	Odile Garnier
764177	285152	
764177	287322	Woman at the Bivouac
764177	332190	
764177	339492	Cécile
764177	345238	Marie-Luisa Rodriguez
764177	345332	
764177	345434	Augustine Ancelin (episodes 1
764177	345565	Léa
764177	346719	La collègue du lycée
764177	351250	La femme fanée
764177	379805	
764177	384209	le juge Martinot
764177	387659	Cécile
764177	398054	Geneviève Béjart
764177	401972	Hortense
764177	401988	Reine
764177	402735	Lise Meitner
764177	403642	La Galigaï
764178	259880	
764179	351354	
764180	84704	
764180	259345	The Lady
764181	149258	Bamville Club Dancer
764182	5551	June Darcy
764182	35391	Sue Conway
764182	51770	Inez Almado
764182	75841	Molly Mallory
764182	82694	Mary Bushman
764182	84489	Nell Clifton
764182	112598	
764182	123211	
764182	140145	Judith Kellerd
764182	141493	The Girl
764182	186264	Molly (waitress)
764182	190536	Sally Ross
764182	193693	Ruth Harrison
764182	216974	
764182	245350	
764182	254445	Babs
764182	272763	Arline Warner
764182	280979	Caroline Fairfield
764182	305748	Bonita Barton
764182	310729	
764182	310815	Marie Tuttle
764182	340912	Molly Rankin
764182	349996	Valita
764182	350452	Lucy Bowers
764182	372776	Molly
764183	133182	
764184	13503	Herself
764184	27008	Herself
764184	34768	Herself
764184	34869	Raylene
764184	35162	
764184	36885	
764184	37225	
764184	41645	
764184	70376	
764184	71492	Dr Feelright/Carol
764184	95801	
764184	95803	
764184	97121	
764184	107093	
764184	117216	
764184	121555	
764184	128832	Herself
764184	139209	Herself
764184	154061	
764184	158590	
764184	160240	Herself
764184	184773	
764184	186129	
764184	188044	
764184	194723	
764184	195602	
764184	211183	
764184	228023	Herself
764184	255397	
764184	260173	
764184	263300	
764184	273300	
764184	273389	
764184	312709	
764184	329748	
764184	349969	
764184	360893	
764184	362746	
764184	363376	
764184	365676	Herself
764184	372522	
764185	41614	
764185	92207	Raylin
764185	110476	
764185	126109	Herself
764185	184469	Public Defender
764185	188948	Raylin
764185	228023	Herself
764185	306910	
764185	306916	
764185	353742	
764186	157849	Gusta
764186	165367	
764186	242434	Toeriste
764186	309959	Gusta
764186	382453	Frida
764186	388299	Liliane (1994-1995)
764186	412036	Charlotte (1993-1994)
764187	338311	
764187	387323	Joyce (1995-1996)
764187	388299	Carine (#2) (2002-2004)
764187	411311	Lydia (2002-2003)
764188	149114	Nadia
764189	255878	Jonathan's Secretary
764190	54026	Pilgrim: Wife of Bath
764191	375431	Monika
764192	25036	
764192	31408	
764193	342332	Michelle
764193	358477	Raver
764194	233055	Girl Cyclist
764195	36713	More Fairy Tale Folk
764196	347119	Twin, Lewis Family
764197	347119	Twin, Lewis Family
764198	274704	
764199	385299	Mrs. Conway
764200	11619	Missy Rempley
764200	80513	Jezebel
764200	270632	Beth
764201	132037	Female Gorilla
764202	344184	Sparkle
764203	49094	
764203	116325	
764203	324616	Alice
764203	377983	Malène enfant
764203	380381	Justine
764203	402074	Justine Girard
764203	404176	Justine
764204	12738	Girl in Office
764204	46426	
764204	56174	Charlene 'Charlie' Delibes
764204	90236	Kerry
764204	119552	Annie
764204	126700	Miss Zielinski
764204	127811	Alex's mother
764204	169372	Sunshine
764204	217988	Mindel Seagers
764204	218136	Lillian
764204	258269	Meg
764204	300047	Maureen O'Keefe
764204	390552	Sonya Reynolds
764204	399816	Jill Sheridan (1973)
764204	402197	Sandra Hamilton (1981)
764204	406891	Rachele
764205	155859	French Club
764206	65595	
764207	102782	
764207	252389	
764207	252402	Pet
764207	252889	Pajama Party Guest
764207	264638	
764207	296261	Party Girl
764207	355153	Brandy
764208	245055	Leola
764209	220405	La disciple
764209	284171	French Voice
764209	392367	Nathalie Bérubé
764210	319935	Lacy
764212	100198	Dr. Patricia Rosen
764212	302789	Ruth
764212	313400	Ensign Alexandria Munro
764212	313407	Brexen Ijoula
764213	134881	Dawn Farrell
764214	196287	Marie's mother
764216	161839	Sgt Jane Nicholls
764216	195835	
764216	213322	Helena
764216	222709	Ann Snow
764216	353467	Actress in 'The Rivals'
764217	2419	
764217	25479	
764217	32960	Mrs. Bartlett-Cooper
764217	34697	Mrs. Hathaway
764217	34866	The Countess of Strathcaird
764217	48004	
764217	50011	Mrs. Carrington
764217	51885	Justice of the Peace's Wife
764217	59341	Mrs. Hemingway
764217	59374	Madge Everingham
764217	64876	Madam Deborah
764217	67157	House Mother
764217	74027	Mrs. Copeley
764217	92957	Scott's Mother
764217	105640	Mrs. Lyons
764217	106887	
764217	106917	
764217	115638	Mrs. Cameron
764217	116788	Mama
764217	117695	Undetermined Role
764217	124226	Mrs. Ballantine
764217	124715	Aunt Emily
764217	124749	Aunt
764217	126068	Landlady
764217	126586	Mrs. Worthington
764217	127081	Aunt Mary Jarvis
764217	128425	Agatha Sinclair
764217	128733	Mrs. Baldwin
764217	132590	Mrs. Bledsoe
764217	138804	Elderly woman
764217	153144	Mrs. Fairfield
764217	156494	Mrs. Y
764217	183443	Chambermaid
764217	183627	Old Lady on Boat
764217	183692	Mrs. Sedgewick
764217	185464	Buck's mother
764217	189148	Priscilla Mayhew
764217	190268	Elderly Woman
764217	190497	The Mother
764217	195673	Older woman in music store
764217	195733	Mary Meyrick
764217	203596	Mrs. Clune
764217	205170	Mrs. Rollins
764217	209167	Mrs. Clarke
764217	213064	Mrs. Van Hart
764217	213453	Matron in Montage
764217	215420	Mrs. Cannell
764217	215538	Mrs. Kingsearl
764217	218019	Mrs. Hobbs
764217	241231	Granma Knight
764217	241852	Mrs. Brewster
764217	244351	Mrs. Boone
764217	277646	Mrs. Treadway
764217	285178	Mrs. Welland Riche
764217	285746	Mrs. Sewell Wright
764217	288431	Sophia
764217	289416	Mrs. Brandster
764217	293186	Mrs. Allen
764217	295284	Her mother
764217	296909	Emsy Nickerson
764217	304028	Mrs. Jackson
764217	305601	Alice's Aunt Eleen
764217	305765	Edith Wyatt
764217	312792	Mrs. Hampton
764217	313331	
764217	331711	
764217	343205	Mrs. Wainsworth
764217	358971	Mrs. Arnold
764217	360622	Mrs. Townsend
764217	361681	Old Lady at Beach
764217	362238	Mrs. Bigbee
764217	368791	
764217	372093	Dowager
764217	372145	Neighbor
764217	372411	Mrs. Blount
764218	241600	Frankie
764218	321180	Landlady
764219	50932	The Waitress
764220	76496	Young Bette
764220	224336	12th Navigational Command
764221	212993	
764222	4951	Widow McGee
764222	78156	Vera Raymond
764222	143261	Mrs. Henry Bereesford
764222	143400	Ruth Lodge
764222	153006	Mrs. John Gladding
764222	224050	Lucille Early
764222	297886	Mrs. Ramsey
764222	331879	Marie
764222	342518	Signora Monti
764222	352754	Mrs. Evelyn Grenfall
764222	365292	Joan Rudd
764223	7451	
764224	195345	Molly
764224	222570	Alicia
764224	256820	Nellie Maclean
764224	395798	Kate
764224	401540	Nellie MacLean Hall
764224	405240	Jodi Bradley
764225	316184	Kate
764225	367520	Molly Blake
764225	408582	Narrator/Flopsy/Bossy Boots (
764226	13769	Competition Gymnast
764226	224838	Teresa
764227	197394	(segment "David Lynch")
764228	343307	
764229	251190	Extra
764230	28493	Sadie Ricketts
764230	187238	Lady Meira
764230	344432	Additional Voices
764230	344463	
764231	99800	Janet Novak
764231	136554	
764231	139698	Jane
764231	166880	Cheetah Johnson
764231	175803	Sonja El Aram
764231	244397	Sultry girl
764231	296755	Ticket Clerk
764231	317536	Cora
764231	343010	Sandman's girlfriend
764231	385718	Tamar Penrose
764233	129784	Guest #1
764234	167876	Shannon Fitzgerald
764235	159691	La petite fille
764236	295213	
764237	183760	
764237	278607	Woman
764237	312042	Bit
764237	348327	Dancer
764238	262994	Bernadette
764239	185365	Villager
764240	79656	Sarah
764241	143419	
764242	235164	Dancer
764242	278481	
764242	287128	Cora
764242	404694	Hope Ames (1965-66)
764243	171694	Charity Lady
764244	6194	Emerald (Kip's girlfriend)
764244	29117	Christina
764244	31821	Lee Hunter
764244	41108	Dr. Mason's Nurse
764244	41235	Countess Townsend
764244	58645	Judy Barton
764244	64924	Kathy Kelly
764244	73475	Helen Ferguson
764244	84997	Orrie Masters
764244	94527	Ellen Hallit
764244	96861	Joan Peterson, Bourne's secre
764244	105975	Alida Bederaux's singing voic
764244	114593	Kansas Kelly
764244	115526	Marcia Paxton
764244	134675	Agnes Oglethorpe Young
764244	135854	Max Gaines
764244	138138	Carol Wilson
764244	152551	Pat Danforth
764244	160436	Zoe Carnot
764244	175162	Bettina Bowman
764244	177528	Queen Berengeria
764244	214469	Agnes
764244	231925	Companion
764244	270473	Natalie Gunther
764244	283890	Louise Adams
764244	291864	WAC guard for Erika
764244	293835	Peggy Stauton
764244	312172	Director
764244	315745	Mrs. Campbell (segment "Madem
764244	324042	Ginny Beaufort
764244	329072	Marilla Sabinas
764244	350645	Herself
764245	101036	Dancer
764246	353467	
764247	7493	Juanita
764247	19557	Slave girl
764247	19971	Mona Larson
764247	35632	Terry Larue
764247	39692	Millie
764247	52641	Nurse
764247	52659	Bubbles
764247	53731	Attorney Rogers
764247	99400	
764247	117097	Maid
764247	119799	Simone
764247	127086	Gag specialty
764247	128700	Rita
764247	144447	
764247	144905	Kitty
764247	145829	Sunshine Twin
764247	165004	Dotty
764247	168681	Matilda 'Matty' Fowler
764247	168720	Hatcheck Girl
764247	183418	Vicky
764247	188341	Mimi
764247	188542	Eloise Edgewaters
764247	190723	Ticket Girl
764247	203130	Lee (waitress)
764247	210751	Stella
764247	218849	Mildred
764247	252158	Myra
764247	264074	Maude
764247	266566	Jury foreman
764247	280497	Patsy Clark
764247	292882	Marianne Panois
764247	299163	Cigarette Girl
764247	304959	Girl
764247	306126	Woman
764247	313118	Girl
764247	315322	Nurse
764247	319040	Vivian
764247	323940	'Peaches' Barkeley
764247	330018	Lillian Sawyer
764247	336299	Woman
764247	342495	Therese 'Tess' Braden
764247	358031	Jennie
764247	360632	Newspaper librarian
764247	365316	Flossie (Phil Macy's secretar
764247	372484	Girl
764247	372524	
764248	24546	
764248	359796	Eagle Eye, an Indian Mother
764248	362626	Pearl Le Claire
764249	105266	Letter woman
764250	330830	Temporary Nurse
764250	405209	Wendy Reid (1998)
764251	42913	Circus Character
764251	362834	
764252	61700	Narrator
764252	380001	Herself
764253	245115	Eva Ruben
764254	323871	Pig/Town Mouse
764255	45726	
764255	100889	Robbie's Mother
764255	112840	Éléonore Amoretti
764255	300916	Virginia
764255	377913	Margot
764255	399816	Bev Houghton (1973)
764256	44765	Miss Birdseye
764256	51919	La dame des lavabos
764256	55877	
764256	61820	Lily Jane Bobbit
764256	63722	
764256	83270	
764256	83297	La bonne
764256	83387	
764256	113115	
764256	113228	La mère
764256	113252	La patronne du bistrot
764256	153884	Jeanne
764256	268395	
764256	269222	La mère de Paul
764256	271910	La voisine
764256	275515	La bonne de l'hôtel
764256	288298	La mère Eern
764256	294946	Joséphine
764256	309748	Mme Hermenault
764256	309749	Teacher
764256	328850	Mme des Essarts
764256	332220	Mme Grebu
764256	332221	Miss Umney
764256	332227	La tante
764256	347757	
764256	354982	
764256	396599	Cynthia (2001-)
764256	399905	Lauren O'Keefe
764257	205076	Patient
764258	4749	Christina
764258	9866	Camila
764258	30744	
764258	34217	
764258	45399	
764258	46814	
764258	49887	Angela
764258	103550	
764258	153309	
764258	171815	
764258	190650	
764258	199407	
764258	206141	
764258	207038	
764258	242343	
764258	284799	
764258	297243	
764258	306665	
764258	311542	
764258	339822	
764258	341542	Floring
764258	400738	Eidelwess Guttenberg
764259	80042	
764259	130713	Female Worker
764259	368860	Herself
764259	368861	
764260	349632	
764261	260856	Zélie
764261	377065	Rose Palureau
764262	199378	
764262	337512	Mona Lisa
764263	33581	
764263	57275	Mère Anne
764263	59094	Directrice théâtre
764263	60965	
764263	84654	Voisine
764263	111019	Corinne
764263	120984	Madame de Tourette
764263	225472	
764263	236207	La grand-mère
764263	248055	Mrs. Casalis
764263	248931	
764263	379801	Marguerite
764263	401329	Mme Louvois
764263	409530	Christine Rivière (1996-????)
764264	61226	
764264	63658	
764264	92026	
764264	112830	
764265	6060	
764265	84629	
764265	119321	Twin Sister
764265	132787	Sterling Hayden's Wife
764265	150607	
764265	170925	French Hippie
764265	203504	French Intelectual
764265	228581	Femme Fatale
764266	10307	
764266	158842	La baba
764266	251062	
764267	96026	Natasha
764267	336461	Natasha
764268	68070	Hippie Drug Addict
764268	176487	Dancer in Club
764268	274200	That dog was fierce
764269	247190	Odile
764270	2169	Chantal
764270	50174	Melody
764270	50578	
764270	56561	
764270	87290	
764270	139057	
764270	150043	
764270	184950	
764270	189366	
764270	248258	Bénédicte
764270	278543	
764270	361925	Sharon
764271	6391	Hélène
764271	20068	Examinatrice n° 3
764271	158836	
764271	251534	
764271	258279	Paulette
764271	269223	La femme de Pontcallec
764271	318515	
764271	345329	
764271	345431	
764271	371409	
764271	381245	
764271	381520	
764271	382471	Louise
764271	383178	
764271	384009	
764271	389940	Marie-Jeanne
764271	393731	Louise Compoint
764271	404153	
764271	412200	Géraldine
764272	36968	Mary Kate Simmons
764272	182973	Newscaster
764273	406436	Herself - Singer
764274	316153	Frothing girl in miniskirt
764275	96564	H. E. R.
764276	142349	Kathleen, Miller's Girl
764277	41311	Faith
764278	17591	Mrs. Ellicote
764278	68137	Jane Peach
764278	145864	Rose Twining
764278	157233	Karen
764278	177795	Julie
764278	177815	Helen Walsingham
764278	184448	
764278	213043	Nancy
764278	228496	Guest
764278	269339	Dorothy Lethridge
764278	286123	Miss Standish Rowe
764278	298010	Constance Neville
764278	353285	
764279	18351	Herself
764279	23913	Herself
764279	23935	Herself - audience member
764279	107634	Herself
764279	149910	Herself
764280	107999	Marian Arbuthnot
764281	340960	TV News Reporter
764282	386908	Extra
764283	127557	Nurse
764283	254986	Regina
764283	310200	Eve
764283	335982	Mademoiselle Fromage
764284	347454	Angela
764285	396009	The musical tiplows
764286	23898	
764286	30155	Mrs. Bailey
764286	38220	Mrs. Hearty
764286	38221	Mrs. Hearty
764286	38222	Mrs. Hearty
764286	38224	Mrs. Hearty
764286	38225	Mrs. Hearty
764286	93318	Dresser
764286	105616	
764286	115705	Sarah Salter
764286	124373	Elizabeth, the Cook
764286	151070	Mrs. Blossom
764286	154358	Mrs. Wallis
764286	155848	Mrs. Mott
764286	155926	Martha
764286	163275	
764286	202917	Mrs. Cummerpatch
764286	206865	
764286	215799	Mrs. Hudson
764286	222589	Aunt
764286	224204	Undetermined Role
764286	239566	Mrs. Jarley
764286	239743	
764286	255260	Mrs. Budger
764286	301926	Mrs. Hudson
764286	304789	Mrs. Hudson
764286	305366	Alice Roberts
764286	308140	Jessica Mallory
764286	308543	Blondie
764286	316341	Cook
764286	319114	Cook
764286	321850	Mabel
764286	330085	
764286	330911	Mrs. Milroy
764286	340023	Mrs. Hudson
764286	367419	Lousha
764287	292950	
764288	109365	Eve
764288	294248	Frantic Girl
764289	241405	Crying Girl
764289	280081	Cutie #1
764290	150249	Barbara O'Neill
764290	223036	Jean Parker
764291	43931	Rachel
764292	16878	Spinster
764293	196166	
764294	327690	Teresa
764295	33714	Kionna
764296	100661	Little Natalie
764297	61639	Store Customer
764297	132931	Amelia Banks
764297	140652	Pansy Ragen
764297	240615	Kate
764297	289635	Miss Riggs
764297	316945	Bates
764297	360496	
764297	367623	Sylvia's Friend
764298	313320	
764299	65764	Mum
764299	82738	Old Crone
764299	86322	Miss Bailey (UK version)
764299	95023	Mrs. Gaskain
764299	114833	Charlie's Mum
764299	186736	Mistress of Ceremonies
764299	199712	
764299	199726	Robert's mother
764299	203213	Grace's Mother
764299	206090	Guard
764299	238159	The Woman
764299	240327	Mrs. Horton
764299	244299	Emilia
764299	275364	Broadbents' Maid
764299	281413	
764299	304804	Shop assistant
764299	328187	Robert's Mother
764299	330172	Agnes
764299	331489	Women at Picnic
764299	350114	Mrs. Hall
764299	354857	
764299	366178	Nurse
764299	382830	Tabitha Aykroyd
764299	395827	Gramma
764300	279393	Nurse
764301	60725	Violeta
764301	407635	
764302	179795	
764302	258130	
764302	272903	
764302	326248	
764302	374408	Tuykovitza
764303	25805	Gloria
764303	74964	
764303	158847	Tórtola
764303	252600	
764303	285933	Chelo
764303	306701	Peluquera
764303	393369	Sara
764303	398088	Laura
764304	350607	Horat's People
764305	130300	French maid
764305	367463	Ipanoff's Sister
764306	400667	Rosario 'Charo' (2003)
764306	401884	Herself - Judge
764307	59374	Susan
764308	128761	
764308	187842	Chica Okupa
764308	202383	
764309	31641	
764309	41594	
764309	44414	
764309	69774	
764309	72778	
764309	75060	
764309	95803	
764309	129090	Herself
764309	139064	
764309	219149	
764309	223935	
764309	228016	Herself
764309	233711	
764309	243132	
764309	276360	
764309	290981	
764309	293017	
764309	294281	
764309	295648	
764309	299364	
764309	300505	Raped School Girl Moeku
764309	316861	
764309	353308	
764309	383170	Dana
764309	397502	Efrat
764310	160713	Landlady
764310	366835	Mum
764310	384430	Miss. Ingamells
764310	392129	Betty (1991-1993)
764310	399931	Nora
764310	405991	Doreen
764310	411300	Prison Officer Berryman (1974
764311	42139	Real Estate Lady
764311	357567	Kelly Fanelli
764312	115060	Priestess of the Tigron [Chs.
764312	115061	Priestess of the Tigron
764312	219383	
764312	277226	Dancer
764313	161997	
764313	377489	Diane Whitelook
764314	178527	
764315	123265	
764316	379470	Keren
764316	383972	Tzipora Ruttenberg
764317	140583	
764319	169635	
764320	87576	Malaysian Newscaster
764321	108601	
764321	161152	
764322	268965	
764323	29397	
764323	127039	Wife (segment "Greek Boat, Th
764323	227716	Nargess
764323	375189	Zinat
764324	77010	
764325	28968	
764326	141	
764326	2334	Rosemary
764326	4417	
764326	8680	
764326	76555	
764326	175916	
764326	203976	Bordello girl
764326	204305	Femme de Ranjit
764326	218341	Saroj Rai
764326	226111	
764326	284750	Sujata
764326	285107	Special Appearance
764326	318029	Dilnavaz Noble
764326	339683	Aurora
764327	194940	Maria
764328	8430	
764328	265960	
764329	34722	Herself
764331	25999	Siham
764332	6320	
764332	379618	
764332	387348	Katina
764333	15958	Iris
764333	275591	
764334	378336	
764334	388307	Yasmin Shah
764334	388554	Fathima
764334	401468	Pakistsnsk kone
764335	409845	Host
764336	8658	Hospital Nurse
764337	216610	
764338	229220	Kostana
764339	266274	
764339	406567	Sandra Jovanovic, Gusterova c
764340	86567	
764340	156160	Dona Aurora
764340	255751	Inang Reyna
764340	280411	
764341	58130	Girl
764342	9604	
764342	28990	
764342	180853	
764342	229045	
764342	244255	
764342	259926	
764342	262500	
764342	303814	Fairy
764342	314217	
764342	319173	
764343	375403	The Girl
764344	357691	
764345	339230	
764345	343963	
764346	185319	Lauren
764347	5389	
764347	75258	Maddalena Partino
764347	108724	Anne
764347	392787	
764347	409092	
764348	397738	Rosa de Bermúdez
764349	160137	
764350	258753	
764351	34472	
764352	234204	Drawing
764353	53010	
764354	388299	Leen Van Den Bossche (1997-)
764355	71992	
764356	356672	Claudia
764357	238003	Direttrice
764358	195039	Lam Than
764359	348615	Reilly
764360	8254	
764360	57423	Carmen
764360	103482	Pati Balbuena
764360	103951	
764360	143794	
764360	145200	
764360	163766	
764360	207649	
764360	211331	Gina
764360	229442	
764360	251719	
764360	251724	Mari
764360	287846	Diana
764360	355441	Ayudante de Maestra
764360	371275	
764360	371741	
764360	381030	Virginia
764361	306294	Mrs. Castellucia
764362	344918	Sister
764363	41471	March Organiser
764363	50235	Pram Runner 1
764364	7860	The Mother, Mrs. Chilton
764364	20335	
764364	22984	
764364	24973	
764364	29329	
764364	30358	
764364	32101	
764364	32979	
764364	37951	
764364	40157	
764364	40625	
764364	47792	
764364	49525	
764364	50903	
764364	72297	
764364	91082	Valentine Charteris
764364	105722	Mrs. Fuller
764364	107414	The Maid
764364	113736	Helen
764364	115351	
764364	117250	The Queen
764364	158452	
764364	177621	
764364	204389	
764364	214747	The Dying Daughter
764364	220050	
764364	245652	
764364	252245	Dolores
764364	281900	Undetermined Role
764364	303081	Rose Langdon
764364	346112	Mrs. Courtland
764364	347542	
764364	363158	
764365	4918	Abilene
764365	130063	Ellen
764365	289007	Saloon girl #1
764366	66912	Meriam Beetle
764366	77197	Jenny
764367	49547	Undetermined Role
764367	85016	Redhead
764367	128271	
764367	154478	Camera Girl
764367	168858	Chorus girl
764367	246923	
764367	285095	
764367	317834	Maisie
764368	92093	
764369	19975	
764369	32516	
764369	65586	
764369	78189	
764369	302180	
764369	370562	
764370	2977	Mrs. Peter Ramsey
764370	13348	
764370	16701	Marci
764370	30741	
764370	41313	Mrs. Birdsong
764370	66978	Mrs. Proctor
764370	72458	Pomeroy
764370	73770	Eunice Schultz
764370	84873	Carter's Secretary
764370	127528	Mrs. Mooney
764370	152934	
764370	157574	Mamaw
764370	173513	
764370	174508	Woman on Train
764370	186733	Miss McClintock
764370	191344	Reporter
764370	194269	Relative
764370	195576	Mrs. Heisenbuttal
764370	199475	Alberta, Jackson Motors Secre
764370	265741	Mother
764370	271318	Mrs. Jewels
764370	316025	Mavis Masters
764370	350012	Vocal coach
764370	358561	Russian Shot Putter
764370	358866	Rose
764370	362538	Mrs. Schultz
764370	387095	Lulu Coltrane Hogg
764370	390423	Jean Kelly (1995-1998)
764370	392176	Mother Tice (episodes 1 and 2
764370	403074	Regular Performer (1970-1971)
764370	406503	Ivy Baker (1991-1992)
764370	410568	Rose Burton (1979-1981)
764371	32203	Lily/Lisa
764371	99769	Jennifer
764371	109485	Monica
764371	109486	Monica
764371	117344	Monique/Nikki
764371	253515	Juliette
764371	295459	
764371	323972	Sarah
764371	357151	Woman
764371	359910	Shannon
764372	150984	Patron 4
764373	80996	
764373	215077	
764374	192172	Gertrude
764375	360084	Street Magician
764376	96861	Lee Party Guest
764377	312966	Make out Girl
764378	183412	Dominique
764379	32983	Margo Lane
764379	70891	Abbie Miles
764379	73204	Claire Saunders
764379	75600	Helen Middleton
764379	81298	Mitzi
764379	127792	Peggy Sullivan
764379	175809	Martha Higby
764379	201458	Rhoda Cooper
764379	203490	Nan
764379	206413	Helen Yates
764379	211570	Clarice Stockbridge
764379	213160	Patricia Hammond
764379	213500	Aileen Fenno
764379	215764	Margo Lane
764379	279303	Lucy
764379	282855	Mary Dale
764379	296848	Margo Lane
764379	309208	Dotty Spencer
764379	310840	Janet Marlowe
764379	331614	Kay Craig
764379	335660	Linda Pearson
764380	303514	Mrs. Henderson
764381	7817	Rose Egerton
764382	313479	Ewok
764383	404714	Anna 'Sway' Beckett
764384	186750	
764384	186763	
764384	186774	
764384	285031	Whipping Nun/Female Christ
764384	294391	Stripgirl #2
764384	305790	
764384	367889	
764385	53798	Nun
764386	35809	Kelly McNamara
764386	329518	Dodie
764386	335489	Herself
764387	99249	Chorus
764388	33713	Doris
764389	41890	Cynthia
764391	385653	Debbie Jones
764392	121367	Tough Girl #1
764392	159485	Bartender
764392	161893	Drunk Girl
764392	192045	Jenny
764392	208502	Princess
764392	232206	Vampire Waitress
764392	289427	Wheeler
764392	299685	Saloon Girl
764393	17952	
764394	195741	Hat Check Girl
764395	363729	Disciple
764396	178121	First Disciple
764397	118897	Herself (television producer,
764398	213278	Car Thief
764399	20135	Nanny (segment "Un ballo in m
764399	294529	
764399	346873	Alice
764400	131232	Extra
764401	140019	Amy
764402	139166	Bertha
764403	139594	Woman in Coffeeshop
764404	44989	Hooker
764405	93237	Zoog 1
764407	307622	Jill Brantley
764408	72319	Helen
764409	107504	A Fairy
764410	81269	Girl
764410	82517	
764410	183305	
764410	184946	
764410	280665	Hippy Girl
764410	363189	Delores
764411	22179	Sarah Hansen
764412	93304	Swimming Trainer
764413	9124	Interpreter
764414	142913	
764414	213815	Lulu
764414	257610	
764414	292038	Herself
764414	305609	Lily
764415	10305	Swimmer
764416	65044	
764417	134021	Jane
764417	294361	Johnson's Daughter
764417	351877	
764418	153646	Herself
764418	190019	Herself (singer: Dear John)
764418	399559	Herself
764418	411837	Jolene Jowett
764419	396088	Barbara Sterling #1 (1959-196
764420	192268	'Downtown' old woman
764420	197543	Lola
764421	14981	Janice
764421	117115	
764421	189529	Petra Calman
764421	194355	Receptionist
764421	208087	Girl at inn
764421	317900	Club Waitress
764421	374638	Angvisa Girl
764422	221469	Herself
764422	360300	Kat
764423	396582	Herself (2002)
764424	210485	Convent Girl
764425	6926	
764426	246224	Tita
764427	124504	Tiffany
764428	337341	Layla
764428	406636	Layla
764429	199246	Beth, Strip-Poker Girl
764430	280305	Russian Woman
764431	37472	Terrorist #9
764432	148945	Emily
764433	294150	
764434	37557	Gordana Rooney
764434	258884	Security Guard
764434	293301	
764436	313855	Young Woman (Young Couple)
764436	337384	Harvey's girlfriend
764437	33174	
764438	66939	Mariane, the Goth Girl
764439	81282	Ellen Chapman
764439	149394	Girl who calls Ted Grover 'th
764439	163443	Herself (child)
764439	178204	Lorraine (leader of the Kitty
764439	273258	Herself
764439	295608	
764439	310643	Dr. Christine Scofield
764439	348008	Herself (child)
764440	93744	Additional Voices
764440	129765	Susan/Twinkle
764441	195576	Bathrobed Woman
764443	32541	
764444	44238	Tallulah
764444	122217	Hot Tub Woman
764445	308705	Herself (interviewee)
764446	9957	La enfermera
764446	70063	Dolores Palacios de Martin
764446	77834	Blanca (Serafina's maid)
764446	120720	Mrs. Harrison
764446	120904	Maestra
764446	202831	
764446	263204	
764446	339101	
764446	370549	
764447	23087	
764447	55374	Molly
764447	199853	
764447	301580	
764449	73270	
764449	94840	
764449	206313	
764449	235304	Socorro
764450	149214	
764451	210167	
764452	52577	Danseurs principaux (sequence
764452	55208	Primi ballerini ospiti
764453	137429	Maria
764453	252066	
764453	286291	
764454	14815	
764454	318954	
764455	12931	
764455	55362	
764455	156392	
764455	189185	
764455	261456	
764455	275019	Sinhá
764455	306667	Alice Terra Cambará
764455	354212	
764455	380612	Guiomar
764455	381523	Valquíria
764455	383355	Matilde
764455	384998	Isabel
764455	385853	Salva
764455	386215	
764455	386245	
764455	387900	Ofélia
764455	389662	Idalina
764455	390509	Marion
764455	393004	
764455	393027	
764455	395366	Teresa
764455	395405	
764455	397645	Aurea Menezes Garcia
764455	398818	
764455	400096	
764455	401092	
764455	402455	
764455	402582	Paula
764455	403083	Lola
764455	404271	Princesa Isabel
764455	404835	Aurélia Camargo
764455	407802	
764455	409925	
764455	410103	Andréa
764455	410107	
764455	412283	Heliodora (Lili)
764456	398197	Patrícia Barros
764457	222324	
764458	328045	
764459	70647	
764460	225040	
764461	278082	Amelia (Age 3)
764462	19464	Bruna
764463	123030	Concubine
764463	185920	Gang Chick #3
764463	349873	Hope Reilly
764463	367454	Humanoid #2
764464	38004	Liz
764464	92324	Debbie
764465	278082	Amelia (Age 3)
764466	175202	
764466	201495	Alicia
764467	256957	Anna
764468	162065	Herself
764469	99148	Mrs. Chester
764469	112203	Mrs. Emily Rogers
764469	144624	Mrs. Blake
764469	175606	Mrs. Marshall
764469	207462	Mrs. Hoffman
764469	221251	Mrs. Trent
764469	238869	Mrs. Carter
764469	278269	Mrs. Drake
764469	298569	Madge Larrabee
764470	334156	Val
764471	345567	
764472	141643	Amy
764473	35783	Mary Ingalls
764473	317882	Albanian Girl
764473	337106	Maya Paul, Jerry's Wife
764474	645	Hooker
764475	163362	Cheerleader
764476	33004	Aunt Mae
764477	214430	Waitress
764478	1663	
764479	46988	Cathy
764480	275060	Vivien Fay
764481	140317	Patricia Mendelson
764482	6912	Cindy
764482	24484	Girl Scout
764482	79899	Sylvia
764483	279142	Kellner
764483	314097	
764484	73989	Esther Wilkens
764485	105332	Conscience
764485	146201	Helen Lee
764485	202246	Lady Agatha 'Aggie' Lasenby
764485	236669	
764485	301833	Marcia Lawson
764485	348531	
764486	404002	Kathleen Ryan Thompson (1976,
764487	51203	Additional Voices
764487	57737	Frank's Wife
764487	80022	Mrs. O'Shea
764487	87009	Additional Voices
764487	113332	Additional Voices
764487	190869	Additional Voice
764487	211439	Voice
764487	308115	June
764487	313405	Additional Voices
764487	363953	
764488	33393	Miriam
764488	100034	Alison Holmes
764488	104770	United Kingdom entry (10th pl
764488	214463	Malissa Zubach
764488	314092	Athena
764488	330594	Young Woman in Class
764489	353420	
764490	130740	The Golden Child
764491	170451	Gynecologist
764492	309535	Stripper
764493	302454	
764494	261248	Hospital Adminstrator
764495	246188	Une danseuse/Dancer
764496	285268	
764497	270910	Chorus Dancer
764498	358438	Aunt Esther
764499	177204	Mary
764500	364220	Old Woman
764501	150400	Pose Lady
764502	399405	Teenager #2
764503	116559	Maisie
764504	177204	Kissing Girl
764505	223	Buttercup
764505	90290	Ma
764505	117101	Marie
764505	186665	Mrs. Powers
764506	147739	
764507	39474	
764508	270414	
764508	274024	
764509	305375	Professor's Party Goer
764510	271929	Baby Rana
764510	356420	
764511	85176	Angel Pendleton
764512	84695	Etudiante couple
764512	412266	Infirmière réanimation
764513	238167	
764514	2252	(segment "Teuf d'enfer, La")
764514	66214	Myriam Dorcières
764514	208830	Copine d'Isabelle
764514	328273	Jocelyne
764515	119756	Mrs. Marie Charnier
764516	52630	
764516	57810	Anita
764516	65000	
764516	65011	Mesera
764516	87488	
764516	93569	Herself
764516	103771	
764516	124513	
764516	183501	Diana
764516	183521	
764516	209025	
764516	210308	Herself
764516	218064	Monica
764516	221817	
764516	229432	
764516	233329	
764516	233330	
764516	233371	
764516	235311	
764516	268274	
764516	277369	La Petaquitas
764516	287419	
764516	325313	Ramona
764516	325359	
764516	326535	Karina Piamonte
764516	339124	
764516	343603	Martha
764516	355441	Rebeca
764516	379559	Maribel
764516	381145	Mary Jean (1993)
764516	381598	Cristina Romero
764516	383633	Emilia
764516	401251	Matilde
764516	403365	Marisabel
764516	405398	
764516	407851	
764517	195665	Rebel Prisoner
764518	111395	Herself - anthropologist
764519	273137	Milena
764520	252524	Dancer
764520	373567	
764520	395966	Herself
764520	408643	Season 3 Contestant
764521	76258	Allineare Non Manco
764521	253920	Nana
764522	387055	Dorien Vreelandt
764523	4637	
764524	404445	Host
764525	396215	
764525	401251	Rosa
764527	74311	
764528	215074	
764528	236753	Prostituta
764528	260528	
764528	349723	
764528	383247	
764528	386727	
764528	387838	Gertrudes
764528	400902	
764528	404165	Teresa
764528	406833	Gladis
764528	409025	Odete
764529	387732	Iracema
764529	410190	Vilma
764530	272261	Jocelyne
764531	211024	Avó
764531	384137	Matilde
764531	386212	Violante
764531	387732	Olga
764531	388681	Geralda
764531	395044	
764531	402371	Zulmira
764531	402593	
764531	409814	Hermínia
764531	410190	Isaura
764531	411932	Castorina
764532	401882	Colaboradora dos Jurados (2ª 
764533	134996	
764534	103106	
764535	65426	Woman Mourner
764536	18953	Kid #1
764538	141260	Young Mary
764539	234561	Antonia
764539	361085	Erna
764540	91268	
764541	383441	
764542	29517	
764543	30503	The Teacher
764543	373748	
764544	71302	Student Actor
764544	141596	Houseman Child
764544	154094	Albert's Child
764546	259601	
764547	133810	Karen
764547	201503	Herself
764548	124591	Fortune Teller
764548	302431	
764548	355846	Criada
764549	287693	Hipólito's mother
764550	9734	Ángeles
764550	243689	Guardia Civil #1
764551	268043	
764552	87898	
764553	377108	
764554	195157	La fille du jardinier
764555	118801	Herself
764556	122915	
764557	268448	Alain's mother
764558	26470	Mme Grumeau
764558	398042	
764559	376986	
764560	217647	Adèle
764561	68381	
764562	306119	Une élève
764563	275621	Coralie
764564	57981	
764564	104501	Young woman at ball
764565	84514	
764566	312356	Rita
764567	236066	
764568	235886	Entrevistada
764569	100341	
764570	112136	
764571	324502	Dancer
764572	40504	Lady, That's My Car
764573	98967	Daphna
764574	356472	The Media (Herself)
764575	248258	La vendeuse
764576	35451	Student in Jack Parrish's Cla
764576	110301	Virginia
764576	162845	Donna
764576	177663	Lindsay Whitaker
764576	385824	Lynn Burke (1994-1998)
764576	386338	Millie (1987-1988)
764576	389858	Ellen Burgess #2 (1998-1999)
764576	401930	Dr. Mary Elleanor 'Ellen' Bur
764576	404282	Alice Jackson (1986-1987)
764577	210208	Herself
764577	411941	Correspondent (2000-2001), An
764578	187443	Contadina
764579	11415	Hostess
764579	44229	
764579	217856	Rosa
764579	219562	
764579	286418	Wife
764579	315458	Mercedes
764579	334772	
764579	374495	
764580	115318	Witch
764581	2133	Hot Dog Vendor
764581	24503	Melissa/Mistress Victoria
764581	222570	Isabella
764581	354164	Tammy
764581	385961	Lana
764582	40412	
764583	48694	Annette Mai
764584	342588	Bettina
764585	236026	Stripper Chica
764586	12587	
764586	182895	
764587	307639	
764588	8152	
764588	353945	La Voisine de Gilles
764589	187547	
764590	383684	Nurse of Valentina Zuloaga Cu
764590	393028	Delmira
764590	401694	Silvana
764591	1445	Herself
764592	408272	Karin
764593	110741	Herself - Medical Doctor, Rig
764593	403381	Herself - Overlæge, Rigshospi
764594	19138	Domini
764595	32617	Irena
764595	175714	Eva
764595	208432	
764595	209103	Roza Greenberg
764595	256907	Daphne Eilam
764595	379470	Daniela
764595	398689	Alma
764595	401241	Rita
764596	285607	Secretary
764597	278170	
764598	223506	Candidate #5
764599	68369	Olivier's mother
764599	94391	
764599	104235	
764599	116035	
764599	138516	Proprietess
764599	146429	Mme Bizetti
764599	165908	Dorothée
764599	188683	La fée
764599	201079	La concierge
764599	202694	La patronne du bar
764599	247606	Viviane
764599	250784	
764599	345103	
764599	346735	Herself
764600	292754	Redactora
764601	3439	
764601	14712	
764601	55941	
764601	62350	
764601	67212	
764601	71193	
764601	71281	
764601	82586	
764601	100373	
764601	210588	
764601	225032	
764601	235315	
764601	292754	1st Journalist
764601	355479	
764601	371760	
764602	25793	Hermana 1
764603	46757	The Re-Animated: Crypt Creatu
764604	284530	Foxy Goon
764605	204747	Mary
764606	17918	Gesche
764607	76318	
764608	142456	Narrator
764609	365949	1905 Girl
764609	368244	Showgirl
764610	299838	Party guest
764611	147612	Startled Girl
764612	347831	Junge Arbeiterin
764613	328808	Dolores LaFleur
764614	38386	
764615	156387	Dona Anete
764615	351308	Helga
764616	168695	Young Johnny
764617	384119	Lucía/Anita Pizarro (1998-199
764618	108322	Young Rose
764619	186740	Denise
764620	155835	Lorraine Dempsey
764621	184127	Old woman at HQ
764623	11047	
764623	23353	
764623	47650	Teacher
764623	47673	
764623	47677	
764623	47678	Party Guest
764623	47718	
764623	47723	
764623	47725	
764623	56434	The Grocer's Daughter
764623	77585	Mildred
764623	123321	
764623	139116	
764623	195977	Ethel Parsons
764623	280956	
764623	305966	
764623	305968	
764623	309038	School Teacher
764623	329494	
764623	343094	Ranchman's Daughter
764623	360555	The Landlady
764623	361744	
764624	269401	Russian spy's hands
764625	70302	
764625	102834	Herself (performer, Michelle'
764625	239877	
764627	37525	Falling Star
764627	63046	Grandma
764627	162678	Grandmother
764627	168272	Joe's Mother
764627	168328	
764627	184127	Gladys Bissonette
764627	241487	Blue Feather
764627	245506	Effie Twosalt
764627	304048	Aunt Helen
764627	331672	Mother
764628	99379	Anna
764628	101271	Herself
764628	101272	Herself
764630	264751	
764632	119269	
764634	41586	Herself (Sonya Redd)
764634	150044	
764635	279953	
764636	42791	Female Reporter
764639	72781	
764640	228479	Vickie Lewis Bighawk's daught
764641	26494	Technician
764641	228479	Vickie Lewis Bighawk
764641	267109	Mrs. Mendez
764641	292519	
764641	302317	Dr. Gregson
764642	371305	Allyson Surname
764643	300615	
764644	375258	Hocine
764645	78515	Lucieke
764645	95871	
764645	127497	Wanna
764645	247132	
764645	273756	Muijmme Taey
764645	382403	Martine
764645	412092	Belinda
764646	22179	Tourist
764646	92095	Policewoman (Lobby)
764646	146729	Barbara
764646	315781	Onlooker #1 ('Non-fiction')
764647	380902	Louise
764648	168939	
764649	43432	Joe Kennedy's Golf Partner
764650	93098	Becky Douglas
764651	365320	
764652	213237	Margaret Wilson
764653	41666	Helen Buchanan
764654	28461	Secora
764655	156	Master's Wife
764655	9124	Intellectual-Looking Woman
764655	53957	Mrs. Schulenberg
764655	128288	Gilda
764655	133735	Kate
764655	134694	Pokey Prothero
764655	164243	Bonnie May
764655	191033	Anne Braden
764655	203436	Nurse Sonya
764655	215190	Helene
764655	269082	Saleswoman
764656	412066	Herself ( 2001 - 2002 )
764657	193123	Waitress
764658	176525	Speaker of the House
764659	41820	Nana
764659	65453	Head Nurse (Detox)
764659	70302	Odile
764659	105182	
764659	114642	Mrs. Matthews
764659	141162	Laraine
764659	168627	Momma Melden
764659	317340	Mrs. Carlisle
764659	367844	Tenant #2
764659	380823	Sharon Blakely
764659	382282	
764659	396584	Janice Reeves
764659	411802	Maimie Johnson #2 (1990-1995,
764660	159175	Dancer
764661	43883	KC Sunshine
764661	51991	Eden
764661	359428	Magda
764662	363821	Receptionist
764663	337769	Rhythm Professor
764663	382208	Jackie Outlaw
764664	310329	Airport Mother
764665	82984	
764666	127258	Sarah Anderson
764667	381608	Linda
764669	115805	Mary Kennedy
764669	379722	Terry
764669	407779	Pat
764671	158243	Grandmother
764672	194223	Reston Girl
764673	244034	Additional Character Voice
764673	272234	News reporter #4
764675	156466	Alternate Juror
764676	303284	Karen
764677	341685	Dutt's neightbour
764679	65920	Simone
764680	112904	Neerja
764680	127263	Barbara's Receptionist
764681	1172	Herself
764681	1963	Herself
764681	2768	Herself - Performer: Theme fr
764681	9131	Sister Ruth
764681	14098	Herself/Host
764681	87797	Happy socialite
764681	154396	
764681	253861	Nora
764681	296552	Our Guests at Heartland
764681	356350	Herself - Choir Member
764681	391307	Herself
764681	397674	Herself - Host (1975-1977)
764682	27459	Florance
764682	84752	
764682	268063	Isha Nair
764682	272904	Rukmini
764682	287093	
764682	328140	Pooja
764682	330979	Anu
764683	79119	Shruti
764683	201085	Ayesha Verma
764683	257228	
764684	219773	X-Ray Docotor
764685	286797	Chandri
764685	308494	
764686	1362	Shirin Kolhatkar
764687	147974	Tracy's Diner Woman
764688	342116	
764689	155272	Kid In Park
764690	155272	Kid In Park
764691	136838	Reporter #2
764691	276678	Restaurant Patron
764692	219689	Herself - Ballet Dancer
764693	409647	
764694	93959	Molly Howard
764695	45799	
764696	7703	Mici Berniday
764697	154807	Toma
764697	184898	
764697	190209	Jessie
764697	240318	Family Member
764697	363770	Black Shawl
764697	382538	Prarie Woman
764697	392176	Little Tree (episodes 2 and 3
764698	80876	Florinda
764699	389863	Hostess (1971-1977)
764700	223459	Judy
764701	276386	Court Dancer
764702	149912	Teacher
764703	294717	Flight Attendant
764703	387542	Helen
764704	321268	Lydia
764704	390115	
764705	329025	Ms. Carlson
764705	367878	Mrs. Carstairs
764705	380391	Dr. Crane (1988)
764706	3465	Marion
764706	14346	Alison
764706	62817	La touriste américaine
764706	107509	La belle Anglaise
764706	254301	Laurenn
764706	254601	Alice Mortensen
764706	346534	La touriste américaine
764706	376876	Alisson
764706	383371	Eve (1999-2000)
764706	392364	Johanna
764706	409439	Gin
764706	409750	Johanna
764707	74211	Ally
764707	94099	Imaginary Sister Victoria
764707	129113	Elizabeth Brenner
764707	185386	Andie
764707	200864	Reporter
764707	211440	Times Editor
764707	316953	Sylvia McCord
764707	330869	Chloe Harden
764708	186477	Blanche Cafferty
764709	16696	
764710	130666	Amazon Warrior
764711	256925	Loretta Modern
764711	330217	Libby
764711	337657	Charmaine Stough
764711	350182	Jeanine Leclair
764711	411802	Caitlin (2002)
764712	88070	Iseult
764713	37326	Leather Lt.
764713	52318	Boudoir Photo Girl
764713	80385	Suzi Swallows
764713	81157	Vaniks Massage Girl
764713	88167	Regina
764713	182980	Dancer#2
764713	296261	Waitress
764713	327836	Clinic Nurses
764713	349393	The Victim
764713	359858	Sherry
764714	216829	Carnaby
764715	241330	Ellen
764716	5717	Jenny (The Acid House)
764716	41889	
764716	45885	Dr. Eleanor Bramwell
764716	45886	Eleanor Bramwell
764716	58955	Emily
764716	85922	Carolyn Bartholomew
764716	93084	Diana
764716	151761	Evie Wilcox
764716	154860	Rebecca Edmonds
764716	218767	Mother
764716	219731	Cimmie Curzon
764716	241603	
764716	335071	Mary
764716	339431	Caroline Coon
764716	380071	Jenna Dean
764716	382659	Dr. Eleanor Bramwell
764716	382660	Dr. Eleanor Bramwell
764716	382662	Eleanor Bramwell
764716	382663	Dr. Eleanor Bramwell
764716	382932	Eleanor
764716	385341	Dr. Jocelyn Wolf
764716	388821	Joanna Morgan
764716	390643	Emily Tuthill
764716	402956	Pamela Dysart
764716	407141	
764717	92093	
764718	2313	Herself - Presenter
764718	2527	Herself
764718	2583	Herself
764718	7592	Herself
764718	17319	Mrs. Ormerod
764718	17782	Poinsettia
764718	18385	Cleopatra
764718	27347	Monica Breedlove
764718	31195	Herself - NBC Team Contestant
764718	32791	Kate Jordache
764718	36864	Camille Levy
764718	52681	Maggie Donnelly
764718	59685	Grandma Lewis
764718	64560	Herself (performer)
764718	64570	Herself
764718	76714	
764718	80699	Virgin
764718	81197	Pauline Williams
764718	81973	Celia
764718	86456	Amanda Talmadge
764718	100874	Sheila
764718	105144	Nanny
764718	105321	The Queen
764718	124603	Mette
764718	126125	Georgy
764718	126688	Joan
764718	128519	Baba Brennan
764718	130168	Hanna
764718	138551	Woman/Witch
764718	138822	Xaviera Hollander
764718	143633	Narrator
764718	143635	Narrator
764718	151609	Edna
764718	158983	Monica Brannigan
764718	168129	Herself
764718	170983	Abby Greyhouwsky
764718	176817	
764718	177792	
764718	185484	Myrtle
764718	191044	
764718	191253	The Wicked Witch of the East
764718	209684	Narrator
764718	213072	Midnight
764718	213317	Helena
764718	219248	Nancy Stewart
764718	223135	
764718	224046	Mandy
764718	224313	Helen Margaret Chapman
764718	224379	Marjorie Lloyd
764718	228295	Nurse Sweet/Nurse Betty Marti
764718	231088	Helen Whittaker
764718	253920	Aunt Millicent
764718	260726	Herself
764718	268156	Eliza Doolittle
764718	275001	Monica Welles
764718	292015	Judge Nancy Jakes
764718	293040	Miss Leona de Vose
764718	299028	Gillian
764718	299773	Sarah Cotter
764718	302108	Katharine
764718	305514	Yvonne
764718	308978	The teacher
764718	310998	Mrs. Wilkinson
764718	314599	Herself/Various
764718	316961	Miss McVane
764718	319026	Lady Davina (segment "An Engl
764718	319038	Elaine
764718	323847	'Bill' Shannon
764718	335098	Susan, Upton Inn
764718	335791	Rogers
764718	336745	Carrie
764718	341943	Jane Cubberly
764718	345857	Nola Fox
764718	350622	Alma Werfel-Mahler
764718	351892	Emily Vogel
764718	355060	Phillipa Raskin
764718	358652	Mrs. Hepp
764718	362193	Jane Hudson
764718	362561	
764718	363798	Olga, mother-in-law
764718	363895	Inga Kolneder
764718	365458	Cordelia Thornberry
764718	368448	Hannah
764718	376747	Mary O'Donnell
764718	383780	Charlotte Buckland Seccombe
764718	384068	Maddie Peerce
764718	388208	Martha
764718	392117	Ann Anderson (1979-81)
764718	403887	Trudy Frank
764718	407655	Diana Swanson
764718	410156	Berta: 'Spring Sonata'
764718	410914	Herself/guest panelist (1974-
764719	1842	Herself - Presenter
764719	2110	Priestess
764719	2750	Herself - Best Supporting Act
764719	2787	Herself
764719	2810	Winner Best Performance by a 
764719	3021	Herself - Past Winner
764719	8147	Agatha Christie
764719	21548	Rosalind
764719	28493	Miss Amelia
764719	31765	Heddi Lindquist
764719	32984	Pamela Gray
764719	33491	Graziella Luciano
764719	41657	Jane
764719	42829	Narrator
764719	44764	Olive Chancellor
764719	47079	
764719	52812	Guenevere
764719	59456	Mrs. Clarissa Morris
764719	61850	
764719	68886	Mrs. Carlyle
764719	72504	Countess LaGrange
764719	73126	Mrs. Raskolnikov
764719	81776	Robin Lerner
764719	85123	Sister Jeanne
764719	86098	Sister Crucifix
764719	92128	Anna Lenke
764719	96117	Skelly
764719	102507	Narrator
764719	104997	Herself
764719	111802	Woman
764719	124501	Clemmie Churchill
764719	128583	Dr. Sonia Wick
764719	131375	The Greater Dane
764719	133719	Dr. Angela Bead
764719	151071	Nívea del Valle
764719	151761	Ruth Wilcox
764719	155890	Edith Tree (segment "1961")
764719	162617	Isadora
764719	164398	Countess Wilhelmina, Matriarc
764719	170366	Julia
764719	175193	The Heiress
764719	192110	Irina Shapira
764719	193296	Esther Huish
764719	194289	Herself
764719	197324	Catherine Moore
764719	202979	Anne Boleyn
764719	202980	Lady Alice More
764719	206925	Mary Stuart of Scotland
764719	208536	Magus's Wife
764719	211361	Herself
764719	215123	Kalsan
764719	215876	Max
764719	218549	Miss Bentley
764719	218890	
764719	219255	Leonie Delt
764719	220004	Lydia Madigan
764719	221245	Mrs. Clarissa Dalloway
764719	222727	Mary Debenham
764719	222854	Kate Benson
764719	223739	Leenie Cabrezi
764719	238991	Sylvia Pankhurst
764719	243148	Herself
764719	243766	Lady Torrance
764719	243950	Herself
764719	245098	Ann
764719	247065	Narrator
764719	257764	Fania Fenelon
764719	258103	Annalise Hansen
764719	259043	English journalist
764719	263544	Peggy Ramsay
764719	273982	Jacky
764719	281215	Mother Capulet
764719	281341	Herself
764719	283281	Maddy Bennett
764719	285641	Sheila
764719	291736	Nina
764719	291971	Herself
764719	292219	Richard Radley/Renee Richards
764719	295409	Lola Deveraux
764719	302619	Queen
764719	305612	Elsa Lübing
764719	313779	Herself
764719	314202	Nancy
764719	315444	Sister Agata
764719	315656	Herself
764719	330102	Florence Latimer
764719	331621	Sarah Cloyce
764719	335489	Herself
764719	338020	Flavia
764719	340227	Andromache
764719	343020	Nancy Shaffell
764719	347101	Mrs. Ruttenburn
764719	361978	Jean Travers
764719	362193	Blanche Hudson
764719	363798	Sarah, aunt
764719	365564	Lady Speranza Wilde
764719	365889	Narrator
764719	365990	Narrator/Grandmother
764719	370585	Helen
764719	372504	Empress Elizabeth
764719	383086	Lady Melbourne
764719	388437	Catherine Barkley
764719	401311	Sophia
764719	401421	Katherine Mansfield
764719	410513	Cosima von Bulow
764720	386963	Gemma Atkinson (2002)
764721	237342	
764722	150677	Carol
764723	80928	
764725	328688	
764726	18952	
764726	34031	Maria detta "Fanny"
764726	59805	
764726	158852	Mimì Guarneri
764726	207752	Norma
764726	301361	
764726	386744	Dottoressa Cortes
764727	387904	
764727	405917	
764728	97865	Redin, Tove
764729	307561	Natasha
764730	215833	Carol Sampson
764730	336117	Vi Mason
764730	353305	Gertie
764730	364625	Mitzi
764731	385296	Wife
764732	334591	Rachel
764733	28793	Iv
764733	84592	Jutta
764733	132174	Erika Geiler
764733	377359	
764733	380392	Constanze Petersen
764733	389361	
764734	34965	Mandy
764734	115689	Dorothy Rosenbaum
764734	285512	
764734	390195	Herself - Presenter
764734	391263	Presenter
764735	329993	Woman in Haunted House
764736	161446	Young Marie
764737	24305	
764738	137218	Veronika
764739	24390	Pat
764739	65147	
764739	177172	Novizin Barbara
764739	182903	Paula
764739	218973	Silvia
764739	275039	Edda Kohn
764739	276631	Lisa
764739	283472	
764739	317271	Juli Kovacz
764739	325397	Brigitte Bürki
764739	325806	Gaby
764739	325862	
764739	334631	
764739	361532	
764739	365916	
764739	390165	
764739	397199	Francine
764739	405500	Doris Lind
764740	32531	Pub Customer
764740	126548	Julie
764741	49305	
764741	98310	Anke Bauer
764741	109442	Lollo Bierbichler
764741	126361	
764741	166715	
764741	179840	Eva Golong
764741	204581	
764741	233174	Mrs. Sadler
764741	271824	Fanny
764741	293423	Rosa
764741	307167	
764741	325499	Anita Mecke
764741	334551	Martina Basel
764741	341171	Petra
764741	347807	Constanze Manziarly
764741	348049	Vroni
764741	352062	
764741	352066	Frau Biermeier
764741	358900	Amalie
764741	376029	
764741	376041	Paula
764741	391141	Christa Haslbeck
764741	392086	
764741	397447	
764741	397765	Sigi Scheubel
764741	410515	Ulrike Preuß
764742	244100	Urszula, a teenage prisoner
764743	95779	
764744	368913	
764746	39653	Mrs. Atwood
764747	46327	Wendy Huntley
764748	23932	Herself
764748	32370	Beck
764748	117133	Stacey
764748	120477	Helen Missal
764748	129092	Office Receptionist
764748	157192	Gwendolen
764748	177346	Regan
764748	194542	
764748	215171	Presenter
764748	230831	Det. Supt. Sandra Pullman
764748	231091	Sarah
764748	253081	Marina
764748	277716	Josie
764748	279108	Julia Melville
764748	292430	Susan Townsend
764748	296333	Deedee Dove
764748	301230	Detective Pryce
764748	320310	Carol Finnegan
764748	323017	
764748	360727	Petula
764748	380798	Alison Braithwaite
764748	382253	Diana Dors
764748	382384	Lynn Gibson
764748	384483	Prudence Hammond
764748	385646	Dr. Joanna Stevens (1995)
764748	386018	Janet Deasey
764748	387418	Rosie Bromley (1992)
764748	391978	Debbie Bryan
764748	392008	Narrator (1999)
764748	397433	Sally
764748	399278	Det Supt Sandra Pullman
764748	400616	
764748	406148	Roberta 'Bobby' Montgomery
764748	406717	Sylvia
764748	408350	Viv Meadows
764749	314203	Kerri
764749	338750	Casey
764750	41409	Special Lady
764751	16878	Amy
764752	86468	Mrs. Prior
764752	105717	Meg
764752	120695	Mrs. Jones
764752	155212	
764752	210784	
764752	211614	Mistress Ford
764752	215335	Magliore
764752	240652	Herself
764752	241627	Jet van Dieren
764752	244306	Emilia
764752	266222	Grace Hardcastle
764752	273943	Laura Marchant
764752	295312	Lady Coote
764752	310842	Townswoman
764752	335098	Mrs. Waters
764752	353467	Old Queen Victoria
764752	368262	
764752	384430	Auntie Hamps
764752	399748	Sophie Dupin
764753	187861	
764754	5556	The Widow Horton
764754	44305	Mrs. Jackson
764754	59741	Mis Tevis
764754	77914	Deborah Harlow
764754	128680	Grandma
764754	193712	Mrs. Laramie
764754	270999	Sheriff's wife
764754	305703	Mrs. Graham
764754	314477	Mrs. Malvern
764754	319778	
764755	119626	Old Lady
764756	169644	Drunk Lady
764757	247568	Woman at Door
764758	91920	Woman Smoking
764759	26077	Mansion Harpist
764760	58771	Dr. Tess Adkins
764760	91888	Nicky Williams
764760	95080	Terri
764760	310571	Lilly
764761	296785	Dancer
764762	291825	Pollard Child
764762	303830	Grace Thorpe
764763	208892	Etta
764764	227377	
764765	366959	Nurse Carter
764766	51886	Cora
764767	17215	Lydia Robinson
764768	40831	
764768	50925	
764768	115618	
764768	271223	
764769	43941	Fleadh woman
764770	333868	Mairead Curran
764771	6151	Cleo
764771	29391	Marcie
764771	45912	Eleanor
764771	55551	Mrs. Mullin
764771	55575	Mother
764771	67607	Helen Hendrix
764771	81189	Woman in Hotel
764771	96770	Old Woman In Bank
764771	108343	Vera Hannagan
764771	117987	Charlotte Gingrich
764771	141142	Mrs. Kendall
764771	154735	Judge Bard
764771	168693	First Nurse
764771	204190	Mrs. Dalton
764771	208411	Mama/Neighbor
764771	287128	Flossie
764771	340542	Sister Liguori
764771	386825	Mrs. FLorence Kimball
764771	388983	Sister Jacqueline (1967-1970)
764771	404002	Mrs. Simon (1976)
764772	47973	Nurse
764772	185741	Vera Gresty
764772	388726	Florence
764773	223801	Mrs. O'Day
764774	88883	Sally Nightingale
764774	120025	Nora Wimmer
764774	167559	Joan Simpson
764774	176739	Francis Roitman, Clifford's S
764774	190934	Ludmilla
764774	194344	Fenella Lee
764774	206370	Tina
764774	210274	Melissa Foster
764774	232410	Grace Maddox
764774	249514	Freda Strickland
764774	256818	Julie Logan
764774	297602	Diana Marsh
764774	299937	Simone
764774	301252	Janice Main
764774	318194	Mrs. Holly
764774	318485	Leonie Delt
764774	328647	Anne Fielding
764774	338989	Imogen Parrott
764774	354853	Kate Glennon
764774	366159	Nessy Forrester
764774	366462	Hermione
764774	387334	Alice Keppel
764774	388788	Barbara, Duchess of Cleveland
764774	392483	Domitia
764774	393328	Dee Smith
764774	401212	Madame de Beauseant
764775	18589	Angela Devlin
764775	67922	Woman in Office
764775	139679	Viv
764775	186383	DCI Denby
764775	292430	Det. Sgt. Mary Janes
764775	383683	Hermione Monkworth
764775	387247	Laura (1997)
764775	401382	Amelia
764775	408126	Mrs. Sherry
764776	410585	Herself
764777	274663	Second Woman
764777	346226	Brandi's mom
764778	1492	Herself
764778	19741	Nurse
764778	26154	Babette
764778	53029	Darlene Tutt
764778	78759	Lauren Braganza
764778	80483	Jessica Sara
764778	87926	Miss Perkins
764778	120558	
764778	139688	Inga Fossa
764778	142621	Gwen
764778	161987	Maria Gellman
764778	293108	Agent Sharp
764778	320319	Bonnie, the mother
764778	355343	
764778	379672	Sarah Blundell
764778	391095	Inga Fossa
764778	399741	
764778	407421	Louise
764778	411517	Dr Dana Murray
764779	38270	Aunt Gerilynn
764779	65938	Aunt Paish
764780	32122	Kate Higgins
764780	54657	Sue
764780	80360	Jean Brodie
764780	94858	Totter's wife
764780	118925	Midwife
764780	137487	Institute Secretary
764780	158392	Madame Sin
764780	174152	
764780	194170	Helena Charles
764780	230024	Joyce
764780	275287	Alison Fraiman
764780	309280	Julie Cordova
764780	331936	Mother
764780	379643	Various roles
764780	381795	Det. Sgt. Maureen Connell
764780	382990	Lucy McGinty
764780	383625	Gillian
764780	387993	Jess
764780	391536	Shona Spurtle
764780	391759	Dr. Janice Taylor: Paediatric
764780	392008	Narrator (2001)
764780	405183	Ailsa the Adder
764780	405708	Sharon
764781	45853	Featured Party Zombie
764782	157698	Nurse
764783	28250	Tanya
764783	30506	
764783	35890	
764783	107924	Kateryna
764783	142518	Yvette
764783	173018	Dosiukova
764783	278847	
764783	356827	Katya
764783	396236	Vareara Shebego
764783	403988	Rita
764783	404219	
764785	41196	Shorty
764786	19103	Agnès
764786	77348	Une jeune fille
764786	190635	Muriel
764786	198974	L'avocate
764786	251014	
764786	384787	Viviane Arnaud/Liliane, la je
764786	398985	Thérèse (1974)
764786	403178	Maria
764787	14649	
764787	36561	Marcela
764787	48848	
764787	53001	
764787	57480	
764787	63755	Adela
764787	70595	
764787	70671	
764787	80279	
764787	148106	
764787	148115	
764787	149205	
764787	156096	Herself - Presenter: Best Lea
764787	202060	
764787	203884	
764787	214224	
764787	232884	
764787	246403	
764787	287755	
764787	294010	Mamarosa
764787	294506	Madre
764787	327923	Madrina
764787	354924	
764787	371760	
764787	376667	
764787	380274	Doña Trini
764787	383772	Doña Benita
764787	398533	Abuela (1987-1988)
764787	404298	
764788	103108	
764788	145271	
764788	303084	
764789	6313	Vieille Indienne
764789	73277	
764789	100254	Paca
764789	146567	Monja 2º
764789	204311	
764789	237851	
764789	239284	
764789	248865	Anciana
764790	129218	Stripper
764791	287496	
764792	115820	
764793	287755	
764794	194624	
764795	116390	
764796	48803	
764796	301151	Gordita
764797	380122	Yamile(Miss Perú)
764798	162024	Lila
764799	339476	
764800	397968	
764801	214515	Waitress
764802	21198	Nurse in Bathroom
764803	176499	Wally's neighbor
764803	386389	Sera
764803	401865	Additional Voices
764804	386858	Lucy Brewer (Series 3-4) (200
764805	280359	Ellen Knapp
764806	169136	Child Chorus
764807	316961	Hockey Mistress
764808	70397	Rob Mitchell
764808	208085	Gloria Doran
764808	231659	Phillipa
764808	379746	Miss McKinnon
764808	388266	
764808	388978	Maggie Hutton (1988)
764808	399130	Gwen Simpson (1985)
764808	406457	
764809	235647	Woman in Bar
764809	281281	Stage Dancer
764809	344197	Mermaid
764810	157195	Dancer
764811	389269	Dancer (segment "The Cowboy a
764812	12408	
764813	316169	Jane Hale
764815	265100	
764816	139273	Girl
764817	200678	Edith
764818	289291	Dancer
764819	136517	
764819	170218	Herself
764819	181192	
764820	83324	Pevacica
764821	351353	
764822	83165	
764823	343867	
764824	343867	
764825	315063	
764826	220882	Siti Shahirah
764827	182849	
764828	321805	Herself
764829	106188	Gueneviere
764830	95784	Chris Hart
764830	156731	Photo Girl
764830	292250	Det. McCoury
764831	381821	Ensemble (1968-1970)
764832	71493	Lyssa
764833	100843	Julie
764833	335812	Sarah
764834	9007	Herself
764834	65954	Christina Hansen
764834	124554	Gattaca trainer
764834	311784	Herself
764834	388119	
764834	399987	Herself
764835	85922	
764835	90881	Birgit
764835	112049	Sponsor
764835	186632	Lotte
764835	342798	Joanna
764835	382838	Eleanor Kitson (1997-1998)
764836	279	Mother
764836	79046	Reporter #2
764836	113354	Reporter #1
764836	294140	Press Member
764836	321669	Bobby's Mom
764836	358729	Nurse (segment "The Pencilhol
764836	362216	Nurse
764836	362701	Officer Warner
764837	131232	Extra
764838	17160	Grace Carpenter
764839	47573	Miss Kelleher
764840	83980	Singer
764841	125845	Juanita Coburn
764842	14145	Bar Girl
764842	215500	Miss Spain
764842	277892	Rhonda
764842	291052	Harlot
764842	304494	Luci
764843	2709	Red Head
764844	238687	Jackie
764845	189986	Elisa
764845	269355	LA Groupie
764845	399130	Deborah 'Debbie' Martin (II) 
764845	399211	Princess Neri
764846	106015	
764846	124544	
764846	214405	
764846	223622	
764846	258616	
764846	334669	
764846	371763	
764846	380072	
764846	382548	Host
764846	384631	Host
764846	401152	Laura
764846	405916	Michi
764846	407285	Dorila
764846	408857	Michi Lacroize
764847	139236	Ruth
764848	131776	Girl in Hotel
764850	77190	Receptionist
764851	317248	
764852	31316	Kassia
764852	62778	Cassie
764852	87520	
764852	204184	Susan Kelly
764852	224313	Mother Superior
764852	234982	Natalie Kelly
764852	236924	Tommy
764852	292637	Donna
764852	293011	Anita
764852	303975	Alexandra 'Alex' Hutton
764852	323565	Roseanne
764852	327628	Lily Voiceover
764853	158141	Woman lunching
764854	304080	Reporter
764855	385658	Isabel Davilow
764856	3848	Herself - Author: "Thomas Jef
764856	389164	Herself
764857	297672	Victor's Girl
764858	335665	Becky
764859	162449	Dotty Chandler
764860	40533	Baby Cody
764861	115568	
764861	147668	
764861	249178	
764862	53959	
764862	259013	Maggie
764862	333478	Amazon
764863	158902	Mrs. Pride
764864	358477	Toy Indian
764865	399447	Freak on the Street
764866	305679	Cara
764867	220967	
764868	40533	Baby Cody
764869	336242	Herself
764870	10888	Gayle Warnings
764870	278224	Waitress 1
764871	61143	Alice Richardson
764871	266520	May
764872	340247	Creedence
764873	159862	The New York Dream Machine
764874	166991	
764874	166995	
764875	238448	Handmaiden
764876	146723	Miranda
764876	161755	Professor Puna
764876	249576	Woman
764877	1974	Herself - Best Supporting Act
764877	1994	Herself - Presenter: Best Sup
764877	13917	Herself
764877	18737	Rosalia Martinez
764877	26144	Jonesy's Secretary
764877	26988	Karyl Orton
764877	34111	Alice Hammond
764877	34953	Sheila Callahan
764877	35663	Ann Daniels
764877	35684	Ann Wilson
764877	48977	Sally Hanson
764877	51799	Kathy Taylor
764877	52659	Marcia Bradburn
764877	61164	Rosita Jean D'Ur
764877	72022	Melodie Eunice Nesbit
764877	80791	Miss Wade
764877	92480	Marcia Bradburn
764877	103285	Mary
764877	106614	Barbara Lawry
764877	107581	Jean Kendrick
764877	108954	Sacajawea
764877	120512	Alma Burke (Lorene)
764877	121861	Herself
764877	125797	Mary Lingen
764877	126590	Maria Theresa 'Terry' O'Reill
764877	134026	Marguerite Patourel
764877	135805	Jennifer Ballard
764877	138376	Molly
764877	147892	Herself
764877	152522	Bess Macauley
764877	163485	Mary Hatch Bailey
764877	185711	Marion Ellswirth/Matine
764877	203002	Mary Wilson
764877	217345	Anthea Delano
764877	221307	
764877	252528	Cameo appearance
764877	253501	
764877	255327	Gladys Hallward
764877	271101	Alida
764877	272239	Edith Stannard
764877	288743	Melissa
764877	289419	Julie Allison
764877	291299	Herself
764877	291358	Herself
764877	293084	Carol Holliday
764877	296827	Molly
764877	330205	Laurie MacKaye
764877	330231	2nd Lt. Sandy Davys
764877	331205	Cameo appearance
764877	331407	Laurie Hendricks
764877	340465	Alice Singleton
764877	348917	Alice Singleton
764877	364437	Carol Poulton
764877	371096	
764877	385594	Eleanor Southworth 'Ellie' Ew
764877	386750	Donna Stone
764878	230515	Land Lady
764879	114240	Farina's mother
764879	288745	Farina's mom
764879	363169	Farina's Mother
764880	210422	Enid Cathcart
764881	77679	
764882	185398	Cafe Patron
764883	258752	Aunt April
764884	101504	Margie
764885	27168	Woman at Boxing Gym
764885	64801	Vicky
764885	105958	Dolly Dagger
764885	114145	Susan Lawrence
764885	174918	Asia Moon
764885	231940	Chrissy
764886	194566	Eunice Shriver
764887	22805	Aline Graham
764887	39786	The Black Panther/Mary Maudsl
764887	72206	Eunice Fielding
764887	77785	Drusilla Ives
764887	104327	Laura West
764887	104335	Lucretia Borgia
764887	118975	Lou
764887	133589	Miss Havisham
764887	143045	Helen/Alice
764887	143150	Carol Raymond
764887	143344	Georgiana Carley
764887	230883	Nora Nelson, later Mrs. King
764887	317205	Body, aka Lois
764887	334390	Lily Morton
764887	367048	Lucille Emerson
764887	367632	Grace Norton
764887	367705	Gail Orcutt
764887	402245	Fortune Teller
764888	32356	Kim (age 6)
764888	168723	Elsie White
764889	276391	Self
764891	241046	Young Renata Bella
764892	5843	Helen Williams
764892	31351	
764892	40875	
764892	41944	
764892	48539	Wife
764892	48614	Anne
764892	49845	
764892	54467	
764892	59930	Emily Gregg
764892	83931	
764892	112540	Texas Houston
764892	112569	
764892	114303	Nurse
764892	203047	Grace McCloud
764892	210435	Mamie
764892	239396	
764892	272089	
764892	277939	
764892	278000	
764892	279298	
764892	329087	
764892	361657	Beth Lee
764893	93831	People in need of meal
764893	332151	Cardiologist
764894	223087	Lucy
764895	18805	Frieda
764896	14104	Leanne
764896	29519	Alicia Sanders
764897	67709	
764898	105318	
764899	141220	Baby
764900	367055	Background Voice
764901	158061	Patsy
764901	410959	Rental Car Agent
764902	319584	Herself - Presenter
764902	382193	Herself (Presenter)
764902	391510	Hostess
764902	403548	Herself - Pit Reporter (2000-
764903	279555	
764904	183662	Abby Weston
764905	367083	Running Girl
764906	69417	Renée
764907	195295	Mabel
764909	20625	Extra
764910	22016	Girl
764910	31877	
764911	277088	Lap Girl
764911	326744	Student
764911	360892	Security Policeman
764912	182334	Simu Voice
764913	115161	Young Winnie
764914	281021	Amanda
764915	106249	Herself
764916	14223	Naked Actress
764916	15231	Shannon Steele
764916	26672	Courtney Love Wannabe
764916	32892	
764916	34838	Renee
764916	36967	Sara
764916	55283	
764916	58509	The Commander
764916	60323	Fanatsy Girl
764916	107848	Kristi
764916	109485	Officer Taylor
764916	113414	Nadia
764916	117387	Cherry
764916	117957	Dream Girl
764916	128696	Renee
764916	150965	Darby
764916	164966	Nurse Jeri
764916	171092	Amber Lee
764916	176992	
764916	183683	Carla
764916	194659	Kim
764916	196867	Zippo's Boudoir Girl
764916	199273	Suzy Largo
764916	208169	Sara
764916	216137	Trudy
764916	232242	Claire
764916	257058	Kit
764916	270920	Erica
764916	274317	Rita
764916	289429	Tracy
764916	292594	Holly
764916	292815	Odile
764916	295719	Agent Forrest
764916	296268	Randi Davis
764916	296736	Janet
764916	302926	Randi Davis
764916	320028	Lauren
764916	331785	Caron
764916	335593	Darcy
764916	359803	Shanna
764916	367454	Cameo appearance
764916	384446	Dominique
764916	396076	Herself
764916	404957	
764917	149258	Bamville Club Dancer
764918	324551	Liquid Silver Dancer
764919	262129	Alcott Maid
764920	87586	Mrs. Edwards
764920	89586	Queen Bee
764920	152581	Queen Bee
764920	187241	Herself
764920	253979	
764921	192286	Juggler #2
764922	316997	
764924	191331	Fifi
764924	319684	Bubbles
764925	11181	Miss Watson
764925	248837	Soda Fountain Waitress
764925	273786	Salesgirl Turpps
764925	330809	Madge
764926	70304	Older Margo
764927	131534	School Girl
764927	144936	Caroline Lord
764927	295343	Mary Foy
764927	350229	Betsy Beecher
764927	402971	Hassie McCoy
764927	409795	Kim Emerson #1 (1953-1954)
764928	188453	'Dislike' Girl
764929	108319	Lady at Deli
764930	21526	Shannon
764930	269809	
764930	380713	Shannon O'Hara McKechnie, aka
764931	69	Boer girl
764932	139001	Officer Bruin
764933	100825	Cameo appearance
764933	310833	Yukon Kate
764933	318607	Churchgoer
764934	316715	Older Girl
764936	39258	
764936	44130	
764936	48576	
764936	62456	
764936	221010	
764936	372090	
764937	131383	
764938	282923	Renee Dick
764939	109655	Mary Denston
764939	137198	Annie Turner
764939	345950	Mary Jessyl
764940	239882	
764941	327298	Sock Hop Dancer
764942	40536	Lady Customer In Kwik Snak Ca
764942	56424	Waitress
764942	82275	Jackie
764942	106621	Carol Wheeler
764942	148216	Peggy Dobson
764942	236701	Doris
764942	246769	Barmaid
764942	257987	Mrs. Moore
764942	295472	
764942	305036	Bride's Mother
764942	306295	Betty Martin
764942	316604	
764942	335875	Air Hostess
764942	360567	
764942	396697	Madge Robb
764943	87397	Train Station Waitress
764943	97347	Reverend's wife
764944	6985	Roof Damsel
764945	248620	Herself - Band Vocalist
764945	331811	Herself - Band Singer
764946	47077	Jenelope
764947	306916	
764948	36914	
764948	327780	
764949	13967	Tally
764949	159010	
764949	194529	
764949	203287	Zane Berg
764949	214642	
764949	330591	Evie Zamora
764949	372584	Herself
764950	35693	Valicia
764950	54944	Slavey
764950	78124	Lolo Stuyvesant
764950	110272	Milly Sayres
764950	214953	An Intruder
764950	302875	Saidee
764951	316725	Adult Demona
764952	341454	
764953	1674	Herself
764953	11647	Helena
764953	31727	Alison Langley
764953	34937	Gigi Hightower
764953	42386	Carol Cruise
764953	43911	Sister Grady Hopkins
764953	44511	Elizabeth Mehren
764953	48936	Laurie
764953	51836	Tina
764953	55536	Grace Carmichael
764953	55641	Holly Parker
764953	60016	Earlene
764953	65118	Iza
764953	73560	Arlene
764953	80863	Carol Acton
764953	95874	Esther Shapiro
764953	106671	Linda Mercer
764953	129578	Evelyn
764953	131749	Nancie Scot
764953	141299	Valerie
764953	154739	Edie Bannister
764953	159874	
764953	170843	Angela
764953	177204	Detective Phoebe O'Hara/Ursul
764953	194007	Belle Starr aka Belle Shirley
764953	203263	Wanda Gilmore
764953	210481	Bonnie Dummar
764953	265824	Janis Goodman
764953	270437	Mary Graving
764953	273488	Herself
764953	274510	Maude
764953	278259	Trudy Cooper
764953	287740	Nancy Thomas
764953	289420	Helen Grant
764953	313114	Janice
764953	322596	Trudy Cooper
764953	364558	Judge Lambrey
764953	367668	Dee Johnson
764953	372525	Nurse Norine Sprockett
764953	380219	Sandi Farrell
764953	384378	
764953	388322	Denise Lerner
764953	390484	Janice Pasetti
764953	391359	Mary Walsh
764953	391871	Judge Sydney J. Solomon
764953	407545	T.J. Cavanaugh
764953	407547	T.J. Cavanaugh
764954	4997	
764954	162036	Simona Andrei
764954	279038	
764955	106249	Herself
764956	13451	Tashi
764956	145710	Katrina
764956	147655	Amazon Warrior With Crystal
764957	213259	Amy
764958	72931	Goodyear Chorus Girl
764959	236697	Woods' prostitute
764959	306500	Joanna
764960	51835	Patsy
764961	139456	Woman Employee
764962	22651	Dr. Conlin
764962	44516	Victoria Penny
764962	83935	
764962	106493	Regina Gratz
764962	109094	
764962	110319	Woman Survivor
764962	160042	Bonnie Griffin
764962	169207	Detective Chelsey
764962	170713	Sarah
764962	216672	District Attorney
764962	222668	Jonette Fox
764962	234989	Roy's Sister Beth
764962	316745	Eunice
764962	411139	
764963	200492	Woman (segment "Gluttony")
764964	367863	Island Woman
764965	185683	Apprentice
764966	280081	Amber
764966	361143	
764966	405488	April Newberry
764967	50092	Miss Nickerson
764969	69197	Singer on Cumberland Queen
764970	10847	Rhonda
764970	26514	Sue Castellano
764970	29340	Sharon
764970	45878	Dede Drummond
764970	66861	Bonnie
764970	83637	
764970	90402	Jane Bonner
764970	187502	Lisa
764970	195484	Nina Morgan
764970	213019	Lillian Hammond
764970	215191	Diane
764970	217535	Linda Anello
764970	231832	Dr. Lindsay Roland
764970	272759	Krista Donohue
764970	296894	Waitress
764970	303265	Madeleine Richards Warner
764970	313045	Anne Wilson
764970	384582	Adrienne Cassidy (1986-1987)
764970	389056	Phyllis Wiecek (1983)
764970	391246	Caroline Petrie (1988)
764970	392404	Liz (1985)
764970	396538	Polly Cooper McGillis
764970	407916	Terry Decker (1980-1981)
764970	408953	Sally Easden Burton Flatt (19
764971	7315	Bess' Mother
764971	373433	Mary Herrick
764971	395647	Queen Victoria
764972	90117	Nurse
764972	366137	
764973	391454	Kelly
764974	101303	Louisa
764974	168166	Hostess #2
764975	33936	
764975	157303	Female Police Officer
764976	35809	Fashion model
764976	241046	Young Jan Bella
764977	129236	Jennia Higgins
764978	176915	Wife
764978	303362	Ruth Jones
764978	348320	Rachel McNamara
764978	384569	Suzy
764978	387303	Dot
764979	35723	Jill
764980	232331	Herself
764981	81062	Dutch Villager
764982	367856	Herself
764983	70214	Tommy Laval
764984	60166	Asian Woman
764985	217816	Girl in Fight
764986	344	Diane, Toledo Tiger
764986	809	Linda
764986	12271	Connie
764986	54749	Mona
764986	66388	Chris Brennen
764986	80759	Joan
764986	81168	Mindy
764986	133442	Pamela Parker
764986	158793	Penny Carter
764986	171037	
764986	210387	Woman in Hospital, TV Film
764986	234065	Candy
764986	255433	Nikki McLean
764986	259283	
764986	283563	Maryann
764986	302949	Maureen Warren
764986	323491	Nancy
764986	328520	Barbara
764986	335876	McGee
764986	337769	Stupid bimbo
764986	340530	Policewoman in Property
764986	342027	
764986	381285	Corie Bratter
764986	394676	Charlotte Anderson (1990-1991
764986	411363	Virginia Tyndall
764987	6196	Duchess
764987	19121	Muriel Thrust
764987	56314	Fang Leader
764987	85122	Tania
764987	92616	Miss Foreign Affairs
764987	137964	Miss Hull
764987	160455	Herself
764987	169409	Joyce (episode 'The Indian Sp
764987	201023	Christine
764987	206259	Vivienne
764987	244875	
764987	252728	Mrs. Penney
764987	272030	Ottilie Harshom
764987	299937	Dominique Ballon
764987	360152	The Perry's Daughter
764987	372212	Poppy Pennington
764987	381267	Barbara Griffiths
764987	392544	Princess Amelia
764987	396694	Maggie
764987	411463	Bobbie Wickham
764988	136300	Sten
764989	39324	Lady Constance Braislin
764989	48629	
764989	105791	His Wife
764989	106654	
764989	123302	Mrs. Grey
764989	203542	Lady Plinlimon
764989	219198	Florence Grant
764989	247887	Honora Maris
764989	260246	Mabel Hampton
764989	261996	Lydia Sessions
764989	278269	Edith Austin
764989	301543	Sue Schuyler
764989	309503	Lil
764989	334335	The Woman of Mystery
764989	335450	The Wife
764989	339589	Jane's Sister
764989	346412	Mrs. Harvey
764990	22872	Azalia Deering
764990	49226	Cora Clayton
764990	135583	Marie Dubois
764990	141276	Dolly Grey
764990	146079	Princess Gloria, niece to Kin
764990	159681	Liz Taylor
764990	162925	
764990	163407	School teacher
764990	183310	Nakula
764990	185238	Aneth Consinor
764990	191968	Elsie Welcome
764990	200134	Quavo/Ozma head logo
764990	250523	Ozma head logo
764990	264179	The Princess of Patches
764990	276913	
764990	289591	
764990	317354	Student
764990	355837	
764991	2262	Herself
764991	2279	Herself
764991	7655	Joséphine
764991	141002	
764991	283242	Josephine Baker
764992	161367	Herself
764992	201504	Herself
764992	258752	Woman on couch
764993	33376	Lucille Shumard
764993	48896	Royal Lady
764993	96822	Bella
764993	99593	Ida - Clerk
764993	196981	Saloon Girl
764993	204264	Therapist
764993	228434	Lady Cop
764993	396142	Saloon Girl
764994	75535	Esther
764995	33625	
764995	99222	Jeanne Ferelijn
764995	149818	Moeder
764995	189970	Anna
764995	351959	Gwen
764995	386264	Janneke van Tellingen-Brogt
764995	410838	Charlotte Driessen-Noordermee
764995	410853	Lucille
764996	6030	Alix
764996	85996	St. Therese
764996	248082	Michelle
764996	394224	Liz Berlin
764997	213112	Old Lady on Bus
764998	263358	Norma
764999	360712	Bridesmaid
765000	44036	Dora Watkins
765001	367701	
765002	16654	Dancer
765002	32886	Dancer
765002	33698	Dancer
765002	52315	Girl
765002	56103	Dancer
765002	77015	Dancer
765002	90292	Dancer
765002	114845	Dancehall Girl
765002	146813	Show Girl
765002	196295	Talent Agency Girl
765002	203051	Dancer
765002	254558	Dancer
765002	279373	Dancer
765002	282352	Dancer
765002	319193	Dancer
765002	321570	Dancer
765002	331713	Dancer
765002	335906	Saloon girl
765002	348972	Dancer
765003	249548	Whore
765004	326342	
765005	180822	Girl 3
765006	216290	Girl
765006	253936	
765006	275203	Bärbel
765006	314332	
765006	348682	Monika
765007	5332	Secretary
765007	34055	Miss Nickerson
765007	112216	June Talley
765007	125830	Jennifer Pollock
765007	134175	Jerri Blair
765007	194140	Office Worker
765007	194564	Columnist
765007	233323	Mallika, the younger daughter
765007	263439	Shaindy
765007	276184	Vella Rothman
765007	281464	Barbara
765008	79060	Shoplady
765008	155612	
765008	226517	
765008	237832	
765008	294673	Hoidja
765009	319557	Rachel
765010	79656	Goth Girl
765011	332013	Sheila
765012	202532	
765013	17396	
765013	19399	
765013	24190	
765013	35084	
765013	35089	
765013	49154	
765013	50452	
765013	58450	
765013	58570	
765013	62723	
765013	78711	
765013	79336	
765013	82661	Dancer
765013	95226	
765013	122718	
765013	130121	
765013	140492	
765013	152476	
765013	152493	
765013	168082	
765013	175933	
765013	199371	
765013	201273	
765013	202756	
765013	215549	
765013	222052	Zameen
765013	222307	
765013	222367	
765013	226608	
765013	226681	
765013	251744	
765013	268093	
765013	285541	
765013	298250	
765013	323933	
765014	262805	Katja's zuster
765015	104747	Herself - Dutch entry (4th pl
765015	104751	Herself - Dutch entry (9th pl
765015	104754	Herself - Dutch entry (12th p
765015	228239	Herself
765015	228241	Herself
765015	228245	Herself
765015	228247	Herself - Jurylid
765015	228248	Herself - Host
765015	228263	Herself - Jurylid
765017	86536	
765018	83700	Johanne Clausen
765018	99443	Frk. Colmose
765018	108966	Fru Stæhr
765018	109298	Ældre dame i apoteket
765018	136449	
765019	2234	Margaret/Megan
765019	56144	Audience Member
765019	134390	Eva
765019	231396	Janet
765019	245412	Anna Anderson
765019	292594	Model
765019	313481	Champion driver/Hover tank dr
765019	313507	Rebel Pilot
765020	33112	Hanna Winter
765020	352182	Maike
765020	379840	
765021	183314	Skoleelev
765022	401743	Clowance Poldark
765023	240835	Phillipine
765023	385095	Evelyn
765023	390523	Miss Jenny Lexington (1981-19
765023	402743	Annabel Hatton
765024	47474	Nurse
765024	157826	Reporter
765025	21549	Celia
765025	27559	Peggy Tracewell
765025	50450	
765025	75521	Lady Evelyn Herbert
765025	107128	Sarah
765025	124500	Sarah
765025	138248	Anna
765025	142430	April Cotton
765025	165448	Louise
765025	168297	Lucy Jones
765025	195464	Jackie
765025	217566	Chrissy
765025	241089	Stella Mason
765025	254108	Macha
765025	327608	Mona McAuley
765025	334134	Victoria
765025	346020	Gossamer Beynon
765025	367385	Mary
765025	384485	Helen De Angelo
765025	397055	Marianne Hoffman
765025	401743	Demelza Poldark
765025	401744	Demelza Carne/Poldark
765025	408716	Caroline Farrell
765026	275479	
765027	29391	Girl in Car
765027	81344	Esslin
765027	106746	Mary
765027	254875	
765027	318360	Celeste, the moll
765027	347063	Mickey
765028	151727	Dolores
765028	335642	
765029	66963	Snack Stand Worker
765030	42141	Amanda the Limo Girl
765030	42846	
765030	79059	Marie Winchester
765030	87505	Rachel
765030	310337	Kylie
765030	327379	Greta
765031	350229	
765032	31701	
765032	59194	Childbirth Nuse #1
765032	69834	Constance Elsworthy
765032	74110	Christina
765032	132440	
765032	245214	Simone/Kate
765032	271255	Lab supervisor
765032	313699	Helen
765032	313815	Abbie
765032	384356	Mia Fulsome
765032	405209	Nurse Judy Brownlee (2001-)
765033	211479	Miss Smith
765034	393208	Bethan
765035	24476	Viriginity Taker
765035	187315	
765036	12625	June
765037	108619	
765037	194173	
765037	224303	Ardath Bondage
765037	364063	Alice Walters
765038	319416	Nun
765039	35809	Marion Harrisburg
765039	126044	Bit
765040	136822	Chorus - soprano
765040	327431	Iris
765041	131633	Radio Girl
765042	195300	Record company executive
765042	372465	Morgana
765043	247977	
765044	411802	Mai Volien (1994-1996)
765045	352682	Chapel woman
765045	381099	Herself - Runner-up
765045	387010	Herself
765046	116289	Party Guest
765046	279176	Young wife
765047	346020	Gwennie
765047	395595	Lilian Thorpe
765048	302920	Shirley
765049	39129	Amanda Cosgrove
765049	137572	Young Helen
765049	185503	Deborah
765049	271259	Terri
765049	391532	Charlie
765049	399948	Ilona (1997)
765050	298425	
765051	122796	Sharon
765051	401689	Stacey Jones/Llewelyn/Marshal
765052	372447	Brenda, Sue's Friend
765053	13267	Asparagus #1
765054	405696	Beckie Craven
765055	94291	Singer
765055	321495	Singer
765055	371887	Specialty Line
765055	375045	Singer: Solo Lines in 'Ziegfe
765056	75542	Wan
765056	143627	Janet
765056	170496	4th Plebian
765056	295489	Woman at Party
765056	330579	Nurse
765056	366742	Vanessa Whitlock
765056	378755	Alex Kovacs
765056	385825	Mrs. Collins
765057	386236	Lan Asuka
765058	171086	
765058	185111	Party Guest
765058	305736	
765058	326674	
765059	256206	Party Guest
765061	299652	Field Reporter
765062	223776	Excited Female A.S.S. Fan
765063	37384	
765063	151196	Aunt Nona
765063	279438	
765063	283522	Mrs. Harris
765063	359202	Woman in the crowd
765063	398002	
765064	405561	Herself/Various characters
765065	80390	
765066	344151	Local Woman in Bar
765067	18577	Anya Herpick
765067	32243	
765067	70470	Claudine
765067	87009	Eema
765067	87893	Elevator Operator
765067	99971	Mona Washburn
765067	127517	
765067	139456	Vera
765067	140405	Martha Logan
765067	161228	Herself
765067	169449	Narrator
765067	176388	Alicia Slater
765067	188426	Herself
765067	202619	Nana Fleming
765067	207681	Katie Beale
765067	214934	Lilly Cooper
765067	216670	Herself (interview)
765067	232438	Sarah
765067	266566	Mrs. Gibson
765067	274441	Herself
765067	277444	
765067	292586	Honey
765067	330383	Ma Wright
765067	342458	Flo
765067	357073	Opal Parker
765067	372217	Ella DuChamps
765067	383926	Aunt Rachel (1986)
765067	384069	Della Rogers (1976-1978)
765067	386000	Host
765067	390998	The Blues Fairy
765067	393070	Judge Caroline Phillips
765067	402454	Additional Voices
765067	403730	Mrs. Lydia Branch
765067	403846	Victoria Royal
765067	408635	Tess
765068	300919	Lauren's Mother
765069	297074	Millie
765070	248937	Sam's Mother
765072	77289	Edith Wray
765073	88831	Millie
765073	372907	Katy White
765073	410825	Elizabeth Eggleston
765074	287944	
765075	223776	Mr. Wolinski Woman
765076	270697	Dancer #5
765077	327307	Telephone Montage
765078	92302	Maid
765079	97277	Amy Beth Cunningham
765080	381091	Herself (eliminated round 2)
765081	80560	
765081	232229	Rene
765081	321632	Party Guest
765082	303776	
765083	360242	Choir
765084	140310	Evelyn
765085	31327	Mud Wrestler
765086	98355	Janis
765086	292250	Jasmine
765087	304347	Powers Model
765088	102010	Psychiatrist
765089	56937	Nadine
765089	60735	Ma Henderson
765089	112369	Caren
765089	144816	Renee
765089	147733	Edna
765089	210960	Lyle's Jury: Juror #2
765089	313185	Pearl
765089	366970	Heckler #1
765089	367844	Alfreda
765090	42388	Fry Cook
765090	162516	Jana
765091	278264	
765092	303776	
765093	161470	Woman in photo
765094	341532	Mrs. Price
765094	367413	Aunt Frieda
765095	195214	Un client de l'hôtel
765096	21051	Clarity
765096	45780	Marcia Brady
765096	128350	Jane
765096	244933	Melora Kendall
765096	257166	Irene
765097	238094	
765099	235357	Adventist Girl
765100	146903	Yoriko Tate
765101	186897	Baustellen-Orchester/Construc
765102	69047	Dulles' Secretary
765102	152874	
765103	80992	Mrs. Griggs
765103	106669	Mrs. Hudson
765103	154062	Mrs Crockett
765103	209600	Concierge
765103	231775	Molly the Flower Lady
765103	330139	Mrs Barley
765103	333197	Old lady
765103	363042	2nd Landlady
765104	139677	Mrs. Laverty
765105	5056	Female Detective
765105	63167	Herself
765107	296851	Victoria
765108	108087	Dancer
765109	176893	Mrs. Hargreaves
765110	110515	Judi
765111	296851	Zee
765111	360251	Mary Calder
765111	363727	Tiffany
765112	24702	Woman On Platform On Phone
765112	190931	Miss Parker
765113	312358	Liz
765114	208632	Masseuse
765114	366760	
765115	365342	Miss Field
765116	107056	Ethel Harding
765117	174918	The Kazettes
765118	382543	Evangelina Cruz
765118	386170	Ema Tapia
765118	387916	Hermana Rebeca
765118	393340	
765118	398228	
765118	404140	Rita
765118	404815	Rosario
765118	410316	Adriana
765119	14247	The Duchess
765119	16626	Beth
765119	28652	Cat Bolger
765119	50476	Mrs. Coyle
765119	116796	Aunt Pansy
765119	161519	Mrs. Murphy
765119	190191	Mother
765119	214996	Ballroom Stager
765119	323961	Harty
765119	404409	Maureen O'Hara
765120	58408	Mamá
765120	380126	
765120	381861	Yolanda Vill
765120	401096	Gloria Torres
765120	402463	
765120	403214	Lucy
765120	403686	
765120	404292	Leticia de Palma
765120	406852	
765120	408180	Victoria
765120	408591	Blanca
765120	408724	Leticia
765121	245090	Sharon
765122	366015	Passerby
765124	271332	Student/Singer
765125	85032	Nichole
765125	320106	Jenny Hurlington
765125	331831	Neighbor
765126	63004	Sabrina
765127	78766	Deseree Lawson
765127	78779	Nurse
765127	255430	Katie
765128	35729	Cop's Wife
765128	86381	Celia Johnson
765128	262529	Ellen
765130	18820	Librarian
765130	93240	Secretary
765130	302623	Miss Stillwell
765130	403604	Vena Ray (pilot film)
765131	154039	Boom Operator
765131	283188	
765133	220209	Herself (segment deleted)
765134	147214	Little Girl 'Neat Broom'
765135	2046	Herself - Presenter
765135	93430	Herself
765135	393379	Herself
765136	135569	Singer
765137	59340	
765137	218925	Amy Winthrop
765137	246718	Fanny Ben
765137	308651	Ruth
765138	32907	
765139	34733	
765139	36912	
765139	36927	
765139	327781	
765140	73950	Video Clerk
765140	304683	Indonesian Woman
765141	178141	Blonde
765142	303226	Iris Choir
765142	316067	African Dancer
765143	90154	Backup Singer #1
765144	122204	Woman with Extinguisher
765145	126538	Bikini Girl (segment "I'm Not
765146	386858	Celeste Addis (Series 2-3) (2
765147	67394	Nikki
765147	286873	Samurai Vampire
765148	682	Dorm Room Girl
765149	14132	College Party Girl
765149	47838	Julia
765149	47992	Kim
765149	353504	Julie
765151	115634	Reporter
765152	61261	Margaret Shaffer
765152	259898	Sally
765152	287016	Margo
765152	303897	Wendy Bryant
765152	372198	Blonde Actress
765152	404241	Margie
765153	220209	Herself (segment deleted)
765154	175842	News Reporter
765155	12248	Moira
765156	145113	Maria
765157	99921	Old Emily
765159	64905	Herself (Martha and the Vande
765159	77750	Herself
765159	82097	Herself
765159	85913	Herself
765159	107493	Aunt La Voh
765159	131575	Herself
765159	187391	Herself
765159	206813	Herself
765159	220206	Herself
765159	220208	Herself
765159	220209	Herself (segment deleted)
765159	220212	Herself
765159	313112	Herself
765159	327625	
765159	403562	Herself
765159	406014	Herself
765161	80022	Jennifer Horton
765161	80023	Herself/Jennifer Horton
765161	137449	Becki Dilley
765161	172605	
765161	232220	Jennifer Horton
765161	241748	Jennifer Deveraux
765161	308184	Georgina
765161	318687	Heather
765161	366408	Jennifer Horton
765161	385824	Jennifer Rose Horton Deveraux
765161	392620	Host
765161	404282	Jade Perkins (1984-1985)
765162	275871	Wannabee Cheerleader
765163	367924	Herself
765164	74011	Sherman's Assistant
765164	79057	Aunt Donna
765164	325058	Saleslady
765165	16017	
765165	26665	Mpraj Cavamagj
765165	32145	Margery Drake
765165	84965	Anita
765165	104318	Mimi
765165	131420	
765165	143354	
765165	175611	Rachel
765165	245641	Frances Gordon
765165	257877	Claire Morgan
765165	274030	
765166	17022	Sally
765166	118225	Lola
765166	201863	Allison Crawford
765166	267440	Waitress
765167	280729	Secretary
765169	61647	Kristen De Silva
765169	99044	Maizie
765169	103345	Zoe Moon
765169	176276	Amy
765169	220093	Laura
765169	239786	Marissa Jones
765169	258374	Hannah Mathewson
765169	263057	Lauren
765169	276688	Suzanne Dwyer
765169	305694	Holly
765169	317945	Amanda
765170	309963	
765171	26563	Priestess
765172	14972	Pilar
765173	189221	Job Applicant
765174	29098	The pilot
765174	242956	Herself
765175	297880	Miss Thirty Six
765176	354461	
765177	292734	
765178	78921	Receptionist
765178	249457	Young Lisa
765179	18351	Antonia McGill
765179	46862	Isobel Heatherington
765179	48502	
765179	50645	Miriam
765179	61690	Rosie
765179	62995	Mrs. Cratchit
765179	65820	Natalie
765179	74025	Selina Roberts
765179	81563	Sarah Gilmartin
765179	86463	Jean
765179	141158	Maria Ann McCardle
765179	155087	Lynda
765179	158119	Helen
765179	178883	Mum
765179	182989	Joy
765179	191081	Meryl Rogers
765179	212001	Greta Samsa
765179	320310	Julie Hopcroft
765179	328763	Rosa
765179	332458	
765179	338325	Louise Duffield
765179	352703	Narrator
765179	387113	Lady Jessica Atreides
765179	393037	Cassie Mahy
765179	401675	Chloe Marsh
765179	411356	Edwina
765180	396874	Jo Achebe (2001-)
765181	14189	Herself
765181	90826	Herself
765181	187391	Herself
765182	114688	
765182	161163	Woman at the Audition
765182	233547	Pat
765182	330830	Glenda
765182	385455	Sydney Henshall
765182	392667	Zoe Freeman
765183	160242	The Butterflies and Moths
765184	160242	The Butterflies and Moths
765185	223867	Mrs. Hopkins
765186	314105	
765187	243910	
765188	258139	Jordanian Servant
765189	389146	Iqal
765190	264423	Hellena's friend
765191	241316	Restaurant Patron
765192	111142	
765192	251532	Ripincelle
765193	200927	La femme de chambre
765194	65926	Kathy
765196	309292	Lille Charlotte
765197	268335	Herself - Information Manager
765198	98975	
765199	224126	
765200	95789	ER Nurse
765200	331898	Rita
765200	366997	Dornbush
765201	216225	
765201	374276	
765202	379118	
765202	403752	
765203	346276	Rita
765203	382010	Cindy (season 2)
765204	314522	Betty (Valley Girls)
765205	5718	
765205	73458	
765206	141194	Lamaze Instructor
765207	67847	Eve
765208	338537	Senior Shuttle Voice
765209	157499	Doctor
765210	218169	Cerebral Girl
765211	273316	Blonde
765212	72916	Cass Blaine (segment "Father'
765212	384369	Trish
765213	211613	Anne Page
765214	12226	Bridget
765214	40193	Krista Vale
765214	175621	Judy Morton
765214	378726	Nurse Janet Tom (1989)
765214	397240	Kathleen Conklin
765214	407684	Irma
765215	214643	Marianne
765216	147784	
765217	12764	Customer
765217	43973	Kate Jaye
765217	51764	Beth Kane
765217	65551	Lady Vesta
765217	78528	College Girl
765217	169167	
765217	175162	Leading Woman
765217	183373	Mrs. Dreker
765217	221030	Linda Benton
765217	241557	Nurse
765217	278058	Ranch Guest
765217	292191	Paula
765217	301932	Nora Kane
765217	315791	Dora Day
765217	328579	Camp girl
765217	329093	Ann Hall
765217	329327	Eleanor Joyce
765217	330375	
765217	330768	Girl with Roosevelt
765217	358643	Jerry Lane
765217	361666	Helen Porter
765218	5010	Friend
765219	2861	
765219	142568	Herself
765220	192748	Formal Dress Woman
765221	407138	Herself - Judge
765222	196434	Health Spa Woman
765223	40551	
765223	224104	Emma
765223	289103	Pfc Jessica Lynch
765223	308011	Evelyn
765223	330104	Julia Lund
765223	345690	Audrey Inverso Age 20
765224	273506	Becky
765225	6582	Girl at Dance #3
765225	6907	Clarissa
765225	55680	Island Girl
765225	55699	Pvt. Taylor
765225	69405	Brenda Climax
765225	116728	Brenda Noye
765225	118722	Mrs. Minton
765225	139235	Secretary
765225	194844	Rosey
765225	391079	
765225	391509	April (Series 6-9) (1984-1988
765225	400602	
765226	397634	Lucy Hamilton
765227	33398	Crystal
765227	111782	Leanne Welles
765227	118675	Alice
765227	141328	Cathy Jackson
765227	171841	
765227	190774	Angelique
765227	245128	Mary Mason
765227	271254	Jenny
765227	299973	Dr. Wainright
765227	316295	Joanne
765227	316439	Gaylene
765227	321785	Opal Saunders
765227	370854	Miss McColl
765227	385105	Ann Brennan (1989-1991)
765228	5074	
765228	27197	
765228	49500	
765228	66112	
765228	68159	
765228	72818	
765228	91879	
765228	115059	
765228	197848	
765228	243113	
765228	257993	
765228	272414	
765228	272415	
765228	272416	
765228	295771	
765228	304307	
765228	325256	
765228	332450	
765228	335694	
765228	336700	
765228	345658	
765228	358074	Herself
765228	365495	
765228	372506	
765229	49366	Helen's Party Guest
765229	100087	Miss Peters
765229	230947	Sheldon's Secretary
765229	259749	Arloie Pollock
765230	56181	Ma
765230	87591	Teacher
765231	139464	Announcer
765231	206595	TV News Anchor
765231	277150	Reporter
765232	178032	Beth Nicholas
765233	136289	
765234	18030	Lady in Beauty Parlor
765234	73768	Waitress
765234	79514	Woman at Hotel
765234	151461	Midge
765234	265741	Karen
765234	330998	Girl in Elevator
765235	41743	Art Teacher
765236	9258	Becky
765236	94085	Emily
765237	171138	Emily
765237	222651	Cecelia Pierce
765237	329914	Sara
765237	405494	Young Georgie
765239	354563	Club 1,000,000 Lineup
765240	30140	Joanne Martin
765240	121497	Kimmie
765241	274689	Attorney
765241	313357	Penn
765242	2597	Cowgirl dancer
765242	119822	Princess
765242	202372	Sexy Sally
765243	361611	
765244	353565	
765245	200843	Anita
765246	97983	Mara barátnõje
765247	48127	Josefine
765247	217916	Trauergast
765248	388640	Sumsa
765249	23372	
765250	294420	
765251	300726	
765252	119480	Sylvia
765252	194263	Maggie
765252	196117	Sue
765252	198338	Mathilda's Sister
765252	411063	Rita
765253	1220	
765253	176385	
765253	224358	Herself/Blonde in clips from 
765253	242556	
765253	326735	
765254	30646	Talk Show Audience
765255	37761	
765255	88841	
765255	396874	(1992)
765256	199079	Dancer
765256	371289	
765257	16398	
765258	53220	Heulende Schwester
765260	305223	Pam
765262	113674	
765262	161126	
765262	267879	Marie Christine
765262	277788	Mrs. Morandi
765262	383492	Monica
765262	386473	Cesca/Ketty/TV seller
765263	345195	
765263	345326	
765264	81694	
765265	205397	
765265	312721	La dame de l'hôpital
765266	271014	Shoe Store Woman
765266	330890	Stephanie
765267	28156	Playgirl
765267	104222	Lili
765268	85568	
765269	282015	Madame Riga
765270	121245	Herminia
765271	234907	Nora Mae
765272	26974	Sheema
765273	31176	
765273	96054	
765273	99591	Yvette
765273	228309	BCC lady
765273	260940	Spectatrice
765273	310963	Danseuse Motel
765273	376906	Infirmiere
765274	24057	Helen Philipps
765274	33032	Herself
765274	40953	Helga Wagner
765274	90366	Elsa
765274	92276	Suzanne Crossley
765274	94374	
765274	99682	Herself
765274	99688	Herself
765274	103144	
765274	103169	
765274	104771	Slovenian entry (21st place)
765274	120574	Kerim's Girl
765274	120723	Claudette
765274	120795	
765274	121913	Marie Lejeune
765274	130953	Bonita
765274	140230	
765274	203678	Odette Brussard
765274	236700	Nadia Leiven
765274	253755	
765274	264872	
765274	280801	Nina Bertens
765274	283396	Laura Kossovich
765274	288862	Herself
765274	307648	Mrs. Reynolds
765274	316342	Lilli
765274	328868	Marisa
765274	347579	Lollo
765274	366561	Livia
765275	143551	
765276	161775	Debi
765277	160193	
765278	103746	Celeste
765278	380196	Ana Paula
765278	382741	Elisa
765278	383550	Tina
765278	384117	Alice Gonzaga de Carvalho
765278	384480	Dora
765278	396610	Jane (1995)
765278	396718	Juliana
765278	396810	Guida
765278	402582	
765278	404915	Marina/Renata
765278	408381	Diva
765278	411585	Maria Das Dores
765279	14434	
765281	83416	Herself
765281	108079	Herself (1965 telecast footag
765281	108879	Herself
765281	124235	(singing 'Noite dos Mascarado
765281	214260	Herself
765281	357197	Herself
765282	13637	Switchboard Operator
765282	144788	Nurse
765283	328760	
765284	205008	
765284	354984	
765284	391900	
765285	245585	
765286	336916	Sophia
765287	103884	
765288	14936	
765288	103049	
765289	16441	
765289	55321	
765289	256121	
765289	286565	
765289	385853	Guiomar Freitas
765289	391397	
765290	68621	
765291	393791	
765292	307265	
765293	160193	
765293	264537	
765293	389786	Alice
765293	391900	Marília
765293	399481	Ana Cândida
765293	400094	Dora
765293	400678	Geni
765293	405418	Martinha
765294	255798	
765294	275024	
765295	386168	Lorena
765295	392629	
765295	403738	Cláudia
765296	21069	(segment "A Honestidade da Me
765296	90777	Clarinha/Josephina Frita Gelo
765296	96529	
765296	101265	
765296	103851	
765296	124237	
765296	183528	
765296	210691	
765296	214631	Marlene
765296	256371	Marlene
765296	256750	
765296	268411	Jandira
765296	269029	Dorotéa
765296	328748	
765296	343634	
765296	344706	Odete
765297	338644	
765298	187529	
765298	344810	(segment "Ivone")
765299	12372	
765300	35319	
765300	184784	
765300	398729	Herself
765301	144074	
765301	246949	
765303	68621	
765303	103357	Al Jubail Guard
765303	172004	
765303	243256	Bassam
765304	261941	
765305	52811	
765305	83489	
765305	292750	
765305	322401	
765305	354479	Mujer Elegante Tren
765306	222772	Lilly Richards
765307	190953	Virgin Girl Friend
765308	72854	Old Woman
765309	211029	
765310	62349	
765310	145176	
765310	265165	
765310	339109	
765311	363943	Police Woman
765312	375508	Donna (Girl #2)
765313	27064	Candy
765313	45357	Marion Cavanaugh
765313	82712	Liza Harris
765313	86997	Sabrina
765313	187729	Bridgette
765313	214699	Gail Miller
765313	283563	Julie
765313	313511	
765314	306286	Dancer
765315	69961	Glenda
765316	125478	
765318	134517	Lydia
765318	214228	Young Marian
765318	302432	Tina at 6
765319	391928	
765320	96840	Sylvia Knox
765320	310265	Consuelo
765321	137272	Herself
765322	9012	Bit part
765322	66835	Une cliente 'Saint-Germain-de
765322	77420	
765322	99368	
765322	148764	
765322	217701	
765322	219849	
765322	294565	(segment "Luxure, La/Lust")
765323	159522	
765324	33003	Groupie #3
765325	225234	Agneta Jonsson
765325	303197	Farmer's wife
765326	30674	Blonde Frau
765326	33085	
765326	34496	Aerztin
765326	36671	Heidi
765326	93492	
765326	106810	Die Kulp
765326	114829	
765326	119704	Elisabeth, seine Mutter
765326	153885	Sarah
765326	163929	Zinaïda Savichna
765326	166768	Misses Bauermeister
765326	178624	Renate
765326	203767	
765326	204496	Else
765326	204581	Alma Mahler-Werfel
765326	205784	
765326	234949	Lola Vischering
765326	235002	
765326	272796	Weiblicher Kadett
765326	282104	Frau Ledersteger
765326	284125	Alte
765326	290501	
765326	290770	
765326	303389	Senta
765326	322936	Ninon
765326	325389	Ines Liens
765326	338940	Frau Grete, seine Assistentin
765326	352198	Caren
765326	354054	Dienstmädchen
765326	358586	Mother of Axel and Pia
765326	361045	
765326	376532	
765326	390893	Ria
765326	393255	Mrs. Ferwalter
765326	394536	
765326	395049	Mina
765327	83235	
765327	211741	
765327	377792	Social Service Counselor
765328	94316	Christine
765328	148624	La bonne
765329	128020	
765330	273150	Grenda's maidservant
765331	55076	Herself - Band Singer
765331	335621	'Chick-a-Boom' Singer
765332	14705	
765332	405418	
765333	66731	Lucie
765334	293809	Alison Duncan
765335	34384	
765336	219241	Ana
765338	237331	La radiologue
765338	302901	Myriam
765338	345042	Isabelle
765338	345466	Marion
765339	23462	
765340	397727	Ketty
765340	406697	
765341	62891	Grandmother
765341	240137	
765341	307485	
765342	51903	
765342	62891	Mother
765342	351819	La mère de Malika
765343	174316	Fatima
765344	11011	Leentje
765345	405209	Sally Wakefield (1999)
765346	5168	Jane
765346	45853	Mandy
765346	46242	Con
765346	65657	Eileen Barto
765346	397858	Jenny Regtien
765347	74423	Narrator
765347	74424	Narrator
765348	143664	
765348	328741	
765349	101809	Marga
765349	183985	Germana noi discoteca
765349	392388	
765350	379892	Amanda Sabater
765350	380125	Anastasia
765350	383470	Yermaní Burgos
765350	385052	Valeria Castro-Iglesias de Ga
765350	385252	Alicia
765350	386149	Clara Inés Santamaría
765350	392958	Rosa
765350	397566	Erika
765350	397733	Pilar de Cassariego
765350	399025	Natacha
765350	402172	Daniela
765350	404988	Eugenia Montiel
765351	96363	
765352	115000	Sonsoles
765352	212369	Beatriz
765352	275623	Natalia
765352	302344	Rosa
765352	369996	Herself - Nominee: Best Suppo
765352	384734	Subinspectora Lola Écija (199
765352	385864	Marta
765352	390479	Hostess (1995-1996)
765352	398857	Host (1997-1998)
765353	245484	Girl
765354	10125	
765355	360616	Newswoman
765355	363225	Lamaze Instructor
765355	383654	Lauren Woodward
765356	95975	
765356	367109	Regina
765357	74824	
765357	291708	Ticket Girl
765358	199570	Vievotte
765358	345258	La mère du milicien
765359	27363	Woman #2
765359	80660	Student #3
765359	148217	Woman at Home Cafe
765359	333361	Nursing Home Matron
765360	197139	
765361	34996	Humboldts Gast im Berliner Sa
765362	310083	
765363	29524	Girl in Lara's Dream
765364	303980	Baby
765365	115262	His wife
765367	6009	
765367	6095	
765367	24185	
765367	62370	
765367	281490	
765367	284711	
765367	285404	Chandni
765367	288245	
765367	288595	
765367	319086	
765367	326962	
765367	342084	
765368	179110	Ana, as a girl
765369	325520	
765369	325599	
765370	58946	Airline Agent
765370	93959	Female Reporter #1
765370	143742	Reporter
765371	182761	L.
765372	204117	
765373	158318	Newswoman #2
765374	246687	Mother
765375	178557	
765376	393409	
765377	110338	Girl In Gallery
765378	124502	Larissa
765379	42806	Video News Crew
765380	125324	Frau Hannschmidt
765380	142276	Julie
765380	314315	
765380	392086	
765381	4864	
765382	157578	Imtiaz Begum's Attendant
765383	987	Bali Choudhary
765383	4080	Meena
765383	4175	
765383	4854	Gulabi
765383	6114	
765383	11733	
765383	25963	Seema
765383	25974	
765383	32644	Radha
765383	51489	Mystery woman
765383	59010	Lalit's mother
765383	60057	Jameela
765383	70430	Salma
765383	79127	Madhvi
765383	85314	
765383	85370	Jwala/Princess Chitralekha
765383	86644	Roopa
765383	86658	
765383	98477	Sunita
765383	98528	
765383	127346	
765383	128167	
765383	135509	Rosie
765383	145464	Ravi's Mother
765383	160166	
765383	166001	
765383	171507	Savita Devi
765383	171524	
765383	171759	Shanti
765383	171852	Anju
765383	172553	Alka
765383	175921	Radha
765383	179360	Rajashwari
765383	184266	Dai Jaa
765383	200631	Janaki
765383	201236	
765383	203233	
765383	203248	
765383	207102	Sudha
765383	211454	Maya
765383	222055	
765383	227128	Savetri
765383	227205	Jyoti (Jugni)
765383	227881	Herself
765383	229333	Rajkumari Neel Kamal/Sita
765383	240215	Saraswati Batra
765383	247104	
765383	250843	
765383	254401	
765383	262854	Ram's Girlfriend
765383	268106	Gulabo
765383	268110	
765383	271711	Anjana
765383	276227	Reshma
765383	280579	
765383	281479	
765383	285539	Jaba
765383	289172	
765383	297012	Geeta
765383	297745	
765383	307745	Laaj
765383	319133	
765383	319846	Manager's mom
765383	326962	Hirabai
765383	339955	Indu
765383	339963	Shanti
765383	344336	
765383	359934	Bhagwati
765383	375214	Meeta Sharma
765384	4096	
765384	4292	Princess Zehnab
765384	62370	
765384	122717	
765384	141833	
765384	164885	
765384	166500	
765384	174366	
765384	211405	
765384	253065	Girl in the Courtesan's House
765385	175348	Mustang Cola Representative
765386	316679	Frances
765387	2258	Herself - Presenter
765387	381091	Herself (eliminated round 6)
765387	381092	Herself (The Bachelorette)
765387	408910	Herself
765388	241218	Lasse's Wife
765388	252195	Suzanne Kristiansen
765389	58831	Abelone Hambroe
765389	108966	Naboen Fru Sejersen
765389	108967	Naboen Agnes Sejersen
765389	108969	Naboen Agnes Sejersen
765389	108970	Fru Sejrsen
765389	108971	Naboen Agnes Sejersen
765389	108972	Naboen Fru Sejersen
765389	108973	Fru Sejersen
765389	116028	Tante
765389	116362	
765389	117583	Fru Henningsen
765389	127579	Anna Theresia Kragh
765389	134268	
765389	136635	Fru Lassen
765389	142504	Prof .Piper
765389	147398	Clara von Haller
765389	159859	Fru Jacobsen
765389	166609	Tante Christa Dinesen
765389	173148	Tante Thyra
765389	179818	Tante Sofie
765389	182628	Fru Vestergaard
765389	182851	Direktørfruen
765389	214365	Fru Nickelmann
765389	219700	Fru Karen Winge
765389	237300	Tante Thyra
765389	255671	Henriksen
765389	308212	Krogæst
765389	308229	Fru Konsulinde Terkildsen
765389	315403	Jomfru Madsen
765389	317653	Thea
765389	322475	Alma Tegberg
765389	322476	Baronesse Beate von Eckerts
765389	353033	Fru Bech
765389	356854	Klara
765390	209310	Young Mother
765391	140194	Margaret
765392	348601	Margaret
765393	156749	
765394	169108	
765395	179234	Olina
765395	232622	Klára Novotná
765395	344299	Lady's-maid
765396	155505	Chie Shima
765397	406833	Claraíde
765398	80721	
765398	256451	Beautiful girl
765398	269496	
765398	344593	Gaetano's schoolmate
765398	344626	Girl
765398	356578	Sonia's friend
765398	380366	Carmela
765398	381622	Carolina (2003)
765398	387465	Betta Maffei di Barbero
765398	406295	Cristiana Riccio
765398	409049	
765399	323074	Narrator
765399	358255	Specialty dancer
765400	281923	
765401	250894	
765402	401970	Sonia Campo
765403	305005	Lizzy
765403	311448	Mrs. Huner
765404	142417	Showgirl
765405	358560	Jordyn
765406	12125	
765407	95381	Marie
765407	189846	Host
765407	189852	Host
765407	189853	Host
765407	189860	Host
765407	313785	Performer
765408	354771	Cecilia
765409	2669	Woman Hostage
765409	358486	Missing Girl
765410	339445	Neon Audience
765411	299738	Suzie's Girlfriend #4
765412	119703	Anne Matthies
765413	290145	
765413	302678	
765414	152752	Beryl Stapleton
765415	293149	Norma
765416	127584	April
765417	395073	Mali
765418	181534	Nurse
765419	59568	
765420	257715	Herself
765421	392503	Susi
765422	124222	Food Writer: _New West Magazi
765423	397912	Susie (episode 8) (1995)
765424	257237	
765425	260679	Flock Member
765426	343781	Zigeunerin
765427	11814	
765427	77409	
765427	79328	Marie
765427	259554	
765427	325465	
765427	388290	Emmy Puchel
765427	388783	
765428	136951	Partygirl on Phone
765428	345660	His Wife
765429	120058	Iris
765430	186304	Undetermined Role
765430	263713	Mrs. Howard
765430	274454	Mrs. Collins
765430	295811	Martha Reynolds
765430	315167	Mrs. Williams
765430	364138	Hannah
765431	17315	
765431	93405	Prolog-Moderatorin
765432	305007	Event hostess
765433	225126	
765434	352262	
765435	330423	Vera Steelwright
765436	187677	Rosa
765436	336464	Elisabeth
765436	374126	
765437	235491	Lorna Doom
765438	406488	
765439	12856	
765439	35044	Johanna van Gogh
765439	70760	
765439	129685	Frau Wolff
765439	133317	
765439	144328	
765439	174790	Grusche Vachnadze
765439	187402	
765439	188926	
765439	225245	
765439	226174	Gretchen
765439	259445	
765439	259482	Ida
765439	259537	Frau Sander
765439	266935	Mutter Kriepsch
765439	290064	
765439	312086	Oma
765439	312099	
765439	314920	
765439	352367	
765439	361039	Gertrud Löwenhaupt
765439	376622	
765439	377375	Dr. Plauner
765439	385660	Ida
765439	395049	
765439	406269	
765440	11872	
765441	62918	Babsi
765442	122566	Oma
765443	12372	La microphonée
765443	32026	Une victime
765443	33627	
765443	57504	Jeanne
765443	86792	La voisine
765443	88837	
765443	113141	
765443	123064	La mère Cadic
765443	166131	
765443	170468	
765443	205730	Joséphine
765443	218331	
765443	255574	La tante
765443	259264	La marchande de stylos
765443	270353	
765443	282967	Rose
765443	320607	La Concierge
765443	377793	La grand-mère
765443	380587	Soeur Odile
765443	409448	Marie Jumié
765444	17387	
765445	345525	Une standartiste
765446	90132	
765447	129784	Della
765448	411982	Host (1998 -)
765449	72766	Lainie
765450	35598	Baby
765451	329682	
765452	49306	Roswitha Scharnagl
765453	219017	Mrs. Rice
765454	35824	German Nurse
765454	69403	Mrs. Kassell (Credits)/Mrs. L
765454	92687	Innkeeper's wife
765454	92798	Mrs. Schwartz
765454	130149	A Matron
765454	150867	Maria
765454	154468	Bessie Valborg
765454	177405	
765454	187950	Fran Holweg
765454	196427	Hassan's Wife
765454	197012	Mrs. Tucker
765454	275668	De Segroff's Associate
765454	311737	Aunt Hetty
765454	340786	Madame Grenot
765455	109539	English Teacher
765455	124160	Dog Owner #2
765456	93495	
765457	97030	Miss Hattie's Girl
765458	80646	
765459	13529	Betty Powers
765459	47478	Mignon, as a child
765459	104295	Little Roma
765459	104333	Drummond Child
765459	105132	Jane Cummings
765459	107481	
765459	116735	Ethel
765459	117377	Emily Stuart
765459	128108	Mrs. Chartris
765459	133764	Peggy, as a child
765459	133914	
765459	141159	Bess (in prologue)
765459	143215	
765459	143385	Alice
765459	150882	Louise Manning
765459	157045	Beatrice
765459	207411	
765459	216231	Cosette at 8
765459	220007	
765459	251683	Mary
765459	263898	Buttons Jennings
765459	289597	Pearl
765459	301260	
765459	302918	Kittens Marvin
765459	304502	
765459	306594	Alice Bisbee
765459	307390	Mavis Duval, at 5
765459	308659	Alico
765459	332808	Harris Child
765459	347318	Young Dora Belton
765460	244679	
765461	260207	Bonnie
765461	390272	Golddigger
765462	51635	Babette
765462	141655	Security Guard
765462	252963	Tiffany
765462	319516	Siska
765463	87086	
765464	318729	Cookie
765466	52869	Herself
765466	63066	Suzie
765466	66096	Kellie
765466	90344	April Corrigan
765466	109607	Mack's Secretary
765466	109777	Charity Chase
765466	119487	Ft Attendant Holly Nesbitt
765466	140967	Megan O'Brien
765466	187193	Delta-Nu
765466	196612	
765466	209545	Isobel Carter/Kate
765466	252906	Lois Morgan
765466	276092	Lola St. John
765466	277042	TV Reporter
765466	287126	Eve
765466	289666	Miss Congeniality
765466	315514	Melanie
765466	321176	Anita Gallagher
765466	392219	Rebecca
765466	403149	Karen Petrusky (2001-2002)
765467	395667	Sophie Ziegler
765468	254379	Herself
765468	355239	
765469	12819	
765469	178577	Juliette
765469	394653	Roswitha
765470	74192	
765470	86988	Ruth Reichl
765470	97024	Herself
765471	308015	Brenda Hughes
765472	83082	Bargæst
765473	194358	Sofia
765474	178218	Grandma interrogataing Helen
765475	174829	Sonja
765475	238390	
765475	270301	Lina
765476	139362	A harem girl
765476	327764	Lady in Waiting
765477	189679	Mädchen
765479	134464	Kollegin
765479	191839	
765479	264220	
765480	276125	
765481	19600	Mercer
765481	148987	
765481	185516	Young Pam
765481	318775	Club Torso
765481	409386	Capt. Caroline Walshe
765482	39840	Iroquois Torture Woman
765482	93982	
765482	248149	Karen the Jogger
765483	91936	Young Mother
765483	141279	Bridie
765483	399192	Guard 1
765484	385322	Herself
765485	347006	Mrs. Mozeley
765486	146671	Herself
765487	159537	Ingrid
765488	261570	Girl in Country Store
765489	44183	Grace
765489	48964	Lily
765489	77210	Harriet Clifford (Dalziel's s
765489	77217	Harriet Clifford (Dalziel's s
765489	144416	
765489	158634	Mrs. Hawke
765489	178224	Joyce Virson
765489	189167	Mrs. Abernathy
765489	194809	Gloria Brooks
765489	195345	Maureen
765489	212963	Jenny
765489	220063	May
765489	250448	Maeve
765489	321155	Agnes
765489	353490	
765489	358735	Wendolene Ramsbottom
765489	363394	Pam
765489	366159	Alice Conway
765489	367854	Valerie Barlow
765489	372773	Mrs. Monticue
765489	385020	Valerie Tatlock/Barlow (1961-
765489	386386	Jean
765489	388782	Wendy Holmes
765489	395544	Brenda
765489	396623	Mathilda Bensham
765489	398684	Aunt Kitty
765489	401077	Rita Barrat, pub landlady (19
765489	403337	Sally
765489	403811	
765489	406104	Mrs. Rudge
765489	408262	Patience Mee
765490	267339	Young Lori
765491	77690	Marcia
765491	330570	Rita
765492	246307	Girl on the Phone
765492	250766	
765493	19141	Amanda
765493	31823	Ellie Ballantyne
765493	33141	Sylvia
765493	33644	Miss Wilson
765493	55698	Mrs. Valentine
765493	63102	
765493	68025	(sketch 'Laughing Gas')
765493	88821	Doris Fowle, his late wife
765493	88852	Mrs. Flynn
765493	92579	Miss Ambrose, Harry's Cousin
765493	94767	Lady Augusta Warlingham
765493	101727	Kath
765493	106232	Beryl
765493	107763	Herself
765493	109912	Mrs. Stoppard
765493	142795	Teresa Fanwyn
765493	149225	The Landlady
765493	160556	Mrs. Weaver
765493	169142	Mrs. Slipslop
765493	176974	June 'George' Buckridge
765493	185827	(segment "Invasion Exercise o
765493	232016	Herself
765493	233960	Bertha Hunter
765493	245256	
765493	253882	Various Characters
765493	266618	Mrs. Latham
765493	267846	
765493	277494	Neighbor's Wife
765493	279107	Mrs. Malaprop
765493	282037	Matron
765493	297184	Gran
765493	313514	Rose
765493	343194	Miss Pringle
765493	363205	Maria
765493	365987	The Magistrate
765493	371100	Lady Lambourn
765493	381552	
765493	381660	Various Roles (1955)
765493	381712	Various roles
765493	381713	
765493	383793	
765493	388493	Mrs. Stoppard
765493	389260	Various Characters (1964-1965
765493	389995	Co-presenter
765493	393001	Mrs Knox
765493	395226	Helen Magee
765493	398280	Arethusa Wilderspin
765493	404664	May Mole
765493	405696	Connie Sachs
765493	406770	
765493	408299	Connie Sachs
765493	410065	
765493	411232	Irene (Rene) Jelliot
765493	411287	
765494	30071	
765495	143651	Dancer
765496	23944	Auditioner
765497	326378	
765498	215732	Cloe
765499	267253	Small Girl in Fish Shop
765500	158207	Flirty Girl
765500	342797	Irene
765501	117026	Martha Tremblette
765502	92505	Old Woman
765502	190264	Cleaning Woman
765502	221297	Mrs. Huggins (Flower Show)
765502	262265	Meglin's maid
765502	263555	Maid in Parsonage
765502	320308	Mrs. Craddock
765502	334162	Ida, Piersen's Maid
765502	360068	Mrs. Bassett (at the estate d
765503	380424	Herself
765504	401392	Kathy Jarvis
765505	185475	Mo
765506	195400	Woman In White
765506	195685	Brenda
765506	292449	Herself - director
765506	297801	Various Characters
765506	384700	Various characters
765506	389498	Various (1995-1997)
765506	393528	Additional Characters
765506	397624	Various Characters (2001)
765507	197715	Suzie
765508	1805	Herself - Presenter
765508	11915	Mrs. McLemore
765508	22701	Marty's Wife
765508	31198	Herself (CBS Team)
765508	66288	Merissa Lane
765508	160476	Herself
765508	193957	Joan Haines
765508	241148	Miss Maxey
765508	266084	Helene
765508	372217	Coach Dawson
765508	383707	Host
765508	389249	Hanna Griffin
765508	389350	Vivian Banks #2 (1993-1996)
765508	395659	Eartha
765508	405737	Micki Dennis
765509	50814	Eve
765510	149954	Extra
765510	337649	Phyllis
765511	45756	Atlanta Georgia
765512	68450	Imelda's Mother
765512	160325	Herself
765512	203304	Mrs. Rock
765512	217411	Smallpox Woman
765514	51990	Pandora
765515	292553	
765516	5409	
765516	18549	Doris
765516	22931	Sandra Burtch
765516	32657	Mother
765516	41121	Rita
765516	42913	School Teacher
765516	61418	Mme. Frappier
765516	94578	Judge Hanson
765516	141632	Abigail
765516	155859	Marge
765516	157734	Gypsy
765516	158154	Rose Speller
765516	206129	Mrs. Quick
765516	223719	Harriet Miller
765516	230703	Sylvia
765516	265683	Lucinda Pilcher
765516	321667	Pamela Farbrother
765516	358835	Dr. Goodfine
765516	358985	Linda Burke
765516	366728	Nicely
765516	384732	Mona Swicker (1975-76)
765516	386909	
765516	391378	Doris/Ms. Pierre/Mrs. Wiggins
765516	392450	Judge Myopia Scorn
765516	393240	Sour Pickles
765516	394494	Cathy King (1975-78)
765516	396991	Diamonds the Elephant
765516	397130	Sister May
765516	400633	Deirdre Duncan
765516	403370	Eleanor Sharpe
765516	408294	Mrs. Jenkins
765517	2275	Herself
765517	7418	Mrs. Patterson
765517	16419	Clara Dutton
765517	80022	Alice Grayson Horton
765517	80023	Herself/Alice Grayson Horton
765517	161227	Herself
765517	203799	Girl
765517	211394	Emily Gilbert
765517	241748	Alice Grayson Horton
765517	292285	Emily Hamilton
765517	368952	Mrs. O'Connor
765517	380713	Grace Baker #2 (1959-1962)
765517	385824	Alice Grayson Horton (1965-pr
765517	387309	Rose Pollock #2 (1964)
765517	401940	Portia Blake Manning #1 (1954
765518	67709	
765519	107993	
765519	186309	
765521	366075	
765522	80517	Girl 1
765523	381762	Anchor
765524	186307	Marion
765524	200892	
765524	302929	Katherine 'Kathy' Wagenkampf 
765524	328514	Lucille Roberts
765524	328567	
765524	363119	Becky Ross
765525	142351	Girl at Store #2
765526	116016	Margaret
765526	292792	Sister Annunzia
765526	348848	Marjorie
765527	217528	Hospital Nurse
765528	4733	Mary Todd
765528	16419	Dr. Ruth Leavitt
765528	23211	Grace Pinza
765528	34639	
765528	50979	Mary Wright
765528	63010	Molly Gottchalk
765528	64408	Doctor Emily Reid
765528	67576	Mrs. Walters
765528	73796	Clare Kornylo
765528	78009	Nancy's mother
765528	81035	Lt. Shirley Ridgeway
765528	81190	Linda Loman
765528	81273	Sylvia
765528	81543	Rosalie
765528	82334	Claire
765528	91789	Mrs. Swanscott
765528	96609	
765528	101031	
765528	101064	Catherine Stockmann
765528	102244	Margaret Dysart
765528	105707	Mrs. Graham
765528	109050	Welfare woman
765528	113857	Sister Victoria
765528	115492	
765528	121454	Dr. Baldwin
765528	127986	Camille Dupont
765528	140533	Julia Dayton
765528	145066	Mrs. Hatcher
765528	161873	Queen Victoria
765528	185085	Sister Mary Rose
765528	218136	
765528	222668	Pansy Street
765528	241692	Julia Bradley, 'Homecoming' s
765528	255697	Jonathan's Mother
765528	257168	Dr. Jessica Morgan, Director 
765528	271211	Gladys
765528	287322	Blomart
765528	297893	Maggie Knowlton
765528	299644	Mrs. Graham
765528	301393	Mrs. Wrangway
765528	321206	Pearne Manners
765528	326460	Faye
765528	330866	Hazel Starr
765528	344180	
765528	365802	Isabel Mackenzie
765528	385594	Aunt Lil Trotter (1982-1983, 
765528	389799	Marion Jaworski
765528	395974	Hilda
765528	398245	Martha Cameron
765528	411016	Old Adeline
765529	247453	Mother Witness
765529	272934	Policewoman
765529	334250	Jackie
765530	246005	Rachel
765531	138724	Cheerleader
765532	41988	Party girl
765533	137699	
765534	196559	Charlene
765535	185503	Mrs. Jeziorski
765536	35144	Fashion Model
765536	245049	Jessica
765536	258881	Sandra
765536	307264	Astronaut #4
765537	20625	Extra
765538	283462	Crowd Extra
765539	214871	
765540	287547	Esther
765541	209658	Traveler
765542	163288	Bus passenger
765542	294353	Mother
765542	304865	Mrs. Crumm
765543	381608	Nell Quinney
765543	391493	
765543	402012	Mrs. Granger
765544	30437	Noeleen
765545	67373	Mrs. Phillips
765546	30379	
765547	73941	
765547	368952	Spanish woman
765548	362446	Alice Neff
765549	408126	Jordan
765550	65118	Ayla's Mother
765550	249595	Dancer
765551	396353	Ward Sister
765553	197623	
765554	16642	Melanie
765554	160386	
765554	378913	Reporter
765554	411625	Zoe Green
765555	55947	
765555	74531	
765555	80247	
765555	192986	
765556	295488	Adrienne (segment "Victim")
765557	220090	Mrs. Madison
765558	154927	Kristal
765559	72733	Bahamas Receptionist
765560	129762	Gnome Maiden
765561	308175	Nurse
765562	195424	
765562	297939	The Wife
765563	383868	Sophie
765564	395727	Coach Maya
765565	41401	Medical Examiner
765565	49841	Geena
765565	87936	Counselor
765565	143068	
765565	231904	Dream Vampire #5
765565	308052	Saleswoman
765565	389416	Betty Grissom
765566	84222	Miss Howard
765567	163496	Managers assistant
765568	1168	Dr. Elizabeth Perry
765568	12404	Mrs. Fortune
765568	13942	Mrs. Weeks
765568	34493	Sara Kovac
765568	37488	Mother
765568	39845	Female Lover
765568	46215	Mrs. Buttle
765568	74025	Vera Mussell
765568	93579	Lydia Gibson
765568	109248	Mrs. Rice
765568	110739	Iris
765568	114606	Gillian Pierce
765568	154745	June
765568	217410	Jenny
765568	221215	Joyce
765568	244306	Bianca
765568	303030	Lady Florrie Rawlinson
765568	304764	Mrs. Fitzhal
765568	314779	Mrs. Baggot
765568	331607	Natasha
765568	357385	Jake's mother
765568	366405	Lily
765568	387521	
765568	388895	Lily Brewer
765568	389975	Miss Langley
765568	390030	Hilda
765568	400111	Eileen
765569	185703	Molly's daughter
765570	389135	Susan Hensley
765571	354563	Club 1,000,000 Lineup
765572	142672	
765573	12622	Janice Pennyworth
765573	177604	Mrs. Bright
765573	267486	Businesswoman with Car
765574	138120	Priscilla
765574	138164	Little Girl
765575	381451	Reporter/Newsreader
765576	402120	Clare
765577	381091	Herself (eliminated round 1)
765578	105813	Woman
765578	113909	Rita
765578	119467	Mary
765578	149434	Sandra Chapman/Silent Cameo
765578	276427	Lynne Pensky
765578	387454	Kennedy Marsh
765578	411517	Camazotz Woman
765579	93241	
765579	105851	Naomi
765579	254614	Ulga
765579	285300	Kelly Manchester
765580	1706	Herself
765580	1737	Herself
765580	12311	Aline Cedrac
765580	14131	Victoria 'Vicky' Lathum
765580	14132	Vicky Lathum
765580	20603	Jennifer
765580	37178	Bunny Lebowski
765580	42807	Sara Olswang
765580	74010	Marci Greenbaum
765580	85072	Julianne Olsen
765580	92618	Connie Travis
765580	128085	Cybil
765580	154822	Prom Queen/Nightclub Bartende
765580	171297	Angelique
765580	179041	Emily
765580	184420	Amy
765580	223745	Lisa Taylor
765580	276882	Amanda
765580	311852	Herself
765580	324862	
765580	348607	Sasha Thomas
765580	350343	Gwen Pearson
765580	362439	The Girl
765580	364734	Lola Byrne
765580	384082	Cast Member (1982)
765581	2964	Clara Gibson
765581	63101	Grace MacNeill
765581	78759	Sophy Braganza
765581	135608	Amy
765581	149943	Stacey Foley
765581	251341	French Girl
765581	276427	Firefighter girl
765581	277175	Claire
765581	407421	Lisa Clarke (age 11)
765582	137197	Doctor
765582	314444	Marie Axhelm
765583	22701	Janice
765583	117134	Rochelle
765584	297653	Lisa
765585	181005	Divorced Woman
765585	209298	American girl
765586	99224	
765586	195367	
765586	304866	
765586	321384	Chorus Girl
765587	292668	Miriam
765589	40745	Joanna
765589	43871	Martha Chapman
765589	96763	Second Gold Rush Woman
765589	116907	Virginia
765589	326655	Teacher
765590	233856	Heathen Biker
765591	394177	Priscilla (voice: German vers
765591	400819	
765592	99427	Roosje
765592	130230	Sylvia
765592	164265	Jet
765592	175241	Juffrouw Dubois
765592	258242	Dollie de Duif
765592	286039	Woman in shopping mall
765592	374303	Emily
765592	388832	Major
765592	392493	Mientje
765592	394634	Various parts
765593	345881	Officer
765594	211876	Evelyn White
765595	97523	Yachtswoman
765595	251798	Mark's Mother on deathbed
765595	276895	Herself
765596	11576	Maeve O'Neill
765596	26392	The Third Midwife
765596	81563	Bridie
765596	85050	Frankie's mother
765596	97681	Barbara
765596	108709	Kathy O'Malley
765596	118674	Isabella Leitner
765596	120860	
765596	128515	Griet's Mother
765596	162247	Tricia
765596	208531	Mrs. Thrace
765596	279734	Lily
765596	291760	Cynthia
765596	352465	Frances Cahill
765596	392172	
765596	400546	Roz Vasey
765596	402141	Noreen Lafferty
765596	404099	Maggie Delaney
765596	405829	Isabelle Jennings (1994)
765597	279200	Dancer
765598	315999	Darlene
765599	179049	Neighbor Friend
765599	230126	Church Spectator
765600	179049	Kidnapped Girl
765600	230126	Church Spectator
765600	301398	Little Linda
765601	403805	Dr. Elizabeth Bader (2001-)
765601	407453	Co-Host
765602	114648	Aunt Ethel
765603	76784	Astrid Juell
765604	407817	Herself - Norwegian Participa
765605	325600	Schwester Herta
765606	128315	Lucy
765607	40422	
765609	181109	Arti
765609	280169	Jen Karsten
765609	363602	Bristol
765609	400236	Shawna Quinlan (2001-present)
765610	55444	Gallery owner
765611	254	
765612	631	
765612	4640	
765612	174759	Ann Pattison
765612	177781	Frau Goetze
765612	218969	
765612	223463	
765612	302761	Pet
765612	390812	Gerda Becker, geb. Schwitzgab
765612	391604	Ilse Wünsche, geb. Brahms (19
765612	409609	Frau Schneider (1991)
765613	279701	
765614	291825	Female Mariachi Band
765615	146657	Woman in Car
765616	23035	
765616	23345	Monika
765616	48334	Magda
765616	150762	Jirinka
765616	165061	Maruska
765616	196349	Ellen
765616	229394	Kindergarden teacher
765616	237522	Girl
765616	247551	
765616	265233	Guest
765616	266345	Girlfriend
765616	268294	Mirka
765616	317627	Helper
765616	349323	Mirka
765616	367327	Konstanze
765616	394263	
765617	112027	
765618	216083	
765619	2676	
765619	5142	
765619	5687	Frau Böttcher
765619	92488	Margret/The Housekeeper
765619	107365	
765619	118620	
765619	119283	
765619	124977	Mother
765619	130939	
765619	140241	Schwester Sophie
765619	144136	
765619	156973	
765619	159858	
765619	219702	
765619	225136	Aunt Mariechen
765619	225307	
765619	226354	
765619	343698	
765619	352613	
765619	356543	
765619	360927	Mamsell Dörte
765619	361378	Gesine Kreyenborg
765619	361385	
765619	368743	
765620	50928	His Wife
765620	158382	His Fancy
765620	367749	Father's Lady Friend
765621	13137	
765621	98442	
765621	143682	
765621	193190	
765621	274839	
765621	286279	
765622	17868	The Baker
765622	35302	
765622	48351	Mireille
765622	84630	La serveuse
765622	101547	Ferdinand's girlfriend
765622	106205	Catherine Lechardey
765622	116992	Assistante opérateur
765622	235875	La serveuse
765622	254017	La Vendeuse
765622	294374	L'antiquaire
765622	294554	
765622	345287	Béatrice
765622	346516	Sylviane
765622	350154	
765623	53960	Car Hop
765624	81168	Girl at mansion #3
765626	386055	Denis
765626	387066	Riri/Fifi/Loulou
765627	16612	
765627	27913	
765627	58411	
765627	207777	
765627	246838	
765627	294911	
765627	328409	
765628	183467	
765629	52583	Anna
765630	210103	Maya
765631	111957	
765632	226105	DD
765633	7625	
765633	115381	Flicka
765633	134403	Maria
765633	180404	
765633	218767	Woman in Car
765633	259740	Tina (Moeder Polleke)
765633	320467	Prostitute
765633	338962	Mieke Volkers
765633	354458	Natsje
765633	361922	
765633	367977	Hostess Patty
765633	373537	
765633	376185	Bo
765633	376255	Ronnie
765633	378092	Isa
765633	379191	Ellie
765633	402132	Sanne
765634	195525	Renske de Vries
765635	238480	Mirjam
765636	298870	Chinatsu
765636	320400	Sanni
765637	367714	Woman's legs
765638	169090	Durga's sister
765638	233498	Angel
765638	346246	Tina Angel
765639	378735	Cute girl #1
765640	177309	Betty
765641	396054	Susan Baker
765642	263234	Emma
765643	142535	Tiffany
765644	32356	Singer
765644	48712	Herself - Band Vocalist
765644	240440	Cugat's singer
765645	59882	Secretary
765646	59589	Sally Brown
765646	163517	Sally Brown
765646	163578	Sally Brown
765647	228447	Girl in brothel
765648	1999	Vanessa
765648	14230	Caterer
765648	37047	Wolf Party Guest
765648	53323	Cop
765648	187191	Reporter
765648	300343	Go-Fish Employee
765649	26180	Dr. Daniels' Nurse
765649	117118	Lucy Wainswright
765649	201598	Charlie Rose
765649	283895	Cat Lady
765649	398558	Lillian 'Lil' Tinker
765650	224326	Neighbour #1
765650	258876	Mrs. Ellis
765650	328247	Nurse
765650	363486	Patty
765651	299649	Marjoree
765652	164549	Mary
765653	155227	Sandy
765653	245632	Marcy
765654	108261	Phil's Girlfriend
765654	113928	Alice Schillinger
765654	151101	Theatre-Goer
765655	205722	Marie
765655	209728	
765656	167257	Mr. Purse, Additional Voices
765656	199428	Princess Sakuya
765657	113658	Anna Livia
765658	281937	Pregnant woman
765659	229113	Natalie
765659	261570	Roommate
765659	305351	Barbara
765659	359553	Judy
765660	48948	Miss Plimpton
765661	18577	Mrs. Hughes
765662	217745	Art History Student
765662	304294	Mary
765662	363355	American Girl
765663	388209	Zora McCarthy (2003)
765664	23873	Wendy
765664	61791	Patience Heatherstone
765664	80403	Viv
765664	104674	Herself
765664	185516	Young Amy
765664	208632	Nimnh
765664	223748	
765664	251436	Cherry
765664	258932	Mary Gerrard
765664	259165	Clowance Poldark
765664	261763	Wendy
765664	263792	Polly Henry
765664	273591	Clarice
765664	285302	Fiona 'Finn' MacKenzie
765664	295565	Julie
765664	302110	Kimberley
765664	313549	Maid
765664	382128	Laura
765664	391666	Nancy Miller
765664	411382	Nancy
765665	77826	Rose Delongpre/Kambra
765665	102674	Nurse
765665	132223	Chrissy
765665	147612	Student
765665	281794	Rose
765666	103917	Herself
765667	283361	Woman
765668	44433	Woman in Jail/Woman Breaking 
765669	58172	Nannette
765670	33793	
765671	27171	Hot South Beach Woman
765672	321141	
765673	402433	Co-anchor (2002-2004)
765674	118294	Jules Grant
765675	56276	
765676	118431	Amelia
765677	196233	Beatrice
765678	217943	Bank Teller
765679	399105	Host (1992-1993)
765680	308212	
765680	343519	
765680	360846	Fru Cornelius
765681	98423	Child
765682	323868	
765683	279376	Chief's wife
765684	226811	Sofia Erling
765685	386421	
765685	391674	Albinha
765685	401897	Tatiana Gouveia
765685	405936	Alice
765686	197179	
765687	120058	Katjas Mutter
765687	388640	Dr. Koenig
765687	399734	Dr. Pia Mewes
765688	179876	
765689	117320	Maria Lowe/Desdemona
765690	180222	Jacob's second date
765691	216865	
765691	352350	
765692	6173	Frk. Hansen (Peters Sekretær)
765692	123500	Klara Karius
765692	134972	Mona Foethmann
765692	153343	Hustru der spiller tjenestepi
765692	154138	Sussi
765692	187662	Lise
765692	225680	
765692	244002	Mona Bang, Bernhards kone
765692	248719	Dagmar Gruesen
765692	307317	Statsanklagerens sekretær
765692	307713	Frk. Vibeke Søgaard
765692	307775	Laura Heiberg
765692	308201	Lizzy
765692	353033	Helga
765692	353035	Lis
765693	357086	
765694	49273	
765695	268808	Naja
765696	7559	Borgmesterfruen
765696	7578	Dans farmor
765696	12522	Emma
765696	22844	Eli Malmros (1986)
765696	76377	Psykiater
765696	94337	Kims mor
765696	117900	Johanne
765696	120858	Annette
765696	122339	Rikke Fritjofsen
765696	142511	Kvinden
765696	143022	Ulla
765696	150617	Angelique Pinglet
765696	165917	Fru Olsen
765696	180407	Rosa
765696	182100	Miss Jepsen, Andersen's house
765696	182602	Damen med hatten
765696	190840	Sygeplejerske Fru Thomsen
765696	190844	Fru Madsen
765696	203398	Sørens kone Gerda
765696	213336	Kunde
765696	225313	Calcura
765696	236253	Iris
765696	240099	Jordemoderen
765696	268376	Damen i vinduet
765696	287120	
765696	287375	Moderen
765696	291615	Moren/The Mother
765696	300976	Elvira Claves
765696	305311	Stine
765696	306973	Belse
765696	311169	2. kvinde
765696	318588	Cissie Kahn
765696	324478	Elna From
765696	327053	Fru Rust
765696	343945	Fru Simonsen
765696	348960	Harlekins usynlige
765696	354739	Rasmussen
765696	380411	Frk. Nyborg
765696	390865	Herself
765696	394071	Hertha Skaarup
765696	396282	Various roles
765696	397074	Laura
765696	398855	Fru Sjøstrøm
765696	399892	Ruth
765696	407294	Gudrun
765696	409362	Various roles (1972-1975)
765697	281895	Hot Chicks Sister
765698	79105	Molly
765699	114242	Hanna
765700	40315	Mother, young
765701	246114	
765701	406318	Carla
765702	119254	
765702	142189	Grosse Blonde
765703	117585	Danser
765703	142504	
765704	105456	Peasant Girl
765705	129504	Prestefruen
765706	110741	Herself - Psychologist
765707	44583	Herself - Supreme Court Attor
765708	281303	Greta
765709	165058	A Girl
765710	68473	Coral Hoople
765710	128528	
765711	218442	Rachel
765713	119959	
765714	4767	
765714	196710	
765714	325654	
765714	327892	Liselotte, German Scientist's
765715	60466	Chelsea Clinton
765716	102979	Schicky 2
765717	1261	
765717	89891	
765717	116360	
765717	247932	
765717	306841	
765717	333650	
765717	390099	Mother
765718	83140	
765718	85553	Camila Ulloa
765718	88194	
765718	225552	
765719	146458	
765719	248526	
765719	291604	
765719	379136	
765719	391855	
765719	393036	Herself (2004)
765719	397457	
765720	88345	
765721	168739	
765722	68430	
765723	122392	
765724	223871	Trini
765725	7336	Canzonetista
765725	40270	Esperanza
765725	53639	
765725	53640	Herself
765725	53839	
765725	129526	
765725	193505	
765725	193513	Lola
765725	198848	
765725	235981	
765725	294712	
765725	318016	
765725	351483	
765726	29920	Marina
765727	84784	
765727	88706	
765727	113204	
765727	135353	
765727	160652	Ana
765727	188999	Brenda
765727	205664	Carlos's sister
765727	225045	
765727	252216	Margarita
765727	279585	
765727	281219	Lucia
765727	337567	
765727	376688	Elena
765727	405398	
765728	7336	Isabel
765728	129526	
765729	49732	Herself
765730	410674	Natalie (1999)
765731	265148	
765732	268440	Carmela
765733	162204	Angelina
765734	122377	
765735	115339	
765736	35598	Claudia
765736	290048	
765736	290570	
765736	303667	Marion
765736	403792	Cleo
765737	115021	Herself
765738	93882	
765739	361167	1st Girl on Bus
765739	372307	Sally Brown
765740	376082	
765741	139594	Daughter in Coffeeshop
765742	363581	Beth
765743	140229	Karla Paulsen
765743	290599	Ulla Narazani
765743	361111	Gisela Schertling
765744	117651	Jennifer
765745	382803	Host
765745	390943	Host
765746	47531	
765746	291854	Helen Gray
765747	259527	
765748	103068	Muttchen
765748	103120	Anjas Mutter
765748	164904	Rita
765748	178639	
765748	259557	Dorothee
765748	259644	Frau Artloff
765748	312643	
765748	312655	Annerose
765748	334544	Connie
765748	364937	Karin Petermann
765748	406829	Christine
765749	12856	Lina Kirch
765749	23989	Frau Miethke
765749	91042	Gudrun Sasse
765749	122254	
765749	136214	Ute
765749	136217	Ute
765749	181062	
765749	259482	Marlies Reichert
765749	259570	Barbara
765749	312640	Leonie Beyer
765749	325715	Maria
765749	326021	Mutter von Jella
765749	361324	
765749	376316	Fromet
765750	220709	
765750	381694	
765751	3942	A- Hollywood reporter
765751	150786	Gail
765751	178218	Schuller Gallery artist
765751	192160	Casting director
765751	282534	
765751	300945	Christine
765751	313087	Soap opera nurse
765751	331290	Nina
765752	109971	Mrs. Goodman
765752	203670	Tourist in Elevator
765752	205080	Solana's Mother
765752	334104	Gruba
765752	362808	Older customer in orgasm scen
765753	217102	
765754	309597	Anna McMillan
765755	124378	Extra
765756	77066	
765756	94639	
765756	138474	
765756	197569	
765756	252008	
765756	255637	Gianna
765756	319324	
765757	366540	
765758	59599	Marie Norman
765758	116217	
765758	128416	Annette
765758	163250	Bit Part
765758	265361	Bit
765758	302917	Bella Twitchelesko
765758	358954	Girl #2
765759	54368	Theres
765760	124378	Extra
765760	213240	Victim 2
765761	34611	Music Awards P.A.
765762	97529	Girl in Bed
765762	319945	
765763	396250	Boarding-School Girl
765764	193227	Tramp
765764	243039	
765765	113355	Michelle
765766	122468	
765767	162364	14 Year Old Jenny Leighton
765768	404799	
765769	184098	Sachsenhausen tourist #3
765770	234826	Pige/Girl
765771	75360	Miranda
765772	225256	
765773	80659	Elsebeth
765773	83087	
765773	109134	Patient
765773	168951	Anne
765773	213334	Ida Schmidt
765773	214027	Rikke
765773	226141	Nille
765773	240222	
765773	248424	
765773	305565	Katja
765773	314845	Colette
765773	352991	Grete
765774	16565	
765774	70500	
765774	123040	Servitrice
765774	142216	Martin og Augusts mor
765774	213334	Esther Schmidt
765775	305565	
765776	93516	Lena
765777	83087	Hofdame
765777	84307	Hippie-pige
765777	107304	Bertha
765777	108173	Klinikassistent
765777	108753	Elise Lorentsen
765777	123040	Redaktør
765777	123885	Lotte
765777	127499	Susanne
765777	147395	Lisbeth Justesen
765777	153383	Helle Berg
765777	213334	Stuepige
765777	236241	Tulle
765777	240094	Bilist i gul Renault
765777	240109	Pike i gul bil
765777	255664	Marianne Koch
765777	255665	
765777	266365	Katy Ericson
765777	266370	Kristine Hansen
765777	284394	Rigmor
765777	303691	Klara
765777	304517	Alice
765777	305565	
765777	315355	Frk. Sørensen
765777	332258	
765777	397074	Mrs Jebbe
765778	32385	Svensson
765778	35054	
765778	107882	Elisabeth
765778	118967	Roswitha
765778	304410	Elin Larsson
765778	304413	Hanna
765778	308195	Monika
765778	326044	Gun (episodes 1, 3)
765778	333050	
765778	350605	Mariana
765778	377398	Katarina Retke
765779	226959	Laura
765780	645	Office Girl
765781	87896	Mourner #2
765782	37472	Winslow's Secretary
765782	411221	Mrs. Grobke
765784	289667	Blanche Harris, Father Harris
765785	352240	Frau Klein
765786	118743	
765787	51442	Lucille Bolduc
765787	174154	Candidate névrosée
765787	186127	Lucille Bolduc
765787	198635	
765787	387668	Nicole Fortin
765787	401320	Lucille Bolduc
765788	133353	Big Sister
765789	392098	Alma (2002)
765790	406501	
765791	156985	
765792	18635	Choir Member
765793	324465	
765794	46192	Host
765794	392913	Host (2001-2003)
765795	331299	
765795	365426	Jess Sheppard
765796	199380	Le reine Caroline
765796	340203	
765797	84016	
765798	322513	Chefin
765799	12973	
765799	55392	
765799	121299	Flavia
765799	205960	Christiana
765799	281743	
765799	346557	Gisela
765799	396307	
765800	304443	Cousin from Greece
765801	273628	Townspeople
765802	9113	Secretary
765802	80467	Waitress
765803	291698	Police Sketch Artist
765804	31206	
765804	38104	Ju-Ju, the performance artist
765805	5133	Eva Roberti
765805	211098	
765806	384743	Herself/Panelist
765807	79617	Julia
765807	140238	Barbara
765807	173980	Ariane
765807	189554	Katrin
765807	189556	Katrin
765807	189593	Helen Schmidt
765807	225291	Ursula Stüben
765807	248401	
765807	281731	Elizabeth
765807	281732	Melanie
765807	343679	Heike
765807	352107	Anne Leipold
765807	352384	Frau Reich
765807	377359	Patricia Dorn
765807	377362	Patricia Dorn
765807	379372	Inga Schmidt-Pudent
765807	389840	Katrin
765807	402532	Dr. Patricia Daum
765807	404431	Renate
765807	411936	Host (1993-1994)
765808	26619	Mrs. Bowman
765808	132820	Jury Foreman
765808	149711	Miss Jones
765808	150853	Sarah Ludwig
765808	189957	Capt. Briggs
765808	272592	
765808	400805	Carlotta Chavez
765809	7554	
765809	93398	Lillian Leitzel
765809	94801	Maria Romberg
765809	144155	
765809	182745	
765809	186984	
765809	226258	
765809	248313	Renata Pfefferkorn
765809	347049	
765809	354787	
765810	140945	Nurse
765810	287560	Marju
765811	391078	
765812	288088	
765813	134967	Nancy Runge
765814	154796	
765815	19303	Mary Beth
765815	234204	Vicky
765815	316963	
765816	27408	Tanssija
765817	364998	Kammersängerin
765818	102613	Alessandra
765818	225214	Christine
765818	306510	Iris
765818	407986	Lili
765819	208992	Young Veronica
765820	107364	Emmy
765821	114311	Woman In Market
765822	101451	Harriet (age 5)
765823	687	Herself
765823	2762	Performer and Winner Choreogr
765823	2780	Herself - cast of 'Chicago'
765823	2810	Presenter
765823	11485	Kate Jagger
765823	17749	Grace Farrell
765823	47363	Herself
765823	47385	Herself
765823	47386	
765823	57684	Herself
765823	118108	Performer
765823	161277	Herself
765823	175531	Herself
765823	175540	Herself
765823	190617	Ms. Grace Farrell/Mrs. Grace 
765823	212960	Micki Salinger
765823	220552	Troubles Moran
765823	232140	
765824	114984	
765825	300091	Miss Reinhart
765826	404763	
765827	212371	Honeymooner
765828	69242	Vanesa
765829	121311	
765829	324456	Margot
765829	351677	
765830	207032	
765831	259498	
765831	325505	
765831	325679	
765831	364939	Sarah Jones
765831	386905	Carmen Williams
765831	388640	
765831	394903	Winnie
765832	351502	Screaming Sirens band member
765833	99558	O'Connor's daughter #2
765834	263779	Jake's Girl
765835	318487	Marie
765836	214230	
765836	325585	
765837	7285	Jenny Clark
765838	158352	Kelly Banks
765838	277123	Hilary Tick
765838	297115	Rosaline
765838	343006	French woman
765838	396699	Julia
765839	101332	
765839	110883	Frau Keller
765839	155411	Karla
765839	177223	
765840	12873	
765840	38768	Pflegerin
765840	77395	
765840	84543	
765840	98322	Das Mädel von der Litfassäüle
765840	99145	
765840	110983	Tochter des Gärtners
765840	119243	Brigitt
765840	120275	
765840	120944	
765840	124432	
765840	124983	
765840	125013	
765840	134802	Mutter im Luftschutzkeller
765840	138545	
765840	155383	
765840	170118	
765840	171561	
765840	172846	
765840	173707	Tami
765840	178560	
765840	179639	
765840	179836	
765840	187726	
765840	226242	
765840	264352	
765840	283955	
765840	290034	
765840	290180	Käte von Brauenberg
765840	290496	
765840	308244	
765840	314548	
765840	322519	
765840	322939	
765840	333255	
765840	352671	
765840	361131	
765840	361481	
765840	365698	
765840	369392	
765841	38830	
765841	142010	
765841	182763	
765841	189081	Mária
765841	207086	
765841	281643	
765841	308244	
765842	178647	Addie
765843	179708	
765844	18669	Prostitute
765844	68915	Menina da Janela
765844	118841	Employée péage
765845	251840	
765846	327812	
765848	146783	Pam
765849	108728	
765849	377609	
765850	18993	Jean
765850	61611	Jamie
765850	73560	Janelle
765850	105113	Kate Ellis
765850	107069	Connie Taubenfeld
765850	120248	Woman #4
765850	139591	Miss Hopkins
765850	168630	Mrs. Tennant
765850	169946	Jo Graves
765850	222570	Lily
765850	232497	Gloris Grant
765850	308041	Elaine
765850	331798	Carly
765850	340742	Lynn
765850	402947	Lucy Ramone
765850	403469	Stephanie
765851	304237	Evelyn
765852	251561	
765853	268280	
765854	246425	
765855	80959	
765856	17576	Dancer
765857	380081	Marilyn
765857	388721	
765858	57323	Katy
765858	77258	Carmem/Sabrina/Lila Van/Inês 
765858	88793	
765858	107022	
765858	113023	Doris
765858	115768	Sabrina
765858	132999	
765858	135134	Laureana
765858	149523	Angelita Alves
765858	160119	
765858	165733	
765858	168134	
765858	169072	Helena
765858	204614	
765858	214632	
765858	237882	Helena
765858	276572	Ana Maria
765858	280850	Regina
765858	308753	Flora
765858	341149	
765858	351966	
765858	357193	
765858	379244	Marilu
765858	384118	Helena Kreguer (1998-1999)
765858	384922	
765858	386377	Marilu
765858	386420	Mercedes
765858	392510	Eleonora
765858	396722	Vera
765858	397544	Carmem
765858	399490	Norma
765858	400445	Guilhermina
765858	404160	Santa
765858	404185	
765859	13643	Freyha
765860	403733	
765861	330881	Girl in Suit
765862	386726	Eugênia
765862	408381	
765863	248047	
765864	40891	Vi
765865	134624	Maria
765866	54762	
765866	334565	
765867	8566	
765868	282814	
765869	104834	
765870	83007	
765871	104480	
765871	260526	Sónia Ruth
765871	355556	
765871	384429	Ruby
765871	390489	Becas
765871	407780	Joana
765872	236395	
765873	252752	
765874	213707	
765875	197155	
765876	159420	
765877	269171	
765877	344853	
765878	70228	Ricardo Reis (Leitor)
765879	317309	Hospital Entrance Goodbye
765880	3261	Lee Yan-Kin
765880	86318	Michelle Lam Man-Ting/Fan Lin
765880	88613	Ti Yun
765880	95291	The Killer's Agent
765880	110593	Ching Ling
765880	116602	Ting Ting
765880	116603	Ting Ting
765880	121776	Yuki
765880	137154	Yip Man-Sau
765880	137161	Emerald
765880	138626	Kar-Yan Li
765880	138630	Jackie Fong
765880	141892	'Ice' Poa
765880	167854	Lo Hsaio-Hsiao
765880	168031	
765880	168033	Anita Yeung
765880	170257	Sum Yu
765880	196644	Shang'er Twin
765880	208681	
765880	215517	Du Shi Niang
765880	239138	Lok To
765880	268651	Laura
765880	302892	Yuet Chi/Moon
765880	333508	Adele
765880	369581	Chiu Seng-Neng
765880	369587	Princess Choi Siu-Ling
765880	369648	Kiddo
765880	370608	Windy (Gaye)
765880	372258	Sharon
765880	373105	
765880	373395	Cecilia/Xixi (Chinese pinyin 
765880	374822	Winnie
765880	374943	
765881	401805	Inês
765882	396884	Carol
765883	215879	Flamenco Dancer #2
765884	398310	
765885	198408	
765886	101811	
765886	306794	
765887	383561	
765888	30513	
765889	384117	Female Singer
765889	402086	Gipsy Woman
765890	70228	Alberto Caeiro (Leitor)
765891	67240	Laurie
765892	17695	Mrs. Spencer
765892	47521	Kitty
765892	52008	Mrs. Purchase
765892	59110	Gloria
765892	75612	TV Laugher
765892	107165	Grace Walsh
765892	120248	Woman at Reception
765892	168290	Rose Torre
765892	176480	Customer
765892	184719	Aunt Irene
765892	194277	Wealthy Matron
765892	206335	Billie Ehrlich
765892	213027	Becky
765892	245710	Flavia Drancy
765892	253021	Mrs. Parachi
765892	269856	Mrs. Dobbs
765892	292261	Winnie
765892	312962	Daryl's Mother
765892	338298	Lila
765892	363080	Ellen Parmenter
765892	385445	Vicie DeMarco
765892	401026	Mrs. Wilkins
765892	403490	Mrs. Spencer
765893	151071	Indian Girl
765894	62699	Lucile
765894	108333	Sue
765894	144641	Liz
765895	387120	
765896	52582	
765897	187592	
765898	274731	Ursula
765899	47922	KT
765899	154152	Annie
765899	382641	Jan Brady
765900	55885	Gretchen
765901	160262	Anja
765902	53220	Protokollantin
765903	185168	
765904	55393	New York Philharmonic Quintet
765905	17509	Lady Rochford
765905	103132	Eine alte Fürstin
765905	134811	
765905	187539	
765905	189775	
765905	205725	
765905	211128	
765906	364643	Irene
765907	334156	Patrol Officer
765908	352146	Herself
765909	152337	
765910	226344	
765910	325385	
765911	276197	Circus Performer
765912	370853	A Grosvernor residant
765913	77413	Afdøde Jonsens elskerinde
765914	361611	
765915	190464	Young clerk
765916	472	
765916	93401	Vevi
765916	95263	
765916	98067	
765916	119368	
765916	125299	
765916	126844	
765916	136173	Königin Maria Eleonora
765916	175780	
765916	225744	
765916	253964	
765916	274884	
765916	289956	
765916	302483	
765916	343504	
765916	351939	3. Sekretärin
765916	367152	
765917	92007	Schoolgirl
765917	134107	Daughter Friscalli
765917	231768	Young customer
765918	244841	Lowell schoolgirl
765919	226733	Mrs. Judita
765919	387031	
765920	50049	
765920	100407	
765921	18854	Polly
765921	236887	Ann Taylor
765921	342462	Dorothy
765921	387332	Duchess of York
765921	402777	Janet (1963)
765922	35163	
765922	224164	Woman on Street
765923	217171	Carol
765924	100573	Herself
765925	34621	Herself (Philly's sister)
765925	34704	
765926	380074	
765926	408562	
765927	167018	Language Coach
765928	149974	Flight Attendant/Office Voice
765929	119025	Party Girl
765930	318792	Stock company member
765931	155013	Girl/Jack's movie
765932	91888	Volleyball Coach
765932	171485	Vicki Sanchez
765933	316179	Yiddish Woman #2
765934	87323	German officer's girl
765934	321982	Ingrid
765934	364306	Ann Wilding
765934	384497	Simone Vonderaa
765934	408960	Ghislaine Foss (1969)
765935	108937	Leslie
765935	335592	Tina
765936	165450	Bertha Rochester
765937	26825	Patron
765938	298650	
765939	78289	Herself - Psykolog
765940	130302	Farmer's Wife
765940	308168	Maria
765941	334011	Mourner
765942	19946	
765944	42170	Cook at the clinic
765944	49505	
765944	93443	Wondraschek, Telefonistin
765944	118997	Dicke Frau
765944	132539	
765944	140214	
765944	248540	
765944	266775	Frau Glasedonner
765944	361528	
765944	365906	Mrs. Gloop
765945	265775	Circulating Nurse
765946	69776	Cindy
765946	370359	Melanie
765947	363910	Vikki
765948	70753	
765949	239756	Railcor Computer Voice
765950	174535	Schoenherrin
765950	379177	
765951	142655	
765952	302678	
765953	368363	Alice
765954	2679	
765956	158141	Traveler
765957	161865	Chorus Girl
765958	104516	Elinor Lester
765959	151891	
765960	52516	The Girl
765960	211755	Wounded Man's Wife
765961	217896	Rapping & Rocking
765962	109938	Lost Girl
765963	32658	Janie
765963	79478	Girl at Durenberger's
765963	109938	Victoria
765963	127255	Girl with Puppy
765963	177204	3rd Grade Student
765963	310130	Nerdluck Bupkus
765963	342593	Granger Granddaughter
765964	225129	Anja
765965	229482	Unknown Woman
765965	237140	Hiltsje
765966	33526	Verkoopster
765967	357380	Eeg zuster
765969	325609	
765971	68322	Natascha Nikochevski (German 
765971	351945	
765972	102609	Christine Mühlemann
765972	386906	Dr. Ruth Waldner
765973	23877	Susanne Auberger
765973	35200	Lieselotte
765973	47844	Gisela
765973	125218	
765973	136727	Elisabeth von Berlichingen
765973	138543	Wieb
765973	156628	Verena
765973	156655	
765973	164902	Ada
765973	205761	
765973	210102	Betty Snell
765973	288811	Paula
765973	314471	Dora
765973	317479	Elisabeth Kröger
765973	325747	Daniele
765973	348055	
765973	376408	Ingrid Häkele
765973	380870	Susanne Auberger
765973	388798	Lilly
765973	391012	Tizia
765973	391273	
765973	392855	Anja Seller
765973	401058	Annette Krechting
765973	404498	Elisabeth
765973	406321	
765973	406730	Denise von Chandoré
765974	327239	Party Guest
765975	182942	Rochele
765976	181099	Widow
765976	208750	Maria
765977	281657	2. Bedienstete
765978	216387	
765979	404488	Angelika 'Angie' Gessner
765980	99109	Clitennestra
765981	201598	Jennifer/Wardrobe
765982	168074	Ruby
765983	327337	Herself - Interviewee
765984	67183	
765984	159387	Elle
765984	353888	
765985	165077	Swedish
765986	83230	Russian Girl
765987	148676	Wedding guest
765988	174541	Voice of Sonetka
765989	174999	Herself
765990	2606	Herself (Lifetime Achievement
765990	2617	Herself (Presenter)
765990	4103	
765990	4164	
765990	4194	
765990	4207	Sheetal
765990	4268	Tulsi (Shambhu's wife)
765990	4324	Sarita
765990	4438	Mansi
765990	4502	
765990	8140	Nina (Mrs. Mehra)/Radha (Mrs.
765990	8492	
765990	8673	
765990	9774	Radhiya
765990	13857	Herself on TV
765990	14462	
765990	14520	
765990	15827	
765990	15827	Aishwarya
765990	17644	
765990	17899	
765990	18909	
765990	18924	Sharda
765990	21746	Jyoti
765990	24274	Sita Vajpai
765990	25549	Minu
765990	25664	Bharti Bhandari
765990	25975	Asha
765990	27774	Madhuri/Malti Chaudhary
765990	27973	Peshwa
765990	30115	
765990	30590	Purnima, 'Nima'
765990	36249	Champa
765990	36277	Witch Doctor
765990	36289	Bhawani
765990	37520	
765990	38218	
765990	39030	Shalu
765990	49155	Lakshmi
765990	57877	Ms. Srivastava
765990	58559	Shila Sahini
765990	59849	Guest Appearance
765990	60402	Daisy
765990	65574	
765990	76456	
765990	76682	
765990	79208	Annie
765990	81708	
765990	85315	
765990	85330	Asha & Radha
765990	85362	
765990	86632	
765990	86649	Saritaji
765990	86700	
765990	88468	
765990	88470	Rekha/Sunita Devi
765990	88553	
765990	88609	Sunita
765990	88640	
765990	91468	
765990	91593	
765990	95238	
765990	98471	
765990	98497	Sadhana
765990	98500	
765990	98524	
765990	98742	
765990	106792	Maya
765990	109110	
765990	123737	Dhaniya
765990	123978	
765990	124962	
765990	126938	Aarti (Mrs. Vikas Chandra)
765990	127027	
765990	127344	
765990	130561	Herself (Guest Appearance)
765990	131948	
765990	135865	Rosy
765990	139830	
765990	140496	
765990	156105	Sudha
765990	156955	
765990	160172	Police Officer
765990	160173	
765990	164291	
765990	164299	
765990	164315	Champa
765990	165146	
765990	165407	Club singer (Guest Appearance
765990	166493	Sangeeta
765990	167352	
765990	167353	
765990	169847	Gauri
765990	171845	
765990	171897	
765990	172030	
765990	172136	
765990	172187	
765990	172677	Rekha/Rashmi
765990	172895	Supriya
765990	172920	Rasa Devi, teacher of the Kam
765990	174148	
765990	174211	
765990	174298	
765990	174366	
765990	174398	Dancer (Guest Appearance)
765990	175105	Sudha
765990	175909	
765990	175992	
765990	176032	Maya
765990	176084	
765990	176085	Aarti/Jyoti
765990	176097	Rekha
765990	176147	Manju
765990	179393	Sonia Mehra
765990	183318	
765990	184075	Ramdulaari
765990	193293	
765990	198747	
765990	198767	
765990	199281	Madam X/Sonu
765990	204095	
765990	209864	Sheela
765990	209872	
765990	211270	Sharda
765990	218341	Featured Solo Singer
765990	219906	Asha Britannia
765990	221048	Shanno
765990	222054	
765990	222058	Kamini
765990	222500	Qawwali singer
765990	222503	
765990	222507	Zohra Bai
765990	222910	
765990	226675	Sunita
765990	227129	Shama
765990	228850	Guest
765990	229375	
765990	233206	
765990	233212	
765990	247106	Dancer (Guest Appearance)
765990	249230	
765990	254833	
765990	262374	
765990	262823	
765990	262866	
765990	267267	
765990	268085	Soni
765990	268701	Yamini
765990	270196	
765990	270200	
765990	271044	
765990	271712	Shobha
765990	271715	
765990	271727	
765990	271743	Radha
765990	271841	Rani
765990	271887	
765990	272168	
765990	284717	Munmun
765990	284787	
765990	285103	
765990	287627	
765990	287800	
765990	289181	Chanda
765990	289182	
765990	289308	
765990	298629	
765990	301908	Chandni
765990	308986	
765990	309783	Radha
765990	316711	
765990	318412	Vasanti
765990	333271	
765990	344050	Varsha
765990	344991	Umrao Jaan
765990	348916	
765990	349091	Vasantsena
765990	354313	Neelima
765990	359158	
765990	367221	
765990	370944	
765990	373830	Kalpana
765990	373831	
765990	375879	
765990	375997	Maharani Mandira Devi
765991	344066	
765992	113724	Biji
765993	301469	
765993	375533	
765994	182692	
765995	219243	
765996	86584	
765997	256947	
765998	141809	Mrs. Sandman
765998	149634	Office girl #3
765998	163185	
765998	171801	
765998	181649	Fanny
765998	181652	Dr. Mäkinen
765998	184065	Ms. Johansson
765998	234649	Pirkit
765998	236795	Madame Lilly Labert
765998	255764	Social worker
765998	264291	Tuonetar
765998	278875	Office girl
765998	283232	Saleswoman
765998	324756	
765998	341543	Elisabeth Varjo
765998	354255	
765998	354274	Emma
765998	355136	
765999	141887	
766000	172765	Küchenmagd
766001	344650	Child
766002	4403	
766003	244110	Zuzanna
766003	265335	Lila Dobraniecka
766003	284079	
766003	304109	Countess Wernicka
766003	315814	Housekeeper
766004	70774	Ratomska
766005	402386	Medusian #2
766006	211662	
766007	98573	Leni Sträubler
766007	120169	Grand Duchess
766007	144130	
766007	275606	
766007	294741	Ramona de Garcia
766007	322519	
766007	333643	
766007	361011	Zenzi
766008	83213	Theresa
766008	93399	Françoise Müller
766008	270036	
766008	292593	Laura Meister
766008	379858	
766010	192902	
766011	160094	
766012	102834	Herself (model)
766013	175223	Daughter
766015	49091	
766016	23636	Geneviève
766016	76030	Cécile
766016	166870	Simone Michaud
766016	169314	Roger's wife
766016	201204	
766016	263003	
766016	283047	
766016	355861	
766017	161857	Fanciulla rapita
766017	375884	
766018	226411	Herself
766019	61986	
766019	84474	
766019	84641	Barbara Scarth
766019	89009	
766019	98028	
766019	100060	Silvetta
766019	107056	Ruth Kravo
766019	111114	
766019	232851	
766019	252775	
766019	287325	
766020	188350	Old Lady
766021	79862	Jo Payton
766021	104564	Mary
766021	120439	Magda
766021	366768	Millie
766022	127572	Kim
766022	382332	Jackie Clemence
766023	203377	Velma Riggs
766024	190601	
766025	163050	
766026	336439	Hanni
766027	17646	Anne, enfant
766027	62564	Laura
766027	65781	Juliette
766027	345022	Betty 1967
766028	84316	Maj
766028	130145	Mamman (Britta)
766028	204538	Mrs. Kollberg
766028	264279	Princess
766028	320582	Gunnel Andersson
766028	388583	Eva
766028	404039	Script supervisor on tv-stati
766028	411580	Britt, the clothes shop-hand
766029	284433	
766030	144788	Lisa Stenstrom
766030	204268	Night Nurse
766031	81302	Narrator
766032	79858	Helen Ward
766032	195931	Restaurant Patron
766033	412075	
766033	412076	Aldona "Zyleta" Zylecinska
766034	115574	Marie Monot
766034	288898	Anna Livak
766034	346554	Camille
766034	382219	Esther Delcourt-Malet
766035	14708	
766035	43000	Hertha von Stauffen
766035	53725	Helene Edwards
766035	64554	Elissa Caro
766035	93424	Loni Diermoser
766035	93484	Angela
766035	115946	Maria (the maid)
766035	122492	Bit Part
766035	125076	Stewardess
766035	125172	Veronika
766035	155102	Anni
766035	155463	
766035	172380	Antonia
766035	184000	Laila Logje
766035	193303	Ingeborg Werner
766035	218985	
766035	232729	
766035	246516	
766035	282074	
766035	286294	Rita
766035	288720	Wanda
766035	290126	Steffi von Beckessy
766035	290172	
766035	290176	Therese
766035	293416	
766035	306506	Kitty
766035	308821	Mira
766035	344808	
766035	346851	
766035	352009	
766035	364995	
766035	376875	
766035	390520	Griselda (segment "Rendez-vou
766037	194564	Conference Parent
766038	95432	
766038	98813	
766038	239496	
766038	380531	Anna
766038	404290	Laura
766039	20388	
766040	146452	
766040	197962	
766040	302980	
766041	312271	
766042	380713	Alma Miller #2 (1963-1977) (h
766042	390288	Mrs. Bigelow
766042	390771	Elsie Miller (1955)
766042	410669	
766043	67593	Waitress
766043	87511	Carlota Gonpaz
766043	157580	Loop Group
766043	264137	INS Woman #2
766043	304535	Newsweek Reporter
766043	363903	Mother
766044	211657	Directrice du centre
766045	2742	Robber
766046	188453	'Dislike' Girl
766047	2311	Herself - Presenter: Writing 
766047	2542	Herself
766047	15936	Laura Manion
766047	16070	Fern O'Neil
766047	26430	Georgette Thomas
766047	41843	Cassie Walters
766047	46425	JoAnn Hammil
766047	46853	Marge
766047	68736	Greta Vandemann
766047	77449	Lola
766047	78843	Gene LePere
766047	80034	Kirsten Arnesen Clay
766047	82334	Julia
766047	84377	Karen Leland
766047	98811	Eleanor Roosevelt
766047	99969	Anne Grange
766047	104683	Eugenia Young
766047	105971	Kelly Sherwood
766047	107081	Betty Lou Fleckum
766047	116499	Phyllis Rogers Stone
766047	127530	Janet Broderick
766047	128336	Elizabeth McHenry
766047	131619	Michelle Tenney
766047	137626	Cora Templeton Massingale
766047	139041	Sheila Metcalfe
766047	140658	Margaret Sullavan
766047	142838	Kate Brooke
766047	153281	Fran Morrison
766047	154165	She (Agnes)
766047	156195	Kay Summersby
766047	165302	Herself
766047	166986	Jesse Maloney
766047	188589	Leslie Crosbie
766047	194093	Eula Varner
766047	194413	Fay
766047	203472	Maggie Cutler
766047	209525	Doctor Zonfeld
766047	218547	Herself
766047	234075	Kate Palmer
766047	238537	Alicia Browning
766047	240327	Kathy Thorn
766047	273549	Terry Seton
766047	275465	Host
766047	283542	Stella Black
766047	287128	Temple Drake
766047	292704	
766047	295489	Antonia Lynch-Gibbon
766047	308136	Viv Stamper, Hank's Wife
766047	318674	Alma Winemiller
766047	327093	Barbara
766047	327428	Miranda
766047	328553	Katherine Thorn (The Omen)
766047	330095	Callie
766047	336140	Diana Conti
766047	336668	Eleanor
766047	336819	Jan Charters
766047	339510	Maggie Stratton
766047	355350	Grace Gardner
766047	362635	Molly Thatcher
766047	365420	Carol Garth Baldwin
766047	367916	Mira Adams
766047	380647	Sarah Bernhardt
766047	381111	Herself
766047	388202	Snow Queen
766047	392571	Kay Summersby
766047	393427	Jennie Jerome
766047	397938	Kate Browning
766047	399838	Frances Schreuder
766047	402552	Lady Margaret Alexander Weidm
766047	410953	Erica Trenton
766048	28680	Child
766049	33586	La servante
766050	376906	1er violon
766051	306199	Robbie
766052	113771	Dancer
766053	317899	
766054	392693	Rachel Simone Levesque
766055	289013	Layla
766056	237796	Narrator
766057	1381	Herself - a Story Copyist
766058	20625	Extra
766058	96987	Hotel guest
766058	188547	
766058	219901	
766058	292318	Dean of Women
766058	319131	Mrs. Runnymeade
766059	16909	WAAFS
766060	1995	Herself
766060	57682	Herself
766060	73570	Actress at Audition
766060	116550	Angie
766060	122756	Grace Nakimura
766060	126752	
766060	129579	Theresa
766060	139432	Frankie
766060	149411	Vixen
766060	154399	Herself
766060	160419	Herself
766060	161306	Herself
766060	187326	Koala
766060	239786	Lara Campbell
766060	313511	
766060	353499	Carrie Heffernan
766060	382023	Carbine
766060	388768	Terry Reynolds (1997-1998)
766060	388808	Dominique Costellano (1995)
766060	392423	Herself
766060	394495	Carrie Spooner Heffernan
766060	395807	Charlie Briscoe (1989)
766060	396686	Tina Bavasso (1991)
766060	401359	Sagan Cruz
766060	404373	Stacey Carosi (1991)
766061	327732	
766062	161574	Mrs. Carr
766062	269695	Helen Wainwright
766063	359929	Francesca Descartes
766064	394827	
766065	348963	Tordis, datteren
766066	303785	Herself
766067	7204	Francine
766067	215767	Eva
766068	91259	Katrien
766069	380430	
766070	12803	
766071	255841	Mary Brewster
766072	183357	Emily
766073	388445	Participant, 'first out' (200
766074	205150	
766074	275634	
766075	251176	
766076	270631	Herself
766077	83766	
766079	377199	
766080	53945	Model
766081	7868	Maggie
766081	19170	Heather
766081	93338	Taffi Fisher
766081	127324	Nicole
766081	164663	Teenage Girl
766081	232457	Girlfriend
766081	235460	Chris
766081	267111	Maggie
766081	305438	
766081	343017	Carolee
766081	363913	Pregnant Woman at Bus Stop
766082	65407	Marie Beaumarchais
766082	90065	Donna Ines
766082	98305	
766082	107358	
766082	226159	Gerda Harrer
766082	249102	Lily Dafon
766082	335027	Zimmermädchen Angelika
766083	170215	Host
766084	180575	Eva
766085	215984	
766087	339418	Titorelli's Girl
766087	357948	Ilona
766087	394999	Clarissa Knipperdolling
766088	101010	Jana Zachová
766088	179233	Herself
766088	239419	Girlfriend
766088	262286	
766088	357948	Zuzana
766088	375946	Gábina
766089	42791	Nurse #2
766090	5213	Midwife
766091	107501	Dorothy
766091	363585	Herself
766092	241799	Halloween girl
766092	301390	Siri
766093	83861	
766094	83558	Nurse
766095	337740	
766096	7481	Bindar's Secretary
766096	112634	
766096	280896	Sob Sister
766097	340348	Sophie
766098	59271	Voice
766099	36281	Srikutty, Vidradharam's daugh
766099	337974	
766100	307479	Carole
766101	53220	Sekretärin
766101	59314	Polizistin
766101	231463	
766101	308958	Helen
766101	312600	Karin
766101	344737	
766102	161030	
766102	224698	
766102	319079	
766103	101347	Daniela
766103	293550	
766103	311215	Actress
766104	275575	The Hairdresser
766105	87037	
766105	131446	
766105	171430	
766105	181426	
766105	189131	
766105	232853	
766105	330611	
766105	369174	Prince's Sister
766105	374996	
766106	310572	
766107	32259	
766107	48686	
766107	63304	Scholar
766107	86317	Scholar
766107	87037	Shixian Zhou
766107	128355	
766107	138266	
766107	171430	Painter
766107	177547	
766107	181426	Prince of the Jin State
766107	189131	
766107	189218	Shanbo Liang
766107	192474	Dou E's Husband
766107	224619	
766107	224623	
766107	237114	
766107	274282	
766107	280990	
766107	287505	
766107	295358	
766107	365046	
766107	374996	Yi Li
766108	77143	Girl on the Couch
766109	111211	Meng Xia
766110	111211	Wenwen
766110	189137	Ning Wa
766111	167404	Xuehua
766111	268733	Yang Qiangyun
766111	369630	
766112	140055	Sunny
766112	343408	
766113	16341	Clarisse
766114	389280	
766114	396755	
766115	286416	
766116	260266	Sidewalk Girl
766117	281233	Monna Ghita
766117	301356	
766117	334798	
766117	351577	
766118	59151	Newsroom Executive Producer
766118	203918	Mirella Freeman
766118	361227	Faye
766119	15069	La cuisinière
766119	51422	Olympe
766119	52698	
766119	235705	L'impresario
766119	354935	
766120	339796	
766121	169650	
766122	367581	Secretary
766123	16616	Claire
766123	19322	Nicole Mezaule
766123	28147	
766123	32484	Francesca
766123	51793	L'hôtelière
766123	89952	Laurette
766123	94535	La vicomtesse de Fontaines
766123	99409	Gaby
766123	103194	
766123	103199	Gloria Morena
766123	107382	Marguerite Maroni, Helene's m
766123	112687	Mathilde Peyrolles
766123	119038	Desire's advocate (segment "F
766123	148640	Madeleine Jolivet
766123	148658	Lola, Cabaret Singer
766123	188697	Hortense de la Jacquerie
766123	189162	Mme Volanges
766123	189349	Annette
766123	202591	Adèle Rémy
766123	224908	
766123	224910	
766123	236582	Françoise Clozat
766123	238488	Thérèse Barjus
766123	240604	
766123	249707	Marianne Séverin
766123	253213	Madame Du Barry
766123	256610	Marie Pearson
766123	268879	Dora Monier
766123	281014	Huguette
766123	287591	Lady Mary Mulligan
766123	300695	Marquise de V...
766123	324753	
766123	327889	Suzanne
766123	328048	Angel/Eva Parker
766123	340148	Mme. Gerfaut
766123	345277	Françoise's friend
766123	355854	
766123	357077	Marie-Ange
766123	377633	Denise Giraucourt
766123	380902	La comtesse
766123	402619	Mme Anodin
766124	11040	
766124	23649	La secrétaire de Kerbriant
766124	28149	Mme Levasseur
766124	28681	La mère de Jacqueline
766124	53069	Thérèse
766124	63657	
766124	83235	
766124	101171	
766124	110124	Nanny
766124	111043	La voisine
766124	111067	Mme Watin
766124	113134	
766124	190970	
766124	198549	Madame Bonduelle
766124	247977	Petite vieille 2
766124	248888	Françoise
766124	260938	
766124	269738	La vendeuse de la confiserie
766124	280546	La mère de Jean
766124	318492	Patronne Auberge
766124	384186	
766124	387611	La couturière
766125	4914	
766125	5741	
766125	25023	Madre en Bolsa
766125	109264	Conserje
766125	110749	Fredi's grandma
766125	183467	
766125	238514	The rich widow
766125	318259	Señora de negro
766125	322403	Señora entrevistada
766125	355544	
766127	50201	Léa
766127	65770	Mme Olga
766127	91277	Josiane Mauvin
766127	91457	Gina
766127	162109	Clarisse/Monique
766127	200949	Jacqueline Larrieux dite Jaco
766127	217714	La mère
766127	236195	Mme Martel
766127	243946	Herself
766127	255490	Irène
766127	345450	Clara
766127	353925	Fréhel
766127	390466	
766127	401680	Rachel (2004)
766128	265603	Secretary Henderson
766129	368244	Ensemble member
766130	340647	
766131	111063	Special Guest Cannes Film Fes
766132	4734	
766132	129543	Mooney, Danny's Partner
766132	217478	Nightclub singer
766133	108256	Officer #2
766134	398940	Anchorwoman
766135	17471	Anne Dollwood
766136	2441	
766136	10123	
766136	51599	
766136	68845	
766136	69325	
766136	71298	
766136	74817	
766136	83216	Greta Borg
766136	83491	
766136	103995	Sarita Espinoza
766136	121948	Kungyan; Queria
766136	135284	
766136	145307	
766136	148120	Sonia
766136	158603	
766136	190997	
766136	192977	
766136	193025	Sonia
766136	207014	
766136	212480	
766136	223620	Renata
766136	225180	
766136	225591	Secretaria
766136	253057	
766136	253082	
766136	256519	
766136	268048	Kungyan/Queria
766136	268246	
766136	269253	
766136	291650	
766136	296125	
766136	296148	
766136	328536	Rita/La Jarocha
766136	353863	
766136	375740	
766136	383471	Inspectora Pantaleona Malacar
766136	383518	
766136	384126	Srita. Irena
766136	397598	Endolina
766136	403741	Leopoldina
766136	403752	Zoila Barriga
766136	404186	
766136	405859	
766136	409719	Estela
766137	838	
766138	103791	journalist
766139	241160	Party Guitarist
766139	326942	New actress
766140	30474	Little Girl's Mother
766141	164467	Various voices
766142	396622	La bonne de Lompont
766143	113431	
766143	159768	Victoire
766143	189106	Djamina
766144	190796	Nurse
766145	298038	Sarah
766146	363267	Hoe #2
766147	222033	
766148	1293	Julie
766148	23681	
766148	33581	Nicou
766148	59301	Mamie
766148	65356	Herself
766148	89281	La mère
766148	99736	Dora
766148	116481	Marceline
766148	125724	
766148	132955	Fleur de la Joucqerie
766148	156558	Rose Filhol
766148	158933	Viviane Robustal
766148	164157	Ninon
766148	168886	Herself
766148	192540	Herself
766148	198570	Margot Piquet
766148	199569	Madeleine Thuilier dite La Ma
766148	199588	Agnès Bourdieux
766148	201999	
766148	211152	Betty
766148	248996	
766148	259771	Polly West
766148	269986	La chanteuse
766148	278708	Simone
766148	282405	Florence
766148	286346	
766148	300962	
766148	320451	Suzie Berton
766148	326058	Juliette
766148	336931	Suzanne
766148	345312	Herself
766148	346443	
766148	346515	Colette Valier
766148	346797	Garance
766148	356388	Simone Castres
766148	377008	Fanny
766148	386645	
766148	388691	Henriette
766148	396042	Louise Richard
766148	397410	
766148	397857	Suzanne Castella
766148	401329	Reine Cadalen
766149	33582	
766149	44921	Adèle
766149	58117	Mme Ranievsky
766149	63157	Isabelle la Catholique
766149	63851	Thérèse Gauthier
766149	66717	
766149	69459	Araminte
766149	72076	Anna Tripied/Irene Salvago
766149	82605	
766149	83371	La mère
766149	85546	La marquise
766149	85692	La prieure
766149	103207	Émilienne Périer
766149	110057	
766149	139545	Maude
766149	152621	La mère de Benoît
766149	153791	
766149	166267	
766149	166314	Herself
766149	177180	Herself
766149	188699	His mother
766149	194111	Mother Superior
766149	197388	Cricri
766149	197393	La grand-mère
766149	203945	Mme Boulard, aka Mémé Boul
766149	205237	
766149	205523	Maria Chapdelaine
766149	207770	Rose
766149	216113	Nell 'Mistigri' Marignan
766149	254148	
766149	257212	Mme Tellier (segment "La Mais
766149	263882	
766149	265350	Herself
766149	275515	Yvonne Laurent
766149	284206	La comtesse
766149	294818	
766149	328409	
766149	341770	Mary
766149	351824	
766149	356514	Marise Voisin
766149	377956	
766149	391625	Herself
766152	216104	
766153	272637	Natalia
766154	289055	Noémie
766155	7549	
766155	73195	Marianne Hugues
766156	40277	La fermière
766157	156334	
766158	164688	La tante de Rio
766158	208448	Frida
766159	230637	
766160	13112	Claudia Desfeuilles
766160	15107	Irène
766160	23582	
766160	51434	Maria
766160	58744	Marguerite
766160	61983	L'infirmière
766160	71504	Isabelle
766160	73074	Françoise
766160	83344	Françoise
766160	101139	Madeleine
766160	109104	Joséphine
766160	109735	Cécile
766160	120979	Ancienne maîtresse d'André
766160	121345	
766160	140302	Catherine
766160	153872	Marie
766160	156330	
766160	166125	Sophie
766160	166151	
766160	177037	Marie
766160	195157	Mme de Beauvais
766160	200947	La secrétaire de Janin
766160	202421	Marianne
766160	212547	Anna
766160	218284	Momo's Mother
766160	218318	Aurore
766160	218464	Laure
766160	243021	Isabelle Fournier
766160	249138	Pascale Saller
766160	266395	Madeleine Cmte/Soledad
766160	300810	Czarina
766160	337735	Véra Brenner
766160	353790	Marine Lafitte
766160	376919	France
766160	377477	Marthe
766160	380436	Hélène Rives
766160	382763	Commandant Lauren Valmont (19
766160	384965	Beate
766160	392911	Christine Broussard
766160	396228	
766160	409527	Nelly Fougerolles
766161	73066	Blandine
766162	286313	Malika
766163	118752	La secrétaire de Carbonnier
766164	391479	
766165	205967	Raymond's daughter
766166	412195	
766167	11500	
766167	407509	The Mother
766168	215623	
766169	201135	La jeune femme enceinte
766170	247977	
766171	41319	
766172	40083	Nelson's Bed-mate
766172	70963	Cleo
766172	79284	Paula Warren
766172	79851	
766172	80878	Poker Kate
766172	83961	Muffy St. Jacques
766172	86815	
766172	88192	
766172	183669	Effie
766172	183819	
766172	206096	Crystal Collins
766172	226875	B-Girl
766172	228103	Cecelia Solomon
766172	251785	Stripper
766172	355022	Minnie the Madam
766173	145623	Sofie
766174	364016	Young Woman
766175	361481	
766176	14553	
766177	400727	Claudia
766178	119877	Uklízecka
766179	53835	Figlia Ermini
766180	96067	Mireille
766180	111978	Magali
766180	182949	Woman in Hall of Apartment Bl
766180	219497	Mme Marchal
766180	258857	Suzanne
766181	399850	Klara Klintberg (2000-)
766182	205471	
766183	163267	Mae West Double
766184	224014	
766185	359855	Girl on Videotape
766186	190663	Nurse #1
766187	312264	
766187	342018	Marcie
766188	324199	
766189	8079	Second Woman
766190	193932	Lisa
766191	24566	
766192	105884	Connie
766192	232831	Sandra's Daughter
766192	234054	Cristina
766193	182626	Nina
766194	152198	
766194	213717	Nadia
766194	274645	Dueña
766194	380099	
766194	385401	Enfermera 1
766194	390404	
766195	187880	
766195	396852	Vilma
766195	398469	La China
766195	410477	Gladys Sánchez de Álvarez
766196	231593	
766197	350351	Paula
766198	386126	
766199	51525	
766199	255549	
766199	278426	
766199	317798	
766199	353990	
766200	391590	
766200	395332	Lulú
766200	397257	Sol Ángela
766200	397499	
766200	399900	Laura (Bam Bam's Girlfriend)
766200	401699	Cindy Mercedes Casilimas
766200	402452	Diana
766200	407347	Carolina
766201	141893	Bride
766202	40657	Beverly McFadden
766203	23963	
766204	206388	Charmaine Cleveland
766205	207710	Mrs. Collins
766207	231965	
766208	358501	
766209	242517	
766210	249548	Sorority Girl
766211	142464	Ring Girl
766213	372071	Paris
766214	50444	Cheerleader #2
766215	913	Kelly
766215	191966	Monique
766216	158873	Security System operator
766217	34945	
766217	198987	
766217	294249	Mistress #2
766217	304343	
766217	319461	Model
766217	360567	
766218	354854	Angel/Dancer
766219	8016	
766219	11231	Crystal
766219	21834	
766219	21836	
766219	21837	
766219	21838	
766219	21839	
766219	22086	
766219	27237	
766219	27353	
766219	32223	
766219	33015	
766219	35165	
766219	41070	
766219	43474	
766219	43478	
766219	43485	
766219	43525	
766219	43527	
766219	45039	
766219	45059	
766219	45080	
766219	49817	
766219	56190	
766219	60156	Barbara The Beautiful (Part 4
766219	65902	
766219	66137	
766219	67115	
766219	68684	
766219	69679	
766219	70108	
766219	70917	
766219	73111	
766219	73846	
766219	83811	
766219	83831	
766219	84341	
766219	87569	
766219	87966	
766219	91907	Secretary late for work
766219	92461	
766219	95200	
766219	95201	
766219	95207	
766219	98175	
766219	98176	
766219	110184	
766219	110738	
766219	113521	
766219	118356	
766219	123611	
766219	128560	
766219	132430	
766219	132841	
766219	143980	
766219	147810	
766219	150148	
766219	150938	
766219	151632	
766219	160046	
766219	165434	
766219	165842	
766219	176462	
766219	179061	
766219	181081	
766219	184957	
766219	200491	
766219	207489	
766219	210279	
766219	216156	
766219	216968	
766219	228055	
766219	228638	
766219	232221	
766219	232381	
766219	233702	
766219	233703	
766219	236329	
766219	236349	
766219	245200	
766219	251168	
766219	253118	
766219	253132	
766219	255321	
766219	263077	
766219	267219	
766219	267341	
766219	267352	
766219	269363	
766219	281462	
766219	284624	
766219	289540	
766219	292718	
766219	293638	
766219	298169	
766219	311160	
766219	312132	
766219	316894	
766219	317225	
766219	317804	
766219	319640	
766219	321326	
766219	325072	
766219	326017	
766219	327522	
766219	331741	
766219	331765	
766219	332438	
766219	332452	
766219	334723	
766219	334724	
766219	336347	
766219	337080	
766219	342763	
766219	354795	
766219	362625	
766219	363614	
766219	366242	
766219	369348	
766220	307457	Mrs. Barker
766221	334154	Girl at Bar
766222	101454	Cheaning Lady
766222	158994	Ivans Whore
766224	139961	Claudia
766225	276240	Featured City Walker #7
766226	177013	Patchoo
766227	197128	
766228	18732	Juanita Wharton
766228	245358	Ann Townsend
766228	302022	Giselle Viola
766229	314836	
766230	77624	Angela
766230	259147	
766230	292715	Jessica
766230	333856	Steerage dancer
766230	402849	Herself
766230	403822	
766231	224689	Rachel Drake
766232	56571	Bambi/Kristina
766232	297321	Sexy Blonde Girl
766233	254076	Babette
766234	300519	
766235	102829	Lora (OBGYN Tribe)
766235	282561	Blonde
766235	366736	
766237	12813	Alyson
766237	26273	Bobbi Jean
766237	48948	Krista's Teacher
766237	72319	Nurse #2
766237	233558	Dutch's Wife
766237	278260	Receptionist
766237	285796	Catherine
766237	299732	Flight Attendant
766238	223807	Molly Goodman
766238	280064	Honey Midnight
766239	61819	
766239	149790	Professor Mallory Baynes
766239	207454	Monica Decker
766239	363078	Rene Walsh
766240	381574	Herself/Miranda
766241	153070	
766241	272527	
766242	296261	Grace
766243	174918	The Kazettes
766244	264157	Genovian Cafe Patron
766244	271344	Intern Mary
766245	56304	Showgirl in Parking Lot
766245	340502	Une Fille De La Nuit
766246	263798	Waitress
766247	170256	Terese
766248	23952	Stephanie
766248	246012	Beth
766249	60186	Steinmetz Teacher #1
766250	251985	
766251	110943	Sandy
766252	1955	Herself
766252	117556	Lovely Indian girl
766252	299471	Frankie
766252	330027	Herself
766252	334153	Quilt Documentary Narrator
766253	19325	
766253	84682	Une des jeunes filles
766253	307476	
766253	357833	La chanteuse
766254	285205	
766255	232181	Zora
766256	383234	
766257	134568	Map Point Betty
766258	144523	Brill's Daughter
766259	308738	Daughter #2
766260	335472	
766261	78835	Hilary
766262	80557	Woman in Gallery
766263	285823	
766264	124903	Tessa
766265	264991	Annette
766266	290589	Frau Bäumler
766267	233394	Gonzalo's Sister
766268	380858	Co Host
766268	403904	Co-host
766269	254236	
766270	230863	Theater Reception Guest
766271	236972	Adult at the Party
766272	217670	
766272	217672	
766272	283700	
766274	362453	Unimpressed Woman
766275	66557	Janet
766275	311512	Red-Haired Woman
766276	22022	
766276	29535	Bess Lynne
766276	53958	Mary Logan
766276	61792	Sylvia Ensor
766276	69275	Edna Brown
766276	69735	Tattie
766276	113748	Lois Markham
766276	118053	
766276	130864	Celie
766276	140541	Kate Ballard
766276	169842	Millie Lundsford
766276	193969	Princess Hedwig
766276	210829	Polly Adair
766276	217450	Virginia Hale
766276	249109	Helen Durkin
766276	261422	
766276	270999	Mary Warde, an orphan
766276	272532	
766276	282401	Josephine Hamiltoon
766276	297886	Nellie Ramsey
766276	361617	Barbara Main
766276	362478	Rose Kendall
766276	363810	Constance Lanyon
766276	366773	Viola Campbell
766277	75244	
766277	111357	
766277	199443	
766277	206603	
766277	314046	
766277	344624	
766278	169140	Asher's Wife
766278	394552	Jo
766279	318081	Isabelle
766280	195736	Laura
766281	56988	
766281	59990	
766281	74384	
766281	165334	Girl in Puticlub
766281	189298	
766281	190409	
766281	204740	
766281	204783	
766281	235296	Amiga Terraza Café
766281	275276	
766281	279742	
766282	50147	
766282	62365	Kalyani
766282	180568	Rose Mary
766282	222105	Sumithra
766283	284442	Clarinetist
766284	108210	
766285	213363	
766286	378611	
766287	259750	Lee Krasner
766288	81894	Rose Evans
766289	372569	Bargirl
766290	66055	Matilda
766291	393003	Moa
766292	88604	Inah
766293	365050	Tai
766295	11171	Nurse Margaret
766295	23583	April
766295	32241	Betty
766295	47451	Peggy
766295	363778	J.C.
766296	77357	Mademoiselle Doucet
766296	261711	Mamy
766296	264378	Anne d'Autriche
766297	264378	Queen Anne of Austria
766298	2361	(complete version)
766299	336849	
766299	376995	Madame Mouchet
766300	5663	Carola Stein
766300	125159	
766300	180197	
766300	188776	Sacristan
766301	18544	Friend in Owner's Box
766301	44450	Barmaid (Arthur's Bar)
766301	44844	Anita
766301	104999	Nurse Susan
766301	119622	Female Anchor
766301	141605	Policewoman
766301	157240	Reporter
766301	175832	Policewoman
766301	178138	TV Reporter
766301	228434	Antonia Chavez
766301	233307	Bethesda Nurse
766301	242815	Judge
766301	258859	Female Officer
766301	263170	Teacher
766301	294980	Saleswoman in boutique
766302	162241	Iria
766302	167257	Lime, Additional Voices
766303	290715	Schwester Alice
766303	325660	
766304	77151	Sylvia 'Sly' Lovegren
766304	123697	Caroline Divinci
766304	174918	Malik's Dinner Mate
766304	184424	Harmony
766304	191301	Cynthia
766304	385594	Sly Lovegren (1981-1991)
766304	385824	Whitney Baker #3 (1991)
766304	406952	
766305	282948	Lily
766305	363561	Mrs. Brighton
766306	322705	
766307	12851	
766307	23109	Hannah
766307	32750	Kerstin
766307	34292	Lena Schumann
766307	34340	Natascha
766307	40404	Christine
766307	42164	Kerstin
766307	48259	Antje Berger
766307	51287	Katja Bennath
766307	85178	Anja Steinberg
766307	90702	Elettra
766307	90703	Elettra
766307	90704	Elettra
766307	90705	Elettra
766307	90706	Elettra
766307	90707	Elettra
766307	98063	
766307	101343	Maria
766307	102389	Nina
766307	118798	Mara
766307	145598	Iris
766307	179608	Christiane
766307	189695	Maggie Leyendecker
766307	201224	Maja
766307	216865	Joy
766307	223286	Diana
766307	313665	Claudia Pohlmann
766307	325517	Christa Kaysser
766307	369128	Betty
766307	376285	
766308	103085	Beraubte Frau
766309	279003	
766310	128173	
766310	154182	Dancer
766310	175175	WAC
766311	364516	Nurse
766312	391604	Margarethe 'Mutz' Korsch (199
766313	237226	
766314	119704	Vera (jung)
766314	144712	Antonia
766315	382741	Rita
766316	309205	Herself
766317	74850	
766317	194619	
766317	378427	
766318	44516	Hansom Cab Driver
766319	132135	First Angel
766320	343459	Herself
766322	69761	Martine enfant/Martine child
766322	261864	Nina
766323	116675	Girl in Hallway
766324	116675	Girl in Hallway
766325	288912	Susan
766326	38993	Helga Zander
766326	410774	Martha Heyer
766327	11293	Door Greeter
766327	115377	Miss Cool
766327	144996	Waitress
766327	195290	Shirley (segment "Love on You
766327	313818	Joan
766327	389531	Regular
766327	394494	Dorothy (1978-80)
766328	46156	Gossip Reporter
766329	372628	Mary Reese
766329	382773	Sandra Talbot Dennis #4 (1961
766329	394327	Edith Thorncroft
766329	403225	Patty Johnson
766330	408091	Duchess of Lindfield
766331	109726	Jessie
766331	321259	Page
766332	92800	Judy Fielding
766332	141953	Clara
766333	1832	Demonstrator
766333	11560	Mrs. Chickman
766333	42800	Mrs. Rennie
766333	81285	Housekeeper
766333	101427	Glamour Girl
766333	120931	Mrs. MacPherson
766333	133816	Magda O'Riley
766333	149977	Julia Kelly
766333	160784	Night Nurse
766333	167565	Mrs. Ransom
766333	206098	Ma Perkins
766333	236143	Mary
766333	240706	Gladys
766333	290693	Madame Karova
766333	291886	Woman at Second Seance
766333	346087	Bar Lady
766333	349404	Waitress
766333	364731	Coach Passenger
766334	54923	Cozy Heart Penguin/Treat Hear
766334	383462	Cozy Heart Penguin/Treat Hear
766334	388012	Additional Voices (1985- )
766334	393957	
766334	396422	Additional voices
766334	401865	Additional Voices
766335	209218	Jody
766336	31704	Sunday School Kid
766337	74215	Chantelle Lowe
766338	76559	Mary, the Nurse
766339	399065	TV AD Girl
766340	131232	Extra
766341	208281	Cop
766342	32052	Mona at 12
766342	43932	Lou
766342	55588	Chelsea, Kayla's Sister
766342	93152	Sarah Reynolds
766342	110519	Helen
766342	205731	Eliane Boudreau
766342	208281	Sophie
766342	221100	Molly
766342	245084	Elizabeth
766342	302312	Katie 5 Years
766342	315747	Erin Jordan at Ten
766342	346933	Lindy Krane
766342	358370	
766342	407992	Sophie Bishop
766343	223402	Gloria
766344	1870	Crystal
766344	110285	Herself
766344	132944	Lima Prado's Secretary
766344	139216	Diner Waitress
766344	139443	Carla
766344	203918	Pundit #2
766344	270008	Woman At Door
766344	275772	Reno
766344	275773	Herself
766344	275777	Herself
766344	384339	Herself
766345	116033	Delivery boy
766347	313627	
766348	51442	Laura Cadieux
766348	186127	Laura Cadieux
766348	198337	Mother
766348	202727	Maria Barberini
766348	214078	
766348	409542	
766349	18544	Reporter at Mayor's Party
766350	3665	Herself
766350	14024	Herself
766350	358080	Herself
766350	358081	Herself (US Attorney General)
766351	152924	Dorothy Gordon
766351	239408	
766352	200491	
766353	165261	
766354	4997	
766355	257782	Herself (USA Beach Volleyball
766356	270675	
766357	129397	Mrs. Roslov
766357	155835	Mrs. Buckley
766357	192748	Across Hall Woman
766357	256896	Rhonda
766357	411802	Ellen Cargill (1997)
766358	168895	Femme journaliste
766359	52390	Cathie
766360	134369	Constanze's Mother
766361	62898	Herself
766363	5469	Mathilde
766363	29595	Catherine Prado
766363	29771	Rosine
766363	118417	Zerbinette
766363	164680	
766363	166183	Irène
766363	309773	Patricia ('Miss Vuitton')
766363	377857	Angélique
766363	379805	Duchesse de Bourbon
766363	388419	Thérèse
766363	388419	Thérèse (segment "L'échafaud 
766364	64299	Herself
766364	345512	
766364	346712	La servante
766365	16620	La femme nue
766365	53894	
766365	59369	
766365	83699	Emilia
766365	92905	Ethnologist
766365	108890	La vedette qui descend d'avio
766365	122171	Secretary
766365	307137	Herself
766366	14344	Lea
766366	23541	Marlène
766366	26043	Charlotte
766366	32011	Lise
766366	43390	Juliette
766366	103099	Billi
766366	103645	
766366	166758	
766366	171006	
766366	184290	Laura
766366	249740	Amélie, la fille de Renée
766366	268044	
766366	287619	Agnès
766366	384288	Coralie
766366	390480	Mrs. Barnajee
766366	391929	Hélène Bragard
766366	393484	
766366	395094	Marilou
766366	395096	Marilou (1986)
766366	397136	Gabrielle Fontenil
766366	397932	
766366	401053	Véronique (1981)
766366	402128	
766367	184051	
766368	83518	
766369	18598	Old Bat
766370	5981	
766370	82512	Odile
766370	101861	Trabajadora
766370	168178	Clara
766370	254987	
766370	258149	Germaine Bedard
766370	273740	
766370	384972	Olga Torres
766370	399505	Helena Savall
766370	402667	Jutgessa
766371	278386	Herself
766372	208753	Amie de Géricault
766373	42861	Girl of Bordel
766373	181446	Extra
766373	378410	
766374	136290	Cuban Singer
766375	357795	Maria
766376	67244	
766376	103226	Mélanie
766376	121410	
766376	153873	
766376	208416	
766376	214185	La Fleur-de-Nave
766376	234272	
766376	309368	
766376	350246	Mère de Guérande
766377	140304	La bonne
766377	251543	Cashier
766378	101683	
766378	111699	
766378	208295	
766378	208299	
766378	208338	Jane
766378	208350	
766378	208353	
766378	208393	
766378	208416	
766378	208433	
766378	345343	
766378	346686	
766379	134617	La militante
766380	340116	Amélie
766381	88763	Katie (Ep #1-21)
766381	323040	Mrs. Li
766382	215453	T.V. Reporter
766382	235422	4th Robbery Victim
766383	63724	Mo
766383	278139	Comédienne
766384	5122	
766385	19290	Russian apple girl
766386	33463	Manuela Meng
766386	34595	Susan
766386	91037	Cosima Steenbeck
766386	97951	Mani
766386	137730	
766386	144129	Natalie Mertens
766386	172213	Freundin
766386	193247	Anna
766386	266603	Gloria
766386	281989	Beatrice Shaye (jung)
766386	290140	Mary
766386	290724	Netti
766386	325384	Helen
766386	325468	Helen Reinders
766386	325525	Helen
766386	325542	Helen
766386	325553	Helen
766386	325585	Helen
766386	325593	Helen
766386	325671	Helen Reinders
766386	325680	Helen
766386	325794	
766386	325807	Helen
766386	325929	Helen Reinders
766386	350874	Ina Brosche
766386	374333	Bettina Hilfers
766386	405500	Sybille Rombach
766387	55531	Waitress
766388	92455	Arab Woman
766389	149287	Drama teacher
766390	31828	Marissa Foeldessy
766390	83853	Marie Louise
766390	302724	Sister Elizabeth
766390	314960	
766390	362820	Ilsa
766391	148315	Stewardess
766392	377064	
766393	159635	Imber's younger sister
766393	174726	Ellen
766394	129516	Bus Driver
766395	406433	Herself
766396	74855	
766397	385069	Natalia
766397	401699	Daniela Molina
766398	63192	Shower Girl
766399	247849	Voz de la Madre
766399	376786	Reportera TV
766400	3389	
766400	14709	
766400	54988	Ochún, the Goddess
766400	122495	
766400	206978	
766400	243509	Herself
766400	246943	Amparito Márquez
766400	306700	
766400	332566	
766400	353669	
766400	387572	Sonia
766400	398474	Emilia Sulbarán
766400	402192	
766401	40448	Extra
766402	40815	Carmen
766403	233807	
766404	14738	
766404	21722	Vieno
766404	95826	Lempi Rae
766404	100453	Brita
766404	136899	
766404	137631	
766404	141809	Maija Raivio
766404	142721	
766404	149464	Ruusa
766404	149634	Liisa Ärmälä
766404	149638	
766404	152341	Elisabet Avovirta
766404	153721	
766404	153722	
766404	156032	
766404	162308	Sentta
766404	166473	Nurse
766404	169542	Mother of overdose patient
766404	171801	Sister Anna
766404	172296	
766404	172406	Kitchen maid
766404	174209	Bertta
766404	174307	Vilina Vitikainen
766404	174478	
766404	174740	Liisi
766404	177898	Vappu
766404	179625	
766404	179807	
766404	181633	
766404	181652	Vieno Hentonen
766404	181745	
766404	181937	Leena
766404	182213	Maid
766404	184065	Esteri
766404	186068	Official
766404	190658	Nainen, jolta Hikka kerää rah
766404	198711	Mimmi
766404	200978	
766404	208955	
766404	213940	
766404	214835	
766404	226811	Bertta
766404	229544	Aune Risku
766404	229627	Lady #2
766404	233247	
766404	239155	
766404	239445	
766404	239921	Eeva
766404	242257	Woman in a bar
766404	246916	
766404	250433	Hänen vaimo (his wife)
766404	251948	
766404	255935	Milkmaid
766404	264291	Barbra
766404	283232	Paula Kassel
766404	287535	Tipu
766404	296508	Tourist
766404	301816	Siiverin emäntä
766404	301890	
766404	309387	
766404	319317	Dairy salesgirl
766404	319321	Kirsti
766404	321924	Mirri Kallio
766404	321949	Kerttu
766404	324606	
766404	336405	Elli
766404	341888	
766404	343394	
766404	343507	Woman from the bus
766404	349735	Rouva Maj-Lis von Wentell
766404	349947	Milla
766404	354261	Nurse
766404	354274	Imppa
766404	356234	
766404	357593	Pippi Masa
766404	371441	
766404	405479	Oili
766405	383683	Polly Cazalet
766406	266012	
766407	79283	Woman in bar
766408	67786	Ashley Green
766408	404363	Nancy
766409	96726	Athena
766410	340220	Connie Johnson
766411	138378	Mrs. Williams
766411	138659	Miss Armstrong
766411	195731	Mrs. De Florey
766411	233622	Mother
766411	334359	Labourer's Wife
766412	24465	
766413	36475	Leontine Wolff
766413	70760	Corinna Schmidt
766413	129708	Consuela
766413	259491	Frau Aust
766413	259498	
766413	259512	Anne
766413	259515	Frau Altei
766413	259549	Frau Mattusch
766413	259637	
766413	259690	
766413	379362	Frau Herzer
766414	10180	Une épouse
766415	10180	Une épouse
766417	18762	
766417	37591	
766417	63499	
766417	164955	
766417	165331	Subalsakha
766417	169063	
766417	173546	
766417	198662	
766417	221203	
766417	233222	
766417	287201	
766417	297443	
766417	320764	
766417	355306	Radha
766418	218341	Woman in the Rain
766418	300415	Nirmala
766418	312532	
766418	330101	
766418	373714	
766418	380410	La femme au chat
766419	392656	Various Roles
766420	303846	Vieras jatkoilla
766421	177166	Lucie
766422	364298	Herself
766423	326058	
766424	233868	
766426	204755	
766427	208100	
766428	91009	
766428	94674	Secretary
766428	102453	
766428	178074	Tina Kracht
766428	182867	Niuschka
766428	282239	Ariela
766428	314901	Laura Wolf
766428	325597	Tex Lindström
766428	334637	Marie Todt
766428	346387	Anja
766428	369150	Maria
766428	379372	Annemarie Kester
766428	389119	Beate Wellmann (1996-????)
766428	392669	Kathrin Arnhold
766428	393680	
766428	395001	
766428	404431	
766428	404451	Tamara Rosenbaum
766429	19218	Patriot girl
766429	33218	Sabrina von der Wies
766429	40393	Eva
766429	40395	Eva
766429	112851	La fiancée
766429	119194	
766429	121742	Samantha Steel
766429	132779	Patricia
766429	204816	Manuel's Mother
766429	217874	Herself
766429	219595	Lamberti's wife
766429	229436	
766429	239125	Cora Lee
766429	256226	Alison Duguesne
766429	257715	Alexandra Borowski
766429	325235	Jane Kerrell
766429	325704	Tatjana
766429	343990	Monica Ranieri
766429	387735	Edith von Meerungen (1989, 19
766429	397505	Julie Andrew
766429	400762	Jenny (1980-1982)
766429	402163	Toni Hyden
766430	52249	
766430	129011	
766431	47875	Noreen
766431	64869	Connie
766431	98164	Rose Cicotte
766431	175795	Cosmo Woman #2
766431	189221	Sheila
766431	207782	Rosaria
766431	210868	Tourist by Pool
766431	276799	Katie Sipriano
766431	321526	First Interviewer
766432	137223	Dancer
766432	189221	Dancer
766433	7506	
766433	8284	Elena
766433	8802	Madame Bagnol
766433	12689	Newspapers seller
766433	19878	La contessa Lubinsky
766433	20796	
766433	25338	
766433	28562	
766433	33588	
766433	47259	Matilde
766433	52879	
766433	58052	Augusta Tosoni
766433	61038	
766433	84150	
766433	90168	
766433	94648	La signora Sorda
766433	94719	
766433	99245	Donna Dolores
766433	102364	
766433	108106	Cesira Bartolla
766433	111419	
766433	111879	The Maid
766433	112674	Panchita
766433	113615	Kalmar
766433	113703	
766433	118070	Madame Richard
766433	129000	
766433	158702	
766433	162080	
766433	199444	La professoressa Varzi
766433	204924	
766433	206029	Luisella Cocito
766433	206038	La signora Milton
766433	208796	
766433	212550	
766433	217100	
766433	217123	Margherita Cardelli
766433	234753	
766433	243635	Medusa
766433	251614	La patronessa
766433	252688	
766433	269074	Sua moglie
766433	270805	
766433	287121	La moglie di Walter
766433	322574	La signora Clerici
766433	344572	Panchita
766434	316508	Woman
766435	173705	
766436	379967	Various principals
766437	7088	Babette
766437	74333	Judith
766437	164193	Solange
766437	305920	Couple #1
766437	309980	Maggie
766437	380981	Mélanie
766437	386497	Caroline Hallback
766437	409677	A nurse
766437	410628	
766438	42964	Musetta
766438	87873	
766438	268441	1ère cousine/1ère Dame d'Honn
766439	290852	Tina Silka
766440	30415	Lia
766440	53889	Dancer
766440	205163	
766441	69898	Jogger
766441	80594	Tigger
766441	140997	Leeza X
766441	185322	Waitress
766441	318495	Orange 3
766442	117454	Small Student
766443	286949	
766444	89572	Steiner's Guest
766444	234566	Balestrieri
766445	200042	The Heroine Of Jace's Novel
766446	30458	Garage Sale Girl
766446	273321	Denise M. Hunter
766447	266513	Marlena Kessler (Pyro)
766448	366972	Nude Girl
766449	13595	Mary Natter
766449	16658	Clerk
766449	41401	Megan OHara
766449	49841	Sherry
766449	88090	Lady at Gas Station
766449	178128	Waitress
766449	207902	Waitress
766449	270697	Member, The Miller Sisters
766449	308711	Bessie Potter
766449	314427	Monica
766449	331463	Glenda
766449	385802	Bessie Potter (1998-2003)
766450	399640	
766451	68590	Photographer
766451	104198	Célia
766452	408998	Sara Jonsson
766453	316373	(segment Rokovoj vystrel)
766454	18823	Celine
766454	47756	Woman on the Steps
766454	366670	Mandy Newbel
766455	271636	
766455	354286	Seija Pikkarainen, woman who 
766456	677	
766456	13805	Julie La Belle
766456	30751	Finnie
766456	53280	Sam
766456	73560	Amy
766456	101418	Jan
766456	117707	
766456	131433	Sandra
766456	144593	Angelo
766456	147454	Woman
766456	192634	Naomi
766456	232479	Adele Walsh
766456	289530	Carole Bakelin
766456	327062	Galahad
766456	329342	Kristie Schuermann
766456	336704	Delia
766456	346949	Faith
766456	359716	Brains
766457	9355	
766458	115666	Sarah
766459	274679	
766460	96500	Commessa agenzia turistica
766461	99017	Die Vertrauta
766461	277459	Freia
766461	358687	Gerhilde
766461	403405	Freia
766462	380430	
766463	116986	Anne
766463	180928	Kari Simonnaes
766463	379766	Herself - (host)
766463	399491	Nini
766463	410019	
766464	17652	Anna schwarz, Anna black
766466	357264	
766467	58204	Teacher
766467	82802	
766467	109318	
766467	223526	Personnel
766467	374074	Old woman
766467	410338	
766468	273836	Baker
766469	23541	Avocados
766469	96198	
766469	319026	(segment "The French Method")
766469	338597	
766469	379595	Fiskekone
766469	404281	Madwoman
766470	33999	
766470	381861	
766470	384054	
766470	393175	
766470	396984	Edelmira
766470	403755	Susana
766470	404990	Elisa
766471	189352	
766472	169743	
766473	134178	Chilean family
766474	212467	
766475	79530	
766476	130358	Miss Mexico
766477	19223	
766478	110279	Lynn
766479	169814	Minnie
766481	35655	Dead Dreamer
766482	35655	Student
766483	20410	Victoire/Lucile
766483	40365	Corinne
766483	155338	
766483	158050	Belisa
766483	282240	Olga
766483	325938	Frau Collnich
766483	347704	Maria
766483	351606	Madge Welland
766483	359625	
766483	383108	Lotte Hanisch
766483	399503	
766483	406828	
766484	184641	
766485	226405	Herself
766486	61342	
766487	9145	Mona Kahn (reporter)
766487	49656	Hazel
766487	68511	Mrs. Greenberg
766487	72063	
766487	88037	
766487	88648	Helen Wells
766487	99242	Receptionist
766487	111442	Bus Driver
766487	123460	Rita
766487	133336	Metal Voice
766487	141192	Female Reporter
766487	194268	Neighbor
766487	194687	Sally
766487	213226	Receptionist
766487	222806	Linda Viana
766487	235600	Angie Fitzsimmons
766487	241050	Laundromat Lady
766487	281997	Carrie
766487	289645	Phoebe
766487	301087	Additional Voices
766487	303975	Bernice Fedderman
766487	318783	Woman at Strip Joint
766487	337088	Gretchen Wallace
766487	346206	Female Agent 1
766487	359138	Mrs. Farnsworth
766488	388082	Host (2003, 03/04-04/01/2004)
766488	400752	Host (19 July 2001 -)
766489	521	
766489	12889	Gast bei Eickhoffs Fest
766489	49668	Mary Miller
766489	56102	
766489	89043	Mama Rossini
766489	93398	Hopp-Bubi
766489	93459	
766489	95259	
766489	98267	Frau Thomsen
766489	111956	Frau Hanselmann
766489	129691	
766489	130934	
766489	134787	Margot
766489	140209	Auguste
766489	142138	
766489	147585	Molly
766489	156044	
766489	175776	Dolly
766489	181917	
766489	182769	Marina
766489	185858	
766489	203401	Eva
766489	209985	Wally
766489	210069	
766489	210101	Lola, cabaret artiste
766489	241969	Elli, Sekretärin
766489	281104	Streetwalker
766489	281894	Madame Lery
766489	289980	Grete
766489	290802	
766489	292102	Kundin mit dem Jungen
766489	301040	Loretta
766489	302045	
766489	317467	Hotel Maid
766489	317477	
766489	347010	
766489	361125	
766489	361327	
766489	366529	
766489	376280	
766489	408242	Ma Dodsworth
766490	130677	Woman in dance hall
766491	222467	Frieda Kunz
766492	253520	
766493	352632	Officer
766494	207096	
766495	110666	Dancer
766496	23042	
766496	28969	
766496	57978	
766496	63636	
766496	68639	
766496	74522	
766496	82237	
766496	85559	
766496	85567	
766496	100644	
766496	101866	
766496	142740	
766496	143680	
766496	145211	
766496	169775	
766496	186977	
766496	190997	
766496	196746	
766496	208625	
766496	212245	
766496	212517	
766496	213702	
766496	225051	
766496	233627	
766496	252064	Rosa
766496	252105	
766496	253292	
766496	256790	Rubi
766496	292922	
766496	310029	
766496	328132	
766496	332971	
766496	334568	Rosenda
766497	51984	Marta
766498	21706	
766499	353240	Mujer #1
766500	119702	
766501	300156	Journalist
766502	51286	Manu
766502	277761	Anna
766502	308826	
766503	25980	
766503	62723	
766503	119702	
766503	126951	
766503	127341	
766503	152493	
766503	160750	Sheena
766503	165611	Salma
766503	166487	Jeeva 's daughter
766503	195279	
766503	254989	Teacher
766503	273060	
766503	276228	
766503	370957	
766504	272530	Grand Duchess Tatiana
766505	230048	
766505	374562	
766505	374563	
766506	17581	
766506	19355	
766506	45588	Teju
766506	167572	
766506	246896	
766506	262857	
766506	318995	
766506	355838	
766506	374775	
766507	343338	Herself
766508	207974	Carolina (soprano)
766508	236181	Susanna
766509	90004	Gabriella
766510	292828	Host
766510	379686	Host
766511	3357	
766511	259959	Ana
766511	408383	Hostess (1983-1984)
766512	157072	
766512	255567	Djemila Khodja
766512	405528	Samia
766513	160492	Seelbach Hotel Desk Clerk
766513	213963	Holly's Mom
766513	307425	
766514	163203	Female patron
766515	135772	Cassiday
766516	26865	Diana West
766516	130066	Tyler
766516	137195	Mindy
766516	138669	Neurotic Girl Applicant
766516	213352	Ellen's Voice
766516	319876	Marsha
766516	400773	Jenna
766517	204354	Public Defender
766518	288453	Princess Lucial
766519	199115	Cocktail Waitress
766520	272602	Biker Woman
766522	309284	Allie
766523	291253	Nurse
766524	238648	
766524	293042	
766524	338210	Bird Woman
766525	131586	Child
766526	191653	Herself
766527	257689	Herself
766527	360741	Redford
766528	26955	Sally
766529	99015	Klytämnestra
766529	192103	Mme. Arnfeldt
766530	51811	
766530	232397	Receptionist
766530	379559	Virginia
766530	379890	Ursula
766530	381145	
766530	383827	
766530	384126	
766530	388937	Florence
766530	398915	
766530	408859	Lic. Rosa Roa
766530	410081	Soledad
766530	410098	
766531	317946	Other T.R. Kid
766532	189886	Tanya
766532	328620	Prostitute
766532	409397	Madame Erotique/Juanita/vario
766533	380616	Herself (2002-)
766534	37672	
766535	332772	Fighter/Soldier/Performer
766536	237227	
766537	103137	
766538	393845	Herself
766539	158517	Grandma
766540	289855	Jacinta
766541	90652	
766542	232772	
766542	242853	
766543	391604	Maja Brehme (2002-2004)
766543	391604	Maja Brehme (as Anja Reßmer)
766544	366743	Hospital Nurse
766545	201346	Barbara's Mother
766546	63133	Herself (U. of Texas)
766547	114045	Nymph
766548	69311	Amanda
766549	19925	
766550	289582	Simona
766551	44498	Race Girl #1
766551	138797	Crowd Girl (Waterbury)
766551	203614	Donna
766551	235482	Bar Maid
766551	272972	Secretary/Barbara
766551	308016	Prostitute
766551	314104	Instructor
766551	320041	Nurse's Aide
766551	356329	Female Cop
766551	382566	Additional Voices
766552	378940	Giovana
766552	381198	Bete Nigri
766552	381328	Rosa Aimée
766552	384922	
766552	393006	Tula
766552	408330	Sílvia
766552	408381	Gringa
766553	163203	Female patron
766554	84523	Order Seeker #3, German Citiz
766554	267650	Ellen Cline
766554	330323	Caduca, Fences & Store Owners
766555	4536	Girl Singer
766555	21182	Francine Frensky
766555	21184	Francine
766555	21187	Francine Frensky
766555	257434	Fan #2
766555	335301	Alice
766555	365443	Schoolgirl
766555	380589	Kiki
766555	380692	Francine Alice Frensky
766555	388086	
766555	397458	Sparks
766555	409816	Mimi Sperling
766556	402265	
766557	224964	
766557	281609	
766557	281681	
766557	284336	
766557	380894	Bélgica Michelena
766557	381022	Brenda
766557	383472	Conchetta de Rossi
766557	385365	Arminda Rovaina de Cáceres
766557	387536	
766557	387700	
766557	391173	Emma de Castro-León
766557	395030	Mara
766557	395861	Eva Rudell
766557	397020	
766557	398471	Joaquina Leal 'La Juaca'
766557	401102	
766557	410297	Josefa Lunar, a.k.a. Pepa
766558	313174	
766559	134107	Mother Friscalli
766559	163262	
766559	312142	Old Italian Woman on Train
766560	294150	
766561	260429	Herself
766562	212624	Flight Assistant
766563	172629	
766564	1965	Prep student
766564	105361	Veronica
766564	120722	
766564	178176	Woodswoman
766564	194219	Contestant #175
766564	314823	Elisa
766564	380391	Sarah (1995)
766565	78102	Amanda
766566	21727	Gina
766566	28867	
766566	29517	Dona Esperança
766566	33152	
766566	33154	
766566	48336	
766566	51585	
766566	76064	
766566	81701	
766566	82173	
766566	85599	
766566	94481	
766566	101442	
766566	104487	
766566	125782	
766566	144201	
766566	148479	
766566	148480	
766566	160728	(segment "Ladrão, O")
766566	169054	
766566	171366	
766566	195118	
766566	196659	
766566	204919	
766566	222147	Tourist
766566	225811	
766566	234635	
766566	236040	Zelda
766566	250430	
766566	250705	
766566	252754	
766566	265306	
766566	266121	
766566	269902	
766566	275024	
766566	280866	
766566	283554	Old Woman
766566	287873	
766566	291678	Alcebíades's Wife
766566	295097	Gorda
766566	296133	
766566	302090	
766566	328334	Felício's wife
766566	349670	
766566	350254	
766566	379451	Maria
766566	380331	Sebastiana 'Tiana' da Silva
766566	382776	
766566	383387	
766566	383584	Sofia
766566	383866	
766566	385876	Joana
766566	386122	Tiarê
766566	387640	
766566	389643	Arminda
766566	391313	Floricena
766566	394872	Gomorra
766566	396506	Vicência
766566	396718	Filó
766566	400098	Laura Jane
766566	400838	Zuleica
766566	401104	Romena
766566	402159	Gertrudes
766566	402506	
766566	407872	
766566	408727	Célia
766567	339227	
766568	383443	Pamela
766569	355259	
766570	388044	Herself
766571	275952	Herself
766572	27982	Adela
766573	399625	Nancy
766573	399900	Rebecca Vega (1994-1996)
766573	401699	Paola Casas
766573	402055	Mariana
766573	407640	Juana
766574	351494	
766575	304518	
766576	385421	Herself/Best friend
766577	332845	Bar Hostess
766578	295547	
766579	355834	Mädchen
766580	357778	Johanna
766581	256189	
766582	397386	Rena, Reta
766583	384693	Various Characters (2003-2004
766584	12064	
766584	72407	
766584	199834	
766584	202034	
766584	351678	
766584	354990	
766585	85901	
766585	86097	
766586	225969	Girl with elastic band
766587	28955	Raquel
766588	8254	
766589	49431	Sonia
766589	79937	
766590	78641	Nurse
766590	154863	Dresser
766590	234891	Nelly
766590	248118	Lady Croup
766590	258954	Mrs. Suggs
766590	296824	Daily Help
766590	350646	
766591	35553	Herself
766591	63694	Magalis
766591	102970	Ann Hilton
766591	120667	
766591	121031	Ruth
766591	122318	
766591	126403	
766591	136930	Paulette
766591	178640	Gusti
766591	194522	Liesbeth
766591	229390	Sophie
766591	254372	
766591	281742	Kathy
766591	290779	Bacchis
766591	325567	Gerda Fink
766591	326051	Cyprienne
766591	326646	Jessica Selby
766591	329683	
766591	338462	
766591	356741	Brigitta Berger
766591	376965	Sissi
766591	386334	Marga Diebelshauser
766591	387697	
766591	387770	Nanette
766591	388948	
766591	404495	Christina
766592	221325	Rachel Gilespie
766593	7528	La mère Elek
766593	32011	Cliente
766593	34390	
766593	52698	
766593	71972	La femme de chambre anglaise
766593	83276	Elizabeth 1ère
766593	117927	
766593	140300	La mère d'Eve
766593	153875	
766593	170444	La femme chauve
766593	276499	Odette
766593	324949	Nurse
766593	345230	
766593	381590	La mère Duroy
766593	385609	
766593	391624	
766593	396622	Mme Schiller
766593	410272	Mme Mattiessens
766595	322101	
766596	83391	Mme. Florentin
766597	74730	Natalie Graham
766598	195931	Startled Kid
766599	223817	Nurse (Maputo)
766600	304045	Self
766601	145999	Sonia Zaieskine
766602	41316	Townsperson
766603	206547	Mutiari
766604	73477	Leticia
766604	74351	Letícia
766604	78256	
766604	193015	
766604	212473	
766604	318290	Eleonora
766604	378373	Carmen Fuentes
766604	383564	Patricia
766604	412192	Irma Rodríguez
766605	19747	Sophie
766606	112172	Grandma
766607	174104	Lisa
766608	289857	
766609	110548	Herself
766609	326453	Tanja
766609	378659	Herself (2001-)
766609	399052	Herself (2001)
766609	407173	Herself (2001-2002)
766609	410340	Herself (2002-)
766610	21	Joy
766610	276623	Herself
766610	281978	Host
766610	304447	Bruna, the Office Manager
766611	319096	Office Receptionist
766612	61690	Daisy
766613	396582	Herself (2002)
766614	6586	Young woman at Party
766614	120023	Marianne
766614	171991	Ulla, Bertil's sister
766614	204539	Elsa Gerner
766614	303659	Elsa
766614	305991	Pub maid
766615	13993	Airline Passenger
766616	50465	Annie
766616	385594	Jackie Dugan
766617	226938	Herself
766617	291495	Herself (TV Tiny Tim)
766617	379056	Herself - Host
766617	384590	Herself (with Reagan in campa
766617	388916	Host
766617	392422	Herself
766617	392423	Herself
766617	392529	Herself (segment "Love and Mo
766618	57832	
766618	65581	Francesca
766618	69942	
766618	73645	
766618	90699	
766618	127195	Francesca
766618	161819	Luana
766618	232895	Donna Pentita
766618	270855	Sonia
766618	380255	Simona
766618	386747	
766618	387465	Clelia Bussani
766618	404760	Claudia Martini
766619	7334	
766619	63789	
766619	177794	Miss Wells
766619	316841	
766619	388506	Himself
766620	33553	
766620	161568	Une danseuse
766620	300735	
766620	332205	
766621	332195	
766621	345432	
766622	289889	
766623	394392	Viola
766623	397371	Conan Edogawa
766624	141855	secretaresse Emma
766624	320071	Anja
766624	389841	Aimee (2003-)
766624	409572	Nelleke
766625	349125	
766626	272279	Heke
766627	8217	Lisa Fabrizzi
766627	27213	Lana Fuentes
766627	69444	Tanya Blackmon
766627	79530	Gloria
766627	79911	
766627	80384	Judy
766627	81785	Barbara Ann Williams
766627	115068	Sabrina
766627	138812	Hannah
766627	156970	Maternity Nurse
766627	159262	Eve Dodd
766627	168766	Monica
766627	191925	Natalie Britain
766627	198897	Claudia/Lady Macbeth
766627	231511	Krista Brooks
766627	240954	Singer
766627	240956	Singer
766627	252726	Suzanne
766627	255817	Vicky
766627	288045	
766627	296894	Cayla
766627	296980	Sgt. Council
766627	333393	Fielding
766627	352978	Presenter
766627	358285	Rita
766627	365381	Celeste
766627	378665	Brooke Haslett (2003-2004)
766627	379427	Lisa Fabrizzi (2001-2002)
766627	387728	Physician Asst. (PA-C). Jeani
766627	388545	Cecile Ste. Marie
766627	401787	Host (1985)
766627	404152	Tituba Indian
766627	405833	Rose
766628	279173	Aunt Sally
766629	251809	Anitra
766630	117314	Rublevich
766630	305036	Princess
766630	312170	Rubelvitch
766631	34415	
766631	69532	
766631	102881	
766631	134856	
766631	168435	Joanna
766631	187720	
766631	189788	Frieda
766631	394742	Helga Lauer (1968-1970)
766631	399733	Dr. Barbara Kersten
766631	403772	
766631	408949	Mutter
766632	72376	Girl at the Surprise Party
766633	7580	
766635	345961	Herself - Lawyer
766636	182850	Radiolytter
766636	369392	
766637	129054	Hanne's Mother
766637	166609	Forfatterinde Asta Bode
766638	319095	Oam
766639	76484	
766639	182259	
766639	239920	
766639	266295	
766640	35598	Egon
766641	360941	
766642	83400	Classe sport et études
766643	358608	Charcoal Woman
766644	27127	
766644	49671	
766645	141952	
766646	115606	Simone
766647	1123	Francesca Moorman
766647	20049	Sofie van Delft
766647	33448	Bettien
766647	33655	
766647	58617	Guard
766647	108439	
766647	155803	Debbie
766647	181255	Vera di Borboni/Lize van Dien
766647	310228	Tamara
766647	320256	Alwina
766647	339855	Mary
766647	342335	Lotte
766647	376257	Vera
766647	379191	Ellie
766647	411115	Eveline Roëll
766648	388166	Laura Helmich
766649	178626	
766650	376	Pennerin
766651	259548	Silke
766651	367121	Christa
766652	290712	
766652	379086	Fränze Büttner
766653	225124	
766654	165641	
766655	145525	Mutter
766655	188776	Anna Hammes
766655	307651	Frau Faber
766655	380905	
766655	391604	Renate Keller (1999)
766655	401996	
766656	168960	Teacher
766656	226169	Katrin
766656	314849	
766657	26747	Big Nun
766657	331602	Rosa Van Hulle
766657	342335	Liesl
766658	171325	La serveuse
766659	35289	Susan
766659	94255	Herself
766659	218553	Jessica
766660	8363	Carola
766660	94252	Tina
766660	96420	Fallenius
766660	120236	Mary i skönhetssalongen
766660	132182	Alexandra Furustig
766660	142765	Sam's mother
766660	149480	Stig's Mother
766660	170710	Anette Sandkvist
766660	198008	Mona
766660	238803	Sara
766660	278346	Mrs. Johansson
766660	287568	Gunilla, teacher
766660	298474	Ridlärarinnan
766660	320514	Edith Granlund
766660	320622	Herself
766660	320623	Lena Svensson
766660	322840	Herself
766660	335363	Carina
766660	353025	Mother
766660	372967	
766660	377305	Gunilla
766660	384439	Cleopatra "Cleo" Andersson
766660	387262	Lena Reng
766660	388448	Signe
766660	395713	Vicky Tarras Killing
766660	403084	Renate Dahlén (1992-1994)
766660	403288	Various roles
766660	403408	Sweet girl (segment 2)
766660	405861	Lena
766660	407127	Lena Svensson
766660	411580	Yvonne
766661	318642	Russian Nurse
766662	101356	Meta Schiebstaedt
766662	126333	
766662	126856	
766662	318323	
766662	373952	
766663	40289	Feemy Evans
766663	48370	Mique
766663	96419	
766663	104784	Girl from the theatre company
766663	120356	Vera
766663	121016	Saucy girl
766663	142790	Ida (episodes 3 and 4)
766663	174721	Cicily Young
766663	182545	She
766663	191558	Bibban
766663	288307	Marianne Segerclou
766663	320955	Astrid, Bo's fiancé
766663	321970	Nurse Agnes
766663	322279	Millan, Larsson
766663	351599	Oria, Valeria's servant-girl
766663	377419	Marianne Segerclou
766663	380351	Anna's mother
766663	394863	
766664	314559	Krankenschwester
766665	239756	Water Brigade
766666	174569	
766667	175007	Herself
766668	13033	Madame Charles
766668	15078	
766668	51380	Madame Poteau
766668	54392	La 'mère'
766668	55532	Citoyenne Poilu
766668	70194	
766668	71824	
766668	84678	
766668	162023	Sophie
766668	214797	Mlle Virginie, l'habilleuse
766668	215537	
766668	235821	La concierge
766668	240291	La patronne
766668	252321	
766668	257012	Mme. Piédalu
766668	258115	
766668	258957	Blandine Braconnier
766668	268391	Agathe
766668	282048	Nicoline
766668	295212	
766668	301404	Madame Lavergne
766668	327883	Aunt Jette
766668	345242	La nourrice
766668	350671	
766668	353920	Madame Pascal
766669	82580	Mme Charpentier
766669	115356	Suzanne
766669	151892	La voisine de lit
766669	202692	Maman
766669	217733	Martine
766669	227300	Claire
766669	322579	Laure
766669	337019	L'hôtesse
766670	131242	
766670	299427	
766670	303024	Policewoman
766670	322686	
766670	337037	
766671	166370	A student
766672	11785	
766672	12573	Die Frau
766672	12841	Anna, Koechin b. Straaten
766672	16221	Frau Wirbel
766672	24010	Die stramme Emma
766672	24737	Esmeralda
766672	46914	Mrs. Strobel
766672	49671	Köchin
766672	77410	Frau Brummer
766672	79173	
766672	85712	
766672	90649	
766672	93431	
766672	99891	Frau Wirth
766672	101397	
766672	102286	
766672	103080	Wirtin
766672	103134	Baronin
766672	111343	Klärchen Tiedemann
766672	111850	
766672	115962	
766672	115969	
766672	119109	
766672	121051	
766672	123963	
766672	126326	
766672	126846	
766672	128471	
766672	134979	Frau Zirkusdirektor
766672	143808	Pensionsinhaberin
766672	144177	
766672	147157	
766672	171862	
766672	172850	
766672	175305	Wife
766672	178626	
766672	178652	
766672	182004	
766672	182863	
766672	197838	Mrs. Burns
766672	203401	Frau Meyer
766672	204476	Mary
766672	204498	
766672	210057	
766672	210077	
766672	223210	Spree-Anni
766672	225149	Lisa, Köchin
766672	227171	
766672	227931	
766672	264920	Pensionsinhaberin Schott
766672	280801	
766672	282194	
766672	285381	Frau des Klubpräsidenten
766672	303712	
766672	314892	Dicke fotografierende frau
766672	316555	
766672	317352	
766672	324698	
766672	328846	
766672	341103	
766672	349411	
766672	350658	Frai Thomas
766672	352366	
766672	356751	
766672	359623	
766672	361367	
766672	361377	
766672	361385	
766672	361410	
766672	361436	
766672	361524	
766672	373963	Maly the cook
766672	376337	
766673	19323	Rachel
766673	80321	Emmanuelle
766673	193508	Lola Zipper
766673	195245	Marie
766673	205335	
766673	284203	
766673	396230	Sanguine
766674	96761	Daisy Rittenshaw
766674	367409	Messalina
766675	130972	Reporter
766675	250873	Catherine Hearst
766677	41339	
766677	68225	Renee
766677	196549	Israeli Girl
766678	1470	Frizzy
766678	4253	
766678	4509	Namita
766678	6761	Lakshmi
766678	8376	Sudarshana
766678	17366	Chitra
766678	17438	
766678	19653	
766678	24256	Manga
766678	24880	
766678	79119	Pramila's mother
766678	82171	
766678	84742	Bhanumathi
766678	85417	
766678	122714	Anitha
766678	132616	Sara
766678	162499	Selvam's wife
766678	172204	
766678	172409	Dr. Omana Babunath
766678	174713	Asha
766678	177050	Nandini
766678	178399	
766678	181852	
766678	184708	
766678	195291	Maggie Pinto
766678	200015	Sathya
766678	206778	
766678	216514	Sridevi
766678	220284	Divya
766678	223232	
766678	227371	Thankam
766678	243821	
766678	246472	
766678	266803	
766678	267267	
766678	270201	Meena Sharma (Mini)
766678	272854	
766678	325041	Sumitra
766678	329224	
766678	329259	Surya's Sister
766678	330101	
766678	349727	
766678	350589	Muralee's Girlfriend
766679	63954	La secrétaire de la DDASS
766680	24566	
766681	371642	
766682	84808	
766682	84809	
766682	160418	Lola (segment "My Cyberian Rh
766683	248416	Sophie
766683	335225	
766683	341402	Lou
766683	353330	
766683	404258	Lalie Jankis
766684	24951	Barmaid
766685	220517	Jayni
766686	19091	La Mère
766686	51312	The Librarian
766687	261578	Old Woman
766688	249068	
766689	88067	Nini
766690	133966	Mrs. Ryer
766691	217689	
766692	271174	Partygoer #4
766693	106520	Miss Keenan
766693	292668	Shopper
766693	366962	
766694	234668	Lucy
766695	403295	Host
766696	387531	Caroline
766697	137922	Gertrude
766698	66912	Rennet
766699	346830	Beth Raines
766700	319268	Tottie Faye
766701	307127	Roberta Goddard
766702	273000	
766703	293318	
766704	108042	Secretary
766704	195341	Nurse
766705	213533	
766707	20679	La jeune danseuse
766708	49152	Inga Glas
766708	138760	Lukas' Mother
766708	164633	Eva
766708	182101	Ortrud
766708	261151	Lady on carousel
766708	281335	Undis
766708	281336	Undis
766708	377442	Fru Collin (episode 1)
766709	263238	
766710	397137	Caroline
766711	19960	Anna
766711	38512	Mrs. Tanner
766711	42703	Anna Davis
766711	55437	Elsa Molina
766711	81953	Mary McKay
766711	83787	Nettie, Porter's Maid
766711	84846	Mrs. Walters
766711	90133	Mrs. Cora Rostigaff
766711	91670	Caroline Van Brett
766711	92883	Abigail Wells
766711	99302	
766711	107700	Jessie Florian
766711	107845	Clara Mills
766711	114851	Giraud's Sister
766711	117646	Mother Red Cap
766711	124767	Ida Orner
766711	125884	Mrs. Green
766711	133714	Mrs. Samuels
766711	136816	Miss Redfern, John's Secretar
766711	150874	
766711	151762	Mrs. Betsy Norton
766711	175835	Agnes Fiske
766711	198988	Crystal
766711	209168	Kitty Crockett, Clark's Secre
766711	209679	Geraldine Stewart
766711	210779	Mrs. Fenely
766711	228314	Mrs. Brown
766711	239515	Bell Carter, News Poet Writer
766711	241278	Mae Andrews
766711	257087	Hannah Eastman
766711	271224	Queen Okalana
766711	275451	Miss Price
766711	291513	Judith Dominy
766711	292318	Caroline Lamphere
766711	297478	Mrs. Gorty
766711	299503	Alice Pritchard
766711	308576	Louise Soubirous
766711	313118	Major Harriet Cromwell
766711	313377	Sarah, Mr. DeSoto's Secretary
766711	319010	Agatha Butterfield
766711	327241	Miss Farber
766711	330384	Crazy Mary
766711	342851	Mrs. Gap
766711	372345	Aunt Jane
766711	387309	Dorothy Stewart #1 (1969-1970
766711	388862	
766740	190248	Megan Lloyd George
766711	404002	Marguerite Beaulac #2 (1977)
766711	404613	Agnes Lake (1970-1971)
766712	238256	
766713	87989	Lisa
766714	112688	
766715	108092	Maja's Mothe
766716	104210	L'employée de banque
766716	246306	La pute du supermarché
766716	406790	
766717	401053	Eliane (1982)
766718	8564	Novia de Aitor (Aitor's girlf
766718	76111	Topless Girl
766718	218899	María Castillo
766718	276565	Luz
766719	162254	
766720	70641	Ofelia Cano
766720	392352	Rossana
766720	402404	
766721	24156	
766722	14649	
766722	86451	
766722	103160	Madre Clara
766722	121248	
766722	148135	
766722	205429	
766722	242678	
766722	355759	
766723	384206	Herself
766724	53318	Student
766725	226001	Bori
766726	401834	Erza
766727	248827	Marigold
766727	362051	
766728	5059	Dolly
766728	18587	Janet Reese
766728	20345	Mrs. Estelle Brandess
766728	24949	Helen Lake
766728	27308	Ruth Pell
766728	32232	Stella
766728	35275	Betty Boyd
766728	35571	Mary
766728	39329	Shelah Fane
766728	44315	May Prentiss
766728	47353	Vivian Collins
766728	50860	Countess von Rischenheim
766728	52500	
766728	52528	Violet La Tour
766728	64503	Bernice Winters
766728	64590	
766728	66040	Fanchon
766728	72221	Alice Allison
766728	72223	June Caldwell
766728	75606	Helene Deveridge
766728	77643	Sylvia Marco
766728	77965	Laura Whitman
766728	78135	
766728	88529	
766728	90796	Jean Rankin
766728	92124	
766728	93967	Mrs. Hathaway
766728	96646	Dolly
766728	101062	Norma Bennett
766728	107987	Mary Doyle
766728	108931	Yvonne Beaudet
766728	109769	Mary Burgess
766728	109816	Grace Moore
766728	112570	Tonita, Cantina Singer
766728	132573	Pearl Vaughan
766728	134034	Mrs. Pritchard
766728	147396	Norine Lloyd
766728	162384	Milady de Winter
766728	171048	Clarice Clement
766728	177355	Miriam King
766728	183700	Julia Sayre
766728	185584	Lita Alvaro
766728	187095	Army
766728	190295	Dorothy Cumberland
766728	190443	Dorothy Madison
766728	195757	Pat Ormsby
766728	203010	Camencita
766728	206462	Joan Prescott
766728	206720	Beulah Paxton
766728	213503	Mayme
766728	222729	Molly
766728	232344	Mrs. 'Mac'
766728	233670	Miss Thompson
766728	244355	Elsie
766728	259022	Prizefighter's wife
766728	260214	Peggy Warren
766728	263489	Carolyn McLane
766728	269989	Patricia
766728	274050	Princess Varvara
766728	281857	Florine du Vallois
766728	286140	Sally
766728	289636	The Wife
766728	291856	Margaret Blake
766728	292889	Margaret King
766728	302407	
766728	302872	Mary Tracy
766728	303082	Glenna Marsh
766728	312337	Margaret Hart
766728	314474	Daisy Moran
766728	315146	Clara Bradley
766728	317819	Bessie
766728	319778	
766728	321712	
766728	324582	Mrs. Lyons-King
766728	329534	
766728	331759	Marjorie Lane
766728	332949	Mona, 'The Tigress'
766728	342407	
766728	347319	Helen Rodie
766728	351694	Margaret Summers
766728	355078	Maía Valdez
766728	358971	Peggy Marston
766728	359494	Mary Blake
766728	360192	Poppy
766728	362679	Barbara
766728	362836	Violet Gilbert
766728	363166	Ethel Winthrop
766728	364839	Baroness Orsani
766728	365393	Blanche Cartwright
766729	53218	
766730	51224	
766731	383784	Benedetta Monti
766732	324126	
766733	252138	Nurse
766734	105451	
766735	9862	
766736	28307	
766737	20366	
766737	26048	
766737	93857	
766737	104851	
766737	177910	
766737	251737	
766737	286584	
766737	341615	
766737	359360	
766738	30582	Felons Cheerleader
766739	251733	
766741	184482	Beth
766742	49506	Anette de la Beraudiere
766742	135505	La boulangère/Baker
766742	184356	Saraïade
766742	202319	Emma
766742	220395	Cécile
766742	377991	
766742	382584	
766742	412260	Catherine
766743	339006	Olesya
766744	276545	
766745	258554	Schoolgirl
766746	166986	Betsy Maloney
766747	309206	Marine
766748	165240	Anna
766749	380320	
766750	28637	Ethel
766750	52651	Herself
766750	109852	
766750	306489	Dodie
766750	348400	Ethel
766751	155884	Model
766752	84638	
766753	347005	
766754	2154	
766754	43654	
766754	131081	
766754	210937	
766754	258944	Suzanne
766755	57464	Elcira
766756	259895	
766757	10135	
766758	19456	
766758	57565	
766758	74682	
766758	96288	
766758	121271	
766758	148051	Raquel
766758	153335	
766758	197088	Lucia I
766758	281603	
766758	310030	The voice of Cuba
766758	370084	
766759	400126	Canal Sur host (1992-1993)
766760	103482	
766761	28727	
766761	74603	
766761	96296	
766761	162918	Rosa Suárez vda. de Ortiz
766761	210171	Tía Licha
766761	214390	
766761	221560	Girls in Uniform (1950)
766761	247424	
766761	273705	
766761	286253	Esperanza Quintero
766761	307842	Tia Magdalena
766761	336036	
766761	357532	
766762	15032	
766763	180115	
766764	324653	
766765	104772	United Kingdom entry (1st pla
766766	272279	Old Woman
766767	185369	Murder Victim #3
766768	102941	
766769	148472	
766770	5645	
766770	163015	
766770	305549	
766770	352475	
766771	55098	
766771	198069	Kammerpige hos Sylvia
766772	368943	Sister
766773	267227	
766774	305549	
766775	25128	
766776	63205	The Killer
766778	13516	
766778	77275	Macarena
766778	83462	Esposa de Fonseca
766778	101837	
766778	110415	
766778	121951	
766778	124527	Angela
766778	196746	
766778	234354	
766778	236002	
766778	249852	Leona
766778	252057	
766778	256786	
766778	286019	Olivia, singer
766778	301102	
766778	332667	
766778	338604	
766778	351676	
766778	355947	
766778	370112	
766780	61771	Nina
766780	408005	Vicki Eccles
766781	33511	Judith og Werners datter
766781	178961	Lille pige
766781	179531	Lauras datter
766782	12601	
766782	126459	Eva Siebert
766782	134320	The Mother
766782	134980	Frau Berger
766782	153111	Joachim's Tanzpartnerin
766782	156750	
766782	290665	Luise Klingenberg
766782	347641	
766782	361995	
766782	375164	
766783	54806	
766783	219232	
766784	61164	Specialty act
766784	82227	Herself
766786	170228	Herself
766786	170229	Herself
766786	399887	
766787	388619	Herself
766788	273972	Grandchild
766789	17731	Madame Barnavon
766789	23636	Mme Marly
766789	40258	La vendeuse
766789	55724	La mère de Betty
766789	58237	
766789	59267	La tante
766789	64226	La caissière
766789	66741	Madeleine
766789	77341	
766789	95372	
766789	118177	La pudibonde
766789	160204	
766789	167631	La bonne
766789	199596	
766789	201030	Madame Denis
766789	255299	La patronne de l'hôtel
766789	268414	Jeanne Noblet
766789	280552	Madame quichenette
766789	354695	Madame Barbier
766789	357019	
766789	377062	
766789	377948	
766790	115079	Wife of ed harris
766791	682	Dorm Room Girl
766792	19382	
766792	33263	
766792	53613	
766792	145156	
766792	183526	
766792	351651	
766793	336303	
766793	346429	Mme Favier
766794	357176	
766795	5925	Mrs. Diaz
766795	31892	Flora
766795	42278	Carmelita
766795	58483	Jesus' Mother
766795	59126	Estancia
766795	65108	Spanish Woman
766795	70341	Mrs. Amador
766795	81057	Consuela
766795	88761	Concha, Whore
766795	93118	Mrs. Gomes
766795	117683	Clara
766795	124056	Puerto Rican Nurse
766795	125830	Grandma Perez
766795	129516	Tenant
766795	132932	Rosa
766795	137223	Berger's Mother
766795	149180	Mrs. Profaci
766795	154796	La Mama
766795	164641	Woman on subway
766795	177451	Danitza Giorgio
766795	178075	Josephina Zito
766795	178813	Mrs. Vasek
766795	185707	Lucy
766795	194525	Mrs. Rosiello
766795	205317	Rita Alvarez
766795	219692	Counter Woman at McDonald's
766795	224344	Gypsy Woman
766795	237783	Mrs. Ochoa
766795	242113	Fortune Teller
766795	245140	
766795	257014	Senora
766795	260387	Mrs. Cruz
766795	272354	Emma
766795	301063	Mrs. Terranova
766795	311153	Bandanas Mother
766795	324889	Grandmother
766795	334170	Modesta
766795	340752	Soledad
766795	363869	Market Woman
766795	364223	Waitress
766795	364271	
766795	366617	Aunt Sadie
766795	404694	
766796	59099	Senora Gavilan
766796	236146	Mrs. Amarici
766796	310068	
766798	3474	
766798	14707	
766798	49701	Noemi
766798	52420	
766798	55372	
766798	61144	
766798	63408	
766798	69790	
766798	74516	
766798	74821	
766798	82342	
766798	83538	
766798	103433	Vera del Bosque
766798	133245	
766798	183050	
766798	209075	
766798	212347	
766798	212450	Cristina
766798	221727	
766798	242285	
766798	242286	
766798	255107	Christa
766798	260618	
766798	282141	
766798	294506	Señora Méndez
766798	353638	
766798	355123	
766798	355744	
766798	375875	
766798	400711	Host
766799	3518	
766799	103509	
766799	145182	
766799	212453	
766799	221960	
766799	355795	
766799	371719	
766800	113300	
766800	161562	
766800	213766	
766801	159888	Sophie
766802	248760	
766802	339028	
766803	138715	Sophia
766804	10233	
766804	209034	
766805	206059	Julie child
766805	353952	Dinou, Maxime's daughter
766806	48833	Elsa, la campesina
766806	124578	Rosita, la hija del capataz
766807	197963	
766809	42372	
766809	152365	Estelle
766809	198462	Une fille
766809	225409	
766809	340156	Bélina
766809	377481	Eveline
766810	185616	Cora Luther
766810	196487	Woman in Window
766810	223810	Woman
766810	302695	Ramona
766811	386881	Herself
766812	6482	
766812	33966	Julia
766812	65043	
766812	67952	
766812	71279	
766812	73497	
766812	74508	
766812	103810	
766812	205708	
766812	221715	
766812	221904	
766812	243783	
766812	250447	
766812	252075	
766812	265115	
766812	307792	Elena
766812	317702	
766812	355746	
766813	104835	
766813	406050	Teresa
766813	409014	
766814	28781	Ivana Scarapecchia
766814	238881	
766815	90086	Donna Anna
766815	278965	Minerva/Amore
766816	262097	Alyssa Enrile/White Tiger Wil
766816	262098	Alyssa Enrile/White Tiger Wil
766816	402008	Alyssa Enrile/White Tiger Wil
766816	411802	'Jabot' make-up girl
766817	162769	
766818	84177	Locutora de la radio
766819	21965	
766820	117439	
766821	252753	
766822	56811	
766823	8915	Nadine
766823	19325	Odile
766823	94784	Monique Gambier
766823	95342	
766823	148640	Margot Baron
766823	189316	Gina Martinelli
766823	199596	Myrianne
766823	214797	Mado, la concierge
766823	217675	Lisette Cousinet
766823	278736	Mousse
766823	280528	Yvette
766823	292382	
766823	303503	Denise
766823	340123	
766823	346520	Lucie Février
766823	352511	
766823	377049	Dolorès
766823	377791	Clairette
766823	377958	
766823	410139	Mme Berthe, l'aubergiste
766824	380066	Marcela
766825	10238	
766825	158826	Marília
766825	260975	
766825	380330	
766825	381222	Dona Anunciata
766825	381633	
766825	382405	
766825	399147	
766825	404803	Margot
766825	406987	Guilhermina
766826	148115	
766827	44269	
766828	193143	Wrestler
766829	7454	La mère de l'efféminé
766830	39495	Katy Campbell
766831	10227	
766831	74590	
766831	74834	La novia
766831	103806	
766831	104057	Luisa
766831	162022	
766831	171617	
766831	202556	
766831	279707	
766832	380407	Newsreader (1993-1996)
766833	199868	
766834	5268	
766835	14649	
766835	74622	
766835	98999	
766835	104154	
766835	220193	
766835	327077	
766835	357533	
766836	80734	Maid
766837	138948	
766838	230637	
766839	74352	
766840	221999	
766840	270806	Patricia Clark Dorsey
766841	293098	Young Mother
766841	372191	Rose
766842	68567	Giovanna Cristancho
766842	381072	Fabiana Estrella Rivera Chiti
766842	384985	
766842	389479	Graciela
766842	400946	Jimena Elizondo
766842	407277	Camila
766842	412153	Jazmin 'Jaz' Cordero
766843	238342	Hinano
766844	202735	Clemencia
766846	12267	Native girl
766846	239398	Carmelita Carlos
766846	266442	
766847	48808	Sofia
766847	54002	Dona Rosa
766847	54297	Madame
766847	73273	Senora Ryan
766847	107114	Maria
766847	112070	Housekeeper
766847	127674	Maria (Gilda's maid)
766847	132753	Manuella
766847	170459	
766847	281608	
766847	281889	Mariella
766847	292318	Paquita
766847	292552	
766847	308631	Rosita (the maid)
766847	315123	Bridesmaid
766847	339101	
766847	339940	
766847	343234	Mercedes, the Maid to Maria
766848	52147	
766849	143454	
766850	55139	Carlos' girlfriend
766851	4691	
766852	100395	
766853	13546	
766853	30415	
766853	190956	Woman nr. 2
766854	77880	
766854	272623	
766854	275985	
766856	254153	Juliette
766857	1212	
766857	14353	Katel
766857	28179	L'aristo
766857	142101	Une Sectionnaire
766857	243151	Emma Berthier
766857	261765	La patronne du restaurant
766857	345386	La servante du moulin
766858	346516	Copine de Sylviane
766859	8689	Hind
766859	178242	
766859	329232	
766860	373725	
766861	253344	Deborah Richards
766861	253352	Charlene
766861	321654	Woman in Bar
766862	133175	
766863	223864	Ms. Peckett
766865	70679	Periodista informativo
766865	154542	Herself
766865	307303	Locutora TV
766865	403075	Newsreader (1995-2002)
766866	41441	
766867	114873	Dancer: Escuela Flamenca Mati
766868	93274	Toni
766869	252628	
766870	114873	Dancer: Escuela Flamenca Mati
766871	202044	Graciela
766872	5894	Rosa
766872	21680	
766872	22770	Adela, The Godmother
766872	32707	María Teresa Freye de Andrade
766872	35388	Mrs. Gonzalez
766872	52914	
766872	55329	
766872	55970	María
766872	57869	Ana Maria Godinez
766872	61756	
766872	69489	Mujer
766872	70889	Jacinta
766872	82240	
766872	97739	
766872	98997	Virgen Maria
766872	101985	
766872	103737	
766872	104877	Micaela
766872	106467	
766872	120080	Matilde Kahlo
766872	130479	
766872	132704	
766872	162171	
766872	162771	
766872	192959	
766872	196901	
766872	220129	Luz
766872	221608	
766872	221939	Tomasa
766872	222032	Ema
766872	225564	
766872	234352	
766872	234492	Soledad
766872	234493	
766872	243055	
766872	244617	
766872	244628	
766872	251729	Eduviges Diada
766872	252750	
766872	260503	Graciela
766872	265515	Sra. Ruelas
766872	273662	
766872	275070	Lucha Reyes
766872	276569	Carolina
766872	276649	Gray Thorn
766872	277369	Esposa de Marcos
766872	296443	
766872	307243	
766872	318265	Madre Caimán
766872	349413	
766872	354995	Raquel
766872	376640	Remedios
766872	380445	Doña Juana de Foncerrada
766872	381024	Martha
766872	381839	Cirila
766872	385873	Griselda
766872	387834	
766872	388095	Jordana (1988-1989)
766872	392960	Renata de Velarde
766872	396604	Teodora
766872	396852	María Lola
766872	397016	Manuela
766872	399525	Alberta Gomez
766872	400343	Directora del Instituto de Al
766872	402404	Martina
766872	404161	Manola
766872	407862	Teresa's Mother (Juana)
766872	408709	Lidia
766872	408919	
766872	410450	Petrona (segment "El Origen")
766874	26012	
766875	201605	Herself
766875	258099	Rachel
766875	301222	Laura Sanchez
766875	379741	Regular Performer (1995-1997)
766875	388672	Herself/panelist
766875	400263	Marci Blake
766875	402343	LaCienega Boulevardez
766875	406279	Rocio Conejo
766876	69877	
766877	307359	Girl at Brothel
766878	36486	
766879	9884	Tejano Child
766880	123696	Can-Can Girl
766881	146458	María Jesús
766882	212993	
766883	56811	
766883	103558	
766884	384507	Mini Animadora (1998)
766885	234180	
766886	334385	Herself
766887	83889	
766887	378986	
766887	387572	Sor Serena
766887	398474	Jessica Duarte
766887	403290	Brenda
766887	404703	Melisa Padilla
766887	412190	Iraida Ferrer
766888	106799	
766889	212242	Flower Girl
766890	17875	
766890	39047	Coney
766890	222196	
766890	246421	
766890	340719	
766890	404050	Mayla Montecillo
766891	51681	
766891	90196	
766891	275087	
766892	296442	
766892	387101	
766892	398218	Victoria
766892	402688	Betania Rangel
766892	404988	Pilar Luján
766892	408408	Celeste
766893	9464	
766893	18365	
766893	38502	Gina
766893	55084	
766893	85479	
766893	92632	
766893	95077	
766893	124799	
766893	140004	
766893	145527	
766893	153313	
766893	173633	
766893	184082	Perla
766893	191192	
766893	191474	
766893	221368	
766893	246935	Jenny Morales
766893	248862	Mildred
766893	284673	
766893	291046	Dana
766893	323364	
766893	328882	
766893	358510	
766893	359360	
766894	381909	Herself (Runner-Up, 82 Days) 
766895	10871	CNN Reporter
766895	148285	Reporter
766895	323227	Newscaster
766895	337404	Reporter
766896	188453	'Lena' Girl
766897	271855	Dancer
766898	250873	Vicky Hearst
766899	227310	
766900	245993	Kim Navaro
766901	5267	Herself
766902	399084	Niña 2
766902	401916	
766903	158818	
766904	50139	Interne
766905	79115	Armida, ang Babaeng Lawin (Ar
766906	5590	Little Girl
766907	70484	
766908	222674	
766909	51612	
766909	378985	
766910	66308	Maddy
766910	79300	Pretty Woman
766910	265271	Jule Crosse
766910	280088	America
766911	170917	
766912	127724	
766912	284674	
766912	381380	Pia
766912	382126	Dante's Doctor
766912	400738	Debra
766913	15422	
766913	39040	Lilia
766913	103611	
766913	153314	
766913	155002	Slyvia
766913	156186	
766913	162718	
766913	181772	
766913	205032	Clara
766913	208549	Pilar
766913	211778	
766913	226852	
766913	252546	
766913	284653	
766913	287063	
766913	312258	
766913	318664	
766913	322736	(segment Demonyita)
766913	360755	Girlie
766913	403056	Ursula
766913	404049	Ruella Agbayani
766913	404051	Melissa
766914	403753	Lucero 'Lucerito' de la Rosa 
766915	293259	Herself
766916	65892	Taxi Passenger
766916	144406	
766917	31550	
766917	181826	
766917	284664	
766918	73703	Jessica
766918	231086	
766919	314257	Detective Cruz
766920	9260	Self
766921	376669	
766922	308168	Dorothy
766923	138822	Tall One
766924	211826	Rosie
766924	277526	Josepha
766924	300913	Last Year's Miss Colita
766925	47130	ICU Nurse
766925	129624	Vanessa Dupree
766925	130201	Woman #1
766925	148284	
766925	163478	Herself
766925	164371	Rosie
766925	177461	Lydia Morreto
766925	187727	Martisa
766925	214455	Det. Vega
766925	233585	Maria Lentini
766925	265928	Maria Valquez
766925	359742	Daisy
766925	361475	Waitress
766925	369195	
766925	398213	Herself
766925	400621	Tina Rivera (1999)
766925	404569	Nurse Carla Espinosa
766926	58462	Herself
766927	31043	Additional Voices
766927	49934	Additional Voices
766927	87409	Additional Voices
766927	113780	Various
766927	130730	Girl B, Additional Voices
766927	136044	Additional Voices
766927	177083	Additional Voices
766927	286864	Child E
766927	298952	Additional Voices
766927	318473	Additional Voices
766927	318540	Additional Voices
766927	380473	Additional Voices
766927	405144	Additional Voices
766928	380065	Melissa Escobar (#2)
766928	383261	Selene
766928	385873	Rocío
766928	401435	Claudia Lambarri
766928	401916	María Fernanda 'Marifé' Cifue
766928	401918	Estela Hidalgo
766928	405416	Ángeles
766929	53668	
766929	63859	
766929	69008	
766929	115773	
766929	269243	
766929	328727	
766929	332677	
766929	375885	
766929	376647	
766930	9883	Bowie's charro
766931	258499	
766932	52630	
766932	53119	Doña Leonor
766932	55929	
766932	57978	
766932	63808	
766932	74555	
766932	84225	
766932	103324	
766932	114321	
766932	114322	
766932	114324	
766932	124041	
766932	131060	
766932	165896	
766932	196761	Gemma
766932	203839	
766932	209072	
766932	214657	
766932	236036	Lucha
766932	252105	
766932	255547	
766932	256792	
766932	352848	
766932	355008	
766932	373886	
766932	380252	Malú
766933	114873	Dancer: Grupo Cobo de la Peña
766934	1337	Rosa
766934	278459	Rebecca
766934	385697	Danya
766935	14787	
766935	57463	
766935	194626	
766935	204594	
766935	265148	
766935	266058	
766935	355751	
766936	138348	Sara
766936	204214	Maria Hernandez
766937	64977	
766938	256786	
766939	29619	Woman in Torture Room
766940	130730	Employee E
766940	318540	Additional Voices
766941	259726	
766942	355247	
766943	396179	Sara Medina
766944	239251	
766945	400798	Host
766945	409053	
766946	53694	
766946	217305	
766947	401884	Herself/- Finalist
766947	404070	Rebecca
766948	194098	
766948	387623	Alma
766950	1792	Miss November 1988
766950	10837	Tedra
766950	52415	Tracy
766950	158966	Rosa Venezuela
766950	240473	Dancer
766950	257647	Herself (Miss June)
766950	257839	Herself (Miss November 1988)
766950	276779	Alicia
766950	281021	Sunshine
766951	10727	Thoughtful Poetry Lover
766952	87592	Erika
766954	152929	Small Girl
766955	9878	
766955	12798	
766955	13016	
766955	41368	Mariella
766955	82523	Olmedo's Mistress
766955	82743	Madeleine
766955	392690	Maddi
766956	49136	
766956	204975	
766956	247605	
766956	284651	
766958	311310	
766959	162799	
766960	252109	Luz Dary de Concha
766960	384401	Maria Jose
766960	397257	Connie
766960	398475	
766960	401106	Paula Dávila
766961	80116	
766962	77247	
766962	86732	
766962	247538	
766963	255501	Toya
766963	265687	Mama de Roberto
766963	379001	Brígida
766963	379648	Sufrida
766963	381607	
766963	391611	Mamá Chela
766963	396333	Imelda Robles
766963	396942	Maclovia
766963	397591	
766963	401634	
766963	408562	
766964	77653	Midget
766965	73703	Minnie
766965	265928	Jenny
766966	9464	
766967	348934	
766968	285933	Andrea
766968	381389	
766968	390457	Host (1994-1995)
766968	391272	Regina Fuentes
766968	392614	
766968	399616	Host
766968	402056	Azafata (1988-1990)
766968	407329	Host (1995)
766968	408407	Host
766968	409960	Beatriz
766970	46857	Elderly Dutch woman
766970	231711	Moeder van Marie
766970	342327	Blind vrouwtje
766970	350377	
766970	394912	Ka van de Kikkerberg
766971	67481	Claire Oovoovy
766972	350083	
766973	166113	La maîtresse
766973	211375	Madame Le Gourvellec
766973	263212	Waffles seller
766974	195012	Sarah
766975	137616	Line
766976	5139	
766976	259431	Frau des Polizei-Sergeanten
766977	379031	Herself (2003-)
766977	387953	Vote presenter
766977	407173	Herself (2002-)
766978	225808	
766978	258996	
766978	336083	
766979	182080	Annemie Mees
766979	210953	
766979	288694	
766979	296671	Bianca
766979	326453	Annelies
766979	404735	Lena Belli
766980	153100	Vesla Andersen, 3 år
766981	153100	Sylvi Andersen, 10 år
766982	226397	
766983	7462	Claudie Marcorelle
766983	21120	Tassi's Sister
766983	24924	Dolorès
766983	29489	Colette
766983	35302	
766983	73074	Louise
766983	77349	Nadine
766983	78382	La cliente
766983	82580	Mme Delacre
766983	82729	Karen
766983	82844	Juliette
766983	84222	Julie Desca
766983	85552	La directrice
766983	94233	Mme Martinet
766983	111096	Christiane
766983	124650	Anne
766983	198594	Marthe
766983	202090	Mme Leblanc, la secrétaire du
766983	226818	Hélène
766983	229013	Sonia/Ruth
766983	236521	
766983	238456	
766983	240428	Maryse
766983	256360	
766983	259009	
766983	263212	Mother
766983	264220	Geneviève
766983	265169	La femme dans le métro
766983	284246	Jeanne
766983	285150	Madame de Lancris
766983	302123	
766983	322340	
766983	345434	Mathilde Ancelin
766983	345437	Claire Daboval
766983	346503	Mireille
766983	350670	La mère d'Edith
766983	370060	The Mother
766983	375769	Nathalie Cheylard
766983	376910	Claire
766983	401988	Viviane
766984	198986	Marie
766985	166633	Jarmila Ventová, student
766985	357690	Violinist Irena Vengerová
766986	27627	School Girl
766986	27628	Funny Girl
766986	197551	Friday Madonna's Daughter
766986	205694	Maricris' Best Friend
766986	208679	Little Girl
766986	323059	Little Girl
766987	5265	
766987	9786	
766987	14657	
766987	92341	
766987	100510	
766987	221892	
766987	281762	
766987	388253	
766988	10484	
766988	13049	Clara
766988	54821	Shosh Balsher
766988	55146	
766988	56108	Jeanette
766988	67368	
766988	70581	
766988	74624	
766988	121231	
766988	148028	
766988	159044	
766988	267877	Meme
766988	353670	Roxana Rodó
766988	380477	Claudia
766988	383571	
766988	388097	Ana María
766988	389780	
766988	398816	Teresa Quinteros
766988	399523	Tete
766988	399805	
766988	400420	
766988	400950	
766988	403366	
766988	404993	Lucía
766988	405789	Leonor Muzzopappa
766988	405812	Sabrina de Bustos
766988	408204	
766989	234054	Bartender
766990	60091	
766991	61989	
766991	228560	
766991	260901	
766991	266822	
766991	308278	
766991	355820	Fernanda
766991	357006	
766992	161565	Elena
766993	207941	Teenager
766994	192954	
766995	380146	
766995	384907	Hostess
766995	388463	Hostess
766995	392260	Hostess
766995	392804	Juanita
766995	397733	Angie
766995	401803	Herself
766997	329146	Rita, Reno's Cleaning Lady
766998	27271	English Prostitute
766998	215188	Receptionist
766998	406391	Vilma Down
766999	290906	Server
767000	67920	Nun
767000	91779	Audience Member
767000	112177	Maria (waitress #1)
767000	195445	Fifi
767000	223733	Bit Role
767000	241788	Girl
767001	268825	Isabelle
767002	235038	Arno
767003	359827	
767004	161964	Nina Scott
767005	3323	Halima
767005	3964	
767005	8262	Carol
767005	40782	Prostitute
767005	48969	
767005	63924	
767005	66579	Lara Florakis
767005	156723	Vera
767005	182536	Woman in cabin of yacht
767005	215854	
767005	257027	
767005	268431	
767005	310968	Madame Lina
767005	348199	
767005	356206	
767006	115529	Alex
767007	146358	Marguerite
767007	247190	Sylvette
767008	236622	Laura's Friend
767009	7540	Ottilie
767009	71526	Marta
767009	235819	Delphine, Etienne's younger d
767009	287993	Alina
767009	345544	Delphine
767009	383815	Clelia Conti
767009	389784	Blanche
767009	403826	
767010	112888	Solange
767010	124909	Zeynep
767010	149881	
767010	279709	Mylène
767010	370630	Hülya
767010	377502	
767011	240105	
767011	382899	Fru Madsen
767011	390932	Telefonnissen Mette
767012	153566	Trina Raymond
767012	182984	Auditioner #1
767012	184582	Madeline Corbett
767012	230509	Patricia
767012	275877	Lili
767013	310141	Bellerian #4
767014	310141	Jennera
767015	178989	La dame en noir
767016	5032	Robert Frank
767017	58170	Leopard Skin Dancer
767018	338339	
767019	27738	
767019	76580	
767019	76887	
767019	85472	
767019	110508	
767019	155183	
767019	187879	
767019	190416	
767019	200298	
767019	212689	Madonna
767019	214277	
767019	237721	
767019	251230	
767019	277888	
767019	284674	
767019	297084	
767019	297093	Portia
767019	305350	
767019	319403	Roda
767019	359026	
767019	407943	
767020	33448	Coke meisje
767021	146393	
767022	224882	
767023	208838	Súsí
767024	209328	Dansepige i 1932
767024	240097	Pige på stranden
767025	118925	Mansion Staff #1
767026	327437	Delia
767027	192171	Ermengarde
767027	249457	Zoe Layton
767028	408880	Tally (series 3)
767029	90032	
767030	248459	Rose
767030	388791	Sarah
767031	314635	
767032	9237	
767033	168814	
767034	405209	Claire Reagan (2001)
767035	200881	Bit Part
767036	143005	Nellie Bates
767036	329883	Gilda, as a child
767037	56647	Cook
767037	365509	Ulama Girl
767038	46251	Ella
767039	12252	Nurse
767040	106520	Young Joanna Eris
767041	36760	Other Girl
767041	38930	Victim #8
767041	231920	Valerie at 13
767041	272927	Eilleen Fox
767042	74259	Goody Two-Shoes
767042	160760	Beach Teen
767043	327061	TekLord #1
767043	374525	Selena
767044	5405	
767044	30609	
767044	35633	
767044	37929	
767044	37931	
767044	37934	
767044	40256	
767044	220007	
767044	273256	
767045	62579	Gena
767046	123462	Herself
767046	123464	Contestant
767047	340247	Cindy
767049	190910	
767050	293078	Girl Friend #2
767050	311923	Bank Machine Victim
767051	26397	Fat Woman
767051	37337	Landlady
767051	126648	Ferry Woman #1
767051	194638	Aunt
767051	244365	Contestant
767051	291252	Concerned Guest
767051	361229	Rebecca
767052	192678	Sister-in-law
767053	1774	Herself
767053	2360	Herself - Presenter: Score Aw
767053	2750	Herself - Performer: 'Look Ho
767053	2815	Herself - Co-presenter: Music
767053	2940	Herself
767053	3773	Self
767053	7487	Pansy Hammer
767053	7591	Herself
767053	11685	
767053	13919	Herself
767053	23148	Minerva Mulvain
767053	23219	Herself
767053	31346	Helen
767053	42842	Herself
767053	47363	Herself
767053	49547	Polly Parish
767053	50124	Herself
767053	55627	Herself
767053	56925	Jane Hurley
767053	59719	Charlotte A. Cavatica
767053	63140	Ruth
767053	64198	Herself
767053	64569	Herself - Co-ringmaster
767053	65568	Herself
767053	69639	Herself (Special Appearance)
767053	79368	Maureen O'Grady
767053	88154	Barbara Harmon
767053	88525	
767053	99302	
767053	99305	Herself
767053	110251	Herself
767053	124816	Nell Nash
767053	125484	Herself
767053	127531	Shirlee Allison
767053	129062	Suzie Doolittle
767053	131721	The Reincarnated Charlie Sore
767053	137693	Aggie Cromwell
767053	137694	Aggie Cromwell
767053	138700	Herself
767053	141605	Eugenia
767053	146755	Carol Pace
767053	151461	Jenny Henderson
767053	151503	Lilith 'Lily' Prescott
767053	154401	Judy LeRoy
767053	157436	Berniece Brackett
767053	161249	Herself
767053	163358	Maggie Putnam
767053	164443	Herself
767053	170608	Boo's Girlfiend at Wedding
767053	175198	Herself
767053	187359	Herself
767053	190500	Herself
767053	200201	Herself
767053	201302	Miss Dora
767053	201745	Herself
767053	206922	Mary McKellaway
767053	207854	Mariette Larkin
767053	209604	Cameo appearance
767053	219904	Beatrice Henderson
767053	220970	Gwen
767053	224317	Janice Courtney
767053	238613	Herself (with Eddie Fisher)
767053	252528	Cameo appearance
767053	253354	Amanda Cody
767053	258048	Jessica Anne Poole
767053	264753	Herself
767053	270492	Comedienne in movie
767053	272603	Peggy Brown
767053	283102	Lulu Pickles
767053	285177	Sadie
767053	289254	Holly LeMaise
767053	292248	Lucretia Rogers
767053	302436	Herself
767053	302696	Kathy Selden (not Seldon)
767053	302724	Sister Ann
767053	304096	Herself
767053	313319	Herself
767053	315626	Herself
767053	320206	Susan Landis
767053	324261	Tammy Tyree
767053	327847	Julie Gillis
767053	329560	
767053	329562	Herself (Hostess/Narrator)
767053	329563	Herself
767053	329564	Herself (interview)
767053	329565	
767053	330091	Piper Grayson
767053	330711	Janet Blake
767053	331456	Helen Kane
767053	337285	Herself
767053	343206	Melba Robinson
767053	347681	Molly Brown
767053	355164	Gwen
767053	360670	Herself
767053	362082	Herself/Host
767053	362122	Herself
767053	362538	Adelle Bruckner
767053	373591	Beulah Blanton
767053	379832	Sydney Chase
767053	385939	Debbie Thompson
767053	387300	Herself (occasional guest sta
767053	402964	Herself
767053	403907	Lulu Pickles (2000-2004)
767054	382838	Katie Rogers I (1987-1989)
767055	79903	Cece
767055	105043	Her
767055	177016	Marina Rodriguez
767056	313479	Ewok
767057	385055	Winnie Tibideaux (1989-1990)
767058	364302	Sharon
767059	79878	Mother
767059	116919	Mildred Selbourne
767059	141794	Aunt Juliana
767059	183735	
767059	238991	Heckler
767059	391425	Lady Godiva
767060	152872	A Widow
767060	196325	
767060	213222	Mrs. Jabbs
767060	216442	
767060	241778	Newlywed
767060	256466	Maid
767060	262623	Telegraph Operator
767060	263221	
767060	274746	Mrs. Ogden
767060	282596	Mrs. Vandergrift
767060	310756	
767060	316338	
767060	329779	Mother-in-law
767060	359957	
767062	267567	Paige
767063	36855	Herself
767064	381312	Rebecca
767065	338927	Nancy
767066	67156	
767067	303750	
767068	21664	
767068	146145	
767068	210738	Nurse
767068	313301	Chorine
767068	331437	Girl on Golf Course
767069	328564	Flower Woman
767070	54390	
767070	192039	Mrs. Butterfield
767070	281159	Lady Montague
767071	4917	Susan
767071	154368	
767071	186298	Jean Godfrey
767071	292461	Teletype operator
767071	316942	Telephonist
767072	190331	Niki Janus
767072	313562	
767072	380692	Nadine
767073	34386	Angela
767073	42013	Helen Shaw
767073	69490	Dorothy
767073	88250	Jean Patterson
767073	120689	Mollie Malloy
767073	128468	Helen Martin
767073	141620	Peggy Nash, Showgirl
767073	203613	Anna Wolff
767073	209168	Wife (Park Ave. Neighbor)
767073	218849	Woman on boat
767073	282565	Velma Wall
767073	285747	
767073	323883	Actress
767073	366492	Marian Daly
767074	25480	Babs Osbourne
767074	97681	Lesley
767074	144950	Patricia
767074	158975	Architecture student
767074	159132	Nurse
767074	385293	Clare
767074	388209	Shelley O'Connor (1998-1999)
767074	389089	Roisin
767074	393268	Wife
767075	18436	Young Girl #1
767078	33178	Reporter
767078	60840	
767078	221287	Laura Halstead
767078	224716	Margaret Coach
767078	388012	Princess Kneesaa (1986-1987)
767079	131006	Lady with cane
767080	147530	Niki
767081	197371	Singer
767082	150008	Bit Part
767082	171161	Sybil
767082	368753	Policewoman
767082	393567	
767083	85055	Adagio Team Member
767083	131240	Cancan girl
767084	115299	Nancy
767084	196558	Bit part
767084	326649	
767085	7036	Clara Clemens
767085	12784	Jane Barker
767085	69850	Paula Sanger
767085	126063	Madge
767085	128896	Peggy Donovan
767085	147663	Herself
767085	165558	Janie Conway
767085	329329	Girl with book
767085	358749	Jackie Linnett
767085	370555	Teenager
767086	100119	June
767087	122638	Heidi Krauer
767088	153210	Majella
767089	365252	
767090	15861	Punker
767091	10899	Running Companion
767092	384346	Debbie Jackson
767092	392942	Holly
767092	395887	Debbie
767093	357402	Dancer
767094	13392	
767094	143248	Waitress
767094	218765	Joan Barbella
767094	339710	Anne Richards
767094	405769	Claire (1977-1978)
767095	292686	Polly Flynt
767096	391772	Emma Milburn #1
767097	151675	Smitty
767097	404642	Erica
767099	51886	June Short
767101	192736	Susan
767101	367335	Lynn Harris Randolph
767102	397570	Lulu
767102	407640	Mariluz
767103	309804	Dancer
767104	646	Donna
767105	331639	Dame
767107	89684	Mother
767108	118474	William's Wife
767109	143267	Trixie
767112	13637	Mr. Management's Secretary
767112	59377	Barbara
767112	379716	Mickey Barlowe (1985)
767113	143802	
767113	280890	
767114	27319	Julie
767114	36840	Dancer
767114	39249	Jane Allen
767114	47088	Sue Thomas
767114	47356	Dancer
767114	47597	Child
767114	59931	Susie
767114	67139	Dancer
767114	67141	Dancer
767114	67172	Chorus Girl
767114	75659	Lucille Gerrard
767114	75852	Mary Corbin
767114	77834	Dancer
767114	77929	Betty Lou Barnes
767114	82379	Edith Ellis, as a youth
767114	88245	Jean Mason
767114	90872	Roberta 'Bobbie' Logan
767114	94598	Barbara Adams, aka Bernice Al
767114	94881	Peggy O'Malley
767114	101050	Peggy O'Reilly
767114	109656	Roberta 'Bobbie' Logan
767114	131240	Guest at Twelve Oaks
767114	133673	Martha Rollins
767114	133824	Margaret Swann
767114	135604	Jackie Lawson
767114	141636	Ginger
767114	146011	Helen Cardigan
767114	147543	Linda Mason
767114	148391	Janice Hunt
767114	170309	Martha Manton
767114	186352	'Perry' Lorimer
767114	203719	Madge Crane
767114	209609	Ann Stallings
767114	213174	Joan Marshall
767114	214695	Carla Hilfe
767114	216735	Mary Hale
767114	216871	
767114	218257	Princess Maria of Spain
767114	221177	Roberta 'Bobbie' Logan (repor
767114	222637	Molly
767114	224792	Betty Lou
767114	233635	Rhonda Nelson
767114	245730	Jean Greeley
767114	254559	Mary Ellen
767114	270508	Helen Lewis
767114	273687	Claire Elliott
767114	277008	Child
767114	279746	Jeanie Grayson
767114	281380	Margie Williams
767114	289503	Bit Part
767114	292391	Linda Wilson
767114	301777	Mary
767114	303511	Molly Morgan
767114	304306	Betty Lou Barnes
767114	313377	Herself - Swing Shift Skit
767114	316773	Anne
767114	317523	Betty Lou Barnes
767114	329028	Norma Willis
767114	329467	Mary
767114	331317	Bit role
767114	331421	Kitty Mitchell
767114	331762	Chorus Girl
767114	333074	Bubbles
767114	333157	Anne Carr (reporter)
767114	333300	Melody Allen
767114	335868	Dancer
767114	335884	Gail
767114	339690	Waif
767114	348332	Geraldine Ainsworth
767114	348341	Anne Mason
767114	361789	Alice
767114	366126	Marilyn Arnette
767114	391831	
767114	395563	Peg Riley (1953-58)
767114	401079	Nurse #3
767115	245844	Maria
767116	340122	
767117	49389	The Queen
767118	47324	
767119	228453	Glenda
767119	399064	Glenda
767120	151183	Burger Counter Girl
767121	131232	Extra
767122	49338	Mrs. Strickland
767123	385055	Winnie Tibideaux (1989-1990)
767124	232313	
767125	210481	Woman Witness
767126	316955	Student
767128	152584	Nina
767128	222563	Roz Finch
767128	295806	Poppy
767128	337341	Shelley
767128	396137	
767128	406636	Shelley
767129	220262	
767130	288490	
767131	218014	Woman
767132	367552	Bit Part
767133	94055	Herself (editor)
767133	403299	Panelist
767134	81104	Mrs. Barrington
767135	384808	
767136	381821	Ensemble (1984-1985)
767136	402110	Model (episodes 10-12)
767137	93645	Biker Chick
767137	157574	Nurse
767137	245716	Pam
767138	92665	Stranded Girl
767139	96834	Woman in Shower
767139	150594	Young Colt
767139	292641	Lisa
767140	249036	
767141	391378	Henry Wiggins
767141	397280	Ikki Tenryou (Seasons 1 and 2
767142	118474	Choir Member
767143	27091	Additional Voice Talent
767143	299098	Nakano
767143	312137	Russian Blue
767144	158207	Raven
767145	338981	Herself
767146	112572	Mary
767147	214937	Mary Schornstheimer
767148	297221	Head Archaeologist
767149	168973	Reporter
767149	368949	T.V. Reporter
767150	125465	
767151	81033	Mandi McDaniels (segment "The
767151	81722	Emma
767151	221325	Phillippa Munn
767152	34310	
767152	35739	
767152	37503	
767152	52272	
767152	81382	
767152	209799	
767153	364750	
767154	104749	Irish entry (7th place)
767155	210670	Sister Baby
767156	42808	Rich Wife
767156	158338	Policewoman
767156	347753	Arkie
767156	383385	Vera Sweet (1984-1986)
767157	12232	Mary Kelly
767157	26720	
767157	31732	
767157	44560	Alice Blake
767157	47440	Sadie Denton
767157	50437	
767157	57170	Irving's Wife
767157	60150	Kitty Dillingham
767157	62690	
767157	70913	Kate
767157	88091	Lillia Ludwig
767157	92738	
767157	94192	Mrs. Tryan
767157	110559	Amy Loring
767157	114996	Sadie Callahan
767157	117143	Betty Twombly-Smith
767157	130716	Margaret Peake
767157	131055	Alice Anderson
767157	132052	Helen Wells
767157	141507	
767157	142352	Ellen Garwood
767157	145985	Sweetheart
767157	155299	Nettie Moore
767157	166081	Stella Baggott
767157	185178	Sally Kelly
767157	186108	
767157	186419	June Page
767157	190966	Caroline Dale
767157	191590	Helen Davis
767157	193695	Mary Stevens
767157	197263	
767157	201033	Glory Frayne
767157	214088	Alis Porter
767157	218396	Ruth Earlton
767157	229222	Norma Rickson
767157	231859	Grace Henderson
767157	253771	The poor tenant
767157	263596	
767157	265244	Marjory Forbes
767157	278853	Cecily Stoughton
767157	279457	Beth Tyrell
767157	293783	
767157	296939	Liane
767157	301505	Norma Drake/Norma Powers
767157	314253	Amy Creeth
767157	319146	Sunny Ducrow
767157	324401	
767157	329414	
767157	335471	Barbara Warren
767157	358904	Herself
767157	360678	
767157	366939	Margaret Garth
767157	367755	Celeste Rockwood
767158	6248	Forceps Nurse
767158	12205	Bank Customer #1
767158	67430	LaWanda/Mama
767158	70454	
767158	73833	Woman in Sauna
767158	76496	CCU Nurse
767158	107002	Bad singer
767158	115869	Bobbie
767158	120093	Joann
767158	154959	Sadie
767158	222598	
767158	259755	Mrs. Tarbell
767158	259775	
767158	263755	Amalee McHollister
767158	309812	Willie's Wife
767158	350192	Mrs. Brown
767158	359290	Nancy/Oliver's secretary
767158	406869	Vickilyn Fontaine
767159	135968	Woman with husband in bar
767160	319902	Anne
767161	364281	Extra
767162	164573	Herself
767163	35643	Waitress
767163	43932	Female sheriff
767163	47921	Debbie Mathews
767163	51635	Agent
767163	64106	Anastasia
767163	69917	Homeless Mother
767163	87234	Sales Clerk
767163	87375	Motel Waitress
767163	94621	Townsperson
767163	115668	Faith
767163	141180	Female Orderly
767163	158296	Sue
767163	175787	Waitress
767163	192527	Salt Woman
767163	211516	Beautician
767163	340058	Nurse
767163	346933	Nurse Karen
767163	356477	Police Station Woman
767163	392244	Female Immigration Officer
767163	405833	Cindy
767163	407421	Dorothy
767164	62615	
767164	351667	
767165	6496	
767166	287248	
767166	370439	
767167	78220	Reportera
767168	16093	Señora Madrigal
767168	243612	
767169	57978	
767169	68553	
767169	68557	Bertha
767169	91313	
767169	91388	
767169	100260	
767169	101825	
767169	165896	
767169	193189	Aurorita
767169	198993	
767169	198998	
767169	204689	
767169	208995	
767169	209046	Amiga de Chela
767169	229444	Elisa
767169	248177	
767169	253380	
767169	284953	
767169	397593	
767169	409782	Carmen
767170	341406	
767171	253664	Cristina (child)
767172	342327	Kleine Mien
767173	8467	
767174	1123	Catherine
767174	20049	Moeder Arends
767174	155803	Lizzy
767174	156150	Lizalotte
767174	187067	Marielle
767174	202662	
767174	384901	
767174	389827	Ilse Fijnhout
767175	410441	Goedele (1995)
767176	228229	Herself
767178	189795	
767179	74686	Herself
767180	37902	
767181	148018	
767181	204820	
767182	384507	
767183	2660	Nun
767183	7235	
767183	20730	
767183	21681	Actriz criada
767183	29061	
767183	36651	
767183	53988	
767183	55898	
767183	55995	
767183	59776	
767183	59779	
767183	68251	
767183	70598	
767183	74504	
767183	74551	
767183	76017	
767183	83511	Quiteria
767183	85576	
767183	94828	
767183	94873	
767183	100386	Carmelita
767183	100587	Manuela
767183	101604	
767183	106303	
767183	108118	Guadalupe, servant
767183	108714	Diana Alegre, ama de llaves
767183	125411	
767183	148155	
767183	193021	
767183	193490	
767183	202514	
767183	206280	
767183	212438	
767183	217003	
767183	222955	Sirvienta
767183	229430	
767183	235988	
767183	249855	
767183	250476	
767183	253198	
767183	255619	
767183	257165	
767183	258095	
767183	266808	Soledad
767183	279901	
767183	281791	Sen~ora cardoza
767183	291602	
767183	296469	
767183	301179	Yerbera
767183	307784	
767183	307803	
767183	307818	
767183	332689	
767183	336214	
767183	354716	
767183	357899	
767183	376654	
767183	378404	
767184	132410	
767184	171007	Simra
767184	193438	Emily
767184	269227	Chambermaid
767184	376912	Hélène
767185	330391	Little Girl
767186	198901	Elizabeth
767187	349007	
767188	247612	Noqreh
767188	316510	
767189	215130	
767190	384279	Host
767191	149504	Maria de Penha
767191	344885	
767192	246852	
767192	344810	(segment "Ivone")
767193	341133	
767194	397541	
767195	402506	
767196	397540	
767197	411508	
767198	122612	The Woman
767198	200610	
767198	232802	Nõvér
767198	322123	Timi
767198	322150	
767198	348671	Eladó
767198	377129	Adri
767199	328851	
767199	345454	
767199	376996	
767200	355616	
767201	34582	
767201	43128	Beata
767201	276444	
767202	175059	
767202	317462	Wife of Sychrava
767203	41197	Phone Pants-Donor
767205	38988	Female Warden
767206	88763	Store Customer
767206	151556	ER Nurse
767206	263955	Wild Girl
767207	81767	Waitress
767208	35932	
767208	82184	
767208	95569	
767208	154541	
767208	157301	
767208	179726	
767208	210374	
767208	244581	
767208	280600	
767208	315933	
767208	338475	
767208	339327	
767208	349030	
767208	356110	
767208	370137	
767209	320565	
767210	399902	Tánská
767211	237832	
767211	349217	Julie
767211	357207	
767212	70585	
767213	103440	
767214	199288	La cugina
767215	238460	
767215	339870	
767216	12565	Jenny
767216	52058	Judith Wolters
767216	88313	Mimi
767216	290503	Jessica
767216	404224	Angela Materna
767216	410002	Natascha Jungblut
767217	72935	Queen's Usher/Fudor Sprite
767218	72935	Queen's Usher/Fudor Sprite
767219	75191	
767219	130781	
767219	160228	
767219	194397	
767219	258053	
767219	270640	
767219	295823	
767219	313212	
767219	336661	
767219	372272	
767219	372443	
767220	128587	Marcia Barrington
767221	25270	
767221	127059	The owner
767222	272856	Goli
767223	383441	
767224	39297	
767225	185173	Dana
767225	232281	Ashley
767226	38042	Singer at the party
767226	406924	Regular
767227	285098	Bianca
767228	54208	Pianist
767229	846	Herself - #72: Caroline Rhea:
767229	13838	Host
767229	63144	
767229	68107	Herself
767229	116787	Caroline Rhea
767229	138713	Monica
767229	161338	Herself
767229	184906	Herself
767229	186035	Herself
767229	203358	'Fridays' Actress
767229	209221	Beach Girl #4
767229	217484	Lynette Hansen
767229	240734	Monica (segment "Happy Birthd
767229	273241	Eugenia King
767229	284939	Aunt Hilda Spellman
767229	287718	Mrs. Claus
767229	296104	Host
767229	299958	Casting Director
767229	383503	Host
767229	384616	Herself
767229	395161	Herself (Celebrity Talent Sco
767229	402122	Carol Green
767229	403776	Substitute Host
767229	404083	Hildegard 'Hilda' Antoinette 
767230	320060	Ditzy Blonde
767231	151620	
767232	204667	Herself
767233	1020	Lois
767233	43599	Stacy
767234	166997	Caprice Clark
767235	116422	
767235	244194	(segment "Uma Noite com Oswal
767235	310076	
767236	44797	Åsa Norén
767236	128079	Åsa Norén
767236	156504	Lawyer
767236	388646	Körledare
767236	403084	
767237	390784	Agnieszka
767238	355434	Sujong's mother
767239	186020	Joy
767241	43688	La jeune vendeuse
767242	83699	Telescope operator's wife
767243	153883	
767243	345342	
767244	33193	Cindy
767245	366517	Kommunarde
767246	237609	
767246	378554	Oberin
767247	161761	Mari
767248	32801	
767248	187400	
767248	187401	
767249	181255	Aardige mevrouw Kerk
767249	379579	Mareike Vanstraaten (1996)
767249	390242	Angela Nieuwkoop (1991)/Angie
767249	404442	Annabel #2 (2003-)
767250	346786	
767251	95871	Magdalena
767251	114978	
767251	400217	Aafke Reitsema Couwenberg Zwa
767252	199109	Additional voices
767253	131240	India Wilkes
767254	18207	Dancer
767254	26074	Ty-Dy
767254	37686	Kim Taylor
767254	37689	April
767254	42728	Maggie
767254	42982	Ms. Beverly
767254	47588	Karen
767254	84808	
767254	84809	
767254	102769	Teacher (Segment "Final Exam"
767254	171408	
767254	201598	Nude Ninja
767254	213259	Mantra
767254	219659	Stewardess
767254	252889	Carol
767254	257545	Connie
767254	257669	Model
767254	257672	Herself
767254	277070	Girl In Convertible
767254	278470	Bad Girl Gang
767254	278829	Herself
767254	296261	Annie
767254	312265	Gina
767254	318863	Harris, Jenny
767254	326513	School Girl
767254	366746	Rachel
767254	380039	
767255	382701	Iris Smith (Season 2)
767255	403993	Extra [204]
767256	51984	Punk
767257	237821	Angela
767258	97940	Sheila Verdon
767258	292223	Reporter #1
767258	339379	
767258	380713	Jessica Griffin #2 (1995-1999
767259	324123	Louise
767260	205556	Gypsey Crone
767260	321088	Mrs. Lovatt
767261	317874	Brothel Madam
767262	162082	Anita
767262	315821	Roza
767262	349198	
767262	356069	
767262	402302	
767263	30428	Deborah Childers
767263	62560	No Balls Hadley
767263	67585	Joyce
767263	67587	Hostess
767263	69810	Helen Horowitz
767263	73137	Angela Swoboda
767263	79907	Dee Dee Fields
767263	90325	Kendall Flanagan
767263	91875	
767263	94500	
767263	131731	Donna Douglas
767263	133655	Margery Crandon
767263	139610	Stephanie
767263	144406	
767263	152934	Real Estate Woman
767263	169881	Chloe Jones
767263	191732	Helen
767263	201788	Herself
767263	221534	Dancer
767263	245007	
767263	255233	
767263	259275	Marnie
767263	267148	Barbara
767263	291228	Elaine
767263	294786	Vivian
767263	295619	Paula
767263	297136	Penelope 'Bad Penny' Cushings
767263	300901	Paula Picasso
767263	301639	Hostess
767263	329974	Miss Jessie Brundidge
767263	340540	Sarah Mather
767263	342533	Sheila Rainier
767263	348386	Dr. Boden
767263	362140	Marge
767263	382292	Carrie Williamson
767263	383047	Melody Feebeck
767263	389867	Jessica Gardner #1 (1989) (or
767263	390984	Maggie Gallagher
767263	397076	Guest panelist (1977-1982)
767263	411741	Maggie Davis
767264	303887	Skier's fiancee
767265	311039	Betty Brant/Balloon Kid/Misc.
767266	92736	Baitmate
767266	192104	Cpl. Hogan
767268	210485	Merilee
767269	116443	Girl in secretary dance
767270	76258	Bunny Du Soleil
767271	263517	
767272	69420	Annette Pringle
767272	146273	
767272	163469	
767272	342859	Lord Ralston's Guest
767272	361300	Bit
767272	374522	Party Guest
767274	210485	Darlene
767275	196434	Mom at Pool
767275	219933	Mother Goose
767275	398307	Regular
767276	85171	
767277	128847	Matron
767277	161041	Mrs. Schultz
767277	177989	Harem Showgirl
767277	209604	
767277	285095	
767277	336811	Girl
767278	54311	Baby Kennard
767279	149832	Lisa
767279	163932	Missy
767280	140988	Stacy
767281	42259	Blondicca
767281	92282	Sybil Wakely
767281	285510	Melody Rourke
767282	54112	
767283	100146	Jeffrey's daughter
767284	14160	Interviewer
767285	188453	'Dislike' Girl
767286	20460	Additional Voices
767286	81758	Holly
767286	89624	Walters
767286	105704	Eileen White
767286	257014	P.A. Woman
767286	295296	Lisa
767286	375842	T.V. Reporter
767287	358678	
767288	245043	Herself
767289	368934	Hooker
767290	66855	
767290	107571	
767290	146158	Eileen's Sister
767290	161501	
767290	224159	
767290	239544	
767290	256860	
767290	292006	
767290	340928	
767290	342888	
767290	347037	
767291	75059	
767291	75060	
767291	109517	
767291	123861	
767291	134681	
767291	153260	
767291	362897	
767291	401923	
767292	102829	Allanah (Coochie Tribe)
767292	102838	Coma Patient
767292	194487	Hymen Torn
767292	201665	Herself
767292	224387	
767292	350203	
767293	79757	Virginia Walton
767293	220018	Virginia Walton
767293	360711	Virginia Walton
767294	130348	Orphan
767295	229123	Littlest Girl
767297	12357	Mary Loring
767297	18617	Bobby-Soxer
767297	20273	Lenta Lindsay
767297	115213	
767297	115214	Diana Golden, Movie Star
767297	117754	Sally McBride
767297	137549	
767297	140408	Singer
767297	147816	Herself
767297	170768	Joan Redmond/Mrs. Tom Redmond
767297	190206	Susan, the Singer
767297	205338	Suzy Brown
767297	214149	Girl at Lodge with Tennis Rac
767297	220331	Carol Weaver
767297	238894	Specialty number
767297	255224	Betty
767297	264358	Lee Davis
767297	286334	Judy Ames
767297	312773	Ann Braddock
767297	313377	Herself - Swing Shift Skit
767297	320937	Louise Menard
767297	330190	Singer During Opening Credits
767297	372139	Betty
767298	5829	
767298	11301	
767298	12187	
767298	16062	
767298	16101	
767298	26443	
767298	37927	
767298	39547	
767298	41719	Ruth
767298	42107	
767298	45492	
767298	46719	
767298	49811	
767298	50924	
767298	56902	
767298	62123	
767298	64511	
767298	77494	
767298	80371	
767298	87528	
767298	109890	
767298	109902	
767298	113977	
767298	116558	
767298	118706	
767298	128362	The Weed
767298	131563	
767298	140732	
767298	140771	
767298	142942	
767298	143149	
767298	143185	
767298	143186	
767298	143405	
767298	146065	
767298	146141	
767298	146168	'Dolly' Dodd
767298	146302	
767298	146325	
767298	149360	Hoop-La Charters
767298	151522	
767298	157970	Barbara Chichester
767298	163196	
767298	163285	
767298	163298	
767298	163411	
767298	165571	
767298	175214	
767298	176491	
767298	184221	Boots
767298	186805	Geraldine Brent
767298	191267	
767298	194329	
767298	195506	Kid Allen
767298	200845	
767298	206913	
767298	215618	Rose Marie
767298	216460	
767298	216477	
767298	217445	
767298	229659	
767298	230317	
767298	230358	
767298	240526	
767298	241279	
767298	242698	
767298	253144	
767298	267969	
767298	278768	
767298	289039	
767298	293975	
767298	297885	
767298	307894	
767298	308074	Trixie Gale
767298	313368	Nan Lambert
767298	323732	
767298	329741	
767298	329772	
767298	330012	
767298	331098	
767298	342703	
767298	343247	
767298	359122	
767298	359130	
767298	362163	
767298	362683	
767298	362733	
767298	362785	
767298	362788	
767298	362832	
767298	363175	
767298	363185	
767298	364354	
767298	366808	
767298	368925	
767299	295316	Dee
767300	233737	
767300	273298	
767301	405302	Host (1993-????)
767302	75536	Vickie Phillips
767302	87280	Penny Johnson
767302	115106	Tina Tech
767302	283398	Officer Karen Thompson
767302	314108	Jackie
767303	163265	
767304	71601	Herself
767304	98339	Mary
767305	59506	Hestor Savory
767306	387247	Tina Hopkins
767307	231984	Ma Powell
767307	298436	Aunt Molly
767307	349633	Second Old Woman
767307	362680	Stella
767308	381312	Kim
767309	278512	Gwenda Milton
767310	49250	
767310	50295	
767310	60689	
767310	66828	Dancing Girl
767310	124067	
767310	177262	Hat Check Girl
767310	193796	Musette, the Maid
767310	195071	French Midinette
767310	200484	Nurse
767310	203463	Check Room Girl
767310	249068	
767310	279417	Yvonne
767310	311475	French Girl
767310	315869	French Girl in Taxi
767310	330059	Attendant
767310	346695	Mrs. Laurel
767310	352929	Maid
767310	360532	Antoinette, Agnes' Maid
767310	368424	Jeanne Girard
767311	124115	Voice of Librarian
767312	82471	
767313	306245	
767314	258230	The intruder
767315	261558	Customer
767315	346248	Guest
767315	372145	Woman
767316	78986	Secretary
767316	142463	Maizie, Buck's Secretary
767316	238616	Telephone operator
767316	292623	Pamela Schuyler
767316	367827	Joan Bridges, an Aviatrix
767317	141422	Ebony
767318	78365	Herself
767318	345342	La Sangria
767320	131447	Old Woman
767320	239829	Auricon Granny 2
767320	319050	Margaret
767321	361851	Extra
767322	26324	Mrs. Landers
767322	37292	
767322	42727	
767322	81222	Elaine
767322	90943	Mother
767322	105807	Sister Mary Catherine
767322	118705	
767322	127108	Madame St. Esprit
767322	141592	Veronica's Mom
767322	164657	Press Secretary
767322	176911	
767322	176966	
767322	231866	Georgia
767322	232073	Sister Gloria
767322	252936	
767322	274609	Georgia
767322	303836	Mrs. Gallway
767322	303872	
767322	329975	Dr. Blum
767322	342405	Renee
767322	378855	Mrs. Sumner (1996)
767322	399450	Effie Gardner
767323	249420	Waitress
767324	6793	Mrs. Gilday
767324	42337	Herself
767324	49874	Hairy Mary
767324	65701	
767324	99081	Cook
767324	168764	Herself
767324	256257	Daphne
767325	144406	
767325	273431	Herself/San Francisco
767325	273432	
767325	273433	
767325	273434	
767325	273436	
767325	284932	Paris friend
767325	346560	Eva
767325	402993	Herself/San Francisco (1994)
767326	386518	WPC Kay Shaw (1960-1962)
767327	186936	Rebecca
767327	188502	Mona Gruman
767327	213128	Heather Black
767327	266053	Molly
767327	323498	
767327	331965	Kate
767328	139228	Ms. Rollins
767328	167315	Technician
767328	264091	
767328	304571	Commandant's Lady
767329	269355	Vampire Girl
767330	2149	Cindy
767330	140999	Mandy
767331	157931	Ann Sutton
767331	256825	Heavy Metal
767331	313407	Yulana Oxila
767331	380391	Cynthia 'Cindy' Brooke Harris
767331	380713	Cindy Harrison (2000, 2001)
767331	396024	Rachel Lipton
767331	406877	Carey
767332	58162	Singer at Barbecue
767333	58930	Heidi
767333	82681	Lisa
767333	186207	Heather
767333	310879	Glenda Baker McMartin
767333	329323	Trixie
767334	366326	
767335	179513	Jackie
767336	7911	Bessie
767336	11025	Old Woman
767336	39889	Nurse with Glasses
767336	50492	Mrs. Pumb
767336	61695	Ada Jones
767336	75404	Mrs. Hardacre
767336	81515	Signora Bucca
767336	100696	Mrs. Sampson
767336	103238	Mrs. Pinkem
767336	103329	Mrs. Pickles
767336	108410	Lucy Fitton
767336	116930	Mrs. Park
767336	127481	Mrs. Rosie Saparelli
767336	128419	Mrs. Chubb
767336	131392	Mrs. Mounder
767336	133539	Mrs. Nora Mumford
767336	138248	Mrs. Bryant
767336	142364	Ma West, Landlady
767336	155029	Mrs. Bartholemew
767336	163289	Mrs. Buckland
767336	163442	Landlady
767336	163547	Landlady
767336	171211	Mrs. Hackett
767336	193825	Emma Brierley
767336	194690	Mrs. Jeffries
767336	195959	Mrs. Bull
767336	221234	Gloria Tulley (Grandma)
767336	227022	Lady on Phone
767336	234033	Cleaner
767336	236081	Farmer's Wife
767336	239740	Cook
767336	240446	Cook
767336	245663	Bridget Stone
767336	258954	Mrs. Scaife
767336	264576	Countess
767336	278514	
767336	281424	Betsy Richards
767336	290344	Mrs. Arnold
767336	311940	Mrs. Gasket
767336	312254	Mrs. Agnew
767336	316604	Mrs. Foster
767336	326100	Mrs. Pickering
767336	329699	Agnes
767336	330000	Marjorie Potter
767336	330903	Mrs. Holmes
767336	331105	Maid
767336	331106	Mary Twigg
767336	333245	Miss Mouncey
767336	334159	Landlady
767336	345809	Mrs. Rusk
767336	359857	Emma Hornett
767336	360542	Suzie, bigamist inmate
767336	363203	Mrs. Northrup
767336	371016	Jessie Stokes
767336	371547	Matron Brandon
767336	380636	Mrs. Snudge (1957-1959)
767336	390689	
767336	392687	Ivy Unsworth (I) (Pilot) (196
767337	397058	Presenter
767337	405934	Presenter
767338	82097	Herself
767339	79965	Heather
767340	7811	Drug Addict
767341	36403	
767341	129441	
767341	228006	
767341	342550	
767341	353315	
767341	365494	
767341	369472	
767342	143650	Nurse
767342	295377	Nurse 1
767343	286691	Herself
767344	232282	Dancer
767345	128530	Mandy
767346	282968	Lesbian Nurse
767346	332860	College Girl
767347	21304	Herself
767348	150475	Sister Flavia
767349	204260	Nurse #2
767349	229108	Priscilla
767350	331714	Beauty Operator
767350	360082	Gladys
767351	208080	Ellen
767352	34903	Herself
767352	119412	Herself
767353	383681	Big Sis
767353	386963	Jodie Stone (2004-)
767353	391079	Lucinda
767353	398247	Miss Rankin
767355	274200	Violet
767356	366780	Marta
767357	316171	Tiana Moore
767359	212038	Police Officer
767360	347300	Classroom extra
767361	82710	Tommy's Mother
767362	56162	Jessina Stokes
767363	373925	(segment "Quelli qui partono"
767364	66305	Lizzie
767365	10395	Lucy
767365	363775	Tondelayo
767366	22653	
767366	102393	The Queen
767366	125719	
767366	205137	
767366	209233	
767366	239279	Carmela
767366	247469	
767366	375883	
767366	386696	
767367	34953	Emily Stockwood
767367	72476	Marie
767367	103310	Laila
767367	108694	Rebecca
767367	123460	
767367	130971	Marsha
767367	140840	Ellie Daniels
767367	163462	Secretary Schwartz
767367	175562	Anasuya
767367	183445	The Translator
767367	201349	Alice Black
767367	204220	Teresa Taylor
767367	209413	Mrs. Doran
767367	214993	Nun Who Warns Teresa About He
767367	220034	Lois Greenfield
767367	242773	Lt. Reid, RN
767367	260207	Frances Emerson
767367	295952	Joy Hudson
767367	313074	Gloria Seagar
767367	316231	Alma Britten
767367	382636	Marjorie Grant, Kevin's Wife
767367	385824	Daphne DiMera (1982-1984)
767367	388031	Hilary Mason
767367	392159	Annie Hartung
767368	269539	
767369	31845	Juror
767370	31845	Juror
767370	187147	Girl handing the present to W
767371	347455	
767371	364300	Herself
767372	16791	Angela
767372	65099	Angela
767372	358638	Young Laura
767373	257859	Herself
767374	142929	Mary Lascelles
767374	291000	Joanne
767375	76507	Girl in bank
767375	101301	Secretary
767376	143708	Jane Judd
767376	345741	Beatrice Lynn
767377	77068	
767377	98794	Nain
767378	210758	Nikki DiLeo
767379	154937	Femme enceinte
767380	268947	
767381	29274	
767381	125967	
767381	371134	
767382	169217	Katsu
767383	38084	
767384	201434	Dancer (segment "Ballade Ball
767385	248579	Marianne Peale
767386	165102	Barbara
767387	151055	Muslim
767387	176989	Asst. Chief Hall
767388	296599	
767389	1111	
767390	91215	
767390	175871	
767391	79382	His Wife
767391	205122	Madame Roger
767391	224110	Aunt Josephine
767391	302313	Maria
767391	324410	
767391	365082	Madam de la Marche
767392	96002	Secretary (ADV 2003)
767392	123932	Marris, Salad
767392	206618	Mikako Sato, Magical Princess
767392	209803	Eve Tokimatsuri (ADV dub 2004
767392	209804	Eve Tokimatsuri (ADV dub 2004
767392	209805	Eve Tokimatsuri (ADV dub 2004
767392	248708	Michaelson
767392	267200	Shii Aasu
767392	285831	Houmei, Poker Groupie
767392	347385	Marie/Silver Girl
767392	348870	Kagari
767392	379014	Wedding Boomer, Additional Vo
767392	379081	Sayaka Imamiya
767392	379521	Hatoko Daikanyama
767392	381025	Minamo Kurosawa
767392	384233	Marinia
767392	388022	Hyatt (English Dub)
767392	389503	Kyoko Tokiwa
767392	389778	Miharu
767392	389869	Natsume/Energy Raider/Kay/Liv
767392	390536	Marinia
767392	394392	Lumière
767392	394421	Mikako
767392	394431	Tamayo Kizaki
767392	394997	Saki
767392	397371	Amy
767392	398924	Lila
767392	399784	Kirika Yuumura
767392	402175	Izumi Himuro
767392	402790	Haruka Shitow
767392	404127	Makoto
767393	137845	
767393	232105	Girl in car
767394	93794	
767395	324067	Une femme
767395	345368	
767396	98136	Art Student
767396	124713	Girl in bikini
767396	128417	Janet
767396	135591	Girl on Sam Sheppard's motorc
767396	147651	Candy Hope
767396	193406	
767396	202656	Becky
767396	218819	Mayella
767396	254242	Bonnie
767396	317533	Judy Blake
767396	318784	Conklin T.
767396	366419	Second Blonde Girl
767397	91080	
767398	63821	
767398	90456	
767398	199124	
767398	218924	
767399	400373	Herself (Kaospilot)
767400	354930	Michèle
767401	5874	Mrs. McGuinness
767401	6162	Photographer
767401	7512	Mrs. Snell, Be-My-Friend-Club
767401	16007	Waitress
767401	21555	Harpist
767401	26628	Amy Mellish
767401	27135	Lucy Lovejoy
767401	29967	Miss Emily
767401	37674	Old lady #2
767401	41085	Miss Clabber, Cookie's Babysi
767401	46714	Mrs. Pujol
767401	47138	Maggie
767401	53324	Woman coming out of Bath Hous
767401	65706	WAF Sgt. Anderson
767401	66111	Mrs. Cavendish
767401	79949	Miss Briggs
767401	88916	Telegraph Operator
767401	108309	Airline Passenger
767401	113879	Herman's Wife
767401	118405	Mrs. Sarah Jenkins
767401	127092	Sarah Osborn. the Milk Maid
767401	144896	Miss Grace
767401	148949	Head Saleswoman
767401	148975	Annie
767401	155293	Karen Vadja
767401	165206	Miss Tobin
767401	167527	Maggie
767401	167528	Maggie
767401	167529	Maggie Jiggs
767401	167530	Maggie
767401	178237	Miss Pilchard
767401	189152	Sarah Jones
767401	191646	Mrs. Dixon
767401	203039	Christina
767401	203615	Lilly Wigham
767401	210718	Mrs. 'Pinky' Pinkel, the Land
767401	221027	Librarian
767401	223825	The Sinclair's Maid
767401	227336	Effie Schneider, Drew's Maid
767401	227337	Effie Schneider, the Housekee
767401	227338	Effie Schneider, Drew Houseke
767401	227339	Effie Schneider, Drew's Maid
767401	234803	Flo
767401	238894	Lady in window
767401	245504	Ellen
767401	246861	Maid
767401	255327	Lady Ruxton
767401	275431	Mrs. Gattle
767401	279123	Mrs. Hawkins
767401	279426	Woman Bailiff
767401	286705	Mrs. Crody
767401	299780	Customer
767401	305606	Homely Woman
767401	306424	Emily
767401	308560	Mrs. Calhoun
767401	311995	Mildred the Maid
767401	315557	Woman
767401	316083	Mrs. Keller, Landlady
767401	323407	Mrs. Bramble
767401	327256	Olga (maid at school)
767401	329334	Mrs. Sweeney
767401	330025	Miss Aphrodite Phipps
767401	330153	Nurse
767401	331123	Olld Lady
767401	331421	Genevieve
767401	331549	
767401	333301	Lorene Smith (a blind date)
767401	337041	Madame Courtois
767401	363684	Meg
767401	365087	Mrs. Craig
767401	366196	Train passenger
767401	366456	Mrs. Schuyler-Riggs
767401	367781	Hotel Maid
767401	367919	Ugly Saleswoman
767401	371041	Bedelia
767401	372081	Minnie
767401	372311	Mrs. Hepplethwaite
767401	372364	Aunt Emma, aka Faro Fanny
767401	375045	Annie, Sheila's Maid
767402	254285	Ibu Ardiwilaga
767403	66223	
767404	393035	Herself
767405	387960	Herself
767406	363264	Mrs. Walton
767407	111143	Nadine
767407	240298	Madame Gérard
767407	252235	Hélène Naviner
767407	254098	Myriam, l'amie
767407	268463	La Bonne
767407	361710	Guenaelle's Friend
767407	383864	
767407	396042	Simone
767408	83822	Nicoles Roommate
767408	252889	Nicole
767408	274326	Wealthy Woman
767408	274327	Jana (segment "Runway")
767409	13184	Valerie
767409	86445	
767409	90140	La tornera
767409	101894	Madre General
767409	103432	
767409	165159	
767409	196736	
767409	257126	La madre
767409	268031	
767409	308463	
767409	377235	
767409	389139	Doña Guillermina
767410	272056	
767410	375254	Hamideh
767411	12545	Adela Caranda
767411	231300	
767412	144556	Sarah
767413	57384	Cavewoman
767413	235999	
767414	356503	
767415	387689	Guadalupe
767416	194020	Blanche
767416	358030	The mother
767416	379380	Nyasa Mathiba (1991-1994)
767416	392244	Chena
767417	14109	Tilly
767418	103701	Bailarina Sara Fiore
767419	100167	
767419	208143	
767419	230237	
767419	234635	
767419	241011	
767419	327328	
767420	14803	
767420	21692	
767420	67014	
767420	106268	
767420	121254	
767420	162712	
767420	190409	
767420	191549	Terrina
767420	193350	
767420	257908	
767420	260841	Doña Adela
767420	290372	
767420	307800	
767420	309961	Madre de Nieves
767420	378980	Mare
767420	388604	Abuela
767420	407859	
767421	273910	Policewoman
767422	66869	Natália
767424	384972	Marta Vendrell
767425	99668	Borracha
767426	14698	Manela
767427	64951	Baby
767428	224903	Louise Morel
767429	308243	
767430	194796	Girl spy
767431	84270	Woman
767431	134965	Marianne
767431	135674	Margit Wall
767431	192647	Ingeborg Malm
767431	217007	Anna Skog
767431	219294	Emmy
767431	284101	Harriet Benson
767431	343471	Mirjam Örn
767431	347025	Anne-Marie Björkman
767431	357800	Ms. Johansson
767432	146768	The Godmother
767433	95486	Asylum Extra
767434	401836	Herself (Series 1) (2001-2002
767434	401837	Herself (Series 1) (2001-2002
767435	105462	Dancer
767436	218242	
767437	215690	Miss New Hampshire USA
767438	28474	Portuguese Singer
767438	100721	
767438	341142	(segment "Madrugada - Amor na
767439	171607	
767440	389889	
767440	402685	Branca's daughter
767441	201145	Daniel's girlfriend
767442	400678	Lena
767443	78573	
767444	397409	
767445	396718	
767446	2570	Sãozita
767446	74139	Rosa
767446	84482	Bete
767446	121736	
767446	216542	
767446	272292	Luísa
767446	276454	
767446	296116	
767446	296197	
767447	384871	
767448	353499	Herself (Model)
767448	353500	Herself (Model)
767448	380326	
767449	48889	
767449	54787	Cleopatre
767449	237313	
767450	5189	Televizinha
767451	205516	
767451	236380	
767451	278620	Lolita
767451	341152	
767452	103893	
767453	196662	
767454	385043	
767454	386757	Jacira
767454	388565	Claudete
767454	410054	Manicure
767455	163950	
767456	197989	
767457	28214	Teresa
767457	104486	
767457	245487	
767457	378772	
767457	380612	
767457	383437	
767457	399489	
767457	403617	
767458	22873	Taweeda
767458	398549	Genoveva
767459	191402	
767460	138537	
767461	124240	
767462	83279	
767463	384992	Mabel
767464	306950	
767465	4656	(segment "Pacto, O")
767465	14816	
767465	34511	
767465	68621	
767465	69251	Alma d'Alvellos
767465	70887	
767465	70888	
767465	82349	(segment "O Olhar")
767465	88794	(segment "A Suspeita")
767465	110888	Gisela
767465	124235	
767465	134209	Marcel's vrouw
767465	143553	
767465	148518	
767465	184353	
767465	211018	
767465	215703	
767465	225929	
767465	248775	Ana Maria
767465	269273	
767465	269539	
767465	322253	Madalena
767465	327483	
767465	334569	The Aunt
767465	334575	Dunia
767465	344695	
767465	380120	Beatriz
767465	380166	Narrator
767465	383866	Gilda
767465	387052	Sônia
767465	389662	Angela
767465	390658	Lúcia
767465	391313	Tomásia
767465	399765	Florência
767465	400799	
767465	403032	Glorinha Rezende
767465	404801	
767465	404803	Das Graças
767465	405418	Consuelo
767465	405810	Flora
767465	407798	Isabel
767465	408509	Maridélia
767465	409412	Hannah
767466	103441	Paula
767466	244194	(segment "A Princesa Radar")
767466	344692	Querubina
767466	355832	Eugenia Maria
767466	380097	Carmencita
767466	382676	Tereza de Ogum
767466	383727	Marisa
767466	385947	
767466	386757	Dóris
767466	388065	Odaísa
767466	388681	Madalena
767466	396387	Neusa
767466	398503	Vera Soares de Azevedo
767466	401104	Suzana
767466	402504	Cilene Miranda
767466	408592	Vilma Toledo
767466	409347	Marlene
767467	90452	Sofia a Servant
767468	52070	Dancer
767469	58460	
767470	400098	
767471	30275	
767471	101442	
767471	103884	
767471	124241	
767471	202547	
767471	212059	
767471	225913	
767471	286578	
767471	341477	
767472	89993	
767473	15199	Maria
767473	143553	
767473	149517	Dionorá
767473	252754	
767473	307472	
767473	328155	
767473	338208	
767473	353673	Sinhá Vitória
767474	178832	Ela
767474	243390	Joana
767474	294531	Júlia
767474	334988	Anamaria
767474	369497	2nd. victim
767474	391673	Bianca Moretti
767474	392747	Gessy
767474	396610	Denise (1996)
767474	397409	
767474	397522	Patrícia
767474	400670	Rosa Maria
767474	403118	
767475	351566	
767476	68915	Carmen
767477	308742	
767478	285004	Dona Benta
767480	191402	
767481	396610	Tininha (2002)
767481	396899	Alessandra Figueiredo
767482	111884	Claudia Jiménez
767483	156395	Ana Medeiros
767483	207621	
767483	211012	
767483	229695	Enfermeira
767483	264537	
767483	284966	(segment "Gatas no Cio")
767483	354842	
767483	354985	
767484	69239	
767484	284842	
767485	296314	
767486	191402	
767487	90452	Woman
767488	33019	The Leading Lady
767488	387640	Engraçadinha (child)
767488	404059	Carolina Macedo Vaz
767488	409361	Quizmaster Patricia
767489	70053	(segment "Três Virgens, As")
767489	88327	
767490	169258	Herself
767491	103049	
767492	260526	Mariazinha Carrasco
767492	269575	Beladona
767492	288834	
767492	385207	Laura
767492	398881	
767492	399870	Almerinda Reis
767492	411585	Ursula
767493	225807	Namorada
767494	122404	
767494	324907	
767495	112759	
767496	90452	Magnólia
767497	104077	Sister's Friend
767497	107022	
767497	351269	(segment "Pisada de Elefante"
767497	386757	Isabel
767497	397540	Selma
767498	388636	
767498	404913	
767499	138537	
767500	409419	Erica Schmidt da Silva (child
767501	69240	
767501	378029	
767502	369982	(group 'Paquitas')
767502	383550	Angélica
767503	57287	Namorada do Guga
767504	383441	
767505	396610	Lúcia (1996)
767505	410054	Patty
767506	365380	Chinese Lady
767507	27607	Kvinden
767507	30160	Ekspedient I chokoladeforretn
767507	135686	Marie
767507	142511	Tyvens kone
767507	143022	Ingrid
767507	168706	Johnny's mother
767507	190840	Hans husholderske
767507	213438	
767507	229263	Various roles
767507	278197	
767507	293650	Fru Larsen
767507	315032	
767507	348960	Columbine
767507	395824	Sygeplejersken
767507	396282	Various roles
767507	405717	Fru Nicolajsen
767508	130016	Connie
767509	84458	
767510	170044	
767511	135996	Dancer
767511	318456	Nightclub dancer
767512	351853	
767513	379566	Victoria (1998-2000)
767514	400952	Eva (2004-)
767515	25819	Un enfant
767515	34277	Lola
767516	54392	La grue
767516	83211	
767516	101684	Mme de Vaumoise
767516	146430	
767516	167200	
767516	235341	Lisa
767516	357113	Armandine
767516	371417	
767516	377600	
767517	257129	
767518	234450	
767519	99684	Herself
767519	104772	Slovenian entry (10th place)
767519	137553	Iza
767519	172426	Spela
767519	233697	Martha
767519	398999	Magda Velepi
767520	1703	Herself
767521	682	Dora, the Smart Girl
767521	1703	Herself - Presenter
767521	5488	Wendy
767521	45781	Holly
767521	59148	Erin
767521	80050	Cynthia Dunn
767521	86955	Jenise
767521	90237	Tracy
767521	100713	Fiona
767521	176276	Charlotte
767521	191326	
767521	194268	Babs
767521	235394	Rita
767521	250779	Angie
767521	257922	Kimmy
767521	274729	Joanie Dubois
767521	303601	Lizzie
767521	307886	Claire
767521	340765	Amy Wilson
767521	365313	Dakota
767521	390699	Shari
767521	407470	Receptionist
767522	338756	Archivist
767523	89311	Girl
767524	328630	Motorcycle Cop/Biker Bitch
767525	112648	
767526	44980	Madame Nicolas
767527	65120	La mère de Sly
767528	50690	Party Goer #4/Pretty Girl
767528	64819	Kaori Makimura, Commando, Civ
767528	64820	Kaori Makimune, Additional Vo
767528	64822	Kaori Makimune, Additional Vo
767528	64823	Kaori Makimura
767528	64824	Kaori Makimura, Bunny, Dancer
767528	283678	Child C (English version)
767528	396019	Waitress
767529	87042	
767530	161992	
767530	207261	
767530	301528	La danseuse
767531	7528	Mélinée Manouchian
767531	24821	
767531	29508	Jane Holly
767531	30533	
767531	34390	
767531	83387	La comtesse
767531	84083	La comtesse de Stasseville
767531	84220	(segment "Jeanne")
767531	84647	L'avocate
767531	86794	La voyante
767531	91458	Blanche Sanglois
767531	99799	Gerty Elsen
767531	111092	Monique
767531	146769	Mme. Orissa
767531	156319	Mme Daven
767531	160820	
767531	204117	
767531	211643	La Brinvilliers
767531	212145	Nathalie
767531	217845	Mme Alice
767531	228556	La malédiction
767531	239421	
767531	249045	
767531	276501	Elisabeth Wolff
767531	285466	Paule
767531	292278	Hélène Montaud
767531	301314	La mère des deux enfants
767531	332187	Herself
767531	337001	
767531	338112	
767531	340176	
767531	340177	
767531	346496	Anne
767531	346587	Marianne
767531	346609	Amie De Catherine
767531	349741	Verdier
767531	350063	
767531	352054	Lola
767531	352511	
767531	353961	Rosalie
767531	355648	Catherine De Medici's grandmo
767531	384212	Mathilde
767531	384216	La Comtesse
767531	390470	Sonia Konjanoff
767531	394166	Eleonor Freeman (segment "Cou
767531	396726	
767531	406196	La duchesse de Maufrigneuse
767531	410143	Mme de Ste Hernière
767531	412268	Markovèfe (segment "Attale, e
767532	231456	
767533	16866	Patricia
767534	202324	Annoyed Student
767535	196639	Native girl
767536	351761	Danse Flamenco
767537	169239	
767539	119357	Seamstress
767540	400286	Madre superiora
767541	275687	Evelynes Tochter
767542	4919	Mavis
767542	16943	Rose Rydell
767542	35735	Mrs. Leechner
767542	49441	Aunt Alice
767542	50866	Mother in Woods
767542	67598	DMV clerk
767542	68867	Mrs. Weaver
767542	80541	Mildred
767542	97899	Lucy
767542	155070	Granny
767542	167561	
767542	167691	Receptionist
767542	195640	Roxy
767542	203670	Nurse in Room
767542	215843	Flora Parker
767542	276923	Customer
767542	310572	
767542	319238	Nurse
767542	367844	Tenant #4
767542	386601	Nurse Hester Stanton
767543	301984	Danseuse 3
767544	72074	Mannequin
767544	231304	Mademoiselle Rose
767544	270321	
767544	300723	L'hôtesse des renseignements
767544	353877	Denise
767544	377950	Béatrice
767545	11934	
767545	97070	Eugénie
767545	123941	
767545	183277	Marie, the hotel maid
767545	375078	
767546	68387	Children
767547	38170	Esthéticienne
767548	156321	Tante Marthe
767549	23973	Reporter #2
767549	45650	Social Worker
767549	53432	
767549	54646	Narrator
767549	129944	
767549	156822	Narrator (English version)
767549	161806	Narrator
767549	165759	Roberta Blaché
767549	187405	
767549	297147	
767549	316716	Woman Magistrate
767549	358626	Miss Finch
767549	407381	Narrator (English Version)
767550	17073	Patty's Mother (new movie)
767551	66731	
767552	252335	
767553	88331	
767553	156547	Magali
767553	275135	Vicky
767553	383335	Amparo Mena
767553	383500	
767553	387781	
767553	392963	Mónica Julitza Paternina
767554	31572	
767554	89089	Dainty and Demure
767555	377112	Mujer 2
767555	409922	Leonora de Serrano
767556	219420	Redneck Wife
767556	276947	
767556	291233	
767556	319568	Mrs. Murray
767556	382838	Lana Costello (1989)
767557	285889	Jake's Mother
767558	285889	Young Hilda
767559	2264	
767559	101925	
767560	161572	Capitano di polizia
767561	285205	
767562	129241	
767562	304833	
767563	173089	Birthday Party Guest
767564	65494	
767565	105883	Parlanchín Reidor Verde
767566	14027	Herself
767568	78556	Singer
767569	68140	Marilu'
767570	358477	Raver
767571	108898	Sophie
767572	145248	
767573	56921	
767574	212629	Netty
767575	177309	Bobby
767575	231951	Bridesmaid
767575	256530	Cindy
767575	282563	Society Lady #1
767576	70943	
767577	219825	
767578	17134	
767578	108673	
767578	161845	
767579	79566	Girl
767580	208564	Valeria
767581	237696	
767582	37681	Toni
767583	265441	
767583	291553	professoressa
767583	353130	Loredana
767584	23583	Rox
767585	27064	Dean's Neighbor on Stoop
767586	27064	Dean's Neighbor on Stoop
767587	8264	
767588	23367	
767588	124175	
767588	315573	Girda
767588	318006	
767589	23518	
767589	42607	Carmela Conti
767589	127885	Valeria
767589	187983	
767589	235646	Josie
767589	359727	Ludmilla Kolba
767589	381321	Rosetta
767589	397920	Valentina
767589	402781	Sara
767589	404483	Gina Mancini
767590	1664	Val
767590	1674	Herself
767590	1706	Herself - Presenter
767590	1748	Herself
767590	2818	Herself
767590	2894	Herself (Presenter)
767590	6248	Wednesday Addams
767590	6249	Wednesday Addams
767590	11426	Rayna Wyckoff
767590	18607	Amanda
767590	30734	Dee Dee
767590	40533	Cheri Post
767590	56373	Kathleen 'Kat' Harvey
767590	57815	Jessica
767590	60685	Kate Flax
767590	75585	Ellie Hudson
767590	83560	Ely Jackson
767590	110251	Lucy
767590	124506	Cassie Grant
767590	130629	Beth Easton
767590	139216	Bonnie
767590	154456	Shana
767590	154822	Teenage Hooker
767590	155277	Wendy Hood
767590	184822	Romaine Patterson
767590	185475	Erin
767590	192209	Little Red Riding Hood
767590	203492	Suzie
767590	211529	Kate Flax
767590	215081	Miranda
767590	216748	Angel
767590	218345	Selby
767590	234055	Lillian
767590	236083	Young Roberta Martin
767590	242938	Dede Truitt
767590	243147	Herself
767590	251646	Shelley
767590	266200	Elizabeth Wurtzel
767590	267105	Carolyn McDuffy
767590	304862	Katrina Anne Van Tassel
767590	304864	Herself/Katrina Anne Van Tass
767590	305379	Gwendy Doll
767590	309963	Young Orlando
767590	329411	Patti Randall
767590	352687	Kate Flax
767590	379802	Liza Bump (2002)
767593	281680	
767593	351610	
767594	11697	
767594	17287	Elena
767594	50050	
767594	61095	
767594	65202	Marion
767594	67899	Viola
767594	68373	Anna
767594	89855	
767594	90683	
767594	96539	
767594	157177	Annalisa, Enrico's wife
767594	157856	Cristina Arquati
767594	162042	Serena
767594	167041	Herodias
767594	198599	Selva
767594	214858	Angela
767594	215995	
767594	229041	Alma
767594	234715	
767594	253516	
767594	262405	Sofia Loiacono
767594	283283	Linda
767594	293319	
767594	308903	
767594	314304	Air Stewardess
767594	314537	Julia Holt
767594	315431	
767594	336970	Gabriella
767594	344611	Marta
767594	345401	Livia Malatucci
767594	348194	
767594	374584	
767594	383492	Elena
767594	384933	
767594	386740	
767594	388160	Babeth De Metz
767594	389152	Silvia
767594	400404	Anna Obrofari
767594	400789	Elena Melli
767594	402747	Catherine Slama
767594	406294	Isp. Silvia Carli
767594	409917	Daniela Sabatini
767595	59746	Rita Pastore
767595	109104	Bernadette
767595	118420	La Comédien
767595	377001	
767596	404486	Angeletta
767598	279860	Phillip & Kate's Child
767599	356026	
767600	30937	Karen
767602	10051	Donna del Segno
767603	59093	Lisa
767604	264729	
767605	64084	Herself
767606	56800	Small girl
767607	33672	
767607	51847	Governess
767607	127985	
767607	197114	Countess Ida Ferenczy
767607	207939	Mimi's Mother
767607	209439	La figlia di Amalia
767607	212123	1st Actress
767607	219561	Governess
767607	220127	
767607	251013	Priscilla
767607	260954	The Neighbor
767607	301366	Gilda Bisigato
767607	316804	Gloria's secretary (segment "
767607	319296	
767607	353921	
767608	104616	Herself (in the audience)
767608	406378	Scene expression teacher
767608	406380	Herself/Scene expression teac
767609	91169	
767609	151811	
767609	253695	
767609	380066	
767609	380515	
767609	384823	
767609	386127	
767609	389235	Yamila
767609	390381	
767609	390504	
767609	391440	
767609	395494	
767609	398995	Romina
767609	399145	
767609	400700	
767609	403237	Rosario Moreno
767609	405918	
767609	409957	Conie Vázquez (1998-2000)
767611	9653	
767611	22001	
767611	71266	
767611	119074	
767611	235370	Luciana
767611	410311	Adriana Gherardi
767613	26541	
767613	344395	Ulna
767615	40230	Gilberte Pascal
767615	119402	
767615	230296	
767615	315420	Amalia
767615	353056	Ines' mother
767615	353142	Fanny Campana
767615	364362	The mother
767615	386846	Anna Ortese
767615	397486	Henriette
767617	356026	
767618	51847	Erika Thalman
767619	30317	
767620	3340	Laura
767620	17207	
767621	163731	(segment "Frenesia del succes
767622	247387	Titti
767623	97259	Marta
767624	196341	Kate
767625	28615	Amelia
767625	28616	Amelia
767625	108061	Mrs. Alice Ford
767625	127390	Mother Stoppani
767625	244277	Desdemona
767625	341819	Liu, eine junge Sklavin
767626	398575	Receptioniste
767627	139227	Photo Session Hardbody
767628	197578	
767629	197578	Hilde-Eva
767630	352661	
767631	133110	Cashier
767632	201206	
767633	398229	Silvana
767634	196764	
767635	19062	Latrina
767635	267278	
767636	223065	Alma Hix
767637	59880	Naomi
767637	72377	Janet Pete
767637	89102	Bird Hummingbird
767637	188964	Sacagawea
767637	240714	Angel
767637	304051	Janet Pete
767637	330314	Janet Pete
767637	332067	Francine Whitefeather
767637	359202	Ginny Lee
767637	386970	She-Crosses-the-Water
767638	72319	Pamela
767639	380713	Connor Jamison Walsh Strickly
767640	314367	Cat Girl
767641	95078	Sweater friend #1
767641	339952	Receptionist
767642	284553	Mrs. Janzon
767643	3607	Herself
767643	17707	Herself
767643	231822	Herself (interviewee)
767644	132823	Herself
767644	383847	Herself
767644	386383	Presenter
767644	389258	
767644	390336	Herself - Presenter
767644	408809	Herself - Skyrunner (1983-198
767644	411283	Presenter
767644	411515	Guest Host (3/10/2003-3/14/20
767645	5029	Jackie
767645	77679	
767646	347751	Cleo
767647	206438	Betty
767648	330387	
767649	364513	Andrea at Age 3
767650	304737	Jennifer Danford
767651	1038	Dancer
767651	187191	Salon Stylist
767651	187193	Intern
767651	196687	Stacey Stackhouse
767651	218180	#3 Party Babe Hybrid
767651	245466	Tyson's Publicist
767652	11485	Fan Dancer #5
767653	157840	Young Joan
767654	55207	Mercédès
767654	374134	Second Lady
767655	917	
767655	107353	Herself
767655	175544	Herself
767655	345876	Herself
767656	79373	Herself
767657	364344	Stewardess
767659	47880	Marsha
767660	390180	Godiva
767661	84029	Ragman
767662	32241	Waitress
767663	79373	Herself
767664	30182	Abby Newton
767665	110298	Anne Steinmann
767666	223848	Rivers' Friend
767666	224729	Teenage Natalie Wood
767666	309706	Liz
767667	86545	Sora's mother/Boy #1/Kid #2/O
767668	72494	Emma
767668	229538	Mel
767668	241497	Alice
767669	79654	Susan Betts
767669	218824	Maggie Jones
767669	224026	Rita Rivulet
767670	71	Amy Blake, Casey's Secretary
767670	22907	Julie Randall
767670	25389	Tess Hardie
767670	32762	Joyce Steward
767670	34692	Ann
767670	40121	Joan Rankin
767670	41012	Mary Brooks
767670	44548	Ann Thompson
767670	44683	Linda Gregory
767670	55417	Miss Holbrook
767670	81097	Evelyn Vail
767670	88990	Diana Wayne
767670	91917	Irene Agnew
767670	103272	Johanna Harrington
767670	109436	Garda Sloane
767670	109862	Enid Osborne
767670	118304	Norma Page
767670	121360	Ann Duncan
767670	127077	Jacqueline 'Jackie' DeLong/Fr
767670	128256	Joan Matthews
767670	135141	Helen Bradford
767670	147716	Herself
767670	176336	Margo Thomas
767670	188363	Nora Stevens
767670	191588	Alice Pearson
767670	194118	Joan Sutton
767670	203323	Abbey Reid
767670	206415	Kitty Brent
767670	215002	Judy Barclay
767670	220899	Terry Parker
767670	228811	Patricia 'Pat' Gates
767670	247577	Mary
767670	248450	Hilde Tobler, aka Hilde Schul
767670	254543	Cora Barnes
767670	263592	Molly Malone
767670	278088	Betty Harrison
767670	292631	Lola Hobbs
767670	313057	Frances Prescott
767670	313078	Susan Griffith
767670	319502	Billie Devlin
767670	321384	Kay Jordan
767670	321730	Margaret 'Peg' Gattle
767670	337941	Pam Martin
767670	345981	Deb Reed
767670	346043	Pat Dodge
767670	349554	Patricia Lawson
767670	367783	Ruth Nolan
767672	367073	Munchkin
767673	67571	Dian's Secretary
767673	80652	Blanche
767673	80757	Linda
767673	80861	Terri
767673	127510	Messy Samuals
767673	139175	Janice
767673	163499	Gail
767673	221182	Shelly
767673	231798	Vivica
767673	236222	Annie
767673	386009	Lavonne Overton
767673	386547	Karen Larsen
767673	391080	Samantha Glick (1990-1991)
767673	393634	Carly Watkins
767673	405335	Charlotte Lerner
767674	64813	Field Reporter
767674	270008	Mrs. John Van Doren
767675	367073	Munchkin
767676	137031	Reporter
767676	316564	The mother
767677	46537	
767678	1398	Herself
767678	40119	Alma
767678	40976	Cleo Thompson
767678	73938	PeggyWoman
767678	75611	Avis
767678	79918	Vera Mitchell
767678	127513	June Mallory, WREN Cypher Cle
767678	146072	Dalabo
767678	149721	Graverobber's wife
767678	193961	Jill Holden
767678	241385	Iris
767678	241849	Annie (maid)
767678	242712	Pvt. Finch
767678	251288	Modge Moore
767678	259239	Pat Lewis
767678	314248	Doreen Wilson
767678	315716	Maid Marian
767678	367903	Cleo Thompson
767679	8653	
767680	37471	Mammy
767680	184992	Mrs. Warren Harding
767680	346386	Fisherman's Wife
767681	2275	Herself
767681	278822	Mrs. Moseley
767682	80660	Prostitute
767683	258302	
767683	263792	Sheila Bower
767683	317148	Tatty
767684	339445	Neon Audience
767685	399950	Caitlin Carruthers
767686	243073	Ariadne
767688	259407	Kitty Brassiere
767689	323427	Steph
767690	175632	1st Wife
767691	35506	Dancer
767692	146781	Mrs. West
767692	147426	Mrs. John Mulvaney
767692	186828	Sarah, a Servant
767693	233935	Carol
767694	192805	Plane Passenger
767695	116217	Miss Davies
767695	195828	Jenny Aldrich
767696	180158	Model
767697	152447	Angela Marconi
767698	44273	Helen Millette
767699	389977	Co-Host
767700	138864	Second Contestant
767700	215995	Guilia
767700	232280	Pia
767701	126606	Police Radio
767702	7093	Heavy set Woman
767702	245142	Phoebe
767703	249573	Gossipy Woman #1
767703	283466	Counselor
767704	396641	Katrin Hanson
767705	267484	Sue
767706	272917	Jogger
767707	330375	
767708	83477	Chase
767709	31499	Sterling
767709	42296	Hawaiian Tropic Team Member
767709	58662	Office assistant
767709	88663	Young Girl
767709	126745	Young Female Tourist
767709	147541	Carmen
767709	350343	Little Girl
767710	14132	
767710	24429	
767711	56729	Thing One
767712	264447	Marta
767713	347611	Girl at funeral
767714	296035	Tori
767715	116112	Student
767716	5192	Flora
767716	38546	Julia Falconer
767716	144121	
767716	162243	Karin
767716	175101	Herself
767716	181853	Marilyn 'Mirele' Jones Leml
767716	181854	Marilyn Jones/'Mirele Efros'
767716	214180	
767716	227295	Sabine
767716	286698	Girl
767717	64098	Cheerleader/Dancer #5
767718	24141	Carli
767719	78104	Mrs. Wilson
767720	143602	Trapeze Artist
767721	194687	Party Guest
767722	69169	Herself
767722	69172	Herself
767722	69176	Herself
767722	69179	Jurymember
767722	104762	Swiss entry (17th place)
767723	49094	
767723	54248	Madeleine Erlane
767723	65168	Dora
767723	68663	Françoise Matouzec
767723	161998	Clarisse Delille
767723	205745	La secrétaire d'Etat
767723	219470	Louise Bénard
767723	220478	Suzanne
767723	251063	Geneviève
767723	254115	Elle
767723	261816	
767723	269519	
767723	325976	Madame de Varenne
767723	327554	Isabelle Breton
767723	339501	Miss Raye
767723	346539	Jacqueline
767723	349421	Laurence
767723	351697	Mlle Langlois
767723	357848	Jeanne
767723	381610	Anne
767723	390513	Marthe
767723	396472	
767723	403190	Mademoiselle Langlois (1989-1
767723	403643	Jeanne de Bourgogne
767723	412250	France
767724	234222	
767725	213109	Mary
767726	53284	Megan
767726	60332	Herself
767726	131061	Nikki - Pennytree Girl #4
767726	233500	
767726	274148	Herself
767727	51960	Yin's Girl
767727	63559	Tiffany
767727	86017	Marina
767727	108425	Sandy's Assistant
767727	131347	Waitress Reading Paper
767727	301654	Marissa Hill
767727	311523	Girl in Nightclub
767727	338930	Samantha
767728	81010	Carla
767728	107938	Reporter #1
767729	20135	(segment "Les Boréades")
767729	32409	
767729	43697	Charlotte
767729	44946	Claire
767729	51417	Le juge d'instruction
767729	112819	Brigitte's Examining Magistra
767729	121809	Catherine
767729	160205	Caroline Meaulnes
767729	166169	Douce
767729	193508	Directrice Carita
767729	195203	La concierge
767729	200959	Hélène Grandmaison
767729	208235	Claire
767729	225366	Muriel Chabrier
767729	239219	Isabelle
767729	240429	La copine de la banque
767729	249122	Elodie Chassagne
767729	263620	Suzanne Guidon de Repeygnac
767729	269511	
767729	326148	Mme de Verselle
767729	327477	Lisette
767729	336937	Nicole Farrrail
767729	345420	Florence Vernon
767729	345526	
767729	346563	Esther
767729	351788	Catherine Beaujeu
767729	357848	Claire
767729	370059	Cécile
767729	377008	Caroline
767729	384577	
767729	393893	Juliette Lesage
767729	402577	
767731	287719	Mrs. Claus
767731	387354	Ma Kettle
767731	408128	Mrs. Doane
767732	317335	Mrs. Peters
767734	85859	Lois Miller
767734	238726	Joan Thorpe
767734	255828	The Nurse
767734	330613	Marjorie Thornton
767734	347057	Gail Abbot
767734	375802	Elsie
767735	83926	Mimi
767735	143933	Singer
767735	177479	Maizie
767735	239529	Singer
767735	245421	Dude's friend
767735	245504	Singer
767736	78738	Anita Nussbaumer
767736	169615	
767736	408377	Esther Trueller
767737	49948	Christy age 6
767738	14011	Herself
767739	194761	Fucking Mary
767740	5809	
767740	16640	Mrs. Worth
767740	31998	Frederica Charlotte, Duchess 
767740	32009	Lady Brandon
767740	33095	Louise Maurel
767740	33187	Suzanne Schuyler
767740	35577	Myra Martin
767740	41719	Martha Drake
767740	45470	Ruth Latimer
767740	45674	Lucy
767740	46206	Marion Wells
767740	52198	Lulu Varden
767740	52465	Alix Lansing
767740	54491	Isabelle Morton
767740	56624	Mrs. Owen Pauncefort
767740	58797	Linda Carlton
767740	60225	Mrs. Blair
767740	65663	Duchess of Arrogan
767740	68818	Joan Trevore
767740	72520	Mrs. Craig
767740	75928	Fanny Randon
767740	78162	Grace Alderson
767740	79432	
767740	81027	Sylvia Darling/Dearie
767740	82113	Beth Alden
767740	83678	Bit Role
767740	83846	Diana Maxwell
767740	83990	Mrs. Walker
767740	90417	Mrs. Cartier
767740	92229	Idy Peters
767740	104935	Eva Burnside
767740	105247	Mrs. Myra Leslie
767740	105584	Queen Charlotte of Capra
767740	109906	Ruth Emory
767740	114588	Jenny Rarick
767740	116714	Mrs. Schuyler
767740	117906	Mrs. Mary O'Rourke
767740	128269	Betty Burlingham
767740	130150	Undetermined Role
767740	143262	Joan Manners
767740	143359	Marda
767740	147725	Herself
767740	148934	Mary Lambert
767740	161932	Laura Chadwick
767740	166962	Miss Butterworth
767740	168119	Catherine de Royer (Joan's fr
767740	171233	Miss Jones
767740	175209	Mrs. Susan Thomas
767740	183695	Michele Morestan
767740	183841	Mrs. Erlynne
767740	186373	Stephanie
767740	193711	Mrs. Laramie
767740	194891	Marian Forrester
767740	197044	Lucretia Morgan
767740	199224	Mrs. Schuyler
767740	203191	Kate
767740	203680	Shirley Graves
767740	204197	Ann Burns
767740	206342	Mary Douglas
767740	212745	Nellie Minturn
767740	219557	Amelie Roth
767740	224199	Hélène, Countess Orloff
767740	224408	Mrs. James Borden
767740	229262	Carol
767740	230753	Mrs. Rutledge Smith
767740	240983	Julianne
767740	241274	Maggie Thornton
767740	241504	Madame Maureveau
767740	246924	Julia Montfort
767740	252855	Stella
767740	258014	Joan Wiswell
767740	261897	Mrs. Holt
767740	261967	Fritzi Foy
767740	269375	Sadie Martin
767740	278287	The Mother
767740	281563	The Girl
767740	282057	The Queen
767740	297385	Shanghai Rose
767740	301847	Denise Lake
767740	301961	Julia Raymond
767740	301999	Bernice Randall
767740	306050	Enid Granley
767740	306324	Kitty (story)
767740	306488	Mrs. Hiram Draper
767740	311402	Eileen Moore
767740	311405	Woman
767740	315312	Madge Carr
767740	316032	Jane Ingraham
767740	316319	Celia Corbin
767740	316598	Drusilla Fane
767740	316836	Linda
767740	319198	Marion Rand
767740	323787	Mrs. Carmichael
767740	329394	Dorothy Fullerton
767740	330168	Mrs. Idy Peters
767740	330892	Mrs. Bryant
767740	330914	Carol Drayton
767740	331619	Mrs. Margaret Patterson
767740	334599	Janet Milton
767740	338224	The Teacher
767740	356249	Blanche Walton
767740	360017	Hope Beecher
767740	362402	Mrs. Barrington
767740	363548	Nell Hunt
767740	364707	Mrs. Luther
767740	365072	Mrs. John Mannering
767740	367393	Juanita
767740	367655	Mrs. Ransdell
767740	367890	Irene Mervin Hughes
767740	371384	Megan Daye
767740	372006	Eve Marsham
767741	238504	Baby
767742	382201	Assistant (1975)
767743	349808	
767744	234594	Des Moines Stagehand
767746	39849	Nancy
767746	164764	Lt. Angela Arutti
767746	184099	Server
767746	267174	Eve
767746	274069	Woman Detective
767746	356472	O.E.M. Staffer #3
767746	380391	Dee (1985-86)
767746	382494	Elaine Grazzo
767746	395309	Doris Murphy
767747	7620	Harriet Monroe
767747	20910	Telephone Operator
767747	31795	Alys May
767747	35630	Bessie Ackroyd
767747	38710	Lillian, the kids' mother
767747	40483	Carroll Brown
767747	46168	Dorothy Nelson
767747	56876	Mary Thorne
767747	60150	Ardell Kendall
767747	77774	Lillian Loring
767747	78085	Wagner's Nurse
767747	79884	Ardath
767747	84923	
767747	86089	Nancy Preston
767747	92524	Nurse in Lobby
767747	100205	Madeline
767747	104346	
767747	105653	Catherine Courtwright
767747	110828	Annette Borney
767747	117699	
767747	119531	Dickie's mother
767747	128168	
767747	129818	Hope Gibbs
767747	130042	Mary Goodheart
767747	130716	Flora Lee Peake
767747	130896	Ruth Rowan
767747	134325	Pamela Gregory
767747	137447	Jocelyn Wray, 20 years old
767747	143400	Gwendolyn Shipley
767747	144928	Faith Jeffrey
767747	162948	Bess Gilbert
767747	175614	Alice Brown
767747	178041	Betty King
767747	183308	Introductory narrator
767747	195597	Peggy Mason
767747	195865	Sally
767747	203096	Helen Messiter
767747	203422	Terry Temple
767747	206111	Alice Bailey, Beckett's adopt
767747	214158	Kate Blair
767747	218938	
767747	230382	Violet Stevenson
767747	239557	Marie d'Arcy
767747	240760	Countess Polasky
767747	241029	Jane Vernon
767747	241414	Dorothy
767747	241862	Hermione Fane
767747	254478	Dorothy Mason
767747	274176	Marie Beaulieu
767747	274229	Sylvia Radshaw
767747	278727	Girl
767747	283699	Helen Sanderson
767747	285425	Stella Sanson
767747	295289	Kit Eclair
767747	297970	Telephone operator
767747	299175	Christine Garth
767747	302153	Lola Brandt
767747	306317	Alice Blake
767747	307012	Faith O'Day
767747	312061	Mrs. Jones
767747	329589	Sylvia Van Tassel
767747	342957	
767747	356271	Herself
767747	359125	Isabell Purviance
767747	360622	Gloria Gunther/Beverly Townse
767747	363695	Dicksie Dunning
767747	367704	Helene
767748	39349	Fairfolk
767749	165829	
767750	41511	Amanda
767752	7791	
767752	26261	Leni
767752	42686	Herself
767752	217785	Mona's Friend
767752	305882	Marianne
767753	334272	
767754	211839	Christopher/Sister Chris
767755	13380	Child
767756	232027	Sarah Castle
767757	167712	Launderer
767758	1134	
767759	283230	Julie Wegman
767760	111994	
767761	142541	Miss Tammy
767761	168771	Mrs. Rose Kennedy
767761	268026	Peggy McCavage
767762	152827	Sexy Woman
767763	45618	Amazon
767764	151460	Dancing Girl
767765	7014	
767765	7957	
767765	7998	
767765	12546	
767765	13799	
767765	22863	
767765	22926	
767765	22976	
767765	23354	
767765	27442	
767765	29079	His Daughter
767765	30338	
767765	33592	
767765	35580	The Lorelei
767765	35734	
767765	38115	
767765	39516	
767765	40624	Ruth
767765	41506	
767765	41654	
767765	42103	
767765	45962	Dona Sartoris
767765	46290	
767765	47455	
767765	52127	
767765	52524	
767765	52824	
767765	66648	Lola Crawford
767765	73218	
767765	80527	
767765	97208	Violet Wellborn, His Daughter
767765	105800	
767765	113565	
767765	117573	
767765	123384	
767765	126602	
767765	137511	
767765	141258	Zira, a Mountain Girl
767765	141457	
767765	142471	Housekeeper
767765	143050	
767765	143225	
767765	155556	
767765	158265	Nance Morgan
767765	178157	
767765	185676	Jane Hunter
767765	191878	
767765	193727	
767765	203034	
767765	204403	Child artiste
767765	208151	Maud Muller
767765	213838	Patricia Jennings
767765	214791	Aline Chaudiare
767765	216958	
767765	223252	Luella Jefferson
767765	239518	
767765	241858	
767765	262051	
767765	263513	Grace
767765	263573	
767765	265494	
767765	298294	
767765	301976	
767765	307739	
767765	315641	Mrs. Moore, Tom's Wife
767765	325998	
767765	327749	
767765	335067	
767765	339640	Muriel White
767765	345681	
767765	350460	Vivian Telden
767765	353052	
767765	359653	
767765	360294	
767765	362874	
767765	362935	
767765	368447	Helene Blair
767765	368711	Mrs. John Cleveland
767765	372910	
767766	12058	Anesia
767766	380446	Priscila
767766	388398	Celinha
767766	396387	Lola Boba
767766	396718	
767766	398884	
767766	404178	Cris
767767	98497	
767768	214657	
767769	92416	Destitute Mother
767770	16127	Miranda, at 8 months
767771	150545	Herself - Boligsøgende
767772	15056	Eve
767772	19319	Florence
767772	67637	Marianne Lefèvre
767772	76168	Marie Machiavelli
767772	83231	Catherine Delaunay
767772	100732	Marthe
767772	170105	Carole Menani
767772	208234	Anna
767772	216774	La femme de Mocky
767772	231071	Diane
767772	251896	Karine
767772	346769	Isabelle
767772	382577	Juge Nadia Lintz
767772	384818	Catherine Billot
767772	388691	Cathtleen
767772	392911	Anna
767773	382583	Tinesse à Clophas
767774	202345	Madeleine
767775	256156	Party Attendant
767776	43656	Une vendeuse
767777	304793	Jester Woman
767778	54818	Bach-Yen (Blanche hirondelle)
767778	58758	
767778	199315	Keiko
767778	243300	Mrs. Vezina
767778	382475	Rita Poliquin
767778	390486	La secrétaire
767778	398158	Hélène Joyal
767778	406028	Carmelle
767778	409541	Soeur Louise
767779	58224	
767779	77927	La jeune mariée
767779	111138	
767779	153539	
767779	197548	
767779	199328	
767779	215132	
767779	254101	Flora
767779	254157	Indiana
767779	261846	Julie, la patronne du bistrot
767779	275616	
767779	345187	La secrétaire
767779	353874	
767780	7464	Sophie
767780	19433	
767780	100442	La mère
767780	164167	Johane, Paul's sister
767780	198550	Nathalie (adulte)
767780	235264	Cécile
767780	254168	Roselyne
767780	353907	Gertrude
767780	400631	Maud Saurin (1999-2000)
767781	28179	La livreuse d'une modiste
767782	225375	Françoise
767783	154780	Theresa
767783	187472	Dalbert Marcheck
767783	192539	Mona
767783	327685	Pharaoh's Daughter
767784	28480	Mabel
767785	41888	Woman in Bar
767786	129117	Her Majesty The Queen
767786	129913	Queen Elizabeth II
767786	230395	Queen Elizabeth
767786	327376	Redmont Secretary #2
767786	362081	Queen
767787	7537	
767787	100130	Jim's Mother
767787	138563	Mother
767787	151726	Mrs. Rose
767787	165414	Sybil
767787	292686	Alice Flint
767787	384441	Cleopatra Tryphaena II
767787	385721	Anne Tierney
767787	387533	Gwen Russell
767787	387604	Clare Martel
767787	390168	Anna Cunningham
767787	395525	Kate Nickleby/Mrs. Curdle
767787	395989	Lorna Doone
767787	400435	Constance Wilde
767787	406695	Adele
767788	160675	Une femme
767789	2169	Rose
767789	3094	Madame Chanel
767789	10112	Mathilda Mâhl
767789	14314	Winnie Butler
767789	15060	
767789	18317	Juana
767789	68422	Séraphine Risette
767789	71947	Yvonne Merieux
767789	78386	
767789	113126	Lulu
767789	121413	Rose Bonaventure
767789	149115	
767789	164178	L'Infirmière
767789	198349	Madame Mae
767789	214900	
767789	248246	Bernadette Chabot
767789	268418	La sage-femme
767789	277726	
767789	281249	Juliette Bonaventure
767789	302141	Madame traoré
767789	318493	Rose
767789	334990	Anita
767789	346646	La mère de Sabine
767789	346730	La servante du président
767789	377792	P.M.U. Customer
767789	390476	Solange Gentil (2000-????)
767789	394531	Esther
767789	395269	
767790	5691	Gastons Mutter
767790	15270	
767790	23985	
767790	24056	Kathrin
767790	24082	Marie
767790	30738	
767790	34240	
767790	35499	
767790	40585	
767790	46617	
767790	85969	
767790	93865	
767790	94419	
767790	95132	
767790	96478	Alte Frau
767790	102437	
767790	102599	
767790	107973	Bäuerin
767790	109201	Tante Jutta
767790	110067	Gretchens Mutter/Marguerite's
767790	114965	Madame Vasal
767790	119223	Mme. Leblanc
767790	119286	
767790	124891	Oberschwester Therese
767790	129490	
767790	129491	
767790	130940	Frau Amend
767790	132809	
767790	140258	
767790	141995	Mother
767790	142060	
767790	155383	
767790	155459	Frau Lenart
767790	162453	
767790	164828	
767790	164903	
767790	169981	
767790	171663	
767790	173117	
767790	174565	
767790	174781	Shylocks Mutter
767790	180882	Annamirl
767790	182885	
767790	186901	
767790	189592	A fruit seller
767790	198030	
767790	204505	Lady Foult
767790	204660	
767790	205728	Fortune Teller
767790	207215	
767790	223485	
767790	231356	Die Runenmagd
767790	242861	Frau Steinkamp
767790	254359	
767790	254363	
767790	254430	Lubotas Mutter/Lubota's mothe
767790	255459	
767790	261569	Alte Frau im Zug
767790	272827	
767790	275412	
767790	283063	
767790	290067	Mother
767790	290824	
767790	293237	
767790	293554	Kathi
767790	301084	Kühnerts Mutter
767790	306470	
767790	311068	
767790	312066	Aunt
767790	317252	
767790	321776	
767790	322510	
767790	332555	Josefa, eine alte Magd
767790	334627	
767790	337554	
767790	343476	
767790	344209	
767790	346922	Schubert's Landlady
767790	352389	Patin
767790	352488	
767790	352526	
767790	356754	
767790	356883	
767790	361418	Theresa
767790	361496	
767790	367190	
767790	367355	
767792	269356	Lady Grenville-Binning
767792	282689	Maria Fitzherbert
767792	294216	Elinor Dashwood
767792	380568	Maisie Potter
767792	396005	Geraldine Gibb
767792	396073	Nora Jepson
767792	402124	Charlotte Lucas
767793	378731	Hélène Delisle
767794	45277	The Girl on the Phone
767794	403521	Maid Marian
767795	202195	Roseland Dancer
767797	103801	
767798	199378	
767799	235870	Performer
767800	336731	
767801	29743	Odette Trively
767801	113711	Maud Dorleville
767801	124802	
767801	164678	
767801	274710	
767801	377829	
767802	41320	Tracy
767803	106075	Nico
767803	261551	Amelie
767803	398158	Chantal Pinard
767803	400383	
767803	400768	Danielle Richer
767804	398078	Dominique Lacoste
767805	2195	Barbara
767805	2757	
767805	7615	Anne
767805	15116	Viviane
767805	23734	Brigitte
767805	28992	Cécile
767805	29513	Monique, the waitress
767805	33367	Isabelle
767805	48223	
767805	51435	
767805	51739	Mathilde
767805	57846	
767805	60099	Client
767805	66596	Mathilde
767805	68358	
767805	69522	Irène
767805	69531	Laurence Albertini
767805	69835	
767805	83285	
767805	88177	Charlotte de Persand
767805	97058	Marianne
767805	101140	Leni
767805	107532	Carole
767805	108214	La mère
767805	113216	Maryelle
767805	120435	Claire
767805	130756	La coiffeuse #6
767805	132751	Charly
767805	133092	Herself
767805	140279	Ninon
767805	146958	Solange
767805	156890	Marianne
767805	160819	Mme Brémont
767805	162306	Zoé
767805	165184	
767805	166350	Catherine de la Rochelle
767805	167217	
767805	191130	
767805	197394	Ninon (segment "Jacques Rivet
767805	198312	
767805	201113	Else
767805	211361	Radio Interviewer
767805	217695	
767805	218247	L'hôtesse d'accueil
767805	236042	Sabine
767805	240444	A naiad
767805	247759	
767805	261825	Béatrice
767805	278155	Claire
767805	291584	(segment "Famille médicament,
767805	307380	Mademoiselle Fournier
767805	307475	
767805	320516	Venninne
767805	351863	Fafa
767805	353870	Claire
767805	355273	
767805	356508	La femme de Yann
767805	360913	Alicia
767805	377736	Louise
767805	377964	La serveuse
767806	278526	College Girl #2
767806	353464	Triche's Godmother
767807	327685	Jethro's Daughter
767808	355877	
767809	139961	Chloe
767811	411221	Fräulein
767812	60323	Cheerleader
767813	220555	Beaver
767814	345085	Le souillon
767815	140192	Nurse
767816	195327	Amy
767817	295006	Rescue Girl
767818	2419	
767818	41527	
767818	52806	
767818	88499	Mrs. Foozle
767818	95088	
767818	116182	Blushing Rose
767818	186155	
767818	186792	Dentist's Nurse
767818	190989	The Wife, Mrs. Glenders
767818	195280	Viola, a telephone operator
767818	230413	
767818	285683	Society lady
767818	300023	Brunette girlfriend
767818	312061	Second pedestrian
767818	362448	
767818	364574	Willie's Girl
767819	19990	Miss Shirley Brahms
767819	34720	Miss Brahms
767819	36945	Presenter
767819	40536	Carol
767819	53301	Interviewee/Various Character
767819	55680	Kate
767819	55700	Ida Downs
767819	55707	Miss Willing
767819	56899	Girl in Night Club
767819	88881	Nurse
767819	88922	Pauline Fowler
767819	90367	Herself ('Shirley')
767819	96866	Herself
767819	96869	Herself
767819	118987	
767819	121857	Herself
767819	135781	Anne Scott
767819	169597	Herself
767819	201868	
767819	240706	Housewife
767819	269657	Herself
767819	286698	Girl
767819	361361	Herself
767819	362472	Interviewee/'Miss Ida Downs'
767819	380591	Miss Shirley Brahms
767819	382559	Maudie
767819	382794	Herself
767819	387247	Pauline Fowler
767819	387248	Herself
767819	390422	Miss Shirley Brahms
767819	391072	Susan Sullivan
767819	391745	Pearl (II) (Series 1) (1975)
767819	392230	Daughter (Series 1-5) (1962-1
767819	393944	Regular Panellist (Series 4) 
767819	399304	Joyce Harker
767819	399726	Doris (1975)
767819	406215	
767820	282781	Pierre
767821	218371	Reporter
767821	281997	Coroner
767821	314884	
767822	18570	Sweet Sue
767822	31672	Doreen
767822	47744	Mitzi Fritts
767822	56750	Billie
767822	138699	Foxy lady #2
767822	185065	Brenda
767822	208326	Blonde in Shoe Store
767822	222620	Sophia
767822	330912	Brenda
767822	349550	Motel Guest
767822	372525	Rocco's Wife
767823	10205	Béa
767823	375077	
767824	161865	Chorus Girl
767825	55792	Julie
767827	111313	Alexandra
767828	392648	
767829	247558	Teenager
767830	68796	Woman in Neck Brace
767830	137566	Mrs. Newman
767831	106731	Alice Jacobs
767831	329515	Prostitute
767832	7509	Yanna
767832	154986	Goth Girl
767832	292275	Heidi
767833	145415	Lisa
767834	222784	Toilet Girl
767835	5831	
767835	53740	Cunegonde
767835	65883	Gloria Fleming
767835	177437	June/Lady
767835	394340	Monique Durnford
767835	404659	Monique Duchamps
767835	410219	Ginevra Fanshawe
767836	804	
767836	14163	Anna O'Rourke Dangos
767836	16770	
767836	18410	Eve Cameron
767836	27500	Henryetta Alcott
767836	46302	June Hannum
767836	76500	Jill
767836	90267	
767836	163313	Patricia Blaydon
767836	194819	Amy Atkins
767836	195591	Mavia
767836	195816	Dilly Carson
767836	196446	Lorna Quidley
767836	272025	Bridget (youngest sister)
767836	291993	Emily Hazen
767836	309286	Sally Lord
767836	324047	Joan Burbridge
767836	331398	Clara
767836	367521	Catherine Starr
767837	148333	Annie
767837	169511	Herself
767837	185530	Herself (governor, at Democra
767837	356950	Herself
767837	359319	Herself
767837	365843	Herself
767838	31327	Waitress
767839	29708	Narrator
767840	195365	
767841	2700	
767841	8079	Nancy
767841	17067	Melissa Lefevre
767841	44429	Val Porter
767841	107120	Voice Over
767841	132915	Hillary Wilson
767841	154959	Little Girl
767841	158798	Nancy
767841	161495	Ember Swallow (age 5 & 7)
767841	193280	Kelly Gallagher
767841	262386	Carol Wetherby
767841	264202	Sarah Stewart
767841	270347	Mickey Carlyle
767841	310188	Kathy Hoxly
767841	321660	Kimberly Mays, Age 9-11
767841	339018	Mindy Sterngood
767841	339019	Mindy Sterngood, Nancy's Daug
767842	164641	Paul's wife
767842	335017	Maddie Stanton
767844	222784	Halloween Girl #2
767845	22643	
767845	27064	Dean's Neighbor on Stoop
767845	311342	Waitress
767846	3044	Herself (Memorial Tribute)
767846	5387	Sally Framm
767846	16105	Miss Annie
767846	21499	Elvira Backus
767846	29289	Zazu
767846	31724	Herself
767846	33742	Baby Suggs, aka Grandma Baby
767846	37312	Miss Hanks
767846	38784	Charity Tomlin
767846	54270	
767846	63146	Wendell's Grandma
767846	93098	Grandma Bessie
767846	94088	Drug Counselor
767846	116925	Jessie Blake
767846	125576	
767846	131211	Idella Landy
767846	133870	Mama Tiny
767846	135396	Mrs. Prentice
767846	148523	Linda Cervi
767846	153151	Rose Scott
767846	158270	Mama Caleba, aka Mrs. Bellamy
767846	160406	Verna
767846	171056	Grandma
767846	200789	Florence
767846	214984	Viney, Keller Maid
767846	221784	Maid
767846	241732	Cora Simms
767846	245055	Mrs. Cooper
767846	245458	Thelma
767846	309047	Mae Porter
767846	323375	May Scott
767846	334147	
767846	380031	
767846	382040	Rose Kincaid (1970-1971)
767846	383385	Therese (1986)
767846	391253	Miss Lula (1992)
767846	403730	Cynthia Palmer
767846	404265	Aunt Ethel (1972)
767847	41809	Extra
767848	58795	
767848	223054	Dancer
767848	308632	
767848	330375	
767849	385115	
767850	113383	Mrs. Williams
767850	114890	Mother
767851	244444	Kathy
767852	5430	Zoe
767852	17067	Melissa Lefevre, age 11
767852	59676	Terri
767852	104916	Young Eve
767852	140636	Hayley Wagner
767852	158798	
767852	176309	Lisa Lezinski
767852	216878	Becky Thatcher
767852	245229	Priscilla Johnson
767852	262386	
767852	321660	Kim Mays, Age 4-6
767852	333530	Toni
767853	330375	
767854	351896	Motel lady
767855	141454	
767856	184953	Herself - Matty Malneck Trio
767857	37337	Lady Overboard
767857	42042	Peg
767857	54922	Tender Heart Bear
767857	54923	Tender Heart Bear
767857	79977	
767857	164986	
767857	210233	Ma Harper
767857	252242	Bar Patron
767857	282990	Rudolph
767857	282996	Rudolph
767857	282997	Rudolph/Jeering Reindeer
767857	296729	Mrs. Butterman
767857	365836	Willie McBean
767857	383462	Tenderheart Bear
767857	394490	Billy Bond
767857	406155	Paper boy/Billy Conner
767858	260679	Flock Member
767859	257658	Herself (Miss July)
767859	257866	Herself
767860	230934	Bar Patron
767861	27064	Dean's Neighbor on Stoop
767861	367863	Title Theme Singer
767861	382338	Herself (regular performer, 1
767861	388144	Marion (1953-1954)
767862	387309	Rosella Gray (1970-1971)
767862	404002	Mary Ryan Fenelli (1976) (tem
767863	147885	Judith Rennie
767864	339688	
767865	77794	Woman
767865	85018	Dolly
767865	89711	Operator
767865	299453	Nurse
767865	358777	
767866	4595	Herself
767866	23927	Herself - Audience member
767866	158286	Herself
767866	221421	Herself
767866	249590	Performer
767866	260431	Herself/Karen Carpenter
767866	305489	Herself - Steps
767866	314497	Herself/Steps
767866	314498	Performer/Herself
767866	342189	Herself
767866	405663	Presenter (2002)
767866	406509	Presenter
767867	407956	Mrs. Price (Series 1-4) (1981
767868	141577	Server 2
767869	219888	Margery Daw
767870	14212	Jo-Ellan Dimitrius
767870	102514	Rita Daniels
767870	176965	Kathy Griffin
767870	235160	Ruthie
767870	243592	Emily Russell
767870	262261	Nan
767870	293011	Sally
767870	302943	
767870	351410	Jana Roberts
767872	33940	Hounslow Harrier
767873	382734	Margaret Thomas
767874	716	Herself
767874	1681	Herself - Presenter
767874	3233	Cathy Damore
767874	34646	Herself
767874	57665	
767874	81102	Herself
767874	93959	Rebecca 'Becky' Ann Leeman
767874	99593	Belinda
767874	100106	Trish
767874	131347	Cindy Styne
767874	154157	Lauren Crandell
767874	158113	Tina Jacobs
767874	193108	Cindy #1
767874	194228	Elizabeth
767874	195300	Carla, the real friendly one
767874	201812	Herself
767874	236135	Jana, Lucifer's sister
767874	245988	Jess
767874	255523	Colleen
767874	289668	Annie
767874	295430	Herself
767874	313820	Carmen Ibanez
767874	323148	Wendy
767874	324264	Tammy
767874	330565	Diana Evans
767874	346224	White She Devil
767874	349860	Paige Prescott
767874	365451	Kelly Lanier Van Ryan
767874	368418	Dr. Christmas Jones
767874	368419	Dr. Christmas Jones
767874	371721	Rebecca
767874	372261	Chloe
767875	256593	Leila, age 8
767876	87599	Sonya Simmons
767877	239629	
767877	239875	
767877	239877	
767877	239880	
767877	239883	
767877	370248	
767878	128706	Nightclub singer
767879	326751	
767880	108099	Woman Survivor
767880	185202	Mrs. Septimus
767880	191611	Lydia
767880	331681	Mrs. Probart
767881	30356	Doris Solomon
767882	339573	Genie Wooster
767882	349898	Cindy
767883	192634	Grandma
767884	203344	Vet Assistant
767884	222412	Mujer asaltada
767885	187295	Val
767886	384097	Fran
767887	192717	Dr. Bruhling's nurse
767887	203673	Nurse
767888	162292	Aunt Paula
767889	37555	Lab Nurse
767889	79526	
767889	328823	
767890	222212	Party-goer
767891	197499	Bunny
767892	217983	Livia Faringay
767893	34463	Eleanor Roosevelt
767894	11339	Kim
767894	128242	Lynn
767894	132558	
767894	169686	
767894	297879	
767895	5855	Melani
767895	96994	Merilee
767895	192278	Zelda
767896	68116	Lexie
767897	307863	Virginia Stevens
767897	330689	Cousin
767898	191098	Dancer 'Eat the Music'
767899	372193	Almyra
767900	408285	Shakira
767901	51855	Lady in Waiting
767902	168129	
767902	328659	Medusa
767902	337088	Connie
767903	19287	Secretary
767903	108314	
767903	244801	Waitress
767903	302008	The showgirl
767903	313695	Flight Nurse
767904	352682	Chapel woman
767904	405742	Mrs. Lloyd
767906	72697	They Are Afraid of Her
767907	273398	Maid
767908	326854	Varrow Female
767909	256976	Pizza Thief
767910	410020	Herself
767912	208870	Newsreporter
767913	383882	Madeline Wolf
767914	118325	
767915	398691	Katya Mason
767916	27064	Dean's Neighbor on Stoop
767918	79002	Shelley Warner
767919	222784	Megan
767920	26905	
767920	26923	Herself
767920	34758	
767920	39646	
767920	39749	
767920	52009	
767920	75191	
767920	91834	Herself
767920	91836	
767920	91837	
767920	91919	
767920	102809	Herself
767920	127806	Herself
767920	128859	
767920	147887	
767920	186511	
767920	187409	
767920	190679	
767920	199234	
767920	243124	
767920	245473	
767920	245475	
767920	271829	
767920	313218	
767920	313240	
767920	330675	
767920	344648	Herself
767920	358074	
767922	12739	
767922	40225	Tia
767922	54754	Lynn Marie
767922	84854	Bonnie Barry
767922	103244	Brooke Howser
767922	103344	Tia Malone
767922	103345	
767922	147277	Sara Melborne
767922	149693	Minnow
767922	165253	Sandy Hunter
767922	180651	Herself
767922	201927	Herself
767922	209222	Cheryl
767922	227467	Prudence Everett
767922	227468	Prudence Everett
767922	233545	Tracy Osborne
767922	255328	Beatrice as a child
767922	271063	Alice
767922	276645	Tia
767922	276741	Amy McClaren
767922	310577	Juliette
767922	316131	Girl outside mayor's house
767922	341515	Frankie Croyden
767922	358803	Tia
767922	364130	Daphne 'Daffy' Fernald
767922	364131	Daphne 'Daffy' Fernald
767922	364676	Holly Sanborn
767922	379065	
767922	391335	Ruthie Alder (1979-1980)
767922	391408	Jan Standish
767922	393292	Sandy Hunter
767922	398979	Prudence Everett
767923	16660	
767923	319876	Girl in Photo
767924	13293	Laurie Jean
767924	43877	Lindsey Wallace (Halloween)
767924	54754	Debbie
767924	64389	Sarah Johnson
767924	75428	Stephanie Davenport
767924	97030	Angie
767924	103244	Lydia
767924	137655	Lindsey Wallace
767924	137674	Lindsey Wallace
767924	142531	Julie Braden
767924	241106	Liz Demerjian
767924	330762	Jennifer Bennett
767924	353712	
767924	359899	Ellie Curtis
767924	381802	Young Sarah
767924	386856	Lizzie Preston
767924	387728	Nurse Dori (2000-2002)
767924	395735	Alicia Sanderson Edwards (197
767925	366755	Maria Fitzwater
767926	399417	Annie Aubrey
767927	119803	Farellie Customer
767927	188332	Woman
767927	195610	Court spectator
767927	307518	
767927	344168	Woman with sheepdog
767927	361848	White-haried Woman on Elevato
767928	59729	Waitress
767929	214815	Diner
767930	134721	Andy
767931	31905	Amy Kahn
767931	40029	Linda Reid Sykes
767931	79514	Judy Curtis
767931	97035	Helene
767931	141621	Woman Reporter
767931	142531	Cara Braden
767931	150895	Daphne Budd, Elizabeth's Secr
767931	165278	Ethel Dean
767931	203549	
767931	221024	Card Player #2
767931	231095	
767931	244920	Female Bar Patron
767931	264037	Laurie
767931	269662	Mrs. Kazinsky
767931	276634	Ann Stoving
767931	278268	Vera Scofield
767931	280717	Janet
767931	289758	Elizabeth
767931	292042	
767931	301676	Maggie Daly
767931	301754	Orchestra Teacher
767931	351778	Guest at Party
767931	352420	Judge's Wife
767931	363044	Agnes
767931	364313	Betty Handy
767931	380823	Helen Dettlinger
767931	385719	Sabrina Stuart (1969-1970)
767931	400236	Susan Barry (1974-1975)
767931	410977	Viki Lucas Hathaway #2 (1971-
767932	257673	Additional Talent
767933	270896	Tactical Cafe crowd
767934	338399	Emmaline Garrison
767935	260266	Singing Lady
767936	200289	Anne
767937	137462	Dancer
767937	331395	Dancer
767939	360200	Helen
767940	209656	Dancer
767941	298093	Veronica Lews (uncredited)
767942	354211	
767943	27064	Dean's Neighbor on Stoop
767944	404282	Sarita Figueroa
767945	49733	Mrs. Brooks, her mother
767946	281972	A Milliner
767947	32601	Doris' Date
767948	10886	
767948	38740	
767948	40549	
767948	42842	Nicki Marron
767948	67607	Airline Employee
767948	71319	Gail Golightly (segment "Spac
767948	164481	
767948	197920	
767948	334169	Janet
767948	335820	Savannah Boyette
767948	379671	Dr. Lois Allen (1990)
767948	382419	Valerie Cooper (1989-1990)
767949	236657	
767950	342754	Young Wife
767951	131232	Extra
767952	131232	Extra
767953	7187	Muriel
767954	204854	Wardress
767955	406306	Herself (1998-2000)
767956	67456	
767957	35282	Bettie Page
767957	122179	
767957	194487	Whorespank
767957	224387	
767957	226994	
767957	366736	The Erotic Witch
767958	77146	Dallas Cowboy Cheerleader
767958	353425	
767959	232104	Ghoul
767960	390144	Rocket (1997)
767961	88628	
767961	307354	Esther
767961	315154	Nancy Wilford
767961	323176	Esther
767962	63095	Sara Boswell
767963	1973	Kid
767964	358941	Sister Eleanor
767965	151540	Frances Novak
767966	31526	
767966	32489	
767966	32591	
767966	57118	
767966	57119	
767966	70176	
767966	85823	
767966	139157	Judy
767966	141591	
767966	144567	
767966	154732	
767966	163863	
767966	194905	
767966	218759	
767966	220178	
767966	226994	
767966	238685	
767966	295795	
767966	296111	
767966	330672	
767966	346402	
767966	362895	
767966	366729	
767966	372506	
767967	88760	Letty
767968	307687	Glass Woman
767968	318109	Receptionist
767968	330280	Young Mother
767968	360200	Brenda Williams
767969	359543	Andrea
767970	277491	Reporter
767971	131852	Lester's Grinning Girl
767971	389858	Maria Maximilliana "Maxie" Jo
767972	106821	Newsagent
767973	269386	Zana
767974	5152	Mrs. Kogen
767975	396793	
767976	44406	
767976	54705	
767976	91887	Mistress Starr
767976	95216	Isabella
767976	106110	
767976	142521	
767976	228016	Herself
767976	232293	
767976	305785	Starr
767977	305147	Mrs. Poulson
767978	28751	
767978	41502	Child
767979	266576	Mrs. Ward
767980	215691	Miss Mississippi USA
767981	41746	Sherry Lyn's Mother
767982	224001	Lady Killane
767983	152878	Mary donovan
767983	276854	Mrs. Campbell
767984	331812	Herself - Band Singer
767985	46327	Dianne McDonald
767986	116703	Blessing Angeline
767987	194228	Danielle
767987	211035	Lucille
767987	281235	Jeenie Fase
767987	313432	Francis Neill
767988	56649	Leslie Gaylord
767990	16885	Mrs. Cawser
767990	54692	Esther
767990	151183	Happy's Wife
767990	154180	Old Lady
767990	169409	Mrs. Loker (episode 'Poor But
767990	183208	Baxley, Mrs. (Lucy)
767990	183772	Nanine
767990	194817	Mrs. Bunch
767990	230377	Judge's Wife
767990	242039	Mrs. Cawser
767990	249380	Miss Aukland
767990	279758	Gatekeeper's Wife
767990	280214	Nannie
767990	308105	1st Old Lady
767990	308598	Aunt Aline
767990	316606	Raped Girl
767990	354519	Mrs. Plumpton
767990	358610	Miss Claythorpe
767990	385299	Gwennie Webb
767991	230240	Jade
767992	291865	Val
767992	314503	Angela
767992	357065	May
767992	384180	Young Woman
767993	6775	The Siren
767994	19168	Carol Boynton
767994	61793	Zoe
767994	349898	Busty girl
767996	40164	Cleone
767996	75535	Belly dancer
767996	127127	Arab Girl
767996	203658	
767996	252741	
767996	357068	
767996	374638	Angvisa Girl
767997	388860	Parade Model
767998	32178	Additional Voices
767999	155920	Nurse #1
768000	260356	Maria
768001	362984	Leah
768002	104977	Lisa's Mom
768003	265606	Jenny
768004	348752	Operator, Maid 1, Guard
768005	405024	Mrs. Flood
768006	39627	Maiden
768007	280480	
768008	222134	
768009	353425	
768010	408275	Presenter
768012	77796	Elaine
768012	116356	Woman #2 in Theater
768012	148426	Liza Tillerman
768012	233823	Linda MacMillan
768012	263365	Courtney
768012	297790	Rachel Fowler
768012	363502	Marilyn Olmsted
768013	193390	Nurse
768014	265616	Anne Ellis
768015	106540	Ingrid
768016	98138	Meg
768017	313818	Interview
768018	135886	Party Girl
768018	214422	Belle
768018	347856	Hilary
768018	379831	LaKeishaa #3 (1991-92)
768019	118369	
768019	192634	Baptist Singer
768020	398050	6th Eliminated (2000)
768021	7888	Rachael
768021	118873	Sharon Webber
768021	131473	Wendy
768021	228298	Adrienne
768021	319542	
768021	385141	Celeste Arno
768022	379890	
768022	390732	Dominga
768022	391742	Fernanda
768022	396604	
768022	405834	
768023	149837	
768023	286160	
768024	289558	Woman at Babylon Club
768025	195685	Irene
768025	301654	Rosemary Saltemeir
768026	342867	Cupid
768027	64573	Performer
768027	232456	Girl
768027	326715	Dancer
768027	389858	Jenny Eckert Ashton Hornsby (
768028	168051	
768029	61303	Fretful Baby
768030	235404	Michelle LeBlanc
768031	346016	Inmate
768032	90721	Herself
768034	79078	Carmen
768034	340704	Frenchie
768035	48070	Mrs. Renfro
768036	113927	Lizzy
768036	205417	Sister
768036	208378	Ms. Formby
768036	289452	Shop Girl
768036	359205	Val
768036	368771	Liz
768036	395471	Holo Prosecutor
768036	411759	Elizabeth (1981-1983)
768037	350506	Young Celia Crawley
768038	65184	Student outside principal's o
768039	338262	
768041	113886	Princess #7
768042	217745	Wet Girl
768043	263455	Jazz Queen
768044	230127	Woman in Tub #1
768045	202196	Herself (Southern civil right
768046	28862	Jackie
768047	390917	Roobot
768048	110247	Dr. Brouwer
768048	312265	Bartender
768049	145071	Hooker
768050	342469	Hilary
768051	371087	Girl in Laboratory
768052	254774	Riptide
768053	18029	Anna
768053	37344	Sally McNeal
768053	42913	Babysitter
768053	43015	
768053	47462	Black Mother
768053	54641	
768053	54726	Madam
768053	60186	Mrs. Fadely
768053	67385	Judge Winslow
768053	73559	Mrs. Steckler
768053	78058	
768053	93316	Nurse
768053	101638	Daphne
768053	106378	Triphase nurse
768053	119502	Ola
768053	126672	Juror No. 1
768053	129596	Bessie
768053	138784	Judge Hoyle
768053	139582	Janie's Mother
768053	143074	Frances
768053	147554	Bea Buskins
768053	158372	Nurse
768053	172666	Social Worker
768053	192634	Baptist Singer
768053	195822	Ella
768053	208503	Large Woman
768053	214986	Vincy
768053	220778	Mama Jeter
768053	221045	Rhonda Grace
768053	232497	Woman Singing
768053	240935	Mother
768053	263076	Carol
768053	269856	Pauline Styles
768053	302932	Mama Jones
768053	321667	Abigail
768053	330133	Grams
768053	331475	Edna
768053	342018	Dunky
768053	346139	Mrs. Syms
768053	361229	Martha
768053	362834	
768053	366680	Marianne Brooks
768053	367638	Lydia
768053	383662	Aunt Ellen (1992-1993)
768053	385977	Mrs. Velez
768053	389561	Emma Ravenel
768053	390953	
768053	394231	Mrs. Chan
768053	398208	Emma Ravenel
768053	407318	Aunt Martha Robinson (1988)
768054	388765	
768055	348838	Joy
768056	348838	Carla
768057	17676	Cynthia Gimenez
768058	340026	Herself (former VP, corporate
768059	274679	
768060	274679	
768061	79888	
768062	92669	Crying Matron
768062	385299	Mrs. Whitton
768063	356635	
768064	118623	Ambulance Officer #1
768065	847	Anita
768065	851	Herself
768065	2805	Herself - Presenter: Best Dra
768065	3498	
768065	7408	Marie-Antoinette
768065	32866	Serafina
768065	42725	Dominique
768065	57665	
768065	59456	Extra
768065	94012	Cissie Colpitts 3
768065	97209	Amanda Powell
768065	105034	Lt. Starck, Executive Officer
768065	111802	
768065	141018	Janetta Wheatland
768065	147608	Hannah Wyatt
768065	150606	Waitress
768065	154869	Cathy Breslow
768065	177525	Princess Anna
768065	183599	Lady Chatterley
768065	193235	Laura McFetridge, Moffat Arms
768065	208632	Lucy Bell
768065	250746	Charlotte Selton
768065	273604	Rhiannon
768065	276869	Elizabeth Rueland
768065	299070	Margrete Von Eberstein
768065	299810	Butterfly
768065	303239	Christine
768065	337152	
768065	339464	Emily
768065	346005	Eleanor dunston
768065	361978	Young Jean Travers
768065	368863	Claire
768065	399502	Julia McNamara
768066	28769	Angela
768066	277479	Mavis McKendrick
768067	270649	Herself
768068	90107	
768069	222254	Freak
768070	201260	Grauman's Bon-Bon Girl
768071	366425	Young Alicia
768072	366070	Additional Hoochie in Rain
768073	171063	Lavonica
768074	38178	
768075	16255	Step-mom Missy
768075	60684	Dancer
768075	203358	Tony Clifton Dancer
768075	280081	Samantha
768075	300527	Jessica Preston
768076	82452	Edna
768076	112601	Paulina Pritchett
768076	120148	Janeen
768076	138348	Caseworker
768076	161594	Auntie
768076	170388	Darlene
768076	185363	Elaine
768076	193701	Sgt. Priscilla Worth
768076	194564	Nurse Ruth
768076	194666	Caroline Jones
768076	196350	Attorney Rose Jackson
768076	202195	Lorraine
768076	213233	Det. Dixon
768076	232405	Emily
768076	292797	
768076	297246	Louise Levy
768076	304829	Harriet
768076	319493	Judge Smith
768076	343907	Deputy Marshal Savannah Coope
768076	345728	Reader
768076	362675	Dr. Gina Mendez
768076	366898	Melinda Donovan
768076	378683	Atallah Sims
768076	381356	Herself
768076	389266	Vivian
768077	212732	Betty
768077	271013	Lilly
768078	93281	Janie
768078	364864	Minnie
768079	51066	Richo
768080	323841	Gimli Maiden/Dancer
768081	361229	Assistant to Grace Sutherland
768082	121386	Copeland's girlfriend
768082	293009	Secretary
768082	296894	Tina Mercado
768082	316262	Suzanne
768082	340957	Dr. Sanders
768083	358140	Alex
768083	363004	
768084	256623	Chorus
768084	383385	Chip Landry (1984-1985)
768085	169916	Hooker #1
768086	386864	
768087	34001	
768087	338563	Angela's voiceover
768087	382545	Marian
768088	11716	Lotta
768088	32383	
768088	60278	Eva
768088	84268	Gina
768088	99958	Sara
768088	106666	Marion
768088	126306	Gertrud
768088	130070	Marta Werkelin
768088	131138	Nina
768088	132182	Cecilia Falck
768088	153745	SYO
768088	184890	Pauline Thibualt
768088	192827	Helén
768088	198106	Lily Sternmark
768088	204543	Maja Thysell
768088	206193	Anne
768088	234664	Helén Andersson
768088	240214	Sofie
768088	241216	Erik's Mother
768088	241982	Elena
768088	246492	Stina
768088	255866	Rico's Mistress
768088	259353	Helena Hansson
768088	278374	Mona
768088	322437	Marianne
768088	327126	Elise Mack
768088	330562	Helén
768088	340272	Anna Berg
768088	378256	Anita
768088	378897	Maja Thysell
768088	382115	Fröken Capri
768088	390231	Marta Werkelin
768088	405617	Eva Steen
768089	234669	Foxy
768090	313084	La préposée des Postes
768091	6005	Magnani
768091	7880	Penny
768091	10750	Queen of Hearts/Society Woman
768091	19024	Toosie
768091	28455	Early Bird
768091	40056	Lady Elizabeth/Queen Elizabet
768091	40057	Queen Elizabeth I/Asphyxia XI
768091	47559	
768091	58017	Clara
768091	61291	Mrs. Tweedy
768091	63532	Eva Braun
768091	68097	Hermione Granger
768091	74273	Jude
768091	77672	Ruth Ellis
768091	81179	Daphne Heccomb
768091	83791	Judy
768091	93143	Gina
768091	97023	DHSS Blonde
768091	100130	Mrs. Victor
768091	100663	Rose Arbuthnot
768091	104999	Patsy Carpenter
768091	107891	Mary Field
768091	109730	Ingrid Fleming
768091	109924	Charlie Maguire
768091	116738	Columbine/Rosalind/Ophelia
768091	126505	Gloria
768091	139524	Narrator
768091	139652	Rita Skeeter
768091	139963	Herself
768091	150790	Vanessa Bell
768091	160049	Mary Turner
768091	164635	Miss Fowl
768091	165264	Narrator
768091	173516	Carolyn Stilton
768091	177254	Anna Leonowens
768091	191098	Mysterious woman
768091	194940	Queen Mary
768091	211500	Mab, Queen of the Old Ways
768091	214853	Frederica/Widow
768091	214939	Mary Magdalene
768091	221160	Sandra
768091	231777	Julie
768091	238613	Herself
768091	239826	Anna
768091	254522	Madame Giry
768091	261737	Herself
768091	263955	Queen Rosalind
768091	270912	Sylvia Lake
768091	274456	Valerie Paris
768091	285756	Consuelo de Saint-Exupéry
768091	290922	Dr. Sarah Blakeney
768091	304862	Lady Mary Van Tassel/The West
768091	304864	Herself/Lady Mary Van Tassel/
768091	306278	Queen Elspeth
768091	310998	Yvonne/Mrs. Cleg/Mrs. Wilkins
768091	312564	Miss Gilchrist
768091	318267	Marilyn
768091	320815	Sarah Maloney
768091	321137	Julia Perry
768091	326596	Henrietta Blough-Pendleton
768091	335051	Vivienne Haigh-Wood
768091	346360	Oriel
768091	358197	
768091	382172	Queen Elizabeth I
768091	382794	
768091	385627	Pamela Flitton (segments film
768091	394478	Sidonie Reiger
768091	405988	Lola
768091	408970	Queen Isabella
768091	411356	Paula McGill Amory
768092	70429	Beverly
768093	186003	Bridget Bourne
768093	368195	Anne Hathaway
768094	275889	Tennis Player
768095	297120	The Voice
768096	22728	Stella
768096	41530	Shelley Allen
768096	59456	Flower girl at wedding
768096	60465	Mary
768096	68066	Mary
768096	105175	Miss Bridle
768096	109584	Jean Tatlock
768096	110192	Sybil
768096	127270	Regina
768096	131677	Herself
768096	132228	Mary Shelley
768096	138220	Kate/Offred
768096	140371	Ruth Gruber
768096	149953	Jill Morrell
768096	161341	Herself
768096	197068	Mariah
768096	200864	Caroline Lane
768096	203473	Host
768096	218552	Alice Keach
768096	229629	Dr. Paula Olsen
768096	248878	Elizabeth 'Liz' James
768096	250376	Laura Mathews
768096	250873	Patricia Hearst
768096	318194	Catharine Holly
768096	358484	Darlene Dodd
768096	363798	
768096	364869	Mrs. Edwina Broome
768096	374401	Zelda Fitzgerald
768096	387490	Young whore
768096	390599	
768098	232291	Elizabeth Richardson
768099	176480	TV Reporter
768100	357569	
768101	137900	Player Queen
768101	224057	
768102	2837	Kelly
768103	294150	
768104	107745	Donna
768104	265297	Veronica
768105	120973	La serveuse
768106	2582	Herself/Host
768106	2761	Herself
768106	6957	
768106	51482	Ad Woman
768106	138236	Helen
768106	157574	Cindy
768106	194727	Cheryl's Mother
768106	248876	Cassie McGuire
768106	309022	Bonnie Edgerton
768106	342263	Herself
768106	344331	Connie Hope
768106	346408	Laurel Vega
768106	355809	Helen/Wanda
768106	372089	Moss' mother
768106	373300	Joan Black
768106	382254	Gladys Baker
768106	386831	Beth McConnell (1984)
768106	387394	Kay 'K.K.' Dunne
768106	388991	Lee-Ann Plunkett
768106	391880	Jillene 'Jill' Patterson-Tayl
768106	406760	Dr. Andy Campbell (2002-)
768107	155920	Nurse #2
768108	318814	High School Teacher
768109	232819	Honey Hump
768109	332897	Sarita
768110	391454	Sade
768111	150060	Billie St. George
768112	143637	Johnson
768113	5358	Herself
768113	15379	Gail Stern
768113	18436	Berta Davenport
768113	26395	Nelli McPherson
768113	37650	Half & Half
768113	43921	Karen
768113	50599	Blusette Ford
768113	124185	Elisa Maza
768113	124186	Elisa Maza
768113	124187	Elisa Maza
768113	124188	Elisa
768113	124189	Elisa Maza
768113	133871	Bambi
768113	151703	Valerie
768113	154615	Nicole
768113	190859	Lillie
768113	190890	Ada Covington
768113	196572	Angela
768113	216672	Pretty customer
768113	241148	Miss Alice
768113	261417	Lana
768113	262798	Bridesmaid #2
768113	302993	Jolene Buckley
768113	309526	Lahoma
768113	340864	Martha
768113	348237	Denise
768113	388345	Viveca Foster
768113	389758	Elisa Maza
768113	389759	Elisa Maza
768113	403887	Nancy Adams (2000-2001)
768114	223807	Woman at party
768115	35715	Crystal
768115	75783	Girlfriend
768115	134141	Rebecca Clarke
768115	150188	Dolores
768115	303905	Shiva
768115	366576	Cowgirl 2
768116	69695	Infiltrator
768116	116726	FBI Agent #4
768116	226482	Grandis
768116	389570	Grandis
768116	396019	Kali
768117	241759	
768119	334892	Mirei
768120	175144	Prostitute
768122	112205	Burger Assistant
768123	2288	Herself - Presenter
768123	11678	Herself (for "Eight Is Enough
768123	13963	Judy
768123	31188	Herself (ABC Team)
768123	31190	Herself (ABC Team)
768123	98155	Susan Bradford
768123	98156	Susan Bradford
768123	98157	Herself
768123	387374	Susan Bradford Stockwell
768124	40005	Florrie McNulty
768125	265884	Herself
768126	324422	Reporter
768127	114040	Devlin
768127	164464	Erika
768127	246243	Raleigh Barrymore
768127	357167	Ricci
768128	278247	Coach
768129	383742	Varrious Celebrities (1999-20
768130	383025	Hostess
768130	402225	Host
768131	107290	Fade
768131	228967	
768131	281196	Store Clerk
768131	292472	Nurse Karen
768131	370117	Nurse
768132	361855	Herself
768133	176391	
768134	319647	Karen
768135	221287	Tracy Halstead
768136	232839	Police secretary
768137	205498	Script supervisor
768138	140217	Lulu
768138	189666	Tanja
768138	210028	Susanne Kramer
768138	342335	Anna Bamberg, young
768138	345008	Marie Grün
768138	361424	
768139	6030	Prostitute
768139	15055	Gwen
768139	26291	Middle Class Woman
768139	56583	Herself
768139	114559	Stripper
768139	195615	Gwen
768139	253510	Annette
768139	315887	Quanda
768140	321608	Ernestine, their daughter
768141	336891	Mannequin
768142	346516	Solange
768143	52616	
768143	215433	Leticia
768143	383291	Nati (1999)
768143	387573	Patricia 'Pato'
768144	69993	
768144	207069	
768144	216843	
768145	55313	
768146	285982	
768148	25128	
768149	88840	
768149	218331	
768149	219513	
768149	227292	Marguerite Bellanger
768149	262942	Une entraîneuse
768149	275122	Gilonne
768149	301528	
768150	396135	La dame
768151	161392	Herself
768152	118827	Signorina dell'aeroporto
768152	130720	The Duchess
768153	113264	
768153	132449	Meg
768153	222769	Waitress
768153	402359	Patty
768154	64585	The Doctor's Sister
768155	67406	Donna
768156	206458	Latino Girl
768156	378844	Elektra
768156	396096	Host
768157	149766	Herself
768158	99999	Suzie
768159	385909	Kendra
768160	224909	Julie Juneau
768160	322353	Marie-Ange Laloge
768161	2684	
768162	32271	Julie
768162	68902	Fictionalized Paula Paul
768162	69120	Estelle Artaud
768162	78340	Gégé (Gertrude)
768162	98789	Roxan
768162	102945	Voix escroqué no 1
768162	103848	
768162	158819	Marlène Loiseau
768162	193433	Stéphane Brousseau
768162	195137	Serveuse discotheque
768162	235871	Older France Carignan
768162	346817	Agnes
768162	393352	Mariette Zimmer
768162	395863	Alex Roy
768162	400133	Pauline Leblanc
768162	400134	Pauline Leblanc
768162	402760	Dominique
768163	69845	Typist
768164	73067	Hélène
768164	74077	Louise
768164	122422	
768164	134205	La mère
768164	207874	Pauline
768164	301524	Johanne
768164	355262	Diane
768164	356391	Luce
768164	383651	Diane
768164	385008	Maureen Bellavance (2nd)
768164	409444	Loulou
768165	178692	Guest
768166	14091	
768166	16901	
768167	62031	Laura Wodzinski
768168	169704	
768168	306981	
768169	306981	
768170	204614	
768171	272518	Evil Spirit
768172	366419	Woman Cyclist
768173	13039	Julie
768173	17855	
768173	33279	Denise
768173	43652	Félicie
768173	60732	Jenny
768173	101166	Cécile Gutman/Christina Schom
768173	162109	Sophia
768173	166097	Florence
768173	170444	Marthe Le Rochois
768173	200971	Mme Gastin
768173	205972	Marion
768173	231777	Armande
768173	236604	Sylvie Roy, le substitut du p
768173	240579	Brigitte
768173	248007	
768173	252235	Jeanne Le Meur
768173	262936	Charlotte
768173	303533	Hélène Moulinier, la première
768173	336942	Toinette
768173	336944	Zoé
768173	345095	Geneviève Lesage
768173	345537	Elsa
768173	352635	Irène
768173	383916	Himiltrude
768173	384596	Isabelle
768173	394543	Tina Lavoisier
768173	403474	Marie Paradou
768174	246244	
768175	11676	Herself
768175	47382	
768176	66837	Girl in Bathroom
768177	385132	Jenny Cadine
768178	353926	Solène
768179	85653	
768179	233930	Cousin Kate
768179	312979	Milly Collins
768179	343206	Guest
768180	152564	Alien
768181	407369	Additional Voices
768182	374198	Tiller girl
768183	56010	Marge
768183	223714	
768183	240650	Skater
768184	3983	Adrienne Lennon
768184	289513	Morgan
768185	168948	Message from the Lord Choir
768185	313342	Walla Group
768185	351214	Contraption announcer
768186	273020	in Paris
768187	185489	
768188	194682	Hedvig Eriksen
768189	152499	Champa
768189	355236	Secret Agent
768189	355620	
768190	16413	Reporter
768190	310880	Flanders' Receptionist
768191	1748	Herself
768191	176498	
768191	280084	Herself
768191	405393	Herself
768191	405395	Herself
768192	306271	Wicked Queen Alice
768193	233058	Cafe Owner
768194	284455	Finalist
768195	118474	Susan
768196	148383	Hostage
768197	46981	Lisa Colvin (Dead Rock Climbe
768198	190767	
768198	215862	Parachutist
768199	155013	Party attendee
768200	40878	Movie patron
768201	39274	Polly Barker
768201	203491	Alice Lovina
768201	210514	Young Nurse
768202	164637	Emma/Shapiro
768203	42188	Weirdo
768203	210730	Blue-Haired Woman
768204	16671	
768204	127491	Francine 'Gidget' Griffin
768204	304841	Mom
768204	352700	Nora Brady
768204	382644	Nora Brady
768204	391822	Jayne Johnson
768204	399241	Francine Lawrence Griffin (Gi
768204	407916	Elena Dekker (1980-1982)
768204	411802	Lauren Fenmore (1991) (tempor
768205	72114	Nancy Gellar
768205	196281	Mayor's Wife
768205	213090	Collier's Secretary
768205	263755	Linda Feldstein
768205	359539	Mrs. Wilson
768206	52271	
768206	133214	Mother
768206	280263	Socialite
768207	81640	
768208	197169	Herself
768209	62948	
768211	263789	
768212	28593	Various
768212	63163	Various
768212	63164	Various
768212	130243	Helen
768212	191682	Various
768213	47334	Teresa
768213	156566	Maigret
768213	307403	Cowgirl
768214	203492	Child
768215	5503	Mrs. Ellerman
768216	161188	Waitress#1
768217	219901	
768218	80834	Jacqueline
768218	245542	Rock Video Singer
768219	200981	Postal Carrier
768220	88856	
768221	140907	Reporter
768221	209643	Frida Focker
768221	325980	Donna Mirchell
768222	263455	Evelyn's Maid
768222	311014	Mrs. Stanton
768223	385299	Mrs. Busby
768224	358708	Trader (office)
768225	152514	Girl 1
768225	308938	Djard
768226	4543	Hotel Operator
768226	5874	Bit
768226	112552	Therese (cook)
768226	112627	Ellie (Burt's wife)
768226	154594	Mexican Girl
768226	220174	Tall Man's Wife
768226	223846	Undetermined Role
768226	240650	Woman with Broom
768226	251855	Woman
768226	281415	Woman
768226	283579	
768226	298126	Bit Role
768226	308342	Mrs. Hardy
768226	308373	Genevieve
768226	337628	Mrs. McBain
768226	361699	
768226	364357	Woman in Bargain Basement
768227	30437	French Stripper
768227	97023	Fiona
768227	106156	Suzanne
768227	139235	Fiona
768227	146661	Queen
768227	188350	Maxine Lupercal
768227	392915	
768227	396699	Extra
768228	92621	
768228	153642	
768228	232410	Mrs. Gibbs
768228	237465	
768228	288688	Doreen's Mother
768228	336541	Mrs. Gabler
768228	367903	Guard
768228	385299	Dr. McDonald
768229	126511	Mary Jane
768229	387638	Librarian
768230	350235	Hooker
768231	283718	Betsy
768232	55521	Specialty
768232	93257	
768232	97131	Wesley Eeps
768232	189682	Sängerin Jane Richards
768232	274647	June
768232	336924	
768233	105280	Harry Winston Dancer
768234	330444	DHSS Investigator
768234	408053	WPC Ruth Ford
768235	257647	Herself (Miss February)
768235	257682	Herself (Playmate)
768237	126187	
768238	306479	Patron
768239	222594	
768240	69961	Reporter
768240	212833	TV anchor
768241	161270	
768242	111963	Marceline
768243	112400	Countergirl
768244	73918	Aunt Hester
768244	127481	Aunt May
768244	141968	Miss. Smith
768244	190104	Mrs. Wilson
768245	14132	Party Girl
768246	194136	
768246	196995	Amanda
768247	80834	Betty Jean
768248	37365	Marrielle Herrick
768248	194312	Miss Joy
768248	366873	
768249	115687	Mme Sylvestro
768250	234318	
768251	277851	Athlete
768252	105589	Jérôme
768253	5659	
768254	272892	Petra Hoschek
768255	16928	
768256	369984	Rato Amarelo
768256	384992	Rita
768256	395302	Elisa
768257	227778	
768258	259608	Simone
768259	4833	
768259	38840	
768259	94367	Alice Bothmer
768259	172524	Louisa Hopf
768259	178620	
768259	180155	
768259	189665	
768259	216289	Schubert
768259	239125	Pricilla
768259	325872	Martina Dörfel
768259	329686	Hildegard Brinkmann
768259	340242	
768259	352657	
768259	365591	Dr. Malthus
768259	394346	Linda Wade
768259	404498	Luise
768259	405562	Various roles
768259	409627	
768260	254670	Young Brenda
768261	96721	Belle Marshal
768261	273327	Jeannette's Mother
768261	354884	Mrs. Higgins
768263	102932	Bit Part
768263	151092	Clemens
768263	183445	
768263	358442	Mrs. Hollingsworth
768264	273352	Une élève du théâtre
768265	40942	Dancer
768265	214364	Dancer
768266	122757	
768267	29340	Melanie
768267	52017	Vikki
768267	63010	Patti
768267	75802	Nady Simmons
768267	132098	Barbara
768267	148562	Dolly
768267	150801	
768267	194322	
768267	213178	Candy
768267	224405	Lucille Hartley
768267	241667	Kathy
768267	265762	Pammie
768267	312270	Gwen
768267	320825	Susan
768267	342605	Brigit Kummel
768267	366259	Cindy Wickes
768267	379715	Sherry Levy
768267	380750	Angela Morelli
768267	383780	Rebecca Stolfitz
768267	403027	
768267	410953	Val
768268	174179	Filling station attendant
768268	388756	
768269	344020	Sylvia
768270	283570	Fake Shemp
768271	259587	Mutter
768271	259658	
768271	325713	
768272	466	
768272	4805	
768272	46768	
768272	55450	
768272	77384	
768272	86291	
768272	102437	
768272	115965	
768272	119265	
768272	122572	
768272	125108	Fürstin Olga Rostowska
768272	126405	
768272	134829	
768272	174564	
768272	180198	Charlotte Ditmar
768272	186913	
768272	193500	Lola Montez
768272	204635	Olivia
768272	218911	
768272	278446	
768272	290147	
768272	290488	
768272	290824	
768272	303840	
768272	311236	
768272	315838	
768272	315974	
768272	322991	
768272	335021	
768273	34996	Humboldts Gast im Berliner Sa
768273	38386	Essende Frau auf der Datscha
768274	411802	Jennifer Foster #2 (1982) (al
768275	342669	Bar patron
768276	30738	
768277	188812	
768278	30170	
768278	102348	Magdalone
768278	109123	
768278	136619	Stuepigen Rosa
768278	154227	
768278	154236	Sygeplejerske
768278	154624	Fru Hermansen
768278	213438	Olivia Christensen
768278	213439	Olivia
768278	213440	Olivia
768278	248424	Lilian
768278	274934	
768278	278197	Husbestyrerinde på Ellekær
768278	349081	
768278	395824	Fru Frederiksen, Jordemoder
768279	48556	Esther's girl
768280	104667	
768280	217912	Herself ('Europe in the Raw' 
768282	24400	
768282	138906	
768283	102880	
768283	376251	
768284	12580	
768285	9922	Stefanie Ludowski
768285	179608	Cornelia Kolle
768285	225634	
768285	281737	Sophie
768285	325669	Lisa Hirlinger
768285	394082	Laura Kamrath
768285	399162	Franzi
768286	24430	'60s model
768286	122633	Avon
768286	154822	Woman at Supermarket
768286	159012	Tula
768286	184829	Sondra
768286	224691	Powerwoman
768287	114984	
768288	2917	Moderatorin
768288	19863	
768288	26533	Heike
768288	267407	Michelle
768288	317274	Maria Schneider
768288	347649	Lena von Stetten
768288	376299	
768289	455	Anna
768289	24130	Luise
768289	49272	
768289	82370	
768289	91037	Christina Wagner
768289	92643	Sophie
768289	95728	Christina Lohmann
768289	97481	Peggy Lynch
768289	98344	Carmen Siebert
768289	120852	Sophie
768289	122313	Sandra
768289	134967	Julia Talbach
768289	139939	Tessa
768289	142045	Tanja
768289	166725	
768289	170441	Natascha
768289	179787	Kati
768289	189533	Kathrin Wedel
768289	204499	Susanne
768289	225205	Dagmar Matius
768289	226304	Andrea
768289	259499	Lena
768289	259518	Nina
768289	259523	Nina
768289	259536	Nina Hinrichs
768289	259579	Nina
768289	259607	
768289	259613	Nina
768289	259629	Nina
768289	259643	Nina
768289	259694	Nina
768289	290689	Franz
768289	290719	Sophie
768289	308259	Susanne
768289	318884	Anna
768289	325492	Milena Radenko
768289	325826	Yvette
768289	326847	Agathe Kerner
768289	345674	Karin Toprak
768289	389359	Julia Talbach (1994-1996)
768289	392616	Jenny
768290	336084	Gudrun
768291	325543	
768292	62918	
768293	217421	Molly McKay - 7 Years Old
768294	193211	Herself
768294	320146	Herself
768294	320147	Herself/6th Banished
768294	407077	Herself (18 Days, Samburu Tri
768295	199082	Swedish Teacher
768296	136604	Franziska Pose
768297	232699	
768298	411802	Jennifer Foster #2 (1982) (al
768299	32655	Sekretär Beethoven's
768299	347043	Sophia
768299	391152	
768300	36474	Adelheid
768300	102983	
768300	123925	
768300	146872	Gerda
768300	177912	Irma Fiedler
768300	180636	Edeltraut Panse
768300	180639	
768300	226406	Lenchen
768300	311680	
768300	351227	Mariechen Bindedraht
768300	361422	Rosl Wedelmeier
768300	368743	
768301	203376	
768302	360953	
768303	187979	
768304	42686	Herself
768304	99511	Cæcilie
768304	117458	Marion
768304	147018	Herself - Receiving donations
768304	187617	
768304	190830	The Mother
768304	255707	Herself/Marion
768304	275415	Trine
768304	300991	Sofie
768304	354469	Anna
768304	373726	Charlotte Jensen
768304	389121	Rebecca Neumann (-2004)
768304	392098	Kathrine (2002)
768305	290814	Anna
768305	332832	Lissi
768306	37761	
768306	123954	
768306	134996	Nurse 1
768306	211489	Spielzeugverkäuferin
768306	366517	Gretchen
768307	152830	Therapeutin/Therapist
768308	225243	
768310	259621	
768311	81644	
768312	325515	Frau auf Reiterhof
768313	326899	Herself
768314	25352	Herself
768314	368815	Herself
768314	411546	Herself (1984-1985)
768315	176930	Betty
768317	24526	Nicki
768317	339051	Hofdame Marie
768317	396874	Elena Zirkowski (2001-)
768318	259055	
768319	16195	
768319	58127	Veselá
768319	288359	Innkeeper
768319	338167	Anna
768319	349323	Mazácová
768319	410338	
768320	324827	Anca Zmija
768321	257859	Herself
768322	351411	Sage
768323	99055	Teen Hooker
768324	48709	Maria Elena Holly
768324	83819	Cris Arias
768324	83912	
768324	137861	Conchita
768324	214699	Fatima
768324	244810	
768324	295673	Rosanna
768324	379019	Carmen Rivera
768325	118980	Bus Rider
768325	245699	Psychiatric Nurse
768325	263360	Blair, Secretary
768326	83230	Receptionist
768327	193211	Herself
768328	70597	Ingrid
768329	11181	Mrs. Campbell
768329	50448	Mother in Play
768329	52399	Miss Clarington
768329	61265	Nurse
768329	71734	Second Woman
768329	85822	Wardrobe Woman
768329	154097	Customer
768329	162858	Tourist
768329	170856	Saleslady
768329	185991	Mrs. McGuinnis
768329	245737	Minnie, the hag [Ch.12]
768329	277958	Kate [Chs. 4-5]
768329	305600	Woman with Lady Denham
768329	367919	Nurse
768330	316140	Flora
768331	116016	Hatai
768331	208188	Kara
768332	185503	Jan Ryan
768332	202467	Tanya
768333	46543	Jackie
768334	170890	Blackbird (murderess)
768335	12094	Dress Shop Clerk
768336	187259	
768337	176926	Lady in Waiting
768338	325192	Patient
768339	89032	
768340	126610	Leiche
768341	407138	Herself
768342	34656	Marion Talbot
768342	47279	Paul's Secretary
768343	100856	Nan Adams
768344	188	Nina
768344	4682	
768344	30067	Shirley
768344	34650	Dancer
768344	72572	
768344	94162	Julia
768344	114651	Kiki
768344	116107	
768344	131546	Dancer
768344	142686	
768344	151729	The Baby
768344	154355	Child at Christmas Party
768344	154874	Girl
768344	155851	Dancer
768344	157886	
768344	191750	Shirley
768344	195500	
768344	195984	Dancer
768344	209660	Dancer
768344	241416	Child
768344	282711	Dancer in Haiti number
768344	289601	Humility Crakstone
768344	302696	Dancer
768344	305042	Herself
768344	315869	Austin's Daughter
768345	194082	Anna
768346	408703	Drug Dealer
768347	204747	Corpse
768348	346910	Alice Benson
768349	35782	Sarah
768350	207132	Sunshine's Girl
768351	255721	Josephine
768351	334271	Current Affairs Lady
768351	388726	Television Reporter
768352	48240	Old Woman
768352	57718	Grandmother
768352	80444	Joanie
768352	279176	Jill's neighbor
768352	385613	Mrs Dewhurst
768353	26605	
768353	52124	
768353	77288	Mrs. James Forsythe
768353	117574	
768353	150869	Greta Carr
768353	195078	
768353	208151	The Judge's Bride
768353	292717	Natalie
768353	347337	
768354	238225	Nurse
768355	230926	Big Shirl's Beautician
768356	41401	Exotic dancer #3
768357	170442	Beth
768358	2057	Michele
768358	258286	
768359	307264	Astronaut #2
768360	174172	Margit
768361	134515	June Hamilton
768362	82451	Nurse Lilley
768363	7510	Eleanor
768364	74113	Assistant #1
768365	204747	Snake
768365	224352	Karen Cork
768365	229245	
768366	367054	The Wiz Singers Adult Choir
768367	356605	
768368	408870	Julie Harris
768369	122778	Soul
768370	32948	Sylvia Bailey
768370	82839	The daughter
768370	117884	May Wharton
768370	123202	Hyla Wetherill
768370	128502	Clytie
768370	145362	Emmy Lou Spence
768370	152589	Ginger
768370	155704	Faith Copeland
768370	169957	Mary Heath
768370	206420	Carolyn Carter
768370	239753	Kate at 9
768370	241659	
768370	246713	Alice Smith
768370	270679	
768370	275477	Child
768370	275697	Vera
768370	292329	
768370	300165	
768370	306734	Lucille Vail
768370	316329	Flapper
768370	331126	Ruth Kane
768370	339740	Faith Ebbing
768370	346051	
768370	350511	Sylvia, Teddy's fiancee
768370	372587	Eloise Lowden
768371	50815	Laura
768371	257584	Herself (Miss October 1995)
768371	257654	Herself (Miss September)
768371	257843	Herself (Miss October 1995)
768371	381442	Carrie Sharp (2000-2001)
768373	15041	Sandra
768373	327551	
768374	89938	Amiga
768374	376696	
768375	25099	
768376	19488	Heroinómana
768376	23368	Loli
768376	70684	Yolanda
768376	74524	Amanda
768376	83536	
768376	85959	
768376	103943	Rita
768376	143757	
768376	146481	Marisa
768376	148172	Alicia
768376	156085	Herself
768376	163098	Francesca
768376	196660	Niña Leonor
768376	198246	Teresa
768376	246950	Milou
768376	253667	Mané
768376	266509	
768376	269915	Eva
768376	271706	Alicia
768376	302184	Dolores
768376	377581	Candela
768376	378988	Julia
768376	379088	Cris
768376	383481	Sole
768376	400952	Diana de Miguel (2002-2004)
768376	402056	Azafata (1988-1990)
768376	407728	
768377	68760	
768377	324766	
768378	75374	
768378	146488	Manos de la tanguista
768378	169239	
768378	189109	
768378	193166	
768378	213405	
768378	225389	
768378	259745	
768378	306703	
768378	335522	
768378	339041	
768379	131128	Journalist
768380	380099	
768380	390404	
768380	392806	
768380	410477	
768381	75484	child
768381	320327	
768382	51978	
768383	328750	Dama de compañía
768384	90138	
768385	264131	Camilla Torres
768386	401251	Recepcionista
768387	233337	Ana
768387	276404	María José hija
768387	291625	Hermana
768388	3253	
768388	30341	Rosita
768388	42949	
768388	99710	
768388	193025	Muchacha
768388	218102	
768388	234318	
768388	279585	
768388	296125	
768389	12068	Elsa
768389	37214	Maid
768389	84946	Alicia
768389	104319	Pia
768389	130300	Dolores Lopez
768389	224086	
768389	296491	
768389	297378	Rose
768389	307826	Helen Williams
768389	332008	Pajarita
768389	375898	Carmelita [Chs. 1, 9]
768389	375899	Carmelita
768390	139895	
768390	234178	
768391	10221	
768391	28314	
768391	47065	Dolores
768391	53639	
768391	63813	
768391	75484	
768391	81421	
768391	91391	
768391	94837	
768391	103692	
768391	115018	Herself
768391	146510	Ester
768391	186216	Mariana
768391	197449	
768391	202561	
768391	207003	
768391	220701	
768391	244576	The singer (episode "Canto fl
768391	264390	
768391	283253	Dulcenombre
768391	284584	
768391	289488	Maria
768391	320327	
768391	326144	Josefina
768391	332644	Franchea
768391	333699	La Tirana
768391	351861	
768391	355759	Candelária
768391	355835	
768391	369989	Herself - Presenter: Best Sup
768391	376695	
768391	376750	
768391	376795	
768391	376968	Olivia de Montana
768391	391640	Herself
768392	274180	TV Reporter
768393	369437	Herself - Presenter: Best Scr
768393	387431	Herself
768394	8098	Leslie Mass
768394	16068	Gina Caggiano
768394	43015	Rae
768394	45780	Kelly Brooks - Reporter
768394	50607	Mrs. Kellerman
768394	80506	
768394	93768	Dr. Emily Watson
768394	108140	
768394	113498	Marcy Bernard
768394	117707	Linda
768394	127531	Dr. Estelle Jenkins
768394	134175	
768394	139745	Charlotte Jensen
768394	143006	Lorraine
768394	149965	Liz
768394	158609	Katherine Peyser
768394	185766	Dr. Findlay
768394	204947	Realtor
768394	214455	Nancy Wolfe
768394	245115	Esther Jacob
768394	291969	Gym Parent
768394	295563	Deena
768394	307964	Mrs. Burns
768394	326460	Dorothy
768394	330368	Marty
768394	366680	Philomena Parnell
768394	403469	Chris
768394	408347	Helen Gacy
768395	86059	
768396	201175	
768397	61861	Macarena
768398	70899	
768399	2079	
768400	60746	Frazzled Woman
768401	204821	
768402	116955	
768403	339361	Susan Potsiulik
768404	35410	Lauren
768404	35764	Marybette Jason
768404	113803	Young Janet
768404	173513	
768404	280196	Young Josie
768404	345650	Vanessa/Julia at Age 4
768404	408039	Brittany Weston #2 (1990-1991
768405	40476	Jackie
768405	114656	
768405	156566	Kata
768406	157826	Iris
768407	157785	Katherine Smith
768407	161839	Pvt. Spiller
768408	175573	Office Clerk
768409	411973	Marjan
768410	258904	Herself
768411	59682	Jane
768411	202078	Laura
768411	291221	Girl in Bathroom
768411	315781	Joyce ('Fiction')
768412	278318	Duca's wife
768413	8838	Aida
768414	363265	Chairwoman
768415	195161	
768415	385503	Pauline Villeneuve
768415	403898	Pauline Masson
768416	151242	Jenny Brewster
768416	288476	
768416	399722	Amanda Corner
768417	41740	
768417	400516	Mrs. Collins
768418	366157	Capt. Speer
768419	188963	Betty
768419	304910	Molly
768419	311268	
768420	41237	Nancy Clarke
768420	266576	Nancy Clarke
768421	337649	Player
768422	69333	Trophy Wife
768422	136261	Veronica
768422	184654	Bethany Simms
768422	196291	
768423	358079	Herself (Branch Davidian)
768424	66162	Newscast
768424	219953	Nurse
768424	346947	Woman in Bar #2
768425	358079	Herself (Branch Davidian)
768426	330886	Lynn
768426	370878	Tammy Parker
768427	410978	Molly Beresford (2002-)
768428	360267	
768429	396017	Helen
768430	188453	Peaches
768431	93124	Herself
768431	310193	Herself
768432	390590	Host
768433	48380	Tutta, the Wholesaledealer's 
768433	218221	Host for 'Bimbonytt'
768433	275108	Siri Norlander
768433	286280	Malin
768433	355702	Jeanette Olsson (episodes 1, 
768433	384527	Anette Gulling
768433	393578	Emma
768433	402043	Herself
768433	403167	Monica Raberyd (1998)
768433	403769	
768434	221397	Kabourková
768434	373518	Mudrochs Wife
768435	313975	Sarah
768436	48632	Lou
768436	315701	Abusive Wife
768437	310423	Waitress
768438	55122	Gail's Friend at Dance Studio
768438	209658	Nurse
768439	193770	Self-Help Class Instructor
768440	65059	Susie Dillon
768440	187811	Mrs. Cooper
768440	222563	D.S. Wenthworth
768440	315216	Lesley
768440	380798	Helen Braithwaite
768440	385020	Kathleen Gutteridge (1999)
768440	395080	Sheila Thwaite
768440	401725	Grace
768440	401812	Ruth
768441	132912	Pedestrian
768444	167152	Sängerin
768444	349412	Judy
768446	50357	
768446	91627	
768446	147810	
768446	291019	
768447	219030	Girl in Commune
768448	82385	Social worker
768449	377250	
768450	63014	Alice
768451	387560	
768452	127297	Elizabeth Lines
768453	372089	Susie Lovett
768454	16677	Voodoo Dancer
768455	77207	TV reporter
768456	342822	Sphinx Girl
768457	263755	Tawana Carter
768457	409492	Ayesha (nee Beverly) Langston
768458	383766	Herself - North Team
768458	397965	Interior Designer
768459	334117	Donna
768460	65048	Amber
768460	68867	Mother
768460	123041	
768460	193035	Studio Exec
768460	206840	Samantha Bruce
768460	315747	Sara
768460	331872	Diane
768461	7406	Rumson's daughter
768461	30363	
768461	32058	
768461	32168	Beauty
768461	43450	
768461	44501	
768461	54698	
768461	62776	Patricia O'Brian
768461	78131	Mrs. Stowell
768461	109003	
768461	112518	Rose Fanchon
768461	117765	Margaret
768461	123315	
768461	130738	Mary Denby
768461	133895	
768461	145901	Nellie
768461	147865	Bit part
768461	151161	Sue Wells
768461	154553	Schoolteacher
768461	161931	Mabel Whitney
768461	168131	The king's favorite
768461	171444	Bit Part
768461	186281	Clara Foster
768461	195864	Kate Kenner
768461	206376	Helen de Semiano
768461	237994	A Gossip
768461	262074	The Maid's Sister
768461	263501	
768461	267340	Duchess Sylvia
768461	276911	
768461	292574	Cora May
768461	293796	Alice Hale Morley
768461	304845	Mrs. Langley
768461	315091	Helen North
768461	337475	
768461	340452	
768461	353474	Joan Strathallen
768461	353533	Rosette Burgod
768461	371061	Kate Turner
768462	199292	Marilyn
768462	283171	Danielle Reese
768463	206612	Additional Voices
768463	358703	PC Maggie Greenhough
768464	359183	Crying Child
768465	42055	Mrs. Murphy's Friend
768466	40843	
768466	44011	
768466	45955	
768466	46812	
768466	47073	Mary Mackay
768466	52203	Mazie
768466	73102	Bertha Plummer
768466	77987	Marie Fitzmaurice
768466	101085	Mitzi Winkelmann
768466	107157	Muriel Stanley
768466	107557	Helen Dryer
768466	109606	
768466	113793	Ellen
768466	116244	Minnie
768466	120335	Miss Jessie
768466	126669	Barbara Felton
768466	139972	Mary Munger
768466	142452	Mrs. Frank Edwards, the Mothe
768466	143870	Mildred Nebeker
768466	144939	Susan
768466	145955	
768466	147633	Cameo appearance
768466	150976	Stella Walters
768466	170004	Olive Ketchel
768466	183405	Reno Maggie
768466	186380	Rose Davison
768466	186712	Evelyn Hastings
768466	193822	Dorothy
768466	199224	Prudence Graham
768466	202922	Gloria
768466	210916	
768466	233907	Miss Price
768466	234242	Mademoiselle Renée
768466	239653	Ann
768466	253837	Cora Kinealy
768466	264040	Lolah
768466	273305	Joyce Clifton
768466	274157	Slavey
768466	283092	Emily Judson
768466	308392	Rita
768466	309481	
768466	324780	
768466	329800	
768466	330758	Mamie Chase
768466	339646	Ida Hunt
768466	347513	Edna
768466	348356	Esther Hollister
768466	360430	The Redhead
768466	362754	Violet Henny
768467	42055	Mrs. Murphy's Friend
768468	42055	Mrs. Murphy's Friend
768469	118273	Merida
768470	209242	Louise, Steve McKenna's Girlf
768471	57004	Darla Dimple (singing)
768471	76603	Claire Landers
768471	257774	
768471	337084	Sally Shine
768471	382600	Morgan Matthews #2 (1995-2000
768471	405941	Additional Voices
768472	69602	Berri/Mrs. Queen Bee/Sunflowe
768472	69603	Berri/Mrs. Queen Bee/others
768473	340420	Winnie
768474	375508	Hitchhiker murder victim
768475	19557	Harem girl
768475	20625	Extra
768475	34977	Girl At Table With Cliff
768475	36841	Girl
768475	37416	
768475	42023	Bit Part
768475	73500	Girl in nightclub
768475	78155	
768475	94527	Cleo
768475	117929	Barmaid
768475	118434	Woman in Hotel
768475	120507	Korey
768475	128700	Undetermined Role
768475	131240	Cancan girl
768475	133610	Nightclub Extra
768475	136816	Fiesta Room Hat-Check Girl
768475	147384	Girl
768475	168723	Chorus Girl Extra
768475	178208	Guest
768475	189957	Hula dancer
768475	194396	Susie, showgirl
768475	196195	
768475	211587	Jane
768475	212196	Artist's Model
768475	214149	Girl at Lodge
768475	215709	Golddigger
768475	217958	Harem Girl
768475	218330	Table Extra at Night Club
768475	220907	Cheerleader
768475	220911	Pretty Girl
768475	222302	Pretty Girl
768475	223913	Dancer
768475	247372	Performer in "Good Neighbors"
768475	271091	Arab Girl
768475	279411	Handmaiden
768475	280895	Girl
768475	283315	Harem girl
768475	298126	Party Guest
768475	332979	Lupe (bar girl)
768475	348329	
768475	358552	Extra at Murder Scene
768476	145885	Lady Helen
768476	196305	His Daughter
768477	70970	Chubby (segment "Take It As I
768477	350245	Vamp
768478	362152	Selecta
768479	128530	Elegant Woman
768480	160380	Herself
768481	177146	Pub Pianist
768482	281052	
768483	223324	
768484	130055	
768485	144406	
768485	186165	Herself
768486	281144	Lady Montague
768486	382838	Sally Dinsdale (1986)
768487	53053	Prisoner
768487	60673	Miss Partridge
768487	348302	Lady Trail
768487	384496	Mrs. Green/Number Three
768487	384783	Miss. Pickhill
768487	385781	Jane Murdstone
768487	386518	WP Sgt. Chris Freeman (1962-1
768487	394579	Olivia Brooke
768487	398692	Nurse Kay
768487	399383	Mrs. Squeers
768487	404402	Phyllis North
768487	407871	Kate Kestrel/Cy-Star/It-Star 
768487	408166	Lady Corkberry
768487	408266	Nurse Lynn
768487	411551	Edwina
768488	193478	
768488	366260	Gina
768489	126075	Bonnie
768490	2897	Female SS Interrogator
768491	292588	Old Woman
768492	276873	Ozma
768492	368416	Lucy
768492	390951	
768493	315249	His Wife
768494	368416	Joanie
768494	397248	Samantha 'Sam' Harrap
768494	406723	Natasha
768495	232104	Judy
768495	330005	Lynn
768496	109449	Dr. Duran
768496	158272	Amy Hatcher
768496	273549	Jill
768496	380713	Dr. Carol Ann 'Annie' Stewart
768496	383654	Maggie Catlin
768497	391869	Alison Patterson (1988)
768498	74281	Damballa
768499	285034	Receptionist
768500	175175	
768500	223019	Orchestra Member
768501	370643	Yvette
768502	80415	Cafe 23 Customer
768503	14026	Herself
768504	107022	
768504	388458	Madame Thérese
768505	247066	Marina
768506	157855	Doris
768507	85970	
768507	158761	Augustine
768508	267163	Mrs, Wyatt
768509	16231	Agnes
768509	147257	Frau Rat Crespel
768511	125795	
768512	254051	Rosemonde
768513	285021	Geena
768515	61303	Water Teen
768515	137298	
768516	329946	Bimbo #1
768517	358846	Stewardesse
768518	235946	Yvonne Brunner
768519	34401	Magdalena
768520	67788	Prostitute
768521	119466	Carmen
768521	210837	Monica
768521	213187	Carla
768521	233588	Tina
768522	259452	
768524	33156	
768524	126352	
768524	144349	Milda Bast
768524	272591	
768525	240612	Jack Glover's Maid
768526	48341	
768526	162018	Hanne Bromberger
768526	213575	Der Mikado
768526	290644	
768526	353764	Anne Dupont
768526	353995	Hero
768526	376290	
768527	293030	Dancer
768528	31392	Susanne
768529	34321	
768530	236819	
768530	325879	Cornelia Neudörfer
768530	350853	
768530	390812	Elisabeth Meinhart (1992-)
768530	391022	
768530	410777	
768531	82889	Herself
768532	147186	Engaged Girl and Dancer
768532	281709	
768532	392086	
768533	280142	
768534	210076	
768535	342	
768535	5160	Adele
768535	11773	Gaby
768535	11870	
768535	12841	Lilo, Inges Freundin
768535	15888	
768535	42114	Marlene Elling
768535	93459	
768535	94374	
768535	99891	Seine Frau
768535	119140	
768535	122766	Margot
768535	132432	Dolores
768535	134809	
768535	163080	
768535	180154	Miss Kamm
768535	203237	Kiki
768535	210069	Elli
768535	216295	
768535	219279	Bardame
768535	279005	Susi
768535	290667	Uschi
768535	290758	
768535	290788	Sekretärin Ursl
768535	293858	Angèle, Zofe
768535	302679	Dagmar
768535	312206	
768535	312870	
768535	312889	
768535	335026	
768535	339252	
768535	347642	
768535	356726	
768535	361370	Edith, Sängerin
768535	361385	
768535	361428	Marthe Henningsen
768535	367037	Frau Kostowitsch
768536	202505	Hannah at 12
768537	388289	Hilde Becker (#1) (1992)
768538	31853	Bele
768538	56545	Herself
768538	157602	
768538	180912	Marita
768538	260414	Mercedes Schalk
768538	395508	Doris
768539	25924	Inga
768540	347039	Mutter
768541	204234	Herself
768542	171084	Candy Striper
768543	98052	Julie Hoffmann
768543	290114	
768544	377020	Colette Guérin
768545	352068	
768546	98770	
768547	160253	
768548	211866	Olina
768549	392911	Classe de Victor
768550	321391	
768551	59313	Siela Riviere
768551	73787	ADR Voice
768551	80620	Hildy Razwell
768552	130358	Beach Girls
768553	130358	Beach Girls
768554	347839	
768555	3055	Herself - in memorial tribute
768555	38659	Herself
768555	40385	Junta
768555	133311	Herself
768555	134821	Gita
768555	141995	Diotima
768555	146851	Herself
768555	155488	Herself
768555	167234	Herself (spectator)
768555	177768	Herself
768555	187776	Herself
768555	199013	Herself
768555	226253	Herself
768555	240168	Nude dancer (prologue)
768555	284567	Ellen Lawrence
768555	287240	Herself
768555	290021	Maria Vetsera
768555	317662	Hella Armstrong
768555	332555	Martha, eine spanische Bettel
768555	337560	
768555	356694	
768555	360955	Dancer
768555	361101	Maria Maioni
768555	361107	Leni
768555	391696	Herself
768556	94018	Valerie Antonielli
768556	115713	Leanne Pond
768556	117713	Receptionist
768556	123303	Jenny Jones
768556	158320	
768556	196302	Rachel
768556	250779	Beatrice
768556	315317	Sophie Lyons
768556	380339	Lucy McNeil
768556	387546	Emily Weston (1993)
768556	394495	Sara Spooner (1998)
768556	396003	Molly
768556	408098	Joey Thorn
768556	408876	Kim Ginty
768556	411365	Veda Walkman (Episode 8+)
768557	187989	Voice
768558	31715	Airport Attendant
768558	92486	Nurse Rosenrump
768558	290082	Secretary
768558	388237	Cindy O'Connor (1985-1988)
768558	403452	Gloria (1984-1985)
768558	404282	Beth (1985)
768559	1348	Herself
768559	2010	Self
768559	2022	Herself
768559	2259	Herself
768559	2275	Herself - Outstanding Younger
768559	2807	Herself
768559	3593	Herself/Bianca Montgomery
768559	14131	Sarah (the Sophomore Chick)
768559	120399	Princess
768559	142894	Nicole Hill
768559	148203	Choir member
768559	264041	Young Miriam
768559	277705	
768559	277706	
768559	293994	Elisabeth
768559	306626	Bianca Montgomery
768559	379716	Bianca Montgomery #6 (2000-pr
768560	229104	Vittoria, als Jugendliche
768561	12847	
768561	16222	Oberschwester Trude
768561	22718	
768561	97842	
768561	107347	Woman
768561	210078	Fräulein Fulve
768561	259614	
768561	290267	
768561	313335	
768562	92081	Janet
768564	289372	Featured Extra
768565	17528	Ursula
768565	93462	
768565	361493	
768565	406335	Maria Birkenfeld
768566	308839	Party
768567	113422	
768568	96009	Warwara Petrowna Stawrogina
768568	101739	Anne
768568	210010	Serviererin
768568	290235	Olga
768569	177613	Socialite
768570	129325	Der Spatz
768571	24082	
768572	274480	
768573	280468	
768574	111994	
768574	380126	
768574	386170	
768574	401096	Lucrecia
768574	402463	
768575	331408	Sylvia
768577	316331	Mrs. Brighton
768578	71575	Susan Watson
768578	92158	The Doll Woman
768578	93220	Woman
768578	138448	Mrs. Bainbridge
768578	147394	Warden's Wife
768578	274217	Mrs. O'Flaherty
768578	284931	Mrs. Tyson
768578	297100	Mrs. Spencer
768578	313321	Hairdresser
768578	313517	Mrs. Adams, Landlady
768578	326747	Sarah Wayne Grant
768579	237519	
768579	385595	Jury Member (1971-19??)
768580	139641	Girl in silver suit
768580	139642	Cassey Nova
768580	139643	Opening credits girl #2
768580	167049	Pedestrian, Nurse, Atheist, v
768581	381694	
768582	186708	
768583	80900	
768584	330204	Herself (rescuer, Holland)
768585	208128	Marie
768586	335689	Sandy
768587	296783	Girl 1
768588	64098	Dancer
768589	263798	Officer 2
768590	263798	Driver
768591	27358	3rd Class Alien
768592	135407	Blonde in car
768593	4835	Frenzy
768593	8368	Signe
768593	16227	Sabine
768593	17051	Kim Osswald
768593	19035	Hella Moormann
768593	28724	Laure d'Abrantès
768593	29111	Emma
768593	35598	Doro Feldheim
768593	36480	Barbara Blocksberg
768593	36481	Barbara Blocksberg
768593	67958	Mary Cycowski
768593	83826	Halley Fischer
768593	87889	Julia
768593	93408	
768593	95395	
768593	99498	Else
768593	110079	
768593	128086	Melody
768593	129664	Mrs. Murath
768593	130215	Eva Braun
768593	137949	Queen
768593	139705	Elsa Hellerstadt
768593	145479	Mutter
768593	168160	Heide Achimsen
768593	182903	Katharina
768593	193929	Ida
768593	199012	Franziska Sommer
768593	204418	Pauline Fromuth
768593	225254	
768593	226328	
768593	234147	Kristina
768593	236813	Ella
768593	236837	Rita Hauser
768593	259437	
768593	259465	Rita
768593	308213	Marga Berck
768593	312746	Monika
768593	313779	Herself
768593	313788	Performer
768593	325549	Saskia
768593	325683	Katja
768593	352191	
768593	356746	Nele Steinbecker
768593	381710	Margarete
768593	386220	Lisa
768593	403113	Regina
768594	152759	Mädchen aus dem 3. Stock
768595	264352	Prinzessin Xenia
768596	92095	Nanny from Hell (Ilsa)
768596	178631	Friend of Lena
768596	213551	Moeder Tekelenburg
768596	244467	De zuster
768596	258242	Mevrouw Helderder
768596	390410	kinderhandelaar Salomé (1997)
768596	392493	Saskia
768596	398575	Yvonne
768596	410850	Fietje Mensinga
768597	290140	Freundin Pia 1/Friend of Pia 
768598	269041	Babette enfant
768599	175101	
768599	223918	Andrea
768600	7889	Anit Smoking Girl 2
768601	387816	Graciela Peñalver
768602	371732	
768603	121965	
768603	327931	
768604	100341	
768605	10825	
768606	85554	
768606	225003	
768606	255038	
768606	255481	
768606	301178	
768606	354107	
768607	292766	Rita
768607	307673	Bianca Pinet
768607	380108	Lucía
768607	380515	Rosario
768607	384782	Emilia
768607	384930	
768607	396646	Marcela 'esposa de Martín'
768607	412120	Norma Pérez Campana-Moretti
768608	24297	
768609	139903	
768610	226877	
768611	36781	
768612	93399	Tante Hilde (Aunt Hilde)
768613	15102	Daphne Stillington
768613	134471	Tilly
768613	157515	
768613	180916	Rola
768613	182735	
768613	186952	Lena
768613	225262	
768613	272785	Marianne Neumeister
768613	280651	
768613	281748	Luisa Burns
768613	294845	
768613	300189	Redakteurin
768613	325637	Brigitte Schwalb
768613	325839	Sonja
768613	334536	Anette
768613	338444	Sabine Sander
768613	356737	Heidi Hopp
768613	361497	
768613	378648	
768613	379596	Frau Merk
768613	388609	
768613	389359	Ilse Lo(h)se
768613	389359	Ilse Lohse (1993)
768613	389840	Hanna
768613	390194	Bettina von Reppen
768613	392086	
768613	392633	Hanna
768613	398273	Angelika
768613	404495	Stefanie
768613	410154	
768614	302403	Clase de cuarto
768615	250376	Social Worker
768616	10110	
768616	40778	Mira
768616	124908	Susanne Ressel
768616	186735	Hendrikje
768616	195004	Lotte
768616	290487	Sandra Fernes
768616	290790	
768616	293423	Judith
768616	325904	Dr.Lisa Schmölzer
768617	215563	Child
768618	154456	Elizabeth
768618	290988	Krissy
768618	318760	(segment "Summer Of My Deflow
768619	350988	
768620	399503	
768621	100841	Pornstar #2
768622	17282	
768622	96186	Brigitte
768622	254089	Infirmière hôpital
768622	346794	Constance
768623	167288	Student
768624	302535	
768625	291931	Snake's Girl
768626	101345	Lisa Naumann
768626	125279	
768626	132835	Nelly
768626	178559	Jutta Brose
768626	178589	
768626	210039	
768626	225289	
768626	237631	
768626	290453	
768626	290538	Waltraud
768626	290539	Waltraud
768626	290540	Waltraud
768626	325408	Milli
768626	325761	Helga Dalf
768626	343489	
768626	356909	
768626	387372	Hilde Busch
768626	389948	
768626	392509	Zahnarzthelferin
768626	406321	
768627	165737	
768627	269570	
768627	293388	
768629	98976	Prostitute
768630	387573	Encarnación 'Nina' Visconti
768631	380963	Estefani
768631	386284	Crista Linares
768632	289193	
768633	195880	
768634	90839	
768635	219663	Herself
768636	393841	Herself (1991-1992)
768636	397733	
768636	402630	Melina
768636	409959	Griselda
768637	385852	
768638	167137	Tante Minchen
768639	104750	French entry (4th place)
768640	28516	
768640	34462	Victorine Pascal
768640	53250	La femme de Guiraud
768640	57284	Matuchette
768640	123684	Monique Descamps
768640	238465	Solange
768640	258118	La mère
768640	303478	Janine Charroux
768640	332231	La bonne (segment "Prétendant
768640	386222	
768640	387659	Fernande Steuvels
768640	393246	Marie Féral
768640	395620	Simone (segment "Camille")
768640	396366	La visiteuse de l'appartement
768640	409440	
768640	409451	Mme Villequier (1977-1979)
768640	412251	Séverine
768641	339445	Ashley Burke
768642	25489	
768643	221827	
768644	20695	
768645	399437	Kimberly
768646	226333	
768647	20939	Julie/Meg Hudson
768647	30967	Penguin's Supporter #1
768647	53822	Lena
768647	64750	Supermodel's Assistant
768647	78792	Erica
768647	129900	Party Girl #2
768647	135968	Loomis' Bride
768647	183734	Fantasy Girl
768647	222194	Laney
768647	260789	Tiffany
768647	281455	Female Caller
768647	288468	Erica Dunn
768647	297641	The Receptionist
768647	300180	Penny/Hope
768647	302432	May Britt
768647	302664	Michelle
768647	347696	Pamela
768647	364016	Widow
768648	184634	Maren
768649	129121	Minette
768650	387279	Chastity (1997-1998)
768650	388101	Chastity (1997-1998)
768650	410688	Chastity (1999)
768650	410689	Chastity (1999)
768650	410690	Chastity (1999)
768651	5158	Mlle Deschanel
768651	186993	La seconde commédienne
768651	249399	
768652	11202	Fat Pup
768653	78775	Cigarette
768654	314923	Macalinski's Girls
768655	82837	Teenage Girl
768656	78775	Seamstress
768656	87924	Gary's Mother
768656	161922	Scientist
768656	236995	Wife of Horse Husband
768657	33179	Ballet Dancer
768658	88387	The Hunter's Wife
768658	332032	Linda Perez
768659	353907	Fille Jacques
768660	38714	
768661	346562	Amalia
768662	388713	Tzina
768663	90171	Norina
768664	7477	Madeleine
768664	15085	Juliette Dotax
768664	61401	
768664	73080	La bourgeoise
768664	111876	Adriana
768664	145733	Elisabeth
768664	345140	
768664	345526	Mlle Rose
768664	353886	
768665	258340	
768666	400932	
768667	319023	Girl
768668	27100	
768668	81596	Victim
768668	108777	Natascia
768668	165306	
768668	165307	Joyce Patterson
768668	204457	
768668	205260	Janet
768668	265462	Tiziana Breccia
768669	104814	
768670	33676	Rosaria
768670	68439	Emma Morpurgo
768670	112648	
768670	204670	Prostituta
768670	234550	
768670	247964	Lucia
768670	263720	Teresa
768670	289344	
768670	307460	
768670	315429	
768670	377595	
768671	12168	Kara
768672	315275	The Butler
768673	208830	Secrétaire mairie
768674	1149	
768675	396387	
768675	411585	
768676	406030	Rita Drancourt (2002 -)
768677	375706	Molly Mokembe
768678	119836	Herself
768679	96141	Julia
768680	44738	Chloé
768680	120984	Comédienne sitcom
768680	294796	Invitée d'Alice
768680	379423	
768680	398097	
768681	400710	Herself
768682	248931	
768683	338173	Nurse
768683	409087	Margaux de Maisonneuve
768684	16646	Victim #1
768685	197569	
768686	311873	Girl 1
768686	382207	Herself - Panellist
768686	383882	
768687	58632	Virginia
768687	64559	
768687	76566	Lenore Luellen
768687	133855	Jana Schmidt
768687	252841	Brenda Gray
768687	253919	Peter Pan
768689	309631	
768691	10072	Nancy
768691	55197	Mercédès
768691	55199	Mercédès
768691	129538	Frances, Countess of Essex
768691	149222	Susannah Cibber
768691	252036	Geneviève
768691	278313	Maddalena
768691	309713	Herself
768691	369532	Amastris
768692	381114	Co-host
768693	11537	Girl at Party
768694	104967	
768695	221304	
768696	10030	Secretaria
768696	25060	
768696	51811	Ojitos
768696	52989	
768696	71113	Bailarina
768696	100262	
768696	103641	
768696	107034	Dolores
768696	132696	La Beata
768696	161438	
768696	234025	
768696	245872	
768696	250795	
768696	269470	
768696	275809	
768696	301422	
768696	302982	
768696	334651	
768696	353577	
768696	370170	
768696	375740	Yolanda
768697	223248	Karen
768698	374638	Angvisa Girl
768699	690	Ms. Emma Peel
768699	2262	Herself - Co-host
768699	14247	Madame de Bellegarde
768699	24977	Herself
768699	27038	Herself
768699	34646	Herself
768699	38722	
768699	47385	Herself
768699	65583	Presenter
768699	68010	Adriana
768699	105440	Arlena Stuart Marshall
768699	118021	Mrs. Golightly
768699	125634	Baroness Frieda von Stangel
768699	131509	Chloe Fanshawe
768699	133728	Lady Holiday
768699	140180	Mrs. Grose
768699	140678	Lady Harriet Vulcan
768699	149911	Miss Barbara Drummond
768699	158514	Dame Phillipa
768699	160309	Herself
768699	165264	Tracy
768699	170496	Portia
768699	177344	Regan
768699	191802	Rita Allmers
768699	192102	Charlotte Mittelheim
768699	206310	Eloise (the Marquise)
768699	213315	Helena
768699	221214	Mrs Adela Bradley
768699	221221	Mme. Colbert
768699	223076	
768699	240521	Tracy Bond
768699	244875	
768699	249457	Lisa
768699	273591	Mrs. Danvers
768699	286810	Mara
768699	306275	Evil Queen
768699	329692	Edwina Lionheart
768699	346883	Lydia
768699	353467	Baroness Lehzen
768699	366988	Christine Vole
768699	368455	Lady Holiday
768699	368675	Miss Hardbroom
768699	375936	Evgenia
768699	380943	Emma Peel (1965-1967)
768699	382214	Lady Honoria Dedlock
768699	386278	Diana Smythe
768699	392705	Mature Rebeccah
768699	398294	Helena Vesey
768699	398422	Mrs. Adela Bradley
768699	398780	Host (1989- )
768699	400401	Clytemnestra
768700	12324	Anne
768701	288751	Mean Nurse
768702	19786	Chrysea
768702	191643	
768703	10853	Meryl Leonardi (SSS17 Sleeper
768703	67833	Shirley Noonan
768703	79858	Cherilyn Skow
768703	88988	Mercia King
768703	99413	
768703	109993	Tilly
768703	117956	Narelle
768703	152968	Debbie McCormick
768703	166917	Former Girlfriend
768703	168382	Madonna
768703	211393	Ellen
768703	218136	
768703	272934	Michelle
768703	311873	Cheryl Ball
768703	341759	Helena Martinelli
768703	385105	Gabe Baker (1983-1984)
768703	387203	Amy Preston (1992-93)
768703	387531	Phebe Coe Parkinson
768703	390552	
768703	395020	Kelly Newman
768703	397630	Lindsay Straus
768703	403244	Sandra Harper
768703	411187	Angela Reddy
768703	411245	Katrin (episode 3: Quest Beyo
768705	80966	Nell Morrison
768705	381171	Susie Sweet
768705	392485	Spider
768705	396425	Mrs. McKinley
768705	407414	Effie McDonald
768706	138716	Herself
768707	241444	
768707	280830	Slave Girl
768708	157004	Miss Rawls
768709	57929	ABA Student
768710	379831	Shelley Bartholomew #1 (1989)
768711	158151	Baby Doll Dancer
768712	146792	Little Girl at Abarrotes
768713	291232	
768714	158151	Baby Doll Dancer
768715	7500	Miss 4th of July
768716	232239	Party Girl 2
768717	62954	
768718	273793	Ellen, Helen's Mother
768720	70799	
768720	89634	Old Woman
768720	127225	
768720	218788	Patient
768720	264747	Lady-in-Waiting
768720	315534	
768720	342710	Middle-aged Woman
768721	97301	Kitty
768722	38248	Chaos Rioter/Cannibal
768723	233840	Red-Headed Starlet
768724	332134	Michelle Bouvet
768725	286686	
768726	388452	Commandant Mele-on Grayza (20
768726	388453	Commandant Mele-on-Grayza
768727	164542	Jewell Kelly
768728	201737	Herself
768729	121374	Heidi
768730	73603	
768731	54380	
768731	81525	
768731	94654	
768731	102642	
768731	111921	
768731	128010	
768731	128012	
768731	153244	
768731	195049	
768731	252659	
768731	260907	
768732	54143	
768733	16646	Samantha Goodman
768733	281255	Friendly Girl
768734	11973	
768735	184959	Crystal
768736	159507	
768736	244662	
768737	197056	
768737	249918	
768737	307336	
768738	235760	Migliorati's Daughter
768739	197578	Bertha Uhland
768739	214856	Jessica
768739	247961	Francesca
768740	39495	Vanessa
768742	197508	Mrs. Ramiriz
768743	384288	Sucre d'orge
768744	12169	Claire
768745	134369	
768746	380374	Annika Sellberg
768747	176831	Girl in Park
768748	382709	Host
768749	40552	Tamara
768750	328545	Sun-bathing girl #1
768751	45899	Mother
768751	234499	Exorcist#3
768751	239234	Gustavo's wife
768753	89250	Woman in dance hall
768754	110551	Gertrude Spreutel
768754	126381	
768754	126861	Irma
768754	134882	Klappei
768754	141798	Berte
768754	180081	Zulma
768754	187066	
768754	187825	Tante Zeunia
768754	198746	Anna
768754	203449	Grootmoeder
768754	217059	Julie
768754	241204	Marjorie
768754	324642	
768754	357359	
768754	357566	Boerin
768754	391030	Moeder Oemans
768754	399982	
768754	400801	Smufte
768754	408151	Blanche Hofkens (2000)
768754	410401	Wanne
768754	411116	
768755	234574	
768755	376914	La dame du vestiaire
768756	127263	Dancer - The Furies
768757	360734	Norm's Mother
768758	252424	
768759	243175	
768760	379361	Haris Efstathiou (2002-2003)
768760	380170	
768760	380789	Jenny
768760	383113	Gogo
768760	394572	
768760	394839	Niki
768760	397576	
768760	402298	
768760	406324	
768760	406538	Efi
768761	403642	Elisabeth de France
768762	101344	Anneke
768762	211909	Anne-Marie
768763	73906	The Dancer
768763	127704	
768763	150998	Wedding Singer
768763	162183	Herself
768763	175193	Court Entertainer
768764	46116	Ánote
768764	111887	Bel
768764	269534	Cida
768764	323236	Tikiri
768764	398501	Odete
768765	30418	
768766	159480	Man
768767	170219	Herself
768767	170220	Herself
768768	254294	
768769	377616	
768770	107160	
768771	48303	
768772	80241	
768773	3101	Young Woman
768773	78027	Billie
768773	86534	Shelly
768773	88978	Shirley
768773	102591	Witness #1
768773	164840	Reporter
768773	210620	Shiela
768773	385824	Madeline Rutherford Bradford 
768774	9996	Woman on a bridge
768774	21721	Vieno
768774	21722	
768774	25204	Ellen Berg
768774	137746	Siviä Syrjänen
768774	142641	Elna Kotka
768774	142721	
768774	144104	
768774	144339	Hessu
768774	145359	
768774	162649	
768774	171801	
768774	172290	Hilkka Kokko/Elli Salo
768774	172777	Marja Niittylä
768774	173407	Rouva
768774	175700	
768774	177040	Siiri
768774	181560	Kerttu
768774	181634	Stiina
768774	182013	Jaana Varavaara
768774	184780	Irja Laurila
768774	196525	Liisu
768774	213419	Tuulikki
768774	213940	
768774	228997	Annikki
768774	232586	Pirkko Tujunen
768774	236717	Jaana, Nikon tytär
768774	239913	Aili Viheroja
768774	239921	Tarras' maid
768774	242948	Girl at the dance hall
768774	251938	tourist
768774	251948	Mrs. Pykälä
768774	255759	Woman at the party
768774	258814	Liisa
768774	258845	Tuulia Kompura
768774	271637	Marja
768774	280559	Elli Ojala
768774	283593	Sofi
768774	296508	Laila Koskeli
768774	321782	Anni Vidgren
768774	321926	Woman on the stage
768774	321945	Saleswoman in a lingerie depa
768774	326070	
768774	336545	Raili Ilmonen
768774	336584	
768774	343393	Lillukka Koponen
768774	349736	
768774	350822	Anna Norenius
768774	398899	
768775	172290	Elli Salo in twin scene
768775	258845	Juulia Kompura
768775	326641	Maikki Grönberg
768776	95059	Dívka s doutníkem
768776	217034	Jitka
768776	281026	Josefina
768776	317629	Jitka
768776	333808	Hanka
768776	374074	Jozka Jaburková
768777	100011	Tanhu-ryhmän jäsen
768778	401466	Herself, the host
768779	271636	
768780	272832	Herself
768781	334821	Johanna
768782	405209	Jade Dunn (2000)
768783	26329	Bettina
768783	32842	Henriks Kone
768783	48326	Irene Borg
768783	51928	
768783	119326	Herself - Performer
768783	137402	Kari
768783	154210	Kit
768783	155684	Katrine
768783	182620	Ekspedient
768783	267577	Lisa
768783	370801	Herself/Katrine
768783	376103	Herself
768783	387532	Various roles
768783	388757	Various roles (1999)
768783	392098	Maria Faber
768783	409152	Various roles
768784	93903	Herself
768785	268074	
768786	78485	Herself (performing 'Hva' er 
768786	284398	Askepot
768787	275225	Tarmfolkskvinde/2. Sygeplejer
768788	51302	Herself - Participant/Perform
768789	223257	Marketta Holm, "Pia"
768790	387197	Herself
768791	84393	Daniel's Mother
768791	114810	Gertrud [Hvitsymre i utslåtte
768791	116986	Kjersti
768791	127581	Åsa
768791	145491	Vigdis, Hjemmehjelpen
768791	184592	
768791	214354	Susie
768791	317646	Petra's Mother
768791	322463	Mrs. Tunheim
768791	341855	Mother
768791	410019	Agnes Nedrebø
768792	284139	Herself
768792	405592	Herself
768793	30732	Orotsjohøvdingens datter
768793	96441	Sonja Rentoft
768793	109137	
768793	138571	Venninnen
768793	354196	Gerda Storm, Falcks forlovede
768794	387351	Herself - Host
768794	391351	Herself - Host
768794	409153	Herself - Host (1994-?)
768795	271053	Ministerin avustaja
768796	104638	Herself
768797	104638	Herself
768798	86110	
768798	134623	Florrie
768799	97936	Francis
768800	280663	Red Team: #9
768800	296727	Herself
768800	408160	Host
768801	35070	
768802	84485	
768802	88559	Hooker
768802	189970	Ellen
768802	238480	Vrouw vader
768802	382081	Herself
768802	390242	Leida Schimmelpennincx (1994)
768802	398575	Mary
768802	404194	Jolande van Staveren (1994-20
768802	408221	Yvonne Mulder
768802	411927	Elsje
768803	186134	Karin
768804	257363	Henrika van Leent
768805	213553	prinses Leda
768806	256315	
768807	216190	Ältere Dame
768808	80695	Hooker
768809	18347	Verteller (Narrator)
768809	124903	Diane
768809	157588	Rebecca Blumberg
768809	183097	Ellen
768809	210128	Judith
768809	241924	Diane
768809	289831	Paula
768809	344243	Marian
768809	352131	Marleen
768809	387581	Cromhout
768809	403470	
768809	409178	Laetitia du Pré
768810	280803	Bit part
768811	141887	Nainen tv-studiolla
768812	155248	Additional Soul
768813	334886	Announcer
768814	264991	Old Lady Fight Fan
768815	306341	Athlete
768816	11941	Marisa Kendall
768816	42722	Brenda
768816	47144	Maddie Brinker
768816	57680	Herself
768816	63013	Aunt Carolyn Jackson
768816	80397	Joyce Deitz
768816	90349	Karen McCausland
768816	206486	Lt. Fiona Boggs
768816	273555	Constance
768816	314460	Denise Gore
768816	314611	
768816	315248	Dr. Anna Weston
768816	366925	Marcia
768816	382852	Kelly
768816	385824	Maureen Lockhart #1 (2000)
768816	388038	Lynne
768816	389964	Sharon Potter (1990-1992)
768816	390302	Nora Sloane/Samantha Reardon
768816	390634	Nicole Moran (1997-1998)
768816	391453	Connie Kokoorium
768816	405044	Helen Moody (1992-1993)
768816	408154	Bobbi Turner #2 (1994-1995)
768817	269024	
768817	278197	
768818	99222	Lille Verstraeten
768819	179366	Naisvampyyri 4
768820	375537	European Jew #2
768821	253646	His wife
768822	186225	Tanita Salo
768822	223261	Glafira
768823	190823	Body flame dame
768824	201230	Gloria
768824	343717	
768825	17107	
768826	1762	Joan
768827	75028	
768827	228596	College Student
768828	384097	(1998)
768828	395952	Teenage presenter 2001
768828	398752	Rhiannon
768829	248448	Fiancee
768830	339882	Julie Webb
768830	397693	Putty Patroller
768830	411324	Baby Doll
768832	293814	Pamela Belkin
768832	306599	Miranda
768833	2398	Herself/presenter
768833	67456	
768834	2964	Webcaster
768834	12332	News Anchor
768834	18310	Reporter
768834	31780	Greg's Secretary
768834	36862	Sympathetic Teacher
768834	45865	News Anchor
768834	51643	Doctor
768834	54114	News reporter
768834	56870	Reporter
768834	61569	Reporter
768834	67374	Reporter #3
768834	70426	Customs Lawyer
768834	75583	Mary
768834	81545	Board Member #1
768834	93123	Neurologist
768834	105165	Pittsburgh FBI Agent
768834	105551	Detective Lang
768834	105617	Dream Reporter
768834	110286	Peggy
768834	114242	TV Reporter
768834	119436	TV Reporter
768834	139226	Lt. Ortega
768834	140844	Judge
768834	148351	Sally
768834	149943	Prosecutor Jane Strickner
768834	158183	Station Manager
768834	158296	News Anchor
768834	160589	Catherine Hughes
768834	160590	Catherine Hughes
768834	182967	Court Clerk
768834	183346	Producer
768834	189329	Patron #2
768834	190340	Moderator
768834	215274	Detective Gandy
768834	221005	Newswoman
768834	221360	Joyce
768834	229499	Dr. Statner
768834	232296	Reporter #3
768834	235482	Reporter
768834	236222	Reporter #2
768834	245073	Saleswoman
768834	248081	Jeanne Stalcup
768834	271206	Pete's Mom
768834	275880	Penny Martin
768834	281337	TV Reporter
768834	289473	Nurse
768834	291457	News reporter
768834	292472	Dr. Vivian Scheckman
768834	296769	Arraignment Bailiff
768834	298008	TV News Reporter #1
768834	320041	Dr. Allen
768834	320089	House Reporter
768834	330104	Newscaster #2
768834	340058	Reporter #3
768834	342560	Bank Supervisor
768834	351526	T.V. Reporter
768834	357065	Forence Coleman
768834	372318	Juliette
768834	400548	Script Supervisor
768835	152986	Herself
768836	80709	Melissa
768836	145395	Jane
768837	193858	Debbie
768838	40864	Nick Cave Fan
768839	34384	
768840	10596	Telephone Girl
768840	10637	
768840	36985	Lily Gold
768840	38711	Neighbor's Wife
768840	47029	Bit Role
768840	51799	Bathing Beauty
768840	65706	Sgt. White
768840	77967	Cynthia Van Loan
768840	85068	Lucy Evans
768840	85676	Policewoman Gloria
768840	107688	Ellen Lee
768840	107698	Cigarette Girl
768840	108023	Anne Larson
768840	116898	(segment "He Forgot To Rememb
768840	123913	Joe's girl
768840	127697	Model
768840	128440	Troupe member
768840	140407	Guest
768840	140777	Girl
768840	141667	Secretary
768840	145007	Bridesmaid
768840	145410	Karen McQueen
768840	150067	Porter's Secretary
768840	175405	Cashier
768840	186634	Carol Davis
768840	218257	
768840	232023	
768840	247359	Girl
768840	248817	Dance hall girl
768840	277932	Jane Whipple
768840	285637	Commentator
768840	295293	Girl in band
768840	300068	Bit
768840	302833	Jessie Garvin
768840	314260	Valerie
768840	314419	'Daughter' in Rehersal
768840	315483	Deb
768840	316095	Nora Murray
768840	329065	Lois
768840	337709	Linda
768840	343034	Cigarette girl
768840	350645	Cashier (Brown Derby)
768840	362063	Cynthia Richards, Fowler's Se
768840	363282	Nurse Bates
768840	372093	Showgirl
768841	204354	Party Guest
768842	215748	Laura
768842	341969	Lorraine
768843	195456	
768844	10836	Herself/TV Reporter
768844	103924	Host
768844	117188	Francine Merrill
768844	127290	Mom
768844	140742	Lillian Walker
768844	168533	
768844	209824	Dana Kincaid
768844	254759	Controller
768844	272031	Herself
768844	288905	Newscaster
768844	296785	Female Reporter
768845	1734	Herself/Kim Day-Craig
768845	27210	AMW Host
768845	109464	
768845	109465	Various characters
768845	109466	Various characters
768845	118529	Herself
768845	201877	Lyndal Roberts
768845	282611	Peter Harvey
768845	381939	Various Characters
768845	382221	Elizabeth Macarthur
768845	382343	Coralee Hollow (2000-2001)
768845	388470	Kerri-Ann Kennel/Various (199
768845	389498	Various (1993)
768845	389720	Gina (1998-2000)
768845	394217	Kimberly 'Kim' Day Craig (200
768845	405520	
768845	405894	Various Characters
768845	411000	Various Characters
768846	82519	Trixie
768847	33028	Herself
768847	130319	Laurie
768848	95133	Black Hooker
768849	291916	Lois Morgan
768850	79843	Polly
768851	72604	Eloise Hackle Penny
768851	79944	Boat passenger
768852	407935	Guest Performer
768853	37221	Bambi Berman
768853	68119	Lorraine
768853	98831	Jolene, Harve's Girlfriend
768853	111791	Sandy Richards
768853	114626	Girl
768853	190711	Donna
768853	245330	Prostitute
768853	316944	
768853	333390	Landlady
768853	358050	Lulu McQueen
768853	387132	Lulu McQueen
768853	391281	Herself (1969-1971)
768853	401346	Willimena Josephine 'Billie J
768854	23960	Casting Director
768855	293030	Mitzy
768856	88102	Female Student
768856	139755	Gas Attendant
768856	213973	
768856	280286	Wellwisher
768856	340754	Norma
768857	5717	Diana (A Soft Touch)
768858	379985	Herself
768859	41243	Sister Jenkins
768860	96873	Registrar
768860	109248	Jane
768860	217420	Mrs. Hall
768860	273943	Susie Smallwood
768860	357076	A.T.S. Girl
768860	397182	Dr. Jennifer Brent
768861	56955	Young Catherine
768861	120528	Ashley
768861	158433	Mandy
768861	218345	Teenage Aileen
768862	138220	Aunt Sara
768863	41400	Daughter Desmond
768864	305638	1st Hooker
768864	373216	Auditioning Model
768865	224072	Young Emily Dickinson
768867	214662	School Child Extra
768868	186795	Danny's nurse
768868	299503	Teacher
768868	358777	Woman
768869	375714	Kristi
768870	214662	Susan
768871	264124	Sarah
768871	304006	Supporting
768871	399233	Guest Star (1999)
768872	163492	Medic
768873	367083	Girl Choreographer
768875	16658	Emily's Mom
768875	131359	Suburban Customer
768875	178020	Sue
768875	194647	Lisa
768875	232442	Reporter #2
768875	248448	Bank Teller Ada
768875	315261	Pam
768876	9798	Princess's hand maiden
768876	50645	Danielle
768876	115465	
768876	267849	Cath
768876	292643	Beth Trailor/Amazon Woman No.
768876	387533	Mandy Dingle/Kirk (1995-2001)
768876	388486	Rebecca Patterson
768876	389410	Herself
768876	391155	Frankie Brookes
768876	411798	Host (1998-2002)
768877	318188	Esthetician
768878	241075	Precious
768879	50058	Mrs. Philpot
768879	77639	Karen
768879	391185	Maureen
768879	399598	Dorothy Ellis
768880	321777	Steward
768882	405882	Susan Giles (1971)
768884	115062	Frigian Girl
768885	639	Baby Geraldine
768886	292452	Dee Valentine
768887	105125	Little Girl
768888	358708	Trader (office)
768889	87586	PCP Observation Patient
768889	115876	
768890	356949	Social Worker
768891	56314	Control Girl
768891	206259	Penny
768891	307916	Sue, Model
768892	53042	Erika
768893	241386	Woman at wreck
768894	273278	Extra
768895	175627	Kentucky Belle
768895	308632	
768895	312042	Bit
768895	360837	
768896	253497	Herself
768897	28198	Lucy
768897	42055	Choir
768897	80372	Church Singer
768898	169579	Carolyn
768898	342531	Ruby
768899	81515	Girl in Villa
768899	315682	Millicent
768900	93043	Dancer
768901	258931	Young Angela
768901	263558	Mary Bennet
768902	402197	Leanne Bourke (1979, 1980)
768903	347069	Parishioner
768904	271994	Mrs. Colson
768905	160583	Jeannie Bonnamy
768905	183868	Social worker
768905	265606	Ruth
768906	211764	Mary
768907	156475	Office Worker
768908	386811	
768908	386812	Daniela
768909	224032	
768910	77793	Teenager #2
768911	6821	Phillys Meaney
768911	31484	Wanda Hayman
768911	106280	Ethel
768911	230741	Woman
768911	233481	
768911	354886	Nancy
768912	321978	Chellist
768913	351945	Evelyn Rille
768914	388007	Sun Mi Jin
768915	105396	Julie Kracker
768915	132212	Incarnation
768915	213653	Liz
768915	323842	Jane Doe
768916	183621	Mud Wrestler. 2
768917	338400	
768918	87118	Nicole
768918	286621	Nathalie Genghini
768919	101509	Une cousette
768920	353886	
768921	101448	La femme de Mario
768922	217660	Aristote
768922	284497	La fille
768923	111117	
768924	122466	Leo's Class Mate
768925	327370	
768926	69160	Herself
768927	23615	Mélisse
768927	159015	Fatime
768927	202085	Climène/Troisième Femme more
768927	236194	Soprani
768927	329661	Singer, soprano
768928	230409	Waitress
768929	291879	
768931	332209	Leonie Martin
768931	403805	Jem Kinkaid (2004-)
768932	723	Herself
768932	1457	Herself
768932	1465	Herself
768932	1674	Herself
768932	1702	Herself
768932	1975	Herself
768932	2009	Herself
768932	5338	Herself/Host
768932	63120	Herself
768932	66238	Host
768932	72376	Herself
768932	85933	Herself
768932	86739	Herself
768932	99602	Herself
768932	161307	Herself
768932	186673	Herself
768932	186674	Performer
768932	186675	Performer
768932	242957	Herself
768932	352978	Performer
768932	369874	Performer
768932	392423	Herself
768933	80156	Employée de la Comptabilité
768934	338981	Herself
768936	270868	
768938	225321	
768938	359387	Sabine Falk
768939	289947	Lilly
768939	336539	Child
768940	146273	
768941	220165	
768942	78780	Woman in Pub
768943	80759	Elizabeth
768943	129573	Norah's Mother
768943	184090	Miss Watson
768943	240504	Miss Hudson
768943	280469	Postmistress
768943	372210	Dr. Morley
768943	380374	Pete's Mother
768943	387533	Miss. Venables
768943	397182	
768943	399591	Mrs. Mortimer
768943	408299	Senior secretary
768943	411089	Mrs. Hawley
768944	59194	Baby
768944	154887	Siggy
768944	157826	Jackie
768944	280477	Ginny Garrett
768944	305956	Daisy
768944	372281	Zoe
768944	381577	Host
768944	397399	
768944	405209	Stacey (1994)/Danni (1997)/Sa
768944	411814	Lilith
768945	80530	
768945	85834	Priscilla
768945	108277	Beth
768945	128583	Tiffany
768945	167068	ICU Nurse #2
768946	116565	9 year-old tryout
768947	96117	Eurostar Humming Lady
768948	196617	Naomi Sutton
768949	46247	Cathy
768949	337482	Third Witch
768950	225476	Woman at the gate
768951	270819	Maria Grazia
768952	216406	Mrs. Thompson
768953	230083	Celeste
768953	385917	Alex Stefanidos
768954	64771	
768955	4521	
768955	181402	
768955	356482	
768955	376236	Murun's Mother
768956	392608	Karjakko (1993-9?, 1999)
768957	393739	
768958	312676	
768958	314332	
768959	113886	Princess Vasilisa
768960	134786	Elli Gruen
768960	178703	
768960	379177	
768961	17918	Mariela
768961	51327	Anna Drews
768961	62924	Renate Frank
768961	249264	
768961	306403	Lilo Messner
768962	111877	Anne-Marie Calvez
768963	163125	Nathalie
768964	3584	Marie
768964	102898	Andrea
768964	121045	
768964	138102	
768964	177852	
768964	180247	
768964	188781	
768964	189836	
768964	272584	
768964	289851	
768964	324698	
768964	335494	Tonka Sibenice
768964	358895	
768964	359633	
768964	365570	
768964	367190	
768964	374530	
768964	375355	
768964	376384	
768965	342116	madre di Walter
768966	129200	Herself
768966	208521	
768966	243135	
768966	248493	
768966	404959	Herself
768967	5682	Rasenta
768968	86241	Raffle Woman
768968	252589	Travessa(Julia/Julio)
768968	308749	Herself
768968	383441	
768968	384118	Andréa (1998-1999)
768968	388065	
768968	396610	Ursula (1997)
768968	402539	Milla Lopes
768968	411597	Xiquita II
768969	7505	
768970	354443	
768971	4637	Prostituta
768971	78015	Courtesan
768971	133306	
768971	139026	A Girl
768971	180850	Iris
768971	386747	
768972	379118	Nieves Muñoz
768972	386531	Sofía
768972	387817	Florecita Lucero
768972	392960	Edith
768972	403752	Abril Valdez-Quiñones Del Cas
768972	409719	Esposa de Luciano
768972	410303	Micaela
768973	51846	Viola
768973	70621	
768973	83771	Mariolina
768973	129029	Fiorella
768973	159458	Claudia
768973	214593	Figlioletta di Gildo
768973	223246	
768973	238789	
768973	386847	Carla
768973	396829	Daniela Rocca
768973	399657	
768974	55906	
768974	233841	
768974	393463	
768974	393616	
768974	397553	
768975	109063	Mae
768975	115432	Joyce
768975	260138	Helen
768976	52588	
768976	103501	
768976	136846	
768976	148017	
768976	169568	
768976	212439	
768976	225711	
768976	238150	
768976	244639	
768976	247297	
768976	250501	Lily's mother
768976	266225	
768976	318227	
768976	370180	
768976	376668	
768977	6208	
768978	167007	Lucia Casabranca
768979	33667	
768980	270880	
768981	133023	
768981	300859	The Witch
768982	12973	
768982	17739	
768982	17740	Graziella Bramieri
768982	28977	
768982	67885	Violetta
768982	69942	
768982	90757	
768982	107040	
768982	108722	Carlotta Altieri
768982	127390	
768982	213793	Elvira
768982	215014	
768982	284590	Cornelia
768982	349533	Fernanda
768982	354443	
768982	386399	Suor Apollonia
768982	397297	Margherita
768982	404045	Augusta Appio
768982	407518	Herself (3rd Executed)
768982	409591	
768983	54103	Natália Derval, thedancer
768984	63789	Simona
768984	77337	Giulia
768984	158553	Carmela
768984	161881	
768984	207083	
768984	231599	
768984	401970	Sonia Campo (#2)
768985	383355	Márcia
768986	244280	Emilia
768987	4656	Julia (segment "Noche terribl
768987	121774	La 'Tana'
768987	265147	
768987	281210	
768987	307240	
768988	80106	Nita
768988	373986	
768989	69753	The Worldly Woman
768990	270916	Havlock's girlfriend
768990	343172	Blonde Woman
768990	380145	Cocó
768990	384427	Sonia
768991	409199	Herself
768992	282321	Amy
768993	124437	Kid in Field
768994	279323	Party Girl
768995	295556	Sammy
768996	381904	Host (2004/1)
768996	381921	Carolina 'Caro' Rincón
768996	384400	Susana 'Susi' Sosa (2003)
768997	206998	
768997	213724	
768997	371684	
768998	58812	May Donahue
768998	176800	
768998	291095	Katrina
768998	347113	Grand daughter
768999	63730	
769000	232670	
769000	253961	
769000	345651	
769001	5663	
769001	76228	
769001	282104	Blondine II
769001	301022	Frieda
769001	312749	Corinna
769001	325914	
769001	411994	Monika aus Slawice
769002	90998	Ulrike
769003	210296	
769004	23507	Fru Hermansen
769004	77405	
769004	105068	Enkefru Henningsen
769004	121021	Erna Bergen
769004	146596	
769004	151823	Guvernanten
769004	153343	Kvinde der anråber politiet
769004	156029	Charlady
769004	159641	Husbestyrerinde
769004	165345	
769004	170345	Dame der tilkalder politiet
769004	178007	Constance
769004	178750	Fru Fredheim
769004	228121	
769004	237304	Ellen
769004	241975	Grevinde von Flagen
769004	247597	Fru Larsen
769004	255675	Frk. Nielsen
769004	278197	Fru Von der Rude
769004	301456	Ellinor Winther
769004	307317	Gartnerkonen
769004	307713	Frk. Suhr
769004	322300	Fru Stefansky
769004	322458	Emma Middelboe
769004	346407	
769004	351910	
769004	352120	Clara
769005	106996	Herself
769006	56087	Fransk Dame
769007	72580	
769007	364094	Sara's Sister
769008	8252	
769009	289578	Tiffany
769010	53308	Christine
769010	171084	Kim Davis
769010	241762	Carrie Burton
769010	247216	Certainty Dowd
769010	253338	Betsy
769010	283191	Margo
769010	297791	Anita
769010	315211	Nora Hillerman
769010	355486	Girl
769010	365341	Donna
769011	390054	
769011	390751	
769011	393615	
769011	401678	
769012	191036	Lotte Jethro
769012	229629	Janet Baring
769013	315446	Cathy
769014	93871	Susan
769015	196390	Model
769016	43755	Girl at the bar
769016	268229	Sandra
769016	383978	Zazie
769016	401330	Marie-Paule Germain
769017	126700	Cupid
769018	406433	Herself
769019	86819	
769019	161132	Tera
769019	163707	
769019	235735	Micky
769019	236392	Beatrice
769019	278947	Valerie
769019	300838	
769020	140407	Elizabeth Lenhart
769020	155838	
769020	163648	Tessie Overholt
769020	370569	Jessie Gordon
769021	100946	Megan
769022	117981	Anna
769023	298122	Co-ed
769024	321909	Sigrid
769025	166871	Church lady
769026	78494	Herself - Member of jury
769026	385691	Herself - Presenter/Speaker
769027	166871	Saloon girl
769028	93097	Girl at the Beach
769029	264740	
769029	264742	
769030	93097	Woman at the Beach
769032	78038	Vicki
769032	396145	Hatcheck Girl
769032	406740	Model
769033	110749	Wonder woman
769034	281188	Gertrude
769035	391059	
769036	18900	Police woman
769036	304407	Wife
769036	305242	
769036	332521	
769037	120892	Lady
769037	174201	Dramatenchefens sekreterare
769037	206209	Miss Rüttenschild
769037	209311	Bergström's maid
769037	258991	Woman at the party
769037	284372	Ester Törner
769037	305303	Woman
769037	348501	Kvinna med pälsmössa
769038	16261	Mrs. Jansson
769039	345650	Vanessa's Friend #2
769040	76764	Mevrouw
769041	347035	(segment "The Rival")
769042	16798	Emmy
769042	44997	Minoda
769042	77390	
769042	84042	Herself
769042	307111	Herself
769043	189831	
769044	292449	Herself - casting consultant
769045	389130	Wrestling Woman
769046	218415	Additional Voice
769047	33051	Herself
769047	133526	Sister Ann (Patron)
769048	237124	
769049	141733	Mrs. Garner
769050	373538	INPIT Agent Martha Walsh
769051	11769	
769051	30170	
769051	219005	
769051	255660	
769051	322291	Lis
769052	94256	Sabine
769052	97090	Lise
769052	99515	
769052	105045	Kontorpigen Bella
769052	105047	Karen
769052	109298	Vivian
769052	118607	Amor (segment "Kærlighed og k
769052	139648	Magdalene
769052	142286	Hetty
769052	145457	
769052	145473	Miss Andersen
769052	146848	Eva Braun
769052	153365	Ridelærerens kone
769052	153987	Helene Berg
769052	164666	
769052	179616	
769052	179677	Doktor i psykologi
769052	182601	Elise Randall
769052	215268	Arsinoë
769052	218894	Kate Bang
769052	225338	
769052	248424	Damen
769052	252195	Ruth Kristiansen
769052	283484	Magna Carta
769052	300990	Eva Sørensen
769052	304186	Dr. Kronborg
769052	304208	
769052	307713	Eva Linde
769052	317436	
769052	318532	Kirsten Møller
769052	320574	Kopecka
769052	320691	
769052	344109	Eva
769052	352989	
769052	353033	Lotte
769052	390217	Various roles (1990)
769052	394007	Susanne Frederiksen, Toms kon
769052	398272	Various roles
769052	409362	Various roles (1972-1975)
769053	10145	Alceste
769053	108063	Mrs. Ford
769054	184456	General Jingur [sic]
769055	304443	Video Interviewer
769056	271630	Marianne
769058	117101	Mrs. Brinkerhoff
769059	329025	Lady Reporter
769060	129791	Red
769060	195262	Sidra O'Neal
769061	209944	Anna Rance
769062	99824	Make-up girl
769062	300047	Sally
769062	383851	Aerobics Instructor
769063	11171	Vatchel's Mom
769063	266623	Mother in Park
769063	303989	Miss Emaline Calloway (daught
769065	212336	Herself - Participant/Perform
769066	139647	Agnes (Harry's daughter)
769067	185173	Heather
769068	109722	Babysitter
769068	303545	Patty
769069	2817	Herself - Presenter: Best Edi
769069	3748	Herself
769069	27946	Bebe Stone
769069	35183	Betsy Hopper
769069	37413	Marion Powers
769069	46322	Claire Standish
769069	57668	Herself
769069	72290	Connie
769069	75664	Vanessa Turnbill/Chloe
769069	101208	Susan
769069	107143	Lisa Hunter
769069	117061	Darcy Elliot Bobrucz
769069	119928	Jewel
769069	129118	Penelope
769069	158481	Chloe
769069	161193	Herself
769069	177089	Nancy
769069	177345	Cordelia
769069	202399	Melissa Nelson
769069	235403	Flight Attendant
769069	238682	Kim Poole
769069	246000	P.K. Bayette
769069	246267	Melissa Webber, Gary's Daught
769069	255169	Randy Jensen
769069	263334	Andie Walsh
769069	276092	Anne Winslow
769069	302468	Claire the Fan
769069	303545	Samantha Baker
769069	307883	Teresa Tatum
769069	308110	Alison Gertz
769069	310195	Niki the Twister
769069	316942	Cary
769069	320100	Lonnie
769069	326442	Miss Banks
769069	327405	Miranda Dimitrius
769069	336940	Janet Gifford
769069	338138	Julie Newman
769069	341623	
769069	342472	Beth Sager
769069	367778	Kit
769069	388195	Molly Parker (1979-1980)
769069	406363	Frannie Goldsmith
769069	408665	Carrie Donovan
769070	34911	
769070	69421	Baby Doll
769070	102789	Girl in Hotel Bed
769070	142906	Wife
769070	154984	Party Guests
769070	242039	Danish girl
769070	252741	Miss Hove
769070	278777	Girl in commercial
769070	288477	Tortured Girl
769070	292817	Waitress
769070	336731	Busbee
769070	381661	Various Roles (1975-1976)
769071	69410	Girl
769072	392735	Herself (Drums)
769073	233840	Party Girl 1
769074	37731	Marta's Colleague
769074	145655	
769074	174028	Frania
769074	237869	Krystyna Wojciechowska
769074	374203	Girl's Mother
769074	404216	Wieslawa Kowalik (2002-2003)
769075	1348	Herself - Host
769075	2275	Herself
769075	18032	Laurel McArthur
769075	54648	Lucy Delacorte
769075	65837	Jennifer Cole
769075	131347	Veronica Simpson
769075	161317	Herself
769075	189912	Adrianne
769075	210458	Herself
769075	217816	Susan Pevensie
769075	231504	Contessa Valentina 'Val' de A
769075	232220	Billie Reed
769075	239005	Michelle Grant
769075	279874	Annie
769075	296019	Joanna Thomas
769075	306626	Hostess
769075	350433	Marielle
769075	363270	Herself
769075	366408	Billie Reed
769075	385824	Billie Holliday Reed (#1) (19
769075	397401	Victoria 'Taylor' Davis McBri
769075	405772	Hostess (2002-)
769076	409851	Saana Kujansuu
769077	229015	Various
769078	17051	
769078	33166	
769078	287313	
769078	345675	
769078	389361	
769079	4446	Kerttu Luodepohja
769079	18417	Louhi
769079	169226	
769079	177040	Maid
769079	184041	
769079	209085	Villager
769079	267142	
769079	271894	Voice
769079	343509	Aliina Laurila
769080	27408	Gogo-tyttö
769081	9172	Pääluottamusnainen
769081	9507	Sanni Kivivuori
769081	343509	Sanni Silander
769082	371440	Susanna Suomies
769083	237243	
769083	343509	Maid in Mellola
769083	390960	
769083	395392	
769084	401466	Herself, the host
769085	18452	
769085	21721	Mrs. Salminen
769085	21722	
769085	25266	Old woman
769085	104545	
769085	137746	Coffee drinker
769085	144054	First Ms. Salminen
769085	144058	Delegate #2
769085	153756	Vappu's mother
769085	180444	Väkeä seuroissa
769085	182504	Mrs. Pontus
769085	184796	Woman in a waiting room
769085	213374	Eemeli's wife
769085	223510	
769085	229544	Mrs. Turtiainen
769085	255760	Kalle's mother
769085	258846	Woman shopper
769085	301864	
769085	303708	
769085	321925	Emilia Hölttä
769085	323628	Laundress
769085	341560	
769085	349734	Housekeeper
769085	354255	
769085	356116	Tilu-Lilu
769086	211863	Solariumin kassa
769086	223514	Tanssiva nainen
769086	324482	Herself
769087	4446	Salme
769087	14738	
769087	82647	
769087	163185	
769087	181649	Nurse
769087	255513	Ritva vanhana
769087	283959	Girl
769087	394792	Maija Mäkimaa
769088	401466	Herself, the host
769089	364425	Ripeka
769090	264538	
769091	393046	
769092	330204	Herself (daughter, Poland)
769093	191701	The Abbot
769094	6262	Linda's student
769095	18813	Friend of Uri's Friend
769096	178874	Bonnie Wolk
769097	152778	
769097	219344	Heleen
769098	380703	Sirpa
769099	72208	Customer
769100	174020	Fikejsová
769100	268509	
769101	377754	
769101	377796	Andi
769102	355388	Herself
769103	2441	
769103	56442	
769103	61341	
769103	71252	
769103	76007	
769103	102838	Dee Dee
769103	121952	
769103	124042	
769103	155227	
769103	161830	
769103	165896	
769103	201665	Herself
769103	221740	
769103	269200	Doña Catalina
769103	269235	
769103	328171	
769103	337461	
769105	111143	Enfant gendarme
769106	4540	Margarita Perez
769106	5523	Gaby Seymour
769106	10520	Herself
769106	27338	Lita
769106	38541	Luana
769106	47780	Herself
769106	48956	Amalita de los Robles
769106	51375	Queen Mother
769106	55898	Amalia Estrada
769106	55946	
769106	60938	Spanish Woman
769106	61756	Grandma
769106	74744	Isabel Puente
769106	77251	Lady of the Dawn
769106	83511	Deseada
769106	85067	Carmen
769106	92346	Doña Perfecta
769106	93078	Herself
769106	104875	Evangeline
769106	114940	Neddy Burton
769106	115773	Esperanza
769106	116174	Belinha De Rezende
769106	121385	An Indian Woman
769106	124485	Chela (Toni)
769106	128392	Dolores
769106	144961	Evelyn Iffield
769106	145214	
769106	146507	Mrs. Erlynne
769106	154352	Donna Alvarez
769106	157546	Rita Gomez, aka La Espanita
769106	160943	Leonore Dixon
769106	168135	Carlotta de Silva
769106	169400	Josette Martel
769106	184360	Dolores Daria Sunnell
769106	196486	Carmen
769106	199330	Madame 'Jeanette' Du Barry
769106	202514	Raimunda
769106	202999	Eugenia 'Jenny' Santord
769106	203461	Mona
769106	206979	Maria Candelaria
769106	212255	Herself
769106	225551	Ella misma
769106	233373	Marta
769106	233837	Carmelita de Granados
769106	244621	Magdalena Mendez/Maria Mendez
769106	247221	Jeanne Lamont
769106	251567	The Mother
769106	271854	Ramona
769106	274050	Tasia
769106	275946	María Enriqueta
769106	276421	Katyusha Maslova
769106	277033	Rascha
769106	278569	A Revolutionary
769106	286227	Herself
769106	291353	Herself
769106	293881	Estrella
769106	296463	Dominica
769106	336066	Guest
769106	337589	Berna
769106	339832	Herself
769106	358904	Herself
769106	362362	Charmaine de la Cognac
769106	364433	Rita Renault
769106	364837	Inez, Duchess of Rye
769106	367962	Inez
769106	374418	Herself
769106	376770	Rosa
769107	5317	
769107	7734	
769107	7735	
769107	13510	
769107	26899	
769107	26900	
769107	34785	
769107	35739	
769107	44425	
769107	54927	
769107	54928	
769107	60284	
769107	78916	Herself (Dream Girl)
769107	86706	Segment 2 Girl
769107	88159	
769107	91575	
769107	91834	Herself
769107	91835	
769107	91840	
769107	109628	
769107	115297	
769107	117348	
769107	132305	
769107	150420	
769107	189065	
769107	196008	
769107	197783	
769107	202787	
769107	232769	
769107	237119	
769107	237120	
769107	242071	
769107	244400	
769107	246225	
769107	261527	
769107	274153	
769107	276369	
769107	276672	
769107	291454	
769107	295681	
769107	295748	Herself
769107	295807	
769107	302907	
769107	311453	Herself
769107	313291	
769107	321165	
769107	337207	
769107	358074	Herself
769107	362309	
769107	365513	Herself
769107	365643	
769108	278118	Maria Perez
769108	293978	Tasson Li
769109	356802	Local 101 Entree
769111	113251	
769111	170416	Eugénie
769111	190635	Brigitte
769112	185921	
769113	257929	
769114	75035	
769115	234661	Judy
769115	287767	Professor Collins
769115	328258	Hostage Girl
769115	355490	Ellen
769115	360436	Flight Attendant
769115	374568	Sue
769115	404282	
769117	2266	
769117	41616	
769118	200491	
769119	13100	
769120	78570	Dancer at Salón Los Ángeles
769121	136360	
769122	249336	
769123	249336	
769124	158855	Cameriera dell'albergo a Bolo
769125	266401	
769125	345399	Lucile
769126	133684	
769127	2684	
769128	18959	Aunt Tina
769128	55526	Jenny Stoker
769128	80382	Vivian
769128	81127	Dr. Harper
769128	90908	Mildred Donnelly
769128	129570	White woman
769128	222647	Older white woman
769128	232248	Barmaid
769128	258947	
769128	281803	
769128	303265	Social Worker
769128	324546	Rhonda Wimofsky
769128	360616	Gloria Grant
769128	366834	Audrey Moore
769129	214123	Linda
769130	149263	Eileen
769130	221124	Young Fanny
769130	228823	Nurse
769130	248318	Wendie Holmes
769130	248838	Girl on bus with Tommy
769130	267615	Sheila Woodbury
769130	309831	Maria
769130	312774	Jean
769130	331645	Janet
769131	165421	Mrs. Polson
769132	222146	
769133	355764	
769134	225047	
769135	338262	
769136	28198	
769137	310302	French Girl
769138	25216	
769139	36667	Ann/Director's Wife
769139	302745	Blondie
769140	13072	Herself
769140	83522	The Virgin
769140	108686	Host
769140	232898	The Vision
769140	337864	She-Biatch
769141	25780	Ceci
769141	67642	
769141	67657	
769141	101922	Elisa
769141	214591	Aurora
769141	269535	Nurse
769141	277798	
769141	341473	Lucrécia
769142	124239	
769142	351763	
769143	286573	
769144	33518	
769144	91406	
769144	148136	
769144	224966	
769144	227296	
769144	247416	
769144	249788	
769145	154212	Indian girl
769146	248759	
769147	394510	Maribel
769148	77676	Salsa Club Dancer
769148	286228	Dancer
769149	324438	
769150	14434	
769151	150075	Bianca Salsa Girl
769152	53318	Student
769153	87341	
769154	243616	Martina
769155	25216	
769156	257380	Conceição, Carriço's daughter
769157	100306	Laura
769158	103941	
769158	135313	Felisa
769158	205600	Esposa de Jacinto
769158	213705	
769158	219312	
769158	386205	
769159	14196	Maria Medina
769159	28495	Tina
769159	120615	Theresa Ramirez
769160	28867	
769160	112760	
769160	380120	Nina
769160	380531	Zuleika
769160	381198	Ana Galhardo
769160	384480	Anita
769160	384991	Xandinha
769160	387052	Cidinha
769160	387732	Isaura
769160	387804	Aninha
769160	388562	Irene
769160	388941	
769160	393004	Catarina
769160	396610	Teresa (1995)
769160	396938	Shirley
769160	397415	Maria
769160	401095	Patrícia
769160	404803	Márcia
769160	408316	Vanessa
769160	408330	Gabriela
769162	106995	
769162	229801	
769162	293003	
769162	296125	
769163	301989	Dolores Alvarez
769164	36760	Girl #1
769164	72416	Pocho Girl
769165	269536	
769166	137673	
769167	269535	
769168	293388	
769169	66942	Mexican Nurse
769169	341928	Maid
769171	10760	Woman who sings 'Le temps des
769171	15159	La dame
769171	17856	La mamie/Grandmother
769171	51807	
769171	71888	
769171	111073	Mother-in Law
769171	116438	Oenone
769171	117912	La duchesse de Mortemain
769171	169032	
769171	234783	Mme Soyeux
769171	266153	
769171	327556	
769171	381683	
769171	382480	Mme Villard
769171	387560	
769171	391632	
769171	397137	Élise
769171	401319	Mme Valensier
769171	410473	La mère de Bourdier
769172	166076	Tante Anita
769172	325566	
769172	337202	Gerda
769172	365916	
769172	365919	
769173	165425	
769174	273352	Caroline
769175	281912	Child
769175	318687	Girl
769176	55018	Alice
769176	74077	Sonia
769176	96054	Danielle
769176	115361	Miche
769176	164470	Gisèle
769176	218581	Geneviève Rioux (segment "Des
769176	262939	Lise
769176	269725	Ginette
769176	378858	Sandrine (1999)
769176	383959	Simonne Monet
769176	392367	Stéphanie Galarneau
769176	396334	Louise Lebrun
769176	403475	Eve
769176	406981	Françoise
769177	381856	Farinette
769177	396510	
769178	10704	Musician 1
769179	152523	
769180	10824	
769180	148051	Darío's wife
769180	285957	
769180	376906	Mere
769181	147972	Housekeeper
769181	212623	Antonio's Mother
769181	392844	Chalia
769182	84105	
769182	377065	Une dame
769183	287414	
769185	2022	Herself
769185	3593	Haley Vaughn Santos
769185	30977	Dr. Roxanne 'Rocky' Ballantin
769185	60163	Herself
769185	82300	Kurrin
769185	161252	Herself
769185	161295	Herself
769185	163478	Herself
769185	177074	Future Bonnie
769185	185846	Herself
769185	206818	Coral
769185	308020	Michelle
769185	313087	Jennifer
769185	358807	Herself (Host)
769185	358808	Herself (Host)
769185	358809	Herself (Host)
769185	379716	Hayley Vaughan McIntyre Santo
769185	385626	Dancer
769185	391976	Faith Fairfield
769185	395788	Herself (2001-)
769186	161295	Herself
769187	265516	Nurse Della
769187	304293	Doctor
769188	67889	
769188	112667	
769188	227563	
769189	252589	Débora
769189	411932	Sílvia 'Sissi' Dumont Pietro
769190	40547	Asha
769190	303564	Visitor #3
769191	100358	
769192	15091	Christiane
769192	21419	Marguerite
769192	23826	
769192	46938	Irène
769192	77345	Clémentine
769192	107541	
769192	112277	Mme de Pompadour
769192	138020	Teresa Montes/Margarita Monte
769192	164188	Linda
769192	167249	Lucette
769192	238041	
769192	249706	Laurence
769192	251531	Simone Mareuil
769192	269157	Catherine
769192	280528	Françoise
769192	321800	
769192	324619	
769192	340127	Malou
769192	342611	
769192	355496	Ottilie
769192	377049	Manon Gardel
769192	384746	
769192	389343	Tante Georgette
769192	403895	Hélène Ponchon
769193	296552	Our Guests at Heartland
769194	28793	
769194	134471	Gräfin Anna
769194	157651	
769194	165347	Frau Sandvoss
769194	226264	Frau Kubelsky
769194	390417	Königin
769195	396505	Presenter (1992-1994)
769196	6735	Kim
769196	327595	Sabrina
769196	364378	Specialist's Assistant/Ensemb
769197	1744	Presenter
769197	17825	Alex
769197	47210	Herself
769197	66926	Jenny Gifford
769197	80471	Rose Bell
769197	118925	Whore
769197	120772	Elizabeth Kirsten
769197	121783	Jane
769197	134112	Deanna
769197	154577	Grace Bingley
769197	223350	Karen Hughes
769197	281910	Francesca
769197	316863	Donna Massey Brent
769197	381538	Jill (Series 3) (2003)
769197	384585	Jenny Gifford (1998-2001)
769197	385641	Narrator
769197	392437	Grace Bingley
769197	394163	Club Barmaid
769197	405790	
769198	133726	Voice of Mrs. Cibber
769199	62385	Jemima
769199	154379	Herself
769200	362984	P.J.'s Dinner Guest
769201	215690	Miss Vermont USA
769202	157665	Karen Olsen
769203	91489	Maria Vargus
769204	84443	Lenore
769204	137197	First Lady
769204	234075	Woman
769205	352152	
769206	80250	
769207	189379	
769208	215869	Carlotta's Maid
769209	376687	Operaria
769209	379213	Amparo
769209	387861	Chiquitita/Cucurrucu/Doña Rem
769210	35302	
769211	369870	Herself - Nominee: Best New D
769212	357072	Herself (French friend of Ils
769214	256339	
769215	142012	Guilietta
769215	365007	
769216	177028	
769217	406719	Young Maria (flashback sequen
769218	259496	Mutter Merten
769218	272423	Zofe
769218	314716	
769219	20373	Tae Le Ang
769219	136019	Sister Mercy
769220	382692	
769221	350209	Church woman #1
769222	692	Herself
769222	47079	
769222	60301	Herself
769222	104752	Host
769222	150884	TV Newsreader
769222	154368	Herself
769222	154402	Herself/Host
769222	230366	Various Roles
769222	342188	Herself
769222	353490	
769222	362586	Herself
769222	380429	Presenter
769222	384100	TV Presenter (episode "The Ma
769222	384660	Herself - Presenter (1988-199
769222	387959	Herself - Presenter (1977)
769222	390336	Herself - Presenter (1983)
769222	393154	Newsreader (2002-)
769222	397071	Host
769222	399484	Newsreader (1975-????)
769222	408546	Presenter
769222	411515	Panellist
769223	93023	Alice Bonawicz
769224	301666	Donna Bella
769225	218686	
769226	403081	Meghan
769227	381821	Ensemble (1971)
769228	44998	Lydia
769228	45000	
769228	139820	
769229	412192	Graciela
769230	76000	Ura
769231	68381	
769231	168890	Minette car
769232	25070	
769232	275089	
769232	318293	
769233	126614	Casino worker
769234	23632	La femme du train
769234	61166	Jenny Machefer
769234	78339	Arlette Preminger
769234	245556	Etiennette, la concierge
769234	258319	Christiane Thomas
769234	275647	
769234	336758	Annabelle
769234	343551	Mimi
769234	354902	Anaïs
769234	357097	
769235	384980	Enriqueta
769236	19953	Becky Small
769236	41790	
769236	172462	Yukie Miyamori
769236	281575	Reiko Kaburaki
769236	338241	
769237	217648	Fanny
769237	336234	La rédactrice #2
769237	353823	Clothilde
769237	370056	Laura
769237	377008	Jessie
769238	106985	
769239	200038	
769239	302684	
769240	8156	
769240	309064	
769241	87509	Abbi
769241	99422	Ellinor
769241	100759	Inga
769241	203231	Pretty girl
769241	315563	Miranda
769241	395716	Jenny (episode 1.1)
769242	210349	Herself
769243	354178	Butterfly Act Compere
769244	403724	Herself - Designer (2000)
769244	408310	Herself - Designer
769246	123953	Herself
769246	185984	
769247	34311	Frau Mager
769247	145482	On the Highway
769248	308810	
769249	155698	Naafi girl
769249	208059	Julie McKelvin
769249	239749	Mabel
769250	4730	Sarah Lincoln
769250	7008	Widow Douglass
769250	7483	Mrs. Fletcher
769250	13380	Louise
769250	17988	The Wife
769250	19960	Mrs. Westwood
769250	22999	Abigail Osley, aka The Old Do
769250	29388	Mrs. Margaret Trimble
769250	32097	Nancy Earle
769250	33697	Nurse
769250	41002	Mrs. Talford
769250	42835	Gene Dysen
769250	46739	Mrs. Carruthers
769250	46797	The Bride
769250	49536	Jessica Royce
769250	54028	Mrs. Polverdine
769250	59485	Ann Charity
769250	66373	Bit Part
769250	71906	The Wife
769250	72255	Mrs. Jordan
769250	72521	Mrs. Landreth
769250	73124	Mrs. Raskolnikov
769250	75270	Lizzie Keen
769250	80439	Mrs. Connell
769250	90298	Grace
769250	92130	Dolly Paxton
769250	93785	Katherine Crichton
769250	97890	Betty's Mother
769250	104037	Esther
769250	105130	Mary Nolan
769250	112508	Mme. de Montrevel
769250	113350	Fortune Teller
769250	113541	
769250	113584	Doris
769250	114595	Martha Spengler
769250	115804	Florence Nightingale
769250	116891	Aunt Hattie Drake
769250	117801	Margaret Burke
769250	120579	Sylvia Gray
769250	121513	Norah O'Keefe
769250	127666	Mrs. Gilbert
769250	128198	Aunt Della Lindsay
769250	128827	Kate Heath
769250	133702	Phoebe Ainslee
769250	134444	Margaret Eden
769250	134474	Leona Palmor
769250	135141	Aunt Catherine
769250	135588	Mother Mindszenty
769250	143257	Nellie Harbourne
769250	143306	Phyllis/Alice Ford
769250	144931	Ma Goodhue
769250	144989	Mrs. Kenet (Steven's mother)
769250	145007	Mrs. Georgia Keating
769250	145405	Kate Carney
769250	148179	
769250	148933	Sarah Frome
769250	148938	Molly Van Dam
769250	151762	Aunt Clarissa
769250	153631	Rachel Neve
769250	154356	Mrs. Morrell
769250	155722	Flare-Flare
769250	157860	Granny Adams
769250	158168	Black-eyed Susan
769250	158331	Mrs. Helen Corkery
769250	160143	Dora
769250	163414	Diner on train
769250	163459	Molly Molloy
769250	164977	Mr. McGann
769250	169387	Mrs. Bailey
769250	177549	Sofia
769250	183721	Mrs. Cummings
769250	183767	Mrs. Emily Whittaker
769250	188405	Malvina Adams
769250	190264	Mrs. Whitehead
769250	193631	Ruth Graham
769250	194685	Deborah
769250	194721	Mrs. Pringle
769250	195664	Rosiland
769250	196404	'Ma' Williams
769250	198660	Minerva
769250	199136	Annette Fusenot
769250	201458	Cora Payne
769250	202631	Jessie Todd
769250	203496	Jessie Carter
769250	203568	Minerva Sunday
769250	203615	Jury Member
769250	204552	Mrs. 'Ma' Cassidy
769250	204853	
769250	205557	
769250	209746	Lady Brisby
769250	212211	Aunt Della Lindsay
769250	212212	Aunt Della Lindsay
769250	212213	Aunt Della Lindsay
769250	212214	Aunt Della
769250	212215	Aunt Della
769250	212216	Aunt Della Lindsay
769250	212217	Aunt Della Lindsay
769250	213286	Don's Daughter
769250	213976	Mrs. Laura Carter
769250	219962	
769250	219976	
769250	220031	
769250	220318	Meg Harkins
769250	220406	Mrs. Hills
769250	220911	Achilles
769250	223723	Aunt Caroline Colbrook
769250	224373	Mme. Rousseau
769250	230302	Mrs. Schuyler Manning III
769250	231390	Martha Peasley
769250	248993	Madame Jennetier
769250	264175	Princess Felicia/Lucidora Ede
769250	272025	Mrs. Lloyd
769250	273513	Mrs. Claiborne
769250	279570	Mrs. Sherman
769250	280636	Cactus Kate Taylor
769250	280942	Emily Baggett
769250	288742	Mrs. Myrtle Halevy
769250	289504	Isabelle de Valmorin
769250	291864	Mrs. Hockland
769250	292405	Dr. R.W. Roberts (Dr. Twining
769250	299503	Mrs. Prichard
769250	301130	Aunt Susan
769250	302644	Agatha
769250	304970	Ethelreda Knox
769250	305616	Smith
769250	308560	Mrs. Charteris
769250	309208	Mrs. Scott
769250	309627	Violet Morne
769250	313353	
769250	318445	
769250	324030	Miss Martin
769250	329903	Aunt Mary
769250	330007	Beatrice Maybrook
769250	330186	'Ma' Conley
769250	330241	Mrs. Hale (Robert's mother)
769250	335124	Aunt Sally
769250	347609	Mrs. Norris
769250	358768	Catherine Walsh
769250	361070	Dean Grace Gunnison
769250	365727	Isabel Stanton
769250	367490	Mme. Herbillion
769251	393999	(English version)
769251	404061	Luchs
769251	404771	Grieda/UM announcment
769252	53937	Rose in Wimpy's Diner
769253	78267	Herself - Presenter
769253	279619	Herself - Interviewee (audien
769253	391353	Herself - Host (2001)/Designe
769253	403724	Herself - Designer (2000)
769254	302702	Tamara
769254	329021	Chavah 'Khave'
769255	8243	Hotel Clerk
769255	194315	Grandma
769255	346055	Anna
769255	380390	Nora Lindsay (1981)
769256	46614	Ekspeditrisen
769258	64729	Big governess
769258	77615	
769258	79339	Mary
769258	107989	Mrs. Pemberton
769258	128616	Nina Levering
769258	138684	Eileen
769258	141197	Miss Baine
769258	144952	Lady Alice
769258	151087	Mrs. Bradford
769258	196855	Mrs. Norton
769258	227333	Mrs. Mortimer Worthing
769258	330176	Mrs. Wells
769258	356893	Hilda Herford
769259	230743	Herself
769259	361235	Herself
769260	193879	Gulabo Maasi
769261	172004	
769262	2781	Girl
769262	220954	Missy
769262	235651	Girl
769263	347535	Various
769264	365650	Vanessa
769265	36480	Mädchen
769266	50766	
769266	75028	
769267	136510	Marjorie May
769267	221318	Elf
769267	367446	Becky
769268	104972	Jill Stone
769269	206942	Little Girl
769269	340547	Lily-Jeanne
769270	80660	Professor
769271	274669	Peggy
769272	132281	Mrs. Vesela
769273	284355	Évi
769274	318488	Prostitute
769275	105462	Young Elisa
769276	67791	Phyllis Marie
769276	83558	Mrs. Muratore
769276	98656	Woman #1
769276	118280	Saloon Hostess
769276	149107	Actress in Bank
769276	166873	Sister Margaret
769276	240032	2nd Girl in Bar
769276	277622	Max's Wife
769276	302121	Pam
769276	313583	UFO follower
769276	319283	Woman at Office
769276	327300	Sally Devries
769276	404337	Various (1980-1981)
769277	234275	Cherubino
769278	252764	Woman
769279	62994	
769280	121297	Child
769281	399657	
769282	194435	
769283	24156	
769284	211307	
769285	252669	
769286	527	
769286	20797	
769286	67905	
769286	219821	Flavia, sua moglie (segment "
769286	336599	
769286	349526	Girl
769289	153547	
769290	211038	Toinen vaalea tyttö
769291	232585	Hertta
769291	409931	Alma Soldan
769292	214835	Mother of the dying child
769293	403557	Gertrude (1964)
769294	8615	
769294	68399	
769294	284227	
769294	333720	La tante/The Aunt
769294	340170	
769294	346633	
769294	376534	
769296	376187	Little Daantje
769297	380663	Herself
769298	222784	Jade
769299	222784	Salon Patron #3
769300	11319	
769300	240710	
769300	331227	Rachel Shapiro
769301	241160	Nig's Friend
769302	160320	
769303	321559	Diner Patron
769304	71505	Gisèle Vallier
769304	83391	La Comtesse
769304	87153	Régina, Marc's girlfriend
769304	114832	
769304	195217	
769304	279635	
769305	396581	Narrator
769306	343524	
769308	73972	
769308	96274	
769308	199987	
769308	213711	
769308	221674	
769308	256784	
769309	3169	Anselmi's Mother
769309	8802	Evelina Watron
769309	14569	Aunt Giuditta
769309	25307	
769309	25336	Clara Marchini
769309	56922	La signora Matilde Silvagni
769309	57026	Susanna, Sorella de Willy
769309	104526	Eugenia's mother
769309	108505	La marchesa Del Vasto
769309	157638	
769309	193422	Marianna
769309	230080	Dora Belluzzi
769309	243303	La direttrice del collegio
769309	269640	
769309	270829	
769309	293336	
769309	313901	Clelia, la padrona di casa
769309	315423	
769309	328210	L'istutrice Anna
769309	336123	Sister Celeste
769309	336590	Signora casamandrei
769309	338370	
769309	355560	Matilde Mari, madre di Albert
769310	144728	Herself
769311	73578	Dadai's Girl
769312	346546	Hôtesse Olympia
769313	95471	Villager
769314	95471	Villager
769315	366712	Hannah 8 Yrs
769316	170222	Herself
769316	170224	Herself
769317	186523	
769317	232674	
769317	338863	
769317	386407	Milica Babic
769317	386526	
769318	88739	Lola
769318	389113	
769319	181102	
769319	192903	
769320	28181	Secretary
769320	374221	
769321	320695	Mrvica
769322	322643	Pankerka
769323	9005	Principal Salter
769323	17769	Mama Rojas
769323	50975	Mary
769323	58497	Nurse #2
769323	70426	Iris' Lawyer
769323	93123	Aunt Irene
769323	116100	Guard #1
769323	192527	Irene Watson
769323	235088	Patricia
769323	311616	Kick's mom
769323	329816	Judge Elaine
769323	359904	Motel Clerk Wife
769323	362037	Monty's Wife
769323	363943	Mary Freeman
769324	16866	Peaches
769325	16866	Bride's Mother
769326	194836	
769326	198745	sollicitante I
769326	390242	Henny (1991-1992)
769326	411311	Naomie Deleu-Dubois (1994-199
769327	351254	Anna
769328	216048	La Civetta
769329	97138	
769329	215003	Francesca
769329	247960	
769329	278858	Anna
769330	54139	
769330	278749	
769331	207793	
769332	89207	Tara
769332	153094	Cashier
769333	350680	
769334	33728	Biciklistkinja
769334	44008	Lazna Ciganka
769334	46589	Anica Savic - Rebac
769334	88133	
769334	95661	
769334	355996	Ivanova majka/Ivan's mother
769334	381239	
769334	407129	
769335	281298	Nurse
769336	13175	
769336	16704	Richard's Daughter
769336	28015	Marina
769336	37481	Azafata Super
769336	57716	Poncia
769336	83446	
769336	85566	
769336	100703	Criada
769336	123600	
769336	157321	Sara
769336	162704	Debo
769336	196973	Dance Specialty
769336	198204	Cinta
769336	231794	Dancer
769336	233542	Elisa
769336	233917	Magda
769336	248766	Mari Ángeles
769336	252781	Arancha
769336	263701	
769336	264911	
769336	286901	Fina
769336	288242	Bar Dancer
769336	328353	Herself
769336	352822	Elisa
769336	370028	
769336	378989	Lorena
769336	383347	Almudena
769336	390504	La perra
769336	398805	Nuria
769337	198838	
769338	78905	Cignet
769338	177600	Valanice, Spike, Ceres, Cloth
769338	186255	Celia Ramos
769338	310154	Stellar Santiago/Sysinny
769398	403651	Yanina
769338	313481	A-Wing pilot/Missile launcher
769339	354243	Lulu
769340	51378	La balayeuse
769340	318516	
769341	234646	
769342	16441	
769342	218426	
769342	404306	Rosalice
769343	205571	Herself
769345	395257	Opettaja
769346	251955	Hotellivirkailija
769347	407109	Herself (2004)
769348	386419	Noviça
769349	312309	Sarah Lynch
769350	381436	Natalie Bates/Leigh Capetta (
769351	298122	Chorus girl
769352	142889	Teenager at World of Donuts
769353	84002	Hot Tub Girl
769353	137223	Dancer
769354	65661	Ruth Hunter
769354	67162	Mrs. Dalzelle
769354	133787	Princess Wadin
769354	367315	
769355	134178	Chilean family
769356	332901	Lisa
769357	53732	
769357	305571	Secretary
769358	312813	Nebraska Woman
769359	26962	
769359	38856	Ruth Borden
769359	44688	
769359	131046	
769359	152836	Margaret Kenyon
769359	213096	Emily Depue
769359	233511	
769359	241031	Ethel Fenelon
769359	292329	
769359	306808	Maybelle
769359	316228	
769359	346054	
769359	346322	Georgianna Lane/Hope Van Alan
769359	355042	Resha
769359	360554	Ruth Sterner
769359	368019	Diana
769360	43378	Cop No. 2
769360	130183	Sue
769360	240694	Annie
769361	278607	Woman
769362	231110	Charlene
769363	277515	Specialty Skater
769364	354563	Trixie Firecracker
769365	34915	Micky
769365	46355	Amy
769365	76221	Janet
769365	76222	Janet
769365	107144	Eden
769365	107918	Lily
769365	128164	The Actress
769365	143505	Charisma
769365	191608	Jessica
769365	227335	Bess
769365	252877	Daisy
769365	260137	
769365	273241	Brittany
769365	293192	Sandy
769365	319923	Shelby Blunt
769366	118911	Mrs. Shelley
769367	47910	Lucy Browning
769367	81564	
769367	93491	Polly Peachum
769367	142149	Josina Griffin
769367	177146	Ingrid Rothwell
769367	192570	Treasure
769367	220443	Cynthia
769367	297079	Nancy Lake
769367	321910	Mari Brant
769367	330776	Margery Graham
769367	368532	Ginnie
769367	396623	Constance Radlet
769367	401212	Delphine
769367	411791	Kathy
769368	34723	Host
769368	148211	Sally Fletcher
769368	385474	Molly
769368	391869	Sally Keating Fletcher (1988-
769369	317335	Student
769370	302236	Schoolgirl
769371	341969	Maid
769372	235422	Barbara
769373	256292	Madame Patti
769374	23583	Lynn
769375	313959	Blues Singer
769376	187886	Naked Cellist
769377	8029	
769377	279465	Tetsy
769378	302236	Schoolgirl
769379	5975	Home Owner's Wife
769380	333347	Sarah Hardy
769381	48264	Laura Laurin
769382	33178	Delmia
769382	120772	Kate Jarratt
769382	150884	Stephanie Woolton
769382	232009	
769382	265606	MP's Mistress
769382	316303	Nora Luke
769382	383277	Iris
769382	383363	Arty's Mother (The Pardoner's
769382	386196	Detective Inspector Vera Harr
769382	411201	'Billykins' Templeton
769383	157036	Waitress
769384	53036	Tricia
769384	53037	Tricia
769384	139588	Janie Harrington
769384	310462	Marine Captain
769385	139588	Janie Harrington
769386	28498	
769386	63579	
769386	134759	
769386	155998	
769386	202553	Malva
769386	259926	
769386	261300	
769386	282744	
769386	314217	
769386	340239	
769386	371356	
769386	374779	
769386	382406	
769387	347855	Local Girl
769388	317335	Toby
769389	104179	
769390	2079	
769391	40573	
769391	338643	
769392	186030	
769393	164587	Reporter #1
769393	264724	Connie Croy
769393	362442	Terri McGinnis
769394	156684	Serviceangestellte
769395	411330	Dancer
769397	404712	Pamela
769398	380100	Lolita
769398	404712	Pamela
769399	394793	Sari Eskola
769400	24362	Bäuerin (segment "Die zwei Sö
769400	70765	
769400	174104	Miss Lisbeth
769400	374124	Mutter
769402	138220	Hostess
769402	354178	The Girls
769403	182735	
769403	223482	Anne
769403	225264	Maria Klose
769403	379840	Oberschwester Marion
769403	394477	Carla Sommerland
769404	121471	Revenger's Sister
769405	372567	Gretchen Thompson
769406	18536	Anna Krieger
769406	191471	Vampir
769406	262752	Maria
769406	275156	
769406	325880	Susi
769406	325904	Veronika
769406	389616	Sarah Lindhoff (2002-2004)
769406	403792	Nataly
769407	60148	Army Wife
769407	116330	Alice's Assistant
769408	280169	Student
769409	381091	Herself (eliminated round 3)
769410	265749	Carolyn
769411	236972	Toy Soldier
769412	266590	Bartender
769413	24093	
769413	97842	
769413	189542	
769413	195057	Klaerchen, the lady's maid
769413	259442	
769413	259446	
769413	259615	Frau Neuhaus
769413	290689	
769413	366531	Imbissdame (Lady at the snack
769413	406263	Gerda
769414	33464	
769415	274427	Wedding Party in Philadelphia
769416	320094	National Guard, Motorcyle Pla
769417	183244	
769417	269092	
769417	293871	
769417	308249	
769417	347633	Anna
769418	401500	
769419	47847	Customer
769420	363982	Radio Interviewer
769420	374425	Child on School Bus
769421	170124	Hilde
769422	501	
769422	18240	Frau Sucharzewski
769422	29343	Frau Bäuerlein
769422	61432	Caroline
769422	68202	Frau Moellemann
769422	76480	
769422	102960	
769422	115812	Frau Regler
769422	125012	
769422	164753	
769422	175406	Omi Birle
769422	197146	
769422	223477	Helene
769422	225652	Oma
769422	230196	Frau Regler
769422	259465	Hannelore Haller
769422	259476	
769422	259477	Frau Klein
769422	259546	Edith Sass/Hausmann
769422	259547	Gerda Grauschke
769422	259550	
769422	259591	
769422	259676	Frau Seidel
769422	281106	
769422	284862	
769422	312079	
769422	312081	Hanne
769422	312083	
769422	312201	Helene Tochtenhagen
769422	312642	Helga Karsunke
769422	325601	Großmutter Kraft
769422	325920	Frau Schuster
769422	345916	Irene Moldenschütt
769422	352042	Teacher Laube
769422	361039	Rosl Becker
769422	361365	Luise Wengler
769422	364937	Anni, Lehrerin
769422	364943	
769422	364950	Brunhilde
769422	376475	Carl's Wife
769422	376622	Mrs. Zetsche
769422	377371	Birte
769423	162859	Lara
769424	33479	
769424	98301	
769424	227551	Gloria
769424	308230	
769425	265749	Carolyn
769426	290696	Joa
769427	167043	Patti Wacked
769428	81053	Suzan
769429	87276	Drunk Driver
769429	273869	Secretary
769430	63127	Rusty/Rosie
769430	123420	Receptionist
769430	178642	(US Version, 1984)
769430	341889	Rusty/Rosie
769430	363533	Rusty/Rosie
769431	119986	Girl on couch
769431	124225	Poncho Model
769431	194219	Mara
769431	217745	Art History Student
769431	305013	Bar chick #2
769431	393700	Quinn
769431	407547	Saleswoman
769432	369211	Herself
769432	369237	Herself
769433	84635	L'hôtesse de la DDASS
769434	316821	
769435	16235	
769435	18519	Tilly
769435	91930	Regine
769435	94674	Klara
769435	115978	
769435	204537	Susanne Grassman
769435	225288	
769435	235352	Sophie
769435	325532	
769435	326495	Erkissons Pupil
769435	375751	
769435	377351	
769435	389109	Ilsa
769435	392632	Imken von der Beeke
769435	392669	Manuela
769436	26672	Head Nurse
769436	330772	
769436	349896	Museum Docent
769436	358838	Mrs. Grivel
769437	192254	Old Lady
769438	14830	La chanteuse
769439	384778	Marlene
769439	393791	
769439	401089	
769440	54994	Theresa Samuels
769440	301765	Nurse
769441	5681	
769443	127851	
769444	49207	Cocktail waitress
769444	363840	Woman at Party
769445	381694	
769446	89636	Helene
769446	243934	Fanny Drabble
769446	321788	Midwife
769446	385627	Ada Leintwardine (segment fil
769447	359401	
769448	284798	
769449	1994	Herself - Host (New York)
769449	11108	Birdie Coonan
769449	21555	Della Hodges
769449	38578	Elizabeth Stroud
769449	42856	Bertha
769449	52455	Police Captain's Secretary
769449	64784	Mrs. Cusack
769449	76582	Miss Pritchard
769449	109210	Lucy Cashdollar
769449	109868	Geraldine
769449	117098	Chloe Brasher
769449	147484	Sophie Manetta
769449	147821	
769449	151503	Agatha Clegg
769449	154877	Miss Murphy
769449	158797	Bertha Beckerman
769449	188577	Sadie Dugan
769449	197073	Molly Basserman
769449	207865	Ellen McNulty/Ellen "the maid
769449	214967	Peter's Mother
769449	215364	Isabelle Steers
769449	216802	Mae Swasey
769449	220514	Grace Arden
769449	230693	Leena
769449	252981	Lena Fassler
769449	255259	'Moe' Williams
769449	255878	Alma
769449	266099	Kate Connors
769449	273543	Stella
769449	292248	Aggie
769449	333851	Maude Young
769449	362529	Mrs. Schwartz
769449	366793	Clancy
769449	390587	Herself
769450	340992	Teen In Flashback
769451	409153	Herself - Host (?-?)
769452	44301	Ginger
769453	189986	Ida
769453	399130	Hannah Martin (1992-1999)
769454	406634	Museum Specialists/Smithsonia
769455	333213	Jo
769456	250796	TV Reporter
769457	10841	(segment "Alien Abductee Inte
769457	261634	
769458	309405	
769459	102932	Mary Ritts
769460	41400	Gretchen
769461	190464	The Motion
769462	1358	
769463	4231	
769463	234649	Liisa Lahtinen
769463	242264	Raija
769463	255764	Salme
769463	264291	Dorina
769463	308482	
769464	213417	Barmaid
769465	294150	
769466	313342	Miss Effie Pickering (Madame 
769467	73969	Anastasia Craggs
769467	78640	Lizzie
769467	116202	Winnie
769467	147124	Maggie Hobson
769467	192023	Babbie
769467	207393	Constance Barton
769467	239525	Kate
769467	280391	Mary Stone
769467	280486	
769467	281098	Gertie Heckett
769467	282646	
769468	72208	Customer
769468	173225	Officer Dale
769468	360483	Vicky
769470	171791	Female cop
769470	214755	Adulation #2
769470	272518	Miss Barrington
769470	328602	
769471	346087	Wife
769472	388609	
769473	178830	
769474	276852	Carol
769475	406432	Herself
769476	104623	
769476	142184	
769476	171418	Nurse
769477	403651	Yanina
769478	223885	Girl on TV
769479	215148	Woman at Prague train station
769480	126242	
769480	170920	Inferera
769480	341084	
769481	156964	
769481	189290	
769481	199291	
769481	203978	
769481	217122	
769481	280744	Paola
769481	280760	
769481	309114	
769482	91360	
769482	145209	
769482	150559	
769482	221935	
769482	235300	
769483	110916	News Crew
769484	91423	
769485	404989	
769486	59885	Fala
769486	106115	Maria
769486	330565	Rose Lady
769486	362453	Stella
769486	384768	Maria Marquez
769486	396160	Isabella
769486	398568	Ms. Aguilera
769486	404083	Annie (2002-2003)
769487	34105	Francesca
769487	233188	Virtual Prostitute
769488	3347	
769488	6699	Marilina
769488	23691	Mathilde
769488	51406	Dominique
769488	54245	Clémentine/Calypso
769488	56950	Jeanne d'Albert
769488	65635	Isabelle
769488	71812	Sophie
769488	75868	Dame Gritie
769488	77348	La pèlerine
769488	82441	
769488	85530	Madame Bouvier, la mère
769488	86434	
769488	98206	
769488	102390	
769488	113228	Thérèse Desqueyroux
769488	120874	Soledad
769488	121809	Micky's mother
769488	133072	La secrétaire
769488	134583	Clémence Grandval
769488	145740	Elle
769488	148633	Mère Rimbaud
769488	148639	Valentine
769488	152377	Françoise
769488	162077	(segment "La donna che viveva
769488	164198	La Mère (Madame Rey)
769488	166157	Emma
769488	167205	Andrée Hacquebaut
769488	167233	Une invitée
769488	173754	Terese
769488	189346	Mouche, the wife
769488	193444	Juliette
769488	198341	Barny
769488	198351	Marie-Thérèse
769488	199338	
769488	217021	Henriette
769488	225402	Le choeur
769488	231732	
769488	238009	Mother
769488	240288	Grandmother
769488	243304	Maretta
769488	261794	Mrs. Malka
769488	271683	L'institutrice
769488	273917	Germanie Tourier
769488	278870	Suzanne Doucet
769488	331013	Princesse de Bormes
769488	332199	Thérèse Desqueyroux
769488	340119	Mother
769488	345286	Lisa Leibovitch
769488	352597	La mère de Lucas
769488	356375	
769488	357834	Tante Lyda
769488	370013	Sonia Stern
769488	370057	Adélaïde Tumelat
769488	377652	Marguerite
769489	25316	
769490	16864	
769490	158772	La fioraia
769490	222199	
769491	33456	Lorenz Adam
769491	35598	Night Nurse
769491	97236	
769491	141143	Hermann's Mother
769491	144789	Cook
769491	228174	Natascha
769491	236837	Empfangsdame (Receptionist)
769491	290254	
769491	334513	
769491	396874	Mathilde 'Tilli' Troll
769492	3788	Herself
769492	124085	Woman
769492	129706	Herself
769492	206224	Herself
769492	206225	Herself (Dietrich's daughter 
769492	242714	Anna
769492	289585	Sophia as a child
769492	291495	Mrs. Rhinelander
769493	19199	Woman in Flat 48
769493	24639	
769493	58409	Attachée de presse
769493	67669	Sylvia
769493	83304	
769493	121936	L'amie de Don Salvadore
769493	237998	Fanny
769493	254123	Sandrine
769493	278155	Zaza
769493	345233	
769493	351424	Infirmière
769493	377039	
769494	3426	
769494	5743	
769494	5976	
769494	12069	
769494	50127	Doña Casiana
769494	90055	
769494	96262	
769494	136979	
769494	199295	
769494	206985	
769494	212490	Amiga de Adela
769494	215405	
769494	246874	
769494	252559	
769494	263699	
769494	296500	
769494	371696	
769495	282118	Bride on Train
769496	222532	
769497	1366	
769497	39024	
769497	90162	Emma
769497	124571	
769497	175054	
769497	188657	
769497	328990	
769497	344587	
769497	403449	
769497	412101	Mama Riva
769498	100385	
769499	25103	Aventure
769499	52713	
769499	58408	Alicia
769499	186406	Snake Woman
769499	320341	
769499	323533	
769499	337423	
769499	379210	Sully
769499	382543	
769499	382757	Inspectora Isabel Bassi
769499	387916	
769499	392959	
769499	393340	Cherie
769499	395867	Estela
769499	403686	Haydee
769499	404292	Lorena
769499	404707	Soledad
769499	406852	Regina Lineros
769499	408724	Roxana
769500	326388	
769501	52725	Béatrice d'Aumont
769503	347741	Beauty school instructor
769504	143284	Actress on TV
769505	309980	Fillette a la piscine
769506	359444	Wendla
769507	231303	
769508	324448	Dancer: Esto es tango -2
769509	159006	Herself
769510	354101	Sophie
769511	301574	Secretaria del Juez Yepez
769512	14758	
769512	59788	
769512	66080	
769512	68251	
769512	74956	
769512	89927	
769512	205607	
769512	212366	
769512	221671	
769512	270061	
769512	355793	
769512	380837	
769512	409717	
769513	380102	Chichita
769513	385365	Matea Guaramato
769513	393802	Azucena de Pérez
769513	397862	
769514	401879	Herself - Bellepop
769515	49431	Claudia
769515	339870	
769516	307792	Cantante
769517	34574	Laura
769517	51623	Mujer de castelli
769517	61861	Silvia Locatti
769517	65789	
769517	81694	Valeria
769517	104823	
769517	124020	
769517	216304	
769517	222023	
769517	380578	
769517	383206	Lucía
769517	383291	Erika (1999)
769517	385852	
769517	385874	
769517	386127	Faustina
769517	389780	
769517	396335	
769517	397731	Paula
769517	399805	
769517	401904	
769517	405407	
769517	405789	Laura
769517	405812	Periodista
769518	179771	
769519	251194	Hallway Kid #2
769520	56316	Mayka Roñera
769521	45432	
769521	76812	Suzanne
769521	127602	Voz
769521	131118	María Silva
769521	139397	
769521	277236	Elisa Ramírez
769521	344199	
769521	403056	Greta Villafuerte
769521	404051	Marilou
769522	28089	
769523	208692	Actress
769523	212214	Bit Part
769523	302633	Cigarette Girl
769524	309414	
769525	18800	
769525	65140	
769525	161438	
769525	207877	Ana Rosa
769525	228560	
769525	236434	
769525	249879	Cuquita Andrade
769526	73646	
769526	399922	Agripina
769526	402055	Virginia
769527	48786	
769528	213704	Patricia
769529	47066	
769529	91423	
769529	99059	
769529	115770	Esther Almada
769529	136844	
769529	143776	
769529	167812	
769529	199915	
769529	204275	
769529	215405	
769529	216538	
769529	376644	
769529	380445	Virreina Inés de Jáuregui
769529	384551	
769529	386076	
769529	386116	
769529	386146	Nora
769529	386504	Croisette
769529	389790	Renata de Santacruz La Gata
769529	389881	
769529	392790	
769529	393329	
769529	395401	María del Soto
769529	396883	
769529	397170	
769529	397569	
769529	398812	
769529	402290	
769529	403756	
769529	411713	
769530	28955	Rita/Vecina #3
769531	14663	
769531	69023	Teresa
769531	73065	
769531	83129	Etelvina
769531	85960	Alicia
769531	91410	
769531	99354	Margarita Godinez
769531	103756	Albertina
769531	107838	
769531	108535	Fando's Mother
769531	135113	
769531	135277	doña Angustias
769531	140819	
769531	189020	
769531	202287	Aunt
769531	216538	
769531	250986	
769531	265163	
769531	270070	
769531	275509	Señora Landa
769531	296502	Adelaida Covarrubias
769531	301117	(segment "Gloria")
769531	302111	
769531	332656	
769531	351461	Directora
769531	355441	Josefa, la Corregidora
769531	355745	Victoria
769531	379131	
769531	379461	Elvira Armendáres
769531	379890	Esperanza
769531	380092	
769531	380099	Aya
769531	381169	
769531	381261	Laura Palmer
769531	381839	Esther
769531	383392	
769531	383471	
769531	384632	Ana María
769531	385333	
769531	385413	
769531	387088	
769531	389641	
769531	390816	Rosa Hernández
769531	391422	
769531	393363	Ofelia Casasola
769531	395859	
769531	396418	
769531	396883	
769531	397601	
769531	398486	
769531	399618	
769531	399709	
769531	400655	
769531	401690	Doña Mercedes Escobedo
769531	402049	Mercedes
769531	403365	Sor Ursula
769531	404985	
769531	409907	
769531	410015	
769531	410479	
769531	411693	
769531	412188	
769532	82593	
769533	46251	Simona
769534	336265	Secretaria alcaldía
769534	385338	Various Caracters
769535	12203	Laura
769535	204268	Sara
769535	230343	Cara
769535	298076	Vampire Girl
769535	358477	Mele
769535	393059	Herself
769536	378446	
769537	288803	
769539	48800	
769539	66084	
769539	111992	
769539	212498	Malena Elías
769539	226363	
769539	278935	Uncredited
769539	376749	
769539	384065	Mariel
769540	25103	
769540	58408	Carmen
769540	64431	
769540	146564	Footballer's Girlfriend
769540	247296	Julia Méndez
769540	248749	Leo's sister
769540	380535	Poncia
769540	382543	
769540	387273	Magaly
769540	387916	Felicia
769540	401481	Fatime Hassam
769540	402411	
769540	406852	Susana
769540	408180	Eva Félix
769541	250428	Angel
769542	103701	
769542	158622	
769542	357892	
769543	381287	Participant (2000)
769544	68513	
769544	258005	Tart
769545	353845	
769546	51254	Clarisse De l'Esperance
769546	59696	Marie
769546	157235	
769546	158877	Gilberte
769546	183601	Hilda
769546	243022	Betty
769546	258238	Cécile
769546	258865	La Jeune fille
769546	356496	Solange
769546	357040	Solange
769546	389784	Myriam
769547	117588	Girl
769548	20787	Parking Lot Woman
769548	82662	Police Officer
769548	375774	Louise
769549	187627	Cantante (Club Naútico)
769551	65069	Herself
769551	65070	Herself
769551	65072	
769551	65073	Victim #1
769551	137111	Glauren
769551	410294	Herself
769552	8305	Lola
769552	10005	Reina sabel la Católica
769552	12065	Eloísa
769552	14783	
769552	17071	
769552	24908	
769552	30856	
769552	51535	
769552	52604	
769552	53640	Herself
769552	55910	
769552	55929	
769552	65412	Blanca
769552	70611	
769552	74555	
769552	80240	
769552	82347	
769552	95345	
769552	96272	
769552	96338	María Teresa Murillo
769552	99485	Mariana (as Amparito Rivelles
769552	103836	
769552	103858	
769552	103860	Isabel de Farnesio
769552	104524	Eugenia de Montijo
769552	110233	
769552	118156	Herself
769552	118157	Herself
769552	121250	Laurencia
769552	121394	
769552	140562	Laura
769552	140578	
769552	143701	
769552	145265	Maria Diaz
769552	154543	Herself - Winner: Best Lead A
769552	156086	Herself - Presenter
769552	159188	
769552	159226	
769552	170274	
769552	183503	
769552	187887	
769552	199781	
769552	202560	Malvaloca
769552	205001	Retamar
769552	206862	
769552	206986	
769552	209470	
769552	220808	Baroness Nagel
769552	236032	Dona Paz Rocosa
769552	243794	Herself
769552	257570	
769552	263069	
769552	265114	Paz
769552	270013	
769552	275509	
769552	284841	
769552	300720	
769552	307301	
769552	307839	
769552	339113	
769552	355745	Alejandra Castelar
769552	377178	
769552	379096	
769552	379241	
769552	380322	Anita de Montemar
769552	385254	Cristina Guzmán
769552	385335	Marisa Cruces (adulta)
769552	386867	
769552	387873	
769552	389642	Gabriela
769552	390420	Doña Mariana
769552	391523	
769552	392651	
769552	395402	
769552	395841	
769552	396243	
769552	398069	
769552	398477	
769552	398485	
769552	399406	
769552	400493	
769552	400943	María
769552	401094	
769552	401149	
769552	403109	Doña Paula
769552	405414	
769552	405977	
769552	408586	Lidia
769552	408846	
769553	48180	
769554	24908	
769554	405414	
769555	91422	
769556	3574	Luisa
769556	8284	
769556	19215	
769556	33813	
769556	51907	
769556	57969	
769556	73380	
769556	82423	
769556	86332	
769556	102334	
769556	112655	
769556	133034	
769556	158772	La signora Crosby
769556	162083	Lady dancing
769556	179779	Shabana
769556	187440	Elvira
769556	199820	La vedova
769556	235368	Angela
769556	242665	Luisa Rivelli
769556	260410	
769556	276127	Lizzie Miller
769556	295136	Clotilde
769556	301363	
769556	301791	
769556	307459	Anna
769556	315448	
769556	319766	
769556	328738	
769556	336148	
769556	341417	
769556	344429	
769556	349652	
769556	351072	
769556	355787	Maria Pia
769556	356985	Zellara
769556	377583	
769556	386743	Sheila
769557	16867	Francesca
769557	18350	Sophie Ahrendorff
769557	35034	Angelina Bianco
769557	65581	Eleonora
769557	103817	Linda
769557	112912	Tazi
769557	167063	Sharon
769557	309820	Ilaria
769557	347573	Young Rafaella
769557	384816	Young Mercedès
769558	154253	Carly
769558	330918	Kiki McCarthy
769559	59664	Guest at Party
769560	375116	Zipporah
769561	174908	
769562	275324	
769563	349847	Maruja
769564	197972	
769565	213105	Julie
769567	57878	Profesora
769568	152894	Calendar Girl
769569	328086	Chala
769570	10223	
769570	48292	
769570	289373	Scalphunter's woman
769571	380059	Marilú
769571	395885	Mirtha Gómez
769572	321320	
769573	404138	Additional Voices
769574	376640	Gaby
769574	379602	Silvana
769574	387090	Regina Villareal
769574	387100	Gina
769574	392290	Elena
769574	396852	Marcia Montenegro
769574	397593	Marisa
769574	402540	Giovanna
769574	405398	Isabella de Peñalbert
769574	405415	Mariana Campos Ortiz de Marto
769574	406861	Isabel
769574	412192	Ángela Bellati Gallardo de Ba
769575	129113	Monica
769576	281927	The Hustle Couple (The Hustle
769577	202511	Jolene
769578	71002	
769579	49441	Video Reporter #3
769579	51989	Aerobic Girl
769580	166087	
769580	317811	
769581	237675	Chambermaid #1
769582	297920	
769583	375694	Girl in Swing
769584	8556	Flores
769585	687	Herself
769585	2527	Herself
769585	2542	Herself
769585	2762	
769585	2779	Herself
769585	2810	Nominee 'Nine'
769585	2816	Presenter for Best Choreograp
769585	47363	Herself
769585	47382	Herself
769585	47385	Herself
769585	61156	Nickie
769585	125999	
769585	140816	Herself
769585	172605	Giannina
769585	175522	Honoree
769585	175537	Herself
769585	175541	Herself
769585	175545	Herself (honoree)
769585	192840	Herself
769585	205317	Josie Hopper
769585	208661	Risa Dickstein
769585	223077	Herself
769585	223905	Herself
769585	230684	Herself
769585	241098	Witch
769585	256504	Fastrada
769585	296552	Our Guests at Heartland
769585	321154	Nickie
769585	330818	Herself
769586	163568	Steve's friend
769587	197731	Josie
769588	114621	Amanda's friend
769589	979	Paulina
769590	185582	Martha
769591	185582	
769592	264441	
769593	185946	
769594	217745	Art History Student
769595	368348	Herself
769596	190273	Spanish Singer
769597	135074	Militia #2
769598	250700	
769599	33179	Ballet Dancer
769601	194938	Villager
769602	25813	
769603	339028	
769604	96834	
769605	390096	Karina
769606	315696	Herself
769606	330246	Maria, Sister of Giuliana
769607	38845	
769607	47040	
769607	48201	
769607	75242	A Friend
769607	90684	
769607	125760	
769607	159495	
769607	219562	
769607	234713	Tina
769607	238881	
769607	255036	
769607	259700	
769607	263272	Leda, la perpetua
769607	377173	Luisita
769607	387217	Professoressa Grossi
769608	236972	Child at the Party
769609	188453	Opening Sequence Girl
769609	204354	Marisol's Abuela
769610	213389	Vecina de Carmen
769611	115179	Cop
769613	40252	Karen
769613	49347	Señorita
769613	185053	Model
769613	206488	Cindy (Byron's co-worker)
769614	248870	Elisa
769615	70660	
769615	73531	
769617	34721	
769617	178321	
769618	89881	
769618	400738	Pinky Lee
769619	75571	
769619	121649	Senorita at the Telegraph Des
769619	196558	Bit part
769619	274728	Elena
769620	5972	Salvatore's Wife
769621	44659	Sra. Gundín
769621	204989	Manuela
769621	402045	Balbina Santos
769622	96834	
769622	149258	Cotton Club Dancer
769622	272859	Carmen
769622	298769	Clerk 1/Filthy Woman
769623	39142	Nurse #2
769624	207646	Isabel
769625	310393	Tina
769626	4924	
769626	68968	
769626	324841	
769626	326305	
769626	380059	
769626	396898	Altagracia
769626	410477	
769627	77705	Patricia
769627	396179	Almudena Velázquez (2003)
769628	212506	Arminda
769629	56100	Astrodi
769629	59125	Madwoman
769629	79083	Woman
769629	97023	Marika
769629	111928	Rifka
769629	128406	German Waitress
769629	153246	French Singer
769629	153885	Marika
769629	252741	Madame Lopez
769629	354649	
769629	357068	Madame in Bordello
769630	102117	Lisa
769631	156583	
769632	115886	Elle
769632	194664	
769633	69710	
769633	209068	
769633	279428	Lead singer, dancer
769634	35597	Townspeople
769635	78800	
769636	351830	
769637	12029	
769637	51828	
769637	74541	
769637	162955	
769637	376865	
769638	43115	
769639	241471	Marisol
769641	207440	Captain America Kid
769641	392116	Chloe
769641	403846	Hillary Winston
769642	62628	Cambucha, Sister Clara
769643	55110	Norma
769644	168326	Lady at Doo Wopp Party
769645	246530	Pager office employee
769646	281603	
769647	70517	
769648	2454	
769648	3398	
769648	8144	Rina
769648	9253	
769648	19386	
769648	20678	
769648	21587	
769648	21672	
769648	21703	Maru
769648	22672	
769648	45762	
769648	47750	
769648	51581	
769648	51599	
769648	51700	Juanita
769648	52615	
769648	54844	
769648	57427	
769648	67366	Beatriz Torres
769648	68588	
769648	68963	
769648	69296	
769648	70833	
769648	71085	
769648	71298	
769648	74647	
769648	74944	Laura
769648	87620	
769648	91317	
769648	91351	
769648	91421	
769648	99806	
769648	109348	
769648	112038	
769648	120705	
769648	120709	
769648	120712	
769648	121316	Carmen
769648	135203	
769648	143790	
769648	145181	
769648	145224	
769648	148073	
769648	161954	
769648	164424	
769648	167802	
769648	168666	Gloria
769648	199987	
769648	202567	
769648	205882	
769648	207649	
769648	207925	
769648	213723	
769648	215406	Ana Falcon
769648	221695	
769648	235311	
769648	244642	
769648	246194	Elodia, the servant
769648	246409	
769648	253293	
769648	255504	Dora
769648	256786	
769648	263211	
769648	265535	
769648	272638	
769648	275068	
769648	275275	
769648	281607	
769648	286019	Maria
769648	292954	
769648	301166	
769648	307512	
769648	307809	
769648	317681	
769648	317920	
769648	322250	
769648	327932	
769648	332574	
769648	332670	
769648	332971	
769648	337441	
769648	339027	
769648	339158	
769648	352005	
769648	377173	Patricia
769648	377187	
769648	378463	
769648	384831	Sofía de Linares
769648	398452	
769648	400949	
769649	253022	Presentadora
769650	170270	
769651	117424	Dancer
769651	195467	Bride from wedding
769652	104063	
769652	211045	Actriz 1
769652	379566	Isabel (1997-1998)
769653	404138	Additional Voices
769654	70104	Cecelia Benitez, Lou Savage's
769654	236870	Ana Sanchez
769655	215902	L.A. woman 5
769655	408848	
769656	23879	
769657	139136	
769657	154536	Herself
769658	193000	Extra
769659	285577	
769661	106617	Dancer
769662	253915	Indian
769663	321797	Herself
769664	380391	Luisa Rivera (1993-1997)
769665	27339	Soccarro
769665	147866	
769666	354209	Krystal
769667	66874	
769668	380339	Melissa Santos
769669	79971	Miss Greensbaugh
769670	384519	Host (2002-2003)
769670	392213	Host (2000-2002)
769670	405318	Nayelli De La Parra
769671	80833	Calusa tribe
769672	3352	Arturo's wife
769672	186532	Moza 2ª (Girl #2)
769673	380087	Carolina
769673	385367	Michelle Adriana Malavé Betan
769673	395373	Tatiana
769673	398662	Ana Karina
769673	410297	Celina Requena
769673	410385	Carolina
769674	277337	
769675	149618	
769676	199912	
769676	379552	Tracey López/Mariela
769676	383272	Julieta
769676	383518	Maestra Jimena
769676	383519	Maestra Jimena
769676	384980	
769676	391991	
769676	401435	
769676	405416	Sagrario
769676	411576	
769677	45591	Supermodel
769677	353499	Herself (Model)
769678	136919	
769679	250793	Charo
769680	206018	
769680	343629	María Belén
769681	193157	Rosa
769682	43278	Doctora Fuentes
769682	383557	Natalia (1997-99)
769682	399606	Host (2000-2004)
769683	384507	Dancer
769683	403904	Dancer
769683	406972	Dancer
769684	85579	
769684	378975	
769684	380517	Olga
769684	383268	Elsa
769684	384126	Mabel
769684	386077	Gina
769684	402181	Aurora
769684	405834	Peggy
769685	61159	Betty Boyd, as a baby
769685	71784	
769685	107696	Headwaitress
769685	113844	
769685	118446	Marjorie, as a child
769685	183413	Little Yvonne
769685	241531	Rock Person
769685	274529	Cornblossom (age six)
769686	4127	
769686	14985	
769686	122861	
769686	138338	
769686	146969	
769686	174794	
769686	181672	
769686	202415	
769687	303119	Marta
769688	396873	Valentina
769689	389688	Anita Ramírez
769690	187627	Señora en Catedral
769691	405842	Alicia
769692	74865	Kid
769693	56332	
769694	401884	Herself/- Finalist
769695	56332	
769696	42911	Herself
769697	56332	
769698	223720	Girl in a tutu with a gun
769699	88623	Ella
769700	282440	Clarice
769702	126724	
769703	245992	Vicki
769704	411500	Drusilla Paddock
769705	1249	
769705	2436	
769705	11350	
769705	12748	Blonde Portraying 18yr Old Gi
769705	26161	
769705	26521	
769705	32061	
769705	33020	
769705	43884	
769705	52209	
769705	60339	Cheerleader
769705	67137	
769705	120002	
769705	136458	
769705	150032	
769705	171010	
769705	185921	
769705	219057	
769705	228667	
769705	232878	
769705	233712	
769705	233739	
769705	247919	
769705	256747	
769705	264796	
769705	273296	
769705	297334	
769705	321162	Jeanie
769705	327705	Angel
769705	347287	
769705	353687	
769705	363957	
769705	372564	
769706	687	Herself
769706	723	Herself
769706	846	Herself
769706	2563	Herself - Presenter
769706	3844	Herself
769706	34903	Herself
769706	42383	Herself
769706	63106	Herself
769706	64567	Performer
769706	97355	Herself
769706	109370	Herself
769706	114095	Herself
769706	121804	Herself
769706	131915	Mom/Blanche
769706	133819	Herself
769706	138730	Herself
769706	145637	Floressa
769706	147853	Herself
769706	149712	Herself
769706	151636	Irma
769706	160888	Dolly Bellows
769706	161285	Herself
769706	168129	Herself
769706	168130	Herself
769706	171123	Herself
769706	183590	Bibi Grant
769706	188033	President Rivers
769706	190912	Herself
769706	194211	Julie
769706	201537	Herself
769706	203328	Herself
769706	222495	Miss Piggy's Co-Worker
769706	227539	
769706	228969	Herself
769706	266698	Herself
769706	270265	Nurse with Hot Colon
769706	277700	Herself
769706	294798	Herself
769706	300230	Joan Rivers
769706	310184	Dot Matrix
769706	321448	Joan
769706	326479	Herself
769706	345807	Herself
769706	352697	Herself
769706	363723	Spike
769706	368817	Herself
769706	380391	Meredith Dunston (1997)
769706	383309	Host
769706	385771	Evil Empress Zonthara
769706	387438	Narrator of 'The Adventures o
769706	391827	Herself (semi-regular, 1976)
769706	392246	Herself
769706	393570	
769706	393571	Host
769706	393572	Herself
769706	395223	Herself/Host (1986-1987)
769706	399244	The Center Square (1987-1989)
769706	407493	Herself
769706	408495	Herself - Regular Guest Host 
769706	408497	Regular Guest Hostess (1983-1
769707	128429	Pretty Love Interest
769708	65628	Teen at Party
769710	79279	Sandra Morely
769710	81117	
769710	135561	Mrs. Washington
769712	161407	Valerie
769714	25437	Herself
769714	34611	Herself
769714	37387	Dianne Abbott
769714	109370	Herself
769714	114095	Herself
769714	161285	Herself
769714	168130	Herself
769714	210765	Female Reporter #1
769714	245014	Talk Show Host
769714	326479	Herself
769714	385771	Evil Princess
769714	387209	Herself/Fashion Correspondent
769714	392464	Herself (9th Celebrity to Lea
769715	88465	Herself/Extra Casting
769719	96123	
769720	313635	Donna
769722	78902	Carol
769722	78998	Bobby Anne
769722	273506	Julia & Raven
769723	151166	Sandra
769723	214939	
769724	68232	Party guest
769725	384842	Katie Patrick
769726	1026	Elizabeth DeLuca
769726	10833	Hillary French
769726	51480	May Moore
769726	66581	Alana Callow
769726	185558	Shannon
769726	273853	
769726	274067	Mia Scarlett
769727	28007	
769727	51588	
769727	87085	
769727	103721	
769727	148173	
769727	159528	
769727	199798	
769727	252751	
769727	269220	
769727	275136	
769727	324527	
769728	218960	
769729	52486	
769730	376851	Farmaceutica 1ª
769731	101819	Une pianiste
769732	288948	Woman at Social Services
769732	383937	Jasmine/Paula
769734	12372	
769734	14354	Apollonie Babou
769734	100358	Une Toulonnaise
769734	107240	Mme Foucheraud
769734	144320	
769734	168346	Jeannette
769734	183277	Lucien's mother
769734	188687	L'amie
769734	220258	Mariette
769734	229752	Léontine
769734	251290	Nora Santini
769734	261845	Rose Salognon
769734	276549	Gilberte
769734	292348	Mme Bouffarigues
769734	328406	La Sauvine
769734	381683	Mme Gervais
769734	382480	Louise
769734	385135	Marie
769734	385683	France
769734	389880	Philomène
769734	393487	Jeanne Arnaud
769735	166638	Emma Alice Margaret Carew
769736	3368	Stefania
769736	76403	Betta
769736	129033	Mary
769736	286976	Bride
769737	155201	Lizbeth Hiver
769737	296020	White House Tour Guide
769738	83203	Première Ouvrière
769739	37517	Joy
769739	177969	Adora
769740	157325	Mannequin 1
769741	318488	Shop Manageress
769742	273020	in Paris
769743	337019	Lucile
769744	314072	Polja
769745	4616	Mother
769745	148258	Lynn
769746	254154	
769747	249713	
769748	129216	Marie
769749	257414	
769751	113222	
769752	10377	La jeune rebelle
769752	23692	La cousine
769752	94386	Natacha
769753	273020	in Paris
769754	362080	
769755	355864	
769756	262994	Irène
769757	273020	in Paris
769758	2569	L'infirmière
769758	53234	Mme Lebon
769758	73186	
769758	83387	
769758	140304	La marquise
769758	258332	Une mariée
769758	275310	Mme Duteil
769758	332216	La troisième dame
769758	379103	Mme Barbason
769758	392602	
769758	404153	
769759	57876	Serveuse
769759	401329	Vanessa
769760	345481	Gilberte
769761	2413	L'arnaqueuse/The Swindler
769761	16980	Madame Laurent
769761	43642	Isabelle
769761	52011	Lucie
769761	64333	Herself (1982)
769761	65138	La conductrice
769761	69932	Isabelle
769761	69933	Dora
769761	71877	Juliette
769761	111020	Anne
769761	112888	Anne-Marie
769761	116436	Anna Daubigny
769761	160981	Hélène Brunel
769761	197914	Judith
769761	205771	Louise
769761	222828	Muriel's Mum
769761	247978	La mère
769761	252710	pucelle, dame, Fille de Garin
769761	271372	Paula
769761	273020	Delphine
769761	282017	
769761	282019	
769761	282020	
769761	286655	La conseillère d'orientation
769761	308205	
769761	327575	
769761	345065	
769761	353886	
769761	357834	La cliente aux bottines fouré
769761	376596	Simone
769762	170293	Loïs, la servante
769763	249713	
769764	112862	Marie-Paule
769764	207931	Jeanne Trois
769764	269822	Monika
769764	291589	Eve
769765	382255	Busty Farquar
769766	146919	
769766	186508	
769766	193959	
769766	231735	
769766	302114	
769766	333445	Girl
769766	338109	
769766	370594	Yael
769766	383973	Milca Elifaz
769766	387890	Dina Rosenthal
769766	394853	Liora
769767	156858	Herself
769768	51067	Une danseuse
769769	62431	
769770	38343	
769772	80341	
769773	348099	Sue Wilson
769774	382710	Herself - Newsreader (1983-)
769775	176864	Nurse #10
769776	210077	
769777	326471	Anette O'Brian
769778	57573	Helen
769779	70883	Melody Lane
769779	139620	Various characters
769779	175784	Mum
769779	248991	Nurse
769779	382838	Alison Dicks (1995)
769779	384601	Jenny
769779	385643	Angie
769779	391082	Mom (1997)
769779	396376	Helen Nicholson
769779	403704	Maureen
769779	405297	Gilly Bell
769780	41959	
769781	263137	Herself
769782	18207	Club Patron
769783	81644	
769784	45299	
769784	57936	Herself
769784	154345	Sean
769784	258232	Kelli Kelly
769784	320825	Annie
769784	348835	Margaret
769784	382590	
769785	407465	Presenter/Narrator
769786	213479	Alpha 5
769786	231271	Marie
769787	89506	
769788	144681	Bea
769789	38472	
769790	209033	
769791	115329	
769791	182161	
769791	371649	
769792	351858	
769793	259045	Zulfi
769794	186250	
769795	353499	Herself (Model)
769796	29670	Harem
769797	4490	
769797	19914	
769797	25486	
769797	25488	
769797	28737	
769797	36599	
769797	65547	Cleopatra
769797	76803	
769797	82020	
769797	82569	
769797	88683	
769797	88973	
769797	137328	
769797	152153	
769797	172391	
769797	172636	
769797	173309	Mother
769797	200382	
769797	202411	
769797	202866	
769797	260882	
769797	271587	
769797	271590	
769797	276306	The Aunt
769797	285237	
769797	288038	
769797	297846	
769797	300041	
769797	317723	Suad, the gipsy
769797	327314	
769797	358097	
769797	370254	
769798	233249	
769799	218792	Lida
769800	28224	
769800	98605	
769800	207817	
769800	215655	
769800	244168	
769801	55110	Carla's Family #8
769802	100778	
769803	28290	
769804	355544	
769805	8123	Nitsa
769805	9162	Nitsa
769805	20125	
769805	98422	
769805	100557	
769805	100630	Mrs. Kostatzi
769805	102693	
769805	104390	Sofia Raizi
769805	122782	Youla Tarniani
769805	130475	Katina
769805	174632	
769805	178530	
769805	178734	
769805	178735	
769805	180505	
769805	182443	
769805	213542	
769805	227481	
769805	306962	
769805	343324	
769806	380559	
769806	395090	Magia Levendi
769807	125694	Grandmother
769808	237117	
769808	246896	
769809	202576	
769810	60179	
769811	15030	L'hôtesse de l'air
769812	247560	Maxine
769813	235645	Maria
769814	81918	
769814	223835	
769814	313209	
769815	116280	Naomi
769816	139781	Tommy's Girlfriend
769817	54785	
769818	75241	
769818	133395	
769818	213805	
769818	229996	Mary
769818	263722	
769818	276458	
769818	378972	Dr. Christine Flemstad/Androm
769818	389726	Dottoressa Mayer
769821	58507	Cellmate
769822	75254	Donna Bella
769822	317309	Pro Tour Peanut Gallery
769822	400789	
769822	409936	Stefania De Caro
769823	39627	Dancer
769824	367073	Ozmite
769825	318606	Sullivan
769825	404897	Little Girl (lead) (Pete the 
769826	300801	Kika
769827	391397	
769828	353294	Academy Girl
769829	85968	
769830	269667	Marie
769831	81069	Star
769832	391397	
769832	395905	
769833	351214	Contraption singer
769834	251606	
769834	318405	
769835	139595	Lena
769835	279594	Angela, Jackie (dual role)
769835	362869	Lisa
769835	386197	Det..Parici
769836	353152	Donna Carmela
769837	395865	Graça Tomé
769837	401805	
769838	75368	
769839	13789	Spartanette #10
769840	10917	Call
769841	19523	
769841	23523	
769841	45134	Ginette
769841	52875	Gwendalina
769841	68646	Lilly
769841	92072	Margharita (segment "Sì buana
769841	183067	Vanessa Lelli, dottoressa
769841	213804	Martina/Fiorella
769841	246430	
769841	257528	
769841	270783	Vanna
769841	277569	
769841	278697	Angela Pastorelli
769841	291562	Anna Grisaglia
769841	295178	Angela Marconcini
769841	295179	Angela Marconcini
769841	308228	
769841	347471	
769841	349521	Angela
769842	101597	
769843	41410	Sun's Student
769844	294028	Rin
769845	134957	
769846	29345	Nurse at Sophiahemmet
769846	84287	Sjuksköterskan
769846	277817	Pesant woman
769847	300589	
769848	174152	
769849	56174	Claudia
769849	263761	Mrs. Swai
769850	57	
769850	322971	
769851	237980	
769852	341615	
769853	201346	Waitress
769854	197545	Thelma
769855	290396	
769855	326407	
769856	190273	Ballerina
769856	230445	Bronwen
769857	138890	Clare
769857	148848	Desk Nurse
769857	405526	Jane Seymour
769858	27205	911 Operator #2
769858	73560	Gay Woman
769858	78121	Inmate
769858	273271	Biker Chick
769859	170599	Choir member
769860	342531	Woman on the porch
769861	294524	Librarian
769862	24240	Mrs. Klinkoff
769862	51975	Inmate
769862	110006	
769862	191664	
769862	230693	Shopper
769862	278487	
769863	158141	Extra
769864	194374	Little girl
769864	407019	
769865	303754	Skater #1
769866	139450	Rev. Margaret
769867	210387	Girl's Group
769867	218721	
769867	220963	Mary Bunting
769867	244456	Jessica
769867	370874	Keten Webb
769868	356896	Drew's Aylinde child
769869	11141	Co-ed
769869	11609	Betty
769869	54479	Tess Bailey
769869	109415	Emmy Lou, Miss Atlanta
769869	116284	Girl
769869	118718	Mary Lou
769869	143610	Vera
769869	215637	School Girl
769869	231317	Honeymooner
769869	277951	Marian Adams
769869	279361	Priscilla
769869	321616	Extra
769869	326199	Chorus Girl
769869	341969	Dixie Gale
769869	342947	Chorus Girl
769869	347128	Violet
769870	114071	
769871	328808	Cathy's Mother
769872	305990	Barrytown Neighbour
769873	87551	Debbie
769874	131774	Miss Shackelford
769874	139581	
769874	282711	Sarah Ashmond
769875	347063	Demon
769876	7036	
769876	38049	Townswoman
769876	41084	Motherly Woman
769876	49957	Agatha Larimer
769876	56749	Mrs. Hansen (cleaning lady at
769876	69237	Matron
769876	92185	Ma Haines
769876	114649	Cook
769876	117801	Matron
769876	118321	Housekeeper
769876	141030	Louisa Headley
769876	146854	Matron
769876	154623	Matron
769876	154952	Passenger
769876	163507	Martha
769876	185991	Woman at Apartment
769876	186352	Ma Cain
769876	187951	Clo-Clo's Mother
769876	193678	Ma Daniels [Chs. 8-9]
769876	203470	Sarah
769876	215862	Mother
769876	227338	First Prison Matron
769876	276754	Buckskin Liz Bancroft
769876	280292	Townswoman
769876	295470	Mrs. Wheeler, Settlement Hous
769876	337366	Matron
769876	366492	Bridge player
769876	367538	Matron
769877	30463	Karen Treller
769878	358140	Secretary 2
769879	6722	Herself
769879	6725	Herself
769879	50379	
769879	62420	
769879	178716	
769879	254706	
769879	333834	
769879	361893	
769880	167051	
769881	395374	Programleder (1974)
769882	182531	Publisher's Daughter
769883	142230	Sonja
769886	255146	Miss Gopher City
769887	411529	Anchorwoman (1981- )
769888	258332	La mère de Christine
769889	78570	Dancer at Salón Los Ángeles
769890	380391	Maggie Cory #2 (1983-1985)
769891	176335	Goldwyn Girl
769892	94662	Lucrezia
769893	330057	Girl
769894	23564	
769894	28776	
769894	109082	
769894	340008	
769895	17506	Lady Son Klin
769895	51975	Elaine
769895	78140	Vi
769895	178096	Customer
769896	83374	Herself
769896	135346	Witness
769897	41197	Karen Brooks
769898	4681	
769899	304250	
769900	379928	Herself
769901	35750	Herself
769902	47588	Old Folks Home
769903	74785	Jack's Mother
769903	88410	Basia's Mother
769903	131954	Guest
769903	341068	
769903	363512	
769903	397622	Urszula
769904	140996	Teresa
769904	205426	Bianca
769905	13960	Samantha Parkington
769905	32355	India 'Opal' Buloni
769905	59578	Violet Beauregarde
769907	221125	Winnie
769907	366889	Twin #2
769908	249548	
769909	221125	Minnie
769909	366889	Twin #1
769910	367657	Mrs. Candy Promise-Upton
769911	352723	Mrs. Green
769912	326604	Bundy Victim
769913	107082	
769914	313321	Miss Markham, publicity depar
769915	194052	Smitty's Daughter
769916	95133	Case Worker
769917	382052	PC Andrea Dunbar (2004-)
769917	386599	Dr. Jude Carlyle (2001-2004)
769917	386963	Lizzie Conlon (2000-2001)
769917	395924	Kate (2001)
769917	406921	Maria Ioannides (Series 1) (1
769917	407414	Trish McDonald
769918	105962	Sylvia
769919	73637	Dassine
769919	111056	Taha
769919	205210	Gritcha
769921	148709	
769921	157065	
769921	166172	La secrétaire du responsable 
769921	338031	Lucette
769922	90030	
769922	328678	Juffrouw Hakkenberg
769923	344997	
769924	69053	Club Patron
769925	104773	Herself
769926	228383	Maj Thörner
769926	346974	Birgit
769927	142105	
769927	350624	
769928	36640	Florista
769928	64978	Silvana
769928	103005	Maria
769928	146549	
769928	221744	Berenice
769928	233948	Prostitute
769928	385402	
769928	386882	Susana
769928	393028	Valeria Millet
769929	403376	Marianne
769929	405209	Courtney Williams (2000)
769930	228785	Video Narrator
769930	384880	Presenter
769930	409248	Herself (presenter)
769931	32372	
769931	296671	Film crew
769932	314351	Leider Singer
769933	246006	Police Officer
769934	353388	Nosy Neighbor
769935	40800	Davison Doctor
769935	42386	Vigilante
769935	72504	Augusta Weissberger
769935	75479	DCFS Caseworker
769935	80508	Prison nurse
769936	46334	Art Hostess Kaye
769936	71675	Cheryl
769937	11519	Valerie Ann Platt, Bobby's Mo
769937	77211	Deborah Mattis
769937	176960	Sylvie
769937	223700	Maureen
769937	232510	Darla
769937	279630	Various characters
769937	292197	Molly Ward
769937	348354	Bryony
769937	353490	
769937	383631	Sgt Rachel James (2001)
769937	403849	Dr. Jill Weatherill
769938	82766	Herself
769939	139942	Dorothea Mitchell
769939	142153	Mrs. Montgomery
769939	165446	
769939	379612	Mrs. Alice Aldrich #3 (1951-1
769941	147784	
769942	340791	Female FBI Agent
769943	21773	
769943	33779	
769944	359983	
769946	195	Loretta Cates
769946	72217	Reporter
769946	150677	Stewardess
769947	187497	Rhoda Hogg
769950	86998	Sylvia
769950	136041	Bride
769950	154780	Pearl, Vic's Girl
769950	280130	Vougette#1
769950	330689	Buz Dietrick
769950	408447	Carol Potter
769951	133475	Frankie Jean
769951	194055	Sara Thompson
769951	263282	Dana
769951	333205	Mrs. Matthews
769952	161188	Waitress #3
769952	302575	Sophie
769953	79757	Aimee Godsey
769953	113315	Lisa
769953	220018	Aimee Godsey
769953	276794	Amy Allen
769953	360711	Aimee Godsey
769953	385824	Dianna Parker #3 (1984)
769953	404282	Nurse Kathleen McDougall (198
769953	411802	Cindy Lake (1982-1993)
769954	323594	Audition Singer
769955	158607	
769956	361838	Aya Canova
769957	33912	Herself
769958	246949	
769959	30334	
769959	34469	
769959	38039	
769959	48050	
769959	49650	
769959	51494	Mrs. Dusenberry
769959	61393	
769959	64520	
769959	73711	Susan Dough
769959	144599	
769959	165821	Mrs. Rangle
769959	190603	Mrs. Blossom
769959	203485	Lady Mary
769959	253429	
769959	308863	
769959	308865	
769959	308866	
769959	308870	
769959	310223	
769959	341941	Mrs. Jones
769959	345991	
769959	365950	The star's maid
769960	70972	Zombie
769961	279630	Various characters
769961	353490	
769962	317248	
769963	42386	Singing Vigilante
769964	26352	Carrie
769965	30122	Shirlene May
769965	33599	Dixie 'Deadshot' McCoy
769965	35420	Terry Romaine
769965	46964	Countess Flora
769965	52140	Adelaid Adams
769965	91763	Marge Baggott
769965	121585	Ruby Rawlings
769965	128308	Gwen Arden
769965	136048	Lou Crenshaw
769965	139639	
769965	158331	Shirley Pianatowski
769965	220958	Gloria Williams
769965	223829	Dawn O'Malleyl (The Untouchab
769965	223981	Jenny Kepes
769965	239076	Marie Carle
769965	269032	Kate
769965	270381	Elaine Gannin
769965	316890	Marie Donnelly
769965	331456	Terry Lordel
769965	391810	Regular
769966	391835	Talking head/soundbites (segm
769967	49973	Cabaret Woman
769967	73484	Jackie
769968	27213	Landlord
769968	144863	Jane
769968	151501	Twin #1
769968	274663	Twin
769969	105732	Dorothy
769969	185204	Nurse
769969	219903	Flower Lady
769970	35705	Annette Gascoyne
769970	114152	Elise
769970	141422	Sandra
769970	279630	Various characters
769970	285302	Kirsty's Mother
769971	104755	United Kingdom entry (3rd pla
769972	6936	Reporter
769972	7979	Annette
769972	19601	Edna Beechwood
769972	35131	Jane
769972	41393	Sybil
769972	68144	Lois
769972	81222	Nancy
769972	87507	Nun
769972	141965	Sandra Zucker Hall
769972	235005	Ellen
769972	241604	Maria
769972	256593	Soad
769972	280270	Owner of Pet Shop
769972	280281	Gloria
769972	280305	Gloria
769972	329954	1st Neighbor
769972	330311	Reception Guest
769972	340791	Director's Assistant
769972	344514	
769972	353418	
769972	391069	Frannie
769972	396145	Judi
769973	26782	
769973	34863	
769973	39906	
769973	75191	
769973	98852	Casting Agent
769973	111059	Michelle
769973	113804	
769973	127806	Herself
769973	143454	
769973	243113	
769973	295812	
769973	295857	
769973	296177	
769973	296680	
769973	298220	Hooker #4 in Lineup
769973	313261	
769973	321005	
769973	328302	
769973	368322	
769974	192254	Passerby
769975	31063	Nurse Claycomb
769976	167600	Mercedes
769976	373347	
769977	65531	Shirley
769977	139608	
769977	323825	Guest
769977	395647	Nurse
769978	27213	Landlord
769978	144863	Hannah
769978	151501	Twin #2
769978	274663	Twin
769979	256778	Martha Coogan
769980	44895	
769980	75059	
769980	339766	
769981	363718	Herself (singer)
769982	26799	2. Female Gayan and Valerie
769982	49389	The Queen
769982	87674	
769982	87675	
769982	87676	Carlotta
769982	241064	Bella White
769982	279630	Various characters
769982	295806	Joan
769982	311420	
769982	330028	Herself
769982	353490	
769982	365889	
769982	372069	Rita Cohen
769982	378710	Singing Ring
769982	381935	Herself
769982	381950	Sorceress Abigail
769982	385299	Kate Loring (1980)
769982	387957	Voice Over
769982	388638	
769982	392656	Various Roles
769982	394208	Various characters
769982	394211	Various characters
769982	398124	
769982	399040	Bernie
769982	403815	Jemimah Wellington-Green/Vari
769982	404325	Herself
769982	406193	Various Voices
769982	406345	
769983	26308	Miss Maddy
769983	35688	Court Clerk
769983	40179	Housekeeper/Paula
769983	54629	Betty
769983	80691	Bailiff
769983	87522	Idelle
769983	87880	Waitress
769983	90345	Hallie
769983	90911	Woman With Cats
769983	160524	Woman on the Road
769983	192413	Opera Singer 'Leila'
769983	196320	Jan
769983	220034	Emergency Nurse
769983	252924	Marion
769983	281056	Woman Gate 37
769983	314163	Motel Clerk
769983	340058	Tourist Wife
769983	341849	Security Woman
769983	367081	Glenda (sic)
769983	398718	
769984	104755	United Kingdom entry (3rd pla
769985	300164	Johnny Cash Impersonator's Da
769986	294150	
769987	93223	Terry's Bowling 'Date'
769987	114169	Crystal
769987	294246	Jonquil Cary
769988	210765	
769988	277746	Caitlin
769989	5036	Ms. Scott
769989	29098	Debi
769989	59881	Pam
769989	66902	Susan
769989	220032	Sheila
769989	252866	Christie
769990	82699	Jamie
769991	81062	Dutch Villager
769992	77587	Mrs. Jeffrey
769993	128741	Leslie Peterson
769993	152220	Andra
769993	337098	Female Party Guest
769993	364446	1st Maiden
769993	379716	Dr. Anna Tolan #3 (1992-1995)
769993	380390	Mandy Bolen (1981)
769993	392039	Kimberly Clark
769993	394510	Lisa
769993	396123	Christy Connor (1987)
769993	400236	Randy Fletcher (1983)/TV Repo
769993	404002	Dr. Concetta 'Connie' D'Angel
769995	190036	Herself
769996	316740	
769997	72504	Disgruntled worker
769997	80508	Aide to Gov. Benedict
769998	26352	Carrie
769998	86460	Andrea
769999	60849	Jeannie Adams
770000	291931	Raffle Woman #1
770001	72349	
770001	271987	
770003	125884	Receptionist
770003	327672	Vi
770004	143651	Dancer
770005	275674	The lover
770006	42804	Amy
770006	54391	Pauline
770006	92490	The Angel of Death/Frustrated
770006	128606	Herself
770006	291266	Maura Holloway
770006	350198	Raven
770008	201008	Miss Pickard
770008	211839	Mrs. Pfeiffer
770009	331310	Jessica
770010	318193	Dr. Hockstader's Secretary
770011	187226	Young girl
770013	41237	Linda Clarke
770013	266576	Linda Clarke
770014	373544	Kathy
770015	394406	Dancer (1989)
770016	74080	Herself (cartoonist)
770017	189325	Sylvia's Mother
770018	292596	
770019	72319	E.R. Nurse
770020	263234	Federal Marshal
770021	113116	
770022	215510	
770023	7212	Attendant
770023	24778	Lauren
770023	32632	Dove, Tim's Sister
770023	56992	Pie Mom
770023	84943	Mary
770023	105461	
770023	195669	
770023	213044	Alison
770023	214536	Jeanette
770023	269046	Susan Evslin
770023	356360	Christine Marshall
770024	6296	La madre di Mario
770024	14844	
770025	70116	
770026	108536	Elle Lymond
770027	383710	Herself - Co-Anchor (1996-199
770029	261380	
770029	270949	Gracie
770029	284446	Teacher's wife
770029	376244	
770030	222592	Earl Carroll Girl
770031	318267	Madame Legrand
770032	391066	Anne
770032	404018	Mona
770032	410628	Ève-Marie Turcotte (1996-1998
770033	2947	Sarah
770033	300549	Amy
770034	158141	Zoo patron
770035	101038	Nancy Thomas
770036	316715	Young Girl
770037	270607	School Receptionist
770038	183712	The Mother
770039	131739	Girls' Chorus Member
770040	1674	Herself
770040	35543	Girl #4
770040	84210	Herself
770041	239032	Medical Technician
770042	137972	Lady in the Library
770042	333182	Woman
770043	126686	College Girl in DOrm
770044	203918	Skid Row Resident #3
770045	256464	Extra #2
770046	195262	Lacresha
770047	156331	
770047	291575	La femme brune hospitalisée
770048	253209	Margit, Magd bei Aladar
770049	14915	Teacher (segment "Miracolo, I
770049	279901	
770049	375861	
770050	23791	Catherine, la fille cadette
770050	23793	Une jeune fille
770050	32278	La serveuse
770050	116413	
770050	121936	Blanche
770050	148719	Juliette
770050	158877	Lucette
770050	201161	Chantal
770050	225099	L'infirmière
770050	235825	Bernadette
770050	242353	Alexine
770050	286317	
770050	309447	
770050	400051	Valérie Massonneau
770050	400771	Véra
770051	32364	Becca
770051	141497	Sister Jackson, Ward Sister
770051	387027	Mrs. Edwards
770051	395595	Dilys Gower
770051	401689	Lisa Morgan (1989-2000)
770051	410695	
770052	84616	Gogo-girl du bar
770053	108361	Mirabelle
770054	340872	La contractuelle
770055	157195	Duchess of Devonshire
770056	45688	Infirmière Josée
770057	376999	
770058	48862	
770058	73644	
770058	334487	
770059	84696	Léa
770059	378814	
770059	378938	Laura
770059	380378	
770059	406790	Lisa
770059	409529	
770060	302793	Announcer
770061	205777	
770061	268937	L'hôstesse
770062	73929	Christine
770062	79478	Vice-President's Wife
770062	273969	Georgette
770063	111877	LeMeur's daughter
770064	100427	Marcelle
770064	120813	Mistinguett
770064	120879	
770064	162484	Miss Grenelle
770064	269150	Gisèle
770064	320298	Véra
770064	376968	Gilda
770065	7449	Eugénie Dargence
770065	29769	Rosine
770065	66013	
770065	112822	Mado
770065	115334	
770065	120070	Renée
770065	164181	
770065	171562	Therese, Frau des Försters
770065	182895	Kathi
770065	201200	
770065	214794	
770065	218299	Lily
770065	229002	La commère
770065	238026	
770065	249459	Micaella
770065	258842	
770065	280536	
770065	280556	
770065	281688	
770065	284662	
770065	345241	
770065	349628	Blanquette
770066	79918	
770066	206090	Madame Vernier
770066	330234	Belgian Girl
770067	5535	Garde municipal
770067	368559	Jean
770068	64951	Baby
770069	249713	
770070	53043	
770071	24735	
770071	148769	
770071	350083	
770072	957	The Clerk
770072	289517	Sandy
770073	390477	
770074	38084	
770074	60274	Nurse
770074	84616	Employée de la banque
770074	106205	Nurse at Convalescent Home
770074	215021	Flora
770074	254520	Flora
770074	336828	La première coiffeuse
770074	342611	
770074	377982	Rose
770074	399811	
770075	66220	Clémentine
770076	286228	Dancer
770077	357841	
770078	263620	Anne-Sophie
770079	254236	
770080	104236	
770081	66075	
770081	124324	
770081	175674	
770082	375769	
770083	252568	Helen Wilkes
770084	16601	
770084	266114	
770085	21531	Female Vendor
770085	50975	Mayor's Wife (Edna)
770085	78082	Waitress
770085	90911	Dean of College
770085	94621	Mother
770085	113305	Ticket Clerk
770085	241058	Sister Cathy
770085	253507	
770085	258103	Flea Market Sales Lady
770085	289113	Nun
770085	297228	Kim
770085	306278	Kitchen Worker
770085	366904	Tina
770086	6377	
770087	236723	Herself
770088	228338	Helen Dalton
770088	366096	
770089	26825	Patron
770090	345132	
770091	139643	Little Miss Santo
770092	200961	Dolly
770092	232931	L'Infirmière
770093	23681	
770093	353920	La chanteuse
770093	390477	
770094	68596	Singer At Night Club
770094	136288	Singer
770094	221956	
770094	281776	Roberta
770094	353786	
770094	378064	La nurse
770094	403365	Robertha
770095	306404	Soubrette
770096	289094	Reporter #1
770097	22882	Lyda
770097	36839	Countess Ysobel de Naigila
770097	67156	Mimi
770097	77717	Fanny Zabowolski
770097	126067	Manya
770097	145375	
770097	147826	Lyda Roberti
770097	176335	Rosalie
770097	214095	Mata Machree
770097	234211	Lena Marchetti
770097	255146	Dagmar
770097	331721	Jenny
770097	336031	Dora Nichols
770097	346305	
770097	364804	Kitty
770098	82350	Olga
770098	139936	Dancer
770098	311031	Estelle
770099	62513	
770099	256650	Melahia
770100	19468	Maria
770102	180602	Rosa
770103	13993	Airline Passenger
770104	70116	
770104	104110	
770104	197155	
770104	215039	
770105	188453	Saleslady
770106	263955	John's Wife
770107	93789	P.C. Jones
770108	258761	
770109	44751	Patricia Powers
770109	77792	Sally
770109	83605	Mary Ann Jarvis
770109	123222	Jud Temple
770109	168930	Ingenue
770109	171081	Claire Foster
770109	235695	Rita Hale
770109	245589	Mrs. Collins
770109	264438	Prisoner
770109	276724	Nurse
770109	279564	Doris Connor
770109	323940	Chorus Girl
770109	331180	Handmaiden
770109	331933	Barbara Allen
770109	334754	Young Woman
770110	381910	Herself (Series 3) (2002)
770110	381920	Herself (Series 2) (2002)
770111	400566	Adrienne
770112	375693	Minister's Daughter
770113	51317	Countess Anna Geschwitz
770113	71393	
770113	91983	
770113	96246	
770113	111093	
770113	210111	
770113	215519	
770113	217673	
770113	227777	
770113	268968	
770113	290021	Louise of Coburg
770113	290439	Rita Camelio
770114	388100	Herself
770114	408276	Herself (2001-)
770115	40462	Milly
770115	43281	Judy Maitland
770115	149263	Rosa
770115	176359	Emily Brooks
770115	178976	Emma
770115	212747	Lily Nelson
770115	274163	Meg Mogan
770115	287738	Ella Sue Canfield
770115	301266	Jane St. Aubyn
770115	319616	Nancy
770115	332069	Margie Hanford
770115	347136	Lorna Murchison
770116	66912	Violet (girl in hayloft)
770116	170411	Girl on stage
770117	68733	Malaika's Mom
770118	330799	Dancer
770119	234664	Liselott
770119	348985	Receptionisten
770120	141786	Ann Evans
770121	194533	Jane
770122	124502	Extra
770123	115471	Stewardess
770123	158067	Woman
770123	211602	Girl at Maxim's
770123	318138	Handmaiden
770123	321546	
770123	361841	Pioneer Woman
770125	342597	Schoolgirl
770126	399298	Herself - Top 24
770127	33698	Dancer
770127	61176	Dancer
770127	109729	
770127	114845	Dancehall Girl
770127	123852	Undetermined Role
770127	146813	Show Girl
770127	190607	Dancer
770127	197297	Blonde Showgirl
770127	231768	Chorus girl
770127	254558	Dancer
770127	321570	Dancer
770127	331713	Dancer
770127	348972	Dancer
770127	350220	Dancer
770128	131359	Suburban Baby
770128	150052	
770129	293961	Puddin's Wife
770130	116443	Girl in secretary dance
770130	335523	Edna May Cartwright
770131	43	Marquette's Mother/Woman in M
770131	40330	Mayor
770131	283546	Rhode Island Delegate
770132	5874	Miss Coble
770132	11838	Mrs. Walker
770132	32352	Wife
770132	37815	Susan
770132	43320	Miss Kane
770132	73500	Nurse
770132	80516	Nurse
770132	80815	Azura, Queen of Mars
770132	85055	Helen McCoy
770132	97890	Nurse
770132	108300	Belle
770132	113907	Divorcee
770132	115065	Queen Azura
770132	117222	Dorothy
770132	118943	Varja
770132	123681	O'Brien's Secretary
770132	140908	Secretary
770132	143355	Maid
770132	144448	Hostess
770132	163221	Bernice
770132	176912	Nurse
770132	196099	Joan Lawson
770132	206487	Azura, Queen of Mars
770132	216716	
770132	221068	Mother
770132	224404	Mannequin. Woman's Journal
770132	224610	Dr. Walker [Ch.13]
770132	224721	Woman #2 reading newespaper
770132	228639	
770132	231990	One of the 3 Graces
770132	245425	Alice
770132	249158	Peggy O'Shea
770132	254488	Monteiro's Maid
770132	254515	Nurse
770132	255828	Nurse
770132	256435	Anna Bailey
770132	273786	WAVE
770132	276663	Party Guest
770132	277899	Manager
770132	283394	Customer
770132	286899	Diner
770132	286929	Forrestal Guest
770132	289631	Secretary
770132	294038	Woman
770132	302870	Hat Check Girl
770132	316062	Miss Rogers
770132	330836	Surgical nurse
770132	332874	
770132	333319	Mrs. Weber
770132	360477	Undetermined Role
770132	361677	Woman in Party at Night Club
770132	362491	Miss Lewis
770132	364037	Marie
770132	372179	Maid
770133	14620	
770134	89483	Madlon Barkey
770134	171216	Bessie
770134	247138	
770134	306862	Mademoiselle Zalla
770134	317096	Hope Loring
770134	349996	
770135	258269	Dr. Japari
770135	399816	Brian Banerjee (1973)
770136	49838	Nurse Joan Wright
770136	52540	Jean
770136	62013	Jean 'Skippy' Logan
770136	78680	Jerry Neeley
770136	105947	Laurine Lynne
770136	114200	Susan Kent
770136	115637	Patricia
770136	130028	Jo Barton
770136	143211	Diane Ware
770136	150241	Grace Lane
770136	154680	Herself
770136	154758	Judy Harrison
770136	201065	Flossie
770136	201923	Jeane Sandford
770136	252973	Alicia
770136	302721	Ruth Haines
770136	308921	Mary Harper
770136	316048	Bonnie
770136	328067	Susan
770136	340369	Judith Adams
770136	342713	Alma Ross
770136	361637	Mrs. Jane Creed
770136	411358	
770137	41376	Girlfriend
770138	169868	Little Sister
770139	133902	'Gimp' the Hunchback
770140	147661	Herself
770142	398940	Anchorwoman
770143	42422	Tiffany
770144	117483	Radio voice
770145	184456	Soldier with the Green Whiske
770146	124502	Extra
770147	189488	Lidia
770148	307997	Young Woman
770149	265897	Megan
770150	261977	Bo
770151	362586	Lucy Robinson
770152	404724	Herself
770153	163532	
770154	224863	
770155	290936	Band
770156	26841	
770157	312901	Narrator
770158	16796	Herself/Angela's Dog Breeder
770159	368654	Bronson #5
770160	230125	Prostitute
770161	53329	Jean Harlow Maniquin
770161	104357	Commercial Actor
770161	109758	
770161	250731	
770161	274100	Marcey
770161	280305	Reporter
770163	379061	Herself - Substitute Anchor (
770164	194483	The Lord of the Dance Troupe 
770165	2937	
770165	196157	
770166	5133	Doris
770166	11786	Olga
770166	127443	
770166	184625	Model
770166	199558	Gertie, a Call-Girl
770166	255495	
770166	312891	
770166	312892	Isabell
770166	347642	Fräulein Doktor
770166	354073	
770167	176534	Additional Voices
770167	176535	Additional Voices
770167	176536	Additional Voices
770169	273429	Herself/Miami
770169	273434	
770169	273436	
770169	402993	Herself/Miami (1996)
770169	403485	Herself/Real World: Miami
770170	12228	Audition Girl
770170	283621	Officer
770171	318350	Taffy Touraine
770172	151116	Circle of Light
770173	131692	Woman in Shower
770174	378778	Herself - Correspondent
770175	379831	Angela Quartermane #2 (1989-1
770176	45505	Rita
770176	87699	Bronwyn
770176	117072	Mrs. Ashley
770176	130409	Mrs. Chubb
770176	137712	Maizy
770176	141782	Gladys Glum
770176	173349	Tansy
770176	258458	Vera
770176	279413	Gwen
770176	342863	Jessie
770176	389630	Julie Winters
770177	195761	Policewoman #2
770177	244379	Garfield Employee
770177	314460	Tropopkin
770178	303429	Jail visitor
770179	161505	Malibu Neighbor
770180	170713	'Hello You' Girl
770181	240783	Self
770182	151211	Rosabelle, George's Secretary
770182	279687	Fashion Model
770183	2545	Chorus girl
770183	90307	Bridesmaid
770183	99455	
770183	116894	Chorus Girl
770183	176335	Goldwyn Girl
770183	211610	
770183	231125	Cigarette Girl
770183	273781	
770183	297932	Woman Slapping Luther
770183	302639	Chorine
770183	342410	Chorine
770184	2797	Herself
770184	3820	Herself
770184	11426	Esther
770184	18030	Myrna
770184	29963	Hotel Maid
770184	40659	Tessie McBride
770184	41153	Mrs. Lambert
770184	52311	Mrs. Bowzer
770184	57492	Herself
770184	63134	Frances
770184	80970	Desk Clerk
770184	86033	Mrs. Van Daan
770184	112267	Great Aunt Eliza
770184	114364	Frieda
770184	121509	Sylvia
770184	131506	Marie
770184	141403	Mrs. Cantrow
770184	144226	Mrs. Kavarsky
770184	148925	Mrs. Nelson
770184	148954	Bunny
770184	155856	
770184	161241	Herself
770184	161356	Herself
770184	163286	Ma Bailey
770184	166713	Kay
770184	188578	Sadie Finney
770184	192090	Mrs. Chamberlain
770184	194180	
770184	195719	Maggie
770184	196392	Feeney
770184	196891	Rose Fiedler
770184	206130	Herself
770184	217481	Philomena
770184	223977	Rose Kaminski
770184	228969	Herself
770184	230696	Mrs. Traggert
770184	232321	Lion's Den Neighbor
770184	234075	Sylvia Poppie
770184	236696	Mrs. Barzak
770184	241074	Brady's ex-Wife
770184	241798	Lillian
770184	243269	
770184	270265	Mrs. Carpenter
770184	271364	Marie
770184	275492	Mildred
770184	281901	Mrs. Foster
770184	282920	Eva
770184	302208	Anna DiLorenzo
770184	308121	Mary Ann's co-worker
770184	308929	Marge
770184	315776	Marion Davidoff
770184	318036	Mrs. Gold
770184	319187	Mimi Finkelstein (segment "Yi
770184	323591	Jessie, the Mayor's Wife
770184	331188	Sister Philomena
770184	333343	Maddy
770184	333356	Maggie Calhoun
770184	348838	Aunt Lonnie
770184	380261	Theresa Falco
770184	382617	Doris Greenblatt
770184	387994	Marie Barone
770184	396424	Loretta
770184	396994	Dorelda Doremus (1976-1977)
770184	403158	Mildred Krebs (1983-1987)
770184	411968	Les Mutton's mother
770185	88301	Herself
770185	372093	Dancer
770185	411006	Whistler (of theme)
770186	41123	Elizabeth Liluche
770186	148570	Peter's Teacher
770186	342549	Mrs. Jackson
770187	46840	
770187	230622	Specialty
770187	266689	Sailor's Lady
770188	118271	Herself
770189	6622	Luya
770189	6624	Marama Thurston
770189	8181	May Mingott
770189	10591	Jeanne
770189	11178	
770189	26322	
770189	26886	Yvonne de Mersay/Yvonne de Ch
770189	27328	
770189	31736	Betty Brewster
770189	34450	
770189	36845	Kitty Costello
770189	37820	Lela Mason
770189	38096	
770189	44991	
770189	45215	Venitia Rigola
770189	46211	
770189	49548	
770189	49778	
770189	52526	
770189	64112	
770189	65366	
770189	73437	
770189	78010	Ruth Emerson
770189	78801	
770189	81594	Eleanor Hamlin
770189	88902	
770189	89083	
770189	90389	
770189	90432	
770189	92255	
770189	94554	
770189	110801	
770189	113753	Dulce
770189	115246	The Angel Lady
770189	116541	
770189	120686	Virginia Hayward
770189	129071	
770189	135559	
770189	139924	
770189	142128	Mary Dale
770189	143043	
770189	143138	Ellen
770189	143460	
770189	143720	
770189	144938	
770189	146316	
770189	148400	
770189	149999	
770189	158233	
770189	166048	Janet Marsh
770189	171169	
770189	178280	
770189	178706	
770189	179031	
770189	184966	Lasca
770189	191871	
770189	192068	
770189	194230	
770189	194734	
770189	194837	
770189	196042	
770189	196096	Diana Rosson
770189	197710	Adele Martin
770189	203014	Countess Jalna
770189	205307	
770189	206416	
770189	214116	
770189	214522	
770189	216464	
770189	220513	
770189	220629	
770189	222277	
770189	224666	Nancy Darrell
770189	226780	
770189	230561	Polly Brand
770189	232359	
770189	238976	
770189	240938	Rose Lore
770189	241770	
770189	242571	
770189	251163	Claire Veniza
770189	251856	
770189	252268	
770189	253868	
770189	254513	Doris Rayburn
770189	255735	
770189	260242	
770189	262269	
770189	263311	
770189	278720	
770189	279378	Mary Santley
770189	279562	Nora Burke
770189	280483	
770189	282411	Lois Carrington
770189	283729	
770189	288683	Shamrock O'Day
770189	293205	
770189	295073	Roma Wycliffe
770189	295337	Mary Norton
770189	297245	Daphne Carrol
770189	297778	Sally Dayton
770189	299950	
770189	300514	
770189	307961	
770189	308406	Chook-Ra
770189	310764	Betty Hampton
770189	314487	
770189	315866	
770189	318220	Sue Gordon
770189	319228	June Carpenter
770189	319275	June Carpenter
770189	323616	
770189	325250	Kitty Dillingham
770189	326173	Nancy Cornell/Vera Norris
770189	327253	
770189	329985	Joan Randolph
770189	331046	Violet Beaton
770189	331424	Clarita Ortega
770189	332031	Isola Garcia/Juan Garcia
770189	332166	Dolores (Juan's daughter)
770189	334108	
770189	334267	
770189	336557	
770189	337642	
770189	338850	
770189	339641	Janet Randall
770189	342406	Muriel Hart
770189	343035	Mary
770189	345870	
770189	346084	
770189	347356	Helen Wilburton
770189	348376	
770189	350146	
770189	354544	
770189	358176	Sue Smith
770189	359203	
770189	359794	
770189	361152	
770189	362071	
770189	362662	
770189	363062	
770189	363067	
770189	364087	Aline Ann Belame
770189	364504	
770189	364694	
770189	365162	
770189	368957	
770190	168087	Madelyn
770191	244989	
770192	116227	
770192	228515	
770193	12614	Chief of Staff Donaldson
770193	17173	Brunella
770193	26478	
770193	29885	
770193	34673	
770193	54726	Boys in Blue Director
770193	80442	Maggie Furness
770193	85629	Mrs. McKinney
770193	88919	Miranda
770193	170857	Sissy
770193	176276	Josselyn
770193	176879	Maria
770193	192058	
770193	195740	Isabel
770193	196867	Bank Teller
770193	228495	Patsy
770193	237908	
770193	250379	Detective
770193	282300	Mrs. Sanders
770193	289057	Woman motorist
770193	290162	Mindy Binerman
770193	328368	Beth Loomis
770194	28444	June
770194	39627	Ling
770194	190878	Logan's Assistant
770194	224834	Dhelia Wainwright
770195	196352	
770196	405733	Pia
770197	280208	Herself
770198	188505	Sarah
770198	275871	Sentinal Cheerleader
770199	73325	Linda
770199	253542	Louisa Musgrove
770199	393042	Annette
770200	37585	Delilah
770200	41518	Young Kristina Jung
770200	76969	Daisy Winters
770200	132768	Sister
770200	312192	Amelia
770200	409547	Addie Singer
770201	265682	Sara
770202	46853	Victoria Allen
770203	1247	
770204	110319	Gail Klein
770204	164657	Rose Kennedy
770204	193956	
770204	224379	Dr. Hoffman
770205	125540	Kid Army Member
770206	4730	Mrs. Bowling Green
770206	5383	Mrs. Benham
770206	11665	
770206	26137	Mother Peep
770206	26607	Mrs. Halloran
770206	26817	Granny Jones
770206	34951	
770206	36870	Granny Jones
770206	44570	Granny Jones
770206	65551	Lady Flora
770206	71718	Grandmother
770206	72450	
770206	77615	
770206	78186	Mrs. Lathem
770206	78718	Grandmother
770206	91565	Landlady
770206	92174	Granny Jones
770206	97669	Granny Jones
770206	105070	Eunice
770206	105170	Mrs. Murgatroyd
770206	105178	Granny Evers
770206	105227	Granny Jones
770206	105329	Mrs. Lowe
770206	106655	The Maid
770206	108622	Lucy
770206	109536	Matronly window shopper
770206	113634	
770206	118351	
770206	133128	
770206	139525	Mrs. Foster
770206	143267	Grandma
770206	147726	
770206	149364	Ma Benson
770206	150479	Granny Jones
770206	168981	Granny Jones
770206	175647	Mrs. Henrietta Parker
770206	190174	Madame Zola
770206	190866	Wedding Guest Calling for Bri
770206	195951	Granny Jones
770206	201421	Mrs. Gashwiler
770206	209166	Mom, Old Stranded Actress
770206	210392	Miss Potts
770206	215525	Agnes
770206	216234	Toussaint, Mayor's Housekeepe
770206	231125	Mrs. Talbot
770206	234211	Mrs. Mason, Landlady
770206	234225	Mary Jones
770206	236946	Ma Barton, Willie's Mother
770206	238633	Granny Jones
770206	238726	Granny
770206	240936	Granny Jones
770206	253476	Mrs. J. J. Farrell
770206	264484	Duenna
770206	266718	Mrs. Buttons
770206	269780	Granny Jones
770206	280291	Mrs. Ballard
770206	285351	Granny Jones
770206	302595	
770206	304845	Mrs. Fabian Dumond
770206	308611	Book Store Customer
770206	308937	Sarah Mason
770206	309684	Junior's Mother
770206	315557	Mrs. Roberts
770206	317354	Elderly Woman
770206	317972	Cleaning Woman
770206	335576	Granny Jones
770206	335631	Mrs. Cook
770206	335844	
770206	336031	Mother Angelica
770206	339844	Granny Jones
770206	342957	
770206	362365	Brown Derby Diner
770206	365084	
770206	366609	
770206	372483	Granny
770206	372887	Janet Dixon
770207	287971	Fanny Le Grand/Sapho
770208	259407	Townsfolk
770209	106493	Parent of Murdered Children G
770209	129184	Miss Higgins
770209	139199	Martha Coe
770209	141253	Keefi
770209	160375	Hooker
770209	187191	The Honorable Marina R. Bickf
770209	217990	Clerk
770209	238228	Passenger
770209	264442	Lucy
770209	284526	Kim Martin
770209	285287	Patient #2
770209	319416	Bertha
770209	381076	Anita Craig
770209	388768	Mrs. Francis
770209	389249	Anna-May
770209	391147	Sally Coleman
770209	396426	Kimberly Reed
770209	402204	Pvt. Harriet DOrsey (1981)
770210	65736	Mother
770211	363488	Waitress
770212	312925	
770213	317578	
770215	139547	Herself
770216	28650	Mavis
770217	164225	1942 Woman
770218	410695	Bridget Morgan
770220	117642	
770220	341413	
770221	266084	T.V. Commentator
770221	306300	
770221	390958	Tracy Mortimer
770222	231355	Der Edelknabe
770222	231356	Der Edelknabe
770223	383654	Andrea Smith
770224	285049	Mimi Gould
770224	400921	Marcia (1996-1997)
770225	116466	Gail
770225	204557	Mr. James' Assistant
770226	65108	Comic Strip Waitress
770226	165421	Mis Auberry
770226	289260	Young Woman
770226	311537	Waitress at Palace
770227	185901	Grandmother
770227	215453	Dottie Blaine
770227	366821	Elderly Lady
770229	62036	Lady at Polls
770230	7961	Girl Working with Jerry
770230	78079	
770230	128353	Kittens
770230	210738	Hiccupping nurse
770230	212102	Chorine
770230	222688	Mabel
770230	239345	Emily 'Toots' Chase
770230	275668	Secretary to Burns
770230	276694	Kitty
770230	277651	Buddy
770230	311475	Gertie
770230	335716	Arabella (phone receptionist)
770231	52531	Mollie
770231	223885	Girl #1
770232	154071	Traffic Warden
770232	303971	Factory Girl
770233	16810	Fighter 2
770233	164641	Hospital patient
770233	218792	Bette
770234	360444	Nellie
770235	231439	Young Kate Nickleby
770236	283484	Borger
770237	196390	Model
770237	216802	Model
770238	56462	Laura Larsen
770238	256123	Woman
770238	402204	Pvt. Barbara Ann Glass (1981)
770239	361224	William Morris Agent #1
770241	50466	Janet Cockswell
770241	238714	Christine Gorman
770242	244831	
770243	131198	Casilda
770243	162095	Celia
770243	282951	Zorah
770244	109454	Bella's Mother
770244	185832	The Whore of Babylon
770244	198828	Woman on Bus
770244	214735	Wife
770244	220004	Narrator
770244	227927	Fran
770244	313583	Singer of 'Three Little Words
770244	317338	Mrs. Blalock
770244	321574	Sally
770245	385165	Presenter
770245	385613	Anglican Priestess
770245	406891	Mary Downer
770246	102344	Beautiful Girl Across the Hal
770246	331275	Nora
770247	846	#23 Bad Hair Days/#43 Passing
770247	1674	Herself
770247	2731	Julia Roberts
770247	3044	Herself - Best Actress Winner
770247	3046	Herself - Presenter: Best Act
770247	3053	Herself - Presenter: Best Cin
770247	3055	Herself - Presenter: Katharin
770247	7586	Herself
770247	7592	Herself
770247	13742	Kathleen "Kiki" Harrison
770247	13751	Herself
770247	27952	Candy Hutchens
770247	32742	Narrator
770247	41284	Maria Collogero
770247	58022	Herself
770247	65885	Anna
770247	68097	Herself
770247	69391	Patricia Watson
770247	69812	Alice Sutton
770247	95796	Hilary O'Neil
770247	96555	Herself
770247	99457	Herself
770247	102514	Erin Brockovich
770247	105280	Von
770247	113927	Babs
770247	115161	Rachel Mannus
770247	121528	Catherine/Francesca
770247	132768	
770247	149287	Tinkerbell
770247	154427	Sabrina Peterson
770247	158484	Herself
770247	161247	Herself
770247	168130	Herself
770247	192927	Herself
770247	206884	Mary Reilly
770247	212238	Samantha Barzel
770247	212698	Kitty Kiernan
770247	217745	Katherine Ann Watson
770247	223711	Julianne Potter
770247	224838	Daisy Arujo
770247	235790	Anna Scott
770247	238072	Tess Ocean
770247	238073	Tess Ocean
770247	251979	Darby Shaw
770247	257689	Herself
770247	263360	Vivian 'Viv' Ward
770247	266419	Anne Eisenhower
770247	283410	Maggie Carpenter
770247	288628	Daryle Shane
770247	301590	Herself/Narrator
770247	304822	Sara Waters/Laura Burney
770247	308115	Grace Bichon
770247	311853	Herself
770247	314252	Shelby Eatenton Latcherie
770247	314459	Isabel Kelly
770247	327267	Herself
770247	359471	
770247	399072	Herself
770247	407747	Herself
770248	81157	Bar Girl
770249	5754	
770249	31835	
770249	43665	
770249	58506	
770249	69383	
770249	141558	Doris, a model
770249	178314	
770249	215305	Felicia
770249	217899	
770249	236371	(segment "Censored")
770249	275790	
770249	302347	
770250	307450	
770251	185203	Sam Whitsett
770251	312828	Hank Plummer
770252	340808	Student
770253	93287	Barrister
770253	141653	Motel Receptionist
770253	159971	Doctor #2
770253	270272	Matron at Moore River
770253	333246	Officer in City
770254	196887	Robin
770255	113881	
770256	206629	Donna
770256	267654	Tom's Wife
770256	381005	Correspondent
770257	97457	Townie
770257	190688	Receptionist
770257	289496	
770258	238621	Jane
770259	283547	Sheryl
770260	10210	Secretary
770260	27205	911 Operator #1
770260	58481	Stephanie
770260	60361	Mrs. Bosco
770260	66991	Woman in parking lot
770260	73559	Intern #1
770260	79675	Cora
770260	82050	Psych Receptionist
770260	88286	Sylvia
770260	90316	Karen
770260	92150	Isabelle
770260	106378	Home nurse
770260	126492	Mrs. Stern
770260	129439	Mrs. Wilson
770260	137449	Nurse Jacki
770260	167256	May
770260	169916	Julie Hovander
770260	169946	Church Friend, 1983
770260	210233	Nurse Dayton
770260	217484	Miss Cruson
770260	226900	Officer Washburn
770260	226901	Washburn
770260	240664	Clerk #2
770260	241731	Nurse Sara
770260	242504	
770260	272085	Gloria
770260	277436	Joshua's Mother
770260	277795	Nurse
770260	282935	Phyllis
770260	302932	Mrs. Wesley
770260	314138	Auditor
770260	329342	Nurse #2
770260	335721	Mrs. Bennett
770260	342156	ER Nurse
770260	358729	Woman at the Wall (segment "T
770260	362701	Margaret Granger
770260	362860	Rita
770261	192567	
770262	39861	Nurse
770262	42721	Court Reporter
770262	75897	Marilyn McCammon
770262	82660	Stacy
770262	213260	Chris
770262	353302	Mindy Turner
770262	359767	Jogger
770263	192349	Brenda Bailey
770264	20371	Molly Mounds
770264	34191	Grendel's mother
770264	257656	Herself (Miss September)
770264	257668	Herself (Hostess)
770264	257677	Herself
770264	257813	Herself
770264	257842	Herself (October 1997)
770264	274180	Cheryl Russo
770264	361854	Herself
770264	367792	Herself
770265	41743	Sam's Mother
770266	4730	Mrs. Rutledge
770266	7483	Mrs. Hurley
770266	26628	Old Lady
770266	41097	Aunt Hannah Henderson
770266	41698	Mrs. Berlingot
770266	44012	Mrs. Crossman
770266	44248	Mrs. Emily Whitney
770266	45489	
770266	47132	Mrs. Hannah Gogarty
770266	61164	Maggie
770266	68133	Aunt Polly Watters
770266	69237	Kate Holt
770266	72611	Extra Assigned to Stage 6
770266	73230	Mrs. Wharton
770266	73933	Laura McCoy
770266	103354	Aunt Mamie Qualen
770266	112319	Maid
770266	115471	Mrs. Hutchinson
770266	123848	Mrs. Whitaker
770266	130789	Mrs. Parker
770266	131240	Mrs. Meade
770266	140408	Mrs. Shaw
770266	154617	Mrs. Davis
770266	175607	Grace Goodwin
770266	196487	Ancient Old Gypsy
770266	199752	Mrs. Corbin
770266	203615	
770266	238507	Sister Clarke
770266	238522	Aunt Clara
770266	253525	Ma Bronson
770266	269364	Mrs. Greenough
770266	269781	
770266	303901	Mother Ryder
770266	318226	Mrs. Trent
770266	320812	Mrs. Foster
770266	329953	Martha
770266	330183	Ella Wilkins
770266	330846	Mrs. Platt
770266	331157	Mrs. Stevens
770266	360837	Passenger signing waiver
770266	365548	Ma Talbot
770267	380430	
770268	116836	
770268	247926	
770269	378830	Hostess (1980-1983)
770269	381661	Various Roles (1975-1977)
770270	50058	Thirza Moore
770270	80695	Rockhouse Treat
770271	113881	
770272	362583	
770273	116053	British Lady
770273	260196	Harper
770273	263230	Police Dispatcher
770274	168326	Locker Room Girl
770275	228535	
770276	136509	Agnes
770276	162862	
770276	382809	Machinist's Mate Molly McGuir
770277	380713	Dana Lambert (1991-1992)
770278	77872	
770278	78951	Producer's Wife
770278	122772	Carol
770278	131239	Woman of the town
770278	151678	Peggy
770278	171279	Producer's Wife
770278	302157	
770278	332080	Suburban Housewife
770278	360902	Mona Carlton
770278	361168	Charlene
770279	347238	Herself - Band Singer
770280	32356	Rosemary Balder
770280	32886	Jean Lowell
770280	36791	Judy Parker
770280	38049	Ellen Moore
770280	40462	Grace Hanson
770280	40477	Helen Ellis
770280	46778	Midge Lambert
770280	49254	Switchboard Operator
770280	52498	Emily Mallory
770280	52545	Madge Irving
770280	61176	Chris Mitchell
770280	64539	Bit role
770280	67865	Janice Forbes
770280	76238	Jane Carlyle (buyer)
770280	78079	Jean
770280	78140	Miss Wilson
770280	92587	Madelon Renault
770280	105328	Jane Barton
770280	106637	Nurse Fanny
770280	120755	Ann Langhorne
770280	127211	Sue McGuire Grant
770280	128790	Jeanne Crail
770280	133756	Mary
770280	141324	Lorna Dawson
770280	144482	Joan Blanchard
770280	144740	Marian Higgins
770280	144896	Carol Roberts
770280	147854	Edna Mayberry
770280	152911	Sally Clark
770280	157863	Jean
770280	159914	Gerry Travis (replaced by Ade
770280	185467	Nancy Bowdrey
770280	190546	Jerri Vail
770280	193681	Joan Blanchard
770280	199739	Monica Dale
770280	200488	Pat Brown Morgan
770280	202641	Edith
770280	203208	Peggy
770280	218717	Jennie May
770280	223783	Lucy Manners
770280	224419	Jean Higgins
770280	224603	Julie
770280	249261	Mrs. Tilden
770280	254558	Joan Renwick
770280	255819	Henrietta Rankin aka Iris Fab
770280	260864	Nancy Hubbard Chaney
770280	260883	Dr. Joan Hunter
770280	269868	Kay Ryan
770280	277891	Marquerita Martinez
770280	277989	Bess
770280	279745	Virginia
770280	280972	Maria
770280	282354	Dorothy Blair
770280	285134	Shelly Brooks
770280	292621	Susan Lane
770280	299034	Claire Brower
770280	300021	Jean Higgins
770280	302995	Sue Warner
770280	308923	Jean
770280	309950	Ellen Denbigh
770280	313295	Girl
770280	314354	Student
770280	316672	Catherine (Kitty) Foster
770280	318933	Receptionist
770280	329592	Natalie Adams
770280	333161	Alice Baker
770280	340535	Madge Walker
770280	366456	Nancy Wheeler
770280	370537	Nurse at Boat
770280	372413	
770280	383594	Dr. Joan Wright (1952)
770281	191614	Linda West
770282	7493	One of Castle's Daughters
770284	309882	Betty Koschek
770285	39157	Wedding Guest
770286	194278	Woman in Bar
770286	303753	Waitress
770287	31663	Laurie
770287	64075	Trapper's Daughter
770287	101276	
770287	107493	Elevator Operator
770287	164986	Trisha
770287	168865	Various roles
770287	253810	Secretary on vacation in Hawa
770289	74311	
770290	358486	Nurse 2
770291	318812	Belinda Nall
770292	356660	
770293	222212	Jenny
770293	279352	Policeman
770293	302287	Sim
770293	302289	Sim
770294	274521	Zombie
770295	364050	
770296	252898	Laci Peterson
770296	343031	Blow-Off Girl #4
770296	387331	Brenda Vanderpool
770297	232318	1st WAAF
770297	232319	Girl in Punt
770298	157023	Secretary
770298	294287	Yvonne
770299	351725	Mrs. Decker
770300	193765	'Bye Bye Blackbird' Sister
770301	235067	Bunny Girl
770301	389858	Casey Parker (1980)
770301	401639	Self
770302	183235	Woman at 'Lace' Party
770302	319614	Unemployment Clerk
770302	397055	Dorothy Hollister
770303	39731	Mother Dorothea
770303	55709	Old Lady
770303	71300	Gran Walsh
770303	163442	Gran
770303	264447	Mlle. Dupont
770303	359486	
770303	390689	Gran
770303	404671	Mrs. Medlock
770304	363332	Ruth
770306	133815	Woman in Bar Talking to Georg
770307	53977	Costanza
770307	77068	
770307	109166	Menna
770307	193450	
770307	245513	Carol Dysart
770307	291000	Suzie
770307	307687	Gaenor Rees
770307	329917	Checkout Girl
770307	382522	Naomi
770308	344531	Baby Doll
770309	3251	Performer/Herself
770309	87597	Performer
770309	133412	Performer
770309	228303	Performer
770309	311953	Herself/Performer
770309	401889	Herself - Girls Aloud
770310	63113	Child
770313	195508	Althea
770313	214755	Violent Wife
770313	309809	Rev. Brenda Mason
770314	34474	Queen Magonia
770315	6618	Solange
770315	7477	Odile
770315	10205	La tenancière
770315	15056	Lorraine
770315	15134	Mme du Châtelet
770315	23833	Olwen Peel
770315	29615	
770315	32032	La femme de Georges
770315	40994	Secretary
770315	42105	
770315	42373	Lucette
770315	43415	
770315	46940	
770315	48227	Simone
770315	58225	Constance Are (Brunette)
770315	60692	Cathy Mermans
770315	61876	La mère de Claude
770315	68424	Mme. Marnay (segment "Geste d
770315	68702	Georgette Thomas
770315	72069	Streetwalker
770315	78348	Myriam
770315	91727	Ida
770315	91810	La Mère
770315	92905	Striptease Girl
770315	95344	Madame Colin
770315	101144	Mady
770315	101788	Irène Gensac
770315	104232	Esméralda
770315	111134	Une jeune femme au poker
770315	112812	Mother Superior
770315	113112	Une amie du Général de Sallan
770315	120069	Gisèle Moulin
770315	120235	Annie
770315	132769	Mademoiselle Rose
770315	132770	Yvonne
770315	146425	Loulou
770315	148589	Régine, mère di Simon
770315	148677	Rita
770315	148764	Vicky
770315	158877	Adrienne
770315	160055	Catherine
770315	166127	Mamyvonne
770315	189903	Eliane
770315	195219	Irène
770315	197535	
770315	199328	Une amie de Jeanne
770315	200957	Mado
770315	202007	Mme Leterrand
770315	205217	Gaby
770315	205487	Hermance, la pédicure
770315	206048	Caroline
770315	214239	
770315	217724	La mère de Natacha
770315	220500	Madame Renard
770315	225416	Mamie/Grandma
770315	225463	Betty
770315	225619	Suzanne
770315	235820	Mme Moreau
770315	249750	Pilar, la mère
770315	249867	
770315	250509	Fifine
770315	253241	Geneviève Martenot
770315	254987	Mme Ampero
770315	261777	Renée Mouzon
770315	266388	Sylvie Foucot
770315	268948	Gigi
770315	268974	La Morenita
770315	270909	La mère
770315	275310	Cecile
770315	292386	Yvonne
770315	300676	Elisabeth
770315	300843	Olga
770315	319995	Mme Gisèle
770315	322354	
770315	331240	Claude
770315	340148	Mme Borel
770315	345076	Yvonne
770315	345093	Nicole
770315	345186	Marina
770315	345275	Mère Vincent
770315	345494	Zina
770315	351697	La directrice de l'agence
770315	354576	Paul's Mother
770315	361096	Margaret Perkins
770315	376938	Henri's mother
770315	376986	Joséfa
770315	377614	Jackie
770315	380501	Maria
770315	380502	Mme Villegier
770315	383535	Françoise
770315	383862	Nathalie Dulac
770315	384009	Denise Brassac
770315	384032	(1968)
770315	384033	Marie Carnetto
770315	385508	
770315	392911	Dora
770315	401972	
770315	402532	Geneviève
770315	402622	
770315	403772	Cora
770315	404129	Julie (1965)
770315	407809	Mathilde
770315	409523	Jacqueline
770316	142672	
770317	258103	Chrissy
770317	279349	Julie
770318	375823	Cheryl
770319	2075	Mrs. Henlein
770319	12388	Nora Elliot
770319	27559	Mrs. Farraday
770319	33805	Cathie Smith
770319	40850	Ruth Condomine
770319	59597	Mrs. Dangers
770319	64389	Helga
770319	73938	Maggie
770319	84201	Megan Thomas
770319	89000	Della Randolph
770319	115188	Suzanne de Castilian
770319	118199	Delia Darrow/Gerda Casswell
770319	118940	Anna Preston
770319	128408	Anne Howland
770319	131392	Elsie and Effie Longstaff
770319	133592	Mrs. Gargery
770319	149945	Sonya
770319	191000	Barmaid
770319	222727	Hildegarde
770319	229687	Lady Hamilton
770319	237465	Gloria Rowe/Madame Paillard/M
770319	239562	
770319	244872	Prostitute
770319	255274	Mrs. Appleyard
770319	273834	Joyce Eglington
770319	288688	Brenda
770319	317801	
770319	330884	Mrs. Hammond
770319	350006	Bessie Lewis
770319	358727	Regina Kowalska
770319	360542	Pat, pregnant inmate
770319	362689	Dr. Monk
770319	365424	Maybell (town madam)
770319	370585	Mrs. Moreton
770319	408522	Mrs. Bonnie McClellen
770320	284628	Simone
770321	390523	Justine Dean (1988-1994)
770321	392779	Zoe
770322	226894	Mike's Mother
770323	116053	
770324	141454	
770324	362151	Neighbour
770324	388519	Miss Gatsby
770325	38761	Ronda
770325	171930	Lisa
770325	391251	Dionne
770326	61156	Female Dancer
770326	150075	Bianca Salsa Girl
770326	281800	Gina Rose
770326	362834	Shirley
770327	364048	Woman in Wheelchair
770328	178320	
770329	140783	Herself
770329	195262	Herself
770329	390334	Herself-Correspondent (1995-p
770329	406242	Herself (1990-)
770330	387537	Miss. May
770331	83639	Margo
770331	329527	Stewardess
770332	109248	Carol
770332	392445	Sue
770333	121386	Trauma doctor
770334	388765	
770335	286141	
770335	286142	
770335	286143	Herself
770336	80508	Reporter #2
770336	283434	Reporter with Cable
770336	315784	Commentator
770337	309896	Clarisse
770338	248090	Herself
770339	194650	Dena Miller
770339	209492	Blonde in car
770340	128852	Mrs. Randolf
770341	395964	Emma Penney
770342	162364	Victoria
770343	162364	Victoria
770343	279506	Taylor
770344	391978	Liana Andrews (2000)
770345	362512	Choir Member
770347	82564	Edith
770348	291972	Ruby
770349	82378	Waitress
770349	127086	Jitterbug
770349	320269	Model
770349	331538	
770349	335469	Barmaid
770349	372907	The Jive-Girl
770350	128268	Store Clerk
770351	206491	Brenda Knowlan, Abductee
770352	213231	Stewardess #2
770353	119841	
770354	158319	Beautician
770354	262160	Secretary
770355	318673	Betty Lou
770356	374132	First Lady
770357	308998	Elaine
770358	310166	Ensign Card
770359	12244	Linda Alderson
770359	31857	Kiri
770359	42808	Candace Vandervagen
770359	52303	Stephanie
770359	59666	Herself
770359	81758	Charlotte
770359	110180	Herself
770359	113603	Julie
770359	159945	Lynn Foster
770359	160291	Herself
770359	187186	Rikki Rennick
770359	210726	Herself
770359	222690	Velda
770359	231893	Nikki
770359	246978	Angelica (Isabella)
770359	247491	Regan Madsen
770359	258018	Sally
770359	267497	Carly Arnold
770359	270521	Bambi
770359	298184	Sheena
770359	302910	Kay Egan
770359	336891	Becky
770359	342651	Secretary
770359	345869	Herself
770359	354178	Stacey Sutton
770359	358252	Carol
770359	373216	April
770359	376141	Denise
770359	383943	Julie Rogers (1980-1981)
770359	392044	Rebecca
770359	407929	Midge Pinciotti (1998-2001) (
770360	6730	NonSex
770360	30036	
770360	93990	
770360	110294	Power Plant Couple
770360	401924	Herself
770361	6556	Emily Brighton
770361	217745	Louise
770362	35523	Stripper
770362	109649	Lynn Fox
770362	139227	Kristi
770362	185096	Dancer
770362	232124	Still Model
770363	363488	Mrs. Preminger
770364	368244	Ensemble member
770365	5987	Miss Flanagan (Woman of Sin s
770365	97507	Mrs. Hawkins
770365	117915	Julie Morse
770365	120740	Mrs. Helen McBride
770365	126506	Gwen Fenley
770365	129813	Diana
770365	147809	Redhead
770365	222683	Patsy Flint
770365	226926	
770365	240470	Peggy Santos
770365	245516	Floozie in Bar
770365	265265	Tahra
770365	269295	Peggy, High Diver segment
770365	286466	
770365	300924	Dolly Jordan
770365	360307	Dot Martin
770366	66556	Bar Patron
770366	158320	
770366	193915	Redhead
770366	207838	Screaming Woman
770366	238567	Patti
770366	307974	'Betty' the Barmaid
770366	318776	Beach Patron
770366	368648	Jenny Stergeon
770366	407006	Darla
770367	18617	Blanche
770367	97507	Mrs. Hawkins
770368	11451	Dee Dee
770369	160780	2nd Nurse
770370	192403	Illuminati Girl
770371	139083	Doris, a Child
770373	28769	Immigration Inspector
770373	52686	Nurse
770373	88770	Mrs. Peters
770373	112023	Senior Staff Nurse
770373	253249	Carol
770373	327964	Dorothy Bennett
770373	386231	Angela Nuttall
770373	399931	Interviewer
770373	401077	Laura Elliott, Practice Nurse
770373	404196	Deborah Wilson
770373	407838	Dorothy Bennett
770373	410599	Camora
770374	113482	Girl
770375	385365	Elvia
770375	385599	Julia Suárez
770375	385865	Adela
770375	399520	Flora Martínez
770375	402462	María Angélica Guillén
770375	403884	Meche
770375	404988	Altagracia Perdomo
770375	410297	Rosario Morales
770376	92742	
770377	274422	
770378	103917	Herself
770378	298161	Ruth
770379	140765	Cashmere Sweater Babe
770380	342552	First Prostitute
770381	184850	
770382	263758	Lady
770383	79860	Edna Edison
770383	313468	Mon Mothma
770383	313486	Mon Mothma
770384	391759	Rosie Fitzjohn (2001-2002)
770385	140964	Nose Ring Girl
770385	399130	Melissa Drenth (1995-1996, 19
770386	164637	Nan
770387	220098	Mrs. Teekle
770388	82094	Elsa Collins
770388	140405	Teacher
770389	93762	Electrocutes Guitar
770389	165958	Donna R. - The Donnas
770389	221483	Herself
770389	392422	Herself
770390	2445	Herself (Mother of Carole Rob
770391	16317	Lydia
770391	65975	Servant
770391	81457	Gaby Dupont
770391	118398	Leila
770391	168136	Maid
770391	177146	Phoebe
770391	249624	Fran
770391	310404	Doris
770391	364556	Julie
770391	368135	Marty South
770391	372671	Barbara
770391	388952	Annette
770391	389944	Catherine
770391	405271	Morag Smith
770392	66945	Nancy
770392	68697	Harriet
770392	131567	Shelley
770392	158107	Angela Bayer
770392	190464	Arguing woman
770392	220008	Miss Day Receptionist
770392	297140	Nurse
770392	309546	Margaret
770392	315896	Deer Woman
770392	316875	Banyon's Mom
770392	411176	Maria Jermaine
770393	59375	Ashley
770394	194229	Suzanne Somers (Look-A-Like)
770395	67400	Nurse
770396	353452	Harriet
770397	305006	Mrs. Steel
770398	134722	Michelle Seaver
770398	196891	Ashley
770399	196618	Herself
770400	276858	Lucille Drake
770402	134178	African band
770403	333120	Person of the Night
770404	344379	Herself - Friend of Ulla
770405	329477	Mrs. Meyer
770405	392391	Carla
770406	279604	Bank Teller
770407	100117	Candace
770408	35658	Annette the trainer
770408	385768	Herself
770408	385918	
770408	408075	Agony Aunt
770409	61183	Nurse
770410	46533	Linda
770410	131473	Mrs. Skibness
770411	141710	Cyber Sex Doll
770411	191253	Starburst
770411	288948	Magdalene
770412	315627	Sister number 6
770413	342470	Rusher of Din - Sleeper
770414	110170	Carol
770415	220789	Catherine
770416	92690	
770416	117073	Lucia
770416	201830	Herself
770416	214422	Françoise
770416	214671	Karen Goodleaf
770416	303601	Cafe Waitress
770416	337327	Carmen Bavelah
770416	342690	Cindy
770416	351526	Jennifer
770416	360355	Ryan
770416	389561	D'orothea Wilson
770416	393352	Jennifer Cohen
770416	396479	Stewardess
770416	398208	D'orothea Wilson
770416	409670	Nicole
770417	138564	Sandman
770418	109667	
770419	321980	
770420	1462	
770420	91929	Natty Dreads
770420	229986	Mory's sister
770420	266419	Dane Simpson
770420	289027	
770421	44479	Girl
770422	117468	Bimini Resident
770423	40289	Hannah
770423	89477	Lady in black
770423	108461	Mrs Rasmussen
770423	178782	Starschensky's Daughter
770423	180219	Lois
770423	181843	Lady
770423	206209	Mrs. Edebladh
770423	238742	Hostess
770423	388448	Lova
770424	153715	Lisa-Lena
770424	343471	Mrs. Persson of Mon
770425	210520	Dancer
770425	363780	Vandergeld Dance Team
770426	199210	Gatherer
770427	57628	Mercedes
770428	235487	Party Girl #2
770429	330563	Secretary
770430	137649	
770430	247944	
770431	347006	Sonia
770432	61704	Madame Duval
770432	76504	Mrs. Webster
770432	115262	Paula Roberts
770432	168122	The Angel
770432	367516	Margaret Rolfe
770433	321306	
770434	363981	Nerd Girl/Reporter 7/Guitar P
770435	255357	Young Marilyn
770435	401718	Various
770435	404979	Betty
770436	32585	Family Member
770436	77183	Dancer
770436	90932	Hippie
770436	164432	Brooke
770436	232845	Nurse
770436	320209	Sierra
770437	35458	Herself
770437	45640	Rena
770437	49207	Millie
770437	52440	Patty, as a young adult
770437	70424	Joyce Ives
770437	77949	Carolyn Warmus
770437	99657	Stella
770437	108333	Rachel
770437	141253	Sister
770437	164631	Caroline Bradshaw
770437	168289	Waitress
770437	173513	Betsy
770437	192157	Violet Loomis
770437	211758	Paxton Andrews
770437	232405	Maggie
770437	235677	Alicia Velorus
770437	345861	Cindy
770437	372070	
770437	396423	Robin Foster
770438	69695	Blast Furnace, Carrion Roost
770438	119601	
770438	201376	Ocho
770438	201377	Onui, Ocho
770438	327048	Michelle Chung
770438	344432	Additional Voices
770438	358338	Young Annabelle Pritchett
770439	37094	Kate Douglas
770439	193360	Ellen
770439	297914	Junie Rose
770440	357567	Shongo
770441	7996	Elizabeth
770442	86707	
770442	245008	Solid Gold Dancer
770442	286187	A Slave
770442	299198	Bikini Girl #1
770443	360084	Yvette
770444	32052	Wanda Love, Miss Tennessee
770444	41643	Darla
770444	70168	Eden
770444	89199	Cheryl
770444	154040	Big Boy Waitress
770444	154456	
770444	154822	Ticket Girl
770444	158154	Rachel Speller
770444	158321	Susan Williams
770444	184795	Patrick (Melody)
770444	187083	
770444	189237	Bobby Swaggart
770444	202460	Donna
770444	236135	Lucifer
770444	266577	Rhonda
770444	269856	Sara Dobbs
770444	289667	Theo
770444	310547	Grace
770444	311477	Veronica
770444	320095	Julie
770444	347852	Elizabeth
770444	370004	Thea
770444	381811	Clare Arnold (1994-1997)
770444	383123	Cynthia Bundy
770444	390117	Jeannie Falls
770444	396742	Tina Edison
770445	342692	Assistant
770446	369905	Pepper Spray Girl
770447	232357	Babette
770448	16255	Teacher #1
770448	31087	Tammy
770448	32178	Featherduster
770448	33631	Fifi
770448	90409	Cathy
770448	108367	Mickey
770448	134720	Sarah Fitzpatrick
770448	148903	Gloria Forrester
770448	185065	Rose
770448	187985	Tourist's Girlfriend
770448	192017	Alana
770448	224149	Pedestrian
770448	310728	Liza (Cruise Director)
770448	317261	Race Spectator
770448	340930	Party Gal
770448	342549	Lucy Moran
770448	342552	Lucy Moran
770448	365866	Ride Operator
770448	382033	Various Characters
770448	390534	Medusa (segment "Duzer")
770448	392134	Feather Duster
770448	396038	Kimmy
770448	401191	Gwen Mezzrow
770448	409210	Lucy Moran
770449	313699	Panel member
770450	10958	Kate
770450	128135	Tasha
770450	308020	Caroline
770451	144406	Eliza Doolittle
770451	175528	Herself
770451	212038	Clap Dancer
770452	149385	Hannah Thompson
770452	164417	Mary Cranston
770452	203350	Betty Annesley
770452	230500	Violet Warden
770452	233802	Mrs. Pearson
770452	340995	Helen Dean
770452	362504	Nellie
770453	133719	American Woman
770453	194022	Mother
770453	195999	Mrs. Camden
770453	249073	
770453	316692	
770453	357584	Nurse
770454	26491	Hostage
770455	322840	
770455	339240	
770455	403084	Nina Remmer (1998-2001, 2002)
770456	271221	Eva Vaghaway
770457	133382	Herself
770458	168966	Shaya
770459	396019	Additional Voices
770459	404137	College Advisor, Mashu's Part
770461	71629	Aunt Jemima
770462	960	Nancy Lee
770462	9007	Principal Pickle
770462	19980	Lady Airport Cop
770462	82332	Harriet
770462	202461	Cashier
770462	239005	Sherriff #2
770462	333035	Jessica
770462	381562	Dolores
770462	385011	Wanda Dollard
770462	400548	Jury member
770463	232357	Babette
770464	48614	Tom Bailey
770465	374572	
770466	201737	Herself
770466	237910	Herself
770467	5885	Audra Aged 14
770467	170724	Rose
770467	199079	Polly Peachum (introducing)
770467	347850	Carol
770468	189911	Eric's New Girl
770469	120528	Brianna
770470	45756	Nancy Lockhart
770471	99044	Guard
770471	281054	Actress
770471	324969	Hat Check Girl
770472	79907	Jill Larson
770473	41953	Margaret
770474	112984	Herself
770474	144913	Little Slut
770475	30581	Female Onlooker at Bin
770475	55536	Book Salesperson
770475	87936	Donna
770475	171138	Sandy
770475	256356	Nurse
770476	72677	Veda
770476	277851	Athlete
770476	281447	Cynthia Stallworth
770477	109809	Rebecca Winton
770477	382704	Monique Fairbairn
770477	387639	
770477	391869	Desiree Upton (2001)
770477	399130	Pheobe Bright/Gottlieb (1991-
770478	33586	Deux touristes
770479	74193	Betty
770480	74193	Betty
770481	188453	Foreplay Girl
770482	26563	Maenad (chorus)
770483	2445	Herself (Carole's Aunt)
770484	40381	Mrs. Scully
770484	66044	Lion-tamer
770484	89477	
770484	178743	Eva Heijken
770484	219294	Birgit Almen
770484	268155	Hostess
770484	277817	Maid at Ubbetorp
770484	395712	Grandmother
770485	44323	Adah, a Negro Woman
770486	54090	
770486	353232	
770486	357506	
770487	142710	Lilli
770488	353232	
770489	308092	Gail Barnett
770490	298119	Sweat Shop Worker
770491	217993	Female Vocalist
770491	257530	Jill/Repunzel
770491	272917	Lamanski's Girl
770491	389375	Micki Foster (1987-1990)
770492	379874	Host
770493	36648	Mme Berthe
770493	43702	Une dame
770493	51842	Mme Lemoine
770493	135505	
770493	162609	Delphine
770493	207771	Une surveillante
770493	214921	
770493	257178	Miss O'Brien
770493	269736	Mme Grombeloux
770493	278148	Lady Johnson
770493	355496	Mathilde
770493	384287	Mme Bernard
770494	104236	
770495	310963	Vania Paparazzi
770496	132189	
770497	97581	Annabelle Whitford
770498	45521	Girl
770499	409451	(1977-1979)
770500	303429	Woman
770501	23553	Dr. Thalama
770501	66052	Mistress
770501	82922	Bernice
770501	84889	Principal Joyce Saunders
770501	107466	Ms. Tebbit
770501	129397	Melanie Sardes
770501	194985	Mary Burnett
770501	252478	Woman; Mom
770501	257078	Dr. Horton
770501	265869	
770501	281177	Prince
770501	342549	Nadine Hurley
770501	342552	Nadine Hurley
770501	350192	Zealot at Police Station
770501	375863	Insane Patient
770501	409210	Nadine Hurley nee Butler
770502	206059	Sabine, Julie's niece
770503	263786	Schoolgirl
770504	79778	Jo
770504	402100	Perfect
770505	358663	Dollar Bill Girl
770506	100176	Femme enceinte 2
770506	239933	Jennie
770506	287703	Rebel's Owner
770506	354313	
770507	40552	Art Model
770508	202085	Louison
770509	72387	Caissière supermarché
770510	351816	La Jeune Fille
770511	294817	
770512	325171	Jayne
770513	13106	Françoise Letanneur
770513	15114	Monelle
770513	15118	Mme de Monaco (segment "Lauzu
770513	23702	
770513	34663	Babette
770513	43763	Annick Bernier
770513	51379	Albine
770513	51400	Eléonore de Savigny
770513	51826	Violetta Carlino
770513	66850	
770513	68405	Martine Jolivet
770513	69281	Caatherine
770513	70722	
770513	84108	Gabrielle
770513	84678	Thérèse Delbez
770513	90351	Jacqueline
770513	92899	Denise
770513	99368	Juliette
770513	103199	Michèle Tellier dite 'Baby Fa
770513	116524	Michele Perrier
770513	119038	Nicole Perret (segment "Adult
770513	120813	Antoinette Dubois dit 'Frou-F
770513	122428	Henriette
770513	170462	Julietta
770513	170923	Yvette
770513	197548	
770513	199605	Martine
770513	204017	Baronne d'Escourt
770513	214295	Mimi Pinson
770513	224904	Irène
770513	227595	Désirée Clary
770513	248995	Penny Benson
770513	249128	Antonia (segment "Antonia")
770513	258332	Zoé
770513	260939	Étiennette
770513	268974	Christine Dumartin
770513	284250	Monque de Lomanach
770513	289950	Marylin
770513	292380	La comtesse de Monval
770513	301528	Lucette
770513	303476	Rosy
770513	307110	
770513	318516	Françoise Marceau
770513	320045	
770513	327452	Her
770513	335896	Nicole Devereaux
770513	345020	Lise Gudayec/Madame Teller
770513	346609	Catherine Mareuil
770513	346636	
770513	357123	
770513	358872	Ghislaine
770513	377660	Ginette Masson
770513	378011	Martine
770514	6865	Nurse
770514	45661	Headmistress
770514	63098	Woman Customer
770514	68455	Monica
770514	72707	Jean Snizort
770514	73883	Nurse #7
770514	88867	Rae Ann
770514	107151	Waitress
770514	114392	Receptionist
770514	130983	Ms. Stark
770514	132454	Waitress in Diner
770514	134594	Waitress
770514	140960	Gross' secretary
770514	141400	Donna
770514	156731	Gloria
770514	206840	Rita Jackson
770514	208873	Elena
770514	232114	Cocktail Waitress
770514	238610	Mrs. Shutte
770514	257810	Terry
770514	261509	Reporter
770514	274729	Defense Attorney
770514	275330	Mayor's wife
770514	277092	
770514	279841	Chandra
770514	287782	Dr. Watt
770514	287792	Pietra Nero
770514	294789	Press Person #1
770514	296752	Wife
770514	318164	Mrs. Baldwin
770514	322755	Sales Agent
770514	329346	
770514	360647	1st Woman On Street
770514	362597	Connie
770514	380261	Didi Malloy
770514	386197	TV reporter
770514	396574	Felice
770515	204651	Poussette
770516	61418	Massage Parlor Girl
770517	20738	
770518	25083	
770519	133171	
770519	164612	Drunk Woman
770520	277635	Precious Metal
770521	115752	
770522	74202	
770523	23750	Suzy
770523	33553	
770523	82920	
770523	84599	
770523	84678	
770523	85540	Femme au cimetière #2
770523	134957	
770523	153849	
770523	357849	La vieille dame
770523	386222	
770525	15238	
770525	96235	
770525	276013	
770525	376882	Minouche
770526	132598	
770526	384168	Suzanne Charrot
770527	308304	Singer
770528	1699	Herself
770528	19319	La surveillante du supermarch
770528	32508	
770528	32509	Herself
770528	43625	La présentatrice TV
770528	43673	Mademoiselle Champion
770528	71528	Frénégonde/Béatrice
770528	89281	Mama San
770528	101269	Herself/Host
770528	101270	Herself
770528	101271	Herself/Host
770528	101272	Herself
770528	101273	Herself/Host
770528	116411	Herself
770528	122411	Herself
770528	205771	Marie-Line
770528	348647	
770528	355863	
770528	376593	Herself
770528	401328	Various characters
770529	51454	Marie
770531	196627	Herself
770531	282671	Herself
770531	320126	Herself
770531	349169	Herself
770531	368821	Herself (singing nat'l anthem
770532	69938	Gaelle
770532	167239	
770533	228660	Topsy
770533	372927	Bouncy
770534	155033	Hackett's Steno at Hospital
770535	68697	Veronica
770536	356508	Femme de Steindor
770537	280998	Eufrásia
770538	406381	Herself (season 1)
770539	66213	
770540	300180	Receptionist
770541	79807	Mrs. Mary Eugenia Surratt
770541	294798	Jury Forewoman
770542	6684	La Duclos
770542	43698	
770542	52724	
770542	54298	La supérieure
770542	59215	
770542	84615	
770542	96061	
770542	101189	
770542	106021	
770542	153539	
770542	167200	Le mère d'Yvette
770542	169344	La vieille dame
770542	184893	
770542	197909	Mademoiselle Préval
770542	236196	
770542	265566	
770542	266010	Honorine
770542	275113	
770542	280539	
770542	282486	
770542	337543	Tsarine-mère
770542	353842	
770542	376534	
770543	17696	Field Nurse
770543	74753	Sandy
770543	78025	Librarian
770543	88575	Mayor Sloan
770543	196584	Nurse Knecht
770543	204947	Mrs. Bowman
770543	216184	Leonore
770543	298299	Carrington Barr
770543	307964	Mrs. Murphy
770543	363161	
770543	403072	Emma Chadwick
770544	306853	Mefastaffallo's Receptionist
770545	128530	Woman at Table
770546	130983	Stark
770547	129762	Gnome Maiden
770549	5833	Margaret Johnson
770549	93759	Sandy
770549	123435	Young Ilsa
770550	25318	Dedalos
770550	33529	Giulia/Giulio
770550	57021	Cardente
770550	83861	
770550	143525	Dedalos
770550	197455	
770550	207051	Pepper
770550	213380	
770550	217874	Herself
770550	236447	
770550	263880	
770550	263931	
770550	327903	Girl on Beach
770550	334690	Berta
770550	381622	Pola (2002)
770551	45825	Girl at party
770552	52775	
770552	83863	
770552	91358	
770552	209075	
770552	338064	
770553	131466	Fat lady
770555	241699	Specialty
770556	110339	Rebecca Shagal
770556	178286	Bertha
770556	200334	Mrs. Starkey, Ringo's Auntie
770556	348379	Fat Lil
770556	348380	Lil
770556	362073	Fat Woman
770556	367620	
770556	411152	Blossom
770557	68272	Additional Voices
770558	41276	Catherine
770558	93068	Phoebe
770558	93955	Viv
770558	110967	Emma
770558	160020	Kate Rainwood
770558	164985	Mother
770558	192574	Rachel
770558	236145	Irene
770558	245856	Frances Hannon
770558	257264	Susan Page
770558	291981	Barbara Mattei
770558	310879	Rita Fiore
770558	340765	Patricia Findley
770558	358580	Marty Ellis
770558	361167	Elizabeth Zaks
770559	367999	Dancer
770560	110170	Stewardess
770560	162289	Emily
770560	165278	Mildred Dean
770560	190690	Bartender
770560	192248	Liz
770560	241056	
770560	254648	Scotch
770560	342924	NBA Casting Secretary
770560	407663	Jimmie
770561	122903	Chubbs
770561	222585	Jean
770561	330185	Olga
770561	350641	
770561	400677	(1946)
770562	193426	Edelknaben
770563	197164	Kono
770565	27925	Nina Revere
770565	230410	Miss Jackson
770565	354519	Nurse
770566	308058	
770567	84131	Diana Morris
770567	117314	Iona Havelock
770567	120235	Mrs. Gardner
770567	123373	Frances Challinor
770567	226999	Ruth
770567	233465	Scarlet Star
770567	250902	Jane
770567	264154	Eleanour Kavanaugh
770567	289452	Pamela Reynolds
770567	381970	Co-host
770567	389419	Herself/panelist (1957-1961)
770567	392296	Hedwig
770567	395961	Interviewer
770568	244694	
770569	40520	
770570	1805	Herself - Presenter
770570	2960	Herself/presenter
770570	7808	
770570	95133	Genettia Lang
770570	103906	Herself
770570	151758	K.C., Cherry Bomb
770570	161265	Herself
770570	161309	Narrator
770570	161379	Herself
770570	164619	Diana Ross
770570	176905	Jennie Sawyer
770570	252586	Host
770570	378795	Off. Judy Hoffs (1987-1991)
770570	389072	Malena Ellis
770570	390982	Vanessa Russell
770570	395623	Tanya Ward
770570	398753	Samika
770570	399987	Herself
770570	400253	Stacy (2001-2002)
770570	406105	Herself
770571	280737	Daughter 1
770572	2781	Kelly O'Shea
770572	140183	Lisa Downey
770572	211385	Vickie's sister
770572	395723	
770573	53822	Tamara
770573	185225	
770573	198855	Kim
770573	237008	Sexy Girl
770573	336458	Tiffany
770573	358629	Alisha Holmes
770573	389858	Meg Lawson #1 (1990-1994)
770573	390348	Mona Phillips
770573	398567	Akeesha Wesley (1995-1996)
770573	404371	Cassandra 'Cassie' Wheeler
770573	411802	Alex Perez (2000-2002)
770574	190218	Flirty Nurse
770575	33742	Denver's Carnival Friend
770576	38021	Newswoman
770576	70392	Cindy
770576	147252	Ciaro's Secretary
770576	183009	Girl at Party
770577	41368	Round Girl
770578	45912	Nancy
770578	113042	Herself
770578	209158	Teresa Ronchelli
770578	229505	
770578	354159	Herself (Producer)
770579	13990	Girls Backstage
770579	32185	Chorus
770579	72726	Hearing Disabled Teenager
770579	303226	Sister Mary Robert (singing)
770579	370643	Renee Atwater
770579	371824	
770580	20966	
770580	68270	Nadia
770580	88763	Nurse Nancy Nichol
770580	123697	Reporter
770580	236089	Dream girl
770580	237006	Party Guest/Bridesmaid
770580	266601	
770580	296543	Vegas Woman #1
770580	296665	Club girl
770580	356997	Associate 1
770580	386565	Nurse Nancy Nichol
770581	189306	
770582	2597	Bar girl
770582	45853	Courtney
770582	73883	Jookhouse Woman #3
770582	104512	Monique Rogers
770582	176453	Francine
770582	212027	Nurse
770582	245137	Vanessa
770582	309535	Rich Woman
770582	314923	Doc Brown's Girl
770583	78823	
770584	17937	Sally
770585	256184	McGuinn Baby
770586	23448	Dr. Sylvia Van Buren
770586	27215	Lucille Grellett
770586	52579	Hatcheck Girl at Mocambo's
770586	63994	
770586	66968	Juliandra, Suzarein of Hercul
770586	77444	Cleo
770586	77456	Girl at Poolside in Home Movi
770586	92734	Officer Grace Downey
770586	108805	Herself
770586	131774	Clarisse Carter
770586	135792	Rose Fargo
770586	135798	Judy
770586	147637	Herself
770586	154747	Gloria
770586	154769	Sales Clerk
770586	156940	Showgirl
770586	170401	Valerie
770586	190179	
770586	279866	Juliandra/Noviandra
770586	308338	Girl at Palace
770586	359298	Sylvia Van Buren
770586	389566	Helen Watkins
770586	403604	Juliandra
770587	177511	Second Nurse
770588	125869	Dolly's Sister, Phyllis
770589	367208	Opera Singer
770590	17759	Herself
770590	27566	Herself - Host
770590	219783	Herself
770590	228984	Herself
770590	232018	Herself
770590	328800	Presenter
770590	328801	Herself - Presenter
770590	328802	Herself - Presenter
770590	328803	Herself - Presenter
770590	328804	Presenter
770590	328805	Herself - Presenter
770590	328806	Herself - Presenter
770590	328807	Presenter
770590	338584	Herself
770590	360556	Herself
770590	360557	Herself
770590	390249	Herself (1999)
770590	390554	Presenter
770590	390763	Herself - Host
770590	400594	Herself - Presenter (2003-)
770590	401722	Herself (1988-99)
770590	410637	Presenter (1993-2001)
770590	410717	Herself - Host
770590	410719	Herself - Host
770591	73158	Mme Le Beau
770592	244223	Herself/Emily Webb
770593	347119	Daughter, Lewis Family
770594	7889	Party Goer
770594	109395	Teen Model with Braids
770595	8536	
770595	8555	
770595	23389	
770595	39083	
770595	55167	
770595	74613	
770595	77246	
770595	77275	
770595	91336	
770595	91388	
770595	91406	
770595	101837	
770595	103486	
770595	103742	Madre de Paloma
770595	113240	
770595	121399	
770595	121952	
770595	124530	
770595	159231	
770595	161830	
770595	169964	
770595	205147	
770595	221898	
770595	221957	
770595	232985	
770595	248280	
770595	249852	Monica, Investigadora
770595	260570	
770595	275956	
770595	278744	Azela
770595	278745	Azela
770595	278746	Azela
770595	284953	
770595	286019	Lolita
770595	296089	Silvia
770595	309085	
770595	310034	
770595	318290	Adelina Juarez
770595	337443	
770595	337945	
770595	340308	Maria
770595	371693	
770595	371710	
770595	376692	Martina
770595	377105	
770595	381153	Regina
770595	383688	Dinorah
770595	395043	Carmina
770595	396713	Francisca Rivero de Valdés
770595	397572	Isaura Becker
770595	400490	Mireya Ocampo
770595	401698	Ana Luisa
770595	409719	Elvira
770596	172666	Alice
770597	189221	Cindy
770597	276799	Amy
770598	226963	Bunny
770599	65779	Alba Toussaint
770600	318811	Stripper
770602	277232	Millicent Crain
770603	26040	Secretary/Elf #1
770604	267144	Judy
770605	80558	First Café Couple
770606	74311	
770606	241108	Angelica the Good Witch
770606	302911	Secretary
770606	304757	Dolores
770606	402916	Regular Performer
770606	407960	
770607	133939	Herself
770608	192729	Operator
770609	194893	Colima
770610	54398	Danseuse
770611	144456	Charli/Chatterbox 'Chats'
770611	391507	Charli/Chatterbox 'Chats'
770612	202988	X-Ray Technician
770612	232282	Police Officer
770612	277622	UCLA Voice
770613	343879	Holly's sister
770614	161523	Snow White
770614	294394	Additional Voices
770614	379625	Roxanne
770614	382767	Wakana Konno/Mother/Moe's mot
770614	396923	Chiyako Matsuura, Keiko, Ryou
770614	402899	Katelya Glory
770615	390730	Nanako Mizuki, Momoi, Young W
770616	343881	Band Member
770616	382838	Ronnie Williams (1989-1991)
770616	406267	Debbie Nixon/Freeman
770617	14189	Herself
770617	220206	Herself (Miracles member)
770617	220208	Herself
770617	406014	Herself
770618	65453	Cleaning Lady
770618	71779	Woman in White
770618	139606	Nurse
770618	156436	Femi
770618	246685	Mrs. Wilder
770618	259279	Female Jailer
770618	340320	Wilderness Official
770618	347069	Teresa
770619	283323	Rebecca
770620	270446	
770621	73423	Bussboy Mozz
770621	75830	Wendy
770622	136270	Beth
770623	27290	
770624	79450	Peazant Baby
770625	3079	Herself - Performer
770625	17934	Restroom Girl
770625	30965	Girl on Corner #4
770625	69053	Club Patron
770625	189982	Club Crooner
770625	221474	Herself (En Vogue)
770625	283104	Newborn Baby
770625	296980	Lenox Lounge Patron
770625	324551	Model
770626	154796	
770627	143831	Policewoman
770628	372175	Dancer
770628	372176	Dancer
770629	136287	New Arrival
770629	152947	Principal
770630	161265	Herself (Mother)
770631	301532	Cricket Coogler
770632	217983	Daysie de Lille
770632	229632	Mrs. Knipp
770632	251835	Mrs. Dalloway
770632	340456	Cora Vansittart
770633	297954	Herself
770634	203980	Meg
770635	97388	Knicks Choreographer
770635	127730	Vikings Dance Squad Member
770635	169163	Female Singer
770635	202195	Roseland Dancer
770635	239790	Lula Mae
770635	290319	Eartha
770635	315190	Dancer
770635	362512	Audience Female #4
770635	380031	
770636	391604	Denise Hartung (2000-2002)
770637	140514	
770638	212997	Mrs. Pierpont
770639	325283	Cathie
770640	29885	
770640	33635	
770640	35232	
770640	39680	Elizabeth Yepes
770640	92416	Cissy Hubbard
770640	168087	Secretary
770640	206856	Jeanne Williams
770640	215173	Paula
770640	292463	Edna
770640	381802	Dorothy
770641	46242	Nurses Home Nurse
770641	79450	Baptismal Procession
770641	405209	Janice Peters (1999)
770642	67135	Herself
770643	257714	Celeste
770644	24703	Old Frail Lady
770645	213586	Peep-Bo
770645	379193	Mezzo-Soprano/Annina (episode
770646	124017	Rapper Girl
770647	281196	Lori
770647	314104	Dancer
770648	61595	Loretta (expanded 1925 re-rel
770649	171057	Margie
770649	368248	Lena
770649	383926	Lauren Richmond
770650	26967	Mrs. Blayne
770650	32562	Miss Harrington
770650	37461	Florist Shop Employee
770650	59648	Court Stenographer
770650	73204	Party Guest
770650	83991	Judith Lantry
770650	91565	Nadine Wayne
770650	92505	Marcia
770650	106106	Club girl
770650	108328	Jane Hughes
770650	117440	Wilda Lanning
770650	128522	Maggie
770650	129233	Betty Warren
770650	138661	Aunt Gladys
770650	143838	Jean
770650	145900	Margie Baker
770650	154623	Elsie (movie cashier)
770650	155061	Dorothy Winston
770650	161914	Clinic Nurse
770650	175180	Mrs. McFarlaine
770650	178316	Martha
770650	183706	Girl with Randy
770650	185254	Gracie
770650	185754	Linda Essex
770650	188562	Hatcheck Girl
770650	191588	Third Model
770650	192334	Guest
770650	192622	Celeste Manning
770650	193734	Patricia Lawrence
770650	214187	Blonde Drunk
770650	215764	Anne Walsh
770650	245426	Doris Burnett
770650	253476	June Reese (Lemke)
770650	256638	Maj. Smith's secretary
770650	270918	Outside Secretary
770650	274005	Mississippi
770650	277961	Jean Madison
770650	278563	Renee, the Maid
770650	278854	Norma Jameson
770650	292821	Nurse
770650	294944	Secretary
770650	305600	Ellen, John's Housekeeper
770650	306577	Lucy Walters
770650	306810	Mary Larson
770650	311299	Nurse
770650	312156	Girl at Officer's Club dinner
770650	315523	Mrs. Parker
770650	316083	Girl in Cafe Making Comments
770650	318192	Capt. Rogers
770650	333142	Kora Graham, aka Lora Lacey
770650	337074	Duchess Isobel
770650	363190	Waitress
770651	45096	Townswoman
770651	94491	Madame Dubarry
770651	291709	
770651	332047	
770652	118769	Garsenda
770654	7397	The Young Woman
770654	19514	Mary Hilbert
770654	21429	Milly Hayward
770654	21503	Wedding Guest
770654	22812	Belle
770654	25466	Woman in Court
770654	32730	
770654	33707	
770654	35241	
770654	38697	
770654	41896	
770654	46738	
770654	47466	Townswoman
770654	47518	Kate's Friend
770654	49795	One of the Children
770654	52195	
770654	61630	The Old Man's Daughter
770654	67221	
770654	69048	Dorothy
770654	70718	On Street
770654	70811	In Store
770654	75407	Suffragette
770654	79358	
770654	79718	Party Guest
770654	81083	One of the Wife's Companions
770654	88145	
770654	93757	One of Mignon's Sisters/The M
770654	94976	One of Fiametta's Attendants 
770654	95541	
770654	101430	Member of Dramatic Club
770654	105593	Student
770654	106022	
770654	107419	Mother
770654	107560	
770654	109331	The Maid/Party Guest
770654	109822	
770654	111714	Nellie Caufield as a Child
770654	113961	
770654	113962	Mabel
770654	114796	
770654	115080	Wedding Guest
770654	117049	
770654	117085	
770654	121919	
770654	123302	Cactus Kate
770654	123307	
770654	123782	
770654	124753	Emily Harrison
770654	126655	Party Guest
770654	127246	Gertrude Howard
770654	127463	On Sidewalk
770654	128091	
770654	128623	On Street
770654	130651	The Maid (unconfirmed)
770654	131436	
770654	133141	
770654	133378	
770654	133893	
770654	140131	Edith
770654	141240	Wedding Guest
770654	144222	Soldier's Family
770654	145861	
770654	145887	
770654	146057	A Grown Child
770654	146105	
770654	146276	
770654	157486	Gertrude
770654	157770	Young Couple
770654	157775	At the Ball
770654	157875	Homecoming Party
770654	158491	
770654	166235	
770654	168305	
770654	168976	The Maid/In Crowd
770654	168978	Maid
770654	169978	
770654	172328	
770654	176467	
770654	190484	At the Ball
770654	191115	First Couple
770654	191754	In Store
770654	192320	Student
770654	193750	
770654	195754	
770654	195888	
770654	195930	Party Guest
770654	202872	
770654	206265	
770654	207111	Passerby
770654	208534	May Blossom
770654	210708	Dora Prescott
770654	210846	
770654	213115	At Party
770654	213871	Emily Rhead
770654	215321	
770654	216972	Gertrude
770654	217186	Indian
770654	218836	
770654	220358	Townswoman
770654	227794	
770654	228519	Gertrude
770654	230308	
770654	231025	On Train
770654	235081	
770654	236931	Fleeing Aristocrat
770654	237663	Aristocrat
770654	239701	
770654	239814	Outside Store
770654	240938	Forger
770654	241235	
770654	241581	At the Party
770654	241783	
770654	242503	Hetty's Niece, Mary, as an Ad
770654	254693	
770654	267496	The Girl
770654	268907	Marna
770654	276388	
770654	276696	
770654	281848	A Puritan
770654	286331	On Beach
770654	291861	A Lady-in-Waiting
770654	294364	
770654	302472	
770654	307695	
770654	309277	On Shore
770654	315121	
770654	317180	Molly Livingston
770654	318718	The Shepherdess
770654	318801	Mabel's Friend
770654	328785	Guest
770654	329402	Miss Dean
770654	330242	In Group
770654	331078	Theatre Audience
770654	331880	At the Soiree
770654	334292	In Audience
770654	337312	
770654	337501	
770654	339427	
770654	339581	At Gallery
770654	342989	Party Guest
770654	343081	
770654	343223	At Party
770654	347361	
770654	347605	
770654	348952	At Luncheon
770654	357002	
770654	359097	
770654	360203	Wedding Guest
770654	360691	
770654	361232	Eleanor Scott
770654	362406	Milly
770654	362564	On Street
770654	363108	
770654	365778	Woman at the party
770654	367461	Young Woman
770654	367556	Nina
770654	368105	
770655	385420	Chris
770656	282614	Lady Ann
770657	404664	Old Lady
770657	411353	Mrs. Vesey
770658	341947	Flora
770659	64098	Young Sam
770660	195999	Billie
770660	333287	Sister in Hall
770660	349130	American Lady
770660	363756	Ellen Carter
770661	79006	
770662	13857	Jackie
770662	304913	Dr. Debra Marcus
770663	87905	
770664	13454	Marchioness of Castlejordan
770664	238506	Manager-Cashier
770664	272532	
770665	64563	Herself - Ringmaster
770665	313815	School child
770666	41238	Kolkan Blond Daughter
770667	98803	
770667	110298	
770667	303433	The second female lead
770668	68113	Herself
770668	385098	Narrator
770668	407016	Narrator
770668	409483	Presenter
770669	252528	Cameo appearance
770670	224358	Herself/Member of the Ontario
770671	275715	Policewoman
770672	128596	Nun with Gun
770673	305571	Mother
770673	380216	Lemka
770674	232498	Kate
770674	262261	PTC mom #1
770675	241444	
770676	93076	Self
770677	84523	Templar Soldier #2
770678	225777	Party Girl 1
770679	36722	One Night Stand
770679	73735	Little Bo
770679	274065	Customer in shop
770679	289375	D.J.
770680	235443	Helen the Receptionist
770680	340987	Sheriff #1
770681	183760	
770681	348327	Dancer
770682	102795	
770683	213159	Card Club Woman #3
770683	235519	Ellen
770684	241758	Donna Hayden
770685	104965	Cowgirl Gloria
770685	151086	Claire
770685	160970	Production assistant
770685	292785	Country Girl
770685	390771	Robin Lang Fletcher #2 (1959-
770685	400417	Jenny Morgan (1966-1967)
770686	108470	Bunny Sue
770686	117683	Street Walker
770687	177407	Jessica
770688	313432	Vanda M'Giia
770689	48556	Sinsie
770689	177989	Zubbediya
770689	197765	Rachel
770689	202724	Marisa
770689	285313	A Friend
770690	8092	Kimberly Insurance
770690	27117	
770690	44108	Admitting Nurse
770690	67385	New Jersey Assistant D.A
770690	78058	
770690	82050	Mrs. Clarkson
770690	113354	Laura Wilkie
770690	119316	Nurse Jan
770690	124049	Sally
770690	127679	Dr. J. Evans
770690	165871	Mary Horn
770690	193268	Psychologist
770690	196328	Heather Taylor
770690	206864	Karen
770690	220778	Norma
770690	224117	Magnolia
770690	227664	Liz Detmer
770690	241792	Sherene
770690	245838	Cage Woman
770690	252971	Dr. Palmer
770690	273771	Dist. Atty. Lowery
770690	282954	Rude Caller
770690	287781	Dr. Ericson
770690	296866	Miss Macro
770690	299874	Mother Mary
770690	312962	Evelyn
770690	317351	Lorraine Boyle
770690	330133	Aunt Jackie
770690	342714	Connie Matthews
770690	358729	Liz (segment "The Badge")
770690	360465	Evelyn Harris
770690	364203	Lois Evans
770691	171063	Debra Mitchell
770692	66837	Lexi Matha
770692	87828	Lisa
770693	13736	Roz
770694	132618	Waitress
770695	13507	
770696	84457	Babe #10
770696	105309	Mary
770697	26633	Party Crasher
770698	217448	Classroom student
770699	62285	Harley
770699	131835	Sarah Mae
770699	213662	Grace
770699	256188	Trudy Jones
770699	321667	Karen Ludlow
770699	331798	Adrian
770699	399429	Det. Christine Meadows (1987-
770699	409993	Veronica Clare
770700	5960	Pool party guest
770701	364302	Brigitte
770702	169951	Angie
770702	278830	Zelda 'Zelly' Smith
770702	389927	'Vee' Foster
770702	391485	Nadine
770703	132212	Reporter
770704	169136	Chorus/Check-Out Girl
770705	34911	
770705	381661	Various Roles (1975-1976)
770706	144641	Rodeo Drive girl
770707	372884	Second Dancer
770708	126686	Girls' Track Team
770709	165656	Herself
770710	41820	
770710	43015	Elaine
770710	60361	Dana
770710	241401	Lyla Cromwell
770710	358729	Denise (segment "The Badge")
770710	362834	Young Wife
770711	96637	
770712	113886	Princess #8
770713	176814	Jeanine Mackey
770714	330750	Minnie Mac Presley
770715	156466	Juror #10
770716	176732	Lorraine
770717	143202	Cora
770717	202999	Slave woman
770717	337178	Black Servant
770718	72290	Bakery Waitress
770719	188202	Black Woman
770720	38358	Julie Pretty
770720	55109	Pathologist
770720	65200	Deb
770720	78034	Woman fishing
770720	82897	Herself
770720	99952	Mrs. Elton
770720	227327	Laura Cox
770720	272675	Susan
770720	386991	Sarah
770720	388321	DI Kathryn Warren-Hall (2004)
770720	402125	Mrs. Hurst
770720	403292	Rachel Rattigan
770721	168737	Rebecca Chase
770721	211529	Kennedy Mourner
770722	291293	Nina Ray
770722	338750	Cathy Tucker
770722	365119	Mrs. Baker
770722	366817	Newspaper Purchaser #1
770723	71476	Billie
770723	78670	Martha
770723	303265	Clerk
770723	367054	Munchkin #2/The Wiz Singers A
770724	42700	'Sis' Lucy, a Pious Lady
770725	7465	Elisabeth Maurizius
770725	7473	Madame Seznec
770725	8248	
770725	13041	Madame Josée
770725	20811	Flore Brazier
770725	24407	La femme du bar
770725	32280	
770725	33559	Mère de Pauline
770725	43711	Maine Lecomte
770725	52909	Louise-Athanaise Claudel
770725	54246	Denise Benoît
770725	57292	
770725	61431	Mme Vatier
770725	62816	Mme du Gua
770725	64228	Marie de Médicis
770725	64952	
770725	66733	Clara Noël
770725	70955	La mère
770725	72070	
770725	73630	Henriette Rouvray
770725	73634	Van Dorneck
770725	77422	Lady Augusta
770725	85543	Germaine Messager/Stepmother
770725	85693	Mme Lidoine (la nouvelle prie
770725	86424	
770725	91972	Irène Comtat
770725	101166	Rita Schomberg
770725	101881	Lucienne
770725	120974	
770725	121343	Simone
770725	124318	Maria
770725	125838	Maud
770725	127984	
770725	132172	
770725	132401	Bianca
770725	132995	Catherine Maguet
770725	148605	Herself
770725	148629	Geneviève
770725	148646	Madeleine Dubreuil
770725	148740	
770725	149751	La femme du ranch
770725	160048	
770725	161994	Fernande Josse
770725	164174	Mrs. Meyrand
770725	166148	Mado Torquella
770725	170037	
770725	188846	Madeleine Marsan
770725	188922	Mrs. Londe
770725	194144	Alphonsine
770725	195244	Julia Pradal
770725	197388	Michèle
770725	204562	
770725	211663	Dorothée
770725	214797	Irène Cazenave
770725	214874	Denise Mériel, la mère
770725	224873	
770725	236591	La réfugiée
770725	236611	Macha
770725	240607	La doctoresse Louise Montivie
770725	244962	
770725	254039	Eva
770725	256992	Jeanne Mureau
770725	257004	
770725	261458	Agatha Manosque
770725	265227	Mrs. Grubach
770725	265715	Françoise Parker
770725	265718	
770725	268412	Mathilde Belin
770725	270907	Madame Lignel
770725	284175	Reine Rippert
770725	285982	Louise de Savoie
770725	295234	Geneviève
770725	301171	
770725	309147	
770725	309335	Marthe
770725	327655	Suzanne
770725	345240	Helene
770725	345377	Wealthy woman
770725	346620	La mère/Mother
770725	346765	Marthe
770725	357046	Le tenancière/Trianon
770725	376918	Thérèse Marcoux
770725	385608	Lucienne
770725	389143	Adélaïde Rougon
770725	398359	Mme Weber
770725	405529	Mme de la Pommeray
770725	408321	
770725	409458	Sophie Germont
770727	323728	Seppia, a stepsister
770728	25364	Punk Girl
770728	56753	Model
770728	128320	Janice
770728	220646	Sally
770728	358560	Steffanie
770729	411296	Herself
770730	37555	Child
770730	45565	Teresa
770730	168263	Mary
770730	171105	English Judge
770730	191242	Child
770730	218146	Mary
770730	222769	Mayor Joan Primrose
770730	282918	Maybelline, Sheriff's Wife
770730	315899	Hostage
770730	338271	Waitress
770730	360768	Beverly
770731	74048	Children of Castor Fan
770731	287509	Max's Mother
770732	110998	Liberation Lady
770733	56431	FedEx Anchor #1
770733	86307	Art Patron
770733	110170	Birthday Party Guests
770733	115179	Dancer
770733	202195	Roseland Dancer
770733	252483	TV reporter at Supreme Court
770733	260266	Jilted Woman
770733	315190	Dancer
770733	386238	Sandy Devlin
770734	94488	Marie Antoinette
770735	17520	
770735	163754	Mrs. Parker
770735	265714	
770736	333815	
770737	54471	Mary Rickenbacker
770737	165444	Girl
770737	203594	Patricia Hammond
770737	318608	Genevieve Sullivan, as a chil
770738	289024	Hip Hop Dancer
770739	18544	Party Girl
770739	152272	Pepper
770739	195558	Yvonne Freeman
770739	201716	Herself
770739	336239	Mikisha
770739	402386	Vendor
770740	27153	Megan Riley
770740	105366	Gail
770740	410835	Margaret
770741	364048	Percy's Lady Friend
770742	213237	Mrs. Emma Wilson
770743	279636	Lucia
770744	226963	Angel Face
770744	230675	Bettina
770745	59430	
770745	332011	
770746	53318	Miss Viola
770746	194640	Kilo
770747	151744	Herself
770747	381356	Herself
770748	31255	Interviewee/Road Rules
770748	279423	Herself
770748	402996	Women/Road Rules
770748	402999	Herself/Road Rulers
770748	403487	Herself/Campus Crawl (2002)
770749	232235	Helen
770749	283680	Megumi Takani
770749	386236	Additional Voices
770749	389570	Additional Voices
770749	396019	Additional Voices
770750	142372	Classroom Student
770751	78118	Clara Benson
770751	137497	Eileen
770751	306765	Kay
770752	140742	Mrs. Daniels
770753	192112	Karen, 'the one'
770754	171336	Reporter Janet
770754	407499	Host
770755	1088	Mrs. Walters, Julie's Mom
770755	2486	Little old lady
770755	5854	Lu Woodworth
770755	13351	Updyke's Guest
770755	20264	Townswoman
770755	33579	
770755	44570	
770755	46982	Woman
770755	48539	
770755	56229	Mrs. Veite
770755	60037	Wardrobe Woman
770755	62013	Mother Brunn
770755	71182	Angela
770755	72134	Mama Rinaldo
770755	82364	Mrs. Jones, Nadine's Mother
770755	87549	Aunt Marion
770755	92162	Mercedes
770755	105227	
770755	114651	Miss Simpson
770755	118399	Nurse in the Nursery
770755	123141	Mrs. Newbold
770755	128850	
770755	133673	Undetermined role
770755	137262	
770755	140862	Mrs. Johnson (liquor store pr
770755	142463	Margaret Chandler
770755	142872	Miss Patterson
770755	149261	Mrs. Cohn
770755	157091	Apartment manager
770755	157866	Mrs. Higgins
770755	173534	Juanita
770755	176375	Mrs. Hollingsworth
770755	179083	Molly, Gipp's Mother
770755	193733	The Queen of Arvonne
770755	194822	Missionary
770755	203585	Mrs. Clark, Roscoe's Housekee
770755	213160	Mrs. Winslow
770755	213180	Nurse
770755	214945	Mrs. Sanders
770755	218704	Villager
770755	224047	Mrs. Thompson
770755	240657	Flood Camp Nurse
770755	241349	Lydia's Maid
770755	244863	Mrs. Hanna
770755	245283	Mrs. Scudders
770755	254787	Nurse
770755	271855	Patient in Doctor's Office
770755	275451	Mrs. Petit
770755	280630	Edwina Blake
770755	289641	
770755	291916	Bridey
770755	292405	Mrs. Updyke
770755	295282	Mother
770755	297478	
770755	302917	Freida Freyman
770755	308576	Nun
770755	308592	Mrs. Geuerbach
770755	311016	Mrs. Wentley
770755	314433	Miss Brighton
770755	315695	Mrs. Meister
770755	327972	Woman at Trial
770755	329134	Mrs. Millbourne
770755	329388	Woman Deputy
770755	329437	Cora Haines
770755	330010	Mrs. Myers
770755	331522	D'Artagnan's Mother
770755	336044	Head Matron
770755	338270	Mrs. Flaherty
770755	339375	
770755	345958	Mrs.; Ames
770755	358641	Mrs. Shaw
770755	360600	
770755	363255	
770755	363745	Mrs. Robinson
770755	366205	Mrs. MacEwen's friend
770755	367073	Munchkin Villager
770755	370555	Nurse
770756	210625	Herself
770756	346142	Hotel Rainbow Guest
770757	127483	Girl
770757	324036	
770757	368033	Little Red Riding Hood
770758	113303	Lucy
770758	393037	June Mahy
770759	27210	Jenny
770759	322843	Herself
770759	393335	Denise
770759	405178	Tracy Tracey (2001-2002)
770760	17132	Sor Juana
770761	243236	Kathleen MacKenzie
770762	267543	
770763	130696	Nomi
770763	372345	Jane O'Connor
770764	238238	Choir Member
770765	304822	Sharon (the Nurse)
770766	13742	Nevada Anchorwoman
770766	48075	Newscaster
770766	92453	Newscaster
770766	379151	Herself - Weekday corresponde
770767	109532	Herself
770768	194666	Inmate
770769	134881	Lisa
770769	150405	
770770	26238	Sings Of The Replicants
770771	113558	Court Clerk
770771	203243	Clerk
770771	221122	Newscaster
770771	227335	Head nurse
770772	178058	Jenny
770772	199390	Store Employee
770772	238991	Chorus Girl
770772	370585	Girl at dance
770772	382633	Sarah Challen
770772	391879	Hazel Place
770772	395181	Oriana Wilson
770773	133858	Emilie Trampusch
770774	321143	
770775	63834	Dorothy
770775	385299	Julie Bates
770776	91929	Flower
770777	193280	
770778	64836	Sunya sharpshooter
770779	145071	Hooker
770780	249557	Undersheriff Julie
770781	256184	McGuinn Baby
770782	21173	3rd Court lady
770782	141193	Marta
770782	223758	Lizer McSwat
770782	266671	Freda
770783	333478	Amazon
770784	202195	Roseland Dancer
770785	290319	Roz
770786	360221	Elena
770787	245698	Mahura
770788	140400	
770788	241718	
770788	245625	Fashion Center Beauty
770788	250873	1st Female
770790	67709	
770791	130341	Hippie girl
770791	274200	Fairy Godmother
770791	334170	
770791	345633	Herself
770791	393424	Minx (singing voice)
770791	401740	Pikachu's Jukebox Singer (199
770792	15251	La fonctionnaire de l'aéropor
770792	139651	
770793	351972	Jamaican Girl
770793	381799	Tracey Ellis
770793	384097	Joy (1999)
770793	384968	Sarah Midgely
770793	408053	Rita Rytka
770794	316083	Woman (uncredited)
770794	396088	Judith Lodge Raven (1954-1957
770795	381608	Anne Charleston
770796	26287	Josie/Madge
770796	198492	
770796	214443	Natalie, the Hairstylist
770796	215507	Leslie Davis, Miss California
770796	274699	Maya
770796	278526	Starletta
770796	330383	Gwen
770796	342769	Karen
770796	347907	
770796	358642	Celeste
770796	366844	
770796	383721	Various Characters
770796	397249	Amelia
770796	397812	Rachel Aimes
770796	406529	Principal Regina 'Piggy' Grie
770798	399693	Presenter (1991-1993)
770799	309860	Nurse
770800	40083	Hospital Receptionist
770801	48948	Restaurant Customer
770802	144536	Jazira
770802	211354	Jessica
770802	304539	Suzie
770802	333391	Lester Moore's Assistant
770802	395925	Yves Adele Harlow
770803	214430	Cafe Patron
770804	38542	
770805	70227	Ria Stefani
770806	91888	Terri
770807	21529	Miss Billington
770808	387497	Debbie
770809	1743	Themselves
770809	2573	Herself
770809	88248	Herself
770809	96555	
770809	105028	Herself
770809	139651	
770809	139658	Hermione Granger
770809	352977	Herself
770809	369874	Performer
770810	100193	Costumer 1
770810	221021	Teen daughter
770811	342552	Angel in Train Car
770812	257241	Dorothy
770813	148886	Restaurant Patron
770814	51975	Hattie
770815	62960	Herself/Flutist
770816	347686	Nurse Bava
770817	177993	Regina
770818	169939	Molly Landry
770819	22733	
770820	171002	
770821	280663	Production Assistant
770822	353810	
770822	353840	Lucille
770822	386497	Judith Léger
770822	387683	Alice Bernier
770823	284196	Une musicienne
770824	195137	Guylaine
770825	2928	Nana
770825	101199	Narrator
770826	26583	Woman in Restaurant
770826	51442	Madame Therrien
770826	78370	Chef-infirmière
770826	86911	Receptionniste
770826	119501	Mrs. Schmidt
770826	169652	La soeur de Marcel
770826	186127	Mme Therrien
770826	202727	Rosetta
770826	236535	Claire
770826	238426	Carabosse/Fée Marraine/Madame
770826	261876	Touriste
770826	320066	
770826	322353	Mme Malterre
770826	371421	Colette
770826	377937	La voyante
770826	386038	Denise's mother
770826	397138	Alice Richard
770826	400856	Simone Lebeau
770826	401320	Mme Therrien
770826	403899	Yolande Dubuc
770827	145271	
770828	48925	
770829	27985	
770830	96262	
770831	4656	Julia's mother (segment "Noch
770831	5758	
770831	28212	
770831	69929	
770831	74369	
770831	75202	
770831	83128	Mariá Luisa Robledo
770831	140823	
770831	145267	
770831	146533	Nata
770831	162764	
770831	170052	
770831	206987	Amiga 3
770831	212360	
770831	212464	
770831	250994	
770831	252049	
770831	281790	
770831	322220	
770831	344704	
770831	353555	
770831	376637	
770831	378470	
770832	384401	Manuela
770832	400667	Natalia Franco (1992-2000)
770833	32024	
770834	3388	
770835	147404	The Desafinado Trio, Vocalist
770836	159509	
770837	57810	
770838	48260	
770839	139910	
770840	145264	
770840	190997	
770840	286989	
770841	287452	Lupe
770842	397210	Becaria (2003-2004) (segments
770843	130229	Corina
770843	238127	Vriendin Charley
770844	42388	Mathilda
770845	14432	
770845	59204	
770845	82963	
770845	87834	
770845	88057	
770845	103941	
770845	133795	Saturday
770845	145208	
770845	147976	Bald Woman 1
770845	155927	Mexican Waitress
770845	157323	
770845	169754	
770845	210469	Latina Reporter
770845	234350	
770845	250809	Lisa
770845	252063	
770845	265114	
770845	287446	
770845	287739	
770845	301176	Maria
770845	302380	Teresa
770845	352098	
770845	353267	Prostituta
770846	379819	Mirna
770846	402059	
770847	95421	
770848	199966	
770849	131473	Loser Chick 2
770850	222532	
770851	12545	Doña Eulalia
770851	56030	
770851	58043	Casilda
770851	69254	
770851	73528	
770851	90520	
770851	125660	
770851	143748	
770851	197617	
770851	214212	
770851	216095	
770851	256738	
770851	309087	Sor Lucía
770851	337869	Doña Antonia
770852	195736	Doria
770853	384844	Herself
770854	378999	Host
770854	380407	Newsreader (1996)
770854	390465	Hostess
770854	391449	
770854	402710	Host
770855	118149	Víctima #1
770856	208228	
770857	49431	Isabel
770857	188999	Maria
770857	280573	Graciela
770858	405812	Rocío Fosatti
770859	170082	Doña Concha
770860	30517	Rebeca
770861	78107	Stephanie
770862	30202	
770863	400	Young M.D.
770863	362965	Waitress
770864	14314	Vieille Dame
770864	15096	
770864	17086	
770864	31018	Irène's Neighbor
770864	43718	
770864	44835	Mme Rogier
770864	51223	
770864	60032	Bernadette
770864	61410	
770864	67187	
770864	68336	La rouennaise
770864	69281	
770864	74336	La vieille journaliste
770864	91458	La patronne de l'auberge
770864	102238	Pamela
770864	108902	Mme Ursule
770864	112805	La femme bagarre
770864	119042	Catherine
770864	123064	La marchande de la première b
770864	132309	
770864	156299	
770864	157235	Madeleine
770864	160548	L'avocate de la petite victim
770864	200962	La patronne du bistrot
770864	227317	
770864	249045	
770864	249713	
770864	258238	Mme Coquettes
770864	278143	
770864	282298	L'hôtelière
770864	284257	Une femme (segment "Années Te
770864	287052	
770864	287975	Pilar
770864	324067	Mme Grand
770864	346457	Monique
770864	361606	La tenancière
770864	379841	
770864	392602	
770864	396622	Madeleine Gouvillon
770864	402588	
770864	404663	Mme Sebecourt
770864	408651	Félicie
770865	149388	Hickory cheerleader
770866	302750	Female Worker
770867	307195	
770867	322344	
770868	322005	
770869	87551	Cynthia
770870	108087	Musician
770871	66219	Blanche
770873	75924	Kamilka
770873	354914	Sylvie
770873	410485	Ewa Glinicka-Hanisz (1989-199
770874	379136	Purita (2001)
770874	398858	Hostess (2004)
770875	398857	Hostess (2002-2004)
770876	32861	
770876	96445	Jente i rød bobbeljakke
770876	153767	
770876	284552	
770876	320524	Kristin
770877	78564	Julia
770877	86113	
770877	110927	Viveca
770877	191076	Line
770877	204772	Carla
770877	240124	
770877	372719	Lea
770878	184121	
770879	158449	Mrs. Howes
770880	56996	Stand In & Swing
770881	68550	Sarah Fawks
770881	403239	Wet Nurse
770882	34266	Miss Wild
770882	41274	A Seamstress
770882	399534	Miss. Hemingway
770883	1599	Miss Manningford
770883	2789	Dowager Empress Tzu-Hsi
770883	3005	Miss Binns, Head of British M
770883	10788	Queen of Hearts
770883	17514	Anna Christopherson
770883	31823	Joyce Ballantyne
770883	33767	Antigone
770883	39731	Sister Phillippa
770883	51855	Ftatateeta
770883	54030	
770883	56952	Empress Elisabeth
770883	65228	Stygian Witch
770883	74221	
770883	77667	Mrs. Raeburn
770883	89947	Mrs. Davis
770883	102113	Herself (Livia)
770883	106523	Countess Estell
770883	109047	Lucy Blair
770883	113838	Queen Elizabeth I of England
770883	118653	Lucy Dawson
770883	120151	Nell Dawson
770883	124603	Sister Allandre
770883	125874	
770883	131641	Chairman of the Juvenile Cour
770883	133035	
770883	133539	Mrs. Liz Ellis
770883	136000	Miss Baker Wise, M.P.
770883	136512	Mrs. Haggard
770883	141956	Grandmother
770883	144974	Donna MacKenzie
770883	147521	Esther Harman
770883	155058	Livia
770883	160033	Olivia Chesney
770883	177608	Queen Mary
770883	191230	Queen Elizabeth I
770883	202530	Melita Gonzar, Maria's Mum
770883	215335	The Prioress
770883	222587	Miss Milchrest
770883	234033	Sister Birch
770883	241699	Julia Skene
770883	258954	Mary Rider
770883	264730	Undetermined Role
770883	281166	Nurse
770883	281167	Nurse
770883	288076	Countess Clara Platen
770883	288208	Angelique Buiton
770883	291742	Queen Elizabeth I
770883	300553	Aunt Agatha
770883	305617	Mary Smith
770883	323771	Miss Pross
770883	324029	Mary Rackham
770883	331105	Mother Superior
770883	360369	Jessica Newcome
770883	369182	Ellen
770883	370896	Nanny
770883	385780	Betsey Trotwood
770883	396670	Sister Luke
770883	400401	Kilissa
770884	236713	Herself
770884	269287	Ska's Sister
770884	289523	Lynette
770884	305492	Georgie Shaw
770884	313699	Kate
770884	399434	Tay
770884	405209	Nurse Joanna Jordan (1993-199
770885	248976	Amargosa Receptionist
770885	255274	Irma
770886	385387	Patch
770887	11462	Various Roles
770887	17926	Linda
770887	31094	Sally
770887	57655	Herself
770887	133412	Herself/Audience Member
770887	138721	Herself
770887	139677	Theresa McCorrigan
770887	170882	Daisy
770887	190721	Marsha
770887	202079	
770887	250827	Pregnant Girl
770887	332903	
770887	342205	Herself
770887	382101	Tracey Stubbs
770887	385301	Wanda Wise (2003)
770887	390256	Gerry
770887	392469	Herself - Runner-Up (Series 1
770887	393580	Herself
770887	395015	Jenny
770887	401050	
770887	405151	Maggie Moon
770887	408091	Nelly
770887	409648	
770888	305492	Linda
770888	312340	
770889	200052	Dormitory girl
770890	150866	Carmen
770891	7153	Aunt Polly
770891	8179	Emma Shaw
770891	10738	The Queen of Hearts
770891	16697	Big Bertha
770891	17543	Countess Vronsky
770891	32209	Mrs. Merrick
770891	41761	
770891	47132	Aunt Elizabeth Random
770891	47374	Grandmotherly Actress
770891	54607	Aunt Marcia Prentiss
770891	61153	Matron
770891	77805	Dolly Todhunter (Tod's grandm
770891	79429	Penny, the Housekeeper
770891	86957	Mrs. Wendel (cook)
770891	118264	Aunt Etta
770891	118341	Aunt Etta
770891	118399	Aunt Etta
770891	132843	Laura Bayles
770891	133210	Minerva Hatton
770891	139560	Mrs. Banks
770891	147707	Herself
770891	151408	Herself
770891	155837	Mrs. Mary Walker
770891	162208	Granny O'Dare
770891	168126	Mlle. Rosay
770891	176326	Margaret 'Maggie'/'Ma' Manell
770891	177405	Mother of Gestas
770891	183591	Patsy Patterson
770891	183637	Apple Annie - 'Mrs. E. Worthi
770891	183652	Flower vendor (undercover cop
770891	188707	Mrs. Lynton, Letty's Mothers
770891	192130	Mrs. Stewart
770891	210770	Maman Seward
770891	214080	Cornelia Wheelwright aka Miss
770891	214215	Mary Hastings
770891	232151	Granmum
770891	236876	Mme. Rappard
770891	241519	Sarah
770891	247224	Esther Lezinsky
770891	247225	
770891	252973	Mrs. Leona Wicks
770891	257856	Grandma Kyser
770891	271230	Mrs. Harriet Ainsworth
770891	273781	Mrs. Granny Leslie
770891	274428	Aunt Jane
770891	275230	Aunt Mary Watkins
770891	276951	Frau Lucher
770891	282857	Mrs. Stack
770891	298166	Harriet Breen
770891	307567	Mrs. Vail
770891	313320	Grandmother Lettie
770891	315881	Mrs. Horowitz
770891	316108	Mrs. Evans
770891	316302	Anna Carter
770891	329052	Granna
770891	329115	Cecilia Dangerfield
770891	329605	Grandma
770891	330184	Grandma Rafferty
770891	331425	Mary Jane 'Queenie' Baxter
770891	341903	Tsakran
770891	350408	Madame Judith Paris
770891	364014	Mother Superior
770891	365068	Mimi Stanhope, Van's Mother
770891	367500	Phoebe Tuttle
770891	371331	Granny Whitman
770891	372113	Hannah Bell
770892	62567	Femme atelier
770892	208220	
770892	266401	
770892	346769	La Locataire
770893	65548	Octavia, Wife of Antony
770894	22912	Eliza Morton
770894	47367	Madam Chateaux
770894	124474	Norah
770894	145811	Sloan
770894	194744	The Landlady
770894	197705	
770894	265260	Mrs. Dovey
770894	337622	Old Hun
770895	282609	Herself
770895	332138	Today Tonight Host
770895	340226	Leslie Rowlands
770896	355104	9 Year Old Girl
770897	405209	Hannah White (2001)
770898	258889	1st Wife
770899	72104	Cover Girl: Woman's Home Comp
770900	370851	Sophie
770900	382052	PC Vicky Hagen (1998-2001)
770901	131987	
770902	271490	
770903	83113	
770904	40831	
770904	50925	
770904	96905	
770904	115618	
770904	193840	
770904	197259	
770904	245633	
770905	141955	Klara
770905	162617	
770905	188350	Thelma
770905	277035	Jill Radford
770905	382581	Nurse
770905	395690	Susan
770905	411829	Charlotte
770906	343700	Golden fairy
770907	293318	
770908	69257	Ticket Agent
770908	254645	Elizabeth Beckett
770909	35809	Vanessa
770909	39534	Jane
770909	41155	Woman in Mayor's Office
770909	113482	Claire
770909	117858	Secretary
770909	186036	Camerero's Receptionist #2
770909	195446	Mourner
770909	236982	Correction Officer #1
770909	251382	Black Widow
770909	311021	Miss Wilkins, manager at the 
770909	336663	Kareen's Mom
770910	105462	Dancer
770911	64028	Júlia
770911	71192	
770911	89399	2nd Cook
770911	101164	
770911	107718	Elsa
770911	155551	Manuela
770911	168374	
770911	218240	Conceição
770911	223337	La mère de Pedro
770911	276100	Dona Graciete
770911	294110	
770911	341156	Pregnant Woman
770911	344886	Prostitute
770911	378456	Eloi's Wife
770911	407055	
770911	409423	
770912	259214	Martín's Lady
770913	37788	Girl on Santa's Knee
770913	243889	Osa (Little)
770913	368363	Young Pooh
770914	152603	Student at Brasserie
770915	38513	Lambada Lady
770915	223918	Sadie
770917	115424	
770917	132241	
770918	288950	Camila
770919	347073	
770920	1599	Rosemary Brown
770920	25320	Donna Violante
770920	39598	Ingrid Dekker
770920	42025	Mme. Dueaux
770920	47990	Mary
770920	64390	Elspeth Graham
770920	88170	Bit Part
770920	92574	Rosemary
770920	109242	Sibley
770920	124619	Mary Lenley
770920	147521	Herself
770920	150851	Carol Carter
770920	153611	Mary Foster
770920	158839	Helen Bering
770920	163296	Betty Quair
770920	168688	Sue Pomeroy
770920	188283	Hope Ollerton
770920	196067	Judy
770920	199742	Angela Labardi
770920	203352	Helen Kirby
770920	212600	
770920	214188	Celia Crowson
770920	214448	
770920	215788	Doris Bevan
770920	224413	Peggy Gay
770920	241610	Mary Santell
770920	246256	Sally Brown
770920	253005	Penelope Belman
770920	273630	Marina
770920	276545	
770920	306513	Julie Morgan
770920	308082	Anne Wilding
770920	320271	Joan Raynor
770920	331604	Pat Quentin
770920	351070	Diana
770920	360496	Ruth
770920	363042	Lily
770920	364730	Caroline
770920	366053	Pat
770921	386963	Shannon Eden-Childs (2002-200
770921	391248	Thania Saya (1998-1999)
770922	169635	
770922	220701	
770923	405498	
770924	100267	
770925	51936	
770926	398004	Mochilera
770927	384259	Host (1991-1996)
770927	399615	
770927	404758	Host (1990-1991)
770928	4748	
770928	82717	
770928	104057	Emilia
770928	123275	
770928	215510	
770928	234177	
770928	273740	
770928	275076	
770928	379136	
770928	409463	Eugenia Enchufols (1984)
770929	384118	Janu (1998-1999)
770930	404715	Irene
770931	195586	Monica
770932	103845	
770932	154542	Herself
770932	156085	Herself
770932	156095	Herself - Host
770932	382945	Herself - Host
770932	393036	Herself - Host
770932	393369	Sofía Castelló
770932	398916	Herself - Host
770932	409363	Herself - Hostess
770932	410531	Herself - Host (1998-2000)
770933	225046	Go-go
770933	322714	Inmaculada
770934	303779	Herself
770934	303780	Herself
770934	303781	Skater
770935	303778	Herself
770935	303781	Skater
770936	189519	Joanna McCourt
770936	309641	Girl Upstairs
770936	383018	Sue
770936	400004	Rachel (2002)
770936	407784	Jo McCourt
770937	213389	Aeropuerto
770938	105691	Susana
770938	149551	Tere
770938	393479	Mariona
770939	352398	
770939	383864	
770940	82095	Sasha Rollins
770941	107504	Fairy Queen Mab
770941	122676	The Housekeeper
770941	211500	Fairy
770942	14659	Laura
770942	58792	Henriette
770942	67721	Julie
770942	71519	Mathilde
770942	73251	La juge Russel
770942	77346	Marthe
770942	83189	
770942	100732	Anne-Marie
770942	101170	Jeanne
770942	103824	Pauline
770942	107536	Béatrice Janvier
770942	120355	Isabelle
770942	146399	Catherine
770942	155428	Manuela
770942	159198	Sylvia
770942	188681	Valentine
770942	198571	Anne
770942	223212	
770942	240162	Cillette
770942	249072	Marie (segment 6)
770942	249677	Béa
770942	259212	Marie Vedret
770942	282101	
770942	287619	Marie
770942	341913	Marie-Hélène
770942	345321	Marine
770942	346539	Noëlle
770942	378000	Lane
770942	384209	Sophie Mignaud
770942	384855	Sophie
770942	386323	Camille
770942	388569	Mara Havel
770942	400869	Rose
770942	404365	Diane
770942	409932	Nicole Chatel
770943	42643	Herself
770944	19748	Roser
770944	64976	Madre Onofre
770944	68792	
770944	149551	Taxista
770944	378980	
770945	354786	
770946	217701	Madame Arpels friend
770947	6285	
770947	23562	Silvana D'Angelo
770947	24421	Caroline Bonaparte
770947	31005	Karis
770947	33088	Rosana, Mistress of Vinolas
770947	52712	Linda
770947	63864	
770947	64779	Doushka
770947	70839	
770947	88204	Rosalia Cefalú
770947	90606	Assuntina Greco, called Génev
770947	104043	Queen Vashti
770947	129009	Naomi
770947	187481	
770947	205217	Bettina
770947	207242	Alba
770947	234566	Rita
770947	234740	Violante
770947	235368	
770947	246431	
770947	251601	
770947	274900	Melitta
770947	351510	Gallaplacidia
770948	19103	La mère
770948	135427	La caissière
770948	151892	La vieille dame
770948	261777	
770948	285080	L'assistante
770948	345076	L'Intendante
770948	356974	
770948	393489	Herself (regular guest)
770948	402622	
770949	205894	
770950	14835	Curtatoni's wife
770950	73640	Madre Tullio
770950	162158	
770950	336593	La signora Bellavista
770950	351583	
770951	21059	
770951	54139	
770951	87793	
770951	221729	
770951	344603	
770953	284224	Passagère du bus
770954	104763	Host
770954	235398	
770954	387959	Herself - Co-Presenter (1988)
770955	388506	Himself
770956	14369	Claudia
770956	14392	
770956	14912	Carlotta
770956	55759	Anna Mari
770956	56364	Stefania
770956	71005	Chiara
770956	71214	(segments "Effetto", "La misu
770956	73643	
770956	76157	Anne D'Autriche
770956	97838	
770956	97840	
770956	127876	Francesca '77
770956	141612	Regina
770956	150524	Sophie
770956	157923	Teresa
770956	160488	Grace Patterson
770956	167041	Mary of Bethany
770956	195227	Nathalie Guillaumet
770956	196233	Jacquanetta
770956	216221	
770956	229485	Pia (segment "Il mappamondo")
770956	233188	Naima
770956	240277	Elena
770956	247058	
770956	255031	
770956	259713	Valeria
770956	263705	Adele
770956	276444	Katiuscia Maslova
770956	281629	Rosa
770956	294269	
770956	307686	Hannah
770956	314072	Margarethe v. Oven
770956	315430	
770956	323813	Silvana
770956	354765	Marta/Viola
770956	355191	
770956	355614	Giorgia
770956	356168	
770956	356223	Marta
770956	386913	Mina
770957	55877	
770957	72066	
770958	7309	
770959	61103	Ubalda
770959	162087	
770959	238306	Filomena
770959	306985	
770962	195769	Nurse Kelly
770963	59765	Blind girl
770964	18836	Chef del Hotel
770965	247563	
770966	397522	Kelly Madeira
770967	14891	
770967	14912	Carolina
770967	51362	
770967	55759	Second Victim
770967	57021	
770967	68645	
770967	71526	Audrey
770967	156904	Deborah
770967	198499	Madame's Girl
770967	234730	Fast Food Girl
770967	334429	Susanna
770967	338725	Barbara
770967	344443	Prostituta
770968	235734	
770969	84024	
770969	89573	
770970	53932	Lady Executive
770970	113702	
770970	218456	Sura
770970	291556	
770971	351531	
770971	371959	Tarita
770972	70859	Elsa da bambina
770973	246242	Girl
770974	114383	Annie
770975	56387	
770975	74340	Charlotte
770976	13203	
770976	17805	Kezia
770976	118948	Dorrie
770976	263781	
770976	284590	Claudia
770977	41401	Kelly Welling
770977	277064	Taylor
770977	336452	Fighting Hostess #3
770978	68325	Domenica
770980	68325	Prostitute
770981	8979	Silvinha
770981	43581	
770981	69251	
770981	132985	
770981	166380	Ester
770981	199033	
770981	220746	
770981	229695	Noiva
770981	244958	
770981	275019	
770981	383437	
770981	393791	
770981	404837	
770981	407639	
770982	229386	
770982	402781	Elena
770982	406004	Kate
770983	35491	
770983	74777	Voice of Prascic
770983	166101	
770983	171919	
770983	221342	Sanja
770983	283751	
770983	314336	Ana
770983	328699	Tea
770983	343852	
770983	405705	Vlasta
770983	409022	
770984	12527	
770984	13207	
770984	17483	A Nurse
770984	43720	Cecile
770984	51688	
770984	53138	
770984	54154	
770984	63775	
770984	111683	Brigitte
770984	128001	Gilda
770984	183475	
770984	204768	Stella
770984	212580	Ileana
770984	220127	
770984	222841	Mónica
770984	238978	Magda
770984	263711	La paesana
770984	270839	
770984	270854	
770984	285821	Liza
770984	302186	
770984	338715	
770984	339930	Maria
770984	344446	Vera
770984	356144	
770984	377481	Flora
770985	94316	Femme du notaire
770985	121427	Mme. Vanderkeulen
770985	283040	Lily
770986	383784	Salima Brioni
770986	409358	Valentina
770987	120116	Operator
770988	91062	Herself
770988	306384	
770989	40902	Herself
770989	347246	
770990	171969	
770990	174449	
770990	207833	
770991	26016	
770992	162712	
770994	272944	Myra
770995	26013	
770995	30727	Selya
770995	55084	
770995	68067	
770995	75382	Curacha
770995	127851	Dina
770995	172162	
770995	174497	
770995	177908	
770995	184181	Selya
770995	190417	Ligaya
770995	198942	
770995	204977	
770995	207944	
770995	221368	Kristina Moran
770995	226657	
770995	227412	
770995	250654	
770995	267626	
770995	293851	
770995	295770	
770995	353635	Rosa
770995	371308	
770995	385532	Girly Dacquel
770996	15232	
770996	16745	
770996	18842	
770996	28054	
770996	28983	
770996	31951	
770996	36843	
770996	43040	
770996	50805	
770996	58377	
770996	77635	
770996	88052	Lorna and Lorena
770996	89710	
770996	90961	
770996	110508	
770996	135768	Maruja Isabel Sevilla
770996	137978	
770996	138262	
770996	162131	
770996	162718	
770996	168343	
770996	181619	
770996	182232	
770996	183137	
770996	189358	
770996	190415	
770996	202403	
770996	204603	Sol Tan
770996	222402	
770996	247540	
770996	250512	
770996	251230	
770996	253199	
770996	261090	
770996	264288	
770996	277419	
770996	284639	
770996	284851	
770996	302895	
770996	309254	
770996	324387	
770996	326092	
770996	334324	
770996	341605	
770996	344358	
770996	360675	
770997	14921	
770997	148051	Ileana Ponce
770998	66223	Cleopatra
770998	104035	
770998	111058	
770998	211806	
770998	220753	
770998	275113	
770998	279662	
770998	289075	
770999	262924	Macha
771000	234966	Giroldi's kid
771001	379867	Vitória
771001	398840	Dora
771001	402791	Inês
771001	403429	Mariana
771002	68609	Gêmea 1
771003	16340	Andrea
771003	79520	Andrea
771004	14966	
771004	15199	Eneida, Gabriel's Fiancée
771004	27750	
771004	35108	Herself
771004	46019	Girl
771004	54315	
771004	99670	Corinha
771004	110116	
771004	132959	Luzia
771004	143553	
771004	191402	Ness Elliott
771004	211021	Aunt Maria
771004	225810	
771004	251572	Anecy
771004	327812	Dr. Edelweiss
771004	381222	Licinha
771005	14701	Ermelinda
771005	102315	
771005	349815	Carlos' First Wife
771006	344824	
771007	77826	Jogger/Waitress
771008	54164	
771008	73144	
771008	89802	
771008	213900	Celeste
771009	266822	
771010	64108	
771010	89993	
771010	115833	
771010	338241	
771011	45982	Mother
771011	118660	The wife
771012	394121	
771012	400097	
771013	29517	
771013	35094	
771013	262234	
771013	400799	
771014	396899	Romualda
771014	402928	Rosely
771015	191464	Beta
771016	88216	
771017	124236	
771018	25794	
771019	392069	Georgette
771020	395882	Regina
771021	25001	
771021	25216	
771021	33154	
771021	51863	
771021	64049	(segment "Pedreira de São Die
771021	67659	
771021	83307	
771021	85523	
771021	101442	
771021	148504	Berenice
771021	158942	
771021	165735	
771021	222185	
771021	228750	Norma Suely
771021	234641	Inesita
771021	278564	
771021	279702	
771021	282814	Marta
771021	307215	
771021	327483	
771021	328334	Sara
771021	337444	
771021	344709	Belinha
771021	344763	Selma
771021	379235	
771021	392031	Helena
771021	393005	Estela
771021	393784	
771021	403740	
771021	410476	Helena
771021	412306	Kathy
771022	327329	
771024	83458	
771025	351304	
771026	394121	
771027	384991	
771027	385023	Eliete
771027	386212	
771027	393006	
771027	404960	
771027	406847	Ana
771027	410054	Cozinheira
771027	411932	
771028	63342	Pilar
771029	67664	
771029	222191	
771029	337252	
771029	396847	Freguesa
771030	24703	Shannon
771030	73989	Mercy Lewis
771030	130167	Anna Morrison Jackson
771030	195812	Flossy Whitcomb
771030	209658	Atlantic American Flight Atte
771030	237783	Melissa Marx
771030	304717	Secretary
771030	306744	Carla
771030	362716	Connie
771030	363948	Susan Valeris
771030	395490	Eliza Wilkinson
771031	345537	Lucille
771032	41124	Angelina
771033	379182	
771033	379491	
771033	382428	
771033	385494	
771033	392607	
771033	398361	
771033	400580	Irene
771033	402579	
771033	403083	Marisa
771033	409424	
771034	21692	
771035	349815	Dressmaker
771035	398361	
771036	5116	Herself
771036	25009	
771036	29051	
771037	73167	
771037	126166	Angela
771037	224969	
771037	380089	Ema Cortes
771037	387932	Sônia
771037	391900	
771037	401086	Cibele
771037	402503	
771037	409417	
771038	23979	
771039	62513	
771039	75633	
771039	166381	
771039	233841	
771039	267524	
771039	351489	
771039	376587	
771039	384871	
771040	376688	Secretaria
771041	71332	
771041	100721	Arlete, Renato's lover
771042	90456	
771042	246847	
771042	268308	
771043	294531	Maribel
771044	408942	Maria
771045	28214	Belinha
771045	189305	(segment "Angélica")
771046	155550	Young Woman
771046	244194	(segment "Perigo Negro")
771047	77705	Woman in convertible
771048	275024	
771049	246794	
771050	25158	
771050	46027	Luzia
771050	202129	
771050	212133	
771050	280998	
771050	337252	
771051	264468	Coffee Girl No. 1
771052	56108	Madre de Luisa
771053	18447	Ana
771053	68915	Clara
771053	71192	
771053	109349	Encarnacion
771053	118087	
771053	211666	Juliette
771053	251700	
771053	386124	Marta
771053	388683	Gisela
771053	395865	Sara Lobo
771053	403766	Margarida
771054	160966	
771055	191464	Vera
771056	345709	Skit characters
771057	384118	Nádia (1998-1999)
771058	42590	Manteigui
771058	161775	Claude's friend
771058	210694	Virgília
771058	252589	Celine
771058	380089	Laura Castro
771058	383727	Sofia
771059	183507	
771059	294270	
771060	23979	
771061	211847	
771061	217654	L'amie d'Agnès
771063	72058	
771064	64951	Baby
771065	80526	Shari
771065	248487	Pantera Jones
771065	251691	Supermodel
771066	250752	Eva
771066	355866	Léa
771068	192219	Party Girl #1
771069	157662	La réceptionniste
771069	336936	
771070	235930	Mimi Mayor
771070	334275	Latin Woman
771071	290697	Nurse
771072	34130	
771072	220479	
771072	318616	
771073	232845	Patsy Dwyer
771074	42260	Evil Hostess
771075	241724	Emma
771076	64669	Dolores
771076	147886	
771077	252434	Aimee
771078	224100	Salvation Army girl
771078	241078	Script Clerk
771079	316410	Gerry
771080	72616	Helen
771080	240232	Ann (Patsy's Sister)
771081	316309	Catherine
771082	82728	Diana Sammer
771082	226342	
771082	290543	
771082	383949	
771082	388472	Host
771082	408840	
771083	46853	Emergency Nurse
771083	119502	Wendy
771083	140162	Reporter #2
771083	140336	Dr. Lea Secora
771083	145174	Switcher
771083	183867	Jasmine
771083	206335	
771083	214037	Inez Manila
771083	232511	Dr. Hollings
771083	273835	Julie
771083	275321	Grocery shopper/Victim #3
771083	299839	Secretary
771083	316716	Reporter
771083	347243	Grace/GR83
771083	393777	Vice Principal Gondell
771083	406423	Lucretia Scott
771083	408691	Marigot Philips
771084	5196	Club Member
771084	249617	
771084	398294	Jordan
771085	31018	Extra: Metro
771086	390338	Herself
771087	17818	La patiente en psychiatrie
771088	391248	Danielle Miller (1994-1996)
771089	6627	Françoise
771089	64320	Herself
771089	119751	Beatrix
771089	122216	
771089	135423	
771089	162443	
771089	186585	
771089	212768	Herself
771089	236515	France Roche
771089	256873	
771089	269644	Host
771089	287595	Catherine
771089	351056	Récitante/Narrator
771089	353938	Comtesse Diecjinska
771089	375940	Madeleine Delay
771089	384302	Host
771089	404971	Host
771089	408379	Herself
771090	193440	
771091	367653	Waitress
771092	124328	
771093	118623	Police Officer #7
771094	106474	
771094	182949	Pervenche
771095	36712	Abusive Mother
771096	264213	
771097	307888	Birgit
771098	141571	Janey Bainbridge
771099	51903	Rachida
771099	270844	La mariée
771099	355360	Nathalie
771099	409456	Maryline
771100	168895	Fan 2
771102	253022	Ana
771103	60519	La femme au bordereau
771103	82920	
771103	101716	La bouquiniste
771103	124066	Huguette
771103	275634	
771103	278136	
771103	347850	Tourist
771103	404663	La mère de Marinette
771105	12256	Receptionist
771105	73833	Marilyn Cohen
771105	208992	Bar Customer
771105	224190	Checkout Girl
771105	309678	Girl #1
771105	360874	Suzzy Roche
771106	46234	Enlisted Woman
771106	64842	Messinger's Daughter
771106	267605	Conrad Receptionist
771106	273480	Student
771107	18084	Frau Hillger
771108	401275	Louisa Musgrove
771108	411315	Molly Gibson
771109	37699	Cathy Price
771109	120241	Rose-Ann Parizzi
771109	131453	Lulu
771109	150854	Seraphina
771109	353295	Samantha
771110	101080	Mrs. Drew
771110	171251	
771110	179048	
771110	256437	Mary Cameron
771111	18999	Young Milu
771112	28434	Ruth
771112	77410	
771112	123702	Tourist Daughter
771112	150048	
771112	281924	
771112	347575	
771112	354367	Sekretärin
771113	34961	
771113	52345	
771113	102764	
771113	102769	Horserider (Segment "Morning 
771113	112910	Rebecca
771113	115161	
771113	213109	Renee
771113	257669	Model
771113	261426	Bikini Woman
771113	273606	Rebecca
771113	296353	Herself
771113	326513	French maid
771113	337990	Tyra
771114	170745	Karen
771115	7961	Chorus Girl
771115	18019	Telephone Operator
771115	32561	Telephone Girl
771115	35591	Candy Girl
771115	41005	Minerva
771115	44068	Bobby Reynolds
771115	50837	Myra Harding
771115	66625	Jean Morrison
771115	70301	Inmate
771115	91716	Smitty
771115	98657	Mary Crenshaw
771115	100213	Madge Grant
771115	107059	Young, Shocked Nurse
771115	110953	
771115	123137	Nellie
771115	128812	
771115	136006	Joan Williams
771115	139760	Daisy
771115	154439	Salesgirl selling lingerie
771115	154888	Valerie Delroy, aka Maragert 
771115	175175	WAC corporal
771115	176334	Millie Logan
771115	190589	Mae Grant
771115	193691	Nora Gilpin
771115	194031	Nurse
771115	210833	Mayme Munson
771115	215748	Doris
771115	230731	Drunken Girl
771115	235070	Lucy Belle
771115	239008	Maternity Ward Nurse
771115	246922	Alice Malden
771115	253476	Girl
771115	254543	Woman Entertainer
771115	277997	Mona Halsey
771115	278052	Jo Randall
771115	292816	Miss Wilson, Secretary
771115	294744	Phone operator
771115	297081	Secretary
771115	298080	Jane Hope
771115	300003	Hysterical Patient
771115	304352	Marion Kent
771115	313833	Student
771115	321503	Fralick's Secretary
771115	327256	Girl at phone
771115	329335	Trixie, Blackmailer
771115	343276	Helen Bradfield
771115	360041	Maisie
771115	367453	Nurse
771116	33581	
771116	88177	Action Alert Helper
771116	208217	Présidente du tribunal
771118	321616	Extra
771119	177023	Tamara
771120	347419	Monica
771121	137462	Pub Character
771122	175842	Earla
771123	37581	Policewoman
771123	136117	
771123	140678	Marie Louise
771123	183542	Lady Anne
771124	158230	Receptionist
771125	229629	Teacher
771126	291449	Pageant Girl
771127	218333	Gabriella
771128	6382	Servanne
771128	68386	Laetitia
771128	117645	Annie Collins
771128	149115	Karole
771128	244033	La vendeuse de vêtements
771128	264226	Virginie
771128	288891	Cécile
771128	345233	Virgine
771129	386798	Sandrine Lama
771130	363028	Tracey
771131	78431	La jeune fille dans le bus
771132	33742	One of 'The Thirty Women'
771133	54850	
771134	370060	Marie
771135	85552	Sarah
771136	29930	Marie
771136	232079	
771136	380863	Biche Pensive
771136	404018	Marina Cortez
771137	71802	
771138	8152	
771138	19670	
771138	23649	Denise
771138	71952	Brigitte
771138	72055	
771138	82920	
771138	102484	L'assistante sociale
771138	161985	Helene
771138	166160	
771138	218289	
771138	219442	Alice Froment
771138	287619	La mère d'Agnès
771138	336964	
771138	345226	Charlotte
771138	407272	
771138	409537	Béatrice Vallier
771139	8579	
771139	148702	
771140	20625	Extra
771141	336933	
771142	366817	Sophomore
771143	4692	Sharon Baker
771143	9092	
771143	10839	Megan Cross
771143	14104	Jane Toppan
771143	18962	Herself
771143	34638	Church Goer
771143	35768	Callista
771143	39458	Resurrection Mary
771143	40504	Maddy
771143	40762	Host
771143	41857	
771143	42884	Tara
771143	47277	Armanda Cross
771143	54447	The Iron Snacth
771143	61898	Herself
771143	70972	Marguerite
771143	72930	Voice
771143	75773	Princess Mika
771143	80375	Young Abi
771143	80422	Tormented Woman
771143	80835	Police Dispatcher
771143	81079	Narrator
771143	82731	Jennifer Crampton
771143	83012	Narrator
771143	88652	Susan
771143	89275	Roxy
771143	92490	Valerie Kenton
771143	92698	Herself
771143	102778	Brenda
771143	102798	
771143	102828	Mary Whitehead
771143	102833	Mary
771143	108706	
771143	113186	Julie
771143	113319	Taylor Cameron
771143	117919	Lacy
771143	129188	Slave Master Fellatio
771143	140928	Coach Elaine Riley
771143	142484	Tara
771143	158282	Vanessa
771143	177024	Denise Martinez
771143	183343	Skunkette
771143	187236	
771143	193770	Girl at museum
771143	194509	Lilith
771143	197853	
771143	201706	Herself
771143	201775	Herself
771143	216145	Suburban Girl & Hippie Chick 
771143	229406	
771143	230838	
771143	230925	Desiree
771143	232060	T.V. Cameo
771143	232104	Reporter Darlene Davis (30th 
771143	232676	Herself
771143	236141	Jennifer
771143	249537	
771143	257560	Dr. Cornholeous
771143	267500	Martha
771143	270922	Kessa
771143	274199	Holly
771143	274841	Kelly
771143	276429	Jackie Sawyer
771143	286223	
771143	287457	
771143	287729	Raven Quinn
771143	291251	
771143	291298	Queen Maquzita
771143	291496	Marraccino
771143	295481	Professor Andrews
771143	296223	Amanda
771143	296786	
771143	296813	
771143	298318	Samantha
771143	299491	The Actress
771143	300308	
771143	303967	Margret
771143	308111	Herself
771143	310165	Herself
771143	311506	Cyclops
771143	316483	
771143	317483	Clarice
771143	329577	Herself
771143	329674	Host
771143	333215	
771143	340273	Edna Purlmutter
771143	346257	The Bartender
771143	349893	
771143	350206	Ophelia (The Vampire Queen)
771143	350208	Waitress Mary
771143	350221	Bar Girl #2
771143	350269	
771143	360509	Tracy Quinn
771143	361535	Bartender
771143	364297	
771143	366736	Nans
771143	366783	Stevie
771143	367345	Cindy
771143	395214	Various (1995)
771143	404968	Herself
771144	18544	Vanessa Struthers
771144	37122	Chantel
771144	44005	Christie
771144	46352	Extra in first scene
771144	46353	Additional Dancers
771144	49656	Charlotte
771144	58728	Nora Stark
771144	59704	Charlotte Austin
771144	106253	Wendy
771144	114095	Liz Pappas
771144	123697	Cynthia Webb
771144	139456	Sunshine
771144	161265	Herself
771144	161309	Herself
771144	161379	Herself
771144	161495	Exquisite Woman
771144	178975	Karen Lee
771144	183188	Lulu Brown
771144	187171	Sydney Banks
771144	212027	Vanessa the Pretty Nurse
771144	220778	Mildred 'Bean' Jeter
771144	282922	Lucielle 'Lucy' Bridges
771144	314631	School Instructor
771144	358376	Robin Stokes
771144	364124	Herself - Robin Stokes
771144	364558	Emira Eagle
771144	365388	Debby
771144	386509	Inspector Angela Reide (2001)
771144	410674	Lisa (1995)
771145	32361	Alya
771145	80393	Wife of Coli
771145	99631	Gale Anne Vigneault
771145	102945	Comédienne (1973)
771145	184348	
771145	222693	Manon
771146	156329	Linda Lauzon
771146	307499	
771147	64657	Fast Track
771149	36915	
771150	36915	
771150	36918	
771151	37690	Tiki Hotel Maid
771151	93870	Pleasure 'droid #3
771151	199273	Consuela
771151	232181	Verrick's Entourage/Lysis' Gu
771151	232206	The Keeper
771151	292594	Model
771151	328270	Woman on TV
771151	363303	Dancer
771152	380076	Temilda Olarte
771152	396216	Begoña
771153	168298	Spinks
771154	134680	
771155	383766	Herself (2004)
771156	1692	Herself
771156	46213	Sandra Delaney
771156	77194	Annie Greave
771156	88823	Jean Walton
771156	183868	Maggie Conlan
771156	346156	Compere
771156	382537	Edna
771156	382838	Amber (2001)
771156	383056	Maureen
771156	384477	Newsagent (series 1, 2000)
771156	406267	Anita Cartlege
771158	194136	
771159	46761	Stella Van Heusen
771159	108473	Rosalie
771159	120639	Jean Duffy
771159	178132	Woman
771159	219747	Liza
771159	251855	Mother
771159	363226	Auxiliary Air Force woman
771160	64046	
771162	89207	Prostitute
771163	217421	Receptionist
771164	364181	Herself
771165	392763	Various
771166	352736	Boating Family
771167	120546	Announcer
771167	350700	Minnie
771167	364220	Bustie La Tour
771168	236220	Narrator
771169	13620	Mrs. Elliot
771169	17592	Mrs. Smithson
771169	40659	Madge Kenyon
771169	41329	Managing editor of the Long B
771169	57157	Bride's Mother
771169	82055	Helen
771169	91651	Owner
771169	91920	Nora
771169	119437	Mrs. Burroughs/Maggie's Mothe
771169	195813	Vivian
771169	233307	Helen Smith
771169	243276	Sarah
771169	243406	
771169	252844	Mrs. Whitman
771169	288739	Mrs. Robichault
771169	297763	Ellen O'Hare
771169	308025	Marge
771169	308184	Nurse
771169	389858	Dr. Ellen Cahill (1994)
771170	94	Phone Talker
771171	245340	Maintenance Woman
771171	366768	Henrietta
771172	314257	Jennifer McQuaid
771173	361562	Rita
771174	179765	
771175	161317	Herself
771175	219858	
771176	39610	
771177	39610	
771178	21925	
771178	21963	
771178	74283	
771178	189064	
771179	94621	Wife
771179	97581	Opera Singer
771179	138177	Miss Abbott
771180	44654	
771180	50372	
771180	188453	Big Boob Girl #2
771180	333835	
771181	158783	
771182	68232	Dancer
771183	330061	Herself - Theremin Virtuoso
771184	134071	Julie
771185	79830	Rosie Dutton
771186	196341	Motorcycle Gang
771188	380454	Petra
771189	212524	Police Officer
771191	42698	Claire Martin
771191	140773	Alida Armstrong
771192	27440	Peggy Williams
771192	329915	Nurse
771193	128790	Laundry Matron
771194	85838	Mrs. Diamond
771195	255258	
771196	255258	
771197	255258	
771198	158440	Ukrainian Lady Tenant
771200	80558	Second Kissing Couple
771200	229329	
771201	41362	Deborah Kedding
771201	146661	Slave
771201	236695	Juicy Pair
771201	384438	Interviewer
771201	391689	Alien
771201	394318	Various Characters
771202	130124	Tanya
771202	337998	Trancer Girl #1
771203	67694	Griselda
771203	90915	Juke Box Girl
771203	233339	Rocío, la niña
771204	80195	
771204	156583	
771205	9862	
771206	285597	Mère de l'enfant
771207	58643	
771208	100703	Chica del club
771209	8123	Stella
771209	104893	Evdokia
771209	248646	
771209	252362	
771210	107512	
771211	256407	
771212	110743	
771213	2138	Dr. Myra Von
771213	3285	
771213	37249	Alice
771213	41144	Native girl
771213	47974	Gypsy Singer
771213	67118	Gogo Lazlo
771213	71907	Janet Corday
771213	118039	Rio
771213	127604	Creusa
771213	177291	Entertainer
771213	185722	Mrs. Catherine Morgan
771213	199123	Venus de Viasa
771213	254594	Simira
771213	264756	Passiona
771213	285783	Shirley Whitehall
771213	286536	Ana
771213	315697	Egyptian Concubine
771213	315718	Orpah
771213	325970	Woman on Train
771213	326770	Eva (segment "Squirrel")
771214	289650	
771215	84171	
771216	197535	
771217	162533	
771218	4597	
771219	168850	Gunnel
771219	287560	Policewoman
771219	401207	Åke's New Wife
771219	406626	Eva Wahlman
771220	379470	Shirli
771221	261011	Mireille
771221	370391	
771222	368258	Herself
771223	35451	Lilly
771223	138209	Portland Angel
771223	151545	Eve
771223	175219	Mary
771223	185239	Adrian
771223	192090	Patsy Newquist
771223	220567	Barbara McKain
771223	222218	Madge
771223	291100	Sarah
771223	291126	Mrs. Lacy
771223	322638	Dayle
771223	359087	Mama Scrico
771223	378729	Elaine Dowling
771223	387111	Stephanie
771223	388865	Alice Kovacs
771223	389174	Claudia Zimmer (1984)
771223	408749	E.J. Willoughby Riverside (19
771224	89572	English Medium
771225	46794	Countess's Daughter
771226	218330	Peter Verdoux
771227	111007	
771228	263339	Girl #1
771229	563	Herself
771230	97056	Singer
771231	82378	Mrs. Van Pelt, Francine's Mot
771232	14620	
771233	327608	Eileen Hughes
771233	407667	Christie
771234	248715	Student
771236	84962	Esther
771237	350488	Cashier
771238	194665	Female Inmate
771238	243196	Kate
771239	266180	Sally
771240	399175	Lisa
771241	48360	Antonia
771241	93514	Oles mor
771241	117690	Bente Poulsen
771241	171642	Kvinden
771241	180828	Tekla
771241	225313	Evangeline Hansen
771241	322460	Hun
771241	348109	Luise Maske
771241	382890	Antonia
771241	407294	Lizzy, Karl og Gudruns nabo
771242	309205	Herself
771243	137975	Girl dancing with Gösta at Wa
771243	153729	Old Woman
771243	167605	Ove Bengtsson's mother
771243	259817	Elsa
771243	304409	
771243	309669	Margareth
771244	162230	Herself
771245	196434	Little Sister
771246	389881	
771246	397019	
771246	401916	Olga 'Cielo's secretary'
771246	401918	Guadalupe 'Lupita'
771247	340992	Old Lady
771248	380391	Lee Randolph (1967-1969)
771248	380713	Joyce Colman Hughes (1974-198
771248	388862	Linda Skerba #1 (1964-1965)
771248	390771	Leslie Jackson Bauer Norris B
771248	396123	Judge Wallace (1985)
771248	404613	Girl (1966)/Mrs Weston (1984)
771248	404694	Jill Stevens Clayborn #3 (196
771249	14383	
771249	226354	
771250	69786	Angela
771251	59597	Lady Rodeworthy(Classic Chan 
771251	169474	Housekeeper
771251	188589	Warden Larkin
771251	366987	Miss McHugh
771252	86962	
771253	141620	Bediliah, Nurse in Park
771253	192064	Sister Patricia
771253	194052	Meg
771253	302669	Nurse
771253	320308	Maid (Winnie)
771253	370537	Barmaid at Stetton's
771254	16124	Lillian
771255	94387	Prostitute
771255	117958	Prisoner
771255	360251	Coronado Team
771256	10241	Fast Track/Russian Bars
771258	384861	Seductive
771259	31499	Leigh Dyer
771259	42924	Herself
771259	52312	Herself
771259	66152	Tina
771259	92675	Tanya
771259	122636	Herself
771259	160464	Herself
771259	162337	Herself
771259	190147	Krista
771259	196890	
771259	215500	
771259	245052	Sally
771259	257658	Herself (Miss March)
771259	257659	Herself (Miss December)
771259	295853	Herself
771259	313825	Heather
771259	381442	Leigh Dyer (2000-2001)
771259	407067	Herself/Season 1 (2003)
771260	317262	Catholic Nun in Park
771261	283737	
771262	139279	Rhonda
771262	224106	Dinah
771263	119338	Bearded Lady
771264	121615	Mrs. Farmer's Neighbour
771264	144913	Stripper
771264	291052	Balthazar's Warrior Women
771264	336239	Hellion
771265	8083	Herself
771265	17024	
771265	141786	Lizzie Roberts
771265	219432	Ruby
771265	219626	Delyth Evans
771265	273604	Sarah Hughes
771265	293733	Lyn Thomas
771265	339854	Maggie
771265	342566	Lucy Cartwright
771265	395595	Bronwen Pugh
771265	400111	Norma Moody
771265	401689	Cassie Morris
771266	160131	
771267	193483	Esposa amigo Robert
771268	85084	Marta
771269	408880	Gel (Series 5)
771270	146934	Hughes' Secretary
771270	178166	Nurse
771270	202137	Mom
771270	214515	Margot
771270	289472	Press Agent
771270	296696	Evan
771270	365443	Kelly
771270	366961	
771271	66146	Drew
771271	77768	Barbara
771271	78792	Angeline
771271	80612	Shapely Adorable
771271	87774	Soap Resturaunt Manager
771271	142390	Ariel
771271	144347	Lorena
771271	163362	
771271	185659	Kate Major
771271	195540	Zenia
771271	230972	Peggy
771271	258949	Isabel
771271	266053	Alex Johnson
771271	270920	Ariel
771271	278829	Herself
771271	313727	Susan
771271	314170	Rachel
771271	327419	Tamorah Morgan
771271	359455	Barbara
771271	360717	
771271	389858	Tess Meadows (1998)
771272	379362	Petra
771273	211439	Policewoman
771274	5816	Clara Goodwin
771275	346099	Kit
771276	390597	Herself
771277	68502	
771278	55690	Hand Maiden
771278	55714	Amazon Guard 6
771279	104746	United Kingdom entry (4th pla
771279	163509	
771279	171119	
771280	258752	Angel
771281	7963	Vyera Wertz
771281	31091	
771281	48608	
771281	89086	
771281	89087	
771281	145937	
771281	146119	
771281	196311	The Daughter
771281	200914	
771281	216898	A Vampire
771281	265557	
771281	329451	
771281	364239	Elsa Armytage
771282	324371	Future Inhabitant
771283	108937	Fran
771283	392710	
771284	65532	Party Guest
771284	248116	Dr. Thorn's Staff Nurse
771285	36834	Helen
771285	178061	Lily Carver
771286	233831	Lori
771287	21422	
771287	30410	Jane Paston
771287	108926	Jane Armitage
771287	138716	Herself
771287	245277	Miss Marcia Rockingham
771287	256767	
771287	286243	Marianne Renaud
771287	288050	
771287	306266	Bente Nielsen, Victor's Girl
771287	349125	Emily Williamson
771287	378753	Mrs. Reilly
771287	380468	Lady Thea Barrington
771287	382067	Thelma
771287	390178	Maxine Redfern
771287	390338	Herself (1998- )/Host (2001-2
771287	392278	Molly Grogan
771287	396921	Charlotte Kincaid
771287	396964	Mary Graham
771287	399200	Hilda Burton
771287	399434	Jill Piper
771287	402197	Zara Moonbeam (1983)
771287	405960	Margaret Dunne (1983-1984)
771287	406891	Kate Meredith
771288	1567	Jennifer
771288	13430	Tara
771288	50221	Hostess
771288	107928	Elizabeth
771288	309213	Sue Ann
771288	309563	Charisse
771288	350212	Sue Anne Marie
771289	222795	
771291	20188	Ginevra
771291	216345	Ismene
771292	113490	
771292	140502	Ebony Campbell
771293	8362	Fat Annie
771295	231884	
771295	379831	Wendy Celebrese #2/Lianne Bar
771296	37357	Mrs. Johnson
771296	232470	Mousy Auditionee
771296	360444	Friend 1
771297	120481	Vamp Girl
771297	189439	Ginny
771298	4664	
771298	110751	Christine
771298	402197	Queenie Marshall (1985)
771299	47385	Herself
771299	280365	Herself
771300	30647	Nurse
771301	137965	
771301	316973	Marta
771302	334354	Whip Woman
771303	37000	Bibi
771303	92482	Robot #12
771303	167561	Adele Collier
771303	202533	Saundra
771303	245101	Madge
771303	301558	Slaymate
771303	318189	Beverly
771303	391498	Theresa 'Timothy' Morgan (196
771303	403834	Regular Performer (1969-1970)
771304	330372	Stenographer (Re-Enactments)
771305	92913	Various Voices
771305	333441	
771306	292587	The Fearful Rabbit Narrator
771307	258893	Mary Saleski
771308	194814	Macy
771309	16007	Secretary (Jean)
771309	21552	
771309	71694	Mrs. Byrd
771309	96990	Attendant
771309	144573	Helen Roberts
771309	175175	WAC Hodgekiss
771309	194831	Zaida the Maid
771309	206355	Nurse
771309	324262	Dora
771309	324745	Shellie
771310	26478	Sara
771311	142406	
771312	11655	Grace
771313	30205	
771313	320582	Bride
771314	161443	
771315	122596	
771316	376227	
771317	390427	
771317	412003	Bolnicarka
771318	320551	
771319	343798	
771320	265659	
771320	272606	Novinarka TV Srbije
771321	197708	
771322	82023	Millie
771322	213084	Tottie Twinkletoes
771323	17110	
771324	64949	Janine
771324	77818	La Concierge de l'école
771324	100342	Janitor
771324	108902	Femme ruelle et bus
771324	235839	
771324	345251	
771325	316693	
771326	276669	Singer Melinda
771327	276669	Singer Matilda
771328	257318	
771329	138109	Mother
771329	289372	Bar Mitzvah mother
771331	405713	Ellen
771332	294691	Das Gemälde zeigt
771332	343757	
771333	122216	Erica
771333	300695	la Princesse d'Essling
771334	94700	
771334	133392	
771334	140231	
771335	86303	Lily
771335	189770	
771335	204505	Mme. Terrail
771336	356870	
771336	375227	Lena
771337	217274	
771337	287560	Prostitute
771337	341217	
771338	318370	Groupie #4
771339	108277	Star
771340	91523	Jennifer
771340	219558	Jennifer Kellogg (3 years)
771341	86597	
771341	88617	
771341	94038	Masha
771342	131119	Editor
771342	396239	Valya
771343	238360	
771344	93242	Blue Spaceboy
771345	98089	
771345	253982	
771345	329265	
771345	393051	
771345	402344	Athina Deli
771346	342446	Old Woman
771347	40311	Helen
771348	406330	Kim
771349	141801	Thea
771350	311523	Girl in Nightclub
771351	119803	Model
771352	62790	Claire Farraday
771352	78232	Susannah Boone
771352	126275	Mrs. Marsh
771352	134173	
771352	148315	Sister Philomena
771352	165768	Amante
771352	167082	
771352	202618	
771352	212388	
771352	231295	
771352	247418	
771352	357914	
771353	29156	Audition Model
771354	232424	1st Hitchiker
771354	308628	
771355	72578	Adele Burton
771356	213493	Lydell
771357	133846	Julie
771357	332768	Young Psychiatric Nurse
771357	397032	Maria Rosetti
771358	2034	Contestant #42
771358	26154	Shoe Store Clerk
771358	26308	Nurse
771358	34611	Susan Sakowitz
771358	80691	Janice Jarman
771358	90345	Librarian
771358	113306	Obstetrician
771358	266200	Nurse
771358	360769	
771358	381562	Latitia Martinez (1999)
771358	384586	Dr. Brinkman
771358	395819	Nurse
771359	181244	
771360	330559	Berrington Woman
771361	201206	
771362	350990	
771363	312419	
771364	30159	
771364	238682	Receptionist
771365	95955	Pani Twardowska
771365	247330	Linella
771365	403628	Urszula
771366	6489	
771367	251197	Debbie Devlin
771368	307836	Joven
771369	67212	
771369	95020	
771369	231601	Gumer
771369	296454	Sara
771369	407859	
771370	143805	
771370	189295	
771371	19489	Madre Elizabeth
771371	29006	
771371	29741	
771371	53654	
771371	54870	
771371	57439	
771371	92336	
771371	106312	
771371	108115	Rosa
771371	148108	
771371	199785	
771371	210179	
771371	219226	
771371	219325	
771371	219330	Monja
771371	227500	
771371	233350	
771371	233569	
771371	238325	
771371	248294	
771371	258619	Vecina
771371	275088	
771371	277400	Rosa
771371	285975	
771371	293915	
771371	352020	
771371	355835	
771372	120375	
771374	106710	Joel's Mother
771375	249877	Girl Patient
771376	246695	Olinska
771377	367775	Missie
771378	380717	Marie Leclerc
771378	400644	Calypso
771379	77354	
771379	108900	Jacqueline
771379	148742	
771379	199375	
771379	249054	Hesta, the airline passenger
771380	310963	Ginette
771381	19842	
771382	55313	
771382	127619	
771383	71431	Beatriz
771383	202541	D. Maria Madalena/Nucha
771383	210940	
771383	239945	
771384	246593	
771385	71223	
771385	104834	
771385	251561	
771385	269536	
771385	339269	
771385	341477	
771385	344853	
771386	372175	Keke
771387	13116	Amália
771387	15233	Herself
771387	15235	Herself
771387	19288	
771387	20968	Herself
771387	38761	Woman in Street Car
771387	53641	
771387	54197	Maria de Lisboa
771387	107316	Maria do Amparo
771387	107322	Ana Maria
771387	156404	Hunila
771387	225699	
771387	287488	Maria da Graça
771387	307201	Herself - fado singer
771387	350776	Herself
771387	351484	Eugênia Câmara
771387	353074	
771387	386215	
771387	391676	Herself
771387	410287	Herself
771388	402150	Herself/Concurso Miss Biquini
771388	412178	Herself/Modelo Nova Era (2002
771389	236137	Annaïs
771390	306667	Laurinda
771391	323237	Catiti
771392	285004	
771392	389789	
771392	402264	
771392	407279	Tia Nastácia
771393	303558	Bank Secretary
771394	380147	Mariana
771395	369501	
771396	27613	
771396	260429	Mari
771396	369981	
771396	387799	Thalia
771396	394872	Milagros
771396	404118	Cirene (2000-2002)
771396	412069	Ofélia/Talia
771397	48294	
771397	205051	
771397	344734	
771398	99107	
771399	379646	Clotilde
771399	380086	
771399	380156	Cida
771399	384381	
771399	384847	
771399	384871	
771399	387202	
771399	398362	
771399	400106	
771399	402264	Célia
771399	402265	
771399	402455	
771399	404276	
771400	168317	
771400	380166	Zélia Gattai
771400	386729	
771400	393006	Deolinda
771400	403171	
771400	407281	Narizinho (1981-1982)
771401	233465	
771401	312170	Arab beauty
771402	54043	
771402	199773	Margarida
771403	287484	
771403	341477	
771404	286571	
771405	14795	
771406	70053	(segment "Três Virgens, As")
771406	149517	
771406	293886	
771407	234612	Júlia
771407	249448	Simone
771407	302303	Virgínia
771407	380531	Luiza
771407	385024	Lígia
771407	386212	Maria Eduarda
771407	387902	Sukhi
771407	396610	Luiza Prata (1995-1996)
771407	404077	Isadora Lima
771407	409814	Isabel Rocha 'Isa'
771407	410054	Bia
771407	410190	Zuleika
771407	411932	Valéria
771408	8581	
771408	104082	
771408	222153	
771408	258688	
771408	334704	
771409	383293	
771410	333143	Plain teen
771411	275029	
771412	391673	Gertrudes
771413	148475	
771413	377604	
771414	21787	
771415	390506	
771416	248759	
771417	56299	
771417	339995	
771417	376587	
771418	96508	
771418	104834	
771418	205701	Virgínia
771418	341136	
771420	354985	
771421	21069	Vivinha (segment "A Garçonièr
771421	51614	
771421	55593	Eva
771421	70491	
771421	110748	(segment "Cruz")
771421	112763	
771421	222159	Analista
771421	239926	Anna Freud
771421	353096	Mulher no Avião
771421	380329	Walquíria
771421	383276	
771421	386017	Ingrid
771421	386213	Hortência
771421	387324	
771421	387930	
771421	389787	
771421	390499	Márcia
771421	392846	Juliana
771421	397415	Nora Elman
771421	399713	Cláudia
771421	402809	
771421	403617	Giovana
771421	403747	
771421	404078	
771421	406987	
771422	374589	School Kid
771423	396610	Camila Costa Soares (2004-)
771423	407280	Narizinho (2001-2003)
771424	378108	Prostitute
771425	307138	
771426	28873	
771426	96530	
771426	262235	
771426	316167	
771426	377162	
771427	213736	
771427	269121	
771427	378772	
771427	379646	Linda
771427	379942	Guida
771427	380329	Júlia
771427	380538	Mariana
771427	383355	Alzira
771427	385001	
771427	386142	Emília
771427	386215	Eleonora
771427	386419	Dora
771427	387502	
771427	387632	
771427	387901	Clara
771427	391674	Verônica
771427	392607	
771427	394872	Dona Isabelita
771427	396035	Helena
771427	397416	
771427	398818	Maria
771427	400289	Laura
771427	401500	
771427	402455	Joana
771427	402579	
771427	402644	Severina
771427	402807	Lena
771427	402928	Rosita
771427	407802	
771427	407868	Dolores
771427	409347	Carmem
771427	410054	Fátima
771427	412069	(2004)
771427	412305	Constância
771428	207663	
771429	233553	Joana
771430	387654	Cinara
771431	383142	Pequetita Novais
771431	387833	Isabela
771432	7236	Nurse
771432	110666	
771433	69220	
771433	78579	
771434	86241	Sandrinha
771435	268990	
771436	14936	
771436	159510	(segment "Transa, A")
771436	269171	
771436	319391	
771437	431	
771438	185941	
771439	301677	Child in Orphanage
771440	75485	
771440	77310	
771440	104488	
771440	122288	
771440	135317	(segment "Poderoso Cifrão, O"
771440	171532	(segment "O Noivo")
771440	234619	
771440	268993	
771440	274904	
771440	338644	
771440	409407	Rosa
771441	301677	Child in Orphanage
771442	14799	Sílvia
771442	48336	
771442	77259	
771442	90821	
771442	116581	
771442	124235	Marcia
771442	125782	
771442	148482	
771442	171366	Araci
771442	198408	Magda
771442	207928	Regina
771442	211022	
771442	245585	
771442	334575	
771442	353560	
771442	353632	Marcia
771442	381222	Ângela
771442	382405	Márcia
771442	382776	Iara
771442	385025	
771442	402424	Priscila
771442	404799	Katzuki
771442	405810	Geni
771442	410310	
771443	340408	
771444	319531	
771445	386123	Patty
771445	396610	Carla (2003)
771446	403258	
771447	102318	
771447	275025	
771447	384382	Olga
771448	311156	Raiderette
771449	165737	
771450	281628	
771451	90780	Geminiana
771451	97647	
771451	204751	(segment "O Homem, a Mulher e
771451	261197	
771451	278163	Marta
771451	341152	
771451	344712	Helga
771451	344856	
771451	380120	Carmem
771451	380330	Stela
771451	381773	
771451	385629	Carminha
771451	386505	Marilu
771451	387324	
771451	387830	Bruna Maria/Kátia
771451	393793	Linda
771451	398877	
771451	409410	
771451	410375	
771452	5090	
771453	23623	
771454	207621	
771455	383534	Herself/Apresentadora
771456	63823	Berenice
771456	383142	Julieta
771456	398501	Zilda
771457	67531	Christina
771457	261717	
771458	407864	
771459	63823	Mãe Buscapé
771460	377490	
771461	384117	Geneviève
771461	401900	Zilá
771462	225807	Mina
771463	272890	
771464	161435	
771465	18351	Policewoman
771465	243160	Katy
771465	385020	Joanne Khan (1990)
771466	341088	
771467	332732	Cantora
771468	62713	
771469	169808	
771469	332732	Mirinha
771470	99307	Herself
771470	396793	Herself (London School of Eco
771471	2636	
771471	38917	
771472	244987	Ella
771473	92551	Pediatric Nurse
771474	309718	Student
771475	339086	
771475	386167	
771476	353700	
771477	273119	
771478	396582	Herself (2002)
771479	169746	
771479	215408	
771479	376653	
771480	323519	Brandi
771481	257673	Herself
771481	333289	
771481	396696	Juggy Dancer (1999-2002)
771482	31408	
771482	74676	Lázara
771482	96305	
771482	135110	Grieving Woman
771482	191497	
771482	206978	
771482	341085	
771482	376698	Candelaria
771483	176487	Misha
771484	119097	Maid
771485	74830	Guest Star
771485	75203	Flor Leal
771485	294175	Supporting
771486	321255	
771487	83868	
771487	386077	Alma
771487	387834	Adriana
771487	396211	
771487	404869	
771487	410303	
771488	396	TANIA
771488	210376	
771489	124240	
771490	49150	
771490	49321	
771490	79117	Leiming
771490	79118	
771490	172165	
771490	173134	
771490	181618	
771490	181774	
771490	190653	
771490	190756	
771490	191329	Valentina
771490	200508	
771490	202403	
771490	221261	
771490	226686	
771490	310030	Gloria (in Cuban version)
771490	341564	
771490	382126	Doña Virginia Gaston
771490	388282	
771491	20253	Mariachi Band Member
771492	285714	Angelica
771493	32492	The Fashion Monster
771493	107265	Silent Tattoo Girl
771494	290860	The Virus
771494	411324	Lady Lightning
771495	343565	
771496	37672	
771497	212796	
771498	412189	Bella
771499	248132	Herself
771500	126538	Illegal Alien (segment "Born 
771500	183009	Ernestine
771500	231817	Woman in Restroom
771500	240785	Mrs. Gomez
771500	266590	Nun
771500	275319	Angry Woman
771500	315251	Lourdes
771500	328277	Jolanda Salceda
771500	363528	Estrella
771500	375847	Court stenographer
771501	158462	María Teresa 'Mate' Mirabal (
771502	83233	Dactylo 2
771502	91977	La Serveuse
771502	157227	La gardienne de Thibaut
771502	180730	Femme pressée
771502	237315	Naomé
771502	240429	Arletty, séq. Hôtel du Nord
771502	371409	
771502	376801	
771503	41518	Martha Oliveras
771503	80585	Marisol
771503	83901	Mariachi fan
771503	119888	Pregnant woman
771503	131061	Bentwood Girl #5
771503	154660	Celia
771503	159558	Tanya Santos
771503	276875	Gaby, Sheriff's Ex
771503	366957	Selena Sanchez
771504	32492	The Nurse
771505	124313	La jeune espagnole
771506	12353	Narita
771506	33601	Rosito
771506	74706	
771506	107016	Estelita Rodriguez
771506	110411	Lopita
771506	124760	Consuelo Belmonte
771506	130871	Pepe Valdez
771506	140320	Estelita DeMarco
771506	146753	Chicquita
771506	157860	Pepita Martinez
771506	166993	Juanita Lopez
771506	212242	Lupita
771506	239676	Estelita Del Rey
771506	240817	Lola Lolita (Rico's girl)
771506	247227	Elena Madera
771506	278570	Consuela Robante
771506	309862	Lita Alvarez
771506	319194	Carmelita
771506	321390	Lolita Lamont
771506	340378	Elena Estebar
771506	340386	Estelita
771506	342490	Lola Chavez
771506	353675	
771508	12065	Balbina
771509	110967	Latina Cleaning Woman
771509	128707	Convict
771509	134611	Nurse
771509	190951	Ed's Sister
771509	360032	Victor's Wife
771509	362493	Auntie Eva
771509	367254	Maid
771510	110967	Latina Corn Seller
771511	36640	Sor Clarisa
771511	390096	Vilma
771511	398472	
771512	354774	
771513	384507	Dancer
771513	402192	Guadalupe santos (young)/Libe
771514	32466	Cheerleader
771514	367999	Dancer
771515	195271	Janelle
771516	235816	La Scandinave
771517	390382	Reporter (2002-2003)
771517	407245	Hostess (2001)
771518	196505	Asia
771518	279460	Tour Group Member
771519	44380	Lady in Window
771520	7884	Berry Girl
771521	204354	H.S. Kid
771522	387023	Herself
771523	160081	Fedra López
771523	378971	Cira Montoya
771523	380085	
771523	387101	Lucía Andueza
771523	391173	Lucía Castro-León
771523	403125	Julieta Carolina
771523	405809	Alina
771524	306129	Receptionist
771525	212973	Vienna Headache
771526	312341	
771528	385500	Tia Perlita
771529	10824	A little girl
771530	83449	
771531	14121	
771532	75198	
771533	55110	Vocals
771535	309804	Pina Kollata
771536	271363	Vicki
771537	269243	
771538	234324	Herself
771538	243933	Interviee
771538	262980	Herself
771538	389788	Panchita Lopez
771538	398217	
771539	9772	
771539	18842	
771539	30874	
771539	38280	
771539	48849	
771539	50121	
771539	69241	
771539	86365	
771539	90505	
771539	95075	
771539	122736	
771539	127675	
771539	137588	
771539	158615	
771539	158617	
771539	162111	
771539	164451	
771539	173550	
771539	174291	
771539	176676	
771539	181762	
771539	186118	
771539	190731	
771539	197551	
771539	201398	
771539	226858	
771539	238142	
771539	248462	
771539	255921	
771539	284638	
771539	284639	
771539	284644	
771539	284955	
771539	285985	
771539	302894	
771539	302895	
771539	313563	
771539	324533	
771539	325357	Rosenda
771539	325370	
771539	333582	Kuala
771539	339174	
771539	341447	
771539	352459	
771539	361338	
771541	249386	
771542	282923	Tia Lupe
771542	310647	Wedding Dress Saleswoman
771542	394510	Secretary
771543	201597	Essie Hernandez
771544	260789	Woman in park
771545	10656	
771545	110538	Carla
771546	205159	Madre Angelica
771547	376858	
771548	70629	Herself
771549	8936	Stripper
771549	15083	Barbara
771549	23834	Amalia Escudero
771549	43757	Carmen (segment "Bons vivants
771549	59239	
771549	104086	Estella
771549	132066	Loetitia
771549	132884	Sophia
771549	132984	Gilda
771549	384032	Gisèle (1967)
771549	389145	
771551	325980	Linda
771551	404282	Carmen(cita) Castillo (1987-1
771552	230320	Bar girl
771553	115151	Rita Felt
771554	166763	Dame bei Konzert
771555	1703	Herself
771555	1717	Herself - Presenter
771555	1748	Herself
771555	2069	Salgado
771555	41404	Katarin
771555	41757	Eden
771555	70168	
771555	72504	Extra
771555	93744	Calita
771555	109421	Letty
771555	113007	Herself
771555	128594	Diana Guzman
771555	257753	Herself
771555	276239	Rain Ocampo
771555	284621	Chris Sanchez
771555	300788	
771555	318763	Extra
771555	340767	Rosie Velasco
771555	367867	Herself
771556	34483	
771557	324279	
771558	167013	Tammy
771559	61328	Red Demon
771559	158587	Faviola
771559	159217	Diane
771560	94503	
771560	273119	
771561	197439	
771561	273848	
771561	350643	
771562	100109	Maid
771562	279273	Richie's Secretary
771563	277383	
771564	146542	
771564	350253	
771565	246422	Pistola
771565	277526	Wanda Love
771565	283180	Carmen Desarden (Rules)
771565	291226	Dolores
771566	240713	Herself
771566	313951	Sasha
771567	101252	Narrator
771567	232074	Abbie
771567	261799	
771567	261800	
771567	308024	Narrator
771567	380692	Sue Ellen Armstrong I (1996-2
771568	136528	
771569	182412	Jose's Mother
771569	189023	
771570	32492	Rebecca
771570	312150	Spy bridesmaid
771571	14161	Young Madame Luna
771571	23521	
771572	20091	Latin Prostitute
771573	71474	Dancer
771574	251984	
771575	267640	Rebecca
771576	30730	
771576	170451	Partygoer
771576	275307	
771576	348988	
771576	387256	
771576	400062	
771577	287773	The Saint
771578	364587	Pizza Kids
771579	252757	
771580	11943	Twin Mermaid #2
771581	45044	Victoria
771581	257332	Venus
771582	223349	Carla
771583	254641	Young Madame Madame
771584	18598	Bridge Crosser
771585	53678	Louisa
771586	132247	Marisol
771587	124437	Veronica
771588	290862	Jane
771589	72931	Goodyear Chorus Girl
771590	96910	Christy
771591	178138	Reporter
771592	146881	Monique
771592	165582	Faith
771592	350175	Vienna
771593	150075	Palace Girl
771594	164688	La chanteuse
771594	353317	
771595	158553	
771595	287407	Sangraal's Wife
771595	349521	
771596	410082	Alejandra
771597	280367	
771598	164153	Guda
771600	314459	Photo Shoot Model
771601	11171	Girl #1
771602	97376	
771602	117713	Dancer
771602	396916	Spanish Girl
771603	358815	
771605	277039	La Vieja
771606	390653	Dancer (1993-1996)
771607	74144	
771608	114873	Dancer: Grupo Cobo de la Peña
771609	266996	
771610	404058	Presentadora sección animales
771611	248769	
771612	132675	La hacendosa
771612	236468	child
771613	114873	Dancer: Grupo Cobo de la Peña
771614	387773	
771615	100291	La pareja
771616	100931	
771616	135057	Laura
771617	152255	
771618	261510	
771619	215879	Flamenco Dancer #5
771619	268496	
771620	3395	
771621	77676	Salsa Singer
771622	53574	
771622	326172	
771623	74605	Colegiala
771623	217171	Tina
771623	234490	
771624	380087	
771625	23091	
771625	24890	
771625	25022	
771625	49101	
771625	52598	
771625	53000	
771625	63323	Lolita
771625	74530	
771625	83138	
771625	97365	
771625	101850	
771625	103745	
771625	120908	
771625	145176	
771625	164881	
771625	202836	
771625	209066	
771625	212366	
771625	212388	
771625	215336	
771625	225013	
771625	233351	
771625	292739	
771625	302554	
771625	307814	
771625	370179	
771625	371343	
771625	371728	
771625	371749	
771625	379118	Consuelo Rivas de Álvarez
771625	380252	Ana Luisa de la Fuente
771625	380539	
771625	384655	
771625	385333	Inés
771625	385875	Beatriz
771625	385988	
771625	388253	
771625	390405	
771625	396244	
771625	396855	
771625	399535	
771625	402249	
771625	402585	
771625	403365	Elena I
771625	403402	María Julia
771625	406859	
771625	410479	
771625	411693	Marisela
771625	412271	
771626	379890	Doña Ana
771626	401700	
771627	10824	
771627	74691	Magali
771627	191497	Regla
771627	206978	
771627	244603	
771628	83761	
771629	46658	
771629	48790	Viola player
771629	75180	
771629	132367	
771629	146510	
771629	225699	
771629	265725	
771629	273011	
771630	53574	
771630	150657	
771631	393549	
771632	21681	
771632	53613	
771632	222047	
771632	262607	
771633	216851	Graciela
771633	388097	Stella
771634	236420	
771635	96351	
771636	384400	Clara Betancourt 'amiga de ta
771637	19463	
771637	64716	
771637	74607	
771637	206003	
771637	218519	
771637	244608	
771637	292759	
771637	306704	
771637	307219	
771637	319662	Rosa
771637	370179	
771637	380114	Clarissa
771637	380901	
771637	381029	Blanca
771637	384245	Madre Superiora
771637	396894	
771637	398522	
771637	401162	
771637	409921	Rosa
771638	318265	Cantante Casino
771638	387177	Colaboradora (1998-2003)
771638	404076	Colaboradora (2003-2004)
771639	266996	
771639	328741	
771640	3545	Mujer
771640	283198	Mujer 1
771641	252542	
771642	380088	Vicky
771642	380128	Consuelo
771642	402192	Adela
771642	409779	Fernanda
771643	10224	
771643	18174	
771643	44913	
771643	47066	
771643	51531	
771643	52778	
771643	52970	Tia Isabel
771643	54084	
771643	66670	
771643	74160	Tia Monica
771643	74519	
771643	75361	
771643	77260	
771643	81410	
771643	91382	
771643	91386	Tia Carolina
771643	102333	Senora Rockwel
771643	125757	Señora Morel
771643	135276	
771643	147308	
771643	186532	Hilandera vieja
771643	192934	Enfermera Wayland
771643	205429	
771643	209737	
771643	210442	Tia Olivia
771643	212538	Doña Cristina
771643	214205	
771643	221992	Rosa
771643	222841	Cándida
771643	225070	
771643	226440	Madame Lascar
771643	236451	
771643	236478	
771643	238151	
771643	239961	Condesa Lina
771643	249301	
771643	252615	
771643	309087	Superiora
771643	324447	Mrs. Cohen
771643	354903	
771643	357504	
771643	376636	
771643	376795	
771643	378427	
771643	378489	Doctora Prodwell
771644	244587	Periodista 2
771644	397598	
771645	212467	
771645	409463	Secretaria (1991-1994)
771646	74578	Sandra
771647	111994	
771647	379896	
771647	389480	Anahí Terranova
771648	3395	
771649	51099	
771649	242658	Gilda
771649	387621	
771649	391272	Adelaida Sotomayor
771649	397014	María Celeste
771649	398488	Leonora
771649	398519	Raiza Aguirre de Castro (Miri
771649	402772	Rafaela Martínez
771649	403289	Aurora
771649	404075	
771649	412084	Idalia
771650	78570	Woman 1
771651	338713	
771652	400653	Clarita
771653	11943	Twin Mermaid #1
771653	291052	Harem Girl
771654	216087	
771655	74865	Liantero
771656	412138	Panelist
771657	1311	(segment "Lacrimosa")
771658	403924	Lola
771659	213760	
771660	55961	
771661	3554	Doña Angustias
771661	52598	
771661	74909	
771661	82250	
771661	91323	
771661	101897	
771661	132702	
771661	245581	
771661	280867	Marga
771661	308905	
771661	334710	
771661	348938	
771661	376759	
771661	376855	Doña Angustias
771662	273074	Enfermera
771663	139912	
771663	310067	Mother
771663	332944	Eva's mother
771663	338340	
771664	10823	
771665	10484	
771666	173649	
771667	222435	Glora Joven
771667	301835	Lingerie Girl
771668	25003	Senora Mia
771668	38979	
771668	84257	Lona
771668	87073	Annette (segment "Entre Doce 
771668	135073	
771668	184877	
771668	193069	Angelina
771669	92334	
771669	212366	
771669	292739	
771670	69712	
771670	85568	
771670	212342	
771671	263176	Susan
771671	379093	Mariana
771671	385869	Mariana Brekenheimer
771671	404988	Jimena Itriago
771672	212467	
771673	375883	
771674	379458	
771674	385599	María Fernanda
771675	196760	Wrestler
771676	191054	Pilar
771676	204184	Madam at bordello
771677	82464	
771677	398661	Jazmín
771677	410006	Host
771678	380146	Carolina Belloso
771678	385252	Cristina Expósito, a.k.a. Cri
771678	385599	Gabriela Suárez/Emperatriz Fe
771678	393036	Herself (2003)
771678	397623	Micaela
771678	399626	Host
771678	401693	Marcela Morelli
771678	403015	Geraldine
771678	408408	Marina Rangel
771678	408570	Yolanda
771679	167034	
771679	217930	Herself
771679	235299	
771679	252604	
771680	378380	Prostituta 4
771681	357189	
771682	233812	
771682	317691	
771683	351461	Leticia
771684	322395	Woman at the building
771684	370089	Leodegaria 'Leo' Victoria
771685	42911	Herself
771686	198042	Lauren
771686	231099	Karla
771687	148371	Maria
771687	328593	Jane
771688	55789	
771689	69206	
771690	193069	Nun
771690	248473	Midwife
771690	300099	Head Nurse
771691	390442	Herself
771691	390444	Herself
771691	390445	Herself
771692	285017	Santera
771693	104111	Prostituta 1
771693	249872	Chica #1
771693	250796	Beautiful Woman
771693	267455	Girl's Girlfriend
771693	366760	Kitanya
771693	399707	Malena
771694	67457	
771695	30418	
771695	106458	
771695	233977	
771695	350144	
771696	379132	Stepmother (Chapter 1)
771697	355958	
771698	378828	
771699	268519	
771700	393364	Angelica
771700	401884	Herself/- Finalist
771701	46957	
771701	135148	
771701	385370	Graciela
771701	387068	Margarita
771701	401068	
771701	401251	Cristina
771701	406058	Lila
771702	379820	Almudena
771702	379888	Alexandra Pruneda
771702	383471	Guadalupe Núñez de Alvarado '
771702	384400	Valeria Villasana 'hermana de
771702	402059	Rosalba Morantes
771703	249774	
771704	291670	
771705	172694	Actress
771705	379899	Barbara de Santana
771705	386402	Irene Richerdson
771705	396859	Lucía Mendez
771705	397029	
771705	397737	Milagros Viuda de Amor
771705	403290	Mercedes Riverol
771705	412190	Cristal Cuvarubias
771706	243509	Yisca Márquez
771707	74584	Ana niña 2
771707	293002	María
771707	338201	Marisa
771708	62579	Street Hooker
771708	69424	Maidservant
771709	200044	
771710	169743	
771710	205713	
771710	284584	
771711	61360	
771712	84225	
771713	161785	Herself
771714	53965	
771715	242678	Mary Carmen
771716	153831	
771717	380795	Carmelita Sepúlveda Saavedra
771717	399522	Ximena Izaguirre
771717	408855	Montse
771718	396417	
771719	61203	
771719	204644	Enfermera 1ª
771720	343611	Teresita
771721	237896	
771722	322714	Teresa
771723	380488	Herself - Host (1978-1980)
771723	389890	Host (1980-1987)
771724	19463	
771725	376801	
771726	305652	
771727	275067	
771728	193515	
771729	122985	Herself
771729	244222	Natalia
771729	384510	Hostess (2003-)
771729	400341	Herself (2001-2002)
771729	408914	Herself
771730	278499	
771731	21679	
771732	95164	
771733	5272	Criada
771734	61351	
771734	324448	Dancer: Mi Amigo Cholo
771735	42910	(segment "Zapping")
771735	101157	Mariasol
771735	381072	Leticia de Dias
771735	396392	Graciela González 'Gegé'
771735	396843	Lolo
771735	397257	Alicia Collazos
771735	405846	Estefanía de Ponce
771735	412189	Deborah Niño
771736	74658	
771736	86451	
771736	120375	
771736	249301	
771736	302350	
771736	370178	
771737	68252	
771737	383032	
771737	389780	Sandra
771737	393841	Herself (1991-1992)
771737	397575	Dalma
771737	398995	
771737	402054	Pamela
771737	402630	Laura
771738	14770	Doble Reina
771739	56316	
771739	187978	Teresa
771739	251599	Economa
771739	253667	Chica 4ª coro
771739	284888	Doña Pruden
771739	357187	Sorbunde
771739	372950	Madre de Yoyes
771739	390244	Petra
771739	393366	
771739	407711	Josepa
771740	3461	
771740	3475	Berta
771740	18174	
771740	90057	
771740	103109	
771740	193505	
771740	202513	
771740	273011	
771741	161785	Herself
771742	169540	
771743	21706	
771743	219315	Mariana
771744	25798	
771744	78570	Woman 2
771744	251672	
771745	52075	Lucía
771745	106322	Novia
771746	206747	
771746	235991	Carol
771746	252751	
771747	318290	Mujer centro comercial
771748	113646	Go-go
771749	71301	
771749	403290	Tula
771749	412123	
771750	307466	
771751	13013	Isbelia
771751	51234	
771751	192702	Girl
771751	302320	Amparo
771751	379458	Marina Luna
771751	379898	Camila Rigores
771751	380125	Lejana San Miguel
771751	384965	Myra
771751	392963	Rubiela 'Ruby' Salcedo
771751	396462	Teresa
771751	399519	Angela Santana
771751	400944	María Alejandra Fonseca
771751	411618	
771752	51728	Carnes
771752	147378	Inquilina
771752	197042	Lucrecia
771752	380155	Lucía
771753	10498	
771754	14798	Muchacha
771754	199811	Nazario
771754	211072	Laura
771754	215879	Flamenco Dancer #6
771755	197885	Frasquita
771756	68554	Amiga de Paquita
771757	273952	
771758	400341	Herself - Profesora de la Aca
771759	381921	Tatiana 'Tato' Rodríguez
771760	100385	
771761	213389	Vecina de Carmen
771762	10289	Host
771762	380552	Host
771763	247845	Peludita
771763	395872	
771763	396132	Juanita
771764	82723	
771765	353700	
771765	378380	Prostituta 2
771766	379887	Solanyi
771766	383390	
771767	19463	
771767	43307	
771767	149511	Esposa Profesor
771767	249770	
771768	71284	Nena
771768	243509	Herself
771768	259319	Milagros
771769	234008	Isabel
771769	384795	Isabel
771769	408857	Candela Carmona
771770	125771	
771770	386555	Antonia
771770	391611	
771770	392992	
771770	393836	
771770	396333	Consuelo Valdés
771770	400419	Gabriela Meyer
771770	406852	Sofía Montero
771770	408562	
771771	222854	
771772	110746	
771773	56526	
771773	70422	Lu Anne
771773	99714	
771773	104967	
771774	5000	
771774	199808	
771774	204902	
771774	289373	Scalphunter's woman
771774	357899	
771774	375740	
771775	53329	Steve Waits' Secretary
771776	191950	Pupil at Tadworthy House Scho
771777	302121	Commune member
771778	350643	
771779	305537	Katya
771780	314631	Student
771781	69137	Russian Olympic Athlete
771781	296552	The Computerettes/Dancer
771782	339411	Allison
771783	319933	
771784	193878	Sonny St. Pierre
771785	105309	Lawyer
771786	42773	Katrina Holstagg
771786	70927	Katrina
771786	92694	Blonde Vampire
771786	185204	Sal's Girl
771787	94202	Ann Marie
771787	113144	Rachel
771788	360392	Lollipop Girl
771789	316410	Girl at Station
771790	325983	Doris
771790	372819	Polly
771790	390771	Dr. Sara MacIntyre Gantry Wer
771790	400236	Eileen Riley Siegel (#1) (196
771791	396623	Mrs. Headley
771792	112526	
771793	137620	
771794	37056	Poppy
771795	157499	Administrator/Nurse
771796	307928	Girl in Farnsworth's Office
771797	96113	Dancer
771798	321154	Model
771799	213588	Pitti-Sing
771800	44450	Woman (Syracuse, NY)
771801	190128	Sue
771801	281397	Puerto Rican Woman
771802	425	Lawyer
771802	89665	Baron's Second Fiance
771802	115399	Karolina Willman
771802	122462	Berit Altman
771802	150613	Emilie
771802	181848	Betty Anker
771802	182566	Mrs. Dahlman
771802	222903	
771802	303653	Jane Hagwald
771802	320520	Inga
771803	96427	Neighbor
771803	405594	Sekreteraren
771804	74000	Crude Oasis Bar Patron
771805	95784	Extra
771805	303863	Improv Asylum
771805	391883	Dixie Smithley
771806	22738	Frau Gunze
771806	184573	
771806	259565	
771806	259592	Katharina
771806	259596	
771806	259670	Kerstin Tetzlaw
771806	338436	Klärchen Pißwitz
771806	387079	
771806	390812	Angela Rother (1993)
771806	396205	Renate Arends
771807	190225	Bartender
771808	86750	Sherif Lillian Folley
771808	101726	Jailer
771808	107466	Donna
771808	114251	Jewelry Clerk
771808	134672	Piano teacher
771808	143824	Bag Lady on TV
771808	158140	Mrs. Kulow
771808	224073	Cousin
771808	252259	Denise Foy
771808	279420	Farmer Virginia
771808	315160	Nun
771808	335563	Sport Psychologist
771808	353314	Principal's Secretary
771808	380030	
771810	48675	
771810	48676	
771811	11539	Performer
771811	11581	Emily Beattie
771811	148368	Jacqueline Chantry
771811	154915	Flora Fenton
771811	223646	Betty Stewart
771811	346030	Brenda Evans
771811	391398	
771812	308198	Ballet dancer
771813	397888	Herself (2002)
771814	104442	
771815	28266	Money Girl
771816	205982	
771817	10002	
771817	12706	Sister Germana
771817	15382	
771817	21701	
771817	25021	
771817	54660	
771817	58915	
771817	63324	
771817	63962	
771817	73065	Chacha Adulta
771817	74365	
771817	80239	Esperanza
771817	83138	
771817	85584	
771817	85732	
771817	96364	Alicia
771817	100931	
771817	101914	
771817	103504	
771817	113225	Marta
771817	115822	
771817	121960	
771817	127599	Silvia
771817	134173	
771817	136224	
771817	145233	Rosalva
771817	148066	
771817	171620	
771817	172711	Alice
771817	193142	Alicia Fernandez
771817	209042	
771817	212388	
771817	216064	
771817	225036	
771817	257317	Silvia
771817	275809	
771817	282938	
771817	293571	
771817	294711	
771817	301584	
771817	309092	
771817	351267	
771817	352009	
771817	355812	Janine
771817	379446	
771817	379552	Laura
771817	379909	Gertrudis de Reyes
771817	380842	Evarista
771817	381153	Blanca
771817	383268	Miriam
771817	385376	
771817	386146	
771817	386205	
771817	386401	
771817	387826	
771817	388095	Delfina García Salazar (1988-
771817	392290	Esperanza
771817	393801	
771817	398487	
771817	401203	Elvira Covarrubias de Tellez
771817	401898	
771817	402290	
771817	403885	Hilda
771817	404238	
771817	405281	
771817	408198	
771817	409718	
771817	409833	Claudia de Saint-Germain
771817	410313	Delia, madre de Viviana
771818	14641	
771818	21696	Gilda
771818	25744	
771818	29059	Prostitute
771818	56022	
771818	64969	
771818	68058	
771818	82585	Genoveva
771818	91089	Inés
771818	100436	
771818	161436	Gabriela
771818	165794	Serena
771818	174743	Sofía
771818	239636	La Luna
771818	266822	Marina
771818	322854	Patty
771818	333707	
771818	339120	
771818	353190	
771818	354109	
771818	377142	
771818	379457	Silvia
771818	380088	Matilde García
771818	383442	Claudette
771818	384395	Clarisa
771818	384831	Milagros
771818	386016	
771818	387190	Sylvia
771818	401696	
771818	402192	Milagros Santos
771818	407304	Laura
771818	410093	Raquel Carmona (2000)
771818	411712	María Dolores Olmedo
771819	73974	Elena
771819	108720	Cristina
771819	153333	
771819	320306	Dueña de la pensión francesa
771820	91779	Girl in Lobby
771821	109408	Danseuse pub Fast Burger
771822	7457	Chantal Bréhat
771822	23867	Patience
771822	57293	Irena Donkova
771822	84097	
771822	100505	Anne-Marie
771822	260911	Elisabeth Beyne
771822	266401	
771822	327658	Juliette
771823	199943	Une musicienne
771824	387953	Herself
771824	387954	Herself
771824	392533	Herself
771825	28681	Chloe Peduzzi
771826	15063	Adriana/Justine
771826	104233	Jeanne
771827	338400	
771828	254768	Toiletjuffrouw
771829	385449	Herself/Jamie Smith from Fina
771829	388734	Jamie Smith
771830	352508	
771831	387323	Debbie Bosmans (1995-1996)
771831	399658	Gertrude
771832	18079	
771832	18080	
771832	96453	
771832	99554	Agnete
771832	147504	
771832	173653	
771832	349808	
771833	118755	Catherine Martin (Pink à la M
771834	259830	Susi
771834	356876	
771835	347417	Madam Ramon
771836	258188	Linda Skolnik
771837	118849	
771838	40864	The Girl
771838	323413	
771839	320617	
771841	367826	
771842	24738	
771843	201466	Dawn Peterson
771843	314798	Karma Quail
771845	393707	Jopoppinolou-kico-club
771846	309213	Chris
771847	22844	Operationssygeplejerske 2
771847	256122	
771847	403183	Various roles (sketches) (200
771848	241236	Jeanette Odille
771849	2136	Little Karate Girl
771849	110898	Alicia
771849	137693	Sophie 'Soapy' Piper
771849	137694	Sophie Piper
771849	137695	Sophie
771850	11022	Mrs. Solana
771850	58487	Nurse
771850	122217	Hotel Patron
771850	232296	Helen Grayson
771850	364344	Crumb receptionist
771851	293524	
771852	355052	Extra
771853	14620	
771853	39537	
771853	39545	
771853	44839	
771853	52530	Mercedes
771853	90149	
771853	133742	
771853	141727	
771853	188320	
771853	220033	
771853	309822	
771853	365390	Mrs. Tewksbury
771854	391170	Elmira Cleebe (1953)
771855	21628	Running Woman
771856	33526	Chief
771857	2976	
771857	4815	Party Guest
771857	357301	
771858	145071	Sexy Kurt Cobain Fan
771859	290606	Mannequin Ruth
771860	2196	Bart's girlfriend
771860	12468	Meisje op gracht
771860	156139	Verpleegster
771860	342085	Nurse
771860	357389	friend
771860	391424	
771861	231355	Dietlind, seine Tochter
771861	365805	
771862	288960	Herself (segment "Fire and Ra
771863	352198	Saleswoman
771864	313425	Gretel/Door
771864	315246	Thera
771865	80623	Girl in Bus
771866	31892	Monte's Assistant
771867	215872	Drunk Woman
771868	93322	Motel Clerk
771868	316226	Rosie
771869	103042	Religious
771870	265775	Post-Operative Nurse
771871	311980	Maria
771872	185969	
771873	223565	
771874	33835	
771874	43216	
771875	124860	Szymanska
771875	256156	Julita, Girl in the Phone Boo
771875	293700	Boss
771876	284888	Otra camarera
771877	128598	Julie
771878	403021	Julieta (2002)
771879	367951	Herself
771880	367951	Herself
771881	5126	Ruth Berlau
771881	325936	Barbara Gerhard
771882	93267	Antje Petersen
771882	111894	Nina
771882	259443	Tanja
771882	347636	Vera Ramsbächle
771883	226420	Marta Korczynska
771883	259925	
771884	344311	Circus performer
771885	340857	Jade Gate girl #7
771886	80430	Bingo Burger Patron
771887	120477	Young Fabia
771888	36958	Nurse
771888	54612	
771888	68727	Carol
771888	71550	Mary Ann Lennig
771888	88856	
771888	160021	Connie
771888	171211	Nurse
771888	224590	Elena Fairchild, Mary's Niece
771888	242722	Barmaid
771888	286243	Greta
771888	340730	
771889	203562	Little Jeanne
771889	255452	Child
771889	310445	One of the children
771890	398852	Rumansk tolk
771891	156030	
771891	261521	Diane Abbott
771893	47589	Beatrice Ellsworth
771893	108869	
771893	115262	Peggy
771893	255452	Child
771893	365277	Tam Manners
771894	366205	Hawaiian dancer
771895	174253	
771896	134511	Convent Girl
771897	272230	Stewardess
771898	198831	Cleaning Girl
771900	258858	Carter's Secretary
771901	111848	Petúnia
771902	235992	Núria
771903	68427	
771904	65884	
771905	370060	
771906	388628	Une soeur de Flore
771907	57416	
771907	193045	
771908	142230	Linn
771909	248258	La jeune femme en boîte
771910	284259	Jeune fille 6
771911	30103	
771911	54389	Henriette
771911	56243	
771911	71887	Betty
771911	81430	
771911	123901	
771911	153879	Une étudiante
771911	164673	
771911	207090	
771911	254099	
771911	261753	
771911	280560	
771911	337740	
771911	340128	
771911	345166	
771912	64444	Gabriel's Girlfriend
771912	206513	Mariette
771913	214515	Désirée
771914	23750	Rosa
771915	108844	(segment "Los tres pelos del 
771915	127602	
771915	233974	
771916	33586	Françoise
771917	66075	
771918	12046	The typist
771918	14915	Marie (segment "Miracolo, Il"
771918	66091	
771918	76059	La servante de l'hôtel
771918	108613	Fortunette
771918	111036	Miette
771918	111777	
771918	168345	Marie
771918	274777	Alphonsine
771918	290439	Tante Clarisse Fabre
771918	325062	
771918	377956	
771919	108289	
771920	56840	
771921	203765	Clara Oakes
771922	173139	
771923	230324	
771924	296972	Cloris
771925	79450	Eula Peazant
771925	290319	Doris Witherspoon
771926	45707	Shanice
771927	14212	Paula Philbin
771927	208063	Cindy
771927	401359	Additional Voices
771928	12216	Herself
771928	136128	Amy
771929	114095	Mia Thompson
771929	383783	Hostess (2003)
771930	40996	
771930	68159	
771930	75191	
771930	84003	
771930	85993	
771930	116830	
771930	127810	Herself
771930	140924	
771930	141067	
771930	228615	
771930	316026	
771930	321018	
771930	321019	
771931	311873	Ivy
771932	381821	Ensemble (1985-1986)
771933	336559	Child (Andrea)
771934	33631	Mrs. Potts
771934	99306	Penelope
771934	280005	Fritzie
771934	310425	Viola Kidderminster
771934	382103	Elizabeth
771934	383385	Mrs. Forbes Robinson (1984-19
771935	3538	Mrs. White
771935	14241	Clarice Waters
771935	20496	Professor Helen Adamson
771935	52376	City Councilwoman
771935	52688	Shelly
771935	59928	Elizabeth
771935	73813	Eileen
771935	100591	Rosemary Skibbs
771935	256197	Sheila Manion
771935	283403	Pigeon Lady
771935	293226	Trudie Moses
771935	308459	Samantha Fergus
771935	311167	Woman at the Bar
771935	315653	Allison Knower
771935	370643	Marion Williamson
771935	371485	Wealthy Lady
771936	81547	Woman in Park
771936	321559	Bartender
771937	131240	Housemaid at Twelve Oaks
771938	2545	Chorus girl
771938	70212	Lulu
771938	78840	Miss Dolby, Hotel Switchboard
771938	116894	Gracie
771938	154256	Dottie
771938	191835	Society Girl
771938	241443	Patsy Purcell
771938	255351	Olive, Jerry's Moll
771938	342929	Lawson Girl
771939	59185	Performer
771940	141245	
771941	171703	
771942	97037	Brenda
771943	215690	Miss Louisiana USA
771944	321086	Company
771945	201095	Kay
771946	297937	Jo's Girlfriend
771947	389502	Presenter
771947	404549	Herself (Host) (1999-2001)
771948	23148	Ceres Mulvain
771948	121819	Junior editor
771948	126044	Charleston Dancer
771948	196558	Sorority girl
771948	245398	Amy Wentworth
771948	311938	Registrar
771949	90342	Juliet
771950	80407	Luanne
771950	291366	Herself
771950	337605	Young Girl
771950	348008	Herself
771951	231090	Biennial Attendant
771952	60695	
771952	66874	
771952	89967	
771952	360260	
771953	362330	Mrs. Worth
771954	223380	Sue
771955	31714	
771955	119497	Gwen
771955	240980	
771955	258003	
771955	264800	
771955	278543	Don's girlfriend
771955	295764	Waitress
771955	315097	Interior decorator
771955	317938	
771955	321183	
771956	335255	
771957	367951	Herself
771958	510	Mia
771958	515	Mia
771958	516	Mia
771958	517	Mia
771958	18469	Elena Weinberg
771958	20458	Model, MAA Announcer
771958	20459	Model
771958	20480	
771958	30736	Kai Harn
771958	31053	Mylandah Arkar Walder
771958	38401	
771958	50184	Tatara Shrine Priestess
771958	51991	Galaxina
771958	63712	Ishtar
771958	95855	
771958	122109	
771958	123054	Cas
771958	126535	Sandy
771958	127412	Gin Rei/Falmelle
771958	176534	Additional Voices
771958	182499	Mizusawa, Natsuki
771958	182500	Shizu
771958	182706	Additional Voices
771958	190869	Additional Voices
771958	199109	Additional voices
771958	200434	Miki Asuka
771958	208661	Tammy
771958	217377	Nastassja/Elizabeth (1-3) (En
771958	227926	Anne Beauchamp
771958	296783	Girl 3, Pedestrian 5
771958	301601	Annri Ohara
771958	309470	Cassandra Alexandra
771958	313338	Blair Lansfeld
771958	316620	Cammy White
771958	369525	Captain Lapis Roman
771958	373384	Natsuki Ogawa
771958	375764	Elena Weinberg/Boy C
771958	378651	Mia (Episode 28)
771958	381401	Mylandah Arkar Walder
771958	385151	Elisa
771958	394016	Additional Voices
771958	394424	Analyst
771958	394427	
771958	400576	Valeria
771958	406702	Cammy White
771959	77152	Joanne Haskins
771959	215453	Libby
771960	313755	Rosa Furr
771960	392601	Lottery Director (1995-1997)
771961	110539	
771962	10582	
771962	51481	2nd Engineer
771962	113825	Fire Maiden
771962	223867	First Maid
771962	253861	Townsperson
771962	292652	Sally
771962	313514	Molly, a Daffodil Girl
771962	316025	Secretary
771963	27091	Additional Voice Talent
771963	205943	Bowser Jr.
771963	205946	Bowser Jr.
771963	319424	Bowser Jr.
771964	14180	Computer Tech
771965	54029	
771965	123911	Mrs. Van Tuyl
771965	142430	Nanny
771965	148939	Mme. Daumery
771965	190274	Florrie Wainwright
771965	196012	Nernice Dawn
771965	198088	Florrie Wainwright
771965	199354	Mrs. Trout
771965	208720	Lady Manbury-Logan-Manbury
771965	208973	The Duchess
771965	222624	Landlady
771965	271611	The Duchess
771965	340935	Martha
771965	385299	Lady Brampton
771965	400709	Lady Hartletop
771965	400843	Mrs. Sibley
771965	403514	Aunt Millie
771966	32215	
771966	48539	Wife
771966	212216	Dancer
771966	230302	Comic dancer
771966	260418	Mrs. Capron
771966	286061	Lizzie
771966	315105	Countess Collonna
771966	363348	Camille Dore
771966	365970	Mary Melon
771967	58162	Carol
771967	109857	Ava (the Beautician)
771968	155215	Little Autograph Girl
771969	7136	Irene McKay
771969	92737	Eve Sorenson
771969	115708	Nancy Lowman
771969	132906	Priscilla Powers
771969	138351	Maggie Porter
771969	183305	Madam Josephine
771969	238709	Betty Worley
771969	245462	Stella Smith
771969	261237	Woman next to Mr. Tinkham
771969	308057	
771969	320878	Scientist
771969	337091	Lady in buoy chair
771969	350347	Mrs. Eastman
771970	311038	Girl Saved by Spider-Man
771971	44418	Carol Stewart
771971	160065	Vicki
771972	16054	Pamela Lawrence
771972	141318	Louisa
771972	149722	Cynthia
771972	176815	Lady Doctor
771972	265377	Belinda Starr
771972	279090	Kim Harris
771972	279142	Mavvie
771972	279509	Housekeeper
771972	311872	Robbie's Mother
771972	405036	Queen Victoria
771973	3148	Coronation Party Friend
771974	87309	Belle's girl
771974	319759	Bargirl
771975	48397	
771977	687	Herself
771977	1962	Herself
771977	2355	Herself
771977	2545	Ann Lowell (Anytime Annie)
771977	2759	Herself - Co-presenter: Best 
771977	2833	Mary Grey
771977	3039	Herself
771977	11685	
771977	26628	Polly Parrish
771977	30122	Dinah Barkley
771977	31257	Narrator
771977	32127	'Johnny' Victor
771977	40024	Carlotta 'Lottie' Marin
771977	42357	Herself
771977	45130	
771977	47307	Flip Daly
771977	53217	
771977	54952	Amanda Cooper
771977	55428	Honey
771977	56579	1929 screen tests
771977	58931	Marjorie 'Marje'/'Mug' Harris
771977	59100	Madge Rountree
771977	64072	Queen
771977	69353	Madame Rinaldi
771977	79815	
771977	90256	Molly Gilbert
771977	93240	Gloria Marlowe
771977	113634	Cecelia 'Pony' Ferris
771977	114291	Miss Rose Gillray, Gillray Co
771977	116174	Honey Hale
771977	116527	Sherry Martin
771977	116532	Mary Brennan
771977	117655	Beatrice Page
771977	124718	Mimi Glossop/Mrs. Green
771977	126050	Herself
771977	130622	Fay Fortune
771977	134557	Abigail Jane 'A.J.' Furnival
771977	138700	Herself
771977	139483	Mama Jean Bello
771977	139936	Jessie King
771977	140408	Thelma 'Teddy' Shaw
771977	141386	Arlette Lafron
771977	147788	Herself
771977	147798	Herself
771977	147801	Herself
771977	147804	Herself
771977	147876	Herself
771977	147917	
771977	149136	Doris Brown
771977	154855	Mary Marshall
771977	157913	Carol Corliss, aka Clara Colf
771977	163246	Victoria Stafford
771977	175535	Herself (Honoree)
771977	178342	Katherine 'Kitty' Foyle
771977	183706	Liza Elliott aka Boss Lady
771977	195613	Herself
771977	196998	Jean Newton
771977	200472	Dolly Payne Madison
771977	201305	Susan Kathleen 'Sue' Applegat
771977	218124	Mrs. Edwina Fulton
771977	231944	Herself
771977	232017	Herself
771977	238668	Miss Gravis
771977	239043	Mildred Turner
771977	241110	Katie O'Hara Von Luber, aka K
771977	252981	Terry Scott
771977	263941	Ellie May Adams
771977	265362	Glory Eden
771977	269302	Polly Rockwell
771977	270768	Mary Carroll
771977	279687	Comtesse 'Tanka' Scharwenka (
771977	280892	Sylvia Dennis
771977	282565	Roxie Hart
771977	287944	Ellen Saunders
771977	291314	Herself
771977	291372	Herself
771977	291403	Herself
771977	297180	Linda Keene
771977	300070	Herself
771977	300305	Patricia Morgan
771977	303378	Dorothy
771977	312773	Jean Maitland
771977	313346	Donna Mantin
771977	315545	Marsha Mitchell
771977	315748	Irene Castle
771977	318453	Sally
771977	321534	Penelope ''Penny'' Carroll
771977	323883	Diane
771977	326814	Nancy Fallon
771977	327821	Jo Jones
771977	327872	Ruth Weston
771977	329562	
771977	329564	Herself (interview)
771977	329565	
771977	330613	Marie Morgan, aka Lela
771977	332880	Sherry Conley
771977	333657	Baby Face
771977	335844	Dale Tremont
771977	342410	Peggy Cornell
771977	348492	Lilly Linda
771977	350906	Herself
771977	355837	Francey
771977	360527	Ramona Gladwyn
771977	360834	Irene Malvern
771977	372247	Alice Brandon
771977	372630	Puff Randolph
771977	378624	Substitute Host
771977	402245	 (segment Red Peppers) (segme
771978	212086	Herself
771979	2019	Girl in Tent #2
771980	32425	Elderly Shopper
771980	37788	Mae, Bill's Landlady
771980	47145	
771980	80779	Mrs. Bains
771980	92864	Mrs. Patterson
771980	221055	Tante Liselotte
771980	381432	Lizzie
771981	235791	Young Charlotte
771982	141079	Anita
771982	279565	
771983	3169	Negro Dancer
771983	347304	Herself
771984	100209	Hitler Youth
771984	337206	Child at the World Choir
771985	327584	Kid Cotton's Sweetheart
771986	267213	Felice Castle
771987	5419	
771988	48935	Beula Lugosi
771989	55122	Steffie
771989	57654	Off Off Broadway Actress
771989	79762	Suzanne
771989	87391	Mindy
771989	200330	
771989	212996	Dr. Evans
771989	241792	Tophouse's Bride
771989	317517	Celeste
771989	318510	Anita Tanner
771989	363913	Taylor
771989	379716	Taylor Roxbury-Cannon #1 (199
771990	367579	Chairperson/Ballet Mistress
771991	389858	Tess (1997-1998)
771992	67349	
771992	81117	
771992	102342	Priscilla Kent
771992	158966	Kelly Gibson
771992	267547	
771992	366137	Transport pilot
771992	382419	Julie Delorean (1990-1992)
771992	389858	Celeste (1987)/Tess (1997-199
771992	394677	
771992	404282	Dr. Heather Donnelly (1988-19
771993	115487	Cleo
771993	188890	Woman commandant
771993	191407	Anaka Jongman
771993	198969	Voice of Friend
771993	220963	Mrs. Bunting
771994	5538	Peggy Trainor
771994	6996	Elsie Belwood
771994	12770	Virginia Darlington
771994	26987	Catherine Morland
771994	46982	Clara Young
771994	59611	Kathi Lenesch (Baroness Kathi
771994	69498	Maude Sangster
771994	77414	Chorine
771994	80815	Dale Arden
771994	83787	Dotty
771994	90307	Blondy
771994	92526	Miss Annabelle Kirke
771994	98151	School Girl
771994	112397	June Sanders
771994	112634	Student
771994	115060	Dale Arden
771994	115061	Dale Arden
771994	115065	Dale Arden
771994	124694	Nancy Davis
771994	133729	Ellen Randall
771994	141650	Anita
771994	146140	Information
771994	147804	Herself
771994	150067	Jerry Walters
771994	150575	Nancy Prescott
771994	160432	June White
771994	183831	
771994	188405	Abby Adams
771994	203615	Alice Stetson
771994	204189	
771994	206487	Dale Arden
771994	224136	Girl
771994	224577	Yvonne Fontaine
771994	231978	Joan Mallory
771994	246232	Elaine Carter
771994	253501	
771994	275974	Jean Clayton
771994	282387	Jo Matheson
771994	292262	Dodo Ferris
771994	292309	Shara Graustark
771994	310207	Dale Arden
771994	310777	Mary McGee
771994	312255	Peggy Trainor
771994	315338	Louise Haller
771994	315581	Kerry Dorn
771994	316221	Lucy Gilbert
771994	319040	Judy Galestrum
771994	321529	Iris Reed
771994	323207	Betty Lou Barnes
771994	333315	Helen Thomas
771994	342410	Chorine
771994	342929	Undetermined Role
771994	355779	Joan Allen
771994	359171	Patricia Hadley
771994	362927	Irene Henry
771994	363552	Judy King
771994	363741	Jean Pringle
771994	365562	Helen Conlon
771994	371380	Lee
771995	251420	Sarajevo CNN Representative
771995	385299	Julie Shepherd (1976-????)
771995	387533	Dolly Skilbeck (1980-1991)
771996	62415	Diane
771997	93671	Prostitute at Piano
771998	233778	Nurse
771998	330097	
771998	400201	Kathy
771999	46985	Proprietress
772000	114933	Gertie
772001	297105	
772002	78987	Veronica
772002	295083	Cara
772003	282583	Herself
772004	240814	Eileen Casey
772005	274333	Shoeshoppe Customers/Dancers 
772006	411509	Herself - Correspondent (1995
772007	5033	Felice
772007	22016	Girl
772007	35610	Herself
772007	61164	Marcia
772007	78787	Stewardess
772007	82947	Linda Prescott aka Linda Nels
772007	112745	Dolly
772007	119803	Katherine 'Katy' Hodges
772007	128896	Lucille Farnsworth
772007	135909	Molly Day
772007	143605	Maid
772007	165223	Janice Clayton
772007	194806	Mrs. Peterson
772007	207865	Bridesmaid
772007	223913	Maria
772007	226926	Elena
772007	233684	Friend of the Family
772007	246603	Tina
772007	257087	Miss Harper
772007	286808	Spectator
772007	301943	Josephine
772007	308109	Stage Cast Member
772007	310565	Lucille Peters
772007	316323	Miriam Joyce Haines
772007	321612	
772007	342981	Elaine Jeffries
772007	347136	Clerk
772007	363238	Stewardess
772007	381814	Louise Tate #2 (1966-1972)
772007	401350	Julie Anderson (1964-1966)
772008	193627	Josie
772008	380610	Princess Caroline
772008	395924	Firefighter Josie Ingham (198
772008	406267	Eva Morrigan
772008	408053	WPC Sue Neave
772009	217513	Nicky
772010	259003	
772010	259032	Marill
772010	259088	
772010	259096	
772010	259097	Arbok/Hitmonlee/Onix/Victreeb
772010	259098	Prof. Felina Ivy/Mr. Mime
772010	350723	Iseria Queen
772010	392026	Lady Like, Honey, Additional 
772010	392619	Sara
772010	394064	Jambolidia
772010	401740	Mr. Mime (1999), Marill (1999
772010	407519	
772010	411261	
772010	411886	Ishizu Ishtar, Additional Voi
772011	330786	Evelyn
772011	341680	Zoe's Mom at Cast Party
772012	115517	Jennifer Bradley
772013	126060	Nasia's friend
772014	29920	Marlene Fitzpatrick
772014	34002	Rachel Holmby
772014	80602	Lynn Hightower
772014	158965	Sheryl
772014	158966	Lori Brehman
772014	159262	Katie Johnson
772014	217994	Kitty
772014	223503	Helen
772014	309535	Reporter
772015	405461	Chastity Green
772016	392044	Loretta
772017	298266	Agatha
772018	201305	Mrs. Applegate
772019	219354	Eve
772020	108474	Heidi
772020	360741	Rosie Bean
772021	30967	Reporter
772022	2654	
772022	31691	Rat Pack member
772022	37674	Linda (Rat Pack member)
772022	68016	Phipps' Maid
772022	246861	Rat Pack Member (Linda)
772022	332440	Clair Kincannon
772022	365544	Trisha
772022	366390	Penny
772024	348008	Herself
772025	361236	Dolly
772026	190150	Sam
772026	241447	
772026	291167	Herself (presenter)
772026	311702	Herself
772026	378791	Herself
772026	381886	Herself - 'On the Bed' Presen
772026	382245	Presenter
772026	383730	Host
772026	388027	Presenter
772026	390711	Presenter
772026	395877	Tanya
772026	395978	Presenter (Series 6-7) (2003)
772026	401170	Herself
772026	404549	Herself (Host) (2002-)
772027	342863	Little Helen
772028	43925	Laman's Wife
772029	77673	Alley Shopper #1
772029	80615	Devon
772029	214641	Sandra
772029	224845	Amy
772029	276667	Laurie Greggs
772030	367705	Vance's Governess
772031	118548	First Year Girl
772032	266617	Alice St. Clair
772032	381986	Assistant (1955)
772033	261740	Old Pekingese Bitch
772034	362996	Debbie
772035	97826	Miss Hanley
772035	390771	Marie Wallace Grant #2 (1955-
772037	121528	Woman in Bed
772037	386618	Contestant
772038	94	Cafe Patron
772038	73833	Party Guest #2
772038	169470	Jimmy Jim
772038	262160	Aunt Harriet
772039	11283	Polly Pearce
772039	34663	Phoebe
772040	210825	Village Woman
772041	183871	Sarah
772042	196390	Model
772043	116894	Chorus Girl
772043	313076	Dancer
772044	130314	Anne Flanders
772045	7069	Mrs. Hayes
772047	238914	Nellie Burns
772047	285180	Celeste
772048	58939	Herself
772048	59571	
772048	149248	
772048	155310	Beatrice Lockbuster
772048	289053	Mrs. Melanie Morris
772048	364164	
772048	370113	Digger's Mom
772048	379716	Elise Flynn (1997)
772050	73207	Sarah Thompson
772050	144430	Woman Mourner
772050	187125	New York Times Editor
772050	224336	Skippy Budlong
772051	145630	Herself
772051	257608	Herself
772051	257678	Miss June 2002
772052	112499	
772052	118055	Lola
772052	128443	Peggy
772052	329111	Rosa
772053	24430	Mrs. Kensington
772053	31845	Martha
772053	41393	Melody Woodman
772053	41932	Liz
772053	57366	Pat Bogen
772053	59765	Sophia
772053	63066	Meloday Parris
772053	68470	McPherson
772053	74011	Tiffany Merteuil
772053	77803	April
772053	78845	Dr. Susan Hadley
772053	83952	Nora Cornell
772053	84962	Mrs. Stern
772053	86819	Carrie
772053	88174	Belinda Wittiker
772053	90900	Evelyn Vaughn
772053	90932	Magazine photographer
772053	95080	Mrs. Dunne
772053	108943	Katherine McCormick
772053	118468	Valerie McCoughlin
772053	127822	Pamela Fitzgerald
772053	135935	Audrey
772053	135967	Eve
772053	141141	Meg
772053	144689	Julie Dreyer
772053	149923	Karen Messenger
772053	158113	Sonia Jacobs
772053	176774	Fiona
772053	178145	Ali Broussard
772053	183874	Michael Madison
772053	192381	Ellie
772053	194849	Dr. Maureen Robinson
772053	213494	Hadley Elgin
772053	215157	Claire
772053	218162	Amy
772053	224021	Aunt Marion
772053	257689	Herself
772053	272418	Sharon
772053	274572	Mrs. Kensington
772053	274689	Regina
772053	282464	Ellen Slade
772053	293192	Elise
772053	295320	Marie
772053	299714	Elizabeth Pigeon
772053	308025	Claire Gregory
772053	316716	Alison Parker
772053	338930	Patty
772053	339596	Jackie
772053	348449	The Yuppie
772053	360760	Tracy Riggs
772053	363997	Molly Dolezal
772053	372244	Charlotte
772053	389816	Hillary
772053	400773	Blair Fenton-Harper (1984)
772053	403823	Ellen Slade
772054	67567	Receptionist
772054	68689	Jill
772054	109826	
772054	232111	Jacky Reed
772054	364556	Mrs. Cayman
772054	367299	Mrs. Anstey
772054	381952	Verity Hassett
772054	385020	Jenny Sutton/Tanner (1968)
772054	386233	Doris Jago
772054	397182	
772054	409578	Jean Jones
772055	192807	Mary Moffatt
772056	389258	
772056	395178	Mamsy
772057	17934	Restroom Girl
772057	203549	Nurse
772058	350243	
772059	99190	Model
772060	135385	Woman in Pool
772061	194956	Lombard's Wife
772062	355014	Jeanne
772063	48870	Lucille DuCharme (opera singe
772064	73753	Mary Turner
772065	292223	TV Anchor Woman
772066	301753	Atlanta TV Newscaster
772067	363165	Maisie
772068	114598	Jane
772068	120506	Alice Crook
772068	192382	Rosie
772068	231439	Child Kate Nickleby
772068	353467	Young Princess Alice
772068	378710	Little Cupid Girl
772068	385659	Mallinger Girl 3
772069	47572	
772070	188227	Woman at Paddock Rail
772071	121240	Alice
772072	41401	Officer Donna
772072	41917	
772073	12308	
772073	21183	
772073	37872	
772073	38131	
772073	49577	
772073	49582	
772073	62095	
772073	73105	The Cricker as an adult
772073	81889	
772073	82377	
772073	98147	
772073	105410	
772073	127695	
772073	145695	
772073	145802	
772073	162391	
772073	171116	
772073	186696	
772073	216438	
772073	216487	
772073	226782	
772073	228304	
772073	254814	
772073	305072	
772073	323750	The French woman
772073	329778	
772073	346369	
772073	362973	
772073	363264	Lillian, Housekeeper's Daught
772074	314531	Angela
772075	30463	Sally
772075	185636	Receptionist
772075	250514	Receptionist
772076	45618	Amazon
772076	213019	
772076	235440	Miss Brent
772077	219923	The Fairy
772078	84971	Miss Kliensmidt
772078	145705	Mexican Woman
772078	149759	Mother
772078	194653	Spider's Whore
772078	198983	Lil
772078	200493	De Toro's woman
772078	213268	
772078	224849	Cankuna
772078	300150	Girl
772078	310800	Bit Girl
772079	324822	Parent
772081	83980	Doreen
772081	190934	Joan Halst
772082	3264	Waitress
772082	267250	Head punk
772082	305173	Julie
772083	13580	
772083	20316	Townsgirl
772083	20715	
772083	42023	Bit Part
772083	45494	
772083	51885	Checkroom Girl
772083	66549	Girl
772083	77820	
772083	78155	
772083	87549	
772083	144583	Jane Colby
772083	152925	Bit Part
772083	155846	Girl
772083	156464	Girl
772083	177359	Girl
772083	190268	Secretary
772083	190473	Florence 'Flo' Kingsley, Al's
772083	199158	
772083	203071	Laddie Dennison
772083	210871	Girl
772083	220333	Show Girl
772083	231780	Miss DeMilo
772083	232197	Susan Randall
772083	289236	Elevator Passenger
772083	301986	Barbara Hamilton
772083	302629	Cigarette Girl
772083	312584	
772083	329115	Girl
772083	330010	Receptionist
772083	331123	Secretary
772083	333655	Waitress
772083	336736	
772083	340370	Girl
772083	372050	Salesgirl
772085	192725	Molly
772086	74213	
772086	327710	Vera Claythorne
772086	363544	Hannah, waitress
772087	35661	DS Anne Woolley
772087	204473	Maureen Cowan, Prostitute
772087	211843	Dr. Worth
772087	222878	Rachel Mooney
772087	250913	Julie
772087	251017	Julie
772087	264746	Betty Bagwell
772087	380844	Yvonne Harper
772087	392172	
772087	395080	Juliet Bray
772087	400546	Janine Noonan
772087	404598	Sue
772088	78126	Woman
772088	194819	Mrs. Jenkins
772089	26442	Woman in Apartment
772090	106255	Policeman
772091	139226	Director
772092	53731	Party Girl
772093	84833	Mrs. Pepper
772093	102932	Bit Part
772093	127743	Mrs. Mayes
772093	151545	
772093	151675	1st Girl
772093	158338	Mrs. Kelsey (Mama Bear)
772093	166637	Woman in Jaguar
772093	175621	Guest #3
772093	183445	
772093	191065	Female Spectator
772093	205315	
772093	220514	Secretary
772093	250811	Woman at party
772093	299470	Miss Gould
772093	331111	
772093	352750	Dorothy
772093	364357	Nurse
772093	399684	Mrs. Nix
772094	97247	Eclipse Broadcaster
772094	133734	Narrator
772094	404334	Hostess (Oct. 16, 1999-2000)
772095	33426	Student editor
772096	190389	Fanny
772098	411138	Herself/Guest Host
772099	130903	Woman Hippie
772099	193409	Janice Taylor
772100	118986	Pianist
772101	118431	Julie
772102	80022	Maggie Horton
772102	80023	Herself/Maggie Horton
772102	230398	
772102	385824	Maggie Horton (1973-1984, 198
772103	123891	Exotic Dancer
772103	317327	Janine
772103	328840	Abena
772103	386587	Zilda
772103	400565	Alison
772104	298314	Customer
772105	2254	Numkang
772106	257459	Village Chief's Wife
772107	385299	Mrs. Mears
772108	362073	Secretary
772109	186751	School Girl 2
772110	374281	Frank's woman
772111	114693	Extra
772111	177808	The Cameo Girl
772112	177808	The Cameo Girl
772113	308939	Extra
772114	60695	
772114	66874	
772115	238969	Ms. Cohen
772116	77876	
772117	404624	Petra
772118	187843	Isabelle
772119	4594	Featured Fan
772119	59244	Girl at Brentwood
772119	106757	Cheryl
772119	411809	Doreen Hill (1976-1977)
772120	35401	Woman at party
772120	135595	
772120	141529	Annie
772120	165635	Mildred
772120	176852	Mrs. G
772120	214037	2nd Board Member
772120	249281	Sarah
772120	383964	Mrs. Ashley
772121	12178	Mimi
772121	37050	Marietta
772121	71481	Zita de la Rue
772121	113544	Mme. Barescon
772121	154612	Girl
772121	167253	
772121	182786	Countess Melusine
772121	191825	
772121	221140	Marta
772121	364400	Yvonne Fatigay
772122	35052	
772123	301032	
772124	404456	Beni
772125	256454	
772126	313915	
772127	407815	Herself
772128	72379	
772128	74834	La mujer
772128	121479	
772128	145137	
772128	170277	
772128	202556	
772128	208841	
772128	213363	
772128	320306	
772129	233262	Djevojcica 2
772130	215879	Flamenco Dancer #3
772131	44974	Mme Benazzi
772131	123274	
772132	40208	Susjeda Djurdja
772132	73576	
772132	163038	Hrvojeva mama
772132	229008	
772132	236048	Nama cashier
772132	263056	Cashier
772132	339316	Melita Zganjer
772132	398998	
772132	399767	
772133	72664	Mrs. Ross
772134	343415	
772135	36689	Maid
772136	122757	Village people (Opera)
772137	290862	Bambina
772138	43982	
772139	307788	
772140	260679	Flock Member
772141	295556	Jessica
772141	304570	Guilty Karma
772142	153154	Mrs. Trapani
772144	409210	Trudy Chelgren
772145	364281	Extra
772146	29670	Harem
772147	214263	Herself
772148	2292	Margarita Nikolaevna
772148	84415	
772148	85151	
772148	95637	
772148	188126	Nymph
772148	202671	
772148	226857	
772148	245800	
772148	258702	
772148	286403	
772148	344308	
772148	349314	
772148	357663	
772148	409880	
772149	95017	Ioana
772150	1853	Lyusya
772150	173026	Dasha
772150	173030	Dasha
772151	60821	Vocalist
772152	303120	Train Service Woman
772152	374061	
772153	57610	
772153	58258	Student
772154	303678	Aud, sykesøster
772155	257490	Hege
772156	51126	Sofia
772157	84192	
772158	381559	Herself
772158	386495	Juliet Rogulewski
772159	258720	
772159	261324	Ganna
772159	266017	Mashenka
772160	63574	
772161	231484	Maria
772162	262511	Marta Kord (daughter of Micha
772162	412076	Pamela
772163	822	Gina's Mother
772163	101752	Agnes Pilz
772163	378648	Frau Neuber
772163	395667	Isolde Pavarotti (1985-) (ori
772164	90452	Tavinha
772164	188002	
772164	210263	
772164	221863	
772166	412276	Une vieille Bretonne
772167	337837	Marisa
772168	250838	
772168	257228	
772168	271622	
772168	274755	Miss World Tourism 2001
772168	370963	Esha
772169	387697	
772170	84307	Ekspeditrice
772170	90106	Charlotte
772170	134973	Laura Bartlett
772170	136820	Hebe, overkusine
772170	166602	Dorothea
772170	178731	Madam Grøn
772170	240103	Kantinedame med bakke
772170	266370	Præstens tjenestepige
772170	307507	Fima
772170	397074	Miss Hollenberg
772171	220130	Manuela
772172	211283	
772173	156663	
772174	173307	Susi
772174	284987	
772175	142527	Older Nurse
772176	15929	Sgt. Sally Rodgers
772176	299958	
772176	400621	Officer Claire Howell (1999-2
772177	396874	Hannah van der Looh (1998-200
772178	49505	
772178	140267	Bob's Sekretärin
772178	140268	Dorothee
772178	140269	Loni Lansky
772178	308823	Mrs. Weiler
772178	348687	Püppi
772178	361400	
772178	361518	Lindy
772179	362453	Marshall Field's Shopper
772180	97413	Foxey
772180	319933	
772181	347432	
772182	211999	
772183	215049	Waitress, a year later
772184	408800	Sussi Karlsson-Persson (1997-
772185	238309	Yvette
772186	20231	Sheela
772186	95248	
772186	200015	Papamma
772186	206778	
772186	230014	
772186	232874	
772186	286497	
772186	316581	Rangi
772186	327791	
772186	355228	Angela James
772186	365137	Effi
772187	317273	Reporterin
772187	392086	
772187	394144	
772188	303902	Singer
772189	137657	Lindsey
772190	240232	Ann Wilson
772191	398161	Kerstin Fries
772192	33457	Gisela Hoppe
772192	170134	Marlene
772192	204414	Natalie
772192	204481	Henriette
772192	209918	The Beauty
772192	231463	Dr. Ellen Hansen
772192	250928	Frau Stührenberg
772192	300189	
772192	302786	Helena
772192	307254	Anita
772192	317498	Christina Löwe
772192	388573	Anna Kuckuck
772192	388609	Ute Schmitz (1988)
772192	389361	Ilka Frohwein
772192	409609	Frau "Lämmchen" Lammert (1991
772192	410777	
772192	412024	
772193	43	Amanda Stone
772193	81649	
772193	161920	
772193	186255	Assistant D.A. Serena Souther
772193	186256	ADA Serena Southerlyn
772193	215508	Janet McCarren
772193	267628	Samantha
772193	382981	Alison Jeffers
772193	387940	Max
772193	395273	ADA Serena Southerlyn (2001-)
772193	400236	Dorothy Hayes (1997-1998)
772194	16129	Elsa Martino
772194	21704	
772194	39271	Lady Anne
772194	52531	Mercedes
772194	55928	Diane
772194	64862	Maid
772194	91137	Alice Campbell
772194	107102	Anna
772194	113533	Susan
772194	114634	Ingrid
772194	214112	Helga
772194	220707	
772194	342428	Claudine
772194	350159	Herself
772194	351732	Ingrid Swenson
772195	147317	
772195	225135	
772195	226324	Doris
772196	383934	Regular
772197	14972	Carla
772197	139578	Marcia
772197	153250	Linda: a dancer
772197	164612	Cassie Anne
772197	254523	Groupie
772197	277071	Sesame
772197	305405	Trudy
772198	132044	German Girl
772199	189987	
772200	129783	
772201	33574	Bacchis, Helen's Attendant
772202	226411	Herself
772203	48670	
772203	96201	
772204	346222	Receptionist Beth
772205	44298	Milmary Tindal
772206	348366	Tough Girl
772207	410370	Mother-in-law
772208	51475	Zit-Zit
772209	49865	Ms. Jaffe
772210	246001	Woman
772211	380905	
772211	401298	Susi Mock
772212	58102	
772212	101544	
772212	176990	Amy Lomborg
772213	201668	As Herself
772214	338642	
772215	100193	Couple Talking
772216	81127	Mary Helen Dillard
772216	157444	Judge Langdon
772216	186822	Woman
772217	125303	
772217	126365	Marianne
772217	129325	Rottin
772217	255641	Moni Meier
772217	316817	
772217	325655	
772217	361031	Katharina
772217	395701	Diakonissin
772218	189805	
772219	16448	
772219	225175	
772219	226337	Frau Reichert
772219	325456	Fau Krüger
772219	342088	
772219	352333	
772219	357570	Frau von Kammer
772220	72319	Neighbor
772221	98164	Woman in Bar
772222	106168	Ashley
772222	246476	
772222	381655	Mme. Brillon de Jouy
772223	221834	Herself
772224	63740	
772225	243564	Lamy
772226	294705	
772227	118824	Isabelle
772228	345109	
772229	30306	
772230	51615	Hermínia
772230	109597	
772230	124591	Carmen's Mother
772230	143778	Forense
772230	147376	
772230	170100	Sara
772230	225606	Mónica's mother
772230	386093	Tía Dolores
772231	167159	La secrétaire
772232	490	
772232	12071	
772232	71105	
772232	73497	
772232	75202	
772232	108579	
772232	155682	
772232	216094	
772232	236012	
772232	273960	
772232	280414	
772232	287914	
772232	308280	
772233	171377	
772234	84015	
772234	263869	
772235	65015	
772236	91551	
772236	193445	Yvette
772237	387587	
772238	12031	
772238	131117	
772238	376662	La Cocinera
772239	188933	Baby
772240	179971	Herself
772241	340683	Kelly Price
772242	129589	Olga
772243	37068	Matron
772243	152442	
772243	170922	Martta Oksanen
772243	175367	Selma-mummu
772243	179366	Mummo
772243	256880	Sohvi
772243	258843	Harjunpään Anni
772243	343509	
772243	387813	Herself
772243	391289	Kaija
772243	400858	Eila
772243	401477	Elisabeth Honkavaara
772243	403412	
772243	407555	
772243	407885	
772243	409770	Tyyne Kautto
772244	104860	Sirkka Nikkanen
772244	268329	Irmeli
772245	99640	Hotelli Tammerin Tarjoilijata
772245	152442	
772245	171801	
772245	176548	
772245	251955	Nainen ovella
772245	256366	Ritva Nurmi
772245	258986	Liisa Toikka
772245	303708	Anna Tapper
772245	391289	Lissu
772246	349728	
772246	390920	
772247	17615	Kortesuon emäntä
772248	174779	
772249	31470	Herself (Singer)
772250	109408	Marie
772250	166129	Nadja
772250	203492	Opera Chorus
772250	234783	Sylvette Parade
772250	235249	Clémence
772250	266389	
772250	356369	Paule
772251	234783	Josyane Parade
772251	309720	Sylvie Fumet
772252	12073	
772252	171377	
772253	1006	
772253	11766	
772253	89478	Marianne
772253	96009	Lisa Tuschina
772253	101055	Ludmilla
772253	101352	
772253	111360	Doris
772253	125003	
772253	138123	Irma Plachotny
772253	138907	Krankenschwester
772253	140211	Mieze
772253	149478	Frau
772253	155481	Isabelle Baumann
772253	172841	Bibi
772253	180881	
772253	189563	Forox
772253	189898	Barbara
772253	204581	Erika Mann
772253	237717	Sarah
772253	259504	Evelin Friedau
772253	279633	
772253	301048	Emmy
772253	325471	Roxane Aschenwald
772253	328992	Dr. Schmidt-Lausitz
772253	336469	
772253	347778	
772253	353997	
772253	361038	Frau Brecht
772253	366531	Nadine
772254	256692	
772254	404782	Tuomi
772255	197808	Mirja
772256	111283	Janis
772256	131416	Cathy
772259	4642	Prostitute
772260	212753	
772261	392806	
772262	309490	
772263	161666	Luisa niña
772264	17645	
772264	36017	Princess
772264	37518	
772264	58707	
772264	60474	
772264	62208	
772264	95961	Mocarna
772264	108267	Durga
772264	123563	
772264	127021	
772264	150830	
772264	171960	
772264	201947	
772264	202171	Parvathy
772264	209537	Sundari
772264	221797	
772264	223321	
772264	259226	
772264	270194	
772264	293300	Setharathnamma's Daughter-in-
772264	300420	Latha
772264	312478	Draupadi
772264	320408	
772264	349206	
772264	351140	
772265	36064	Prahlada
772265	51174	
772265	96031	Odile
772265	115345	Gérard's Secretary
772265	128977	Florence
772265	156279	Violette
772265	167248	
772265	200012	
772265	205612	Leda
772265	208822	La jeune fille du lycée
772265	214013	
772265	216236	Zéphine
772265	237510	
772265	267121	
772265	269971	Martine
772265	336989	
772265	343544	
772265	381297	Sandrine Bargeot
772265	402577	
772266	197972	
772267	10122	
772267	52617	
772267	61540	
772267	74611	Adelfa
772267	91388	
772267	135350	
772267	148025	
772267	160663	
772267	198995	
772267	198997	
772267	198998	
772267	268238	
772267	277380	
772267	318008	Rosa
772267	338162	Alicia
772267	339012	
772268	104013	
772268	214624	
772268	221573	
772269	59151	Orchestra Child
772270	160878	
772271	353978	
772272	21676	
772273	381862	Various
772273	385058	Panchita (2004)
772273	390310	Azalea
772273	390748	Graciela Gamboa
772274	58408	Carmen niña
772275	57781	
772275	108883	Spanish Doll
772275	197442	Lucia
772275	322729	
772276	300189	Spanish woman
772277	384507	Dancer
772278	213389	Hortera
772278	235985	Dolores
772278	353605	Mariana
772279	73659	Tango Student
772280	279692	Roberta
772281	321320	
772282	389269	French Girl (segment "The Cow
772283	58144	
772284	23624	Mamadora
772285	74657	
772285	234173	
772286	355748	
772287	146569	
772288	252331	Abigail
772289	402330	Himself
772290	28067	Adult extra
772291	96335	Soñora Marigona
772291	384861	Seductive
772293	252605	
772294	9665	
772294	21710	
772294	23115	
772294	100424	
772294	119381	
772294	148156	
772294	228492	Veronique
772294	251983	
772294	306705	
772295	47800	Vic's girlfriend
772296	70641	Teresa
772296	209079	
772296	219222	Daniela
772296	225045	Paulina 'Bonita'
772296	269270	Rita
772296	339986	
772296	379602	Sara
772296	379603	Sara
772296	379819	Ana Luisa Roldán
772296	381023	Catalina
772296	381145	
772296	381156	Carolina
772296	383031	Lolita
772296	383333	Ana
772296	383344	Beatriz Manrique
772296	384771	Isabel
772296	395061	Verónica Vega
772296	407850	Julia Muñóz
772296	411919	Rosa Escandon
772297	269200	Hija de Adriana
772298	193349	
772299	398013	
772300	241143	Pistolera
772301	383234	
772302	377148	
772303	284215	Emilia anciana
772304	21673	
772304	65219	Adriana Gonzales
772304	225045	Host of Alcanzar Una Estrella
772304	378985	
772304	379457	Patricia
772304	379602	Liliana
772304	379603	Liliana
772304	381156	Sandra
772304	383344	Rocío (2000)
772304	383827	Yolanda
772304	384829	Host
772304	384831	Antonieta
772304	386787	
772304	392352	Lourdes
772304	403459	
772304	409782	
772305	186406	Woman in the Church
772306	281680	
772307	385252	Carmelina
772307	402136	
772308	256746	Frida Kahlo
772309	165237	
772309	349207	
772309	354998	Chole
772310	68013	Citizen
772311	206984	
772312	387098	Stella Maris Maldonado
772313	275134	
772314	81286	Hispanic mom
772315	210171	Estudiante
772316	377104	
772317	25767	Belkis
772317	59536	
772317	161757	Angela
772317	232424	Hotel Maid
772317	361180	Cuqui
772317	385041	
772317	396462	Elena
772318	172689	Kali
772319	286421	
772320	312419	Natasa
772321	30244	
772322	159206	Kellnerin
772323	384119	Lidia Monteagudo (2001)
772323	393151	
772323	403021	Gloria
772323	412120	Maruja
772324	404627	Girl
772325	55011	
772326	18768	
772326	53965	
772326	61756	
772326	83142	
772326	135248	
772326	273122	Rosa
772326	392960	
772326	397019	
772326	405416	Profra. Rojo
772326	406056	
772326	408855	
772327	171462	
772327	252063	
772327	253551	(segment "La Obsesión")
772327	302982	
772327	351644	Rosa Bermúdez
772328	74612	
772328	91365	
772328	234057	
772328	277408	
772328	279829	Patty Bond
772328	341080	
772328	351569	Graciela
772328	379552	Monica
772328	379554	Caramelo
772328	381650	Mireya
772328	383471	Nicole Romero Medrano
772328	387100	
772328	387817	Georgina Pérez Montalvo
772328	393837	
772328	396604	Liliana
772328	397015	Mónica Pardo-Figueroa Núñez
772328	397018	Imperia
772328	397019	Penelope Linares
772328	398473	Marisa Santibáñez Villalpando
772328	399763	Fabiola Durán
772328	400489	Flora
772328	400860	Griselda Olmos
772328	403016	Niurka Linares
772328	403786	
772328	410327	Silvia
772329	385401	Argüello
772330	268249	
772331	14787	
772331	22773	
772331	27846	
772331	51308	
772331	56001	
772331	103166	
772331	103186	
772331	111563	
772331	120906	
772331	121264	
772331	140567	
772331	205710	
772331	212342	
772331	214621	
772331	214731	Estella
772331	234379	
772331	234410	
772331	237736	
772331	258485	
772331	288805	
772331	318524	
772331	339122	
772331	387083	Gilda
772331	407285	Olga
772332	12535	
772332	18808	
772332	51541	
772332	56001	
772332	58036	
772332	73293	
772332	103166	
772332	140567	
772332	205710	
772332	212342	
772332	363662	
772332	376744	Rossella Mannata
772333	8556	Inez
772333	14432	
772333	19460	Empress Carlota
772333	25806	Nora
772333	48852	
772333	51737	
772333	55970	Elena
772333	61756	
772333	64205	Chica en fiesta
772333	66077	Chica en motocicleta de jaime
772333	74137	
772333	74380	
772333	90364	Mrs. Smith
772333	100327	
772333	103733	
772333	113225	Elena
772333	118555	Alexandra
772333	132644	
772333	135353	
772333	159226	
772333	196740	Tina
772333	197968	Adriana Bernal
772333	206923	Greta
772333	216056	Silvia
772333	219863	
772333	221668	Alisa
772333	223612	Laura
772333	225015	
772333	225042	Pilar
772333	234328	
772333	251284	
772333	253319	
772333	276474	
772333	284897	Rina Pittman
772333	301117	(segment "Isabel")
772333	318017	
772333	353468	
772333	377197	Angela
772333	379118	Damiana Guillén/Juliana Guill
772333	380107	Augusta Curiel de Peñalver y 
772333	388094	
772333	388096	Isabella
772333	389881	
772333	391993	Barbara
772333	392844	
772333	397204	Paola
772333	402219	Luciana Duval
772333	402839	Doña Ramona Gonzaga Viuda de 
772333	403257	Cecilia
772333	404701	
772333	408709	Antonia Guerra
772333	409921	
772334	30389	Chica bar de copas
772334	52210	Chus
772334	252516	Chica calle Chamartín
772334	319513	Fresa
772335	197158	Alumno 1
772336	153833	
772337	12536	
772337	14780	
772337	18768	Meche
772337	18800	
772337	22672	
772337	28010	María
772337	34578	
772337	46274	Maria
772337	51620	
772337	51737	
772337	52618	Doña Cata
772337	56518	young at store
772337	69471	Anastasia
772337	69489	
772337	70662	Interprete
772337	70697	
772337	74365	Luz María
772337	78570	Julia Solórzano
772337	80239	
772337	80254	Esmeralda Loyden
772337	82585	Tía Greta
772337	83503	
772337	88703	Paulina
772337	91279	
772337	96286	
772337	97739	
772337	100780	
772337	106207	Woman
772337	134121	
772337	155664	
772337	159434	
772337	160090	
772337	161436	Esperanza
772337	170917	Herself
772337	189031	
772337	193064	Chabela
772337	206988	Maria
772337	209043	
772337	210171	Carmen
772337	213723	
772337	216070	
772337	219315	Conchita
772337	225611	
772337	226498	Madre de Yessica
772337	228560	Leticia
772337	236472	
772337	244575	
772337	244628	
772337	260503	Lupe
772337	273842	Gloria Castro (segment "La Pr
772337	273961	
772337	274645	Soledad
772337	279585	
772337	280573	Alicia
772337	286422	Mercedes
772337	296497	
772337	307799	
772337	324939	
772337	324940	'Virginia', Maria
772337	328126	
772337	339988	Esperanza Gomez
772337	349723	
772337	353190	
772337	357501	
772337	357913	
772337	373951	
772337	376814	Nun
772337	379179	Martha
772337	380083	Sagrario Verti
772337	380105	
772337	380445	Doña Josefa Ortíz de Domíngue
772337	381028	
772337	382197	Andrea
772337	383031	Luisa
772337	383551	
772337	385368	Rosa
772337	387068	Amelia
772337	387479	Martha
772337	396852	Lucrecia Vargas
772337	397601	Rosenda
772337	397869	Eponina
772337	398458	
772337	398484	(guest)
772337	399576	
772337	399707	Ana
772337	401203	
772337	402250	
772337	407648	Felipa
772337	409913	Angélica Gutíerrez
772337	410315	
772338	67004	Gypsy Queen
772339	224098	
772340	266604	Psycho-lette
772341	390734	Fermina
772342	100391	Shirley
772343	106076	Dancer
772343	156903	The Sugar Fairy
772343	262006	Herself
772344	109970	Malika
772345	240819	Evelin
772345	398852	Fru Lövgren
772346	27481	Street Singer/Dancer
772347	13432	Female Republican (segment "B
772347	34388	Bohamiar Radio Operator
772347	38136	Mrs. Peoples
772347	65378	Mrs. Winston
772347	201845	Madge Davis
772347	252271	
772347	314015	
772347	393417	Helen Willis
772347	403728	Melissa
772348	60824	
772349	209170	Dancer
772350	97438	Secretary
772351	263566	Beatty
772351	385728	Primrose Larkin #2 (1992-1993
772354	396249	Tanja Hyvärinen
772355	122466	Leo's Class Mate
772356	159863	Paprika
772357	159863	Young Natalie
772358	143808	Dienstmädchen
772359	104274	Kimiya, maid
772360	378149	Natsuno
772361	58068	
772362	386870	Herself
772363	37024	Shelley's friend
772363	59149	Ambers's Mom
772363	88766	Squash Queen
772363	240571	Danielle
772364	57275	Anne
772364	78353	The Driver
772364	101714	
772365	178984	Haushälterin
772365	322513	
772365	325870	
772366	216894	
772367	372198	Gail Gerard
772368	164164	
772369	28065	Bessie
772369	29516	Une fille de Bébé
772370	339540	
772371	171119	Cherry
772372	400327	Presenter
772373	54177	
772374	388419	L'infirmière (segment "L'étre
772375	61426	Brigitte
772375	96219	Sandra
772375	111118	Patient
772375	116439	Solange
772375	229053	Sabine
772375	261854	Gamiani
772375	353946	Prostitute
772376	106093	Fille du patron
772377	283580	Tomacito's Squaw
772378	39534	Celeste
772378	79850	Girl
772378	80743	Mrs. Torme
772378	80840	Patty
772378	232427	Corrine
772378	359422	Ticket Agent
772378	385824	Sheila Hammond #3 (1972)
772378	410582	Truman's Secretary
772379	251247	Member of String Quartet
772380	389093	Eva Fabricius-Buchner
772381	56314	Captain of the Guards
772381	75555	Annette Dubois
772381	286243	Mai Ling
772381	292058	Randy
772381	372233	Bond's Masseuse
772381	407399	Dominique Frayne
772382	205417	Fiddler
772383	322886	Thanksgiving party guest
772384	288478	Jezebell Jones
772385	42313	
772385	107958	Daniella
772385	124424	Mrs. Hachez
772386	160504	Restaurant patron
772386	369905	Brittney's Mother
772387	317326	Jilly
772387	342513	Sgt. Kelly
772387	393814	Rose Tree
772388	106093	Bonne (I)
772389	34034	Peggy
772389	42169	Helga Radtke
772389	51313	Monika Behm
772389	164632	Karin
772389	375062	
772389	379174	Monika
772390	127191	
772390	241369	Rachel
772391	4950	
772391	5164	
772391	5456	Ruth
772391	7102	Ruth Robin
772391	7406	Ruth, a society girl
772391	13247	
772391	16118	
772391	16121	
772391	18822	
772391	20240	
772391	22851	
772391	24961	Anita Delgado
772391	26645	
772391	32235	Tillie Temple
772391	33605	Lizzie
772391	37864	
772391	38276	
772391	39543	
772391	41716	
772391	42902	
772391	43091	
772391	44848	
772391	46157	
772391	46175	
772391	48664	
772391	48979	
772391	49769	
772391	52356	
772391	54625	
772391	54883	
772391	56684	
772391	58947	
772391	59339	
772391	60065	
772391	66966	
772391	68024	
772391	68875	Cynthia Grey
772391	69493	
772391	71883	
772391	75292	
772391	75296	
772391	75344	
772391	75437	
772391	80030	
772391	80703	
772391	81309	
772391	83664	
772391	84965	Doris Sheldon
772391	87514	
772391	89653	Ruth Craig
772391	90359	
772391	92610	
772391	94600	
772391	99477	
772391	101730	
772391	108375	
772391	109572	Tina
772391	109999	
772391	110003	
772391	111901	
772391	113904	
772391	114373	
772391	116557	
772391	120325	Esther Drake
772391	120543	Cornelia Du Play
772391	120867	
772391	125504	
772391	126296	
772391	128136	
772391	128159	
772391	131584	
772391	133515	
772391	137779	
772391	137800	
772391	137807	
772391	138257	Echo Delane
772391	139843	
772391	140157	
772391	140884	Kitty
772391	143223	
772391	143883	
772391	145683	
772391	147100	
772391	147101	
772391	149267	
772391	149274	
772391	149799	
772391	149905	The Nurse
772391	151390	
772391	152184	
772391	153597	Nell
772391	154573	
772391	157911	
772391	159024	
772391	159095	
772391	159121	
772391	168835	
772391	168988	
772391	176461	
772391	178907	
772391	184550	
772391	186100	
772391	192859	
772391	193751	
772391	195422	(participation unconfirmed)
772391	204282	
772391	207200	Dolly Green
772391	207954	Erma Desmond/Bertie Stanley
772391	207957	
772391	208874	
772391	209435	
772391	211740	Bess
772391	211760	
772391	215840	
772391	220348	
772391	222309	
772391	224779	
772391	229418	
772391	239661	
772391	239801	
772391	241682	
772391	242048	
772391	245552	
772391	248776	
772391	249771	
772391	250473	
772391	251260	
772391	251387	
772391	251426	
772391	252742	
772391	254823	
772391	263473	The Wife
772391	266923	
772391	267045	
772391	267612	
772391	269362	Mrs. Clark
772391	271081	
772391	271948	
772391	273518	
772391	274030	June Travers
772391	275768	Felicia Brett
772391	280903	
772391	283930	Ruth
772391	283931	Ruth
772391	283934	Herself
772391	289063	
772391	290416	
772391	291313	Herself
772391	291317	Herself
772391	298505	
772391	298563	
772391	300763	
772391	304631	
772391	305704	
772391	307361	
772391	308124	Bessie
772391	310761	
772391	314401	
772391	315145	Sylvia Smalley
772391	317138	Nellie
772391	317883	
772391	318633	Virginia Lowndes
772391	321456	
772391	325971	
772391	327863	
772391	330408	Dorothy Dix, a Ranchman's Dau
772391	331650	
772391	332823	
772391	332873	
772391	333156	
772391	333656	
772391	334585	
772391	334792	
772391	335789	
772391	337597	
772391	337655	
772391	340059	Trixie
772391	340622	
772391	347951	
772391	358152	
772391	358615	
772391	359134	
772391	362949	
772391	363233	
772391	363457	Jane Brower
772391	363543	
772391	363813	
772391	364258	
772391	367474	
772392	131239	Woman of the town
772393	41697	
772393	367409	
772394	304360	Stoiss Bodyguard
772395	19524	Zdenka
772396	103662	Judge
772396	233337	Cristina
772396	243697	
772396	251589	
772396	392027	Teresa Montoro
772397	376696	
772398	17858	
772399	8483	Isabella
772399	13053	Countess Ogda
772399	133011	
772399	145531	
772399	175054	
772399	183483	
772399	214859	
772399	235779	Marisa
772399	270847	
772399	290932	
772399	352237	Donna Romana
772400	56024	
772401	179184	Krysia
772401	204048	Babette
772401	341165	Kasia, the maid
772402	373522	Mother Leszczyca
772403	305881	Linda
772404	108504	
772404	216232	Cosette (child)
772404	238025	
772405	16677	Voodoo Dancer
772406	181996	Additional Voices
772407	238511	
772408	251310	
772409	377335	Vita/Maria
772409	380374	
772410	352446	
772411	250793	
772412	389233	María Mejia (1999-2004)
772412	405846	Cristina Paz
772413	54723	
772413	75471	
772413	207960	
772413	208192	
772413	212410	Hildegart
772413	390420	
772414	287858	
772414	287883	Mario's girlfriend
772415	6330	Nicanora
772415	7235	
772415	8269	
772415	8669	
772415	10120	
772415	12027	Ángela
772415	12031	
772415	12063	
772415	13010	
772415	14748	Old lady
772415	14758	
772415	14927	
772415	18650	
772415	18800	
772415	19457	
772415	23465	
772415	25021	
772415	27986	
772415	30319	
772415	34578	
772415	44531	
772415	51525	
772415	51827	Sra, de Perez
772415	52149	Salomé
772415	52154	
772415	53614	(segment "La Tigresa")
772415	53668	
772415	54660	
772415	55092	
772415	55387	
772415	55749	Nana Lupe
772415	55961	
772415	56059	
772415	56518	clerk
772415	61341	
772415	63324	
772415	65536	
772415	68623	
772415	68638	María (the mute)
772415	70648	
772415	70890	
772415	72378	
772415	74583	Mama de Pascual
772415	74607	
772415	74744	Comadrona
772415	74898	Chona
772415	76013	Petrona
772415	76017	
772415	77429	Damiana at old age
772415	80269	
772415	83888	Sirvienta
772415	91378	Gertrudis
772415	97365	
772415	100775	abuela de Renata
772415	101914	
772415	103719	
772415	103721	
772415	103764	
772415	103808	
772415	104145	Teresa
772415	108718	
772415	111315	
772415	115192	
772415	115741	
772415	115746	
772415	115758	Carmela
772415	121331	Sra. Galindo
772415	121977	
772415	123170	
772415	125462	
772415	135055	Mrs. Severo
772415	135057	Lucrecia
772415	137847	
772415	139912	
772415	140577	
772415	143759	
772415	143763	Anciana esposa de borracho
772415	143772	
772415	145209	
772415	145239	
772415	145251	María Morales
772415	145256	
772415	145674	
772415	148066	
772415	149505	
772415	156378	
772415	157241	Marie
772415	159432	Leonor
772415	165161	
772415	166549	
772415	167075	Tula Tulares de Tulancingo
772415	167807	
772415	171496	
772415	192993	
772415	193143	
772415	193341	
772415	194610	
772415	197160	Ludovinia
772415	197972	
772415	199784	
772415	199969	
772415	202204	
772415	202557	
772415	202618	
772415	203921	
772415	206974	Efraín's mother
772415	207877	Duen~a Muebles
772415	207976	
772415	210171	La abuela
772415	212057	
772415	212368	
772415	212496	
772415	212528	
772415	213368	Dona Paz
772415	213395	
772415	213704	Gertrudis
772415	213753	
772415	213779	
772415	214211	
772415	215336	Mme. Thenadier
772415	217586	
772415	217920	
772415	218094	
772415	218519	
772415	221705	
772415	221882	
772415	221982	Sra. Camparelli
772415	222013	
772415	222955	Enfermera
772415	222957	
772415	228560	
772415	234307	
772415	234360	
772415	234382	
772415	235048	
772415	235988	
772415	238326	
772415	239286	
772415	241819	Catalina
772415	246378	
772415	247181	
772415	249879	Josefina
772415	251985	
772415	252770	
772415	256775	
772415	258500	
772415	259018	
772415	260557	
772415	260563	
772415	264393	Margarita Ramos
772415	264401	
772415	268516	
772415	272403	Constancio's wife
772415	272666	
772415	273957	
772415	275083	
772415	277239	
772415	277392	
772415	281208	
772415	283204	
772415	286420	
772415	287695	Pepa
772415	287736	
772415	291639	Vidente
772415	292929	
772415	292953	
772415	293054	
772415	294969	
772415	296469	
772415	296498	
772415	300709	
772415	301580	
772415	302111	
772415	306682	
772415	307219	
772415	307784	
772415	309089	
772415	310026	La Coronela
772415	310068	
772415	318292	
772415	319581	
772415	328040	
772415	328166	Servant
772415	332643	
772415	332943	
772415	334681	
772415	336177	
772415	337451	
772415	339108	
772415	339206	
772415	349683	
772415	351624	
772415	351668	
772415	352098	
772415	352852	Matilde
772415	353573	Remedios
772415	353628	
772415	354716	
772415	355484	Tona
772415	357868	Nana Joaquina
772415	357914	
772415	371684	
772415	375889	
772415	375890	
772415	376676	
772415	376706	
772415	376753	
772415	376757	
772415	376775	
772415	380119	
772415	383665	Belisaria
772415	385250	
772415	387314	
772415	389790	Doña Tila
772415	391444	
772415	396393	
772415	397584	
772415	410313	Matilde I
772416	101809	Voz Novia Indecisa
772417	397243	
772417	402332	Herself
772418	301585	The Girl
772419	107054	
772420	383811	Casimira Veteta (1998-2001)
772421	20092	
772421	64995	
772421	86500	
772421	162764	
772421	164349	
772421	169778	
772421	221679	
772421	223628	
772421	234796	
772421	266508	
772421	283071	
772421	300484	
772421	373620	
772421	378470	
772421	397013	Inocencia
772422	48804	
772423	222907	
772424	250793	
772425	383977	Cándida
772426	392878	St. Catherine of Siena
772427	57587	
772427	308751	Claudinha
772428	160000	Melody Lounge Dancer
772429	11026	
772429	159132	Catherine
772429	163231	Dancer
772429	232311	Jennifer
772429	323377	Joan
772429	382052	DS Debbie McAllister (2000-20
772430	77347	
772431	67593	Police Woman
772432	101036	France
772433	375223	Police 2
772434	48363	Ella Vestman
772434	116132	Karin
772434	172791	Marianne
772435	317598	Beatrice
772436	328331	
772437	89643	Sussi Brenner (Kurt's Sister)
772437	93576	Colette Dubois/Nadia Petrova
772437	109544	Greta Berger-Lundgren
772437	182542	Lilli af Leijonstam
772437	198007	Dolores del Prado
772437	237602	
772437	240313	Mrs. Vera Ivanow
772437	277511	Mary
772437	288052	Sara Holm
772437	314843	Diddi Werner, (Norwegian vers
772437	315362	Agnes
772437	320954	Julia Swedenhielm
772437	345994	Margot Hammar/Margot Hammarst
772437	349902	Sonja Jensen
772437	353032	Helga Breder
772437	377383	Heléne von Bohren
772438	297128	Macduff's daughter
772439	33691	Betsy Tranter
772440	10747	Alice's sister
772441	406274	
772442	241243	Sharon
772442	384482	Paula Sheedy
772443	142799	Woman
772444	89236	Neighbor
772444	307975	Alida Macolussa
772444	357069	Stella
772445	52686	Girl in Bar
772445	64517	Julie
772445	101380	Young mother
772445	411382	Carly
772446	125899	Tragic Waitress Meri
772446	317260	Infomercial Woman #2
772447	289831	verliefd meisje
772448	362453	Woman in Park
772449	389868	Sarah-Lee Odendaal (????-2003
772449	393971	
772450	33440	Lizzie
772450	42204	
772450	50328	Joanna's Mother
772450	56087	Sygeplejerske
772450	78435	Regitze's Mother
772450	99592	Putte von Porter
772450	125644	Fru Donner
772450	135770	Hundedame
772450	146605	Skolelærer
772450	153341	Gorm's Wife
772450	153560	Birte
772450	154142	Spåkone
772450	159909	
772450	180406	
772450	190882	Herself
772450	198399	Fru Høst
772450	203963	Værtinden
772450	234826	Priorinden/The Prioress
772450	237404	Rasmine
772450	244681	Mrs. Flora
772450	249743	Sekretær på Slavisk Institut
772450	255673	Emma Holgersen
772450	268808	Sygeplejerske Kirsten Prage
772450	272368	Harriet, the mature woman
772450	300976	Miss Archie
772450	303690	
772450	306973	Jonas' Mother
772450	312124	Fruen
772450	315355	Hilda
772450	315377	Fru. Fredriksen
772450	317587	Speaker
772450	322469	Konsulinde Martin
772450	349908	Munin the Raven/Røskva & Tjal
772450	353033	Olga
772450	358846	Viola van Heimwee (Walters mo
772450	358847	Viola van Heimweh (Walters mo
772450	383045	Joanna's Mother
772450	395115	Rigmor Andersen
772450	395824	Fru Heilbunth
772450	397074	Aunt Anna
772450	398855	Sekretær
772450	403379	Sigrid Drusse
772450	403380	Sigrid Drusse
772450	406602	Rigmor Gramme
772450	408802	Hunden, Jensen
772450	410233	Den ene dame
772451	29641	Angelika
772451	307323	
772452	2907	Amalia Jönsson
772452	10212	Elsa Ramsten
772452	23412	Inez
772452	29561	Svea Hjorth
772452	47607	Bathing beauty
772452	69571	Dr. Petersen
772452	96019	Vivan Blomster
772452	116018	Agnes Karlsson
772452	122333	Dancing-teacher
772452	125894	Chicago-Susie
772452	138520	Mrs. Palmborg
772452	145502	Theodine
772452	170374	Julia Lundkvist
772452	174256	Lalla
772452	181126	
772452	182304	Sara Larsson
772452	192654	Chicago-Rosie
772452	209306	Hilda, domestic servant
772452	237580	Millan Karlgren
772452	284048	Ciceron
772452	303644	Tina Andersson
772452	303848	Nurse
772452	312225	Thea Brummel
772452	320525	Beda Johansson
772452	334039	
772453	131302	
772454	268211	Maid
772455	162293	
772455	380713	Barbara Ryan Stenbeck Munson 
772455	385916	Regular (1966)
772455	404694	Didi Clayborn (1970)
772456	323630	
772457	181384	
772458	126355	Relative Aimak I
772459	182550	Eva
772460	56100	Anna Maria
772461	40749	
772461	130930	Mother
772461	155381	Erika
772461	155415	Helga Korte
772461	155482	Liesl
772461	173301	Junge Frau
772461	186607	Apothekerin
772461	188721	Frau Schachtschneider
772461	225124	
772461	281149	
772461	281988	
772461	325546	Isolde
772461	325601	Großmutter Retzlaff
772461	334525	Linde Loman
772461	348104	Henriette Höppner
772461	376382	Katharina
772461	384368	
772461	391479	Veronika
772461	396639	Mutter Block
772462	347801	Franzi Kummerfeld
772463	210483	Waitress
772463	399920	Wife
772464	286779	Tina
772465	156272	Tora
772466	257446	Func's wife
772467	109513	Mrs. Steiner
772468	347801	Anna Kummerfeld
772469	202150	Maria
772469	229814	
772469	377576	Un' amica di Roberto
772470	187936	Carmen
772471	309748	Mme Edmée
772471	346609	Petit rôle
772471	377727	Guest
772472	346609	
772472	349487	The Aunt
772473	17174	
772473	98841	Sex-Ed Student
772473	102809	Herself
772473	127827	
772473	129240	
772473	197848	
772473	199234	
772473	216839	
772473	272866	
772473	356953	
772474	254601	Wanda
772475	192805	Becca
772476	76534	Gilda
772476	90132	
772476	259980	
772476	282001	La star
772477	51436	
772477	112845	
772477	249699	
772477	291057	La chanteuse
772478	148721	
772478	205357	
772479	77422	
772479	116439	
772479	168890	Compagne malabar
772479	214020	
772479	248423	
772479	341913	Mariette
772480	23762	
772480	29769	Chérubin
772480	45192	
772480	58235	Ninon
772480	62441	Colette
772480	62945	Christine
772480	72076	
772480	89988	
772480	95358	
772480	146387	Coco d'Antibes
772480	169321	
772480	205532	
772480	206007	
772480	206316	
772480	206318	
772480	216113	
772480	220289	Moune
772480	227671	Rosine
772480	238026	
772480	248422	Laurence
772480	248994	
772480	249088	Gilberte
772480	257214	
772480	263987	
772480	265718	
772480	272319	Aline de Vanves
772480	282047	
772480	285081	Cécile
772480	317558	
772480	328851	Lilli
772480	345397	
772480	346729	
772480	377670	
772480	386222	
772481	262989	
772482	283039	Sophie
772483	245954	L'opticienne
772483	268168	Désirée
772483	396261	Léa Parker
772484	121135	Girl at Bar
772485	182133	
772486	142303	Herself
772486	390522	(1990-1999)
772486	399337	Presenter (1987-1990)
772486	406224	Presenter
772487	243213	Roxelane
772488	126060	Whitney
772489	346537	French Woman Officer
772490	2761	Herself - Memorial Tribute
772490	8200	Mrs. Baker
772490	40070	
772490	65559	Mrs. Johnson
772490	67351	Herself
772490	90373	
772490	92150	Annie Sinclair
772490	93837	Idella
772490	104405	Narrator
772490	105144	Prospective nanny #1
772490	131650	Herself
772490	150885	Adelle
772490	151625	Anna's Aunt Pauline
772490	154315	Momma
772490	176388	Esther Clayton
772490	202196	Herself (Harlem street perfor
772490	211758	Queenie/Elizabeth McQueen
772490	213494	Ubu Pearl
772490	223920	Rita
772490	234229	Clara Brown
772490	235579	Church Woman
772490	246000	Mim
772490	271335	Lena 'Mama' Younger
772490	282024	Aunt Sarah
772490	293078	Momma Sykes
772490	318761	Ruth
772490	334151	Neelie
772490	337768	
772490	364271	
772490	383711	
772490	390357	Florida Evans (1974-1977; 197
772490	397134	Florida Evans (1972-1974)
772490	400236	Sadie Gray (#2) (1971)
772490	404409	Mammy
772490	405431	Sarah Patterson
772491	325955	
772492	322351	
772493	211074	Kind des Schusters
772494	83847	Desiree
772496	57888	Woman in Leopard-skin Pants
772496	168087	Showgirl
772497	176989	Psychiatrist
772498	61706	Saroya's mom
772499	93602	
772501	360436	Crying Kid
772502	184556	
772503	105835	Fille 1
772503	220494	Alice Messonier
772503	392364	Hélène Girard
772503	397827	Hélène Girard
772503	402074	Hélène Girard
772503	409750	Hélène
772504	58758	
772505	410628	Sophie Bonin-Jutras (1992-200
772506	361124	Kerstin
772507	30303	Biscotine
772507	84637	Joséphine, la servante
772507	84641	La bonne
772507	124834	Phrasie la bonne
772507	136180	
772507	237310	Augustine Ribouis
772507	243758	Phrasie
772507	249108	Mélanie Parent
772507	288761	Mélie
772507	322352	Madame Cerisier
772507	332956	Rosette
772507	351554	
772507	375040	Agathe
772508	310515	Nicole
772509	45134	Fille Vittorio 2
772510	73833	Party Guest #1
772511	43004	
772511	61440	Olga, la libraire
772511	63850	Petula
772511	80276	Alice
772511	84696	Isabelle Gastin
772511	189161	Myriam Pessac
772511	250403	Ehefrau
772511	345406	Estelle
772511	346482	Florence
772511	408923	Justine
772512	362080	
772513	360699	Mom
772514	133340	Mikey's Sister
772515	93870	Pleasure 'droid #1
772516	192357	Annie Jackson
772517	47334	Balloon Act
772518	223920	Reporter #1
772519	82099	Zoe
772520	22036	Woman on Phone
772521	195418	Student
772523	283345	First lady
772524	274344	Canoer
772525	31707	Girl at Maputiti
772526	165964	Ambulance driver
772527	1046	Sanandra
772527	346392	Tawnee Rawlins
772528	323591	Angry woman
772529	158526	Margaret
772530	368654	Plastic Face Woman
772531	26971	Very Patient Pregnant Person
772531	75773	Niki
772531	78007	Gina
772532	234573	La fleuriste
772533	234573	Mélinda Wahl
772535	204268	Emergency Room Nurse
772536	101427	A Second A.T.
772537	382282	Kissing girl
772538	160982	Amazon
772539	292183	Joanne
772540	409463	Secretaria (1987-1988)
772541	24476	Founders' Day Girl
772542	37682	Bistro Patron
772543	317934	Fran Conley
772544	154039	
772544	283188	
772545	391693	Herself
772546	10633	
772546	120956	M. de Maintenon
772546	274863	
772546	290797	Margot Petereit
772547	105945	Matron #1
772548	91383	Fela
772548	236404	Matilde
772549	229311	Cop
772550	409625	Daniela Fischer (2003; 2004-)
772551	377434	Johanna
772552	335989	Esposa do Médico
772553	53000	
772553	260509	
772554	226233	Monika
772555	5596	Frau Hochkogler
772555	24551	
772555	111851	
772555	137642	
772555	365018	
772556	140783	June
772556	285726	Cicely Brown
772556	347680	Molly
772556	367845	Herself/Original Phoebe
772556	390709	Ms. Heather Krenetsky
772556	393190	Allison Hanau (1999-2000)
772557	118769	Diancofiore
772558	18333	Olaug
772558	51298	Torsoeia
772558	99514	Maja Quist
772558	117862	Bestemor
772558	118608	Den gamle
772558	153956	Mor til Toril
772558	174069	Hybelvertinne
772558	180710	Frk. Larsen
772558	196810	Midwife
772558	214353	Mor til Marion
772558	237066	Fru Thorvaldsen
772558	271687	Bygde-Maren
772558	278348	Marie Lund
772558	292281	Rønnaug
772558	304107	
772558	320187	Fru Kreim
772558	340429	Elise
772558	344292	
772558	348962	
772559	53318	Student
772559	98082	
772559	125040	Lore
772559	168204	
772559	177204	Salon Manicurist
772560	272752	
772561	226515	Romanian Mother
772562	49780	Ruby Fallon
772563	133306	
772564	220091	Mrs. Schultz
772566	149952	Hostage
772567	133191	
772567	280333	
772567	288485	
772567	380215	Marina
772567	380772	
772568	274344	Canoer
772569	260909	
772570	280334	
772571	157436	Classroom Student
772572	140735	She
772573	125478	
772574	170217	Herself
772575	105610	La Luce
772576	107878	Rosa
772577	252211	Intro Gal
772578	127986	
772579	240137	
772580	225040	
772581	4540	
772581	6492	
772581	9727	
772581	24890	
772581	27906	Secretary
772581	54320	
772581	55967	
772581	64044	
772581	82249	
772581	83549	
772581	102190	
772581	123170	
772581	212528	
772581	213395	
772581	252602	
772581	273946	
772581	294076	
772581	302554	
772581	307219	
772581	376723	
772581	378352	
772582	238009	
772583	199892	Zelda
772584	74691	Teacher
772586	42854	Phone woman
772587	390025	Kate Walker
772588	258957	
772590	5941	Katina
772590	26263	Italian Girl
772590	46962	Ratina
772590	54462	Imogene Clegg (serving wench)
772590	64554	Melina
772590	71102	Rosa
772590	75572	Servant Girl (Jailer's Daught
772590	84860	Marianne Horn
772590	91900	Claire Dunham
772590	120290	Anya
772590	160985	
772590	185447	Sheila Green
772590	222744	Betty
772590	276883	Lisa
772590	295385	
772590	301624	Spanish Girl
772590	305712	Janet Dexter
772590	321556	Karen Charles
772590	354516	Annunziata (A Daughter)
772591	78045	Marie
772591	232860	
772591	282626	Della
772591	411300	Georgina Weekes
772592	323389	Rosalyn
772593	212009	Nancy Kane
772593	313828	Make-up Artist
772594	288628	Lexie
772595	138849	Stella
772595	195125	Amy
772596	51716	Doña Clara
772597	150924	Admission Nurse
772598	279871	Hospital Announcer
772599	36764	Carla
772599	347063	Donna
772600	41455	Carol
772600	97018	Punk Girl/Shoplifter
772600	334112	Waitress
772600	396451	Jo
772601	47130	Rose
772602	97256	
772603	123711	
772603	351436	
772604	290171	
772605	255084	Guest
772606	62579	Ron's Ex-Girlfriend
772606	115150	Lisa Powell
772607	7450	Régine
772607	8214	
772607	101806	
772607	103801	Isabelle Aubert
772607	146375	
772607	340123	
772607	345113	Virginie
772608	208370	
772609	340681	Fille indécise 2
772611	266132	Mother
772611	379716	Laura Kirk English #1 (1996-1
772612	328584	Extra
772613	366524	
772614	70776	Sue
772614	391280	Lulu Honey
772614	391281	Herself (1969-1993)
772615	232838	Voice
772616	85588	
772617	110391	
772617	286593	Laura Cicerchia
772618	148036	
772619	79116	
772619	321580	
772619	374016	
772620	34611	Woman #1
772620	73413	College Girl
772620	93123	Fortune teller
772620	117230	Dr. Gutierrez
772620	158983	
772620	163541	
772620	176478	Kelly
772620	210268	Bank Woman
772620	216445	Laura
772620	309621	Jody Schaeffer
772620	398242	Liz
772621	97705	
772622	109591	Herself
772623	175190	Voodo Club Dancer
772624	2690	Mrs. Ann Nicholson
772624	3040	Herself (Memorial Tribute)
772624	7498	Girl at Bright Dollar
772624	12773	Fay Washburn
772624	15237	Jane Brand
772624	26467	Mrs. Wadsworth
772624	30351	Judith Burns
772624	33624	Rose of Cimarron, Belle Starr
772624	35745	Carol
772624	36985	Secretary
772624	41574	Sal Donnelly
772624	44884	Nora Martin
772624	58850	Emma Bryce/de: Eva
772624	67522	Beth Donovan
772624	77138	Tonia Robles
772624	79835	Mrs. Shirley Goodwyn
772624	92224	Kate Martell
772624	97211	Michael's Mother
772624	108925	Ronda Castle (owner, Skagway 
772624	127674	Girl
772624	129772	Psychiatrist
772624	131594	Ruth 'Ruthie'
772624	133541	Boston Grant
772624	139528	Ann Martin
772624	157314	Julia Marstow
772624	158711	Woman
772624	158793	Sophia Cianelli
772624	161961	Maud Redwick
772624	168258	Lily MacBeth
772624	170805	Lothel, Jungle Queen
772624	170812	
772624	176954	Rhea Benson
772624	183358	WAF
772624	190588	Shelley Carnes
772624	194181	Jackie Fowler
772624	195621	Margot Eliot
772624	203337	
772624	205034	Stella Callahan
772624	213750	Rubén's mother
772624	231925	Bit Part
772624	231948	Bit Part
772624	239721	Lois
772624	251623	The Woman
772624	254655	Liz Imbrie
772624	267148	Lil Charny
772624	273622	Nora Willoughby
772624	285008	Rosie
772624	291301	Herself
772624	291361	Herself
772624	293103	Bit Part
772624	297386	Rita King
772624	297919	Glamour Girl
772624	302467	Envious Girl
772624	312774	Girl
772624	313695	Cameo appearance
772624	315530	Checkroom Girl
772624	316323	Anne Morton
772624	324348	Peggy Merion
772624	331596	Ann Lawrence
772624	335327	Catherine 'Cay' Higgins
772624	360632	
772624	365883	Sgt. Pritchett
772624	366066	Mrs. Jean Kellerson
772624	366947	Cameo appearance
772624	372093	Gloria Revere
772624	372633	Julie Webster
772624	394676	Sylvia Lean (1986)
772624	395948	Minnie Littlejohn (1965-1966)
772625	190225	Bakery Girl
772625	387150	
772626	144949	Dr. Helen Oldfield
772627	38818	Lita - Sailor Jupiter
772627	38819	Lita - Sailor Jupiter
772627	38822	Lita - Sailor Jupiter
772627	54923	Champ
772627	141706	Girl/Satellite
772627	195270	Elizabeth Mazzoula
772627	236959	Mouse/Mrs. Miller/Guest #1/Do
772627	270290	Mindy Kent
772627	279984	Angel
772627	280228	Mayor Amelia
772627	280229	Mega Man/Trigger
772627	287516	
772627	310616	Annie
772627	316493	Berry Princess
772627	316494	Berry Princess/Peach Blush/Pe
772627	316496	
772627	330994	James
772627	379168	Additional Voices
772627	379351	Snowy/Milou (French version)
772627	381166	Oliver/Judy/Antonio/Frankie
772627	382104	Eddie Storkowitz
772627	383161	Hannah
772627	383462	Champ Bear
772627	388867	May
772627	390953	Hammerman's Would-Be Girlfrie
772627	395742	Eddie, Sarah Lynn
772627	397130	Jess/Rosyqueen Stump
772627	397168	Ashley
772627	397280	Natalie
772627	398140	Freddy/Connor
772627	399305	(segment '1927')
772627	402732	Melissa Raccoon (II) (1987-19
772627	403090	Jess
772627	403543	Sgt. Ann Lewis
772627	404124	Sailor Jupiter/Lita (1995-200
772627	406416	Lt. Kelsey Carver (Starbase C
772628	49759	
772628	384447	Issa
772628	387832	Cecille's Friend
772629	189692	
772629	221756	Fans de Nino
772629	233952	Lolita
772629	282096	
772630	107282	
772631	11337	
772631	82194	Evelyn
772631	234848	
772631	387832	Paola
772631	394247	Kayla Reneza
772631	407337	Jackie (2000)
772632	207602	Alumna 4º
772632	344613	
772633	301737	
772635	271014	Mom
772636	271014	Sister
772637	35019	
772637	43182	Susanna Morena
772637	188659	
772637	295049	
772637	348211	
772638	225369	
772639	7438	Catherine Deshayes
772639	7447	Jeanne de la Motte
772639	16605	
772639	17084	Angélica
772639	23671	Maria Pilar
772639	29010	La fille de Barcelone
772639	33629	Gina
772639	45726	NicolePayen-Laurel
772639	55188	Carmen
772639	55756	Cartacalha
772639	58535	Mylène Valdès
772639	61416	
772639	67638	
772639	77336	Prudence
772639	84623	
772639	84686	
772639	96066	
772639	103399	
772639	111137	Edmée Clotier
772639	111698	Paulette Vernier
772639	127461	Mercedes
772639	135423	Loïna Gauthier
772639	148740	
772639	156277	
772639	160546	Muriel Vincent
772639	169284	
772639	187480	
772639	190789	La marchande de cigarettes (C
772639	199586	Gaby
772639	201192	Safia
772639	201204	
772639	208559	
772639	225430	Ginette
772639	226431	Madame Gabrielle
772639	227526	Lolita
772639	247606	Alice
772639	252066	
772639	256873	Flora Davis
772639	264223	Lucie's Friend
772639	264526	
772639	267509	
772639	276496	
772639	282489	
772639	294565	Mme Blanc (segment "Luxure, L
772639	336918	Lucienne Courtois
772639	337394	Clara Véry
772639	346520	Denise Lorin
772639	346602	
772639	348140	Irene Dumesnil
772639	348209	Assunta Perella
772639	357833	Clarisse
772639	371417	
772639	375928	
772639	377840	
772639	377956	
772639	387044	Germaine Fuselier
772639	412250	Rina
772640	172430	Natasha
772641	231645	
772641	244042	Malgorzata
772642	180763	Waitress
772643	6754	L'inconnue
772643	7446	Mme de Boulancy
772643	32270	Mme Vecchi
772643	40280	Madame Lancelot
772643	44942	Anne-Marie
772643	56948	La duchesse de Parmonpré
772643	66748	
772643	71989	Claire
772643	87151	
772643	87961	Paula
772643	94243	Hélène
772643	100115	Joséphine
772643	100469	Judge Menadier
772643	101176	Antoinette
772643	113123	Joëlle
772643	153788	La femme du pasteur
772643	166288	Victoria
772643	168276	Véra
772643	170466	Béatrice
772643	170473	Béatrice
772643	188696	Mme de Silva
772643	200965	Mademoiselle Decaux
772643	201201	Olga
772643	203943	Adèle Chaput
772643	217654	Agnès
772643	222945	
772643	248263	La Voisin (segment "La marqui
772643	268413	La mère de Céline
772643	268938	Mme Cochrane
772643	291583	
772643	307479	Catherine
772643	309569	La deuxième actrice
772643	321284	Mrs. Dupre
772643	345365	Caroline
772643	354570	Sophie
772643	378062	Alexa
772643	378814	
772643	385845	Le médecin (segment "Soucoupe
772643	390687	Christine
772643	392366	Madomoiselle Rocher
772643	393336	Sabine
772643	401349	
772643	408651	Louise
772643	409456	
772643	409457	Catherine (1984)
772643	409732	
772644	2413	L'inspectrice
772644	15057	Dream Sequence
772644	20810	La soeur d'Alicia
772644	32011	Sabine
772644	40054	La jeune fille du bain turc
772644	64333	Herself (1985/1986)
772644	69932	Magali
772644	83173	La copine du chanteur
772644	125712	Laura
772644	169220	Josiane
772644	205358	Marie
772644	249072	The widow (segment 5)
772644	273020	Beatrice in Paris
772644	281058	Catherine
772644	282020	
772644	296049	Karin
772644	306989	Marie-Claude
772644	329863	La soeur de Themroc
772644	379805	Dauphine de Bavière
772644	397137	La fille de Sophie
772644	408001	Gise
772645	332185	
772646	8269	
772646	14933	
772646	22657	
772646	29045	
772646	42614	
772646	53792	
772646	54770	
772646	62299	Victoria Blanco
772646	80296	
772646	83532	
772646	87080	
772646	88909	
772646	103846	
772646	119303	
772646	124657	Kiki Herrera
772646	131060	
772646	145257	
772646	193345	
772646	204606	
772646	230264	
772646	230265	
772646	234350	
772646	265315	Marta
772646	269963	
772646	279905	
772646	287849	Irma
772646	287852	Irma
772646	287853	Dr. Freda Frankenstein
772646	294711	
772646	301193	
772646	351267	
772646	351648	Countess Mayra
772646	357539	
772646	371756	
772646	380103	Dunia Miranda
772646	396604	
772646	397170	
772646	401251	Mercedes
772646	408709	Margarita
772646	409789	Mercedes Ramos
772646	410081	
772646	412193	Elena
772647	23803	La visiteuse
772647	23811	Françoise Marinier
772648	395024	Herself
772649	19345	
772649	107681	
772649	199614	
772649	203948	Gisèle Bernier
772649	205217	
772649	248995	
772649	258322	
772649	268982	
772649	278736	
772649	300695	
772649	345248	
772649	377635	
772650	268216	Collier's wife
772651	313825	Banquet Singer
772652	42609	
772652	56078	Dice Girl
772652	57329	Pampinea
772652	70516	
772652	90760	Carla
772652	102541	Bella
772652	111259	Anna Giomet
772652	112694	Onesta
772652	135534	Gina
772652	143725	
772652	159469	Tosca Floria Zanin
772652	159740	
772652	188112	
772652	193775	Carla Maria Peroni
772652	213800	Virginia
772652	214867	Cristina
772652	227607	Evelyn
772652	269075	Nicoletta
772652	284658	Mme de Beucker
772652	308890	Aliki
772652	314471	Maria
772652	351072	
772652	384817	Mercedes
772652	402730	
772653	406459	Herself/Starting Over roommat
772654	359222	Dolores Hope
772655	58041	
772655	258117	Housekeeper
772655	336564	
772656	43182	Norma
772656	63760	
772656	82418	
772656	94728	
772656	102630	
772656	282082	
772656	291669	Distraught Mother
772656	353162	Clementina
772657	3574	
772657	54141	
772658	184059	Natacha
772659	75781	Cyberheidi
772660	134177	Miss Welch
772660	407414	Alice McEvan/Taylor
772661	319713	Hairdresser
772662	89854	(segment "Le chiese di legno"
772663	410311	Giada Palmieri
772664	30983	
772666	294403	
772667	227289	Satin
772668	355654	Una ragazza al corso di recit
772669	301377	
772670	249336	
772671	193457	
772672	244218	Anna
772673	234630	
772674	355669	Cheryl
772675	244194	(segment "Daisy das Almas Des
772676	82422	
772676	269095	
772677	120645	Nurse
772677	226899	Shop girl
772677	228335	Window Scrubber
772677	234803	Lame Girl
772677	324822	Mrs. Malloy
772678	30961	Joker Jr. Vocal FX
772678	30977	Additional Voices
772678	115702	Cute Kitten
772679	278617	
772680	146726	Dana Kellor
772681	128926	Luisa
772682	381451	Scottish Correspondent
772682	390195	Herself - Newsreader/Reporter
772683	83142	
772683	339103	
772683	342160	
772684	1720	Herself
772684	32183	Host
772684	48413	Andy Brenner
772684	51823	Cadet Captain Jennifer Stone
772684	104973	Ren Stevens
772684	105280	Trick-or-Treat Child
772684	131915	Gail
772684	142889	Pearl (age 14)
772684	177074	Kim Possible
772684	177075	Kimberly Ann 'Kim' Possible
772684	177076	Kim Possible
772684	177632	Yuffie Kisaragi
772684	194247	Tina Pirelli
772684	387973	Ren Stevens
772684	388080	Herself
772684	390771	Erica #1 (1999)
772684	394460	Kimberly Ann 'Kim' Possible
772685	47131	Waitress
772686	137898	Gertrude
772687	5761	Serafina
772687	10058	La giornalaia
772687	14361	
772687	14864	
772687	17483	Sister Virginia
772687	23846	The florist
772687	54087	La vecchia zia di Giovanna
772687	59805	Manamaccia
772687	68925	Madame Anna
772687	94702	
772687	108102	Maria, la portinaia
772687	110437	La padrona di casa di Boroff
772687	111852	
772687	111879	
772687	111924	Maddalena
772687	124201	Suor Ignazia
772687	127380	
772687	127976	La portinaia
772687	202771	
772687	205981	Emilia
772687	215332	
772687	217914	
772687	255118	La venditrice di frutta cotta
772687	263917	Nannina
772687	265724	Una popolana all'assalto del 
772687	286977	The Fortune Teller
772687	287869	Nunziata
772687	291659	Marietta, la domestica di Bor
772687	293437	Una popolana
772687	328210	La domestica di Pietro
772687	338662	Annetta. la cameriera di Nard
772687	339066	Irma
772687	344571	Martina, la domestica di Mari
772687	348203	
772688	307440	
772689	217872	
772689	294714	
772690	11767	
772690	11770	Sylvia Brenner
772690	156606	Anna
772690	369156	Susi
772690	376772	Jessica
772690	381671	Anna Brandt
772690	388798	Francesca
772691	138840	Girl #1
772692	3465	
772693	43416	
772693	175761	Lisa
772693	198639	
772693	280561	
772693	284961	Joëlle
772693	318515	
772693	351717	
772694	92780	
772695	2019	Party Girl #2
772695	105343	Jane
772695	202078	Gina
772695	357167	Mary
772696	54301	La zitella
772697	83248	Stratonica
772697	215332	La Thenardier
772697	248224	
772697	260044	La padrona della taverna
772698	350235	Hooker
772699	278404	
772700	104495	
772700	402456	
772701	247107	
772701	340421	
772701	379785	Faustina
772702	14371	
772702	128003	
772702	186146	Laura
772702	331033	Ina
772702	344605	
772702	403330	
772703	348133	
772704	247458	
772704	318006	
772705	263116	
772706	267407	Walli
772707	194742	Russian girl
772707	213254	Barbara
772707	218011	Maria González
772707	246960	Maid
772707	315511	Judith Nyte
772707	362238	Minerva Starlight
772708	263440	Sandy
772709	325242	Elderly Woman
772710	78430	Herself--Gogo Dancer
772711	209297	
772712	10760	Waitress/Inn keeper
772712	38829	Junge frau
772712	65086	
772712	191560	Madame Cornell
772712	220494	La femme dépressive
772712	226431	Anna Meyer
772712	256998	La croqueuse de pommes
772712	283654	Elise
772712	287322	Italian Countess
772712	345329	L'infirmière
772712	376998	
772713	56545	Herself
772714	183062	
772715	311209	Leah Petralla
772716	92514	Emma
772717	277811	Valentina Ristuccia
772718	394756	Herself
772719	281233	Banquet Guest
772720	394756	Herself
772721	126839	Monika
772721	135291	
772721	225640	Wally Specht
772721	238798	(segment "L'uomo dei 5 pallon
772721	300828	
772721	348172	
772722	153614	
772723	230126	Parole board member
772724	122999	
772724	199058	
772725	76712	
772726	127737	Samantha
772727	122466	Leo's Class Mate
772728	10374	
772728	51833	Kathy
772728	78955	Soupie
772728	113294	Jennifer Bannister
772728	163310	
772728	211035	Loria
772728	231822	Herself (interviewed)
772728	312141	Victoria/Barbara Dahl
772728	330424	
772728	330595	Jacqueline Kennedy
772728	339597	Candy
772728	398015	Teri Spencer (1994)/Monique D
772729	40212	
772730	240996	
772731	62957	Villager/Lost Soul
772732	199941	
772733	95695	
772734	122798	
772735	63610	
772735	190729	
772735	246343	
772736	156001	
772737	179670	
772737	283756	Naina, soreress
772738	132074	
772739	243968	
772740	91481	
772740	313620	Gogha's Mother
772741	189117	
772741	357657	
772742	273719	
772743	12803	
772743	154566	
772743	244582	
772743	261371	Yuliya Pavlovna Tugina
772743	388646	Irina
772744	205924	
772745	29670	Harem
772746	229203	
772747	85209	
772748	7217	Jirina
772748	223572	
772748	229154	Anci Fáberová, Fábera´s daugh
772748	266130	Berta
772748	343823	
772749	365126	Servant
772750	129603	
772750	184200	Countess Joanna
772750	202571	Aunt Edzia
772750	234249	
772751	179180	
772751	231653	
772751	343339	
772751	371367	Gienia
772752	31668	Rock 'N' Roll Girl
772752	202366	Girl Who Failed Her S.A.T.
772753	380997	Huldah Wheeler, as a youth
772754	311599	
772755	56545	Herself
772756	349575	Sofie
772757	224729	Gypsy Woman
772758	58095	
772758	64355	
772758	95946	
772758	137750	Mária
772758	140389	Agnes
772758	166980	Barbara
772758	174028	
772758	179179	
772758	181328	
772758	247626	Form Tutor
772758	254083	Barbara
772758	266319	Miroslawa "Mira" Szejnert
772758	322159	
772758	334199	Maria Seweryn
772758	373554	Dorota
772758	386654	Martyna Stroynowska/Klara (19
772758	397114	Wiktoria Zarychta
772759	190774	Marge
772760	252412	Camille
772760	285819	Un mannequin
772760	396477	2nd princess
772761	66993	Bag Lady Singer
772761	144376	Rozzie
772761	176709	
772761	313548	Aunt Bella
772761	367094	Prostitute
772762	132470	Metge
772763	316693	
772764	216778	
772765	51070	Distressed Woman
772766	318562	
772767	163845	
772767	180739	
772768	187378	
772768	375657	
772769	356926	(segment "Papa")
772769	370188	
772770	6296	Una ragazza al bar
772771	4748	
772771	10191	
772771	44911	
772771	52966	
772771	59250	
772771	89917	
772771	148109	
772771	221681	
772771	234371	Ariadna
772771	237896	
772771	266471	
772771	273030	
772771	277002	
772771	325002	
772771	339153	Sagrario
772771	353600	Isabel
772772	5443	
772773	5264	
772773	94593	Nieta
772773	100373	
772773	113239	
772773	307631	
772773	371682	
772773	405290	Merceditas
772774	91323	
772775	6791	Maria
772775	30922	Herself
772775	37487	Dolores Raymond
772775	60940	
772775	99771	Libby
772775	141571	Lina
772775	148918	Raquel Mendoza
772775	168264	Maxine
772775	183824	Racquel Riviera
772775	195794	Miss Isobel Gonzales
772775	202928	Chona Degnon
772775	296448	Herself
772775	303528	
772775	312774	Cugat Band Singer
772775	342873	Herself
772775	360834	Juanita
772775	372277	Band Singer
772775	401043	Regular (1949-52)
772776	18160	Herself
772776	18949	
772776	52428	Herself
772776	53943	
772776	55768	Bedeviled novice
772776	61204	
772776	102704	
772776	109068	Herself
772776	116639	
772776	182517	
772776	212376	
772776	282096	
772776	400211	Herself
772777	16844	Belén
772777	16845	
772777	74551	
772777	86900	
772777	91323	
772777	145196	
772777	153066	
772777	153068	
772777	221943	
772777	235309	
772777	242879	
772777	252560	
772777	252602	
772777	268501	
772777	328734	
772777	351640	
772777	377146	
772777	377202	Dorotea
772777	380252	Isabel
772777	393985	
772778	6044	
772778	6477	
772778	8559	
772778	54797	
772778	55259	
772778	67954	
772778	69129	
772778	80105	
772778	83862	
772778	84163	
772778	90060	
772778	96363	
772778	100294	The mother
772778	104013	
772778	149234	
772778	161437	Madre de Maria(Maria's Mother
772778	181668	
772778	221576	
772778	300688	
772778	302340	
772778	308907	
772778	324077	
772778	332631	
772778	376712	
772778	377152	The Princess
772778	399764	
772778	400790	
772779	31853	Maria
772780	142631	
772781	145483	Frau Haberstein
772781	279238	
772781	289909	Wanda
772781	303937	
772782	167200	
772783	10727	Joanna Darling
772784	291293	Reporter
772785	387736	
772786	163085	Air hostess
772787	269496	
772788	104773	Dutch entry (4th place)
772788	104774	Dutch vote presenter
772788	228263	Herself
772788	228267	Herself - Gastjurylid
772789	216803	Golden Girl
772790	164868	
772791	346016	Inmate
772792	20625	Extra
772792	126067	Soloist
772792	294919	Voice of Sugar Tongs
772792	367073	Munchkin
772793	29446	Sweet Young Thing
772793	98883	Sugar Ray Renee
772793	139978	Marcy
772794	217771	Trollop Two
772795	34928	
772795	42439	
772795	49348	
772795	139204	
772795	150112	
772795	150945	
772795	150948	
772795	161119	
772795	191356	
772795	192383	
772795	247990	
772795	252220	
772795	296073	Lucy
772795	300524	
772795	354801	
772795	357150	
772796	1228	
772796	60320	
772796	163864	
772796	219063	
772796	260297	
772796	321242	
772796	326729	
772796	326855	
772796	333994	NonSex
772796	370126	
772796	372813	
772798	259864	Porno Picket
772799	87432	Messy Melinda
772799	128596	Nun with Gun
772799	312783	Laurie Glenn
772800	2480	Marcella Fosne (segment "Un p
772800	20795	
772800	32397	Jensen
772800	63761	
772800	65112	Anne
772800	71450	La maestrina
772800	91050	
772800	116438	Nathalie
772800	117856	Herself
772800	156293	Lorraine
772800	158276	Geli Bendl (AKA Gilda Burrows
772800	167193	Ann
772800	180749	
772800	180750	
772800	193333	
772800	194360	Tanja
772800	195227	Soeur Marie-Thérèse
772800	202770	
772800	217223	Sophie Tristan, AKA Blé des c
772800	218439	
772800	219829	
772800	246400	
772800	247984	Rada Krusciova
772800	270353	Creezy
772800	270818	
772800	275052	Maria
772800	281101	
772800	287771	Amata Lotti
772800	290801	Cilly
772800	291520	
772800	307888	Flicky
772800	309112	Furoug
772800	328323	Miss Margaret
772800	329456	Sophie
772800	343684	Karin Jensen
772800	344914	Jennifer
772800	348201	Jane Dobson
772800	355895	Rossella Scott
772800	362576	Nancy
772800	380255	
772800	387735	Carina de Angeli (1987, 1989-
772800	392380	Vroni
772801	50766	
772801	62421	
772801	74725	
772801	93990	
772801	105911	
772801	123806	
772801	138200	Latin Woman
772801	140952	
772801	150374	
772801	154123	
772801	178863	
772801	192531	
772801	228111	Latin Blonde
772801	273298	
772801	296006	
772801	296707	Herself (Justine Romee)
772801	306911	
772801	332550	
772801	334143	
772802	30326	
772802	67027	
772802	177203	
772802	193144	
772802	252628	
772803	35120	
772803	129663	
772803	209878	
772803	310518	
772803	328307	Betty
772803	378550	Maria Berger (Andis Frau)
772804	228268	Herself
772805	105484	
772805	238371	
772806	151369	
772807	151369	
772809	184959	Vicki
772810	188453	Opening Sequence Girl
772811	53731	Mona Archer
772811	83639	Raven
772811	124713	Dorothy
772811	128229	Nadine Bolton
772811	205920	Mrs. Ellen Hawkins
772811	220514	Injured man's wife
772811	283377	Estelle
772811	299463	Singing nympho
772812	360902	Candy Wilson
772813	40744	Office Worker
772813	84487	Marie's Mother
772813	195043	
772814	14861	Barbara
772815	29960	Nurse
772815	87876	Waitress
772815	187465	Fran
772815	230904	Kate
772815	249503	Jonathan's Attorney
772815	280189	Sister Eve
772816	289384	
772817	284861	Madame Gallet
772819	103286	Hooker
772819	245275	Mrs. Logan
772819	275522	Clerk
772820	257733	Reporter #1
772821	46938	
772823	345592	Señora de la Limpieza
772824	146813	Group cast appearance
772826	96889	Twin Showgirl
772826	133622	Twin
772826	146813	Herself/Romer Twins
772826	284916	Marigold (Siamese twin)
772827	355261	La serveuse du fast-food
772828	17692	Mrs. Pie
772828	128850	
772828	252833	Landlady
772829	96889	Twin Showgirl
772829	133622	Twin
772829	146813	Herself/Romer Twins
772829	284916	Annette (Siamese twin)
772830	24440	
772831	21692	
772831	80250	
772831	84015	
772831	91397	
772831	184939	
772831	233952	Lucy
772831	371674	
772832	29686	Young Prostitute
772832	190209	Julie
772833	377169	Extra restaurant
772834	387946	Contestant (2003)
772835	391590	
772835	398478	Clemencia Santos
772835	402055	Alma
772836	241316	Restaurant Patron
772837	74865	Girl
772838	247159	Niña
772839	96338	Bailarina
772840	25008	
772840	252974	Clerk #1
772841	103745	
772842	42911	Herself
772843	350235	Hooker
772845	213751	
772846	390748	Marina Botero Rincón
772847	293055	
772848	65205	
772848	124264	
772848	251959	
772849	5000	
772849	324841	
772850	72864	
772850	115516	The Malkia
772851	50007	Elenia Mendes
772851	126056	Cornelia as Child
772852	105462	Dancer
772853	91402	Mujer 10
772853	252537	La querida del productor
772854	9654	
772854	38416	
772854	78524	
772854	246940	
772855	51642	Dancer
772855	55218	Dancer
772855	119524	Herself
772856	35597	Townspeople
772857	193143	Wrestler
772857	196760	Wrestler
772857	196762	Wrestler
772858	27627	Christine
772858	27680	Delia Maga
772858	29427	
772858	30535	
772858	30881	
772858	31369	
772858	39047	
772858	45479	
772858	77073	
772858	78601	
772858	95765	
772858	113898	Malow
772858	138335	
772858	141380	
772858	158672	
772858	158673	
772858	164776	Chanda Romero
772858	174127	
772858	184650	
772858	189275	
772858	190417	
772858	204951	
772858	206780	
772858	223936	
772858	272927	Mayloo
772858	300686	
772858	325362	
772858	368320	
772858	371386	
772858	398996	Clara
772859	61703	Miss Cornwall
772860	111563	
772860	111577	
772861	94692	Mother at Zoo (segment "The F
772862	363941	
772863	383444	
772863	384781	
772863	398482	Lázaro
772864	28295	
772864	155013	Party attendee
772865	54351	
772865	55922	
772865	75496	
772865	80245	
772865	133246	
772865	250667	
772865	281787	
772866	103854	
772866	263039	
772867	162599	
772867	209363	
772868	305327	Lucie
772869	81694	
772869	82512	Julia
772870	24980	Indian Mother
772871	372087	Mexican Girl
772872	1191	Ana Sanchez
772873	18630	Woman in Bar
772874	84175	Virtudes
772874	206768	Maruja
772874	406864	Xiomara
772875	10498	
772876	255801	
772877	132675	La soprano
772877	236468	child
772878	371290	Lavandera
772879	70518	
772880	256817	Conchita
772881	36661	Julia
772881	381860	Julia
772882	5882	Girl
772882	20625	Extra
772883	87807	Luisa
772883	225611	
772883	379817	
772883	379833	Regina
772883	379892	Caridad
772883	383467	Elvira Contreras
772883	385599	Sonia
772883	385865	Ingrid
772883	385869	Cecilia Azocar
772883	387700	Lucrecia
772883	396902	Romelia Bernal
772883	397012	
772883	398471	
772883	401693	Francia
772883	401905	Zaira Magalí
772883	405776	Senora Mijares
772883	410387	Oriana
772884	294010	Xonxiña niña
772885	9772	
772885	12802	
772885	13759	Gerry's Mom
772885	15429	
772885	17752	
772885	18842	
772885	27738	
772885	28074	
772885	28079	
772885	32106	Magda
772885	33740	
772885	37730	
772885	38151	
772885	39044	
772885	67009	
772885	69231	
772885	76585	Brenda
772885	76813	
772885	77070	
772885	83885	
772885	88601	
772885	89764	
772885	103770	
772885	112629	
772885	137582	
772885	137978	
772885	138397	
772885	145528	
772885	149077	
772885	154663	
772885	155961	Imelda Marcos
772885	156175	
772885	171198	
772885	171969	
772885	172228	Marta
772885	172964	
772885	173634	Dona Octavia Villaruel
772885	181976	
772885	182229	
772885	190731	
772885	191329	Impakta, or Miss Luna
772885	200508	
772885	205993	
772885	213531	
772885	215396	
772885	223732	
772885	226658	
772885	227728	
772885	243178	
772885	246502	
772885	251230	
772885	255921	
772885	256096	Imelda Marcos
772885	273945	
772885	277419	
772885	284737	
772885	285859	
772885	300102	
772885	301462	
772885	302797	Lola
772885	302827	
772885	302869	
772885	302895	
772885	311352	
772885	323636	
772885	324389	Loleng
772885	328193	
772885	341536	
772885	349475	
772885	360675	
772885	388282	
772885	404049	Carmela Estocapio
772886	6469	
772886	30344	child
772886	184841	
772887	199174	Mme. Bazaine
772888	80189	Sexo servidora joven #1
772889	258067	Receptionist
772891	64836	Woman in desert
772891	128142	Hatter Fox
772891	187344	Fire Wing
772891	214933	Little Deer
772891	224849	Zitkala
772891	248706	Bo
772891	262160	Bonnie Red Bow
772891	351502	Elena
772892	51996	Deputy
772893	309333	
772896	56241	
772897	129472	
772898	261026	Puron
772898	265516	Woman on T.V.
772898	321920	Brandy
772899	287792	Monica
772900	292150	Disciple
772900	345644	Bodyguard
772902	224326	Guard
772902	362655	Police Clerk
772903	28953	
772904	383037	Anchor
772905	412138	Panelist
772906	110357	Misty
772906	115300	Darleen
772907	30745	
772907	73278	
772907	318008	Angélica
772908	93282	Candita
772908	101973	Daniella Arocha
772908	161757	Maria's Girlfriend
772908	380146	Lupe Cárdenas
772908	390733	
772908	396462	Inés
772909	57747	Guard# 4
772909	408410	
772910	14769	
772910	55946	
772910	74505	
772910	111993	
772910	206767	
772910	207655	
772910	255510	
772910	276449	
772910	296445	
772910	307803	
772910	350166	
772911	44660	Encina
772911	45193	Yonqui
772911	123083	
772911	197167	Locutora
772911	379351	Bianca Castafiore (Spanish du
772912	57468	
772912	332573	Actriz
772914	220701	
772914	234412	
772915	103483	
772916	209298	Hippie
772917	155272	Customer
772918	212238	Gunsmith's Daughter
772919	14652	
772920	402048	Herself/Host (2003-200?)
772921	317697	
772921	380407	Newsreader (1990-1992)
772922	82766	Herself
772923	334666	Enfermera 2
772924	392212	Teresita
772925	106540	Leila
772925	221888	Camarera
772925	239010	Méndiga
772925	283683	
772926	10255	
772926	53087	
772926	71279	
772926	74508	
772926	103810	
772926	143966	
772926	149197	
772926	199303	Artemisa
772926	212440	
772926	216776	Tía Ñata
772926	228776	
772926	239276	
772926	251229	
772926	339185	Modista 1
772926	355000	
772926	376721	
772926	376828	
772926	401691	Emilia
772927	161766	
772927	233348	
772927	307204	
772928	367823	Herself/The Slits
772929	247845	Recepcionista
772929	385873	Leonora
772929	387685	Lucha
772929	396852	Doris (2004)
772929	409908	Ana Luisa Reyes
772930	288888	Jeune Fille Noire
772931	394005	Jewel
772932	55210	
772932	65153	
772932	67350	
772932	99963	
772932	100785	
772932	121697	
772932	135115	
772932	165725	
772932	196793	
772932	206277	
772932	234372	
772932	296483	
772932	307277	Enfermera 2
772932	307781	
772932	317675	
772932	324930	
772932	355748	Hilaria
772933	277094	Street Kid
772934	63888	Olga
772934	121280	
772934	318008	Adriana
772934	370164	
772935	296143	
772936	153827	
772937	328154	
772938	394017	Paquita Guerrero
772939	376661	
772940	71160	Bailarinas (Dancers)
772940	81348	
772940	103397	
772940	123059	
772940	204694	Susana
772940	278324	
772940	380145	Reina
772940	399574	Various Characters
772941	266445	
772942	40447	Sílvia
772943	118725	ER Nurse
772943	176833	Marcy Mazariegos
772944	2441	
772944	12706	Alucarda's mother & Alucarda
772944	18800	
772944	29009	
772944	61989	
772944	73477	Sandra
772944	80288	
772944	95012	La Chata
772944	103981	
772944	115822	
772944	133061	
772944	192995	Esther
772944	197968	Teresa Guzman
772944	200456	
772944	210171	Teresa
772944	214999	Juanita
772944	215731	Maria
772944	222042	
772944	234318	Irma
772944	237194	Constanza
772944	252216	Susana
772944	256545	Constanza
772944	260503	María Rosa
772944	291767	Raquel
772944	301573	
772944	379118	Jacinta
772944	379834	Cecilia
772944	380517	Silvia
772944	381604	
772944	383031	Elsa
772944	383155	Martha Gastélum
772944	385401	Lorena
772944	393833	Mercedes 'Meche' Pacheco 'mam
772944	397463	Irma Moguel
772944	398458	Verónica (1992)
772944	398794	
772944	400846	
772944	403403	
772944	403752	Dolores Romero de Pérez
772944	404284	Santa
772944	405398	Gabriela
772944	412188	Dulcenombre
772945	48169	Cleopatra
772945	218159	Child Playing
772945	383548	Marina
772946	80189	Chavo Banda La Raza
772947	189045	
772948	120088	
772949	334593	The Wife
772950	406702	Additional Voices
772951	116112	Latina Girl
772952	234400	Pilar
772952	302359	Cajera Embarazada
772952	322851	Maquilladora 1.ª
772952	332636	Miñón's Wife
772952	376760	Periodista
772953	205000	Marilú
772954	208254	Hatce
772954	370700	Yasemin
772955	307584	Emilia
772956	345674	Ilke
772956	405419	Ilke Toprak
772957	187969	Marta
772957	249214	
772957	340094	
772958	232240	Tia Viero
772959	349927	Rosalinda
772960	302189	Jelica
772960	357555	
772960	390388	
772960	390700	
772961	169676	Redneck Joey's Girlfriend
772962	294796	Invitée d'Alice
772964	18517	
772964	18520	
772964	223491	Kranke
772965	338680	
772966	225969	Waitress
772967	1674	Herself
772967	1681	Herself - Presenter
772967	1717	Herself - Presenter
772967	2765	Herself
772967	10663	
772967	24432	Herself
772967	33027	Herself
772967	87480	Bearded Lady
772967	111063	Laure Ash/Lily
772967	130178	Jessie Duncan
772967	141859	Kimberly Hefner
772967	201861	Herself
772967	202854	
772967	221427	Herself/Host
772967	221429	Herself/Host
772967	221479	Herself (Presenter)
772967	267216	Joan
772967	280663	Aurora
772967	283368	Herself
772967	284628	Faith
772967	292256	Herself
772967	311785	Herself
772967	326664	Herself
772967	340300	Mercury
772967	345706	Herself
772967	359271	Herself
772967	369448	Herself
772967	369458	Mystique/Raven Darkholme
772967	369461	Herself
772967	369486	Mystique
772967	392137	Herself/Host (1998-2000)
772967	393962	Adrienne Louise Barker Finch 
772968	103605	Sekine
772968	142838	Shop assistant
772968	155256	Jessica
772968	292817	Nancy
772968	380388	Vicky
772969	112652	Javier's mother (in the dream
772970	115062	Cytherian Girl
772970	254523	Surf Girl
772971	204168	Young Woman in Building
772972	17665	
772972	68122	
772972	91054	La fioraia
772972	109719	Silvia Piattelli
772972	168739	Gianna
772972	172075	
772972	196777	
772972	212314	
772972	219326	
772972	278405	
772972	328894	
772972	338083	Bonnie
772973	317809	Anni
772974	237267	Mother Kattrina
772974	312228	Mistress of Junkershus
772975	137412	
772975	194888	Nina (Kind)
772976	328559	
772977	230857	Mother
772978	110542	Hanneke
772979	21653	
772979	93728	
772979	95127	
772979	98335	
772979	103073	
772979	119288	
772979	134846	
772979	143724	
772979	147315	
772979	147320	
772979	169971	Louise
772979	174781	Nerissa
772979	177218	
772979	187946	
772979	189789	
772979	268904	Minnie Hinrichsen
772979	290092	
772979	294201	
772979	311096	
772979	311929	
772979	326052	
772979	334615	
772979	354572	
772979	358895	
772979	360870	
772979	376322	
772980	37033	Choir Director
772981	247132	Marieke
772982	60409	Young Charlene Ching
772983	347148	Anna
772984	1402	
772984	154678	Gerilja
772985	10632	Winkler's Assistant
772985	71099	Mifanwy Conway
772985	96838	Sadie Jones
772985	334431	Sara (1939 version)
772986	223627	
772988	385500	Marcela
772989	237194	Mama
772989	380543	Sor
772989	382197	Cristina Carvajal
772989	383155	Madre Superiora
772989	383548	Verónica
772989	386119	Menopausica 3
772989	409017	
772990	52628	
772991	25792	Laura
772991	55964	Engracia
772991	78243	
772991	78244	
772991	78245	
772991	120704	
772991	168664	
772991	235999	Laura Mendoza
772991	241517	Marta
772991	266898	
772991	326335	
772991	380585	
772991	381169	Brianda Portugal
772991	383272	Gabriela
772991	387170	
772991	387603	
772991	392208	
772991	396713	Margarita Insunza de Ramírez
772991	397770	Host
772991	399568	
772991	405281	María
772991	410477	Leticia 'Lety' López Albavera
772992	74145	
772992	80288	
772992	81350	Dead Warrior
772992	91295	
772992	139911	Emilia
772992	148114	
772992	183949	
772992	199005	
772992	202316	
772992	203840	First Woman
772992	213722	
772992	221689	
772992	232985	
772992	235999	
772992	247462	Secretaria
772992	251576	
772992	253664	Rebeca
772992	255138	
772992	265535	
772992	267408	
772992	334683	Beata
772992	354109	
772992	382378	Esperanza
772992	383519	
772992	389483	
772992	397201	
772992	398167	Elisa
772992	403786	
772993	149971	Pregnant woman
772993	233829	Carla
772995	335943	Woman in black
772996	124442	Carola
772997	375983	Ursula
772998	397614	
772999	1305	Angie
772999	59880	Joanna
772999	100084	Sarah Queens
772999	137541	Ms. Reception
772999	147252	Vegas Showgirl
772999	265516	Devon Thompson
772999	316097	Nurse Diane
772999	320108	Sophia
772999	325018	Gina
772999	351427	Betty
772999	403757	Maxine
772999	408301	Herself - Celebrity Host (Spe
773000	75030	
773000	87586	PCP Patient With Baby
773001	217441	
773002	63890	
773003	153636	
773003	345016	Juliette
773003	346637	Geneviève
773003	383664	Justine
773003	407812	Brigitte St-Denis
773004	44833	Dancer
773005	39007	
773005	40066	
773005	145528	
773005	149077	
773005	173092	
773005	173926	
773005	190415	
773005	231215	Geronima
773005	246901	
773005	284638	
773005	285985	
773005	297093	
773005	300102	
773005	300623	
773005	302035	
773005	325360	
773005	344358	
773005	349475	
773006	234266	
773007	361169	Tasha/African Girl
773008	18693	Mrs. Fisher
773008	38416	
773008	52704	
773008	64418	
773008	78524	
773008	84054	
773008	99525	
773008	189352	
773008	209840	Menyasszony
773008	211991	
773008	216541	Kiszolgáló lány
773008	221756	Chica fiesta
773008	226444	
773008	250394	
773008	273658	Elvire Irving
773008	301151	Ana
773008	322100	Tassy Judit
773008	328970	
773008	377761	
773009	342435	Melissa
773010	6044	
773010	29853	
773010	30301	
773010	34577	
773010	44794	
773010	52597	
773010	52971	Silvina Martins
773010	55947	
773010	57867	
773010	57910	
773010	64031	
773010	68955	
773010	69122	
773010	69328	
773010	74509	
773010	74531	
773010	74960	
773010	85557	
773010	96358	
773010	97253	
773010	97552	
773010	100641	
773010	103531	
773010	118635	
773010	132476	Alicia Salgado
773010	148166	
773010	162955	
773010	167135	
773010	192669	Doña Elena
773010	193315	
773010	205431	Cristina
773010	207737	
773010	212508	
773010	216856	
773010	221715	
773010	222011	
773010	222039	Sara
773010	227565	
773010	243685	
773010	259967	
773010	265331	
773010	307834	
773010	336558	
773010	376637	
773010	399497	Luisa
773010	399764	Carmen
773010	408720	Matilde
773011	14654	Chulo
773011	42660	Wedding Guest
773012	257114	Malivert Shop Assistant
773013	132723	
773013	384376	Gloria
773014	146567	Encarni
773015	71391	
773015	355723	
773015	377116	
773016	13047	Caperucita
773016	14426	Friend
773016	14659	Martina
773016	22741	
773016	29548	
773016	70011	Prostituta
773016	76110	Kitty
773016	82587	
773016	86803	Candidata Casting TV
773016	100405	Gemma
773016	161666	La manicura
773016	183162	
773016	202043	
773016	220755	Lolita
773016	233619	
773016	354035	La Francesa
773016	387869	Ruth
773016	393549	
773017	248288	
773018	5264	
773018	7250	
773018	9671	
773018	12104	
773018	24203	
773018	39937	Rosita (as Maria José Román)
773018	40272	Mónica, la criada amnésica
773018	50150	
773018	51733	Gloria
773018	52775	
773018	55941	
773018	57698	
773018	57782	Rosario, asistenta y esposa d
773018	60468	
773018	74521	
773018	74558	
773018	75444	
773018	76104	
773018	81573	
773018	82283	
773018	90055	
773018	90504	
773018	94622	
773018	103116	
773018	103394	
773018	103758	
773018	104057	María
773018	104852	
773018	124051	Pepín
773018	124441	
773018	124705	
773018	139910	
773018	144726	
773018	160725	
773018	166666	
773018	189032	Chispa
773018	190644	Gil
773018	204646	
773018	208709	Dorotea
773018	212441	
773018	233344	
773018	233551	
773018	233599	
773018	233901	
773018	236031	
773018	236474	
773018	236475	
773018	237894	
773018	249670	
773018	251590	
773018	257129	
773018	258497	Ludgarda
773018	259851	
773018	266871	Novia de Venancio (Venancio's
773018	276003	
773018	294506	Rosa
773018	296450	
773018	296660	Tini
773018	302310	
773018	319751	Delia
773018	341083	
773018	351407	Vecina
773018	351837	
773018	351838	
773018	353556	Vicky
773018	353654	
773018	355118	
773018	355123	
773019	9454	
773019	377143	
773019	378992	
773019	394991	Kati
773019	407233	Ilona Pintér
773020	221737	Mujer de taberna
773021	322097	Julika
773022	15268	Susi Müller
773022	27919	Tiffany (episode 2 "Baiser de
773022	67693	Ethel/Ellen Green
773022	108623	Fanny Hill
773022	122653	Tina
773022	130667	Tita, Gondora's 'Ward'
773022	142131	Christine
773022	184363	
773022	239816	Judith
773022	256640	Meg
773022	260106	Sarah
773022	270802	Nora Davis
773022	278409	Carla
773022	290678	
773022	312147	Pia Monteri
773022	328056	
773023	378971	Juliana
773023	380792	Marisol
773023	385058	Veronica Lujan/Maria Suspiro
773023	398662	Soledad
773023	408747	María Soledad Lobo Santacruz
773023	410297	Mariana López
773024	75484	
773025	14962	
773026	937	
773026	19669	
773026	182729	Gruber rokona
773026	200056	
773026	239432	
773026	378518	Gépírónõ
773027	14770	La Cantante Orquesta
773028	42578	
773029	307641	Chica foto
773030	277911	Teller
773031	54011	?
773031	58392	Rosa
773031	324459	
773031	339196	
773032	83433	
773033	87624	Rubia
773033	344630	
773034	54188	Hélène
773034	66719	Coeur de lilas
773034	188693	
773034	346700	
773035	46938	
773035	377824	
773036	160625	
773037	240390	Woman in battle field
773038	8653	
773039	4681	
773040	9490	
773040	9847	
773040	11734	
773040	15389	
773040	17404	
773040	22045	
773040	22082	
773040	25615	
773040	34248	
773040	34320	Ugu
773040	34504	
773040	38449	Murat's mother
773040	44598	
773040	45715	
773040	50065	
773040	51324	
773040	51353	
773040	57824	
773040	63974	
773040	95050	
773040	97813	
773040	102537	
773040	103607	
773040	107646	
773040	124205	
773040	124216	
773040	125343	Veli's mother
773040	142977	
773040	171975	
773040	173416	
773040	173428	
773040	173435	
773040	173570	
773040	173764	Zara
773040	173768	
773040	175382	
773040	175666	
773040	175851	
773040	176690	
773040	177127	
773040	177834	
773040	177877	
773040	180132	
773040	180328	
773040	181475	
773040	181666	Ali's mother
773040	182235	
773040	182813	
773040	182911	
773040	187649	
773040	190920	
773040	200589	
773040	200670	
773040	218888	
773040	221514	
773040	222522	
773040	232619	
773040	257219	
773040	262179	
773040	279366	
773040	284817	
773040	287060	
773040	293410	
773040	294121	
773040	294884	
773040	296418	
773040	301811	
773040	307038	
773040	307156	
773040	308322	
773040	317667	
773040	323919	
773040	325354	
773040	349197	
773040	349230	
773040	351049	
773040	370686	
773040	371552	The grandmother
773040	371553	Irazca
773040	371555	
773040	371557	
773040	373396	
773040	374321	
773040	374663	Hatçe
773040	377497	
773040	377515	
773040	377553	
773040	378608	
773040	378612	
773040	400890	
773040	405465	
773041	117528	Secretary
773042	106520	Tea Trolley Lady #2
773042	150470	Art Expert
773042	316716	Party Guest
773042	328607	Corpse
773043	382095	Binnur Goyali
773044	178584	Teenager
773045	329307	Wedding band
773046	79682	Enid, as a child
773046	203757	Helen Beresford
773046	360228	Angela, as a child
773047	90982	Pam Kirby, Webb's Secretary
773047	409343	Miss Ealand
773048	124579	
773049	111991	
773050	121314	
773050	230583	Scarface
773050	359907	Gomez
773050	381155	Patricia
773051	230165	
773052	347723	Grace Dunning
773053	97023	Tricia
773054	350853	
773055	37155	Sally Gamely
773055	39985	Lucy Judd
773055	55693	Dolores
773055	140886	Anna
773055	232278	Julie
773055	244883	Doreen
773055	262741	Saria
773055	267449	Lavinia
773055	317430	Mary Kelly
773055	321727	Guy
773055	331240	Liz
773055	334176	Vriendin
773055	391680	Caroline Astey
773056	147257	Tante
773057	203491	Daphne
773057	391786	Natasha Andersen (1995)
773058	139510	
773058	202516	Clara Malraux
773058	268949	
773058	309727	
773060	405209	Jennifer Ryan (2000)
773061	79272	Dater
773062	234269	
773063	197546	
773064	354968	La bonne de Thérèse
773065	211216	Hilda Bergmann
773065	356987	
773066	75527	
773067	354178	The Girls
773068	302184	
773068	328891	
773069	213246	
773070	309706	Jodi
773071	390202	Series Co-Host
773072	88657	Herself
773073	58068	
773073	108842	
773073	258125	
773073	328741	
773074	25522	
773074	103558	
773074	121270	
773074	128969	
773074	128970	
773074	143676	
773074	209068	
773074	301142	
773075	29415	
773075	100023	Mme Bouguin
773075	205586	Mme Bouguin
773076	250539	
773076	261573	Manuela
773076	344584	
773077	207806	Woman at the Snack Bar
773078	135341	The Ulam Tribe
773079	345460	
773080	345422	Olga Berges
773080	386095	Michèle
773080	386222	
773080	405972	Nathalie
773081	229428	Reporter
773082	101877	
773082	269029	
773082	286578	
773082	398793	
773083	214442	DC Samantha Western
773083	244780	Cynthia
773083	319713	Cellmate
773083	407085	Lizzie Willoughby (1975-1976)
773084	201135	Catherine
773085	3366	
773085	94734	
773085	132952	
773085	133389	Attrice telenovela
773085	163735	
773085	183288	
773085	204261	Claudia
773085	205159	Rosa
773085	207966	Cameriera
773085	212437	Teresa
773085	214002	moglie evaso
773085	307583	Marisa
773085	316801	
773085	348181	Anna's mother
773085	351602	
773085	352861	(segment "Sofialorén")
773085	353858	La sorella di Camillo
773085	375235	
773085	400132	
773085	409094	
773087	44588	
773087	79225	
773087	129146	
773087	182161	
773087	233459	
773087	237378	
773087	253718	
773087	268485	
773088	104488	
773088	252335	Geni
773088	344755	
773089	252338	
773090	86250	Belinda
773091	881	
773091	325146	
773092	53256	Herself
773092	168384	La mère de Philippe Vallois
773093	68716	
773094	164619	Danielle
773095	77476	Singer
773096	57942	Jenny
773096	102690	
773096	194228	Bridget
773096	231834	Herself
773096	231835	Herself
773096	232293	
773096	294278	Karla
773096	399419	Herself (Co-Hostess) (199?-19
773097	2653	Peggy Davidson
773097	6859	Lexie
773097	72928	Donatella
773097	88206	Daniela
773097	240521	The Israeli Girl
773097	243788	Elizabeth Hollow
773097	301403	
773097	328389	
773097	334773	Titina
773098	83293	Herself
773098	94055	Herself (author)
773099	232413	Kathy the Babysitter
773100	332015	Motel manager
773101	148418	Lin Chan
773101	215695	Lily
773101	310153	
773102	358690	Helmwige
773103	225360	La mère de Victor
773103	248886	Women's Lib girl
773103	261851	Camille
773104	377474	
773105	39254	
773105	39262	
773105	270904	Terrorist/Trainer
773105	412201	Bernadette
773106	75028	
773107	35725	Guest at Chase's residence
773107	60461	
773107	127691	Patron at Nate's Cafe
773107	313076	Dancer
773107	372145	Neighbor
773109	223640	
773110	372198	Bridesmaid
773111	260229	
773111	391246	Nurse Alice Swanson (1989)
773111	404282	Laken Lockridge #1 (1984-1986
773111	411672	Lisa (December 1986)
773112	351892	Lisa's Assistant
773112	395508	Schwester Karla
773113	115516	Native dancer
773114	291988	Ida Beth
773115	240602	
773115	345449	
773116	279137	Lady in Gallery 5
773117	42560	Jeune flic
773119	304441	
773120	143432	Dorothy Kennedy
773121	262591	Fetish Girl
773122	362107	Bit Part
773124	390539	Bank Teller
773125	11670	Herself
773125	42522	Herself
773125	63334	Herself
773125	66239	Herself
773125	78709	Herself
773125	116330	Herself
773125	130708	
773125	157567	Herself
773125	191053	Herself
773125	220206	Herself
773125	250428	San Miguel (archangel)
773125	256620	Mabel Stanley
773125	256622	Mabel
773125	276723	Herself
773125	308729	Herself
773125	345697	
773125	345784	Herself
773125	372367	Herself
773125	379601	Herself/Interviewed ("What's 
773126	28980	Ulrike
773126	125165	Christiane Lechner
773126	134845	Johanna
773126	134995	
773126	177994	Christine
773126	208182	Traudl
773126	228158	Corinna Bäumer
773126	259525	Vogt
773126	259657	Katrin
773126	361456	Etje
773126	380904	Alicia Sandmann (1995-1997)
773127	307903	Lady with Duck
773128	300646	Josseline
773129	307478	Femme boîte 1
773129	320789	Manon
773130	13661	
773130	67655	
773130	69054	
773130	166381	
773130	222185	
773130	237874	
773130	295095	Dolores
773130	361081	
773131	43187	Tanárnõ
773131	43189	IBUSZ kisasszony
773131	74447	The Night
773131	96405	Frau Radó
773131	99741	Various
773131	114763	Vali
773131	136861	Boss
773131	163130	A báróné
773131	175635	Jutka, András nevelõanyja
773131	182693	Hanna, fejedelemasszony
773131	187508	Mari, Alker volt felesége
773131	198178	
773131	198210	Barbara
773131	209839	Lovas, "Malacpofa"
773131	227534	Magda
773131	266468	
773131	322060	Jutka
773131	322108	Judit nõvér
773131	322122	Ancsa
773131	395664	Bagoly
773131	399860	
773132	78013	Cover Girl
773132	110200	Herself
773132	110201	Herself
773132	190994	Stripper
773132	303905	Alex Girl #2
773133	362485	Herself
773134	54235	
773135	106219	Times Square Whore
773136	71441	Fiordiligi
773137	409388	Herself
773138	371962	Ingrid
773139	223817	Marabenta Dancer
773140	157663	
773141	1123	Shoesaleswoman
773141	20049	Tante
773141	33625	
773141	38992	Greet
773141	115155	Lidy van Oosterom
773141	331575	Lucy Willow
773141	338009	Shoe salesperson
773141	390242	Trix Gerritse (1992)
773142	331226	Carol Stothard
773143	203955	Zeni
773144	241240	Rose Bower
773145	394868	Weekend Weather Anchor (1997-
773146	157247	Mary's Aunt
773147	26625	Aunt Madge
773147	67194	Mrs. Maynard
773147	120871	Lady Sarah Ides
773147	137463	Octavia Madison
773147	144980	Senator
773147	145555	Mrs. Jeffcoate
773147	183840	
773147	196494	Catherine de Medici
773147	255862	Martha Karsten
773147	258915	Lady Anne Silchester
773147	264359	Duchess
773147	280988	
773147	281775	Mother Superior
773147	283574	Mrs. Thesiger
773147	315740	Mother Superior
773147	316662	Margaret Hubbard
773147	331224	Lady Grathers
773147	361838	Mistress Leigh
773147	367534	
773148	73328	Stacy
773148	164398	Hostess
773148	226868	Victim
773148	233786	Tracy Mitchell
773148	242750	DC Gracie Gibson
773148	250448	Bella
773148	291529	Iris
773148	356764	Connie Mocock
773148	382838	Penny Riozzi (1988)
773148	391786	Jill Patrick Osborne (1997-20
773148	398691	Maureen 'Mo' Blake
773148	408053	Mrs Hill
773149	87223	Hemp Girl
773149	116940	Sasha
773149	257912	Maggie Stevens
773149	328874	Party Girl
773150	330750	Herself
773151	196843	Mrs. Fabian Parker
773153	402175	Judo Girl/Additional Voices
773154	63835	Poppy Green
773155	335084	
773156	327564	Marielle
773157	110308	Mother, Play #1
773158	50829	Areep, the squaw
773159	12751	Annie
773159	26144	Jenny, Pitt-Astor Girl and Fr
773159	52659	Girl
773159	116521	Juanita Turnbull
773159	117110	Dancer
773159	119416	Addie
773159	133346	Millworker
773159	142873	Evelyn
773159	144912	Addie
773159	304971	Julie Bryant
773161	107928	Laughing lady
773161	256976	Fitness Insructor
773161	352554	Deaf Poet
773162	53320	Mrs. Hagmer
773162	63123	Trudy
773162	108340	Annie Rubins
773162	136144	Wealthy woman at race track
773162	316208	Connie
773162	316953	
773162	334214	Hank's Mom
773163	256557	
773164	20625	Extra
773164	344419	
773165	266571	
773166	128	
773167	160887	Family Member #2
773167	355104	Mrs. Ogden
773168	399329	Mary St Mary
773168	404880	Committee Woman
773168	405209	Dr. Emily Devine (1996-1997)
773169	245909	
773170	145848	
773170	190249	Kate
773170	360278	Frances Holmes
773170	363116	
773171	364184	Marilyn
773171	396088	Dory Patton (1977-1978)
773171	404613	Gail Caldwell (1976-1977)
773172	381910	Herself (Series 4) (2003)
773172	381920	Herself (Series 3) (2003)
773173	38021	3rd Grader
773174	374198	Tiller girl
773175	203223	Jaime
773175	228868	
773175	315773	Ped Diamond
773176	145022	TV Interviewer
773177	145022	Vicky
773177	170870	Gemma Brogan
773177	245816	Maggie Moore
773177	271155	Bobbie
773177	299487	Anne
773177	306008	Narma (20 years old)
773177	309647	Jenny Krase
773177	318726	Julie Lyle
773177	380708	Nicki Sutton
773177	388370	George
773177	391484	Thelma (2004)
773177	396081	Jassy
773177	411316	Lizzie Goodenough
773178	394285	Sonja
773179	81196	Girl on bar
773179	281244	Policewoman
773180	389224	
773181	28153	Loulou
773182	387196	Frida Lundin
773183	16265	Mrs. Loevdal
773183	43250	Svea
773183	47836	Waitress
773183	84318	Waitress
773183	94450	Speaker
773183	97088	Hulda, waitress
773183	101640	Aunt Ros
773183	109976	Old Gossip
773183	115391	Dücker's housewife
773183	115425	Choir member
773183	115882	Spanish Businesswoman
773183	119016	Anna
773183	120139	Kalle's Grandmother
773183	121019	Willgott's hostess
773183	129178	Mrs. Johansson
773183	135674	Mrs. Karlsson
773183	138015	Cleaning Woman
773183	138189	Grandmother
773183	145471	Inez, house maid
773183	152317	Lyra
773183	153063	Damen vid tittskåpet
773183	164784	Linnéa
773183	168389	Emma
773183	168390	Emma
773183	172784	Lill-Stina
773183	173188	Actress
773183	174201	Landlady
773183	182264	
773183	182464	Cleaning woman
773183	182547	Märta
773183	190821	Neighbor
773183	192930	Tale-telling Woman
773183	202774	Hilda
773183	204532	Teacher with class at museum
773183	204538	Mrs. Eriksson
773183	206195	Karna
773183	214362	Cook at Colibri
773183	214385	
773183	228383	Housemaid
773183	244073	Tenant
773183	251989	Margret, the maid
773183	284057	Vivianne, waitress
773183	302139	Girl in News-Stand
773183	303647	Lovisa's maid
773183	303662	Maid
773183	312231	Woman Cook
773183	312697	Anna Svensson, housemaid
773183	315373	Mrs. Lithander
773183	343471	Hilda, maid
773183	343511	Anna, Rylander's housemaid
773183	345987	Landlady
773183	345994	Maid
773183	347016	Waitress
773183	351458	Elna
773183	353038	Lisa
773183	377389	Waitress
773183	377435	Shop customer
773183	390236	Amanda Skoglund
773184	338658	
773185	179866	
773186	274714	
773187	322301	Stines fars nye datter
773188	154151	
773189	109277	Författarinnan Hilma Bengtsso
773189	135714	Aunt Greta
773189	286280	Märta Grankvist
773189	391363	Julia
773190	387359	Lynette Strydom Vorster Makro
773191	207403	
773191	250830	Miss Margaret Lanier
773191	278402	Mary Winrod
773191	304228	Amy Beck
773191	343199	Janet Bark
773191	380713	Alma Miller #1 (1960)
773191	387309	Victoria Dana (1966)
773191	396088	Althea Raven (1954-1957).Sara
773192	15179	
773193	153633	
773193	318469	
773194	155144	Esther
773195	102161	Sissela
773196	322301	Værtshusgæst
773197	324482	Cabaret dancer
773197	392164	Marie Lindhof (2002-)
773197	409033	psychiatric nurse
773198	477	
773198	104646	Singer
773198	104747	German entry (3rd place)
773198	104759	German entry (13th place)
773198	113057	
773198	189842	Herself
773198	189851	Herself
773198	189852	Herself
773198	189857	Herself
773198	189863	Herself
773198	345195	Caroline
773199	1385	
773199	382805	
773200	97238	
773200	121811	
773200	136222	
773201	79944	Boat passenger
773202	123040	Dame i reception
773202	314845	Mother
773204	304443	Devoted Follower
773205	235052	Texas Dancer
773206	7628	Child Vicky
773207	337886	Lize (volwassen)
773208	100490	
773209	388599	
773210	163485	Little Violet
773211	223343	Skinny Lady
773212	15106	
773213	333096	Constance Damery
773213	362644	Jessie Milton
773214	47834	Carlos
773214	197318	Martha van Pallandt
773214	202625	Jane Fongler
773214	373732	Mees' moeder
773215	97936	Assistent Thirza
773216	388734	Rosa
773217	65791	Peepshow girl
773218	11464	Wendy van Langen
773218	160781	Kim
773218	390925	Tetske
773218	404194	Bonnie (1997)
773219	195	Melodie Cates
773220	3896	Herself - as First Lady Edith
773220	264010	Herself
773220	281497	Herself
773221	3679	Herself
773221	47911	Herself
773221	110226	Herself
773221	145745	Herself
773221	233307	Herself - Wearing Fur Coat
773221	250411	Herself - Introduction to US 
773221	282624	Herself
773221	310702	Herself (at 1960 Convention)
773221	330157	Herself
773221	382085	Herself (# 93)
773221	388268	Herself
773221	390564	Herself
773222	159294	Edith
773223	159294	Ethel
773224	12117	
773225	380983	Loki-Loki
773225	410441	Lea Zandbergen (1993)
773226	66655	Cora Darby
773227	296024	Girl on Tape
773228	338138	Office girl
773228	358622	Kris
773229	35939	Sophie
773229	36951	Alice
773229	46399	Patricia 'Pat' Green
773229	81790	Kate Markham
773229	101001	Female GP
773229	145334	Ricardis
773229	150876	Adela
773229	165449	Miss Temple
773229	193577	Charlotte Brontë
773229	195311	Maeve Brennan
773229	203491	Hilda Maxwell
773229	219626	Rachel Mortimer
773229	253542	Anne Elliot
773229	305381	Karen
773229	330829	
773229	362586	Margaret Robinson
773229	379267	
773229	380346	Dolly
773229	382932	First TV Producer
773229	385659	Mrs. Davilow
773229	389124	Winifred Dartie née Forsyte
773229	389125	Winifred Dartie nee Forsyte
773229	396090	Miss Mounsey
773229	398262	Rachel Mortimer
773229	400412	Frances Peverell
773229	409071	
773230	5413	Lizzie Williams
773230	35779	Rhiannon
773230	68225	Stream Hodsell
773230	77760	
773230	97440	Lucy
773230	148285	Willow Patchett
773230	158481	Becky
773230	176807	Ladonna
773230	271354	Izzy
773230	271961	Emily
773230	336663	Julie
773230	408897	Amanda McCallister
773231	5987	Mrs. Herbert (Actor's Blood s
773231	190947	Extra in dress circle
773231	200445	Joy
773231	289568	Trixie
773231	367274	Minnetaki
773232	50448	Bit
773232	67118	Young Girl
773232	128847	Jaguar Girl
773232	264756	Satan's Sinner
773233	381231	Herself
773234	37384	
773234	51888	Woman 1
773235	281649	Ine, Rosa's dochter
773236	201726	Herself
773237	252357	Babbet
773238	179458	
773238	379467	
773238	394068	
773238	397252	Koula
773238	408171	Aleka Kaloudaki
773238	408912	
773238	409854	
773239	3393	Herself - Co-Host
773239	104777	Spanish vote presenter
773239	110100	Blue
773239	384734	
773239	392845	
773239	395473	Paulina
773239	398857	Host (1998-2004)
773239	400341	Herself - Presentadora de los
773239	407305	
773240	302789	Kissing Woman
773241	2960	Herself/presenter
773241	174918	Spinderella
773241	302438	Herself (Salt-N-Pepa)
773241	314104	Performer - 'Start Me Up'
773241	368828	Herself
773242	169136	Child Chorus
773243	279737	Belleme's Servant II
773244	349823	Grocery Store Clerk
773245	388264	Herself (Series 1) (2002)
773246	294573	American Visitor
773247	140765	Goth 7
773248	271262	Theresa
773249	242401	Herself
773250	52974	
773250	155546	
773251	142237	
773252	14480	
773252	71487	Clarisse
773252	217039	Anna
773252	224854	La passante
773252	260029	Une spectatrice du Nô
773252	284259	Irène
773253	326295	
773254	122180	Yvette
773255	309309	Nurse
773256	236928	Gladys
773257	182370	Aliina
773258	266080	
773259	116674	Student #1
773260	135243	
773261	133375	Rosa Jordan
773262	328844	Une amie d'Orphée/Orphée's Fr
773263	280489	Choir
773264	89993	Créo
773264	402539	Tonha
773265	63823	Cocotas
773266	213389	
773267	135148	
773268	309961	Gladys
773269	133375	Lucy Fuentes
773270	127724	
773270	172137	
773271	268940	La pin-up du rêve
773272	4763	Daniella, the little girl
773273	291880	Herself
773274	58307	
773275	87086	
773276	307638	Julia
773276	398197	Isalina Santos Silva
773276	403232	Branca
773277	10845	Tanya Alexandria
773277	21409	Elisabeth Langhoff
773277	48618	
773277	101432	Ania
773277	121069	
773277	125075	
773277	159172	Film Director
773277	169444	Tanya Alexandria
773277	214178	Claudia von Hohenheim
773277	225629	Mary Houston
773277	299070	Woman Dinner Guest at Dresche
773277	310940	Ann
773277	325612	Martina Quaas
773277	351732	Maria Lieberson
773277	381211	German widow
773277	390812	Dorothea Thalberg (1997-1998)
773277	406087	Tanya Alexandria (1975-1976)
773278	31962	
773278	59805	
773278	86334	
773278	263917	Donna Concetta
773278	265724	Un'amica del conte Attilio
773278	341835	
773279	53014	La Brunet
773279	58285	Woman in a Smock
773279	83238	
773279	183232	Odile
773279	200952	La mère Trochet
773279	201135	Une assistante INCS
773279	251527	
773279	255574	La secrétaire
773279	268413	La charcutière
773279	282967	Mathilde
773279	377488	Janine, la collègue de Vivian
773279	380587	
773279	384816	Gervaise Rebuffet
773279	395480	La mère Taudis
773279	402588	
773280	16600	
773281	176254	Attractive Woman
773282	41039	Fannia
773282	235693	Kameela
773282	239680	Kitty
773282	264045	Beth
773282	329128	Bossy Brander
773283	199349	Display
773283	259762	
773283	363166	
773283	367711	Mrs. Margaret Belknap
773284	105229	Mrs. Briton
773285	45525	Ma Woodburn
773285	46707	Mrs. Sheridan
773285	56594	
773285	56625	
773285	92626	
773285	97698	Lady Aberleigh
773285	117287	
773285	138994	Mrs. Helstone
773285	155926	Mrs. Romney
773285	211429	Mrs. Stubbs
773285	255862	Mrs. Halligan
773285	273793	Bill's Mother
773285	278213	Aunt Harriet
773285	292205	Mrs. Cortellion
773285	313709	Aunt Maria
773285	327270	Susan Hasler
773285	328904	Rachel Lyons
773285	331148	Ldy MacDonald
773285	333585	Jemima Bunter
773285	347410	Prudence
773285	364197	Nrs. Gerard
773286	256401	
773287	348158	
773288	117579	Punk Thug (with The Cramps)
773288	348651	Herself (The Cramps guitarist
773289	16762	Mercedes
773289	36818	Fina Ferrer
773289	54294	Elena di Roccalta
773289	67897	Anna
773289	70745	
773289	97259	Anita
773289	98643	
773289	142358	Maria
773289	157500	Elvira
773289	167007	Rosa Masudino
773289	189420	
773289	252772	
773289	279120	
773289	279739	Lizbeth Brooks
773289	307584	Norma
773289	310212	Claudia
773290	148036	
773291	240058	
773292	118832	Carmen
773293	383439	Romina
773294	57765	Julia Delano
773294	119013	Dorien
773294	119230	
773296	10243	
773297	6460	Herself
773297	10825	Primera Alicia
773297	34378	
773297	52247	Maureen
773297	76016	Rufi
773297	96374	
773297	98998	
773297	126242	
773297	140569	
773297	162022	
773297	184845	
773297	193191	
773297	201105	
773297	204992	
773297	217504	
773297	266885	Susana
773297	267885	
773297	302478	Lu
773297	320184	
773297	336425	Doctora
773297	339130	
773297	353017	Herself - Presenter: Best Eur
773297	353176	
773297	354785	
773297	356932	
773297	369748	Herself - Nominee: Best New D
773297	393911	Ignacia
773297	395979	
773297	409073	
773298	58144	Madame Eliza Alicia Lynch
773298	104777	Spanish entry (7th place)
773298	122985	Herself
773298	125494	
773298	155953	Herself
773298	243513	
773298	244222	Herself
773298	400341	Herself (2001-2002)
773298	408914	Herself
773299	2707	
773299	27867	Arminda
773299	69055	
773299	105484	Herself
773299	237381	
773299	248547	School's Director
773299	326537	
773300	194104	
773301	103857	Celeste
773301	246950	Rosalinda
773302	404146	Herself
773303	85620	
773303	252594	Ana
773303	269167	
773303	269171	
773303	379450	Solange
773303	379812	Thereza/Esmeralda
773303	380112	
773303	380327	
773303	380449	
773303	380531	Salete
773303	380612	Ana Maria
773303	381583	Telma
773303	381773	Cida
773303	382724	
773303	384872	Andréa
773303	385024	Camila
773303	386142	Soraya
773303	386168	Glória
773303	386757	Nancy
773303	388682	
773303	391673	Dalva Paiva
773303	392031	Angela
773303	392846	Sofia
773303	393008	Emília
773303	393343	
773303	393979	Alice
773303	394872	Piedad
773303	396795	Antônia
773303	397512	Maria
773303	398040	
773303	398502	Alzira
773303	399498	Valéria
773303	399713	
773303	400099	Nádia
773303	401818	
773303	402266	Ester
773303	402624	Maria da Glória
773303	403025	
773303	403118	Maria Rosa
773303	403308	
773303	403326	Zefa
773303	404283	
773303	404801	Theresa/Esmeralda
773303	405101	
773303	405401	
773303	406833	Geninha
773303	406987	
773303	408509	Alice
773303	408944	Ester
773303	409405	Laurinda
773303	409415	
773303	410053	Carmem
773303	410099	
773304	74573	
773304	292774	
773306	29713	
773307	151187	Baby at Storytelling
773308	68609	Lucinha
773309	284350	Herself
773310	100306	
773311	64367	Guardian Angel
773312	392629	Vitorinha
773313	70647	
773314	99662	Zelinda
773315	267690	
773316	362592	Susan Jane Smith
773317	151187	Baby at Storytelling
773318	197615	
773319	195137	Technicienne à la régie
773319	388690	Rosée Pronovost
773320	94745	
773320	204719	
773320	225575	
773321	60130	
773321	160979	
773322	49926	
773323	120274	Narrator
773324	12826	
773324	30415	Gilda
773324	46209	
773324	198193	Lelita
773324	353348	
773325	131197	
773326	20793	
773327	293646	Cacá
773327	384117	Morena
773328	251716	
773329	112763	
773329	264389	
773329	265397	Raimunda
773329	283052	
773329	385522	Laura Garcia
773329	388563	
773330	214875	Criada
773331	268993	
773332	80139	Charlotte as a Child
773333	99787	
773333	319626	
773334	55236	
773334	160193	
773335	310302	Interviewee
773336	8306	Tinuzza
773336	64233	
773336	183282	
773336	196792	
773337	8473	
773337	148470	Tina
773338	63823	Namorada do Galinha
773338	162309	Mariana
773338	384137	Vera
773339	82710	Partygoer/Demon
773340	110924	
773341	104285	
773341	222146	
773342	388591	Clara dos Anjos
773343	256153	
773344	203344	Mother
773344	247174	
773344	404869	
773345	35652	Mary Delgado
773345	39340	Mexican Girl
773346	132912	Pedestrian
773347	53676	
773347	54320	
773347	102190	
773347	351656	
773348	24206	Laura
773348	53110	
773348	258133	Fátima
773349	340689	
773350	86905	
773351	13047	
773351	243689	Herminia
773353	273671	Nathalie
773354	207063	
773355	303124	Zapisnicarka
773356	58509	The Rebel
773356	58510	Page
773356	73114	Rayne
773356	80751	Slave
773356	113414	Kelly
773357	236972	Peacock
773358	255170	
773359	15413	
773359	27479	Bal-Amai
773359	39043	
773359	74205	Yay
773359	103774	Consuelo
773359	104367	
773359	104368	
773359	107575	
773359	226852	
773359	285859	
773359	308854	
773359	387832	Consuelo
773359	392560	
773359	398996	Doña Dolores San Victores
773359	404051	Sor Cecilia
773360	128952	
773360	284521	
773360	303155	
773360	351942	
773361	1121	Pinzons Wife
773361	44659	Emilia
773361	92813	Mrs. Calvo Sotelo
773361	184870	
773361	202734	
773361	287691	
773361	293374	Tomasa
773361	299714	Juanita
773361	332586	Invitada
773362	262980	Herself
773362	379909	Paulina Almazan
773362	380963	La Flower
773362	386531	Brenda Sakal
773362	404161	Karla
773363	337444	Solange
773364	100653	
773364	235047	Anita
773364	326223	Cecilia
773364	357895	Fina niña
773366	89710	
773366	104026	
773366	137588	
773366	160614	
773366	163995	
773366	198024	
773366	198717	
773366	207638	
773366	208553	
773366	216607	
773366	238142	
773366	270137	
773366	287233	
773366	324381	
773366	325364	
773367	9692	
773367	143756	
773367	376729	
773367	398482	Pilar Martínez
773368	310338	Computer
773369	48468	Girl in Bubble
773369	89057	Crying Troop #417 Girl
773370	3438	
773371	27985	
773371	53650	
773371	74971	
773371	74972	
773371	103692	
773371	131094	
773371	136864	
773371	142737	
773371	146455	
773371	153832	
773371	169798	
773371	221567	Alexandra Aymat
773371	249775	Janette
773371	249905	
773371	252684	
773371	266864	
773371	268526	
773371	272399	
773371	296440	Madame de Chartre
773371	301141	
773371	318288	
773371	328172	
773371	336109	
773371	353619	
773372	269259	
773373	82425	
773374	205395	
773374	225039	
773374	284899	Madre de Carlos
773375	395885	
773376	222418	
773377	74571	Guadalupe
773377	148026	
773377	210445	Regina, nin~a
773378	80782	Cemetery Extra
773379	384373	
773380	213703	
773381	16517	Herself
773382	23459	
773382	252752	
773383	251327	
773384	101593	Maria Candelaria
773384	111592	
773384	111595	
773384	111597	
773384	111600	
773384	191054	Sofía
773384	193069	Nereida
773384	385253	Cristina Bazán
773384	385405	Herself (Co-Host)
773384	400486	Adriana
773384	408471	Lady Diana Cavendish
773385	133443	Bit
773385	154481	Dolly
773385	165444	Guest
773385	218849	Girl on beach
773385	329480	Model
773386	406635	Alice Bastable
773387	5923	
773387	43543	Prinzessin
773387	319519	
773388	147339	
773388	202547	
773388	235244	
773388	286275	
773389	78474	Herself (performing 'Fair pla
773389	78475	Herself - Choir
773389	114822	Herself
773390	12687	Olimpia
773391	67133	
773392	200968	
773392	215405	
773392	300689	Alina
773393	254240	
773393	341157	
773394	4911	Sarah
773394	41141	Angustias, widow Gallardo
773394	50625	
773394	66354	Marie
773394	109371	Mama Levitzky
773394	112516	Aunt
773394	125844	Old Inez
773394	129955	Mrs. Dufour
773394	146172	Rose Cominsky
773394	152873	Hanneh
773394	165103	Mrs. Levine
773394	171074	Mrs. Finshreiber
773394	196413	Madame Rabouir
773394	196899	Mamma Jessel
773394	255828	Mrs. Goldstein
773394	258011	Sarah Weinberg
773394	297266	Mrs. Cohen
773394	308758	
773394	348546	
773394	355078	The Widow Montez
773394	362669	Ferdova
773394	367687	Delima Turcott
773394	372812	Tilda (Ma) Goldfish
773395	467	Frau Leimgruber
773395	1051	
773395	4786	
773395	11871	Mrs. Lasch
773395	12855	Marulja
773395	17737	
773395	23998	
773395	28523	Frau Schikola
773395	46641	Mrs. Mayer
773395	56478	
773395	59235	
773395	79172	Frau Nielsen
773395	84905	Mrs. Keigler
773395	93429	Cärarina
773395	103066	Aranka
773395	104824	Marianne Holzinger
773395	114328	Stefanie Bruckberger
773395	117180	Mathilde Faktotum
773395	119136	Emilie
773395	119140	
773395	119203	
773395	119287	
773395	121034	
773395	122487	Sali
773395	122769	
773395	123959	
773395	125298	Die Wirtin
773395	125299	
773395	125318	Frau Suter
773395	129493	
773395	129702	
773395	130940	Donata Opferkuch
773395	137636	Rosa, Lischkas Schwester
773395	142022	
773395	142055	Frau Korbinian
773395	142097	Theres
773395	144016	
773395	144095	
773395	144176	Fanny, ihre Tochter
773395	145751	
773395	155363	
773395	155377	Frau Künzli, Haushälterin
773395	156056	Tante Mafalda
773395	156990	Rosetti, komische Alte
773395	164275	
773395	170638	Frau Stockel
773395	177137	Frau Kovacs
773395	178605	
773395	178609	Annette
773395	178612	
773395	178663	Anna Wawruschka
773395	182148	
773395	186901	
773395	188833	
773395	189646	
773395	189833	Frau Hobichler
773395	189866	
773395	191070	Therese
773395	197418	
773395	198420	
773395	207168	Birri, Garderobiere
773395	210105	Kindermann, Wirtschafterin
773395	213684	
773395	214195	
773395	220709	Frau Weber
773395	220720	Mother Weber
773395	223485	
773395	225240	Fraeulein Mauritius
773395	225744	
773395	226165	Frau Boetz
773395	226279	Agricola
773395	237734	Stasi, Kellnerin
773395	253209	Rosa, Zimmerfrau
773395	253899	
773395	254360	Brigitte
773395	264352	Fürstin Isabella
773395	268539	Bertha, Köchin
773395	275190	Frau Niederleitner
773395	281103	
773395	281105	Barbara
773395	289985	Karoline Teisinger
773395	290223	
773395	290575	Mrs. Streusler
773395	290748	Lillis Mutter
773395	307258	Emerentia Huber
773395	308830	
773395	330527	Porter's wife
773395	335037	
773395	347001	Frau Wiesinger
773395	347703	Brigitte, the cook
773395	350863	
773395	352245	Frau Stadler, Haushälterin
773395	352328	Kathi Hackhofer
773395	352386	Frau Zangerl
773395	352655	Teta Linek
773395	354110	Anna Schön
773395	359622	Katrin , Cook
773395	360921	
773395	361333	Frau Weber
773395	361372	Else
773395	361393	Schneiderwirtin
773395	361398	Alma
773396	301205	Juta
773397	182148	
773398	71378	
773398	71379	
773399	215409	
773399	366957	Woman
773400	35597	Goblin
773401	189049	Dina
773402	271363	Singer
773403	269080	Wife
773405	73703	Neighbour
773406	204184	Woman with Carmelo's baby
773407	3388	
773407	18800	
773407	57384	Cavewoman
773407	74203	Flower (the Indian girl)
773407	144889	Fat Whore
773407	222049	(segment Amor y yoga)
773407	234424	Don~a Frutos
773407	255056	
773407	286350	Messenger on horse
773408	110254	
773408	353605	
773409	3397	
773410	8582	
773410	67642	
773410	101922	
773410	233807	
773410	286578	
773410	350142	
773411	207736	
773412	85559	
773413	101042	Dolores (the maid)
773414	328536	Adriana
773415	213576	Peep-Bo
773416	61959	Praxedis' Grandmother
773417	69549	Amy
773417	71687	Beary Barrington/Suit Perform
773417	160656	Gorilla Performer
773418	204276	
773419	110254	
773420	57457	
773421	13196	Sexo servidora
773422	83755	
773422	151794	
773422	317713	
773422	336396	
773423	273573	Laura
773423	302051	Silvia
773424	68980	
773424	379854	
773425	396286	Anna (2003)
773425	397007	Weronika
773426	50690	Mrs. Linsey
773427	219769	Wee Sheila
773428	232608	Ludmilla Schollar
773428	236970	Grandmother
773429	324028	'Elephant' Chorus
773430	2762	Performer for musical "Once U
773430	46607	Esperanza
773430	152222	Mussburger's Secretary
773430	156480	Duchessa
773430	175795	Guard
773430	311153	Italian Mother
773430	315228	Bus Terminal Cop
773430	333303	Mary L.
773430	342744	Aunt Carmela
773430	408333	Kathy (2000-2001)
773431	222597	Audition screamer
773432	386	Borgia
773432	1087	Mrs. Sims
773432	4646	La comtesse de Laverdens
773432	23876	Marie Martin
773432	29408	Gabrielle Demeuse
773432	30888	
773432	37903	
773432	43000	Mme Parisot
773432	50295	
773432	56104	Blanche Brissac
773432	57377	Madame Pauline
773432	58954	Mme. Mougeot
773432	61077	Countess Lamieri
773432	67228	
773432	70631	
773432	72523	
773432	77347	La comtesse Brévannes
773432	78365	Herself
773432	84681	The aunt
773432	90755	The Countess
773432	94235	Margaret Molyneux
773432	94390	Berthe
773432	99409	La duchesse de Vimeuse
773432	107350	Madame Flora
773432	108059	
773432	110119	Leontine
773432	110138	
773432	111047	
773432	112645	Countess Canali
773432	119119	Frau Ebley
773432	121580	Madame Prade
773432	122255	Frau Dechamps
773432	123873	
773432	123928	Grandmother
773432	125737	Flora
773432	132814	Blanche
773432	134298	
773432	137545	Alice Meadows
773432	147191	
773432	160272	
773432	160860	Countess Reinhart
773432	166716	Jenny
773432	168688	Lanec Florrie
773432	169280	Catherine II of Russia
773432	169285	La tante Antonia
773432	171669	
773432	175674	Madame la Bourgmestre
773432	178810	
773432	188820	Nadja Danouw
773432	190837	Narrator (French version)
773432	193895	Mme. Delahaye
773432	194111	
773432	198840	Mme. Rose
773432	199375	
773432	200479	Rosa Duchene
773432	205203	
773432	205524	Laura Chapdelaine
773432	205733	
773432	207777	Mme Duchemin
773432	208985	Madame Bouffier
773432	210038	Sylvie
773432	212768	Herself
773432	224873	
773432	225517	Gertrude
773432	234755	Donna Assunta
773432	240581	Mme Monnier
773432	241855	Zuleide, Alizar's mother
773432	246838	
773432	249728	Mme Morelli-Johnson
773432	252321	Louise
773432	254006	Mademoiselle Edwige
773432	254101	Mrs. Clennam
773432	257611	Bit part
773432	261753	
773432	265221	La veuve
773432	268971	Elfie Brown
773432	269086	Lea Makart
773432	270838	
773432	271910	Dolorès Detcharry
773432	275122	Catherine de Médicis/Catharin
773432	275526	
773432	278148	Miss Knot
773432	282047	Madame Husson
773432	283142	
773432	288076	The Electress Sophia
773432	292360	
773432	294565	Elisabeth de Pallières, la mè
773432	294577	Maria Salvatini
773432	294740	
773432	295463	Mother Superior
773432	300666	Princess Plata d'Ettingen (th
773432	309607	Mrs. Caroline Compson
773432	314301	Mutter Leonora Guala
773432	318580	Dama di Sant'Agata
773432	321823	La diseuse de bonne aventure
773432	324183	
773432	329447	Bernardine
773432	332218	Catherine
773432	336995	
773432	340163	Madame Dubreuil
773432	343586	
773432	345100	Madame Audie
773432	345355	Louise de Kerfuntel
773432	346528	Fanny Helder
773432	348318	Lili's Grandmother
773432	349656	Mireille Dombreval
773432	352509	
773432	354696	Madame Nagy
773432	358940	
773432	371410	Mme. Moncatel
773432	377634	
773432	412201	Mme Aubry
773433	43591	
773433	269570	
773433	350142	
773434	356335	
773435	393451	Jeannine
773436	70158	Florence
773436	403108	Le chauffeur
773437	56545	Herself
773437	69961	Elaine Bidwell
773437	297190	Female Doorperson
773437	330057	Hot Club Patron
773437	355278	Miss Colorado
773438	164641	Drunk
773438	230844	Herself
773438	405202	Host
773439	357976	Nel Rawlison
773439	410486	Nel Rawlison
773440	56324	
773441	32317	
773441	156054	
773441	327505	
773441	348113	
773441	359579	
773442	329910	
773442	343654	
773442	352491	
773443	40397	
773445	327451	
773446	104778	Austrian vote presenter
773446	104779	Austrian vote presenter
773446	134812	Host
773446	407624	Host
773446	407625	Host
773447	322659	
773448	377590	
773449	103642	Monica's sister
773450	73709	Kate
773450	88856	
773450	99269	
773450	109826	Lana
773450	144657	Bride
773450	277800	Pretty Girl Skater
773450	288720	Miss Bingo
773450	290343	Second Instructress
773450	342462	Mary
773451	195751	Herself
773452	21783	Teacher
773452	126042	Eileen Blair
773452	334210	Lady Whitby
773452	335982	Miss Carlyle, Chorus Member
773452	378710	Ball Guest
773453	82742	Young Erica
773454	223700	First neighbour
773454	263606	Guest at Wake
773455	4163	
773455	6374	Neelam
773455	9808	
773455	18777	
773455	88088	
773455	124190	Sudha
773455	137829	Radha
773455	145578	
773455	152497	Leela
773455	221187	
773455	226747	
773455	271790	
773455	284976	Roopa
773455	287639	
773455	306849	
773455	320611	Reggie
773455	328353	Herself
773455	341898	
773455	384804	Herself
773456	69391	Chuck's Date #1
773457	276708	Megan
773458	179558	
773459	41197	Marilyn Kincaid
773459	344183	Salem
773460	395888	The Narrator
773461	105851	Hostess
773462	191424	
773462	206859	Allison
773463	21448	Psychiatric Patient
773463	206408	Connie
773463	209242	Young Girl
773463	347959	
773464	5885	Mother of Boy
773464	176438	Tanya Powell
773464	233528	Susan Raines
773464	270896	Ellen
773464	391666	Trusilene
773466	104295	Elena Rocco
773466	216154	Orange Moll
773467	169477	Trog Woman
773467	320076	Saleslady
773467	367083	Sun Woman
773469	2816	Winner for Best Performance b
773469	120528	Kaya
773469	177427	Film Noir Female
773469	327595	Fog
773471	68221	Vera Mendel
773471	71152	Medora, slave girl
773471	311333	Blanche
773472	186632	Andrea
773473	137936	Narrator
773475	117660	Sheila Caldwell
773476	379975	Contestant
773477	102013	Girl #2 at Play (Butterfly)
773477	196370	Maddy
773477	269800	Anatoly's Child
773477	297628	Emily
773477	314156	Younger Noreen
773477	402345	Young Joanie
773478	177412	
773478	255530	Herself
773478	317863	
773478	317864	
773478	363668	Tiger Rose
773479	386864	
773480	243651	Herself
773481	393521	Bebe The Circus Queen
773482	126040	Ape Singer (s)
773483	65612	Woman at Desire
773483	95796	Jeopardy! Contestant
773483	333347	Evelyn (Buckley's Secretary)
773485	106542	Ethel, as a girl
773485	194009	Susie Robertson
773485	267174	Heidi
773485	296768	Midge Newton
773486	30190	Joel's Mother
773486	50801	Mrs. O'Hara
773486	52528	Mrs. Burns
773486	109410	
773486	128152	Committee Woman
773486	128850	
773486	163288	Bus passenger
773486	224047	Spinster
773486	239820	His Ma
773486	249621	Bit Part
773486	264420	Laundry Trustee
773486	269318	Mrs. Ogilvie
773486	288425	One of The Three Graces
773486	289585	Sophia's aunt
773486	301868	Bit
773486	305831	Mrs. Purdy
773486	318715	Character in old painting
773486	346073	Eliza
773486	367905	Jail matron
773487	131347	Woman Reading Paper
773487	231900	Instructor
773488	121563	Sara
773488	151297	Eve
773489	87275	
773491	40204	Girl in Bar
773492	52742	Herself
773492	241395	
773493	380713	Sage Tenney Snyder (2003-pres
773494	302290	Sim
773494	368894	Melissa Grady
773495	290544	
773496	127429	Herself - author: Giants, Mon
773496	163932	Judy Tarzana
773497	342557	Mom
773498	59246	Chanta
773498	59247	Chanta
773498	63021	
773498	89059	
773498	89062	
773498	116836	
773498	214697	Miss Cummings
773498	233576	
773498	238899	
773498	238900	
773498	238901	
773498	238903	
773498	238907	
773498	282390	
773498	331380	
773499	109509	Fake Dolly Parton
773500	77350	
773501	201112	Chick#2
773502	75028	
773502	150032	Herself
773503	8945	Gemma
773503	172856	
773503	328637	Justice Department Woman
773503	397064	Herself
773503	398555	Investigator
773504	189322	Narrator
773505	384188	Presenter
773506	330221	Gladys
773507	102945	Danseuse du ventre
773509	2339	Wren
773509	41274	Vivian
773509	150798	Abigail
773510	399415	Aunt Begonia (2003)
773512	37347	
773512	49952	Gloria
773512	106355	Ms. Garfield
773512	109923	Lucy Bernstein
773512	117188	
773512	117266	Mrs. Allen
773512	162700	Siri Darma
773512	169949	Marsha Stern
773512	171207	Brenda Sands
773512	185709	Mrs. Greenaway
773512	194765	Elaine
773512	221267	Suzanne Van Der Vreken
773512	328637	Justice Department Woman
773512	339389	Jackie Kennedy
773512	362453	Sloane/Curtis Attorney
773512	387496	Lindsay
773512	388605	Barbara Bueller (1990)
773512	388975	Ellen Barash (1992)
773512	402345	Cynthia Blake (1999-2000)
773513	2781	Hampton Teen Dancer
773513	168289	Cheerleader (U-5)
773513	196549	Beth
773513	264036	Girlfriend (U-5)
773513	274751	Jennifer
773514	158497	Soraya
773515	123415	Secretary
773516	13882	Martha
773516	43603	Alley Cates
773516	67570	Maid
773516	303902	Inspector Grabitz
773516	340320	Beauty Salon Attendant
773517	121363	Jail Matron
773518	8979	
773518	124242	
773518	275019	
773518	292964	
773518	319391	
773518	319626	
773518	383276	
773518	405337	
773520	41181	Mrs. Stanton
773521	41626	(as Desert Rose)
773521	50766	(as Desert Rose)
773521	75028	
773521	81925	
773521	118292	
773521	130611	
773521	228598	
773521	372474	
773522	315781	Lucy ('Fiction')
773523	20038	Space Lady in Nightclub
773523	58507	Dr. Pascal
773523	70341	Psychedelic paint girl
773523	293047	Mrs. Wilson
773524	88115	Narrator
773525	3184	Elise
773525	12797	
773525	15427	
773525	19269	
773525	30873	
773525	37729	
773525	38502	Michelle
773525	53203	
773525	88081	Sister Faustina
773525	144228	Hilda
773525	164629	
773525	174449	
773525	185800	Linda
773525	187125	Lana Cameron
773525	237721	
773525	237722	
773525	246499	
773525	407943	
773526	303292	Rose, Donna
773527	26528	
773529	231437	Actress playing Lady Capulet
773530	180946	Nora
773531	122991	Lemonade Vendor
773531	253347	Bonnie
773533	84955	Raffaello Balzo
773534	396017	Gwendolyn
773535	333192	Victorian Baby
773536	187697	Sadie Frank
773538	239786	College student
773538	390630	Running Girl
773539	213084	Herself
773540	38601	Dolores
773540	70972	Gina Matthews
773540	75529	Marguerite/maggie
773540	80601	Susan Rosario
773540	84121	Connie
773540	133133	Angie Angel
773540	149704	Art Therapist
773540	232321	Young girl
773540	232676	Sandra Kane
773540	276889	Angela Baker
773540	288467	Donna Bruno
773540	289673	Sarah
773540	304559	
773540	304757	Angela Baker
773540	308111	Herself
773540	346069	Heidi Broonen
773540	375714	Melissa
773541	305029	Anna's Friend in White Pettic
773541	356657	
773542	50006	Bharti
773543	197236	
773545	6503	Mimi
773545	12554	Sister
773545	32250	Beth Thompson
773545	40136	Victim's Friend
773545	56096	Candace
773545	82332	Ida
773545	85143	Sister Anne Elizabeth
773545	86381	Anne
773545	91769	Georgia
773545	98174	Wendy
773545	108408	Sandra
773545	110519	Helen's Mother Joyce
773545	114691	Ruth Seraph
773545	129874	Mrs. Fitz
773545	148351	Joan
773545	169427	Exercise Matron
773545	173223	Bobbie
773545	187506	Nurse
773545	190378	Covetousness
773545	190518	Connie
773545	195365	June Graham
773545	196320	Julie Trenton
773545	213875	Joyce Milgaard
773545	224158	Jeannie Locke
773545	238587	
773545	244447	
773545	261106	Lillian Severn
773545	264608	
773545	277474	Ellen Kanachowski
773545	292818	Assistant
773545	300341	Dr. D'Ambrosia
773545	304747	Nurse Stephens
773545	304820	Claire
773545	310550	Clara
773545	314440	Dorothy Finnehard
773545	321209	Dolores
773545	333393	Judge Marshall
773545	338277	Mary Maculwain
773545	349869	Alex
773545	358370	
773545	363547	Sarah Berger
773545	365951	
773545	368118	Cyd
773545	380855	Cappie (Death by Landscape)
773545	399699	Jason's Mother
773545	407421	Harriet Penzler
773546	198977	Jan
773546	403435	Brenda
773547	352197	
773548	51916	
773549	80570	
773549	182334	Museum Girl 2
773550	68232	Dancer
773550	326741	Dancer
773551	266555	La Bommie
773552	144421	
773553	321180	Little girl
773556	27160	
773556	77630	Julia
773557	199513	Herself
773558	304066	
773558	304067	Undetermined Role
773559	327232	Guest
773560	116053	
773561	117874	Isabel
773561	313100	Billie Golden
773563	47924	Kate
773563	58494	Ellen Morrisey
773563	62699	Dede
773563	67577	Nancy Brower
773563	115470	Marilyn Nichols
773563	138759	
773563	141411	Libby
773563	147541	Judy
773563	157789	Debbie
773563	171082	Megan
773563	183587	Det. Katy Mahoney
773563	198042	Elizabeth Bradshaw
773563	224326	Joann Brodsky
773563	257870	Marcy
773563	273623	Columbine Cromwell
773563	292473	
773563	328247	
773563	332897	Melanie Silber
773563	334157	Constance Bigelow
773563	342605	Lisa Hines
773563	356351	Truddi's Mother
773563	360124	
773563	388237	Victoria Gioberti Hogan Stavr
773563	395063	Det. Katy Mahoney
773563	406319	Dr. Susan Birch (1986-1988)
773564	86748	Anna Sage
773564	115586	Hettie White
773564	124089	
773564	137684	Grandmama Addams
773564	154694	Elsie, Sheriff's Secretary
773564	192411	
773564	218530	Mrs. Edith Freeman
773564	241692	Mrs. Kingsley, 'Average Man' 
773564	318845	Mrs. McIlhenny
773564	384545	Mrs. Selby
773564	385719	Lady next to Victoria on trai
773564	396088	Sarah Dale #1 (1951-1960)
773564	401397	Audrey Dexter
773564	403730	Mrs. Bulfinch
773564	404694	Aggie 'Aunt Aggie' Parsons (1
773564	405882	Becky Winkle (1974-1975)
773564	411375	Aunt Bessie
773565	109938	Nosering Girl
773565	327836	Clinic Nurses
773566	249569	
773567	248937	Grandma
773568	265861	Jamie
773569	331341	Kid
773570	332834	Girl
773571	213350	McMaster girl
773573	355348	Voice
773574	49536	
773574	85653	Pedestrian
773574	96861	Del Rio Hat Check Girl
773574	116538	Nurse
773574	164605	Mrs. Brown
773574	209599	Hairdresser
773574	213976	Secretary
773574	366793	Lab techncian
773575	303666	American girl
773576	80695	Dancer in Nightclub
773577	358703	Doctor
773577	389124	Smither
773578	314938	Vocals/Percussion
773579	39155	Julie
773579	138309	Businesswoman
773579	186633	Deborah Minx
773579	276892	Julie Newmar/Catwoman
773579	308128	Harry's Old Flame
773579	361632	Bess Dufrene
773580	293228	Grandma
773581	259749	Marie Pollock
773582	94055	Herself (author)
773583	331339	
773584	66587	
773584	283914	US Embassy Receptionist
773584	296100	Blonde beach girl
773584	305223	Donna Moss
773585	127506	Louise Blair
773586	102734	Rona (segment "Party for Two"
773587	298853	Receptionist
773588	195458	Puritan Girl
773588	294140	Wanda Baker
773589	311209	First Victim
773590	149769	Diana
773592	241726	Amelia
773593	113286	Bar Patron
773594	329833	Girl Smoker
773595	82713	Miss July
773595	102764	
773595	334312	Prom Queen
773595	336449	Rita
773596	306991	
773597	1594	
773597	6720	Herself
773597	6721	Herself
773597	36740	
773597	47141	NonSex
773597	54455	
773597	57127	
773597	158603	
773597	178324	
773597	199345	
773597	243475	
773597	260806	
773597	295884	
773597	347685	
773597	372540	
773598	106427	
773598	196598	
773599	127147	
773599	393058	Herself
773600	68690	Waitress
773600	94202	Barbara
773600	175645	Erin
773600	263287	Monica
773601	170558	Tasha
773601	332402	Shannon
773601	367083	Running Girl
773601	409741	Sindee (1998)
773602	54994	Nancy Graham
773602	62422	Elderly Woman
773602	69396	Monica
773602	194738	Mrs. Rubin
773602	195801	Gallery Patron
773602	223920	Katherine Douglas
773602	223963	Nancy
773602	239716	Old Woman
773602	271325	Laura Stanton
773602	298216	Milly Grady
773602	385697	Emily
773603	302143	Miryem
773604	363977	Bookmobile Girl #2
773605	307457	Nurse #1
773605	406579	Miss Yarnell
773606	57817	
773606	99067	Olga
773607	104774	United Kingdom entry (12th pl
773607	386963	Grace Rema (2003-)
773608	130181	Border Girl
773609	11549	
773609	293048	Gallery Admirer
773610	353457	
773611	303550	Female Actor
773611	303958	
773611	341442	(segment Grasshopper)
773611	382846	Aquilla Peters
773612	388	
773612	222050	
773613	2597	Casey
773613	46670	Torchy's Waitress
773613	65022	Donna Robbins
773613	95790	Agent McCormick
773613	97035	
773613	120615	
773613	143108	
773613	147603	Mrs. Kramer
773613	151007	Caroline
773613	222739	Nancy Horst
773613	257204	Betty Roubideaux
773613	308094	2nd Club Act
773613	315958	Anita
773613	340732	Ms. Jessum
773613	391199	Kelly Enright
773613	403206	Baker
773614	46269	Sally
773615	24959	
773615	27350	
773615	31714	
773615	87389	
773615	113774	
773615	133593	
773615	147757	
773615	197485	Allison
773615	235497	
773615	241655	
773615	363998	
773616	155912	
773617	103642	Patti, businesswoman
773617	236140	Hank's Other Woman
773618	392160	Herself
773619	301617	
773620	83761	
773621	371057	Miss Mirell
773622	152672	
773622	295614	Olivia Smith
773622	353298	Yuppie Woman
773623	351239	Roya
773624	256618	Isabel
773625	45591	Girl in Diner
773625	192403	Faith Ferguson
773625	332402	Bev
773626	200864	Shopper
773626	289749	Pharmacy Patrons
773627	386836	Hostess
773627	405613	Assistant
773628	347369	Layla
773629	53516	Toronto Kid
773629	79259	Actress
773629	318644	Maniac patient
773630	394424	Additional Voices
773631	234069	
773632	383863	Alexandra
773633	2709	Blonde in Office
773633	4946	Flirty Girl
773633	47077	Nervous Cheerleader
773633	106361	Jamie
773633	158999	Stripper
773633	182955	Marilyn Monroe
773633	187191	Freshman Girl
773633	235403	Sara Fratelli
773633	342331	Cyndi
773633	406279	Daphne Wallace
773634	256437	Jessie
773635	134195	Movie Theatre Kid
773635	142668	Little Girl
773635	259278	Linda Mandell
773635	405089	Alison Granger
773636	160958	Stewardess
773636	313459	Leesub Sirln
773638	19176	Receptionist
773639	62992	Mrs. Fezziwig
773640	387024	Host
773640	392857	
773642	84838	Hawaiian Girl
773643	102108	Herself
773644	874	Michelle
773644	79762	Amanda
773644	81950	Charlotte
773644	121808	Jenny
773644	211440	Kate
773645	308175	Nurse
773645	310679	Olga
773646	347947	The Talkative Woman
773647	51728	Morena
773647	109810	Model 1
773647	246756	Rachel
773648	77803	Paige
773649	41632	
773650	354854	Amy
773652	267530	
773652	368654	Mary Beth
773653	37948	Court Clerk
773653	49640	Lulu
773653	105884	Sister Vera
773653	108086	Rhoda
773653	150814	Mrs. de Voto
773653	155857	Irma Blakely
773653	232838	Fritz' Old Lady
773653	239009	Mrs. Hoffman
773653	331416	Selma
773653	387309	Ruth Prentiss Tuttle #2 (1968
773653	396994	Mrs. Fedder (1976-1977)
773653	407794	Nurse Mildred MacInerny (1972
773654	192340	Cocktail Waitress
773655	114312	Robin
773656	16144	Kate
773656	101065	Petra Stockmann
773656	110319	Sarah
773656	121521	Therapist
773656	127094	Hospital Administrator
773656	158106	
773656	176823	Samantha's Maid
773656	185567	Sheila Lollar
773656	192302	Jason's Mother
773656	197065	Vivian Vance
773656	240785	Wild-Eyed Woman
773656	257078	Edna
773656	265761	Beth
773656	292641	Dr. Gericka
773656	308128	Hamptons Nurse
773656	310715	Teacher
773656	313596	Linda
773656	362453	Kitchen Secretary
773656	411013	Katie Donahue (1978-1979)
773657	108530	Lorna, Jailbait
773658	37387	Isabelle
773658	134246	Lois
773658	201506	Herself
773658	241574	
773658	310303	Roaring '20's Girl
773658	333856	Lucy Noel Martha Dyer-Edwards
773659	50356	
773659	53033	Extra
773659	374419	Maria
773660	105302	
773661	153315	
773661	255796	
773661	359360	
773662	88011	
773663	365639	Betty
773664	11925	
773664	157040	Mimi Erdody
773664	163932	Vicky West
773665	87104	Mion
773666	42775	Herself
773667	30056	Louie's Woman
773667	147897	Waitress
773667	218599	Girl in Castle Anthrax
773668	20091	Susan
773668	185252	Rosie
773668	329477	Pam
773668	387987	Young Iris
773670	330050	
773671	37563	
773671	232645	
773671	283294	
773671	283295	
773671	288929	Hooker with Cat
773671	360249	
773672	165448	Adele
773672	382830	Mary Robinson
773673	296783	Sibylla
773674	300860	Herself
773675	80943	Dance Teacher
773676	7884	First Tribe
773676	14161	Mary Jo
773676	39862	Prof. Ursula Undershaft/After
773676	42822	Suzanne
773676	65632	Rita Paris
773676	75811	Susan
773676	80705	Doris
773676	82683	Wanda
773676	84889	Marilyn
773676	91892	Lisa Shane
773676	102837	(segment "Adventure: The Beac
773676	113359	Amanda
773676	113376	Tanya
773676	113989	Dancer
773676	115068	Young Belle
773676	135996	Mary Harris
773676	147920	Bridget
773676	157484	Herself
773676	157701	Debbie
773676	160408	Bethany (segment "The Leda")
773676	160415	(segment "The Freak")
773676	176801	Pamela
773676	177464	Molly
773676	182958	Hot Nurse
773676	206609	Bree
773676	208491	Cody Randal
773676	208993	Jane
773676	230583	Darla
773676	233923	Jodie
773676	236905	Brooke Martin
773676	252929	Rosalee
773676	257508	Darlene Murphy
773676	270848	Mary
773676	318729	Kathy
773676	330701	Nurse
773676	347369	Girl in Jeep
773676	353426	
773676	357129	Chloe Hawke
773676	368894	Tiffany
773676	382164	Prof. Ursula Undershaft/After
773677	309820	Sharon
773678	255297	Adele
773678	407360	Minou
773679	218530	South American Heiress
773680	379151	Herself
773681	132223	Mello
773682	3919	Roz
773683	269692	Salacious Girl
773684	247991	
773685	408880	Brady (series 2)
773686	380246	Angela Anaconda
773687	1583	
773687	26895	
773687	26896	
773687	26914	
773687	34817	
773687	34863	
773687	34919	Herself
773687	39307	
773687	39783	
773687	41846	
773687	49510	Herself
773687	52419	
773687	53199	
773687	66114	
773687	67352	
773687	91834	Herself
773687	127804	Herself
773687	128861	
773687	130288	
773687	131508	
773687	148558	
773687	149672	
773687	183597	
773687	187392	Herself
773687	199234	
773687	210474	
773687	252171	
773687	252172	
773687	253459	
773687	255161	
773687	280185	
773687	311458	Herself
773687	321020	
773687	321050	Herself
773687	325262	
773687	339531	Herself
773688	196571	Party Goer
773689	193803	Suzie
773690	87566	Daisy
773691	242111	Coconut #2
773693	213186	Monitoring Operator
773694	176712	Melanie Harrhouse
773696	69392	Secretary
773697	306190	Katie
773698	188461	Teacher
773699	15888	
773699	33105	
773699	98045	Singer (for Leny Marenbach)
773699	170663	Singer
773699	180637	Mrs. Bock
773699	356724	Frau Dabenbrodt
773699	356860	Singer
773699	379882	Frau Pausin
773700	53937	Rollerbabe #1
773700	215456	
773702	33	Cory Lee
773702	7982	Hotel Receptionist
773702	140943	Venetia
773702	221306	Marcy
773702	230422	Juliet
773702	281836	Maude
773702	320316	Jennifer Reynolds
773702	343157	Daphne (Benjamin's girlfriend
773703	88561	Lapdancer
773703	160427	
773703	232648	
773703	312384	
773703	361914	
773704	74758	Barbara Wyckham
773704	75275	Tilly Wynn
773704	78911	
773704	81121	Agnes Gregory
773704	112596	Diana Rivers
773704	117285	Phyllis Chisholm
773704	186813	Lady Susan Redwood
773704	239658	Lorna Barnett
773704	292123	Jenny Murdoch
773704	315594	Trixie Merritt
773704	341895	Louise Stoatt
773704	359467	Miss Conway
773705	7010	Woman at Circus
773705	117454	Ma Hercules
773705	301716	Boarding House Wife
773706	40125	Dorcas Deane
773706	160710	Dorcas Dene
773706	222641	Dorcas Dene
773706	361295	Dorcas Dene
773708	78379	
773708	115333	
773708	231675	Frenchman's Sweetheart
773708	346691	Marie
773709	59536	
773709	137965	
773709	141674	Boulevard Girl
773709	201597	Kitchen Maid
773709	207498	Samantha
773709	260697	Lana
773709	277090	Lori
773710	87409	Additional Voices
773710	130730	Instructor C, Colorist
773710	177093	Secretary
773710	298966	Gene
773710	380473	Additional Voices
773710	405144	Female Doctor, Additional Voi
773711	846	Herself - #66: Terrible Talk 
773711	1145	Herself
773711	1634	Herself
773711	2726	Herself
773711	2762	Herself - Presenter - Feature
773711	4671	Herself
773711	18544	Party Girl
773711	26959	Nancy Seavers
773711	41829	Dot, Vinnie's Wife
773711	42365	Herself
773711	57560	Herself
773711	68107	Herself
773711	77831	
773711	81486	Herself
773711	96555	Herself
773711	104965	Madame Zoe
773711	106635	Herself
773711	119437	Childless Woman
773711	119525	Herself (host)
773711	121804	Herself
773711	121861	Herself
773711	126502	Herself
773711	138717	Herself
773711	148333	Maggie
773711	154055	Herself
773711	154399	Herself
773711	160464	Herself
773711	168656	Herself
773711	194213	Julie
773711	209683	Herself
773711	240547	
773711	245889	The Wicked Witch of the West
773711	280387	Herself
773711	281912	
773711	288715	Herself
773711	298127	Ruth Patchett
773711	302438	Herself
773711	335540	Herself
773711	342181	Herself
773711	347562	Herself/Roseanne Conner
773711	348106	Herself
773711	362329	Herself
773711	365843	Herself
773711	367651	Joyce Jackson
773711	383802	Herself
773711	389858	Jennifer Smith #2 (1994)
773711	391835	Herself
773711	395748	Little Rosie
773711	402976	Herself
773711	403764	Herself - Host
773711	403765	Roseanne Conner
773711	403774	Rosey
773711	403878	Herself
773711	404342	
773711	404883	Herself
773711	409121	Herself
773712	116443	Model
773713	300329	
773715	255349	
773716	32052	Woman Official
773716	52199	Nurse
773716	78843	Travel Agent
773716	108319	Mintz's Assistant
773716	139702	Mary
773716	151351	THC Woman
773716	154516	The Sisters
773716	161594	First Actress
773716	182955	Ellis Loew's Secretary
773716	231088	Lena
773716	254415	Demon Nurse
773716	268685	Marilyn Dixon
773716	283546	Humorless Delegate
773716	308310	Ms. Crabb
773716	390046	Mrs. Grey (2000-)
773717	360267	
773718	315446	Sissi
773719	3396	
773719	80326	
773719	103324	
773719	190997	
773719	207925	
773719	217311	
773719	223618	
773719	247845	Reportera
773719	255551	
773719	296125	
773720	33742	Carnival Gypsy
773720	203918	Jordan's Aide
773720	254645	Iris
773720	301540	Stacy Hubka
773721	132909	Pedestrian
773722	41475	Mother
773723	63890	
773724	273783	Granddaughter
773725	86730	
773726	14419	
773727	263089	Mourner 1
773728	26812	
773729	266775	Fricki
773730	119519	
773730	211528	Diana Roseman
773731	352736	
773732	315777	Shamika
773733	211986	Pilot 6
773733	360855	Female Model
773734	326389	Valerie
773735	6640	Herself
773735	14728	
773735	34758	
773735	36924	
773735	57112	
773735	75191	
773735	117369	Herself
773735	127042	Helen
773735	150062	
773735	169570	Herself
773735	225913	
773735	234631	
773735	244679	
773735	270640	
773735	307756	
773735	313213	
773735	319519	
773735	321050	Herself
773735	358074	
773736	36492	Nonokusa/Girl
773737	387686	Gasela del Cerro
773738	18827	Nurse 1
773739	17073	Bathroom Woman (old movie)
773740	5990	
773740	34687	A Rich Heiress
773740	64060	
773740	75293	Lillie Lockwood as an Adult
773740	128385	Lucy Daine
773740	128806	Bella
773740	187721	
773740	298009	
773740	298023	
773740	298082	
773740	312553	Agnes
773740	329835	Thelma
773740	343109	Tony's Wife
773740	345821	Eliza
773740	353283	
773740	366460	The Queen of Sicilia
773741	194093	Girl
773742	18037	Dental assistant
773742	26666	Rita
773742	27207	Nurse #3
773742	69549	Assistant
773742	78102	Platt Receptionist
773742	90911	
773742	100820	Waitress
773742	116952	Tracy
773742	139498	Monica Carver
773742	168553	John´s mother
773742	194009	Waitress
773742	196370	Dr. Debbie Waldman
773742	224073	Anya Stasiuk
773742	292046	
773742	293099	Road Rage Woman
773742	296768	Waitress
773742	309498	Nurse
773742	339566	Cathy Newman
773742	362598	Cosmo's Date
773742	375113	Sara
773743	6889	
773744	319088	Bettan
773744	390854	En syster uggla (segments 1, 
773745	17102	Rabbi's wife
773745	145509	Nun
773745	186601	
773745	205052	
773745	371802	
773745	382327	Ahuva Brown
773745	391124	
773745	393144	Shiffra Shcullman
773745	399475	Various
773746	214467	Projectionist's Girlfriend
773747	36670	Agnes
773747	59883	Gabrielle
773747	63856	
773747	65995	Blond Girl
773747	72629	
773747	112730	Eliane Vercel
773747	284259	Jeune fille 7
773747	346218	Audrey
773747	353957	Une étudiante
773747	382219	Vanessa
773747	384742	Katie Winter
773747	396714	Pauline
773748	222124	
773749	70857	Olga Ancira
773749	113225	Claudia
773749	207655	
773749	223612	
773749	246966	
773749	273961	
773749	296443	
773749	302380	Lucia
773749	322402	
773749	337955	
773749	355484	Angela
773749	380114	Maria Ines Amezcua
773749	405414	
773750	130117	
773751	72361	
773751	312703	Herself
773751	356660	
773752	352405	Woman in Nightmare
773753	10152	Jennifer
773753	195300	Press Conference Reporter
773753	383631	Angie Lynch
773754	20989	Herself
773755	26476	Lisa
773755	40533	New Dawn Kid
773755	80941	Abigail Jane Stewart/Abby
773755	106507	
773755	141236	Dara
773755	149434	Unknown (Cameo)
773755	151052	Skye
773755	152910	Jean Marie
773755	197016	April
773755	222630	Sophie Carter
773755	224158	Jessie Locke
773755	276197	Irene Caroli
773755	287131	Jinx
773756	165252	Innocent Girl
773757	70190	
773757	277616	Darla Ray
773758	3973	Birdwatcher
773759	390653	Dancer (1992-1993)
773760	392121	Chloe
773761	304408	Ola Månsson
773762	5752	
773762	9668	Diana Lee
773762	14638	Maria Elena
773762	67215	
773762	70141	
773762	73290	
773762	95181	Palace maid
773762	96353	
773762	101045	
773762	169962	
773762	207658	Rosalba
773762	225589	
773762	243445	
773762	252987	Isabela Santiago Casillas
773762	263040	
773762	277369	Juana
773762	283202	
773762	306705	
773762	366080	Big City Neighbor
773762	371753	
773762	380445	Manuela de Soto
773762	381839	Enfermera
773762	384864	
773762	387577	Blanca
773762	392494	Host
773762	392806	Fernanda/Sra. Fiona/Francesca
773762	396394	
773762	404827	Andrea Álvarez
773762	405842	Julieta
773762	408709	Julia
773762	412143	Dolores Lola Vega
773763	31735	Paula Sue Palumbo
773764	220080	Wild Babe
773765	366743	Townsperson
773766	230892	The Maid
773766	253230	Popcorn girl
773767	309213	Chris
773768	177204	Samantha
773769	292637	Nurse #1
773770	11854	Cleo Briest
773770	12411	Caroline Zumboden
773770	18534	Verteidigerin
773770	24355	Dr. Lohmann
773770	40967	Elaine Troost
773770	67958	Ramona, the Madame
773770	92284	Doris
773770	109501	Frau von Seckbach
773770	129668	Marie-Theres Lamprecht (adult
773770	145099	Verena Dirberg
773770	175282	Megan
773770	198533	
773770	210103	Clara Retzlaff
773770	211727	Grand Lady in Paris
773770	216266	Ines Grezelius
773770	231479	Gunda Friedrichs
773770	259457	Margarete Welfen
773770	270426	Babette/Paula Breuer
773770	287771	Teresa Mancini
773770	290107	Seffin
773770	290643	Nora
773770	314309	Manuela
773770	316531	Sibylle Teske
773770	324866	Maria
773770	325451	Reingard
773770	325477	Karin Lange
773770	325837	Vera Klein
773770	325949	Margot Hofmann
773770	338959	
773770	376575	Mutter
773770	377345	
773770	388468	
773770	404183	Alma Glempegg
773770	406814	Bella von Bergstrom
773771	301693	Young Woman in Bank
773772	77398	Mrs. Smith
773772	106391	Woman in airport
773773	318729	Beautiful Lady
773774	331234	Punk Rock Girl
773775	177951	Mama
773776	53084	
773776	54331	
773776	74541	
773776	80266	
773776	82387	
773776	83756	
773776	103991	
773776	121330	
773776	148028	
773776	148166	
773776	205006	
773776	221552	
773776	246497	
773776	266058	Cristina Douglas
773776	306698	Amalia
773776	352945	
773776	391420	
773776	399083	Estela Maris Carreras
773776	402587	Georgina
773777	26478	
773778	155912	
773779	219880	Geneva
773780	103135	
773781	249420	Child Lilli
773782	229046	
773783	97899	Lisa
773783	104970	Sister
773783	289232	Patricia
773784	27841	Sexy mugger
773785	406624	
773786	171723	
773787	94674	Secretary
773788	76722	Little Girl
773789	120274	Sandra
773789	234515	Merry
773789	274295	Erica's Ghost
773789	318671	Dating girl
773789	346413	Elly
773789	364783	Waitress
773790	78474	Herself (performing 'Smil ove
773790	168430	Jesus
773790	219237	Vera
773790	306382	Voice of 'Snøvsen'
773790	306383	Snøvsen
773790	382884	Maria
773790	401573	Nicos Mor
773791	46153	Ditz a.k.a. Portia
773791	246285	Emily
773791	390123	Talia
773791	392666	Caitie Roth
773792	59726	Jannie
773792	78474	Herself (performing 'Smil ove
773792	303747	Employer
773792	305882	Hekla
773792	399512	Sugar
773794	297396	Kid's Mode Voice
773795	141143	Katharina Brause
773795	325863	Christa
773796	218210	
773798	130699	Cynthia Vesson
773799	219692	Singer in Russian Band
773800	317570	Martin Thorwaldsen
773800	388756	
773801	126130	Resident of Villagio
773802	14061	Herself
773802	23315	Herself
773802	120699	Herself
773802	142123	Herself
773802	208881	Herself
773802	233307	Herself - Handcuffed with Hus
773802	384590	Herself (sentenced to death f
773802	388656	Herself (atomic spy)
773803	102013	Girl #3 at Play (Flower)
773804	191648	Sally
773805	91007	
773805	180882	
773806	16556	Mutter
773806	393878	Hedwig Sonnleitner
773807	323594	Audition Singer
773808	69738	Nurse
773809	80959	
773810	246034	Herself - Performer
773812	6082	
773812	8653	Gilda
773812	131776	Ground Stewardess
773812	327239	Ruth
773813	214662	1920's Flapper
773814	83842	Nurse
773816	315747	Sonia
773817	153219	Herself
773817	171431	Anna
773817	401873	Herself - Participant - Winne
773818	24042	Herself
773818	39099	Sara
773818	179798	
773818	189846	Herself
773818	189852	Herself
773818	189863	Herself
773818	261147	Herself
773818	275039	
773819	136619	Dame med blåræv
773820	389138	Konfirmant
773821	147763	
773822	235488	Finnish twin
773823	381436	Melissa (1998-)
773824	301423	
773826	343519	
773827	344184	Aunt Vagina
773828	225450	
773829	118548	Violet Kahn
773829	299726	Tess
773829	303997	Lou
773829	342835	Tanya
773830	89250	Woman in dance hall
773831	54362	Lulu
773831	100744	Annie
773832	235488	Finnish twin
773833	316961	Herald Tribune Girl
773833	346139	Young Violet
773834	6117	Talk-show host
773834	8363	Lena
773834	23415	Nettan
773834	62446	Aina K.
773834	96420	Vivianne
773834	100477	Cissi Södergren
773834	218054	Sofia
773834	394936	Various Roles
773834	401207	Anna
773834	402873	Sonja
773834	405378	Kristina
773835	135000	Herself (New York)
773836	264168	Dunastar
773837	345286	
773838	18517	
773838	24387	Mutter
773838	281949	Karola
773839	26176	
773839	42193	
773839	51262	
773839	122765	
773839	155648	Viktor's wife
773839	193457	
773839	258578	Pepca
773839	265045	
773839	266023	Anezka
773839	341631	Mrs. Slívenecká
773839	374534	Pretender
773840	367951	Herself
773841	55699	ATS
773841	140105	Reporter
773841	192268	Customer #5
773841	193385	
773841	278001	Betsy Blankett
773841	342049	American Woman
773841	396451	Mrs. Scuster
773842	63856	Dance girl 2
773843	295853	Herself
773844	79611	Mother
773844	141075	Interviewer
773844	142541	Occultist #2
773844	155277	Mikey's Teacher
773844	171191	Mrs. Edelberg
773844	190273	Tiffany's Mom
773844	208992	Woman in Boutique
773844	213320	Puck
773844	244927	Mrs. Soames
773844	257764	Giselle
773844	283551	Recital Woman
773844	309039	Astrid Weinstein
773844	321247	Pearl
773845	285722	
773845	337735	Adèle Servier
773846	226937	Mrs. Redmond
773847	191505	Housekeeper
773847	219555	Neighbor
773847	275784	First old woman
773848	253773	Cantor
773850	105819	Squat housemate
773851	174285	
773851	174999	Herself
773852	89327	Other Cast
773852	321559	$100 Gambler
773853	96339	
773854	321559	$100 Gambler
773855	188114	Honey
773856	169136	Child Chorus
773857	84514	
773857	124235	
773857	269539	
773858	19058	Gertrud Helms
773858	388756	Gesa Mewes
773858	399105	Host (1985)
773859	51532	
773860	213852	Abby Davis
773861	115163	Luke's Mother
773862	364227	Herself
773863	101229	La mère
773863	235038	Celia
773864	286708	Pauline
773865	3958	
773865	114266	Diane
773865	355786	Herself
773865	381380	LaToya
773866	154075	Stuepige
773866	169973	Barbara
773866	321992	Sophie
773867	78267	Herself (performing 'You & I'
773867	78269	Herself - Performer
773867	132874	Herself (performing 'Dansevis
773867	280009	Herself - Performer
773867	280138	Herself - Swan Lee
773867	314990	Herself
773867	376101	Herself - Presenter
773867	376103	Herself
773868	394128	Oldemor
773869	78613	
773870	227305	Herself ('Nana')
773871	209170	Daughter
773872	132914	Girl in Line
773873	399503	
773874	317353	
773875	249579	Maid Marion
773876	232799	Blind person
773877	243033	Karen
773878	92729	Armadona
773878	220775	Genevieve
773878	277885	
773878	351778	Interviewee
773878	363953	Rita Fishman
773879	118376	Tamara Rosenfeld
773880	161473	Herself
773881	55388	Niña
773882	26423	Marie
773883	320031	
773884	279998	Cheryl
773885	188511	Candy Striper
773886	5060	Doctor
773887	97868	Marja Elisabeth Benzon
773887	115423	Karin Lind
773887	115426	Inga Lundberg
773887	136611	Hustru
773887	144235	Hotel-Keeper
773887	153742	Bodmaron
773887	178753	Birgit Bergman
773887	182262	Maj Andersson
773887	182304	Birgit Jansson
773887	184925	Maj Larsson
773887	190845	Mary Björkman
773887	217007	Eva-Maria Dahl
773887	296207	Gun Lind
773887	303661	Ingrid Bille
773887	303921	Annika Helle, nr 7
773887	348501	Ulla
773887	377389	Greta
773887	378737	
773888	123495	Mrs. Bergencrantz
773888	140046	Mrs. Cederström
773888	213937	Mrs. Harden
773889	139647	Anja (Harry's daughter)
773890	109131	Lola Brio
773890	138496	Lilian
773890	182549	Olivia Dangerfield
773890	357804	Okänd roll
773891	159902	Linnea
773892	244075	En liten flicka
773893	390771	Marina Cooper #1 (1993-1994)
773894	249557	Dr. Green
773895	113489	Student
773895	198897	Roxy
773895	278082	Townie Girl #4
773896	94622	
773897	178961	Værtshusgæst
773897	253008	
773898	175249	Gerda Jessike
773898	325825	Brigitta Alhauser
773898	383108	Helga Thieme
773899	75993	
773899	268510	
773899	339310	
773900	213520	Prostituée russe
773900	301522	
773901	233695	Maria Buck
773901	330610	Erika
773902	78677	Biker Girl
773902	150075	
773902	155929	Olga Berg
773902	239786	College student
773902	370017	The Party Girl
773903	93516	
773903	124795	Hooker
773903	233695	Natali Bendix
773903	284399	Martins mor
773903	322293	Guest at Café
773904	234826	Nonne/Nun
773905	52047	
773905	205435	
773905	266842	
773905	318639	
773905	355478	
773906	3231	Tigerlilly
773906	301220	Sara
773907	146478	
773907	300737	
773908	290132	
773909	87948	The Girlfriend
773910	99422	Emily age 13
773910	248183	Lina
773910	263700	
773910	379797	Allis
773910	401515	Desdemona
773910	405593	Vanessa
773911	248183	Young Lina
773912	334115	Herself
773913	27598	Herself - Participant
773913	403530	Herself - Participant
773913	403531	Herself - Participant
773913	403535	Herself - Participant (2003)
773913	403536	Herself - Participant (2003)
773914	136316	
773915	172170	
773916	289372	Grandmother
773917	84163	
773918	313334	TV Studio Crew
773919	366061	Haley
773920	309804	Erika
773921	153091	
773922	6596	
773923	37786	4th Seance Member
773923	67994	Dr. Mindy Cohn, DVM [Unauthor
773923	68772	Monkey
773923	296543	G.H.Q. Corporal Jefferson
773923	313715	Gas Customer
773923	387311	Various
773923	392686	Various Characters (1993-1994
773924	408487	Prudence Plumm
773925	265624	Crazy Lady
773926	232676	University Student
773927	325856	
773928	98656	Buxom Lass
773929	148446	Beautiful Girl in Sports Bar
773929	386489	Ms. Nicholson
773930	16045	Extra
773930	276212	Extra
773930	343185	Extra
773931	176632	Dancer in club
773932	327906	Gia
773933	59151	Family Court Member
773934	74881	Mrs. DeGennaro
773934	209658	Wedding Worker
773934	275430	Mrs. Waxman
773934	366998	Forewoman Trial 4
773935	311854	Herself
773936	299887	Zora Zakowski
773937	80969	Rich Postal Customer
773937	118980	Snooty Customer
773937	244421	Country Club Member Joy
773937	271344	Brunch Patron
773937	283410	Limo Woman
773938	224383	Little Girl
773939	128814	
773940	81562	Herself
773941	20565	Mae's Friend #2
773942	234694	Herself
773943	123456	Party Guest
773943	230508	Sarah Friedberg
773944	72116	Adna
773945	236657	
773946	235519	Mahtob
773947	79775	Customer in Hairdressers
773947	361978	Pretentious Parent
773947	366968	Betty
773948	381908	Host (2000)
773949	13356	Temp Agency Woman
773950	109298	Dame hos lægen
773950	149121	
773950	181750	Fru Andersen
773950	275626	Patient
773950	283484	Borger
773950	395824	Dame
773951	66652	Herself
773952	40029	Dwight's Daughter
773952	52007	ADA
773953	356326	Herself
773954	1870	Lily (Age 1)
773955	1870	Lily (Age 1)
773956	45375	
773956	252321	
773957	80092	
773958	14467	
773958	16980	Fanchette
773958	19319	
773958	19751	
773958	31354	Céline
773958	43005	
773958	48282	Danielle Geny
773958	54250	L'aubergiste
773958	54403	Pazanne
773958	64333	Herself (1982)
773958	68381	L'auto-stoppeuse
773958	69933	Sister
773958	73141	L'occasionnelle
773958	76149	Girl at the bar
773958	82941	Rosette
773958	83179	Solange
773958	94387	Sylviane, la mère de Francis
773958	106048	Helene
773958	111020	Concierge
773958	112840	Marie Amoretti
773958	132751	La soeur de Caroline
773958	146753	Rose
773958	157662	La femme de la Ddass
773958	164680	
773958	166160	Perla
773958	167239	
773958	186192	Patronne blanchisserie
773958	205437	Prostitute
773958	236596	
773958	243345	Isabelle
773958	245935	Elisabeth
773958	245940	
773958	249293	La femme à l'angine
773958	251021	Louisette
773958	268199	Pilgrim Esther
773958	273020	Françoise in Paris
773958	282017	
773958	282018	
773958	282019	
773958	282020	
773958	346709	Mlle Aurélie
773958	381590	Rachel
773958	386101	Sylviane
773958	387039	Josette
773959	289652	
773960	324502	Dancer
773961	123380	Irene
773962	218435	Cardiologist
773962	259501	
773962	347637	
773962	387751	Dr. Tina Jaeger (2004-)
773963	156277	
773963	356405	
773964	12217	Beth From Denver
773964	46270	Granola Girl
773964	79276	G Force
773964	87215	Margaret
773964	126201	
773964	144695	Bob & Rob's assistant
773964	157937	Alicia
773964	213325	Tami
773964	243150	Dana
773964	255164	Mary
773964	293770	
773964	363492	Stacy/Fawn
773965	380583	Host (1971-????)
773965	388082	Co-Host (1977-19??)
773965	392561	Host (1982-1989)
773965	411188	Host
773966	252988	Young Andrea
773966	314434	Karen Mills
773967	51855	Lady
773968	394074	
773969	93992	Dr. Kitteredge
773969	135738	HYB
773970	327331	
773971	27247	Performer: Bad Girls The Musi
773971	78740	
773971	135865	Roshini
773971	167048	Maid By Fire/Ensemble
773971	186200	Warden 643
773971	207388	Preeti
773971	249592	Performer
773972	129925	Jeanne
773973	4160	Sita Dard
773973	4173	
773973	166463	
773973	286844	Nisha
773973	366598	Sister
773974	394646	Herself
773975	228404	Female Doctor
773976	403532	Herself - Participant
773976	403536	Herself - Participant (2000, 
773977	5078	Hagar
773977	23701	Giulia
773977	56025	
773977	67424	
773977	73646	Flora Miguel
773977	86819	
773977	108112	
773977	230123	Sonsoles
773977	379785	Gypsy
773979	37210	Nolan's Volunteer
773980	255613	Hania
773981	155932	
773981	244020	Vera Simonovic ... cerka
773981	286714	
773981	354391	Ujna
773981	356038	
773981	412006	
773982	346503	Nathalie
773983	95573	Violeta
773983	174683	Margarita
773983	297091	Rosie, teen dance contest win
773983	330057	Rest Stop Couple
773983	388213	Sherry
773984	43714	Pompon
773984	63677	
773985	243427	
773986	19201	La jeune fille ivre
773986	195200	Cathy
773986	272613	
773986	280530	
773986	377488	La libraire du drugstore
773987	53943	
773987	88975	
773987	113239	
773988	44983	Diana
773988	59321	Hélène Rodier
773988	83227	Florence
773988	107533	La secrétaire
773988	184784	
773988	199131	
773988	207630	Cathy Mondor
773988	286744	Valérie, la pianiste
773988	401982	La Dorga
773989	28871	
773989	96031	
773989	106048	La Luisiniere
773990	183108	
773990	233287	Daniëlle Kooiman
773990	411950	Pien
773991	154734	
773991	252703	
773991	272774	
773992	106983	Chanteuse de rue
773992	206008	Secrétaire Tocanier
773993	302304	Évelyne
773994	215586	
773995	4355	Nora
773995	17861	
773995	48253	Josephine-Charlotte
773995	90829	Sabine Arnauld
773995	165355	Lennie
773995	179814	Zijlstra's secretaresse
773995	225825	Lydia
773995	382551	Vrouw Reynaert
773995	384611	Mireille Puis
773995	403417	Nellie Brandts
773995	411311	Mathilde Schoonaerts (1994)
773996	305692	Party Goer
773997	393313	Adele
773998	194687	Brat's Mother
773998	318456	Emergency Room nurse
773998	392130	Nurse
773999	80750	
774000	306131	Yuppie in car
774001	71351	
774001	130677	Woman in dance hall
774001	142389	Olga
774001	365036	
774002	341580	Sørine
774003	11323	Landlady
774003	11440	Mother of Hospital Patient
774003	14213	
774003	35128	Andre's Mother
774003	37235	Ma Sloval
774003	38804	Grete Menzel
774003	41064	Caroline Bennett
774003	47306	Sarah Durgan
774003	64937	Sarah
774003	69403	Anna Keller (passenger on boa
774003	69676	Anna (a servant)
774003	73215	Hilda, the maid
774003	73425	Mama von Bergen
774003	92295	Sophie, the Cook
774003	104319	Housekeeper
774003	105569	Helen's Mother
774003	114131	Martha, Conway's Maid
774003	115213	Mrs. Deane
774003	118314	Ma
774003	118382	Bit Role
774003	132806	Bit Part
774003	133856	Innkeeper's Wife
774003	137624	
774003	141485	Mrs. Adams
774003	141951	First Village Woman
774003	142582	Martha Peddie
774003	146835	Frau Kohler
774003	150586	Ratty Old Woman
774003	163329	Mom Schmidt
774003	177322	Sylvia, Tania's Maid
774003	177499	Mother
774003	183413	The Mother
774003	183855	Innkeeper's Wife
774003	186344	Mother of Jim and the Kid
774003	188202	Mrs. Keefer
774003	189255	Wife of the Justice of the Pe
774003	190606	Widow Gorman
774003	191990	Frau Kleinholz
774003	192161	Mama Snee, Katie's Mother
774003	202916	Klara, Botany's housekeeper
774003	203931	Mrs. Kleinschmidt
774003	206469	Mrs. Polgar
774003	207680	Frau Necher
774003	212746	Mrs. Polska
774003	213166	Swedish maid
774003	214942	Townswoman
774003	219557	Old Woman on Train
774003	231797	Mama Jaynos
774003	233615	Ma James
774003	236876	
774003	239028	Masseuse
774003	245185	Mère Gilbert
774003	246730	Frau Koerber
774003	249374	Maid
774003	258198	Theresa, the Cook
774003	260875	Elsa
774003	263335	
774003	273183	Rita's Mother
774003	276716	Marta
774003	276951	Kathie
774003	279687	Fernando the Maid
774003	281810	Mrs. Schultz
774003	303479	
774003	308436	Woman
774003	311758	Nora O'Brien
774003	312794	Maid
774003	313331	Mrs. Swanson
774003	318078	Helma
774003	319170	The Maid
774003	320024	Domenica
774003	330148	Leni
774003	330375	Otto's Wife
774003	331682	Mrs. 'Aunt Anna' Larson
774003	332027	Lisa
774003	337073	Midwife
774003	362614	Sara Turkeltaub
774003	364539	Ma Kelly
774003	365260	Mrs. Sandbo
774003	367463	Nadia
774003	372145	Mrs. Schmidt
774005	126863	
774006	304250	
774006	387414	Basia
774007	321475	Girl at Dude's House
774008	249016	Colette
774009	121140	
774010	11510	
774010	51602	
774010	130623	Dancer
774010	154971	Herself
774010	236418	
774010	237899	Victima $4
774010	271813	Herself
774010	278620	
774011	143274	Dance Hall Girl
774012	278606	Carmen
774013	380259	Fleur Barratt/Frost (1979-198
774013	382838	Kate Moses (1984-1985)
774013	389157	Shirley Foster
774014	27975	Katarzyna
774014	137750	Eszter
774014	179647	Liv Bjornehiet
774014	205972	Jeanne
774014	260601	Noemi
774014	348509	Agata
774015	245094	UNA Clerk
774016	45746	La Baronne de Roosekerke
774017	27107	Drugstore Mother
774018	275871	Wannabee Cheerleader
774019	279120	
774020	376457	
774020	377343	
774021	139181	Young Sissy
774022	242744	
774023	82386	Dancer
774024	81640	
774025	58509	The Foreman
774026	17695	Madame Selitsky
774027	1692	Herself
774027	1728	Host
774027	23915	Herself
774027	68108	Herself
774027	105016	Audience Member/Herself
774027	228302	Presenter
774027	269657	Herself - host
774027	280625	Herself/Presenter
774027	360269	Herself
774027	364282	Herself/Presenter
774027	381886	Herself/Main Presenter (1992-
774027	382715	Herself/Presenter (2002)
774027	383750	Herself
774027	384084	Presenter (1994-)
774027	384352	Herself
774027	398301	Herself - Presenter (1989-199
774027	402661	Herself (Presenter)
774027	403313	Herself
774027	407773	Herself (1998-1999)
774027	407877	Herself/Host (2003-2004)
774027	409133	Herself
774027	410742	Narrator
774027	410939	Herself/Presenter
774027	410940	Herself/Presenter
774028	80482	Inmate
774028	81561	
774028	81973	Rose
774028	91768	Liz Neuland
774028	103254	Miss Foster
774028	106378	ER doctor
774028	114691	Rebecca
774028	127407	Tracey Neill
774028	161466	Cheryl
774028	265584	
774028	277795	Suzanne Fontana
774028	310083	
774028	323592	Mr. Brown
774028	345847	Celia
774028	363895	Karen
774028	405373	Nova (Frankie Raye)
774028	407589	Hermia
774028	410584	Barbara Bush
774029	230873	Makeup Girl
774030	409295	
774031	344612	Swan
774032	196561	
774033	311728	Herself
774034	189790	Angie Walter
774034	231352	
774034	231486	
774034	364942	Fan 1
774034	387782	Angela
774035	260786	Artdog
774036	126649	JonBenet Ramsey
774036	127480	Molly MacLemore
774036	378943	Ruthie Camden
774037	13882	Hefty Woman
774038	29916	Stacy
774038	119484	Beach Babe Bimbo
774039	309249	
774040	73541	Assunta
774041	301381	Un' altra figlia del professo
774041	309249	
774042	115760	
774043	14583	
774043	15439	
774043	18120	
774043	60715	
774043	101597	
774043	165837	
774043	187665	
774043	312485	
774043	318891	
774044	290070	Herself/Schindler mourner
774045	176350	Lady in Waiting
774046	290070	Herself/Schindler mourner
774047	234572	Marjorie
774048	275711	Herself
774049	66741	Une femme pieuse
774049	83266	
774049	100173	La cuisinière
774049	160547	
774049	214127	
774049	214882	
774049	217638	
774049	245957	
774049	269134	
774049	308414	
774049	309983	
774049	376995	La femme de ménage
774050	353195	Madre de Arian (Arian's mothe
774051	381913	WINNER (2002)
774052	375307	
774053	128340	Herself
774054	200925	
774055	165074	
774056	47334	Lady at Party
774057	305005	Rene
774058	255879	
774058	296068	Crewmember #2
774059	47237	Emily
774060	182298	Woman at bakery
774061	108938	Selena
774061	185251	The girlfriend
774061	365121	
774062	85910	Herself (special guest)
774062	118783	
774062	185228	7th Heaven Dancer
774062	253510	Sheila
774062	327625	Maxine
774062	380391	Toni Burrell (1997-1999)
774063	35439	Little Girl's Mother
774063	127679	Laraine Newman
774064	64081	Stella
774064	70470	Blonde masseuse
774064	350347	Blond
774065	33940	Elderly Aunt
774065	115465	
774066	47364	
774067	95481	Jo
774070	67156	
774070	79371	Girl
774070	147384	Girl
774070	280895	Maid
774070	289422	Bit Role
774070	330908	Janet
774070	342128	Tia
774070	361300	Girl
774071	401361	Kira
774072	46247	Secretary
774073	281286	
774074	54479	Settler's wife
774074	239400	Natoma, Indian Maiden
774074	329109	Indian girl
774075	204890	Receptionist
774076	232293	
774076	257662	
774077	230693	
774078	17949	Lauren
774078	32941	Priscilla Barnes/Teri Alden
774078	119487	Ft Attendant Janet Reardon
774079	383775	Herself
774080	10415	Claire
774080	30679	Granny Ruth
774080	30680	Granny Ruth
774080	31824	Caroline
774080	41934	Lydia
774080	121840	Diana Sharman
774080	166087	
774080	196876	Herself
774080	244831	Herself
774080	257689	Herself
774080	263117	Violet Mars
774080	267088	Loretta Creswood
774080	299846	Tess Trainer/Vocals (Annie Ro
774080	315883	Liza
774080	319614	Vera Webster
774080	331934	Mrs. Hazeltine, Creative Writ
774080	337379	Deputy
774080	366758	Rose Brooks
774080	370585	Red Cross lady
774080	383918	Dixie
774080	401012	Herself
774080	404826	
774081	5717	Doreen (The Granton Star Case
774081	134073	
774081	175817	Helen
774081	194232	Malcie's mother
774081	229113	Ma Savage
774081	311524	Maggie Hannah
774081	337830	Gail's Mother
774081	366726	Betty Tarbutt
774082	297261	Model #2
774083	315210	Nora
774084	344151	Krishna Jesus
774085	329308	Herself
774086	278769	
774087	239750	
774087	242733	Hilda
774087	364237	
774088	112631	Joan Fargo
774088	210870	Betsy Baxter
774088	254456	Betsy Baxter
774088	305680	Betsy Blake
774089	30071	Woman
774089	104568	Mrs. O'Rourke
774090	314007	
774091	2163	Deidre
774091	47473	Sarah
774091	49942	Merlina
774091	72664	Karen
774091	174584	Ellen
774091	284583	Madeline Astor
774091	360741	Nurse Janet Schulman
774092	100838	Choir Member
774093	390338	Herself
774094	38900	Amber
774094	296325	Mrs. Conservative
774095	12338	Maid of Honor
774096	103240	Photographer
774097	93987	Carlita
774097	277341	Mama Cindy
774098	248124	The Waitress
774099	306998	
774100	139483	Wardrobe Woman
774102	107764	Ann Price
774102	117575	Sue Ann
774102	160307	Herself
774102	176465	Megan Emerson
774102	178128	Amanda Blake
774102	194268	Debbie
774102	195318	Mary Ann
774102	288944	Mandy
774102	297991	Justina "Justine" Essex
774102	336654	Courtney's girlfriend
774102	381562	Lori Volpone
774102	385824	Eve Baron Donovan (1987-1991)
774102	388843	Bree Larson Buchanan
774102	391288	Hope Linden
774102	401052	Dawn Delaney
774102	408897	Fiona McCallister
774102	411176	Susan Peterson
774103	220878	Ada
774103	300067	
774104	42108	
774105	19286	The Love Interest
774106	41934	Officer's wife
774106	68768	Linda Harrison
774106	116033	Tom's secretary
774106	126705	School Secretary
774106	170604	Mrs. Nedman
774106	236092	Sharon
774106	304293	Nurse #1
774106	315076	Claudia Bell
774106	354164	Diaper Woman
774107	74232	Rosa's Daughter
774108	35523	
774109	307721	
774111	95135	Le Bagel Waitress
774112	13395	Hostage (segment "Blue Man Do
774112	30056	Loverbird Woman
774112	80861	Barbara Oakley
774112	139467	Luggage Jockey
774112	176722	Kathy the Drowned Wife
774112	249548	
774112	277055	Schultz's Girl
774112	324777	Foxy Extra
774113	325116	
774114	846	Herself - #98: Diana Ross' Su
774114	958	Herself
774114	1188	Herself
774114	2280	Herself - Host
774114	2572	Herself - Co-presenter: Best 
774114	2580	Herself - Co-host
774114	2603	Herself - Performer: 'Theme f
774114	2759	Herself - Co-presenter: Best 
774114	2895	Herself - Performer: 'Over th
774114	11670	Herself
774114	18986	Herself
774114	23920	Herself
774114	31632	Herself
774114	42354	Herself
774114	85896	Herself
774114	85909	Herself
774114	85910	
774114	85912	Herself
774114	85913	Herself
774114	91839	Olivia King
774114	105005	Herself
774114	142809	Herself (with the Supremes)
774114	146637	Herself
774114	163523	Herself
774114	183815	Billie Holiday
774114	200789	Tracy/Mahogany
774114	201537	Herself
774114	212716	Herself
774114	220206	Herself
774114	220208	Herself/Host
774114	220212	Herself
774114	221831	Herself
774114	245055	Paulie Cooper
774114	292112	Herself
774114	299018	Herself - Supremes member
774114	309552	Herself
774114	322615	Herself
774114	327197	Herself
774114	352974	Herself
774114	360377	Herself
774114	363585	Herself
774114	367053	Dorothy
774114	367054	Dorothy
774114	406014	Herself
774116	178859	
774116	368640	
774117	82449	Young Helen Keller
774117	313564	Young Lily Becker
774118	213190	Nell
774120	203781	Mrs. Smelker
774121	32818	Waitress
774121	183710	Elevator Girl
774121	195794	College Coed
774121	256592	Mercedes
774121	346248	Gwen
774122	47364	
774123	162099	Fairy (Corps de Ballet)
774124	6732	
774124	41846	
774125	27269	S & M Girl
774126	24547	Elsie
774126	29361	Jean
774126	207442	Mountain Girl
774127	276372	Stephanie as a child
774128	185379	Consultant
774129	29693	
774129	113839	Village belle
774129	130626	Gypsy Montrose
774129	190582	Claire Grayson
774131	410252	Hélène Boivin
774132	41820	
774133	333165	Scarlet Rose
774134	72916	Becky Vickers (segment "Somet
774134	79674	Francine Parker
774134	199697	Betsy
774135	162525	Herself
774135	363222	
774136	79677	Mrs. Strong
774136	104929	Mrs. Simpson-Bates
774136	159884	Dorothy Druce Sr.
774137	136828	First Cousin Hebe
774137	162100	Fleta
774137	213588	Schoolgirl
774137	256626	Daughter
774137	264161	Sacharissa
774138	170488	Calpurnia
774139	7204	Engelse vrouw in cafe
774139	290079	
774140	14603	Glenys' Mother
774140	390630	Lady Halford
774140	405209	Barbara Buxton (1999)
774141	385094	Judge
774142	207692	Anna Smith
774143	70611	
774143	266856	Miriam
774144	206448	Phyllis
774145	152558	Ruth Brooks
774145	335007	
774145	364657	
774146	114699	Mechanic
774147	73841	Faye Collins
774147	134886	Wife Shopper
774148	389258	
774149	398575	Janine
774150	158893	Cafeteria Cook
774151	71760	
774151	129593	
774151	190440	
774151	257295	
774151	280146	
774151	321310	
774151	365328	
774152	177575	Hélène
774152	264175	
774152	362888	
774153	344151	Krishna Jesus
774154	152838	Pia
774154	207238	Jenny
774155	368363	Young Cushie
774155	375250	Natalie
774156	59504	Camilla Parker-Bowles
774156	140105	Susan
774156	219420	Lady in Dining Room
774156	230329	Woman Neighbour
774156	404404	Marquise de la Mole
774157	181155	Myra
774157	345964	Phil's sister #1
774158	205268	Reporter (Feldco)
774158	321222	Reporter #1
774159	330693	
774161	52576	Herself
774162	100887	Fluffball
774162	122755	Roxanne/Old Lady/Siren 1
774163	142554	Corina Patterson
774164	406242	Herself
774165	229441	
774166	242525	Suzy
774167	2538	Herself - Presenter: Best Sup
774167	2589	Herself - Co-presenter: Best 
774167	13915	Herself
774167	35184	Sally Hardeman
774167	54264	
774167	65632	Grace Hines
774167	69040	Evie Teale
774167	87912	Maude
774167	90334	Charlene Stevens
774167	90772	Dr. Lilian Thurman
774167	113282	Laurel Scott
774167	116776	
774167	123456	Jennifer Montgomery
774167	126571	Terrific-Looking Girl
774167	132525	Elaine Robinson
774167	139816	Docteur Constance Weber
774167	142516	Tish Buckman
774167	148221	Rose
774167	151235	Mrs. Dickinson
774167	187157	Margaret Walsh
774167	194115	Laura Huntington
774167	205658	Nurse Bonnie MacNeil
774167	215987	Janet
774167	222607	Allison Sinclair
774167	222657	Ann Kurth Hill
774167	274427	Laurie
774167	274609	Miss Macy
774167	280356	Sammy Garrett
774167	291963	Herself
774167	292820	Ava Pryce
774167	295636	Herself
774167	296849	Kate Connery/Sister Katherine
774167	298388	Mrs. Ann Anderson
774167	302724	Nicole Arlien
774167	314443	Herself/Joanna Eberhart
774167	314444	Joanna Eberhart
774167	320878	Capt. Helena Anderson
774167	325980	Maggie's Mother
774167	327268	Lola
774167	330200	Kate Bingham, Dr. Watkins' Nu
774167	338630	Gretel Howard
774167	357068	Mira Hauser
774167	358276	Suzy Hendrix
774167	359146	Etta Place/Mrs. Sundance/Anni
774167	368949	Sally Blake
774167	379773	Rosa Mastrangelo (episode "Om
774167	384582	Francesca Scott Colby Hamilto
774168	76594	Miss Macy
774169	211336	Kathy Randall
774170	79792	Dancer
774171	265682	Sherry
774173	128587	Alice Nichols
774174	58774	'Dirty' Harriette Kroeger
774175	142441	Sharon
774175	153151	Dottie
774175	155255	Kandy Kane
774176	299477	
774177	46327	Reporter #3
774178	206906	Sarah
774179	1874	Bubble's lady
774179	43947	Bored Beauty
774180	185670	Cheerleader II
774180	232423	Julia
774180	267111	Kim
774180	383385	Amy Burke (1983)
774181	262	Meg Truman-Starks
774182	121615	Inmate
774183	97016	Party Girl
774183	287133	
774184	141075	Jane
774185	70928	Lonnie's Heart
774186	171063	Woman Customer
774187	132247	Rolling Hills Dance Team
774188	60296	Susan Gunn
774188	248459	Annie Libowitz
774188	314779	Dutch Lady
774189	125049	Sonja Le Roux
774189	232112	
774190	326664	
774191	55006	
774191	134437	Tete
774191	189373	
774191	255501	Gracia Lobos
774191	379001	Yasna
774191	379210	
774191	379252	
774191	379648	Gloria Risopatrón
774191	380074	
774191	383867	
774191	388278	
774191	389589	
774191	391418	
774191	392959	
774191	396333	Valentina Fernández
774191	403782	Gina
774191	408562	
774191	408591	Lorena Mena
774191	412301	
774192	220892	Hat check girl
774192	374198	Tiller girl
774193	97203	Bank Woman
774193	150183	Abigail Fisher
774193	183868	Maggie's mother
774193	207960	
774193	234126	Micah's Wife
774193	389442	Shelley Cohen (1994-1997)
774194	41888	Prostitute #2
774195	228238	Herself
774196	239887	
774197	130744	Jackie
774198	27344	Milwaukee Bartender
774198	251477	Nurse
774198	360436	Crazy Girlfriend #2
774199	3961	Carolyn
774199	3962	Carolyn
774199	3963	Carolyn
774199	266571	
774199	267536	Miss Ayumi
774199	328598	
774200	292275	Girl who has to pee
774201	114955	Bimbette
774201	245699	Grant's Girlfriend
774202	100877	Sister Patrizia
774202	248117	The Widow Morgan (Pearl)
774203	26860	Sister Mary
774203	30955	Tourist mom
774203	37223	
774203	170147	Laura Kellogg
774203	183944	Cocktail Waitress
774203	198072	Narrator
774203	260229	Aunt Grace
774203	296880	Laura Jamieson
774203	335336	Mary Golson
774203	367778	Gambling Woman
774203	369415	Toshiu (Kamui's Mother)
774203	379398	
774203	387403	Princess Lamia (UK Version)
774203	397856	Janine
774203	400366	Jacky Oppenheimer
774203	400529	Mrs. Veneering
774203	408289	Candy
774204	204168	Face Behind the Window
774205	280174	South Seas Club Mermaid
774206	173467	Tina Walker
774206	285031	Mad Nun
774207	346030	
774208	51991	Lude
774208	53316	Secretary
774208	183445	
774208	295312	Nancy
774209	310190	Prudence
774210	205426	Sofia
774211	372544	Baby Scientist
774212	61706	Lindsey's mom
774213	155216	Herself - a Skater
774214	47364	
774215	58827	
774216	223500	Subject
774217	229113	Chantelle
774218	252223	Female Boxer
774219	176298	Herself
774220	383718	
774220	384115	Chiqui
774220	388093	Virginia Ricciardi Parresi de
774220	391850	
774220	402675	
774220	403023	Margarita
774220	406050	Virginia Ricciardi de Uboldi
774220	409920	
774221	143824	Barbara Bush Lookalike
774221	226937	First Lady Barbara Bush
774222	215767	Bep
774222	372544	Emotional Mother
774223	230240	Lady in Elevator
774225	389869	Old Woman
774226	199070	
774227	9725	Irene Galdós
774227	121231	
774227	135381	
774227	143666	
774227	148042	Aurora Villalba
774227	150529	
774227	204040	
774227	239252	The Martín's girlfriend
774227	249319	
774227	252078	
774227	255481	Eugenia Alonso
774227	256661	Piti
774227	263876	
774227	272793	
774227	272794	La Raulito
774227	275093	
774227	307297	
774227	327200	
774227	338945	Blanca
774227	344124	
774227	399144	
774227	401436	
774227	401437	Clara
774227	404998	
774228	4652	Herself
774228	4671	Herself
774228	5036	Rose
774228	9129	Passenger: 'Can we get a blan
774228	18564	Mrs. Hoyt
774228	20625	Extra
774228	34968	Nita Naldi-type
774228	40848	Edith
774228	42050	Young Woman
774228	57686	Herself
774228	67471	Angela Fields
774228	104999	Rosie Dunlop
774228	117655	Patty
774228	129379	Polly Haynes
774228	129967	Frances Denning
774228	132906	Vivian Hedgeworth
774228	138750	Herself
774228	138752	Herself
774228	139704	Maureen Collier
774228	140354	
774228	144595	Mrs. Diamant
774228	149101	Mrs. Divine
774228	163358	
774228	176389	Billie
774228	183346	Margaret Smith
774228	184099	Maggie
774228	185084	Mrs. Larksmont
774228	192849	Ruth Seaton
774228	195485	Herself
774228	196282	Clyde
774228	197765	Sister Clothilde
774228	208974	
774228	213209	Emily Moore
774228	242773	Lt. Colfax, RN
774228	252978	Charlotte Brandon
774228	266099	Joan
774228	266561	Mrs. Pilgrim
774228	267656	Young Woman
774228	284931	Spiller's girlfriend
774228	292552	
774228	302931	Caroline Harris
774228	304395	Natalie Ward
774228	305179	Elsie May
774228	307863	Sister Mary Joseph (hospital 
774228	311603	Gradma SquarePants
774228	313090	Herself
774228	320082	Madeline
774228	326408	Katy Fuller
774228	330559	Lila Ferrami
774228	342195	Herself
774228	342262	Herself
774228	360880	Mrs. Crowe
774228	363521	Lila Dennis
774228	379999	Edith (Bolling-Galt) Wilson
774228	382835	Sophie Berger
774228	383802	
774228	389949	Susan Green (1961)
774228	390599	Kathe Kollwitz
774228	391006	Marion Cunningham
774228	395576	Nora
774228	396062	Emily Hayward Stubing (1986)
774228	398398	Nurse Bromfield (1963 - 1964)
774228	400805	Mary Morgan
774228	401079	Ellie North
774228	401967	
774229	361029	
774230	59573	Marisa
774232	283595	Herself
774233	45939	
774233	80892	
774233	90003	Marchioness de Rotondo
774233	100869	Lottie Lee
774233	210911	
774233	280484	
774233	290337	Lady Sneerwell
774233	301268	
774233	340916	
774233	351240	
774234	45032	Lida
774234	186759	Student Girl #2
774236	53921	Investor
774237	37855	Waitress
774238	75360	Meredith
774239	42428	Pearl Baker
774239	195446	Lady in Apartment
774239	196828	April Adams
774239	290412	
774239	389858	Emma Luts (1981-1984)
774239	411255	Marion Davies
774240	41415	Pat Weiner
774241	115269	Cylde McDormick
774242	216231	Mme. Thenardier
774243	47474	Auntie Marja
774244	49448	
774244	208386	Baby on Train
774245	194922	Herself
774246	81659	Cree woman
774247	1694	Miss Forever
774247	31643	Boots (Rat Pack member)
774247	80034	
774247	127125	Rat Pack Member (Boots)
774247	151461	Agatzi Girl
774247	151672	Rat Pack Member (Boots)
774247	192503	Female companion
774247	238071	Passenger
774247	321556	Sally
774247	362107	Party Girl at Ron Anderson's 
774248	49448	
774249	40729	The Driver
774250	381821	Ensemble (1971)
774251	194265	Bartender
774253	44238	Dancer
774253	270896	B-Girl at the Elephant
774253	379716	Enid Nelson (1981-1986, 1996)
774254	26471	Grace
774254	33721	Kelly
774254	119357	Jackie
774254	192072	Kid on Trial
774254	222362	Jennifer
774254	296867	Gabe
774254	319158	
774254	382072	Laura
774254	404697	Robyn Russo
774255	50020	Girl in restaurant
774256	183710	Party Guest
774256	240440	Mrs. Peabody (Penelope's gran
774256	329421	Louise
774256	346248	Woman
774257	209	Lady Willoughby
774257	114184	Connie
774257	203644	
774257	263460	Elsie
774257	293760	Lady Poppy
774258	218841	Sophie
774259	49493	Eileen
774259	115933	Becky Rainbird
774259	282933	Mrs. McLaughlin
774259	323019	Sgt. Laura Campbell
774259	340990	DS Fraser
774260	258869	Secretary
774260	330285	Marie
774261	277467	
774262	278130	Nault's Mother
774263	50204	Olivia Tinker
774263	311465	Mrs. McBride
774264	366820	
774265	182958	Waitress
774265	291231	Honey
774267	26863	
774267	27149	
774267	47311	
774267	88666	
774267	163288	Bus passenger
774268	291092	Girl With Note
774269	15221	
774269	154742	Elise
774269	164589	Carrie
774269	196892	Alissa
774269	388653	Brooke Morgan (Seasons 1-3)
774269	397341	Rush the Robo-Dog, Additional
774271	199976	Jan
774272	57945	Glory
774272	254523	Groupie
774273	6865	Bag Lady
774273	42055	Church Woman
774273	43567	Housekeeper
774273	52008	Judge Brice
774273	52894	Border Guard
774273	68064	Dr. Frances Atkinson
774273	72140	Dessie
774273	92150	Pawnbroker
774273	108330	Judge Williams
774273	123691	Nurse
774273	125671	Teacher
774273	135564	Postal Supervisor
774273	151556	Marcella
774273	167591	Mary
774273	187073	Verna Zee
774273	192674	Aunt Bay
774273	206864	Mrs. Higgins
774273	218775	
774273	221375	
774273	232158	Bartender
774273	240529	Voodoo Lady
774273	253509	Mrs. Wheeler
774273	289530	Nancy Tobin
774273	302932	Sunday School Teacher
774273	304242	Mrs. Beckford
774273	311516	Judge
774273	320263	Doris/Video Typist
774273	323592	Mrs. Jenkins
774273	327060	Freezer Doctor
774273	330133	Mrs. Aronesti
774273	339369	Court Officer
774273	342925	Conductor
774273	349870	Lina
774273	363414	Woman Speaking in Tongues
774273	408711	Desiree
774274	625	
774274	238836	Anna
774274	243062	
774274	269965	Kate
774274	272365	
774275	41934	Nurse
774275	82523	DEA Agent in Van
774275	93974	Aishala Ibo
774275	126705	
774275	216772	Cook
774275	239891	Zella
774275	249067	
774275	252894	Woman #1
774276	230933	Plato's Patron
774277	3942	Cleo
774278	144996	Waitress
774278	313818	Sagnac
774279	8179	Dotty
774279	36840	Gwen Holmes
774279	36841	Cleo Fielding
774279	41504	Sally Shea
774279	43376	Singer
774279	49849	
774279	51885	Bells Browne
774279	52696	Mrs. Ruth Rockwell
774279	85088	Eunice
774279	112095	Herself
774279	128199	Dance extra
774279	144675	Toni Ainsworth
774279	147815	Herself
774279	154355	Undetermined Role
774279	163557	Cigar Stand Clerk
774279	164993	
774279	178200	Juliet 'Julie' Marsden
774279	204182	Singer in Cotton Club
774279	211601	
774279	249021	Barbara Wayne aka Countess De
774279	255341	Herself
774279	264420	Jean Forest
774279	285690	Linda Hall
774279	286929	Trixie
774279	291327	Herself
774279	291335	Herself
774279	307912	Lily Racquet
774279	308560	Valerie
774279	329341	Anne Merrick
774279	342916	Shirley, the Mannequin
774279	346863	Dianna Donovan
774279	358255	Georgia Smith
774279	362369	
774280	214526	Sandy
774280	232288	
774281	124110	Handi-World Cashier
774282	65184	Game player 'Pattycake'
774283	157693	
774283	310329	Receptionist
774284	94683	
774285	283363	Barb Feldman
774286	196232	Winter
774287	45564	Jessica
774288	381158	Rosie
774290	67779	Tanya
774291	154315	Small Girl
774292	74244	Patty Molner
774292	89241	Amy Thurman
774292	331354	Bonnie
774293	296411	
774294	2331	Host
774294	2626	Herself
774294	108953	Kiki
774294	109028	
774294	138365	Kim
774294	158481	Caroline
774294	270347	Kaycee King
774294	318218	Linda
774294	386460	Host
774294	390111	Joan Clayton
774294	392421	Herself
774294	396232	Various
774295	34642	Arab Girl
774295	45878	Janice
774295	66899	Female Nurse
774295	71474	Dancer
774295	164663	
774295	189921	Lillian Roth
774295	208661	Annabelle
774295	221067	Jarvis' Motel Hooker
774295	305387	Verneile
774295	307266	'Pitbull' Lt. Maj. Peterson
774295	345856	Patrice Sommers
774295	404002	Diana Douglas (1985-1987)
774296	332015	Kay Hill
774297	16099	Jim's Secretary
774297	40144	Receptionist
774297	168306	Curtis' Mom
774297	185372	
774297	194666	Day Care Teacher
774297	211758	Nurse #1
774297	238510	The Judge
774297	280298	Yvonne Jones
774297	330391	Doctor
774297	330580	Nurse #2
774297	370668	Pete's Wife
774298	332001	Sheila
774299	185175	Sarah
774300	37696	Vasa
774301	186665	Sally
774302	128443	Beatrice Hathaway
774303	63002	Naomi Williams
774304	185827	(segment "Agricultural Caress
774305	107998	Samanthy Brown
774305	274177	Luang-Ma
774306	385020	Stella Rigby (II) (1985-1993)
774307	138822	Lo-La
774308	297954	Narrator
774308	330323	Gamill
774309	35855	
774310	11839	Lavita
774310	18436	Nadine
774310	57654	
774310	82908	Stacey
774310	214463	Deniese
774310	316225	Treasure
774310	325229	Mommy
774310	329345	Yolonda
774310	347180	Miranda
774311	26289	Park Mom
774311	36864	Passenger
774311	45878	Belsky
774311	123296	Counselor Terrana
774311	391556	Frances Kiskadden
774312	151183	Woman in Red Dress
774312	195576	Vickie
774312	281464	Cecilia's Nurse
774312	296733	News Reporter
774312	315190	Larraine
774313	44833	Dancer
774314	342717	The Wife
774315	27153	Jill
774315	137946	Guildenstern
774315	185112	Connie
774315	222633	Claire
774315	303455	Bride
774315	338138	Sandra Rolston
774316	105039	Marsha
774317	129857	Svenja
774318	399481	Rosário
774318	406847	Lúcia
774318	407281	Das Dores
774319	98758	
774320	27853	
774321	3509	Lucia
774321	43718	
774321	348689	Donatella Casati
774322	17017	
774322	46767	Alma's Maid
774322	115224	Sekretärin
774322	115958	Railway official
774322	198425	Rosaura
774322	377349	
774322	380200	
774323	55372	
774323	65638	
774323	196728	
774323	257129	
774323	287462	Prostitute A
774323	354778	
774324	6674	
774324	108102	
774324	291659	La signorina Bardinelli
774325	301028	Frau im Uhrenladen/Lady in Cl
774325	308259	
774325	350870	Dr. Johanna Gross
774326	203358	Tony Clifton Dancer
774327	138490	Gretel Brinker
774328	83842	Head Nurse
774328	217990	Mrs. Gersh
774329	390242	Nancy Bijnema (1991)
774330	158067	Herself (The Three Sisters)
774331	198349	La Femme Leopold
774332	291447	Bishop's Dancer
774333	281972	Annina
774334	3515	
774334	287877	Blackmailer's partner
774335	95854	
774336	183872	Tina Velez
774337	341515	Dancer
774338	315446	Mrs. Fahlen
774339	328323	Vocalista
774339	353290	Clotilde
774340	52704	
774340	65015	
774340	66396	
774341	261998	Elsa Marnelle
774342	35451	Child at Beryl Foster's Door
774342	343017	Jody Delongpre
774343	292970	
774344	1426	Herself
774344	37232	Gabriella
774344	41988	Dorothy Valens
774344	51689	Rosanna
774344	63865	Katchen
774344	72065	Maria Hardy
774344	73214	Anna Hauptmann
774344	73600	Henriette
774344	77421	Victoire
774344	81052	Lisle Von Rhoman
774344	90209	The Duchess
774344	100106	La Colombiana
774344	110319	Laura Klein
774344	127552	
774344	131913	
774344	141985	Liz
774344	157040	Anna Marie Erdody
774344	157255	The Veiled Queen
774344	160050	Maria
774344	161301	Herself
774344	163955	Maria DiConti
774344	177443	Rachel Spivak
774344	187081	Mrs. Kalman
774344	189921	Rachel Marks
774344	208071	Sister Pia
774344	211500	Nimue
774344	218526	Martine
774344	224544	Herself
774344	233604	Herself
774344	238420	Athena
774344	247967	Isabella
774344	255235	Planet Cleveland Woman
774344	262480	Eugenia
774344	274266	Lady Jean
774344	280438	Joyce
774344	285121	Lady Helen Port-Huntley
774344	301147	Marie
774344	336789	Madeleine Regency
774344	341623	Mme. Moitessier
774344	341624	Mme. Moitessier
774344	363939	Darya Greenwood
774344	365169	Perdita Durango
774344	366644	Herself
774344	368399	Herself/Host
774344	368540	Herself
774344	369336	Big Nose Kate
774344	374324	Herself
774344	374425	Mademoiselle Zelly
774344	387239	High Priestess Thar
774344	398993	Joséphine de Beauharnais
774346	355357	
774347	20687	Gloria
774347	70753	Harriet Morgan
774347	73261	Stella
774347	122076	Dr. Ellen Lindstrom
774347	127148	Maria Cimoli
774347	138774	Aunt Deborah
774347	141965	Perry Jones
774347	153277	Herself
774347	235440	Jane
774347	261046	Anita
774347	269667	Jeannie DeFalco
774347	277036	Dianne Klaner
774347	296747	
774347	314444	Dr. Fancher
774347	364832	Violet Brown
774347	390607	Nairubi
774348	10340	Amytis
774349	124277	Caroline Keil
774350	92813	Diana
774350	256769	Alicia
774350	334656	Lola
774350	388989	Hostess
774351	160761	Girl in cinema
774352	44433	Woman at Secretary Strike
774352	253230	Woman by mailbox
774353	126069	Showgirl
774353	139581	Nurse
774353	231768	Chorine
774353	320294	
774354	139817	La Femme divorcée
774354	195569	
774355	17038	
774356	397312	Beate
774357	404272	Young Carolina
774358	110319	Jennifer Hummel
774358	218026	Woman at Laundry
774358	232321	Excuse Me Shopper
774358	252511	Mrs. Anderson
774358	297101	Margaret O'Leary
774358	310728	Mother at Condo
774358	362581	Carol Stockard
774359	81190	Woman from Boston
774359	142372	Coach Sandy Hand
774360	16868	
774360	69718	
774361	174909	
774362	219828	
774362	295146	
774363	204522	Battered Woman
774364	28211	
774364	103760	Dominga
774364	115732	La Esparraga
774364	234379	
774364	265329	
774364	292940	
774364	307195	Leticia
774364	307725	
774364	309246	(segment "Cinco años de vida"
774364	335988	
774364	403651	María Esther
774364	408204	
774365	7465	Anna Jahn
774365	12702	
774365	14372	Clelia
774365	14867	Lisa Bollati (segment "Il ved
774365	15089	Valentina
774365	17141	Alessandra
774365	33917	
774365	36473	Lot's wife
774365	51688	Clara Ducci
774365	76776	
774365	79566	Merab
774365	84220	Angela Ascari/Farmgirl (segme
774365	85582	Ana Sandoval
774365	90606	Jasmine
774365	90756	Luisa
774365	91137	Mrs. Clouston
774365	94723	Marilù, Maria Pia's sister
774365	103403	Elena Landa
774365	104003	Roberta
774365	104474	Countess
774365	111857	Monica
774365	120069	Marina
774365	124327	Giulia Fiorini
774365	145648	Magda Berger
774365	155585	(segment "Ultima carta, L'")
774365	157178	L'ispettrice jacobetti
774365	162077	(segment: "Il plenilunio")
774365	175054	Contessa Elena Koefeld
774365	183075	La Comtesse Malvina d'Amalfi
774365	202280	Liliana Banducci
774365	204593	
774365	227595	Madame Fourès
774365	229655	Lucille
774365	241979	Mrs. Saint-Claire
774365	253414	Sandra
774365	256652	
774365	263411	
774365	282082	Rosmunda
774365	282179	Violetta Scotoni
774365	290195	Linda Valore
774365	291669	Indolent Lady
774365	293350	
774365	294289	Franca Gabrie
774365	295143	Marion
774365	309401	Elsa
774365	315821	Susanna
774365	319323	Assunta
774365	328120	Mabel Hughes
774365	333744	
774365	334608	Maharani from Tungala
774365	336947	La femme du directeur
774365	338369	Aida
774365	338715	Gianna Aragona
774365	339068	Rosy Pallante
774365	344452	
774365	349529	La comtesse Paola Parioli
774365	352238	Mara
774365	352858	
774365	378482	
774365	385509	Anne d'Autriche
774366	269482	Mary Freudstein
774368	57878	Tatuada
774368	183467	
774369	90665	
774369	294540	Kefren's Mistress
774371	163688	
774373	12160	
774373	48837	Herself
774374	82712	Nun
774374	121297	
774374	127940	Irene
774374	204696	Madre di Marco Pace
774375	6642	Voz
774375	50133	
774375	148172	Sra. Hotel
774375	170033	
774375	202296	Teófila
774375	339175	Dolores
774375	355749	Remedios
774375	357516	Adelia
774375	387881	
774375	396154	Asun
774375	396770	Carmina
774375	400653	Tina
774376	222258	Grandma
774377	6293	Cameriera di casa Dias
774377	311813	Young Nun
774379	155903	Astrid
774380	304650	Brenda
774381	75034	
774381	330050	
774382	407389	Sawa (young)
774383	63831	
774384	37681	Mickey
774384	93261	Diane
774387	145046	Virginia
774387	291449	Pageant Girl
774388	46862	Mary
774389	256971	
774391	96496	
774391	113674	
774391	157522	Wanda
774391	386748	
774391	411885	Maria (1st voice)
774392	6294	La madre di Elsa
774393	77199	Engraver
774393	238449	Theban Child
774393	385627	Ena (segment film one)
774394	8979	
774394	14705	
774394	171532	(segment "Oh! Dúvida Cruel")
774394	328359	
774394	354985	
774394	388636	
774394	389154	
774394	395405	
774394	401089	
774394	409937	Dolores
774395	116636	
774396	28375	
774397	340103	Mediterranean Woman
774398	255641	Giuseppina Bellanca
774399	20754	
774400	48393	
774400	169577	Hostess
774400	211226	Wanda
774401	388093	
774403	46862	Sophie
774404	8932	Roberta Salter
774405	335689	Girl
774407	222856	Silvia as a child
774409	43665	Maria Cecilia
774409	116581	
774410	14946	
774411	5447	Greta von Grey
774411	7438	
774411	13208	
774411	97147	Michele's mother
774411	112656	
774411	113441	Silvana
774411	129000	
774411	132936	
774411	147061	Anna
774411	156905	Giacomo's Mother
774411	184972	
774411	188719	Tonina
774411	193079	Anna
774411	197638	Orsola
774411	215550	Gabriella
774411	217926	Anna
774411	273140	Un'altra dama della casa dei 
774411	276981	
774411	279902	
774411	287487	
774411	319323	Salvatore's Aunt
774412	397522	Daniela
774413	350877	Carlotta
774414	83305	La Factrice
774415	273963	
774416	402302	
774417	269115	
774418	187259	Mary Ann
774418	240316	News anchor
774419	29112	Band Member
774420	176453	Marsha Morgan
774420	372774	Waitress
774421	12687	La servetta
774421	55975	
774421	69369	Nun
774421	204241	Katia
774421	252004	
774421	263936	
774421	269001	
774421	269024	
774421	270325	
774421	279113	Helen
774421	295142	Liz
774423	405835	Ana López
774424	254845	Ms. Midwife
774424	283543	Dancer
774424	405839	Herself (Solid Gold Dancer, 1
774425	163688	
774426	33584	
774426	46000	
774427	344871	
774428	29140	
774428	309559	
774429	899	Blonde
774430	281686	Vita
774431	296236	
774432	59893	Herself
774432	247991	
774432	326732	
774433	8932	Juror
774434	115794	
774434	222188	
774434	269214	
774434	292899	
774434	380525	Domitila
774435	380242	Elisa
774435	381607	Jacqueline
774435	412301	
774437	354984	
774439	264311	
774440	53746	Antonieta
774441	9996	
774441	25204	Annikki
774441	142721	
774441	145359	
774441	170921	
774441	177040	Mirri
774441	181561	Dancing cossack woman
774441	181652	Woman in tram
774441	181858	
774441	182840	
774441	209949	Mrs. Järvinen
774441	226811	
774441	233247	
774441	236793	
774441	242268	Mrs. Tötterman
774441	251938	tourist
774441	258843	Kihlajaisvieras #4
774441	258986	New mistress of Jake's father
774441	267931	Pertta Kypenäinen
774441	271608	
774441	271637	Toini
774441	283232	Minni
774441	287535	
774441	287536	Sotilaskotisisar
774441	320584	
774441	322273	Mirjan äiti
774441	336584	
774441	341543	Sally Keihäs
774441	350895	Cleaning woman
774441	354086	Mrs. Miemonen
774441	357791	
774442	154474	
774443	67497	
774444	236505	Madame Lajoie
774445	384627	Freeman's Wife Michelle Rossi
774446	276486	
774447	207960	
774448	8355	La fromagère
774448	69380	Yvonne
774448	83203	Mlle Bériot
774449	380978	Solange
774451	16790	Coco
774451	23679	Solange
774451	43150	Anne-Marie, la script/Manuela
774451	69731	
774451	70743	Mme Neveu
774451	119053	
774451	134592	
774451	156329	Pierrette
774451	160634	
774451	236528	Herself
774451	249209	Serveuse de 'La Gigolette'
774451	261867	Madeleine Dubois
774451	269041	La Plume
774451	320421	Yvette McDonald
774451	345469	
774451	386020	Caroline
774451	386092	Véronique O'Neil
774451	407068	Manouche
774451	408173	
774452	351489	
774453	69137	Reporter #3
774454	367083	Running Girl
774455	190273	Tiffany
774456	691	Herself
774456	73896	Herself/Presenter
774456	385299	Jill Richardson/Harvey/Chance
774456	385301	Jill Harvey Chance (2001)
774456	387518	Nurse Kate Ford
774457	67104	Signora Ricci
774457	87201	
774457	99627	Giulia
774457	118778	Madre superiora
774457	230296	Mariena
774457	252309	
774457	349422	
774457	384255	Silvia Brentano
774458	5447	
774459	2634	Flight Attendant
774459	27263	Bumped Woman
774459	45860	Ms. Arbitrage
774459	160416	Ollala (segment "The Branding
774459	216737	Rosalie Luciano
774459	218719	Tilde
774459	277885	
774460	80695	Rockhouse Customer
774461	338369	Linuccia
774462	114270	
774462	131431	Princeton Woman
774462	284004	Sally/Krista
774463	70673	
774464	48806	
774464	70673	
774464	70696	
774464	255800	Doña Mónica
774464	255885	
774465	55682	Hoopla Girl
774465	74230	Bess
774465	112744	Debbie
774465	237828	Prostitute
774465	362748	Rock Girl
774466	91445	Elodie
774468	127387	Luisa Corradi
774469	313135	
774470	65603	
774471	399130	Carrie Clark (2000)
774472	42861	Wife
774472	63633	Bride
774472	67652	Dinho's Girlfriend
774472	181446	Extra
774472	201647	Herself
774472	324749	
774472	378410	
774473	137449	Baby Ian
774473	185365	Johnsy
774473	200063	Linda
774473	204139	Mickey
774473	391558	Dana
774474	30967	Emperor Penguin
774474	124048	Messy Tessie
774474	159012	Morty's Actress-Friend
774475	133337	Skateboarder
774476	399405	Girl
774477	320582	Mona
774478	295349	Zoos Fan
774479	325714	Ella Klein
774480	210700	Nurse
774480	215049	Rich woman at polo match
774480	302185	Woman #1
774481	246895	
774482	73833	Celebrity Party Guest
774483	381823	Panelist (graphologist)
774484	90527	
774484	91316	
774484	390614	Zulema
774484	395864	
774485	56354	5th Brigadist
774485	123176	Egle
774485	203343	Maria
774485	262699	Elisabetta
774485	281584	Sara
774485	348193	Elena
774485	390091	
774487	9734	Doña Clara
774487	23626	Madre de María
774487	51089	Estanquera
774487	55170	Madre
774487	146458	Modista
774487	227731	Vagabunda
774487	249881	Angustias Madre
774487	259991	María
774487	275355	Grandmother
774487	307277	Vieja del Carro
774487	371290	Irene Papas
774487	401657	
774488	44433	Woman at Site
774489	231386	Hooker #1
774490	327836	Nursing Grads
774491	126495	
774492	155362	Carmen
774493	155362	Mutter Ruth
774494	100711	Señorita Vasquez
774494	107990	Cat
774495	4549	Emily Thurston
774495	5542	
774495	19262	April
774495	22819	Mildred Morgan
774495	44538	Louise Kirk
774495	46584	
774495	72639	Margaret Cummings
774495	77915	Mrs. Randall
774495	84853	
774495	100858	
774495	121383	The Sister
774495	126585	Margaret MacPherson
774495	134420	Sister
774495	155730	
774495	190501	Lucille Cartier
774495	213462	
774495	241885	Grace Merrill
774495	263452	Molly
774495	278040	Ruth Carlson
774495	287306	Beth Botsford
774495	301269	
774495	314933	
774495	328583	
774495	340817	Effie Marsh
774495	346349	Esther
774495	363995	Lady Maud/Joan Long
774495	365297	
774496	85997	Lydia
774497	30192	
774497	38077	
774497	47464	
774497	109044	
774497	134420	Sister
774497	146298	
774497	195627	Grace Hamilton
774497	250523	
774497	340913	
774497	359996	Jennie Lee
774497	366792	Bess, Telephone Operator
774498	276450	
774499	194836	
774500	186134	Journaliste
774501	1703	Herself
774501	14159	Sheila (at 15)
774501	23973	Young Audrey Hepburn (ages 12
774501	79716	Laura Chapman
774501	125671	Claire Addison
774501	138864	Nicky Trent/Jenny Thomas
774501	163248	Young Girl
774501	224842	Katie Markum
774501	234659	Nola
774501	242038	Lily
774501	254522	Christine
774501	308684	Deladis Slocumb
774501	380713	Abigail Williams #1 (1999)
774501	390922	Luanne
774501	411176	Young Sarah
774502	52246	
774502	230391	Suzy, age 2
774503	259713	Ragazza bandana
774503	283285	
774504	209209	Shotgun Cop
774505	387058	Italian woman
774506	99998	
774507	411420	Herself
774508	51097	Melinda
774508	90081	Zerlina
774508	119183	Die Stimme des Falken
774508	120626	Voice
774509	259491	Ivon Herzog
774510	144134	Charlotte
774510	210081	
774510	272748	Selma Knobbe
774511	325890	
774512	186864	Dame in Schwarz
774514	74422	
774515	248888	Sophie
774516	80644	The Knight
774517	229760	
774520	121456	Nurse
774520	164255	Waitress
774521	296450	
774521	355123	
774522	322188	
774523	104762	Finnish entry (15th place)
774524	211926	
774525	37731	
774525	95707	Helena Pyrzyk
774525	247647	
774525	280588	
774526	291503	Phyllis
774527	5160	Dora
774527	182590	Schauspielschülerin
774527	265402	Schülerin
774527	290016	Ruth
774527	313335	Dore Hollberg
774528	4512	
774528	8063	
774528	9391	
774528	9453	
774528	9763	
774528	15352	
774528	20200	Wafae
774528	25440	
774528	25703	
774528	25982	
774528	25997	
774528	28896	
774528	31479	
774528	58437	
774528	82569	
774528	98720	
774528	100222	
774528	124676	
774528	126916	
774528	127011	
774528	152145	
774528	152147	
774528	152148	
774528	152150	
774528	152151	
774528	152153	
774528	153304	
774528	155165	
774528	160730	
774528	161455	
774528	162670	
774528	163782	
774528	171842	
774528	176128	Mokhtar
774528	183008	
774528	191434	
774528	193467	
774528	202113	
774528	214322	
774528	217207	
774528	218907	
774528	226114	
774528	271037	
774528	271040	
774528	271586	
774528	285534	
774528	289176	
774528	294637	Nargis
774528	294638	
774528	297846	
774528	303351	
774528	322881	
774528	323688	
774528	324991	
774528	324998	
774528	332733	
774528	336821	
774528	358097	
774528	375552	
774529	268815	Nata
774530	173682	
774532	237878	
774534	230472	Countess Erdody
774534	266161	
774535	301850	Amanda
774536	375431	
774537	265463	
774538	61832	Herself
774539	139	
774539	27969	Madame
774539	30324	Herself
774539	74476	Mrs. Herrington
774539	122765	Irena Seborová
774539	147575	Janinka
774539	149414	Grandmother
774539	165047	
774539	178532	Mother
774539	179898	Sofi
774539	198221	Lady
774539	198356	Great-grandmother
774539	202574	Mermaid's Grandmother
774539	207714	Lady
774539	221866	Grandmother
774539	229394	Pralinka
774539	229822	Granny
774539	238130	Aunt
774539	247623	Kacíková
774539	254227	Mother
774539	261208	Tomanová
774539	268503	Kamila Vondráková
774539	288359	Courtier
774539	295053	
774539	304706	Auntie
774539	309445	Soucková
774539	310248	
774539	324113	
774539	336823	Lady Oberon
774539	357437	Dvoráková
774539	357695	Augustová
774539	375400	Old woman
774539	376602	Shirley White, tourist
774539	383079	
774539	394826	Grandmother Berková
774539	396264	Cäcilie
774539	407428	Granny
774539	407986	
774540	30386	Rafaela
774540	398816	Rosa
774541	309718	Jennifer
774542	170373	Landlord
774543	382307	Malin
774544	27125	Angela's Mother
774544	70421	
774544	82327	
774544	113728	Teegra
774544	133334	Rita Marshall
774544	194835	Patty, Linda's Coworker at Br
774544	213178	Donna
774544	251551	
774544	263334	Mrs. Dietz
774544	302277	Emma 'Emily' Hoover
774544	321654	Fae
774544	397695	Pearl Pureheart/Additional Vo
774544	402454	Additional Voices
774544	405405	Maude Flanders/Helen Lovejoy/
774544	407441	Additional Voices
774544	407701	Additional Voices
774544	408240	
774544	409943	Venus
774545	133045	Valérie Fournier
774545	140005	
774545	228245	Herself
774545	269709	
774545	374314	
774546	174635	
774547	390771	Eleni Andros #3 (1995-2000, 2
774547	400829	Sam
774548	261135	Marzenka, Ewa`s half-sister
774549	377817	
774550	96348	Ana
774551	328748	
774552	108897	Herself
774553	40523	Betty Larsson
774553	88393	Betty
774553	115880	Ada, waitress
774553	138519	Sonja
774553	153285	Ingrid
774553	182557	Frida Söderberg
774553	303849	Betty
774553	303855	Subban (waitress)
774553	342301	Mary Berg
774554	120966	Woman in the stairs
774554	182466	Vera
774555	304406	Matelda
774556	11709	Okänd roll
774557	188868	
774557	322291	Grethe
774558	104463	Cäcilia
774559	403041	Hana
774560	292367	
774561	249596	
774561	275080	
774561	355201	
774562	36611	
774562	163688	
774562	269478	
774563	15958	
774563	213687	Chloe
774564	56929	Lucilla
774564	103999	Davide's brother's wife
774564	238015	
774564	244066	Veterinarian
774564	259713	Carola
774565	132259	Mrs. Cirelli
774566	16956	
774567	13626	Nun
774567	27822	
774567	38229	Prisoner
774567	53606	
774567	57553	
774567	78770	grandma Peg
774567	82965	
774567	112700	
774568	60815	
774568	95440	
774568	124848	Marcella Bazatin
774568	323328	
774569	31654	Grandma Edith Wilson
774569	56386	Little Old Lady
774569	68867	Prof. Goldstein
774569	72509	Homeroom Teacher
774569	106217	Mom
774569	135783	
774569	141164	Mrs. Brodsky
774569	158338	Angry neighbor #2
774569	166692	Mrs. Palliser
774569	195526	Woman in Wagon
774569	222565	Millie
774569	222769	Selma Franklin
774569	222875	Mrs. Vincenzo
774569	283944	Secretary to Chief of Police
774569	299669	Mrs. Berger
774569	311354	
774569	346127	Miss Seaver
774569	358313	Valda
774569	363044	Secretary/Nurse
774569	366600	Elderly Lady on Street
774569	403452	Martha (1984-1985)
774570	356042	Eva
774571	155013	Girl/Jack's movie
774572	166940	Dinner Model
774573	234718	
774574	68686	Self
774574	159458	
774574	295131	First midwife
774574	386398	
774574	386399	Suor Delfina
774575	29399	Anna
774576	59765	Sophia (1909)
774577	260575	
774578	383834	Gadi's Sister
774579	410251	Jennifer Sommers (1965-1966)
774580	40864	Bar Voice
774581	384201	
774582	40360	
774582	289850	
774582	290240	
774583	210269	Louise
774584	397936	Prince Tuesday (1975-1976)
774585	401186	
774586	117061	Ambrosia
774586	207132	Nancy Lawrence
774586	289222	Tammy
774587	367668	Babysitter
774588	8217	Lisa Fabrizzi
774588	11157	Sarah Kinmount
774588	49926	
774588	59112	Kim Jameson/Kate 'Dominique' 
774588	66155	Amy
774588	73906	Laura
774588	78013	Allison Davis
774588	88025	Carol Gibbs
774588	105726	Susan Marshall
774588	131433	
774588	144544	Monika Engelmann
774588	145111	Alexandra Farrow
774588	252897	Beverly
774588	253507	Gina
774588	264110	Marlene
774588	274215	Nan
774588	293150	Heidi Tucker
774588	311567	Penny
774588	314434	Susan Heller
774588	318977	Head Nurse
774588	333372	Toni Newman
774588	347963	Marla Lawson
774588	383123	
774588	396144	Amy
774588	403229	Janet Gavin
774588	403540	Diana Powers/NeuroBrain
774588	411355	Eleanor, as an adult
774589	2940	Herself - Best Costume Design
774589	65664	Herself
774590	17160	House Party Guest
774590	329830	
774590	367857	Bit Part
774591	100262	
774591	209298	American girl
774592	254371	
774592	333044	
774593	183586	Mr. Thayer's secretary
774593	397936	Audrey Roth (1971-2001)/Miss 
774594	40690	Mrs. DiBianco
774595	104965	Cowgirl Mary
774596	68558	
774596	135378	
774596	186211	
774596	221694	
774596	272620	
774597	264420	Waitress
774598	61646	Orphan #1
774599	7759	
774599	14930	Kafka's Sister
774599	18282	Violeta Dasinski
774599	20701	Ana
774599	28208	
774599	34959	
774599	51567	
774599	57870	Judge Beatriz Teller
774599	72887	
774599	74827	Sra. Josephson/Mujer rubia (s
774599	75594	Cristina
774599	77253	
774599	80148	
774599	83530	
774599	83540	Alina
774599	101894	Merche
774599	108136	
774599	136987	Manuela Coleman
774599	145143	Lucía
774599	146583	
774599	165796	Paola
774599	171022	
774599	172974	Mom
774599	183161	Sexilia
774599	197158	Ana
774599	206739	Alicia
774599	234042	
774599	234310	Sabrina Love
774599	238177	Valeria
774599	252541	Bárbara
774599	252551	Chica del anuncio 'Bragas Pon
774599	252603	
774599	253251	
774599	276010	
774599	293374	Eva
774599	296454	Coca
774599	316282	Anita
774599	327815	
774599	334678	Manuela Coleman Echevarría
774599	334685	
774599	341079	
774599	352130	Matilde
774599	353670	Cármen Uranga
774599	355944	
774599	369748	Herself - Presenter: Best Lea
774599	369989	Herself - Presenter: Best Lea
774599	369999	Herself - Presenter: Best Fil
774599	371778	The voice of La Virreina
774599	376851	Chica anuncio
774599	380840	
774599	387713	Actres
774599	388097	
774599	395255	Laura
774599	396162	Regina Carolina/Queen Maria C
774599	399805	
774599	400950	
774599	405812	Dolores Bustos
774600	161198	Herself
774601	51640	Herself
774602	6082	
774602	24836	
774603	191783	Oded
774604	264710	Martha
774605	201790	Herself
774606	20565	Mae's Friend #3
774607	87876	Woman in Chief's Office
774608	125226	Frau Amsler
774608	289894	Schoolgirl
774609	53701	Narrator
774610	241296	Herself
774611	269954	
774612	31541	Clelia
774613	84563	
774614	563	Herself
774615	10316	Alex' Mom
774616	279633	Mother
774617	380430	
774618	197895	Hilary
774619	41725	Beth
774619	118925	Marie
774619	171429	Caroline
774619	273715	Eve Kendall
774619	281963	Ophelia
774619	304948	Suspicious Girl
774619	306288	Lilliana
774619	312939	Svetlana
774619	402956	Francie Fitzpatrick
774619	404407	Francoise Picard (Series 2)
774619	404742	Lucy
774619	409241	Helen Kennedy (series 1)
774620	94413	Agnes
774621	375863	Alarm Voice
774622	281901	Waitress in Airport
774623	225155	
774624	1038	Six Chick
774624	63144	Supermarket Checker
774625	372525	Glenda
774626	7473	Marie Seznec
774626	17847	Fofette
774626	28554	Christelle
774626	51434	Pauline
774626	62566	Claire Béraud
774626	80243	Marie
774626	83348	
774626	101191	Charlotte Larmant
774626	122748	Esther
774626	132899	Véronique Maurin
774626	188484	Julie
774626	199332	Marie
774626	206947	Sarah
774626	211824	Young Girl in Bath
774626	236605	
774626	268448	Marie
774626	275124	Fille Cuisine Egorge
774626	276079	Carla
774626	287330	Marinette
774626	321960	
774626	340195	Flavie
774626	350850	Maidservant
774626	388585	Mayalène
774626	398042	Gracianne
774627	123023	Anna
774628	278824	Anchorwoman
774628	360616	Detective Broder
774629	323832	Megan (segment "Trick or Trea
774630	142330	Falika
774631	379800	Dagmar Ebbesen
774631	398852	Margareta Sandberg
774632	365421	
774633	39812	
774634	8970	Herself
774634	17160	Arabella Rittenhouse
774634	19782	Herself
774634	42278	Ruth
774634	92101	Herself
774634	148868	Cora Falkner
774634	156494	Revolutionary Rhythm Dance Sp
774634	183435	Prisoner Linda
774634	190856	Herself
774634	190857	Herself
774634	195985	Lulu
774634	199272	Trixie
774634	207230	Julie/Emmy Lou
774634	209632	Lillian
774634	214097	
774634	228687	Lillian
774634	248613	Girl Singer (Love Time)
774634	253389	Extra
774634	271358	
774634	291750	Adrienne
774634	306230	Herself
774634	309629	Singer on telephone
774634	315614	Herself
774634	323373	Wanda Hill
774634	349631	Huguette
774635	115666	Screening Woman #1
774636	109415	Lion Tamer
774637	145572	Lisa
774638	237904	Therapist
774638	362952	Adult
774639	352061	Frau Witzig
774640	80943	Marie
774641	3467	
774641	4542	
774641	9642	
774641	17124	Martha Valdes
774641	39812	Juanita
774641	55380	
774641	56330	
774641	64996	
774641	70687	
774641	70890	
774641	74572	
774641	83137	
774641	89736	
774641	101604	
774641	108118	Maru Cataño
774641	134436	
774641	148132	Laura/Alejandra
774641	165788	
774641	167814	
774641	186597	
774641	192937	
774641	199808	
774641	205020	
774641	212482	
774641	218437	
774641	233769	
774641	236742	
774641	239268	
774641	270015	
774641	275744	
774641	280867	Gabriela de Alba
774641	281760	
774641	282144	Marta
774641	291643	
774641	294709	
774641	318001	
774641	318236	
774641	341163	
774641	350634	
774641	351836	
774641	370084	
774641	376805	
774641	377189	
774641	381030	Mercedes
774641	385880	
774641	387274	
774641	387552	Rosalía Ovalle
774641	390404	Lucrecia
774641	392960	Norma Del Bosque Iturbide
774641	396244	
774641	397594	Elena
774641	398490	Doña Catalina
774641	399707	Mónica
774641	399763	Eugenia Betancourt D'Anju
774641	401093	Lady Elizabeth
774641	401161	
774642	362581	Amy Peck
774643	144019	
774643	148132	
774644	74230	Villager
774644	260144	
774645	88119	Anne-Marie
774645	153846	Jeanne
774645	291575	Médecin SAMU
774645	326128	Driving school student
774646	342510	Ana
774647	232292	TV Reporter
774647	235473	Reporter 2
774647	367083	Mary Lou
774648	209802	Anchorwoman
774648	385302	Announcer
774649	286416	
774649	333693	
774650	224741	Betty
774650	372901	Rosemary Beardsley
774651	153008	Patti Ashbury
774652	3982	Desert Child
774652	79007	Little Royville Girl
774652	86558	Child
774652	107692	Alisia Edwards
774652	266091	Baby Chandra
774652	268221	Little Girl in Park
774652	346044	Deaf Girl
774652	351412	Colony Girl
774653	16631	Mary Hemingway
774653	160078	Valerie
774653	194546	Lori Fitzgerald
774654	375044	Showgirl
774655	80809	Club Goer
774655	157042	Andy's Mother
774655	299846	Makeup Model
774656	40450	Langstrom
774656	107491	Eleanor
774656	370004	Mom
774657	149483	Honey
774658	200315	
774658	366328	Rachel Byrd
774658	399588	Megan Beznick
774658	408333	Amy Fitzpatrick (2000-)
774659	64750	Sidewalk Woman #01
774659	311952	Stewardess
774659	366955	Susie
774660	14131	Vocal Jazz Group
774660	372071	Veronica
774661	4762	Tante Annie
774661	12206	Wardrobe Mistress
774661	103059	Alte Dame
774661	116017	
774661	119673	
774661	126475	
774661	136205	Ältere Frau
774661	172349	
774661	189797	Mimi
774661	230175	Hausiererin
774661	241875	Berta
774661	289943	.
774661	290173	Tante Gundula
774661	290177	Gräfin Posadowsky
774661	290695	
774661	308823	Mrs. Cordula Brix
774661	337124	Frau Kulig
774661	343487	
774661	358540	Hanna
774661	360926	
774661	361443	Frau Berger
774661	378168	Mechthild
774661	397506	Mina
774661	401996	Frau Geiß
774662	352405	Child on Slide
774663	297776	Maureen
774664	298852	Dara Lynn Preston
774664	337084	Young Abigail
774664	394414	Herself
774665	223449	
774666	6561	
774666	12029	Élida Paso
774666	25629	
774666	51777	
774666	55966	
774666	80339	
774666	85557	
774666	97552	
774666	103491	
774666	103765	
774666	118635	
774666	145155	
774666	160611	
774666	171466	
774666	206571	
774666	210443	
774666	215023	
774666	236034	
774666	278306	
774666	291601	
774666	301185	
774666	301189	
774666	328720	
774666	353234	
774666	354470	
774666	356667	
774667	352405	Child on Swing
774668	72504	Marta
774668	73303	Sharon Rosenthal
774668	81649	Janet/Harry's Character
774668	103254	Receptionist
774668	147694	Barbeque Guest
774668	210269	
774668	211698	Rahel Fish
774668	254645	Rachel Smilow
774668	308684	Alice Kincaid
774668	368043	Biker Girl
774669	67378	Young Mother
774670	80469	Girl in exercise room
774671	144851	Sandy Thomas
774672	156684	Bäckersfrau
774673	277749	Old Lady
774674	144325	
774675	329895	Mutter Ines
774675	388457	Martha Aebersold
774675	388866	Beetli Huber
774676	117874	Hollywood Boulevard Girlfrien
774677	92213	Mrs. Wasserman
774678	64600	Mrs. Schuman
774678	137909	Gertrude
774678	187395	
774678	221262	Princess Caroline of Brunswic
774678	284700	Fatima
774679	386220	Clubsängerin
774680	279633	
774681	304021	Violet
774682	407324	
774682	411095	Actress (1997)
774683	313123	
774684	361504	Putzi
774685	136904	Rosmarie
774686	89307	Glenda
774688	22722	Davis Receptionist
774688	73803	Angie
774688	192729	Janet
774689	149390	
774689	171258	
774690	222310	Goddess
774691	107481	
774691	143395	
774692	115432	Laura Bilk
774693	107481	
774694	182623	
774695	404282	Adriana Sophia Castillo [#2] 
774696	200925	
774697	404282	Adriana Sophia Castillo [#2] 
774698	366554	
774699	113429	
774699	189663	
774699	209950	
774699	210231	Melanie
774699	405351	Jenny
774701	106391	Woman in bank
774701	154042	Beth
774701	185277	Woman on Beach
774701	196282	Loretta Baxter
774701	333356	Cousin Connie
774701	363044	Camp Counselor
774701	365947	Piggley Wiggley Shopper
774701	383858	The 'Voice' of the Chamber
774702	67501	Michaela
774703	301676	Inmate
774704	49668	Solist
774704	65719	Singer
774704	210092	Dolly Fleuriot
774704	239082	Adele
774704	281972	Sophie
774704	352527	Singer
774705	88692	Dame i rejsebureau
774705	123885	
774705	162657	Fuld mor
774705	305004	Mor - Anette
774705	398855	
774706	396108	Contestant
774707	351788	Mathilde
774708	40779	Inga
774709	306414	Rose
774709	327279	Jackie
774710	316327	High school student
774711	387247	Lucy Beale (1997-2004)
774712	4694	
774712	5413	Mrs. Novak
774712	16327	Jennifer File
774712	27437	Max
774712	34666	Philly AM Host
774712	43932	Aunt Syd
774712	58868	Dr. Sanchez
774712	61656	Donna
774712	63097	Susan
774712	80521	Ariadne (segment "The Great M
774712	81545	Janet Harrison
774712	91099	Raven
774712	97192	Ruth Jordan
774712	106193	Officer Pierson
774712	114402	His Wife
774712	117231	Lenore Molee
774712	122665	Baronness/Granny
774712	122675	Baroness
774712	141194	Nancy Donnelly
774712	147020	The Mother (Lisa)
774712	152272	
774712	154308	Ellen Abrams
774712	161472	Jane Price
774712	171348	Laura Kane
774712	200173	Beth
774712	203444	Female Newscaster
774712	203614	Henry's Secretary
774712	207505	Ms. Saunders
774712	217536	Therapist
774712	219556	Lena Falcone
774712	220058	Running Coach
774712	221100	Marylyn Walters
774712	232928	Narrator/Woman at Constructio
774712	233509	Obstetrician
774712	241950	Isoka and Harumi
774712	242809	Vicky Best
774712	257790	Counsellor
774712	265578	A-Ko Magami
774712	265579	A-Ko Magami
774712	265580	A-Ko Magami
774712	265581	A-Ko Magami
774712	265582	A-Ko Magami
774712	269046	Researcher
774712	270347	Christina Valdez
774712	272209	Kodachi Kuno
774712	272213	Kodachi Kuno
774712	272214	Additional Voices
774712	284936	Miss Fetid
774712	287206	Gloria Goodfairer
774712	292398	Janet Fraiser/herself
774712	298008	
774712	301564	Detective Brubaker
774712	313045	Lawyer
774712	313604	Dr. Janet Fraiser/Herself
774712	331740	Shelley Hansen
774712	343052	Madeline
774712	348617	Faye
774712	353749	Nancy Glover
774712	359567	Kathryn
774712	362740	Detective Seigel
774712	367585	Linda
774712	386777	Mai
774712	386922	Additional Voices
774712	386923	Mai (1994)
774712	388042	Field Repair Specialist Lt. M
774712	392294	
774712	394486	Additional Voices
774712	395762	
774712	396971	MOM
774712	399628	Mrs. Skittles
774712	400548	Network Executive
774712	402863	Kodachi 'Black Rose' Kunou
774712	403541	Additional Voices
774712	405833	Lisa
774712	406714	Rose
774712	411738	Mia Koji #2
774713	11315	Grandma
774713	42190	Old Woman
774713	47607	Woman at cocktail party
774713	48364	Helena Westman
774713	115398	A Harp
774713	198013	Woman reading a news article
774713	204720	Woman in village
774713	237246	Fina
774713	307533	Older woman
774713	314958	Kersti
774713	315548	Mrs. Österberg
774713	343711	Per Månsson's Wife
774713	344377	Lady in Waiting
774713	348501	Portvaktsfru
774713	357799	Grandma
774714	42651	Gunnel
774714	96426	
774714	98772	
774714	104812	Mrs. Fredriksson
774714	115429	Martha Cronsköld
774714	122477	Novice
774714	123071	Maria
774714	138504	Barbro (age 7)
774714	143994	Berghild
774714	168437	Helena Bergfors
774714	180076	Monica Lind
774714	181076	Marianne Westman
774714	182799	Thorborg Guldbrandsson
774714	225335	Margot
774714	236228	Dorrit
774714	240391	Aima
774714	243264	Inger
774714	302139	Assistant at the Charm Instit
774714	342309	Marianne Lundell
774714	346974	Malm's Daughter
774715	248540	
774716	190846	Konferencier
774716	210286	Old lady
774716	241216	Extra
774717	6247	Happy Kid
774718	64421	Diana
774718	93959	Prom Queen
774718	143742	Girl in red dress
774718	211764	Flight Attendant
774718	313622	Kathryn
774719	210648	Allison
774720	42842	Autograph Seeker
774720	97727	Girl in Diner
774720	206818	Disney Patron
774720	223978	Anna
774720	265101	Junior's Classmate
774720	297262	Little Girl
774720	341847	Lizzie
774721	242028	
774722	123040	Sygeplejerske
774723	232203	Student
774724	194525	Mrs. Malincanico
774725	28309	Shirley Sanders
774725	350077	Trish's mom
774725	365972	Edith Roosevelt
774726	50896	Sonja
774726	84271	Tordis, deres datter
774727	122560	Meister-Jodlerin
774728	358521	
774729	363224	Columbia Student
774730	1879	Devon Grady
774730	14210	Herself
774730	16704	Nancy Bolan
774730	20967	Herself
774730	25905	Madam Lo
774730	28197	
774730	34923	
774730	62036	China O'Brien
774730	62037	China O'Brien
774730	64177	
774730	81752	
774730	94985	Bertha Jo
774730	98936	Herself
774730	106493	Tina
774730	109474	Lilly
774730	109475	Lily
774730	112345	Karate master
774730	116648	Bandit
774730	119488	
774730	135163	McKay
774730	149949	
774730	152106	Inspector Carrie Morris
774730	162460	Charlotte Heller
774730	170760	
774730	183621	Kathy Galagher
774730	183622	Susan 'The Golden Angel' Morg
774730	204169	Nancy
774730	206608	Billie Blake
774730	206609	Billie Blake
774730	207529	Herself
774730	212645	Cindy
774730	216636	Cindy Morgan
774730	216971	Herself
774730	230387	Julie Cosgrove
774730	232291	Kristin O'Connor
774730	233922	Terry
774730	250564	Herself
774730	261026	Laurel
774730	270903	Kris Fairfield
774730	270904	Kris Fairchild
774730	272324	
774730	274459	Erin Murphy
774730	290860	Sally/The White Dragon
774730	298683	Cindy
774730	321731	Janna
774730	323109	Bencheuk
774730	332771	Linda Masterson
774730	332772	Linda Masterson
774730	332773	Linda Masterson
774730	345945	Kristi Jones
774730	347966	
774730	371329	
774730	374802	Cindy Si
774730	375778	Tracy Pride
774731	227305	Herself ('Me')
774732	227305	Herself ('Mama')
774733	20787	Sunny
774733	360354	Mary
774734	223867	Queen of Transylvania
774735	133695	Herself
774736	313360	Beggar Woman
774737	374418	Older Sister Meryl Fletcher/A
774738	1411	Wife
774738	169862	Prostitute
774738	223900	
774739	67361	Host/Narrator
774740	140600	Mother
774741	313353	
774743	1390	USO Girl (Jitterbugger)
774743	4017	Additional Voices
774743	84716	Additional Voices
774743	122109	
774743	138135	Additional Voices
774743	213445	
774743	238238	Lions Den Dancer
774743	307189	Additional Voices
774743	381960	Additional Voices
774743	389791	Student
774743	390730	Woman, Yoshiko Uchiyamada, Ma
774743	408893	
774744	22722	Hospital Receptionist
774744	366643	Secretary
774745	35351	Child
774746	137111	Beth
774747	10633	
774748	77409	Heidi Rellert
774748	138767	
774748	364923	
774749	29186	Actor/Emily
774749	122894	Little Red Riding Hood
774749	190480	Danika
774749	244838	Amy Ryan
774749	274055	Sarah
774749	360392	Lauren
774749	363943	Susie Tomlinson
774749	367282	Tammy Holt
774750	93129	Ma
774750	179007	Bonnie Laurence
774750	350349	Mary, Larry's Wife
774750	388209	Linda O'Hanlon
774750	399567	Liberty Hall Woman 2
774751	360074	Jasmin
774751	398674	Helen Midgeley
774752	51124	
774752	259513	Gisela Kühn
774752	259608	
774752	312640	
774752	352367	
774752	361511	Wirtin
774753	239279	
774754	37279	Pregnant Frenchwoman
774755	330271	Waitress
774756	44980	Boubou
774756	112895	Nora
774756	264943	Camille
774757	133737	Nurse
774757	157819	Kate Vernon
774757	280896	Fanny Pilkington
774757	302917	Bit Role
774758	159497	
774759	29896	
774760	199978	
774760	255133	TV Host
774761	399657	
774762	35463	Georgina Carlyle
774762	80056	Sandy
774762	124351	Wanda Green
774762	166917	Former Girlfriend
774762	207858	The Female's Slutty Friend (L
774762	326467	
774763	405209	Dolores Perez (2001)
774764	14171	Herself/'Miss Scarlett'
774765	223506	Candidate #15
774767	317483	Mrs. Volpe
774768	402294	Herself
774769	41204	
774769	299557	
774770	303234	
774771	164567	
774772	305080	Sandy
774773	40145	
774773	46767	Bertha Zuckerland
774773	49930	Lydia
774773	405804	Petra Mitterer
774774	195305	Sing and Jingle Children
774775	23559	
774775	50973	German Teacher
774775	92993	Governess
774775	242038	Anna-Maria
774775	292461	Teletype operator
774775	334132	
774775	394123	Helena
774776	164260	
774776	181387	Mother Grudzinska
774776	204048	Aunt Leonia
774776	216593	
774776	316436	Royal Housekeeper
774776	365021	Princess Odrowazyna
774777	166616	
774778	42034	Merel
774779	112917	Vrouw in de deur
774780	285702	Liliane (jong)
774781	18332	
774781	69555	Nadia
774781	204536	Alena
774781	268310	
774781	382877	
774781	401670	Els Kerdoens
774781	409192	
774782	338981	Herself
774783	10717	Alice
774783	158563	Winter's angel
774783	289859	Pearl
774783	401042	Paulinchen
774784	92213	Kristina
774785	262513	Frau Besig
774785	389838	The Internationals
774786	188129	Friend
774787	229174	Mother
774788	113530	
774789	395668	Pitti
774790	126099	Herself
774791	321899	
774792	112886	
774793	31423	Amy
774793	116884	Amber Gates
774793	118291	Sudanese Girl
774793	294269	
774793	311529	Nandita
774793	343012	Sonita
774793	388321	Dr. Tanya Ayuba (2001)
774793	389042	Amber Gates (Series 3-) (2004
774793	391786	Dale Jackson (2003)
774794	118624	Marianne
774795	164158	L'ambulancier au bonnet
774796	51955	Norma
774797	27447	Mona
774797	41186	Brandi Alexander
774798	26283	
774799	293905	Maid Emilia
774800	142390	Hell Mountain Girl
774801	109065	Zosia R.
774802	8335	
774802	100553	
774802	136479	
774802	211736	
774802	247601	
774802	316475	
774803	64262	Housekeeper (Cintamani)
774803	88128	Pepik's Mother
774803	148803	Dernácková
774803	229822	Landová
774803	327763	Receptionist
774803	339277	Lukesová
774803	387031	
774804	147572	Cerná
774804	356088	
774804	357266	Králová
774804	380554	Woman in Kitchen
774804	383856	
774805	340478	Dorothy Willis
774806	4242	
774806	25709	
774806	139352	
774806	156348	
774806	199681	
774806	324147	
774806	324997	
774806	375933	
774807	33626	Madame Dagnan
774808	51434	Mère randonneur
774809	249548	Sophia
774809	329477	Young Nun
774810	218420	
774810	350214	Diana
774811	54652	Young girl
774812	330562	Portier München Plaza
774813	308311	
774814	113927	Estee
774815	124757	Can-Can Dancer
774816	265218	
774817	311523	Girl in Nightclub
774818	19345	
774818	43711	Mme Lefèvre
774818	45876	Zénobie
774818	59435	Madame Dardillon
774818	102003	Mme Agnel
774818	103206	
774818	107240	La grand-mère
774818	118032	
774818	132994	
774818	149214	
774818	195702	Baker's client
774818	204656	La mère de l'instituteur
774818	206057	
774818	236555	La nounou
774818	245977	
774818	251290	Mère de Mathias
774818	265719	
774818	282495	
774818	336958	
774818	354658	La mère
774818	377280	
774818	378797	Nicole dite 'Galina'
774818	384746	
774818	398985	Tistone
774819	69342	Gisèle, la femme du vestiaire
774820	343312	
774821	7464	La Femme de la rue
774822	23635	Madame Desforges
774822	45132	Jane Bardet
774822	60501	
774822	72059	
774822	84631	
774822	84642	
774822	84665	
774822	89729	
774822	101154	La mère de Gisèle
774822	111038	
774822	114966	
774822	129635	
774822	189338	Jeanne
774822	251068	
774822	252775	
774822	258528	
774822	260945	
774822	280441	
774822	292343	Madame Hoppguer
774822	300735	Mlle. Moliere
774822	328415	Françoise
774822	345183	
774822	350246	Augustine
774822	384280	Herself (actress)
774823	126381	Sofie
774823	208282	Annie Brokka
774823	388531	Marijke (1990-1993)
774823	411311	Nellie Derdeyn-Opdebeeck-De D
774824	198746	Meisje
774825	59264	Marceline
774825	63928	
774825	66091	
774825	76059	Honorine Cabanis
774825	108613	Honorine Cabanis
774825	111036	Céleste, la bonne du curé
774825	124134	
774825	202592	
774825	206044	Honorine Cabanis
774825	248421	
774825	249096	La tante Maria
774825	290439	Grocery Customer
774825	334818	
774825	335899	
774826	268946	Roxane
774826	398843	Jeanne
774826	406030	Clara Lauset (1999-2003)
774829	51916	
774833	51392	Carole
774833	282001	Une Américaine
774833	377017	
774834	55467	Girl
774834	280263	Visiting Kids
774835	116434	
774835	143485	La sénateur
774835	268822	la Loubarde Paulette
774836	345342	
774837	410151	Nathalie Roussillon
774838	63779	Jeune femme TV
774838	70954	
774838	240429	
774838	252317	Une élève de Melle du Merle
774838	284877	
774839	19186	
774840	173325	Karmen
774840	341181	
774840	379618	Varvara
774840	380163	
774840	385983	Kikitsa
774840	385984	
774840	394037	Ermioni
774841	2537	
774843	11198	Various characters
774843	11503	Jack`s Wife
774843	68483	Charlotte Stout
774843	175163	Mrs. Trilling
774843	280447	Angela
774843	364363	Doreen
774843	390692	Miriam Craddock
774843	393667	Louise
774843	398495	Alice Finch (1992)
774843	398703	Ella Dawkins
774843	400814	Glenys
774844	226905	Elder
774845	384400	Juanita Chávez #1
774846	5470	Manicurist
774846	71141	La jeune fille du cabinet
774846	376896	Receptionist
774846	389774	
774847	282513	
774848	284684	
774849	151741	
774850	80314	Lilas
774850	133242	Une danseuse
774850	241212	Armelle
774850	255919	Beatrice
774850	280513	Mme de Montespan
774850	294609	Florence
774851	72053	Madeleine
774851	101222	Tatie
774851	108898	La secrétaire du préfet de po
774851	114786	
774851	132735	Mme Louise
774851	133175	
774851	134598	
774851	148736	
774851	196822	Mlle Lepage
774851	206059	
774851	255490	
774851	261845	Clémence Dimizieu
774851	292890	Mme Garaud
774851	353863	
774851	353952	Teacher
774851	356364	L'hôtesse
774851	373344	La matrone
774851	396369	Odette
774851	401972	Julie
774851	401982	Mlle Barescat
774851	404663	Jane Uparvon
774852	117278	Maxie
774852	141577	Cook
774853	230643	
774854	254882	
774854	286109	La nonne
774855	74965	Nadine
774856	53945	Felicia Felatio/Denise Smith
774857	12366	La fiancée
774857	346526	
774858	22688	Villagoise
774858	37899	Invitée Dîner
774858	269717	Zoé, copine de Théo
774858	376987	La cousine bretonne
774859	202090	
774860	23833	La speakerine TV
774860	97062	Paméla
774861	241339	Loreen Childress
774861	270903	Hospital nurse
774862	201842	Herself (sister)
774863	357047	
774864	357052	Young Lucie
774865	261062	Mary-Ellen Lewis
774866	93217	Sorority Sister
774867	21198	Nurse Jones
774868	147776	Elle-même
774868	399813	Herself/Journalist
774869	309730	
774870	281315	
774871	229236	Shower Girl
774871	230824	Mary Magdalene
774872	154502	Tourist
774873	230353	Alicia Winston
774874	57280	
774874	57876	Sylviane
774874	83380	Francette
774874	113131	
774874	130724	
774874	217634	La secrétaire Bouchons
774874	254520	Fleure
774874	265797	La jeune femme
774874	284666	Prostituée bar
774874	346642	Cémentine
774874	346716	Brigitte
774874	349481	
774875	8152	
774875	301126	La Servante
774876	387956	Herself
774877	393340	
774878	363514	Herself
774879	388713	
774880	379816	Vaggelio
774881	44913	
774882	77260	
774882	225070	
774883	148702	
774884	10330	Girl in Cemetery
774885	17937	Carol
774886	59126	Music student
774887	105822	Lila
774889	105596	Patricia Mirabeau
774890	99055	Helium's Social Worker
774891	50444	Extra
774892	99055	Cindy
774893	205379	
774894	77152	Girlfriend
774895	190854	Maria
774896	206956	
774897	72717	Ellie Sherman
774897	143742	June
774898	43925	Nephi's Sister 1
774899	349051	
774900	272724	Interview Subject
774901	381608	Anne Sinclair
774902	97215	Leslie
774902	408703	Chloe
774903	403885	Ingrid Méndoza
774904	394277	Herself/Moderator (1951-1954)
774904	397332	Herself - Moderator (1947-195
774904	402091	Moderator (1956-1957)
774905	15019	
774906	1379	Voice-over
774906	141767	Female Passenger
774907	38427	Jeanette
774908	38427	Maria
774909	34576	Alumno 1
774909	99668	Bruno
774910	45134	Candidate #3
774911	990	Herself
774911	104730	Andorran entry (18th place)
774912	198248	
774913	81694	Alumna Joven
774914	385299	Staff Nurse Johns
774915	382281	Self
774916	21878	Petra Napravilova
774917	58526	Ice Cream Girl
774918	116108	Sally
774919	349894	Mom
774920	274449	Dancer
774921	291984	Narrator
774922	149691	
774923	211863	Rasvanlevittäjä
774924	66047	Mother at Balloon Booth
774925	264129	Isabella 'Izzie'
774927	28894	
774927	107604	
774928	287693	Dancer in the prologue
774929	93217	Extra
774932	163060	
774932	220099	Spectator #4
774935	386638	Diana
774935	400992	Marianna Kollia
774936	216118	Camelia
774937	111045	
774938	8074	Judy Malone
774938	50016	Esther Ramsey
774938	78959	Madge Armstrong
774938	183437	Model
774938	209376	Gloria Canfield
774938	233802	Kathleen Pearson
774938	239078	The Countess
774938	340537	Chiquita
774938	340587	Vera
774939	15801	
774939	18404	
774939	44943	
774939	65833	
774939	97938	Aliki
774939	98088	
774939	100622	
774939	100628	
774939	102683	
774939	103563	
774939	162625	
774939	174650	Vera Liana
774939	179461	
774939	180307	
774939	210281	Spiros' wife
774939	239495	
774939	243442	
774939	256666	
774939	263050	
774939	310241	Greek-American Friend
774939	315012	
774939	356094	
774939	379442	Virginia Dervou
774939	380814	Elizabeth Braouning
774939	387416	
774939	395090	Doctor
774939	397266	Alma Solomou
774940	361806	Elizabeth
774941	86727	Secrétaire mission 2
774941	211375	Un policier
774942	149457	Mona/Gaia
774943	80645	Rhonda
774943	107856	
774943	114206	Baroness de Coubertin
774943	133995	Camille
774943	195518	Evelyn
774943	284583	Madame de Villiers
774943	306989	Helene
774943	385299	Simone Clavell
774943	396052	Aurelie Szcymplica
774943	407838	Dr. Natalie Trier (1982)
774944	375075	Nénette
774945	311744	Barbara
774945	396088	Diana Lamont (1966-1976)
774946	17522	Dominique
774946	28992	Pauline
774946	58415	La jeune fille au café
774946	77818	L'Institutrice
774946	103203	Secrétaire Galerie
774946	130756	La coiffeuse #7
774946	148635	
774946	165901	La Femme de Chambre
774946	196707	Odile
774946	211136	Agnès
774946	227482	Rita
774946	377991	Juliette
774946	379805	Mademoiselle d'Aumale
774946	386323	
774946	390513	Isabelle d'Huisnes
774947	215057	
774948	236511	Orphée, femme
774949	114691	Odile
774949	221306	Polly Adler
774950	362453	Sloane/Curtis Receptionist
774951	296079	Doublure de Marie-Pierre
774952	245263	Sherelle
774953	155272	Customer
774954	30252	
774954	55406	La Cuisiniére
774954	68356	
774954	80309	Mathilde Verget
774954	87901	
774954	99653	
774954	135327	Bacaillé's mother
774954	148744	La religieuse
774954	156277	
774954	158877	L'habilleuse de Tatiana
774954	169227	La patronne
774954	187509	
774954	205767	
774954	214295	
774954	217102	Call Girl
774954	217729	Une commère
774954	219021	La patronne
774954	235710	
774954	264215	
774954	294600	Une dame
774954	324615	
774954	336303	
774954	345115	
774954	384009	
774954	384786	La concierge
774954	409440	
774954	410139	La dame
774955	72402	Véra
774955	92044	Véronique
774955	111689	Marie
774955	138996	Cat
774955	171342	Le juge Fougeras
774955	191467	Docteur Kappa
774955	211367	Betty
774955	211665	L'échographiste
774955	265137	Mme Calies
774955	301313	Françoise
774955	377869	L'acheteuse
774955	398844	Sylvie
774955	399082	Marie Castillan
774956	62976	
774956	85693	Soeur Constance
774956	101587	Nadine
774956	110024	Marie
774956	164680	
774956	250643	Madame Barillard
774956	356382	Suzanne
774956	381430	Béatrice
774956	383832	Chantal
774956	387650	Madalit
774957	269510	
774958	382486	Gisèle Sigouin
774959	169902	Guitar Player
774960	167197	Mirabelle
774960	190745	Laura
774960	211161	
774961	207259	
774962	23746	Madame Wettach
774963	2781	VIP Patron
774964	298768	
774965	261448	Housekeeper's wife
774966	227317	
774967	69342	La fille nordique
774968	54245	Marie/Jeanne
774968	66718	
774968	83340	Marie
774968	109735	Katherine
774968	114814	Evelyne Barnac
774968	117910	
774968	135332	Alexandra
774968	140723	
774968	154736	La jeune femme fatiguée/The t
774968	167206	Céramique
774968	200937	Hélène
774968	206252	Anna
774968	206563	Agnès Bernejoul
774968	208810	Sophie Maurier
774968	210940	Annabelle
774968	217214	
774968	236164	Marie
774968	249256	L'infirmière
774968	260897	Juliette
774968	264212	Alexandra
774968	272732	
774968	277398	Queen
774968	288129	Véronique
774968	301887	
774968	340872	
774968	345265	
774968	377978	Katia
774968	386803	Bernadette
774968	396504	Mara Berni
774968	403427	
774968	408797	Mara Bruni
774968	409442	Isabelle
774968	410142	Nancy, soeur de Berlioz
774969	100807	
774970	72502	Hope Spaulding
774970	368342	Kimbrough's Secretary
774970	390771	Hope Bauer Spaulding #7 (1979
774971	341857	Lisette
774972	57284	
774972	71822	La religieuse marrante
774973	19199	Antione's mother
774973	23638	
774973	56950	Dutchess de Nemours
774973	86727	Mme Delaunay
774973	88067	Blanche
774973	103206	La secrétaire
774973	152378	Julie's mother
774973	161445	Mme Crispin
774973	217654	Odile
774973	249082	La caissière du salon de coif
774973	261756	
774973	268446	Mother
774973	269509	
774973	276516	Une secrétaire
774973	279066	Miléva
774973	345040	The mother
774973	346431	Mamie Rose
774973	346518	Suzanne Vidal
774973	353861	Nell O'Madden Burke
774973	377978	Héléna
774973	387553	France Fichet
774974	174569	
774975	261116	Young Lise
774976	57282	Mrs. Delassus
774976	346463	Mme Sforza
774977	286896	La bikeuse
774978	57079	Prison Nurse
774978	80183	Femme aux béquilles
774978	83381	Corinne
774978	96197	Sandrine
774978	99364	Pascale
774978	235878	Louise
774978	251294	Lucie
774978	254098	Frédérique, la mère
774978	258335	Sonia
774978	288887	La standardiste
774978	307571	Madeleine
774979	137	Marie
774979	3047	Claire
774979	23731	La suissesse
774979	40559	Lily
774979	132743	Alix Aldebert
774979	166317	Herself
774979	167206	Lucie
774979	170355	Justine
774979	190907	
774979	217760	Sister Virginia Maria di Leva
774979	238469	La vierge des imitations
774979	240259	
774979	250752	
774979	254172	Herself
774979	266389	Claire
774979	336504	
774979	339992	Prudence
774979	351945	Marie
774979	383535	Nicky
774979	397199	Victoire Vendome
774979	410147	Mme Marie Berger
774980	2252	(segment "Exclusion, L'")
774980	2814	Gayane
774980	7473	Marie-Jeanne Seznec
774980	16606	Dolores
774980	63644	Augustine
774980	73072	Babette
774980	129121	Nathalie
774980	129499	Augustine
774980	132743	Zanie
774980	208715	Gayane
774980	217569	Marie
774980	217722	Loulou
774980	249205	Anne
774980	254600	Michèle Pian
774980	280564	La mère de Macha
774980	282488	Mathilde
774980	292911	
774980	302220	Brigitte
774980	322573	Jeanne Michel
774980	345265	
774980	354941	La soeur de Michel/Michel's S
774980	380436	Commissaire Claire Devaux
774980	380436	Commissaire Devaux
774980	381245	Zézette
774980	381321	Annalisa
774980	384577	
774980	384756	Marie (2001-2003)
774980	386798	Florence Sobel
774980	393487	Chantal
774980	397192	Gayane
774980	397195	Marie Mancini
774980	400384	Jeanne Bouvier
774981	373300	Singer
774982	357124	La dame âgée
774983	268417	
774984	42561	
774984	355971	La mère de Patrick
774984	409280	Hélène
774984	409923	Nina
774985	17868	Marion
774985	353908	Marion
774986	19839	Solange (segment "Passage à l
774986	120979	Soeur de Jean
774986	201180	Herself - from 'Le malade ima
774986	243296	Une voyageuse du Corail
774987	387611	L'infirmière
774988	307842	Girl in Cafe
774989	256754	Yvette
774990	133175	
774991	354693	Marie à 8 ans
774992	16948	Une religieuse
774992	60525	
774992	77347	Janine
774992	132998	
774992	169340	
774992	202344	
774992	205767	Mme de Tourzel
774992	287612	
774992	300695	
774992	355511	
774992	377635	Adrienne Lecouvreur
774993	402733	Herself - Racer (1997)
774994	154937	Fille casting
774995	244429	
774996	16798	
774996	102872	
774996	249853	
774996	348725	Ursula
774996	354099	
774997	55838	
774998	389784	
774999	143045	Jane
775000	370102	
775001	140283	Musician
775002	108206	Mme. Lecæur
775003	5215	TV Newscaster
775004	46800	Yelena
775005	15025	L'hôtesse Air-Inter
775006	236531	
775006	377947	
775007	55426	Wife
775007	78976	Shelly Morley
775008	321795	Sylvia
775009	120237	Soldier's wife
775009	202548	
775009	399728	Various
775010	339475	La caissière
775011	73068	Ouvrière
775011	401328	Various characters
775012	49893	Herself (Taylorette)
775013	347112	Fiona Leonard
775014	6569	Charlotte
775015	272246	Harem Girl
775016	274427	Driscoll Townsperson
775017	333731	Mrs. Morin
775017	401081	Lucille Brodeur
775018	268950	Femme du bord de la route 1
775020	46852	Lise
775020	143264	Victoria Wakefield
775020	244352	Paula
775020	269849	Joanne
775020	271174	Heather
775020	276928	
775020	276929	Jessica Scott
775021	315302	Juniors Friend
775022	364425	Physiotherapist Nurse
775023	690	Hyacinth Bucket
775023	2212	Mrs. Woolley
775023	5202	
775023	16409	Megaera, Androcles' Wife
775023	18589	Sheila Bowler
775023	32790	Mrs. Peachum
775023	40841	Miss Reece
775023	75521	'Posh' Lady
775023	90378	Lucille Beatty
775023	91152	Doreen Bidmead
775023	97910	Mrs Wentworth
775023	114051	Ivy
775023	121835	Herself
775023	121860	Herself
775023	128459	Pamela Hovendon
775023	145334	Sister Hildegard
775023	155857	Mrs. Featherstone
775023	193251	Nurse
775023	215789	Hetty Wainthropp
775023	256620	Ruth
775023	263349	Miss Gudgeon
775023	281341	Herself
775023	294215	Mrs. Jennings
775023	334307	Clinty
775023	336442	Hetty Wainthropp
775023	353485	Queen Victoria
775023	355403	Miss Prothero
775023	363205	
775023	363206	Maria Helliwell
775023	380185	Mrs. Fletcher
775023	385020	Sylvia Snape (1961)
775023	385781	Mrs. Micawber
775023	391478	Hetty Wainthropp
775023	392697	Narrator
775023	394283	Hyacinth Bucket (pronounced '
775023	396904	Marjorie Belton
775023	397894	Barbara Pym
775023	399383	Madame Mantalini
775023	399931	Miss Schofield
775023	405969	Mrs Baines
775023	407504	Miss Fozzard (episode "Miss F
775023	407505	Irene Ruddock (episode "Lady 
775023	410080	Kitty
775024	105954	Fashion
775025	83373	Delia
775026	142394	Shari
775027	238238	Choir Member
775028	387	
775028	15112	Lisa
775028	34072	Victorine
775028	43721	Catherine
775028	44575	Lola
775028	44576	Lola
775028	44963	La boulangère
775028	57284	Mona
775028	57894	
775028	58533	Maria
775028	62437	Célia Bergson
775028	64300	Herself
775028	70496	La jeune femme
775028	80304	Carmina
775028	84190	Anna (segment "Cocu, pendu et
775028	84248	Brizard's Mistress
775028	96110	Nénette
775028	99736	Annie
775028	111431	Lucienne
775028	121233	Clara
775028	133171	Angélina
775028	166292	
775028	169808	
775028	181064	
775028	184557	Andree Babelet
775028	195180	Edith, la mère
775028	202747	Angela
775028	218447	Pierette
775028	220926	Marie-Rouge
775028	224879	Mme Mathieu
775028	234578	Marinette
775028	235565	Mme Blanchard
775028	249739	Sonia, dite Mazurka
775028	260886	Rosa La Rousse
775028	261014	Herself
775028	276536	Juliette
775028	280545	Agnès
775028	283654	Sonia
775028	292366	Evangeline
775028	294808	La Quesaco
775028	307312	Diane
775028	307570	Mia
775028	314470	Olga Ivanovna
775028	315831	Catherine
775028	327892	Mme. Lacroix
775028	328850	
775028	341916	Jo
775028	349418	Madame Desprez
775028	356496	Flora
775028	356497	Desposoria
775028	377674	
775028	377792	Manina
775028	384033	Mathilde
775028	384434	Marie Bosc
775028	384475	Judith Toumignong
775028	386803	
775028	389732	
775028	393400	
775028	403643	Béatrice d'Hirson
775028	408651	Loulette
775028	409760	Marie
775028	412246	Rosanette
775029	34334	
775029	47847	Teacher
775029	101648	
775029	115812	
775029	124987	Mother of Rocket Chief
775029	230196	Frau Drabeck
775029	259673	
775029	269092	
775029	317638	
775030	17619	Laura Hampton
775030	29499	Margaret Arnold
775030	109673	Anita
775030	163437	Mildred Bissonette
775030	164476	Ruth, Frank's Sweetheart
775030	186377	Nitta Mosby
775030	186828	Eleanore Leavenworth (Silas' 
775030	215903	Lucy's friend
775030	264888	Carrie Flint
775030	279303	Elsa
775030	312773	Dizzy
775030	361757	Betty Haskell
775031	5279	La prostituée
775031	15008	
775031	16977	
775031	24914	La Femme Du Chasseur
775031	26559	L'entraîneuse
775031	29812	
775031	56083	
775031	64490	
775031	86439	
775031	124231	Arabella
775031	166092	
775031	169031	
775031	217687	
775031	266949	
775031	276116	
775031	286802	
775031	294771	
775031	345259	
775032	301547	Claire
775033	111045	
775034	25683	Suzette Wurtz
775034	78536	
775035	202088	
775036	391505	Julie Lafforgue
775037	57232	Une cliente
775037	63701	
775037	65384	
775037	71828	
775037	204668	Mignonne
775037	248251	Corinne (segment "Saison des 
775037	258861	Gisèle
775037	384745	Albertine
775037	391934	Arlette
775037	409923	Mme Martin/Anna/Jeannette
775038	111689	Tototte
775039	380391	Melissa 'Missy' Palmer Frago 
775039	387309	Mollie (1964)
775039	405882	Missy Palmer Fargo Matthews (
775040	66049	Woman At Window
775040	345526	
775041	43703	
775041	170416	Suzanne
775042	156487	Lola, la cousine
775043	2800	
775043	84682	Annette
775043	96182	
775043	170142	
775043	261810	
775043	303503	Une pensionnaire
775044	11934	
775044	166288	Une prostituée
775044	167103	Femme kiosque comtesse
775044	345251	
775046	381617	Aurélie
775047	356362	Jumelle de Diane 1
775048	43703	
775049	113138	
775050	11934	
775051	356362	Jumelle de Diane 2
775053	309769	Internaute
775054	387061	Urraque de Gomerez
775055	345241	
775056	320451	Mme Legal
775056	349481	
775056	401328	Various characters
775057	365344	Susan Mikka
775058	268899	Joe's Girl
775059	185365	Villager
775060	108855	
775061	342135	Tea
775062	287489	Angela
775063	167707	File Clerk
775063	199330	Victoria, the King's Daughter
775063	233304	Miss Woods
775063	246730	Fish-Faced Girl
775063	305481	Mrs. Crosby, Thorpe's Client
775063	358707	Miss Woods
775065	330108	
775066	141187	Chrysler PR Woman
775067	5073	Cesira Caiazzo
775067	13034	Madame Chanut
775067	14380	Professoressa di inglese
775067	14899	
775067	20804	
775067	28944	Madre di Gabriele
775067	46181	Egle's mother
775067	51691	Salvatore's Wife
775067	52873	
775067	54347	La marchesa De Gregorio
775067	87822	
775067	104643	Mrs. Puglis
775067	113703	Maria Luisa
775067	124571	
775067	127984	
775067	128001	Madre di Franco
775067	135157	Un'amica di Adriana
775067	189420	
775067	199506	The Maid (segment 5 'La Famig
775067	220193	Maria Grazia
775067	228764	Nora
775067	229644	Signora Luisa
775067	234566	Tenant
775067	234710	
775067	235773	Landlady
775067	278750	
775067	293324	
775067	293451	Silvana
775067	310974	Roberto's Wife
775067	328688	
775067	336147	
775067	336564	Insegnante storia dell' arte
775067	336593	Anna
775067	338715	
775067	348162	
775067	348185	
775067	377573	Signora Varelli
775068	177660	Extra
775069	165790	
775070	38503	
775070	106818	
775070	280762	Laurette
775071	6699	Caterina Zellero, detta Milly
775071	13094	
775071	25301	
775071	27676	
775071	33508	Checca
775071	51361	Jolinka
775071	52784	Elena
775071	56889	Nately's whore
775071	67508	
775071	67512	Gina
775071	67835	Mariuccia
775071	75237	Dar'ja
775071	77337	
775071	77632	
775071	87044	Rose
775071	88205	Maruzza
775071	89852	
775071	90007	Gisella
775071	109090	Madre superiora
775071	109943	Amazon
775071	111157	Liuba
775071	112673	
775071	128000	Padrona 'Astoria'
775071	160979	
775071	162067	
775071	165306	
775071	165307	Narda
775071	214002	Sara
775071	218955	
775071	220193	Elisa
775071	228132	
775071	240124	Giovenella's Mother
775071	252638	
775071	254963	
775071	278750	Mimi
775071	279913	
775071	287015	
775071	293350	
775071	307583	Teresa
775071	307584	Teresa
775071	311675	
775071	344632	Margherita
775071	348196	
775071	351522	
775071	354118	
775071	355660	Governante Dora
775072	411507	
775073	83248	La sorcière/La strega
775073	315824	La Vedova-The Widow
775074	20753	
775074	71449	Mother
775074	82721	
775074	248657	Nurse
775074	287964	
775075	76774	
775076	264251	Una piccola orfanella
775077	257619	Herself
775077	257658	Herself (Miss June)
775077	257677	Herself
775077	280081	Cutie
775077	361854	Herself
775078	204227	
775079	672	Susana Rondón
775079	124440	
775079	378971	Clara Inés Ramírez
775079	379936	
775079	380249	Francisca Del Avila
775079	383472	Piera Bernal
775079	388161	Fabiola
775079	390310	Orquidea González
775079	391173	Ifigenia Barreto
775079	395619	
775079	395855	
775079	397012	Orquídea Córdoba Escalante
775079	397020	
775079	398483	Esperanza Salvat
775079	398904	
775079	399521	Natalia Jorda
775079	401438	Camila
775079	408710	
775079	412190	Elena Andueza Covarrubias
775080	63856	
775080	355333	
775080	383112	
775080	397682	
775080	409447	Elise
775081	236368	Helen, Mrs. Haines' Daughter
775082	92694	Ballroom Dancer
775082	321154	Frug dancer
775082	368592	Woman Dancer
775083	41425	
775083	218743	
775083	354854	Sabre
775083	375690	
775083	375691	
775084	162243	Mother
775084	296614	
775085	154337	
775086	137742	
775087	40780	Prosecutor
775088	108039	Rosalie
775089	71222	
775090	239284	
775091	94258	
775092	247159	Niña
775093	3115	Ella
775093	86826	Hermana (segment "La doncella
775093	189301	Merche
775093	215030	
775093	327536	
775094	14802	
775095	979	Ada
775095	132212	Sexy Demon/Maniquin
775096	79552	Miss Murdstone
775096	108175	
775096	144225	
775096	214197	
775097	223	Madame Queen
775097	6754	La maîtresse brun
775097	10307	
775097	16442	La taulière
775097	21120	The Rich Merchant's Wife
775097	28995	Maria
775097	39712	Mme Sauret
775097	40564	La mère de Solange
775097	44220	Odette
775097	48918	Josyane
775097	52698	
775097	54652	Françoise, the maid
775097	78444	Femme de chambre
775097	80177	La tenancière
775097	82575	Lisa's mother
775097	89119	Colette Brialy
775097	91462	Honorade Venette
775097	101457	
775097	103827	Zaza
775097	108902	Paula
775097	112819	The Mother
775097	112829	La secrétaire
775097	120435	La mère de Claire
775097	125715	Martha
775097	133086	Madame Martinot
775097	133173	Anne Cotteron
775097	139682	Mother
775097	153871	Avril
775097	155740	Gilberte
775097	166168	
775097	170536	
775097	190745	La directrice du foyer
775097	205191	Lola
775097	218250	Madeleine
775097	219462	
775097	228915	
775097	235811	Pagevin
775097	244961	
775097	254316	Marie-Jeanne
775097	258314	La femme juive à Drancy
775097	261017	Jamy
775097	261790	
775097	264525	La Femme aux Photos
775097	266201	Lady Paname
775097	266392	Bartender
775097	269822	
775097	270308	Flora
775097	273918	
775097	284257	Une femme (segment "Années Lu
775097	303141	Fabienne
775097	307108	
775097	318523	Stella
775097	324185	Martine
775097	345461	Mère Cliare
775097	346524	Mme Etchat
775097	346650	La maîtresse du commandant
775097	350670	La grand-mère d'Eric
775097	351415	Simone
775097	357052	Voice
775097	357107	Regine
775097	357834	La cliente épilation
775097	376971	Colette
775097	381383	
775097	397938	Woman
775097	401053	Mme Castano (1982)
775098	3364	Udvarhölgy
775098	153968	
775099	363793	French maid (Riviera)
775100	161638	Mrs. Lambert
775101	311427	Slaone Woman
775102	109660	Mrs. Hughs
775102	193376	
775102	196037	Irish Nurse
775102	198491	
775102	294573	Lady
775102	333183	Old Tinker Woman
775102	340583	Mrs. Devlin
775102	344683	Mrs. Bellingham
775102	403415	Julia Mac
775103	240029	Asylum Cook
775104	338564	Pregnant Wife
775105	292208	Emily Kane
775106	327172	Sue Marie Atkins
775107	35707	Vivien Thomas
775107	201831	Herself
775107	359434	Charlene
775107	398263	
775108	108949	Lyddie
775108	133423	Lady Alice Rowfant
775108	203579	Mrs. Sandersonj
775109	277106	Angelina
775109	284538	
775109	291509	Denise
775109	292247	Annie
775109	293644	Dr. Beale
775109	313711	Rachel
775109	313712	Rachel
775109	313713	Rachel
775109	318168	Janet
775109	343879	Bonnie
775109	406430	Rachel
775110	92283	
775111	231129	Mary (in segment "Under the T
775112	249595	Ruth
775113	97101	
775113	312544	Young Bernadette
775113	359790	Owen's Sister
775113	386923	Additional Voices (Blue Water
775113	394419	Additional Voices
775113	396491	Miho Shinohara (Fancy Lala)
775113	412029	Marienne, Rosa
775114	6688	Eliza Terrio
775114	18577	Jeanne Rhymes
775114	39490	Hallie Russell
775114	53823	Annie Tarrant
775114	61728	
775114	105650	Sunny
775114	124463	Lori Lee
775114	133334	Gayla
775114	134141	Ashley Pryor
775114	139464	Evie Shaw
775114	149287	Peter's mother
775114	167087	Erin
775114	176480	Salesgirl
775114	185835	Jill
775114	194012	Cynthia
775114	203569	Mary
775114	207681	Jane Cronin
775114	216770	Lydia/Lydathia
775114	220051	
775114	241322	Ellen Henry
775114	252912	Tammie Augusta
775114	266191	Anne Conroy
775114	270771	Gina Moran
775114	291036	Sharon
775114	331664	Olivia
775114	340946	Ellie Sanders
775114	340957	Ms. Lynn Walcott
775114	362810	Carolyn Blair
775114	380391	Suzie Strathmore (1988)
775114	390109	Claire
775114	395934	Mattie Shaw
775114	399912	Kirsten Nichol Cohen
775115	107897	Kathleen
775116	12609	Alicia
775116	94539	Server #1
775117	32498	Intern
775119	408109	Dinner party guest
775120	82339	Beverly
775120	334853	Ms. Token
775120	397695	Additional Voices
775121	79272	Heather
775121	326604	Carol Bell
775122	200604	Actress
775123	66171	
775124	236687	
775125	42402	Lyman Townfolk
775125	186713	Sandy
775125	242872	Lisa
775126	40612	Clara Brockway
775126	106755	Ellen Vasko
775126	207280	Mrs. Chase
775126	319452	
775126	396123	Kate Rescott Slavinsky (1984-
775127	194796	Hostage
775128	404608	Finalist (2001)
775129	30085	Cynthia
775130	213577	Presumed Chorister
775131	92628	Mollie Dawson
775131	191399	Betty
775131	194513	Mrs. Bullfinch
775131	232111	
775131	240459	Annette
775131	329514	Pub landlady
775131	342710	Helen
775131	382733	Polly
775131	386360	Dolly Cheevers
775131	392483	Calpurnia
775131	395755	Meg March
775131	398737	Betty Smith
775131	403676	Betty Jones (1973)
775131	404189	Katie Leigh
775131	405703	Bridget
775131	410632	Marcia
775132	112005	Mariah Lee Grover
775132	158406	Young Girl
775133	112005	Jasmine Grover
775134	112005	Karen Grover
775135	127572	DS Dickson
775135	292700	Nancy Musgrave
775135	385020	Paula Shipley (2000)
775136	290397	Girl at pool
775137	283239	PTA Rumbaee Organizer
775138	29939	
775139	124346	
775139	124375	
775139	195590	Louise Garrard
775140	211790	
775141	402733	Herself - Racer (1997)
775142	296552	Our Guests at Heartland
775143	155912	
775144	357567	Jenny Fanelli
775145	321086	Company
775146	379810	Herself
775147	130677	Woman in dance hall
775147	255827	Bit Part in Church Scene
775148	34032	Lily
775148	192696	Mary the Mother
775148	308355	Ann Baker
775149	97463	Miranda
775150	32723	Mrs. Skinner
775150	87881	Lady Manton
775150	110556	
775150	165448	Mrs. Eshton
775150	183596	Lady Holland
775150	232815	Caroline
775150	323727	
775150	389123	Emily Forsyte
775150	389347	Nancy Penrose
775150	395543	Mrs. Bunting
775150	409839	Martha 'Mrs Bute' Crawley
775151	24209	Maggie Mason
775151	78774	Genevieve, the nanny
775151	90880	Mrs. Dyson
775151	158514	Miss Bowman
775151	215642	Marion
775151	218809	Lady Dorset
775151	230359	Liz
775151	316604	
775151	330139	Philippa
775151	337042	Madame Dupont
775152	326584	Eileen Miller
775153	294216	Susan
775153	342048	English Woman
775154	306883	
775155	14175	Rose
775156	81179	Evelyn
775157	95463	
775157	240837	Sarah
775157	282006	
775158	80046	Monica
775159	219212	Tall Sweaty Woman
775160	72181	Mother
775160	119315	Radio Announcer
775161	39862	Divina
775161	58876	Daria
775161	80717	Sandy
775161	99987	Angie
775161	99988	
775161	99990	
775161	99991	Angie
775161	99994	Angie
775161	100007	Angie
775161	100008	Angie
775161	155814	Jennifer
775161	171408	Ursula
775161	171410	Ursula
775161	171411	Ursula
775161	171413	Ursula
775161	171414	Ursula
775161	179007	Danielle Gallagher
775161	208169	Dakota
775161	283250	Tori
775161	292250	Amber
775161	296020	News Anchor
775161	330701	
775161	365344	Teri Anderson
775162	44935	Siora
775162	165449	Helen Burns
775162	240025	
775163	187706	Sarah
775164	104896	Mrs. Barring
775165	154094	Valerie
775165	220649	
775165	257742	Kathy
775165	299833	Counsellor
775165	336722	Anne McLelland
775165	397380	Blanche Marchesi
775165	405960	Karen Fox (1984-1985)
775166	29631	Air Stewardess
775166	330000	Margaret
775167	87576	Mrs. Ross
775168	90207	Street dancer/Queen of the Dr
775169	238658	Nora
775169	307881	Sophisticated Woman
775170	41313	Holly
775170	91720	Bambi
775170	131777	Norma Jean Baker
775170	131805	Norma Jean Baker
775170	185548	
775170	194406	Louise, Duddy's Ex-wife
775170	203633	Duchess
775170	209222	Fanny
775170	258022	Ronnie
775170	268713	
775170	312536	Angela Garland
775170	315713	Blonde Woman
775170	391006	Wendy (1974-1975)
775170	391280	Misty Honey (1978-1979)
775170	391281	Herself (1972-1991)
775170	393609	Judy Wilson (1979-1980)
775170	402569	Interface (pilot episode only
775170	410964	Maid Marian (1975)
775171	233970	Milly
775172	76762	Air Hostess
775172	236951	Evil Eva
775172	304794	Gloria
775173	188453	'Dislike' Girl
775174	67495	
775175	389859	Staff Nurse Holland
775176	264075	Monique
775177	132247	Los Alamitos Dance Team
775178	368894	Janice
775179	332530	Ogre's Wife
775180	80424	Nicky
775180	93139	Debby
775180	138889	Geri
775180	164516	Helen
775180	232356	Lillian Jones
775180	363365	Telegram Clown
775180	365169	Waitress
775181	142484	Mattie
775182	160504	Sarah's Friend
775183	169136	Child Chorus
775184	183669	Jennine
775185	72181	Girl
775186	18029	Girl
775186	82030	Trish
775187	134315	Woman on TV
775187	151895	Simon's Nurse
775187	295077	Waitress
775188	176884	Gym member
775188	379325	Marcella
775188	389288	Steph
775188	399218	Various
775189	314963	Little Girl
775189	348835	Al's Kid
775190	297190	Club Dancer
775191	244421	Jenny, Truck Girl
775191	264157	Lady's Maid Olivia
775191	264158	Singing Student Alice
775191	271344	Basketball Nurse
775192	5565	
775193	79261	
775194	380680	Herself - art expert
775195	98906	Waitress - Drive-In
775196	77219	Sandra Pallister
775196	122745	Mam
775196	176352	Gillian Joyce
775196	178020	Jude
775196	363469	Lucy
775196	383631	Pam Wilson: Mark Grace's Girl
775196	388321	Eileen Day Callan (2002-)
775196	390270	Maggie
775196	405829	Donna Tucker (1991-1995)
775196	406040	Finn Gallagher
775197	177330	Female In Crowd
775198	1348	Herself
775198	2275	Herself
775198	29619	Cora D/Corrina Devonshire
775198	39659	
775198	87893	Celia Kirby
775198	92491	Stevie Hobbs
775198	95078	FBI Special Agent Beth Jordan
775198	104924	Stevie Hobbs
775198	119093	
775198	121521	Anna Dire
775198	187908	Joan
775198	201723	Herself
775198	220126	Detective Pierce
775198	241704	
775198	252878	Sheila
775198	292641	Yolanda Seeley
775198	292797	
775198	337125	Dr. Amanda Bentley
775198	358438	Alissa
775198	366957	Dr. Amanda Bentley
775198	386254	Dr. Amanda Bentley
775198	388545	Josette Metoyer
775198	411802	Drucilla Barber Winters (1990
775199	105256	
775200	358486	Stacey Patterson
775200	364302	Zaza
775201	108933	Julia
775202	284912	
775203	107022	
775203	378108	Prostitute
775204	1868	Herself
775204	180822	Girl 1
775205	88411	
775205	244208	Actress
775205	322725	
775205	343338	
775205	373554	
775205	386654	Ewa Szymosiuk-Talar #2 (1982-
775206	74166	
775206	193259	Heidi Poulson
775207	1746	Host
775207	383464	Nadi
775207	394872	Madalena
775207	409779	Aleida
775208	41012	Sultana
775208	117222	Mrs. Peabody
775208	196973	Hettie Dinwiddie
775208	292405	Mrs. Roy Palmer
775208	298084	
775208	337468	
775210	262160	Young Bonnie
775211	160914	
775211	188405	Betty, Chorus Girl
775211	195375	Dancer
775211	368600	Edna Hilliard
775212	35637	Mrs. Houdini
775212	96763	First Gold Rush Woman
775212	137657	Elderly Woman
775212	139637	
775212	140966	Woman in park
775212	157956	Aunt Marcy
775212	163334	Mrs. Claus
775212	185485	
775212	194682	Woman on Train
775212	195149	Mrs. Bregman
775212	206407	
775212	220995	Lead Caroller
775212	229860	Old Lady
775212	230301	Aunt Jean
775212	291039	Female Shopper
775213	89188	Rondalena Williams
775214	283545	Young Aggie Snow
775215	169946	Judge's Assistant
775215	210664	Mother
775215	300173	Kate's mother
775215	337121	Owner
775216	136870	Mrs. King
775216	190336	Sylva
775216	273404	Lady
775217	77296	The Girl
775217	78731	LaMotte daughter
775217	100199	Baby Louise
775217	164664	Jacqueline, as a child
775217	201878	Margie
775217	252962	Cissie Aldenn
775217	301489	Eppie
775217	333491	Lady Gay
775217	362562	Baby Helen Lee
775218	382743	Sister Perpetua
775219	380713	Dr. Susan Burke Stewart Baxte
775219	386603	Carolee Simpson Aldrich, R. N
775219	390958	Penny Drake
775219	404694	Amy Ames Britton Kincade #1 (
775220	122075	Librarian
775221	82735	Marcia
775221	334117	Mother
775222	1487	Herself
775222	1673	Herself
775222	1674	Herself
775222	2549	Herself (performer)
775222	2573	Performer
775222	35543	Girl #2
775222	63043	Herself (singer)
775222	63044	Herself
775222	69079	Performers
775222	84209	Guest/Performer
775222	84210	Herself
775222	119436	Kia Waterson
775222	161230	Herself
775222	212710	Herself
775222	220209	Herself
775222	221434	Herself (Destiny's Child)
775222	221483	Herself
775222	234149	Herself (Destiny's Child)
775222	260291	Performer
775222	273900	Herself
775222	292046	Jhnelle
775222	320121	Herself (Destiny's Child)
775222	326662	Destiny's child
775222	352974	Herself
775222	353500	Herself (Performer)
775222	358818	Herself (Destiny's Child)
775222	382536	Herself (Judge)
775222	392421	Herself
775222	392423	Herself
775223	43919	Honeymoon
775223	47838	Rhonda
775223	340827	
775224	224070	Child
775225	115377	
775226	337180	Bates' Secretary
775227	104912	Janice
775227	116523	Magic Maid
775228	327766	
775229	62676	Detective
775229	90887	Valentin Daly
775229	99055	Xenon
775229	129397	Hostess
775229	183703	Jill Sweeney
775229	184561	Cookie, Dawn
775229	184562	Dawn
775229	194253	Nicole
775229	256896	Julie
775229	278625	Anna Lisa Gray
775229	379716	Christine 'Kit' Montgomery Fi
775229	385824	Linda Bourne (1996)/Debra Tho
775230	392860	Rosemary Webley
775230	399157	WPC Kitty Naylor
775231	273283	Rachel McLean
775232	200416	Nicole Davidson
775232	402197	Spike Marsh (1986)
775233	386236	Additional Voices
775234	277479	Becky
775235	7592	Herself
775235	18028	Marion
775235	18611	
775235	35353	Betty Ford
775235	43915	Lilith
775235	47145	Mary Pino
775235	47385	Herself
775235	59765	Charlie Kate Birch
775235	61570	Sophie Widdicombe/Benham
775235	67387	Georgia Porter
775235	67602	Elizabeth Van Wick
775235	69842	Herself
775235	72707	Honora
775235	96707	Katherine Pierson
775235	107100	Pat Foster
775235	107175	Jeannie Rapp
775235	129514	Gloria Swenson
775235	144782	Jenny Fry
775235	149448	Ramona Calvert
775235	153651	Virginia Miller
775235	158911	Mrs. Evelyn Ritchie
775235	161212	Herself
775235	161535	Rosemary Scott
775235	190464	Jeanette Rasnick
775235	192927	Herself
775235	193755	Jerry Bondi
775235	196084	Sarah Lawson
775235	213504	Susan 'Gram' Pinneman
775235	214735	Minnie Moore
775235	218472	Bess Guthrie
775235	229858	Aunt Mae
775235	231513	
775235	232134	Victoria Snelling
775235	235541	Allie Calhoun
775235	241046	Marilyn Bella
775235	242585	Myrtle Gordon
775235	248572	Francie Pomerantz
775235	249080	(segment "9th arrondissement"
775235	251011	Ivy
775235	257744	Hannah
775235	269674	Linda Ray Guettner
775235	298115	Miss Green
775235	301614	Peggy Sutherland
775235	303830	
775235	308115	Georgia King
775235	311249	Els
775235	316331	Abigail Mason
775235	323584	Mrs. Asher
775235	326602	Mrs. Turner
775235	327405	Antonia Dimitrius
775235	332151	Victoria Alden
775235	335549	Rita Kosterman
775235	343010	Janet
775235	347070	Mildred 'Millie' Hawks
775235	360907	Laura Ponti
775235	365326	Minnie Brinn
775235	367633	Mabel Longhetti
775235	367883	Herself
775235	378948	Teddy Carella
775235	388202	The Wicked Queen
775235	390922	Grace Stiles
775235	401350	Adrienne Van Leyden (1967)
775235	408560	Powell
775235	410669	Paula Graves
775236	20376	Voyou
775236	61844	
775237	7574	Herself
775238	92613	Mrs. Sullivan
775238	214735	Georgia Moore
775238	242585	Melva Drake
775238	326424	Gossiping Lady 2
775238	326602	Linda's Grandmother
775238	367633	Martha Mortensen
775239	294702	Pearl
775240	10788	Cook
775240	40536	Betty Lewis
775240	53301	Interviewee
775240	55678	Miss Dobbs
775240	55681	Miss Fosdick
775240	55682	Hortence Withering
775240	55683	Linda Upmore
775240	55700	Mildred Bumble
775240	55701	Queen
775240	55705	Miss Bella Cheeseman
775240	55706	Miss Dempsey
775240	55707	Evelyn Banks
775240	67801	Anne Lovejoy
775240	78045	Madame Tarantella
775240	79303	Mrs. Edgecomb
775240	111061	Mrs. Harty
775240	158182	Barmaid.
775240	177146	Dorothy
775240	191964	Mrs. Dibble
775240	192171	Baker's Wife
775240	210549	
775240	240755	Evie
775240	245663	Marilyn
775240	257983	Angela
775240	286711	Mum
775240	313944	Gladys
775240	314979	Amy
775240	328751	Landlady
775240	335098	Honor
775240	336541	Young woman at dance hall
775240	336710	Clementina
775240	346937	Herself
775240	346943	Herself
775240	362472	Interviewee/Various Character
775240	363206	Lottie Grady
775240	382217	Betty Lewis
775240	382694	Mrs. Granger
775240	383683	Miss Millament
775240	388504	
775240	389012	Sgt. Bryant
775240	389998	Mrs. Clapton
775240	390921	Sister Alice Meredith
775240	392622	Felicity Coppard
775240	394527	Netta Kinvig
775240	395340	Thelma
775240	401212	Sylvie
775240	402901	Mrs. Young
775240	403201	Flossie Nightingale
775240	406308	Susan
775240	408626	Miss Twitty
775240	409841	Mrs Tinker
775241	61683	Neighbour
775242	90207	Gypsy Girl
775243	134694	Mrs. Andrews
775243	195828	Lydia Todd
775243	223739	Grace
775243	261986	Lucille DeWitt
775243	307853	Mrs. Lewis
775243	312041	Sandra Knight
775243	321237	Mrs. Delvechio
775243	331524	Madame de Guisse
775243	356230	Betty Mason
775243	361701	Janet Martin
775243	366205	Rosalind Furness
775243	385970	Helen Donaldson (1961-1962)
775243	393301	Aunt Laurie
775243	399837	Mrs. Grassberg
775243	405882	Freda Lang (1974)
775244	248135	Mother
775245	117133	Party Girl
775246	224486	Herself/Singer
775247	5891	Marcelan
775248	160888	Cynthia Rowley
775249	66556	Alien
775250	90324	Donna
775250	348377	French Girl
775252	31944	Herself
775252	68097	Herself
775252	164234	Herself
775252	168068	Herself
775252	200348	Herself
775253	140955	Repectionist
775254	388810	(2000)
775255	43669	Rhonda
775255	140182	
775255	390164	Jill Beamish
775255	399816	Prue Rheingold
775255	402012	Brenda
775256	118529	Herself
775256	328774	Herself - Co-Host
775256	328775	Herself - Co-Host
775256	380909	Herself - Host (1997)
775256	390005	Herself/Host/Reporter (1996-)
775256	410927	Herself/Presenter (1994-1996)
775257	89684	Amy
775258	398936	Miss. Le Roy
775259	130953	Maid
775259	360900	
775259	362855	
775260	73642	Joy, the model
775261	400341	Herself - Profesora de la Aca
775263	313331	
775265	67144	
775266	15912	
775266	28150	
775266	33268	
775266	72058	
775266	88840	
775266	94395	
775266	111083	La cabaretière
775266	122923	
775266	137735	
775266	175675	
775266	195217	
775266	208559	
775266	218280	
775266	252055	
775266	254131	
775266	257010	
775266	257011	
775266	258528	
775266	260947	
775266	263975	
775266	264526	
775266	264527	
775266	266421	
775266	281300	
775266	294606	
775266	328751	
775266	337010	
775266	346478	
775266	353829	
775266	353830	
775266	398254	La concierge
775267	113228	Une femme de la rue du Bac
775267	119127	
775267	380902	Germaine
775268	53647	
775268	60222	
775268	74599	
775268	84332	
775268	90527	
775268	286571	
775268	290155	
775268	398454	Miss Cooper
775269	35237	Electric Skychurch
775269	36888	
775269	72145	
775269	152286	
775269	152289	
775269	295403	Elaine (Helen's best friend)
775269	372528	
775269	398410	Roxanne (1986- 1989)
775270	49887	
775270	124686	
775270	153305	
775270	173671	
775270	174018	
775270	174498	
775270	207045	
775270	226671	
775270	234966	Carmen
775270	251737	
775270	256717	
775270	284650	
775270	321953	Yvette
775270	341615	
775271	131716	Young Girl in Crowd
775271	187125	Young Village Girl
775272	16899	Lily Hart (Angel)
775273	212084	Kid in classroom
775274	10635	WPC
775275	58415	Miss Jackson
775275	89119	Asa
775275	116502	
775275	182599	Little girl
775275	192659	Teen girl
775275	286280	Lotta
775275	341202	Teen girl
775275	396533	Little girl
775276	55203	Dancer
775278	311528	
775280	291018	
775281	41581	
775281	45741	
775281	75035	
775281	75059	
775281	128338	
775281	290377	
775281	306911	
775281	306916	
775281	333988	
775281	335441	
775281	372471	
775282	65397	
775282	135149	Pornoactress
775283	42978	Smeralda
775284	62588	
775284	98505	Ria's mother
775285	173286	
775286	4083	
775286	76544	
775286	166098	
775286	296387	
775286	312499	
775286	320172	
775287	104524	Doña María Manuela
775288	173286	Monisha
775288	349090	Bonani, Nishit's wife
775289	165441	
775290	48409	Thaler, Katja
775290	111346	
775290	122587	Melanies Mutter
775290	139705	Dr. Detmeier
775290	145347	Freya Wimmer
775290	172856	Sylvia's Mutter
775290	178848	Karin
775290	189613	Elke Engel
775290	278390	Vera
775290	281722	Geraldine
775290	314555	Marie Sternberg
775290	325807	Renate Lahn
775290	334492	Maigold
775290	338426	Iris Manthey
775290	338434	Lea Johnson
775290	365584	Laura
775290	365919	Maria von Havenbroich
775290	376284	Katja Thaler
775290	376285	Katja Bunte-Thaler
775290	376287	Katja Thaler
775290	376288	Katja Thaler
775290	376289	Katja Thaler
775290	376290	Katja Thaler
775290	376291	Katja Bunte-Thaler
775290	376292	Katja Thaler
775290	376294	Katja Thaler
775290	376295	Katja
775290	376296	Katja Bunte-Thaler
775290	376297	Katja Thaler
775290	376298	Katja Bunte-Thaler
775290	376299	Katja Thaler
775290	376300	Katja Bunte-Thaler
775290	381679	
775290	386977	
775290	392633	Eva Meyer-Amden
775290	398089	Bea Lorenz
775290	403113	
775290	406517	Marie Sternberg
775290	408208	Barbara Rau
775290	409609	Frau Klug
775291	28566	Gabi
775292	57289	Petite fille
775293	96159	
775294	349090	Monika, Asit's wife
775295	288200	
775296	4332	Saira
775296	94009	Arundhati Roy
775296	158565	Radha
775297	92045	Hélène
775298	345958	Boots
775299	4893	
775299	52166	
775299	137988	Gopa
775299	169273	
775299	344066	Gopa
775300	138996	Chantal
775300	357091	Victoria
775301	394668	Herself/Carpenter
775302	188388	Larissa
775303	29865	Pramila
775304	223263	
775305	59220	Jeanne
775305	403898	Sylvette Jarry
775305	409541	Dr. Anik Martin
775306	13119	Jacky
775306	249209	Une recherchiste
775307	2334	Nandita Roy
775307	4522	
775307	18787	
775307	22695	Rohini
775307	38795	Kunda
775307	76544	
775307	82210	Sarama
775307	98505	Rupa
775307	168059	
775307	171848	
775307	347144	Aditi
775308	137650	College Kid
775309	29064	
775310	262454	Keya's aunt
775311	4270	
775311	17295	
775311	29866	Shanti
775311	62847	Mrs. Pakrashi
775311	76460	
775311	85421	
775311	124232	
775311	139417	
775311	165878	Rani Rashmoni
775311	172547	Charudi
775311	172815	
775311	184131	
775311	198666	
775311	233186	
775311	285166	
775311	295021	Labanya
775311	299817	Shoroshi
775311	302067	
775311	312456	
775311	320920	Chandi
775312	101183	Jean-Baptiste's mother
775313	147308	
775313	281763	
775314	270133	Fille morte
775315	309468	Family in Boat
775316	3439	Charo
775316	10131	
775316	13000	Herself (interview)
775316	14791	
775316	23060	Vivian
775316	33506	
775316	40272	Blanca, la mujer de Ramiro
775316	48179	Valeria
775316	51235	
775316	54234	
775316	55372	
775316	56634	
775316	60224	Mamen
775316	68716	Rosa Benilde
775316	73656	
775316	75999	
775316	84184	
775316	88058	Rosa la Tatula
775316	91171	Elvira
775316	91299	Sirvienta de Rosa
775316	94814	
775316	99353	
775316	103116	
775316	104171	Beatriz Redondo, la viuda
775316	124051	Baby (guest star)
775316	135122	
775316	136149	
775316	154543	Herself - Presenter: Best Mak
775316	160726	
775316	165789	Nicole
775316	189377	
775316	190424	
775316	193159	
775316	210580	
775316	212347	
775316	212414	
775316	218093	Catalina de Erauso
775316	221554	
775316	221970	Tina
775316	235986	Rosalía Corredoira
775316	236031	
775316	251590	
775316	252771	Juliana
775316	266856	Rosi
775316	275324	
775316	284974	
775316	288060	Herself
775316	296500	
775316	300736	Matilde
775316	301197	Beatriz
775316	306692	Katia
775316	332911	
775316	343724	Sor Angustias
775316	349334	Herself - Presenter: Best New
775316	351280	Veronica
775316	353544	Juanita Narboni
775316	369417	Natalia
775316	374611	
775316	375872	
775316	375874	
775316	376815	
775316	376817	
775316	376844	
775316	383572	
775316	402679	Maritornes
775316	409091	Herself
775317	200376	Julie
775317	347566	
775318	167243	
775319	67513	
775320	9084	Ángela
775320	325324	Joany
775320	405570	Emma Widlund (2001-2002)
775321	152297	Herself
775322	354032	
775323	117755	
775324	205742	Gigi
775324	224903	Rigolette
775324	276981	
775324	279902	
775324	324619	
775325	59807	Manda
775325	62332	Banalakshmi
775325	134351	Binapani
775325	200691	Buchki
775325	262427	
775326	112568	Stella Montrose
775327	2351	Waitress
775327	21664	
775327	26629	Co-ed
775327	37462	Laundry Maid
775327	39884	Passenger
775327	44452	Claire
775327	45413	
775327	52432	Passenger
775327	59602	Catherine Chester
775327	59608	Bit Girl
775327	59621	Arlene Compton
775327	59623	Carlotta (medium)
775327	61304	Mother
775327	64806	Girl in Cafe
775327	72437	Operative #16
775327	99224	
775327	105074	Guest at Party
775327	107446	Grace Hamilton
775327	120749	Dance Hall Girl
775327	127791	Maid
775327	144966	Clerk--Frisco Office
775327	147985	Maria Blair
775327	150276	Lily
775327	163544	Helen
775327	167683	Shirley
775327	190061	Girl
775327	192056	
775327	196913	Dance Hall Girl
775327	221028	Wife
775327	222679	Reception Guest
775327	224817	Passenger
775327	272470	
775327	308540	Dolores
775327	310775	Nurse
775327	330808	Diane Revier
775327	331551	Passenger on Boat
775327	332027	Katherine Szabo
775327	333317	Maid
775327	339844	
775327	358775	Maid
775327	365271	One of the Golden Girls
775328	44238	Waitress
775329	155779	
775330	10615	Sakina
775330	62587	Ashalata
775330	79125	
775330	84729	
775330	168353	Pratibha's mother
775330	279765	
775331	9640	
775331	57466	
775331	64033	
775331	83128	
775331	88461	
775331	143805	
775331	146511	
775331	212440	
775331	276068	
775331	294858	
775331	301113	
775331	351689	
775331	353355	
775331	379852	
775331	380117	
775331	383032	Mercedes Álzaga
775331	384253	
775331	405396	
775332	55527	
775333	292351	Elisabeth Thibodeau
775334	286255	Singer
775335	9229	
775335	262454	Keya
775336	284196	Une musicienne
775337	330822	Jen Dayton
775338	285072	Alma
775338	354234	Enfermera
775339	111055	Françoise
775339	217705	La mère de Jean
775339	268448	Bruno's mother
775340	24626	
775340	51240	Irène
775340	86911	Carole
775340	103848	
775340	333555	
775340	390839	La Douce
775340	393285	Colette
775340	393894	Rachel
775340	398078	Lisa Fortunato
775340	412171	Simone Vaillancourt
775341	158141	Extra
775342	23973	Sister Luc
775342	45651	Chantal
775342	61752	Miss Lafleur
775342	71922	Mother Superior
775342	75629	Juliette Martel
775342	132994	
775342	148696	Estelle Deschamps
775342	161765	Mme. Joncas-Pelletier
775342	166156	Marguerite
775342	236515	Mère du Pianiste
775342	256998	Marie-Thérèse Foron
775342	263226	
775342	268389	
775342	341019	Mother Superior
775342	346417	La garde
775342	356335	Bruna
775342	389271	(segment "Joseph")
775342	389304	Camille O'Sullivan
775342	393397	Mère Courtois
775342	410153	Rédactrice en chef
775342	412246	Eulalie
775343	341850	L'accompagnatrice de la chora
775344	293283	Aruna
775345	155638	Schmuckverkäuferin
775346	34277	Maryse
775346	164145	Agnès
775347	120355	Winifred dite 'Catharope'
775347	345032	Lucie
775348	377847	
775349	104524	
775350	21214	Rachel Hart
775350	26081	Fanny Carat
775350	40739	Justine
775350	45688	Sonia
775350	57228	Missy Baldwin
775350	72367	Marjo
775350	75613	Michelle
775350	80394	Chaney Streeter
775350	109607	Laura Maddox
775350	110421	Marjorie Watts
775350	144545	Renee Brooks
775350	195267	
775350	257434	Sasha Baley
775350	283015	Beth Petrone
775350	309145	Suzelle et Judith Lafresnière
775350	325201	Isabel
775350	353900	Student
775350	367487	Karen Natov
775350	375936	Colette
775350	380863	Judith Lafresnière
775350	383319	Catherine Parr-Trail
775350	386080	Jennifer MacKenzie
775350	395093	Michèle Béliveau
775350	395097	Michelle Béliveau
775350	395158	Jennifer McKenzie
775350	397877	Angel Vanessa
775350	405726	Josee Malenfant
775350	408883	Josée Larose
775350	410252	Marie-Claude Roy (1996-1999)
775351	166501	
775352	236968	Parent
775353	330427	Linda
775354	42141	Freda the Apartment Girl
775354	224729	Lana Wood
775354	286752	DJ Lush Puppy
775354	301700	Lacey
775354	316140	Ewan's NY Kissing Girl
775354	386339	Grace
775354	391248	Sarah Livingstone (1997-1998)
775355	118711	
775355	203541	Prisoner
775355	372145	Woman
775356	4034	
775356	4150	
775356	4160	Laxmi Agnihotri
775356	4198	
775356	4218	
775356	4245	
775356	4252	Savitri
775356	4267	
775356	4287	
775356	4310	
775356	4311	
775356	4320	
775356	4405	
775356	4436	
775356	4450	
775356	4886	
775356	8673	
775356	9860	
775356	13130	Bharti
775356	13156	
775356	13206	
775356	16575	
775356	17362	
775356	17368	
775356	17902	
775356	18494	Radha (Shrikanth's mother)
775356	19353	
775356	24184	
775356	24281	
775356	24282	
775356	25525	
775356	25668	
775356	25978	
775356	27409	
775356	27483	
775356	27519	
775356	28030	
775356	30544	
775356	31372	
775356	32458	
775356	33934	
775356	34530	Ram Chandra's mother
775356	35088	
775356	35926	
775356	35973	
775356	35997	
775356	36002	
775356	36003	
775356	36006	
775356	36037	
775356	36078	
775356	36142	
775356	37617	
775356	38145	
775356	58366	
775356	58573	
775356	58687	
775356	58715	
775356	58964	
775356	58997	
775356	59047	
775356	59770	
775356	59771	
775356	60993	
775356	61013	
775356	62727	Mrs. Sinha
775356	63467	
775356	76431	
775356	77560	
775356	79196	
775356	81708	
775356	82008	Sumitra Devi (Ravi & Vijay's 
775356	85317	
775356	85339	
775356	85368	Savitri (Mrs. Dr. Amrit Rai)
775356	85376	
775356	86632	Saroj's mom
775356	88489	Paro Maheto
775356	88605	
775356	92635	
775356	95034	
775356	95406	
775356	98490	
775356	98494	
775356	98508	
775356	109035	
775356	122799	
775356	123734	Bharatidevi (Gangaa's mom)
775356	123742	
775356	123746	
775356	123747	
775356	124030	Geeta
775356	124204	
775356	124639	
775356	124643	
775356	126138	Durga (Kishan & Karan's mom)
775356	126947	
775356	126963	
775356	131934	Parvati
775356	134366	
775356	135777	Ashok's wife
775356	136060	Guniyal
775356	137158	Neelam's grandma/Dadi Maa
775356	137832	
775356	137864	
775356	138933	Uma
775356	140053	
775356	141847	
775356	145625	
775356	152391	
775356	152461	
775356	152702	
775356	160124	Amarnath's mother
775356	160790	
775356	162702	
775356	164122	
775356	164289	Sunder's aunty
775356	164309	
775356	164318	Raju's mom
775356	164919	
775356	164922	
775356	164930	
775356	164944	
775356	164982	
775356	165389	
775356	165644	
775356	165934	
775356	165942	
775356	165947	
775356	166504	
775356	167557	
775356	171517	
775356	171794	
775356	171898	Lakhan's mom
775356	172133	
775356	173338	
775356	174031	
775356	174211	
775356	174296	
775356	174370	
775356	174660	
775356	174798	
775356	174841	Princess Vidyotma
775356	175931	
775356	176084	
775356	176097	Ram's mother
775356	180724	Radha
775356	181044	
775356	183092	
775356	184117	
775356	184119	
775356	184152	Lal's foster mother
775356	184169	
775356	184201	
775356	186194	
775356	186466	
775356	193293	
775356	194415	
775356	196188	
775356	198667	
775356	198672	
775356	198677	Rameshwari Sahay
775356	198755	
775356	199701	
775356	200625	
775356	200698	
775356	200720	
775356	201019	
775356	201042	
775356	203229	
775356	203885	
775356	203888	
775356	204091	Shobha
775356	205319	Durga
775356	208267	
775356	208593	
775356	208594	
775356	209575	
775356	209576	
775356	211250	
775356	211417	
775356	216380	
775356	217190	
775356	220391	
775356	222055	
775356	222436	Malati
775356	222507	Foster mother of Sikandar
775356	222909	Bhanu's Sister-in-law
775356	224118	
775356	226049	
775356	226051	
775356	226054	
775356	226058	
775356	226081	
775356	226447	
775356	226757	
775356	227089	
775356	227313	
775356	227314	
775356	227810	
775356	228699	
775356	228703	
775356	228806	
775356	228860	
775356	229359	
775356	242398	
775356	246577	
775356	246915	
775356	249238	
775356	250481	Ramu's mother
775356	250629	
775356	251126	
775356	254840	Janki Verma
775356	259986	
775356	262465	Parvati Prasad
775356	265416	Shanti
775356	267410	Harnam's Wife
775356	268066	
775356	268068	Mother
775356	268069	
775356	268070	
775356	268076	
775356	271033	
775356	271385	
775356	271402	
775356	271407	
775356	271424	
775356	271571	
775356	271711	Gajendra's wife
775356	271713	
775356	271719	
775356	271726	
775356	271727	
775356	271733	
775356	271742	
775356	271842	
775356	271939	
775356	272184	
775356	273061	
775356	282229	
775356	285169	Devi Maa Parvati (in play) (G
775356	286774	
775356	287626	
775356	287675	
775356	287800	
775356	287915	Santosh & Kundan's mother
775356	288241	
775356	288549	
775356	288556	
775356	288586	
775356	288792	
775356	288817	
775356	296598	
775356	297027	Bhabi
775356	297439	
775356	298245	
775356	298628	
775356	299354	
775356	299358	
775356	299359	
775356	300244	
775356	300246	
775356	300283	
775356	300303	
775356	300464	
775356	302450	
775356	308496	
775356	318412	Durga (twins' mother)
775356	319600	
775356	320168	
775356	323642	
775356	324380	
775356	326154	
775356	326658	
775356	326660	
775356	344081	
775356	350128	
775356	351100	
775356	351112	
775356	351118	
775356	359821	
775356	373668	
775356	373770	
775356	375201	
775357	13805	Portland Hair Dresser
775358	411428	
775359	19664	Kalyani
775360	4085	
775360	4194	
775360	4410	Asha
775360	9214	
775360	16277	Meena
775360	18923	
775360	18927	
775360	20662	
775360	21746	Asha
775360	27392	
775360	27492	
775360	27641	
775360	31624	
775360	32460	
775360	35927	
775360	62719	
775360	77046	
775360	78648	
775360	85306	
775360	85314	
775360	85317	
775360	98475	
775360	122917	Sharda Oberoi
775360	123725	
775360	127334	Moran
775360	135778	
775360	139995	
775360	141848	
775360	152458	
775360	152472	
775360	160181	
775360	160749	
775360	164315	Reshma
775360	164854	
775360	165017	
775360	165392	
775360	171507	Anju
775360	172696	Sapna Mathur
775360	172897	
775360	174148	
775360	174364	Doctor Seema
775360	175950	
775360	176097	
775360	183432	
775360	198767	
775360	199636	
775360	201042	
775360	213807	
775360	222500	Laxmi 'Lacho'
775360	226675	Nagin (female serpent)
775360	226745	
775360	227881	Julie
775360	228700	
775360	228850	Guest
775360	246109	
775360	259306	
775360	262866	
775360	268108	Manorama
775360	271044	
775360	271414	
775360	271545	Rani Maa
775360	272173	
775360	274760	
775360	280271	
775360	287094	Nisha
775360	287411	Poonam
775360	305839	
775360	326187	Neelam
775360	344083	
775360	344907	
775360	354409	Billo
775360	355321	
775360	367221	
775360	370211	
775360	373711	
775360	373807	
775360	374042	
775361	36713	More Fairy Tale Folk
775361	396088	Clair Bridgeman (1969)
775362	2334	Miss Mazumdar
775363	21565	
775363	21759	
775363	27663	
775363	28735	Lakshmi
775363	28910	
775363	29041	
775363	29402	
775363	36296	
775363	36608	
775363	38226	Elokeshi
775363	59044	
775363	124232	
775363	127337	
775363	134349	
775363	139417	
775363	167466	Reba
775363	168348	
775363	172613	
775363	172934	Khullana
775363	173756	Asim's sister
775363	174162	Draupadi
775363	181012	
775363	184110	
775363	200685	Aparna
775363	200691	Nani's wife
775363	200726	
775363	204028	Rani
775363	209821	
775363	210159	Kadambini
775363	213782	Bina
775363	226756	
775363	227633	Jambabati
775363	228420	
775363	233175	
775363	248699	Guest at Cocktail Party
775363	250586	
775363	262238	Rukmini
775363	262466	
775363	271508	Labangalata
775363	272047	
775363	285494	Jaya
775363	286534	
775363	287190	
775363	295021	Mrs. Ghosal
775363	298627	Miss Mary Kamala Pyne
775363	330353	Latika
775363	344644	
775363	353806	
775364	262378	Bhimudu's Sister
775365	26775	Bit Part
775365	56200	Reporter
775365	65125	Maureen Clancy
775365	83809	Manicurist
775365	120260	Polly Granger, Beulah's Frien
775365	126069	Chorus Dame
775365	129810	Telephone Operator
775365	169362	First Chorus Girl
775365	206861	Secretary
775365	224273	Party Guest
775365	292320	Martin's Secretary
775365	312586	Toots
775365	315123	Bridesmaid
775365	338040	Bride
775365	342410	Telephone Operator
775365	367962	Irma, a Chorus Girl
775365	372482	Rose Gregson
775366	12364	
775366	13141	
775366	18121	
775366	18774	Dola
775366	20096	
775366	20568	Manju
775366	21760	Chutki
775366	22106	
775366	26007	Scientist's Wife
775366	27663	Durga
775366	76544	
775366	85421	
775366	98551	
775366	121483	Fuleswari
775366	123543	Durga
775366	123722	Himi
775366	164310	
775366	174590	
775366	176013	
775366	208604	Sudha
775366	209822	
775366	232747	
775366	246998	
775366	247004	Sudha
775366	250579	
775366	250584	Abha
775366	260128	Gauri Singh
775366	262427	
775366	271033	
775366	287634	Rajani
775366	297021	
775366	312499	
775366	317777	
775366	320174	
775366	326648	
775366	329200	
775367	136112	
775367	373657	
775368	398208	Nurse in Maternity Room
775369	2334	3rd Schoolgirl
775370	132909	Commercial Voice
775371	62332	Mukul, Gupta's daughter
775372	21760	Khenti
775372	52166	
775373	18785	Nirupama
775373	325333	
775374	72140	Dancer
775374	72866	Lynn Crane
775375	15827	Deepika
775376	20330	L'auto stoppeuse
775377	249464	Lucie Moreau
775377	268309	
775377	380717	Mme Loiselle
775377	382475	Blanche Martel
775377	383372	Mathilde
775377	390486	Rose-Anita Sauvé
775377	398158	Clémence Mathieu
775377	403254	Yvonne Lebeau
775377	411623	Hermione
775378	53747	Airport extra
775379	45746	La douairière Van der Mersch
775379	73633	Vieille maman
775379	111009	
775379	189367	
775379	240307	Grand-mère
775379	258333	
775379	353845	
775380	184608	Reserve Pawn
775381	129627	Royal Hawaiian
775381	168998	
775381	318469	
775381	345489	Grandmother
775381	390180	
775382	389600	Anna
775383	196627	Herself
775384	47877	Gullah Jack
775384	79450	Daddy Mac Peazant
775385	248318	Company 'C' Girl
775386	79106	Company Member
775387	223934	Mary Cohen
775388	295375	
775389	68357	Herself
775390	140170	Himself
775390	154887	Suzy
775391	75805	
775391	340542	Gladys
775392	26925	
775392	41970	
775392	41977	
775392	96922	
775392	102772	
775392	102867	
775392	108693	
775392	117453	
775392	150285	
775392	160933	
775392	187411	Herself
775392	189279	
775392	190964	
775392	190965	
775392	196032	
775392	196468	
775392	196469	
775392	207506	
775392	213092	
775392	242073	
775392	244779	Herself
775392	244891	
775392	258061	
775392	258062	
775392	313692	
775392	317405	
775392	326812	
775392	331064	
775392	344525	
775392	366117	
775393	111677	Lady Mortimer
775393	239750	Lady Meersham
775393	342455	
775393	342489	
775393	350390	Mrs. Throstle
775393	360500	
775394	388491	Sister Mercedes
775394	407185	Gina Promise
775395	58026	Herself
775395	367073	Munchkin
775396	79450	Indigo Plantation
775397	112065	Aziz
775397	121782	Aziz
775397	239525	Sammy Soper
775397	327271	Agnes
775398	166240	Bit Role
775398	206836	Scullery maid
775398	333163	Secretary
775399	75535	Party girl
775400	58026	Herself
775400	367073	Munchkin
775401	34753	
775401	367917	
775403	319687	Herself
775404	163203	Cheryl
775405	75627	Nicole
775405	118093	
775405	356985	Georgette Istria
775405	377049	Denise Gardel
775406	217306	
775406	258499	
775407	22992	Electra
775407	258499	
775409	66075	
775411	232471	Little Girl (segment "Terror 
775412	147532	
775414	42790	
775414	48565	
775414	69387	Gloria Welles
775414	190316	
775414	228591	
775414	266168	
775414	278543	
775414	324221	
775414	365423	
775415	279438	
775415	307564	Mily
775416	193996	Mrs. Granville
775417	277832	
775418	144612	Deputy Lawrence
775419	305595	
775420	334148	Kendall Byrne
775421	59366	
775422	28927	Mrs. Hopewell
775422	30788	Jane Patterson
775422	57042	
775422	128706	Party chaperone guard
775422	131543	Miss Halverson
775422	151084	Ma Flanagan
775422	244435	Maid
775422	285041	Undetermined Role
775422	288939	Mrs. Jaffee
775422	313321	Secretary
775422	367572	
775423	231386	Beach Girl #3
775423	238625	Buxom Blonde
775423	276605	Maria
775423	303611	Cheryl Reilly
775423	314104	Three's Company Spoof
775423	349864	Nurse
775425	127	Miss Richards
775425	5928	Kate Kruger
775425	11205	Mademoiselle Scarpa
775425	31860	
775425	41943	Conchita
775425	52321	Arabella Ryan
775425	57109	College Kate
775425	66624	Dolores
775425	80002	Arabella Ryan
775425	117921	Mrs. Daunton
775425	123131	Cynthia
775425	128273	Billie
775425	158157	Aimee Lenard
775425	158159	Claire de Voe
775425	191686	
775425	203429	Lizette
775425	238703	The Vulture
775425	243337	Narcissa Prentiss
775425	253149	
775425	262024	Carrie Dore
775425	272954	Queenie
775425	277982	
775425	311473	Undetermined Role
775425	332083	Speedy
775425	335488	Mrs. Bennett
775425	340325	Claire Gorday
775425	350448	Sonia, Narr's Favorite
775425	359536	Mrs. Fletcher
775425	367392	
775426	60996	
775426	312456	
775426	320833	
775427	44899	Chorine
775427	126067	Chorine
775427	138744	Chorus Woman
775427	195071	Dancer
775427	314486	Dancer
775428	189533	Sonja
775428	376573	Tina
775429	231965	
775430	207184	
775430	246180	Fanny O'Reilly
775430	279435	Eve Terrell
775431	283647	
775433	84625	Berthe
775433	158842	Jessica
775434	154518	Nurse
775435	22179	Michelle Proux
775435	279323	Steve's Girl
775437	161060	Cleaning Woman
775438	198980	Lulu
775439	20916	Mother at the brasserie
775439	148775	
775440	218776	Gwen Klaus
775441	324938	Une jeune fleuriste
775442	90048	La Femme au Caddie
775443	249548	Laundry Woman
775444	68377	Femme antillaise
775444	83340	Hôtesse bar
775444	380869	Brenda Jonhson
775444	382240	Jiu-Jitsu Women
775444	383664	La manicuriste
775444	395093	Nancy
775445	222330	Mummy/Lecture Hall Student #2
775446	354683	Prisoner
775447	240612	Mrs. Forsythe
775448	69844	Girl
775448	263595	Rose Eva
775449	6259	Karen Franklin
775449	80782	Vicky
775449	144347	Jennifer
775449	154629	Mary Titus
775449	191898	Sarah Reed Carter
775449	191899	Sarah Reed Carter
775449	191900	Sarah Reed Carter
775449	385824	Dr. Sandy Horton #4 (1983-198
775449	395735	Sarah Reed Carter (1982-1983)
775450	65681	Patty
775450	223758	Biddy
775450	329307	Delia
775450	398292	Diedre Beare
775450	403278	Olive Down
775451	43918	Woman at Airport
775451	79793	
775451	204522	Young Rita
775451	233989	Scientist
775452	22808	BEA stewardess
775452	140999	Emma Schulman
775452	160576	Pen
775452	183843	Lady Agatha Carlisle
775452	292430	Dawn
775452	342799	Cora Bucsan
775452	366159	Elaine Dawson Porter
775452	386233	Susie Rickards
775452	393939	Ms Thurloe
775453	16120	Kim/Catherine Parkes
775453	94742	Mutoid
775453	133995	Nico's girlfriend
775453	292226	Sarah Finch
775453	296678	Maggie
775453	342155	Lisa
775453	382176	Jessica
775453	383719	Laura Collins
775453	385301	Diane Lawrence (2001-2002)
775453	389711	None
775453	395053	Diana Granville
775453	395585	Jenny Russell
775453	400591	Fiona Lytton Neave
775453	402743	Trish Latham
775453	406209	Jane Price
775454	27152	Judge Florence Prentiss
775454	37104	Kate Mahoney
775454	45946	Mrs. Lavery
775454	67822	Dolly Copeland
775454	77456	Patricia Longworth
775454	79290	Mrs. Foster
775454	123135	Mrs. Zachary Montgomery
775454	134107	Mama Leckie
775454	139790	Miss Bliss
775454	140837	Mrs. Dobbs
775454	142152	Elizabeth Almond
775480	229048	
775454	168119	Isabelle d'Arc (Joan's mother
775454	201062	'Ma' Dibson
775454	215419	Alice Connell
775454	218811	Aunt Jessie
775454	221307	Mattie Tounsen, Susie's Maid
775454	222683	Mrs. Abbott
775454	223854	Freda Hofer
775454	231768	Kate Porter
775454	233659	Mrs. Hanlon
775454	279864	Mother
775454	280942	Sairy MacBean
775454	305472	Mrs. Wayne
775454	312774	Herself
775454	318608	Mrs. Sullivan
775454	318715	Mrs. Essie Miller
775454	330634	Mrs. Reynolds
775454	330843	Maude Weaver
775454	333056	Mrs. Kincheloe
775454	372275	Mrs. Cora Mayhew
775454	372345	Mrs. Adams
775454	380713	Grace Baker #1 (1956-1959)
775454	390922	Cast Member 1951-1952
775455	184369	Old Woman
775455	239242	
775456	117940	
775457	121279	
775458	9670	
775458	10221	
775458	13079	
775458	29055	
775458	33493	
775458	33553	
775458	53650	
775458	55616	
775458	58277	
775458	68581	Señora Juana
775458	74820	Paquita
775458	75484	
775458	75498	
775458	78553	
775458	85568	
775458	90099	
775458	91380	
775458	91382	
775458	96321	Señora con el niño
775458	99337	
775458	103165	
775458	103166	
775458	103212	
775458	103804	
775458	104139	Ventera
775458	115755	
775458	119305	
775458	121264	
775458	121479	
775458	136919	
775458	143754	
775458	153333	
775458	156590	
775458	161562	Señora del empresario
775458	162712	
775458	170277	
775458	192941	
775458	193497	
775458	202561	
775458	204988	
775458	209073	
775458	212342	
775458	219224	
775458	229246	
775458	248294	
775458	249770	
775458	252066	
775458	258247	Tua Tula
775458	263827	
775458	275089	
775458	277384	
775458	296449	Roseta
775458	300720	
775458	336074	
775458	336249	
775458	339113	
775458	339151	
775458	339753	
775458	353600	
775458	376659	Josefa
775459	332377	Star
775460	18	Party Guest
775461	303226	Iris Choir
775462	367866	Herself
775463	41747	Neighbor
775464	61782	The Girl
775464	79776	The Girl
775464	119438	Freddy's Sister
775464	363113	Beano
775464	363114	Beano
775465	116041	Majorette
775466	11464	Shannon
775467	215236	
775468	383631	Susie Mercier: Receptionist (
775469	247665	Pankerka I
775470	56424	Singer
775470	224401	Singer
775471	6289	
775473	124524	
775473	266996	
775473	336252	
775474	103135	
775474	103237	Student
775474	179297	
775474	218688	
775474	241110	
775474	247888	Nina Politza
775474	248980	
775474	283474	
775474	306411	Elvira
775474	308605	
775475	292433	Peasant woman
775476	8136	
775477	5535	
775477	15099	
775477	198627	
775477	275647	
775478	48540	
775479	10385	
775479	180866	
775479	236606	
775480	1810	
775480	10417	
775480	12805	
775480	17432	
775480	38228	
775480	46281	
775480	63610	
775480	84422	
775480	86594	
775480	88444	
775480	95600	
775480	123362	
775480	124843	
775480	160814	
775480	173024	Tatiana Tomilina
775480	174453	
775480	179907	
775480	189424	
775480	202302	
775480	210189	Olga
775480	210283	Varvara
775480	225976	
775480	237811	
775480	244715	
775480	257385	
775480	258660	
775480	262668	
775480	263420	
775480	265023	
775480	265640	
775480	303217	
775480	305216	
775480	305547	
775480	310457	
775480	341235	
775480	352955	
775480	356868	Katya's Mother
775480	370918	
775480	373484	
775480	374885	
775480	375737	
775480	388489	Kleo
775480	401314	Baroness Natalya von Dering
775480	402924	Baroness Natalya von Dering
775480	411981	
775481	101235	
775481	181124	Marta Kroll
775481	262207	
775482	91779	Audience Member
775482	120639	Mrs. Ripley
775482	188547	Elegant Lady
775482	235212	Noble Lady
775482	299503	
775482	318673	Mrs. Anderson
775483	217217	
775483	375469	Druggist
775484	174968	
775484	373736	
775486	86249	Second Woman
775486	216343	Ismene
775486	351226	Soprano
775487	5272	Nelly
775487	143702	Niña
775487	161666	Ángela
775487	383557	Piluquina
775487	388442	Carolina Estefanía 'Fanny' (1
775487	400756	Elisa
775488	18282	Enfermera
775488	380146	Xuxu
775488	383089	Alex
775488	383287	
775488	384118	Dr. Fernanda (1998)/Susana (1
775488	384119	Rosa (1998)/Laura (2000)
775488	384427	Yeli
775488	387083	Irene
775488	388093	Sister Irene
775488	390504	Mirta
775488	390884	
775488	391850	Celadora
775488	395487	Virna
775488	397498	
775488	398661	Lidia
775488	401691	Andrea
775488	401913	Teresa
775488	403021	
775488	403107	Various
775488	403366	Chela (1998)
775488	405102	Fada
775488	405338	Estela
775488	407729	
775488	408726	Clara
775488	409915	Cristina
775488	409959	Panda
775489	21416	
775489	189106	Sarah
775490	23873	Stewardess
775491	100533	Barbina Bertini 1 an
775492	355052	Extra
775493	401501	Sal
775494	355052	Extra
775495	355052	Extra
775496	313301	Chorine
775496	342929	Moll
775497	297187	Angie
775498	39329	Luana
775498	183380	Conchita
775498	222325	Telephone Operator
775498	315956	Polish Girl
775498	323206	Mary Dale, actress
775498	335844	
775498	336042	Cuban Hat Check Girl
775499	411517	6 Year Old "IT" Girl
775500	60234	Herself - Director ("Happy Da
775500	321862	Herself
775501	402685	
775502	308605	Little sister
775503	299317	Herself
775504	236250	Mary
775505	14922	Telma
775505	18171	Rosangela
775505	294531	Glorinha
775505	383866	Cíntia
775505	384922	
775506	216406	El Arja
775507	82886	Florist
775508	171667	Stein Family
775509	58109	Nicole
775510	77818	Vanessa
775511	61418	Flasher's victim
775512	209535	
775512	215593	Elizabeth Storn
775512	285980	
775513	46854	Girl #2
775514	214042	Herself - John Dewey High Sch
775515	2252	(segment "Bavardages en sida 
775516	1473	
775516	300654	La femme ou type baraque
775516	322335	Anne
775517	248246	Policier surveillante
775518	9392	
775519	238110	Nastya - 6 let
775520	294918	TV Reporter
775521	356976	
775522	151461	Agatzi Girl
775523	20909	
775523	25205	
775523	65098	
775523	70596	
775523	103826	
775523	107057	
775523	107537	
775523	111482	
775523	131081	
775523	195167	
775523	198626	
775523	199722	
775523	204916	
775523	211139	
775523	220265	
775523	282492	Tante Anna
775523	337010	
775523	337732	
775523	345487	
775523	377670	
775524	1358	
775524	20358	
775524	25727	
775524	30626	
775524	38920	Partisan demolition woman
775524	45767	
775524	74775	Minja
775524	83324	
775524	95639	
775524	98083	
775524	102398	Telca
775524	144368	
775524	162075	Grace
775524	162669	
775524	168869	Jane
775524	172503	Jasna Stanojlovic
775524	200281	Mrs. Tonnery
775524	205887	Donatella
775524	215119	Marija
775524	229573	
775524	229749	Vera Bogojevic
775524	234450	Vera
775524	249483	(segment Povratak)
775524	253707	Epela
775524	253724	
775524	262559	
775524	269471	
775524	292433	Mila
775524	304190	
775524	307460	
775524	314651	
775524	328831	Lillian
775524	339287	
775524	349962	
775524	350367	
775524	353083	
775524	360910	Julia
775524	374493	
775525	258720	Aleksandra, Nathalie's sister
775526	181667	
775527	174028	
775528	30086	
775528	178575	Alma
775528	226342	
775529	94525	Floozie #1
775530	15231	Masturbating Woman
775531	74777	Voice of Gita
775532	346413	Herself
775533	89983	
775533	375946	
775534	2240	Judge
775534	25424	
775534	25426	Housekeeper
775534	62410	
775534	75966	Tereska's Mother
775534	82204	
775534	88410	Nurse
775534	95946	
775534	95969	
775534	98022	
775534	110115	
775534	134913	
775534	136364	Kleczkowska
775534	165048	Orderly
775534	180668	
775534	181328	Waitress
775534	216591	Customs officer
775534	220685	Housekeeper - candidate
775534	225876	Nun
775534	226535	Nurse
775534	247646	Servant
775534	255515	Woman in the Village (II)
775534	255611	
775534	259083	
775534	266019	
775534	266342	
775534	322040	Azbest's mother
775534	347054	Peasant's mother
775534	347617	Nurse
775534	380998	Walentowa
775534	385592	Leszek's sister-in-law
775534	412008	Elzbieta Kleczkowska
775535	121136	Old Lady at the Cemetery
775536	90336	Miss Agnew
775536	356792	Mrs. Webster
775536	377647	
775537	40631	Girl in Bikini
775538	10316	
775538	144217	Thomas' Grandmother
775538	174908	
775538	286107	
775539	28688	Kislány a liftben
775540	335	Mrs. Nau
775540	58280	
775540	181347	Fanda
775540	212112	
775540	265233	Women
775540	373781	Dostálová
775541	244106	
775542	359590	
775543	336475	Waitress #1
775544	89823	
775545	16236	
775545	194343	Frau in Imagebank
775545	290019	Geraldine
775545	410350	Heike Osiander
775546	121809	Gina
775547	8355	La mère
775547	25785	Mireille Bosson
775547	29513	Jeanne
775547	36639	
775547	43008	Véronique Troney
775547	51393	
775547	51921	Christiane
775547	54393	Esther
775547	54403	Pélagie
775547	55867	Ève
775547	57232	Françoise
775547	57531	Amy
775547	59634	Marie-Mécanique
775547	70948	Juliette's mother
775547	80174	Social worker
775547	82578	Suzanne
775547	91787	L'épouse de François
775547	99376	Madame Gaumont
775547	101235	La mère
775547	101509	Duchesse du Maine
775547	123941	
775547	132597	Catherine
775547	134600	
775547	149114	Suzanne, la folle
775547	160722	Martine
775547	166105	Madame Klein
775547	166336	Victoire
775547	169796	
775547	172077	La jeune fille
775547	198342	Lucienne
775547	205727	Paule
775547	205735	Gabrielle
775547	208829	Honorine Porquel
775547	211657	La mère de Barbara
775547	211808	Rose
775547	217253	Clara Haiek
775547	217705	L'amie de Janine
775547	219442	La photographe
775547	237653	Mlle Françoise, la directrice
775547	240057	Elisabeth Duval
775547	244985	Miss Blandish
775547	245484	Malène
775547	248506	La soeur
775547	254024	Christina
775547	254075	Marie-Thérèse 'Biche'
775547	259024	Marianne
775547	260916	Verdier
775547	261468	Diane Clovier
775547	261839	Josepha
775547	268413	La mère Bonin
775547	268944	
775547	269073	Marjolaine
775547	269223	La prostituée
775547	284666	Catherine
775547	288219	Paule
775547	301522	La femme au café
775547	309720	Lucie, l'élève de Ludovic
775547	318515	La sourde-muette
775547	327547	Rose
775547	327566	Béa
775547	332139	
775547	336985	Nicole
775547	345265	
775547	347566	
775547	357834	Madame Marianne
775547	376999	Josiane
775547	377736	Marcelle
775547	382584	
775547	390057	Duchesse
775547	393484	
775547	395267	
775547	404784	Françoise
775547	409602	
775547	410469	Anne Véga
775547	410470	Ingrid
775548	118185	
775548	354397	La secrètaire de Jean-Pierre
775549	122739	
775550	274200	Felladum Queen Looking Over S
775551	180520	Mother
775552	7280	
775553	85469	Wang Xia
775553	198619	Autumn Moon
775553	264308	
775554	70114	
775554	124544	
775554	265332	
775554	302376	
775554	332940	
775554	345028	
775554	352160	
775554	379651	
775554	380578	
775554	380947	
775554	392847	Irene
775554	392985	
775554	397580	Carina
775554	397733	Lucía
775554	399805	
775554	402158	Mariana Guimarea
775554	403683	
775554	405789	
775554	410112	
775554	410453	(1999)
775555	343881	Dancer
775556	362348	Host/Sports Suzy/Bad Bobbi-Jo
775556	362349	
775556	405663	Presenter (2003)
775556	410882	Presenter (1998-)
775556	410883	Presenter (1997-2001)
775557	300489	
775558	31496	
775558	135048	Shi Miaowen
775558	136070	
775558	167497	
775558	189120	Yang Nai-fan and her daughter
775558	251427	Miss Lim
775558	268779	
775558	286968	
775558	298348	
775558	324721	
775558	369708	Sister Ye
775558	369915	
775558	370813	Li Lian
775558	371483	
775558	375006	
775559	329622	Partner
775562	232608	Doil
775563	86901	
775564	194938	Villager
775565	57782	
775566	380477	Inés
775566	387098	Marilú Iturbe Montalbán
775566	391419	Julieta
775566	398800	Margarita (young)/Lucía
775566	401913	Valeria Bazán
775566	403366	
775567	103722	
775568	169772	
775568	199814	
775569	90534	
775569	99788	
775570	197961	
775570	268043	
775571	134369	Treesje
775572	7632	Herself (Expedition Member)
775573	169808	
775574	10255	
775574	97373	
775574	239276	
775574	380578	
775576	322768	Marijo
775577	12382	
775578	186886	
775578	354079	Hilde
775579	179183	Young Andzia
775580	390812	Angestellte Nadine (1998-)
775580	391604	
775581	121615	Female Prison Guard
775582	236067	
775583	93261	Wardrobe
775584	92326	
775585	219293	
775586	277314	
775587	4811	
775587	23989	Frau Gerber
775588	335301	Cree
775589	305495	
775591	133419	Bride
775592	75028	
775592	372754	
775593	67788	Stoney's Sister
775595	3264	Angela
775595	46274	Elsa Barron
775595	185828	Nurse Lilly
775595	195317	Flight attendant
775595	275492	Conchita
775595	286350	Boyle's wife
775596	75366	Muffy
775597	346271	Snogging Girl
775598	129514	Lincoln Tunnel Cabbie
775598	313699	Maori woman
775599	42296	Swedish Suntanning Team Membe
775599	69457	Kitty
775599	185624	Angie
775599	315707	Jacqueline
775600	316463	Collègue de bureau
775600	380859	Marta Jessac
775601	258948	Estelle
775602	326604	Bundy Victim
775603	13685	American girl
775603	80373	Bridesmaid
775603	306123	Jocelyn
775604	306969	
775605	26146	Themselves
775605	294199	Themselves
775606	37452	Honey
775607	14264	Juana de Castalar
775607	18098	Lorraine Van Allen
775607	29443	
775607	38660	Belles of 1861
775607	61824	Editha, their stepmother
775607	66916	Coralie
775607	75928	Savina Grove
775607	77718	Maxine
775607	85929	Diane Westfall
775607	96815	Lady Isabel
775607	101036	Alicia
775607	107786	Girl in marriage market
775607	107989	Judith/Zariska
775607	113466	Sophie Carey
775607	113524	Paula
775607	113919	Firefly
775607	123898	Molly
775607	126143	Hermione, Lady Gerald Cransto
775607	127109	Giulia
775607	127681	Linda Haverhill
775607	132360	Natalie Drew
775607	137513	Teresa
775607	141293	Helene
775607	152655	Gina Berg (formerly Minnie Gi
775607	154432	Felice
775607	161542	Girl of the Marriage Market (
775607	162544	Virginia Carter
775607	169979	
775607	195491	Charlotte Carter
775607	199391	Celeste
775607	203720	Kate Carewe
775607	206358	Wanda Heriot
775607	207234	Countess Zellner
775607	207443	Millicent Drake
775607	224755	His Female Accomplice
775607	227698	
775607	239602	
775607	241453	
775607	246716	Mary Fanjoy
775607	263530	Mildred Gower
775607	274842	Catherine Ten Eyck
775607	274873	Lemona Reighley
775607	275214	Diane Du Prez
775607	276374	Marion Gregory
775607	297921	Rosie
775607	298041	Germaine D'Artois
775607	300061	Julie
775607	300800	Sonia Vronsky
775607	331176	Annie Marnet
775607	341003	Grace Burton
775607	346145	Renee de Cocheforet
775607	350005	Marette Radison
775607	360824	Barbara Belden
775607	366029	Marguerite
775607	367676	Cousin Kate
775607	367687	Née Caron
775607	368369	Teodora
775608	68381	
775608	107241	Mme Soleil
775608	346723	Woman in blockhaus
775609	83988	Bunny Tremelo
775610	37012	Secretary
775610	113884	Jill
775610	212802	Madeleine
775610	252989	Judy
775610	265678	Kelly
775610	359198	
775610	382130	Various Characters
775610	387215	Bobbi Katz
775611	308018	
775612	273573	Denise
775613	65973	Mrs. Martin
775614	187886	Uncle Ernest
775615	51256	
775615	88138	Vlasta Karasová
775615	282767	
775615	320659	Eliska
775615	328935	
775615	341631	Pechátová, attendant
775615	343859	Bozka Brabencová
775615	351374	
775616	44875	Office Worker #1/Office Worke
775616	78824	Stand In for Maria Paris as S
775617	128480	Trish Schultz
775617	159943	Peggy
775617	190709	Las Vegas judge
775617	292321	Ruth
775617	300772	Celia Droon
775617	392953	Nancy
775617	397477	Steffi Petrakis
775617	399130	Svetlanka Ristic (2004)
775617	400697	Chana
775617	402197	Janet Dominguez (1979-1980)
775618	73772	Jeannine
775620	267163	Dancer #2
775621	155824	Copywriter
775624	16860	
775624	53160	
775624	157558	Pepita
775624	199444	Un' allieva
775624	207070	Marta
775624	273142	
775624	282103	Una signora della società vie
775624	295163	La collegiale messa sempre di
775624	377576	
775625	39602	Eva
775625	122466	Taxicentral
775625	322840	
775625	403084	Sofie Sjögren (1992-1994, 199
775626	56869	Cheerleader
775627	39175	Mrs. Levin
775627	44185	Braston's Mum
775627	107165	Mrs. Hunter
775627	114582	Roseanne
775627	117390	Mary Sherritt
775627	166663	
775627	185085	Mrs. Zagorski
775627	194749	Shelly Carter
775627	245499	Bryna Glick
775627	264570	Suzanne Walter
775627	308041	Doctor
775627	397154	Bryna Glick
775628	232090	Teacher
775629	235047	Mujerzuela I
775629	284793	Nour
775629	304149	Paula
775629	305595	
775629	308386	
775630	197963	
775631	74354	Mujer asaltada
775631	354847	Anita
775631	376650	Mesera
775632	225811	
775633	48194	
775634	103846	
775634	248289	
775634	251730	
775634	275815	
775634	396854	
775634	398491	
775634	398522	Lina
775634	402181	Cristina
775635	243713	
775636	62398	Cantante Rubia
775636	70091	
775636	71298	
775636	88057	
775636	99914	
775636	103111	
775636	124512	
775636	184242	Patricia Ortega
775636	212375	
775636	227094	
775636	236002	
775636	256786	
775636	301198	
775636	306705	
775636	357536	
775636	409921	
775637	231794	Dancer
775638	153	Kate
775639	35252	Backup Singer
775640	224073	Guest at Wedding
775641	38659	Herself
775641	289759	Herself
775642	152579	Julio's Woman
775643	167691	Autograph woman
775643	185065	Librarian
775643	224073	Guest at Wedding
775643	278484	Old Lady
775643	282562	Sophie
775643	295461	Mrs. Ornstein
775643	349689	Trailer Park Resident
775644	245528	Susan Jane
775644	306152	
775644	356247	Dr. Parrish
775645	194835	Paul Dunn's Secretary
775646	276196	Barbara (segment "Aart and Jo
775646	406621	Sally Godsoe
775647	97390	Dancer
775648	382785	(2003)
775648	398017	(2003)
775649	107922	Stacy
775650	27218	
775650	40431	Crony Wife #2
775650	53957	Ginny, Girl in the Van
775650	94525	Music hall girl
775650	236328	Tourist
775650	297672	Pregnant Woman
775650	314224	Woman in the Car
775650	363189	Marsha
775651	248480	Women in Motel Office
775652	134611	Marie
775653	313877	Fan Girl
775654	13452	Ione
775654	27207	Cynthia
775654	33258	Sara
775654	38961	Kelly Ann
775654	42031	Ellie Dane
775654	70769	Ruby
775654	74117	Amy Maddik
775654	80897	Tina
775654	82551	Patti
775654	83613	
775654	90932	Edie
775654	93365	Nighty Night
775654	93958	Allie Holton
775654	105518	Karen
775654	107692	Sharon Williams
775654	109621	Carla Nash
775654	110266	Jane Caswell
775654	121521	Helen
775654	185376	Adrienne
775654	186421	Lana Vitale
775654	192403	Sister Sherilyn
775654	196350	Debra Gill
775654	232455	Taryn White
775654	253228	Lauren
775654	257810	Jamie Harris
775654	258283	Kandi Kane
775654	274305	Sam Guiness
775654	276945	Jeanie
775654	279329	Blue
775654	285794	Eva
775654	287126	Dorothy Smith
775654	291261	Jessica
775654	297989	Dr. Valdes
775654	335692	Gracia
775654	342690	Amy
775654	359767	Janice
775654	367751	Helen
775655	212960	Seven-year-old girl
775656	323594	Audition Singer
775657	142464	Ring Girl
775658	37682	Jeanette
775659	222773	a 'Bird'
775660	121864	
775662	37787	Girl at Mall
775662	199639	Tom Cruise Girl Fan
775663	275715	Melody
775664	321678	Additional Voiceover
775665	176922	Councilwoman
775666	109063	Sarah
775666	275290	Gwennie Thomason
775667	136832	Jackie
775668	213954	
775669	282909	
775670	248480	Girl in Motel Office
775671	314614	Sheila
775672	139564	
775674	337478	Alert Employee
775675	141612	Pharmacist
775675	154017	Vineyard Owner
775675	187442	
775676	191344	Dancer
775677	127073	Nun at St. Joseph's Shelter f
775677	224073	Aunt Sophia
775678	3172	Katie
775678	153248	Singing Woman
775679	59814	Girl
775679	169206	Susy Shapiro
775679	178166	Young Hilary
775679	214422	Cassie Lawrence
775679	214913	Sabine
775680	380784	Herself
775681	214422	Lisa Lawrence
775682	2816	Nominee for Best Performance 
775682	33244	
775682	47377	Herself
775682	81707	
775682	98514	
775682	115179	Tia
775682	154334	Modeling School Receptionist
775682	171335	Roberta
775682	190225	Trisha
775682	195088	Gloria
775682	246101	
775682	303833	Olya
775682	355014	Frances
775682	365451	Det. Gloria Perez
775682	391489	Michelle
775683	167301	Singer
775683	224322	
775684	104641	Herself
775685	283789	Elena Gazarova
775686	24790	Faye Krichinsky
775686	189325	Rose (Grandma)
775687	72922	Diana
775687	125580	Tori Burns
775687	152298	Janet
775687	313507	Rebel Pilot
775687	335493	Jenna Sparks
775687	348614	Andie
775687	365458	Additional Voices
775688	207947	
775689	23235	Zinah
775689	28958	Marcella
775689	79566	Michal
775689	94639	Giulietta Bellini
775689	113575	Ada, Aldo's wife
775689	127991	Marisa Petrei
775689	131985	Manuela
775689	135072	
775689	168724	
775689	200487	Countess Giulietta
775689	213883	
775689	216046	Gundali
775689	217758	Benedetta
775689	236620	
775689	252581	
775689	256799	Anna
775689	269173	Ragazza di Chiarelli
775689	270842	Silvana
775689	277812	Lucia Cannavacciuolo
775689	292380	
775689	293320	Beatrice
775689	301382	Gabriella
775689	309260	
775689	309749	Maria
775689	328623	Lidia
775689	328688	
775689	338661	Nina
775689	347791	Marina Morini
775689	354447	
775690	24545	
775690	30766	
775690	111841	
775690	221568	
775690	282900	Lucía - Niña 2
775691	181079	Narrator
775692	185693	Fisher's Mother
775692	195088	Reporter
775693	178886	Pregnant Woman
775694	80724	Sarah
775694	289719	Lisa Urich
775694	329053	Feisty Dancer
775694	330422	Model
775694	353299	Lactacia
775694	395019	Customer #1
775695	105422	Merrit
775696	84113	Ghost Girl
775697	202070	Loredana
775698	124240	
775699	401871	Lollipop singer
775700	86716	Marla Jeanette Rubinoff
775700	236140	Kathleen
775700	236995	Hazel Nut
775700	283173	Mitch's girlfriend
775700	358838	Nurse Betty
775700	386856	Candy Carlysle
775700	399282	Nancy Braithwaite (1992-1993)
775700	400170	Betty Hudson (1992)
775701	324122	
775702	174909	
775703	381690	Liliane Trotzek (2002-2004)
775704	5066	Hostess
775705	394303	Sharon
775706	394303	Yael
775707	338638	Mocha Band Member
775708	386954	Contestant
775709	186192	Mireille
775709	225372	Virginie
775709	377848	L'étudiante
775710	74390	(segment "Receita de Domingo"
775711	99432	Éva,Simon másik lánya
775712	81348	Tarra
775713	228765	
775713	228766	
775714	389791	Additional Voices
775714	408893	Additional Voices
775715	231904	Reporter #4
775716	12610	Young Medical Student
775716	322754	Girl on Airplane
775717	23699	
775717	138652	Voices
775717	141399	Cleaning Woman
775717	406069	Voices
775719	5909	Nosy lady
775719	17073	Alice Pressman, the Mother (o
775719	51998	
775719	62446	Mother
775719	73570	Theatre Director
775719	115571	Psychiatrist
775719	118763	Mental Patient
775719	123303	Butterfingers O'Malley
775719	135561	Edna
775719	149712	Herself/Presenter
775719	185568	Old Hermit
775719	192403	Mother Clodah
775719	196420	Woman in Clinic
775719	202617	Mama Dolly
775719	205496	Doctor
775719	220418	Ralph's Mother
775719	259826	Tangina Barrons
775719	259828	Tangina Barrons
775719	259829	Tangina Barrons
775719	277085	Herself
775719	302458	Princess Shalazar
775719	303545	Organist
775719	315599	Rosamund
775719	326741	Madame Serena
775719	333417	Betting Clerk
775719	345648	Bunny
775719	346142	Iris
775719	352962	Herself
775719	365223	Mrs. Stanfield
775719	366668	Coroner
775719	401414	Ginny Weedon (1992-1994)
775719	404282	Gladys Biddleworth (1990)
775719	404403	Narrator
775720	57248	
775720	61861	Bibliotecaria
775720	308458	
775720	355943	Madre de Lissa
775720	380442	Lulú
775720	384782	Inés
775720	385070	Fabiana
775720	385852	
775720	408591	
775720	412311	
775721	73280	
775722	86868	
775723	147966	Bimbo #3
775724	73280	
775725	155272	Customer
775726	84461	
775726	318275	
775727	14707	
775727	27981	
775727	91425	
775727	97659	
775727	204740	
775727	242678	
775728	64940	
775729	400400	Host (2002- ???)
775730	18650	
775730	70082	
775731	87497	La danseuse de flamenco
775732	379993	Paula Navarro, the Novak's Ne
775733	12441	Chamorro
775733	28914	Marta
775733	100254	Julia
775733	100295	Marta
775733	106328	Alicia
775733	109264	Carmela/Memé
775733	140660	Maribel
775733	143758	Natalia Levin
775733	199801	Virginia/Agnese
775733	225017	Helena
775733	225046	Yeye
775733	236014	Lucía
775733	244587	Irina
775733	257565	Oria
775733	307471	Merce
775733	322325	Coro
775733	326121	Paz
775733	334577	Teresa
775733	353195	Arian
775733	355355	Usúa
775733	369556	Herself - Winner: Best New Ac
775733	369754	Herself
775733	404715	Marta Riera
775734	410091	
775735	153067	
775736	159870	
775737	383718	Roxana
775737	397575	Federica
775737	408895	Abril Gallardo
775738	46353	Little Girl
775739	14679	
775739	21676	
775739	34021	
775739	74590	
775739	121259	
775739	161438	
775739	219325	
775739	221953	
775739	226499	Madre Superior
775739	234411	
775739	263880	
775739	337440	
775739	337965	
775739	343193	Grandmother
775739	349847	Valentina
775739	351674	
775739	355947	
775739	379043	Carolina
775739	379888	Reinalda
775739	380099	Isolda
775739	380151	Nadia
775739	384632	Ami
775739	384899	María
775739	385416	Catalina Creel de Larios
775739	386077	Clemencia
775739	386867	
775739	387682	
775739	392653	
775739	395043	Ofelia
775739	395859	
775739	396243	
775739	397204	Olivia
775739	397258	
775739	397734	
775739	398455	
775739	398815	
775739	399570	
775739	400943	Lidia
775739	403402	Rafaela
775739	404161	Lucrecia
775739	405414	Sara
775739	407641	
775739	409289	Ursula
775740	101868	
775741	3515	
775741	145182	
775741	171467	
775742	103699	
775742	148596	
775742	225703	
775742	233381	
775744	391272	Trinita Sánchez
775744	397011	
775744	401122	
775744	402688	Camila Echeverría Salazar
775744	403753	Marta González Hernández
775744	408408	Lucía 'Lucy' Rangel
775745	2581	Presenter
775745	3393	Herself - Performer
775745	51230	
775745	96298	
775745	208475	Herself (#77) (Interviewee)
775745	333171	Herself
775745	381145	Andrea
775745	398527	
775745	400949	
775745	401698	Alma
775745	403651	Herself
775746	233542	Policía aeropuerto
775747	167075	
775747	216092	
775748	12087	
775749	376717	
775750	55943	
775750	278935	
775751	302403	Cristina
775752	383271	
775753	379551	Valeria Rios
775753	381023	María Jacinta De Icaza
775753	381720	Patricia
775753	385663	Paola Arango
775753	390300	Gina Carranza
775753	392352	Daniela
775753	404989	Lorena
775754	12087	
775755	65006	Friend
775756	111991	
775757	23382	
775758	212993	
775759	133048	
775759	226971	
775759	236620	
775759	251142	
775759	263116	
775759	263921	
775760	122075	Ana Roehas
775760	401828	Mrs. Sicilino
775761	204042	
775762	18530	
775762	225157	
775762	347042	Monika
775762	404462	Jennifer
775763	232233	Joan
775764	213240	Zombie
775765	303790	
775766	18061	Anschi
775767	3452	
775767	11358	
775767	17991	
775767	26073	
775767	33951	
775767	41922	
775767	49906	
775767	59850	
775767	65739	
775767	81495	
775767	87278	
775767	87396	
775767	87966	
775767	115054	
775767	119953	
775767	120217	
775767	124828	
775767	153594	
775767	158969	
775767	193544	
775767	220785	
775767	228017	
775767	228020	
775767	228022	Herself
775767	228023	Herself
775767	233703	
775767	241593	
775767	243129	
775767	247992	
775767	293005	
775767	293907	
775767	312375	
775767	330700	
775767	341210	
775767	363757	
775768	287215	Waitress
775769	151769	Betty
775769	195509	Annie Noland
775769	309559	
775770	164160	Mother
775771	101978	
775772	13965	Partisan
775773	16079	
775773	54495	
775773	94065	Selma
775773	132572	
775773	203309	
775773	251809	Ingrid
775773	274725	May Hoke
775773	283075	
775773	337491	The Kid's Sweetheart
775773	365369	Evie Wayne
775774	131308	
775775	131505	Mrs. Harbinger
775775	161756	Matron
775775	183108	Rada
775775	185451	Vera
775775	187886	Mrs. Bernstein
775775	192570	Hetty
775775	203539	Junior Mistress
775775	281413	Miss Breith
775775	363460	Amy Slater
775775	382305	Mistinguett
775775	405751	Dolly Finkel
775775	410582	Frau Strauss (Theresienstadt)
775775	411288	Kitty Morse
775776	379819	Alejandra
775777	48179	
775777	386696	
775778	279823	Bertha Hesse
775779	304191	Convict
775780	228202	Marianne
775780	370683	Corrine
775781	383291	
775781	384981	Silvina Nicholson
775781	390614	
775781	395864	
775781	397256	Pichi
775781	409959	
775782	53851	
775783	203376	Radio Station Secretary
775784	344652	Girl in Alley
775785	44980	Jeanne
775785	53069	Mamie Georges
775785	54250	Simone
775785	55867	Gabrielle
775785	57474	
775785	62976	
775785	66213	
775785	68326	Berberina
775785	72056	Membre groupe Trouber
775785	74336	Vieille dame
775785	126258	Honorine
775785	153241	Madame Marquerite
775785	153875	La mère
775785	199590	
775785	200961	Lucie
775785	208185	
775785	218448	Mme Honorat
775785	254016	La fermière
775785	318492	Myrtille
775785	339497	Marguerite
775785	345538	La Nurse
775785	371416	
775785	377488	La femme du métro
775785	377697	Maryvonne
775785	387553	Augustine Maury
775786	212137	
775787	120095	Cinnamon
775788	293574	
775789	255844	
775790	326741	Dancer
775791	61791	Edith Beverly
775791	152514	Girl 3
775791	407667	Lily Baylis
775792	190083	Juror
775793	150061	Receptionist #1
775794	47004	Elegant Lady
775794	245625	Fashion Center Receptionist
775794	314444	Mary Ann Stravros
775794	380713	Sandy Wilson McGuire Hughes G
775794	407794	Nurse Amanda Kelly (1974)
775794	407916	Ginny Marshall (1980-1982) (o
775795	199499	TV interviewer
775796	147833	Loretta
775796	372343	Dead Woman #1
775797	112005	Young Lady
775798	33236	
775798	102972	
775798	142189	Sybille Scharfenberg
775798	155468	Barbara
775798	172847	Lisbeth
775798	287026	
775798	347771	Christina
775798	347772	Elisa
775798	352246	Jutta Prigen
775798	361050	Lisbeth Grüter
775799	367227	
775800	271364	Receptionist
775800	374524	Carla Wade
775801	314821	Herself
775802	282919	Press
775803	35052	Dancer
775804	284517	
775805	346583	La Pianiste
775806	239926	Mme. Dupont
775807	87599	Haley's Niece
775808	61959	Keisha
775809	36604	Leny Bider
775809	361374	Margrit
775810	392769	María
775811	243265	Maren Borgen, Mikkel's Daught
775812	135686	Bedstemor
775812	181237	Enkefru Poulsen (Bedstemors f
775813	243265	Lilleinger Borgen, Mikkel's D
775814	223212	Petite Chouchou
775815	179588	
775816	16263	Petterssonskan
775817	210929	Secret agent
775817	216114	
775819	190911	
775819	260213	Madeline Sheivers
775819	360725	Ethea
775820	180785	
775820	229832	
775821	69159	Herself
775822	198265	Teacher
775822	312696	Guest
775823	163496	Old Interpreter
775823	176770	Lena
775823	198033	Assistant
775823	386335	Penelophe
775823	391357	Birgitta, socialsekreterare (
775823	394744	Louise Keiser
775824	401772	Gudrun Lyte
775825	305863	Elisabeth, Mrs. Borg's housem
775826	400118	Lærerinde (Teacher)
775827	337649	Player
775828	73941	Felicia Diaz
775829	72877	Reporter (segment "Possession
775830	86038	Karen
775831	363265	School Principal
775832	362372	Old Rudder Nose, the matron
775832	365062	Woman
775833	148351	Teenage Girl
775833	191051	Wanda
775833	221100	Cindy
775833	245218	Carabelle
775833	359195	Marg Parnum
775834	203688	Jane Wilkins
775835	121832	Susan
775836	193207	Old Lady
775836	411837	Elderly neighbour
775837	385799	Herself
775838	51635	Lady in Pink
775839	217420	Nathalie
775840	380246	Face Model: Mrs. Brinks
775841	315901	Molly
775842	256332	Travel Agency Woman
775843	141532	Invigilator
775843	142919	Queen Isabel
775843	384482	Mary Close
775843	396005	Peter Pan
775843	403249	
775844	305007	Herself
775844	410938	Lisa
775844	411759	Lisa (1979-1985)
775845	109251	Herself
775846	120344	Bar Fly
775847	355660	German auxilliary
775848	244100	A Capo
775849	338981	Herself
775850	276336	Waitress
775851	191566	Dam på posten
775852	329913	
775853	258151	Le médecin
775853	264114	Bijou
775853	283036	Nina
775853	285762	La déesse Raison
775853	328391	Marinette
775854	245499	Mrs. Rosenberg
775854	340754	Zora
775855	204543	Linda Wallander (episode 1)
775855	354607	Linda
775855	378897	Linda Wallander
775856	197394	(segment "David Lynch")
775856	202366	Brain Surgeon
775857	253632	
775858	180123	Mother (segment 'Excerpts fro
775859	179632	
775859	229003	
775859	270716	Mallory
775859	280600	
775859	341327	Galya bolshaya
775859	350800	
775859	357227	Violetka
775859	399195	Lyusa, dachnitsa
775859	407368	
775859	411981	
775860	28024	
775861	408695	Designer
775862	334575	
775863	393616	
775864	34331	Barkeeperin
775866	223285	Uschi
775867	343401	Lise Lunde
775868	5413	Janie Palmer
775868	137688	Nurse Phillips
775868	270347	Tina Beale
775869	204947	Lizzy Collins
775870	127527	Hitty
775870	150347	
775870	276355	
775870	354160	Cecily
775870	366182	Doris Wead
775870	387120	
775871	207213	Krankenschwester
775872	86539	Teacher
775872	253420	Mrs. Woodruff
775874	223884	Gretchen
775875	238613	Herself
775876	77482	
775876	89817	Lillypoot's Wife
775876	171676	
775876	210379	
775876	223550	
775876	258406	
775876	262660	
775876	357640	
775876	374178	
775876	404577	Larisa
775877	135000	Herself (Tucson/Arizona)
775878	368378	Newspaperwoman
775879	203263	Kelly Cooley
775880	408496	The Fruitcake Lady (2000-)
775881	67387	Jane Cramer
775882	126686	Street People
775883	2367	Herself - Host
775883	138716	Herself
775883	186422	TV Reporter
775883	372281	Morning Show Host
775883	390681	Presenter
775883	395018	Host
775883	395567	Host
775883	406084	Host (2000)
775883	406307	Host
775884	117136	Mary
775884	303564	Society Lady #1
775885	69090	Cornelia Horncastle
775886	108897	Herself
775886	225574	
775887	402528	La grande Schlumberger
775888	162094	Iolanta
775888	186866	
775888	224450	
775888	243967	
775888	341194	Lyubasha
775889	14704	Clara
775889	15999	Itajacy
775889	26539	
775889	57452	
775889	83493	Guiomar
775889	101576	
775890	38964	Herself
775890	44470	Herself
775890	56858	Herself/Comedian
775890	126000	Herself
775890	129347	Mrs. Yabbo
775890	130983	Ursula (VO)
775890	253950	Carol Benson, 'Who's in the K
775890	329548	Frieda Philby
775890	360874	Sally Shelton
775890	363024	Herself
775890	368944	Pam
775890	380740	Herself/Host
775890	384616	Herself
775890	389505	Himself
775890	402964	Herself
775890	403440	Herself - Hostess
775890	406358	Herself
775890	411364	Herself
775891	137223	Dancer
775892	429	
775892	25690	Agrafyona Kondratyevna
775892	35851	
775892	84428	(segment "Terrorist")
775892	113207	
775892	180365	
775892	187013	
775892	238129	
775892	238360	
775892	259880	Svetlana
775892	261689	
775892	349051	Lyuba
775892	351064	
775892	356017	
775892	370406	
775892	375330	Kapa
775893	163056	
775894	166643	Wedding Player
775895	316752	Troglodyte in Pink Dress
775896	363581	Nurse Wanda
775897	249690	Ballet Teacher
775898	112908	
775899	44776	Zanásková
775899	85221	Queen
775899	374074	Doctor
775900	3162	Telefonseelsorgerin
775900	12670	Barbara
775900	12901	Lena Bender
775900	34412	
775900	36683	Eva Lehmann
775900	52912	Frau von Sekkau
775900	53220	Dr. Ursula Wagner
775900	63557	Lorraine
775900	72577	Ute
775900	78302	Gabriele Matern
775900	91044	Susanne Marquardt
775900	91975	Lise
775900	101854	Flora
775900	103078	Elisabeth
775900	111360	Sophie
775900	122586	Judith
775900	124071	Queen of Prussia
775900	125012	Ruth Jacoby
775900	125019	
775900	125069	Karen Fallscheider
775900	126418	Marlene
775900	127051	Hanna Solinger
775900	156606	Karin
775900	156711	Rut Brandt
775900	157498	Ines
775900	158215	Marina Zimmer
775900	160152	Trudi
775900	175273	
775900	175657	Karin
775900	179762	Klara
775900	180209	Annie
775900	182890	Sabine Popp
775900	189821	Dr. Beate Teuffel
775900	203935	Ariane Leonhardt
775900	210002	Cordula Reichert
775900	219284	Rena
775900	225206	Ingrid Berger
775900	225248	Joanna
775900	225252	Joanna
775900	225732	Bettina Kant
775900	231451	Barbara
775900	245213	
775900	249180	Ingrid Berger
775900	259443	Simone Dreyer
775900	259567	Simone Dreyer
775900	282235	Inge Scholl
775900	282260	Barbara Wilde, Rotwang's Mist
775900	287220	Sabine Amman
775900	290244	Carola
775900	290550	Alexandra
775900	290773	Laura Peterson
775900	307651	Johanna Steinmann
775900	313652	Anna Ansorge
775900	313788	Performer
775900	314848	Helen
775900	325551	Theresa Moiser
775900	325583	Karla
775900	325717	Pathologin
775900	325765	Ute Meier-Brinkmann, Verfassu
775900	325912	Claudia Finke
775900	326049	Gabriele
775900	334538	Hannah Schwarz
775900	338935	Conny
775900	343689	Johanna Dorn
775900	347676	Mrs. Benjamin
775900	352105	Jette
775900	376293	Heike Mende
775900	378000	Laura
775900	390498	
775900	392997	Gräfin
775900	404013	Michelle
775900	406814	Felicia
775900	409858	Hanna Schönberg
775901	252878	Teenager
775902	103201	Herself (Finalist)
775903	215691	Miss Wyoming USA
775904	136945	Studerende med tørklæde
775904	392098	Aminah Sabrin
775905	43112	Hanna
775905	104051	Hrusz Krisztina
775905	118823	
775905	136401	Irén Szombathy
775905	153689	Margit (segment "Félkesztyü")
775905	212509	Éva
775905	407310	The squirrel
775906	185969	
775906	237468	
775907	13723	Founder, Bandaloop Cliff Danc
775908	382485	Herself - Host (2002)
775909	135766	Lowbelly/Farm Lady
775910	70649	
775910	164881	
775912	97233	Nicola Mertens
775912	122576	Helene (jung)
775912	166715	
775912	204415	Bibiana
775912	204416	Bibiane
775912	312884	
775912	325848	
775912	359689	Painter
775912	390703	Klara
775913	248401	
775913	325545	Marie Tramitz
775913	332832	Dr. Ilka Mannheimer
775913	341745	
775913	365600	Sabine
775913	365920	Sigi Blisko
775913	392669	Maia
775914	161277	Herself (mother)
775915	156758	Veronika Wichmann
775916	100906	Lady Bartender
775917	39456	Sonia
775917	191301	Homeless Mother
775918	165641	
775919	306591	Mieze, Küchen- u. Serviermädc
775920	325497	
775921	328987	
775922	106335	Nun
775922	233307	Rosemary Woods
775923	2709	Stacy
775923	21448	Policewoman
775923	63342	Jamilla
775923	84980	Holly
775923	94861	Omaha Karaoke Hostess
775923	95328	Tara
775923	118901	Fantasy Player
775923	124554	Delivery nurse
775923	228970	Herself
775923	232131	Herself
775923	288706	Herself (Various Characters)
775923	347909	Rita
775923	352979	Macy Gray
775923	384360	Nurse Grace Patterson (2000)
775923	404337	Various (2000-)
775925	37452	Teenager
775926	29905	Klassekammerat
775927	113498	Tribune Staffer
775927	406701	Tanya
775928	37156	Darlene Giordano
775928	66939	Amy, the Goth Girl
775928	105444	
775928	160306	Herself & Tracy Jones
775928	230320	Tracy Jones
775929	117118	Mother #1
775930	160874	Adrienne Madelon
775931	40520	Sabine
775931	99183	Elfriede
775931	100989	
775931	107950	Lilo
775931	275687	Marianne
775931	313642	Gertie Kahlmann
775931	325731	Regine homberg
775932	1805	Herself
775932	133010	
775932	240182	Herself
775933	378986	
775933	379001	Eliana
775933	380210	Lucía
775933	387916	
775933	396333	Ema Salinas de Garrido
775933	396941	Marieta
775933	396942	
775933	403782	Antonieta
775933	404707	Patricia
775933	408562	
775933	410316	Gaby
775934	270151	R2's Babe
775935	49472	The Saleswoman
775936	28234	Morana
775937	4489	Sujatha
775937	19459	Adela
775937	52597	
775937	199786	
775937	204273	Alli
775937	222011	
775937	281790	
775937	307792	Amiga 2 de Elena
775937	353187	
775938	82974	Anne
775939	93959	Connie Rudrüd, the Pork Produ
775939	109093	Jean Lundegaard
775939	120392	Mrs. Walker
775939	143742	Gloria Swanson
775939	257922	Mary
775939	362643	Marion
775940	370113	Mrs. Romanski
775941	230107	Alicia
775942	296234	Ellen
775943	377356	
775944	52582	
775944	125212	Petra
775944	127642	
775944	313667	
775944	345925	Theresa
775944	395001	
775945	8518	Principal Puppeteer (Agro, Yo
775945	116657	Ice Cream Girl
775945	139973	Pembrooke Arbaghast (puppetee
775945	235803	Charlotte
775946	41282	Office lady
775946	77580	
775946	389269	Dancer (segment "The Cowboy a
775947	66349	Keely Smith
775948	233964	Tiger Mascot
775949	245115	Woman
775950	317278	
775950	325383	
775951	244099	Magda - Kurczak
775951	369005	Lesiewska
775952	376675	Sundra
775953	235407	Herself
775954	71691	
775955	306312	Swedish Babe
775957	96445	Nina
775958	53323	Earth Girl
775958	67988	Herself
775958	108358	Jacquelyn
775958	117118	Kimberly Jones
775958	136511	Gypsy
775958	190184	Herself
775958	204947	Debbie
775958	211582	Herself
775958	236144	
775958	251477	Nurse Martha
775958	278498	Babysitter
775958	280152	Jessica Hanson
775958	305074	Violet
775958	330891	Gabby Castellani
775958	347909	Attorney General
775958	386509	Amanda McCafferty
775958	390484	Edda Pasetti
775958	395415	Claude Casey
775958	397812	Darby Gladstone
775958	401362	Monica
775958	401894	Carmen Ferrara
775958	412019	Breeny Kennedy (1999)
775959	121867	Heidi
775960	22732	Hooded Figure
775960	117468	Assistant to Don Elkins
775960	144538	Ruthie
775960	374281	Dead body
775961	98696	
775962	75484	
775963	154542	Herself
775963	156085	Herself
775963	204989	Julia
775963	349333	Herself
775963	387557	Herself - Host
775963	398838	Clara (1997)
775963	399621	Herself - Host
775963	401248	Clara Nadal
775963	403912	Herself - Host (1992)
775963	404887	Lucía
775963	405410	Herself - Host
775963	407329	Herself - Host (1994)
775963	407733	Herself - Hostess (1991)
775963	410241	Herself - Host
775964	273121	
775965	12087	
775966	166877	Priest's sister
775966	199003	Luisa
775966	383470	María del Pilar Santuario
775966	396902	Grecia Buenaventura de Lozada
775966	399521	Margarita Mogollón
775966	402462	
775966	408747	Carmen Teresa Cordero
775966	410387	Sara
775966	412133	Pura Avellaneda
775967	300484	
775968	275954	
775969	100341	
775970	68776	
775971	203344	Nurse 2
775972	8537	
775972	206995	
775972	277384	
775973	14669	Lola
775974	13194	Marcela
775974	29589	
775974	68553	
775974	74351	Paulina
775974	78256	
775974	121973	
775974	193344	Edecan
775974	226192	
775974	353240	Desire
775974	392960	Diosa
775974	397019	
775974	397598	
775974	401916	
775974	401918	
775974	403752	
775975	43237	Kelly
775975	391641	
775975	393798	Kika Hanaberg
775975	401258	Daniela
775975	404580	
775975	405342	
775976	61156	Acrobat
775977	42280	
775977	157079	Severina
775977	269569	Susana
775977	350776	Herself
775977	382461	
775977	391436	Various Roles
775977	391437	Various Roles/Antonieta/Felis
775977	391448	Various Roles
775977	398498	Rosa Maria
775977	400793	Various Roles
775977	402282	Various Roles
775978	154890	Marian
775979	388321	Becky Scott (2000-2003)
775980	137639	Frau Neuhaus
775982	2592	Herself
775982	2615	Herself
775982	2904	Herself - Best Supporting Act
775982	2909	Herself - Presenter: Best Sup
775982	3148	Kay
775982	13320	Grace
775982	18037	Elaine
775982	27115	Lorraine Gibbons
775982	36694	Mrs. Baskin
775982	72733	Dr. Liz Baylor
775982	73303	Party Guest
775982	90452	American girl in casino
775982	114392	Anne Napolitano
775982	118298	Woman in Taxi
775982	127351	Kathleen Carangi
775982	141416	Eve
775982	159200	Lael Rubin
775982	161212	Herself
775982	185053	Irene Madigan
775982	186618	Miss Cooper
775982	194765	Rebecca
775982	194876	Bella Kurnitz
775982	206447	Connie Russo
775982	206864	Jane Newhall
775982	214802	Jane Durwin
775982	217485	Sandy Steuben
775982	219118	Victoria 'Vic' Galetti
775982	235160	Florence
775982	240528	Wendy
775982	245135	Tina
775982	270622	Ad Men
775982	281910	Roseanna 'Rosa'
775982	292526	Sheila
775982	304644	Samantha
775982	311654	Boss
775982	342628	Cybelle
775982	359569	Policewoman in Central Park
775982	362493	Elizabeth Avila
775982	374659	Esther
775982	411091	Dolly
775983	142710	Nurse
775984	158393	Young Girl
775985	10433	
775985	15108	Couturière
775985	43629	Voisine
775985	51451	Madame Eaton #1
775985	68902	
775985	86911	Femme du spectateur
775985	261876	Touriste
775985	288316	Alida
775985	346701	
775985	385008	Madame Belzile
775985	386497	Marcelle Turcotte
775985	389304	
775986	307920	Receptionist
775986	319096	Office Receptionist
775987	166546	
775988	69781	
775988	145225	
775988	371675	
775989	227549	Girl on Bike
775990	273436	
775990	403487	Herself/Islands (1997)
775991	140271	
775992	12704	
775992	366509	U-27
775993	133684	
775994	231110	Woman in Bar
775995	218553	Bartender
775996	217466	Eva Braun
775996	283775	First Lady
775996	305548	
775996	306656	
775996	344053	
775996	374796	
775997	10095	
775997	71528	
775997	243021	l'aspirant Garcia
775998	107382	Anita Pérez
775999	510	
775999	511	Mai Minase
775999	512	Mai Minase
775999	513	Mai Minase
775999	514	Mai Minase
775999	515	Additional Voices
775999	516	
775999	517	
775999	9433	
775999	19768	Meril, Additional Voices
775999	20460	Hotel Receptionist
775999	54891	Tomoyo Daidouji
775999	70402	Ice
775999	72237	Cashier
775999	74313	
775999	84716	Naoki
775999	120683	Elsa Eliane
775999	122113	
775999	123054	Nitro
775999	138135	Kasumi Tani (English version)
775999	152909	Mayura
775999	164703	
775999	170832	Nami
775999	174325	Rebel Operator
775999	209785	Kizna Towryk
775999	283626	Fujiko Mine
775999	287404	Sun Li
775999	298985	Sun Shang Xiang
775999	298986	Sun Shang Xiang
775999	310150	Shizuka Namino, Young Tadashi
775999	313338	Sophia Esteed/Ameena Leffeld/
775999	316626	Sakura (English version)
775999	369335	Noa Izumi, Student, Computer 
775999	378718	Rokuta: Child
775999	379484	Aoi Sakuraba
775999	379485	Aoi Sakuraba
775999	380605	Narrator, Reporter, Funeral O
775999	381960	
775999	382767	Moe Kiseragi/Momei Three Sist
775999	384133	Chi/Black Chi (English Dub)
775999	385060	Additional Voices
775999	386345	Lopmon (2001-2002)/Zoe Orimot
775999	387049	Mitsuki Sanada
775999	389791	Kaoru Konoe (English dub)
775999	390730	Urumi Kanzaki, Female Sudent,
775999	391257	Weather Reporter, Cynthia, Re
775999	394016	Additional Voices
775999	394051	Additional Voices
775999	394427	Kiki Rosita
775999	395167	Tatiana Wisla, Alvis E. Hamil
775999	396440	Sera
775999	396484	Yuuka Misato, Miyuki Sakura, 
775999	396923	Miki Koishikawa, Woman Custom
775999	397187	Yuki Tsukimura
775999	400143	Safety, Mrs. Adachi
775999	400268	Koishi Herikawa
775999	402729	Nyamo
775999	402899	Ellie
775999	403959	Fujiko Mine
775999	403965	Tae/Tsubame
775999	404228	Hitomi Yuuki, Race Queen
775999	404572	Ayase Terada, Keika
775999	404576	Sayla/Koah
775999	406138	Mom Racer
775999	408893	Lina
775999	409831	Belvedere Coco, Additional Vo
775999	411289	Yurika Dojima
775999	411343	Gossiping Woman #2
775999	411563	Kotori Monô
776000	161267	Herself
776001	192662	
776002	53208	Fashion Editor
776003	213313	Dancer
776004	171076	Sales Girl
776004	346078	1st Chambermaid
776005	23929	Herself
776005	104769	Herself - United Kingdom Entr
776005	161986	ZeZe
776005	245950	Eunice
776005	279403	Eleni
776005	292779	Young Mother
776005	365560	Angela/Princess Roxanne
776005	386963	Dawn Daniel-Spears (2001-2002
776005	391216	Kitty Lascelles
776005	399931	Denise
776007	353464	
776008	299531	Sue Sue Robinson
776009	65184	Clarence's classmate
776010	308558	Running Little Girl
776011	36460	Sulpicia
776012	362856	Paolo's mother
776013	92072	(segment "Sarò tutta per te")
776013	109090	Immacolata, la moglie
776013	387071	Cesira
776014	89967	
776015	128055	
776016	89737	
776016	128055	
776016	278607	Woman
776016	317774	
776016	336299	Mrs. Marellis
776017	76384	Hooker #1
776018	10329	Jane
776018	17695	Alice Lawson
776018	17697	Alice Lawson
776018	138737	Olivia Dale
776018	194277	Nurse Blanche
776018	222612	Teenage Girl
776018	223996	Narrator (canadian version)
776018	253339	Salesgirl
776018	253360	
776018	273794	Sandy
776018	296756	Louise Garby
776018	316211	Mrs. Kessler
776018	380049	Sally, VFA
776018	403490	Olivia King Dale
776018	408294	Lilly
776019	293075	Press Reporter
776019	313961	Security Guard
776020	60157	
776021	56025	Giuditta Turina
776021	69942	
776022	67839	
776023	401970	Angela Poggi
776025	70845	
776025	247475	
776025	388647	Carmela
776025	393801	
776025	402704	Evelina
776025	403786	
776025	408709	Alicia
776025	410081	
776026	394	Mulligan's daughter
776026	1598	Phena
776026	13092	
776026	14955	Elena (segmant 'Amore romanti
776026	63775	
776026	86067	
776026	89667	
776026	94713	
776026	102391	Princess Deianira
776026	199048	Giulia
776026	211292	
776026	274902	Balkis, Queen of Sheba
776026	277809	
776026	310217	Gigliola
776026	351075	Gioia
776026	351515	Dejanira
776026	355708	Sandra
776027	193220	
776028	71447	La vicina di casa
776028	90741	
776029	108112	
776029	122725	Bobulina
776029	395840	
776029	410055	Herself
776029	412159	Host (1998-1999)
776030	80286	
776030	87622	
776030	148120	Laura Aparicio
776030	148128	Susana
776030	253292	
776030	309378	
776030	377161	
776030	379118	Cristina Álvarez Rivas de Riv
776030	379565	Pilar Alvarez
776030	383392	Cristina
776030	384870	
776030	387550	Grisel
776030	388647	Natalie
776030	393801	Juana Iris
776030	401698	Consuelo
776030	402704	Julia
776030	405398	María López
776030	410081	Victoria
776030	410327	Elena
776031	14450	
776031	111307	
776031	214662	Female Judge
776031	282126	
776031	296605	
776031	335742	
776031	373894	
776031	374502	
776032	197961	
776033	197961	
776034	202232	
776035	51430	
776036	240661	Tiya
776037	239515	Deirdre Drake (1932)
776038	363981	Daphne Von Trampe
776039	7249	
776040	355277	
776041	180673	Lenka
776043	120305	Lone
776043	124460	Stewardess
776044	381895	Herself - Host
776045	393616	
776046	23624	Chica puñales 2
776047	272602	Feed the Earth Girl
776048	33596	Housewife with broom
776049	6300	
776049	48390	Frau Wermann
776049	63225	Esther
776049	175283	
776049	259544	
776049	347831	Jungfrau von Orleans
776050	313788	Performer
776050	313792	Performer
776050	347644	Herself - Presenter for Alber
776050	361507	Clarissa
776050	391481	
776050	395454	Presenter
776051	125709	Helma
776052	3388	
776052	29009	
776052	68992	Jean Carlson
776052	136288	
776052	326335	
776052	340042	
776053	83506	
776054	380391	Marianne Randolph #5 (1972-19
776055	57778	Chona
776055	115820	Soltera Bus
776055	204822	
776055	233977	
776055	258133	Madre del Asesino
776055	263699	
776055	301181	Portera
776055	378109	
776056	325244	Girl on Pier
776057	334227	Julie Valente
776058	2351	Lorraine
776059	391869	Brodie Hanson (2000-2002, 200
776060	287489	Donna mercato
776061	14861	Lucia
776061	199065	
776062	214002	Mirella
776063	270855	Annamaria
776064	68436	
776065	64348	
776066	167041	Female Satan
776067	87814	La chanteuse mariage
776067	166156	Sous-Officier
776069	10144	Nymphe de la Seine
776070	96500	
776071	24286	Sylvie
776071	78431	L'infirmière
776071	268960	Lolli
776072	8186	Athena
776072	30933	Anna Darvulia
776072	31322	
776072	73429	
776072	77496	Professor Jocelyn Peabody
776072	87922	Mrs. Facinelli
776072	127183	Narrator
776072	127184	Narrator
776072	127185	Narrator
776072	129987	Athena
776072	141695	Narrator
776072	165031	Geologist
776072	192748	Italian Girlfriend
776072	194503	Additional Voices
776072	209286	Narrator
776072	209287	Narrator/Mission Briefing
776072	233614	Carpathia stewardess
776072	271244	Narrator
776072	274093	Female Voice 3
776072	274561	The Mom
776072	280475	Narrator
776072	312184	Narrator
776072	318643	Female Team Member
776072	368044	Maureen
776072	396057	Lynn Hegley
776074	32562	Party Girl
776074	292285	Girl in Boudoir
776075	2814	
776075	397192	
776076	383784	Vanessa Donati
776077	307883	
776078	282722	Page Scanlon
776078	395954	Gemma Curtiz
776079	24503	Dancer - Angela
776080	78318	Donna
776081	317309	Barney's Waitress
776082	275519	
776082	385824	Robin Jacobs (1986-1987, 1989
776082	385887	Dr. K. Gunson
776083	316329	Olive Stockton
776084	81470	Kostumier
776085	133491	Kelly
776086	313583	Fan at Hotel Arrival
776087	87986	Herself
776088	107621	Coffee Shop Girl
776089	3919	Store Patron
776090	283496	Bonnie
776091	388527	Host
776092	33581	
776093	293555	
776093	300969	Frau Hinterleitner
776093	325520	Gabriele Montag
776093	325665	
776093	365012	Gerda Jakobs
776093	403113	
776094	22019	
776094	22051	
776094	38464	
776094	163094	
776094	174106	
776094	177902	
776094	371895	
776094	375852	
776095	266984	Vis mand
776096	225031	Tía de Bárbara
776097	5048	Mary Malone
776097	7487	Lorna Ellingboe
776097	18739	Nancy Dekker
776097	28938	Passenger on train
776097	52358	Reno Barmaid
776097	55550	Carrie Pipperidge
776097	64072	Esmerelda
776097	69485	Barbara
776097	110324	Second Nurse
776097	154401	Studio Guide
776097	161961	Sarah
776097	372170	Mrs. Ann Elcott, Katie's Sist
776097	388144	Peggy (1953-1954)
776097	393453	
776097	393649	Regular
776098	125650	Vrouw van de diamanthandelaar
776099	394155	Mvr. Kalvelage
776099	394613	
776099	406557	
776099	409825	Ma-Boeten
776100	207157	Screaming Lady
776101	400780	Tuula, Simon avovaimo
776102	19096	La femme de chambre
776102	23759	
776102	58224	
776102	66075	
776102	68894	Nicole
776102	71974	
776102	121935	
776102	169367	Annette
776102	206506	Melle de Lamballe
776102	215853	
776102	218280	Lina d'Arribal
776102	219513	
776102	226478	
776102	262948	Mademoiselle Marie
776102	283047	Régine Rozès
776102	294740	
776102	336170	Netochka
776103	52731	
776104	226001	Zsuzsi
776105	32649	Martine
776105	90839	Josée
776105	104038	Esther
776105	114978	
776105	153318	Emma
776105	177149	
776105	196825	Uriël
776105	208282	Waarzegster Emma
776105	238476	Lida
776105	254988	
776105	287235	Van Binsberger
776105	314530	
776105	314862	Marian Winters
776105	354317	
776105	356101	wijkverpleegster
776105	404280	Heleen Bender
776105	406103	
776105	409825	
776106	15187	Girl in gumboat
776106	42225	Engel
776106	382752	Eva van Zuilen
776106	410441	Anna ten Hage
776106	410849	Bonnie
776107	401871	Lollipop singer
776108	204994	León's Mother
776109	214814	Wedding Party (Home Movie Wed
776110	367068	Background Singers
776111	88909	
776111	165162	
776111	282138	Luisa Hoffman
776111	328194	Amiga de Teresa
776112	8564	Única
776112	14570	Marga
776112	59811	Olga
776112	82587	
776112	184870	Huésped
776112	189301	Anita
776112	275067	
776112	306221	Eve
776113	42643	Herself
776114	274645	Amiga de Isabel
776115	29817	Sevillanas dancer
776116	235296	Asun
776117	12073	Catalina
776117	103532	
776118	256769	Mujer del inspector
776119	18282	Conductora TV
776119	103759	Voz de la radio
776119	380953	Herself/Hostess (2002)
776120	92345	
776120	199719	
776120	236022	
776121	24992	
776121	54869	Lola
776121	103772	
776121	280314	
776122	9681	
776122	12064	Eloísa
776122	12102	
776122	24992	
776122	54351	
776122	54869	Soleá
776122	60080	
776122	75374	
776122	75496	
776122	75497	
776122	89750	
776122	100402	
776122	103772	
776122	104168	
776122	133246	
776122	145147	
776122	158622	
776122	255885	
776122	280314	
776122	281613	
776122	281767	
776122	296495	
776122	351678	
776122	352019	
776123	354999	child
776124	252516	Madre
776125	166069	Peggy in 1958
776126	76116	
776126	195031	
776126	209297	
776126	222530	
776126	247472	
776126	276148	Marcela
776126	377173	
776126	402469	
776127	55768	
776128	13165	
776130	284521	
776131	317673	
776132	2476	Girl Eating Banana
776132	32585	University student
776132	158587	Cece
776133	9786	
776133	21596	Woman at the canteen
776133	106994	
776133	131057	
776133	192977	
776133	217309	
776133	248867	Maria
776133	272670	
776134	74868	Rosita, nina
776135	388053	
776136	67459	
776137	12064	
776139	193000	Extra
776140	123702	Khandi
776141	124510	Plañidera
776142	12059	
776142	14678	
776142	85964	
776142	233362	
776142	248036	
776142	260534	
776142	273946	
776142	275624	
776142	353615	
776142	357899	
776143	31085	Esposa Marcos
776144	23060	Governor's maid
776144	24622	
776144	61126	
776144	75444	
776144	101630	
776144	103671	Sylvia
776144	103729	
776144	124253	
776144	210179	
776144	218626	
776144	233569	
776144	234370	
776144	243613	Hermana Eugenia
776144	285384	
776144	287848	
776144	300638	
776144	353638	
776144	355544	
776145	145246	Vanessa
776146	213402	
776147	135132	
776148	94840	singer
776149	102441	Profesora 2
776149	253667	Chica 5ª coro
776150	193415	
776151	91402	Srta. Álvarez
776152	349456	
776153	235750	Esmeralda
776157	200095	Susu
776158	62422	Megan
776159	170478	
776160	307219	
776161	161785	Herself
776162	10248	
776163	94840	
776164	23044	Medusa
776164	51106	
776164	235309	
776165	15371	Anabel
776166	307199	
776167	349545	Old Daughter
776168	397604	Malona
776168	405415	Paty
776169	101866	
776170	108522	Landlord's Daughter
776171	36661	Gloria
776171	44912	
776171	378738	Canela
776171	381860	Gloria
776172	84218	
776173	990	Herself
776174	128930	
776174	205379	
776174	244248	
776174	383471	Agueda
776174	383518	
776174	383519	Maestra Suzana
776174	393363	Rosa
776174	402181	
776174	410303	
776175	222032	Isabel
776176	400342	Herself (Finalist #5)
776177	30418	
776177	402190	
776177	405281	
776178	62299	
776179	393478	Norma
776180	79112	
776181	379926	Herself (4th Place)
776182	52779	Viuda tren (Widow in train)
776183	1145	Composite Artist
776183	324551	Liquid Silver Dancer
776184	271855	Dancer
776185	91423	
776186	231588	
776187	4656	(segment "Noche terrible")
776187	70990	
776187	116596	Voz Madre Toledo
776187	318006	
776187	380146	Victoria 'Vicky' Alarcón
776187	380442	Nuria
776187	383770	Alicia Fuentes de Pizzamiglio
776187	387187	Stefanía
776187	389780	
776187	390614	
776187	392609	Lidia
776187	392847	Aurora
776187	396646	Betina's Mother
776187	398166	Isabel
776187	398470	Jenny
776187	401250	Bruna
776187	402158	
776187	403784	
776187	412120	Dora Visconti
776188	132675	
776188	222418	
776189	215688	Herself/Miss Venezuela (First
776189	385058	Alegría Mendez
776189	412137	Herself/Host
776190	108209	Artémise
776191	115000	Mujer reunión
776192	103603	
776193	57467	
776193	96313	
776193	398478	Victoria Robayo de Santos
776193	405324	Asunción
776193	405865	Ofelia
776193	406863	
776193	407347	Amelia
776194	339034	
776195	325172	La Chica
776196	295109	
776197	108994	
776198	88936	Tonya at seven years old
776198	146370	Herself
776199	40064	Hooker
776199	82702	Reena
776199	365169	Mr. Reindeer's Resident Valet
776199	366748	Michelle
776200	278830	T.V. Interviewer
776200	383897	Herself - Correspondent (1998
776200	394869	Correspondent (1992-1998)
776201	314106	Singer
776202	47080	Maria
776202	74748	
776202	197160	
776202	210171	Regina
776202	257900	Idalia
776202	375740	
776203	52840	Nikki Ruiz
776204	28387	
776204	156189	Natalie
776205	386284	Gina
776206	240049	Herself
776206	302802	Herself
776206	309322	La jeune fille
776206	313195	Singer
776206	406380	Herself (11° eliminated, 70 d
776207	75444	
776207	96351	
776208	197442	A Sorceress (ballet: El Amor 
776208	288950	Magnolia
776209	44318	Matron
776210	6640	
776210	21727	
776210	72379	
776210	74390	(segment "Aparição")
776210	89405	
776210	324176	
776210	327327	
776210	401095	Santa
776211	213703	
776212	153817	
776213	43129	
776214	99714	
776214	100405	Niña de la clase
776214	284337	Agustina
776214	333709	El Morito de Algeciras
776215	3418	Marta (child)
776216	371290	Hija Dolores
776217	111563	
776218	263620	Maria
776219	385392	
776219	399084	Margarita
776220	318265	Anita
776221	92618	Mexican Villager
776222	80956	
776223	233996	Marga
776223	307125	
776223	379004	Host (2004)
776223	386286	Hostess (2002)
776223	402709	Host (1997)
776223	412130	Hostess (2002-2003)
776224	52955	Abuela
776224	61212	
776224	276479	Coatlicue 2
776224	278949	Doña Gloria
776224	387552	
776225	360231	Stella
776226	38868	
776226	173636	
776226	276142	
776226	281418	
776226	387832	
776227	840	
776228	303860	Worker #1
776229	108522	Landlord
776230	42625	
776230	88797	
776231	86901	
776232	405846	Natalia Michelena
776233	52970	
776233	55768	
776233	148153	
776233	210752	
776233	369062	
776234	705	Mermaid
776234	205426	Flashback Friend #1
776235	106253	Mrs. Martinez
776235	106254	Mrs. Martinez
776235	106255	Mrs. Martinez
776235	106256	Mrs. Martinez
776235	106257	Mrs. Martinez
776235	106258	Mrs. Martinez
776235	106259	Mrs. Martinez
776235	106260	Mrs. Martinez
776235	106261	Mrs. Martinez
776235	106262	Mrs. Martinez
776235	106264	Mrs. Martinez
776235	106265	Mrs. Martinez
776235	228048	Rosa
776235	379458	
776235	412190	Balbina
776236	328712	
776237	393028	Felicita
776237	396214	Fefa Espósito
776238	24984	
776238	162712	
776239	92302	Mrs. Lopez
776239	353604	
776240	396942	
776240	401634	
776241	302184	
776242	167418	Ling
776243	218236	Sia Noi
776244	334028	
776245	410513	Natalie
776246	206928	Girl at Bar
776247	47474	Essie's Party Guest
776248	103565	
776249	21466	Nurse
776249	45435	Philly Barmaid
776249	297790	Psychologist
776250	42899	
776251	79428	Tory Douglas
776252	28305	
776252	131987	
776252	155574	
776252	160752	
776252	173723	Chidambaram Pillai's Wife
776252	295072	Karen
776252	326702	
776252	370202	Naina
776253	214724	Mohini
776254	119019	
776255	290225	
776256	311580	
776257	43385	
776257	93412	Ramona
776257	106808	Karin
776257	119264	Flora Krippendorf
776257	139709	Math Teacher
776257	142041	
776257	167127	Sabrina
776257	189816	Anna Schröder
776257	204481	Karin Lasek
776257	204757	Uschi
776257	211078	Dana Kosswitz
776257	216268	
776257	236819	Elisabeth Stein
776257	266643	Princess Elena
776257	279080	Leonora
776257	281740	Elaine
776257	285379	Vera
776257	325922	Ellen Baumann
776257	338441	
776257	341773	Tina
776257	352196	Marlene Renner
776257	352773	
776257	354066	Sarah
776257	369168	Anja Reimund
776257	374127	
776257	376569	Christine
776257	378947	Herself
776257	386976	Alexandra Schütte
776257	393255	Amanda
776257	399387	Jenny Schefer
776257	404451	Nicole Baumann
776258	80444	Frankston Hospital Receptioni
776258	137578	Claire
776258	311873	Girl 2
776258	391368	Miranda Kilsyth
776259	10155	
776259	38983	Becky Gulval
776259	119849	Extra
776259	124179	Orcas, warrior
776259	153458	Becky Gulval
776259	201687	Herself/Becky
776260	192282	Herself/Writer
776261	2163	Willie Hart
776261	12728	Liz Pickering
776261	13596	Sheila Sommers
776261	13941	Mrs. Sommers
776261	33412	Merle Kittridge
776261	59826	Emily Stewart
776261	84835	Sarah Turner
776261	89000	Amy Brennan
776261	118434	Young woman in crowd
776261	131774	Virginia Merrill
776261	135781	Mrs. Blankerscoon
776261	135803	Aud Niven
776261	147527	Susan Corvier
776261	161972	Ruth Adams
776261	176299	Janet Conforto
776261	182952	Elaine
776261	215731	Kate Newman
776261	280482	Jane Wensley
776261	296833	Capt. Everett
776261	313695	Nell Wayne
776261	317910	Roxanne
776261	321448	Shirley Abbott
776261	339410	Lucille Harkness
776261	361222	Molly Riordan
776261	367681	Stella Stevenson
776261	411400	Barbara Randall
776262	362597	DEA Secretary
776263	258893	Musician in Club
776264	208455	Ms. Sprinkler
776265	218398	Vera
776266	322908	Jola's Sister Magda
776266	406145	Leila
776267	215561	Christine
776268	80422	
776269	150758	Girl #1
776269	260119	Annie
776270	91793	Girlfriend at School
776271	342054	Herself
776272	13308	
776272	123061	
776273	682	Bathing Suit Woman
776273	57381	Aka
776274	263895	
776275	199683	Woman in Restaurant
776276	226186	
776277	5066	Monarch Cheerleader
776278	289931	
776279	365137	Sophie
776280	158109	Lady Friend
776282	141696	Temple
776283	47542	Mrs. Higgins
776283	248117	Aunt Billie
776284	399767	
776285	188683	
776287	352781	Zhenata na Boryo
776288	14416	
776288	21829	
776288	82975	Mari
776288	121932	Ryoko Yamada
776288	156225	Mami
776288	335268	Kaori
776289	265069	Model at studio
776290	43706	Loulette
776290	95423	Raymonde
776290	99362	
776290	107241	
776290	107506	Mme Soto
776290	107533	La marraine
776290	122417	Suzanne
776290	125463	Soeur Clotilde
776290	125465	La mère supérieure
776290	125468	Soeur Clotilde
776290	125469	La mère supérieure
776290	125471	Soeur Clotilde
776290	132884	La baronne
776290	153847	Madame Cain
776290	166131	Laurence, la fille du général
776290	217213	Babe
776290	218300	Juliette
776290	229039	Gisèle
776290	257886	Woman Selling Eyeglasses
776290	284961	Femme Illico
776290	318515	
776290	332220	Mme Piron
776290	339501	Miss Swinberry
776290	342611	
776290	351259	Danièle Beaurepaire (segment 
776290	389005	
776291	54165	Bastiana
776291	281628	Linda
776292	88027	Mitzi
776293	112214	
776294	30133	Lise
776294	144240	Susann
776294	253029	
776294	271687	Rosa
776294	347005	Gurina
776294	348962	
776294	377404	Esther
776294	401127	Byheksen
776295	115713	Jennifer
776296	302619	
776297	49026	Ciro's singer
776298	12780	
776298	188453	Topless Table Girl #1
776298	201940	Leslie
776299	5077	Pirate
776300	225289	
776301	172691	Reiseleiterin
776301	396624	Nicole Beck
776302	189233	Child at Party and School
776303	160506	Baby Crabtree
776303	190118	
776304	159131	Young Beth
776305	395987	Various Roles (episodes 1-3)
776306	354076	
776307	222349	
776308	995	Katerina Alexandrovna, Father
776308	60216	Cheburashka
776308	95745	Maus
776308	98585	
776308	174116	Malysh (Voice)
776308	175602	
776308	181117	Cheburashka
776308	197998	
776308	205596	
776308	231171	Romashka
776308	231172	Romashka
776308	231173	
776308	241936	
776308	303790	Gavrila Rtishchev's wife
776308	309102	
776308	349348	
776308	356592	Elli
776308	356921	Bogodukhovskaya
776308	356993	Vasilisa
776308	374765	
776308	398757	
776308	399792	Hare
776309	7270	
776309	63581	
776309	82495	
776309	89592	
776309	134227	
776309	174163	
776309	192625	
776309	223563	
776309	259805	
776309	267863	
776309	339337	Nina
776309	357461	
776309	370163	
776309	370166	
776309	371425	
776309	374990	
776310	222349	
776311	9752	Julia
776311	17839	
776311	30785	
776311	35873	
776311	43201	
776311	91199	
776311	130119	
776311	179666	Aurika, the Archivist's Daugh
776311	215150	
776311	224432	
776311	272522	
776311	349336	(segment "Berega")
776311	350975	
776311	356118	
776311	374843	
776311	411911	
776312	2362	Martyshka
776312	23853	Writer's Wife (segment "I pod
776312	26243	Martyshka
776312	63624	Masha
776312	84759	Tosya
776312	132036	
776312	180358	Lyudmila
776312	180852	Rayisa Oreshkina
776312	198082	
776312	210196	May
776312	229906	
776312	238107	
776312	251133	
776312	259841	
776312	265231	Emma Rickert
776312	314574	
776312	321870	
776312	339335	Suok
776312	340066	
776312	356570	Peppita Diabolo
776312	374751	Zaitseva
776312	374769	Raisa
776313	228808	Marusya Rodnykova
776314	352799	Nina
776315	93399	Mathias' Filmteam
776315	141143	Lt. Miriam
776316	333327	Dancer
776317	14603	Golfer's Family
776318	14603	Golfer's Family
776319	98654	
776320	11191	Pamela
776320	12621	Miss Slightly Misanthropic
776320	39629	Nemesis
776320	72911	Marguerite Hildern
776320	94808	Mme. de Lionne
776320	95823	1st girl
776320	113380	Miss Brunner
776320	131771	
776320	153187	Mary Tynan
776320	153246	Vere
776320	169142	The Gypsy
776320	169812	Queen Elizabeth I and Bod
776320	169820	Herself
776320	183834	Mrs. Todhunter
776320	199093	Gerda
776320	265368	Rachel Locke
776320	270326	Alison
776320	276386	Painter Lady
776320	296711	Shop assistant
776320	308350	Woman in Black
776320	310682	Sydna
776320	329417	Lany Hobhouse
776320	366768	Elsie
776321	330533	Esja
776322	294220	Sadie
776322	365255	Woman
776322	406286	Mrs. Lindsay
776323	20625	Extra
776324	206491	
776325	17348	Doctor
776325	134941	Maid
776325	216361	moster Ulla
776325	333068	Ellen
776326	175350	
776327	344534	Herself
776328	309280	Bartender
776328	328754	Izzy
776328	364818	Nurse
776328	384766	Sandra
776328	391666	Mrs. Follett
776328	399069	Chrissy
776329	105116	Woman #3
776329	194229	
776329	203549	
776329	214092	Shari
776329	299742	Girl at Door
776329	313189	Meg Davis
776329	351422	Flight Attendant
776329	397125	Chris
776330	16885	Old Lady
776330	69507	Mrs. Trotter
776330	91935	Martha Bradshaw
776330	356955	Woman
776331	111068	Snobby Socialist
776332	73434	Amber
776332	386923	Additional Voices (Blue Water
776333	30144	Journalist
776334	56747	Dixie
776335	108177	
776335	172198	Herself
776335	338687	Generaldirektørens sekretær
776336	176864	Nurse #11
776337	229748	Omazhenata razvedena
776337	273094	Saprugata (Segment 1 Razvodat
776337	350252	
776338	268928	
776339	83089	
776339	213437	Kitty
776340	5930	Sylvia
776340	25105	The English woman
776340	103223	La dame
776340	148677	
776340	285821	Comtesse
776340	300723	L'hôtesse polonaise
776341	104737	Finnish entry (7th place)
776341	104748	Finnish entry (6th place)
776341	104777	Finnish vote presenter
776341	147240	Finnish entry
776341	187560	Herself
776341	237234	Various
776341	353904	Herself
776342	79498	Herself
776342	212026	Herself/Performer/Presenter
776342	378862	Herself
776343	378862	Herself
776344	278798	Judy Lawson
776344	341020	Jenny
776344	366670	Kara Genero
776345	18166	Ulla
776345	341114	Plejer
776345	392322	
776345	399788	Dog (Danish version) (segment
776346	155479	Interviewerin
776347	389619	Local Edition (Bremen)
776348	394359	
776349	379805	Une enfant
776350	375687	
776351	130072	Maid
776352	138710	Koi
776353	150286	Rhino's Lady
776355	356094	
776356	62957	Kid in the Living Room
776357	7889	Girl in Car
776358	5601	Frau Siebkorn
776358	12847	
776358	70760	
776358	78239	
776358	86266	Fräulein Platzke
776358	98268	
776358	101648	
776358	119290	
776358	121039	
776358	125614	Irene Schorn
776358	126196	Susanne Riemenschmidt
776358	144349	Neulehrerin Marianne
776358	155954	
776358	156733	
776358	200841	
776358	218966	Hilde Buchholz
776358	218990	
776358	236820	
776358	266935	Frau Sagoreit
776358	288869	
776358	290200	Annegret
776358	308806	
776358	312686	Inge
776358	347814	Male
776358	348682	Irma Strube
776358	352367	
776358	377341	Susanna
776359	95601	Nemka
776360	110430	Bit Part
776361	270505	Ranch guest
776362	90932	Indian at the outdoor concert
776363	20372	Herself
776363	35770	Herself (Marlena)
776363	67829	Herself
776363	87980	Herself
776363	87987	Herself
776363	121594	Herself
776363	137665	Alexandra York
776363	177488	Marlena
776363	177489	Marlena
776363	177494	Herself
776363	191559	Herself
776363	234073	Herself
776363	282678	Marlena
776363	282681	Herself
776363	282682	Herself
776363	313738	Alexandra York
776363	318834	Marlena
776363	318837	Herself
776363	318839	Herself
776363	318840	Herself
776363	320138	Herself
776363	320139	Herself
776363	320140	Terri
776363	320141	Herself
776363	320142	Herself
776363	340399	Herself
776363	368816	Herself
776363	368829	Marlena
776363	368830	Marlena
776363	368834	Herself
776363	369201	Herself
776363	369203	Herself
776363	369207	Herself
776363	369208	Herself
776363	369230	Herself
776363	369233	Herself
776363	369237	Herself
776363	369247	Herself
776363	369250	Herself
776363	369267	Marlena
776363	369272	Herself
776363	369273	Herself
776363	369274	Herself
776363	369276	Herself
776363	369291	Terri
776363	369294	Herself
776363	369308	Herself
776363	369309	Terri
776363	402907	Herself (1998-2004); Marlena 
776363	406933	Herself (1998-2004)
776363	410689	Alexandra York (1991-1993)
776363	411534	Herself
776363	411538	Herself (2002)
776363	411539	Herself
776363	411542	Herself
776363	411543	Marlena (1996-1997)
776363	411545	Herself (1999-2002)
776363	411546	Marlena (1996)
776364	303678	Barnepiken, pasient
776365	169441	Mrs. Blackwing
776366	26329	Emil
776367	322038	
776368	164984	Dancer #5
776368	272661	Julie
776369	182576	Mattant
776370	190808	Dancer
776370	342307	Dancer
776371	158141	Temp secretary
776372	264075	Savannah Wingo (age 13)
776373	1225	Robin Morrison
776373	41765	J.C. Swift
776373	55474	Ann 'Thrush'
776373	93338	Angel Fisher
776373	107689	Carole
776373	127084	Female Student Jennifer
776373	145109	Amanda Merrick
776373	157575	Vicky
776373	176988	Sandra Ross
776373	195026	Terry
776373	201827	Herself
776373	202954	Fifi LaRue
776373	265915	Christy
776373	269036	Peggy Stratton
776373	322955	Rita Valentine
776373	333043	Judy Davis
776373	334085	Nancy
776373	348374	Heather Merriweather
776373	352700	Cindy Brady
776373	380391	Sally Spencer Frame Hobson Ew
776373	383923	Gwendolyn Pierce (1984-1985)
776373	406083	Marcia Grant
776374	203918	Arthur's Mother
776375	33167	
776375	79165	Secretary
776375	103276	Marga Wegener
776375	119434	
776375	121042	Stewardeß
776375	189190	
776375	308844	Kläre
776375	311234	Nachrichtenhelferin
776375	354367	Pressedame
776375	376327	
776376	68980	
776376	128061	
776376	196834	Madre di Alex
776376	326383	Adriana
776378	259835	Herself
776378	262708	Herself - the host
776379	178376	Statist
776380	319302	Mustasilmä-äiti
776381	237493	Annie
776382	268977	Marthe
776383	80389	Mary Jane Hatcher
776383	194564	Judalons Nurse
776383	233864	Missy
776383	265742	Olympic Doctor
776383	301769	Alma Koenig
776384	79563	Featured: Show Open
776385	104744	Finnish entry (12th place)
776386	153739	Huvilanaapuri
776386	265453	Huvila naapuri
776386	349136	Huvila naapuri
776386	355743	Annikki Svärje
776386	394206	
776387	76457	
776387	130158	Veeram's mother
776387	209843	
776387	262919	
776387	272167	
776387	276437	
776388	25980	
776388	373714	Child artist
776389	225985	
776390	407130	
776391	86769	Rajeshwari/Chutki
776391	177563	Munna (orphan girl)
776392	13318	
776393	23089	
776393	288141	
776394	362966	Cashier
776395	152217	Stefka
776396	169372	Imelda
776397	351910	
776398	88878	Woman in Bar
776399	245649	Pitjantjatjara Woman
776400	401103	
776401	409922	Bernardina Pérez (Brenda Lee)
776402	402192	
776402	412123	Ambar Barros
776403	19010	
776403	212736	Chakku Bai
776403	226525	Meera Nair
776403	229186	
776404	394648	KMEG News Anchor (2000- )
776405	57560	Pam
776406	166373	Frida
776407	115318	Julie
776408	352814	Milica
776409	36694	Miss Patterson
776409	65756	Barbara
776409	81052	Psychiatric patient
776409	124160	Mom Rat
776409	158313	Dorrie
776409	161721	
776409	164610	Nice Lady
776409	196890	Mrs. Baker
776409	199114	Alice
776409	199115	Alice
776409	220093	Lottie
776409	238230	Plaza Asst. Manager
776409	273569	Viv Rushton
776409	279887	R. Jane
776409	294236	Fertility Clinic Attendant
776409	296543	Mrs. Hall
776409	312192	Edith
776409	326411	Mrs. Mary Lou Moira Angela Da
776409	367606	Alice
776409	385797	Ms. Higgins
776409	389416	Marilyn See
776409	392542	Eileen
776409	393415	Gayle (1995-1996)
776409	400003	Beth Avery
776409	400603	
776409	407654	Mrs. Mary Lou Moira Angela Da
776409	407929	Kitty Forman
776410	168742	
776410	376349	
776411	125282	
776412	24059	Schwester Helene
776412	91131	Rosl
776412	98309	
776412	361094	Katharina Brandl
776413	290487	Serienstar
776413	383869	Presenter (1996-1997)
776413	411190	Host (1995-)
776414	142889	Amy
776415	81644	
776416	106205	Secretary who is Slapped
776417	146181	Olga
776418	103078	Ursula
776419	390730	Additional Voices
776420	109513	School Secretary
776420	358296	Gym instructor
776421	255009	Heni (Mission Girl)
776422	1420	Hilde Rust
776422	16220	Irma
776422	35173	Anna Mewis
776422	43124	
776422	67521	Valeria
776422	78221	Oma Küblböck
776422	84578	Franziska Busch
776422	100985	Eva
776422	110173	Claire
776422	114972	Magda Weberscheid
776422	144010	
776422	176561	Heinke
776422	245455	Anna
776422	292271	
776422	308805	Sonja
776422	314568	Leni
776422	347630	Sabine Kehlmann
776422	348057	Emily
776422	384319	Anezka Steenhouwerová
776422	398863	
776423	16099	Female Danish 2nd Executive
776423	137689	Secretary Dawn Thompson
776424	54913	Fighter
776425	25025	
776425	67212	
776425	71193	
776425	71281	
776425	138568	
776426	113771	Dancer
776427	42807	Club Patron
776427	203358	Wrestler
776427	308316	Mud Wrestler
776427	331427	Iraqi villager
776427	352730	Girl at Taco Stand
776427	390180	Lightning
776428	40933	Cindy
776428	56851	
776428	56852	Cindy
776428	85465	Marita Cendrawasih
776428	186960	
776428	201476	
776428	211542	
776428	253774	Wendy
776429	351965	Vera Protasova
776430	272384	Aktrisa v kuklen teatar
776431	86832	Nevena
776431	90733	Zhenata s deteto
776431	199266	Maykata na Emilia
776431	279031	Emiliya, maykata
776431	317293	Neshka
776431	349084	Angelina
776431	404810	
776432	130144	
776432	375183	
776433	129457	Herself - performer
776433	246142	
776434	334780	Toi's Aunt
776435	191979	
776436	148344	Henrietta Barnes
776436	364048	2nd Dyke
776437	69264	Hammond
776438	380911	Herself - 9th Place (2004)
776439	55265	Mary Walters
776440	1999	Mrs. Cummings
776440	35410	Jackie
776440	44511	Dr. Jane Gerstner
776440	49763	Frankie
776440	56435	Sandy
776440	65523	Cindy Mack
776440	67597	Fran
776440	81055	LouAnne Wilkens
776440	83952	Judge
776440	102247	Sarah Logan
776440	107917	Sarah Gallagher
776440	119882	Pat Kelsey
776440	129579	Jack's Mom
776440	141406	Waitress
776440	144689	Rita
776440	148245	
776440	167315	Margie
776440	186680	Kathy
776440	188615	Judith Sutton
776440	194025	Ann
776440	253010	Paula
776440	261290	Verna Heath
776440	348303	Lulu Delano
776440	354131	Suzanne (segment "Dirty Work"
776440	362716	Female Guest
776440	363492	Client
776440	379410	Elizabeth Verhagen
776441	244001	Herself
776441	294800	Herself
776442	261977	Clay's Girlfriend
776443	291603	
776444	147655	Bored Amazon Warrior/Door gun
776445	102432	Flaviana Barbati
776445	262701	Angela Mori
776446	301984	Danseuse 2
776447	83879	Abuela de Ana
776448	217493	Maykata na Ran
776449	90733	Lili
776450	248781	Ana
776451	60727	Ina
776451	88436	
776451	160594	Magda Kasabova
776451	184305	Dzhonda
776451	224448	
776451	258611	
776451	305478	
776451	411979	
776452	182069	
776453	289055	Bernadette
776454	2285	Herself - Presenter: Best Edi
776454	37555	Lou Avery
776454	39903	Meg Falworth
776454	45884	Margaret McFee
776454	53329	Norma White
776454	54541	Aga Doherty
776454	67800	Connie
776454	73136	Denise London
776454	75700	Linda
776454	81065	Rosemary
776454	106622	Katharine Winslow
776454	114157	Terry Gilmartin
776454	114917	Nora Logan
776454	114959	Eudora Weldon
776454	115535	Pamela Vincent
776454	130696	Debby
776454	139614	Christine Tanner
776454	148010	Audra Favor
776454	163207	Ellen Fields
776454	178104	Princess Lucia
776454	185188	Betty Spence
776454	200485	Joyce Phillips
776454	201767	Herself
776454	203781	Kay Eaton
776454	218710	Louise Rodanthe
776454	232246	Elaine Howard
776454	233562	Betty Kreitzer
776454	239043	Myra Hagerman
776454	251748	Mom
776454	261079	Mother
776454	264063	Countess Nita Orde
776454	269263	Madelon
776454	279721	Marian Stevens
776454	316325	Eve Coe
776454	316452	Karen Lownes
776454	318189	Evelyn Baxter
776454	318738	Jean Featherstone
776454	319544	Sue McCready
776454	326258	Oona
776454	330061	Actress in 'It Came From Oute
776454	347366	Leonora Edmond
776454	360616	Judith
776454	363238	Joyce Hendron
776454	364847	Edith Fitzpatrick
776454	368412	Dorothy Mallinson
776454	372618	Margaret Freemantle
776454	372705	Joan Dickinson
776454	379716	Nola Orsini (1992-1993)
776454	388865	Eudora Weldon (1981-82)
776454	391255	Caroline Thorpe
776454	401350	Marsha Russell (1968-1969)
776454	404130	Liz 'Lizzie' Hogan (1962-1963
776454	404747	Peggy Kent
776455	254283	October Petty Girl
776455	331180	Harem girl
776456	123054	
776457	161720	
776458	312265	Mary Pat's Friend
776459	137972	Neighborhood Kid
776460	198517	Woman 1
776461	2428	
776461	33945	
776461	75028	
776461	106521	
776461	128851	
776461	136240	
776461	150003	
776461	150031	Daniella
776461	228001	
776461	264739	
776461	305728	
776461	306916	
776461	306923	Herself
776461	321162	Daniella
776462	606	Dental assistant
776462	7196	Diner Hostess
776462	10683	
776462	14230	Mary Flaherty
776462	27196	Mrs. Patterson
776462	36871	Binky Shelton
776462	68825	Brenda Dunck
776462	96770	Heidi Anderson
776462	108261	Michele Dempsey, Adam's Lawye
776462	131447	Gwen Jackson
776462	141543	D.D.
776462	149107	Sister Magdalena
776462	157436	Ava Blazer
776462	178079	Bianca
776462	213320	Hermia
776462	223734	Linda
776462	231951	Patsy
776462	240032	1st Girl in Bar
776462	248890	Mrs. Zellner
776462	267568	Rita
776462	273783	Trish
776462	298127	'People' Reporter
776462	311514	Judith
776462	316327	Sara Blank
776462	331664	Lenore
776462	347453	
776462	372372	Veronica Grant
776462	374418	Lita Fox, One of Zelig's wive
776462	391262	Isabel Hazard
776462	406685	Sara Blank
776463	117369	Herself
776465	29140	Concha
776466	144538	Prudence
776467	120768	Aunt Birdie
776468	368942	Office Worker #3
776469	220574	Polo player
776470	61444	
776470	130957	Reporter
776471	111746	Trident Leader/Herself
776471	363011	Singer
776472	130829	
776472	176919	Virginia Colorado
776472	232250	Minsky's Girl
776472	316644	Policewoman
776472	318966	Mamie
776473	142417	Showgirl
776474	156095	Herself
776474	401065	
776475	118367	Right Redhead
776477	5460	Miss Mason, gang member
776477	44899	Girl
776477	52536	Dawson Townswoman
776477	56821	
776477	96829	Card Dealer
776477	299936	Chambermaid
776477	363741	
776478	69410	Val
776478	191298	Belinda
776478	242544	Veronica
776478	295611	Louise
776478	385658	Alice Davilow
776480	17967	Trish
776480	93974	Detective Atkins
776480	128089	Girl #42
776480	364376	Brenda
776480	384366	Lorraine Hawkins (1996-1997)
776480	396123	Lorraine Hawkins (1995)
776480	401930	Dr. Cassandra May (1998)
776482	22921	Herself
776483	158292	Herself/Defendant
776484	250450	Young Viv
776487	31315	Flight Cpl. Rigel
776487	56871	Secretary
776487	84198	Diane
776487	92613	Nurse
776487	108586	Lois Bostwick
776487	117083	Angela Tanner
776487	169016	
776487	208390	Ms. Lane
776487	236328	Pam Krovney
776487	265266	Laura
776487	282398	Carol
776487	324015	Potter
776487	370898	Cindy
776487	381421	Flight Cpl. Rigel
776487	404747	Amanda Kent
776488	5286	
776488	13870	
776488	70785	
776488	274066	
776488	316401	
776488	316402	
776488	361877	
776489	68681	Film heroine
776489	160832	Extra
776490	59123	
776490	73615	
776490	88912	Grace
776490	258305	Lady Estelle
776490	292779	Roxanne Purley
776490	299040	Ruth
776490	299490	Terri
776490	310992	Deborah
776490	316863	Elaine Massey Simmons
776490	346156	Rose Kelly
776490	383509	Carrie
776490	388327	Rachel Brooker
776490	395663	Michelle Fenton
776490	405461	Faith Blackwell, née Green
776490	408638	Julie Carney
776491	172079	
776492	409194	Judy (1999-)
776493	140912	Station Nurse
776493	189409	
776493	215453	Cecelia
776494	218537	Herself (hostess)
776495	228845	
776496	53278	Georgina, known as 'George'
776497	20373	Kidnap Victim
776497	272922	
776498	316615	Additional Voices
776498	389869	Camera Crew/Crowd/Dream Crowd
776498	396548	Villager (eps5-6)
776499	45609	Nicole
776499	138494	1st Debutante
776499	245995	Sandra Parker
776499	254356	Antonia Haberkorn
776499	281660	Jennifer Wagner
776499	338397	Diana
776499	363415	Co-Ed
776499	379122	Patricia
776499	381694	
776500	314984	Hell Victim
776501	128154	Kinky Lady
776502	33742	Arabian Nights Dancer
776503	66322	Callahan's Wife
776503	115689	
776503	116209	Kathy
776503	335710	Nadine
776503	378729	Camille
776504	344187	Simon's victim
776505	405209	Dr. Gwendoline Ryder (1999)
776506	343583	Mysterious neighbour
776507	81196	Band in bar
776507	139092	
776508	60552	
776508	135892	
776508	164799	Maharani
776508	202478	Nagamma
776508	208576	Subhadra
776508	208577	Subhadra
776508	215705	Gopalam's wife
776508	228755	
776508	247508	Laxmi
776508	250684	Kannagi
776508	293284	
776508	312480	Wife of Gaya
776508	312489	
776508	312495	Dhaaranidevi
776508	312498	
776508	354966	
776508	387533	Donna Windsor (II) (1998-)
776510	43359	Chloe
776510	47985	Eleanor
776510	55588	Mrs. Daniel Miller
776510	70863	Violin Muse
776510	118970	Cynthia Anhault
776510	135178	Maggie
776510	140731	
776510	161987	Liza Harris
776510	191677	Dominatrix cashier
776510	218106	Trudy Anne Monk
776510	222650	Marlena Wells
776510	231504	Inspector Gail Runciter
776510	303228	Woman Caller (radio voice)
776510	320313	Medical Examiner
776510	346933	Mary Krane
776510	357065	Maureen
776511	267863	
776511	295067	
776512	309706	Toni
776513	95073	Mother
776513	180367	
776513	225999	
776513	297135	
776513	370939	Melanya
776514	212509	
776515	100261	Herself
776516	383037	Anchor
776517	358730	Woman Behind Wall
776518	184945	
776519	248480	Girl in Bar #3
776520	225243	
776521	129008	
776522	102104	
776522	264037	Tour Guide
776523	86929	Annie/Grace/Peggy/Nancy/Sarah
776523	275784	Margaret
776523	387309	Laurie Ann Karr Lamont Dallas
776523	410977	Lois Snowden (1970-1972)
776524	175177	S.S. Commando
776525	29961	
776525	71424	Bound Cowgirl
776525	89891	
776525	116360	
776525	141589	Bound Girl on Bed
776525	247926	
776525	289155	
776525	335930	
776526	5885	Candida Sutherland
776526	44441	Joanne Grace
776526	55046	Evelyn Hillingdon
776526	56923	Caroline Ellison
776526	77200	Stella Abbis
776526	89314	Dinner Party Guest
776526	133780	Bank Girl
776526	159537	Party guest
776526	201621	Herself
776526	243064	Alta One
776526	272530	Princess Marisa
776526	297079	Denise Fortune
776526	298056	Jackie
776526	316303	Sheila Knight/Eliot
776526	321604	Corinne
776526	340960	Judge
776526	364190	Actress
776526	365706	Queen Elisabeth
776526	380610	Older Lady Sarah
776526	382169	Harriet
776526	386481	Caroline
776526	390084	
776526	392171	Blodwen Evans
776526	392483	Vipsania
776526	392954	Jane Ellison
776526	395830	Sandra
776526	396005	Lady Cynthia Asquith
776526	396341	Diana Crawley
776526	400395	Lorna
776526	400709	Emily Wharton
776526	400891	Anna Steele
776526	406083	Lt. Constance Hall-Tipping
776526	409836	Michelle Peters
776527	48667	
776528	146777	Chorbadzhiykata Yordana7
776530	187372	
776531	357664	
776532	177776	
776532	180121	
776532	219689	Herself
776533	7388	
776533	7564	
776533	7610	
776533	25294	
776533	32504	
776533	34231	
776533	34609	
776533	43213	
776533	48765	
776533	49148	
776533	60414	
776533	86611	
776533	88736	
776533	95630	
776533	95645	
776533	104422	
776533	119784	Ania's mother
776533	123362	
776533	132145	Glafira Kirovna
776533	134188	
776533	171742	
776533	173576	
776533	174987	
776533	176145	Wife
776533	180103	
776533	180381	Nadya
776533	181510	
776533	189427	
776533	202669	Mother-in-law
776533	217275	Natasha Adasova
776533	225858	
776533	226847	
776533	227993	
776533	229023	
776533	229067	
776533	229175	
776533	238104	
776533	241003	
776533	244092	
776533	258430	
776533	258999	
776533	262209	Liuba
776533	263420	
776533	280396	
776533	282824	
776533	283835	
776533	305294	Dina
776533	305613	
776533	306647	Darya Petrovna
776533	312436	
776533	314574	
776533	336133	
776533	341237	Nikolai's First Wife
776533	344096	
776533	349840	
776533	356941	
776533	357444	
776533	370173	
776533	373514	
776533	373545	
776533	374174	
776533	375176	
776533	375177	
776533	375473	
776533	376015	
776533	394372	
776533	397392	
776533	409010	Keterina
776533	409314	Chemistry teacher Lipkina
776533	410424	Katerina aka Kat'ka Aeroport
776533	411996	
776534	61673	Minako
776535	108883	Roman Doll
776536	386030	Zinaida
776537	267088	Annie
776538	363509	Andrea
776539	328272	NYC Cool Girl
776540	334028	
776541	49828	Rat Woman
776542	266307	
776543	54784	Princess Nydia of Koriman
776543	94715	
776543	112775	
776544	13087	Attorney's wife
776544	19521	
776544	25315	Patrizia
776544	89907	Mary of Scotland
776544	111365	
776544	115339	Livia
776544	118069	
776544	180951	Mrs. Gold
776544	193044	Teacher
776544	229997	Amelia
776544	238010	
776544	270820	Laura, madre di Jules
776544	281172	Lady Montague
776544	287599	Madame Forest
776544	338727	Edda (segment "Gli amanti cel
776544	352231	Bianca Cappello
776544	397387	
776545	152378	
776546	32881	Janie Holtz
776546	106254	Sally
776546	136128	Devout Follower
776546	158471	
776546	370648	Assistant D.A.
776546	380391	Pam (1995)
776547	223740	Cheerleader #1
776548	116256	Lady Eleanor
776548	129790	Tiger
776548	391402	Tiger
776549	206840	Shopgirl
776549	326447	Voice over
776550	125184	Lydia
776551	314551	Elinor
776552	65681	
776552	395407	Various Characters
776553	20625	Extra
776554	254670	Milkshake Girl
776556	281913	Sherri
776557	13457	
776557	319729	
776558	424	
776558	10425	Bertha von Suttner
776558	18350	Resa Miller
776558	24322	Ka
776558	24393	Katarina Arndt
776558	35034	Alexandra von Böhme
776558	49301	
776558	66086	Dorothee Drees
776558	94309	Frau Hoellerich
776558	96124	
776558	99498	
776558	119118	
776558	141754	
776558	144162	Hanna
776558	156687	Simone
776558	157498	Kommissarin Anna Springer
776558	157618	Christine Legler
776558	166438	
776558	182888	Annas Mutter
776558	223478	Inge Wallmann
776558	229391	Hundezuechterin
776558	262256	Anja Kogel
776558	281718	Liz
776558	289946	Annemarie
776558	290812	Liv
776558	301138	Vera
776558	307651	
776558	314898	Katrin Krüger
776558	325424	Hannelore
776558	325425	Hannelore Schmiedinger
776558	325426	Hannelore Schmiedinger
776558	325427	Hannelore Schmiedinger
776558	325428	Hannelore
776558	325429	Hannelore Schmiedinger
776558	325430	Hannelore
776558	325431	Hannelore
776558	325432	Hannelore Schmiedinger
776558	325433	Hannelore Schmiedinger
776558	325434	Hannelore Schmiedinger
776558	325435	Hannelore
776558	325436	Hannelore Schmiedinger
776558	325437	Hannelore
776558	325438	Hannelore Schmiedinger
776558	325439	Hannelore Schmiedinger
776558	325440	Hannelore Schmiedinger
776558	325441	Hannelore Schmiedinger
776558	325442	Hannelore
776558	325443	Hannelore Schmiedinger
776558	325444	Hannelore Schmiedinger
776558	325452	Grete Steinbeiss
776558	338598	
776558	343673	Helga Spatzek
776558	347586	Agathe
776558	350874	Claudia Brosche
776558	365916	Anna Springer
776558	365917	Kommissarin Springer
776558	365918	Kommissarin Anna Springer
776558	365919	Kommissarin Springer
776558	365920	Kommissarin Springer
776558	365921	Kommissarin Springer
776558	365922	Kommissarin Springer
776558	365923	Kommissarin Springer
776558	365924	Kommissarin Springer
776558	377346	Frau Kammerlander
776558	387445	Marianne
776558	388203	Elli (1993-)
776558	388468	
776558	389840	Lisa
776558	403113	Lore
776558	410553	
776558	411526	Frau Hoffmann
776559	123071	Dancer
776559	303666	Creol Woman in Buenos Aires
776559	357800	Model
776560	231081	Penny Sorom
776561	187190	50s Mother
776562	5213	Prostitute
776563	80850	
776564	97017	Delores Westerby
776565	295659	
776566	42139	Female Student #2
776568	270875	
776569	195354	
776570	66219	Janet
776573	35148	Aunt Mary
776573	47590	
776573	96980	
776573	130056	Mrs. Saunders
776573	222638	Mrs. Vance
776573	358154	
776574	69821	Miss Lorimer
776574	362648	
776575	135968	Guzman's Wife
776575	143389	Beatriz
776575	150293	Carmelina
776575	158462	Dinorah
776575	214999	Peasant Woman
776575	227683	
776575	243021	
776575	252764	Juana
776575	267455	Reception Manager
776575	268199	The Lady in the Mine
776575	279585	
776575	345998	Young Journalist
776575	349461	
776575	386077	Lolita
776576	216803	Showgirl #1
776576	260950	Zoli Model
776577	157284	Herself
776578	138558	The Witch
776578	176739	Mrs. Margaret Clifford
776578	389897	Lady Katisha
776579	232282	Dancer
776580	157436	Aunt Marge
776581	116698	Young May
776582	201605	Herself
776583	367023	Student
776584	18617	Party Girl
776584	289589	
776584	310455	Slave girl
776584	321310	Linda James
776584	337058	Harriet
776584	375717	Jan Peters
776585	63004	Edna Mae
776585	79841	Featured Zombie (whom kills M
776585	175575	Woman I
776585	186846	Izuzu Mother
776585	217954	Female Traveler
776585	227797	Nicholas' Mother
776585	241799	Christmas choir member
776585	301769	Customer #1
776585	329503	Eve
776585	397936	Mrs. Russellite (1968)/Barbar
776586	363560	Birthday Party Mom
776587	125342	Chapman's mother
776587	163258	Matron
776587	287307	Mrs. Dearlove
776588	12994	Amanda
776588	14914	Cheryl Schwartz
776588	24957	Molly "Angel" Stewart
776588	46292	Candy
776588	53046	Jamie
776588	60316	Alison Wentworth
776588	60317	Alison Wentworth
776588	82533	Vicky Forbes
776588	116040	
776588	188334	Kittie
776588	245046	Chrissie Baret
776588	264825	Jordan Leigh-Jenson
776588	282563	Liza Pulitzer
776588	335230	Tomboy
776588	338313	Lacey Luddigger
776589	176321	Susie Sullivan
776589	371887	Vocal Effects: Will You Marry
776590	1805	Herself - Presenter
776590	13990	Delights
776590	166039	Herself
776590	189325	Singer
776590	356350	Herself - Lead vocal
776591	318350	Meg
776592	133475	Mamie Lewis
776593	69428	Slave Girl
776593	126044	Bit
776594	10899	Center Stage Dancer #4
776595	30678	Hotel Tenants
776595	46878	
776595	65763	Polly
776595	211843	Clare Fenton
776595	231776	Singer
776595	245513	Greta Huxley
776595	299715	Crematorium Cleaning Lady
776595	307019	
776595	307566	Julie Parris
776595	355349	Maddy Fisher
776595	365616	Deborah
776595	379872	Issy, Robert Kingsford's girl
776595	383683	Rachel Cazalet
776595	383883	Elly Chandler
776595	384008	Patricia Anstey
776595	391769	Bridget
776595	405442	Veronica
776595	406111	Julie
776596	176358	1934 Goldwyn Girl
776596	316946	Goldwyn Girl
776597	26666	Biker Bride
776597	192403	Illuminati Girl
776597	220170	Jody
776598	158141	Traveler
776599	320266	Loretta
776600	86218	Young Mother
776601	232318	3rd WAAF
776602	69421	Baby Doll
776602	188350	Marti
776602	245687	Carole
776602	276386	Sick Girl
776602	282630	Second Girl
776602	313566	
776603	74074	Melissa Curry
776603	168285	Jane Babcock
776603	183581	Singer in 'Fascinating Rhythm
776603	210389	
776603	232409	Gina, Stan's Girl
776603	299163	Chorus Girl
776603	330775	Herself
776603	347061	Singer
776603	389764	Regular (1949-1951) (singer)
776604	5192	Dancer
776604	65532	Charlie
776604	139679	Suzi Lake
776604	145044	Candy
776604	353728	Hill's Angel/Various characte
776604	381661	Hill's Angel (1983)
776605	347236	
776606	183670	
776607	47311	
776607	153617	Bridesmaid
776608	31691	Surfer
776608	56810	Blonde
776608	117281	College Girl
776608	319904	
776609	274525	Witness
776610	201604	Herself
776610	365740	Scrubwoman
776611	247435	Hartley Coleridge (2 Months)
776612	350637	Herself
776613	186936	Frau Wagner
776614	175832	Neighbor
776615	6791	Dame #1
776615	32496	Mistress Sims
776615	56749	The Cat Woman
776615	70967	Countess Lorenz
776615	75533	Barbara Farren
776615	79293	Girl On Plane
776615	111732	Ma Smith
776615	117754	Girl
776615	120639	Frolick's Woman
776615	128386	Gail Rogers
776615	144675	Cellette
776615	146859	Maria Bartonek, Anton's Wife
776615	175175	WAC sergeant
776615	183579	Bit Role
776615	209652	Zelda Lafontaine
776615	215637	Bit Role
776615	220779	Attractive woman at nightclub
776615	223654	Bit Role
776615	291239	Muriel Kemp Norton, alias Mur
776615	295470	Mimi
776615	297936	Chorus Girl
776615	306396	Lady
776615	313058	Expectant Mother
776615	318793	Dinner Guest
776615	347109	Mary Meredith (painting model
776615	361070	Evelyn Sawtelle
776615	372931	Mrs. Mabel Taylor
776616	79064	Dr. Valerie Bright
776617	41809	Extra
776618	150885	Emily
776619	47613	
776619	150978	Alice Raby
776619	285039	Grace Van Tuyl
776619	337612	Hortense Ames
776619	339874	Jane Thompson
776620	37317	Ruth Gordon
776620	115715	Ruth Trask
776620	140506	Indian Maiden
776620	140507	Indian Maiden
776620	162949	
776620	194830	Blanche Maberly
776620	206459	Kate Pinto
776620	274202	Starlight
776621	33617	Geralding Heatherly/Beatrice 
776622	3242	Mrs. Rudleigh
776622	45050	Wife (in trailer automobile)
776622	192426	Mother
776622	298266	Miss Burke
776623	307646	Housewife
776624	42278	Marilyn
776624	151641	Pam
776624	331550	Stephanie Barrington
776625	31491	Gail
776626	9009	Janet Page
776626	16640	Penelope Worth
776626	26652	Eileen
776626	52163	Virginia Moore
776626	54461	Kim Mitchell
776626	94881	Herself
776626	98690	Susan Jeffers
776626	133536	Cissy Lathrop
776626	142873	Virginia Lowry
776626	183706	Barbara (at 17)
776626	186420	Sunny Garcia
776626	218811	Gilly Johnson
776626	231925	Jean Courtland
776626	233879	Lynn Dillon
776626	244841	Cornelia Otis Skinner
776626	244842	Cornelia Otis Skinner
776626	252823	Penelope Worth
776626	286304	Barbara Brooks
776626	295346	Annie Greer
776626	301607	Flore Brancato
776626	308586	Princess Tara
776626	325970	Carol Morrow
776626	347109	Stella Meredith
776626	347609	Elizabeth Howard
776626	350645	Herself
776626	358445	Angelique Desaix
776627	399298	Herself - Top 24 Finalist (20
776628	57722	Woman in shop
776628	78869	Hotel Proprietress
776628	91585	Nosey Woman
776628	125077	Mrs. Rider
776628	133590	Mrs. Wopsle
776628	161414	Mrs. Lynton
776628	194690	
776628	222588	Cynthia Quelch
776628	305410	
776628	323446	Orchestra Leader
776628	330420	Miss Hancock
776629	73202	Estelle Gorham Ross
776630	246601	Mrs. Harrie
776631	75084	Herself
776631	230820	Model
776631	296995	
776631	306910	
776631	346271	Unconscious Girl
776632	361600	
776633	242750	Greengrocer
776634	291805	Chaperone
776635	194369	Myra
776636	159542	
776637	382704	Hayley Donnelly (1998)
776638	130869	Helen Hardacre
776638	138771	Wife
776638	222343	Louise Symonds
776639	20406	Jane
776639	92276	Mrs. Webster
776639	163503	Nellie
776639	218809	Judith Strangeways
776639	252983	Old Henrietta
776639	279347	Pamela Tarling
776639	310829	Mrs. Roberts
776639	315072	Mrs. Head
776639	371069	
776639	382213	Lady Honoria Dedlock
776639	387518	Nurse/Sister/Matron Mary Stev
776639	388396	Mrs. Somerford
776639	391584	Aunt Evelyn
776639	408288	Jean Skinner
776640	11522	Thelma
776640	28462	Kitty
776640	60950	Carrie Virginia
776640	84833	Carnival Kid's Mom
776640	135513	Miss Harris, Manning's Secret
776640	176516	Bert's Mom
776640	184046	Snakewoman
776640	230304	Sexy woman
776640	244407	Woman at Bar
776640	291291	Helen Nesbitt
776640	327790	
776640	332440	Gloria
776640	363298	
776640	392177	Britten's woman
776641	46794	Circus Performer
776642	170852	Itty Bitty Titty Committee
776643	687	Herself
776643	723	Herself
776643	3906	Herself
776643	42337	Herself
776643	44444	Mrs. Shorn
776643	56579	
776643	79018	Alabama Tigress
776643	91701	Mildred 'Mibs' Goodhue
776643	109768	Herself (USO performer in fla
776643	118546	Amanda Lawrence
776643	119803	Mary 'Mame' Carson
776643	122248	Laurel Stevens
776643	123405	Herself (Actress/Wife of Bob 
776643	125900	Bonnie Jones/Mimi Jones
776643	125909	Dorothy Shaw
776643	146011	Lenore Brent/Liz Brady
776643	147703	Herself
776643	147714	Herself
776643	147768	Herself
776643	147811	Herself
776643	147876	Herself
776643	147884	Herself
776643	150008	Annie Caldash
776643	151751	Herself
776643	168730	Nona Williams
776643	182955	Herself
776643	184955	Linda Rollins
776643	198844	Julie Benson
776643	205845	Herself
776643	218476	Belle Starr
776643	232017	Herself
776643	245403	Rio
776643	247045	Calamity Jane
776643	277222	Mamie Stover
776643	279376	Cameo appearance
776643	291350	Herself
776643	291365	Herself
776643	291395	Herself
776643	291417	Herself - Interviewee
776643	308373	Mike 'The Torch' Delroy
776643	324035	Nella Turner
776643	346355	Theresa Gray
776643	358078	Jill Stone
776643	372777	Joan Kenwood
776644	242713	Girl in Bed
776645	305571	Young American Miss
776646	33937	Girl 1
776646	39411	
776646	135557	Tina
776646	218748	Rose
776646	364869	Bridgie
776646	399567	Patricia
776647	61615	Herself
776647	386053	Margaret Wade
776648	210835	Lyn
776648	215789	Jan
776648	382531	Deborah Gilder
776648	400197	Maggie
776648	401415	Bernadette Wallace
776649	385299	Melanie Straker
776650	7979	Vanessa
776650	14091	Waitress
776650	59350	Shirley
776650	201605	Herself
776651	253458	Women's Team Member
776651	305398	June Brannan
776652	241799	Christmas choir member
776653	274427	Wanda
776653	281454	Josephine
776653	360149	Vampire Girl #2
776654	188490	Jill Weatherby
776654	191625	Night Nurse #2
776654	278247	Janet Lee Enders
776654	342464	Rose Donahue
776655	42700	Martha Jane, Her Mother
776657	29340	Fran
776657	35193	Showgirl
776657	41231	Mona
776657	92400	Coed #2
776657	96994	Candy
776657	128255	Lisa
776657	140315	Dancer #2
776657	142372	Teen Girl
776657	216707	Mary
776657	216737	Showgirl
776657	216905	Music Video Dancer
776657	222599	Isabella
776657	222762	Amy
776657	232181	
776657	299451	Michelle
776657	353294	Shawnee
776657	365657	Cathy
776657	366070	Dancer
776658	389715	Herself - Co-host
776659	18299	Lady Stanley
776661	31738	Annie Bean
776662	2761	Herself
776662	3165	Herself (presenter)
776662	26525	Michelle Winston
776662	64107	Princess
776662	65579	Sandra
776662	80513	Emma
776662	98149	Erica
776662	148901	Mandy Park
776662	195082	Felice Dunbar
776662	199133	Lucy McLoughlin
776662	200243	Lily
776662	216602	Herself
776662	348527	Emily Wolfmeyer
776662	360480	Barbara Geoghegan
776662	360481	Herself/Barbara Geoghegan
776662	362860	Erica French
776662	385542	Phoebe
776662	387509	Andrea McKinsey (1993)
776662	388566	Felicity Porter
776662	392948	Naomi
776662	396614	Chloe Walker (1996)
776662	397991	Herself (Seasons 4-6)
776663	92260	Dead Person
776664	77793	Shelley
776664	113397	Carole
776664	123435	Cynthia, CRS Receptionist
776664	127094	Diane Hopper
776664	138348	Vanessa
776664	161367	Herself
776664	167659	Rose
776664	237604	Marguerite
776664	264427	Frannie
776664	318361	Chantal
776665	213955	Joyce
776665	243943	Mercedes
776665	355009	Ruby
776666	59880	Kyra
776666	120412	Dr. Barbara Michaels
776666	212620	Salesgirl
776666	319929	Kimmi
776666	363034	Valarie Haight
776668	80792	Kristen
776669	274092	Miner
776670	30359	Distressed Subject
776671	167312	Girl
776672	112250	Herself
776672	151612	
776672	365639	Henrietta Barrington
776673	161216	Herself
776674	80724	Federal agent
776674	86558	Mother
776674	185475	Figgis Twin #2
776675	3982	Natasha Sinclair
776675	180554	Lisa
776675	302458	Princess Shalazar
776675	342653	Girl #1
776676	37650	Young Woman
776676	55252	Servant Girl
776676	67569	Judy
776676	77793	Mel's Writer Three
776676	102575	
776676	298007	Marcia Davis
776676	340949	Saleswoman
776676	343387	Yvonne
776677	78976	Carol O'Brien
776678	65424	Mary
776678	193765	Mrs. Eddy
776679	83930	Mrs. Pettingill (female passe
776680	340647	
776681	83277	Suzanne
776681	96172	Isabelle Anziani
776682	215813	Townsperson
776683	16980	Grace Elliott
776683	17150	
776683	30959	Susan
776683	108938	Janice
776683	116556	The Blonde
776683	154017	American Woman
776683	187086	Julie
776683	222879	Jenny Collins
776683	236361	Cora
776683	261782	Eve, l'avocate
776683	274289	Jean Armour
776683	339966	Edyth
776684	407587	Liza
776685	355028	The Academy's Blessed 'Virgin
776686	224091	Model 3
776688	391219	Anchor (1983-2001)
776689	333096	Mrs. Welwyn
776690	360708	
776691	220090	Undetermined Role
776692	66219	
776693	299719	
776694	26507	Carmen
776694	185778	Celeste Carbajal
776695	385323	
776696	41890	Marjorie
776696	58658	Hostess
776696	155698	Naafi girl
776696	163503	Pale Girl
776696	171211	Nurse
776696	176316	Third customer
776696	176815	Salesgirl
776696	196491	Rosemary Love
776696	242712	
776696	316200	Gretchen Harding
776697	80762	Hotel Maid
776697	322754	Rodessa
776698	358839	Rose Fish
776698	358862	Rose Weeps
776699	186450	
776700	6207	
776700	37962	
776700	100832	Rose Simpson
776700	143199	Mrs. Frederick Barton
776700	229936	Undine
776700	276829	Mrs. William Marr
776700	301287	Mrs. Jim Drake
776700	342476	Mrs. Silas Grant
776700	346320	Pauline Raymond
776700	356263	Sweetheart
776701	8629	Elsie Rand
776701	35576	
776701	37318	Mary
776701	39498	Mary, Lefty's Girl
776701	106229	Betty Tisdelle
776701	115625	Girl
776701	120260	Prime's Secretary
776701	120687	Information Clerk
776701	138686	Bob's Friend at the Pekin
776701	184831	Undetermined role
776701	194892	
776701	202939	
776701	203671	Debutante
776701	203941	Girl on Street Corner
776701	222637	Angel Annie
776701	222701	Nurse Bertha
776701	224139	Guest
776701	231797	Miss Barry, Vincent's Secreta
776701	251215	Secretary
776701	253505	Waitress
776701	278006	Betty Marsh
776701	279546	Blondie
776701	292320	Holdstock's Secretary
776701	302020	Molly Welburn, aka Mary Allen
776701	312256	Eve
776701	312586	Trucking Company Office Girl
776702	108956	Baby Kate
776703	185297	Featured player
776704	78115	Kirk's Assistant
776704	184955	Blonde in casino
776705	232335	Shauna
776706	227696	Matrix
776707	91875	Hilary
776707	144347	TV reporter
776708	116471	Singer
776709	116694	
776710	226515	Lucy's Baby
776711	47220	Herself
776711	183599	Molly
776711	271263	Molly Brangwen
776711	286116	Nurse Kiels
776712	247492	Sonia Kelly
776713	193816	
776713	303096	
776713	342897	
776714	7617	Rosamund Bond
776715	146631	
776715	199712	
776716	234803	Girl
776717	113558	Rita
776717	316211	
776718	158102	Rockland T-Ball
776719	277350	Miss Penny Thimble
776720	271339	Glen and Dot's kid
776721	38942	The Wife
776721	47460	Dolly
776721	72038	The Wife
776721	75333	Achille
776721	117531	Pat Wentworth
776721	149562	Horatio's Wife
776721	190574	Dolly
776721	238964	The Mistress
776721	240545	
776721	240837	Dolly
776721	244337	The Wife
776721	283376	Dolly
776721	309971	Wife
776721	321092	Dolly
776722	393265	Lisbeth Berkeley-Smythe (1989
776723	244001	Herself
776724	358609	Madge Simmons
776725	304355	
776726	273188	Pat Stuart
776727	372567	And Spare Change
776728	270008	NBC Secretary
776729	154680	Herself
776729	164370	Elizabeth
776729	194202	
776729	196923	Nora
776729	269324	Sonia
776729	286135	Uncredited
776729	330911	Lady Sarah
776730	13450	Woman Newscaster
776731	291468	Receptionist
776732	304876	Dancer
776732	374198	Tiller girl
776733	32241	Countess's Girl
776733	141253	
776734	136510	Hollywood Blonde #5
776734	222640	Melissa
776735	7091	Logowoman
776735	99824	Kate's friend
776735	99969	Miss Gunz
776735	119234	Mother
776735	251173	Carla
776735	316140	Producer
776735	334250	Aunt Jean
776736	26093	Renna
776736	37137	Ginger
776736	37669	Terri
776736	95211	Jill
776736	147745	Sartain Receptionist
776736	149287	Mermaid
776736	150965	Mojave
776736	196867	Zippo's Boudoir Girl
776736	219129	Angela Summers
776736	222330	Helena
776736	288956	Tricia
776736	289426	Brigitte
776736	289428	Christina
776736	289429	Amanda
776736	295669	Kayla
776736	295719	Dr. Betty Brooks
776736	295720	Anne Reno
776736	295721	Stephanie
776736	295725	Patty Watts
776736	295728	Tracie
776736	362610	Karen
776736	375113	Dancer #2
776737	35362	
776738	81062	Coral Vroot
776739	39310	
776740	108314	
776742	2257	Herself - Co-host
776742	2311	Herself - Presenter: Best Dir
776742	2360	Herself - Presenter: Honorary
776742	2375	Herself - Presenter: Best Dir
776742	2515	Herself - Presenter: Hersholt
776742	2525	Herself - Presenter
776742	2548	Herself - accepting Best Supp
776742	2572	Herself - Hersholt Award Reci
776742	24240	Mame Dennis
776742	53702	Herself
776742	56310	Doris Reed
776742	62047	Sybil Barclay
776742	64712	Christine Barlow Manson
776742	72521	Harriet Craig
776742	73678	Laurita Dorsey
776742	83787	Judge Cornelia C. Porter
776742	104950	Mrs. Nancy Harrison
776742	109418	Garda Sloane
776742	110995	Julie Hathaway
776742	114626	Louise Harington
776742	115478	Tonie Carter
776742	117885	Eleanor
776742	118405	Jean Christy
776742	128441	Kim Halliday
776742	135553	Janet Ames
776742	136509	Rose Hovick
776742	139798	Herself (at Oscar dinner, 194
776742	145712	Kendal Browning
776742	145961	Hildegaard 'Hildy' Johnson
776742	163250	Beatrice Newnes
776742	192611	Julie Stoddard Graham
776742	201349	Mrs. Jacoby
776742	203799	Elizabeth Kent Wythe
776742	205185	Herself (costume test for The
776742	206879	Herself (at 1950s event with 
776742	220406	Lavinia Mannon
776742	221310	Mrs. Emily Pollifax
776742	224304	Ruth Sherwood
776742	230435	Jo McBain
776742	231974	Countess Zarika Rafay
776742	232008	Olivia Grayne
776742	234027	Linda Paige Esterbrook
776742	238874	Madame Rosepettle
776742	255264	Rosemary, The School Teacher
776742	263164	Sally Voorman
776742	273781	Josephine 'Jo' Mercer
776742	275668	Joel Carter
776742	282042	Rosie Lord
776742	282394	Louise Randall Pierson
776742	291344	Herself
776742	298047	Susan Lane
776742	303232	Sister Elizabeth Kenny
776742	323380	A.M. MacGregor
776742	327221	Marsha Meredith
776742	330191	Anya Von Duren, aka Countess/
776742	330889	Ann Winters
776742	340491	Miss Vandeleur
776742	340542	Mother Superior (Rev. Mother)
776742	346185	Lady Venetia Cunningham
776742	351438	Valerie Stanton/Hedda Gabler
776742	361677	Mrs. Dare Marshall
776742	362112	Carol Ainsley
776742	363262	Mother Superior (Rev. Mother)
776742	367552	Susan Middlecott
776742	367919	Mrs. Howard Fowler (Sylvia)
776742	368015	Ruth Sherwood
776742	372122	Herself
776743	91620	Anna
776744	38248	Banquet Guest/Zombie
776745	93318	
776745	251188	Enid Soames
776745	290330	Kate
776745	330702	Peggy Foyle
776746	299287	Veronica
776747	335857	Katie McDougal
776748	344151	Bank Officer
776749	212618	
776750	49510	Herself
776751	13411	
776752	387601	Cast (Orange Team)
776753	62419	
776753	257229	Lucinda
776754	385299	Mrs. Todpowell
776755	26700	
776756	75612	Inmate
776757	365716	
776758	13293	Eyewitness
776758	44325	Alien Girl
776758	47744	Doris Duke the Carhop
776758	142527	Freaked-Out Inmate
776758	204214	Angelina De La Torre
776758	221783	Girl with Gun
776758	252998	Lady at Bank
776758	303753	
776758	307403	Old Lady
776759	245020	Mildred
776760	167566	Megan McDonald
776761	20135	King Zog (segment "Un ballo i
776761	27360	Milena Flaherty
776761	33178	The Storyteller
776761	33393	Lina Moebius
776761	40025	Catherine Petersen
776761	45308	Dora Baker
776761	66942	Marie Davenport
776761	68779	Herself
776761	84197	Frances
776761	96755	Trixie Grillo (Jack's wife)
776761	100117	Charlene
776761	104564	Tracy
776761	115508	Mary Ann Curran (aka Alex Can
776761	134634	Lady Harriet Coal
776761	150615	
776761	150859	Helen Schmidt
776761	157316	Lottie Mason
776761	160503	The Actress
776761	172073	Gabriela
776761	185735	Cecilia Brady
776761	195526	Sarah Graham
776761	197040	Stella
776761	236077	Dori Wilson
776761	241166	Margo Anthony
776761	254923	Jenny Hudson
776761	265600	Dr. Nancy Burnham
776761	265897	Catherine Morgan
776761	266695	Kate 'Ma' Barker
776761	273084	Sophie MacDonald
776761	283590	Emily Russo
776761	289013	Jackie O'Connor
776761	291971	Herself
776761	315899	Jenny Mercer
776761	330280	Debbie/Jo
776761	337302	Linda Henry
776761	337360	Jackie Daniels
776761	365451	Sandra Van Ryan
776761	367695	Rose
776761	372514	Morgan Le Fay
776761	382224	Maureen Dean
776761	390177	Hazel Walker
776761	391835	Herself
776762	32515	
776762	37390	
776762	38581	Acountant's girlfriend
776762	88968	
776762	110505	
776762	119819	
776762	119825	
776762	119843	Nicole
776762	149327	
776762	153583	
776762	162567	
776762	168281	
776762	187411	Herself
776762	252170	
776762	261424	
776762	263199	
776762	279360	
776762	294298	
776762	294309	
776762	304874	
776762	333545	
776762	354792	Teenage photographer
776763	170411	Julie Carr
776763	388321	Claire Toomey Callan (1997-19
776764	93237	Thran Sailor 4
776765	41186	Secretary
776765	159518	Francine
776765	214981	Ms. Gabler
776765	375713	Veronica
776766	47220	Herself
776766	223058	Tatiana
776766	335277	Sally Simpson
776766	364378	Sally Simpson
776767	262728	
776768	47220	Herself
776769	364368	Gaga's Girl
776770	30187	Girl at Bar
776770	47985	Box Office Attendant
776770	56753	Nurse
776770	197703	'Actress' playing Helen Leary
776770	215393	
776770	366576	Square Dancer
776770	380293	Christy
776770	407421	Woman in crowd
776771	62582	Jonesy
776771	220714	Teacher
776772	46406	Shelly Kugelman
776772	224842	Diane Cestra
776773	24979	Aunt Eloise Smythe
776773	324249	Mrs. Bolton
776775	85028	Lady Irma Enderby
776775	339391	Jacqueline
776776	252483	Court Clerk (Cincinnati Court
776777	53019	Grandmother
776778	41746	Sherry Lyn
776778	277098	Woman with Coffee
776779	47782	Buba
776779	90680	La madre
776779	95166	Slujitelka
776779	174379	
776779	238168	Female Ship Terrorist
776779	242730	Fifth Hostage
776779	335461	
776779	350553	
776780	32044	Lupe
776780	195751	Isabel
776780	204557	Southside Girl #2
776781	49091	
776781	75576	
776782	389788	Laurita Montemar
776782	407706	Ana
776783	220652	Grandmother
776784	347414	Tanya
776785	62918	
776786	50150	Madre
776786	266474	Herself
776787	217607	Liliana
776787	349537	
776787	352559	
776788	3343	
776788	12665	Vera
776788	14901	Marina
776788	68429	Maria Papetti
776788	82434	DJ alla radio
776788	82441	
776788	102955	Barbara Bedford
776788	207103	
776788	212314	
776788	213381	
776788	217607	
776788	234563	Cora
776788	256748	Mirna
776788	265442	Chiara
776788	265443	Eliane
776788	278405	Francesca
776788	281581	Carlota
776788	282292	Nicoletta
776788	293357	Judge Francesca Savona
776788	316853	
776788	329030	Tulac
776788	383143	
776788	383807	
776788	384933	
776788	393045	
776788	409049	
776789	125130	Frau Peters
776789	266208	
776790	390401	
776791	353707	Maria
776792	327452	(segment "Casa d'altri")
776793	16867	
776793	17744	
776793	19260	Baby G
776793	24865	
776793	33550	
776793	43159	The Tourist
776793	48297	Dora
776793	54072	
776793	63765	La giornalista
776793	63789	
776793	81611	
776793	82147	Corista
776793	82440	Signora Carboni
776793	90741	
776793	103555	Otella Thompson
776793	127615	Adriana
776793	168605	
776793	170394	Margherita
776793	170395	Margherita
776793	170396	Margherita
776793	183481	Adriana
776793	188596	
776793	204637	
776793	213393	Inés
776793	238021	
776793	247066	Elena
776793	247974	
776793	250506	Amica di Maria
776793	254958	
776793	255539	Clorinda
776793	256958	
776793	260606	
776793	277569	
776793	277610	Maria
776793	293357	Lilli
776793	301165	
776793	316853	
776793	320343	
776793	336946	
776793	349544	Selvaggia
776793	354005	Fidanzata al bar
776793	354464	
776793	380367	Giovanna
776793	396649	
776794	178174	Sorority sister
776794	361216	Arguing Woman
776795	82921	
776795	399657	
776796	14834	Ragazza albergo
776797	14371	
776797	49680	
776797	63767	
776797	74512	Samantha
776797	85463	
776797	128003	Claudia
776797	159468	Modella
776797	212575	Valentina Buratti
776797	240269	
776797	250727	Cheryl Kraft
776797	251031	
776797	260749	
776797	269476	Rosy
776797	277569	
776797	295179	Cameriera
776797	332748	Manuela
776797	381389	
776798	398940	Anchorwoman
776799	27205	Chelsea Braverton
776799	87009	Additional Voices
776799	148206	Megan
776799	262085	Heather
776799	346862	Megan Whitney
776799	346871	Megan Whitney
776800	380391	Donna Love (1998) (seen in fl
776801	307691	Princess Oneeba
776802	183479	
776803	108391	Jenny
776803	110295	Janice/Jen
776803	327906	Janice/Jen
776804	359063	Lace waitress
776805	290389	Hogs & Hogettes
776807	352559	
776808	159703	The Huldre
776809	96496	Assunta Potito
776809	225765	Shandra
776809	348178	Teresa
776809	396305	Rosetta
776809	400404	Clara Dani
776809	409936	
776810	216099	
776810	355828	Cello
776811	275876	Woman with Dog
776812	281136	Pierra
776813	103393	
776814	94722	Antonio's Mother
776815	33485	
776816	380679	Host
776817	94683	
776818	292270	Cantante
776819	8834	Un'ancella
776820	177284	Susie Stills
776821	195134	Adult Barbara
776822	14501	Ophelia
776822	320528	
776823	65683	
776824	80486	Kelly
776824	109576	Heather
776824	192685	Karen
776824	332239	Maxine
776825	9129	Marie Patroni
776825	121836	Woman at Wedding
776825	122743	Party guest
776825	139578	Paula Schacht
776825	168693	Second Nurse
776825	282920	Phyllis Noonan
776825	411802	Regina Henderson (1975-1976)
776826	43432	Maria Antonia Labruzzo
776827	287729	Santa Contributor
776828	98113	Student
776829	35652	Joan Bailey
776829	97232	IRS Agent
776829	145041	Mandy
776829	238228	Stewardess #2
776830	82721	
776831	84142	Photographer
776831	333882	Angelica
776833	318842	Ruth
776834	380056	Lavinia
776835	110974	Girl who won't pay
776837	404814	
776838	399130	Liljana 'Lil' Bishop (2003-)
776839	89572	Steiner's Guest
776840	102432	Rosa Carelli
776842	369443	Recepcionista de la morgue
776842	370096	
776843	63730	
776844	301798	Sales Clerk
776845	287729	Santa Contributor
776846	154427	Flight Attendant
776846	216486	
776847	18607	Restaurant Patron
776847	300762	Tent Mother
776847	345946	Fan of Lex
776848	23959	Malia
776848	37212	Hot Chica
776848	185594	Darlene
776849	294245	Rose
776850	15218	Amy picture DW
776851	352853	
776853	7099	Natasha Fatale
776853	13913	Herself (host)
776853	37473	Anna Herk
776853	48699	Mrs. Gertrude 'Trudy' Lintz
776853	67992	Herself
776853	119597	Julie Redlund
776853	126555	Karen Flores
776853	158322	Secret Service Agent Lilly Ra
776853	158324	Herself
776853	158325	Herself
776853	188510	Lorna Cole
776853	188511	Lorna Cole
776853	201320	Lynn Wells
776853	201326	Lynn
776853	209180	
776853	210207	Herself
776853	220894	Cindy Jo Bumpers
776853	241375	Rita Lewis
776853	245275	Robby Keough
776853	272234	Kate Mullen
776853	300195	Chase Renzi
776853	330999	Catherine Olds Banning
776853	333507	Dr. Molly Griswold
776853	342853	
776853	386414	Herself
776853	404069	Eden Kendell
776854	41401	Terry's girl
776855	226900	Celia
776855	348838	Theresa
776856	252706	
776856	264734	
776856	306908	
776856	306916	
776856	336666	
776858	14002	Deedra
776858	228479	Joanne Chapa
776858	315171	Peapod
776859	264638	
776859	264909	
776859	264910	Herself
776859	264911	Tatiana
776860	218336	1st Flaherty Secretary
776860	411221	Clara Young
776861	7857	Marion Bramleyn
776861	11324	Hope
776861	82628	Rose Greig
776862	336675	Child
776863	202727	TV Maria
776865	380968	Widow Douglas
776866	386589	Katya
776867	6517	
776867	87138	Gloria
776867	103101	Mathilde Birk
776867	119195	Claire
776867	121003	
776867	134769	
776867	144327	
776867	145486	
776867	168434	Rosa Lamm
776867	170697	
776867	183244	
776867	183253	Sali
776867	189736	Dorothy
776867	199302	Felicite
776867	200038	Frau Rieger
776867	205981	Gloria Bekerman
776867	237724	
776867	276628	
776867	279675	
776867	290775	Berta Wittekind
776867	290788	Frau Rüdiger
776867	293538	
776867	352613	Giesela Jordan
776867	361125	
776867	364880	
776868	320106	Contestant #2
776869	23450	Cathy
776870	232203	Pat
776871	132390	
776871	219651	Mahtab
776871	248645	
776872	300143	Gammelt mobbeoffer
776873	266566	Young yirl
776874	333895	Udaytara
776875	118638	
776875	131943	
776876	132110	Rano
776877	141864	Heghnar
776878	255801	
776879	29912	Maria
776880	70948	Corinne
776881	226844	
776882	211863	Rouva Suomalainen
776882	223514	Asiakas kemikaliossa
776883	187053	Joya Chatterjee
776884	298217	
776885	298217	
776886	396793	
776887	357928	
776888	49178	
776888	64714	
776889	258939	Dancing Girl
776890	99254	Pink
776891	49751	
776891	66312	
776892	221005	Rosita
776892	313603	Dark Skinned Woman
776893	244678	Belinda
776894	377129	
776895	77753	La journaliste
776896	377228	Zsófi
776897	217115	
776897	284830	
776897	388611	Host
776900	1738	Herself
776901	159217	Cheryl
776902	356795	Nui
776903	113319	Rita
776904	52622	Julia
776905	383934	Regular
776906	112917	Advokaat-passant 1
776907	47548	
776908	333068	Alice
776909	23232	Nina
776909	60408	Marina, a mafia boss
776909	131121	The Narrator
776909	173023	Rita
776909	180364	
776909	259043	
776909	373704	
776909	388489	Yelena Siryabina
776910	346902	Teenager with Mask
776911	153120	Mrs. Blair
776911	201440	
776911	380067	Herself - Amish
776912	196872	Irish Step Dancer #7 (crowd)
776913	132615	Herself
776913	158863	Woman
776914	48056	
776915	61145	
776915	280493	
776916	80617	Sarah Stroil
776916	385336	
776916	387536	
776916	391272	Crisanti Hernández
776916	392971	Francisca
776916	395861	Doña Rocío
776916	397014	Juana
776916	398456	
776916	398471	Berenice del Toro
776916	398488	Madre superiora
776916	401213	
776916	401438	Altagracia
776916	402772	
776916	405473	
776916	405813	
776916	412084	
776917	222179	Clara d'Orsay
776918	108956	Granddaughter
776919	284842	
776920	396337	Candinha
776920	405101	
776920	409902	
776920	410188	
776922	8480	
776922	18809	
776922	31814	
776922	42564	
776922	52070	Saleswoman
776922	66403	Abuela
776922	70228	Mad American
776922	82296	Aninhas
776922	83517	
776922	89930	Lúcia
776922	97568	Jocasta's Maid with a Lamb
776922	102958	Mãe
776922	107210	
776922	148665	Dr. Figueira
776922	155551	Professor
776922	160120	Marta
776922	166126	Milkmaid
776922	200939	La femme de chambre
776922	202554	
776922	221609	Albertina
776922	223337	Isabel
776922	234629	Cliente Mulher
776922	244087	Eduarda
776922	246808	
776922	251177	Esmerelda
776922	251917	Conceição
776922	264270	Celsa
776922	272367	
776922	272479	Dr. Zita Portugal
776922	273127	Ju
776922	278580	Carolina
776922	279259	
776922	309259	
776922	327533	
776922	328337	
776922	340191	The professor's assistant
776922	349815	Ritinha
776922	352128	
776922	353097	Olga
776922	369501	
776922	379514	
776923	10596	Adding Machine Worker
776923	23025	Millie (pregnant girl looking
776923	108523	Miss Wilkins
776923	183443	Caroline
776923	207865	Bridesmaid
776923	233684	Nurse
776923	237618	Brady's Secretary
776923	318192	WAC Cpl. Michaels
776923	347136	Pretty Girl
776923	372914	Carlotta Manson
776924	71856	Bartender
776924	330217	Female Celebrity
776925	136514	Fanny
776925	175884	Hayat
776926	366658	Sofia
776927	45458	Child Piano Player
776927	125846	Betty Jean Terrill
776927	234220	Carol
776927	261603	Mary Simmons
776927	278641	Betty O'Connor, Dan's Daughte
776927	308619	Mary Ruth Alden
776927	330010	Herself - Mary Ruth Kizziar
776927	330212	Suzy
776928	2731	Mrs. Babe Ruth
776929	335329	Girlfriend
776930	12749	Mary Ann Coleridge
776930	57169	Margie
776930	115214	Hazel
776930	163431	Young Girl
776930	188341	Lulu
776930	195190	Emmy Lou
776930	224003	Co-ed
776930	330167	Sally
776930	365304	Ann Morgan
776931	336458	Reporter
776931	360032	Phone Operator Sheila
776932	330434	Receptionist
776932	384097	Sarah (1990)
776933	311164	Reba
776934	24538	Rebecca
776934	73850	Danielle Blackstone
776935	120546	Homeless Lady
776935	364220	Female Patron #1
776936	6984	Donna Elena
776936	16466	Polly Benedict
776936	16467	Polly Benedict
776936	16469	Polly Benedict
776936	16470	Polly Benedict
776936	16471	Polly Benedict
776936	16707	Sister of Dead Soldier
776936	17766	Annie Laurie
776936	27490	Anne Grayson
776936	32537	Lola Cross
776936	34386	Constance Martin
776936	46779	Third Peasant Girl
776936	55439	Lisette
776936	62983	Spirit of Christmas Past
776936	68132	Dolores Moreno
776936	72022	Polly Benedict
776936	77767	Miss Eve Greeley
776936	84901	Kitty Wooster
776936	92009	Joan Dugan
776936	92243	Helen Pappas
776936	92959	Yvonne
776936	112549	Frances Schiller
776936	114799	Clara's Student
776936	118304	Patricia 'Pat' Page
776936	127092	Billie Adams
776936	131240	Carreen O'Hara
776936	138848	Lenore Prentiss
776936	139316	Polly Benedict
776936	139780	Ruth Jameson
776936	160361	Claire Norton
776936	169889	Polly Benedict
776936	169890	Polly Benedict
776936	175209	Mary Thomas
776936	186410	Janet Carter
776936	190062	Polly Benedict
776936	192611	Class President
776936	193794	Virginia Terry
776936	195579	Polly Benedict
776936	199752	Linda 'Morgan' North
776936	201844	Herself
776936	210435	Millicent 'Millie' C. Thomas
776936	222672	Gracie
776936	238507	Annie Hawks
776936	242747	Clara Masters
776936	243206	Connie Ward/Abbot
776936	243338	Anne Ridgeley
776936	245253	Polly Benedict
776936	263555	Lydia Bennet
776936	266688	Helen Morgan
776936	292470	Gertrude Griswold
776936	302739	Lettie Morgan
776936	329564	Herself (interview)
776936	330087	Mary Rose Wilston
776936	330200	Gloria, Walter's Wife
776936	330892	Katherine 'Kitty' White
776936	343034	Patty Mitchell
776936	348008	Herself
776936	359748	Laurie Claymore
776936	360045	Joan O'Brien
776936	363741	Carol Lambert
776936	363742	Carol Lambert
776936	363745	Carol Lambert
776936	367948	Grayson's studio secretary
776936	369358	Lucy Kincaid
776936	372353	Polly Benedict
776936	395321	Herself/panelist (1949-1954)
776937	137623	Child
776937	305036	Princess
776938	20643	
776939	255085	Billie
776940	266735	Toano Middle School Student
776941	119547	Danai
776941	132122	Isobel McCordle
776941	144682	Pauline
776941	166167	Zazie
776941	255316	Cynthia Lacey
776941	313562	Toni Steward
776941	350506	Lady Gaunt
776942	157581	Herself
776943	373990	Tiger Cheerleader
776944	297937	Terri
776945	31043	Additional Voices
776945	130730	Additional Voices
776945	136044	Additional Voices
776945	405144	Additional Voices
776946	94375	Sunshine
776947	2761	Herself
776947	5386	Kim Welles
776947	13511	Lola Burns
776947	16890	Kate Porter
776947	46415	Cheryl
776947	49855	Danielle Roff
776947	59311	Jodi
776947	75864	Randy
776947	87922	Marian Pronkridge
776947	96913	Alex
776947	154427	Kim
776947	161317	Herself
776947	194136	Herself
776947	210458	Herself
776947	233614	Edwina Winfield
776947	252888	Julia Robinson
776947	254511	Salesgirl
776947	286129	Lady Maria Cosway
776947	291223	Christine Hamilton
776947	297101	TV Watcher
776947	321464	Sandra Bird
776947	322970	Wendy
776947	333760	Emily Hanover
776947	389867	Sam Whitmore
776947	390562	Frankie Collett
776947	391898	Judy Owen (1992-1993)
776947	394483	Caitlin Byrne
776947	396123	Unknown (1987)
776947	397401	Megan Lewis Mancini McBride (
776947	408111	Special Agent Frankie Ellroy-
776948	119356	Jo Jo
776948	399221	Lori Sawyer
776949	61250	
776949	305956	Petrol Attendant
776949	380827	Nebula
776949	399329	Missy Ferguson
776949	404817	Sue
776949	405580	Various Characters
776949	407789	Various Characters
776950	40228	Schoolmarm/Justine
776951	11947	Prudence Croquet
776951	12404	Miss Jane Marple
776951	19521	Princess Ilaria
776951	24209	Clara Hilton
776951	32162	Mrs. Baldwin
776951	37050	Nanny
776951	40846	Madame Arcati
776951	53086	Mistress Quickly
776951	56603	Miss Nicholson
776951	56862	Maggie Carberry
776951	71666	Miss Gaulswallow
776951	75611	Catherine Beckwith/Jeremy St.
776951	82609	Rowena Ventnor
776951	95504	Evelyn Summers aka Miss Butte
776951	101427	Lady Christabel Beauclerk
776951	118992	Special Guest Star
776951	138659	Muriel Whitchurch
776951	140353	
776951	154935	Aunt Dolly
776951	157189	Miss Letitia Prism
776951	160064	Gwladys Inglott
776951	169641	
776951	171211	Mrs. Dooley
776951	199134	Nurse Carey
776951	200112	Lady Pond
776951	209600	Madame Vernorel
776951	215077	Nurse Carey
776951	215642	Miss Honey
776951	215811	Lady Parke
776951	220443	Grand Duchess Gloriana
776951	222567	Miss Jane Marple
776951	222587	Miss Jane Marple
776951	222692	Miss Jane Marple
776951	222753	Miss Jane Marple
776951	234167	
776951	240723	Lady Vivian
776951	269456	Mrs. Dotherington
776951	269882	Magistrate
776951	283412	Cynthia Beeston
776951	305421	Mrs. Fazackalee, Bijou Cashie
776951	311996	
776951	311997	Aunt Bijou
776951	313964	
776951	323963	Housekeeper
776951	334298	Herself
776951	340512	Miss Bacon
776951	340579	
776951	349404	The Duchess of Brighton
776951	358073	Mother Goose
776951	363573	Dr. Winifred Frye
776951	371025	Mrs. Towcester
776952	18384	Octavia
776953	105076	The Doctor
776954	186650	Additional player
776955	15139	Morgan
776956	222881	Gina
776957	9888	Rachael
776957	135987	Penny Keynes
776958	270752	Anya Monroe
776959	99311	Cindy Hasboro
776959	196479	Sandy Erickson
776959	350343	Jeannie
776959	387482	Catherine Richmond
776959	396935	Mary Kelly
776959	411405	Stacy
776960	335160	Mama
776961	275169	Dame 1
776962	174569	
776963	129325	Sandpergerin
776963	353995	Ursula
776963	359640	
776964	74215	Alice Steel
776964	408109	Mrs. Hitchcock
776965	279609	Grace Storefield
776966	383831	Herself
776966	395736	Sarah
776967	81507	
776967	92719	
776967	219750	
776967	233326	
776967	242480	
776967	265726	
776967	266171	
776967	280906	Cheitche
776967	283747	Zena u opstini
776967	320367	
776967	381239	
776967	396875	
776967	409710	
776968	167318	
776968	304656	Marija
776969	20750	
776969	147054	
776969	204232	
776969	229741	
776969	252338	Rosine
776969	302186	
776969	336622	
776969	336624	Un'infermiera
776969	337509	Elisa
776970	133026	
776970	162033	
776970	206027	
776970	234729	
776970	234740	
776970	270850	Rosalba Bergonzoni
776970	348675	
776971	365612	
776972	119133	Simone Ritter
776973	17079	
776974	171622	
776975	173421	
776976	27617	
776976	38506	
776976	57413	
776976	57802	
776976	64015	
776976	96482	
776976	136762	
776976	136769	
776976	139493	
776976	139494	
776976	158802	
776976	173421	
776976	173645	
776976	175442	
776976	176688	
776976	242333	
776976	284804	
776976	293410	
776976	303605	
776976	370628	
776976	371556	
776977	33832	
776977	172729	Lorenza
776978	14585	
776978	179708	
776978	202572	Apartment Owner
776978	255515	Woman in the Village (I)
776978	262709	Mrs. Maciak
776978	319660	Bus Owner's Wife
776978	336217	Mrs. Jola
776978	359585	Woman with a Dog on the Bus
776978	376176	Shopkeeper
776979	228434	Young Girl
776980	37682	Cocktail Party Guest
776981	125602	
776982	183726	Lady Jennifer
776982	269314	Duchess Miramar
776982	335280	
776983	211628	Shianne Hawk
776984	298501	
776984	365079	
776985	335160	Mama
776986	239607	Caroline
776987	310436	Trike mom
776988	141183	Girl who spoke at table on ve
776989	141183	Mother at table
776990	141183	Fat sister at table
776991	141183	Girl at table
776992	113269	Jason's Mother
776993	4730	
776994	297880	Mrs. Torres
776995	310436	Trike girl
776996	10928	Mavo Zox
776996	211585	Crystal Crawler
776996	379677	Mavo Zox
776997	407815	Herself (2002)
776998	194666	Inmate
776999	366683	Newscaster
777000	307638	Phedre
777002	410610	(episode "Protest und Theorie
777003	292806	Herself/Presenter/Narrator
777004	109509	Fake Michael Jackson
777004	311477	The Gloved One
777004	334780	Motel Manager
777005	7834	Marge
777005	27207	Miriam
777005	31445	Debbi McGwin
777005	58959	Woman in the bookstore
777005	66589	Carolyn Drake
777005	80801	Arlene Reed
777005	80802	Genene Jones
777005	88656	Julie Myers
777005	93981	Woman Prude
777005	108401	Melody Huck
777005	112369	Hostess
777005	113732	Sandra Thompson
777005	121802	Herself
777005	121803	Claire
777005	134720	Biker
777005	142718	Mrs. Kasabian
777005	158997	Nurse #2
777005	164479	Arlene
777005	164480	Arlene Reed
777005	164481	Arlene Reed
777005	164482	Arlene Reed
777005	164483	Arlene Reed
777005	171348	Helen Preston
777005	176283	Rosemary
777005	181005	Mrs. O'Brien
777005	182966	Roxanne Melman
777005	182967	Roxanne Melman
777005	187234	Mrs. Place
777005	190208	Janet
777005	195788	Lela
777005	222786	Judge M. Tyson
777005	228970	Herself
777005	246267	Mrs. Joan Estep
777005	269859	Judy Hecker
777005	291039	Margie
777005	292227	Robin
777005	319873	Lucy Trotter
777005	321108	Mrs. Zavala
777005	323443	Courtney
777005	332151	Portsmouth Nurse
777005	336753	Madge Jaynes
777005	340025	Carol
777005	344480	Mrs. Claus
777005	346127	Ms. Morgan
777005	366958	Anne Marie Tesoriero
777005	395023	Roxanne Melman/Meyer (1986-19
777006	355096	Deborah
777007	289217	Angie
777008	112172	Mara
777009	48217	Girl #1
777010	42982	Lisa
777011	408151	Mevrouw D'Hase van kind en Ge
777012	195688	
777012	222694	Helen Spencer
777013	42768	Mrs. Palk
777013	385299	Muriel Baines
777013	401516	Pig/Sophie the Cat
777014	145058	Phyllis
777016	121541	Dole Clerk
777016	141158	Headmistress
777016	385342	Mrs. Staverley
777016	387238	Mrs. Hesletine
777016	388486	Dr. Helen Roberts
777016	392172	
777016	402610	Mrs. Perry
777016	408053	Jane Barker
777016	409505	Mrs Marsh
777017	252854	Receptionist
777018	7411	Stella Morse
777018	210904	Edyth Vail
777018	213873	Frances Britton
777019	47371	Violet Gaffney
777020	80412	'Orpheus' Cruise Girl
777022	48063	Member of the Marquee Quintet
777023	116924	Lucie
777023	330783	Suzanne
777023	380999	Various Characters
777024	3416	Toinette
777024	10401	Dr. Szabó Júlia
777024	12820	
777024	15256	
777024	19766	
777024	35056	
777024	35558	(segment Fohász)
777024	48670	
777024	50463	Kabók Kati
777024	74397	Ágostonné,Éva
777024	74458	
777024	76015	Czarina
777024	97957	Izabella királynõ
777024	97958	Queen Izabella
777024	97974	Juli Cséri
777024	108840	Amália
777024	118170	
777024	122735	Anya
777024	136861	Agnes
777024	137890	Dr.Végh Márta
777024	153678	Mari
777024	155796	Halasi's mother
777024	173965	Jozefa
777024	175662	Dóra
777024	175708	Klári
777024	179828	Woman
777024	182522	Flóra, Szentirmay felesége
777024	182523	Zizi
777024	182870	Selma Selig
777024	182879	Eszti
777024	183174	Mara
777024	190793	Erzsi
777024	198412	Gyöngyi, Döbrögi lánya
777024	200606	Szentirmayné, Flóra
777024	211700	Kató,tornatanárnõ
777024	212992	Vera
777024	214495	
777024	225695	Françoise Chantal/Hidegarcú H
777024	225784	Judit, Korin felesége
777024	229270	Klára Klementová
777024	284185	Mária, actress
777024	293742	Manci
777024	322014	
777024	322102	Carolyne
777024	322128	Lenke
777024	322391	
777024	324655	Éva, Balogh felesége
777024	343703	Terényi Mária
777024	348997	Mrs. Frigyes Karinthy
777024	349046	
777024	356601	Liza
777024	377130	Vilma
777024	377760	Dekany Viktoria
777024	377818	Margit néni
777024	378282	Rago Boske
777024	378577	Klári
777024	379094	Mici Horn
777025	20101	Kun, Katatlin
777025	349045	
777025	377895	
777026	312783	Beth
777027	305148	Mother in Church
777028	305148	Mother in church
777029	269680	Mary Wells
777030	68333	L'amie de Julie
777031	374428	
777032	176984	Angel
777032	340992	Teen Punk
777033	51332	weibliches Opfer
777033	51333	Playmate #1
777034	219238	
777035	51333	Jennifer
777035	105858	Jennifer Gustafsson
777036	322953	
777037	226797	
777038	78478	Herself (performing 'Hen over
777039	161824	Woman
777040	401	Mia Häger
777040	1050	Ms. kerman
777040	10425	Andriette Nobel
777040	11693	Alice
777040	18081	Elisabeth Wankel
777040	18083	Sofia Garp
777040	23415	Alma
777040	29560	Teacher
777040	29579	Fat Woman
777040	30167	Lady in Olga's studio
777040	37784	Mrs. Berg
777040	48000	Brothel hostess
777040	77404	Aina Engström
777040	84293	Gerti Törnberg
777040	84297	Mrs. Brick
777040	84314	Dagmar, cook
777040	87509	Johanna
777040	90211	Donna Olympia
777040	94450	House-maid #1
777040	95178	Elvira Fattigan
777040	95829	Mrs. Bodin
777040	97883	Wardrobe attendant
777040	98773	The Queen
777040	101493	Astrid
777040	107305	Margaret
777040	109121	The evil lady
777040	109128	Tjinonan
777040	114961	Prostitute
777040	115393	Erika
777040	115399	Lotten Brenner
777040	116106	Aunt Agda
777040	117585	Majorskan
777040	120922	Elin Lundgren
777040	120966	Rut Boman
777040	121004	Mrs. Nilsson
777040	121006	Ms. Trimling
777040	122334	Mrs. Bergman
777040	122480	Sperling's nurse
777040	122494	
777040	122496	Forslund's house-maid
777040	124449	Mrs. Bergman
777040	125543	Housemaid at Vaxholm
777040	130070	Beda Bergman, Henrik's aunt
777040	130072	Dottan
777040	136612	Mother
777040	137975	Mrs. Krona
777040	138189	Thekla Renholm
777040	142765	Greta
777040	142790	Madam Flod
777040	143995	
777040	145471	Franceska Larsson
777040	147005	Mrs. Blomgren
777040	147016	Prostitute
777040	153714	Anna
777040	153934	Sarah Kahn
777040	154150	Bojan of Stureplan
777040	155690	Fru Ål
777040	164779	Sarah Kahn
777040	168437	Mrs. Larsson, cook
777040	170508	Selma Lagerlöf
777040	178753	Student
777040	180076	Lotten
777040	181076	Applicant for position
777040	182079	Lucie
777040	182282	Magda Svensson
777040	182541	Telephone operator
777040	182566	Mrs. Holm
777040	184000	Peasant woman
777040	184921	Child Welfare Officer
777040	190821	Aunt Cecilia
777040	190822	Aunt Cecilia
777040	192930	Gretel Ström
777040	198016	Hurtander's secretary
777040	198266	Bélise
777040	198274	Ermengarde
777040	198276	Kata Dahlstroem
777040	202416	Nurse Greta
777040	203102	Anna
777040	205499	Maria's Mother
777040	210839	Alice Lundgren
777040	214351	Ms. Tullberg
777040	214380	Magda
777040	217451	Ulla Forsberg
777040	225232	Kristin
777040	225668	Mrs. Jakobsson
777040	231274	Anna, Bjrn's mother
777040	237256	Frideborg Jansson
777040	248186	Adela Pettersson, widow
777040	248499	Nora
777040	248521	Emma
777040	252332	Evelyn
777040	254254	
777040	266144	
777040	268328	Mrs. Gyllenfalk
777040	268338	Mrs. Andreasson
777040	268343	Greta Hansson
777040	268380	Mrs. Heyst
777040	272642	Kristin
777040	276209	Miss Prakt
777040	277178	
777040	284137	Old woman
777040	288307	Mia
777040	289783	Landlady
777040	303729	Mrs Candour
777040	304137	Student
777040	304213	
777040	305303	Lisa, house-maid
777040	305519	Kilbergs-Lina
777040	305863	Aunt Olga
777040	307770	Ms. Strid
777040	308191	Ms. Prytz
777040	308197	Karna
777040	308201	Guest at masquerade
777040	315364	Mrs Alm
777040	315549	Alma Persson
777040	320606	Miss Fridlund
777040	320956	Boman, housekeeper
777040	321512	Mrs. Nilsson
777040	322271	Helena Blomkvist
777040	323041	
777040	325046	Waitress
777040	326127	Miss Haglund
777040	333046	Stina
777040	340268	The old woman
777040	342314	Gunhild
777040	343484	Elly Larsson, cleaning-lady
777040	343701	Widow
777040	350396	Siv
777040	355627	Eivor Jansson
777040	377424	Mia
777040	390792	
777040	392429	Too-ticki
777040	396266	Elsa
777040	400451	Grandmother Tora
777040	406575	Mytha
777040	408272	
777041	308221	Gerd
777042	338037	Casey
777043	402792	
777044	178376	Statist
777046	177898	Woman at pawnbroker's
777046	239153	Landlady
777046	255764	
777047	238802	
777047	313756	Sarah Centurion, Critic
777048	225045	Aurora
777048	379602	Aurora
777048	379603	Aurora
777048	381145	Mary Jean (1992-1993)
777048	387100	
777049	383776	Herself
777050	278153	Mother on radio drama
777051	397302	Bolnaya
777051	399482	
777052	241225	Iris Raczca
777053	68248	
777054	369874	Figure Skating reporter
777054	394261	Anchorwoman
777054	409308	Anchor
777055	107473	
777055	107474	Additional Voices
777056	113994	Mavis
777056	129772	Jan
777056	153119	Suzanne
777056	244809	Annie
777056	264784	Cheryl Stratton
777056	327250	Lynn
777056	397229	Janet
777057	298217	
777058	15187	Housekeeper
777058	67934	Moeder
777058	242445	Boetster 1
777058	326310	Nel
777058	367020	Tante
777058	391784	
777059	265829	
777060	86109	
777061	102479	
777061	382864	Bruiloftsgaste
777061	404194	Christien Meeuwisse (1994-200
777061	406166	Yvonne Prins
777061	411927	Christien Zwaan
777062	390638	Herself
777062	400689	Juryvoorzitter
777063	230412	Nurse Sue
777063	379112	Vicki Giovanelli
777063	380241	Prudence 'Pru' Fisher
777063	401624	Herself (2001)
777063	402599	Jude Torres
777064	106993	Madre
777064	140701	Pilar
777065	99611	Girlfriend
777065	288703	Herself - Audience Member
777065	330386	Tammy Broderick
777065	360290	Waitress
777066	74215	Editor
777067	263056	
777067	263426	Marina odrasla
777067	351322	
777068	58509	
777068	77019	Penny
777069	297377	Debutante #4
777070	359753	Catherine Sloper (age 11)
777071	57307	
777071	174933	Girl
777071	253799	
777072	70938	
777073	106178	Herself
777073	349242	Herself
777074	336	Masseuse
777074	42196	Princess
777074	49170	Foreigner
777074	51259	Farmer
777074	72383	Hotel visitor
777074	95588	
777074	95995	
777074	96391	Pacient in asylum
777074	97155	Hedus
777074	109318	Farmer's wife
777074	116645	Mama Kami
777074	132197	Mrs. Svarcová
777074	147303	Hedus
777074	148803	Hedus
777074	149243	Woman at bazar
777074	173035	Greengrocer
777074	179882	
777074	212112	
777074	224372	Ludvíková
777074	229556	
777074	230461	
777074	237478	Krapcena
777074	237496	Witch
777074	247518	Mrs.Stubová, killer
777074	266349	Krásová
777074	266460	Julinka
777074	266510	Zuzana (2. segment - Hry lásk
777074	271618	Bride
777074	295050	Ema, nurse
777074	302643	
777074	305247	Skopková
777074	305248	Skopková
777074	305249	Skopková
777074	309445	Cilka
777074	313911	Black haired woman
777074	323293	Opera singer
777074	339275	Helena Karafiátová
777074	339277	Villager
777074	339324	Princess Drobena
777074	349007	
777074	349323	
777074	357288	Wise woman
777074	357435	Bozka
777074	373558	
777074	374535	Anca
777074	376567	Bedna's Mother
777074	376604	Charwoman
777074	380554	TV Announcer
777074	389657	
777074	399869	Flooded woman
777074	399902	Krejzová
777074	401512	
777074	402368	Helga
777074	410338	Anna Urbanová
777075	28167	
777076	393369	Carolina
777076	402876	
777077	56316	Estupida 1
777078	14930	
777078	41011	
777078	57870	Isabel Güemes
777078	58407	
777078	69703	The aunt
777078	84176	
777078	146533	Sara
777078	162803	
777078	183467	
777078	202838	Berta
777078	215221	
777078	239276	
777078	281612	
777078	289080	
777078	307725	
777078	309246	(segment "Corazonada")
777078	322220	
777078	380098	Vanina
777078	392804	Mercedes
777078	398517	Tía Rosita
777078	398526	Tía Rosita
777078	403677	
777078	403748	
777078	406050	Alma
777079	132686	Herself
777079	275280	Matilde
777079	381255	Herself
777079	386882	
777079	390451	Monica
777080	132686	Herself
777080	275280	Matilde
777080	381255	Herself
777080	390451	Monica
777081	397773	El ye-ye
777082	213717	Lola
777082	404140	La Meche
777083	89592	
777084	90971	
777084	134226	
777084	211268	Marina
777084	303805	
777085	236067	
777086	176144	Summer fairy
777087	253632	
777088	85150	
777089	48330	
777089	86611	
777089	95693	
777089	122798	
777089	176137	
777089	188525	
777089	217277	
777089	217282	
777089	227120	Actress
777089	229023	
777089	244046	
777089	273707	Lidiya
777089	301897	
777089	343310	Anya
777089	374053	
777089	400500	
777090	104258	
777090	313624	
777091	303802	
777092	356120	
777093	411802	Kate Valentine (#2) (1994)
777094	28493	Townspeople
777094	107145	Linda Blake
777094	204218	Mrs. Leeds
777094	315171	Mary
777095	251697	Celia
777097	87936	Student
777098	44433	Girl in Subway
777098	247990	
777098	362365	Undetermined Role
777099	213581	Chorus
777100	90314	Natalie
777100	395544	Becca
777100	410801	Buzzy Basham
777101	21046	Nympho
777102	262015	News Reporter
777103	346099	Zack's Girl
777104	34610	Mrs.Crevand
777104	47194	Vera Campbell
777104	77214	Kate Lowry
777104	79556	Agnes Wickfield
777104	99287	Lettice Howard
777104	160572	Deborah St James
777104	169868	Gypsy Saleswoman
777104	203525	Lulu
777104	212093	Joanna
777104	259165	Cuby Trevanion
777104	273346	Greta Banham
777104	302143	Sarah
777104	364468	Josie
777104	368136	Sukey damson
777104	380844	Sophie Moore
777104	389124	Holly
777104	389125	Holly Forsyte
777104	397649	Jasmine (navigator)
777105	14272	
777105	31791	
777105	347534	Kate
777105	400236	Carol Emily MacIver (2002-200
777106	158175	Beth
777106	175060	Lynn Bedik
777106	260639	Beth
777106	275471	Elaine Devlin
777106	279692	Judy
777106	372097	Rachel Louise Prescott
777106	381354	Megan Salerno
777106	392459	Parkie Sasser
777106	398942	Chloe Banks (1995-1996)
777106	411176	Carrie Baker
777106	411272	Beatrice Russell (2003)
777107	396548	Gracie, Cleo's Mother
777108	205833	Angela
777109	129974	Coco
777109	171092	Female Vice Cop
777109	176437	Madonna
777109	177481	Wedding Planner
777110	159965	Herself
777110	247036	Tilly Tuckerton
777110	257686	Vonnie
777110	306500	Dianne
777110	314729	Rosie
777110	331696	Maeve
777110	340583	Jury's Maid
777111	315444	Filomena
777112	111442	Shermerite
777112	196706	Angie
777112	331533	Franny Perrins
777113	11521	Tricia
777114	36571	
777115	292440	Herself
777116	65415	Mrs. Mac Bourney
777117	93982	
777118	6005	Actor in Richard III
777118	9967	
777118	185110	
777118	186446	TV Host
777118	381094	Kate
777119	363146	MC at award ceremony
777120	352465	Aengus' Secretary
777121	16644	Theatre Nurse
777122	37118	Beautiful Dancer
777122	49514	Mother 2
777122	105600	Commercial Mom
777122	224314	Diana Dytwicz
777122	240421	
777122	242549	Susan
777122	275471	Brill
777122	319486	Casino La Fantastique Sally
777122	379716	Unknown
777123	944	Party woman
777123	46854	Janice Avery
777123	160887	Paramedic #2
777124	8079	Marika
777124	230947	Rita
777124	247204	Enid
777124	274312	Marlene
777124	365381	Ruth
777124	406363	Lucy Swann
777125	274200	Kelly
777127	317260	Office Worker
777128	314494	Model
777130	23583	Sharon Smith
777130	30582	Felons Cheerleader
777130	37690	Lingerie Woman
777130	87697	Baby Doll Dancer
777130	126056	Wallace Girl
777130	306785	Extra
777130	358291	Chris
777131	185397	Oriana
777131	321154	Frug dancer
777132	288943	Dock Kid
777133	224192	Showgirl
777134	270008	Cornwall Cousin
777135	82769	
777135	121404	'I Want You' Woman
777136	195987	Juberlee's Mom
777137	70753	Judy Corey
777137	159765	Bobbie Adams
777137	178081	Melissa
777137	334278	Bonnie
777137	389858	Angela (1982)
777138	646	Other 'Gold Mine' Girl
777139	363668	Mia Baker
777140	408694	Designer (2000-2001)
777141	69257	Bully Inmate
777141	224106	Manning Nurse
777142	191038	Cameo Girl
777142	270381	Lucille, Dan's Receptionist
777142	272915	
777143	18635	Lillian
777143	22810	Grandma
777143	34104	Mrs. Smail
777143	73835	Woman in Shop
777143	98161	Gladys
777143	154040	Estelle
777143	159119	Mrs. Baker
777143	163610	
777143	200521	Mary
777143	207906	Lily Wyckoff
777143	248884	Marilyn Buckman
777143	258103	Jean
777143	366433	Annie Wright
777144	346121	Dying Woman's Daughter
777145	220830	Tri Gam Coed
777146	207706	Philip's Friend
777147	126606	Prostitute
777147	243564	Mitch's Date
777148	359284	Marie
777149	6	
777149	3040	Herself (Memorial Tribute)
777149	7065	Mrs. Roman
777149	14250	Colonel
777149	19127	Mrs. Stockley
777149	19833	Miss Grundy
777149	37480	Lucy
777149	58959	Mavis Talmadge
777149	63075	
777149	64405	Marie Davis
777149	80765	Frieda Beezly
777149	106628	Sister
777149	116045	Belle Chance
777149	122245	Mrs. Langendorf
777149	127100	Judge
777149	130971	Cook
777149	133497	
777149	136053	Miss Hannah
777149	142422	Mother Maggie
777149	147277	Flora
777149	151659	Mrs. Toklas
777149	168648	Aunt Aggie McAdam
777149	190209	Beatrice's Mother
777149	194007	Mrs. Zerelda Cole Samuel, Jes
777149	197018	Ma
777149	205315	
777149	231507	Jeannie
777149	245007	Atlas' Secretary
777149	247039	Ma Blankenship
777149	247565	
777149	255258	
777149	264825	Miss Dutchbok
777149	269844	Ms. Dylanne
777149	273623	Granny Plug
777149	279152	Hattie Clandell
777149	280281	Adrian's Nurse
777149	288999	Farmer Wilma
777149	289455	Farm Woman
777149	299663	Judge
777149	312958	Ellen Mott
777149	314631	Fainting Lady
777149	315899	Cafe Owner
777149	319876	Lady in Car
777149	320378	Mrs. Lucerne
777149	323478	Mrs. Hinkle
777149	329346	Lois
777149	336782	Gert Long
777149	386238	Additional Voices
777149	386778	Aggie Thompson (1968)
777149	389858	Sister Agatha (1979)
777149	390622	Doris Ziffel #2 (1969-1971)
777149	390803	Miss Hannah (saloon owner) (1
777149	391834	Nina Carrolle
777149	391955	
777149	395731	Hannah the Barbarian
777149	397930	
777149	399301	Ms. Goodbody
777149	399558	Mrs. Belmont
777149	405330	Gertrude Gouch (1975)
777149	411320	Tillie Russell
777150	263791	Marianne
777150	282384	Barbara Douglass QC
777150	368445	TV Awards hostess
777150	385020	Miranda Peters (1998-1999)
777150	391786	D.S. Green (1997)
777150	397299	Dr. Claire Armstrong, senior 
777151	7799	
777151	68450	Pawnbroker
777151	81539	Molly Sinclair
777151	93670	Woman
777151	108225	Paula Spencer
777151	117728	Ruth O'Neil
777151	120817	Elsie
777151	160884	Maura
777151	195551	Anna Walsh
777151	217411	Orphanage Woman
777151	276919	Maggie Lynch
777151	302878	Niamh
777151	350349	Maggie Reeves, Bimbo's Wife
777151	359284	Fergus' Mum
777151	380073	Rose
777151	399567	Siobhan Cassidy
777151	400110	Mrs Sowerberry
777151	401675	Grainne Mulligan
777151	402610	Margaret Jones
777151	402611	Margaret Jones
777151	405016	Efa Sullivan
777152	84970	Mary Walker
777152	149468	
777152	193852	
777152	194661	
777152	254588	Marian Huntley
777152	281773	Alice Wallace
777152	281854	Naomi Coles
777152	286384	
777152	306324	Margot McFarlane (prologue)
777152	363163	Settler's Wife
777153	70100	
777154	72376	Sorority Girl
777156	33458	
777156	34463	Queen Wilhelmina of The Nethe
777156	46804	Mrs. Farraday
777156	74323	Aunt
777156	99081	Princess Alex
777156	140518	Mrs. Crowther
777156	190389	Margot Maxwell
777156	207022	
777156	216217	Lucy
777156	223765	Lavinia Dakers
777156	387334	Princess Alex/Queen Alexandra
777156	390987	Hannah Mole
777156	398684	Celia Blake
777156	401275	Mrs. Harville
777156	402305	Madame Balzac
777157	77578	Samantha
777157	126700	Evelyn
777157	236683	
777157	289452	Girl Reporter
777157	317153	Tina
777157	382701	Jill Foster (season 1)
777158	294	Granny (Beverly Hillbillies)
777158	295	Granny (Beverly Hillbillies)
777158	19797	Irate wife
777158	27260	Granny (Beverly Hillbillies)
777158	32073	Miss Beatrice Kent
777158	35507	Herself
777158	36999	Irene
777158	40063	Alvina, a lady in waiting
777158	43774	Nancy
777158	83834	Nora Finney
777158	85995	Louise
777158	90437	Cameo appearance
777158	137469	Kay
777158	141015	Molly
777158	142126	Irene
777158	146177	Irene
777158	147451	Edgar's Wife
777158	150298	Polly Kane, O'Hara's Wacky Se
777158	159124	Mrs.Kennedy
777158	163252	Irene
777158	171254	Irene
777158	187307	Herself
777158	191912	Mrs. Tremble
777158	209599	Tillie
777158	210393	Mrs. Higby
777158	210429	Gloria Brewster
777158	213465	Girl at the bar
777158	216909	The Wife
777158	223829	Mary (Waterbury's housekeeper
777158	237584	Irene (Princess Sheba)
777158	239849	Mrs. Shaw
777158	251406	Irene
777158	277000	Elsie
777158	277804	Miss Clay
777158	280130	Eunice
777158	286911	Sheila Jones
777158	288306	Irene Raynor
777158	304065	Mrs. O'Rourke
777158	312003	Miss Stapleton
777158	318623	Irene
777158	325978	
777158	329148	Opal Cheever
777158	329481	Prudence
777158	329616	Bilson
777158	329987	Mrs. Mullin
777158	346908	Bit Part
777158	358035	WAC Sgt. Kearns
777158	358059	Irene
777158	365755	Cleopatra
777158	367582	Mrs. Mary Wernecke
777158	381806	Daisy Mae Moses 'Granny Clamp
777159	38864	Dance Teacher
777160	61614	Mrs. Meglin
777161	263439	Young Sonia
777162	164653	Jacqueline McNeil
777163	81276	Nurse
777163	401079	Wife #4
777164	360032	Stripper
777165	279200	Dancer
777166	411529	Weekend Anchor, Reporter (200
777167	174152	
777167	273715	PC Logan
777167	273717	WPC Ellen Logan
777167	273718	WPC Logan
777167	274850	Madge
777168	2787	Herself
777168	2797	Herself
777168	66274	Kimberly
777168	92263	Gwendolyn
777168	92666	Valerie Sharpe
777168	115068	Felicia Kane
777168	158313	Rebecca
777168	176410	Herself
777168	185394	Sarah
777168	207902	Carrie Locke
777168	210730	Lydia
777168	232442	Dawn Elizabeth Smith
777168	255523	Beth Saunders
777168	257264	
777168	313400	Seven of Nine
777168	344548	
777168	382556	Ronnie Cooke (2001-2004)
777168	385722	Juliet (1997)
777168	393948	Nicole
777168	406409	Seven of Nine (1997-2001)
777169	117839	Insurance Agent
777170	185253	Ships Computer Voice
777170	226902	Mrs. Crisp
777170	390340	Ms. Tina Paladrino
777171	386512	
777171	404282	Ambassadors Wife
777172	123435	Kaleigh Baer
777173	968	Soccer Mom #1
777175	99999	Showgirl
777176	315999	Gabrielle
777177	944	Laura
777177	114451	The girl
777177	286871	Mother
777178	25101	Lena
777178	54453	Anne Killain
777178	54541	Lady Anne More
777178	63161	Beatriz
777178	104047	Esther Waters
777178	129104	Kathleen
777178	164653	Elizabeth McNeil
777178	186463	Catriona Matheson
777178	238244	Kathleen Sullivan
777178	262799	Catherine Morell
777178	309626	Judy Tyler
777178	338917	Terry
777178	371016	Emily Palmer
777179	92858	The Apprentice
777180	311946	Diane
777181	245387	Kate Dalton
777182	78955	Party Girl
777182	236144	
777182	272020	Christy Hutchensen
777183	73950	Mrs. Pinkston
777184	249573	Our Gracious Hostess
777185	215512	Gina Angelasanto
777185	289526	Lori
777186	264428	Allie
777187	177081	Herself
777188	231333	
777189	167096	Herself
777190	3265	Paula
777190	15240	Gretchen
777190	17941	Leslie
777190	35451	
777190	42721	Amy Mitchell
777190	44418	Kay Stewart
777190	72114	Hostess
777190	127730	Donna Duck
777190	232066	Sorority girl with hairbrush 
777190	260059	Auburn
777190	288944	Aunt Betsy
777190	328551	Vickie
777190	333357	Deidra
777190	358812	Tour Guide
777190	404282	Lisa Fenimore Castillo #1 (19
777191	372555	Teenage Girl #2
777192	284538	Studio secretary
777192	293040	Muriel Curdy
777192	318706	Mrs. Ricks
777192	410953	Cunning customer
777192	411363	Helen Thaler
777193	79447	Carolyn Dunn
777193	95844	Herself
777194	378934	Herself (1997-)
777195	56262	Sheryl Bolen
777195	81683	Amy Miller
777195	117789	Rebecca Bradshaw
777195	149971	Caroline
777195	257790	Dana Erikson
777195	301564	Holly Sherman
777195	314434	Linda Conner
777195	319923	Sara Waters
777195	328912	Carla Daniels
777195	332774	Diane
777195	342653	Janna Riley
777195	360647	Annabelle Nelson
777195	368058	Kim
777195	385886	Maria Cavalos (1994)
777195	386760	Wanda Plenn (1989-1992)
777196	166871	Additional cast
777197	154301	Secretary
777198	3965	Jean's Mother
777198	65764	Dr. Branom
777198	71659	Beattie
777198	75881	Mother
777198	88882	Mrs. Clapper
777198	100957	Michael's Mother
777198	108265	
777198	119872	Mrs. Davison
777198	130474	Mrs. Dean
777198	138120	George's Wife
777198	154619	Mother
777198	179513	Margaret
777198	183834	Rose Flood Porter
777198	217410	Mrs. Oliver
777198	271202	Mrs. Rainbird
777198	284583	Stewardess Violet Jessop
777198	311534	Woman with Dog
777198	315994	Aunt Mary
777198	318716	Stella Winters
777198	330776	Kitty
777198	332361	Millie Brooks
777198	348532	Policewoman
777198	364190	Beecham
777198	366990	Mrs. Finch
777198	380360	Rachel Lynde
777198	381483	Florence Raymount
777198	388306	Ruby Davidson
777198	392019	Arabella Codsall
777198	395918	Mrs. Vizzard
777198	399772	Mother (1971)
777199	944	Carol
777200	87062	
777201	143650	
777201	275880	Gwendolyn Garrotte
777201	289113	Old Lady
777201	311253	Mrs. Pritzker
777202	51986	
777203	38241	Herself
777203	163503	Cameo appearance
777203	406253	Resident vocalist (1959)
777204	66939	Viktoria
777204	69390	Susan Stapleton
777204	75399	Dayna
777204	82339	Arlene Gum
777204	90237	Anna
777204	171335	Julia
777204	193175	Lauren Giorgio-Wallace
777204	195313	Julia Bradshaw
777204	203313	Gertrude
777204	206833	Meredith Rousseau
777204	252259	Leslie Mayhugh
777204	278082	Janet (Age 19)
777204	304650	Suzy
777204	326245	Liz
777204	334227	Lashonda
777204	338345	Alex Staley
777204	361907	Abby
777204	366842	Zoe
777204	366908	Justine Norris
777204	388238	Dede Napoli
777204	396538	Elizabeth Cooper McGillis
777204	399294	Det. Nell Delaney (1998)
777205	85014	Marge
777206	79262	Sue Randall
777207	264036	Nurse Yeager
777208	245305	Maura O'Donnell
777208	272953	Survivor
777209	5532	
777209	6847	
777209	40622	Mary Barnes
777209	61384	
777209	64412	
777209	65767	
777209	71925	Mary
777209	79203	
777209	105387	
777209	108327	
777209	109710	
777209	144484	
777209	146288	
777209	148409	Mary Colton
777209	158301	
777209	203088	
777209	251736	
777209	252119	
777209	262058	
777209	272766	
777209	274741	
777209	315316	Nell Jones
777209	347359	
777209	348507	
777209	360212	
777209	360549	
777209	364198	
777211	157797	Julia
777212	22817	
777213	356896	Jian the Weaver
777214	151050	Amy Wolfe
777215	308018	
777216	1674	Herself
777216	2940	Herself
777216	6262	Maggie
777216	7582	Herself
777216	8092	Jackie Kallen
777216	13751	Herself
777216	14485	Lisa
777216	15220	Denise
777216	15887	Anastasia
777216	20434	Maggie Cavanaugh
777216	57665	Sally Albright
777216	58022	Herself
777216	64842	Maggie Rice
777216	69079	Herself
777216	71923	Captain Karen Emma Walden
777216	76241	Sydney Fuller
777216	90932	Pamela Courson
777216	96555	Herself
777216	115252	Kay Davies
777216	119792	Kate
777216	138365	Eve Mozell Marks
777216	151341	Herself
777216	153094	Bonnie
777216	155094	Catherine Boyd
777216	158151	Frannie
777216	158307	
777216	159959	Lydia Maxwell
777216	168292	DeDe/Angelica Graynamore/Patr
777216	174503	Kate McKay
777216	201682	Herself
777216	247971	Mary Hemingway
777216	262798	Rita Boyle
777216	263206	Donna Caldwell
777216	265762	Bev
777216	265824	Alice Bowman
777216	276386	Katharine
777216	277622	Debby, 18 Years
777216	291971	Herself
777216	304829	Annie Reed
777216	335835	Carole Bradshaw
777216	336297	Kyra Mossbacher
777216	362675	Alice Green
777216	362808	Sally Albright
777216	372372	Kathleen Kelly aka Shopgirl
777216	380713	Betsy Stewart Montgomery Andr
777216	383414	Dr. Blight (1990-1991)
777216	400249	Jane
777216	411171	Cally Oaks (1985)
777217	356325	Patti
777218	299963	Barbara Devlin
777219	323983	
777220	23919	Herself
777220	68097	Zoe Slater
777220	96867	Herself
777220	96872	Zoe Slater
777220	387247	Zoe Slater (2000-)
777221	191822	
777221	192599	Dorothy Langdon
777221	203516	Polly Brooks
777221	329876	Mary
777221	365541	Edgar's Sweetheart
777222	30646	Student #6
777223	97697	Lady Fitzmaurice
777223	244345	Mrs. Waterman
777224	235595	Ethel Clark
777226	385020	Bobbi Lewis (2000-2002)
777226	386034	
777226	397740	Lehann Evans (2003-)
777227	14487	Amy
777227	56462	Little girl
777227	70558	Robin Loren
777227	77146	Hannah
777227	79915	Jenny
777227	101778	Julie
777227	109971	Ann Marie
777227	130311	Kitten Anderson
777227	131348	Cindy Isley
777227	177643	Linda Hansen
777227	185774	Ellie Travis
777227	205276	Mary Ann Marciano
777227	206856	Mary Jane Harper
777227	256593	Amal, age 4
777227	295619	Kerry
777227	321746	Young Sybil
777227	385824	Hope Alice Williams (#3) (197
777227	395056	Amy Thackeray
777228	18967	Pam
777228	98921	Allison
777228	386758	Dabney
777229	163491	
777230	367083	Bouncy Artist
777231	11158	Gay Night
777231	26146	Trudy Costello
777231	38033	
777231	45232	Specialty Number
777231	62269	Peggy Flaherty
777231	116222	Miss Edith Corrigan, Doug's S
777231	116523	Herself
777231	126513	Betty Blake
777231	128897	Penny
777231	129095	Peggy
777231	143565	Patty
777231	210751	Doris Mann
777231	211589	Patsy Monahan
777231	215469	Myrtle
777231	215981	Peggy
777231	240650	Molly Sullivan
777231	250724	Judy Watkin
777231	258051	Elderly Woman
777231	264603	Peggy
777231	285664	Ellen
777231	297269	Eileen Rogan
777231	297967	Trudy
777231	299288	Herself
777231	329616	Sheila Gogarty
777231	329987	Sally Mullin
777231	330809	Sally McGuire
777231	335852	Jane Warren
777231	335868	Peggy
777231	360707	Jill
777231	362491	Peggy
777231	362877	Dusty
777231	367841	Mary Jane
777231	391161	Jenny Sherman (1969-1976)
777232	196538	Nanny Swift
777233	54453	Bridget
777233	79557	Mrs. Gummidge
777233	158043	Ellie Irwin
777233	177415	
777233	193633	
777233	257612	
777233	363146	Old woman
777233	402956	Mrs. Rattray
777234	218555	Nurse Peaches
777235	6732	
777235	7719	
777235	7723	
777235	7733	
777235	7734	
777235	26924	Herself
777235	26948	
777235	27197	
777235	34726	
777235	34758	
777235	34759	
777235	34863	
777235	34920	Herself
777235	35739	
777235	57124	
777235	62009	
777235	65453	Karen Peluso
777235	66069	
777235	85776	
777235	85824	
777235	91834	Herself
777235	91919	
777235	97506	
777235	113468	
777235	121554	
777235	147887	
777235	148557	
777235	159940	
777235	160408	(segment "Love The One You're
777235	177744	
777235	183989	
777235	186511	
777235	192227	
777235	228661	
777235	249379	Rachel
777235	258065	
777235	260146	
777235	264800	
777235	270439	
777235	273538	
777235	273546	
777235	291286	
777235	291459	
777235	292844	Blonde Girl/Boat
777235	306605	
777235	311452	Herself
777235	311453	Herself
777235	311457	Herself
777235	313192	
777235	313248	
777235	313260	
777235	313289	
777235	320466	
777235	330675	
777235	340404	
777235	345723	
777235	348369	Herself
777235	362602	
777235	364815	
777235	365643	
777236	173467	Victim 3
777236	391079	
777236	405048	Debbie Carter
777236	406464	Karen Collins
777237	47930	Female Partygoer
777237	81774	Kate
777237	171092	Heather
777237	367674	Contestant
777238	24749	Eddie
777238	61761	Camper #2
777238	113558	Doreen
777238	218162	Katie
777238	279845	Nikko
777238	292460	Margret
777238	336556	Angie
777239	69853	Angel
777239	355766	Agnes
777240	102016	Herself (interview segment)
777241	143526	Thalia the Muse of Comedy(sho
777241	143527	Thalia
777241	143543	Thalia
777241	177076	Wade's Mom
777241	232630	Mildred, Nikita's mom
777241	232635	
777241	361475	Nurse
777241	379694	Flo Anderson
777241	379948	Sister Amelia
777241	385677	Chickie
777241	390348	Mrs. Dixon
777242	62273	Girlfriend
777242	81618	Miss Fillingham
777242	236494	Darlene
777242	328371	Cal Manderson
777243	333120	Person of the Night
777244	274022	Gram Bryant
777245	121506	Tana's Daughter
777246	50376	
777246	99766	Nymph #2
777246	156474	Lisa
777246	227006	Woman in Pool
777246	232293	
777246	252389	
777246	252390	
777246	252391	
777246	252399	
777246	252402	Pet
777246	258075	Phoebe (episode "His Tale Her
777246	276904	Gena
777247	53058	Melissa
777248	203062	Rider
777249	245112	Singer #1
777250	244347	Jess
777251	37689	June
777251	161893	Shari Vail
777251	258074	Christy (segment "Partners")
777251	258079	Virtual Reality Girl #1
777251	354961	Lydia
777252	3930	Margo
777252	37061	Lillian
777252	51985	Kit Warren
777252	54960	Agatha Mathers
777252	55047	Mrs. Jean Gilbert
777252	66369	Dale Cameron
777252	72222	Dr. Nan
777252	80543	Kate Ransome
777252	80674	Vivian
777252	93571	Connie Earle
777252	109221	Dorinda
777252	113601	Carolyn Palmer
777252	116897	Girl
777252	123717	Vivian Potter
777252	124701	Susan Wetherby
777252	126670	Patty
777252	130671	Laura Mason
777252	130808	Gwen
777252	133643	Ginger Hammond
777252	141383	Toni Wentworth
777252	144685	Edie Hanson
777252	168265	Myra
777252	170792	Anne Lawrence
777252	183418	Jerry
777252	190268	Girl
777252	193710	Barbara Longstreth
777252	193732	Sharon Montgomery
777252	199158	Hostess at Charity Bazaar
777252	207149	Ginny O'Donnell
777252	222137	Sheriff Carol
777252	231780	Miss Borgia
777252	240952	Lila
777252	246251	Lola Riker
777252	254710	Mona Bannister
777252	269364	Girl
777252	271144	Rosie Ryan
777252	278541	Janet Brannigan
777252	304966	Christine Wright
777252	308066	Melanie Walker
777252	308615	Sue Bennett
777252	312272	Vicky Doran
777252	316666	Carmen Flores
777252	318933	Telephone operator
777252	331123	Miss Claire
777252	360191	Mitzi Kriza
777252	360420	Diana Hempstead
777252	361774	Martha Stuart
777252	362087	Jessie
777252	364187	Lee Dale
777253	203549	
777253	242509	Ellen
777253	298314	Sarah
777253	314927	Party-girl Bit
777254	71742	School Girl
777254	113505	
777254	177632	
777254	325146	
777255	179513	Erica
777256	259266	Judge Mildred Simpson
777257	32203	Sharon
777257	42696	Nancy
777257	65812	Ashley
777257	70925	Daisy
777257	109485	Ashley
777257	109486	Ashley
777257	117344	Lisa
777257	117387	Norma Jean
777257	128166	Sara
777257	128606	Herself/Model 'Ladies Night'
777257	128756	Herself
777257	147840	Jennifer
777257	150088	Bijou the Dancer
777257	150965	Rosemary
777257	160659	Gina
777257	176864	Raquel
777257	255156	
777257	314111	Mandalay Model
777257	360625	Jenni
777258	280228	Roll Caskett
777258	280229	Roll Caskett
777258	314156	Toy Store Salesperson
777258	388984	Lydia Lopez
777258	395723	Duck
777258	398973	Nancy Drew
777258	399119	Linda Bliss
777258	408294	Doris
777259	242872	Executive #2
777260	287702	Mom
777261	136821	Cousin Hebe
777261	162095	Leila
777261	213581	Chorus
777261	213582	Peep-Bo
777261	256619	Kate Stanley
777262	299395	TV Anchorwoman, Wendy Terrera
777263	97688	Sally Walker
777264	155013	Girl/Jack's movie
777265	32155	Danitra
777265	127531	Theresa Thornton
777265	178279	Marni
777265	191051	
777265	275107	Jill
777265	297382	Dream Sequence Hooker
777265	346933	Donna Berman
777266	57811	
777266	63097	Felicity
777266	64904	Nuerse Florence Stoddard
777266	108334	Dr. Fowler
777266	194538	Barbara
777266	311516	Patti Daniels
777267	124843	
777268	12805	
777268	30506	
777268	30634	
777268	33818	Alyosha's mother
777268	35852	
777268	77482	
777268	82779	
777268	89592	
777268	95576	
777268	104429	Barmaid
777268	120697	
777268	160595	
777268	175658	
777268	176056	
777268	178727	(segment Khozyain)
777268	179090	
777268	180103	
777268	180756	
777268	181404	
777268	198134	
777268	219723	Antonina
777268	226012	
777268	238100	
777268	244644	
777268	258432	
777268	258444	
777268	258612	
777268	261581	
777268	261639	
777268	264983	
777268	283767	Russian Guest
777268	283825	
777268	310490	
777268	317466	
777268	339284	
777268	343959	
777268	349083	
777268	371351	
777268	373971	
777268	375446	
777268	375674	
777268	385990	
777268	394620	Lyuba
777270	216609	
777271	134784	
777272	296027	Policewoman
777273	330423	Mrs. Weldy
777274	192625	
777275	170418	Michelle
777276	8581	
777277	95952	
777278	120158	
777279	5186	Les mannequins
777280	283174	Herself
777281	6580	Lena's friend at Den Gyldene 
777281	9543	Prompter
777281	17564	Nurse
777281	29627	Countess Linberger
777281	48367	Guest at the wedding
777281	115382	Woman
777281	115400	Guest at Loffe's party
777281	138433	Woman at the tea party
777281	142337	Hotellgäst
777281	164651	Customer
777281	180937	Margit
777281	181130	Lady
777281	192657	Guest at welcoming party
777281	308802	Guest on Kalle's birthday par
777281	315365	Guest at the anniversary
777281	348501	Kvinna på julmarknaden
777281	350564	Nurse at the gynecologist's
777281	353013	Woman in the football audienc
777282	376176	Iwonka
777282	396286	Eliza (2004-)
777282	404216	Agata Rowicka
777282	411110	Maria Bronowicz
777284	399344	
777285	86470	Olga
777286	33818	Lyusya
777286	356537	Kid (Voice)
777287	17346	Tanjas Veninde
777287	368740	Cindy
777288	305004	Pia
777289	346413	Herself
777290	290070	Club singer
777291	339418	Titorelli's Girl
777292	230461	Peggy
777293	17112	Anicka
777293	35871	Katerina
777293	120405	Princess
777293	181350	
777293	182470	Blond Maiden
777293	200964	Nicole Prieur
777293	219753	Troubled Girl
777293	221869	
777293	237449	Countess
777293	285862	
777293	310644	
777293	321459	Svenja
777293	339418	Titorelli's Girl
777293	340427	Girlfriend
777293	375405	Princess Libena
777293	378351	Stephanie
777294	318871	Child
777295	183138	
777295	187381	Sirín
777295	317257	Anicka
777295	349365	Studentka Jana
777296	62512	
777296	147234	
777296	386132	Princess Desideria at age 10
777297	92021	
777298	28258	
777298	48771	
777298	104429	Lena
777298	179668	
777298	238766	
777298	244651	
777298	252817	
777298	300544	
777298	349311	
777298	350832	
777298	357221	
777298	371345	
777298	374178	
777299	16928	Buyer
777300	399141	Zuzka
777301	315814	
777302	74769	Sara, Holzman's Daughter
777302	95960	Woman in TV
777302	202572	Prostitute
777302	255611	
777302	412075	Jowita
777304	77212	Lesley
777304	81123	Karen Surtees
777304	96799	Stella Moorhouse
777304	187811	Angela Harrison
777304	385020	Maz O'Loughlin (2003)
777304	401652	Mikey
777304	405668	Juliet
777304	406549	WPC Carol Egerton
777304	407177	Miranda
777305	282313	Hooker in Window
777306	327093	Mrs. Wills' Child
777307	42200	Berit
777307	48366	Anna Söderberg
777307	94022	Popsy
777307	109277	Amanda Propp, cabaret singer
777307	180392	Girl at Party
777307	210340	Herself
777307	276140	The cook
777307	309637	Kulla Larsson
777307	396255	Tant Nära
777307	408799	Herself - Member of the Show 
777307	408935	Gloria
777308	225233	Wilhelmina
777308	308193	Eva-Louise
777309	164362	Linnea
777310	210346	Herself
777311	182302	Girl
777312	340268	
777314	340253	Stava
777315	148819	Journalist
777316	122466	Leo's Class Mate
777317	117162	50's TV Show Dancer
777317	165278	Christine White
777317	279193	Betty Gaumer
777318	210345	Herself
777319	284628	Claris
777320	139611	Theatre Patron
777321	35362	
777322	50262	Elizabeth
777322	342561	Reporter
777323	64326	
777324	154368	Herself
777324	280625	Herself
777324	362730	
777324	383886	Presenter
777324	383892	Designer (1998-)
777324	390120	Herself
777324	392124	Presenter (2004)
777325	56923	Emily Ellison
777325	68164	Loveday Carey-Lewis
777325	227327	Loveday Carey-Lewis
777326	52562	Prop Master
777326	53823	Hostile Woman at Cabrini Gree
777326	241141	Peggy
777326	245625	Susan
777326	407470	Frieda
777327	381087	Mandy
777328	408964	Debbie
777329	215154	Mrs. Hopkins
777329	272536	Fat Lady
777330	362952	Singer, Adult
777331	142501	Candy Cave
777332	34658	
777332	306911	
777332	306923	Herself
777333	754	
777333	21915	
777333	41632	
777333	45873	
777333	65794	
777333	66108	Maggie
777333	71492	Second Waitress
777333	76932	
777333	83829	Melissa Howard
777333	99981	Kelly
777333	99986	Kelly
777333	108643	
777333	109229	
777333	128235	
777333	128694	
777333	128740	
777333	140952	
777333	149336	
777333	161186	Gangster's Playmate
777333	167526	
777333	171010	18yr Old Latin Girl
777333	201449	
777333	228031	
777333	235147	
777333	242554	
777333	250651	
777333	289425	Blonde Girl
777333	294292	
777333	295719	Pvt. Parts
777333	295728	Keri (Strip Poker Girl #1)
777333	295730	Anne
777333	295936	
777333	300524	
777333	302580	Diana
777333	306908	
777333	306916	
777333	316127	
777333	330411	
777333	353743	
777333	361243	
777333	361951	
777334	13278	
777334	13279	
777334	28866	
777334	39069	
777334	85604	
777334	95824	
777334	110357	Club Patron
777334	139277	
777334	147625	
777334	147699	
777334	170898	
777334	185888	
777334	186760	
777334	188079	
777334	188171	
777334	191354	
777334	219151	
777334	269426	
777334	276864	
777334	307015	
777334	314502	
777334	316611	
777334	338293	
777334	340523	
777334	359287	
777336	323497	Restaurant Patron
777339	139745	Jonathan's Mother
777340	196586	Dominatrix
777341	40089	Sam
777341	50857	Herself/Kay-Em 14
777341	64854	Kim
777341	165852	Kay-Em 14
777341	315096	Joey
777341	315979	Halley
777341	380218	Rebeka 'Beka' Valentine
777341	389100	Det. Tracy Vetter (1995-1996)
777342	104790	Backing Vocals
777342	119411	Herself
777343	211986	Extra 4
777344	387533	Lucy Dyer (2000)
777345	404092	Helen diAngelo
777346	187048	Mrs. Gridley
777347	236972	Child at the Party
777349	364556	Cafe Waitress
777349	365942	Mrs. Littlejohn
777349	366463	Peasant
777351	399816	Elsie Shrimpton (1977)
777352	115378	Herself
777353	160375	Hospital personnel
777354	26112	
777355	2136	Jennifer's Friend
777356	26169	
777357	1411	Beth
777357	1725	Herself - Presenter
777357	2940	Herself
777357	3044	Herself
777357	8183	May Welland
777357	10916	Annalee Call
777357	13930	Herself
777357	24703	Charlotte Fielding
777357	33179	Herself
777357	45587	Patty Vare
777357	57654	Nola
777357	60685	Charlotte Flax
777357	73989	Abigail Williams
777357	79810	Narrator
777357	81629	Herself
777357	92660	Mina Murray/Elisabeta
777357	96555	Herself
777357	97727	Kim Boggs
777357	128583	Susanna Kaysen
777357	133475	Myra Gale Lewis
777357	141185	Psychologist
777357	141592	Veronica Sawyer
777357	151071	Blanca
777357	151625	Finn Dodd
777357	159975	Herself
777357	192413	Jo March
777357	194289	Lady Anne/Herself
777357	194963	Maya Larkin
777357	196706	Rina
777357	201610	Herself
777357	201675	Herself
777357	206898	Mary Warner
777357	211529	Charlotte Flax
777357	220891	Babe Bennett/Pam Dawson
777357	232134	Corky
777357	241741	Herself
777357	244016	
777357	273473	Lelaina Pierce
777357	274586	Herself
777357	284628	Nicola Anders
777357	289469	Donna
777357	312270	Gemma
777357	320901	Herself
777357	352687	Charlotte Flax
777357	361167	Dinky Bossetti
777357	375827	Herself
777357	389416	Extra
777358	45644	Herself
777359	248576	
777360	114767	Ragnhild, lensmannens niese
777360	237071	Ragnhild
777361	109132	Mrs. Green
777361	209306	Connie
777361	301037	Katinka
777361	377298	Young woman
777362	84317	Countess Agatha von Sommerfel
777362	91521	Mrs. Padius
777362	107326	The wet-nurse
777362	138529	Hellberg
777362	182302	Mrs. Brobäck
777362	303653	Maja
777362	338674	Anna Ek
777362	350397	Edit, Johannes' sister
777363	210352	Herself/Host
777363	381706	Smulan Bordéll
777364	6586	Liskulla
777364	95273	Frida
777364	108200	Woman at Dog Show
777364	120023	Hostess
777364	125828	Mrs. Hulting
777364	138526	Mrs. Enberg
777364	164651	Julia
777364	164772	Alma Carlsson
777364	182464	Mrs. Pallin
777364	200410	Agda Löfbeck
777364	203102	Sofi
777364	244073	
777364	254251	Aunt Lindström
777364	282087	Lovisa
777364	284048	Petruschka
777364	296112	Nurse Emma
777364	303856	Julia
777364	306371	Cook
777364	312022	Farmer's Wife
777364	312231	Ida Karlsson
777364	312696	Hulda
777364	315360	Amalia
777364	321510	(uncredited)
777364	337888	Ottilia Strömbom
777364	338674	Mimmi Drake
777364	338708	Aunt Augusta
777364	343471	Ester Örn
777365	410203	Participant (2000)
777366	108858	Aase, Sjurs kone
777366	109041	Signekjerringa
777366	192486	Guro, mor til Aslak
777366	237071	En fantekjerring
777366	281992	Marthe, husholdersken
777366	302087	
777367	172517	Hege, budeie
777368	214698	Stasia
777369	405292	Extra
777370	241216	Extra
777371	368190	Emily Banks
777372	98752	Demonstrant
777372	191526	
777373	410203	Participant (2001)
777374	42201	Fnisende pige
777374	132233	Glass Cell Nurse
777374	233695	Katie
777375	4648	Anita
777375	28811	Greta, Vera's sister
777375	51121	The Woman
777375	84272	Una
777375	104414	Thérèse
777375	122475	
777375	125574	The girl
777375	153934	Ada Kahn
777375	154571	
777375	164779	Ada Simmonds
777375	180392	Maud Widen-Andersson
777375	227064	Prostitute #1
777375	284057	Blue Star
777375	284121	Åsa Ljung
777375	307506	Fima
777375	332836	Janet Stevens
777375	377329	Annie
777375	391278	Nora
777375	391357	Mrs. Löfgren (1971-1995)
777375	398195	Girl friend
777376	259687	
777377	322840	
777377	397397	Herself
777377	403084	Kerstin Magnusson (1997-1999)
777378	10212	Maud Ramsten
777378	84314	Karin
777378	116106	Ullacarin Knaake
777378	135694	Vanja
777378	166078	Ms. Holm
777378	192647	Helena
777378	193390	Actress from Oskarshamn
777378	284102	Maid
777378	288307	Elsa
777378	303644	Miss Svensson
777378	312224	Karin
777378	320608	Journalist
777378	377430	Elsa
777378	377432	Britta
777378	377433	Miss Johansson
777379	135220	Herself - Author
777380	41530	Margaret, Farmer's Wife
777380	90348	Mandy Babbage
777380	158514	Sister Jane
777380	364818	Joan
777380	385020	Ruby Mottram (1991)
777380	388437	Fergy
777380	393037	Ada Jonas
777380	408277	Mrs. Ferguson
777381	284503	Fanya
777381	285095	Brunette Female
777382	55126	Plejerske
777382	312018	
777383	94384	Mother
777383	174069	Elna
777383	216677	Ottar
777383	237578	Ruth
777383	271687	Kari
777383	308221	Cathrine
777383	392395	Sissel Lervik
777383	395375	Gerd, barnehagestyrer
777383	404786	Ada Holland
777384	111582	Virginia Jones, movie star
777384	114768	Marie
777384	229281	Pauline
777384	347005	Sersjant-Petra
777385	238981	
777386	187335	Council Woman
777387	40334	Woman Guest #1
777387	40683	Leslie
777387	51800	Grace
777387	51802	Herself
777387	69853	Demon Woman
777387	82327	Mrs. Hargreaves
777387	114095	Nurse Practitioner
777387	120121	Katie
777387	126696	Telegram Girl
777387	141109	Dr. Ruth Ann Jackie
777387	185853	Betty Hudson
777387	195329	Cynthia
777387	214755	Katherine James
777387	252853	Skye 147 Veterinarian
777387	331541	Jackie
777387	340320	Bitsy Barnfell
777387	360741	Victoria Cory
777387	402204	Pvt. Carol Winter (1981-1982)
777387	408234	
777388	17678	
777389	2976	
777389	40674	Karen Borg
777389	216220	
777389	225689	
777389	286085	Karen Borg
777389	382558	Veslemøy (1996-1997)
777389	395643	Del av syttitalls-kammeratene
777389	405983	Ida
777390	226929	The Nurse
777391	115230	Inger
777392	142375	Tiffany
777393	401953	Programvert (1985-)
777394	206631	Kari
777395	111836	Nanna
777395	187631	
777396	403537	Participant (2001)
777397	96603	Go-Go Dancerin #1
777398	407138	Herself - Semi-Finalist
777399	27408	Tanssija
777400	41739	
777400	150350	
777401	348509	
777402	24587	
777402	200960	Ellen Darroman
777402	263758	Denise
777402	285757	Sylvia
777402	325976	Paulette
777403	276929	Charlotte
777404	228103	Jackie Gavin
777405	166351	
777405	266419	Designer Featured with Her Co
777405	277726	
777406	372237	Herself
777407	2997	Suza
777407	20362	Amabel
777407	83054	Ella Grappy
777407	142620	Marla
777407	202880	Liza
777407	265866	Calra
777407	267511	Ann Bridges
777407	386395	Marion
777407	406108	Helena
777408	65551	Lady Leda
777408	149159	Irene
777408	264170	Showgirl
777409	229213	Sylvia Nevins
777410	254593	Mourner
777411	18603	Airline passenger
777412	322274	Nurse
777413	54836	Julie
777413	372759	Herself
777413	411830	Herself (1971-1976)
777414	319660	Herself
777415	240315	Woman in Red
777416	25425	Bolena
777416	244102	Krystyna
777416	261595	Director's Wife
777416	282768	Witness Bozena (episode 1)
777416	305434	Stefa
777416	379217	Melania Laudanska
777417	50292	Jean
777418	199518	Journalist
777419	270752	Wendy
777420	204257	Ush
777421	45099	Desire
777422	197138	Tyra
777423	107930	Delivery Room Doctor
777424	15196	
777424	375651	
777425	335360	Sara
777425	399850	Bambi Rossi (3 episodes 2001)
777426	56266	Extra
777427	302702	Sprintz=Gresye
777428	77152	Barbara Southworth
777428	143742	Lillian
777428	194727	Receptionist
777428	345828	Rachael
777428	347059	Neighbor
777429	279841	Grocery Mom
777430	276441	Child at puppet show
777431	295417	Jenny
777432	324115	Sister Marta
777433	133728	Charkie's Water Ballet Perfor
777434	9329	Lawyer
777434	11023	Yurika Saegusa
777434	25750	Osowareru Haha-Oya
777434	59313	Siela Riviere
777434	87858	Yûko
777434	122900	Toshiko Kita
777434	211768	Rie Nagase
777434	280595	Megumi Tsubaki
777434	322418	Rin
777434	326544	Donna Carla, the hotel owner
777434	379508	Natsumi Takazawa
777434	382416	Kanako Koyanagi
777434	391455	
777434	391700	Yuh Hyuga
777434	395944	Himuro Rumiko
777434	396069	Sada
777435	28596	Herself
777435	128949	
777436	87166	Skater
777437	2976	
777437	98237	
777437	101493	Birgit
777437	106806	Den unge kvinnen
777437	110715	Molly
777437	145474	Popsangerinnen
777437	178434	Maren
777437	190720	
777437	196810	Lucie
777437	347005	Alvilde
777437	350396	Marion
777437	409930	Marianne Fossum
777438	99016	Klytemnästra
777438	99017	Elektra
777439	323525	Zukhra
777440	122500	Aunt Louise
777440	239976	Gertrud Kaski
777440	319321	Dancing woman
777440	334044	Louise
777440	343509	Baroness
777440	354259	Mrs. Sarén
777440	377313	
777441	356936	Freda
777442	93602	Mateczka
777442	110115	
777442	136361	
777442	166979	
777442	181359	Heiress Elzbieta Sklodowska
777442	280588	Interpreter
777442	374190	Tomek's Mother
777443	250998	
777444	5645	Maria
777444	33511	Den gale kvinde Lulu
777444	40944	Mona
777444	42201	Helle, Bartender
777444	55126	Hanne
777444	114827	
777444	120305	Oda
777444	121401	
777444	123885	
777444	135770	Jane
777444	170828	
777444	170829	
777444	178961	Lillian
777444	179531	Micha
777444	198058	Lotta
777444	225692	Vred dame
777444	229414	Dame i Damhustivoli
777444	255673	Hippipige
777444	264282	Hippie
777444	276465	
777444	312018	Festdeltager
777444	341116	
777444	352475	
777444	389734	Angry cafeteria employee
777444	408597	Lillesøster
777445	11902	
777446	114813	
777447	336555	
777448	279657	
777449	151946	Gabriella
777449	339919	
777450	18900	Library Official
777450	404782	Poliisiaseman päivystäjä
777451	198160	
777452	171638	Sufflös
777453	14283	Klara
777454	36559	
777454	90604	Han Na-ra
777454	128039	
777454	169044	
777454	208685	
777454	322913	
777455	317874	Woman
777456	288360	
777457	12809	
777457	258424	Nurse
777458	223558	
777459	233957	Herself
777459	334354	Tang's Granddaughter
777460	76384	Cocktail Waitress #3
777460	160408	Linda (segment "Life Is For T
777460	267174	Waitress of the Gas Station
777461	178376	Statist
777462	49828	Rat Woman
777462	190955	
777463	265913	
777464	244218	Oktyabrina
777465	334484	Zhenya Karetnikova
777466	34588	Yefrosina Potapovno, Larisa's
777466	356539	Anfisa Tikhonovna
777467	300354	
777468	93120	Ellie Pickens
777468	274319	(segment "Jump")
777469	176684	Hucksteress
777470	174523	
777473	60323	Cheerleader
777474	34611	Female Fan
777475	275036	Iwona
777476	26700	
777477	377625	Michèle
777478	179342	Secretary
777478	185809	Marta Rozbicka
777478	215214	Stewardess
777478	215410	Janet
777478	238095	Secretary Ewa
777478	394585	Magdalena Rafalska
777479	394871	Meteorologist
777480	355233	Female cosmonaut
777481	200609	
777481	381344	Daniella Nyitrai (2000)
777482	18800	
777482	80187	
777482	100408	
777482	350253	
777482	383548	Luisa
777482	389483	
777482	405398	Eusebia
777483	3547	Solymosi's friend
777483	17525	
777483	35558	(segment Szédülés)
777483	99632	Mother
777483	129506	Seine Nichte
777483	153686	Natasa
777483	153860	
777483	156453	Miss Rácz
777483	182796	
777483	182870	Bettina, von Benda felesége
777483	202496	Altschuler Nagyezsda
777483	202497	
777483	205436	
777483	225075	
777483	343767	
777483	354252	Alíz
777484	215416	Lili
777485	35937	Ági
777486	74404	Irén kolleganõje
777486	212309	Dina
777486	378279	
777487	152385	Bába
777488	377821	
777489	28537	Tanuló
777490	294160	
777491	99744	Valerie
777492	28032	Énekesnõ
777492	51326	Sári, Lola barátnõje
777492	140669	
777492	153677	
777492	174189	Rádióénekesnõ
777492	182656	Manci
777492	189083	A szép Meluzina
777492	201365	Ferike,primadonna
777492	268521	Singer
777492	335963	Lola
777492	377761	Molly,az elnök kitartottja
777492	377764	Emmi
777492	377778	
777492	378304	Énekesnõ
777493	126269	
777494	377129	Herself (cameo)
777495	84175	Martina
777495	334706	Alicia
777496	79346	
777496	96130	
777496	188894	Judit
777496	268232	
777496	273105	
777496	357937	Gizella grófnõ
777496	375966	Baroness Mariska
777496	400940	Sexy neighbour #1 (2000)
777497	153698	
777498	227521	Klári
777499	403	
777499	3417	
777499	43187	
777499	77565	
777499	78206	
777499	99523	Kopek Erzsi
777499	122538	
777499	138944	
777499	153697	
777499	182879	
777499	211702	Malvin néni
777499	268430	
777499	277214	
777499	322014	
777499	322017	
777499	324710	A miniszter titkárnõje
777499	328970	
777499	350833	
777499	377123	
777499	377768	Utas
777500	266350	Bursáková
777502	261204	
777503	18712	
777504	98016	Péter lánya
777505	153698	
777506	375969	Photographer
777507	96392	Nevlastni matka venduly
777507	147235	Sona
777507	175020	Chotová
777507	249382	Dr. Alice Vánová
777507	317626	Eva Trojanová
777507	326014	Eva
777507	327763	Doctor, head movement
777507	349087	
777507	373518	Zdena
777507	374103	Dagmar Kralova
777507	374492	Natasa
777507	396264	
777508	391604	Julia 'Jule' Neumann, geb. Su
777509	34125	
777510	160494	Raija Rosqvist, Owner of gym
777510	171584	Eeva-Maria Kilpinen
777510	207892	Hilu
777510	278597	Vieno
777510	349945	Saana
777510	390920	
777511	10270	Seuraneiti
777511	181856	Anne
777511	197493	Laapotti 2
777511	229545	Koirankouluttaja
777511	246141	
777511	252046	Oili Lyyra
777511	284751	Juulia
777512	256690	Mielikki
777513	393981	Annen äiti
777514	323254	Minna
777515	152341	Kaija Avovirta
777515	209949	Washerwoman
777515	223274	
777515	394958	Mummo (ep. 21-30)
777515	398514	Mummo
777515	400045	Kirjastonhoitaja Maijala
777516	256692	
777517	64657	Synchronized Trapeze
777518	223514	Tarjoilijatar
777518	242261	Tangotyttö
777519	142209	
777520	28990	
777521	334821	Ritva Lehtipuro
777521	392355	
777521	394793	Sirkka Jaakkola
777521	403996	Marja Ruusunen
777521	410025	Anja Hänninen
777522	151741	
777523	319967	Stella
777524	338658	
777525	388055	Herself (2003)
777526	104771	Swedish entry (3rd place)
777526	192659	Guest at celebrity party
777526	210355	Herself
777526	210359	Herself
777527	273004	Lisa
777528	377444	Anna
777529	279074	
777530	388055	Herself (2003)
777531	160794	Eva
777531	170710	Helena
777531	387057	
777531	406775	Malin Bertilsson
777532	11713	
777532	62451	
777532	211233	pigan Agda
777532	281336	
777532	281940	Pia
777532	286819	
777532	310385	Betty Lagberg
777532	379764	pigan Agda
777532	382892	
777532	390230	Birgitta, Kent's wife
777532	405539	Maud Elmgren Borg (2000)
777533	345999	Danser
777535	369	Guest at wedding
777535	19073	Theatre Secretary
777535	62461	Françoise, la mère
777535	216774	La mère
777535	345501	La mère d'Anne
777536	290895	
777536	294540	
777537	18670	
777537	112770	
777538	57282	Jean-Pierre's lover
777538	162510	Jeune femme avenue
777538	202090	La mère du garçon qui chie
777539	14999	Rachel
777539	101531	
777539	229495	
777539	236600	
777541	77347	
777542	240293	La chanteuse
777543	42105	
777543	72069	Housemaid
777543	103643	Sophie
777543	200575	La femme de Pierrot
777544	98788	Conception
777544	205209	
777545	15071	Sandrine
777545	21057	L'assistante de production
777545	77338	Marguerite Gautier
777545	99205	Various characters
777545	99371	
777545	125723	La vendeuse de la joaillerie
777545	125724	
777545	158831	Isabelle Loursat
777545	198636	
777545	218283	
777545	254750	Judith Moreau
777545	268951	Valérie
777545	271333	Juliet Sabatou
777545	300654	Ariane
777545	337013	Brésilienne
777545	338004	Sylvaine Morillon
777545	346560	Florence
777545	353883	
777545	397857	Gabrielle Castella
777545	407874	Constance
777546	187898	Francisca
777547	178114	Hooker
777548	292801	Herself
777549	215039	
777550	192814	Petite Fille
777551	74395	
777552	237471	Annie
777553	205163	
777553	217388	
777554	39484	
777554	72069	Mrs. Wade
777554	123274	Herself/En personne
777554	134605	Régine
777554	208747	Marthe
777554	248895	
777554	278709	Simone
777554	279648	Le rêve de l'homme d'affaires
777554	295409	Madame
777554	337787	Julie
777554	405460	
777555	5308	Mme. Lapeyre
777555	6627	The Marquise
777555	14483	La religieuse
777555	20072	Mme Suffran
777555	23565	Galla Placidia
777555	45108	
777555	47158	
777555	51246	Victoire Pecqueux
777555	51253	
777555	51409	La comtesse
777555	54392	La vieille dame
777555	55532	La marquise de Bièvre
777555	63650	La concierge
777555	66733	
777555	80230	L'archiduchesse Isabelle
777555	83387	
777555	127646	
777555	132236	
777555	132995	Béatrice Arnold
777555	136308	
777555	152373	Madame de Chanceau
777555	162609	La baronne
777555	199322	Vendeuse de chandelles
777555	199581	
777555	199613	La dame de l'association
777555	201030	Madame Duval
777555	206057	Aunt Yvonne
777555	216875	Miss Giraud
777555	218243	La comtesse
777555	229002	Une cliente de la photo
777555	236555	Mammy
777555	254039	La grand-mère
777555	255299	Madame Le Cloaguen
777555	258332	Mme Lebreton
777555	271911	
777555	275647	
777555	287595	La cliente en bagarre
777555	292356	Une dame
777555	309748	L'infirmière-chef
777555	337543	Une religieuse
777555	338697	
777555	340130	
777555	340203	Sarah Bernhardt
777555	346609	Invitée
777555	349782	La religieuse
777555	350184	La patronne du cabaret
777555	354902	Mme. de Montijo
777555	356583	La marquise
777555	357858	
777555	382466	
777555	386696	Doloride
777555	388163	
777555	403178	
777556	338572	La cuisinière du restaurant
777557	266946	
777558	17626	Andrée
777558	119792	Attractive Passport Woman
777558	240429	
777558	356509	
777558	376914	Christine
777559	206598	Lise
777560	148773	La malade
777560	204647	
777560	208655	Baroness Vetsera
777560	370108	The Maid
777560	377922	
777561	3311	Laurence (segment "La mouette
777561	13100	Alice
777561	16606	Aurélie
777561	52390	Une amie
777561	68386	Isa
777561	82580	La femme enceinte
777561	87497	Sophie
777561	100734	Catherine
777561	112829	Anna
777561	139441	
777561	220176	
777561	220257	Laurence
777561	229013	Nicole
777561	231579	Julie
777561	260029	Sarah Dacruon
777561	301550	
777561	327487	Claire
777561	337007	Claire
777561	340463	Claire
777561	345376	Anne
777561	352597	Isabelle
777561	353926	Marie Thomas
777561	385003	Cécile
777562	225432	
777563	12500	
777563	199378	
777563	212646	
777564	70315	Nicole
777564	130116	
777564	346803	Maria
777565	317245	Talia
777566	349494	Jacques
777567	3492	Marietta, la cameriera
777567	13053	Louisa
777567	23750	Une pensionnaire de la Maison
777567	44576	Lydia
777567	51223	
777567	54092	Ana Maria Fiore
777567	56918	
777567	64244	
777567	65163	
777567	72483	The 'White Lady'
777567	101246	
777567	101999	
777567	102458	
777567	104245	
777567	127629	
777567	127991	
777567	128033	
777567	183491	
777567	206027	Romana
777567	217123	Giulietta
777567	234551	Gina
777567	240036	
777567	248953	Christine
777567	254345	Irma
777567	275647	
777567	278728	
777567	284970	
777567	286048	Mado
777567	300779	
777567	332913	
777567	338319	
777567	344599	Elga
777567	354513	Lucienne Dumas
777568	2252	(segment "Chambre, La")
777568	8152	Agnès
777568	32003	Carine
777568	51804	Claire
777568	61440	La barmaid
777568	70607	Une fée
777568	86428	Mercedes
777568	98958	Patricia
777568	124141	La mère de l'enfant
777568	164186	Marie
777568	265904	Nadine
777568	322768	Isabelle
777568	371406	
777569	244746	
777569	269041	Babette
777569	289151	
777569	340494	Lise
777569	381504	Doloeres Langevin
777569	382486	Gervaise Jobin
777569	383372	Fabienne Vigneau
777569	386092	Lucie Belleau
777570	302145	Naked woman #1
777571	225359	Lili
777572	254076	
777573	58743	Marie
777573	388313	Juliette (2002-????)
777573	409442	Alexandra
777574	254294	
777575	224978	Benedek felesége
777575	284091	
777576	48666	
777576	106684	
777576	155545	Mészkuthy
777576	155968	Ancsurka,Odrobina lánya
777576	293405	
777576	322068	Mravicsán Anni
777577	186122	
777577	399160	
777578	378583	The fiancé's mother
777579	343776	
777580	284355	
777580	399860	
777581	3146	La petite fille
777582	60910	Viviane jeune
777582	68914	
777582	98958	The smoking woman
777582	135334	Artist
777582	211847	Marie Corrençon
777582	240428	La femme de Maurice
777582	251815	Solvejg
777582	346734	L'étudiante
777583	104795	
777583	187513	
777583	211700	
777584	74454	Annamária
777584	381345	
777585	200056	
777586	104051	A kis Gréte
777587	377815	A tûzoltó felesége
777588	295099	Manager
777588	380089	Regina Villa Real
777588	385992	Luli Saraiva (#1)
777588	387732	Heloísa
777588	396035	Vera Soares
777588	403326	Cristina
777588	404160	Berta
777588	404178	Alice
777588	404272	Solange
777588	408550	Carla
777588	410054	Carmem
777589	179234	Helena
777590	1594	
777590	6722	Herself
777590	7742	
777590	12231	Karen
777590	26670	
777590	30394	
777590	31529	
777590	37505	
777590	38171	
777590	38892	
777590	39708	
777590	43585	
777590	49964	
777590	50560	
777590	57095	
777590	57949	
777590	69027	
777590	75018	
777590	87390	
777590	88624	
777590	102712	
777590	109526	
777590	110278	Girl in Hot Tub
777590	119317	
777590	122178	
777590	128732	
777590	130285	
777590	136253	
777590	138346	
777590	146339	
777590	146920	
777590	147836	
777590	178324	
777590	185932	
777590	188040	
777590	188412	
777590	189067	
777590	195641	
777590	195886	
777590	196000	
777590	196347	
777590	214532	
777590	219053	
777590	221073	
777590	222864	
777590	223797	
777590	223911	
777590	228007	
777590	232065	
777590	234842	
777590	237127	
777590	243357	
777590	245783	
777590	246863	
777590	260792	
777590	260807	
777590	266722	
777590	273363	
777590	294209	
777590	295754	
777590	300069	
777590	303884	
777590	303885	
777590	303924	
777590	319673	
777590	323199	
777590	326167	
777590	326168	
777590	330472	
777590	342541	
777590	346893	
777590	355989	
777590	360894	Herself
777590	365870	
777590	367859	
777591	318232	Profesora
777592	54002	Maria
777593	19493	
777593	36666	
777593	58277	
777593	73538	
777593	213764	
777593	339143	
777594	25159	
777595	25066	
777596	59988	La fille à la moto
777596	353814	Marie
777597	106017	
777598	56295	Celina (episodio 'Juego de pa
777598	197158	Luciana
777599	142561	
777600	3477	
777600	35022	Lorna
777600	287899	
777601	266874	
777602	21583	Estudiante 4
777602	82590	La amiga periodista
777602	103845	
777603	349462	Tania
777604	68610	
777604	357909	
777605	314342	
777605	354470	
777606	283563	Nude Woman
777606	293258	Rosita Sanchez
777607	103425	
777608	395997	
777609	81473	Gracia
777609	287833	
777609	391611	Juana
777609	396333	Yoly
777610	287414	
777611	51905	
777611	293915	
777612	197159	Mujer
777613	381720	Teresa
777613	383827	
777613	404989	
777614	75313	Lolita Morales
777614	222536	
777614	273310	Mrs. Yabo
777614	312826	Yakima
777614	324498	Lupe Torres
777614	340370	Rosa
777614	351463	
777614	376676	
777615	33517	
777615	55090	
777615	198993	
777615	223618	
777615	235307	
777615	267048	
777615	328046	
777615	350261	
777615	375740	
777616	30393	
777616	48798	
777616	69206	
777616	123188	
777616	193355	
777616	205700	
777616	210445	
777616	221929	
777616	266895	
777616	326343	
777616	356156	
777617	269270	Degorah
777618	233952	Esteticista 2
777619	12089	
777619	379907	María
777619	386792	Corina
777619	387083	Soledad
777619	399537	
777619	408720	Rosa
777619	412198	
777620	412192	Guadalupe 'Lupita' García
777621	53010	
777622	14927	Lupe Arriaga
777622	23064	
777622	160104	Lupe Arriaga
777622	170271	
777622	193346	
777622	226414	
777622	301386	
777622	339987	
777622	353562	Lupe Arriaga
777622	371738	Lupe Arriaga
777622	380114	Consuelo Suarez
777622	380151	Inés
777622	380322	
777622	381604	
777622	382197	Raymunda
777622	383471	Esperanza Ortiz
777622	383688	Amalia
777622	383787	
777622	384190	
777622	385401	Lolita
777622	386126	Queta
777622	386165	
777622	386401	
777622	386595	
777622	387577	
777622	387935	
777622	388280	
777622	388568	
777622	393882	
777622	397258	
777622	397304	
777622	398481	Gloria
777622	400641	
777622	401162	
777622	402633	Dolores
777622	405869	
777623	273121	
777624	16836	
777624	48808	
777625	153336	
777626	74865	Casera
777627	9670	
777627	9671	
777628	85482	Nina
777629	393933	
777630	82589	
777631	68974	
777631	74520	
777631	74557	
777631	75444	
777631	82399	
777631	83435	
777631	91372	
777631	103394	
777631	103653	
777631	106750	
777631	108119	
777631	152257	
777631	196728	
777631	197462	
777631	199830	
777631	210179	
777631	212347	
777631	221727	
777631	244584	
777631	255545	
777631	295025	Amelia
777631	354344	
777631	356947	
777631	409463	Azafata (1972-1973)
777632	140061	
777633	378049	Dagmars friend
777634	120717	Maestra 2
777635	235985	Paloma
777635	318264	Obrera
777635	332678	Madre
777636	66081	
777637	237160	
777638	200613	Harem lady
777638	407651	Betty
777639	326979	Eliz,a milliomos felesége
777640	260781	Sitting Room Landlady
777641	284357	
777642	126269	
777642	212825	
777643	52386	Anya
777643	293998	
777644	98770	
777645	367099	
777646	209857	
777647	70758	
777648	4838	
777648	117838	
777649	334543	
777650	55192	Mercédès
777650	260406	Cupido (and Amor)
777651	192647	Woman on the bridge
777652	34348	
777653	102926	
777654	5137	Baerbel
777654	111350	Rosi Wunderlich
777654	178521	Mutter
777654	182752	1. Fee
777654	226206	Mutter
777654	352042	
777654	390812	Hilde Lehmann (1996, 1997, 19
777655	246018	
777656	313641	Grandmother
777657	52074	Mujer Rubia
777657	69260	
777657	139491	Tarja
777657	335193	
777657	354286	Sleepy woman
777657	392605	Anna
777658	34325	Laura
777659	130232	Koos 'Koossie' Sibrandy
777659	134369	
777659	179039	Moeder Henkie
777659	204766	Krekeltje
777659	242445	Kerstens
777659	352336	Huishoudster
777659	367020	
777659	373732	Reizigster
777659	382752	Mevrouw Brandsema
777659	382864	Hermine Bexkens
777659	390242	Koos 'Koossie' Sibrandy
777659	394470	Vera
777659	410441	Paulien Vreeswijk (1994)
777660	115591	
777661	35203	Bronislawa
777661	51321	Marika
777661	74465	Terike
777661	75937	Sylva Varescu
777661	79165	Marika Rökk
777661	103132	Nastassja Petrowna
777661	115202	Adele, the Maid
777661	119168	Julia Koestner
777661	119253	Marie-Luise Pally
777661	119640	
777661	124402	Ita
777661	126380	Gonda van der Loo
777661	136902	
777661	137640	Janine
777661	142211	
777661	144325	Marika Sabo
777661	147184	Ilonka
777661	168886	Herself
777661	174257	
777661	177137	Marika
777661	178073	Dancer
777661	180234	Kora Terry/Mara Terry
777661	182694	Mary
777661	187544	Rocika
777661	188798	
777661	207168	Juliska Varady
777661	210017	Ilona Farkas
777661	226270	Inge Fleming
777661	226298	
777661	226335	Irene Wagner
777661	290177	Freifrau von Boehme
777661	294202	Cornelia
777661	324681	Christine von Alwin
777661	324695	(unfinished)
777661	345901	Maria Seydlitz
777661	349619	
777661	364646	
777661	369169	Singer
777661	375267	(unfinished)
777662	210357	Herself
777663	142274	Frau Zittel
777663	144044	Flora
777663	156728	
777663	164262	
777663	225125	Lysette, Simon's Sister
777663	272528	Zarin
777663	386220	Als Gast
777663	396755	Jacqueline Dawson
777664	361448	
777665	379596	Annuschka Ross
777666	26279	Marjan de Wilde
777666	93672	Marianne
777666	235937	Kim
777666	289970	Sara Draaier
777666	387581	Sanne Hadzic
777666	390410	Natasja Laroux (1996)
777666	398923	
777666	403856	Robin Theysse (#2) (2004-)
777667	184065	Townspeople
777667	233243	Guest
777667	234649	Miina Laakso
777667	264291	Kylännainen
777668	405292	Extra
777669	25296	Tiina
777670	155491	
777671	137628	Jana
777671	404480	Lilli (Season 2)
777672	302345	
777673	132182	Annika Persson, Nurse
777673	221285	Paula
777673	326044	(episode 1)
777673	357752	Inspicienten
777673	381602	Ingela
777674	320725	
777675	109977	Marianne
777675	210310	Marie-Louise Dickman
777676	211038	Kata
777677	21409	Evchen
777678	116315	Pamina
777678	234275	Susanna
777678	374134	Pamina
777679	6117	One of Tova's girl friends
777679	42202	Eva Lindgren
777679	62446	Girl from the office
777679	87588	Gorgeous girl
777679	162648	Isa
777679	163936	Anna
777679	180222	Jessica
777679	188873	Sara
777679	200451	Sofie
777679	201721	Herself
777679	214839	Sophie
777679	317645	Apotekerekspedient
777679	354604	Elin
777679	386911	Jasmine Thornwall
777679	394792	Ann-Marie (2001-2002)
777679	396250	Beata 'Betty' Tollman
777679	407489	
777679	408880	Brady (series 2)
777680	205301	Mutter
777681	34331	Öko 5
777682	390236	Maud Rissler
777683	409609	(1992)
777684	356877	
777685	172765	Magd Sabine
777686	43337	Bojan Jensen
777687	393878	
777688	119188	Telefonistin
777688	325587	Journalistin
777688	379772	
777689	186897	Rock 'n Roll Tänzer/Rock 'n R
777690	182867	Florence
777690	317277	Maria Kranz
777690	381710	Die jüngere Emma
777690	389282	Sabine Ulrich
777690	398635	Host (1984)
777690	405946	Sabine Uhlmann
777691	16967	Angie Kempers
777692	80054	
777692	229164	Hannah
777693	342335	Hannele
777694	6117	Adam's physician-girlfriend
777694	32383	Lillemor Fransson
777694	120027	Freud
777694	125643	Regine Engstrand
777694	132182	Git Jeppson
777694	141800	Thea Elvsted
777694	155834	
777694	166845	Nille
777694	167056	Helen Eriksson
777694	191566	Ina's Mother
777694	192821	Ella
777694	214360	Birgitta
777694	256500	
777694	270495	Bykvinna
777694	278374	Kim
777694	303196	Eva
777694	304354	Katja
777694	308193	Torun
777694	308199	Irene
777694	312072	Helena Starke
777694	346062	Newspaper Receptionist
777694	372967	Begravningsdeltagare
777694	380203	Annika, Anderssons sister
777694	394736	Teacher of physical edctn
777694	395992	
777694	405593	Gia
777694	405617	Helena Solberg
777695	344379	Herself - Peace activist
777696	240392	
777697	192490	Speaker
777697	217092	Speaker
777697	406606	Speaker
777698	339758	
777699	10208	Maiken
777699	32512	Karin
777699	198272	Wenche Rustad
777699	237066	Maja
777699	242693	Eriks forlovede
777699	322472	Fru Ekenes
777700	342244	Herself - Executive Producer
777701	46421	Nurse
777701	94264	
777701	146988	Thomas' Mother
777701	185251	The Scottish barmaid
777701	233695	Agathy (Snowwhite) Davidson
777701	341114	Plejer
777702	78481	Herself (performing 'Dig og m
777702	281991	Thorkild
777703	55126	
777704	225688	Mor i bus
777705	225688	
777706	1577	Kamilla
777706	315398	Herself/Kamilla
777707	382485	Herself - Host (2002-2003)
777707	403944	Herself - Host (2004)
777707	412085	Herself (car commercial) (200
777708	395114	
777709	229414	Pia
777710	317650	
777711	17346	Tanja
777711	214367	Amalie
777711	214368	Amalie
777711	214369	Amalie
777711	218405	Ulrikke
777712	48700	Stand-up komiker
777712	305034	Lise (Animal Activist #4)
777712	391352	Host
777714	275225	Tarmfolkskvinde/Overlægen
777715	27591	Herself/Marie
777715	178508	Hartmanns Flirt
777715	201344	Servitrice
777715	210295	Sekretær
777715	228395	Marie
777715	228404	Girl at University
777715	237290	Vred Kvinde
777715	241886	
777715	274831	Militærlæge
777715	304360	Barbie
777715	327474	Lærerinde & Violinist
777715	344672	Martha
777715	392322	Camilla Hald
777716	287550	Theodora Ellingsen
777717	168446	
777718	340269	Bestemor
777719	46630	
777720	293649	Anita
777721	387469	(2000)
777721	388391	Host, Assistent (2001 - )
777721	403537	Participant (1999)
777722	48790	Lucía niña
777723	25058	Beatriz
777723	25216	
777723	48194	
777723	48529	
777723	56071	Eudóxia
777723	68591	
777723	84536	
777723	90452	Claudete
777723	90821	
777723	108728	
777723	195117	
777723	234045	
777723	237221	
777723	334565	
777723	377604	
777723	388563	Fifi de Queiroz e Queiroz
777723	402424	Bilu
777723	405418	Cotinha
777724	354334	Loyal Servant
777725	21409	Margot Rau
777725	33267	Millie
777725	43543	Die Blondine
777725	98297	Barbara
777725	101326	Renate
777725	136930	Zézé
777725	142109	
777725	144256	Resi
777725	157682	Lilo
777725	179793	
777725	189788	Grit
777725	244684	
777725	248396	
777725	290135	Babette
777725	313835	Herself
777725	325619	Ilse Brink
777725	328611	Krista Lauder
777725	332761	Gitti
777725	347656	Elfriede
777725	361443	
777725	375049	Liane
777725	390888	Frau Gaalen
777725	394795	Elvira Markl (1981)
777726	292096	
777727	126340	Herself
777728	184394	Gertrud Marsh
777728	216245	Frau Schröder
777728	272751	Frau Kielbacke
777728	366468	
777729	5688	
777729	155101	
777729	322527	
777730	122572	
777730	148810	
777730	148811	
777730	148812	
777730	148813	
777730	148814	
777730	148815	
777730	315974	
777731	399175	Gisela
777732	153977	Gigi (episode "Inge")
777733	198894	Apparition
777734	107777	
777734	390812	Barbara Wiebe #1 (1993)
777735	314348	Lucie
777736	137554	Kvinde
777737	155494	
777737	228160	Marion
777737	389616	Student Nurse Meike
777737	409609	Sunny Barfuss
777738	290745	
777739	290534	Nurse
777740	215037	
777741	11778	Natalie Brunner
777742	11778	Natalie Brunner
777743	195537	Jenny
777744	142319	Junge Mutter
777745	11784	Dr. Regine Lenz
777745	21406	Dr. Marianne Cordt
777745	53605	Irene von Harbeck
777745	62924	Christina Neuhaus
777745	85730	Franziska
777745	99527	Tante Babeth
777745	119194	
777745	119271	Sabine Hellmann
777745	119291	Martina Nissen
777745	120052	Charlotte Bernhardt
777745	125169	Geierwally
777745	129727	Alice Dreher
777745	141947	Ursula Diewen
777745	144152	Anja Wegener
777745	155465	Anette Klinger
777745	157705	
777745	177169	Marianne Ospel
777745	188717	Militza
777745	189673	Hermine
777745	189700	
777745	225169	Maria Johnson
777745	229390	Die Tante
777745	230201	Margie Fielding
777745	242721	Hannah Reitsch
777745	261556	Ilse Krüger
777745	281724	Catherine
777745	282159	Lisa
777745	289894	Christa Andres
777745	290158	
777745	290597	Frau Lövenich
777745	294089	Lysistrata/Agnes Salbach
777745	311237	Nadeschda
777745	312105	Sr. Tamara
777745	315841	..
777745	324157	Mutter Bricks
777745	333351	Woman Guerilla
777745	337124	Inge Koerner
777745	343492	Edith Buffet
777745	345895	Susanne
777745	369139	
777745	375225	Beryl
777745	376420	Sybil
777746	73560	Mother
777746	114100	Ella Rodie
777746	204947	Guard
777746	323974	Scarecrow
777747	178799	Rozeke
777748	141735	Weduwe Natii
777748	393451	Madame Servaes
777749	163514	Louise
777749	208448	Marianne
777750	294012	
777751	19668	Teréza mama
777751	189081	
777752	318411	
777753	391604	Nancy Konnopke (2003-)
777756	381908	Herself (season 4)
777757	177184	Herself
777758	177184	Herself
777759	122032	The Lady of the Lake
777760	381908	Herself (season 4)
777761	67169	Patty S.
777762	1439	Herself
777763	407138	Herself
777764	4055	
777764	26222	Chitrangada
777764	28184	Gandhari
777764	28287	
777764	28304	
777764	43382	Parvathamma
777764	58580	Durga
777764	104399	Nalini
777764	135865	Mannonmani
777764	166537	Lakshmi
777764	173236	
777764	186202	Bhoodevi
777764	200673	Tirumaladevi
777764	204096	
777764	208621	
777764	228208	Varadhachari's Wife
777764	247164	Maanchala
777764	262842	
777764	271376	Beggar Girl
777764	288566	Sakkubai
777764	288574	Savitri
777764	288769	Chandramathi
777764	295258	
777764	312480	Satyabhama
777764	312495	Srimaha Lakshmi
777764	320836	
777764	349913	
777766	49103	Mak Sudin
777766	236627	Permaisuri
777766	285416	Sailaja
777767	332327	Kharina
777767	332328	Kharina
777768	3254	
777768	26219	
777768	29229	
777768	44818	
777768	51023	
777768	78276	
777768	80076	
777768	84507	Jin Eum-ja
777768	95735	
777768	126783	
777768	140587	
777768	156409	
777768	164759	
777768	182348	
777768	196073	
777768	199909	
777768	202200	
777768	202519	
777768	214833	
777768	216419	
777768	222475	
777768	236773	
777768	255749	
777768	255913	
777768	275805	Simon's wife
777768	280886	
777768	286006	
777768	287310	
777768	287364	
777768	288170	
777768	288171	
777768	294458	
777768	294505	
777768	318661	
777768	322904	
777768	371165	
777769	392910	Anne
777770	224491	
777771	96857	Herself
777771	336006	Hana Ôyama
777771	373392	Ikumi Kaidô (Arma)/Ai Amami
777771	378718	Bishun
777771	380605	Lana Ines
777771	400576	'Twilight' Suzuka
777771	404767	Twilight Suzuka
777771	405140	Lady Une
777771	411893	Ai Amami, Primarda, Ikumi Kai
777772	328609	Karen
777773	64281	Herself/Interviewee
777774	402152	Asistente de Ana
777775	305029	Ianna's Friend
777776	139992	Young girl in the city
777777	11769	
777777	190843	
777777	255660	
777777	314986	
777778	5029	Katherine
777778	35537	Woman
777778	67896	Woman in Uniform
777778	88548	Rosie
777778	134195	Newsstand Lady
777778	221539	Mrs. McGee
777778	223871	Nurse
777778	285287	Dry cleaners manager
777778	313929	Clerk
777778	331112	Dr. Yamura
777778	331193	Li Ma
777779	10453	Nedjwa
777779	24656	Leyla
777780	215499	Anita
777781	353523	Wang's Wife
777782	381436	Fiona York Forbes 1991-1992
777783	14297	Bessie Cooper
777783	30261	Saffi
777783	32390	Gwendoline
777783	33134	Grete Sailer
777783	73360	Suzanne
777783	92899	Ingrid
777783	93395	Susanna
777783	93439	
777783	104824	Mabel
777783	125075	Blanche Coty
777783	136905	Komtesse Barany
777783	141939	Blumenverkäuferin
777783	142201	Anna Keller
777783	145603	Schwester Romana
777783	149486	Juanita Perez
777783	154139	Baroness
777783	164275	
777783	180983	
777783	185247	Karen Gerhardt
777783	199494	
777783	200498	Carla
777783	203224	
777783	210320	Linda Bauer
777783	248399	Jachtbesitzerin Barbara Ricca
777783	253946	Marion
777783	257574	Lisa Shillack
777783	273640	Margot
777783	300723	
777783	308196	Jacqueline
777783	317658	Erika
777783	322500	
777783	359635	Doris Dahl
777783	361376	Gwendolin
777783	363664	
777783	375086	Saffi
777784	301613	Reporter #3
777785	215499	Sofi
777786	218499	Abel
777787	278137	
777787	345086	Raphaëlle
777788	188695	Aurélie
777789	51880	Lilo
777789	119723	
777789	239016	Edith
777789	253974	
777789	347762	Liebespaar
777789	365907	
777789	367191	Mäckis Schwester
777790	408592	Melanie
777791	137101	Radha
777791	174353	Simone
777791	268107	Suman Thakur
777791	286156	
777791	287090	
777791	380531	Tatiana
777791	383550	Anahy
777791	385522	Natasha
777791	407868	Matilde
777792	18119	
777792	162707	
777792	174387	
777792	202723	
777792	222914	
777792	252130	Azizah
777792	253240	
777792	293954	Dara
777792	371436	The woman
777793	25058	
777793	67653	
777793	71402	
777793	105635	
777793	195118	
777793	275304	
777793	382405	
777793	383437	Carla
777793	385030	
777793	404814	
777793	409417	
777794	62658	
777795	301205	
777795	409794	
777796	141257	Chrissie Tucker
777797	123380	
777798	244249	Ashkhen
777799	86439	
777799	103194	
777799	206578	
777799	282047	La vendeuse
777799	286802	
777799	340126	
777799	345487	
777800	117875	Hilde Mescher
777800	397074	Inger, stuepige hos Skjern (1
777801	114978	
777801	180400	Mrs. D'Ailleurs
777801	202505	Paul's mother
777801	250422	Landlady
777801	312056	Vrouw in trein
777801	394612	Mevrouw Oudemans
777801	397445	Madame
777802	215602	Mrs. O'Brien
777803	7420	Jennifer
777803	10864	Ginnie
777803	23447	Inga
777803	26074	Lucki
777803	41017	Angie
777803	102731	Cindy
777803	102732	Cindy (episode "Locked Up")
777803	176940	Amber
777803	277070	Calendra's Assistant
777803	296028	
777803	353296	Traci
777803	353299	Traci
777804	69428	Look Gow
777804	224499	
777804	305658	S.T.
777805	330678	Tracy
777806	204092	
777806	210251	Bayleh
777807	174684	lady Hampsted, Correllin mors
777808	23893	Theresa
777809	153747	
777810	407109	Herself (2002)
777812	9602	Susanna
777812	171824	
777812	200955	Air Hostess
777812	332518	Pirjo
777812	389241	Suomi (1994)
777812	394932	Siiri Lukkarinen
777812	397730	
777812	402870	
777812	409042	Tarjoilija
777813	258986	Young woman
777813	303708	
777814	258845	Girl in orphanage
777814	319314	Marja Suominen
777814	319315	Marja Suominen
777814	319316	Marja Suominen
777814	319318	Marja Suominen
777815	214844	Nurse
777816	145761	
777817	246142	
777818	392164	Signe Lindhof (2003)
777818	404782	Irma
777819	401276	Kilun äiti
777819	404145	Maarit Salin (1999-2004)
777820	188933	Erja
777821	341808	
777822	275804	Kaija
777823	219451	
777824	104099	Herself
777824	104764	Finnish entry (7th place)
777825	188933	Woman at the hen's night
777826	100011	Ranen äiti
777826	152340	
777826	163180	
777826	169542	
777826	180445	Helenan äiti
777826	223514	Riitta
777826	247007	Tuulikki's Mother
777826	255517	Röntgen
777826	268324	
777826	303180	Heli
777826	341591	Saunottaja
777826	341794	Stella Muranen
777826	354083	Eija Penttilä
777826	375704	Äiti
777826	402507	
777827	181753	Physiotherapist
777828	267931	Rosina Käkriäinen
777829	412	
777829	1537	Laskun karhuaja
777829	8847	
777829	21722	
777829	137631	
777829	144051	Aunt Elvi
777829	175346	Washerwoman
777829	179625	
777829	181858	
777829	184040	
777829	184072	
777829	198263	Harbor girl
777829	206063	Irja Maronen
777829	213938	
777829	219451	Yöpaikan tarjoaja
777829	221859	Äiti
777829	223510	Mrs. Saarikko
777829	226808	Ulla's mother
777829	236793	Sohvi
777829	258843	Saimi
777829	284063	
777829	284752	Martta
777829	301816	Manta
777829	341543	Woman in the doctor's office
777829	341786	Hot-dog saleswoman
777829	343396	Cleaner woman
777829	343467	
777829	343509	Old woman
777829	349735	Laila Niemikkö "toimeton nain
777829	354261	Maid
777829	357791	
777829	377312	Grandma
777830	198699	Elina
777830	267931	Leja
777830	284752	Maija
777831	226787	Margit Marino
777831	350822	Vilma Varanko
777832	404145	Miia Laitela (1999-2001)
777833	214839	Kikattava tyttö kahvilassa
777834	381451	Weather Forecaster (2001-)
777834	382715	Weather Forecaster (2002-)
777835	17905	Vibeke
777835	395375	Anja, Glørs kjæreste
777835	399510	Anne-Gro Lamo
777836	165136	
777837	174478	
777838	4523	
777838	10222	
777838	35010	
777838	63323	Lupe
777838	74983	
777838	75622	
777838	87075	
777838	90521	
777838	94592	
777838	101627	
777838	103975	
777838	134436	
777838	134500	
777838	183496	
777838	218519	
777838	221993	
777838	249871	
777838	258095	
777838	291643	
777838	291681	
777838	294335	
777838	318001	
777838	318286	
777838	376705	
777839	36622	
777839	139899	Jessica
777839	253282	
777839	255501	Talula
777839	356459	Luchita
777839	379252	Raquel
777839	380074	
777839	382941	
777839	389480	Pamela Duarte
777839	401634	
777839	404074	
777840	379472	Hostess
777841	43130	
777841	43664	
777841	247858	Julieta
777841	249874	
777841	275751	
777841	328194	
777841	371719	
777841	387292	
777841	396394	
777841	397567	
777841	403428	
777841	409782	Doña Irene
777841	412184	Eugenia Robles del Castillo
777842	4972	
777842	56133	
777842	101467	
777842	101618	
777842	121264	
777842	131118	
777842	333699	Francisco de Goya y Lucientes
777842	347476	
777842	357533	
777842	377181	
777842	386696	
777843	328741	
777844	380269	Teresa
777844	409833	Rita
777845	9694	Nelly
777845	50137	
777845	58395	
777845	67697	
777845	74576	
777845	88803	
777845	96283	
777845	99710	
777845	209297	
777845	217311	
777845	220523	
777845	221674	
777845	221898	
777845	242500	
777845	277369	Cleo
777845	277383	Magdalena
777845	383261	Sra. Urquidi
777845	399522	Gloria
777845	399707	Elizabeth
777845	405398	
777845	405416	Evelia
777845	411633	Otilia
777845	412193	Lucia
777846	96371	Beatriz
777846	102311	Beatriz
777847	148080	
777848	391479	Claudia
777850	381902	Herself
777851	10453	Ghania
777852	323051	
777853	198468	Shari
777854	93744	Fabienne
777855	385052	Marcela Aspíllaga
777855	386015	
777855	396214	Katy
777855	401694	Rebeca Montenegro
777856	179212	Adir
777857	159523	Nadia
777858	15338	
777858	23040	
777858	25419	
777858	25422	
777858	25548	
777858	38319	
777858	43083	Batta/Kawkab
777858	98727	
777858	106169	
777858	137053	
777858	140663	
777858	164058	
777858	165647	
777858	175875	
777858	175974	
777858	179212	Abir
777858	183972	
777858	196698	
777858	219846	
777858	239374	
777858	241046	Belly Dancer
777858	271591	
777858	284801	
777858	286051	
777858	297258	
777858	297617	
777858	303128	
777858	358198	
777858	373761	
777859	33283	Crooner
777860	15277	
777860	15864	
777860	98211	
777860	98610	
777860	185872	
777860	195236	
777860	247908	Elpida
777860	250540	
777860	265567	
777860	329171	Litsa
777860	354475	
777860	394617	Grandmother
777861	238495	Samantha
777862	383977	Elizabeth
777863	56545	Herself
777864	285702	Melanie
777865	228167	Natalka
777867	6085	
777867	77624	Model
777867	179588	
777867	202302	
777867	283826	Grinyov's Mother
777867	402299	
777868	163491	
777869	15046	
777869	19344	
777869	71226	
777869	259236	Sophie
777869	269971	Caroline
777869	276789	Chevreuse
777869	341913	La demoiselle de l'autocar
777869	355863	Henriette
777869	383547	
777869	388689	Mme Pichardeau
777869	401568	
777869	402577	Christelle
777870	40280	Nicole
777871	65144	Svetlana
777872	136594	
777874	41241	
777874	176884	Aerobics dancer
777874	207266	Ornelia
777875	16314	
777875	41801	
777875	100391	Abogada de la acusación
777875	270670	
777875	384972	Clara Bosch
777876	25023	Valeri
777877	33283	Benta
777877	60048	
777877	81617	
777877	82918	
777877	95432	Célia
777877	340305	Anastácia
777877	352851	Lúcia
777877	369497	Ana
777877	378940	Luiza
777877	379451	Salete
777877	384480	Latiffa
777877	386757	Taís
777877	393006	Maria de Lara Barros/Diana/Má
777877	398549	Ana Cardoso
777877	401944	Arlete
777877	408592	Celeste
777877	409419	Maria Luísa Sousa Borba
777878	14903	Maria
777878	124199	
777878	356618	
777879	42142	
777879	183466	Buche
777879	235263	
777880	156095	Herself
777880	378990	Host (1992-1993)
777880	383290	
777880	393036	Herself (2004)
777880	397205	
777880	399563	Host
777880	407517	
777881	312151	Test Family Member
777882	312151	Test Family Member
777883	312151	Test Family Member
777884	65118	Ebra
777884	282562	Berni
777885	91070	Herself
777886	353864	La femme du couple âgée
777887	122871	
777888	353348	
777889	61433	
777889	72887	
777889	205710	
777889	236437	
777890	277587	Suora cantante
777891	291553	figlia Majello
777892	38584	Mrs. Clovis
777893	6684	Une dame
777894	6408	Juliette
777894	13053	
777894	102399	
777894	311675	
777895	12672	Angelica
777895	348193	
777896	144987	Female Bar Patron
777897	298309	
777898	20713	Engloeda Hoep
777898	60142	Vieja
777898	216239	Cosette à 6 ans
777899	198117	
777900	166370	A student
777901	46707	Sylvane Sheridan
777902	348527	Radio Station Receptionist
777903	340190	La mère de l'enfant du restau
777904	370260	Mother
777905	214387	
777906	143808	
777907	2133	Lisa DiMarino
777908	270058	Estudiante 1er examen
777909	99870	
777910	31955	
777910	57276	
777910	90691	
777910	111357	
777910	111845	
777910	116350	
777910	120918	
777910	126241	
777910	189285	
777910	205392	
777910	207063	
777910	248222	
777910	252715	
777910	264255	
777910	270035	
777910	340008	
777910	344624	
777911	197577	
777912	4355	Sylvia
777912	373797	Valerie
777913	387533	Debbie/Susanne MacFee (1998)
777914	28066	Dr. Elaine Shrenk
777915	317673	
777916	675	Rama
777916	62664	Girl #2
777916	123295	
777916	176029	Sheetal
777916	211459	
777916	325296	
777916	373536	
777917	387679	Herself/Host
777918	85715	
777918	112830	
777918	235707	Zanette
777918	355272	
777919	157653	Kika
777920	26374	
777921	93261	Jenny
777922	14379	
777922	17815	Francesca De Gasperi
777922	46652	
777922	130130	Sister Vincenza
777922	135364	
777922	138475	
777922	157302	
777922	158757	La madre di Justin
777922	161812	
777922	196715	Old Woman
777922	202279	Madre di Bernardo
777922	213801	
777922	228728	Honor
777922	243788	Martha Hummel
777922	252641	Sara
777922	269025	Mrs. Brandt
777922	269109	la zia
777922	270864	Annunciatrice EIAR
777922	270872	
777922	275715	Rachel
777922	285576	
777922	311258	Cecilia
777922	332259	Cia
777922	348153	Matilde
777922	349422	
777922	376139	
777922	381195	
777922	390753	
777922	409049	
777923	26768	Receptionist
777923	157004	Mrs. Percy
777924	382825	Little Girl (segment "Eyes of
777925	237527	
777925	237741	
777925	239916	
777925	244219	
777925	284482	
777925	303877	
777925	313884	
777925	355741	
777926	56085	Casino patron
777926	276404	Doncella
777926	318267	Rocker Girl
777927	35735	Stacie
777928	378336	Fathima
777929	287586	Safia
777931	68481	
777932	296618	
777933	179589	Rasul's Mother
777934	321367	Sheila
777935	89825	
777935	217557	
777936	111299	Maria Giuseppa
777936	118771	Paolina
777936	121888	
777937	12142	Aida
777937	277167	Herself
777938	405209	Yasmeen James (2001)
777939	17895	
777939	162734	
777940	289585	Elizabeth's lady-in-waiting
777941	199403	Customer at Nora's
777941	289585	Catherine's lady-in-waiting
777941	362326	Bowler (Uncredited)
777942	4121	
777942	4286	
777942	17897	
777942	25646	
777942	30113	
777942	33368	
777942	81997	
777942	88473	
777942	95049	
777942	126924	
777942	127328	
777942	135774	
777942	137863	
777942	152611	
777942	160789	
777942	209860	
777942	249659	
777942	256162	
777942	268591	
777942	270211	
777942	285619	
777942	297596	
777942	307094	
777942	335737	
777942	351412	Discovery Bank Spokesperson
777943	80503	
777943	245513	Reporter 1
777944	84062	
777945	32912	Yettie Kropatcheck
777946	265558	Herself
777947	144406	
777948	13130	
777948	22106	
777948	34902	
777948	50486	
777948	128721	
777948	152655	Mrs. Isadore Kantor
777948	153233	
777948	159984	
777948	210722	Herself
777948	232787	
777948	255662	Sabina
777948	255711	
777948	260743	
777948	268112	
777948	284854	
777948	284855	
777948	297011	
777948	326962	
777948	326963	
777948	332851	
777948	356490	
777949	37781	Girl
777949	291631	Girl at the saloon
777949	370092	
777951	211679	
777952	105215	Mrs. Cramp
777952	117210	Winnie
777952	118934	
777952	151139	
777952	348379	Old Woman, in the factory
777953	387905	Estrella
777953	387922	Fernanda
777953	388814	Sandra Lombana
777953	390735	Ursula Epieyu
777953	393805	Juana Matilde
777953	397243	Laura Falcon
777953	398072	Rosa Lenoit 'Momposina' (Youn
777953	400944	Alejandra
777953	402055	Luisa Maria Medina
777953	402452	Karina de Mistral
777954	81099	
777955	204557	Girl Outside Club
777956	193319	
777957	53851	
777958	47423	Guard Sorhirun
777959	89042	
777960	283021	
777961	12527	
777962	20231	Ambili
777962	351816	Villageoise
777963	276619	
777964	178218	Seductive woman at gallery
777965	208376	
777966	10901	Sugar
777966	167087	Waitress
777966	328396	
777967	28464	Goldie Page
777968	249559	Romantic party guest
777969	23331	Donut Shop Chick
777970	47374	Undetermined Role
777971	390338	Herself
777972	164089	Katya, guvernantkata
777973	16320	
777973	28181	Zumbula
777973	28408	Drugarica Protic
777973	34172	
777973	36532	
777973	36562	
777973	43157	Seka Sekulovic
777973	44399	
777973	49738	Rajka
777973	57620	
777973	58033	Rosa
777973	74781	Cmilja
777973	77097	Desa
777973	77465	Jelisaveta
777973	79621	Gospodjica Dobrila Skara
777973	81408	Secerovicka
777973	94061	
777973	101396	
777973	132163	
777973	137286	
777973	147567	
777973	159224	Ruza
777973	163052	
777973	164877	Cajka
777973	166451	
777973	166651	Jelisaveta
777973	170965	Milka
777973	172497	Rita
777973	176284	
777973	178519	Vesela Kraj
777973	180665	
777973	181504	
777973	183882	Zivka, pomocnica
777973	187014	Elza
777973	187997	
777973	192892	Jelka
777973	205099	Kristina
777973	205798	Klara ... cerka
777973	206651	Princeza
777973	207240	Drugarica Protic
777973	217290	Seka
777973	217407	Luda rediteljka
777973	229275	Lekarka
777973	230450	
777973	232674	Persida Rogic
777973	234452	
777973	234899	
777973	252161	
777973	258768	
777973	259834	Amilija Kasikovic
777973	261943	Milutinova zena
777973	266202	
777973	266651	Velma
777973	270527	Seka
777973	270710	
777973	272044	Komsinica
777973	272195	
777973	273093	Seka
777973	273096	Goca
777973	284865	Mario
777973	293710	Desa
777973	293711	Desa
777973	293712	Desa
777973	295062	
777973	303822	Zena
777973	305524	
777973	320551	Kica
777973	324268	Kosara Askerc
777973	328707	Simka Milivojevic
777973	344258	Sonja
777973	344259	Sonja
777973	349153	Rajka
777973	354325	Sekretarka
777973	357276	Olja
777973	375855	
777973	382430	Seka Sekulovic
777973	382431	Seka Sekulovic
777973	383720	Bela Matovic
777973	383805	
777973	386407	Leonora Bah
777973	386659	Melanija
777973	387030	
777973	390182	Herself
777973	390909	
777973	394110	Sindja
777973	394691	
777973	396592	Nadina majka
777973	397529	Desa
777973	397987	
777973	397988	
777973	398921	Olga
777973	400338	
777973	400438	
777973	401928	Glavna medicinska sestra
777973	403668	Madame Janine
777973	405659	Milena... cistacica
777973	405693	
777973	406315	Marijana Kolakovic
777973	406316	Marijana Kolakovic
777973	406567	Gusterova zena
777973	407129	Ilka Markovic
777973	409294	
777973	409296	Justa
777974	191907	Victoria
777974	357364	Waitress
777975	84962	Girl
777976	91067	Herself
777976	91068	Herself
777976	147464	Ana-Marija
777977	355548	
777978	56871	Pan Am Stewardess
777978	187708	Woman in audience
777978	220968	Mia Crumb
777978	276328	Theresa Ruffolo
777979	1057	
777979	28408	Sekretarica
777979	36532	
777979	44008	Stanislava... Stampedova mami
777979	55155	
777979	85166	Milena Pavlovic-Barili
777979	94061	Sluzbenica
777979	95984	
777979	134763	Bisera
777979	170965	
777979	171435	
777979	172501	Suzana Lojtes
777979	173101	Buletova zena
777979	184073	Milicevicka
777979	186244	Suzana Lojtes
777979	186523	Marija
777979	189474	Herself
777979	202016	Slavica
777979	207240	Sekretarica
777979	215443	Lana
777979	231278	
777979	241007	Mirjanina majka
777979	251319	
777979	251320	Jelena
777979	259063	Vukica
777979	259206	Ana
777979	259834	Paulina... sekretarica
777979	261944	
777979	266274	Milica
777979	283748	Olga
777979	288986	Milka
777979	293711	Suzi
777979	318640	Niki... medicinska sestra
777979	320669	
777979	382430	Maja... medicinska sestra
777979	382431	Maja
777979	394110	
777979	401749	
777979	401750	
777979	402025	
777979	405693	
777979	409294	Lilica
777979	410452	Mina Karadzic
777980	66716	Rose
777980	218445	
777980	249088	Paulette de Sempé
777980	257216	
777980	281826	Lady of the house
777980	287593	
777980	300724	
777980	303543	La dame en gris
777980	328410	Felicite
777980	340680	
777980	345150	
777980	353914	
777981	20625	Extra
777981	67920	Nun
777981	117557	Bit part
777981	185711	Nurse #1
777981	215862	Telephone Operator
777981	241589	French Maid
777981	249068	
777981	330836	Nurse
777981	334136	Frenchwoman
777981	346024	Nurse
777982	1980	Sanjay's Wife
777982	21754	Mallika
777982	36303	
777982	76463	Girl's Parent
777982	241184	
777983	163688	
777984	196387	Colleague
777985	91007	
777986	26169	
777987	393168	Starica
777988	280005	Emcee
777989	70116	
777990	79982	Nurse
777991	66935	Newscaster
777992	276440	Britany
777993	130327	Shari
777994	77101	Helusia
777995	308382	Tartar Girl
777996	184127	Mrs. Lamont
777997	239515	College girl
777997	363292	Bit part
777998	126362	Gundi
777998	153752	Miriam
777998	404458	Ernie
777999	102233	Mr. Paris' Girlfriend
778000	373567	
778001	1784	Lavender Girl
778002	80174	Cop
778003	33497	
778003	45114	Dorimene
778003	94391	Mado
778003	120813	
778003	132064	Chaboute
778003	214384	Mme. de Larçay
778003	300735	Mme. de Lamballe
778003	340171	La Reine Anne d'Autrice
778003	354902	Mme. de Pierrefeu
778004	358479	Little Sarah lookalike
778005	224909	Attaché politique #2
778006	33	Samantha Erickson
778007	108408	Aline's mother
778008	369195	Crying Woman
778009	146961	Nurse
778010	228006	
778010	230646	
778010	361592	School Principal
778011	139897	Liliana
778012	196353	Girl in alley
778013	382584	
778014	10160	Party Guest
778014	97918	
778014	112632	Jonetta
778014	289204	
778014	389411	China
778014	400127	Om Kulthum
778015	379086	Simone (part IV)
778016	8682	
778016	15313	
778016	164126	
778016	180492	
778016	202290	
778016	219894	Gameela
778016	220686	Hayat
778016	241324	
778016	261761	Rebeh
778016	285696	Young Alia
778016	285810	Emna
778017	52063	First Dancer
778018	135434	Samir
778019	23979	
778019	41616	
778019	41632	
778019	41890	Virginia
778019	60776	
778019	62437	
778019	118992	Special Guest
778019	129441	
778019	151048	
778019	155255	Venus De Marco
778019	171211	Herself
778019	189305	(segment "Ana")
778019	189963	tante
778019	201057	Madhu
778019	201430	Cameo appearance
778019	207051	Creature - Mr. Butterfly
778019	254475	Margie
778019	260819	
778019	271892	Girl
778019	273280	
778019	273298	
778019	284934	
778019	288430	Herself
778019	315024	Trixie
778019	325116	Milly
778019	342550	
778019	356649	Herself
778019	381557	(Series 3-7) (1955-1958)
778019	391998	Modelo
778020	106474	
778021	1252	
778021	380963	Neto's friend and dance partn
778021	385502	Julia Olmos
778021	401659	(1999-2003)
778021	402917	Karina Ramírez
778022	254718	
778022	378958	Laura
778022	382951	Mariana
778022	391440	Cristina
778022	405917	Sofia
778022	412040	Daniela
778023	104365	
778024	8684	
778024	147082	
778024	273691	
778024	357176	
778025	378469	
778026	48954	Jayashree
778027	6642	Laura
778028	30493	
778028	34506	
778028	63973	
778028	63974	
778028	64363	
778028	91483	
778028	102532	
778028	177113	
778028	177896	
778028	180688	
778028	181941	
778028	182812	
778028	229060	
778028	230040	
778028	253166	
778028	279366	
778028	288607	
778028	295530	
778028	336417	
778028	350994	
778028	370631	
778028	377497	
778028	378607	
778029	12641	
778029	211447	
778029	242337	
778029	308475	
778029	320470	
778029	370685	
778029	373773	
778030	14985	
778030	47266	Laura
778030	49887	
778030	49997	
778030	55746	Col. Cynthia Moreno
778030	140657	
778030	153255	
778030	162587	
778030	168928	Mrs. Morales
778030	183922	
778030	236108	
778030	246557	
778030	288165	
778030	332756	
778030	355073	
778030	387832	Joy
778031	47402	
778031	127459	
778031	232690	
778031	265640	
778031	265991	
778031	306646	
778031	410412	
778032	265914	
778032	280566	
778033	132354	
778034	99356	
778035	80692	Cadillac Couple
778036	330559	Fighting Twin
778037	127943	Carmelina
778038	202280	
778039	132056	
778040	222162	Gémea II
778041	229622	Secretary
778041	313900	
778042	71010	
778043	122278	
778043	282517	
778043	304430	
778044	313136	
778045	376500	Mrs. Yersin
778046	14894	
778046	41855	
778046	53860	Mother (1996 prologue restora
778046	63872	Lea
778046	67899	Rita
778046	76403	Lara
778046	110758	Claudia
778046	127979	Laura
778046	135364	
778046	163024	
778046	170964	Isabella
778046	222377	Dancing goddes
778046	229601	Federica
778046	230074	Nora
778046	243667	Teresa Fantazzini
778046	251313	Lucilla
778046	255106	Francesca Boitani
778046	262699	Serena
778046	266026	Herself
778046	302509	Elena
778046	324324	Blanda Tozzi
778046	337259	
778046	344443	
778046	348143	
778046	348202	
778046	380991	Cinzia (Teil 4)
778047	340648	Leonora
778048	37010	Kathleen
778049	19792	
778049	69219	La Psicanalista
778049	82126	
778049	161126	
778049	198904	Virginia
778049	319322	
778049	334429	Marchesa
778050	101458	
778050	273910	Mimi
778052	310648	Woman in Crowd
778053	42983	Waitress at Mickey's
778053	188453	Cucumber Girl
778055	84439	Record Purchasing 80s Teen
778056	56201	Lotta Librarian
778057	91445	Porte-parole Jupiter
778058	200843	Policewoman
778059	41213	June kelly
778060	233542	Maria
778060	383032	Dr. Laura Tedesco de Cantón-S
778060	383769	Rita Ferrero
778060	384823	Mercedes Echagüe
778060	387773	
778060	388584	Rita
778060	389235	Emma González Mercante
778060	391847	Florencia
778060	392805	
778060	396646	Claudia
778060	398800	Victoria Olazábal (young)/Cam
778060	401913	Paula Morales
778060	402172	Mariana
778061	103659	
778061	405984	(Pledge, USC)
778062	230583	Jessica
778063	60084	Mila
778063	283805	
778064	49366	Hilda Marx
778064	121361	
778064	155635	Woman in Window
778065	223458	Prostituierte
778066	234949	
778066	276096	Auguste Bußmann
778067	4033	
778067	4084	Munish's mother
778067	4092	
778067	4117	
778067	4296	
778067	6113	
778067	12921	
778067	12922	
778067	15803	
778067	16183	Ravi's mom
778067	17094	
778067	17361	Rajan's mom
778067	21401	Gopal's mom
778067	25667	
778067	27523	
778067	28740	Rukmini (Maya's mother)
778067	29023	
778067	30114	
778067	45414	
778067	58966	
778067	58998	
778067	59010	
778067	59012	
778067	59390	
778067	60975	
778067	62370	
778067	76413	
778067	79127	Head of Nari Niketan
778067	85327	
778067	86645	Dharmesh's mom
778067	86669	
778067	86675	
778067	86769	Simran's grandmother
778067	98513	
778067	107654	Neeta's Mother
778067	116913	
778067	123737	
778067	126951	
778067	137987	
778067	138582	
778067	139329	
778067	141833	
778067	145431	Sunil's mom
778067	145433	Vijay's mom
778067	151188	Mrs. Saigal
778067	152482	
778067	160552	
778067	164332	
778067	165169	
778067	165643	
778067	167363	
778067	169089	
778067	169739	
778067	170403	
778067	171853	
778067	172537	
778067	172539	
778067	172920	Rupa
778067	180233	
778067	184022	Laila's mother
778067	203230	
778067	204396	
778067	204908	
778067	209858	
778067	211268	Raju's Mother
778067	211418	
778067	211465	
778067	221108	
778067	225985	
778067	227307	
778067	228858	
778067	228937	
778067	232824	Mother
778067	246098	
778067	248742	
778067	248803	
778067	250583	
778067	251222	Mohan's mom
778067	262465	Madhu's mom
778067	268572	
778067	270172	
778067	271544	
778067	286585	
778067	286757	
778067	287348	
778067	287987	
778067	297011	
778067	297012	Madan's mom
778067	297033	
778067	297745	
778067	298232	
778067	307099	
778067	341689	
778067	359156	
778067	359417	
778067	373540	
778067	373830	Hamida
778068	4117	
778068	4137	
778068	8250	Anju Saxena
778068	8358	Chanda Bai
778068	17368	
778068	25927	Leelabai
778068	30452	Ms. Fernandes
778068	88493	
778068	91593	
778068	97793	
778068	98520	
778068	114747	Ulfat
778068	152699	Asha, Hema's wife
778068	171856	Mrs. Shrivastav
778068	173505	
778068	174212	Roop Sundari
778068	174366	
778068	183884	
778068	193293	
778068	248960	
778068	264972	Dolly's friend
778068	268079	
778068	288665	
778068	317485	
778068	319834	Special Appearance
778068	367221	
778068	383001	
778069	288242	Bar Dancer
778070	139399	Salma
778070	191701	Yasodhara
778070	202791	Riyaz's Mother
778070	252896	
778070	253065	Lochani/Loni
778070	260646	
778070	268701	Lajo
778070	271046	Sheila
778070	286537	
778070	288232	Tehzeeb
778070	319843	
778070	341777	Tina
778071	4268	
778071	49316	
778072	145339	Woodcutter's Wife
778073	71934	Angel
778074	399130	Serena Bishop (2003-)
778075	171940	
778075	222162	Segunda gémea
778076	176082	Ratna (Satish's wife)
778078	10875	Yvonne
778078	34912	Kelly
778078	108333	Christy Barnstrom
778078	158138	Kimberly Shawn
778078	223833	
778078	279841	Tawney
778078	317451	Studio Aide
778078	343172	Cecilia Lorca
778079	187984	Little Girl's Voice
778080	110274	Mrs. Williams
778080	293258	Mrs. Ezra
778081	245140	
778081	321311	Children
778082	53131	Nurse
778082	109065	Sabina B.
778083	160529	The Girl
778084	5712	Ursula
778085	210514	Tea Room Guest #1
778086	66941	Maid
778087	114246	Puffin (Puffy)
778087	117792	
778087	401815	
778088	92694	Usherette
778088	93038	Jane
778088	114955	Big Sid's Girl
778088	139135	Mail Woman
778088	231896	Karen
778088	283545	Photographer C
778088	291037	Alex's Secretary
778088	360647	Billy
778089	94625	
778090	80782	Restaurant Extra
778091	102968	Lisa
778091	194551	Loreley
778091	281641	Herself
778091	390812	Lisa Wasmuth (2003)
778092	256086	
778093	368997	Waitress at Crash Site
778094	22071	Twinkle
778095	251412	Patrolwoman
778096	148205	Annoying Woman
778096	384183	Vera
778098	382602	Claudine
778099	4507	Valentina
778099	95126	Marlies
778099	137057	
778099	142267	Bankkunde/Bank's Client
778099	157498	
778099	286575	Kursteilnehmerin
778099	312207	
778099	325768	
778099	361997	Marion Löblich
778099	376036	Schachspielerin
778099	405500	Else Rupp
778100	99890	
778100	168740	Miss Pepson
778100	290632	
778101	31643	Beach girl
778101	37674	Beach girl
778101	84960	Louise
778101	92482	Robot
778101	113879	Fan
778101	127125	Salli
778101	151672	Bookend #2
778101	214112	Mikki
778101	222931	Surfer girl
778101	246861	Pajama Girl in sand on the be
778101	294742	Sue Ellen
778101	303900	Indian
778101	339858	Glenn
778101	365319	Hippie mother
778101	365473	
778102	136701	Shopkeeper
778102	154509	Guest at the hotel
778102	198265	Teacher
778102	198391	Kristin, Abel's wife
778102	312697	Scared woman on the street
778102	338674	Woman with a parrot
778103	9986	Sabines Mutter
778103	24352	Frau Anger
778103	236819	
778103	250544	Herself
778103	356738	
778104	241240	
778104	287722	Child
778104	396783	Laurie Randall
778105	42116	Maria Castoldi
778105	227478	Nanon Patin
778106	48959	FDA Board Member
778107	61643	Bellevue patient
778108	6464	
778109	20625	Extra
778110	68515	
778111	340788	Woman
778112	292163	Vera
778113	96198	
778114	194095	Kay
778114	221296	Madeleine Beauclaire
778115	221296	Barbette Beauclaire
778116	194095	Dotty
778117	375047	Patricia Ziegfeld - age 5
778118	22825	Mrs. Almouth
778119	19627	Mother (American version)
778121	112182	Karen Gotarus
778121	137687	Herself
778121	137688	Jenna 'Jen' Danzig
778121	141859	Mary
778121	157841	Becky
778121	193357	Claire Shaw
778121	223932	Ashley
778121	381422	Lt. Kara 'Starbuck' Thrace
778121	381423	Lieutenant Kara "Starbuck" Th
778121	387331	Nell Bickford
778121	388543	Lenore Fearing
778122	333440	
778122	333441	
778123	5806	Townsperson
778124	101175	
778125	134517	Owens River Gang
778126	279460	Lisa
778126	305742	Jennifer Grayson
778127	5314	
778128	100844	Linda
778129	72104	Cover girl contestant
778129	202852	Jane, the Chorus Girl
778129	277916	Singer, The Pacemakers
778130	85817	Lori
778131	58418	Queen Norjean
778132	148697	
778133	70607	La grand-mère
778134	7022	Winnie Hare
778134	7023	Winnie Hare
778135	252983	Young Edith
778135	398680	Sarah Phillips
778136	11549	Beck
778136	383057	
778137	254476	Mother
778138	36640	Priora
778139	29847	
778139	57908	
778139	69011	
778139	124448	
778139	156590	
778139	206995	
778139	260834	Señora de llanos
778139	273030	Aunt Lola
778139	353600	
778140	338642	
778141	160724	L'infirmière
778141	338593	Une infirmière à la pension
778142	104616	Herself (Portuguese member of
778143	247086	
778144	359753	Sarah Almond
778145	84052	Herself
778146	63787	
778146	276800	Flamenco Dancer
778146	277360	
778146	339014	
778147	114872	Cantaora
778148	47532	Bianca
778148	240970	
778149	124395	Irène
778149	187061	Arts
778149	189968	Kommentaarstem
778149	231712	
778149	237839	Nicole
778149	256524	
778149	352016	Tiggy Bone
778149	352485	Maria
778149	365024	Verpleegster
778149	366688	Griet
778149	396460	Margareta van Oostenrijk
778150	43615	Dance
778150	372923	Bruno's mother
778151	307840	La mère de Claire
778153	162772	
778154	239335	
778155	11737	
778155	293430	
778156	137567	Tabletop Dancer
778157	161473	Bertha Leverton's sister
778158	411563	Old Woman
778159	83713	Farmeress
778159	179110	Tenant
778160	35646	Herself
778161	113617	Instructor
778162	5192	Athene Duncannon
778162	21963	Hooker
778162	26893	
778162	26894	
778162	26901	
778162	39207	
778162	39308	
778162	39309	
778162	59156	
778162	68172	
778162	83010	
778162	91837	
778162	122191	
778162	142464	Stripper
778162	192508	Herself
778162	285151	Herself
778162	285153	Herself
778162	285154	Herself
778162	321165	
778162	330404	Susan
778163	33908	English Teacher
778164	379653	
778165	91311	Tere
778166	174909	
778166	259021	Anna
778167	113761	Parwanah
778168	113761	
778169	300969	
778170	147928	Yulia
778171	230087	Ärztin in der Intensivstation
778172	4318	Neena Bakshi
778172	4532	
778172	7363	Priya
778172	12922	Suchitra
778172	12975	
778172	17313	
778172	17804	Working woman
778172	21401	Usha
778172	22106	
778172	27526	
778172	61010	
778172	85969	
778172	86639	
778172	95031	
778172	98516	
778172	98529	
778172	122717	
778172	124960	
778172	152457	Mita
778172	152488	
778172	160738	Reeta Mehra
778172	162694	
778172	167981	
778172	195697	Sonia
778172	204396	
778172	211277	
778172	248559	Seema
778172	255265	
778172	262850	Kavita Kapoor
778172	271544	Sangeeta
778172	284978	Shobha Dayal
778172	344336	
778172	359156	Meena
778172	367219	Sandhya
778173	21817	
778174	79133	
778174	307028	
778175	51807	
778175	264114	Fatima
778176	212666	Maestra 2
778177	1877	Herself
778177	193344	Odalisca 1
778177	309487	Bondage Girl
778178	37894	Pretty Young Model
778179	376442	Kurde
778181	283739	Mrs. Yang
778182	245797	
778182	294660	
778182	313137	
778183	92760	Additional Voices
778183	168218	
778183	192527	Rebecca
778183	253507	
778183	311616	Barbara
778183	330195	Nurse #1
778183	365763	Janice Mantis
778183	386922	Chi-Chi (I) (1996-1998)
778184	25427	
778185	401053	Anna (1981)
778186	1154	
778186	4536	Recovering Alcoholic Member
778186	49335	Mari
778186	133624	Miss Baedecker
778186	214422	Mall Beauty #2
778186	236138	Coco
778186	350622	Ballroom Woman #2
778186	365597	Leslie Holt
778187	372318	Rudy
778188	138146	Mrs. Carver
778188	163491	
778189	272440	Extra
778190	11194	Linda Marston
778190	191783	Diana
778190	399552	Tracy Crabtree
778190	409401	Stewardess (segment "Terra In
778191	137462	Pub Character
778191	221234	Stewpot Iris
778191	385299	Mrs. Fazackerley
778191	397793	Gladys (Series 1-3) (1977-197
778192	243766	Lady as Child
778193	6839	
778193	20765	
778193	35357	
778193	49628	
778193	49769	
778193	68190	
778193	85915	
778193	88906	
778193	111737	
778193	137607	
778193	149189	
778193	207953	
778193	244808	
778193	362236	Helma
778194	160784	
778195	385613	Young Matildan
778196	16003	Cassie Carter
778196	68164	
778196	107863	Brenda
778196	161407	Joyce Beasley
778196	200199	Girl
778196	381594	Skirty Marm
778196	390523	Judi Jeffreys (1997-1999)
778196	391759	Nurse Sandy Harper (2001-2003
778196	404115	Laura
778197	69514	
778197	132912	Pedestrian
778197	204209	Dispatcher
778197	213105	Pedestrian #9
778198	40490	Party Guest
778199	161407	Mrs. Clitherow
778200	308168	
778201	34384	
778202	87922	Waitress
778202	159521	Catherine
778203	32170	Mother
778203	94977	Mrs. Burberry
778203	97698	Mrs. Malvesty
778203	190248	
778203	197654	Mrs. Dusenberry
778203	203151	
778203	241041	Mrs. Chater
778203	280245	Aunt
778204	141400	Aunt Anne
778205	149096	Waitress
778206	152945	Pretty Girl at Dance
778207	50996	Waitress
778208	12635	Rosa
778208	22844	Moderen
778208	26317	Evas mor
778208	78435	Annie
778208	83059	Karen
778208	97867	Blondinen
778208	109298	Susanne
778208	114808	Adeles Søster
778208	120968	Fridas mormor
778208	168706	Brittas mother
778208	174016	Maren Mogensen
778208	179790	Annelise Bærnhard
778208	181075	Margit Bonnekamp
778208	210373	
778208	214366	Lisbeth Andersen
778208	214370	Lisbeth Andersen
778208	228392	Magna
778208	233284	Fru Lintz
778208	239954	Speaker
778208	244681	Mrs. Lejon
778208	255661	Else Jensen
778208	255664	Kokkepigen Rikke
778208	262957	Martha, kaldet 'Mads'
778208	268371	Telefonpige
778208	284398	Frk. Jensen
778208	291615	Blå Mor/Blue Mother
778208	293650	Monnie
778208	303642	Faster Anna
778208	303695	Museumsdamen
778208	305311	Johanne Mascani
778208	317258	Grete Svendsholm
778208	338696	Johanne 'Joe' Hansen
778208	351042	Annemarie Olsen
778208	351462	Nelly Smith
778208	361564	Erna, Werners kone
778208	383068	Louise Samuelsen
778208	390932	Centralmutter Amalie Nielsen
778209	82386	Dancer
778210	16151	Ibunda Renata
778211	6322	
778211	8476	
778211	15801	
778211	18943	
778211	228170	
778211	270550	
778211	380498	
778212	105831	Dancer
778213	30345	
778214	201120	
778214	216342	
778214	236484	
778214	272463	
778214	313924	
778215	347534	Danielle
778216	375664	Manager's wife
778217	217279	
778217	309008	Lidiya Shcherbakova
778218	322816	
778219	38045	
778219	68680	Jenny
778219	392433	
778219	402140	WPC Kathy Bibby
778220	268384	Lawila
778221	94978	The Queen
778221	367879	Her Majesty Queen Elizabeth I
778222	373439	
778222	396286	Justyna Badecka (2002; 2004-)
778223	156283	Dance Teacher
778224	186389	Andzelika
778225	174880	Regina's Friend Johanna
778225	249694	Ala, Struziak's Lover
778225	260601	
778226	2814	Anna
778226	6569	Louise, la femme du maire
778226	9017	Yvette
778226	11936	Helene
778226	19238	Eric's grandmother
778226	19327	La Crochue
778226	19639	Tante Anouche
778226	29415	Soeur Hermance
778226	51251	Madame Guyot
778226	53014	Madame Villeneuve
778226	54979	Madame Martin
778226	58288	
778226	59996	Manou
778226	61407	Maria
778226	62795	Nurse
778226	101221	
778226	108906	Alice Kachoudas
778226	114814	Angelina
778226	132404	Mamiouchka
778226	152378	Georges' Mother
778226	158189	Grandmother
778226	163819	Mme Panoux
778226	202421	Marie
778226	208715	Anna
778226	216239	Mme Magloire
778226	218289	
778226	220253	Maria
778226	225498	Mme Magnoux
778226	243601	Aunt
778226	249461	Anna, la gouvernante des Rivi
778226	254024	
778226	258864	
778226	268413	Grand-mère Lola
778226	276517	Catherine Boere
778226	287601	
778226	300836	Waarzegster
778226	307111	La grand-mère
778226	317953	Commissioner's wife
778226	339992	Mathilde
778226	340119	Servant
778226	345270	La boulangère
778226	346555	
778226	397192	Anna
778227	105076	Confident Teenager
778228	344279	
778229	63159	Narrator
778230	10656	
778231	353494	
778232	74219	Martha's Friend
778233	83142	
778233	234329	
778233	292774	
778233	294071	
778234	138822	Girl on Crutches
778234	178931	Judy Rawls
778234	314683	Lou
778235	82444	Carre Downey
778235	137946	Ophelia
778236	74570	
778237	76487	
778238	178726	
778238	293943	
778238	298810	
778239	404228	Misao Aoki
778240	32233	
778241	138929	Anjali (Special Appearence)
778241	181480	Anjali Khanna
778242	79269	Beth
778243	23267	
778243	83007	
778243	253662	
778243	338644	
778244	389138	konfirmant
778245	239331	Nurse
778246	379478	Mitchy
778247	211900	Yumiko
778248	285222	Nao
778248	298829	Doctor's Wife
778248	373219	
778249	98602	Misa Kuroi
778249	128052	Tamaki Hasegawa
778249	130499	Ropeway guest
778249	137380	Sonoko's neighbor
778249	201090	Sugina Rinkaiji
778249	225612	Fumie Hatomori
778249	229965	Michiru Takamizawa
778249	232920	Mio
778249	272476	Sadako Yamamura
778249	298980	Herself - an actress/Intervie
778249	299405	Maa-chan
778249	312712	
778249	349220	Kyoko Sekino
778249	387407	Misa Kuroi
778249	389745	Norie Otobe
778250	307189	Konishi, Hiroko
778250	379081	Sasshi
778250	385060	Root
778250	398074	Mondo Ooya (Japanese version)
778250	400053	Igarashi-kun
778251	99268	Wasvrouw/Nele van de Riedijk
778252	210827	Mylin
778253	380076	Mariana Palacio de Zuleta
778253	396601	
778253	405858	Maria Fernanda
778254	266572	
778255	253509	Theresa's child
778256	236751	Adela niño
778257	343172	Hotel Manager
778258	46251	Emma
778259	70588	Le Coq d'or
778260	136463	Gitte
778260	165648	
778260	182625	
778260	278197	Elin Ellekjær
778260	305883	Dame
778261	20890	Elaine Harper
778261	27596	Herself/Søs
778261	394865	Søs Nielsen
778262	174407	Alix
778262	196821	Mireille
778262	324642	
778262	356109	
778262	384611	Angèle Persez
778262	400876	
778262	406558	Dame Veronique
778262	407352	
778262	408151	Marijke (1996-1997)
778262	411311	Paula Coppens-Sneyers (1993)
778263	112879	
778264	199794	Mother
778265	175417	Herself
778266	92182	Sally
778266	264448	
778267	14287	
778267	49473	Mrs. Stern
778267	119272	Haushälterin Caroline
778267	219289	Tante Bea
778267	225149	
778267	230201	Gouvernante
778267	261556	Lena Forche
778268	261330	
778269	103565	
778269	320707	
778269	357415	Selyanka
778269	374062	Kaka Mariya
778270	5140	Dixie
778271	96557	Herself
778272	24656	Samia
778272	392548	Mireille (1982-1986)
778273	22072	
778274	46568	Vampire Cop #2
778275	37682	Bettina
778275	230934	Doris
778276	311459	Sobarica
778277	272055	Big Sister
778279	218543	
778280	301424	Glas voditeljice s televizora
778281	235998	
778282	18503	Anush's mother
778283	122712	
778283	127009	Jeyran
778283	270888	
778283	273051	
778284	262627	
778285	381065	Baby Bob
778286	199319	Indra
778287	185964	Airport Passenger
778288	256518	Zézétte
778288	398037	Hermeline
778289	352066	
778290	51832	Dea Nuccis
778291	64249	Nor
778291	183917	Leen
778292	41313	Mary Louise Schmidt
778292	129772	Beth Bonds
778292	139578	Diane Schacht
778292	212748	Barbs
778292	222863	
778293	79938	Kelly (Mary Jo's Neighbor)
778294	183550	Chorus
778294	258513	Additional Voices
778294	305488	Herself
778295	193759	Julie
778296	245794	
778296	358846	Donna Elvira
778297	86287	Secretary
778298	348402	Restaurant Patron
778298	408990	Hostess (1987-1988, syndicate
778300	381021	
778301	77271	Natasha
778302	9262	Sarafina Pavlova
778303	239370	
778304	5470	Irene Brice
778304	11010	Irina
778304	26214	
778304	63590	
778304	63865	Maja
778304	95694	Olya
778304	113207	
778304	124843	
778304	131119	Sveta
778304	162677	
778304	174463	
778304	176143	
778304	178727	(segment Konsultant po epokhe
778304	199607	Le mère de Volodia
778304	223601	
778304	238112	
778304	238129	Anna Sergeyevna, Governor's W
778304	256757	Lisa Alling
778304	259059	Aleksandra Mikhajlovna
778304	263134	Vera
778304	264322	Nina
778304	265274	
778304	289863	
778304	294017	
778304	298611	
778304	307025	Sofya Kovalevskaya
778304	323321	
778304	323646	Nina, Liocha's Wife
778304	349030	
778304	351811	Princesse du Liechtenstein
778304	357225	
778304	357428	
778304	374788	
778304	375176	
778304	375177	
778304	399344	Vinner
778304	410448	Joanna
778304	411996	
778305	3388	Guadalupe
778306	379118	Teacher Malicha
778306	380099	
778306	384400	Elvira González 'mamá de kike
778306	385502	Hortencia
778306	410477	Lupe (2003)
778307	21	Brandy
778307	208884	Julia Hays (Jules)
778308	404694	Lisa Britton #3 (1971-1974)
778309	195264	
778309	281897	Becky Ann
778310	103052	
778310	221221	
778311	222292	Mrs. Warris
778312	193281	
778313	268186	Antonida Buinosova
778314	349941	Gabina
778314	384085	Merchant #2
778315	26803	Lucille Douglas
778315	276204	Celeste Burke
778316	51362	
778316	212094	Nadia Lecetti
778316	361144	
778316	380255	
778316	383784	Anna (Angelica Levi)
778317	262498	
778317	283682	
778318	89792	
778319	26177	Barunka
778319	48334	Zuzana
778319	51091	Kvido's mother
778319	65987	Vera Hruzová
778319	99181	Elf
778319	99277	Halíbela, witch
778319	107715	
778319	165080	Jana
778319	171545	Alzbeta
778319	181235	
778319	181344	
778319	202574	Princess
778319	205010	
778319	221865	Zuzana
778319	230051	Felicity
778319	237201	
778319	247069	
778319	263652	Teacher
778319	263952	Vecernice
778319	288128	Jelena
778319	304659	Teacher
778319	307208	Princess Maruska
778319	320538	
778319	339247	Princess Milena
778319	339324	Popelka/Cinderella/Askepott
778319	339947	Lissote
778319	352820	Jana Turkova
778319	357297	Vránová
778319	357436	Irma
778319	374284	Jenny
778319	376178	Katerina
778319	399868	Josefína Konrádová
778319	403860	Warehouser Stanislava
778319	410328	
778320	165074	Boruvka
778320	167801	
778320	202574	Little Mermaid
778320	239425	
778320	279819	Blazena
778320	281011	Maruna
778320	305815	Alena
778320	380553	Arabela
778321	109957	Radhia
778321	274494	
778321	318616	
778322	123923	Shawkia
778322	207858	The Female's Mother
778322	231511	Mrs. Wentzel
778323	151777	Florica
778324	98315	
778326	9357	
778326	21615	
778326	37620	
778326	97628	
778326	127769	
778326	167952	
778326	170976	Yasuko
778326	172255	
778326	181864	
778326	216499	Omitsu
778326	229783	Orin
778326	242314	
778326	243632	
778326	272625	Sakiko Okamu
778326	278430	
778326	294183	
778326	324370	
778326	325332	
778326	327745	
778326	341288	
778326	348981	
778327	253574	
778328	199405	2nd Guest
778329	56545	Herself
778330	104428	
778330	196726	
778330	206127	Pearl
778330	305200	Yilieva
778330	317463	
778330	374463	
778331	2657	Amy
778331	2659	Amy
778332	133402	Sorority Girl
778332	161291	Herself
778332	386831	Kate Foster
778333	1439	Herself
778333	58940	Irene Duncan
778333	67568	Secretary
778333	93150	Unemployment Manager
778333	93992	Wendy
778333	107388	Girl patient
778333	116569	Connie St. John
778333	119525	Herself
778333	122173	Turanga Leela
778333	131539	Ursula
778333	161291	Herself
778333	194530	Lady Sakti
778333	200894	Louise
778333	206456	Herself
778333	206457	Herself
778333	211582	Herself
778333	219931	Mary Quite Contrary
778333	220954	Harriet Magnum
778333	273745	Mrs. Flo Spinelli
778333	297991	Susan Essex
778333	305458	Pat
778333	337606	Annie Cook
778333	356350	Herself - Choir Member
778333	378944	Cate Hennessy
778333	389573	Turanga Leela
778333	392625	Barb Thompson
778333	396936	Peggy Wanker Bundy
778333	397003	Jo Tucker (1985-1986)
778333	403038	Mrs. Flo Spinelli/Additional 
778333	409019	Claire Wennick
778334	115106	Sunny
778334	116569	Make Up Girl
778334	133402	Sorority Girl
778334	151758	Ronette, Cherry Bomb
778334	161291	Herself
778334	304015	Amy
778334	386831	Allison Foster
778335	63424	Maloney
778335	69290	Female Agent
778335	72769	Dominatrix
778335	76571	Enraged Mom
778335	81767	Woman Cop
778335	144913	Female Teacher
778335	195305	TV Reporter
778335	218785	Mrs. Tippet
778335	220039	Dr. Kahn
778335	229428	Reporter
778335	232357	Motel Receptionist
778335	257922	Science Teacher
778335	304691	Mom
778335	339358	Charles' Assistant
778335	364431	Maitre D'
778335	393460	Kate Lighter
778336	26011	
778337	84042	Herself
778337	84691	
778337	131715	
778338	58509	
778339	96603	Go-Go Dancerin #2
778340	18915	
778340	49918	
778340	88218	
778340	201954	
778340	202333	
778340	228842	
778341	83743	
778342	169090	Durga's sister
778343	104269	Mrs. Kusakabe
778343	104274	Hibari Haruno
778343	348571	Mother of Fumiko
778344	21824	Sadayo Hamada
778344	28059	Shizuka Atsugi (Episode 1)
778344	91520	Takako Kamoi
778344	100963	Lily
778344	130486	TV reporter
778344	146346	Omitsu
778344	179416	Teiko
778344	205563	Shoko
778344	205837	Rie (cameo)
778344	283919	Naoko
778344	288066	Kimiko Takanashi
778344	298913	Miyako Morino
778344	318538	Kyoko Nakamura
778344	406882	Kyoko Nakamura
778346	102994	
778347	253919	Wendy Moira Angela Darling
778348	332377	Venus
778349	124210	
778350	162787	Akeita
778350	201216	
778350	407711	Angela
778351	3545	Chica
778351	165159	
778351	231291	
778351	283198	Mujer 3
778351	333640	
778351	371705	
778352	95669	
778353	361396	Angel
778354	167896	Keiko
778355	1345	
778355	19374	
778355	100341	
778355	162918	María
778355	212993	
778355	243055	
778355	336066	
778355	370099	
778356	6966	
778356	34879	
778356	44864	
778356	52209	
778356	228031	
778356	228032	
778356	305231	
778357	154969	Perry's Assistant
778359	60319	Cheerleader
778359	291281	Boxcover Girl (Ashley Sage)
778359	306911	
778359	326855	
778360	344184	Eva China
778361	188034	
778361	203989	
778361	228637	
778361	364724	
778362	38619	Birdy's mother
778363	221124	Skeffington's first secretary
778363	366942	Penny Armstrong
778363	366982	Constance 'Connie' Trent
778364	54248	Serveuse café Bretagne
778364	96208	Sandrine
778364	100469	Judge Menadier's assistant
778364	119383	La collègue de Jeanne
778364	198605	Catherine
778364	215057	
778364	291682	Mère enfant supermarché
778364	346419	Martine
778364	377464	Mrs. Mériaux
778365	63187	Cricket
778366	326851	Ms. Nurse Morse
778367	48709	Fan
778368	372318	Wife
778369	67156	
778369	244913	
778370	244913	Extra in Denker's Beer Garden
778371	224790	Marion
778371	315144	Nicolette Renaud
778372	314470	Une paysanne
778373	7987	Roberta Brogan
778374	10722	Telephone Operator
778374	47895	Randolph's Secretary
778374	103781	American Tourist
778374	128827	Prisoner
778374	133727	Screaming Woman
778374	203585	Telephone Operator
778374	209592	Bit part
778374	228588	Miss Danning
778374	264644	Second Telephone Operator
778374	330184	Girl entering locker room
778374	360040	Fay Simmons
778374	367827	Aviatrix
778376	233834	Sylvia Lane
778377	43881	
778377	50559	
778377	56563	
778377	319985	
778377	332885	
778379	120370	Schwester Mary
778380	322278	Dorothee Sendlinger
778381	65523	Jill Hayes
778381	126544	Allison
778381	190225	Claire
778381	195920	Lisa
778381	309202	Leah
778381	309546	Cassie
778381	313122	Samantha
778382	91064	Herself
778383	21529	Becky
778383	143483	The Woman
778383	168301	
778384	324049	
778385	143483	Granddaughter
778385	168301	
778386	330799	Wild Fan
778387	196565	Michelle Darling
778387	329913	
778388	143483	Granddaughter
778389	100816	Head Priest's Wife
778389	113808	Ida
778389	158314	
778389	228164	Sheridan
778390	274332	Dancer
778391	366683	Hooker
778392	231895	Nurse Smith
778393	296912	Girl at Party
778394	222893	
778395	277726	
778396	42611	
778397	159248	Herself
778398	233964	Teresa
778398	405557	Second City
778399	6240	Mother
778399	245878	
778400	300791	
778401	165123	Mrs. Avron
778402	18763	
778403	267186	Herself
778404	51133	Tjenestepigen Alma Jonsson
778404	90167	Præstekonen
778404	98981	Sekretær
778404	108575	
778404	117900	Anders' kone
778404	129174	
778404	136636	
778404	154151	Mor
778404	190817	Louise Frankenau
778404	205685	Stuepigen Else
778404	214371	Rumforsker
778404	216993	2. kvinde
778404	236274	
778404	266370	Tigger
778404	291638	Woman
778404	309292	Frue
778404	312234	Mørk dame
778404	314845	Mara
778404	322301	Stines mor
778404	341115	
778404	351910	
778404	383948	Charlottes Mor
778404	388829	Tea Røn
778405	154667	Herself
778406	242289	
778407	230019	
778408	73944	Mariko
778409	103282	
778410	255541	
778411	391614	Emsal
778412	174284	
778413	51132	Rengøringsdame
778413	137402	Tante
778413	302427	Sinans mor
778414	394922	Gülsüm
778415	325134	
778416	232931	Nini
778417	275700	Julie
778418	147222	Simone
778419	106274	
778419	322769	
778420	104221	Femme de Yere
778421	264142	
778421	370102	
778422	3094	Catherine
778422	5730	Anna
778422	29414	Anna Kowalski
778422	33578	Gabrielle
778422	43413	Clémentine
778422	63856	Dance girl 1
778422	75914	The Little Sister
778422	81141	
778422	101233	Hermine de Musset
778422	120980	
778422	132311	Anna
778422	154736	La petite fille de la place d
778422	198303	Lula
778422	198567	Géraldine
778422	205749	Marie
778422	206008	Élodie
778422	212157	Virginie Gallais
778422	217684	
778422	253920	Tink
778422	254119	Lili
778422	254154	Nathalie
778422	292340	Mylène
778422	321458	Julie
778422	345298	Daphnée (babysitter)
778422	345312	Herself
778422	349481	Sophie
778422	377008	Charlotte
778422	388314	Anne-Sophie
778422	390477	Herself
778422	398993	Hortense
778424	293212	Noelle Dearing
778425	314202	Celia
778425	387247	Hannah Carpenter (1985-1987)
778425	408478	Mrs. Hasana M'Bundo Jackson (
778426	39193	Katie
778426	90771	Daughter Jessica Pistone
778426	134886	Allie, Melanie's Daughter
778426	157636	Rebecca Cooper
778426	178099	Corinna, 4 Years Old
778426	372372	Young Kathleen Kelly (flashba
778426	390771	Tammy Layne Winslow #1 (1997-
778427	184266	
778427	197026	Pritee
778428	395806	Herself
778429	77676	Salsa Club Dancer
778430	179851	Beata
778431	114752	
778432	5291	
778432	183467	
778432	379907	
778432	382951	Irma
778432	384823	Virola
778432	386783	Foncesca
778432	386792	Antonieta
778432	388650	
778432	389780	
778432	391853	Voice of Ekaterina Hansen
778432	392752	Profesora Libonatti
778432	396149	Hipólita
778432	396646	Nana
778432	398517	Amelia
778432	398526	Amelia
778432	399578	Delfina
778432	403650	Noemí
778432	407792	
778432	409014	Greta
778433	381144	Mercedes
778433	389887	Magá
778433	390054	
778433	405810	
778433	407643	
778434	251053	
778435	274319	Car Girl (segment "Swimming N
778436	170508	Eva-Lisa as child
778437	53851	
778438	94919	
778439	62588	
778440	284707	
778440	285497	
778441	135623	Mexican Seamstress
778442	118275	Cigarette Girl
778442	174508	Woman in Office
778442	187977	Little Girl
778442	315899	Girl at Bank
778443	70916	Stacy
778443	113995	Kaitlin
778443	117704	Connie Wang
778443	124927	Young Thing
778443	160785	Mia
778443	167060	Valentina Juarez
778443	206154	Carmen
778443	226981	Becky
778443	278470	Teez
778443	314746	Mother
778443	319191	Brandon's Model
778443	326771	Sally
778443	328270	Bianca
778443	332778	Chi-Chi
778443	339019	Argentine Reporter
778443	339720	
778443	345702	Joey
778444	102504	Kibbutz member
778445	7719	
778445	7720	
778445	7723	
778445	26782	
778445	34920	Herself
778445	39232	
778445	39307	
778445	39519	
778445	39963	
778445	52350	
778445	62471	
778445	66761	
778445	71467	
778445	88886	
778445	88950	
778445	89357	
778445	102817	Herself
778445	118565	Foxy
778445	149981	
778445	150083	
778445	150700	
778445	219043	
778445	242066	
778445	243910	Mother
778445	245473	
778445	316026	
778445	321029	
778445	323163	
778445	325264	
778445	369913	
778445	369914	
778446	62629	Sannan no tomodachi
778447	285801	
778448	35879	Alena
778449	76463	Bar Owner
778450	253673	
778451	211226	Cathy Vidal
778452	330005	
778453	131519	Herself - Child Reporter
778454	4338	Annu
778454	8310	Chotelal's wife
778454	35084	
778454	36264	
778454	62723	
778454	79455	Champia
778454	86671	
778454	98487	
778454	143825	
778454	143847	
778454	152446	Aarti (Kumar's wife)
778454	152476	
778454	152493	
778454	175993	
778454	195279	
778454	202756	
778454	208601	Maya
778454	222367	
778454	238876	Miss India
778454	249540	
778454	303586	
778454	326872	
778454	407521	
778455	397008	Naciye
778455	400148	Halide Sürmeli
778455	411705	Basak
778456	219445	Herself
778457	97097	
778458	412237	Emine
778459	102121	Daughter
778460	58686	Sheela
778460	102121	Little daughter
778460	168051	Herself (Lead exotic dancer)
778460	281479	
778460	373540	
778461	360798	Skunk
778462	57489	976-Piss
778463	11713	Anna
778463	104638	Herself
778463	104774	Swedish backing vocal
778463	104775	Maltese backing vocal
778463	104777	Estonian entry (3rd place)
778463	211233	Anna
778463	379764	Anna
778463	397396	Herself
778464	30166	Roberts mother
778464	32386	Woman on platform
778464	227042	Vivianne
778464	379797	Fröken
778464	405900	Ann Karlsson
778465	154562	Politician
778465	237087	Herself
778465	306200	Mother
778466	115883	Nurse
778466	120138	Office Girl
778466	148820	Brända brallisen
778466	237260	Guest at the party
778466	377434	
778467	29570	
778467	98774	Air Hostess
778467	390151	Class mate
778468	328545	Mrs. Steen (Kajsa's mother)
778469	245678	Cashier
778470	85373	
778471	124031	
778472	350719	
778473	2338	Kamini
778473	7607	College professor
778473	15869	Sapna's employer
778473	16183	Lily
778473	29028	
778473	42442	
778473	48681	
778473	49316	
778473	79127	Bijli
778473	85315	Guest Appearance
778473	88518	Heera's mom
778473	88537	
778473	141833	
778473	152410	Seema
778473	168438	Nalini
778473	174311	
778473	175909	
778473	184158	Kamini's step-mother
778473	198725	
778473	208561	Sheela
778473	348437	
778473	358203	
778474	286655	Kathia
778475	291016	
778475	373190	
778476	9089	Video Technician #2
778476	57703	Waitress At Wine Restaurant
778476	261440	Anne
778476	363061	Woman in labour
778476	397907	Lise
778476	403542	P.J. Flinders
778477	362310	Amber
778478	93417	Ägypterin
778479	139326	
778479	267662	
778480	149551	María
778481	24913	Various characters
778481	58760	
778481	66078	La femme délaissée
778481	133171	Antoinette Lacagne
778481	149237	
778481	285083	Mme Moreno
778481	287279	Paula
778481	382471	
778481	404129	La standardiste (1970)
778482	277350	Greta Schultz
778482	321940	Kristin
778483	137345	Takahashi, Yukiko
778484	200	Ching-Yeh
778484	286542	Sweetheart
778485	324893	Zani's friend
778486	116666	Restaurant Patron
778487	116666	Restaurant Patron
778488	116666	Restaurant Patron
778489	256741	
778490	394550	Captain
778491	220369	Somali Girl
778492	176256	Matt's Students
778493	381436	Kate Meadows (1994-1995)
778494	202017	
778495	52197	Guest
778495	66999	Shaheera
778495	224284	Jasmine
778496	43615	Woman in the bar
778497	245912	Aman
778498	157656	Indian Girl
778501	51224	
778502	63066	Twin #1
778503	287761	Herself
778504	302748	Niece
778505	310646	Reporter
778506	276875	Hotel Waitress
778507	510	Elk/Tsukasa
778507	515	Elk
778507	516	Elk/Tsukasa
778507	517	Elk/Tsukasa
778507	14593	Psychogenie
778507	20460	Julian
778507	63702	Izamu
778507	201289	Jun
778507	201290	Jun
778507	286868	Yumeji Kurokouichi
778507	378651	Tsukasa/Elk (Episode 28)
778507	384218	Izamu
778507	386236	Bed store saleswoman, model 2
778507	397346	Enzan Injuin/Chaud Blaze
778507	402942	Junior
778507	403597	Enzan Injuin
778507	404576	Zero {Japanese Version}
778507	404772	Sobaash
778508	97048	Doris the Dominatrix
778508	263206	Gloria
778509	251527	
778509	255589	
778509	268418	Loubarde 2
778509	336467	Farida
778510	408719	Natou
778512	194150	
778513	13098	Gitana
778513	32571	Frida
778514	348571	Dancer
778515	178152	
778516	89416	Teruko Okabe
778517	59717	Anna Svärd
778517	140411	Hilma
778517	144055	Eeva Puntila
778517	210350	Herself
778517	210363	Herself/Host
778517	213413	Herself - performer
778517	214845	Herself
778517	258816	actress Merju Köykkä
778517	267142	
778517	303108	
778518	12495	
778518	139261	
778519	241990	Ghost
778519	411563	Souhi
778520	81677	Misako Onda/Shôichi's wife
778521	300561	
778522	135935	Kazihiro's Daughter
778523	6107	Giribala
778524	233246	
778525	211863	Terruksen sihteeri
778525	223514	Tarjoilijatar
778525	354286	Young intellectual woman
778526	188933	Girl at hen's night
778526	211038	Sini
778526	303846	Vieras jatkoilla
778526	350602	Isabella
778526	372625	Young Face -malli
778526	392553	Jenni
778526	393017	
778527	387647	
778528	297291	Tai Kim
778529	403272	Emily Wilkins (1988) (Seasons
778530	108669	Azreen
778530	186494	
778530	214315	
778530	252196	
778530	252810	
778530	267895	Raja Ahmad's Governess
778530	272193	
778532	62580	Mrs. Pilgrim
778533	82669	Biker Slut
778534	129829	Nancy
778535	354911	Violette Nozière as a child
778536	16594	
778536	50452	
778536	58570	
778536	62660	Billo
778536	122718	
778536	127341	
778536	139861	
778536	160936	
778536	170807	
778536	175448	
778536	176155	
778536	218868	
778536	251744	
778536	298454	
778537	126686	Cartoon Voice
778538	148784	Stella
778539	262677	
778539	355551	
778539	405705	
778540	359769	Marie Collins
778541	82683	Mavis (radio)
778542	86397	L'androïde
778542	96111	Porn actress
778542	268970	
778542	275639	
778542	327567	
778542	404974	Various characters
778543	94787	Female patient
778543	264436	
778544	135426	
778545	198100	Madeleine enfant
778547	195687	
778548	275395	Daisy (Barwoman)
778549	283145	Member of the women's auxilia
778550	342125	Laura
778550	350421	Lucia
778550	386690	
778550	387465	Orsolina
778551	59194	Cassandra
778551	267508	Frances
778551	385020	Kerry Fletcher (2002)
778551	391484	Roxanne (2004)
778551	401570	Tessa Samuels
778551	401955	Shelby Clarke
778551	408864	Samantha Jones
778552	137462	Dancer
778552	348377	2nd Buttrcup Girl/Can Can dan
778553	227353	Herself
778554	43423	
778555	122402	La cliente bourgeoise
778555	247170	Eugénie
778555	260943	Berthe Ruaud
778556	257670	Herself
778557	61638	The Child
778558	132284	
778559	70936	La Polonaise
778559	73235	Anita
778559	150593	
778559	250466	
778559	257213	
778559	345354	
778559	354028	Wive of Don Juan
778560	6471	Maude Clevenger
778561	9129	Maria
778561	118918	Safie
778561	133640	Teresa
778562	80640	Diner Mother
778563	7834	Susan Roberts
778563	10598	Miss Porter
778563	54855	Vivian Whitney
778563	57492	Herself
778563	64564	Performer
778563	83993	Esther Winters
778563	90277	Katherine Cross
778563	108097	Peggy Maxwell
778563	128711	Rita Massaro
778563	151537	Jane
778563	154648	Carol Sherwood
778563	167560	Ida
778563	176332	Samantha 'Sam' Kandal
778563	195446	Cindy Sondheim
778563	200122	Timothea Lamb
778563	231871	Jennie Haskins
778563	241103	Sally McMillan
778563	245348	Tina Waters
778563	245998	Linette Orbison
778563	284583	Leigh Goodwin
778563	288702	Herself
778563	288703	Herself - Audience Member
778563	291089	Holly
778563	295619	Sally
778563	362529	Aida
778563	363262	Rosabelle
778563	368817	Herself
778563	394207	Kate McArdle (1984-1989)
778563	397232	Sally McMillan (1971-1976)
778564	287858	
778565	25106	Mariola
778565	64333	Herself (1986)
778566	336643	Suzy
778567	268442	Guadalena, Frasquinella
778568	110385	
778569	266626	
778570	189316	La secrétaire
778570	215854	
778571	766	
778571	11457	Herself
778571	55298	
778571	66108	
778571	167590	
778571	252389	
778571	319460	Model
778573	15126	La jeune fille de l'hôpital
778573	188673	
778573	266388	
778573	268462	
778576	1994	Herself - Best Supporting Act
778576	2008	Herself - Presenter: Best Sup
778576	2301	Herself - Presenter
778576	2340	Anna Hedler, Nurse/Pike's Fau
778576	2548	Herself - Co-presenter: Best 
778576	3021	Herself - Past Winner
778576	3053	Herself - Past winner
778576	7584	Herself
778576	7848	Liz
778576	11210	Echo O'Brien
778576	32355	Miss Franny Block
778576	34673	Joanne Powell
778576	34835	Interview
778576	46372	Emma
778576	47385	Herself
778576	53621	Sheila Bartlett
778576	55509	The Wave
778576	55861	Herself
778576	62985	
778576	63122	Emma Larson
778576	75521	Sarah Morrissey
778576	90275	
778576	105871	Kitty Fremont
778576	109722	Mildred Kassab
778576	109725	
778576	132866	Louise Frederickson
778576	132877	Herself
778576	138700	Herself
778576	139989	Celia Pope
778576	147768	Herself
778576	154200	Franca
778576	154852	
778576	164587	Herself
778576	175525	Herself
778576	178092	Mrs. Wilson
778576	185211	Mrs. Patton
778576	187359	Herself
778576	195799	Mrs. Eustes
778576	196536	Selma Wilson
778576	198842	Kate
778576	202361	Mary Wharton
778576	205786	Mother Saint-Raphael
778576	223658	Jimmy's grandmother
778576	235062	Eve Kendall
778576	235615	Lorraine Basner
778576	240922	Edie Doyle
778576	242514	Veronica
778576	242778	Herself
778576	247194	Caroline Lord
778576	248011	Grammy
778576	252449	Lil Van Degan Altemus
778576	271297	Nell Gaither
778576	283811	Elspeth Whittaker
778576	287230	Claire Hewitt
778576	312970	Sarah Carver
778576	326197	Passenger
778576	329395	Dunreath Henry
778576	333361	Ruth Klooster
778576	333855	Hazel Foley
778576	339833	Thelma
778576	357066	Marilyn Klinghoffer
778576	362823	Jane Denton
778576	383302	Commercial Spokeswoman
778576	392176	Katherine (Kate) Macahan
778576	400239	Claudia Barbour Roberts #2 (1
778576	402245	Emily Webb
778576	402245	Miss Blake
778576	410000	Bonny Maid (1950-1951)
778576	411672	Ruth Gardner
778577	35750	Herself
778579	324854	
778579	389662	
778580	766	
778580	26127	
778580	26524	
778580	44675	
778580	57241	Herself (Olivia Saint)
778580	131832	
778580	136154	
778580	186842	
778580	228578	
778580	243131	
778580	306908	
778580	306917	
778580	313363	
778580	335441	
778581	35750	Herself
778582	326677	
778583	621	
778583	754	
778583	784	
778583	785	
778583	790	
778583	3401	
778583	21017	
778583	34633	
778583	34833	
778583	34856	
778583	41120	
778583	91552	
778583	93991	
778583	126340	
778583	128851	
778583	165923	
778583	209703	
778583	220487	
778583	224255	
778583	225180	
778583	233053	
778583	255156	
778583	255183	
778583	264638	
778583	264677	
778583	264737	
778583	264738	
778583	264739	
778583	264748	Herself
778583	264751	
778583	264844	(in commercials)
778583	264909	
778583	267519	
778583	302881	
778583	306911	
778583	357150	
778584	70522	
778584	132778	Syl
778584	156308	Madeleine
778584	171159	Martha
778584	184497	Luisa Montoya
778584	262078	Mrs. Rousseau
778584	266084	Belgium Ambassador's WIfe
778584	383819	La bohémienne
778584	385824	Danielle Forenza (1984-1985)
778585	25683	Comtesse Romani
778585	45154	
778585	45156	
778585	45164	
778585	45168	
778585	45170	
778585	45186	
778585	51143	
778585	51145	La bonne
778585	51155	
778585	51156	
778585	51180	
778585	51183	
778585	51186	
778585	51195	
778585	51196	
778585	51200	
778585	52391	
778585	73178	
778585	111693	
778585	340638	
778585	377731	
778587	46932	
778588	112850	Guitou
778588	243759	
778588	292342	
778588	337433	
778588	346484	
778588	375762	
778589	46194	Red Cross Worker
778591	1989	Gloria Grand
778591	15271	Susanne
778591	20333	
778591	23539	Mrs. Le Boucau
778591	32025	Lena
778591	37903	
778591	49506	Frau Tissot
778591	54244	Maria
778591	57305	
778591	58413	
778591	60497	
778591	60897	Bella Fontanges
778591	66727	
778591	72311	Marie-Louise, la mère de Césa
778591	76148	Colette
778591	83211	Princess
778591	84666	Henriette
778591	90783	
778591	96052	
778591	103932	La veuve Bertillon
778591	111083	Marie Vidal
778591	111124	Jaja
778591	115335	
778591	122125	Florence Hennings
778591	156559	Marie-Louise Précy-Lamont
778591	158808	
778591	160204	Solange Delmont
778591	161995	Léa
778591	182097	
778591	183036	Duchesse d'Ayen
778591	195220	
778591	199333	Clarisse Coquet
778591	205774	Marie-Martine
778591	216226	
778591	218203	Madame Hui
778591	229053	Isabelle, la mère de François
778591	236523	Anne and Helen Morris
778591	239305	Yvette Hutin, la mère de Soph
778591	240449	Mme Ferroni
778591	247314	Paméla
778591	248971	
778591	249708	Le Docteur Laville
778591	250836	
778591	253213	Madeleine de la Tour d'Auverg
778591	255571	Alice
778591	264466	Herself
778591	264526	
778591	269521	Countess
778591	276508	Edwige
778591	281435	La comtesse
778591	281887	Maria Verani
778591	300695	Imperatrice Eugenie
778591	316033	Louise Blythe
778591	319329	Madame de Valmy
778591	321826	Marie Martin
778591	336547	Ginette
778591	336934	Claude Chasseigne
778591	339704	Herself
778591	340208	
778591	346585	
778591	350092	
778591	356408	
778591	356980	La grand-mère
778591	377659	Ginette
778591	377948	Patricia
778591	400698	Une gardienne du bon goût/Mme
778592	69531	Marlène
778593	94272	Herself - Painter
778594	188702	Woman
778595	114879	Camilla
778596	119045	Madame de Montchenu
778597	33542	
778598	148764	Jacqueline
778599	53575	
778599	255250	Bit Part
778599	343566	
778600	156317	
778602	112890	Josine
778602	156313	
778602	377020	Alice Lancourt
778604	100807	
778605	148735	Sabine
778606	19351	La femme de Monsieur Andesmas
778607	113138	
778608	189622	Joséphine Blondeau
778609	325343	Nurse Sylvie
778610	284246	Valentine
778611	377014	
778612	184356	Viviane
778612	186193	La reine
778612	333772	Henriette
778612	379163	Carol Mansigny
778612	391479	La belle-mère
778613	70954	
778615	23710	La speakerine
778615	23771	Sophie
778615	25981	Leila
778615	34390	
778615	73068	Dame Grand Magasin
778615	97071	Rachel Clara
778615	133057	La mère de Louis-Arnault
778615	200953	Mme Keller
778615	268393	Francine
778615	286624	Maria-Carolina
778615	288876	La prostituée
778616	197062	
778617	45829	Martha
778618	6628	
778619	244759	Mireille
778619	336993	
778620	134270	
778621	104693	Herself
778621	104762	Belgium entry (11th place)
778621	383368	Zangeres
778621	387950	Herself
778621	387952	Juryvoorzitter
778622	13039	Florence
778622	14346	Véronique
778622	15107	Hermine
778622	24665	Anna
778622	28158	Le professeur
778622	51242	Les filles
778622	57079	Nathalie Servin
778622	66748	
778622	69934	Dorcas
778622	99954	Emma
778622	110050	La jeune femme terrasse
778622	122375	Camille
778622	153872	Mme Petitjean
778622	156283	Woman in Movie Theater
778622	156330	
778622	161850	Lucrecia
778622	164187	Peps
778622	208837	Marie
778622	215603	Helen Parker
778622	217827	Arlette
778622	222945	
778622	251527	Mme Artaud
778622	284144	Judith
778622	294554	
778622	351549	Marie
778622	353824	Aliénor
778622	382761	Le juge Florence Solbelman
778623	202593	Françoise
778624	6187	Ophelia
778624	46105	Yasmin
778625	20867	Catherine Leproux
778625	43718	Rita
778625	68424	Christine (segment "Pour qui 
778625	83219	
778625	90740	
778625	138246	Louise Cochrane Orlac
778625	233554	
778625	272896	Françoise
778625	280533	Mary-Ann
778625	327885	
778625	352227	
778626	333845	Cumba
778627	51137	
778628	18288	Antillaise #2
778628	132955	Da Eudèse
778630	47451	Gesina 'Grandmother'/Seth's W
778630	47546	Herself
778630	63039	Herself
778630	111564	Herself
778630	129592	Narrator
778630	306277	White Snow (Snow White)
778630	308397	Kate Bighead
778630	404897	Buffy (1976-1981)
778631	136311	
778631	214065	
778631	261551	Rachel
778631	266766	Yo-Yo
778632	134195	TV Reporter at Wing's
778632	292148	Tricia Lee
778632	385653	Parole Board member
778633	193508	Candidate audition
778634	248263	Louise (segment "Le paravent 
778635	263018	
778636	72055	
778636	91991	
778636	107240	Mme Giboin
778636	156321	Lolita
778636	195702	Lover on Left Bank
778636	251290	Janine, épouse de Roger
778637	324517	L'infirmière
778638	6395	La grand-mère d'Ariane
778638	66547	Manel
778638	202751	Mamito
778638	355970	Mme Coutou
778639	294527	
778640	91939	
778641	39419	
778642	398555	Investigator
778643	65197	Woman in Cafe
778643	317926	Jenny (file clerk)
778644	26478	
778645	118824	
778646	405217	East End girl #2
778647	281174	Juliet
778647	299731	Cicely Nettleby
778647	379015	Ruth
778647	396080	Victoria
778647	407587	Theresa Nolan
778647	409840	Amelia Sedley
778647	410156	Daughter: 'A Confirmed Bachel
778648	21721	Selma
778648	28457	Coatrack girl
778648	104277	Alperttiina
778648	184780	Miina
778648	184796	
778648	228997	Alina
778648	236792	
778648	253075	Augusta Nilsson
778648	319318	Smooth old woman
778648	344376	Antleena Suurmusta
778649	217	
778649	5456	
778649	5473	
778649	12353	Gypsy woman
778649	13957	Madge King
778649	26645	
778649	30193	Clara Worth
778649	30363	
778649	31066	
778649	33080	Mrs. Baxter
778649	33698	Duena in Wedding Scene
778649	37460	Mrs. O'Hara, Game Operator
778649	38046	Pat Walker (Bar W owner)
778649	39835	
778649	42866	Jane Lambert, their daughter
778649	43450	
778649	43549	Olga Orczy
778649	44016	
778649	44242	Mrs. Bentley
778649	46157	
778649	47564	Ida Hunt
778649	48624	
778649	52340	
778649	59339	
778649	61382	
778649	62123	Mildred
778649	64391	Mrs. Gordon
778649	64398	
778649	64857	Elizabeth Mendall
778649	65106	
778649	65872	
778649	67413	Ma Lynn, Sherry's Mother
778649	67780	Breezy's mother
778649	70301	Matron
778649	71185	
778649	72230	The Duchess
778649	72452	Woman
778649	80000	
778649	80566	
778649	81275	
778649	81309	
778649	92610	
778649	93202	His daughter
778649	95364	Mrs. Evans
778649	101071	Frau Bendler
778649	112287	The Indian Chief's Daughter
778649	112441	'Squaw' Mary
778649	112572	Duchess
778649	112615	Clara Jones
778649	114650	Neighbor Woman
778649	117438	Bridesmaid
778649	120752	Ma Clark
778649	122016	Ethel Porter
778649	128136	
778649	128159	
778649	128181	Barbara Brent
778649	128790	
778649	131513	
778649	133380	
778649	133671	Mrs. Angus
778649	140884	Molly
778649	142533	The Hellion
778649	143940	Indian squaw
778649	145797	Edna Kingston
778649	149172	
778649	151462	
778649	154573	
778649	157911	
778649	160765	The Wife
778649	176461	
778649	177449	Mrs. Barton (landowner) [Ch. 
778649	185090	
778649	190579	Mrs. Loren
778649	193708	Kate
778649	196295	Wardrobe Mistress
778649	199174	
778649	209191	Clare, his wife
778649	210783	Mother Owen
778649	211740	Mesquite
778649	214552	
778649	220352	
778649	222678	
778649	224553	
778649	237670	Ma, the Postmistress
778649	240703	
778649	241520	Kathy Winters
778649	245377	Mrs. Turk
778649	246181	
778649	250465	
778649	251260	
778649	254474	Mag Smith
778649	256425	Belle
778649	256858	Margaret Laird
778649	258718	
778649	260084	
778649	261604	
778649	263899	
778649	269814	
778649	272130	
778649	272962	Mrs. Whitney
778649	274262	Silver Waters
778649	274367	
778649	274474	
778649	275677	Rina, Heligmann's housekeeper
778649	275746	Mrs. MacDonald
778649	277915	The Duchess (Red's aunt)
778649	277973	Sarah Burton
778649	277975	Barbara Layne
778649	279547	Katherine Dodd
778649	280640	Duchess
778649	282303	Martha Bowman
778649	285147	Mrs. Langley
778649	285437	
778649	289967	
778649	296792	
778649	296874	Nurse Plunkett [Ch.9]
778649	297454	Dora Kimber
778649	298498	Hela Marcale
778649	301145	Bess
778649	306761	Mona
778649	308124	The Maid
778649	308389	Helen Dobson
778649	309842	Townswoman
778649	312838	Aunt May Barnes
778649	314941	Ethel Porter
778649	314942	Ethel Porter
778649	317216	
778649	321456	
778649	327271	Bit
778649	327868	
778649	328658	Mrs. Jed Bartlett
778649	332081	Bess Morgan
778649	337468	
778649	337475	
778649	337707	Mrs. Dunn (listed as Mrs. Bur
778649	338264	
778649	342352	Maria
778649	342895	Mrs. McKinnon
778649	350482	
778649	350508	Diana Casper
778649	355954	
778649	357581	Madge King
778649	358615	
778649	362646	Settler's Wife
778649	362900	
778649	365304	Harriet Morgan (ranch owner)
778649	365309	Grace Connor
778649	367302	Rose Blatherwick
778649	367311	
778649	370566	Mrs. Randall
778650	33262	Duroys Tischdame
778650	34354	Frau Ida Holle
778650	92554	
778650	101346	Frau Henning
778650	111768	Madame Sperling
778650	144100	Herself (singer)
778650	144101	Frau Mümmelmann
778650	155463	
778650	160702	
778650	216299	Margot
778650	279675	
778650	286221	Sängerin im Luna-Park
778650	316813	
778650	366562	Frau Haflingen
778651	248473	Esperanza
778652	292944	
778653	179414	
778653	211037	Anita
778653	246573	Pirjo
778653	252046	Riikka Malkavaara
778653	341591	Irene 14 Years
778653	405292	Senja/Soima Sorikontytär
778654	182218	Leila (Iiris's mother)
778654	387501	
778655	347572	Barhopper
778656	395167	Lavie Head
778656	402942	Anita King
778657	151187	Madame Butterfly (Nicky's Ima
778657	255314	Geisha
778658	196627	Herself
778659	333295	Caroline
778659	334437	
778659	404311	Yurika
778660	3136	Ayako Ogawa
778660	28059	Tokuko Muraoka (Episode 3)
778660	51083	Haruko Shintani
778660	289177	Sawako Fujita
778660	298918	
778660	299118	Shizu
778660	333406	
778660	344206	
778660	370336	Mariko
778660	391522	Yoshino (Nobunaga's concubine
778660	393502	Mariko
778660	404007	Judge (1996-)
778661	319790	Atsuko Kikushima
778662	349293	Satomi Hirooka
778663	256197	
778663	307949	
778664	348776	Risa
778665	207099	Japanese Caddie
778665	325461	
778665	344408	Japanese Woman
778666	146617	Japanese Hostess
778667	233905	
778668	125382	Natsue Morikawa
778669	124245	B. Jenet
778669	167583	Young Helen
778669	257718	Mizuki, Mari
778669	392329	Tsuetsue
778670	399039	Kioko
778671	359612	
778672	9562	Miyako Tsubaki
778672	145448	Tsuyuko Hanagi
778672	177155	Girl
778673	179844	
778673	288383	Matsushima, Nami/Sasori/Scorp
778673	323115	Kyoko Nobuta (Yuuhei's lover)
778674	150668	
778675	8590	Mizuho, Hiroshi's Wife
778675	149034	Mamiko Yukawa
778675	160095	Ms. Okamoto
778675	170609	
778675	177101	Tomako Kanbayashi
778675	179416	Takako
778675	239231	Non
778675	289298	Adachi, Ikuko
778675	336581	Tetsuko Shibayanagi
778675	358126	Tsuyu Takase
778675	373175	Natsuki, Iori
778675	373310	Kumiko Wagu
778675	387193	Natsuki Orihara/Ando
778675	406884	Asamiya Saki (Sukeban Deka)
778676	101622	The Idiotic Scooter Girl
778677	400053	Mimi (Aiko's Faerie)
778678	18662	Mei Ling Huang
778678	389464	Momiji Sôma
778679	177380	Chizuru Kagura
778679	177381	Chizuru Kagura
778679	177382	Chizuru Kagura
778680	335270	Yuri
778681	52187	Monica
778681	90674	
778681	111364	
778681	270880	
778681	397920	Giulia
778681	401066	
778682	338716	
778683	216649	
778684	215063	Woman Warrior
778685	394521	Oga
778686	169734	A clerk
778686	169735	A clerk
778687	294058	Moe
778688	409689	Super GUTS Member Ryô Yumimur
778689	170706	Frau im Hotelzimmer
778690	3280	Herself
778691	243712	Sister Carmen
778692	247032	People of the Night
778692	283722	Herself
778693	132367	
778693	146566	
778693	219316	
778693	380700	Señorita Rottenmeier
778694	346546	Livreur Fleurs
778695	77861	Siwar
778695	132107	Golbakht
778695	270538	Tal'at
778696	236028	Hermana 2
778696	251340	
778696	328154	
778696	339229	Monja 1
778696	400660	Reportera TV
778697	121307	Tita
778698	212293	Mrs. Slámová
778698	223487	
778698	258305	Horse Dealer
778698	262495	Lahovcová
778698	367327	
778699	16195	
778699	51050	
778699	95062	Janicka
778699	165034	Kveta
778699	171531	Zuzana
778699	181336	
778699	237541	Script
778699	245906	Ingrid
778699	250446	Mara
778699	262372	
778699	315928	Andela
778699	317628	Young woman
778699	374074	Wardress
778699	374244	Secretary
778699	387031	
778699	389657	
778700	97981	Woman
778700	107831	Klara
778700	110773	
778700	136599	Mistress in orphanage
778700	149494	
778700	152734	Young Noble
778700	209826	
778700	342039	Motor Mechanic's Wife
778700	407236	AN architect (1990-1993, 1999
778700	412259	
778701	32233	
778701	272969	Poetess & Performer
778702	304248	
778703	305	
778704	370782	
778705	35867	
778705	35932	
778705	83161	
778705	86595	
778705	131119	Yuliya Martynova
778705	188471	
778705	197591	
778705	202307	
778705	217280	
778705	219723	
778705	220692	
778705	230064	Mistress
778705	243971	
778705	307025	
778705	313621	
778705	320679	
778705	349076	
778705	357708	
778705	370121	
778705	370918	
778705	374161	
778705	374837	
778705	394372	
778705	402341	Anna Petrova
778706	103216	
778706	286416	
778706	295098	
778707	43174	Ronica
778707	50006	Santosh Sharma
778707	207036	Sashi
778708	36242	
778709	8410	Actor Manager's Wife
778710	284331	Secretaria
778711	33856	
778711	85137	
778712	125422	Gen's sister
778713	63542	
778713	328007	
778714	49716	Mariko
778714	63542	
778714	242200	
778714	328007	
778715	182429	Saeko
778716	156120	Nymphomaniac
778717	43898	Karaoke staff
778717	298974	
778717	370232	
778718	324641	Masako Shindo
778719	31053	Tanya
778719	381166	Ivan
778719	381401	Tanya Natdhipytadd
778720	44433	Woman at Induction
778721	182508	Matsuri Tatsumi/Go Pink
778721	215065	Matsuri Tatsumi/Go Pink
778721	394974	Matsuri Tatsumi/Go Pink
778722	19704	
778722	125252	
778722	130554	Oshichi
778722	161687	Haru, Maid
778722	168102	Oaki
778722	172053	
778722	172054	
778722	232921	Sumiko
778722	379475	Nakata Sakiko
778722	399654	Mieko
778723	30987	Yuka Mifune
778724	30987	Nao Asakura
778724	43898	Minako Yurihara/Manticore
778724	81415	Miki Makimura
778725	359612	
778726	182509	Sister Jill
778727	317539	Fubuki enfant
778728	161505	Hamid's Girl
778729	74122	Anessa
778730	217351	
778730	382000	Saeko Egashira
778730	384559	
778730	385533	Rumi Hanaoka
778730	391120	Kotomi Shiina
778731	394971	Klotho
778732	373218	
778733	1882	Natsuno Takeuchi
778733	9167	Mitsu Morita
778733	21824	Saki
778733	137380	Sonoko Nanakura
778733	137381	Sonoko Nanakura
778733	137383	Haruko Shindoh (Takenori's da
778733	145449	Sigeko Ohwan
778733	162683	Yone
778733	169833	Setsuko Kinoshita
778733	179387	Hitomi Morihara (Kunihiko's d
778733	195806	Itsuki Fujii as a young girl
778733	216506	Toshi Miyazawa
778733	226643	Hanae Inamura (Kinu's daughte
778733	271675	Yuka Arisawa
778733	298914	Megumi (segment "Aijin Shigan
778733	299010	Fumiko Tajiri
778733	304052	Miyako Sakuragi/Mariko Ichino
778733	323115	Mayu (Tetsuo's daughter)
778733	335270	Tomie Kawakami
778733	341275	Rumi Aizawa
778733	373163	Mayo Yonezaki
778733	379508	Seven Kouda
778733	382607	Yukari Murayama
778733	390910	Sonoko Nanakura
778733	394917	Kaori (Yuuichiro's daughter)
778733	396094	Yoshie Egawa
778733	405155	Taka
778733	405980	Chie Andoh
778734	13605	Aya
778734	145764	Master of Japanese restaurant
778734	180434	
778734	182428	Shizuko
778734	239481	Mother of Tsukamoto
778734	348636	Shizue Hase
778734	374633	
778735	126185	
778735	163011	
778736	138052	Mitsu
778736	146909	Koyuki Kashiwagi
778736	146910	Koyuki Kashiwagi
778736	169737	Kyoko Harase
778736	259035	Narrator
778736	371815	
778736	385935	
778736	392025	Aya Kuramoto
778736	408599	Óne, Hideyoshi's Wife
778737	147341	TV Reporter
778738	236942	Kazuko
778739	9563	
778739	17119	
778739	49704	
778739	76843	
778739	82215	
778739	93179	
778739	121934	Setsuko
778739	122147	
778739	153469	
778739	160096	Okiwa
778739	161684	Junko Akitsu
778739	173994	Futako Manhyo
778739	174338	Yoshiko Yanai
778739	180255	
778739	182167	Hiroko Yamamura
778739	182419	
778739	198946	
778739	217069	
778739	217070	
778739	232566	
778739	233114	
778739	237158	Setsuko
778739	243315	
778739	275753	Tomoko Yakuki
778739	294263	
778739	296636	
778739	300127	
778739	341282	Noriko
778739	358391	
778739	375575	
778739	375602	
778739	375604	
778739	375619	
778739	392025	
778740	220246	Yumiko Ota
778740	391863	Riru Akihabara
778740	394548	Mo-ko
778740	396731	Shiori Emoto
778741	61064	Otori's daughter
778741	125444	Kimie Kawajima
778741	169129	Tsuyuko
778741	173258	Bar hostess
778741	173508	Barmaid
778741	182497	Nobushiga
778741	232524	Kiyoba
778741	232902	
778741	293609	
778741	371975	
778742	359699	Miko
778743	386060	
778744	281337	Gail
778744	339596	Japanese Woman
778744	368997	Reporter #1
778745	243717	DJ Maki
778745	353275	
778746	56545	Herself
778746	187190	Woman Tap Dancer
778747	293085	Hostess
778747	394311	Mary Gallagher
778748	139407	
778749	156196	Erika/Yurika
778750	18706	Vice Principal
778750	193753	Orie
778750	244517	Hanako
778751	26238	Sylia Stingray
778751	41909	Mayzamik
778751	49715	Sybel
778751	65557	Mysterious Woman
778751	74123	Tanya
778751	74269	Bagunagu
778751	74270	Bagunagu
778751	81416	Demon Bird Silene
778751	127783	Helmazaria
778751	130730	Kogure's Woman
778751	152605	Antionette
778751	159973	Haraway
778751	174953	Kushana
778751	176528	Shinobu Nagumo
778751	176529	Shinobu Nagumo
778751	176530	Shinobu Nagumo
778751	176531	Shinobu Nagumo
778751	176537	Nanai Miguel
778751	177084	Madoka's Mother
778751	182506	Younger snake sister
778751	193381	Karla
778751	212306	Kuroki
778751	293476	Karura-Oh
778751	307189	Feb
778751	310087	Lady
778751	319374	Sylia (Bubblegum Crisis)
778751	327804	Misaki (second series)
778751	334886	Kyoko Sakakibara
778751	348752	Elle
778751	369335	Shinobu Nagumo
778751	380473	Azusa Matsudaira
778751	382110	Nehelenia
778751	382111	Nehelenia
778751	383632	Mitsuko Asatani
778751	387831	Mama
778751	390077	Frederica Greenhill
778751	390234	Aira
778751	391337	Integra
778751	392526	Ryoko Asagiri
778751	394420	Shinobu Nagumo
778751	394426	Haman Karn
778751	394429	Haman Karn, Mauar Pharaoh
778751	396491	Mamiko Shinohara
778751	397942	Yamakawa's Mother
778751	405175	Sayuri Tashiki
778751	405279	Becky's mother
778751	406060	Armaroid Lady
778751	407839	Varie
778752	235878	Françoise
778753	101588	Mother of Ayako
778753	374633	
778754	82729	Kaori
778754	182049	Emi
778755	1034	Japan
778756	38822	Peruru
778756	127780	Campanella
778756	133113	Hilda
778756	174953	Boy A
778756	179507	Kisaragi Shun
778756	201302	Baby
778756	212306	Kentaro Ichinose
778756	298425	Guixiang Lee
778756	305178	Chika
778756	316618	Pullum Purna
778756	316619	
778756	335380	Mei
778756	381163	Lila
778756	382110	Kou Yaten - Sailor Star Heale
778756	383423	Sanae
778756	383632	Ai
778756	384218	Mr. Grey
778756	385980	Agumon/Greymon/Metal Greymon/
778756	385981	Koromon/Agumon/Greymon/Metal 
778756	386343	Agumon/Greymon/MetalGreymon/W
778756	389218	Wembley Fraggle (1987-1988) (
778756	389571	Nuriko
778756	390376	Max as a child
778756	390964	Tamberine
778756	391300	Hajime
778756	391495	Ken
778756	391594	Masshi
778756	394426	Shinta
778756	394462	Kasuga Kazuya
778756	394685	Futoshi
778756	396487	Kenta
778756	396640	Julietta
778756	397562	Ichinose Kentaro
778756	401100	Shinekichi
778756	401736	Obaba
778756	403221	Hajime
778756	405175	Sakura Morimura
778756	405279	Peter
778757	185109	Yamamura's Daughter
778758	374352	Sniper Woman B, Incidentals
778759	379484	Uzume
778759	396440	Mokona
778760	333007	Kim
778761	510	Natsume/Aura
778761	515	Natsume/Aura
778761	516	Natsume/Aura
778761	517	Natsume/Aura
778761	54891	The Nothing
778761	80573	Lisa
778761	103180	Hitomi Kanzaki
778761	113330	Aerith
778761	177632	Aerith
778761	182706	Motoko (Girl)
778761	193381	Leaf
778761	247941	Azel
778761	378652	Aura
778761	397187	Riho the Secretary
778761	400143	Moe Katsuragi
778761	402790	Reika Mishima
778761	407839	Hitomi Kanzaki
778762	30987	Shoko
778763	239331	Nurse
778764	299327	Mayumi Yanagida
778765	280663	Home Band: Keyboards
778766	298732	Herself
778767	32149	
778768	385942	Miki Makimura
778769	4558	
778769	9283	Masako Yamada
778769	139736	Minato no Mary
778769	140625	
778769	167896	Haru Masuda
778769	169266	
778769	175516	
778769	227658	Orin, Tatsuhei's mother
778769	234904	
778769	300591	
778769	328123	
778769	334857	Woman in Reception
778769	358386	
778769	370262	
778769	375628	
778770	344945	Rikako Muto
778771	159412	Yumi
778772	145449	Mitsuko Nakamura
778773	309400	Julia
778774	109794	Bit Part
778774	139374	
778775	82899	Margaret Wade
778775	148316	Annie Lacey
778775	150802	Stacy Beindorf
778775	166938	Monica
778775	199194	Joanna Leland
778776	10888	Coroner
778776	20334	Mrs. Wu
778776	113558	Bernard's Secretary
778776	143051	Mrs. Beals
778776	145743	Burned woman
778776	215741	Vietnamese Doctor
778776	258948	Isabelle
778776	321367	Ming
778776	323884	
778776	370037	Field Reporter
778776	401930	Committee Member
778777	409327	Jirô Shima
778778	225614	Kimiko
778779	235618	Lunar Maiden
778780	10847	Daphne
778780	10848	Daphne
778780	24430	'60s model
778780	29450	Lucy Cauldwell
778780	80924	Samantha
778780	123789	Angel
778780	362355	Cheryl
778781	193443	Valérie
778782	178682	
778782	395381	
778783	180313	
778784	98073	
778785	358479	Sarah in Caroline's flashback
778786	190336	Princess Dorine
778787	243731	Mrs. Saker
778788	349359	
778789	356795	Ju
778790	14309	
778790	244046	
778791	357688	
778792	283829	Devushka
778793	312183	Lightheartedness
778794	188719	Chanele
778795	312259	Hortense
778796	214307	
778797	356482	
778798	178306	
778799	45678	Barbecue Chef
778799	146661	Slave
778799	212025	Siberian woman
778799	311428	Dr. Fujimoto
778799	353418	
778800	9277	Megumi
778800	216522	Woman in the shade of a tree
778801	43242	
778801	124240	
778801	157331	
778801	264389	
778801	403118	
778802	36095	
778802	200713	Ansuya
778802	318529	Savitri
778802	373182	
778803	45814	
778804	146353	Otami
778804	181566	
778804	181893	
778804	384079	Remi Hoshikawa/Five Yellow
778805	364098	
778806	379413	Vassiliki Vrahnou
778806	390036	Kaiti
778806	412027	
778807	226808	Actress
778808	225985	Special Appearance
778808	328178	Ritu
778808	394967	Ganga Sahil Virani
778809	61818	Herself
778810	105617	Monique
778810	114612	Receptionist
778810	278209	
778810	303560	Cheryl
778811	337362	Elizabeth
778812	349226	
778813	404435	
778814	324336	
778815	16127	Lena Burns
778815	66324	Anthea Tarlo
778815	73674	Liz Perry
778815	130901	Silken Laumann
778815	167002	Terry
778815	367588	Kim
778815	386172	Julie Fryman
778815	394231	Officer Leah McCray (1992-199
778815	402379	Lindsay Donner
778816	212650	Zoska Sobczakowa
778817	206731	Suzanne
778818	32672	
778818	47254	
778818	277770	
778818	295643	
778819	396806	
778820	16767	Karen
778820	140336	Cara
778820	157063	Cafe Waitress
778821	26388	Narrator
778821	223129	Narrator
778821	228483	Narrator
778822	4332	Pakhi
778822	118961	News reporter
778822	155577	Anitha
778822	165392	
778822	207388	Kanchana
778823	9504	Herself
778824	358132	
778824	394031	Various characters
778825	41909	Yuri
778825	173916	Slave A
778825	390799	Mibuya Mio
778826	148790	Die kinder
778827	210476	Ciel
778827	299105	Kagari Ubusuna
778827	343636	
778827	400269	Futaba Mashita
778827	407828	Kiriko Masaki
778827	411563	Yuzuriha Nekoi
778828	348752	Ataru's Mother
778828	348753	Ataru's Mother
778828	348754	Ataru's Mother
778828	348755	Ataru's Mother
778828	348756	Ataru's Mother
778828	348757	Ataru's Mother
778828	348758	Ataru's Mother
778828	348765	Ataru's Mother
778828	348767	Ataru's Mother
778828	379482	Brigit
778828	405175	Reiko Yoshida
778829	220240	
778830	8901	Aika
778830	9292	Naru Haibara
778830	19769	Nafia
778830	30737	Arshes Ney
778830	92777	Vina
778830	168828	Holly Joestar Kûjô (2000-2001
778830	193381	Fianna
778830	201302	Jiji
778830	210156	Shi-Aen
778830	223331	Crys-Mu
778830	264168	Lakuroa Balbis
778830	272211	Shampoo
778830	272212	Shampoo, small Phoenix
778830	272213	Shampoo
778830	272214	Shampoo
778830	285923	Saki Kageyama
778830	298956	Mariemaia Barton/Khrushrenada
778830	307186	April Bikirk
778830	307188	April Bikirk
778830	310150	Kei Yuki
778830	327804	Funaho (second series)
778830	334888	Leona Ozeki
778830	335856	Kazumi Amano
778830	350190	Morrigan Aensland
778830	350723	Iseria Jo'o/Additional voices
778830	379479	Amy March
778830	381067	Majorina
778830	381162	Aoi
778830	381163	Imaginary village girls
778830	383459	Light/Dark
778830	387831	Akiko/Hiroko/Helper
778830	394424	Nina Purpleton
778830	394711	Tachikoma
778830	396501	Miyama Mizuha
778830	397828	Rumiko Daijouji
778830	398464	Naya
778830	400268	Konoha Edajima
778830	401736	Sakura
778830	402863	Shampoo
778830	404576	Mayor Mary Gathermoon {Japane
778830	405215	Catherine
778830	405218	Ion
778830	405981	Batako-san
778830	407381	Zia
778831	121440	A lady
778831	122104	
778831	334921	Natsuko Fujimoto
778832	9182	Yuki Shimizu
778832	17392	Anju
778832	17419	Yoko
778832	17430	
778832	51058	
778832	62605	
778832	97185	Oshin
778832	121989	Princess Yufu
778832	122148	
778832	129912	Yuko Katagiri
778832	136394	
778832	136397	
778832	138075	
778832	162633	Kikue Shoji
778832	167542	
778832	167900	
778832	167959	
778832	167960	
778832	167961	
778832	167967	
778832	232705	
778832	233104	Hana Takahashi
778832	259997	
778832	288351	Sachiko Makioka
778832	294265	Atsuko Karino
778832	322739	
778832	325966	
778832	327959	Ritsu
778832	344950	Saku
778832	373237	Teruko Kasami
778832	378130	Oahi
778832	378131	
778832	378142	Kimie Mochizuki
778832	378157	
778833	123843	
778833	148790	Das zugtier
778834	85407	Sornakka
778834	123843	
778834	159306	Indrasena Reddy's mother
778834	179873	Ramachandra Naidu's mother
778834	287160	
778834	293299	
778834	302098	
778835	235672	
778835	284038	
778835	285601	
778835	344943	
778836	299007	
778837	320546	Tessa
778838	341259	Aki
778839	144734	Akemi
778839	160099	Tomie Honda
778839	176614	Kane
778839	198811	Tomeno
778839	230139	Bar's madame
778839	239088	Oden-ya no Nyoubou
778839	239295	Osugi Morikawa
778839	298834	Yuki Anayama
778839	299630	Mrs. Yamazaki
778839	334930	Patron of the Oden Restaurant
778839	344285	O-Katsu
778839	358137	Kaoko Fukuda, Namiko's sister
778839	373185	Maid
778840	277293	Naoko Saeki
778840	295127	Takeme "Mume" Hatano
778841	211900	
778842	51058	
778842	163769	Kimi
778842	239095	
778842	244522	
778842	320370	
778842	344944	
778842	386635	Nego-Hime/Lady Nego (Masamune
778843	159847	
778844	181456	
778845	9589	
778845	405186	Kana Miyashita
778845	405187	Kana Miyashita
778845	405188	Miyashita Kana
778846	142793	Azumi Yamada
778847	400053	Dela
778848	12955	Tamako
778848	121933	Kyoko Yashiro
778848	173126	Yoshie
778848	203937	
778848	348716	
778848	348771	Akiko Fuji
778848	348772	
778848	348778	Cameo appearance (greedy hous
778848	348981	
778848	409687	Yuriko Edogawa
778848	409693	Akiko Fuji
778849	18685	Nanami
778849	293488	
778849	300593	
778849	349103	
778851	129868	Ms. Widow
778852	115679	Mrs. Matsuo
778853	269089	Tomoko Sakaguchi
778853	341311	Shino Isomura
778853	393147	Tsuyumi
778853	394994	Mayu Ninomiya
778853	397867	Niimura
778853	399488	Chizu Morita, School Teacher
778854	292074	
778855	255270	Kaoru
778856	123113	Patty
778856	124244	Sulia Gaudeamus
778856	174325	Rei Yûki
778856	199108	Mylene Jenius
778856	265579	Tomo
778856	286870	Tomo Sakurai
778856	299125	Shayla-Shayla
778856	370435	Marcie
778856	379520	Marin
778856	394051	Meimi Haneoka/Saint Tail
778856	396347	Mylene Jenius
778856	403966	Misao Makimachi
778857	89049	3rd Wife
778858	370786	Shojo A
778859	168357	
778860	9470	Osaki
778860	28103	
778860	28108	Tsuyako
778860	61449	Oyuu
778860	97637	
778860	130534	
778860	138395	
778860	148844	
778860	149123	
778860	170891	Oshino
778860	172263	
778860	173562	
778860	174943	Chino
778860	179444	
778860	228886	
778860	232539	
778860	296987	
778860	299127	Matsumushi
778860	300596	Oyû
778860	375635	Oshino
778860	378130	Hagino
778861	138039	Michiko
778861	227422	
778861	373190	Reiko
778862	131168	Nao, Age 13
778863	319847	Vardua
778864	176989	Puspa's Assistant
778865	375560	
778866	78915	Opium Den Mistress
778867	70916	Sandy
778867	80633	Bing
778868	274957	
778869	305692	Party Goer
778870	343509	
778871	233359	Estela
778873	238336	
778874	202178	
778875	386618	Contestant
778876	110247	Dancing Sheik
778877	625	
778877	14409	
778877	15319	
778877	19455	Luisa, Bernadette's mother
778877	61203	
778877	61358	
778877	148167	
778877	171612	
778877	218096	
778877	221559	
778877	229802	
778877	341790	
778877	383687	
778877	401612	
778877	405290	Mercedes
778878	126823	
778878	178801	
778879	29580	
778879	68659	La femme d'Ivan
778879	71143	
778879	281651	
778879	320343	
778879	345043	Antonia
778880	13201	
778880	48122	
778880	96506	Rosy
778880	96549	Assunta
778880	263409	
778880	270814	
778880	290926	
778880	293438	
778880	359110	
778881	28620	Oscar
778882	197179	
778883	69877	
778883	121250	
778883	256538	
778883	273011	
778884	260303	
778885	286901	
778886	205432	Margaritka
778887	8582	
778887	30515	Feiticeira
778887	63831	
778887	87185	
778887	205512	Eugênia
778887	207726	
778887	234045	
778887	306794	
778887	344847	
778887	369980	Cléo
778887	379209	
778887	380563	Marocas
778887	381633	Donana Medrado
778887	382405	Carlota
778887	383369	
778887	383584	Mercedes
778887	385030	Kiki Vassourada
778887	387640	Aunt Ceci
778887	387833	
778887	391901	Bárbara
778887	393005	Sinhana
778887	393006	Cameo
778887	397416	
778887	398255	
778887	400799	
778887	401087	Bá
778887	401820	Clara
778887	401979	
778887	402159	Vitória
778887	402593	Gaby
778887	402809	Condesa
778887	404273	
778887	404837	Firmina
778887	405935	
778887	407024	Carolina
778887	407281	Dona Benta
778887	407864	Veneranda
778887	409780	Ruth
778887	410288	
778887	410476	Tia Cora
778887	412306	Lorena
778888	228025	
778888	395438	Presenter
778889	95946	
778889	110990	
778889	121456	Secretary Zosia
778889	172416	Prostitueret
778889	178510	
778889	238095	Katarzyna Lesiak
778889	238354	Witch Merkana
778889	244208	Actress Antonówna
778889	255412	Grazyna Sokolnicka
778889	261892	Zhenata
778889	394589	
778889	401714	Benita von Altenburg
778890	198231	Marie
778891	225509	Tennis Player ('Double Mixte'
778892	51805	Laetitia
778892	100481	L'infirmière
778892	195157	Laura Mancini
778892	376896	Infirmière
778892	379510	Prune
778893	251063	
778894	274793	Host
778895	194136	Terry
778896	93987	Alice
778897	58334	Mother
778897	135750	Jurajova matka
778897	305089	Jana
778897	356460	Ruzena
778898	32024	
778899	373801	Iman
778900	35054	Ellinor Swahn-Djama
778901	259740	Moeder Mimoen
778902	124084	Ayesha
778903	235646	Verna
778904	256692	
778905	94063	
778906	380299	ASPCA Special Agent for Human
778907	60274	Circus acrobat #2
778908	98717	
778908	220991	
778909	87905	
778910	249613	Tam
778911	234112	
778912	194184	Mario's Mother
778913	92877	Princess Elspeth
778913	146619	Anne Petty
778913	388396	Fanny Hooper
778913	411255	Sarah Churchill
778914	34683	Nurse Rose
778914	109664	Mary Gage
778914	379714	
778914	381540	Claire Stanton
778914	382052	DS Claire Stanton (1999-2000)
778914	385991	
778915	368195	
778916	213532	
778917	220961	Women #2
778918	225079	Camarera
778919	132075	Babushka
778920	282815	Jameeleh
778921	121374	Suit #10
778922	169635	
778923	106687	Énekesnõ
778923	182874	
778924	289372	Featured Extra
778925	201956	Köviné
778926	182646	
778926	270797	Böske
778927	375353	Visoka djevojka
778928	177213	Jeanine
778929	271760	
778930	14487	Bride
778930	232248	Nellie
778931	236968	Parent
778932	333273	Pioneer Woman
778933	212650	Widow Karwacka
778933	321766	
778934	367581	Suspicious Woman
778935	367581	Piano Lesson Girl
778936	61208	
778936	83129	Sra. de sociedad
778936	252562	
778936	265165	
778936	296502	Trini
778936	339755	
778936	381261	Angelica
778936	385257	
778936	385941	
778936	386786	
778936	387478	
778936	390869	
778936	392799	Betty
778936	393935	
778936	399618	
778936	400664	
778936	401690	Clarita Lozano
778936	408846	
778937	14420	Negra
778937	53169	Nelly
778937	64971	
778937	258249	
778937	398800	Martina
778938	74384	
778938	207602	Fiel
778938	376843	
778939	158873	Lady in picture with Ben Boni
778940	409872	Various characters
778942	186406	Marty's Girlfriend
778943	380096	
778943	396941	
778943	404287	
778944	74866	
778945	64820	Luna Gillium
778946	171615	
778946	216852	Young Carmen
778946	225589	
778946	238118	
778946	352008	
778946	379457	Leticia
778946	379552	Pilar
778946	381145	Clara/Clarissa
778946	383344	Perla Santoyo
778946	402049	Sonia
778947	64701	Talina
778948	376671	
778949	385875	Regina
778950	131092	
778951	127402	Liz Humphries
778952	411759	Natalie (1983)
778953	275610	La sig.ra Martini
778954	229594	Girl at bar
778955	94746	
778956	370157	Lorena
778956	387274	
778956	387623	
778956	402049	Renata
778957	176712	Hooker #7
778958	106995	
778959	134522	Indian Villager
778960	376687	Soraya
778962	190916	
778962	306819	
778963	93749	Bus passenger
778964	100341	
778965	403404	Lucía
778966	348933	
778967	11984	Doralina
778968	19287	Yvonne
778969	328171	
778970	53258	Bourgeoise of Coimbra
778970	71376	
778971	104765	Spanish Entry (5th place)
778972	82224	
778972	91366	
778972	100530	
778972	104013	
778972	191072	
778972	208849	
778972	209024	
778972	212485	
778972	218201	
778972	281210	Julieta
778972	287867	Remedios Escalada de San Mart
778972	355934	
778972	380113	
778972	383482	
778972	387573	Evangelina Miguens
778972	393186	Jacinta Pichimahuida
778972	404998	
778973	50139	Secretaria
778974	55260	
778974	260582	
778975	381156	
778975	402219	Gisela
778975	409017	
778976	287427	Dancer
778978	384400	Brenda de San Pedro 'ex-novia
778978	386531	Christy
778978	392960	Tania Rivadeneyra
778978	393833	Carola Lizardi 'novia de Igna
778978	397572	Lulú
778978	398469	Nelly
778978	403752	Pamela Iturbide
778978	404869	Marcela
778978	409012	Sara
778978	409719	Isabel Vidal
778979	26012	
778980	74944	La Doctora
778981	27942	
778981	317673	
778982	84230	Death House Doll
778983	70483	CoHost
778983	396843	Catalina
778984	6247	Hopping Guest
778984	49828	Prostitute
778984	51991	Schitzo
778985	383633	Jéssica
778986	403651	Flavia
778987	412257	
778988	221539	Michelle
778989	318507	Tia Flor
778990	214042	Herself - Community Partnersh
778991	350351	Camila
778992	92862	Gaigin Girl
778992	217311	
778992	351669	
778993	342628	Yaeger Child
778994	322395	Woman at stairs
778995	347369	Rosa, the Hooker
778996	148420	
778997	57747	Inmate
778998	301657	Fernanda
778998	403690	Fabiola
778999	351570	
779000	222194	Dancer
779001	75705	Mrs. Parks
779002	232630	High School Extra
779003	232630	High School Extra
779004	104765	Spanish Entry (5th place)
779005	215499	Vivi
779005	281219	Campesino
779006	166877	
779007	10485	Delegada ANDA
779007	318240	Trabajadora Social
779007	322395	Prostitute 2
779007	334646	Vecina
779008	181510	
779009	247978	Le prof de musique
779010	7426	Ruth Tischbein
779010	9530	Sissy
779010	200205	Erna
779010	226508	
779010	325502	Elvira Kopper
779010	325547	
779010	325674	Elvira Kopper
779010	325746	Elvira Kopper
779010	325760	
779011	272193	
779012	398359	Sophie Weber
779013	197394	(segment "David Lynch")
779014	10944	
779014	53654	
779014	83541	
779014	91286	Basilis
779014	121254	
779014	136844	
779014	149511	Madre Heliodoro
779014	189379	
779014	206990	
779014	219325	
779014	229453	
779014	266805	
779014	291673	
779014	295025	
779014	308463	
779014	339151	
779014	410217	
779015	6441	
779015	6479	
779015	69475	
779015	73278	
779015	100379	
779015	100520	
779015	145159	
779015	193063	
779015	221961	
779015	231288	
779015	307219	
779015	342158	
779015	353608	
779016	181618	
779016	199155	
779016	231218	Donya Coring
779016	300623	
779017	287817	Soledad
779018	37690	Parent
779019	196376	Clara
779020	78220	Conductora
779021	5902	
779021	21076	
779021	55928	
779021	72105	Sara
779021	107102	
779021	216038	
779021	233977	
779021	251590	
779021	355758	
779021	412149	
779022	68716	
779023	41200	Jill
779024	76387	
779024	76388	Katharina 'Kathl' Sandgruber
779024	76389	Katharina 'Kathl' Sandgruber
779025	71477	Casey
779026	7868	Lisa
779026	409098	Angela Hernandez
779027	19495	
779027	49431	Mónica
779027	376172	Dora
779028	88703	Figurante
779029	383020	Ringer
779030	193735	Reporter #2
779031	16751	Maria
779031	55132	Theresa Brock
779031	68421	Rachel Scali
779031	82075	Marsha
779031	91848	Angie Corello
779031	105433	Rhiana Hidalgo/Nancy
779031	123713	Carmela Cruz
779031	145109	Angela Brown
779031	148308	Judy
779031	154709	Grace Corrigan
779031	171483	Laura
779031	231817	Rhonda
779031	236786	Maryann
779031	238518	Maria
779031	248438	Maria
779031	270971	Lenore La Motta
779031	273242	Sonja Ortiz
779031	297246	Rachel Morales
779031	298038	Doris Cantore
779031	309012	Maria
779031	333329	Cortez
779031	353418	Herself
779031	379716	Christina Vargas (1997)
779031	383414	Mame Slaughter
779031	384752	Rachel Scali
779031	384860	Host
779032	57929	Eva Rodriguez
779032	69856	Rosa Boxer
779032	73887	Kit
779032	87295	Rachel Buff
779032	94115	Laila
779032	126544	Maggie
779032	135387	
779032	140372	Andrea
779032	197068	
779032	201642	Herself
779032	256632	Anamaria
779032	257811	Jada Austin
779032	306129	Cheryl
779032	327595	Annie
779032	328272	Officer Torres
779033	73159	
779034	83487	
779035	204223	
779036	36667	Assistant Photography
779036	212033	
779037	388065	Sheila
779038	63633	
779038	201647	Herself
779039	19451	Clara Cristina
779039	157209	Mãe de Ernesto
779039	294531	Laura
779039	410310	
779040	64435	
779041	390858	Mariquita 'Güereja' Castro Pé
779041	390859	Mariquita 'La Güereja'/Mimí P
779041	404186	
779041	410384	Tina
779042	251736	
779043	177037	Elena
779044	73201	Lisa
779044	109395	Kassidy's Dresser
779044	194653	Bar Girl
779044	385824	Kristina Andropolous #2 (1988
779045	369	Madeleine's family member
779045	74336	Dame escalier
779045	134617	La vieille dame
779045	353845	Famille bulgare
779045	402885	
779046	14432	
779046	14942	Susana's Mother
779046	21680	
779046	51737	
779046	73264	
779046	83544	
779046	84226	
779046	165792	
779046	215232	
779046	220129	Neighbor woman
779046	234493	
779046	248289	
779046	350076	
779046	380103	Nana Paquita
779046	383548	Guadalupe
779046	396600	
779046	398915	
779047	141696	
779047	297397	Additional Voices
779047	313442	Williams
779047	404576	Shute
779048	10303	Police Matron #2
779048	321571	Girl
779049	270	
779049	7921	Edna
779049	13378	Miss Mason
779049	16773	Hatchet-faced Woman
779049	19999	Marjorie
779049	26627	Mrs. Stone
779049	26776	Mrs. Johnson
779049	27500	Meg
779049	33782	Mother Biblow
779049	36873	Sally Curtin
779049	37001	
779049	37310	Mrs. Miggs
779049	40482	Nellie
779049	44748	Gift Counter Clerk
779056	389600	Maria
779049	46999	'Sob Sister,' a Reporter
779049	52646	Aunt Mabel Parker
779049	53324	
779049	56191	Veronica Hoopler
779049	59613	The Maid Who Is Missing A Pas
779049	66825	Miss Rosenberg
779049	68821	Maggie
779049	73935	Mary's Sister-in-Law
779049	77963	Mrs. Crockett
779049	78079	Aunt Augusta
779049	78878	Aletha
779049	83932	Mrs. Plumpkin (landlady)
779049	84229	Spinster
779049	88916	School Teacher
779049	89183	
779049	94610	Dude Guest
779049	96945	
779049	108240	'Daily Star' Social News edit
779049	108511	Miss Hickey
779049	113948	Miss Gallop
779049	114851	Giraud's Cousin Amelia
779049	115669	Miss Cobbs
779049	115937	Nurse
779049	123306	Mary's Aunt
779049	123717	Miss Custer, Secretary
779049	129804	Servant of J. Browne #2
779049	130633	Secretary Modelling Skimpy Ba
779049	130676	Mrs. Harry Gilpin
779049	133709	
779049	139550	Mrs. Schmittenberger
779049	139746	Miss Frisbie
779049	139935	Veronica Hoopler
779049	141667	Secretary
779049	143116	
779049	143191	Aunt Gertrude Odell
779049	143260	Umbrella Woman
779049	143267	Laura Reisenfeld
779049	144109	Personnel Woman
779049	144448	Wife
779049	145900	Landlady (uncredited)
779049	146759	Nurse #2
779049	147726	
779049	151675	Cleaning Woman
779049	151762	Neighbor
779049	154097	Landlady
779049	162387	Miss Smith
779049	163476	Lizzie
779049	165558	Neighbor
779049	170988	Miss Montague
779049	176394	Secretary
779049	183853	Cashier
779049	187483	Fifi
779049	191588	Nurse
779049	192611	Sister
779049	194372	Mrs. Berry from Walla Walla
779049	194450	Flirty Dowager
779049	195986	Nettle
779049	196532	Marie
779049	199330	Sophie, the King's Daughter
779049	203671	Peabody, Weston's Secretary
779049	204858	Smitty
779049	206480	
779049	209650	Mrs. Moseby
779049	213177	The Gargoyle
779049	215469	Myrtle's Mother
779049	215637	Osina Wiggins
779049	224047	Schoolteacher
779049	224245	Miss Taft, Thornley's Secreta
779049	230730	Madame Romanski
779049	231768	Minister's wife
779049	240018	Mrs. Sowerberry
779049	241349	Sister Sale at the Movie Thea
779049	241525	Miss Collingswood
779049	245209	Spinster
779049	245283	Miss Tweet
779049	256899	Mrs. Bercovici
779049	261422	
779049	274924	Dixon
779049	277000	Mrs. Browning
779049	277447	Cashier
779049	283536	
779049	292618	Miss Kittridge
779049	297919	Phoebe
779049	300080	Miss J. Rule, Otis' Secretary
779049	302365	Charity Ward Nun
779049	303378	Bit Part
779049	304367	Woman in subway car
779049	305086	Bingo Caller
779049	305481	Edna, Vicki's Maid
779049	305680	Minnie
779049	307391	Deaf French Girl
779049	313317	Nagging Woman on Porch
779049	314637	
779049	316955	Music Teacher
779049	321166	
779049	330153	Nurse
779049	330384	Tom's Wife
779049	330453	Ship's Stewardess
779049	331117	Bertha
779049	331495	Chambermaid
779049	333315	Homely Time-Girl Replacement
779049	334754	Secretary
779049	335729	Myra
779049	335952	Miss Johnson
779049	336221	
779049	337654	Hannah
779049	339844	Miss Green
779049	340468	Mrs. Lippencott
779049	342712	Radio commentator
779049	347120	Woman on Platform Watching Ac
779049	354022	Emma Stirner
779049	360421	Miss Koltz
779049	360521	The Nanny
779049	360579	Noisy Lady in Audience
779049	363030	Chambermaid
779049	363190	Waitress
779049	372311	Gawking Wife at Opening
779049	401346	Selma Plout #1 (1964-1965)
779050	361819	Girl Friend
779051	123737	
779051	227045	Lakshmi
779051	320862	
779051	333604	Belly Dancer
779051	379730	Jessica Singleton (2004-)
779051	386924	Princess Miranda (2002-2003)
779051	396067	
779052	43327	Ashram Inmate
779053	288980	Zia, the Child
779054	313780	Khaleel's wife
779054	319083	Khadra
779055	26727	Golnaz
779055	277167	Herself
779055	381446	Golnaz
779055	404091	Morvarid
779057	26727	Golnar
779057	277167	Herself
779057	381446	Golnar
779057	404091	Sadaf
779058	256998	La pin-up du bateau
779058	396870	
779059	63272	
779060	399816	Jaja Gibson (1975-1976)
779061	387247	Vanessa Carlton (1997)
779062	55968	
779063	9968	Allison Harper
779063	230769	Kameron
779063	276842	Alison Gaddis
779063	380391	Sofia Carlino (1995-1998)
779064	146399	Sarah
779065	400772	Mallison (1978-1979)
779067	329524	Lana Kattan
779068	127739	
779068	168683	Nurse
779068	202915	Nightclub Worker
779068	375827	Herself
779069	8596	
779069	140430	Nashwa
779069	184007	
779069	218907	
779069	221806	
779069	230069	Sister
779069	270992	Inas
779069	276135	
779069	324992	
779070	180542	Sawsan
779071	7825	Elisabeth
779071	19303	Anna
779071	32820	Kara
779071	38882	Lynn
779071	90332	Sandra Neil
779071	114127	Emily Trent
779071	130168	Sarah Whale
779071	163000	Carol
779071	230394	Miss Moneypenny
779071	232277	Cousin Zelda
779071	269807	Peggy
779071	279137	Lady in Gallery 4
779071	286186	Herodias
779071	308916	Jeanette
779071	317989	Joy
779071	330592	Mrs. Wildburn
779071	379706	Zoe Bennett
779071	382910	Monica Burton
779071	383488	Dr. Helen Rheinman
779071	384902	Jennifer
779071	386587	Toos
779071	387247	Joanne Francis (1988-1989)
779071	389342	Chantal Moriac
779071	392944	Belor
779071	400265	Emma Callon (1972)
779072	275346	Sandy
779073	122319	Sister Brigitte
779074	35302	
779075	129124	
779075	136761	
779075	140707	
779075	164135	
779076	34130	
779076	138978	
779077	397242	
779078	382448	Mafalda
779078	386566	
779078	393714	Matilde
779078	397549	Isabel
779078	398197	Constança Meireles
779078	404117	Micas
779079	346099	Jill
779080	357852	Rebecca
779081	388612	Herself
779082	223740	Girl
779083	143832	Reporter
779084	17749	Bit part
779084	19294	Ruth Simmons
779084	48943	Veronica Hart
779084	61319	Nic
779084	80399	Donna
779084	93054	Lainie Diamond
779084	97508	Alex
779084	128281	Salesgirl
779084	129579	Comic Groupie
779084	131347	Amy
779084	133736	
779084	136836	Mason Noble
779084	138655	Shannon
779084	169427	Natty Gann
779084	178166	Amy
779084	184093	Deputy Sharon Gare
779084	185277	Tina Adamson
779084	187147	Robin Coit
779084	223713	Ami Meyer
779084	224371	Amber Wheeler
779084	231966	Lisa Bentwright
779084	233515	Rebecca Peterson
779084	245204	Linda
779084	245888	Dorothy Gale
779084	255523	Kate
779084	268918	Susan Stone
779084	310419	Gwen
779084	330565	Sara Evans
779084	351931	Maria
779084	354520	Melanie Roberts
779085	4446	Tuire Korpela
779085	372972	Ulla
779085	380927	Jaakon ex-vaimo
779085	394046	Äiti
779085	394938	Taloudenhoitaja
779085	396314	Valma Ala-Viehko
779085	401477	Pirjo
779085	402484	
779085	407544	Ulla Korpela
779086	30292	Arlette
779087	89572	Prostitute's Friend
779088	105716	Liz
779090	124767	Susanna as a Child
779090	379321	Ginger (1962-1965)
779091	17746	
779091	52871	
779091	54785	
779092	112926	
779093	129118	Checker
779094	235646	Stacey
779095	216879	Lindsey
779095	306286	Snow White
779096	111428	Guendalina
779096	118128	Sabrina
779096	119077	Michela Sauli
779096	133110	Dress thief
779096	168904	Annabella
779096	388610	
779096	402258	
779096	409092	Vittoria
779097	13307	
779098	96973	Hooker #1
779099	2115	Wendy
779099	116971	Cindy
779099	117874	Cunning Carla, Prostitute at 
779099	126056	Velma
779099	129118	Zoey
779099	196420	Juliet
779099	255235	Elegant Woman
779099	363708	Jenna
779099	411802	Alice Johnson (#3) (2000)
779100	2872	Herself
779100	20999	Herself
779100	310537	Herself
779101	103884	
779102	380152	
779103	104179	
779104	328850	La première fille
779105	166357	Marie
779105	193449	Agnès
779106	141613	Regina Panek
779106	175740	Foreign Journalist
779107	112758	
779108	287607	
779109	108422	
779110	195118	
779111	21414	
779112	343634	Tânia
779113	403357	Herself (Judge)
779114	202576	
779115	96111	Estelle
779116	57557	Valentine
779116	82610	
779116	383243	Bartira
779117	229034	
779118	109395	Little Girl #2
779118	322926	Jamie
779118	378943	Deena Stewart (1998-2000)
779119	391136	
779120	213681	
779121	69899	Child
779122	307798	
779123	194239	Herself
779124	132966	Clara Salgado
779125	40504	Pool Party Person
779126	68609	
779127	186665	Linda
779128	113246	
779128	378986	
779128	379210	
779128	379252	Chepa Warrington
779128	379652	
779128	379891	
779128	380074	
779128	381607	
779128	385600	
779128	386555	Peta
779128	386785	Irma
779128	387475	
779128	389589	
779128	396389	Casta
779128	396925	
779128	396953	Filomena
779128	396984	Doña Bernarda
779128	397591	Rosario
779128	398228	
779128	399612	Mimí
779128	401634	
779128	403214	Rita
779128	403644	
779128	408591	Isabel
779129	100932	Susan Barnes
779129	376835	Child
779130	3568	
779130	28290	Mayte
779130	54321	
779130	61200	
779130	90104	Doña Iñés
779130	103077	Frau Heller
779130	121251	
779130	145204	
779130	146565	
779130	160131	
779130	207012	
779130	229453	Emma
779130	233334	
779130	234383	Donina
779130	272374	
779130	296470	Helena
779130	308966	
779130	322341	Isabel
779131	253373	Jefa de policía
779132	112758	
779133	378940	
779133	401900	Marly
779133	402626	
779134	100163	Mariana
779134	388463	Dancer
779135	150351	Raker Girl
779136	64108	Ivete
779136	71224	
779136	222168	
779136	260573	
779136	322222	
779136	341151	Fernanda
779136	380387	Solange
779136	380777	Josie
779136	383355	Luiza
779136	384002	Virgínia
779136	384303	Bruna Prado
779136	392747	Cecilinha
779136	396741	Júlia
779136	399766	
779136	401678	Melina
779136	404834	Aretuza
779137	73659	Tango Student
779138	126873	
779139	16810	Fighter
779140	207743	
779141	24995	
779141	54001	
779141	67026	
779141	67027	
779141	106221	
779141	271798	
779141	326225	(segment "La dama del Rolls")
779141	370152	
779141	380658	
779141	385849	
779141	392789	Host
779142	157079	
779142	161425	Marie
779142	385444	Herself/Host (2003)
779142	391903	Herself/Apresentadora
779142	400837	
779143	328694	Luisa
779144	191464	Herself (Madredeus)
779144	198369	Herself
779145	85611	Maid
779145	317877	Rachel
779146	22688	Danseuse
779147	6570	Leila
779147	344780	
779148	89815	Danira
779149	124528	La rompehusos
779150	17089	Jeune Fille Du Harem
779151	17378	Carolina
779152	187280	Narrator
779153	18288	Antillaise #1
779153	283021	
779154	184059	
779155	346576	Andrée, la mère de Sophie
779156	17290	Niña agencia
779157	261	
779157	2482	Herself
779157	2719	Herself
779157	10847	Waitress
779157	239891	Emily Saiterwaite
779157	283590	Anchorwoman
779157	339860	Ignored Woman
779157	365454	Lacey
779157	380775	Yuko
779157	381755	Herself
779157	392424	Herself
779157	405336	Eleanor
779159	144083	
779160	185321	Woman #3 In Theatre
779162	108724	Celine
779163	45662	Indigo Girl
779163	159219	Herself
779163	190798	Performer
779164	112027	
779165	164090	
779166	267041	
779168	410330	Zlata
779169	361237	
779170	15061	La première infirmière de cha
779170	34253	Angelita
779170	101457	
779170	112819	Daniel's Examining Magistrate
779170	116642	
779170	183235	Cheap Hotel Manageress
779170	225444	Interprète à l'UNESCO
779170	236525	La mère de Maria
779170	292911	
779170	309985	La concierge
779170	338003	
779170	356519	Mussolini
779170	378062	Récitante/Narrator
779170	384595	La Chevaliere
779170	400869	Une femme à l'hôpital
779170	412251	Lucie Dreyfus
779171	330591	Kayla
779172	373801	Najma
779173	132912	Pedestrian
779174	27778	Caroline
779175	89942	Sharee Harris
779176	28269	Sabrina, la prostituée
779176	390314	Herself
779177	352610	
779178	100453	Woman in turkish bath
779178	181634	Athalia, strongwoman
779178	322283	
779178	350584	Woman
779179	8163	
779179	95826	Ulla
779179	99219	Vappu
779179	104277	Cook
779179	104545	
779179	144052	Juliana
779179	144054	Manager's wife
779179	150732	Woman in train
779179	172523	Miina
779179	175759	Varpu
779179	180444	Väkeä seuroissa
779179	188932	Bar hostess
779179	207223	Mataleena Pusakka
779179	213378	Gossip
779179	232586	Fat lady
779179	236795	Bootlegger
779179	242257	Woman #3
779179	242269	
779179	258845	Fat woman
779179	266752	Woman at the scene of the acc
779179	285959	Laundromat owner
779179	293820	Tyyne
779179	296508	Woman in travel agency
779179	302115	
779179	319328	Woman in upstairs
779179	321925	Cashier
779179	326070	Last woman in a line
779179	326641	Anna Kristiina Svebelius
779179	341793	Woman in the courtroom
779179	354261	Player's wife
779179	373379	Farmlady
779179	405984	(Pledge, USC)
779180	274475	Melissa Goldman
779181	2685	
779181	10123	
779181	10822	
779181	33517	La Corcholata
779181	33518	
779181	49726	
779181	52033	
779181	52980	
779181	55090	
779181	56365	
779181	57869	Dorotea
779181	61129	Carolina
779181	64695	Ella (segment "El ultimo metr
779181	64702	Grandma
779181	64981	
779181	68061	
779181	71121	Jesusita
779181	76224	
779181	78570	Doña Tí
779181	85567	
779181	92341	
779181	96286	
779181	96337	
779181	101844	
779181	103938	
779181	110205	
779181	112044	
779181	113240	
779181	121285	Doña Hortensia, Caballo`s wif
779181	124042	
779181	129541	
779181	132386	
779181	135350	
779181	151806	(segment "Jueves")
779181	152227	
779181	152264	
779181	170092	Tia Nina
779181	195031	
779181	197160	Lucy
779181	202639	Host
779181	203344	Guardian Three
779181	207024	
779181	212246	
779181	212520	Carmen Salinas
779181	213711	
779181	213723	
779181	216861	
779181	223618	
779181	233627	
779181	234318	Panchita
779181	234418	Herself
779181	234420	
779181	234425	Petrita
779181	234426	
779181	240083	
779181	247416	
779181	249893	
779181	255547	
779181	257128	
779181	258499	Petra
779181	259329	
779181	267048	
779181	267050	
779181	269259	Concha
779181	272666	
779181	273842	Carmen Garcia Sanchez (segmen
779181	277370	
779181	277373	
779181	277390	
779181	278427	Pancha Fregoso
779181	284889	
779181	287908	La Abuela
779181	291650	
779181	292926	
779181	296146	
779181	301657	Georgina
779181	307658	
779181	325003	
779181	328046	
779181	328867	
779181	332574	
779181	332692	
779181	334653	Doña Cleofas
779181	335525	Tomasa
779181	343623	Chapas
779181	351057	
779181	352287	
779181	373950	
779181	379118	Celia Ramos
779181	380445	Camila de Foncerrada
779181	383563	
779181	387468	
779181	387685	Chelo
779181	389429	
779181	391112	Host
779181	397019	Agripina Perez
779181	397021	Doña Filogonia
779181	397594	Doña Mati
779181	402059	Doña Pachis
779181	402929	
779181	405954	
779181	406844	
779181	409908	Malvina Gonzales
779181	412131	Herself (Commentator)
779182	87282	Palace Dancer
779183	13078	Otto's girlfriend
779183	23190	Margarita
779183	171417	Angelines
779183	189301	Miliciana #1
779184	379819	
779185	267503	Dad's Wife
779186	21584	Señora
779187	41647	Girlfriend
779187	123713	Lucia Cruz
779188	14844	
779188	18952	
779188	19878	Erika Villa
779188	25309	Amalia
779188	33567	(segment "Il principe azzurro
779188	55542	
779188	59805	
779188	78558	Cecilia De Monteros
779188	94723	Maria Pia
779188	99245	Giannetta
779188	117966	
779188	121332	Andrea's Mother
779188	127899	
779188	157857	Baronessa Teresa Lo Vasto
779188	159498	La fanciulla indigena
779188	202850	Maria
779188	210318	Nannina Mozart
779188	269177	
779188	283964	Casilda, the handmaiden
779188	294423	Valeria
779188	302536	
779188	303178	Enrichetta
779188	307718	Anna
779188	326084	
779188	336607	Ardea
779188	344594	Maria
779188	348146	
779189	29156	Latina Woman
779190	30396	
779190	112044	
779190	135306	
779190	135313	Ursula
779190	212249	
779190	213722	
779190	225543	
779190	284893	
779191	300616	Voice in off
779192	380552	Host
779193	379461	Jessica
779193	380054	Emilia Álvarez-Vega
779193	383471	Estefanía Gamboa de Larios 'T
779193	384864	Bianca
779193	386531	Leticia del Rosal
779193	387817	Graciela Peñarreal Linares
779193	397009	Ana del Río
779193	399084	Alejandra
779193	403752	Fedra Pérez Romero de Altamir
779194	312018	Paticia
779195	80189	Muchacha drogada
779196	398458	Paola
779197	261456	
779198	318299	
779199	10670	Carol
779199	12203	Mrs. Moore
779199	24476	Jane Holmes-Caprice
779199	30967	Esther Cobblepot, Penguin's M
779199	31087	Datemaster 2000
779199	38515	Baroness Nica
779199	50484	Trendoid
779199	72853	Melanie Bryce
779199	127237	Psychiatrist
779199	136261	Gail
779199	176393	Vanessa
779199	185683	Marian Mora Garfield
779199	208631	Dr. Strauss
779199	219371	Isabel Harding
779199	241604	Barbara Joslyn
779199	251743	Simone
779199	262085	Queen Bansheera
779199	262086	Queen Bansheera
779199	262087	Queen Bansheera
779199	262088	Queen Bansheera
779199	262089	Queen Bansheera
779199	278264	Betsy
779199	289603	Margaret Bellingham
779199	315599	Bogey
779199	316667	Anne Kepler
779199	345650	Julia
779199	351778	Stephanie
779199	352420	Mortician's Wife
779199	383490	Apollonia
779199	400201	Emily Gaylord
779199	402002	Queen Bansheera
779200	366753	Lucy
779201	117522	Snooty Kid
779201	392699	Mortician's Daughter
779202	35878	
779203	311894	
779204	302009	Tammy
779205	55768	
779206	217652	
779207	213324	Commedia Dell'Arte Troupe
779208	306421	So Fine Dancer
779208	375847	Bonita
779209	21590	
779210	66549	Girl
779210	300003	
779210	302629	Bit
779210	331469	Girl at Party
779210	372050	Demonstrator
779211	163357	
779212	401689	Carys
779213	367054	Aunt Em's Party
779214	70291	Mary
779214	346182	
779214	367531	Laura Fairlie
779215	139674	Glendoline Porter
779216	126438	Innkeeper
779217	128706	Pianist at party
779218	273826	Bar Whore
779219	59192	Darkling
779220	108585	Herself/Freddy Krueger
779220	342670	Zombie
779221	206407	
779222	128318	
779223	204614	
779224	157600	Herself
779225	105086	Herself
779225	176697	Herself
779226	269053	Lavery's Assistant
779227	176833	Bethany Glenn
779228	103605	Emel
779228	288290	
779229	300646	George Lipnic
779230	248820	Béatrice
779231	192248	Waitress
779231	296276	Janice
779231	343294	Mrs. Frazer
779232	17861	
779232	28992	Corinne
779232	130756	Pascale
779232	166106	
779232	249072	(segment 1 "J'ai faim, J'ai f
779232	267510	L'absence de Manon
779233	159680	The Clerk
779233	366905	
779234	234630	
779235	78015	Courtesan
779236	336641	Fatma
779237	21213	Sentient Machine therapist
779238	21213	Mr. Chan's assistant
779239	158155	Ally
779239	399130	Alice Jamison (2000)
779240	104674	Herself
779241	14653	Cantaor
779242	346730	
779243	389087	Paola Ernandez (1993)
779244	196872	Irish Step Dancer #1 (crowd)
779245	9250	Rakonczainé
779245	48670	
779245	78206	
779245	97974	
779245	108913	
779245	118170	
779245	172826	
779245	175662	Öreg Fodor felesége
779245	187201	özv.Gajzágóné
779245	227530	
779245	240159	
779245	258345	öregasszony
779245	306936	
779245	322014	Szabóné
779245	322017	
779245	322065	Katalin anyja
779245	343626	Bánóné
779245	354609	
779245	377123	
779246	374130	Dama
779247	252698	
779248	301887	
779249	235816	Cornélie
779250	546	
779251	88392	Ulla Winbladh
779251	122333	Angela
779251	137635	Actress
779251	164790	Sofie Arnould
779251	182305	Woman
779251	232738	Hulda
779251	237063	Margareta Löving
779251	276130	Irene Haller
779251	305834	Mrs. Kron
779251	324807	Ylva Vendel
779251	346970	Alice
779253	2707	
779253	106228	
779253	132985	
779253	296124	
779253	328359	
779253	380081	Sílvia
779253	381144	Dolores Moreira
779253	382690	Miriam
779253	383141	Pepa
779253	383441	Cacilda
779253	383584	Maria Helena
779253	383678	Lenita
779253	386727	
779253	387052	Naná
779253	387640	Araci
779253	388591	Margarida Weber Pestana
779253	389787	Gládis
779253	391580	Madame Janete
779253	391901	Lia
779253	393615	
779253	396036	Isadora
779253	396126	Kika Jordão
779253	397416	
779253	397540	Tonha da Pamonha
779253	400584	Vilma
779253	401104	Francisquinha Queiroz
779253	401820	Impéria
779253	401944	Augusta Eugênia
779253	403032	Lídia Vidigal
779253	404077	Zenilda Paixão
779253	404165	Anabel
779253	404273	Mercedes
779253	404798	Laura
779253	404803	Das Dores
779253	406847	Germana Steen
779253	407868	Irmã Letícia
779253	408212	Carmosina
779253	410014	Selma
779253	412179	Celeste
779254	17073	Nurse in Street (new movie)
779255	396847	Leonora
779256	353565	
779257	165406	Silvinha
779258	408212	Dezinha
779259	96533	
779259	262235	
779259	383141	Generosa
779259	384991	Dalva
779259	399842	
779260	351976	
779261	136360	
779261	346101	Katy
779262	282781	Pierre (l'enfant méchante)
779263	291295	
779264	131988	Third Go-Go Dancer
779265	156038	
779265	341541	
779265	359848	Doctor
779265	393991	Various
779265	394722	Various
779266	259760	Mrs. Elverson
779267	283977	
779268	27160	Maryla
779269	36473	Hagar
779269	168548	Herself
779269	314058	Mrs. Euston
779270	356689	
779271	16787	Angela Atzelbauer
779271	120956	Madeleine de Scuderi
779271	126426	Frau Helene Alving
779271	128889	Princess Dagmar
779271	147191	
779271	147316	Irene von Ketterer
779271	186925	Anna Pawlowna
779271	225148	Johanna (Joan of Arc)
779271	225215	
779271	374551	Eve
779272	241050	High School Band
779273	62460	Charly the Dog
779273	71378	
779273	104949	Slippery Sam
779273	204828	
779273	266725	
779273	266726	
779273	364577	
779273	388946	Maia
779274	133038	
779274	183082	
779274	279113	
779275	365425	Sally
779276	190409	
779277	215252	Astronaught #1
779277	384585	Ramona Ramirez
779277	395978	Presenter (Series 6-7) (2003)
779278	171196	
779279	125168	
779279	156973	
779279	179354	Frau Unterhuber
779279	183244	
779279	210113	
779279	290686	Therese
779280	18501	
779280	97435	
779280	313132	
779281	240463	Mother
779281	295525	
779282	68647	
779283	255386	
779284	44659	Criada #1
779285	324502	Dancer
779286	4231	
779286	9533	Countess
779286	9996	
779286	17351	Berta Lehtonen
779286	17616	Lady of Ristola
779286	104545	Chambermaid
779286	136899	Sales Lady at Yellow Lantern
779286	141809	Head nurse
779286	149634	Woman delegate
779286	153756	Maid
779286	174478	
779286	174740	
779286	180444	
779286	181560	Taava
779286	181634	
779286	181937	Matkustajakodin emäntä
779286	182213	Operator
779286	184070	Farm matron
779286	184780	Laurila's cook
779286	186068	Lydia
779286	213374	Party guest
779286	214838	Mrs. Paavisto
779286	229627	Huushollerska
779286	232586	
779286	233242	
779286	233243	Iita of Korinteri
779286	233244	Puustinna
779286	239154	Antila's wife
779286	242948	The lady of Mannola
779286	255764	Social worker
779286	255935	
779286	258846	Deaf passer-by
779286	280559	Fiina
779286	283593	
779286	284025	Widow Ylätalo
779286	293630	Männistö
779286	293820	Granny
779286	319321	Waitress
779286	319328	Lehtola's cook
779286	321973	Vicar's wife
779286	322283	Auroora Särkelä
779286	341543	Midwife
779286	349748	Midwife
779286	354087	Old woman
779287	127261	Jeanie Jessup
779288	155053	
779289	18452	
779289	18453	Vappo
779289	100453	Kitchen maid
779289	104860	
779289	136899	Mrs. Penttinen
779289	142721	
779289	150732	Masseuse
779289	153721	
779289	163184	Kaisu
779289	174740	
779289	175346	Landlady
779289	175729	
779289	177040	Aili
779289	181937	Tarjoilijatar
779289	182504	Iida
779289	187055	
779289	191194	Maid
779289	196525	Juse-muori
779289	198263	Mrs. Lehtinen
779289	214835	Staava
779289	219450	Helper
779289	226787	Serafiina
779289	253075	Maid
779289	255935	Juror's wife
779289	258847	Old maid in the street
779289	260623	Roosa Montonen
779289	267123	Leena
779289	284021	Inn owner
779289	287535	Leena
779289	320384	Selma Määttä
779289	321925	Amalia
779289	321973	Johanna
779289	322273	Director in Restaurant Capell
779289	336405	Saara
779289	341560	
779289	343467	
779289	350590	Pharmacist Luikko
779289	350672	Cook
779289	350822	Kaisa
779290	341784	Member of the Lotta Svärd org
779291	255386	
779292	358547	Marokkaanse echtgenote
779293	153756	Sirkka
779294	394793	Nina Selin
779295	223274	
779295	283591	Freya Schoultz
779296	382257	Elli Loimuvaara
779296	382258	Elli Loimuvaara
779296	394023	
779297	152361	Herself
779297	152362	Herself - Vuoden Ilopilleri -
779297	327322	Herself - Female TV performer
779297	372966	Standup-comedian
779297	392344	Herself (2002-2003)
779297	394843	Herself
779298	307749	Solveig at age 10
779299	18453	Heti
779299	21729	
779299	104860	Hanna Kiesi
779299	181631	Maija
779299	181753	Marja Meri
779299	195094	Nainen puistossa
779299	278560	
779299	343509	Refugee mother
779299	357791	
779300	271630	Aino
779301	188933	Crying mother
779301	275804	Riitta Feirikki-Hammarberg
779301	392164	Anna Antintytär (1999-2002)
779301	395257	Jennan äiti
779302	48361	Cleaner
779303	286144	
779304	349408	Asta
779305	384775	
779306	410054	Grandmother
779307	275026	Meznil
779308	36554	Leninha's Friend
779309	359858	Art Gallery Party Goer
779310	23746	
779310	30423	
779310	214882	
779311	23746	
779311	214882	
779312	69917	Trauma Nurse #1
779313	45548	Mrs. Dunlap
779313	108586	Yuppie #2
779313	110149	
779313	160633	Kauri
779313	284621	Wounded Bank Teller
779314	152929	Surgeon #1
779315	166643	Delaware Student
779316	245042	Phoebe Benallack
779316	307566	Young Katie in Garden
779316	381949	Kate Spiller
779316	390032	Bex
779317	229029	La mère
779318	74247	Connie
779318	159819	Girl
779318	239340	Nancy Thornberry
779319	46171	Doctor
779320	223400	Tahitian
779321	119383	La femme d'Yvan
779322	90775	Herself (documentary)
779323	121232	
779324	46624	
779324	48617	
779324	105460	
779324	123048	
779324	131016	
779324	131017	Jessica
779324	131024	Miriam, the Rabbi's Daughter
779324	138542	
779324	144190	
779324	155601	
779324	162453	
779324	166767	
779324	197050	Diabola, Tierbändigerin
779324	218194	
779324	255459	
779324	284411	Elfe
779324	314584	
779324	317356	Lyduschka
779324	343477	
779324	352193	
779324	352388	Barbara,Milchschwester der Gr
779324	361004	Makeda
779324	371817	
779325	134154	Model
779326	276506	
779327	21784	
779328	155066	Maid
779329	313886	
779330	388646	Olga-hembiträde
779331	28463	Herself (Bering Strait)
779332	362640	Tanya
779333	127506	Clara
779334	131915	Aimee
779335	139429	Valpuri
779336	403169	Denise the Rap Girl (1999-200
779337	403473	
779338	8983	Elisabeth Järnefelt
779338	25282	Tutor
779338	34125	Baariapulainen
779338	64288	Herself
779338	123442	Young Leonardo/Freud's nurse/
779338	123887	
779338	139645	Lonely Woman
779338	144055	Chemistry clerk
779338	144056	Leena Autio
779338	156543	Tuija
779338	170247	Shemeikan sisar
779338	171422	
779338	171801	Kirsti Skrof
779338	174779	Rouva Sjöholm (Mrs. Sjöholm)
779338	179736	Airi Rykämö
779338	180841	Toini
779338	181631	Annikki
779338	181650	
779338	181935	Ministeri
779338	197364	
779338	198264	Teacher
779338	200955	Telephone Operator
779338	205785	Narrator
779338	213417	Shipyard Clerk
779338	214712	Liisa
779338	250502	Kastehelmi Seppälä
779338	251706	
779338	254208	Kassanhoitaja
779338	255386	Hotel Receptionist
779338	278560	Soilikki
779338	283591	L. Onerva
779338	303708	Liisa 'Liisi' Kortman
779338	309387	
779338	322704	
779338	332521	
779338	341608	Mother
779338	343397	Lulu, a Secretary
779338	343402	Ritva Vehoniemi
779338	343468	
779338	349433	
779338	373372	
779338	377313	Elina Hankio
779339	392164	Liisa Aaronintytär (2000)
779339	394069	Pilvi
779340	2792	
779340	172404	Lawyer
779340	229545	Helena
779340	322287	Taidekriitikko Naimi Saarinen
779340	392292	
779340	392348	Hanna Ylijoki
779340	404877	
779340	409038	Sirpa Uitto
779340	409042	Valpon etsivä
779341	391290	Herself - The host
779342	43672	Various
779342	137720	Various
779342	139429	Pauliina
779342	142328	Various
779342	210153	Various
779342	229015	Various
779342	244653	Various
779342	248195	Various
779342	267454	Various
779342	341788	Various
779342	404201	Kati (1998)
779342	405292	Kaisa/Kensti
779342	406951	Minttu Virtanen
779343	401880	Herself - the jury member (20
779344	4334	Pehtorin lapsi
779345	321781	Alma Hoving, Viktorin sisar
779346	163186	Herself
779346	303126	
779346	343327	
779346	396249	Jonna Salo
779346	403393	Mila
779347	204210	Sandra Stevens
779348	32271	
779348	378858	Madame Joly
779349	184009	Hoitaja Penttilä
779349	188933	Female student
779350	272832	Herself
779350	355743	Hot-dog myyjä/kahvin juoja
779351	219215	
779352	144708	Lähetystön jäsen
779353	175333	
779354	78998	Sarah
779354	183206	Saloma
779354	294128	Salmah
779355	337121	Lori Ebersohl
779356	400356	Malin Pettersson
779357	1500	Melanie Brandt
779357	2034	Reporter
779357	7888	Waitress
779357	73712	Cheryl
779357	113909	Rachel
779357	151052	Cynthia
779357	223639	Blonde
779357	331209	Lean
779357	384609	Maya (2004-)
779357	387239	Head Priestess
779358	52958	
779358	365380	Dancer
779359	63890	
779359	69787	Marisa Quantariello
779359	73643	
779359	76354	Giulia
779359	98471	
779359	370865	University Youth
779359	380991	Alice
779360	404827	
779361	46693	
779362	66075	
779362	370108	The Dancer
779363	315302	Jenny (Tommy's sister)
779364	162779	(Hostess)
779364	384306	
779364	384507	Hostess
779364	386162	Marta
779365	162779	Dancer
779365	384306	Dancer
779365	384507	Dancer
779366	214372	Lille Mulle
779366	381445	Herself - Host (1997-1998)
779367	109466	Various characters
779367	359064	Voice of New Idea Commercial
779367	388470	Various (1990)
779367	389946	Various Characters
779367	390358	Judy Bruin
779368	296313	Dancer
779368	378108	
779369	97463	Lesley-Ann
779369	283336	Wicket keeper
779369	336721	Woman in Ad
779369	384686	Various roles (1990)
779369	387203	Rhonda Berry
779371	124795	Capt. B. Dick
779372	289090	Liz
779373	216753	
779374	256910	
779375	339361	Rachel Opikoochoo
779376	374571	Interviewee
779377	32	Herself
779377	78267	Herself (performing 'How Does
779377	78508	Herself
779377	114822	Herself
779377	117875	Helga
779377	146602	Christines kollega
779377	147018	Herself - Performer
779377	280009	Herself - Performer
779377	305834	Grethe
779377	315001	Sara
779377	320689	Rita
779377	334020	Herself/Various roles
779377	398496	Various roles
779378	84393	Camilla's Friend
779378	169029	Helene
779378	218049	Silje
779378	218421	Karen
779378	409298	Silje (2000)
779379	3315	[E]vangelion (2005)  Patricia
779381	42206	
779382	104626	Herself (Spanish Performer)
779382	104744	Spanish entry (1st place)
779382	114829	
779382	115032	Herself
779382	151741	Bartender
779382	319519	
779383	125367	
779384	12059	
779384	42656	
779384	61435	
779384	211166	
779384	212365	
779384	339108	
779384	355917	
779385	10196	
779385	14689	
779385	14801	(segment "Tú serás mio")
779385	41767	
779385	51106	
779385	56520	Lita
779385	74139	
779385	87070	
779385	145225	Invitada a fiesta
779385	235307	
779385	242647	Jorge's date
779385	258484	
779385	263865	
779385	266669	(segment "Tetraedro")
779385	272292	Lady in the taxi
779386	242949	
779386	277372	
779387	95326	Helena
779388	399521	Afrodita del Carmen
779389	23367	
779389	67702	
779389	106220	
779389	123059	
779389	204694	Beatríz
779389	248761	
779389	392260	Hostess
779389	399574	Various Characters
779390	193185	Churris
779390	318008	Doña Gorda
779390	326224	
779390	379118	
779390	384400	Barbara de Lucena 'madrastra 
779390	387817	Tula
779390	402059	Finita
779390	403885	Mariquita
779390	410109	Host (2001-2003)
779390	412195	
779391	387817	Petra
779391	396898	Domitila
779392	68436	
779393	207223	
779394	326938	
779395	213415	Miss Lily
779396	256878	Bändäri
779397	271053	Finnair lentoemäntä
779398	193554	Mrs. Niemi
779399	346843	Sirkka Valkama
779400	37068	The flapper
779400	99471	
779400	181742	
779400	182215	
779400	223510	Ms Svea Jonsson
779400	242948	Laine
779400	296508	Typist
779400	326070	Saleswoman
779400	387813	Herself
779400	391289	Lahtiska
779400	394732	
779400	394793	Mailis Yrjänä
779400	407544	Emmi Vilén
779400	409033	Sylvi Kaitala
779400	411700	
779401	687	Herself
779401	2909	Herself - Performer: 'A Whole
779401	9795	Princess Jasmine
779401	9813	Princess Jasmine
779401	9816	Jasmine
779401	28084	Sandy
779401	34781	Herself
779401	54431	Rosemarie
779401	80956	
779401	87757	Princess Jasmine
779401	87759	Fa Mulan
779401	135225	
779401	141553	Herself (Kim)
779401	144406	Kim, Eponine, and others
779401	177255	Herself
779401	188030	Eponine
779401	190695	Angela
779401	201607	Herself
779401	212930	Jasmine
779401	222112	Fa Mulan/Fa Ping
779401	222115	Fa Mulan
779401	223134	Herself
779401	232976	Yoko
779401	255751	Rosie
779401	274546	Geri Riordan
779401	287062	Agnes
779401	288261	
779401	335380	Satsuki/Mei's Mom (Disney ver
779401	340355	Lisa
779401	380713	Lien Hughes #2 (2001, 2003)
779401	407943	
779402	12096	Valeria
779402	61861	Ada
779402	216304	
779402	234341	
779402	318238	
779402	343172	Adela
779402	378958	
779402	382951	Ana
779402	384119	Andrea (1997)
779402	386129	
779402	388650	
779402	401358	Majo
779402	402158	
779402	403021	Mercedes Leguizamón (2002)
779402	403404	Diana Del Solar Seoane
779402	405789	Nora
779402	409035	
779402	410423	Nélida
779402	412120	Corina Argüello
779403	295145	
779404	85071	Pat, girl at club
779404	315164	
779405	225112	
779405	239155	
779405	343399	
779406	341326	
779407	243236	Naomi Espero
779408	336069	Bullfighter-Torero's wife
779409	235022	Felix
779410	382543	
779410	382941	
779410	407630	Katty
779411	38331	
779411	202604	(segment "A Close-Up on Binto
779412	349439	Pia
779412	398541	Juontaja (1999)
779412	398919	
779412	400690	Tyttö
779412	405464	Taru Niemi
779412	409037	
779413	217596	Gyula
779414	367866	Herself
779415	51424	Madame Roussel
779415	356501	Mme Larose
779417	6773	Laura, Captive
779417	121417	Jenny Bergman
779417	297008	Girl #1
779418	392667	Child Laura
779419	160580	Maggie Spence
779419	363734	Sasha Tracey
779419	382531	Helen Gilder
779419	392667	Teenage Laura
779420	385299	Sue Bates
779422	11678	Herself (for "Soap")
779422	46663	Hope
779422	80716	Carol
779422	96975	Herself
779422	124183	Diana Boley
779422	133732	Lois
779422	144452	Judy Bishop
779422	163588	Maisie
779422	213112	Annie
779422	222773	a 'Bird'
779422	239618	Laura King
779422	245140	Ann Zigo
779422	257518	Sharon Lake
779422	277274	Helen
779422	303278	Grace Collier
779422	328520	Connie Paxton
779422	360712	Phoebe
779422	396948	Cynthia Brightman
779422	405769	Eunice Tate-Leitner (1977-198
779423	59350	Little Girl
779423	311127	Flo Carter
779423	363612	Annyrose
779423	393880	Sharon Blister
779424	8945	Receptionist
779425	341032	Prostitute
779426	53313	Featured Singer
779427	52893	
779427	184290	
779427	245802	Rita
779427	410311	Colette Dubois
779428	45032	Elizabeth
779429	120945	
779429	290143	
779429	290447	
779430	271192	Woman at pancake counter
779431	77950	Louise
779432	48490	Customer/Hungry Customer/Addi
779432	87409	Mother, Sah Lee's Maid, Troub
779432	381163	Laura
779432	382908	Customer, Hungry Customer, El
779433	346359	Undetermined Role
779434	283336	Principal
779434	390276	Simpson
779435	32343	Val
779435	51794	Mrs. Marks
779435	88988	Lady Cliquot
779435	118529	Herself
779435	333191	Dorothy
779435	379395	
779435	380884	Mrs. Silver
779435	382206	Herself - Panellist
779435	383661	
779435	383813	
779435	385105	Matron Hilda Arrowsmith (1982
779435	387531	Mrs. Dr. Lane
779435	393685	
779435	395091	Maud Lancaster
779435	395153	Eleanor Roosevelt
779435	397142	Various (1965-1967)
779435	399130	Bess Robinson (1985)
779435	399816	Meg Robinson (1977)
779435	403087	
779435	403244	Miss Elizabeth MacKenzie (197
779435	404932	
779436	345943	Baby in Crib
779437	14620	
779437	105649	Rioter
779437	143210	Maid
779437	207982	Nurse
779437	311867	Nancy O'Keefe
779437	343377	Theodore De Coppee
779438	78994	Elizabeth
779438	161108	Paris vampire
779438	400516	Julia Allen
779439	139092	Robbery victim
779440	72738	Bonnie's Mother
779441	54519	Lucy
779441	257742	Natalie
779442	63	The little girl
779442	10915	Dorothy Griswold
779442	26880	
779442	31665	
779442	53218	
779442	72397	Ivy Marten
779442	87562	Alice Houston
779442	107392	The Girl
779442	138681	Dolly Temple
779442	146273	
779442	152203	Becy Thatcher
779442	158065	Eileen McCree
779442	175612	Liza Ann Gap
779442	176296	Girl
779442	185477	Ruth Moore
779442	207184	
779442	207982	Viola
779442	220165	
779442	283381	
779442	288437	Dolly Ellis
779442	291843	
779442	293797	Betty Adams
779442	359798	Little Pal
779442	361303	Tommy Dolan, Jr.
779443	75583	Older Woman
779444	30697	
779445	212336	Herself - Participant/Perform
779446	137223	Dancer
779447	140446	
779448	35851	
779448	91201	
779448	132149	
779448	237139	
779448	264974	Old Bag Lady
779448	323366	
779448	351981	
779448	386030	Baba Katya
779449	349121	Irene Elliot
779450	321980	Loesser; OSA Recruiter; and S
779450	330295	Jenivere and Female Civilian
779450	330324	Female Servant
779451	23527	
779451	159497	
779451	236803	
779452	46065	Irina Saltykova
779452	402348	
779454	80430	Brenda Greenburg
779455	132909	Pedestrian Dialogue
779455	132912	Commercial Voice
779456	253202	
779457	132909	Pedestrian
779457	132912	Commercial Voice
779458	223164	Herself
779459	52894	Girl
779460	113724	Girl in Video Shop
779461	160888	Elizabeth Saltzman
779462	381821	Ensemble (1983-1984)
779463	289719	Michellle Rogers
779464	347534	Jen
779465	400341	Herself - Psicóloga de la Aca
779466	301205	Mai
779467	152631	Anjala
779468	4179	
779468	4852	
779468	28852	Jayshree
779468	88599	
779468	98517	
779468	164334	
779468	166513	Amba
779468	289317	
779469	184698	Seeta
779469	271439	
779469	288788	Taramati
779470	55968	
779470	111159	Irina
779470	252309	
779471	388946	Maia
779472	353056	Mirella di Budrio
779472	393046	
779473	365251	
779474	277401	
779475	251580	La niña de los sellos
779477	182517	Police Captain
779477	244636	Victoria
779478	44229	
779479	15333	
779479	34560	
779479	51681	
779479	56811	
779479	61140	
779479	63951	
779479	136997	
779479	244611	
779479	252612	
779479	281293	Ángeles
779479	283051	
779479	351471	
779479	353602	
779480	77084	Reggie
779481	346746	Le premier homme
779482	27627	Melissa
779482	27628	Melissa
779482	50805	
779482	150693	
779482	296544	
779483	63910	
779483	103853	
779483	369994	Herself - Winner: Best Screen
779484	208679	Atong
779486	2474	
779486	19468	Titao
779486	24924	Dona Isabel
779486	24986	Señora Galán
779486	31548	Madre de Mariam
779486	55866	Dona vella
779486	65015	
779486	70858	
779486	71457	Dona Carmen
779486	73515	
779486	74842	Elena
779486	76011	
779486	78272	
779486	87920	
779486	90157	Mari
779486	111995	
779486	119188	Dona Ana
779486	121226	
779486	125661	
779486	184844	
779486	189298	
779486	205429	
779486	212069	
779486	220755	Marquesa
779486	221676	Doña María Luisa
779486	240266	Vecina
779486	257565	Madre de Martín
779486	276396	Madre Superiora
779486	307656	Carmen Uztueta de Medina
779486	308911	
779486	328530	
779486	376636	
779486	376641	
779486	384972	Regina/Lurdes
779486	392388	
779486	397283	
779486	399505	Mercè Aymerich
779486	401688	Misericòrdia
779487	396899	Angélica
779488	355846	Policía 5 (mujer)
779489	398915	
779490	148209	
779490	156189	Cristy
779490	388282	
779490	394020	Host
779490	406980	Herself
779491	55958	Luca's mother
779491	274785	
779492	83380	Charlotte
779493	187074	Jenny Williams
779494	57061	Herself
779494	57654	Bruce Bishop's Admirer
779494	112205	Tawdry Girl
779494	149934	Celia
779494	266419	Herself
779494	348106	Herself
779494	375827	Hansel's Posse Member
779495	186151	Hugo Lance
779496	234141	Dancer
779497	373216	Gemini Girl
779498	151187	Younger Mother Listening to S
779499	326202	Actores de Conjuncto
779500	225369	
779500	340681	Fille 3
779500	377985	Maitresse de Jean
779501	12158	
779501	63888	Marta
779501	119303	
779501	247976	
779501	250986	
779501	263874	
779501	268268	(segment: Soledad)
779501	269895	
779501	352944	
779502	23750	Adèle
779503	84121	Lisa
779504	270840	
779505	186154	
779505	253711	
779505	386748	
779505	399113	
779506	192748	Neo-Natal AIDS Volunteer
779507	242296	
779508	154893	Ellen
779509	89572	Steiner's Guest
779510	176964	Jaya Millay
779510	297181	Tina
779511	230934	Lingerie Girl #1
779512	14131	Girl Holding Out
779512	47077	Toothless Cheerleader
779512	193202	Nicole
779512	324518	Jodie
779512	404697	Kelly Phillips (1995-1998)
779513	346503	
779514	72718	Amber
779514	185357	Lillian Falvo
779514	204049	News Reporter
779514	315999	Maggie
779514	319416	Brooklyn girl
779516	376580	Un plongeur
779517	380056	Serena
779517	390498	Margherita Stani
779518	6388	
779518	133038	Child on Sled
779518	237999	
779518	264525	Francine
779518	353833	Catherine
779518	400092	
779519	294595	
779520	132756	Woman in Baseball Cap
779520	313420	Antonia
779521	294595	
779522	51368	
779523	409850	Dancer
779524	86047	Sonia
779525	112119	
779525	200008	
779525	224004	
779525	366866	
779526	321154	Frug dancer
779527	132247	Rolling Hills Dance Team
779528	178435	Mette Nilsen
779528	322463	Moren
779529	337184	Lise
779530	90680	
779531	27215	
779531	68736	Mrs. DiSalvo
779531	72458	Norma
779531	109971	Ida Rendino
779531	120512	Billie
779531	185397	Bel Air Woman
779531	219909	Greta
779531	251196	Secretary
779531	296842	Bette
779531	364330	
779532	129036	
779532	198585	
779533	157862	Italian girl
779533	257390	Marcelle
779533	331950	Maid
779534	307137	Herself
779535	187497	Nancy Nubbins/Dorothy Funberg
779536	17718	La fille de Maugras
779536	19344	Béatrice
779536	23828	Caroline Pelletier
779536	43748	
779536	51478	
779536	70947	La Mère
779536	71272	
779536	80289	Mylène
779536	86891	Mme Pinchard
779536	100243	La comédienne
779536	120972	Louise Langlois
779536	160675	La mère de Jeanne
779536	171284	Nicole Schallon
779536	201115	Juliette Hardy
779536	211140	La directrice littéraire
779536	211741	
779536	217827	Arlette's mother
779536	225061	Nanny
779536	236585	Cidalise
779536	238483	Justine
779536	244961	Viviane
779536	261782	La dame patronesse
779536	268972	Lilianne
779536	281249	Françoise Blindet
779536	309758	Mouchette
779536	319026	Christine (segment "The Frenc
779536	325077	Marianne
779536	345135	Madame de Montigny
779536	352597	La mère de Simon
779536	377771	Une grande Euménide
779536	380410	Antonietta
779536	386101	Marie Coste
779536	386323	Maria
779536	393731	Caroline Bonaparte
779536	409540	Jacqueline
779537	48075	Bobby's Aunt
779537	58799	Pitch Lady
779537	80762	Mrs. Hernandez
779537	194228	Aunt Maria
779537	205276	Rocky's mother
779537	232861	Woman at St. Ambrose Hospital
779537	389858	Grandma Cerullo (1994)
779538	385703	Rosea
779539	269726	La monitrice
779540	383784	Chiara (Priscilla Levi)
779541	200510	
779542	339043	
779543	53869	Mamelles Adenauer
779543	248265	
779543	283019	Tillie, prostituée
779544	33178	Beatrice's Mother
779545	42022	Lucienne
779546	51924	Paula
779546	290023	
779547	274267	Maria, the dentists' lover
779548	17709	
779548	71338	Aurore
779548	333555	
779548	351826	Lea Mentha
779549	218546	
779550	171603	
779550	250888	
779551	35015	
779551	55323	Teresa
779551	76008	
779551	100932	
779551	135373	
779551	152257	
779551	160136	
779551	185911	
779551	212351	
779551	221685	
779551	221686	
779551	234336	Tilda Flanagan
779551	242670	
779551	276487	Erica
779551	378429	Marion
779551	378452	Silvia
779552	250888	Tornász
779553	312068	Rosi
779554	223892	Dvora
779555	145366	Judith
779556	402150	Herself/Jornalista
779557	100168	
779558	10283	
779559	333445	
779560	214814	Bride (Home Movie Weddings)
779561	130062	Tzipe, his younger niece
779561	143383	
779561	154726	Celia
779561	167300	
779561	195409	Alice Steinfeld, aka Alice St
779562	8578	Agátha
779562	43128	Mother Aksmanová
779562	175074	
779562	261875	Vanda
779563	282988	
779564	60507	
779565	1727	Herself
779565	155279	Herself
779566	116435	
779567	187563	Wife of sporty man
779567	190976	
779567	384804	Herself
779567	390121	
779569	139857	
779569	202118	
779569	261534	Mounir, Taghi's wife
779569	273051	
779570	349493	
779571	139765	Irene Yoder
779572	390860	Gülbeyaz
779572	398862	Müjgan/Müjdat
779572	407308	Deniz 'Derya' (1995-1996)
779573	16950	
779573	51969	
779573	54818	
779573	68336	Henriette
779573	70589	La boulangère
779573	71141	Madame Heurteloup
779573	71822	Mme Berri
779573	88837	
779573	101511	Mme Garbuer
779573	107506	Mme Malbais
779573	215021	La femme de la 'momie'
779573	241174	Mamie 2
779573	246306	La locataire en pleurs
779573	278136	
779573	337787	
779573	377238	La vendeuse
779573	377896	Annette Both
779573	378866	La dame en deuil (ep.2)
779573	384787	Une dactylo
779573	386801	La secrétaire (1970)
779573	395620	La servante de l'auberge (seg
779573	404281	Maid (ep 3)
779573	404914	
779573	409435	Mme Alema
779574	160560	Young girl
779575	2234	Sandra
779575	21203	Noreen
779575	71851	Maria
779575	145041	Alina
779575	165570	Janis Joplin
779575	177591	Frankie
779575	228298	Cop #3
779575	379494	
779575	406952	Nurse Esperanza (1997)
779576	208858	Mother
779577	308843	Barbara
779578	286085	Afsane
779579	130575	
779579	333895	Basanti
779580	357231	
779581	392629	Inez
779581	404078	
779581	408414	
779582	190663	Nurse #2
779583	101055	Sniper
779584	181630	Nainen ulkohuussissa
779585	389143	La servante Aristide
779586	25654	
779587	70063	Maruca
779587	363248	Dancer
779588	377195	
779589	27784	Mamá de Raúl
779590	42223	Scores girl
779590	81368	Dominatrix
779590	91047	
779590	99978	
779590	100341	
779590	113256	La manucure
779590	128718	
779590	198019	
779590	204747	Katie
779590	269521	
779590	274797	Sioffra, The Baby
779590	284777	Meera
779590	312702	
779590	320941	
779590	321032	
779590	344810	(segment "Vingança")
779590	356653	
779590	356656	
779590	369881	
779590	369885	
779591	11250	
779591	13272	
779591	83010	
779592	47013	
779592	105306	
779592	140955	Frak #5
779593	391397	
779594	249478	
779595	384871	
779595	391397	
779596	312865	
779596	394151	
779596	407539	
779597	70090	Erika de la Fuente
779598	277726	
779599	44201	
779600	339314	Vesa
779601	327726	(segment Vers Nancy)
779602	94518	
779603	28063	
779604	148081	
779605	396236	
779606	3568	
779606	5263	
779606	8456	
779606	12944	Julita
779606	19373	
779606	19463	
779606	28314	
779606	55240	
779606	55372	
779606	55928	Madame Viera
779606	57554	
779606	59252	Belly, turista inglesa
779606	65638	
779606	74968	
779606	75499	Teresa
779606	77251	
779606	80093	
779606	87942	
779606	90119	Dame Ermita
779606	95025	
779606	95348	Guía rusa
779606	98448	
779606	103476	
779606	103710	Madame Legrand
779606	110734	
779606	113095	
779606	115030	Presenter
779606	146447	
779606	148081	
779606	180730	Militaire soviétique
779606	197886	
779606	199830	
779606	203890	Patricia
779606	204691	
779606	204740	Mrs. Tremont
779606	205140	
779606	210229	
779606	221709	
779606	221727	
779606	231597	
779606	234370	Elizabeth Daninsky
779606	236456	Trini
779606	243613	Sor María
779606	266871	
779606	284584	
779606	285934	Maria Ivanova
779606	289859	Mistress Hibbins, the daughte
779606	292724	
779606	301110	
779606	302399	
779606	332600	
779606	333711	
779606	340689	
779606	343743	Allende's Main
779606	350814	Laura
779606	351861	
779606	376750	
779606	376849	
779607	57400	La mère d'Alex
779607	349815	Nelson's Wife
779607	379522	Emy
779608	368600	Nate
779609	200715	
779609	202407	
779609	250633	
779609	288595	
779609	289076	
779610	44730	
779610	356988	
779611	363414	Runway Model
779612	71266	
779613	254157	
779614	49698	
779615	215838	Antonia
779616	174151	Oumi
779617	104442	
779617	369491	Adja Assatu, Beye's wife
779618	249061	Mouna
779619	42652	
779620	166274	
779622	85006	Don's Secretary
779622	168714	Nurse
779623	9545	Mamma
779624	224888	Olga Mersmann
779625	213512	Antonella
779626	148164	Amante
779627	344534	Herself
779628	53043	
779629	224834	Stand-In
779630	101170	Othilie
779630	379805	Une enfant
779630	408002	Nicole adolescente
779631	353871	Claire Pelet
779632	11692	
779632	17285	
779632	89661	
779632	94636	
779632	229606	
779632	235753	
779632	236712	
779632	268848	
779632	269193	
779632	281624	
779632	289359	
779632	307072	
779632	335911	
779632	339448	
779632	344430	
779632	344434	
779632	344582	
779632	353060	
779632	373466	
779632	373467	
779632	373468	
779633	374461	
779634	181261	Bourgeoise (V)
779635	342054	Herself
779636	57381	Schoolroom student
779637	108901	La donneuse de vie
779638	156283	Child Federica
779639	156283	Child Bianca
779640	2662	Fake Xaviera #1
779640	381091	Herself (eliminated round 1) 
779641	140000	Cik Som
779642	19518	
779643	54453	Young girl
779643	100853	Young girl
779643	131786	
779643	368644	Girl
779644	267427	Susie
779645	14212	Voice of Barbara Walters
779646	252984	Andrea
779646	392885	Tess
779646	405209	Dr. Shivani 'Vani' Naran
779647	34311	Barfrau
779647	103124	Interviewer
779648	14347	Odette
779648	23787	Loulou
779648	23806	Armandine
779648	33626	La femme sage
779648	34420	Grandmother
779648	43757	Une pensionnaire (segment "Fe
779648	51395	Maud
779648	57530	Mme Wix
779648	65384	Mlle Sergent
779648	68931	Jocaste, from 'La Thébaïde'
779648	71822	Mme Brochard
779648	83271	Anna Semyonovna
779648	84625	Tante hannah
779648	87902	Clarisse Guiton
779648	88177	Madame Florian
779648	99360	Jannou
779648	99361	Clarisse, la veuve d'Herbert
779648	111135	Martine
779648	111136	Bélise
779648	124685	Marthe
779648	124824	The Prostitute
779648	126083	Claudine
779648	133018	
779648	134617	Antoinette
779648	157286	Mlle de Brie
779648	164680	
779648	166565	Cook
779648	198639	Flo Lemonier
779648	201180	Herself - from 'Don Juan'
779648	205638	
779648	217405	Toinette/Nicole
779648	219497	Jocelyne
779648	225383	Jacqueline
779648	227317	Simone
779648	236554	
779648	240600	Dame Pluche
779648	258338	Toinette (segment "Mademoisel
779648	261609	Clémence
779648	266376	Marotte
779648	266746	La pharmacienne
779648	277030	Martha
779648	286229	Letty
779648	309764	La Voisine
779648	335047	Marie-The
779648	345050	Suzanne
779648	345261	La mère d'Aurélie
779648	346772	Justine âgée
779648	350741	Le gynécologue
779648	353428	La psychanalyste
779648	353946	Julie
779648	353963	Clotilde
779648	367620	Jeannine
779648	377665	Georgette
779648	389005	Hortense Schneider
779648	391620	Mme Bergeret
779648	399758	Kate Cookham (segment "Banc d
779648	407535	Léna
779649	25785	Marinette
779649	68914	La Vacbère
779649	68922	La fille
779649	68931	Charlotte, from 'Occupe-toi d
779649	84634	Une lavandière
779649	86891	Armandine
779649	100238	Flic 2
779649	166565	Rosina
779649	200942	Mathilde
779649	206008	Petite Pomme
779649	218284	Eva
779649	248415	Julia
779649	264212	Anaïs Poitrenaud
779649	265736	Yvette
779649	266376	Une voisine
779649	283031	Céline
779649	283035	Olga
779649	319819	Josie
779649	340486	Woman in Bra
779649	377668	Lisette
779649	384818	
779649	396365	Brigitte Grangier
779649	404804	L'ouvreuse
779650	82095	Kelly
779650	114138	Kelly
779650	206937	Leila
779650	309963	Vision #1
779651	378605	
779652	227389	Nane Lala
779653	220273	
779654	10959	
779654	14579	
779654	107675	
779654	172894	Konstadinos`mother
779654	178543	Stathi's mother
779654	180563	
779654	191419	
779654	199617	Eftihia
779654	209762	
779654	211484	
779654	229957	
779654	249152	
779654	253659	
779654	261220	
779654	315194	
779654	338997	Meropi
779654	379522	Roza
779654	379678	
779654	404236	Antigoni
779655	9496	Elli
779655	234818	Lesbian
779656	175008	Herself
779658	25986	Ouardya
779658	58174	Zénia
779658	73070	La compagne de Rubio
779658	125723	
779658	198187	(Voice)
779658	210938	
779658	270353	
779658	318620	La servante
779658	345152	Leïla
779658	353863	
779658	389465	
779658	405528	Djémila
779658	406790	
779658	412260	Aliette
779659	98102	Mother
779659	374184	
779660	230442	Creepy Girl
779661	283261	Teacher Pelásková
779662	405696	Girl at water camp
779663	12895	Oda
779663	290286	
779664	237439	
779665	69357	Courthouse Reporter
779666	6280	Tonia
779666	54094	Teresa Lantieri
779666	119366	Signora Dossena
779666	158762	Nonna Ferrand
779666	234564	Tonja
779666	255099	
779666	264251	La cantante lirica
779666	269110	La falsa madre di Giorgio
779666	344625	
779666	353088	Maîtresse
779666	360466	Tonia
779666	402302	La governante
779667	6078	Madre di Francesco
779667	199728	
779668	381436	Brooke Shepard Taylor (1990-1
779669	44926	
779670	79514	Glenda
779670	84991	Susan Sanford
779670	118199	Sally
779670	191033	Young Woman
779670	199228	Mandy
779670	222657	Mrs. Connie Hill
779670	313046	Meg
779670	358274	
779670	363044	Clerk #1
779670	372882	Cindy
779670	380823	Connie Levine
779671	172416	Halina
779671	205972	Hélène
779671	266293	
779671	276078	Sonia
779672	6775	Princess Tia
779673	370675	Age 15
779674	196779	Repetiteur (accompanyist)
779675	7155	Shelley Beetle
779675	11683	Herself
779675	19545	Princess Zuleira
779675	31202	Herself (ABC Team)
779675	33227	Stacey
779675	64559	Performer
779675	64573	Performer
779675	69615	Queen Guenivere
779675	82401	Rachel Hedison/Laura Claybour
779675	95875	Herself
779675	95877	Fallon Carrington Colby Carri
779675	109660	Bridgid O'Toole
779675	110187	Herself
779675	125995	Herself
779675	127280	Queen Bodicea
779675	131093	Lea McKenzie
779675	139498	Kelly Everson
779675	139613	Herself
779675	152608	Dr. Drake
779675	156513	Laura Sanderson
779675	161245	Herself
779675	183542	Barbara Castlemaine
779675	192344	Lucy Regan
779675	200222	Herself
779675	219203	Mirabelle Merriwether
779675	222677	Jennifer 'Egg' Eastman
779675	254243	Rebecca
779675	263276	Lacey Farrell
779675	291417	Herself - Interviewee
779675	296775	Sarah Clinton
779675	300326	Alex
779675	328271	Becker
779675	338732	Anne Marie Kerr
779675	384582	Fallon Carrington Colby
779675	387152	Fallon Carrington Colby (#2) 
779675	387490	Violet Weiler
779675	389858	Holly Sutton Scorpio (1982-19
779675	392422	Herself
779675	398015	Grayson Louder
779676	150866	Olivia Evans
779677	358902	Herself
779678	389630	Donna Korkidas
779678	392121	Donna (1998)
779679	229096	Ming Voeun
779680	62854	Wife of Stasenko
779681	369255	Farmers Daughter Singer
779682	124843	
779682	283997	
779682	374766	
779683	176142	
779683	229193	Matra (Mother) Klark (Mother 
779683	263669	
779683	373268	
779684	40212	
779685	89795	
779685	90220	
779686	80051	The Girl in the Cafe
779687	1853	Mother
779687	10008	Alba
779687	17551	Anna Karenina
779687	47055	Olenetskaya
779687	132081	
779687	163737	Sonya
779687	187881	Natacha
779687	188522	Veronika
779687	210196	Maria
779687	229891	Tanya
779687	230110	Herself
779687	239351	
779687	357245	
779688	363972	Zofia's model
779689	48329	
779689	49148	
779689	84431	
779689	90221	
779689	95353	
779689	123908	
779689	155611	
779689	178257	
779689	179588	
779689	226016	
779689	262166	
779689	283833	
779689	291593	
779689	294018	
779689	316429	Anzhelika Kudrina
779689	325085	
779689	339026	
779689	341195	Elizabeta
779689	349217	Mercedes
779689	356481	
779689	356907	Rita
779689	357686	
779689	381226	Ekaterina Zvantseva
779689	381228	Katya
779689	381229	Ekaterina Zvantseva
779690	214895	
779690	258999	
779690	344308	
779690	349255	
779691	116632	Katya
779692	226012	
779693	263732	
779695	406452	Herself - Finalist (2004)
779696	178016	Nicole
779698	175621	Klahn's Harem
779699	40934	Zosia
779699	260781	Henia
779700	20176	
779700	121286	
779700	162744	(segment Ekskursant)
779700	223213	Logeuse
779700	252808	Natasha
779700	261593	
779700	387149	
779700	411996	
779701	229913	Antonina
779702	225768	
779704	20625	Extra
779704	215862	Flower girl
779705	263415	
779705	263809	
779705	269214	
779705	376587	
779705	379822	Mucama
779705	381198	Edite
779705	383276	
779705	386142	Elza
779705	386245	
779705	386505	
779705	397547	Eugênia
779705	397550	Luzia
779705	397787	
779705	398548	
779705	399713	
779705	400580	
779705	400656	Bá
779705	402579	Maria
779705	403083	
779705	405337	
779705	405454	Ruth
779705	407281	Tia Anastácia
779705	410106	Maria das Dores
779706	344699	
779707	211010	
779708	85596	
779708	109267	Maria Ana
779708	119651	Madalena de Vilhena
779708	219240	Mariquinhas
779708	295478	Marquess of Seide
779709	382776	Matilde
779711	44723	Law Office Receptionist
779712	52072	
779712	104096	
779712	205201	
779712	226454	
779712	260819	
779712	332460	
779712	361081	
779713	277811	Fan di Stefano
779714	105216	Customer in Salon
779715	90946	Madhu Mehta/Monica Dutt
779715	145464	Padma (Ravi's sister)
779715	164301	
779715	173843	Neeta
779715	194570	Suman
779715	227050	
779715	227644	Kusum
779715	284777	Shanti
779715	289172	
779715	341685	Seema Dutt
779715	411679	Renu
779716	306646	
779717	224407	Singer
779718	9890	
779719	113646	Go-go
779720	137097	Sunna
779721	339130	
779722	48525	
779724	114521	
779724	215231	Monnalisa
779725	143680	
779726	221734	
779727	55013	
779727	68642	Lucy
779727	75198	
779727	159034	
779727	159417	
779727	212517	
779727	221664	
779727	221734	
779727	294336	
779727	307574	Lidia
779727	327443	
779728	139781	Michelle 'Spikes' Carrow
779728	312927	Pleading Vampire Woman
779729	270272	Second Dormitory Girl
779730	116565	Herself
779730	270272	Molly Craig
779731	270272	Woman in Queue
779732	68980	
779733	15106	
779734	68980	
779735	3568	
779735	17126	Dra. Barinaga
779735	28197	
779735	29439	Marisa
779735	40271	
779735	53001	
779735	73268	Alejandra
779735	74492	
779735	74584	Gloria
779735	77377	Gladys
779735	104088	Gloria
779735	106267	Sister Angela
779735	110393	Helga
779735	124303	Andrea Soriano
779735	136983	
779735	143702	Doña Isabel
779735	152246	Virginia
779735	154543	Herself - Presenter: Best Art
779735	158847	Sra. Mingarro
779735	169802	
779735	170031	
779735	189043	
779735	193017	
779735	197162	Liliana Rovira
779735	218565	
779735	234345	Herself
779735	235296	Andrea
779735	251876	White Lady
779735	252724	
779735	256537	
779735	268239	Carmen
779735	269746	
779735	289325	Elena
779735	293374	Maria Elena
779735	294631	
779735	302431	Esposa de Sinatra
779735	322325	Marisa
779735	354266	Herself - Winner: Lead Actres
779735	355201	
779735	355946	
779735	361567	Carlota
779735	369748	Herself - Presenter: Best Dir
779735	369870	Herself - Nominee: Best Actre
779735	369996	Herself - Winner: Best Lead A
779735	369999	Herself - as the President of
779735	376843	
779735	378387	
779735	384202	Petra
779735	387692	Doña Bernarda
779735	389253	White woman
779735	392032	
779735	393932	Julia
779735	395041	Raquel Palou
779735	398521	Martina
779735	398914	Cristina
779735	399505	Montserrat Capdevila
779735	410275	Gabriela
779736	21590	
779737	83988	The She Devils
779738	195362	TRW girl
779739	89586	
779740	222292	Janitor
779741	85835	Margaret Bayliss
779741	118003	Muriel Stonor
779741	196202	Perpetua's Mother
779742	511	Kiyoka
779742	19768	Robby
779742	19793	Z'an Al'urin
779742	54891	Kaho Mizuki, Suppie
779742	86545	Mimi/Cody/Matt and T.K.'s gra
779742	105381	
779742	152718	
779742	177601	Queen Freesa/Swamp Wisp
779742	205953	Princess Toadstool 'Peach'
779742	263352	Beth
779742	294150	Sweet Girl
779742	294394	Marnie
779742	335058	Townspeople
779742	379484	Taeko Minazuki, Teacher
779742	379485	Taeko Minazuki, Tsurube, Sank
779742	380391	Donna Love Hutchins Hudson Hu
779742	380605	Ai, Elaine Symond, Secretary
779742	382767	Tamemi Ebichya/Boy
779742	385824	Renee DuMonde (1980-1983)
779742	386345	Mimi Tachikawa (1999-2000)/Co
779742	386396	Rena
779742	390730	Tomoko Nomura, Saeko Iijima, 
779742	395167	Alister Agrew
779742	396484	Mother On Bus, Aunt Sakura, T
779742	396923	Assistant Principal Kyoto
779742	398074	Beginner
779742	402729	Tsuruko Aoyama
779742	403452	Lacey Jarrett
779742	403959	Blonde Woman, Wake-Up Call
779742	403965	Misao Makimachi
779742	404228	Madoka Mitsurugi
779742	404576	Mayor Margaret Gathermoon/Noa
779742	408734	Kelly
779742	409831	
779742	411563	Yuzuriha Nekoi, Tokiko Magami
779744	6711	Herself
779744	14972	Pepper-Picking Girl
779744	23466	
779744	33988	The Very Big Blonde
779744	34636	Herself
779744	34800	
779744	36874	
779744	36894	
779744	36927	
779744	45013	
779744	45738	
779744	53795	Herself
779744	53800	
779744	53814	
779744	67070	
779744	70309	Mrs. Brown
779744	81853	
779744	93983	
779744	98839	Katrina
779744	98841	Herself
779744	99133	
779744	102743	Go-go Dancer
779744	108711	
779744	168543	
779744	185212	
779744	187411	Herself
779744	189313	
779744	242073	
779744	243515	
779744	247493	Herself
779744	279863	
779744	295631	
779744	295681	
779744	295773	
779744	319535	Lady on Boat
779744	327780	
779744	348427	The Headsperson
779745	305575	Baby Stroller Family Member
779746	141185	Nurse #1
779747	305575	Baby Stroller Family Member
779748	305575	Baby Stroller Family Member
779749	305575	Baby Stroller Family Member
779750	305575	Member of Reading Family
779751	302748	Jay's Wife (Cindy)
779752	222699	Chief Justice
779752	352554	Woman Poet
779753	305575	Holly
779754	89474	Young Woman
779755	258948	Orderly
779756	185061	The Woman in the Library
779757	92669	Rockgroup Member
779758	43941	Wexford Audience Woman
779759	318775	Becky
779760	318775	Becky
779761	333120	Person of the Day
779762	340704	Taffy
779763	116928	Jordan Hayes
779763	202604	Molly McBride (segment "Riche
779763	277721	Molly McBride
779763	279203	Marisol
779763	295563	April Gradwell
779763	315925	Sophie
779763	406701	Cidy Enakniuk
779764	382715	Political Correspondent (2003
779764	385576	Herself
779765	134395	Indian Woman
779766	330589	Hala
779767	31206	
779767	216970	Frida Von Helsing
779767	382842	Sharon Ropers
779768	12476	
779768	47914	Trini
779768	56571	
779768	80602	Georgia Gaines
779768	83829	Kate Collins
779768	99980	Emmanuelle
779768	99981	Emmanuelle
779768	99982	Emmanuelle
779768	99983	Emmanuelle
779768	99984	Emmanuelle
779768	99985	Emmanuelle
779768	99986	Emmanuelle
779768	105904	Darlene
779768	116813	
779768	116827	
779768	127351	Amy
779768	142703	
779768	247926	
779768	257438	Angela
779768	267088	Cheryl Biggs
779768	314111	Katherine Phillips
779768	332442	
779768	410422	
779769	211961	Overstressed Elevator
779770	115792	FLORA
779771	371565	Miss Hagen
779771	399446	
779772	310281	Herself (Family of Admiral Sa
779773	12244	Party Goer
779774	134395	Indian Child
779775	388477	Candice Westwood
779776	78796	Policewoman
779776	130358	Hostage
779777	70841	Miss Barton
779778	143248	Motorcyclist
779779	174219	Gina
779780	267484	Michelle Healy
779780	380798	Mal
779781	230857	Daughter
779782	22975	
779782	27307	Angela Hardy
779782	37154	
779782	37818	
779782	38934	
779782	45086	
779782	61276	Winnie Jones
779782	73755	Flavia
779782	111178	
779782	112481	
779782	118532	Jewel
779782	142988	Cherry Blossom
779782	144526	Trixie
779782	148404	The Maid
779782	190175	Pancho Villa's sisters
779782	244424	
779782	245281	Nellie Essex
779782	245394	The outlaw's younger sister
779782	263351	Sarita
779782	304590	Daughter
779782	360561	Estelle
779783	263008	Chicken Processing plant Work
779783	297787	Nurse
779784	142889	Girl in Library #2
779784	166000	
779784	355320	
779785	646	Belly Dancer
779785	36056	Court Dancer
779785	77035	
779785	291561	
779786	161321	Herself
779787	105341	Susan
779787	220587	Jackie
779788	223509	Mutzmag
779789	35652	Housekeeper
779790	41820	
779790	192674	
779790	214986	Martha
779790	262387	Kid
779790	351506	Girl
779791	126276	Tricia
779792	333002	Diana as a Child
779793	358140	Helen
779794	198277	Nurse
779795	198337	Rita
779796	379978	Herself (eliminated 5th) (200
779797	259864	Porno Picket
779798	80421	
779799	2154	
779799	189338	Madame Navarre
779799	195217	
779799	258528	
779800	194779	
779802	131830	
779802	201387	
779802	321953	Nanay
779803	72373	Jetcopter Pilot
779803	292579	Leanne Sherman
779804	185137	Little Jessica
779805	6730	
779805	250651	
779805	274415	
779805	401924	Herself
779806	244429	
779807	228263	Herself
779808	44456	Salsa club dancer
779809	345940	Herself
779810	101133	Mathilde
779811	29955	
779811	41595	
779812	104429	
779812	174251	
779812	180361	
779812	186866	
779812	217282	
779812	227903	
779812	259880	
779812	286216	
779812	304252	
779812	348819	Old woman
779812	350975	
779812	374431	
779813	356921	Bochkova
779814	108851	Pishchikova
779815	304710	
779815	370194	
779815	374102	
779816	57646	
779817	79888	
779818	54091	
779818	61203	
779818	73295	
779818	96355	
779818	136919	
779818	143670	
779818	149904	
779818	183504	Doña Andrea
779818	205889	
779818	216094	
779818	222033	
779818	249905	
779818	271927	
779818	308277	
779818	318013	Lotera
779818	334708	
779818	354903	
779818	371698	
779818	376795	
779819	399506	
779820	6503	Louise, the Maid
779820	20689	Olga
779820	82952	Cpl. Kim Deeves
779820	114260	Patti Winslow
779820	165209	The beautiful woman
779820	187889	Reporter
779820	201548	Ellen
779820	223319	
779820	230703	Mara
779820	275735	Woman Cop
779820	299458	Linda (segment "Symbol of Vic
779820	310550	Bride
779820	359790	Chris' Mom
779820	408347	
779821	284215	Graciela Estigarribia
779822	222745	Landlady
779822	367886	Rescuing driver
779822	402391	Janet Brown
779823	275871	Reporter #2
779824	299485	Sally
779826	104632	Herself
779826	104633	Herself
779826	104635	Herself
779826	104637	Herself
779826	104639	Herself (Backing vocal)
779826	104772	Estonian backing vocal
779826	104774	Estonian entry (6th place)
779826	104775	Estonian vote presenter
779827	38872	Extra
779828	55674	Motel housemaid
779828	116923	Cheeky Hobson, Pongo
779828	187680	
779828	195898	Dr. Blenkin
779828	297107	Casey's Girl
779828	343352	Make-up Artist
779829	218279	
779830	333392	Jesse
779831	40800	Woman Conductor
779831	194666	NICU Nurse
779832	311615	
779833	11006	Alison Findlay
779833	64933	Prostitute 1
779833	96706	Chris
779833	123114	Sally
779833	194063	Julie
779833	199207	Jessie Rockatansky
779833	269368	Rosy Costello
779833	311615	Carole Bradly
779833	359878	Sonia Spane
779833	365099	Mrs. Bingle
779833	383813	
779833	388848	
779833	391486	Jeanette (1986-????)
779833	402890	Various
779833	405616	Kelly Morgan
779833	406891	Cynthia Cavanaugh
779833	411809	Nurse Jill Gordon (1976-1978)
779834	7142	Rechercheur de Klok
779834	42225	Engel
779835	111457	Dodie
779835	200492	Petrol Attendant (segment "Av
779835	232410	Maid
779835	396912	Dawn
779836	114752	
779836	123055	
779836	148669	La lesbienne
779836	159727	
779836	284225	
779836	354459	
779837	282384	Sally
779838	364025	Girl in Brothel
779839	376987	Mme Demange
779840	20221	
779840	102872	
779840	205880	
779840	252767	
779841	241878	
779842	139745	Waitress
779842	176804	Shala
779842	406856	Tara Williams
779843	73551	Audience Member
779844	324983	Cashier
779845	123108	Additional Voices
779845	123112	Additional Voices
779846	384627	Governor's Servant Clare "Gin
779847	397536	Doris
779848	76664	
779849	39004	Marie
779849	82274	Martha
779849	214463	Davey
779850	379741	Regular Performer (2001-)
779850	388502	Angie Bindlebeep
779851	56571	
779852	327685	Pharaoh's Court Dancer
779853	382384	Receptionist
779854	341758	Mother
779855	259359	Hooker
779857	187101	Radio Talk Show Host
779857	283339	Activist
779858	251518	Narrator
779858	405875	Host
779859	4544	Receptionist
779859	18004	Liza
779859	86739	French Maid
779859	170982	Club announcer
779859	221123	Various Characters
779859	252976	Pam (Todd Gross' assistant)
779859	313984	
779859	342228	Various
779859	364372	Vendela
779859	396426	Amy Sherwood
779859	400255	Centerville Characters (1999-
779860	69624	
779860	110421	Old Woman with Dog
779860	176409	Counterperson
779860	230422	Secretary
779860	233474	Mrs. Goldstein, Irv's Mother
779860	273619	Ms. Tic
779860	350622	Teased Old Woman
779861	116147	Crew member
779861	266004	Rose
779862	350500	Lady Minister
779863	53304	Herself
779863	333548	Dancer
779864	36758	Herself
779865	345643	
779866	49323	
779867	170857	Mary Jo
779868	142703	Blindfolded Girl
779868	143981	
779868	247926	
779868	276399	
779868	345643	
779868	362104	
779869	274476	Female Guard
779869	336692	Clinic Nurse
779870	214744	Makeup Artist
779870	230926	Big Shirl's Beautician
779870	405069	
779871	222194	Dancer
779872	27168	Megan Burnett
779873	309890	Smoke House
779874	284389	
779875	939	Kate
779877	53033	Hillary
779878	240218	Lisa
779879	126619	Extra Talent (segment "Gett O
779880	159646	
779881	101611	Emma
779881	333082	Eva
779882	182101	Member of Ladies' Orchestra
779882	394925	Saxophone player
779883	182101	Member of Ladies' Orchestra
779883	394925	Trumpet player
779884	139813	Gulnara
779885	324482	Herself
779885	349137	
779885	394701	
779886	410487	Herself - the stylist
779887	324482	Herself
779888	176550	Veronika
779889	79109	
779889	237442	Magda
779889	262511	Angelika (wife of "Juras", da
779889	266019	Pharmacist
779889	343319	
779889	373733	Sekretarka Bobiñskiego
779889	397622	Irena
779889	401665	Konstancja (2003-)
779890	234863	
779891	218893	
779891	303132	Marjan
779892	9849	
779892	84727	
779892	175886	
779892	303106	Samyuktha
779892	320902	
779892	354315	
779893	237056	Ragnhild
779894	328273	
779895	376685	Chica
779896	3455	
779896	104760	Spanish Entry (15th place)
779896	392002	
779897	30856	child
779897	160131	
779897	256944	
779897	376796	
779897	377196	
779898	332663	
779899	30646	Student
779900	365972	Miss Hitchcock
779901	132792	Donna Chioso
779902	18964	Goad
779902	60253	Flo Applebaum
779902	69711	
779902	97026	Jaqueline
779902	98932	Mrs. Robinson
779902	117271	Jo Mandell
779902	124185	Fox
779902	131677	Narrator
779902	140416	Joanna
779902	166671	Jenifer Estess
779902	213860	Sandy
779902	232779	Nina
779902	241046	Jan Bella
779902	263360	Kit De Luca
779902	269892	Crazy Cora
779902	278279	Nicole Savita
779902	296024	Cynthia
779902	303236	Angela DiMarco
779902	317264	Julia
779902	318456	Lydia
779902	346078	Angeline
779902	355670	Lauren Rose
779902	363399	The Interviewer
779902	366811	Joanne Hersh
779902	389758	Fox Renard-Xanatos
779902	389759	Fox
779902	393962	Maya Gallo
779902	398213	Herself
779902	406363	Nadine Cross
779902	406617	Bandit Girl
779903	74144	
779904	204642	Patricia
779905	71267	Azucena
779905	233359	Lio
779905	378988	Lucía
779905	386336	Alex
779905	412122	Eva
779906	101867	Azucena niña
779907	3439	Blanca
779907	3530	
779907	6468	Paulina
779907	13069	
779907	34021	
779907	44529	
779907	74491	
779907	74516	
779907	80164	
779907	87136	Carmen Orbea
779907	99906	
779907	103394	
779907	104057	Débora
779907	124453	
779907	132703	
779907	132707	
779907	139910	Teresa
779907	148067	
779907	148115	
779907	153334	
779907	154542	Herself
779907	166666	
779907	183484	
779907	194624	
779907	212450	Paloma
779907	213764	
779907	215230	
779907	221921	
779907	221953	
779907	225014	Mónica
779907	225038	Alicia Ramos
779907	236475	
779907	246871	Tía Beatriz
779907	247879	
779907	251337	
779907	284212	
779907	296500	
779907	307291	Elena
779907	307799	
779907	317769	
779907	328094	
779907	332664	
779907	333709	
779907	336125	
779907	350144	
779907	385396	
779907	386522	María
779907	390851	
779907	390875	Elisa
779907	392849	Purita
779907	399126	
779907	402541	Casilda
779907	409954	
779908	1616	
779908	14564	Pilar
779908	21726	Clarita, the mother
779908	23065	Pepa
779908	28690	
779908	134498	Paca
779908	149078	Woman at the clinic
779908	204642	Madre de Ylhad
779908	238144	Manuela
779908	247321	Vendedora
779908	252771	
779908	255485	Adela
779908	263860	Toñi
779908	334678	Agrado
779908	349406	
779908	351631	Reina
779908	353637	
779908	369754	Herself - Presenter: Best New
779908	369870	Herself - Host
779908	369996	Herself - Presenter: Best Lea
779909	72074	Mannequin
779910	10892	Duarte Cafe Waitress
779910	51532	
779910	309678	WPCP Weathergirl
779911	385872	Maria Jose
779912	293367	
779912	380952	Hostess
779912	383148	Hostess
779913	14775	Cliente 2 del banco
779914	255103	Denise
779915	2402	Blonde Prostitute
779915	20012	Vivian Reilly
779915	29956	
779915	32066	Conchita
779915	41930	Nita Nova
779915	43294	The Cuban Cyclone
779915	55048	
779915	71669	Jenny
779915	73766	
779915	94881	Gloria
779915	147889	Herself
779915	192402	Singer
779915	241788	Gloria
779915	245209	Herself (member, Glamourette 
779915	271224	Miki
779915	350645	Amber La Vonne
779916	2083	
779916	5237	
779916	30395	
779916	51707	
779916	82359	Flor
779916	83462	Elena
779916	101321	
779916	121971	
779916	207730	
779916	215239	
779916	223336	
779916	231721	
779916	242673	
779916	282902	
779916	292922	
779916	339104	
779916	353972	Criada
779916	379118	Raquela Campusano
779916	380054	
779916	385502	Lorna Rico
779916	397021	Zafiro
779916	401351	
779916	412192	Susana Chávez
779917	274521	Zombie
779918	129957	Stripper
779919	161575	Ling
779919	304755	Jeannie Lin
779919	308656	Oriental Girl
779920	206710	Woman
779920	281889	Peppina
779920	368952	Mrs. Ferraro
779921	288803	
779922	309964	Gino's Sister
779923	267042	
779924	54164	
779925	44366	Voice in off
779926	151207	Shopkeeper
779927	61149	
779928	91290	
779928	259327	Susana
779928	411710	
779929	381193	Maria
779930	8468	
779930	18652	
779930	23044	Ofelia
779930	25682	
779930	51779	
779930	55940	
779930	68956	
779930	76096	Carmen
779930	80291	
779930	83532	
779930	86869	
779930	91381	
779930	99354	Raquelito
779930	103788	
779930	104078	
779930	108058	
779930	108736	
779930	167809	
779930	169561	
779930	171471	Gloria
779930	171619	
779930	193143	
779930	196760	
779930	196762	
779930	197447	
779930	204606	
779930	208852	
779930	215401	
779930	216067	Wu-Li
779930	235307	
779930	239260	
779930	239287	
779930	248296	
779930	287897	
779930	328531	
779930	339171	(segment "Luisa")
779930	339195	
779930	341655	
779930	342614	Judy
779930	351625	
779930	375900	
779930	377642	
779930	386075	
779931	309063	
779932	135110	Yoyita's Sister
779932	213389	
779933	376739	
779934	383483	Andrea
779934	405835	Delicia Morales
779935	235047	Lea
779936	209032	Luisita
779937	71267	
779938	183155	
779939	83471	
779940	42388	Mother Buckmaster
779941	21707	
779941	215036	
779941	252562	
779941	265163	
779942	101859	
779943	289004	Gina
779944	385937	Hostess
779944	387177	Tertuliana (2002-2004)
779944	402153	Hostess (1998-2002)
779945	28955	Mama del Taco
779946	160731	Hija Sara
779947	153044	
779948	221855	Mui (10s)
779949	82143	
779949	107657	
779949	136785	
779949	137592	
779949	141808	
779949	149559	
779949	149688	
779949	161150	
779949	173413	
779949	173765	
779949	173788	
779949	177876	
779949	177896	
779949	242341	
779949	288380	
779949	293665	
779949	301481	
779949	341873	
779949	377497	
779949	377511	
779949	377551	
779949	378198	
779950	299979	Raquel
779951	103606	
779951	140704	
779952	222719	Wahneta
779953	22076	
779954	954	Diane Matthews
779954	120528	Officer Cutler
779954	139467	Hitchhiker
779954	249500	Ticket Agent
779954	303447	Brutalized Woman
779955	70947	Fille de la plage 1
779955	165611	
779955	370949	Sitara
779956	58403	Bharti
779956	138929	
779956	373794	
779957	181477	Dolly
779957	201053	Shabnam
779958	398038	Yan Sayaka
779959	260578	
779960	402996	Women/Road Rules
779960	402997	Herself/Ms. Big
779960	403487	Herself/Latin America (1999)
779961	35388	Maria
779961	278172	Mitsuko
779961	300099	Felicia
779962	301242	Herself
779963	84394	Maria
779963	137603	Operator
779964	390081	Louise Ford Drake
779965	49871	
779965	177097	Yoshizaki, Hinako (Pinoko)
779965	341269	Hibana
779965	359807	
779965	382607	Kyoko Kaede
779966	101564	Girl in the Oasis
779967	64153	
779968	325936	Stefanie Kracht
779969	86657	
779969	176287	Val
779969	194693	Dee Dee Miller
779969	212038	Mrs. Schnitzel
779969	254828	
779969	302468	Dee Dee Miller
779969	371796	
779970	262163	Khijran
779972	10625	The ghost of the cave
779972	14563	
779972	59974	
779972	60860	
779972	63318	
779972	83164	
779972	89419	
779972	129337	
779972	162748	
779972	181509	
779972	182226	
779972	226009	
779972	235231	
779972	242278	
779972	252106	
779972	258422	Kapitolina
779972	258437	
779972	258670	
779972	263667	Alice The Fox
779972	273029	
779972	283828	
779972	316373	(segment Dumy)
779972	320493	
779972	323302	Jennifer
779972	356117	
779972	373744	
779972	374835	
779972	386540	
779973	288428	The Waitress
779975	356997	Lab Tech
779976	296750	Add'l Nurse
779977	252926	Andrea
779978	76238	Nurse
779979	59455	Mrs. Jowett
779980	289525	Roxanne
779981	305978	Brandi
779982	133737	Nurse
779983	217827	Owner
779984	257636	Herself (Stacy's Mother)
779985	97738	
779986	35492	
779986	386252	
779986	397440	Denise
779986	397550	Loreta
779986	404271	Solange
779986	409047	Simone
779987	368600	Old lady in church
779988	257636	Herself (Stacy's Sister)
779988	257864	Herself (Stacy Sanches' siste
779988	303282	Herself
779988	356649	Herself
779989	51783	(segment "Despejo, O")
779989	379812	Carlota
779989	380271	Cíntia
779989	380525	Mildred
779989	381591	
779989	383445	Amália
779989	385001	
779989	386377	Gumercinda
779989	387898	
779989	389587	Lúcia
779989	392828	Paulina
779989	393008	
779989	393791	
779989	397550	Letícia
779989	398310	
779989	398877	
779989	399498	Júlia
779989	400106	
779989	403025	
779989	403747	
779989	404014	Roberta
779989	405401	
779989	406054	
779989	407861	
779989	412257	Professora
779989	412314	
779990	122404	
779991	1617	Herself
779991	37673	
779991	52312	Herself
779991	83929	Shauna
779991	128735	Herself
779991	150191	Herself
779991	257618	Herself
779991	257636	Herself (1996 Playmate of the
779991	257653	Herself (Miss April)
779991	257654	Herself (Miss December)
779991	257813	Herself
779991	257864	Herself (Playmate of the Year
779991	257866	Herself
779991	284319	Rita
779991	303282	Herself
779991	325258	Herself (1996 Playmate of the
779991	356649	Herself
779991	361853	Herself
779992	167841	Sylvia
779993	228136	
779993	399024	Elvira Fuentes
779993	405397	Angélica
779994	385391	Host
779995	341406	
779996	46353	Rosa
779997	175804	Star
779998	330282	Waitress
779999	70624	Reportera TV 3
779999	399943	Nuria Lama
780000	286228	Dancer
780001	20861	Pompiste 2
780001	100469	Andres
780002	17872	
780002	27681	Bae Farida
780002	28983	
780002	31453	
780002	52734	(Episode 2)
780002	115740	
780002	117684	Tinang
780002	145682	
780002	154442	
780002	158673	Doctor
780002	173635	
780002	183957	
780002	198720	
780002	211185	
780002	213726	
780002	231218	Tetat
780002	237452	
780002	238971	
780002	244615	
780002	285990	
780002	287828	
780002	294507	
780002	300949	
780002	313563	
780002	359143	
780002	381380	
780002	404050	Lolita Quevedo
780002	404051	Cleotilde
780002	407337	Rovic's Grandmother
780003	229428	News Anchor
780004	102609	Miranda Esposito
780005	186897	Chor/Choir
780006	144523	Mary Jane's Daughter
780007	16810	Fighter
780008	361611	
780009	31327	Mud Wrestler
780010	43231	
780010	74156	
780010	121335	
780011	10841	Woman Who Gets Shot (segment 
780012	16050	Alice
780012	87280	Dirty Dancer
780012	109457	Caesar's Gang Member
780013	105341	Star Map girl
780014	80841	Cake Shop Clerk
780016	132656	
780017	341406	
780018	359380	Dolores
780019	293884	
780020	49884	
780020	171969	
780020	174395	
780020	191192	
780020	203909	
780021	338771	Hayley Daniels
780022	61143	Maria Carita
780023	269959	Indio Girl
780024	377042	
780025	16968	Admissions Nurse #1
780025	40721	Veronica
780025	67553	Sgt. Nancy Duran
780025	69812	Nurse in Roosevelt Hospital
780025	158865	Glyceria
780025	160051	Nurse
780025	176966	
780025	188124	
780025	238228	Passenger
780025	241322	Iris
780025	304447	Nurse
780025	348303	Ileana
780025	348795	Elida
780025	367254	Receptionist
780025	367606	Josephina
780025	406719	Gabriela
780026	317673	
780027	76214	Party Person 5
780028	380495	Regular Performer (1994-)
780029	178174	Girl
780029	213517	Dream Woman
780029	275762	Emily the Bank Teller
780029	317309	Pepper Spray Cutie
780029	396935	Susan Kelly (2003-)
780029	407941	Claudia Wills-Glass
780029	411818	
780030	272657	
780030	398236	
780030	409129	Host
780031	68725	
780032	232239	Party Girl 3
780033	211146	Juanita
780034	1787	Wife
780035	287817	Yamelia
780035	388567	
780035	395373	Iris
780036	24924	Teresa
780036	34420	Maria
780036	55268	Jeanne
780036	61412	Hariana
780036	78367	
780036	112860	
780036	200971	Maria Guardia Lopez
780036	201097	Violeta
780036	202033	Abuela Pedro
780036	211665	L'ornithologue
780036	224854	Mme Therbouche
780036	249089	The Spanish Tourist
780036	256529	
780036	258327	Victoria
780036	264377	Inès
780036	269726	L'infirmière espagnole
780036	291576	The woman in 'Heads of Tails'
780036	303334	Maria
780036	307571	Alice
780036	345056	Jeannick, la prostituée
780036	345123	Inès
780036	345199	
780036	346742	Lucia
780036	350781	
780036	369420	A lover
780036	376907	La colocataire
780036	383861	(segment "Poker idiot")
780037	347063	Avenger
780038	33367	Christine
780038	167228	L'institutrice
780039	233337	Mujer Policía
780040	141277	Phoebe Yance
780041	219518	
780042	17874	
780042	77180	
780042	85472	
780042	108763	
780043	132932	Erika
780044	74350	Juana
780044	192702	Girl
780044	353637	
780045	126691	Picnicker/Student
780045	264205	Priestess 5
780046	111039	
780047	87012	Screamer
780048	12039	Lara
780049	281038	Julia Roivas
780050	362597	Other Special Extra
780051	323866	Hector's Girlfriend
780052	199967	
780053	367792	
780054	1701	Herself - Presenter
780054	1737	Herself
780054	16635	Emperatriz Rodriguez
780054	30640	Nunez
780054	42296	Gabriella
780054	54571	Island Girl
780054	59885	Lorena
780054	97569	Maria
780054	142258	Trina
780054	184829	Angela
780054	215596	
780054	232496	Gabriella Martinez
780054	234324	Herself
780054	262980	Herself
780054	283713	Isabella Molina
780054	380713	Pilar Domingo #1 (1996-1997)
780054	386920	Det. Elana Macias (2003)
780054	388270	Lili Arguelo
780054	403998	Kim Veras
780055	395086	Sabrina
780056	383020	Seducer
780056	388232	Herself
780056	398668	Show Host
780057	226613	
780057	341615	
780058	121997	Herself (Volume II: Warriors)
780058	152302	Herself
780058	202196	Herself (Harlem activist)
780058	370653	Herself
780058	388136	Herself
780058	392460	Herself
780059	41256	Roxy
780059	382263	Roxy
780060	199385	
780061	103774	Selya Estrera
780061	123788	
780061	138335	
780061	172157	
780061	246461	
780061	297093	
780061	381380	Strawberry Gonzales
780061	382126	Eva
780061	387832	Selya Estrera
780061	403056	Beatrice
780062	217223	Schoolgirl
780063	41449	Candelaria
780065	192805	Pam
780066	157266	
780066	247498	Medic
780066	295483	Evangelina Lavoue
780066	410688	Tygress
780067	240943	
780068	47047	Medical student
780068	62525	Carmen Morgentaler
780068	62540	Carmen
780068	91135	Mariella Steiner
780068	104290	Irina
780068	202727	Beautiful Woman
780068	214671	Police translator
780068	234515	Young mother
780068	253263	Pauline
780068	265717	Victoria
780068	285723	Maureen
780068	288473	Lisa Bagley
780068	317812	Daphne
780068	330771	Female Student
780068	367271	Tara the Wolf Girl
780068	381876	Kelly McLean
780068	400635	Helen (Barnum)
780068	406773	Grace Vasquez (1997-1999)
780068	407461	Xayide
780068	410628	Rebecca
780069	1638	La mère
780069	25271	Diane Vorpsi
780069	59056	Blandine
780069	70940	
780069	248246	Elsa Martineau
780069	260785	
780069	266746	L'hôtesse assurances
780069	276505	Marquise
780069	278151	Ariane Morgenstern
780069	338328	Colette Selzer
780069	341099	Contessa Vera da Vinci
780069	353886	
780070	79716	International Newscaster
780070	112290	Channel 4 Reporter
780070	147745	Chopper Newscaster
780070	381723	Herself - Correspondent (2003
780070	390316	Substitute Co-Host (2003-)
780070	394260	Herself - Anchorwoman (1999-)
780071	12160	
780072	27627	
780072	334024	Talong Bayawak
780073	223009	Secretary #2
780074	113909	Vanessa
780075	307459	La maestra di canto
780076	23375	Conductora
780077	268175	
780078	54321	
780078	73283	
780078	92344	
780078	107263	
780078	121250	
780078	133083	Ana María
780078	225017	Tía Montecarmelo
780078	231639	
780078	256538	
780078	286283	
780078	301124	Cecilia
780078	307815	
780078	353602	
780079	202213	
780079	255488	
780079	376659	Rosario
780080	296143	
780081	82586	
780082	384972	Santiago Rovira Ollé "Iris" (
780083	487	
780083	9661	
780083	263839	
780083	280731	
780083	301180	
780085	70684	Clienta ático
780085	148172	Carla
780086	271706	TV Presenter
780087	244675	Otto's Wife
780088	8564	Actriz irlandesa (Irish actre
780088	14570	Albertina
780088	27864	
780088	48780	Elena
780088	86708	Roxanna
780088	221923	Elena
780088	235986	Marina
780088	239010	Clementina
780088	257126	
780088	275067	
780088	307470	
780088	332573	Susi
780088	332633	
780089	20855	Marieta
780089	205978	
780090	322714	
780091	56117	Fe
780091	96349	Rosa
780091	322851	Bailarina
780092	76100	
780093	3400	
780093	13331	
780093	14735	
780093	23937	
780093	44664	Vigaira
780093	54084	
780093	61127	
780093	63876	
780093	64235	
780093	65403	
780093	78553	
780093	90197	María
780093	91346	
780093	100768	Sister Marcella
780093	103534	Gregoria
780093	103710	Vieja 1ª
780093	110440	
780093	117975	
780093	125389	
780093	145136	La Roja
780093	146455	
780093	159339	
780093	165789	
780093	197192	
780093	205370	Doctor
780093	212441	
780093	218499	
780093	219223	Defensora
780093	222841	Profesora
780093	229453	
780093	234319	
780093	251614	
780093	255928	
780093	294069	
780093	307203	Doña Clara
780093	316852	
780093	332612	
780093	336322	
780093	348933	
780093	349831	
780094	277074	Herself
780095	214860	
780096	334577	Farmacéutico
780097	61127	
780097	103487	
780097	103753	child
780097	110733	
780097	132688	
780097	136858	Pili
780097	148055	
780097	148110	Child
780097	186532	Ciega (Blind Girl)
780097	192983	
780097	207012	
780097	208841	
780097	213363	
780097	256944	
780097	273011	
780097	335299	
780097	357504	
780098	306974	Peggy Sue
780098	321912	
780099	132992	
780100	91077	Barbara
780102	23111	
780103	134487	
780104	1208	Tiril Munch
780104	40137	Lill
780104	76301	
780104	104455	
780104	143730	Mother
780104	153378	Wanda Heger
780104	153955	Anniken
780104	181161	Styremedlem
780104	327126	Pastor's Wife
780104	343401	Ada Hartmann
780104	387352	
780104	392395	Elin Wahring
780105	69163	Herself
780106	19292	
780107	20011	Barbara Blythe
780107	96715	Trude
780107	130734	Jane Morris
780107	132865	Jean McIntyre
780107	334383	Eleanor Dunham
780108	251063	
780109	35282	Bunny Yeager
780110	127804	Herself
780111	189774	
780112	338981	Herself
780113	43581	
780113	189305	(segment "Alice")
780114	84677	
780114	90132	Léporella
780114	169278	Nicole Perrin
780114	208822	
780114	281301	L'attachée de cabinet
780114	337028	
780114	387764	Me Mareschal
780114	389005	Silly
780114	399396	Mireille
780114	408001	Rinette
780115	48325	Maria
780115	94337	
780115	333307	John's mother as young
780115	343945	Gudrun, kaldet Topsy
780115	389397	Woman in the garden
780116	11606	Kitty
780116	32562	Miss Trumble
780116	168771	June Neville
780116	230409	Coffee vendor
780116	387309	Teresa Vetter (1960-1961)
780117	354034	Noémie
780119	361455	Nina
780120	277071	Lincoln Cheerleader
780121	103932	
780121	377614	Marie
780122	1366	Ada Fiastri Paulhan
780122	8920	Catherine Croy
780122	9650	Lou Andreas-Salomé
780122	10078	Francesca
780122	34213	
780122	34478	
780122	46623	Peggy
780122	51674	Marie Claire Allesandri
780122	59213	Anna
780122	65852	Herself
780122	69520	Anna Quadri
780122	70940	Helene
780122	77451	Janice
780122	81597	Landlady
780122	89950	Herself
780122	102432	Irène Carelli in Ferramonti
780122	102973	Sinaida
780122	107777	Lili Wolff
780122	124020	Diane
780122	127436	Micòl Finzi Contini
780122	134904	Professor's mother
780122	134985	La mère
780122	135366	
780122	156552	Anna Dreyfus
780122	158545	Carol
780122	159276	Beatrice
780122	162877	
780122	169135	Leah
780122	187791	Inessa
780122	197579	
780122	199093	Mrs. Smith
780122	207723	La Commandante/Mireille
780122	210940	Hélène
780122	226814	
780122	226822	Hélène Clément
780122	228795	
780122	234221	Stephanie Vaugier
780122	235745	
780122	261865	Nun
780122	279250	Sister Andrée
780122	281967	Bertha
780122	287599	Sandra Forest
780122	314471	Hermine
780122	315631	Natalie
780122	334990	Carla
780122	346463	Edith Leroyer
780122	346529	Elle
780122	347194	Herself
780122	349055	Sylvie
780122	353236	Helena
780122	356212	Linda
780122	357052	Hélène
780122	357066	
780122	360930	Herself
780122	371778	La Virreina
780122	383072	Christina von Knabig
780122	399656	
780122	410592	Eva Warburg
780124	134403	Sofia
780125	131717	Mrs. Fortner
780126	332530	Tina
780127	17564	Mrs. Sundvall (gossip)
780127	29558	Dinner guest at the Juréns
780127	43354	Prostinnan
780127	315365	Aunt Louise
780127	321927	Karen Solbakken
780128	353298	Hair Spray Victim
780129	28555	Datteren
780129	145491	Siw
780130	349819	Angela
780131	104724	Herself
780132	5891	Little Patty
780133	380299	ASPCA Special Agent for Human
780134	169387	Child
780134	221297	Judy Miniver
780135	42208	Miss Stéen
780135	182464	Dancer
780136	196892	Waitress
780136	278712	Brenda
780137	356853	
780138	83087	
780139	335542	GNC store clerk
780140	37704	
780141	171578	Maskot's friend
780142	61161	Bug-Eyed Woman
780143	133432	Diana
780144	182568	Soviet machine gunner's assis
780145	289558	Woman at Babylon Club
780146	144252	Parish assistant
780147	185835	Bloodgirl
780148	288468	Waitress
780149	322943	Birgitta
780150	47004	Runway Model
780150	395220	Herself - Hi-Ho Girl (1999-)
780150	408330	
780151	312363	Millie
780152	44833	Dancer
780153	127214	Maureen
780153	218710	Nurse
780153	239352	Lowheeya
780153	313438	Second Talosian
780154	3182	Karin
780154	99422	Girl at disco
780154	118846	Linn
780154	148816	Annika
780154	180107	
780154	335363	Marika
780154	341815	
780154	355237	Lilia
780154	375223	Barbro aka Baby
780154	391303	Sanna
780154	399797	Fredrika
780154	401287	Q-Chan
780154	403084	Louise Calling (1997-1998)
780154	405539	Felicia Ekebladh (1999, recur
780155	361136	Aruni, the teenager
780156	134578	Hostess
780157	358622	Taylor
780158	277851	Athlete
780159	294545	Armfeltskan
780160	39874	
780160	381091	Herself (eliminated round 1) 
780161	86932	Mrs. Gilder
780161	253941	
780162	164788	Woman
780163	164788	
780164	259458	
780164	259630	
780166	125027	
780167	63066	Kristy
780167	140636	Young Hayley
780167	357065	Little Girl
780169	2248	
780169	11986	Edda
780169	32805	
780169	49553	Paar am Bahnhof
780169	103124	Herself
780169	120929	
780169	186931	Neri
780169	226253	Herself
780169	347670	
780169	350868	
780170	390812	Helga Scholl (2002)
780171	95510	2nd Truck Driver
780172	94337	
780173	19421	Gwen, Trega
780174	394976	Sister Jill
780175	231036	
780175	376002	Lydia Kaminski
780176	178849	Hockeymädchen
780176	359600	Frauke
780177	232987	Natassia
780178	244680	Gabi Drösel
780179	130286	Weightlifter
780180	259637	
780181	350772	Church keeper/The Queen (segm
780181	378897	Nurse
780183	346559	La journaliste
780184	171258	
780185	144816	LaShanda
780185	164432	Interviewer
780185	257573	Yolanda
780185	386338	Gina Devereaux (1991-1993)
780186	141666	Diello
780187	70546	
780187	81596	Relaxatorium Girl
780187	90700	Anita
780187	121332	
780187	244127	
780187	269475	
780187	278015	Samanta Derija
780187	280747	Lea Corda
780187	304199	Anna, his wife
780188	168327	Herself
780189	315885	Frankie Brown
780190	18885	
780190	84574	Anna
780190	209984	
780190	369156	Mädchen im Waisenhaus
780191	74746	
780192	105280	The Helen Miles Singers
780192	189973	Chorus
780192	367054	The Wiz Singers Adult Choir
780193	291935	Janet
780194	378705	Etiennette
780194	409541	Mamma Angiole
780195	33569	Adèle
780195	84078	Marie Monge
780195	211375	Muriel
780195	258314	Marianne, la fillette
780195	327293	Antinéa Corti
780195	410469	Laure
780197	47007	Tanya
780198	20989	Herself
780199	171703	
780200	349	Sherry
780200	108288	Doctor Bennett
780200	115562	Photographer
780200	171084	Judy
780200	194204	Interviewer
780200	195483	Rita Merrit
780200	200090	Laughing lady
780200	202367	Berta Hilgard
780200	244443	Linda Gleason
780200	251237	Barbara
780200	269372	Diane
780200	299723	Mary (Lily's Mom)
780200	310444	
780200	323846	Mrs. Robinson
780200	329346	Rusty Carey
780200	383126	Chief Gypsy Koch
780200	383384	Additional Voices
780200	393482	Additional Voices
780200	396025	Olive Swann
780201	56144	Patient Info Lady
780202	215690	Miss California USA
780203	159828	Botastu
780204	15113	Jeune Secrétaire
780205	404282	Adriana Sophia Castillo [#3] 
780206	360027	Extra
780207	57747	Visitor
780208	41301	Beauty Contestant
780209	77435	Young Girl
780210	127515	Kate
780211	348237	Party Girl
780212	102247	Scrub Nurse #2
780212	231511	Beverage Server
780212	235403	Woman in Line
780213	313109	Terry
780214	36854	Herself
780215	103098	
780216	67374	Gina
780217	30952	Gossip Gerty
780217	30965	Gossip Gerty
780217	30967	Gothamite 4
780217	163492	Autograph Seeker
780218	21002	Young Veronica
780218	230369	Little Girl
780218	304972	Little Girl in Diner
780218	380506	Molly Knight
780218	412023	Quinn
780219	358976	Joanne
780220	57919	Dance Specialty
780221	12468	Liesje
780221	250914	Paloma
780223	262090	First Little Girl
780224	321324	
780225	51624	Dweller in Boating Village
780226	175243	
780227	356659	
780228	113405	Sammie
780229	217745	Band Announcer
780230	169644	Bachelorette Friend #2
780231	372090	
780232	165635	Mia
780233	150714	Callie Rose
780234	251237	Marilyn Parrish
780236	100117	
780237	328598	
780238	365820	Teacher
780239	292700	Isabelle Gallagher
780240	9124	Cashier
780240	37062	Policewoman
780240	158920	Customer
780240	196544	Hospital Volunteer
780240	205658	Nurse
780240	281054	Actress
780241	336789	Beth
780242	286225	
780243	259572	
780243	259588	
780243	259630	
780244	73831	Second Seductress
780245	221325	Eva Wallingford
780246	249918	
780248	14212	Reporter #4
780248	265873	Reporter #1
780249	317447	Jillie
780250	344237	
780251	57157	Myra
780251	389858	Autumn Clayton (1987)
780252	87223	Atomic Frog Board Member
780253	162364	Nancy Barkin
780255	41756	
780255	105189	Clit Westwood
780255	228105	
780255	231882	
780255	257993	
780255	294303	
780255	318753	
780255	320984	
780255	320985	
780255	334248	
780255	353709	
780256	161927	Doc Crow
780257	336117	Meg Hubbard
780257	395563	Babs Riley-Marshall (1953-195
780257	397320	Corliss Archer
780258	196682	
780259	268866	Celeste
780260	2235	
780260	74517	
780260	80199	
780260	87659	
780260	123155	
780260	193307	Mara
780260	336191	
780261	50444	Extra
780262	64750	Swing Dancer
780263	245792	Sonja
780264	140659	Andie Mars
780265	244070	Brigitta
780266	3169	Airline Hostess
780266	336599	Faraona
780266	336602	Donna Fiore
780266	336604	Ancella Di Cleopatra
780266	336608	Greta
780266	351522	
780267	19557	Harem girl
780267	115256	Chorus Girl
780268	271339	Glen and Dot's kid
780269	189807	Maria
780270	210532	Ida Rage
780271	251054	Hitchhiker
780272	258269	Ananas
780273	194993	Jessie
780273	241356	
780274	35523	Stripper
780274	53046	
780274	94692	Young Policewoman (segment "T
780274	161505	Shameless Woman
780274	183559	Maggie
780274	254774	Keela
780274	265742	Anna
780275	126604	Bookkeeper
780275	199639	Receptionist
780275	213662	Mary Ellen
780275	220041	
780275	293009	Receptionist
780275	297776	Vicki
780275	349689	Courthouse Reporter
780275	368405	Mina
780276	168645	Cheerleader #3
780277	158634	Schoolchild
780277	330280	Hotel Receptionist
780277	369384	Claire Shaw
780278	364454	
780279	208531	Landlady
780279	396073	Mrs. Johnson
780279	408091	Carlotta
780280	100391	Dolly
780281	188551	Governor's Maid
780282	13047	
780282	255499	Andrea
780282	291610	
780282	376810	
780283	221925	Oduwote
780283	254113	Alda
780283	286369	Edith
780283	343556	Marie de Magdala
780283	377867	Marie Bonheur
780283	390470	Magda Boloska
780283	398966	Sabine
780283	401029	Marguerite
780284	26289	Mom
780284	219371	
780284	264205	The High Priestess
780285	339937	Minnesota Woman
780286	223072	Swing
780287	399345	Principal Contestant
780288	384072	Ellie Lee
780289	86809	Joe's Roommate
780289	218373	Party guest
780290	47548	Situp spotter on the beach
780290	166917	Herself
780290	369874	Special Features Unit Reporte
780290	381559	Host (2003)
780290	388672	Herself/Hostess
780290	399094	Hostess (1997- )
780290	406233	Host
780291	93781	Herself
780292	45097	Teacher
780292	88648	Parent
780293	342673	Kimberly
780294	137657	Anchorwoman
780295	91767	Reporter 3
780296	341395	
780297	273197	Herself
780298	58036	
780299	65612	Reporter
780300	102390	
780300	207060	Herself (Interviews)
780300	207061	Herself
780300	226253	Herself
780300	317809	
780301	149458	Mama
780302	38086	Iris
780303	233920	Maryland Refugee
780304	291166	The Victim In The Van
780305	392482	
780306	32131	Kelly
780306	54657	Coffeeshop Waitress
780306	383799	Tess Hunter
780307	45454	Julia
780308	269351	Valerie
780309	215563	Musician
780310	334011	Goth
780311	232830	12 Step Member
780312	72319	Sammi
780313	18599	Rear Admiral
780313	69458	Angela Walker
780313	96836	Miss Wilbraham
780313	107800	
780313	133728	Dorcas
780313	152531	Lady Brancaster
780313	160780	Miss Tunstall
780313	188021	Various Characters
780313	257983	Doris Ewell
780313	297948	Euphemia Smallhope
780313	372788	Nurse
780313	379387	Eleanor Prescott
780313	379709	Grace Pugh-Critchley (1970-1)
780313	388208	Mother
780313	389500	Mrs. Hatfield #2 (1986)
780313	395103	Nancy Princeton
780313	397248	Nell Cresset
780313	397983	Aunt Dorothy
780313	399442	Manageress
780313	401661	Doris Ewell
780314	283458	Alice Avery
780314	342790	Undetermined Role
780315	162529	Belinda
780315	382712	Newsreader (2003-)
780315	382715	Newsreader (2001-)
780315	399337	Presenter (1999-2001)
780315	410637	Presenter (2001-2004)
780316	156970	Kristin ('Picasso')
780317	139174	Ballroom Woman #1
780320	41559	Julia Yates
780320	101694	Aline Chalmers
780320	125906	
780321	316802	
780322	317245	Ruby
780323	117728	Jackie
780323	408638	Café Woman
780323	408870	Karen Hyam
780324	87597	Performer
780324	384097	Abbie (2000)
780324	385020	Candice Stowe (1999- )
780325	185197	Singing Woman
780326	275719	Waitress
780327	4543	Mrs. Spence
780327	34977	Mrs. Garrett
780327	48276	Miss Lawrence
780327	131594	Sam's Secretary
780327	155902	
780327	281909	
780327	305498	Maggie
780328	143284	Admiring Woman
780329	41197	Bad Vampires Bar Fly
780330	365123	Reporter
780331	132823	Herself
780331	406227	Herself - Team Captain
780331	407064	Herself
780332	381328	Leila
780333	337107	Mrs. Carstairs
780333	399534	Mary
780333	409578	Brenda South
780334	39330	Lily Whitmore
780335	205280	
780336	5525	Waitress
780336	19167	Nun
780336	61164	Telephone operator
780336	168119	Townswoman
780336	285782	Mrs. Grigsby
780336	333062	Girl in Restaurant
780336	363238	Alice, Hendron's receptionist
780337	284455	Finalist
780338	274231	
780339	40919	Girl
780339	51275	
780339	228389	
780340	39693	
780341	105284	
780342	403473	
780343	7173	Aldonza
780343	171158	Sonia Sharma
780343	175253	Seema
780344	6224	Padma
780344	13132	
780344	18787	
780344	19634	Gyanada
780344	27521	
780344	28838	
780344	29866	Madhabi
780344	33229	
780344	36184	
780344	36608	
780344	38226	Bindubasini
780344	38227	Annapurna
780344	46078	
780344	60552	
780344	62743	
780344	81407	Debdas' mother
780344	88471	Champa
780344	93723	
780344	130135	
780344	134349	
780344	139655	Girl 2
780344	165143	
780344	165987	Barabou
780344	167332	
780344	168353	Nurse
780344	173394	Shila
780344	173993	
780344	181032	
780344	181607	
780344	183431	Bharathi
780344	183459	Rani Paigaonkar
780344	198666	Brajarani
780344	200650	Binodini
780344	204028	Shibani
780344	204795	
780344	205045	Karpagavalli
780344	208576	Rukmini
780344	208577	Rukmini
780344	208604	Seeta
780344	208654	
780344	209821	
780344	226429	
780344	227815	Sudheshna
780344	228805	Jamuna/Mohini
780344	232747	
780344	233186	
780344	233248	Shailaja
780344	247479	Brajeswari
780344	248391	
780344	248782	
780344	249286	
780344	256164	Dancer
780344	256165	Dancer
780344	262916	
780344	264540	
780344	267411	
780344	285486	Chandra
780344	286493	
780344	288216	Actress
780344	293427	
780344	300225	
780344	312495	Saraswathi Devi
780344	316577	
780344	317777	
780344	317789	
780344	320838	
780344	327792	
780344	341690	
780344	349114	
780344	354966	
780345	263622	La cameriera
780346	366940	Little Girl
780347	138220	Baby
780348	17874	
780348	400738	Grace Magpantay
780348	404049	Ariane
780349	30867	
780349	74274	Becky
780350	188968	Cards, Jurors, and Courtiers
780351	365491	Bikini Girl
780352	364330	
780353	46156	Party Debutante
780353	156472	Vicky
780353	158965	Shoshona Reed
780353	335334	Jeanine (30 Years Ago)
780354	408126	Esi Mensah
780355	358560	Anja
780356	403723	Simone
780356	408598	La Toyah
780357	38140	Additional Voice
780357	353273	Therapist
780358	190376	Beatnik Woman
780358	220587	Carol
780359	357302	
780360	226938	Gabriella
780361	76104	
780362	100391	Pituca
780363	174503	Gretchen
780363	318111	Winter
780364	210040	Mother
780365	378627	Dorm Mother
780366	303645	Alice
780367	142792	Liisa Melin
780367	184786	Mrs. Planting
780367	198263	Nina
780367	232772	
780367	250502	Anneli Berg
780367	302826	Siiri Forss
780367	341603	Helena Aitamaa
780367	341604	Anna Belostotskaja
780367	357592	Cay Bergh
780368	313514	Mavis, a Daffodil Girl
780369	185262	Liddy
780371	98145	Victoria's Secret Customer
780371	168238	Woman on Bridge
780371	192100	Angel #1
780372	37002	Jillian
780372	98145	Dreidel Kid
780373	98145	Davey's Mom
780374	9125	L.A. ticket agent
780374	144913	Operator
780374	175621	Astrologer
780374	226938	Grocery Mother
780374	226939	Nurse #1
780374	272602	Guest Services Clerk
780374	331152	
780375	127504	Host
780376	73833	Molly
780377	142214	Ulla
780378	70752	Girl on the bench
780379	231134	Rivka Hirsch
780380	274259	Carolyn
780381	15254	Debra Scott
780381	41494	Mrs. Young
780381	129184	Charlene
780381	222609	Leslie
780381	253896	Sheila
780381	336789	Patty Lareine
780381	353414	
780382	41071	Mrs. Landers
780383	3090	Junkmail Woman
780385	220653	Jill Young
780386	98311	
780388	164833	Zenta
780389	366712	Hannah Baby
780390	111377	Maria
780390	196778	
780390	269640	
780390	328399	
780391	153100	Tone Andersen, 17 år
780391	242694	Flyvertinne
780391	304107	Marit
780391	317647	Fie
780392	136510	Hollywood Blonde #6
780392	191631	
780393	128027	
780394	52532	Mercedes
780394	79283	Dr. Dyer
780394	148302	Moira
780394	160524	Trish Eckhart
780394	190324	Ms. Weiner
780394	207837	Kelly
780394	214976	Rosa, Petra's Sister
780394	217528	Donna
780394	292472	Cathy
780394	298596	Mrs. Ortega
780394	371320	Celeste
780395	408940	
780396	183805	
780397	63954	Claudine
780398	124404	Zenobia
780398	178664	Frau Gundacker, Trixis mother
780398	254361	Frau Kaltenböck
780399	162615	
780400	215148	Czech servant
780401	112044	
780402	213751	
780403	25806	
780403	222412	Güera
780404	200910	Self
780405	396873	Enriqueta
780406	117315	
780407	328835	Prostituta
780408	93197	Nora
780408	166917	Women's Group Member
780408	186002	
780409	26169	
780409	185365	Villager
780409	187167	Roxanne
780409	202373	Herself
780410	324729	Vanessa
780411	395885	
780412	184842	Ana
780413	367581	Azar
780414	72864	
780414	87073	Old Prostitute (segment "La G
780414	332032	Rena
780414	337573	Dona Consuelo
780414	385253	Rosaura Alsina
780414	400486	
780415	146580	Hija de María
780416	358567	María
780417	403126	
780418	85576	
780419	351999	Cook
780420	57747	Inmate
780421	65973	Mouth Harp Player
780422	12972	
780422	14787	
780422	30299	
780422	72959	
780422	74900	
780422	77256	
780422	84459	
780422	91366	
780422	92444	
780422	97373	
780422	100294	Margarita
780422	113247	
780422	131972	
780422	135052	
780422	143805	
780422	145267	
780422	146504	
780422	149619	
780422	160988	
780422	212390	
780422	216076	
780422	222027	
780422	226153	
780422	236760	
780422	266528	
780422	276147	
780422	280874	
780422	293402	
780422	317967	
780422	324077	
780422	324468	
780422	339096	
780422	353616	
780422	376712	
780422	378365	
780422	379651	
780422	384772	Malú
780422	392752	Lidia
780422	402587	Corina
780422	405242	
780423	82585	Laura (niña)
780423	380054	Valeria
780423	380059	Gema
780423	393833	Pilar 'Pili' Duarte 'hermana 
780424	80486	Latin Girl
780425	256964	Herself
780426	259327	Thelma
780427	62650	Irma
780428	6474	
780428	55797	
780428	90212	Enfermera
780428	104079	Nelly Alpuche/Petunia
780428	117850	
780428	212246	
780428	269218	
780428	286307	
780428	300679	Chona
780428	379559	Carla
780428	381720	Petra
780428	383145	Petunia (1981-1986)
780428	383519	
780428	384655	Lupita
780428	386119	Menopausica 4
780428	386789	(guest)
780428	387190	Tere
780428	387689	Carlota
780428	396983	Andrea
780428	401068	Sagrario
780429	285478	
780430	9734	Juliana Mayor
780430	115820	Soltera Bus
780431	12619	
780431	68999	Isabelita
780431	111563	
780431	170044	
780431	192935	
780431	371716	
780432	309347	
780433	76002	Host
780433	153670	Guest
780433	412126	Host
780434	70063	Juana
780434	363248	Dancer
780435	26804	Herself
780436	340111	Maria-Rosa
780437	284675	
780438	55941	
780438	57782	Rosita
780438	88975	
780438	103212	
780438	161827	
780438	233974	
780438	377894	
780438	384990	
780438	400932	
780438	409463	Azafata (1972-1973)
780439	91417	Bailarina
780441	215027	Yuyi
780442	218018	Daughter
780443	176864	Nurse Andrea
780444	156705	Das turnende Kind
780445	214538	Claude
780446	162821	Margarite
780446	199144	
780446	241957	Court Reporter
780446	372730	Miss Anderson
780447	51422	Raymonde Menoux
780448	220724	The Queen of the Night
780449	377397	Godeman's Child
780450	404070	Cielo
780451	213377	Harrin äiti
780452	272246	Harem girl
780453	75028	
780453	174428	Sheela Paul
780453	189851	Herself
780453	213969	
780453	260096	
780453	286574	
780453	311527	
780453	313759	Herself
780453	325063	
780453	348985	Fru Häggström, Andrés granne
780453	380971	Herself (6th Banished, 19 day
780454	44929	La cantatrice
780455	260785	
780456	375986	
780457	4514	
780457	196615	Ricardo's Daughter
780458	9886	
780458	35542	Ms. Montes De La Roca
780458	222609	Alice Griffin
780459	25819	Mme de Bazieux
780459	157227	L'hôtesse de l'ANPE
780459	268448	English Teacher
780460	391924	La secrétaire d'Hélios
780461	24914	La Dactylo
780461	73156	
780461	99805	
780461	101205	
780462	47784	
780463	54019	Mme Martin
780463	224891	
780463	379793	Mme Desclaux
780463	389784	
780463	393400	Une spectatrice
780463	398042	
780464	307489	La présentatrice TV
780464	353829	Speakerine
780465	3139	(segment "Buon compleanno, Gi
780465	14957	Daniela
780465	23546	
780465	48219	Titti
780465	55958	Margit
780465	62255	
780465	63741	Patrizia
780465	64152	
780465	64239	
780465	86420	
780465	90757	
780465	127945	Antonia
780465	187983	
780465	199821	Margherita
780465	219576	
780465	233188	Maria
780465	234717	Pia
780465	239974	
780465	243940	Francesca
780465	249371	
780465	253200	Magda
780465	263718	Giovanni's mother
780465	269187	
780465	277811	Louise
780465	288237	
780465	292966	princezná Helena
780465	309404	Eva
780465	314304	Toy Seller
780465	315939	Ester
780465	355648	Pantasilea
780465	385386	
780465	390128	
780465	392977	Gina
780465	400101	
780465	403330	Anna
780467	103759	Santa
780468	1366	Anita Foschi
780468	7686	
780468	10439	Maria Rosa
780468	14894	
780468	23546	
780468	25784	Angie, Hitch-Hiker
780468	33470	Roberta
780468	33685	Clarabella
780468	34478	
780468	38782	
780468	40748	Miss Callea
780468	45890	Tiburzia da Pellocce
780468	51376	Luciana Zanon
780468	54809	Anna
780468	57832	Isabella
780468	58933	Hélène Feuillard (segment "Fi
780468	67504	Francesca
780468	67904	
780468	67925	
780468	68980	Anna
780468	69520	Giulia
780468	76153	Elvira Fraternali Leoni, dett
780468	82425	
780468	83768	Viola
780468	86065	
780468	87928	Angela
780468	88204	Angela
780468	90652	Manuela
780468	92072	Giuliana (segment "Sarò tutta
780468	97164	Loredana
780468	103759	Elsa
780468	103997	
780468	104946	
780468	108113	Beatrice
780468	110422	Lisa
780468	112652	Victoria Ramos
780468	117864	Anella
780468	125776	
780468	128030	
780468	147063	
780468	157028	Marisa Malagugini
780468	159674	Teresa
780468	162047	Adriana Astarelli
780468	162068	Vanina Magro
780468	165334	Conchita, Jose Luis' Mother
780468	197335	
780468	200377	Sylvia
780468	200833	Luisa
780468	202266	Sylvaine
780468	207947	Giulia's mother
780468	208820	Marie
780468	212391	
780468	213512	Mama
780468	215995	
780468	217116	
780468	217557	
780468	219457	Ersilia detta Medusa
780468	232895	Nunziata
780468	234715	
780468	235733	Susanna
780468	236164	Winny
780468	238010	
780468	238471	Emeline
780468	238514	Beatriz
780468	244587	Julia
780468	247058	Franca Leofonte
780468	249485	Clara
780468	252641	Dorotea
780468	255122	Patrizia
780468	256454	
780468	259264	Sylvia Leopardi
780468	269487	Donatella (segment "L'Ascenso
780468	275813	Agnese
780468	292283	Claudia
780468	292996	Agnese Ascalone
780468	293342	Renata
780468	310891	Lolli
780468	311808	
780468	311812	Carmela
780468	314152	Noemi
780468	315829	Antonia Maria
780468	324893	Anna Tellini
780468	325341	Marta
780468	327890	Véronique
780468	328093	
780468	328389	Giovanna
780468	337259	
780468	344589	Anna
780468	344752	Francesca
780468	349534	Ivana
780468	352085	
780468	354101	Marie-Claude
780468	354443	
780468	355614	Meri
780468	356466	Marie Luisa de Parma
780468	357040	Sarah
780468	375237	Isabella
780468	381622	Anna Borsi
780468	383492	Francesca (1997)
780468	386132	Fairy of Crystal Sword Lake
780468	396390	
780468	396829	Margherita
780468	396944	Mireille Fabiani
780468	402730	
780469	154035	Robert's Daughter
780470	243204	Lillian Webb
780471	39971	Mabrouka ben Yussef
780471	54289	Consuelo
780471	61077	Lisetta
780471	117984	Yasmina
780471	134336	Kiki
780471	219565	La piccola Ada
780471	282284	Elisa
780471	328688	Teresa
780472	43711	
780472	71998	
780472	198462	Ginou
780472	276013	
780473	52180	
780473	63792	
780473	64235	
780473	89668	Maruka
780473	94679	
780473	94680	Moglie di Ciccio
780473	94694	
780473	161859	
780473	168549	Gertrude
780473	256791	
780473	316361	
780473	331021	
780473	335813	
780473	359079	Cheryl
780474	160209	
780475	246383	Proprietaria tintoria
780476	54140	Ornella
780476	54147	Sandra
780476	54289	
780476	202773	
780476	336148	
780476	336149	
780476	356898	Anna, figlia di Elena
780477	199	Maria
780477	43982	
780477	387429	Pilar Moreno
780478	358374	Waiting room girl
780479	189237	Dead Body Double
780479	336914	Tina
780480	14953	
780480	112890	
780480	129204	
780480	222409	Annie
780480	296348	
780480	339539	
780480	400380	Herself (2003)
780481	228429	
780482	241020	
780483	14936	
780483	17390	
780483	30275	Celina
780483	52820	Geraldina
780483	55311	
780483	67664	
780483	75367	
780483	127619	
780483	135268	
780483	166897	
780483	214591	Francisca
780483	246382	
780483	247074	
780483	269830	
780483	278585	
780483	280998	
780483	282268	
780483	339269	
780483	341136	Beatriz
780483	341158	
780483	344865	
780483	353100	
780483	355131	
780483	377632	
780484	2602	Esposa Alfredo
780484	22769	
780484	25023	Esposa
780484	25516	Blanca Duarte
780484	44224	
780484	73975	
780484	233625	
780484	234012	Melba
780484	284331	Mujer en el poetero elétrico
780484	334577	
780484	389235	
780484	402172	
780485	56545	Herself
780485	115224	Fotografin
780485	204414	Andrea
780485	259631	Carola Wolter
780485	325416	Constanze Drätsch
780485	325764	Sandra Burgstaller
780485	361336	Susanne
780486	28957	
780486	33433	Nanda
780486	188609	
780486	197180	
780486	263054	Marcella
780486	265714	
780487	825	Adele
780487	5236	
780487	11785	
780487	11881	
780487	15142	Juno
780487	24083	
780487	40370	
780487	76376	Baronin Tante
780487	79179	Adele Sandrock
780487	84543	
780487	86304	Tante Toos
780487	92541	
780487	98322	Die Oberlehrerin
780487	101397	Lady Mavis
780487	103094	Frau von Gobelinski
780487	103139	
780487	104811	
780487	107733	Frau Generalin
780487	107977	
780487	110175	
780487	110983	Mutter
780487	115650	
780487	116320	
780487	119208	
780487	120053	Tante Frieda
780487	120160	Madame Schöll
780487	120932	
780487	121034	Gräfin Burgstetten
780487	123048	
780487	124888	
780487	125330	
780487	126261	Hofmeisterin Gräfin Zanelli
780487	129707	Tante Henritte
780487	134818	Adele Sandrock
780487	134831	Die Grossmama
780487	142309	Hekabe
780487	144028	
780487	144038	Johanna Andersen (Wife)
780487	144100	Herself
780487	145466	Tante Adele
780487	155405	Fürstin
780487	155437	
780487	155438	
780487	155486	Emerenzia
780487	156070	Großtante Henriette
780487	166423	
780487	167189	La comtesse Marenzi
780487	173158	
780487	174565	
780487	175305	Mother Goebel
780487	177170	
780487	177912	Adele Hecht
780487	178672	
780487	179068	
780487	180004	The Princess
780487	182768	Gräfin Markowicz
780487	182773	Gräfin Voss
780487	183336	
780487	183672	Vorsteherin eines adeligen St
780487	187946	
780487	188796	Frau von Damaskin
780487	188854	Herzogin von Norfolk
780487	189550	
780487	189578	
780487	189689	
780487	195053	
780487	197050	Die Äbtissen
780487	198928	
780487	204636	Gräfin Anastasia Worutzky
780487	206053	Mrs. Avricolos
780487	219288	Liers' Mother
780487	225158	
780487	242443	Kniertje
780487	250637	
780487	253973	Countess Alexandra
780487	267330	Konstanze
780487	275689	Frau Hofrat Aigner
780487	280790	
780487	290443	
780487	290674	
780487	290764	Frau de Trevillac
780487	290836	
780487	292094	
780487	293620	Hanne
780487	301084	Ältere Dame im Hotel
780487	303719	Lady Bethy Malison
780487	303722	Vulpius
780487	314330	Adele
780487	317104	
780487	334494	
780487	335018	
780487	335033	
780487	336084	Turid
780487	343478	
780487	343655	Virginia
780487	349743	La vielle dame
780487	352348	
780487	354572	
780487	358257	Lady Ingram
780487	358888	Duchess Ludovika
780487	358889	
780487	358896	
780487	375091	
780487	376576	Frau Stempel
780488	217913	
780489	204755	
780490	134818	Wilhelmine Sandrock
780490	213597	Widow de Monthieu
780491	104649	Bertha
780492	150555	
780493	46705	La dernière victime
780493	153810	
780493	184557	Georgette
780493	205238	Denise
780493	249128	Suzanne (segment "Sophie")
780493	252680	
780493	261837	
780493	285783	
780493	338479	
780493	346533	Prostitute 2
780494	185516	Nurse Kelly
780495	143264	Marching Girl
780496	239629	
780497	85997	Judy
780499	283343	Darone's Sister
780500	219638	Mrs. Feuer
780501	406015	Various
780503	84648	
780504	213941	Stewardess #3
780505	1308	
780505	6725	Herself
780505	26118	
780505	27008	Herself
780505	41586	
780505	59850	
780505	60280	Carol
780505	70213	
780505	74185	
780505	95801	
780505	112796	
780505	228020	
780505	330054	Herself
780505	334735	
780505	340897	
780505	361957	
780506	60341	Frankie
780507	351429	
780508	7409	Janice
780508	55038	
780508	89000	Helen Straughn
780508	101632	Mila
780508	107081	
780508	118249	
780508	126114	Georgia Martin
780508	148908	Laura Lewis
780508	184548	Francine Copee
780508	194592	
780508	271334	Beneatha Younger
780508	365833	Cora
780509	104995	Store Person
780509	242581	
780509	268154	Mrs. Pearce
780509	403483	Reggie Ellis
780510	239082	Lady
780510	372193	Hepzibah
780511	148383	Melissa Blazer
780511	337102	Carmina
780512	120423	Receptionist
780512	153566	Reporter
780512	283343	Mrs. Monty
780513	55300	Dierdre
780514	165246	Herself
780515	171700	Ward Patient
780516	29936	
780516	29958	Sexy Executive
780516	155880	
780516	287163	
780516	327755	
780517	296735	Bridal Shower Guest
780518	11606	Little Girl
780519	148440	Girl--Age 4
780520	6722	Herself
780520	7740	
780520	7742	
780520	7746	
780520	7748	
780520	7750	
780520	21924	
780520	39484	
780520	39590	
780520	39610	
780520	51869	
780520	62456	
780520	72477	
780520	81772	
780520	82120	
780520	83619	
780520	97116	
780520	113642	
780520	123621	
780520	130285	
780520	149250	
780520	188036	
780520	199346	
780520	223514	Katja, as child
780520	223686	Herself
780520	264677	
780520	279929	
780520	292517	
780520	295855	
780520	295856	
780520	295912	
780520	305773	
780520	312710	
780520	314201	
780520	353680	
780521	6146	Eve #4
780522	199210	Gatherer
780523	219198	Grace Danby
780525	8901	Bandra
780525	125942	Yu Himehagi, Newscaster
780525	294104	Old Woman (Mercury Production
780525	401393	Bulan
780525	410444	Liqueur
780526	41894	Lorna
780527	332450	
780528	217603	Paula Sands
780529	163373	[Ronella])  Herself (Ronella)
780530	59797	Renee
780530	176503	Renee
780530	228048	Guest
780530	390590	Host
780530	394406	Renee (1984-1987)
780531	41594	
780532	292160	Natalie
780533	36858	Teresa Larson (in re-enactmen
780533	154441	Reporter
780533	392802	Suzen Johnson
780534	154441	
780535	1594	
780535	2202	
780535	6720	Herself
780535	27488	
780535	27489	
780535	34928	
780535	48565	
780535	57127	
780535	60194	
780535	67463	
780535	81916	
780535	83807	
780535	146717	
780535	188337	
780535	196398	
780535	213049	Boat Girl
780535	236877	
780535	239823	
780535	270592	
780535	276360	
780535	278851	
780535	284934	
780535	295767	
780535	296699	
780535	303924	
780535	312710	
780535	327150	
780535	336486	
780535	354011	
780535	365133	
780536	317900	Nude
780536	355075	
780536	370874	Artsex girl
780537	295375	
780538	111309	Woman
780539	387032	Vocalist
780540	194889	
780540	288331	
780540	361220	Jane Dickey
780542	49335	Gypsy Woman
780545	389088	Cabaret Dancer
780546	396456	
780547	210330	Host
780548	81587	Denver Clerk
780548	95331	Receptionist
780549	188934	Dinner guest
780550	326044	Herself as newscaster (episod
780551	396250	Boarding-School Girl
780552	277817	A girl
780552	357801	Kajsa
780553	99237	
780553	119291	Jessica Miller
780553	126475	Irene Brandt
780553	134910	Resi
780553	156701	Mizzi Starek
780553	189679	Gretl Fischer
780553	197056	Contessa Giulia Farnese
780553	205583	Gräfin Susi Bernburg
780553	284989	
780553	360926	
780553	365019	
780553	366591	
780553	367142	
780553	391843	Frau Helms
780554	147257	Giulietta
780554	179831	
780554	181628	
780555	349516	
780556	72208	Customer
780557	200170	Bella
780557	200171	Bella
780558	225687	Nanna
780559	407303	Tilde
780560	165136	
780561	67996	Peggy Piano
780562	165136	
780563	406613	Programleder
780564	354597	Bestemor
780565	140411	Marja
780566	388857	Herself
780566	402431	Host
780567	10648	Lisa Bonnetti
780567	294408	Angie
780567	385284	
780567	397933	Sara
780567	399706	Host (2000-)
780567	401066	
780568	245619	
780569	9004	Stand-in
780570	84839	Grace Sealey
780571	105380	Cheryl
780571	288467	Paula
780571	366896	Ellen
780572	80498	Raver
780573	118280	Woman Onlooker
780573	265091	Stevens' Maid
780573	348835	Al's Wife
780574	178466	
780575	2217	
780575	5767	Sarah
780575	12491	
780575	12492	
780575	106481	
780575	187280	Rachel Miller
780575	208521	
780575	236040	Marcia
780575	251631	
780575	275715	Joe Brown
780575	287275	
780575	305990	Famine
780575	387902	Cristal
780575	391674	Herself
780575	404261	Sandy
780577	264432	
780578	149828	Kimberley
780579	321484	
780580	383468	Sarah
780581	248139	Isabelle
780582	319936	Member of aboriginal family
780583	383468	Phyllistine
780584	319936	Member of aboriginal family
780586	52742	Herself
780587	384204	Herself
780587	384206	Herself
780588	312807	Hilda Wagner
780589	56603	Girl Hiker
780591	102161	OP sköterska 2
780594	101389	Mor til Bjørn Hjelm
780594	166846	Ridefogdens kone
780594	287550	Fru Ellingsen
780594	334226	Fru Lydersen
780595	337184	Anne
780596	76784	Zenon
780597	176837	Fille noire
780598	271439	Taramati
780600	78139	Female Trainee
780601	374541	Mor til gutten
780602	177342	
780603	57592	
780604	316926	Jenny McTeague
780605	43916	Carol
780605	49069	Isobel
780605	120440	Victoria
780605	196565	Brenda White
780605	291825	Molina Rojo Woman
780605	301616	Carmen
780606	362347	They're Back Girl
780607	198904	Maria
780608	403330	
780609	106817	
780609	248222	
780610	329113	Fisher's Prostitute
780611	34104	Young Joon
780612	74190	Mother
780612	272235	Hooker #2
780613	338131	Self
780614	92010	The Lady
780615	361159	Doctor's Receptionist
780616	253059	Model #1
780617	47800	Mary
780617	83515	Sister Madeline/Mary Rullo
780617	149704	Mrs. Salo
780617	288467	Judy
780618	143068	
780618	250779	Ann Clatterbuck
780619	83561	Christine
780620	95713	Herself
780621	2304	Herself - Award Winner
780621	57492	Herself
780621	64569	Herself - Co-ringmaster
780621	65602	Dorothy
780621	68119	Woman
780621	83975	Dottie Butz
780621	133453	Herself
780621	133704	Ella
780621	135396	Matilda 'Tillie' Binks, Drayt
780621	144523	Nyona's Mother
780621	160476	Herself
780621	161267	Herself
780621	164587	Miss Krumes (Jackie's Play Ma
780621	165422	Mrs. Louise Jefferson
780621	183815	First Madame
780621	195446	Judge R. Thomas
780621	230558	Wilma
780621	232017	Herself
780621	243580	Gracie Bookman
780621	252158	Effie
780621	254875	
780621	266758	
780621	274422	Woman
780621	309803	Mama
780621	312062	Sista #1
780621	348386	Maria
780621	372729	Sarah
780621	379713	Louise Jefferson (1971-1975)
780621	383711	Co-host - part VII
780621	393417	Louise 'Weezy' Mills Jefferso
780621	402454	Additional Voices
780622	404060	Tamasuburo
780623	241830	Singer
780624	29226	Ms. Gray
780624	308128	Actor in Cast Photos
780624	389858	Alexis Grant (1995)
780625	208940	Ginger
780626	133628	Tina Logan
780627	64940	Virginia Fox
780628	358438	Singer in church
780629	194802	Sharella
780630	73303	Alva
780631	44005	Kissable girl
780632	3202	
780633	288012	Luana
780633	352718	
780634	133792	Cheerleader
780635	271287	Nurse
780636	12101	Herself
780637	358642	Barbra Jean
780638	370199	Yaaba
780640	58764	Herself
780640	302303	Estrela
780640	382684	Rosália
780640	388262	Herself/Musical Guest
780641	370928	Attou, la jeune femme Peul
780642	33742	Ancestor Vocals
780643	294705	
780644	71449	Boy from Foggia
780645	4240	
780645	17341	Malu
780645	27517	Badri's mother
780645	36017	
780645	61534	Bharati
780645	62207	
780645	62252	Shyamala
780645	76536	
780645	99345	
780645	122942	
780645	142545	
780645	161456	
780645	162688	
780645	164798	
780645	170830	
780645	175886	
780645	181692	
780645	200680	
780645	204803	
780645	223373	Seeta
780645	223492	
780645	226525	Sindhu
780645	227054	
780645	251994	
780645	252010	Durga
780645	252021	
780645	299381	
780645	306799	
780645	312506	Kamakshi
780645	317793	
780645	326232	Vani
780645	326869	
780645	330979	
780645	332174	Goddess Seetha
780645	370946	
780645	381833	
780646	169479	
780647	37375	Bank Teller 2
780648	68451	Nurse
780649	38646	Herself - Margaret Sanger
780649	382085	Herself - #50
780649	388656	Herself (interviewed by Mike 
780650	353194	Isabel
780651	25995	
780651	75543	Tori
780651	134018	Motel Woman
780651	196986	
780651	221352	Sivangi
780651	239126	
780651	243371	Devi
780651	247403	
780651	260646	
780651	287160	Priya
780651	318602	
780651	323276	
780652	3290	Wawa
780653	317600	
780653	344672	Katinka
780653	349650	
780654	124503	Lucille Rifkind
780654	305341	
780655	71275	
780655	265714	
780655	266934	
780655	279256	
780656	287759	Marianna
780657	251994	Sandhya
780657	256866	Gomathi
780657	403032	Mira
780658	251811	Mutter Solveigs
780659	4935	Celestina
780659	6279	
780659	71333	
780659	101597	
780659	106817	
780659	110046	
780659	126316	
780659	199036	Proserpina, Pluto's wife
780659	199058	
780659	199063	
780659	234775	
780659	270035	Poppea
780659	288080	
780659	309249	
780659	339469	Giletta
780659	354117	
780660	89851	Nora
780661	25322	
780661	64773	
780661	319300	
780662	137568	Hooker
780662	173353	Lucy
780663	10662	Power Walker
780663	197512	Employee
780664	400698	Troupe du Palace
780665	160189	
780666	244873	Madame Bouseny
780667	177883	The Mother
780668	14891	Vicinona
780668	75235	Jole
780668	205488	Melania
780668	255124	
780668	353056	
780669	173132	
780670	251852	Luciana
780671	85459	
780672	162435	
780673	111074	
780674	82920	
780675	312865	
780676	279789	Mother of Robinson
780677	7526	
780678	18920	
780678	123737	
780678	131937	(Guest appearance)
780678	152446	
780678	156599	
780678	226796	
780678	373903	
780678	384645	Maria Cecília
780679	4424	
780679	27643	
780679	349474	
780680	4328	Rohit's mom
780681	103699	
780682	101564	Page
780682	244566	Oshima
780683	173390	Teenage Runaway
780683	295652	
780683	299506	
780684	9167	Inamura (a head nurse)
780684	28128	Hide
780684	161687	Takeko Inugami
780684	172093	The Old Woman
780684	189511	Mrs. Hirasawa
780684	280605	
780684	288351	Ohisa
780684	299406	Misao Matsumoto
780684	335261	The Singer
780684	373231	Yasue Tokuda
780684	373290	
780685	280655	Miko
780686	234903	Manager's wife
780686	242180	Koyama's wife
780686	299008	Aunt of Arata
780687	43054	Ouhi (Queen)
780687	300491	Koman
780688	25061	
780689	34980	Jefe seguridad
780690	274344	Canoer
780691	379598	
780692	407735	Weather Forecaster (1979-1985
780693	136098	Masako (credit as Eriko Sanjy
780693	171656	
780693	174527	Miyako, 3rd daughter
780693	242244	Taeko
780694	80876	Reviving Magoga
780695	105851	Evelyn
780695	302777	Woman in Club
780696	138969	Maty
780697	127730	Vikings Dance Squad Member
780698	5825	Mrs. Walter Jordan
780698	11047	
780698	22951	Bessie
780698	47629	Bessie Hendricks
780698	47637	
780698	47639	Broncho Billy's Sweetheart
780698	47646	Marjorie Wayne, the Schoolmam
780698	47653	Mabel Clark
780698	47654	Agnes Shepard
780698	47656	Irene Courtney
780698	47674	Nell Parsons
780698	47706	Lolita, the Mexican Woman
780698	47715	Nell
780698	47718	
780698	47724	Geraldine
780698	47731	Bess Brady
780698	152518	Mary Miles
780698	159565	Bessie Hendricks
780698	271977	Mabel Mackeley
780698	283857	Bessie Hargon
780698	361744	
780699	131232	Extra
780700	69378	Petite fille
780701	336287	Bit Part
780702	2621	Varvara Dmitriyevna
780702	30052	
780702	88450	
780702	176142	Katya
780702	187382	
780702	229035	
780702	261910	
780702	349077	
780703	93282	Mrs.Marro
780704	225051	Sirvienta
780705	201347	Aida Anglada
780705	396544	Aida Anglada
780705	407808	Renee Dalmau
780706	211183	
780707	246397	
780708	194568	Caro
780709	92095	Guide Dog
780709	266843	Young Woman
780710	32446	Beth
780711	118703	
780713	411580	Linda, Monika's classmate
780714	242760	
780714	325402	
780715	111836	Vigdis
780716	397779	Lindas mamma (episodes "Monst
780717	397779	Lekisbarn (episodes 2-6)
780718	184290	
780719	270861	
780719	313900	Marisa
780720	303800	
780721	270868	
780722	198499	Madame's Girl
780723	7579	Lilly d'Estrelle, singer
780723	18750	
780723	28594	
780723	28627	
780723	48318	
780723	95904	Hulda, Rasmussens datter
780723	107709	
780723	113035	
780723	118611	
780723	119148	
780723	137896	Ophelia
780723	180936	
780723	182849	
780724	78432	
780724	125432	Fiskerkone
780726	2082	Jane Walcom
780726	52790	Aurora Vinicio
780726	56451	Giovanna
780726	82246	Magda, Liliana's mother
780726	159901	Betsy
780726	162082	Ginette
780726	187450	
780726	404255	Lucy
780727	299559	Lady Ochiba
780727	405185	Lady Ochiba
780728	381523	Grega
780728	384118	Satiko (1999)
780728	403618	Fátima Pires
780730	47857	
780730	342260	
780731	17877	Erika Ooi (Yuta' sister)
780732	39285	Tomoko Yazawa
780732	130496	Azusa Gojo
780732	181718	Ginga
780732	341304	Machiko Ohta
780733	302210	Neko
780734	3113	Half Woman, 8 Years Old
780735	76043	
780735	113679	
780735	237042	
780735	322660	Gnedjougou
780736	149529	
780737	192412	2nd Girl
780738	315885	Carolyn Brown
780739	175340	Sitan
780740	295013	
780741	295013	
780742	325293	
780743	325293	
780744	191244	Young Kiara (singing)
780745	35924	
780745	36458	Magda (Furio's wife)
780745	98585	
780745	183288	
780745	349082	Renoir's First Love
780746	225046	Elsa
780746	343726	
780746	383271	
780747	14806	
780747	28748	
780747	66080	
780747	266409	
780747	293054	
780747	376746	
780747	401094	
780748	141605	Le Ly, Age 5
780749	29817	Cool Barcelonan
780750	29817	Cool Barcelonan
780751	289059	Office Assistant
780751	358450	Rosa
780752	24986	
780752	112027	
780752	201499	
780752	221550	La hermana de Luis Forest
780752	355846	Mujer pechos
780753	14803	
780753	19313	Conductora
780753	51628	
780753	52109	Queen
780753	111995	Montserrat Rodón
780753	193483	Jeanine
780753	201993	Mujer en la tienda de animale
780753	282095	Vera
780754	14897	Maria
780754	28375	Annetta
780754	34150	Stella
780754	49695	Chiara
780754	197641	Police Assistant Grazia Negro
780754	209830	Mirella Utano
780754	229653	Katia
780754	314575	
780754	352859	Stella
780754	355619	Silvia
780755	56501	
780755	212486	
780756	108523	Millie
780756	285618	Biddy
780756	298122	Mrs. Rogers
780756	308352	Secretary
780756	401369	Nell Hall
780757	116565	Herself
780757	270272	Daisy
780758	251410	Heat Wave
780759	159005	Herself
780759	358551	
780760	3169	Spa doctor
780761	296261	Party Girl
780762	107878	Sofia
780763	58193	
780764	16257	POW
780765	127548	Laura Jean
780766	14269	
780766	33593	
780766	185607	
780767	105280	Ghost Dancer
780768	45698	Becky
780769	235952	Aspiring Actress
780770	94250	La vieille dame aux Cailloux
780771	391927	
780772	24913	Herself
780772	101273	Herself
780772	122411	Herself
780772	376593	Herself
780773	16855	Lina Mercolin/Sister Addolora
780773	17141	Olga Manfredi
780773	19203	
780773	19476	Una ragazza alla festa
780773	33494	Donna Dolores
780773	37570	Teresa
780773	53089	Australia
780773	53093	Carmela
780773	54361	Caterina
780773	56920	Rosa
780773	57308	Caterina II
780773	61077	Maria Dermoz
780773	64264	
780773	69520	Madre di Giulia
780773	82428	Ginevra Canale
780773	90058	
780773	112645	Luisa Fanti/Sister Addolorata
780773	127948	Vivien Skill
780773	127985	
780773	132948	Daisy
780773	157127	Sonia Bulgarov
780773	158626	Herself
780773	202420	Maria
780773	207242	
780773	211196	
780773	212604	Bibi
780773	217123	Yvonne Micucci
780773	217872	Sarah
780773	230006	
780773	234557	Lucia
780773	247514	
780773	263631	Teresa
780773	265462	Carla Bagni
780773	268979	Irène Faugeret
780773	273145	La reine
780773	305540	Linda Ballarini
780773	313343	Mme. de Montespan
780773	330665	Carmen
780773	336123	Anna
780773	336149	Susanna
780773	340171	Milady de Winter
780773	344464	
780773	358940	
780774	314252	Monique
780775	68697	The Apprentice
780776	80430	Bingo Burger Patron
780777	61097	Suor Igina
780778	166734	Herself/Instructor
780778	166735	Herself/Instructor
780778	358557	Herself
780778	358558	Herself
780778	358559	Herself/Host
780779	390143	Hostess (1994-1995)
780781	53823	Woman in Bookstore
780781	115497	Paramedic
780781	211506	Madeline Cooper
780782	80430	Bingo Burger Patron
780783	200968	
780783	323929	
780783	325852	Martina
780783	354075	Franziska
780783	361486	Sylvia Spinnova
780783	406321	
780784	193239	
780786	301603	Sandy Mounds
780787	166863	
780788	1379	Suffragette
780789	121975	Empleada
780790	294829	Bizango Dancer
780791	403618	
780792	402582	
780793	10243	
780794	269618	Lone Wolf
780795	406459	Herself - Starting Over roomm
780796	201175	Severine
780797	337758	Tony's Mother
780798	399793	Host/Dalina (1990-1994)
780799	146514	
780799	169743	
780800	268520	
780801	326257	
780801	334660	Jenny
780802	105886	
780803	101890	Encarna
780803	184850	
780803	236447	
780803	274431	
780803	352085	
780804	55526	Secretary
780804	55536	Aunt Helen
780804	130645	
780804	157324	Sister Gertrude
780804	186618	School Guard
780804	214085	Miss Carlyle
780804	232088	
780804	232209	Mrs. Mapes
780804	235519	Grandma
780804	239891	Miss Beale
780804	243229	Ellen Stanton
780804	252894	Miss Stoddard
780804	264664	Lady Morley
780804	273549	Miss Melchior
780804	278824	Marge
780804	301614	Mrs. Englethrope
780804	302235	Female Social Worker
780804	308115	Mrs. Pinkerton
780804	315076	Judge Camille Kelley
780804	318761	Gussie Mae
780804	359351	Mrs. Higgins, Neighbor Lady
780804	365088	Grandma
780804	366606	Landlady
780804	370893	Ma Forrester
780804	383654	Catherine Catlin
780804	402605	Woman at Coachstop
780804	404371	Millie Lester (1996)
780804	404409	Emma Anson
780805	234394	
780806	100257	
780806	234329	
780806	328531	
780806	328724	
780807	24205	
780807	28960	Jimena
780807	70674	
780807	71088	
780807	337947	Carlota
780807	379820	Laiza
780807	380839	
780807	383471	Angélica Valle de Larios 'Pri
780807	383518	
780807	383554	
780807	383688	Gina
780807	395300	Patricia
780807	396880	Monica
780807	398794	
780807	399522	Isabela Soriano 'mama de isab
780807	399823	Leticia
780808	67186	Lady at airport
780809	243695	
780810	157098	Marisol Rivera
780810	246530	Waiting at Bus Station
780811	5758	
780811	8276	
780811	53087	
780811	81472	
780811	103397	
780811	104015	
780811	148028	
780811	170236	
780811	207773	
780811	265331	
780811	270309	
780811	274642	
780811	281210	
780811	285943	
780811	326294	
780811	340068	
780811	380945	
780811	384823	Trinidad
780811	385070	Franca Rosetti
780811	387778	Emilia
780811	388093	Sister Caridad
780811	388097	Carmen
780811	390093	
780811	396608	
780811	397574	
780811	400420	
780811	402158	Sofía
780811	405789	Delia Muzzopappa
780811	412127	María Esther
780812	18945	Svetlana
780813	107896	Arlene
780814	384876	Lucas
780815	198777	
780816	309829	Rosana
780817	284456	Natalie
780818	104770	French entry (4th place)
780819	75185	
780819	225716	
780820	104768	Spanish Entry (11th place)
780821	318232	Majara
780822	23879	
780822	90138	
780823	86501	
780823	86502	Elsa
780823	132466	
780823	243706	
780823	291690	
780823	376818	
780824	258479	
780825	199794	Little Leire
780827	54716	
780827	162397	Gloria
780827	398522	
780828	74905	
780829	265687	Chica Tv 1
780830	13013	Paloma
780830	57253	
780830	143702	Julia
780830	156096	Herself - Presenter: Best Lea
780830	163880	Herself - Presenter: Best Fil
780830	193506	Rocío
780830	238755	
780830	292918	
780830	379566	Vanessa (1998-2000)
780830	389796	
780830	400795	Benilde
780830	401257	Herself - Host (1989)
780830	404755	Ana
780831	376695	
780833	128988	Secretaria de Manfredi 2
780833	205071	Sarito
780834	66888	Madre
780835	13074	
780836	252445	Herself
780837	384248	
780837	396775	
780838	395885	
780839	292756	
780840	10901	Bordello Lady
780841	156460	Night Club Dancer
780842	344782	
780843	75444	
780843	88975	
780843	103671	
780843	219325	
780843	246420	
780844	390457	Host (1994-1995)
780844	393036	Herself (2004)
780844	408725	Host (1994)
780844	408852	
780844	409955	
780845	162779	Dancer
780845	384507	Dancer
780845	406994	Dancer
780846	226442	Enfermera en F. de Hemofilia
780847	70658	
780847	189374	
780848	215834	
780849	14921	
780849	82586	
780849	353597	Old Elena
780850	21681	Pola Blanqui
780850	74970	
780850	103407	
780851	394017	Norma
780851	409957	(2000)
780852	251560	
780853	65141	
780853	135110	Secretary Rivero
780853	213389	Embarcadero
780853	242663	Mujer Emisora
780855	404077	Mani
780856	102733	Art Student (episode "Model S
780857	64049	(segment "Zé da cachorra")
780858	300827	Pitonisa
780859	379461	
780859	380099	
780859	387689	
780859	388161	
780859	396898	Mariana
780859	397019	
780859	397598	Aleida
780859	401916	Raquel Parra 'Kella'
780859	403290	Bernarda Rondón
780859	404703	Coralia Hernández
780859	405416	Angustias
780859	408855	Olivia
780859	410098	
780859	411710	
780859	412123	
780860	395635	Lili
780861	9786	
780862	25038	
780862	263852	
780862	351569	Miss Aragón
780863	379898	Tata Calcaño
780863	387621	Candela
780863	390748	Finita Rincón de Botero
780863	397566	
780863	401211	Ninfa
780863	402688	Evangelina Salazar de Echever
780863	404075	
780863	404203	Betzaida Martinez
780864	81320	Tourists Wife
780864	220973	Hooker
780864	231070	Nun
780864	277478	Young Woman
780864	297288	First Woman
780864	369492	Xanadu Dancer
780865	409957	Jazmín Herrera (1998)
780866	51368	
780867	169808	
780868	332732	Tonha jovem
780868	403171	Flor
780869	205697	
780870	69254	
780870	73516	Cristina Guzmán
780870	101815	
780870	103954	
780870	214212	
780870	219733	
780870	220701	
780870	234387	
780870	281779	
780870	324180	
780870	353591	Silvia
780870	354038	
780870	371712	
780871	73516	Pelirroja
780872	43416	
780872	82983	Girl in 'Behind The Wheel' Vi
780872	315985	Girl on vespa in 'Behind the 
780872	327903	Prostitute
780873	89907	Indian Wife
780874	284209	
780875	234412	
780875	266479	
780876	102333	
780877	342149	Vendedora
780877	393340	
780877	403686	
780878	139899	
780878	378986	Eliana Riesling
780878	379652	
780878	379891	
780878	385847	Isabel
780878	387189	
780878	389480	Kimberly Seymour
780878	393836	
780878	395867	Irene
780878	396389	Felisa
780878	396984	Leonor Encina
780878	397735	
780878	398228	
780878	399612	Estela
780878	405978	Lucia
780878	409283	Eva años 80
780878	410207	Ximena Larralde
780878	410316	Clara Wilson
780878	410383	
780879	267315	Puppeteer
780880	387897	Demetria
780880	397578	Rita
780880	397862	Anabel
780880	398483	Adelaida Bejarano
780880	405776	Mirna
780881	133906	
780882	182753	Lady Anne
780882	206114	Margery of Jourdemain
780883	28545	
780883	48297	Iside
780883	173082	Vittoria
780883	198904	Door Keeper
780883	238789	
780884	18851	Herself
780885	82702	Harriet
780886	340009	Suor Genovieffa (Suor Angelic
780887	283911	
780888	144612	Reporter #1
780889	394997	Kaori
780890	128142	Mango
780892	8564	Actriz compra
780892	14817	Mujer policía
780892	17290	
780892	43078	Maestra
780892	56541	
780892	74842	Recepcionista hotel Palace
780892	100389	
780892	101867	Pacienta 2
780892	160535	Guradia jurado
780892	171417	Ana
780892	178833	Amiga de Silvia
780892	376671	
780892	376685	Marta
780893	204534	Johansson's ex-wife
780894	63570	Bharati
780894	159896	
780894	222452	
780894	242425	
780894	248197	
780894	292713	
780894	405871	Berenice
780895	13522	Princess Amaravathy
780896	381451	Singapore Correspondent
780897	58175	Barbie #5
780897	362440	Melissa
780898	31018	Extra: Metro
780899	164587	Anti-Fur Protester #1
780900	58052	
780900	82917	
780900	94645	
780900	269074	
780900	300615	
780900	308809	
780901	12148	Manuela
780902	12148	Bujerita
780903	240859	Herself
780904	7236	Guida
780905	363529	
780906	231185	Anabel
780907	189049	Amiga/Lorenzana
780908	380008	Herself
780909	217167	Carmen, la mère de Gino
780910	9084	Amiga de Araceli Nº 2
780910	23624	Lola
780910	101890	Soledad
780910	103630	Lourdes
780910	136987	Nurse A
780910	225046	María
780910	259959	Charito
780910	391441	
780911	379650	Erin
780912	287420	
780913	265212	
780914	307466	
780915	14770	Locutora
780916	144465	Twin #1
780917	364294	Herself
780918	223362	Child
780919	43078	Policía 2
780920	57448	
780920	156386	
780921	348375	Esmeralda
780922	191054	Friend II
780923	105884	Coroner's Assistant
780924	114621	Singer No. 2
780925	344806	
780926	404127	Additional Voices
780927	59729	Felicia
780927	150758	Adele
780927	176303	Realtor
780927	211765	Maid
780927	308026	Carol Sweeney
780927	360211	Sloppy Prostitute
780928	244676	Hooker
780929	75566	
780930	162104	Novicia
780931	68573	
780931	74390	(segment "A Morena e o Louro"
780931	123267	
780931	243446	
780931	340409	Maria
780931	344804	
780932	225079	Celador
780933	17132	Sor Luciana
780934	45825	Zombie
780935	65658	Cheryl Martin
780935	203243	Shari
780935	411802	Erica Trott (2002)
780937	341010	
780937	352940	Liv
780938	55535	
780938	347304	
780939	236407	Doña Chencha
780940	205426	Confrontational Woman
780941	380332	Lídia
780942	36554	Tank Woman
780943	335525	
780944	12148	Segundo Cuadro Flamenco 'Tang
780945	28085	
780945	88601	
780945	359108	
780946	28076	
780946	156181	
780946	156185	
780946	265097	
780946	279690	Roberta
780946	391119	
780947	229428	Reporter
780948	337445	Migrant 6
780949	38543	
780949	90505	
780949	177258	
780949	224098	
780949	238142	
780949	284638	
780949	303584	
780949	325368	
780950	144465	Twin #2
780951	106328	Alcohólicos Anónimos
780951	132723	La Señora
780951	204642	Abuela de Susana
780951	243689	Anciana #1
780952	129113	Girl Wondercamper
780953	240724	Burger Joint Girl
780954	83520	
780955	31892	Carmen
780955	55122	Club Patron Dancing with Carl
780955	71290	Amy Flusser
780955	80675	Rosinha Zulueta
780955	100814	Mariequita
780955	124225	Franca Fortuna
780955	144465	Elena
780955	212631	Gina Calabrese
780955	212633	Herself
780955	231492	Stephanie
780955	334308	
780955	366820	Sgt. Lucille Preston
780955	390771	Carmen Santos (1999-2000, 200
780955	400236	Angelina Parades (2004)
780955	406907	(segment "Temptations")
780956	94902	
780956	270724	Joan
780957	84956	Nurse
780957	138683	Crying Teacher
780957	141659	Spanish nun
780957	153121	Gloria
780957	197324	Paramedic #1
780957	223084	Lucy's Mother
780957	231900	Lab Assistant
780957	272917	Nurse at Center
780957	299469	Rental Car Attendant/Addition
780957	305846	Conchita Gonzalez
780957	355014	Lorna
780957	379716	Isabella Santos #1 (1993-2004
780958	305737	Herself
780959	75720	
780959	76571	Sean's Mom
780959	213772	Gabby Flores
780959	379076	
780960	107054	Young Sylvia
780961	1701	Herself - Presenter
780961	360244	Cristina
780961	390339	Lucia Rojas-Klein (2002)
780961	402602	Maria Teresa 'Tessa' Alvarado
780962	212524	Ernesto's Father
780963	83520	
780964	98440	
780964	339714	
780965	212257	Thug's Girlfriend
780967	293212	Carrie Acosta
780968	91382	
780968	280577	
780968	370904	
780969	339202	
780969	378958	
780969	379907	Rosa
780969	383439	
780969	386792	
780969	388093	Sister Beatriz
780969	391847	Celia
780969	400945	
780969	401903	
780969	402630	China
780969	403021	
780969	403677	
780969	406050	Sister Beatriz
780970	12055	
780971	138316	
780971	370342	Alisa Rack
780972	212688	Dr. Grace
780973	207977	
780973	233624	
780974	152250	
780975	223885	Tango Dancer
780976	16033	
780976	42601	Donna nella tinozza
780976	44710	Rina Daniello
780976	49682	Paolina
780976	81526	
780976	119085	
780976	133392	
780976	162041	Flavia
780976	214855	Silvia
780976	230454	Olga
780977	21201	Mirco's Mother
780978	176313	Young Girl #1
780979	256449	Nadia
780980	255731	Emily Wallwood
780980	385887	Doris
780981	383667	Host
780981	388520	
780981	399548	Herself/Hostess
780982	75771	Slade's Companion
780983	134675	Nurse
780984	162100	Phyllis
780984	194666	Heidi
780984	213588	Yum-Yum
780984	256626	Mabel
780985	26226	Prison Warder
780986	132887	La grande blonde
780986	166288	Mireille
780986	205737	Julie
780986	322834	
780988	167159	La figurante
780988	286316	L'hôtesse galerie
780988	327551	
780988	384288	L'Infirmère
780989	87165	Oliver's Girl
780989	232496	Teenage Girl
780989	293192	Diane
780989	317517	Alexxxis
780989	360027	Cougar Cheerleader
780990	57428	
780991	8098	Carrie
780991	113411	Mary
780991	281398	
780991	370668	Peggy
780991	391898	Gina Sloan
780991	398062	Detective Angela Vecchio
780992	87086	
780993	231266	
780994	35523	Playboy Model
780994	187919	Neighbor Woman
780995	310694	
780996	29923	
780996	141589	Bound Cheerleader
780996	142703	
780996	143981	
780996	289155	
780996	310025	
780997	198638	Christine
780998	401872	Herself - Participant (2001)
780998	401878	Herself - Participant (2001)
780999	113975	
781000	21692	Audrey
781000	44664	Teresita
781000	64197	
781000	94593	Nieta
781000	99340	
781000	101833	María
781000	105964	
781000	115826	
781000	132374	
781000	134826	Isabel
781000	165918	
781000	170029	
781000	170050	
781000	187939	
781000	199817	
781000	236744	Susy
781000	244640	Begoña
781000	308463	
781000	343622	
781000	350933	Pilar
781000	408201	Host
781001	108455	
781002	348106	Herself
781003	229794	Girl in bar
781004	100193	Artist's Girlfriend
781005	56523	
781005	264117	La reina
781006	254168	Morgane
781007	11235	
781007	126739	
781007	183312	
781008	107966	Jadwiga
781009	410606	Team member
781010	71402	
781011	188910	Herself
781012	254774	Snapper
781013	146903	Office Girl
781013	163771	Woman
781013	242161	Reiko
781013	293614	Toyoko Nakamura
781013	296345	Shigemasa's Illegitimate Daug
781014	151479	Cucka
781015	102432	Armando Carelli
781015	380989	
781016	156854	
781017	247665	Pankerka II
781018	408694	Designer
781018	408696	Designer
781019	52879	
781020	67236	Sara Domínguez
781020	172694	Monica Deusa
781020	386107	Herself/Celebrity Team
781020	387922	Roberta
781020	389479	
781020	397262	Kathy
781020	398072	Coralina
781020	400944	
781020	401258	Camila Brando
781020	405846	Irene
781021	313136	
781022	111039	
781023	5446	Eva
781023	43278	Marta
781023	96356	Lorena
781023	121218	Ana
781023	122984	Herself
781023	234008	Valle
781023	235296	Reme
781023	254987	Obdulia
781023	320219	Susanna
781023	378929	Verónica Montero, 'Vero' (200
781023	384795	Valle (1998-2001)
781023	399505	Elisenda Castro
781024	116496	Herself
781025	41244	
781026	5186	Secrétaire ministre
781026	8152	Rosine
781026	15041	Madame
781026	19201	L'infirmière
781026	73472	Madame LaVille
781026	88172	Juge Favart
781026	94233	Simone
781026	110158	Simon
781026	146419	La banquière
781026	165901	Pichon
781026	196813	
781026	202090	Mme Borgès
781026	208715	
781026	216239	La fidèle voisine
781026	258942	Le commissaire Dubreuil
781026	261729	Madame Charpin
781026	328273	Béatrice d'Albray
781026	346778	Patricia
781026	355245	
781026	355250	Elevator passenger #13
781026	356509	
781026	397192	
781026	401988	
781027	16144	Grandma
781027	52252	Dona Ana Sofia Hicenta
781027	54556	Waitress at Blue Grotto
781027	60109	Grandma Angelina
781027	67577	Momma
781027	67618	Lucia
781027	74246	Señora Estrada
781027	86998	Mrs. Minetta
781027	90325	Renée
781027	115325	Velma Stanwyk
781027	121557	Carla Rocco
781027	121829	Mrs. Meeker
781027	157117	Mrs. Esposito
781027	161041	Gilly secretary
781027	180493	Mrs. Segura
781027	185073	Mrs. Parelli
781027	196181	Mama Rossini
781027	205315	Consuelo Guadalupe Lopez
781027	218765	Josephine Barbella
781027	241375	Mrs. Cristofaro
781027	266537	Mrs. Casino
781027	277471	Mother Martinelli
781027	282022	Ma Rosetti
781027	299838	Mrs. Cepeda
781027	312147	Grandma Monteri
781027	315523	Mrs. Gold
781027	322631	Mrs. Martinez
781027	329975	Maria
781027	330689	Mrs. Petucci
781027	361688	Madam Lucia, Bridal Shop Prop
781027	363250	Flora
781027	368952	Spanish woman
781027	381041	Mrs. Bernardi
781027	386706	Madame Fatime
781027	397125	Mama Rosa Novelli (1982-1983)
781027	403659	Madam Delacort
781028	353711	Herself
781029	268923	Mother
781030	60142	Empleada de Aduana
781031	244985	Une demoiselle à lunettes
781031	307617	La fille du rouquin
781032	9253	
781032	21719	
781032	58397	
781032	238118	
781032	318004	
781032	379602	Beti
781032	393036	Herself (2003)
781033	332598	
781034	32366	
781034	66404	Julita
781034	74832	
781034	101894	Sor Y
781034	187842	Vecina
781034	233333	
781034	250731	
781034	251580	Vecina A
781034	334685	
781035	57259	Mrs. Murray
781035	73269	
781035	153669	
781035	205200	Vicetiple 6
781035	219424	Herself
781035	352152	
781035	384824	Herself - Host
781035	387693	Herself - Host
781036	158520	Mamma Anna
781037	16083	Angie the Stripper
781037	38380	Christine
781037	89207	Stephanie
781037	105805	The Gorgeous Redhead
781037	113385	Marie
781037	113685	Waitress
781037	167070	Amber
781037	208094	Sergeant Spelt
781037	252878	Pat
781037	342824	Laura
781038	113685	Waitress
781039	266330	Suzanne Blanche
781040	20336	Party Girl/Student
781041	186708	
781043	207961	
781044	8566	
781044	20029	Gisela
781044	30153	Zulema
781044	34284	
781044	42581	
781044	54195	
781044	82269	
781044	84332	
781044	103460	Isaura
781044	118086	
781044	205696	
781044	213738	
781044	229703	Miriam
781044	251561	
781044	252759	
781044	255640	
781044	262235	
781044	280998	
781044	286571	
781044	334467	
781044	377082	
781045	28751	
781045	192009	Bess
781045	288023	Girl With Doll
781045	304970	Little Girl
781046	187890	Herself
781047	260156	Scarlet
781048	27142	Victim
781048	224428	Denise
781049	401208	
781050	44659	Lechera 4
781051	384117	
781052	121013	The forest keeper's Klara
781053	30666	
781054	205696	
781054	280998	
781055	302333	Muchachita Maya
781056	302333	Muchachita Maya
781057	93416	Elvira
781058	302333	Muchachita Maya
781059	157698	Madagascar Princess
781060	68609	Gêmea 2
781060	360150	Party Babe
781060	396718	Raimunda
781060	404960	
781062	88794	(segment "A Boca")
781063	214875	Mãe
781064	10384	Street Walker
781065	162170	
781066	161775	Alessandra
781066	297190	Sorority Girl
781067	396827	Pitusa
781068	233553	
781069	375740	
781070	35116	
781071	276294	Mãe
781072	221739	Monja
781073	287485	
781074	184299	
781076	351410	Hope
781077	355946	
781078	257652	Miss January
781078	257815	Miss April 1994
781078	257866	
781079	71227	Woman #1
781080	370084	
781081	14192	Counter Girl
781082	384507	Mini Shakira
781082	406972	
781083	227864	
781084	28589	Dra. Manuela
781084	83382	
781084	211666	Madame Lopez
781084	264270	Joana
781084	344863	Luísa
781084	395865	
781084	407867	
781084	409026	Manuela Rico
781085	20098	Luciana
781085	63831	
781085	110160	
781085	158827	Bárbara Heliodora
781085	190956	
781085	241188	
781085	287483	Carmem
781085	348768	
781086	14689	
781087	70116	
781088	177451	
781089	130713	Narrator, Newscaster's Voice
781090	198990	Child
781091	197440	
781091	380477	Giselle
781091	384981	
781091	405916	
781091	406051	La Morrón
781091	409957	Joanna (1999-2000)
781092	380446	Natália
781092	384118	Gaby (1997)
781094	287484	
781095	197963	
781095	399940	Conceição
781095	404185	
781095	408414	Marta
781096	202728	Mario's Girlfriend
781098	18478	
781098	53846	
781099	76021	Herself
781100	174745	Abeja 5344
781102	108137	
781102	225034	Chica casting
781102	257478	
781102	370062	Teresa Terras
781102	378988	Bea
781102	379213	Patricia
781102	390851	Alicia
781104	178119	Prison Guard
781105	332732	Pirica
781106	358373	
781107	398856	
781108	222719	Emily
781109	385599	Nelly
781110	30515	
781111	200084	
781112	383684	Valentina Zuloaga Culo
781112	393805	Maria Delia Espina
781112	396392	Raquel
781112	401097	Eva
781112	402754	Karen
781112	412190	Gabriela Gamboa
781113	92042	
781113	255798	
781113	258626	
781113	319626	
781114	103884	
781114	287484	
781114	328879	
781115	296313	
781116	333693	
781117	18657	Girl in Disco
781119	57342	
781119	63831	
781119	70701	
781119	71223	
781119	103953	
781119	116393	Maria's Mother
781119	118086	
781119	195117	
781119	212133	
781119	234643	
781119	237208	
781119	251561	
781119	262235	
781119	293388	
781119	306639	
781119	334565	
781119	344699	
781120	398501	Maria
781121	52941	
781122	18391	
781123	104773	Portuguese entry (12th place)
781124	6629	
781124	65141	Nereida
781124	71284	Rosa
781124	85460	
781124	187615	
781124	213389	Pilar
781124	291670	
781124	353605	
781124	379649	
781124	382564	Mascavidrio
781125	115820	Janay
781126	408672	
781127	298222	
781127	335930	
781128	53746	
781128	226454	
781128	285577	
781129	274963	Prostituta 1
781130	282781	Pierre
781131	391673	Katia
781132	9159	
781132	9309	Rezzette
781132	9466	
781132	26012	Alex
781132	26035	
781132	28074	Kathy/Katong
781132	30729	Princess
781132	87946	Ligaya Tatlonghari
781132	89764	
781132	103774	Esperanza Estrera
781132	109806	
781132	127724	
781132	154812	Mylene
781132	155002	Tinay
781132	163177	Joey
781132	166363	Jeannie
781132	168928	Coffee Shop Customer
781132	172158	Annie
781132	174289	
781132	174888	Anna
781132	181620	
781132	181772	
781132	197921	Melissa
781132	200422	Lisa
781132	200661	Karen
781132	204603	Grace Tan
781132	204604	
781132	205032	Mara
781132	208549	Emily
781132	214770	Anna Liwanag
781132	222197	
781132	224259	
781132	227848	
781132	246093	Cecile
781132	246900	Geraldine
781132	284840	Sabel
781132	287063	Bless
781132	287382	
781132	333059	Joanna Boborol
781132	358507	
781132	381380	Princess Gonzales
781132	387832	Esperanza Estrera
781132	390069	Dianne Villaruel
781132	404050	Patricia Quevedo Montecillo-V
781132	407943	
781133	287958	
781134	103903	(segment "Noite de Almirante"
781135	317443	Woman with Towel
781136	282390	
781137	263727	
781138	9309	
781138	114266	Keka
781138	166363	
781138	174749	
781138	175355	Francesca 'Keka' Jose
781138	270724	Myla
781138	295697	Mel
781138	318535	Elaine
781138	348988	
781138	355786	Herself
781138	361973	
781138	380345	Carla
781140	278616	
781141	289666	Trick or Treater #3
781142	89403	
781142	101265	
781142	104118	Susana
781142	353344	(segment "Trajetória, A")
781142	409410	
781143	74009	Mama Thong
781144	380345	(1999-2000)
781144	404050	Elena
781145	204993	
781146	58044	
781148	2114	
781148	3399	
781148	9668	Sally
781148	13011	
781148	19504	
781148	21694	
781148	42641	
781148	49722	
781148	55263	
781148	55621	
781148	61207	
781148	63502	
781148	67695	
781148	70115	
781148	75383	
781148	75387	
781148	77249	
781148	80311	
781148	82723	
781148	84167	
781148	84254	
781148	85973	Martha
781148	87086	
781148	91302	
781148	96278	
781148	100466	
781148	104837	Penelope
781148	119231	
781148	121296	
781148	121963	
781148	123226	
781148	124546	
781148	137424	
781148	145151	
781148	160663	
781148	167801	
781148	170056	
781148	186212	
781148	196746	
781148	198994	
781148	199005	
781148	199972	
781148	209067	Martha Cue
781148	212056	
781148	212375	
781148	219217	
781148	221678	
781148	221742	
781148	222031	Julieta
781148	227694	
781148	229800	
781148	234331	
781148	236407	Erika
781148	247417	
781148	252064	Lucha
781148	253257	
781148	253305	Crysta
781148	253376	
781148	253382	Melesia
781148	253593	
781148	259846	
781148	261680	
781148	266825	
781148	268049	
781148	270062	
781148	282902	
781148	282903	
781148	284800	Adriana
781148	287423	
781148	293002	Marta
781148	300683	
781148	307787	
781148	318008	Lina
781148	319828	
781148	328000	
781148	338162	Doctora Hoffman
781148	339158	
781148	349952	
781148	354779	
781148	379602	Lina
781148	383827	
781149	247032	People of the Night
781150	48808	Gitana
781150	51531	Mary
781150	85482	
781150	91390	
781150	132732	
781150	378489	
781151	306421	So Fine Dancer
781152	234640	
781152	263416	
781153	2106	
781153	27943	
781153	43666	Maria Cecília
781153	101441	Engraçadinha
781153	116641	
781153	155177	(segment "Ibrahim do Subúrbio
781153	171532	(segment "Oh! Dúvida Cruel")
781153	181446	Lídia
781153	197963	Luz del Fuego
781153	248680	Lúcia Riccelli
781153	295103	Elisa Machado
781153	308746	(Portuguese Narrator)
781153	308751	Lucinha
781153	328353	
781153	344703	
781153	349673	Lúcia
781153	377118	
781153	382676	Paula
781153	383479	Carmem
781153	384303	Virgínia Prado
781153	384304	Tatiana
781153	386726	Dona Anja
781153	387804	Isaura
781153	388563	Eliana
781153	390751	Carolina Carneiro
781153	395882	Fernanda
781153	396610	Jacqueline Lemos (2001-2002)
781153	397541	Leninha
781153	404272	Júlia Camargo
781153	405454	Sinhá Moça
781153	409975	Silvana
781153	412179	Janete
781154	243443	
781155	18801	Herself
781156	151071	Saleswoman
781156	217642	Clara Rodrigues
781156	353944	Clara Rodrigues
781156	390489	Raquel Ramos
781156	402128	
781158	73738	
781158	185927	
781158	201986	Marta
781158	407815	Herself (Single) (2003)
781160	302350	
781161	155929	Jenny White
781161	295434	Valentina
781162	367589	Sexy Neighbor
781163	344703	
781164	53889	
781164	222179	
781165	344813	
781165	344854	
781166	494	
781166	17074	
781166	51777	
781166	53648	
781166	56292	
781166	56448	
781166	85561	
781166	88984	
781166	100335	
781166	103743	
781166	121330	
781166	132713	
781166	140559	
781166	143779	
781166	145216	
781166	145238	
781166	146507	
781166	157200	
781166	183513	
781166	186147	
781166	193326	
781166	199786	
781166	199922	
781166	199938	Señorita Baigorria
781166	205431	Julia
781166	210443	
781166	213534	
781166	216094	
781166	226154	
781166	228329	
781166	239277	
781166	255620	
781166	276577	
781166	280414	
781166	293579	
781166	294858	
781166	301185	
781166	309245	
781166	314342	
781166	317698	
781166	337962	
781166	343722	
781167	8564	Actriz composit
781167	25805	Señorita
781167	30389	Chica de la foto
781167	148176	
781168	322276	Carmencita Rodriguez
781169	391259	Mary
781170	151237	Guria no flíper
781171	34284	
781172	306641	
781173	89403	
781174	286595	Mulata Samba Show
781175	55075	
781175	256153	
781176	209061	Credit Girl
781177	395865	
781178	8541	
781178	68642	Cantante
781178	71123	
781178	248067	
781178	269258	
781178	328938	
781178	350138	
781179	205534	
781180	352855	
781181	56581	
781181	237503	
781181	276075	Viriata
781181	278614	
781181	384995	
781182	293144	The Nanny
781183	387694	Domitila de Castro Canto e Me
781184	29192	
781185	113123	La jeune fille
781187	222153	
781187	334565	
781187	351484	
781188	125272	Amiga
781189	380332	Sofia
781190	302793	Laura
781191	392510	
781193	10196	
781193	14688	
781193	54166	
781193	109267	
781193	201995	
781193	246593	
781193	354928	
781193	356029	
781194	212140	Biroca
781195	250430	
781196	51585	
781196	84533	
781196	385776	Sonia (character model)
781197	40552	Voice Over Talent
781198	16705	Lola Bolts
781199	66222	
781199	71223	
781199	237875	
781199	243391	
781199	389587	Teresa
781199	398502	
781199	399498	Beatriz
781199	405337	
781200	333143	Rusty piercing's teen
781201	162779	
781201	384507	Tyanny
781201	393839	
781201	401706	
781201	403904	
781201	406972	Hostess
781201	406994	(1990-1994)
781202	234218	Little Marie
781203	334670	
781204	165502	Herself (Felipe's Mother)
781205	100756	Visitor
781206	6748	Aida Macaraeg
781206	12272	
781206	12792	Baby Tsina
781206	14984	
781206	15412	Josie
781206	15418	
781206	15436	
781206	17302	
781206	21614	
781206	25543	
781206	30728	
781206	30792	Lea Bustamante
781206	30863	
781206	30981	
781206	31375	
781206	32363	
781206	32619	
781206	34449	Berta
781206	37713	
781206	47523	
781206	49036	
781206	49886	Chato/Tzarina
781206	64074	Cinderella
781206	66686	
781206	76811	Dolzura Cortez
781206	77071	
781206	77085	
781206	77245	
781206	79114	Darna/Narda
781206	79117	Darna/Narda
781206	79120	Darna/Narda
781206	82194	Amanda Bartolome
781206	83520	
781206	87584	
781206	88971	
781206	94831	
781206	95765	
781206	96632	
781206	102924	
781206	105578	
781206	122704	
781206	123102	Mrs. Jones
781206	129089	
781206	131523	
781206	136186	
781206	137141	
781206	137589	
781206	137981	
781206	138336	
781206	138647	
781206	140014	Vilma
781206	145548	
781206	146965	Maria
781206	146967	
781206	155135	
781206	155174	
781206	155182	
781206	155961	Aimee Marcos
781206	156177	
781206	156180	
781206	156184	
781206	156185	
781206	157080	
781206	162114	
781206	163830	
781206	172307	
781206	172966	
781206	173134	Andang
781206	173186	
781206	173634	
781206	174056	
781206	174127	
781206	174313	
781206	177258	
781206	177323	
781206	181763	
781206	184646	
781206	191329	Darna/Narda
781206	194115	Maria
781206	200424	
781206	201372	
781206	204604	
781206	207048	
781206	214776	
781206	215698	
781206	216859	
781206	219895	
781206	222196	
781206	223781	
781206	224258	
781206	226611	
781206	226614	
781206	226853	
781206	226854	
781206	226862	
781206	230338	
781206	234217	
781206	236076	Vilma
781206	242868	Ophella
781206	244857	
781206	246094	
781206	246462	
781206	246554	
781206	246583	
781206	246893	
781206	247088	Tina
781206	251230	
781206	254489	
781206	256096	Aimee Marcos
781206	256097	
781206	256103	
781206	265784	
781206	267029	
781206	275281	
781206	275307	
781206	277420	
781206	280027	
781206	281046	
781206	281786	
781206	282901	Rubia Servios
781206	284737	
781206	302295	
781206	302428	
781206	302978	
781206	303246	
781206	308509	
781206	320202	Susan Kelly
781206	321509	
781206	322603	
781206	322973	Nanette
781206	323050	Pina
781206	323368	Vilma
781206	328491	
781206	332933	
781206	334877	
781206	340719	Trudis
781206	341242	
781206	342538	
781206	354611	Vilma
781206	355899	Vivian Volta
781206	367979	Vi
781206	370316	
781206	371386	
781206	372623	
781207	101181	La soeur d'Éric
781208	202541	Boanova
781209	61342	
781210	70493	
781210	278564	
781211	9868	
781211	12798	
781211	48261	Clara
781211	89764	
781211	103774	Isabel Salgado
781211	135757	
781211	163815	
781211	172303	
781211	172453	
781211	173634	Carol
781211	177943	
781211	198720	Host
781211	333790	
781211	354208	
781211	387832	Isabel Salgado
781211	396313	Host - Herself
781212	386692	Camilla
781213	2660	Sor Remedios
781213	3135	Cibela
781213	4929	Maria
781213	10223	
781213	13085	
781213	14713	
781213	19484	Jacinta Bernal
781213	28188	
781213	51809	
781213	51813	
781213	52047	
781213	56333	
781213	58398	
781213	61535	
781213	69023	Madre de Isabel
781213	69325	
781213	73979	
781213	74562	
781213	74571	Mita
781213	74606	
781213	74768	
781213	74858	
781213	82257	
781213	83489	
781213	85901	
781213	90113	
781213	94825	
781213	96364	Doctor
781213	97367	
781213	99066	
781213	104527	
781213	115747	
781213	124655	Mariana
781213	134494	Dona Maria
781213	135277	Monja
781213	143781	
781213	145176	
781213	146478	
781213	146496	
781213	156378	
781213	169560	
781213	189013	
781213	192959	
781213	197160	Clotilde
781213	205138	
781213	208852	
781213	209470	
781213	221993	
781213	222016	Sara
781213	222040	
781213	234307	
781213	239287	
781213	246304	Lupe
781213	252798	
781213	253596	Jacila
781213	258477	
781213	262216	
781213	263846	
781213	264387	
781213	266882	
781213	266898	
781213	269918	
781213	301117	(segment "Rosa")
781213	302309	The Mother
781213	307290	Madre de lázara
781213	322852	Mamá de Constancio
781213	324093	La mère
781213	327016	
781213	332576	Rosita
781213	335517	
781213	339086	Cleo
781213	339171	(segment "Ana")
781213	343026	
781213	351569	Sor Eulalia
781213	351998	Sra. Flores, Madre de Marilu
781213	353577	
781213	353615	Pablo's mother
781213	380090	
781213	380119	
781213	381224	María Pánfila
781213	383105	
781213	387088	
781213	387826	
781213	387935	
781213	398799	
781214	109740	
781215	9883	Bowie's charro
781216	241143	Bachelorette
781217	169	
781217	3555	
781217	10483	
781217	19467	Veïna
781217	23937	
781217	25063	Tía Aniceta
781217	28957	
781217	30851	
781217	42625	
781217	44911	
781217	48182	
781217	51619	
781217	53683	
781217	55941	
781217	64699	
781217	65015	
781217	69516	Conchita De La Mata
781217	74658	
781217	80274	
781217	84340	
781217	86502	
781217	99723	
781217	101594	Paz
781217	113223	
781217	143664	
781217	145531	
781217	164237	Eli
781217	180730	Cornélia
781217	183517	Ernestina
781217	186591	Eli
781217	190409	
781217	201499	La Maru
781217	214225	
781217	215510	
781217	231284	
781217	241086	
781217	248238	
781217	249301	
781217	250731	
781217	258488	
781217	266412	
781217	282095	
781217	317687	
781217	345570	
781217	351994	
781217	353290	Madre Bigotes
781217	353598	Criada
781217	355759	
781217	355760	
781217	355923	
781217	377182	
781217	402541	Polonia
781218	387611	La dactylo
781220	202298	The Count's Maid
781221	330285	Hojo Waitress
781222	9939	
781222	80297	
781223	63192	Bar Girl
781224	23057	Middle daughter
781225	12441	Patricia Zaldívar
781225	100391	Elisa
781226	17074	
781226	51269	
781226	69010	
781226	74737	
781226	75180	
781226	80215	
781226	153827	
781226	213404	
781226	236302	
781226	263832	
781226	278937	
781226	278939	
781226	296212	
781226	308280	
781226	339166	
781226	343605	
781226	353189	
781226	376678	
781227	122945	Kyoko
781227	204384	Kani
781228	349422	
781229	287400	Oya
781230	357340	
781231	284777	Anju
781232	4425	Nina
781232	15812	Renu
781232	18771	
781232	62306	
781232	135223	Uma, Bhabhi
781232	172547	Parvati
781232	211399	Lata
781232	228869	Promila Chatterjee
781232	285451	
781232	326661	
781233	285035	Make-up artist
781234	83309	
781235	89750	
781235	199834	
781236	23190	The Florist
781236	52074	Enfermera
781236	136987	Dance Academy Employee
781237	277295	Dancer
781238	292089	
781239	204684	Empleada
781240	88797	
781240	145137	
781240	277400	Granjera
781240	318016	
781241	226435	Patinadora
781242	400952	Erika
781243	71006	
781244	392080	Herself
781245	96359	Secuestrada
781246	115820	
781247	395883	Carbonilla
781248	20329	
781248	128966	Gitana Siracusa
781249	69004	
781250	52618	Susanita
781250	95181	Lady Jessica's maid
781250	120080	Natalia Trotsky
781250	120088	Friend
781250	136960	Dora
781250	157157	
781250	189376	Señorita Ina
781250	214999	Carol
781250	249783	Woman
781250	253289	Pordiosera
781250	262809	
781250	353557	Márgara
781250	356486	
781250	380084	Maggie
781250	380095	Mercedes
781250	383233	Ernestina de Sánchez
781250	385369	
781250	391417	
781250	402681	Edwiges
781250	404284	
781250	408390	
781251	135160	
781251	381621	
781251	399621	
781252	64026	Marta
781253	158850	
781254	158996	Kathleen
781255	23190	Mercedes
781255	187716	Mariola
781255	310073	
781256	103662	Patricia
781257	274751	The Mysterious Tanya
781259	218934	
781260	14815	
781260	318954	
781261	234177	
781262	71267	
781263	203005	Georgette
781264	89921	
781264	385367	
781264	391272	Antonia
781264	397578	Mama Dolores (2002)
781266	371290	María
781266	398042	
781267	283819	Vera
781267	396239	
781268	5511	
781268	208753	Chanteuse berbère
781269	231202	
781270	99075	Eli's Friend
781271	181709	Rally winner's babe
781272	253711	
781273	20861	Gendarme
781273	153241	Blacksmith
781274	248258	Morgane
781275	173604	Sakiko Kariyama
781275	211895	Mineko Kagami
781275	243353	
781275	292075	Hana
781275	296630	Reiko Makabe
781276	206787	
781277	177132	Head of Girl Gang
781277	228836	Asuka
781277	285868	Head of Girl Gang
781278	411725	Ojyou Karen
781280	374105	Young O-Sei (Seitaro)
781281	327965	Girl Student 'A'
781282	249256	Stripteaseuse
781283	46800	Haro
781284	267419	Renu Das
781284	353822	Herself (La guest-star)
781285	137785	
781286	30765	
781287	107746	Natalie (the French ingenue)
781288	178092	Receptionist
781289	126130	Circus performer
781290	236425	
781290	266228	
781290	324294	Marcia
781290	354899	
781290	405812	Mari
781291	64333	Herself/461
781291	216794	Herself
781291	249072	(segment 4)
781291	381853	
781291	397377	
781292	132914	Girl at Joshua Tree Inn
781294	253414	The Religious Girl
781295	12689	Anna, the maid (segment "La m
781295	106818	Cecilia
781295	127983	Suor Speranza
781295	289333	Lucia's aunt
781295	294255	Patriot
781296	3233	Crisis Center Woman
781296	14172	Rosanne/Charlotte
781296	340775	Gina
781297	381091	Herself (eliminated round 3)
781298	96496	
781298	313182	Rosalia's friend
781298	354960	
781299	272085	Jeannie Merrick
781300	166980	Kasia
781300	381220	Brygidka
781301	24683	Gary
781302	113254	Claudine, la femme du café
781303	178455	
781304	4115	
781304	36012	
781304	95330	
781304	176104	
781304	222561	
781304	284985	
781304	357328	Milena
781305	5794	Giusi
781305	68645	
781305	89563	Rosa
781305	94629	
781305	111336	Irene
781305	157923	Imma
781305	163024	
781305	254976	Anna Maria Pica
781305	259843	Teresa
781305	342135	Maura
781305	345618	
781305	352277	Valeria
781305	352861	(segment "Diavolo in bottigli
781305	355619	Luisa
781305	356581	Teresa
781305	396162	Assunta
781306	333857	Extra
781307	346465	
781308	339325	Devojka iz vizije
781309	46534	Girl in Love
781310	165134	Herself (auditioning for the 
781310	399850	Billie Jo Andromeda Black (53
781311	18229	Marianna
781311	133995	Dancer
781311	172954	
781311	237093	
781311	250694	
781311	266499	
781311	332177	
781311	370047	Marlen Pappa
781311	389020	
781311	397729	
781312	224350	Despina
781313	49472	Nastya
781314	179910	Sheneman
781315	244728	
781316	88354	
781317	326001	
781318	223084	Tanisha
781319	187125	Red Cross Worker
781320	215463	Herself
781321	246683	Juliette Bouchin
781321	314008	Mother
781321	408968	Housekeeper
781322	143543	Terpsichore
781323	337281	Nancy Frayn
781324	285922	Tsubame
781325	312703	
781325	325384	Svenja Meinfeld
781326	403805	Anna Douglas (1997-2000)
781327	88965	Vi
781327	150924	Anna O
781327	306466	
781327	360510	
781328	197247	Lady Traveller
781329	238959	
781329	280367	
781330	43978	Anu Gaekwad
781331	338031	
781332	7432	Mme Rose
781332	7463	Marie Besnard
781332	10685	La reine
781332	20810	La mère de Marc
781332	43657	Marie Bonifas
781332	44765	Olivia Chancellor
781332	56950	Catherine de Medicis
781332	60901	Mlle de Percy
781332	69119	La comtesse de Beauchamp
781332	72058	Bette
781332	73066	Mme Rezeau
781332	84189	Elisabeth Gornac
781332	92048	
781332	92965	Yvonne Dumail
781332	94249	Gilda Simfrid
781332	94700	
781332	96159	Mme Brussette
781332	99362	L'automobiliste hargneuse
781332	104681	Dowager on the Eiffel Tower
781332	112801	Mme Alberte
781332	112807	
781332	116428	Dona Juana
781332	122542	Eva Braun
781332	134598	La grande comédienne
781332	135505	La vieille dame/Old Lady
781332	146404	Dame Blanche
781332	149679	La voyante
781332	156783	Mara Practor
781332	165785	Evelyne Bayoux
781332	169285	Marfa
781332	184267	Mme Legrand
781332	189904	La baronne
781332	202341	Augusta Bedi, dite 'La comtes
781332	210909	La cliente
781332	254600	Brigitte Pian
781332	254938	Oenone
781332	258250	La vieille blonde
781332	262942	Une entraîneuse
781332	269753	La reine-mère/The Queen Mothe
781332	271371	La directrice de la maison de
781332	275123	Catherine de Médicis
781332	291580	
781332	306944	La tante Brontë
781332	307597	Elle
781332	328844	Une Gitane/Gipsy
781332	333738	Concierge
781332	336957	Mme Rooney
781332	340573	Marlène
781332	345085	Léontine MacMiche
781332	346428	Marie Brunel
781332	346675	La mère, à partir de 44 ans
781332	354967	Folcoche
781332	378017	Ramona Martinez
781332	378057	
781332	393330	Mathilde
781332	398054	Mme Béjart
781332	398787	La reine des clochards
781333	190422	Kelly
781333	316153	Narrator
781334	4158	Mohan's wife
781334	4437	
781334	20662	
781334	25286	Avtaar's son's wife
781334	29068	
781334	85312	
781334	131951	
781334	141841	
781334	183134	
781334	205352	
781334	228938	
781334	262462	
781334	267415	
781334	267416	Special Appearance
781334	270051	
781334	319085	
781334	344005	
781335	24791	Gill
781336	59873	
781337	94909	
781337	258630	Gospozhitza Ivanova
781337	268128	Leda
781338	17749	Dancer
781339	85014	Susan
781339	211506	Susan
781340	65979	Narrator
781341	97644	College Girl
781342	348615	Reilly's Confederate
781343	1290	
781343	5708	
781343	8159	
781343	9455	
781343	19647	
781343	22052	
781343	22057	
781343	22058	
781343	24849	
781343	25618	Nevin
781343	27761	
781343	28836	
781343	30670	
781343	33250	
781343	38444	
781343	57593	
781343	64014	
781343	86616	
781343	124917	
781343	136758	
781343	136768	
781343	137015	
781343	140603	
781343	140606	
781343	140608	Ayse's aunt
781343	156236	
781343	163178	
781343	172013	
781343	173565	
781343	173788	
781343	177844	
781343	177875	
781343	182089	
781343	185921	
781343	198916	
781343	212333	Herself - Jury Spokesman - Sj
781343	228449	Kelly
781343	278164	
781343	288267	
781343	288607	
781343	295492	
781343	296406	
781343	301476	
781343	325351	
781343	325356	
781343	335909	
781343	357598	
781343	370773	
781343	378208	
781343	378234	
781343	390180	
781343	404782	Reijo-rotta
781344	77196	Lexie Huby
781344	335982	Sybil Grey (Peep-Bo)
781344	353510	
781345	12765	Angie
781345	13320	Nancy
781345	126130	Featured
781345	151483	Sophie
781345	231088	Kid #3
781345	298216	Girl in Classroom
781345	329311	Sarah Sellers
781346	33571	Herself
781348	1646	Mara
781348	18548	Gerlind
781348	19188	Alice Spangler
781348	37405	
781348	39412	Hallie Schrag
781348	40797	Chandler Strange
781348	50936	Erin Clavelli
781348	52532	Jessie Gosselin
781348	55531	Victoria
781348	65632	Elise Shipp
781348	79346	Katherine Thatcher
781348	80057	Miss Martinet
781348	111442	Sloane Peterson
781348	139172	Myler
781348	149257	Ellen Heaven
781348	157222	Molly Connor
781348	164398	Ondine
781348	187208	Princess Lily
781348	191909	Princess Dayzie
781348	199460	Cassie Osborne
781348	201881	Mara
781348	259939	Cynthia
781348	269419	Queenie Kelly
781348	295082	Gina Sands
781348	296928	Melanie
781348	316179	Leah
781348	333393	Melissa
781348	341937	
781348	346343	Willie Yates
781348	382102	Dr. Harleen Quinzel/Harley Qu
781348	392423	Herself
781348	396010	Loriellidere
781348	408234	Delphine de Lancel
781349	104768	Israeli entry (24th place)
781349	175007	Herself
781350	262528	Jenny's Daughter
781351	26598	Ali's Mother
781351	32878	
781352	78312	Bhargavi
781352	145433	Kanchan
781352	174543	Anuradha
781352	204364	
781352	298233	
781352	396477	Draupadi
781353	172895	Vibha
781354	385486	
781355	24623	
781355	56465	
781355	153332	Mary
781355	162712	
781355	376758	
781356	195761	Policewoman #1
781357	370178	
781358	25090	
781358	265514	Lucrecia
781358	351951	Herself
781358	383467	
781358	385058	Mamasanta
781358	390310	
781358	392848	Memela
781358	401067	Josefina Beltrán de Negretti
781358	403125	Zoila Guerra
781359	6639	Rollo
781359	332606	Lola
781360	190785	
781361	72916	Billy's mother (prologue/epil
781361	151137	Ellen
781361	178931	Helen Dean
781361	217954	Mrs. Kozlowski
781362	17287	coppia di malviventi, lei
781362	23549	
781362	246435	
781362	342116	
781362	406616	
781363	91952	Hotel Receptionist
781365	287000	
781366	1638	Valérie
781367	24312	
781367	87033	
781367	102994	
781367	124210	
781367	203834	Manana
781368	177563	
781369	3113	Clothilde
781369	72391	Festival Critic
781369	117958	Hart
781369	258878	Sigma Reporter
781369	360251	Goodyear Girl
781369	379786	Herself
781369	382235	Herself
781369	394438	
781369	396763	Herself (1999-2000)
781369	406172	(2000-)
781370	79142	Starata zhena
781370	212296	Babata na Elitza
781370	265149	
781371	185624	Lauren
781371	248676	Crystal
781372	82585	Encargada de la boutique
781373	370398	Anna Boettiger
781374	144786	
781374	149445	
781374	264727	
781374	264910	
781374	287892	Garota
781374	399052	Herself (2001)
781374	401154	Herself/Pupil
781374	407173	Herself (2003-)
781375	58070	Nightclub girl
781375	89930	
781375	195028	Deputy Mayor's wife
781376	81249	
781377	255763	
781377	256366	Pirkko Nurmi
781378	186072	Dark-haired Girl
781378	267122	
781379	353845	Famille bulgare
781380	202182	Maycheto mlada
781380	204372	Tarasundari
781380	208654	Neela
781380	278802	
781380	297542	Sobha
781380	298630	
781380	374062	
781381	18953	Mom #1
781382	88102	Eva (19 years old)
781382	134354	
781382	253065	Girl in the Courtesan's House
781382	327791	
781382	370875	
781383	9443	
781383	101521	
781383	116778	Manga
781383	138597	
781383	173816	
781383	175650	Parvathi Ammal
781383	202609	
781383	221352	
781383	233184	Rukku
781383	247403	
781383	259226	
781383	287160	
781383	288518	Pazhani
781384	1701	Herself - Presenter
781384	203328	Herself
781384	228775	Herself
781384	385255	Herself
781384	405222	Host
781384	407648	Herself
781385	2116	Eunice
781385	88090	Older Willetta
781385	165421	Fairbanks
781385	170518	
781385	223084	Old Woman in Tenement Buildin
781386	25967	
781386	64912	Deanna
781386	110290	Shuet
781386	287034	Michelle
781387	9274	
781388	287594	
781388	385543	Mualla
781389	177901	
781390	171	Herself
781390	686	Herself
781390	687	Herself
781390	694	Herself/Host
781390	1339	Voice
781390	2762	Herself - Presenter: Leading 
781390	2796	Herself - Co-presenter: Best 
781390	2899	Herself
781390	2904	Herself
781390	2909	Herself - Co-presenter: Best 
781390	2924	Herself
781390	2930	Herself - Best Actress Winner
781390	2940	Herself - Presenter: Best Act
781390	3021	Herself - Presenter and Parti
781390	3052	Herself/interviewee
781390	3053	Herself - Presenter: Memorial
781390	3055	Herself - Co-presenter: Best 
781390	3223	Narrator
781390	3761	Herself
781390	7585	Herself
781390	8870	Herself
781390	10414	Liz
781390	11670	Herself
781390	18635	Adele August
781390	23211	Sally Matthews
781390	29227	Lavinia Kingsley
781390	32995	Herself
781390	35458	Herself
781390	42386	Tawna Titan
781390	47453	Narrator
781390	48719	Emily
781390	49207	Annie Savoy
781390	49917	Narrator
781390	56992	Ivy
781390	57766	Herself
781390	60241	C.C. Wainwright
781390	60685	Jane Spoffard
781390	65612	Reggie Love
781390	68825	Judith Singer
781390	69079	Herself
781390	72504	Margherita Sarfatti
781390	80508	Sister Helen Prejean
781390	87418	Herself (Special Appearances 
781390	87981	Herself/presenter
781390	92864	Chloe
781390	94206	Melanie Bruwer
781390	96770	Charlotte Emory
781390	99311	Hollie Baylor
781390	105881	Sunny
781390	106739	Ailie Calhoun
781390	113005	Herself
781390	115331	Elizabeth Hawkins
781390	119525	Herself
781390	120692	Peggy Grant
781390	127282	Narrator
781390	131799	Narrator
781390	133850	Mary Beth
781390	152844	Sarah Roberts
781390	155219	Jerri Nielsen
781390	155688	Narrator
781390	155949	Mimi Slocumb
781390	155950	Herself
781390	156480	Celimene
781390	162039	Claretta Petacci
781390	162809	Narrator
781390	165252	Spider
781390	165635	Christine Starkey
781390	168216	Melissa Compton
781390	168246	Alice Neel
781390	169436	Narrator
781390	170618	
781390	177451	Rose
781390	185459	Ginny
781390	185529	Herself
781390	190482	Ann
781390	192413	Mrs. March
781390	192927	Herself
781390	194564	Michaela Odone
781390	196527	Sarah
781390	196544	Stephanie
781390	201745	Herself
781390	203864	Narrator
781390	218785	Jojo Floss
781390	219526	Sally
781390	223246	Edda Ciano
781390	228917	Narrator
781390	229321	Narrator
781390	234515	Rose
781390	244397	Catherine Alexander Douglas
781390	244824	Mrs. Clark
781390	257689	Herself
781390	263314	Hattie
781390	272655	Herself
781390	278402	Patsy Johnson
781390	280278	Herself
781390	280279	Janet Weiss
781390	280844	Kitty Kane
781390	283016	Narrator
781390	283102	Coco LaBouche
781390	288440	
781390	288703	Herself
781390	295636	Herself
781390	297181	Beverly
781390	297220	Narrator
781390	308092	Madeline Ross
781390	314459	Jackie Harrison
781390	321206	Sandra Boon
781390	326663	Herself - Presenter
781390	327264	Narrator
781390	327405	Aretha
781390	329833	Louise
781390	329834	Herself
781390	330679	Narrator
781390	330817	Narrator
781390	331922	Narrator
781390	332365	Tibetan Voiceovers
781390	342481	Catherine Ames
781390	348454	Narrator
781390	358600	Narrator
781390	362036	
781390	363130	Herself
781390	363648	
781390	363953	Nora Baker
781390	364135	Helene Shaw
781390	365629	Narrator
781390	366644	Herself
781390	366761	Jane Spofford
781390	367878	Col. Margaret Ann Jessup
781390	370011	
781390	379015	Livilla
781390	381111	Herself
781390	384085	Princess Wensicia Corrino
781390	388202	Beauty
781390	398791	Host
781390	404613	Sarah Fairbanks (1972)
781390	404673	Narrator
781390	411087	
781390	411419	Patrice Kahlman (1970-1971)
781391	112652	Rosa Ruggeri
781391	220608	Carmen
781392	236066	
781393	232674	
781394	181883	Näytteidenottaja
781395	394650	Herself
781396	4184	Mallika
781396	17366	Child Psychiatrist
781396	21355	
781396	60670	
781396	89644	
781396	100360	
781396	228871	Neela
781396	368252	
781397	399887	
781398	5186	Les mannequins
781399	9190	Nurse
781399	375558	Nurse
781400	17375	
781400	85345	Swarna
781400	208576	Young Sasirekha
781400	260000	Annam
781400	278141	Sylvie
781400	327552	
781401	330360	
781402	16165	Leela
781402	136060	Neelmani
781402	270558	Kutila
781403	217336	
781403	336641	Prostituee
781404	287586	Lisa Von Hagen
781405	252317	Une élève de Melle du Merle
781406	1296	
781407	74661	
781409	148053	
781410	164699	Maid
781411	138304	
781411	152381	
781411	175453	
781411	180249	
781411	186494	
781411	207579	
781411	250689	
781412	173700	
781413	10596	Pedestrian
781413	41930	Singer
781413	117485	Hatcheck girl
781413	120512	Bit part
781413	197869	Bit part
781413	223854	Actress
781413	345860	Woman
781414	102536	
781414	124215	
781416	1695	
781416	22090	
781416	33300	
781416	38207	
781416	51318	
781416	51890	
781416	89498	
781416	136753	
781416	156073	
781416	163089	
781416	180323	
781416	184602	
781416	201401	
781416	285569	
781416	295505	
781416	373247	
781416	380744	
781416	392495	
781416	407308	
781417	378599	Sibel
781417	382095	Harika Goyali
781418	64628	
781419	227778	
781419	293696	
781420	10385	
781420	12046	The secretary
781420	25136	
781420	45147	
781420	58308	
781420	70596	
781420	91079	
781420	108491	
781420	111013	
781420	111698	Marceline
781420	134382	
781420	156564	
781420	168861	
781420	201164	
781420	205494	
781420	205909	
781420	206049	Mrs. Bonichon
781420	208559	
781420	208805	
781420	217662	
781420	236581	Nadan
781420	249037	
781420	257077	Mme Dutilleul
781420	258957	Ernestine
781420	261823	
781420	263987	
781420	275642	
781420	279635	
781420	280522	
781420	309981	
781420	337732	
781420	340116	
781420	340123	
781420	341125	
781420	346585	
781420	353839	Marie, la cuisinière
781420	355266	
781420	370108	Baroness of Grivaudan
781420	377958	
781421	313064	Euple's sister
781422	148589	Réceptionniste
781423	59650	
781424	229734	Ramie
781425	95595	Dzojstik devojka 1
781426	8214	
781426	10187	La mère
781426	10290	Hélène
781426	17283	Récitante
781426	23692	La grand-mère
781426	23833	Freda
781426	24407	La jeune veuve
781426	53232	Henriette Deluzy
781426	57472	
781426	58174	Denise
781426	63774	Mathilde, la mère de Nicole
781426	66225	Louise
781426	74337	
781426	83231	Mme Delaunay
781426	84651	La femme du parc
781426	94416	Mother
781426	101181	La grand-mère
781426	107240	Rose
781426	112178	
781426	148619	Catherine Ponson
781426	153874	Elisabeth Rouvier
781426	161568	
781426	166565	Head and Heart Game
781426	189100	The Mother
781426	202090	Madame Destouches
781426	222897	Muriel Lenormand
781426	225410	Colette de Marval
781426	236554	
781426	246017	La directrice/Principal
781426	264212	L'abbesse
781426	265216	
781426	269244	Catherine
781426	275661	Mme Hausmann
781426	284641	Mamie
781426	286312	Élisabeth Camberlin
781426	301405	Madame Lecloguen
781426	309720	La belle-soeur
781426	340086	Hélène Lépervier
781426	345225	L'acrobate
781426	345329	Madame Mardène
781426	345369	
781426	345544	Esperanza
781426	346445	Marie
781426	353915	La Baronne
781426	356515	Renee
781426	357089	Reine de Moressée
781426	373344	Octavie Obardi
781426	377014	
781426	377869	Camille âgée
781426	377905	Maurice's Mother
781426	380580	Mme Dumourier
781426	381505	Rose Monclar
781426	387848	Mme de Saint-Aimond
781426	388716	Teacher
781426	389005	Impératrice Eugènie
781426	390480	Madame Fournier
781426	397195	Anne d'Autriche
781426	397200	Marie Restou
781426	398254	Lydia Baron
781426	401939	Jeanne Fortier
781426	403557	La folle/La princesse Nadeia 
781426	406196	Delphine de Nucingen
781426	409440	La jeune femme
781426	409531	Mlle Jeanne
781426	410376	
781427	391057	Herself - Participant
781428	203670	Hooker #2
781428	305571	Judy Wagner
781428	320938	Sharon
781429	274295	
781430	153120	Siva
781431	2868	La mere de Virginie
781432	84743	
781433	309191	Altynai, village girl
781434	17937	Anne
781435	310094	Kathleen
781436	283151	
781437	134664	Five-year-old sister
781438	317401	
781439	252194	
781440	286595	Mulata Samba Show
781441	390489	
781442	14852	Sicilian grandmother
781442	45889	Mother Vincenzino
781442	50593	Milu
781442	68434	Ignazia Piccolomini
781442	87557	La madre di Aclà
781442	156024	Mrs. Gomez
781442	183476	
781442	198551	Gabriella
781442	202576	2a Donna linciaggio
781442	230000	The servant
781442	252780	Nerina
781442	277587	
781442	313182	Lucia
781442	383609	Lucia Sacerdoti
781442	400142	Olivieri's mother
781443	252668	
781443	315444	
781444	30508	
781444	300636	Elvira
781444	386430	Matilde Soavi
781444	393897	Cleopatra
781444	400404	Irene
781444	401970	Anna Boschi ( 1996-1998 2002-
781445	5794	Anita
781445	129266	
781445	179110	Aunt
781445	265726	
781445	271925	
781445	339287	Marija
781445	339345	Lenèka
781445	349198	Jablanica
781445	352784	Mara
781446	412201	Julie Alberti
781447	390498	Senora Ospedale
781448	251054	Girl 1
781449	23792	
781449	51223	Berthe Bérurier
781449	63722	
781449	119423	La femme à barbe
781449	124609	
781449	133171	Josette Conségude
781449	146429	La matronne
781449	147067	Mado
781449	158829	La mère Venot
781449	167232	Myriam Hanesco
781449	198462	Mme Riri
781449	202747	Zézette
781449	212154	Une amie
781449	222510	Madame Charlus
781449	230637	
781449	235821	Mme Bindinelli
781449	240420	Mme Crouzy
781449	243022	La concierge de Kramer
781449	248265	Pauline, la mère de Clovis
781449	264311	
781449	264524	La caissière
781449	269228	
781449	283048	La nourrice
781449	294603	Hélène, la domestique de Gilb
781449	300760	La fleuriste
781449	318516	
781449	338697	
781449	351717	la concierge
781449	353864	La quémandeuse d'autographes
781449	357858	La concierge
781449	388507	Mme Perrier
781449	389005	Mme Mirador
781449	391620	Joséphine
781449	396472	
781449	396597	Marguerite (segment "Aux inno
781450	324122	
781451	3470	Sofía
781451	6022	Assumpta Roca
781451	9084	Aurora
781451	10225	Asun
781451	13184	Petra von Kant
781451	14362	Fanny
781451	17325	Anita
781451	18653	Manoli
781451	40267	
781451	55866	Dona
781451	58180	
781451	63755	Laura
781451	83540	Madre de Elvira
781451	91417	Aramis (alias La Carnicera)
781451	95348	Duquesa
781451	97809	Noelia
781451	99794	Betibú
781451	100703	Ama de llaves
781451	103385	Rosa
781451	111995	Catalina Foix
781451	118158	Herself - Presenter: Best Mov
781451	122973	Herself
781451	133083	Ana
781451	147056	
781451	152775	
781451	156018	La madre de Lucía
781451	158847	
781451	219424	Cuqui
781451	225079	Leonor
781451	233336	Rosa Rosales
781451	248863	Antonia Font
781451	248865	Marta
781451	262976	Herself - Presenter
781451	270670	
781451	272693	Tieta Nuri
781451	280576	Herself
781451	281264	
781451	301115	Angélica
781451	302403	Ronda
781451	317841	
781451	320326	Angélica
781451	326307	Aurora
781451	334678	Rosa's Mother
781451	336265	Madame
781451	353197	Maruja
781451	353290	Ramoneta
781451	354265	Herself - Presenter: Best Cin
781451	354272	Herself - Host & Winner: Best
781451	369556	Herself - Presenter: Best Dir
781451	369754	Herself -Host
781451	369994	Herself - Host & Winner: Best
781451	369996	Herself - Presenter: Best Lea
781451	376810	Sole
781451	379474	Host
781451	391906	
781451	400126	Herself - Host (1991-1992)
781451	410205	
781452	3377	
781453	400445	Lídia
781453	401897	Thais
781454	58754	Woman with rosary
781454	148702	Washer
781455	14963	
781455	63817	
781455	94697	
781455	102646	
781455	202276	
781456	172920	Rasa Devi's Courtesan
781457	105822	
781457	147612	Hayrider #1
781457	274293	Irish Singer
781457	336239	Club Girl
781458	43625	Ouvreuse cinéma
781459	29676	Laurie Johnson
781459	30647	Roxy
781459	60240	Jerri Simpson
781459	72558	Madeline
781459	80031	Female Highway Patrol Officer
781459	82327	
781459	139777	Natalie Caldwell
781459	149604	Herself - Mummy
781459	192278	Catherine
781459	229865	Natalie
781459	296990	Suette
781459	303861	Vicki Rosenthal
781459	333043	Gloria Keene
781460	24420	
781460	30507	
781460	37766	Zoska
781460	51152	Mme Alberti
781460	76120	
781460	111756	Mme Gontard d'Orville
781460	130211	Miss Sewerynka
781460	165123	Neighbor
781460	205972	La veuve
781460	214246	Beta
781460	260389	Helena's Aunt
781460	309310	
781460	340029	Momma
781460	343979	Chaplain
781460	363972	Charlotte
781460	375648	
781460	380346	Gypsy
781460	408826	Dobrzysia
781461	6440	
781461	14822	
781461	221556	
781461	235998	Tía Zafira
781461	382197	Dra. Ruíz
781462	110027	Suzie
781463	71766	PR Peron
781464	28196	Pamela
781464	233948	
781464	381721	
781464	387807	Mimi
781464	387965	
781464	390096	Verónica Landaeta Santa María
781464	396618	
781464	398472	
781464	399943	Vanessa Ventura-Miller Agois
781464	404713	
781465	19524	Adelaide
781466	167346	
781468	29920	Mary Washington
781469	2132	Emily
781469	119357	Gina
781470	226899	Mrs. Halloran
781470	331393	Jan Baker
781470	388792	Connie Martin Thayer #1
781470	398736	Barbara Miller
781471	380784	Herself
781472	10319	Nancy
781472	64791	Sally
781473	125077	Hotel Receptionist
781473	342822	Sphinx Girl
781474	338045	Jean, a Singer
781476	510	Natsume/Aura
781476	511	Additional Voices
781476	515	Natsume/Aura
781476	516	Natsume/Aura
781476	517	Natsume/Aura
781476	4017	Morgan le Fe
781476	20458	Allen's Secretary, MFN Newsca
781476	20460	AM Plant Warning, Repoter
781476	30736	Holy Sword B
781476	31053	(English version)
781476	46135	Bubbles
781476	49715	Sybel
781476	49763	Dental receptionist
781476	54891	The Nothing
781476	72237	Judy
781476	79875	Mrs. Wisnovsky
781476	92718	Furiae
781476	98675	Nanami Jinnai
781476	98676	Nanami Jinnai
781476	122110	
781476	122111	
781476	122112	Additional Voices
781476	122113	Additional Voices
781476	138135	Cyberdoll May (English versio
781476	152909	Sana
781476	158865	Terry
781476	176536	Laleh Sune
781476	182706	Additional Voices
781476	186680	Dr. Siegel's Seminar
781476	252839	
781476	271676	Additional Voices
781476	289314	Meishin (English version)
781476	299125	Nanami Jinnai
781476	307988	The dance teacher
781476	313338	Clair Lasbard
781476	316620	Chun-Li
781476	316626	Chun Lei (English version)
781476	327006	Encircled Child
781476	328637	Student
781476	329968	Secretary
781476	331182	Kyleen
781476	336577	
781476	369525	Shion Uzuki
781476	373380	Botan
781476	373381	Botan (AnimeWorks Video Engli
781476	373382	Botan (Media Blasters 1998)
781476	378652	Aura
781476	379484	Miyabi Kagurazaki
781476	379485	Student, Kumi Honjo, Miyabi K
781476	381401	Akari Kanzaki
781476	381960	R.Dorothy Wayneright (English
781476	385060	Marina Oki
781476	385151	Judy
781476	387419	Nanami Jinnai
781476	389791	Yukino (English dub)
781476	393552	Mitsuko Komyoji
781476	394016	Female FBI Agent
781476	394424	Latora
781476	394427	Mother
781476	396484	Red Headed-Ando, Flight Atten
781476	397187	Mikako, Manami's Mother, Addi
781476	403959	Ship's Information Voice, Cro
781476	404060	Marine
781476	404122	Hilda, Artemis
781476	404228	Student With Box Lunch, Nanas
781476	404879	Chisa Yomoda (English Dub)
781476	406083	Mia Portnoy
781476	406702	Chun-Li (English Dub)
781476	408893	Milly Thompson (English dub) 
781476	409831	Misty Cornwell, Gascogne's Si
781476	411343	Neige
781476	411563	Arashi Kishû
781477	96879	Lilly Longtooth
781477	199405	Miss Kilgore
781478	402197	Kath Deakin (1985)
781479	170845	Dudettes member
781480	13074	
781480	398856	
781481	23052	
781482	19259	Donara
781483	10820	Alicia
781483	270056	
781484	28200	
781484	160255	Wajan's Sweetheart
781484	243831	Woman Who Committed Suicide
781485	38767	
781485	213413	Herself - performer
781486	275526	
781487	378658	
781487	382951	Luli
781487	383032	
781487	385070	Andrea
781487	393478	Bianca
781487	398661	Gloria Esposito
781487	398842	
781487	405789	
781488	299843	Julie
781488	345636	Robin
781489	394225	Katitzi
781490	11943	Marie
781491	233244	Ilona Ahlgren
781491	278349	Anni Hall
781491	321973	Brita Ekestubbe
781492	140709	
781493	307573	
781494	537	Amalia
781495	149142	Gorodnikov's Wife
781495	161576	Art Critic
781495	356072	
781495	405705	
781495	410582	Mrs. Weinrich
781496	266068	
781497	104766	Yugoslav entry (21st place)
781497	170233	Herself
781498	230445	Girl at Party
781499	181470	Ana
781499	259133	
781499	292978	Sister Rozalija
781499	400120	Mireille Deltour
781500	288932	The Waitress
781501	23792	Jane
781501	340167	Mme de Lannoy
781501	345403	
781502	297734	Bhuban
781503	4425	Nina, a little girl
781503	4429	
781503	13856	Dolly
781503	27410	Juhi
781503	27492	
781503	28247	
781503	38192	
781503	79461	Sushma
781503	84745	
781503	86632	Laxmi Rai
781503	86650	Gulabo/Rani
781503	86767	
781503	98472	
781503	123910	
781503	124953	Radha
781503	134362	Sapna
781503	137987	Sarika
781503	164306	
781503	164315	Bindiya
781503	171522	
781503	171524	
781503	176184	
781503	180724	Sheetal
781503	199647	
781503	201272	Child artiste
781503	227990	Mala, Tiger's sister
781503	268598	Rohini
781503	271414	
781503	271743	Cameo appearance
781503	287565	
781503	287915	Munni
781503	288665	Sheila
781503	288778	Satyakam (Kabul)
781503	297579	Anita Kohli
781503	297727	
781503	300319	Aruna Gupta
781503	326961	
781503	353772	Neelima
781503	370960	
781503	370981	
781503	389146	Doamna Drucker
781504	382135	Nazan
781505	10517	Marjina
781505	36593	
781505	49110	
781505	78633	
781505	79954	
781505	84429	
781505	125357	
781505	126141	
781505	155181	Sabariah
781505	166372	
781505	166630	
781505	183206	Sarimah
781505	199860	Rohani
781505	210924	
781505	249071	The maid (segment "La Muette"
781505	271426	
781505	272193	
781505	289272	
781505	332752	Ghasidah
781506	172894	
781507	218341	Tuppa Girl
781508	405482	Kaija teininä
781509	162750	
781509	171583	Hanna Ström
781509	186072	Gaselli
781509	216397	Merja Arokivi
781509	278597	Kotipalveluohjaaja
781509	392554	
781509	402507	
781509	407885	
781509	409711	
781510	127487	Fontana Model
781511	25553	
781511	79646	
781511	172537	
781511	173372	
781511	186401	Lynn Sutter
781511	195860	
781511	213807	
781511	221108	
781511	297027	
781511	322695	
781512	407024	Solano's Mother
781513	160254	Rita
781514	4059	
781514	5605	Thenmozhi
781514	8399	
781514	14518	Janaki
781514	136085	
781514	170425	
781514	173132	
781514	190129	Vice Principal
781514	202169	Sharada
781514	206256	Swapna
781514	303416	
781514	329204	
781514	329286	
781514	329305	
781514	329359	
781515	13162	
781515	139908	Melisa
781515	293378	Ximena
781515	334653	Valentina
781515	390404	Enriqueta
781515	396209	Mariela
781515	397016	Rosa Isela
781516	271520	Herself - Vocal ensemble Raja
781516	329318	Herself - Vocal ensemble Raja
781517	179212	Tzvia, the teacher
781517	206496	Hedva
781517	394687	Osnat (2003)
781518	215623	
781519	24715	
781520	29402	
781520	173399	
781521	59398	Sari
781521	362611	
781522	86525	
781522	228693	Hemnalini (Bengali version)
781523	36618	
781523	173395	
781524	333895	Mungli
781525	253787	
781526	107843	Dr. Nisha Mehta
781526	385020	Nita Desai (1999-2000)
781527	115465	
781527	311703	Herself
781527	382838	Nisha Batra (1988-1990, 2000-
781527	395919	Jyoti Solanki
781527	399529	Anji
781528	241347	Nurse Pilbow
781529	356929	Herself
781530	356184	Nina
781531	6503	Seta, Hera's Sister
781531	108408	Van's Mother
781531	119966	Marinella
781531	169946	Prison Doctor
781531	307357	Irene
781531	315878	Antonia
781531	343055	Middle-Aged Woman
781532	147045	
781532	169512	Lavash Baker
781532	176051	Angin
781532	226719	Noubar
781532	295253	Widow
781532	371285	Serik Davtyan
781532	372025	
781533	394959	Maria
781534	48681	
781534	52725	Valentine de Croisy
781534	85368	
781534	226043	
781535	236493	The Child
781536	162732	Alissa Datuk Mazlan
781537	64962	
781538	12146	Chica Guardarropa
781538	85975	Prostituée
781539	490	
781539	50049	
781539	55369	Delicia
781539	77268	
781539	83862	
781539	87087	Laura
781539	87089	
781539	96347	
781539	99787	Ansine
781539	99794	Cantante
781539	110159	
781539	111985	
781539	121216	Laura
781539	121966	Barbara
781539	159032	
781539	160189	
781539	161437	Maria
781539	187891	
781539	197217	
781539	205995	
781539	221907	Eva
781539	221942	
781539	284809	Angela
781539	295108	Cora
781539	295109	
781539	296150	
781539	296473	Flor Tetis
781539	328042	
781539	340867	
781539	355750	
781539	378021	
781539	378405	
781539	388946	Tota
781539	406600	Sarllya
781540	24374	
781540	265549	
781541	133043	
781542	389619	Host
781543	45547	
781543	79247	
781544	373374	Velma Angström
781545	42894	
781546	380330	Carmem
781546	384002	
781546	384303	Vicenza
781546	387777	Leonor
781546	387804	Carolina
781546	390054	
781546	393615	Clarice
781546	401095	Olímpia
781546	407801	Natália
781547	398219	
781547	400666	
781548	352855	Jovem Devota
781549	258737	(poem 'Quadrilha')
781550	12742	
781550	169556	
781550	328191	Lígia
781551	381072	Mireya 'yeya'
781551	397737	Magaly 'Negra'
781552	112736	
781553	128727	Dancer
781554	112736	
781555	102115	Nicky's Wife
781556	43237	Journalist
781557	74828	(segment "Intriga familiar")
781558	29240	
781558	176673	
781558	284630	
781559	56244	
781559	127602	Voz
781559	153334	María José Alfonso
781560	398494	Pretty Girl
781561	88320	
781562	56658	Girl Villager
781563	156035	Toshi
781564	298216	Model
781565	30313	Saskia Kest
781565	33450	Jasmin
781565	69843	Birgit
781565	93631	Marie
781565	95283	Sabine Schmücker
781565	101540	Klarissa
781565	125165	Henriette Schneider
781565	147169	Babs
781565	147261	Cornelia Safranski
781565	155406	Kathrin Andresen
781565	170510	Phoebe Panizzi
781565	209875	Clara
781565	226251	
781565	300996	Birgit
781565	308243	
781565	310903	Veronica Blau/Rita
781565	325399	Vera
781565	325664	Tatjana Riegelsberger
781565	341923	Lisa
781565	356695	Margot
781565	361049	Lizzi
781566	161433	
781567	143562	(2001)
781568	164755	
781568	174931	
781569	68140	doppiatrice
781569	214854	Chicca Catapano
781571	5802	Theresa D'Salvio
781571	132098	Mrs. Kramer
781571	139216	Continental Representative
781571	139283	Josie
781571	149911	Nurse Rivers
781571	163719	Nina
781571	252454	Night Nurse
781571	261986	Moderator
781571	276085	Mrs. Pearlman
781571	387309	Mrs. Arnold (1981)
781572	89850	
781573	99677	
781574	120192	Ma
781575	205268	Sheila Feld
781576	162234	Grete Iller
781577	343294	Nanny
781578	178298	
781578	248782	
781578	334702	
781579	166532	Laxmi
781580	28304	Widow's Daughter
781580	28305	Widow's Daughter
781580	332172	Charu
781581	173446	Madhavi
781582	370084	
781583	57079	
781583	388692	Fanny
781584	384587	First Hostess
781584	394163	1st Hostess
781585	48969	
781586	367826	
781587	117974	Myriam
781588	126161	Elka
781588	181067	
781588	187387	Bena
781588	310475	
781589	188007	Hasmik
781590	41747	Arlene Bartowski
781590	67601	Elise
781590	133409	Hutch's Wife
781590	149495	Carla
781590	162617	
781590	180493	Sissy
781590	200925	
781590	307896	Samantha
781590	323591	Coed #2
781591	104727	Herself
781592	272518	Melanie Carson
781593	3251	Herself
781593	264101	Presenter
781593	305490	Herself/Presenter
781593	307670	Herself/Narrator
781593	389038	Herself
781593	398436	Herself/Presenter
781593	398442	Presenter
781593	407325	Presenter (2001-)
781593	411839	Herself/Presenter
781594	106796	Mada
781595	268540	Mrs. Yebuah
781596	106274	Fille du Commissariat
781597	100405	Niña de la clase
781598	274668	Felicity
781598	359149	Tangie
781599	18962	Herself
781600	226959	
781601	72074	
781602	24476	Italian Woman - Paradiso's Fi
781602	96162	La collègue de Marie
781602	336302	Production designer 2
781603	23673	La fille du musée
781604	92513	Mintz' secretary
781604	109607	Justine Tyler
781604	206159	Mercedes Lady
781604	290861	Tricia Rollins
781604	366740	Lisa
781604	375936	Maggie
781605	68370	La jeune fille que Mathieu em
781607	162266	Foofey
781608	33569	Charlotte
781608	112893	Pauline
781608	121414	Marina
781609	346533	Prostitute 1
781610	101582	
781610	400149	Herself (2000-)
781611	345475	Herself
781612	249712	Femme aux bigoudis
781613	282488	Suzy
781614	166169	
781615	147008	Belly dancer
781615	259365	Mård's woman
781616	24096	Herself (FDJ-Instrukteurin, S
781617	390848	Laura
781618	320563	
781619	48361	Clarinet Player
781619	84319	Asta
781619	192821	Waitress
781619	219840	Eila
781619	281908	Karin Larsson's mother
781619	303199	Girl in school
781619	349075	Rut Ruda
781619	397783	The teacher
781620	19040	
781621	355808	La nouvelle femme de Sassi
781622	18230	
781622	97920	Thalia Chalkia
781622	125618	
781622	254398	Ariadne
781622	265280	
781622	327123	
781622	380496	
781623	236155	Rebecca Fuller
781624	109264	Tina
781625	69972	Giulietta
781625	257474	Junon
781626	8255	Albia
781626	45746	La Feuillade
781626	131090	
781626	307460	
781627	352635	Employée mairie
781628	67209	La photographe
781629	71559	Haydee
781629	113933	French Patronne
781629	358703	Dr. Djurovic
781630	247159	Niña
781631	10134	
781631	118686	Sister Camila
781631	143756	Concha
781631	188925	Marilou
781631	221932	
781632	85260	
781633	150696	Lilo
781633	189898	Gloria
781633	376438	
781634	341459	Singing girl
781635	174779	
781636	296980	Reporter
781637	211349	Singer
781638	328891	
781639	111373	The assistant of the director
781640	455	Miriam Castelloni
781640	125105	Fanny Petermann
781640	179005	TV-Reporterin
781640	183341	
781640	226336	Karen
781640	233958	
781640	235905	Karin Hofmann
781640	281715	Catherine
781640	290571	Sandra
781640	325569	
781640	325798	Tina
781640	361046	Tanja
781640	374622	
781640	376361	Ricki
781640	395667	Dani Schmitz
781640	405805	Daniela Fiori
781640	412102	Ricki
781641	354151	
781641	406783	La standardiste
781642	79944	Boat passenger
781643	365380	Woman in Old Hotel
781644	18795	Hija Nicosi
781645	92695	Maid/Nun
781646	355537	Watcher
781647	395302	Ofélia
781648	93612	Beppie
781648	287863	Rosita
781649	305571	Young American Miss
781651	380430	
781652	272643	Member of drama company 'Quel
781655	132572	
781656	125124	Susanne
781656	317664	Veronika
781656	332724	
781656	368741	Anette Rabe
781656	391472	Anja Hainbach
781657	400681	Une vieille dame
781658	118091	
781658	164152	Marchande journaux
781659	384804	Herself (evicted round 3)
781660	382135	
781661	124843	
781661	179905	
781661	229066	
781661	370188	
781661	370189	
781661	373523	Tanya Tyurikova
781661	374941	Marishka
781662	67586	Maid
781662	78182	Midari
781662	166917	Reporter
781662	379831	Jean Tsukahara (1990)
781662	398567	Karen Ting (1995-1996)
781663	20625	Extra
781664	350672	Birgit Lahti
781665	174667	Vierka - robotnícka
781667	295620	
781668	248735	
781669	25982	
781670	200470	Sandwich Thief
781671	33466	Le diable
781672	189484	
781673	33838	
781674	273910	Neighbor in Living Room
781675	31535	
781675	106223	
781675	380145	Marisa
781675	380146	
781676	100548	
781677	388240	Laura
781678	268430	
781680	322099	
781681	246444	
781682	326957	Leila
781682	405159	Amy Docherty
781683	35938	Giuditta
781684	17424	
781684	20178	
781684	37479	Setsu
781684	76880	
781684	122150	Girl
781684	175364	
781684	242362	
781684	296642	
781684	334938	
781684	358402	
781684	375610	
781685	242160	Yoko
781686	342189	Herself
781686	351613	Herself
781687	101564	Arabian Woman
781687	101565	
781688	332845	Karate Kid
781689	348992	
781690	299105	Reporter
781691	125458	
781691	174940	
781691	182129	
781692	45009	Echidna
781693	156103	Maria Messa
781694	186624	Sasaki, Kaoruko
781695	274361	Oyabun's guard
781696	122900	Kagemaru
781697	359921	
781698	363355	American Boy's Mom
781699	334958	
781700	348762	
781701	170759	Kimi-San Grey
781702	152929	Officer Naoko
781703	299098	The Fairy
781704	99018	Die Schleppträgerin
781704	110732	Hana
781705	63713	Vanessa Laird
781705	74122	Alfin
781705	74123	Alfin
781705	179507	Miya's Mom
781705	354828	Jun
781705	384227	Vanessa Laird, Mayor's Wife
781705	394419	Manon
781705	405175	Reiko Yuuki
781705	405279	Gertrude
781705	411667	Belkins
781706	28059	Yaeko Numata (Episode 1)
781706	61525	Maid
781706	131194	
781706	137040	
781706	139724	
781706	145448	Kana
781706	172277	Suzu
781706	179305	
781706	179523	
781706	180593	Woman of water-bus
781706	216508	Shige-san
781706	232611	Hisako's Mother
781706	232903	Woman at the port
781706	233121	En
781706	237652	
781706	238860	
781706	239321	
781706	242134	
781706	244570	
781706	288064	Junko's mother
781706	341228	Maid at a hotel
781706	341275	Kishikawa
781706	359830	
781706	372017	Sumi Okura
781706	373228	
781706	403411	Dr. Ikuma's wife
781707	359612	
781708	151154	The Ghost of Shigero
781709	61474	
781710	15367	
781710	122235	
781710	334958	
781711	344881	
781712	242417	
781713	316620	Cammy White
781713	406702	Cammy White
781714	21420	Narrator
781714	210156	Mahi-Tau
781714	293450	Yuki Heiiwa
781714	378718	Kourin
781714	384051	Grandma
781714	391594	Hanako Nonohara
781714	396500	Selene
781714	397828	Rika Kageura
781714	405166	Narrator
781714	405175	Kei Amamiya/Ami Asaka
781714	411667	Yukari
781715	185354	
781716	19700	
781716	140656	
781716	175508	Hiroko Saeki
781716	181997	Kikuyo Ishioka
781716	235267	
781716	243323	
781716	284872	Mie Fuyuki
781716	293557	
781716	324640	
781716	327002	
781717	54203	Sakura Kasugano
781717	54204	Sakura Kasugano
781717	206799	Sakura Kasugano/Dark Sakura
781717	258547	Sakura Kasugano
781717	299262	Sakura Kasugano
781717	316618	Sakura Kasugano
781717	316619	
781717	316625	Sakura Kasugano/Sally
781717	319444	Sakura Kasugano
781718	139856	
781719	37385	
781719	39874	
781719	87462	
781719	128729	
781719	150172	
781719	236944	
781719	301012	
781719	332450	
781719	333171	Herself
781719	377142	Angélica
781719	379602	Jessica Lascurain
781719	386616	Tatiana's dog
781719	401068	Ana
781719	402077	Rosario
781719	408851	
781719	410093	Gabriela Muñoz
781720	33993	
781720	86700	
781720	89597	
781720	95039	
781721	43213	
781721	238360	
781722	81038	Psychiatrist #1
781723	321836	Shruthi
781724	343979	
781725	1434	Herself
781725	156350	
781726	380054	La Mini
781726	381153	
781727	160984	Helen
781728	104746	Dutch entry (6th place)
781728	108212	Une enfant
781728	125723	
781728	228239	Herself
781728	228240	Herself
781728	386727	
781728	387932	
781728	396741	Francisca
781728	397541	Lili
781728	401791	
781728	402264	
781728	403200	
781729	73080	Anne
781729	170105	Josette
781730	284271	La jeune juive
781731	307822	
781732	153381	
781733	123376	The Girl
781734	108087	Mrs. Tossoff
781735	326600	Hairdresser
781735	392942	Sandra
781736	223009	Translator #1
781737	332149	Daisy Bannister
781738	182637	Judit (Judith)
781738	340009	Giorgetta (Il Tabarro)
781738	377807	(soloist)
781739	37700	Jailbait Band Member - keyboa
781739	42982	Tish
781739	147404	Girl on a Leash
781739	203264	Jeanne
781739	280016	Topless Sorority Girl
781739	312265	Rich Girl #1
781739	366752	Marta
781740	121899	
781741	207947	
781742	47077	Be Aggressive Girl
781743	207828	Child in Classroom
781744	5397	Anna
781744	20797	Antiope
781744	36548	Why
781744	104003	Rosanna
781744	107382	Helene Maroni
781744	111300	Cordelia
781744	119432	Mara
781744	135245	Guendalina
781744	200415	Carla Bonelli
781744	206025	
781744	228132	Francesca
781744	256651	Princess Hada
781744	287226	
781744	307585	
781744	312861	
781744	342124	Allegra Barberio
781744	356163	Eugenia
781745	229628	
781745	259479	
781745	259571	Kerstin Bremer
781745	312640	Journalistin
781746	356701	
781747	316715	Store Lady
781748	29817	Woman (shootings in America)
781748	152775	Carmen
781748	165334	Silvia's Friend
781748	204311	
781748	334661	
781749	149282	Trudy
781749	397306	Suzanne Lievegoed (1988-1990)
781750	223490	
781750	325402	
781750	397370	Nachbarin
781751	215905	Neighbor Woman
781752	59149	Brenda
781753	41988	Party girl
781754	95134	
781755	260356	Luccia Corelli
781757	279709	Cathy
781758	57262	Sylvie
781758	61876	Caissière Liveburger
781758	192811	Le médecin
781758	345555	Kenza
781758	393885	Zora
781759	380005	Panther (1992-????) (alternat
781760	305638	Tough Woman in Cafe
781761	170229	Herself
781762	313136	
781763	82710	Ulla, partygoer with camera
781763	118164	Anna
781763	170394	Wicked Girl
781763	170395	Wicked Girl
781763	170396	Wicked Girl
781763	291518	
781763	336650	Police Woman
781764	85163	Smiljina mati
781764	399005	
781765	8369	Minghina
781765	10298	Lucia Fabbri
781765	21736	Nurse Ilse
781765	52873	
781765	54094	Mariù
781765	54296	Suleika
781765	57303	Virginia Vasselli Donizetti
781765	67496	Paola
781765	90068	Anna de Ulloa
781765	94671	Giulia
781765	110759	Anna
781765	112650	
781765	116494	
781765	119086	
781765	127983	Suor Teresa
781765	175053	Evelyn Charleston
781765	175054	Amy
781765	187927	Suleika
781765	207088	
781765	215339	Pupella
781765	219565	Rosalia
781765	222199	
781765	230080	Milly
781765	238789	
781765	252765	Clara
781765	254971	
781765	265724	Lucia Mondella
781765	279907	
781765	281318	
781765	301383	Carmela
781765	336126	
781765	344452	
781765	344903	
781765	356615	Grandmother Anna
781765	409875	Donna Vittoria
781766	30463	Aunt Emily
781767	51855	Slave Girl
781768	16810	Katara/Kat Lang
781768	41370	Lisa
781768	41372	Tori
781768	77673	Jodie
781768	160406	
781768	160418	Pauline
781768	216905	
781768	341515	Feather
781768	391835	Herself
781769	143831	Baby
781770	214439	Michelle
781771	157315	Ballet Mistress
781773	345194	La grand-mère
781774	119865	
781775	223114	Mujer del coro
781776	9653	Carmen
781776	91089	Elvira
781776	109029	Herself
781776	118158	Herself - Presenter: Best For
781776	121299	Beatrice
781776	156096	Herself - Presenter: Best Lea
781776	162050	Laura
781776	168409	Giovanna
781776	194780	Aurora
781776	284932	Model
781776	328891	Francesca Babini
781776	336265	Bella cantante
781776	345028	Estela
781776	345312	Herself
781776	352075	Epona
781776	353790	Préah
781776	356586	Mosca
781776	384816	Haidée
781776	388613	Herself - Assistant (2001)
781777	108118	
781777	253198	
781777	317798	
781778	33498	
781778	79518	Abigail
781778	90000	Margherita Bosco
781778	90679	
781778	90741	1990
781778	97147	Olga
781778	105606	Agnese Borsellino
781778	107720	Mama
781778	108104	Guilia Buonanotte
781778	127895	
781778	127997	Irene
781778	158755	Maria di Magdala
781778	189125	
781778	197207	
781778	197579	
781778	212437	Luciella
781778	246978	La Maga
781778	255110	Francesca
781778	261495	Renata Fonte
781778	262701	
781778	287771	Badessa
781778	293342	Laura
781778	315939	Nora
781778	344579	
781778	351279	Nives
781778	355703	Sauro
781778	399159	Angela
781778	400407	Danielle (segment "Wanda")
781778	404483	Gabriela Mancini
781778	406539	Ester
781779	271647	
781780	6089	Cinta
781780	38328	Donna
781780	249856	Daya
781780	267895	Medicine Seller's Daughter
781781	296597	Aarti
781782	296597	Parimala
781782	350719	
781783	174953	Girl B
781783	390911	Akubi-chan
781783	403327	Chink
781783	404390	Tarao Fuguta
781783	411890	Koppe
781784	124434	Reporter Kyoko
781784	172042	
781784	174881	
781784	299092	
781784	334871	Takako
781784	372004	Murata's Secretary
781785	265579	Additional voice
781786	324308	Nue (angel)
781787	179822	Shitate yon-gô
781788	93296	Herself (stripper)
781788	100009	
781790	152530	
781791	22643	Satana
781791	89627	Lavella Sumara
781791	162302	Suzette Wong
781791	206096	Malvira Satana
781791	244870	2nd Dancer
781791	364330	Stripper
781792	19118	
781792	257696	Girl
781793	278337	
781794	298347	Hong Xiu Ying
781795	1734	Herself - Presenter
781795	270669	Ethel
781795	278222	Jenny
781795	363796	Constable Sophia Marinkovitch
781795	399130	Anne Wilkinson (1996-2000)
781795	410643	Sophie Ferguson (2000-2001)
781795	411008	Sophia Marinkovitch (2002-200
781796	2766	Party Goer
781796	252825	TV Reporter
781797	211976	Herself
781798	124228	
781798	343838	
781799	348229	Neighborhood Watch Member
781801	200015	Madhavi
781801	303825	Cell guard
781802	299456	Watchman
781803	22198	Uma
781803	282928	Indian Singer
781804	282928	Motel Owner
781805	35239	Cheerleader
781806	96726	Copyroom secretary
781808	56444	Singer
781808	127045	
781809	20478	
781809	104291	Belleza
781809	104332	
781809	264060	
781809	321955	Dr. Elsa Weissinger
781809	321956	Dr. Elsa Weissinger/Additiona
781811	142267	Bankkunde/Bank's Client
781812	75030	
781812	294249	Elke Von Seka
781813	45009	Leann Caldwell
781814	296107	Professor's Daughter
781815	165695	Japanese servant
781816	20625	Extra
781817	148832	Ryoko Kato
781818	182509	Honey Kisaragi/Cutie Honey
781818	257718	Mitsuwa, Kaoru
781819	45002	
781820	45002	Jonko
781820	91046	Takano
781820	214715	Cellular phone woman
781820	229583	Hiromi
781820	271675	Aoi
781820	278547	Masami Kurahashi
781820	278549	Masami Kurahashi
781820	382607	Mamiko Morii
781820	392552	Nobuko Mikami
781820	393148	Yuuko Morishita
781821	212109	
781822	54642	Miyoko
781822	221523	
781823	244568	Asobi nakama (Friend)
781824	369385	Yuki
781825	129868	Stewardess (Ms. Career Woman)
781826	18674	
781827	115895	Helen Chao
781827	142419	Famika
781827	150873	Charlie's Girl
781827	177989	1st Princess of Ababu
781827	219917	Suki
781827	322492	
781827	344167	Rachani, Deong's Wife
781827	367586	Susie
781827	375623	
781828	334927	
781829	23331	Misha
781830	126519	Yukie
781832	30987	Nozomi Sagisawa
781833	26154	Restaurant Hostess
781833	359971	Stephanie
781834	21338	
781834	63710	
781834	86036	
781834	136392	Kaori
781834	142176	
781834	145738	
781834	167537	Nun
781834	176582	
781834	178256	
781834	180622	Quick Change Oyô
781834	182410	Otoki
781834	182478	Kuzumi, the stewardess
781834	229780	
781834	238439	Kyoko Osako
781834	270314	
781834	398038	Yoko Saeguchi
781835	45002	Raku
781835	220244	Reiko
781835	228932	Mayumi Iwase
781836	87983	Herself
781836	87984	Herself
781836	87985	Herself
781836	87986	Herself
781836	133930	Various
781836	137679	Herself
781836	145641	Herself
781836	155282	Herself (World team)
781836	155284	Herself
781836	228977	Herself
781836	303779	Herself
781836	303780	Herself
781836	303781	Skater
781836	368407	Herself
781837	238167	
781838	359612	
781839	145449	Kiku Ishikawa
781839	285919	Mariko Takada
781839	334893	Haruka
781840	244231	Herself
781840	411887	Anzu Masaki
781841	140278	Matsuku
781842	30796	Masae, Sonoko's mother
781842	127921	
781842	144965	Hiroko Fujimaru
781842	174347	Akihiko's wife
781842	180626	
781842	232922	Ritsuko, Yoshio's wife
781842	299305	
781842	358414	Orie
781842	358415	Orie
781842	370699	Yoriko's teacher
781842	375593	Natsuko
781843	49915	
781843	131166	
781843	243529	
781843	305773	
781844	19556	Princess Samir
781844	201287	Silene
781844	385942	Demon Bird Silene
781845	98579	Etsuko
781846	294055	Shufu
781847	8762	Miss Yamada
781847	230065	Namiko
781847	241921	
781847	297418	
781848	182049	Emi's mother
781849	37716	Hanako's maid/Umbrella
781849	167538	Miyako Tazawa
781849	285615	
781849	300593	
781850	122827	Herself
781851	399195	
781852	411883	Minamino, Shiori
781853	126686	Mrs. White
781853	284003	Jennifer
781854	328251	Lynn Hunter
781855	185297	Featured player
781856	53644	
781856	55920	Marina
781856	65412	Doña Blanca
781856	119862	
781856	128984	Abuela gitana
781856	143678	
781856	197192	
781856	202560	Hermana Piedad
781856	260834	Ama remedios
781856	280577	
781856	377873	
781857	177759	Kindergartner
781857	284359	Nabuko Ôe
781857	390964	Bongo
781857	404127	Young Nachi
781857	408487	Yamakawa Masami
781857	410525	Stuffy
781857	410625	Sally
781858	390892	Lust
781858	394425	Julie Nien
781859	350114	
781860	43439	
781860	45842	Model #1
781860	153467	Fiona
781860	161554	Sabrina Masters
781860	223963	Sylvia
781860	263547	Lori Belmont
781860	390771	Lucy Cooper Spaulding (1993-1
781860	400236	Barbara Graham (1998-1999)
781861	144188	Judit
781862	295185	Gina (Autograph Girl)
781863	295185	Social Chick
781864	107175	
781865	148304	Herself
781866	170848	Herself - Participant/Perform
781867	211825	
781868	9559	Midori
781868	113392	Housewife Who Runs a Boarding
781868	138086	Geisha Fujiharu
781868	163837	Satoko Sugino
781868	208016	
781868	238439	Yukiyo Osako
781868	244544	Fude
781868	334852	
781868	341303	
781868	344967	Michi
781868	348868	Mioko Akagi
781869	150689	
781870	379252	
781870	383867	
781871	127954	
781872	188681	Standardiste impôts
781873	274267	Jenny
781874	37884	WDC Watson
781874	104045	Assistant make-up girl
781874	165556	Jane
781874	184853	Kylie
781874	383631	Anna Paul: E Grade Nurse (200
781874	391249	Debbie
781875	26258	
781876	59141	Andrea Bailey
781876	335017	Marie
781877	318983	Herself
781878	181135	Operations room staff
781879	44433	Adelaide Norris
781880	219556	Terry
781881	3202	Charlotte's Mother
781882	344524	Herself
781883	344524	Herself
781884	40744	Office Worker
781885	344524	Herself
781886	19557	Virgin
781886	33694	Grand Marshal
781887	169614	Assistant Salt Lake City Poli
781887	380713	Nicole "Nikki" Munson #2 (200
781888	403494	Herself
781889	162789	
781890	132912	Pedestrian
781891	130358	Miss Arkansas/Fanny
781891	292034	
781892	117658	
781892	138690	Polizistin
781892	216318	Loubelle
781892	226245	Marlene Merz
781892	380396	Simone Thiele
781892	381864	Sabine Bissinger
781892	392669	
781893	362588	
781894	87578	Cheryl
781895	131760	Debbie
781896	389869	Anchor #1
781897	263786	Schoolgirl
781898	111744	
781898	187682	Evi Sattler
781898	387735	Frl. Deichmann (1989)
781898	403410	Hanna
781899	169514	Nurse (at Sinclair's hospital
781900	8979	
781901	112917	Prostituee 3
781901	246017	Nurse
781903	28304	
781903	59002	
781903	62652	
781903	93005	
781904	266768	Sara
781905	511	Mai's Mother
781905	182501	Mother
781905	293586	Mari Sakisaka
781905	298425	
781905	344945	Taku's mother
781905	378718	Tadashi Nakajima
781905	392526	Yuki
781905	394419	Domon's mother
781905	394696	V.P. Andoh
781905	396487	Tsuyoshi
781905	398900	Principal
781905	407048	Aunt Emira
781906	125241	Sweet
781906	259033	Narrator
781906	381259	Masami Hirayama
781906	391367	Yûki Satô
781907	155504	Tomoko
781908	122957	(story 'Shokki')
781909	398900	Eiko, et al.
781910	167538	Rika
781910	285615	
781910	298347	Additional Voices
781911	266666	
781912	285459	
781913	9589	
781913	63726	Momo Maru/Ohpink
781913	125249	Momo Maru/Ohpink
781913	167984	Nurse Yoko Kawaguchi
781913	177380	Athena Asamiya
781913	259034	Narrator
781913	324726	
781913	341300	Taiko
781913	341301	
781913	343638	
781913	379477	
781913	384234	Momo Maru/Ohpink
781913	400058	Kanako Kishimoto
781914	109454	Stewardess 2
781914	113685	Juicy
781915	126619	Extra Talent (segment "Gett O
781916	11934	Alice
781916	18567	Andrea
781916	49294	
781916	178604	Nora Steiner
781916	219605	Hélène Maier
781916	254353	
781916	325505	Marina
781916	346418	Young Woman at Hotel
781916	353660	Helena Gobrovna
781916	409442	Valentina
781917	21706	
781918	337206	Child at the World Choir
781919	121946	
781920	279585	
781921	337206	Child at the World Choir
781922	82984	
781923	231261	
781923	246301	
781923	249879	
781923	277405	
781923	380963	Mamá de Ángel y Neto
781923	384390	Gracia
781923	384400	Marina Chávez 'tia de gabriel
781923	384632	Maria
781923	388647	Lulu
781923	392653	
781923	396815	Paty
781923	397579	Luisita
781923	397593	Sirena
781923	401918	Lucía
781923	402181	Cristina
781923	402540	
781923	403741	
781923	404736	
781923	405398	
781923	405415	Dr. Mendoza
781923	409833	Flavia
781923	410323	Serena
781924	209298	Young girl in the group
781925	368654	Sunset
781926	2662	Fake Xaviera #3
781926	135601	Amy (segment "Method to the M
781927	196370	Bartender
781928	60714	Woman
781929	173728	Miranda Flenschlein
781930	316186	Louanne
781931	190622	Shove It Girl
781932	1145	Escort Service Woman
781932	5855	Jessica
781932	215174	Kim
781932	309211	Connie
781932	323499	Shelley
781933	230247	
781934	324583	Inge von Arndt
781935	189857	Host
781936	165361	Computerstimme
781936	293470	
781936	387079	
781936	387445	
781937	290721	Maria as a Child
781938	237156	Marie
781939	165126	
781939	407801	Henriqueta Terra
781940	149089	
781941	85657	Helga
781941	318488	Prostitute
781941	387759	Emma Buitenzorg
781942	33589	Beef Trust Girl
781942	218826	Waitress
781942	312298	Edna
781943	302221	Girl on Sled
781944	103076	Frau Olbricht
781944	144158	
781945	304714	Dolyna
781946	20332	Sylvie
781946	54298	La camériste
781946	223174	La Louise
781946	347757	
781946	376955	
781947	41312	Judith's Mother
781948	293821	Taina Vainio, Juhan 1. vaimo
781948	404145	Sinna Jokinen
781949	335300	Audrey
781949	360727	Cat owner
781950	92486	Blinkie
781951	84570	2.Mädchen
781953	22643	Lynn
781954	41301	Beauty Contestant
781955	300916	Girl Singer
781956	378883	Presenter
781956	380934	Presenter
781956	381122	Presenter (1995-96)
781956	393653	Sharon Turner
781957	134986	Roberts Grossmutter
781957	219332	
781959	1375	Essi Söderman
781959	24690	
781959	28712	
781959	98097	Dolores Gonzales
781959	111349	Doris
781959	119207	
781959	119271	Gitta Hansen
781959	144359	Jean
781959	145359	Hilja
781959	168867	Osmi
781959	172143	
781959	172522	Liisa Saarinen
781959	174809	Kaarina
781959	181592	Eliina Kivistö
781959	181883	Etla
781959	182218	
781959	182538	Guest star
781959	197383	Tarja
781959	209085	Katri Karkela
781959	213417	Bar Owner
781959	214843	
781959	215112	Miriam
781959	225177	
781959	242265	Leena
781959	251938	Katriina Sirkkunen
781959	254208	Irja Haartman
781959	259738	
781959	272352	
781959	278873	
781959	286052	
781959	328848	Wackel-Heidi
781959	336520	Fanny Weldon
781959	347557	Ljuba
781959	361081	
781959	369467	Maitotyttö
781959	376183	Ara
781959	392164	Maria Heikintytär (1999-2000)
781959	394979	Elina Perä
781959	409042	Leski
781960	180369	
781961	15112	Une passagère
781961	404358	
781962	15112	
781963	60212	Hot Girl #2
781963	79042	Erica
781963	118205	Julia/Catherine
781963	190994	Brooklyn
781963	272776	Blair
781963	316191	Sorority Girl
781963	383188	Taylor Langford
781964	82930	April Reign
781964	127191	Jasmine
781964	176932	Starfish
781964	379145	Joanna
781966	40831	
781966	115618	
781966	333653	
781967	83329	Adult Annie
781967	233190	Penny
781968	143175	Maid
781968	310017	Ethel Ainsworth
781969	129900	Young Rebecca
781969	161469	Femme-Merc
781969	360689	Toni
781970	17676	Janet Gimenez
781970	113495	Candace
781970	151126	
781970	158975	
781970	381562	Casey Lennox
781970	400236	Keri Reynolds (2001-2003)
781970	406952	Vanessa Hart Bourne (original
781971	84624	
781972	391015	Profesora
781973	242483	
781974	195262	Crenshaw High School Girl's B
781975	227343	Eustacia Andropov
781976	89702	Hilda Best
781977	97458	Nosy Neighbor
781978	14620	
781979	386963	Tash Parker (2000-2003, 2004)
781980	248079	
781981	119679	Agathe
781981	147163	Gräfin Almaviva
781981	210145	Eva
781981	310393	Mrs. Londonderry
781982	91900	Acrobat
781982	127730	Nun
781982	128847	
781982	231925	Tumbler
781982	350645	Herself (member, The Six DeWa
781983	349631	Blonde
781984	321533	Nora
781985	402723	Miss Brooks
781986	238683	
781986	317932	Swapped Wife
781986	397936	Herself (1968-1971)
781987	139006	
781988	169136	Child Chorus
781989	220767	Kirsty
781992	317437	Poker Hostess
781993	39474	
781994	60303	
781994	149224	
781994	168721	
781994	383626	Petronella
781994	404671	Mary Lennox
781995	35263	Girl C
781996	196508	Susie Sprinkles
781997	26969	Aunt Elizabeth
781997	63113	Salvation Army Lady
781997	113857	Old Woman
781997	129440	Eleanor St. Denis
781997	148288	Minnie Hart
781997	151196	Etta
781997	194211	Ester
781997	299897	Elderly Woman
781997	319614	Minnie Bannister
781998	195264	
781999	220767	Kirsty
782000	37415	
782000	294537	Mrs. Dryden
782000	337178	Yellow Marie, a Black Servant
782001	232102	Judy
782002	8465	Voice of Pat Barrington
782002	54651	Catherine
782002	72731	Terry Flynn
782002	74191	Cigarette Clerk
782002	123128	Marie
782002	235217	Anne DuMere
782002	237618	WAC Operator Sparky
782002	245209	Vicki Kelly
782002	264513	Zeida
782002	274347	Alak
782002	279636	Slave girl
782002	303470	Sally Brown
782002	398760	Ah Toy
782002	407880	Dragon Lady
782003	65184	Game player 'Double Dutch'
782004	149198	Girl #1 in Locker Room
782006	32790	Betty Doxy
782007	5728	
782007	6904	Jean
782007	10976	Betty Coburn
782007	25987	Bab
782007	35314	Betty Brownlee
782007	38856	Sticks/Alice
782007	43223	
782007	47512	Muriel Heath
782007	60263	Ida Marley/Claire Marley
782007	71927	Doris Hilton
782007	76518	
782007	82113	Mrs. Harris
782007	92710	Barbara Morgan
782007	107404	Tweet Crumb
782007	109988	
782007	114889	Viola Lee
782007	133556	Phyllis
782007	134447	
782007	156439	
782007	159439	Lillian Hidreth
782007	214952	Cornelia Kirby
782007	221789	Muggsy
782007	239540	The Maid
782007	251516	Martha
782007	252484	Hazy Mazie
782007	253134	
782007	267368	'Babe' Reynolds
782007	291565	Laura Machen
782007	297785	Sis Hoskins
782007	300333	Marie Scott
782007	308012	
782007	319142	Jane Dwight
782007	331848	Howard's Next Girlfriend
782007	342567	Czerta/Madeline
782007	365556	Bethesda Carewe, The Wildcat
782007	365725	
782008	54607	Juror
782008	130624	Nurse
782008	154468	Maid
782008	191627	Maggie
782008	259789	Bit Part
782008	331495	Carver's Secretary
782009	262589	St. Matthew's Choir & Band Me
782011	5186	Une spectatrice du défilé
782011	5209	Edina Monsoon
782011	23933	Herself/Audience Member
782011	23935	Herself - audience member
782011	68093	Herself
782011	68095	Herself
782011	68097	J.K. Rowling/Ron Weasley
782011	68108	Herself
782011	68109	Silurian in French and Saunde
782011	68112	Herself
782011	68113	Host
782011	78018	Anita Harris (segment "How to
782011	97023	Lady Caroline
782011	108617	Roanna
782011	119737	Various roles
782011	119740	Various roles
782011	151532	Herself
782011	153646	Herself
782011	158112	Nancy Crawford
782011	175685	Herself
782011	190019	Herself
782011	192609	Herself
782011	200357	The Rat
782011	215186	Vivienne Keill
782011	222486	Mrs. Bluberidge
782011	229135	Herself
782011	232018	Various
782011	232021	Herself
782011	232025	
782011	241418	Herself
782011	263984	Fairy
782011	269356	Lady Hester Stanhope
782011	292598	Herself
782011	300230	Fairy Godmother
782011	310992	Fashionable Woman
782011	315642	Herself/Edina Monsoon
782011	379125	Edina 'Eddy' Monsoon
782011	389339	Herself
782011	390119	Jennifer Marsh
782011	391008	Granny Fuddle/Cassie/Madelein
782011	395418	Colombine
782011	401815	Sharkadder
782011	405558	Herself
782012	184218	Bank Teller on Boat
782012	192318	Woman in Bar
782012	324552	Reporter
782013	126511	Old Lady
782014	99691	Trish
782014	157720	Lopey
782015	361167	Linda Evans Look-Alike
782016	64517	Hotel Receptionist
782016	112049	Rodent Keeper
782016	134126	Sarah
782016	391759	Theatre Sister Ellie Sharpe (
782016	406717	Tiffany
782016	408988	Serene Green
782017	130773	Saleslady
782018	38761	Maisie
782018	59244	
782018	59823	Mary
782018	103927	
782018	120323	Mollie Comeaway
782018	167797	
782018	200992	Iris
782018	336723	Elva
782018	379411	
782018	391251	Millie Carmichael
782018	399816	Rhonda Jackson (1976)
782018	401451	
782018	402197	Pamela Madigan (1986)
782018	408549	
782018	410238	Aunt Junie
782018	411366	Nerida Anderson (episode 3: N
782019	82112	Debbie
782020	265411	Carol
782021	38684	Girl Fan
782021	380259	Brenda Cotteral (1978)
782021	388320	Donna
782022	87824	Sister Marie-Therese
782022	383653	Presenter
782023	222831	Penelope Heslop
782024	60129	Valentina
782024	192857	Cute Girl #1
782024	338681	Babi
782024	353142	Young Sibilla
782025	104977	Carol
782025	294980	Denise (ticket agent)
782025	305977	Becky Chandler
782026	303571	Waitress
782027	87926	Disrespectful Student
782027	119625	Bianca
782027	154614	Beautiful Girl
782027	245008	Solid Gold Dancer
782027	281196	Colin's Girlfriend
782027	289666	Miss Thing
782027	297382	Dream Sequence Hooker
782027	316090	Tiffany (segment "Disco Infer
782027	349860	Waitress
782028	18013	Darlene Page
782028	126686	Prostitute
782029	49915	
782030	42743	Roz Kraft
782030	105213	Stage 7
782030	108399	Mrs. Lovell
782030	282920	Marina Oswald
782030	382773	Ellen Dennis Williams #2 (196
782030	385824	Marie Horton #3 (1979-1985)
782031	80695	Rockhouse Treat
782032	140953	Old woman transit rider
782032	148594	Old Woman
782033	203263	Elsie
782033	258963	Neighbor
782033	291221	Mrs. Tate
782033	354520	Doctor at Clinic
782034	41152	Dorean, the ballerina
782034	54627	
782034	128828	Patricia Johnson
782034	140961	Millie
782034	205035	Mara Wade
782034	306471	Gloria Wellman
782034	358050	Betsy
782034	387132	Betsy
782034	401346	Roberta Josephine 'Bobbie Jo'
782035	62497	Aurelia Popoff
782036	88070	The Mother
782036	335510	Jane Everard
782037	382838	Lucy Collins II (1988-1990)
782037	385020	Alison Dunkley (1995-1996)
782038	99055	Steven's New Girlfriend
782039	69399	
782040	193622	Obbligato in 'Street Singer'
782041	312783	Nurse
782042	161189	Sylvia
782043	288050	
782044	109842	May Chalotte
782044	128342	Kitty
782044	135907	Mary Dee
782044	178080	
782044	275407	Laurie Pennypacker
782044	309268	Martha Jane Smith
782044	367552	Louisa
782044	407487	Mary Gee (1961-1962)
782045	156970	Lucy's Stepsister
782046	162364	Paula
782047	75531	Herself
782048	102580	Receptionist
782049	2816	Fiddler on the Roof sequence
782051	20284	Doris Devlin
782051	43436	Anne Avery (segment "West of 
782051	46798	Former girlfriend
782051	73338	Secretary
782051	120754	Daughter (stock footage)
782051	127208	Lady Godiva
782051	143203	Nurse
782051	153191	Old Girlfriend
782051	154929	Maggie
782051	163246	Model
782051	183742	Manicurist
782051	186320	Mary Coleman
782051	190723	Blonde on Train
782051	193295	Miss Wyatt, Blair's Secretary
782051	193731	Ann Klemscott
782051	195753	Pauline
782051	207861	Bit
782051	214059	Belle Englehart
782051	221304	Joan, Hattie's Niece
782051	245353	Jane Evans
782051	262329	Ann Bradford
782051	292568	Girl
782051	303527	June Wallace
782051	309853	Nora Grant
782051	315204	
782051	330615	Donna
782051	361624	Anne Avery
782051	362670	Sue Dennis
782051	363644	Claire Ross
782051	367582	Girl at Party
782052	196339	
782052	343141	Mrs. Killegrew
782052	405735	
782053	273263	Mrs. Stanton
782053	323183	Kitty Dupuy
782053	359853	Mrs. John Travers
782054	50161	Neza
782054	143260	Woman
782055	276249	Nandewar
782056	86001	
782056	138732	Mildred Ryan
782057	257644	Miss March
782057	257859	Herself
782058	10909	Lora
782058	385824	Whitney Baker #1 (1990)
782058	396123	Charlotte 'Lotty' Bates Alden
782059	67571	Art director
782059	141544	Dead Hooker
782059	211439	Lana
782060	269287	Fran
782060	380073	Young Maggie
782060	387203	Kimberly Talbott
782061	70538	The Madam
782062	272518	International buyer
782063	132530	Classmate
782064	86248	Witch
782064	231997	Walkirye
782065	66042	Girl
782066	195271	Mrs. Betty
782067	37393	Miss Arbor
782067	152951	
782067	158175	Bookstore Manager #1
782067	273569	The Emcee
782068	104986	Rent-A-Girl
782069	236339	
782070	188491	Christina
782071	210678	Tamara
782072	354178	KGO 7 Reporter
782073	50985	Herself (The Liverbirds)
782074	40314	Onlooker
782075	177253	Lady Thiang
782076	142618	Go-Go Dancer
782076	338981	Herself
782078	90317	Police Dispatcher
782079	203594	Camille
782080	49345	Bank Teller
782081	16918	
782082	147976	The Written Woman
782083	150842	Girl in convertible
782084	209170	Dancer
782085	38084	
782085	136360	
782086	100034	Dr. Bradley's nurse
782086	267547	Waitress
782086	303564	Darren's Mom
782087	5677	
782087	62567	Marie
782087	148141	Eva
782087	396042	Infirmière
782088	220268	Johanna
782088	340372	Mme Hamilton's Girl
782089	205621	La jeune bergère
782089	219257	Françoise
782090	14002	Stephanie's real mom
782091	113134	
782091	383371	Olivia Moliano (1998-2000)
782092	367083	Harold's Groupie
782093	344463	
782094	156085	Herself
782094	197978	
782094	277362	Mamen
782094	378995	
782094	397848	Host (2000-2001)
782094	405232	
782095	36561	Rosa
782095	70653	Justine
782095	77808	Ella Cebrian
782095	87511	Kocha Montero
782095	115235	Polly
782095	118686	Jacinta
782095	202296	Madre de Malena
782095	229441	Helena
782095	243603	
782095	245365	Almerria Woman
782095	249909	
782095	274523	Celia Villar
782095	328642	
782096	13800	Mother
782097	13800	Little Girl 1
782098	3438	
782099	379368	Faustine
782099	385602	La duchesse de Montpensier
782099	404861	
782100	43649	
782100	243929	Jacqueline
782100	353946	Prostitute
782101	347918	Prisoner Mom/Sarah
782102	327551	La serveuse
782102	384288	Jeannette
782103	250668	Herself
782104	202728	Cleaning Woman
782105	101163	Aline
782105	120979	Femme de Richard
782105	257059	
782105	328155	Alva
782106	354761	
782107	337539	Carmen - Film 3
782108	83201	Marie Martin
782110	223627	
782110	332705	
782111	68505	Amanda Byrne
782111	157036	Linda
782112	157036	WalkWoman
782113	2656	
782113	255851	The Wife
782115	254076	Friend of Babette
782116	10305	Mrs. Richmond
782116	143264	Iris Birchwhistle
782116	405209	Bronwyn Callen (2000)
782117	43677	Melissa Anderson
782117	62793	Rachel
782117	105196	Samantha Age !4
782117	118623	Jody
782117	143533	Village Girl
782117	228782	Griffin's girlfriend
782117	385965	Georgie Wilson
782117	391395	Ocea (1997)
782117	405209	Dominique Coombes (1993)/Nurs
782118	71822	Mme Mauricet, la vieille dame
782118	76049	Poupie
782118	201135	Le vieille dame
782118	261841	Madame Picaud
782118	278136	
782119	397857	Fille nuisette
782120	96243	Agnès
782120	262942	
782121	8990	First assessor
782122	65362	Herself/Interviewee
782124	192254	Little Lucy
782124	243755	
782124	245140	
782124	309678	Young Rhonda
782125	6393	
782125	47400	La boulangère
782125	375769	
782125	377951	
782126	197537	
782127	268825	Maria
782128	345555	Magalil
782129	354101	Christine
782130	116037	Barpike
782130	268976	Gaby
782130	355708	Sig.ra del Cinema (Woman in t
782131	2297	
782131	84646	Diane Damerville
782131	111868	La mère de Paul
782131	225463	
782131	248995	
782131	249035	Vocals
782132	33571	
782133	169345	Claire
782134	215021	La fille de la campagne
782135	51384	
782136	86387	
782137	166370	A student
782138	288992	
782138	306119	Une journaliste
782138	332198	
782138	370102	
782139	45118	
782139	68931	Irène, from 'Occupe-toi d'Amé
782139	157286	Mlle du Parc
782139	266376	Lucile
782140	198339	
782141	236600	
782142	339967	La standardiste
782143	6411	
782144	191688	Teacher
782145	113463	Matty
782145	114099	Prisoner
782146	81665	Student
782146	136838	Photographer
782146	261248	Club Girl
782146	289089	Waitress
782146	405726	Politician's Assistant
782147	32200	
782147	111089	
782147	377242	Travailleuse 2
782148	291043	Keen
782149	56281	Karin
782150	170056	
782150	207025	
782150	272402	
782151	23092	
782151	114521	
782152	225768	
782153	196894	Lawyer
782153	267038	Woman in bathroom
782153	286852	Brain Dog
782153	328272	Arab Woman
782154	27181	Katrinka
782155	356065	Haido
782157	148589	Prostituée
782158	338162	Baillarina
782159	266219	Nina
782160	187842	Vendedora China
782161	76777	
782161	94701	
782162	185941	
782163	215310	The Girl
782163	344662	The New Girl
782164	138412	Stripper
782166	252831	LaRhonda Scranton
782166	308645	Gertie Fitzpatrick
782166	405336	Chelsea
782166	407162	Renata Vargas (1997-1998)
782167	204873	
782168	390523	Mandy Firth (1983-1985)
782169	7873	Betty Barnaby
782169	18994	Toni Kirkland
782169	77792	Valerie Crawford
782169	78017	Erika McCormick
782169	78849	Mary Burton
782169	84435	Vera
782169	105077	Janet Wilson
782169	113857	Sister Harriet
782169	116893	Vicki Wheeler
782169	170747	Laurey Roberts
782169	170770	Capt. Ann R. Kingsley
782169	178762	Kathleen O'Day
782169	183598	Inez Marie Polk/Palmer
782169	185165	Sheila Kennedy
782169	185324	Judy Ware (bank clerk)
782169	213191	Sue Gallagher
782169	219189	Miss Dalton
782169	222678	Miss Ruth
782169	241283	Vivian
782169	255521	Ann Harmon
782169	275720	Jean Shelby, aka Marie Carrol
782169	285148	Ann Parker
782169	288458	Lil
782169	289536	Sally Warren
782169	311033	Florence Cain
782169	343120	Maria
782169	343280	Pat Benson
782169	348098	Mary Lee Norris
782169	362112	Jane Hughes
782169	367616	Glenda
782170	231283	
782171	141609	Joan
782172	116174	Dancer on wing
782173	155293	
782174	69392	Nurse
782174	82339	Policemant #1
782174	335820	Praising detective
782174	379831	D.C. Dancer (1993)
782175	34733	
782175	36912	
782175	41830	
782175	42396	
782175	56963	Woman who daydreams about sex
782175	57940	
782175	102791	
782175	102811	
782175	117594	
782175	119477	
782175	128761	
782175	133922	
782175	168467	Lita Layworth
782175	221323	
782175	227328	
782175	255534	
782175	295810	
782175	306237	
782175	313277	
782175	318676	
782175	321117	
782175	323834	
782175	327780	
782175	335694	
782177	26105	
782177	34627	
782177	50764	
782177	51869	
782177	102825	Herself
782177	128732	
782177	169366	
782177	219146	
782177	233702	
782177	293017	
782177	354801	
782177	354818	
782177	369908	
782178	21555	Librarian
782178	122674	Joyce (Mrs. Steve) Giles
782178	154747	Caroline Krupka
782178	164605	Telephone Operator
782178	188403	Miss Jessup
782178	209599	Secretary
782178	219747	Harriet
782178	221068	Daphne
782178	224316	Mrs. Randall
782178	257939	Sylvia Rumley
782178	274051	Pvt. Jemima
782178	308348	Young Woman
782178	331306	Woman Prisoner
782178	363226	Auxiliary Air Force woman
782178	366793	Nurse
782179	390900	Rakka
782179	392430	Fuku Kuzuha
782179	396923	Arimi Suzuki
782179	407917	Ran
782180	80057	Melissa
782180	149257	Virginia
782181	280263	Vampire Groupie
782182	46149	Chris
782183	204557	Dancer
782183	230743	ICU Nurse
782184	289530	Debbie Caston
782185	98871	
782186	290003	
782187	163547	
782188	131210	Nurse #1
782188	224405	
782188	264568	Doreen
782188	277648	
782188	389858	Lynx Henshaw (1989)
782188	392620	Host
782188	396123	Gwyneth Alden #2 (1989-1991)
782188	404282	Fiona Figg (1986)
782189	130711	Mimi
782190	137563	Prison Guard
782191	360682	Cousin Sarafulo
782192	75524	Herself
782193	46507	Susan
782193	178862	Reporter
782193	317517	Jasmine
782194	342871	Cricketer
782195	369186	Young Cathy
782196	192072	Little Monster
782196	404282	Anisa (1989)
782197	145346	Ulrike, Tartov's wife
782197	404576	Keiko/Juli/Princess/Doah
782199	54991	
782200	31715	Michael's Mistress
782200	117674	Woman at Picnic
782200	126538	Aerobic Girl (segment "Get Ou
782201	327730	
782202	177015	Adams' Phone Voice
782203	382145	Singer/dancer
782203	398610	
782204	194831	Slave Girl
782204	334180	Waitress
782205	306245	
782206	29896	Hilda
782207	94212	Ada McPherson
782207	94213	
782208	41370	Carla
782208	160408	(segment "Brush Strokes")
782208	248976	1st Nurse
782208	347195	Yolanda
782209	47336	Mignon Renee
782209	101036	Dancer
782209	147489	Madame Mystera
782209	191841	Dolly Griffith
782209	199152	Princess Gibesco
782209	309275	The Dancer
782210	139587	Herself (interviewee)
782212	407789	Various Characters
782213	116174	Dancer on wing
782214	6975	
782214	315855	
782215	51833	
782215	124307	
782215	222807	Reporter
782215	338546	Hellen
782216	232839	Radiator child
782217	84833	Pammy
782217	120120	Debbie
782217	120226	Mattie
782217	153119	Liz Damon
782217	187271	Young Lizzie
782217	328587	Cathy Pierson
782217	383897	Herself - Co-anchor (1994-)
782217	395735	Christy Kennedy (1974-1975)
782217	400208	Peggy Damon
782219	304650	Girl #1
782220	303518	Monica
782221	330000	Receptionist
782222	344620	School Teacher
782223	36512	Una contessa
782223	115600	
782223	252634	
782223	277806	
782224	1366	Dubbing Voice
782224	43715	
782224	61030	(segment "La donna erotica")
782224	291063	Angelo's Mother
782224	303223	
782224	307583	La sorella di Ferribotte
782225	366099	Hula dancer
782226	342908	Alex Look-a-like
782227	15134	Térésa Tallien
782227	17194	Doris
782227	22190	
782227	23789	Herminie
782227	24913	Various characters
782227	28340	Nora
782227	42856	Jacqueline Grieux/Air France
782227	58221	Herself
782227	60691	Corinne
782227	62824	La chatte câline
782227	63774	Annie
782227	68400	Sophie Rondeau
782227	69837	Pascale
782227	78348	
782227	85543	Tania (scenes deleted)
782227	92904	Corinne Page
782227	97064	
782227	160548	L'antiquaire
782227	165185	
782227	215145	
782227	217213	Caroline
782227	218725	Lyrae
782227	228200	Pivoine
782227	249128	Ella (segment "Ella")
782227	251063	Edith
782227	255596	Marie la Crèpe
782227	260936	
782227	266947	Migraine
782227	284518	
782227	294566	Rosette (segment "Envie, L'")
782227	301403	Fiotte
782227	339539	La fiancée de Bernard
782227	346773	Lucille
782227	352611	Dany
782227	353915	Pauline
782227	355411	Singer/Dancer
782227	356974	Upset blonde mother
782227	402356	Muriel
782227	410473	Liliane de Rosemar
782228	6473	
782228	14926	
782228	20677	
782228	27906	Marta
782228	54318	Carmina
782228	54325	
782228	74970	
782228	82257	
782228	91309	
782228	98701	
782228	103162	
782228	103940	Mama Sara
782228	108843	
782228	135283	
782228	145245	
782228	206994	
782228	214694	Estrellita
782228	215336	Cosetta Ponchelevan
782228	239278	
782228	248036	
782228	258478	
782228	260579	
782228	287697	
782228	354997	
782228	379133	
782228	380092	
782228	383556	
782228	386517	
782228	387067	
782228	391523	
782228	398458	
782228	398522	Virginia
782228	400664	
782228	402633	Paquita
782228	410319	Merceditas
782229	219312	Patricia, secretaria
782230	10746	Lady in Waiting
782230	147684	Female Reporter
782230	179419	Pamela
782230	179420	Pamela
782230	179423	Pamela
782230	179425	Police Officer Witt
782231	232799	
782233	106328	Alcohólicos Anónimos
782234	243389	Euridice
782235	262234	Mariana
782235	380777	Lili
782235	382684	
782235	384137	Jezebel
782235	385876	Mariazinha
782235	387915	Angélica
782235	389643	Malvina
782235	390658	Pilar
782235	391609	Renata
782235	391900	Sônia
782235	393977	Ângela
782235	397544	Maria
782235	400670	Imaculada de Avelar
782235	400678	Carina
782235	400902	Isadora
782235	401678	Marcela
782235	402506	Bruna
782235	402582	Auxiliadora
782235	402626	Maria Luiza Maldonado
782235	404947	Margarida
782236	3944	Herself
782236	11150	
782236	11451	Herself
782236	34817	
782236	49500	
782236	53046	
782236	84163	
782236	87154	
782236	100890	
782236	105150	
782236	110981	Wrestler 2
782236	115059	
782236	138776	
782236	150172	
782236	160427	
782236	161922	Vicky
782236	187186	Mal's Gals
782236	228589	
782236	233499	
782236	240965	Savannah
782236	240966	Savannah
782236	240967	Savannah
782236	274680	
782236	288988	Angel, Nurse
782236	288995	
782236	289001	Herself
782236	289002	Herself
782236	292393	
782236	304784	
782236	310672	
782236	319703	Biker Chick
782236	319704	
782236	319894	
782236	327137	 (1991 reissue only)
782236	332865	
782236	340523	
782236	341966	(1991 re-release)
782236	363389	
782237	192702	Girl
782238	84785	Khema
782239	394967	Teesha Gautam Virani (2001-20
782240	188553	Annie
782241	195137	Adolescente
782242	397138	Huguette Richard
782243	104699	Tourist Woman in Vatican
782243	142491	Blonde Television Reporter
782243	186637	Recordist
782243	277355	Lucy Loden
782244	23539	School warden
782244	29415	
782244	45000	Madame Leblanc
782244	56539	
782244	59094	Comédienne 'Poule'
782244	59635	
782244	63552	Une épargnante
782244	63660	Adrienne
782244	68927	La pompiste
782244	84616	Suzanne
782244	84695	Prostituée
782244	96052	
782244	115433	La concierge
782244	132735	
782244	134584	Conchita
782244	146430	
782244	165775	Thérèse
782244	170468	
782244	183242	La grosse femme
782244	188682	
782244	199570	Rose
782244	202345	Rosalie, la bonne
782244	205755	Madame Fauvel
782244	220494	
782244	234273	Pauline
782244	243022	La fermière
782244	248506	Mercédès
782244	251532	La princesse Pioche
782244	268396	Sylvie
782244	269143	Une journaliste
782244	287052	
782244	300676	
782244	309447	Cook
782244	327888	
782244	343544	Victime #1
782244	343557	
782244	345425	
782244	346548	
782244	346819	
782244	376915	
782244	377749	Emmilienne
782244	378866	La cliente amoureuse (ep.5)
782244	381615	
782244	389940	
782244	391927	
782244	392579	Simone
782244	396037	Mme Bouvier
782244	396870	
782244	397682	
782244	397814	Louisette
782244	400698	Une cliente (Partouze/L'addit
782244	402103	Soeur Françoise
782244	409454	
782244	410376	
782244	411699	La marchande
782245	328253	Miss Kelsey
782246	115433	
782247	130130	Kathryn Corleone
782248	190273	Baton Twirler
782249	254523	Singing Twin
782250	254523	Singing Twin
782251	30550	Marion
782251	254123	Copine #1
782252	124141	La femme qui se bat 1
782253	67182	
782253	110130	
782253	216233	Eponine enfant
782253	281305	
782253	284292	Angélique enfant
782253	337012	
782254	36672	La call-girl
782254	43667	
782254	51505	Jeanne Bignon
782254	83355	Soeur Darlène 1
782254	98959	Florette
782254	169529	Claire
782254	192811	Karine, l'ex-femme de Fred
782254	214006	Raphaele Pryce
782254	255589	
782254	309733	Cisca
782254	345548	Béatrice
782254	346448	
782254	383305	Jeanne Bignon
782254	399164	Hélène
782254	399164	Hélène (1995-????)
782255	216118	Lily
782255	268443	Une indienne, une demoiselle 
782256	97647	
782257	25600	
782257	32315	
782257	32511	Bedrana
782257	34505	
782257	54981	
782257	103573	Ayse
782257	176690	
782257	177901	Gönül
782257	180189	
782257	182158	
782257	182820	
782257	202458	
782257	214831	
782257	227230	
782257	240148	
782257	295251	
782257	295507	
782257	309376	
782257	370366	Safiye
782257	377538	
782257	377539	
782257	389814	Nahide
782258	5296	Özlem Savaþ
782258	325134	
782258	349226	
782258	382134	Ece
782259	92041	
782259	409424	
782260	17813	Erika
782260	356578	Rockstar
782260	375851	Michelina
782261	329915	Lindsay
782262	380445	
782262	383333	
782263	49177	
782264	176136	
782264	256698	
782265	179105	
782265	225948	
782265	237832	
782265	258999	
782265	304170	
782265	348707	
782265	349360	
782265	356827	Baba Tanya
782265	356870	
782265	357333	
782265	357705	
782266	261370	Pivokurova
782267	89814	
782268	38430	
782268	79473	Reporter
782268	136688	
782268	163088	Biljettförsäljare
782268	232516	
782268	373248	
782268	380746	Keriman
782268	407594	
782268	411706	
782269	365396	Party Guest
782270	390236	
782271	376036	
782272	375951	
782273	187231	Baby Searcey
782274	324898	Saturn
782275	342377	
782276	258859	Tracey Deakin
782277	199771	
782277	322832	
782277	328103	
782278	61156	Female Dancer
782279	2992	Giovanna Rospini
782279	64445	
782279	94650	
782279	158760	La contessa
782280	17522	Pauline
782281	32757	
782281	58555	Nina Zarachnaya
782281	63580	
782281	63608	Alexandra's mother
782281	128071	Mascia
782281	162671	Dazha
782281	227117	
782281	231167	
782281	284481	the daughter
782281	299432	
782281	300586	
782281	348906	
782281	356420	Natasha Rostova
782281	356421	Natasha Rostova
782281	356422	Natasha Rostova
782281	356423	Natasha Rostova
782281	356424	Natasha Rostova
782281	357408	Luiza Pojndekster
782281	373213	Yuliya Vrevskaya
782282	299423	
782283	409360	
782284	356122	
782285	210189	
782286	322816	
782287	18310	Clarissa Winston
782287	131052	Nancy
782287	148579	
782287	204133	Newton Computer Voice
782287	252906	April Candy
782287	279766	Janet McAllister
782287	308016	Sandra Davis
782287	339596	Daria
782287	381475	Predacon Computer/Oracle
782287	381477	Predacon Ship Computer
782287	389627	Steel Raven
782287	403541	Additional Voices
782287	405356	Mana Izosaki
782287	410791	Slingrave Curvette
782288	269431	Sarah Castone, Queen 1966
782289	53140	Cykelpige
782289	72840	
782289	293705	Elizabeth
782289	409349	Jette Kaas
782290	78400	
782291	363259	Fortune
782292	285984	Une cliente du magasin
782293	11971	
782293	33640	Une prostituée
782293	59118	Isa
782293	70955	Sonia
782293	73141	La dame aux chats
782293	100358	Catherine
782293	111129	Sonia
782293	193440	Ingrid
782293	198974	Jeanne Dumont, la mère de Pie
782293	249044	Mme Lopez
782293	282000	
782293	283704	
782293	286418	The pianist
782293	302165	La folle
782293	332233	Dorothée
782293	377963	
782293	409451	La secrétaire de Walder (1977
782294	168180	
782294	292362	
782295	315927	
782296	357318	
782298	170225	Herself
782299	343647	Anna
782299	353931	
782300	7386	
782300	14329	
782300	45751	Irena
782300	74175	
782300	85166	Danica Pavlovic
782300	94891	
782300	124131	Madge
782300	132151	
782300	172483	
782300	174112	
782300	181269	
782300	225984	
782300	265034	
782300	306645	
782300	317294	
782300	318206	Marjorie Melville
782300	341525	
782300	348114	
782300	351343	
782301	170225	Herself
782302	3519	Rajna
782302	23362	
782302	77263	
782302	155982	
782302	159224	Todorka
782302	180471	Kostana
782302	192888	
782302	197880	Cile
782302	207160	Mima ... glumica
782302	227511	Pevacica
782302	246308	Krasna
782302	284865	Alisa Mur
782302	312618	Nina Markovic
782302	323311	Rajna Gagic
782302	328706	Lepa Sojic
782302	343867	Olga Papic - Caca
782302	375125	
782302	375126	Herself
782302	375315	
782302	375338	Konobarica
782302	382430	Nina Andrejevic
782302	382431	Nina Andrejevic
782302	389146	Floria
782302	401927	Rajna Gagic
782302	401928	Rajna Gagic
782302	404733	
782302	406315	Malina Vojvodic
782302	406316	Malina Vojvodic
782302	406567	Elizabeta, mafijaska udovica
782302	410452	Vukova majka
782303	28408	Slavka
782303	28414	Sonja Cvorovic
782303	45752	
782303	57401	Uciteljica #2
782303	73579	Anja
782303	78950	
782303	79621	Sofija Mackic
782303	88130	
782303	90510	Tamara
782303	132164	
782303	163888	
782303	172485	Bojana
782303	173101	Andjelija
782303	181254	Sonja
782303	183905	
782303	187997	Lila
782303	189474	Herself
782303	190018	
782303	192897	Drugarica iz diskoteke
782303	197096	Lidija
782303	201357	Sofija Markovic 'Sampita'
782303	207240	Slavka
782303	212458	Marta
782303	230098	
782303	231278	
782303	244175	
782303	292091	Branka Djuric - Decka
782303	293710	
782303	294156	Blagajnica u bioskopu
782303	309811	
782303	324481	
782303	327103	
782303	343851	
782303	345584	Una
782303	348701	Pacijent II
782303	349157	
782303	352166	
782303	355199	Nina
782303	375315	
782303	375338	Pevacica
782303	392446	
782303	399602	Sonja
782303	403796	Zlata
782304	132165	Gospodjica Julija
782304	396625	
782305	46230	
782305	47157	
782305	357264	
782306	3519	Dostana
782306	24838	Baba Savka
782306	43157	Zarka Sijakovic
782306	48459	Milanova majka
782306	74781	
782306	79621	Mica Mojsilovic, svedok
782306	92356	Sojka
782306	92357	Mara Cvijovic
782306	95926	
782306	184148	
782306	212663	
782306	214235	Tereza
782306	217297	
782306	229895	Zanka Stokic 'Zivka Popovic'
782306	237855	
782306	246858	Violeta
782306	251320	
782306	259834	Cistacica
782306	266213	Botanicarka
782306	271379	
782306	288346	
782306	294156	Komsinica
782306	302189	Stanija
782306	310654	
782306	318869	
782306	320555	
782306	320695	Dara Vasiljevic ... majka
782306	332755	
782306	353716	Milica
782306	355548	
782306	356430	
782306	357318	Starica
782306	357320	
782306	375126	Dama s kucetom
782306	375477	Dragojla
782306	381061	Tomanija ... baba
782306	382430	Zivadinka 'Zarka' Sijakovic
782306	382431	Zivadinka 'Zarka' Sijakovic
782306	386407	Savka, gazdarica
782306	386526	Kaja
782306	386634	
782306	394110	Violeta
782306	394111	Violeta
782306	395457	Vuka Radovic
782306	399006	
782306	399008	
782306	401928	Dostana
782306	402022	Vukosava 'Vuka' Petrovic
782306	402023	majka Vuka
782306	402024	majka Vuka
782306	402025	majka Vuka
782306	402026	Rodjina majka ... dada Vula
782306	402117	
782306	404036	
782306	404090	
782306	404206	
782306	404734	
782306	405691	Herself (interviewed)
782306	406315	Ristana Riska Golubovic
782306	406316	Ristana Riska Golubovic
782306	407668	
782306	410363	
782306	410429	Starica
782306	410442	Surdina baba
782307	131120	
782307	155989	
782307	180953	
782307	225858	
782307	373945	
782307	382406	
782308	36917	
782308	104779	Russian entry (11th place)
782308	289085	
782308	327781	
782309	115323	Woman #2 in Gift Shop
782310	235016	Tory lady 2
782311	65628	Theodora Daniels
782311	78773	
782311	105492	Claire
782311	130441	Tina
782311	155879	Dr. Lois Coutu
782311	200181	
782311	200182	Suzanne
782311	247500	Barb Rollins
782311	292463	Marsha
782311	299679	Mary
782311	340764	Celia Giordano
782311	389053	Annie
782311	392130	
782311	406319	Nurse Lucy Papandrao
782312	312223	Katy Holst
782313	359205	Mrs. Dawson
782314	172894	Group Therapy
782314	350396	Grape woman
782315	170824	Hurana
782315	224698	
782315	291862	Angela Scardon
782316	200927	Isabelle Vernoux
782316	225471	Astrid
782316	254110	Une soeur Monthoux
782316	384168	Mlle Brion
782316	385245	Mme Dumarrois
782316	392750	Mlle Duc
782316	402538	
782317	268451	Clelia Damores
782318	299854	Julia Khodor
782319	277899	Girl
782319	308079	Model
782320	177311	Gloria
782320	228785	Tracy
782320	382266	Margery Hopper
782321	192243	Donna Jo
782322	117724	Lady Leverton
782322	118378	Lady Grant
782322	133986	Sophy Katrides
782322	142672	
782322	291807	English Memsahib
782322	367592	
782323	381585	Eve Baxter
782323	404880	Kirsty
782323	408880	Ruby (Series 5)
782324	216639	Sports Zone Commentator 1
782325	65809	
782326	144406	
782327	18236	Sapha's Sister
782328	289069	Mrs. Ellington
782329	43900	
782329	152600	Edith Adair
782329	211588	
782329	230421	Secretary at Lumber Yard
782329	335698	
782329	358356	
782330	390195	Herself - Newsreader/Correspo
782330	393152	Correspondent (2003-)
782330	393153	Correspondent (2003-)
782330	405518	Herself - Correspondent (1999
782331	109576	Crystal
782332	151183	Rosie the Caterer
782332	303560	Reporter #1
782332	366743	Townsperson
782333	259236	Thérésa
782334	218295	
782334	218296	
782334	218297	
782334	333458	
782335	19839	(segment "Pornoscopie")
782335	193440	
782335	198974	Un témoin (la voisine)
782335	332233	L'employée
782336	63931	
782337	35870	
782337	35935	
782337	79474	
782337	225808	
782337	261263	
782337	275272	
782337	404751	
782338	346557	L'autre employée de cure
782339	78400	
782340	180120	Alisa
782341	63170	Elaine's Maid
782341	279687	Woman
782342	79674	Zombie girl in airport chart 
782343	218159	Child Playing
782344	80446	Herself
782346	241799	Christmas choir member
782347	27183	Desiree
782347	141646	Receptionist
782347	223819	Kara
782348	364358	Jennifer Josiah
782349	74747	Marisa
782349	189272	Lunetta
782349	207947	
782349	291623	Veronica
782349	355803	
782349	381622	Agnese Borsi
782349	397297	Concetta 'Cettina' Gargiulo
782350	345690	Peering Girl on Train
782351	78950	
782352	43197	Dunyasha Zhurbin
782352	84421	
782352	91194	
782352	179105	
782352	179666	Olga
782352	181452	Lubochka
782352	209517	
782352	263664	Frosya Burlakova
782352	272524	
782352	327771	
782352	374769	Matryona
782352	375114	
782353	77811	Mrs. Bilka
782353	340738	
782354	31668	Girl Singer #2
782354	81067	Peep-show girl
782354	81270	Kathy
782354	317244	Delha
782355	129724	
782356	274704	
782357	366316	Kathy lookalike
782358	6248	Concetta
782358	11280	Sonya
782358	35183	Angelica
782358	47334	Lady at Party
782358	185252	Ella
782358	221183	Consuela
782358	232397	Rosa Mercedes
782358	252229	Airport Security Guard
782358	267568	Olga
782358	269427	Madame Rosa
782358	296917	Landlady
782358	313413	Kai Opaka
782358	317264	Roz Weinstock
782358	319206	Barbara
782358	360892	Betty Beep
782358	361689	
782358	388801	Justice Esther Weisenberg
782358	391288	Shelley Abramowitz
782359	240866	Newscaster
782360	377477	La mère Turque
782361	15812	
782361	135667	
782361	172559	
782361	219723	
782362	353500	Herself (Model)
782363	232374	Alicia
782363	236657	Claire
782363	330705	Bobby McCoy
782364	45257	Herself
782364	228046	Herself
782364	389441	Herself/Host (1983)
782366	13966	Gun Buyer
782366	37473	Tourist
782366	162763	Wedding Guest
782366	365454	Lawyer
782366	399947	Head Seamstress
782367	8389	
782367	13170	Aruna
782367	16179	
782367	19211	Manjari
782367	19603	Anuradha
782367	19938	
782367	21875	Kunjuni's Wife
782367	23287	
782367	27777	
782367	36057	Goddess Saraswathi
782367	36122	
782367	46099	Zamindar's daughter
782367	58429	Sujatha
782367	59021	Chanchala
782367	59420	Lakshmi
782367	62394	Padma
782367	81967	Satyabhama
782367	84713	Parvati
782367	84747	
782367	90575	Seeta
782367	92433	Madhavi Devi
782367	123736	
782367	126941	
782367	135892	Lakshmi
782367	172205	
782367	172627	
782367	173593	Madhuravani
782367	174158	Bhanumathi
782367	174161	Bhanumathi
782367	174197	Manjula
782367	198516	Nirmala
782367	203855	
782367	203903	
782367	204096	
782367	204351	
782367	206258	
782367	206271	
782367	208576	Sasirekha
782367	208577	Sasirekha
782367	210925	
782367	215705	Mary/Mahalakshmi
782367	215716	
782367	218670	Radha
782367	226046	
782367	227214	
782367	227815	Draupadi
782367	228754	
782367	228755	
782367	247129	Suguna
782367	247446	Draupadi
782367	247996	
782367	249147	Sundaramma
782367	249793	Radha
782367	250490	Dancer
782367	251122	
782367	252015	Savitri
782367	260130	Seeta
782367	262376	
782367	262458	
782367	271662	
782367	271664	Kamala
782367	286791	
782367	287805	Sarada
782367	297474	
782367	300265	Draupadi
782367	303099	Padma
782367	312495	Padmavathi
782367	318647	
782367	329243	Kausalya
782367	330662	Goddess Parvathi in Different
782367	334641	
782367	349609	
782367	351420	Suguna
782367	354624	
782367	354643	Satyabhama/Bhoodevi
782367	370737	
782368	238362	
782369	319157	Vera
782370	181452	Nikanorivna, hefty farm woman
782370	225926	
782370	237523	
782370	303792	Kapitolina Kondratyevna
782370	349342	Ekaterina "Aunt Katya" Mikhai
782371	130754	German wife
782372	329389	Mourner
782373	362160	Guest
782374	162453	
782375	318313	Consuela
782375	360145	Melissa Maker
782376	338017	
782377	366644	Herself
782378	260785	
782379	196487	Trinket Seller
782379	273805	Waitress
782380	56358	
782381	83561	Lisa
782382	64659	Swimmer
782383	232584	Henna
782384	242259	
782385	355743	Nainen bikineissä/suuteleva n
782386	59703	Verkäuferin
782387	2447	Marcella
782387	33676	Giulietta
782387	40782	Mail-order bride
782387	43146	
782387	94701	Mariana
782387	159449	Teresa
782387	263273	
782387	291695	Sally McGowan
782387	376137	Rosalia
782387	376139	Rosalia
782388	23088	
782389	74232	Francesca
782390	102434	Irene
782390	174477	Nurse
782390	242269	Eila
782390	271637	Helka
782390	294685	Raakel
782391	381097	Communications Officer
782392	99268	Nette
782393	4334	Silmäätekevä
782394	380420	
782394	407738	
782395	208100	
782396	63884	Anna
782397	288889	Une infirmière
782398	23685	
782399	203264	Young Vivian
782399	228848	Balerina
782400	38547	Anastasia
782400	45542	
782400	73483	Vlad's Mother
782400	77220	Secretary
782400	202440	
782400	214249	
782400	225839	Maykata na Boyan
782400	244028	Chlen na okrazhniya komitet n
782400	244215	
782400	273708	
782400	298734	Zhenda
782400	304162	
782400	305213	Magda
782400	305903	
782400	320707	
782400	324427	Kuna
782400	339760	Ambrosia
782400	357560	
782400	398896	
782400	401701	Maykata na Vasilena
782401	209823	Simova
782402	49664	Baba Gina
782402	258602	Strina Strahilka
782403	174677	
782403	186537	(episode 5+1)
782404	17576	Dancer
782405	175191	Anna
782406	13723	Cajun Musician, Eunice, Louis
782406	88090	Chanteuse
782407	183638	Can-Can Dancer
782408	49894	
782409	92694	Specialty Dancer
782409	140953	Hip-hop dancer
782410	8901	Nena
782410	57743	Emily
782410	66813	Martha Knight
782410	74105	Maj. Jo Anne Vargas
782410	124309	Rumiko
782410	139135	Gameshow Wife
782410	154108	Patrolwoman
782410	164992	Grace
782410	191842	Dr. Deborah Meewsen
782410	203657	Susan Lombardo
782410	278001	Brunette
782410	281397	Athina
782410	283709	Dodd's Wife
782410	296744	Waitress
782410	340940	
782410	397756	Bonnie
782411	76153	Maria di Gallese
782411	87928	Edith
782411	90674	Viola
782411	106802	Magazziniera
782411	186588	Clotilde Spina
782411	270885	Terrorist
782411	281796	
782411	332937	Jamilah
782411	356003	Baroness Mary Vetsera
782411	375964	
782411	383375	Clara
782411	383815	La petite comtesse/Young Duch
782412	10736	Alice
782412	310874	Clarice Van Zandt
782413	63954	
782414	269735	Un membre de la famille
782415	217687	Secretary
782415	253210	La somnambule
782416	225369	
782416	277726	
782416	388713	Nansi
782417	292974	
782417	295050	Girl in black 3
782417	313551	
782418	318823	Callie
782419	213377	
782420	94015	Greek woman
782420	263791	Mrs. Salbanna
782420	276386	Celia's Maid
782420	297710	Mother Superior
782421	140272	Kirsten
782422	17551	Dolly
782422	59974	
782422	77271	Anna Sergeyovna
782422	88442	
782422	124040	D.Sc. Anikeyeva
782422	134227	
782422	163158	Asya Klyachkina
782422	173130	Sofia
782422	174355	Kalynnikova
782422	178769	
782422	181176	
782422	235231	
782422	258468	
782422	265275	
782422	281042	Tanya's mother
782422	305288	Alexandra
782422	305294	Vasin's Wife
782422	340436	
782422	349269	
782422	354711	Pyatachok
782422	354712	Pyatachok (Voice)
782422	354713	Pyatachok
782422	373977	Lidiya
782422	375460	Nina Dmytrevna
782422	376234	
782422	400479	
782423	57781	
782424	214231	
782425	214010	
782426	40689	Alba Da Ville
782427	82812	Aleksei's Sister
782427	258422	Tanya
782427	265937	Tanya
782427	293907	
782427	374431	
782428	896	Rodrigo's Wife
782428	19454	
782428	57437	Sandy
782428	86904	
782428	94848	
782428	148108	
782428	193512	
782428	205137	
782428	233548	
782428	235318	
782428	248666	
782428	251615	
782428	282141	
782428	300736	
782428	343622	
782428	350933	
782428	357871	
782429	77690	Herself
782430	379444	Satsuki Shizukawa
782431	400053	Pop (Poppu) Harukaze, Fafa (P
782432	18663	
782433	182498	
782433	233128	
782434	21569	Asako Akizuki
782434	39027	
782434	61511	Voice
782434	63395	
782434	98116	
782434	140034	
782434	149541	
782434	149579	
782434	149888	
782434	169074	
782434	172123	
782434	175722	
782434	180415	
782434	209935	
782434	214414	Yoko Sheridan
782434	217341	
782434	221587	
782434	222542	
782434	229580	
782434	232587	
782434	235672	
782434	238842	
782435	19694	Choko
782435	44585	
782435	122078	
782435	182042	Woman in Ikemoto-ya
782435	257718	Sawamura, Tamaki
782436	324943	Miyako
782437	153481	Mitsuko
782438	144501	
782438	214392	
782438	242313	Otoku
782439	298954	
782440	174332	
782440	271675	Shinji's mother
782441	136136	Shiro Kabuto
782441	192015	Jemmy the Cat
782441	201286	Shirou Kabuto/Fish Battle-Bea
782441	201287	Shiroh Kabuto
782441	201288	Shiroh Kabuto
782441	394031	Various characters
782441	396532	Shiro Kabuto
782442	9566	Fumiyo
782442	162222	Kazumi
782442	289267	Mako Ohno
782444	293604	
782444	301673	Reika Hiraga
782445	150511	Eiko Tsujisawa
782446	19235	Athena
782446	108671	Mother
782446	177632	Maleficent
782446	380318	Narrator
782446	380700	Narrator
782446	394031	Various characters
782446	394325	Queen
782446	394422	Kamaria Ray
782447	349103	Girl
782448	227539	
782449	132094	
782450	98126	Seiko
782450	130481	Naoko Okumura
782450	130486	Erika Shiragami
782450	145449	Chiyoko Miyagi
782450	280605	Setsuko, Takako's daughter
782450	294028	Chihiro no okâsan
782450	298871	An Kitazawa
782450	309392	
782450	323523	Kaya, the Princess Kaguya
782450	370436	Oto Tachibana
782450	386635	Iroha-Hime/Lady Iroha (Masamu
782450	391522	O-ne (Hideyoshi's wife)
782450	405143	Rui
782451	196627	Herself
782452	121925	Kazuko, the dying girl
782452	162685	
782452	164102	
782452	172284	Haruno Fuji
782452	174868	
782452	179438	Kabuki Dancer
782452	180095	Onono Komachi
782452	181985	
782452	233111	
782452	245874	
782452	247411	
782452	296632	
782452	296633	
782452	296636	
782452	327796	
782452	328007	
782452	344018	Scientist at Laboratory
782452	344954	
782452	358125	
782452	375602	
782452	375607	
782453	201465	Herself
782453	382113	Usagi Tsukino/Sailor Moon/Pri
782454	299561	Yuriko
782455	363486	Japanese man
782456	51271	Aya Sudô
782457	324551	Liquid Silver Dancer
782458	76899	Keiko Osawa
782458	153209	Nurse in Dentist's Office
782458	173595	Midori
782458	334924	
782459	328019	Namiko
782460	233107	
782460	348637	Natsuko's Former Girlfriend
782461	212109	
782461	408352	
782462	5209	Saffron Monsoon
782462	23933	Herself/Audience Member
782462	42382	Herself - Narrator
782462	48739	Kelly
782462	61291	Ginger
782462	68109	Emma, The Assistant
782462	113285	Karen
782462	115553	Wise Man
782462	139963	Herself
782462	149639	Maria Mason
782462	149640	Maria Mason
782462	151532	Saffron Monsoon
782462	158112	Nina Raymond (Ophelia)
782462	175178	Alison
782462	215186	Freda Keill
782462	229135	Herself
782462	261737	Herself
782462	315642	Herself/Saffron Monsoon
782462	351892	Marie
782462	365991	The Jailer's Daughter
782462	379125	Saffron 'Saffy' Monsoon
782462	379490	Dolly Nightingale
782462	384687	Narrator
782462	388221	Hannah Grayshot
782462	393686	Carla Borrega (2001-)
782462	393686	Carla Borrego
782462	396965	Mercy Pecksniff
782462	397231	Helen Steel
782462	402092	Lynda Day
782462	402125	Lydia Bennet
782462	404646	Hannah Grayshot
782462	408261	Janet Wilson (2000-2001)
782463	5078	Reko
782463	57161	Amanda
782463	68097	Herself
782463	96873	Annie
782463	169597	Herself
782463	304599	Ankh
782463	307684	1st Prostitute
782463	313995	Rosa
782463	328806	Celebrity Participant
782463	336442	Presenter
782463	350458	Catherine
782463	355992	
782463	379155	Presenter
782463	383745	Herself
782463	384352	Presenter
782463	387247	Annie Palmer (1997-1999)
782463	393121	Host
782463	395782	Presenter
782463	395978	Presenter (1999-2002)
782463	399780	Presenter
782463	409124	Presenter
782464	299125	Diva
782464	381401	Ayla V. Roznovsky
782464	408893	Dominique the Cyclops
782465	9358	
782465	137196	
782465	137282	
782465	177864	Oba
782465	280574	Youko
782465	334745	
782465	348635	
782466	21560	Masako, sister of Niheita
782466	145442	Mikiko Iida
782467	209604	Herself
782467	242792	Herself
782467	326446	Little Girl
782467	328968	
782468	8887	Mrs. Ushiyama
782468	8899	
782468	9331	Tatsuko Taya
782468	9420	Fumiko
782468	9479	
782468	9586	
782468	12955	Matsuko
782468	18642	
782468	18673	Tatsuko, Ono
782468	18691	Tsuneko Koizumi
782468	19635	
782468	21353	
782468	21814	
782468	22123	
782468	29230	Nobu
782468	62503	Kiku
782468	63542	Tomiko, Konosuke's wife
782468	92316	
782468	104269	Tsuruyo
782468	104274	Chikako
782468	121462	
782468	125198	Kimiso's madame
782468	125199	Kimiso's madame
782468	137044	
782468	138484	Fumiko
782468	144214	
782468	144678	Tomoko, Hideko's mother
782468	146356	Captain's mother
782468	149098	
782468	149496	
782468	150512	
782468	165588	
782468	173060	
782468	174872	Tamae
782468	174881	
782468	175334	
782468	175363	
782468	176566	Taeko, Motojima's wife
782468	176582	
782468	177121	
782468	179252	
782468	179494	
782468	181992	
782468	198826	Otora
782468	200976	Mitsue
782468	202638	
782468	212530	Mrs. Nakazato
782468	215109	
782468	221845	
782468	221847	Okumi
782468	226655	Ikuo's mother
782468	227183	Ine Kosugi
782468	232517	Tetsu Kawabe
782468	238778	
782468	239088	Kayoko Fukui
782468	239315	Ayako Kanzaki
782468	239328	Osei
782468	242119	Kitamura
782468	242148	
782468	242180	Toyoko, Shinjiro's elder sist
782468	242198	
782468	244494	Mrs. Denen-chofu
782468	244659	Hatoko Tsuruta
782468	271639	
782468	278384	Toki, Yahichi's mother
782468	279831	Sumie Kumita
782468	283918	Kazuko Sugawara
782468	285613	Owasa
782468	294547	
782468	297417	
782468	298988	
782468	299121	Otomi
782468	299122	Otomi
782468	299123	Otomi
782468	299124	Otomi
782468	299152	Tomi, Shinji's Mother
782468	299338	Natsu, Mayumi's mother
782468	299920	
782468	300471	Isogai's wife
782468	309094	
782468	323267	
782468	323494	
782468	334823	
782468	334871	Gen
782468	334936	
782468	341279	
782468	344817	Kikuko Yamashita
782468	348571	
782468	358124	
782468	358125	Hitomi's Mother
782468	358393	
782468	358398	
782468	358402	
782468	359819	
782468	359835	
782468	370235	Yasuko
782468	370268	Koto, mother
782468	371989	
782468	371990	Tsuneko
782468	373177	
782468	373185	Dance teacher
782468	375571	
782468	375590	
782468	375625	
782468	375634	
782468	375639	
782468	378134	
782469	334780	Toi's Mother
782471	27389	
782471	124680	
782471	172619	
782472	222909	
782473	86621	
782473	87701	Phulvanti
782474	63511	Sheena
782474	169090	Chandni
782474	182114	
782474	201041	Mini
782474	207536	
782474	240207	Salina
782474	246801	
782474	250838	
782475	120323	May
782475	411366	Matilda (episode 2: Maydina t
782476	286849	Chelsea
782477	29431	Narrator
782477	198532	The mother
782478	279350	Waitress
782479	35688	Liz Steele
782479	58672	Jenny Blair
782479	109645	Mai Shiranui
782479	109646	Mai Shiranui
782479	128195	Dee Dee
782479	137336	Girl #2, Hinaginu
782479	141958	Heidi
782479	229325	Karen, 14 Year Old Girl
782479	244372	Paula
782479	362791	Sarah
782479	382525	Lucy Walker (1990-1991)
782479	385637	Jess
782479	398572	Kathleen Danforth
782479	399699	
782480	164637	Court Room Choir
782481	164637	Court Room Choir
782482	3985	Sonja
782482	8272	Eva Brack
782482	18973	Helen
782482	19035	Alma Siebert
782482	23110	Elvira
782482	29111	Ludwig
782482	30086	Angela Blume
782482	33457	Angelika Mommsen
782482	48140	Tanja Engel
782482	50797	Gloria
782482	58836	Iris Dohmann
782482	91044	
782482	98414	Astrid
782482	105978	Dr. Jutta Grimm (Wissenschaft
782482	107969	Yvonne Jacobi
782482	136725	Yolanda
782482	139709	Aunt Zelda
782482	142263	Gabi Solms
782482	152744	Kerstin
782482	182889	Mila
782482	185854	Sonja Vogel
782482	186897	Sylvia
782482	187866	Helga Steinheil
782482	189825	
782482	204493	Malise
782482	204494	Malise
782482	204581	Pamela Wedekind
782482	209961	Sonja
782482	218973	Magdalena Dorst
782482	223454	Olga Bono
782482	236831	Cora
782482	259438	Gabi
782482	259472	Gabi Bauer
782482	259569	Gabi
782482	259582	Gabriele
782482	259606	Gabi Bauer
782482	259612	Gabi Bauer
782482	259619	Gabi Bauer
782482	259633	
782482	281660	Sportlehrerin Harder
782482	289986	Young Käthe
782482	322504	Sabine
782482	325477	Charlotte Sänger
782482	325496	
782482	325524	Dr. Natascha Severin
782482	325544	Alice Rains
782482	325620	Charlotte Sänger
782482	325676	Charlotte Sänger
782482	325768	Charlotte Sänger
782482	325916	Anita Joest
782482	334506	Elke Spiekermann
782482	339211	Tamara
782482	343682	Tanja Engel
782482	343690	Ute Sperling
782482	344153	
782482	344913	Sonja
782482	345675	Sabine Kittler
782482	345890	Steffi Kaminski
782482	352175	Britta
782482	352772	Anna
782482	377368	
782482	379022	Sonja Hersfeld
782482	379372	Susanne Ropert
782482	394619	Frl. Wiesenthal
782482	395001	Regine Fischer
782482	404489	Alice van Lück
782483	376295	
782484	203507	Dancer
782485	355343	
782486	182993	Bimbo #1
782487	182993	Bimbo #2
782487	316090	Nurse
782487	331206	Club Girl
782488	187886	Beryl
782489	71664	Gypsy Dancer with Circus
782490	33054	Herself/#3 Town Girl
782491	51990	Gwen
782492	186389	
782493	344047	Halina Stepczynska
782493	359589	
782494	167025	Anka
782494	214246	Beata
782494	217293	Joanna
782494	244101	Jadwiga
782494	258438	Maria
782494	258663	Wanda Wasilewska
782495	35838	Marta's Mother in the 1950s
782495	42242	Celina Karkowska
782495	93598	
782495	109004	
782495	129606	Krystyna
782495	129608	
782495	172416	Krystyna
782495	181840	Irena Markowska
782495	186153	
782495	226535	
782495	259989	Helena
782495	266300	
782495	266322	Doctor
782495	357963	
782495	364982	Receptionist Halinka
782495	367374	
782495	367435	Mme. Baudhuin
782495	398897	Janina Kosowska (2003-)
782496	4751	Anna Gasiorkówna
782497	37374	Sydney
782497	81152	Waitress
782497	106666	Roz
782497	180798	Fatima
782497	394663	Majida (1993-1994)
782498	212615	
782499	249856	Bidan Suri
782500	357977	Nel Rawlison
782501	140937	Claire Williams
782501	245331	Blanche
782501	323228	Health Club Sales Girl
782502	67529	Sarah
782503	165411	
782504	141674	Sharon
782505	364300	Herself
782506	47623	The Baby
782507	409795	Kim Emerson #2 (1954-1957)
782508	20091	Mrs. Cummings
782509	120268	Gerda
782509	221006	Melanie Brace-Girdle
782510	349	Gitel
782510	4544	Rose
782510	6086	Alice Sweet
782510	27935	
782510	41773	Elderly Lady 1
782510	43606	Ruskin Family Member
782510	57267	Herself - comedienne
782510	88656	Joan
782510	95078	Elderly woman
782510	100820	Grandma
782510	105420	Aggie Potter
782510	108942	Viney Hunt
782510	109424	Mom
782510	113416	Smoker woman
782510	114613	Mrs. Brown
782510	115470	Josie Keefer
782510	117128	
782510	118199	Screaming lady
782510	147484	Miss Wexler
782510	150080	Mrs. Houston
782510	163208	Mrs. Otis
782510	185505	Florence
782510	191945	Female Guard
782510	201350	Mary
782510	232483	Martha
782510	239030	Mrs. Green (Store Customer)
782510	242939	Waitress from Hell
782510	245103	Old Elevator Lady
782510	263172	Cleaning Lady
782510	265764	Hazel
782510	281911	Motel Clerk
782510	281923	Carlotta
782510	291054	Diner Waitress
782510	308110	Elderly Woman
782510	308128	Lady in Market
782510	316307	Mrs. Layton
782510	339860	Barbara Baxter
782510	340779	Talkative woman at hanging
782510	354164	Grandma Stewart
782510	360271	Mrs. McBee
782510	362808	Documentary couple #1
782510	363492	Skip's Mom
782512	846	Herself
782512	1964	Presenter
782512	2275	Herself
782512	4671	Herself
782512	130707	Herself
782512	190184	Host
782512	288702	Herself - Audience Member
782512	337108	Hostess
782512	378778	Herself - Co-Anchor (1998-)
782512	378911	Herself - Correspondent (1984
782512	380028	Correspondent
782512	390334	Herself - Co-host (1999-)
782512	398243	Herself - Co-Anchor (1981-198
782512	402157	Host
782512	409581	Reporter
782513	138147	'Bull's Eye' Cherry
782513	164762	Barbara
782513	189307	Laura Worth
782513	324403	Dolly
782514	63096	
782514	66338	
782514	305966	
782514	305969	
782514	358356	
782515	396017	Dee-Dee
782516	171129	
782517	77805	Chorus girl
782517	241444	
782518	20287	Dancer
782518	54492	Mason's maid
782518	77805	Chorus girl
782518	127791	Maid
782518	163544	Dancer, Cuban Girl
782518	168637	'La Conga' Dancer
782518	240672	Chorine
782518	334252	Guest
782519	141540	Track Team Friend
782520	43923	
782521	177025	Grocery Shopper
782522	196237	Innocence, later Moner Moyer
782523	115377	Susan Harris
782524	258903	Kelly
782525	12306	
782525	22843	
782525	22973	
782525	31224	
782525	33390	
782525	48627	
782525	56173	
782525	59816	
782525	60459	Kirby's daughter, Kate
782525	62892	
782525	73411	Katrina Wells
782525	74099	
782525	79383	Floria
782525	79394	Dell Hamilton
782525	79886	
782525	88976	
782525	98792	
782525	114239	
782525	117166	Helen
782525	146220	
782525	150764	Kate Kirby
782525	157454	
782525	157735	
782525	158362	Helena von Kraft
782525	160929	
782525	162385	
782525	186833	
782525	190523	
782525	191605	
782525	229227	
782525	230776	
782525	239733	Ramona
782525	241624	Maria
782525	253111	
782525	260866	Kate Kirby
782525	263607	
782525	267009	Ellen
782525	269060	
782525	269298	
782525	269647	
782525	274208	
782525	275339	Helen
782525	280953	
782525	285666	
782525	313375	
782525	317445	
782525	331535	
782525	331884	
782525	338775	
782525	363330	
782525	367731	Jeanie Deans
782525	372808	
782526	273783	Little Rachel
782527	185683	Theater Audience
782528	77457	Mom
782528	161594	Doctor
782529	7911	Vesta Tilley as a Child
782531	1955	Herself
782531	198523	Narrator
782531	392415	Herself
782531	392416	Herself
782531	403299	Panelist
782533	43447	
782534	41196	Wanda
782535	123986	Herself
782536	22802	Darla
782536	186017	Jenny's Friend
782536	348870	Schoolgirl
782536	359499	Charlie's Assistant
782536	379521	Inn Staff/Additional Voices
782537	63097	Emily Rose
782537	98149	Young Erica
782537	189920	Young Nicole
782537	242790	Karen
782537	264427	Karen
782537	279180	Willa
782537	339363	Tracy
782538	183868	Foster's mother
782539	44433	Woman at Site
782540	293228	Zoe's Relative
782541	112227	Athlete
782541	306341	Athlete
782542	297253	
782543	1225	Robin's Mom
782543	35353	Reporter #3
782543	41765	Justine Swift
782543	72455	Woman
782543	89388	Millie
782543	92181	Mrs. Stanley
782543	93981	Satisfied Customer
782543	107145	Woman at reception
782543	144964	Mother
782543	152300	Paul's Wife
782543	170983	
782543	207132	Mrs. Adams
782543	224073	Doris
782543	237604	Nicole's Mother
782543	257964	Mrs. Parks
782543	304293	Mrs. Finch
782543	314441	
782543	314631	Mrs. Adams
782543	321182	Baby Nurse
782543	330610	Grierson's Wife
782543	333343	Mrs. Barton
782543	358052	Rosie's mother
782543	365664	Rita's Mother
782544	11334	Maid of Honor
782544	22035	Miss Phillips
782544	183305	
782544	190223	Tovah Torrence
782544	218686	
782544	222711	Feminist Interviewer
782544	256238	Lola
782544	310561	Woman in garden
782544	324020	
782544	342924	
782544	345683	Mrs. Sanchez
782544	357129	Jessica Hawke
782544	385653	Kath Morris
782544	411802	Evelyn (1997)
782545	87063	Lisa Kemp
782547	213448	
782548	48393	
782548	90065	
782548	182754	Koenigin
782548	206302	Henriette Duquenoy
782548	325686	
782548	325786	Frau Wolf
782548	352249	Agata Renni
782549	224073	Guest at Wedding
782550	50039	Lila Stebbing
782550	95210	
782550	139213	Clarice Creighton
782550	190160	
782550	260878	
782550	337402	
782550	346366	
782550	353300	Bella Brown
782550	360623	
782550	367646	
782551	265462	Claudia
782551	309405	
782552	45893	
782553	210271	Melinda, First Lady of Magic
782553	368593	Herself
782554	265594	Ethan's Chick
782556	48131	Eli, Marits datter
782557	120412	Catholic schoolgirl
782558	169099	Ballet dancer
782558	172523	Can-can girl
782558	181634	Circus girl
782558	260623	Ballet dancer
782558	296508	Member of a woman orchestra
782558	343507	Ballet dancer
782559	251937	Cannibal
782560	174237	
782561	50006	Girl Servant
782562	212338	Chanana
782563	211398	Kim
782563	360661	Niki Patel
782564	86037	Inaugural Ball Toaster/Dancer
782565	59717	Crofter-Mats' child
782566	207721	
782567	209699	
782569	272849	
782570	303264	Joanna Strong
782571	305390	Candy Salesperson
782571	321126	Phyliss
782572	44681	Uppity wife
782572	128830	Mrs. Rae
782572	168466	Polly Baker
782572	302157	
782572	342470	Rusher of Din - Woman on Beac
782573	288205	Singer
782574	363948	Swap Meet Daughter
782575	120412	Girl Under Bleachers
782576	73756	Miss Cruickshank
782576	107174	Mrs. Pelham
782576	125916	Mrs. Ferrin
782577	60463	Mrs. Bonnington
782578	148313	Nurse
782578	306221	Bride
782579	8266	
782580	228383	Thyra Hector
782581	47345	Adele
782581	346075	Suzanne
782582	250737	Midshipman
782583	301540	Reporter #2
782584	85084	Teresa
782586	217389	Nurse Betty
782587	158873	Skotak's personal receptionis
782588	405162	Host
782589	69928	Paula
782591	17695	Pink Woman
782592	231895	Car Rental Girl
782592	257664	
782592	278466	Linda
782592	343294	Naked Lady in Bed
782593	343012	Harsha
782593	388791	Rehema
782594	9365	
782594	12638	
782594	38432	
782594	38925	
782594	43280	
782594	53855	
782594	107649	
782594	136750	
782594	149558	Sehnaz
782594	149559	Sehnaz
782594	159660	
782594	161145	
782594	163091	
782594	164081	
782594	173566	
782594	173570	
782594	173785	
782594	173864	Almila
782594	180689	
782594	181531	
782594	212018	
782594	212275	
782594	350839	
782594	373326	
782594	378227	
782595	156234	Stripper
782596	31018	Extra: Metro
782597	31728	Girl
782597	92778	Ako Seto
782597	359195	Mrs. Fukiyama
782598	308778	Cream the Rabbit
782598	405942	Cream The Rabbit (Japanese Ve
782599	30388	Unknown (Portuguese version)
782600	339139	
782601	233316	
782602	105862	
782603	110747	Herself
782603	336388	Herself
782604	12977	
782604	17404	Irma
782604	17406	
782604	22029	
782604	22031	
782604	22042	
782604	22048	Nevin
782604	22056	
782604	22100	
782604	23126	
782604	25596	
782604	25607	
782604	26002	
782604	34506	
782604	38491	
782604	38497	
782604	39089	
782604	44601	
782604	51353	
782604	53289	
782604	83320	
782604	85140	
782604	86697	
782604	87723	
782604	95549	
782604	126871	
782604	136697	
782604	136753	
782604	156222	
782604	156224	
782604	171982	
782604	172016	
782604	173767	
782604	174836	
782604	175850	
782604	189052	Leyla
782604	189054	
782604	201401	
782604	233036	
782604	284802	
782604	285246	Zeynep
782604	293428	Sehrazat
782604	296415	Melike
782604	296416	
782604	307036	
782604	320475	
782604	349709	
782604	350994	
782604	351953	
782604	370223	
782604	370225	
782604	370320	Leyla
782604	370514	Müjgan
782604	374317	
782604	377506	
782604	377510	
782604	377513	
782604	377529	
782604	378188	
782604	378190	
782604	378218	
782604	378595	
782604	378600	
782605	96300	
782605	222394	Mujer asaltada
782606	364417	Katharine
782607	358593	Extra
782608	183354	
782609	282928	Parking Lot Couple
782611	262852	
782611	341637	
782612	399091	Additional Voices
782613	354163	Screaming Woman
782614	61667	Nurse
782614	373944	
782615	224716	Narrator
782616	365347	Herself - the Pianist
782617	87309	Belle's girl
782617	178316	Midge
782617	199679	Doreen
782617	200991	Lily Fontaine
782617	279721	Booze's witness
782617	287230	Celebrant #6
782617	316351	Barbara Wells
782617	331065	Flapper
782618	24243	
782619	232251	Priscilla
782619	276867	Libby
782620	22838	
782620	92572	Adrianna
782621	7008	Susan Wilkes
782621	94158	Mrs. Jones
782621	98944	Herself
782621	109418	Christina 'Chris' Torrent
782621	118304	Sleepy Nurse
782621	142662	
782621	149126	Nurse
782621	190473	Madeline Hammond
782621	203637	Nurse Judith Blair
782621	330454	
782621	366889	Helen Morris
782621	367919	Debutante
782621	372531	Barbara Chanler
782622	20234	Peggy
782622	80678	Helen Evans
782622	91715	
782622	112231	Myra
782622	112588	Mary Cameron
782622	144942	Peggy Preston
782622	146978	
782622	196403	Loretta
782622	222996	
782622	366205	Woman with baby
782623	124085	Oasis girl
782623	127179	
782623	144819	
782623	147388	
782623	154630	The Girl
782623	176335	Goldwyn Girl
782623	220574	
782623	279399	Bing's Final Love
782623	310723	
782624	148223	Chu Lee
782625	342822	Sphinx Girl
782626	381963	Herself (featured singer)
782627	104718	Herself
782628	16151	Renata Adhiswara
782628	20203	Lita
782628	99197	Eliana
782628	396198	
782628	406699	
782629	5697	
782629	96484	Helga
782629	106682	
782629	111334	Feride
782629	139875	
782629	144532	
782629	201402	
782629	208252	
782629	283972	
782629	322545	Süreyya
782629	370372	
782631	33324	
782631	82618	
782631	97814	
782631	136751	
782631	204011	
782631	240536	
782631	326989	
782631	375887	
782631	375902	
782631	377509	
782632	410830	Liza
782633	7890	Waitress
782633	195021	Gallery Owner
782633	347902	Female Security Guard
782634	234900	
782635	311209	Bobbie Jones
782636	34977	A Girl
782637	49893	Herself (Taylorette)
782638	121561	Nun
782639	158141	Office woman
782640	304568	Jan
782641	87401	Vera
782641	161741	Gretchen Grasowsky
782641	210805	Lisa Kimbro
782641	319730	Karen Trenton
782641	321574	Susie
782641	388403	Liana
782642	17941	Spirits #1
782643	327162	Propwoman
782644	291740	Samantha Maclaine
782645	312010	Angelica
782646	9435	Osumi
782646	9479	
782646	19702	Sadayo, Shoichi's mother
782646	21825	Shigeno, Daisuke's wife
782646	98114	
782646	127745	Kurimoto's wife
782646	145283	Yumiko Hayama
782646	145303	
782646	232701	
782646	241922	
782646	243902	Otatsu
782646	299338	Mitsue, Akira's mother
782646	299572	Myosen, Nun
782646	371787	Wife
782647	185863	Katrina
782647	224344	Cassie Bumpus
782647	380391	Pam (1993)
782647	380713	Mitzi Matters (2000, 2001-04)
782648	367083	Prison Guard
782649	143531	Ania
782649	187189	Mary Beal Tabak
782649	300569	Annette
782649	302221	Hospital Nurse
782649	311037	Nurse attending May
782649	311038	Train Passenger
782650	220901	Dancer
782651	3687	Herself
782653	374062	Lekarkata
782655	404227	Osuzu
782655	405984	(Sisterhood, USC)
782656	409419	Rita Fujihara
782657	380430	
782658	131232	Extra
782659	231900	Half-Naked Girl
782659	310801	Oreo
782659	337285	Rap Dancer #2
782660	388563	Neusa
782661	71160	Bailarinas (Dancers)
782662	140634	
782663	120943	
782663	188727	
782663	320226	Kunstschülerin Barbara
782663	358888	
782663	359580	
782664	309631	
782665	25103	
782666	246832	Carmela (Sicily)
782667	387508	
782667	401011	Hara
782668	83561	Randi
782669	181580	
782670	228883	(segment Nayezdniki)
782670	323221	Zemfira
782670	373699	Woman Captain
782671	26475	Anna Sergeyevna
782671	88407	
782671	179906	
782671	227903	
782671	229056	
782671	235964	
782671	253644	
782671	259931	Herself
782671	265989	
782671	316373	(segment Dumy)
782671	320637	
782671	374784	
782671	374869	Anisya
782671	375114	
782672	171742	
782672	258999	
782672	374990	
782673	4498	Mother's working companion)
782673	26195	Lena Onofrienko
782673	38765	Sonja
782673	51334	Nina
782673	62345	
782673	93494	
782673	107834	Ursula Losch
782673	108155	Steffi Rechlin
782673	131383	Mutter
782673	134785	Rita
782673	140224	Agnes Eckert
782673	141970	Heidi
782673	153748	Jonas Mutter
782673	170124	Nelly
782673	204483	Edith Kettner
782673	210067	Frau Brigitte Schmidt
782673	225292	
782673	226209	
782673	259439	Kommissarin Tanja Voigt
782673	259465	Hauptkommissarin Tanja Voigt
782673	259483	Kommissarin Tanja Voigt
782673	259501	Kommissarin Tanja Voigt
782673	259519	Tanja Voigt
782673	259581	Tanja Voigt
782673	259591	Kommissarin Tanja Voigt
782673	259605	Tanja
782673	259623	Heike Winterfeld
782673	259624	Tanja Voigt
782673	259642	Margot Abeleit
782673	259660	Tanja Voigt
782673	259725	
782673	290055	Elke Dorn
782673	301014	Eva
782673	310897	Wirtin
782673	312655	Corinna
782673	317490	
782673	325418	
782673	325436	Anita Holz
782673	325464	Maria Weinhold
782673	325803	Annette Baumann
782673	325867	Sylivia
782673	325882	Hauptkommissar Steiner
782673	338385	Anna
782673	343690	Mutter Menzel
782673	352208	Dr. Roth
782673	352270	Tordes
782673	352367	
782673	373659	Katja Leuner
782673	394619	Hermine Kraithaim
782674	74422	
782675	382418	Hada Video
782676	182949	Malika
782677	70003	Rand
782678	19816	
782679	169264	Soledad
782680	281989	Franca Palmer
782681	233249	
782682	56880	Racer
782683	132951	Ragazza Marco #1
782684	384911	Myra Chetwynd
782685	276955	Ashley
782685	399376	Host
782685	406791	Host
782686	158975	Coffee shop waitress
782687	12687	Elena
782687	54024	Santa
782687	127884	(segment "4 Wives")
782687	258134	Tanya
782688	90525	Neighbor
782689	106520	Sandra
782690	56929	Daniela Germano
782691	338731	Lisa's Girlfriend
782692	58462	The Valedictorian
782693	56025	
782694	70771	
782694	352159	
782695	352159	
782697	192821	Persefone
782698	28700	Julia Reuter
782698	35794	Mary Douvan (Dee)
782698	48063	Laura Crocker-Harris
782698	49873	Julia Matthews
782698	52906	Marguerite Gautier
782698	63022	Reader
782698	66385	Terri
782698	71302	Mental Patient
782698	71479	Lily Macintosh
782698	71751	Deborah Voysey
782698	80561	
782698	82035	Nina Beckman
782698	90677	Angela
782698	92466	Anna-Luise Fischer
782698	97133	Diana, 'The Mouse'
782698	99951	Mrs. Weston
782698	111583	Alice Palmer
782698	113980	Isabel
782698	131526	Edna Bonnano
782698	141548	Olivia, his wife (The Ninetee
782698	166565	Maria Cosway
782698	166568	Margaret Thatcher
782698	168469	Narrator
782698	183426	Lucia
782698	194246	Christina Alibrandi
782698	195407	Agnes MacDonnell
782698	198893	Lady Macbeth
782698	204674	Mrs. Ravenscroft
782698	238420	Penelope
782698	241643	Gale Sondergaard
782698	251050	Maria
782698	257689	June Gudmundsdottir
782698	263265	Caroline Polhemus
782698	272530	Tsarina Alexandra
782698	281350	Natalia
782698	286255	George
782698	294843	Juliana
782698	297756	Judith Merrick
782698	309402	Nicoletta
782698	321961	
782698	335155	Aunt Gwen Kitson
782698	342048	Judith
782698	345253	Jane Steiner
782698	354936	Victoria Byrd (Oxford)
782698	363932	Lady Diana Broughton
782698	376414	
782698	385659	Lydia Glasher
782698	388441	Liz Cooper
782698	410651	Anna Cheri
782699	193176	Terrorized Girl in the Hallwa
782700	193176	Terrorized Girl in the Hallwa
782701	52320	Nurse
782702	82742	Marilyn
782702	366754	Forsenic Agent Stevens
782703	10330	Waitress Du Champ
782704	188491	Pauline Johnson
782705	37118	Chastity
782705	208668	Abby
782705	214120	Jodi
782706	63890	
782707	98008	
782707	157064	Jill
782707	167191	The young woman
782707	184878	
782707	240345	
782707	248426	Martine
782707	321743	
782707	384565	Ulrich
782707	395349	Calamity Jane
782708	10648	Elvie Giordani
782708	15988	
782708	28343	
782708	41659	Madre
782708	42797	Mrs. landi
782708	48973	
782708	69759	Giulia
782708	216324	Vendeuse
782708	260897	Adriana
782708	338681	Step's mother
782708	390498	
782708	397297	Liliana
782708	400404	Emma Obrofari
782709	48128	Silvana Bladini
782710	157324	St. Jude Student
782711	157324	St. Jude Student
782712	157324	St. Jude Student
782713	48831	
782714	16813	
782714	73651	Anna
782714	107282	
782715	294219	Caroline's mother
782716	294219	Michael's wife
782717	18795	Mujer 3
782718	13731	Molly Potts
782718	26877	Emmy
782718	241047	Rose Wingfield
782718	393668	Meg
782719	310446	Gran
782720	308482	
782721	5762	Donna alla finestra
782721	6568	Carmeluzza
782721	12973	
782721	15986	
782721	19612	
782721	20794	
782721	25152	
782721	33508	
782721	33681	
782721	36333	
782721	38845	
782721	53835	Potiera
782721	56367	Donna grassa
782721	91530	Passante
782721	103440	
782721	110387	Passeggera del treno
782721	112651	
782721	124124	
782721	128000	
782721	128931	
782721	157855	Portinaia
782721	202064	
782721	215895	Ostessa
782721	238012	Donna al mercato
782721	238378	Waitress
782721	247516	
782721	249903	Donna Idroscalo
782721	251053	
782721	252660	
782721	255539	Assunta, la bidella
782721	255540	Inquilina
782721	255541	Paziente
782721	259844	
782721	266929	
782721	274892	Gattara
782721	277788	
782721	287992	Donna scandalizzata
782721	290977	Pasqualina
782721	293360	
782721	295049	
782721	302484	
782721	307583	Erminia
782721	315420	Assunta
782721	320322	Cook
782721	338361	
782721	344632	Partecipante alla gara di tan
782721	349520	Hostess
782721	349521	
782721	349534	Nonna Marchetti
782721	349719	
782721	402780	Nonna
782723	185322	Final Victim
782724	307380	Bethany
782725	33643	Maisie Corstairs
782725	50236	Daisy
782725	109859	Alice
782725	146053	
782725	151032	Polly, barmaid
782725	190750	
782725	235495	Mary
782725	235624	Maid
782725	239592	Lily
782725	251515	Mary
782725	278200	Clara
782725	300086	
782725	302019	Aggie Murbles
782725	315990	Birkenstraw
782725	342455	Mary
782725	364638	Daisy Mog
782726	112018	McRoarty Girl
782727	147646	Maria Giovanni
782728	255250	La Mère
782729	401875	Herself - Scandal'us (2001)
782730	8284	Mitzi
782730	17742	Elena
782730	24140	Silvana
782730	24819	Josette
782730	33661	Delia
782730	52873	La moglie dell'avvocato
782730	54144	
782730	54159	
782730	57480	
782730	67893	
782730	85480	
782730	102621	
782730	102623	
782730	111857	Teresa Derrieux
782730	121893	
782730	128026	
782730	128029	
782730	128033	
782730	132267	Trinida
782730	132721	Mizzy
782730	164188	Luisella
782730	199820	Maura Ornano
782730	211800	Cinzia
782730	227576	Maria Rosaria Iovine, la figl
782730	239970	Delia, Ugo's wife
782730	242875	
782730	246427	
782730	264261	Una compagna d collegio
782730	270839	
782730	280756	Angelina
782730	301375	Patrizia
782730	307073	Gloria
782730	326626	Delia Amato
782730	328626	
782730	332257	
782730	336756	Hughette
782730	354513	Agatina
782730	355616	Vera
782730	355787	Palmina
782730	383549	
782730	392990	Mum
782731	121692	L'hôtelière
782732	11483	Manuel's Daughter
782732	17028	Eleftheria
782732	31178	Karen Philips
782732	36818	Anita Ferrer
782732	90319	Melora Alba
782732	118303	Vicki Dauray
782732	124224	Theresa Renata
782732	136024	Anna
782732	230391	Minnie
782732	242662	Dalida
782732	263477	Nina Ferranti
782732	277856	Tessa Milotte
782732	333647	Paquita Heldon
782732	339808	
782732	341752	Estelle Novick
782732	343278	Lili Geyr
782732	361565	Elizabeth Beyer
782733	401875	Herself - Finalist (2002)
782734	372433	Party girl
782735	54340	Mrs. Torrio
782735	151732	
782735	213112	Laundromat Lady
782736	125001	Bea
782736	281718	Francie
782736	313649	Paula
782736	334613	Laura Tauchert
782737	56031	
782738	64661	Triple Trapeze/Body Skating
782739	226148	Fenena
782739	277611	Zomira
782740	53019	Diodata
782741	403021	Belén Menéndez Pacheco
782742	158767	
782743	90422	Molly Stewart
782744	700	
782744	42924	Pookie (segment "The Willie W
782744	98932	Abby Jones
782744	167697	Libby
782744	167698	Libby
782744	167699	Libby Folfax
782744	167710	Libby Folfax
782744	201696	Herself
782744	333840	Drifter Girl
782744	339937	Hysterical Girl
782744	365458	Cheetah Cubs
782744	379311	Libby
782744	400450	Daisy
782744	401552	Calvin
782744	406471	Daisy Watkins
782745	192349	George's Girlfriend
782746	5239	Marion Brewster-Wright
782746	23913	Herself
782746	25480	Rose
782746	35777	
782746	45615	Mrs. Harrington
782746	46399	Sara Turing
782746	62779	Hannah Ap Llewellyn
782746	77193	Edith Disney
782746	81613	
782746	91152	Doris Rutter
782746	99952	Miss Bates
782746	107427	Marjorie
782746	119408	Queen/Various Voices
782746	121835	Herself
782746	121860	Herself
782746	127151	Sarah
782746	147126	Vicky Hobson
782746	150748	Glynis
782746	151761	Aunt Juley
782746	155595	Lady Markby
782746	186463	Morag McLeod
782746	192431	Mrs. Sandman
782746	194479	Shirley
782746	199150	Dr. Minny Stinkler
782746	211617	Mistress Page
782746	223962	Aunt Elle
782746	245501	Miriam
782746	254760	The Client
782746	269652	H.M.Q.
782746	273943	Marjorie Richardson
782746	277661	Herself
782746	281413	Council Office Worker.
782746	292121	Margery
782746	298622	
782746	301392	Elizabeth Palmore
782746	313995	Queen Victoria
782746	314729	Aunt Agnes
782746	358872	Estella Fitzjohn
782746	362204	Mary
782746	362404	Mrs Prentice
782746	363206	Annie Parker
782746	364731	Lady Kingsclere
782746	367254	Maude
782746	379387	Sarah France
782746	381950	Queen Melissa
782746	385020	Eileen Hughes (1961)
782746	388519	Sybil Fawlty
782746	392246	Pet shop owner/wife
782746	395955	Storyteller
782746	395967	Presenter/Queen Victoria
782746	396797	Miss Elizabeth Mapp
782746	396928	Kate Starling
782746	398377	Dolly
782746	400184	
782746	401413	
782746	402123	Lydia Bennet
782746	404046	Aunt Patty
782746	404617	'Mrs.' Tilston
782746	404672	Martha
782746	404935	
782746	410513	Frau Pollert
782747	129086	
782747	158566	Mona Duke
782748	362	
782748	42100	
782748	277811	Donna Casting
782749	54836	Jane
782749	372759	Herself
782749	411830	Herself (1971-1976)
782750	199759	Madonna at 4
782751	119074	
782752	168409	Fanny Ziegfeld
782752	407552	Lila
782753	140820	
782754	183488	Rosetta
782755	392787	
782756	293317	Himself
782757	163565	Dyke #1
782758	329413	Lina
782759	3352	Rosina
782759	213802	
782759	217111	
782759	218959	
782759	229995	Constance Berin
782760	145675	
782760	255936	
782760	393187	Fermina
782760	402321	Gloria
782761	255936	
782763	215644	Little Rayzel
782764	245305	Breda O'Donnell
782764	403277	Anchorwoman
782765	158992	Sean
782766	248491	Mrs. O'Riordan
782767	7543	
782768	112661	
782768	265722	
782768	283612	
782769	14821	Rita
782769	57453	Ana de Garcia Paes
782769	70311	
782769	88793	
782769	102669	
782769	104356	
782769	118174	
782769	158981	
782769	222172	
782769	244976	(segment "A Peça")
782769	248759	Júlia
782769	263268	
782769	265490	
782769	274639	
782769	296144	
782769	324854	
782769	328760	
782769	397553	Rosa
782770	71436	Helene's friend
782771	396649	
782772	27433	Rose Ann
782772	341885	Herself
782772	388139	New York Correspondent/Anchor
782773	343294	Girl in Cantina
782774	231540	
782775	25798	
782775	52618	Maru
782775	80165	Soledad
782775	100521	Nilda
782775	154440	Marisol
782775	192962	Sandra
782775	222537	
782775	266845	
782775	286422	Beatriz
782775	302333	Aurelia
782775	302378	Mariana
782775	339160	
782775	345587	Constitución Gamal
782775	379909	Casilda Gómez
782775	381024	Karina
782775	383031	Alma
782775	383155	Liliana
782775	385401	Isabel
782775	395043	Rocío
782775	398458	Elena
782775	403024	Galia
782775	405281	Rosario
782776	46970	
782777	355808	Danseuse boîte de nuit
782778	158947	Woman at TV station
782779	274200	Felladium Bartender
782780	202425	
782780	304554	Shirley
782780	384618	
782781	79007	Tammy, Royville Girl
782782	194635	Party Girl
782783	45342	Wedding Guest
782783	274558	
782784	68226	Claudia
782784	128515	Tanneke
782784	165450	Bessie
782784	272675	Sister
782784	279347	Audrey Barker
782784	385341	Julie
782784	389511	Various
782784	398266	Herself
782784	409841	Lady Crawley
782785	41869	ISO Nurse
782786	45505	Second Prostitute
782786	46297	Hilda
782786	53794	Gail
782786	117627	
782786	118529	Herself
782786	144972	Mary
782786	327829	Lorraine
782786	349512	Joyce
782786	410643	Sr. Sgt. Helen Blakemore (199
782787	76500	Sarah
782787	76504	Sally
782788	207036	Lisa's Mother
782789	37263	Bonnie Sweringden
782790	157499	Nun Playing Piano
782791	387203	Sally Windsor
782792	277787	California Girl
782793	17825	Debbie
782794	276433	Counter Girl
782795	54221	Janet Presser
782795	93987	Kristine Haloway
782795	114196	Loralie
782795	244918	Kimberly
782795	247155	Alda
782795	383374	
782795	389416	Pat Collins
782796	131692	Players and Voices in Opera S
782797	13224	Young Irate Mother
782797	50076	The Daughter
782797	59316	
782797	80407	Frankie
782797	80464	Woman from Brooklyn
782797	104108	Kathy
782797	115603	
782797	137195	Helen the Ex-Secretary
782797	169882	Mary
782797	197809	Stoned Customer
782797	200521	Cocktail Waitress
782797	203358	Ed. Weinberger's Secretary
782797	231869	Sherry
782797	267440	Receptionist
782798	84925	Dixie
782799	26700	
782800	119581	Fishercats #5
782801	183586	Window Dresser
782802	379716	Kathy Lima (1991)
782802	380390	Becky Hewitt (1981-1982)
782802	387152	Nicole 'Nikki' Simpson DeVilb
782802	400236	Roxanne LaSalle (#2) (1986)
782802	404002	Chessy Blake/Gabrielle Dubuja
782802	404613	Kristin Carter (1982-1984)
782804	31865	Diane
782804	146957	Nicole
782805	6384	Copine Laurent
782806	360267	
782807	330262	Cindy Clifford
782807	380973	Herself
782807	411468	Co-Host
782808	313033	Les collégiennes
782810	10056	Flavia
782811	387953	Herself
782811	387954	Herself
782811	401876	Herself
782812	133373	Maureen Finn
782813	224729	Natasha (5)
782814	5741	
782814	51567	Secretaria finaciera
782814	57870	Carolina Miranda
782814	172974	Bertuccio's Mother
782814	351688	
782814	379583	Indira
782814	386127	Mabel 'Mabelita'
782814	389775	
782814	391860	Cecilia
782814	395495	
782814	396596	
782814	396646	
782814	403237	Sonia
782814	410453	(2000)
782815	87474	Alicia
782816	54355	Anaide
782816	71439	Despina
782817	1712	Opera House Security Guard
782817	8200	Nurse Wilson
782817	10884	Susan Francisco
782817	10885	Susan Francisco
782817	10886	Susan Francisco
782817	10887	Susan Francisco
782817	10888	Susan Francisco
782817	10889	Susan Francisco
782817	46363	David's Stepmother
782817	49848	Michelle Visard (Agent 03)
782817	67348	Sandi Barnett
782817	72140	Snow Queen
782817	80649	Theresa
782817	121824	Jokios
782817	150606	Chip Dove Girlfriend
782817	154168	Connie Klinger
782817	169514	Michelle Visard - Agent 3
782817	183182	
782817	188646	Terry
782817	192724	Jeanine Blaylock
782817	194681	Catherine
782817	208041	Sandy
782817	252989	Charlotte
782817	253342	Ms. Young (Jennifer/Stephanie
782817	263235	Deputy Dana Flowers
782817	265678	Dancer at Prom
782817	275770	Ann Marie
782817	305916	Dr. Pierce
782817	317351	Josh's mother
782817	320421	Go Go Dancer
782817	323939	Mother
782817	368993	Christine Henley
782817	379507	Jo Santini
782817	379671	Susan Francisco
782817	386080	Deborah Mousseau
782817	400061	Jessica
782817	404933	Six
782818	127876	
782818	246416	
782819	20800	
782820	148076	Nurse
782821	46863	Mother
782822	212837	Bridesmaid
782823	355801	
782824	168745	Student
782825	5763	
782825	12318	Step-Mother
782825	14258	
782825	28680	
782825	28760	La signora Resta (Mrs. Resta)
782825	33672	Elocution Teacher
782825	96523	
782825	112658	
782825	155809	Verace's sister ("Adelina" ep
782825	188644	(segment "Quel porco di Mauri
782825	199506	His Mother (segment 5 'La Fam
782825	205270	
782825	207961	Rosalia
782825	209439	La moglie di Felice
782825	227571	
782825	235365	Aunt Bice (segment "Il Marito
782825	243693	Widow's girlfriend (Pizze a c
782825	247514	Teresa
782825	253031	Donna Tecla
782825	263921	
782825	269697	Efisio's mother
782825	289489	
782825	307509	
782825	308888	Fiammetta's mother
782825	310391	Zia Rosa Cimmaruta
782825	324076	Stella Piccola
782825	326320	Filomena
782825	326346	
782825	336624	Zia Ada Barbalunga
782825	340645	
782825	344573	
782826	401243	Joana
782827	238567	Little Girl
782828	291948	Eyewitness/Herself
782829	25850	Sherry
782830	10160	The Opera Singer
782831	114707	Jennifer Fishman
782831	120015	Judy
782831	212371	Barbara
782831	319281	Liana
782831	406952	Tess Montgomery (6/1998)
782832	303282	Herself
782833	303282	Herself
782834	21783	Dawn
782834	54657	Dental Nurse
782834	59715	Claire Monceau
782834	64056	Betty MacFell
782834	81123	Inspector Kate Miskin
782834	118021	Estella
782834	147608	Court Welfare Officer
782834	384100	Janet (episode "Number Six")
782834	390485	Ruth Manning Bannerman (II) (
782834	397433	Shelley
782835	56971	Maris
782836	279414	Sara
782837	325244	Woman in Shoe Shop
782839	139227	Rocco's Girl
782840	148524	Girl In Van
782841	54809	
782841	383492	Giulia
782842	34911	
782842	157920	Hotel receptionist
782842	188350	A.T.S. Girl
782843	53011	
782844	287647	
782844	293355	
782845	291488	Kathy Cratchit
782846	43114	
782847	113709	Alfredina
782847	219830	Cassiera
782848	235780	
782848	293353	
782849	335334	Voice of Remote
782849	398217	
782850	75028	
782850	158861	
782850	239878	
782850	239879	
782850	252675	Dott.ssa Calzola
782850	355634	Sveva
782850	410311	Silvana Canale
782851	27350	
782851	39361	
782851	103905	
782851	137208	
782851	228071	
782851	233505	
782851	239880	
782851	300772	The Mangy Dog
782852	115281	Erin Cooper
782852	119322	Scream Queen
782852	375714	911 Caller
782853	46752	Jenny
782853	128600	Pearle
782853	176848	Jenny
782853	213073	Jane
782853	245907	Justine
782853	337130	Pricey
782854	168261	Herself
782855	121529	
782856	49500	
782857	65552	
782857	116587	Récitante
782858	41829	Dancer
782858	368092	Latina Woman
782859	166940	Receptionist
782860	403329	
782861	168564	
782862	11865	Brautmodenverkäuferin
782862	15189	Nadia Schäfer
782862	79174	Vera
782862	186199	Elle
782862	365921	Gesa Fischer
782862	380141	Nadia Schäfer
782862	408428	
782862	409958	Susanne Kopp, geb. Brandner (
782863	105606	Lucia Borsellino
782864	255641	Angela
782865	127943	Nunziata
782865	206037	Caterina
782866	75181	
782867	145009	Rachel
782867	222611	Female Officer in Flashback
782867	286298	50's Housewife
782868	2654	
782868	9650	Malvida
782868	10050	
782868	14894	Laura
782868	16817	
782868	18640	Neapolitan girl
782868	51951	Louise Charrier
782868	52184	
782868	56100	Madame Charpillon
782868	108582	
782868	120814	Charlotte's mother
782868	127487	Caviar Party Guest
782868	157854	Countess Flaminia
782868	158764	Jeanne Ledru
782868	197584	
782868	200440	
782868	219668	
782868	228150	
782868	229990	Claire Fox
782868	240128	
782868	243199	Irene
782868	254965	
782868	289338	Ferro's Sister
782868	289343	Countess Torreguardia
782868	338017	
782868	380972	
782868	386749	Nonna Francesca
782868	397681	
782869	6859	Giulia
782869	135245	
782869	168549	Linda
782869	295136	
782870	316153	Gut puking hottie
782871	26644	Baby Shelter Woman
782871	81758	Waitress #1
782871	167070	Angelina Vitello
782871	207681	Wife #2
782871	281913	Helen Barr
782871	342499	Mrs. Klein
782871	381537	Joan
782872	183467	
782873	71751	Woman in Crowd
782874	67709	The Cooler Queen
782875	334171	
782875	348835	
782876	299689	Runners kid
782876	399531	Joan
782877	111032	
782878	252061	
782879	1674	Herself
782879	7944	Anna Jackson
782879	16658	Fronia Black
782879	16710	Mrs. Annie Feagan
782879	30734	Aunt Raylene
782879	31021	Doris Thompson
782879	32693	Joanne
782879	46607	Libby 'Lips' Lipscomb
782879	49531	Lolly
782879	49656	Toby
782879	65523	Eva Finch
782879	73560	Diana
782879	75421	Gail
782879	83960	Eileen Phillips
782879	87418	Dianne
782879	92257	Dorothy McIntyre
782879	106461	Terry
782879	117634	Sybil Davidson
782879	130629	Lynette Salerno
782879	136277	Sandra
782879	136287	Sheila Langtree
782879	141543	Cassie
782879	148996	Jeanne
782879	155888	Marcia Schulman (segment "199
782879	158230	Casey Walker
782879	160375	Louise
782879	183186	Darlene
782879	183357	Lucy Bricker
782879	217600	Christina Crawford (adult)
782879	229858	Sarah
782879	232088	Willa
782879	249600	Elke
782879	250576	Marny Clifford
782879	261427	Lane
782879	263314	Frieda
782879	266590	Maureen Coyle
782879	282922	Miss Woodmere
782879	283248	Cassandra
782879	301855	Angela
782879	302209	Louisa Holt
782879	316111	Margaret
782879	331159	Susan Masters
782879	340899	Bess Truman
782879	362312	Jody
782879	366935	
782879	389416	Joan Aldrin
782879	393173	Rose Kennedy
782879	406793	Catherine Banahan
782879	411176	Crystal Eastman
782879	411374	Karen Tyler
782880	325244	Nurse
782881	309500	
782882	281233	Bratti
782883	12681	Luisanna
782883	17287	Virgin Mary
782883	28179	La jeune fille myope
782883	41894	
782883	42596	Marta
782883	48219	Gisella
782883	63890	
782883	67899	Anna
782883	69136	Woman in Moses' office
782883	76269	Giovanna Sperlari
782883	105606	Francesca's Colleague
782883	108113	Aunt Ornella
782883	112912	Monica
782883	157923	Lady Driver
782883	194148	
782883	202125	
782883	204261	Serena
782883	234901	Amalia Globocnik
782883	241363	Understudies
782883	248513	Martina
782883	248889	Milena
782883	266177	(segment Blue Valentine)
782883	270886	Carmen
782883	278404	
782883	289347	Marianna
782883	293888	Carlina
782883	302184	Nicoletta
782883	316853	
782883	334990	
782883	348143	Simonetta
782883	351979	
782883	375235	Polissena
782883	384246	Simonetta Dominici
782883	388169	
782883	396863	Missy Melloney
782883	400789	
782884	98119	
782885	14966	
782885	20397	
782886	319087	Anita
782887	381670	Herself - Host
782888	167053	Ms. White
782889	382304	
782890	382304	
782891	100034	Debbie Collins
782892	379978	Herself (eliminated 11th) (20
782893	88663	Tina Webster
782893	261989	Cynthia Berkley
782893	291221	Cheerleader in Bathroom
782894	262209	Zoia
782895	262209	Vera
782896	409958	Coco Faber (2004-)
782897	230085	
782898	78882	Mrs. Whimberly
782899	51800	Joey D'Annunzio
782900	209715	Herself
782901	261289	
782902	29345	Hulda, Jacob and Agnes' cook
782902	89470	Waitress at the Water shop
782902	94450	Working woman at meeting
782902	109293	Gullan
782902	115382	Therese Hedlund
782902	115400	Jeweller's shop assistant
782902	116456	Malin
782902	125894	Secretary at Alfresson's offi
782902	134261	Frida
782902	144062	Nurse
782902	148820	Customer
782902	170838	Model
782902	174697	Ekvall's maid
782902	182302	Mrs. Blomquist
782902	190822	Elsa Rinner af Stolpe
782902	190835	Office employee
782902	192928	Waitress
782902	239042	Aunt Paula
782902	268343	Policewoman
782902	296112	Journalist
782902	303666	Florindo's Wife
782902	312227	Lucretia Otis
782902	315352	Hilma
782902	315361	Salvation Army soldier
782902	321510	Micke's mother
782902	338674	Guest at Marianne's birthday 
782902	338708	Angry woman in the phone
782902	355638	Woman at Centralen
782902	357762	Nurse
782902	395004	
782902	402881	Ida's mother
782903	181638	Lawyer's wife
782905	155622	
782905	225938	Majka
782905	328151	Prodavacica
782905	386659	Kasirka
782906	95595	Dzojstik devojka 2
782907	104768	Maltese backing vocal
782907	104772	Maltese entry (9th place)
782907	202521	Herself
782907	202522	Herself
782907	202529	Herself
782908	202524	Host
782909	279259	
782910	47334	Lady at Angelina's
782911	166763	Angestellte Musikhochschule
782912	125080	Romy
782913	136222	
782913	345921	
782914	88841	
782915	306428	Maya
782916	79260	Woman Two
782916	120298	Bridget
782917	400239	Hazel Barbour Herbert (1949-1
782918	241799	Christmas choir member
782920	196082	Herself
782921	367355	
782922	12449	Olga Wolkonski
782922	24513	
782922	102286	
782922	105521	Zuhörerin
782922	108620	Therese Elssler
782922	120154	seine Gemahlin Josepha
782922	209973	Eva
782922	223230	
782922	248203	
782922	275412	
782922	279073	
782922	289951	
782922	293620	Frieda
782922	314330	Ulla
782922	324678	
782922	335018	
782922	354071	
782923	14300	Magdalena Fuller
782923	24326	Anni Kunz
782923	38995	Sidonie von Grasenabb
782923	86924	Hedi Neumann
782923	93390	
782923	111404	
782923	129692	Sabine Heinking
782923	136717	Wirtin im zweiten Café
782923	140655	Frau des Professors
782923	142082	Margot Riemeck
782923	165775	Patricia
782923	174762	Frau im Restaurant
782923	180990	
782923	189595	
782923	189611	Dame im Zug
782923	197574	Blal's European Accomplice
782923	225270	Edith Vollmer
782923	235798	
782923	277231	
782923	278573	Katrin
782923	288244	Ann Boyten
782923	290536	Dr. Marquart
782923	290589	Frau Dr. Müller
782923	294585	Anna
782923	308213	
782923	312872	
782923	325702	Elisabeth
782923	325712	Lydia
782923	347622	Christine Ambrock
782923	359503	Scriptgirl
782923	361305	Computer lab assistant
782923	361311	Mama
782923	364129	Katherine Nicholson
782923	376024	Franziska Bausch
782923	379174	Vermieterin
782923	381053	Marita Jung
782923	381689	Frau des Kellners
782923	390889	
782923	412114	Erika Eggers
782924	174503	Miss Tree
782924	384915	Herself
782925	73	Bonnie Rumsfield
782925	328	Pamela
782925	45050	Mary Jo Guthrie (Woody's sist
782925	47004	Additional Voices
782925	72853	Beth Sladen
782925	109722	Colette MacDonald
782925	130458	Jan Michaels
782925	147541	Jill
782925	159959	Wendy
782925	222363	Marge Mavalle
782925	223979	Emily Pommeroy
782925	245241	Paige Davis
782925	273896	Lorraine
782925	274329	(segment "Hotline")
782925	274729	Velmont Girl
782925	283422	Mrs. Cahn
782925	305379	Marion Fimple
782925	323846	Nurse Earle
782925	363159	Laura
782925	363370	Sandra Roxbury
782925	379392	Bonnie Hornbeck
782925	379991	Francine
782925	388410	Julie (1980-1982)
782925	390323	Debbie Lapidus
782925	393082	Vicki Allen (1980-1981)
782925	399110	Liz Dooley
782926	669	Verkoopster
782926	166718	
782926	175678	
782926	251821	Dolores Mandera
782926	290434	Anna's mother
782926	314854	
782926	397369	
782926	401807	Hanna
782926	404668	
782926	407166	Cornelia Bromsnor (1971-1975)
782927	156466	Mrs. Kockenbakker
782927	226900	Wisconsin Woman
782927	276198	Crying Woman
782928	381694	
782928	395667	Carmen Altmann (2002-)
782929	169119	
782930	396874	Felicitas "Feli" Hagedorn, ge
782931	18825	Andie
782931	190273	Ballerina
782932	62918	
782933	80468	Amy
782933	109659	
782934	360923	
782935	228672	
782936	40559	Marjorie
782936	103203	La petite Anita
782936	399811	
782937	198608	Louise
782937	400762	Claire (1980-1982)
782937	409457	
782938	131383	
782939	252825	Sports Connection Member
782940	203225	
782940	361428	Brigitte
782940	392509	Gisela
782940	395010	
782941	184978	Sheriff's Secretary
782942	259491	
782943	186885	
782943	290016	Medium
782943	292101	
782943	318085	
782943	369136	
782944	318346	Interview Girl
782945	2232	Waitress In Restaurant
782945	107259	Herself
782945	373990	Bernadette
782945	388195	Nancy Olson Butler (1979-1982
782946	155824	Child
782946	191755	Carrots
782947	373993	
782948	383742	Mary-Kate Olsen, Ashley Olsen
782949	256953	La secrétaire
782950	155988	
782951	140967	Michael's Lover
782952	362800	Little Girl
782953	105045	Fru Jensen
782953	190825	
782953	242451	
782954	157310	
782955	119608	Athlete
782955	277851	Athlete
782955	306341	Athlete
782956	7832	Nora Hildreth
782956	10488	
782956	11221	
782956	20848	
782956	21794	
782956	24861	
782956	29271	
782956	29893	Conchita
782956	31830	
782956	43550	Lucy Beekman
782956	45247	
782956	47777	His Daughter
782956	48476	
782956	49447	
782956	50489	
782956	56429	
782956	59919	
782956	63313	
782956	73407	Eleanor Bunniman
782956	75816	
782956	79095	Vera Maxwell
782956	79385	
782956	80362	
782956	82449	Mrs. Kate Adams Keller as a y
782956	88173	Marie Worden
782956	88985	
782956	93171	
782956	95093	Isabella
782956	97521	Stella Farnsworth
782956	97766	
782956	105294	Lillian Lord
782956	112307	
782956	112541	Faro Fanny
782956	114163	Yvette De Vonne
782956	114861	Lady Magda
782956	116760	The Mysterious Woman
782956	117178	
782956	118465	
782956	120486	
782956	128264	Cleo MMerrill
782956	128287	Sally
782956	128523	Janet Durling
782956	133841	Herself
782956	134032	
782956	135554	Amy
782956	138684	Dorothy Mitchell
782956	141230	
782956	142116	
782956	143713	Christine
782956	144654	
782956	162922	
782956	190302	
782956	190596	
782956	190693	
782956	191282	
782956	194757	
782956	195413	
782956	195607	Her Cousin
782956	200196	
782956	202991	Undetermined Role
782956	212692	
782956	213208	
782956	221598	
782956	234243	Dancing Pete
782956	239507	
782956	240914	
782956	242572	Edna Derwent
782956	245147	
782956	246717	Rose
782956	257938	
782956	258970	
782956	270393	
782956	270459	
782956	277332	Anna
782956	278008	
782956	289579	Priscilla Worth
782956	289584	Betty Calvert
782956	289622	Tiny
782956	294039	
782956	296887	
782956	297780	
782956	299521	Nora Brewster
782956	308371	
782956	309533	Maggie
782956	311867	Dollie Delmar
782956	330245	
782956	331923	Vera Lippin
782956	343040	
782956	354526	
782956	354532	Mrs. Richley
782956	356347	Sally
782956	364316	Sylvia Stone
782956	364455	
782956	365084	
782956	366141	White Lily
782956	366239	Nola Chadron
782956	366335	
782956	366620	
782956	367258	Vida Burns
782956	367694	Katie Lusk
782957	7556	Sabine
782957	12843	Anja
782957	14581	
782957	18517	Laura
782957	25924	Ulrike
782957	38186	Jutta
782957	82164	Susanne Lösner
782957	82509	
782957	93381	Jenny
782957	143514	
782957	147160	Bianca Reinhardt
782957	147314	Bianca
782957	150696	Rosa
782957	166763	Fräulein Mertens
782957	174774	Nora
782957	187567	
782957	188718	Gabi
782957	204483	
782957	210028	
782957	218977	Juliane Peters
782957	225192	Sabine
782957	225266	
782957	225271	Andreas
782957	230441	Windbride
782957	259686	Marianne Dammers
782957	290107	Franziska
782957	304163	Daria
782957	308257	
782957	312207	Karin Wolf
782957	317506	
782957	319528	Vera
782957	369410	Klara
782957	411100	Christine Wissmann
782958	4838	Mrs. Kraus
782958	12704	Dorle Pfaffel
782958	40520	The mother
782958	42443	Mutter
782958	45112	
782958	57238	Accused Witch
782958	82945	Psychiaterin
782958	107771	Elfriede Paiser
782958	123437	Oma
782958	126358	Hansi Brand
782958	140238	Mutter Maureen
782958	142038	Gertrud
782958	142510	
782958	156606	Mutter
782958	166763	Lilli
782958	172377	
782958	180474	Benita von Falkenhayn
782958	181957	Hella Angenendt
782958	189582	
782958	210023	Lydia
782958	225280	Frederike Sternberger
782958	229170	
782958	231479	Hilde Rohm
782958	259495	Nathalie Schmücker
782958	259759	
782958	281639	Clara Zetkin
782958	285383	June Darwin
782958	293415	Josefa
782958	325479	Elfriede Rochus
782958	325936	Ira Kusmansky
782958	343672	Hilde
782958	356840	Bettina Clausen
782958	393255	Mutter Erichson
782960	104699	Candy
782961	194483	The Lord of the Dance Troupe 
782962	325883	
782962	325913	
782963	352222	
782964	338311	
782965	123435	Nikko Hotel Maid
782965	291698	Additional 911 Operator
782966	36683	Denise
782967	404457	Doreen
782968	368746	Margret
782969	93821	Pagan
782970	7861	Anne, Juan's Wife, the Outlaw
782970	16089	Housekeeper
782970	16716	Mrs. Stearns
782970	17477	
782970	17699	
782970	17703	
782970	21775	
782970	22991	
782970	30379	
782970	32475	
782970	35757	Jennie
782970	38853	Mary's Mother
782970	38980	
782970	48286	
782970	50945	Mrs. Browning
782970	52106	
782970	58612	Mrs. Robert Maitland
782970	62769	Aunt Emma
782970	64111	
782970	64876	Mrs. Jacobs
782970	71352	
782970	72252	
782970	72635	Mrs. Ann Fiske, Harvey's Wife
782970	75301	Aunt Adelaide
782970	78069	Stella Sebastian
782970	82705	Señorita Agatha Rossi
782970	84848	Tana
782970	109814	
782970	112436	Mother Malone
782970	118265	
782970	120222	
782970	125548	
782970	127088	Desert Meg
782970	127159	Mrs. Marian Watkins
782970	131902	Rhoda
782970	143029	Kate Clarke
782970	143287	Jan's Mother
782970	143407	
782970	143718	Mrs. Naab>
782970	146292	
782970	151457	The Pioneer's Wife
782970	151700	Tommy's Mother
782970	157232	Martha Brown
782970	168410	Ma Renssaller
782970	168834	The Sheriff's Wife
782970	170820	Mrs. Lamar
782970	190781	First maid
782970	192173	Amelia Minchin
782970	194033	
782970	196278	Prudence Heath
782970	201060	Mrs. Valborg
782970	203438	Duenna
782970	206463	Mrs. Hume
782970	208056	
782970	210278	Sally Smith
782970	221327	Mrs. Brown
782970	231908	Mrs. Murphy
782970	234231	Miss Bray
782970	240332	
782970	243235	Minnie
782970	245190	Cara
782970	245641	Mrs. Clara Morton
782970	251848	Ellen
782970	252241	Lady
782970	253172	Ann Scudder
782970	262532	Papeta, Manuelo's Wife
782970	263452	Her Mother
782970	263971	
782970	264497	Aunt Maria
782970	274468	The Sheriff's Wife
782970	288740	Mrs. Halevy
782970	292193	An Older Wife
782970	303462	Mrs. Riddell
782970	305607	Landlady
782970	306732	Martha Kane
782970	307581	Mrs. Meredith
782970	309931	
782970	311025	Bus station woman [Chs, 1-2]
782970	319232	
782970	328915	
782970	331406	The Governess
782970	331918	Mrs. Kittredge
782970	331930	
782970	337073	Helma
782970	340022	Dave's Wife
782970	345601	
782970	345743	Mrs. Ryal
782970	356309	
782970	358166	
782970	360554	Mrs. Hopkins
782970	361661	Mrs. Plummer
782970	362614	Hanscha Talinef
782970	363085	
782970	365863	
782970	365886	
782970	367378	Martha Meilke
782971	42044	Elizabeth
782972	37691	Receptionist
782973	45899	Extra: park
782974	200205	Nurse
782975	69399	
782976	168745	Student
782977	56800	Elizabeth Magrino
782977	127215	Etta
782977	340791	Stewardess
782978	388237	Mrs. Whitaker (1986-1987)
782979	279092	Ms. Pinkel
782980	109654	Lady Margaret Villiers
782980	116737	Mrs. Tice
782980	162544	Mrs. Carter
782980	165442	Mrs. Reed
782980	255452	Malone sister
782981	70429	School Teacher
782982	55745	child
782983	312927	Bar patron 11
782985	11384	Rose
782986	66621	Molly Luna
782986	183587	Stripper
782988	45357	Flashback Party Woman #1
782989	333443	Florrie Ackerman
782990	109649	Waitress
782991	336979	
782992	411296	Herself
782993	224192	60's Dreamgirl
782994	395318	Harriet Tucker
782995	100820	Stephanie (18-25 years old)
782995	245216	Pam Wallace
782995	270622	Communists's Daughter
782995	273601	Herself
782995	357066	
782995	398733	Patti Russell
782995	400236	Annie Barnes (1985)
782996	309554	Woman
782997	83902	Chefin
782998	155432	2. Callgirl
782998	290527	Herma G.
782998	359679	
782999	316476	Louise Hood
783000	125385	
783001	166939	Nurse #1
783002	63071	Brooke
783003	288748	Baby Emily
783004	143514	
783005	69662	Extra
783006	158226	Extra
783007	94217	Gloria Sullivan
783008	114454	Margaret Trauster
783009	79860	
783010	3267	Brinton Groupie
783012	331762	Receptionist
783013	86751	Waitress
783014	2475	Mrs. Adams
783014	15886	Lissemskaia
783014	26777	Mrs. Evans
783014	34403	Mrs. Madge Beaumont
783014	42731	Mrs. Lunceford
783014	52579	Martha Lorrison
783014	56105	Signora Foressi
783014	56462	Lovey Wentworth Howell
783014	57099	Dorothy Dale
783014	79850	Audrey Jennings
783014	87707	Ethel Royce
783014	92007	3rd Woman with Baby
783014	110965	Queenie Sorenson
783014	117682	Millie Opdyke
783014	127713	Mrs. Howell
783014	127714	Herself
783014	128342	Evelyn the maid
783014	139449	Lovey Wentworth Howell
783014	154944	Grandmother
783014	171049	Gertrude Medford
783014	175175	Harriet Corwin
783014	186277	Pamela Pemberson
783014	206355	Mrs. Irene Selworth
783014	207287	Irene Denny
783014	217426	Kitty Goode-Burrows
783014	239043	Mrs. Day
783014	244357	Dora Shelton
783014	251279	Mrs. Blanton
783014	275855	Eloise Shaw
783014	276163	Lovey Wentworth Howell
783014	276948	Frau Schröder
783014	292318	Edith Potter
783014	305934	Mrs. Stuart
783014	320108	Herself
783014	320205	Marion Corbett
783014	323389	Mother Cookie Clark
783014	333301	Slumming society lady
783014	367970	Mrs. Hume
783014	379068	Mrs. Otis
783014	390066	Eunice Wentworth "Lovey" Howe
783014	390067	Lovey Howell
783014	399204	Eunice Wentworth 'Lovey' Howe
783014	404613	Helen Collins (1971-1972)
783014	407086	Eleanor Carlyle
783014	408128	Nurse Gaines
783015	222599	Anna
783016	47930	Drake University Student
783017	13711	Video Store Girl
783018	361606	L'assistante antillaise
783019	411261	Tecna (2004)
783020	61706	Lauren's mom
783021	59592	Lucy Van Pelt
783021	59594	Jezebel/Lydia
783021	61706	Lauren
783021	114040	Young Bethany
783021	124300	Little Girl Tourist
783021	138735	
783021	190095	Lauren
783021	190533	Emily the Ghost Child
783021	310835	Sammy Winn
783022	72504	Beaver woman
783022	154450	Katie
783023	77183	
783024	337379	Bar Hostess
783025	360149	Zombie #2
783026	347530	
783027	405984	UCDavis
783028	258939	Traci
783028	284907	Lindsay
783028	288473	Hillary
783028	386295	Sally Quine (Episodes 1, 3, 5
783029	41874	Heather Watkins
783030	72559	Cherry
783030	123109	Solonoid Bridge Crew
783030	203358	Maynard Smith's Assistant
783030	222292	Attractive Date
783030	340957	Margaret
783031	266189	Mrs. Darley
783032	186373	Bertha Von Klassner
783032	190489	Donna Lane
783032	232814	Lucille Pringle
783033	18015	Tilghman
783033	48923	Vampire
783033	54648	
783033	58160	Gisela
783033	67445	Crip Girl
783033	218017	Token clerk
783033	251412	Junkie #2
783033	296255	Holly
783033	333390	Woman with Baby
783034	134903	Schwester Prodenzia
783034	137728	Luisa
783034	186510	
783034	188773	
783034	395010	
783035	381909	Herself (Runner-Up, 78 Days) 
783035	403003	
783036	8219	
783036	28521	
783036	165367	Alwina (stem)
783036	199943	Une musicienne
783036	218508	Agente
783036	238490	
783036	249206	
783036	253235	Dame met de rode handschoen
783036	285011	
783036	304441	
783036	357391	
783036	367022	Girlfriend of Liza
783037	64675	
783037	108546	Aaltje
783037	152921	
783037	171797	Fine
783037	175243	
783037	191604	Vrouu Brodfelder
783037	210954	Koosje Klomp
783037	245791	Wim's mother
783037	356815	Niels' wife
783037	357381	
783037	394612	Sien Enenaam
783037	397369	
783037	407166	Saartje (1965-1975)
783038	61183	
783039	39000	Woman
783040	196387	Colleague
783041	196387	Alex
783042	244201	Karin
783043	360596	Funeral Extra
783043	363581	Young Lucy
783044	51886	The Stripper
783045	61984	
783045	208753	Alexandrine
783046	91031	Marion
783046	120792	Julia Stein
783046	182248	Mieke Lomberg
783046	184274	Gina
783046	184406	Yvonne
783046	186199	Lulu
783046	259484	Sandra Voigt
783046	259590	Anna
783046	325379	Manuela Seelbruck
783046	369128	Julia
783046	372315	Peaches (peaches)
783046	409958	Anna Konrad (1995-1997)
783047	27127	
783047	102970	Betty Gwynne
783047	108148	Helen
783047	113471	
783047	144156	Frieda
783047	155435	Marianne Mäurer
783047	345892	Sekretärin
783048	306778	Herself - MEP kandidat
783049	335360	Eva
783050	5186	Travesti prison
783051	229248	Begrafenis bezoeker
783052	172765	Küchenmagd
783053	172841	Monique
783054	140255	
783054	168425	Miss Austria
783054	352536	Fee Cheristane
783055	11817	Veronica
783055	18885	
783055	33455	Helga Petersen
783055	41053	Louise
783055	102984	Lilo Herrmann
783055	140224	Lena Brinken
783055	143508	
783055	144138	
783055	174396	Carola Brehme
783055	175406	
783055	197146	
783055	259559	Marion Ewaldt
783055	282914	Maria
783055	293729	Johanna & Johann
783055	307671	
783055	325920	Animiermädchen
783055	352421	
783055	361039	Fräulein Quellmalz
783056	162230	Herself
783057	259442	
783058	405525	Princess Elizabeth
783059	114698	Genie
783059	303913	Genie
783059	329551	Genie
783059	333220	Genie
783059	348314	Genie
783059	348373	Genie
783060	110256	Wee Ming Lam
783061	154866	Sandra Clark
783062	283758	
783063	2222	Helena Trojanová
783063	88591	
783063	136606	
783063	138393	Gruber Helénke
783063	139834	Prinzessin Adelheid/Anne
783063	179227	
783063	198219	Andrea Vasáková
783063	202574	
783063	268506	Vera Havlová
783063	322191	Juli
783063	344122	Jirka's mother
783063	349895	Valerie
783063	357819	Pincérlány
783063	373729	Zoska
783063	375451	
783063	377745	A fiatal anya
783063	378525	
783063	394826	
783064	301406	Madame Wiegan
783065	7184	Child
783065	8931	Virginia, Age 11
783067	30166	Theo and Siris mother
783067	39602	Eva, Lasse's Wife
783067	84316	Anna
783067	129662	Glitter-Gun
783067	139647	Woman at party
783067	147008	Marianne
783067	152764	Polly
783067	153753	Lena, Valle's mother
783067	171639	Chamber Maid
783067	175352	Hustru (episode 3)
783067	182101	Tired Woman
783067	204537	Mrs. Svensson
783067	214360	Puddingen
783067	255866	Receptionist
783067	294545	Polskan´s Mother
783067	305834	Daisy, Kron's housemaid
783067	315377	Linea
783067	320692	Polish housemaid Krystyna
783067	322431	Jocke's mother
783067	322840	Herself
783067	390950	Barbara
783067	395712	Mother
783067	399873	Rosa Wallner
783067	403084	Vera Bengtsson (1996-2002)
783067	412047	Gynecologist Dahlin
783068	51454	L'institutrice
783069	46905	
783070	366564	Ulrike
783071	409366	
783072	42139	Pretty Lady at Bar #2
783073	521	
783073	158051	Marcolfa
783073	290150	
783073	352072	
783074	110666	Dancer
783075	110666	Dancer
783076	343520	Herself
783077	17601	
783077	76912	Frau Rötting
783077	80907	Eva
783077	92643	Mutter
783077	129693	Isabel
783077	209999	
783077	334520	Anna
783078	84303	
783078	116450	
783078	169120	Josefine, Museline
783078	307244	Bygdegutt 1
783078	310387	Betty Løvberg
783078	392072	Torill Hammerfest (1998-1999,
783079	240119	Dame med barn på buss
783079	334277	
783080	411802	Heather Lynch #1 (1979)
783081	411802	Heather Lynch #1 (1979)
783082	37904	Fru Mølvig
783083	61788	Featured zombie
783084	42773	Dora Circe
783084	71851	Carol
783084	113415	Teri
783084	178138	Megan Murphy
783084	216486	Jen
783084	291698	Beautiful Woman (Sin of Pride
783084	297242	Maura
783084	307206	Model With Attitude
783084	340901	Vivien
783084	346361	Joyce Alt
783084	347244	Erin Young, KTXD
783084	355212	Sheila 3.2
783084	362716	Stewardess
783085	24067	
783085	58836	Frau Niedermayer
783085	66120	Oma Schadletzki
783085	80463	Grandmother (Oma)
783085	82945	Mutter Schwärzel
783085	90309	Öhmchen
783085	102985	Frau Buchenhecker
783085	107734	Frau Krehan
783085	122132	Oma Käthe
783085	138640	Oma
783085	156052	Mutter
783085	166076	Zanderdame
783085	166406	Ilse Grueten
783085	176561	
783085	178589	
783085	187720	
783085	205683	
783085	210948	Kellnerin/Kuh Lisa/Frau Knech
783085	214672	
783085	225306	Die Alten: Henriette
783085	227778	Leserin #1/Alte am Lift
783085	240229	Oma Vera
783085	252183	Reception Nurse
783085	259651	
783085	284417	Kneipenwirtin
783085	290189	Fleischersfrau
783085	290192	
783085	319336	Tana
783085	325657	
783085	325703	Zeugin
783085	325732	
783085	339799	Wirtin
783085	352208	Frau Emmerich
783085	352384	Knuffels Tante
783085	365613	Hedwig
783085	365784	Else Bettenberg
783085	374330	Rentnerin
783085	376579	Nachbarin
783085	380392	Elsbeth
783085	380905	
783085	389280	Frau Clements
783085	390125	
783085	390893	
783085	394653	
783085	395399	
783085	412110	Oma Aufschrey
783086	120912	
783087	121832	Rachel
783088	189892	
783088	231699	
783089	94317	Girl at the bar
783090	336270	First Maid
783091	107154	Herself
783092	107154	Herself
783093	176561	
783094	206204	Clarise Wilson
783095	193522	
783095	266169	Student
783095	278405	
783096	7608	Ellen
783096	10064	Egons mor
783096	181736	Lise
783096	201344	Kirsten
783096	304360	Miauv
783096	322293	Karine
783096	382884	Nanna Rygaard
783096	409556	Mrs. Meisling
783097	274200	Bosnian Tank License Plate BB
783098	301028	Uschi
783098	375164	
783099	480	Mizzi Burghardt
783099	137639	Renate
783100	114955	Waitress
783101	108146	
783101	272591	
783102	56903	Alice
783103	1999	Young Gwen
783104	237701	
783104	397451	
783105	26169	
783106	152934	Anne Novak
783107	96973	Sarah
783107	142628	Shill
783107	355051	President's girlfriend
783108	394177	Emily (voice: German version)
783109	55733	Herself (Author/Historian)
783110	182416	Mother
783111	170982	Harry's bombshell
783111	206621	Speaker on TV
783112	39056	
783112	39652	Robin
783112	39908	
783112	69401	
783113	279173	Waitress at speakeasy
783114	255665	
783115	225268	
783116	4832	Genossin Krause
783116	211727	Grand Lady in Paris
783116	236831	
783116	259518	
783116	281970	Gertrud
783117	7987	Cheryl
783118	160680	Dee
783119	98371	
783120	24011	
783120	101345	
783120	125279	
783120	325675	
783120	361428	Margot
783121	74652	Sonia
783122	31668	Sunbathing Girl #1
783123	122781	Lisa
783123	241886	
783123	278332	
783123	392322	Helene Hesselbeck
783124	325402	
783125	199286	Kate Pinkerton, wife
783126	254645	Courtroom Artist
783127	320688	Glasha's Grandmother
783128	323394	Social Worker
783129	210730	Elderly Woman
783129	353295	Miss Century
783130	122793	Julie Boyle
783131	126697	Country Singer
783132	68923	Taxi driver
783132	202516	Rolande Malraux
783132	268418	Christian
783133	233967	Prostitute
783134	400696	
783134	411850	
783135	40804	Crime Scene Technician #1
783136	158315	Jenny
783137	29524	Women in Blue Dress
783137	240644	Terry/Model
783137	309946	Redhead
783138	24958	Rachel Rigby
783138	190139	Bank Daughter
783139	34241	
783139	182004	Mascha, a young gypsy
783139	290686	Vroni
783140	72468	Cosmetrics lady
783140	84205	Admitting Nurse
783140	233967	Museum Employee
783140	305244	Waitress
783141	24958	Annie Rigby
783141	141639	Paige
783141	148316	Faye Lacey
783141	148319	Dinah Greene
783141	158602	Katie Andrews
783141	171179	Lilly
783141	234464	Caurier
783141	399739	
783141	402306	Dinah Greene
783141	406363	Gina McCone
783142	156890	La femme de Verplank
783143	255357	Girl on Step
783144	17016	
783144	180204	Kathrin Dosse
783144	259634	
783145	317157	Sixtins Mutter
783146	304443	Walking to Coffee Shop
783147	41311	Waitress
783148	403805	Bianca Nealon (2002-)
783149	389119	Theresia "Resi" Breitkreuz (1
783150	26633	Sister Mary Francis
783150	110170	Museum Docent
783150	127491	Neighbor
783150	130098	Aunt Julie
783150	233692	Apartment Manager
783150	265100	Mrs. Perkins
783150	267111	Haggis
783150	315959	Queen
783150	366271	Librarian
783151	13043	Anne-Marie Stretter
783151	99510	Thea
783152	284207	Costumière danoise
783153	18990	Agnès
783153	83059	Inge Hovmann
783153	90106	Donna Elvira
783153	113841	Julie (segment 2 "Frk. Julie"
783153	134951	
783153	181736	Nonne
783153	229414	Nannas mor
783153	237286	Fru Nikolaisen
783153	249743	Ruth
783153	284392	Bente Munk
783153	305010	Anne
783153	317510	Leonora
783153	318588	Ada Kahn
783153	356829	Emily
783153	392322	Ingrid Hald
783154	208276	
783155	100990	
783155	336538	Nelly
783156	316693	Anna Maurrant
783157	63786	
783158	268074	Dancer
783159	17588	
783159	34568	
783159	216841	Hilde Meißner
783159	389285	Frau Irmgard
783160	91177	
783161	48667	
783161	54566	
783161	56595	
783161	127405	
783161	136530	The Girlfriend
783161	178101	
783162	98313	Grit, Britta's Friend
783162	290782	
783163	249548	Whore
783164	249548	Whore
783165	395038	Herself (1999-2000)
783166	90011	La Contesa d'Aremberg
783167	71284	Dancer
783167	254522	Flamenco Dancer
783168	200864	Reporter
783169	37326	Prison Victim #2
783169	196471	Hammer
783170	184663	
783171	63832	Adopting Mother
783172	301222	Restaurant Patron
783173	337327	Flower Girl
783174	242089	Woman at women's lib meeting
783175	337327	Flower Girl
783176	289894	
783177	157870	Bit
783178	278082	Janet (Age 12)
783179	368036	Sue
783181	356896	Aylinde Tribespeople #11
783182	305638	Christine
783183	338151	License Dropper
783184	106723	Roxxy
783185	98120	Partygast
783185	325986	Lynn Wilson
783186	325737	Die g'schwinde Lizzy
783187	12226	Margie
783187	12271	Stewardess
783187	45878	Lieutenant Polly Peters
783187	56435	Elaine Stanton
783187	58898	Diane Kachatorian
783187	99800	Helen
783187	105864	Emily Frost
783187	115534	Linda Michaels
783187	141659	Jungle Room patron
783187	253352	Paula Barrett
783187	262536	Karen
783187	292247	Janis
783187	305147	Mona
783187	321630	Lisa
783187	372197	Ellen
783187	379631	Katherine Daphne 'Kate' Halli
783187	392545	Charlotte
783187	396824	Sandy Porter (1975-1976)
783187	400773	Sara Frank
783188	192254	Passerby
783189	2587	
783189	16265	Mrs. Pettersson
783189	29559	Aina
783189	38426	
783189	40907	Married woman
783189	48128	
783189	78384	Dressmaker
783189	78514	Maid
783189	84290	Påkläderskan
783189	84295	Brita's housemaid
783189	84297	Woman
783189	84318	Woman
783189	94450	Mrs. Andersson, boarding hous
783189	101640	Aunt Lilja
783189	104812	Midwife
783189	104818	Alma Fredriksson
783189	108975	Ms. Brun
783189	109140	Mrs. Bergström
783189	115390	
783189	115402	Maid
783189	116106	Elin, housemaid
783189	118696	Hilma, waitress
783189	120139	Miss Kvist
783189	120922	Mrs. Hermansson
783189	120966	Mrs. Nilsson, cleaning lady
783189	121006	Ms. Brattström
783189	122462	Maj's Mother
783189	122776	Newspaper woman
783189	129267	Kristin, Sylvester's housemai
783189	135219	Villager
783189	135672	A mother
783189	136404	Mrs. Asta
783189	137975	Gunnar's mother
783189	138521	Woman
783189	138957	Kersti, Karin's mother
783189	144235	Aunt Valborg
783189	145471	Mrs. Fredriksson
783189	148820	Mrs. Boman
783189	153714	Grandma Stina
783189	154203	Brem, child nurse
783189	154565	Stor-Hugge's wife
783189	161156	Mother of boy run over
783189	164772	Housemaid
783189	164781	Woman
783189	174079	Mrs. Andersson, cleaning-woma
783189	180475	Andersson
783189	180937	Woman in the stairs
783189	181130	Charlotte, teacher
783189	181638	Vicar's wife
783189	181850	Patient
783189	182079	Irate hotel guest
783189	182257	Roffe's and Babsan's mother
783189	182263	Alma, Åvik's housemaid
783189	182264	
783189	182277	Cleaning woman
783189	182299	Ms. Johansson
783189	182560	Miss Svensson
783189	188879	Momma
783189	190815	Madame Lemoine
783189	190821	Ms. Söder
783189	190822	Miss Söder
783189	192660	Grandma
783189	192926	Protester
783189	192930	Tale-telling Woman
783189	193388	Nora Sjöblom
783189	198391	Dancing woman at the nightclu
783189	205498	Hat shop clerk
783189	209311	Telephone operator at Götebor
783189	209369	
783189	219842	Stina, barnjungfru
783189	220194	Mrs. Pettersson
783189	225314	Sonja's mother
783189	225671	Irma's and Barbro's aunt
783189	228397	Mrs. Nilsson
783189	232736	Svenne's Mother
783189	237264	Woman
783189	242946	Woman
783189	248186	
783189	248191	Sales Clerk
783189	258993	Violet
783189	268328	Woman
783189	268338	Sonja's mother
783189	272642	Hulda, Tipsie's dresser
783189	276130	Car driver
783189	276139	Woman at the shooting shack
783189	276336	Siv, waitress
783189	284057	Cook
783189	284102	Mrs. Jonsson
783189	303647	Mrs. Andersson
783189	304212	Woman at the library
783189	304220	Market woman
783189	305303	Waitress
783189	305519	Woman at the religious meetin
783189	308194	Mrs. Boman, cafe owner
783189	315361	Prostitute
783189	315373	Linda's aunt
783189	320583	One of the Flink sisters, tel
783189	322271	Supervisor
783189	338357	Mme. Parole
783189	338674	Guest at Marianne's birthday 
783189	338729	Waitress
783189	346971	Marianne's mother
783189	352999	Secretary
783189	353039	Office clerk at Svensk Plåtem
783189	355638	Waitress
783189	377304	Cleaning-woman
783189	377308	The Chief's Wife
783189	377428	Hilma, Knohultaren's wife
783189	378162	Young woman in the mine
783189	382452	Boel
783189	382840	Åskan's mother
783190	406160	Rosalie
783191	140289	Ass. médicale
783192	180912	Maria
783192	183341	
783192	185854	Erste Dame (Lady #1)
783192	189773	Nina Reller
783192	290871	Verkäuferin Musikgeschäft
783192	325711	
783192	325752	
783192	334639	
783192	365922	
783192	375171	
783192	381007	Psychologin
783193	151111	Maria
783193	346901	Madame La Lotte
783194	107812	
783194	209562	
783195	125432	Madame
783196	92464	
783197	387963	Lotta
783198	93979	
783199	381821	Ensemble (1970)
783200	142799	Lolliopop girl #1
783201	343633	
783201	349781	
783202	304718	Mary
783203	82321	Featured
783204	270349	Various Voices
783204	295826	Woman on Street
783204	375515	Counter Woman
783205	2944	
783205	81339	Concierge
783206	30961	Mrs. Drake
783206	63424	Agent #2
783206	86907	Doris Pritt
783206	99572	Lady Ema Hellsubus (The Adult
783206	163625	Nurse
783206	172451	American Dubbing Team
783206	182969	Homeless Woman
783206	184562	
783206	230857	Nancy
783206	235472	Saleswoman
783206	289185	TV Reporter #1
783206	391485	Suzie Kokoshka
783206	392422	Old Woman Falling Down Stairs
783206	396359	Various (1995-1998)
783206	396973	Herself
783206	398277	Female Voices
783206	411566	
783207	358832	Herself (Walt's granddaughter
783208	158022	Herself
783209	189685	
783210	162037	Pamela
783211	104760	German entry (2nd place)
783211	104762	German entry (2nd place)
783211	104767	German entry (16th place)
783211	189844	Herself
783211	189859	Herself
783212	258936	Neighbor
783213	294762	Narrator
783214	116497	Herself
783214	199605	
783214	263340	Pretty Mrs. Drucilla Smith
783215	216366	Herself
783216	219635	Bonnie
783216	411802	
783217	210954	
783218	319391	
783219	165376	Jana
783220	83253	
783220	113447	L'infirmière
783220	158845	La Gourde
783220	377241	
783221	360975	
783222	2627	Herself
783222	75896	Stewardess Boise
783222	158610	Becky
783223	225745	Fremdenführerin
783224	240568	Carol Landis
783225	211848	Madame Lehmann
783226	311975	
783227	381091	Herself (2003)
783227	381092	Herself (2005)
783228	289508	Marie Nathusius (alt)
783229	269983	Dead woman
783230	61706	Chambers' kid
783231	12760	Junge Frau
783232	98097	
783232	251941	Boss
783234	388756	
783235	290252	
783235	325904	Magda Schickl
783236	212336	Herself - Participant/Perform
783237	410537	Singer'LUV'
783238	323594	Audition Singer
783239	185239	Cynthia, Adrian's Friend
783240	42311	Hippie
783241	68380	Karine
783241	101457	
783241	225531	Gynecologist's secretary
783242	270622	
783242	341885	
783243	24897	Schwester Luitgard
783243	40402	
783243	48388	Fernanda
783243	120789	Lady Farnsworth
783243	134833	Frau Rochwald
783243	204509	
783243	361050	
783243	404763	
783244	402028	Bora
783245	205712	
783246	63108	
783246	292567	Queen Angella
783246	306285	Snow White
783246	379065	
783246	382643	Marcia Brady (1973-1974)
783246	382687	
783246	388481	Blond Teacher
783246	390031	Additional Voices
783246	391201	Additional female voices, alt
783246	397918	Kim/Carol
783246	405091	Queen Angella/Frosta (I)/Imp
783246	406059	Peepo
783247	126511	Ellen Mason
783248	184710	Jessica
783249	154765	
783251	63205	Anna Swales
783252	40424	
783253	46619	Mary Ruckers
783254	41733	Girl in the Yellow Dress
783255	336	Music Teacher
783255	64262	Butcher (Podvodník)
783255	174932	Landlady
783256	42531	Nurse
783257	66652	Herself
783258	4617	
783258	77876	Dandy Dust
783258	114915	Nun
783258	351898	Himself/herself
783259	238774	Pyttan
783259	405570	Charlie Goldman (1996-1999)
783260	6117	Eva's Niece
783260	51128	Annika
783260	153758	Makka
783260	286280	Stina
783260	396250	Lina Marelius
783261	129606	Jagoda
783261	319660	Marysia Melska
783262	344455	The Girl
783263	228395	Tims kæreste
783264	28531	Ingeborg som barn
783265	399052	Herself (2001)
783265	410439	Herself (1989-1992)
783266	142230	Unni
783267	5601	Peggy
783267	364881	Peggy
783268	218207	Ginny Simpson
783269	304176	Frk. Holm
783270	407012	Herself - Host
783270	408737	Herself - Host
783271	272501	Gunilla Larsson
783271	378897	Doctor
783271	398195	Olga
783271	403771	Yvonne
783272	122255	Frau Buchmann
783272	277749	Mrs. Schoenler
783273	340918	Belly Dancer
783274	245	Herself
783274	15177	Sophie Ray
783274	40036	Lady Julyan
783274	52575	Jenny
783274	65934	Marie-Claire
783274	71317	Maya
783274	84131	Maya
783274	88933	Countess Scarlioni
783274	103243	Melena Lotskova
783274	106146	
783274	135726	Girl
783274	142384	Catherine Grant
783274	162843	Alison Mannering
783274	184336	Queen Lana
783274	199388	Barbara
783274	205194	Noelle Epps
783274	218551	
783274	218733	Clementine Taplin
783274	231132	Julie
783274	240521	Nancy
783274	240687	Lotte Zons
783274	240899	Clarissa Hammond
783274	255124	Countess Von Dix
783274	264486	Antoinette
783274	276791	Claudine
783274	298610	
783274	323727	
783274	352497	Hope Joyner
783274	379276	Diane Marsh
783274	395965	Penny Clancy
783274	398031	Mrs. Mortenson
783274	398990	Marie Walewska
783274	400221	Lady Anne Pendle (1985)
783274	404612	Florence Baker
783274	406087	Maya (1976-1977)
783274	406206	Paula Brandt
783274	411201	Mrs. Gunther
783274	411280	Virginia/Dominique (1990)
783275	252524	Laurie Kline
783276	184276	
783276	367233	
783276	391479	Maria
783276	393878	Regine Beranek
783277	14203	Betsy
783277	158781	Woman Friend
783277	163334	Mary Jessup
783277	195838	Caretaker
783277	330787	Ethel
783277	372847	Mom
783278	30327	Lilo
783278	38258	Chouchou
783278	140728	
783278	188978	
783278	226345	Ingeborg Roeder
783278	292257	Liesl Holzinger
783278	336529	
783278	410582	Cmndt. Hoess' wife
783279	160882	Betty
783280	276469	Secratary
783281	74401	Dóra
783281	98024	Juci
783281	99744	
783281	153859	Sophie Széchenyi
783281	175394	
783281	217208	
783281	308190	
783281	309289	Stepmother
783281	322131	János' wife
783281	328969	Bartender girl
783281	349045	
783281	349595	Emese
783281	349627	Zsófi's mom
783281	377129	Marcsi
783281	394978	Margó, the waitress
783281	407236	Gabi Mátrai (1996-1999)
783281	412249	Judit
783282	240004	
783283	289372	Featured Extra
783284	237917	Nora
783285	1378	Sophie Rubin
783285	16760	Anna Linden
783285	21513	Mana
783285	35046	Claire Zachanassian
783285	38768	Pamela
783285	47974	Grushenka
783285	58913	
783285	59079	
783285	63065	Mother Maria
783285	63993	Sabra Cravat
783285	78356	Gertie
783285	83213	Maria Wagner
783285	85546	Diane
783285	92488	Angelika Alberti
783285	101337	Selma Rösner
783285	102910	Herself
783285	102982	
783285	103097	Madeleine
783285	116438	Gretel
783285	119162	Jenny Treibel
783285	126319	Gervaise Macquart
783285	138364	Elizabeth Mahler
783285	141317	Helen Rolt
783285	142144	
783285	144047	Barbara Bertram, geb. Hansen
783285	155329	Lilli König
783285	157017	
783285	160469	Mrs. Speer
783285	175778	
783285	180155	
783285	182078	
783285	182744	Queen
783285	188717	Helga Reinbeck
783285	188756	
783285	189537	Anna Ballard
783285	189560	
783285	200112	Helena Friese-Greene
783285	201770	Herself
783285	205398	Blanka von Steinville
783285	205716	
783285	206139	Ruth Leighton
783285	210090	Herself
783285	218913	
783285	226165	Gretel Aichinger
783285	227595	L'archiduchesse Marie-Louise 
783285	233045	Ninotchka
783285	234909	
783285	235773	Natalia
783285	238285	Frau Miller
783285	239131	
783285	254364	Irma
783285	266167	
783285	272748	Pauline Karka
783285	278159	Elisabeth von Hill
783285	281805	Rose Bernd
783285	286809	Deborah
783285	290069	Julchen
783285	290801	Mutti
783285	306438	Nicole
783285	306464	
783285	307251	Eva Berger
783285	311082	Anna Friedrichs
783285	314308	Meiti
783285	319602	Vond-Ah
783285	322997	Barbara Holzmann
783285	325540	Evelyn Stürznickel
783285	325651	Aebtissin
783285	326955	
783285	331830	
783285	338462	
783285	341110	Elisabeth
783285	346787	Jeanne Dandieu
783285	346976	
783285	357068	Mrs. Hauser
783285	358520	
783285	364177	Maria Radek
783285	376393	Beate Dehn
783285	384387	Anna Voss
783285	390190	Maria Behringer
783285	396839	Maria
783285	396961	Anna Lustig
783285	399946	
783286	210090	
783287	206220	
783288	129003	Mirella
783288	313135	
783289	208115	
783290	290589	Reporterin
783291	396267	Zie
783291	404456	Elsa
783291	409680	Ping
783292	26484	Betty
783292	42860	Iris de Koning
783292	188282	Alexandra
783292	340143	La copine/Friend
783292	409273	
783293	24068	
783293	36631	Babette Biedermann
783293	130930	
783293	147094	Nancy Liddell
783293	188773	
783293	389956	
783294	231671	Aunt Inge
783295	140371	Fanny
783295	381809	Switchboard
783296	363780	Karen's Backup Dancer
783297	44221	Hélene
783297	70150	Véronique
783297	73472	Sarah LaVille
783297	156552	Manon
783297	169535	Fanny
783297	188682	
783297	265736	Thérèse
783297	381847	Mady
783297	384789	Mady (1989)
783298	402943	Herself
783299	82862	
783300	107354	Victim
783301	355190	
783302	24398	
783302	177178	
783302	318323	
783302	361129	
783302	373952	
783303	18979	Barbara Lovell
783303	119533	Nadine
783303	133716	Terry Venessi
783303	245053	Gretchen Wilson
783304	180882	Lenerl
783304	183244	
783304	189794	
783304	191188	
783304	225149	Juanita
783304	302682	
783304	359688	Primanerin
783305	88978	O.R. Nurse
783305	181545	Emergency Room Nurse
783305	356244	O.R. Nurse
783306	327920	Anna
783307	276902	Rose Silver
783308	96059	Interviewee
783310	291562	
783310	313174	Angela Scuro
783311	78944	Jan Cooper
783312	93971	Rita
783313	384618	
783314	97482	Helen
783314	138260	Sophie
783314	281753	
783314	390706	Anna Bergmann (1999-2003)
783314	391012	Susi (season 2)
783315	397936	Assistant at Brockett's Baker
783316	82095	Model at Bar
783316	87218	Sue
783316	314459	Photo Shoot Model
783317	149388	Hickory cheerleader
783318	324371	Nicky's Mom
783319	213474	Herself
783320	129829	Dionysis Devotee
783321	289956	
783321	322527	
783322	394339	Host
783323	12048	
783324	325447	
783325	130919	Hofdame
783326	72851	Mariah Sands
783327	223466	Betty
783328	109474	Waitress
783329	61089	
783330	342831	
783330	382621	Pepper (1994-1996)
783331	275196	
783332	64091	Nurse
783333	13742	Maura Klein
783333	13855	Mrs. Blumberg
783333	42807	Doctor
783333	176961	Toni Rossano
783333	302432	Madeline Barbato
783333	313424	Captain Blackwood
783333	328282	Additional Voices
783333	332467	Jan Richards
783334	153783	
783335	66726	Spice girl
783336	367153	Die Gattin
783337	157669	Nora Cassidy
783338	184526	Zus
783338	275152	
783338	382551	Marie Mertens
783339	45203	Campingbeheerster
783340	59244	
783340	366712	Linda Thomas
783340	397236	Edwina 'Ed' Davis (2002-2003)
783340	404678	Lucy Beckwith (2004-2005)
783341	134202	
783342	160885	Blouse Wearer
783343	177184	Herself
783344	225147	A Singer
783345	70105	
783345	76670	Josee
783345	234832	Zuster Marie-Rose
783345	357361	
783345	389783	Marjolein
783345	400876	Kathy
783345	402724	Herself
783345	411311	Katrien Coppens (1993-1996)
783346	645	Peg
783346	12205	Bank Customer #2
783346	35155	Betty Jo
783346	100713	Brenda
783346	245229	Cindy
783346	248097	
783346	270484	Gretchen
783346	322741	Julie
783346	328285	Nancy
783346	379065	
783347	327910	Erika
783348	17079	
783350	147844	Client #1
783350	241050	High School Band
783350	342924	Actress
783351	276641	Nurse
783352	43235	
783352	103791	Lea
783352	187573	
783352	197986	Vivian
783352	199033	Dulce
783352	211005	
783352	218427	
783352	219852	
783352	235889	Woman
783352	262236	
783352	295096	
783352	322410	
783352	344707	
783352	344741	Karla
783352	380386	Marieta
783352	383866	
783352	385023	Nádia
783352	391901	
783352	400799	
783352	402370	
783352	402623	Odete
783352	402808	
783352	405810	Lola
783352	410054	Josefa
783353	142012	Frl. Braun
783353	177214	Ella
783353	187396	
783353	307250	Dr. Wessum
783353	343490	Helene Artel
783353	404457	Ruth Sanders
783355	225333	
783356	87166	Fancy Dancer
783357	284224	Une lycéenne
783358	374282	Tina
783359	224445	Mya
783360	314315	
783361	2438	
783361	4640	
783361	142267	Oma/Grandma
783361	167149	Lilli
783361	167709	
783361	174105	Ältere Dame
783361	225202	Lenas Oma
783361	236821	
783361	261480	Loennes Grossmutter
783361	322515	Hanseatin
783362	376420	
783363	347637	
783364	391294	
783365	178582	Die Freundin
783366	71252	Hooker
783366	208054	
783366	307900	Waitress
783367	198341	
783368	58824	Champagne Rose
783368	275858	
783369	343374	Karen Frandsen
783370	315402	Herself - Director
783370	376101	Herself - Recipient on behalf
783371	296924	Mother
783372	38401	
783372	95855	
783373	79252	Mother Rianne
783373	162244	Nellie
783373	210128	Carlien
783373	241988	Various characters
783373	243242	Hanna
783373	305315	Nurse
783373	357356	Civil Servant
783373	357389	Social Worker
783373	365706	Freule Schimmelpenninck
783373	388155	Jodokus de Marmot (1968-75)/F
783373	394912	Heks Stoof
783373	397445	Karlien
783373	405350	Jaakje Droeviger
783374	220218	Physiotherapeute, Suisse
783375	59717	Crofter-Mats' child
783376	252056	Marie
783377	322064	Fotósnõ
783378	169119	
783379	399175	
783380	35279	Betti Wedemeier
783380	367181	
783380	378172	
783380	389286	
783380	391314	
783380	406321	
783381	375377	Tamara
783382	182949	Transvestite
783383	408298	Ageeth, de omroepster
783383	409847	Ageeth
783384	148676	Wedding guest
783385	3321	Lana
783385	37697	
783385	43655	Evi
783385	79624	Jacqueline
783385	106972	
783385	119160	
783385	142256	Petra Martens
783385	147539	Carola Engelhard
783385	152196	Christa Faber
783385	152431	Anita
783385	210114	Das kleine Marei
783385	228546	Gisela
783385	261470	Anja Stolze
783385	278159	
783385	322529	
783385	322561	
783385	326059	Michaela Andreas
783385	350876	
783385	361408	Gerti Leitner
783385	375983	Margitta
783385	376282	Sherry
783385	404169	Francis
783386	79938	Sharon
783387	196878	Meisje in jogging-pak
783388	301984	Indira
783389	81318	Party Guest
783389	196434	Brunette at Señor Pizza
783390	132953	Anulka
783390	208028	
783390	378564	Anna
783391	130685	Marilyn McBride
783392	259585	
783393	333383	
783394	304829	Baltimore Waitress
783395	87432	Neuter Grandmother on Bus
783395	151109	Nurse
783395	251646	Memama
783395	283410	Grandma
783395	341455	Grandmother Foster
783396	170066	
783397	260789	Sugar
783397	267453	Clara
783397	291876	Gigi
783398	12587	
783399	396874	Hermine Pritzwalk (1992-1993)
783400	189662	Torchy
783401	59885	Miss Puerto Rico
783401	93247	Herself
783401	195558	Champagne Girl
783401	401891	Herself - Eden's Crush
783402	134985	Anna, enfant
783403	374302	Mooie Leen
783404	11811	The girl
783405	11800	
783405	75231	
783406	183467	
783406	390444	
783406	390453	
783407	354960	
783408	68590	Reporter
783409	325479	Doris Schellenbaum (young)
783410	20625	Extra
783410	196487	Woman on Stagecoach
783410	214961	Woman
783411	227015	Immigration Officer
783412	190273	Ballerina
783413	399936	(sketches)
783413	401235	Svigerinde (episode 1.1 "Føds
783414	66393	TV reporter #2
783415	5328	Stacey Archer
783415	131795	Daisy Tucci
783416	259670	
783417	128718	
783418	12844	Maria
783418	41880	Renate
783418	59312	Silvia
783418	86718	
783418	198418	Kommissarin Rose
783418	226194	
783418	325898	Lisa Belcher
783418	353379	Brigitte Nadolny
783418	375160	
783418	386770	Kriminalkommissarin Vicky Sie
783418	400873	Diane Stern
783418	406657	Hilke Röders
783419	168958	La bande à Jonas
783420	225121	
783420	290640	
783420	388457	Vreni Hubacher
783420	396285	Jeanine Wälti-Kern (2000-2002
783421	3113	Nun
783422	223334	Paula's Friend
783423	154203	Store clerk at Tempo's toy de
783423	165616	Maid
783423	182285	Ballet girl
783423	274833	Young Woman
783424	387323	Micheline
783425	19107	
783425	46197	Linda Graig
783425	49756	Elsie
783425	78515	Onderwijzersvrouw
783425	94924	
783425	98627	Gaby Wiedemeyer
783425	102289	
783425	126381	Anna Bogaert
783425	126382	Valia
783425	141822	Johanna
783425	157849	Kindje
783425	160842	Marie
783425	179299	Cyndalise
783425	184526	Verkoopster
783425	202700	Galerijhoudster
783425	203450	
783425	205807	Ons Lievevrouw
783425	213344	Dominga
783425	217060	Maria
783425	217066	Marina
783425	218859	Rechter
783425	231712	
783425	256524	
783425	273621	Eliza
783425	290075	Kind (I)
783425	310825	Ijdelglorie
783425	322824	Lea
783425	352266	Francky
783425	352485	Maria Magdalena
783425	354457	
783425	365024	Non
783425	366688	Isabel
783425	379634	Paulien
783425	383455	
783425	391030	Vrouw snoepwinkel
783425	393451	Zuster Alponsine
783425	394142	Marleen (1968)
783425	394204	Helena Dias
783425	394333	Toela de Noetin
783425	400801	Colethe
783425	401670	Emmy Stoffels
783425	411116	Tilleke
783426	159623	Louison
783426	349597	Bertha
783427	290075	Kind
783428	276799	Lacey Summers
783429	96118	Narrator
783430	330680	Eve
783431	94302	
783431	325763	
783432	23890	
783433	279294	Air hostess (segment "Illibat
783434	2979	Eva
783434	25340	Arlette
783434	25504	Antonia
783434	28152	Flora
783434	35493	Betìa
783434	46975	Mariantonia
783434	52003	Lorenza Balsamo
783434	68427	Sonia
783434	71144	Adriana
783434	73195	Francesca
783434	93956	Francesca
783434	98667	Jeronima de las Cuevas
783434	100768	Sister Maria
783434	102637	Katrin, Greek prostitute
783434	104452	Marina
783434	104459	Helen
783434	111300	Nannina
783434	115020	Herself
783434	125075	Carol
783434	148074	Fan Davidge
783434	183036	Comtesse de Simiane
783434	194027	Aminah
783434	200440	Clelia
783434	204005	Lucrezia
783434	214923	Jeanne de Beauvais
783434	235736	Rossana
783434	242294	
783434	243655	
783434	272771	Venere
783434	279294	Anna Maria (segment "Illibate
783434	286689	Herself
783434	289344	Giovanna
783434	295140	Anna
783434	296524	Assunta
783434	302307	
783434	316798	Aura
783434	328695	Princess Phaedra/Ariadne
783434	328892	Luisa Sironi
783434	336619	Colomba
783434	338361	Caterina Peretti
783434	338362	
783434	343199	Barzelli
783434	351538	Mascha
783434	351922	
783434	353516	Maria
783435	68815	
783436	313583	Cabaret Patron
783437	63890	
783438	43874	Young Lacey
783438	43875	Young Lacey
783439	28767	
783439	248509	Maga
783439	309820	Madre Antonio
783440	208794	
783441	8841	Pristess
783442	197578	Linda
783443	96496	Nunzia
783443	119074	
783443	183234	Signora Nina
783443	235489	
783444	255118	Una crocerossina
783444	260053	
783445	324889	Women's Chorus
783447	217760	
783448	70545	Luciana
783448	72973	Rita
783448	269023	Sara
783448	309413	
783449	55986	Hostess
783449	96496	Katia
783449	188596	
783449	270840	
783449	275803	
783450	61097	Elvira
783451	5363	
783451	34474	Marcolla
783451	86062	
783451	108103	
783451	163707	
783451	217607	
783451	255122	
783451	277610	
783451	287993	
783451	295137	Cantante lirica
783451	308891	
783451	354005	Esaminatrice
783451	374584	
783451	402258	
783451	402782	Mrs. Zampetti
783452	300836	
783453	344584	
783454	50639	Mrs. Miller
783455	39111	
783455	123885	
783456	39111	
783457	326618	Sally
783458	314843	(Norwegian version)
783458	315378	Dobbelt-Petra
783458	347003	Hansson
783459	10308	Irene Becker
783459	211127	Mutter
783460	240819	Delila
783461	153106	
783462	381908	Herself
783463	81562	Herself
783464	86536	
783465	402647	Self
783467	106723	Pinck
783468	63041	Dorothy/Glinda
783468	68015	Adriana
783468	186140	Laura
783468	234692	Dorothy
783468	283489	Angela
783468	336556	Dorothy/Mother Crab
783468	342153	Family Member
783468	364290	Dorothy/Glinda
783469	597	
783469	115992	
783469	124276	
783469	144140	
783469	156984	Grete Köck
783469	163078	
783470	13612	
783470	273682	Witwe Blumisch
783471	73855	Barmaid
783471	380647	The Harlot
783471	382279	Nurse
783471	385299	Dorothy Glenn
783472	125323	
783473	11901	Maike
783473	95264	
783473	365600	Kira
783473	400041	Nadine
783474	477	
783474	28434	Illo
783474	35041	
783474	246491	
783474	376272	Herself
783475	51310	La femme de l'homme d'affaire
783475	84897	
783475	321284	Susan Marks
783475	338112	
783475	346669	The journalist
783475	361013	
783475	384578	Andrea
783476	115531	Herself (descendant of Thomas
783477	264910	
783478	12843	Lena
783478	379372	Carolin
783479	254989	Teacher
783480	189529	
783481	107924	Lou's Secretary
783481	117958	Water Tug Co-Pilot
783481	323748	Stand-in
783482	368666	Restaurant Patron
783483	368666	Restaurant Patron
783484	13735	Herself/Officer Krystal
783484	14230	Officer Krystal
783484	24429	Henchwoman
783484	26493	Female Hologram
783484	37648	Herself
783484	81449	Showgirl
783484	183734	Charlene
783484	257618	Herself
783484	257631	Herself
783484	257844	Herself (Miss September 1997)
783484	263447	Model
783484	276892	Lucy
783484	294980	Gordon's trainer
783484	313122	Undercover Cop
783484	318743	Bikini Contestant
783484	392464	Herself (4th Celebrity to Lea
783484	402111	Model
783484	402113	Model (1999-2002)
783486	18567	Meisje bij Lara
783487	126130	Circus performer
783488	399175	
783489	175785	
783490	230637	
783491	175785	
783492	174757	
783492	393680	
783493	34325	Isabelle
783494	93971	Karin Semmelrogge
783494	147141	
783494	267279	
783494	325384	Sigrid Meinfeld
783494	325911	Julia
783494	361571	Marion
783495	270868	
783496	150351	Gray Edwards' Concubine
783496	361167	Woman's Friend on Bench
783497	2731	Author
783498	189921	Sandra Shearer
783499	61788	Young Laurie
783500	308827	Martha
783501	134069	
783502	8023	City Official #3
783502	141180	Transplant Nurse
783502	160589	Alex's Secretary
783502	281337	Reporter #2
783502	299550	Party Goer
783502	394417	
783504	12837	Lucy Schrader
783504	40404	Mara
783504	49295	Eva
783504	225202	Julia
783504	225248	Corinna
783504	225252	Corinna
783504	248029	
783504	377363	Daniela
783504	409609	Evchen Lamprecht
783504	409612	Nora
783505	846	Herself - #101: Supermodels: 
783505	1462	Herself
783505	2917	Herself
783505	20582	Herself/Interviewer
783505	23922	Herself
783505	32146	Herself
783505	39193	Greta
783505	57061	Herself
783505	83929	Gigi
783505	120230	Carla
783505	138717	Herself
783505	157931	Catherine Wells
783505	195300	Carol
783505	200229	Herself
783505	253017	Herself
783505	266419	Herself
783505	279273	Claudia, the Aerobics Instruc
783505	290826	Herself
783505	309624	Herself
783505	375827	Herself
783505	378034	Herself (presenter)
783507	49295	Mia
783507	147172	Jana
783507	225248	Bille
783507	225252	Bille
783508	181856	Jaana
783508	324605	Maire Saario
783510	367823	Herself
783511	15934	Officer Vicky Reese
783511	23317	Office Manager
783511	167087	Nathan's Mom
783511	261119	Becky
783511	280006	Cindy Connelly
783511	315213	Cass
783511	317942	Shoe Burn Girl/Susan
783511	355809	Gracie
783512	44833	Danuta
783513	159992	Agnès
783514	10886	Jill
783514	10887	Jill
783514	53041	Louise Bradley
783514	163334	Jennifer Baxter
783542	193346	
783515	148702	Woman with the baby by Madame
783516	209918	Ulla
783517	308097	Monique
783518	64743	TV interviewee
783518	300527	Harvey's Bimbo
783518	389416	Astronaut's wife
783519	2840	Suzanne
783519	92095	Hairdresser #1 (Tracy)
783519	130232	Kim Verduyn
783519	156150	Reza
783519	226275	Dansing Girl
783519	243242	Stella
783519	350311	Anna Sprengers
783519	378719	
783519	381058	Suzanne
783519	390242	Kim Azalaia-Verduyn (1996-199
783519	397358	Frederique de Wit
783520	85975	Irma
783521	259598	
783521	374620	
783522	3966	Doris
783522	209968	Krankenschwester Kelly
783522	387445	
783522	392503	Frau Döring
783522	396165	Christine
783523	372927	Marlyn
783524	128772	Promo Girl KLOL 101 FM Housto
783525	2487	Old woman #1
783525	169023	Metta Thiess
783526	115431	Aunt Johanna Björk
783527	321397	Cafe-Club Mistress
783528	390151	Josefins lillasyster
783529	88392	Miss Danje
783529	198265	Guest at the nightclub
783529	308802	Anna Elisabeth Stark
783530	409958	Gisela 'Gilla' Köster/Cleo Wi
783531	327004	
783532	282416	
783533	56992	Worker
783533	113293	Ticket Taker
783533	137536	Sister #2
783534	44385	
783534	45831	Stuffy Patron
783534	185336	Ms. Stone
783534	321632	Mental Patient
783534	333366	Washerwoman
783534	375508	Barbara (Girl #3)
783535	56921	
783536	356042	
783537	244392	Crowd Member #3
783538	107777	Rudi's Wife
783538	153752	Sophie
783538	174405	Sophie von Baden
783538	223459	Anne
783538	315049	Dr. Karin Stockinger
783538	364898	
783538	382202	Sybille Jensen
783538	406583	Dr. Karin Stockinger
783539	347367	Extra
783540	168544	Herself
783541	54681	Mary
783542	3466	
783542	4540	
783542	4553	
783542	10254	
783542	10466	
783542	10476	Abuela Rosalba 'La Aguerrida'
783542	14926	
783542	17085	
783542	20856	
783542	25021	
783542	27852	
783542	27866	
783542	28736	
783542	30319	
783542	33208	
783542	39864	Florentina
783542	45314	Madrastra de Carmen
783542	46125	Mamacita
783542	51593	
783542	52154	
783542	52811	
783542	53576	
783542	53988	Doña Nico
783542	53996	
783542	54660	
783542	55926	
783542	56632	
783542	63324	
783542	63880	
783542	66150	
783542	67011	
783542	67676	
783542	71194	Viuda
783542	71283	
783542	73300	
783542	73531	
783542	74363	
783542	74533	Doña Rosa
783542	74552	
783542	74571	
783542	74858	
783542	74898	Isabel
783542	75622	
783542	77250	Aurelia
783542	80329	
783542	82249	
783542	89927	
783542	90535	
783542	92343	
783542	94828	
783542	98699	Tia Rita
783542	99354	Carito
783542	100589	
783542	100654	
783542	101044	
783542	101316	
783542	101914	
783542	103529	Paloma
783542	103976	
783542	112701	
783542	120908	
783542	121274	
783542	123156	
783542	132674	
783542	134436	
783542	135197	
783542	135282	
783542	140819	
783542	143689	Matilde
783542	143750	
783542	146478	
783542	146490	Mesonera
783542	148066	
783542	159432	Victoria
783542	167098	Passenger
783542	170244	
783542	171461	Don~a Mercedes
783542	171620	Carmelita, Madre de el Gato
783542	175670	Dona Cruz
783542	190113	Carmen Martínez
783542	190407	
783542	193021	
783542	193077	
783542	193196	
783542	195621	Maria
783542	197972	
783542	198205	
783542	199915	
783542	202209	
783542	202210	
783542	202557	
783542	205711	
783542	206996	
783542	206997	
783542	207772	
783542	212431	
783542	218092	Úrsula
783542	218099	
783542	221711	
783542	221894	
783542	221943	
783542	221979	
783542	221996	La Mariposa
783542	222120	
783542	225553	Tia Gertrudis
783542	229430	
783542	233647	
783542	233949	
783542	234307	
783542	235297	
783542	235300	
783542	235313	
783542	235359	Rebecca, el bruja (the witch)
783542	242879	
783542	246154	Mrs. Cirol
783542	246373	
783542	246942	
783542	247412	
783542	247474	
783542	250476	
783542	251571	
783542	253624	
783542	258502	
783542	260520	
783542	260563	
783542	260579	
783542	265165	
783542	266887	Madre de Martin
783542	269212	Olga
783542	271856	
783542	271992	
783542	274956	
783542	275946	
783542	277401	
783542	281759	
783542	281766	
783542	286420	
783542	286421	School teacher
783542	287436	
783542	287695	Elvira Gomez
783542	292758	
783542	294335	
783542	296479	Lola
783542	296482	
783542	296498	
783542	301580	
783542	302402	
783542	302554	
783542	306704	
783542	307842	Dona Fela
783542	309092	
783542	324318	
783542	327016	
783542	327363	
783542	332915	
783542	338804	Laria Morales
783542	339129	
783542	341362	
783542	342158	
783542	343721	
783542	351668	
783542	353559	Estrella
783542	353573	Gervasia
783542	355002	Josefa Ortiz de Dominguez
783542	355747	
783542	367681	Senora Reidl
783542	373125	
783542	374026	
783542	375889	
783542	375890	The Witch
783542	376654	
783542	378404	
783542	379813	
783542	384986	
783542	385254	
783542	385413	
783542	386146	Lola
783542	387622	
783542	390657	
783542	392655	
783542	396393	
783542	397587	
783542	398013	
783542	398798	
783542	399535	
783542	400948	
783542	401149	
783542	401695	
783542	402051	
783542	403103	
783542	405954	Tona
783542	407860	
783542	408846	
783542	409907	
783542	412180	
783544	122061	
783545	406433	Herself
783546	161739	Photographer
783547	84911	Mrs. Castlebury
783548	313547	Herself
783549	196295	Gypsy
783549	223867	Landlady
783549	310679	Dancer
783550	196813	
783551	55708	New Nurse
783552	336539	Mother
783553	138374	Shawna Miller
783554	61731	Molly Standing
783555	153173	Frau von Rochow
783555	290267	Evil Queen
783555	301296	Chief Coordinator
783556	81033	Family Member Daughter (segme
783556	293212	Alex Spencer
783556	360423	Candice
783557	301835	Jerri
783558	31668	Sunbathing Girl #2
783558	106639	Officer Anderson
783558	122204	Jenny Porter
783558	126249	Ruth Sonnenbruch
783558	160373	Network Producer
783558	161753	Herself
783558	187346	Kathy Haynes
783558	264439	Marni
783558	265585	Eileen Ford
783558	267686	Princess
783558	288944	Clara
783558	309597	Natalie McMillan
783558	328537	
783559	366298	Additional Voices
783560	48951	Additional Voices
783560	195305	Sing and Jingle Children
783560	212908	Chorus
783560	366298	Additional Voices
783561	192072	Little Monster
783562	35306	Margot Lohner
783562	94309	Silke
783562	182244	Breitbach
783562	236641	Sophie
783562	281658	Yvonne Schwender
783562	307555	Sonja Marquardt
783562	314855	Friederike
783562	325805	Hanne Baermann
783562	345008	Susanne Grün
783563	637	Mujer Auto
783563	234012	Leopoldo's Mother (young)
783563	247057	Beatriz Segal
783564	58329	Elodie
783564	259979	Delphine
783564	370013	Morgane
783565	17471	L'inconnue du train
783565	19199	Fred's mother
783565	25778	Louise Berthot
783565	51970	La mère d'Anne
783565	58118	Varia
783565	73186	Dounia
783565	110148	Soeur Typhaine
783565	111689	Praline
783565	195210	Goton
783565	199572	Elisabeth Carioux, mother of 
783565	200960	Charlotte
783565	208834	Madame Lefort
783565	234577	Mme Mathot
783565	260026	
783565	294913	Judith, la servante
783565	341913	Un prof
783565	345422	Claire Carat
783565	349486	Emelie
783565	386476	La femme de l'agence (segment
783565	398985	Pascaline
783565	403351	Léonora Galigaï
783565	412251	Jeanne
783566	24387	Nicole
783566	95264	
783566	119689	
783566	119708	Alice Keller
783566	144193	Julia
783566	361396	Frau
783566	393255	Liese Wollenweber
783567	325189	
783568	43629	Lucille Lacasse
783569	369982	(group 'Paquitas')
783569	396610	Viviane (2004-)
783570	286575	Kursteilnehmerin
783571	49268	
783572	178557	
783572	312751	Waitress
783573	136719	Flosshilde
783573	210147	Magdalene
783573	210149	Magdalena
783573	249337	1 Knappe
783573	277459	Flosshilde
783573	358687	Siegrune
783573	403405	Flosshilde
783574	349007	
783575	248318	Jane Morgan
783576	17304	Ramona, wife getting divorce
783576	95565	Councilwoman III
783577	347099	Bartender
783578	336444	Hungry Star Studio model
783579	386476	L'entraîneuse (segment "Doubl
783580	310166	Yeoman
783581	391604	Miriam Overberg (2004-)
783581	392669	Jacqueline
783582	411176	Landlady
783583	290070	Herself (Schindler mourner)
783583	290071	Herself (wife)
783584	118996	
783585	200150	Woman Citizen
783586	352222	
783587	395667	Vera Schildknecht
783588	282032	Rosi
783589	178534	Ursula
783589	240229	
783589	272787	
783589	281714	Mrs. Grey
783589	348059	
783589	380920	
783589	386325	
783589	389962	
783589	392086	
783589	396165	
783589	399661	Various
783589	410777	Liz
783590	108148	Nina
783590	155602	
783590	388290	Frl. Pinella
783590	388783	Frl. Pinella
783591	70429	Cochise's Mother
783592	47588	Lawyer
783593	160344	Hooker no. 1
783594	14845	
783594	227563	
783595	24108	
783596	178223	Billys Mother
783597	323841	Dying Mother
783598	231537	
783599	354743	Ulla Lundgren
783600	63237	Christina
783600	109408	Sandrine
783600	319658	[Expérience #1] (2003)  La sc
783601	63237	La mère
783602	69204	
783602	73597	
783602	136190	
783602	207932	
783603	355190	
783604	175	Sylvia
783605	390242	Nina Sanders(#3) (1997-1998)
783606	176874	Script supervisor
783607	381091	Herself (eliminated round 3) 
783608	112271	Costanza
783608	253072	Didone
783608	344412	
783608	348145	Widow
783609	290162	Barbara
783610	325589	
783610	325779	Renate
783611	282186	
783612	111341	Veronika
783613	328366	
783614	12438	Beate Meitner
783614	40951	
783614	92938	
783614	120929	
783614	145482	
783614	157711	
783614	172838	
783614	176963	
783614	178000	
783614	179169	
783614	189813	
783614	223493	Frau am Tresen
783614	249896	
783614	296199	
783614	334007	
783615	337381	Karate Girl
783616	30951	Lieutenant Renee Montoya
783616	161057	Solarzano
783616	381397	Detective Renee Montoya
783616	390599	
783617	292643	Video Amazon Woman No. 3
783618	160835	Maid
783618	367581	Hairdresser
783619	90423	Flirt
783619	122682	Cory Lee Harris
783619	132181	Woman in Bed
783619	184879	Secretary
783619	266052	Undercover Cop
783620	20625	Extra
783621	275871	Wannabee Cheerleader
783622	244012	
783623	330005	
783624	41518	Stewardess #5
783625	273682	
783626	248192	
783627	319014	
783628	1020	Lana
783629	194525	Mah Jong Player
783630	36554	Flora
783631	317478	
783632	212449	Wife
783632	404378	Soula
783633	387262	Gunilla (segments 1-4, 6, 7, 
783634	96018	Kattis
783634	377397	Stina
783635	303679	Kolja Kolinsky
783636	228395	Rikards datter
783637	9504	Herself
783638	392322	Cille Madsen
783639	76784	Gudrun J. Westrup
783639	341855	Birgit
783640	237271	
783641	234826	Den hvide nonne/The White Nun
783642	389192	Astrid Salomonsen
783642	404785	Søster Ragnhild
783643	41828	Mona
783644	381821	Ensemble (1983)
783645	247492	Viliam Chroma
783646	46033	
783646	79176	Charlotte von Lindenau
783646	109557	Bettine
783646	119138	
783646	119160	
783646	125710	
783646	144325	Helga Teleki
783646	155607	Mabel Chiltern
783646	188737	Petra
783646	189881	
783646	195784	Jessica
783646	273749	Helen
783646	290843	Helen
783646	344784	Helen Culver
783646	345915	Karin
783646	394760	Frau Brinkmann
783647	77409	Edith Rellert
783647	396755	Mrs. Green
783647	404457	Doreen
783648	411296	Herself
783649	54913	Fighter
783651	169845	Herself
783652	187193	Paulette's Daughter
783653	178975	V-Six Model/Cheerleader
783654	340812	Truckstop Proprietor
783655	223932	Mall Patron Walking Past J wi
783656	257764	Woman on train
783657	157908	Verpleegster 2
783658	124533	Pato
783659	97347	Aunt Sophie
783660	58488	Jane Buttz
783661	382155	Madison
783661	407224	Sara
783662	381821	Ensemble (1983-1984)
783663	80392	Linda Regan
783663	97006	Judge Cheryl Cohen
783663	102247	Karen Edmonds
783663	107283	Mail Girl
783663	222598	
783663	272973	Mrs. Levine #2
783663	400236	Spring Skye (1989-1990)
783664	50082	Starlight
783664	51838	Jasmine
783665	42443	
783665	72670	Isabelle
783665	91025	Sibylle Krahl
783665	100968	Alma
783665	145506	
783665	178604	Lulu
783665	223284	Selina
783665	223288	
783665	287709	Cora
783665	312884	Gaby Hess
783665	352060	Petra Kettler
783665	364940	Lydia Lufft
783667	290660	Business Woman
783668	381422	Extra
783669	215690	Miss Michigan USA (3rd Runner
783670	199374	
783671	369874	Curling reporter
783672	57929	ABA Student
783673	222258	Carol
783674	290183	
783675	240429	
783676	12569	Esther
783676	29355	
783676	34289	Sonja/Mieze
783676	40405	Zigaretten-Cilly
783676	79552	David Copperfields mor
783676	138454	Hannele Mattern
783676	161569	
783676	165641	Grace/Jane
783676	175051	
783676	189868	Emmy Stein
783676	195059	
783676	200614	
783676	264332	
783676	293411	
783676	306930	
783676	314514	
783676	315394	
783676	361318	
783676	369132	
783676	376384	
783677	357072	Herself (passenger, S.S. St. 
783678	322050	Juli
783679	347011	Anna
783679	396920	Marilena as a child
783680	369419	
783681	198222	Granny
783682	226354	Helferin
783682	352147	Monica Claverton-Ferry
783682	358887	Mademoiselle de Sainte-Euvert
783683	274521	Zombie
783684	120046	
783684	204581	
783684	325755	Laura Schott
783685	108973	Skuespillerinden Lilly
783685	144576	Helga Hartman
783685	216781	Bellavista
783686	102968	Stefanie
783687	16348	Madelon
783687	115441	Mary
783687	115443	Mary
783688	11779	Daisy
783688	134615	
783688	293244	
783688	308834	
783688	314346	Postmeisterin
783688	325797	Frau Bär
783689	325931	Karla Borowski
783690	211489	Kaufhausdetektivin
783690	223490	Schnipsi
783690	236837	Gerda
783690	365638	
783690	391388	Schnipsi
783691	286686	Mrs. Branson
783692	193349	
783693	352389	Princess Anastasia
783694	391604	Simone Bach (2001-2003, 2004)
783695	80053	Jenny
783696	376493	Trauernde
783697	319006	Tess Hodson
783698	178119	Jewish Smuggler
783699	1868	Hilary
783699	27247	Tessa Spall
783699	70780	Mary Talbot
783699	84955	Katerina Marzio
783699	133952	Miss Greystone
783699	253542	Mrs. Smith
783699	410672	Madame Melmotte
783700	399903	Beth
783701	399903	Beth
783702	86034	Anne Frank
783702	199390	Piano Student
783702	235174	Catherine Moreland
783702	302143	Askha
783702	323737	Lucy
783702	372504	Elizabeth Vorontsova
783702	392705	Miriam
783702	399540	Suzy
783702	403373	Sue-Lyn
783703	274200	TV Newscaster 4
783704	315777	Student
783705	388082	Host
783705	400752	Host (January 1997 - 28 June 
783706	337281	Ingrid
783707	30835	Mrs. Rokosová
783707	45723	
783707	45724	
783707	88747	Madam with lapdog
783707	216598	
783707	240414	Neighbour
783707	244258	
783707	268510	
783707	323640	Neighbour
783707	350612	Women in the cathedral
783707	351496	
783708	324795	A Child
783709	353425	
783710	231468	
783711	3671	Herself - as Dr. Laura Schles
783711	143108	Herself
783711	386894	Herself
783712	232129	The Madame
783713	120332	
783715	334631	Herself
783716	353991	2. Anhalterin
783717	158226	Mrs. Rountree
783718	385009	Ursula Karusseit
783719	5659	
783719	102983	
783719	144123	
783719	225141	Fräulein von Kesten
783719	322999	
783719	343757	
783719	359695	Fraulein Berghuhn
783720	326024	Dora
783721	80645	Wendy Garret
783722	45257	Herself
783723	4802	Herself
783724	353917	
783725	120106	Cheerleader
783725	134561	Flower Girl
783725	178279	Bill's Kid
783726	91031	Brigitte Zarkowski
783726	224045	Astrid Heim
783727	312676	
783728	99927	Emily
783729	294790	Lisa
783730	334011	Mourner
783731	327776	Kate Blanchard
783732	207899	
783732	276169	Dawn Johnson
783732	392945	Herself (1991)
783732	409699	Host
783733	403494	Herself
783734	223284	
783735	20625	Extra
783736	25924	Maria
783736	189443	Mitarbeiter Ingo
783736	354368	Assistentin v. Schulenberg
783737	114915	Passerby
783738	275889	Tennis Player
783739	225627	Frau Wulff
783740	222265	Jennifer Kinney
783741	198895	Lady Macduff
783741	214386	Loud Sex Neighbor
783742	204747	Gypsy
783743	276968	Angel
783744	394228	Billie
783745	179685	
783746	24739	Cathy
783746	92643	Journalistin
783747	265594	Skeete's Baby
783748	17132	Extra talent
783749	28481	Minor Talent Contest audience
783750	355976	Yvette
783751	119619	Angela/Maia
783752	373927	Pascale
783752	377002	Marie-France
783753	544	Sarah Wevers
783753	7625	
783753	76726	Moeder van Teet, winkelbedien
783753	97778	Gina
783753	101461	
783753	147238	
783753	170968	Cleaning woman
783753	178631	Lena
783753	259801	Vera
783753	275781	Mrs. Bloedworst
783753	280343	
783753	289831	serveerster
783753	305225	Tessa
783753	306058	Arjanne
783753	352575	Katharina
783753	389827	Anne Warmond
783753	398575	Buurvrouw
783753	412095	
783754	108146	
783756	290719	Marina
783757	197434	
783758	237717	Küchenreinigungskraft
783759	361419	
783760	16205	
783760	49360	
783761	24120	Marla
783762	93502	
783762	124380	Cute Little Woman
783762	126844	
783762	134778	Susi
783762	159251	Lotte Sperling
783762	197833	
783762	226270	Alma
783762	227784	
783762	292102	Pusztaschönheit beim Fest
783762	313835	Herself
783762	332804	Lotte Sperling
783762	347657	
783763	197433	Luna
783764	4507	Schoolgirl
783764	98261	Mädchen, Italien
783764	226170	Castingfrau
783764	391604	Dr. Kerstin Herzog (2002-2004
783765	223340	Women in L.A.
783766	7852	
783766	33157	Dr. Neumeier
783766	99021	
783766	108186	
783766	136201	
783766	179837	Luciana
783766	188745	Carla
783766	204581	Salka Viertel
783766	233174	Ina
783766	267279	
783766	359596	Maria
783766	376493	Frau
783767	335452	
783768	32770	
783769	259576	
783770	113660	Sarah
783772	186723	Baba
783773	186723	Caddy
783773	191745	Eva
783773	363488	Cindy
783774	40882	
783774	361706	
783774	391604	Pia Schnoor (2001)
783774	409958	Hanna Novak (2002-2004)
783775	131835	Gina Maria, Ernesto's Wife
783776	97948	Lini
783777	29111	Etti
783778	155411	Hella
783778	186854	
783778	210044	Anne
783778	225652	Christa Teske
783778	259506	Gerda
783778	259611	Carola Rosemeyer
783778	259675	Ilse Lanning
783778	287638	Judith
783778	293706	
783778	325593	Wirtin
783778	325752	Katharina Wagner
783778	343689	Frau Lehmann
783778	352385	
783778	360953	Sylvia
783778	376377	Irene Kaminski
783778	392632	
783779	206630	Family Member
783780	314853	
783781	54910	Madame Walter
783782	127499	Teenager
783782	226141	Rikke
783783	147163	Zwei Bauermädchen
783784	319736	Brillenschlange
783785	131383	
783786	118823	
783787	268074	Dancer
783788	231461	Mieterin
783789	24096	Frau Pahl
783789	134808	Ingrid (Katis Mutter)
783789	137412	Katrin
783789	186920	Ute Even
783789	189533	Susanne
783789	209962	Hermann's Wife
783789	259725	Anne
783789	325553	Angela Sobiech
783790	380482	Herself-Cook
783791	376164	
783792	399177	Lili
783793	127986	
783793	159458	
783793	262651	
783794	322748	Waitress
783795	390706	Maike Bethmann (1994)
783795	392613	Staatsanwältin Charlotte Glas
783795	392636	Beatrice
783795	409609	Rieke Heilbutt (1991)
783796	125279	
783797	202418	Altenwyl's chambermaid
783797	230087	Patientin 2
783797	314554	
783798	237951	
783799	200371	Spiked Hair Chick
783800	288088	Domina
783801	56545	Herself
783801	132632	Teenage Girl
783802	301032	Johanna
783803	16205	
783803	16218	Elisabeth Josselin
783803	90013	Elisabeth von Valois
783803	119027	Therese Grob
783803	155390	Winnie
783803	198251	(German Version)
783803	266208	Esther Solymosi
783803	274886	Marie
783803	293240	Clementine Hochleithner
783803	352651	Maja Berger
783804	34307	Daniela (Leah's best friend)
783804	120392	Tina
783805	107731	
783805	119247	Nancy
783805	155985	
783805	226231	
783805	289907	
783805	325452	
783805	325692	Dora Lieck
783805	341098	
783805	360665	Susanne
783805	381689	Witwe
783805	398056	Gigi
783806	142273	
783806	366418	Anna Franklin
783807	312111	
783808	127051	Richterin
783809	102979	
783810	349899	
783811	358373	
783812	100966	Julia
783812	105859	Sonja Orf
783812	325936	Leni Silbernagel
783812	391604	Ilona 'Lollo' Fuchs, geb. Küh
783812	405500	Inka Arendt
783813	188815	
783814	92724	Madlaina
783815	341859	Zaida
783816	16312	Barblin
783816	17677	Meyeli
783816	17678	Meyeli
783816	107767	Jeanne D'Arc
783817	111738	Lara
783818	113106	
783820	179760	
783821	254153	Mrs. McKay ('Le ranch de l'am
783822	276967	Sleeping Woman
783823	7718	Shorty
783823	322504	Kerstin
783824	134967	Ricarda 'Rica' Rombach
783824	389119	Ricarda 'Rica' Rombach (1989-
783824	396874	Nikki (199?)
783825	25939	Emilie
783825	146873	
783825	157162	Acte
783825	303359	Kathrin Selig
783825	361472	Vivian Berganson
783825	366511	Petronella
783825	380903	Gesa
783825	389618	Ursula Kaminski
783825	405500	Kathrin Selig
783825	405500	Nathalie Selig
783826	475	Martina Gutmann
783826	11625	Anna
783826	40884	Vera
783826	79585	Katharina
783826	82157	Isabel Schäfer
783826	82542	Sandra Wohlers
783826	144196	Monika Seidel
783826	184006	Laila
783826	226251	
783826	241607	
783826	290787	Silvia
783826	306472	
783826	325910	Sabrina Schumann
783826	356695	Helga
783826	386007	Sandra Wohlers
783827	11836	
783827	218981	
783828	313408	
783828	313421	Admiral/Female Klingon enemy/
783829	365009	Liesl
783830	142013	
783830	145342	Else Moll
783830	155355	
783830	189868	The lady's maid
783830	216373	
783830	251635	
783830	306592	
783830	347009	Zofe bei Stürmer
783830	347669	Eva Ugron
783830	378548	
783831	78221	Frau Selig
783832	343446	
783833	142097	
783834	176713	Albert's Mother
783834	300762	Valeria
783835	2142	
783835	16438	Toni
783835	24688	Frau Koch
783835	39480	
783835	42620	Mitzi Haberl ("Marilyn")
783835	42622	Mitzi Haberl
783835	119215	Ludmilla
783835	119216	
783835	153903	Elfi Gusenleitner
783835	154430	Marianne Swoboda
783835	184276	Briggi
783835	204470	
783835	222372	Josefine 'Fini' Blahovec
783835	268921	
783835	303386	
783835	325619	Lissy Hlavacek
783835	325738	Frau Franzl
783835	325741	Resi Krametsreuther
783835	343663	
783835	346924	
783835	387271	Josefine "Fini" Blahovec (197
783835	394049	Johanna
783835	403410	Martha
783836	288862	Herself
783837	148823	Vojtova matka
783837	207721	Kocandová
783837	229756	
783837	410338	
783838	194564	Principal
783839	376189	Roy's moeder
783840	43650	Sabine
783841	303239	Young Lea
783842	325857	
783843	96858	Party Girl
783845	33492	Frau Steinberg
783846	125012	
783846	142209	
783846	279657	
783847	88386	
783847	132166	
783847	180699	
783847	312409	
783848	168249	Lucia
783849	354607	Rättsläkare (episode 1)
783850	51134	Receptionist
783850	237291	
783851	36683	Anne Lehmann
783851	120797	Marianne
783851	320602	Julia Wokowitsch
783851	409861	Gitti
783852	205782	Lisa Heinrich
783853	174179	Mother at amusement park
783853	325383	
783853	325399	Frau Keller
783853	325523	
783853	325549	
783853	325595	Frau Keller
783853	325605	
783853	325633	Frau Keller
783853	325639	Frau Keller
783853	325642	Frau Keller
783853	325647	Frau Keller
783853	325672	Frau Keller
783853	325679	
783853	325746	
783853	325794	
783853	325822	
783854	115230	
783855	402532	Ingrid
783856	85702	Blanche de la Force (soprano)
783857	100070	Super Woman
783858	13626	Mrs. Gerstein
783858	23890	Sue
783858	33162	Constanze Wechselburger
783858	93415	
783858	95281	Claudia Götz
783858	98368	Katharina
783858	98970	Sabine
783858	155399	Dr. Eva Jung
783858	156654	Silvia Berger
783858	179685	Lisa
783858	196439	
783858	226304	Sabine (Ehefrau von Uwe)
783858	253756	Dr. Verena Franke
783858	288049	Mascha
783858	314811	Monika
783858	316531	Katja Lehner
783858	316538	Katja Dessau
783858	325720	Kriminalrätin
783858	325932	Marion Dietz
783858	329854	Paula
783858	335336	Avis agent
783858	345911	Ulrike Sandvoss
783858	352219	Diana
783858	352220	Maria Holtz
783858	365922	Vera Lemberg
783858	366517	Claudia
783858	376036	Die Kleine vom Supermarkt
783858	376167	Karoline
783858	395701	Christina Faber
783858	398905	Regina
783859	396617	
783860	362228	Silvya
783861	325804	Melanie Resch
783862	311831	Rosie
783863	355729	Mademoiselle Bernard
783864	341580	Elizabeth
783865	166871	Additional cast
783866	104841	Babette Lorenz
783867	19834	Veronica Lodge
783867	380575	Veronica Lodge
783867	395491	
783868	13963	Announcer at Dance
783869	241689	Drug Raver Girl 1
783870	37001	
783871	379037	Various characters (1995-1996
783872	406724	Protokollführerin (2000)
783873	235548	
783875	312904	Jasmine
783876	103124	Herself
783877	91125	
783877	123986	Herself
783878	234955	
783879	134986	Tina
783880	204557	Go Cart Flagman
783881	306699	
783881	379457	Verónica
783882	30646	Student
783883	234324	Herself
783883	380552	Reporter (2001-)
783884	70954	
783884	328077	Secretary
783886	303239	Young Christine
783887	16419	Old lady (Piedmont)
783887	130296	Florence
783887	138821	Couple at Airport
783887	151049	Priscilla Rochester
783887	173518	Old Dame
783887	176919	Mrs. Macy
783887	213178	Old lady in car
783887	313438	First Talosian
783887	328523	Nancy Wheeler
783888	43629	Grand-mère
783888	83334	
783888	86911	Spectatrice
783888	237330	
783888	341353	
783888	378731	Margot Bédard
783888	398172	Bérangère Blondeau
783888	400804	Irène Damphousse
783888	401330	Gertrude Germain
783889	51576	Kit-Kat Dancer
783891	486	Schwester, Lene
783891	69650	Ingrid Sandberg
783891	88118	Nina
783891	100990	Nana Noel
783891	169119	Melanie
783891	180966	
783891	236817	
783891	290462	
783891	346998	Evelyn Nichols
783891	347762	Micheline
783891	348064	
783891	389961	Marianne Behnken
783892	278573	Hannas Kollegin
783893	153398	Herself - Art Director, Propa
783894	55126	
783895	181138	Herself
783896	361086	Rosie
783897	283345	Juanito's friend
783898	117073	Erica
783899	325537	Sekretärin
783899	326033	
783900	399175	Karin
783901	155607	
783901	182886	Toni
783901	268857	Lady Octavia Bonnington
783901	347673	
783902	113033	
783902	154203	Girl at the costume departmen
783903	167158	La servante du bordel
783903	182727	A lány
783903	252356	Hexe
783904	68513	
783905	376423	Stefanie
783906	162451	1. Arzthelferin
783907	114251	Missy (Age 9)
783908	30422	Blanche Barrow
783909	390812	Paula Rapf (2002-)
783910	225256	Kind
783910	249336	4th Squire
783911	33453	Biggi
783911	325598	Jenny Graf
783911	325648	Jenny Graf
783911	325649	Jenny Graf
783911	325727	Jenny Graf
783911	325883	Jenny Graf
783911	325913	Jenny Graf
783912	379774	Tine
783913	325884	Renate Knof
783914	40306	Louise
783915	141421	Susan Battles
783916	194789	Secretary
783917	42188	Marry
783917	319625	Teenage Lana Lang
783918	326755	New Catgirl #3
783919	176852	Dancer
783920	49077	Host
783920	52549	Host
783920	228521	Host
783921	150545	Herself - Boligsøgende
783922	111675	Tochter
783922	158343	Kid
783923	33453	Biggi
783924	107899	
783925	225306	Die Frauen: Lumumbas Braut
783926	57817	Michelle
783926	122991	Joanne/Cheer Leader
783927	62678	Host
783928	154151	Skolelægen
783929	156611	
783930	258103	Alma Cage
783931	317309	Elevator Passengers
783932	353051	Lucia
783933	56327	
783933	69890	
783934	376250	Die Ehefrau
783935	81644	Pirate, Peep-show girl
783936	92557	Harriet Thomas
783936	112207	Night Nurse
783936	176453	Victor Nardi's Secretary
783936	219635	Lois Stevens
783936	290996	Claudia Bianco
783936	294521	Pat Ingram
783936	310637	Elizabeth Bounds
783936	314465	Sonja
783936	326424	Alice Roberts
783936	329085	
783936	330258	Gas Station Customer
783937	119541	Woman at Stadium
783938	44488	Blonde Groupie
783938	46428	Dream scene fitness model
783938	188275	Cocktail waitress
783938	277746	Lab Scientist
783938	313830	Female in casting office
783938	338771	Mary Ann
783938	359455	Girl-friend of Karl Lorens in
783939	409463	Azafata (1976)
783940	326604	Female Partygoer
783941	147141	
783941	279486	Hilde
783942	303238	Alina
783943	127587	
783943	381144	Célia
783943	393615	Roberta
783944	302574	
783945	19035	Krankenschwester
783946	23856	Madona
783946	32015	Monika
783946	66057	Absinthe
783946	76032	
783946	104649	Berta
783946	109408	Henriette
783946	264525	Surveillante
783946	283653	Marie
783946	292361	
783946	336826	
783946	346420	L'éditrice
783946	353958	Florence Picaud
783946	378062	Sofia
783947	338597	Jackie
783948	232798	Schülerin
783948	282568	Tenant
783949	200007	
783949	318781	Jill
783950	338748	Biker
783951	212051	Bar Extra
783952	383727	Prostitute
783953	192694	Narrator
783953	212121	La Taverniera
783953	282199	Verkäuferin
783953	300781	
783953	327098	
783954	289944	Herself in Audience
783955	319302	Maria
783956	312904	Rehab Secretary
783957	406321	
783958	35040	
783959	14915	Anna (segment "La voce umana"
783959	83770	Anna Previtali Selvini
783959	217559	Marcella Novelli
783959	348168	Irina, la miliziana
783960	290550	Daniela
783961	6397	
783961	348047	Monique
783962	129113	Vomitgirl
783963	283395	Club Patron
783964	290511	
783965	390812	Dr. Susanne Limbach (2002-200
783966	213964	Survey Worker
783967	111118	
783968	20145	Komponist
783968	129040	Mrs. Meg Page
783968	158869	Ottavia
783968	226280	Barbara
783968	243388	La Speranza, La Musica
783968	261868	Mezzo-Soprano
783968	278962	Penelope
783970	79163	
783971	120264	Jennie
783972	32544	Lily
783973	98420	Rosi
783974	256823	Christina
783975	390442	Herself
783975	390444	Herself
783975	390445	Herself
783975	409809	Herself
783976	325798	Maria
783977	178849	Ältere respektable Frau
783977	185929	Frau Glaser
783978	31400	
783978	126175	Luise
783978	126828	Grete
783978	259450	
783978	259688	
783978	291125	Cayuse girl
783979	404462	Hochzeitsgast
783980	186864	Frau Nachbar
783981	95954	Cabaret Singer
783981	188860	
783982	115958	Girl Saskia
783983	225355	
783984	244567	
783985	347039	
783986	281643	
783987	10308	Jannis' Freundin
783987	204502	Daniela
783987	376338	Imke
783988	57654	TV Production Assistant
783988	99925	Emily
783988	104549	Hostess
783988	147694	Galaxie Executive
783988	192748	Wife in Lawyer's Office
783988	293099	
783988	311185	Kelly
783988	328923	Her
783989	40399	
783989	265402	Steffanie Walden
783989	369162	Victoria Mertens
783990	37022	Miss Dietrich
783990	42856	Lise Bruner/Lufthansa
783990	108623	Fiona
783990	127414	Helga
783990	137453	Gina
783990	154139	Ericka von Lindendorf
783990	291254	Jennifer Elliot
783990	292101	
783990	298764	Fritzi
783990	299174	Lizzi Spokentidler
783990	310637	Nude Model
783990	347616	
783990	352570	Karin
783991	17685	Oma Hollander
783991	77019	Sister Helen
783991	223487	
783991	295297	Old Lady
783992	237331	Young Girl
783993	29817	Greta
783993	64393	Heidi
783993	171050	Carmen
783993	226919	Rachel Weldon
783993	321367	Spinner #2
783994	155468	Fräulein Schuster
783994	335027	Masseuse
783994	389959	(2. Staffel)
783996	147972	Nurse #2
783996	340901	Truman's Neighbor
783996	399947	Arlette Kelly
783996	404102	Donna
783997	204255	Hester Beale
783997	340901	Truman's Neighbor
783998	189898	Giselas Kommilitonin
783999	204130	Native girl
784000	70761	Schießbudenfrau
784000	325453	
784001	409609	
784002	168964	Lena
784003	143905	Eight-year-old girl
784004	353991	Beate
784005	2298	Inga
784005	12886	
784005	16261	Fiken
784005	23875	
784005	48135	Christine
784005	94001	Käthie Löwenborg
784005	115980	Liane von Nostitz
784005	148828	Maud
784005	151887	Building Contractor's Daughte
784005	178576	
784005	182291	
784005	218996	Ragnhild Mo
784005	237255	Irma Bronialevski
784005	290023	
784005	293522	
784005	305306	Elderly lady
784005	317598	Bessie
784005	331008	Babette
784005	346974	Robert Burén's mistress
784005	361390	Else van der Zandten
784005	366524	
784006	46617	
784006	121054	
784006	156070	Großmama
784006	173173	Mother of Carrel
784006	195053	
784006	223458	Mutter Krause
784007	251057	Mother
784008	409625	Michelle Meinhoff (2002)
784009	66564	Cornélie
784010	292101	
784011	45452	Girl in the bar
784012	232032	Colleen
784013	160662	Krankenschwester
784014	180912	Sandra
784014	376163	Young lady
784015	146661	Vestal Virgin
784016	106972	
784016	188733	
784016	406321	
784017	186650	Additional player
784018	13769	Tops Club Member
784019	92025	
784019	214294	
784020	146657	Mother
784021	71314	Young Laura
784021	103285	Additional Voice
784022	17867	Dancer
784022	96198	
784022	230100	La droguée
784022	270343	Sophia Tutu (French version)
784022	296507	Clarrise Dougal (French dub)
784022	385845	Yvette (segment "Amour qui tu
784022	402732	Sophia Tutu (French version)
784022	407381	Tao
784023	46871	Young Carolyn
784024	325620	Greta Ann
784025	51483	Teen
784025	80716	Stewardess
784026	205782	Julia Schuster
784027	26563	Maenad (chorus)
784027	315999	Restaurant patron
784028	10263	Friedel
784028	12603	Clara
784028	27758	
784028	34103	Vera Fröseke
784028	34417	
784028	35498	Richterin Katharina
784028	41053	
784028	42623	Bäuerin
784028	68202	Philipp's mother
784028	89574	
784028	98370	Gitt
784028	119031	Hanna
784028	138509	Hans' Mutter
784028	142186	
784028	155358	Katharina
784028	169075	
784028	180156	
784028	182593	
784028	184640	
784028	218981	
784028	219339	Mutter Zack
784028	251024	
784028	251998	Karna
784028	259456	Frau Barthel
784028	259485	Frau Kunze
784028	259537	Frau Preißler
784028	259591	
784028	259669	Freundin von Dorus
784028	270421	
784028	289995	Constanze
784028	290043	
784028	290509	
784028	308483	
784028	308845	
784028	312068	Die Frau
784028	312635	
784028	324322	Standesbeamtin
784028	325858	Lidia
784028	325960	
784028	336469	
784028	343665	Nurse
784028	361041	
784028	364881	
784028	366587	
784028	375274	Oma
784028	376370	
784028	378543	
784028	389403	
784028	389616	Klara Junge, verw. Mering (19
784028	390186	
784028	391152	
784028	395120	Lotte Hollmann
784028	406494	Klara Junge
784029	290789	Frau im Café
784030	383913	Word Authority/Professor at C
784031	205782	Press
784032	307553	Jo Kind
784033	142052	
784033	345890	
784034	227552	Tänzerin
784035	68333	La passante
784036	70903	Bárbara
784036	84522	Alice
784036	204755	
784036	296117	Ivete
784037	108206	Infirmière
784038	2657	Paula
784039	77409	
784039	113423	
784039	186934	Frau Jürgens
784039	312748	
784039	393254	
784040	259628	
784041	394424	Additional Voices
784042	89304	Daphne
784043	189649	Kassiererin
784043	325649	
784043	391604	Lizzy Michalke
784043	391604	Lizzy Michalke (2002-2003)
784044	409609	(1991)
784045	334540	Jane Gordon
784045	389948	
784046	21528	Connie Stanton
784046	117072	2nd teacher
784046	300047	Marianne O'Keefe
784047	365911	Wilma
784048	177169	
784049	83380	Bénédicte
784050	381690	Eva Zorn (2002 - 2003)
784051	352659	Ines Leschek
784052	5142	George Sand
784052	65199	
784052	106761	Claire Lennartz
784052	107812	
784052	119185	
784052	122314	Maria
784052	140230	
784052	144004	Vilma
784052	147143	
784052	150630	Nadja Woroneff
784052	155466	Winifred Montemayor, Pedro's 
784052	155604	Gloria Cheveley
784052	156498	Maria Alsbacher
784052	181153	Eva Skeravenen
784052	181167	Jelena Rakowska
784052	186911	
784052	188756	
784052	188834	Anna Demidow
784052	198417	Susanne Gruber
784052	223188	
784052	237738	
784052	267256	
784052	279070	
784052	294200	
784052	301286	Brigitte von Schachen
784052	315828	Maria Belloni
784052	322999	Elisabeth
784052	324670	Gräfin Heloise Cambouilly
784052	333850	Sigrid Olinsky
784052	339052	Prinzessin (princess) Deinhar
784052	345009	Lu
784052	345656	Madeleine
784052	347761	
784052	350276	Leone
784052	356705	
784052	361407	Ilonka Badacz
784052	361993	
784052	376459	Nelly Dreifuss
784052	378548	
784053	101752	Gundi Strack
784053	395667	Julia von der Marwitz
784054	194789	Female Journalist
784054	325434	Sonja Brandstätter
784055	182793	
784056	51286	Belinda, Sandra's Mother
784056	103130	
784056	246398	
784056	312116	
784056	346924	Frau Fink
784056	374397	Irca
784057	350488	Woman #2 on the Street
784058	147186	Model
784059	368060	Mrs. Glickstein
784060	125213	Edith, Mädchen bei Condomines
784061	178671	
784061	325080	Dolere
784061	409588	
784062	409860	
784063	162501	
784064	325532	Frau Svoboda
784065	259444	
784065	376370	
784066	47542	Sue Anne Clawson
784067	49303	Franziska Bachmaier
784067	130921	Fanny
784067	142276	Isabella
784067	153921	Nanni
784067	164645	Katharina
784067	179839	Christl Sternlein
784067	180883	Irma
784067	188824	Karin
784067	198004	
784067	360929	Rita
784067	375098	Resi
784068	342588	Görl
784069	100841	Meeting Facilitator
784070	50156	Herself
784070	129833	Jacqueline Struutz
784070	129834	Jacqueline
784070	259447	
784070	259547	Röllchen
784070	325431	Charlotte Fink
784070	325790	Reni Laube
784070	354066	Anna
784070	389616	Stefanie (1996-1999, 2000-200
784071	231616	
784072	28067	Child extra
784073	30702	Esther Milo
784073	32707	Mrs. Greenberg
784074	30702	Jacqueline Milo
784074	32707	Girl With Keys
784075	30702	Stella Milo
784075	32707	Valeria
784076	263345	Randa
784077	18393	
784078	283433	Karma (#13)
784078	346386	Undine
784079	93412	Jeanette
784079	130954	Liz
784079	266603	Biene
784080	68274	Oxanna Kristos
784080	80461	Kendall Black
784080	81159	Amanda
784080	82561	Linda Avery
784080	97351	Augusta Blair
784080	110338	Ashley
784080	170843	Angelic Nurse
784080	176774	Laura
784080	251410	Jane
784080	287131	Colette Fortier
784080	306319	Liz Garnett
784080	341849	Erica Black
784080	351189	Jessica Garrett
784080	359425	Model
784080	360150	Sarah Brightman
784080	381482	The Sorceress
784080	382419	Ivana Richards Vanderveld (19
784080	382487	Zoya
784081	301022	Sylvie
784082	193426	Ortrud
784082	341822	Turandot
784082	358687	Waltraute
784082	358690	Brünhilde
784083	87541	Gale Hunter
784084	49854	Jennifer
784084	115174	Jenni
784084	214463	Denny
784085	189623	Beatrice
784086	78738	Susan Meneghetti-Imhof
784086	102609	Bea Graber
784086	141962	Frau Geissler
784086	144193	Richterin
784086	311400	Dr. Katrin Staub
784086	325473	Eva Schwab
784086	325861	Eva Schwab
784086	386426	Alice Winter
784087	78444	Beth
784087	288889	La postière
784088	713	Marcels Mutter
784088	49308	
784088	52582	Camilla
784088	86972	Sophie Kurtz
784088	109528	Various Roles
784088	119188	
784088	126246	Tusnelda
784088	126361	
784088	137145	Rosi Hirte
784088	157629	Maria Fendler
784088	171139	Frau Richthofer
784088	172839	Regine
784088	175249	Annerose Waguscheit
784088	184643	
784088	203402	Irmgard Löffler
784088	209875	Colette
784088	301020	
784088	352065	Katrin Faber
784088	354718	Helene
784088	361033	Hildchen
784088	375164	Marion
784088	376772	Tamara
784088	398083	Elli
784088	404436	
784088	404461	Karin
784089	175249	
784090	38659	Herself
784090	42724	
784090	122103	
784090	234104	Herself
784090	333426	
784091	91242	
784092	188815	
784093	34540	
784094	111359	Granny
784094	120056	Jazz singer
784094	139709	
784094	156751	
784094	186897	Brenda Lee
784094	209474	Anna
784094	223493	Techno-Girlie
784094	296365	Gescheiterte Sägerin/Failed S
784094	325611	
784094	332832	Ewa
784094	364884	Kriemhild Nastrowa
784095	231680	
784096	91769	Yuppie Girl
784097	180718	Schwester 1
784097	228543	
784098	329022	Chave
784099	10216	Herself
784100	284129	
784101	122393	
784102	320458	Jaqueline Duron
784102	410513	Judith Gautier
784103	55071	Betty
784103	77356	Dounia
784103	108490	
784103	195702	Couple drenched by water wago
784103	217701	Betty, Landlord's Daughter
784103	249045	Anne Goupil
784104	202766	
784104	222804	Marene
784104	373216	Model with Book
784104	399314	Weather Anchor (1997-)
784105	2030	Lynn
784105	41940	Reporter #2
784105	80464	Woman at Picnic
784105	93532	Anne
784105	105313	Sarah
784105	109608	Waitress
784105	119928	Jane
784105	164641	Nurse
784105	166701	Ann
784105	249585	Herself
784105	358708	Paralegal
784105	370865	Mattie
784106	181152	
784107	97030	Waitress
784108	236953	April Oakridge Fairfax
784109	8987	
784109	16339	Soprano
784110	374290	
784111	225304	Caro
784112	225211	
784113	23718	Une secrétaire
784113	57077	
784113	70743	Yvette
784113	71802	Jeanne-Jean
784113	148753	Manon Lachapelle
784113	167237	
784113	191862	
784113	217004	Fille de Nuit
784113	262994	Carole
784113	269041	
784113	276984	Yvette à 20 ans
784113	292668	Annette
784113	351873	Françoise
784113	355519	Donna Maloney
784113	409541	Mylaine Denault
784114	384915	Herself
784115	29446	Shelley
784115	45639	Bonnie
784115	119508	Jill Monroe
784116	97206	Real Estate Secretary
784117	354683	Waitress
784117	388299	Sarah De Kunst (#1) (1994-199
784118	2641	
784118	152778	
784119	400236	Leslie Holden #1 (1995-1996) 
784120	40864	Nick Cave Fan
784121	103857	Tatiana
784122	19819	
784122	103071	
784122	111343	
784122	113423	
784122	156616	Professor Bound
784122	180986	
784122	180993	
784122	182590	Frau Engel
784122	218979	Anne Hampton
784122	238537	Erika
784122	239816	Molly
784122	269900	Headmistress
784122	351912	Hilda Taylor-Snell
784122	394832	
784123	91177	
784124	151590	All the Girlfriends
784124	378831	Various
784124	379919	
784124	381471	Liza (1994-1995)
784124	392965	Moofy/Various Voices (2001)
784124	406042	Mrs. McCormick/Liane Cartman/
784124	406276	Various Characters
784125	84486	Girl of America selling cooki
784126	337253	Anita
784127	160320	
784128	189739	Dagmar
784128	391294	Marie-Goot
784128	412110	Mariegoot
784129	288898	Clara Fresnoy
784129	345283	Cécile
784129	392894	La jeune soignante
784130	301248	
784131	8216	Maid at Country Retreat
784132	5596	Solaria
784132	178606	Claudia
784132	196332	
784132	197846	
784133	322527	
784134	299443	Herself
784135	280998	
784136	264157	Dancing Princess Hannah
784137	22579	Angela
784137	23989	Katharina
784137	71304	
784137	102047	
784137	102369	Bedienung
784137	119706	Ellen's Mother
784137	174099	
784137	225115	Schoolgirl
784137	229169	
784137	251001	Rosemarie Klar
784137	259683	Anita
784137	259725	
784138	97389	Joann Carlino
784138	208198	Anna Gradizzi
784138	391152	Hillary Kaiser
784139	259554	
784140	260327	And Her Quartet
784141	1586	
784141	19304	
784141	103139	
784141	108157	Hedwig
784141	126836	Hühnerfarmbesitzerin Trude Sc
784141	145329	
784141	178680	
784141	248398	
784141	290686	Anni, Zofe
784141	290775	Charlotte von Drewitz
784141	293538	
784141	352337	Lore
784142	290628	Puffmutter
784143	385732	Host (2004-)
784143	403799	Herself/Host (2002)
784145	274863	
784146	12309	Spaced-out Girl at Club
784146	155453	Dancing Secretary
784147	231461	Katja Wagner
784148	334595	Liz the Cheerleader
784148	392908	Keisha (2004-
784149	150642	Karen Thin
784150	387307	Rosa
784151	14132	Female Deputy
784151	330057	Architect Babe
784152	58662	Mary-Kate Olsen stand-in
784153	303788	Contestant
784154	72931	Goodyear Chorus Girl
784155	10271	
784155	135297	
784155	206963	
784155	388565	Celeste
784156	126709	Alice Phillips
784157	87197	The French woman
784157	104141	Madre de Lola
784157	230147	Maria Escayola
784157	244251	
784157	305912	Snake
784157	379900	
784157	396874	Lee Neuhaus (1998-2001)
784157	411932	
784158	396874	Lee Neuhaus (1998-2001)
784159	194761	Vick
784160	368842	Carrie Masters
784161	80782	Restaurant Extra
784162	89572	Woman in Miracle Sequence
784163	257300	
784164	355250	Elevator passenger #14
784165	206574	
784166	464	Mrs. Vogelreuther
784166	12832	
784166	39100	Clary Baumann
784166	45580	Zofe
784166	59211	Mathilde
784166	84591	Therese Hübner
784166	93499	Frau Tschöll
784166	104811	Eva
784166	117667	Duchess Ludovika
784166	119283	
784166	120928	
784166	120943	
784166	121051	Elli Nolte
784166	122630	Milly Scheffers
784166	125103	
784166	129707	Monika Brink
784166	130331	Grete
784166	142079	
784166	144176	Toni, seine Tochter
784166	155396	
784166	156055	
784166	174755	
784166	177152	Lili Schrader
784166	189704	Christine Weyring, seine Toch
784166	189771	
784166	189841	Mathilde
784166	197838	Viola Evans
784166	204422	
784166	204429	
784166	205976	
784166	223184	Hella
784166	225140	Beate
784166	225213	Baroness Lehzen
784166	225226	
784166	264466	Herself
784166	267330	Komtess Felizitas
784166	273751	
784166	275689	Gusti Aigner
784166	279813	Mrs. Cantley
784166	293414	
784166	303173	Duchess Ludovika in Bayern ak
784166	303174	Duchess Ludovika aka Vickie
784166	303175	Duchess Ludovika of Bavaria
784166	314560	
784166	323009	
784166	327242	Mathilde Pategg
784166	328846	
784166	346608	Christine Weyring
784166	352100	Vera Jüttner
784166	352242	Liselotte Heßfeld,seine Sekre
784166	356724	Lotte Fürst
784166	360921	
784166	361391	Therese Forster
784166	361502	Madeleine
784166	366478	Hilde Müller
784166	376321	
784166	376340	
784166	410158	Else Lenz
784167	56545	Herself
784168	5900	Marie-Cécile Nègre/Maria Schn
784168	16867	Julia Mayfair
784168	19749	
784168	23723	Raissa
784168	28570	Vera
784168	49600	Muriel
784168	55034	Antonia
784168	58053	Francesca
784168	70192	Leila Chaouen
784168	75247	Queen Maga of Ireland
784168	96198	Maloup
784168	111142	
784168	137220	Madeleine
784168	142638	Nicole
784168	162068	Suna
784168	165241	
784168	165449	Bertha
784168	167193	Michelle
784168	199694	
784168	202766	Nancy Hawaii
784168	211622	Léo
784168	236622	Noria
784168	264142	
784168	265368	Girl
784168	275052	The Girl
784168	275862	Charlotte's sister
784168	284222	Céline Fontaine
784168	295636	Herself
784168	296425	Elen
784168	307137	Herself
784168	308097	Maria
784168	308554	Madeline Dyer
784168	344631	Jeanne
784168	353963	Mome
784168	354788	Laura
784168	357015	Hypolyte
784168	357389	Liliane
784168	361109	
784168	362080	
784168	377699	Sarah
784168	382974	
784168	400385	Brigitte
784169	18534	
784170	147974	Hutterite Woman
784170	285034	Gossip #3
784171	310647	Abducted Woman
784171	330595	White House Operator #2
784171	341896	Laine
784171	363824	Woman of the Night
784172	26666	Muslim Bride
784172	360723	Joyce (the Flight Attendant)
784173	158032	Herself
784174	35402	Ann
784175	108551	
784176	386142	Beth
784176	393006	Beatriz
784176	397540	
784176	402539	Dora
784176	404160	Cecília
784176	405936	Helena
784177	368310	
784178	157662	Femme soirée de la cave
784179	17197	Mrs. De La Rosa
784179	84486	Old Lady at Restaurant
784179	150075	Judge #1
784180	391558	Star Maiden
784181	48950	Additional Voices
784182	325388	Ully
784182	348043	Dagmar
784182	348045	Dagmar
784182	348046	Dagmar
784182	379238	Renate Meister
784183	896	Claire
784183	15084	La vedette
784183	29415	Emma Eckhert
784183	41388	Helene Martin
784183	41479	Nira
784183	42597	Pupe (segment "Il lavoro")
784183	52249	La Califfa
784183	54910	Annemarie von Hartman
784183	62795	Hélène
784183	62936	Christine Weiring
784183	65086	Lydia
784183	67715	Anne
784183	76063	Rosalie
784183	84591	Constanze ("Stanzi") Hübner
784183	101255	Odette
784183	101323	Line
784183	108713	Anna Brigatti
784183	111768	Anna Oberholzer
784183	117667	Princess Elisabeth
784183	124068	Chantal Martinaud
784183	131543	Janet Lagerlof
784183	134903	Leni Gruyten
784183	160062	Julie Wormser
784183	174636	Katia
784183	178360	
784183	188750	Niddy Hoevelmann
784183	197114	Elisabeth of Austria
784183	199715	Hélène
784183	208355	Lily
784183	218231	Anne-Claire
784183	219506	Katherine Mortenhoe
784183	220492	Roberte Groult
784183	224124	Francesca Anderson
784183	225142	Manuela von Meinhardis
784183	225213	Princess Victoria/Queen Vitor
784183	244480	Imogen
784183	256710	Marianne
784183	258117	Cameo appearance (Freddy's co
784183	265227	Leni
784183	269756	Marina
784183	279813	Maud
784183	281256	Herself
784183	281258	Herself
784183	289387	Scampolo
784183	290783	Fanny Emmetsrieder
784183	294089	Myrrhine/Uschi
784183	303173	Princess Elisabeth in Bavaria
784183	303174	Empress Elisabeth akaSissi
784183	303175	Empress Elisabeth of Austria 
784183	337787	Anna Kupfer
784183	339796	Philomena Schmidt
784183	339875	Countess
784183	345035	Elizabeth
784183	346562	Margot (Santorini)
784183	346620	Marie
784183	347644	Herself
784183	353516	Regine
784183	354151	Clara Dandieu
784183	356522	Julia Kreuz
784183	361391	Evchen Forster
784185	153783	
784186	63105	
784186	284622	
784187	407204	Chris Delarue
784189	235946	Tamara
784190	400236	Leslie Holden (#1) (1995-1996
784191	70368	Mrs. Tippit
784191	259969	Eloise
784192	75485	
784193	177174	Alia
784193	334611	
784194	260938	
784194	353934	Therese
784195	136722	
784196	105312	Party Videographer
784198	377348	
784199	356839	Ottilie Peters
784200	213133	Nikki
784201	215363	Reporter
784202	50292	Betty
784203	90785	Sekretärin
784203	120926	Bardame
784203	177151	
784203	290632	
784203	343655	Rosi
784203	359627	Herself
784204	279804	Herself - Reporter for Billed
784205	16528	
784206	381091	Herself (eliminated round 5) 
784207	290273	
784208	182133	
784209	284129	
784210	393832	
784210	409283	
784211	381721	Fernanda
784211	387621	Marisela Ruiz Montero
784211	396644	Wanda
784212	283554	Girl on Yacht
784213	190796	Therapist
784214	340670	
784216	110638	Zora
784217	129784	Bella
784218	4616	Sister
784219	325500	Mutter Elfriede
784220	390293	Host (1995)
784221	142137	
784222	10169	Bradamante, Ruggieros verlobt
784222	116315	Deuxième Dame
784223	307732	
784224	323594	Audition Singer
784225	121546	Aunt Petunia
784226	141660	Maid #3
784226	155649	Miss Mabel Chiltern
784226	167317	Princess Odetta
784226	204905	
784226	248565	Markéta
784226	286736	Hanka
784226	325653	Irena Veslá
784226	356779	Magda
784226	380662	Madeline
784226	395438	Presenter
784227	292975	Lucinka
784228	14284	Gerda
784229	216387	
784230	208630	
784233	344339	Annelisi
784234	80411	Woman TV Host
784234	135004	
784235	388392	Herself - Co-host (2000)
784235	393253	Herself - Co-host
784235	403536	Herself - Participant (1998)
784237	390812	Alexandra Linden (1993)
784238	126447	Marie Baumann
784239	280508	
784240	283758	
784241	103304	Executive #2
784242	283758	
784243	402839	Betty
784244	376445	
784245	17435	
784245	34415	
784245	122568	
784245	125213	Frau Dr. Bradmann
784245	178556	Hilde
784245	181957	Anna Dobelhofer
784245	204433	
784245	284417	Schwiegermutter
784245	325610	Frau Gerber
784245	325870	Frau Gerber
784245	332619	
784245	348046	
784245	376024	Agnes Plötz
784245	376249	
784245	389956	
784245	393360	
784245	396755	
784245	401996	
784245	403666	
784245	404434	Mrs. Hawkins
784245	407351	
784246	206623	Tanja
784247	367022	Waitress
784248	195409	Mother Edelstein
784248	302702	Rivke's Mother
784249	216162	Maria
784250	34595	Anke
784251	380430	
784252	214463	Woman with Dog
784253	210694	Brás Cubas' mother
784254	272821	
784254	290799	
784255	361611	
784256	47492	Esther
784257	257446	Mrs. Shafer
784258	114484	Jakob's Daughter
784258	268353	Mary
784259	145496	
784260	11782	Anita
784260	170124	Theodors Mutter
784260	184634	Lehrerin
784260	189542	Ines Blessler
784260	219339	
784260	225277	
784260	259456	Frau Bund
784260	259469	Christa Schneider
784260	259474	Anita Lorenz
784260	259514	
784260	259656	Lisa Schreck
784260	259669	Junge Frau Henrich
784260	284419	
784260	290584	Frau Felgenreich
784260	290740	Thomas' Mother
784260	325867	Helga
784260	385009	
784260	394134	
784260	408827	
784261	419	
784262	253965	Heidi
784263	30415	Helena
784264	373618	Sharbat
784265	205426	Little S
784266	111032	
784267	171664	
784268	322930	Jutta Teschner
784269	105280	Mannequin
784270	183998	Mor Laagje
784271	94317	Kindergarten teacher
784272	4507	Schoolgirl
784272	390812	Melanie Schmidt (2000)
784272	391604	Melanie Schmidt (2000-)
784272	391604	Melanie Schmidt (as Sigrid M.
784273	58505	Shy Woman
784273	58509	
784273	364016	Business Woman
784274	399130	Claire Girard (1997)
784275	6588	
784275	12504	Sarah/Columbinchen
784275	62179	Angela Christ
784275	97843	Annie
784275	119180	Regina
784275	134471	Gilda
784275	153730	Renate Epp
784275	177194	Stefanie
784275	184513	Inken Eckholm
784275	289920	Candida
784275	341098	
784275	364888	Li Richardson
784275	379174	Sylvia
784275	380905	
784276	95279	Katharina Kauerhoff
784276	319736	Fitness-Frau
784277	119686	Secretary
784277	134986	Baeckerlehrling #2
784277	230207	Frau im Imbiß
784277	255732	Kollegin
784278	390815	Natalie
784279	7238	Miss Karen
784279	51054	
784279	52180	Poppea
784279	92083	Rita
784279	116301	Eva
784279	117846	
784279	125074	
784279	130998	Mary Brendel
784279	132535	Milli
784279	175015	Jessie
784279	179778	Leyla Kessler
784279	190980	Winnifred
784279	197056	Lucrezia Borgia
784279	247518	Molly Adams, actress
784279	290647	Lana Miller
784279	304709	Sasa Léblová
784279	334768	
784279	351740	Carol
784279	354696	Rosa
784279	357274	Klára
784280	232659	
784280	249751	
784281	144789	Alien Stormtrooper
784282	289894	
784283	204264	Newswoman
784284	52370	Vaune
784284	120520	Lana Dark
784285	332104	Ray's Mother
784286	216803	Art Director
784286	350328	Job's Mom
784287	38005	Kit
784288	129876	Herself/drums/vocals
784288	129877	Herself (drums Go-Go's)
784288	129878	Drums & Vocal
784288	237675	Woman of the House
784288	348651	Herself
784288	379601	Herself/Interviewed (Go-Go's 
784289	294919	Trio Member, Three Silver Spo
784290	409609	
784291	67395	African musician
784293	389356	Mrs. Rausch
784294	80509	Milla
784295	236972	Toy Soldier
784296	272992	La Inglesita
784297	17017	
784297	216289	
784297	222432	Frau Günter
784297	223407	
784297	325903	Lotte Heinermann
784297	334522	
784297	379772	
784297	381439	
784297	387079	
784297	389287	
784297	392634	
784297	409613	Niedermaier's Sekretärin
784298	6889	Julie Converse
784298	26140	Mary/Mary Contrary
784298	34936	
784298	37948	Amy Whitehall
784298	61896	Stacey
784298	75504	Lisa Snipes
784298	76217	Claudette
784298	123296	Amy
784298	138774	Anne Marie Bartlett
784298	235394	Jenny
784298	254519	Christine Day
784298	260318	Maggie
784298	277635	Courtney
784298	297788	Allison
784298	297942	Yelena
784298	313936	Wishman
784298	314440	Stephanie
784298	329531	Angela Shepard
784298	329946	Babette
784298	332004	Beth
784298	340034	Ruth Henderson
784298	362690	Julia Jenz
784299	317946	Anna
784299	360290	Girl Driver
784300	527	Wife
784300	3322	Agente 008
784300	20797	Emerate
784300	51373	Paula
784300	67892	
784300	82418	
784300	90606	Denise
784300	104646	
784300	112682	
784300	112686	Signora Grayson
784300	162651	
784300	204262	
784300	216039	Marielle
784300	327489	Lucky
784300	339068	Odette
784300	351537	Katarina
784300	353083	
784301	58059	Anne
784302	12372	Élise jeune
784302	43625	Marie-Eve Etrecy
784302	211630	Aimée Chandelaire, contractue
784302	279110	
784302	345368	
784303	241058	Monster Under Stairs
784304	324028	'Elephant' Chorus
784305	84138	Saleslady
784305	183638	Can-Can Dancer
784305	239515	College girl
784305	329329	A Lucky Star (The Lucky Star 
784306	367203	gesneuveld in montage
784307	318337	Butch Girl
784308	147676	
784309	38832	
784309	395010	
784309	400273	Fiken
784309	406321	
784310	256139	Frau Johannsen
784311	100948	
784311	110568	
784311	130935	Wife
784311	180966	
784311	180977	
784311	238895	
784311	325937	
784312	306003	Stephanie Bloom
784313	19307	
784314	366483	Gerd
784315	32879	
784316	122619	Car Woman
784316	276924	Dina
784317	163248	Businesswoman
784318	7426	Patientin
784318	38359	Frau Bünte
784318	170686	Frau des jungen Fischers
784318	180919	
784318	203403	
784318	226201	
784318	290087	
784318	314897	
784318	317365	
784318	347699	Patientin von Bader Bratvogel
784318	354787	
784318	358531	
784319	390587	Herself (Magnum Agency archiv
784320	93493	Tina Zerbern
784320	203403	
784321	198189	La standardiste
784321	291575	La femme de Kuyper
784322	411802	Heather Lynch #2 (1979-1982) 
784323	411802	Heather Lynch #2 (1979-1982) 
784324	130843	Betty, as a child
784325	132655	
784325	325453	
784325	325854	
784326	16208	Katy
784327	204557	Dancer
784328	115421	Snack Bar Girl
784329	369905	Kate
784330	188766	
784330	309019	Schwester Margit
784330	325587	Aerztin
784331	99189	Shlumit
784331	133431	Shlimme
784331	167300	
784332	143383	
784333	226920	Prison Wardress
784334	359567	Villager
784335	115688	Meisje met konijn
784336	321213	Model
784337	346711	
784338	5881	Shirley #2
784338	41288	Nurse
784338	93982	
784338	222736	Eva
784338	241494	Bank teller
784338	299839	Robotic executive
784338	314794	Margaret
784338	321667	Booking Secretary
784338	332496	Woman #1
784338	383125	Rafaella 'Nightshade' Diamond
784340	103366	Carol's Mother
784340	317517	Vonessa
784341	41327	Vikki
784341	65628	Woman at Party
784341	105845	Ally Mercer
784341	106540	Sharnilar Khasani
784341	203223	Bad Driver #1
784341	213090	Martine/Georgine
784341	266051	Marisa
784341	307264	Alex Noffe
784341	385594	Laurel Ellis (1988)
784342	267588	Dancer
784343	99923	Louise
784344	79862	Shirley
784344	401224	Prostitute
784345	177514	
784346	23703	Barbara
784346	140996	Linda
784346	363492	Monica Collins
784347	341939	Girl in Headshots and Auditio
784348	16760	Governess
784348	331326	
784348	339784	
784348	360567	
784349	385299	Lisa Scott
784350	67479	Julie Marsh
784350	133995	Helena
784350	137487	Overdressed Lady
784350	190330	Miss Haversham, PM's secretar
784350	191252	Cecilia
784350	214508	Deborah South
784350	226902	Mrs. Pole
784350	231434	Tegleva
784350	260329	Alma
784350	271315	Jennifer
784350	385960	Mary Eadon
784350	398965	Nana
784350	400565	Cimmie
784350	408461	Aunt Grace
784351	159971	Piano Accordionist
784352	116289	Gladys
784353	119850	Madame Cheveraux
784354	52163	Hindu Servant Woman
784355	115249	Doctor
784355	118925	Mansion Staff #5
784355	293198	Coral's mum
784356	5945	
784356	20626	Scottish Scrooge
784356	114144	Betty
784356	133597	Biddy
784356	266671	Debbie Vickers
784356	378753	Ethel
784356	395185	
784356	397380	Belle Patterson
784357	33940	Hounslow Harrier
784358	358790	
784358	376529	
784359	169002	Octavie
784360	181765	Elin
784360	304427	Drude
784361	298425	Shenhua Ling/Wong
784362	48161	Dienster
784363	145415	Party Goer #2
784364	139211	Tiffany
784365	3948	Make-Up Girl
784365	34708	Henriette
784365	110458	
784366	5678	Anja
784366	18567	Fiona
784366	282035	Arlette
784366	387377	Fien
784366	406558	Inez
784367	306107	
784367	403626	Beata Lesniewska
784368	209721	Delfin Van Delf
784368	404431	Mimi
784369	347644	Herself - Top 10
784370	231463	
784370	290584	
784370	379779	Christa Burkhart
784370	385009	Röschen
784372	257715	Herself
784373	294219	Caroline Blaine
784374	6212	Sylvia
784374	25281	Bessie
784374	37784	Pyret Sträng
784374	48373	Hildur Palm
784374	48375	Titti
784374	78519	Dante's Mother
784374	99510	Solvej
784374	108633	Ekdahlska huset - Lydia Ekdah
784374	124027	Nancy Billgren
784374	142836	Princess Anne
784374	182543	Anita/Anna
784374	182569	Barbro Bovell
784374	187636	The son's wife
784374	187639	Mrs. Betty Bremblad
784374	191206	Märta
784374	198258	
784374	232736	Office Girl
784374	237034	Inger
784374	243672	Iréne Sandström
784374	259817	Nora, landlady
784374	270935	Beatrice 'Bibban' Larsson
784374	308598	Therese Berg
784374	321512	Gunvor Dahl
784374	322279	Stewardess
784374	334740	Majmi
784374	342310	Annika
784374	354440	Lillemor
784374	371670	Hanna Johansdotter
784374	377324	Margareta Günther
784374	389956	
784374	390854	Kaptenskan Uggla (segments 1,
784374	393003	Irma
784374	394225	Miss Kvist
784374	396220	
784374	400344	Hans Berg´s fiancée
784374	408800	Birgitta Wästberg
784374	409853	Margareta Öhman, purchasing m
784375	38764	
784375	42114	Eine Blode Sängerin
784375	49668	Frau Brandini
784375	86400	Baronin Solms
784375	102970	Muriel Weston
784375	103144	
784375	119140	
784375	119163	
784375	122606	Mizzi Reisner
784375	124402	Carlotta
784375	144100	Herself (singer)
784375	160702	
784375	172066	
784375	172378	Frau Lose
784375	252323	Amalie
784375	271857	Hedwig
784375	272748	
784375	282179	Frau Hasselbütt
784375	290765	
784375	290857	Schwester von Steinhagen
784375	302679	Frau Giesemann
784375	306591	Mutter Gräbert, Theaterinhabe
784375	307248	
784375	317352	
784375	347575	Fräulein Fröhlich
784375	350864	Ottilie Roeckel
784375	352147	Mrs. Carghill
784375	352914	Hanne van Zeevenhook
784375	376135	Oberin
784375	396753	
784375	411078	Käthe Wichert
784376	470	Antonia
784377	93426	Witwe Schumacher
784377	104264	
784377	182865	
784377	225721	Rosa Hagemann
784377	324629	Tante Jutta
784378	396291	Chris ten Cate
784379	98968	Susanne Leschkov
784380	10816	
784381	104734	Dutch entry (1st place)
784381	228230	Herself
784381	228234	Herself - Host
784381	228235	Herself - Host
784381	228247	Herself - Jurylid
784382	187333	Wheelzone Warrior
784382	280654	Kabuki
784383	213681	
784384	348320	Darleen
784385	370013	Kim
784386	406730	
784387	259444	
784387	259507	
784388	119177	
784388	135004	Irmi
784388	189696	Karin
784388	290100	Johanna Erdmann
784388	411957	Ilse
784389	286873	Nina
784390	330594	Choir Member
784391	391294	
784392	548	Elisabeth Asch-Freitag
784392	550	Elisabeth Asch
784392	588	Corona
784392	819	
784392	4500	Tante Maria
784392	10633	
784392	14300	Rickys Mutter
784392	16209	
784392	19035	Gudrun Moormann
784392	28434	Madeleine
784392	29102	Eva Berger
784392	29408	Elsa Menzler
784392	34333	Frau Lentz
784392	34425	Gräfin Josefine
784392	40863	hanna Helmke, Oberführerin
784392	46111	Lehrerin
784392	67942	
784392	94490	Kitty Lenz
784392	99884	Frau Tischbein
784392	103071	
784392	120949	Regine
784392	121000	Klärchen
784392	125339	
784392	134835	
784392	141793	Frau Elvsted
784392	142033	Hiltrud
784392	142185	
784392	144005	
784392	155392	Eva Behrens
784392	189685	Katrin Rössle
784392	225182	Hildur Lindgren
784392	225267	Traudl Westphal
784392	252323	Ida
784392	281719	Winifred
784392	281749	Mary
784392	282104	Zweite Dame
784392	290807	
784392	309279	June
784392	311117	Hotel manageress
784392	312736	Telephone Operator
784392	314898	
784392	314960	Regine Wülfing
784392	322504	Nachbarin/Neighbor
784392	325474	Martha Turowski
784392	325489	EIse Buchholz
784392	328991	Waltraut 'Pützchen' Mohrungen
784392	347824	Käthe Forbach
784392	348678	Dr. Inge Rochter
784392	352395	Ursula Weber
784392	386982	
784392	387769	Lucy Freeman
784392	388573	Elisabeth Jung
784392	393680	
784392	406321	
784392	412113	Grete Schoeps
784393	175292	
784394	215694	
784395	92640	Denise Désirée
784396	124995	Frau Koch
784397	9920	
784397	120926	Erika
784397	225136	Emma Semmler
784398	164815	Tina
784399	6170	Christine
784400	205795	Laura
784400	292101	
784400	409627	
784401	403642	
784402	459	
784402	93467	
784402	98047	Gerda
784402	179833	Die Feigin
784403	204581	
784403	378172	
784404	102968	Jeanette
784405	232798	Britta
784406	205301	Andrea
784407	259682	
784408	325385	Eva Kraus-Lauterfeld
784409	189649	Claire
784409	317275	Magda
784409	325482	Steffi Arnold
784409	405806	Leni Trautzschke
784410	208462	Constanze Kleinschmidt
784411	91035	Elise
784411	122576	Lilly
784411	125069	Ina Dauter
784411	170134	Mia
784411	170463	Jasmin
784411	176726	Jasmina
784411	321245	
784411	378172	
784411	389840	Miriam
784411	395450	Anna
784411	397452	Katja
784412	194648	Martha
784412	201112	Dana
784412	308168	Annette
784413	136269	Jo Ann
784414	166638	Polly (a Scrubber Woman), Who
784415	232104	Karen Cooper/Upstairs body
784416	87235	Mother in Picture
784417	87235	Young Girl
784419	58495	Passenger
784420	270290	Judy Glasberg
784421	147791	
784421	191142	
784421	191352	
784422	359368	
784423	18963	Magda Pike
784423	387533	Stella Jones (1998-1999) (55 
784423	390574	Clara
784423	391786	Janice Bolton (1996)
784424	74586	Alicia Penagos
784424	205844	Sylvia
784424	339147	
784424	384985	Laura Torrado
784424	389233	Carmen López (2001-2004)
784426	38166	Liz
784426	52666	Hedy Lamarr
784426	75665	Meg
784426	90932	New Haven reporter
784426	92660	Courtesan
784426	97471	Courtesan (segment "The Cask 
784426	273475	Herself (In B&B Segment - PIL
784426	316159	Karen
784426	360717	Katrina
784426	372877	Herself (in B&B segment: "The
784426	389858	Sara (Maple Clinic) (1987)
784427	61988	Marie
784427	215808	
784427	245527	
784427	326189	Manson
784428	178904	Herself
784430	130088	Poppenspeelster
784430	356811	Stem handpop
784432	342327	Kleine Ka
784433	33296	Larissa Peroo
784434	276881	
784435	686	Herself
784435	2775	Herself - Best Editing Winner
784435	64279	Herself
784435	113042	Herself
784435	126693	Herself
784435	129561	Herself
784435	201637	Herself
784435	208057	Herself
784436	148214	Mrs. Johansson
784436	159119	Bearded Lady
784437	276607	Vera
784438	217210	Audrey
784440	311887	
784441	144789	Alien Stormtrooper
784442	162466	Hanne Sievers
784442	229164	Therese
784442	325776	Tilly
784442	387395	
784443	47435	Wanda
784444	386219	Finalist #4
784444	409958	Herself (2003-2004)
784445	80208	
784446	56773	Celia
784446	99526	Sandra
784446	107920	Fiona
784446	125105	Lena Resky
784446	128073	Lady
784446	149127	Nadja
784446	214035	Maria
784446	226337	Corinna
784446	255246	Frankie
784446	270427	Tanja
784446	281059	Tanja
784446	281654	Helen Schöneberg
784446	313023	Natascha Becker
784446	343652	Lea
784446	343674	Julia
784446	350931	Chiara
784446	379669	Alicia Kanz
784446	379840	Katja
784446	388798	Pascale
784446	389361	Katja Harms
784447	157758	Mariele
784448	192680	Herself (Girls C2 & D Teacher
784449	84563	
784450	126480	
784451	6300	Caroline
784451	10418	Helga Brückner
784451	18639	Eva Kähne
784451	35498	Inge Herold
784451	41053	Constanze
784451	93735	
784451	119196	Trude
784451	126420	Mutter Jensen
784451	130954	Social Welfare Officer
784451	131383	Frau Schäfer
784451	134985	Mama Rosa
784451	136606	
784451	142100	Gundel
784451	156686	
784451	162229	Dr. Hirsch
784451	175286	Helga Berking
784451	178585	Henriette Friedemann
784451	210044	Karin
784451	217091	
784451	225649	Gefängniswärterin
784451	226348	
784451	229169	
784451	251001	Frau Bleibtreu
784451	259442	Linda Ulmer
784451	259455	Anna Möller
784451	259500	Marlies Rambach
784451	259501	Mutter
784451	259543	Irene Clausen
784451	259591	
784451	259613	
784451	259695	
784451	259919	Ruth
784451	272423	Alte Zauberin
784451	289995	Corinna
784451	290658	Trude Budach
784451	290844	
784451	308483	Sibylle Seewald
784451	319706	Margot
784451	320379	
784451	347627	Gertrud
784451	352079	
784451	352421	Beate Klapproth
784451	352768	
784451	352772	Mutter von Ulrike
784451	358212	
784451	361040	Silvia Jost
784451	366546	Trude Grimm
784451	374370	
784451	393408	Trudel Baumann
784451	406269	
784452	9934	
784452	97237	Beate
784452	103089	Dörte
784452	134768	
784452	259458	Eva Wagenknecht
784452	259466	Sybille Arnold
784452	259500	Manja
784452	259565	Uschi Dosse
784452	259673	
784452	259681	
784452	259685	Christel
784452	287175	Ludmilla
784452	308483	
784452	312647	Christine Lehmberg
784452	347803	
784452	352077	Renate
784452	364881	
784452	381675	Dr. Federau
784452	388288	Inge März
784452	389955	Petra
784452	392669	Barbara Grigoleit
784452	397952	Petra Selig
784453	308831	Wera
784454	186864	Johanna
784455	345785	Rosie
784456	24047	
784456	218435	Friederike
784456	325922	
784457	191425	
784458	26140	Raggedy Ann
784459	390242	Meta van Baak (1997)
784460	302774	
784461	64020	Herself
784462	250413	Lu
784463	42296	Bridesmaid
784463	225205	
784464	317946	Stripper
784465	407816	Herself (2003)
784466	250576	Mrs. Moyers
784467	20625	Extra
784467	152873	Mishel Mindel
784468	255414	Model #1
784469	240096	
784469	397074	Kassererske frk. Mortensen
784470	275265	Striptease dancer
784470	324329	Sigrid
784471	3161	Child at the swimming school
784472	345961	Herself - Mother to Benjamin
784473	84317	Guest at Den Gyldene Tunnan
784474	7781	DSB Dame
784475	346006	Italian Restaurant Patron
784476	196046	
784477	116041	Majorette
784478	129501	Jenny
784478	164152	Petite femme
784479	393707	Klas
784480	257134	Frau Schumacher
784481	152869	Jane
784482	213298	Marguerite
784483	341781	
784484	8942	Felice Schragenheim (Jaguar)
784484	24377	Lehrerin
784484	49978	Anna
784484	98261	Marion
784484	99892	Pastorin Hummel
784484	115603	Girl in Phone Booth
784484	137413	Sunny
784484	147179	
784484	154796	Silva
784484	166106	Yvette
784484	169160	Al
784484	175324	Fanny Fink
784484	177213	Katrin
784484	200205	Petra
784484	211698	Lena Katz
784484	230198	(segment Ohne Mich)
784484	231352	Kriemhild
784484	239114	
784484	242780	Sophie Wolf
784484	278812	Ute Böning
784484	279633	Malu
784484	290250	Elisabeth
784484	314857	Julia
784484	341624	Felicite
784484	346924	Sophie Moor
784484	347429	Holly's Mother
784484	354368	Johanna von Schulenberg
784484	357780	Melanie Krieger
784484	376772	Elke
784484	383271	Helena Bauen
784485	292474	Police Officer
784486	325409	
784487	468	
784487	98415	
784487	135256	
784487	140257	Käte
784487	214178	Mutter Lotz
784487	269151	Oude vrouw
784487	277262	
784487	388756	Die Sill
784488	79049	Vampire
784489	79049	Vampire
784490	13309	Teenage Girl #1
784490	93316	Jennifer
784490	116675	Alex Reed
784490	136335	Anne Michaels
784490	142572	Mary Lou Maloney
784490	296686	Jill
784490	296864	Laura Berringer
784490	321176	Eva Newcomb
784490	372409	Girl #1 (at disco)
784491	102979	
784492	47130	Concerned Hispanic Aunt
784493	98090	Marijke
784494	3942	Samantha
784494	57102	Amy
784494	59840	Flo, Waitress
784494	65565	Hallie Marrs
784494	109929	Terry
784494	121519	Sofie
784494	178207	Vicki Pelam
784494	186650	Evelyn Gardner (right field)
784494	193950	Penny
784494	206818	Janine
784494	218106	Sharona Fleming
784494	232321	Pharmacy Clerk
784494	241342	Marla
784494	247119	Lauren
784494	319873	Christine Bigbee
784494	322970	Gina
784494	345857	Waitress
784494	398122	Sharona Fleming (2002-2004)
784495	80533	Her Feet
784496	232313	
784497	45292	
784498	97235	Tessa
784498	181255	Kind van Moeder Keesie
784499	29547	Wanda
784499	37105	Mlle. De Farge
784499	45292	
784499	63313	
784499	77947	Renée
784499	133380	Pequita
784499	147823	Margaret Latham
784499	190569	Marie Bruseff
784499	263582	Mary O'Neill
784499	277967	Olga
784499	299546	Undetermined Role
784499	307375	
784499	334461	Mona
784499	362314	Undetermined Role
784499	363891	Rose
784499	367390	
784499	368957	
784500	10241	Kid #2
784501	390242	Wendy Hafkamp (aka Sjors Lang
784502	283400	Maxie
784502	396613	Resi
784503	12895	Lina
784504	406321	
784505	42020	Greta's Mother
784505	107766	Elisabeth Nogens
784505	109503	
784505	125104	Betty March
784505	126418	Gertrud
784505	126839	Betty
784505	156989	
784505	165632	Magda Lindes
784505	177904	Eva Schumann
784505	191013	Lene Schoener
784505	226324	
784505	256139	Frau Friedrich
784505	272528	Olga Lochtina
784505	275160	Helga Vorbeck
784505	312214	Luise Vorweg
784505	325783	
784505	361368	
784505	407986	
784506	26799	Additional Voice - German ver
784506	33166	
784506	386977	Margot Faerber
784506	387395	
784507	81622	
784508	47444	
784508	146078	
784508	277066	Jane
784508	308386	Lady Greystoke/Jane
784509	234289	
784509	313782	Performer
784510	174088	Selma von Scheidt
784511	38186	Mareike
784511	102976	Janine
784511	144005	Franziska Bucher
784511	188793	Margarethe Niederrad
784511	209958	Nic Klauser
784511	236814	Lisa
784511	290811	Jana
784511	308215	
784511	325421	Marlott
784511	396634	Milli
784512	404448	Emely Busch
784513	30071	
784513	36571	
784513	56821	
784514	79585	Lehrerin
784515	366472	
784516	11157	Laurie Kinmount
784516	14146	Elizabeth McGuire
784516	68470	Suze
784516	139676	
784516	152910	Shelly
784516	176985	Kelly Savage
784516	213875	Peggy
784516	252937	Cindy
784516	272413	Cheerleader
784516	293097	Dana
784516	294140	Caroline, Teen Girl
784516	318768	Rose
784516	322641	
784516	344474	Susan age 15-19
784516	347571	Chloe
784516	400808	Jessica Lansing (2001-2002)
784516	406285	Sam (2002-)
784517	367651	Heather
784518	214316	
784519	238123	
784520	291584	(segment "Mots attendront, Le
784521	160220	Mindy
784522	302175	
784523	47237	Sick Girl #1
784524	144014	
784524	171562	Mutter Obermeier
784524	225148	
784524	235286	Krankenschwester im Hospital
784525	141801	Hedda
784526	214837	
784527	141801	Aunt Julie
784528	233244	Girl in a classroom
784528	278349	Auroora Rantanen
784528	321973	Brita as a child
784528	336580	Beata Värnehjelm
784529	36756	Plantation Girl
784529	96891	Terry
784529	119356	Virginia
784529	198842	Jessie
784529	362538	Dance School Student
784529	392176	Jessie Macahan
784529	392177	Jessie Macahan
784529	392178	Jessie Macahan
784530	263981	
784531	106062	Special Vocal Effects
784531	109608	Party Guest
784531	130740	Kala
784531	141580	
784531	153565	Voice of Kirbi
784531	165976	Additional Voices
784531	281881	
784531	283398	Lois
784531	290943	Winnie Werewolf
784531	290949	Cherie/Sis/Receptionist
784531	313548	
784531	371819	Bernice
784531	371824	Snively
784531	379759	Olive Oyl/The Evil Sea Hog
784531	379760	
784531	383399	Brenda Chance
784531	383849	Additional Voices
784531	389295	Betty/Miss Twilly
784531	389296	Betty/Miss Twilly
784531	389628	Additional voices
784531	393482	Additional Voices
784531	394949	
784531	395758	
784531	397272	
784531	401746	Kuma
784531	401855	Olive Oyl-Popeye/Mrs. Bluto/P
784531	404517	Additional Voices
784531	404518	Brenda Chance/Daisy Mayhem
784531	405718	Additional Voices
784531	408153	Additional Voices
784532	46327	Lillian
784532	258936	Florence Giddens
784533	261567	Newscaster
784534	156331	Margaretha Bach
784534	389839	Ronnie
784534	409750	
784535	122377	Cécile
784535	246839	Rosa
784535	345481	Lulu
784536	33527	Tropicana
784537	1312	Justine Hopp
784537	402203	Signora Calzoni
784538	98259	Angie
784538	110919	Foster mother
784538	115652	Anne Hausen
784538	209950	Julia
784538	290250	Britta
784538	325697	Frau Wessmann
784538	325851	Bärbel Reichert
784538	352057	Doro
784538	352499	
784539	41337	
784539	105711	
784539	231900	Sean's Ass't #2
784539	272602	Ticket Agent
784539	277446	Debra's Girlfriend #2
784539	292227	Nurse
784539	301680	Mother
784539	356472	Displeased Protestor
784539	367512	Lacy
784540	144822	
784540	206831	Cindy
784541	39404	Helen Strauss
784542	156983	
784542	223200	
784542	290627	Monika
784542	341107	Ulla Nielsen
784542	352502	
784543	131380	Deedee
784543	267105	Diana
784544	12587	
784544	156048	
784544	178664	Marion Hanisch
784544	184598	
784544	225315	Amelie
784544	293623	
784544	345902	
784545	136298	Sister's Daughter
784546	174088	Schwester Herta
784546	406270	
784547	79163	
784548	352656	
784549	326025	
784550	179005	Frau mit Capri
784551	108913	
784552	210553	
784553	94621	Mrs. Darling
784553	190994	Mac's Mother
784553	247571	Nancy Porter
784553	330195	Mrs. Hobbs
784553	360688	Ella Pinkham
784553	395819	Psychiatrist's Wife
784554	147703	Herself
784555	381930	
784555	399105	Host (1988-1991)
784555	404475	Host
784556	147904	Herself - Grandaughter of Wil
784557	202363	
784557	289650	Movie Girl
784558	120154	Weiteres mitglied der fahrend
784558	376461	
784559	28481	Extra
784560	198539	Nancy Kettle
784560	198541	Nancy Kettle
784560	198542	Nancy Kettle
784560	198544	Nancy Kettle
784560	198545	Nancy Kettle
784561	130940	Wirtschafterin Maruschka
784561	174566	Rothackerin
784561	205581	
784562	21652	Older Sister
784562	167139	Gabi
784562	210089	Traudl
784562	217091	Tanja Mahnkopf
784562	259518	Ellen Diekmann
784562	259613	Ellen
784562	259632	Dr. Cordes
784562	259643	Ellen Diekmann
784562	275672	
784562	277747	Marion
784562	290787	Biggi
784562	325469	Miriam
784562	325485	Miriam Koch
784562	325512	Miriam Koch
784562	325527	Miriam Koch
784562	325539	
784562	325544	Miriam Koch
784562	325561	Miriam Koch
784562	325613	Miriam Koch
784562	325629	Miriam Koch
784562	325651	Miriam Koch
784562	325656	Miriam Koch
784562	325740	Miriam Koch
784562	325869	Miriam Koch
784562	325873	Miriam Koch
784562	325916	Miriam Koch
784562	351968	Marion
784562	379082	
784562	380056	Fiorella's Mother
784562	380334	Lisa
784562	388868	Nicoletta
784562	392836	
784562	395372	Toni Lichtenauer
784562	395511	Sarah Liebling
784562	403113	Stups
784562	405755	
784562	410605	Natascha
784562	411078	Gaby
784563	189617	
784564	282416	
784565	161865	Chorus Girl
784566	349794	
784567	18349	Eva
784567	34596	Kerstin
784567	49296	Renate
784567	98120	Schwester Elke
784567	102546	Juliane
784567	113647	Bea
784567	123956	Helene
784567	137411	Paula
784567	230166	Lisa Engel
784567	259603	Krista Vitzthum
784567	281736	Jane
784567	327473	
784567	328307	Showgirl jennifer
784567	334637	Claudia
784567	352070	Sophie Peyker
784567	352218	Iris
784567	352493	Clara Gruber
784567	359689	Flo
784567	389359	Emma
784567	399171	Bezirksinspektorin Lisa Engel
784568	311668	Carla
784569	215488	Herself
784569	397888	Miss Limburg
784570	30430	Sylvia
784570	71381	Janneke
784570	196436	Felicia
784570	215215	Lydia
784570	259801	Nena
784570	310228	Nina's mother
784570	381213	Mariska Lieftinck
784570	387581	Receptioniste
784570	392912	Carmen Schipper (2002)
784571	261567	Beautician
784572	229413	Kati Weiss
784572	325467	
784573	18240	Anna (Crying Girl)
784573	121049	Iris
784574	160293	Herself
784574	160315	Herself
784575	211090	Herself (model)
784576	291922	Mrs. Hummel
784577	321322	Satura
784577	328620	Prostitute
784577	409397	Glamour Girl/Marika Schweinem
784578	409178	Herself
784579	380391	Maggie Cory #1 (1982-1983)
784580	186899	
784580	352562	
784581	238660	Tim's Mom
784582	96768	Dalton
784582	232066	Sorority girl at squad car
784583	80359	Winifred, a maidservant
784583	271611	Polly, Wilkes's daughter
784584	271255	Airline representative
784584	405209	Mags Callaghan (1992-1993)/Dr
784585	113807	Blonde
784585	290389	Vania
784586	230892	The Love Interest
784587	53516	Kelly Green, Newswoman
784588	26079	Additional Voices
784588	134731	Susan Olsen
784588	192857	Melina Bianco
784588	209131	Millie
784588	337168	Additional Voices
784588	395828	Melina (2002-2004)
784588	401930	Serena Baldwin (1997-2001)
784588	410729	Jennifer Collins
784589	325907	
784589	389250	
784589	406518	Beatrice
784590	252710	chant, rebec
784591	317244	
784592	320944	
784593	184959	Beauty shop madam
784594	334171	Carol
784595	92862	Bar Fight Spectator
784596	255357	Baby
784597	405047	Lyserg, Lee Lee La La, Kino, 
784598	266353	Irene
784599	10355	Veronica
784599	125046	Mevr. van Maerle/Mrs. van Mae
784599	129533	Henny
784599	181168	
784599	188839	
784600	220710	
784600	220726	Mozart's Sister, Nannerl at 1
784601	362734	Belle
784602	55254	
784603	20845	Gloria Collinson
784603	44337	Linda
784603	103287	Marina, the Russian Colonel
784603	204890	Jane Doe #2
784603	206373	
784603	235353	Female Mabus
784603	255357	Susan
784603	360483	Mrs. Blicker
784604	384590	Herself (deputy mayor of West
784605	133770	Woman in Tobelsk
784605	265005	Nudist
784606	155590	Herself
784607	242615	Herself
784608	238609	Mrs. Twitt
784609	163260	Kay
784609	355404	Madeleine
784610	383802	Herself
784611	291222	Screaming Girl Up Aisle
784611	381436	Sonja Campbell (1992-1996)
784612	170852	Cafeteria Lady
784613	67052	Sylvester Clarke Girl
784613	215157	Female student
784614	298318	Hospital Attacker
784615	59409	Audrey
784615	386814	Host Assistant
784616	144220	Herself
784617	214028	Anine, la fille aînée du ferm
784617	346620	Françoise
784618	248090	Herself
784619	124980	Krankenschwester
784619	179576	Frau von Voss
784620	376405	
784621	282260	Clarissa's Maid
784622	65926	Stacey
784623	82920	François' girlfriend
784623	89660	
784623	92555	
784623	101963	
784623	113066	
784623	140250	Nella
784623	156758	Christine Bensch
784623	176786	
784623	178553	Tatjana
784623	178875	Cecile
784623	187782	
784623	225279	Frau Niemeyer
784623	226173	Lisa Beitz
784623	254934	Monika Stettler
784623	270689	
784623	272749	Walburga Hassenreuther
784623	281736	Eve Livingston
784623	325493	Annette Alsfeld
784623	325524	
784623	325638	Uschi Lemke
784623	325797	Julia Pfandler
784623	325859	Eva Billsing
784623	338049	Marianne
784623	348676	
784623	367122	
784623	377358	
784623	379176	Helga Sladkovicz
784623	389359	Annemarie Steffen
784623	389956	
784623	391136	Rosl Donner
784623	395002	Ingrid Dorn
784623	395450	Ulla Grünbein
784623	406321	
784623	408384	
784623	411556	Mrs. Gifford
784624	84570	Carla
784624	109923	Marita
784624	179442	
784624	259469	
784624	259496	Heike
784624	259500	
784624	338941	Rosi
784624	379840	Dr. Elke Gassner
784624	394976	Lehrerin Miharu
784625	148141	Marilyn
784626	87166	Tenniebopper
784627	392123	Presenter
784628	44926	
784629	226442	Empleada marroquinería
784630	37681	The Jaba Woman
784631	340425	Sisina
784632	40412	Frau Perge
784632	119176	Frau Dr. Schönberg
784632	124978	
784632	134848	
784632	136086	Frau Röver
784632	140238	Laura (older)
784632	225650	
784632	338436	Helene Seebach
784632	367226	
784632	376290	
784632	403987	
784633	172608	
784633	388599	
784634	486	Klärchen Müller
784634	8846	
784634	8943	Aimée
784634	11777	Sylvia, Peters Mutter
784634	24109	
784634	43344	Mama Sekulovich
784634	78306	Ellen
784634	78540	
784634	83107	Barbara Hessling
784634	95130	Glafira
784634	99887	Mrs. Petrell
784634	99889	Mrs. Petrell
784634	102519	Lucy Lenz
784634	119135	
784634	120052	Gabriele
784634	120140	
784634	120142	
784634	120164	
784634	120169	Laura Rieger
784634	122606	Stefanie Vernon
784634	125318	Dagmar Mansfeld
784634	132313	
784634	137634	
784634	140209	Mathilde Obermüller
784634	145483	Madame Riffi
784634	163754	Frl. Herzberg
784634	178361	Kitty
784634	178610	
784634	179768	
784634	180979	
784634	182590	Kätchen
784634	182901	
784634	184239	Maria
784634	189754	
784634	189819	Uschi Gunzel
784634	193239	
784634	197013	
784634	204509	
784634	210086	Susanne
784634	211102	Marieluise Kornberg, Veras To
784634	237033	Mrs. Petrell
784634	259436	Margot
784634	284131	
784634	290565	
784634	293561	Ingrid Peters
784634	300831	
784634	301024	Hella Jüttner
784634	302678	
784634	308208	
784634	309045	
784634	311090	Änne Osterkamp
784634	325773	Frau Heckelmann
784634	326204	Kitty Grille
784634	334487	(German version)
784634	347431	Frl. Bimbi
784634	347575	Eva
784634	347766	Anna Altmann
784634	356838	Ottilie Klamroth
784634	359051	Elisabeth
784634	361131	
784634	365894	Klara
784634	369162	Leni Fink
784634	376499	Frau Almany
784635	172608	
784636	292097	
784637	230087	Kundin im Frisiersalon
784638	313788	Performer
784638	395586	Host (1995-)
784639	133247	Meisje van een benzinestation
784640	94085	Fan 8
784641	80416	Hairdresser
784642	62259	Additional Voices
784643	344737	
784644	11893	Jenny
784644	40518	
784644	72331	
784644	89494	
784644	108159	
784644	125002	
784644	137855	Hanna Voß
784644	183205	
784644	225247	Frauke
784644	290675	
784644	293252	Edith
784644	310275	Paula Klinke
784644	315978	Regina
784644	352179	Snewitt
784644	365772	
784645	8233	
784645	12589	
784645	36476	Adelheid
784645	180831	
784645	218983	Helga
784645	242846	Hortense
784645	284416	Miss Hoyden
784645	308208	
784645	323000	
784645	329912	
784645	352358	Biondetta
784645	374554	Eve
784645	406474	
784645	408388	Marylin Stone
784646	325873	
784647	20428	
784647	48394	
784647	103102	
784647	124980	Yrida`s Krankenschwester
784647	126389	
784647	131024	Little Girl with Rose
784647	160263	Psyche
784647	179576	Frau von Voß
784647	205583	
784647	206053	Sadja, Scarzella's daughter
784647	235286	Ellen Hutter
784647	246490	Antonia Paganini
784647	268539	Alte Dame auf der Straße
784647	352388	Gräfin Durande
784648	334629	
784648	376390	
784649	50156	Herself
784650	168425	Miss Albanien
784651	347009	Sekretärin
784652	354076	
784653	332383	
784654	180912	Azubi Bank
784655	364201	Patientin
784656	5601	Anne Lörke
784656	32736	Pregnant girl
784656	76480	
784656	88841	
784656	96858	Herself
784656	98262	
784656	113027	Sylvia Leitner
784656	125328	Helene Braeuer
784656	150599	
784656	150600	Hilde
784656	150601	Hilde
784656	176772	Rita
784656	178642	
784656	180982	
784656	210046	
784656	239017	Sabine Bach
784656	252313	
784656	259539	
784656	259565	Annemarie Dosse
784656	259586	Frau Dankert
784656	259614	Monika
784656	289948	
784656	301296	
784656	302046	
784656	308815	
784656	312637	Schmoll
784656	312644	Irmchen
784656	316418	Alena
784656	325905	Bärbel
784656	334540	Ann Gordon
784656	356877	Stadträtin
784656	364881	Anne Ostermann
784656	376034	Carola
784656	376278	
784656	376367	
784656	381675	
784656	398827	
784656	409625	Sophie Himmel #1 (1994-1995)
784656	410497	KOR Marianne Stockhausen (199
784656	411161	Marion Nobis
784657	361404	
784658	28793	
784658	249635	
784658	272609	Veronika
784658	343488	Georgette
784659	395644	
784660	368738	Käthe
784661	399925	Dienstmädchen
784662	144025	Receptionist
784663	183899	
784664	313183	Sekretärin
784665	50156	Herself - from 'Sieben Sommer
784665	126340	
784665	226411	
784665	301032	Karoline
784665	345916	Shireen
784667	290591	
784668	111344	
784669	78435	Funny girl
784669	282597	Tina
784669	317969	
784669	388757	Various roles (1999)
784669	392322	Linda Dyrvig
784670	138034	Skuespillerinde
784671	23507	Edith Jørgensen
784671	108173	Dame med barn
784671	109134	
784671	178731	Sygeplejerske
784671	181736	Forstanderinden
784671	198058	Ulla fra 'Shoppen'
784671	203398	Frk. Sørensen
784671	225686	Bartender
784671	228392	Ung pige
784671	255700	Journalist
784671	303747	Trade Union Negotiator
784671	304363	Klinikassistent
784671	341597	
784671	343953	Stuepige hos Krebs
784671	378334	Sildekone
784671	385525	Mads' mor
784671	403137	
784671	403379	Nurse 2
784671	403380	Nurse 2
784672	22066	Puk
784672	64645	Herself/Various roles
784672	64646	Herself/Various roles
784672	64647	Herself/Various roles
784672	64648	Herself/Various roles
784672	129180	Herself/Various roles
784672	178731	Julie Westermann
784672	302427	Miss Angel
784672	327350	Herself (segment "Cirkus Revy
784672	394136	Vivi
784673	173207	
784674	118474	Sally Conrad
784675	305782	Saleslady
784676	158469	
784677	70100	
784678	3101	AA Speaker #1
784679	122462	High school student
784680	111360	Wirtin
784680	114481	
784680	269641	Marta Zingler
784681	101055	Woman plucking eyebrows
784681	218463	Oxana
784683	194876	Teresa
784684	300304	The Platform Shoe Girl
784685	257760	Background Singer (Silk's Ban
784686	314549	
784687	219349	
784688	54581	Dancer
784689	46015	Kristina
784689	91912	La femme au chapeau/Woman wit
784689	104649	
784689	170436	Bogusia
784689	213840	
784689	259009	
784689	278155	Chauffeur de taxi
784689	321535	Mme Hippenmaier
784689	334215	
784690	98242	Stewardess
784690	138431	Lioba
784691	290737	Vera
784692	325466	
784693	26825	Patron
784694	11774	Gorgina
784694	24377	Deborah
784694	134996	Bine
784694	352208	Julchen
784695	322	Spendensammler-Oma
784695	2917	Empörte alte Dame
784695	12704	Frau Beck
784695	19035	Apothekenkundin
784695	29111	Kellnerin/Waitress
784695	36480	Geriatria
784695	108559	
784695	111268	
784695	134996	
784695	145494	Oma
784695	178849	Red Bulls tote Oma
784695	179784	
784695	226171	Old woman
784695	248040	Lady at home for the aged
784695	325529	
784695	325668	
784695	334551	
784695	358099	Oma Lochbrunner
784695	376264	Mutter
784696	34297	Copy girl
784696	125300	Cornelia
784696	390812	Helga Ullrich (1992)
784697	444	Telephone Operator
784697	214220	Ebba
784697	303662	Madeleine's Friend
784697	322297	
784698	290534	Manfred's Wife
784698	314855	
784699	91791	Tami
784700	165966	Reporter
784701	282222	Klara
784701	325869	
784701	366517	Kommunarde
784702	271344	Karaoke Bartender
784703	14534	
784703	23513	Sabine
784703	26693	Yvonne Rigaud
784703	42020	Greta
784703	55979	Maria
784703	62926	Rosa
784703	68721	Zaira
784703	74557	
784703	91534	Laura Bonetti
784703	94286	Herself
784703	94681	
784703	99705	Ann Danieli
784703	107237	
784703	116428	The Queen
784703	120361	
784703	138432	Hanna's Mother
784703	159468	Eva
784703	161851	
784703	162075	
784703	168235	
784703	181178	
784703	215728	Galina
784703	221727	
784703	238006	Nightclub Actress
784703	243305	Vera
784703	247885	Barbara
784703	251136	Laura
784703	263273	Blonde on bicycle
784703	267227	Britt
784703	269461	Fiamma
784703	269634	Joyce O'Hara
784703	270332	
784703	286718	
784703	288626	
784703	290919	
784703	296539	
784703	310215	
784703	342126	
784703	346155	
784703	348155	
784703	350095	Claire
784704	39603	
784704	42164	Marion
784704	49280	Julia Budera
784704	49309	
784704	66120	Hildegard Schadletzki
784704	138640	Hildegard
784704	145347	Reni
784704	165660	Anna Merz
784704	195823	Lotte Bichsel
784704	204503	Krankenschwester
784704	259523	Beatrice
784704	281716	Susan
784704	302174	Bibi
784704	325501	Anna Lasen
784704	325621	
784704	338389	Doris
784704	347801	Jeanette Kummerfeld
784704	349106	Rosalind
784704	356547	Sonja
784704	365784	Princess Diana
784704	367226	Sabine
784704	382829	Dr. Ilona Bachschuster
784704	383292	Roswitha (1997)
784704	386981	Claudia
784704	387079	
784704	395265	
784704	396757	Anja
784704	403113	
784704	409622	Karin
784704	412024	
784705	209492	Gun clinic lady
784706	126220	
784707	178596	Fanni
784708	677	Relative
784709	259643	Emily
784710	280513	Marie Ragueneau de I'Estaing
784711	21409	Käthe Braun
784711	125279	Alma Brande
784711	168530	
784711	312601	
784711	354771	Maria
784711	361486	Frau Lamprecht
784711	386982	
784711	388756	Stine Rolf
784711	404435	
784712	162229	Valerie
784713	24644	
784713	286117	
784714	14583	
784714	274305	Renee
784715	189862	Herself
784716	80695	Sara
784717	189723	Bettina
784717	276094	
784717	338466	Frau Horak
784717	338468	
784717	338469	Frau Horak
784717	338472	Frau Horak
784717	376313	Rosie Schuster
784717	386637	
784717	393878	
784717	408428	
784718	151751	Herself
784719	3364	Kencefice hoppmesternõ
784719	10401	
784719	28347	
784719	35937	
784719	43185	
784719	50463	Színésznõ
784719	74431	A molnár felesége
784719	74441	Müvésznö
784719	75938	
784719	77565	
784719	78206	
784719	90126	
784719	97969	
784719	97974	Gizus
784719	98026	Witch, Mini
784719	110915	Dizõz
784719	140671	
784719	162975	A fõmérnök felesége
784719	171603	
784719	172529	Ludi nagysága
784719	175699	Máthé titkárnõje
784719	175746	
784719	182732	
784719	190748	Gizuska
784719	193338	Omasics anyja
784719	198178	
784719	214494	Szeréna
784719	225784	Budai Margit, fõnõvér
784719	229692	Lívia
784719	229710	Gépírónõ a bíróságon
784719	233279	
784719	272164	
784719	322185	
784719	333113	A munkásszálló gondnoknõje
784719	348567	
784719	356601	Lídia
784719	357943	Horváth Antónia, Tapsi
784719	378283	
784719	378306	Hajnal
784719	379094	Gigus
784719	382544	Mater Honoria
784719	389220	Lukrécia
784719	407236	Lillácska (1989-1999)
784720	11775	Minousch
784720	23886	Pepi Vibiral i.e. Josefine Mu
784720	101012	
784720	125305	Krankenschwester
784720	129674	Franziska Kloiber
784720	156997	
784720	169121	Josefine
784720	169125	
784720	177615	Isolda
784720	179760	Dienstmädchen
784720	182536	Vroni
784720	225129	Karin
784720	254364	Dünne Nonne
784720	266775	Christel Weinberger
784720	301001	Rosie
784720	306464	
784720	308823	Sabine Weber
784720	322513	Doris
784720	354058	Gaby Pagodi
784720	356980	Marie
784720	375049	Christine
784720	391604	Jeanette Bergdorfer (1997-)
784720	394049	Brandtweinerin
784720	394536	Fanny Kessler
784720	398863	
784720	410812	Frau Wächter
784721	121487	Katherine Duzak
784722	174569	
784723	49524	
784724	189345	Jirina
784725	336559	Nurse
784726	115688	Secretaresse
784726	190386	Working Lady
784726	243624	Zangeres
784727	226300	Ordinationshilfe
784729	351892	Marie's Kid
784730	16208	Antonia
784730	143508	
784730	178016	Jeanette
784730	209961	Caro
784730	267331	Marlene Jensen
784730	290811	Sylvie
784730	295419	Peggy
784730	325422	Melanie Schenk
784730	365580	Agus Karalahti
784730	381007	Karina
784730	409258	
784730	409958	Lara Cornelius, geb. Ryan (20
784731	361489	
784732	30312	La voisine du rez-de-chaussée
784733	294574	Julia
784734	259631	
784734	259664	
784734	290534	Jürgen's Wife
784735	254989	Margot
784735	388295	
784736	3184	Sandy
784737	15431	
784737	326401	
784738	234966	Giroldi's kid
784738	388282	Lorena
784739	276107	
784740	4507	Schoolgirl
784740	156622	Margarete Boschinsky
784740	325383	
784741	291179	Sun Bather
784742	346223	Jane Louise Blue
784743	217389	Mom
784744	281104	Shoe saleswoman
784745	169489	Herself
784746	290580	
784747	395667	Irina Winicki
784748	74192	
784749	178584	Disco-girl
784750	111761	Frau Schoenleitner
784750	352390	Rauhnacht maiden
784751	358756	
784752	217476	Policeman
784753	59109	Woman in bar
784753	63189	Mary Anne
784753	95331	Penny
784753	107286	Mother
784754	307064	
784755	225115	Petra
784756	56545	Herself
784756	91020	Jessica Hülsdorf
784756	137949	Girlfriend #2
784756	206249	Lizzy
784756	210048	Eileen
784756	259555	
784756	375161	Sarah
784756	388640	Dr. Ellen Kolb
784756	392669	Anke
784756	407543	Bille
784757	24878	
784758	392530	Herself - Finalist #4 (2003-2
784759	124438	Luudwien Oudewater
784760	17037	
784760	319632	Anna
784761	380911	Herself - Top 30 (2004)
784762	365970	
784763	351892	Juliet
784764	119197	
784764	124987	SS Woman
784765	339445	Penelope Lace
784766	321822	
784767	82862	
784768	288088	Kris
784769	189717	Tina
784769	356566	G
784770	118007	The woman
784771	255274	Edith
784772	12217	Waving Girl
784772	350424	Model
784773	221325	Aunt Ida
784774	89161	14th Street Player/Roommate 2
784775	296860	Anime girl
784776	161061	Stripper
784777	57929	Jody Sawyer
784777	201642	Herself
784778	73303	Chris's Mother
784778	135605	Beverly Rosen
784778	219530	Dr. Danforth
784778	224073	Rose
784778	238228	Wanda, the Vixen
784778	264580	Anne Bardenhagen
784778	314076	
784778	315228	Mrs. Nelson
784778	329411	Ma
784778	338299	Marlys Mengies
784778	400236	Twyla Ralston (1982-1983)
784778	411229	Fay Evelyn Schlob Dumbly DeVa
784779	144139	
784779	281712	
784780	75625	Herself (Ford Model, Author)
784781	57139	Constable
784782	160599	Anna Rolle
784782	160601	Anna Rolle
784783	2917	Mädchen mit Ferkel
784784	113883	Peter's Girlfriend
784785	387052	Sandra
784786	242872	Secretary
784787	20253	Carla
784787	340791	Audience Member #2
784788	51795	Caddie Woodlawn
784788	63176	Ruby mae Morrison
784788	252865	Anna
784788	340320	Tiffany Honigman
784788	384178	Ruby Mae Morrison
784788	394658	Chris Escobar
784788	405676	Harriet Brindle
784789	40506	Yolanda
784789	117073	Judith
784789	129944	
784789	194706	Sal Bedford
784789	215274	Instructor
784789	236535	Réceptionniste
784789	274447	Gail
784789	299393	Girl
784789	305916	Voluptuous Woman
784789	350622	Sad Woman #1
784789	363712	Young Woman
784789	396479	Clerk
784790	68490	Herself (News reporter)
784790	329954	Newscaster
784791	9688	
784792	103357	Young Arab Woman
784793	280111	Baby
784794	404504	
784795	82321	Kid at BBQ
784795	155862	Kid
784795	326230	Natalia
784796	192282	Herself/Writer, December 2001
784796	360084	CLIT Archivist
784797	358252	Lori
784798	235721	La traductrice écrivain espag
784799	321255	
784800	78956	
784801	93483	
784801	109444	
784801	170659	Frau Bernays
784801	188851	
784801	290184	Franziska
784802	390812	Jessica Schulte
784803	59564	Ela Delahay
784804	34331	Vergewaltigungsopfer
784805	344524	Herself
784806	409625	Jill Anderson (2003-)
784807	56545	Herself
784808	152572	Student
784809	141606	Secretary
784810	367856	Herself
784811	399105	Host (1992-1993)
784812	325481	Eva Dieckmann
784813	9602	Jonis ex-flickvän
784813	92914	Benita Bexar
784813	242266	Monica
784813	278686	Hooker
784813	301889	Eija Saari
784813	341593	Mother
784813	346209	Birgitta
784813	392164	Helena Sundelius (1999-2000)
784813	400356	Gunnar Fontells sköterska
784813	407658	
784813	409265	Komissario Vuorisalo
784814	336420	Sabine Kowalski
784814	398905	Gaby
784815	125172	
784815	142023	
784816	204257	Gretchen
784817	334257	Herself
784818	150853	Call Girl
784818	303900	Astrid
784819	18028	Young Clara
784820	297776	Lisa
784822	235422	Maureen
784822	317451	Waitress
784823	5236	
784823	119209	
784823	120133	
784823	147157	Kritische Verwandtschaft
784823	165362	Alwine Specht
784823	204498	Phedra, Manuela's black serva
784823	225185	
784823	242861	Nurse
784823	275178	Frau Wittkuhn
784823	314584	
784823	320226	
784823	376463	
784824	57929	ABA Student
784825	99923	Laura
784825	223658	Helga
784825	328260	Library Girl
784826	99940	British Diplomat
784827	29149	Relative in Apex Crowd
784828	367073	Munchkin
784829	261480	Miriam Herz
784830	92947	
784831	24157	
784833	343633	
784834	171232	Genevieve Chizzle
784835	97090	Sofie
784835	154624	Jans mor
784835	169973	Tilde
784835	182271	Klaus' mor Fru Nielsen
784835	207056	Magdelone
784835	308229	Johnny
784835	315382	
784835	322942	Forfatter Trille Woller
784835	332485	
784835	356852	
784836	198380	Café Waitress
784836	276437	Girl outside cinema
784836	284138	Jeanette Hjälm
784836	361568	
784836	394946	Petra Hernberg
784836	401207	Åke's Wife
784836	404039	Alex's Girlfriend
784836	411580	The dispenser
784837	45756	Mrs. Mabel Crowe
784837	195479	Paula
784837	343387	Lorraine Jacobs
784837	380713	Dawn 'Dee' Stewart Dixon #6 (
784837	404613	Patti Barron Tate Whiting McC
784838	215691	Miss Wisconsin USA
784839	20091	Rita
784839	28211	
784839	56881	Maria
784839	66231	
784839	86708	Estrella
784839	170918	Luci
784839	309373	
784839	319506	
784839	376792	Marita
784839	383138	Estrella/Sonia (Coca)
784839	387127	
784839	388274	
784839	395864	
784839	401771	Camila 'Rubia'
784839	403006	Herself
784839	403366	Elena Flores
784839	405789	Esther
784839	408856	
784840	41063	Herself
784840	117883	Blonde
784840	196063	Tiffany
784840	228482	Herself (Hostess)
784840	230663	Tommy Lee's girlfriend
784840	237006	Receptionist
784840	257656	Herself (Miss April)
784840	273241	Kitty
784840	283713	Tex's Girlfriend
784840	335258	Shelby
784840	392625	Tabitha
784841	316281	
784842	13576	2nd Neighbor
784843	351767	Fan
784844	257760	Jill
784845	335586	Margaret 'Bean' Maple - age 1
784846	3186	
784846	18170	
784846	73144	
784846	76025	Mário's mother
784846	228899	Emília
784846	337866	Housemaid
784846	344760	
784849	155976	Lotte
784849	194047	
784850	323966	Series Regular
784850	348429	Molly Pitts
784851	139001	Stripper
784852	11171	Marina #4
784852	31654	Corn Fed Girl
784852	298076	Bit
784853	244864	Sheila
784853	279633	Tilla
784854	386977	
784855	15852	Moon Child
784855	48554	Kay Stark
784855	58014	
784855	82386	Dancer
784855	90915	Mystery Woman
784855	92306	Jada
784855	116289	Native Girl
784855	176966	
784855	235781	
784855	263758	Newsstand vendor
784855	356248	
784855	363478	Dr. Tobias
784856	358292	Schultz, Sarah Ann
784857	82789	Schultz, Sarah Ann
784857	114293	Sister Anja
784857	168254	
784857	184930	Barbara
784857	296791	Genie
784857	303832	Lt. Scott
784857	358292	Waittress
784858	242715	Young Girl
784859	77146	Dallas Cowboy Cheerleader
784860	345565	La jeune allemande
784861	219005	
784862	12889	Gast bei Eickhoffs Fest
784862	94423	
784862	172386	
784862	268150	
784862	317613	Krankenschwester
784862	352242	
784863	157804	Narration
784864	349662	Tante Olga
784865	11927	Claudia
784865	86395	Luise
784865	126243	
784865	134991	Inge von Hintelmann Tochter
784865	142018	Poldi
784865	177193	Inge
784865	219277	Eva
784865	241972	Margaret von Rambov
784865	275178	Mariechen
784865	290464	Annie Briest
784865	364933	Sigrid
784866	167605	
784867	17918	Monika
784867	48391	Hanne Michaelis
784867	75937	Stasi Planitz
784867	102134	Lore Bruckmann
784867	129718	
784867	155599	Ruth
784867	182769	Julia
784867	206672	Martina
784867	226279	Annina
784867	265402	Inez Almadez
784867	282205	Bianca, junge Italienerin
784867	303713	Fanny
784867	326203	
784867	336527	
784867	361457	
784868	395049	
784869	549	Frau Brahm
784869	11783	
784869	12839	
784869	48392	Mother Bernhard
784869	91219	
784869	92554	
784869	95262	
784869	103276	Mother Schröder
784869	105528	
784869	107767	Isabelle D'Arc
784869	108188	
784869	119272	Mutter Hartmann
784869	124983	
784869	134833	Frau Riebold
784869	140241	Josepha Spratt
784869	142081	Fräulein Diethof
784869	166427	Anna Quangel
784869	189661	Frau von Barro
784869	210020	
784869	215867	
784869	226264	Mutter Reiser
784869	251056	
784869	270816	
784869	275139	Mama
784869	287756	Tante Rosa
784869	290117	Haushälterin
784869	298598	Mrs. Hudson
784869	307320	
784869	307323	
784869	317503	Wirtschafterin
784869	337555	
784869	343497	
784869	352195	
784869	352565	Elisabeth von Kanzler
784869	353076	Mutter Lauretz
784869	356711	Schwester Grete
784869	358230	
784869	361050	
784869	361081	
784869	364930	
784869	365894	Grandmother
784869	371287	Ungläubige Alte
784869	376434	
784869	397366	Frau Vogelmann
784869	399503	
784869	401030	Jeanne Gloanec
784870	290503	Eva
784870	411526	
784871	66277	Angel
784872	298063	Skaters
784873	99892	Fee
784873	347637	Angela Hagenau
784874	98242	Baby Helms
784875	99892	Elfe
784875	347637	Anke Hagenau
784876	1638	Agnès
784876	25819	Aurore Marty
784876	58232	La mère de Camille
784876	71212	Presenter
784876	71226	Changaï Li
784876	71813	Le canon de 14 ans
784876	72402	Elsa
784876	85509	Monalise
784876	86727	Nathalie Dumortier
784876	101144	Eloïse
784876	107245	Lise Bressian
784876	108220	Justine Sapajou
784876	108221	Justine Sapajou
784876	111012	Barbara
784876	119792	Pouting girl
784876	127992	Charlotte
784876	133019	
784876	156274	Marion
784876	158842	Florence
784876	162485	Marianne
784876	166107	
784876	192811	Alex
784876	225374	Talia
784876	237315	Chloé
784876	278146	Sandra
784876	286896	Marianne
784876	287954	Justine Sapajou
784876	287975	Fatou
784876	329158	Sophie
784876	337032	Céleste Plaisir
784876	345026	Valérie
784876	384596	Polaire
784876	390515	Anne
784876	407874	Bérénice
784877	106738	Richs Girlfriend #1
784878	16213	
784878	169844	Frau Fiebelkorn
784878	178583	
784878	352675	Madeleine Lawrence
784879	4640	
784879	116022	Doris
784879	281756	Jane
784879	284555	Lisa
784879	284562	Lisa Beuys
784879	338412	Cora
784879	345925	Silke
784879	345926	Silke Klever
784879	345927	Silke Klever
784879	388798	Judith
784879	389823	Nonne Katharina
784879	391012	Babs
784879	409485	Silke
784880	281752	
784880	325477	Ina Springstub
784880	325620	Ina Springstub
784880	325768	Ina Springstub
784880	388609	Janine Voss
784881	4657	VHS-Lehrerin
784881	62934	
784881	140271	
784881	259495	
784881	259554	
784881	290169	Melanie
784881	325519	Mona
784881	325676	
784881	325814	
784882	389619	Local Edition (Rheinland-Pfal
784883	107737	Baronin
784883	124277	Fürstin
784883	179652	
784883	307250	Frau Laue
784883	316874	Annie
784883	338168	Susanne Westphal
784883	338372	Christine Mannon
784883	347613	Mae
784884	121345	
784885	4829	Mutter
784885	5077	Califax
784885	17500	Mother
784885	136086	Frau Schröder
784885	178669	Kleines Arschloch/Inge Koschm
784885	191157	
784885	225270	Elke Schneider
784885	259591	
784885	290051	
784885	324511	
784885	325448	Silke Faber
784885	325590	Frau Grün
784885	325746	
784885	325816	Notärztin
784885	352496	Doctor
784885	356548	
784885	358519	
784885	366517	Gisela
784885	375171	
784886	9920	
784886	47844	
784886	142053	
784886	155479	Frau Emmerich
784886	156052	Inge
784886	384217	Ylva
784886	395644	
784886	397969	Female Weevil
784886	404462	Günther's Mutter
784887	325652	
784888	131461	Herself
784889	163641	Jenny
784890	259687	Anita Lehmann
784891	122466	Radio newscaster
784892	397949	
784894	40390	
784894	40953	Ellen
784894	93395	
784894	112816	
784894	170132	Paula Burg
784894	170677	
784894	312882	
784894	312883	
784895	28167	
784896	398161	Maya Golla
784896	408769	Carla Baum
784898	237717	Lisa
784898	259592	
784899	332435	Mandy
784900	74947	Wife
784901	34331	Mädchen im Keller
784902	223408	Lilly
784903	119700	
784904	34325	Domina
784905	98332	
784906	155371	
784906	198435	
784907	182735	
784907	230247	Preussin
784907	317566	Rosa
784908	399175	Eva
784909	222609	Nurse
784910	8942	Mieterin/Tenant
784910	28566	Kegelschwester 1
784911	259664	Käthe Hausdörfer
784912	361369	
784913	168960	Schoolchild
784914	394247	Agent Quirino (2003)
784915	352240	Freundin von Anna
784916	342335	Woman in bus #3
784917	228547	
784918	339276	Maid
784919	378523	Lenka
784920	244949	Anne
784920	378068	
784921	232799	Waitress
784922	378966	
784923	409176	Herself - Host (1997-1998)
784924	226508	
784924	325821	Beamtin
784925	158406	Molly
784926	118497	
784927	121367	Quarter Master
784927	337404	Ayala Security #1
784928	388444	Herself - Participant (4th pl
784929	21408	Krankenschwester Eva Böhm
784929	312098	Marianne Horrath
784930	151537	
784931	374302	Vroedvrouw
784932	5215	Nora Kiss
784932	160219	Petra
784932	185329	Jessica
784933	58836	Maria
784933	93494	
784933	155415	Monika Elsner
784933	156974	Elisabeth
784933	204418	Uschi
784933	259605	
784933	259649	Inga
784933	264340	
784933	304194	Eva Silbert
784933	332621	Carola
784933	379359	
784933	389359	Andrea Junginger, geb. Wolf/ 
784933	389359	Andrea Junginger/Andrea Wolf 
784933	391604	Elke Meier (#2) (2001)
784934	6170	Mystikerin
784935	46418	Herself
784935	87177	Herself
784935	160311	Herself
784936	368744	Mariens Knabe
784937	400621	Norma (2000-2003)
784938	67667	Verpleegster
784938	141796	Thea Elstved
784938	207798	Rezy
784938	255557	Jeanne
784939	236968	Parent
784940	19470	Helena Borges
784940	94817	Shirley
784941	312389	Herself
784943	52698	
784943	63157	La femme de Christophe Colomb
784943	197385	Gisèle
784943	300613	
784943	393731	Mme d'Aiguillon
784944	17604	Sheila
784944	147612	Amber
784944	195558	Zoe Parks
784944	201716	Herself
784944	273769	Shannon Devries
784944	306326	Herself
784944	366061	Megan
784945	26087	Zerlina
784945	158871	Poppea
784946	407	Clementina Rind
784946	52549	Bread Woman
784946	79792	Mrs. Wood
784946	220790	Mrs. Clarke
784946	243245	Mary Carnal, Sr.
784946	261650	Mrs. Davis
784946	401525	
784947	272440	Amanda Giles
784948	42311	That Girl
784949	79792	Bitsy Wood
784949	272440	Claire Giles
784950	108472	Mädchen
784950	249336	
784951	182097	
784951	264466	Herself
784952	99570	
784953	405582	Receptionisten
784954	93941	Dronning Sophie Amalie
784954	136733	Dronning Sophie Amalie
784954	278537	Herself
784955	390752	Isabel
784956	15342	Eulália
784956	220190	
784956	237414	
784956	258482	
784956	268854	
784956	380777	Rita
784956	385629	Luciana
784956	387830	Maria
784956	388562	
784956	400678	Lígia
784957	162885	Narrator
784957	402371	Sabrina
784957	410190	Mirtes
784958	266353	
784959	326854	Policewoman
784960	81644	Peep-show girl
784960	197311	Henriette
784961	93414	Chilli, das Schaf (Voice)
784961	142051	
784961	145346	Frau Kahl
784961	256331	Blindschleiche
784961	318082	Suse
784961	325429	
784961	335553	Polly (German Voice)
784961	361140	Bea Riediger
784961	403864	Various (1993-)
784961	410607	Team Member
784961	411095	Unknown (1996-97)
784962	143651	Mme. Schumann-Heink
784962	198780	Herself
784962	360702	
784963	5659	
784964	404448	Thekla Singer
784965	399175	Kathrin
784966	64864	Carol
784967	18535	
784967	26487	
784967	204437	Madda
784967	248040	Maid
784968	358216	
784969	8218	Julia
784970	186192	Fille bijou 1
784971	29385	
784972	296735	Bridal Shower Guest
784973	10670	Circus Equestrian
784974	349	Mrs. Barnes
784975	38368	
784975	350183	
784977	192102	The Mayoress
784978	118763	Wardrobe Mistress
784978	237931	Nurse
784978	243228	Rita
784979	398161	Gisela Golla
784979	398163	Herself
784979	408769	Claudia Dahlmann
784980	241692	(segment "Baby")
784981	261651	Rosita Worthington
784982	20009	Esther
784984	213114	Waitress
784985	178571	
784985	187402	
784986	155451	(English language version)
784986	186919	Gräfin
784986	204452	Lady Sheringham
784986	242021	Arabella
784986	341107	Daisy Remberg
784986	352249	Maddalena
784986	354370	Viktoria, Johns Frau
784986	358531	Claudia Ernst
784986	366549	
784987	171349	Woman at door
784987	194232	Essie
784987	219506	
784987	403462	Lily Fraser
784988	398161	Kristina Schellenberger
784988	398163	Herself
784988	408769	Kim Vilbers
784989	41733	Bank Teller
784989	117016	Blonde Woman
784990	135518	Mother
784990	292594	Model
784991	18240	Meiser
784991	28688	Christine
784991	102831	Nurse
784991	210010	Tankwärterin
784991	226312	Claudia
784991	361460	
784991	389359	
784992	155227	Specialty Skating
784993	130930	
784994	325481	Angelika Kesting
784995	91903	Babe
784995	138328	
784996	42056	Cocktail Waitress
784996	161326	Herself
784997	111478	
784998	230622	Herself - a Showgirl
784999	299692	Herself
785000	248133	Vivian
785000	363560	Duck Caller
785000	396017	Adele
785001	172666	Marie-Louise
785001	405494	Little Frankie
785002	352033	
785003	32240	Shelley Styles
785004	185311	Paloma
785005	85931	Herself - Performer
785005	175542	Herself
785006	6663	
785006	20049	Juf
785006	173831	Joba
785006	289831	Margreet
785006	342335	Mother Rockanje
785006	352126	Moniek
785006	400031	Eva van Tuyll
785007	115860	Pi
785007	407614	Herself - Guest appearance
785008	70423	Mabel
785008	71380	Frida
785008	108439	Katja
785008	161086	Katja
785008	214743	Minoes' zus
785008	234044	Rietje
785008	238480	Thera
785008	283183	Dutch TV-Actress
785008	374303	Bea
785008	374648	Hedda
785008	379739	Nadja (2000-2001)
785008	382324	Herself (2001-)
785008	382325	Herself
785008	385066	Frida (2001-2002)
785008	390242	Jessica Harmsen (1995-1999)
785008	407614	Herself - Guest appearance
785008	409365	Bianca
785008	410838	Bob van der Burgh (1999-2000)
785009	194836	
785009	403856	Donna De La Fuentera
785010	132275	Janke Feikema
785011	393086	Nora
785012	40022	Delilah Ware
785012	70539	
785012	277860	Dance hall
785013	323728	Sorella
785014	25459	Morgan Lamour
785014	62036	Magician
785014	320094	Dodie
785015	304219	Mrs. Henderson
785016	9922	Anna Engelhardt
785016	17051	
785016	95277	
785016	95278	Marion Ahrens
785016	95279	Marion Ahrens
785016	95280	Ahrens, Marion
785016	95281	Marion Ahrens
785016	95282	Marion Ahrens
785016	95283	Kommissarin Marion Ahrens
785016	98376	
785016	136201	
785016	140238	Victoria (older)
785016	169615	Sandra's Mother
785016	180037	Katharina Nordberg
785016	182890	
785016	189579	Lisas Mutter
785016	225281	
785016	225660	Kommissarin Oldenburg
785016	259612	Amelie Neumann
785016	288812	Kommissarin Oldenburg
785016	302786	Mutter Emma
785016	314859	Simone
785016	316817	
785016	325399	Frau Baal
785016	325400	Sabine Schlack
785016	325771	Doris Scholte
785016	325801	Kommissarin Schlack
785016	325929	Conny Barop
785016	329672	Effi
785016	334498	Kerstin Siebert
785016	334617	Kommissarin
785016	345911	Rosi Fürst
785016	352220	Frau Hoffmann
785016	377351	
785016	377361	Susanne
785016	377364	Susanne
785016	379579	Anna Engelhardt (1997-)
785016	379580	Anna Engelhardt (Chief)
785016	379596	Ruth
785016	381694	Karen
785016	381864	Greta Bissinger
785016	389360	Ellen
785016	389618	
785017	171327	Cliente Serre
785018	335714	Irene
785019	301048	Lissi
785020	46871	Saleswoman
785020	82763	Woman at Fight
785020	275996	Fanny Ray Weller
785020	277648	Bobbie Jean
785020	301787	Nurse
785020	315896	Old Lady #1
785020	342512	Mother (Segment #4)
785020	372244	Waitress
785021	122393	
785022	376387	Julia
785023	110715	Lennsmannsfrua
785023	123241	Bestemor
785023	153287	Kaja's mother
785023	153288	Kaja's mother
785023	153289	Kaja's mother
785023	272230	Female Houskeeper
785023	408192	Tim's Grandmother
785024	169023	Katha
785025	306421	Sophie
785026	244678	Old Speis Görl
785026	259509	
785026	259617	Freundin
785026	259625	
785026	259662	
785026	259667	
785026	298599	Mutter
785026	312068	
785026	312636	
785026	334613	
785026	347035	(segment "The Rival")
785026	390814	Weather Forecaster (1991-1992
785027	238613	Herself
785028	124940	
785028	142514	
785029	372134	Sample Videotape #3
785030	204503	Schwester Natascha
785031	183899	
785033	170136	
785034	69079	Interviewee (segment 'Why I L
785034	165977	Missy
785034	166939	Susan
785034	236117	Bachelor Party Hooker
785035	293694	Secretary
785035	379846	Gretel
785036	203760	
785037	131383	Carla
785038	248884	Patty Merrick
785038	265101	Trixie Young
785038	382047	Ivyann
785038	400853	Patty Merrick
785039	215813	Sally
785040	351945	
785041	158871	Pallas
785042	118823	
785043	77392	Tania
785044	360815	The Video Clerk
785045	188812	Mutter Sonntag
785046	20421	Inge
785046	120939	
785046	171989	
785046	177189	Hete Schulze
785046	182788	Anni
785046	219273	
785046	225141	Ilse von Westhagen
785046	261410	Steffie Leutner
785046	335033	Evelyn
785046	347430	
785047	178189	Extra
785048	334308	Student
785049	224192	Allie
785050	350216	Little Girl
785051	26768	Michelle
785051	330799	Tina Melina
785052	81062	Person in Office
785053	240568	Jean Harlow
785054	152942	Ol Maw
785055	16686	Majorette
785056	72179	Sydney
785057	368305	Supermarket Checker
785058	383217	Contributor (2001-2004)
785058	404562	Contributor (2001-2002)
785059	199389	
785060	361111	Elisabeth Scholl
785061	10913	Stewardess
785062	11769	Fru Sommer
785062	11781	Eva Hartung
785062	48346	Civil dommer
785062	136619	Viceskoleinspektør Marie
785062	315382	
785062	322684	
785062	336059	
785063	10296	
785064	35115	
785065	230857	Pam
785066	105453	Tyler
785066	218367	Girl #2
785067	380685	Herself (as The Chordettes, 1
785068	315777	Teacher
785069	360146	Hope
785070	215507	Herself
785070	271344	Club Line Girl
785071	90706	Maria Nardi
785071	134841	Kirstin Bauer
785071	281742	Caroline Cilburn
785071	290495	Gabi
785071	312871	Silvia
785071	338433	Kabinenstewardess Anne
785071	352039	Tami
785071	352178	Karin (segment "Fata Morgana"
785071	389823	
785071	394844	Lotte
785071	395399	
785072	207933	
785072	290524	Anja
785072	290525	Ingeborg Vollmöller
785072	361409	Blonde auf Fahrrad
785073	40800	Young Emma
785074	346413	Herself
785075	290652	Anne
785076	33126	Ortrud
785076	143514	
785076	346852	
785076	361437	
785077	120869	Susan
785077	273739	Oceana Velour
785078	254569	Western Lady
785079	43924	Patricia Krenwinkle
785079	64740	Yolanda
785079	83988	Kitty Carryall
785079	196357	
785080	113338	Ai Hayakawa
785080	160504	Kendra Bratton
785080	187238	Raifan
785080	188895	Betty Mueller
785080	270632	Trish
785080	283678	Child B (English version)
785080	285922	Iris Chateaubriand
785080	327048	Jack-2's Little Girl
785080	368967	Clerk #4
785080	386236	Tomoe Ninomaya, Kyoko, Additi
785080	396019	Canel Volfied
785081	209630	Monica
785081	241555	Traci
785082	235646	Gina
785083	232380	Socialite
785084	367083	Dancer
785085	194110	Alyx - The Construction Worke
785086	168326	Fruit Lady
785086	369336	Marshall White's Wife
785087	283188	
785088	360723	Member of Jimmy Moore's Band
785090	121563	Marisa
785091	161631	Customer #5
785092	82631	
785092	355519	Young Trainee
785093	125557	Nanny
785093	201852	Mrs. Mooney
785094	338981	Herself
785095	230920	Herself
785096	245053	Agent Sexton
785097	20890	Martha Brewster
785097	50242	Else
785097	70500	
785097	94269	Susanne Strand
785097	94806	Tina
785097	95810	Farmor
785097	121021	Frk. April Bergen
785097	121026	Corinna
785097	122510	
785097	137705	Jeanette
785097	153399	
785097	167126	Lise Jessen
785097	178750	
785097	179817	Betina Mortensen
785097	184566	Anne-Mette Krogh
785097	190825	Marianne
785097	191571	Christl
785097	214349	Kirsten Dreyer
785097	214350	Antikvitetshandlerske Tenna
785097	219443	Margit
785097	228358	Inga
785097	248719	Gudrun
785097	255674	Irene Gyldenstjerne
785097	255675	Britta
785097	264294	Mette Jansen
785097	273889	Fru Banum
785097	278197	Grete Ellekjær
785097	303643	Lene
785097	305128	Bente Falke
785097	312124	Louise
785097	338710	Marie
785097	340079	Kirsten's mother
785097	351910	Frk. Nicola Egede-Schack
785097	397074	Maude Varnæs
785098	290397	Girl at pool
785099	208730	
785099	229572	
785100	80054	
785101	197785	
785102	390771	Hope Bauer Spaulding #2 (1968
785103	328543	Herself
785104	340791	FBI Secretary
785105	364294	Herself
785106	46748	Marta
785106	127086	Bit part
785106	220911	Matron
785108	248950	Soprano
785109	109485	The Hitchhiker
785110	223324	
785110	359304	Shroomie, Tennis Player #1, L
785111	61156	Female Dancer/Ensemble
785111	72376	Dancer
785111	203358	Rockette
785111	289055	Sharon Tupper
785111	302710	Dancer
785111	329522	Wisconsin Dancer
785112	19601	Bunny Beechwood
785112	26846	Hoverboard Girl #1
785113	314853	Nun
785114	312389	Herself
785115	172725	
785116	99364	Cliente Continent
785116	189368	Victoire
785117	57654	Tony's Grandma
785117	91800	Old Lady Across the Street
785117	115179	Mrs. Terzola
785117	330477	Mama Ginelli
785118	270628	Ticket taker #1
785119	72722	Patty
785120	224322	
785120	371539	Diener
785121	3916	L'envoyée d'Oscar
785121	140279	Lise
785122	112504	Rebecca
785123	97508	Tourist #4
785124	97508	Tourist #3
785125	97508	Tourist #2
785125	410830	Litzel
785126	41278	Dancer/Goddess
785127	404462	
785128	94317	Katharina, Annette's friend
785128	354089	
785129	279003	
785130	290205	Miri
785131	119247	
785131	369152	Ute Weber
785131	379177	
785131	395010	
785131	406321	
785132	259663	
785133	119035	
785134	24467	
785134	46767	Anna Moll
785134	97434	
785134	101944	Delphine
785134	177172	Eva Hottinger
785134	187791	Olga
785134	188672	
785134	274118	Lillian
785134	284424	Dagmar
785134	290019	Sugar
785134	314559	Frau Morgenthal
785134	366183	Beate
785134	367232	Frau Marmorek
785134	376011	Dr. Surkes
785134	391479	Laura
785135	104737	Austrian entry (13th place)
785136	298431	
785137	5602	Sabine
785137	24342	Else
785137	82945	Anneliese Goerdeler
785137	126365	Großmutter
785137	166354	Jeanne D'Arc
785137	187682	Bettina Rabenstein
785137	197643	Lilo
785137	308847	Thilda
785137	325604	Marianne Mewes
785137	325838	Lydia Tiefenthal
785137	347806	Wirtin
785138	325870	
785139	171861	
785140	254364	Novizin
785141	197307	Une Habilleuse/Un Lycéen/Un G
785141	249337	2 Knappe
785141	277459	Fricka
785141	286183	Der page der Herodias
785141	339974	Brangäne
785141	348552	Malik
785141	358687	Fricka
785141	403405	Fricka
785142	48136	
785142	117343	Berta
785142	388623	Wilhelmine Breukmann
785143	79173	
785143	155463	
785144	290474	Mutter
785144	391140	Lisbeth Krause
785145	120046	Pia
785145	156669	Fanny Berger
785145	164815	Katja
785145	166730	Nadja Linke
785145	172856	Sylvia Berger
785145	173116	November
785145	225735	
785145	231484	Luca
785145	282183	Luise
785145	352534	Melitta
785145	392913	Host (2000-2002)
785146	180986	
785146	180993	
785147	377169	Cartonero #2
785148	49277	
785148	302786	
785148	336900	Julia
785149	58959	Limbodrome staffer
785150	249713	
785150	254316	La fille blonde
785151	227778	
785152	17048	Maid
785152	18277	
785152	63222	Mädchen
785152	98338	Gabriele
785152	202418	Frl. Jellinek
785152	218370	
785152	243810	
785152	318725	Lipgart
785152	326163	Klara
785152	339705	Susanne
785153	115955	
785155	98418	
785156	101398	
785156	226314	Katja Lange
785157	361369	
785158	129728	
785158	376397	Komtesse Mizzi
785159	4838	Mrs. Hess
785159	18527	Gunda Schäufflin
785159	87735	
785159	116022	Dr. Siglinde Salzberg
785159	130930	Aunt Dorothea
785159	173627	
785159	225295	Frieda Baumann
785159	225304	
785159	226722	Anita
785159	259647	
785159	273752	
785159	275048	Nancy
785159	325629	
785159	325651	Maria Benigna
785159	325940	Oberstaatsanwältin
785159	354089	
785159	376630	Monika
785159	381382	Susi Schulz
785159	389739	Gloria Schimpf
785159	394116	Helen Beckmann
785159	401058	Rosa Harig
785160	319736	Verlagsdame
785160	325943	Sabine Preber
785161	95389	
785162	360810	Rebecca
785164	56545	Herself
785164	225290	
785164	313663	Peggy Petrowna
785164	329931	Bettina
785165	51639	Hospital Hottie
785166	356522	Frau Kostrowicz
785167	188717	Oberschwester
785168	19819	
785169	104622	Anna
785169	407683	Anna Holz
785170	392086	
785171	381436	Marlena (1991-1992)
785172	112279	The Countess
785172	142824	Die Naive
785172	188797	Dancer
785173	270546	Carl Joseph Trotta (child)
785174	182146	
785174	279697	
785175	259478	Marie-Luise Steger
785176	126135	Franziska Gerstl
785176	390812	Nicole Marschner (1993)
785177	405249	Movie Reviewer
785178	171829	
785179	347644	Herself - Presenter for Broth
785180	259507	
785181	178606	Petra
785181	338411	
785182	380858	(Co Host)
785182	384507	Co-Host
785182	384794	
785182	401706	
785182	403904	(Co Host)
785182	406972	(Co Host)
785183	121931	
785184	174088	Pensionswirtin
785184	259608	
785184	289931	
785185	93474	Carmen in den Theaterszenen
785185	105521	Vocal:'Der Lerche und der Gai
785185	281972	Princess von Werdenberg (Mars
785185	320597	
785185	352613	
785186	2063	Tone
785186	48199	Religiøs dame
785186	100357	Svava
785186	117862	Frk. Schrader
785186	139006	Idas mor
785186	142713	Sara Tansey
785186	205809	Synnøve
785186	293841	
785187	308209	
785188	94309	
785189	393833	
785190	225184	
785191	10915	Rosina Massena
785192	204755	
785193	277109	Karla
785194	131557	Nude Woman with Senator
785195	148692	
785196	16093	Zenia the make-up lady
785197	395586	Host (spin-off-season)
785198	242705	Wurstfrau
785198	309418	Narrator
785199	364220	Female Kitchen Worker
785200	176748	Pecker Peeker
785200	196457	Mrs. Old Man Yasgur
785200	314777	Mary
785201	328523	Assistant Director
785202	134885	
785203	32409	
785204	32712	Cafe patron
785205	179005	Junge Frau am Bahnhof
785206	67346	
785207	365019	
785208	226194	
785208	325541	
785208	325681	Frau Parin
785209	60332	Herself
785210	197139	
785211	201169	
785212	46767	Anna Mahler (Age 6)
785213	25939	Gougou
785213	254356	Gudrun Geiger
785214	71849	
785215	11853	Dunja
785215	23883	Engel Daphne
785215	93460	Linda Kohler
785215	106808	Marla
785215	108164	Heidi
785215	136723	Sandra
785215	153930	Katharina Buck
785215	153932	Katharina Buck
785215	155344	
785215	156631	Anna Brinck
785215	156632	Anna Brinck
785215	156633	Anna Brinck
785215	173175	
785215	177216	Dr. Linda Conti
785215	182891	Vicky
785215	182893	Jeannine
785215	186199	Nova
785215	205513	Axels Frau
785215	210743	Herself
785215	212793	Sangarra
785215	236641	Inez
785215	248211	Viola
785215	281970	Saskia
785215	288812	Marion Wenzel
785215	290169	Frau Wohlfahrt
785215	300231	Princess Fiona (German Voice)
785215	300233	Princess Fiona (German Voice)
785215	313791	Performer
785215	313792	Presenter
785215	316528	Franziska Siebert
785215	319736	Sonja Sonne
785215	325446	Polizistin
785215	325749	Elli Hall
785215	339814	Petra
785215	359048	Sophie Berger
785215	361013	
785215	380451	
785215	384444	Kriminalhauptkommissarin Kath
785215	401831	Herself
785215	403864	Various (1993-)
785215	404899	Hexe Mümü (2001-)
785215	407971	Host
785215	412105	Carola Wengenroth
785216	407625	Herself
785217	183186	Ann
785218	30646	Talk Show Audience
785219	167188	Gallery Owner
785220	30582	Beers Cheerleader
785221	56545	Herself
785222	321729	Stairwell girl
785223	255732	Jamie
785224	33297	Viktoria
785224	287637	Judith
785224	307320	
785225	212028	Heilsarmistin
785226	278833	Peter Broetzmann Ensemble: pi
785227	5140	
785227	11782	Kerstin
785227	92644	Prinzessin
785227	121066	
785227	210067	Frau Inge Lehmann
785227	237719	
785227	259449	Krümel und Monika
785227	259621	
785227	259627	Susanne Binder
785227	259670	Anette Cofalla
785227	266935	Frau Kirsch
785227	284428	Frau Kranz
785227	325466	
785227	347614	
785227	378543	Gitta
785227	398827	
785227	406263	Regina
785228	367512	Therese
785229	325436	Elke Heidenreich
785230	129184	Secretary
785230	175182	Julie Vorno
785231	236972	Snowflake
785232	312325	Manni
785233	365611	
785234	136128	Lexi's Birthday Party Dancer
785235	62437	
785236	94337	
785237	72738	Journalist
785237	137560	Fleur Flannery
785237	194414	Karen's Girlfriend
785238	396755	
785239	307768	Roberts mother
785240	82386	Betty
785241	36676	Laborantin
785242	134848	
785242	205960	Sophie Fuhrmann
785243	190227	Actress
785244	225203	
785244	259657	Simone
785244	296096	Susanne
785244	389119	Lisa Rombach, geb. Carstens
785244	390707	Hannah Scholl
785245	34103	
785246	225660	
785246	259598	
785246	290234	Girl
785246	317502	
785246	347574	
785246	358046	Polizist Christen
785247	550	Natascha
785247	1366	Amelia
785247	15888	PrinzessinKatharina
785247	21404	
785247	24326	Ursula Callway
785247	28547	
785247	29102	Else Möller
785247	29103	Lida
785247	38636	Leonie
785247	49295	Sophia
785247	49310	Liesl Burger
785247	53044	
785247	84078	Mme Hermann
785247	102370	Gunvor
785247	110438	Nurse
785247	119160	
785247	119272	Dr. Ursula Donati
785247	124615	Maria Holzmann
785247	136173	Korinna
785247	136726	
785247	142081	Hildegard
785247	142261	Louka
785247	166431	Buhlschaft
785247	182736	Pia
785247	188806	Ingrid Bernhardy
785247	204439	Miriam Capell
785247	209334	Nina Christians
785247	210066	Petra
785247	210079	Dolly O'Malley
785247	212028	Auguste
785247	226400	
785247	259344	Akulina
785247	259499	Frau Körner
785247	272563	Francis
785247	288439	
785247	289646	Mother Superior
785247	298599	Helene
785247	303721	Nel van der Kalk
785247	308980	
785247	325576	Klara Werdin
785247	328981	Liddy
785247	333134	Farida
785247	334555	
785247	335501	Françoise
785247	336541	Ella
785247	347675	
785247	349566	La fermière
785247	352068	Anna Simbach
785247	352534	Frau im Circus
785247	354075	Fräulein Quinn
785247	361372	Carla Förster
785247	361398	Susanne Weiden
785247	369400	Lady Trenton
785247	376292	
785247	376490	Consuela
785247	377375	Eine Ärztin
785247	387697	Mélanie
785247	389959	Elena Morrison (1. Staffel)
785247	390417	Herzogin von Alba
785247	400274	Madame Rougierre
785247	403642	Catherine de Médicis
785247	403794	Lydia Gwilt
785248	11865	Lea
785248	100968	Saskia
785248	124999	Katharina
785248	142076	Lisa
785248	187866	Lilo Katzenberger
785248	209961	Nicole
785248	226251	
785248	290503	Sandra
785248	317270	Kater
785248	325422	Sarah Köster
785248	325691	Nadine
785248	325794	Julia
785248	325986	Marie Minks
785248	357570	Susanne von Kammer
785248	403442	Sandra Kruse (1999-2001)
785249	16541	
785249	114481	
785249	160599	Alexa von Maydell
785249	180220	
785249	189741	Beate
785249	284427	
785250	36481	Sarah
785251	336498	2. Verkäuferin
785252	1303	Bus Driver
785252	6259	Woman at Video Dating Service
785252	14477	Mrs. Pendleton
785252	50690	Ronette
785252	53821	Policewoman
785252	72769	German Nanny
785252	79055	Evelyn
785252	92269	Bartender
785252	97644	Alice
785252	126752	Julia Stevenson
785252	134315	Medicaid Nurse
785252	141425	Connie
785252	145046	Drunk
785252	155888	Prayer Group (segment "1996")
785252	165851	Joey B
785252	168553	Zeola
785252	192172	Amelia Minchin
785252	193669	Emma
785252	194617	Sister Drexel
785252	203475	Rosa
785252	210620	Strawberry
785252	220714	Gracie
785252	235160	Josie
785252	252976	Irene Carell
785252	264140	Mama Pat
785252	264427	
785252	273800	Entertainment Reporter
785252	283434	Millie Dupree
785252	304854	Housewife
785252	322566	Verna Mae
785252	330386	Nora Finkelheimer
785252	342685	Mrs. Thornton
785252	390741	Barbara Ludzinski
785252	406357	Gloria
785253	118645	Julie
785254	392503	
785255	19759	Véga Dechaumes
785256	365651	Commune Dinner
785257	34354	
785258	194343	
785259	286434	Max (German Voice)
785259	302276	Bart Simpson (German Voice)
785259	325098	Terk (German Voice)
785259	325099	Terk (German voice)
785259	395354	Terk (German voice)
785259	400761	Liesel/Trilli
785260	235404	Stacy
785262	226181	
785263	290527	
785263	308805	Ilse
785264	101440	
785264	120039	
785264	325876	Mechthild
785264	396268	Hildegard Grandauer
785265	303695	Elev i klassen
785266	393474	Emilie
785267	5086	Bärbel
785267	5183	Suzanne
785267	8697	
785267	8850	Suzanne
785267	16426	La veuve
785267	16867	Eloide Prinzivalle
785267	18075	Marie
785267	18356	Anna
785267	25083	Fanny Hohenstein
785267	25936	
785267	30197	Jenny Lind
785267	38995	Karin Thimm
785267	39780	Martha
785267	40376	
785267	46602	Luise Maurer
785267	48343	Lucy
785267	56085	Casanova's Mother
785267	57894	La seconde ex-épouse de M. Ci
785267	80379	Inga
785267	82528	Ingrid
785267	93730	Susanne Gast
785267	97843	Effi Briest
785267	98040	Maria Braun
785267	100918	Herself
785267	107961	Therese Farner
785267	117683	Elaine
785267	122227	Anna
785267	122319	Arianna Nassar
785267	127455	
785267	131018	L'Esprit de l'Exil
785267	131021	Michelle
785267	134786	Frau Piesch
785267	136717	Johanna
785267	138437	
785267	140225	
785267	142510	Olga
785267	144389	Tania
785267	153730	Anna
785267	155485	Herself
785267	164833	Paula
785267	165124	
785267	165502	Herself
785267	172064	Lisaura
785267	174762	Marie
785267	181498	
785267	186604	Wanda
785267	189598	Paulina Kropp
785267	189611	Johanna
785267	190315	
785267	190765	Willie
785267	199312	Aunt Agathe
785267	207792	Mathilde
785267	208254	The Actress
785267	213892	Spirit of Exile
785267	215472	Mici
785267	226253	Herself
785267	232657	Johanna
785267	233336	Magda Goebbels
785267	236543	Countess Sophie de la Borde
785267	246920	Ewa Loehwe
785267	256442	Berta
785267	265765	
785267	277231	
785267	278573	Hanna
785267	309488	
785267	315437	Eugenia
785267	321780	
785267	351999	Miss Forbes
785267	359503	Hanna, Schauspielerin
785267	359588	Stephania
785267	359620	Schulfreundin
785267	361533	Tünde Eszter
785267	364129	Hanna
785267	365677	Doctor
785267	379174	Marion
785267	381689	Eva
785267	387161	
785267	397242	
785267	401311	Catherine Skevronskaya
785268	116455	Skog-Börta
785269	313173	Woman outside Parliament Buil
785270	279003	
785271	286457	
785272	48131	Marit Skjølte som gammel
785272	94351	Fru Linder
785272	353031	Fru Beck
785273	129674	
785274	153748	Reporterin
785274	259613	
785274	395701	Maklerin
785275	120154	Junge dame am königlichen hof
785275	178610	
785275	226244	Manuela
785276	153088	Herself
785276	172213	Herself (TV Reporter)
785276	233999	Host
785276	383092	Host
785276	403799	Herself/Host (2003-????)
785277	391295	Marlene "Lenchen"
785278	86111	Sopran
785278	101748	Konstanze
785278	197314	Lulu
785278	226305	Sprechstimme
785278	278317	Gilda
785278	285017	
785279	99891	Ponyhütchen
785280	111350	Mrs. Herzog
785280	231540	
785280	259670	
785281	111350	
785281	259547	
785282	234955	
785283	285017	
785284	25924	Sprecher
785285	48519	His girlfriend
785285	93467	
785285	366514	Lori
785286	189563	4 Freundinnen
785287	40404	Christine
785287	313663	Anna Lena
785287	325715	Leyla
785288	308815	
785288	392902	
785289	1510	
785289	150599	Carola
785289	189649	Cora
785289	225254	
785289	259573	
785289	301014	Sarah
785289	313667	
785289	379840	Dr. Maria Jaspers (2002-)
785289	404483	Erika Voss
785290	226338	Anna Hohmann
785291	184294	Herself
785291	211100	Daisy Winter
785291	236822	Madame Picheral
785291	237730	
785291	290117	Rita Ronan
785291	290635	Mrs. Flambeau
785291	308208	
785291	412082	Dina Laszio
785292	2344	Dina Steiger
785292	10339	
785292	38840	
785292	95282	Beate Voss
785292	107751	Julia Stein
785292	110648	Nadja
785292	119188	Gitta
785292	156632	Isabelle Boger
785292	169975	Karin
785292	176515	Romy
785292	189722	Andrea
785292	204581	Hilde Kahn Reach, Thomas Mann
785292	209965	Dr. Karin Aich
785292	225269	
785292	259176	
785292	270601	
785292	290450	Anna Schilling
785292	290820	Simone
785292	325761	Käthe Ihmig
785292	334631	Stewardeß Gaby Dillmann
785292	334634	Daniela Mertens
785292	344737	Carola
785292	348084	
785292	352218	Katrin Bach
785292	354069	May-Brit Ohmsen
785292	357784	Fenitschka
785292	358541	
785292	360972	Lotte Wendt
785292	361046	Barbara
785292	361448	Petra
785292	376410	Fräulein Berger
785292	376412	Janine Holler
785292	386334	Marion Drombusch #2
785292	388248	Melitta Schneevogt
785292	394143	
785292	394411	Romy Herzog
785292	396920	Monika
785292	398429	Petra
785292	406140	Annemarie Kempf
785292	406321	
785292	407253	Sabine Hohental
785293	174088	Mrs. Reimann
785294	182157	Doorwoman jail
785295	282243	Lisbethli & her Mother (dual-
785296	374126	
785297	46807	One of Fu Man Chu's slaves
785298	16263	Ann-Mari Graham
785299	70504	Herself
785300	401996	Lilith Powenz als Kind
785301	276206	Reserl
785302	322301	Stines veninde
785304	120058	Doro
785304	376569	Jenny
785304	390707	Li Pham
785305	204418	La Galetta
785306	111265	Helen
785306	150136	Miss Lilly
785306	188737	Helena
785306	290159	Agnes
785306	325607	Linda Kastrup
785306	389615	Sybille Renz
785306	397366	Frau Krämer
785307	5142	Madame Mercier
785307	7426	Sophie Konrad
785307	17723	
785307	21403	Frau Felgentreu
785307	40411	
785307	94344	
785307	111772	Frau Knauer
785307	116311	Prinzessin Amalie
785307	119257	
785307	123946	
785307	130928	
785307	134797	
785307	134983	
785307	138454	Johanna, Hannele's mother
785307	144047	
785307	147359	Geschworene
785307	156047	Mother Schäfer
785307	156641	Hans hustru
785307	179576	
785307	187559	
785307	189826	
785307	208793	
785307	210116	
785307	218912	
785307	225143	
785307	225244	
785307	231355	Kriemhild
785307	231356	Kriemhild
785307	237737	neugierige Zeugin
785307	269092	
785307	279005	
785307	293995	
785307	322939	
785307	343476	
785307	354369	
785307	360923	
785307	369132	
785308	368737	
785309	156988	
785310	597	
785310	15290	
785310	23984	
785310	31391	Traudl Grabner
785310	33264	Madeleine Forestier
785310	79168	
785310	90069	Donna Anna
785310	90765	Emma Kiesewetter
785310	93403	
785310	102638	Therese von Brunswik
785310	122550	Anna Rum
785310	134817	Magdalena
785310	134910	Franzi
785310	144140	Thea Moreno
785310	147167	
785310	172765	Die Wirtin
785310	179830	Marie Geistinger
785310	189788	Frau von Weyden
785310	205583	Maria Valeria von Aliano, spä
785310	210106	Celia Bermont
785310	214679	
785310	225631	Prinzessin Adelgunde
785310	226279	Barbara
785310	266208	Dr. Eötvös' Fiancee
785310	290621	Paola Manuzzo
785310	347697	
785310	352328	Christl Jungwirt
785310	361308	Livia
785310	361401	Amanda Thaller
785310	379768	Berta Gradik
785310	386736	Charlotte Schönwald
785310	390924	Gnädige Frau
785310	394919	Kaiserin
785310	404454	Dr. Eva Tillmann
785310	410813	Frau Herz
785311	142790	Clara
785311	284386	Jenny Beales
785311	382891	The wife
785312	204492	Frau Geissler
785313	376411	Gertrud
785314	5186	Les mannequins
785315	354192	
785316	24410	Mrs. Chandler
785317	11927	Scheuerfrau
785317	120926	Masseuse
785317	121138	
785317	152751	Mrs. Barrymore
785317	162234	
785317	175292	
785317	181556	
785317	186886	
785317	187461	
785317	226406	
785317	227170	Frau Scholz
785317	281231	
785317	317467	French Farmer
785317	333643	
785318	214385	Maja
785318	387262	Tovas mamma
785319	23884	
785319	28700	Ingrid Peters
785319	28793	Heidi
785319	118898	
785319	124275	Mrs. Neumann
785319	125218	
785319	172961	Anke
785319	175778	
785319	188852	
785319	189448	
785319	209967	Myrtle Mae
785319	218913	
785319	263370	
785319	263371	
785319	281714	Glynnis Newcombe
785319	290141	
785319	290490	
785319	307765	
785319	325558	Elli
785319	338414	Viviene
785319	338440	Ursel
785319	365784	Frau Czerbonka
785319	365785	Betty
785319	376024	Gabriele
785319	376403	Helene Wildbach
785319	387445	
785319	387770	Kitty
785319	392636	Gerti Sperling
785319	393978	Wally Seibecke
785319	396753	Frl. Sommer
785319	405449	Frau Matzke
785319	410162	Erika
785320	352384	
785321	290190	Jenny
785321	338389	Elke
785322	55163	Jeanny
785322	72737	Tinas Mutter
785322	145469	
785322	192639	
785322	347644	Guest
785322	382256	Host
785322	404499	Host
785322	408718	Various Chrarcters
785322	410736	Host (07/1999-????)
785323	137492	Priest
785324	267407	Groupie 1
785325	178455	
785326	43169	Narrator
785326	171418	Journalist #4
785326	294801	Narrator
785326	325541	
785327	75781	Female computer voice
785327	89759	Jungfrau
785328	406730	
785329	335018	
785330	476	Angelika Weiß
785330	6612	Paola Brini
785330	15268	Gabriele Welser
785330	18532	
785330	25339	Soledad
785330	25504	Natasha
785330	29354	
785330	48889	Mary
785330	66397	Laura Tarantini
785330	71162	
785330	86326	
785330	92899	Monica
785330	94374	Nikky von Breithagen
785330	95262	
785330	102969	Vera
785330	110564	
785330	122545	Inge
785330	124899	
785330	125983	Erika Walters
785330	130998	Ilona
785330	133194	
785330	134835	
785330	140204	Ilse
785330	142022	Helga
785330	144106	Gertrud von Eyben
785330	144351	
785330	155441	Mrs. Gilespie
785330	155491	Rosemary
785330	155585	(segment "Basta un attimo")
785330	156730	
785330	158627	Irene
785330	179876	
785330	180202	
785330	182902	Biggi Landinger
785330	188644	(segment "Il complicato")
785330	189668	Kathrin Mertens
785330	204420	
785330	211100	Marianne Gardella
785330	216046	Ada
785330	234758	
785330	253937	Claudia
785330	265714	
785330	281737	Luisa
785330	281756	Anne
785330	281949	Karolas Mutter
785330	288433	Isabelle
785330	290690	Elfie
785330	301139	
785330	307323	
785330	309964	Hilde
785330	310940	Jolly
785330	314894	
785330	319649	Waisenhausleiterin
785330	322561	Vera von Burger
785330	325592	Ursula
785330	325854	Manuela Borsdorf
785330	334524	
785330	343666	Ann Patten
785330	349566	Helga
785330	351604	Nathalie
785330	352043	Elsa Krailing
785330	352416	Mrs. Ruiz
785330	358539	Annette von Larenburg
785330	361081	Anita
785330	364927	
785330	378541	
785330	381679	Elfriede Angerer
785330	401148	
785330	402538	Lotte Muller
785330	404454	Mrs. Satorius
785330	405803	Anna Schickl
785330	406004	Lisa Brandt
785331	76665	Girl
785331	304947	
785331	380453	
785332	111959	Marcellina
785332	197836	Anna Reich
785332	272828	Adele
785332	361514	
785333	290741	Elvira Ranft
785333	325834	
785334	51285	
785335	120170	Mausi
785335	375869	
785336	4832	
785336	11861	
785336	40408	
785336	43332	
785336	107348	Putzfrau
785336	114969	Helga Oppliger
785336	143488	Christa
785336	153713	Marie Rätzer
785336	155381	Beamtin
785336	174396	
785336	184405	Mutter
785336	184573	Brigitte
785336	186891	
785336	210235	
785336	242760	
785336	259448	
785336	259465	Vera Welz
785336	259537	Petra Sander
785336	270421	
785336	308806	
785336	317272	
785336	325659	Henrike Grote
785336	347822	Oles Mutter
785336	392669	Sieglinde
785336	406814	Gertrud
785337	17489	Anna
785338	347801	Stefanie Berger
785339	24526	Moni
785339	120058	Anika
785339	219262	Gabi
785339	361336	Yvonne
785339	376265	Lena Schön
785339	381694	Yvonne
785339	381864	
785339	384368	Ilona Schubert
785340	315768	
785341	12206	Woman
785341	79169	(uncredited)
785341	111344	
785341	155456	
785341	189679	Mädchen bei Leonie
785341	302684	
785341	347658	
785342	1056	
785342	94258	Ida
785342	357757	Vera
785343	24164	Kontorsflicka
785343	123494	Gloria Svensson
785344	145759	
785345	79182	
785346	24059	Marianne
785346	33264	Clothilde de Marelle
785346	40398	Yella
785346	84591	Hansi Führer
785346	86398	
785346	90765	Baroness Ziegler
785346	110457	
785346	110714	
785346	111771	Mutter
785346	111851	Fiakermilli
785346	123924	Red Erna
785346	125317	Olga, Sekreträrin
785346	134910	Miss Violet Hutton from Calif
785346	136905	Sophie Strasser
785346	142072	
785346	144035	Colette Francis, Singer
785346	145508	Lillian Lord
785346	147183	Rosita Pareira
785346	156046	Bettina von Schröder
785346	156721	Lizzi Laffé
785346	156726	Wirtin des Weißen Rößl
785346	156985	
785346	161444	Erika, Singer
785346	164654	
785346	171706	Singer
785346	172379	Graefin Fuchs
785346	177194	
785346	179611	Cabaret Singer
785346	179653	
785346	184620	Kordula
785346	186226	Eva
785346	189612	Pflegerin
785346	204501	Madame Marlen, Singer
785346	210058	
785346	210102	Schuldirektorin
785346	225315	Violetta Valona
785346	225319	Agathe Müller
785346	226227	Adele Schönfeldt
785346	226273	
785346	285814	Therese Stolzinger
785346	290670	Malwine
785346	293555	
785346	310272	Miss Hilton
785346	316522	Rita
785346	347656	
785346	352366	
785346	356835	
785346	360965	Adrienne Dymo/Juliane Dymo
785346	365010	
785347	161729	
785348	391295	Lulu, Hermanns Tochter
785349	5086	Annemari
785349	290029	Emerenz Meier
785349	365638	
785350	34517	Herself
785351	94273	Thomas jente
785352	298650	En gammel dame
785353	1208	Solvår Jung
785353	11787	Eier av melkeforretning
785353	21189	Frk. Stolberg
785353	28531	Gjertrud f. Gullivsdatter
785353	48130	Mirakel, hushjelp
785353	48324	Mutter
785353	51296	Sorenskriverfruen
785353	64636	
785353	82152	Passasjer på Tangviks båt
785353	99514	Frk. Mikkelsen
785353	104253	Rivjernet
785353	119463	Margit
785353	129181	
785353	138524	Kona på svalgangen
785353	142775	En sekretær
785353	146985	I husmorfilm
785353	153100	Hildur Evensen, Andersens for
785353	153231	
785353	178715	Alfhilda
785353	179085	Konduktørens kone
785353	180710	Frk. Thorsen
785353	197274	Kona til Vålerenga
785353	198272	
785353	210830	Valborg, Kjells kone
785353	235043	Garpo, opplysningsdame
785353	237066	Frisørens forlovede
785353	240093	Valborg, Kjells kone
785353	240108	Valborg, Kjells kone
785353	240109	Valborg, Kjells kone
785353	240110	Valborg, Kjells kone
785353	240111	Valborg, Kjells kone
785353	240114	Valborg, Kjells kone
785353	240115	Valborg, Kjells kone
785353	240116	Valborg, Kjells kone
785353	240117	Valborg, Kjells kone
785353	240118	Valborg, Kjells kone
785353	240119	Valborg, Kjells kone
785353	240120	Valborg, Kjells kone
785353	240121	Valborg Jensen
785353	240217	
785353	240392	
785353	250412	Frk. Sukksstad
785353	253940	
785353	261141	Mirakel
785353	287550	Marte
785353	303214	Modern
785353	304238	Lily Hansen
785353	320187	Nelly
785353	322471	Dadda
785353	333671	
785353	334265	Norwegian
785353	341861	Mrs. Smith
785353	344164	Alfhilda
785353	388890	Magnhild 'Modern' Fleksnes
785353	389317	Margit
785353	399786	Sigrid Skau
785354	40296	
785354	94412	Alvilda Kryger
785354	116462	
785354	134950	
785354	307709	
785354	378167	Mrs. von Winge
785355	30170	
785355	80101	
785355	153759	Marie, the Seamstress
785355	153950	
785355	272508	
785355	352839	
785356	98237	
785357	11787	Dame som kjøper brennevin
785357	104253	Fru Matheus
785357	138571	Frk. Lund
785357	144240	
785357	146985	
785357	147021	
785357	178754	Kokkepiken, Forfatterens fort
785357	179772	
785357	180711	Konstanse Breien
785357	192664	
785357	237072	Klara, hans kone
785357	287378	Frk. Dahle, lærer
785357	315184	Bodøs bestemor
785357	315379	Clergyman's wife
785357	320593	
785357	321903	
785357	334230	
785357	340265	Vertinnen
785357	343716	Fru Knudsen
785357	346011	
785357	351797	Husholderske hos Gran
785357	353001	Fru Gran
785357	353048	Marie Fjell
785358	11716	Tina
785358	42218	Linda Welder
785358	96971	Bitten
785358	119463	Designer
785358	234512	Bernaise
785358	238774	Mette Gulbrandsen
785358	240112	Ursula Wasserschmidt
785358	263731	Budbringerske
785358	300143	
785358	318315	Siv
785358	331210	
785358	369414	
785358	389138	Lina With
785358	397678	Programvert (1992)
785358	407303	Mother
785359	108178	Åse Borgan
785359	166593	Kontorsøster
785359	287550	Bine
785359	354196	Barpike
785360	179607	
785361	156651	
785361	326174	
785362	156726	Katja
785362	178606	Tatjana
785362	361690	
785363	115879	Dancer
785363	182285	Ballet girl
785363	190835	Office employee
785363	193390	Ballet girl
785363	276336	Restaurant guest
785363	303666	Young woman with Fritiof Ande
785363	308198	Ballet dancer
785363	333046	Guest at Marta's birthday par
785364	11778	Carolin
785364	43593	Groupie
785364	76465	Lisa
785364	89660	Nicole
785364	115964	Marlene
785364	119654	Barbra Walden
785364	225287	Gesche
785364	225304	Marita Strass
785364	228159	Dr. Lorenz
785364	282225	
785364	309018	
785364	311114	Claudia Schubert
785364	334554	
785364	347022	Bjutie
785364	350870	Familienrichterin
785364	376369	
785364	404482	Krankenschwester Tina
785365	24465	
785366	313782	Performer
785367	151741	TV reporter
785367	332960	Tiina
785368	389618	
785368	406318	Oberschwester Irene
785369	206824	
785370	2003	
785370	12684	
785370	27844	Gloria's aunt
785370	28775	Elizabeth
785370	31001	
785370	55301	Roberta
785370	60130	
785370	82993	Head Lady
785370	94683	Gabry
785370	102915	Sylvie
785370	127898	
785370	163926	Ivanna Rakowsky
785370	186594	Sheila
785370	193491	Rose Rodriguez
785370	235751	
785370	263621	
785370	291564	
785370	310948	
785370	326585	
785370	341485	
785370	341791	
785370	349888	
785370	352235	Tourist with Patrizio
785370	359105	
785371	211489	Dame im Einkaufszentrum
785372	51287	
785373	12901	
785373	137422	
785373	216279	
785373	295160	Concetta di Rosa
785373	301035	
785373	336498	Susan
785373	387364	Host/Herself
785373	409988	Host/Herself
785374	381183	Colette (1996)
785374	406318	Dr. Sander
785375	145347	Sarah
785375	159562	
785375	178536	Franziska
785375	178541	
785375	189439	Nina Reiter
785375	262963	Dorothée
785375	281716	Allison
785375	327892	Julia
785375	365780	
785375	369150	Raphaela
785375	389119	Dr. Sophie von Haunstein (200
785375	394116	Dr. Lilian Ross
785375	400105	Julia Maass
785375	401713	Tina Siegel
785375	407204	Bea Jäger
785375	408949	Ilse
785375	411078	Ulrike/Ursula "Uschi" Wichert
785376	326114	Veronica
785377	62950	
785378	169023	Anna
785379	819	Susi
785379	24130	Caroline
785379	103070	Liza
785379	106072	Claudia Rettner
785379	204459	
785379	214193	Stella
785379	248661	Ellen
785379	281754	Kathlin Grey
785379	290570	
785379	301034	Angela Siebert
785379	312746	
785379	325736	Dagmar Holst
785379	338425	Clara Arnold
785379	339606	
785379	352343	Stefanie
785379	364873	Anna Siebert
785379	366441	Carrie Marchmont
785379	374622	Sandra Hausmann
785379	394903	Hannah Franke
785381	115209	Ida
785382	5011	
785382	11848	
785382	24387	Anne
785382	45335	Jenny
785382	119689	
785382	145525	Natascha
785382	159958	Paulina
785382	193460	Spange
785382	289850	Ria
785382	290454	Lara
785382	309046	Sophie
785382	320602	Swetlana Wokowitsch
785382	325467	Kathrin Stein
785382	325532	Melanie
785382	325570	Mascha
785382	361031	Tania
785382	361108	Kinodate
785382	369398	Ihr Schutzengel
785383	138603	
785384	276094	
785385	375095	Perla
785386	376165	
785387	6300	Frau im Hörsaal
785387	103030	
785387	187552	
785388	3542	Mancika
785388	19764	Margit
785388	42971	Sári
785388	98016	Mariska
785388	99749	Kati
785388	104197	Szomszédasszony
785388	137146	Tanítónéni
785388	138008	Aunt Manci
785388	140671	
785388	162975	Juli
785388	180824	Bota Ildikó
785388	187512	Bella
785388	199873	Rozi
785388	237162	Dávid Mari
785388	237169	Dudás Andrásné
785388	246974	Lapockáné
785388	252152	Jenny
785388	319239	Mrs. Ledniczky
785388	322060	
785388	322109	Ágika
785388	322191	Juli barátnõje
785388	322245	Ágnes
785388	336292	Amália
785388	349794	Auntie Terka
785388	353092	Magda, Prokoppné
785388	353808	Boltieladó
785388	357819	Pici
785388	357930	Mariska
785388	377228	Zsofka
785388	378180	Charlotte
785388	378306	Mrs. Rózsa
785388	382544	Etus housemaid; Gizi Lendvai
785388	392091	Madame Éva
785388	397351	Erzsike (secretary #1) (1974-
785389	79585	Elisabeth Kramer
785389	126447	Britta Hollmann
785389	145347	
785389	275169	Ärztin
785389	290501	
785389	325663	Eli Marti
785389	361438	Freundin
785389	376351	
785389	389962	
785389	399177	Sonia Brendel (# 1) (1991-199
785390	30062	Die reiche Furchenbäuerin
785390	207086	
785390	214888	Wipfl's Frau
785390	280800	
785391	259535	
785392	165437	Woman
785393	259641	
785394	1034	Germany
785394	165347	Helge Witt
785394	200783	Ilona
785394	392509	Patrizia Köster
785395	366537	
785396	409609	(1994)
785397	57759	Lisa
785397	145478	Wilke
785397	281436	
785397	290852	Nadia Gruber
785397	396285	(2000)
785397	404224	
785398	395377	Librarian 'Fräulein' Silvia
785399	325627	Frau Wolf
785400	100928	Evi
785401	111675	Peters Bekannte
785402	112926	
785402	342129	
785403	20724	Kellie LaCasse
785403	24429	Dancer
785403	25245	Georgia
785403	65048	Officer Marquelies
785403	331009	Dakota
785404	158859	
785404	348137	
785405	7979	Woman at Party
785406	41169	Herself
785406	48107	Herself
785406	48108	Herself
785406	48109	Herself
785406	48110	Herself
785408	209824	Gabriella Francini (Age 18)
785409	62664	Girl #1
785410	75406	Julia
785410	188489	Laurie Hatch
785410	230947	Devo
785411	116499	Dancer
785412	247607	
785413	53927	Nancy, first victim
785414	213324	Nymph
785415	16630	Angel
785415	203131	Vocalist
785416	346948	Carole
785417	236957	
785418	319660	Herself
785418	364975	
785418	369351	Ala
785418	397622	Ewa
785418	402755	Barbara Zwolinska
785418	404216	Dr. Barbara Kornacka
785418	409252	Elzbieta Nowak
785418	412008	Mirella (2001-)
785420	346682	
785420	368736	Marie
785421	62437	
785422	32284	
785422	75921	
785422	244961	
785422	383649	Marie de Comborn
785422	409800	Valérie de Lorenzi
785423	352420	Maid
785424	138822	Sonia
785425	333857	Extra
785426	372746	Trish
785427	125793	
785428	291296	Marie
785429	14171	Herself/"Stella"
785429	261529	Barbara
785430	284552	
785431	263057	Chambermaid #1
785432	340246	Fairy
785433	968	Yacco Chung
785433	1703	Herself
785433	5057	Lisa Stockton
785433	13850	Jane Berger
785433	22596	Dr. Lily McKee
785433	51836	Donna
785433	59883	Cynthia Morales
785433	70468	Liz Randone
785433	75421	Linda
785433	84113	Dorothy
785433	89850	Betibù
785433	110180	Brenda
785433	138161	Claire Bartel
785433	139216	Susan
785433	145002	Molly
785433	160034	Billie Hayman
785433	160897	Heather Peck
785433	166671	Meredith
785433	170746	Angie Tucci
785433	177461	Mermaid
785433	191734	Nina
785433	220978	Ramona Ray
785433	221174	Leonora
785433	232321	Ellen Holder
785433	241075	Maxine
785433	264442	Nicole
785433	269433	Judge Kim Vicidomini
785433	277140	Sarah
785433	281193	Natalie Grimaldi
785433	286464	Cass
785433	340803	Donna
785433	346361	Dr. Leah
785433	362188	Annie Nielsen
785433	363719	Ann Hecker
785433	389141	Octavia
785433	402609	Judge Kim Vicidomini
785434	287414	
785435	168254	Julia
785436	157266	
785438	112020	Bernadette
785438	218378	Officer Kim Craig
785438	386197	Mary, Cynthia Ernst's assista
785440	95960	
785441	266191	Plummer's Daughter
785442	345043	Clara
785443	14433	Bess
785443	48122	
785443	90700	
785443	113702	
785443	202040	
785443	202151	
785443	207082	
785443	230454	
785443	252312	Segretaria regista TV
785443	265235	
785443	265310	
785443	270326	
785443	279038	
785443	294418	
785443	336383	
785443	338259	
785443	344631	
785443	348118	
785443	352252	
785444	25192	Nadine Henley
785444	29920	Secretary
785444	65907	Wife
785444	109173	Susan (bank hostage)
785444	123697	Reporter
785444	176517	Kathy's Mom
785444	191326	Extra
785444	199531	Connie
785444	209596	Lorraine
785444	216772	Miss Duryea
785444	308173	The therapist
785444	311021	Fran Crawford, interviewee
785444	364390	Voice Over
785445	261495	
785445	352277	Mother
785445	401970	Teresa Diacono
785446	3343	Yvonne Scio'
785446	3347	
785446	47854	Katie
785446	81339	Marina K./Katya
785446	159458	Sara
785446	164628	Judith
785446	186516	Vickie Dennis
785446	214236	Marlene
785446	263883	Claudia
785446	266417	Charlotte
785446	284827	Violante
785446	309202	Frederique
785446	313898	Valentina
785446	357852	Annabella
785446	361224	Girlfriend at Audition #2
785446	376158	
785446	377269	Valentina
785446	384209	Carla Monticelli
785446	393492	Yvonne
785446	399657	Herself (1991)
785446	400236	Elyssa Collins (2003)
785446	402825	
785446	403241	Herself (2004)
785446	403763	Actress Deanna Petrie
785447	294109	
785448	117970	
785449	255169	Angie
785450	207238	Amanda
785451	293437	Orsolina
785452	214386	Nicole
785452	289644	The Pentagram Girl
785453	307673	Secretaria de Zanone
785454	24837	Hostess
785454	163744	Augusta
785454	229655	
785454	279259	
785456	351855	Maria
785457	397958	Herself - Psychologist
785459	5793	Valentine
785459	13115	La femme en voiture
785459	17835	
785459	29489	Rosalie Dauchy
785459	30885	Claude Larmentiel
785459	33278	Edith
785459	43423	Mme Arbesault
785459	43657	Claire Allandier
785459	51067	Augusta
785459	55936	Edite
785459	56539	
785459	57282	Mrs. Toussaint
785459	57513	Leone
785459	58737	Marie D'Aubray Boissand
785459	58743	Claire's Mother
785459	58752	The widow
785459	68923	Laurence
785459	83214	Lilette
785459	94329	Fanette
785459	94867	Ève
785459	102484	Marianne
785459	134383	Emma
785459	139821	Actress
785459	148672	Manesquier's Sister
785459	166337	Jeanne
785459	166350	Jeanne de Béthune
785459	169878	Jacqueline Favraux
785459	190634	
785459	198297	
785459	202003	La mère de Marco
785459	211146	Mireille, la mère de Yanis
785459	214020	Mme Bronsky
785459	218285	L'ex-Mme B.
785459	240617	Solange de Boilesve
785459	244961	Mlle Roman
785459	246291	Geneviève de Morangias
785459	269262	Miss Ellis
785459	270620	Mme Michel
785459	276069	
785459	283035	Judith
785459	287321	La voyante
785459	306942	La mère supérieure
785459	327577	Oriane de Guermantes
785459	331013	Nurse
785459	332199	Anne de la Trave
785459	343566	La chanteuse
785459	343584	Voices
785459	345023	Miss Sophie
785459	345075	Sylvie
785459	345220	Herself
785459	353790	Sylvia
785459	353963	Edith, Monod's wife
785459	356139	Angélique #1
785459	356364	La Vierge Marie/Virgin Mary
785459	357834	La cliente aux taches sur les
785459	371422	Christiane Genessier
785459	376895	La folle
785459	377277	Old woman at the wake
785459	377989	Lady Doctor
785459	401982	Marquise de Coulteray
785459	410473	Mme Brasselier
785459	411548	La mère supérieure
785460	75773	Implant Doctor
785460	208411	Lady Amelia
785460	383742	Various Celebrities (1998)
785461	124345	Dot/Worm
785461	224729	Joan Collins
785462	297906	Twin #1
785462	354519	The Children
785463	99081	Siamese Twin
785464	99081	Siamese Twin
785464	297906	Twin #2
785464	354519	The Children
785465	248954	
785466	302184	
785467	23973	Collette
785467	69120	Albertine Courvoisier
785467	76061	Honorine
785467	82641	Marie Chappaz
785467	108616	Honorine
785467	111037	Miette
785467	112893	Teresa
785467	166874	Bettina
785467	196337	L'Infirmière
785467	206045	Honorine
785467	217004	Femme de Lettres
785467	291026	Storekeeper
785467	350622	Splendide Maid
785467	377937	Marie-Alice
785467	396525	Isabelle Paulin
785467	406029	Maria
785468	321702	Colorado
785469	334597	Herself (the former lover)
785470	368402	
785471	176391	
785472	122214	Steve's Dance Partner
785474	10875	Ariel
785474	26489	Captain Elizabeth Lochley
785474	26493	Captain Elizabeth Lochley
785474	31201	Herself (ABC Team)
785474	64560	Herself
785474	64562	Herself
785474	64570	Herself
785474	72418	Jeremiah's Mother
785474	77151	Anita Smithfield
785474	77153	Anita Smithfield
785474	77545	Vala Duvalle
785474	80557	Marla Beaumont
785474	82713	Judith Gray
785474	89689	Judith Grey
785474	107140	Cindy
785474	135783	Rita Benson
785474	140470	Irene Gorley
785474	142486	Helen
785474	148446	
785474	157579	Evelyn
785474	170983	Hope Hathaway
785474	220956	Dominique Horney
785474	257529	Tricia Merritt
785474	333390	Blue
785474	337163	Monique
785474	338982	Herself
785474	342605	Cindy Ryan
785474	344486	Samantha Stewart
785474	359906	Barbara White
785474	381082	Capt. Elizabeth Lochley (1998
785474	384582	Monica Colby (1985-1987)
785474	385328	Capt. Elizabeth Lochley
785474	387152	Monica Colby (1989)
785474	391164	Irene Gorley (1984)
785474	392620	Herself
785474	395903	Catherine "Cat" Grant (1993-1
785474	395934	Amanda Carpenter
785474	403186	Tracy (1983)
785475	33466	Silvia
785475	60031	Cashier
785475	70957	Doris
785475	83304	
785475	148699	Rose
785475	201181	Rosina
785475	207020	Françoise Alibert
785475	214283	Mother
785475	243158	Conchita
785475	261839	Sara
785475	262936	Zoé
785475	276538	Vittoria
785475	278910	Teresa
785475	287618	Lola
785475	292350	Odette
785475	324616	
785475	353942	Angelina
785475	377795	Fioretta Calbrese
785475	385683	Giuseppina
785476	322543	
785478	114434	Maria
785479	48973	Adria
785479	69707	Evil Goddess
785479	73649	
785479	111428	
785479	113665	
785479	229604	
785479	235796	
785479	250607	Valerie
785479	252673	
785479	255538	Donna incinta
785479	262651	Dr. Cathy Rollins
785479	294240	
785479	309408	
785479	318405	
785479	322779	Lori Pozzi
785479	373280	Anna
785479	404017	Isabel de Solis
785479	404482	Loretta
785480	351568	
785481	205268	Woman at Auction
785482	296068	Werewolf Audition Girl #2
785482	314441	Stepford Wife
785483	10871	Emergency Room Nurse
785483	45082	Woman
785483	232817	CPS Agent
785483	251477	Mrs. Doolittle
785483	343982	Angie Venter
785483	399389	Anchor Woman
785484	115016	The Girl
785485	137673	
785486	58774	Courtney Wallace
785488	327452	(segment "Casa d'altri")
785489	277811	Alina 3
785490	87512	Canvasser
785491	34729	
785492	6276	
785492	48973	
785492	108113	Maddalena
785492	113534	
785492	127798	Journalist
785492	127883	Laura Barbieri
785492	189792	
785492	202425	
785492	219326	
785492	245801	Bianca
785492	291550	Marisa Padovan
785492	336970	Nicole
785492	342038	Olimpia
785492	348153	Dott.ssa Carosio
785492	393046	
785492	396157	Simona
785492	409049	
785493	141403	Flower Girl
785494	320322	2nd Cook
785496	59506	Becky
785496	131391	
785496	223771	Receptionist
785496	298028	Emily
785496	311698	Lizzie
785496	319273	Elsa
785496	356303	Annie
785497	40802	Jane
785497	136556	Cheryl
785497	342566	Adie Lewis
785497	347348	Mrs. Teague
785497	391666	Mollie Seagrim
785498	313334	TV Studio Crew
785499	8183	
785499	54209	Fruitstand customer
785499	56304	Piscano's Mother
785499	64279	Mother
785499	130130	Woman in Cafe
785499	131780	Tommy's Mother
785499	163603	Mother
785499	163730	Herself
785499	177369	Rupert's Mom
785499	209158	Woman on Landing
785499	210767	
785499	218848	Customer at Bakery
785499	364368	Mother
785499	366617	Birthday Guest
785500	56304	Piscano's Daughter
785500	177369	Dolores
785502	22179	Tina
785502	45357	Fantasy Lover/Nurse
785502	63134	Mary
785502	128707	Suzy
785502	193653	Excelsior
785502	252997	Melissa Cody
785502	344514	Eileen
785502	358285	Hostess
785503	44332	Beth
785503	68470	Peggy
785503	84962	Jessica
785503	224021	Babyface Hamilton
785503	272661	Liverty
785503	276197	Irena Csizmadia
785503	299472	Robyn Belmore
785503	316961	Susie
785503	326679	Alison
785503	330530	Maria Witkowski
785503	363080	Angie
785503	378665	Jess Mastriani
785503	401999	Michelle Parker
785504	8098	Sara Jean Jones
785504	80938	Clarissa
785504	105598	Morgause
785504	109723	Jules
785504	127531	Angela
785504	224021	Edwina Funkhouser
785505	34646	Herself
785505	84309	Petronella
785505	95798	Irena Walde
785505	105892	Sarah
785505	159631	Annelie
785505	238833	Helena Kurcewiczówna
785505	254215	Carla/Carlo
785505	275055	Alex Jensen
785505	409737	The single mother
785507	57764	Herself
785508	401744	Woman
785508	411482	Camille
785509	71580	Judy
785509	73562	Joanne Larwin
785509	128288	Mrs. Alden
785509	193919	Real estate lady
785509	291228	Librarian
785509	301754	First Teacher
785510	158318	Young Heidi
785510	311517	Snooty Girl 2
785511	45696	Liz Osborn
785512	83437	
785513	88344	
785514	30458	Farrah Fawcett Finch
785514	231879	Clare
785514	294788	Jamie Garrett
785514	316349	Sarah Gilmore
785514	362543	Roxanne
785515	314820	Self
785516	8249	Julie
785516	15041	Sarah
785516	16878	Matty Crompton
785516	20906	Joséphine, comtesse de Caglio
785516	24734	L'Institutrice
785516	28158	Marie Forestier
785516	37899	Clara
785516	38972	Fiona
785516	59403	Herself
785516	59728	
785516	60234	From "Play"
785516	63194	Iona Aylesbury
785516	69370	Assistant to Hitchcock
785516	88341	
785516	100431	Martine
785516	100952	Caroline
785516	101418	Katharine Clifton
785516	117476	Katia
785516	118393	Fiona (Wedding one)
785516	118721	Kate
785516	132122	Sylvia McCordle
785516	135727	Immortal Gatekeeper
785516	138184	Brenda Last
785516	149804	Annie MacLean
785516	188028	Mary-Jane Cooper
785516	190047	Robin Kimball
785516	201678	Herself
785516	201712	Herself
785516	203426	Elena Van Den Ende
785516	212977	Narrator (English version)
785516	214853	Sabine
785516	215876	Sarah Davies
785516	225502	Marie
785516	254154	Béatrice
785516	257209	
785516	257489	First Woman
785516	259939	Caroline
785516	272026	Kay Chandler
785516	277123	Imogen Staxton-Billing
785516	277681	Lady Anne
785516	292461	Leda St Gabriel
785516	294359	
785516	307984	
785516	309963	Ann
785516	328077	Therese Mangeot
785516	339541	Nathalie
785516	345559	Marie-Thérèse Von Debretsy
785516	346101	Mary Sharon
785516	348302	Mary Panton
785516	349878	
785516	355383	Herself
785516	360913	Elisabeth
785516	381615	Alice Avellano
785516	382384	Sister Gabriel/Anna Gibson
785516	395954	Victoria Rolfe
785516	397938	Nancy
785516	408331	Jenny Sidonia
785517	34385	Kathy Madeira
785517	47854	Julianne
785517	65087	Claire
785517	85922	Princess Diana, Princess of W
785517	140372	Mrs. Allen
785517	149936	Jane Talley
785517	188220	Stella
785517	275308	Megan Pillsbury
785517	298622	Marian Sherwood
785517	303833	Anna
785517	315547	Dr. Valerie Harman
785517	360251	Alexis Dunetskaya
785517	368418	Dr. Molly Warmflash
785517	379731	Dr. Nicole De Brae
785517	399011	Kelly Weld (1996-1998)
785517	399715	Emilia Gould
785518	90932	New York journalist
785518	197758	Karen
785519	242038	Italian Reporter
785520	280668	Sue Minner
785521	245051	Monique
785522	206445	Female Student
785523	193000	Teen Girl
785524	149287	Maggie Banning
785524	243737	Voice Actor - multiple roles
785525	44474	Burger Girl
785526	379728	Hostess (2004-)
785527	333055	Mrs. Cleaver
785528	81527	Screamer girl
785528	128696	Tiffany
785529	82333	High Fashion Courtiers
785530	232332	
785531	367705	Mrs. Lorme
785532	328581	
785533	77143	Lady
785534	37034	
785534	59864	Lydia Avilova
785534	68175	Allie
785534	130735	
785534	185399	
785534	219531	
785534	221818	
785534	245071	
785534	254722	Mrs. Durand
785534	290913	
785534	380391	Simone (1988)
785534	385824	Marie-Helene Fortier (1992)
785535	77658	
785536	55719	Khasi's wife
785536	116515	Harem girl #4
785536	170817	Margo
785536	308917	Beatrice
785537	201506	Herself
785538	41373	Cop #1
785538	69411	Shelley
785538	80423	Susan
785538	82662	Police Officer
785538	87576	Secretary #2
785538	134655	Squad & Dropship Voices #14
785538	147944	Carradine
785538	194659	Alexa
785538	196085	Marian
785538	292815	Karen
785538	345683	Officer Craig
785538	390774	
785539	55243	Extra
785539	185637	Lena Rowe
785540	190096	Victor's Girlfriend
785541	21213	Gigolo Jane
785541	161478	
785541	194701	Judy, Operator
785541	284621	Lara
785541	358663	Deni
785541	382102	Helena Kyle, The Huntress
785541	385710	Asha Barlowe (2001-2002)
785542	78762	Hunt Guest
785542	330602	Equestrienne
785543	46892	Cardova Waitress
785543	99842	Marie
785543	114603	Eileen
785543	163357	
785543	207435	Mary Crowther
785543	214188	
785543	315532	Sergeant's wife
785543	334183	June
785543	360042	Nora McCabe
785544	81067	Diana Lewis
785544	142417	Jan
785544	204386	Christine Rollins
785545	44433	Woman with Machine Gun
785545	126663	Dog-Walking Mother
785546	307975	Woman with Dog
785548	65764	Marty
785549	302290	Sim
785550	168639	Herself
785550	291357	Herself - Ice Capades Skating
785550	372371	
785551	139527	
785552	145834	
785553	7534	
785553	12506	Linda
785553	26282	
785553	40792	Chorus girl
785553	63096	
785553	66207	
785553	73441	
785553	79374	Muriel
785553	106849	
785553	127682	
785553	203431	Myrtle
785553	239847	
785553	278056	Dolly Dutton
785553	346047	Baroness Karm
785553	358356	
785555	25187	An Aviator
785555	25189	The Aviator
785556	90537	Gladdy
785556	407934	Judy Bessemer (1966-1967)
785557	59812	Nora Devlin
785557	138323	Celine
785557	168746	Barbara Dean
785557	169468	Gabrielle DuPrey
785557	243943	Talking Jukebox
785557	302157	Linda
785557	321358	Nora Piper
785557	330873	Midge Pride
785557	389858	Dr. Gina Dante Lansing #2 (19
785557	403497	Midge Pride
785558	20407	Maid
785558	82051	Liz Carter
785558	331475	Cherise
785558	335285	Stewardess
785558	368301	
785558	381677	Mama
785558	383263	Host
785558	385824	Melissa Anderson #2 (1990-199
785558	387072	Margaret Thatcher (eps. 24 - 
785558	387073	Margaret Thatcher
785558	390771	Natalie Copeland (2000)
785558	393264	Jill
785558	405373	Shalla Bal
785559	297105	Hat Check Girl
785559	372862	The maid
785560	7999	Newman's Wife
785560	390672	Grotbags
785561	152844	Cadaver
785561	365194	Donna
785562	383964	Ballroom singer
785563	15254	Reporter
785563	18549	June
785563	26834	Mrs. Koala
785563	73560	Counsellor
785563	80066	Karen Hughes
785563	80801	
785563	93958	Mother in Elevator
785563	107919	Marilyn
785563	127407	Sheila Smith
785563	201901	Mrs. Floyd Robertson
785563	259217	Nurse
785563	267653	Mrs. Connor
785563	367588	Florek
785563	399119	Sharon Flemkin
785564	204156	Boarding House Keeper
785564	223069	Mrs. Mangeborn
785564	312807	Mrs. Wagner
785565	280720	Barrow
785566	114709	Rosalee
785567	14002	June
785567	185778	Kelly Mann, Flight Attendant
785567	186158	Stewardess
785568	36855	Herself
785569	1225	Runner
785570	341801	Herself
785571	8020	Angie
785571	145119	
785571	173646	
785571	190773	Vivian Velez
785571	384447	Desi (2003-)
785572	379831	Dancer (1989)
785573	107891	Gym Teacher
785573	142258	Gladys
785573	249047	Holly
785573	316220	Townsperson #1
785574	52693	Frustrated Woman
785574	176903	Nurse McGil
785574	327670	Bunny
785575	195365	
785575	273777	Miss Bennett
785575	307589	Woman Graphologist #3
785575	317447	Elsa
785578	205606	Moco's Manicurist
785579	172984	
785580	47927	Carmela Ginetta
785580	115586	Kim Parker
785580	380713	Dr. Susan Burke Stewart Baxte
785581	10920	Cpl. Dietrich
785581	161731	Cashier
785581	283709	Yellow Rose Waitress
785582	120828	
785583	320756	Waitress
785584	283639	Art's Wife
785584	360010	Waitress
785585	331475	Swimming instructor
785586	155562	Joanna
785587	366743	Linda
785588	202728	Enchantment
785589	13963	Bob Falfa's Girl
785589	72762	Sister
785589	81162	Sherry Weston
785589	87341	Ann Mary Dacon, Abducted Girl
785589	90728	
785589	96771	Kathie
785589	158818	
785589	171275	Rebecca Taylor
785589	191431	Mary Nell
785589	215438	School Teacher
785589	244923	Ann Alden
785589	259214	Mrs. Fackler
785589	259216	Cadet Fackler
785589	275104	Suzy
785589	294142	Evie Mortenson
785589	318810	Lenore Atkins
785589	361145	Herself
785589	380261	Marie Falco
785589	389098	Cathy Schumway
785589	389984	Herself/panelist
785589	396994	Cathy Shumway
785589	397076	Guest panelist (1976-1980)
785589	397077	Panelist
785589	405959	Evie Martinson
785589	410797	Rosalie 'Hotzie' Totzie (1975
785590	167797	Judith
785591	132014	Additional Characters
785591	137568	Shirl
785591	202188	Willy's Wife
785591	350905	Natural Normans
785591	389498	Various (1994)
785591	389965	Daphne Slork
785591	400256	Herself/Various
785591	405679	Herself in 'Ask No Questions'
785591	408493	Herself
785591	409028	Various roles
785592	37997	Brain Vendor
785592	171079	Jake Dillon
785592	185211	Sgt. at Hospital
785592	404795	Barbara Dickmann
785592	408522	Roberta 'Bobby' Franklin (197
785592	410710	Andrea Platt
785593	299451	Groupie #1
785594	24430	Fembot
785594	31872	Fiona
785594	78781	Deborah
785594	101070	Jenny, Carla's Friend
785594	126555	Screaming Woman
785594	155696	Nurse
785594	258283	Quickie Mart Patron
785595	32818	Laboratory assistant
785595	95120	Elephant
785595	128278	Nurse
785595	223740	Librarian
785595	263281	Miss Michael
785595	382988	Additional Voices
785596	37510	Mrs. Carruthers
785597	158818	Betsy
785598	332015	Maid
785599	123463	
785599	326778	Ellie
785600	184046	Maids/Nuns
785600	355380	psyche of St. Teresa
785601	285787	Sylvia
785602	368952	Waving woman
785603	56204	Mrs. Tilling
785603	113602	Meg
785604	99824	Penny Rogers
785605	196233	Celimene
785606	150483	
785607	277070	Bunny Blossoms
785608	24429	Judge
785608	26293	Polly O'Neill
785608	45707	Tisha's grandmother
785608	63068	Anna Stabler
785608	72509	Asylum Nurse
785608	90117	Nurse Alvira
785608	100711	Mrs. Mackey
785608	107990	Dorinda
785608	119940	Cashier Lady
785608	133716	Officer Patricia Smith
785608	160051	Nurse Superindendent
785608	176410	Clarissa
785608	196580	Mrs. Raymond
785608	241322	Mrs. Ford
785608	245249	Maria
785608	294236	Denise Whiterspoon
785608	294795	Sally Lindon
785608	308110	Older Nurse
785608	310647	Female Conductor
785608	367634	Matron
785608	372175	Grandma
785608	388012	Shodu Warrick (1986-1987)
785608	389816	Gladys
785610	309266	Nicki
785610	393777	Erika Romano
785611	26721	Molly Prentiss
785611	134109	Helen
785611	154740	Personal effects clerk
785611	254332	Ada Jacks
785611	364771	Dora Bannister
785611	381086	Adelaide Mitchell (1960-1962)
785611	401350	Ada Jacks (1965-1969)
785611	403281	Ada Jacks (1972-1974) (played
785612	55535	
785612	70315	
785612	71497	Géraldine
785612	112879	Daisy
785612	145663	La gardienne de la garden par
785612	161646	Lisa, Simons secretary
785612	201185	
785612	226431	
785612	253564	Loretta
785612	255658	Marina Maillot
785612	272637	Barbara
785613	87926	Fiona - Blue Ribbon
785613	331209	Roxie (Lead)
785613	393947	Naomi Esterbrook (2000-2001))
785613	399495	Splinter Hero
785614	268947	
785615	197243	
785615	197260	
785616	264060	
785617	241883	Cantina girl
785618	33523	
785618	140517	Frankie
785618	314820	Self
785619	241795	Chambermaid
785620	354953	T.V. Announcer
785621	312140	The Contessa
785622	78318	Party Shop Assistant
785623	170980	Party Singer
785623	200864	Frances
785623	203774	Policewoman
785623	235646	Donna
785623	304765	Confessional Woman
785624	194247	Renee (Brunette at Bar)
785624	374480	Cristle
785625	383316	
785627	118213	
785627	367736	
785628	136828	Relative
785628	264161	Courtier/Girl Graduate
785629	150400	Rosemary
785630	18302	
785630	138228	
785630	223169	The Musician's Daughter
785631	47364	Herself
785631	96235	Valentine Horse
785631	141571	Herself
785631	154182	Herself
785631	277447	Herself
785631	289443	Herself
785631	308112	Herself
785631	339410	Herself
785631	346440	Hazel Scott
785631	391183	Herself
785632	238660	Linda
785633	113879	Fan
785634	196157	
785635	305601	Teddy McCall
785636	385105	Matron Marta Kurtesz (1981-19
785637	89871	Dame au Restaurant
785637	192261	
785637	360823	Woman in Car
785638	310524	Lady Calagari
785639	380391	Alexandra 'Alli' Fowler #2 (1
785639	400236	Dr. Dorian Cramer Lord Callis
785640	299796	Lucy
785641	257733	Jessica
785643	329976	Secretary
785644	1569	Girl playing pinball
785644	72402	L'infirmière fibro
785644	200967	Odile
785644	231305	Muriel
785644	263620	Annick
785644	351788	Barroche
785645	368310	
785646	188502	Waitress at Rhinos/Pool Girl
785647	145007	Miss Whiffin the cook
785647	335638	Mrs. Tewksbury
785648	14580	
785648	59548	Nadine
785648	79740	Cassie
785648	81178	Laurie Mills
785648	94741	Mrs. Mann
785648	100125	Margaret Ellis
785648	113903	Henrietta Cobb
785648	127145	Aunt Louise
785648	151092	Mrs. Stevens
785648	167925	Woman Bettor
785648	198834	Polly Baron
785648	208054	Sally Lyons
785648	245458	Mrs. Chandler
785648	286361	Lorene
785648	305657	Fran Fitch
785648	321660	Ruth Mays
785648	327093	Mrs. Hassler
785648	382419	Ruth Wilson (1987)
785648	404179	Lorene
785649	81523	Old Woman (segment "The Old P
785651	27440	Jamie
785652	319535	2nd Stewardess
785653	404920	
785654	112264	Aunt Sarah Birch
785654	262740	The Wise One
785654	279468	Mrs. MacDonald
785654	310843	Norma Cramer
785655	194405	Student
785656	1599	
785656	21475	Gwen
785656	26976	Jess Lomax
785656	32217	Shirley Freeman
785656	37694	Rachel
785656	72422	Dr. Maggie Sorenson
785656	79861	Karen Goodwin
785656	84995	Judith Anderson
785656	91581	Peggy
785656	123216	Susan Hill, Arthur's Daughter
785656	131392	Susie Dean
785656	138844	Janet Royd
785656	142301	Kassandra
785656	145771	Fran Blake
785656	183719	Joanna Baring
785656	184283	
785656	200112	Ether Friese-Greene
785656	209349	
785656	233632	Elspeth Honey
785656	233861	Jennifer
785656	236081	Janette Grant
785656	239573	Cecily Femm
785656	248665	Eleanor Ashby
785656	290343	April Smith
785656	301075	Katherine
785656	342720	Irene
785657	184578	
785657	195906	Nan Corwin
785657	199709	Mary Anne Strong
785658	176496	Clare
785658	200531	Herself (interview)
785658	254332	Unknown
785658	366682	Karen Kaleb
785658	366683	Jean
785658	379506	Caitlin O'Shannessy (1984-198
785658	385824	Jessica Blake Fallon (1980-19
785658	401930	Coleen 'Red' Russo, R. N. (20
785659	35768	Posse Member
785660	159412	Cherry
785660	292029	Beth
785660	380855	Blonde Girl
785661	201095	Holly
785662	3180	Crazy Granny
785663	1787	Cocktail Waitress
785663	89188	Camille Vatelli
785663	355536	Coffee Girl
785664	2549	Herself (performer)
785664	47377	
785664	57380	Rosemary
785664	103906	Herself
785664	166089	Herself
785664	212710	Herself
785664	347880	Herself
785664	352979	Herself
785664	392421	Herself
785665	108319	New Jersey Neighbor
785666	364294	Herself
785667	11386	Courtroom spectator
785668	53908	Mrs. Nolan
785668	95771	Senior Samaritan
785668	117210	Hospital Sister
785668	196083	Ms Burroughs
785668	196474	Beryl's Mum
785668	223343	Landlady
785668	241341	Miss Venables
785668	252138	The Lady
785668	304804	Mrs. Cocker
785668	382506	Ethel Allard (cook) (1986)
785668	384911	Mrs. Shaw
785668	385020	Olive Clarke (1993)
785668	387533	Beryl Crossthwaite (1973)
785668	396119	Beryl's Mum
785669	135569	Teacher
785670	138822	Carla
785671	172605	Joan Branson
785672	170852	Itty Bitty Titty Committee
785673	89194	Fortune Teller
785673	222881	Sabrina
785674	117958	Dr. Nora
785675	364647	Cathy Friesen
785676	223377	Angel
785677	23625	
785677	283521	Sigurlin
785678	364025	Dutch School Girl
785679	85843	Aline Earl
785680	200470	Victim's Wife
785681	8098	Breeze
785681	40835	Julia
785681	44975	Sheila
785681	95271	Nancy
785681	115540	Estella
785681	120248	Fanny's Lawyer
785681	135387	
785681	144837	Suzi
785681	165096	Louise Beckett
785681	184536	Millie Jessel
785681	213947	Caroline
785681	215789	W.P.C.
785681	222575	Detective Carter
785681	222752	Coop
785681	223769	Jessica's Mum
785681	231046	Liz Jolly
785681	232429	
785681	233519	Nancy Polson
785681	242929	Milt's secretary
785681	279347	DI Nicola Weaver
785681	287728	Susan Perry
785681	309542	Annie
785681	327240	Laura Sims
785681	355184	Sharon
785681	366131	Harriet
785681	383630	
785681	390953	
785681	393263	Louise Beckett
785681	402095	Kelly
785681	403373	Bryant
785682	234033	Bridie
785683	351972	Sister Beech
785684	99611	Girl at Bus Stop
785685	189529	
785686	262938	
785686	376907	La cliente du bar
785687	85017	
785687	235694	Floosy
785689	85040	
785690	302492	Village Maiden
785691	366099	Hula dancer
785692	121819	Gigi
785692	196558	Waitress (Buckhorn Tavern)
785692	208246	Girl
785692	252883	French waitress
785692	269766	Bar Maid
785693	119508	Stuck-up Girl
785693	398667	Herself (Host)
785694	78038	Shawn Brooks
785695	70415	Line Dancer
785696	97348	Marinna Bell
785696	258090	Mrs. Worthing
785697	7420	Linda
785697	277070	Sunny Day
785698	353314	Salesperson
785699	31191	Herself (CBS Team)
785699	45999	Miss Allen (airline agent)
785699	49644	Herself
785699	61784	
785699	67815	
785699	78937	Herself ('Maggie Evans/Josett
785699	133623	Catherine
785699	133995	Nancy Cassidy
785699	150895	Maggie Evans
785699	185211	Patton's Mistress
785699	222892	Janet Murrow
785699	241322	Anglo Woman
785699	266136	Miss Boon
785699	341943	Miss Jessel
785699	356284	Arlene
785699	366765	Susan Carey
785699	381973	Stephanie Marsh
785699	385719	Maggie Evans (1966-1970)/Jose
785699	395194	Shirley Egan
785699	401372	Annie Riordan
785700	52579	Phone Girl
785700	110264	Betty Winters
785700	233899	
785700	252426	Secretary
785700	316231	
785701	178012	Tiny Titties Gang Member
785702	147603	Mom
785703	72904	Mandy
785703	405050	Velma
785704	62473	Charmaine
785704	201723	Herself
785704	305157	
785704	403508	Pamela
785705	227996	
785706	43	Althea Taylor
785706	5306	Lisa 'One Night' Standing
785706	11661	Cheerleader
785706	30952	Observatory Associate
785706	30965	Margaret
785706	33721	Carmen Duncan
785706	39148	Deandra
785706	42806	Shark Club Patron
785706	47993	Redena's Mom
785706	57157	Wilson
785706	65612	Doreen
785706	92302	Christine Curren
785706	93975	Joanne
785706	107895	Detective Jones
785706	109812	Francine
785706	115161	Winnie Hicks
785706	126588	Gloria
785706	134025	
785706	134594	Nurse Louise
785706	154040	Gertie
785706	157240	Comms officer
785706	157937	Vinette
785706	171700	Joyce Trexler
785706	193280	Sherisse
785706	264442	Stacy
785706	287792	Mrs. Taylor
785706	304870	Emergency Room Nurse
785706	315172	
785706	321222	Dr. Gordon
785706	335791	Gwen
785706	336748	Gladys
785706	346045	Herself
785706	347180	Myra
785706	351410	Nurse Adams
785706	360032	Alice
785706	382380	Maggie Holland (1993)
785706	384752	Lucille Carter
785706	388333	Additional Voices
785707	67052	Fed #1
785707	197293	Zoe
785707	204049	Alex
785707	214755	Pre-Crime Cop
785707	286129	Critta Hemings
785707	327589	Jade
785707	344140	Klea
785707	363668	Sasha
785707	382837	Off. Nona Valentine (1997-199
785707	397535	Kim
785707	397754	Special Agent Emma Hollis (19
785707	403505	Det. Sonia Robbins
785707	411759	Klea (1982-1984)
785708	221046	Herself
785709	337494	Herself (Gary Williams' Daugh
785710	272849	Mother-Superior
785711	511	Eri
785711	127094	Additional Voices
785711	165976	Additional Voices
785711	265100	
785712	48947	Clarisse Robicheaux
785712	139487	Surveillance Tech Agent
785713	282510	Katie
785714	291449	Pageant Girl
785715	147602	Drug Counselor
785715	293078	2nd Maid
785716	296374	Herself
785717	18953	Eve
785717	399448	
785718	128727	Dancer
785718	297788	Lady
785719	45707	Tisha
785720	265678	Young Wendy
785721	354203	Extra
785722	84230	Film Crew
785723	309809	Officer #1
785724	90330	Herself
785724	410976	Hostess (1965-1967)
785725	157886	
785726	67582	Alma
785726	70558	Laura
785726	103281	Linda Dennison
785726	137971	Miss Quim
785726	191809	Moneth
785726	249627	Starlet
785726	266545	Lynn
785726	280700	Crystal
785726	283350	Julie Ann Hagen
785726	361848	Arlette
785727	194289	
785728	305571	Young American Miss
785729	21913	Herself
785729	26142	Herself
785729	70927	Kyoko
785729	257653	Herself (Miss May)
785729	257662	Herself
785729	278511	Shimeko
785729	278829	Herself
785730	75535	Girl with cockerel
785730	329693	Voodoo Dancer
785731	130864	Baby
785732	114271	Tourist Visitor
785733	98894	
785734	27215	Helen Curtis
785734	51691	Actress in Tony Powell movie
785734	68695	Joan Wilburn
785734	78787	Fran Garland
785734	80587	Coral 'Dusty' Chandler
785734	83587	Paula Haller
785734	96940	Liza 'Lize' Wilson
785734	154693	Kay Lawrence
785734	196558	Glenda Markle
785734	246603	Jane Langley
785734	256854	Mona Stevens
785734	267031	Princess Betty Cippola
785734	270502	Irene Hayes
785734	274222	Chris
785734	289537	Mary Carroll
785734	301981	Rose Evans
785734	315083	Alice Brent/Lily Conover, aft
785734	316123	Toni Marachek
785734	335614	Jane Palmer
785734	343042	Brandy Kirby
785734	350645	Herself
785734	360567	Elsa Jenner
785734	372093	Ivy Hotchkiss
785735	34337	Madge
785735	355078	The maid
785735	363954	Yasmiri
785736	388432	
785737	100209	Floating Female Spirit
785737	203549	
785738	90882	
785739	5430	Lynn
785739	14159	Neighbor with Poodle
785739	16943	Nancy, Lady in Restroom
785739	27344	Milwaukee Mother
785739	32052	Mother in Diner
785739	50815	Personal Ad Woman
785739	57762	Bank Teller
785739	67586	Close Friend
785739	68455	Mrs. Montes
785739	97042	Cynthia Rossmore
785739	105169	Glenda Frye
785739	117271	Young Woman
785739	117558	Woman in Park
785739	119358	Butcher Woman
785739	127237	Phyllis
785739	143820	Social worker
785739	149183	Examiner
785739	155888	Louise (segment "1952")
785739	168776	Gladys
785739	192049	Naomi MacAfee
785739	221067	Pizza Woman
785739	222686	
785739	223932	Woman in Store
785739	253335	Mrs. Murdoch
785739	263755	Woman in Airport Bar
785739	275519	Mrs. Williams
785739	280081	Mrs. Andrews
785739	285287	Marilyn
785739	292250	Acting Coach
785739	308128	Mrs. Gimble
785739	309153	Vera Lisso
785739	310562	Miss Hilgart
785739	314156	Aunt Jean
785739	315915	Louella
785739	318186	Gloria
785739	339019	Tourist Lady
785739	361689	
785739	362512	Nurse
785739	365868	Teacher
785739	410959	Nora
785740	34744	Dream (segment: Blue Jean)
785740	166079	Dream
785741	306126	Woman
785742	304443	Dairy Queen Photographer
785743	160576	Bernadette
785743	212963	Martin's secretary
785743	402125	Charlotte Lucas
785744	160065	Miss Kreskin
785745	70015	A Friend of Flossie's
785745	305495	
785746	5303	Maude Sangster
785746	21792	Helen Rosedale
785746	30367	Nedia/Merridy
785746	33090	Lali
785746	69093	Delphine Hart
785746	90360	Madeline
785746	93153	Mary Talbot
785746	120762	Dolly Mainard
785746	146009	
785746	169842	Guinea Jucklin
785746	184983	Edith Wayne
785746	219900	Mrs. Wayne
785746	234082	Fanny Brandeis
785746	246703	Jury Member
785746	262032	Betty Hammond
785746	273838	Lola/Amorita, at age 16
785746	282446	Echo Allen
785746	285041	
785746	291809	Maud Brewster
785746	295289	Anne Brown
785746	301250	Jeanette Mercier
785746	306493	Bath-Sheba
785746	314270	Mrs. Thorpe
785746	315966	Countess Pasada
785746	333427	Marjorie
785746	358753	Sherry
785746	367699	Vixen
785747	314446	Cowgirl
785748	89314	Gabrielle
785749	80481	Robber's Wife
785751	5927	Josie Bradford
785751	11192	Mrs. Pumphrey
785751	11193	Mrs. Pumphrey
785751	23224	Susan Donaldson
785751	52675	Mrs. Trevellyan
785751	69849	
785751	71628	Sister 'Johnnie' Johnson
785751	72971	Danielle Ryman
785751	87477	Leonora Stafford
785751	108619	Alicia
785751	114124	Lady Hartford
785751	128299	Judith Bentley
785751	147600	
785751	149224	Claudia Caesar
785751	155721	Empress Euginie
785751	174571	Katharine
785751	184519	Mrs. Burnaby
785751	185390	Mrs. Cranshaw
785751	194513	The Dowager Duchess of Denver
785751	203037	Manuela
785751	211345	Portia
785751	219893	Lady Clinton-Smyth
785751	221262	Lady Jersey
785751	221529	Beatrice
785751	231521	Mrs. Emily Trout
785751	244300	Emilia
785751	249236	Katherine O'Shea
785751	251835	Kitty Clive
785751	252728	Rita's Mother
785751	264730	Pepilla
785751	269882	Marcia
785751	276797	Theresa Cobarrus
785751	284909	Jane Dighton
785751	289383	Mrs. Blundell
785751	297185	Lady Wrathie
785751	315722	Alison Gwynne
785751	324230	Katherina
785751	330432	Roxana/Rowena
785751	337111	Helen Dixon
785751	337847	
785751	363485	Dona Lucia
785751	365739	Anne
785751	367482	Lady Wigram
785751	367592	Katherine Winthrop
785751	379706	Mrs. Pumphrey
785751	385823	Mrs. Pritchard
785751	387471	Catherine de Medici
785751	402743	Dolly Lanchester
785751	407437	Madame Defarge
785752	35105	Herself (artist, friend)
785753	379760	
785753	404517	Additional Voices
785754	900	Herself (Memorial Tribute)
785754	4709	Mother Michael
785754	6125	Gram Walsh
785754	6200	Gram Walsh
785754	9131	Sister Beatrice
785754	33923	Miriam
785754	38407	Helen Elgin
785754	59528	Mrs. Farrell-Aunt Louisa
785754	59719	Mrs. Arable
785754	60343	Ella Bishop
785754	67602	Margaret Meadis
785754	79408	Sarah
785754	83955	Eleanor Hilliard
785754	84991	Mrs. Stone
785754	89365	Virginia Camalier
785754	98177	Lottie Graham
785754	109831	Hilda Wollman
785754	114180	Cameo Appearance
785754	144425	Janie Prescott Phyffe
785754	151762	Jane Peyton Howard
785754	157886	Catherine Elizabeth Allen
785754	187702	
785754	195329	Ginger
785754	209413	Miss McDonald
785754	222666	
785754	241349	Hope Morris Spence
785754	244924	Emily Webb
785754	289295	Mrs. Webster
785754	306513	Olivia
785754	309215	
785754	312774	Herself
785754	316024	Georgia Wilson
785754	318706	Martina Shelburne
785754	327685	Yochabel
785754	330148	Marta Keller
785754	332153	Mrs. Reynolds
785754	342009	Adelaide
785754	362840	Mother Reed (1890's)
785754	381802	Penelope Pennington
785754	382090	Helen Elgin (1976-1977)
785754	385594	Patricia Shepard (1979-1985)
785754	389858	Jennifer Talbot (1985-1986)
785754	398019	Host/Narrator (1954-58)
785754	404720	Margaret Millington (1980-81)
785754	411400	Sarah Randall
785755	18720	Laura Rayburn
785755	168673	Margaret Huntington
785755	177689	Jinny Ross
785755	186326	Jane Hilton
785755	234032	Purple Grotto cigarette girl
785755	235694	Waitress
785755	254708	Mary, the maid
785757	321306	
785758	317956	Sheryl Mason
785759	330822	Kim Silver
785760	86706	Segment 5 Girl
785760	296680	
785760	335229	
785761	253047	Upscale Housewife
785762	180554	Ivana
785764	32849	Abigail
785764	54754	Suzie Pullbrook
785764	122076	LaRue
785764	161340	Herself
785764	206255	Young Marnie
785764	248495	Linda Flemming
785764	256527	Laura Dickinson
785764	261416	Laurie
785764	289645	Laurie Lee
785764	292786	Laura Fleming
785764	299775	Girl on streetcar
785764	392620	Host
785764	411802	Nicole "Nikki" Reed Newman #2
785765	141767	Papergirl
785766	369684	Villan
785767	105409	Little Girl
785768	289791	Nurse #1
785769	75535	Stripper at party
785770	104741	Dutch entry (15th place)
785770	228235	Herself
785770	410441	Baby Miller (1995)
785771	221158	Rhonda
785772	33980	
785773	266617	
785774	408608	Host
785775	403493	Herself/Judge
785776	299794	String Quartet #3
785777	274713	Alexandra
785778	15925	Mary Paterson
785779	94767	Lady St. Clare
785779	159172	Female Officer at Castle
785779	301945	Woman with Pottie
785780	228578	
785782	66912	Tea shop waitress
785782	118949	Dr. Frankenstein's assistant
785782	137487	Mrs. Haldane
785782	220638	Miss Ginch
785782	296900	Lecture Committee
785782	393939	Court Clerk
785783	81318	Nurse
785784	34838	Robin
785784	131708	Mrs. Shields
785785	81311	Jeannie
785785	116924	Voice of Lyndi
785786	235646	Aunt Dononne
785787	230890	Herself
785788	18630	Lady Ritchfield
785789	68248	
785789	175609	Mary Bradley
785789	225517	Elisabeth
785789	251528	Scandinavian girl
785789	300655	Silvie Lefèvre
785790	378830	Hostess (1978-1980)
785791	354866	Ginger
785793	188895	May Stanley
785793	369905	Ally's Mom
785794	175331	Sam
785794	360269	Herself
785794	395962	Herself
785795	21554	Kim Hutchins
785795	24240	Pegeen Ryan
785795	27342	Mrs. Wood
785795	66978	Natalie Brooks
785795	67605	Jean Davis
785795	69353	Gina
785795	117128	Attendant's Wife
785795	224317	Dianne Soper
785795	254290	May
785795	291964	Lucy Edwards
785795	307896	Dr. Sara
785795	309633	Ilene Forbes
785795	328587	Thelma Overland
785795	393497	Maggi Hearn
785795	398396	Maggie Shank-Rutherford
785795	410251	Molly Wood (1962-1963)
785796	77026	Amy Cross
785797	371962	Sister of Freya #5
785798	233967	Grace
785799	257658	Herself (Miss January)
785799	257668	Herself (Model)
785799	257677	
785800	340738	
785801	63992	Yancey Jr.
785802	56207	Dr. Baxter
785802	59350	Dinner Guest
785802	93831	Leslie
785802	143108	Judge Joan Breier
785802	158865	Faye Converse
785802	184104	Mrs. Beasley
785802	196063	Mrs. Littlejohn
785802	223711	Dining Guest
785802	229861	Doctor's Wife
785802	233567	Patient's Mother
785802	245716	Sil
785802	314438	Betty Willis
785804	11143	Lydia Dawkins
785805	342865	
785806	37001	
785807	303081	Cherry's Maid
785808	411802	Amy Wilson #1 (1994)
785809	245230	Jerry
785809	291037	Cheryl
785809	303754	W.A.C
785809	317602	Warehouse Guard
785810	323586	Party Guest
785811	38524	Joan Greenleaf
785811	125520	Mrs. Gregg
785811	220443	Launching Lady
785811	225381	Lucy, daughter of Geronte
785811	289011	
785811	305602	Louise
785812	76620	
785814	221096	Cheryl Morgan
785815	27235	
785815	35809	Cynthia
785815	76956	?
785815	207099	Nurse/Pin-up Model
785815	365282	Marguerite
785817	17695	Mrs. Harrington
785817	46639	Mrs. Winwood
785817	50224	
785817	62942	Angela
785817	140962	Head Nurse
785817	148387	Neighbor
785817	150853	Frightened Girl
785817	158903	Mrs. Hunter
785817	188646	Angela
785817	194458	Lady Elgin
785817	254752	
785817	270271	Miriam Angstrom
785817	363496	
785817	398066	Lila Wallace
785817	408956	Margaret Norris
785818	169950	Church Member
785819	75718	
785820	314820	Self
785821	140517	Baby Sandra
785822	281397	Woman with Bible
785822	407482	(segment "Neighbors")
785823	165966	Concessionaire
785823	283989	Stella Dysert
785824	44894	Joanne
785825	3010	Tiffany West
785825	92093	
785825	219773	Jessie
785825	233912	Mona
785827	384662	Dani
785828	39405	Grace
785828	196059	Michelle
785828	252964	Janie
785829	27261	Herself
785829	138721	Herself
785829	382710	Herself - Presenter (1983-198
785829	384495	Presenter
785829	387675	Presenter
785829	388128	Presenter (1996-1997)
785829	399317	Herself - Newsreader (1981-19
785829	411331	Guest Presenter (1990)
785830	194664	
785830	263314	Flora
785830	366834	Sarah Bendix
785831	35540	California Girl #2
785831	321176	Devon Peterson
785832	209237	Reporter 4
785832	224401	Foster mother
785832	247500	Elderly woman
785832	320116	Bag Lady
785833	75040	
785833	264731	
785834	12242	Dawn
785834	205268	Kirsten Blatt
785834	364378	Herself ('Sally Simpson')
785835	288465	Michelle
785835	321444	Whaler
785836	362855	
785837	109539	Friend No. One
785838	7890	Heavy Waitress
785838	49320	Heavy Woman
785838	359144	Mature Woman I
785839	367765	Harem Girl #2
785840	139088	Airline ticket agent
785841	115933	Josie Rainbird
785842	297951	Lawyer
785842	408638	Pathologist
785843	147560	Tall Widow
785843	326378	
785844	195604	
785845	188326	Showgirl
785845	234141	Slummer
785845	367970	Entertainer
785846	257849	Playmate
785846	257859	Herself
785846	257865	
785846	317339	Susan Bishop
785846	352693	Herself
785847	199311	Shadow Theatre
785848	350237	Jennifer
785849	645	Undetermined Role
785849	64600	Undetermined Role
785849	72422	Angela
785849	211815	Sarah Beecham
785849	221146	Clubwoman
785849	289374	French Kate
785849	291495	Woman #1 in shelter
785849	295340	
785849	389091	Helen Davis (1951-1953)
785850	299833	Nan
785852	202195	Elijah Muhammad's Granddaught
785853	53041	Jennifer
785853	178127	Jenny
785853	340320	Jasmine Shakar
785853	400849	Theresa (1996-1997)
785853	405737	Katja
785853	406037	Tasha Mosely
785854	80959	
785856	353297	Hooker
785857	86532	Judy Fisher
785857	139527	
785857	236681	Claire Houghton
785857	308928	Jane O'Riordan
785857	332411	
785857	381608	
785857	399816	Claire Houghton (1972, 1973, 
785857	403355	Mrs. Jennings
785857	406633	
785857	411809	Isabel Phelps (1980)
785858	185373	
785861	11624	Tina Wilson
785861	192250	Female Doctor
785862	144908	Peggy Stewart
785864	6906	4th Tennis Girl
785864	38882	Girl in pool
785864	53278	Girl in opening titles
785864	98894	
785864	99999	Showgirl
785864	108626	Polly
785864	142502	Herself
785864	188350	Girl at poolside
785864	250954	Model
785864	317327	Girl in club
785865	55968	
785865	69382	Charlotte
785866	40204	Kelly Lange
785866	177660	Unified Fund Mom
785866	204268	Kid #3
785867	68055	Jackie, Age 1½ Years
785868	46752	Mother
785868	176848	Helen Kunkle
785868	187886	Cynthia
785870	155277	Pharmacy Attendant
785871	81343	Victoria's friend
785871	91959	Reporter #2
785872	58955	Cindy
785873	157283	Woman at Party
785874	40020	Herself
785875	400807	Samantha Kane
785876	342822	Sphinx Girl
785877	193207	Linda Fraser
785877	236315	Agnes Brown
785877	264202	Mrs. Brown
785877	276363	Will's mother
785877	307019	
785877	388846	Mrs. Alcock
785877	396425	Jessie
785878	90816	
785878	148873	Charlotte
785879	360856	Secretary
785880	4595	Herself
785880	133412	Performer
785880	158286	Herself
785880	221421	Herself
785880	249590	Performer
785880	305489	Herself - Steps
785880	311953	Herself/Performer
785880	314497	Herself/Steps
785880	314498	Performer/Herself
785880	342189	Herself
785880	381886	Herself - Guest Presenter (20
785880	406509	Herself
785881	340459	Jackie Rinzler
785882	32241	Club Patron
785883	12737	Woman with Pin
785883	190516	Sister
785883	253976	Peggy
785883	272916	
785883	313626	Sly's Secretary
785883	360004	Mona
785883	381608	Cathy
785883	383598	Annie
785883	395180	Mrs. Devine
785883	399130	Hilary Robinson (1987-1990)
785883	402012	Maid
785883	407532	Annie
785883	409197	
785884	320144	Stewardess
785885	119350	Margaret
785886	27207	Hettie
785886	209114	Katherine
785886	228295	Nurse Powell/Cleo Norton
785886	245055	Center nurse
785886	263227	Sister Lousie
785886	345702	Tina
785886	359443	Paula
785887	43372	Barbershop Wife
785887	238709	Bunny
785887	340502	Trixie
785888	347059	Miyoshi
785889	88346	
785890	43994	Riccardo's wife
785891	112654	Un altra educante
785892	355652	
785893	128336	Judith Ann Drumond
785894	12540	
785894	14828	
785894	19946	
785894	24305	
785894	69364	La cartomante
785894	83770	
785894	86334	
785894	94671	Maria
785894	102634	
785894	108102	La madre di Marco
785894	112664	Vienda
785894	121893	
785894	202354	
785894	230080	Teresa
785894	242824	
785894	276443	
785894	287869	Barbara
785894	301237	
785894	336149	Antonia
785895	51411	La petite fille
785896	42962	Musetta
785896	118769	Francesca
785896	204662	Manon Lescaut
785896	242633	Performer
785896	244274	Desdemona
785897	108425	Female TV Reporter
785897	214971	News Anchor
785897	237783	TV Anchor
785897	248132	Herself
785897	272234	News Anchor
785897	291126	Herself
785898	19464	
785899	254412	Maid
785900	131384	
785901	6859	Denisonde
785901	6907	Jane Hogg
785901	6911	Marion
785901	56314	Buttercup
785901	71666	The Society Girl
785901	88885	Ophelia O'Brien
785901	102211	Pauline
785901	104948	The Girl
785901	133513	Claire
785901	143636	Caroline Beauchamp
785901	160309	Herself
785901	240521	Ruby Bartlett
785901	281169	Juliet
785901	390102	Kathy Sheridan
785901	401143	Maud Penmar
785901	411531	Cathy
785901	411778	Lady Agatha Shawcross
785902	318079	Tami Forster
785903	6326	
785903	8287	
785903	85739	
785903	86623	
785903	98220	
785903	98230	
785903	100625	Teacher's wife
785903	127360	
785903	136024	Bride
785903	172210	
785903	174537	
785903	178690	
785903	195236	
785903	210260	
785903	214320	
785903	244953	
785903	253983	
785903	303724	
785903	303726	
785903	306963	Kalliopi
785903	380819	Despo
785903	395900	
785904	100625	Mayor's daughter
785905	362845	Chloe
785905	384097	Becky (2000)
785905	388486	Beverly Ashburn
785905	392697	Young Maria Bronté
785906	245158	Fisher Folk
785907	82661	Leslie
785908	27190	Ruth
785909	55456	Mary's Girlfriend
785911	47914	Chandler Academy Student
785912	47914	Mary Stewart
785912	142347	Stacy Butler
785912	148246	Bonnie
785913	196902	Singer in the Tropical Resort
785914	101243	
785914	218308	Maria
785915	346156	Customer
785916	109020	
785917	251241	Innocent Bystander
785918	224942	Bartender
785918	354563	Judy
785920	402386	Guru's Wife
785921	39242	Sandra Scream
785921	50344	
785921	98871	
785921	139206	
785921	158527	
785921	218615	
785921	365495	
785922	10058	La cameriera di Matilde
785922	53160	
785922	56922	Daniela, la commessa fioraia
785922	183493	Gilda
785922	236187	La moglie di un boscaiolo
785923	395236	
785923	396132	Andrea
785923	397022	Yolanda García
785924	351411	Tina Marie
785925	123063	Amie Maria-Helena
785926	91720	Mudwrestler #2
785927	28681	La mamma
785929	254085	Un enfant Anglais
785930	337758	Correctional Center Officer
785931	5794	Beautician
785932	194247	Arlene (Blonde at Bar)
785933	92490	Jennifer's mother in fantasy 
785934	33715	Mother
785934	34298	Lotte Engelhart
785934	82709	Liz
785934	355624	
785935	29672	Dariac
785936	131747	Kathy
785937	196471	Country Dancer #3
785938	404575	Puppy Dog
785939	156030	
785939	237991	Gym Instructor
785941	146719	Helvstead
785942	286864	Tam Tam
785943	350221	Band Member
785944	350221	Band Member
785945	350221	Band Member
785946	98312	Singer
785947	385010	Mary Ann (1972)
785948	80848	Joanne Price
785948	184946	Lisa
785948	214107	Helene
785948	286302	Girl
785948	299654	Stacy
785948	395284	Susan
785948	411019	Ms. Vance
785949	32185	Chorus
785949	185201	Justine Prashker
785949	289490	Bartender
785949	321452	Marianne Wheeler
785950	395080	Paula Thwaite
785951	321154	Dancer in 'Big Spender' numbe
785952	322126	
785953	157177	
785954	12675	
785954	243940	Elena
785955	20491	Catherine Petkof
785955	32162	Mrs. Smedley
785955	39731	Clodagh's grandmother in flas
785955	54026	Mrs. Colpeper
785955	210389	Mrs. Hawkins
785955	224413	Arabella Bagshott
785956	270975	Cashier
785957	204614	
785958	71449	Assuntina
785959	394264	Anchorwoman
785960	26691	
785961	68434	
785962	289939	Olimpia
785963	297377	Cleopatra Model
785964	204564	
785965	346016	Model
785966	246742	Herself (art collector)
785967	135206	Sadie
785968	171251	
785969	34912	Carol Ann
785969	41416	Schnibble
785969	301678	Laura
785970	186753	Slave Girl Victoria
785971	206825	Mary (age 6)
785972	194136	Teen in Music Store
785973	16045	Mrs. Turner
785973	56266	Hilary Casey
785974	114886	Calgary Flames Owner
785975	192286	Kevin's friend
785976	116466	Mother
785977	283343	Witness #4
785978	399816	Gemma Strauss (1972)/Selma Ho
785980	9008	Herself
785981	154451	Nancy
785982	10047	
785982	20676	
785982	84011	
785982	135307	
785982	146515	
785982	153834	
785982	177053	
785982	221985	
785982	246191	
785982	258495	
785982	281605	
785982	324178	
785982	328157	
785982	332674	
785982	334682	
785982	339144	
785982	349457	Filomena
785982	349966	
785982	353659	
785983	256825	Finale Woman
785984	222784	Strip Girl #1
785985	139587	Herself (interviewee)
785986	225180	
785986	273569	Katie
785987	175459	
785988	361360	
785989	138840	Diana
785990	405960	Katie O'Brien (1984-1985)
785991	11411	Herself
785991	66720	Céleste Paradis
785991	103831	Virginie Trudeau
785991	105024	The Wife
785992	397886	Herself
785993	53135	
785993	408414	
785994	379244	
785994	383293	Manoela
785994	388458	Dulce
785994	388940	
785994	389662	Mariana
785994	392628	Cecília
785994	399490	
785994	400901	Sônia
785994	404272	
785995	105610	La Civilta
785995	128950	
785996	52070	Pregnant Woman
785996	349815	Alice
785996	396265	Laura
785997	104096	
785998	386419	Anita
785998	389587	Rosinha
785998	402265	
785998	402266	
785998	407856	
785998	408220	
785999	394121	Rosa
785999	400098	Safo
786000	97490	Suzie
786001	79427	Sid
786002	117874	Elderly Woman's Daughter
786002	127834	Secretary
786003	2351	Student actress
786003	32552	Sniffles
786003	32570	Gay, Spanky's mother
786003	46143	Sniffles, Batty
786003	71151	Susie Grenoble
786003	71784	Lorna Craden
786003	83809	Cousin Charlotte
786003	85828	Nurse
786003	96945	
786003	97893	Sniffles
786003	105569	Miss Seymour, Don's Secretary
786003	137460	Louella
786003	139928	Kitty
786003	144740	Lydia
786003	156939	Party Guest
786003	191689	Sniffles
786003	194031	Helen Knox
786003	196298	Radio Voice
786003	215277	
786003	216000	Goose Pimples Girl
786003	228585	Sniffles
786003	242110	
786003	270508	Penny Jones, Helen's Friend
786003	280896	Gloria
786003	297950	Stenographer
786003	306112	Sniffles
786003	306113	Sniffles, All Other Mice
786003	306114	Sniffles
786003	316903	Giggles
786003	335132	Tom Thumb
786003	337176	Sniffles
786003	345719	Secetary
786003	362065	Gay
786003	365405	Gay, Spanky's mother
786004	202985	Young Girl
786005	147560	Tea Widow
786006	38122	
786006	44549	
786006	52228	Nennah
786006	52822	
786006	65551	
786006	93641	Yvonne
786006	95832	Mrs, Johnson's Daughter
786006	117053	At Soda Fountain
786006	128372	Wowkle
786006	161934	Celeste, a maid
786006	199272	Babo
786006	215324	Little Kathy
786006	235168	Mrs. Shorty
786006	236079	Girl
786006	273513	Woman in Ballroom
786006	274033	Minnie Bear Paw
786006	286808	
786006	299175	Annette Garth
786006	301261	Little Girl
786006	304505	Indian Girl
786006	318962	Sunbeam
786006	332099	Mey Wang
786006	347128	Shrimp
786006	362669	Fania
786007	64541	
786007	240532	
786008	72391	Festival Critic
786009	26308	Doreen
786009	71683	Louise Brewer
786009	72706	Meemaw
786009	76562	Elbe
786009	84202	Woman on beach
786009	108086	Bess
786009	118763	Drama Teacher
786009	130856	Gladys
786009	158298	Mrs. Trevors
786009	161301	Herself
786009	165421	Thrift-Shop Lady
786009	191746	Delphine
786009	212083	
786009	226777	Sandra the Midwife
786009	230508	Mary Netter
786009	232004	Voice
786009	234218	Barbara
786009	263392	Jacki's Mom
786009	265762	Mrs. Rivers
786009	281901	Reporter
786009	325969	Louise
786009	359075	Doctor
786009	365642	Sissy
786010	38664	
786011	18627	Mrs. Hornett
786011	40822	Bella
786011	61797	
786011	114791	Mrs. Cameron
786011	186810	Mrs. Jordan
786011	194517	Sylvia Garland
786011	196497	Jean Armour
786011	204889	Mrs. Hornett
786011	330513	Marion Carstairs
786011	359386	Mrs. Slade
786011	371054	Mary Trayne
786012	42768	Florrie Small
786012	245056	Carol
786012	256141	Susie
786013	191300	Girl from Plague Village
786014	285499	Laliah
786014	290070	Plaszow Jewish girl
786015	16686	Mrs. Grant
786015	37918	Jean Matthews
786015	52252	Marianna De La Rosa
786015	80022	Julie Williams
786015	80023	Herself/Julie Williams
786015	93148	Margo Chamberlain
786015	135908	Janie (Winton's granddaughter
786015	155829	Sally Blair
786015	161227	Herself
786015	169392	Herself
786015	332979	Alma Mesa
786015	368864	Jane Campbell
786015	385824	Julie Olson Banning Anderson 
786015	389858	Dorothy Bradley (1963)
786015	406952	Patricia Steele (12/1999)
786015	411802	Joanna Manning (1985)
786015	411819	Carol West (1965-1966)
786016	336327	Pepi
786017	23339	Sheilah
786017	289564	Nicola
786017	364425	Melanie
786017	384356	Debra Munro
786017	405209	Ramona Derby (1996-1997)
786018	10141	
786018	11569	Party guest
786018	66314	Girl
786018	72104	Cover girl contestant
786018	72265	Secretary
786018	112183	Guest at Lockhart Home
786018	151191	Girl
786018	163544	Dancer, Page
786018	176358	
786018	188387	
786018	253476	
786018	254820	Dancing partner
786018	257512	Miss Seager
786018	274502	
786018	276671	Miss Lawrence
786018	329948	Clerk
786018	341969	Dress Model
786018	346908	Woman
786019	124323	Zabeth
786020	391325	Val Latimer
786020	395080	Julie
786020	410548	Primitive Human
786021	7953	Vera
786022	117314	Girl Who Kisses Henchman
786022	369910	Paula Phillips
786023	39627	Maiden
786024	370039	Narrator
786025	1694	Cindy
786025	26626	Bob Hopes secretary
786025	54387	Mandy
786025	55583	Moroni's secretary
786025	74878	Murderess
786025	150853	Madge
786025	195652	
786025	203801	
786025	317364	
786025	323048	Bar owner
786025	363346	Bar Girl
786025	371097	Marta Garbini
786025	381806	Edythe Brewster (1965-1966)
786026	155861	Amanda
786026	195021	
786026	218738	Dana Morgan
786026	331172	June MacAllister
786026	373276	Jillian
786026	385824	Tanya Hampstead (1994)
786026	390771	Julie Camalletti (1991-1994)
786026	400647	Jessica Mitchell
786026	404371	Rita Winsler (1996)
786027	97212	Young Josie
786027	224070	Child
786027	237474	Mary
786028	398673	
786029	17172	Herself
786029	19168	Dr. Sarah King
786029	43877	Camilla (The Guardian)
786029	49389	Health Club Receptionist and 
786029	62779	Fay Hubbard
786029	80768	Lucy
786029	90314	Suzanne Brody
786029	135177	Camilla
786029	147429	Paula Fairley
786029	157772	Terri McLane
786029	158790	Lily Langtry
786029	161201	Herself
786029	169894	Jo Mills QC
786029	193207	Marina
786029	200199	Melanie James
786029	206098	Sara Helsten
786029	215475	Jane Beatty
786029	218798	Anna
786029	228183	Sophie
786029	230750	Narration
786029	299492	Sally
786029	301255	Miss Mary Morstan
786029	307943	Helen
786029	375515	Cecilia
786029	382633	Angela Brack
786029	386279	Diana Gayelorde-Sutton
786029	393818	Jo Mills
786029	402303	The Noble Lady in Monza
786029	411353	Laura Fairlie
786029	411356	Young Emma Harte
786030	68049	
786032	225844	Hostess B
786033	153562	Tutorial Mate
786034	34729	
786035	69286	Charlotte Gort
786035	184812	Buyer
786035	199079	Molly
786035	254663	Melinda Maclean
786035	270616	Gwen
786035	337111	Fiona Dixon
786035	338989	Avonia Bunn
786035	350181	Gerta Hauser
786036	60977	Padmini
786036	298633	Sriradha
786036	349111	Uttara
786036	369506	
786037	317354	Student
786038	187404	Herself
786039	313937	Sally
786040	62155	Mrs. Melsham
786041	307379	The Girl
786042	70460	Katy
786042	398672	Dionne
786043	34463	Wallis Simpson
786043	93261	Michelle
786043	192726	Lucy
786043	223700	Ellen (patient)
786043	354541	Vampyre
786043	382296	Charlotte Moran
786044	139745	Coed #1
786044	155903	DJ Nicely Nice
786045	180533	Muffy
786046	87429	Michelle
786046	141646	Shelly
786046	175121	Katie
786047	328603	Neighbor (segment "Make Me An
786048	262160	Sky Red Bow
786049	87936	Betty
786050	382178	Sophie
786051	27447	Rhonda
786051	105226	Player's Wife #1
786051	197729	Miss Billie
786052	68197	
786052	73610	
786052	253156	
786053	59875	INS officer-in-charge
786053	80932	Aunt Tee
786053	80934	Olive Love
786053	81321	Doctor
786053	92150	Diner 2
786053	120248	Woman #1
786053	148874	Marisol
786053	150826	Ruth
786053	183183	Kara
786053	194638	University Official
786053	196053	Caribbean Woman
786053	215651	Mama Snake
786053	221375	
786053	223815	Protester Woman
786053	277922	
786053	282954	Rude Caller
786053	304240	Dr. Franks
786053	323974	Miriam
786053	331081	
786053	369464	Storm/Ororo Munroe
786053	382104	Abby Storkowitz
786053	394503	Lou
786053	405373	Gamora
786053	406706	Mercedes (1991-1994)
786053	409511	Herself
786053	411568	Storm/Ororo Munroe (II) (1992
786054	69416	Sgt. Rose
786055	161271	Herself
786056	330404	Nurse
786057	17191	Mrs. Trancer
786058	305148	Girl in bar
786059	203358	Tony Clifton Dancer
786059	250988	Dancer
786060	119470	Claire Boltwood
786061	397936	Mrs. Betsy McFeely (1968-1975
786062	194220	Exhibition Diver
786063	201346	Judy Marino
786064	28441	College girl
786064	47370	Jitterbug Specialty
786064	141485	
786064	144453	
786064	168125	Dancer
786064	220901	Dancer
786064	313301	Chorine
786064	316955	Student
786065	116145	
786066	350182	Crime Scene Investigator
786067	368040	Kitchen Shop Mother
786068	368040	Kitchen Shop Baby
786069	111258	Suhaimi
786069	175458	
786070	389749	
786070	398204	Presenter
786071	98683	Little Actor #4
786071	281347	Miss Wiggles
786072	248448	Sissy Bancroft
786073	141142	Dub Squad
786074	187231	Herself
786075	59481	The little 'orphan girl'
786075	245685	Undetermined Role
786075	319708	
786076	241327	Bit Part
786076	283437	Lady Ramsden
786076	285623	
786078	144086	
786078	188746	
786078	267326	
786079	117535	Supermarket Cashier
786080	56462	Mrs. Sloan
786080	72554	Dr. Claire
786080	139700	Realtor
786080	271205	
786080	358587	Abigail Lassiter
786080	404613	Annabelle Shane (1970)
786080	405882	Edith Mercer (1974)
786081	252511	Racist Girl
786082	357167	Sarah
786083	158155	Detective Ryan
786084	155816	Model
786084	242712	
786085	314719	Ayisha
786086	112021	
786087	46849	Nurse at Ceylon hospital
786087	56682	Ann Coltby
786087	72573	Nurse Phillips
786087	106071	Jaguar owner's wife
786087	183790	Katie Whiteside
786087	202966	Stella Maple
786087	297876	Betty Tate
786087	336541	Stevenson's secretary
786087	347709	Pat Delaney
786087	387518	Staff Nurse Jane Morley
786088	27316	Marie Manning (Breslow)
786088	66627	Ruth Monroe
786088	85822	Girl
786088	175175	WAC McBride
786088	234141	Mrs. Devereaux
786088	319010	WAC Lieutenant
786088	329481	Clarissa
786089	277909	Mary Evans
786090	29098	Singing troubadour
786090	29099	Singing Troubadour
786090	29100	Troubador
786090	29101	Singing troubador
786091	19295	Jane Briscoe
786091	46853	Private Room Nurse
786091	61611	Tia Amiros
786091	103254	Administrator
786091	105113	Eleanor
786091	157734	Virginia
786091	196053	Sunny (segment "Love Song for
786091	206445	Mrs. Foster
786091	213952	Del
786091	241401	Sweet Cromwell
786091	253509	Maria
786091	254923	Sheila
786091	265759	Carolyn Porter
786091	273271	Chantal
786091	320263	Message Clerk
786091	362310	Sharon Bryce
786092	7065	
786093	39985	Lady Elizabeth
786093	94201	Susan
786093	116919	Margaret Bronson
786093	133592	Biddy
786093	195613	Herself
786093	242616	
786093	254517	Christine Charles
786093	281413	Susan Brown
786093	288720	Penny
786093	301072	Arm Fulton
786093	308917	Miriam Leivers
786093	315675	Esther Costello
786093	336652	Student
786093	392817	Helen Lambert
786094	75721	Additional Player
786095	381821	Ensemble (1979)
786096	208398	Green Lady
786097	92270	Sergeant #2
786098	113919	
786098	116165	Ruth Lansing
786098	118736	Ruth Westfall
786098	158065	Nora McCree
786098	184415	Wynne Curtis
786098	333267	Maid
786098	356276	Violet Clark
786098	366927	Janet Hanford
786099	82055	Tram port attendant
786100	21290	
786100	292038	Herself
786101	47588	Onlooker
786101	149222	
786102	359872	
786103	191088	Woman in Red
786104	236959	Queen/Mouse/Guest #2/Doll/Spe
786105	38804	Miss Drukker, Adolph's Sister
786105	88191	Hannah, Jerry's Maid
786105	145029	Mrs. Steese
786105	160618	Aunt Pauline
786105	285181	Mrs. Craney, Landlady
786105	340998	Mrs. Genevieve Crespigny
786105	364773	Gram Teague
786106	328258	Ice Cream Fight
786107	16891	Herself
786107	313878	Herself
786109	52477	Eleanor Harmon
786109	112197	
786109	163329	Min
786109	263335	Diamond Tights
786109	360437	Dolly Wimple
786110	4995	Narrator
786110	127679	Joanna Bull
786110	129440	Amazing Grace
786110	138415	Betty Anne
786110	164635	Jacob's Mom
786110	168307	Mrs. Collins
786110	183696	Gertie Moser
786110	195290	(segment "Black Cat in the Bl
786110	254996	Eleanor Hess
786110	272085	Pat Swenson
786110	316220	Officer Terri Orloff
786110	332418	Sarah
786110	367879	Camilla
786110	379231	Mona Ellerby
786110	390050	Sheila Dooley
786110	400808	Bea Sutton
786110	404152	Sarah Osborn
786111	359573	Juliet
786112	78009	
786112	88565	
786112	297893	Sister Maria Theresa
786112	313711	Rachel's Mother
786112	313713	Rachel's Mother
786112	358310	Lally
786113	10835	Nurse Schwartz
786113	26563	Maenad (chorus)
786113	41511	Sara
786113	41736	Una
786113	233831	Ally
786113	315999	Lily
786113	338856	Hilary
786114	256128	Wife/Sweetheart
786115	126277	Alope's mother
786116	130311	Pink Punker
786116	158920	Guard
786116	263758	Poulas aide
786116	290947	Screamer
786116	405718	Additional Voices
786117	30071	Woman
786117	85184	Mrs. Crump
786117	96987	Hotel guest
786117	133662	Nurse
786117	136274	Bartender's Wife
786117	152208	Flower Woman
786117	241553	Jurywoman
786117	257939	Woman on Street
786117	321794	Bit Part
786117	330602	
786117	367502	Mowbray
786117	372819	Governess
786118	143427	
786119	309202	Tri Pi
786119	381723	Nurse
786119	409616	Kristy (2001)
786120	57232	Jennifer
786120	121528	Clothing Store Owner
786121	211602	Girl at Maxim's
786123	153885	
786124	197550	Ana's Workmate
786125	196107	Liz
786126	143264	Alice Turnbull
786126	156194	Queen Elizabeth
786127	159888	Joe
786128	45419	
786128	90238	Nettie Moffat
786128	301686	Betty winters
786129	279094	Romina
786131	354735	Yolande
786132	39404	Diner Customer #1
786133	342	Frau Bertelsmann
786133	4842	Lotte Bartels
786133	10633	Frl. Krueger
786133	15888	Leichtes Mädchen
786133	29641	Vupsen
786133	33238	Daniela
786133	42198	
786133	48675	
786133	48676	
786133	59563	Carlotta Ramirez
786133	63154	Marquise de Moya
786133	78546	
786133	79167	
786133	85730	Anita
786133	93243	Greta
786133	100989	
786133	119119	Helene
786133	119138	
786133	119163	
786133	119222	
786133	119249	
786133	119254	Schütze Lieschen Müller
786133	132432	Ringkämpferin Anni Prasuhn
786133	140202	Elsa Heinrich
786133	140209	Frau Hoprecht
786133	140239	Sybille
786133	142007	
786133	142049	
786133	142189	Andrea
786133	149486	Maria Mattoni
786133	155343	Adrienne Pirkner
786133	156067	Lotte Ermer
786133	156729	
786133	180994	
786133	187678	Edith Gutsche
786133	189554	Hilde
786133	189555	Hilde Cornelius
786133	189556	Hilde
786133	189640	Nelli
786133	209978	
786133	225169	Lissy Wedekind
786133	231506	Virginia Peng
786133	239016	Ruth
786133	253926	Marilyn
786133	253937	Frau Körner
786133	256796	
786133	281924	Heidi Gemperle
786133	290635	Gloria Scarletti
786133	293547	
786133	306403	Elinor, Zimmermädchen
786133	316557	
786133	317614	
786133	325592	Karin
786133	326058	Margot
786133	335027	Hotelbesitzerin Karla Wenger
786133	338433	Katharina Wagner
786133	338440	Anita
786133	348676	
786133	348678	
786133	350876	Lollo Kueppers
786133	350884	
786133	356203	Kurfürstin Marie-Luise
786133	356875	Mrs. Parker
786133	361370	Rosl
786133	361454	Karoline Käfer
786133	374033	Mascha
786133	374549	Mrs. von Kretschman
786133	375086	Arsena
786133	376181	
786133	376626	Grace, American Tourist
786133	392503	Sybille "Bille" Vonhoff
786133	396753	
786133	396782	
786133	408662	Monique
786133	411078	Hannelore Wichert, geb. Pinno
786134	163496	Waitress
786134	164649	Linda Falkby
786134	390950	Maria
786134	405570	Helena Sanchez (62 episodes 1
786135	132309	
786136	310073	Dancer
786137	222454	Wendy
786137	365676	(segment "House Call")
786138	283864	Young girl
786139	146567	Bego
786139	233952	Nancy
786141	6857	Dolores de Silva
786141	11928	Paula Stevens
786141	14607	Woman in Cafe
786141	20264	Bess Warren
786141	20292	Regina Schyler
786141	32258	
786141	37070	Beverly Ames Beckwith
786141	42024	Gilda La Bray
786141	47944	Norma
786141	52250	Carlotta del Rey
786141	70075	
786141	70082	
786141	81550	Ina Fontanne
786141	82606	Lola
786141	84961	Dorothy Ryan
786141	119473	Cave Scene
786141	140151	Goldie Kane
786141	142461	Marie
786141	145932	Judy Gaylord
786141	151001	Ann Rourke
786141	162932	Marua
786141	173528	Helen King
786141	183394	Norma
786141	190210	Lulu
786141	190567	Rose Rogers
786141	195288	Spectator Extra at Races
786141	214961	Miss Katie Orwin
786141	218485	Elizabeth 'Lizzie' Prescott
786141	219252	Judith Rogers
786141	224629	Jean McNain
786141	233966	
786141	238722	Ruth Dale
786141	240994	Gaby de Sylva
786141	244778	Francine 'Franky' Daniels
786141	244798	Beatrice 'Bea'
786141	271261	Lola
786141	273513	Woman in Ballroom
786141	282354	Rose
786141	282451	Ethel Dalton
786141	285007	Polly Freeman
786141	299177	Irene Reynolds
786141	299204	Grace Walsh
786141	300106	Cameo appearance
786141	300119	
786141	302773	Mercedes Stuart
786141	311346	Betty Grant
786141	311404	Trilby Drew
786141	316890	Actress in Silent Movie
786141	326367	Annette
786141	329781	Cora
786141	330196	Adele Landon
786141	336258	Woman in Auduence
786141	340854	Gloria
786141	342383	Chiquita
786141	347060	Lady Efra Cavander
786141	348974	Jennie Lee
786141	364683	Pearl
786141	364810	
786141	366082	Laura
786141	367547	Constance
786141	367919	Saleswoman
786141	369357	Samantrha Jerusha Farrell
786141	372291	Ruth Whitman
786142	69053	Dr. Fury
786143	281293	Luisa
786143	322341	
786144	265271	Playground Captain
786145	106723	Dancer
786146	26289	Robin
786146	183009	Donna's Girlfriend
786146	234594	Cleveland Stagehand
786146	280174	Hospital Prison Ward Nurse
786147	75802	Young Haley
786148	41422	The Mago
786150	138821	Lillian Smith
786151	210163	Amaia
786151	277391	Ana niña
786151	357509	
786152	185601	Interviewer
786153	104916	News Anchor
786154	130151	
786155	62922	Nutlady
786155	114873	Dancer (segment "Bulerías")
786156	380426	Presenter
786156	395978	Reporter (Series 7) (2003)
786157	294985	
786158	94711	Geisha
786159	276869	Nun
786159	309786	
786159	387465	Checca
786160	209399	Girl in Car
786161	25004	
786161	112056	
786161	191039	
786161	199789	
786161	233904	Genoveva
786161	247175	
786161	248238	
786161	377182	
786162	76110	Encarna
786162	398838	Laura (1995-1996)
786163	183485	
786164	14668	
786165	379566	Úrsula (2000)
786166	154502	Papelota
786167	56367	Gloria
786168	231306	La caissière du jour
786169	268413	La chanteuse
786170	382214	Esther Summerson
786172	178606	Angela
786173	188342	Swede
786174	9129	Tanya Livingston
786174	13034	Claire
786174	23513	Edith Lemoine
786174	36450	Lea Kingsburg
786174	40563	
786174	43680	Cecile
786174	53024	Louise
786174	69560	
786174	71122	Ruth Miller
786174	85728	Bettina
786174	104086	Colleen O'Hara
786174	113550	Lydia West
786174	120628	Various
786174	133085	Ann
786174	134780	
786174	140306	Herself
786174	158216	Christina James
786174	166295	Herself
786174	176761	Emily Hamilton
786174	188265	Barbara Holloway
786174	190632	Mary, comtesse de Damville
786174	190796	Lilith Arthur
786174	198315	
786174	198988	Alexandra Mountford
786174	217541	Kay Stanton
786174	220446	Helen Kokintz
786174	220465	Laura Anderson/Richardson
786174	239228	Adriana
786174	241186	Joyce Grasse
786174	246691	Elizabeth
786174	252158	Adele Matthews
786174	254676	
786174	258320	Patricia Leacock (segment "Le
786174	269632	Giovanna
786174	282484	Shanny
786174	284174	Kate Hoover
786174	285719	St.Joan of Arc
786174	365596	Gina
786174	376882	Patricia Franchini
786174	377626	Olga Celan
786175	307159	
786176	235201	Mrs. Stalling #1
786177	328928	Vera, az asztronauta
786178	202260	
786179	147575	Jíra
786179	179854	
786179	268506	Lenka
786179	324113	
786180	352820	Vera
786181	58127	Patricie
786182	364750	
786183	17079	
786184	376615	Yvette
786185	52386	Népdalénekesnõ
786185	163174	Réka's voice
786185	223009	Singer
786186	99523	
786187	282416	
786188	322025	Felvételizõ
786189	12937	Czechoslovakian actor
786190	325012	
786191	254006	
786192	70455	Pam
786192	195305	Blonde Woman
786192	206524	Realtor #2
786193	171122	Mandy
786194	349009	Andrejka
786195	265797	
786196	153868	Marine
786197	337206	Factory worker
786198	67025	
786198	83543	
786198	206016	
786198	351901	
786198	371699	Rosario
786199	280489	Choir
786200	129762	Violet
786200	200362	
786201	200362	
786203	244200	Patricia
786204	8281	
786204	9746	
786204	23608	
786204	54199	
786204	69818	
786204	82965	
786204	147929	
786204	213538	
786204	378051	Teréz
786205	278155	Soeur Roger
786205	295210	Female Hospital Patient
786206	70865	Estela
786206	202033	Paula
786206	379252	
786206	382941	
786206	383812	Rosita
786206	384984	
786206	396925	Rosario
786206	401481	María Jorquera
786206	402411	Macarena 'Maca' Riveras
786207	148472	
786207	278568	
786208	54813	Moema
786208	55812	Rita
786208	212143	Fátima
786208	341472	Estranged girlfriend
786208	369981	
786208	380147	Sol
786208	381583	Lara
786208	383727	Darlene Sampaio
786208	384866	Carol (1994)
786208	384922	
786208	387732	Emília
786208	387800	
786208	392973	Moema
786208	395302	Iris Lacerda
786208	397645	Denise
786208	400670	Cecília de Sá
786208	402371	Carina Rossi
786208	406833	Marina
786208	410245	Tatu
786208	411932	Dora
786209	388262	Herself/Director of the Acade
786209	388263	Herself/Director of the Acade
786210	85921	Diana, Princess of Wales
786211	81152	Executive
786212	250961	Mélanie
786213	261263	
786214	322531	
786215	45609	April Lotter, John's Daughter
786216	338731	Young Lover
786217	208080	Disappointed Pianist
786218	333871	
786219	6311	
786219	21662	
786219	49518	Irina
786219	55921	
786219	56014	
786219	92891	
786219	103217	
786219	122043	
786219	158630	
786219	160647	
786219	162102	
786219	248729	
786220	219749	Mossane
786221	192725	National newsreader
786222	383355	Joana da Areia
786222	386421	
786222	388679	
786222	391313	Marilda
786222	402928	Guiomar
786223	77130	
786224	370904	
786225	90140	Brígida
786225	95024	
786225	143776	
786226	233974	
786226	387776	
786226	391753	Host
786226	396774	Cartero
786226	398156	Amanda
786227	1311	Madre (Episodio de Burman)
786228	149931	Rona
786228	256636	Mrs. Yates
786228	310141	Lt. Lemont
786228	325991	
786229	390497	Herself (3rd Edition, Winner)
786230	67094	Jade
786231	93261	Grandma
786232	313112	Extra (dancer)
786233	191311	Mrs. Burgess
786234	103327	Brothel Girl
786234	389146	Sophie Oresanu
786234	408091	Mathilde
786235	26478	
786236	72877	Reporter (segment "Possession
786236	176989	High School Girl
786236	188638	Lauren Addison
786236	364220	Jane
786237	227996	
786237	310994	
786238	72801	
786239	372332	Jill
786240	200132	Slave girl
786240	374638	Angvisa Girl
786241	400653	Nadia
786242	44476	Nun
786242	54827	
786243	1762	Jody
786244	324591	Elisabeth
786244	358689	Sieglinde
786245	25619	Kardesler (China Sister)
786245	219457	
786245	399657	
786246	304081	
786247	123986	Herself
786248	363	Bettina
786249	333430	Sleez Girl
786250	305362	Prostitute on Street
786251	229534	Herself
786251	363370	Christine
786252	69396	Sadie
786252	206440	Kelly
786253	206440	Samantha
786254	311946	Girl in Hotel Lobby
786255	27146	Trendy Boss
786255	35605	Gladys Kravitz
786255	61282	Foxy Loxy
786255	68308	Scholar
786255	99164	Deb
786255	170552	Other Student in Class
786255	200864	Rachel Hoffberg
786255	223691	Annabelle
786255	230242	Renee
786255	280844	Frances
786255	290378	Mrs. Haynish
786255	303447	Robin's Secretary
786255	316327	Geraldine "Jerri" Antonia Bla
786255	316328	Jerri Blank
786255	347916	Connie
786255	388037	Various
786255	406685	Geraldine 'Jerri' Antonia Bla
786256	409026	Lúcia
786257	64772	Judge
786257	162215	Alma
786257	208100	
786257	249485	
786257	288801	Nymphomaniac
786258	234044	Balie-juffrouw
786259	270160	
786260	381910	Herself (Series 5) (2004)
786260	381920	Herself (Series 4) (2004)
786261	23519	Hadda
786262	26598	Zahra
786263	77857	Lilli
786263	232873	Winston's Mother
786264	6019	Miss Trafalgar Gower
786264	7926	Letitia Barker
786264	26627	Cynthia Wilson
786264	33513	Mother Ives
786264	37087	Mother Jenkins
786264	40320	Peggy's Aunt
786264	44010	Annie's Mother
786264	47008	Carmencita Escobar
786264	47307	Bixby
786264	47329	Mrs. Steel
786264	56153	Mrs. Emerson
786264	67139	Mrs. Schloggenheimer
786264	69461	Mrs. X
786264	71707	Mrs. Howitt
786264	77611	Mrs. Flynn
786264	77845	Mrs. Cleaver
786264	77995	Aunt Pitty
786264	79663	Polly
786264	88155	Maid
786264	92525	Mrs. Julia Cray, Skin Alergy 
786264	92527	Mrs. Bartlett
786264	93797	
786264	94610	Aunt Mary
786264	114867	Mrs. Ida Grenfell
786264	120223	Martha Williams
786264	125908	Lorelei's Mother
786264	128168	Grandma Henry
786264	128537	Henrietta Hateman
786264	130626	Mrs. La Mar
786264	130742	Mrs. Shannon
786264	140408	Mrs. G
786264	141017	Babe's Mother
786264	143913	Jeanette Holmes
786264	145032	Mrs. Goodwin
786264	148292	Mrs. White
786264	148957	Elderly woman
786264	150812	Older, heavyset woman at part
786264	152577	
786264	154182	Woman Sitting Next to Joseph
786264	155837	Mrs. Small, Idylwood resident
786264	160400	Mrs. Garvin
786264	163557	Mrs. Martha
786264	171074	Ma Birdsong
786264	183764	Lady Daphne Wildairs
786264	183866	Mrs. Cairns
786264	184461	Miss Pringle
786264	188399	Aunt Martha
786264	190605	Mrs. Reid
786264	190866	Mrs. Turner
786264	191729	Mrs. Graham
786264	191927	Mrs. Jones
786264	203563	Old Woman
786264	203698	Mrs. Ward
786264	203737	Amanda Green
786264	207847	Mrs. Smith
786264	209168	Mrs. Francis H. Leggitt
786264	213288	Mrs. Burns
786264	213289	Mrs. Randall
786264	214954	Patricia Hodges
786264	215643	Aunt Eloise
786264	220892	Jane Faulkner
786264	230706	Widow Turrene
786264	231530	Paddy's mother
786264	232001	Mrs. Longstreet
786264	239652	Rickety Ann
786264	240901	Martha McKay
786264	253467	Aunt
786264	266102	Mrs. O'Malley
786264	268914	Nancy Willoughby
786264	270755	Maud Holden, Returns stolen p
786264	274987	Mrs. Monroe
786264	276662	Mrs. Martin, Jim's Mother
786264	280686	Mrs. Alden
786264	282565	Mrs. Wadsworth
786264	289689	Cynthia Quentin
786264	290311	His Teacher
786264	297921	Tom's Mother
786264	298594	Miss Pringle, mouse lady on t
786264	299452	
786264	301834	Mrs. Fulton
786264	302365	Grandmother
786264	305599	Ellen, the Maid
786264	306151	Mrs. Curry
786264	308850	Mrs. Crosby
786264	316955	Old Lady
786264	323380	Aunt Judy
786264	331344	Mrs. Denton
786264	331887	Mother McGinn
786264	333491	Samantha Ann Ripley
786264	343128	Mrs. Summerstone
786264	348030	Mrs. Bellamy
786264	358149	Annie Bailey
786264	358775	Mrs. Satterlee
786264	363955	Winifred Barnes
786264	365062	The Twin
786264	365368	The Mother
786264	366189	Mrs. Prentice
786264	367595	Aunt Serena
786264	367839	Hetty Page
786264	367897	Ma Keeler
786264	368676	Mrs. Strong
786265	101547	Prostitute
786266	267282	
786267	12587	
786268	188799	
786269	187219	Landlady
786270	377013	
786271	145136	
786272	15319	
786272	27981	
786272	54332	Condesa de Cañizo
786272	61138	Amiga de Engracia
786272	96218	
786272	97294	
786272	101815	
786272	115755	
786272	118159	
786272	145136	Angustias
786272	146510	
786272	148053	
786272	148102	
786272	148110	
786272	149205	
786272	165160	
786272	205155	
786272	205429	
786272	205713	
786272	221559	
786272	265552	
786272	277384	
786272	296197	
786272	307466	
786272	322400	
786272	376490	
786272	376641	
786273	154147	Robin
786274	274005	Natacha
786274	321549	Nona
786274	372311	Ballet Dancer
786275	72856	Interviewer
786276	382908	Additional Voices
786277	388396	Lady Edina
786278	43903	
786279	16506	Herself
786279	16509	
786279	32147	
786279	60461	Edie (segment "Afternoon")
786279	63764	Susan Superstar
786279	85954	Herself
786279	118384	
786279	128409	Herself
786279	149754	
786279	178268	
786279	197622	
786279	245319	
786279	260225	
786279	276334	
786279	289759	Herself
786279	291410	Herself
786279	291411	Herself
786279	291412	Herself
786279	291413	Herself
786279	310082	
786279	319515	
786279	354747	
786280	8949	
786280	11221	
786280	20717	
786280	29904	
786280	31240	
786280	31860	
786280	32071	Mae
786280	35636	Betty Mason
786280	50490	
786280	75857	
786280	75858	
786280	78120	
786280	85843	Doris Harvey
786280	93100	
786280	93988	
786280	96653	Rose Milford
786280	99832	
786280	107992	Eileen Morgan
786280	111896	
786280	112568	Mary Marshall
786280	115142	
786280	124388	
786280	128266	Second girl in Holland
786280	128309	
786280	128401	
786280	131520	
786280	133771	Gloria Marston
786280	141243	
786280	142442	Undetermined Role
786280	143713	Ellen
786280	144784	
786280	145714	
786280	145903	
786280	145965	
786280	150166	Fannie
786280	152578	
786280	158159	Susan Boone
786280	162939	Fannia
786280	163355	
786280	163527	
786280	163528	
786280	164700	
786280	170821	
786280	176754	
786280	178276	
786280	185495	
786280	190550	
786280	191277	
786280	193671	
786280	194679	
786280	196199	Kate
786280	197669	
786280	197670	
786280	197691	
786280	201561	
786280	201594	
786280	202877	Gretel von Haagen
786280	217945	
786280	224575	
786280	226925	
786280	230552	
786280	231802	
786280	236661	
786280	238966	
786280	242566	
786280	248141	
786280	254472	
786280	256766	
786280	264454	
786280	267975	
786280	269790	
786280	269988	
786280	275856	
786280	277832	
786280	281430	
786280	281556	
786280	285436	Paula Loring
786280	289651	
786280	296805	
786280	298776	
786280	305166	
786280	307893	
786280	311019	
786280	317006	Gloria Van Norton
786280	320927	
786280	327461	
786280	327462	
786280	328604	Vera Vernon/Elaine Emerson
786280	331203	
786280	332121	
786280	333512	Freida
786280	337120	
786280	337603	
786280	350485	
786280	359887	
786280	362739	June Weldon
786280	362896	
786280	363013	
786280	363014	
786280	363834	
786280	363976	Jewel Brand
786280	365416	
786280	366217	Jean WIlson
786280	367295	Jeanne Lamont
786280	367517	
786280	367744	
786280	371030	Mazie
786281	87418	Parent
786281	265759	Nurse #1
786281	316961	Mother
786281	336692	ICU Nurse
786282	21790	Belle
786282	31241	
786282	34699	
786282	35797	Eleanor Wyatt
786282	44699	Betty Clayton
786282	73399	Marion Gray
786282	76551	Helene Savelli
786282	78682	Glory Billings
786282	78720	Eve Underhill
786282	84852	
786282	91558	Martha Steadman
786282	94961	Grace Kerr
786282	112395	Dance hall girl
786282	142444	Mary Flynn
786282	143081	
786282	159263	Pansy Hartley
786282	167628	
786282	169829	Rose Hardy
786282	175343	Hope Waite/Christie McClaire
786282	177627	
786282	188204	Miss Mabel Thompson
786282	192353	
786282	193661	Betty Hampton
786282	197669	
786282	202858	Esther Brown
786282	207767	Clarice
786282	212745	Leslie Winton
786282	215933	
786282	241721	Nan Sheridan
786282	245389	Flora Dale
786282	251258	Nan Christy
786282	285126	Mercedes
786282	289194	'Calamity' Jane Webster
786282	298040	Belle of the Dance Hall
786282	308372	Mary Clayton, aka Shotgun Mar
786282	319228	Woman Crook
786282	319275	Woman Crook
786282	361751	Edith Caldwell
786282	363935	Ninon
786282	365335	Helen Martin
786282	367389	Ruth Warner
786283	159757	Norma
786283	185756	Sophie Burton
786283	387203	Sarah McKillop (1989)
786284	245216	Salesgirl
786284	385824	Ashley (1988-1989)
786284	403452	Nancy (1984)
786285	716	Herself/host
786285	30977	Voice of Batwoman
786285	33004	Natalie
786285	44450	Donna (Ron's girlfriend)
786285	57380	Delia Byrd
786285	64121	Cindy Eller
786285	70257	Herself
786285	73559	Felicia Potter
786285	90911	Shelley Brady
786285	108339	Nina
786285	141164	Julia
786285	171030	Halley
786285	173512	Prostitute drifter
786285	183188	Sarah Raymond
786285	187698	Carol
786285	194656	Elizabeth Cole
786285	196437	
786285	196580	Bevan
786285	203462	Lillian Salo, Robert's Girlfr
786285	215644	Reyzel Weiss/Rose White
786285	218474	Claire Kelsky
786285	220775	Ruth Bridge
786285	222665	Blanche, Hooker
786285	253497	Herself
786285	253498	Herself
786285	253499	Delia
786285	254625	Lace Pennamin
786285	268201	Sam
786285	269433	Quinn Coleman
786285	292280	Mae
786285	302789	Linda Powell
786285	308096	Mary Blalock
786285	308115	Emma Rae
786285	323114	Tess Brock
786285	342364	Countess Olivia
786285	359173	Halina
786285	362493	Rachel Seelig
786285	364798	
786285	367767	Arlene Megeffin
786285	367778	Arlene
786285	368154	Vickie
786285	379999	Narrator
786285	380391	Julia Shearer #1 (1982-1983)
786285	407497	Janey Munroe
786286	269088	Esther
786286	288980	Penelope, a High-strung Girl
786286	347566	Mrs. Tracy
786286	409602	
786287	238238	College Student
786288	91061	Herself
786288	104768	Croatian entry (15th place)
786289	281542	Hoora
786290	287792	Jennifer
786291	306032	Pauline
786293	191779	Samantha
786293	283466	Kristy Moore
786294	100431	Samira
786295	10343	Olympias, Queen of Macedonia
786295	10376	Bonnie
786296	7715	Aleya
786296	110725	
786296	207300	Ashgian
786296	297067	
786296	297855	
786296	358105	
786297	7715	Warda
786297	9362	
786297	9453	
786297	9610	
786297	16554	
786297	23040	
786297	25644	
786297	25716	
786297	25921	
786297	98723	
786297	127031	Anwar's girlfriend
786297	152151	
786297	152165	
786297	155165	Hamida
786297	183088	
786297	191434	
786297	198809	Saniya
786297	201234	
786297	202113	
786297	225766	
786297	260882	
786297	286051	
786297	297052	
786297	297617	Sanya Terter
786297	303355	
786297	303358	
786297	322692	
786297	324147	
786297	327314	
786297	373761	
786298	15360	
786298	25716	
786298	64611	Alya
786298	162734	
786298	271037	
786298	285902	
786298	323007	
786299	58946	Traveler
786299	110523	Gas Station Attendant
786299	134889	Punky
786299	186156	Mrs. Harrison
786299	245761	Teacher
786299	250849	
786299	347741	Lottie
786300	196918	
786301	207714	French Lady
786302	528	
786302	36508	Dolly Caramel
786302	36509	La taverniera
786302	36510	La tesoriera
786302	36511	Il Male
786302	36513	La girl
786302	36514	Circe
786302	69941	La ballerina
786302	112651	
786302	206035	Cantante
786302	327913	Hilde Lang
786303	81503	Dana
786303	188504	Dane's Masseuse
786303	213843	Helena Secká
786303	286736	Lenka
786304	290839	Doris
786305	48757	
786305	52073	Medicinska sestra
786305	91217	
786305	94218	
786305	174972	Pedjina mama
786305	217290	Sudinica
786305	258601	
786305	261348	
786305	261946	
786305	273093	Sudinica
786305	288986	
786305	311140	Bozurova zena/Bozur's wife
786305	320558	Salterska sluzbenica
786305	333470	
786305	343867	
786305	351345	
786305	382431	Duda Pavlovic
786305	396589	
786305	397987	
786305	400481	Stevanova zena
786305	401991	Stankova zena
786306	132128	Marija Pavlovic
786307	192902	
786307	227826	Lucka
786307	234153	Psihologinja
786307	350990	
786308	192725	Posh's club snog
786309	219293	Eva
786309	344299	Secretary
786310	100983	
786310	171562	Loni
786310	183244	
786310	225181	
786310	250749	Singer: of 'Paris du bist die
786310	343655	
786310	354787	
786310	359627	Herself
786311	12704	
786311	15916	Frau Freisinger
786311	171139	Hilde
786311	223408	Koechin
786311	366517	Kommunarde
786311	377347	
786312	322833	Hedwig
786313	149524	
786313	224448	
786313	304458	
786313	310475	
786314	166662	
786314	304119	Ruzena
786315	74474	Herself
786315	196731	Knezna
786316	149978	Alena
786316	240084	Helena
786317	295060	
786317	373942	Pepicka, aunt
786318	51256	Phoebe
786318	84756	
786318	155648	Vera
786318	320638	Blond
786318	341631	Mrs. Vondráková
786318	344974	Vlasta
786318	374534	Mána Dostálová
786319	58248	
786319	87612	
786319	250643	Poupette
786319	399141	Andrea
786320	156026	
786320	378522	Dora Brehmová
786321	290107	Junge Feldbergerin/Young Feld
786322	258831	
786323	5689	MP officer
786324	156970	Kid on Blanket
786325	118128	Christine
786325	128061	
786325	384758	
786326	46830	Elizabeth
786327	14744	
786327	83543	
786327	85575	
786327	111957	
786327	112096	
786327	145250	
786327	150558	
786327	160137	
786327	233483	
786327	277376	
786327	293402	
786327	301121	
786327	304727	
786327	333743	
786327	334700	
786327	400790	Josefina
786327	402301	Silvia
786327	410016	
786328	64754	
786328	91536	Mrs. Konícková
786328	270949	Flo
786328	367327	
786329	17553	
786330	201396	
786331	50008	Hotel Guest
786332	168395	Joan's mother/War/Angel/Envy
786333	39796	
786333	44139	Herself
786333	75030	
786333	319346	
786334	274461	Grandmother
786335	227329	Shermans Frau
786336	37387	Stig Lovely
786336	46334	Dream Girl
786336	104924	Wife
786336	108488	Missy
786336	223807	Irene
786336	335671	Wizard's Choice
786337	13859	Owen's Mom
786337	41308	Stripper
786337	139135	Neighbor
786337	246761	Barmaid
786338	84414	
786338	131147	Elena Berestova
786338	219426	Nastenka
786338	238843	Alyonushka
786338	258437	
786338	339026	
786339	171437	Secretary
786339	262197	Franka
786339	275250	
786339	373592	Karczmarka Kasia
786340	54245	Concierge yougoslave
786340	309310	La tante Thérèse
786341	397357	Fang Yuanyuan
786342	217745	Wet Girl
786343	363869	Janice
786344	13742	Misti
786345	13365	
786345	88771	Girl #1
786345	195483	Bianca
786345	252853	The Perfect Couple Lady
786345	275448	Saleslady
786346	140967	CK Girl
786347	189548	Amanda
786348	10342	
786349	31391	Verena
786350	186926	
786351	192702	Girl
786352	35765	Clarice
786352	66038	Mona
786352	102985	Silvia
786352	109102	Servant girl
786352	134851	Die Amazone
786352	145318	Hilda Humphrey
786352	167140	
786352	179005	Polizistin im Hotel
786352	189695	Verena
786352	194509	
786352	199992	Freundin
786352	306599	Noel
786352	313664	Rita
786352	389839	Angie Wilhelm
786352	395470	Xev Bellringer (1998-2002)
786352	399472	Marianne
786352	403442	Wenke Fromueller
786352	409958	Babette "Barbie" Marx (1996)
786353	11353	Mom
786354	7663	Maria Du Val
786354	12404	Miss Sparks
786354	139052	Secretary
786354	222692	Eva McGonigall
786354	249624	Ada
786354	294909	Girl in Pub
786354	399442	Shop assistant
786355	393462	Young Israeli
786356	102447	Kakurine/Setsuna Saizuki/Kari
786356	227342	Mattie Jensen
786357	211615	A Bar Lady
786358	46849	Siamese girl
786359	260414	Stewardess
786360	15888	
786360	48401	Miss Karsten
786360	93438	Singer
786360	98317	Gräfin Monti
786360	110568	
786360	180981	
786360	186984	
786360	187545	
786360	188806	Gerda Rameil
786360	188821	Charlotte Darrandt
786360	209967	Betty Chumley
786360	210017	Helene Grolmann
786360	225138	Dr. Harzeck
786360	225142	Princess
786360	239115	Friedel Keller
786360	243680	
786360	269752	
786360	275045	
786360	276324	Gertrud Claudius
786360	290237	Erika Romayer
786360	328980	
786360	332620	
786360	350877	Friedel Keller
786360	359603	Lady Helen Bradley
786360	359638	Frau von Pe Pe Müller
786360	375982	Frau Rennert
786361	410444	Cacao
786362	67011	
786362	193077	
786362	209035	
786362	235300	
786362	281611	
786363	203964	Sekretær
786363	203969	Woman
786363	303747	Louise
786363	334249	Nurse
786364	34494	
786364	83078	
786364	156249	Dame 1
786364	168951	Hanne
786364	241975	
786364	322680	
786365	34494	
786366	399130	Kate Gibbons (1986)
786367	185251	Strangled Girl
786368	134093	Girl in Store #1
786369	134093	Girl in Store #2
786370	347794	
786371	3966	Doerthe von Seydlitz
786371	42617	
786371	82164	Heike Minke
786371	110760	Felicitas
786371	237486	Luiserl Moor
786371	302751	Luiserl Moor
786371	388798	Mutter
786371	394228	
786371	394903	Heike Sleis
786371	396874	Ortrud Saskia Winkelmann (#1)
786371	402046	Iris Pauli
786371	404224	Rosa Czerni
786371	409861	Julia (1995)
786372	388166	Lena
786373	79276	Belkis' Sister
786374	37214	Joan McCall
786374	65124	Katie Clancy
786374	79690	June Denton
786374	108002	Lottie Nation
786374	108435	Mrs. Brooks
786374	109401	Delphine Martin
786374	154680	Herself
786374	191214	Madge
786374	195553	Grace Tyler
786374	230736	Mary Mason
786374	245107	Concha Renaldo
786374	263471	
786374	295338	Mary Norton
786374	316320	Ruth Daniels
786374	318074	(cast of "Price of Divorce, T
786374	350014	
786374	362091	Eileen Kilbourne
786374	362889	
786374	367441	Doris Whitcomb
786375	45401	Mrs. Wampler
786375	80545	Marjorie
786375	109725	
786375	185169	Molly
786375	221095	Lila Legge
786375	223065	Maud Dunlop
786375	305485	Miss Quincey
786375	386053	Eloise Wilson (1962-1963)
786375	399944	Mrs. Christopher (Peter's Mot
786376	98385	Mädchen mit Eis
786377	32052	Dancer
786377	64098	Halloween Dancer
786377	127627	Beach Dancer
786377	243150	Dancer
786378	3265	Nurse
786378	26355	Bernice
786378	41373	Shelley Zydowski
786378	66963	Wanda
786378	80557	Sherry Steingaard
786378	80563	Francine
786378	87507	Linda
786378	97035	
786378	109938	Nurse
786378	110241	Young Mother
786378	170843	Alice
786378	174520	Markie
786378	178886	Lydia
786378	241166	Press Agent
786378	275319	Francine
786378	289260	Bag Lady
786378	408530	Daisy
786378	410835	Chris
786379	223206	
786380	376279	Irina
786381	90932	Whiskey girl
786382	320820	Vasquez
786383	282206	Trixi
786384	120997	
786384	282159	Magd Stine
786384	290260	Snow White
786385	216865	
786386	97016	Glynna
786386	125893	Girlfriend
786386	256844	Pitcher
786386	277948	Bitsy
786386	281255	Ashley Schwartz
786386	364651	
786386	392476	Cheri Baldzikowski
786387	79827	Arun
786388	53030	Mother
786388	360690	
786389	158102	Rockland T-Ball
786390	79859	Det Curtis
786392	232830	12 Step Member
786392	298993	Maya Ibuki
786392	298994	Maya Ibuki
786392	383019	Additional Voices
786393	41225	Singer
786393	41497	Herself
786393	47372	Sybil Smith
786393	220864	Herself
786393	350906	Herself
786394	115249	Young Marie
786394	410978	Amy Goddard (2002-)
786395	179065	Housewife
786395	253478	Diane
786395	311635	Adrienne
786396	410978	Amy Goddard (2002-)
786397	26324	Emma
786397	30965	Martha Wayne
786397	72853	Loudspeaker voice (Concord)
786397	78006	Lori
786397	121487	
786397	130299	Elinor
786397	158435	
786397	164431	Anne
786397	164433	Anne Tiler
786397	176911	
786397	217416	Mrs. Patterson
786397	282929	Margaret Johnson
786397	386849	Jenny Whiteman
786398	331891	Jerry's Secretary
786399	191196	Bambi
786399	277635	Groupie
786400	77685	Dimples
786400	215748	Showgirl
786401	367068	Background Singers
786402	27213	Waitress
786403	144170	Elise Wulf
786403	188835	Fischerin
786403	366535	
786404	194820	
786405	211615	Mistress Ford
786406	364300	Herself
786407	24613	Karen
786408	18517	Tine
786408	18523	
786408	226170	Zille
786408	396756	Antonia
786409	194888	Lan
786410	6580	Woman
786410	16264	Teacher
786410	164772	Edit
786411	325392	
786412	217171	Bobby's Mother
786413	43625	Vendeuse supermarché
786413	70954	
786413	154736	La domestique du manoir
786413	157325	Lucienne
786413	284297	Viviane
786413	381297	
786413	387553	Monique Fichet
786414	56049	Myriam
786415	155346	
786416	380390	Vanessa Fazan
786417	59149	Mrs. Jenkins
786417	132846	Herself
786417	148996	Jeannie
786418	37092	Jessie
786418	264761	Kelly
786418	293140	Little Miriam's Voice
786419	228164	The Western Swingers
786420	42298	His Wife
786420	70274	Socialite, Warden's Daughter
786420	120834	Wife
786420	141453	Bathing Beauty with striped h
786420	241829	The Bride
786420	289521	Farmer's Daughter
786421	185743	Linda
786421	313707	Mrs. Vernon
786421	385299	Sheila Maguire (1985)
786422	52318	Boudoir Photo Girl
786422	97688	Sandy
786423	392015	Godzilla/Gordon the Gorilla/W
786424	4226	Ammukkutty
786424	4472	Radha
786424	6459	Deyvani
786424	15812	Suman
786424	15968	Bala's Mother
786424	24796	
786424	26230	
786424	86669	
786424	95436	
786424	99344	
786424	123573	Nirmala
786424	136132	
786424	159896	
786424	165019	
786424	172318	
786424	176691	Beeyathu
786424	178206	Flirty Model
786424	180428	
786424	204848	Anitha
786424	222054	
786424	232874	
786424	262410	Champa
786424	287200	Dr. Baladevi
786424	288780	
786424	329627	
786424	344061	Subhadra
786424	350715	Radha
786424	370985	
786425	188388	Moms
786426	38832	
786426	178559	
786426	237631	
786426	325709	Frau Wörremann
786426	365707	
786426	387397	
786426	389948	
786427	172350	
786428	181556	
786431	204387	
786432	186306	Business Woman
786432	317245	Single Mother
786433	201988	Marta
786434	79550	
786435	178114	Hooker
786436	38148	
786437	41090	Little Girl Living Across the
786437	41102	Little Girl
786437	45096	Girl
786437	88916	Woman
786437	114649	Phronsie
786437	114650	Phronsie Pepper
786437	114651	Phronsie
786437	188387	Toni Gilbert
786437	209651	Millie Lou
786437	245254	Phronsie Pepper
786438	84742	Sarada
786438	166000	
786438	180215	Caster på TV
786438	248585	
786439	168076	
786440	145170	Hip girl
786440	267305	
786440	411707	
786442	287414	
786443	312325	Mannis Mutter
786444	197287	
786445	29400	
786446	168746	Wendy Dean
786446	193540	Felicity
786446	315754	Avis Morris
786446	320938	Judy
786446	394848	Susan Talbot (in 'Wonderbug')
786447	333845	Florine Vignaux
786447	355126	Marianne
786448	58912	
786449	149931	Zabo's Wife
786449	160412	Mrs. Levine
786450	359850	Agent #1
786451	213318	Fairy
786452	49828	Rat Woman
786453	405445	Judge
786454	44207	
786454	110548	Herself
786454	331968	Rosa Kozinsky-Verbeeck
786454	365672	Mevr. Dalsum
786454	379254	
786454	399052	Herself (2001)
786454	408151	Rosa Kozinsky-Verbeeck (1995-
786455	61286	Sophia
786455	208884	Ruthie
786456	127318	
786457	241703	
786458	80685	Corinna, die abgetakelte Scha
786458	232930	
786458	271600	
786458	342151	Golda, his wife
786458	371005	
786459	38696	Extra
786460	20831	Jeanne
786461	411047	Herself (Oswald's social work
786462	56750	Church woman
786462	119822	Whore
786462	205411	Woman #2
786462	218398	Georgia Ann Paynes
786463	347710	
786464	161188	Waitress #2
786464	291155	Nikki
786464	301666	Monica
786464	351427	May
786465	4616	Abbie Burgess
786466	244443	Twin #1
786467	226938	Purse Woman
786468	366908	Second girl on movie line
786469	184898	Cashier
786470	74280	Julie
786470	108339	Sarah (12-14)
786470	134752	Edie
786470	402837	Marsha
786471	301302	
786472	73833	Celebrity Party Guest
786472	161473	Documentary Subject
786472	224049	Herself
786473	372160	YDKJ Backstage Crew & Commeri
786474	41339	
786474	403889	Reggie
786474	411075	
786475	390653	Dancer (1993-1996)
786476	274751	Eileen's Mother
786476	340923	Aunt Fay
786477	16943	Girl Playing in Water
786477	226938	Screaming Supermarket Baby
786477	237006	Scared Little Girl
786478	215520	Ora
786479	242790	Louise
786480	176957	Coffeeshop owner
786481	243276	Shopper
786482	110997	Woman driver
786482	360855	Woman in Elevator
786483	44917	
786483	89041	Leah
786483	108672	
786483	162664	
786484	244443	Twin #2
786485	20152	
786486	185771	Tiffany Sanders
786486	289014	Susan
786486	323069	Sheila
786487	82401	TV Reporter
786487	193761	Agent at Party
786487	201579	Wife #3
786487	245236	Nurse
786487	302121	Commune member
786488	32052	Fitness Club Lady
786488	134731	Mr. Evans' Secretary
786488	171311	Writer at Bar
786488	199148	Tabloid Reporter
786488	201350	New Hampshire reporter
786488	330146	School Nurse
786489	36734	Swingdancer
786489	192357	The Girlfriend
786490	346673	L'interpréte
786491	16943	Laughing Girl
786491	335285	Flower Girl
786492	380531	
786492	384992	Isabel
786493	46764	Countess Anna-Marie
786493	56691	Odette Brieux
786493	130745	Dawn
786493	280365	
786493	308661	Virginia
786493	354022	Elsa Hofner
786494	76584	Nurse #2
786495	159663	
786495	196046	Gina Vanni
786495	280803	Bit part
786495	344607	Model
786496	286621	Gabrielle Bossis
786497	187445	Karoline
786498	13073	
786498	33327	
786498	66222	Cléo's Mother
786498	71224	
786498	83860	Dona Brites
786498	88327	
786498	256935	Viuva
786498	280850	Cecília
786498	376925	Isaura
786498	379008	Sofia Mark
786498	379244	
786498	380156	Mercedes
786498	380242	Clo
786498	380271	Mary
786498	380331	Clotilde 'Clô' Jordão
786498	381328	Miss Penelope Brown
786498	383479	Alzira
786498	383866	Eunice
786498	384480	Miss Brown
786498	385629	Celina
786498	385853	Stella Mendes Peixoto
786498	387833	Antônia
786498	395464	
786498	399490	Noêmia
786498	400678	Norah
786498	401791	
786498	405810	Laura
786498	405936	Paula Candeias de Sá
786498	407251	Madame Kiki
786498	409780	Odete Roitman
786498	412179	Lurdes Mesquita
786499	2434	
786499	13276	
786499	13283	
786499	29952	
786499	39705	
786499	81388	
786499	97113	
786499	161186	Gangster's Playmate
786499	247989	
786499	255159	
786499	296985	
786499	297334	
786499	305984	
786499	314694	
786500	229029	La vieille dame
786501	258851	Mathilde
786502	272867	Little Girl
786503	2761	Herself
786503	6994	'Pussycats' band
786503	7868	Cheryl
786503	17280	Jue (segment "Final Flight of
786503	17281	Jue
786503	32440	Kim
786503	35631	Manabu
786503	47865	Additional Voice
786503	97026	Samantha
786503	97585	
786503	103288	Dainty Lady Figurehead
786503	107942	Nichole
786503	108248	Pam
786503	108771	Tatyana
786503	109834	Marphuska
786503	111409	Fairy
786503	113333	Shinra
786503	125420	Additional Voices
786503	133402	Dolores Rebchuck
786503	134390	Pugsy/Carla
786503	134720	Girl Joey
786503	182506	Leila Markus
786503	187098	Jesse
786503	201302	Ket
786503	218219	Additional Voices
786503	230112	
786503	246867	Pajama Sam
786503	258083	Claudia
786503	258283	Vallory Cox
786503	273743	Ashley Spinelli
786503	273745	Ashley Spinelli
786503	273746	Spinelli
786503	283355	Jinx
786503	289222	Rebecca
786503	296543	Sgt. Raquel Barbella
786503	307886	Jenn
786503	326411	Trevor/Taylor/Tyler
786503	340908	A.G. Skinner
786503	342904	Tracy
786503	350189	Leila
786503	358055	McNugget #1
786503	358352	
786503	365909	Milly/Willy Niceman
786503	378703	Lucky
786503	379279	Zach Nichols #1
786503	379710	Sean
786503	381940	Rusty, the Boy Robot/Jo
786503	386855	Miranda Halpern (1992)
786503	388195	Kelly Affinado (1983-1984)
786503	393269	Hector MacBadger
786503	393906	Rock
786503	393915	Baloo the Bear
786503	394497	Bobby Hill
786503	396540	
786503	399935	Milo Oblong/Jared Klimer/The 
786503	401191	Margaret Rose 'Moose' Pearson
786503	401359	Sparks
786503	402234	Additional Voices
786503	402556	Dewey Duck
786503	403038	Ashley Funicello Spinelli
786503	403079	Toni Rutledge
786503	403907	Additional Voices
786503	406113	Judy
786503	407654	Tyler, Tayler, and Trevor
786503	408274	Otto Osworth
786504	401855	Polly
786504	405488	Hillary
786505	75360	Juliana
786506	29081	A.D.C
786507	2069	Newstand Woman
786507	9897	Big Lez
786507	140310	Jane
786507	151125	Dancer
786507	230682	Angry Resident
786507	364376	Sheneequa
786508	110357	Det. Linda Beck
786509	148676	Red-headed woman
786510	112819	
786511	259936	
786512	105083	Herself
786512	201865	Herself
786513	9084	Madre de Juantxo
786513	23190	La Presidenta de Mesa
786513	68618	
786513	68971	
786513	104544	
786513	171417	Reme
786513	198246	Ensalmadora
786513	199930	Julia
786513	276404	Criada
786513	301115	Mujer asilo
786513	319655	Aurora
786513	367778	Bar Maid
786514	309089	
786515	279996	Extra
786516	3436	
786516	12022	
786516	52149	Doña Meche
786516	52715	Nana Maria
786516	53672	
786516	54325	
786516	55961	
786516	59786	
786516	61357	
786516	63322	
786516	70648	
786516	72958	
786516	74530	
786516	76017	
786516	90138	
786516	100520	
786516	104156	
786516	132672	
786516	139912	
786516	143676	
786516	153819	
786516	165161	
786516	169854	
786516	194610	
786516	197644	Sra. Benitez
786516	197972	
786516	199853	
786516	202228	
786516	202836	
786516	205793	
786516	207754	
786516	212435	
786516	213709	
786516	216092	
786516	221937	Doña Lupe
786516	253184	Sra. Reyes
786516	258478	
786516	263923	
786516	268495	
786516	273012	
786516	281689	
786516	281762	
786516	287452	Chabela, a working class moth
786516	292759	
786516	296469	
786516	319767	
786516	332709	
786516	332920	La Comancha
786516	341361	
786516	349855	Madre de Valentina
786516	357727	Old Woman Making Bread
786516	376697	
786517	233757	
786518	90127	
786518	222121	
786518	376645	Doña Tomasa
786519	88376	Mère Joséphine
786520	196783	Alisa
786521	57851	
786521	134893	Mina-Ha
786522	239298	
786523	3142	
786523	173489	
786523	283956	
786523	284038	
786524	408430	Yuuko Kagawa
786525	25662	Dóra/Lili/Mother
786525	110115	Sister Faustyna Kowalska
786525	244105	Kasia
786525	300056	Dorota
786525	304439	Olga
786525	325373	
786525	343319	
786525	343338	Bozena
786525	369017	Anka, Jan's sister
786525	369349	
786525	398874	Agata Kwiecinska
786526	391476	Els Robijns (1996-1998)
786526	408151	Sarah Bastiaens (1996-1997)
786527	76322	
786527	84787	
786527	206669	
786527	356072	Gogi
786529	18081	The woman
786529	107303	Ammen
786529	315378	
786529	321909	Erna
786529	378337	
786530	140399	Labor Nurse
786531	43449	
786531	44012	Mrs. Lukash, Witness
786531	44081	Mrs. Murphy
786531	47849	
786531	96855	
786531	122051	Mrs. Ross
786531	179028	Mrs. Reilly
786531	365277	Nou Nou
786532	2048	Herself/Singer
786532	346598	
786533	4445	Alli
786534	85680	
786535	226516	Swimming school child
786536	12706	Mother Superior
786537	105045	Danserinde
786537	156366	Ulla
786538	18292	
786538	182531	Ung Tjej på Cafe
786538	187652	Gunhild
786538	237462	
786539	16831	Singer Eine Frau mit Herz
786539	42599	Singer
786539	95263	Singer
786540	50021	Herself
786540	69572	
786541	29002	Student in English Class
786542	109408	
786543	278170	
786544	90731	La madre di Rosetta
786544	339074	
786544	356225	
786545	63991	
786546	158759	
786546	404750	Una suora
786547	160016	Gigi
786548	191679	Helene
786549	71267	
786550	43657	Marcelline
786551	253276	wife of Matroea
786552	223084	Guadalupe's Grandmother
786553	36652	
786553	317711	Clara
786553	378489	Señora de Winkle
786554	136987	Nurse B
786555	197442	Rosita Candelas
786555	205857	
786555	334658	
786556	49112	
786556	145591	
786556	202096	
786556	246555	
786556	285402	Corazon
786557	328838	
786558	53273	Miss Hope Climax
786559	37263	Shy Guest
786560	215220	Ana Celia Ramos
786561	410999	Herself (carpenter)
786562	398852	Louise
786562	403771	Camilla
786563	37263	Diana Wallis
786563	81894	Mary Carol
786564	234490	
786565	5447	
786566	195137	Marie-Laurence Despins
786567	21693	
786568	22112	
786568	27738	
786568	39006	
786568	68851	
786568	88708	
786568	101679	
786568	131914	
786568	239359	
786568	239360	
786568	248019	
786568	302797	
786568	387256	
786568	400062	
786569	66213	
786569	377034	Godess
786570	72074	Mannequin
786571	1473	
786571	111094	Noémie
786571	154937	La directrice de casting
786571	200949	Dany
786571	249208	Corinne
786571	336930	Magali
786571	341402	Delphine
786571	345524	La jeune femme
786571	346732	Nadia
786571	357857	Alexis
786572	26796	Michelle
786573	91966	
786573	355262	La fille de Montreal
786574	141536	Jennifer
786574	151117	Drive-Thru Woman
786574	232507	Karen
786574	274445	Irene
786574	277949	Traffic controller
786574	311491	
786574	318642	President's Aide
786574	342618	Juror #1
786574	383186	Caillou's mom
786574	387058	Hamilton neighbour
786574	396952	
786574	398082	Madeleine Gotto
786574	401449	Trish
786574	411202	Graziella
786574	411565	Eve
786575	341850	Camille
786576	63774	Marianne
786576	199315	La dentiste
786576	217718	Carole
786576	241878	Doriane
786576	360149	Marquis de Sade girl #3
786576	377614	Mireille
786577	68784	La Journaliste
786577	170466	Éléonore
786577	271333	Agnès
786578	181842	
786579	169539	Patronne de bar
786580	50025	Rhoda
786581	53169	Peluqueria
786581	70118	Celina
786581	84062	
786581	322396	Medica Residente 2
786581	401913	Sonia
786581	403366	Sara
786582	96834	
786583	68613	
786584	3554	Guillermina
786584	6473	
786584	30319	
786584	33208	
786584	74504	
786584	101512	Elena
786584	110228	
786584	136994	
786584	162783	
786584	170091	
786584	209084	
786584	212494	
786584	221943	
786584	269220	
786584	270067	
786584	277125	Prof. Silver; Silveria
786584	281791	Beatriz
786584	317731	Lupita Soto
786584	332926	
786584	339163	
786584	349668	
786584	352149	
786584	376705	
786584	376855	Guillermina
786585	25816	Novia de 'B'
786585	77248	María
786585	83507	Lucía
786585	103181	Olga
786585	140660	Nuria
786585	183985	Susi
786585	193515	Cristina
786585	263763	Susi
786585	338065	
786585	341084	Maria Jose Reina
786585	355098	
786585	378946	Lara
786585	379566	Claudia (2001-2002)
786585	384972	Laura Peris (2000-2001)
786585	387869	
786585	391906	
786585	399505	
786587	105691	Begoña
786587	204989	Gené
786587	378641	Mireia Saladrigas
786588	236407	La Chiripa
786589	332919	Yola
786589	404161	Estrellita
786589	409908	Nydia
786589	410327	
786590	160104	Lolita de Frizac
786592	212522	
786593	124340	Young Nun
786594	169578	Girlfriend
786595	2990	
786595	66096	Zoe
786595	77392	Grace
786595	313476	Cordé
786595	317897	Monkey
786595	408879	Woman
786596	280561	
786597	245582	
786597	386788	Lutecia
786597	398474	Tere
786598	127986	Eva Bloch
786598	238010	
786599	907	Le chauffeur du dieu de la bl
786599	8616	La dame bisou
786599	10761	La mamie
786599	44738	Francis' mother
786599	60965	
786599	88697	La cliente âgée de la banque
786599	112889	Mamoune
786599	124141	La vieille dame
786599	156278	
786599	199572	Old woman showing the way
786599	202579	
786599	218077	Une vieille dame à l'hospice
786599	234687	
786599	247977	Petite vieille 1
786599	249817	
786599	256745	La vieille dame
786599	310456	La cliente
786599	324517	La dame du Luxembourg/Old wom
786599	336968	
786599	337032	La dame âgée/La vieille dame 
786599	377069	(segment "Station service, La
786599	377869	Mémé
786599	390477	La joueuse de jambon
786599	394293	
786599	408002	Une malade
786600	234490	
786601	273119	
786602	93116	
786602	380170	Evagelia
786602	392004	Alexandra
786602	392994	(Betty)
786602	397143	
786602	398041	
786602	406537	
786603	19209	Nurse Cathy
786604	360661	Kajal Patel
786605	7774	
786605	17319	Nanima
786605	33940	Biji
786605	36022	Pushpa
786605	54827	Jerualeme's Grandmother
786605	58676	Dadi (Pappu's grandmother)
786605	72006	
786605	85373	
786605	86678	Grandmother
786605	86745	
786605	136127	Mustani
786605	139356	Affaf
786605	149208	Maria
786605	152453	Dadi
786605	171853	Daadi
786605	172539	
786605	174799	
786605	184555	Gran
786605	193902	Devi
786605	204305	Mère de Ranjit
786605	207036	Grandma
786605	284784	Sister Martha
786605	323913	Malia
786605	324154	
786605	351740	Putri
786605	388782	Suvira Bhatia
786605	393491	Lili Chatterjee
786605	395741	
786606	101418	Interpreter In Square
786607	136741	Cemile
786607	163093	
786608	31018	Extra: Metro
786609	153717	Expediter
786609	315606	Kerstin
786610	390950	Balloon mother
786611	76767	
786612	391604	Martina Vattke (2001-2003)
786613	201668	As Herself
786614	73193	Hut Lady
786615	32712	Cafe patron
786616	29885	
786616	80743	Coroner
786616	112399	Jerry
786616	130767	
786616	166007	Casting Director
786616	206136	
786616	373990	Spaceship Crew
786617	40800	Records Nurse
786617	58490	Older Woman on Train
786617	59759	Farmer's Wife
786617	67776	
786617	105393	Degattis
786617	116466	Condo Manager
786617	154427	Woman Walking Dog
786617	201320	Thelma
786617	208065	Molly Purdy
786617	210732	Real Estate Agent
786617	222739	
786617	234989	Roy's mother
786617	246260	Henke's Mother
786617	271339	Parole Board member
786617	281457	
786617	360741	Tante Marge Sparr
786617	366817	Social Security Clerk
786618	305159	Dancer: The Dance Company
786619	177598	Singing Willow Tree
786620	146988	Thomas' Girlfriend
786621	31702	Beach Community Member
786621	274027	Kirsten Railton-Ulmke
786621	381211	German girl with Janovec
786622	177601	Gwennie
786623	61706	Lindsey
786624	67788	Silvia
786625	395438	Presenter
786626	111887	
786626	269574	Vitória
786626	381328	Laura Baronni
786626	388065	Dara
786626	391580	Gabriela M.
786626	396610	Débora Batista (2002)
786626	401104	Jerusa
786626	403171	Joana (Tião's wife)
786627	49294	Young prostitute
786627	138494	Mermaid1
786627	317277	Nina Arendt
786627	325439	Hanna
786627	347801	Kerstin
786627	359066	Kristina
786627	392669	Jenny Geibel
786628	145493	
786629	11831	Altes Mädchen
786629	290830	
786630	42144	
786630	119704	Herta Dormin
786630	177173	Lisa
786630	204462	Frau Schild
786630	230087	Therapeutin
786630	259626	Paula Seibt
786630	318084	
786630	325513	Diana Martini
786630	325796	Jutta Berkbusch
786630	358214	Cosima Wagner
786631	210002	
786632	77105	Siyagul
786632	89606	
786632	261665	Begaim
786632	344323	
786632	373639	
786634	152830	Theresa
786634	175287	Lucy
786635	84543	
786636	361258	Antionette
786637	31675	Bikini Girl
786638	108146	
786639	31675	Cecile
786640	259636	Danni Lommer
786641	352165	Mädchen
786642	57606	Hostess
786642	66549	Girl
786642	115810	Baker's Daughter
786642	118040	Betty
786642	155846	Girl
786642	157870	Bit
786642	231797	The Cashier
786642	241444	
786642	249021	Girl
786642	302629	Bit
786642	312586	Girl in Car
786642	315956	Danish Girl
786642	361154	Mrs. Willis Parker
786642	372050	Hat Check Girl
786642	374198	Dancer
786643	69	Boer girl
786644	52781	
786644	332144	Herself
786645	6669	Truus
786645	155482	Astrid Preisach
786645	248690	
786646	17491	Anna Pelzer
786646	38840	
786646	107548	Faith
786646	346848	Fairy
786646	380356	Anna Pelzer
786646	390917	Dovis
786647	325887	
786648	397386	
786649	196387	Eric
786650	214558	Herself - Author
786651	161513	Herself
786652	58736	Herself
786652	69415	
786653	283434	Kathy
786654	365253	Ballad
786655	127154	Britt
786656	151183	Sarah Young
786657	197832	Else
786658	104482	Berenice
786658	108743	Leila
786658	338239	Maria (virgem blessed)
786658	384922	Renata
786658	385023	Laís Monfort
786658	386727	Aninha
786658	387640	Sílvio's mother
786658	387901	Luciana
786658	389786	Gláucia
786658	393286	Leonor
786658	393615	Vivian
786658	396036	Luciana
786658	396610	Vera Ferreira (2001-2002)
786658	396722	Mariana
786658	397409	Bela
786658	397645	Beatriz
786658	400445	Lavínia
786658	400838	Edite
786658	404272	Pola Renon
786658	404960	Diana
786658	409025	Odila Bourbon
786658	409780	Marília
786658	409814	Soninha
786659	205301	Rotkäppchen
786660	53751	Sister
786660	133513	Grand Duchess
786660	153995	Fräulein Schneider
786660	343475	Mad. Ivonne Trieux
786660	359174	Countess Rostov
786660	361565	Baroness von Braun
786660	367675	
786661	183323	Girl in Bar
786662	92729	Sabrina Stettler
786662	220709	
786663	597	Reporterin
786663	4775	
786663	12379	Antonie
786663	16787	Vergeinerin
786663	20324	Lissy
786663	24065	
786663	46161	
786663	48138	
786663	70740	Rosa Rachoinig
786663	93442	Mutter Hagedorn
786663	98318	Frau Blumenblatt
786663	101337	
786663	104828	
786663	111952	Mrs. Harrison
786663	119027	
786663	121057	Tante Anna Böhm
786663	142012	Lisa
786663	147132	
786663	166431	Jedermanns Mutter
786663	179830	Girardis Mutter
786663	191070	
786663	272784	Friederike
786663	282191	
786663	293240	
786663	346851	
786663	348041	Frau Brunnhofer
786663	349662	Mutter
786663	354110	Frau Hutterer
786663	364995	
786663	367152	
786664	253458	Tanya
786665	24082	
786665	93493	Frau Schramm
786665	108189	
786665	119283	
786665	121051	
786665	173052	
786665	175399	Frau Kruse
786665	184392	Oberin des Klosters
786665	219702	
786665	225181	
786665	226406	Frau von Wenzel
786665	306404	Frau Bundschuh
786665	354369	
786666	79182	
786666	180113	
786666	258341	
786666	325647	Anne Römer
786667	18075	
786668	179889	Barbara
786669	221343	Marie
786669	276332	Mother
786670	1847	Klára
786670	43128	Marika Cihanová
786670	175028	
786670	195040	Zubejda
786670	229691	Lucie
786670	306314	Tereza
786670	317631	Ala
786670	398851	Martina Lukesová
786671	401107	Penny
786672	59192	Darkling
786673	75698	Gloria
786673	78097	Newsies Girlfriend
786673	100131	Cop #1
786673	194759	Bordello Whore
786673	270697	Radio actress 5-B
786673	273164	
786673	283621	Fujiko Mine
786673	323134	Additional Voices
786673	334244	Kathy Pearl
786673	380390	Jill Hanson (1982)
786674	31544	Sophine
786674	74123	Female Newscaster
786674	138220	Handmaid
786674	283621	Woman
786674	323134	Additional Voices
786674	373368	Mom
786675	203376	
786676	178291	Girl
786676	283621	Girl
786676	334175	Megan Weeks
786677	5055	German woman
786677	5882	Old Woman
786677	5932	Woman on plane
786677	11583	Anna Miller
786677	26978	German Mother
786677	31277	French peasent woman
786677	36971	Woman guardian
786677	39760	
786677	44501	Mrs. Lepkowitz
786677	79368	Mama Teretzky
786677	118802	Mrs. Chekhov
786677	124224	Old Lady Operator
786677	133807	Female vendor
786677	134801	
786677	168126	Little Old Lady at Confession
786677	188547	Frau Mombert
786677	214932	Mrs. Hamer
786677	252489	Anna (the cook)
786677	267574	Mrs. Vogel
786677	295439	Mrs. Grosser
786677	308830	
786677	316070	
786677	327746	Wife
786677	331522	Innkeeper-Landlord's Wife
786677	353373	Cleaning woman
786677	360488	Mrs. Weinstock, Brooks' Neigh
786677	366215	Mrs. Lazlow
786679	325533	Sylvia
786679	325555	Erika Hawratil
786679	325627	Jutta Heintze
786679	325710	Sylvia
786679	325921	Ursula Wilbrandt
786679	325926	Frau Berger
786680	406568	Herself - Choir
786680	406569	Herself - Choir (season 3-200
786681	344673	TV-Reporter
786682	14453	Alia
786682	289204	Afkar
786683	139476	Meeme
786683	398579	Kyon Hwa Kim
786683	405635	Anna
786684	114089	Vivian
786685	364300	Herself
786686	157499	Angela
786687	188764	Christine
786688	87166	Group Rehearsing In Hallway
786689	359049	Woman
786690	344402	Herself
786692	377352	Katja
786693	247887	Mrs. Sparhawk
786694	22714	Nancy
786695	40397	
786696	350438	Daughter
786697	135000	Herself (Zürich)
786698	109924	Jaeger's wife
786699	174535	Frau Neubert
786699	176561	Anne
786699	242756	Peter's mother
786699	312023	
786699	395010	
786699	403779	
786700	262311	Bad Actress
786701	360355	Carol
786702	259474	
786702	368741	Bea Rabe
786702	392669	Manuela
786702	411344	Verena Wolff
786703	90664	Giuli Stanuzzi (segment "La n
786703	111581	Liz
786703	132993	
786704	276821	
786705	66945	Shirley
786706	184341	Bar Patron
786707	182331	Sunny
786708	54379	La Ragazza (segment "Mostro d
786709	126508	Buffy
786710	20439	Lauren Roth
786711	42531	Perry's Girlfriend
786712	17848	
786712	38972	Mimi
786712	48703	Gloria
786712	70957	Laura Bartelli
786712	71952	Zanon
786712	88084	Bobbi
786712	96240	Princess of the Bahamas
786712	111396	
786712	119018	Michelle
786712	156557	Nathalie
786712	157079	Madeleine Durand
786712	183941	
786712	202266	The Girl
786712	233058	The Girl
786712	233188	Lisa
786712	257114	Nathalie
786712	261855	Julie Neyrac
786712	282772	Michelle Claire
786712	287615	Armelle
786712	309733	Odile
786712	316803	Lucilla
786713	14352	Katel
786713	24853	Frosine
786713	101182	Madame Guerin
786713	167195	Billy's mother
786713	186193	La Grande-Mademoiselle
786713	201180	Herself - from 'Doit-on le di
786713	216236	La Thenardier
786713	216237	La Thénardier
786713	218276	Léonie Louplac
786713	225383	Martine
786713	249087	Cécile
786713	255490	
786713	264212	Cécile Mabilleau
786713	292279	Clara Cellerier
786713	325077	Dorinne
786713	388716	Mrs. Courtois
786713	396867	L'impératrice Marie-Thérèse
786713	397200	Astérie
786713	401972	Eléonore Josserand
786713	404861	Mme Goujon
786714	353907	Pénélope
786715	2252	(segment "Attente, L'")
786715	2324	Juliette
786715	33581	Séverine
786715	35351	Carole Novacki
786715	40564	Mylène
786715	44987	
786715	58743	Odette
786715	66745	Chloë
786715	118837	Sophie
786715	125723	Clémentine/Anne
786715	125724	Clémentine/Anne
786715	126085	Angélique
786715	139682	Claire
786715	148699	Lise
786715	158748	Mademoiselle Briat
786715	164176	
786715	184062	Josiane
786715	199384	Catherine 'Madame Sans-Gêne' 
786715	201683	Herself
786715	202001	
786715	205617	Nadine
786715	205647	Valentine
786715	225464	Nathalie
786715	230149	Marylin
786715	236203	
786715	246986	
786715	261116	Fanny
786715	268463	Gaud
786715	282053	Marie
786715	300661	Leila
786715	309733	Tuttut
786715	327577	Céleste
786715	339967	Emmanuelle Barsac
786715	346606	Sandrine Dumez
786715	349482	Mélanie
786715	355866	Corinne
786715	357834	Samantha
786716	202297	
786717	191419	
786717	385983	Marilena
786718	412	Helena
786718	8902	Mrs. Valma Hurme
786718	25266	Elsa
786718	162305	
786718	168413	
786718	170245	Marja
786718	170519	Hanna Niskala
786718	171439	Juurakon Hulda
786718	175327	Aliina
786718	179625	
786718	181650	
786718	182014	Mrs. Varavaara
786718	206142	Ritva Majuri
786718	213375	Virve Vainio
786718	215112	Britta Allnes
786718	237243	
786718	242853	Master Tyynelä
786718	255762	Clocksmith's wife
786718	255935	Leni/Hanni
786718	256880	Liisa
786718	267122	
786718	268329	
786718	278349	Irja Rantanen
786718	279239	Narrator
786718	321925	Stiina Berg
786718	336584	
786718	343402	Uncle's wife
786718	349440	Anna
786718	350590	Teacher Rauha Tuomikoski
786718	351366	Äiti
786718	354282	Ane Arvila
786718	354598	
786718	371656	Eliisa Raaska
786718	377313	
786719	274461	Angelina
786720	381091	Herself (eliminated round 4) 
786721	252149	
786721	290644	Annelies
786722	104885	Fischerstochter
786723	241814	
786724	409609	(1992)
786725	315980	
786726	364876	Susanne
786727	124057	Edwige
786728	65210	Marie
786728	94254	Anna
786728	127706	Anna
786728	134943	Inga Lill
786728	147008	Solbritt
786728	171634	Catrin
786728	180396	Eivor
786728	181086	Katarina
786728	190809	Rut Vanheden
786728	198012	Bunny Girl
786728	214385	Storsäcken's Daughter
786728	215073	Petra's Mother
786728	242756	Margareta
786728	246024	Philippa
786728	247600	Florence J. Olsson
786728	254281	Prillan
786728	254282	Prillan
786728	289212	
786728	305895	Monica
786728	315034	Supervisor at Flower Shop
786728	350609	Corpse in mortuary
786728	354417	Mrs. Sörby
786728	380351	Tabbe's mother
786728	381054	nurse Nilla
786728	384527	
786728	392089	Vamp
786728	394057	
786728	404435	
786728	405458	Ros-Marie Larsson
786728	406576	Marianne
786729	212156	
786729	314350	La marquise
786730	6697	(segment "TV Buster")
786730	168799	L'infirmière du dispensaire
786731	1218	Bookstore patron
786731	186835	
786731	209193	
786732	270400	Vera
786732	282766	Jana Cerná
786733	267081	Louise
786734	248491	Millie
786735	67955	Other Appearance
786736	123420	Karen, the Game Show Contesta
786737	109126	Carl's Girlfriend
786738	161158	
786739	103098	Fritzi Lindner
786739	119287	
786739	142090	
786739	168396	
786739	208793	Vocal
786739	294691	Singer
786739	314560	
786739	334770	Maira de Costa
786740	41828	Zoe 'The Bartender'
786740	365169	Girl at Zanzibar
786741	245994	Woman in Restaurant
786741	284526	Pamela, Hotel Receptionist
786742	12857	
786742	47825	
786742	84592	Ditte Nansen
786742	98301	
786742	111763	Mutter III
786742	121055	Schumann's mother
786742	125314	Bélise
786742	127744	
786742	134936	
786742	136930	Adelaide
786742	147270	Frau von Berg
786742	182078	
786742	194573	Gerda Tietze
786742	206305	Marquise's Mother, The Colone
786742	207803	
786742	240002	Frau des Polizisten
786742	254372	
786742	272785	Friederike Gollwitz
786742	289917	
786742	290300	Clara's Mother
786742	315971	
786742	343756	
786742	347002	
786742	347616	
786742	366477	
786742	369162	
786742	374554	Brigitte
786742	375528	Gnädige Frau
786742	376392	
786742	378168	Gerda Tietze
786742	379858	
786742	389956	
786742	393360	Sophie von Quindt
786742	394143	Margarethe Kempowski
786742	403794	Frau Milroy
786742	407351	Mutter Grete Kempowski
786743	41327	Sister Elena
786743	323915	
786743	397610	
786744	247007	Leila
786744	391059	
786744	394792	Patricia Kavonius (1995-2003)
786744	397537	Raija Metsola
786745	90960	
786746	392080	Herself
786747	137860	Ulrike
786747	325483	Sweetie
786748	164833	Maria
786748	325398	
786749	388288	Lisa Kleist
786750	401482	
786751	176549	
786751	282248	
786751	343508	Eila
786752	352405	Phantom
786753	252524	Hostess
786754	187471	Sylvia
786755	126846	Vroni
786755	169844	Minchen Fiebelkorn
786756	145339	Fairy
786757	10883	Harcourt's girlfriend
786757	389269	Dancer (segment "The Cowboy a
786758	155071	Esther Bellamy
786759	251056	Bubi Wagner
786760	103276	Frau Jürgens
786760	106810	Fabian's Mother
786760	189292	Herself
786760	250921	
786760	325382	Frau Henning
786760	381053	Agathe
786760	394742	Frl. Rehbein
786760	399163	Großmutter
786760	406828	Großmutter
786760	408388	
786760	409613	Tante Hilda
786761	347039	
786762	288932	Woman In Truck
786763	24634	Officer
786764	27127	
786764	100987	
786764	120853	
786764	134778	
786764	156736	Mrs. Lohmann
786764	178600	
786764	180080	
786764	188835	Frau des Fischgroßhändlers
786764	189640	
786764	225142	Cook
786764	259174	Meisterin
786764	272748	
786764	281924	Frau Quast
786764	289894	
786764	290783	Gräfin Haschlowitz/Countess H
786764	317614	
786764	378567	
786765	409720	Eva
786766	152942	Poacher girl
786767	347506	Lorchen
786768	138907	Gast in Uschis Club
786769	399093	Herself
786770	129722	
786771	329524	Lia
786772	57651	Herself
786772	96555	Herself
786773	215039	
786774	95341	Isabel
786774	212142	Beatriz
786774	385209	Tânia
786774	407906	
786775	400095	Young Maria dos Prazeres
786775	404059	Diana Alfarroba
786776	136666	Herself
786776	344732	
786777	12727	Rosario, Benita
786777	41355	
786777	75777	Juanita Perez
786777	220160	
786777	363587	Gabriella
786778	408212	Maria do Céu
786778	408381	
786779	24385	Nora Trenk
786780	90120	
786780	98788	
786780	111028	
786780	114752	
786780	237312	
786780	268394	
786780	268460	
786780	280440	
786780	284225	
786781	96335	Isabel
786782	57556	Sofia Triska
786782	82797	
786782	138417	Hanka Solnarová
786782	139865	
786782	149978	Bozena
786782	182310	Míla Svojanová
786782	198221	Blazena, wife
786782	225593	
786782	227872	
786782	229558	Bublichová
786782	230483	Jasmína Dalia
786782	237697	Kalousová
786782	266456	Weberová alias Sternová
786782	281214	Pavel's Mother
786782	282767	Eva
786782	309445	Málinka
786782	312509	
786782	320673	Trcková
786782	322405	
786782	323639	Matysová
786782	343453	Grandmother
786782	344347	Katy
786782	356092	Teta
786782	374263	Nany, audio typist
786782	375408	
786782	405729	Mrs. Váchová
786782	407428	Aunt
786783	16950	Maryse
786784	120080	Chapingo Chapel Model
786786	111557	Extra
786787	3164	Herself
786787	13389	
786787	26912	
786787	32175	Princess Seka
786787	34836	
786787	34848	
786787	40151	
786787	41913	
786787	41972	
786787	69441	Seka
786787	71878	
786787	75191	
786787	78262	
786787	78263	
786787	84001	Herself
786787	85752	
786787	91842	
786787	98840	Herself
786787	98848	Herself
786787	98865	Herself
786787	102781	
786787	102791	Seka
786787	102815	Herself
786787	102846	
786787	102853	
786787	102854	
786787	102855	
786787	102856	
786787	117453	
786787	119477	
786787	128667	
786787	128752	
786787	128772	Talk Show Hostess WLUP 97.9 C
786787	128861	
786787	129090	Herself
786787	133801	
786787	150343	
786787	165959	
786787	187411	Herself
786787	187412	Herself
786787	190962	
786787	190963	
786787	195611	Seka
786787	195916	
786787	197799	
786787	202719	
786787	210732	Adult Film Star
786787	218744	
786787	232205	Porno star on TV
786787	240975	
786787	243103	
786787	243540	
786787	245472	
786787	245473	
786787	249545	
786787	249546	
786787	251783	
786787	251784	
786787	260713	
786787	260714	
786787	263338	
786787	293043	Seka
786787	293655	
786787	293656	
786787	293658	
786787	294297	
786787	295663	
786787	295748	Herself
786787	306237	
786787	311456	Herself
786787	313216	
786787	313236	
786787	313279	
786787	313687	
786787	314200	
786787	319458	
786787	319699	
786787	319735	Gerry
786787	320962	
786787	320964	
786787	320966	
786787	320967	
786787	320968	
786787	320969	
786787	320970	
786787	320973	
786787	320974	(segment 'Deck The Halls')
786787	320975	
786787	320977	
786787	320978	
786787	320979	
786787	320980	
786787	320984	
786787	320987	
786787	320988	
786787	320997	
786787	320998	
786787	320999	
786787	321002	
786787	321053	
786787	321054	
786787	321117	Sweet Alice
786787	329566	
786787	335803	Herself
786787	341840	
786787	361943	
786787	366117	
786787	370039	Herself
786788	308240	
786789	72740	Anna's daughter
786790	89481	
786790	163046	
786790	197100	
786790	209235	
786790	357328	Mitrusica
786790	394138	Medicinska sestra
786791	101784	Yukiko Ikeda
786791	176612	Akemi
786791	179399	Office lady
786791	200546	
786791	242119	Oyuki
786791	242183	
786791	323494	Nana
786791	371878	Asama Shinobu
786792	8786	
786793	174964	
786794	167478	
786794	179397	
786794	181996	Bâ-chan
786794	201302	Barsa (Bertha)
786794	232927	Nobu
786794	244054	Teacher in Videotape
786795	101487	
786796	156234	Kazue Watanabe, Mitsuo's wife
786797	169733	Dancer
786798	174964	
786799	318515	
786800	212458	Zorica
786801	322000	
786802	373224	Mori Mayumi
786803	394101	Kazami Yukiko
786804	115182	Mamimi Samejima
786804	390900	Midori
786804	391337	Waitress, Female Vampire
786804	392430	Fujio Himejima
786804	407847	Silky
786804	409831	Shirley (Season 2)
786805	405979	
786806	30988	Kaori Minami - Girls #20
786807	122957	Herself (interview segment)
786808	411434	Key Yamashi/Emiha
786809	394025	Akiko 'Aki' Sakata
786810	145280	Okazaki, Nobue
786811	374600	
786812	74270	Spectator
786813	248091	Kelsey
786815	299559	Genjiko
786815	405185	Genjiko
786817	176527	
786817	216524	
786818	185226	Hazel
786818	408434	Mikiko Takasugi
786819	318563	Rica Mihara
786820	105110	
786821	79337	Shae Powell
786821	102143	Jaime
786821	160220	Patsy Logan
786822	389359	Schwester Ingrid "Inge" (1993
786823	32900	Serb Anchor
786823	410330	Inspektorica
786824	387618	
786825	90151	
786825	209362	
786825	225898	Seljanka
786825	261675	
786825	267844	
786825	312420	
786825	375392	
786825	395497	
786825	404090	
786825	404207	
786825	406112	
786826	40867	
786826	49177	
786826	187970	Mirovnjak
786826	212458	Zorana
786826	246898	Sestra Mojsilovic (segment "N
786826	284867	Mlada
786826	328151	Debela
786827	374216	Mara
786828	303110	Stojka
786829	351339	Devojcica
786830	181724	
786830	226835	Brkina zena
786830	323341	
786830	349153	
786831	187980	
786832	365942	Lizzie's 1st Opponent
786833	159175	Dancer
786834	284435	
786835	229473	
786836	262390	
786837	44769	
786838	14343	
786838	51436	
786838	70495	
786838	120876	
786838	268881	Sophie
786838	294565	L'amie de Chantal (segment "L
786838	326200	Nicole
786838	336924	
786838	357079	
786839	379886	
786840	228131	
786841	333599	Joanna
786842	47607	Grandmother
786842	122485	Mrs. Tillisch
786842	143994	Herr Arne's Wife
786842	182806	Edit's Mother
786842	225333	Mutter Boman
786842	343711	Gudmund's Mother
786842	350042	Wilhelm's Mother
786843	181825	
786844	174117	Gunilla
786844	304407	
786844	357769	Gunilla
786845	266984	Fru Lorentzen
786846	91453	
786846	376969	
786848	322963	Julia
786849	5845	
786849	11047	
786849	11061	Mrs. Alkali Ike
786849	22951	Jet
786849	31159	
786849	33091	Neighbor
786849	33603	Black Moody's Wife
786849	40897	
786849	44550	
786849	47331	Miss Howell
786849	47479	Julia Delafield
786849	47597	Quichita
786849	47623	The Baby's Mother
786849	47630	
786849	47639	The Navajo Maid
786849	47645	Morgan's sick wife
786849	47649	
786849	47650	Sheriff's Wife
786849	47654	Evelyn
786849	47656	Evelyn Courtney
786849	47661	White Feather
786849	47664	
786849	47665	
786849	47675	
786849	47676	Evelyn
786849	47679	The Prospector's Wife
786849	47684	Broncho Billy's Mother
786849	47692	Mrs. John Harding
786849	47696	
786849	47698	Broncho Billy's Indian Sweeth
786849	47700	Broncho Billy's Sweetheart
786849	47704	Winnie Allen, The Rancher's D
786849	47708	
786849	47709	Broncho Billy's Mother
786849	47717	Broncho Billy's Wife
786849	47720	
786849	47722	Minister's wife
786849	47723	
786849	47725	The Sheriff's Sister
786849	47726	
786849	47729	
786849	47732	Billy's Wife
786849	47736	The Sheriff's Wife
786849	51873	Batooka
786849	52672	Jim Barton's Mother
786849	52903	Camille's Mother
786849	56434	Fred's Mother
786849	61783	Mahtomee
786849	71688	Martha Leseur
786849	72284	
786849	72734	
786849	78123	Mrs. Zangiacomo
786849	79405	The Sheriff's Daughter
786849	80029	The Postmaster's Daughter
786849	84853	
786849	84938	Mrs. Roan
786849	84947	Witch
786849	85109	Flower Woman
786849	85816	Julia Bloem
786849	90847	Birdie
786849	96620	Miss Lee
786849	97524	Evelyn Rogers
786849	100831	Juanita
786849	102156	Mrs. Harris
786849	104319	Pia's mother
786849	114854	Nana
786849	114996	Hulda
786849	115122	Mrs. Barclay
786849	115905	Arn Fun
786849	119575	Italian Mother
786849	123321	Louise Carew
786849	123354	Indian Woman
786849	128651	Fortune Teller
786849	131700	Mrs. Sterling
786849	135604	Indian mother
786849	137473	Mary
786849	138159	Sarah
786849	139960	Wah Li
786849	142475	Meg Hunt (Sid's mother)
786849	145407	Fred's Mother
786849	157038	
786849	161461	Stepan's Mother
786849	163718	Arrita's Mother
786849	185643	Helen
786849	188343	
786849	190259	
786849	195524	Bianca
786849	199603	Chiquita
786849	203170	
786849	211601	Newspaper Woman
786849	220911	Madame Smetana
786849	224584	Fai Lu
786849	224617	Mrs. Musselwhite
786849	227161	Lisa Collister
786849	227192	Martha Glen
786849	231794	Fortune Teller
786849	235588	
786849	235691	Carlena
786849	240246	Zarah
786849	246337	Immigrant Woman
786849	251195	Hilda Hendricks
786849	252482	Mrs. Doe
786849	258971	Mde. Tranquille
786849	262326	Madre
786849	263512	Jenny Cupps
786849	264491	Nell Cameron
786849	264516	Lillian Nicholson
786849	265361	Fortune Teller
786849	265972	Dunn's Daughter
786849	271091	Flower Woman
786849	271855	Indian Woman
786849	271947	Pepita
786849	272532	
786849	274106	Tiajuana
786849	276674	Fai Lu
786849	277326	Mrs. Gregg
786849	278563	
786849	280956	
786849	281000	Tessa
786849	281867	Old Woman
786849	281871	Sara Kaminsky
786849	282354	Mexican Fortune Teller
786849	283858	
786849	293165	Martha Ryerson
786849	295370	Fortune Teller
786849	295448	Old Slattern
786849	296893	
786849	298532	The Rancher's Wife
786849	301847	Tade's Mother
786849	302003	
786849	302022	Mother Teresa
786849	303095	Hadji
786849	305050	The Fortune Teller
786849	305053	The Baby's Mother
786849	305061	
786849	305959	
786849	305962	
786849	305966	
786849	305969	Señorita Pepper
786849	305970	Harry's Wife
786849	305972	
786849	305974	
786849	305975	Pete's Wife
786849	306324	Wananebish (prologue)
786849	308622	Screaming Woman
786849	309040	
786849	309042	
786849	309044	Mrs. Clutts
786849	327273	
786849	328614	Mrs. Connelly
786849	328784	Nee-tah-wee-gan
786849	329112	Minnie
786849	329494	
786849	329812	
786849	331046	Fallie, Rosita's Maid
786849	331929	Mrs. John Bailey
786849	332815	Azun
786849	337074	Beggar Woman
786849	342929	Tenement Woman
786849	343094	Ranchman's Wife
786849	343282	Leah
786849	345734	Elsa Smolski
786849	359492	Pepita
786849	360555	Madeline's Mother
786849	361740	Grey Dove
786849	361783	
786849	362913	
786849	362936	Lady Macbeth
786849	364842	Widow Gale
786849	365260	Mrs. Klovatz
786849	365350	
786849	366257	Jennie [Chs. 2, 13]
786849	366340	
786849	366912	Ameera's mother
786849	372351	Bianca
786850	225343	Fanny
786851	114481	
786851	122588	Dilek
786851	127051	Alena Chassanoglou
786851	134601	
786851	159537	Chef's wife
786851	182136	Tänzerin auf Hochzeit/Wedding
786851	225210	Maria
786851	250438	Hayat
786851	322544	PKK-Filiz
786851	325595	Houari's sister
786851	325608	Sarah von Saalow
786851	334631	Souhaila Andrawes
786852	325719	
786853	215664	Miss Tennessee Teen USA (1st 
786855	30406	Party Girl
786856	151559	Vain Girl
786857	321861	Cathy Enderson (Eryximachus)
786858	263794	Alison Sutherland
786859	21040	Hong Kong Reporter
786859	73674	Reporter Jill Hacket
786859	277949	TV reporter #1
786860	7838	
786860	37873	
786860	38112	
786860	41717	
786860	47495	
786860	61586	Carlotta
786860	73676	
786860	87484	
786860	91851	Georgianna
786860	96988	Ethel Wheeler
786860	100808	
786860	109680	
786860	114011	
786860	126300	Gertie
786860	126301	Gertie
786860	126302	
786860	126303	Gertie
786860	126738	Gertie
786860	133968	Gertie
786860	142594	
786860	176417	Julie Knight
786860	190021	
786860	192862	
786860	195414	
786860	197704	
786860	220867	
786860	249511	
786860	282311	
786860	289411	
786860	291718	
786860	294583	Girl
786860	298020	
786860	301265	Edith Marston
786860	305365	
786860	306188	
786860	311968	
786860	326481	Daughter
786860	342433	Dixie Charlton
786860	346029	Gertie, a stenographer
786860	346165	
786861	390523	Julie Corrigan (1990-1996)
786863	57208	Demonia
786864	59912	Woman
786865	7413	Miss Lane
786865	31058	Capt. Dobbs
786865	31059	Mrs. Forrester
786865	32073	Athene Haven
786865	35745	Mildred
786865	64941	Woman on Tour Bus
786865	71734	Theatregoer
786865	75533	Miss Plumett, Caroler
786865	90353	Ethyl
786865	91779	Anna
786865	92737	Woman at Dance
786865	95120	Elephant
786865	96670	Mrs. Thayer
786865	107020	
786865	131534	Teacher
786865	133770	
786865	135931	Mrs. Moran
786865	143355	Woman at track
786865	152206	Aunt Polly
786865	155586	Esmeralda Hawthorne
786865	162390	Mrs. Bowie
786865	167645	Miss Benton
786865	191242	Townswoman
786865	191912	Mrs. Bigdome
786865	208888	Mrs. Brown
786865	210806	Mrs. Szymanski
786865	216026	Mrs. Weber
786865	218394	Mrs. Simms, Jody's mother
786865	218725	Mrs. Celia Talbot
786865	228660	Mrs. Hawkins
786865	234034	Mrs. Root
786865	252981	Mrs. Wilson
786865	264445	
786865	286911	Mrs. Lovelace
786865	295470	Miss Gottschalk, Librarian
786865	299844	Adam's secretary
786865	300909	Second nuse
786865	306126	Woman
786865	315349	High Commissioner's Wife
786865	315481	Mrs. Greene
786865	315993	Alice
786865	321411	
786865	321981	Liz Allen
786865	323013	Maude Taggart
786865	337075	Queen
786865	337778	Widow's Friend
786865	338287	Claire Carter
786865	367970	Bit Part
786865	368588	
786865	388495	Miss Thomas
786865	390803	Ma Smalley (boardinghouse own
786865	397640	Aunt Gertrude Hardy
786866	233528	Mandy
786866	236779	Tied-Up Nurse
786866	401778	2nd Female Demonstrator
786867	176883	Dr. Adair
786867	269591	Harriet
786867	278168	Deanna Abdul-Hamid
786867	366665	Chronicle
786867	381312	Miss Crisp
786868	340754	Mrs. Chmelnitzky
786869	270151	Artoo's Bungee Assistant
786870	10425	Paulina Nobel
786870	11693	Krista
786870	28062	
786870	107236	Siri Hägglund
786870	109320	Ingela Syrén
786870	139647	Sonja
786870	144236	Gunnel Arnqvist
786870	154020	The Widow
786870	166943	Stina
786870	170508	Fanny Udde
786870	197808	Maja
786870	202828	Lena
786870	284626	Maja-Lena Skog
786870	322274	Chris Villerman
786870	322307	Barbara
786870	351990	Kristin
786870	357752	Hillevi
786870	377320	Rut Flogfält
786870	377321	Rut Flogfält
786870	380203	Anita
786870	390725	Gun Cedervall
786870	390784	Irena
786870	390950	Kristina
786870	392883	Johanna Frank
786870	394322	Memorymatic
786870	401774	Rita
786870	402881	Nergårds-Anna
786871	104632	Herself
786871	104633	Herself
786872	333370	Miss Hollister
786873	333361	Airport Reporter
786874	3858	Herself
786874	7545	Alma Pittman
786874	37059	Arnon
786874	47385	Herself
786874	57654	Datloff's Party Guest
786874	65201	Lillian Banion
786874	73120	Debbie
786874	86540	Leah Schroth
786874	94861	Harriet Gahagan
786874	113603	Ruth
786874	126308	Alice B. Toklas
786874	133953	Herodias
786874	135812	Head Librarian Margaret Armst
786874	140193	Mrs. Dudley
786874	147694	Alexandra
786874	148205	Mrs. Hess
786874	155890	Abby Hedley (segment "1961")
786874	158109	Justice Susie Sharp
786874	161286	Herself
786874	174513	Secretary
786874	190454	Kate Owens
786874	193778	Caroline
786874	217745	President Jocelyn Carr
786874	257204	Iva Stearns
786874	266072	Narrator
786874	313456	
786874	327264	Herself
786874	335058	Widow Douglas
786874	337098	Eugenie's Mother
786874	340839	Rowena Cobb
786874	340899	Eleanor Roosevelt
786874	359341	Jenny's friend
786874	364427	The Dean
786874	372749	Mrs. Morse
786874	375300	Miss Maple
786874	390312	Charlotte Sandler
786874	390771	Madame Ava (1998)
786874	396123	Denise Nostrand (1994-1995)
786874	399153	Louise Robilotti
786874	399153	Mrs. Pitcairn
786874	400236	Sonya Cramer (1998)
786875	328630	Policewoman
786876	194254	Monica
786876	250618	Riley/Allison
786876	319057	Nandelle
786877	80876	Seductress
786877	331732	2nd Neighbor
786878	173351	Ma Muldoon
786879	166916	Anna
786880	385299	Miss. Forbes
786881	370700	Nexrin
786882	25854	Gabriella
786882	124822	
786882	139546	
786882	154668	
786882	184362	Spasenija
786882	192890	
786882	208521	
786882	242629	
786882	289582	Quelou
786882	303114	
786882	310388	
786882	333470	Kristina
786882	375851	Vampira
786882	388506	Himself
786882	390660	
786882	394152	Ljubica
786882	404626	
786883	177896	
786884	22797	Woman In The Villa
786884	25619	Kötü Cadi (Wicked Witch of th
786884	38207	
786884	51344	
786884	86599	
786884	87322	
786884	89507	
786884	102712	
786884	103573	Kamer
786884	124896	Emres Mother
786884	124918	
786884	131192	
786884	164035	
786884	172828	
786884	175850	
786884	179654	
786884	200669	
786884	247308	The witch, second queen
786884	256943	Sidika
786884	272662	Self
786884	285557	
786884	295528	
786884	302493	
786884	320474	
786884	347074	Night Wind (Turkish dub)
786884	370914	
786884	373288	
786884	373798	
786884	378243	
786884	378606	
786884	394336	Serif Abla
786885	81409	
786886	401834	Sida ... popadija
786887	92104	Jane
786888	265030	Amalia Prizzi
786889	24745	
786891	6131	
786892	64131	
786892	155104	
786893	301965	Lisa Hayashi
786893	398446	Herself
786894	133345	Party Guest
786895	296967	Girl Stabbed in Chest
786895	342662	
786896	352448	
786897	332600	
786898	156006	
786898	162662	
786898	180843	
786898	219718	
786898	306656	
786899	12806	
786899	34231	
786899	85145	
786899	132082	
786899	157258	
786899	163912	Zinaida Mikhailovna (Zina) Ti
786899	172702	
786899	181395	
786899	196338	
786899	229036	Anatoly's wife
786899	242820	Lida
786899	258437	Driver's fellow-traveller
786899	263676	
786899	263690	Petya's mother
786899	266015	Car repair worker
786899	313881	
786899	313882	Zinaida Mikhailovna
786899	320714	
786899	327331	Svetlana, Yesenin's disciple
786899	334484	Doctor
786899	356598	
786899	370175	
786899	370186	Lidia Nikolayevna
786899	373061	
786899	386655	
786899	394010	Pani Katarina
786899	409403	
786900	181243	
786900	280610	
786901	394752	Psikhiatry
786902	77482	
786902	229045	
786902	381631	Shamkova
786903	265111	Student
786904	37965	Woman at Bake Sale
786904	335799	Acting Student
786905	169382	Sheila
786906	174622	Workout Model
786907	265111	Student
786908	53278	Lady Wickhampton
786909	353267	Prostituta
786910	274125	Other Woman #2
786911	371959	
786912	33253	Ljuska
786912	95925	Sofija
786912	394691	
786912	402021	Herself (interviewed)
786913	175741	Booth Bimbo
786914	378164	Magda
786915	68697	Stage Manager
786916	2917	Mädchen 15 Jahre
786917	15944	Amy
786917	42842	Rachel's Valet
786917	78102	Lawyer
786917	78217	Waitress
786917	167566	Deborah Rose
786917	305363	Kay
786918	367951	Herself
786919	259406	Herself
786920	384119	(2000)
786920	388946	Clara
786920	403021	Laura Arregui (2003)
786921	12058	
786922	195702	Widow
786923	232676	Reba
786924	222657	Mrs. Martin
786925	10376	Bonnie (jeune)
786926	376379	
786927	202459	
786928	405506	Giletova zenska
786929	288126	
786930	226376	
786931	259730	
786932	399012	Dzejlan
786933	198159	
786934	351947	
786935	232585	Aili
786935	391020	Herself (2004-)
786935	394898	Various characters (2003)
786935	396747	Various characters
786936	16966	
786936	285465	
786936	349944	
786937	104781	Herself
786938	392763	Various
786939	76989	
786939	190729	
786939	234295	
786939	377739	Svetlana, Andrei's wife
786940	330680	Farrah
786941	191513	Monica's Aunt
786942	257550	And Her Ladies' Orchestra
786943	139606	1st Factory Girl
786943	264818	Resort Guest
786944	80834	Peasant Baby
786945	131619	Sherry
786945	194708	Zelda
786945	313852	Phoebe Johnson
786945	372876	Sandy
786946	328809	Shower Girl #2
786947	182368	Ulla Mäkelä
786948	137928	Gertrud
786948	153095	Postineiti
786948	153739	Lörssöska
786948	156037	Woman in supermarket
786948	172405	Armi
786948	184042	
786948	191577	Herself
786948	195094	Jaskan vaimo
786948	197362	Potilas
786948	200955	Neighbour
786948	213414	Nummiska
786948	246584	Terttu Koski
786948	255517	Eeva Ramsey
786948	255766	Mother
786948	266939	Aino Sibelius
786948	281298	
786948	300796	Vanha Aino
786948	321803	Sylvi Kekkonen
786948	341786	Mrs. Loimaa
786948	354285	Selma
786948	357592	Sollbritt Ström
786948	373502	Washerwoman
786948	393763	Kielo-neiti
786948	394132	Kirsi Hepolehto
786948	394539	Amalia-mummo
786948	396193	
786948	402821	
786948	409985	
786949	218456	
786950	15061	L'infirmière mammographie
786951	355808	Femme de ménage hôpital
786952	245484	Girl
786953	161743	Martha Lomax
786953	366921	Apartment Manager
786954	329470	Herself
786955	323721	Extra
786956	370675	Age 13
786957	2789	Lady Sarah Robertson
786957	29956	Jerry
786957	47502	Miss Freeman
786957	58618	Olivia
786957	65963	Carol Graham
786957	79914	Iris Muldoon
786957	83853	Julie, Desiree's sister
786957	108265	
786957	115723	Judy
786957	117351	Rita Compton
786957	125808	Maureen Fagan
786957	127122	Countess Kissler
786957	135551	Linda
786957	145715	Lady Franklin's mother
786957	152918	Magda Lloyd
786957	167111	Inez Barrington
786957	185390	Daphne Strood
786957	186260	Gina Laselle
786957	193984	Fay Lowther
786957	199554	Christina
786957	203204	Mary Mitchell
786957	222331	Barbara Preston
786957	230356	Anne Cummings
786957	232306	Sally Raynor
786957	264064	Asia Booth
786957	273850	
786957	299233	Marge Macauley
786957	331312	Elizabeth ("You Killed Elizab
786957	331359	Lena Finch
786957	331716	
786957	357076	Mother
786957	360652	
786957	387120	
786957	399815	Lady Bradford
786957	402723	Dr May Howard (series 1)
786957	411256	Dorothy Ashford
786958	298216	Bootsy
786959	14385	Jenny Cohen
786960	238601	Susanna Evridge
786961	391015	Emma
786962	43904	Union Station Extra
786963	375171	
786964	7204	Nederlandse vrouw in cafe
786964	10300	Mademoiselle
786964	16214	
786964	18347	Ma Gé
786964	33625	Mrs. Pourrat
786964	128013	Diane
786964	130232	Tessel van Benthem
786964	131155	Jinny
786964	144230	
786964	181120	Moeder
786964	193785	
786964	226112	Mira
786964	306058	busbegeleidster
786964	333742	Dina Korst
786964	352156	Moeder Robert
786964	390242	Dr. Tessel van Benthem (1994)
786964	390410	Eugénie d'Harencourt (1996-19
786965	17604	Leslie Morgan
786965	34384	Jennie Haniver
786965	47925	Erika Bernstein
786965	54420	
786965	64567	Performer
786965	78006	Sharon Blake
786965	78170	Sarah
786965	90885	Katherine
786965	92291	
786965	106533	
786965	116209	Lisa Benton
786965	147557	Carolyn Giblin
786965	150520	Christine Francis
786965	151007	Susan
786965	154574	Stephanie Carver
786965	160911	Dana Fredricks
786965	161386	Herself
786965	185270	Gloria Franklin
786965	190184	Herself
786965	214937	Mimi Tompkins
786965	246028	Dani Powell
786965	252449	Ruby Nolte Renthall
786965	267156	
786965	297951	Rebecca Madison
786965	298083	Alix Goldman
786965	308052	Monique D'Arcy
786965	320041	Joan Quinn
786965	341928	Stephanie Powers
786965	363550	Niamh 'Neeve' Kearny
786965	381830	Pamela Williams
786965	388980	Lisa Benton
786965	390603	Pam Davidson/Pam Hinkley
786965	392094	Christine Francis
786965	400634	Dani Powell (Wanda Talbert)
786965	404635	Dianne Benedict
786966	65529	La petite fille qui dit avoir
786967	695	
786967	3275	Schöne Fremde
786967	33449	
786967	107969	Cora
786967	145346	Ulrike
786967	147314	Mercedes
786967	162229	Barbara
786967	166731	Verena Hessler
786967	176726	Martina
786967	195093	Karin
786967	206508	Hanna
786967	209958	Hure
786967	225192	
786967	225658	Anne-Marie
786967	231484	Anna
786967	236828	Susanne
786967	254944	Lilo Pleschinski
786967	258384	
786967	272753	Janis Mutter
786967	302774	
786967	308243	Martina
786967	309019	Nadine
786967	317506	
786967	325575	Laura
786967	325723	Claudia Wentz
786967	325791	Ellen Strohmeier
786967	325818	Chantal
786967	325884	Senta Sando
786967	347583	Martina
786967	347795	Petra Kracht
786967	350858	Cora Ohlkamp
786967	361472	Melanie Springer
786967	364876	Maria Suhrke
786967	366483	Laura
786968	231468	Roberts Sekretärin
786969	168960	Schoolchild
786970	55532	Louise de Bièvre
786970	55533	
786971	185704	People at Sermon
786973	191227	
786973	249054	The niece/daughter of the sci
786974	192788	Megan
786975	160455	Herself
786976	257670	Herself
786977	96247	Elisabeth Alione
786977	111041	La femme
786977	165900	
786977	314083	Natalya
786977	384786	Emmanuelle
786978	52320	Bikini Girl
786978	87018	Cave Girl
786978	356802	Princess Patricia Rhodes
786978	363366	Madeleine Wild
786978	366425	The New Girlfriend
786979	1300	Mamma Mack
786979	52580	Bakery Employee
786979	135193	Lady at Shelter
786979	185174	Reggie
786979	208873	Nurse Evelyn Wilson
786979	301599	Mother
786979	365947	Hotel Housekeeping
786980	381821	Ensemble (1979)
786981	102234	Teacher in Class
786982	305575	Karaoke Act 3
786983	249557	Becky Campbell
786984	214422	Rosalie
786985	305575	Karaoke Act 3
786986	223978	Suzanne
786987	203343	Prostitute
786988	55890	Susan
786988	60693	
786988	61367	Laura
786988	69928	Josie
786988	82386	Laurel
786988	184233	Artista del Cinema
786988	200474	
786988	207065	
786988	239974	
786988	313178	
786988	328894	
786988	349848	
786989	96990	Girl at Pool
786989	122967	Guest
786989	341969	Model
786990	139096	
786991	8234	Young Girl
786992	249557	Orderly
786994	358688	Gerhilde
786995	405877	Hserself (episode 1)
786996	115460	Susie, the waitress
786996	141607	Herself
786996	141967	Herself
786996	159421	
786996	295965	Herself
786996	359431	Desert Girl
786996	405877	Herself (episode 1)
786997	248050	Old Woman
786998	82097	Herself
786999	388299	Nele Van Den Bossche-Van Winc
787000	66745	Secretary
787001	112680	
787001	187448	Queen Amata, Latino's Wife
787002	118057	Pianist on radio in Philip Ar
787003	33107	Dancer
787003	281944	Dancer
787003	324679	Solotänzerin
787004	349598	Bertha
787005	226405	Herself
787006	79145	
787007	381910	Herself (Series 4) (2003)
787007	381920	Herself (Series 3) (2003)
787008	88177	Bookstore Fan
787008	301984	Miss Swan
787009	132247	Los Alamitos Dance Team
787010	6669	Adrians alte Tante
787010	15279	Frau Gruber
787010	24059	Erna
787010	27126	
787010	32748	
787010	42114	Frau Müller
787010	59559	
787010	92580	
787010	93500	Steinberger
787010	100989	
787010	107812	
787010	111343	
787010	115806	Margot
787010	119368	
787010	119443	
787010	120370	
787010	120953	
787010	120958	
787010	121050	
787010	121052	
787010	125004	
787010	126082	Madame de Sotenville
787010	134778	Fräulein Luise
787010	134787	Frau Kaasbohm
787010	134802	Kartenabreißerin
787010	142079	
787010	142096	Mutter Steinemann
787010	144159	Tante Mathilde
787010	156067	
787010	160269	Erna, Frau Bürgermeister
787010	175275	Ida Bodendiek
787010	178549	
787010	178704	Ludmilla, Kneipenwirtin
787010	182533	Tante Emma
787010	184294	Kantinenwirtin Hochgesell
787010	189754	
787010	210058	Frau Bittgesang
787010	225123	Wilhelma
787010	225149	Verwandte des Konsuls Henseli
787010	225641	Elise Brueckner
787010	226298	
787010	272785	Rosa
787010	274889	Maria
787010	293561	
787010	301043	
787010	306509	
787010	322997	Frau Bumke
787010	325894	Haushälterin Naumann
787010	336254	Francesca
787010	347640	
787010	352222	Frau Palotta
787010	359646	
787010	361125	
787010	369162	
787010	389926	Frau Gerber
787010	393360	
787010	395112	
787011	397693	Alpha 5 (1994-1995)
787012	124987	Madame
787012	194438	Woman from West Germany
787013	393032	Refiloe Monare
787014	240429	
787015	7099	Pottsylvanian Spy/Dance Hall 
787015	378855	Lounge Person (episode "Paran
787016	66942	Nurse #3
787017	42576	Pamba Gira
787017	193361	Hun (Her)
787017	268364	Liv Holm, flyvert.
787017	304238	Marianne Selbye, privatsekret
787017	344290	En pike
787017	351246	Tania's girlfriend
787017	410019	Fru Torgersen
787018	3419	
787018	159050	
787018	275509	
787018	322402	
787018	383157	
787018	383787	
787018	386595	
787018	395061	Doña Francisca
787018	398488	Domitilia
787019	157114	La femme
787020	66363	
787021	10305	Dance Girl
787022	80782	Restaurant Extra
787023	120632	Museum Secretary
787023	194289	
787023	305159	Barbara Bass
787025	69773	Birthday Party Girl
787026	193495	Flor de Lotos
787027	97985	
787027	103033	
787027	188201	
787027	288119	Katja
787028	198265	Lady
787029	74491	
787030	84962	Girl
787031	300159	
787032	255433	Sheila Moran
787032	280421	
787032	358052	Harbinger's sister
787033	112279	
787034	344803	
787035	215148	Client at czech restaurant
787036	265775	Nurse at Station
787037	343798	
787038	39933	
787039	82274	Deputy Debra Flannery
787039	107135	Lizzie Shields
787039	211961	Kusumoto Ellie (Dub)
787039	218182	Deaf Woman #1
787040	196706	Marie
787040	234212	Receptionist
787040	303522	Girl in Ballet Dressing Room
787040	378627	Receptionist #1
787041	407847	Lucca
787042	33392	Mom
787043	15894	
787043	25158	
787043	42559	
787043	43591	
787043	76066	Guiomar
787043	82991	
787043	103460	
787043	123729	Sônia
787043	169712	
787043	225102	
787044	86095	
787045	162038	
787046	386771	
787047	249681	Alice
787047	254153	Fanny
787048	60323	Church Lady #2
787049	295325	Sushila
787050	243273	Indian Teacher
787051	388857	Sara
787052	9891	
787052	12779	Enid
787052	88090	Younger Caro
787052	188615	Singleton
787052	259408	Una
787052	271198	Abra Russell
787052	295320	Peri
787052	386992	Lisa Robbins (1995-1996)
787053	226899	Girl child
787054	90068	
787055	319923	Attendent
787056	174439	
787057	107930	Heart Attack Passenger
787059	367792	
787060	686	Herself
787060	31841	Herself
787060	319589	Herself
787060	366901	Herself
787061	25841	Narrator
787062	264819	Waitress
787062	316214	Salesgirl
787063	96940	Franklin's Nurse
787063	134675	Pretty Girl
787063	289718	Hatcheck girl
787063	304065	Clubwoman
787064	210842	The Girl
787065	26342	Dorothy
787065	114588	Midge
787065	121362	Babe Callahan
787065	210770	Peggy Chase
787065	230734	Estelle
787065	259761	Mitzi
787065	310516	Pansy Peets
787065	339407	Mercedes Joy
787066	26307	Mrs. Webster
787066	31998	Mrs. Wertham
787066	37181	Mrs. Manning
787066	39514	Mrs. DeForrest
787066	39781	Gora Dwight
787066	46780	Lucille Bennett
787066	47332	Mrs. Winthrop Forrest
787066	47349	Mrs. Westbrook
787066	52203	Madame Lizette
787066	52431	Annoyed Woman in Theater
787066	67769	Harriet Houston
787066	67935	Donna Estelle
787066	69420	Mrs. Jonathan
787066	72772	The Buyer
787066	74299	Mrs. Pleyden
787066	75274	Lady Clifton-Wyatt
787066	75514	Marie
787066	75884	Onslow
787066	78046	Natalie Spencer
787066	78064	Aunt Prissy
787066	84848	
787066	91864	Grace Fairbrother
787066	93666	Alice Warner
787066	105302	Matilda Tewkes
787066	105307	Miss Mimms
787066	107156	Mrs. Van Twiller
787066	109535	Mrs. O'Dell Carney
787066	109769	Aunt Louise Burgess
787066	115075	Marie
787066	128616	Mrs. Dennett
787066	129537	Mrs. Manning
787066	129552	Aunt Mary
787066	134482	
787066	139189	Mrs. Cortland
787066	141205	Caroline Winthrop
787066	141488	Madame Romanoff
787066	143168	Mrs. Sheldon
787066	143344	Mrs. Steven Carley
787066	144961	Mrs. Perryam
787066	148181	Mrs. Deering
787066	159452	Lady Ethridge
787066	162942	Aunt Emma/Mrs. Renwick
787066	165443	Mrs. Reed
787066	166057	Mrs. Ostberg
787066	185384	Dr. Prodwell
787066	190781	Second maid
787066	196096	Diana's Aunt
787066	196148	Mrs. Cadwallader
787066	196952	Aunt Ruth
787066	197661	Alida Corey
787066	199603	Eugénie (Prologue)
787066	202946	Mrs. Cartright
787066	206382	Lady Mary Lyster
787066	207194	Mrs. Hart
787066	207195	Mrs. Hart
787066	207411	Miss Lane, the lady doctor
787066	210427	
787066	220055	
787066	224133	Forelady
787066	224238	Dowager Queen
787066	228587	Miss Perkins
787066	241371	Mrs. James
787066	241383	Ma Pearson
787066	245195	Lady Rosamond
787066	249121	Mlle. de Suchet
787066	260213	Rebecca Morgan
787066	264204	Countess Oudoff
787066	269049	Mrs. Peyton
787066	269418	Mrs. Torrence
787066	276421	Princess Olga Ivanovitch Nekh
787066	278727	Mrs. Bagdall
787066	283527	Madeline Braine
787066	285007	Miss Curtis
787066	285020	Mrs. Sardis
787066	289416	Miss Wyckoff
787066	289627	Edith Presby
787066	292781	Audrey Carlton (1923)
787066	302872	Mrs. Adams
787066	304963	Mrs. Martin
787066	305511	Mrs. Brandon
787066	306808	Aunt
787066	311756	Aunt Fanny
787066	311757	Aunt Fanny
787066	315868	Mrs. Van Austen
787066	323967	Aunt Harriet
787066	342945	Mrs. Grimley
787066	348242	Jane Jackson
787066	360142	Julie's Mother
787066	360437	Lady Kitty Sundale
787066	360603	Cynthia Bancroft
787066	363919	Lady Falkland
787066	364685	Mrs. Compton
787066	367450	Jeanette Duval
787066	367480	
787066	367857	Woman
787066	372127	Mrs. Hemingway
787067	35933	
787067	202306	Yulya (segment 1)
787067	356018	
787067	356827	Alcoholic
787068	94209	
787068	142652	
787068	171742	
787068	198177	
787068	241003	
787068	323926	
787068	357480	
787069	33993	
787070	104773	Herself
787071	63620	
787072	295873	
787073	301702	Waitress
787074	139140	Rita
787074	288939	Girlfriend
787074	310152	Earth Control Secretary
787075	104764	Turkish entry (21st place)
787076	237167	
787076	322049	Özvegy Lángainé
787076	327209	Fábri, Éva
787076	376559	
787076	377753	
787077	271581	Rani Rai
787078	112800	Mme Ceresta
787078	405529	Mme Benvenuda
787078	409256	La voisine
787079	18333	Anna
787079	142836	Damebladjournalist
787079	154226	
787079	214196	
787079	281232	Mrs. Sands
787079	353001	Sykepleiersken
787080	124151	
787080	269152	Madame Bonacieux
787081	214196	Dancer
787082	335986	
787083	280742	Nadia
787084	320487	
787085	132088	Martha Birman
787086	39627	Lovely maiden
787087	14867	Caterina (segment "Il vedovo 
787087	149726	Linda
787087	324454	Evelyn
787088	265742	Katya
787089	364050	
787090	77481	
787091	278537	Herself
787092	285375	Récitante/Narrator
787094	393362	Various Characters
787094	407729	Various Characters
787095	402231	Herself
787096	233912	
787097	227826	
787097	333794	Zana
787098	152219	Bratty kid
787098	321396	
787099	235511	Pumpkin
787100	279273	Little Girl at Factory
787100	302256	Lauren
787101	24161	
787101	25225	
787101	147969	
787101	283780	Actor
787102	90525	Tango dancer
787103	23615	Doris
787105	381821	Ensemble (1971)
787106	281194	Gisi
787106	314857	Katja
787106	344770	
787106	411944	
787107	325578	Sabrina
787108	45129	Mercedes Passenger
787109	93613	
787109	110548	Herself
787109	382401	Host
787109	394730	Tante Paula
787109	401140	Host
787109	410440	Herself
787110	5793	Pierrette-Rosita
787110	210910	La jeune fille de l'hôtel
787111	86001	College Girl in group therapy
787111	261439	
787112	201011	Vicki
787113	84424	
787114	97608	
787115	280455	
787116	5157	Young woman
787116	9653	
787116	285017	Esther
787117	396238	Moreshkov's Mother
787117	409314	Zoya Palna Sinicina
787118	296752	Chopsticks Woman
787118	316502	Lady #2
787118	370224	
787120	8218	Thea
787121	136845	Anna
787121	268284	Judit, Horváth felesége
787121	312759	Lia
787122	306814	Terry Best 14 yrs. & 16 yrs.
787123	81332	Lina
787123	130409	Marta Owen
787123	200057	Schneider
787123	245273	Mavis
787123	273610	Madam
787123	283547	Joan
787123	380565	Magda Yokochek
787124	360480	Reporter
787125	296783	Rubberneck 4
787126	32141	Model
787127	289671	Female Agent (segment "The De
787128	387113	Farrah
787129	174069	Postsøsteren
787129	206631	Fru Hansen
787130	111581	Starlet
787131	59179	Helen
787131	137575	Anna Murray
787131	314817	Barbara
787131	314924	Interviewer
787131	384962	Kate Ryan
787131	399130	Jill Weir (1992-1993)
787131	409400	
787132	354786	
787133	85184	French Student
787133	215862	Parachutist
787133	308576	Bernadette's Schoolmate
787134	62276	Radish
787135	94097	Fatsy
787135	146567	Chica Punky
787135	273566	Mary Majola
787135	315414	Mother
787135	392889	Agnes Matabane
787135	393032	Agnes Matabane
787136	32494	Portobello Dancer
787136	53205	Waitress
787136	92733	
787136	109863	Miss Wells
787136	109911	Mayor's Secretary
787136	110369	Sirena
787136	123884	Hotel Maid
787136	127074	Clubwoman
787136	163668	Lady at Top of Stairs
787136	188382	
787136	242941	Gossip
787136	311742	Gert
787136	343034	Maid
787136	395562	Honeybee Gillis (1949-1950)
787137	39627	Dancer
787138	160253	Merci
787139	316646	Kitty Brenner
787140	268444	Victoire
787140	281928	Mère Roselyne
787140	287330	Mère de Jean-Noël
787140	343582	Madame Cloquè
787141	43214	
787142	162126	Girl of Chorus
787142	379361	
787143	136288	
787144	193123	Bar Girl
787145	390497	Herself (2nd Edition)
787146	272023	Girl in Bar
787147	141706	Girl
787148	45618	The Courtesan
787148	68014	Adriana
787148	289456	Rose Susann
787148	324238	Katharina/Hostess
787148	334293	Nadene
787149	154271	Formal Couple
787150	6090	Lola, jeune
787151	20828	Les tantes - Aimée
787152	25619	Kardesler (China Sister)
787152	357956	Karen
787153	10902	Stacy Chambers
787154	215668	Herself
787155	307425	
787156	28617	Ulrica
787156	127911	Laura Adorno
787156	176131	Marga
787157	217454	
787158	285833	
787159	264384	
787160	229056	
787161	3335	
787162	63626	
787162	174686	
787162	217289	Neighbour
787162	220694	Lyudmila
787162	236072	Can-can dancer
787162	237826	Filimonov's wife
787162	313624	
787162	339241	Liuda, the wife
787162	349342	
787163	82779	
787163	239928	
787164	94509	
787164	181176	
787164	191582	
787164	234434	Vera
787164	348709	
787164	376234	
787164	402341	Kira Korolyova
787165	343972	
787166	134228	
787166	188197	
787166	223561	
787166	224037	
787166	238360	
787166	258136	
787166	349154	
787166	355741	
787167	60698	Nadezhda Ivanova
787167	163930	
787167	179728	
787167	214307	
787167	244644	
787167	252817	
787167	339245	
787167	349886	
787167	350975	
787167	356589	
787167	357246	
787168	2334	1st Schoolgirl
787169	284783	
787170	2754	Herself (Best Director)
787170	9339	Monica
787170	9440	
787170	14575	
787170	18774	Sunita
787170	19671	Hari's former lover
787170	21612	
787170	30540	
787170	38795	Suryamukhi
787170	43327	Mala
787170	98479	Professor's student
787170	122693	Herself
787170	126910	Suman Pandey
787170	136127	Ghazala
787170	138389	
787170	152435	Bonnie
787170	156955	
787170	159243	
787170	164733	
787170	165375	Somnath's ex-girlfriend
787170	172616	
787170	174890	
787170	176176	
787170	180537	
787170	200690	Daughter-in-Law
787170	228694	Kamala
787170	233404	Bhama
787170	249286	
787170	249287	Sanaka
787170	255776	Pikoo's mother
787170	270164	
787170	285450	
787170	296610	Herself
787170	298645	Bandara
787170	300574	
787170	308452	
787170	318987	Roja
787170	326678	Mrinmoyee (segment "Samapti")
787170	333919	Urmila
787170	347144	Sarojini
787170	355324	
787171	156206	
787172	29587	
787172	279366	
787172	283681	
787172	391114	
787173	64872	Angry Woman
787173	169547	
787174	61024	Himani
787175	350849	Havva
787176	9316	
787176	52166	
787176	58368	
787176	62764	
787176	98484	Mrs. Sen Gupta (Chinu's mothe
787176	124031	
787176	175939	The mother
787176	175965	Helpful neighbor
787176	200690	Mother
787177	411965	Hacer
787178	62847	Miss Shampa Sanyal
787178	173756	
787178	284818	
787178	344374	Ma Fin
787178	354356	
787178	355315	
787179	296344	
787180	675	Sudha
787180	971	Jo's Mom
787180	13145	
787180	16175	
787180	18913	
787180	27704	
787180	31591	
787180	77599	
787180	98479	
787180	145716	
787180	162166	
787180	164291	
787180	166494	
787180	181477	Madam Sexena
787180	187658	Pammi
787180	195461	Sweety's mother
787180	198764	
787180	201299	
787180	213710	
787180	217155	Radha
787180	222910	
787180	232716	
787180	268085	Rani sahiba
787180	298233	
787180	303106	Jyotirmayi
787180	323278	
787180	328175	
787180	355296	
787180	359158	
787180	367222	
787180	373714	
787181	39159	
787181	43039	
787181	117639	Nadia
787181	135231	Rosemary Braganza/Urvashi
787181	245661	Duri
787181	293014	Maarya
787182	29045	
787182	83544	Mama de Elena
787182	91374	
787182	99354	Lolita Renteria
787182	100277	
787182	121270	
787182	165792	
787182	167080	
787182	171462	
787182	183160	
787182	234005	
787182	235309	
787182	268268	(segment: Angustia)
787182	270066	
787182	324279	
787182	371343	
787182	380954	
787182	383157	
787182	383234	
787182	385017	
787182	385400	
787182	385475	
787182	386167	
787182	386296	
787182	386401	
787182	387067	
787182	391444	Margarita Rosa de Castilla
787182	391964	
787182	392650	
787182	392744	
787182	393985	
787182	395474	
787182	396131	
787182	397303	
787182	397304	
787182	397584	
787182	398848	
787182	399556	
787182	399618	
787182	400641	
787182	402405	
787183	62588	Ashalata
787183	77306	Deepa
787183	95435	
787183	121688	
787183	130158	Sejal
787183	232716	
787183	320849	
787184	4254	Special appearance (Song)
787184	17375	Special appearance in the son
787184	62371	Janaki
787184	85407	Swapna
787184	152471	Chandni
787184	164292	Anita Saxena
787184	165980	Cameo (Dance Number)
787184	168205	
787184	214723	Reena Joseph
787184	351078	
787185	27643	Payal Malhotra
787185	85409	Sweety Dixit
787185	152815	Anjali
787185	320849	Ameena
787186	86672	Pari's best friend
787186	86684	Gaurav's girlfriend (Guest Ap
787186	163378	
787186	167334	Preeti
787186	196188	Meghna
787186	257228	
787186	268603	Sheetal
787186	317590	Sheena
787187	77890	Sati
787188	9339	Monica's mother
787188	17663	
787188	22106	
787188	26202	
787188	28303	
787188	28817	Gyanada
787188	28838	
787188	36285	
787188	62227	
787188	62315	
787188	88470	
787188	98484	Neighbor
787188	173399	
787188	176176	
787188	179446	
787188	210159	Keshto's mother
787188	226429	
787188	226646	Seeta
787188	248391	
787188	248906	
787188	250589	
787188	284818	
787188	285558	
787188	295021	Bimi's mother
787188	298855	
787188	317791	
787188	320173	
787188	325333	
787188	353806	
787189	4271	Aarti Devi
787189	8393	
787189	12260	Atashi
787189	17663	
787189	28303	
787189	28740	Maya
787189	35954	Bishnupriya
787189	36127	
787189	58837	
787189	59044	Saraju
787189	79324	Bijoya
787189	81854	Radha
787189	84768	Parvati (Paro)
787189	84795	Prafullamukhi
787189	85442	Minati
787189	98634	Swantana
787189	134351	Achala
787189	134361	
787189	138935	
787189	138972	Dr. Roma banerjee
787189	149897	Sarbari
787189	159319	Indrani
787189	172422	
787189	172938	Kamallata
787189	202819	Pannabai and Suparna
787189	205065	
787189	222909	Shakuntala
787189	243056	
787189	250589	Mallika
787189	271552	Rajlakshmi
787189	284760	Archana
787189	284818	
787189	285113	Sheela
787189	285422	Sagarika
787189	285847	
787189	287191	Jayanti Bannerjee
787189	288027	Rina Brown
787189	288260	
787189	297541	Madhuri
787189	297614	Romola
787189	298855	
787189	339679	Swarupa
787189	349110	Debjani/Pannabai/Suparna
787190	4117	Sudha (police officer)
787190	4294	Neha Srivastav
787190	30527	Lara Oberoi
787190	35559	
787190	39032	Rupali
787190	79241	
787190	112762	Sia Sheth
787190	114747	Guest Appearance
787190	135704	
787190	145583	Priya
787190	163378	
787190	178002	Special appearance
787190	182383	Sonal
787190	187053	Guari
787190	201041	Chandni
787190	215679	Miss India
787190	228870	Special Appearance
787190	246801	Baby
787190	262373	Sushmita (Narrator) (Special 
787190	286556	ACP Malvika Chauhan
787190	303097	Neha
787190	341691	Mehak
787190	349447	
787190	375850	
787191	86697	
787192	25928	Kiran (Vikram's sister Pinky)
787193	220240	
787193	304255	Freyda, the tailor's daughter
787194	201986	Woman resident
787195	88318	She
787196	63674	
787196	380525	Marlene
787196	386215	
787196	386419	Frederica
787196	386422	
787196	397548	Cecília
787196	401819	
787196	402455	Amália
787196	407800	
787197	47588	Eva Destruction (goth club gi
787198	172293	
787199	34611	Herself
787199	277114	Barbara
787199	383752	Herself - Host
787200	292247	1st Receptionist
787201	77334	
787201	350083	Mere D'Hortense
787202	71602	Herself
787202	178003	
787204	207816	
787204	318584	Violet
787205	175659	
787205	227967	
787205	229063	
787206	169614	Voice Actor
787207	34435	La pupa dei gangsters
787207	52147	
787207	56011	
787207	67804	Silvia
787207	74894	Diana Astor
787207	85978	Musumeci
787207	91533	Paola
787207	92073	Simona
787207	102918	Onorevole Belloni
787207	113700	Daniela
787207	156964	
787207	159467	Amante di Nicola
787207	168235	
787207	199560	
787207	202093	Maria Raininger
787207	202500	Marina di Malombra
787207	204130	Diana Morris
787207	221903	The whore
787207	229820	Pa's mother
787207	252295	
787207	279750	
787207	294985	
787207	295178	Margareth
787207	315449	
787207	333664	Conchetta
787207	375078	Madame Bruyère
787208	1366	Regina as a Child
787209	339026	
787210	320470	
787211	298305	
787211	356591	
787211	356823	Julie Pryudom
787212	201828	Herself
787212	214521	Friend of Jen
787212	356555	Natasja
787212	390410	Bibi Zuidgeest (1999-2001)
787212	400217	Kyra Starrenburg-Isarin (2001
787213	75395	Eva
787213	160656	Catherine
787213	358642	Vietnamese Woman
787214	336591	Lucia
787215	190171	Belyeu's assistant
787216	189066	Tara
787217	28556	Narrator
787217	33516	Narrator
787217	100651	Narrator
787217	110044	Narrator
787217	246970	Narrator
787217	247439	Narrator
787218	382820	Herself - jødisk
787219	37452	Dot
787219	96741	Amy
787219	120615	Dena Bowden
787220	59996	Tina
787220	104207	
787220	156552	Carole
787220	300719	Sylvie
787220	346417	Francine
787220	377905	
787221	352405	The Girlfriend
787222	15986	
787222	83538	
787222	212069	
787223	187291	
787223	295083	
787223	300916	Mrs. Horton
787223	333127	Mrs. Porter
787223	398289	Mary Gideon
787223	399816	Ida Godolfus (1973)
787224	333562	
787225	21304	Herself
787226	51541	
787226	55932	
787226	81573	
787226	127602	
787226	205155	
787226	210377	
787226	219527	
787226	274523	Matilde González Prat
787226	276234	Cook
787226	378109	
787227	274332	Dancer
787228	162451	Stewardess
787229	137372	Matsuno
787229	177926	Matsue as a girl
787229	288351	Hashidera's daughter
787229	299334	Misao Ichikawa
787229	299618	Akiko Tanabe
787229	300507	
787229	309779	Asako Maki
787229	335317	Akiko Miura/Yae's unmarried s
787229	373082	Noriko Awaji
787230	29414	Céline
787230	132743	Miss Vertu
787231	30242	Serveuse B
787232	106458	
787232	183063	
787233	41594	
787233	197724	
787233	215636	
787233	244821	Herself
787233	336284	
787233	361874	
787234	366761	Lenox School Band
787235	83398	
787235	246017	Laboratory assistant
787236	380447	
787236	396718	
787237	307111	La seconde hôtesse
787238	34039	Emine
787238	395012	Emine
787238	398861	Mualla
787239	398862	Nazli
787240	21606	
787240	142786	Tatyana
787240	172175	Emine
787240	380735	
787241	342630	
787242	329522	Folk Girls Member
787243	86523	Eléna
787243	342118	Madre del presidente
787244	57832	
787245	66736	Janine
787245	101511	Soeur Marthe
787245	201183	
787245	234524	
787245	409440	
787246	261780	La fille de Bernard
787247	344808	
787248	31444	
787249	87936	Kimberly
787249	121859	Young Dearie B.
787249	177993	Sasha
787250	228159	Annemarie Berghoff
787250	325422	
787250	389840	Maris
787251	119224	Frau in Bar
787252	81523	
787253	189344	Aminata
787254	12955	Okesa's owner
787254	37479	Toru's Mother
787254	43058	Landlady
787254	121463	
787254	125422	
787254	137360	Takako
787254	139726	Mary
787254	139736	Asa
787254	150688	Shinako
787254	156229	Kimie Nakajima
787254	171627	Tenko Takahashi, prisoner
787254	172241	Village woman (The Woman in t
787254	172284	Female Delegate
787254	175334	
787254	175467	Kiuchi
787254	222922	Maid in the Ono house
787254	223352	
787254	225613	Mother
787254	229964	Koji's grandmother
787254	234903	Girl
787254	234905	Wife of the president
787254	239427	Kinoe Yoshino, Goh's mother
787254	244494	Kiyo Taniguchi
787254	244543	Lily's mother
787254	244983	Chiyoko Azuma
787254	285613	Lady-in-waiting Sakurai
787254	298749	Wife of Gono Family
787254	299101	Teiko Kashiwagi
787254	299406	Apprentice Nurse Rui Minegish
787254	300423	Sumie
787254	326253	Okura
787254	333264	
787254	336576	Yuki's mother
787254	344957	Old woman
787254	371842	Gin
787254	373319	Okyo
787254	386892	Tsuruko Uchi
787255	229774	
787256	105216	Sonia
787257	12259	Alo
787257	76799	
787257	217892	Rajani
787257	249287	Paromita
787257	298645	Bandara's daughter-in-law
787257	326959	Manjula
787257	349090	Keya
787258	249287	Khuku
787259	79276	Restaurant Patron
787260	39	
787261	64872	Hotel Manageress
787262	94904	Habibe
787262	105512	
787262	350996	
787262	374155	
787263	233249	
787264	382135	Gülsüm
787265	136360	
787266	384266	Samantha
787266	389662	
787267	348877	
787268	20893	Engineer
787268	297565	Elfrida
787269	409590	
787270	393599	Herself (eliminated round 3)
787271	202152	Ljuba Milstein
787272	189306	
787273	94223	Marta
787273	120715	
787273	158728	
787273	276409	Princess Mariya
787273	280900	
787273	291601	
787274	42705	Hooker #3
787274	88867	Dream Girl
787274	229241	Witches Coven Member (1983 re
787275	25426	
787275	37766	Antonina
787275	66234	
787275	71838	
787275	104649	Rosemarie
787275	173985	Teresa
787275	180059	Handzia
787275	181840	Teacher Rowicka
787275	184200	Magdalenka
787275	220234	Magda Karwowska
787275	231650	
787275	231658	Waitress in the Cafe
787275	239245	Queen Maria Kazimiera
787275	247647	Julcia
787275	252038	
787275	261670	Marynia Gasztowtówna-Paculank
787275	266336	
787275	306659	
787275	322021	Mrs. Szymbart
787275	322775	Eliza
787275	373556	Tymon's Mother
787275	385477	Magda Domaradzka
787275	385478	Magda Karwowska
787275	385479	
787275	392587	Daniela
787275	401741	Helena Zieba, Irek's mother
787275	411506	
787276	125818	Melissa
787277	22076	
787277	163091	
787277	175397	
787277	257219	
787277	325012	Lotus
787277	326989	
787277	378570	
787278	345164	
787279	165719	
787279	320640	Lizika
787280	343301	
787281	154474	Smiley
787281	341721	Surfer/Note
787282	12937	Marcellina
787282	42197	
787282	87935	
787282	266023	Olinka Vítová, student
787282	268305	Linhartová
787283	41412	Caesar's Girls
787284	324844	Pete
787285	354371	
787286	48391	
787286	343878	
787287	239088	Sakuma-Sensei
787288	170836	Hans' Mutter
787289	13637	Model
787289	232812	Perfume lady
787290	5106	
787290	52059	
787290	57382	
787290	70887	
787290	74955	Female Cop
787290	85723	
787290	92903	
787290	128995	
787290	162169	
787290	162204	Gipsy
787290	243009	The Vine-Woman, His Wife
787290	243509	Herself
787290	244194	(segment "Perigo Negro")
787290	246469	Auntie
787290	376689	
787290	376926	
787290	378108	
787291	195669	
787292	29150	Shop Girl
787293	17114	Ouvrière
787294	214926	Girlfriend
787294	226770	Dorthy
787295	155832	Mary
787296	37236	Receptionist
787296	52043	Secretary
787296	130712	Young Woman
787297	72140	Dancer
787298	194020	Greta
787299	36723	Billy Jean
787299	53798	Candy
787299	233102	(US version)
787299	400624	Susie Hamilton
787300	94665	Thea
787301	215527	Mrs. Mann
787302	73403	
787303	9420	Shigko Takamatsu
787304	236174	
787304	299559	Fujiko
787304	405185	Fujiko
787305	278476	Fortune Teller
787306	348179	
787307	74407	Gabi,Ilona barátnõje
787307	99536	Királyné
787307	136582	A tanár felesége
787307	177970	Rauf Kornélia
787307	201365	Erzsébet
787307	229025	
787307	265132	Jane, a felesége
787307	293405	Piri,komorna
787307	326347	Lívia
787307	377721	
787307	377815	Rózsi,bárhölgy
787308	207047	Mariz's friend
787309	12675	
787309	344584	
787310	49455	Bikini Girl
787311	6423	
787311	9503	Young Jülide
787311	22079	
787311	24849	
787311	26029	
787311	26050	
787311	27761	
787311	28833	
787311	29798	
787311	34059	
787311	34502	
787311	98596	
787311	102529	
787311	138104	
787311	174658	
787311	175487	
787311	180132	
787311	251271	
787311	370366	
787311	377497	
787311	377568	
787311	398861	Firdevs
787312	117944	Marie Ange
787313	29590	
787313	280601	Elena
787314	380157	Host (1997)
787314	383622	Hostess
787314	384774	Hostess
787314	391990	Hostess
787314	397206	Hostess
787314	407564	Hostess
787314	411629	
787315	407281	Narizinho (1985-1986)
787316	24329	
787317	107081	
787318	41422	Linda Trent
787318	404551	Host
787319	11818	
787319	35498	Inges Mutter
787319	35552	Kulturredakteurin Claudia Lin
787319	93451	
787319	107347	Chattering Woman
787319	172194	
787319	194438	First Lady
787319	208460	Hertha Baumann
787319	208461	Hartha Baumann
787319	208462	Hertha Baumann
787319	208463	Hertha Baumann
787319	208464	Hertha Baumann
787319	208465	Hertha Baumann
787319	208466	Hertha Baumann
787319	259588	Wanda Büst
787319	259648	Gerda Mahlow
787319	259692	
787319	290200	Gräfin von Holzendorf
787319	381728	
787320	37681	Race Announcer
787321	26238	Sylvie
787321	248486	Libby
787322	109964	Fato
787322	136770	
787322	139874	
787322	153972	
787322	173799	
787322	173855	
787322	322439	
787322	342162	
787322	370523	
787323	3366	
787323	100648	Blanche
787323	122031	
787323	392654	Grazia
787323	392740	Camilla Ruggeri
787323	399657	
787323	401970	Cristina Morraca
787323	406001	Adriana
787324	366919	Nurse
787325	261650	Hannah
787326	1402	Tove
787327	178469	Himself
787328	345481	
787329	226232	
787330	263804	Ruthie
787331	80416	Art Patron #3
787332	255168	
787333	58946	Service Agent
787333	168286	Linda
787333	347741	Mary
787334	378440	Espectadora
787335	221739	Bailarina
787336	82946	
787337	52987	La Mica
787337	61198	
787337	62004	Prostitute
787337	65164	Marta
787337	103806	
787337	115826	
787337	221690	Isabel
787337	233344	
787337	251573	Luisa
787337	309961	Tecla
787337	353186	Glauben
787337	356947	
787338	301180	
787339	58389	
787340	1870	Cheryl
787341	130331	
787342	239781	
787343	314912	
787344	30314	Sara
787344	73064	Florence
787344	132743	Cosette
787344	176837	Hotesse de l'air
787344	189106	Leïla
787344	202421	Mathilde
787344	287326	Théonias Kanas
787344	351757	Anna
787344	389465	
787345	2980	
787345	5104	Karen
787345	9665	
787345	55603	
787345	86048	
787345	100424	
787345	103163	Nati
787345	169857	
787345	226364	
787345	378486	
787345	383519	
787345	384831	Bárbara
787345	389483	
787345	397593	Empleada
787345	398794	Laura
787345	399807	Valentina Mendez
787345	402681	Teresa
787345	403459	Cristela
787345	405398	
787345	408859	Leticia Plata
787346	50006	Maid Servant
787346	182319	
787346	207757	
787346	253284	Sole
787346	270670	
787348	142263	
787348	155384	Woman
787348	395399	
787348	399175	
787350	43412	
787350	96141	
787351	96144	Hélène Stewart
787352	237689	
787353	173945	Flower Girl
787354	26205	So-yeong
787355	372802	
787356	370331	
787357	135786	Yu-ri
787357	353766	
787358	349182	
787359	138477	
787359	144277	
787359	159800	
787359	286014	Kang So-jeong
787359	307549	
787359	312757	
787359	371941	
787360	2058	
787360	371189	
787361	218728	
787362	165118	
787363	1750	Hye-Rin Oh
787363	41671	Kim So-yeon
787363	49194	
787363	170140	
787364	126886	Oak-nam
787365	16582	
787365	43612	Park Bong-ja
787365	58785	
787365	188518	
787365	287111	Cha Myung-jae
787365	368211	
787365	376540	
787366	126787	
787367	167794	
787368	29265	
787368	60601	
787368	60650	
787368	63494	
787368	123846	
787368	149023	
787368	153513	
787368	168888	
787368	177062	
787368	177063	
787368	177065	
787368	221857	
787368	371146	
787368	371267	
787369	286546	Jae-yeong
787370	62555	
787371	149005	Yu-song
787371	368082	
787372	154435	Yu-jin
787372	228443	Ria
787372	279337	Il-joo
787373	226140	
787374	204126	
787375	285234	
787376	43065	Outa
787376	130252	Akemi
787377	226131	Sun-hwa
787378	243962	
787379	167604	Ahn Hye-ok
787379	189231	Yang Myeong-sun
787380	260359	Herself
787381	63410	
787381	226571	
787382	371133	Hwa Jung-hwa
787382	371671	
787383	165537	
787384	373182	
787385	234324	Herself
787385	262980	Herself
787385	380099	Adriana
787385	380842	Ernestina Soto
787385	383333	
787385	386458	
787385	391572	Sandra
787385	397594	Bárbara
787385	403016	Rebeca Linares
787385	403257	
787385	408855	(2000)
787386	162268	Herself - Presenter
787386	409188	Co-Anchor (1998-2004)
787387	286239	
787388	338981	Herself
787389	130272	Lee, Ka-hun
787390	126782	
787390	126907	
787391	294447	Oh Dong-suk
787392	241915	
787393	44702	
787393	137621	
787393	170140	
787393	371178	Park Seon-hwa
787394	2782	
787394	128038	
787394	226582	
787395	169007	
787395	205802	
787396	59424	
787396	122833	
787396	371226	
787397	44818	
787397	130165	Song In-ju
787397	226575	
787397	227199	
787397	236496	Mother
787397	373146	
787398	363818	High Priestess
787399	404715	Kebala
787400	206253	
787400	209865	
787401	58312	Maza
787402	32855	Italijanka
787402	170216	Herself
787402	170218	Herself
787402	170220	Herself
787402	170221	Herself
787402	170223	Herself
787402	292985	
787402	393848	Herself
787402	397701	
787403	383183	Alice Lacey #3
787404	331622	Blini
787405	285089	Natela
787405	334046	Liana
787406	4495	
787406	247263	
787407	43343	Maschenka
787407	315357	
787408	192428	The Ninja
787409	58418	Marla Mason
787410	21384	Tiina
787410	103155	Sanna Rajala
787410	181857	Prinsessa
787410	182377	Kirsti Korkkalainen
787410	197362	Hoitaja
787410	198887	Wife
787410	213417	Ex-wife
787410	237241	Tuula Häkkinen, single parent
787410	242255	Hellevi
787410	256878	Patun äiti
787410	268230	Vaimo
787410	278367	Eeva Laakso
787410	281590	
787410	303197	Agneta's Mother
787410	381054	Pirjo Lehtonen
787410	382257	Jaana Kuusipuu
787410	382258	Jaana Kuusipuu (1995)
787410	392555	Meri Kallio
787410	394576	
787410	399648	
787410	400857	Meri Kallio
787410	402277	
787410	404221	Tuula Rickman
787411	404145	Roosa Kemppainen (2001-2004)
787412	211863	Mrs. Jalkanen
787413	267016	Latvis
787414	141887	
787415	404145	Nooalaistyttö Vuokko
787416	153658	Sairaanhoitaja
787416	324808	Sirpa Väätäinen
787416	354285	Young Selma
787416	394069	Saara
787417	109139	Teenage Girl #1
787418	214835	Agnes Stenvall
787419	354424	Silkka
787420	115062	Sandmoon Girl
787421	207051	Creature - Mr. Butterfly
787422	267165	Phone Sex Girl #2/Utah
787423	43164	Tourist
787424	295002	
787425	288929	Hooker
787426	171619	
787427	402686	Micaela
787428	14553	
787429	381607	
787430	396941	
787431	229668	
787432	95591	Bezka
787432	179898	Blanka
787432	260424	Miluska
787433	396718	Dinda
787433	411585	Micaela
787434	23087	
787434	68726	
787434	92935	
787434	145203	La loca
787434	160084	
787434	183065	
787434	216089	
787434	221909	Ana María
787434	222043	Marta
787434	225006	Yolanda Montenegro
787434	233756	
787434	261252	
787434	264393	Marta
787434	287452	Neighboor woman
787434	294084	
787434	328469	
787435	85553	Nurse
787435	221909	Dancer in white at party
787436	269959	Maria
787437	243022	Une cliente de la poissonneri
787439	104717	Herself
787440	264157	Mrs. Motaz
787440	264158	Mrs. Motaz
787440	381873	Josie, Trudy
787440	394950	Herself
787442	46185	Grandmother
787443	171562	Friedls Mutter
787443	341007	
787444	12240	Gypsy
787444	323728	La Stella,
787445	289372	Featured Extra
787446	343309	Olga Yakovleva
787447	407906	
787448	1400	
787449	74787	Prisoner Iwona
787450	278564	
787451	74787	Iwona
787451	396286	Katarzyna Wojcik
787452	356588	
787453	176831	Leigh Hackett
787454	348215	
787455	348215	
787456	55848	Giulia
787457	89572	Second lady with the irritate
787458	228492	La contesse
787460	221554	dancer
787460	322163	Abigél
787461	63831	
787462	9890	
787463	73787	Baptized Woman
787463	177461	Woman on Street
787463	231099	Girl #1
787464	113386	Kat
787465	183516	
787466	9890	
787468	21218	
787468	174902	
787468	371897	
787469	289396	Murray's Band
787470	240586	
787470	346667	Cri-Cri
787470	346824	
787471	159175	Village Woman
787471	162151	Nonna
787471	193476	
787471	251147	Mrs. Weerasinghe
787471	265755	Mrs. Rambukwella
787471	271921	
787471	361136	Aunt Catherine
787472	240344	Widow Piattino
787473	83732	
787474	183622	Karate champion
787475	280771	
787476	72031	
787478	51917	Malika
787478	103877	La mère de Krimo
787478	111871	Une aide-soignante
787479	122818	Angela
787480	44935	Iceni Mother
787481	95017	Mari
787481	337742	
787482	272833	
787483	25863	
787484	1890	
787484	42909	Ana
787484	106718	
787484	110773	Easter
787484	143770	Fulvia
787484	159456	
787484	217860	
787484	229190	IVA
787484	240087	
787484	259133	
787484	272565	
787484	275394	Eva Bebek
787484	279993	
787484	285752	Russian prostitute
787484	399767	Sandra Matosic
787485	303608	2nd Woman Inmate
787486	387405	Selale Haným
787487	87831	
787488	127550	Sophia
787489	38891	
787489	217972	
787489	341664	
787489	369431	
787490	51624	
787490	74809	Refugio
787490	99798	Lupita (Adult)
787490	212238	Emanuelle
787490	235998	Nana
787490	296826	
787490	365198	
787490	370089	Mabel Juárez de Carranza
787491	23035	
787492	99558	Girl on Santa's lap
787493	201928	Pool Dancer
787494	304854	'Mary' Sleepwalker
787495	256488	Adele
787496	5142	Madame Gladkowska, her mother
787496	11900	
787496	11979	Schiffspassagierin an Violas 
787496	12567	
787496	23238	Clara, his wife
787496	65199	
787496	76816	
787496	93441	Frau Tschöll
787496	94489	Tante Julie
787496	100983	
787496	109324	
787496	119181	Patricia
787496	128661	Georgette's mother
787496	134802	Frau Westphal
787496	136922	Ana Sternhjelm
787496	142020	
787496	142111	Frau Bach
787496	144014	Amalie von
787496	171489	Zerline
787496	174755	
787496	183672	Adele Nelson
787496	189603	
787496	189646	
787496	189778	
787496	189811	Duchess of Lauenburg
787496	198928	
787496	202814	Die Oberin
787496	204454	
787496	207213	The Princess
787496	211113	
787496	216258	
787496	218067	Frau von Schadow
787496	219017	Zofe Marie
787496	223191	
787496	240163	Princess Plat-Ettingen
787496	264336	
787496	274915	Frau von Steckler
787496	281954	Gräfin Brix
787496	293535	
787496	307247	
787496	315371	Tante Irene
787496	321825	
787496	326026	
787496	335024	
787496	338396	Palace Mistress
787496	347428	Lady Jane
787496	352548	Clothilde, Frau Leykowitz
787496	359695	
787496	360927	Frau des Operndirektors
787496	361327	Malwine
787496	361458	
787496	361502	
787496	373963	Lady
787496	374854	Anna Pavlovna
787497	330681	Shop Assistant
787497	380365	Marie
787498	405705	
787499	178408	
787500	374133	Dritte Dame der Königin
787502	356191	
787503	177119	Extra
787504	131300	
787505	234012	1st Client
787506	12806	
787507	340431	
787508	18746	
787508	97146	
787508	109599	
787508	301634	
787509	234295	
787510	195365	
787511	246695	Mazeppa
787512	114384	Redda
787513	28344	
787513	192837	
787514	128071	Woman in sunflower fields
787515	63036	
787515	147066	Alina
787516	234268	
787517	213681	
787518	136444	Bárvendég
787519	402685	
787520	6291	
787520	6320	Aimilios' mother
787520	18215	
787520	98734	
787520	125350	
787520	136479	
787520	156414	
787520	166669	Sofia
787520	172193	
787520	179458	
787520	201974	
787520	205791	
787520	212553	
787520	244237	
787520	266027	
787520	288485	
787520	341178	
787520	401007	
787520	403251	Aunt Hristina
787520	408760	
787521	378235	
787522	25605	Ayse
787523	606	Party Guest
787523	18251	
787523	24502	
787523	26391	
787523	32939	
787523	34785	
787523	41913	
787523	41992	
787523	41993	
787523	45019	Slave
787523	54655	Leticia, the Young Debutant
787523	70939	La strip-teaseuse
787523	75031	
787523	75191	
787523	108711	
787523	123872	
787523	125666	Mysterious Woman of Intrigue
787523	144914	
787523	150232	
787523	150620	
787523	160619	
787523	168543	Herself
787523	185636	Trish Swale
787523	187411	Herself
787523	189475	
787523	232093	Peep show barker
787523	273387	
787523	294299	
787523	296260	
787523	305401	
787523	317850	
787523	320963	
787523	320999	
787523	323422	
787523	350181	Female Dancer
787523	360890	
787523	366117	
787523	372793	
787523	378193	
787524	273844	
787525	229414	
787526	161776	Agnese
787526	161841	
787526	301381	
787527	189395	Rosaria Papone
787527	270840	
787528	97170	
787528	133991	
787529	206630	Cyclist
787531	340143	La caissière du supermarché/C
787532	2442	
787532	6720	Herself
787532	6722	Herself
787532	6723	Herself
787532	6725	Herself
787532	81797	
787532	84001	Herself
787532	116013	Herself
787532	126109	Herself
787532	128871	
787532	129090	Herself
787532	148777	Herself (actress)
787532	150050	Contestant #11
787532	243436	Special Appearance
787532	261289	
787532	294728	
787532	312710	
787532	351701	
787533	355280	
787534	337900	Herself
787535	209842	
787535	322049	
787535	322069	
787535	322126	Munkásnõ
787535	357943	Egy mama
787536	108840	
787536	182208	Consumptive Woman
787537	212309	Angeli
787538	74426	
787539	309289	Girl 1
787540	388604	Isabel
787541	79314	Helen McMahon
787541	388328	
787541	391248	Jill Delaine (1997-1998)
787541	398742	
787542	101809	Abril
787542	292766	Mujer I
787543	387401	Debora
787543	394603	
787543	397143	
787544	43427	
787545	228388	Tess
787546	21984	
787546	23200	
787546	212072	
787546	275757	
787546	376618	
787546	378315	
787546	379473	
787546	405465	Eleni
787547	45721	
787547	53870	
787547	96474	
787547	136783	
787547	181941	Emilia
787547	229971	
787547	325352	
787548	97062	Essonne
787548	281303	Elfrida
787548	377905	
787548	388141	Dany Sauvelot
787549	379898	Valentina Linares
787549	392971	Alicia Fuentes Manso
787549	396214	Angelina Mendoza y Rivero de 
787549	398519	Jocelyn Palacios Ansola de Sa
787549	399520	Camila Olivares Sucre
787549	401122	Elisa
787549	403289	Isamar
787550	387039	Julia Rubinstein
787550	396221	Laura
787551	307755	
787552	196593	Sofia
787554	283188	
787555	1302	Lida
787555	32534	Mimi Maritza
787555	133511	Princess Dashkoff
787555	144454	Grace
787555	367962	Ilka
787556	240607	Herminie Desforges
787557	390195	Herself - Reporter & Newsread
787558	185827	(segment "Agricultural Caress
787559	104694	Herself
787559	104764	Belgian entry (19th place)
787559	394353	Presentatrice
787559	404477	Ingeborg
787559	411373	Herself
787559	411922	Presentatrice
787560	19468	Estefânia
787560	143485	Première petite fille
787560	211047	
787560	215039	
787560	294723	Margarida
787560	387164	Célia Sónia
787560	399870	Vera Cruz
787561	126040	Attractive Woman
787562	32057	The Countess D;Eguzon
787562	245280	Mrs. Guest
787562	364385	Mrs. O'Brien
787563	260996	
787564	87175	Murdered Mom
787565	63614	
787565	95582	
787567	59716	Charlotte Löwensköld
787567	99641	
787567	144001	Mary von Holten
787567	172144	
787567	182365	
787567	182552	Anna-Greta
787567	198005	Mrs. Broberg
787567	209912	
787567	254251	Mia
787567	283592	
787567	342301	Karin
787568	24734	Flore
787569	65165	Aimée
787570	240338	
787571	84415	
787571	95356	
787571	173680	
787571	181404	
787571	258997	
787571	265049	
787571	316372	
787571	320647	
787571	373484	Dasha
787571	374832	
787572	45556	Telegraphist (segment "Slucha
787572	223602	Natenka (Cabbie singing 'Olga
787573	307615	
787574	300542	(segment Vanderbul' bezhit za
787575	9537	the actress
787575	129924	Fannie Malvaux
787575	224446	
787575	268214	Mlle. Bousset (Boule-de-suif)
787575	352798	
787576	189425	
787576	353541	
787577	188127	
787578	17837	
787579	198148	
787579	258684	
787580	174987	
787580	241935	
787580	389747	
787581	124843	
787582	205759	
787583	189272	Sabina
787584	346006	Italian Restaurant Patron
787585	343304	
787586	154541	
787587	311426	
787588	136360	
787589	384029	
787590	32469	
787591	57528	
787591	65897	
787591	108632	
787591	118179	
787591	214922	Jeanne Fouquette
787591	224901	
787591	268451	Manoela Damores
787591	279971	Madame Henry
787591	318635	Zilah
787592	9335	Yoko
787592	9336	Kimiko
787592	29324	
787592	62608	Woman
787592	130525	Kumi Hayasaki
787592	167863	Woman in the slums
787592	173193	
787592	176616	Yoko
787592	182033	Meiko
787592	182163	Nurse
787592	182428	Shimako Ozeki
787592	206752	Tome Marunishi
787592	206764	Oshina
787592	236858	Makiko
787592	236859	Meiko
787592	242417	Staff member of Wings (love h
787592	278364	
787592	293606	Girl
787592	297733	Make up artist
787592	334852	
787592	358400	Kushimaki Okyo
787592	359834	Lily
787592	370684	
787592	371840	Oshin
787592	371846	Hanamaru
787592	371847	Kofuku
787592	373333	Kubo
787593	194127	
787593	204991	Mother Baum
787593	383960	
787593	400075	Various
787594	257634	Additional Cast
787595	308153	
787596	40997	Loan Cremer
787596	198442	Singer
787597	120988	Anaïs
787598	99356	
787600	137051	Junko Suzuki
787601	145449	Taeko Nakamoto
787602	6623	Serina, Delphine
787602	11934	
787602	23860	Henriette
787602	101448	La cousine
787602	103830	La femme
787602	211156	
787602	225471	Carole Baszinger
787602	257151	Laetitia Angely
787602	258978	Sandrine
787602	276548	Marianne
787602	288443	Valérie Gerbaux-Dangès
787602	306942	Hélène Richard
787602	324517	Sophie
787602	346730	La fille du musicien
787602	354930	Béatrice Jacob
787602	377008	Vanessa
787602	381850	Sarah Mülstein
787602	402885	Allegra
787602	403089	(segment "Question de choix")
787604	102575	Carlotta
787605	22849	Tiffany
787606	277598	
787607	289349	
787608	252589	Mariana
787608	384118	Tatiana 'Tati' (1997-1999)
787609	146913	
787609	172104	
787609	172288	
787609	305314	
787609	373486	
787610	152357	Mari
787611	390771	Darci Matthews (2003-2004)
787612	194870	Nala
787613	159518	Carol
787614	255498	
787615	182036	
787616	258684	
787617	2939	Lillemor
787617	48128	Irma Stridlund
787617	115402	Mattias' maid
787617	121019	Birgit Björk
787617	164781	Elsa
787617	220194	Maj
787617	256501	Pippi Långstrump
787617	304137	Gertrud 'Truttan' Karlberg
787617	340434	Inga
787617	357800	Ms. Johansson's Friend
787618	23750	Henriette
787618	101881	
787618	226631	
787619	184608	White Pawn
787620	114251	Reporter #3
787620	183587	Wanda
787620	226920	Betty
787620	366102	Linda
787621	280322	Herself (Daughter of Rod Serl
787622	280322	Herself
787622	342512	Passenger (Segment #4)
787623	280322	Herself (Daughter of Rod Serl
787625	229603	Max's Girlfriend
787626	88362	Grandmother
787626	145332	Julka
787627	374573	Waitress
787628	411714	Herself
787629	6314	
787629	28003	
787629	28207	Mena
787629	33529	Simona
787629	48282	Solange Vauthier
787629	49368	Ahandra
787629	52751	
787629	57894	Une actrice muette à Hollywoo
787629	58483	Cleo
787629	68618	Sonia
787629	71457	Adela
787629	72509	Lirio
787629	73268	Manuela
787629	73464	
787629	74379	
787629	79827	Marissa
787629	79829	Helen
787629	83247	
787629	84257	María
787629	91424	
787629	94052	Judge Christina Soto
787629	95020	
787629	96343	Virginia Klein
787629	101181	La mère
787629	106267	Guest
787629	118156	Herself
787629	121950	
787629	126242	
787629	134985	Judith
787629	140322	Yvonne Duchamp
787629	142929	Katherine of Aragon
787629	148047	Lynda
787629	160886	
787629	165796	Lucía
787629	169517	Cleopatra
787629	169565	
787629	193483	Silvia
787629	197006	Miss Côte d'Azur
787629	197338	
787629	199930	Adela de Otero
787629	203818	Martha
787629	207602	María
787629	217565	
787629	227300	Sabine Muffat
787629	227497	Rose Mignon
787629	235352	Anne
787629	236525	Claire
787629	243448	
787629	250731	
787629	252551	
787629	261839	Diane
787629	268249	
787629	269746	
787629	273664	Teresa
787629	277295	Countess Angela Rossetti
787629	282105	Maria Marcolini
787629	286315	
787629	296876	Clara Viebrock
787629	297706	Teresa
787629	297707	Teresa
787629	297708	Teresa Moreno
787629	297715	Teresa
787629	302746	
787629	307301	
787629	317810	Irene
787629	328209	Presentadora
787629	336425	Virginia
787629	346432	Gina
787629	349334	Herself - Presenter: Best Dir
787629	349848	
787629	351030	
787629	352083	
787629	353017	Herself - Presenter: Best Fil
787629	353973	Luz
787629	354265	Herself - Nominee: Best Actre
787629	365380	Hanna
787629	369870	Herself - Presenter: Best Scr
787629	371778	Juana Ines de la Cruz
787629	377038	Mireille
787629	382755	Julia
787629	388237	Anna Cellini (1989)
787629	400795	Natalia
787630	55372	
787631	143757	
787632	25039	
787632	48795	
787632	55092	
787632	65375	
787632	99354	Amiga de Graciela
787632	103976	
787632	104123	
787632	199004	
787632	204739	Blanche
787632	212057	
787632	225007	
787632	235309	
787632	236023	
787632	236750	
787632	247422	
787632	247465	
787632	287033	
787632	294969	
787632	307795	
787632	333700	
787632	340655	
787632	341398	
787632	385413	
787632	402585	Sonia
787633	74351	Amiga #2
787634	5002	Agnes
787634	15429	
787634	30877	
787634	39006	
787634	54432	Belen
787634	76580	
787634	137141	
787634	158629	Clarita
787634	162721	
787634	180368	
787634	198942	
787634	224004	
787634	224005	
787634	246095	
787634	251230	
787634	277888	
787634	323059	
787634	342581	
787634	371386	
787634	376140	Galema
787634	390873	Olivia
787634	394247	Maida Ventaspejo (2002)
787634	396887	Esther Sto. Domingo
787634	398494	Criselda Pereira
787635	316963	Nikki
787636	374014	
787637	24344	
787638	182945	Herself
787639	112657	Anna
787640	318644	Hannah
787641	64964	
787642	302054	
787643	107792	Marina
787644	10902	Carol Nelson
787645	35873	
787645	50115	Lena
787645	76487	
787645	181694	
787645	262173	
787645	312939	Beria's Wife
787645	343963	
787646	345564	Fritna
787647	23678	Fiametta
787648	245600	Night Club Cashier
787649	47605	Karen
787650	81117	
787651	132817	Sandra
787652	12803	
787652	163158	
787653	217284	
787653	350565	
787654	20035	
787654	34607	Maria Nikolayevna
787654	84426	Kukarnikova
787654	85211	Katia Ivanova
787654	129426	Maria Petrovna Ivanova Glinka
787654	294663	Galina Sergeyevna Murashova
787654	317099	Liza
787654	374720	Lisa
787655	148483	Caixa da lotérica
787655	157209	Secretárias
787655	384921	(episode "A importância do cu
787657	14760	Cupid Owner
787657	352127	Rosemary
787658	409003	Isis
787659	142766	Angel #2
787660	98113	Lewis' Mother
787661	126730	Roommate
787662	128830	Frances
787662	150412	
787662	222216	
787662	285770	
787662	331655	Countess
787663	24713	Sandra
787664	183271	Housekeeper
787665	106977	
787666	328891	
787667	79447	Lourdes
787668	4615	
787668	19068	Un' amica di Andreina
787668	38776	
787668	64264	
787668	94719	
787668	112175	Giulia
787668	160052	Silvia
787668	215013	
787668	216845	Un' amirattrice di Giò
787668	234738	Collega Maligna
787668	246454	Francesca della Checca
787668	259949	
787668	263622	Maria
787668	291622	Infermeria
787668	322575	Clelia
787668	336614	Marta
787668	346383	
787668	351854	
787669	80335	Hôtesse clinique
787670	328284	Fighter
787671	360635	
787672	89938	
787673	379716	Bonnie McFadden #2 (1981) (al
787674	166897	
787675	22786	Herself
787676	40564	La Morte
787676	275619	La mime
787677	111916	Berta
787677	281627	Deolinda
787678	379716	Bonnie McFadden #2 (1981) (al
787679	307557	
787680	43757	Une fille (segment "Bons viva
787680	48525	
787680	183283	Barbara Morris
787680	208798	
787680	229992	Susan McLeod
787680	244870	Gina
787680	260889	
787680	287647	
787680	296525	Jenny
787680	338699	
787681	217004	Armand
787682	22000	Viaggiatrice treno
787682	41855	
787683	46185	Grandmother
787684	69970	Olympia
787684	289351	Giulia
787684	289352	Giulia
787684	353138	Contessa di Folleville
787684	374131	The Queen of the Night
787685	170237	
787685	250447	
787685	253670	
787685	376712	
787685	378037	
787685	380113	
787686	43244	
787686	229238	
787687	251339	
787688	306697	
787689	339043	
787690	378386	
787691	390526	Carme
787692	74384	
787694	70685	
787694	94838	Ericka
787694	222412	Dianita (la de las vueltecita
787694	385370	Daniela Sánchez- Serrano
787694	397839	Carolina
787694	407529	
787694	410093	Paulita Giraldo de Román
787695	14631	
787695	52957	
787695	61350	
787695	64047	
787695	99788	
787695	119859	
787695	197962	
787695	221562	
787695	221563	
787695	221902	
787695	222039	Luisa
787695	222533	
787695	235984	
787695	243696	
787695	267293	
787695	334650	
787695	341371	
787696	155597	
787697	68611	
787697	69122	
787697	80278	
787697	129885	
787697	184932	
787697	193066	
787697	206741	Quaker Woman
787697	209469	
787697	212529	
787697	235989	
787697	251584	
787697	345077	
787697	397202	
787698	73086	Mujer en bikini
787698	236036	
787698	350399	
787698	379819	Monica
787698	396880	Alina
787698	396898	Teresa
787698	405398	Zulema
787698	406056	
787698	410327	
787698	412193	Martha
787698	412195	
787699	185691	Eros
787700	294692	Rosa
787701	332636	Concha
787702	218565	
787703	403618	
787704	293362	Ana
787705	214516	Mrs. Halvestrom
787706	355273	
787707	272927	Hooker
787708	381224	
787709	106321	
787710	104171	
787711	158874	Evelyn
787711	267405	Emilia Lamberti
787712	106458	
787712	115824	
787712	341790	
787712	350144	
787714	198246	Constanza
787714	253667	Norma
787714	409960	Ana 'Anita'
787714	410092	Sonia
787715	71160	Nieves
787716	12528	Jornalista #1
787716	43284	Andreia
787716	165013	Marta (mother)
787716	218899	
787716	328106	Sofia
787716	379897	Anabela
787716	390489	Carlota
787716	393345	Prof.Xana
787716	393714	Ana
787716	395865	Marlene
787716	402638	Mónica Rodrigues
787717	149287	Lost Boy in play
787718	388282	
787719	84171	
787720	255499	América
787720	385069	Maria Jose
787720	395373	Dra. Martínez
787720	408419	Onix
787721	13080	Saurina
787721	14928	
787721	58915	
787721	69698	
787721	106241	
787721	122741	
787721	124654	
787721	145195	
787721	206674	La Martina
787721	212259	Herself (PRD senator)
787721	217788	
787721	227296	
787721	234420	
787721	287865	Det. Isabel
787721	287901	Irma Morales
787721	332373	Rosa
787721	332945	
787721	351638	
787721	376173	
787721	380893	
787721	408211	Martina
787722	6500	Alicia Rivas
787722	22744	Mariví
787722	163880	Herself - Presenter: Best Scr
787722	186542	
787722	197462	
787722	204824	
787722	281650	Violeta Muñoz
787722	353669	
787722	357516	Antonia
787722	379566	Leticia (2001-2002)
787722	382418	Bailarina (1987)
787722	382755	Carmela
787722	384062	
787722	387186	
787722	390851	Elena Alonso
787722	392845	Hostess (1993-1996)
787722	395844	Caridad
787722	398838	Inma (1996-1999)
787722	400840	Amanda (2001)
787722	402702	
787722	409463	Secretaria (1987-1988)
787722	411722	Irene
787723	119822	Child
787725	2481	
787725	4923	
787725	12083	Pilar
787725	13047	Madre de Joan
787725	14697	Maria Rosa
787725	19928	Irene
787725	51532	
787725	55372	
787725	55866	Dona gran
787725	71261	Marieta
787725	74359	
787725	74584	Tía Rafaela
787725	74745	
787725	74827	Gloria (segment "La tilita")
787725	74832	
787725	74846	
787725	101153	
787725	101894	Abbess Julia
787725	108136	
787725	111995	Paula Balenyà
787725	115018	Herself
787725	121232	
787725	125661	
787725	133093	Nicole
787725	147056	
787725	148081	
787725	156097	Herself - Winner: Supporting 
787725	157806	
787725	170035	
787725	183984	
787725	205669	
787725	207602	Berta
787725	207757	
787725	212490	Isabelita
787725	215031	Madre Violeta
787725	218503	
787725	220755	La Moños
787725	221934	
787725	222008	Lucía
787725	231082	
787725	235296	Magdalena
787725	235992	Julieta
787725	248311	Vieja
787725	251580	María
787725	252551	Mujer vestida como Escarlata 
787725	263699	
787725	285460	Andrónica
787725	286233	Mariluz
787725	292933	
787725	307297	
787725	325304	Magda
787725	333711	
787725	351983	Maria
787725	353018	Herself - Presenter: Lead Act
787725	354265	Herself - Presenter: Best New
787725	354266	Herself
787725	357729	Paula
787725	369748	Herself - Presenter: Best Ani
787725	369989	Herself - Presenter: Best Edi
787725	371734	
787725	376142	
787725	376760	Alma
787725	378946	Águeda
787725	378989	Gloria
787725	383816	
787725	385258	
787725	387431	Herself
787725	397847	Adela
787725	402673	
787725	407808	
787725	408418	Mati
787725	408849	Paloma
787725	409074	
787726	125738	L'hôtesse de la réception
787727	221945	
787728	91298	
787729	357189	
787730	383470	
787731	12083	
787732	101894	Espe
787733	52750	
787734	10823	
787734	65043	
787734	246872	
787734	269572	
787734	397013	Elvira
787735	356313	Ceryl
787736	205593	Herself
787737	83028	María
787738	6473	
787738	14772	
787738	28961	
787738	55768	
787738	69023	Madre de Beatriz
787738	91360	
787738	103807	
787738	132650	
787738	221971	
787738	225552	
787738	243468	
787738	292774	
787738	307845	
787738	377099	Tia Chofi
787739	138020	
787739	317673	
787739	341371	
787740	12527	
787740	202213	
787740	250793	Victoria
787740	339151	
787740	378432	Enfermera
787741	357189	
787742	403599	Hostess
787743	103646	
787744	90146	Brigida
787744	97376	
787744	268239	Rosa
787745	343526	
787746	332593	
787747	108314	
787747	232308	Dolores
787747	321082	Mrs. Konstantikis
787747	407831	Spanish Woman Patient
787748	17326	Singer
787748	33262	Singer
787748	103101	Singer
787748	144176	
787748	178807	Singer
787748	223599	
787748	285814	Singer
787748	290605	La Cubanera
787748	354111	Singer
787749	21596	Amiga Santino
787750	148562	
787750	169677	Cindy
787750	373990	Amy
787751	68915	Sr. Tomé
787752	93758	Maria
787752	403688	L.A. Host (1976-1990)
787753	307660	Juanita
787754	60222	
787754	61354	Fabian's Mother
787754	66230	
787754	70114	
787754	80139	Widow Schmidt
787754	88461	
787754	169778	Elena
787754	199793	
787754	207652	Hermana Matilde
787754	234341	
787754	370152	
787754	376792	Licenciada Milman
787754	378958	Rosa Peralta
787754	383571	
787754	384775	Inés
787754	389780	
787754	403237	Leonarda Panini
787754	405816	Tonia
787755	96684	
787756	21596	Woman at the canteen
787757	115000	Alba
787758	193010	Verónica
787759	51613	
787759	155666	
787759	385366	Virginia
787759	385458	Carla
787759	386792	Marili
787759	387686	Graciela
787760	51613	
787760	155666	
787761	392430	Girl
787762	344886	Francisca
787763	22000	Teacher
787763	290862	Ragazza in sala d'aspetto
787764	251007	
787765	69522	La femme en jaune
787766	285071	
787767	285071	
787768	269172	
787768	344451	
787769	401884	Herself/- Finalist #6
787770	221293	Jillian Marshall
787771	5268	
787771	13009	
787771	19463	
787771	21071	
787771	21076	
787771	22772	Portera
787771	27869	
787771	28314	
787771	42645	
787771	43307	Doña Rosario
787771	48291	
787771	48848	
787771	52601	
787771	56536	
787771	56932	Victoria, visitante de Enriqu
787771	61142	
787771	75484	
787771	76094	
787771	83890	
787771	90157	
787771	92971	Antonia
787771	96355	
787771	96369	
787771	103167	
787771	104008	
787771	108726	
787771	110733	
787771	112056	
787771	125391	
787771	135380	
787771	137865	
787771	146572	
787771	148110	
787771	148135	
787771	159187	
787771	192981	
787771	194624	
787771	197617	
787771	204691	
787771	205155	
787771	206018	
787771	206314	
787771	212542	
787771	220701	
787771	235981	
787771	236456	Rafaela
787771	246403	
787771	247356	
787771	248291	
787771	256799	
787771	256944	
787771	258479	
787771	269965	
787771	275324	
787771	279707	
787771	284584	
787771	292745	
787771	296463	
787771	307466	
787771	309086	
787771	318016	
787771	320327	
787771	327927	
787771	333708	
787771	334708	
787771	338654	
787771	341871	
787771	343629	Portera
787771	353599	
787771	353626	
787771	353671	
787771	357533	
787771	373757	
787771	376644	
787771	376794	
787772	146570	
787773	68920	Une doucelle
787773	68935	Jacqueline Maillard
787773	288696	
787773	325082	Marianne
787774	184724	
787775	85568	
787776	12041	Liliane
787776	122871	
787776	125469	Christine
787776	129121	La monitrice
787776	166186	Malika
787776	217705	La secrétaire de la direction
787776	218808	Countess Labinsky
787776	229032	Sandrine
787776	241878	Liza
787776	268457	La vendeuse de porcelaine
787776	303388	
787776	343556	Une prêtresse
787776	386476	
787777	17847	Ninon
787777	51725	Lisa
787777	73472	Camille
787777	88084	La petite fille aux jumelles
787777	100029	Mouche Lafarge
787777	134617	La pyromane
787777	148638	
787777	165449	Adele
787777	188679	Clothilde
787777	235851	Young Marie-José Vire
787777	247980	Juliette
787777	261729	Anna
787777	262993	Myriam
787777	393885	Babou (1992-)
787778	102001	Lulu
787778	189906	Eppie
787778	201172	Charlotte
787778	259979	Ada
787778	261814	
787778	263620	Marie-Lise
787778	281334	Arles Little Girl
787778	340351	Louise
787778	345261	Aurélie Bertot
787778	345365	Charlotte
787778	397947	Cosette enfant
787779	23104	Herself
787779	24926	Interviewee
787779	33626	Mila
787779	76534	Lily
787779	118181	Josée
787779	240637	Anne
787779	249360	
787779	294560	Mrs. Mauvagne
787779	389004	Evelyne
787779	401816	Nicole
787780	166878	
787781	230637	
787782	26283	
787783	318018	
787784	8611	La pianiste
787784	34481	
787785	71160	Niña (Little Girl)
787785	215029	Kika
787786	249283	
787787	14680	
787787	14938	
787787	52598	
787787	54079	
787787	69029	
787787	74547	Chabela
787787	85964	
787787	144075	
787787	149505	
787787	160716	
787787	170919	
787787	193341	
787787	212435	
787787	217003	
787787	221982	Mercedes
787787	225391	
787787	233549	Justina
787787	245581	Justina
787787	246942	
787787	248232	
787787	248233	
787787	251565	
787787	258478	
787787	260625	
787787	294076	
787787	317680	
787787	332613	
787787	339205	
787787	376661	
787787	377104	
787788	202090	
787789	279040	Miranda
787790	400286	Infermiera
787791	233875	FBI agent
787791	303611	Crooked singer
787792	198064	AMU Instruktør
787793	241863	Herself
787794	267588	Dancer
787795	116723	Miss Hatch
787796	202784	
787796	275026	Li Pom
787797	405324	Marimar
787798	102161	Pjäsförfattare 3
787799	285434	Rosa
787800	306834	
787801	20341	L'Arlésienne
787801	45192	
787801	58530	
787801	96222	
787801	156508	
787801	166196	Thérèse
787801	199723	
787801	230204	
787802	25579	
787802	110403	
787802	136763	
787802	174654	Nermin
787802	177964	
787802	186963	
787802	189057	
787802	214276	
787802	227967	
787802	293430	
787802	322447	
787802	322448	
787802	336418	
787802	370793	
787803	382105	Host
787803	393050	Ela
787804	282131	María
787805	12047	
787805	20465	La jeune mariée
787805	75907	
787805	83461	
787805	134428	Minouche
787805	164146	
787805	208821	
787805	294778	
787805	301528	Marinette
787805	307110	
787806	378598	
787807	232134	Dispatcher (Rome)
787808	90748	
787809	6181	
787809	11874	Asta
787809	40585	
787809	55149	Elisabeth von Valois
787809	94302	Mrs. Stapler
787809	102638	Karls Mutter
787809	107738	Baronin Truschkowitz
787809	115809	
787809	120169	Frau Rieger
787809	122560	Emerenzia
787809	130940	Frau Tandler
787809	132809	
787809	145522	Königin von Lappalien
787809	147165	Theres Sentner
787809	147258	
787809	151891	
787809	178610	
787809	178806	
787809	182767	
787809	183246	Missis Valmondi
787809	205583	Obersthofmeisterin Gräfin Hag
787809	216988	
787809	226258	
787809	227478	Ninon de l'Enclos
787809	246549	La contessa Valmondi
787809	253934	
787809	267330	Gräfin Bernburg
787809	274886	Marquise
787809	289853	
787809	294213	Sylvia Casilla
787809	301043	Serafine, seine Frau
787809	311068	Kathi
787809	314316	
787809	320545	Drahomíra, mother
787809	322994	
787809	343655	Leonie
787809	346850	Sophie Riedel
787809	347697	
787809	347707	Anna Strauß
787809	354110	Frau Schalanter
787809	360649	Luise Hise
787809	361004	Theonis
787809	367152	
787809	371641	The Countess
787809	371642	
787810	4790	Frau Schister
787810	125102	
787810	189581	
787810	262433	
787810	289853	Elisabeth
787811	292817	Jane
787812	83218	Sonia Delange/Vera
787812	101219	Colette
787812	190663	Doctor Van Der Zijpen
787812	207806	Woman at the Snack Bar
787812	269244	Catherine
787812	322760	Victoria
787814	306646	
787814	373848	Amalia
787816	33892	La troisième patronne du bist
787816	200575	Une villageoise
787816	400051	Carmen, la bonne
787817	382584	
787818	285762	Mme de Saint-Just
787819	92899	
787820	54818	
787820	66218	Mme Yvonne
787820	107382	Mme Courcel, Agathe's mother
787820	121609	
787820	171008	
787820	217701	Madame Arpel
787820	220492	
787820	237122	The Mother
787821	127312	Elizabeth Dean
787822	225699	
787823	18349	
787823	80900	
787823	93243	
787823	178563	Frau von Köckritz
787823	195057	
787823	325467	
787823	364876	
787823	407543	Nina's Mutter
787823	409958	Elisabeth Brandner, verw. Rya
787823	410839	Andrea Kuhnert
787824	19327	Josyane
787825	127438	
787826	246454	
787827	208411	Valerie Winterson
787828	1034	Argentina
787829	354293	Haar moeder, de boerin
787829	407775	Herself
787830	55754	Mrs. Joyce
787830	92345	
787830	112098	Tia Betty
787830	292752	
787830	339034	
787831	476	
787831	48341	
787831	59563	Mona
787831	79169	(uncredited)
787831	93488	
787831	94302	
787831	104826	Fräulein Peters II
787831	111952	Annamirl Raudaschl
787831	120930	Gucki
787831	125130	Frl. Krümmel
787831	129668	Böhmische Poldi
787831	130916	
787831	132251	
787831	134855	
787831	142131	
787831	147165	Genoveva
787831	147272	
787831	164275	
787831	177137	Edith
787831	178806	
787831	204429	
787831	207168	Putti Pierotti
787831	209975	
787831	226227	
787831	226228	
787831	265382	
787831	266208	
787831	286566	
787831	290442	
787831	306422	
787831	308829	
787831	325738	Frau Zyllius
787831	347697	
787831	349662	Fräulein Fuchs
787831	352328	Pepi Hackhofer
787831	366514	Fannerl
787831	366566	Hely Cirmann
787831	366591	
787831	379083	Frau Müller
787832	136904	Köchin Erna
787832	155456	
787832	178663	
787832	352328	Mizzi Hackhofer
787832	366589	Zenzi
787833	186957	
787834	175873	Herself
787835	10305	Tough Hockey Player
787836	120290	Clarissa
787837	118558	Miss Windsor Castle
787837	312983	Jane Lee
787837	385132	Seraphine
787838	149804	Schoolgirl #2
787838	220709	
787839	43668	Mme Lacroix
787839	48175	Caro
787839	55594	
787839	60052	Nathalie
787839	69468	Florence
787839	83260	Sophie
787839	83379	Martine Lachatre
787839	106983	
787839	124066	Catherine
787839	135335	Martine
787839	206681	Catherine Trigou
787839	208234	Hélène
787839	234273	Samantha
787839	235839	
787839	240586	Alicia
787839	249398	Marie-Lou Pasquier
787839	254316	La mère réveillon
787839	261764	Caroline
787839	264367	Le juge d'instruction
787839	269518	Lucie
787839	274803	Angélique
787839	277156	Rose-Marie Rénal
787839	281843	Lily Lagarde
787839	294606	Mme. Picard
787839	327892	Claire
787839	346689	
787839	377983	Maud
787839	379369	La présidente : Irène Jaffry
787839	380260	Camille
787839	383371	Isabelle Mori (1998-2000)
787839	383788	Davrat
787839	383832	
787839	390515	Brigitte Maréchal
787839	395891	François
787839	400389	Martine (1989-1990)
787839	409932	Sylvie Leclerc
787840	7478	
787840	33629	
787840	63696	
787840	68663	Mme Henriot, la bibliothécair
787840	175675	
787840	248235	
787840	336912	
787840	339539	
787840	340116	Monette Joly
787840	377896	Une invitée de Lacassagne
787841	215076	Raquel
787841	339868	
787842	298216	Wendy
787843	35860	
787843	188530	
787844	100352	
787845	11651	
787845	37318	Studio actress
787845	49957	
787845	79414	Mrs. Beggs
787845	124689	Matron on Stage
787845	138448	Woman
787845	143610	Charwoman
787845	195252	Madame Goulard
787845	305934	Miss Servis
787845	354824	
787845	363292	Brooklyn girl
787846	25687	
787846	169798	child
787847	207771	Mlle Baudouin
787847	248971	
787848	236807	
787849	44828	
787850	189827	Lona
787851	5874	Julia
787851	35745	Mrs. Wetch
787851	69499	Landlady
787851	77963	Mrs. Fenchurch
787851	105975	Miss Wilson
787851	118321	Nurse (captain)
787851	144989	Aunt Martha Ferguson
787851	152522	Mrs. Beaufrere
787851	158515	Charlotte Fitzroy
787851	193734	Mrs. Colby
787851	213820	Nurse
787851	221307	Mrs. Graham
787851	224273	Mary
787851	261560	Helen Allen
787851	264171	Witness
787851	282394	Rose (the maid)
787851	306466	Capt. 'Ma' McGregor
787851	315123	Practical Nurse
787851	318793	Mrs. Kalenin
787851	345718	Drover's Wife
787851	372931	Mrs. Cora Hauser
787852	148758	
787853	374656	Baby 1
787854	245603	
787855	89813	Neighbour
787855	179708	
787855	196588	Dispatcher Zofia Ulita
787855	220685	
787855	318531	Mother
787855	386654	Urszula Siekierko-Talar (1982
787855	394585	Matylda Szczesniak (2002-)
787856	114583	Cindy
787857	84965	
787859	259926	
787860	259055	Jana
787861	33905	
787861	38451	
787861	121698	
787861	182808	
787861	322546	
787861	373615	
787861	378201	
787862	33993	Szakáll Magda
787862	97982	Szobalány
787862	110697	Vándor húga
787862	163127	Kunigunda hercegnõ
787862	182646	
787862	201365	Juhász húga
787862	209840	Szobalány
787862	224968	
787862	377121	Bálozó lány
787863	302345	
787864	81674	Stara Godina
787864	343800	Mirjana
787866	75705	Det. Anderson
787867	205751	
787867	345406	
787868	251580	Abuela zapatería
787869	287466	
787870	8564	Nathalie
787870	9084	Argentina 'Scandalo' (Argenti
787870	10225	Izaskun
787870	23624	Ana
787870	45193	Chica retiro
787870	54171	Estrella
787870	55377	Adelina
787870	57716	Lucrecia
787870	62485	Feli
787870	76016	Pili
787870	77329	Marisol
787870	86708	Maruja
787870	95348	Carmen
787870	96269	Mina
787870	96323	Susana
787870	156018	Mujer japonesa
787870	163980	Herself - Presenter: Best Edi
787870	195229	Virgen María
787870	206769	Isabel
787870	210178	Fina
787870	217561	
787870	225079	Marta
787870	246950	Señora Cugar
787870	268289	Enfermera (Nurse)
787870	296660	Jana
787870	334667	Fanny
787870	369437	Herself - Presenter: Best Edi
787870	369754	Herself - Presenter: Best Spe
787870	383772	Hermana cocinera
787870	384062	
787870	385864	Lorena
787870	402708	
787870	412122	Rosy
787871	276470	Verlene
787871	324075	Durgabai
787871	350383	
787872	39157	Black
787873	399588	Alana Stern
787874	24141	Alunna
787875	270885	
787876	160514	
787877	82742	Vampire Woman 1
787878	9913	Platzanweiserin Helene Hoesch
787878	12579	
787878	33156	
787878	33236	
787878	48618	
787878	98057	Mrs. Nickel
787878	98404	Mrs. Vietzke
787878	101335	
787878	103071	
787878	107365	
787878	108623	Mrs. Snow
787878	111772	Marion
787878	119162	
787878	119202	
787878	122561	
787878	126476	Girl's Home Supervisor
787878	129357	Lotte Krüger
787878	132053	Sister Elizabeth
787878	134782	
787878	144359	Wardress
787878	156495	
787878	160874	Blanche
787878	166427	
787878	170686	Lene
787878	178546	Fräulein von Serafin
787878	178583	
787878	180636	Paula Schulze
787878	184625	Wärterin
787878	187544	Catella
787878	189448	
787878	189684	
787878	189780	
787878	191188	
787878	197204	Lady Hamilton
787878	202937	Lizzi
787878	203392	
787878	204404	Marcella Duvallo
787878	225181	
787878	234950	Petra Hansen
787878	237737	Fanny Himmelreich
787878	243508	Vera Voneitz, aka Vera Pamale
787878	247317	
787878	248313	Waitress
787878	249196	Baronin Bornegg
787878	254373	Bienchen
787878	254669	Karla Lorenz
787878	269196	Adelheid
787878	272780	Marianne
787878	280795	
787878	290180	Wally, Tochter des Waldhüters
787878	290810	
787878	292102	Sybille Fabius
787878	312729	
787878	312748	
787878	343490	Wanda Nuschkin
787878	345571	Carola
787878	347642	Frau Lührmann
787878	352305	Zimmermädchen
787878	356860	Vera Findtejs
787878	361392	
787878	361431	
787878	361489	Kellnerin
787878	364899	
787878	366529	Mutter Prinz
787878	388251	
787878	400885	Baronin Bornegg
787879	24085	
787879	44732	Isabelle
787879	48387	
787879	78610	
787879	119441	Katja
787879	125077	Anne Rider (German version)
787879	144024	Christine Meißen
787879	159584	Sabina Farlow
787879	180919	Frau Duren
787879	189619	Magdalena Köhler
787879	189866	
787879	199558	Karin
787879	219279	Thea Hackrath
787879	282191	
787879	288243	Janet West
787879	289909	Didi Völtzmann
787879	343758	Sybil Lansdown
787879	343943	Mrs. Prien
787880	289206	Model
787880	333685	Darlene
787881	279693	Mildred Urbanchock
787882	450	
787882	7487	Aunt Naomi
787882	11672	Woman next to Fibber in Audie
787882	16465	Carvel citizen at meeting
787882	18820	Mrs. Landon
787882	21172	Mrs. Barnafogle
787882	30922	Miss Phillips
787882	38813	Lady #1 at Michel's
787882	39536	Tourist
787882	40477	
787882	41085	Mrs. Larkin, Blondie's Second
787882	41090	Furious Woman With Broom
787882	41502	Mrs. Brown, With the Vase
787882	41800	Prebble's cleaning lady
787882	44759	Emma Hodak
787882	46739	Miss Williams
787882	52668	Mrs. Dunsetter
787882	53324	Lemuel's Wife
787882	58419	Mrs. Mott
787882	73766	Old hag
787882	84834	Bit Part
787882	85995	Marianne
787882	88257	Mrs. Ellabella Jackson, Susan
787882	88566	Mary
787882	88653	Miss Wayburn
787882	92007	Hatchet-Faced Woman
787882	105321	
787882	108300	Maid
787882	108523	Belle
787882	110237	Mrs. Williams
787882	110940	Mabel
787882	113903	Townswoman at wake
787882	117237	Sarah Johnson
787882	117655	Mother
787882	118236	Dominique's housekeeper at qu
787882	131594	Landlady
787882	138804	Spinster
787882	139786	Mrs. Halsey
787882	141571	Hannah Bainbridge
787882	142469	Mrs. O'Sullivan's Companion
787882	142877	Aunt Maude
787882	143605	Passenger on airplane
787882	147746	
787882	154376	Mrs. Munn
787882	154481	Mrs. Oscar Scallion
787882	154827	Miss Claybourne
787882	163485	Potter's secretary
787882	163516	Longwood House Manager
787882	164389	
787882	166690	Mrs. Willoughby
787882	168263	Mrs. Hardwig
787882	170378	Woman in Street
787882	176755	Fan
787882	183406	Old Lady at Engagement Party
787882	185505	Middle-Aged Lady at Topless a
787882	187691	Mrs. Santoro
787882	192096	Miss Corrigan, Nellie's Nurse
787882	195382	The Bride
787882	196558	Bit part
787882	199318	Madame Michaud
787882	201151	Lady with Reno bus ticket
787882	211635	Mammoth Studios nurse
787882	214143	Myrtle
787882	214955	Justice's Wife
787882	215764	Miss Effie
787882	218330	Lena Couvais
787882	218471	Widow who won't buy anything 
787882	218797	
787882	224047	Hattie
787882	224304	
787882	231768	Woman in hospital corridor
787882	232285	Hotel Maid
787882	234141	Woman
787882	237818	Maid at Lake Mohawk Lodge
787882	238983	Officer's Wife at Dance
787882	239391	Mrs. Carrie Fudge
787882	239620	Mrs. Smedley
787882	240610	Mrs. Cotton
787882	245693	Mrs. Fletcher
787882	245843	Miss Swanson
787882	248440	Mrs. Walker
787882	249039	
787882	257939	Miss Russell, Secretary
787882	263117	Boarding House Manager
787882	265265	
787882	270926	Carnival Fortune Teller
787882	271882	Victory Party Reveller
787882	273633	Old lady teacher
787882	277925	Woman in Bank
787882	278544	Mrs. Muldowny, the Landlady
787882	280158	
787882	281909	Cousin Zinny
787882	281937	Mrs. Sabatini
787882	286911	Mrs. Mainwaring
787882	289589	
787882	293189	
787882	297090	Cleaning Woman
787882	297944	Elaine Wingate
787882	298047	Miss Downer
787882	304959	Landlady
787882	309939	Store Customer
787882	313919	Farmer's wife
787882	318607	Ursula
787882	318673	Woman
787882	318792	Constance Fliggerton
787882	318927	Society matron at ball
787882	318933	Nurse
787882	321390	
787882	321851	Concert-Goer
787882	323432	Fan
787882	331381	Tessie Conarchy, scrubwoman
787882	343034	Mrs. Daniels
787882	346178	Woman
787882	346339	Miss Prentiss (landlady)
787882	349874	Fan Mail Sorter
787882	358193	Old Maid
787882	360082	Woman on Bus
787882	360301	
787882	361624	Mrs. Throckbottom
787882	365762	Carrie Smith
787882	367640	Bessie
787882	372588	
787883	213581	Chorus
787883	250638	Aesthetic maiden
787883	334757	Special Guest
787883	339370	The Plaintiff
787884	307687	Aunt Sadie
787885	241244	Video Store Girl
787886	139506	Girl in Bar
787887	305777	Michelle
787888	256951	Clubber
787889	230765	
787890	29681	Old Lady in Store
787891	235570	Tymkia
787892	34266	Miss Turner
787892	78764	
787892	87333	Gran
787892	104045	Buba
787892	133678	Mrs. Andrews
787892	164336	Scrubber
787892	222603	Catherine Eddowes
787892	397182	
787892	400110	Martha, Female Pauper
787892	405217	Wardress 1
787893	189987	Morgan Hall Coed
787894	202499	Fanny
787894	294423	Stefania
787894	374211	Floriana
787895	398083	
787896	36440	Maria
787897	68789	FBI Ana Mendoza
787897	404987	
787897	408848	
787898	322403	
787899	66655	Abigail Poppy
787900	225399	
787901	151000	
787902	160242	The Butterflies and Moths
787903	401352	Herself
787904	158565	
787905	178733	
787905	187563	Businesswoman
787906	387963	Lena
787907	164400	Older Sister
787908	4293	Moll
787908	4448	Anju/Robert's wife
787908	174294	Police Inspector's wife
787908	251884	
787909	22616	Sudha
787909	139999	Gauri's friend
787909	211421	Neelima
787909	221354	Sharmila
787910	358256	
787911	1392	Gayatri Devi
787911	4190	Amar's mother
787911	9241	Zarina
787911	9844	
787911	18924	Maaji (Vijay's mom)
787911	27415	Arjun and Seema's mother
787911	58592	Grandmother (Dadima)
787911	59010	
787911	59172	Jassi - Joginder Singh's wife
787911	76415	Dai
787911	78630	
787911	85276	Biji
787911	85282	Ram's stepmother
787911	86628	
787911	106792	
787911	114166	
787911	141841	Heer's mom
787911	152462	Supriya (Mrs. Shivraj Verma)
787911	157578	Safiya Begum
787911	165407	Lakshmi (Amar's mother)
787911	165955	
787911	170908	
787911	171853	
787911	172539	Lajjo Kapur
787911	172556	
787911	172895	Savitri
787911	173993	
787911	174298	
787911	175916	
787911	176088	
787911	205323	
787911	211255	
787911	217360	Ritika´s grandmother (Nani)
787911	226680	Rajiv's mother
787911	262857	
787911	268074	
787911	268122	Annapurnadevi
787911	271450	Manisha's Mother
787911	271744	Daadi
787911	272494	
787911	280849	
787911	297441	Rani Maa
787911	298811	Rajeshwari's mother
787911	301908	
787911	314110	Codcod Menektara
787911	322696	
787911	326095	
787911	335740	Devyani
787911	341549	Akash's grandmother
787911	359419	
787912	388428	Sita
787913	136128	Nana
787914	141	Guest Appearance
787915	18460	Guest Appearance
787916	16277	
787916	81557	Chandra Singh's Maidservant
787916	278337	Special appearance
787917	96728	Lenny Sethna
787918	273093	
787918	386634	
787919	15916	Studentin in München
787919	119224	Lea
787919	401831	Herself
787920	245049	Kate
787921	169035	
787922	49350	Old Sho Girl
787923	30779	Ann/You
787923	43045	
787923	236173	Reika Takamizawa
787923	338478	Asami
787923	382607	Chisato Nakada
787923	404389	
787923	406838	
787923	407153	Nao Miyazaka
787924	285453	
787925	10727	Amorous Poetry Lover
787926	257182	Friendly Girl
787927	338093	Micro Transformer B
787928	395778	
787929	20625	Extra
787930	33258	Vera
787930	301398	Sandy
787931	45530	Beryl Howarth
787931	56146	Elsie
787931	185937	Lucille Lindbeck
787931	191463	Lisette
787931	209600	Vermorel's Secretary
787931	218175	Dorothy Lang
787932	119508	Marie
787933	374526	Herself
787934	55110	Witness for Peace
787935	283679	Ikumatsu
787936	162118	
787936	197986	
787936	224965	
787936	234635	
787936	291678	Marlene
787936	302077	
787936	338236	
787936	350254	
787937	215332	
787938	204386	Captive Girl
787939	269115	
787940	272724	Interview Subject
787941	387509	
787941	410798	Tara (1991-1992)
787942	404967	Linda
787943	199315	Jill
787944	66920	
787944	105280	Ghost Dancer
787944	136128	Lexi's Birthday Party Dancer
787944	192637	
787944	213452	Greek Chorus
787944	360712	Mrs. Fish
787945	120373	Siri von Essen
787946	103695	
787946	234369	
787947	281145	Lycosian Troop
787948	142872	Student
787948	165558	Susan Wiley
787948	321411	
787948	329329	Girl (Ann Sheridan Number)
787948	352752	Ellie Wheeler
787949	258034	Mme Paganini
787950	37650	Woman Racer
787951	265738	Mrs. Burden
787951	347053	Mrs. Penrose
787952	68116	Female Customer
787952	78756	Girl in Trunk
787953	126748	Casey
787954	348752	Lum, Ten
787954	348754	Lum
787955	444	Girl at the workhouse
787956	113018	Secuaz
787958	391835	Talking head/soundbites (segm
787959	301679	Li
787960	340458	Gabi
787961	204653	La servante
787962	293227	Restaurant Guest
787963	351945	
787963	361111	Inge Scholl
787964	205770	La dame à la minerve
787965	25943	
787965	286996	
787966	102989	Kind
787967	32026	Une noble
787968	31049	Camota
787968	81209	Miss Santiago
787968	295396	Mai-Lu
787968	372731	Louisa Escalante
787969	398046	Herself (1998)
787970	127410	Ma Weaver
787970	134735	Herself
787970	220305	Katy
787971	188617	Grandma
787972	277726	
787973	3388	
787973	20678	
787973	48805	
787973	57978	
787973	61866	(segment "Compadres, Los")
787973	101844	
787973	131057	
787973	186977	
787973	207027	
787973	237807	
787973	270062	
787973	353577	
787973	379602	
787973	404186	
787974	346424	Christelle Bauman
787975	169539	La grand-mère
787976	182914	
787977	77635	
787977	173308	
787977	242695	
787978	163052	
787978	411962	Simina zena
787979	235622	Alison
787980	172190	
787980	175666	
787980	178409	
787980	249228	
787980	370793	
787981	17036	Tove
787982	65099	Woman at cab stand
787983	162813	
787984	387477	
787985	2898	Alexis' mother
787985	18871	
787985	400825	Olga
787986	34507	
787987	256441	
787988	2252	(segment "Rêve, Le")
787988	3956	Alessandra
787988	143611	Eliza
787989	214792	Inessa Armand
787990	179883	
787990	198230	
787990	325653	
787990	380553	Marenka
787990	380554	Honzík's friend
787991	156210	
787992	84107	
787992	100060	
787992	377275	
787993	155261	Old Eskimo Woman
787994	7522	
787994	177894	
787995	8498	
787995	164059	
787995	173786	
787995	182908	
787997	99375	
787998	17052	Bettina Zeiser
787998	18528	Sabine
787998	18880	Barbara
787998	19659	Aranka
787998	33458	Wiebke Färber
787998	43385	Dietlind
787998	102386	
787998	124612	
787998	126377	
787998	157704	
787998	178729	Dr.
787998	216533	Lilian
787998	259554	Gudrun
787998	259613	Loni Dzieran
787998	269995	Ceatrice Conradi
787998	296354	Vera Bertram
787998	325402	Caroline Sommer
787998	325411	Nurse Gaby
787998	325501	Hanna
787998	325625	Katrin Hermann
787998	325672	Angelika Gelpke
787998	325674	Charlotte Buchmeyer
787998	325700	Andrea Mahler
787998	325749	Traudel
787998	325795	Nadja Forster
787998	325818	Regina
787998	325902	Janine Kronberg
787998	338934	Charlotte
787998	348051	Beate Uhlmann
787998	361438	Sabine Schreiber
787998	361448	Arentje
787998	389840	Juliana
787998	394134	Cornelia Buerger
787998	394627	Dr. Claudia Jungblut
787998	396874	Gerti Effenberg (1992-1993)
787998	405749	Renate Stolz
787998	412110	Waltraud 'Schnuesschen'
787999	1599	Elva
787999	35578	Baroness von Grygau
787999	117341	
787999	161037	Mrs. Wilding Senior
787999	193882	Mary's mother
787999	206090	Mme. Bonheur
787999	330236	Janet
788001	174829	Partisan woman
788001	192900	
788001	192902	Maru^Úa
788002	389368	Herself
788003	237512	
788003	385543	Suzan
788003	387812	Sabriye
788003	394927	Derya Çakir (2003-2004)
788004	221055	Rosa
788005	12244	Maureen Mallory
788005	17996	Susan Davis
788005	38553	Rachel Varney
788005	39861	Darcy Walker (Black Scorpion)
788005	39862	Darcy Walker (Black Scorpion)
788005	57228	Angela Carter
788005	78082	Caroline Everett
788005	119882	Alison Rawlings
788005	139068	Madelyn Turner
788005	156471	Melissa Yarnell
788005	157580	Chapelle
788005	184086	Irene
788005	185635	Bridget Gregory
788005	188507	Girl in Black Playsuit
788005	190208	Paley
788005	208074	Theresa Marsh
788005	224818	Mary Stenning
788005	233636	Samantha Moore
788005	251236	Rose Gullerman
788005	265473	Dr. Hanna Carras
788005	274322	The Woman ("Safe Sex")
788005	283489	Marla Stewart
788005	293105	Eve
788005	295558	Lisa Wayne
788005	368687	Lizbetie
788005	368890	Belle Washburn
788005	393948	
788005	396064	Security Chief Camille Hunter
788005	411278	Susan Profitt (1988)
788006	284442	Violist
788007	155659	
788007	172464	
788008	241046	Additional Voices
788009	16677	Mammy Carter, Herb Store Prop
788010	51470	Host
788010	52325	Host/interviewer
788010	90241	Hooker
788010	115689	
788010	151780	Janice
788010	350337	Jo
788010	390242	Yolanda van Lier (1993)
788011	196558	Audience member at Grand Thea
788012	14502	
788012	111448	
788012	274478	
788013	77712	Mrs. Caldwell
788014	163859	Mrs. Dumontier
788015	207036	Valery Pappadooglio
788016	71437	
788017	1285	
788017	57981	
788018	7810	Eleanor
788018	67955	Comedian
788018	294219	Jessica Blaine
788019	25159	
788019	42625	
788019	53683	
788019	69516	Little girl
788019	74566	
788019	81421	
788019	83433	
788019	102442	
788019	117333	
788019	145204	
788019	148039	
788019	156590	
788019	169798	
788019	234381	
788019	246299	Señora de Javier Ferrer
788019	246403	
788019	348933	
788019	351264	
788019	353598	Dueña de la pensión
788019	357869	
788020	219329	
788021	256451	
788022	8306	
788023	311025	Farmer's woman [Ch. 9]
788024	9131	Passenger
788024	50448	Maid
788024	72865	
788024	80949	Miss Evan, Ras' Teacher
788024	156940	Teacher
788024	196558	Audience member at Grand Thea
788024	206069	Tonia Zelenko
788024	220793	Maid
788024	220959	Secretary
788024	222607	Garden Party Hostess
788024	230751	Teutonic woman
788024	234236	
788024	263174	Judy Nance
788024	264906	
788024	271186	Sra. Altera
788024	294142	Lila
788024	389858	Mrs. Andrews (1972)
788025	77628	
788025	131587	Specialty Dancer
788026	337074	Princess
788027	13380	Child
788027	96672	Village Girl
788027	136274	Elizabeth, English Girl
788027	193007	Ann
788027	201151	Eunice Jenks
788027	337074	Princess
788028	6926	Lesley
788028	30311	Mother on ferry
788028	261429	Young woman
788028	283367	Jean Porter
788028	331661	Margaret (segment "Judy")
788028	399816	Laura Trent Whittaker (1975-1
788029	365825	Rebecca
788030	196660	Madre Superiora
788031	50980	Social Worker
788031	55154	Carlota Joaquina
788031	56493	Losângela
788031	57443	Lucinha Araújo
788031	63573	Dodora
788031	67656	Eunice
788031	70911	Carmem
788031	74033	Jurema
788031	90449	Carolina
788031	103752	
788031	107022	Sônia J. Amado
788031	125782	
788031	135275	Penha
788031	148463	Zina
788031	165502	Herself
788031	187573	Sra. Diniz, Leila's mother
788031	216214	Patrícia
788031	245480	
788031	260513	
788031	269119	
788031	269169	(segment "Jovem Retaguarda")
788031	280622	
788031	306794	
788031	308753	Lola
788031	308754	
788031	334575	
788031	341146	Filomena Capadócio
788031	344717	
788031	349723	Dama de Copas
788031	354484	Noemia
788031	381223	
788031	383866	Dinah
788031	386212	Elvira
788031	387201	
788031	390495	Irene 'Nenê' Silva
788031	395302	Alma Flora Pirajá de Albuqurq
788031	396356	
788031	399645	Promotora
788031	402504	Loreta Vilela
788031	402593	Madeleine Bouchet
788031	405100	Madelon
788031	408330	Suzana
788031	409975	Catarina
788032	71142	
788032	88330	
788032	234022	
788032	354842	
788032	354985	
788034	315261	T.V. Reporter
788035	105281	Dream Girl
788036	324550	
788037	682	Matthew's Mom
788038	11258	
788038	313632	
788039	300217	
788040	119418	
788041	400148	Burcu
788042	83007	
788042	255798	
788042	268993	
788042	354869	
788043	49934	Chisato
788043	87409	Julie/Yuri
788043	87410	Yuri
788043	113780	Sheida
788043	130730	Additional Voices
788043	177093	Kimera
788043	264168	Blue Morris
788043	298966	Gold Digger
788043	307187	April
788043	380473	Reiko Kanbayashi, Moe Fujimiy
788043	387457	Gabriella, Skeleton
788043	394976	Gold Digger
788043	405144	Yui Ikari
788044	381091	Herself (eliminated round 3) 
788045	37682	Pedestrian
788046	274785	Martina
788047	1703	Herself - Presenter
788047	2131	Clara
788047	14145	Jean
788047	45609	Lana Tisdel
788047	58090	Herself
788047	81177	Herself
788047	82729	Elise Lipsky
788047	89330	Liz Henson
788047	89331	Herself
788047	135772	Dot
788047	155890	Amy (segment "1972")
788047	170451	Pearl
788047	176487	Jennie
788047	185201	Alice Kinnon
788047	201616	Herself
788047	201691	Herself
788047	203972	Philomena
788047	204947	Carole Mackessy
788047	210269	Laurel
788047	221267	
788047	247155	Odette
788047	249600	Gitsie
788047	295636	Herself
788047	327727	(segment "Int. Trailer Night"
788047	338930	Debbie
788047	347900	
788047	381951	
788048	158056	Duchess Diana de Savigny
788049	38508	
788050	124202	
788050	173857	
788050	303579	
788050	326990	
788050	378580	
788051	307719	
788052	125315	
788053	37047	Housekeeper
788054	125659	
788054	285238	
788055	9084	Lolita (big club)
788056	153833	
788057	6740	Fernanda
788057	13089	Princess Amina
788057	14669	Serranilla
788057	14789	
788057	16156	Dolorès
788057	18383	Octavia
788057	18808	
788057	18998	
788057	21591	
788057	26120	
788057	28314	
788057	31987	Carlota
788057	33553	Maria-Luisa
788057	50132	Mónica
788057	51526	Esperanza
788057	52975	
788057	53639	
788057	53640	Herself
788057	58036	
788057	69571	Carmen
788057	73976	Patricia
788057	74148	
788057	74820	Mariquilla
788057	91171	Carmen Sevilla, miembro del j
788057	96218	Lola
788057	99791	
788057	101630	Rosana
788057	104648	
788057	112056	Catalina
788057	112779	
788057	128971	Pastora de los Reyes
788057	135351	
788057	135376	
788057	135642	Carmelilla
788057	143754	
788057	165160	
788057	177404	Mary Magdalene
788057	193140	Sandra
788057	221686	
788057	221899	
788057	225037	Marion
788057	226494	
788057	233569	
788057	234340	
788057	235318	
788057	242678	Herself
788057	247356	
788057	258247	Héléna Châtelain
788057	262977	Herself
788057	268493	Lucía, la molinera
788057	275333	
788057	275946	Eugenia Bazán
788057	276068	
788057	277234	
788057	277235	
788057	282141	
788057	292705	
788057	295832	
788057	296477	
788057	310280	Mari Zarubia
788057	318253	
788057	326144	Isabel
788057	326577	
788057	328147	
788057	351686	Andrea
788057	353573	
788057	354902	Violetta
788057	379213	Ada
788057	384270	Hostess (2004-)
788057	385740	
788057	387557	
788057	397205	
788057	404579	
788057	407733	Hostess (1991-1997)
788057	410289	Alejandra
788057	412162	Host
788058	397397	Herself
788059	200508	Isang
788060	27494	
788060	45479	
788060	80956	
788060	95766	
788060	115740	
788060	127726	
788060	174888	
788060	184803	Inday Puti/Queen Bauga
788060	199862	
788060	200008	
788060	208112	
788060	211778	
788060	214768	Chedeng de la Cruz
788060	329237	
788060	341231	
788060	359069	
788060	366866	
788060	381852	Tiya Ina
788060	394247	Doña Tilda Ventaspejo (2002)
788061	408893	
788062	151479	Carla
788063	172137	
788063	174888	Sandy
788063	181768	
788063	195917	
788063	208112	
788063	222198	
788063	288166	Anita
788063	318402	Chari
788063	333059	
788063	387832	Elaine
788063	404050	Dr. Escoto
788063	404051	Sister Paula
788064	100115	La mère d'Eugène
788064	153241	Religious woman
788065	25065	Pepilla
788065	36664	Carmen Vargas
788065	53639	
788065	53640	Carmen Vargas
788065	61138	Susana
788065	118159	
788065	122973	Herself
788065	136919	
788065	193060	La muchacha
788065	202097	
788065	339014	Lolilla
788065	339113	
788065	369437	Herself - Presenter: Best Sup
788066	216107	Galatea
788067	14806	
788067	25001	Nelly
788067	25096	Elena Tejero
788067	51600	
788067	55081	
788067	66080	
788067	70598	
788067	111315	
788067	151798	
788067	171615	
788067	193027	Rita Rosales
788067	205102	
788067	212244	
788067	222012	
788067	222041	
788067	222120	
788067	225010	Cachita Cienfuegos
788067	225551	Ella misma
788067	225697	
788067	233815	
788067	234318	Ninon
788067	234426	
788067	251583	
788067	252753	
788067	276971	
788067	283243	
788067	294285	Aurora Ruiz
788067	296482	
788067	355781	
788067	357899	Violeta
788067	370439	Yambao
788067	385368	Nina
788067	387685	Macarena
788067	393850	
788067	397019	Caridad
788067	402050	Dalila
788067	403741	
788067	403752	Asunción
788067	404701	
788067	408855	
788067	409289	
788067	409719	Cachita Cienfuegos
788068	23624	Insecto 5
788069	74351	Enfermera
788069	100653	
788069	193185	Margo
788069	326223	Amante
788070	169	
788071	34550	
788072	387856	Presenter ('Spain')
788073	355946	Teacher
788074	177983	Kabirah, Maid to Gulnar
788075	342041	Grotto Spirit
788076	60186	Whitney Young Team Member #7
788077	105474	
788078	27764	
788078	173669	
788078	209294	
788079	135685	Klaudiusz's wife
788080	302901	Mother superior
788081	230637	
788082	234664	Spanare Holm
788082	394744	Journalist
788083	104763	Herself
788084	78139	Female Trainee
788086	140837	Mrs. Marsden
788086	315123	Reel Dancer
788087	9032	Mona Greenwood
788087	14609	Judy
788087	40628	Barbara Hartwell
788087	45949	Ethel Carson
788087	59604	Mrs. Bessie Sibley
788087	142360	
788087	165444	Girl at Party
788087	171360	Jenette McLean
788087	186284	Gloria Alexander
788087	189152	Cousin Delightful
788087	203012	Ruth McArthur
788087	210807	Ann Jordan
788087	233620	Rose Madden
788087	241096	No. 5
788087	241278	Gladys
788087	258274	
788087	275769	Mrs. Gordon
788087	277116	Myra Harmon
788087	278117	Jane McCabe
788087	290335	Mrs. Romansky
788087	337723	Jane Madison
788087	342394	Anita (irate woman on train)
788087	356252	Barbara Robinson
788087	364453	Jerry's Wife
788088	53059	Bubble Girl
788089	350186	Puncher Vampire
788090	35054	
788091	260902	Bus Driver
788092	126749	Sheila
788093	393873	Agnes
788094	69593	
788095	330570	Woman
788096	43164	Showbiz Buzz Anchor
788097	231981	Daughter of War Profiteer
788098	185516	Fairfax Home Receptionist
788099	48217	Religious Protester
788099	60852	Mourner
788099	61320	Business Women
788099	65499	Old Lady #3
788099	66053	Reporter
788099	80943	Nurse #2
788099	126542	Plastic Party Woman 2
788099	195134	Gramma Guzzi
788099	219367	Bank Executive
788099	270933	Mental Patient in wheel chair
788099	313971	ER Nurse
788099	318692	Baseball Fan
788100	409469	Lydia
788101	379978	Herself (eliminated 8th) (200
788102	218003	Anna
788102	245291	May Truman
788103	10707	
788104	409469	Lydia
788105	79794	Lady
788106	8945	Peggy
788106	81682	Elderly Lady
788106	99208	Lady Mary
788106	177529	Queen's Lady
788106	208189	Matron
788106	238884	Lady Archdale
788106	263792	Olive Carradine
788106	281446	Lady at Sir Harry's Garden Pa
788106	340583	Miss Johnston
788106	355349	His Wife
788106	381139	Grandma
788106	385299	Mrs. Addy
788106	397188	Old Woman
788107	380614	Host
788108	365504	Jazz
788109	132909	Pedestrian Dialogue
788110	35213	Jane
788111	173467	Joely Wiseman
788112	97541	Soldier's Girl
788113	95907	Marysia
788113	124908	Sabin
788113	170436	
788113	179583	Julia Kasprusiak
788113	207891	Alicja
788113	268523	Aga/Lea/Leni
788113	364983	Marta
788114	88410	
788115	135685	Monika
788115	284347	Blanka Bojarska
788116	93986	Moeder Dennis
788116	194836	
788116	198745	Jessica
788116	358502	Themselves
788116	378614	Kamermeisje
788116	410441	Snoes Rivaan (1994-1995)
788117	113150	
788117	198514	
788119	365679	
788120	8216	Miller's Secretary
788121	228816	Group cast appearance
788121	372328	Group cast appearance
788123	106942	Lisa from Accounting
788123	166638	Lucy Harris
788124	41640	
788125	66313	Marcee
788126	14229	Gina
788126	17692	Josie Pie
788127	40190	Cynthia
788127	95045	Martha
788127	100150	News Reporter
788128	70393	Beauty contestant
788129	26519	
788129	42139	Sunshine (Escort)
788130	39625	
788130	317526	
788131	366921	Linda
788132	58774	Radio Dispatcher
788133	276376	Traci
788133	296020	Miss Sweden
788134	216081	Spy
788135	118897	Herself (columnist, National 
788136	11457	Herself
788136	111651	Nurse
788136	353695	
788137	75504	Doctor Marder
788137	195043	
788138	77974	
788139	48506	Dory Drawers
788139	228032	
788141	196628	Herself
788142	160832	Computer Student/Extra
788146	198229	Kwan
788147	137882	Queen/Gertrude
788148	61067	Dimhea
788149	381436	Miranda Davis (1991-1993)
788150	32805	
788151	157247	Mrs. Fowler
788152	381679	Vroni von Brauneck
788152	405753	Trixi Sailer
788152	409609	Doerte von Hameln
788153	222049	(segment Amor y yoga)
788154	239082	Lady
788155	12085	
788155	25812	
788155	101616	
788155	139897	Ivette
788155	145225	Delia
788155	214657	
788155	222049	(segment El imponente)
788155	233949	
788155	253416	
788155	265163	
788155	339155	
788155	389892	
788155	393985	
788156	243934	Belgian Mother
788157	39711	Amina
788157	259009	
788158	106796	Faat Kiné
788159	369491	
788160	157495	Vrouw op kerkhof
788161	293575	
788162	12083	
788162	24206	Eva
788162	251589	
788162	276565	Amiga pub
788163	226848	
788164	290672	
788165	144347	Deaf woman in bar
788166	34333	Greta Dohr
788166	177185	Grete
788166	231874	Shopper
788166	281639	Elisabeth
788166	325944	Gaby
788166	394149	Ikbela
788166	404462	
788167	209581	De vrouw
788168	403002	Yasmine Shanna
788169	218888	
788170	1348	Herself
788170	2259	Herself
788170	13967	Mouse
788170	209133	Karen Smith
788170	232831	Samantha
788170	379716	Joni Stafford (2002-2003)
788170	380713	Lucinda Marie 'Lucy' Montgome
788170	381951	
788171	215984	
788171	404422	Susi
788172	330204	Herself (survivor, Czechoslov
788173	78280	Tzvyata
788174	7060	Rachel Wardle
788174	21475	Mrs. Arbuthnot
788174	32789	Mrs. Trapes
788174	41498	Archduchess
788174	46266	
788174	53101	Miss Abigail
788174	56608	
788174	64712	Lady Raebank
788174	80996	Aunt Belle
788174	88856	Lady Hawkins
788174	92916	Queen Elizabeth
788174	96715	Frau Weiser
788174	114124	Miss Knight
788174	116975	Miss Mainbrace
788174	118788	Aunt Lin
788174	119811	Beatrice Peake
788174	128413	Mrs. Hignett
788174	138844	Aunt Harriet
788174	151637	Grannie
788174	154657	Aunt Heather
788174	159886	Jeannie Lawson
788174	162269	The Duchess
788174	163576	Mrs. Durland
788174	165470	Grandma
788174	169641	Herself
788174	190750	Mme. Alary
788174	195371	
788174	199498	Miss Honeycroft
788174	201433	Dame Beatrice
788174	204892	
788174	213994	Mrs. Pullet
788174	219691	Madame Sabline
788174	231438	Miss La Creevy
788174	232070	Mrs. Karswell
788174	234789	Aunt Veronica
788174	236887	Miss Farthingale
788174	252902	Lady Westhaven
788174	255261	Miss Witherfield
788174	264730	Theresa, the Innkeeper, a Mid
788174	269346	Princess Ivashin
788174	269882	Aunt Mary
788174	280246	Aunt Philippa
788174	282607	Queen Elizabeth
788174	285623	Victoria Gulliver
788174	285711	Mother Lizzy Buckley, Landlad
788174	288441	Sister Agness
788174	291486	Scrooge's charwoman
788174	292590	Mrs Kellick
788174	294194	Madame Henry
788174	304346	Miss Prinney
788174	309929	Mrs. Rowland
788174	323770	Miss Pross
788174	327242	Mrs. Pategg
788174	330698	Miss Keggs
788174	333097	Mrs. Banks
788174	338770	Consuelo Howard
788174	342720	Aunt Phoebe
788174	355258	Mao Tai Tai
788174	359386	Mrs Pinto
788174	360542	Millie Williams, inmate
788174	366449	Sophie Lucas
788174	371547	Miss Bligh
788174	372635	Milliner
788174	372788	Nanny Gallop
788175	350279	
788177	15124	
788177	94757	
788178	218543	
788179	238821	Chorbadzhi Hristovitza
788180	335865	Young Hooker
788181	36758	Herself
788181	114575	Grimsby
788181	231969	
788181	295277	Narrator (adult Catherine)
788182	331226	Mrs. Stothard
788183	11502	Mrs. Bixby
788183	11514	Lucy Stark
788183	16729	Mrs. Martin
788183	31902	Miss Pemberthy
788183	37452	Pearl
788183	40771	Smitty
788183	59580	Mrs. Lawson
788183	61896	Mrs. Bunch
788183	65835	Josephine
788183	74220	Sam's Grandmother
788183	79698	Counterwoman
788183	83839	Eben's mother
788183	112008	Chisolm newspaper publisher
788183	118249	Mrs. Richards
788183	127527	Miss McMasters
788183	131543	Irene Krump
788183	138206	Matilda Iler
788183	148266	Sarah Halstead
788183	151551	Molly
788183	151675	Gertrude Biggley
788183	165253	Miss Moger
788183	185694	Susie Mansham
788183	187098	Aunt Winifred
788183	190209	Mrs. Cunningham
788183	203342	Judge Randolph
788183	203781	Ma Blore
788183	214985	Aunt Ev
788183	215041	Frances Calvin
788183	216191	Grandma Beebe
788183	230370	Zena
788183	259777	Mrs. Amelia Tarbell
788183	270722	English Voice
788183	306451	Martha
788183	312820	Myra Parker
788183	314098	Mrs. Hawkins
788183	317910	Charlotte Percepied
788183	327790	Mrs. Castle
788183	336783	Dr. Bancroft
788183	337995	Chairman Ashe
788183	338895	Miss Tilford
788183	340038	Elk Woman
788183	358076	Maggie Hargrove
788183	358078	Ma Jenner
788183	363346	Dr. Sally Jennings
788183	363726	Mary London
788183	387538	Lucia Garret
788183	389016	
788183	389858	Beatrice Hewitt (1984)
788183	406793	Nurse
788183	408239	Mrs. K.J. Crawford
788184	185201	Model #2
788185	6219	Amelia Kavan
788185	14145	Christie
788185	28464	
788185	38645	Mrs. Conte
788185	67916	Mandy
788185	77701	Linda Houston
788185	105095	Kate
788185	109250	
788185	123849	Hell-Cat Maggie
788185	131359	Josephine Priddy
788185	150629	Pat Archer
788185	301637	Margaret
788185	314133	Mother
788185	372372	Gillian Quinn
788186	137485	Shirley Bloodgood
788187	235174	Junkie
788187	329988	Nigel's Girl Friend
788188	4944	Vivian Sims
788188	20432	Peasant Woman 1
788188	38882	Polly Logan
788188	41693	Raleigh McMain
788188	69265	Rachel Hawkins
788188	69549	Eleanor Romy
788188	122755	Estelle Stiles
788188	128816	Madame Mori
788188	135781	Alison
788188	159171	Babylonian Holy Woman
788188	166737	
788188	185434	Lydia
788188	197289	
788188	213097	Orion
788188	216161	Adele
788188	219541	Elder God of Water
788188	221024	Eve
788188	238237	Angie
788188	241260	Mark's Secretary
788188	260229	
788188	274319	(segment "Tears")
788188	274729	Mrs. Evelyn Turnbull
788188	276785	Actress
788188	277025	Heather
788188	305574	
788188	313475	Shmi Skywalker/Concerned Moth
788188	313480	AT-AT Barge Pilot/ATC-Frigate
788188	313481	Empire destroyer captain/Gung
788188	313487	Mon Mothma
788188	313489	Additional Voices
788188	314507	Zita
788188	318865	Iari, Dama Sivora, Laharah
788188	347409	Silvie Ebony
788188	348475	Danica Rodriguez
788188	371031	
788188	375909	Dolores
788188	387334	Lady Brooke
788188	407085	Abby Grant (1975)
788188	407416	Jenny (1970-71)
788189	31685	
788189	128506	Cutie Beautiful
788189	155716	Mary
788189	163293	Mary
788189	171258	Pretty Lady
788189	224744	
788189	261687	
788189	289581	Chiquita
788189	340784	Bettina Hopkins
788190	342742	Helen
788191	263786	Clara
788192	87975	Teen Ebony
788193	740	Herself
788193	5203	Alison Reid
788193	16701	Laura
788193	20001	Adrienne Welles
788193	23935	Herself
788193	27511	
788193	31185	Herself (NBC Team)
788193	31315	Serina
788193	34088	Herself
788193	34106	Margie Parks
788193	34646	Herself
788193	34949	Kim Thorn
788193	37098	Herself
788193	40140	Kathy Robbins
788193	43451	Herself
788193	52736	Alisha Otman
788193	57492	Herself
788193	57497	Herself
788193	63167	Herself
788193	77145	Laura Cole
788193	78873	Leigh Cullen/Tracy Cullen
788193	87678	
788193	92582	Dr. Michaela 'Mike' Quinn
788193	92583	Dr. Michaela 'Mike' Quinn
788193	92584	Dr. Michaela 'Mike' Quinn
788193	101638	Fanny Kemble
788193	102114	Narrator
788193	118290	Ethne Eustace
788193	118958	Agatha/Prima
788193	132823	Herself
788193	138324	
788193	140960	Jane Caldwell
788193	141226	Jill Maddox
788193	141959	Fräulein Rottenmeier
788193	147669	Host
788193	154559	
788193	160304	Herself
788193	161275	Herself
788193	163494	Herself
788193	164505	Emma Prentiss
788193	165222	Mary Yellan
788193	165264	Herself
788193	165265	Herself
788193	168470	Herself
788193	169606	
788193	175839	Gillian
788193	176851	Jan
788193	192514	Solitaire
788193	194521	Herself
788193	196208	Diana
788193	200224	Herself
788193	206373	Chris Winslow
788193	208080	Hadley Norman
788193	210643	Rebecca Blake
788193	219325	
788193	222670	Mary
788193	230819	Anna Robinson
788193	237908	Diane Putnam
788193	238991	
788193	239034	Jackie
788193	242102	Lillian Stein
788193	254518	Maria Gianelli/Elena Korvin
788193	262536	Linda Crandell
788193	269590	Lady Juliana
788193	284257	Marie Antoinette
788193	289615	Marguerite St. Just
788193	292813	Herself
788193	302448	Princes Farah
788193	308177	Elise McKenna
788193	315668	Bathsheba
788193	319283	Teresa
788193	336765	Fiona
788193	342186	Herself
788193	343743	Maria
788193	356350	Herself - Choir Member
788193	360684	
788193	367482	Wallis Simpson
788193	371376	Jenny Cole/Mary Sutton
788193	372787	Pamela Plowden
788193	380997	Genny Luckett
788193	383429	Marjorie Chisholm Armagh
788193	383743	Herself
788193	385296	Hillary Burnham
788193	385591	Herself
788193	386897	Dr. Michaela 'Mike' Quinn
788193	387245	Cathy/Kate Ames
788193	391835	Herself
788193	392424	Herself
788193	397410	Catherine Alexander Douglas
788193	400265	Emma Callon/Fogarty (1972-197
788193	400529	Bella Wilfer
788193	400997	Sheila Conway
788193	404939	Eva Meyers
788193	406696	Karolin
788193	406917	Brett Ashley
788193	410582	Natalie Henry
788194	26711	Frankie's Mother
788194	230435	Lt. Col. Hubbard
788194	275451	Mrs. Roberts
788194	384842	Harriet the Hat
788195	102342	Chicago cast
788196	96795	Nicole
788197	193478	
788198	372144	Chief Carter's Wife
788199	320758	Nancy, Amazon
788200	77716	Muriel
788200	153997	The Princess (segment "The Sl
788200	275291	Air stewardess
788200	367023	Lydia Lopokova
788200	395751	Aunt Dorothee
788201	152584	Connie
788201	396137	
788202	46871	Cafe patron
788203	4612	Lady Brackenstall
788203	79653	Mildred Caresfoot
788203	105349	Mrs. Debenham
788203	107174	
788203	145964	Lady York
788203	150985	Anna Wolsky
788203	185443	Mrs. Mattie Wynton
788203	233572	Mrs. Arnold
788203	269324	Mrs. Vandeleur
788203	300910	Mrs. Kane
788203	308140	Mrs. Everard
788203	335471	Alice Keith
788205	276617	Friend
788206	331675	Anna, queen's companion
788207	65022	Car Accident Woman
788207	160982	Amazon Trainee Bekwikwa
788207	302789	Cafe Patron
788208	347304	
788209	136009	Axl's Girlfriend
788209	136011	Axl's Bride
788209	136014	
788209	142479	Cynna Stone
788209	216872	Herself
788209	259749	Helen Frankenthaler
788209	319149	Herself
788210	287164	
788211	365443	Teenager
788212	392705	Eve
788213	527	
788213	8265	
788213	56079	Indonesian Airline Hostess
788213	115123	
788213	121396	Anahita
788213	129019	Masseuse
788213	156911	Oriental Girl (segment "Medic
788213	206955	
788213	231684	
788213	234724	
788213	253332	Sonia
788213	272980	
788213	287223	Sara
788213	291687	Wilma Soong
788213	295138	Agente vietnamita
788213	324454	Katya
788214	219749	
788215	148769	
788216	14964	Eva von Krusenstjerna
788216	38618	Beth Glassborough
788216	78368	
788216	78407	
788216	135344	Janine
788216	166156	Femme Lutétia
788216	167170	
788216	205730	Bronya
788216	222830	Angèle
788216	228706	Simone
788216	261727	
788216	345084	Marianne
788216	349842	Lucie
788216	378094	La vieille dame
788216	385135	Mme Rey
788216	393731	Mme d'Aiguillon
788217	201856	Host
788218	313049	Ganas kid
788219	51826	
788220	9002	Priscilla
788221	401443	Herself
788222	225256	Iris
788224	2195	Directrice parfumerie
788224	13117	
788224	57557	La costumière
788224	69968	Catherine
788224	99376	
788224	132597	Martine
788224	202971	Audrey
788224	217660	La mère mondaine/Society moth
788224	245484	Martine
788224	246470	Brigitte
788224	248506	La fille à la robe de chambre
788224	249677	
788224	257114	Malivert Shop Assistant
788224	288893	
788224	331017	La prof
788224	345137	Jeanne
788224	345389	Odile
788225	5397	Francesca
788225	12372	Aloïse adulte/Aloïse as an ad
788225	17846	A/Woman
788225	23104	Herself
788225	27918	Fabienne Tabard
788225	31440	L'inconnue
788225	40036	Ceil Burrows
788225	44929	
788225	51239	Catherine
788225	55485	
788225	59748	Mme Thevenot
788225	60513	Mathilde Schwarz
788225	63681	Yvette
788225	68918	
788225	73072	Mme Bunkermann
788225	79847	Colette de Montpelier
788225	87939	Françoise Berger, la mère
788225	89032	Récitante/Narrator
788225	89635	Kristine Linde
788225	91139	
788225	119321	Helena Müller
788225	130756	Jeanne
788225	132597	Solange
788225	134600	
788225	159045	Anne-Marie Stretter
788225	165761	Kate
788225	166173	
788225	166342	Jeanne Dielman
788225	168409	Lady Windermere
788225	169344	L'interprète
788225	188627	
788225	188773	Simone
788225	198100	Mme de Mortsauf
788225	207243	Herself
788225	220926	Marie-Madeleine
788225	222830	Hélène Aughain
788225	223123	Elle
788225	251532	La fée des lilas/The Fairy
788225	254047	La mère
788225	263831	Narrator/Récitante (french ve
788225	267010	Milo's wife
788225	269753	
788225	276058	Julie
788225	282279	Countess Bathory
788225	288089	Commentaire dit par
788225	288097	
788225	291541	
788225	295397	(segment "Pride")
788225	308326	
788225	325076	Elmire
788225	340209	Catherine Miller
788225	346755	Hedwina
788225	347194	Herself
788225	349026	
788225	354049	
788225	356364	La prostituée/The Prostitute
788225	377715	Récitante/Narrator
788225	377943	Madame Poitevin
788226	59743	Copine de Bélise
788227	132539	
788228	174166	Emilie
788229	199895	
788230	199895	
788231	199895	
788232	27896	
788232	144301	
788233	62565	Zoé
788233	376964	L'infirmière
788234	179336	
788234	357464	
788235	263684	
788236	370771	
788237	134784	
788237	209878	
788238	375679	
788239	4028	
788239	38466	
788239	138399	
788239	140585	
788239	250778	
788239	412002	
788240	22041	
788240	34097	
788240	89530	
788240	110708	
788240	136786	
788240	171978	
788240	371349	
788240	378219	
788240	378229	
788241	173766	
788242	19309	Mutter
788242	22107	Kader Hamzaoglu
788242	137335	
788242	137809	Perran
788242	144116	
788242	223258	Mukadder
788242	237439	
788242	371882	Ziné
788242	380746	Kader Hamzaoðlu
788243	322540	
788244	25619	
788244	347074	West Wind (Turkish dub)
788245	11730	
788245	12640	
788245	15331	Selmin
788245	21412	Arzu
788245	22068	
788245	38491	
788245	57591	
788245	76769	Zeynep
788245	77423	Asuman
788245	87719	Zeynep
788245	153970	
788245	157065	Turkish Woman
788245	172652	Perihan
788245	173422	
788245	174989	
788245	176222	
788245	182810	
788245	198427	Sadiye
788245	212281	Zehra
788245	212318	Ayse
788245	284437	Rüzgar Zehra
788245	285492	
788245	303060	Saadet
788245	307031	Nebahat
788245	307032	Nebahat
788245	307033	Nebahat
788245	323068	Zuhre
788245	350841	
788245	357605	Aliye
788245	378204	
788245	378604	Hacer
788246	182106	
788246	411706	
788247	400791	
788248	392262	
788249	30515	Maria vai-com-as-outras
788249	54334	Irene
788249	70899	Gloria
788249	74961	Matilde
788249	79184	
788249	84536	
788249	86861	Herself
788249	97647	
788249	102669	
788249	122300	
788249	124595	
788249	148472	Branca Clara
788249	165735	
788249	169876	
788249	199126	Ci
788249	222181	Herself
788249	252761	
788249	325336	Manuela
788249	328035	
788249	341142	(segment "A Carreta - Amor no
788249	353632	Paola
788249	377118	Senhorinha
788249	379183	Isabel
788249	380777	Amanda
788249	380946	Paula
788249	381523	Laura
788249	384382	Maria Luiza
788249	387932	Darlene Neiva Cantomaia
788249	388416	Laura
788249	388998	Chica Martins
788249	389643	Zarolha
788249	390054	Paloma
788249	391901	Vanda Vidal
788249	392956	Helen
788249	400444	Izabel
788249	402728	Eleuzinha
788249	404306	Risoleta
788249	404798	Fernanda
788249	410014	Adriana
788250	356147	
788251	280413	Fatama
788251	284180	
788252	7889	Becky's Friend
788253	8243	Vendor
788253	22629	Mitsos
788253	107909	Hot Dog Vendor
788253	139283	Hot Dog Vendor
788253	196503	Hot Dog Vendor
788253	204190	Hotel Night Clerk
788253	350221	Cursing Cabbie
788253	358708	Panos
788254	351526	Cristina
788255	227685	
788256	69270	
788257	18221	
788258	273506	Mia & Night
788259	301335	
788260	223334	Melanie
788261	384154	
788262	168092	
788262	256407	
788263	28566	Anni
788264	214963	Melissa Grogan
788265	136234	Janine
788266	355091	Abu's Customer
788268	363261	Hotel Maid
788269	136270	Lyric
788269	149252	Felicia
788270	112896	
788270	321483	Farida
788271	18390	
788271	92893	
788271	163874	Tour guide in Museum of the F
788271	180119	Jenya
788271	227913	
788271	344012	Mariya Ivanovna Lautina
788271	356126	Vera
788271	357206	Marusya
788272	58569	
788272	81707	
788272	94505	
788272	180608	
788272	223297	
788272	246896	
788272	260603	
788272	265914	
788272	285208	
788272	347307	
788273	8140	Mini (Ashok's daughter)
788274	239420	
788275	160113	Madlen, a French girl
788276	184012	
788277	175895	
788277	175898	
788278	1480	Herself - Presenter
788278	46156	Female Panelist
788278	202196	Herself (daughter)
788278	363913	Dinner Guest
788279	3782	Herself
788279	202194	Herself
788279	202195	Herself (at graveside)
788279	202196	Herself (wife)
788279	273337	Herself (wife)
788279	295374	
788279	346902	Woman at Plaza
788280	6968	
788280	50509	
788280	202195	Follower at Temple #7
788280	321040	
788281	4180	
788281	16155	
788281	17462	
788281	24190	
788281	29069	
788281	35110	
788281	39029	
788281	79336	
788281	88537	
788281	88619	
788281	91478	
788281	98529	
788281	108987	
788281	130759	
788281	137103	
788281	156360	Sreedevi
788281	165644	
788281	172419	
788281	175105	
788281	176104	
788281	198672	
788281	201075	
788281	203886	
788281	227883	
788281	228868	Ashok's wife
788281	248804	
788281	254837	
788281	284774	(Guest Appearance)
788281	286510	
788281	318418	
788281	373443	
788282	229082	
788283	175086	Dalia
788284	223640	
788285	89795	
788286	387959	Herself - Co-Presenter (1999)
788286	389678	Letter girl (1997-1999)
788286	397980	Host
788286	400076	
788287	383972	Iti Ruttenberg
788288	278635	TV Anchorwoman
788289	194222	Store Clerk
788289	230531	Hadley's Doctor
788289	304822	Edna
788290	40668	Colleen
788291	266735	Toano Middle School Student
788292	277098	Nurse in Hospital Room
788293	66148	Punk Girl
788293	105211	Helen
788293	187886	Cashier
788294	81182	Herself (wife of murdered rep
788295	194066	Herself (Auschwitz survivor)
788296	208739	Photographer
788297	223758	Gertie
788298	205806	
788299	390523	Shona West (2001-2002)
788300	344114	
788301	224032	
788302	99971	Nurse
788302	150998	Nurse
788302	241277	Aquilla's maid
788303	2545	Chorus girl
788303	130622	Gold Digger
788303	191835	Society Girl
788304	375088	Saffi
788306	7713	Aida
788306	9610	
788306	9751	
788306	19595	
788306	21832	
788306	25490	
788306	25594	
788306	77123	Dalila
788306	98678	
788306	99170	
788306	126929	
788306	160730	
788306	173844	Nadia
788306	183073	
788306	183971	Siham
788306	184027	
788306	186390	
788306	191434	
788306	198809	Soheir
788306	216704	
788306	284693	
788306	285545	
788306	296607	
788306	297740	
788306	303358	
788306	324941	
788306	327314	
788306	358086	
788306	373760	
788306	375924	
788306	376113	
788307	74146	Rutera
788308	399845	Herself
788308	408344	Goldylocks
788309	296894	Prostitute
788310	305148	Lisa's Office
788311	129193	Amazonia
788312	320715	
788314	208479	
788315	236387	Cowgirl
788316	208479	
788317	65605	Stewardess
788317	296020	Beer Girl #1
788318	1783	
788319	80026	Helen
788320	311224	Hotel Desk Clerk
788321	97852	Femme vestiaire
788322	285259	
788323	76571	Juel
788323	109564	Little girl
788323	138792	
788324	203328	Herself
788325	36698	
788325	75476	Mrs. White
788325	95022	
788325	232864	Nurse
788325	267526	Landlady
788325	359996	Mrs. Lee
788325	363570	Mother Franklin
788326	101726	Tesse
788326	308645	Kitty Persimmons
788327	330258	Cynthia
788328	363668	Ujena
788329	35239	Rachel
788329	63343	Summer
788329	108044	Snow White Charming
788329	120412	Trixie
788329	131241	Catherine Reeves
788329	315035	
788329	317302	Lynn
788330	9935	Model/Artist
788331	242758	Jean Gouzenko
788332	106636	Receptionist
788333	216803	Golden Girl
788334	141109	A Steinette
788334	260362	Mona Walfleur
788335	56820	Kitty
788335	108244	Christine Peterson
788335	176517	Penny
788335	227309	Satsuki
788335	306853	Susan Walsh
788335	311344	Lily
788335	331555	
788335	361595	Julie
788335	392430	Vice Principle
788335	399091	Yuka Kiritake/Aquira
788335	407917	Promotor's Lover
788336	259284	Laura Healey
788336	379716	Goldie Kane (1988)
788336	379740	Andrea Martin
788336	387309	Serena Travis Faraday/Josie (
788336	390771	Mrs. Humphreys (1993)/Judge T
788336	391515	Maratha Logan
788336	404002	Rae Woodard (1977-1984, 1989)
788336	404613	Emily Rogers Hunter (1967-196
788336	410977	Allison Hathaway Archer Jessu
788337	41212	Stripper
788338	62664	Girl #3
788338	218180	Woman with bat
788339	41302	Karen
788339	226891	Amy
788339	319012	Waitress
788340	189263	Lydia
788340	337384	Constance
788341	276441	1st Saloon Girl
788342	148250	Office Worker
788343	41917	
788343	69961	Patricia 'Patty' Lavemeer
788343	153204	Nurse
788343	157444	Engler's Secretary
788343	220042	Elaine Mittleman
788343	224173	Head Nurse
788343	301626	Martha
788343	311275	Sarah Bell
788343	313382	Candy
788344	318963	Mrs. Helen Van Tuyl
788345	267088	Reporter #2
788346	331555	
788347	169991	Chatting nurse
788347	176728	Tricia Prescott
788348	276878	Mysterious Girl
788349	37718	
788350	77186	
788351	17978	Bellydancer
788351	286486	
788351	286487	
788351	286489	
788351	286490	
788351	286491	
788351	286492	
788352	310243	Herself
788353	267339	Party Guest
788354	335807	Singer
788355	213310	Hippolyta
788355	213311	Hippolyta
788356	83836	Puppeteer
788357	145080	Gun Dealer
788358	339	
788358	3025	
788358	23853	(segment Chto nasha zhizn'!? 
788358	43013	
788358	76481	
788358	82494	Lyudmila
788358	94739	Nadezhda Fyodorovna
788358	95749	Zyablova
788358	109073	
788358	124843	Yelena Arkadyevna
788358	139921	Natasha
788358	160110	Mother
788358	162720	Nastia
788358	162747	Herself
788358	176127	
788358	187019	Grandma
788358	217454	Valeriya Borts
788358	229036	Bride's mother
788358	230044	Alevtyna
788358	234299	
788358	238312	
788358	244163	
788358	252577	Fru Sottergren
788358	258655	
788358	258996	
788358	261323	
788358	264324	Mother
788358	264556	
788358	282980	
788358	283996	
788358	285885	
788358	303349	
788358	303802	Older Marusya
788358	304223	Sofia Ivanovna
788358	312537	
788358	324651	
788358	341209	
788358	348819	Marina Borisovna
788358	352452	Katya
788358	357706	
788358	370184	
788358	370231	
788358	374769	His Mother
788359	375663	Buratino
788360	304480	Librarian
788361	175621	Jurist
788362	1227	18yr-old girl
788362	1255	
788362	1308	
788362	2430	
788362	6730	
788362	30037	
788362	41525	Herself
788362	60782	
788362	75028	
788362	93133	Herself
788362	93712	
788362	93990	
788362	95800	
788362	115055	
788362	123804	
788362	126340	Himself
788362	128747	
788362	148882	
788362	154425	
788362	178320	
788362	228001	
788362	228577	
788362	228595	Red College Girl
788362	233718	Red Lesbian
788362	243093	
788362	243109	
788362	297338	
788362	306908	
788362	326364	
788362	336441	
788363	128851	
788364	270440	Young Rachel
788365	71334	Dancer
788366	95236	Nisha
788367	278337	
788368	408704	Roomana
788369	136893	
788369	204140	Deepali
788370	164880	
788371	4424	
788371	27390	Anjali
788371	49033	
788371	228135	
788371	229897	
788371	331974	
788372	176190	Mother
788373	4294	Dancer ('Chalka Chalka')
788373	4419	
788373	58851	
788373	86677	Title Item Song Dancer
788373	95038	Lovely
788373	143467	Kabira's Sidekick
788373	165399	Tina
788373	170712	Terrorist
788373	172150	Neelu
788373	179372	
788373	182114	Special Appearance
788373	222564	Guest appearance (lounge sing
788373	223741	Reena
788373	264646	Amrita
788373	268097	Nisha
788373	276994	Revati
788373	349446	Dancer (Song 'Jawani Se')
788373	371306	Shiela
788374	27503	
788374	49154	
788374	86744	
788374	220785	
788374	226681	
788374	227718	
788375	272103	
788376	40602	Rena Czernich
788377	278337	
788378	106792	
788379	136128	Indian Princess in Movie
788380	33940	Meena
788380	320453	Ian's Wife
788380	387247	Kareena Ferreira (2003-)
788380	393018	Sinjata Singh
788381	394967	Pooja Hemant Virani
788382	7797	Rani
788382	13825	Sejal
788382	121858	Shoe Girl
788382	196996	Robed Woman #1
788382	314106	Sheila
788383	388653	Janice (Season 2)
788383	411759	Rekha (1986-1989)
788384	296597	Divya
788385	33990	Herself
788385	81120	Narrator/Herself
788385	347067	
788386	11026	Nursing Officer
788386	36022	Hashida's mother
788386	120817	Vellama
788386	129117	Bradford East
788386	167891	Fatima Jinnah
788386	382266	Jamila Ikram
788386	396079	Ghita Harthill (Series 1) (19
788386	402139	Mrs. Viswandha
788386	405048	Umi
788387	71334	Dancer
788388	5630	
788388	8250	Zarina
788389	139655	Parvati Patel
788390	368489	Jenny
788391	278337	
788392	8314	
788392	127053	
788393	396299	Gili Lahav Nachmani
788394	252787	
788395	373869	Noga
788396	86250	Didon
788396	323603	Jazz Singer
788397	289794	Lady
788398	49316	
788398	166871	Additional cast
788398	213881	
788399	43258	
788399	262832	Seema
788400	86672	Rishabh's Sister
788400	152449	Pooja Choudhury
788400	152706	Parveen
788400	217944	
788400	217986	
788400	341777	Tunnu's First Girlfriend
788400	407053	Herself (hostess)
788401	183670	
788402	25554	
788402	115593	Wedding Band Leader
788402	200630	
788403	9851	
788403	19911	
788403	23406	
788403	78532	
788403	139507	Narjis
788403	174670	
788403	175906	
788403	183073	
788403	270956	
788403	288646	
788403	309700	Ahlam Madbouli
788404	25427	
788404	95037	
788404	139826	
788405	238749	Nurse
788406	28200	
788407	408704	(Episode 5: The Chemist)
788408	239786	Erica
788409	192254	Conran's Trainee
788410	125617	
788411	9851	
788411	33368	
788411	169850	
788412	104730	Albanian entry (4th place)
788412	104779	Albanian entry (7th place)
788412	388619	Herself
788413	78023	Maid
788414	55795	Nadine Bellham
788415	49196	
788416	181409	Prostitute
788416	219259	
788416	303058	
788417	4285	
788417	7379	
788417	21367	
788417	44045	
788417	60008	
788417	103571	
788417	139993	
788417	164696	
788417	184016	
788417	206064	
788417	219292	
788417	221778	
788417	268583	Musya
788417	297159	
788417	298270	
788418	104774	Host
788418	195291	
788418	268605	Kavita (Rashmi's friend)
788418	284757	Maria
788419	222367	
788421	154184	Martvata gola partizanka
788422	9353	Maya
788422	28166	Nakova
788422	35836	Iskra
788422	131159	Lora
788422	174379	
788422	205422	Klasnata
788422	244624	Svetla
788422	257422	Marianna
788422	264977	Elena
788422	337944	Maja
788422	373568	Elena
788423	316298	Poor Woman
788424	7833	Nora
788425	28713	Masume
788425	203535	Arab woman
788425	291696	
788426	218893	Anahit
788426	250881	Vergine
788426	303132	Verjine
788427	39876	
788427	227229	Susan
788427	247989	
788428	2536	
788429	363968	Mala
788430	279200	Dancer: Moscow Folk Ballet Co
788431	1456	Miko
788432	32241	Go-Go Dancer
788432	115062	Cytherian Girl
788432	115886	Shaman
788433	5932	Arabian dancer
788433	273083	Arab girl
788434	171042	Katya
788435	29937	Herself
788435	145630	Herself
788435	257608	Herself
788435	257660	Herself
788435	257678	Miss May 2002
788436	9412	
788436	25999	Mother
788436	76441	
788436	109749	
788436	140431	Mofida
788436	140597	
788436	174413	Sultana
788436	201234	
788436	217207	
788436	225766	
788436	226185	
788436	285972	
788436	296608	Wife
788436	322909	
788437	4221	
788437	5246	
788437	8424	
788437	8694	
788437	15340	
788437	25490	
788437	109960	Mirvat
788437	116415	
788437	124212	
788437	124682	
788437	147349	
788437	155152	
788437	181643	
788437	183972	
788437	215218	
788437	220481	Mother
788437	285414	
788437	300951	
788437	306075	
788437	309660	
788437	351094	
788437	375552	
788437	375923	
788438	239374	
788439	189579	Lisa als Kind
788439	202633	Tanja
788439	390812	Katharina Turm/Juli (2001)
788440	140886	Policewoman
788441	56585	
788441	385020	Susan Cunningham (1960-1961)
788441	389705	Greta
788441	392200	Polly Urquhart (1985-1988)
788441	410580	Vera
788442	22735	Emma Brindle
788443	175703	
788444	246214	Banana Airlines Passenger
788444	409400	Dr. Krankstein
788445	311608	Tribunal Chair
788446	65990	Lindsay
788446	82522	Hot Chick
788446	191301	Heckler's Date
788446	256528	Sailboat Woman
788446	371059	Pia
788447	3582	
788447	227903	
788448	85216	
788449	23232	
788449	36539	
788449	77104	Dasha, Vera
788449	180397	
788449	185654	Little Dasha
788449	199941	
788449	266016	
788449	266736	
788449	273721	
788449	296422	Taya
788449	305216	
788449	341184	Yelena
788449	341229	
788449	356482	
788449	370998	
788449	374308	
788449	401687	Larisa Tvorogova
788450	1726	Herself
788450	2043	Herself
788450	2721	Herself
788450	4336	Dancer (Captain's Moll)
788450	4719	
788450	9680	
788450	10513	
788450	16980	
788450	20357	
788450	27652	
788450	29574	
788450	32854	
788450	51489	Rekha
788450	52293	
788450	52802	Eva
788450	60051	
788450	62054	Rita
788450	79242	
788450	92608	
788450	95229	
788450	118037	
788450	135400	Neela
788450	135659	
788450	137608	
788450	167336	Kashi
788450	172149	
788450	172684	
788450	176183	
788450	183999	
788450	184165	
788450	185915	Herself
788450	199701	
788450	202408	
788450	207379	
788450	208475	Herself (#54) (Interviewee)
788450	221481	Herself - Presenter
788450	221482	Herself/Performer (song: "Obj
788450	222272	
788450	226057	
788450	227620	
788450	234861	
788450	249592	Performer
788450	261463	Nilima
788450	273060	
788450	273901	Performer
788450	276229	
788450	290367	
788450	297033	
788450	297142	Herself
788450	297143	Herself
788450	300318	
788450	310357	Performer
788450	337070	Sabita
788450	352977	Performer
788450	359513	
788450	399922	Luisa Maria
788451	5253	
788451	187802	
788451	229912	
788451	249245	
788451	293943	
788451	294011	Zubeyda
788451	344304	
788452	358246	Italian woman
788453	49893	Herself (Taylorette)
788454	153147	Prison Guard
788454	222570	Shopper #2
788454	312971	Jury Foreman
788455	80844	Girl
788455	83097	
788455	130740	Kala
788455	313399	ADC
788455	331426	Major Shan
788455	356636	Lucille
788456	125240	Lion
788456	130491	Akane Yashiro
788456	130492	Akane Yashiro
788456	300495	Yuki
788456	304287	Mina
788456	387375	Herself (2002-)
788457	38215	
788457	59390	
788457	84768	
788457	141831	
788457	172444	(segment Zhenya)
788457	172930	
788457	246902	
788457	248798	Radha
788457	271562	
788457	299258	
788457	317752	
788457	323270	
788458	204775	Princess Jeeva
788460	2232	Lisa - Video Casting Director
788460	73223	Brenda
788460	155633	Sherese
788461	350100	
788462	8682	
788462	8691	
788462	27742	
788462	112946	
788462	139379	
788462	163970	
788462	172794	
788462	285535	Nour
788462	381015	Tooha
788462	381210	Menna
788463	49472	Telegraph Girl
788464	186156	Shanequa Arnett
788465	78999	
788465	105094	Mrs. Hawkes
788465	121502	Mrs. Boyd
788465	121572	Mrs. Elwood
788465	134054	
788465	194312	Hetty Hunt
788465	196490	Mrs. Vennal
788465	214931	Mrs. Coleman
788465	231775	Mrs. Pinkney
788465	281013	Lady eleanor Clure
788465	282621	Mrs. Marshall
788465	319956	Garsten
788465	340456	Mrs. Orpington
788465	359974	Mrs. Higgins
788467	80654	Donna James
788467	88564	Ruth Mellon
788467	114047	Claire King
788467	185735	Stahr's secretary
788467	207900	Mrs. Hawkins
788467	232231	Joyce Gabriel
788467	253356	Mrs. Joyce
788467	275206	Hannah
788467	342756	
788467	381110	Mrs. Long
788468	7408	Colleen
788468	28455	Anna
788468	102641	Kirsten
788468	126678	Clare Cross
788468	140076	Juliet Ash
788468	200902	Marie
788468	269627	Vivenne
788468	299070	Dietrich's Daughter
788468	328906	Rosie Taylor
788468	390245	Jude
788468	399065	Sally Fell
788468	402607	Harmony
788468	406643	Daughter 2
788468	410070	Sarah Farrell (2001)
788469	38957	Herself
788470	62828	
788470	273094	Lyubovnitzata (Segment 4 Kreh
788470	339236	Meditzinskata sestra
788470	350252	
788471	371005	
788472	56545	Herself
788473	92543	Indu
788474	3582	
788474	42605	
788474	279735	
788474	362347	The Belly Dancer
788474	367765	Zulu Warrioress
788475	9849	Shakti
788475	17345	Mini
788475	101659	Mamattukuttiyama
788475	164798	
788475	171751	
788475	171833	Heroine
788475	172747	
788475	173484	Hema
788475	202405	
788475	233184	Sona
788475	256675	Nithi
788475	263012	
788475	322877	
788475	324831	Sharda (Gopal's wife)
788475	367224	Pal
788476	3942	Lilly
788477	3942	Serious Director
788477	292179	Lucy
788478	89200	Rollerblading Truant
788478	159519	The Wife
788478	279310	Waitress
788478	332148	Principal's Secretary
788480	119621	Psychiatrist
788481	161922	Joan
788482	10788	Lorina
788483	37232	Chubby's Wife
788483	56162	Marie Sarantopulos
788483	57929	Mother at Audition
788483	124056	Harriet
788483	142541	Wig-Pulling Woman
788483	150691	
788483	155453	Dancing Secretary
788483	185079	Irma
788483	190328	Group Therapy Leader
788483	214463	Ester
788483	219558	Gloria Urbanski
788483	241141	Lucy Aiello
788483	245625	Marlena
788483	290394	Edie
788483	311153	Blondie
788483	333349	Betty Vehon
788483	338299	Jean Gabrielson
788483	342744	Woman in Red
788485	158079	
788486	336754	Teacher
788486	384615	Herself (Season 1-2004)
788487	352405	Girl with Child
788488	134127	Mrs. Grey
788489	249645	
788490	17823	Self
788491	264876	
788492	44318	Woman at Party
788493	95581	
788494	84760	
788495	118897	Herself (comedian)
788495	295006	Additional Muppet Performer
788495	366640	Herself
788496	197385	Berthe
788497	65950	
788497	228889	Bride
788497	311853	Herself
788498	256963	Geraldine Ferraro
788498	397331	Cathy Marks (Mom)
788498	398558	Dr. Neva Bowden
788499	303521	Precious
788500	48982	Woman
788500	99856	Bit Part
788500	190264	Nursemaid
788500	253126	Switchboard operator
788501	295604	Pregnant Woman
788502	195004	
788502	401597	Marlene
788502	405451	Amélia
788503	26956	Host
788503	101637	Host
788505	263314	Antonia
788506	20356	Meera
788506	86695	
788506	88473	
788506	122734	
788506	127328	
788506	128154	Gina
788506	139408	Ammalu
788506	171509	Rama
788506	173317	
788506	277746	Slow Shopper
788506	297044	
788506	383811	Virginia del Chimichurri (200
788506	387805	Virginia
788506	392263	Co-Host
788506	410303	Secuestradora
788507	25832	
788508	278187	Guest at Party
788509	125823	
788509	232241	Snake Woman
788510	392988	Michal
788512	359	Grandma Kapoor
788512	4102	
788512	4243	
788512	4268	Chachi
788512	6362	
788512	6363	
788512	8358	
788512	17007	
788512	17359	Girl who loves Badri
788512	21150	
788512	22118	Milkman's wife
788512	25667	
788512	27412	Geeta
788512	27658	
788512	27704	
788512	28674	
788512	29067	Kavita
788512	60051	
788512	70434	Dadi
788512	79127	Lachchi
788512	85394	Padma
788512	86648	Parsi Lady who gives lift
788512	89598	
788512	97793	
788512	98473	
788512	118037	
788512	126973	
788512	131935	Janki
788512	136131	
788512	137400	Navbahar
788512	137502	Lili
788512	152446	Aarti's mom
788512	152486	Dadimaa
788512	160167	Mother
788512	164327	
788512	165944	
788512	166458	
788512	174129	
788512	174276	
788512	176154	Khuda Baksh's mother
788512	180724	
788512	181515	
788512	183903	
788512	183977	Drug addict
788512	201233	
788512	201954	
788512	202333	
788512	205352	
788512	211404	
788512	220826	Caretaker
788512	227990	
788512	228705	
788512	233205	
788512	246803	Rosie
788512	250675	
788512	251883	Deepak's landlady
788512	254834	
788512	267410	
788512	271472	
788512	271754	Mary D'Souza
788512	272104	Gulbadan's mom
788512	276229	
788512	283150	
788512	287365	Mohini
788512	297726	
788512	300415	Dadimaa
788512	320859	Sahabji's mom
788512	320862	
788512	342026	Dana
788512	344128	Mrs. Usgaonkar
788512	344336	
788512	348464	
788512	350597	Customer
788512	359078	
788512	370206	Sukhiya
788512	370973	Rohit's Grandmother
788512	375154	
788513	250760	
788514	219651	
788514	285461	Golrokh Kamali
788515	176089	Gertrude
788515	335738	
788516	126139	Azura
788516	126140	Azura
788516	155734	Fara
788516	252812	Newsreader
788517	357212	
788518	273619	Amy
788518	350622	Wife of Konditorei Owner
788519	255872	
788520	83263	
788521	374890	Wong's Wife
788522	245093	Nicky Jones
788522	255807	Helen the Barmaid
788523	62630	
788524	49508	
788525	302418	
788526	71597	Herself
788526	268696	Fang Hui-jang
788527	198491	
788528	222790	TV reporter
788529	209133	Kristen Hadley
788530	16803	Eye Nurse
788531	344152	Mary Beth
788532	45097	Indian Woman
788533	241563	
788534	58085	
788534	73659	Aurora Gris
788534	100309	Alicia
788534	135968	Guzman's Daughter
788534	235998	Oshi Mataraso, 1951
788534	243703	
788535	390401	Lena Dombazova
788536	260300	Mrs. Wine
788536	392019	Celia Lovell
788537	218545	Herself/Road Rules
788537	402995	Herself/RR: Latin America
788537	402997	Herself/Road Rulers
788537	403000	Herself/Road Rulers
788537	403487	Herself/Latin America (1999)
788538	79314	Little Old lady
788538	121814	Herself
788538	140643	Old Woman
788538	190774	Aunt Kitty
788538	191649	Mrs. Crane
788538	313020	Roma
788539	155257	Ward Sister
788540	375521	Oona de hoer
788541	304837	
788542	359935	Mary
788542	360021	Herself
788543	75721	Ms. Hertz
788544	1249	
788544	18012	Lily Smith
788544	40290	
788544	68845	
788544	113640	Krista
788544	223618	
788544	241538	
788544	267050	
788544	296148	
788544	296818	Faye
788544	353577	
788544	355528	Rebecca Sinclair
788544	403386	
788545	278058	Ranch Guest
788545	337345	Judy Green
788546	6720	Herself
788546	6722	Herself
788546	26927	
788546	50572	
788546	50573	
788546	50574	
788546	50576	
788546	70213	
788546	151512	Herself
788546	224106	The Talent Show - Latin Jazz 
788546	264877	
788547	330594	Choir Member
788548	29968	Barefoot Model
788549	64660	Spanish Webs, Skipping Ropes
788550	141893	Disguised old woman
788550	176478	Redneck
788551	16642	Neighbour
788552	298279	Val
788553	296260	
788555	194110	Margaret
788557	265516	Mother of Boy
788559	1594	
788559	26067	
788559	31318	
788559	38892	
788559	47141	NonSex
788559	60156	Housewife (Part 2)
788559	83807	
788559	128676	
788559	188045	
788559	228679	
788559	280185	
788559	314201	
788560	4944	Baby
788561	120792	Sophie Wimmer
788562	75707	Lucille
788562	368336	Liz
788563	368314	Petty Marsh Secretary
788565	7393	Lorna
788565	76582	Pat
788565	177251	Oralie McDade
788565	200485	Valerie
788565	301264	Myra
788565	325150	Angie
788565	331264	Lorna Craig
788566	381821	Ensemble (1969-1971)
788567	232288	
788568	213445	
788568	213446	
788569	325976	2nd Woman, Bookstore
788569	384560	Herself (Cocogirl)
788569	392364	Arielle
788569	402577	
788570	288499	
788571	79016	Audrey Linnick
788572	257733	Police Secretary #1
788573	47922	Witch
788574	224691	Evil Devil Woman
788575	133650	
788576	43750	Li
788576	48119	
788576	98181	Tse Pei-pei
788576	123533	
788576	128143	
788576	128165	
788576	133650	
788576	135493	Shi Fu Chun
788576	143934	
788576	193987	
788576	194076	
788576	198590	
788576	236284	Cha-fung Ting
788576	276756	
788576	276775	
788576	297489	
788576	297533	
788576	337855	
788576	371596	
788577	370512	Liu Sitian
788578	405036	Mkabi
788579	39975	Herself
788579	116981	
788579	248182	Herself
788580	227248	Fu Luohua
788580	369180	Shuihua Shang
788580	369190	Mrs. Hua
788580	369924	Lin Youshan's Wife
788580	371486	He Wenyuan
788580	373930	
788581	260357	Police Woman
788582	186062	Yasmin
788583	169540	
788584	3285	
788584	149497	
788584	197634	
788584	216406	Alma Raviv
788584	223516	
788584	298778	
788584	300390	Mrs. hasidov
788584	320186	
788584	405125	
788585	2960	Herself/presenter
788585	3079	Herself - Presenter
788585	31606	Herself
788585	58774	Janet Crane
788585	132817	Lise
788585	241730	
788585	247882	Singer at punk Panther
788585	258515	Herself
788585	364420	
788585	367069	Voice of Dorothy
788585	394406	Dancer (1984)
788586	23614	
788586	154685	Aunt Katya
788586	211881	
788586	258404	
788586	264324	Meri
788586	305547	
788586	378720	Ellochka Schukina
788586	402494	
788587	164840	TV Interviewer
788588	192279	Blake II
788588	310656	Pamela Wilkening
788588	314984	Miss Lester
788588	366782	Angela
788589	172831	
788590	31944	Herself
788590	69077	Herself
788590	77622	
788590	272886	Herself
788591	359514	Saloni
788592	28852	Little girl
788593	8110	Anila Bose
788593	76799	
788593	77008	Andi
788593	90924	Anjali
788593	98484	Chinu
788593	122693	Herself
788593	123550	Indrani Gupta
788593	134352	Nirupama
788593	175965	Mamata Sen
788593	221202	Ghinua's Wife
788593	239310	Nilamma
788593	297132	Tapati
788593	309005	Niranjan's Former Wife
788593	319290	
788593	349090	Parul
788594	15163	
788594	85368	
788594	85408	
788594	135941	
788594	195860	
788594	211277	
788594	233151	
788595	6521	
788595	9204	
788595	9808	
788595	17409	
788595	19242	
788595	29067	
788595	36265	
788595	145578	
788595	204672	
788595	227084	
788595	249662	
788595	250626	
788595	271783	
788595	297436	
788595	324834	
788596	181454	Gauri
788596	350757	Nandini
788597	127020	
788598	116053	
788599	93249	Little Alice
788599	192171	Sara Crewe
788599	274266	Linet
788599	398294	Harriet
788600	321306	Woman on stairs
788601	221325	Margaret Stevens
788602	253924	Mom
788602	396142	
788603	22651	Woman
788603	31727	Sylvia Grierson
788603	133730	Priscilla Krindel
788603	217820	Marti
788603	272026	Susan's Customer
788604	128780	Joanna Childe
788604	235058	Margaret Hale
788604	340227	Woman
788605	93364	Erin
788606	47744	Sister Maria
788607	60323	Bethany
788608	402147	Correspondent
788609	81152	Executive
788610	224853	The Voice of Lucy
788610	353360	Guide
788611	7745	
788611	34876	
788611	37225	
788611	39875	
788611	189516	
788611	228256	Herself
788612	4980	Vladmeria
788612	7731	
788612	41419	2nd Lead
788612	52511	Lady Rowena
788612	112208	Nancy Senior
788612	132565	Musical Guest/Herself
788612	151178	T.J.
788612	204873	
788612	278272	Marjorie Dessalar
788612	279147	Sybil
788612	293225	Teresa
788612	311697	Elaine Winter
788612	381091	Herself (eliminated round 3)
788613	228784	
788614	97314	
788614	361886	Natalie
788615	259269	Barbie Cann
788616	411296	Herself
788617	64869	Security guard
788618	395358	Susan
788619	150069	Jane Dunn
788620	51975	Inmate
788621	278497	Woman
788622	59876	DJ
788622	215500	
788622	344524	Herself
788623	131708	Janet
788623	261404	Blonde at party
788624	4618	
788624	16669	Patient
788624	33704	Elderly Woman
788624	220831	Mrs. Petit
788624	308109	Old Lady
788624	340912	Mrs. Perkins
788624	359298	Old Woman
788625	87885	
788626	7905	Louise Tate
788626	21792	Louise Mordyke
788626	47003	Mrs. Grimm, Landlady
788626	68462	Belgium (prologue)
788626	77296	His Wife
788626	133910	Mother
788626	143026	Helen Morrison
788626	145004	Mrs. James Cortright
788626	164664	Her Mother
788626	202650	Mrs. Orrin
788626	203563	Mildred Arden
788626	230574	Marquise de la Salle
788626	282411	Mrs. Marineaux
788626	286138	Mrs. Foster
788626	292852	Madame Ferrand
788626	300906	Lady Verity-Stewart
788626	302883	Mrs. Stockley
788626	309559	
788626	310964	The Sphinx
788626	319878	Mrs. De Lanni
788626	332529	Mrs. Mills
788626	358969	Mrs. Satorius
788626	366647	Mrs. Hughes
788627	284544	Vivian Drexel
788628	265742	Nancy Kerrigan
788629	26065	Georgia
788629	35583	Dolly Hays
788629	46520	Gwendolyn
788629	48589	Lyra Radigan
788629	59550	Ela Delahay
788629	77959	Nan Colby
788629	79452	Mademoiselle Giselle
788629	96988	Katherine Fowler
788629	128476	
788629	143888	Hilda Pierce
788629	144755	Marie Ducette
788629	144811	Winnie
788629	149447	Lady Francis Hale
788629	168584	Rosalie Andre
788629	190583	Lila Grandon
788629	203740	Kitty Roshay
788629	207485	Undetermined Role
788629	208718	Ottilie Van Zandt
788629	239007	Mary Bond
788629	239595	Betty Graves
788629	254459	Nora Lane
788629	257755	
788629	278014	Norah Ryan, The Fiddlin' Doll
788629	279544	
788629	301258	Mildred Bryson
788629	301699	Olive Spencer
788629	310759	Bess Stanson
788629	310782	Mary Bryant
788629	315291	Marjorie Deeds
788629	329143	Betty Foster
788629	331926	Ruth Morris
788629	335857	Katherine Vincent
788629	359853	Dorothy Travers
788630	261977	Janis
788630	379335	Kate
788631	21252	
788632	55795	Kelsey Jacobson
788633	219921	Debbie
788634	68271	Intercom voice/Computer voice
788634	68275	
788634	103288	Planet Threepwood Waitress
788634	107941	
788634	113274	Jaheira
788634	117779	Black Lily/Faldorn/Jaheira/Si
788634	117780	
788634	117783	Jaheira/Demin
788634	313475	Brat/Computer Console/DC-10/F
788634	313480	A-Wing Pilot #1/Kalaan Militi
788634	313481	Flash Speeder driver/Heavy li
788634	313486	Mara Jade
788634	397038	Peggy Brandt
788635	285357	Audrey
788636	33744	Mrs. Nicholson
788636	72045	Mrs. Spencer
788636	141208	Mrs. Murphy
788636	258303	Mrs. Mullin
788636	279388	Mrs. O'Leary
788637	264370	Priscilla
788638	104929	
788638	282620	
788639	315483	Cigarette Girl
788640	31654	Concert Girl
788640	40813	Bus Passesnger
788641	164663	Star Shop Host
788642	336144	Maud Owen
788643	11486	
788643	303288	Herself
788644	177619	Stage Manager
788644	307983	Taxi Dancer
788645	176778	Baby Jenny
788646	98900	
788646	319731	
788647	176778	Baby Jenny
788648	176778	Baby Jenny
788649	112984	Herself
788649	151511	Herself
788650	385421	Herself
788651	186126	Stinky
788652	371536	
788653	177816	
788654	84252	Woman on Street
788654	163431	Wardrobe Mistress
788654	191646	Aunt
788655	80602	Liliana
788655	253515	Helen
788655	372444	Eve
788656	190328	Kitty Hughes
788656	248574	Francine
788657	1674	Herself
788657	14192	Stage Actor Joyce
788657	33054	Herself/Mrs. Shinn
788657	79971	Susan Bradley
788657	86955	Arguing Woman in Cafe
788657	127678	Herself - Host
788657	131375	Mrs. Baker
788657	138683	Nancy
788657	151483	Betty Lou Who
788657	163478	Herself
788657	186431	Homeless Lady
788657	223066	Mrs. Eulalie Mackechnie Shinn
788657	223642	Dr. Barbara Van Dyke
788657	223745	Audrey Bennett
788657	228970	Herself
788657	230324	Anita Olesky
788657	231798	Emily Sanderson
788657	232131	Herself
788657	244034	Mrs. Boyd
788657	254519	Meg (New York)
788657	275871	Mother in Stands
788657	276904	Traci
788657	287727	Tracy
788657	288700	Terry Rialto/Mom
788657	288703	Herself
788657	288704	Herself/Monica Lewinsky/Vario
788657	288705	Herself/Various Characters
788657	288706	Herself (Various Characters)
788657	288708	Herself/Monica Lewinsky
788657	288710	Herself/Various Characters
788657	288716	Herself
788657	288718	Herself/Various Characters
788657	288719	Herself
788657	294717	Eve
788657	297190	Mrs. Mary Larson (Hal's Mothe
788657	306140	Anna Nicole Smith
788657	319682	Mary Katherine Gallagher
788657	330386	Aanl
788657	361907	Gail
788657	385166	Lesley Shackleton
788657	404337	Various (1995-2001)
788658	11911	Sam
788658	76217	Venus Club Waitress
788659	142719	Killer - Defendant
788660	7015	Lola Martin
788660	11111	Mickey's mother
788660	13378	Kitty
788660	26760	Jerry Hampton
788660	40176	Pearl Murray
788660	51872	Nellie
788660	56211	Thelma Bell
788660	76502	Mary Baker
788660	82547	Claire Arlington
788660	85039	Nancy Weaver
788660	99428	Betty Parker
788660	108002	Elsie Fryer
788660	112531	
788660	114729	Aggie Moreno
788660	122069	Joan
788660	128330	Daisy Bradford
788660	128827	Ruth
788660	150544	Ruth
788660	150797	Alice
788660	203133	Margot Potts
788660	231990	Daphne Lambert
788660	242581	
788660	246731	Kiddo
788660	279425	Lee Millet
788660	281017	
788660	292322	Wanda Kelly
788660	301507	Norma Davis/Norma Powers
788660	306798	Judy Gelett
788660	330868	Mary Burke
788660	336733	Mary Gehring
788660	339884	Susan
788660	341927	Elvina Evans Wright/Gimlet
788660	367919	Mrs. Jones
788660	372928	Peggy
788661	2627	Herself
788661	79973	Phyllis Nesmith
788661	85006	
788661	87152	Billie Ross
788661	87480	Toni-Ann
788661	88575	Ruth Hennessey
788661	100822	Maid
788661	112302	Carol
788661	118933	Elizabeth
788661	128346	Fiona Winters
788661	137766	Lucy (MOW Detective)
788661	139188	Sandra Applewhite/Nicky Dawso
788661	139745	Juliet
788661	189520	
788661	195267	The Second Victim
788661	210866	Joanne
788661	223815	Cashier
788661	233519	Candice 'Candy' Wilson, Miss 
788661	233614	Helen Horowitz
788661	298279	Jana
788661	306312	Tori
788661	312971	Christine
788661	339443	Julia Lee
788661	340868	Jackie
788661	372514	Alisande/Alexandra
788661	383662	Nina Moore (1992-1994)
788661	406712	
788661	408968	Margaret Trudeau
788662	48321	Musician: Accordeon Player
788662	104987	Herself
788663	20625	Featured player
788665	41311	Tabitha
788666	121803	Redhead
788666	224091	Phlegm Fatale
788667	186618	Nita Charles
788668	130730	Employee B
788668	298993	Additional Voices
788668	298994	Additional Voices
788668	318473	Saeko Kishima
788668	318540	Ayumi Mizuchi
788668	380473	Jun
788668	383107	Mayumi Kisaragi, Misaki Watan
788669	188509	Consulate Office Worker
788670	53336	Maxine
788671	363840	Woman in Audience
788672	368533	Ida
788673	223778	Sonia
788674	68089	Woman
788674	75030	
788675	302702	Leah
788676	119521	Joey, Shelter Manager
788676	211405	
788676	303564	Woman at Accident
788677	97204	Marian Ducet
788677	144867	
788677	150929	
788677	197717	
788677	224692	Vera Collins
788677	265245	Bess Hicks
788677	269333	Helen Faulkner
788677	304323	Peggy Santro
788678	30412	
788678	36108	
788678	83735	
788678	136059	Kusum
788678	136589	
788678	251914	
788678	288573	
788678	356654	
788679	34758	
788679	71128	
788680	27385	
788680	57208	Wendy Cooper, Police Profiler
788680	70963	Felina
788680	86815	
788680	178298	
788680	201025	
788680	206096	Dr. Owens
788680	215882	Photo Model
788680	256158	
788680	271544	
788680	287640	
788680	311132	Cyclist
788681	45817	
788681	126977	(in the song Bangaru Kodi Pet
788681	171887	Dancer
788681	173500	
788681	226067	
788681	270556	
788681	282543	(in the song Amalapuram bullo
788682	4136	
788682	30541	Uma
788682	58965	
788682	85369	
788682	126960	Roopa
788682	141840	
788682	177987	Rani
788682	246364	
788682	246539	
788682	246914	Balachandran's Wife
788682	266957	
788682	300211	
788682	373808	
788683	259683	Wally Rüger
788684	321208	
788684	375534	
788684	375535	
788685	362261	Carol Garner
788686	411590	Casey
788687	18522	Frau Berner
788689	66019	Tiffany
788690	174165	
788691	151778	Horrow Movie Starlet
788691	372544	Country Girl Fan
788692	120300	
788693	18623	Georgia
788693	87527	Celia
788693	125589	Dolphin
788693	300902	Miranda
788694	132247	Rolling Hills Dance Team
788695	129644	
788696	159713	Alice
788697	184012	
788698	270443	Bilha
788699	33333	
788699	58445	
788699	98238	
788699	103016	
788699	137114	
788699	137115	
788699	167040	Mary Magdalene
788699	193049	
788699	194323	
788699	294735	
788699	338109	
788699	371802	
788699	391279	
788699	395971	
788700	211025	
788701	360436	Woman in Hat on Advice Line
788702	208065	Becky Sue Purdy
788703	161295	Herself
788704	146305	
788705	360436	Jake's Mom
788706	41365	Polly
788707	211025	
788709	36760	Rita
788709	109649	Athlete
788709	128727	Tiffany
788710	303498	
788710	378829	Herself
788711	383316	Health & Medical corresponden
788712	181276	Mrs. Ekhardt
788714	95875	Herself (Writer/Producer)
788714	161313	Herself
788714	363011	Herself
788715	163655	Helen
788715	192111	
788715	257521	Herself
788715	330884	Nightclub Singer, singing 'Wa
788715	379600	Viv Harker
788716	63130	Doreen
788717	142524	Hippie
788718	319902	Didi
788719	408039	Brittany Weston #1 (1987-1990
788720	386890	Julie
788721	131739	Girls' Chorus Member
788722	27978	Wife's voice
788722	56145	Pattie Henderson
788722	154869	Studio executive
788722	291891	Cmdr. Williams
788722	315784	Melanie Fowler
788722	395929	Herself - Traveler
788723	116654	Society Woman
788723	360436	New Yorker Listening to Story
788724	169151	Bar Patron
788725	237423	Chica
788726	188502	Topless Dancer/Pool Girl
788727	32709	Erin
788727	115920	Stage Manager
788727	141746	Jewish American Princess
788727	359939	Carla
788728	121440	Piano player
788729	10889	Director
788729	12986	Shopper
788729	83822	Store Manager
788729	98149	Peter's Mother
788730	383186	Storyteller
788731	26779	Jane
788731	176720	Oggie
788732	21214	
788732	74077	Dame anglaise
788732	103309	Woman with Dog
788732	106520	Reva (the Desk Clerk)
788732	269064	Waitress
788732	292164	
788732	383186	Narrator
788733	360436	New Yorker Listening to Story
788734	75528	Herself (Newton, MA)
788735	200864	Monique Guedj
788736	75665	Eden
788736	252935	Charlotte
788737	33527	Lemon Chiffon
788738	220890	Herself
788740	354548	Oldest Walker Daughter
788741	15152	
788741	18623	Carmen
788742	390195	Herself - Beauty Expert
788743	364141	
788744	225777	Party Girl 2
788745	213906	
788746	214844	Musician
788747	395091	Lancaster Girl (aged 11)
788748	214895	Barbara
788748	253635	
788749	89812	
788750	35904	
788750	43011	
788750	267863	
788751	335277	Vocal chorus
788752	389376	Host
788753	49828	Rat Woman
788754	109971	Woman at the Bazaar
788755	189059	Noa
788756	4030	Malathi
788756	4235	
788756	4869	
788756	4870	
788756	6204	
788756	6235	
788756	6365	
788756	6425	Ponnamma
788756	8390	
788756	8395	
788756	8397	
788756	8398	
788756	9312	
788756	10000	
788756	10001	
788756	11998	
788756	12000	
788756	13335	
788756	13469	
788756	14535	
788756	15171	
788756	15840	
788756	17065	
788756	17365	
788756	18086	
788756	18186	
788756	18467	
788756	18511	
788756	18513	
788756	18770	
788756	18773	
788756	18782	
788756	18845	
788756	19012	
788756	19606	
788756	19633	
788756	19803	
788756	21358	
788756	21876	
788756	22605	
788756	22710	
788756	23287	
788756	24145	
788756	27769	
788756	28394	
788756	29034	
788756	32312	
788756	36057	
788756	36112	
788756	36125	
788756	36160	
788756	36166	
788756	36169	
788756	36191	
788756	42434	
788756	45807	
788756	45816	
788756	54538	
788756	58422	
788756	58428	
788756	58974	
788756	59478	
788756	60421	
788756	60572	
788756	62366	(segment "Apaswarangal")
788756	70434	
788756	73737	
788756	76417	
788756	76440	
788756	83754	
788756	84723	
788756	85200	
788756	85201	
788756	85333	
788756	85341	
788756	85343	
788756	85436	
788756	90576	
788756	92413	
788756	95404	
788756	97755	
788756	99225	Rajamma
788756	101481	Thankamma
788756	101519	
788756	101668	
788756	123566	
788756	129745	Mary
788756	131880	
788756	132067	
788756	138976	
788756	150582	
788756	151858	
788756	155543	
788756	155575	
788756	155576	
788756	156446	
788756	156479	
788756	158635	
788756	159312	
788756	161154	
788756	162498	Ammukutty
788756	163785	
788756	163791	
788756	163933	
788756	164805	
788756	164806	
788756	164956	
788756	165010	
788756	165397	
788756	166531	
788756	166538	
788756	171338	
788756	171340	
788756	171501	
788756	171933	
788756	171952	
788756	172474	
788756	172573	
788756	172598	
788756	172742	
788756	172748	
788756	172752	
788756	173439	
788756	173588	
788756	174223	
788756	174224	
788756	174244	
788756	174260	
788756	174312	
788756	174548	
788756	174593	
788756	174728	
788756	174733	
788756	174820	Sharada
788756	175890	
788756	176773	Guardian of Heiress
788756	179250	
788756	179870	Sambhavi
788756	179871	
788756	180183	
788756	181050	
788756	181611	
788756	181680	
788756	181700	
788756	181703	
788756	182116	
788756	182193	
788756	186451	
788756	187657	
788756	194597	
788756	198701	
788756	198768	
788756	200627	
788756	200745	
788756	201310	
788756	202464	
788756	203809	
788756	203862	
788756	203871	
788756	203901	
788756	204083	
788756	204309	
788756	204582	Damu's Wife
788756	204671	
788756	204846	
788756	205214	
788756	208562	
788756	208614	
788756	208764	
788756	209240	
788756	213342	
788756	214487	
788756	218684	
788756	219946	
788756	220832	
788756	221616	
788756	221622	
788756	222204	
788756	222527	Srilatha
788756	222538	Bhagi
788756	226472	Stella
788756	227724	
788756	228800	
788756	228874	
788756	232746	
788756	232791	
788756	233144	
788756	233317	
788756	236840	
788756	237051	
788756	237427	
788756	241002	
788756	243832	
788756	243844	
788756	246080	
788756	246468	
788756	246889	
788756	247123	
788756	247163	
788756	248553	
788756	248814	
788756	248860	
788756	249848	
788756	250814	
788756	251502	
788756	252018	
788756	255137	
788756	260001	
788756	260602	
788756	262365	
788756	262468	
788756	262475	
788756	262880	
788756	262886	
788756	262909	
788756	263195	
788756	264962	
788756	265375	
788756	267269	
788756	267665	
788756	270168	
788756	270193	
788756	270570	
788756	270959	
788756	271488	
788756	271498	
788756	271659	
788756	271663	
788756	271665	
788756	271667	
788756	271901	
788756	271907	
788756	272035	
788756	272852	
788756	274875	
788756	275854	
788756	282172	
788756	282542	
788756	282546	
788756	282550	
788756	286503	Chhaya
788756	286588	
788756	286769	
788756	286793	
788756	287187	
788756	287543	
788756	287566	
788756	288225	
788756	288227	
788756	288539	
788756	288819	
788756	297167	
788756	297578	Insane Woman
788756	297580	
788756	299382	
788756	300284	
788756	300322	
788756	302512	
788756	303159	
788756	306079	
788756	306802	
788756	312445	
788756	312453	
788756	313953	
788756	316578	
788756	319056	
788756	319764	
788756	320244	
788756	320857	
788756	320866	
788756	320872	
788756	320902	Swathi's Mother
788756	320922	Seeta
788756	324333	
788756	324848	
788756	326156	
788756	329241	
788756	329646	
788756	329647	
788756	329831	
788756	330663	
788756	330969	
788756	331971	Vijaya
788756	331972	
788756	333116	
788756	340054	
788756	344085	
788756	344087	
788756	344192	
788756	348786	
788756	350060	
788756	350061	
788756	350961	
788756	351093	
788756	351167	
788756	351401	
788756	354315	
788756	354388	
788756	354399	
788756	354402	
788756	355294	
788756	355310	
788756	357644	
788756	359373	
788756	370210	
788756	370330	
788756	373842	
788757	6380	
788757	254410	Phani
788757	350291	
788758	118334	Telephone operator at Jerisht
788758	405984	(Pledge, USC)
788759	95625	Maykata na Tanya
788759	244719	Zhenata na Marin
788759	351018	Strina Elena
788760	289340	Elena
788761	22198	
788762	163884	
788762	238821	Mitovitza
788763	397936	Mrs. Frog (1968-1988)
788764	35933	
788764	202306	Viktor's wife (segment 1)
788764	370231	
788765	156942	
788765	163946	
788766	357231	
788767	209833	Galina
788768	327664	
788769	406363	Marcy Halloran
788770	10513	
788770	31432	
788770	36014	
788770	86741	
788770	98509	
788770	105072	
788770	164727	
788770	175996	
788770	182111	
788770	183319	
788770	189926	
788770	195860	
788770	228865	
788770	323389	Georgette
788771	271890	Cochina
788773	11632	Secretary #4
788773	212616	Club Owner's Girlfriend
788774	135622	Kaethi
788775	10966	Alima
788775	94364	Juanzi
788775	135032	Sha Runa
788775	298706	Tian Jing
788775	370474	Mrs. Ou
788776	163779	Nurse Nicky
788776	397693	Alpha 5 (1993-1994)
788777	16704	Tony's Girlfriend
788777	29905	En af forældrenes venner
788777	227227	Sofia
788777	332767	Christine
788777	404466	Herself/The Funky One
788778	224041	Adela
788779	45846	Blonde Stripper
788780	4430	
788780	58558	
788780	143823	
788780	149032	
788780	160928	
788780	176111	
788780	176195	
788780	215504	
788780	222084	
788780	288040	
788780	297421	
788780	298250	
788780	375032	
788781	136128	Older Woman in Dance Class
788781	138683	Student #2
788781	300913	Vikram's Fan One
788782	36167	
788782	38144	
788782	83737	Younger Sister
788782	152964	Krishnavati
788782	153237	
788782	165005	
788782	165006	
788782	175925	
788782	211461	
788782	219943	
788782	234871	
788782	288797	
788782	297159	
788782	299256	
788782	405984	(Pledge, USC)
788783	64153	
788784	64153	
788785	64153	
788786	272055	Little Sister
788787	375254	Masoumeh
788788	234204	Club
788789	341326	
788790	377184	
788790	379648	
788790	380074	Magdalena
788790	396941	
788790	396942	
788790	403782	
788790	407644	Alicia
788790	408562	
788790	410204	
788790	410316	Magaly
788791	326495	Cornelsens Daughter
788792	128707	Convict
788793	253734	
788793	265945	Bjubjushan
788794	217771	Fisherwoman's Friend
788794	257554	Yanesha
788794	320097	Sharissa
788795	110152	Girlfriend
788796	90911	Michelle (14)
788796	230526	Young Donna
788796	290375	Chase Witherspoon
788796	344480	Jennifer
788797	381894	Herself (season 2-2001)
788797	381897	Herself (season 2-2001)
788797	381914	Herself - Participant (season
788798	134230	
788799	213963	Holly
788800	408870	Midge Parker Brown
788801	114734	Reporter #2
788801	176777	Sheryl Monroe
788801	241857	Frannie Pearson
788801	350464	Producer
788801	364203	Sally Laughlin
788802	45385	The Girl
788803	176304	
788804	309657	Mrs. Clay
788805	193834	
788806	124017	Celebrant
788807	16937	
788807	20176	
788807	63586	Angelina Grigoryevna
788807	82796	
788807	89594	
788807	102996	
788807	108850	
788807	210189	Plogansky's Mother
788807	235231	
788807	259737	
788807	283996	
788807	294764	
788807	306648	Anarda
788807	306725	
788807	326525	Nastasya Ivanovna Koldybaeva
788807	341237	Nikolai's Mother
788807	347094	
788807	370177	
788807	381225	Grandma Dunya
788807	404218	
788807	404751	
788808	306656	
788808	357617	
788808	357697	
788809	90335	Herself
788810	9522	
788810	302483	
788811	32790	Dolly Trull
788811	253081	The Goddess Diana
788811	333478	Phrynia
788811	340106	Cassandra
788811	397182	
788812	19604	
788812	45814	
788812	85315	
788812	89994	
788812	91471	
788812	165643	
788812	171762	
788812	288778	
788814	93721	
788815	16147	
788815	27774	Saraswati (Amit's mom's siste
788815	59010	
788815	91470	
788815	103298	Mrs. Bannerjee
788815	126940	Dadima (Vikram's mom)
788815	152446	Tiger's step-mom
788815	165407	
788815	173499	Dharmadhikari's wife
788815	178203	
788815	200747	
788815	205484	
788815	220855	
788815	222057	Karan's friend's mom
788815	251884	
788815	268074	
788815	268605	Saraswati (Rashmi's grandmoth
788815	271545	Mother of small child
788815	370973	
788815	404052	
788816	68940	Woman in Car
788816	129437	Shelley
788816	235023	Bookstore Clerk
788816	333328	Harriett
788816	390167	Shelley Sealy
788816	403834	Regular Performer (1970-1972)
788817	285950	Solasaal
788818	1178	Sheeba
788818	21603	Kinjal (President's daughter)
788818	86684	Payal (Guest Appearance)
788819	105779	Servant Girl
788820	322696	
788821	111915	
788821	175253	Ritu Patel
788821	175879	
788821	217158	Sanjana
788821	323279	Laadli Begum
788821	341695	Bobby
788822	13329	Nisha
788822	14575	Teenage stepmother
788822	98505	Ria
788822	135704	
788822	159243	Child artist
788822	220800	Meenakshi Iyer
788822	255269	Daughter
788822	333919	Titli
788823	32624	Police Superintendent
788823	73607	Federale
788824	349513	Jane Doe
788825	148194	Leeza
788826	152468	
788827	270218	Malini
788828	222104	Gita
788828	222357	
788829	57877	Young film actress
788829	164316	
788829	370966	Rohini
788830	407180	Herself/Sketches
788831	285950	
788832	88212	
788832	157578	Brothel Madam
788832	341637	
788833	36022	Madhu and Ladhu's mother
788834	5412	Mama Sari
788834	71334	Vandana
788835	320850	Turni
788836	284777	
788837	4429	Kumar's sister
788837	19244	
788837	25286	Avtaar's son's wife
788837	28385	
788837	36009	
788837	59172	Nimmo
788837	60402	Martha
788837	174295	
788837	176010	
788837	184246	
788837	221048	Rajjo
788837	262827	
788837	271728	
788837	288246	
788837	297030	
788838	161987	Wife
788838	189329	Usherette
788838	316191	Dr. Thurston
788838	393627	Stella
788839	4100	Tulsi
788839	18461	
788839	152480	Rashmi
788839	160172	
788839	285108	Natasha
788840	116447	Gunn (segment "RV")
788840	354604	Sara
788841	115174	Aunt
788842	284777	
788843	25928	
788843	137815	
788843	159065	
788843	209870	
788843	248799	
788843	323674	
788843	324914	Shakuntala (Ram's bhabhi)
788844	9234	Vina Chandra Devi
788844	127020	
788844	152486	
788844	152694	
788844	174799	
788844	204403	
788844	211421	Gita
788844	271427	
788844	371306	
788845	228895	
788846	95236	Riya
788847	359550	The girl
788847	381910	Herself (Series 3) (2002)
788848	13329	Tara
788848	29858	Anuj's girlfriend
788848	207536	Geeta
788848	240215	Puja
788848	284784	Maya
788849	114637	Arlene
788850	245181	
788851	232818	The Iron Lady
788852	405026	Margaret Beaufort
788852	407185	Miss. Raven
788852	409578	Fiona Nixon
788853	353068	Joanna
788854	24212	Young Fannie
788854	274259	Betty
788855	35155	Radio Caller
788856	1698	Neelam
788856	152483	
788856	152702	
788856	217183	
788856	341637	
788856	351399	
788858	298129	
788859	27974	
788859	44816	Lapchika
788859	92407	
788859	172438	
788859	234295	
788859	270310	
788859	273298	
788859	296552	Our Guests at Heartland
788859	376411	Sie
788859	383831	Herself
788860	8657	Young Girl in Car
788861	20625	Extra
788862	380391	Dr. Susan Matthews Shearer #1
788862	387309	Elaine 'Cookie' Pollock Thoma
788862	404613	Janet Bergman Walton #3 (earl
788863	61567	Mrs. Helen Banks
788863	105247	Evelyn Leslie
788864	140426	
788865	23052	
788865	185764	Judith
788866	176321	Acrobatic dancer
788867	2165	
788867	264727	
788867	264741	
788867	264837	
788867	284836	Rachel
788867	397635	Dorin Akrish
788868	92773	Mason's Daughter
788869	397878	Ricki Ben Hayim
788870	402212	Violinist
788871	374729	
788872	4983	
788873	155301	Hotel Guest
788874	129784	Daria
788875	304737	Roz
788876	31209	Usherette
788876	40725	June
788876	164502	Helen
788876	226931	Nurse
788876	301073	Woman on Estate
788876	340254	German woman with little girl
788877	49493	Paula
788877	160982	Barbara Kirk
788878	232019	Maggie
788878	232020	Maggie
788878	232335	Dinorah
788878	277110	Sue
788879	212688	Claire
788880	401028	Regular (1973)
788881	151778	Gracie (15 years)
788882	221834	Herself
788882	342608	Herself
788883	72012	Party Guest
788884	110952	Salty Emboca
788884	146061	
788884	217903	
788885	195590	Mavis Wilson
788886	170411	Restaurant cleaner
788887	379449	Presenter
788887	381123	Presenter - ITV2
788887	385319	Host (series 2)
788887	386259	Presenter (2000)
788887	411524	Presenter
788888	241806	
788888	310151	Pan's Keeper/Mrs. Potts
788889	127351	Luanne
788889	193176	Terrorized Girl in the Hallwa
788890	103297	Bajle
788890	279347	Frenchie Collins
788891	293094	Newsreader
788891	399693	Presenter (1998-)
788892	13759	Debbie
788892	187991	Chantel
788892	202387	Sister #1
788892	230332	Edna
788892	260266	Party Girl
788893	72012	Party Guest
788894	72012	Party Guest
788895	47208	Herself
788895	55109	Helen
788895	55632	Louisa Evans, aka 'Aunty Lou'
788895	60296	Kath
788895	65820	Jessica
788895	120506	Kate Eddowes
788895	121541	Jean
788895	133595	Mrs Joe
788895	195520	
788895	218845	Rosanna Spearman
788895	226868	Louise Klemser
788895	232475	Carol
788895	263606	Mrs. Unsworth
788895	263794	Anne Sutherland
788895	270436	Jenny
788895	278909	Michelle
788895	279295	Valerie
788895	292158	Judith Roach
788895	312186	Angela Miller
788895	321967	Miss James
788895	351972	Jessie Barnes
788895	382332	Rose Cooper
788895	384477	Trudy Graham
788895	385635	Constance 'Connie' Martin, né
788895	385820	Carol Murphy
788895	389248	Petra Dillon
788895	399069	Martha Tyler
788895	401307	Susan Harvey (Pilot) (1995)
788895	401652	Theresa Mullen (1998-2000)
788895	408567	Narrator: TV Bastards (2002)
788896	232297	Marion Parkin
788898	10924	Simpson
788899	18618	
788899	41830	
788899	85753	
788899	117594	
788899	158386	
788900	113418	Darlie Sinclair
788900	261605	Not Alice
788900	292682	Laurie
788900	327592	Reporter
788900	384667	Bernice (2004-2005)
788903	136719	Woglinde
788903	249337	Blumenmädchen
788903	277459	Wogline
788903	301089	Waldvogel
788903	403405	Woglinde
788904	406120	Miss Potton
788905	226971	Maria Isabella
788907	154313	Herself - interviewed
788908	326744	Emily Lord
788910	161377	Herself
788911	46605	Mrs. Walden
788912	100814	Edna
788913	133952	Girl in Audience
788914	19995	Pamela
788915	138161	Peyton's Nurse
788916	411759	Sariya (1989-1990)
788917	133958	Aunt Edythe
788917	147602	Harriet Gittens
788917	186733	Prissy
788917	214783	Jesamine
788917	231871	Bea Pryor
788917	406319	Nurse Peggy Shotwell (1984-19
788917	411370	Eve (1977-1979)
788918	60714	New Waitress
788919	113286	Child
788920	323843	Starlet
788920	323845	Maxine
788920	323847	Secretary
788921	236972	Clara (in reality)
788921	310303	
788923	11025	Postmistress
788923	44786	Moll
788923	45405	Mrs. Wetherall
788923	79914	Maid
788923	80538	
788923	92007	Maid
788923	93572	Teacher on Museum Tour
788923	109826	Mrs. Trumper
788923	115256	Relative
788923	117647	Mrs. Garrow
788923	130352	Mrs. Hattie Quimp
788923	130664	Ranch guest
788923	138246	Volchett's Assistant
788923	141620	Mrs. Cooper-Cooper
788923	142874	Mrs. Norris
788923	149649	
788923	150839	Mrs. O'Brien
788923	154481	Mrs. Kipper
788923	164336	
788923	169387	Woman with cat
788923	169906	Martha, the Maid
788923	178332	Mullens
788923	191491	Mrs. Slattery
788923	193375	Wiggy (barfly)
788923	193583	Mrs. Pringle
788923	194690	Miss Gill
788923	194987	Mrs. Foley, Cleaning Lady
788923	195591	Ethel (the maid)
788923	198874	2nd Witch
788923	199354	
788923	203539	Lady Hunter
788923	224177	Sparkes
788923	231130	Mrs. Bluther
788923	232408	Mrs. McDonald
788923	234141	Housekeeper
788923	251288	Landlady
788923	253005	Lady Diana
788923	255327	Lady Harborough
788923	263601	Sasha's Mother
788923	265740	Baby Sitter
788923	271338	Mrs. Buttons
788923	275363	Mrs. Fogarty
788923	278820	
788923	284916	Lorelei (Esmeralda)
788923	289631	Mrs. Michaels
788923	290343	Maid
788923	315583	First Nurse
788923	323703	Prissy gossiper #1
788923	323960	Miss Rafferty
788923	327394	Teacher
788923	330384	Hilda, the Charles' Housekeep
788923	330664	Customer
788923	331991	Mrs. Smithers, the Landlady
788923	343022	Christine
788923	363793	Miller (Ashwood maid)
788923	367535	Mrs. Todd
788923	368709	Presbyterian
788923	385719	Bathia Mapes (1968)
788923	390922	
788924	296863	Milkail's children
788925	176989	FBI Agent
788926	189686	Nina
788928	70309	
788928	139293	Kathy
788928	155912	
788928	214673	
788928	257860	Dr. Jane Kinsey
788928	279510	
788928	317353	Topless Dancer
788928	326510	Becky Bartolucci
788928	368983	
788929	182955	Witness on 'Badge of Honor'
788929	296266	Mrs. Cromwell
788930	192191	Shereen
788931	91953	Reporter #2
788932	7088	Tony Francis Fan
788932	50340	Jackie Faraday
788932	57437	Nancy
788932	72111	Linda Allen
788932	173518	Tammy O'Brien
788932	231106	Nicole Scott
788932	275104	Nora Hayes
788932	284503	Lavinia Kean
788932	294855	Leslie Lane (Frank's girlfrie
788932	351802	Ruth Hopkins
788933	130275	Mary
788934	283802	Reporter
788934	366406	Kitty
788935	47445	Mrs. Reed
788935	47970	Mrs. Thursby
788935	56278	
788935	65963	Mr. Reece
788935	97692	Lucy Fairfax
788935	119811	Matron
788935	135618	Mrs. Hartley
788935	138844	Mildred Royd
788935	159886	Secretary, China Inland Missi
788935	184519	Rick's Mother
788935	223043	Miss Wilkinson
788935	233861	Doctor
788935	239738	Matilda Lawson
788935	241033	Mrs. Ross
788935	273585	Bit part
788935	288441	Sister Theresa
788935	328076	Miss Hobbs
788935	329408	Angela Caine
788935	363042	Matron
788935	410580	Madame Scherer
788936	11052	
788936	159137	Sunbeam
788936	343094	
788937	244913	
788938	100099	Executrix Council
788939	220355	Sylvia Goodhall
788940	20502	Jane Harris
788940	43276	Linda Ward
788940	87800	Julie Blair
788940	144759	Nell Buck
788940	199141	Tess
788940	203210	Betty Turner
788940	203650	Stella Atkins
788940	212200	Linda Morgan
788940	306126	
788940	316085	June
788940	324911	Paula Nelson
788940	349999	Connie Lane
788940	350521	Lucy Colfax
788940	393658	Laura Thomas
788941	395024	Herself
788942	306126	Millie
788944	382506	Debbie Yates (1987)
788944	385175	
788945	33893	Party Girl
788946	66306	
788946	70166	Maid
788946	130715	Maid
788946	151223	Maid
788946	316934	Maid
788947	124541	2nd Nurse
788948	301392	Ward Nurse
788949	89321	Tony's Daughter
788949	108976	Fan Girl
788950	183375	Pat Blakeney
788951	365883	Francine
788952	307516	Joan - Victim #2
788953	89321	Tony's Wife
788954	24545	
788954	104017	
788954	209014	
788955	398050	Extra Contestant (2001) (2001
788956	185570	Gang Girl
788957	109427	Birthing Class
788958	375808	Lulu the Waitress
788959	34611	Production Assistant
788959	105502	Business Woman
788959	107929	Beth
788959	367966	Mrs. Smith
788960	106666	Masked party principal
788961	254986	Feather Woman
788962	106723	Lisa
788963	344323	
788964	234966	Noriega's daughter
788965	178002	
788966	342822	Sphinx Girl
788967	84426	
788967	162094	Brigitta
788967	263257	Valeriya
788967	264556	
788967	283755	
788967	313813	
788967	356598	
788967	370940	
788967	394010	Pani Zosya
788968	987	Neena
788968	4326	Rekha Chopra (Baldev's wife)
788968	4396	Jaswanti
788968	4728	
788968	6417	Sofia
788968	8680	
788968	12922	
788968	17889	Annapurna's mom
788968	18041	
788968	18482	Anita Bakshi
788968	19510	
788968	20296	Rukmani (Arjun's stepmother)
788968	25553	
788968	25926	Baadshah's mother
788968	27765	
788968	31372	
788968	32455	
788968	36288	
788968	39034	Marriage Bureau owner
788968	43312	
788968	54537	
788968	58401	
788968	58962	
788968	61013	
788968	61020	Sonia
788968	62750	Chachi
788968	76411	
788968	78652	
788968	84730	
788968	85416	Mrs. Malhotra
788968	88218	
788968	90899	
788968	126948	Mrs, . Dhanraj
788968	130073	
788968	135777	Blackmailer
788968	137822	
788968	137989	
788968	139426	Rita
788968	145431	Neeta
788968	152629	
788968	163997	
788968	164883	
788968	164955	
788968	166496	
788968	167334	Shanti's mother
788968	168085	
788968	170094	
788968	170167	
788968	170830	Mala
788968	171523	Sunanda (Niranjan's mom)
788968	171853	
788968	173498	
788968	176147	
788968	180724	Shakti's Adopted Mother
788968	183978	
788968	184155	
788968	200699	Ranbir's mom
788968	201077	
788968	211262	Mami ji
788968	211274	
788968	219906	Mrs. Chaudhary
788968	228549	
788968	229333	Chanchal
788968	229336	
788968	229359	
788968	248805	Mai (landlady)
788968	250634	Lali
788968	254831	
788968	268123	Mohini
788968	271033	
788968	271405	
788968	271507	
788968	272704	
788968	280271	
788968	286156	
788968	286765	
788968	287347	
788968	288246	Savitri (Hema's step-mother)
788968	288546	
788968	297443	
788968	297725	
788968	297734	
788968	297745	
788968	302657	
788968	318517	Rama
788968	320767	
788968	320921	Jwala
788968	324153	
788968	326958	
788968	339232	
788968	344370	
788968	359156	
788968	367215	
788968	370960	
788968	370972	
788969	237466	
788969	243988	Mariya
788969	318151	
788969	323926	
788969	333782	
788969	341238	A Soviet circus director
788969	357236	
788969	357464	
788969	370169	
788969	404819	Isayev's wife
788970	180361	
788971	63610	
788971	265237	
788972	265237	
788973	265237	
788974	265237	
788975	1519	Medical Resident
788976	242553	
788976	242554	
788976	247989	
788976	305294	
788977	356111	
788978	230010	
788979	63621	
788979	84425	Natasha
788979	89609	Katun
788979	114793	Little Jenny
788979	132146	Sofya
788979	170911	Princess
788979	176188	Khveska
788979	179715	Lyuba
788979	181287	Marusja
788979	188004	
788979	198130	Verka
788979	208618	
788979	258435	Varya
788979	261206	
788979	263671	
788979	265400	Dr. Inge
788979	313140	
788979	318128	Pushkova
788979	326236	Sasha
788979	349253	
788979	370253	Maryutka
788980	304851	TV Reporter
788981	875	Rufka
788981	7206	Larisa
788982	313881	
788983	394620	
788984	10910	Catherine Harding
788984	41398	Rebecca
788984	41414	Rebecca Morgan
788984	53041	Wendy
788984	114223	Shopgirl
788984	145804	Claudia
788984	204741	Eva
788984	313398	Yeoman
788984	319919	Lt. Lori 'Dakota' Forrester
788984	321920	Bonnie Brown
788984	329816	
788985	179588	
788986	225998	Mamayeva
788987	187784	Anna Mikhailovna
788987	356539	Kupavina
788987	374072	
788988	185424	Marty's Girlfriend
788989	21062	Olya
788989	33826	
788989	88729	
788989	179613	
788989	188127	
788989	263402	
788989	318562	
788989	357333	
788989	410332	
788990	16654	Juggler
788990	88257	Mrs. Henry Doakes
788990	299035	Juggler
788991	40687	Anita
788992	18962	Herself
788993	20038	Jade
788993	34575	Diana
788993	80557	Erin Davenport
788993	81276	Catherine
788993	83673	Racela
788993	130098	Debbie
788993	150079	Abby Wagner
788993	184104	Libby
788993	196600	Dawn Simms
788993	199138	Renee
788993	226891	Michelle
788993	236696	Regina
788993	240473	Liles
788993	245013	Joanna Montague
788993	249862	Teresa
788993	258888	Dr. Claire Archer
788993	260950	Elite Model
788993	278470	
788993	312010	Dyanne
788993	312141	Stewardess
788993	323225	Cathy
788993	347099	Suzanne
788993	381321	Karin Vanet
788993	382419	Heather Thompson (1992)
788993	410941	Kate Warner
788993	411802	Ashley Abbott #3 (1996-1999)
788994	89056	Tawney
788994	116570	Laura
788995	32263	Mrs. Garrison
788995	79452	Sally's Mother
788995	123202	Mrs. Dodd
788995	129586	Lady Louise Malling
788995	130741	Lucy Hillary
788995	133661	Duchess of Oxford
788995	150697	Mrs.May Gilford
788995	162407	Mrs. Van Ness
788995	190307	Mrs. Chester
788995	246725	Barnard's mother
788995	251854	Mrs. Van Allyn
788995	282848	Mrs. P. Belmont-Fox
788995	310752	Mrs. Lee
788995	358251	Mrs. McFadden
788995	366151	
788995	366611	Virginia Poucette
788996	306223	Chatting Woman #1
788998	384201	
788999	410652	Herself (Syracuse U. student 
789000	178139	Dawn Hanson
789001	128522	Adele
789002	292596	
789003	63011	Susan
789003	187482	Ivonne
789003	347696	Janet
789004	203918	Newscaster #4
789005	375537	Girl
789006	25570	Yardena
789006	115009	
789006	129056	Yaeli Hasson
789006	137114	Yona
789006	209825	
789006	212405	
789006	214488	Teacher
789006	299961	Mimi
789006	300209	
789006	300390	Miss Goorevitch
789006	347850	Sylvia
789006	387890	Ika Alfandari
789006	394340	Miccal Rak
789006	402830	
789007	19525	A fortuneteller
789007	68901	Ragonde
789007	118199	Katisha, an Elderly Lady of t
789007	127302	Elegant Lady
789007	333993	
789008	313477	A Senator
789009	363407	Herself
789010	117713	Laker Girl
789011	234669	Taton
789012	13395	Karen (segment "Mirror, Mirro
789012	14487	Carolyn
789012	25872	
789012	31780	Sara Bradley
789012	33395	Jessica Halliday
789012	34642	Clair Lewis, Wylie's Boss
789012	35107	Mrs. Dowd
789012	35472	Susan Frazer
789012	44474	Margaret Heller
789012	67388	Janelle
789012	67606	Vivian Dimitri
789012	68208	
789012	68470	Janet
789012	72509	Grace Downs
789012	76220	Sandy Moose
789012	83600	Vivian Bell
789012	97901	
789012	107901	Mary
789012	109682	Elaine Tipton
789012	114125	
789012	117715	Monique
789012	124335	Rhonda
789012	132823	Herself
789012	139674	Catherine Tuttle
789012	144996	Pickup
789012	157922	Ann MacDonald
789012	165498	Monique Dessier
789012	175192	Ruthie
789012	184384	Littlefoot's Mother
789012	195005	Linda
789012	196524	Patty
789012	201830	Herself
789012	204877	
789012	210881	Sarah
789012	219385	Lula Peaks
789012	220093	Claire Nichols
789012	233496	Amy Donaldson
789012	238637	Miss Beecher
789012	242529	Rachel Rowen
789012	244120	Virginia Tremayne
789012	245477	Jo
789012	246761	Rose
789012	249163	Valery
789012	258963	Edie Ballew
789012	277911	Katherine Barnes
789012	278798	Lynn Todd
789012	282556	Slim
789012	299644	Paula
789012	305574	
789012	313818	Betty Duncan
789012	319769	Girl hitch-hiker
789012	320095	Stacy
789012	321364	Mrs. Martin
789012	329477	Ann O'Connor
789012	338901	Benet Archdale
789012	339021	Kate 'White' Reilly
789012	339351	Katherine Woodfield
789012	358635	
789012	359198	Maria
789012	360355	Sherry
789012	364176	Ruth Thompson
789012	366680	Wallis
789012	366919	Nora Fields
789012	374285	Diane
789012	387331	Erica Bettis
789012	393470	Jessica Novak
789012	401796	Rachel Corrigan, MD
789012	404606	Dr. Liz Warren
789012	407866	Self
789012	409577	Libby Chapin
789012	411262	Kelby Robinson
789013	295461	Nurse
789014	163922	Rowena
789015	218345	Employment Agent
789015	318756	Florist
789016	75772	
789017	168633	
789017	358985	Girl at diner
789018	6139	
789018	138965	Shanora
789018	235403	North Compton Cheerleader
789018	362716	Basketball Girl
789018	382556	Brooke Harper (2001-2003)
789018	404083	Dreama (1999-2000)
789019	35715	Sara
789019	56870	Laser Attendant #2
789019	89240	Jenny
789019	141236	Paula
789019	308016	Stephanie Davis
789020	147963	Maria
789020	179556	Anat
789021	360179	Various characters
789021	360556	Contestants (UK version)
789022	66762	Mother
789023	175046	
789023	310657	Wife
789024	98033	
789024	146919	
789024	226738	
789024	298248	
789024	326354	Operator in tel-aviv city hal
789025	13643	Mela
789026	196499	Beatrix
789027	37189	Chicken Server
789028	12610	Dr. Antonini
789028	41953	Barbara O'Malley
789028	157291	Judge
789028	230558	Drunk mother
789028	282920	
789028	339463	Jen
789029	326496	Refugee
789030	75807	Cathy
789030	91752	Danielle Wilde
789030	323492	Elena
789030	323586	Party Guest
789031	51955	Funeral Director
789031	243073	Sarah
789032	317307	Kaylee
789033	35812	Child in Dream Sequence
789034	82696	Kid in store
789034	93051	Old Lady
789034	249265	Old Lady
789035	91388	
789036	22826	Mrs. Ann Clark
789036	49248	Ellen Curtiss #2
789036	64784	Jean Albert
789036	78180	Connie Burns
789036	80787	Ruby Tare
789036	143577	Isabel
789036	144970	Dana Jones
789036	147410	Laura Andrews
789036	148406	Polly Walker
789036	158509	Sally Rivers
789036	176784	Anne Arnold
789036	219996	Alice Flemmerhammer
789036	292318	Intellectual Sub-Deb
789036	299453	Janet Stewart
789036	303429	Virginia Stewart
789036	316156	Betty Wilson
789036	334189	Helen
789037	40952	Lady Shelton
789037	43121	Young matron
789037	57260	Mirabelle
789037	65717	Lady Lindley
789037	363758	Nurse
789039	372846	Herself
789040	40699	Clare Raven
789040	51919	
789040	51923	
789040	104047	Mistress
789040	144843	Angela
789040	167200	
789040	198610	
789040	230359	Press Woman
789040	233622	Lady Madeline de Boudoir
789040	253213	Anne Boleyn
789040	266406	
789040	367520	Mrs. Maddox
789041	385299	Pamela Willis
789042	6911	Nun
789042	155855	Old Lady
789042	399931	Connie
789043	161757	Newscaster
789043	405249	Hostess
789044	73213	Margaret Waldham
789044	77015	Entertainer
789044	136266	Information girl
789045	40441	Hula Barker
789046	31643	Bobbi
789046	127125	Princess Yolanda
789046	151672	Khola Koku
789046	246861	Helga
789046	256468	Slimey Sue
789046	294742	Gilda
789046	303900	Nita Elksberg
789046	372051	
789047	115378	Joey Balthazar
789048	398972	Curzon's mistress
789049	128772	Promo Girl XTRA 91X FM San Di
789050	142703	Con Girl
789051	66184	Linda Holland
789051	176881	Woman
789051	277096	Nurse
789051	385299	Sylvia McClusky
789051	386708	Beryl
789053	271282	
789054	10414	
789054	281967	
789054	292208	Joelle
789054	355532	Caroline
789054	407203	Vanessa
789054	408864	Heidrun
789055	105424	Secretary
789055	139151	Mrs. Buff
789055	139227	Candy
789055	140336	Alexandria
789055	184976	Jacelyn
789055	258917	Secretary
789056	261116	Catwalk Model
789057	158272	
789057	158273	Sgt. Dee Shepard
789057	158274	
789057	158275	Sgt. Dee Shepard
789057	158276	Sgt. Dee Sheppard
789057	392709	Sgt. Dee Shepard (1990-1994)
789058	11263	Daughter
789059	314770	
789060	134672	ER nurse
789060	139096	Lela Stallings
789060	144612	Reporter #2
789060	148200	Airline Counter Person
789060	220517	Jakki
789060	224073	Detroit Mother
789060	241555	Lynn Neal
789060	333198	Cara
789060	363840	Debbie
789061	142254	Bess Lovell
789062	348327	Dancer
789063	62665	Miss Muffin
789063	113728	Roleil
789064	265775	Mother in Hospital
789065	310136	
789066	37691	Auditioning Girl
789067	78744	Josie Cambus
789067	87559	Raya
789067	231118	Bailey
789067	323825	Guest
789068	48013	Rita Gubbins
789069	2118	Miss Elspeth Lomax
789069	2810	Nominee 'Medea'
789069	17556	Lydia
789069	24955	Father
789069	50476	Mrs. Nugent
789069	88912	Prof. Catherine Lebourg
789069	117192	Gillian Savage
789069	139650	Aunt Petunia
789069	139655	Aunt Petunia
789069	139657	Aunt Petunia
789069	141799	Hedda Gabler
789069	162127	Clytemnestra
789069	165449	Mrs. Reed
789069	185640	Marda Norton
789069	193606	Headley
789069	196047	Young Deirdre
789069	205589	Pauline
789069	214442	Frances O'Neil
789069	220369	Isabel Arundell (Mrs Burton a
789069	224070	Dr. Eileen Cole
789069	253542	Mrs. Croft
789069	277671	Richard II
789069	279277	Hedda Hopper
789069	285033	Sister Felicity
789069	291996	
789069	295466	Mrs. Gourdon
789069	319416	Lena
789069	340019	Leontine
789069	346223	Paulina Novacek
789069	358170	Cosima Wagner
789069	359784	
789069	387541	Fulvia
789069	390393	Irma Prunesquallor
789069	390554	Presenter (William Shakespear
789069	395171	Various
789071	186755	Herself
789072	186062	Rebecca Bloom
789072	235403	Party Girl
789072	277206	Michelle
789072	395590	Nina Kohler
789073	93776	Mrs. Demars
789074	20268	Jane Rowan
789074	83599	Harem girl
789074	184955	Woman
789074	298122	Chorus girl
789074	343160	Chorus Girl
789075	308122	Choir girl
789076	248884	Grandma
789076	342512	Mrs. Dempsey (Segment #2)
789077	248607	Herself - Singer
789078	195642	Christie
789079	97171	
789080	238660	Nurse Jackie
789081	188490	Room Reporter
789082	102575	
789083	293083	Cheryl
789084	5460	Mary Tarlton, Secretary
789084	7097	Humility's daughter
789084	10141	Sally Carruthers
789084	10604	Mildred Gregory
789084	20288	Martha Brooks
789084	27318	
789084	32352	Reporter
789084	41096	Anniversary Cake Usherette
789084	41502	Tess
789084	45451	L.A. Operator on Paris Call
789084	47358	Hospital Nurse
789084	53193	
789084	68055	Janet's Dining Companion
789084	69338	Actress
789084	78750	Miss Petrie
789084	103237	Greta, a Student
789084	105947	Telephone Operator
789084	108003	Diana Harding
789084	115471	Mrs. John Perry
789084	116523	Telephone operator
789084	123343	Katherine Thompson
789084	128827	Prison Inmate
789084	130360	Young Lady at Party
789084	130620	Golddigger
789084	138383	Katerina Honiga, Patriotic Fa
789084	144109	Girl at Factory
789084	144450	Information Girl
789084	147414	Alderman's girl
789084	147754	Girl
789084	149129	Debutante
789084	150934	Cab Driver
789084	154913	Switchboard Operator
789084	163297	Waitress
789084	163577	Autograph Seeker
789084	167311	Molly Allen
789084	168678	Gladys
789084	168681	Alice, Secretary in Verne's O
789084	170809	Ann Reed
789084	175119	Young Girl
789084	177511	Blonde Nurse
789084	183358	Bee Jay
789084	196928	Gwendy
789084	222334	Girl in Car
789084	232002	Milly Carson (the maid)
789084	234471	Grace Andrews
789084	239700	Dee Ralston Ward
789084	262337	Joan Temple
789084	262740	
789084	281379	Gerry Lane
789084	289576	Gloria Bayne
789084	289588	Elise Halliday
789084	292829	Switchboard Operator
789084	294199	Katie Rogers
789084	294747	Joan First
789084	296767	Louise
789084	297956	First girl at dance yelling t
789084	297970	Secretary
789084	303307	Stella Johnson
789084	330184	Girl entering locker room
789084	330240	Susan Haines, Verna's Roommat
789084	333319	Penny
789084	336041	Janet Baldwin
789084	346921	Julia Hall
789084	360068	Maureen (a dancer)
789084	372355	Joyce Dayton
789085	126700	Bertha
789086	41469	Saundra
789087	381358	Herself - Weather Report
789088	37292	
789088	73137	Mary Jo Karp
789088	77145	Kim Everly
789088	150747	Peasant Girl
789088	165253	Mrs. Larsen
789088	167561	Waitress
789088	190288	Katherine
789088	204034	Penny Halpern
789088	252834	Ellen Kringle
789088	293961	Stewardess
789088	304365	Cosmetic Salesgirl
789088	330200	Diana
789088	330517	Gaye
789088	358325	Hana
789088	400208	
789089	75535	Virgin #2
789090	18598	Bridge Crosser
789091	312140	Mac
789092	95472	Sam Sykes
789093	385465	Kat
789093	397858	Constance de Lutrelle
789094	60323	Cheerleader
789095	242513	Marjorie
789096	318794	Sarah Parker
789097	37381	Cathy
789098	337107	Mrs. Graham
789099	55291	Brenda
789100	354828	Rikki
789101	228778	Woman
789103	335982	Spinner
789104	2458	Veronica
789104	54264	
789104	69961	Fiona Hathaway
789104	84409	Alexandra
789104	129785	Sheilia
789104	152876	Liz Wilson
789104	161048	Diane Summers
789104	185127	Clerk (Staff Sgt.)
789104	293075	Barbara Walters
789104	327259	Detective Huff
789105	116940	Deloras
789106	385719	The widow Romano
789107	8932	Reba Crawford
789108	83822	Baby Nicky
789109	177267	Scottish Village Girl
789110	240232	Nurse in Leisure Centre
789111	56545	Herself
789112	37203	
789112	42732	Linda Shaw
789112	85756	
789112	85757	
789112	86993	
789112	102791	
789112	105149	
789112	108234	
789112	116830	
789112	129081	Herself
789112	132298	
789112	150160	
789112	177729	
789112	183552	
789112	191055	
789112	203420	
789112	248098	Herself
789112	273292	
789112	289538	
789112	297247	
789112	319398	
789112	320989	
789112	335694	
789112	358074	Herself
789112	363404	
789112	367910	
789114	23963	
789115	84142	Journalist
789116	228517	
789117	142156	Millie
789117	252283	Renee Harland
789118	244299	Desdemona
789119	282845	Jill-Ann
789120	125667	Margaret
789120	134318	Andreina
789120	135153	Un'ausiliara
789120	234552	
789120	270854	
789121	279456	Waitress
789122	8776	
789122	39018	Kelly
789123	256620	Kate Stanley
789123	256622	Kate
789124	89586	Dolemite Girl
789125	154935	Tea Girl
789125	321141	
789126	30233	
789127	147404	Social Security Clerk
789127	359403	Mr. Kessler's secretary
789128	153146	Marunga
789128	271167	Ameena
789129	175573	Last Trick or Treat
789129	254412	Fortune Teller
789130	114251	Mary Frances
789131	15925	Mary Belle Dishart
789132	206639	
789133	371547	Lucy Carpenter, the other wom
789134	49945	Professor
789135	129514	Hostess
789136	259778	Nora Bates
789137	171511	Ans Du Toit
789137	189867	Linda
789138	131232	Extra
789139	9260	Self
789140	14122	Lyla
789140	15852	Mother in Supermarket
789140	92618	Dr. T's Patient
789140	148260	Lucy Garland
789140	166871	Mildred Flynn
789140	193409	Helen Ridgeway
789140	252455	Principal
789140	263170	Donna Anderson
789140	265749	Young Jolene
789140	292280	Receptionist
789140	340864	Betty Moss
789140	408361	Tenement Woman #1
789141	191908	
789141	201528	
789142	171227	Tali
789142	318756	Haley
789142	409495	Shane Fusco
789143	240761	La Belle Otero
789144	293099	Jane's Mom
789145	111583	Millie's Agent
789145	158481	Bunny
789145	224729	Announcer
789145	253059	Rowena
789145	321559	$5 Gambler
789145	348622	Judy, The Photo Lady
789146	75664	Lecturer
789146	203584	American Reporter
789147	42134	Angela
789148	387773	
789148	395487	Condesa
789149	145673	
789149	268440	
789149	273643	
789149	404995	Leonor
789150	92505	Specialty Dancer
789150	183581	Solo Bit in Montage
789151	81086	
789152	45032	Meter Maid
789153	16144	Ann
789153	68511	Woman from Apartment
789153	80691	Judge Shapiro
789153	109682	Leah
789153	119436	Mrs. Pamela Voorhees (Jason's
789153	155981	Senator
789153	158230	Ruth
789153	160524	Coroner
789153	231869	Dr. Wayborn
789153	275107	Aunt Lisbeth
789153	281470	
789153	289260	Society Reporter
789153	297228	Mrs. Rudolph
789153	300961	Mrs. Czinski
789153	334193	Lucibel
789153	360497	Edna Barry
789153	363044	Judge
789153	366771	Nurse Hemmings
789154	28671	Molly Burnett
789154	47448	
789154	75636	Lorene Percy
789154	89114	Alice Weston
789154	112446	Mrs. Diaz
789154	117398	Muriel Martin
789154	130646	Pert Barlow
789154	132590	Dora Bledsoe
789154	146201	Laura White
789154	149277	Marie Hudson
789154	157747	Irma Potash
789154	191700	Ann Crawford
789154	223959	Beatrice Dryden
789154	248451	
789154	258294	Joan Presbey
789154	303925	Marie Hardmere
789154	308722	The Maiden
789154	308723	Peggy
789154	308726	Annie Laurie
789154	308728	The Girl
789154	312801	Anna Damby
789154	317961	Ethel
789154	364138	Betty Lewis
789154	366233	Cecil Manners
789155	142366	
789156	409578	Mrs. Broome
789157	245632	Art Teacher
789158	385719	Barmaid at the Eagle
789159	11329	Mrs. Runyon
789159	17757	Dolly Tate
789159	26626	Mrs. Brown
789159	103344	Mrs. Grindley
789159	127074	Mrs. Halcyon Maxwell
789159	128479	Miss Markin
789159	129456	Nurse Argyle
789159	135390	Mrs. Guzmando
789159	153187	Annie
789159	183823	Nurse Kennedy
789159	196352	Manager of The Zomba Cafe
789159	199514	American Bar Singer
789159	202861	Nurse Willis
789159	206385	Saleslady at Saks
789159	206881	Mrs. Brill
789159	209606	Katie
789159	209608	Katie
789159	222735	Nurse Regis
789159	246859	Mabel, Sorokin's Secretary
789159	255264	Irma Kronkite
789159	259777	Mrs. Tillie Lagerlof, Aunt Po
789159	287128	Miss Reba
789159	329423	Woman at Phone Booth
789159	337154	Adelle
789159	380340	Florence McCauley (1958-1959)
789159	381791	Herself (regular performer)
789159	383446	Mrs. Martha Burkhardt #2
789159	390017	Martha Grant
789159	392505	Aunt Lavinia
789159	398400	Aunt Lil (1954)
789159	400037	Mrs. Stanfield
789159	407333	Thelma
789160	335258	Animal Rights Activist
789161	11141	Eve
789162	115378	Samantha
789163	5192	Baby Boom's Mum
789163	34903	Herself
789163	47175	
789163	97023	Edgeley's Girlfriend
789163	104742	United Kingdom entry (1st pla
789163	147240	United Kingdom entry
789163	151771	Herself
789163	404253	
789163	405533	Herself
789164	41225	Violated job seeker
789164	141804	Herself
789164	177325	NYC woman dropped by Kong
789164	233838	
789165	272647	Merv's Guest
789166	404380	Co-Host
789167	87527	Smokey From Albuquerque
789168	40334	Bakery Clerk
789168	74008	
789168	79812	
789168	102514	Ruth Linwood
789168	114095	Health Center Receptionist
789168	256627	Woz's Mom
789168	301654	Bartender
789168	330580	Nurse #1
789169	12295	WPC
789169	38260	Balloon Girl
789169	83988	The She Devils
789169	209236	
789170	37008	Phyllis Selkirk
789170	55708	Mrs. Jane Bishop
789170	58484	Jill
789170	79627	Gwen
789170	87110	Jenny Drew
789170	113825	Hestia
789170	131410	Doris, Girl in the Pub
789170	143569	Susan Huggett
789170	147521	Patsy Crawford
789170	152292	Susan Huggett
789170	161637	Tina
789170	163199	Vi Sandigate
789170	163599	Primrose Brown
789170	176877	Joan Gray
789170	184858	Susan Hamble
789170	193581	Doris Josser
789170	193622	Extra
789170	206465	Pat Cooper
789170	223771	Beryl
789170	260143	Pat
789170	269086	Betty
789170	305407	Patricia Lane
789170	315024	Gina
789170	315164	Carole Carlton
789170	316342	Actress
789170	321648	Search Officer
789170	329960	Lillian
789170	333257	Evelyn Gower
789170	334359	Nancy Bedford
789170	337759	Doris Hardcastle (segment "En
789170	356948	Susan
789170	358651	
789170	360042	Connie McCabe
789170	364796	Molly
789170	367510	Catherine Taylor
789170	379691	Janet Fraser, assistant purse
789171	35472	Anchor Person
789171	170890	Susan Clark
789172	400239	Beth Holly #2 (1950-1952)
789172	407170	Regular (1948)
789173	232293	
789174	303382	Girl in Truck
789175	72104	Cover Girl: Vogue
789176	47171	Performer/Herself
789176	141147	Herself - Hear'say
789176	141148	Herself/Hear'Say
789176	141149	Herself
789176	249591	Performer
789176	273900	Herself
789176	282702	Performer
789176	330027	Herself
789176	364227	Herself
789176	391238	Herself
789176	401877	Herself - Hear'say
789177	242585	Hotel Maid
789178	193919	Dancer
789179	243268	Mrs. Hippy
789181	185635	Hotel Manager
789181	385299	Tara James (1986-1987)
789182	85922	
789182	146862	Frau Liebe
789182	333861	Eva Hart/Violet Jessop/Charlo
789183	391877	Presenter
789184	115688	Stripteasedanseres
789184	184046	Maids/Nuns
789184	286195	2nd Slave
789184	292843	Weaver's wife
789184	311523	Nightclub Stripper
789184	322921	Lola the Stripper
789185	66154	Stripper
789186	362996	Tina
789187	23927	Herself - Audience member
789187	23932	Herself
789187	70881	Herself
789187	70885	Maxine Heavey
789187	197923	Herself
789187	337346	Herself
789187	362472	Interviewee
789187	385020	Maxine Heavey/Peacock (1995-2
789188	369539	
789189	79554	Prostitute
789189	149715	Judy Peters
789189	242377	Police Cadet
789190	12728	Charity Warwick
789190	32360	Joanne Dietrich
789190	73413	Christine Downs
789190	97427	Chiquita
789190	97499	Janice Kendon
789190	116209	Computer Expert
789190	254562	Kim Marsden
789190	262768	
789190	277901	
789190	298879	Moire Gilmore
789190	334376	Gracie Ladovan
789190	361565	Maria
789190	361848	Medieval Queen
789190	389858	Kira Faulkner (1974-1975)
789191	149828	TV Commentator
789192	2476	Nicole
789192	34223	Molly
789192	70778	Agent Kate Russo
789192	71719	Heather Calhoun
789192	72374	Callie Carpenter
789192	106666	Domino
789192	109931	Nell
789192	147214	Allison
789192	148371	Angel
789192	182989	Barbara
789192	183872	Kimberly Mullen
789192	194009	Clara Tarpin
789192	210269	Stacey
789192	360313	Cordelia
789192	361028	Anethe Christenson
789192	378627	Eileen Wells
789192	397226	Cassidy McKenna (pilot only)
789193	68014	Aemilia
789193	171159	Susan
789193	304955	Brant's assistant
789194	47346	Winnie Wharton
789194	50124	Herself
789194	56200	Doris Pender
789194	56229	Eva Belter
789194	73746	Singer on Bus
789194	120687	Inez Cordoza
789194	121358	Autumn Day
789194	127519	Cabaret Singer
789194	130623	Winny
789194	136550	
789194	147894	Gypsy - From Gypsy Sweetheart
789194	154063	Crowl's Girl Friend
789194	157546	Lois, Featured Singer in 'Lad
789194	177457	Princess of the Island
789194	210394	Lorna Wray
789194	214106	Babe
789194	273251	The English Jane Clarke
789194	288438	Astrid Ames
789194	294581	
789194	302721	Blackface Singer
789194	305453	Dolly Ireland
789194	308921	Bernice Pearce
789194	321115	Elysia
789194	329560	
789194	331551	Singer
789194	339832	Herself
789194	358451	Mae LaRue
789194	362575	
789194	365271	One of the Golden Girls
789195	308382	Raider
789196	261570	Cheryl Miller
789197	295604	Olive
789198	295604	Olive
789199	375707	Betty
789200	286168	
789201	314731	Nancy
789202	229728	Coach Passenger
789203	334307	
789204	334307	Miss
789205	57489	Tawana
789205	194136	Cheerleader
789205	250873	Girl #1
789206	186477	Erma Whittier
789207	21630	Stephanie
789208	331427	Amir's daughter
789208	339398	Dee
789208	347907	Annie
789208	380656	Mae 'Maeby' Fünke
789208	406463	Young Hannah Rayburn
789209	360758	
789210	360758	
789211	60240	Pretty Girl
789212	4623	
789212	5033	Girl at nightclub
789212	11158	Hedy
789212	18828	Sylvia
789212	32356	Autograph seeker
789212	44427	
789212	45231	Velma
789212	48570	Sylvia Hunter
789212	48704	Receptionist
789212	56105	Beatrice D'Brizzi
789212	61552	Isaac's mother
789212	64815	Peggy Barker
789212	67610	Mitilda
789212	69689	Rosie
789212	73551	Marge Orr
789212	74711	Ann
789212	80546	Polly Grant
789212	109058	Nurse
789212	109077	Woman in ballroom
789212	118811	Sgt. Kipp
789212	120512	Sandra
789212	120739	Hostess
789212	135253	
789212	150934	Stella McNally
789212	154864	Blonde
789212	155586	Mabel
789212	160361	Ruth
789212	162302	Amazon Annie
789212	192503	Robbie's mother
789212	194389	Tall girl
789212	196404	Janie
789212	206476	Party Guest-Dancer
789212	208022	The saleslady
789212	210608	Sweet Sue
789212	212813	Soubrette
789212	230330	Margo
789212	241562	Big Nellie
789212	262740	Lotee
789212	275361	Blonde in Bar
789212	283394	Mamie aka Baby Willis
789212	307913	Sweet Sue
789212	308060	Hooker
789212	308065	Woman in station
789212	308605	French girl
789212	313321	Announcer
789212	321502	
789212	330836	Chorus girl
789212	335549	Fat Candy
789212	343160	Tall Brunette in Boarding Hou
789212	354226	Ben's girl
789212	364037	Virgie
789212	365166	Momma Monahan
789212	365762	Alice Rickles
789212	367586	Blonde
789212	379045	Various Supporting Roles
789212	379289	Aggie
789212	381789	Lorna (1959-60)
789212	388546	Margo
789213	138822	Reality Girl
789214	236786	
789215	16695	Woman in drugstore
789216	194136	Local Prostitute
789217	37918	Mrs. Harper
789217	194913	
789218	2266	
789218	13800	Viola
789218	37145	
789218	61911	Herself
789218	76384	Melanie Wiliams
789218	131692	Waitress on Skates
789218	139211	Heather
789218	151537	
789218	252825	Party-Goer
789218	273280	
789218	364281	Girl on Park Bench
789219	202806	Grandma Madoka
789219	202807	Grandma Madoka
789219	202808	Grandma Madoka
789219	202809	Grandma Madoka
789219	202810	Grandma Madoka
789219	347692	Warden Sheraton
789219	380473	Azusa Marsudaira/Grandma
789220	1282	
789220	72361	
789220	75032	
789220	75195	
789220	126724	
789220	221532	Hero
789220	273387	
789220	295649	
789220	336494	
789220	361959	
789220	372710	
789221	151220	
789223	224573	Lillian Todd
789224	29619	Stripper in Dressing Room
789225	204739	
789226	68135	Dorothy McCoy
789226	216451	Marge
789226	368588	
789228	379926	Herself (11th Place)
789229	148203	Linnie McCallister
789230	58100	Young Girl
789230	73703	Drunk Woman
789230	140783	Aunt Sally
789230	204218	Beverly Katz
789230	213320	Titania
789230	229505	
789230	230332	Juanita's Mother
789230	241799	June
789230	304129	Sheila
789230	380391	Henrietta Morgan Bingham (198
789231	3053	Herself
789231	11609	Chloe
789231	16078	Girlfriend
789231	28249	Jeanette Sibirsky
789231	46893	
789231	49389	Jolene, Tourist Wife
789231	53757	Mrs. McCress
789231	81317	Mrs. Emil
789231	115484	
789231	117646	Girl
789231	121840	Mrs. Keller
789231	133623	Party Guest
789231	146632	Older Woman
789231	154292	
789231	154481	2nd Maid
789231	157883	Cheechee
789231	183213	Goblin
789231	192268	Customer #2
789231	196928	Agnes
789231	199466	John Horace Mason's Secretary
789231	215748	Hostess
789231	216820	
789231	249457	Old Lady at Wedding
789231	254563	Cigarette Girl
789231	259778	Housekeeper
789231	271997	
789231	273513	Girl in Match Sequence
789231	277916	Singer, The Pacemakers
789231	279454	Herself
789231	280830	Slave Girl
789231	282226	
789231	313514	Hostesses friend
789231	319614	Woman in elevator
789231	349876	
789231	367919	Helen, Crystal's French Maid
789231	372147	
789231	400457	
789232	177660	1979 Diner Floozy
789233	267339	Bathroom Model
789233	321597	Super Sister
789234	214110	Sally
789234	220802	
789234	295340	
789234	334180	Mrs. Beauclere
789235	21792	
789235	39786	Evelyn Grayham
789235	64870	Eva Strong
789235	116733	Paula, Morgan's Wife/Daughter
789235	117377	Ruth Ancaster
789235	157045	Alice Woods
789235	312801	Amy, Countess of Goswill
789236	37002	Lady at Tollbooth
789236	85050	Aunt Birdie
789236	318776	Elderly Neighbor
789236	385622	Various Characters
789237	157324	Mary Lou
789238	280016	Jamie's Publicist
789239	301701	Det. Sheila K. Fine
789240	249579	Belly Dancer
789241	181181	Akbala
789242	1705	Granny Boone
789242	7888	Tequila
789242	12225	Repo Boss
789242	12309	Receptionist at Haven
789242	14490	Nurse Turner
789242	23536	Libby
789242	42296	Sonya
789242	43919	Mrs. Flynn
789242	45842	Makeup Artist
789242	46337	
789242	46670	Journalist at Rally
789242	64098	Mrs. Wells
789242	66589	Leslie Miller
789242	69916	Laura Crowley
789242	71110	Repeat Nanny
789242	73572	Sally
789242	73573	Sal
789242	73741	Barbara Green
789242	74202	
789242	80445	Laura Harrington
789242	84457	Mrs. Bruce
789242	88548	Darla
789242	93964	Ma Muzzy
789242	95078	Mrs. Neugeboren
789242	95080	Margie
789242	104965	Rubber Rose Maid
789242	106391	Employment Office clerk
789242	130296	Parasol Lady
789242	139967	Kathleen Slansky
789242	143108	Inmate
789242	144226	Whore
789242	144592	Carol Miller
789242	144641	Carol Miller
789242	145414	Jenny Buono
789242	158321	Foreman #2
789242	166637	Nurse with Telegram
789242	167070	Lulu
789242	177660	Roy's Landlady
789242	185388	The Madame
789242	192748	Lisa's Nurse
789242	193108	Witness
789242	194007	Kate
789242	197018	Unpleasant Child's Mother
789242	203329	Flora
789242	204049	Marge
789242	209112	
789242	215282	Herself
789242	216126	Woman Customer
789242	223833	Anemic Counter Girl
789242	228495	Carol Powell
789242	230743	Nurse with Pills
789242	232458	Teacher
789242	267088	PTA Parent #3
789242	279509	Celeste
789242	283543	Propaganda Officer
789242	289238	Nurse Bautista
789242	293149	2nd Nurse
789242	295608	Sandra
789242	303861	Bonnie
789242	304717	Samantha
789242	314884	
789242	317309	Makeup Babe
789242	318701	Woman on Beach
789242	319923	Elise Marks
789242	327376	Rosemary
789242	330057	Magda
789242	331541	Operator
789242	336033	Teamster
789242	339363	Phyllis Cardell
789242	339439	Freida
789242	345648	Jeannie
789242	364390	Ms. Harding
789242	366655	Jinny Macintosh
789242	366914	
789243	24749	
789243	45678	Samantha (Lemonade Girl)
789243	204204	Lily
789243	216878	Sky
789243	263974	Girl With Dog
789243	264131	Girl at Wedding
789243	307628	Nadia
789243	319516	Kylie
789243	333530	Little Girl
789243	390642	Katie Bryce
789244	111309	The Woman
789245	122919	
789245	122920	
789245	130074	
789245	216041	
789245	216053	
789245	253071	
789246	5874	Young Girl
789246	211817	Magda Torgel
789247	40222	Michelle
789248	77760	Amy
789248	106157	
789248	159718	Edith Adelon
789248	164494	Cameo
789248	221114	
789248	227502	Young Naomi (Diana) Judd
789248	263485	Claire Gundry
789248	297796	
789248	379831	Kimberly #4 (1991)
789248	389075	
789248	389858	Karen Wexler #1 (1992-1994, 1
789248	400921	Nina (1994-1995)
789249	49857	Mrs. Vandermuellen
789249	100695	Mrs. Hoyt
789249	260222	Mrs. Torrens
789250	191324	Daphne
789250	289426	Reporter #1
789250	297321	Board Member #1
789251	41756	
789252	36724	Bank Teller
789252	76592	Nanette
789252	132529	Paula Brentwood
789252	152607	Miss Salmon
789252	194796	Cindy Blake
789252	196376	Barb
789252	222361	Band Member
789252	224405	Girl on Train #1
789252	233692	Peggy
789252	245040	Chris Cage
789252	267563	Nurse
789252	291452	Bootsie Goodhead
789253	187986	Nurse
789254	56145	Sarah Orwell
789255	372882	Waitress
789256	41153	
789256	128727	Choir Sister
789256	216905	Supervisor
789256	293007	Secretary
789257	15886	Zenia
789257	39671	Maria Balsamo
789257	126067	Russian girl
789257	154083	Mrs. Cooper
789257	154468	Mrs. Halvor
789257	163262	Mrs. Kardos
789257	168929	Moma Yoelson
789257	168930	Mrs. Yoelson
789257	215862	Russian nurse
789257	220808	Woman in Apartment
789257	233044	Anna, Moscow Roommate
789257	235212	Olga Natalia's Maid
789257	256616	Filomena
789257	274051	Helena Nagard
789257	281035	Evdokia Romanoff
789257	305934	Ward 33 Inmate
789257	308155	Mama Lugovska
789257	308604	Mme. Orlova
789257	330345	Parthena Garcos
789257	358552	Mrs. Ecko, Landlady
789258	127577	Mary Matlin
789259	127584	Sammy
789260	58175	Barbie Doll #1
789260	63559	Henna Model
789260	134418	Native American Girl
789260	139873	Bibah
789260	150075	Princess Nawa
789260	216485	Priya Shah
789260	273286	Pascual
789260	369027	
789261	121568	Arab Female Civilian
789261	310462	Stewardess
789262	234435	
789263	350738	
789264	265997	
789265	252577	Annika
789266	179632	
789267	94072	
789267	217283	Watson
789267	262186	
789267	338860	
789268	223563	
789269	174272	
789270	85206	Olya
789271	174463	
789272	303789	Princess
789273	229689	
789274	215696	Miss Ukraine
789275	303799	The Little Humpbacked Horse
789276	76485	
789277	334484	
789278	404870	
789279	33728	Karmen
789280	137785	
789281	86611	
789282	48330	
789282	91208	Lyalya
789282	174748	Sonia
789282	178824	
789282	229175	
789282	263663	Dina
789282	265023	
789282	374061	
789283	259831	
789284	35931	
789284	313889	
789285	234435	
789286	219723	
789287	356927	Zhura Mamonova
789288	371451	Yang Chunmei
789289	251202	(Mrs. Stone) White Boy's Mom
789290	245772	Ashley
789291	1018	Annette
789291	223026	Cheryl
789292	273171	Maxine Divine (sr. sales rep.
789292	274679	
789293	59409	Barb Stevens
789294	35524	Girl at Corner
789294	301835	Dagny
789296	126080	
789297	87551	Euegen's Mom
789298	119309	
789299	128366	Looe Toy
789300	190725	Lady Carruthers
789301	1827	Frieda
789301	10608	
789301	36973	Agnes
789301	37412	Betty Roberts
789301	39527	Cynthia Jackson
789301	43121	Lucy
789301	43923	
789301	77684	Cleo Darville
789301	78085	Greta Kosovic
789301	82677	Lita Morton
789301	94597	Betty Mason
789301	99150	Nina
789301	111941	Ann Kerriman
789301	129543	Barbara, Heimer's Dept. Store
789301	133634	Gert
789301	141172	
789301	146278	
789301	154335	Trixie
789301	183330	Sally Stanton
789301	185215	Julia
789301	190057	Gladys Banks
789301	195789	Annabelle Lee
789301	210774	
789301	217984	Julie Ferris McKay
789301	232000	Gwen
789301	239182	Alice Varley
789301	241892	Willa
789301	254504	Mary Edmunds
789301	305740	Alice Adams
789301	316139	Helen Mason
789301	317982	Ruth Cushing
789301	335357	Janes Holsworth
789301	344816	Blonde nurse, Mr. Umpa's girl
789301	350705	
789301	360535	Victoria 'Vic' Page
789301	367908	April
789302	210520	Dancer
789303	7884	Second Tribe
789304	7006	Mother Grangerford
789304	40431	Crony Wife #1
789304	41693	Belle
789304	119822	Hooker
789304	308851	Wealthy Woman
789305	400236	Darcy Raines (1997)
789308	274187	Su Shan Andrews
789308	333182	Jenny
789309	223807	Julianne
789310	53959	
789310	53960	Starting Girl
789311	195740	Female Paramedic
789312	29672	Estrild
789312	84739	Audrey
789312	185253	Surgeon Athena
789312	224376	Mud Wrestler
789312	266590	Patsy
789312	270933	Deputy D.A.
789312	289558	Woman at Babylon Club
789313	72318	Raphaela
789314	99843	May Hendricks
789315	257724	
789316	67572	Reporter #1
789316	80802	
789317	362594	Eren Haberfield
789318	196889	Blonde Woman In Bed
789318	208106	Daughter
789319	106216	Cindy Chen
789320	14155	Legal Secretary
789320	93020	Cathlene Adams
789322	402899	Harmonia
789323	338981	Herself
789324	119626	Astronette
789325	227005	Rickie Lee Jones
789326	5401	
789327	208106	Mother
789328	124309	Hassan
789329	11911	Police Lady
789330	338981	Herself
789331	160884	Student #1
789331	384460	Fiona McColgan
789332	320320	
789333	77209	Sarah Piper
789333	189473	Jon's Mum
789333	350277	Satanists
789333	382838	Jan Murray (2002-2003)
789333	388321	Vanessa Sheldrake (1999)
789333	391325	Ronni Ferrari
789333	397536	Hilly
789334	213589	Katisha
789334	256625	Ruth
789335	13533	Fallon Devereux
789335	29920	Miriam
789335	53829	
789335	66557	Woman in Restaurant
789335	79297	Mother
789335	90316	Girl in Car
789335	157580	Loop Group
789335	193766	Speaker at Meeting
789335	212631	Donna Wheeler
789335	350343	Gwen's Mom
789336	34310	
789336	77754	
789337	41651	
789337	96770	Ruth Ann
789337	163229	Muriel's Customer
789337	192748	Drunken Fan
789337	242924	Gladys, Ransome's Secretary
789338	93992	Betty Brockton
789339	275996	Woman in Car
789339	348402	Pauline
789340	30056	Helen
789340	64389	Mrs. Grady
789340	64825	Mrs. Purdy
789340	88899	Sara Golden
789340	111796	Mrs. Applebaum
789340	123460	Doris
789340	126571	Flo
789340	139578	Fritzi
789340	144760	Screaming Woman at Airport Ga
789340	154825	
789340	194687	Mrs. Norton
789340	205788	Dowager
789340	223918	Mrs. Kessler
789340	246307	Fat Woman
789340	265741	Seaplane Attendant
789340	271063	Mrs. Loeb
789340	289030	Cashier
789340	307898	Customer
789340	327250	Edna
789340	348386	Aunt Till
789340	366236	
789340	366811	Estelle Hirsch
789340	366849	Laughing Lady
789341	866	Herself
789341	30658	Debbie
789341	84005	
789341	89364	Adrianne
789341	90377	Comic's Table
789341	96746	
789341	120430	Fuzzy
789341	123020	Mime/Robot
789341	164225	1942 Girl
789341	187333	Officer Daryl Skates
789341	249574	
789341	264452	Jackpot
789341	280654	Officer Daryl Skates
789341	295951	Herself
789341	310184	Woman in Diner
789341	327836	Gretchen
789341	368825	Herself
789341	390195	Herself - Hollywood Reporter 
789341	391835	Herself (Hostess)
789341	396066	Comedian
789341	409699	Herself (Hostess)
789342	13800	Barmaid
789342	187186	Waitress
789344	114997	Extra
789344	276372	Extra
789344	360165	Extra
789345	145010	Girl #1
789346	55417	Woman
789346	166240	Bit Role
789346	249621	Bit Part
789346	308576	Mother Superior
789346	312787	
789346	363892	Police matron
789346	372309	Artist
789347	276372	Extra
789347	360165	Extra
789348	70304	Indie
789348	271287	Courtroom Clerk
789349	123696	Sally
789349	151530	Nikki (the nerd)
789350	200992	Woman in Pub
789351	345628	Barbara Pound
789352	382149	
789353	363758	Applicant
789354	591	Roxanne
789354	104747	Host
789354	203548	Sylvia/Daphne/Olga/Colette
789354	251798	Vivian
789354	274332	Victoria Page
789354	302218	Mother
789354	315745	Paula Woodward (segment "The 
789354	323880	Herself
789354	323881	Stella, Olympia and lady in K
789354	329560	
789354	352703	Herself
789354	387959	Herself - Presenter (1972)
789355	1381	Herself
789355	6019	Rose Trelawny
789355	7867	Mary Miller
789355	17793	
789355	30346	Elizabeth Barrett
789355	41994	Lillian Denton
789355	44081	Helen Barnes
789355	47297	Rose Dulane
789355	47440	Grace Durland
789355	59196	Jess Driscoll
789355	63088	Herself
789355	65966	Marjorie Dare
789355	82606	Criquette
789355	84983	Mary
789355	85053	Jeanne
789355	88191	Jerry Bernard Martin
789355	100203	Claire Endicott
789355	100882	
789355	103237	Countess Ruby von Treck
789355	105676	Marjorie Newton
789355	114997	Extra
789355	119513	Jan Ashe
789355	130337	Herself
789355	139798	Herself (at Oscar dinner, 194
789355	140880	Consuelo
789355	143034	Consuelo Croyden
789355	146221	Ruth Lawrence
789355	147716	Herself
789355	147825	Herself - as Juliet
789355	147892	Herself
789355	155678	Irene Fellara
789355	164579	Herself
789355	183761	Dolly 'Angel Face' Morgan Cra
789355	183786	Molly
789355	185443	Fay Cheyney
789355	185877	Ann Dolan
789355	186769	Undetermined Role
789355	188292	Mrs. Katherine Brown
789355	197044	Mimi Winship
789355	202910	Dora Perkins
789355	203562	Jeanne Thornton
789355	205724	Marie 'Toni' Antoinette
789355	206421	Guest at party
789355	220526	Herself
789355	238459	Undetermined film role (danci
789355	258045	Elinor Benton
789355	263335	Frances White
789355	264754	Amanda 'Mandy' Chase Prynne
789355	276372	Extra
789355	278727	Lady Mary Rexford
789355	281163	Juliet (daughter of Capulet)
789355	291313	Herself
789355	301275	Bit Part
789355	304601	Katherine Emerson
789355	305042	Herself
789355	305599	Kathleen (credited)/Moonyeen 
789355	306151	Nancy Claxton
789355	311790	Herself
789355	314143	Julie Martin
789355	316108	Nina Leeds Evans
789355	316319	Lisbeth Corbin
789355	317348	Kathi
789355	329563	Herself
789355	329809	Lucia 'Lally' Marlett
789355	336054	Bit Part
789355	337073	Glory or Goldie
789355	337619	Jerry Vardon
789355	339393	Mary Dugan
789355	348529	Dolly Haven
789355	356317	Herself
789355	358485	Mary Ellen Hope
789355	359041	Nina Duane
789355	359147	Marjorie
789355	360165	Barn dancer
789355	360479	Victoria Anastasia 'Vicki' Wi
789355	367287	Elizabeth Gordon
789355	367919	Mrs. Stephen Haines (Mary)
789355	397564	
789356	20528	Old Woman
789356	101303	Grandma
789357	146091	Anne's Sister
789357	222595	Rental Agent
789358	37681	Alexis
789359	41192	
789360	318814	Old Woman
789361	48688	Merl
789361	203297	Beth Serry
789361	333191	Irene
789361	379744	Aunt Hester
789361	388323	Antonietta Rossi
789361	391070	Sister Beatrix
789361	405447	
789361	406891	Mary Sullivan
789362	49236	WRN Smith
789362	72107	Rosie
789362	120290	Hatcheck Girl
789362	170817	Cashier
789362	297602	Judy
789362	328581	Tong Room Girl
789363	89309	Dr. Nadia Pfelt
789364	62983	Fred's Maid
789364	241553	Jurywoman
789364	316692	First Nursemaid
789365	323964	Devilette
789366	244332	Elizabeth's Nurse
789367	218504	Princess Ilene
789368	289666	Female Reporter
789369	130178	St. Pius Student
789370	147967	Renna Blevins
789370	196339	
789371	147967	Paramedic
789372	176465	Waitress
789372	365150	
789373	639	Woman in cafe
789373	47970	Fashion Editress
789373	78764	Mary Quince
789373	158625	Watson's Guest
789373	243160	Dust pan
789373	367816	Mrs. Brangwen
789373	411353	
789374	220427	Becky
789374	243150	Stephanie Durkett
789375	220427	Betty
789376	38021	High School Girl
789377	255778	The Countess
789378	242093	Billy Joe's Wife
789379	185379	Girl
789380	3505	
789380	9651	Janet
789380	15995	Posada's girl
789380	358823	
789381	237431	Wharvey Gal
789382	281423	
789383	4432	
789383	6450	
789383	25956	
789383	45417	
789383	95053	Lakshmi (Sharma's wife)
789383	126910	Mansi Patil
789383	152464	
789383	158212	Slot
789383	171778	
789383	172567	
789383	179393	
789383	183978	Dancer (Special Appearance)
789383	215448	
789383	220855	Sunita
789383	226043	
789383	252983	Minty
789383	268071	
789383	268117	
789383	275157	
789383	319846	Kiran
789383	320182	
789383	326959	Herself (special appearance)
789383	364818	Wedding Guest
789383	370944	
789383	370970	
789383	373536	
789383	394478	Reporter
789383	411089	Receptionist
789384	116549	
789384	329938	Ms. Smith
789385	43352	
789386	7196	Jan
789386	14554	Martha Keller
789386	24701	Deb
789386	27167	J.C. Walenski
789386	34673	First Girl
789386	35183	Connie Hopper
789386	41744	Annie Rayford
789386	46322	Allison Reynolds
789386	49841	Laura Riskin
789386	57668	Herself
789386	59273	Elizabeth
789386	71748	Angie Baker
789386	79901	Debbie Danner
789386	80791	Marita Armstrong
789386	82095	Joanne
789386	110242	Cayce Bridges
789386	121864	Herself
789386	122075	Jill Hanlon
789386	131557	Marie
789386	134703	
789386	138700	Herself
789386	138812	Lois
789386	140187	Susan Enright
789386	141253	Maggie
789386	144763	Lucy
789386	145002	Herself
789386	145171	Deni Patton
789386	148203	NY Ticket Agent
789386	148530	Karen Chase
789386	154662	Cathy
789386	154910	Bernice
789386	161018	Cheryl Crowe
789386	161193	Herself
789386	171019	Maureen Sturbuck
789386	188484	Chris Cassidy
789386	190226	
789386	194759	Kathleen
789386	199098	Susan Reed
789386	200894	Jessie Montgomery
789386	203716	Lori Tanner
789386	224917	
789386	234582	Charlotte Bancroft
789386	241604	Mickey Sanderson
789386	242081	Theresa Luna
789386	244838	Kelly Brooks
789386	245850	Rona
789386	248572	Louise
789386	255235	Molly-Girl/Herself
789386	274324	Karen (segment "The Fling")
789386	291971	Herself
789386	298091	Cameo appearance
789386	298316	Louise 'Lue' Delamere
789386	299724	Brea
789386	299838	Stephanie Speck
789386	299839	Stephanie Speck
789386	312557	Leslie Hunter
789386	318370	Liz
789386	325976	Laura Pavot
789386	333530	Billy's Mom
789386	342459	Helen
789386	344474	Mary Rodgers
789386	354817	Tracy Barnes
789386	359381	Helen Hewitt
789386	359403	Jennifer Katherine Mack
789386	360374	
789386	410546	
789387	241604	Mickey's Mother
789388	161193	Herself
789389	317309	Hospital Waiting Room
789390	86892	Beautician
789391	20625	Extra
789391	82064	
789392	251236	Guard
789393	310598	
789394	300068	A show girl
789395	141140	Grandma Ryan
789395	161519	Woman in Lift
789395	165294	Two Washerwomen
789395	205784	
789395	272953	Ena Benedict
789395	340221	Eddie's Mother
789396	380362	
789396	407224	Zoe McLaughlan-Fernandez
789397	66769	Paramedic
789397	152447	Shelley Mercy
789398	261564	Mother of letter boy
789399	249573	Gossipy Woman #2
789400	342605	Brett Longwood
789401	35666	
789401	98141	Jacqui
789401	195206	Ngaire
789401	323983	Jonah
789401	375131	Anna
789401	389067	Dawn Draper
789401	405209	Laura Madison (1997)
789402	194229	
789403	47907	Mary Jansen
789403	91768	Female Officer
789403	137449	Head Nurse
789403	169946	Psychiatrist, 1983
789403	213504	Police Woman
789403	223896	Mrs. Gilbert
789403	241461	Reporter
789403	338297	Phoebe
789403	390643	Analyst
789404	29523	Destiny
789405	27112	Secretary
789405	31058	Lt. Laurence
789405	93220	Evelyn the Receptionist
789405	109437	Bit Part
789405	128493	Guest in Town House
789405	194095	Bridesmaid
789405	196390	Stewardess
789405	200129	Copah
789405	241846	
789405	359754	Secretary
789405	372170	Nurse
789406	408816	Herself (series 2 - 2002)
789407	40101	Mary Kempson
789407	273408	Marina
789407	281474	
789408	161708	
789408	166567	Network V.O.
789409	338759	Ann
789410	185237	Herself
789411	6425	
789411	8423	Sindhu
789411	9314	
789411	18464	
789411	19650	
789411	21871	Sarojan
789411	24762	
789411	35560	
789411	36098	
789411	36173	Indira
789411	36275	
789411	45342	Agnes
789411	49316	
789411	60532	Karuthamma
789411	62366	(segment "Nagarathinte Mukhan
789411	65895	Joan
789411	76418	
789411	88573	
789411	105831	Sheila
789411	106704	
789411	112018	2nd Tinker Woman
789411	138725	
789411	161519	Woman with Pram
789411	166527	
789411	174861	Shridevi
789411	180530	
789411	191342	
789411	207706	Bus Passenger
789411	209686	
789411	218665	
789411	227063	
789411	232796	
789411	232900	
789411	243843	Gayatri Devi
789411	266964	Kanwar
789411	271383	
789411	283361	Widdy McGinn
789411	288183	Soudamini
789411	305990	Woman in Hospital
789411	307928	Woman Searcher
789411	314638	Saramma
789411	323672	Shanta
789411	330574	
789411	331971	Vatsala
789411	344978	Ummachu
789411	350965	
789411	373118	
789411	374314	
789411	375196	
789411	403737	Nancy Burke
789412	27724	
789412	51489	
789412	98497	
789412	150862	
789412	171759	
789412	300218	
789412	307745	
789412	333017	Padma
789412	341693	
789413	6994	Girl on Ladder
789415	120095	Grandma Jones
789416	687	Herself
789417	257638	Herself
789417	257648	Miss December
789417	361850	Herself
789419	272661	Nurse
789419	394311	Elaine de Kooning
789420	81816	
789421	8945	Nurse
789421	50207	Rowena Freeman
789421	256141	Elaine Choy
789421	292779	Nurse
789421	402139	Dr. Lim
789422	61690	Woman in Dry Cleaners
789422	87333	Farmer's Wife
789422	193917	Lil
789422	303980	Mum
789423	11410	Maureen
789423	27927	Cafe Woman
789423	45885	Nurse Ethel Carr
789423	45886	Nurse Ethel Carr
789423	60296	Tamara
789423	86463	Nosey Neighbour
789423	90209	1st Wench/Young Lady
789423	102834	Herself
789423	127311	Emma Stableford
789423	143595	
789423	144837	Shirley
789423	151523	Herself
789423	191774	Society Lady
789423	194584	Betty Muxworthy
789423	195771	Person in Brighton Pub
789423	230368	Sandra
789423	232297	Helen Baldwin
789423	292779	Laughing Woman
789423	295715	
789423	302322	Viv Hastings
789423	323157	
789423	350506	Miss Pinkerton
789423	351972	Lily
789423	355184	Jackie
789423	362980	Marge
789423	372717	Molly
789423	381685	Nanny Simmons
789423	382659	Nurse Carr
789423	382660	Nurse Carr
789423	382661	Nurse Carr
789423	382662	Nurse Carr
789423	382663	Nurse Ethel Carr
789423	386862	
789423	391666	Mrs. Harris
789423	391769	Alice
789423	411014	Maureen
789424	308754	
789424	405936	Aída
789424	410096	Jurema
789425	110173	Nicole
789425	325627	Michèle
789425	353886	
789425	386222	
789426	24042	Herself
789426	71601	Herself
789426	104749	Luxembourg entry (4th place)
789426	104753	German entry (6th place)
789426	104760	Luxembourg entry (13th place)
789426	189845	Herself
789426	361443	Gaby, Wegners Tochter
789427	13800	Barmaid
789428	96812	Afy Hallijohn
789428	260611	His Wife
789429	45591	Dancer
789429	203358	Rockette
789429	223711	Title Sequence Performer #3
789430	41409	Mrs. Dux
789430	332738	Jo
789430	403999	Michelle Corbon
789431	33847	Ruby Dutt
789431	141849	Raakhee's friend
789431	152483	
789431	152492	
789431	159849	
789431	161754	Big Mama
789431	164315	
789431	248965	
789431	284717	
789431	288780	
789431	367213	
789431	370957	
789432	4624	Nurse
789432	20625	Extra
789432	223913	Girl in casino
789432	327764	Lady in Waiting
789433	46262	Liz
789435	219933	Little Bo Peep
789436	49316	
789436	107343	Rumpoey's maid
789436	152475	
789436	211405	
789436	262454	Lotika
789436	271712	
789436	293249	Cabaret Dancer
789436	299804	
789437	192357	Geek Two
789439	316620	Promoter
789440	230240	Featured Dancer
789441	59551	Kitty Verdun
789441	96816	Barbara Hare
789442	13990	Timmy and the Tangerines
789443	13859	Catherine
789443	169517	Young Sporting Girl
789443	314670	Sheila
789444	193581	
789445	65989	
789445	114957	Mother Superior
789445	166470	Waitress Beverly
789445	245219	Judy Anderson
789445	247155	Woman Customer
789445	282024	Mrs. Ellis Walker
789446	69457	Club Dancer
789446	84811	Sexy Woman
789446	88526	Hot Tub Girl
789446	109759	Catherine Vollers
789446	161537	Santa Fe Tart
789446	236387	Audition Woman
789446	304494	Fifi
789446	332096	Desiree North
789446	344197	Tamie the Flight Attendant
789446	365650	Zoey
789446	403060	Co-Host
789446	411367	Sandy
789447	250893	
789447	255020	Ah Bik
789447	373109	
789448	115182	Additional Voices
789448	371075	Various
789448	407847	Additional Voices
789449	20201	Habeeba
789449	99380	Noosa
789449	99500	Yasmeen
789449	187516	
789449	194870	Nour
789450	147081	Ro'aya Mustafa Abu Hagar
789450	267416	
789450	299464	
789451	273718	Candice/Katarina
789451	359553	Minka
789451	404554	Investigator
789452	81351	Terina
789453	78995	Joanne
789454	78995	Jillian
789455	31286	Manageress
789456	22206	Yasmina
789457	23841	
789458	20727	Kara
789459	219906	
789460	312532	
789461	58677	Nadia
789461	328185	Preity
789462	113646	Bailarina sudanesa
789463	106680	Mitra's Aunt
789463	172115	
789463	187570	Reza's Mother
789463	219651	Grandmother
789464	40148	Doctor
789464	130735	
789464	143915	Roma's mother
789464	208953	Shelley Gordon
789464	266671	Mrs. Velland
789464	302686	Yong Mrs Bilson
789464	360899	Phoebe
789464	362211	Marianne Malden
789464	382100	Friday
789464	387531	Gwen Purdam
789464	393606	Clark Barnes
789464	402197	Janet Conway (1981-1982)
789464	405960	Kathleen Elliott
789465	4227	
789465	7077	Herself
789465	10850	Sheila Shell
789465	17850	
789465	29157	Sheila
789465	36899	
789465	43313	
789465	165005	
789465	165006	
789465	195611	Sheila
789465	256559	
789465	266786	Katheeravan's Fiancee
789465	338785	Aunt
789465	350114	
789465	406056	
789465	407369	Cindy, Female Punk 1, Inspect
789466	383550	Beata
789467	52094	Lilly
789467	377242	Myriam
789468	58160	Laura Gibbs
789468	218738	Masani's Mom
789468	368610	
789469	402197	Angie Dobbs (1980-1983)
789470	79427	Nosy neighbor
789471	368151	Clara Thompson
789472	103566	
789473	198652	
789474	62285	Herself
789474	161254	Herself (interviewed)
789474	288710	Herself/Various Characters
789474	383758	Herself
789474	393819	Herself - The Judge
789475	397009	Mamá Evelyn
789476	284089	
789476	286509	Salwa
789476	297846	
789476	349938	
789477	317299	Caterpillar Girl
789478	94493	Henchwoman
789479	149027	Sou May
789479	245198	Su Mei
789480	316298	Old Dehdari Man's Wife
789481	258668	
789482	396	Grandaughter
789483	288660	
789484	10535	Jacuzzi girl
789484	163374	Sara
789484	208632	Ewan's Posse
789484	222876	Receptionist
789484	368418	Girl at Casino
789484	387247	Precious (2002, 2003)
789484	391514	Claire (regular)
789485	104777	Swedish entry (8th place)
789486	127017	Bobbi Socks
789486	194638	College Girl
789486	220954	Debbie
789487	73234	Judge
789487	101040	Rabbi's Wife
789487	176480	Friend at Party
789487	206639	Rae Lewis
789487	314138	Auditor
789487	326460	Gerry
789487	362701	Mrs. Rudnick
789487	369458	Mrs. Lehnsherr
789488	229689	
789488	243880	
789490	7890	Stripper
789490	56933	Cowgirl #1 (Part 2)
789491	160520	Additional Voices
789493	12769	Mrs. Goodwin
789493	86841	Mrs. Riley
789493	107481	
789494	207462	Undetermined Role
789495	5163	
789495	286132	Isabel
789495	296770	Alice
789496	26489	Lynne Anderson
789496	39886	Reporter
789496	171286	Rosemary
789496	234067	Louise
789496	270671	Herself
789496	301600	Stephanie
789496	309812	Carole
789497	241789	Molly Grant
789499	13366	Countess of Crex
789499	26665	Genevieve Harbison
789499	37917	
789499	65937	
789499	101989	Mildred Holcombe
789499	107543	Laura
789499	143053	Marie Tremaine
789499	161665	Lois Randall
789499	166729	Jolanda Van Mater
789499	251860	Maude Greenwood
789499	281934	Wanda Held
789499	367042	Mrs. Craig
789500	254593	Mourner
789501	363614	
789502	32975	Señnora Cano
789502	84968	Aunt Barbara
789502	89630	Christina Linden
789502	273977	Kate
789502	364453	Passenger
789503	34729	
789503	97396	Kathy
789503	216032	Fiona
789503	328564	Meg Collins
789503	329501	
789503	336326	Millie
789503	381661	Various Roles (1970, 1973)
789505	397410	Passerby - Venice
789506	118268	Teenage Girl
789506	132233	Tracey Seavers
789507	103237	Helene, a Student
789508	114560	
789508	116174	
789508	197029	Betty Benson
789509	77463	Elizabeth
789510	78841	Amanda Goodman
789510	187193	Delta Nu
789511	269302	Dancer
789512	402112	Herself/Model 1963-1964
789514	121839	Nurse
789514	167565	Air hostess
789514	234929	Woman in Bubbles
789514	242038	Doris
789514	260229	
789514	292296	Patricia Stewart
789514	294079	Nurse Reimbold
789514	299073	Stewardess
789514	323208	Jane Leonart
789514	343024	Grace
789514	360055	Guest at Dinner Party
789514	398972	Lizzie
789514	400366	Kitty Harrison
789514	403193	Catastrophe Kate (1977-1978)
789514	404252	Karen Milner
789515	129573	Stewardess
789516	383377	
789516	390195	Herself - Presenter
789517	116443	Girl in secretary dance
789517	210399	Mary Callahan
789517	211568	Frieda Shinliver
789517	274332	Dancer
789517	317354	Student
789518	143135	Co-Ed
789518	315892	Margaret Martin
789519	186777	
789520	262091	Nadira
789520	262092	Nadira
789520	262093	Nadira
789520	262094	Nadira
789520	262095	Nadira
789520	402006	Nadira
789521	105183	Woman Gotten out of Bath
789521	148226	
789521	163451	
789521	209604	
789521	291174	
789521	340971	Undetermined Role
789522	4730	
789522	19739	Miss Argyle
789522	20242	Aunt Miranda Masters
789522	32561	Chambermaid
789522	33783	Aunt Mary
789522	41502	Mrs. Taylor, Matron Holding a
789522	41987	Mrs. Chalmers
789522	43742	Schoolteacher
789522	47052	Ellen
789522	52251	Gaunt Wagon Woman
789522	55417	Woman
789522	64539	Nurse
789522	69237	Matron
789522	71630	Overbearing wife
789522	73124	Bit
789522	78850	Helen Smith
789522	83809	Charity Collector at Box Offi
789522	92612	Woman Talking to Stout Woman
789522	109860	Aunt Martha Matthews
789522	118304	Miss Keener, Night Superinten
789522	119490	Farmer's Wife
789522	120335	Jail Matron
789522	120749	Mrs. Garvey
789522	128790	
789522	130676	Mrs. Sullivan
789522	130775	Wife
789522	135412	A.T. Worth's Secretary
789522	138886	Miss Tate
789522	154476	Elderly Wife
789522	154874	Stella
789522	154953	Grandma Hettie Martindale
789522	155294	2nd Hattie Williams
789522	164605	Mrs. Simpkins
789522	175749	Old Woman
789522	183638	Spinster in Audience
789522	196928	Malinda
789522	200462	Matron
789522	200881	Mrs. Deborah Cheeves
789522	204552	Woman
789522	205724	Mrs. Tilson, Setting the Tabl
789522	206861	Gossip
789522	210807	
789522	215693	Minna
789522	220831	Bishop's Housekeeper
789522	229501	
789522	230344	Spinster passenger
789522	234070	Mother
789522	235633	Dowager's nurse
789522	244863	Miss Swan
789522	245254	Abbie
789522	248315	Ma Hollis
789522	266689	
789522	269781	Mrs. Otis
789522	271855	Mrs. Scroggs
789522	276809	Housekeeper
789522	277736	Martha
789522	278540	Landlady
789522	280201	Nell
789522	283728	Harried dance recital teacher
789522	289418	Miss Vittie
789522	299718	Hotel Woman
789522	306796	Minnie
789522	312584	Spinster
789522	313301	Gretchen
789522	315869	Bit Part
789522	318792	Amy Fliggerton
789522	319226	Abigail Snodgrass
789522	324425	Mrs. Alman the Landlady
789522	332874	
789522	333779	Aciduous Spinster
789522	351918	Willard's Secretary
789522	353373	Hotel clerk
789522	358452	Mrs. Kroot
789522	361300	Captain's Wife
789522	366889	Superintendent
789522	372676	
789522	374522	Townswoman
789523	289517	Patty
789524	2890	Yankee Wife
789524	142535	Barb Bunson
789525	215746	Phyllis Kruger
789526	6146	Eve #5
789527	178278	
789528	41319	
789528	89147	Sadie
789528	171274	Shopper
789528	380391	Dr. Green
789529	7961	Specialty Dancer
789529	58795	
789529	175627	Kentucky Belle
789529	249623	
789529	313076	Dancer
789529	364434	
789529	364453	Steerage Woman
789530	46757	Meg Halsey
789530	113507	Ellen
789530	411802	Nancy Nolan (1989-1990)
789531	347455	
789532	259398	
789532	302871	
789533	72104	Girl
789533	72265	Miss Garrett
789533	178762	Dancer
789535	63034	Sophie
789535	93284	Effie Lou Stillman
789535	133707	Mary, Catherine's Girl (Age 1
789535	133718	Surgical Patient
789535	318607	Child on 'Poor Street'
789536	182978	Courtney
789537	17941	John's Sister
789538	34442	
789539	41443	
789540	366015	Audrey
789541	2755	Zara
789541	4587	
789541	6082	
789541	26670	
789541	164622	Joker (1976)
789541	179211	
789541	193049	
789541	232241	Fatima
789541	233258	Judy
789541	287956	
789541	299352	
789542	180122	
789543	49464	
789544	231163	
789544	264974	Post Office Worker
789545	238360	
789546	327254	Neighbor
789548	313339	Opera Vectra
789549	185954	
789550	403805	Billie Reed #7 (2003-)
789551	333562	
789552	334385	Dance teacher
789553	119188	Muriel
789553	242929	Ginger
789553	294595	Selina
789553	318864	Aoqi, Queen Galienne
789553	384058	Carol
789554	34116	Various characters
789554	236952	Dancer
789554	401744	Dorothea Halse
789556	86579	English Bar Girl
789557	131764	Julie Patimkin
789557	303882	Lisa Stone
789557	368363	Laurel
789558	303882	Drunk Lady
789559	208992	Bus Driver
789560	39083	
789561	332550	
789562	28549	
789562	40626	Anne Gregory
789562	41261	Madeleine Duval
789562	42433	Valerie
789562	53053	Kate
789562	56722	Leonora Brandt aka Mrs. Richa
789562	68011	Courtesan
789562	78764	Cousin Monica
789562	80817	Susan Webb
789562	81293	Jean Anscombe
789562	84149	
789562	92696	Helen Kent
789562	100847	Liliane Crawford
789562	127203	Matron
789562	132024	Carla Hoffman
789562	183286	Barbara Flam
789562	197463	
789562	200926	Louise Maigret
789562	204800	
789562	214859	
789562	219163	Charlotte Darton
789562	222584	Susan
789562	261562	Jean
789562	269173	
789562	272536	Sonia
789562	283638	Queen Flavia
789562	292505	Elaine
789562	296810	Beth Venable
789562	307576	Harriet
789562	312153	Danielle
789562	315667	Abigail
789562	316342	Chris Morrison
789562	319766	Bettina
789562	336620	
789562	354519	Anthea Zellaby
789562	382529	Vannozza Canale
789562	400049	Elaine Smythe
789562	402124	Mrs. Gardiner
789562	402169	Lady Isabella Hertford
789562	405843	Marie Vazzani
789563	20218	Amelia Gabble (Goose)
789563	44759	Dana Banks
789563	55684	Dumb Girl
789563	55709	Helen Delling
789563	70411	Mrs. Smith
789563	85143	Charlotte Brennan
789563	143526	The Fates
789563	143527	Lachesis
789563	143543	Lachesis
789563	163547	Peggy
789563	170713	Fiona
789563	192106	
789563	233809	First Typist
789563	238229	Gwendolyn Pigeon
789563	270008	Cornwall Aunt
789563	279456	Mrs. Hookstratten
789563	279733	Lady Kluck
789563	307896	
789563	319493	Irene Kritski
789563	364459	Henrietta Phelps
789563	380391	Iris Cory Carrington Delaney 
789563	399961	Gwendolyn Pigeon (1970-1971)
789563	400236	Babs Bartlett (1991-1992)
789564	296794	Susan Williams
789565	327964	Alice Courtenay
789565	390523	Ros Meyer (2001)
789565	392200	Abby Urquhart
789565	407838	Alice Courtenay (1984)
789566	405696	Cabaret performer
789567	389858	Gretchen (1986)
789568	188223	Laura
789569	306221	Going at it on Subway
789570	88846	Miss Julia Jervaise-Danvers
789570	326374	Margot Hastings
789570	333097	Diana
789571	204875	
789572	350199	Woodman's Daughter
789572	405375	Ruth Balicki
789573	28486	Herself
789573	97507	Helen
789573	115481	
789573	225647	
789573	287230	Administrator's Wife
789573	340118	
789574	340545	Mrs. Digby Phillpotts
789575	379133	Maestra
789576	282258	Winnie Clugson
789577	366743	Elizabeth Stocton
789577	366748	Elizabeth Stocton
789578	217951	Lona Reinhardt
789580	366449	Officer/Passenger
789581	43168	Herself (actress 'Lagaan')
789581	43575	Mikki
789581	47486	Isabel
789581	52686	Shelly
789581	53977	
789581	74048	Yasmina
789581	87016	Mary Mantell
789581	105211	Clare
789581	164398	Harmonia
789581	183897	Elizabeth Russell
789581	190520	Dr. Kirsty McCloud
789581	254889	Mrs. Anne-Marie Castle
789581	282722	Alana Maxwell
789581	293192	Lauren
789581	310426	Rosemary Barton
789581	369343	Sarah
789581	395016	Helena Peabody
789582	112277	Mlle Ménard
789583	147988	Little Old Lady
789584	209133	Junior Plastic
789585	336239	Reporter
789586	270977	Mrs. Hetherington
789586	316794	
789587	387247	WPC Julie Morgan (1993)
789587	403594	WPC Karen Walsh
789588	113075	Publicist
789588	144967	Jessica Foster/self
789588	188551	Jessica Foster
789588	232921	
789588	328012	Mother Mudo
789588	381091	Herself (eliminated round 1) 
789589	37092	Stephanie
789589	80428	Mrs. Marquet
789589	107255	Jerry
789589	134417	Janey
789589	144347	Gloria O'Connor
789589	147404	Dannie
789589	154910	Lucy
789589	172604	
789589	193770	Woman in Laundromat
789589	242624	Fairy #2
789589	274989	
789589	277254	Kim Kelly
789589	279330	Red
789589	280092	Samantha
789589	291971	Herself
789589	304752	Pamela
789589	304820	Jenny
789589	318174	Donna
789589	328211	Teresa/Gloria
789589	332830	Terry
789589	340923	Maria Coughlin
789589	345660	Audry Hugo
789589	368863	Mary
789590	42311	Boomer
789591	365949	1880 Girl
789592	109591	Mermaid
789593	57747	Guard# 1
789594	366777	Susan Wagner
789595	29670	King Kandor's People
789597	3101	AA Member
789597	67615	Nurse
789597	120126	Woman
789597	133958	
789597	152536	
789597	200991	Young Old Maid
789597	263172	Murphy's Secretary
789597	364625	Dawn
789597	375111	Muriel
789598	142935	Princess Frances at age 12
789599	124026	Villager
789600	37413	Gladys
789600	68070	Meadow Adare
789600	285322	Safeside Superchick
789600	300343	Stewardess
789601	37413	Gladys
789601	124026	MVN's Zoe
789601	311039	Misc. Voices
789601	378825	Series Regular
789601	389869	Crowd
789601	391490	Monie (Simone)
789602	12057	Herself
789602	32642	Rouana
789602	67810	Herself
789602	166359	Singer In Club
789602	177268	Gwen Duncannon
789602	215577	Gail Martin
789603	81177	EZ
789603	194219	Blizz
789603	363224	Ford's Ex-Girlfriend
789604	381091	Herself (eliminated round 3) 
789605	65386	Elderly Woman #2
789605	117522	Sunseeker
789605	236083	Eda
789606	2600	
789606	115724	Carla Petrovic
789606	241464	Zoey
789607	31549	Tracy
789608	212721	Party guest
789609	31201	Herself (CBS Team)
789609	40744	Leanne Dunaway
789609	41327	Madeline
789609	41335	Mrs. Dow
789609	42732	Gloria
789609	62537	
789609	64557	Herself
789609	65682	
789609	83822	Grace Lantel
789609	152892	O'Brien
789609	193653	Charity
789609	224593	Bambi
789609	229729	Julian
789609	252997	Liz Winters
789609	258235	Kyle
789609	285049	Margaret Sackett
789609	297102	Agent Neal
789609	301824	Alex Ramsey
789609	322631	Lacy Canfield
789609	376571	Sandy Wagner
789609	385594	Mandy Winger (1984-1987)
789609	391835	Talking head/soundbites (segm
789610	191822	
789611	264447	Mme. Remy
789612	71477	Morgan
789612	145415	Party Goer #3
789613	212049	Rhonda McBain
789613	240727	Ellie
789614	126130	Resident of Idyllia
789615	122214	Street Mutant
789616	30410	Mrs. Trevelyan
789616	32642	Almura
789616	56146	Joan Carr
789616	59185	Performer
789616	99842	Laura Bishop
789616	114635	Lady Guest
789616	136818	Mrs. Crawford, Harvey's Mothe
789616	157313	Elizabeth Curtis
789616	213124	Mrs. Arnold
789616	214188	Phyllis Crowson
789616	233649	Mrs. Rockbottom
789616	233929	Judith Drave
789616	241033	Vera Lamb
789616	249165	Pixie Everard
789616	277668	Queen
789616	294061	Steve Trent
789616	346838	Effie
789616	360072	Tillie Colter
789616	403729	Nettie Solomons
789617	203223	Deena
789617	390634	Angela
789618	361224	Ron Shelton's Assistant #1
789619	110218	Anita Davidson
789620	394369	Herself/Newsanchor (1997-1998
789620	394650	Herself
789620	394804	Herself - Anchor (1998-2000)
789620	410692	
789621	304961	Undetermined Role
789622	131258	Mabel's Mama
789623	213303	Jenifer
789624	342673	Ginger
789625	368687	Track Cashier
789626	33694	Jackie Laval
789626	88653	Miss Fairchild
789627	101036	Sweden
789627	204156	Model
789627	306807	Friend of Marjorie
789628	2773	Evelyn Macy
789628	28249	
789628	66314	Gorgeous Creature
789628	78119	Vera Montana
789628	103335	Juanita
789628	116217	Marion Beatty
789628	128416	Secretary
789628	193736	Rose Waverly
789628	200467	Bit Part
789628	234225	Information Clerk
789628	253475	Catherine Burns
789628	254547	Mary Grayson
789628	261506	Stewardess
789628	288208	Mrs. Porcelain
789628	292882	Mrs. Perkins, WAAF
789628	308622	Jane Lansing
789628	313085	Thelma Cheri
789628	329947	Mrs. Grace Andrews
789628	345981	Tonya Van Horne
789628	356230	Violet, Model Who Quits
789628	362877	Diana Wellman
789628	363255	Miss Potts
789629	26666	Natalie Arden
789629	44033	Eunice Bloom
789629	48468	Chloe
789629	77143	Amanda
789629	120202	Jamie
789629	132756	Amanda
789629	132914	Susie
789629	137258	Hot Blonde Girl
789629	143538	Iole
789629	158313	Laura
789629	167070	Mary O'Callahan
789629	171030	Rebecca
789629	197706	Elsie Townsend
789629	220625	Melissa Kennard
789629	230324	Kristin Davis
789629	233307	Tricia Nixon
789629	239711	Kaitlyn
789629	240697	Nicky
789629	257922	Margaret Henderson
789629	266033	Paige Turner
789629	287207	Wendy
789629	302329	The Customer
789629	318337	Diane Weston
789629	323427	Lisa
789629	340225	Brooke Kingsley
789629	348545	Ingrid
789629	349860	Kate Davies
789629	359567	Elysia
789629	362791	Jennifer Harnsberger
789629	380240	Brandi Dare
789629	410835	Annabeth Schott (2004-)
789630	222947	Jennifer
789630	276719	Insane Woman
789630	278495	Nun-Prostitute
789630	307854	Leann
789631	32499	Miss Jones, Blonde Angel
789631	141668	Miss Jones
789632	122210	Medical Examiner
789633	265111	Student
789634	23554	House Woman
789634	39627	Woman
789635	230693	Shopper
789636	360004	Chauncey
789636	396431	Gwen Thumbleton
789636	406868	
789636	408109	Mrs. E
789637	137258	Waitress #2
789637	186714	Cleo
789637	220625	Emily Manning
789637	309202	Waitress
789637	363948	Yvonne
789638	219737	Mother
789639	11485	Mrs. Gideon, Joe's Mother
789639	11525	Bookeeper's Sister
789639	47267	
789639	69047	Psychoanalyst
789639	69357	Mrs. Defeo
789639	154517	Second Nurse
789639	164590	Shirley
789639	186665	Mrs. Hamilton
789639	222786	Nurse Karris
789639	241799	Mrs. Best
789639	243766	Beulah
789639	253059	Denise
789639	259749	Dot Miller
789639	283548	Mrs. Phillips
789639	301660	Anne Swenson
789639	307976	Odd Couple Wife
789639	318797	Pegotty Horn
789639	332807	Patricia
789639	362171	
789639	362312	Mrs. Templeton
789639	367767	Secretary
789639	368863	Doris
789639	380391	Loretta (1993-1994)
789639	380713	Harriet Corbman (1985-1991)
789639	396117	Mildred Quinn (1978)
789639	404002	Role Unknown (Year Unknown)
789639	404613	Elaine Robbins (1983)
789640	11535	Noel's other friend
789641	83561	Cheetah's Dancer
789642	139608	
789643	91793	Hooker
789644	320308	Mrs. Barham
789645	184942	Oil Wrestler
789646	133933	Francesca Lantini
789647	141406	Sarita Dwayne
789648	78766	Teenager on bus
789649	73411	Teresa Knotts
789649	120029	Nicole
789649	263887	Dr. Helen Gilbert
789649	304561	Madigan
789650	78772	Jackie
789650	245101	Marvin
789650	405149	
789651	17073	Nurse at Hospital (new movie)
789652	2161	Dorothy Snapp
789652	26879	Mandy
789652	41277	Bimbo
789652	56545	Herself
789652	138778	Nude Body Double Maimee
789652	236387	Audition Woman
789653	273871	Laura Brown
789654	371908	Doctor's Daughter
789655	131018	Naomi
789656	89042	
789657	125658	
789657	181404	
789657	334064	
789658	273222	
789659	122682	Boi
789660	369918	Xu Qiuying
789661	33100	Huangmei
789661	184323	Niuniu
789661	213595	Xiong Ahui
789661	371608	Lu Xiaoyu
789662	110655	Girl inmate
789663	61991	Xiao Tian
789663	136867	
789663	185971	
789664	169594	An Mei's Nanny
789665	10887	
789665	14223	Marge
789665	30647	Berkeley registrar
789665	44516	Maid
789665	66335	Nurse
789665	73833	Self-Defense Teacher
789665	76603	Dr. Marsh
789665	93211	TV Newscaster
789665	94613	Chinese Foooood Lady
789665	121803	Nurse
789665	129397	Polygraph Technician
789665	149790	Arlene
789665	161890	
789665	183879	Doughnut Woman
789665	194140	Nurse with Addict
789665	213502	Melinda Barrows
789665	214929	Dr. Kwan
789665	222112	Fa Li
789665	222115	Fa Li
789665	236222	Savanah Cummings
789665	257296	Bon
789665	274067	May-Li Wong
789665	285360	Mrs. Yung
789665	294139	Ticket Agent
789665	313410	Adm. Alice Lau
789665	331193	Ah Ling
789665	332812	Tida Woods
789665	366908	Reporter
789665	385162	Janet Lee Cheung
789666	298284	Pharmacist
789667	399657	
789668	133853	Mrs. Chao
789669	60563	Xia Yingzi
789669	151924	Hu Hong
789670	104741	Host
789670	387959	Herself - Presenter (1966)
789671	298684	Wu Yuan
789672	50652	
789672	189174	
789672	227244	Phoenix
789672	297523	
789672	318526	Chi Wu-Shuang
789672	367436	
789672	395517	
789673	141883	Zhao Mengyun
789674	411590	Ye Xinli
789675	46532	Knock-Knock Joke Student
789676	176981	Leila
789677	251108	Flower Boat Girl
789678	152462	
789678	288848	
789678	327269	Francine
789679	265864	Grandmother
789680	232166	Girl with Baby
789681	8657	Young Girl in Montana
789682	319653	Melanie
789682	327976	Debra
789683	49874	Mrs. Burke
789683	112032	Congregation member
789684	86596	
789684	123509	
789684	179723	
789684	179729	
789684	180354	Cordelia
789684	181654	
789684	217097	
789684	244658	
789684	263685	
789684	273036	
789684	280455	
789684	324653	
789685	235052	Texas Dancer
789687	305375	Zhao
789688	9241	Malika
789688	19501	
789688	30506	
789688	33833	
789688	64155	
789688	88418	Kassandra
789688	93846	Brick
789688	101449	Manoli
789688	104540	Eugénie Grandet
789688	122041	Zana
789688	129971	
789688	131123	
789688	132371	
789688	132734	Vera Nikolayevna
789688	154669	
789688	171497	Lota
789688	176056	
789688	181397	
789688	207999	
789688	216510	
789688	221496	Karolina
789688	244133	
789688	298476	Margalita
789688	322102	Carolyne
789688	328945	
789688	344008	
789688	344189	
789688	349158	
789688	357675	
789688	370997	
789688	371427	Tatiana Larina
789688	375672	
789688	410424	
789689	19396	
789689	154669	
789689	202672	
789689	211636	
789689	216513	
789689	341198	
789690	399195	
789691	282864	Spring
789692	24790	Miscellaneous Family Member
789693	346079	Sue Ellen Huddy
789694	346744	
789695	60702	
789695	63238	
789695	96040	
789695	140605	
789695	205191	Arab street girl
789695	218808	Hostess (Private Jet)
789695	275532	Yong Woman
789695	295886	
789695	351823	
789695	384210	Leila
789696	73787	Salome
789696	170884	Tourist Lady B
789696	206715	Store Owner
789696	208390	Worried Kid's Mom
789696	317991	Gloria VanderSmudge
789696	321917	Kalb's Assistant
789697	67437	Phagwa Woman
789698	34949	1st Chemist
789698	218733	Female Hotel Clerk
789699	281166	Juliet
789700	30202	
789700	324028	'Elephant' Chorus
789701	238252	Drunk Girl #2
789702	148961	
789703	12605	Harriet (child)
789704	312904	Samantha
789705	235486	Vogel's Secretary
789706	290570	
789706	318081	Susanne
789706	350874	Meeresbiologin
789706	389359	Laura Domin (1996, 1997)
789706	391604	Susanne Teubner (1997-1999)
789706	392669	Dr. Elena Eichhorn (2002-)
789706	406520	Caroline Krämer
789707	313266	
789708	30773	Valerie Tremaine
789708	79022	Valerie Tremaine
789708	107694	Nancy Palmer
789708	112605	Judy Walton
789708	154118	Gloria Watkins
789708	186345	Evelyn Polk
789708	231756	Darla's mother
789708	265384	Anebi
789708	295293	Annabelle
789708	329948	Customer
789708	330634	Bit role
789708	335952	Secretary
789708	372126	Peggy
789708	375044	Showgirl
789709	1300	Bling Bling girl
789710	140925	Mother
789711	6247	Katherine Adams
789711	23446	Nurse
789711	24776	Annie
789711	152892	Alexis Cash
789711	154168	Ada Fishbine
789711	185253	Lilith
789711	197018	Cissy
789711	242866	Virginia Svelte
789711	251412	Dr. Dori Caisson
789711	264818	Shirley
789711	270684	Biker Leader
789711	289467	Zena
789711	291971	Herself
789711	309678	Girl #4
789711	318738	Camp Fire Girl
789711	329906	Sarah Jiminez
789711	336788	Sandy
789711	340320	Salesgirl
789711	341842	Divatox
789711	367674	
789711	402007	Divatox #2
789712	29091	
789712	40061	
789712	43555	Belle Jordan
789712	47562	
789712	54588	Mrs. Seabrook, mother of Swif
789712	66855	
789712	69815	Juanita
789712	70207	
789712	70603	
789712	72632	
789712	75273	
789712	93638	Madge
789712	112283	
789712	117048	
789712	120196	
789712	138162	
789712	140131	Zoe Trevor
789712	146158	Frank's Wife
789712	146314	
789712	152322	
789712	153983	Alice Ward
789712	157084	
789712	158064	
789712	161501	
789712	162944	Nettie Lea
789712	163281	
789712	191908	
789712	230818	
789712	235186	Florence Dunbar
789712	236005	
789712	240643	
789712	278231	
789712	279058	
789712	280916	
789712	285978	Beatrice Snyder
789712	289621	Mrs. Holbrook
789712	292006	
789712	312665	
789712	315111	
789712	315890	Lazy Liz
789712	316676	Le Grande
789712	317941	Alice Gordon
789712	330317	Mrs. Legardes
789712	340928	
789712	342888	
789712	345822	
789712	347037	
789712	363565	Mrs. Reid
789712	365051	
789712	366877	
789712	367693	Mrs. Saunders, the Hostess
789713	23454	Nan Greyson
789713	82479	Secretary
789713	90879	Mrs. Thompson
789713	177291	Mimi Fisher
789713	248496	Betty Kohana
789713	284926	Betty Flanagan
789713	329397	Jody Bonner
789713	330535	Helen
789713	383408	Marcia Stanhope (1954-1958)
789713	384433	Betty Howard
789714	92115	Alcoholly
789715	62926	Christina
789715	70428	Hooker
789715	98892	
789715	147753	Crystal
789715	155852	Herself
789715	167261	Herself
789715	170890	Girl in car
789715	224376	Girl in Phone Booth
789715	242770	
789715	264887	Herself
789715	272927	Drunk Sexpot
789715	276781	Casey
789715	289468	Nurse
789715	289758	Dana
789715	295625	Body Flash Dancer
789715	346206	Sci-Fi Teacher
789715	371059	Peaches
789715	373990	Girl in Car
789716	292594	Model
789717	295147	Dundalks
789718	372930	Herself - Mother of Matthew S
789719	293212	Rainna
789720	71474	Dancer
789720	165235	Polly, Oyster #1
789720	165236	Polly
789720	183590	Warner Franklin
789720	215524	Sadie
789720	270910	Chorus Dancer
789720	332021	Trelawny
789720	393127	Herself as a showgirl (1987-2
789720	395777	Host
789720	400033	Polly/Others
789720	405265	Co-Host
789720	408155	Trelawny (D.J. Moran)
789721	107483	Interviewee
789722	366921	Melody
789723	120216	
789724	89123	Cafeteria Lady
789725	3474	
789725	12692	Liza
789725	21700	
789725	55515	
789725	56030	
789725	56634	
789725	61135	Simone
789725	64706	
789725	65015	
789725	74163	Mary
789725	74282	Mary
789725	75444	
789725	81693	Pilar
789725	84050	
789725	85588	
789725	99323	
789725	103212	
789725	131130	
789725	148074	Peg Cullane
789725	185446	Alicia
789725	198183	American widow
789725	218440	Lisa
789725	218518	
789725	234370	Countess Wandessa d'Arville d
789725	247879	
789725	263776	
789725	268458	Little Rain
789725	274766	Carol
789725	286777	
789725	288142	
789725	297690	
789725	301197	Lucía/Clotilde/Inés/Carlota/M
789725	305223	Sue Channing
789725	324114	
789725	326577	
789725	333146	
789725	333616	
789725	334702	
789725	341643	Mary
789725	345568	Patty
789725	354870	
789725	376817	Veronique
789726	42267	
789726	46284	Ruth Godwin
789726	49375	
789726	97204	Anita Graham
789726	129801	
789726	139366	
789726	146280	
789726	219919	Mary Baldwin (25 years later)
789726	263504	Eva Poore
789726	358162	
789726	364603	Dora West
789727	138837	Mrs. Baker
789728	309158	Stripper/Fezbian
789728	319695	Brunette
789729	208398	Prince Gwydion's Wife
789730	367073	Child Munchkin
789731	35750	Herself
789732	1975	Herself
789732	208872	Herself
789732	308710	Herself
789732	379802	Vonda Shepard
789732	379803	Herself
789732	392424	Herself
789733	54026	Gladys Swinton
789733	58942	Alice, his second unmarried s
789733	264448	
789733	367670	
789733	368812	
789734	163206	Punk With Rat
789735	13643	Keva
789735	17953	Big Man's Wife
789735	41170	Cheryl Anderson
789735	43878	Marlene
789735	75804	Chen
789735	113989	Carmin
789735	213128	J.P. Harley
789735	215843	Lynn Steele
789735	242745	Princess Tara
789735	264914	Capt. Lana Tori
789735	309522	Zani
789735	321701	
789735	328284	Julie A. Parish
789735	374802	Karen
789736	84521	Girl in Commercial
789737	45540	Sue
789738	211986	Pilot 7
789739	120551	Linda Schwartzbaum
789739	139597	Margaux Lloyd
789740	135772	Woman in Bed
789741	147214	Emily
789742	131708	Emily
789742	229538	Alicia
789743	208870	Johanna Leoni
789744	72502	Patient
789745	404891	Charlotte Lewis
789746	128261	Angela
789747	2591	Host
789747	3659	Herself
789747	10670	Nancy Brill
789747	14275	Gold Girl
789747	22856	Brooke Carter
789747	26293	Debbie
789747	58959	Corinne Jeffries
789747	76966	Annie P. 'Daisy' Miller
789747	94655	Nell Dugan
789747	96555	Herself
789747	96975	Herself
789747	99621	Herself
789747	135514	Julie Walker
789747	141403	Kelly
789747	169435	Janice Johnston
789747	183834	Amanda Kelly
789747	185537	Jacy Farrow
789747	185538	Herself
789747	185776	Kiki Taylor
789747	193932	Eula Varner
789747	201515	Herself
789747	205904	June Nordstrom
789747	206445	Claire
789747	206595	Martha Stewart
789747	207279	Carla
789747	210670	Reeny Perdew
789747	218799	Madelyn 'Maddie' Hayes
789747	222947	Herself
789747	241102	Marilyn Schwary
789747	249572	Herself
789747	255355	Herself
789747	276916	Jennifer
789747	292818	Elaine
789747	293007	Vicki Orloff
789747	301923	Debbie Luckman
789747	310577	Mary Jane
789747	315599	Samantha Weathers
789747	326155	Betsy
789747	327300	Faith Kelsey
789747	329151	Jacy Farrow
789747	329975	Julie
789747	363526	Karen Parsons
789747	363547	Jody Stokes
789747	385473	Cybill Sheridan (1995-1998)
789747	385591	Herself
789747	386197	Karen
789747	391835	Herself
789747	397417	Herself - Host (2000-2001)
789747	398188	Maddie Hayes
789747	411682	Colleen Champion
789748	27364	
789749	407815	Herself (Single) (2002)
789750	302739	Showgirl
789751	30741	Emma Sholto
789751	40626	Joan Marshall
789751	74753	Kate
789751	77435	Joan Hart
789751	83826	Mrs. Waterson
789751	91789	Frances
789751	100822	Vera
789751	110755	Felicity
789751	120799	Isobel Batchelor
789751	140960	Mrs. Issel
789751	142355	Alison
789751	161984	Lady Caroline
789751	176482	Joan Scott
789751	188235	Grace Hoover
789751	195290	Mrs. Wiseman (segment "Julia"
789751	195397	Hilda McCourt
789751	195430	Betty Timmons
789751	223271	Matthew's mother
789751	236222	
789751	254996	Miss Richter
789751	269396	Susan
789751	310878	Kingsley
789751	311548	
789751	311912	Mayor Hackett
789751	331677	Queen Draga of Serbia
789751	333361	Teresa Rodriguez
789751	335204	Lady Ligeia Fell/Lady Rowena 
789751	352136	Dr. Hilda McCourt
789751	362205	Sue Goodwin
789751	363972	Hannah Rothschild
789751	379332	Peggy Holmes
789751	379947	Amelia
789751	382099	Tania
789751	382213	Ada Clare
789751	382930	Toni Buddenbrooks
789751	384332	Frances Le Roy (segments 6-9)
789751	384441	Cleopatra II
789751	385032	Syrie Van Epp
789751	401385	Valerie Koester
789751	402379	Dr. Marian Smithwick (1996-97
789751	405298	R.N. Judy Owens
789751	405373	Infinity
789752	393526	Herself (2001)
789753	220096	Assistant
789754	47745	Mrs. Richardson
789755	54421	Jack's nurse
789756	194405	Trustee
789757	252229	Mother
789757	401072	Opal Otter
789758	21198	Personnel Clerk
789758	61572	Bessie
789758	96958	Nurse in Hospital
789759	39160	Karen Hill
789759	60804	Woman in Window
789759	215953	Annie
789760	228235	Herself
789761	41156	Senior Housemaid
789761	52145	Mrs. Grant
789761	191189	
789761	277947	Helen's Landlady
789761	378756	Marly (1977)
789761	387518	Elizabeth Fairfax (1963)
789761	401977	Diana
789762	6984	Donna Carlotta
789762	108098	Mrs. Radshaw
789762	133539	
789762	160117	
789762	203167	
789762	204021	Mrs. Jackson
789762	220916	Mrs. Hargreaves
789762	233861	
789762	301953	Mrs. Hendry
789762	332058	Mrs. Briggs
789762	368262	(1939 version)
789763	255242	Art Club Member
789764	109093	Hotel Clerk
789764	226974	Patty
789765	74215	Azaria
789766	22834	Anna
789766	87448	
789766	87456	
789766	105262	English Lady Anna
789766	183350	Maid
789766	305029	Maid Anna
789766	386883	Dr. Anna St John
789767	288943	Margaret Howard
789768	882	
789768	26841	
789768	45997	
789768	116812	
789768	201246	
789768	243094	
789768	285031	Novice Catherine
789768	291279	
789768	305232	
789768	310379	Student
789769	310338	Older Ashlin
789770	21297	Water Waltzer
789770	362118	
789771	108627	Pheobe
789772	47173	Herself
789772	290936	Band
789773	212629	Nike
789773	257619	Herself
789773	257659	Miss February
789773	361854	Herself
789774	214928	Herself - Specialty 'Patience
789775	206370	Evie Martin
789775	221152	Lilette
789775	242722	
789775	342822	Mary, the young prostitute
789776	245513	Mandy Deacon
789777	278909	Schoolgirl
789778	5525	Tea Room hostess
789778	93572	Tobacconist
789778	101689	
789778	155902	
789778	219747	Maid
789778	298578	Mrs. Monteith
789778	305934	Nurse
789778	367502	Crandon (Marlow's maid)
789779	177630	Lady #4
789780	32243	Ida
789780	57762	Jaded Cashier
789780	135387	Sydney
789780	177481	Marci
789780	382671	Cheryl, Meryl
789780	384422	Lorene
789780	384435	Victoria
789780	387520	Melva
789780	391771	Miss Boggs
789780	391781	
789780	395415	Ramona Platt
789780	406854	Miranda Charles (1999-2000)
789780	410746	Joanne Walker
789781	241101	
789782	102234	Eileen Black
789783	53273	Miss Quiche Lorraine
789784	49320	Cookie Stein
789784	67916	Mother
789784	74912	Martha
789784	87432	Big Ethel
789784	131780	Karen's Mother
789784	156480	Marco's mother
789784	164641	Hospital receptionist
789784	166885	Mrs. B
789784	192748	Mary
789784	193521	Miss Pratt
789784	224838	Aunt Tweedy
789784	230316	Mother
789784	240865	Lady in Travel Agency
789784	247204	Mother
789784	276085	Mrs. Scarlini
789784	292223	Marilyn Bloom
789784	338930	Jackie
789784	345752	Mrs. Anita Hogarth
789784	354189	Agnes
789784	368314	Trask Receptionist
789784	368647	Grace
789785	62688	Herself
789786	213872	Elizabeth
789787	215577	
789788	140335	Joan
789788	329618	Ellen
789789	350277	Emma
789790	208109	
789791	4970	
789791	41454	Angela
789791	81093	Creature
789791	82519	Patrice
789791	84440	
789791	84811	Marina
789791	99984	Janice
789791	105292	Joanne
789791	127327	
789791	148350	Candice
789791	289513	Judy Patterson
789791	296547	Daddy's Little Girl
789791	297262	Amy
789791	307881	Partier
789791	326604	Tina Gabler (Kidnap Victim)
789791	345869	Herself
789791	354752	Finola
789792	311726	
789793	88453	
789793	253739	
789794	10578	Rose Fay
789794	362885	Lady Jane Bolingbroke
789795	329522	Play-Tone Band Member
789796	201801	Herself
789796	315724	Herself
789797	308917	Rose
789798	77848	Mom
789798	107086	Andrea Fitzgerald/Amanda Frau
789798	167043	Patricia Grey
789799	158873	Extra
789800	236821	
789801	325994	Vampiress
789802	223738	Elaine Sheppard
789803	336242	Herself
789804	224106	The Talent Show - Latin Jazz 
789805	6994	'Pussycats' band
789805	18544	Party Girl
789805	92776	The Cloistered Woman
789805	102834	Narrator
789805	140172	Lisa
789805	258888	Wilhemina
789805	280305	Karen
789805	296068	Candy Faraday
789805	302910	Jessica Callister
789805	311872	Lulu
789805	366748	Dolores
789805	401638	Herself (Hostess)
789806	107842	Nun on bus
789806	303564	Mrs. Sloan
789807	288689	Tracy
789808	66764	Poetry Reader
789809	311808	
789810	403805	Dana Vonigate (2000-2001)
789811	129631	Tyler
789811	218545	Herself/Real World
789811	403000	Herself/Road Rulers
789811	403487	Herself/Campus Crawl (2002)
789812	12114	Pepper
789813	141655	Paramedic
789813	178906	Detective Janet McLellan
789813	207136	Party girl #1
789813	300961	Midge
789813	337995	Newswoman
789813	339917	T.V. Reporter
789813	344486	Lisa
789813	382525	Clara
789814	216803	Lily White Girl
789816	297969	The Old Maid
789817	14062	Herself
789817	119504	Herself
789818	285032	Indian Woman
789820	158825	Second kid
789821	191394	Adrian
789822	18160	Herself
789822	182517	
789823	74753	Marcy
789823	232263	Jennifer
789824	124017	Granny
789824	321394	Nosey Neighbour
789824	364205	Mrs. Elston
789825	401887	Herself
789826	343935	Herself
789827	39738	Wife
789828	211500	Lady Friend
789829	287282	
789830	67940	Ruddy's Mother
789830	367457	Elevator Cop
789831	388895	Violet 'Vi'
789831	410630	Prudie
789832	74311	
789833	282510	Lisa
789834	12319	Ms. Du It
789835	13789	Playground Girl #1
789835	18955	Cheerleader
789835	168254	Melanie
789836	305086	Waitress in diner
789837	336916	Elizabeth
789838	214456	Lisa Anne Miller
789839	270984	
789840	158022	Herself
789840	203360	Herself
789840	350424	Rayna
789841	6596	
789841	25570	Zevik
789842	110529	Ward Sister
789843	255827	Bit Part in Church Scene
789843	350504	Miss Briggs
789844	216803	Lily White Girl
789845	166457	
789845	176196	Lekha Khorzuvekar
789845	222564	Simran
789845	333200	Indian Princess
789846	294911	
789846	345120	
789847	188639	Friend of Sandra
789848	375936	Zoe (Age 6)
789849	34708	Agent Grace
789849	390362	Ethne
789850	150641	Joyce Dacre
789850	167686	Nora
789851	22810	Waitress
789852	212257	Office Party - Party Girl
789853	137546	Eddie
789853	197625	
789853	355786	Herself
789854	54268	Poet/performer
789855	37924	Dr. Simone Sutton
789855	196015	Selena
789856	217458	
789856	267838	
789856	304715	
789857	266011	
789858	268496	
789859	87882	Joanne Wilcoxson
789859	156777	Leslie
789860	336158	
789861	234022	
789862	391769	Page
789863	38750	Laura
789863	78250	Girl in Red Coat
789863	391769	Frances
789864	113687	
789864	151220	
789865	228134	
789866	106636	Female Officer
789866	120385	Officer #1
789867	127285	Runaway
789868	139187	Helga
789869	10141	Flo Allen
789869	16913	Joy Ryan
789869	16916	Laury Ferguson
789869	19161	Sylvia Sheppard
789869	33091	Mary White
789869	39650	Betty Grogan
789869	43121	Bit Part
789869	47358	Fay Reynolds Dowling
789869	54727	Mary Adams
789869	56614	Kay Manners
789869	64803	Peggy 'Peg' Nash
789869	67156	Gloves Salesgirl
789869	67845	Bess Ballot
789869	67858	Loretta
789869	72255	Maxine Chadwick
789869	74107	Christian slave girl
789869	89050	Ruby Gilman
789869	92007	Edna Stokes
789869	97493	Karen Stensgard
789869	101695	Bit Part
789869	106279	Herself
789869	108962	Henrietta Hanks
789869	112634	Carol Arlington
789869	116911	Kay Allyn
789869	126063	Connie Fuller
789869	131594	Lucille 'Lu' Clayton
789869	133737	Judy Nolan
789869	147700	Genevieve
789869	148329	Singer
789869	148940	Anne Rogers
789869	154763	Lt. Catherine Gates
789869	159182	Frankie Merrick
789869	163193	Sarah Jane 'Sal'/'Sally' Ryan
789869	170313	Lola Mears
789869	171049	Henrietta Smith
789869	177689	Randy Monaghan
789869	178015	Beautician
789869	183429	Adele
789869	187690	Bit Role
789869	188562	Lydia Hoyt
789869	190944	Bit Part
789869	192064	Madge Perry Morgan
789869	203470	Lorraine Sheldon
789869	215903	Schoolgirl
789869	221335	Bit Part
789869	222592	Lou
789869	224672	Sarah Keate
789869	228588	Zelda Manion
789869	228816	Marge 'Margie' Jordan
789869	234910	Nora Prentiss
789869	235701	Extra
789869	241416	Girl
789869	241561	Christie Sage
789869	242941	Amanda Penrose
789869	245255	Herself
789869	250647	Nurse Sara Keate
789869	273225	
789869	274015	Beth Henry
789869	280291	Rita Ballard
789869	283236	Dancer
789869	287018	May Kennedy, aka Mae De Villi
789869	291915	Texas Beauty Winner
789869	297956	Margie Shannon
789869	299035	Nora Bayes
789869	299666	Secretary
789869	301991	Georgia Moore
789869	302611	Lola Parker
789869	313319	Herself
789869	313336	Model, Sands of the Desert
789869	314260	'Red' McNamara
789869	314343	Stella
789869	323435	Vermilion O'Toole aka Mae Mad
789869	329329	Herself
789869	330159	Cassie Hartley
789869	330184	Goldie West
789869	333302	Mary L.
789869	336287	Lee Donley
789869	338819	Streetwalker
789869	346900	Chris Hunter
789869	358184	Young Lady
789869	366124	Valerie
789869	366167	Roma Maple
789869	366395	Jill Baxter
789869	367427	Laura Dodds
789869	367586	Eleanor Johnson
789869	372080	First Girl
789869	380391	Kathryn Corning (1965-1966)
789869	401537	Henrietta Hanks (1966-67)
789870	143264	Annabel Leach
789871	29093	Helen Todd
789871	56249	Floradora Girl
789871	56254	Peggy Reynolds
789871	73739	Marie Dumont
789871	123210	Madge Walling
789871	123221	Judith Lamb
789871	306493	Daisy de Belle
789871	360190	
789871	360678	Miss Bruce
789871	366121	Flapper
789872	130128	Mrs. Clemenza
789872	407002	Mrs. Girelli
789873	306363	(segment "They Said Goodbye")
789874	132128	Vicka Ivankovic
789875	42768	Pamela Reeve
789877	10097	Voice
789877	53595	
789877	69471	Adela
789877	122790	Fernando's Mother
789877	125558	Señora del teatro
789877	146508	
789877	169103	
789877	170088	
789877	186990	
789877	211167	
789877	216056	Gladys
789877	227706	Voice of Narda
789877	244591	
789877	251728	Eduviges Diada
789877	323300	
789877	340655	
789877	353468	
789877	379834	Loreto
789877	380107	Damiana García
789877	383471	Sra. Estudillo
789877	389639	
789877	396131	
789877	398663	
789877	398815	
789877	399707	
789877	401700	
789877	402407	
789877	404705	
789877	405842	Pilar
789877	409907	
789877	409921	
789877	410303	La inspectora estudillo
789877	410323	Aura Merisa Obregón
789878	169091	Mrs. Jordan
789879	245497	Little Girl
789880	381821	Ensemble (1981-1983)
789881	73505	Herself
789882	10309	Receptionist
789882	97042	Opera Cop
789882	162937	Blatz Balinski
789882	204204	Lady in Red Dress
789883	135996	Night Receptionist
789884	218794	Valeria
789885	2016	Pepper
789885	12093	Matron
789885	19162	Eve Canyon
789885	33084	Kitty Hugon
789885	40134	Patricia Dale
789885	52675	Steve Temple
789885	78928	Valerie Merryman
789885	88926	Flavia
789885	109859	Helen Hardcastle
789885	117305	Stella White
789885	121572	Joan Barrymore
789885	125620	Wendy McKim
789885	126507	Mary Pemberton
789885	145398	Eileen Hannay
789885	152292	Jane Huggett
789885	154368	
789885	155594	Lady Chiltern
789885	162257	Moira Flaherty
789885	169641	
789885	184578	Dinah Shaw
789885	196616	
789885	211428	Betty Hawkins
789885	215153	Lady Amanda Ridgeley (Murder 
789885	222654	Jill Masterick
789885	234043	Linda
789885	250972	Steve Temple
789885	271154	Mrs. Waterbury
789885	286335	Evie
789885	309609	Jess Peel
789885	315682	Grace Marston
789885	315722	Shirly Yorke
789885	363353	Mary Payton
789885	379722	Clare
789885	386724	Angela Latimer
789885	407174	Roma Seymore
789885	411251	Frances Savage
789886	84029	Maggie Hauge
789886	114109	
789886	298119	Snobby Reporter
789886	342497	Karuy
789887	67139	Student
789887	106729	Julie
789887	115849	
789887	145406	Alice Hutchins
789887	223654	Bit Role
789887	257201	Girl on Dock
789887	316946	Goldwyn Girl
789887	331472	Rose Cary
789888	297876	Phyllis
789888	331622	O'Hara
789889	57606	Hostess
789889	123357	Molly Murdock
789889	246181	
789889	326649	Phillips (casino manager)
789889	368315	Winnie
789890	134178	Rowan girl
789891	243744	Duncan's Baby
789892	290397	Vicky Friedland
789893	252893	
789894	29753	Barbie/Repunzel
789894	29755	Barbie/Clara
789894	29757	Barbie as Odette
789894	103180	Hitomi
789894	137336	Hamaji (English version)
789894	161706	Sango
789894	168766	Gwen
789894	182393	Hinako Shiratori
789894	272209	Ukyo Kuonji
789894	272213	Ukyo Kuonji
789894	272214	Ukyo Kuonji
789894	302312	Sarah Simms
789894	379197	Additional Voices
789894	382068	Queenie
789894	383460	Nikki
789894	384080	Girl In Booth, Student
789894	384836	Additional Voices
789894	387260	Naomi
789894	387775	Hitomi Kanzaki
789894	390961	Hillary
789894	392964	Sango
789894	394422	Miharu Ratokie (English Voice
789894	394440	Lena
789894	396378	Danielle (1990-1992)
789894	396971	Diana Lombard
789894	397054	Yuriko Hiraga, Anna (Child)
789894	397346	Sal/Black Rose
789894	398464	Juli Bahana
789894	398718	
789894	402863	Ukyou Kuonji/Kurumi
789894	405356	Yuki Saiko
789894	406012	Maya Misaki
789895	365968	Rubsey
789896	45342	Girl With Drinks
789896	224070	Sharon
789897	92742	Therion's bodyguard #1
789898	151092	Robin
789899	1792	Miss July 1993
789899	52312	
789899	274361	Katie
789900	31868	Sadie
789900	208884	Claudia Robertson
789900	256606	
789900	389292	Chloe Tanner
789900	395343	Vivian Winters
789901	3317	Hi-Ho Lady
789901	12779	Muriel Evans
789901	24957	Nurse
789901	35610	Herself
789901	45842	Ma Molloy
789901	55806	
789901	59135	Mrs. Hahn
789901	65920	
789901	80675	Wendy Padison
789901	92593	Ruth's Housekeeper
789901	117713	Woman in Car
789901	158150	Caseworker
789901	165280	Herself
789901	166637	Mrs. Larson
789901	171052	Nanna
789901	174520	Evelyn
789901	187172	Little Old Lady
789901	190272	Mrs. Stillman
789901	207681	
789901	218799	Selma
789901	231525	Reception nurse
789901	236117	Grandma
789901	242111	Mrs. Stein
789901	290389	Mrs. Kingman
789901	292227	Mrs. Carlisle
789901	292463	Mrs. Van Adams
789901	302931	Middle-Aged Woman
789901	313189	Makeup Woman
789901	319012	Hostess
789901	319951	Cameo
789901	359443	Amanda McPherson
789901	360670	Micki's Mother
789901	364367	Nurse #1
789901	366683	Ms. Finger
789901	368546	Naomi Glass
789901	379631	Raquel Ochmonek
789901	404282	Nurse (1986)
789901	404775	Helen Seinfeld
789901	411672	Lois
789902	375808	VW Bug Woman
789903	85863	Marline Miller
789903	155071	Velda
789903	203727	Maggie, Cadwalader's Secretar
789903	241542	Mary Parker
789903	330392	Nikki
789904	138444	Thanksgiving Guest
789905	245643	Tilda
789906	50073	Sandra
789907	348303	98-Year-Old Twin
789908	276249	Sister
789909	56304	Senator's Hooker
789909	73835	Dancer
789909	295673	Demon Lover
789910	139749	Louise
789910	389016	Julie's mother
789911	104549	Young Kate
789911	344166	Lola
789912	755	
789912	759	
789912	767	
789912	6728	Herself
789912	6730	NonSex
789912	7068	Hypnotika
789912	27012	Nicole
789912	29939	
789912	40650	Herself
789912	45072	
789912	70374	
789912	76932	
789912	81925	
789912	91833	
789912	106340	
789912	110294	Rico's Reward Girl
789912	116013	Herself
789912	116905	
789912	127405	
789912	138132	
789912	142703	Hogtied Naked Blond
789912	149336	
789912	159811	Venus
789912	183367	
789912	195602	
789912	224187	
789912	231565	Herself
789912	250651	
789912	273298	
789912	295920	
789912	304005	
789912	310025	
789912	335440	
789912	335598	
789912	360609	
789913	509	Misty Brummel
789913	31198	Herself (CBS Team)
789913	35537	Allison Page
789913	78871	Banda Drake
789913	80482	Alexandra Elston
789913	80518	Hattie Stubbs
789913	80707	Donna
789913	81589	Adrienne Erickson
789913	87457	Herself
789913	140375	Eliza/Kate/Emily Winton
789913	154822	Ballroom Woman
789913	159200	Grace
789913	179042	Herself
789913	194975	Carrie
789913	222650	Callain Pearson
789913	234594	Brooke Ashton/Vicki
789913	252455	Anna Morse
789913	272936	Izabel Sauvestre
789913	296935	Rowena Ecklund
789913	302009	Michelle Hughes
789913	307988	Sara
789913	311253	Helen Capel
789913	312141	Veronique Ukrinsky, Agent 3.1
789913	319876	The Sure Thing
789913	325095	Eleanor
789913	333343	Jenny Barton
789913	338157	Ann
789913	355232	Marissa Blumenthal
789913	356350	Herself - Choir Member
789913	386144	Edie Britt
789913	394676	Paige Matheson (1986-1993)
789913	394677	Paige Matheson
789913	396145	Lucky Santangelo Richmond Sta
789913	400773	Taryn Blake (1984)
789914	71856	Tequila's Posse #2
789915	118623	Police officer #11
789916	202843	
789916	266713	Mrs. Levering
789916	353295	Scabia
789917	56923	Tate
789917	65976	Mrs. Hutchinson
789917	240521	The American Girl
789917	299193	Dr. Linda Reynolds
789917	309133	Laura
789917	330444	Hospital Sister
789917	363670	Josephine
789917	387533	Joan Barnes (1997)
789917	390118	Mo
789918	39349	Eilonwy
789918	109828	
789918	218685	
789918	399629	
789919	33092	
789920	79830	Lovergirl
789920	337821	Nurse
789921	45342	Pianist
789921	224070	Child
789922	330894	
789923	197759	Melanie Greenstein
789923	201522	Sarah
789923	222879	Belinda Fletcher
789923	329917	Shop Assistant
789923	378710	Candy
789923	387247	Saskia Duncan (1999)
789923	391216	Judi Lincoln
789925	6240	Adawiya
789925	33215	Hayam
789925	109745	
789925	147083	Amal
789925	358097	
789926	19628	
789926	58271	Interpreter
789926	110431	
789926	229553	Lila
789926	268610	
789927	198506	
789927	267568	Movie Goer
789927	293032	Woman at Golf Resort
789927	308092	Mrs. Peel
789927	313583	UFO follower
789927	363724	
789928	25982	
789928	162236	Sewsan
789928	213279	Laila
789928	366735	Undetermined Role
789929	89777	
789930	81127	Reporter #1
789930	101724	TV Interviewer
789930	334244	Librarian
789931	250987	
789933	35661	Mrs. Dart
789933	292779	Raunchy Woman
789933	385301	Oona Stocks
789934	218373	Party guest
789935	150979	Boss
789935	246214	Banana Airlines Passenger
789935	273408	Bernadette
789935	279611	Rich digger's lady
789935	333246	Committee Member
789935	405165	Hospital Sister
789936	47744	License Clerk
789936	63983	Mariana
789936	80352	
789936	99227	Elisa
789936	170045	Teresa
789936	265515	Teresa
789936	293373	Laura
789936	294645	Elisa
789936	373962	Mary
789936	379461	Clarita
789936	380099	
789936	384400	Gabriela 'Gaby' Chávez de Mar
789936	384980	Concepción 'Conny' Pérez Ávil
789936	392290	Daniela
789936	392960	María de la Cruz 'Maricruz' R
789936	396898	Sofia (Piojito)
789936	397572	Georgina 'Gina' San Vicente F
789936	398469	Milagros
789937	77009	
789938	148335	Herself
789939	161790	Giggling Girl #2
789939	282920	
789940	238238	Choir Member
789941	11629	Susan
789941	184212	
789942	4017	Peorth
789942	20458	Jessica Manning
789942	45009	Kaldea Orchid
789942	49714	
789942	176534	Woman In Shelter
789942	199109	Myung Fang Lone
789942	369525	Nephilim/Pellegri
789942	394424	Additional Voices
789942	404060	
789942	404879	Hand
789942	406702	Additional Voices
789942	408893	Additional Voices
789943	41213	Wisp
789944	315530	Checkroom Girl
789945	148317	Bessie
789946	411176	Abortion Woman #2 (25 yrs)
789947	79348	Art Student
789948	335692	Waitress
789949	124378	Extra
789950	178281	
789950	238682	Woman Photographer
789950	251646	Herself
789951	26460	Beth, High School Girl
789952	87489	Iris McCabe
789952	280438	Susan
789952	379716	Dr. Anna Tolan #2 (1990-1991,
789952	380391	June Reiner (1999)
789952	404613	Kathy Parker Phillips Taper #
789953	47277	Telethon Audience
789954	248878	Girl at Poker Game
789955	11590	Carla
789955	121836	Billy's Secretary
789955	298288	Bonnie
789956	10841	Sgt. Andie Royster (segment "
789957	13514	
789957	57437	Helen
789957	61151	
789957	104852	
789957	145258	
789957	170069	
789957	189379	
789957	198360	
789957	199845	
789957	325176	
789958	184561	Leina, Marigold, Sydney
789958	218369	
789958	289315	Dawn, Hong-Nyang, Ran Pao Pao
789958	385653	Sally
789958	398074	Gluko
789959	139781	Frankie Falzone
789959	312783	Shelly
789961	381436	Callie (2001-)
789962	194315	Francine Levine
789962	204739	Eugénie
789962	373216	Producer's Wife
789963	28920	Chelsea
789964	321678	Phrenology Head
789965	41035	Mother-in-Law
789965	44309	Duenna
789965	52366	Doña Marco Ramirez
789965	75330	
789965	90045	Señora Berengo
789965	116717	Miss Oliphant
789965	162985	
789965	266102	Spanish Aunt
789965	275767	Mrs. Towne
789965	290311	His Sister
789965	308620	Dona Louisa
789965	310765	
789965	319264	
789965	320417	Doña Isabella
789965	339690	Mrs. Bagot
789966	34129	Prostitute
789966	40841	Dr. Krunhauser
789966	80651	Delgado's Receptionist
789966	97611	Trudi
789966	126504	Girl in cafe
789966	160861	Natalie
789966	220921	Penny
789966	260206	Trixie
789966	283541	Mrs Zec
789966	308613	Girl next door
789966	323376	Anna
789966	329988	Caroline
789966	330377	Dena
789966	348379	Rube
789966	389123	
789966	394500	Susanna King
789967	365866	Grocery Woman
789968	203636	Girl at Nightclub Bar
789969	359509	Janeane
789970	359509	Beth
789971	106365	Doctor
789972	130677	Woman in dance hall
789972	152720	
789972	160014	
789972	211620	Maria
789972	233868	
789972	350452	Kate
789972	362364	
789973	70822	Mother
789973	127808	Herself
789974	115377	
789975	92490	
789976	338828	Debbie
789977	209137	Nancy
789977	358252	Amy
789977	389858	Sally Grimes (1975)
789978	226974	Refferee
789979	94117	Mrs. Renold
789980	314635	
789981	313635	Woman Customer
789982	317897	Angie
789982	387787	Becky
789983	1390	USO Girl
789983	2597	Rosalie
789983	34669	Joyce
789983	106628	Margaret Buchanan
789983	130829	
789983	221313	Cathy Burroughs
789983	288454	Patti
789983	308440	Nancy
789983	397174	Leslie Bandercar
789983	404282	Amy Perkins Wallace (1984-198
789984	176852	Sandy
789984	372409	Girl #2 (at disco)
789985	5363	
789985	78983	Judy Lawson
789985	127086	Jitterbug
789985	135996	Receptionist
789985	214469	Kris
789985	231768	Intern
789985	297873	Taphir
789986	3942	Casting director
789986	67473	Rene (Jeffrey's Mom)
789987	334250	Friend
789988	287506	
789989	51975	Ann
789990	206098	Butch Girl
789991	123708	Agnes
789992	331332	(segment "Maple Leaf Rag")
789993	112510	Julia Cunningham
789994	141408	Maggie MacDonald
789994	185168	Jessie
789994	393609	Maggie Wabash
789995	302390	Madam Lafleur
789996	79281	Matron #2
789996	144697	Registrar
789997	50203	Indian Woman
789998	289253	Rita
789999	24790	Miscellaneous Family Member
790000	18751	One of Darcelle's victims
790000	351877	
790001	378829	3-2-1 Contact Theme Singer
790002	333383	
790003	292474	Voice of Victim's Mom
790004	315899	Saleslady
790005	103250	Woman at Club
790006	67524	Lucy Whitlock
790006	367573	Fanny Garretson
790007	158056	Maestra Maria Theresa Impenar
790009	41216	Millie
790010	203670	Hooker #3
790010	214100	Lollie
790011	346813	Simone, la fille de Maméno
790012	251016	Dienster tea-room
790013	333120	Cervantes' Regular
790014	313804	Doana
790015	275996	Student
790016	21520	
790016	42808	Miss Brooks
790016	50974	Marge
790016	195446	Mrs. Knockwurst (Lady in Elev
790016	267389	
790016	280130	Mrs. Hill
790016	313321	Libby's Secretary
790016	364164	Dr. Freed
790016	379916	Various Characters
790016	393424	Mrs. Bailey/Additional voices
790017	43742	Dancing girl
790018	348336	Sister Mary Mary (Nun)
790019	326277	Soprano
790020	131240	Fanny Elsing
790021	17073	Granny's Friend (new movie)
790022	53955	Innkeeper
790023	320199	Host
790023	378778	Herself - Correspondent
790023	399719	Herself (biographer)
790024	37691	Auditioning Girl
790025	386765	Barbara Mason (1971-1972)
790026	214470	Sexy 18 yr Old
790027	218715	Herself
790028	218715	Herself
790029	251347	Flashback Girl
790029	269399	Alexi Jones
790030	10813	Natalie Anderson
790030	290939	Airport Attendant
790031	359454	Secretary 1
790032	81073	Julie Tison
790032	85084	Ester
790033	294004	PMI #1
790034	305718	
790035	92865	Surgical nurse
790036	215691	Miss Arkansas USA
790037	393379	Herself
790038	41139	Edna Masters
790038	310524	Mrs. Wigglesworth
790039	52492	Nancy
790040	186936	German mother
790041	176498	
790041	187820	Becky Green
790042	410792	Mildred Hubble
790042	411500	Mildred Hubble
790043	236697	Brothel prostitute
790044	328907	Julie Dyer
790045	47311	
790045	154874	Nurse
790045	166240	Bit Role
790046	112021	
790046	221049	Clinic Receptionist
790046	297267	Female Bystander
790046	349022	Woman on street #1
790047	45321	
790047	141748	Herself
790047	141749	Herself
790047	166383	
790048	20625	Extra
790048	361652	Mexican Girl
790049	100085	Blonde
790049	109415	Florabelle Higgins, Miss Tuls
790049	115064	Bit part
790049	149126	Third Passenger
790049	203799	Bridesmaid
790049	241444	Girl in band
790049	330375	Member of Girls Band
790050	56207	Reporter #2
790050	80782	Ellen
790050	140442	Charity Bromley
790050	263339	Sheryl
790050	286549	
790050	302931	Michelle
790050	319602	Lana Lang
790050	382076	Joyce Collins
790051	140334	Hotel Manager
790051	327518	Employee 3
790052	104770	Norwegian entry (1st place)
790052	147240	Norwegian entry
790053	116686	
790053	211687	
790053	317188	
790054	87586	Featured Disco Dancer
790055	167525	
790056	364406	
790057	130356	Cathy Banks
790057	399374	Sharon
790058	46807	Shiva
790059	181271	
790059	352663	
790059	356110	
790060	357249	
790061	10265	
790061	43199	
790061	43200	
790061	95570	Tanya
790061	95650	Khozyaika
790062	294160	
790064	338568	Bus Passenger
790065	247143	Girl at Police Station
790066	190252	Peggy Clement
790067	257577	Gil's secretary
790068	338771	Marcella
790069	361806	Martha
790070	44330	Female reporter
790070	59574	Jean Le Grange
790070	78806	Rosa
790070	87855	Sue
790071	27243	Shrink
790072	236972	Toy Soldier
790073	215691	Celebrity Judge
790073	297651	Carrie Wagner
790073	309572	Buxom Brunette
790073	370113	News Correspondent
790073	402110	Model (episodes 4-12)
790074	38052	Jane Harper
790075	35532	
790076	401610	Jade Rhames
790077	257764	Berta
790078	398940	Anchorwoman
790079	115646	
790080	41040	Meelah
790080	44294	Waitress
790080	69617	
790080	83655	Margot
790080	188405	High School Singer
790080	211602	Maxim Girl
790080	228640	Yvonne
790080	271105	Gwen (saloon girl)
790080	280269	
790080	308595	Sophia
790080	330212	Betty
790081	128342	Franny
790081	130792	Iris Anthony
790081	162379	Gwendolyn
790081	211602	Girl at Maxim's
790081	226899	
790082	311300	
790083	68697	The Apprentice
790084	10160	Figurine #1/Party Guest
790114	243150	Dancer
790085	72931	Goodyear Hostess in the Green
790086	38022	Jockette
790087	192428	The Gorilla
790088	79083	Lady Brentwood
790088	90203	Duchess
790088	114124	Princess Augusta
790088	118324	Myra Hastings
790088	177410	Juliette Till
790088	186639	Hilda
790088	191825	Helen Hughes
790088	213083	Brenda
790088	278514	Mary Lenley
790088	281166	Lady Capulet
790088	311988	Vilma
790088	329699	Claudia Brent
790088	363203	Lottie Grady
790088	371080	Erica
790090	26315	Nurse in Doctor's Office
790090	47592	Mrs. Chase
790090	56746	Mae Pollitt
790090	59126	Mrs. Norman
790090	67566	Miss Brady
790090	98920	Aunt Clara
790090	140087	Goode
790090	153151	Eula Purcell
790090	204220	Ma Bocock
790090	234218	Nurse Rhonda
790090	244665	Mother, Old Beth
790090	249323	Addie
790090	252158	Mrs. Eileen Sanderson
790090	276424	Ruth
790090	316986	Kristin (segment "Miss Julie"
790090	321145	Miss Lucy
790090	326428	Grace
790090	330198	Helen St. John
790090	364777	Lenore Karadyne
790090	365742	2nd Doctor
790090	376311	Grandmother
790090	387309	Ann Kelly #1 (1964)
790090	388983	Reverend Mother Superior Plas
790090	390771	Betty Eiler (1971-1972)
790090	403335	Mrs. Hunt
790090	404694	Role Unknown (1970s)
790091	66939	Sunglass Shack Broad
790092	349022	
790093	165909	Maid
790094	214984	Helen at age 5
790096	232020	Diane
790097	86247	Pam
790098	365388	Waitress
790099	72023	Mrs. Livingston
790099	220865	Ella Cohen
790100	41552	Screamer
790100	81320	Carol Kersey
790100	143832	Lab. Assistant
790100	194406	Biker Chic #2
790100	195501	Sheila
790100	294786	Woman
790100	336891	Eileen
790101	288473	Young Jenny
790102	232024	
790103	107005	Herself
790104	1712	Vegan Night Club Singer
790104	405984	(Sister, USC)
790105	282928	Safe Sex Woman
790106	4108	
790106	4162	
790106	4274	
790106	4331	Hema
790106	4964	
790106	9361	
790106	11733	
790106	13463	
790106	24282	
790106	25355	Seema
790106	25428	
790106	27413	
790106	32645	
790106	35563	
790106	45821	Menaka
790106	76477	Javli
790106	76817	Naini
790106	77438	Damini
790106	86767	
790106	88518	
790106	88600	
790106	123734	Jamuna
790106	126952	
790106	126971	
790106	126992	
790106	127020	Gauri
790106	127025	Varsha
790106	127027	
790106	143821	Radha
790106	152633	Seema
790106	152702	
790106	158620	
790106	169195	
790106	170969	Shekhar's wife
790106	181380	Madhu
790106	195862	
790106	196401	
790106	200625	
790106	200629	
790106	200640	
790106	201021	Natasha
790106	201077	Rinku
790106	211255	
790106	211261	
790106	211460	Geeta
790106	217145	
790106	222506	
790106	226202	
790106	246736	
790106	246803	Sapna
790106	277784	
790106	284985	
790106	288782	
790106	297034	Shalu
790106	320910	
790106	328183	
790106	335740	Radha
790106	354295	Sapna
790107	9023	Reporter
790107	87926	Reporter
790108	285197	Goldfish
790109	60451	
790109	155657	
790109	226000	
790109	258670	
790109	307753	
790109	341191	Princess
790110	326280	Ira
790111	338187	
790112	246075	Deepa Malhotra
790113	4680	Nina
790113	13825	Maya
790113	31874	Gwen Lampoor
790113	77803	Nicole
790113	159073	Sapna
790113	258549	Sanjana
790113	264137	Layla
790113	366185	Kaajal Verma
790114	31654	Female Dancer
790114	117713	Spurs Silver Dancer
790114	271344	Vespers' Mom
790114	324551	Liquid Silver Dancer
790115	138003	Additional Voices
790116	208568	Maya
790117	97793	
790117	284712	
790118	30531	Saraswati
790119	8388	Anjana
790119	35559	
790119	211421	Dancer (song 'Sharara')
790119	217158	Ishika
790119	255843	Student
790119	284777	Dancer (song 'Chori Pe')
790120	217158	Kiran's sister in law Nandini
790120	218341	Ria Verma
790120	272104	Heroine Gulbadan
790120	288766	Pyaari
790120	359163	
790120	394012	Radha Pathak
790121	4093	Bijli
790121	4210	Komal
790121	4317	Chhaya
790121	4491	Kanaka Mahalaxmi
790121	24736	Prathna Thakur
790121	25980	Seema Chopra
790121	27459	Banto Betty
790121	36126	Shilpa
790121	61011	Seema
790121	62725	Kajal
790121	79119	Gayathri
790121	85282	Anjali
790121	95434	Journalist (Sutradhar)
790121	95435	Leena Andrews
790121	123297	Ritu
790121	124296	Jannat
790121	139996	Neha
790121	139999	Gauri Shivalkar
790121	145460	Nisha
790121	159059	Anjali
790121	160168	Divya
790121	164319	Mamta
790121	170623	Tara (Balli's girlfriend)
790121	170910	
790121	174276	Sapna
790121	182162	Macarena (Special Appearance:
790121	184152	Lawyer's daughter
790121	199870	Preeti
790121	201043	Mona/Basanti
790121	221109	
790121	248805	Chinni Malhotra
790121	262692	
790121	264541	Neha
790121	278809	Vyjanthi
790121	285521	Sona
790121	299637	Dancer (in song 'UP Bihar')
790121	325016	Preeti
790121	351079	
790121	373835	Roma
790122	105216	Customer in Salon
790123	40341	Percussionist
790124	71639	Salesgirl
790124	328581	Tong Room Girl
790125	79620	Anna Joanovna, Russian Empres
790125	179805	Mme. Ivanovich
790126	134909	
790127	20404	
790127	39191	Lisa
790127	95637	
790127	174668	
790127	202669	Ksenia
790127	234658	
790127	291593	
790127	303120	Nastya
790127	344964	Natasha
790127	386030	Lena
790127	399344	Ego zhena
790128	3585	
790128	4937	Galja
790128	33818	Dasha
790128	158623	
790128	166854	Yelisaveta Nikolayevna
790128	179258	
790128	209514	
790128	221191	
790128	223565	
790128	263257	Masha
790128	293713	
790128	343342	
790128	356481	
790129	383967	
790130	35873	
790130	63612	
790130	94505	
790130	124843	
790130	154682	
790130	229925	
790130	238323	
790130	249247	
790130	263604	
790130	283993	
790130	299431	
790130	303683	
790130	324651	
790130	350811	
790130	370746	
790131	97364	Elenka
790131	350792	
790132	130350	Mrs. Fein
790132	213663	Lady on Bus
790132	255697	Mrs. Abelman
790132	267568	Movie Goer
790133	222592	Earl Carroll Girl
790134	35705	Fran Christie
790134	139677	Mrs. Downes
790134	247036	Bella
790134	285301	
790134	333868	Mrs. Morris
790134	335616	Janet
790134	387940	Mamie
790134	404664	Mrs. O'Leary (1985)
790135	30117	
790135	411911	
790136	264158	Student Meredith
790137	286216	
790138	118075	Curra
790139	373573	
790140	303788	Driver/Hostess
790140	367208	Girl in Street
790141	17887	Promila
790142	342587	Very English School Chum
790143	299543	
790144	330812	
790146	176128	Nadia
790147	388264	Songwriting Coach (Series 1) 
790148	55262	
790149	283304	Executioner
790150	332346	Feng Qinglan
790151	38245	
790151	76337	Yang Chunhua
790151	231631	Li Biyun
790151	298421	
790151	300452	Xiao-li
790151	369920	
790151	370611	
790151	371474	
790152	29451	
790153	29453	Liu Ermei
790154	341401	Lanhua
790155	25898	
790155	214379	Elder Sister
790155	376032	Yang's Mother
790156	33118	Shufeng's Mother
790157	25509	Grandma
790157	76832	Sister Zhang
790158	167752	Xiao Ling
790159	58917	Manfeng
790160	411592	Gigi
790162	176508	
790163	10963	Linda
790164	236942	Reiko
790165	323362	
790166	124378	Extra
790167	19769	Maru
790167	54890	Xuehua Li (Shaoran's sister)
790167	125241	Scientist
790167	175818	Miho
790167	209785	Kyoko Farly
790167	259033	Karakara
790167	334915	Eriko Kawasaki
790167	392338	Sakura Bokuseiinmonzeninari
790167	397346	CutMan
790167	401736	Karakara
790167	403597	BubbleMan
790169	76977	Girl in Village
790170	180143	Noriko
790171	50941	Kita No Taiko
790172	30988	Mitsuko Souma - Girls #11
790172	90558	Yumi
790172	93750	Sakai Sumire
790172	129769	Sakurai, Tsubaki
790172	139856	
790172	172462	Izumi Miyamori
790172	175793	Sayo Nakatsu
790172	293662	Ritsuko Fujimura
790172	309671	Misa
790172	334916	Kyoko
790172	371914	Rui
790172	386892	Ayaka Hoshino
790172	390333	Ayumi Ogawa
790172	405979	Miyashita Yuki
790173	20625	Extra
790174	169736	Mariko
790175	394030	Nanshî
790175	411890	Mari Sakurano (Episodes 27 on
790176	91184	Ginko Matsumoto
790177	144501	
790177	299405	
790177	358385	Eiko Kohinata
790178	145453	Kazuko Yoshimoto
790178	150510	
790178	175793	Ume Aono
790178	177823	Waitress
790178	230131	Kamei
790178	299405	
790178	404773	Ruriko Saotome
790179	179822	Machiai Onna
790180	49934	Maki
790180	49935	Maki
790180	152605	Sheri
790180	177757	Servant
790180	177759	Kindergartner
790180	200342	Chipple
790180	200343	Chipple
790180	200344	Chipple
790180	217377	Elizabeth
790180	285738	Mimiko
790180	383019	Maki Kawazaki
790180	390908	Ran Wakato
790180	404127	Shunrei/Chun Lee
790181	122137	Mako Hasebe
790181	139735	Girl in Park
790181	174955	Kaori Kitazawa
790181	213659	Hiroko Misaki
790181	213660	Mitsue Morita
790181	293591	Sachiyo Karamoto
790181	371798	Okinu
790182	142179	Ineko
790182	174527	Shinako, 4th daughter
790182	242315	Omura
790182	401245	Narrator
790183	344524	Herself
790184	81415	Mîko
790185	137380	Tamaki Shirakawa
790185	393789	Tomoko
790186	20690	Ameet's Mother
790186	96904	Mama Ji
790186	190539	Yashoda
790186	232031	Zakia
790187	222172	
790188	13623	
790189	40631	Office Employee
790190	376218	
790191	273069	
790192	167820	Annie's Relative
790193	388462	
790194	45606	Brad's Mom
790194	243273	Mayor's Secretery
790195	177141	Aggie Edwards
790196	314635	Cindy
790197	723	Herself
790197	2009	Herself - Presenter
790197	7586	Herself
790197	7890	Kate
790197	7923	Quentin's Daughter
790197	11671	Herself
790197	11676	Herself
790197	12241	Herself
790197	12242	Cyndee Lafrance
790197	14839	Greta
790197	26666	Buckley
790197	27064	Stevie
790197	39193	Sam Donager
790197	41849	Emmeline
790197	42336	Herself
790197	42340	Herself
790197	42343	Herself
790197	42346	Herself
790197	42353	Herself
790197	42356	Herself
790197	42391	Anne Jamieson
790197	46607	Brenda Starr
790197	57671	Herself
790197	59103	Herself
790197	64566	Herself
790197	64567	Herself/Performer
790197	64568	Herself/Ringmaster
790197	64569	Herself (performer)
790197	64570	Herself (performer)
790197	64571	Herself/Ringmaster
790197	78183	Herself
790197	84000	Herself
790197	85860	Tara Holden
790197	100954	Jade
790197	110276	Herself/Host
790197	119334	Skye Daley
790197	119622	Mimi Wolverton
790197	126340	
790197	141040	Herself
790197	161212	Herself
790197	168129	Herself
790197	171313	Kate
790197	177451	Tita
790197	187421	
790197	206026	Charlene Taylor
790197	210863	Herself
790197	215252	Lily
790197	215651	Miss Spider
790197	222495	Herself
790197	225774	
790197	232017	Herself
790197	240180	Herself (guest performer)
790197	243950	Herself
790197	263314	Violet
790197	264037	Kristin
790197	283581	Christine Shaye
790197	285499	Dale
790197	291215	Herself
790197	295446	Kate Fletcher
790197	310784	Stewardess/Herself
790197	311976	Herself
790197	313525	Herself
790197	333119	Tilt (Brenda Louise Davenport
790197	347545	Herself
790197	356350	Herself - Choir Member
790197	358941	Wanda Nevada
790197	360907	Nina
790197	361904	Laura
790197	362323	Janine Nielssen
790197	367802	Herself
790197	388268	Herself
790197	390302	Betsy Tannenbaum
790197	399739	Dr. Beth Taft
790197	406854	Susan Keane Browne
790197	411091	Shirley
790200	140783	Mary's Friend
790201	274461	Nurse 1
790202	219248	Mrs. Whitewood
790203	144113	Cecil Bonfield
790203	210828	
790204	119608	Athlete
790204	306341	Athlete
790205	330057	Hot Club Barkeep
790206	321940	Theresa
790207	363726	Miss Russell
790207	368952	Receptionist
790207	380713	Edna Rice (1962-1963)
790207	384842	Dot Clayton/Maggie Marlowe #2
790207	389417	Emily Fraser Benson (1958-196
790208	139587	Herself (interviewee)
790209	2057	Julie
790209	56545	Herself
790209	304578	Diana
790209	331232	Christina
790210	81260	Lisa, Tattoo Parlor
790211	92694	Villager
790211	115325	Records Nurse
790212	40730	Doctor
790213	397938	Monique
790214	289372	Featured Extra
790215	5590	Secretary
790216	243552	Herself - Family Physician
790217	72931	Goodyear Chorus Girl
790218	292594	Model
790219	39330	Peg the Maid
790219	63526	Quotations
790219	366159	Miss Rene Carding
790219	382838	Mrs. McArdle (1986)
790219	400516	Old lady
790219	402196	Frau Holf
790220	124355	Baton Girl
790220	326389	Janine
790221	375714	Screamer zombie
790222	80381	Journalist
790222	190927	Toyota Woman
790222	192527	Yeast-Free Woman
790223	176892	
790224	346222	
790225	49259	Peggy Graham
790225	65534	Madame Ritz
790226	168325	Sally
790227	27064	Biker
790227	100954	Nurse
790227	141040	Herself
790227	358941	Motel Clerk
790228	289024	Les Presages Dancer
790229	4699	Mary Nugent
790229	10343	Kleopatra
790229	72315	Gemma
790229	352465	Gilligan's Mistress
790230	71742	Dancer
790231	105779	Ticket Girl
790232	229246	Pamela
790233	6955	Cindy
790233	26672	Madonna Wannabe
790233	72872	Heather
790233	118347	Lisa
790233	143891	Killian
790233	268201	Beth
790234	93959	Miss Duluth
790235	89795	
790236	319602	7th Reporter
790237	293907	
790239	223351	
790240	287553	
790241	275748	Yasue
790241	344955	
790242	138073	
790244	259880	
790245	245698	Drug Store Clerk
790246	385980	Piyomon/Birdramon/Garudamon
790246	385981	Pyokomon/Piyomon/Birdramon/Ga
790247	358394	Nurse
790248	348994	Spirit of flower
790249	76880	
790249	127859	
790249	233123	Aiko Sano
790249	241266	Senti
790249	242362	Senti
790249	242363	
790249	242364	
790249	286872	
790249	300596	
790249	320460	Asami Morikawa
790250	20625	Extra
790251	352804	
790252	295048	
790253	76994	Kuhah
790254	53286	
790254	72568	Suzy
790254	76291	
790254	94354	
790254	108565	Fong Sai Yi
790254	108569	
790254	109668	
790254	135933	
790254	137155	
790254	149057	
790254	187303	Mai Kwei
790254	189174	
790254	193673	
790254	194081	
790254	198583	
790254	236227	
790254	246047	Invulnerable boxer
790254	246594	Tang Yu
790254	254950	Tai's daughter
790254	277120	
790254	297497	
790254	297539	
790254	303398	
790254	303400	
790254	323091	
790254	332610	
790254	369572	
790254	369735	
790254	369737	
790254	369861	
790254	374912	Tsui-Peng
790255	171879	Female Trace
790256	125433	Kennedy
790256	171879	Female Trace
790256	317309	May
790256	333394	Cyndi Chan (Ryan's Mom)
790256	402002	Vypra (episodes 2 & 3 only)
790257	367149	Waitress
790258	292280	Handmaiden
790259	23056	
790259	42680	
790259	62607	Yoshiko Kurenai
790259	125247	
790259	125251	Ishi
790259	125258	
790259	131077	Lam Ling
790259	136390	Kahô
790259	146349	Yumi Higaki
790259	146903	Kyoko Nambu
790259	172049	
790259	172963	Actress
790259	173929	
790259	177155	Neighbor
790259	182341	Bar maid
790259	182417	
790259	231587	Kyoko, Sister
790259	242137	
790259	242138	Sister Street Fighter (Tina L
790259	242139	
790259	244525	Miho
790259	284059	
790259	288642	Keno
790259	297416	Lily
790259	299090	Telephone operator
790259	327965	Mitsuko Ono
790259	344024	Esmeralida
790259	358400	Maki Hyuga (13-kaidan no Maki
790259	370281	
790259	390391	
790259	394034	
790259	394443	Mari/Bijinda
790259	411637	Yagyuu Akane
790260	104566	Keiko Kono
790260	122900	Music Teacher
790260	182488	
790260	304287	Izuko
790261	122108	Door Girl
790261	155714	Mina Toreishi
790261	161706	Ruri
790261	179108	Tenshiko
790261	187319	Meige
790261	209788	Rurubell
790261	257397	Elysse
790261	280227	Rockman
790261	301673	Village Girl
790261	308790	Miles 'Tails' Prower
790261	334886	Princess Shiina
790261	342572	Pastel
790261	386537	Takanashi Kotomi
790261	396440	Hikaru Shidou
790261	405218	Blinky
790262	19595	
790263	21822	Sayuri Yasuda
790264	136537	Ramiza
790264	172488	
790265	326974	Reiko Okakura
790266	145448	Sonoe Sotoma
790266	146916	
790266	172046	
790266	285202	Tenisu-bu
790266	288064	Office worker
790266	357973	Kimiko Miyashita
790267	76487	
790267	239420	
790268	352804	
790269	101586	Debbie Hill (Barbara's roomma
790270	289396	Murray's Dancers
790271	112771	
790271	237960	
790271	264925	
790272	77242	Prudence
790272	396243	
790273	356641	
790274	238449	Antigone
790274	273084	
790275	363442	Rose
790276	209133	Spelling Girl
790276	235575	Girl Scout
790276	404152	Betty Parris
790277	41881	Dancer
790278	381206	Fiona/Samantha/Mother Nurk
790279	13353	Verna Gironda
790279	13354	Verna Gironda
790279	35824	Ina
790279	40464	Betty Lou Ricard
790279	54704	Ann Gilmore, alias Ann Parker
790279	57274	Mary Christman
790279	65161	Herself
790279	68477	Stephanie Brown
790279	71792	Alice Ainsworth
790279	75598	Anice
790279	99224	
790279	112619	Mary Carson
790279	117803	Patricia Young
790279	119473	
790279	135831	Madge Holt
790279	135845	Jean Culverson
790279	141341	
790279	154680	Herself
790279	154888	'Smitty', newspaper photograp
790279	155559	Ruth Endicott
790279	160355	Anne Seton
790279	175179	Louise
790279	194450	Nancy Clover
790279	203738	Peggy Turner
790279	231316	
790279	240983	Jeanne Burke
790279	249119	Claudette
790279	274263	Marie Maxwell
790279	278605	Mary Adams
790279	281002	Carol Marland
790279	283169	Ramona
790279	296821	Edith Wentworth
790279	299779	Dorothy Hayes
790279	299935	Jean Coates
790279	306796	Victoria Vandergriff
790279	315227	Martha Mason
790279	319073	Dorothy Mae 'Dottie' Beal
790279	321417	Mamie Judd
790279	324010	Herself
790279	332046	Helen Mason
790279	361805	Juanita Barnes
790279	366613	Ruth Bence
790279	372529	Kitty Costello
790280	121238	Mrs. Van Der Croot
790280	318170	Mres. Hawtry
790281	175784	Bikini girl
790282	324474	
790283	8652	Eti
790284	183955	
790285	384364	Ariela Rapaport
790286	349304	
790287	381167	Polyna
790288	244477	
790289	217280	
790290	9228	
790290	44486	Suha
790290	161085	Yeong-heui
790290	187032	Il Suk-hie
790290	216215	Chun-Hi
790290	247248	Da-rim
790290	327237	Chae Su-Yeon
790290	396531	Jung Da-shil
790291	5324	Choi, Mi-sook
790291	38775	
790291	62757	
790291	104550	
790291	126774	Oknim
790291	126889	
790291	136412	Choe Ji-hae
790291	136413	
790291	175088	Song Young-sook
790291	205688	
790291	222269	
790291	249160	
790291	285215	Hye-jin
790291	285227	Journalist
790291	298857	
790291	308955	
790291	363760	Yongok Kim
790292	238495	High School Student
790293	302468	Woman Neurologist
790294	89330	June
790294	238140	Paramedic 1
790294	330830	Nurse Janey
790294	366697	Student 3
790294	384964	Mel
790294	385301	Philomena 'Phil' Wise (2003)
790294	397651	Lisa
790295	8292	
790295	320363	Rin
790296	125451	
790296	125452	
790296	215714	
790296	293464	
790297	23940	Parking Attendant
790297	175467	Shigeko Fujishiro
790297	244659	Kokimi
790298	23940	Yoko
790298	102215	Hajin (immigrant)
790299	265579	Erika
790300	293389	
790301	77514	Society Lady
790301	77519	Wife of Man Who Bought Rie
790301	77520	
790301	77521	
790301	77524	
790301	77531	Ippei's Ex-Wife
790301	146906	
790301	212659	Reiko
790301	215351	
790301	220227	
790301	227189	Akemi
790301	232685	
790301	232703	Mino
790301	298800	Oyumi
790301	298822	
790301	324604	
790301	334908	
790301	335264	
790301	347488	
790301	358260	Shoko Arimura
790301	370428	Atsuko
790301	371784	Takako
790302	149122	Neighbor/Son's Wife
790302	176592	Banno's oldest sister
790302	370431	
790303	168230	Chieko
790304	324308	Poe (angel)
790305	77747	Chiyoko Kuroki
790306	18674	
790307	162992	Reiko
790308	70411	Peep-Bo
790308	92573	Sister Lily
790308	125635	Concubine
790308	279400	Poon Soon
790308	288938	Lulik
790308	302834	Tamaya
790308	355258	Liong Ti
790308	368481	Minnie Ho
790310	179465	Hiroko Mizuki
790310	328014	Rina Isshiki
790311	180593	Woman of telephone booth
790311	334878	
790311	394717	Chiyo Onda
790312	30987	'Wild Seven' Member
790313	182471	Nurse
790314	2288	Herself - Presenter
790314	74267	Lady Hanada
790314	137299	
790314	137364	Ayaka
790314	138101	Tae Akimoto
790314	152929	Mieko
790314	161687	Tamayo Nonomiya
790314	182475	
790314	278977	
790314	299559	Lady Toda Buntaro - Mariko
790314	302898	
790314	318948	Reiko
790314	358138	Yukie
790314	378140	Reiko Kitamori
790314	394103	Hiromi Nohara (Episodes 1-13)
790314	400057	
790314	404269	
790314	405185	Lady Toda Buntaro - Mariko
790315	140582	
790315	334904	Miyoko Sawamura
790316	92854	Koko
790316	130730	Employee D
790316	182040	Trigger
790316	298987	Da Qiao/Xiao Qiao
790316	305178	Softball club member b, girl
790316	338093	Micro Transformer A
790316	381166	Kiki
790316	394571	
790316	396500	Student/Kindergarten kid
790316	398900	Maruru & Misa (2)
790317	39829	Sugai's Man
790317	129868	Special Guest Star
790318	30988	Sakura Ogawa - Girls #4
790319	410527	Becky
790320	285202	Third's mother
790320	358420	
790320	358421	
790321	373182	
790322	113780	Elis
790322	123932	Big Mama
790322	127412	Ginrei
790322	165554	Leo's mother
790322	170832	Rongo
790322	174953	Nausicaä
790322	179507	Hasukawa Sumire
790322	199428	Princess Sakuya
790322	202810	Princess Yanagi
790322	212306	Kyoko Otonashi
790322	218219	Toki
790322	265580	Mother
790322	283268	Suzuko
790322	283270	Sue
790322	283624	Lady Clarisse de Cagliostro
790322	288138	Paola
790322	293586	Shiokaze Umino
790322	325314	Sister Grey/Sir Violet
790322	328143	Boy
790322	335380	Yasuko Kusakabe
790322	344945	(additional voices)
790322	348754	Lahla
790322	348755	Asuka
790322	379520	Urara-enchou
790322	381163	Big Momma
790322	383095	Sister Grey
790322	391328	Mama
790322	393917	Eliza
790322	396500	Sumire's mother
790322	396640	Sawako Yamaguchi
790322	397371	Yukiko Kudou
790322	397562	Otonashi Kyoko
790322	397942	Miss. Rarako
790322	400292	Rei Asaka
790322	400623	Dorôshi
790322	401116	Tinkerbell
790322	403966	Tae Sekihara, Sae Sekihara
790322	405279	Sara Crewe
790322	405981	Shokupan-man
790322	406214	Rury
790322	407389	Towa
790322	409326	Phantom Lifeform
790322	409404	Yumi (Japanese version)
790322	409686	Mizunokôji, Asuka
790322	411876	Matsuoka Sensei
790322	411887	
790323	170880	Saki
790323	218692	Natsuko
790323	300499	
790323	370008	Ran/'Black Orchid'
790323	392570	Hôjô, Rie
790324	61525	Yumie, 1st wife
790324	233226	Yumi Nozawa
790325	63347	
790326	2309	
790326	34232	Lyuba
790326	63584	
790326	103578	
790326	179336	
790326	179729	
790326	181654	
790326	248324	
790326	280377	
790326	283997	
790327	273506	Lightbourne
790328	286687	Japanese Woman
790329	110732	Kimiyo
790329	363939	Stewardess 2
790330	89555	Herself (Toshio Shimao's Daug
790331	89555	Herself (Toshio Shimao's Wido
790332	113319	Desk Clerk
790333	358561	Assistant Hotel Manager
790334	168230	Mother
790335	125246	
790336	122137	Keiko Nakanishi
790337	167	Mamiko Kinugawa
790337	9275	
790337	17423	
790337	18688	
790337	21828	Akiko Minegishi/Woman on Chin
790337	123272	
790337	172532	
790337	173622	
790337	177121	Miko Mishima
790337	211720	Satoko Okamoto
790337	271639	
790337	288053	Nami
790337	298749	Rikichi's Wife
790337	318947	
790337	358393	
790338	9274	
790339	29395	Natsume Akiko
790339	75601	Megumi Ayase
790339	87408	Yuri
790339	96002	Yuri
790339	98117	Megumi Ayase
790339	181565	Saeko
790339	193918	Megumi Ayase
790339	265581	Raiza Chichi
790339	265582	Raiza Chichi
790339	272211	Kodachi Kunou
790339	272213	Kodachi Kunou
790339	275086	Maira Zarik
790339	283619	Lazanya
790339	299125	Miz Mishtal
790339	318539	Emi Mizuchi
790339	348752	Shinobu
790339	348753	Shinobu
790339	348754	Shinobu
790339	348755	Shinobu
790339	348756	Shinobu
790339	348757	Shinobu
790339	348759	Shinobu
790339	348760	Shinobu
790339	348761	Shinobu
790339	348764	Shinobu
790339	348765	Shinobu
790339	348766	Shinobu
790339	348767	Shinobu
790339	381163	Doctor S' Okay (Iiwa Sensei)
790339	384231	Luna Rosa
790339	387160	Yuri
790339	392535	Kumiko Yoshiaki
790339	393982	Oldona Poseidal
790339	394429	Four Murasame
790339	396440	Narrator
790339	396493	Megumi Ayase
790339	396494	Sayo
790339	402863	Kodachi Kuno
790339	405175	Midori Ohara
790339	409686	Miyake Shinobu
790340	19595	Fumiko
790340	145727	Prostitute's sister
790340	168319	Furuhata's Sister
790340	229781	
790341	400269	Karen Onodera
790342	384235	Mika Shidô/Sazer Mithras (Fir
790343	233948	Prostitute
790345	97632	Kazue Uotani
790345	171624	
790345	172113	Kimiyu
790345	173127	Kazue Fukuma
790345	201377	Kasuga
790345	201378	Kasuga
790345	212109	Mama
790346	86907	Super Model
790346	118548	Goldie Goldman
790346	199764	Production Assistant Girl
790346	230857	Lemongrass
790347	196505	Paula
790347	200864	Maid
790348	19778	Hanako Kokobunji
790348	161704	Yuka
790348	269293	Lucille
790348	383107	Touka Miyashita/Boogiepop
790348	404772	Ekuryua
790348	404846	Chinatsu Nakayama
790348	404879	Lain Iwakura
790349	38817	Mami Shinohara
790349	104940	Katsuko Nakagawa
790349	121467	
790349	125264	
790349	156114	
790349	163011	
790349	169735	Yoshikawa's wife
790349	195634	Ryoko Muraki
790349	206784	Kazue Kenmochi
790349	213573	Satoko Mizunuma
790349	221838	Yoko
790349	229584	
790349	278547	Ryomi Oishi
790349	288654	
790349	293566	Chiyo Yano
790349	327006	Woman at pool
790350	153209	
790351	43898	Kazuko Suema
790351	299740	Hitomi
790352	299323	Hideki
790352	392330	Prince Aaron
790352	394030	Various characters
790352	394031	Various characters
790352	405147	Astroboy
790352	407393	Jim Hawkins
790352	407904	Atom
790352	411733	Bero
790353	178244	Mizue Nakahata
790353	178245	Mizue Nakahata
790353	178246	Mizue Nakahata
790353	178247	Mizue Nakahata
790353	178248	Mizue Nakahata
790353	178250	Mizue Nakahata
790353	178251	Mizue Nakahata
790353	394562	Mizue Nakahata (Kazuo's wife)
790354	177116	Sayaka Takakura
790354	180593	Hatsue
790354	214715	Mieko Aonuma
790354	323115	victim
790355	359353	Nui
790356	9283	Saeko Aizawa
790356	23411	Yoko Umano
790356	28058	Hikaru Nishioka (Episode 2)
790356	82829	Reiko Amano
790356	126185	Mina
790356	127738	Shoko Takeda
790356	150510	Fuyuko
790356	158632	Namiko
790356	162633	Mika Fujishima
790356	171425	Natsumi Ashikawa
790356	173600	Gin
790356	179535	Kazue Kosaka
790356	215064	Yuko Nando
790356	227188	
790356	230142	Misuzu Kondo
790356	232907	Yoshiko Shinozaki
790356	239427	Sayoko Morohashi
790356	271675	Shinji's elder sister
790356	292132	Hana (Episode 1)
790356	297182	Natsuko
790356	298794	Hori
790356	298834	Natsuko Kawashima
790356	299075	Shizuko
790356	299136	Akari
790356	300595	Yoshiko Tsuyama
790356	343638	Yuko Shono
790356	344958	Kikuno
790356	345618	Keiko Hattori
790356	371953	Sunami Kogure
790356	373751	Saki Morioka
790356	394465	Kana Usami
790356	408432	Oyoshi
790357	101564	Arabian Woman
790358	287498	
790359	78664	Yuki
790360	30987	Ai Yazawa
790361	181490	
790362	1595	Kumiko
790362	19073	Japanese Interpreter
790362	66596	David's Friend
790362	105612	L'Asiatique
790362	182843	May-Lia
790362	199311	Geisha
790362	275688	Atsuko
790362	277726	
790362	286745	Mère de Samouraï
790362	326128	Yuli
790362	341850	Yoko
790362	346642	Yoko
790362	381616	
790363	236397	Masako
790364	180053	Yoko
790365	373222	Hiromi
790366	60043	
790366	98034	Tamar
790366	193037	Noa
790366	200026	
790366	234111	Noa
790366	256910	
790366	343409	
790366	343432	
790366	381388	Ziva
790366	412063	
790367	25139	Laetitia
790367	43974	Miss Black
790367	80173	Sophie
790367	147067	Bénédicte
790367	155744	
790367	161958	Anne
790367	194906	Cathy Ellis
790367	206368	Lisa Alren
790367	249071	Monica (segment Montparnasse-
790367	264524	Une invitée au vernissage
790367	269753	
790367	300960	Herself
790367	324638	Annie
790367	333236	Joan
790367	355015	Yvette
790367	384287	Greta
790368	5641	Cleaner
790368	10635	Wendy
790368	18589	Personal Officer, Bullwood
790368	335594	Debbie
790368	405461	Nurse
790369	347501	Stella
790370	50974	Prima Ballerina
790371	223971	Geisha
790372	255872	10th Century Woman
790373	254485	Dancer
790374	81677	Yayoi
790375	398997	Moegi
790376	55136	
790376	138563	Ribbon Lady
790376	172574	Perla
790376	185764	Center Person #2
790376	216406	Theresa, Nun
790377	121606	Kikuko
790378	227658	Amaya's wife
790379	399039	Tyako
790380	137006	
790380	227658	
790380	373218	
790381	44402	Sister Bashilla
790381	104556	Min-seo
790382	203917	Korean Girl
790382	236726	Ok-Cha
790382	311249	Hotel girl
790382	358561	Bath Attendant
790383	38231	
790383	41671	Kang Su-jin
790383	59060	
790383	125971	Tae-kyoung
790383	155958	
790383	166804	
790383	168444	Kim Hyo-jin
790383	169006	
790383	169043	Cha Eun-jin
790383	169044	Cha Eun-jin
790383	278435	Sun-ju
790383	349220	Chie Marayama
790384	166939	Twin 2
790385	146881	Agent Koryo
790385	233498	Koryo
790385	292994	
790385	296936	Koryo
790385	346246	Agent Koryo
790386	153514	
790387	166939	Twin 1
790388	199888	
790389	130278	
790390	3917	Mother
790390	6097	
790390	6342	
790390	126813	
790390	147762	Hyonsuk
790390	298854	
790390	371150	
790390	376544	
790391	4768	
790391	7261	
790391	7262	
790391	16586	
790391	19542	
790391	28805	
790391	39035	
790391	49421	
790391	63385	
790391	89581	
790391	122733	
790391	122836	
790391	153415	
790391	153434	
790391	156596	
790391	166785	
790391	199908	
790391	215566	
790391	228191	
790391	285236	
790391	294440	
790391	294453	
790391	294504	
790391	298885	
790391	329011	
790391	329012	
790391	364701	
790391	371136	
790391	371208	
790392	20192	
790392	84512	
790392	126800	
790393	267078	Seon-ju
790394	371251	
790394	409364	Regina
790395	255913	
790396	234928	Wy
790397	38389	
790397	239250	
790397	298858	
790398	199555	Hie-jin
790398	362060	Yu, Chae-i
790399	102088	Hye-won
790400	262149	
790401	294505	
790402	7282	
790402	44819	
790402	62203	
790402	142547	
790402	371045	
790403	307903	Knock Knock People
790404	287111	Sister Park
790404	299054	
790405	123584	
790406	60644	
790406	123230	
790406	368078	
790407	227419	Shin Yi
790407	284016	Mi-kyeong
790407	285223	
790407	300844	Ghost
790407	364790	Seong-hie
790407	371143	
790408	406964	Mineko 'Margaret' Tachibana
790409	204401	
790410	293984	Azema
790411	396491	Ichirou Shinohara
790412	11762	
790412	247908	
790412	300954	
790412	327116	Peggy
790412	330073	Toula
790412	379434	
790412	400882	
790413	154684	
790414	31789	T.V. Assistant
790414	41301	Newlywed Woman
790414	186618	Lady Friend
790414	222647	Female heckler
790414	345861	Viola
790415	254847	Galit
790416	73926	Shelly Webster
790416	86716	Lydia Cantrell
790416	149970	Gina
790416	257305	Fay Kennedy NBC News Anchor
790416	274314	Woman on Train (segment "Bord
790416	278716	Gena
790416	328268	Broken Legs Max
790417	363981	Trixie
790418	102679	Chiyoko
790418	163838	Toshio's mother
790418	207117	
790418	288351	Mrs. Jinba
790418	293601	Masae Maki
790418	298818	Ume
790419	3061	Newly Crowned Miss America 19
790419	314445	Beth Peters
790420	46545	Wendy
790420	50275	Susan
790420	106552	QT, Yumi, Kieu
790420	368675	Spinner Webb
790421	154513	Claudia
790421	344652	Jada Jennsen
790422	45648	Herself
790423	122966	Murdered High School Student
790423	169185	
790423	348559	
790424	62046	Mari Yamazaki
790424	130530	Kae Terada
790424	131077	Yip Lin
790424	167913	Sanato Sakuragi
790424	177926	Emiwaka, 2nd Mistress
790424	237152	
790424	282276	Yoko Maeno (aka Nami Tsuchiya
790424	298917	Yoriko Matsuoka
790424	371827	Otatsu
790425	74195	Japanese Girl
790425	228830	Reiko
790426	179866	
790426	239382	
790427	248788	Haruko Kinoshita
790428	316626	Kid
790428	394973	Hisae
790429	403411	
790430	199112	Aries Turner
790430	199950	Cast
790430	294105	Ranmaru Mori
790430	369525	Juli Mizrahi
790430	378718	Kaiko
790430	390794	Katarina and Sanae
790430	394425	Cagalli Yula Athha
790430	400268	Female Anouncer
790430	405275	Arias 'Ace' Honô/Satoko Ôigaw
790431	19556	Queen Amina
790432	8733	
790432	159841	
790433	147739	
790434	173079	Herself
790435	229902	Sister Josie
790436	68772	Toolbelt Terry
790436	235952	Morganna
790436	364367	Judy
790439	78142	Nancy
790439	126104	Nurse #2
790440	11442	
790441	61810	The Girl
790442	188453	Opening Sequence Girl
790443	54953	Gerda the Mountain Girl
790444	41858	Minnie Wong
790444	50648	Teeda
790444	193321	Beth
790444	221603	Song
790445	26976	Mary Wallace
790445	97445	
790445	148216	Janet Preston
790445	169948	Kay Kennedy
790445	183845	Parthenope Nightingale
790445	186008	Susan Davidson
790445	196194	Mrs. Pentwick
790445	269883	Rowena Hyde
790445	281424	Ethel
790445	282108	Liz Rossiter
790445	283989	Charlotte
790445	301953	Catrine
790445	385116	
790445	387604	Helen Porteous (1978)
790445	396508	Madame Maigret
790445	401946	Alison Ford
790446	256093	Ursula...Age 11
790447	384587	Celestine
790447	385020	Rachel Forbes (1997-1998)
790448	399130	Cassandra (1997-2001)
790449	122145	
790449	158675	
790450	305312	Projectionist Who Gets Raped 
790451	104566	Mother
790451	215064	Fumiko Tashiro
790451	286626	Mitsuko Fukuda
790451	298800	Osaki
790451	327940	Sachico
790451	328014	
790451	371915	Eriko Shimizu
790452	244054	Nurse
790453	190805	Aunt Anna
790454	389118	Herself - Business Astrologer
790455	179018	Leonid's Girl
790456	363838	Christine
790457	151048	
790458	385299	Lily Harris
790459	163846	Yoko
790460	358138	Tomiko
790461	324285	Old Man's Mistress
790462	400053	Haruka Harukaze (Doremi's Mom
790463	28124	
790464	348994	Nogiku, koshimoto
790465	9190	Shigeko Onda, nurse
790465	172471	Motherof Michiko
790465	375558	Shigeko Onda, nurse
790466	9189	Shigeko Onda, nurse
790466	138078	
790466	299025	Nurse
790467	396640	Ryuuichi Fukazawa
790468	512	Miho
790468	4577	Mademoiselle Honey
790468	6079	Vanessa Bach
790468	9292	Yuri Onagara
790468	19236	
790468	38818	Makoto Kino (Sailor Jupiter)
790468	38819	Makoto Kino (Sailor Jupiter)
790468	38820	Makoto Kino (Sailor Jupiter)
790468	38821	Makoto Kino (Sailor Jupiter)
790468	38822	Makoto Kino - Sailor Jupiter
790468	54891	Kaho Mizuki
790468	84434	Mitsurugi Youko
790468	139476	Freia
790468	155537	Iczelion from another planet
790468	171653	Kagero
790468	175368	Kekko Kamen
790468	182507	Kayo (ep.2)
790468	217377	Isabelle
790468	223331	April O'Neil
790468	257982	Mokuren (original Japanese ve
790468	265578	Biiko Daitokuji (B-ko)
790468	265579	Biiko Daitokuji (B-ko)
790468	265580	Biiko Daitokuji (B-ko)
790468	265581	Biiko Daitokuji (B-ko)
790468	265582	Daitokuji Biiko (B-ko)
790468	267536	Daitokuji Biiko (B-ko)
790468	299098	Nakano
790468	310150	Shizuka
790468	342496	Shizuka Tachibana
790468	350189	Charlotte Elbourne
790468	350723	Syria (Celia)
790468	369415	Arashi Kishû
790468	381960	Patricia 'Angel' Lovejoy
790468	382108	Makoto Kino (Sailor Jupiter)
790468	382109	Makoto Kino (Sailor Jupiter)
790468	382110	Makoto Kino - Sailor Jupiter
790468	382111	Makoto Kino (Sailor Jupiter)
790468	382112	Makoto Kino - Sailor Jupiter
790468	383095	Candy
790468	383459	Kaho Mizuki
790468	390799	Hara Motoko
790468	394252	Sanae Araki
790468	396440	Fuaru Presea
790468	397187	Yayoi Matsunaga
790468	397520	Shibano Youko
790469	255872	Model
790470	49935	
790470	122108	Hat Girl
790471	149886	Mikako Nagamine
790471	173490	Her
790472	2178	Sumiyo
790473	34485	Hitomi Hoshino
790473	129868	Hostess (Special Guest Star)
790473	138868	
790473	144443	Natsuka Kashiwagi
790473	165202	(segment "Kendama")
790473	182703	
790473	238383	
790473	274309	O-Rin
790473	275193	
790473	298884	Monoko no haha
790473	298914	Ishii (segment "Sora ni hoshi
790473	391120	Yukari Enomoto
790473	394009	Kyoko Miyagi
790473	394033	
790473	394444	Chihiro Wakabayashi
790473	402467	Fujiki Asako
790474	127054	
790474	130499	Teenage girl at hostel and ho
790474	145453	Kuniko Kimura
790474	179376	
790475	232610	Misako Nishiguchi
790476	150507	Mother
790477	145449	Tomi Arasaki
790478	405218	Nishil (Necile)
790479	168356	Miyoko
790479	214395	
790479	373190	Yuriko Nishida
790480	258379	
790480	300492	
790480	374430	
790481	298999	
790482	125264	
790483	139101	
790483	146914	
790484	180606	Oden Takahashi
790485	115182	Haruko Haruhara
790485	177387	Angel
790485	182509	Scarlet Claw
790485	292074	Kumi
790485	384080	Cindy Klein
790485	394175	Tsubasa Shibahime
790486	228830	Tomiko
790487	43057	
790487	122948	
790487	169698	Joze's grand mother
790488	366818	As herself
790489	294796	Invitée d'Alice
790490	198827	Kimiyo Ishizuka
790490	348752	Elle (child)
790490	387795	Shion
790491	80782	Cemetery Extra
790492	359060	Owner of the House
790493	93261	Japanese Tour Guide
790494	145071	Hooker
790495	14399	Tanabe
790496	4557	Tamai
790496	17423	
790496	32331	
790496	76880	
790496	88754	Utako
790496	89049	Waitress
790496	89510	
790496	97141	
790496	123553	
790496	124434	Wife
790496	125265	
790496	146354	Otoki The Complexity
790496	149097	
790496	155501	
790496	162992	Boutique Manager
790496	172042	
790496	172284	Tetsuo's Mother
790496	176592	Yasuko
790496	178311	
790496	180095	
790496	181979	
790496	181982	
790496	181990	
790496	181992	
790496	232909	
790496	233114	
790496	233115	
790496	233116	
790496	242184	
790496	242200	
790496	283619	Rosetta
790496	288191	
790496	288194	
790496	293600	
790496	294547	
790496	296631	Female Anma
790496	296637	
790496	298951	
790496	298990	
790496	318565	
790496	327796	
790496	334871	
790496	334945	Mama-san
790496	371951	
790496	371986	
790496	373175	Teacher
790496	375596	Hostess A
790496	375597	
790496	375605	
790496	375609	
790496	375614	
790496	375619	
790496	375638	Radio Goddess
790496	379478	Iguana
790497	131767	Nominator
790498	146777	Rositza
790499	48948	Krista
790499	278247	8-Year-Old Erica
790500	342646	Lady at cunter
790501	223078	Herself
790502	34707	Barbie
790502	368894	Mall Girl
790503	411325	Herself (2001)
790504	67938	ICU Nurse 1
790504	306944	
790504	329514	Angie
790504	385020	Christine Millwood (1985)
790504	396623	Sarah Waite/Radlet
790504	408964	Jill
790505	211529	Crying Nun
790505	306132	Mrs. Timmons
790506	304734	Celebrating Mother
790507	145080	Pickerel Falls Reporter
790507	221049	
790508	69895	Herself
790508	390334	Herself - Senior National Cor
790508	399099	Herself - Correspondent (1997
790508	408395	Herself - Correspondent (1997
790509	130031	Irma Kalmar
790509	339010	Alice Belding
790510	20232	Estrella Bonham
790510	52899	Marguerite Gautier
790510	60245	Cynthy
790510	263444	Lucie, Hahn's wife
790511	19797	Nurse
790511	31123	Linda Avery
790511	105130	Mother
790511	186450	Jane
790511	337586	Beth Clark
790512	63158	Ada
790512	91670	Louise
790512	133759	Peggy Wray
790512	147446	Miss Davis
790512	150797	Prisoner's Wife
790512	191841	Rose McGuire
790512	210876	Becky
790512	228639	Marietta Franini
790512	254547	Lizzie
790512	286929	Bit Part
790512	305398	Second Nurse
790512	365068	Ice Skater Whose Feet Hurt
790513	129762	Married Gnome
790514	26800	Dolores LeBeau
790514	28445	
790514	29931	Nepeese
790514	31787	Aunt
790514	40041	Dona Isabel
790514	57355	Virginia Wetherford
790514	113963	Nell Blythe
790514	125885	Theresa Kane
790514	128174	Cynthia Stewart
790514	128184	Neeka Le Mort/Marion Carslake
790514	130027	Josephine Adare
790514	134866	Faith Diggs
790514	148393	Clara
790514	190474	
790514	210426	
790514	308086	A Young Woman Writer
790514	331918	Alice Kittredge
790514	337629	
790514	364068	Dreena
790514	365436	Winifred Hollywood
790515	41772	Lillian Bartley
790515	144976	Laura
790515	152962	WAF lieutenant
790515	243340	Prudence Cooper
790515	289254	Ray Flagg
790515	317340	Mrs. Johnson
790515	352639	Younger mistaken identificati
790516	270446	
790517	209803	Yui Takanaka (ADV dub 2004)
790517	209804	Yui Takanaka (ADV dub 2004)
790517	209805	Yui Takanaka (ADV dub 2004)
790518	6865	Mrs. Pruitt
790518	120258	Herself
790518	145066	Woman #2 at Dance Studio
790519	155908	Bridesmaid
790520	166694	Lorna
790520	398694	Kay Foster (1953-1954)
790521	280081	Hesher
790521	316332	Paralegal #1
790521	359438	Uncreditied
790522	314108	Dancer
790523	56149	
790523	215623	
790524	215623	
790525	90323	
790526	317244	
790527	8222	Mrs. Simpson
790527	238449	Theban Citizen
790527	310992	Midwife
790527	379429	Mrs. Simpson
790527	383631	Student Nurse/Staff Nurse/Sis
790528	348302	Dowager
790529	201619	Herself
790530	175002	Herself
790530	175005	Herself
790530	186404	Jeweller
790531	100229	
790532	303937	
790533	121443	Sanjyo's wife
790534	44609	Anika
790534	180789	Lastochka
790534	268576	
790534	288357	Vicountess Shirvanskaya
790534	299322	
790535	225804	Herself (Juggler)
790536	31522	Umemaru
790536	299300	
790537	401079	Housekeeper
790538	125241	Joey (Woman Physician)
790538	394428	Marvette Fingerhaut
790538	401736	Nurse Jôi
790538	405141	Lamb
790539	150507	Setsuko
790540	304544	Miho Taguchi
790541	61106	Beatrice
790541	176534	Mirai Yashima, Katz Hawin
790541	176535	Mirai Yashima
790541	176536	Mirai Yashima
790541	176537	Mirai Yashima Noah
790541	390963	Cateau
790541	394422	Mirai Yashima, Katz Hawin
790541	394429	Mirai Yashima Noah
790541	396406	Chiretto
790541	396499	Poron
790542	310373	Dominatrix
790543	77907	
790543	181897	
790543	296630	Miyoko
790543	370232	
790544	9569	Sakie Tsukasa
790544	139492	The Astrologer
790544	168102	Rui Hayami
790544	169216	Oba
790544	201374	(Voice)
790544	238445	The Speaker
790544	288351	Restaurant owner
790544	327940	Tatsue Fukumi
790544	370748	Nun
790544	371798	Yone
790544	406874	Hayakawa Umeko
790545	76379	Keiko, a lesbian teacher
790546	226794	
790547	9329	Mrs. Fujiwara
790547	174326	Tomomi Tomota
790547	174327	Tomomi Tomota
790547	174328	Tomomi Tomota
790547	174329	Tomomi Tomota
790547	174330	Tomomi Tomota
790547	174331	Tomomi Tomota
790547	174332	Tomomi Tomota
790547	174333	Tomomi Tomota
790547	174334	Tomomi Tomota
790547	174335	Tomomi Tomota
790547	174337	Tomomi Tomota
790547	174338	Tomomi Tomota
790547	174339	Tomomi Tomota
790547	174345	Tomomi Tomota
790547	174346	Tomomi Tomota
790547	406535	Tomoko Nakajima
790548	285919	Kazuyo Hirai
790549	37622	Mineko
790549	162221	Haruna
790550	280227	Roll
790550	280233	Iris
790551	9303	Fujiko Nakane
790551	30796	Babah, Kaoru's grandmother
790551	77746	Teruko Tokura
790551	77748	Wife
790551	98203	Yamikumo-dayu
790551	121469	Sachiko Yoshizato
790551	137381	Wataru's mother
790551	138868	
790551	139724	
790551	139736	Sachiko Shibata
790551	145766	Ayuko Fukuzawa
790551	155508	Mari
790551	163071	Yuko
790551	163847	Moeko Nagayama
790551	168006	Kazuko Shirakawa (herself)
790551	170337	
790551	174984	Mieko's mother
790551	180143	Fusae
790551	182042	Old Woman with white flag
790551	230131	Tamae
790551	236171	Natsuko
790551	288064	Prayer
790551	288409	Hiroko
790551	293607	Keiko's mother
790551	325206	Reiko
790551	348636	Haruko Maruoka
790551	358947	Nobuko Amano, who talks about
790551	370443	Kyoko
790551	373301	Renako Yokota
790551	390910	Wataru's mother
790552	90558	Sayuri
790552	390731	Chikako Oshima
790553	91092	
790553	389546	Andre
790553	391596	Moko
790553	394030	Various characters
790553	394031	Various characters
790553	404390	Hiroshi Nakajima
790553	408485	Sid
790554	1882	Fumi Yoshioka
790554	8796	Keiko Takamine
790554	9151	
790554	17119	
790554	17424	Junko
790554	19704	
790554	37622	Chikako Arai
790554	61513	
790554	61528	Etsuko Shiraishi
790554	63542	Ume
790554	76881	
790554	76894	
790554	82912	Akiko Chujo
790554	121458	
790554	122150	Kensuke's Wife
790554	138055	
790554	139741	
790554	153866	
790554	153867	
790554	166025	Eiko Chiba
790554	169128	
790554	176567	Princess Izato
790554	176602	
790554	179348	Nakanishi Takako
790554	180046	
790554	182712	
790554	213008	
790554	227660	
790554	233112	
790554	237662	
790554	243314	
790554	244511	Mineko Nishijo
790554	288185	
790554	288193	
790554	289309	
790554	289310	
790554	289312	
790554	293661	
790554	299092	
790554	309097	Kiyo
790554	328968	
790554	334871	Idekawa
790554	334938	
790554	338214	Meishi
790554	358416	
790554	370234	Momoko
790554	370300	
790554	370308	
790554	371986	
790554	372004	Kiyo (Takiko) Sonoda
790554	375598	
790554	375638	
790554	378159	
790554	390731	Akira Sakurai
790554	394705	
790554	396534	Motoko Hirose
790554	396632	Ryoko Arashiyama
790555	395167	Alvis E. Hamilton
790556	348994	Ohagi
790557	17422	
790557	17427	
790557	19698	
790557	19702	Mary Oka, the dancer
790557	19705	
790557	76946	
790557	135635	
790557	138074	
790557	146353	Ritsu
790557	146354	Ritsu
790557	171658	
790557	181997	Chikako Makino
790557	216367	
790557	284872	Kanako Sawamura
790557	284873	
790557	323129	Kumi Mitamura
790557	371993	
790557	378130	Chizuru
790558	9157	
790558	136385	
790558	142955	
790558	177157	
790558	209786	
790558	233071	
790558	237170	
790558	287057	
790558	357964	
790559	146338	Reiko Kashiwagi
790560	411047	Herself (Oswald's Intourist g
790561	378652	Magi
790561	394973	Chisato
790561	409817	Chisato Inoue
790562	20625	Extra
790563	163011	
790564	16537	Ayako
790564	139721	Nijiko
790564	174326	
790564	232927	Migiwa Saeki
790564	334878	
790564	371827	Hanayu
790564	390083	Countess Kurihama
790565	98601	Shoko Takanashi
790565	142158	
790565	182496	
790565	212109	Mika
790565	285919	Kumi Takano
790565	342509	
790565	374602	Rei
790565	387407	Kaoru Okamoto
790566	98583	Herself
790567	382302	
790568	38823	Kanami Izaki
790568	49935	Sayaka
790568	123107	Pearl
790568	123110	Pearl
790568	130730	Noriko
790568	135223	
790568	155537	Nagisa Kai
790568	179108	Additional Voices
790568	187319	Kaige
790568	195629	Mei Narusegawa
790568	195630	Mei Narusegawa
790568	200184	Mocona
790568	209785	Tune Youg
790568	209788	Riris
790568	257982	Arisu Sakaguchi (original Jap
790568	271676	Shoko
790568	283680	Tsubame Sanjô
790568	354596	Remi
790568	373381	Yukina
790568	380725	Miku Kasayama/nurse
790568	382610	Mizutani Aki
790568	383095	Nagisa Kasumi
790568	385060	Hell Matia
790568	389877	Yuri Shiratori
790568	391127	Nino-kun
790568	391594	Aiko Nonohara
790568	394325	Charlotte
790568	394431	Hatoko Kobayashi
790568	394685	Hanako
790568	396440	Mokona
790568	396640	Eriko Tachibana
790568	402729	Narusegawa Mei
790568	403966	Tsubame Sanjô
790568	404061	Cherry
790568	404062	Cherry
790568	405278	Nanami Kiryû
790568	408487	Kokubu Karin/Buurin
790568	411883	Yukina/Puu/Sayaka
790569	372383	
790570	409690	Yuriko Osaka/Non-Chan
790571	101675	
790572	86669	
790573	100008	Gypsy Girl 1
790574	141965	Bandleader #2
790575	32425	Claire
790575	41337	Gina
790575	44439	Donna Nolan
790575	52929	Ida Stern
790575	53282	Roberta
790575	59273	Maggie
790575	62898	Last Party Guests
790575	66942	Sister Martha
790575	76617	Carol Agnelli
790575	80652	Sam
790575	88180	Lacey
790575	95270	Mildred
790575	95274	Nurse Cora
790575	108390	Patricia
790575	117139	Millie Katourian
790575	118116	Adelaide Laurie
790575	124358	Coralee
790575	130123	Herself
790575	130125	Constanzia 'Connie' Corleone-
790575	130128	Connie
790575	130129	Connie Corleone-Rizzi
790575	130130	Connie Corleone-Rizzi
790575	153565	Dr. Tedra Rosen
790575	154271	Mrs. Silver
790575	176723	Rosalie Asher
790575	178136	Irena Sposato
790575	184543	Melanie Leroy
790575	197706	Martha Chambers
790575	206129	Jean Clemens
790575	222792	
790575	230947	Charlotte
790575	239542	Dianne Cruise
790575	247151	Mr. Price
790575	257991	Mother
790575	259904	Aunt Sophia
790575	265859	Maggie Verne
790575	270522	Mrs. Jones
790575	274609	
790575	279137	Jaime's Mother
790575	280270	Adrian
790575	280281	Adrian
790575	280282	Adrian
790575	280284	Adrian
790575	280305	Adrian
790575	298115	Restaurant Owner
790575	311790	Herself
790575	345264	make-up girl
790575	355431	Marilyn Coffey
790575	364428	Contessa Bazinni
790575	365409	1st Girlfriend
790575	366072	Emily Hollander
790575	383802	Marcia
790575	403336	Teresa Santoro
790576	342924	Statue of Justice/Female pris
790576	362052	Rape Victim
790577	156297	Mlle Lambris
790577	247994	La directrice
790577	336234	Françoise Fayolle
790577	353823	La mère de Barbara
790577	370056	Maryse
790577	389264	Franklin's grandmother
790578	24957	Spectator
790579	399437	Liz
790580	301787	First Lady Hillary Clinton
790581	45668	Girl on street (segment "Crus
790581	74112	Girl on the street
790583	373536	Vikram's Daughter
790584	16710	Mrs. Rumsen
790584	39815	Elderly Lady
790584	60212	Grandmother
790584	92163	Shirley (the mule)
790584	105613	Old Woman
790584	110286	Senior Citizen #1
790584	118970	Olga
790584	140967	Noreen
790584	149455	Martha
790584	176724	Mrs. Sabatini
790584	192413	Art Teacher
790584	228234	Herself
790584	282152	Katie (70's)
790584	360688	Older Hannah
790584	379118	Florencia
790584	380795	Belinda
790584	395819	James' Grandmother
790584	397009	Mamá Socorro
790584	400490	Julietta de Guillen
790584	406056	
790585	28611	Hooker
790585	183590	Beauty #1
790585	197065	Marguerita
790585	310195	Reena (earthworm captive on T
790585	391834	Shelly
790585	403452	Melinda (1985)
790586	197067	Deborah
790586	405209	Amanda Strong (2000)
790587	107175	
790588	2420	Marion as a girl
790588	10795	Alice
790588	17693	Anne Shirley
790588	17704	Anne Shirley
790588	26610	Miriam Ann Johnson, Marriage 
790588	43297	Burton Hughes
790588	45489	Annie
790588	52574	Mary Callahan
790588	54929	Sylvia Bartholomew
790588	59933	Jeanne Alexandre
790588	60036	Jenny Yates, aka Miss Shea
790588	64805	Mary Tustine
790588	69237	Millie Anson
790588	84828	Mary Stone
790588	99949	Isabelle as a Child
790588	109506	Little Margaret
790588	113634	Billie 'Snapper'
790588	118320	Karanina 'Nine' Novak
790588	128894	Natalie Freeman
790588	132323	May
790588	135844	Horton's Daughter
790588	141803	Herself - premiere attendee
790588	144637	Girl
790588	175812	Flower Girl
790588	183589	A. C. Baker
790588	186355	Annabelle
790588	190181	Mary Lou
790588	190788	Louise
790588	198454	M'liss Smith
790588	201432	Archive footage from Music in
790588	201457	June Drew
790588	203006	Diana Kennedy
790588	203428	Jean
790588	203508	Dorothy
790588	208692	Jessey Lee
790588	209650	Louise Foster
790588	218825	Nancy
790588	219916	Nancy Carey
790588	219951	Sally, as a child
790588	220582	
790588	222777	Ann Grayle
790588	223046	Frankie Foster
790588	231785	
790588	231981	Daughter of War Profiteer
790588	241008	Pasha
790588	255338	Herself
790588	262138	Ellen Evans
790588	267423	Sarah Tipton, the Daughter
790588	272532	Princess Anastasia
790588	277641	Anne, as a child
790588	277986	Fay Larkin
790588	283850	Girl
790588	288742	Bobby Halevy
790588	290328	Catherine Fogarty
790588	302936	Mary, as a child
790588	306387	
790588	306397	Selina Peake, as a Child
790588	309208	Alice Fisher
790588	310290	Don Balthazar Carlos
790588	314189	Fleety Belle
790588	314354	Laurel 'Lollie' Dallas
790588	330875	Flower Girl
790588	331553	Vivian Revere as a Child
790588	335656	Betty Jackson
790588	346880	Kathleen Brown
790588	354201	Lucy Lee
790588	361681	Nancy Hull
790588	372412	Girl
790589	364300	Herself
790590	8030	Iris Wayne
790590	23909	Bessie
790590	51874	Karamaneh
790590	65353	Moll Crisp
790590	71510	Karamaneh
790590	72514	Karamaneh
790590	130840	Karamaneh
790590	134078	Karamaneh
790590	134296	Karamaneh
790590	146247	
790590	173838	Karamaneh
790590	187340	
790590	213250	Karamaneh
790590	229635	Maid
790590	242493	Sanchia Percival
790590	254263	
790590	365669	
790590	374564	Veronica Sterling
790591	190512	
790591	361080	
790592	272440	Supervisor Rare Breeds Progra
790593	35402	Kaitlin
790593	380455	Young Teresa O'Brien
790594	125578	Cheerleader
790595	28249	Lily Allison (Paris tourist)
790595	77814	Matron
790595	80669	Miss Barndollar
790595	154652	Mrs. Leila Bettincourt
790595	183848	Daisy Dawn
790595	188341	Woman in Sun Shell Cafe
790595	201150	Mrs. Taylor
790595	230731	Guest
790595	233044	Marianne, Swana's Phone Frien
790595	242570	Elizabeth Stiles
790595	255520	Mrs. Forrest
790595	264567	Mrs. Gilkins
790595	292306	Woman Gambler
790595	330514	Agnes
790595	331619	Mrs. Tyler
790595	360479	Mrs. Charteris
790595	362894	Janet Hopper
790595	367919	Miss Archer
790595	370529	Mrs. Sampson
790596	185797	
790596	302323	
790596	318225	
790596	327893	Charlotte
790596	354028	
790597	73879	Marie, Deval's Maid
790597	155294	Mrs. Sawyer
790597	178096	Nun
790597	210393	Mrs. Mitchell
790597	308022	Mrs. Freeman
790597	337468	
790597	367919	Nurse
790598	223764	Maid
790599	355332	Herself
790600	203109	Phemie's Mother
790601	297946	
790602	92509	Mabel Mercer
790602	305424	Trish Cooper
790602	335695	Mandy
790602	362027	Waitress
790602	365942	Betting Shop Girl
790603	201376	Young Ocho
790604	16657	Jet Jackson/Death Tribe Woman
790604	379333	Bryn (1997-1998)
790604	409743	Purple Vixen
790605	89158	
790606	372626	Miss Holmes
790607	201919	Dicette #1
790608	80372	Church Singer
790608	341931	Choir Singer
790609	49840	Helen Eberley
790609	58632	Mrs. Meyer
790609	68448	
790609	84889	Fiona Long
790609	86300	
790609	102468	Waitress
790609	150080	Mrs. Lieberman
790609	156940	Fay
790609	211783	Mother on Train
790609	220669	Mrs. Ackley
790609	235052	Teacher
790609	276667	Claret Farmer
790609	308121	Girl in 5 & 10
790609	330998	Honey Weaver
790609	363911	Judge Alice Quentin
790610	274427	Wedding Party in Philadelphia
790611	80552	Bag Lady
790612	86926	
790612	279609	
790613	35177	
790614	281136	Clara Orsini
790616	213004	
790617	373061	
790618	196338	
790619	4117	Gitika
790619	10035	Nina
790619	17375	Swapna
790619	22616	Revati
790619	46726	Jaya Bakshi
790619	59426	Pia
790619	86684	Raksha
790619	106702	Aswathy
790619	139999	Sonu Shivalkar (Rohit's mom)
790619	143467	Ms. Chinga, dancer
790619	143846	
790619	160178	Kunti
790619	164328	Pooja (Special Appearance)
790619	171899	Ragini
790619	193183	Joshi's wife
790619	207098	
790619	262373	Mona
790619	266966	Pooja Mallapa
790619	280587	
790619	282029	Herself
790619	327001	
790619	328141	Suman
790619	349446	Sonia
790620	4193	
790620	4293	Chandramukhi
790620	18926	Sapna Saxena
790620	19241	
790620	27497	
790620	29070	
790620	33928	Khujli
790620	36289	
790620	81272	Kanti
790620	86653	
790620	88547	
790620	122926	Sindhu
790620	126967	
790620	131935	Chanda (Kishan's wife)
790620	152446	Neeta
790620	152463	Didi
790620	152467	
790620	164923	
790620	166479	
790620	169740	
790620	176154	Insp. Henna Ranveer Sethi
790620	177952	Radha
790620	184136	
790620	237046	
790620	246102	
790620	249664	
790620	251877	Seema
790620	262469	Renu Khanna
790620	270964	Roshni
790620	276693	Sonu
790620	320865	
790620	371796	Special Appearance
790621	358425	
790622	370268	Kaoru Sudo
790623	294055	Saya
790624	373224	Hana
790625	88691	
790626	43191	
790627	136395	
790627	309362	
790628	32574	Sanae
790628	32575	Sanae
790628	34485	Ryoko Sakurai
790628	48438	Reiko
790628	148832	Hiromi Ochiai
790628	169697	Hitomi Kurokawa/the seasoned 
790628	181890	
790628	185109	Yamamura's Wife
790628	239231	
790628	244285	Kaori Shimamori
790628	285919	Chiyoko Kurata
790628	329559	
790628	341537	Youko Yamamoto
790629	285459	
790630	103151	Shizue Fujikawa
790630	212810	
790631	244545	Aya
790632	294056	Masako
790633	190858	Baby
790634	11485	Nurse Briggs
790634	72140	Tessa Montgomery
790634	222656	
790634	241718	Caroline Charnock
790634	298083	
790634	313333	Susan Orwell
790634	313395	Valkris
790634	350160	Nancy
790634	403420	Herself (1982-1983)
790634	405059	Zoya Antonova
790635	117656	Young Mui
790635	141666	Juliet Hulme, at 5 years
790636	6248	Consuela
790637	14170	Belly Dancer
790638	369525	MOMO
790638	390264	Mikako Kouda
790638	400053	Onpu Segawa, Roro (Onpu's Fae
790639	321424	
790640	323220	
790641	332269	
790642	45764	(segment Talant)
790643	3534	
790644	91198	
790645	130007	
790646	28735	Bindhyachali
790646	36239	Satyabati
790646	37764	
790646	50959	Damata
790646	59043	
790646	82819	Haimabati
790646	84800	Phullara
790646	98552	
790646	169645	Padmabati
790646	181054	Rohini
790646	228692	
790646	233312	
790646	250482	Bilasi
790646	288546	
790646	355306	Kamala
790647	279200	Dancer: Moscow Folk Ballet Co
790648	356997	Neighbor Girl
790649	113327	Maria (Final Fantasy II)
790649	122523	Maria
790650	4180	
790650	30287	
790650	36012	
790650	47013	
790650	131935	
790650	183978	
790650	201043	
790650	215587	
790650	238071	Snake dancer
790650	245115	Charlotte
790650	373536	
790651	8643	
790651	19689	
790651	132391	
790651	283759	
790652	70932	Herself
790652	337361	Herself
790653	375258	Mrs. Shiva
790654	357625	Dzhina
790655	235290	Maykata na Boyan
790656	276219	
790657	61984	
790658	341637	
790659	148430	Young Ashley
790659	167068	Beatle
790660	69444	Reporter
790660	83935	Angela Vincente
790660	116799	Donna, Construction Secretary
790660	193280	
790660	206154	Barmaid
790661	149439	Mrs. Monroe
790662	137650	Brotherhood of Nine
790662	317928	Victim
790663	303558	Young Dolly
790664	49472	Kat'ka
790665	29553	
790665	171752	
790666	4003	
790666	15869	Rahul's Aunt (Chachi)
790666	17357	Nisha
790666	25928	
790666	29026	
790666	29070	
790666	30527	
790666	34199	
790666	35089	
790666	58592	Sapna's aunt (Mamiji)
790666	76415	Kajri's mother
790666	82000	Raja's mom
790666	85276	Sweety
790666	85302	Hamidbhai's daughter-in-law
790666	86769	Simran's aunt
790666	95038	Mary
790666	98463	Tara & Sitara's mom
790666	98502	
790666	136879	Maria
790666	137061	
790666	137815	Tamil wife
790666	143851	Shannu (Meena's aunt)
790666	152449	Razia (Doc's wife)
790666	152477	Patient Ramgopal's wife
790666	152486	Vakil's wife
790666	152499	Umadevi
790666	158565	
790666	162687	
790666	164328	Ragini Sinha (Komal's aunt)
790666	166457	Mrs. Malhotra
790666	167980	Ganga's biological mother
790666	168206	Wife of Kamal
790666	171853	
790666	174276	
790666	175922	Raj's Mother
790666	176082	Savita (Mahesh's wife)
790666	180608	
790666	181480	Rifat Bi
790666	181481	
790666	201053	Susheela
790666	202791	Anwari
790666	209870	
790666	211419	Subhash's wife
790666	220777	
790666	222057	Sushma (Karan's mom)
790666	222062	Mrs. Sahani
790666	248799	Kulwanti (Bua)
790666	262919	Nathu
790666	297728	
790666	319843	
790666	326959	Shanti
790666	328140	Gaffor's wife
790666	339961	
790666	349446	Laxmi Akka (Bordello Madam)
790666	370218	Beggar Champa
790667	172539	
790668	4293	Ritu
790668	4338	
790668	58403	Friendly Appearance
790668	137061	Anjali
790668	152489	
790668	172567	Special Appearance (song)
790668	184075	
790668	280035	Ritu
790668	297153	Shekhar's sister
790669	160202	Guest Appearance
790669	256161	
790669	394967	Amba (Baa) Govardhan Virani
790670	227850	
790671	225827	
790672	95585	
790673	62854	Daughter
790674	237741	
790675	104831	
790675	180217	
790675	224448	
790675	410432	Milusheva
790676	397053	Gella
790677	172438	
790678	20152	
790679	252809	
790679	312436	
790680	220691	
790681	8043	Woman in Market
790682	202739	Yetka Samet
790683	182226	
790684	108854	
790685	259805	
790686	95647	
790687	354792	
790688	88419	
790688	179093	
790688	285885	
790689	7270	
790689	9506	
790689	26206	
790689	35867	
790689	45711	Masha
790689	60438	
790689	124843	
790689	157258	
790689	162748	
790689	177125	Tachanochnitsa
790689	196564	Pseudo-wife
790689	217277	
790689	226847	
790689	293900	
790689	303797	
790689	305294	Bride
790689	339964	
790689	349786	
790689	370163	
790689	373484	
790689	373945	
790690	162736	Rosa
790691	179318	
790692	124852	
790692	136152	Louise Germont
790693	374790	
790694	1753	Irina Yakunina
790694	144772	
790694	311165	Wanda
790695	52827	Lead
790696	10820	Village cafe date
790697	379479	Elizabeth 'Beth' March
790698	254943	
790699	160888	Betsy
790699	169151	Bar Patron
790699	170540	Julie
790699	231090	Varda Abromowitz
790699	237783	Suni
790699	254943	Devi
790699	276085	Nurse Mall
790699	300913	Dancing Party Guest
790699	303435	Chick 1
790699	303564	Young Woman Buying Ring
790699	317947	Pakeesa Chaldi
790700	89938	Jane
790701	18935	Sushila
790701	31587	Miss Rambha
790701	60978	
790701	62370	
790701	88498	
790701	88506	Miss Rambha
790701	98470	
790701	137828	Wife
790701	160221	
790701	195697	Mrs. Rajpal Singh (Sheela's m
790701	226756	
790701	228695	Nargis
790701	231740	Princess Indira
790701	247611	
790701	271726	
790701	271735	Sita
790701	297050	
790701	344250	
790701	351127	
790701	354301	
790701	354407	Princess Indira
790701	358202	
790702	25706	
790702	58454	
790702	165643	
790702	200677	Krishna's Daughter
790702	213710	
790702	226636	Margaret
790702	243668	
790702	249846	Kuppamma
790702	267416	
790702	297593	
790703	86636	
790703	287565	
790703	318517	
790704	319790	Momoe Kimura
790705	13457	
790705	319729	
790706	118992	Special Guest
790708	118581	Karen
790708	139582	Carrie Andrews
790708	139591	Young Phillipa
790708	190056	Phoebe
790708	193268	Skinny Girl
790708	372211	Young Sarah
790709	213153	Tammy
790710	381436	Dr. Mara Wilkins (1992)
790711	167043	Hockey Chick
790712	67123	
790712	99224	
790712	120011	
790712	142575	
790712	143931	
790712	147804	Herself
790712	186007	
790712	229117	Jane Rankin
790712	242506	
790712	312774	Lillian
790712	336046	
790712	336049	
790712	336051	
790712	336052	
790712	336053	
790712	336056	
790713	100839	Student in Hall
790714	133456	Carol
790714	194119	Karen Chambers
790714	288252	Valerie
790714	325972	Tina Butler
790714	404309	Valerie
790715	124603	Annah
790715	160780	Indian doctor
790715	285669	Princess Tulip
790715	399554	Terri
790716	285259	
790717	261454	Violin Girl
790718	5055	Fran's Aunt Ellen
790718	10678	Mrs. Adams
790718	12179	Mrs. Thompson
790718	16674	Addie Lou Coleman
790718	26119	Mrs. Barton
790718	43886	
790718	58931	Mrs. 'Mother' Harris
790718	60204	Mrs. Grace Palmer
790718	67200	Mrs. Wallace
790718	69499	Nora Grant
790718	73746	Baby's Mother
790718	75600	Mrs. Middleton
790718	89192	Mrs. Ilse Cogez
790718	92558	Mrs. Hazlitt
790718	99399	Lydia Braun
790718	109221	Mrs. Bingham
790718	117987	Sister Veronica
790718	128173	Mrs. Maddox
790718	150812	Mrs. Ambrose
790718	190206	Countess Martos
790718	200304	Ma Peterman
790718	203006	Martha Kennedy
790718	205915	Mrs. Hill
790718	221170	Martha Pettigrew, Jack's Moth
790718	223917	Ma (Nick's mother)
790718	254590	Mrs. Kenneson
790718	273805	Mrs. Feller
790718	276818	Mrs. Barclay
790718	280969	Mother Manning
790718	289687	Mrs. Downs
790718	295414	Mary Baxter
790718	297180	Mrs. Fitzgerald
790718	299516	Dr. Daniels
790718	302917	Anna Engel
790718	303379	Mrs. Ashcroft
790718	314354	Miss Margaret Phillibrown
790718	315956	Mrs. Tuthill
790718	316955	Mrs. Jessie Connors
790718	319166	Sara Delano Roosevelt
790718	330105	Dr. Ellen Hollis
790718	330241	Mrs. Mountford
790718	330454	
790718	330634	Mrs. Parker
790718	358749	Mrs. Dixie James
790718	358779	
790718	362063	Mrs. Charles DaFoe
790718	367511	Cora Furness
790718	367721	Mrs. Matthews, Brook's Mother
790718	372299	Mrs. Barton
790720	194222	Mrs. Fafferty
790720	337164	Press Secretary
790721	2126	Herself
790721	22604	Herself
790722	134018	Cousin Carol
790723	404138	Additional Voices
790724	14620	
790724	89652	Mrs. Chase, Charley's Mother
790724	123913	Grandma
790724	128243	
790724	225126	
790724	234803	Old Lady
790724	270141	Minnie Meadows
790724	304347	Flower Woman
790724	330825	Woman in street
790724	351438	Actress 'Juliana Tesman'
790724	372931	Card Player
790725	257633	
790726	392015	Wolfie
790727	65029	Preva Page
790728	74975	Former virgin, in Piercetown
790729	245625	Girl in Subway
790729	379716	Francine Griffin (1987)
790729	387309	Shelley Franklyn (1983-1984)
790729	400236	Clover Wilde (1984, 1985-1986
790730	32466	Cheerleader
790730	45591	Dancer
790731	612	Party Guest
790732	141550	Struggling Actress
790734	273931	
790735	261330	
790735	284467	Vtora garkinya
790736	328	Receptionist
790737	289656	Herself
790738	350145	Bartendress
790739	7576	Herself
790739	117706	Herself
790739	136226	Herself
790740	352405	Woman in Flashback
790741	157324	St. Jude Student
790741	308053	Mother
790742	144280	
790743	394425	Additional Voices
790744	25524	
790745	255872	10th Century Woman
790746	91520	Akiko Adachi
790746	178247	Yuuji's aunt
790746	233106	Okin
790746	263361	Kotoe Ishigura
790746	373233	
790747	16537	Hiroshi's mother
790747	173105	Fusae
790747	176587	Magatama
790747	176592	Young woman
790747	243329	Shizue Omura
790747	335505	
790747	344967	
790747	373301	Umeka Mariko
790747	374107	Woman at tea house
790747	374108	
790747	405984	(Pledge, USC)
790748	292038	Herself
790749	252057	
790750	222992	
790751	296266	Terry
790752	163477	Dolly Burke
790753	142616	Complaining Customer
790753	144698	Tine
790753	182947	Nurse
790753	295710	Mrs. Agatha Stone
790753	346078	Housekeeper
790753	388320	Elsie Bailey
790753	392019	Mary Willoughby
790754	16751	Jacques' Girlfriend
790754	157290	
790755	110516	Co-ed
790757	234658	
790758	198032	Mother
790759	71603	Herself
790759	104772	German entry (18th place)
790760	173395	
790760	226646	Shefali
790761	50630	Miraal
790761	191669	Lara
790761	218341	Alice
790761	289887	
790762	134750	
790763	17506	Slave
790763	195743	Nurse
790763	285605	Girl
790764	84322	
790764	233894	Jennifer
790765	310485	Girl in bikini
790766	357977	Mea
790767	106162	
790767	208948	
790767	287960	
790768	185228	Sho's Woman #1
790768	194564	Symposium Doctor
790769	194145	Fighter
790770	128718	
790771	223378	
790772	80416	Carol
790773	187226	Cadillac passenger
790774	220276	Montmartre Dancer
790775	176810	Eloise
790776	311180	
790777	69691	Dorothy Carlyle
790777	77145	Betty Denton
790777	100125	Coreen Bradford
790777	137674	Nurse Karen Bailey
790777	178918	Maggie
790777	200528	Alice Cook
790777	241505	Wendy Somerset
790777	282464	Trish Callahan
790777	391069	Angie Harding
790777	403281	Alison MacKenzie Tate #2 (197
790778	66556	Realtor
790778	168272	Tourist, principal
790778	177309	Mrs. Mathews
790779	158056	Susan of Dublin
790780	144788	Court stenographer
790780	328268	Babe
790781	69236	Anna, the maid
790781	360705	Anna
790782	159888	Chris
790783	176415	Policeman #3
790785	103565	
790785	132035	Marina
790785	164090	
790786	126161	Baba Marga
790786	312442	
790786	326248	Baba Tzena
790786	349286	
790787	95624	Angelina
790788	154336	Herself
790789	80208	
790790	80208	
790791	33897	
790792	353934	Aunt Martha
790793	32466	Carol/Penthouse Hostess
790793	101942	Blind Date #2
790793	116053	Stephanie
790793	141815	Yitzhak
790793	186579	Lara Griffin
790793	256951	Vanessa
790793	292124	Laura
790793	295079	Mother
790793	306221	Beth
790793	363514	Herself
790793	392869	Julie Hermann
790793	407982	Cheryl
790794	198936	
790794	280835	Dentist Client
790794	293194	Herself
790795	157324	Mary Mullins
790796	47952	Helen Dawson
790796	302110	Mrs. Stowlap
790796	348067	Hospital sister
790797	177006	The Blond
790798	37883	Receptionist
790798	46311	Pearl
790798	193735	Photographer #1
790798	368405	Lili Lyric
790799	1479	Herself
790799	2304	Herself - Performer: 'Blues i
790799	4369	Josie Berry
790799	33610	Lettie Candless
790799	38243	Herself
790799	42357	Herself
790799	43613	Narrator
790799	63106	Herself
790799	68002	Herself
790799	81065	Lynn Bernheimer
790799	86865	Herself
790799	101729	Herself
790799	116523	Herself
790799	121616	
790799	126512	Herself
790799	133954	Herself
790799	141109	Herself
790799	164411	Herself
790799	176379	Herself in Clip from "Dinah's
790799	201434	Vocalist (segment "Ballade Ba
790799	223637	Singer
790799	238613	Herself
790799	239030	Herself
790799	262940	Herself
790799	291366	Herself
790799	291368	Herself
790799	329329	Herself
790799	329565	
790799	333054	Julie Sanderson
790799	348327	Virginia
790799	386365	(1976)
790799	386366	Herself/Host
790799	386367	Host
790799	386368	Host (1974-79)/Co-host (1979-
790799	386369	Host (1970-74)
790799	391765	Host
790800	98136	Miss Cerberus
790800	163232	Sgt. Rose Templeton
790800	294381	Emma Clotkin
790800	327241	Mrs. Wyner
790800	380640	Felicia Farfiss
790801	31441	Mrs. Silver
790802	183706	Office Girl
790802	280493	Milk maid
790803	142361	Medtech Personnel
790804	407369	Additional Voices
790805	129862	Secretary
790806	93789	Anna
790807	411305	Host
790808	117615	
790809	407656	Hayley (2001)
790810	159703	The Huldre
790811	169401	Maria
790813	68022	Herself
790813	251040	Herself
790814	265227	Irmie, Joseph K.'s cousin
790815	315687	Potiphar's Wife
790816	26626	Ginnie
790816	32360	Ricky Summers
790816	41772	Cherie
790816	43925	Ishmael's Wife
790816	64360	Peggy, school secretary
790816	87780	Herself
790816	193519	Lorna
790816	297007	Franceska Andrassy
790816	316325	Linda Harder
790816	318773	Anne Talbert
790816	372731	Jenny Bell
790816	388495	Joyce Kendall (1958-1959)
790816	401494	Herself
790816	410251	Betsy Garth (1962-1965)
790817	21003	Betti
790818	306026	
790819	54953	Townsperson
790820	321615	
790821	200108	Jellia Jamb
790822	118811	
790822	308382	Raider
790823	322417	Pool Girl
790824	2513	
790825	4102	
790825	98486	
790825	98550	Meena
790826	3582	
790826	74430	
790826	238830	
790826	253635	
790827	124843	
790828	128577	Pam
790828	411245	Lyn (episode 1: Room to Move)
790829	131994	Sarrah
790829	155672	Aglaya
790829	356966	Antonida
790830	89818	Katya
790830	227047	
790830	314468	
790830	352817	Alya
790830	374765	
790831	90515	
790831	104811	
790831	125298	Gaby
790831	144150	
790831	147190	Cara Carina
790831	171664	
790831	264347	
790831	340013	
790832	63098	Meredith
790832	161293	Herself
790832	387204	Host
790833	203612	Girl Friend
790834	314526	
790836	1953	Herself
790836	345876	
790836	345877	
790836	408088	Herself
790837	158338	Alberta
790837	406319	Elizabeth Westphall (1982-198
790838	152204	Ella
790839	12286	Handmaiden
790839	30074	Dorothy
790839	47979	Annie Wade, Ed's Wife
790839	49359	Dakota Brown
790839	50834	
790839	52514	Mona Andrews
790839	54549	Joyce Edwards
790839	66623	Joan
790839	79413	Marion Morgan
790839	114735	Wife
790839	120729	Jenny Mason
790839	141242	Jacqueline Starr
790839	151291	
790839	154405	
790839	154406	Wife
790839	171272	
790839	188323	
790839	193687	Jean Dennison
790839	210399	High School Girl
790839	215748	Bee
790839	219166	Ann
790839	224629	Babette, dancehall gal [Ch.1]
790839	254544	Ann Markham
790839	260101	Alice Goodwin
790839	297970	Girl
790839	302709	Nora Pryde
790839	311649	Linda Mason
790839	313833	Student
790839	317354	Student
790839	327271	Mary Lane
790839	330435	Dave's wife
790839	337638	Nancy Nordick
790839	363391	Laddie Gray
790839	365298	Jean Hall
790840	110350	Herself
790840	165287	Herself
790840	252861	Herself (Black Dahlia)
790841	197257	
790841	197267	
790841	201060	Mrs. Dashaway
790841	208056	
790841	329965	
790842	54897	Molly Brandt
790842	77288	Nurse
790842	84217	Passion
790842	89114	Martha Weston
790842	96650	Madame Augusta Stephan
790842	100667	Ethel Bashforth
790842	114700	Polly Parsons
790842	130795	Estelle
790842	133424	Hazel Lee
790842	133496	Lola
790842	133849	Elaine
790842	155716	Pansy
790842	176681	Mahaly
790842	186371	Estrella Santos
790842	188173	Ruth Warren
790842	190605	Mary Miggs
790842	195581	Mrs. Bevan
790842	196292	Ruby de Sensora
790842	203765	Lione Brune
790842	224827	Rene
790842	245524	Mrs. Standish
790842	251189	Vampire
790842	254644	Prudence
790842	266690	Rose Moulton
790842	302029	Widow Martin (prologue)
790842	360165	The eccentric aunt
790842	363239	Spitfire
790842	367711	Amy Bleeker
790843	108	Collins' Moll
790843	6145	Dora Dell
790843	7405	Girl in Candy Shop
790843	13191	Gossip
790843	29648	Sue Rogers
790843	32783	Gladys Cady
790843	36840	Suzie
790843	38849	A Raggedy Ruggles
790843	40095	Baby Doll
790843	41047	Receptionist
790843	45403	Evelina Skinner
790843	46378	Sally
790843	47345	Annabelle
790843	47370	Second 5 & 10 Salesgirl
790843	49240	Barmaid
790843	50596	
790843	53079	Gertrude (Gen. Custer's niece
790843	54520	
790843	64104	Marcia Valentine
790843	64111	
790843	66644	Mollie Thurman
790843	72225	
790843	72484	
790843	73447	Sibil Vane
790843	78066	Linda Betts
790843	81235	Player's wife
790843	89262	Hilda, the Maid
790843	93811	
790843	97198	A child of fagan
790843	99752	
790843	116527	Cashier, Paradise Ballroom
790843	120687	Miss Dunn
790843	120866	
790843	128257	Lucy
790843	128582	Mother
790843	130625	Topsy
790843	130626	Topsy St. John
790843	135409	
790843	138686	Party Reveller
790843	141013	
790843	141339	Cora
790843	141486	Jeanne
790843	142503	Mae
790843	143277	Kitty
790843	149160	
790843	149946	Sophia (her sister)
790843	157820	Lisbeth Vernon
790843	157865	
790843	158136	
790843	166982	
790843	175812	Evie a Barmaid
790843	176404	
790843	183347	Gert
790843	183402	Marian Forrest
790843	185178	Sybil Kelly
790843	186038	Edna
790843	186687	Molly Morris
790843	190911	Lucie Plock
790843	191587	Miss Clark
790843	191596	Olaf Tryggvesson
790843	192173	Ermigarde
790843	195473	Burlesque Girl
790843	197256	
790843	201421	Girl with the Pattersons
790843	202867	Mrs. Fogarty, Captain's Wife
790843	204185	Danny's Nightclub Date
790843	207200	Mimi
790843	224061	Crook girl
790843	227803	Nell Mangan
790843	231316	
790843	234797	
790843	241026	Dolly
790843	242052	Bianca
790843	244435	Gertie Van
790843	249158	Margy MacLean
790843	252288	Chloe Smudge
790843	252484	Agnes
790843	257852	
790843	259763	Polly Primrose
790843	260213	Anne Beaudeau
790843	264492	Lady Jane
790843	267558	
790843	275786	
790843	277819	Jane Gawne
790843	289461	
790843	291803	
790843	292639	Chorus Girl
790843	297886	Mag Monahan
790843	300119	Lena
790843	302723	Mamie, Mike's Girl
790843	308367	Reporter
790843	311871	
790843	312586	Babe Smith, the Girl Buck Pic
790843	314354	Carrie Jenkins
790843	321112	Cabaret Dancer
790843	323984	Maud Fells
790843	328766	Mame McQuire
790843	328815	
790843	330385	Marion, Nunheim's girl
790843	330598	Waitress
790843	331563	June
790843	333073	Bubbles
790843	333655	'Boots' Milburn
790843	339376	Prudence
790843	342850	
790843	345822	
790843	353540	
790843	360834	Telephone Operator
790843	362365	Waitress Letting Mary Serve M
790843	364642	Maggie
790843	365354	Miss Green
790843	367637	Gertie, Hotel Switchboard
790843	367734	Maisie Duncan
790843	372129	Peg (Madge's Friend)
790843	372220	Vera
790843	372933	Luella
790844	213884	
790845	275071	
790846	109689	Geraldine
790846	221645	Victoria
790846	274332	Terry Tyler
790846	330556	
790848	315311	
790849	172580	
790850	301682	Young Ginny
790851	16782	Mom
790853	332835	
790854	105281	Dream Girl
790855	279400	
790856	5201	Nice Lady
790856	32052	Alberta
790856	38572	Matron
790856	47592	Miss Lalor
790856	90508	
790856	100954	Nurse
790856	154621	Old Woman
790856	199148	Mrs. Baily
790856	231070	Nun
790856	282923	Fergus Groupie
790856	284526	Doctor Travis
790856	301614	Dr. Millichope
790856	363509	Rose
790857	398555	
790858	193778	
790859	193778	
790860	405209	Nurse Julie/Rawinia (2001)
790861	131765	Second Elderly Lady
790862	245507	Bunny Cote
790863	2543	Herself - Poptarts
790863	401875	Herself - Finalist (2000)
790864	157802	Girl in bus station
790865	321409	Producer
790866	299040	Ring girl
790867	51639	Cat Hat Girl
790868	304528	Bluebird
790869	215691	Miss Maryland USA
790870	115597	Midge
790870	189167	Lizzie
790870	347716	Temp
790870	381188	Kathleen
790870	395736	Mary
790871	26633	Hooker
790872	261426	Sheila
790873	140580	Exotic Beauty
790874	314392	
790875	271822	Afghan girl
790876	164473	The Bride of Frankenstein
790877	399130	Pippa Layton (1998-2000)
790878	253632	
790879	17546	Karmasova
790879	187800	Anna Petrovna
790879	230046	Olga's aunt
790879	248324	
790879	356420	
790879	357680	
790879	373744	
790880	6205	
790881	129199	Bride
790881	174708	
790881	181585	
790882	223558	
790883	255609	Narrator
790884	23441	Tonya's Double
790885	335511	Jean Everard
790886	290339	Maria
790887	44539	Babette
790887	46809	Maisie Beringer
790887	117227	Mike
790887	209623	Joan Lynton
790887	238602	Sweet and Dainty
790887	282607	Girl
790887	334124	Florrie
790888	191640	Joyce Simcox
790888	290965	Reporter
790889	42800	TV Announcer
790889	53753	Brenda Tempest, Cecil's Wife
790889	58944	Pauline Gay
790889	76178	Lucy Merrall
790889	146054	Mary/Mabel
790889	164536	Ivy
790889	168453	Mrs. Swayne
790889	171209	Peggy Croft
790889	190782	Betty Beverley
790889	195535	Antoinette
790889	206471	Doris Chattaway
790889	215286	Diana Birkett
790889	231995	Cora Mellish
790889	232082	Gwen Darling
790889	240445	Helen Hayle
790889	251371	
790889	254260	Clara Wilson
790889	258289	Joan Hewlett
790889	280246	Christine Wyndham
790889	281374	Rhoda Marley
790889	309253	Molly Pentreath
790889	318731	Millicent Keable
790889	348395	April Dawne
790890	277436	Speech Therapist
790891	145362	Courtroom Extra
790892	40074	Edna Crocker
790892	58521	Mrs. Frank Sturgis
790892	65036	Mrs. Smythe
790892	89114	Mrs. Clark
790892	97204	Ruth Carlyle Graham
790892	101503	Minna Stevens
790892	105389	Mrs. David Bruce
790892	130060	Undetermined Role
790892	139762	Mrs. Winthrop
790892	141217	
790892	143254	Mrs. Stillwater
790892	195947	Eugenie Redfield
790892	196455	Mrs. Borroughs
790892	204278	Mrs. Wainwright
790892	206429	Mrs. Worthing
790892	207419	Sadie
790892	215547	Fay Gonard
790892	241856	Mrs. Gray
790892	255871	Mrs. Reed
790892	283577	Mrs. Finch
790892	286138	Society Lady
790892	296654	Mrs. Van Dusen
790892	299808	Mrs. Schuyler-Payne
790892	323740	
790892	324219	
790892	330604	Madame LaGrange
790892	346063	Mrs. Hampton
790892	359400	Undetermined Role in Prologue
790892	366772	Helen Whipple
790892	367424	Rosa
790893	18577	Cora
790893	84399	Mimi Copeland
790893	158781	2nd Townsperson
790893	194013	Neldra Haynes
790893	196872	Science Teacher
790893	235443	Mrs. Lester
790893	324235	Bianca
790893	399439	Helen
790894	137056	
790895	223848	Mrs. Applewhite
790896	255827	Bit Part in Church Scene
790897	368483	Angeline
790898	358486	Receptionist
790899	17941	John's Mother
790900	360713	Mary Fiore (Age 7)
790901	92742	Edgar's captive
790902	358287	Zosia
790903	232543	Beniko
790903	236166	Mizue Okami
790904	7007	Agnes
790905	231396	Other Girl in Park
790906	4214	Olfat Hanem
790906	8158	Layla
790906	9414	Lover of Mr. X
790906	9751	
790906	14452	
790906	15346	
790906	19918	Elham
790906	21806	Shakshoka
790906	92089	
790906	98720	
790906	163782	
790906	205384	
790906	211289	Elham
790906	214130	Zahra
790906	220481	Mona
790906	220960	Miss Schumaker
790906	227910	
790906	270992	Amina
790906	270995	
790906	285540	
790906	287101	
790906	324992	
790907	98034	Liza
790907	210251	Basya
790907	306955	Janette Shushan
790907	397635	Aliza Shachar
790908	378373	Grupo En Baile
790909	131709	Nicole
790910	403299	Panelist
790911	257533	Cloe
790912	14078	Lillian
790912	27953	
790912	47050	Lila Foster
790912	68319	Kat Withers
790912	91720	Mudwrestler #1
790912	102716	Reggie
790912	109619	Grace Fields
790912	118938	Dr. Alice Singleton
790912	122017	Barbara Manchester
790912	157291	Emily
790912	162462	Tina Lovejoy
790912	182961	Lisa Moore
790912	187167	Herself
790912	195829	Cindy
790912	206440	Carol
790912	232181	Queen Aleyna
790912	245233	Sally Anne Lewis
790912	257644	Herself (Miss December)
790912	257682	Herself (Playmate)
790912	257863	Herself (Playmate of the Year
790912	257865	Herself
790912	296276	Laura Altman
790912	296681	Joyce Walker
790912	297764	Irene
790912	334354	Vinnie
790912	351178	Gina
790912	351428	Laura
790912	365218	Celeste
790912	404282	Janice Harrison (1985-1986)
790913	312773	Actress
790915	128600	Lulu
790916	104659	
790917	294834	
790918	84466	
790918	132078	
790918	252815	
790918	261250	
790919	79269	Martha
790919	125586	Helen Vedor
790919	232269	Pregnant Lady
790920	176085	
790921	288464	Ms. Sutcliffe
790921	344906	
790922	16874	
790923	339861	Cess Bowman
790924	409295	
790925	374775	
790926	294079	
790927	103331	Mall Kid 1
790928	195751	Mima
790929	384043	Puppeteer for suzie the mouse
790930	253225	Angie
790930	370648	Belva
790931	392257	
790932	181618	
790933	117751	Divorce Clerk
790934	331461	Lillian
790935	82326	Shira
790935	88763	Beverly Jackson
790935	107728	King's Secretary
790935	341549	
790935	386565	Beverly Jackson
790936	137829	
790937	111729	Ingrid
790938	33205	
790939	60085	
790939	92998	
790940	399943	Erika del Busto
790941	11539	Wiatress
790941	218733	Boutique Attendant
790941	224124	Kenworthy's Friend
790942	108101	Herself
790942	264931	Vanessa Ritchie
790943	316881	Pam Short
790944	80441	Maid
790945	323674	Child artist
790946	93721	A Girl
790947	141	
790948	157578	Courtesan
790949	2819	Cashier
790950	227031	Laura Dixon
790951	57929	Jazz Class Dancer
790952	185053	Cameo Appearance
790952	380028	Correspondent
790952	383698	
790952	385747	Herself (1992-2004)
790952	395491	Peggy Shippen
790952	398243	Herself - Co-Anchor (1985-198
790953	229816	
790953	287917	Bhanu
790953	323049	Devaki
790953	380430	
790954	105216	Customer in Salon
790955	262435	Leela
790956	328222	
790957	105216	Customer in Salon
790958	262435	Gautami
790959	330376	Mrs. Kiernan
790960	248431	Old Lady #2
790961	289372	Featured Extra
790962	7007	Miss Watson
790962	11417	The Wife
790962	114298	'A Certain Age' Cast Member
790962	134017	Party Guest at Adler's
790962	255697	Mother at Department Store
790962	308115	Aunt Rae
790962	335799	Mrs. Crawley, Amy's Nanny
790962	363072	Aunt Helen
790962	380713	Ann Eldridge (1991-1992)
790963	101586	Innocent Victim (Wearing Blac
790964	372730	Mama Doyle
790965	10883	Female cop
790965	50989	Mother #2 at McDonalds
790965	57157	Newsreporter
790965	107990	Nurse #1
790965	185138	Molly Duncan
790965	213276	Wife
790965	321660	Mrs. Hampton
790965	331112	Mrs. Schrader
790966	126619	Extra Talent (segment "Gett O
790967	17366	
790967	124638	Gauri (Special Apperance)
790967	180584	Printzesa Turandot
790967	257132	Rosalie Lomax
790968	98225	Girl
790969	340104	Masha
790970	228906	Girl on Bicycle
790971	1360	
790972	229006	
790973	44343	Djevica Zla #5
790974	300379	
790975	206496	Rudy
790976	375233	German girl
790977	25570	Uri's Mother
790977	103595	Stella
790977	193050	
790977	202077	
790977	282518	
790977	306957	
790977	322686	
790977	371643	
790978	261886	
790978	356827	Gammy Girl
790978	396238	Alisa
790979	1518	
790979	91212	
790979	223238	Aleksandra
790979	224278	
790979	265572	Nina Sergeyevna
790979	296993	
790979	341191	
790979	349269	
790979	357461	
790979	374427	
790979	374838	Tonin
790979	374856	
790980	298337	
790980	298704	
790981	3270	Mei Ling
790981	8770	
790981	25822	Anita Lee
790981	27161	Kwan Chin/Eleven/Shadow
790981	28037	Yang Yin
790981	28832	Ah Nam
790981	36376	Chan Pun
790981	43143	Vivian
790981	44198	Bu
790981	61091	
790981	61463	Lynn
790981	63376	Cat
790981	85495	Siu Yu
790981	90560	Messenger of Hell
790981	94404	Bitter
790981	94914	Angela
790981	110621	
790981	111246	Muse
790981	131342	Scarface
790981	135079	Yu Wai-Kei
790981	149008	Ming-Ming
790981	152810	Fon Fon
790981	167419	Joey Cheng
790981	167584	
790981	167851	Shiu Fong-Fong
790981	175255	Grace
790981	197558	
790981	201835	
790981	210120	Kana
790981	212511	Herself (The Narrator)
790981	231228	
790981	238700	Shan
790981	268691	Vicky
790981	275572	
790981	286979	Fei
790981	286998	Joey
790981	287034	June
790981	291675	Mango
790981	298420	Mei Ling
790981	332340	Kiki
790981	338173	Lai
790981	358235	Sue
790981	369651	
790981	370727	
790981	370755	
790981	372258	Mei Ling
790981	372389	June Wong Siu-Kam
790981	373004	
790981	373013	Mirage Lady/Siu-Tsui
790981	374905	Mu
790982	408174	Onk (De Grob- en Grolband)
790983	144295	June
790984	369844	
790984	371486	Wang Lizheng
790985	225804	Herself (Figure Cyclist)
790986	15334	
790986	309183	Herself
790987	353799	Young woman
790988	8079	Lizzie
790988	45587	Frances
790988	74259	Mrs. Tadlock, Chatterbox Orph
790988	142985	Cocktail Lady
790988	148255	Woman on Airport Phone
790988	299944	
790990	204257	Camping Girl
790991	204268	Lauren
790992	358954	Blonde dance-hall girl
790992	366946	Given
790994	285443	Sally Blake
790995	90572	
790995	93051	Sanna
790995	166521	
790995	171865	
790995	187657	Lekha's Mother
790995	202609	
790995	209240	Parvathi
790995	222221	Valli
790995	237510	
790995	243864	Gowri
790995	288271	
790995	303106	
790995	329364	Chenna
790996	251308	
790996	280610	
790997	63610	
790997	176117	
790997	225976	
790997	244263	
790997	410405	
790998	26248	
790999	394620	
791000	319157	Anya
791001	1674	Herself
791001	3021	Herself - Presenter
791001	6865	Chris Parker
791001	15214	Isabelle Goodrow
791001	26846	Jennifer Parker/McFly
791001	26847	Jennifer Parker
791001	40685	Caroline
791001	42821	Dr. Cynthia Lair
791001	52555	Jackie Sarnac
791001	64842	Pregnant Woman
791001	72034	Jenny Cadine
791001	81649	Fay
791001	91875	Kathy Shelton
791001	93253	
791001	114310	Narrator
791001	115319	Herself
791001	137440	
791001	141164	Anne
791001	144663	Elizabeth
791001	147603	Linda McKay
791001	147604	Herself
791001	147835	Herself
791001	173933	Ali Mills
791001	186841	Sera
791001	187843	Mary Bloom
791001	206477	Adele Horner
791001	217421	Molly McKay
791001	224639	Mrs. McCormick
791001	247155	Mrs. Donnelly aka Rhea Malrou
791001	270638	Natalie
791001	282667	Lynn Osborne
791001	285752	Dr. Emma Russell
791001	306625	Lori Craven/Angelique
791001	308184	Margie
791001	339649	Annie Kay
791001	341455	Narrator
791001	342403	Emily Adams
791001	346299	Susan Crenshaw
791001	383228	Jackie Sarnac (1984-1985)
791002	89161	14th Street Player
791003	271212	
791004	243580	Lady in gym
791005	391063	
791006	121859	Gail
791007	93319	Robin
791008	291449	Blue Bell
791008	318729	Karen
791009	110967	Edwina 'Ed'
791010	300756	
791011	220412	Joyce
791012	173650	
791013	4680	Shermila
791013	13857	Priya
791013	123107	Captain Varji
791013	124014	Farla
791013	159073	Maya
791014	17889	
791015	172539	Gia Kapur
791016	130158	Jakhra's sister
791017	167347	
791017	272741	
791017	290365	
791018	175918	
791019	179212	Miriam Eldad
791020	33895	
791020	140724	
791020	191404	Shula
791020	228545	
791020	235488	Faiza (terrorist)
791020	303022	Mother
791020	306956	
791020	408225	Rina Akman
791022	14307	Annie
791022	172467	
791022	283799	
791022	316373	(segment Bratka)
791022	341237	Nikolai's Second Wife
791022	396238	Larisa Streletslaya
791022	398043	
791023	38505	
791023	58923	Atreyi
791023	94918	
791023	203933	
791023	207561	
791024	111068	Zina
791025	352867	Prince
791026	40902	Herself
791026	134166	
791026	188510	Nurse
791026	208245	Mrs. D., Bathhouse Maid
791026	292256	Herself
791026	292577	Herself
791026	345706	Herself
791026	367883	Herself
791026	369461	Herself
791026	391835	Talking head/soundbites (segm
791027	162516	Brenda Harris
791028	304457	
791029	357765	Elin Olofsson
791030	185683	Theater Audience
791031	49828	Rat Woman
791031	198123	
791032	304170	
791033	88639	Dancer/Angel
791034	70227	Ilya Heileman
791034	194666	Mrs. Ianelli
791035	91994	Patti Mayonnaise
791035	115326	Cindy Mae
791035	120148	Missy
791035	140843	Make-Up Girl
791035	188489	Nell Willis
791035	194727	Beautician
791035	208871	Doctor Blazier
791035	210732	Carly
791035	277140	Pharmacist
791035	321126	Hazel (Hooker #1)
791035	360856	Tour Operator
791035	382669	Patricia 'Patti' Mayonnaise
791035	386840	Patricia 'Patti' Mayonnaise
791035	388197	Shelly Ray
791035	391266	
791036	14170	Woman in Disco
791036	58480	Waitress
791036	180771	
791037	196181	Charlene
791038	184859	Waitress
791039	174108	Jacob, the Boy
791040	3421	Customer #1
791041	50444	Extra
791042	364783	Waitress
791043	20009	Marilyn
791044	80015	Linda's friend
791045	166334	Jeanne D'arc
791046	149109	Daughter
791047	156547	Gladys
791047	381026	Mariana Solaz
791047	387556	Angela Donoso
791047	404984	
791048	30678	Nurses
791049	270008	Freedman's Secretary
791050	30678	Nurses
791051	373699	Nurse
791052	245296	Pretty girl
791053	180121	
791053	205526	Herself
791053	352874	Herself (Singer)
791054	26247	
791055	33199	
791056	109619	Ms. Chin
791056	117713	Waitress
791056	344514	Amy Chen
791057	86038	Translator
791057	91737	Janet Eng
791057	93772	Chen/Margaret
791058	91737	Auntie Bing
791058	193966	Lee-Tai-Tai's Customer
791060	106484	Wife
791061	137195	Marlina D'Amore
791061	164364	Martini
791062	55444	Aunt Charlee
791063	112028	Woman With Dog
791064	335839	Raven
791065	45662	Young Robin
791065	192415	Lisa
791065	195540	6-Year-Old Dana Greenway
791066	213272	Mother
791066	341049	Dispatcher
791067	212691	Wife Art Patron
791068	6865	Mrs. Parker
791068	155066	Carole
791069	257332	Attendant to the Gods
791070	174677	
791071	9473	
791071	343973	
791072	185684	Rebecca Shuman
791072	237422	Brandy
791072	317370	
791073	4937	
791074	82771	
791075	83040	
791075	198176	Lyudmila Nikolskaya
791075	226470	
791075	338860	
791075	340065	
791076	381225	Yuliya Voronina
791077	21822	Rumi Watanuki
791077	255060	
791077	373751	Kiwa Tachibana
791078	171311	Jewish Woman at Luncheon
791079	243974	
791080	199370	Matron
791080	257201	
791080	340755	Jail Matron
791081	55417	Woman
791081	77643	Amazon Chorus Girl
791082	362642	Olympic Hopeful
791083	304691	Jules
791084	185475	Rainbow
791085	117665	Patty
791086	358936	Wanda's Sister
791087	381821	Ensemble (1975-1976)
791088	1810	
791088	15811	
791088	28143	
791088	58459	Natalia von Mekk
791088	82261	Lida
791088	92082	Rosa Luxemburg
791088	162020	
791088	178798	
791088	180856	
791088	229852	Anna Petrovna Voynitseva
791088	284479	
791088	296994	
791088	337045	
791088	350794	
791088	356420	Princess Mariya
791088	356421	Princess Mariya
791088	356422	Princess Mariya
791088	356423	Princess Mariya
791088	356424	Princess Mariya
791088	381225	Gordeyeva
791088	411996	
791089	285210	
791090	218159	Nurse
791091	105993	Emilee
791091	158035	Laurie Partridge
791091	222977	Juice Girl
791091	305572	Brittney
791092	224192	Pet Store Girl
791092	394510	B-cup Woman
791093	46367	French Girl
791093	132098	Vicki
791094	303863	Improv Asylum
791095	319987	
791096	365827	Zelda #4
791097	51051	Anchorwoman
791098	291110	Fortune Teller
791099	285099	
791100	287782	Girl
791102	327786	
791102	364141	
791103	157922	Second Girl at Dance
791104	247093	
791105	350991	
791106	70053	
791107	184744	
791108	92688	Marla Drake
791108	211783	Lorraine
791108	220056	Mrs. Barry
791108	294142	Ruth Cramer
791108	295351	Anna Lou White
791108	330715	Helen
791108	405959	Ruth Cramer
791109	52198	
791110	268245	
791111	306126	Woman
791112	192503	Model #1
791113	55681	Main Ward Nurse
791113	55686	Pat
791113	55701	Maid
791113	55706	Girl Lover
791113	55707	Miss Smethurst
791113	387533	Sarah James
791114	119501	Extra
791115	367812	Herself
791116	37702	Beautiful Girl
791117	82699	Dianne
791118	257730	Mrs. Cartwright
791118	364461	Mary Custer
791118	388559	Mrs. Stebbins
791119	144523	Playground Kid
791119	154451	Julie Chandler
791119	362538	Dance School Student
791120	16672	
791120	27213	Reporter #3
791120	97101	Bess, Fred's Fiancée
791120	157563	Beverly Clutter
791120	224820	Deputy Betty Fisher
791120	363547	Daralyn Locke
791121	392532	Herself - the finalist (2nd t
791122	67642	
791122	288038	
791123	324517	La grand-mère de Mei Li
791124	162758	
791125	20369	
791125	125648	
791125	163040	
791125	258999	
791125	265839	
791126	219692	Singer in Russian Band
791127	173024	Ira Milovanova
791127	263388	
791128	87740	
791129	313624	Lubov Ivanovna Mordashova
791130	122825	
791131	340431	
791133	270008	Barnard Girl
791134	58554	Anju
791134	182202	Kannamma
791134	202472	
791134	258082	Leanne
791134	370213	
791135	2165	
791136	30864	
791137	4092	
791137	4336	Nikki
791137	4428	
791137	18915	
791137	27773	
791137	29043	Shankar's Wife
791137	30453	Shama
791137	35943	
791137	35973	
791137	36006	
791137	58979	
791137	59388	
791137	61012	Shobha
791137	62648	
791137	79143	
791137	85419	
791137	86644	
791137	86685	
791137	89767	
791137	95237	
791137	126941	
791137	131181	
791137	145368	
791137	148921	
791137	165352	
791137	165643	
791137	167363	
791137	168758	
791137	174266	
791137	175929	
791137	183091	
791137	184174	
791137	200817	
791137	201239	
791137	201954	
791137	207382	Mrs. Dhanraj
791137	213784	
791137	222912	
791137	226040	
791137	232720	Sindhu
791137	232731	
791137	233210	
791137	247408	
791137	250496	
791137	251216	
791137	252340	
791137	255912	
791137	281484	
791137	289010	
791137	289181	
791137	289307	Kamini
791137	295544	
791137	296627	
791137	297058	
791137	297576	Chanchal
791137	297725	
791137	300324	
791137	300577	
791137	318419	
791137	320392	
791137	324830	
791137	324877	Sheela
791137	330975	
791137	373540	
791137	375214	Meeta's chachi (aunt)
791138	288960	Herself (segment "Fire and Ra
791139	26020	
791139	86640	
791139	95039	
791139	159306	Bamma
791139	176773	Heiress
791139	181927	
791139	217132	
791139	217202	
791139	267416	
791139	320883	
791140	56556	
791140	105156	
791140	161093	
791140	247990	
791140	306916	
791141	760	
791141	763	
791141	764	
791141	766	
791141	767	
791141	768	
791141	770	
791141	784	
791141	62368	
791141	110476	
791141	130151	
791141	159221	
791141	191938	
791141	235127	
791141	243860	
791141	261431	Dead girl #1
791141	264126	
791141	291282	
791141	321162	Shyla
791142	386970	Pawnee Girl
791143	275485	
791143	314686	Brother Murdered, 1940, by Ru
791144	375535	
791145	151786	Marylou Summers
791145	151787	Mary Lou
791145	151789	Mary Lou
791146	19235	Hitomi
791146	26238	Naomi
791146	91094	Chichi
791146	123111	Shildy
791146	137284	Miya Alice
791146	176537	Cheimin Noah
791146	177084	Girl
791146	177161	Mina Kousuki
791146	182507	Ranka (ep.2)
791146	209803	Mai Yumekanô
791146	210156	Yuuratei
791146	212306	Ikuko
791146	283621	Murasaki
791146	285738	Erii
791146	325314	Nagisa Kano
791146	386776	Chi-Chi (1989-1991)
791146	386777	Chichi
791146	390908	
791146	394426	Qum
791146	395069	Mary
791146	396796	Diana
791146	397562	Otonashi Ikuko
791146	404127	Eri
791147	294163	Chiyoko Fujiwara (70's)
791147	409326	Ageha's mother
791148	192476	
791149	400292	Aya Misaki
791150	76822	Chen Juan
791150	372978	Liu's Wife
791151	268733	Humali
791152	116601	
791153	379899	Micaela Fernandez
791153	390745	Rosa Emilia Carrillo
791153	393805	Juana Caridad
791153	405777	
791153	405865	Silvia Stella Graniani
791153	405866	
791153	407649	Deborah
791153	409922	Grazzia Fontana Viso
791154	236525	La femme du capitaine
791155	173132	
791156	155449	
791157	218308	Femme dépressive 1
791158	146954	
791158	212157	Anna Lisa Pereira
791159	8915	
791159	10655	
791159	15013	
791159	18319	La patronne du tabac
791159	23746	Une serveuse
791159	29701	
791159	33577	Mlle Lagorce
791159	36655	La patronne du bar
791159	43711	Mme Julien
791159	51826	Une dame
791159	54247	Mme de Guérinière
791159	57512	
791159	59231	
791159	63690	Rose
791159	68896	La marquise
791159	101950	
791159	107640	
791159	115692	
791159	117914	La patronne
791159	148645	La patronne
791159	149203	
791159	156314	
791159	201166	
791159	214376	Fish seller
791159	217694	
791159	218290	La grosse dame
791159	223174	La dame charitable
791159	242537	Girl in Black Bra & Stockings
791159	249748	La mère ménard
791159	268395	Mademoiselle Couture
791159	301404	Madame Tourlet
791159	349628	Mme. Boin
791160	243994	
791161	228442	Temple Clerk
791163	17805	Maida
791163	43416	Berthilde
791163	53943	
791163	66364	Walker's Daughter
791163	69707	Ocron
791163	70098	Lucy
791163	91533	
791163	92073	
791163	94667	
791163	135878	Lenna
791163	158862	Luana/Susan
791163	189392	Sonia
791163	215896	Glenda
791163	227590	
791163	247107	
791163	255541	Infermiera
791163	287407	Rani, the Golden Goddess
791163	340310	Princess Valkari
791164	7064	
791164	24944	
791164	24945	
791164	25888	Jenny
791164	30780	
791164	41791	
791164	60887	Yin, Tseung's wife
791164	90561	
791164	92741	
791164	110655	Josephine Hsu
791164	116602	Mother Fong
791164	116603	Fong's mother
791164	122701	
791164	130862	
791164	135097	
791164	151498	
791164	151917	Lang Kim-Sum
791164	153031	
791164	159471	
791164	159472	
791164	167403	
791164	172902	
791164	181542	
791164	183693	
791164	187252	
791164	188439	
791164	188842	
791164	191009	Lam Ah-Chun
791164	192165	
791164	192166	
791164	198612	Sau Din
791164	203117	Peony/Ngou Chat
791164	209887	
791164	222811	
791164	236261	
791164	236264	May Sun
791164	268614	
791164	268781	
791164	285026	
791164	285027	
791164	297505	
791164	332359	
791164	369629	
791164	369787	Cameo appearance
791164	373000	
791164	373001	
791164	373009	
791164	374962	Ah Gee
791164	375277	
791164	375995	
791165	379361	Dora (2000-2002)
791165	387477	
791165	395090	Leila Osgun/Elli
791165	401504	
791166	162607	Ensemble
791167	292017	Winifred Utley
791168	122619	V/o 15 characters
791168	241792	Bridesmaid
791168	276875	Reporter
791168	363928	Saphire
791169	63892	
791170	49756	Vroedvrouw
791170	215068	
791170	360785	Buurvrouw
791170	367022	Gossiping woman
791170	389782	
791170	409162	
791171	386020	
791172	201173	
791173	322851	Tata
791174	262054	Student
791175	16124	Talking girl at party
791176	346178	Eve
791176	399573	Millie Anderson
791177	34700	
791178	23704	Vivian Berger
791178	110242	Newscaster
791178	130441	Jude
791178	163363	Clarice Kensington
791178	171155	Brenda
791178	214911	Alex Peterson
791178	234116	Angela
791178	241762	Donna Cumberland
791178	241776	Casey Hill
791178	265777	Libby
791178	276413	Claire Ward
791178	291866	Christina Ethridge
791178	292115	Bridget Riordan
791178	306223	Nana
791178	388375	Laurie Parr
791178	391439	Heddy Newman
791178	392542	Melanie
791178	399392	Dr. Katherine Emerson (1997-1
791178	404282	Jane Wilson (1986-1987)
791179	320524	Lise
791180	165466	
791180	165467	Herself
791180	165468	
791180	165469	Herself
791180	313102	Herself
791180	404900	Herself
791181	57850	
791181	109082	
791182	73114	Colonel's Slave
791182	80751	Warden's Slave
791182	113414	Irina
791183	23904	L'infirmière
791183	78804	
791183	111023	Judith
791183	288896	Jeanne
791183	345093	Claire Delamare
791184	202360	Soprano (de l'Opéra-Comique)
791185	59703	McClean Angestellte
791185	61890	
791185	110430	Verkäuferin
791186	89481	
791187	91914	Mrs. Perfect's Assistant
791188	23635	Geneviève Baudu
791188	40593	The Little Refugee
791188	48195	
791188	73157	Estelle
791188	84096	
791188	96066	La môme
791188	118828	
791188	162429	
791188	166335	
791188	167199	
791188	206506	Louison
791188	224902	
791188	225488	
791188	236617	
791188	254120	Lise Berthier
791188	258318	
791188	272387	
791188	284880	
791188	287974	
791188	353890	Ninette, l'amie de René
791189	370878	Cashier
791190	337130	Crazy Connie
791191	308133	
791192	64073	Cinderella
791192	105029	
791192	342009	Sevilla Haslam
791193	33	Hooker
791193	142170	Bartender
791193	223963	Bernice
791193	246756	Marion
791193	281455	Robin
791194	316953	Extra
791195	112229	Mah Li
791196	64114	Mrs. Catchpole
791196	79803	Miss Tuttle
791196	97609	Ruth
791196	222819	A Butler
791196	254086	
791197	41432	
791198	394460	Additional Voices
791199	400201	Nurse
791201	313194	Herself
791201	406378	Herself
791202	8283	
791203	286119	
791204	283581	Witch Doctor
791205	75370	Nancy Barnes; Bank teller
791207	390773	
791208	7458	Une fille
791208	13111	
791208	51954	
791208	111693	Olive Mesmi
791208	111707	
791208	148717	
791208	152375	
791208	216795	
791208	218561	Une invitée de Mousette
791208	385490	
791209	248473	Vieja
791209	404987	
791209	408848	
791210	55477	Georgene
791211	350681	
791212	410610	(episode "Protest und Theorie
791213	90117	Flower Girl
791214	249749	Institutrice
791215	343987	
791216	61768	Chloe
791216	151458	Chantel
791216	202619	Diana (Teenager)
791216	269692	Cheerleader
791216	397693	Young Aisha (1996)
791216	400253	Spirit
791217	407297	Herself - Host (?-2004)
791217	409153	Herself - Host (1990-?)
791218	112267	Maria
791219	12516	Euphrosine Muffel
791219	40518	
791219	51329	
791219	60372	Marie
791219	89494	
791219	89679	Wüblen
791219	107749	
791219	137854	
791219	157800	
791219	175276	Gerry Franzen
791219	193463	
791219	194434	Frau Krause
791219	203923	
791219	204450	
791219	207884	Paula
791219	210018	Malwine
791219	211080	Emma
791219	212781	Johanna
791219	219278	Anni
791219	229161	
791219	239907	Guste
791219	244704	Mrs. Weber
791219	256602	Katrin Deger
791219	259421	Liene
791219	281230	
791219	283223	
791219	290269	Tine
791219	290766	Annie
791219	312205	Lena Koeppen
791219	338367	
791219	338465	Anna Schmidt
791219	354057	Laura
791219	359678	
791219	361380	
791219	361416	Alma Roggenbrück
791219	365772	
791219	387736	Frau Peschke
791219	390889	
791219	393254	
791219	394144	
791219	400044	Anni
791220	381051	Young Céleste/Pom
791220	388314	Julie
791221	80114	
791222	84457	Foxy Girl
791223	353294	Academy Girl
791224	345539	Julie's pal
791225	157014	
791225	249209	Epouse d'un boss de Jeannot
791225	249464	
791225	255026	Berthe Tremblay
791225	381504	Yvonne L'Espérance
791225	400804	Annette Dumesnil
791225	407068	Marie-Amanda
791225	411623	Mme Legendre
791226	271868	Technologist #2
791227	87859	
791228	185863	Janet
791228	205426	Graziella
791228	321240	Lila
791229	9602	Fiancée
791229	388912	Camilla
791229	400356	Anna Höglund
791229	409855	Minna Vuorinen
791230	108633	Teatern
791230	144083	Prästgårdspigan
791231	307934	Herself
791231	396076	Herself
791232	261745	Sally
791233	11326	Hotel Maid
791233	32131	Betty
791233	78921	Mrs Helms
791233	131797	Mrs. Webster
791233	153001	Marge Beake
791233	178098	Christine
791233	184536	Joyce
791233	229728	Mrs. Trollope
791233	270001	Veronica
791233	292700	Jinny Musgrave
791233	328906	Health visitor
791233	335155	Doris Schuster
791233	379161	Dee Yearwood
791233	380346	Anna's Midwife
791233	385020	Brenda Taylor (1990-1992)
791233	393653	Pauline's mother
791233	396090	Rita's Mum
791233	397676	Counsellor 2
791233	400110	Woman in street
791233	402125	Hill (housekeeper)
791233	405476	Betty
791233	408866	Dr. Deirdre Smith
791234	226882	
791235	34661	Rachel
791236	510	Elk/Tsukasa
791236	515	Elk
791236	516	Elk/Tsukasa
791236	517	Elk/Tsukasa
791236	19768	Young Elk, Additional Voices
791236	20458	Kid
791236	26086	Additional Voices
791236	30736	Rushe Ren Ren
791236	50184	Chihiro
791236	63711	Ryan
791236	72237	Additional Voices
791236	86545	Koromon/Kuramon
791236	87408	
791236	113334	Young Aldo (Opening FMV)
791236	138135	Project Doraemon Ikariya (Eng
791236	164703	
791236	174325	Mee
791236	189974	Ethan Weekum the Cripple
791236	197758	Prison inmate
791236	212067	Kenichi
791236	213446	
791236	262090	Ruptor
791236	262091	Circuit
791236	262092	Circuit/Quantum Morpher
791236	262093	Circuit
791236	262094	Circuit
791236	262095	Circuit
791236	283895	Additional Voices
791236	296967	Girl at Police Counter
791236	310087	Additional Voices
791236	310106	Additional Voices
791236	313338	Flad Garrand
791236	316626	
791236	323889	Mithos
791236	336577	
791236	367083	Supporting Cast
791236	369525	Jr.
791236	373380	Lord Koenma
791236	373381	Lord Koenma/Yukina (AnimeWork
791236	373382	Lord Koenma, Additional Voice
791236	373384	Mamoru Shimesu
791236	378651	Tsukasa/Elk (Episode 28)
791236	385151	Kid Boy, Scratch Cult Member
791236	386345	Tommy Himi/Kumamon (2002-2003
791236	389791	Hideki
791236	389870	Remmy Levi-Strauss
791236	393503	Mosby
791236	393545	Additional Voices
791236	393552	Boy B
791236	394016	Jin Tanaka (English Dub)
791236	394051	Rina
791236	394423	Al
791236	394427	Boy
791236	396440	Zazu Torque (season 2)
791236	398074	Rockna Hiragi
791236	400576	James 'Jim' Hawking (English 
791236	402002	Impus
791236	402006	Circuit
791236	403965	Young Sanosuke Sagura
791236	404879	Taro (English Dub)
791236	408734	Additional Voices
791236	408893	Tonis (ep. 5 & 6)
791236	411343	Gehl
791236	411563	Young Kamui Shirou
791237	405048	Mandy
791238	5413	Nancy Palmer
791238	107283	Jill
791238	117118	Ellie Mills
791238	189913	Cindy
791238	258051	Bobby Howland
791238	265030	Beulah
791238	280421	
791238	297990	Miss Kilroy
791238	335346	Janice Bender
791239	4268	Chachi's friend
791239	9844	
791239	21150	
791239	87581	
791239	98473	
791239	124031	Amina
791239	160169	Roopa
791239	174297	
791239	233206	Mother
791239	234884	
791239	248947	
791239	271744	
791239	285159	The Brahmin's wife
791239	299603	Deepak's mother (Guest Appear
791239	319834	
791240	380989	
791241	88489	
791242	19024	Texas Choir Member
791243	171851	
791244	122926	Nawab Begum
791245	140665	
791245	171851	Sunil's sister
791245	172682	
791245	191701	Temptation Girl
791245	270960	Sweety
791245	344128	Chiclet
791246	315164	Mama Pelassier
791247	361681	Girl at Football Game
791248	75306	
791248	207394	
791249	257241	The Tin Man
791250	256206	Party Guest
791251	108333	Laura #2
791251	323845	Jean Graham
791252	147362	Lynn
791253	292175	Missing girl artist
791254	132113	
791255	223963	Tango Dancer
791256	251655	Betty Coulter
791257	380485	
791258	208260	
791258	211926	Nurse
791258	330358	
791259	238449	Theban Child
791260	140964	Bride
791261	390812	Verena Koch (2001; 2002-)
791262	222007	
791263	313064	Youngest Jackie
791264	134572	Heifer Cheerleader
791265	96721	Mary the Bank Teller
791266	237122	
791267	135513	Mau Mau Dancer at Bantu Cusin
791268	301683	
791269	40200	Isabella
791269	215174	Vice-Principal
791269	314227	Judge
791269	334169	City Clerk
791269	334234	Nurse #1
791270	126508	Nada Band
791272	272776	Young Marci
791273	36605	Rani
791274	262772	
791275	18945	
791276	81587	Allison
791276	264537	
791277	253042	Dana
791277	257341	Photographers Model
791277	292058	Naomi
791277	338810	Barbara
791277	357585	Millie Grant
791277	382100	Nanny
791279	377989	
791280	299476	Beverly
791281	74566	
791282	78788	Shannon Sowley
791283	287230	
791284	97392	Edna Cantor
791284	134109	Girl in Reform School
791284	147394	Clara
791284	149998	Myrna
791284	165283	Herself
791284	196558	Bit part
791284	202952	Rowdy at Youth Rally
791284	254330	Kathy
791284	273633	Mil
791284	274508	Herself
791284	326408	Book Store Girl
791285	16892	Buff
791285	128847	Carlie
791285	144910	Dolly Crane
791285	177291	Salesgirl
791285	220174	Birdie
791285	317415	New Year's Eve Party Girl
791285	387120	Fuffy Adams
791286	2761	Herself - Memorial Tribute
791286	3040	Herself (Memorial Tribute)
791286	5383	Linda Brown
791286	14213	Roberta 'Bert' Alden
791286	16337	Andre's Grandmother
791286	32971	Hilda Carmichael
791286	33091	Tonita Storm
791286	41273	Iris Hilliard
791286	47359	Herself
791286	64922	Nan Cooley
791286	67776	Mrs. Flanner
791286	69389	Patricia
791286	70516	Margaret Smith
791286	77435	Aunt Marion
791286	80439	Drina Gordon
791286	81049	Clara Josephs
791286	88564	Elizabeth Gibson
791286	96707	Beatrice McKenna
791286	106748	Cousin Polly
791286	113655	Margaret Finnegan
791286	114659	Carrie Adams
791286	122052	Katherine Grant
791286	130011	Elizabeth Mullin
791286	130339	Herself
791286	131004	Herself
791286	131401	Lillie Taylor
791286	132184	Alma Lewellyn
791286	137972	Donaldina Cameron
791286	140402	Marney
791286	154516	Miss Coral
791286	166691	Jennie Gerhardt
791286	183405	Kathleen Storm
791286	195591	Cecily Harrington
791286	199310	Cho-Cho San
791286	201421	Cameo Appearance (at Preview)
791286	206488	Grandma Florence Norris
791286	206836	Mary Burns
791286	211545	Joan Prentice
791286	214942	Helen Smith
791286	215334	Fantine
791286	220788	Margaret Wyndham Chase
791286	232017	Herself
791286	241767	Mary Rogers
791286	247216	Fern Stobbs
791286	255167	Mary Richards
791286	271063	Dora Bloch
791286	284904	Mrs. Verloc
791286	291404	Herself
791286	291993	Cassie Bowwman
791286	292499	Kitty
791286	296726	Felicity
791286	301063	Lillian Gordon
791286	305363	Sadie Ross
791286	306305	Mrs. Carrie Rill
791286	316692	Rose Maurrant
791286	318808	Mrs. Pritchett
791286	330626	Princess Catterina/Nancy Lane
791286	331950	Valerie Briand
791286	337625	June Tolliver
791286	348838	Becky
791286	354859	Elsie Braden
791286	358191	Flo Lorraine
791286	366236	Anne Barclay
791286	366777	Grammy (Regina's Grandmother)
791286	372050	Helen Dennis
791286	372232	Joan Graham
791286	398245	Binnie Baylor
791286	404002	Sister Mary Joel #1 (1975)
791286	411323	Mama Carlson (pilot) (1978)
791287	41120	
791287	130888	
791287	132911	Voice
791287	193534	Sarah
791287	204051	Party Girl
791287	319554	Sophie
791287	406380	Herself (6° eliminated, 28 da
791288	26540	Marcela
791288	138293	
791288	305805	School director
791288	349189	Monika
791288	375405	Radovid's mother
791289	87979	Angela
791289	230332	Ella
791289	363780	Shaunice
791289	392204	Sasha
791290	30118	
791290	239436	Ljuba
791291	223213	Emilie
791292	124847	
791292	227956	
791293	20042	Herself (bear tamer)
791294	349051	
791295	57876	Serveuse
791296	180421	
791297	18262	
791297	283825	
791298	82794	
791298	91191	
791298	176117	
791298	191415	Caroline
791298	198156	Veronika
791298	231167	
791298	306725	
791298	349257	Lena Zorina
791298	398893	Savina
791298	409521	
791299	373736	
791300	190955	
791301	258684	
791302	68785	
791303	337735	
791304	117282	Laila
791305	192492	Åse
791305	234511	The dance teacher
791305	274165	
791306	9076	Lilo
791306	110633	Witch Doctor
791306	130170	Card 1
791306	285271	Kilu
791307	17950	Mary
791308	382838	Ruth Black (1986)
791309	211802	
791310	268810	Queen of Mud
791311	234637	
791312	18635	Teacher
791312	46529	De La Cruz
791312	101070	Hotel Desk Clerk
791312	282482	Lingerie Salespeople
791312	334274	Technician
791313	136329	
791313	284730	
791313	340615	
791313	373093	
791314	283396	Dancer
791315	203213	Indian
791316	248393	
791316	311459	Hanna Kluge
791317	175839	Patricia
791318	13856	Zelda
791318	87006	Gereco Receptionist
791318	308128	Younger Woman in Market
791318	358308	The Girl
791318	374481	Nora
791318	402089	Cyndy Lloyd
791319	98309	
791319	103098	
791319	210479	
791319	243508	Frau Dr. Inge Geldern
791319	347049	
791320	6735	Sexy Red-head
791321	173817	Herself
791322	380882	Ulli
791323	390145	Cheerleader
791324	374129	Papagena
791325	269954	
791326	352914	
791327	290145	
791328	103886	
791328	104488	Silvana
791328	158941	
791328	171532	(segment "Flor de Lys)
791328	222175	
791328	252335	Clara
791328	252591	
791328	344755	
791328	344794	Sabrina
791329	37467	Gem Club Dancer
791330	394580	
791331	155343	Mary
791331	156983	
791331	225663	Margit
791331	248206	
791332	11895	Anne
791333	30967	Campaign Worker
791333	115243	Wife
791333	385324	Instructor
791333	406195	Co-Host
791334	89474	Wanda Orszenska
791334	180012	Elzbieta
791334	406477	Krysia 'Karioka'
791335	182528	Angie Jo
791336	165303	Miss Manypenny
791337	240267	Soprano
791337	373706	Executioner
791337	374132	The Queen of Night
791338	395302	Socorro
791339	45756	Award Show Staffer
791340	101208	Une femme de la chorale
791341	26487	
791341	248040	Dental technician
791342	367083	Supporting Cast
791343	367083	Dutch Girl (Wizard Film)
791345	203597	
791347	59564	Kitty Verdun
791347	132432	Margot Quast
791347	155425	
791347	155473	
791347	225248	
791347	228159	
791347	288244	
791347	290181	
791347	325640	Barmädchen
791347	325758	
791347	387771	
791347	388816	Anke Detlefsen
791347	406321	
791348	46456	Publicist
791349	155824	Renee
791349	230933	Receptionist
791350	311537	Sigma Phi Girl
791350	361544	Girl Hippie
791351	37263	Skye (Mime Model)
791352	385577	Correspondent (1999)
791352	411069	Herself
791353	206630	Woman
791353	223739	Receptionist
791354	77710	Dancer
791355	124501	Mary Churchill
791356	7843	
791356	144196	Karen Hennings
791356	279080	
791356	302786	
791356	325679	Amy Bell
791357	350440	Flute Girl
791358	41422	Rancher's Daughter
791359	139606	Woman Driver
791359	206907	Angel/Devil/Onlooker/Manhatta
791359	396734	Herself
791360	232240	Alexa
791361	231671	Steffi
791362	315999	Receptionist
791363	45498	Dr. Karen Siegel
791364	391835	Talking head/soundbites (segm
791365	194136	Teacher #2
791366	405959	Mary Anne
791367	119047	Herself
791368	331894	Herself
791369	41422	Rancher's Wife
791370	6118	
791372	270522	Woman in Stands at Hell Track
791373	30937	Jesse
791374	363734	Amy Cittelman
791374	366697	Student 2
791375	220960	Diner Waitress
791376	163378	
791377	341758	Esmeralda
791378	250746	Guest at Lord Cornwallis' bal
791379	250746	Guest at Lord Cornwallis' bal
791380	16195	Carmen
791381	45968	Het meisje
791384	139709	
791384	322833	Ruth
791385	26279	Woman interested in house
791385	41450	Barmaid
791385	144112	
791385	149282	Stella Middag
791385	151680	Nurse
791385	180404	
791385	205988	Julia
791385	211911	Mieke Sipkes
791385	255748	Secretary
791385	331970	Sarah
791385	392731	
791386	164840	Reporter
791387	189334	Jenny
791387	245265	Receptionist
791387	290378	Female Employee
791387	312542	
791387	343201	Hana the Hostess
791388	322983	Journalist
791388	367197	
791389	83382	
791389	103843	Mère de Jean (âgée)
791389	164183	Grand-mère Térésa
791389	354930	Ludmilla Chernova
791390	324457	
791391	382653	Herself - Host (1996)
791392	93499	Heder
791393	343685	Blonde Dancer
791394	19258	Vanessa
791395	307698	Vagtdame
791396	147008	Malcolms Wife
791397	223963	Tango Dancer
791398	85928	Bijou Christy
791399	125275	Brigitte
791399	155417	Katrein
791399	290793	
791400	126371	
791400	388756	Großmutter
791401	7580	
791401	134945	
791401	388533	Various roles (1999)
791402	168396	
791403	344432	Additional Voices
791404	149448	Volleyball Captain
791404	201376	Brother In Church
791404	285922	Young Sakura, Additional Voic
791404	386236	Mayu Yuasa
791405	79163	
791406	213737	
791407	260390	Puciatycka
791408	217324	Woman Buying Chicken
791409	181359	
791410	170348	Herself - Performer
791411	212332	Herself - Participant/Perform
791412	59568	Walli
791413	142744	Irène
791414	27596	Herself - Director
791414	55172	Tysklæreren
791414	84267	Nurse
791414	99512	Hannah
791414	109123	Pia
791414	109141	Jonas mor
791414	110924	Naked Woman - from "Notater o
791414	120968	Fridas mor Jytte
791414	152757	Baiba Liepa
791414	185769	Rhea
791414	190124	
791414	194428	
791414	235532	
791414	245794	
791414	332734	
791414	355639	Baiba
791414	390857	Sofie Amalie
791414	394744	Poulsen
791414	403769	Rhea Moser
791415	17918	Elfie
791415	34354	Eva Wandel, Bäuerin
791415	122766	Liane
791415	322997	Fräulein Käthi
791415	326203	
791415	361457	
791416	274864	
791417	9113	Suzzi
791417	14141	Beth Wade
791417	26293	Leeanne
791417	32425	Cassie
791417	37387	Betty Fuego
791417	55507	Roberta
791417	61827	
791417	79041	Marla Obold
791417	101066	Polly Stockman
791417	115886	Gal
791417	125991	Angela
791417	131739	Newscaster
791417	165123	Rosa Frankfurter
791417	168774	Tiffany The Prostitute
791417	189408	Natalie
791417	192106	Dolores
791417	194066	
791417	194727	Merilee
791417	195362	Nina
791417	241555	Karen Lundahl
791417	248147	
791417	262033	Maria
791417	274323	Trudy (segment "Just Like Tha
791417	283420	Jenny
791417	285734	Tamsen, Rosario's Girl
791417	289185	Jenny Sloan
791417	302432	Mia Farrow
791417	304738	Holly Proudfit
791417	318456	Jennifer
791417	341459	Marilyn Lee Tucker
791417	342403	Bank Teller
791417	365381	Blue McDonald
791417	395933	Janey
791417	398208	Mona Ramsey
791418	388296	Franka Oudenrijn
791419	232144	Sarah Miller
791420	115421	
791421	355085	Diane
791422	350424	Sofia's Friend
791423	170685	Hilde
791424	184272	Dame
791424	189753	Marta Kessler
791425	36418	Andzelika Kowalówna
791426	389348	Co-Host (2004-)
791427	170436	
791428	101752	Uta Radtke
791428	395667	Iffi Zenker (1990-)
791429	164892	Kerstin
791429	195093	Luzie Seibel
791430	79163	
791430	101345	Frieda
791430	219342	Pflegerin
791430	226318	Camilla
791430	252324	
791430	312872	
791430	312877	
791430	312883	
791430	312889	
791430	312891	
791430	325609	
791430	347767	
791430	354075	
791430	386334	Wirtin
791430	389959	(1. Staffel)
791430	390889	
791430	393254	
791430	394918	Heimschwester
791431	92172	The Girl
791432	322779	Lori's Friend
791433	291037	Mrs. Poe
791434	97541	Woman on Bike
791434	234258	Headmistress
791434	394585	Bogna Rozycka (1998-2000)
791435	132951	Donna vestito
791436	387159	Tosia
791437	375435	
791438	89474	Helena Kalinowicz
791438	95960	Ex-wife
791438	180059	Nauczycielka (teacher)
791438	220234	Woman in TV
791438	237869	Krystyna
791438	301097	
791438	311255	
791438	362006	
791438	376523	
791438	376610	
791438	378728	Zofia (1998)
791439	130211	Karol's Friend
791439	160591	Girl
791439	187641	Janka
791439	220144	Krysia
791439	262194	
791439	284077	Pvt. Aniela Borowik
791439	305434	Julka Wronicz
791439	403626	Mama Lesniewska
791439	403854	Teacher, Rozalka's mother
791440	31908	Krysia
791440	123806	
791440	364976	Ika
791440	372751	
791441	23441	Maria
791441	59721	Flo
791441	65756	Woman with Cop
791441	134720	Carnation
791441	199405	Clerk
791441	271192	Voiceover
791441	281512	
791441	349898	Yolanda
791442	215076	Liliana
791442	215465	Viuda Manchini
791442	335989	Elvira
791443	34331	Frau Schwerdtfeger
791444	41722	Lana
791445	98151	
791446	86083	Ingeniera Ramos
791446	162117	
791446	225031	Marcela
791446	378958	Claudia
791446	383032	
791446	383206	
791446	384851	
791446	385852	
791446	391419	
791446	395871	Paula Goci
791446	398661	Marina Rizzo de Rapallo (1999
791446	402054	Nina
791446	402350	Patricia Murillo de Gutierrez
791446	403366	Aixa
791446	405407	
791446	406051	Rosa Ramos
791446	410453	(2000)
791447	1221	
791447	36885	
791447	36901	
791447	39139	
791447	39234	
791447	39239	
791447	39260	
791447	39982	
791447	44335	Herself
791447	44653	
791447	55270	
791447	93990	
791447	97130	
791447	123631	
791447	163860	
791447	178324	
791447	178868	
791447	184771	
791447	188045	
791447	242079	
791447	243115	
791447	247991	
791447	260806	
791447	291003	
791447	297935	
791447	300519	
791447	302779	
791447	306026	
791447	315859	
791447	319346	
791447	333869	Herself
791447	356658	
791447	365870	
791447	373409	
791447	411110	
791448	162779	Dancer
791448	384306	Ballet Infantil
791448	384507	Dancer
791448	406972	Assitant to Miss Flores
791449	42911	Herself
791450	191573	Mona
791451	292766	Doctora Rozemberg
791452	371679	
791453	153960	
791454	115820	
791455	318012	
791456	194624	
791457	239287	
791458	314459	Photo Shoot Model
791459	407057	Cha Cha O'Brien
791460	235316	
791461	206054	
791462	239279	
791463	281608	
791464	143782	
791465	25027	
791465	52717	
791466	14675	
791466	21488	
791466	88194	
791466	159871	
791466	186351	Rosa, cantina dancer
791466	221984	
791466	242009	Lily (Joe's girl)
791467	236743	Herself
791468	12030	Socorro
791468	28792	
791469	96335	Domi
791470	401588	
791471	158873	Extra
791472	92858	Little Brother
791473	204892	
791474	179005	Tänzerin
791475	326174	
791476	180783	
791476	389948	
791476	389959	
791476	392509	Frau Benthin
791477	360142	Julie's Mother
791478	158226	Mrs. Collins
791479	96011	Liane
791480	253942	Oldfruen Aba
791481	78477	Herself (performing 'I denne 
791481	78478	Herself (performing 'Sesam lu
791481	78485	Herself (performing 'Kender d
791481	78486	Herself (performing 'Var der 
791482	329579	Receptionist
791483	154828	Niels' kone
791483	392322	Vibeke Krogh
791485	8585	
791485	32138	The Woman
791485	281439	Amy
791486	61325	Fighter in Silhouette
791486	61328	Blue Demon
791487	225629	Mildred Miller
791488	102225	Lisa Preston
791489	366531	Rothaendle-Oma
791490	8942	Mädchen mit Mütze/Girl with C
791491	203005	Receptionist
791491	304479	Sheila
791491	340385	Kamla
791492	242077	Athena
791492	372778	Lystra
791493	41337	
791493	64918	Slushing Lady
791493	117061	Landlady
791493	143389	Secretary
791493	154194	Millie
791493	169173	Mrs. Mandelbaum
791493	173933	Cashier
791493	195043	
791493	222657	Marian Timmons
791493	297781	Proctor
791493	329968	Woman at Airport
791493	363808	Pound Operator
791494	37452	Ruth
791494	96741	Mamie
791494	120615	Lena Bowden
791495	146960	Sophie
791496	340923	Lori
791497	98149	Permit Lady
791499	386785	Elvira
791499	398228	
791499	402686	Magdalena Lisperguer Flores
791499	408724	
791499	410207	
791499	410316	Yola
791500	115471	Dora
791500	291742	Maid of Honor
791501	84634	La mourante
791501	328433	Jeanine
791501	346526	
791501	357116	Mme Grigou
791501	393279	
791502	378062	Une cliente
791503	379530	Olga
791504	355333	
791505	289055	Terry
791506	254989	Anna Schober
791507	148468	
791507	165499	Marya Fantasma/Júlia Bulldozz
791507	165503	
791507	211047	
791507	251917	Adelina
791507	272479	
791507	377087	Senhora
791508	100816	Old Woman
791508	131380	Elderly Lady
791508	144913	Miss Foley
791508	231832	Mama
791508	239829	Want Hot Granny
791508	334587	Hannah
791509	198144	Sirin
791509	229192	
791510	226012	
791511	13626	Second SS Officer's Wife
791512	300739	Herself
791513	41552	Girl lover
791513	227053	Sally
791513	333359	
791513	361544	Girl Hippie
791513	404233	Suzie Conrad
791514	67388	Waitress
791515	134824	Vilma Flamm
791515	205666	
791515	325737	Renate
791515	354056	
791515	359645	
791515	361451	
791515	388295	Marianne Merian (2)
791515	410813	Fräulein Link
791516	93499	
791516	263613	
791517	80768	Ellen
791517	217537	Laurie
791518	409609	
791519	187618	Beate
791520	18501	
791520	126459	Walburga Reyer
791520	170136	
791521	78478	Herself (performing 'Og livet
791521	78479	Herself (performing winning s
791521	78480	Herself ('performing winning 
791521	78481	Herself (performing 'Sig det 
791521	78482	Herself (performing 'Farvel o
791521	78483	Herself (performing winning s
791521	78485	Herself (performing 'Inden læ
791521	78488	Herself - Host
791521	104759	Danish entry (4th place)
791521	104760	Danish entry (11th place)
791521	104763	Danish entry (3rd place)
791521	104774	Danish vote presenter
791521	237102	Herself/Various roles
791521	343520	Herself (Polka til de kendte)
791522	46221	
791522	188423	
791522	193993	Lavinia
791522	318449	Sarah Wolverton
791522	342417	
791522	359423	Mrs. Miller
791522	405526	Anne of Cleves
791523	328808	Nurse Mason
791523	365509	Ulama Girl
791524	114564	Opera Singer
791525	754	
791525	765	
791525	11452	
791525	36902	
791525	47252	
791525	128554	Shay
791525	188415	Herself
791525	197850	
791525	260816	Herself
791525	291021	
791525	333995	
791526	228258	Herself
791526	306908	
791526	383831	Herself
791527	64326	
791527	405937	Herself
791528	35765	Laura
791528	279204	Linda
791528	290719	
791529	359127	Gwen
791530	388845	Presenter
791531	56658	Villager Woman
791531	337102	Tortilla woman
791533	268151	
791534	411138	Herself
791535	314828	Herself
791535	323698	Herself
791535	361239	Herself
791536	121050	
791536	141952	Heidi
791536	141973	
791536	141974	Heidi
791537	183591	Maid
791538	249750	La señora Machado
791539	298127	Roslyn Artists String Quartet
791540	361710	Child at Meal
791541	351914	
791542	80852	Linda Lowry
791542	89286	Megan Murphy
791542	213350	
791542	283008	Eve Crane
791542	400236	Margaret Cochran (#2) (2004-P
791543	307863	Extra
791544	373726	Girl 2 in laundrette
791545	31018	Extra: Metro
791546	41390	Homeless Woman
791547	34937	Taft Woman #3
791548	70408	Model
791548	81183	Frenchie
791548	195309	
791548	334378	
791548	351914	
791549	2285	Herself - Best Actress Winner
791549	2364	Herself - recalling her award
791549	6402	La gitane
791549	6569	Mamie
791549	6699	Adua Giovannetti
791549	8097	Michele Dennis
791549	15118	Jenny (segment "Jenny de Laco
791549	15250	Léone
791549	16600	Une étudiante
791549	20541	Mathilde
791549	25162	Lise
791549	29580	
791549	43236	Une employée de maison de cou
791549	45726	
791549	51137	
791549	56388	Marie 'Casque d'Or'
791549	58532	Lady Vamos
791549	59988	Clémence Bouin
791549	63681	Louise
791549	64284	Herself
791549	64299	Herself
791549	68702	Eliane Darès
791549	68830	Léa
791549	71853	Annette
791549	80699	Elsa Fennan
791549	83396	Récitante/Narrator
791549	85613	Nicole Horner
791549	92905	Genevieve
791549	96070	Dédée
791549	96163	Lily, la cabaretière
791549	108885	Hélène
791549	116587	Récitante
791549	123456	Lisa Schindler
791549	127985	Unconfirmed
791549	133183	Rose
791549	135961	Denise Vernon
791549	142856	Herself
791549	168891	
791549	169333	Therese Dutheil
791549	169980	Judith Therpauve
791549	178660	
791549	195613	Herself
791549	198840	Gisele
791549	204916	Dora
791549	208215	Roberte
791549	219505	Djin
791549	219512	La maitresse de Firmin
791549	220926	Cameo appearance
791549	223034	Yvonne Pierre
791549	223449	
791549	240291	Isabelle Leritz
791549	248988	Patronne du bistrot
791549	259264	Thérèse Ganay
791549	263980	
791549	281314	Leocadie, the Prostitute
791549	281413	Alice Aisgill
791549	282967	Jeanne
791549	287595	Une journaliste
791549	291736	Arkadina
791549	294946	La danseuse à la taverne
791549	299174	La Condesa
791549	305376	Sara Lescaut
791549	309150	Elisabeth Proctor
791549	321622	Yvonne
791549	328239	Anna
791549	332201	Thérèse Humbert
791549	332205	Thérèse Raquin
791549	338331	Denise Vernon
791549	345348	Janine Alix
791549	345400	Meg
791549	352924	Veuve Couderc Tati
791549	353863	Madame Rosa
791549	355511	Extra
791549	357113	Extra
791549	366079	
791549	377935	Mme Baron
791549	390587	Herself
791549	396366	Elisabeth Massot
791550	219526	Hostess
791550	337209	
791551	48298	Marilina
791551	70835	Roberta
791551	109778	
791551	229485	Olimpia (segment "Il bel gest
791551	251850	Anna
791551	270041	Silvia
791551	342118	
791551	396649	Annamaria
791552	62564	Petite fille
791553	112819	
791554	39272	
791555	80969	Adult Twin Nurse
791555	118980	Bowling Twin
791555	264158	Twin Reporter
791556	80969	Adult Twin Nurse
791556	118980	Bowling Twin
791556	264158	Twin Reporter
791557	167702	Jasmin Summers
791557	254418	Therese
791557	305535	Lydia
791558	322316	
791559	40218	Sarah
791560	3184	
791560	23405	
791560	37728	
791560	112787	Florencia
791560	154442	
791560	158629	Almeda
791560	164776	Armida de Jesus
791560	172305	
791560	190417	
791560	286185	
791560	323059	
791560	333063	
791560	336561	
791560	358509	
791560	369528	Juanita ("Kama" Episode)
791560	404050	Lourdes Lizandro
791561	195601	Dungeon Slave Girl
791562	870	
791563	114271	Corrine Sweeney
791564	75773	Showgirl
791565	315597	
791566	54953	Townsperson
791567	339596	Dancer #6
791568	142327	Helga
791568	392085	Vigdis
791569	277415	Ingibjörg
791570	88400	Gislina
791571	138449	Anna Nosslin
791571	239474	Ingar
791571	276750	Elena Bromwich
791571	380203	Solveig, Mother
791571	394744	Andrea Meltzer
791571	396164	Jossan
791571	399850	Ramona Ekblad (7 episodes 200
791571	400779	
791571	403084	Jessica Strömberg (2000)
791572	67968	Herself
791573	113646	Go-go reservados
791574	25635	
791575	24399	
791576	203968	Frk. Jensen, sekretær
791577	6391	Marjorie
791577	15010	Marthe de Lairac
791577	15129	Lou
791577	23790	Judith O'Hara
791577	24921	Mathilde
791577	51430	
791577	70116	Émilie
791577	93878	Elisa
791577	101153	
791577	101164	Blanche
791577	105694	Adèle
791577	110143	Jacqueline Ségur
791577	133163	Hélène
791577	154736	Dora Dempsey
791577	160815	La marquise d'Espard
791577	164145	Sophie
791577	200931	Madame Parendon
791577	205745	Annick
791577	217265	Anne Laugel
791577	219235	Mme Chanterelle
791577	240280	Blanche
791577	243935	Nicole
791577	245483	Anne Lachaume
791577	250837	Iris
791577	262676	Oksana
791577	292279	Jane
791577	328088	Wife of the Rich and Depresse
791577	336942	Mme. de Sainte Colombe
791577	339475	Thérèse
791577	345037	Véronique
791577	349741	Muriel
791577	351811	Comtesse Irène
791577	353886	
791577	354635	Françoise
791577	355882	Marie-Christine Vercel
791577	381430	Vicky
791577	384030	Mme de Montpensier
791577	384288	Commissaire Belmont (1988-199
791577	391479	Béatrice
791577	398787	Isadora Jorgell
791577	403642	Antoinette
791577	405696	Marie-Claire Guillam
791578	174265	Kamrakas
791578	234571	Leonardon vaimo
791579	188933	Girl on the beach
791580	188933	Girl on the beach
791582	99471	
791582	182014	Marja
791582	250502	Anna Nuutila
791582	349737	
791583	170921	
791583	343508	Maija
791584	153095	Helena Puusaari
791584	181589	Gitta Koski
791584	181740	Various
791584	209063	Various
791584	239127	Various
791584	394885	Tarja Halonen
791584	403393	Anneli
791584	407197	Inkku
791584	409843	
791585	287575	
791586	145424	Hiltun äiti
791586	213673	
791586	380927	Kerttu
791586	394793	Anneli Eskola
791586	400690	Tapanin vaimo
791586	400780	Leila, vanhainkodin keittäjät
791587	163496	Ugandan Girl
791588	197362	Potilas
791588	233246	
791588	260055	Stella
791588	409034	
791589	168413	Marita
791589	169542	
791589	171584	Pirjo
791589	190658	Lotta
791589	255517	Pulu
791589	349141	Ministerin sihteeri
791589	354083	Woman in Uffizi
791589	392333	
791589	401477	Merja Nurminen
791589	404782	Karaoke-emäntä
791590	356186	Herself
791591	402484	
791592	356232	Titta, Pena's wife
791593	248195	Various
791593	324608	Various
791594	261675	Jelena
791595	188282	Zangeres
791596	359553	Aida
791597	373732	Cynthia
791598	400770	Herself - Paul's neighbour
791599	230103	
791600	19926	Erika
791600	215995	
791600	240580	Julie
791600	383492	Cristina
791600	397297	Maria Martini
791601	18068	Kusum
791601	30753	
791601	250838	
791602	64709	Noia Tatuatge
791603	256742	
791603	400705	
791603	402344	Aggeliki
791604	21157	Susan Johnson
791604	31197	Herself (NBC Team contestant)
791604	31199	Herself (NBC Team contestant)
791604	67600	Della Santini
791604	131692	Joyce
791604	146091	Paula Schuster
791604	157595	Claudia
791604	183343	Alicia Meeker
791604	195640	Nancy Weaver
791604	203549	Courtney Wade
791604	238081	Helen Kyger
791604	261454	Elizabeth Clark
791604	302923	Cynthia Hayes
791604	329579	Janice Kern
791604	381973	Jingles Lodestar
791604	383429	Claudia Desmond Armagh
791604	388865	Sandy Swanson
791604	406319	Dr. Annie Cavanero (1982-1985
791605	399130	Summer Hoyland (2002-)
791605	404092	Melanie Atwood (#1) (2001)
791606	59917	Herself
791607	255630	
791607	381049	Mevrouw De Cock (1995-)
791607	382017	Nicolien (oud)
791607	410441	Gerda van Beusekom (1993)
791608	155968	Klárika,Petky lánya
791609	74189	Louise
791609	310515	Heather
791610	111775	
791610	189831	
791611	278317	Giovanna
791612	164061	
791613	179180	
791613	262157	Servant Pelasia
791614	14347	La girl
791615	67579	Receptionist
791616	109395	Plastic Dress Model
791619	71479	Gwen
791619	82137	Om's mother
791619	86745	
791619	139399	Hasina
791619	165603	Amma (Sarasu's mother)
791619	172682	
791619	202791	Fayyazi
791619	220800	Iqbal Ahmed Khan's wife
791619	228889	Bride's Impoverished Relative
791619	248959	Ganesh's wife
791619	270960	
791619	271266	
791619	286088	Salim's mother
791619	288242	Sultan's Mother (special appe
791619	375997	Fayyazi
791619	394012	Lakshmi Pathak
791620	17685	Camp Teacher
791620	387113	Shadout Mapes
791622	242900	Burçu
791623	131372	Psycho Girl
791624	135270	Old Woman
791624	352784	
791625	137884	Elena (episode 3)
791626	237876	
791627	259128	The Child
791628	401011	Niki
791629	359553	Injured Girl
791630	114723	Melinda
791630	143885	Isabelle
791631	166244	Lisa
791631	347852	Vanessa
791632	113683	
791633	207714	Lady
791634	273327	Felton Family Member
791635	296027	News Reporter
791635	356998	Air Freight Clerk
791636	68303	Ling
791636	103774	Ester
791636	162113	Marta
791636	172306	
791636	181768	
791636	223936	
791636	382126	Elvira Montesilverio
791636	387832	Ester
791637	43213	
791637	223559	
791637	356824	
791637	357457	
791638	306773	
791639	392911	Sandrine
791640	171666	
791640	175783	
791640	341208	
791641	313127	Natalie's Mom
791642	313046	Telephone Operator
791644	287586	Extra
791645	25784	Lina
791646	264466	Herself
791647	64744	Mrs. Chikatilo
791647	68693	Mother
791647	75556	Spanish Nurse
791647	115990	Susannah
791647	132075	Natasha
791647	144558	Barbara
791647	187767	Mother Superior
791647	195345	Abigail's Mother
791647	274125	Klara
791647	279277	Welles's Mother
791647	285752	Prostitute's mother
791647	299070	Woman Dinner Guest at Dresche
791647	323961	Aunt Cristina
791647	365450	Sarah
791647	375187	Jeanne
791647	396402	Catherine Durell
791647	402935	Mags Bartolotta
791647	405696	Alexandra Ostrakova
791648	152300	Candy Francis
791649	157208	Village Girl Bruche
791650	13836	Local #3
791650	224192	Joy of Sex Lady
791651	343100	Amanda
791652	210547	Herself (Holocaust survivor)
791653	12905	
791653	65170	TV Reporter
791653	88284	
791653	140050	Dina
791653	178841	Dafna Ulman
791653	183958	
791653	205297	Oel
791653	299241	
791653	394303	Sonia
791653	395717	
791653	411955	Hohit
791654	315605	
791655	25712	
791655	55136	
791655	131242	
791655	137115	
791655	212129	Dina
791655	216406	Naomi Tal
791655	300359	
791655	340918	Hostess
791656	248133	Audience Member
791658	47492	Mrs. Kruger
791658	105298	
791659	156321	La voisine aux truffes
791660	182101	Member of Ladies' Orchestra
791660	394925	Trumpet player
791661	158999	Bride
791661	241249	Dominique
791662	327230	Nurse
791663	80394	Office Temp
791663	252897	Deandra
791663	350622	Thirtyish Woman
791663	411759	Marjorie (1984)
791664	322844	Bridgette
791665	237832	
791666	598	
791666	134371	
791666	205726	Vivienne
791666	229380	Agnes
791666	229381	Agnes
791666	229382	Agnes
791666	379254	
791666	382235	Herself
791666	397706	
791666	399410	
791666	400216	Ann
791666	401348	(2003-)
791666	404735	Martine Lambroux
791667	397544	Aline
791669	16869	Sister Beatrice
791669	202074	
791669	346293	
791670	233921	Kelly Reilly
791672	26687	
791672	33662	
791672	56024	Marietta Ricordi
791672	67699	Dr. Vonberg
791672	89856	Vera
791672	111847	
791672	112675	Neala di Ventimiglia
791672	119041	
791672	127910	
791672	129035	Asenath
791672	157558	
791672	184972	
791672	193073	Nita
791672	199037	Young Martha Gunt
791672	199064	Queen Penophae
791672	199065	Tekaet
791672	229736	Fiorenza
791672	235764	La piccola Mimma
791672	260045	Leonora
791672	262813	Laura
791672	281109	
791672	336593	Matilde Bellavista
791672	336614	Dora
791672	338715	
791672	344588	Sua sorella
791672	349529	Vera
791672	354117	
791672	355708	Cinesina (Leopoldo's 'Chinese
791673	131021	
791674	149943	Yolanda
791675	59885	Patricia's Maid
791675	107286	Mrs. Otis
791676	159108	Petala
791677	93671	Prostitute
791678	213352	Woman in Labor/Apothecary Ven
791679	405812	Anita
791680	28003	
791680	328642	
791681	220127	
791682	257007	L'infirmière
791683	134967	Dr. Dorothee Berger, geb. Kle
791683	139695	
791683	210316	Gwen Branningham
791683	225272	Stefanie
791683	225654	
791683	242844	Paula
791683	281733	Gwen Branningham
791683	334636	Sophia Scardi
791683	387445	
791683	392855	Charlotte
791683	393406	Dorothee Berger
791683	393878	
791684	6878	Dorothy
791684	380005	Herself//Contestant
791685	64013	
791686	274205	
791687	350673	
791688	375463	
791690	356582	
791691	111960	Leonore/Fidelio
791691	124905	The Coutess
791691	166778	Kostelnicka Buryjovka
791691	201973	
791693	394539	Ella
791694	39355	
791694	39364	
791694	44153	
791694	91067	Herself
791694	91068	Herself
791695	2266	
791695	3452	
791695	6725	Herself
791695	26118	
791695	37145	
791695	48932	
791695	49348	
791695	52363	
791695	57129	
791695	65739	
791695	69502	
791695	81664	
791695	122640	
791695	134690	Alexandra
791695	139251	
791695	140463	
791695	142500	Herself
791695	150951	
791695	158969	
791695	160150	
791695	197773	
791695	228022	Herself
791695	247989	
791695	254701	
791695	278866	
791695	283310	
791695	292714	
791695	295669	
791695	306916	
791695	306920	
791695	332885	
791695	336708	
791695	353695	
791695	369908	
791695	370027	
791695	404948	Bailiff
791696	17923	Keri
791696	69391	Headset Woman
791696	80491	Sonia Alexandropova
791696	81584	Julie
791696	196024	Lynn Hopp
791696	363449	Gina
791698	293331	
791699	7498	Chorus Girl
791701	64740	Zoya
791701	80430	Denise/Waitress
791701	131557	Hotdog Vendor
791701	359304	Mother
791703	251016	Bewoner instelling
791704	218344	
791705	115497	Capt. Melissa C. Gaiter
791705	127984	
791705	169211	
791705	170983	
791705	172703	Carol
791705	215049	Homeless Vicky
791705	362512	Spector's Assistant
791706	15041	Lili
791706	51201	
791706	156283	Céline
791706	166274	Adrienne Cernis
791706	170115	
791706	214987	Lola
791706	217210	La mère De Morgan
791706	249249	
791706	251527	Laure
791706	278152	Louise
791706	287493	
791706	377848	Isabelle
791706	385003	Amélie
791706	409531	Lili
791707	286581	
791708	257715	Herself
791709	104631	Herself
791709	104635	Herself
791710	394137	Jenny
791711	24289	Maire, nurse
791711	153762	Sisko
791711	156037	Nurse
791711	193554	Marjukka's co-worker
791712	334821	Nainen juhlissa
791713	3048	Letty Anderson
791713	21531	Janet Wise
791713	27323	Jan Wells
791713	31846	Lt. Kathryn Marcus
791713	55808	
791713	110967	Renee
791713	115603	Doctor Clint
791713	176290	Patsy
791713	189807	Nurse #3
791713	189913	Alyson Haywood
791713	197324	Candy (DVD deleted scene)
791713	240734	Anna (segment "The Other Side
791713	244419	Anna
791713	273178	Donna
791713	275836	
791713	278839	Maya
791713	302219	Kate
791713	339823	
791713	340923	Nurse Paine
791713	362254	Jackie Marsh
791713	399439	Dr. Hannah Garrison
791713	409495	Rose "Phil" Phillips
791714	366522	Annegret Brettschneider
791714	398056	Ingeborg
791715	53778	Flossy
791715	93051	
791715	112023	Nurse
791715	150974	4th Millinery Girl
791715	203782	Driving instructor
791715	210671	Jitterbugger
791715	233504	Aggie
791715	347006	Alison King
791715	408870	Nancy (forensics)
791716	329628	Herself
791717	325560	Isabell Kremer
791718	319855	
791719	272647	Party Guest
791720	61673	Mrs. Meyer
791720	88264	Sister Theresa
791720	132912	Jan Brown
791720	273783	Shelter Reporter
791720	287135	Beth Landau
791720	390771	Pam Chandler (1974-1976)
791721	320026	Elevator Woman
791722	193123	Worker
791722	319346	
791723	2012	Herself - Co-presenter: Class
791723	29720	Rosina
791723	35547	Herself
791723	55505	Herself
791723	79400	Marie
791723	101598	Herself
791723	133720	Herself
791723	168499	
791723	175523	Herself
791723	175528	Honoree
791723	175543	Herself
791723	204649	Manon Lescaut
791723	230733	Herself/Hostess
791723	230872	Host
791723	279705	Queen Elisabeth
791723	280184	Herself
791723	301867	
791723	327189	Herself
791723	338612	Violetta
791723	345811	Herself
791723	352696	Herself
791723	358831	
791724	333517	Social Security Girl 2
791725	100799	Jayne
791726	379000	Prof. Irene
791726	402462	
791727	87578	Fass's attorney
791727	152300	Madeleine
791727	216165	Bantu Maiden
791727	234065	Crowder's Secretary
791727	241320	Teri
791728	190796	Receptionist
791729	291681	
791729	351490	
791730	74048	Children of Castor Fan
791731	334138	Young Woman
791732	213164	Body Double
791733	4331	
791733	26141	Scat
791733	51203	Ticketlady/Saleswoman/Nuclear
791733	70307	Resko's Daughter
791733	100099	Executrix Council
791733	122755	Madame Girard/Marcie
791733	122756	Madame Cazanoux
791733	127428	Various Voices
791733	144789	Alien 3
791733	159733	Sandra Shore
791733	167131	Additional Voices
791733	178147	Mrs. Beidekker
791733	190869	Additional Voice
791733	195652	Jenny
791733	206408	Shirley Lemberg
791733	208910	Smitty
791733	241107	Russell's Mother
791733	243371	
791733	262876	Manga Bharathi
791733	266290	The White Queen
791733	269595	Baba Yaga, Fenris, Olga Stovi
791733	279880	Nara
791733	282798	Old Soul #4
791733	285050	
791733	301087	Additional Voices
791733	313548	
791733	323889	
791733	382023	Dr. Karbunkle
791733	383122	Various
791733	383414	Additional Voices
791733	385727	Additional Voices
791733	388651	Mama Mousekiwitz
791733	391093	Rusty
791733	392826	Sandra Shore/Cypher/Cypheroid
791733	393269	Miss Nanny
791733	394390	She Lion
791733	399944	Vera Frick
791733	400643	Sue
791733	402328	Mama
791733	403407	Siren
791733	403552	Compucore, Narra
791733	405718	Additional Voices
791733	406973	Additional Voices
791733	407441	Additional Voices
791733	408667	Additional Voices
791733	409212	Additional Voices
791733	410988	Additional Voices
791733	411319	Munchkin Mayor
791733	411584	Wuya
791733	411931	Tess
791734	397746	Herself
791735	396063	Zoe Amick/Senja Mäntylä
791736	387804	Ana
791737	74652	Sonia
791738	114873	Dancer: Grupo Cobo de la Peña
791739	45899	Extra: bus
791740	387533	Kelly Windsor/Glover (1993-20
791740	392469	Herself - 6th Celebrity to Le
791741	380076	Alejandra Cuervo
791741	402331	Herself
791741	402332	Herself
791742	166960	
791743	51863	
791744	401882	Herself - Rouge
791745	281915	Criança
791746	46853	Lisa
791747	158942	
791748	8540	
791748	332711	The Mother
791749	34732	Herself
791749	36848	Housemate: Evictee #1
791749	36855	Herself
791749	101946	Herself
791749	381898	Herself - 1st Evictee: 7 May 
791749	381917	Herself - Evictee #1: 6 May 2
791750	226454	
791751	132739	Lena Bill
791752	294246	Maid
791753	328866	Carregadora
791754	304081	
791755	247159	Niña
791756	16836	Mother's Ghost
791756	73273	Kate
791756	281608	
791756	320376	Senora Alvarado
791757	381436	Cassie Roman (1990)
791758	205131	
791760	375847	Pachuca vocalist #3
791761	125272	Irmãs Gémeas
791762	319519	
791763	14690	
791763	23620	
791763	55343	
791763	70053	Tia Cotinha (segment "As três
791763	98757	(segment "O Artesanato de Ser
791763	104166	
791763	111506	
791763	133003	
791763	135269	Amália
791763	269121	
791763	273654	
791763	377162	
791763	379244	
791763	381144	
791763	381591	
791763	383293	Joana
791763	383437	Milu
791763	395882	Adelaide
791763	397553	
791763	397804	
791763	398501	Flora de De Souza Duarte
791763	399490	Maria Clara
791763	400444	Melica
791763	401460	Condesa
791763	402159	
791763	402370	Saudade
791763	402530	Noca
791763	402644	Carmela
791763	404078	
791763	405337	
791763	405418	Coló
791763	409914	
791763	409925	
791763	410053	Maroca
791763	410107	
791763	412270	Pauline Clermont
791764	55977	Anna ('House of Exorcism')
791764	67826	
791764	204587	
791764	263727	
791765	399314	Anchor (1986-)
791766	216303	Olvido
791767	138912	Another Happy Girl
791768	67909	Giulia
791769	235159	Hostess
791770	403016	Zafiro
791771	8134	
791771	8514	
791771	35597	Townspeople
791771	105880	
791771	198117	
791771	203807	
791771	407739	Niki Kallivrousi
791772	88561	Liz
791773	124517	
791774	191573	Rosa
791775	234646	
791776	79427	Jody
791776	317893	Student
791776	385401	Ivonne
791776	386119	
791776	397525	Various
791776	398794	
791776	401918	
791776	402219	Lourdes Galindo
791776	405318	Lucia
791776	409908	Virginia Valle
791776	410327	Jimena
791776	410384	Sandra 'Sandy'/Sandunga
791778	19928	Laura
791779	228767	
791780	308794	Little Girl
791781	389153	Diva
791781	411585	Jilena
791783	296442	Jacinta
791784	328610	
791784	405955	
791784	409908	Imelda Perez
791785	161433	
791786	57981	Dora's Client
791788	14936	
791789	342064	Mariona
791790	78656	
791790	212395	
791790	379896	
791790	380096	
791790	383867	
791790	387273	
791790	389480	Divita Villalobos
791790	395880	Pia
791790	396941	
791790	396942	
791790	404074	
791791	246950	Princess
791792	351269	(segment "Você é Linda")
791793	378046	
791794	388088	Herself - Correspondent (1998
791794	389199	Reporter (2003-)
791794	390316	Herself - Traffic Reporter (2
791794	394260	Weekend hostess (2003-)
791795	10479	
791795	132704	
791795	162784	
791795	252370	
791795	281150	Nun
791795	286366	
791795	379043	Blanca
791795	395657	Prudencia
791796	83129	
791797	279703	
791798	411605	Paquita (1995-2000)
791799	64672	Spy for the Cause
791800	10196	
791800	71376	Rosa Maria
791800	85597	Herself - fado singer
791800	277577	
791800	344760	Gypsy woman
791801	379450	Rosemary
791802	344699	
791803	264537	Stores Coadjuvantes
791804	71400	
791805	20625	Extra
791805	279376	Chief's wife
791806	373125	
791807	84174	Rita
791807	104093	Olga
791807	202549	Perpétua
791808	201117	
791809	14729	
791809	56065	
791809	71224	
791809	132985	
791809	162118	
791809	379822	
791809	380327	Lina
791809	380448	Maria Clara
791809	380777	
791809	381222	Lena
791809	383130	Cassie
791809	383584	
791809	384973	
791809	384991	Léa
791809	385030	Lola
791809	388378	
791809	389003	
791809	390658	Nair
791809	391313	Maria
791809	393005	Beatriz
791809	393615	
791809	396847	Juliana
791809	397787	
791809	398884	
791809	400444	
791809	401460	Marlene
791809	402370	Suzete
791809	402580	Risoleta
791809	403032	
791809	404799	Marlene
791809	407275	Pérola
791809	407800	Amância
791809	407801	Gregória
791809	409426	Alabá
791809	412241	
791810	344824	
791811	5090	
791812	103049	
791813	411932	
791814	53258	Natércia's Mother
791814	70326	
791814	89398	Conceição
791814	100723	
791814	191437	
791814	234642	D. Vicência
791814	252748	Albertina
791814	269013	Tia Júlia
791814	287488	D. Branca
791814	288273	
791814	336926	Convent Superior
791814	344726	
791814	352850	
791814	353652	Dona Urraca
791815	10244	Alegria
791816	72475	Jennifer
791817	12080	
791817	205696	
791818	310059	Furniture Girl
791819	193185	Mujer robot
791820	108422	
791821	46116	Woman with the book
791822	88090	Willetta
791822	116799	Divorce Papers Process Server
791822	238410	Sarah Forbes
791822	378627	Yolanda
791822	399977	Sarah Forbes
791822	402345	Dr. Helen Reynolds (1999)
791823	28589	Deolinda
791823	183508	Crisálida
791823	395831	Tonecas' Mother
791824	241145	Claudia
791825	401087	
791826	63831	
791827	106329	
791828	388647	Ramona
791828	405834	Margarita
791829	339086	Eduviges
791829	380954	
791829	382378	Dominga
791830	30341	
791830	379043	Regina
791830	401696	Martha
791830	407641	María Elena
791831	82862	
791832	234630	
791833	379896	
791834	354869	
791835	90099	
791835	103903	(segment "Noite de Almirante"
791835	202547	
791835	214631	
791836	55176	
791837	85595	
791837	344705	Mrs. Isabel
791838	344739	
791839	127721	
791839	197091	
791840	228090	Marie Silva
791841	328359	
791842	147339	
791842	225820	Sofia
791842	248535	
791843	39327	Louise
791844	357182	Herself
791845	8583	
791845	56069	
791845	135443	
791845	282814	
791846	70493	
791846	278564	
791846	282814	
791847	85975	Madame Díaz
791848	53641	
791849	389233	Cecilia Chavez
791849	407347	Graciela
791850	168805	Native Woman
791851	528	
791851	1017	
791851	9654	
791851	16161	María Silva
791851	51522	Irene
791851	53001	
791851	54999	Sara
791851	57781	
791851	69791	
791851	73538	
791851	74615	
791851	86866	Analía
791851	87043	Judy Mary
791851	90099	
791851	94640	Clementine
791851	94704	Santa
791851	94814	
791851	103758	
791851	111996	
791851	131118	
791851	132709	
791851	137026	
791851	153334	
791851	162054	
791851	193159	
791851	198370	
791851	205429	Alumna que se sienta junto a 
791851	209034	
791851	218093	
791851	234384	Maria
791851	236748	
791851	237616	Pandora Loz
791851	238330	
791851	248248	
791851	248250	
791851	251556	
791851	253564	Susan
791851	263068	
791851	265725	Lucia
791851	272397	
791851	275952	Herself
791851	276486	Elizabeth Bathory
791851	286370	
791851	301110	
791851	317769	
791851	327077	
791851	348935	
791851	351645	Abigail
791851	351663	
791851	351673	Irene
791851	352159	
791851	353223	Herself
791851	407517	
791852	222160	Liliana
791853	19460	
791854	55110	Brigadista
791855	18504	
791856	12083	
791857	357195	
791858	69542	
791858	103407	
791858	103986	
791859	397015	Juanita
791860	249908	Lucía
791860	332577	Sonia's Mother
791860	388814	Teresita
791861	160193	
791861	274904	Texugo Kossul
791861	408942	Florência
791862	57259	Alice Garrido
791862	137699	
791862	338694	
791863	124517	
791863	269115	
791863	406053	
791863	410188	
791864	43591	
791865	84161	
791866	123729	
791866	222146	
791866	241188	
791867	256153	
791867	344699	
791868	176712	Hooker #1
791869	328287	Catherine Luna
791870	54822	
791870	205701	Marlene
791870	222177	Laura
791870	275023	
791870	278617	
791870	286416	
791870	287485	
791870	341135	
791870	344706	
791870	356035	
791871	20273	Tiny
791871	151041	Bit Role
791871	320025	Maria, shopkeeper
791872	156460	Pamela's Party
791873	4915	
791873	8598	
791873	9951	
791873	13189	
791873	14639	
791873	21671	
791873	25792	Eva Aponte
791873	48794	
791873	51520	
791873	51902	
791873	55011	
791873	55668	
791873	55844	
791873	56021	
791873	61136	
791873	61756	
791873	68061	
791873	68642	Raquel Llanes
791873	68845	
791873	73972	
791873	87834	
791873	91313	
791873	91371	
791873	96298	Meche
791873	99710	
791873	101070	Maria
791873	103044	Erótica
791873	103540	
791873	103938	
791873	124042	
791873	125789	
791873	129541	
791873	129663	Patricia
791873	131059	
791873	135284	
791873	145225	Maria
791873	148133	Prostituta
791873	148136	
791873	168664	
791873	169965	
791873	183512	
791873	189039	
791873	190997	
791873	192959	
791873	193494	
791873	198996	
791873	198997	
791873	199001	
791873	199808	
791873	201214	
791873	206488	Hispanic woman
791873	209045	
791873	213721	
791873	221733	
791873	221742	
791873	221969	
791873	223618	
791873	233396	
791873	234318	Rebeca
791873	237815	
791873	248297	
791873	249796	
791873	249893	
791873	251674	Irene
791873	253082	
791873	253317	
791873	253383	
791873	263069	
791873	263516	Rosa Muñoz
791873	265330	
791873	265535	
791873	267048	
791873	267050	
791873	269259	Martha
791873	273033	
791873	275072	
791873	275280	Benita
791873	275353	
791873	280144	
791873	292924	
791873	292928	
791873	293951	
791873	296125	
791873	296155	
791873	300683	
791873	301572	
791873	307658	
791873	328046	
791873	332596	
791873	332665	
791873	332918	Concha Negrete
791873	334568	Lola
791873	349932	
791873	350261	
791873	351642	
791873	353267	Prostituta
791873	355003	
791873	355781	
791873	355919	
791873	371741	
791873	371769	
791873	373576	
791873	387623	
791873	399806	Diana
791873	407640	Rosa
791873	409290	Julia
791873	409921	
791873	410081	
791874	241613	Vanessa
791875	88050	
791875	92072	(segment "Sarò tutta per te")
791875	135878	Queen of Kuniat
791875	159497	
791875	221017	
791875	294424	
791875	307052	
791875	312302	Scellenda's landlady
791876	285071	
791877	412273	Finalist #4
791878	22699	
791878	51736	
791878	99763	
791879	401904	
791879	409957	Ada (2000)
791880	46116	Anoã's mother
791880	110666	
791880	204751	(segment "O Homem dos Quatro 
791881	46116	Crying woman
791882	43656	Louise
791882	83973	Mink, Valentin's girl
791882	94764	
791882	103253	Rosetta Mantania
791882	125342	Nightclub singer
791882	183670	
791882	292590	
791882	309823	Zara
791882	316677	Angele Abbe
791882	330537	Mitzi Molnaur
791882	360542	Tina
791883	387741	Jo Zandbergen
791883	400217	Hester Lefebre (2003)
791884	264537	
791885	98740	
791885	112756	
791885	212139	
791885	225980	
791885	258482	
791885	268854	
791885	340358	
791886	279678	Voice
791888	140444	Hula Dancer
791889	26423	Lianna Turro
791889	274546	Zenaida
791890	269959	Prostitute
791891	338242	
791892	205131	
791893	309718	Summer
791894	31955	
791894	85953	Romola
791894	116392	
791894	128011	Giovanna
791894	205362	
791894	264255	
791894	344869	
791895	321632	Girl at City Grille
791896	168133	
791897	33559	La mamma
791897	34474	
791897	44964	
791897	45134	La mère
791897	48525	
791897	64772	Motorcyclist
791897	115172	
791897	118619	Palmira
791897	132792	La mère de Tony
791897	197475	Wardrobe Mistress
791897	230291	
791897	234717	
791897	248192	
791897	270991	Cleaning woman
791897	289696	
791897	345253	Olga
791898	16869	Cameriera
791898	55165	Addolorata
791898	64264	
791898	243701	
791898	263632	Ines
791899	324124	
791900	176534	Additional Voices
791900	293058	Lillie
791901	151237	Guria do grito 3
791902	398501	Monique
791903	328359	
791904	258737	(poem 'Quadrilha')
791905	56241	
791905	91151	
791906	89397	Hermes's Daughter
791907	395302	Nanda
791907	396610	Júlia Miranda (2002-2003)
791907	401087	Dagmar
791907	402685	Rosalva
791908	196	Tethys
791908	53864	Margarida
791908	64278	
791908	70222	Piedade
791908	79185	Leonor
791908	88049	Eva
791908	103717	Herself
791908	160120	Suzy
791908	166126	Marie
791908	188696	La religieuse
791908	233553	Pilot's Wife
791908	247016	Queen Christina
791908	249544	Leonor
791908	260974	Vamp
791908	260989	Fanny
791908	264270	Vanessa
791908	276561	
791908	341156	
791908	344752	Rosa Maria
791908	349815	Ema Cardeano Paiva
791908	353097	Judite
791909	281647	
791910	386787	
791910	395857	Angela
791911	156460	Night Club Dancer
791911	183387	Houseboat Cutie
791911	292474	Glenda
791912	168317	
791913	16041	Nurse #2
791913	41430	
791913	80791	Mrs. Hunt
791913	176778	Woman
791913	203786	Nancy Ackerman
791913	205658	Nurse Hartman
791913	212960	Micki's nurse
791913	239032	Dr. Newell's Nurse
791913	241050	Instructor
791913	262519	Viola Malo
791913	263789	
791913	269674	
791913	271192	Voiceover
791913	307610	Waitress
791913	314279	Electrical Repair Woman
791913	316501	Woman
791913	332163	Announcer
791913	347712	Additional Voices
791914	302419	Girl in Beach
791915	256878	Huoltoaseman myyjä 1
791916	211433	
791916	389621	Herself
791916	405292	Nainen veneessä
791917	226994	
791917	247926	
791918	317303	Leah Roth
791919	118987	
791920	232446	Armless Peg
791921	158722	Sheila Bon
791922	337381	Sally
791923	30036	
791923	41616	
791923	54430	
791923	67137	
791923	68149	
791923	74283	
791923	105725	
791923	125584	
791923	127810	Herself
791923	130323	
791923	142500	Herself
791923	237110	
791923	273389	
791923	292866	
791923	300524	
791923	306908	
791923	306909	
791923	306917	
791923	330701	Cheyenne
791924	68674	
791924	80545	Miss Haslett
791924	141625	
791924	149649	Becky Crumb
791924	169897	
791924	183196	Nell Slade
791924	192355	Ellen Lloyd
791924	224682	Miss Owens
791924	258152	Felicity Harwood
791924	281438	Mrs. Musgrave
791924	286335	Mrs. Bickerton
791924	315296	
791924	363697	Mrs. Penston
791925	127730	Ducks Dance Squad Member
791925	139227	Kimberly
791926	73833	Cecilia Monk
791926	140843	Susan Bryer
791926	144226	Feigie
791926	301588	Aunt #1
791927	256332	Soccer kid
791928	64075	Prince's Dancing Girl
791929	151789	Dolores
791930	220099	Ruth
791930	224344	Neighbor #4
791930	281464	Housekeeper
791930	297838	Landlady (1954)
791930	361216	Nun #3
791931	112362	Presenter
791931	395771	Presenter
791932	115568	Pebbles
791932	389858	Mariah Maximilliana 'Maxie' J
791933	187258	
791933	243479	The Black Ghoul
791934	365316	Woman in booth
791935	48762	Madame Reinard
791935	148586	Liv, the Kleins' Maid
791935	310462	Pharmacist
791935	330412	Housemaid
791937	39077	
791938	75030	
791938	75034	
791938	75955	
791938	264734	
791939	358674	TV Newscaster
791940	15887	Ensemble Vocals
791941	382038	June Brand
791942	55890	Tina
791943	162853	Sow Lady #1
791943	303090	Pub Woman 1
791944	646	Other 'Gold Mine' Girl (Attac
791944	368640	Party Guest
791945	347686	Heather Fhelleps
791946	299870	Singer
791946	383794	Herself
791947	348612	Kim
791948	53296	Eli's Ex-Wife
791949	319967	Prigu
791950	115568	Pebbles
791950	389858	Mariah Maximilliana 'Maxie' J
791951	226953	
791952	323979	
791954	79764	Waitress
791955	83962	
791955	87322	
791955	121555	
791956	168774	Tourist Mom
791957	136458	
791958	335472	
791959	147745	Streetcar Stella
791959	228339	Nun
791960	87427	
791960	131832	
791961	11945	Passenger on Ferry
791962	137224	Ginger-Ray Rogers
791962	242525	Jenna
791963	128	
791964	139262	
791965	279953	
791966	404137	Additional Voices
791967	298015	Herself
791968	153563	Herself
791970	389858	Chiara Montgomery (1995)
791971	5488	Belmont Waitress
791971	109457	Meryl Stanton
791972	361604	Robbie Wallace
791973	7463	Louise Paniou
791973	14352	
791973	19839	Jeanne (segment "Passage à l'
791973	23582	
791973	23773	Geneviève
791973	24181	Christiane
791973	28528	Simone
791973	40263	Madeleine
791973	40280	The physician
791973	43668	Tante Emilie
791973	53597	Berthe Soerby, la gouvernante
791973	61411	Adèle
791973	66731	Philippe's mother
791973	68513	Josette Dauchy at 40
791973	83235	Clara
791973	84099	Renee
791973	87941	Madame Barbet
791973	94339	Madame de Nassau
791973	101226	
791973	104233	La mère de Jeanne
791973	111014	Madame Odile Jouve
791973	113260	
791973	120979	Médecin-chef
791973	124313	Germaine
791973	156317	Le femme qui aura toujours 19
791973	170536	
791973	201114	La mère d'Hélène
791973	201132	The Countess
791973	201173	Germaine
791973	215057	Jeanne
791973	217213	La secrétaire de Dumourier
791973	217705	La mère de Janine
791973	219468	Eva Pelletier
791973	224872	Madame Avril
791973	224891	Blanche
791973	234783	Dorothy
791973	245935	La mère d'Emmanuel
791973	249361	Gisèle, la femme du député
791973	261864	Madame Bouche
791973	275123	
791973	282099	Louise Michel
791973	292353	Delphine
791973	300735	
791973	316845	La patronne du salon de coiff
791973	328433	Mathilde
791973	336311	Mme Beuve
791973	336939	Jeanne Latour
791973	337025	
791973	342095	Gabrielle
791973	345251	Marie
791973	345551	Marie Maréchal
791973	349486	La Comtesse
791973	351787	Marthe Rizzi
791973	353886	Nathalie Holberg
791973	354582	George Sand
791973	380978	Judge Larose
791973	384595	Sido
791973	389145	
791973	390491	La mère Galois
791973	400681	Marie Charron
791973	412254	Mme Pilou
791974	367951	Herself
791975	278692	Young Violet
791975	367767	Marianne
791976	278692	Young Rosie
791977	80958	
791977	91523	Darcy
791977	211383	Nicole Kramer
791977	241375	Barbara Diroma
791977	404531	Jessica Stevens
791978	34708	Edith Artois
791978	65679	Elsa Farson
791978	90367	Herself ('Fiona Grey')
791978	175140	Lady Bottomley
791978	240761	Mrs. Berkley
791978	278645	
791978	378628	Edith Artois
791978	378629	Edith Artois
791978	384783	Camilla Hope
791978	385299	Mrs. Burney
791978	395647	Mrs. Van Schuyler
791978	403312	Various Characters (Series 1)
791979	264525	Surveillante
791980	214387	
791981	218733	Hubbard's Girl Friend
791982	289667	Exorcist Party Goer
791983	14726	
791983	20713	Vecina de Gaby
791983	51613	
791983	52988	Dueña pensión
791983	60222	
791983	62298	
791983	74161	
791983	84043	
791983	96294	Empleadora shopping
791983	202838	
791983	238514	Hospital nun
791983	370152	
791983	412194	
791984	384908	Eugenie
791986	13457	
791986	16833	
791986	83262	
791986	86068	
791986	116436	Héloïse
791986	119020	
791986	155628	Mavi
791986	243498	Maria, adult
791986	245935	Irène
791986	272392	Frieda
791986	352632	Marta Gouveia
791987	176760	Dien Loc
791987	291309	Rosie
791988	301048	Lisbeth
791989	124225	Jeanine
791990	196434	Little Girl at Pool
791992	396	Grandmother
791993	233290	Teacher
791994	120097	Herself
791995	2720	Janice
791995	82332	Female Parking Enforcer
791995	220646	Czech Make-up
791995	223865	Gwen McKay
791996	155013	Girl/Jack's movie
791996	311120	Herself
791997	7531	Anne
791997	50690	Party Goer #2/Housewife
791997	50966	Mom/Diane
791997	141179	Staff Member
791997	252935	Aunt Peggy
791997	298741	Dog Owner
791997	368314	Petty Marsh Secretary
791998	314874	Narrator (english version)
791999	137470	Jan
791999	313914	Secretary
791999	364372	Girl at Every Audition
791999	386890	Laura, the receptionist
791999	391883	Linda
791999	401473	
792000	232029	
792001	157208	Bessie
792002	43876	Rita Billings
792003	123265	
792004	26666	Carolyn
792004	39414	
792004	49441	Second American Politics Assi
792004	105492	Denise
792004	137228	Cherri
792004	141412	Linda
792004	154724	Beth
792004	167055	Herself
792004	185835	Jen
792004	221122	Picketing Woman
792004	221413	Herself
792004	230915	Roaster
792004	234239	
792004	245761	Turran
792004	252955	Narrator
792004	280304	Kate
792004	283368	Network Executive #3
792004	288709	Herself
792004	288711	Herself
792004	289238	Gina
792004	290378	Patty Di Marco
792004	291457	Hillary
792004	305651	
792004	313946	Herself
792004	319627	Herself
792004	330057	Brenda
792004	342237	Herself
792004	345711	Herself
792004	360211	Raving Bitch
792004	362355	Woman on Plane
792004	364372	Susan Underman
792004	385174	Hadassah Guberman
792004	390633	Alison Kaiser
792004	398407	Various
792004	401473	Susan Underman
792004	404093	Hanna Headstrong
792004	404337	Various (1993-1994)
792004	408642	Panelist
792005	58542	Edison's Secretary
792005	108306	Reporter
792005	251105	Jill
792006	7890	Ugly Stripper
792006	121361	Jane
792006	265928	Make-up arttist
792006	271198	Angela Q
792006	307881	Waitress
792006	335757	Dora Sterling
792007	366022	Amy
792008	46363	Jack's Sister
792009	298015	Herself
792010	5833	Bess
792010	46352	Jennifer Sweet
792010	68736	Madame Gorshev
792010	69462	Mom
792010	83639	Rena
792010	162576	
792010	185270	Sophia
792010	314224	Doris
792010	338155	Gladys
792010	404720	Etta Bormann
792011	316361	
792011	390085	Margarita
792012	109523	J. Gray
792014	224283	Irene
792015	100713	Susan
792015	138752	Herself
792015	144922	Peggy
792015	295006	Marie Dodo
792015	296543	1st Lt. Monday
792015	389001	Molly Dobbs
792015	391006	Jenny Piccalo (1980-1983)
792016	118763	Mental Patient
792017	214467	Old Lady
792018	31346	Lamaze Teacher
792018	82327	
792019	81344	Olympia
792021	19220	
792022	128727	Dancer
792023	312346	Cashier
792024	359319	Herself
792025	343010	Room clerk
792026	846	Herself - #91: Alicia Silvers
792026	1452	Herself - Presenter
792026	1490	Herself
792026	1674	Herself (Presenter)
792026	2797	Herself/presenter
792026	2930	Herself - Presenter: Best Mak
792026	7341	Teenage Girl ("Cryin'", "Amaz
792026	26531	Jennifer
792026	30952	Batgirl (Barbara Wilson)
792026	32243	Lynn
792026	40334	Eve Rustikoff
792026	66194	Cher Horowitz
792026	66196	Herself
792026	70389	Roslyn
792026	74117	Darian Forrester
792026	96769	Herself
792026	105617	Emily Hope
792026	129461	Natalie Bevin
792026	144674	Regina Harrison
792026	196233	The Princess of France
792026	221417	Herself (Presenter)
792026	228972	Herself (Hostess)
792026	235851	Trudy Wadd
792026	289683	Phyllis Messenger
792026	290936	Heather
792026	290937	Heather
792026	290982	Sheila
792026	336033	Delphine
792026	340764	Mary Giordano
792026	382632	Sharon Spitz
792026	397892	Kate Fox
792027	143565	Herself (Evelyn and Her Magic
792028	340379	Charlene
792029	330108	
792029	398972	Irene
792030	86539	Bank Manager
792030	116817	Armed interviewer
792031	206499	Herself
792032	210356	Herself
792032	210358	Herself
792033	107846	
792033	381124	Student
792033	389858	Messenger
792034	229902	Sister Florence
792035	53301	Interviewee
792035	381984	Presenter
792035	392154	Herself - Presenter
792035	402388	Presenter
792035	411515	Herself - Regular Panelist
792036	38515	Red's Girlfriend
792037	324074	
792038	221287	Passerby
792039	61845	Fairy/Leprechaun
792040	285623	
792041	39299	Herself
792042	3132	Senorita Diligencia
792043	111022	Marjolaine
792043	132743	
792044	380208	Conceição
792045	10002	
792045	10121	
792045	12090	
792045	19486	
792045	21435	
792045	34085	
792045	43130	
792045	51622	
792045	63810	
792045	74744	Lola
792045	80325	
792045	90094	
792045	90521	
792045	91367	Cristal
792045	103504	
792045	103509	
792045	108554	
792045	112105	
792045	132697	
792045	143759	
792045	148021	
792045	152236	
792045	167810	
792045	169751	
792045	169780	
792045	171375	
792045	171376	
792045	175670	Blanca
792045	186175	Rosenda
792045	188997	
792045	193162	
792045	196796	
792045	205133	
792045	205148	Mercedes
792045	212356	
792045	212361	
792045	212453	
792045	219406	
792045	221677	
792045	221759	
792045	239255	
792045	249888	Jovita
792045	252798	
792045	253378	
792045	259018	
792045	263875	
792045	266828	
792045	272393	
792045	277322	
792045	284893	Sra. Arteaga
792045	302131	
792045	324293	
792045	326297	
792045	332926	
792045	337451	
792045	339167	
792045	339988	Susana Guzman
792045	340042	
792045	349835	
792045	351646	
792045	355200	
792045	355814	
792045	355955	Maria
792045	357527	
792045	357529	
792045	370942	
792045	376748	
792045	377202	Catarina
792046	5232	
792047	281604	Lena
792048	90209	2nd Country Girl
792049	277788	
792049	281686	Maria
792049	322919	Silvia
792050	168948	Message from the Lord Choir
792051	121340	Maria
792052	87039	
792052	125776	
792053	61617	Realtor
792054	102616	Francesca Ambrosoli
792055	80695	Jogger
792056	672	Good-looking woman
792057	23551	
792058	109857	Jogging Mom
792059	229613	
792060	132909	Commercial Voice
792061	392910	Enfant
792063	69470	Camarera
792064	10468	
792064	370157	Mama de Luis
792064	390174	
792064	398230	
792064	402404	Cleotilde
792064	410319	Fedora
792065	74356	Jennie Iturbide
792065	341349	
792065	351569	Fabiola's Mother
792065	379461	
792065	380084	Nancy
792065	383031	Carmelita
792065	385855	Noemí
792065	398474	Ricarda Reyes vda. de Thompso
792065	400797	Flora
792065	400947	
792065	401093	Elianne
792065	403016	Dionisia Pérez
792065	404703	Victoria Viloria
792066	53278	Gloria Overtones, formerly Ma
792066	108626	Jane
792066	238236	Cabaret performer
792066	257580	WPC Taylor
792066	295998	Shirley, Gemini
792066	317327	Girl in shower
792066	368416	Girl in Hotel
792066	369910	Woman in Cottage
792066	391689	Handmaiden
792066	405696	Cabaret performer
792067	10484	
792067	22747	
792067	42653	
792067	55933	
792067	67025	
792067	74326	
792067	83879	Ana
792067	87072	
792067	87836	
792067	90219	Aurora
792067	101901	
792067	115828	
792067	128987	Carmen
792067	132465	
792067	140575	
792067	198372	
792067	202057	
792067	213370	
792067	216761	
792067	221570	Celia Ramos
792067	221576	
792067	222005	
792067	230245	
792067	232064	
792067	256358	Pinocho
792067	260833	
792067	265331	Nélida Echeverría
792067	266508	
792067	269829	
792067	280617	Mónica Helguera Paz
792067	281695	
792067	301109	
792067	302379	La Superiora
792067	309373	
792067	320510	
792067	376712	
792067	378496	
792067	380113	
792067	380791	
792067	383291	Clarita
792067	383974	Fe
792067	385070	Julia Pagliero
792067	385561	
792067	386127	Mercedes de Bernal
792067	387687	
792067	390442	Announcer
792067	390445	Announcer
792067	390446	Announcer
792067	390452	Announcer
792067	390454	Announcer
792067	391440	Laura
792067	395252	
792067	397583	
792067	401692	Marcela Morelli de Mejía Guzm
792067	403650	Mónica Helguera Paz
792067	405788	Margarita
792067	407565	Sol, Intendenta de Villa Bart
792067	409014	Nórah
792067	412156	
792068	19946	
792068	29625	Lilian Barrett
792068	38503	Biraghin
792068	38779	Catina
792068	54038	
792068	86069	Graziella
792068	90973	Fanny Sullivan
792068	127955	Franca
792068	129131	Sua figlia
792068	205705	
792068	227561	
792068	289386	Scampolo
792068	289649	Ninì
792068	293358	Rosita
792068	301340	La fioraia delle orchidee
792068	349927	
792068	354910	Carina
792068	355560	Teresa
792069	90752	Suor Paola
792070	1260	
792070	230273	
792070	295914	
792070	393359	
792071	173132	
792072	66205	Rosie
792073	165977	Bookish Girl
792073	192279	Violet
792073	321096	Teresa
792074	347046	Mädchen
792075	376688	Joven de la escalera
792076	23384	Student
792077	9602	Marita
792077	99616	
792077	139491	Hili-Bilin nainen
792077	172294	Näyttelijätär Ritva Rajos
792077	197364	The Snow Queen
792077	233246	Ilona Ahlgren/Niskavuori
792077	251951	Pipsa
792077	251953	Pipsa
792077	251954	Pipsa
792077	251955	Pipsa
792077	255765	Isän sihteeri
792077	255845	
792077	261170	Bella
792077	332518	Siru Donner
792077	341788	Various
792077	392555	Oona Hynninen
792077	392605	
792077	400496	
792077	400857	Oona Hynninen (2000)
792077	401125	Armi Hiitola
792077	404320	Herself - the host
792077	409038	Satu Silvo
792077	409042	Catherine Twining
792078	30582	Herself
792078	31681	Julie
792078	42296	Inga
792078	42844	Herself
792078	159012	Blossom
792078	163932	Melanie
792078	205397	Kim Dovak
792078	212598	
792078	215500	Julie
792078	227042	Woman driving car
792078	245008	Inga
792078	257618	Herself
792078	257637	Herself
792078	257655	Herself
792078	257677	
792078	257820	Miss December 1996
792078	257864	Herself (Playmate of the Year
792078	257866	Herself
792078	297989	Ingrid
792078	325258	Herself (1997 Playmate of the
792078	382164	Hourglass
792078	387957	Guest Presenter (2000-)
792078	396077	Herself (interviewed)
792078	396616	Inga (1999)
792079	94395	
792080	67025	
792080	193225	
792080	225062	
792080	272794	
792080	278936	
792081	234646	
792082	210917	Ulla
792083	45764	Snahata na dotzent Stefanov (
792083	134181	Maltitza
792083	181067	Kosena
792083	229155	
792083	229817	Vera
792083	288977	Billy's mother
792083	343415	
792083	350252	Rada
792084	125641	
792085	141786	Mary Evans
792086	246697	Rita Railton
792086	324044	
792087	374743	Bitchy ice-cream counter girl
792087	405110	Gongsun Lu'e
792088	127723	
792089	203005	Performance Artist
792089	211518	Queen of the Lair
792089	245085	
792089	305146	
792090	121135	Funeral Attendee
792091	4601	
792091	5578	
792091	5699	
792091	15390	
792091	30493	
792091	30698	
792091	33859	
792091	34061	
792091	34505	
792091	38432	
792091	38470	
792091	38497	
792091	39088	
792091	49440	
792091	52782	
792091	58331	
792091	75138	
792091	78707	
792091	98598	
792091	130559	
792091	137015	
792091	140608	
792091	145752	
792091	146972	
792091	149882	
792091	156217	
792091	156430	
792091	163094	
792091	172008	
792091	172018	
792091	173429	
792091	173769	
792091	173855	
792091	173969	
792091	174205	
792091	175445	
792091	175489	
792091	175705	
792091	177896	
792091	179192	
792091	180133	
792091	180688	
792091	182801	
792091	200672	
792091	210524	
792091	212282	
792091	222076	
792091	227966	
792091	229060	
792091	237451	
792091	238930	
792091	242333	
792091	275757	
792091	284805	
792091	284812	
792091	285492	
792091	288267	
792091	293664	
792091	295262	
792091	295270	
792091	295531	
792091	295532	
792091	296385	
792091	302526	Sabiha Haným
792091	303056	
792091	325013	Roza
792091	370372	
792091	370796	
792091	373243	
792091	373247	
792091	377524	
792091	377530	
792091	377555	
792091	378593	
792092	54026	Alison Smith
792092	77849	Joy Goodall
792092	80992	Mary Prohack
792092	133539	Margaret Ellis
792092	135618	Lynne Hartley
792092	200112	Nursemaid
792092	232011	Mary Campbell
792092	247490	Janet
792092	361665	Mary Payton
792093	67755	The young girl
792094	399130	Jane Reynolds (coffee shop as
792095	99018	2. Magd
792095	236183	Cherubino
792095	352309	Esmeralda
792095	353137	Maddalena
792096	135498	
792097	30144	Märta-Stina Olofsson
792098	57302	Violante
792099	352127	Neuzona
792100	337206	Child at the World Choir
792101	333787	
792102	333787	
792103	197318	Lulu
792103	300801	Lara
792103	376070	
792104	303799	Gavrila
792105	207801	Mathilde
792106	171426	Anna Forgo
792107	49828	Rat Woman
792108	92139	Adelaida
792108	390541	
792109	64744	Drunken Woman
792111	38178	
792112	5186	Les mannequins
792113	404989	Ariadna
792114	128441	
792115	346424	Manon
792116	387530	Lucie Thomas
792116	407356	Lili
792117	33536	Simone Gauthier
792117	53570	
792117	70156	Fabienne Lavallée
792117	275535	Rose
792117	286326	Hélène
792117	332274	
792117	381613	Sylvie Bédard
792117	384386	Jeannie Dauphin
792117	387048	Huguette (1976-1980)
792117	398078	Mme McKenzie
792117	403254	Hélène Bertrand
792118	408883	Secrétaire de Myriam
792119	185916	Andrea
792120	115562	Bride-To-Be
792120	366655	Cake Girl
792122	409444	Marjo, amie d'école de Sylvie
792123	148702	
792124	368724	
792125	314001	Comète
792125	410212	Nathalie
792126	387530	Julie Rondeau
792127	14420	
792128	110666	
792129	104482	
792130	236733	Sister Timothy (medical stude
792131	309463	Standa's Mother
792132	78792	Lili's Friend
792133	187918	Herself
792134	67346	
792135	224729	Olga
792136	259912	Dekle
792137	385627	Jean as a student (segment fi
792137	390523	Jessica Arnold (1994-1998)
792138	385299	Linda Ash
792138	395647	Queen Mary
792139	109993	Bruiser's girl
792140	314157	Sister Therese
792140	349198	Luna
792140	356069	
792141	264423	Harem girl
792142	327840	Concessionaire
792143	375465	Emka Durcekova
792144	389868	(2002-)
792145	220773	Anne Marie Zubeck
792145	345443	Josiane
792145	384754	Poupette
792145	386476	(segment "Rumeurs")
792146	226431	
792146	248260	
792146	269223	La novice
792146	270353	
792146	391632	
792147	334172	Turid
792148	311923	Young Jackie
792149	311923	Jackie
792150	328273	Lise
792151	318845	Giovanna
792152	277811	Alina 2
792153	79566	Girl
792153	102396	
792153	112672	
792153	121955	
792153	287648	
792153	353921	
792154	45482	
792155	6220	Malkata Veronika
792156	315851	Dancer
792157	30598	Stopadzhiyka
792157	44394	
792157	62829	Ani
792158	9468	
792158	50957	Maykata na Lambo
792158	87702	Maykata na Plamen
792158	228847	Zhenata na Kamilarov
792158	229059	Vladova
792158	266657	Konspiratorkata
792158	272903	Maykata na Elena
792158	365915	Nedeva
792158	375394	
792159	130142	Rositza
792159	151873	Veselina
792159	179693	Milka
792160	38547	Zlatka
792161	337039	Montyorkata
792162	381821	Ensemble (1986)
792163	323400	Student
792164	127631	
792165	307468	Woman Slave
792166	353966	
792167	134763	Vesna
792167	215443	Sandra
792167	261635	
792167	350680	
792167	373563	
792167	405506	Zorka
792167	411900	Vaspitacica Julija
792168	47197	
792168	180697	
792168	229034	
792168	232597	Ana
792168	320569	
792168	382431	Miki
792169	163038	Klara Pozgaj
792170	405506	Medicinska sestra
792171	409758	Vesna
792172	192904	
792173	91063	Herself
792174	301200	
792175	57139	Chris
792176	275491	Receptionist
792177	115688	Kees Flodder
792177	115689	Kees Flodder
792177	115690	Kees Flodder
792177	156710	
792177	223735	Suzy
792177	388930	Kees Flodder
792178	232594	
792178	356069	
792179	14558	
792179	81509	
792180	81504	
792181	156039	
792182	101820	Pharmacy Cashier
792183	26691	
792183	112276	Rosina di Bartolo
792183	242615	
792184	338020	Villager
792185	338020	Villager
792186	311449	Amazon
792187	96574	
792187	387378	
792188	106023	Niki
792190	198892	Gentlewoman
792191	388689	Mme Bellefeuille
792192	24734	Yaelle
792193	35865	Lída
792194	191548	
792194	335562	Kacka
792195	268290	Margita
792196	105309	New Waitress
792197	261151	
792198	16236	
792199	277096	Chinese lady of easy virtue #
792200	159743	Young Imbi
792201	16236	
792202	52199	6-Year-Old Becky
792203	66798	Martha Ames
792203	78034	Tracy Holbrook
792204	368967	Part Girl #3
792205	6021	TV Actress #2
792206	205691	Satcy Gannett
792207	205691	Stacy Gannett
792208	7071	Carrots
792208	40134	Lila Drew
792208	120296	Marcella
792208	233830	Cutie, club hostess
792208	340220	Charlie
792209	32531	Party Guest
792210	209198	St. Helen's Street Girl
792211	374638	Angvisa Girl
792212	372504	The Midwife
792213	336731	Samson
792214	340034	Treesha Rickles
792215	65763	CID Officer
792215	320309	Alice Barham
792215	395830	Angie
792216	301693	Girl in Sauna
792217	382715	Reporter
792218	97222	Sarah
792218	296107	Laura
792219	366651	Ronald-Ann
792219	405488	Violet Johnson
792220	165970	Nurse Peggy
792220	202367	Melinda Riley
792220	260663	Jackie
792220	333375	Nurse
792221	58774	Theresa Mallory
792222	30071	
792223	170888	Woman in Gallery
792224	363913	Dancer
792225	165370	Simmons, Beth
792226	48570	Yvonne 'Evie' LeBrec
792226	74711	Brownie
792226	120739	Mary Ann Hart
792226	192030	Nancy Bryan
792227	256620	Daughter
792228	61887	
792228	164400	Mrs. Birch
792229	144992	Phillipe's crew (Ratapuce)
792230	387332	Lady Alexandra Metcalfe
792231	38259	Cindy Thompson (daughter host
792231	55626	Helen Shyres
792231	163188	Laurie Ann Winterbarger
792231	194075	
792231	218375	Jen
792231	272776	Jennifer Martin
792231	305949	Amber
792231	353749	Amber Henson
792232	231916	
792233	396772	Betsey Price
792234	105075	Pedestrian
792234	329399	Switchboard Girl
792235	321822	Anne Benton
792236	149844	Receptionist
792237	239932	Judy
792238	352639	Middle-aged mistaken identifi
792239	46981	Jamie
792240	158314	
792241	69447	Amanda
792241	138859	Proprietress
792242	313459	Tawss Khaa
792243	106639	Nurse Henderson
792244	392897	Additional Voices (1985-1986)
792245	2342	Bit Role
792245	3169	Anselmi's Grandmother
792245	11552	Jessie
792245	20264	Lone woman
792245	37918	Mrs. Hosenwacker
792245	99853	Apartment Woman
792245	112030	Mrs. Finney
792245	141324	Ma Dawson
792245	220333	Ma Sheppard
792245	232342	Miss Blatters
792245	262324	
792245	277542	Lazy-Q Ranch owner
792245	280995	Ms. Hatfield
792245	281889	The Strega
792245	299718	Aggie
792245	321539	Mountain Woman
792245	329353	
792245	339884	
792245	346227	Bit Role
792245	355087	Southern spinster
792245	372935	
792246	259324	Secretary
792247	80750	
792248	385296	Ambassador's Wife
792249	385824	Jeannie Donovan (#1) (1990-19
792250	283938	
792250	301933	Tammy Sturmfuller
792251	51639	Shocked Girl
792252	283547	Nurse
792253	342440	Sally Security
792254	32070	Saxophone Player
792255	2257	Herself - accepting Best Acto
792255	2301	Herself
792255	6020	Ruth Gordon Jones (later know
792255	6144	Evelyne Wallace
792255	7414	Carolyn Parker
792255	11552	Mary Follet
792255	13928	Herself
792255	16408	Lavinia
792255	16669	Diane Tremayne
792255	32791	Gretchen Jordache Burke
792255	36998	Julie Maragon
792255	39731	Kanchi
792255	41848	Emmeline Foster
792255	49336	Cally Canham
792255	51855	Harpist
792255	51965	Judith
792255	65566	Story teller
792255	65968	Sophie Malraux
792255	76945	Katherine Palmer
792255	78936	Elizabeth Collins Stoddard
792255	79703	Aunt Mary
792255	81564	Etta
792255	82602	Diana
792255	83853	Desiree Clary
792255	88154	Nancy Downes
792255	89947	Dominique Ballard
792255	96891	Constance Payne
792255	98012	Merit
792255	99449	Sister Sharon Falconer
792255	113337	Council Member #2
792255	116930	Lily Watkins
792255	120268	Narrator
792255	129103	Heidi
792255	130767	Jane Kingsley
792255	133590	Young Estella
792255	136290	Sarah Brown
792255	137904	Ophelia, daughter of Polonius
792255	138772	Mary Wilson
792255	141955	Fräulein Rottenmeier
792255	143341	Katherine Stratten
792255	145316	Hilda Crane
792255	148220	Charlotte Brown
792255	151625	Em Reed
792255	152878	Lady Broderick
792255	159708	Lucy Brady
792255	164663	Helen Lawson
792255	166297	Herself
792255	178137	Molly Dodd
792255	184104	Connie Harrison
792255	184899	
792255	190054	Susan Lampton
792255	209628	Eva Watkins
792255	213019	Molly Hammond
792255	215987	The Blonde
792255	220916	Sally Cooper
792255	221146	Estelle Benbow
792255	240466	Narrator
792255	241552	Sarah Keyes
792255	252449	Peach Prindible Bailey
792255	253351	Laura Kilgallen
792255	279636	Diana
792255	282339	Molly Lang
792255	289231	Woman
792255	294244	
792255	297890	Corby Lane
792255	305363	Margaret Lawrence
792255	306440	Vicky Barton
792255	307363	Sarah Churchill
792255	310455	Varinia
792255	311774	Bit Part
792255	330154	Carrie-Louise Serrocold
792255	330682	Anne Leeds/Babe
792255	330689	Elizabeth Rambeau
792255	339784	Evie Bishop (in segment Sanit
792255	345809	Caroline Ruthyn
792255	347855	Barbara Leslie Forbes
792255	360258	Singer
792255	366441	Lucinda Rhives
792255	367520	Joy Blake
792255	371059	Maxine de la Hunt
792255	372490	Young Bess (Queen Elizabeth I
792255	380181	Hostess (Who wrote the Bible?
792255	380240	Irene Larson
792255	385580	Aaronia Haldorn
792255	385720	Elizabeth Collins Stoddard/Na
792255	390574	Miss Havisham
792255	398761	Narrator
792255	398762	Herself/Narrator
792255	399684	Clarissa Main
792255	399685	Clarissa Main
792255	408096	Fiona 'Fee' Cleary
792256	137258	Hollywood Girl #3
792258	56266	Samantha Casey
792259	46572	Space Girl
792259	56275	Shirley
792259	134387	Katie
792259	206884	Farraday Girl
792259	368046	Jodie
792260	131541	Professor
792260	266625	Duchess
792261	97388	Dancer
792262	169895	Crew Member 3
792263	164964	Miss Lytell
792264	395091	Woman Journalist #1
792265	191648	Susan
792266	41351	
792267	283305	Village Woman
792268	247455	Frog Girl
792269	47431	Sandy
792269	58946	Traveler
792269	306309	Moira
792269	366842	Bridget
792270	31870	Poet
792271	270138	Receptionist
792272	170599	Lady in Doorway
792272	234070	Luther's Mother
792272	261082	Clara Morgan
792273	56545	Herself
792273	107892	Sally
792273	119849	Prudence
792274	231827	
792275	307881	Lyle's Wife
792276	34792	
792276	98871	Glamour Model
792276	98897	
792276	98900	
792276	98901	
792276	98904	Nurse Nicole
792276	144566	
792276	246505	Nicole - Model
792277	110916	News Crew
792278	44330	Parolee's Mom
792279	224283	Crystal
792279	289558	Woman at Babylon Club
792280	127402	Sherry
792281	393808	
792282	268997	
792283	73484	
792283	163565	Junior League Girl
792283	190171	Interviewee
792283	264452	Rosie
792283	279627	Shawna
792284	65370	Vera
792285	7492	
792285	56098	Woman at baby window
792285	162377	Nurse
792285	209592	Bit part
792286	59135	Woman Surgeon
792286	160375	Nurse
792286	214755	Lamar Burgess' Secretary
792286	238612	Howard's Mom
792286	307898	Nurse
792286	389858	Zelda Bernstein (1979-1980)
792286	390117	Mary Weeks
792287	394650	Herself
792288	67380	Piper Dellums
792288	67385	Harriet
792288	80932	Clotee
792288	147516	
792288	157734	Maggie
792288	218774	Jenny Morrow
792288	269967	Zoe
792288	285787	Annette Anderson
792288	287285	Jenny
792288	335721	Blair
792288	355164	
792288	374524	Nebula Wade
792288	379165	Samantha Thompson
792288	382155	Corrine Baxter
792288	388080	Herself
792288	411902	Sarah
792289	196887	People at Party
792289	288464	Lisa
792290	233521	Little Girl Rose
792291	84113	Newscaster #1
792291	105805	Newscaster
792291	114298	Newscaster
792291	190461	WNBC Anchor
792291	399316	Herself - Anchor
792291	399328	Herself - Anchor
792292	43921	Reporter
792292	277442	Reporter
792292	277892	Lt. Ellie
792292	285035	Sandy
792292	330281	Kim
792293	214934	
792294	251801	BMW Driver
792295	160504	Cricket
792295	278217	Debbie
792296	194666	Neighbor Girl
792297	124115	Government Worker
792298	113826	
792298	127279	Reporter #1
792298	183586	Sylvia Price
792298	212084	Stewardess
792298	269759	Elaine Brewer
792298	333343	Nurse Johnson
792299	78994	Sarah
792300	215838	Rosario
792301	79450	Teenage Girl
792302	133595	Estella's Attendant
792303	330295	Guard
792304	354520	Matt
792305	73434	Kadie
792305	386923	Additional Voices (Blue Water
792305	394419	Additional Voices
792305	396491	Mog
792306	44433	Woman at Site
792307	183426	Hair Spray Girl
792307	306312	Katy
792307	406773	Morgan McKnight (1997-1998)
792308	301748	Refugee
792308	375936	Bunny
792309	47364	Helen Hoyt
792309	87552	Vickie Peters
792309	143634	Jean
792309	146759	Marcia Manning
792309	231768	Carole Hill
792309	257856	Ginny Simms
792309	291341	Herself
792309	291344	Herself
792309	291347	Herself
792309	291381	Herself
792309	291391	Herself - on Kay Kyser radio 
792309	295301	Ginny
792309	296975	Lee
792309	329605	Ginny Simms
792309	372295	Ginny Simms
792310	140953	Tish
792310	177692	Ethiopia
792310	274054	Bad Bessie, Cheryl Lynn, Danc
792310	299457	Officer Jones
792310	305177	
792310	315191	Sugar Love
792310	315311	
792311	40024	Anne, Sylvia's Hatcheck Girl
792311	168257	Joe's wife
792312	5539	Mrs. Parsons
792313	269771	Hostage
792314	204553	Lupe
792315	104790	Gospel Choir
792316	347115	Amanda
792317	57101	Aimee Lynn
792317	336772	Desk Nurse
792317	390771	Melinda 'Mindy' Lewis Spauldi
792318	5092	Betty
792318	266596	
792319	41219	Nurse Turner
792319	185065	Mrs. Applebaum
792319	193919	Olive
792319	258889	Fran
792319	337313	Juvenile officer
792319	380750	Miss Malatta
792320	82930	Paula Roberts
792320	92865	Nephrology desk nurse
792320	240314	Talk Show Reporter
792320	253347	Female Guest
792320	313407	T'Andorian
792320	380597	Hostess
792320	401368	Barbara Diffy
792320	406952	Nurse Kathy Baker (1998)
792320	411802	Connie Wayne #2 (1999)
792321	127621	Redhead
792321	331369	Jamie Dawn
792322	128727	Dancer
792322	326715	Herself
792323	77575	Marina
792324	282711	Dancer in Haiti number
792325	354520	Casey
792327	301660	Stacey
792328	41987	Miss Quimby
792328	44509	Cashier
792328	163300	Woman
792328	232338	Telephone Operator
792328	307936	Sadie
792329	85084	First Girl
792330	21531	
792330	70305	Lois
792330	70426	Boutique Owner
792330	80588	Amanda
792330	85186	Featured Party Guest
792330	105165	Detective Borromeo
792330	108257	Sylvia Eid
792330	108334	Nancy
792330	119534	Mary
792330	154854	Parade Manager
792330	160524	Mrs. Connell
792330	207765	Real Estate Agent
792330	320247	Betsy Quinn
792330	326479	Tina
792330	356329	Dr. Mills
792330	356477	Dr. Osborne
792330	379197	Additional Voices
792330	405027	Lamprey
792330	406154	Lady Ursula of the Next-Men
792331	402197	Dinah Walford (1981)
792332	264872	
792333	291307	Cut In Half Victim
792334	208228	Herself
792335	244578	
792335	322718	
792336	209156	Reporter
792337	207973	
792337	317679	
792338	410401	Zuster Honorine
792339	394730	Tante Lieve
792340	53284	Waitress
792341	184070	Kerttu
792341	344376	Sanna
792342	104753	Finnish entry (18th place)
792343	80695	Stripper
792343	182980	Hooker#1
792344	171024	Katie Graff
792344	214649	Mrs. Simms
792345	345533	La présidente du club
792346	110399	Ms. Stanton
792347	213681	
792348	58632	Announcer
792349	152834	
792349	259452	
792350	43715	
792350	94810	
792350	116070	Wichita
792350	263038	Mercedes
792351	368737	
792352	333659	
792353	265341	
792354	3053	Herself - recalling her award
792354	7586	Herself
792354	11687	Herself (performer)
792354	37807	Host
792354	157895	Herself
792354	161341	Herself
792354	223076	Herself
792354	233820	Herself
792354	252825	Herself
792354	271861	Herself
792354	302720	Herself
792354	308714	Singer
792354	323594	Audition Singer
792354	410035	Herself
792355	386930	Various
792356	325667	Postbotin
792357	7240	
792357	79553	Petite Emilie
792357	104754	Austrian entry (18th place)
792357	156299	Nun
792357	204555	Louise, la petite fille
792357	278870	Brigitte
792357	356364	La jeune fille enchaînée
792357	377255	Florence Malhouin
792357	382584	
792357	384287	Clarence
792357	384746	
792357	397137	Léontine
792357	398985	Arnaude (1974)
792357	401798	Stella (1964)
792357	401972	Angèle
792357	410307	Claudie
792358	345417	Sophie
792359	273654	
792360	137259	Girl in Lunchroom
792361	52909	Madame Morhardt
792362	80578	
792363	227534	
792364	177975	
792365	44738	Lizbeth, la femme de Gilles/L
792366	27321	Dr. Roberta Michaelson
792366	121135	Ashley Campfire Girl
792367	28537	Tanuló
792368	149603	Herself
792368	378307	Herself
792369	180824	
792370	34256	
792371	192056	
792372	211375	L'aimable passante
792373	200283	Wheelchair Lady
792375	64333	Herself (1978)
792376	74454	
792377	28611	Sophia
792377	157580	Loop Group
792377	165422	Middle Aged Rosa Cortino
792377	192489	Liv
792377	276945	Georgina
792378	63342	Witch
792378	77002	TCN Field Reporter
792378	231230	CIA Secretary
792379	369	Isabelle
792379	3311	Lisa (segment "Et alors ?")
792379	11707	Claire
792379	69935	Solene
792379	78809	Agnes Garfield
792379	89823	
792379	108938	Jeanne
792379	122402	Cécile
792379	249753	Une jeune fille
792379	286277	Nadine
792379	294356	Corinne
792379	396368	(1994)
792380	18517	
792380	52632	Karins Mutter
792380	153730	Second sister
792380	157653	Frau Heck
792380	172766	Maria
792380	206581	
792380	246920	Female Police Officer
792380	316541	Frau Danzke
792380	325426	Ingrid Stricker
792380	325561	
792380	345906	Frau Leer
792380	357570	Frau Votruba
792380	360972	Wehners Mutter
792380	366471	
792380	381864	
792381	322194	
792382	16341	Luisa
792382	40953	Ursel
792382	51687	Liliana
792382	129494	
792382	168434	Micky von Hergeth
792382	307258	Moni
792382	318085	Ursula's Tochter
792382	361408	Lilo
792383	184346	
792384	13267	Asparagus #2
792385	376622	Kind Anna
792386	367581	Woman #4
792387	301701	Sister Angelina
792388	69333	Secretary
792389	32114	Bar Co-Ed
792390	223840	Jane Asher
792390	272031	Brittany
792392	7992	Dayna Mellanby
792392	46847	Fatima
792392	61558	Nadia
792392	74207	Dr. Ramphele
792392	77195	Eileen Anstiss
792392	139357	Geisla
792392	213952	Joanna
792392	293217	Susie Hazard
792392	308183	Christine
792392	359426	Dayna Mellanby (1980-81)
792392	360269	Narrator
792392	364125	Narrator
792392	382191	Dayna Mellanby (1980-1981)
792392	399379	Frankie Thompson
792392	401797	
792392	408095	Various roles
792393	192171	Eleanora
792394	48618	Sandra
792394	361522	Sylvia
792395	24395	Computerstimme
792395	396874	(1992)
792396	343633	
792397	67395	Church sister
792398	44599	Nicole van Euhh
792398	364729	
792399	138497	
792400	60148	Military Wife
792400	138822	Finkle Bellis
792401	327834	
792403	157895	Herself
792404	108001	Jane as go-go dancer
792404	360266	Rosalind Leopold
792405	192509	
792405	224039	Mae Rabinowitz
792406	117700	Th. des Nouveautés
792407	165125	Lina
792408	77821	Kelly
792408	81193	Dot Capperlog
792408	97888	Sarah Green
792409	352039	Andrea
792410	1008	Richter házvezetõnõje
792410	19678	
792410	33993	
792410	35059	
792410	44219	Gubáné
792410	44572	Szakácsné
792410	74465	Szomszédasszony
792410	78287	Pista anyja
792410	96201	
792410	97964	Dr.Albert ügyfele
792410	97982	Az intézõ szakácsnõje
792410	99525	
792410	102410	
792410	104795	
792410	108073	Gonosz Pista felesége
792410	122382	
792410	122454	Böbekné
792410	122613	Szolgáló
792410	137755	Szakácsnõ
792410	139500	Bányász asszony a vonaton
792410	139940	
792410	142725	Kati,a cseléd
792410	153638	Julcsa
792410	153690	
792410	153913	Háziasszony
792410	171629	
792410	174750	Kofa
792410	177970	Edit Tiszai
792410	182654	
792410	182667	Pista anyja
792410	182695	Házvezetõnõ
792410	188936	
792410	201369	Rozi néni
792410	201956	Ilona,Kövi házvezetõnõje
792410	237187	
792410	255856	Kofa
792410	256679	Jolán néni
792410	268521	Lady President of the Women's
792410	284358	József Bosnyák's Mother
792410	288119	Szakácsné
792410	293990	
792410	322014	
792410	322133	Takács néni
792410	322241	Ágnes,Csorba felesége
792410	326078	
792410	327209	Szabó néni
792410	349619	Mama,Rozi anyja
792410	374157	
792410	377722	Marcsa
792410	377820	
792410	377882	
792410	377891	
792410	378516	
792411	58358	
792411	377807	
792412	102968	Dorit
792412	109501	Nika Kreschninski
792412	131383	Ariane Kerner
792412	166732	Tanja Schulz
792412	168975	Nina Buchwald
792412	171726	Kathrin Leutgeb
792412	178621	Katrin Rubakow
792412	189443	Sonja
792412	197893	Hanna
792412	209999	Johanna
792412	218981	Susanne
792412	223818	Stefanie
792412	312119	Andrea Bär
792412	325728	Hannah Siems
792412	325788	Sabine Hallmeier
792412	325923	Lisa Mattern
792412	352039	Andrea
792412	375869	Lea
792413	170055	(segment "Divertimento")
792414	254712	Karen
792417	210315	
792418	112800	Claire-Lise
792418	254162	Bica
792418	384971	Laure
792419	188676	L'étudiante
792420	128488	May Chambers
792421	59520	Marianne Dé, fille de Charles
792422	33628	Gertrude
792422	76038	La serveuse
792422	132284	
792422	146424	Joutta
792422	168083	Bernadette Montaigne
792422	189163	Mme de Tourvel
792422	199582	Sabine Larralde
792422	235819	Madame Chalamand, Simon's lov
792422	236526	Mme de Tourzel
792422	236545	Belle
792422	254317	Isabelle
792422	307129	Valentine (segment "Paix chez
792422	347566	Me Isabelle Prat
792422	380132	Michelle
792422	382584	Adeline
792422	384535	Véronique Aletti
792422	390876	Edmée Leber
792422	393400	Colette Stevens
792422	409443	Charlène Lecoeur
792422	409454	Gaby
792422	409602	
792423	64207	Reporter #1
792424	168627	Tiffany Gibson
792425	20666	Françoise
792426	310968	
792427	177705	Schoolgirl
792428	282923	EDK Receptionist
792429	25128	
792429	214010	
792430	70325	Luise (daughter)
792430	108214	La fille
792430	327076	Niagara
792431	337005	
792432	392935	Herself/Co-host (1995-1997, 1
792433	365600	Valentina
792434	124908	Kathie
792435	207032	
792436	367581	Simin
792437	122778	Life
792438	187371	
792439	283500	Lucy Lindsay
792440	386727	
792440	410310	
792441	196845	Toddler
792442	83110	Secretary
792443	95387	
792443	125007	
792443	338960	
792444	32280	Sylvie
792444	51246	Séverine
792444	56749	Irena Dubrovna
792444	57263	Juliette
792444	59266	Pierette
792444	75533	Irena Reed, Oliver's dead wif
792444	84828	Belle/Bella Dee
792444	90755	Yvonne Dubois
792444	95359	
792444	106232	Michele Blanchard
792444	111046	Madam
792444	128889	Marie Claudel
792444	147716	Herself
792444	168678	Kathie
792444	169167	Renee LeBlanc
792444	183227	
792444	183373	Marie Armand
792444	195368	Yvett Guerin
792444	199592	A Little Laundress
792444	202592	
792444	240036	
792444	240609	
792444	254092	Julie
792444	254236	Migo
792444	257212	Joséphine (segment "Le Modèle
792444	261817	
792444	263023	
792444	280534	Victoire
792444	281314	Marie, the Housemaid
792444	291328	Herself
792444	295448	Diane the Hooker
792444	323070	
792444	327600	Camelia
792444	333713	
792444	338677	
792444	345224	
792444	346185	Cigarette
792444	356514	
792444	371417	Tania
792444	376420	Françoise Dunoyer
792444	377933	
792445	99410	
792445	102001	Theater secretary
792445	164157	Alice
792445	175134	
792445	217738	Mona
792445	219471	Colette
792445	261116	Agnès
792445	278155	Pat
792445	345022	La Mère 1967
792445	401798	Nathalie/Sonia (1973)
792446	235645	Bar Girl
792447	68232	Rose bearer
792448	86806	Sympathizer
792448	121586	Girl
792448	131472	Susan
792448	143203	Girl
792448	246002	Chyna
792448	309938	Jenny
792449	36676	Martine Guigal
792449	82160	Pamela Schott
792449	90707	
792449	100973	Petra
792449	115603	
792449	115652	Kim Garben
792449	120057	Eva König
792449	125124	Pia
792449	134800	Sarah
792449	142002	Dr. Marie Steiner
792449	142036	Sophie
792449	189683	
792449	194789	Catherine Lasky
792449	211727	Grand Lady in Paris
792449	218981	Katja Bach
792449	250974	Doris
792449	259607	Edith
792449	270423	Julie
792449	290137	Nicole
792449	290782	Kim Joosten
792449	322833	Sekretärin Frau Rickebick
792449	325449	Dagmar Nehls
792449	325556	Sybille Krause
792449	343676	Caroline
792449	352176	Lisa Landauer
792449	352340	Luise
792449	353438	Regina Loose
792449	355738	Bea Rossi
792449	356841	Juliane Benning
792449	359704	Melanie
792449	366471	Jelena Uschakowa
792449	369168	Susanne Reimund
792449	376167	Lili
792449	393255	Lisbeth Papenbrock
792450	63779	L'hôtesse Eurolines
792450	340343	Receptionist
792451	251423	Sal
792451	272279	Koreto
792452	209209	Valeria
792452	209210	Valeria
792453	315777	Student
792454	164832	
792454	380454	Claudia
792454	388468	
792455	98703	
792455	277406	
792455	378974	Carolina Villamisar
792455	391452	Carolina Cruz
792455	400667	Maggie (1998)
792455	401699	Catalina Luzardo
792455	405865	Violeta Gutiérrez
792455	409922	Giovanna Alfieri
792456	224793	Jenna Hartley
792456	239415	Ado Annie
792457	262754	
792458	158747	
792458	376940	
792459	23944	Brett
792459	36724	Willie McCletchie
792459	62705	Alison Parks
792459	107069	Meredith (Merre) Lake
792459	109524	Cindy
792459	139187	Porno Wife
792459	164715	Jennifer
792459	213272	Devon
792459	232063	Samantha 'Sam' Belmont
792459	235471	Nurse Oxford
792459	286435	
792459	291248	Herself
792459	294918	Sherry Ordway
792459	304689	Jolene
792459	338199	Hannah
792459	374568	Jamie
792459	383768	Jossie
792459	400236	Tina Clayton Lord Roberts Rob
792459	404002	Kimberly Harris Beaulac (1979
792460	3197	Weber doktorno
792460	74397	A technikumi tanárnõ
792460	97968	Herself
792460	97984	Ellen,Harriman lánya
792460	140672	
792460	155955	Titkárnõ
792460	182662	
792460	200056	
792460	209810	
792460	225784	Kongresszusi küldött
792460	268428	Dávid Paula
792460	282753	Jolán,gépírónõ
792461	104730	Lithuanian entry (16th place)
792461	367457	Dead Woman
792461	387960	Herself
792462	356869	
792464	13457	
792465	308482	
792466	127901	
792466	223117	Lupetta
792466	235738	
792467	240315	Sacrificed Slave
792468	344652	Local Sinner
792469	70778	Woman in Classroom
792469	118873	Woman In Elevator
792469	168238	Reporter on the Bridge
792469	265101	Rhoda
792469	300044	Rachel
792470	786	
792470	2473	
792470	11253	
792470	33034	
792470	44055	Gitty
792470	57817	Dianne
792470	69175	Herself
792470	75028	
792470	75030	
792470	87386	
792470	100009	
792470	104765	Austrian entry (10th place)
792470	155005	Documentary Woman
792470	155238	
792470	168150	
792470	236944	
792470	256202	
792470	302164	Simone
792470	302173	
792470	309927	Client
792470	342638	
792470	385660	
792471	103884	
792471	143553	
792471	146704	
792471	307756	
792472	21896	
792472	45029	
792472	88960	
792473	162292	
792474	302185	First class flight attendant
792475	166370	A philosophy student
792476	46334	Blue Monday Housewife
792477	171791	Prostitute
792478	6960	
792478	6962	
792478	6965	
792478	26785	
792478	31529	
792478	34876	
792478	36703	
792478	37168	
792478	39231	
792478	39242	
792478	39253	
792478	39312	
792478	39484	
792478	39590	
792478	39744	
792478	39751	
792478	39950	
792478	52415	Prostitute
792478	62483	
792478	78982	
792478	89951	
792478	97116	
792478	110278	Girl in Hot Tub
792478	130285	
792478	197787	
792478	243357	
792478	249569	
792478	261289	
792478	263533	
792478	303209	
792478	307015	
792478	369472	
792480	255640	
792481	333392	Tracy
792483	145761	Christin
792484	193193	
792485	4367	Lisa Callahan
792485	97348	Brilla Hansey
792485	194390	Emma Last
792485	334154	High School Student
792486	409700	Herself (Hog Wild)
792487	720	Herself
792489	80612	Fan
792489	191513	Fountain Girl
792490	35282	Patricia Midblane, Julie Lond
792490	43530	Bondage Therapist
792490	233576	
792490	368660	Rope Mistress
792491	186156	Regina
792492	28561	Kirsten Holm
792493	127402	Lisa
792493	215727	Moon Girl
792494	289055	Madame Simone
792496	190193	Honeybee Gillis
792497	13515	
792497	244620	
792497	307837	
792497	357518	
792497	376739	Herself
792499	278683	
792500	46595	Herself
792500	232777	Herself
792500	257684	Herself
792501	307337	
792502	401875	Herself - Finalist (2004)
792503	80385	Linda Maxwell
792503	156960	Rebecca
792504	230320	Barbara
792505	307337	
792506	41993	
792507	304443	Working on Same Painting
792508	258554	Harpy/Amy
792509	81789	Lady
792509	92618	Dr. T's Patient
792509	140912	Nurse #1
792509	223752	Lady With Apple Pie
792509	293021	Grandma Maguire
792509	314785	Mrs. Cassett
792509	320100	May
792510	97074	Juliette
792511	68791	La grand-mère
792511	68833	L'épicière
792511	87692	Madame Mercier
792511	160549	Denise
792511	383864	
792512	205471	
792513	236751	Criada joven
792514	218935	
792514	221966	
792514	234710	
792514	253072	Cameria Nicoletta
792514	254954	Voce narrante
792514	351010	
792515	84634	Une lavandière
792516	19839	Françoise (segment "Goûter de
792516	67202	Henri
792516	100358	Gilberte
792516	132411	
792516	132953	
792516	165908	Hélène
792516	181842	L'amie
792516	184051	
792516	249698	Betty Reinders
792516	292911	
792516	355245	Loiselle
792516	373400	Niki
792516	377963	
792516	401972	Clémence
792517	161997	Popy
792518	66752	Berthe de Brabant
792519	33640	Dominique Maillard, dite Domi
792519	83216	Martine, the thief
792519	101229	Prostituée
792519	225444	L'assistante aux Ballets Rose
792519	276530	
792519	290976	
792519	302165	Martine
792519	332233	Martine
792520	159045	Voix intemporelle
792521	340202	Amelie
792522	283758	Baltermia
792523	283758	Dona cun scuva 2
792524	283758	
792525	69171	Herself
792525	283758	
792526	84176	Susana Galván
792526	96331	
792526	221579	Susy Monet
792526	225058	
792526	351834	
792528	25649	
792529	6209	
792529	159497	
792529	269499	
792530	254621	Schoolgirl
792531	80594	Bernadette Pettiford
792531	107857	Melanie Fleischer
792531	177015	Woman In Black
792533	307241	
792534	380146	Luciana
792534	380209	Liliana Arosamena
792534	383769	Lila
792534	384119	Sebas' Mother (1999)
792534	387773	María
792534	387774	Juana
792534	392804	Graciela
792534	397013	Jenny
792534	397731	Yolanda
792534	398816	Rosaura
792534	402630	Sandra
792534	411636	Alejandra Casals
792535	6292	
792535	158855	Contessa Galbiati
792535	229989	Assistente di Doll Bonner
792535	374495	
792535	386742	Signora Stevens
792536	235368	
792537	64233	
792537	353245	Franca
792538	54139	
792539	36612	
792539	68651	Cenerone's Wife
792539	229741	
792539	243427	
792539	319323	
792541	336488	Party Musician 2
792542	229553	Child
792543	229553	Child
792544	261777	
792545	72074	
792545	377955	Thérèse, la femme de chambre
792546	379372	Herself
792547	168425	Margrit, Miss Holland
792548	229287	Stewardess
792548	255926	Marijke
792549	118097	Fille du burgmestre
792550	6411	Simone
792550	15061	Judith
792550	15079	Catherine
792550	17871	La concierce
792550	23710	Mlle Sylvie
792550	33276	
792550	34390	Louise Soubirous
792550	42561	Elysabeth
792550	58119	Charlotte
792550	84635	Docteur Sarah Guenaud
792550	86792	Agnès
792550	110134	Marie-Claire Combalez
792550	126043	
792550	195144	Francoise
792550	201135	Une assistante INCS
792550	212148	Fernande
792550	212157	Madeleine Dantois
792550	214021	Mme Carlot
792550	218253	Mme Balboss
792550	235730	Mme Verden
792550	236516	
792550	249740	Josette, la femme de Mathieu
792550	284148	
792550	288095	Leila
792550	327551	Sophie Vignolet
792550	339537	Marianne
792550	354574	Véra, la femme de François
792550	377943	
792550	384288	Mme Ledoux
792550	400681	
792550	403108	La propriètaire
792551	346537	Trapeze Artist
792552	304219	Mrs. Grigson
792553	282781	Pierre
792554	401314	Ustinya
792554	402924	Ustinya
792555	234299	
792556	239372	
792557	263134	Sotrudnika v ofise
792558	343972	
792559	3579	
792559	7610	Katya
792559	28258	
792559	34507	Irina
792559	82813	
792559	86614	
792559	89589	
792559	95621	Anna Grigoryevna Snitkina
792559	119019	Mat
792559	173861	
792559	179321	
792559	180115	
792559	207162	Nina
792559	237970	Princess
792559	265023	
792559	265844	Tasya (Anastasiya)
792559	265845	Tasya (Anastasiya)
792559	266289	
792559	270741	
792559	280610	
792559	283829	Masha
792559	291887	
792559	299421	
792559	303814	Dark's wife
792559	341324	
792559	349239	
792559	357649	
792559	375656	Tasya (Anastasiya)
792559	386202	
792559	401710	
792560	232599	
792561	190980	
792562	401339	Mrs. Kislytsin
792563	294374	Ensemble Vocal Sequenza 9.3, 
792564	24828	Herself
792564	383902	Herself
792565	246704	Lucy May
792565	364685	Mrs. McKinnon
792566	62561	Laure
792566	205643	
792567	293144	Daughter
792568	381087	Jane
792569	69168	Herself
792569	69170	Herself
792569	69171	Herself
792569	69176	Herself
792569	104761	Herself (Swiss entry) (2nd pl
792570	226936	Hostess #2
792571	20626	Geisha girl
792572	228266	Herself
792572	228267	Herself
792573	293739	Bass
792574	2837	Marjorie Masters
792574	7088	Pretty Reporter
792575	391919	Amy Johnstone
792576	131392	Three Graces
792576	242712	
792577	101366	Sandra
792578	329025	Ms. Germanie
792579	63065	Pokey
792580	106016	Kathy Smith
792580	156970	Girl in Vet's Office
792580	186846	Sarah
792580	210622	Amy
792581	114708	Wife No. 2
792582	400288	Herself
792583	84485	
792584	84267	Eva
792584	110408	Lone
792585	182602	Tilstedeværende ved abortdisk
792586	76757	Donna Vejdrup
792586	84267	Elisabeth
792586	111557	Christian's Friend
792586	117461	Ida's mor
792586	153396	
792586	181322	
792586	198053	Mor
792586	213296	Christian's Mother
792586	238799	Moderen
792586	268331	
792586	314992	Herself
792586	382323	Bette Dyrhuus
792586	382884	Betty Lind
792586	389397	Mrs. Danbo
792586	393867	Mor Laila
792586	406742	Marie David
792586	407621	Maria (1999)
792587	237291	Sara
792588	51291	Irene
792589	397920	
792590	334378	Inga
792591	381532	Herself - Designer
792592	2675	Young Test Singer
792592	4815	Waitress
792592	5218	Erna
792592	11991	
792592	21724	
792592	29912	Grandmother
792592	57760	Åse Lund
792592	82152	
792592	116307	Solan
792592	136627	Joyce
792592	168523	Fanny
792592	196810	Nilsa
792592	205809	Frisørdamen
792592	219358	Hulda nedenunder
792592	219359	Hulda Nedenunder
792592	237066	Lizzie
792592	237293	Mother
792592	240115	Bodil Hansen, sosialarbeider
792592	240392	
792592	303214	Elsa Eng
792592	306974	Gammel kvinne
792592	320499	Edna
792592	334277	Vera Schultz, Dickies veninne
792592	343401	Gerd Lunde
792592	349002	Bitten Willien
792592	378336	Fødselsdagsbarnet
792592	379595	Liesel
792592	382250	
792592	388554	Fru Tangvald Olsen
792592	392072	Gjertrud Krogstad (2000-2003)
792593	360010	Beautiful woman
792594	48700	Herself
792595	22818	Lærerinnen
792595	28041	Meretes mor
792596	396358	Herself - Host/Chef
792597	783	Herself
792597	309407	Barbara
792597	319638	Herself
792597	353078	Elena
792598	382819	Herself (Human-etiker)
792599	257545	Receptionist
792600	354607	Louise
792601	201095	Amanda
792602	326854	
792604	296021	Herself
792605	29556	Beatrice
792605	83850	
792605	252332	Lotta Runeberg
792605	400782	Jonna Borg
792605	405570	Susanna Pettersson (april-maj
792606	15406	Anahit
792606	19688	Anush
792606	139921	Manush
792606	141864	Mkrtich's mother
792606	153239	
792606	173130	Arsha
792606	175972	
792607	2987	
792607	28053	
792607	175699	
792607	214500	
792608	18944	Woman Manager Of School
792608	98565	Phaethon neighbor
792608	330073	Leila
792609	127362	
792610	1688	Csibi
792610	28032	Judit
792610	32863	Juliska,varrólány
792610	42334	
792610	78287	Jáky Ilonka
792610	91252	
792610	92533	
792610	94225	Zsambokine
792610	94645	Anna Serrati
792610	98770	Losonczy Ágnes
792610	124310	Klári,Kenessey lánya
792610	136577	Clarisse
792610	136845	Tatayné
792610	144677	Ballayné
792610	171540	
792610	175748	Zsuzsanna
792610	182693	The Judge's wife
792610	211113	
792610	212308	
792610	216250	
792610	223594	
792610	235374	Noszty Vilma
792610	246283	Etelka néni
792610	252152	
792610	272164	
792610	284186	Páldi Éva, Ria lánya
792610	293405	Grófné
792610	293990	Mici
792610	322118	Tornay Éva
792610	328970	
792610	335267	Gáldy Benedek lánya
792610	343631	Máté Gitta
792610	343693	Hámor Dolly
792610	349034	Erzsébet,zongorakisérõ
792610	349619	Mária,Sziráky titkárnõje
792610	350661	Alice McLean
792610	350675	Mária
792610	355654	Elena Lorini
792610	377121	Viera Gorbuskin
792610	377719	Moviszterné
792610	377761	Donáthné
792610	394880	Pulykáné
792611	102412	Dorka
792611	153683	Andante - Szuok
792611	175753	Alíz
792611	227534	
792611	284355	Mari
792611	378116	
792611	399860	
792611	407236	Dr. Éva Nagy (1987-1999)
792612	177871	Christina
792613	344918	Surprised Woman
792613	351514	
792614	89814	Zhenata s kolichkata
792615	104699	Girl in Orange Juice Ad
792616	352888	
792617	307687	Naomi
792618	206262	Asmaa
792619	341431	Angie
792620	158602	Ali Andrews
792620	311517	Shela, School Snob
792621	161739	Waitress at Lamb's Restaurant
792621	234464	Widow
792621	406363	Lila Bruett
792622	318687	Girl
792623	102117	Niki
792624	59858	Nica
792624	184822	Leigh Fondakowski
792624	186650	Beverly Dixon (outfield)
792624	229144	
792625	166643	Woman in Bar
792626	271697	
792626	297179	Alexis Swanson
792627	355924	2nd Neighbour
792628	66606	
792629	39830	Rachel Sachs
792629	78670	
792629	157444	Shipp's Receptionist
792629	171485	Nurse
792629	248448	Mrs. Bancroft
792629	263485	
792629	289683	Judge's Wife
792629	297991	Teacher
792629	315261	
792629	366433	Gudger's Wife
792629	390144	Nightshade (1993-1996)
792630	6654	Anna
792630	383363	Juice Woman (The Sea Captain'
792631	200067	Maggie
792631	203358	Rockette
792632	75035	
792632	93707	
792632	326673	
792633	295806	Vicky
792633	333102	Phyllis Coates
792633	391454	Rachel Brice
792633	399069	Shop Assistant
792634	260630	Serena
792635	244919	Joycelyn Clifton
792636	93247	Herself
792636	150075	Monique
792636	167011	Herself
792636	221413	Herself
792636	221443	Herself - Co-Host
792636	378943	Cecilia Smith (2002-2004)
792636	380728	Herself
792636	404384	Herself/Judge (2003)
792636	408610	Herself (2003)
792637	328012	Kurai
792638	49763	TV reporter
792638	70753	
792638	252887	Reporter
792639	161976	
792639	293094	Nicola Morton/Cassidy
792639	311662	Spoonface Steinberg
792640	411274	
792640	411325	60 Seconds Host (II) (2001-20
792641	230435	Pvt. Gussie Gustafson (Wiscon
792642	293032	TV Station Secretary
792643	59409	Comic Book Girl
792643	329986	Sally
792644	97042	Lemonade Lady
792644	123697	Manny's secretary
792644	135518	Mrs. Buttman
792644	235523	Pretty Dead Girl
792645	136298	Joan's Daughter
792646	351269	(segment "Você é Linda")
792647	2017	Liz
792648	2817	Herself - Best Editing Winner
792649	28180	Betty
792650	409840	Vauxhall gypsy dancer
792651	213313	Cobweb
792651	386234	Jane Treet
792652	162862	
792652	203727	Elevator Operator
792652	247143	Girl at Pool
792652	282463	Elephant girl
792653	216069	
792654	126569	Mrs. Braden
792655	71748	Trooper #8
792656	203918	Arthur's Child
792657	220249	
792659	79106	Toinette
792659	138992	Constable Mason
792659	296811	Cocky
792659	323936	Woman in Sportscar
792660	326681	Lena
792661	254748	Missy
792663	57665	Herself - Contributor
792664	24511	
792664	38118	
792664	38127	
792664	38133	
792664	42270	
792664	97276	
792664	102230	
792664	118594	
792664	152177	
792666	41670	Mother
792666	186650	Ellen Sue Gotlander (shortsto
792666	260318	Tina
792666	332074	Rose O'Shea
792667	55681	Men's Ward Nurse
792667	147490	Carol
792667	244480	Young girl at party
792667	252882	Stewardess
792667	358553	Elaine
792668	71	Stage Mother
792668	27249	Spectator
792668	41502	Matron in Court
792668	44255	Maid
792668	46731	Passenger
792668	48539	Wife
792668	83593	Wedding Guest
792668	105649	Bit Part
792668	138849	
792668	147650	Gossipy woman
792668	160971	Stout Woman
792668	170732	Laura
792668	201152	Carnival Show Spectator
792668	264170	Cashier
792668	288205	Bit Part
792668	294744	Matron at police station
792668	299780	Woman Customer
792668	330514	Woman in Berth
792668	332063	
792668	340755	Juror
792668	361300	Plump townswoman
792668	366889	Matron
792668	367919	Stage Mother
792669	48179	
792669	131239	Jeb's wife
792669	184956	
792670	8961	
792670	97427	Mrs. Rutledge
792670	141366	Violet
792670	203086	
792670	316890	
792670	332880	Miss Masters
792671	2017	Michelle
792671	2019	Tourist #2
792671	5910	Melissa
792671	45367	Jennifer
792671	108308	Ann Marie
792671	113526	Talk Show Host
792671	115562	Tennis Girl
792671	136275	Heather
792671	143284	Monica
792671	164513	Diana
792671	308609	Caroline
792672	27130	Rose
792672	137571	Sophie Keenan
792672	382516	Myrtle Jackson
792672	388595	Sophie Bartolemeo
792672	404092	Veronica di Angelo
792673	73736	Madame Van Leys
792673	85869	Mrs. Harrington
792673	117714	Mrs. Foley
792673	168128	Mrs. Morris
792673	254644	Mrs. Alden
792673	293786	Lydia Van Dusen
792673	315134	Hugh's Mother
792673	372906	Mrs. Van Seer
792674	139236	Anne DeJong
792675	411284	Various
792676	1673	Herself
792676	1737	Herself
792676	2009	Herself - Performer
792676	2765	Herself
792676	48489	Herself
792676	57662	Herself
792676	63044	Herself
792676	63060	Herself
792676	84210	Herself
792676	93247	Herself
792676	94982	Daisy Duke
792676	167011	Herself
792676	207440	Herself
792676	208475	Herself (#1)
792676	215664	Herself
792676	221413	Herself
792676	221434	Herself
792676	221481	Herself (Presenter)
792676	221483	Herself
792676	231491	Herself/Various Characters
792676	243928	Herself
792676	280200	Herself
792676	319525	Herself
792676	326664	Herself
792676	342320	Herself
792676	352975	Herself
792676	358808	Herself
792676	362846	Herself
792676	399312	Herself
792677	192171	Lottie
792677	255124	Princess Astrid
792677	409840	Violet Crawley
792677	410655	Zoe
792678	192011	Jordan
792679	133933	Mrs. McCarthy
792680	38872	Isabel
792680	194980	Louise
792680	333500	Juliana
792681	2000	Featured Infected
792682	132823	Herself
792683	44656	
792684	139356	Zelide
792685	170845	Barmaid
792686	267429	Angie
792686	289055	Scarlet
792687	106365	Club Patron
792688	189473	Kayly
792689	403325	Reality TV Monitor #2 (2003)
792690	190273	Bluebird Singer
792691	297269	Joey Rogan
792691	329987	Lennie
792693	82766	Herself
792694	148685	Une volleyeuse
792694	393901	
792694	403253	
792695	331373	Girl at Wharf
792696	20643	
792697	131753	Alice
792699	223709	Blonde in Punk Bar
792700	211835	Mezzo-soprano
792700	260629	Maria
792701	139461	Zoe Cayce
792701	176321	Goldwyn Girl
792702	149253	Narrator
792703	24447	Joy (The Angel)
792704	192349	Mr. Boo's Band
792705	308918	Vet's Daughter
792706	289413	Marie Ryan, club photographer
792707	69049	
792708	5717	Chantal, Baby (A Soft Touch)
792709	205991	Madame de Valmont
792710	157119	
792710	165829	
792711	87423	Shinti's grandaughter
792711	185156	Young Trina
792711	368060	Dorothy
792712	118744	Lisa
792713	264269	Gallery attendee
792714	241160	Woman #2
792715	40631	Final Victim
792716	190702	Trucker's Wife
792717	309211	Angela
792718	198195	
792719	2371	Maid
792719	52815	Tourist
792719	59552	Ela Delahay
792719	78641	Joan Templeton
792719	82923	Miss Brent
792719	105308	Mitzi
792719	112596	Maid
792719	215078	Miranda
792719	224206	
792719	304786	
792719	327583	Piri
792719	343056	Typist
792719	363459	Barbara Stubbins
792719	372437	Bathing Girl
792721	286260	Zoe
792722	89321	Partygoer
792723	191881	Charley Wilson
792723	311517	Girl #1
792723	365979	Paige McDonald
792724	31578	
792725	342871	Bowler
792726	218785	Bar Voice
792727	80732	Madeline
792727	144676	Mae
792728	14603	Model
792729	154230	Waiting Woman
792729	338778	Woman friend at Inn
792730	267646	Harriet Byrne
792731	7661	Prunella Sharp
792732	97360	Choir Member
792733	1441	Herself (Miss January)
792733	101060	Becky Midnite
792733	185600	
792733	257650	Herself (Miss September)
792733	257826	Herself (Miss January 1992)
792733	257866	Herself
792733	274363	Girlfriend
792733	280081	Cutie #2
792733	387303	
792734	351898	Himself/herself
792735	101704	Binary
792735	186395	Sonya Davidson
792735	207989	Binary
792735	362042	Miss Parata
792735	362152	Gloria
792735	405209	Dr. Cassie Moore (2000-2001)
792736	11469	Paula
792737	277622	Stewardess
792737	405829	Sarah Stubbs (1993)
792738	108042	Woman in bar
792738	119827	Ariel Bird
792738	132813	Mrs. Merriman
792738	151006	Nikki
792738	158274	
792738	202511	Mother
792738	218398	Latija
792738	245520	Bonnie
792738	301614	Mrs. DeGroot
792738	311262	Ms. Grayson
792738	330704	Louise Flanner
792739	72827	School Teacher
792739	280006	Randy
792740	380728	Herself
792741	113314	Sandra
792741	342561	Restaurant woman
792742	257401	Betsy
792743	2398	Herself
792743	21804	Herself
792743	21805	Herself
792743	85913	Herself
792743	161215	Herself
792743	192508	Herself
792743	206813	Herself
792743	220208	Herself
792743	220209	Herself
792744	10150	Esther
792745	146853	Himself
792745	388268	Herself
792746	1783	
792747	971	Shakthivel's Colleague
792747	15869	Sona
792747	28144	
792747	76410	Uma
792747	76558	Shanti
792747	110189	Zinah
792747	159309	Chitra Narayan
792747	171899	
792747	173455	Indra
792747	173462	
792747	175985	Ritu Pareira
792747	198698	Lahari
792747	221352	Aishwarya
792747	230014	
792747	230496	
792747	244714	
792747	246120	
792747	247292	Janaki
792747	247403	Mythili
792747	249408	
792747	256866	
792747	271774	Ramana's Wife
792747	287090	
792747	303097	Herself
792747	328181	
792747	344084	
792747	349435	Priya
792748	227539	
792749	336914	Casper
792750	87559	Recording studio assistant
792750	101574	Sara
792750	231118	Traci
792751	50020	Bekris' Girlfriend
792751	92689	The Victim
792752	14082	Herself
792753	194789	Laure McCracken
792753	206159	Lisa Elkins
792753	220082	Angela
792753	257434	Angie
792753	326229	
792753	375936	Dancer
792753	389035	Louisa
792754	256134	
792754	376059	Jo Jo
792755	104357	Reporter
792756	154840	Martha Salter
792757	366970	Ballet Dancer
792758	229311	Cindy
792759	222599	Doreen
792759	311449	Amazon
792760	341454	
792761	79047	
792761	81442	Ayah
792761	105981	Vera Abingdon
792761	120579	Gertrude Haynes
792761	232859	
792761	365727	
792762	83982	Maori Warrior
792763	41418	Unfortunate Girl in Car
792763	175741	Jogger
792764	10391	Gran
792764	21475	Linda
792764	23926	Audience Member
792764	23935	Herself - audience member
792764	33644	Miss Dawn
792764	37155	Mrs Gamely
792764	54034	Mrs. Umney
792764	54612	Maude Pritchett
792764	55678	Cora Flange
792764	55679	Mary
792764	55681	Ellen Moore
792764	55682	Chloe Moore
792764	55683	Daphne Barnes
792764	55686	Joan Fussey
792764	55688	Various Characters
792764	55689	Various Characters
792764	55690	Calpurnia
792764	55693	Belle Armitage
792764	55697	Chloe Gibson
792764	55698	Mrs. Dangle
792764	55699	Pvt. Ffoukes Sharpe
792764	55700	Connie Philpotts
792764	55701	Queen Marie of Normandy
792764	55706	Esme Crowfoot
792764	55707	Mrs. Tidey
792764	55708	Nurse Stella Dawson
792764	55709	Lily Duveen
792764	55710	Emily Bung
792764	55715	Sarah Allcock
792764	55716	Lady Evelyn Bagley
792764	55718	Policewoman Gloria Passworthy
792764	55719	Lady Joan Ruff-Diamond
792764	62988	Mrs. Cratchit
792764	66193	Mrs. White
792764	66352	Lilian Beverly/Carol Begorrah
792764	67313	Marjorie Dawson
792764	75614	
792764	79627	Tea Lady
792764	81588	Mrs. Thirkell
792764	88857	Wendy
792764	88881	Matron
792764	88883	Dawn
792764	88884	Rigor Mortis
792764	88885	Russian Captain
792764	90324	Lady 'Birdie' Mannering-Brown
792764	90351	Desiree Dubarry
792764	94201	Beth
792764	116515	Zig-Zig
792764	116738	Lady Daphne
792764	145771	Hortense
792764	162366	Nellie Trotter
792764	171211	Phoebe
792764	175132	Vi Tarbottom
792764	185451	Betty
792764	190103	Mrs. Pryor
792764	194690	Ice Cream Seller in the Park
792764	195316	Fanny Pratt
792764	200492	Policewoman (segment "Avarice
792764	209616	Fairy Queen
792764	221152	Colette
792764	222681	Miss Murgatroyd
792764	227022	Ethel Ransom
792764	233809	Second Typist
792764	234033	Sister O'Malley
792764	235466	Miss Tipdale
792764	236887	Deborah Walcott
792764	241628	Emily
792764	243148	Herself - Memorial Tribute
792764	246769	Gale Tornado
792764	252848	
792764	257987	Beryl
792764	286927	Mum
792764	291787	Hilda Tebbitt
792764	295402	Isabel 'Is' Conway
792764	301846	Lady Barber
792764	312286	Bunty
792764	313796	Walter's Secretary
792764	316895	Peggy Blessing
792764	327835	
792764	329557	Various characters
792764	334159	Telephone Operater
792764	334298	Herself
792764	340512	Edna
792764	342462	Harriet
792764	346938	Herself
792764	348532	Blodwen
792764	352695	
792764	359885	Ann Foster
792764	360091	Mrs. Ashworth
792764	362204	Doll
792764	362472	Interviewee/Various Character
792764	365716	Beryl
792764	379158	Various
792764	380192	Herself (Series 3) (1987)
792764	380714	Madge Evita Darbley/Madge Har
792764	381552	
792764	381712	
792764	382530	Molly Peglar
792764	383522	Various Characters
792764	384528	Mrs. White (Christmas Special
792764	387242	Joyce (servant)
792764	388451	Annie Begley
792764	389259	Various Characters (episode t
792764	391398	
792764	394315	(Series 1) (1970)
792764	395530	Gran
792764	395984	Miss Pratt
792764	396965	Betsy Prig
792764	397427	Lady Mainwaring-Brown
792764	398698	Miss Byron
792764	400197	Mrs. Fiona Wembley
792764	400519	Daisy Burke (Series 1) (1960)
792764	404188	Janet Marshall (I) (Series 1)
792764	405387	Lady Fox-Custard
792764	405706	Mrs. Nash
792764	406375	Various Roles (Series 1) (196
792764	407202	Madge Kettlewell
792764	408231	Gran
792764	411503	Mrs. Bloomsbury-Barton (Serie
792765	58002	Paint Girl
792766	365624	Sissy Raymond
792767	396108	Contestant
792768	39518	Supporting Players
792769	65607	Cindy
792769	87517	Leela Kerr
792769	313450	Farmer's daughter
792770	87586	Reporter/Featured Disco Dance
792771	380685	Herself (regular performer, 1
792772	85742	Vicki
792773	143832	Denise
792773	221024	Receptionist
792773	334104	Rifka, Gruba's Niece
792774	241799	Christmas choir member
792775	207268	Female dancer
792776	118873	Injured Girl
792776	161392	Herself
792776	199129	Herself
792776	221428	Herself/Host
792776	221430	Herself/Host
792776	313825	Mrs. Feldman
792776	351880	Angie
792776	353499	Herself (Model)
792776	392137	Herself/Host (2000-)
792776	395145	Delinda Deline
792777	279483	Corporate Babe
792778	276240	Undead Little Girl
792779	59192	Pam
792779	299686	Lt. Robin Perry
792780	164392	
792781	46456	Caroline
792782	48490	Elise/Additional Voices
792782	68738	Additional Voices
792782	68739	Megumi Tendoji/Additional Voi
792782	87409	Wendy
792782	123029	Additional Voices
792782	267200	Mikako Takahashi
792782	298966	Lady Ninjas, Kanko, Additiona
792782	381163	Lila
792782	382908	Elias Drake, Additional Voice
792782	388022	Cel Beauty, Shioji's Little F
792782	394421	Kumi
792782	399784	Russian Girl, Young Mireille,
792782	402175	Tomoko Saotome/Female Newscas
792782	402790	Kim's Mother, Girl, Additiona
792783	53037	Vanessa
792783	66337	Rachel
792783	96684	
792783	163260	Dorothy
792783	203223	Testifier
792783	274679	
792783	338371	Sofia
792783	387638	Karina Pushkin
792784	99987	Madame Sylvia
792784	100008	Madame Sylvia
792784	327836	Clinic Nurses
792785	388055	Herself (2001/2003)
792786	290527	
792787	389865	Aska
792788	121808	Tropicana Dancer
792788	177367	RTE interviewer
792789	11993	
792789	16364	
792789	27126	Nina
792789	92580	
792789	108147	Emmi
792789	120276	
792789	129714	
792789	225740	Die Mondfrau
792789	229526	Emmi
792789	352337	Binchen
792789	374530	
792789	376343	
792789	376392	
792790	351381	Liduska
792791	373857	
792792	376	Stella
792792	38706	Tamara
792792	45898	Sylvia
792792	82164	Matika
792792	100991	Margot
792792	136725	Tess
792792	170171	Suza
792792	179784	Tina Burkhard
792792	179786	Tina Burkhard
792792	209875	Tammy
792792	225658	Anja Strohm
792792	231460	Floriane Albrecht
792792	251001	Simon's Teacher
792792	258341	Svetlana
792792	290244	Natalia
792792	325523	Zora
792792	343685	Kitty
792793	349198	Telefonistkinja
792794	286736	Ondrej & Lenka's daughter #2
792795	286736	Ondrej & Lenka's daughter #1
792796	401882	Participante(Finalista)
792797	403	
792797	18712	
792797	51319	
792797	99534	
792797	110717	Kerék anyja
792797	122538	
792797	153963	
792797	175662	Róza néni
792797	182522	
792797	243878	Moóriné
792797	322050	Öregasszony
792797	322065	
792797	343535	Old Woman
792797	343626	Széles mama
792797	376615	
792797	378041	
792798	322064	Dr. Marton
792799	94386	Françoise
792800	248055	Cécile Siméone
792800	248305	
792800	384755	Laurence
792800	387614	Herself/Panelist (2000-)
792800	399813	Herself (1997-1999)
792801	69175	Herself
792801	69176	Herself
792801	69178	Host
792801	71598	Host
792801	104766	Swiss entry (5th place)
792802	443	Alba
792802	44571	La Chama
792802	90442	
792802	193877	Tita
792802	318118	
792802	357189	
792802	385058	Dra. Lucy Bonilla
792802	401590	Carmen Romero
792803	301151	Ines
792804	351994	
792805	18504	
792805	405418	
792806	68624	(segment "Lula e a copeira")
792806	70888	
792806	71402	
792806	82711	
792806	84533	
792806	103883	
792806	103885	
792806	183528	
792806	199123	Symanthemum
792806	269533	
792806	307532	
792806	367589	Serafina
792806	378102	
792806	384992	Naná
792806	386122	Délia
792806	386212	Pérola
792806	386419	Dolores
792806	387929	Guadalupe
792806	388591	Cleonice
792806	390054	
792806	395302	Irene
792806	395822	Cema
792806	397541	Nana
792806	402626	Teresa
792806	404803	Berenice
792806	404837	Anastácia
792806	409426	
792806	409898	
792807	404274	Aunt Rita
792808	104082	
792809	143551	
792809	205131	
792810	102330	Branca da Silveira
792810	237212	
792810	356008	D. Adelaide
792811	412178	Herself/Host (2001-2003)
792812	166375	
792812	327497	
792812	344722	Dalva's Mother
792812	379812	Sister Teresa
792812	380109	
792812	380448	Catarina
792812	386215	
792812	387898	
792812	387903	Odete
792812	389789	
792812	392828	Isaura
792812	393876	
792812	399498	Catarina
792812	400106	
792812	400687	Baronesa
792812	400765	
792812	401482	
792812	402455	
792812	402624	
792812	402728	
792812	406832	
792812	407802	
792812	407861	
792812	409417	Emerenciana
792813	154899	Zombie
792814	411585	Ludovica's servant
792815	34658	NonSex
792815	353100	
792816	44108	Yoyo
792817	621	
792817	36900	
792817	76932	
792817	81862	
792817	84807	Dancer
792817	110504	
792817	128851	
792817	188415	Herself
792817	250560	
792817	258003	
792817	260173	
792817	300329	
792817	302569	Drew
792817	314695	
792817	321191	
792817	364752	Cheryl Cross
792817	369908	
792818	266050	Receptionist
792821	325301	
792822	244759	Serveuse Thailandaise
792823	373090	Jo-Jo, Rosa's Daughter
792824	5300	Herself
792824	122857	
792824	128904	
792824	253616	
792824	296708	
792824	304681	
792824	316171	BiLE (Band)
792824	364497	
792825	346206	Israeli Actress/Juliet
792826	334591	Extra
792828	360436	Jake's Sister (4 years old)
792829	34872	Herself
792829	74724	Herself
792829	117281	Karen Cross
792829	118883	Herself
792829	126589	Lynne
792829	127125	Vicki
792829	147829	Herself
792829	161341	Herself
792829	163647	Herself
792829	164410	Herself
792829	185505	Micheline
792829	206385	Tracy Edwards
792829	220618	Herself
792829	223076	Herself
792829	227330	Herself
792829	243954	Herself
792829	310800	Susan Jacks
792829	365166	Mike
792829	402888	Herself
792830	108817	Connie Raymond
792830	161381	Herself
792830	212554	Herself
792831	366761	Ridgemont child
792832	366761	Ridgemont child
792833	6259	Edith
792833	192102	Box Office Lady in Theatre
792833	267057	Ruby
792833	282562	Nina
792833	289406	Etta Wethli
792833	330592	Ellis the Maid
792834	178864	
792834	178868	
792835	183933	
792836	161594	
792836	197373	Laura Johnson
792836	307410	Pvt. Cooper/Pvt. Lewis
792836	368110	Tracey
792837	261248	Kaitlin
792838	213577	Presumed Chorister
792839	385019	Herself
792840	188453	Opening Sequence Girl
792841	823	
792842	46747	Wedding Guest
792843	68357	Herself
792843	249762	Herself
792843	337734	
792844	144650	Kim Downs
792844	160637	Amy
792844	191513	Fountain Girl
792844	197508	Blonde
792844	330311	College Girl #1
792845	204159	Violet
792846	188082	
792847	137923	The Players
792848	297991	Neighbor
792849	77857	Emmy
792849	155257	Eileen Clarke
792849	159270	
792849	220430	Carol Fox
792849	287771	Sister matilde
792849	305415	Velikanova
792849	372210	Christine
792849	382772	Julie Farthing
792849	388321	Fern Derwin Farmer (1999-2003
792849	391944	Phoebe Belham
792849	399540	Kate
792849	405107	Fran
792849	406039	Ellen Rowley
792850	186	Dress Sales Girl
792850	39696	Nurse
792850	45223	Apartment Manager
792850	54593	Second Nurse
792850	64922	Pansy
792850	67872	Stenographer
792850	72712	
792850	88831	Woman at pawnshop
792850	190543	Mrs. Bigg
792850	217478	Waitress
792850	221034	Nurse
792850	305442	Receptionist
792850	308078	Mrs. Ningle
792850	362094	
792850	387120	
792850	411811	Miss Fisher (1962)
792851	30004	
792852	6753	
792852	228461	
792853	155920	Her
792854	129862	Fay Saperstein
792854	256820	Mrs. O'Neill
792854	291085	Mrs. McGuire, Townswoman at n
792854	408968	Cook
792856	29575	
792856	69194	Mrs. Lovinson
792856	130290	Selina
792856	133347	Miss Bloor
792856	189520	Aunt #2
792856	195645	Sam
792856	235379	Rose Mattersal
792856	337121	Gladys
792856	337335	
792857	7055	
792857	11372	Herself
792857	21894	
792857	21895	
792857	72031	
792857	98900	
792857	129242	
792857	246506	Herself
792857	246507	
792857	257609	
792857	296995	
792857	319047	Herself
792857	364097	
792858	52043	
792858	120336	Madame
792858	372232	
792859	372225	
792860	72499	Christina
792860	77297	Joan Bradley
792860	78033	
792860	112435	Helen James
792860	283872	Mary Brand
792860	335347	Alice Mason
792860	359747	Ruth Keane
792860	394245	Herself
792860	401045	Specialty dancer (1951-1953)
792861	203295	Maria, the Innkeeper's Wife
792862	5036	Ada Silver
792862	35163	
792862	170276	
792862	295461	Reporter
792862	304821	Bella
792863	252112	
792864	104970	Grandmother
792865	273298	
792865	306908	
792866	38606	
792866	215412	
792867	274728	Midge
792868	68063	Fiona
792868	364782	Villager on Summerisle
792868	385307	Mary McHoan
792868	405988	
792870	339089	Mme Wayne
792871	66556	Alien
792871	96834	
792871	187985	Additional Voices
792872	289004	Billie
792873	140901	Bloomingdale Saleslady
792874	112803	
792875	135769	Tattooist
792876	326456	Gina
792877	113482	Christiana
792878	252211	Stylish Gal
792880	151777	Mourner
792881	150069	Miss Rogers
792882	365624	The Hostess
792883	40140	Wife In Car
792883	47462	Mrs. Miller
792883	63137	Mary Simpson
792883	74011	Mrs. Gagin
792883	75896	Elderly Woman In Elevator
792883	90381	Zelda Sinclair
792883	126492	Lady #1
792883	126648	Old Woman
792883	141632	
792883	148387	Edith Brewster
792883	158791	Mrs. Hutchinson
792883	177361	Female Baby Croc
792883	184719	Mary Price
792883	185501	Baby Girl Crocodile
792883	195365	Mrs. Hasz
792883	223248	Woman (Mall)
792883	223896	Mrs. Avery
792883	256499	Mrs. Grum
792883	275480	Super's Wife
792883	277480	Woman in Hospital
792883	359205	Landlady
792883	363080	Middle Aged Woman
792883	363895	Wife
792883	365326	LaNelle Turrell
792884	332450	
792885	134178	Greg's pupil
792886	142417	Nightclub waitress
792888	347112	Receptionist
792889	89175	Nancy The Pet Communicator
792889	95543	
792889	107166	Agent Winters
792889	224738	Emma Masters
792889	278647	Elizabeth
792889	331694	Scott's Mother
792889	366138	Cmdr. Patricia Drake, CAG
792890	75421	Cheryl
792890	93959	Michelle Johnson
792891	250993	
792892	80424	Doreen
792893	32440	Sad Woman
792893	77768	Crystal
792893	330595	Kenny's Assistant #1
792893	368965	
792894	277480	Waitress
792894	362323	ICU Nurse
792895	1480	Herself - Presenter
792895	1805	Herself
792895	12165	Essie
792895	27078	Miss Tomas
792895	68232	Queen Aoleon
792895	69732	Mrs. Scott (school principal)
792895	70322	Widow Woman
792895	70796	Leona Hamilton
792895	88037	Hattie Wickwire
792895	100820	Nurse Bowlin
792895	136287	Mrs. Jefferson
792895	144840	Dr. Pittman
792895	154315	Miss Flowers
792895	154396	
792895	154451	Salesgirl
792895	154813	Dr. Williams
792895	167684	Andre's mother
792895	168973	Faye Lincoln
792895	186614	Miss Eula
792895	191246	Sarabi
792895	194164	Elizabeth Keckley
792895	203669	Margaret
792895	241446	Georgia LeFlore
792895	243213	Lally
792895	270779	Mrs. Bradsbury
792895	313396	Saratoga captain
792895	345776	Margaret
792895	353416	Sgt. Ashcroft
792895	366763	Tituba
792895	383802	Lily
792895	390045	
792895	390519	Madge
792895	397249	Mary
792895	400038	Gussie Lemmons (1987)
792895	402322	Josephine Austin
792895	402605	Dora
792895	403728	Bell
792895	408749	Ernestine Shoop, R. N. (1980-
792897	110451	Lady Patricia McFarlane
792897	137580	Secretary
792897	385613	Marian
792897	399130	Adele Ross (1988)
792898	177192	Mother
792899	169949	Kim Becker
792900	104478	Patrizia
792900	168966	Brothel Madam
792901	10709	
792901	20846	Lee
792901	279604	Bank Customer #2
792901	281441	Mrs. Gravy
792901	289602	Hester Prynne
792901	411358	Sylvia Rockwell #1 (1954)
792902	107877	
792902	411245	Mrs. Gravy (episode 1: Room t
792903	216962	
792903	239813	Nurse Malmayne
792903	276379	Mrs. Cady
792904	363330	
792905	196390	Model
792906	323881	Nicklaus
792907	7959	Woman at Bar
792907	17749	Boylan Sister
792909	51923	
792909	101950	Gisèle, une élève du Conserva
792909	166092	
792909	202591	Augustine
792909	210915	La première
792909	268414	Adèle, la servante
792909	303543	Jeanne
792909	354700	
792910	203414	
792911	36708	
792911	43561	
792911	106388	
792911	128431	
792911	228032	
792911	228667	
792911	260773	
792911	306911	
792911	306916	
792911	326720	
792912	137923	The Players
792913	316169	Helen Forsyth
792913	380737	Susan Bell
792914	5148	Miss Peters
792914	57380	Crystal Magill
792914	66913	Crossing Guard
792914	73861	Mrs. Barclay
792914	80372	Manager
792914	92232	Blanche
792914	94117	Dr. Watson
792914	103304	Waiter
792914	104944	Nurse
792914	116356	MP Receptionist
792914	117666	Mrs. Galen
792914	139434	Virginia Boggs
792914	283371	Mrs. Thurman
792914	358835	Librarian
792914	362216	Mrs. Teuffel
792914	411902	Mrs. Coleman-Levin
792915	80035	Stewardess
792915	103307	Mrs. Oakley
792915	178058	Miss Faversham
792915	253247	Lily
792915	327985	Matron
792915	379161	Jocelyn Halliday
792915	389859	Sister Ellen Chapman
792915	405797	PW Det. Sgt. Allin (1967-1969
792916	363422	Alma Graybeal
792917	164637	Susan
792918	33435	Woman
792918	41185	Pat Tracey
792918	236374	(segment "Nudes on Tiger Reef
792918	291542	Sandy
792922	112424	
792922	305778	Bar Girl #3
792922	347547	
792923	363756	Forensics expert
792923	404353	Herself
792923	407989	Various Characters
792924	119959	
792925	65681	
792925	406306	Herself (1999-2000)
792926	194487	Dork/Warrior
792926	296328	Marie/Star
792926	311051	Hostage
792926	366185	Lisa Loweman
792927	366061	Vanessa
792928	16073	
792928	195992	Sylvia
792928	385299	Eve Baker
792929	81342	
792931	398940	Anchorwoman
792932	363779	
792933	196372	Changing room friend
792934	312145	
792935	155922	
792936	65386	Hotel Wonderful Singer
792937	97030	Libby Wood
792937	282918	Lila June
792938	163965	Mistress Isabella
792938	163966	
792939	153269	Cindy Lee Dawson
792940	121363	Girl on yacht 2
792941	327337	Herself - School pupil
792942	385151	Julia
792942	402790	Elvi Hadhyat
792943	3439	
792944	119970	
792944	195573	Child
792945	131022	Officer
792945	283938	
792946	70368	Marlene
792948	47517	
792948	65548	Iras, Attendant to the Queen
792948	84342	Mae
792948	118409	Mary Doolittle
792948	129418	Grace Fulmer
792948	199538	Aunt Saphrona
792948	253932	Mrs. Stuyvesant
792948	255452	Malone sister
792948	359797	
792948	368927	The Younger Sister
792949	139569	Mrs. Winterhoff
792950	19362	Secretary
792951	2266	
792951	276600	
792951	309500	
792951	411553	
792953	19213	Bangari
792953	36281	Minikutty, Sarojini's daughte
792953	45588	
792953	183458	
792953	233033	
792953	252025	Vasundhara
792953	262384	
792953	263400	
792953	318988	
792953	323403	Herself
792954	103298	Tinni
792955	108858	Tatjana danserinne
792955	114767	Aagot, fjellpike
792955	166846	Baronens veninne
792955	178437	Eva Sommer
792955	237071	Danser
792955	321996	Lucie Breien
792955	333014	Ragnhild
792955	353048	Danserinnen
792956	368740	Luder
792957	50593	Blu Blu
792957	277587	Rosi
792958	58403	
792958	79944	Boat passenger
792958	83850	
792958	116013	Herself
792958	176406	Bridesmaid
792959	263652	Betka
792960	96834	
792961	204011	
792962	316153	Zombie in catholic school out
792963	241065	Aimee
792964	356701	
792965	261324	Tira
792965	293157	
792966	303802	Cuckoo
792967	9507	Kaarina Koskela
792968	62000	Student
792968	62269	Sue Chang
792968	136274	Headwaitress
792968	154182	Chinese Girl
792968	177988	Black Eyes a Cafe Girl
792969	117342	Soo Lee
792969	130809	Dancer
792969	316141	
792969	391956	Ching Mei (1960-1961)
792970	97348	Girl in Bar
792971	8216	Ad writer
792972	200993	Anthony's Mother
792972	249420	Francis
792973	81195	Singer
792974	349245	
792975	263284	Bep
792976	99317	
792976	205808	
792976	275417	
792977	385145	Jolanda de Graaf (episode 1-3
792978	26277	La femme de l'hôtel
792979	147278	Mrs. Milliken
792980	104774	Austrian entry (10th place)
792980	261110	Herself
792980	308680	Herself
792980	308681	Herself/Guest
792981	17191	Van Housen's Girl
792982	12707	
792982	14728	
792982	53135	
792982	197091	
792982	207621	
792983	356802	Vampire Trainee
792984	177037	Charlotte
792985	317339	
792986	131453	Prison Lover
792987	235159	Blonde at Party
792988	200324	Herself (film director)
792989	140953	Miss Pearl
792989	196887	Sadie Wellsford
792989	206158	Anita James
792989	245055	Doctor #1
792989	255433	Mrs. McLean
792989	330594	Gene's Secretary
792989	351502	Judge Silvers
792989	389356	Nurse
792989	409638	Mrs. Wilson
792990	222807	Scorpion
792992	85817	Spa Hostess
792992	152579	Surgeon #2
792992	369410	
792993	14206	Mama Mousekewitz
792993	52440	Award Presenter
792993	107941	
792993	117779	Dream Woman/Gellana/Glamarie
792993	117783	Branwen/Matron Mother Ardulac
792993	117786	
792993	147089	Additional Voices
792993	164571	Jill St. Fawn
792993	283895	Ellie the Elephant/Koo the Pi
792993	385272	
792993	410975	Additional Voices
792994	17191	School Secretary
792995	79846	Herself (female fan in crowd)
792995	131557	Grandmother on steps
792996	60744	Red
792996	85050	Annie O'Meara
792997	46374	Anchorwoman
792997	185341	Reporters
792998	193588	Holly
792999	83230	Dina Anderson - FBI
792999	120430	Nurse Cloris
792999	121824	Jokios
792999	170842	Jo
792999	209221	Female Rat #2
792999	229499	Clinic receptionist
792999	257410	Nina Donnacona
792999	312962	Strip Dancer
792999	316789	Samantha
792999	363712	Prostitute
792999	375706	Maggie
793000	26577	Dr. Angela France
793000	44416	Jodi Belcher
793000	102233	Sharon Ace
793000	106766	Scarlett Stuart
793000	107689	Lana
793000	116907	Ariel Moore
793000	141387	Filmmaker's Wife
793000	196876	Herself
793000	199525	Annie
793000	203641	Maddy
793000	294244	
793000	299846	Zoe Trainer/Cello (The Trout 
793000	315505	Molly Higgins
793000	318712	Roxy
793000	319188	Loren
793000	340502	Georgia
793000	359422	Kassandra
793000	363224	Lori Singer
793000	410425	Sydney Bloom
793001	183872	Singer
793003	38	
793003	3137	
793003	5086	Lechner's Mother
793003	23113	Gerhard's mother
793003	49266	
793003	49305	
793003	89282	Frau Berger
793003	111771	Berta
793003	119206	
793003	119649	
793003	124992	
793003	126360	Oma
793003	126362	Oma Wagmüller
793003	129668	Pfaffengruberin
793003	136225	Martl
793003	175249	Klofrau
793003	178551	Tante
793003	178553	Akulina Iwanowna
793003	186944	Marie
793003	193462	Anna
793003	198004	Maria
793003	200046	Mariann
793003	211073	Anna
793003	226195	
793003	248688	Katrin
793003	259416	Oma
793003	265389	
793003	278320	
793003	278390	Kundin
793003	284416	
793003	288810	Martha
793003	289957	Magdalena Trenner
793003	293534	Anni
793003	308805	
793003	314315	Elisabeth Fest
793003	325576	Alte in Waldheim
793003	325792	Maria Pausinger
793003	325887	Mutti Mandl
793003	352312	
793003	361091	
793003	364825	
793003	376312	
793003	389250	Hanne Sagmeister
793003	389268	Tante Agathe
793003	391141	Frau Mooseder
793003	394536	Frau Graf
793003	403925	Kollerin
793003	410536	Klaere Kurawski
793003	412102	Oma Baumgartner
793004	43727	Nan, the Nurse
793004	263484	Lucille
793004	334335	Maria
793005	333685	
793006	206373	
793006	292473	
793007	409915	Dra. Cecilia Marán
793008	216469	Vanessa
793009	19362	Hospital administrator #2
793010	154516	
793010	185735	Girl on beach
793011	3163	Neighbor
793011	49207	Fan
793011	112290	Chloe
793011	134077	Cynthia Hammersmith
793011	169614	Gas Station Manager
793011	218785	Rhonda Ketch
793011	302468	Theater Person
793011	307712	Mother
793011	338789	Anna
793011	360818	Audience Member
793011	362312	PhD Student #3
793012	289650	
793013	64043	
793014	184906	Herself
793015	17191	Mother
793016	278793	Thi Barrett
793017	67570	Darlene Glinsky
793017	78134	Mechanic
793017	107895	Suzie the Stripper
793017	117498	Sarita
793017	158316	Lois Furman
793017	182963	Beverly
793017	184543	Venice Dorian
793017	242501	Waitress
793017	245207	Marlee
793018	17191	Torri
793018	80430	8-Year-Old Amity
793018	131557	Girl on Steps
793019	11873	Vroni
793019	12563	Liesi
793019	12564	Fanny
793019	37748	Clara
793019	43655	Ziska
793019	45977	Anna
793019	98067	
793019	98068	Wurzel
793019	101971	
793019	111771	Kati
793019	119191	Amalie
793019	120997	
793019	125210	Zenzi
793019	126360	Tante Erika
793019	132541	
793019	142129	
793019	144131	
793019	147592	Rose Blasl
793019	169108	
793019	171564	
793019	180641	Sophie
793019	180880	Paula Eberl
793019	183264	
793019	189613	Oma
793019	189651	Barbara
793019	202634	
793019	210019	Erna Dobelhofer
793019	210137	Frau Eichinger
793019	211087	Zenzi Vogel
793019	213423	Maria Kern
793019	226198	
793019	237419	
793019	253201	
793019	254374	Köchin
793019	262121	
793019	267117	Frau Eichinger
793019	274731	Lena
793019	290258	Marie
793019	290688	
793019	301001	Dora
793019	312211	
793019	314952	
793019	317105	
793019	324785	Frau Meier
793019	330995	
793019	338368	Ernestine
793019	347812	Mama
793019	352313	Zenz
793019	352314	
793019	352352	Marie Meier
793019	365567	Auguste
793019	367034	Theres
793019	369135	
793019	377344	
793019	381053	Blumenverkaeuferin
793019	381382	Verkäuferin
793019	391284	Erni
793019	394536	Mutter Schimmerlos
793019	397370	Frau Eichinger
793019	398083	Irmgard
793020	84391	Wirtin
793021	57867	
793021	226440	Mona Estrada
793021	351492	
793021	353188	
793021	378499	Berta
793022	123445	Sapporo Reporter, Tokyo Ancho
793023	57463	
793024	54402	
793024	99565	
793024	140560	
793024	162604	
793024	197212	
793024	212353	
793024	234314	
793024	276456	
793024	282899	
793024	345077	
793025	144827	
793026	401460	
793026	402370	Cláudia
793027	195549	Sara
793027	300236	Bianca
793028	365753	Shirley
793029	1844	Bhagat Singh´s mother
793029	4103	
793029	4151	Roma
793029	8356	Tara
793029	9361	Dancer
793029	31373	Roopa
793029	35088	Roma/Dingy
793029	51490	
793029	58783	
793029	85316	Madhu
793029	86628	Raaj
793029	95231	Roma
793029	123104	Film heroine
793029	139998	Suman
793029	156343	INSP. Neha Singh
793029	164741	
793029	171887	Rita
793029	172540	
793029	172556	
793029	173843	Pinky
793029	176165	
793029	181110	Matki
793029	205319	Ruby
793029	208211	
793029	226076	Rita
793029	226081	
793029	268117	
793029	271580	Sapna
793029	272046	
793029	283633	
793029	284707	Natasha (Nikky)
793029	285171	
793029	319133	
793029	320182	
793029	324141	
793029	330354	Sheila
793029	335740	Pickpocketer
793029	359419	
793030	381908	Herself (season 1)
793031	43978	Herself
793032	96728	
793033	204305	Soeur de Ranjit
793034	4104	
793034	4420	
793034	8358	Shanti aka Laila
793034	9161	
793034	27411	Manthara, Ram's wife
793034	57877	Madame Maggie (NRI)
793034	130597	Baljit Singh
793034	137103	
793034	165196	Jyothi/Jojo
793034	165399	Martha
793034	166458	
793034	167334	Ms. Voluptuous
793034	175951	
793034	181480	Ms. Briganza
793034	183318	
793034	200648	Anita
793034	201085	Dancer
793034	210218	Vidyavati, the village flirt
793034	217158	Preeto
793034	217360	Mrs. D'Souza (witness)
793034	252927	Miss Twinkle
793034	268071	
793034	271445	Shalini Sehgal/Shalu (Aarti's
793034	282029	Hostess
793034	288837	
793034	323625	Lily
793034	367222	
793034	373135	Editor
793034	405269	
793035	25980	
793035	81707	
793035	88212	
793035	259255	
793035	350719	
793036	152453	Parul
793037	21355	
793037	222208	Rajasree
793038	140668	Geeta
793039	218341	Tuppa Girl
793040	171158	Tina Anand
793041	331704	Herself
793042	337362	Sapna
793043	235062	Indian girl (UN receptionist)
793044	77909	
793044	85282	
793044	152469	
793044	210218	
793044	285107	
793044	396479	Gasbar Singh
793045	375997	Baby Riyaz
793046	267416	
793046	308450	
793047	20360	Dr. Neha Mathur
793047	58601	Herself
793047	123751	Anuradha
793047	151935	Shanti
793047	152448	
793047	183897	Gauri
793047	222451	Dr. Suman
793047	223222	Muskaan
793047	287917	Padhu
793047	297728	Sonam
793048	191701	Gita
793049	90946	
793050	173286	Tuklu
793051	78318	Indian Sister
793052	355328	
793053	136089	Arti
793054	25929	
793054	77693	Radha
793054	254837	
793055	4294	Delnaz
793055	314110	Person at Holi Party
793056	41229	Jenny
793056	176190	Khushi
793057	311823	Mrs. J.K. Kapoor
793058	9234	Lady in Mauritius/"Real" Soni
793058	27388	Special Appearance (Song)
793058	57877	Young film actress
793058	58676	Bobby
793058	123868	
793058	152448	Anita
793058	242405	Sonia
793058	256832	Naina
793058	268074	
793058	270218	Nisha
793058	271452	Special Appearance (Song 'Bol
793058	284762	Bhanvri
793058	370458	
793060	88212	
793061	98463	Pinki Singh
793062	170523	
793062	257424	
793063	106016	Stewardess
793064	121688	
793064	320165	Pallavi
793064	341638	Isha Malhotra
793065	404052	
793066	31507	
793066	398315	Varsha Patil
793067	4416	
793067	4450	
793067	4504	
793067	6114	
793067	13130	Dr. Salma
793067	17368	
793067	36110	
793067	50017	
793067	58584	
793067	62760	
793067	63465	
793067	82008	Veera
793067	85293	Shanti
793067	85318	Gypsy Girl
793067	85406	
793067	88537	
793067	90945	
793067	95242	
793067	98462	
793067	123742	
793067	133612	
793067	140496	
793067	141851	Neelam
793067	164315	Gauri
793067	169042	
793067	171852	Pinki
793067	172565	Channo, jewellery seller
793067	174398	Neeta
793067	176007	Nisha
793067	176090	
793067	200623	
793067	200624	
793067	249645	Neetu
793067	264972	Dolly
793067	270766	Reetu
793067	271394	
793067	272173	
793067	277781	
793067	289170	
793067	295544	
793067	297431	
793067	297584	
793067	297748	
793067	326961	
793067	359160	Soni
793067	370209	Ratan's partner
793067	370217	Komal
793067	373331	
793067	373668	
793067	375193	Jyoti Pratap Chand
793068	366715	Julie Ramblin
793069	4126	
793069	7374	
793069	7609	
793069	77039	
793069	175934	Sudha
793069	204393	
793069	228135	
793069	303406	
793069	331974	
793070	78318	Indian Mother
793071	170623	
793072	294573	Mrs. Ishak
793073	78318	Indian Sister
793074	314110	Person at Holi Party
793075	95447	
793075	311823	
793076	172920	Praveen
793077	78318	Indian Sister
793078	7394	Woman with Baby
793078	387247	Sufia Karim (1988-1990)
793078	403948	Kamal Kaur Sidhu
793080	218341	Foxtrotting Couple
793081	318832	Bertha Faye
793081	320134	Bertha Faye
793081	411543	Bertha Faye (1995)
793081	411546	Bertha Faye (1995)
793082	105216	Customer in Salon
793083	15852	Gin
793083	113547	Mary
793083	206937	Jill
793083	227335	Allison Price
793083	277787	Kelly Joseph
793083	308011	Girl in Bar
793083	317333	Jordan
793084	91470	
793084	319823	Sharda
793085	331542	Herself
793086	297937	Evelyn's Girlfriend
793087	190598	
793088	25966	
793088	164315	
793088	320862	
793089	171158	Pooja
793090	33173	
793090	98536	Priya Kapoor
793090	136879	Meghna
793090	171853	
793090	172539	Camilla
793090	312532	
793090	319794	Divya
793090	379513	Anita
793090	391282	Heena
793090	407130	
793091	217202	
793091	218341	Tuppa Girl
793092	158790	Maharani
793093	101400	Nandu
793094	85535	
793095	4180	
793096	385807	Herself (hostess)
793097	1698	
793097	27388	Mehndi's wife
793097	36012	
793097	36242	Bharti Verma
793097	82000	
793097	91480	
793097	136879	
793097	137815	
793097	152468	
793097	152815	Dulari
793097	160173	
793097	162695	
793097	164316	Niki
793097	165955	
793097	169848	Hasmukhlal's daughter/wife
793097	176091	
793097	181014	
793097	201053	Secretary
793097	220777	
793097	254842	Phoolwati
793097	288242	Mala
793097	323674	
793098	176103	
793099	81272	
793100	105216	Customer in Salon
793101	271168	Horn's daughter
793102	141954	Heidi
793103	246452	Elderly Native Woman
793104	254942	TV House Spectator
793105	71766	Comforter
793106	324894	Sole
793108	199194	Orderly
793109	3909	Herself
793110	42924	Wild Hair Girl (segment "The 
793111	41747	Aretha Brown
793112	143144	
793113	298090	Toby
793114	26291	Lil' Nut
793115	7395	Nora Ballard
793115	13619	Mary-Jacky
793115	45512	Lizzie Ladare
793115	80803	Marge
793115	319610	Gloria Harper
793115	356251	Liz Perkins
793115	380244	Susie
793115	390577	Lois, Gildy's Girlfriend
793115	392419	Caroline Appleby (1953-1957)
793115	398740	Mrs. Morrison (1963-1965)/Mar
793116	81750	1st Reporter
793117	253248	Fiona
793117	402951	Herself - Interviewer (1964-)
793118	27344	Woman in Food Court
793118	183879	Craft Service
793118	203601	Waitress
793118	245207	Meeting III Girl
793119	232181	Tasia's Guard
793120	53318	Student
793121	31715	Hollywood Bowl Backup Singer
793121	109395	Leanne
793122	369492	Xanadu Dancer
793123	80508	Kenitra
793124	279412	Herself (singer)
793125	82108	Nurse Nancy
793126	7961	Polly Byrnes
793126	33606	
793126	34701	Mrs. Claypoole
793126	35573	Blondie
793126	41080	Blondie Bumstead
793126	41084	Blondie Bumstead
793126	41085	Blondie Bumstead
793126	41086	Blondie Bumstead
793126	41087	Blondie Bumstead, aka Blondie
793126	41088	Blondie Bumstead
793126	41089	Blondie
793126	41090	Blondie Bumstead
793126	41091	Blondie Bumstead
793126	41093	Blondie Bumstead
793126	41094	Blondie Bumstead
793126	41096	Blondie Bumstead
793126	41097	Mrs. Blondie Bumstead
793126	41098	Blondie Bumstead
793126	41099	Blondie Bumstead
793126	41100	Blondie Bumstead
793126	41101	Blondie
793126	41102	Blondie
793126	41103	Blondie Bumstead
793126	41104	Blondie Bumstead
793126	41105	Blondie Bumstead
793126	41107	Blondie Bumstead
793126	41108	Blondie Bumstead
793126	45451	Peggy the Manicurist
793126	53193	
793126	116893	Blondie Bumstead
793126	124102	Miss Calder
793126	129843	Belinda 'Bill' Pendergast
793126	131545	Flo (a student)
793126	139190	Hattie, Richards' Maid
793126	163447	Blondie
793126	167129	Jane Jetson
793126	167130	Jane Jetson
793126	167131	Jane Jetson
793126	186799	Blondie
793126	190262	Blondie Bumstead
793126	195721	Virgie
793126	199217	Frances Glesk
793126	210718	Nancy Crowel Turkel
793126	220881	Betty Martin
793126	245504	Mavourneen Kerrigan
793126	270497	Gladys Christie
793126	280202	Jane Jetson
793126	291778	Florence 'Toots' Riley (as Do
793126	292829	Miss Reid, Orr's Secretary
793126	321539	Cookie Shannon
793126	356230	Miss Violet Sims
793126	372777	Peg Martin
793126	393482	Jane Jetson
793127	220208	Herself
793128	344652	Wrestling Fan
793129	138822	The Leader
793130	23935	Herself - audience member
793130	34903	Herself
793130	88933	Herself
793130	154368	Host
793130	236368	Narrator
793130	379294	Jane Wellington-Bull
793130	382297	Herself - Presenter (1962-197
793130	398111	Presenter (1986)
793130	399054	Presenter
793130	411201	Herself
793131	130016	Jenna
793131	149442	Zoya
793131	313938	Sage Gathers
793131	316502	Lady with Bill
793132	197243	
793132	197252	
793132	197260	
793132	197267	
793133	360538	
793134	366743	Townsperson
793135	56071	
793135	83416	
793136	105216	Customer in Salon
793137	16283	Radharani
793137	18481	
793137	30107	
793137	62315	
793137	164739	
793137	228869	Sefalika (Ajoy's wife)
793137	285422	Basanti
793137	344374	Mili
793138	284808	Fire Dancer
793139	18460	Guest Appearance
793140	63505	
793141	32644	
793141	60057	
793141	152451	
793141	171883	
793141	174633	
793141	287391	
793141	318423	Uma
793141	323275	
793141	375037	
793142	2338	Deepa Rai
793142	4290	
793142	4292	Meenakshi Mehta
793142	4429	Maa
793142	4436	
793142	4846	Abhaya
793142	18041	
793142	18928	
793142	19243	
793142	19804	
793142	26228	Pinky's mother
793142	27523	
793142	27731	Madam Amita
793142	27768	Shanta
793142	27773	Padma
793142	31624	
793142	35565	
793142	43324	
793142	58361	
793142	58979	
793142	84333	
793142	84731	
793142	85293	
793142	85368	Husn Bano
793142	85408	Meena
793142	85442	Ratri
793142	86680	Meena
793142	86683	
793142	86742	
793142	88487	
793142	88537	
793142	88545	
793142	95244	
793142	98490	
793142	98545	
793142	109352	
793142	124951	
793142	125152	
793142	135777	Meena
793142	136402	Asha
793142	137906	
793142	139426	Shobna/Kamla
793142	139428	
793142	145431	Phoolwa
793142	147510	
793142	152696	
793142	164289	Sheila
793142	164295	
793142	164332	
793142	164883	
793142	168348	
793142	172135	
793142	173339	
793142	174148	
793142	176005	Dadimaa
793142	176012	
793142	180232	
793142	184155	
793142	184202	
793142	195860	
793142	201048	Shanti
793142	201074	
793142	206933	Laxmi/Lalita
793142	208560	
793142	208737	
793142	211405	
793142	211410	
793142	216381	
793142	226755	
793142	227881	Herself
793142	228705	Marcia
793142	228867	
793142	229336	Neela
793142	231954	Renu
793142	246802	
793142	249644	
793142	250497	
793142	254640	Sohni
793142	254733	
793142	254834	
793142	260128	Shanti Rai
793142	262524	
793142	264540	
793142	267952	
793142	268106	Meena
793142	268118	Sudha/Sushma
793142	270556	
793142	272159	
793142	277781	
793142	279041	
793142	279264	
793142	287526	Asha Devi
793142	308492	Mother
793142	318420	
793142	318422	
793142	318423	Sharda Dubey
793142	319085	
793142	319884	
793142	324153	
793142	344250	
793142	370976	
793142	375033	
793142	375202	Saroj
793143	18460	Guest Appearance
793144	35954	Nati
793144	77890	Rekha
793144	81854	
793144	271116	
793144	285422	Sipra
793145	15816	
793145	86649	
793145	88212	Shalini (Prashant's sister)
793146	28669	Macbool
793146	44185	Pammi
793146	109723	Hospital Attendant
793146	138243	
793146	167892	Manjit
793146	167893	Manjit Jinnah
793146	192545	Fatima
793146	195331	Krish
793146	213875	Sheila Harris
793146	233823	Dr. Amy Russo
793146	382240	Meenal
793146	388070	Lynn
793146	399335	Rani Sandu
793146	406706	Wanda (1990-1991)
793146	408692	Faith Colero (1997-1998)
793147	219906	
793148	82000	
793148	86647	
793148	98549	
793148	135228	
793148	172540	
793148	179372	
793148	214203	
793148	271445	Dancer/Singer
793148	341344	Rani
793148	373904	
793149	4510	
793149	240207	Sandali
793149	256161	Lajo
793149	341634	Pia
793150	200814	
793151	23195	
793151	316585	
793152	23197	
793152	36146	
793152	61018	Prabha
793152	140496	
793152	159849	Geeta
793152	166459	Guest Appearance
793152	166501	
793152	173286	
793152	174123	
793152	177840	
793152	178255	
793152	196070	Suman
793152	200588	Anju
793152	209567	
793152	222097	Seema
793152	250636	
793152	271558	Deepa Kapoor
793152	285328	
793152	308492	
793152	320921	Shanti Bhargav
793152	341686	Gauri
793153	528	Compagna leonidova
793153	3321	Signora Cervantes
793153	5375	
793153	13544	
793153	14867	Assuntina (segment "Un uomo c
793153	17745	
793153	18858	Mother Superior
793153	33495	
793153	33662	
793153	33672	Mimmetta
793153	51446	Mantas' Wife
793153	67515	
793153	67691	La contessa
793153	68644	Mrs. Girardi
793153	69931	
793153	73644	
793153	75259	Baronessa Von Tellen (segment
793153	85624	Lt. Fina Marlie
793153	87901	
793153	91422	
793153	94704	Consuelo
793153	94705	Dora
793153	109090	Figlia del colonnello
793153	123866	
793153	124426	Lucy
793153	156905	Signora Raffetto
793153	158724	
793153	159449	Mother Teresa
793153	159740	
793153	206562	
793153	208029	
793153	214851	
793153	234552	
793153	234748	Mrs. Lo Cascio, Bruno's mothe
793153	242303	Moglie di Rossani-Braschi
793153	242822	Raped Woman
793153	247964	Contessa
793153	260405	Agrippina
793153	263720	Concettina
793153	264236	
793153	269181	La moglie del farmacista
793153	270329	Madonna Brenda
793153	278015	Miss Fellow
793153	278408	
793153	278433	Ciro's Mother
793153	286395	
793153	288626	
793153	295160	Juanda
793153	298598	Light Girl
793153	301237	
793153	310214	Marte
793153	310969	
793153	326050	Corinna
793153	327913	Elena Correnti
793153	328833	Gertrude
793153	336623	
793153	348154	
793153	373914	
793153	375217	Maria Teresa
793153	376411	Teresa
793154	37995	Teacher
793154	305036	Dancer
793155	168114	
793156	192160	Dee Dee Williams
793157	8456	
793157	34277	Jacqueline Damien
793157	108209	Cunégonde
793157	119038	Bichette (segment "Adolescenc
793157	198478	
793157	217635	Ginette
793157	379805	Ninon de Lenclos
793157	385037	Sylvie
793157	385609	Marianne
793157	386084	Monique
793157	389005	Lise Tatain
793157	390491	
793157	390876	Blanche
793157	398834	
793157	409454	Dorothée
793157	410471	Mme Chassebon
793157	411671	Madame Hermonville
793158	104768	Slovenian entry (22nd place)
793159	94696	
793159	210595	
793159	230005	Atte
793160	181632	
793160	182377	Eila Huhtavesi
793160	228405	Nurse
793160	246584	Eva Saloluoto
793160	323255	Äiti
793160	394641	Irmeli Valkama
793160	396481	Herself - the host (2002)
793160	400356	Leila Pajunen
793160	400496	
793160	402823	Kiti Väänänen
793160	402870	Laura
793160	404221	Päivikki Rickman
793160	409033	Kikka Nordberg
793161	153547	
793161	185000	Marianne
793161	253796	Tiina v. -74
793161	392292	
793161	394236	Mari
793162	9317	
793162	255513	Leila vanhana
793162	320584	
793162	332521	
793163	349217	Valentine de Villefort
793164	248128	Foreign Minister's Girl
793166	278933	
793166	295131	Sara
793168	113136	Mae
793169	91760	
793169	131832	
793170	8748	Fei-fei
793170	63125	Girl
793171	17491	
793171	28371	
793171	144174	
793171	181002	
793171	181957	Renate
793171	314898	
793171	325484	
793171	325907	
793171	361408	Dagmar
793171	409610	Susanne
793172	11771	Inge Deitert
793172	12518	Käthi
793172	12903	Katinka
793172	56369	Caroline Friedrich
793172	94886	
793172	103055	Hilke
793172	111344	
793172	116070	Evelyn
793172	121061	Hannelore
793172	126327	Gesche
793172	134471	Griseldis
793172	134778	
793172	140243	The Professor's Wife
793172	142131	
793172	149875	
793172	155606	Mabel Chiltern
793172	156729	
793172	174782	Porzia
793172	175279	Therese
793172	198929	
793172	205813	Marili
793172	225142	Ilse von Westhagen
793172	227598	
793172	254352	
793172	272750	
793172	284863	Sabine Lorenz
793172	290237	Ruth
793172	290742	
793172	308223	Vittoria
793172	314300	
793172	314301	Stefanie 'Steffie' Gonthar
793172	325614	Yasmin Wrangel
793172	325704	Ulrike
793172	325783	Jill Biegler
793172	335528	Patricia
793172	356745	Frederike
793172	359659	
793172	361084	Erna Wahl
793172	366564	Hella
793172	376317	
793172	379771	Bärbel
793173	20625	Extra
793174	332617	Herself - Commentator/Intervi
793175	349147	Huijattava nainen tavaratalon
793176	144250	Itkevän lapsen äiti
793177	246876	Nami Sorelius
793178	78207	
793180	399141	Dr. Nada Sulcová
793181	155610	
793182	225804	Herself (Rocket Aerialist)
793182	236028	Kalina
793184	136154	
793184	165838	
793184	364296	Herself
793185	247492	Lily Garland
793187	18614	
793187	26102	
793187	27488	
793187	27489	
793187	30610	
793187	34768	Herself
793187	37305	
793187	37592	
793187	44537	
793187	50586	
793187	50683	
793187	50764	
793187	60156	Housewife (Part 3)
793187	66900	
793187	83807	
793187	91627	
793187	105220	
793187	128916	
793187	139104	
793187	140940	
793187	196057	
793187	197861	
793187	213100	
793187	213131	
793187	219159	
793187	219160	
793187	230105	
793187	245279	
793187	251154	
793187	252220	
793187	260712	
793187	266802	
793187	269033	
793187	276672	
793187	295660	
793187	295767	
793187	303884	Real estate agent
793187	303885	Real estate agent
793187	304492	
793187	317117	
793187	317938	
793187	323157	
793187	329866	Herself
793187	330411	
793187	337689	
793187	342550	
793187	347520	
793187	362030	
793190	128694	
793191	6960	
793191	6965	
793191	39313	
793191	39610	
793191	39766	
793191	39967	
793191	44109	
793191	47817	
793191	48576	
793191	93227	Herself
793191	97111	
793191	112896	
793191	123627	
793191	200400	Griet
793191	236307	
793191	311162	
793191	319346	
793191	321328	
793191	368574	Fluffer
793191	372090	
793192	152564	Julie
793193	182752	Prinzessin
793194	271607	Mira
793194	394792	Tuuli Partanen (1999-2002, 20
793195	19346	
793196	109395	Peter's Mom
793197	393934	Natasha Kovitsky
793198	281821	
793199	33476	Maid
793199	374196	Nathalie
793200	108421	
793200	206313	
793200	328864	Teresa
793201	154866	Edwina Wilkes
793202	90256	Mrs. Rosenbaum
793203	17543	
793203	140332	Mrs. Abrahams
793203	154652	Mrs. Abrams
793203	204182	Jewish Woman
793203	264170	Mrs. Goldberg
793203	266715	Mrs. Delicatessen
793203	267574	
793204	161727	Janet, North's Secretary
793204	252764	Beautiful Woman
793205	206687	Victoria
793206	76333	
793206	245797	
793207	191344	Dancer
793208	214248	
793208	357366	
793209	152205	Miss Sophia
793210	39753	
793213	238427	Cecilia
793214	256174	Hotel waitress
793215	103282	
793217	119320	Host
793217	340973	Booty-licious
793218	289673	Victim (Wraparound Segment)
793219	250406	Terezka
793220	356868	Katya
793221	410410	
793222	44392	Marina Mnishek
793223	187886	Guest
793224	65794	
793225	212097	Working Woman
793226	209239	Alejandra
793227	163147	
793227	209239	Alejandra
793227	236379	
793227	396884	Andréa
793229	383479	Creuza
793229	386727	
793229	396741	
793229	398884	
793229	400902	Sue
793230	345140	Mme Olga
793230	380358	Sarah
793230	384186	La rentière
793231	113135	
793232	1868	Herself
793232	65232	Herself
793232	71984	
793232	113146	Herself
793232	169812	
793232	178091	Herself
793232	245040	Club singer
793232	267238	Herself
793232	267240	Herself
793232	267248	Herself
793232	303000	Herself
793232	367823	Herself
793233	172649	
793234	288315	
793235	374720	Pasha
793236	235968	
793237	49828	Rat Woman
793238	41192	
793239	76618	
793239	372730	Margaret Jean Doyle
793240	355028	The Academy's Blessed 'Virgin
793241	194464	The Girl
793242	69260	
793242	98629	
793242	136898	
793242	156040	Anna
793242	173873	Merja
793242	181651	Lahja, Sister
793242	190659	Maikki
793242	255766	Mirja
793242	278874	Siru
793242	284377	
793242	284748	Doris
793242	354289	
793242	394023	Kisse Moilanen
793242	394539	Saara Simanen
793243	141809	Annika Palonen
793243	184065	Aleksi's daughter
793243	186068	Annika Harjus
793243	264291	Prinsessa Ruusunen 5-vuotiaan
793243	341543	Kerttu Niininen
793244	402792	
793245	341543	Liisa Niininen
793246	4447	Alli
793246	25204	Brita von Löwen
793246	137746	People at the dances
793246	169099	Aune Irvas
793246	174477	Ingeborg Liliecrona
793246	175346	Kerttu Mäkinen
793246	177040	Inkeri
793246	182370	Elina
793246	182840	Aili Ranta
793246	207894	Inkeri Korte
793246	213700	Sirkka
793246	236717	kirkkokansaa/väkeä Karrin tuv
793246	242257	Irma
793246	253075	Raili Wirma/Risto Salonen/Tyt
793246	258845	Marja Terä
793246	266752	Pirkko Petäjä
793246	303312	Laila
793246	319316	Elina Suominen
793246	319317	Elina
793246	321999	Woman in a dance restaurant
793246	323628	Ilona Vartio
793247	294432	
793248	166195	Nejma
793249	104545	
793249	232586	Solo dancer
793249	373379	
793250	198984	
793251	35459	Dancer
793252	281286	
793253	322013	
793254	98027	
793256	156566	Prisoner
793257	186541	Beba
793258	75773	Showgirl
793259	409958	Jana Brandner (# 1) (2002-200
793260	68381	
793260	84616	La vieille dame
793260	377696	La gardienne du château
793261	14620	
793261	140676	
793261	190061	Townswoman
793261	244913	
793262	170246	Vieras #22
793262	174209	Inga Diether
793262	174740	
793263	10966	Nabuqi
793263	60569	Ke'elun
793263	76401	Zhang Ruonan
793263	78590	
793263	85886	Shu Hua
793263	108605	
793263	123970	Yang Gaihua
793263	131228	
793263	135494	Yu Zhen
793263	197604	Hu Niu
793263	275582	Zhaohong
793263	303152	Pearl
793263	332351	Mother
793263	369607	Xiang
793263	370512	
793263	371530	
793263	373098	Mother
793263	394124	Xiao Zhuang
793264	60396	
793266	341153	
793266	380946	
793266	383437	
793266	384647	Adele
793266	403739	Luiza
793266	404220	
793266	407801	Maruca
793266	408414	
793267	199126	
793268	280866	
793268	308749	
793268	348745	
793268	382741	Waldete
793268	387799	Lusa do Canindé
793268	388398	Izalete
793268	391609	Fifi
793268	402159	
793268	402626	Dinha
793268	409025	
793268	411932	Renata Dumont Lourenço
793268	412069	Zulmira
793269	99664	(segment "Clepsusana")
793270	212136	
793271	393876	
793272	87855	Feldman's Assistant
793272	379450	Ana
793272	395302	Marisa
793273	57448	
793273	319626	
793273	339757	
793274	277088	Joanne
793275	149655	
793275	404024	
793277	324321	Picnicker's wife
793278	122131	
793278	186174	Frau Berghaus
793279	269717	Alice
793280	88975	
793280	212414	
793280	377894	
793281	82126	
793281	123176	Hairdresser
793281	197565	Cristina
793281	281114	
793281	353130	Sorella di Valeriana
793281	386748	
793281	386749	Anna Fredi
793282	197922	Zoe's Mother
793283	104773	Maltese entry (3rd place)
793283	202523	Herself
793284	251247	Member of String Quartet
793285	43425	Florelle Clebert
793285	145352	
793285	217706	
793286	141612	Woman in Milkvan
793287	360055	Other Pupil
793288	336302	Jeanne, the baby
793289	258745	
793291	272384	Staritza v starcheskiya dom
793292	46302	Mrs. Prescott
793293	76790	Wife of Luka
793294	117658	
793295	292280	Can Can Dancer
793296	292280	Can Can Dancer
793297	273090	
793298	157786	Girlfriend #2
793298	387465	Bianca Buondio
793299	317309	LA Promenade with Cher
793300	16796	Herself/Angela's Sister
793301	40260	
793301	67504	Marie
793301	166565	Madame de Fontenay
793301	225447	
793302	295148	
793302	357564	
793303	17504	Distraught villager
793303	193728	
793303	303179	
793304	196764	
793305	577	
793305	349574	Peg
793306	244715	
793307	360044	
793308	143723	
793308	377518	Rozita
793308	377553	
793309	225594	
793310	73973	
793310	88203	
793310	306631	
793311	51725	
793311	229492	
793311	231777	Justine
793312	288889	Anna
793312	377479	Marion
793313	161538	(segment "Contro")
793314	2598	
793314	84499	
793314	99485	
793314	148093	
793314	155668	
793314	193187	
793314	202555	
793314	236420	Esposa del banquero
793314	252535	
793314	277368	
793314	277371	
793314	280577	
793314	286201	
793314	292736	
793314	306697	
793314	317712	
793314	323935	
793315	204275	
793315	296463	
793315	377193	Madre
793316	168737	Charlie Payne
793316	372372	Mother of Twins
793317	63890	
793318	175741	Cherry Flambey
793319	60148	Cigarette Girl
793320	32241	Seamstress Anna
793320	127318	Roxy
793320	203754	Judge Robinson
793320	266600	Jolene
793320	348612	Helen McCall
793321	63890	
793322	557	Chesta
793323	303788	Contestant
793324	96096	La nouvelle venue
793324	215136	L'asssistante du labo
793325	336302	Catherine, the production acc
793326	224311	
793328	229003	
793329	319966	Queen Jiraprapa
793331	7514	
793331	11929	
793331	22078	
793331	22082	
793331	39048	
793331	48420	
793331	48433	
793331	57413	
793331	97550	
793331	97863	
793331	113484	
793331	124216	
793331	124911	
793331	136697	
793331	139375	
793331	140595	
793331	146983	
793331	156213	
793331	156430	
793331	163107	
793331	173857	
793331	182911	
793331	232742	
793331	288609	
793331	296384	
793331	325347	
793331	370581	
793331	370771	
793331	371556	
793331	373245	
793331	374521	
793331	378595	
793332	405	
793332	132724	
793332	264534	
793332	294019	
793332	323221	Vera Lagutina
793332	356393	
793333	407596	
793334	288489	
793335	136958	Theda
793336	346591	Sarah
793337	264941	Infirmière 2
793338	318215	
793339	180663	Tapaokaew
793340	52121	
793341	255452	Child
793342	159933	Guest
793342	188626	Henna
793342	304775	Dancer
793342	386700	Anna/Julius/Venla
793342	396063	Heather Sheffield/Hanna Elers
793343	32353	Woman in Yellow
793344	274582	Host
793344	278526	Additional Voices
793345	25794	
793346	83530	
793347	177902	
793348	17403	Hilda
793348	57802	
793348	82619	
793348	320473	
793349	74281	High Priestess
793350	5794	Estetista
793350	232074	Voice of Ida
793351	217640	Secretaire, Services sociaux
793352	147534	Principal Model
793353	99590	Agathe Pichette
793353	403196	Corinne Lévesque
793354	70723	Micheline
793355	26492	Sarah Cantrell
793355	64077	Cinderella
793355	68064	Jessica
793355	79428	Stacey
793355	124244	Sulia Gaudeamus
793355	137336	Hinaginu, Girl 2
793355	141958	Clare
793355	168766	Nancy
793355	190927	Teen Girl #1
793355	213861	Katherine
793355	220034	Tammy
793355	257982	Sakura Kokushou/Shusuren
793355	272209	Akane Tendo
793355	272213	Akane Tendo
793355	272214	Akane Tendo
793355	306276	Snow White
793355	402863	Akane Tendou
793356	367982	Mei-Ling
793357	390496	
793358	309419	Rita
793358	400286	
793359	333430	Daughter's Friend
793360	171742	
793361	11134	
793361	138841	Rachel
793362	312992	
793363	339339	Vera
793364	229740	
793365	3470	Eliska
793365	58272	Anna
793365	147224	
793365	151875	Julinka
793365	260392	Eva
793365	327373	Holcicka
793365	352472	Katerina
793366	56647	Chinese woman
793366	144892	Alessa's Mother
793367	189365	Astou
793368	20930	
793368	263226	
793368	288893	
793369	40631	Hooker
793369	68105	Starfleet Lieutenant Commande
793369	81317	Maria
793369	122813	Detective Inspector Walker
793369	124185	Demona
793369	124188	Demona
793369	124189	Demona
793369	169503	Herself
793369	188139	Mary
793369	230107	Cindy Fielding
793369	241465	Maria
793369	248473	Dr. Christine DuMaurier
793369	310689	Laura Lee
793369	313393	Herself
793369	313403	Herself
793369	313419	Counselor Deanna Troi
793369	313420	Counselor Deanna Troi
793369	313421	Counselor Deanna Troi
793369	313423	Counselor Deanna Troi
793369	313428	Counselor Deanna Troi
793369	313442	Counselor Deanna Troi
793369	313443	Counselor Deanna Troi
793369	313444	Counselor Deanna Troi
793369	313445	Counselor Deanna Troi
793369	328257	Alex
793369	330308	Harem Girl
793369	331899	Mary
793369	344548	
793369	358658	Sarah
793369	360150	Gloria
793369	364731	Jackson's Girl
793369	389758	Demona (aka Dominique Destine
793369	389759	Demona (aka Dominique Destine
793369	406408	Lt. Cmdr./Cmdr. Deanna Troi, 
793370	58505	Woman
793370	58510	Female Guard
793371	171752	
793372	133242	Une danseuse
793373	378985	
793374	96349	Bárbara
793375	73068	Collégue Marie
793375	83357	La passante
793376	301151	Natalia
793376	379432	
793376	384734	Rosario (1999-2001)
793376	408418	Carmen
793377	55376	
793378	9910	
793378	97658	
793378	103165	
793378	106458	
793378	236303	
793378	250793	Mary
793378	255488	
793378	301124	Chica del tiro al blanco
793378	319855	
793378	322341	
793378	339131	(segment "Una de indios")
793379	323254	Myyjä (Salesgirl)
793380	404782	Mia
793381	53841	Herself
793381	235886	Intérprete
793381	355117	Larppaaja
793381	394641	Laura Koskinen
793382	195519	Girl gang
793383	104635	Herself
793383	104637	Herself
793383	226586	Siiri
793383	294673	Ümmardaja
793384	259214	Mayor
793385	43933	Peggy
793385	251646	Art Fan
793385	264785	Autograph Girl
793386	2010	Self
793386	276924	Pretty Teen
793386	380713	Abigail Williams #2 (1999-200
793387	60148	Military Wife
793387	131777	Aspiring Actress
793387	131805	Aspiring Actress
793387	138821	Photographer's Asst.
793387	152300	Other Woman
793388	405553	Linda Eldh (2002-)
793389	17673	Geeta
793389	176959	
793389	362860	Kelly
793389	402011	Vida Atwood
793390	320340	
793391	229250	Cult member
793392	281542	Mother
793393	159863	Grandma Swann
793394	400236	Lane Herrick (#2) (1997)
793395	128505	Laura Thrash
793395	139096	Jessi Richards
793395	384366	Melanie Jackson (1996)
793396	126542	Elizabeth Headreck
793397	242809	Pretty Intern
793399	226777	Cousin Stacy
793400	171084	Coffee Shop Waitress
793401	319027	Michelle Taylor
793402	180675	Kamasová
793402	181286	Helena
793402	223314	Marie Cizková
793402	225885	
793402	263422	Edita
793402	349621	Pašova mama
793402	374227	Eva
793402	374528	Sister Mária
793402	375911	
793402	378519	Production assistant
793403	6477	
793404	80065	Waitress #1
793405	105256	
793406	20788	Weather Woman
793406	147023	Secretary
793407	222674	
793408	273698	Maria
793409	355388	Herself
793410	161754	Chainsaw Lady
793410	234324	Herself
793410	395966	Herself
793410	407245	Hostess (1996-)
793411	188685	
793411	249678	(segment Lettre à Abou)
793412	167654	Jim
793413	107509	Fanta, la soeur d'Adama
793414	87905	
793415	53284	Wet T-Shirt Contestant
793416	264991	Melis King
793417	39349	Additional Dialogue
793418	5344	
793418	5493	
793418	21442	
793418	22860	
793418	24961	
793418	24975	
793418	31226	
793418	42914	
793418	43227	
793418	52402	
793418	61379	
793418	105992	Do Harrington
793418	114536	
793418	116980	
793418	125848	
793418	135168	
793418	135555	
793418	140522	
793418	141339	Evie Atherton
793418	142307	
793418	142690	
793418	144620	Thora Erickson
793418	145919	
793418	145981	
793418	146144	Cicely Harradine
793418	150849	
793418	159887	
793418	162418	
793418	162419	Elizabeth Ferguson
793418	175622	
793418	191286	
793418	192006	
793418	195281	Mrs. Whinfer
793418	202886	
793418	203043	
793418	203464	
793418	206336	
793418	206449	Mary McMillan
793418	206653	
793418	222808	
793418	245201	
793418	245875	
793418	248456	Una Habberton
793418	265822	
793418	279048	
793418	287185	
793418	292047	
793418	301774	
793418	307855	
793418	315270	
793418	315498	
793418	327750	
793418	329504	
793418	329956	
793418	334800	
793418	335672	
793418	340939	The Wife
793418	342398	
793418	350119	
793418	351232	Eve Gardiner
793418	367779	
793419	196559	Carly
793420	6994	'Pussycats' band
793420	31500	Shauni's Blonde Friend
793420	91884	Stripper
793420	97200	
793420	100131	Woman at Craps Table
793420	102731	Ms. Macy
793420	102733	Ms. Masy (episode "The Driver
793420	159994	
793420	206609	Celeste
793420	242939	Tracy
793420	254511	Suzie
793420	301787	Push-up lady
793420	364207	Ivy Saxon
793420	368914	Donna Traveller
793420	372134	Brenda
793420	404282	Windsurfer Waitress (1991)
793420	404593	Jennifer Nelson
793421	16072	Sister
793421	35714	Helen
793421	51927	Vocals
793421	192403	Herself
793422	147816	Themselves
793423	74074	Themselves, Singers
793424	147825	Themselves
793424	177401	Themselves
793425	218556	
793426	831	The Three Little Maids from D
793427	290824	
793428	19786	
793429	127519	Cameo Appearance
793430	36758	Themselves
793431	119344	
793432	133722	Themselves
793432	184832	Themselves
793432	209660	The Quartet
793432	240650	Themselves
793432	302633	Themselves
793432	306230	Themselves
793433	71760	Ladell Sisters
793434	287946	Singers
793435	90267	
793436	280208	Group cast appearance
793437	47322	Themselves
793438	10520	Themselves
793438	36513	Governanti
793438	119841	
793438	144457	Themselves
793438	235822	Themselves
793438	366824	
793439	174170	Singing Waitresses
793440	329520	Singers
793440	331933	Themselves
793441	92162	Singers
793442	380685	Themselves
793443	120736	Themselves
793444	215578	Gymnastic specialty
793445	120010	Themselves
793446	130664	Themselves
793446	239529	Comic Singers
793447	192032	Themselves
793447	302624	Group cast appearance
793448	275466	Mattie
793449	31681	Gloria
793449	53323	Flower, Hippie Girl
793449	54571	Caroline Harvey
793449	73834	Denise
793449	90237	Juliet
793449	92784	Quenya
793449	157817	Meadow
793449	185709	Sarah
793449	210771	Astrid
793449	321339	Horizon
793449	326604	Suzanne Welch (School Victim)
793449	331706	Jennica
793449	342642	Karen Winkler
793449	407470	Cheryl Moretti
793450	74660	
793450	199956	Voice
793450	202838	
793450	204832	Voice
793450	206742	Voice
793450	212666	Madre de Juanchi
793450	252075	
793450	256374	
793450	353236	Violeta's Grandmother
793450	384775	
793450	412198	
793451	359614	
793452	398672	Melanie Parker
793453	137577	Stephanie
793454	72475	Léna
793455	104616	Herself (Dutch entry) (8th pl
793455	110655	Hsu's rival
793455	135077	
793455	141896	Chuc-Chu/Black Rose
793455	208576	
793455	255472	
793455	301436	Competition Judge (The Prince
793455	334069	Herself - Performer
793456	156438	Faerie Queen
793457	175665	
793458	235878	La soeur
793458	295258	Gundamma
793459	48389	Maria
793459	152409	
793459	178606	Birgit
793459	187654	
793459	203860	
793459	208771	Ammini
793459	243501	Rama
793459	306083	Gowri
793459	347436	
793460	408481	Presenter (1996-)
793461	81614	Emily Stavros
793461	294249	Martha
793462	157210	
793462	246440	
793462	293999	
793462	346726	Woman #2
793463	345448	
793464	13843	
793465	62694	Izabela Chopin
793465	166181	Anezka
793465	304666	Helena Golabek
793465	364966	Adela
793465	369005	Ira
793465	412008	Weronika
793466	340899	Female reporter #2
793467	62208	
793467	106701	
793467	136108	
793467	169371	Renjini Menon
793467	195567	Aunt Emily
793467	266795	
793468	120237	Co-accused
793469	74207	Nurse at clinic
793471	203955	Organiser Woman
793472	74207	Nurse at clinic
793472	203955	Zindzi
793473	202052	Anestesista
793474	342983	Hinewaka
793475	25752	Mama a cukrászdában
793475	74465	
793475	98770	
793475	122380	
793475	122613	Ápolónõ
793475	130804	
793475	137755	Öreglány
793475	153697	
793475	155968	Fruzsina,Klárika húga
793475	182646	
793475	182726	
793475	199872	Nevelõnõ
793475	200056	
793475	205804	Nusi,cukrászdáslány
793475	209842	
793475	210957	
793475	216541	Ideges hölgy
793475	226710	Tímár Karolin, intézetigazgat
793475	229477	
793475	268428	Árvaházi tanárnõ
793475	268521	Directress
793475	288119	Ápolónõ
793475	293535	
793475	322014	
793475	322068	Tanárnõ
793475	322188	
793475	343631	Agáta
793475	377121	Grófné
793475	377719	Ficsorné
793475	377721	Tanárnõ
793476	349303	
793477	356503	
793478	133475	Realty Agent
793478	252483	Svelte Reporter
793479	97232	Milkshake Waitress
793479	328825	Mom
793480	110284	Tricia
793480	158992	Brit
793481	103653	
793482	66917	Homeless Girl
793482	221067	Movie Talker Brunette
793482	222670	Hooker
793482	297791	
793482	308110	Nurse
793482	362966	Waitress
793483	82797	Hanka
793483	87826	Annette
793483	97096	Mrs. Sims
793483	162816	Eva
793483	236725	
793483	317629	Jana
793483	401339	Evdokia Petrov
793483	404627	
793484	226317	Kellnerin/Waitress
793484	249097	Moni
793484	259484	
793484	259587	Beate
793484	325466	Susanne
793484	336689	Mona
793484	352571	
793484	392669	Doris
793485	164256	
793487	305341	
793488	369410	Maris von Salomon
793489	96111	Young girl
793490	236494	Lady Owner at P76
793491	286549	
793492	17126	Amaya
793492	48185	
793492	51786	
793492	103375	Secretaria de Raleigh
793492	136182	
793493	328972	Natale's mother
793494	173013	Martina
793494	344040	Maruska
793495	372071	Amy
793496	280663	Journalist
793497	97591	Herself
793498	6321	
793498	8126	
793498	9178	
793498	17123	
793498	85646	
793498	102148	
793498	103547	
793498	127370	
793498	174651	
793498	180083	
793498	182378	
793498	191540	
793498	205964	Mario
793498	211992	
793498	265960	
793498	285860	
793498	375545	Mother
793499	47758	Herself (onlooker, on pedesta
793499	397430	Herself - Zapruder's secretar
793500	3241	Butterfly Wong
793500	4466	Maggie
793500	60540	Lawyer Pao
793500	153041	Ko Tin-Oi
793500	266660	Kat
793501	358561	Girl
793502	373093	Elle
793503	363560	School Board Audience
793504	63371	
793505	179583	Dorota
793506	330388	Melanesian extra
793507	248735	
793508	17290	
793508	101894	Antonia
793508	104544	
793508	183161	Azafata
793508	207602	Asistenta María y Diego
793508	252551	Luci (Luciana)
793509	98610	
793509	163261	Maria Loues
793509	172713	
793509	312985	
793510	183161	Rehearsal studios concierge
793511	52677	Herself
793512	315931	
793513	1804	Scott's Doctor
793513	51660	Rachel Seaton
793513	87234	Nancy
793513	99894	Superintendent
793513	105279	Madeline
793513	185758	Leslie
793513	191688	Frances
793513	192527	Party Goer
793513	233792	Claire
793513	266046	Jane
793513	395819	Sister Mary Edward
793514	68686	Self
793514	153562	Dora
793514	171805	
793514	172588	
793515	268923	Sister Amalia
793516	394585	Bozenka Rosiak Lubicz (1998-9
793517	62784	Therapist
793518	80833	Sharon
793519	275466	Rosie
793521	41519	Zoe
793521	72469	Teacher
793521	74215	Jenny Miller
793521	137560	Linda Quinn
793521	137566	Linda Quinn
793521	137569	Beth Hartley
793521	151176	Zelia
793521	169172	
793521	194696	Psychologist
793521	299028	Extra in ballroom scene
793521	304916	
793521	329418	Mrs. Cherry
793521	381103	Herself (1999-2002)
793521	381343	
793521	382516	Mrs. Spring
793521	388978	Debbie O'Brien (1989-91)
793521	389720	Jasmine Holt (1998)
793521	393335	Judge Glenda De Bono
793521	394297	
793521	402197	Lou Kelly (1984-1986)
793521	405204	
793522	78518	Neptün
793522	225689	Herself
793523	17402	
793523	163106	
793523	335960	
793523	377524	
793524	108507	Margherita Donovan
793524	113443	Lilli
793524	230080	Pilar
793524	253414	Iris
793524	278858	Celeste
793524	350512	
793525	205058	
793526	370460	Zelenata veshtitza, Fyufyunko
793527	370460	
793528	370460	Fyut 1
793529	235069	Danielle Amato
793530	200802	
793531	170921	
793531	175689	Hese's sister
793531	177897	Hilja
793531	225234	Head-waitress
793531	267122	
793531	303180	Neiti Nieminen
793532	296830	Woman in Igloo
793533	225976	
793534	208720	
793535	18849	Sílvia
793535	74390	Luzia (segment "Luzia")
793535	104497	
793535	387647	
793536	154601	Mara
793537	307757	Som
793538	341506	La belle Marseillaise
793539	384368	
793540	384368	Lissy
793541	348509	
793543	374126	
793544	2437	
793544	31691	Ava
793544	242708	Reiko
793545	261564	Benning woman
793546	114002	
793546	152844	Cadaver
793547	160832	Theresa Brown/Manborn
793548	280438	Waitress
793549	15224	Herself
793550	125478	
793551	406710	Additional Voices
793552	322981	Chris
793553	241244	Party-Goer #4
793554	215499	Lala
793554	384245	María
793554	389483	
793555	87935	Tonicka
793556	116002	Auditioner 10
793557	375882	
793558	295114	Herself (Stands Sacred)
793559	295114	Herself (Dakota storyteller)
793560	324652	
793561	275312	Lisete
793562	238599	Dina Duncan
793563	198138	Olya
793564	312183	Princess Aurora
793565	355307	
793566	11010	Vera
793566	269749	L'actrice bulgare
793567	223558	
793568	150660	Mrs. Jansson
793568	303666	
793569	196372	Montage typist
793570	388527	Host
793571	84230	Wardrobe Lady
793572	160344	Meter Maid
793573	355562	
793574	34448	Dancer
793574	70486	Copacabana Girl
793574	367083	C.C.'s Groupie
793575	62579	Cafeteria Patron
793575	312265	Scott's Aunt
793576	108319	Hostess
793576	275480	Older Vanessa
793577	95154	Lisa
793578	205504	Maria (jong)
793579	33179	Ballet Dancer
793580	224838	Tourist Date
793581	18962	Herself
793581	242761	Thea
793581	291997	Sally Seaschell
793581	303967	
793582	86071	Karina
793583	84306	Kerstin, Nisse's sister
793584	16262	Farmer girl
793584	121020	Ofelia
793585	174075	Maja
793586	355641	Mrs. Lindkvist
793586	398251	Beda
793587	37164	Sonja
793587	57061	Herself
793587	159484	
793587	183338	Herself (Too Funky Video)
793587	254096	
793587	302150	The Dancer
793587	326122	Petra
793587	326128	Petra
793587	326129	Petra
793588	399850	Sjuksköterska (2 episodes may
793589	96425	Fanny Bodin
793589	165716	
793589	182531	Managing Editor
793589	281908	Karin Larsson, waitress
793589	320514	Inga Petersén
793589	379797	Siri
793589	403769	Maj-Lis Pettersson (episode B
793589	409267	Joan
793590	27480	
793591	154565	Cashier
793592	115382	Librarian
793592	120892	Signe Johansson
793592	138520	Magda Palmborg
793592	182278	Lilli Wallgren
793592	184793	Maarna
793592	210310	Gunvor, musician
793592	219294	Singer
793592	307763	Miss Dahl
793592	322431	Old lady
793592	346202	Roffe's grandmother
793593	144083	Girl
793594	322279	Margo
793595	399850	Anneli Adnarow (6 episodes 20
793595	405570	Bianca Gatti (3 episodes 2000
793596	159672	
793596	174046	
793596	184575	Daniela's Mother
793597	397779	Lekisbarn (episodes 2-6)
793598	9521	Mrs. Jörgensen-Jensen
793598	17564	Mrs. Johansson
793598	48000	Rodjas mother
793598	52605	Mrs. Sabelfelt
793598	52629	
793598	111835	Fortune Teller
793598	119461	Saima Murtaja
793598	143995	Herr Arne's Wife
793598	145455	Mats' wife
793598	182277	Mrs. Olsson
793598	182565	Foster-mother
793598	192930	Gustava Eriksson
793598	198386	House Keeper
793598	210287	Dorothea Warren
793598	225231	Mrs. Schalén
793598	228394	Countess Berkow
793598	228409	Mrs. Lund, widower
793598	234152	Alice Starford
793598	284101	Mrs. Normark
793598	304125	Hilda
793598	305991	Cilla
793598	315603	Linnéa
793598	320727	Mrs. Olsson
793598	346985	Karin's Grandma
793598	357753	Mrs. Bern
793599	210338	Herself
793600	347025	Birgit Frisk
793600	378274	Housemaid
793601	18083	Henrietta Starbeck
793601	18266	Antigone
793601	21385	Catherine Sloper
793601	34269	Erna Walldén
793601	35026	Gulzjan
793601	43388	Maria Lindgren
793601	112278	Marcela
793601	117565	(uncredited)
793601	120356	Meta
793601	121016	Miss Rosita
793601	123887	Kristina Nordbäck
793601	129259	Duchess of Marlborough
793601	135219	Frasse's Daughter
793601	142789	Clara, maid
793601	143995	Griever
793601	144235	Iris
793601	153290	Georgette
793601	153740	Olivia
793601	154057	
793601	158685	Toinette, housemaid
793601	159479	Nun
793601	159646	Andree's Sister
793601	174049	Agda
793601	174093	Katarina Leczinska
793601	182299	Rosa Karlsson
793601	187635	The Sons's wife
793601	198274	Genevieve
793601	225348	Masja
793601	270935	Annemarie's mother
793601	276139	Maudan
793601	284382	Sally Gustafsson
793601	287549	
793601	302152	Sick Girl
793601	312233	The Mummy
793601	313638	Actress, not married
793601	315068	Old woman
793601	320339	Gittan
793601	339239	Maria
793601	341094	Astrid Jonsson
793601	346081	Visitor
793601	346967	Betty Johansson
793601	346969	Heloise/Asphinxia
793601	351889	Hyresvärdinnan
793601	354423	Ulla
793601	377397	Åke's grandmother
793601	390937	Kim Stevens
793601	396857	Narrator
793602	100477	Herself
793602	407489	Siv
793602	409045	Herself/Host
793603	303198	Jessie
793604	134472	Girl in car
793604	144233	Ulla
793604	187623	Barbro
793604	213939	
793604	215467	Sylvia Appelsten
793604	243672	Inga
793604	281907	Waitress
793604	354413	Inga
793605	311933	Ingrid's Mother
793606	293839	Johanna
793607	281336	
793608	225347	
793609	182285	Ballet girl
793610	32374	Elin
793610	335363	Elin
793611	182576	Kärlekspar
793612	314957	Extra #8
793613	20405	Mamma
793613	36630	Babette Biedermann
793613	213414	Anna Aaltonen
793614	144083	
793615	353436	Fireman
793616	60831	Florence Vaszi
793616	322294	Gabriella
793617	164649	Erika Beyle
793618	681	Dancing Lady
793618	41115	
793618	109140	Margit's friend
793619	405619	
793620	307211	Ebba Petersen
793621	107305	Maid
793622	40941	
793622	190808	
793622	342307	
793623	108633	Teatern
793623	167605	Rut
793623	284134	Monika
793623	321904	Karin
793623	322818	Sara
793623	381054	Nurse
793623	402277	Kataryna
793624	390236	Mrs. Edberg
793625	144250	Lehdenjakaja
793626	134547	Girl child
793627	86071	Inger
793628	122480	Nurse
793629	118696	Nurse
793629	304408	Alma, maid
793630	403084	Blanca (1996)
793631	84315	Guest at the restaurant
793631	237256	Susanne Motander
793631	305874	Hooker #5
793632	259159	Model
793633	210360	Herself
793634	272835	kreivitär Höpkén
793635	228388	Håkan's Sister
793636	45943	Woman next to Beck on the pla
793636	204537	Teacher
793636	259365	
793636	281908	Police secretary in Motala
793636	315034	Woman with starting pistol
793637	104807	Real Estate Agent
793638	213292	Kattis
793639	130111	
793640	151907	Olina, en tjenestejente
793640	304108	Katrina, tjenestejente
793641	393251	Herself - Editor-in-Chief
793642	78457	Herself - Folketingsmedlem
793642	192643	Herself - Formand, Sundhedsud
793643	206484	
793643	349257	Luda
793643	356114	
793644	375415	
793645	60881	
793645	343310	Student
793645	357463	
793646	285548	
793647	293750	
793648	308482	
793649	399672	Programleder (2000)
793650	96574	
793651	353469	Camilla
793651	410281	Solbritt Andersson
793653	304185	Journalistens datter
793654	134941	Den Mörkhåriga
793654	172785	Mamma
793654	177780	
793654	307771	Katja
793654	388307	Marit Petterson (1997)
793655	123896	Danseuse revue du Baron
793656	142213	Lore Stauffer
793656	144155	
793656	172066	
793656	266208	Julca
793656	312203	Betty Steininger
793656	364998	Ulli (a maid)
793656	365785	Frau Staatsanwalt
793656	376514	Beate Hillmann
793656	386982	
793657	42116	
793657	52447	Grand Duchess
793657	54387	Madame Piasco
793657	59727	Dr. Anna Strauss
793657	98803	Mlle. Souvestre, school headm
793657	100814	Mlle. Reisz
793657	115106	Hanna Long
793657	141417	Mrs. Landauer
793657	150920	Dr. Littauer
793657	162437	Sister Agatha
793657	190783	Mother Superior Maria
793657	199399	
793657	202942	
793657	210794	Lucia
793657	225215	
793657	265090	Frieda Ullman
793657	267578	
793657	281927	Rosa (The Peabody)
793657	299174	Frau Hutten, Dog Owner
793657	308978	Grandma Esther
793657	311526	Sister Agatha
793657	319266	Dr. Novack
793657	328839	Fania Morse
793657	346850	
793657	364177	Nun
793657	380713	Rose Welinski (1985)
793657	382773	Mrs. Dunbar (1955)
793657	384426	Bertha
793657	390771	Mrs. Hoffman (1974)
793657	404613	Magda Leshinsky (1969-1970)
793657	409795	Mme. Garstel (1957)
793657	410669	Russian
793657	411358	Clemy
793658	101982	Herself
793659	51286	Gabi
793660	394227	Anna
793660	401315	Ilektra
793660	407921	Dimitra Sideri (second lieute
793661	26176	Manca, his daughter
793662	365782	Tobler's Daughter
793663	365782	Dorle
793664	93410	
793664	321515	Cafe Bismarck Singer
793664	365782	Tobler's Daughter
793665	365782	Tobler's Daughter
793666	265808	Prostitute
793667	247968	
793668	93123	Cissy
793669	23338	Miss Paxton
793669	87926	Randi Sklar - Blue Ribbon
793669	144674	Victim
793669	178279	Crystal
793669	191051	
793669	196101	
793669	252841	Kate
793670	58130	Customer
793671	171542	
793672	75990	Tunia Zmijewska
793673	352820	
793674	339342	Bosana
793675	206831	Ellie Rosenblum
793676	79007	Clerk
793677	51262	
793677	231178	Milada, his wife
793677	339310	Berta Králová
793678	141404	Check-Out Girl
793679	157036	Movie Star in Blue Dress
793680	29581	Young Dara
793681	77209	Becky
793683	206128	Herself
793684	84962	Leah
793685	21375	Benedikte
793685	79616	Henriette's Friend
793685	82776	Henrik-Henrik's mor
793685	109291	Julie
793685	122127	
793685	145473	Maria
793685	154828	Brunette
793685	201344	Laila Ditlev
793685	268558	Pige i Telt
793685	315566	Irene
793686	153717	
793687	16268	Mrs. Graham
793688	55105	Maria Sobieska
793688	378166	Lucy
793689	126546	Herself
793689	387596	Herself
793689	390225	Programleder
793690	398497	Participant (2001)
793691	337183	Toya
793691	337184	Toya
793692	58509	
793693	14558	
793694	60550	
793694	186246	
793694	349076	
793695	239489	Participant (cross country sk
793696	261222	
793696	399767	
793697	9232	Krunina kolegica
793697	322659	
793698	226516	Swimming school child
793699	402844	
793700	179647	Elsa
793701	208386	Tour Guide
793701	232270	Bobby/Regina
793702	407817	Herself - Norwegian Participa
793703	42099	Rachel
793703	214380	Girl
793704	134763	
793705	275108	TV-reporter
793706	96445	
793707	408623	Herself
793708	41757	Herself
793709	55928	Doll
793709	196630	
793709	289678	Girl Model
793710	167605	Mother
793711	16899	Brigitte
793711	110296	Heather Fontaine
793711	167256	Raylene Hilburn (Age 14)
793711	355096	Caroline Lofton
793711	382102	Dinah Redmond Lance
793711	395738	Elizabeth (Bess) Lawrence
793711	401989	Science of Sports host
793712	75791	Patient
793712	104045	Friend in the market
793713	267253	David's Mother
793713	304259	Waitress
793714	259811	Hanka, Wlodek's wife
793714	359590	
793715	8416	Loda Przywlocka
793715	66263	Charwoman
793715	89474	Countess Niewadzka
793715	89603	Bukowska
793715	95726	Teresa
793715	179208	
793715	202253	
793715	215214	Stusik
793715	216592	Parisian Worker
793715	248157	David's Wife
793715	255028	Judge
793715	258664	Housewife
793715	259065	Stach's Mother
793715	259811	Hanka's mother
793715	262194	
793715	262509	Barbara Dubikowska
793715	275244	
793715	276553	Elvira
793715	280588	Emilia's Mother
793715	348705	
793715	359590	Kobylicha
793715	361575	Klimina
793715	363512	Boarding-house owner
793715	375466	Mikolaj' grand mother
793715	375649	Spanish Woman
793715	376535	Hostess
793716	56996	Session singer
793717	162758	
793718	12221	Florence Savitch
793718	190245	Nurse
793718	245228	Katerina
793718	267503	Sam's Mom
793719	121582	Anne-carine
793720	396017	News Anchor #2
793721	327337	Herself - Woman in street
793722	165136	
793723	34402	Angustias
793723	229281	Moren
793723	281992	Frøken Frida Ek
793723	334256	
793724	350806	
793725	134896	
793726	185809	
793727	245766	Script Supervisor
793728	212973	Girl in Alley
793729	625	Claudia
793729	5602	
793729	33218	Dr. Stein
793729	34034	Marion
793729	35009	Irena
793729	101145	
793729	148781	Maid
793729	161023	
793729	162608	Isabella Frissac
793729	269020	Dorina
793729	269025	Mumu
793729	273573	Brunhilda
793729	316377	Babel
793729	317401	
793729	325705	Eva
793729	336498	Maggy McConnor
793729	347558	
793729	353132	
793729	374638	Lachesis
793729	375978	Mona
793730	158390	Child Singer
793731	196451	
793732	32790	Mrs. Slammekin
793732	107947	
793732	254986	Street Musician
793733	289074	3 Year Old Mary
793734	298579	Rosalinda
793735	187263	Miriama
793735	362042	Rehua
793736	157324	St. Jude Student
793737	80042	
793738	7007	Sophie Grangerford
793739	68049	
793740	331639	Jenny Horwitz
793741	75820	
793742	68444	Marina Oswald
793742	195397	Young Nina
793742	266768	Ursula
793743	385564	Nyhetsoppleser (1992-)
793744	323586	Party Guest
793745	19983	
793745	39182	
793745	39902	
793745	49413	
793745	84864	
793745	213959	
793745	363241	
793746	384097	Gaynor (1990)
793747	91848	Teller
793747	138889	Mom
793748	28211	
793748	83539	
793748	148090	
793748	225018	Bechara`s Wife
793748	257417	Patricia
793748	302379	Mariana
793748	380209	Alicia
793748	383769	Marina Corran
793748	384119	(2000)
793748	387904	Mirella
793748	389780	
793748	395495	
793748	397013	Jessica Duval
793748	399145	
793748	402630	Karen
793749	384544	Herself (2002-2003)
793750	26478	
793751	404329	Host
793752	193775	Stacey Ryan
793753	118021	Swell Mob Woman
793754	405640	Ms Nickels
793755	310584	Brat #2 aka Steve
793756	337482	Dancer
793757	118949	Nurse
793758	408557	Herself - Dancer/Performer
793759	19024	Texas Choir Member
793760	116041	Majorette
793761	87188	Sandra
793761	227837	
793761	399975	
793761	402026	Olgina prijateljica (II)
793762	405209	Talita 'TP' Palele (1994-1995
793763	58672	Mrs. Blair
793763	72322	Mrs. Cross
793763	73674	Sheron Watkins
793763	83826	Mrs. Robinson
793763	141065	Policewoman
793763	141577	Customer Service Rep
793763	185765	Aunt Georgie
793763	186306	Border Guard
793763	204890	Female Lawyer 2
793763	289530	Mock Juror #3
793763	366686	Mary Collins
793763	380855	Lois' Mother
793763	408308	Sam
793764	139650	Hannah Abbott
793765	27065	Cele Nitoski
793765	40252	Frances Cranshaw
793765	88167	Lulu Dornell
793765	88662	Alexia
793765	93302	Devora
793765	114584	Sofia Panagoulis
793765	135996	Waitress
793765	177591	Bikini Girl
793765	199292	Elena
793765	211327	Kurdish Woman
793765	212799	Sheila Winters
793765	238509	Talitha
793765	245183	Michelle
793765	282320	Maria
793765	313432	Jana Akton
793765	387009	Jill
793766	148579	Additional Voices
793767	48227	Nicole
793767	111688	Lydia
793767	340177	
793767	354699	Mademoiselle Georges
793767	380836	
793768	178728	
793768	213886	
793768	225969	Hèerka mankica
793768	311598	
793769	384097	Jessica Crossley (1993)
793770	308999	Miss Skerritt
793771	16901	Social Worker
793772	56222	Herself
793773	134097	Nurse
793774	256188	Madge
793776	195685	Hotel Manageress
793776	258232	Estelle Marshall-Enright
793777	163514	Carla
793778	171178	Emily Tilson
793779	6205	
793779	81697	
793779	85273	
793779	102996	
793779	136592	
793779	136594	
793779	164118	
793779	172811	
793779	212054	
793779	213063	English Woman
793779	341234	
793779	350102	
793779	351292	
793779	375533	
793779	409008	
793780	98088	
793780	98230	
793780	100557	
793780	108640	
793780	121082	
793780	122786	
793780	166669	Yvonni 's Mother
793780	180553	
793780	232157	Woman in Alley
793780	252362	
793780	326624	
793780	370047	
793781	144132	Ludmilla
793782	51152	Elisabeth
793782	82201	
793782	157674	Waitress Ewa
793782	172416	Prostitueret
793782	185811	Diana Denver
793782	260733	Julia
793782	343319	Adam's Mistress
793782	369020	Ola Wat
793782	398874	Elzbieta Walicka (1999-2002)
793782	398897	Joanna Rawska
793783	17757	Nellie Oakley
793785	131201	Tessa
793785	162098	Leila
793785	213585	Peep Bo
793785	256623	Kate
793786	110974	School snitch
793786	217913	Shocked Mother in Park/The Vi
793786	222254	Murdered spectator
793786	256206	Brunette in park
793787	112924	Extra
793788	132773	
793789	266938	Anita
793790	185704	Dancer
793791	390710	Flukiewicz
793792	215797	Marie Le Prince
793792	229728	Miss Barrow
793792	254522	Nun/Nurse
793792	381581	Helen of Tadcaster
793792	391194	Mrs. Fairfax
793792	391206	Flora Dunn
793792	405829	Dr. Sarah Eastwood (1996)
793793	11134	
793794	252355	Soldier delivering message
793795	67600	
793795	89126	
793795	174644	Girl
793795	393472	
793795	406579	
793796	46818	Amy Phelps
793798	107947	
793799	77200	Dolly Frostrick
793799	157603	Madge Crawshaw
793799	299193	Bereaved Woman
793800	66047	Mother
793801	47223	Performer
793801	114578	
793801	144682	
793801	163623	Herself
793801	278290	Herself
793802	337183	Inger Berit
793803	128598	Anne Munroe
793803	307457	Denise Watson
793804	362472	Interviewee
793805	149730	Mrs. Halpern
793805	231904	Selida McCamon
793805	232300	Ms. Puttnam
793806	12737	Mother Superior
793806	80661	Sybil
793806	99281	Mrs. Shortland
793806	131664	Mrs. Gibson
793806	141596	Mary Ford
793806	151778	Yara
793806	218136	Waitress
793806	220276	Landlady
793806	223758	Mrs. McSwatt
793806	224659	Aunt Josephine
793806	227539	
793806	230412	Dusty
793806	363611	Sex Store Wife
793806	382458	Judy Trembath
793806	383813	
793806	385159	Mrs. Davidson
793806	389140	Shalagh Phillips (part II: 'B
793806	391070	Delie Stock
793806	391869	Mary (1995)
793806	395119	
793806	399130	Laura Dennison (1986-1987)
793806	401828	Delie Stock
793806	402197	Nola McKenzie (1983)
793806	405960	Doris Hudson (1985-86)
793806	408873	
793806	411809	Dr. Judith Napier (1980)
793807	44183	Leonie Sewell
793807	46877	Magda
793807	65763	Fairy
793807	102641	Therese Brunsvik
793807	155087	Marie
793807	190135	Natalie
793807	226868	Sandra the Nurse
793807	252983	Rebecca
793807	270436	Gloria
793807	276790	Thomasin
793807	292224	DI Catherine Tully
793807	292226	Tully
793807	304862	Midwife Elizabeth 'Beth' Kill
793807	320744	Gail Collins
793807	342880	Linda
793807	366159	Agnes Conway
793807	372315	Jo
793807	381538	Sarah Newcombe (Series 1) (20
793807	383998	Lucinda (1994)
793807	385627	Jean Duport (segments film on
793807	389876	Nannerl Mozart
793807	395544	Clare
793807	401307	Susan Harvey (Series 1-2) (19
793807	408864	Meryl
793808	128308	Mrs. Thaw
793808	177983	Miskah
793808	208394	Mrs. Murray
793808	312774	Herself
793808	321448	Mrs. Hammar
793808	347109	Miss Holloway
793809	187333	Wheelzone Warrior
793809	353294	Academy Girl
793811	384095	Storyteller
793812	96987	Nancy Parmel
793812	116931	
793812	120225	Opal Hudspeth
793812	178208	Juanita
793812	194095	Maude Barrett
793812	292178	Cassie Slater
793812	397926	Kay Addison (1961-1964)
793812	408576	Maggie (1954-1955)
793813	6735	Bitchy Receptionist
793813	15887	Ensemble Vocals
793814	400806	Alex Harding
793815	240970	Mary
793816	65099	Madeline Garrett
793816	241046	Additional Voices
793816	270933	Emilyn
793816	411354	Woman Reporter
793817	114698	Podge
793817	210387	Peggy
793817	303913	Podge
793817	329551	Podge
793817	333220	Podge
793817	348314	Podge
793817	348373	Podge
793818	75791	Nurse
793819	164641	Street singer
793820	32940	Jay's Assistant
793820	130423	Fan
793820	135927	Daisy
793820	154742	Wedding Guest
793820	252961	Melissa
793820	366061	Kayla
793821	150973	Carry Fisher
793821	154518	Alice
793821	194140	Casting Director
793821	232203	Stevie Cabot
793821	269771	Flight Attendant #1
793821	276833	
793821	295349	Lenore Franklin
793821	318797	Ellen Andrews
793822	13226	Mrs. Claxtonbury
793822	37952	Mrs. Colben
793822	38008	Mrs. Dunforth
793822	46520	Mrs. Todd
793822	46667	Mrs. Brewster
793822	57376	
793822	59341	Mrs. Combs
793822	65084	Pansy Bryan
793822	78113	Aunt Cynthia Grey
793822	78156	Miss Bird
793822	106663	
793822	106829	
793822	106875	
793822	106933	
793822	106938	
793822	123348	Mrs. Caldwell
793822	139148	Mother Kelly
793822	151079	Undetermined Role
793822	183047	John's Aunt
793822	190118	
793822	218936	Mrs. McMurray
793822	247912	Undetermined Role
793822	272873	Mrs. Clemm
793822	273305	Lady Blessington
793822	280485	
793822	297938	Mrs. Trowbridge
793822	298569	A Suffragette
793822	304027	Mrs. McLaughlin
793822	304028	Mrs. McLaughlin
793822	304444	Mrs. Allen
793822	304801	Her Mother
793822	311409	Her Mother
793822	316279	Landlady
793822	329510	Mrs. Heppell
793822	363754	Mrs. Welter
793822	364316	Rosie's mother
793822	367630	Undetermined Role
793823	61566	Miette
793824	32984	Theatre Sister
793825	275106	Kate Regan
793826	79691	Beryl
793827	115894	Mother's friend
793828	53794	Flour
793828	79858	Mrs Watson
793828	100041	Teller
793828	247453	1st Twin
793828	273610	Prostitute in Bed
793828	313828	Rock Photographer
793828	410682	Wayne's Mum
793829	104959	Evicted Mother
793829	326405	Suzybelle Corney
793829	331617	One of the brides
793829	347546	
793830	138172	Patricia
793831	330994	Annie/Clarabel
793832	187986	Girl Tourist
793833	121367	Gabe Danning
793833	140955	Susie
793833	161893	Mrs. Weiderman
793833	192045	Mrs. Kenner
793833	354863	
793834	62036	Woman Voter
793835	26515	Mistress Edith
793835	49944	Pat's Mother
793835	52681	Rachel
793835	113343	Miss Gibson
793835	130179	Doctor
793835	144577	Mrs. Katz
793835	196134	Black Bride
793835	202849	Housewife
793835	263227	Tony's Aunt
793835	348358	Belly Dancer
793835	387247	Audrey Trueman (2000-2001)
793835	387537	Hortense Bennett
793835	393938	Louise Barrett
793835	402139	Nola Cameron
793835	403373	Rhoda
793835	406040	Rose
793836	12612	Crystal
793836	322970	Jessica
793837	169136	Orpah: Zebulun's Wife
793838	273872	Female Porn Voice
793839	59504	Sarah Spencer
793839	77857	Grete
793839	321090	Chadwick's secretary
793839	366657	Lynda's Mother
793839	383719	Victoria Bourne
793839	386724	Madeline Forbes
793839	410829	Tina
793840	2369	Mrs. de Mailly
793840	10738	The Duchess
793840	32404	Miss Crawley
793840	54482	Mrs. Magruder
793840	56310	Mrs. Priscilla Kinkaid Llewel
793840	68248	Miss Vanderdoe
793840	77998	Mrs. Williams
793840	84899	Senora Perez
793840	85183	Mrs. Coggins
793840	91971	Mrs. Pampinelli
793840	128170	Mrs. Martin
793840	132016	Mrs. Beall
793840	138175	Miss Strodd
793840	140803	
793840	143623	Countess Rostova
793840	144880	Mrs. Miller
793840	146781	Mrs. Amelia Blake
793840	155837	Emily La Rue
793840	161496	
793840	177479	Nora
793840	183364	Josephine Bonney
793840	183859	Beulah Bonnell
793840	199370	Countess von Claudwig/Martha 
793840	205344	
793840	213106	Lady Barrett-Smythe
793840	231760	Miss Mabel Jellyman
793840	231778	Countess von Martini
793840	235701	Aunt Nellie
793840	239028	Laura
793840	245545	Mrs. Cliveden-Banks
793840	255835	
793840	259384	
793840	264153	Lady Gertrude Allwyn
793840	270754	Lady Kitty Melrose
793840	279442	Mrs. Wey-Smith
793840	288438	Madame Barabbas
793840	297359	Aunt J.B.
793840	299666	The Countess
793840	302887	Mrs. Blake
793840	303499	Mrs. K. Rumford
793840	308611	Mrs. Rasmussen
793840	315104	Suzanne, Nicole's Assistant a
793840	316907	Lady Catherine Champion-Chene
793840	333070	Tillie Winterbottom
793840	335474	Grand Duchess Emilie
793840	335476	Marchesa Bianca San Giovanni
793840	342929	Lillie Eckleberger
793840	343212	Agatha Stanton
793840	346864	Mrs. Hawkins
793840	355217	Mrs. Olwell
793840	362055	Mother Bright
793840	363875	Aunt Frederika
793840	364804	Auntie
793841	301771	Amanda Bach
793842	82099	Seductive Neighbor
793843	305362	Jennifer Conti
793844	20219	Diana Stockton
793844	194531	Jean
793844	249118	Therese Beauchamp
793844	260876	Shirley Claiborne
793844	269987	Glad Mason
793844	278788	Ninon
793844	348452	Joan Madison
793845	22825	Micky
793846	225690	Mrs. Jacobsen
793846	382250	Lecturer Aanensen
793847	120847	Eline
793848	21189	Arthurs tante
793848	48131	Tores mor
793848	87930	Farmer's Wife
793848	104253	Vertinnen i Strandveien 104
793848	108178	En kjerring
793848	108655	Tobine
793848	108856	Jons mor
793848	110770	En tjenestejente
793848	129138	Karen
793848	129176	Frk. Salvesen
793848	130196	Slektning av Endresen
793848	135717	Matja Krullerstugun
793848	153231	
793848	168935	Stine, Tellefs mor
793848	178754	Fru Kjos 'Journalistens forte
793848	192487	Den gamle damen
793848	234960	
793848	286639	Mor til Øyvin
793848	287378	Amanda Sivertsen, husholdersk
793848	293812	Hervør, Klasurs mor
793848	324632	Tante Pose, Blanca
793848	335504	Dame med parasoll
793848	341048	Gjartrud Skaret
793848	343716	1. Ekspeditrise
793848	344290	En gammel dame
793848	353001	Frøken Tangen
793849	172657	
793850	178703	Svenja
793850	364470	Niki Brummer
793851	155453	Customer
793852	336267	Camarera embarazada
793854	224358	Herself/Member of the Ontario
793855	331234	Shopkeeper #2
793856	131239	Woman of the town
793857	124893	Helen Bell
793857	340791	Cab Woman
793858	269692	Bulimic Cheerleader
793859	238309	Odile
793859	258081	Clerk
793860	356701	
793861	40815	Stella
793861	136176	Hedvig Charlotta
793862	108853	
793863	15057	The Saleslady
793863	71819	Anne, the teacher
793863	273020	in Paris
793864	17837	Annushka
793864	30118	
793864	33833	
793864	35055	
793864	44391	Khozyaika Korchmi
793864	60447	
793864	163895	Ludwiga Shankewicz
793864	180739	
793864	180749	
793864	188743	Tante Tatjana
793864	191582	
793864	198155	
793864	211464	Dog owner
793864	217284	
793864	217373	
793864	241942	Assistant of doctor
793864	243968	
793864	244271	Desdemona
793864	244728	
793864	265024	
793864	268137	
793864	294990	Maryana
793864	310013	
793864	314403	Dranitskaya
793864	339626	
793864	343304	
793864	356420	Hélène Bezukhova
793864	356421	Hélène Bezukhova
793864	356422	Hélène Bezukhova
793864	356424	Hélène Bezukhova
793864	357334	
793864	357627	
793864	360064	Maria
793864	370166	
793864	370596	
793864	370918	
793864	373623	
793864	374165	
793864	375114	
793865	238099	
793866	181840	
793866	238095	Hanka
793867	199408	Flora Tannenbaum
793867	373625	
793868	155472	
793868	352333	
793869	409493	Herself
793870	409493	Herself
793871	387963	Linda (1999)
793873	287568	Referee
793874	2976	
793874	13327	Helles søster
793874	116447	Marion (segment "Heimat")
793874	134946	
793874	305034	Sonia (Animal Activist #5)
793874	388307	Randi Berg (1998)
793874	389192	Marianne Mikkelsen
793874	391352	Programleder
793874	400008	Solveig Dokken Bjerke (1999-2
793874	409189	Eirin Sædberg
793875	6580	Britta Larsson/Birgitta Larso
793875	6585	Birgitta Larsonius/Woman at t
793875	142788	Clara
793875	286877	Colonel's friend
793875	303852	Aina
793876	109293	Anni
793876	225328	Eva-Lotta Lisander
793876	238802	
793877	113671	Ramiro
793878	138189	Adele
793878	223187	Agneta
793879	397779	Anna (episodes 1, 3, 4, 6)
793880	187563	Economics assistant
793881	3161	Child at the swimming school
793882	115401	Bisse
793882	148820	Girl at the Skansen
793882	272512	Patricia 'Pricken' Persson
793882	284123	Berit Borg
793882	321512	Sanna Blom
793882	354691	Ninni Tornelius
793883	190846	Guide
793884	241611	
793885	303645	Annie
793886	269348	Masha
793887	329993	Beauty Contestant #1
793888	6906	2nd Tennis Girl
793889	320207	Michael
793890	81693	Inger
793891	2250	Paramedic
793891	8023	FEMA Tech #1
793891	184981	Deputy
793891	194789	Maggie
793891	289113	Cop at Police Station
793892	362588	
793893	138524	Kona
793894	390972	
793894	405584	
793894	408296	Host
793895	39241	Nick's secretary
793895	49071	Girl #1
793895	84851	Cathey
793896	180224	
793897	77106	
793898	226187	
793898	356110	
793899	118278	Greta Gruber
793899	129805	
793899	142647	
793899	183995	
793899	348377	Nurse
793899	377426	Naked seanymph
793900	342313	
793901	362581	Roxanne
793902	60931	Biljettkassoerskan
793902	100477	Berit Södergren
793902	149242	Elisabeth's Friend
793902	172779	Moster ada
793902	172780	moster Ada (episodes 2 and 3)
793902	181846	
793902	182101	Gun
793902	190811	Svärdslukerskan
793902	252332	beach tennis woman
793902	255866	Birgitta Soling
793902	284553	Beckbyxan's wife
793902	372967	
793902	394924	Gun
793902	403288	Various roles
793902	408801	Woman (1991)
793902	411580	Eva
793903	98785	
793903	308198	Stand-in for
793904	220238	Lucy's Mother
793904	248159	Anna
793905	58509	
793906	23550	
793906	373641	
793907	179234	Anicka
793908	229195	Jányová
793908	260401	Princess Láskykvet
793908	262657	Jana
793909	358560	Christine
793910	6220	Veronika
793910	82102	Elka
793910	104831	Toni
793910	199266	Emilia Veleva
793910	229748	Svidetelkata
793910	231164	Znenata (segment Family)
793910	273094	Elena (Segment 3 Svidetelite)
793910	325032	Eleonora
793910	350252	Mila
793910	386653	Stefka, sapruga na Aleksandar
793910	409734	Dora
793910	410432	Stefka, sapruga na Aleksandar
793911	347688	Mother
793912	381918	Herself ( Evicted 2nd, 28 Day
793913	14930	Kafka's Mother
793913	39010	
793913	55556	Agatha
793913	58127	Opatovská
793913	58273	Granny
793913	82802	Mary Magdalen
793913	88409	Anna
793913	88743	Majka's mother
793913	140677	Grandmother
793913	170350	Fate
793913	171534	Piklová
793913	181357	Marenka
793913	202504	Krystofova
793913	213847	Mellorsová
793913	226464	
793913	230051	Countess
793913	231177	Woman with baby carriage
793913	258821	Kubesová
793913	262276	Neighbour
793913	305825	Sustrová
793913	312715	Eskimo interpreter
793913	342294	
793913	346780	Countess
793913	374237	
793913	375400	Servant
793913	376552	
793913	383856	Aranka
793913	396134	Frau beim Notfallservice
793913	404498	
793913	405729	Servant maid
793913	407278	Zemanová
793914	104752	Norwegian entry (14th place)
793914	104754	Norwegian entry (11th place)
793914	104757	Norwegian entry (12th place)
793914	263731	Ingegjerd
793914	406571	Dommer (judge)
793915	37899	Invitée Dîner
793916	247528	Hanina matka
793916	262254	Irena
793916	262567	Baroness Laura
793916	339328	Secretary
793917	689	
793917	10080	Jeanne
793917	27914	Agnès
793917	120506	Ada
793917	125731	Sonia
793917	149646	Mariette
793917	200941	Nine Moinard
793917	206300	Marie
793917	248717	Brigitte
793917	261205	Carola
793917	264377	Fanny
793917	355126	Laura
793917	395492	Bérengère
793917	397200	Marie-Claire à 20 ans
793918	237201	
793919	42899	
793920	301540	Young Clarice Starling
793921	350991	
793921	352955	
793922	346537	Russian Dancer
793923	430	
793923	10417	
793923	86857	
793923	198134	
793923	198148	
793923	200003	
793923	227901	
793923	278847	
793924	26206	
793924	124843	
793924	146756	Anastasia
793924	162676	
793924	199164	Baby
793924	236070	
793924	238323	
793924	289862	
793924	300543	
793924	304710	
793924	320680	
793924	375446	
793924	397392	
793925	280622	
793925	344879	
793926	192941	
793927	356542	
793928	33673	
793929	79742	Air Traffic Controller
793930	7578	Tine
793930	351798	Sophie
793930	379767	Debbie
793930	394053	(1999-)
793931	314394	
793932	134970	
793932	324424	Gaby Grant
793933	250412	
793934	50241	Helga
793934	223204	Vivi
793934	240223	Tilla
793934	248190	Tale, Laffens datter
793934	275198	Pinne, den etterlyste
793934	349776	Bene
793935	17670	Anna Levi
793935	97857	
793935	130256	Vassiliki
793935	187094	Dimitra
793935	280370	
793935	402377	
793936	28569	Evas mor
793937	93890	Irini
793937	398131	
793937	400998	Dafni Sigala
793938	127371	
793938	134705	Girl
793938	179457	Maria
793938	229958	
793938	316457	
793938	379442	
793939	7792	
793939	235532	
793939	305565	
793940	26261	Marc og Cadetts datter
793941	21379	Charlotte von Kipping
793941	117460	
793941	142504	Prof. de Witt
793941	153377	Fru Thurøe
793941	181237	Enkepastorinde Sartorius
793942	101208	La Danoise
793943	35121	Massagepige #2
793943	381894	Herself (season 2-2001)
793943	381897	Herself (season 2-2001)
793943	381914	Herself - Participant (season
793944	147018	Herself - Performer
793944	280138	Herself - Kira and the Kindre
793944	376101	Herself - Performer
793945	399936	Herself (interviewee)
793946	390931	Herself - Host
793947	59596	Kineserens pige
793948	381202	Pernille (1983-1984)
793948	387198	Pernille
793949	378692	Speaker
793949	391657	Speaker (Danish version)
793950	182626	Kirsten som 9 år
793951	95757	
793951	181736	Lise's Mother
793951	182620	Jette, Anjas mor
793951	291686	Medical Doctor
793951	304361	Emma's Mother
793951	319087	Sofie's mor
793951	382884	Miss Juliane Nielsen
793952	274934	
793953	5412	Stunning Young Woman
793954	340833	Rikke
793954	402429	Herself - Host (1998-?)
793954	411987	Herself - Host
793955	392022	Ingrid
793956	76997	
793957	57401	
793958	364983	Tereska
793959	95236	Sky
793960	16928	Mala Gretka
793961	403494	Herself
793962	231402	
793963	24027	Jana Markovicova
793963	115985	
793963	230449	
793963	248565	Renata
793963	323338	Myra
793963	335081	La petite tchèque
793963	373572	Lyda Letková
793964	110645	
793965	51077	Katrine
793966	130916	
793967	278510	
793968	382834	
793969	66267	Scandalmonger
793969	178453	Maryna
793969	262817	
793969	328935	
793969	351975	Vilemína, grandmother
793969	356092	
793969	357266	
793970	239299	Dása
793970	310227	Mája
793971	145332	Hildegard
793972	379462	Herself
793973	55852	Serena
793973	307357	Gina
793974	186384	Lady
793975	304656	Rosa
793976	366382	Mrs. Drake
793977	366895	Lena
793978	14329	
793978	63932	
793978	74176	Slovenka
793978	81483	
793978	176284	
793978	179851	Ema
793978	180275	
793978	201294	Majka Katina
793978	216096	
793978	238010	
793978	244020	Gospodja Simonovic
793978	248773	
793978	257479	
793978	315821	
793978	357327	
793979	97983	
793980	219818	
793980	262548	
793980	350975	
793981	343520	Herself (technician: Danmarks
793981	409271	Herself (technician: Danmarks
793982	99917	Augustine Wain
793982	252741	Miss Ulla Bergsröm
793982	323385	Suzanne
793982	353465	Simone Kallisto
793982	357068	Singer
793983	339276	Elsa, Bartos's wife
793984	181470	
793985	75531	Herself
793985	209709	Museum Announcer
793986	24393	
793986	41117	
793986	59328	
793986	98251	
793986	102553	
793986	116069	Else
793986	119176	Frau Hoppenstein
793986	123954	Isabella
793986	225253	Bankiersgattin
793986	225296	
793986	225644	Kommissarin
793986	226175	Frau Sileas
793986	259599	Renate
793986	281662	Frau Schüttermeyer
793986	284555	
793986	290495	
793986	325465	Jutta Nickel
793986	325501	Lisa Giese
793986	325557	Frau Geissler
793986	325602	Yvonne Dormin
793986	325723	
793986	325819	Helen Martell
793986	326033	
793986	356841	
793986	374126	
793986	377343	Frau Boos
793986	377345	Frau Boos
793986	377346	Frau Boos
793986	377347	Frau Boos
793986	377350	Frau Boos
793986	382829	Irmi Bronski
793986	384393	Ute Meischberger
793986	387395	
793986	390701	Carla
793986	390703	Henni
793986	392669	Lena Follie
793986	395372	Anneliese Starke
793986	395701	Edith Spelten
793986	404478	Gertrude
793986	404487	
793986	411163	Mrs. Keiffenheim
793987	394653	
793988	390926	Herself - Host
793989	30104	
793990	75665	Sandra
793990	342045	Tanna
793991	54953	Townsperson
793992	244787	
793993	181386	Milena
793993	191709	
793993	205972	Guillemette
793993	234447	
793993	247287	
793993	258656	
793993	316437	
793993	322725	
793993	398897	Patrycja (2003)
793994	95960	
793995	203969	Young Esther
793996	206786	
794000	104255	Inga
794001	273825	Irene
794002	49441	Reporter
794002	96910	Reporter
794003	45099	Tara
794004	27213	Bartender
794004	272602	Stewardess
794004	298279	Flight Attendant
794005	320150	Herself
794006	179180	
794006	211921	Janka, Irena's Sister-in-law
794006	344036	
794006	369347	Helena Felczerowa
794007	284043	Jewish girl
794008	133932	Trina (his daughter)
794009	173690	Teacher
794010	110315	Alistair's Victim
794011	265069	Nurse
794012	373061	
794012	409403	
794013	409403	
794014	53318	Mourner
794015	53318	Mourner
794016	109318	Anna
794016	237514	Eva
794017	409033	Natasha
794018	119019	
794019	23853	Yermolayevna
794019	27974	
794019	33818	Stepanovna
794019	63270	(segment "Vanya")
794019	63590	
794019	77482	Vlasyevna
794019	91213	
794019	98585	Mishakova
794019	120673	Grandma Anastasiya
794019	154837	Anna
794019	172719	Mother
794019	174163	
794019	180487	Grandma Lena
794019	192625	
794019	198143	
794019	224436	
794019	225928	
794019	231166	
794019	258432	
794019	259872	
794019	264983	
794019	307615	Aunt Klava
794019	341210	
794019	371352	Anfisa
794019	373738	
794019	373998	
794019	386202	
794019	390401	Old Woman
794019	398757	
794020	63586	Valya
794020	351020	
794021	375935	Zoya as a child
794022	231652	
794023	2214	Marcinowa
794023	32572	Blond Mother in Park
794023	48332	
794023	89482	
794023	119446	Cook
794023	162205	Neighbor
794023	166614	Acting Director
794023	180419	
794023	181361	
794023	231618	Grandmother
794023	231649	Marianna, the cook
794023	247351	Woman in Market
794023	251148	Gypsy Palmreader
794023	265652	
794023	275588	
794023	305185	Barbara (Demol's cook)
794023	316436	
794023	322038	
794023	341165	Ignac's Aunt (Carousel Owner)
794023	343801	
794023	358083	Gypsy Wife
794023	367105	
794023	369008	
794024	41645	
794024	41866	
794024	44864	
794024	54430	
794024	106548	
794024	118293	
794024	132912	Commercial Voice
794024	184782	Herself
794024	223326	Sandy
794024	260173	
794024	304340	Herself
794024	304343	
794024	363376	
794025	271855	Mrs. Farrar
794026	15227	
794028	72800	
794030	264727	
794032	86797	Astrid
794033	7069	Elizabeth Murphy
794034	67574	Vanessa
794034	114383	Hot chick
794034	142341	Lola the Secretary
794034	209596	Courtney
794034	224104	Charlie
794034	230332	Janet
794034	244918	Judy Adams
794034	297190	Sorority Girl
794034	299783	Tina
794034	339654	Jane
794034	384440	Cleopatra/'Cleo'
794034	387509	Lisa Foxworth (1994)
794034	389858	Sarah Webber #1 (1997-1998)
794037	340962	Wanda
794039	202805	Anya
794039	253924	Garage Sale Lady
794040	45873	NonSex
794040	83262	
794041	134075	Mrs. Underhill
794041	190247	Girl at Party
794042	1999	Andrea
794042	12293	Jocelyn
794042	29112	Cheri
794042	48564	Janey
794042	51511	Jet (Runaway)
794042	55520	Georgia Mirabeau
794042	69429	Iris Fisher
794042	82598	Veronica
794042	97644	Interview Teenager
794042	141684	Ruby Bates
794042	274069	Bookseller
794042	286298	Teresa
794042	296273	
794042	329343	Nina
794042	337098	Spider
794042	412019	Jane Cooper
794043	763	
794043	781	
794043	23961	
794043	26104	
794043	32467	
794043	34751	
794043	37432	
794043	47251	
794043	67143	
794043	93990	
794043	108649	
794043	140952	
794043	148891	
794043	163498	
794043	168072	
794043	191938	
794043	194274	
794043	229446	
794043	250651	
794043	274415	
794043	319934	
794043	349384	
794045	166871	Saloon girl
794046	294141	Debbie Sue
794048	69457	Salesgirl
794048	391690	Elysia (Driver)
794049	321285	Maggie
794050	257672	Herself
794051	17035	
794051	26877	Min Foo
794051	50444	Kelly
794051	55252	Marie
794051	61283	Mama
794051	65685	Emma Matthews
794051	67378	Halys Smith
794051	93097	Frankie
794051	94194	Jolynn
794051	111800	
794051	118367	Eva (segment "The Missing Ing
794051	119466	Catherine
794051	124340	Trudi
794051	128707	Carol Madison
794051	131414	Nadia Wickham
794051	135181	Diane Shannon
794051	135888	Joy
794051	163526	Joanna Dibble
794051	170540	Stephanie
794051	207052	Rebecca
794051	210769	
794051	214537	Kit Hoffman
794051	218760	
794051	231966	Denise Hunter
794051	241605	Jenny
794051	252924	Kathryn M. Podaras
794051	270436	Rachel Noyce
794051	276838	Virginia Rappe
794051	279185	Clarissa
794051	286516	Elaine
794051	289222	Diane Court
794051	303601	Maggie
794051	304296	Frannie
794051	309944	Miss Highrise
794051	315959	Deirdre Clark
794051	360290	Elyse
794051	361475	Gabby
794051	385148	Eleanor Grey
794051	398989	Pauline
794052	178691	Nick's Daughter
794054	367068	Background Singers
794055	338771	The Masseuse
794056	230324	Tyke Martin
794058	239629	
794058	326691	
794059	17756	Squaw
794060	2250	Motorcycle Gang Member
794060	363708	Ghost Girl
794060	364752	Bartender
794061	242724	Marsha
794061	292396	
794062	13399	
794062	13401	
794062	34785	
794062	81761	
794062	87249	
794062	96774	
794062	196036	
794062	309048	
794062	327137	
794062	348239	
794062	365643	
794063	43933	Tristen Ryler
794063	51836	Lisa
794063	113311	Rachel
794063	126747	Irene
794063	140132	Angel Wilson
794063	160888	Deborah Duchet
794063	176415	Betty Cessna
794063	193807	Vivian
794063	239588	Sarah
794064	97016	Susan
794065	88415	Herself - Participant
794066	126724	
794066	154828	Farmaceut
794067	128904	
794067	253614	
794068	327259	Anna
794069	306100	Eva
794070	51050	
794070	84223	
794070	181251	Fanynka
794070	375406	
794071	1208	Linn
794071	126546	Wenche Pettersen
794071	156272	Gudrun
794071	293649	Ingrid
794071	317298	
794071	382896	
794071	383129	Liv
794071	388761	Gravid narkoman
794071	396219	Politietterforsker, pluss fle
794071	399510	Svein's wife
794071	404786	Ingrid
794071	407093	Flere roller
794072	202828	Priest
794073	262185	
794074	309064	
794075	48368	Wedding Guest
794076	174172	Dancer
794077	133309	Herself: Vocalette
794078	241297	Gopchik
794079	283183	Dutch Model
794080	58334	
794081	83911	Jenny
794081	109622	Julie Porter
794081	194100	Tyler
794081	233935	Mourner, Graveside
794082	16621	Irena Zavatska
794082	156979	Sonja
794082	173065	Ewa
794082	238834	Maria
794082	244106	
794082	311834	Magdalena Novak
794082	322424	Mongschongschah
794083	407084	Herself (Yasur Tribe)
794084	235191	Narrator
794085	261116	Catwalk Model
794086	318791	Andrea Bettencourt
794086	401072	Jelly Otter
794087	67709	
794088	161754	Mommy Tourist
794089	312150	Carmen's friend
794090	119521	Dena Loreto
794091	193956	
794092	7065	Rose Woods
794092	117716	Young Ursula
794092	244923	Muffy
794092	328588	Jenny
794092	334356	Homeless Family Mother
794092	381802	Doreen
794092	407991	
794093	120249	
794093	196368	
794093	211240	
794093	265888	
794093	339706	
794094	144368	
794095	10933	Elizabeth
794095	41266	Eve
794095	42055	Police Receptionist
794095	59863	Josephine
794095	115925	Faye
794095	176804	Padilla
794095	193951	Choir Leader
794095	208503	Airline Steward
794095	240943	
794095	273271	Biker Chick
794095	278288	Debbie (Amy's Mom)
794095	289456	Ethel Merman
794095	303092	Franny
794095	311228	Carla Vargas
794095	323040	
794095	329342	Vet Voice
794095	331740	Capt. Carolyn Delong
794095	336765	
794095	362216	Mrs. Zimmerman
794095	386295	Norma Cutter
794095	395165	Della Fortunato
794095	408692	Barb Stephens
794096	176798	Janet
794097	113533	Cornelia
794099	313583	Fan in Lobby
794100	109241	Mary Hearn: Postmistress
794100	241699	
794101	287276	Sandy Slade
794102	131636	Katie Means
794104	151101	Senator Byington's Daughter
794105	119287	
794106	10747	Dormouse
794106	63259	Herself
794106	88922	Sarah Jane Smith
794106	88926	Sarah Jane Smith
794106	88930	Sarah-Jane Smith
794106	88933	Herself ('Sarah Jane')
794106	92300	Sarah-Jane Smith
794106	111457	
794106	135723	Lady Flimnap
794106	171691	Sarah Jane Smith
794106	171730	Herself
794106	224925	Herself
794106	244001	Herself
794106	276253	Sarah-Jane Smith
794106	294800	Herself
794106	301956	Bank Secretary
794106	315620	Herself
794106	385020	Anita Reynolds (1970)
794106	386587	Sarah Jane Smith (1974-1977)
794106	404826	
794106	407408	Josie Hall
794107	344524	Herself
794108	187970	Devojcica
794109	401834	Zuza
794110	305903	Kazalbashkata
794110	349084	Elena Bobcheva
794111	31447	Fifi
794112	225915	Girl on vacation
794113	167866	Snoopy
794113	404897	Alice Snuffleupagus (1986-)
794114	65110	Lisa
794115	316953	Lady at picnic
794116	179110	Girl with flowers
794117	92767	Barmaid
794118	398028	
794120	12612	Reporter
794121	62957	Person in the Villiage
794122	393573	Carolina
794123	13990	George's Girlfriend
794124	92729	Rat Salesperson
794125	73449	Trish
794125	125578	Girl On TV
794126	83476	Molly
794127	133343	Goodie
794128	6132	
794129	16347	Maddalena di Coigny
794129	352309	Agnes
794130	18544	Knights Fan
794131	223377	Ivan's Mother
794132	92326	
794133	97718	Elektra Quartet, Violin
794134	339942	
794135	260744	Russian girl 1
794136	179110	Hairdresser
794137	380589	Jessica
794138	238564	Samantha Williams
794139	24542	Krystyna Poradzka
794139	43134	Queen
794139	89796	Basia
794139	102173	Bona
794139	155364	
794139	216592	Konstancja Gladkowska
794139	244100	Superintendant of the Women's
794139	249815	Liza
794139	254201	Krystyna
794139	255028	Hanka
794139	280586	Dorota
794139	311837	Teresa
794139	369381	
794139	394850	
794140	165845	Mrs. Szobera
794140	349170	
794140	373548	Hanka, Jurek's fiancee
794141	17546	Grafina Vronskaya
794142	309918	Legal Secretary
794143	404695	Toshiro
794144	40350	Eve
794144	298347	Xia Xiu Yu (English language)
794145	8954	
794145	23210	Orange Queen
794145	41930	Myrtle
794145	64090	Junior Leaguer
794145	137534	Miss Lulu Quackenbush
794145	137780	Vamp
794145	147543	Girl
794145	154609	Nazi Agent
794145	183608	Norma Craig
794145	183760	
794145	195190	Louisiana belle
794145	218330	Flower Girl
794145	248838	Girl on bus with Tommy
794145	255616	Party Guest
794145	262138	Model
794145	299939	Harry's wife
794145	315322	Miss Lulu Quackenbush
794145	331087	Girl
794145	331180	Girl in tailor shop
794145	331617	Curly's dancing partner
794145	335343	The blonde
794145	372461	Performer
794145	372927	Co-Ed
794146	400544	Helen Parkin
794147	401875	Herself - Finalist (2002)
794148	61791	Clara Ratcliffe
794148	62995	Martha Cratchit
794148	186061	Gilly Clemant
794148	347006	Baker Girl #2
794149	72018	Cynthia Carmody
794149	165445	Jane Eyre
794149	316213	Margaret Wilson
794149	355204	Margery Bishop
794149	387471	Mary I
794149	401274	Anne Elliot
794149	402060	Prue Sarn
794149	402123	Elizabeth Bennet
794150	113686	
794151	260327	Girl
794151	342587	Grandpa's Au Pair
794152	313583	Question Askers at Screening
794153	208390	Girl's little sister
794154	1018	Lisa Fredericks
794154	13760	
794154	15220	Amy Watson
794154	35144	Ellie West
794154	54270	Anne McKenna
794154	55132	Lisa Torello
794154	59273	Hannah
794154	64917	Bonnie Rayburn
794154	71867	Nina
794154	133432	Jacqui Cochrane
794154	138889	Alexandra Page
794154	141686	
794154	150844	Alex Weaver
794154	187226	Billie Jean Davy
794154	194066	
794154	234067	Mary
794154	236138	Carly Bauers
794154	248572	Elsa Freedman
794154	283944	Sandy Kessler
794154	292526	Christy Wills
794154	293192	Penelope
794154	314140	Kim
794154	314697	Hattie
794154	319568	Kara/Supergirl/Linda Lee
794154	319570	Herself/Supergirl
794154	335791	Mrs. Lewis
794154	383378	Anne McKenna
794155	5830	Barbara
794155	79072	Beth Harper
794155	252856	Bob's Mom
794155	323134	Additional Voices
794156	77777	Juvenile Dancer
794157	91493	Mrs. Platypus
794158	29523	Veronica
794158	209436	Sleepy Nurse
794158	242030	Raiko
794158	360717	Wedding Coordinator
794159	347868	Arguing Woman
794160	243270	Kate Agnew
794161	269842	Dodo
794161	390523	Susi McMahon (1979-1981)
794161	409020	Susi McMahon
794163	118442	Ivanic's Daughter
794164	384513	Herself
794165	61303	Water Teen
794166	260330	Hanna Jastrun
794166	398351	Eileen Lewis
794166	401725	Mrs. Davidson
794167	346405	
794169	108526	Twig Lady
794170	208390	Girl
794171	75912	Mother Marguerite
794171	338895	Joey's Mother
794171	364692	Warden
794171	407916	Maggie Dekker (1980-1981)
794172	241467	Jackie
794173	191394	
794174	37261	Stewardess
794174	55785	Nancy
794174	62705	Leslie Todd
794174	214469	Heather Black
794174	273344	Woman in Bed
794174	318701	
794174	323484	Sherrie
794175	240315	Zombie Woman
794176	311924	Jessica Franes
794177	17016	
794178	105884	Emergency Room Nurse
794178	400416	Friend (sketches)
794179	99688	Herself
794180	53329	Mrs. Slatkin
794181	193775	Nurse Receptionist
794181	260330	Sister Jadwiga
794182	315900	
794183	70775	
794183	397614	
794184	159965	Maureen O'Hara
794185	110180	Saras Little Girl
794185	390771	Daisy/Susan Lemay #1 (1989)
794186	104357	Commercial Actor
794187	49973	Nun
794188	27160	Heather
794189	106246	
794189	279314	Jill
794189	321188	
794189	383891	Betty/Joanne
794189	411817	Madeleine Delaney
794190	69195	Felicia
794190	302949	
794191	159971	Waitress
794191	294702	Emma
794192	346121	Nun
794193	67361	Ravenswood Staff: Assistant D
794194	21289	
794194	21774	
794194	32095	
794194	40696	
794194	78054	
794194	128487	
794194	147076	Mrs. Ryan
794194	167638	Mrs. Cassidy
794194	189517	Mrs. Morton
794194	191871	
794194	202860	The New Maid
794194	204790	
794194	215293	Mrs. Marchand
794194	224728	
794194	227799	Helen Bentley
794194	251856	
794194	258731	
794194	282668	Baroness Maxine
794194	293161	
794194	317828	Parker
794194	346063	Aunt Doshey
794194	368763	Mrs. Lawson
794195	154438	Amanda
794196	37327	Jacqueline Saunders
794196	132754	Little Girl
794196	304298	Mary Ann
794197	86716	Nurse
794198	182955	Secretary in Vice
794198	329522	Ambassador Waitress
794199	193836	
794200	99288	Elizabeth
794201	28591	Petrova
794201	146619	Joanna
794201	387247	Tracy (1986-)
794202	232799	Waitress
794203	238169	Old Lady
794204	45482	Vena
794204	320707	
794205	258130	
794206	165719	Postarana gospodicna
794206	366566	
794207	133857	Ballerina
794207	219498	Nathalie Karine (Danseuse Éto
794207	236611	Ballerina
794208	147464	Pacijent u bolnici 2
794209	173388	Djevojka
794210	11384	Baby Shower Friend
794211	254485	Dancer
794212	90243	Judge in Dream Sequence
794213	208908	French Girl
794214	74156	
794215	252976	Extra
794216	34707	Mrs. Johnson
794217	210436	Melody
794217	259213	DC Fiona Muir
794217	369343	Hazel Formby
794217	379872	Senior Sister Cathy Jordan
794217	409401	Danni Ashford
794218	39252	Belle Buzzer
794218	67054	Secretary of State Barbara Ra
794218	88978	Carrie
794218	109276	
794218	117674	Susan Finley
794218	241604	Tina's Mother
794218	252481	Narrator
794218	271063	Mrs. Sager
794218	277106	Saleslady
794218	316264	Adoptive Parent #2
794218	318706	Esther Reardon
794218	340901	Bar Patron
794218	343121	Operator 975
794218	358576	Essie Welmont
794218	402773	Nurse Vera Wales (1977)
794218	404902	Dan's mother
794218	406761	Nora
794219	116356	Mrs. Dewitt's Granddaughter
794220	6912	Soap Opera Woman
794220	40046	Art Student
794221	19316	
794221	60882	
794221	84467	
794221	91194	
794221	161505	Hamid's Girl
794221	163893	Grandmother Hiaga
794221	226836	
794221	235231	
794221	235964	
794221	265572	Katya
794221	293942	Anna Vorobyova
794221	294765	Anna
794221	370940	
794221	372025	
794222	1360	
794223	34189	Herself
794224	95697	
794225	1069	Yana the Extra-Terrestrial Ki
794226	103565	
794226	230043	
794227	284844	
794228	180044	
794229	164090	
794230	265021	Mariya Veleva
794230	306116	Fileva
794230	374472	Stanka
794231	77220	Modiste
794231	306976	
794232	34285	Nurse
794233	58258	Tobacconist
794233	58265	
794233	167022	
794233	179898	Lora
794233	229558	Chambermaid
794233	258521	Naiden Dorlicka
794233	282764	Emilka
794233	284012	
794234	356089	Emilka
794235	350988	
794236	115196	Gertrud
794237	72577	Moni
794237	268005	Edith
794238	344341	
794239	171092	Royce's Family
794240	148460	Tall Thin Girl
794241	148848	Marianne
794243	399018	Contestant (2004)
794244	208994	Heather
794244	395691	Kate Lionheart
794244	397995	Twins
794245	213978	
794246	132183	Sophie
794246	199981	Lead: Jackie Gayle's Mother
794246	262093	Elderly Lady
794246	264132	Valerie Bertinelli's BART Nem
794246	299663	Singer
794246	347918	'Yarn-it-All' Employee
794247	172416	
794248	78922	Rachel
794248	142481	
794249	2287	Herself
794249	398558	Herself (Sunset Club Performe
794250	183739	Lady Lovelace
794251	239738	
794253	9038	Sally
794253	11598	
794253	12333	Marie, the maid
794253	19959	
794253	26305	Leggy lady
794253	27148	
794253	33704	Mrs. Gallagher, Patsy's mothe
794253	35248	Teenaged 'Vamp'
794253	37280	
794253	43376	Lola's Hair Stylist
794253	47470	Martha Morley
794253	47614	
794253	61977	Landlord's wife Ethel
794253	69389	Lucille
794253	72714	The Bride
794253	77966	Kitty
794253	88289	
794253	90149	
794253	105146	Lady with rings around her ey
794253	114916	Daughter
794253	116059	Daughter
794253	118272	Nancy Fairbrother
794253	128654	Harriet Mundy
794253	133634	Marcia Harper
794253	149199	The fiancée
794253	152215	Barbara Winston
794253	167302	
794253	186031	
794253	192422	Emmy Milburn
794253	193913	Princess Helga of Thermosa
794253	195280	Martha, a stenographer
794253	196570	
794253	199272	Fish Girl
794253	199358	
794253	201007	Betty
794253	211607	
794253	213193	Barbara Loring Mannering
794253	222279	The Nervous Little Girl
794253	230425	
794253	244778	Evelyn Woodforth
794253	244913	Girl in framed photo
794253	252368	Sue Leonard
794253	257995	
794253	270468	
794253	272532	
794253	272610	Flirty McFickle
794253	277528	Constance
794253	289240	His wife
794253	291110	Julia Vivian
794253	292521	Chorus Girl Who Hears 'My Cou
794253	298607	Hotel Operator
794253	300020	His wife
794253	300026	Smyrna
794253	300033	Martha Skittle
794253	304026	Dorothy
794253	311405	Eleanor Stafford
794253	319880	Vermuda
794253	323174	Corrine
794253	326126	Flora Mactavish
794253	327671	Nancy Clark
794253	327721	
794253	332109	Bride
794253	335357	Mrs. Hall
794253	337717	
794253	343128	Elsie Summerstone
794253	356290	Ruth
794253	359277	Helen
794253	360193	
794253	361651	Ril Lambeth
794253	362542	Butler
794253	365390	
794253	366619	
794253	370387	Character part unknown
794253	372853	
794254	77152	2nd Townswoman
794254	87218	Widow White
794254	185901	Woman on Subway
794254	294150	
794254	317890	Hattie Donahue
794254	329151	Beulah Balt
794254	411355	Mrs. Maxwell
794255	133949	Herself
794256	24157	
794258	237011	
794259	1056	
794259	94258	Petra
794259	357757	Silla
794260	189546	Gräfin Orginsky
794261	59672	Mrs. White
794261	160492	Edie Magnus
794261	297838	Portland National Bank Teller
794262	96985	Stock Girl
794263	316779	
794264	6132	Helena Trojanová
794264	7219	Ruzena Donátová
794264	16444	Hakenová
794264	18340	Tereza
794264	51262	Lucie Boucková
794264	66267	Scandalmonger
794264	74469	Bersecká
794264	92088	
794264	94090	Hekena Urbanová
794264	95638	
794264	96394	Mother of Slávinka
794264	111973	Markyta
794264	121715	Anna Plicová
794264	139865	
794264	147573	
794264	149978	Mrs.Dinderová
794264	165809	Mother
794264	165817	Hrabenka Oboronská
794264	167798	Jarýnová
794264	174460	Malvína
794264	181115	Filipova zena
794264	189493	Aunt Mali
794264	198374	Sýkorová
794264	198375	Sýkorová
794264	216614	Marta
794264	219455	
794264	223531	Neighbour
794264	225987	Lady from the city
794264	226423	Nelly Brunerová
794264	230483	Klecínská
794264	234454	Mrs. Fialová
794264	244257	Landlady
794264	246211	Mrs. Kriz
794264	247949	Stepánková, alias paní Morálk
794264	259204	Polanecká
794264	259819	Jadwiga Kwasinská
794264	262189	
794264	262670	Olga Penkovová
794264	266218	
794264	282749	Ema Neradová
794264	283147	
794264	306662	Herbertova matka
794264	320494	Majitelka salónu Yvette
794264	320536	Helenina matka
794264	320659	Davidová
794264	328935	Marenka Dusbabová
794264	333807	Matylda Nozicková
794264	344352	
794264	350983	Knedlhansová
794264	351291	Továrnice Stepánová
794264	373510	Fran Pani Rajska
794264	374534	Milada Dvoráková
794264	375411	Mrs. Karvisová
794266	33219	
794267	25426	
794267	174880	Schumann's Third Woman
794267	231362	Film Director's Assistant
794267	382619	Józia Jurewicz
794267	407237	Siostra G. Basen
794268	13327	Jenteband
794269	126619	Extra Talent (segment "Gett O
794270	308235	Åse
794271	130196	Maren
794271	135717	Randi, deres datter
794271	151907	Ingeborg
794271	234960	
794271	320523	Lisle Førnes
794271	341048	
794271	347003	Milja
794271	354196	Vigdis Bjørkli
794272	277541	Cynthia Sley
794273	21220	Vrouw van de burgemmester
794273	25255	Anna
794273	57757	Volkse kunsthandelaar
794273	86270	Ma
794273	90829	Novicenmeesters
794273	94924	
794273	104961	Betty
794273	112036	Elvire
794273	147242	
794273	156137	Helen Nightingale
794273	157495	Liza
794273	187893	Anna
794273	189966	Angelina Esposito
794273	210124	Suzy
794273	215068	Virginie
794273	242897	Opkoper
794273	339681	Marie
794273	374631	Moeder
794273	381592	Greta
794273	390408	Marie-José Van Raemdonck
794273	394142	Liza
794273	402261	Sofie
794273	404898	Paula (1983-)
794273	405168	Shirley Holmes
794273	408151	Martje (1997)
794273	410401	Pelagie
794273	411311	'Tante' Jos Deleu (1994-1996)
794274	35838	
794275	300807	
794275	325606	
794276	1348	Herself
794276	2010	Herself
794276	2022	Herself
794276	121506	Jean Roberts
794276	161246	Herself
794276	161311	Herself
794276	306626	Viki Lord Davidson
794276	400236	Victoria Lord Riley Carpenter
794277	11549	Mrs. Fresch
794278	42114	Singer
794278	75937	Mathilde von Weylersheim
794278	83107	
794278	126380	Operetta Singer
794278	142023	
794278	155386	Frau Welsing
794278	175301	Frau Richter
794278	182745	
794278	186934	Frau Holst
794278	203341	Mrs. Jaromir
794278	225152	Dicke Dame in Apotheke
794278	272825	
794278	290748	Frau Prof.Stieglitz
794278	347771	Singer
794278	352527	Eine Dame mit Schmuck
794278	356860	Vocal for Hilde Sessak
794279	224320	
794280	83713	House-maid
794281	958	Herself - Presenter
794281	73731	Herself
794281	112902	Herself
794281	127731	Herself
794281	146640	Herself
794281	164587	Herself
794281	187391	Herself - Hostess
794281	218538	Herself (Jefferson Airplane)
794281	237565	Jefferson Airplane singer
794281	241687	Herself
794281	276657	Herself
794281	280046	Herself
794281	368160	Herself
794282	405147	
794283	347367	Mrs. Olson
794284	54655	
794285	257733	Police Secretary #2
794286	144834	Female patient
794287	38260	Harlequin
794288	342282	
794289	8961	
794289	16465	Townswoman
794289	37470	Sister Wallace
794289	50290	Mrs. Anderson
794289	54977	Mrs. Belosi
794289	119803	French woman
794289	121819	Madame La Farge
794289	129921	
794289	142469	Mrs. O'Sullivan
794289	165004	Cleaning woman
794289	195903	Mrs. Healy
794289	202990	
794289	214098	Soprano
794289	217958	
794289	264485	Woman
794289	266099	French woman
794289	274102	
794289	315745	Concierge (segment "Equilibri
794289	358035	Betty Canova
794289	403071	The Duchess of Carson City
794290	179039	Saskia
794291	232248	Elderly woman #2
794292	323841	Swimmer
794293	87645	Selma Kern
794293	374303	Wilma
794293	406166	Loes Kroon
794293	407620	Annie
794294	198745	sollicitante II
794295	106121	Model #2
794296	117958	Sally Ho
794297	220343	
794299	225399	
794300	139360	Sakina
794300	355808	Hadjira, la concierge
794300	389224	
794301	390436	Carina
794302	299991	Khadija
794303	113547	Maid of Honor
794303	116085	Samantha Barrett
794304	252211	Music Gal
794305	346413	Herself
794306	117424	Juror
794307	364297	
794308	191424	Julie
794308	206859	
794309	238595	Irma Murchison
794309	314155	Kid
794310	244410	
794311	122113	
794311	385151	Additional Voices
794312	174779	
794313	291606	
794313	322726	Herself
794313	324606	
794314	103487	
794315	222754	Prostitute 1
794316	247091	
794317	286728	
794319	216610	
794320	33801	
794321	58334	Circus Director
794321	237700	Evelyna Brtková
794321	283977	
794321	305301	Mária
794321	317315	Kvasilova
794321	339292	Perfekta
794321	356460	Porter
794321	375479	Lyse
794322	149866	Beauty Contestant
794323	397211	Johanna Leoni (1999)
794324	49738	Barbara
794324	77263	
794324	92357	Sojka
794324	94061	
794324	126292	
794324	132161	Soja
794324	159224	Bogica
794324	172463	
794324	180666	Marija
794324	195251	
794324	207240	
794324	214235	Savka konobarica
794324	221193	
794324	227766	Pavka
794324	227937	
794324	229895	Ljubinka Bobic 'Sarka'
794324	270527	
794324	288346	
794324	288986	Lenka
794324	312626	
794324	320577	Zaga... konobarica
794324	373599	Lela ... pevacica
794324	375315	Gazdarica
794324	381239	
794324	386659	Vasiceva snaha
794324	392088	
794324	394110	Jeca
794324	395834	
794324	396547	Dzudistkinja
794324	398660	
794324	399008	
794324	402765	Molerkina koleginica
794324	409294	
794325	240126	Ada
794326	205487	
794328	7809	Reporter #1
794328	25192	Allene Hughes
794328	51934	Young Woman
794328	79716	Elsa
794328	87975	Patrice
794328	91135	Sybil
794328	129348	Geraldine Halford
794328	132233	Inmate
794328	140943	Linda
794328	141378	Joan
794328	164352	Ella
794328	177012	Mary Jo
794328	194885	Teller
794328	203186	Holly
794328	237906	
794328	318671	Ella
794328	333409	Undergraduate
794328	364732	Nicole
794328	369421	Glowacki 1
794329	238601	Linda Wolf
794329	318442	Matilda
794330	116515	Harem girl #1
794331	227539	
794332	394371	Reporter (2002-)
794333	330794	Girlfriend
794333	344151	Future Farmer of America
794333	360797	Minnow
794336	305705	Sophie
794337	231768	Specialty dancer
794338	119466	Rose Peddler
794339	54614	Black Woman
794340	389135	Tami Brinson
794341	395663	Club Singer (series 1)
794342	44833	Dancer
794343	162100	Fairy
794343	213588	Schoolgirl
794343	256626	Daughter
794344	235271	
794345	277274	
794346	139587	Herself (interviewee)
794347	57929	ABA Student
794348	3101	Linda Scudder
794348	41814	
794348	214963	Nancy Grogan
794348	219184	Emily at 19
794348	279193	Judy Birkin
794348	313855	Mother of Kid
794348	372089	Khald
794348	387309	Nicole Travis Stewart Drake C
794349	308048	Russian Death Poetry Girl
794350	382419	Katie Logan (1987-1989, 1994-
794351	118249	Nita
794352	222784	Hooker #1
794352	236950	Mandy
794353	77017	Bos Girlfriend #2
794354	161462	Woman in Park (Ann)
794355	41063	Herself
794355	52312	
794355	102768	
794355	257651	Miss May
794355	257675	Herself
794355	257843	Herself (Miss October 1992)
794355	257866	
794355	361855	Herself
794356	57654	Waiting Room Patient
794356	59151	Mrs. Delano
794356	75546	Kensington Guest
794356	136128	Kitty
794356	252445	Dr. Napier's Receptionist
794356	380391	Dr. Olivia Delaney (1980-1981
794356	390771	Lillian Raines (1983-present)
794356	404613	Patti Barron Tate Whiting McC
794356	405882	Kate Thornton Cannell (1974-1
794357	252862	Cindy
794358	207266	Village Girl
794359	313961	Kelly
794360	131373	School Girl
794360	132442	Girl
794361	304737	Bernadine
794362	184898	Waitress
794362	191945	Waitress
794362	204736	Woman Bystander
794362	367094	Fairy
794363	78095	Nanette
794364	59470	Sarah Roach
794364	81682	Miss Skinner
794364	382838	Annabelle Collins (1982-1990)
794365	147448	Hostess
794366	380021	Regular Performer
794367	380430	
794368	8362	The Widow Clarke
794369	292253	Herself (interviews)
794370	281873	His Niece
794371	375798	Audience Member #4
794372	35421	Tina
794372	47077	Big Red
794372	89169	Rebecca
794372	106115	Minnie
794372	148568	Rebecca Ashton
794372	158609	Melissa Peyser
794372	184561	Goldy
794372	284938	Fin
794372	295320	Daphne
794372	317333	Wendy
794372	364693	Big Sister
794372	365946	Dalia
794372	390666	Marcy Sternfeld/Kim Peterson
794372	398405	Zoey Miller
794372	404083	Valerie Birkhead (1997-1999)
794372	406590	Karly Stone
794373	29150	Party Guest
794374	10393	Mrs. Matthews
794374	10643	Oueenie
794374	46809	Phyllis Hopper
794374	47970	Mrs. Newen
794374	71628	Ingram's Housekeeper
794374	75611	Maud Baron
794374	90906	Blossy Waveney
794374	93173	Mrs. Aram
794374	95140	
794374	107174	Lady Wallingford
794374	130824	Mrs. Pullman
794374	131391	Effie
794374	133963	Rose de Vigne
794374	135618	Aunt Mabel
794374	141683	Quarreling Housewife
794374	150839	Mrs. Morris
794374	151743	Lena Maxwell
794374	158439	Defendant
794374	160117	Lily Prudence
794374	175799	Nonia Sande
794374	185390	Mayfield's Wife
794374	188283	Daisy Barley
794374	201419	Kate
794374	203193	Mrs. Lemming, landlady
794374	209616	Mrs Stannard
794374	217967	Elizabeth Tuter
794374	224417	Maggie Higginbotham
794374	241033	Lil
794374	263514	Landlady
794374	264996	Mavis
794374	280495	Marian Heathcote
794374	294061	Ruby
794374	294810	Mrs. Browning
794374	295298	Miss Goldie Phillips
794374	302597	Violet (The Song-Pluggers'Gir
794374	307425	Sarah Marvello
794374	312350	Barmaid
794374	313565	Gloria Dane
794374	324029	Mrs. Baker
794374	330172	Mrs. Knight
794374	331099	Vicar's Wife
794374	332058	Woman Director
794374	337083	Florist
794374	338294	Sadie Keane
794374	345970	Sal
794374	356308	Fair Owner's Wife
794374	360042	Mrs. Gibson
794374	360542	Nellie Baden, inmate
794374	368963	Miss Crystal
794374	372862	Mrs. Withers
794375	251748	
794378	21198	Gomer Ward Nurse
794378	73770	Clerk #1
794379	6994	Sorority Girl
794379	14490	Llanie
794379	50804	Sophie
794379	92847	Sherry Schnell
794379	93054	Shelley
794379	168292	Waitress
794379	204049	Taylor
794379	230107	Angel
794379	251040	Hocker
794379	267088	Janie
794379	328130	Sin Sister #2
794379	359904	Tracey
794380	374789	
794381	16517	Herself
794382	258605	
794383	398902	
794383	404218	
794384	200112	Soloist at Bath Concert
794384	364454	
794385	49133	Zhena Lenskogo
794385	236066	
794386	289372	Popcorn manager
794387	126276	Girl at Canteen
794388	157222	Amy
794389	247160	Goldwyn Girl
794390	53218	
794390	61306	
794390	247160	Goldwyn Girl
794391	162439	Elderly Woman
794392	366139	
794393	30497	Ania
794393	181840	Kindergarten Manager
794393	197509	Secretary
794393	255450	Director's Secretary
794393	284077	Pvt. Bozena Szymanek
794393	305434	Party Guest
794394	410838	Katja van der Linden (2000-20
794395	217420	Mrs. Kuzniar
794396	234450	
794397	4804	Lucienne Renard
794398	100952	Prostitute
794398	315585	Hotel Receptionist
794398	381661	Hill's Angel (1984)
794399	2124	Nurse
794399	328272	Woman with Cart
794399	367454	Geeky Girl
794400	223518	Herself
794400	391481	Host (February 2001-)
794401	86019	Simone
794402	116774	Maggie
794402	139706	Vivienne
794402	232074	Lois
794402	315925	Nancy Leah
794402	342618	Melanie Sims
794403	7811	April
794403	323226	Karen
794404	280588	Singer
794405	176920	Anna Sheppard
794406	71287	American Woman
794407	7519	
794407	281834	Old Lady
794407	381694	
794408	51680	
794408	183748	Axinija
794408	284010	
794410	21774	
794410	128487	
794410	163237	
794410	204790	
794410	347754	
794411	115230	
794412	215426	Paul
794413	7420	Party Goer
794414	235936	Rachel
794415	213334	
794415	275625	
794416	148200	Brook
794416	148203	Brooke McCallister
794416	405493	Denise (1994-1995)
794416	408584	Ruth Ann Torkelson
794417	82766	Herself
794418	390163	Shirley Manning
794419	89307	Dr. Peralta
794419	315701	I hate myself woman
794420	181336	
794421	67577	Lady at auction
794421	71319	Helen Hipmeyer (segment "Spac
794421	183357	Woman No. 2
794421	192380	Ginnie Markel
794421	279313	Matron
794421	317264	Madelyn Doyle
794421	323442	Bill's Mom
794421	323568	Brenda
794423	167243	
794424	311517	A.J. Norton/Amelia Jean
794425	47548	
794425	397040	Molly
794426	14624	Andy's Girl
794426	324013	Young Angela
794427	125624	
794428	229913	Nastya
794429	87611	Eva
794430	23559	
794430	39213	Joanna
794430	68693	Alice, Girl Killed by Wolves
794430	158755	Sara
794430	292593	Cordelia
794430	358744	Hannah Moritz
794430	366744	
794430	381587	Zouzou
794430	387580	Mabel
794430	392461	Young Lily
794430	396341	
794430	396820	Caterina
794430	397752	Maggie Tulliver
794431	184341	Vermonica
794432	299396	Succubus
794433	94539	Party Barfer
794434	2161	Waitress #2
794434	224088	Florist
794435	120237	Attorney
794436	34549	
794436	89782	
794436	261413	
794436	320680	
794436	349287	
794436	356541	
794436	373622	
794437	84085	La femme dans la cabine
794437	116476	
794438	200044	
794439	1888	Lepotica
794440	117476	Nurse
794441	35879	Martincová
794441	88144	Spudilová
794441	172905	Jarmila
794441	174937	
794441	175029	Mother of Honzik
794441	181644	Kadlecová
794441	223579	Herself
794441	224959	Tomsovská
794441	247529	Bambulka
794441	249382	Chocholová
794441	259905	
794441	266454	Zdena Polanová
794441	306377	Pavlova teta
794441	326292	Hanýsková
794441	327763	Alena Hronová
794441	357922	Ondrej's mother
794441	374531	Blazena
794441	378525	Hanka
794441	411960	
794442	386921	Young Goku (Blue Water Dub)
794442	386923	Goku (Blue Water Dub)
794442	394419	Sai Sai-Ci
794443	366803	Gorgeous girl #1
794445	2019	News Reporter
794445	93897	Bar Patron
794446	87397	Drunk American Girl
794447	375419	
794448	1727	Herself
794448	21015	Herself
794448	87986	Herself
794450	61647	Carnival Teenager
794451	273756	
794452	40594	Eveline
794452	387074	Sylvia Sommer
794453	381013	Aya
794453	381785	Sakura
794453	386921	Additional Voices
794453	386923	Additional Voices (Blue Water
794453	393999	(English version)
794453	394419	Bunny/Announcer at championsh
794453	396491	Miki Yumeno, Alarm Clock
794453	404061	Lime
794453	404768	Meifon Li
794453	404771	Spoor
794453	404772	Spoor
794453	412029	Reece
794454	381905	Herself
794454	384637	
794454	390410	Maria Weevers (1998-1999)
794455	64676	Betje
794456	312434	Tanya
794457	132909	Pedestrian
794458	234435	Transformer-Mage Lena
794459	3354	Skarlet Kovácová
794459	16191	Hilda
794459	147234	Ruzena Korenová
794459	181339	Katarína
794459	237966	Prof. Hartlová
794459	259932	Eva Riecanová
794459	262199	Nellie Marchová
794459	263422	Ester
794459	282757	
794459	379877	
794459	394751	Tereza Cerniaková
794460	320659	
794461	225677	Ung pige
794462	259212	Mère Simon
794463	326834	Topsy Turvy
794464	199871	Prospector's girlfriend
794465	185958	Voice
794466	249677	Brigitte
794468	41883	Anna
794468	173736	
794469	82200	
794469	374074	
794470	36418	Bogusia
794470	137330	Young girl
794470	374469	Rózia
794470	404216	Kinga Gawor
794472	44433	TV Newscaster
794473	16686	Rachel
794474	348379	Lady in pub
794475	84935	Sister Hannah
794476	346271	Skye
794477	256315	
794478	88867	Players Ball Dancer
794478	130311	Dancer
794478	245468	Ballet teacher
794479	79072	Marsha
794480	196147	Maid
794481	190171	TV reporter
794481	215507	Starbucks Cop
794481	217375	Hattie Brown
794482	92695	Mina
794483	262589	St. Matthew's Choir & Band Me
794484	260215	Mrs. Schultz
794484	314057	Mrs. Swell
794485	359323	Herself
794486	155013	Girl/Jack's movie
794487	143659	Herself
794487	198443	Herself
794488	292643	Mrs. Swanley
794489	44498	Laughing Girl
794490	78989	
794490	95908	Dorothy
794490	132442	Zoey
794492	66083	Doyle
794492	142414	Doyle
794492	326143	Lowisa
794493	41319	
794494	355924	Vivienne's Mother
794495	115849	Bride
794495	203133	Eskimo
794495	210428	Molly Langley
794495	273809	Mildred Newton
794495	304634	Mary Lou Smith
794496	386921	Videl
794497	196128	Herself
794497	380021	Regular Performer
794498	114601	
794499	14137	Frankie
794499	59554	
794499	93250	Elaine
794499	107283	Doreen
794499	109666	Sally Wilson
794499	114601	Woman in Deli
794499	118468	Mother
794499	185459	Alice
794499	203358	TM Administrator
794499	241347	Candy
794499	259013	Baby Doe
794499	267345	Theresa
794499	292219	
794499	293828	Reporter
794499	304761	Dr. Nero
794499	329309	Jackie
794499	340542	Nun
794499	358438	Casting director's voice
794499	365396	Bertha
794499	368592	Slave Girl #2
794499	372629	Connie
794499	373990	Mrs. Springboro
794499	406654	
794500	111928	Chava
794500	145175	Lisa
794500	184974	Martha Weiss Cheung
794500	194315	Myra
794501	216127	Mitch's Singing Students
794502	189236	Dottie
794504	46532	David's Mother
794504	243766	Sister Temple
794504	380391	Clara Hudson #2 (1995)
794504	384124	Mrs. Hackett
794505	5009	Christine
794505	38896	Alison
794505	49493	Terry
794505	80966	Marie
794505	93789	Caroline Hall
794505	160571	Detective Sgt. Barbara Havers
794505	160572	Det. Sgt. Barbara Havers
794505	160573	Det. Sgt. Barbara Havers
794505	160574	DC Barbara Havers
794505	160575	Det. Sgt. Barbara Havers
794505	160576	Detective Sgt. Barbara Havers
794505	160577	Barbara Havers
794505	160578	Detective Constable Barbara H
794505	160579	Detective Sgt. Barbara Havers
794505	160580	Detective Sgt. Barbara Havers
794505	160581	Detective Sgt. Barbara Havers
794505	160582	Det. Sgt. Barbara Havers
794505	160583	Detective Sgt. Barbara Havers
794505	233510	Linda
794505	390152	Cara Rossi
794505	406921	Carol Simpson
794506	239933	Holly
794508	169944	Lakwanda
794509	192678	Kate
794510	81767	Reporter
794510	92812	Adara
794510	182973	Anchorwoman
794510	220617	Mother
794510	226938	Defense Attorney
794510	234226	Barb
794510	242023	Laura
794511	303882	Janey
794512	185073	Miss Banahan
794513	34116	Hill's Angel
794513	34911	
794513	159175	Dancer
794513	381661	Hill's Angel (1980-1981)
794514	187226	Putter's mother
794516	409188	Weekend news anchor
794517	127273	Amy
794517	185648	Heidi Katz
794517	299723	Lily Hitchcock
794517	355212	Aide in Cochran's Office
794518	79450	Woman Being Baptised
794519	117874	Mrs. Blue, Bubba's Mother
794520	157576	Pedicurist
794521	324546	TV reporter #2
794522	43935	Young Mary
794524	34946	
794524	36928	
794524	248484	
794524	258285	
794525	365970	
794526	10555	Mae
794526	75562	Nano
794526	183879	Tea Lady
794526	381549	Nano
794526	381871	Nano
794527	222149	
794528	16078	Alma Torrington
794528	20625	Extra
794528	48704	Housewife
794528	129921	
794528	131472	Streetwalker
794528	142422	Flo
794528	230693	Amazon
794528	250811	Pedicurist
794528	278481	
794528	285782	Townswoman
794529	11651	
794529	20625	Extra
794529	27112	Heavy Woman
794529	105204	Wardrobe Woman
794529	118719	Fat Woman
794529	178976	Jury member
794529	183654	Woman
794529	207861	Plump Woman
794529	230693	
794529	250811	Woman in phone booth
794529	255694	Helga
794529	263117	Fat Woman
794529	293835	Fat Woman
794529	308079	Women's Quartette
794529	316462	Person in Theatre
794529	364357	Mary Statler
794530	100343	Mémia
794531	45134	Fille Vittorio 3
794532	76083	
794533	127351	Jenny
794533	165958	Superstar #2
794534	145058	Celia
794535	1681	Herself - Presenter
794535	3317	Queenie
794535	7888	Naomi Feldman
794535	31156	Tabby
794535	40678	Liz Culpepper
794535	47797	Daly Roberts (Series Regular)
794535	50639	Kayleigh Miller
794535	53133	Jenny (segment "The Hook")
794535	57163	Grace Hargrove/Roxanne
794535	64420	
794535	143051	Dee
794535	144987	Molly
794535	151631	Dot Bryant
794535	161060	Lynn Linden
794535	185709	Jeananne
794535	201511	Herself
794535	201690	Herself
794535	245507	Jane Weston
794535	272602	Tracy Faucet
794535	279460	Beth Wagner
794535	291085	Stacy (Hippie #1)
794535	293011	Girl #1
794535	313820	Cadet Lumbreiser
794535	313825	Holly
794535	313830	Tracey Beck
794535	316171	Angela Stravelli
794535	350700	Jules Harbour
794535	365947	Nurse
794535	378627	Christie Shales
794535	402294	Herself
794536	222687	Extra
794537	154854	Yelling Nun
794537	158361	Secretary
794537	365644	Female Honeymooner
794538	14077	Doreen
794539	119508	Vito's Girl Friend
794540	23908	Stella
794540	26751	Charlie
794540	40175	Cathy
794540	137566	Fiona Calwell
794540	196157	
794540	314829	Judy
794540	341991	Kyra
794540	361260	Krystal
794540	389045	Lady Luck (#1) (1995-2002)
794540	391869	Lucinda Croft (1991-1993)
794540	410643	Det Snr Cst Alex St. Claire (
794541	346271	Janet
794542	27140	Evelyn Gibson
794542	162451	Thelma
794542	294060	
794542	395667	Winifred 'W.' Snyder (1997-19
794543	232239	Mama
794544	191516	Health department head
794545	85953	Piano Player
794546	241061	Helen Hobart (1938 version)
794547	2787	Herself
794547	23977	Audrey Walker
794547	26427	Narrator
794547	28710	Stella
794547	32681	Woman Bather
794547	45781	Mrs. Dena Dittmeyer
794547	47117	Kate Sanderson
794547	57492	Herself
794547	59109	Elaine Marshall
794547	83805	Herself
794547	97553	Wendy the Waitress
794547	112301	Valerie Thomas
794547	113857	Sister Maria
794547	115127	Doris
794547	117654	Loreli Daly
794547	124110	Carol
794547	135623	Deborah Sloane
794547	148570	Kate
794547	154271	Mrs. Hooten
794547	171207	Pally Thompson
794547	176410	Deirdre Lefever
794547	176833	Candice DeLong
794547	177074	Dr. Possible (Mom)
794547	193280	Cathy
794547	203473	Lorraine Sheldon
794547	216127	Patricia Riley
794547	238228	Holly
794547	245728	Aileen Wuornos
794547	254967	Marlene Dietrich
794547	257049	
794547	265605	Dr. Criswell
794547	266084	Ella
794547	289259	
794547	293021	Karen
794547	302750	Virge
794547	306220	Laura Brandston
794547	316223	Rose
794547	321213	Stella Kay
794547	346408	Dana Colby
794547	370668	Margaret Thomas
794547	370893	Ora Baxter
794547	383781	Kate Pressman
794547	386138	Charlene Frazier Stillfield (
794547	389275	Lorna/Lana Anne Lynley (2000-
794547	391550	Elinore 'Elie' Walker
794547	392734	Marlene Pellet
794547	394460	Dr. Possible (Mom)
794547	397174	
794547	399935	Pickles Oblong
794547	403111	Joan Reynolds
794547	404409	Sally Brewton
794547	406816	Chelsea Stevens
794547	407655	Shari (1983)
794548	409400	
794549	321306	Barmaid
794551	235676	Mrs. Jackson
794552	27559	Cleaning Woman
794552	57398	Customer
794552	58493	Old Lady
794552	75881	Helen
794552	94742	Giroc
794552	98912	Lady in Ticket Line
794552	99081	Distraught Woman
794552	106156	Mrs. Aston
794552	116251	
794552	118466	Preston's Housekeeper
794552	133592	Mrs. Wopsle
794552	183239	Bank Secretary
794552	187157	Cook
794552	187861	Mrs. Kowalski
794552	220638	Mrs. Cleat
794552	237465	
794552	256257	Mrs. Japonica
794552	270977	Bruce's mother
794552	283313	Landlady
794552	308917	Emma
794552	314507	Mrs. Hobbs
794552	327279	Mrs. Marlow
794552	328751	Housekeeper
794552	337477	Gentlewoman
794552	362205	Hilda
794552	365560	Miss Warmold
794552	381387	Kitty Tracey
794552	383511	Mrs. Gotobed
794552	387533	Lettuce Noble
794552	399383	Miss La Creevy
794552	403105	(1973)
794552	403193	Aunt Mable (1983-1984)
794552	406936	Mrs. Truforth
794552	409666	Maude Roberts, Lady Bellamy's
794553	40148	Cherie
794553	57718	Celia Carmichael
794553	66049	Linda Crealy
794553	66385	DMZ
794553	67833	Luen
794553	90859	Lizzie
794553	97223	Tessa
794553	100192	Little Girl
794553	219206	Cherry
794553	289217	Lynne
794553	335150	Rebecca
794553	354897	Scooter
794553	366262	Jennie Nelson
794553	385159	Shirley Murphy
794553	387357	
794553	387491	Eleanor 'Elly' Lockett
794553	391248	Melanie Black (1996-1997)
794553	405165	Buster
794553	406192	Sadie Tree
794553	410643	Cst Donna Janevski (2000-2001
794553	411245	Jennie Nelson (episode 6: Top
794554	119508	Lady in Disco #2
794555	28455	Nadine
794555	77219	Sophie Caine
794555	79557	Clara Copperfield
794555	80839	Katie Harcourt
794555	195311	Jean Hartley
794555	310416	Carol Bolton
794555	321286	Lisa Craig
794555	369186	Catherine Linton
794555	380798	Virginia Braithwaite
794555	382239	Zoe Bliss
794555	395879	Stella
794555	405829	Lucy Fitzpatrick (1997)
794555	411393	Rachel Hobbs
794557	326834	Go-Go Drive-In Chick #1
794558	267426	Rose
794559	193606	Woman Diner
794560	44844	Maid
794561	314217	
794562	30170	Ilse
794562	38827	Husholdersken Oline
794562	80101	Lis
794562	116305	Karin
794562	127579	Lis Frank
794562	136619	Stuepigen Doris
794562	154235	Husassistenten Astrid
794562	216285	Fru Smith
794562	257415	
794562	266160	Grethe
794562	331994	Wulfdine Henriksen
794562	336058	Syerske
794563	320617	
794564	214293	Zita
794565	186036	Maydala
794565	304295	Waitress
794567	407759	Laa-Laa
794568	41934	Officer's wife
794568	252894	Woman #2
794569	95935	
794570	32861	
794571	76670	Scholliers Child #2
794572	76670	Scholliers Child #3
794573	392149	Smudge
794574	313474	Yoda Puppeteer
794574	411765	Frankie
794575	129776	Sales Assistant
794575	327591	Breatharian
794575	401973	Audult Becky
794576	183670	
794576	193622	London Town Dozen & One Girl
794577	273333	Girl on Beach
794578	6409	Etiennette
794578	112174	
794578	142677	Vrouw van de baron
794578	382403	Mevrouw Cauville
794578	385554	Louise Bongaerts
794578	394912	Heks Roerei
794578	405350	Nien
794579	281447	Becky
794579	313329	Burgerworld Girl
794580	174453	
794581	62	
794581	51260	Horáková
794581	95606	
794581	149624	Anna's mother
794581	149684	Lura Hanusová
794581	165817	Poldi
794581	189497	
794581	223572	
794581	229560	Jirina
794581	262817	
794581	268228	Klára
794581	315811	
794581	323639	Dr. Lída Petrusová
794581	343453	
794581	351374	
794581	374237	Jana Sterbová
794582	88815	Ania Vasilev
794582	326252	Elya
794582	352868	
794582	374721	
794583	176663	
794583	182134	
794583	198150	
794583	209284	Zosya Sinitskaya
794583	246343	Zoya Klimt
794583	259910	
794583	315934	
794583	335497	Anzhela, a singer
794583	373704	
794583	374775	
794583	374778	Nynon
794583	381167	Sonya
794584	122798	
794585	376216	Vera, a screen star
794586	259066	Rosa Stein
794587	382864	Baby Aliesje
794588	218363	Anna Thorpe
794589	258698	Madina
794589	276224	Ayna
794590	47094	Mama
794590	273003	Carmen
794590	353370	Innkeeper
794591	48160	Vera
794591	93620	Abdes
794591	93627	Hoer 3
794591	217057	Boerin
794591	249735	De tweeling
794591	388157	Anne de Crébillon
794591	394730	Host
794591	397654	Renée de spionne
794592	70947	Charlotte
794592	82636	Senta
794592	111017	Victorine
794594	294570	French Girl
794595	174170	
794596	304441	
794597	409366	
794598	238871	Gal/Chloe
794599	29350	
794599	394794	Madame Hulpiau (?-)
794599	397518	Rita Seguurs
794599	399658	
794599	401670	Mevrouw Seraphine Sap
794599	409887	
794599	411116	
794600	88729	
794601	199943	Une musicienne
794601	200930	Patronne hôtel
794601	336554	Mrs. Kant
794602	188467	
794603	99682	Herself
794604	405539	Thea/Agnes (2001)
794605	37769	Consultant
794605	122470	Committee member, People's Pa
794605	340264	Third lady
794605	395047	Yvonne (präst)
794605	398852	Bankkassörstkan
794606	86071	The Minister's Wife
794606	88825	Mrs. Linde
794606	115883	Inga
794606	125574	The daughter
794606	136450	
794606	184921	Maj
794606	209369	Asta
794606	238802	Ann-Marie Andersson
794606	349128	Danjel's wife
794607	349130	Diva
794608	354477	
794609	65001	
794610	408309	Herself - Member of questioni
794611	329656	La Charmeuse
794612	62426	
794612	63892	
794612	95955	
794612	134913	
794612	174880	Prostitute Lili
794612	179708	
794612	236160	
794612	290070	German girl
794612	304667	Zuzia
794612	322166	Anielka
794612	354914	Philipe's Lover
794612	364975	
794612	381279	Zosia
794612	385479	
794612	387413	
794612	399959	
794612	406880	
794612	407237	Monika
794612	411106	Kaska
794613	340901	Daughter
794614	192527	Party Goer
794615	225912	
794616	352405	Woman in Nightmare
794617	90525	Tango dancer
794619	31045	Tracey
794619	62571	Karin
794619	88120	Eva (lead)
794619	93962	Alana Payne
794619	162241	Additional voices
794619	165023	Coco Hearts
794619	221480	Ulala (lead)
794619	310101	Ulala
794619	310102	Ulala
794620	377278	
794622	345327	
794623	201831	Herself
794624	196574	Susan
794625	1849	Meggy's girlfriend
794625	241360	Patti/Pamela
794625	298774	
794625	305388	
794626	6725	Herself
794626	11347	
794626	16986	
794626	21915	
794626	21941	
794626	32539	
794626	50581	
794626	59189	
794626	59674	
794626	66699	
794626	67354	Chinese Nymphette From 70s
794626	81370	
794626	147900	Woman
794626	228029	Herself
794626	228052	
794626	228084	Herself
794626	233711	
794626	295850	
794626	296706	
794626	300524	
794626	306920	
794626	310374	
794626	313363	
794626	323084	
794626	330411	
794627	219063	
794627	228032	
794628	135549	Phyllis
794629	200925	
794630	228164	Jenna
794631	292171	
794633	3687	Herself
794634	283510	Information Lady
794635	265742	Olympic Reporter #3
794636	33742	General Store Helper
794636	254645	Younger Sarah Beckett
794637	259269	Bernadette Washington
794638	79049	Vampire
794639	1617	Herself
794639	74297	Marissa
794639	127297	Herself
794639	128591	Allysa
794639	154034	Receptionist
794639	185648	Nicky's Wife/Widow
794639	224076	
794639	227492	Jennifer
794639	241605	Hotel Receptionist
794639	245541	Emma Cross
794639	333037	Katherine
794639	333394	Tyler Jeffers
794639	384432	Host 2004-?
794639	385612	Becky
794639	388088	Herself - East Coast Correspo
794639	389858	Chloe Morgan Ashton (1999-200
794639	390774	
794640	373295	Mom
794641	104774	Lithuanian entry (20th place)
794642	80488	The Cook
794643	59159	Host - UK
794643	105016	Audience Member/Herself
794643	125475	Herself
794643	232018	Herself (Mockstars contestant
794643	308559	Herself - Presenter
794643	362730	
794643	383892	Presenter (1997-2003)
794643	391778	Presenter
794643	399045	Presenter
794643	405698	Host
794643	406399	Herself
794643	410948	Hostess (1988-1996)
794644	291935	Sue Binkowski
794645	182998	Office Manager
794646	261529	Caroline
794647	86593	
794648	42808	The Mad Russian
794649	172824	
794650	85622	Svetlana's mother
794650	241008	Fenya
794651	60730	Odarka
794651	85209	
794651	163891	Lyubov Timofeyevna Koroleyevn
794651	307311	Lubya Timofeyevna Brovkina
794651	374431	
794652	93576	Sonya
794652	147754	Russian woman
794652	168126	Mme. Langlars
794652	194831	Slave Girl
794652	207287	Frieda Diaz
794652	235212	Noble Lady
794652	241110	Traveler in Warsaw
794652	241595	Bit
794652	249068	
794652	282688	Lady in Waiting
794652	289585	Catherine's lady-in-waiting
794652	297921	Joan's Maid
794652	308604	Woman at Ruins
794652	321794	Russian
794653	89803	
794654	313866	
794655	255498	English Woman
794656	299426	
794656	356595	Maremyana
794657	33801	
794657	43200	
794657	76481	
794657	83161	
794657	88729	The Informer
794657	89818	
794657	90542	Vera
794657	95578	
794657	95749	
794657	104434	
794657	154605	
794657	162747	Herself
794657	174163	
794657	180739	
794657	219453	
794657	220691	Shura
794657	227985	
794657	230110	Herself
794657	237682	
794657	248874	Varya Burmin
794657	252106	
794657	262659	
794657	267899	
794657	282980	
794657	293690	
794657	294672	
794657	297560	
794657	311579	
794657	312537	
794657	321933	Ilga, Yanis' Wife
794657	333782	
794657	339298	
794657	340234	
794657	343812	
794657	352663	
794657	371001	
794657	373560	
794657	374769	Matchmaker
794657	386655	
794658	258796	Nastya
794659	155963	Dina
794660	62276	Strawberry
794660	356120	
794661	392551	
794662	76484	
794662	91488	
794662	95933	
794662	103768	
794662	181243	
794662	234437	
794662	237960	
794662	289864	
794662	304710	
794663	84704	
794664	235231	
794665	226469	Nadezhda
794666	49127	
794666	63586	Zina Begunkova
794666	77270	
794666	77481	
794666	89807	
794666	95693	
794666	179588	
794666	179658	Aneli
794666	198127	
794666	223213	Mme. Wieck
794666	256725	
794666	265914	
794666	282824	
794666	283775	Widow
794666	284479	
794666	307704	
794666	312921	Abigail Churchill
794666	332998	
794666	341195	Dashkova
794666	349217	Hermine Danglars
794666	357248	Tamara
794666	357661	
794666	401686	Magda
794666	411981	
794667	304170	
794668	394620	
794669	89795	
794670	116790	Party guest
794670	344348	Dashterya im kato malka
794671	304254	
794671	307621	
794672	117581	Claret
794672	234435	
794672	356418	Katka
794672	394750	
794673	87953	Manetschka/Mary
794673	124856	
794673	258135	
794673	280825	
794674	38761	Krasikova
794674	91056	
794674	155771	
794674	163041	
794674	174491	
794674	174980	
794674	180743	
794674	227900	
794675	301915	Silva
794675	356420	
794676	346413	Helen
794677	92182	
794678	72862	Becky Carter
794679	58170	Female Slave
794680	99222	Leonie Eekhof
794681	105265	Mom
794681	138841	Publicist
794681	185201	Helen
794682	229298	Sekretær
794683	33960	
794683	217061	Gerrie
794683	314851	
794683	314854	
794683	352215	
794683	394639	
794683	394840	Anne
794684	411101	Panellid
794685	388051	Herself (2001)
794686	197318	Maid
794687	99222	Ange Eekhof
794688	35076	
794688	180900	Roos
794689	204766	Meisje
794689	312056	Saskia
794689	352677	Joyce
794690	100490	
794690	344244	Moeder Coen
794691	244618	Chica/Actriz
794692	127241	
794692	147298	
794692	156139	Secretaresse
794692	397306	Irene Verdonk (1988-1989)
794693	48199	Charlotte
794693	301423	Jarlefrua
794694	38086	Waitress
794694	270912	Jane
794695	205542	
794696	257094	
794697	253887	
794698	179675	Old woman
794699	294829	Mulatto Nurse
794700	289024	Ballet Dancer
794701	314457	Stephen's Mother
794702	246906	
794703	218878	Carla Walker
794704	71721	
794704	214936	Lorraine
794704	335660	First Stenographer
794705	211528	The Mermaid
794705	338834	Adele
794706	291449	Pageant Girl
794707	105492	Student
794707	148285	Emma
794707	244421	Bridesmaid Ginger
794707	264427	
794707	278437	Babysitter
794707	406279	Ashley
794708	92767	Dancer
794709	120148	Leona Threadgoode
794709	126039	Ursula's Friend
794709	188135	Kim
794709	268201	Marti
794709	273473	Janine
794709	273555	Becky
794710	368110	Girl with Roland
794711	400236	Jessica Lynn Buchanan (#2) (1
794712	358860	Nurse
794713	35782	Young Mary
794713	162516	Maddy
794714	7036	Olivia Langdon Clemens
794714	7512	Bridesmaid
794714	8183	Louisa van der Luyden
794714	12784	Herself - the Bride
794714	18552	Lon Kyng
794714	32010	Allie Walker
794714	47363	Herself
794714	50124	Herself
794714	56264	Sarah Blue
794714	57375	Liz Trent
794714	69499	Evelyn Turner
794714	69850	Florence Creighton
794714	81117	Honey Niven
794714	81605	Evelyn Blake
794714	87990	Mrs. Linda Fisher
794714	92007	Nan Curtiss
794714	93558	Mrs. Iris Rylander
794714	104334	Sue Hoskins
794714	115483	Young Woman Saying 'I Wish Sh
794714	125857	Victoria Ware
794714	133727	Waitress
794714	143588	Blonde
794714	143605	Winifred Stanley
794714	147663	Herself
794714	149635	Elizabeth
794714	161561	
794714	164662	Deidre Milford Granger
794714	183848	Girl at Wedding
794714	191848	Mrs. Hallet
794714	201640	Herself
794714	205316	Tessa Menard
794714	218471	Maria Singleton
794714	231768	Linda Lee Porter
794714	232017	Herself
794714	238505	Nora Nesbitt
794714	241468	Olivia Pearce
794714	241561	Cecelia Henry
794714	277447	Christine Gilbert
794714	286895	Jeanne Starr
794714	297889	Phone Gossip #4
794714	302669	Miss Oswald, North's Secretar
794714	304812	Glenda Esmond
794714	305606	Elinor Bentley
794714	306550	Herself
794714	309845	Rouge de Lisle
794714	311522	Kay Garven
794714	312981	Rory Teller
794714	314226	Helen Powers
794714	329329	Herself
794714	330711	Nita Hollaway
794714	331619	Actress
794714	336788	Belle
794714	340877	Gloria
794714	342008	Amanda Waycross
794714	343022	Cecily Latham
794714	346229	Christine Miller
794714	352751	
794714	363599	Laurie Durant
794714	367535	Marian Halcombe
794714	369362	Mary Williams
794714	372705	Carol Wharton
794714	385594	Lady Jessica Farlow Montford 
794714	392102	Lily Garrison Shannon
794715	365454	Allison
794716	126619	Extra Talent (segment "Gett O
794717	223908	
794718	146148	Mrs. Wright
794719	7961	Cousin Emily
794719	16017	
794719	141010	
794719	146148	Mrs. Wright
794719	220919	Aunt Priscilla Burroughs
794719	230598	Mother McPherson
794719	276055	Charwoman (stage sequence)
794719	281857	Governess
794720	273278	Extra
794721	386717	Host
794722	96323	Emergency Lady
794723	313523	Extra (in frame story - movie
794724	267639	Bully's Girlfriend
794724	273477	Party photographer
794725	200042	Magdalen McElhinney
794725	244432	Nunyet Receptionist
794726	267650	Kate Cline
794726	300534	Sue
794727	11182	Herself
794727	17280	Reporter (segment "World Reco
794727	25805	Susan
794727	47363	Herself
794727	86490	Christi Bay
794727	105465	Young Evita
794727	121506	Averill Winslow
794727	142718	Patricia 'Katie' Krenwinkle
794727	147500	Linda
794727	165851	Vicki
794727	198042	Jennifer
794727	232017	Herself
794727	243755	Suzie
794727	273555	Charlotte Byrne
794727	321654	Becky
794727	325980	Maggie
794727	328603	Mary Ann Doyle (segment "Make
794727	342904	Rhonda Glick
794727	368496	Reporter
794727	372591	Claire Lieberman
794727	382936	Julie Barber
794727	385189	Sam
794727	394207	Jennie Lowell
794727	401583	
794727	406273	Maxine 'Max' London
794727	406320	Tordio
794728	291452	T & A Cheerleader
794729	300164	Floozy Gambler
794729	365648	Lisa Mae
794730	18631	Female Voice
794731	169407	Herself
794731	399303	Herself
794732	144465	Kristy
794732	154200	Luciana
794732	390771	Rae Rooney (1989-1990)
794733	139454	Gret Rae
794734	68126	
794734	92128	Professor's Wife
794734	107745	Janis Cummings
794734	120014	Mall Patron
794735	386233	Maeve Blaney
794736	196107	Shawna
794737	248149	Little Girl #2
794738	13789	Christy Kane
794738	80445	The Lady in White
794738	81581	Vanessa Rio
794738	87202	Beautiful Canyon Girl
794738	107576	Debbie
794738	151351	Prof. Garr
794738	151530	Amber
794738	159482	
794738	182955	Susan Lefferts
794738	186447	Elise Talbot
794738	196586	Paula
794738	206483	Sheila
794738	213155	Alex
794738	215157	Felicia on video
794738	230815	Jennifer
794738	264785	Julie
794738	272600	Broad at Casino
794738	273563	Charlie
794738	274327	The Model (segment "Runway")
794738	304814	Cathy
794738	335258	Gorgeous Redhead
794739	196531	
794739	283183	Undressed to Get Screwed
794740	218733	Hubbard's Girl Friend
794740	241559	Night Club Girl
794740	290346	Beth Villiers
794741	266564	Little Laina
794742	281254	Reunion Guest
794743	176499	Raymond's kid
794743	206445	Student in Pageant
794743	273555	Bartender at Hole in the Wall
794744	10662	Mrs. Beavers
794744	364391	Nurse
794745	402947	Krissy
794746	360470	Phone Operator
794747	130422	Cheerleader
794747	342980	The Line Producer
794748	232020	Zombie
794749	377169	Participacita especial de 'Cr
794750	13863	Jennifer 'Jenny' Novak
794750	264756	Satan's Sinner
794750	379993	Jennifer Novak
794751	213590	Schoolgirl
794753	114984	
794754	1874	Martha
794754	26515	Anita
794754	81325	Nora
794754	122686	Sherry
794754	170555	Vida
794755	30185	The little girl
794755	223790	Jamie's Mother
794755	359441	Carol Barlow
794756	281052	
794756	335545	
794757	267031	Old woman in bar
794759	144869	Cafe Girl
794760	14141	Robin McCall
794760	60810	
794760	74254	Headmistress
794760	79478	Mrs. Travis
794760	113960	
794760	152572	Mrs. Silk
794760	203918	Political Pundit
794760	254645	Anthea Burton
794760	309678	Deborah
794760	342515	Performer
794760	346912	Anna
794760	402089	Dr. Letty Jordan
794760	410835	Nancy McNally (2000-)
794761	866	Herself
794761	17577	Herself
794761	41063	Herself
794761	57650	Herself
794761	57665	
794761	57936	Herself
794761	78924	
794761	96555	Herself
794761	97460	Herself
794761	122637	Herself - Presenter
794761	152222	Za-Za
794761	215500	
794761	226938	Tanya Peters
794761	257626	Herself
794761	257650	Herself (Miss January)
794761	257651	Herself (Miss January)
794761	257680	Herself
794761	257836	Herself (Miss May 1992)
794761	257864	Herself (Playmate of the Year
794761	257866	Herself
794761	261044	Herself
794761	325258	Herself (Playmate of the Year
794761	334354	Colette Dubois/Vickie Linn
794761	359700	Herself
794761	380350	Herself (2002-2004)
794761	391835	Herself
794761	398871	Dr. Anita Hugg
794762	338638	Palucci's Gang Member
794762	380390	Vicki Lang #3 (1983)
794763	26989	Publican's wife
794764	333290	Penelope
794765	160882	Ensemble
794766	22869	Aggie
794766	309927	Sunshine
794767	365866	Jenny
794768	236155	Jolene Michaels
794769	235453	Cydney Phillips
794770	149198	Punk #3
794771	24634	Party Girl
794772	407815	Herself (Single) (2003)
794773	81062	Dutch Villager
794774	312389	Herself
794775	363414	Runway Model
794776	124594	Miss Barton
794776	141056	Mrs. Russell
794776	194513	Miss Barton
794776	385139	Deirdre Croome
794777	17697	KLC Girl
794779	166643	Delaware Student
794780	381038	Host
794781	118811	
794781	332425	Julie
794781	365064	
794782	82075	Herbie's Wife
794783	39592	Herself
794783	202195	Customer
794784	328581	Tong Room Girl
794785	354792	
794786	252888	Female Newscaster
794787	230435	Capt. Mallory
794788	327976	Becky
794789	12213	Restaurant Woman #1
794789	14212	Black Announcer
794789	49441	Aunt Harriet
794789	67571	Reporter
794789	110180	Angry Mom
794789	151007	Katherine
794789	151126	Party Girl #1
794789	154959	Coffee Shop Waitress
794789	319206	Regina
794789	367844	Hippolyta
794789	386338	Gloria (1987-1988)
794790	160242	The Butterflies and Moths
794791	194696	Child
794792	372713	Mrs. Swenson
794793	114620	Society woman
794793	289221	
794794	49627	
794795	32711	Herself - standing at bar of 
794795	34602	Herself
794795	42088	Herself
794795	163523	Herself
794795	183430	Herself
794795	312583	Herself
794795	329553	
794795	382309	Herself (segment "Warming by 
794795	383804	Herself ("Boom to Bust - 1920
794795	393379	Herself
794796	71683	Secretary
794798	281052	
794800	141478	
794801	1705	Leah
794802	72738	Bonnie
794802	392391	Alice
794804	203188	Missy Trant
794805	81752	
794805	195831	Roadside Slut
794806	35770	Herself
794808	195813	Emily
794809	35650	
794809	106493	Waitress
794809	148562	
794809	154451	Ria
794809	221146	Daisy
794810	64750	Futurama Customer #2
794811	41478	Martha
794811	45342	Mrs. Boots
794811	58164	Mrs. Carpenter
794811	61697	Bobby's Mother
794811	64400	Mrs. Hogan
794811	65895	Mrs. Duncannon
794811	65934	Mother Joseph
794811	71742	Lil
794811	95363	Nonie Doran
794811	141140	Kitty Ryan
794811	143341	Mrs. Mattingly
794811	157797	Mrs Duane
794811	158358	Annie Maguire
794811	176456	Margaret
794811	179072	Alma O'Neil
794811	185713	Jen
794811	200052	Katy
794811	217411	Artist's Mother
794811	224070	Nurse
794811	264095	Old Woman
794811	276790	Olly Dowden
794811	276919	Prison Governor
794811	283607	Mrs. Farrelly
794811	294843	Mrs. Galmoy
794811	305990	Woman in Police Station
794811	322921	Mrs. Taffin
794811	323961	Duggan
794811	340221	Lady Cash
794811	358314	Mrs. Kelleher
794811	364869	Mrs. Colgan
794811	380073	Mrs. Brady
794812	15151	Young Jane
794812	400236	Jessica Lynn Buchanan (#2) (1
794813	95877	Lauren Colby
794813	116084	Janey
794813	131852	Photo Studio Girl
794813	171155	Lily Bedford
794813	256356	Zoe Garrick
794813	338805	Flame
794814	137208	
794814	309714	
794815	39447	
794816	266564	Lexi's mom
794817	27196	Officer Swanson
794817	47482	Rosemary Smith
794817	105042	Susan
794817	116989	Dede
794817	157720	Amy
794817	160449	Herself
794817	162364	Mabel Vernon
794817	173516	Babe Flynn
794817	185683	Lois
794817	203601	Sobbing Prisoner
794817	210269	Cassie
794817	217004	Abigail
794817	221174	Jan
794817	232321	Catha the Combine Girl
794817	255235	1st A.D.
794817	272026	Sarah
794817	275471	Jennifer Sharp
794817	293126	Additional voice
794817	294804	Dawn Lagarto
794817	299768	The Chicken Man
794817	301540	Catherine Martin
794817	338930	Tina
794817	350534	Sonya
794817	364186	Herself
794817	383802	Family Member
794818	381091	Herself (eliminated round 7)
794819	208390	Jenna
794820	105378	Sister Bethany
794821	273427	Herself
794821	273439	Herself
794821	402993	Herself/Las Vegas (2002)
794822	389070	Diana Gibson
794823	385577	Contributor (2001)
794824	64020	Herself
794824	215690	Herself - Miss Ohio USA
794825	293030	Star City Dancer
794826	120287	(segment Illegal Alien)
794827	112021	
794828	355091	Woman in Lobby #1
794829	68834	Mrs. Brown (mother)
794830	278647	Surfer
794831	38872	Ruth
794831	108694	
794831	380999	Various Characters
794832	48575	Delta Section
794832	97440	Nurse
794832	292664	Patti
794832	395162	Nancy Van Breymer
794832	411363	Ellen Rayburn
794833	195841	Beth
794833	344652	Drunk Girl #2
794834	294794	Herself - Brother 'Eddy' kill
794835	42139	Roxanne (Escort)
794835	113898	
794835	124602	
794835	252905	Jade
794835	308117	Nurse Browning
794836	47277	Aerobicette
794836	50195	Reporter
794836	102716	Janet
794836	105444	Terry Billings
794836	105732	Dancer
794836	166917	Airplane Passenger
794836	194480	Gina
794836	226908	Jane
794836	233588	Woman in bed
794837	39174	
794838	327776	Velicia Woodard
794839	186936	Nurse
794840	309678	Girl #6
794841	399693	Presenter (1990-1993)
794842	168249	Cathy
794843	80801	Secretary
794844	342849	Baby Dickinson
794845	10169	Morgana, Alinas Schwester
794846	303288	Herself
794846	367811	Woman Prisoner
794848	189473	Kayly's Mum
794849	55277	Melinda Arnold
794850	157102	
794850	206879	Herself (mother, with Pickfor
794850	321253	Lettie Terrell
794850	353390	
794851	158406	Claire
794852	181996	Additional Voices
794852	224729	Voice of young natasha
794853	257571	Jill Hamlin
794854	38672	
794854	51990	Lavelle
794854	62536	Chris
794854	62560	Tammy
794854	64075	Cinderella
794854	94096	Sophie Maxwell
794854	94451	Herself (Runaways member)
794854	104943	
794854	108711	Carol
794854	109077	Doris
794854	123420	
794854	158909	The Model
794854	158997	Ginny
794854	184978	Kathy Farley
794854	187709	Lila Lee
794854	210481	Patient Ronnie
794854	231386	Blondie Group #1
794854	248706	Captive Girl
794854	254523	Groupie
794854	259898	Roxanne
794854	277071	Heather
794854	305228	Sherry
794854	321575	Andrea
794854	348336	Laughing Lady
794854	353307	White Prostitute
794855	51203	Additional Voices
794855	245512	Martin's Wife
794855	333394	Lead Judge
794856	207440	German Businesswoman
794856	261607	Elizabeth
794856	274240	Young Woman
794856	387359	Taurien Naudé Marais (1993-19
794857	81770	Lisa Chadway
794857	130167	Catherine Corbin
794857	134563	Susie Downey
794857	160358	Ida Walter
794857	185672	Karla
794857	201758	Boat Woman #2
794857	346405	
794857	348894	Tess Rogers
794857	389103	Erin Vincent
794858	99415	
794859	324020	
794859	330563	Marina Girl
794859	390180	Evangelina
794860	158141	Woman lunching
794860	335235	Aunt Sarah
794861	197755	Schoolgirl
794862	166643	Female Student #1
794863	61765	The Children of the Corn
794863	194211	Baby Megan
794864	407082	Herself (33 Days, Jaburu/Tamb
794865	263572	Jenny Hallam
794866	87062	
794868	80692	Female Security Guard
794869	131652	Dancing Tooth
794870	296677	Nurse
794871	58518	
794871	72040	
794871	80366	
794871	96963	
794871	148541	
794871	150763	
794871	153602	
794871	161509	
794871	192128	
794871	279057	Mrs. John Redmond
794871	314743	Clifford's Mother
794871	320737	
794871	346865	
794871	350117	The Mother-in-Law
794871	362537	Old Man Davis' Sister
794871	372846	Aunt Jane
794872	12242	Woman
794872	132632	First Busybody
794872	295185	Dr. Ruth
794872	319226	Dude ranch guest
794872	331463	Phyllis
794873	318775	Michelle
794874	113655	Duet Girl
794875	142404	Herself
794875	144467	Singer at Rodeo Dance
794875	184944	Herself
794875	279412	Herself
794875	292171	
794875	330818	Herself
794876	153118	Mrs. Mahabir
794876	372147	
794877	1087	Cora Laurent
794877	6284	Lucia
794877	37416	Penny Conroy
794877	57310	
794877	69547	
794877	90382	Red Biddy
794877	96957	Secretary
794877	128017	Lady Emma Caldana
794877	154880	Nina
794877	157313	Lila
794877	197693	Noreen
794877	203159	Lily Bonner
794877	221645	Kate Noonan
794877	222594	
794877	236085	Jean
794877	253005	Receptionist
794877	258450	
794877	274341	Peg
794877	281438	Molly Nusgrave
794877	326119	Mary
794877	332768	Jane Claymore
794877	338812	Clara
794878	297261	Twin #2
794879	218411	
794880	31255	IntervieweeInterviewee/Real W
794880	218545	Herself/Real World
794880	273426	Herself
794880	360734	Coral
794880	402993	Herself/Back to New York (200
794880	402995	Herself/RW: Back to New York
794880	402999	Herself/Real Worlders
794880	403000	Herself/Real Worlders
794881	371962	Serving Wench #5
794882	308582	Queen Zinga
794883	283188	
794884	70512	Mystery Woman
794884	86815	
794884	150127	Motel Clerk
794884	293030	Star City Dancer
794885	292177	Vickie
794886	68081	
794887	306600	Rose McKeller
794888	34087	Cindy
794888	34091	Herself
794888	117212	Cindy
794888	140540	
794888	272023	Girl in Bookstore
794888	330376	Reporter
794889	57208	Coven Witch
794889	115549	Woman in Bed
794889	159201	Wynn's Security #3
794889	235389	Tracey Stark
794889	274333	Church Congregation
794889	295291	Dani
794889	363946	Danielle White
794889	365988	Mr. Otter
794890	126282	Dead Shot's wife
794891	99395	Cora Edwards
794891	142417	Showgirl
794891	151127	
794891	158469	
794891	298609	Rat Woman
794891	337180	Ruby's Girl
794892	32997	Jenny
794892	80627	Kizzy
794893	157315	Mary's Sister
794894	41192	
794894	241240	Lulu Bower
794895	17191	Stunned Teacher
794896	81665	Housemother
794896	185649	Joni Reisenbacher
794897	140953	Singing lady
794898	32241	Go-Go Dancer
794899	40504	911 Operator
794900	130184	Picnic Princess #1
794901	353490	Cook
794901	384173	Presenter
794901	385994	Presenter
794901	392183	Herself/Presenter
794902	128707	Convict
794902	241726	Senator's wife
794902	361238	Woman with Nuclear Sign
794903	345	Cynthia
794903	80643	Tracey
794903	82385	Mavis
794903	220652	Helen
794903	233190	Chemist's assistant
794903	290072	Bertha Schippan
794903	311873	Shirley
794903	388977	Miss Charters Towers
794903	402197	Delia Stout (1986)
794904	327790	
794905	384369	Nikki
794906	131232	Extra
794907	87874	
794907	89585	Debbie Price
794907	100041	Cheryl Mason
794907	222831	Physiotherapist
794907	383057	
794907	385105	Dr. Alex 'Fraser' Elliott (19
794907	390586	Herself - Presenter
794907	401973	Margaret Keating
794907	403244	Jenny Harper
794908	311785	Herself (SI swimsuit editor)
794909	289377	American Woman #2
794910	1793	Miss March 1985
794910	170451	Dancing Woman
794910	257644	Miss May
794910	257814	Herself
794910	257859	Herself
794911	115739	Herself
794911	328288	Herself
794912	134146	Rider #3
794912	157324	Sister Atta
794913	32711	Herself - retired bookkeeper
794914	301219	The Nobility
794915	118944	Anna's Neighbour
794915	385299	Mrs. Leyton
794915	387518	Sister MacNab
794916	288929	Extra
794917	179198	Shirley Gladys Wright
794918	47945	Kendra
794918	69137	American Olympic Athlete
794918	70470	Jolene
794918	71861	Ginger
794918	310417	Delores
794918	352733	Ora
794918	389858	Dr. Irma Foster (1987)
794918	393595	Jolene Jackson (1975-1976)
794919	10555	Belinda
794919	71319	Jennifer (segment "Space Trad
794919	164619	La Toya 2
794919	188507	Carrie Murtaugh
794919	188509	Carrie Murtaugh
794919	188510	Carrie Murtaugh
794919	188511	Carrie Murtaugh
794919	322886	Betsy
794919	367844	Little Ciel (age 7)
794919	388348	Penny Peyser (1989-1990)
794919	389858	Susie Matthews (1987)
794919	398245	Eugenie Waters
794919	401930	Valerie 'Val' Hollander #1 (2
794919	410529	K.C.
794920	11483	Miss Edna Pidway
794920	143575	
794920	175750	Shivaree Woman
794920	329481	Thin Woman
794921	47237	Diner Waittress
794922	252889	Pajama Party Guest
794922	296261	Party Girl
794923	305710	Mrs. Harrison
794924	272646	Mum
794924	388860	Megan
794924	399130	Daphne Lawrence/Clarke (1985-
794924	400775	Celia Ward
794924	402718	Dr Sissy Wetherall
794924	406462	Dr. Julie Travers
794925	68226	Paisley Johnson
794925	367886	Irene O'Brien
794925	384358	Irene
794925	398944	Various roles
794925	402725	Mary Nesbitt
794925	409241	Marjorie McGowan (series 2, 3
794926	292670	Lilia
794927	56457	Liliha (MacAvoy housekeeper)
794927	77936	Big Lulu
794927	140490	Apikela
794927	381941	Lulu Kalahani
794927	401079	Mrs. Lihuha, Carol's Landlady
794928	252974	Flower Shop Clerk
794929	25753	Female 3
794930	248149	Little Girl #1
794931	308382	Tartar Girl
794932	131232	Extra
794933	339445	Girl in Kilt
794934	191836	Cheryl Berman
794934	191925	Sister Mary
794934	214755	Technician
794934	390315	Dale
794935	140415	Woman on Street
794936	41198	Marjorie
794936	87747	Private Investigator
794936	226998	Trixie, Cocktail Waitress
794937	372527	Physician
794938	232104	Ghoul
794939	135772	Ellen
794940	46242	Sister Simpson
794940	61250	Colette Milham
794940	365866	School Nurse
794940	411812	Judge (1998)
794941	313321	Pasedena Girl
794942	6926	
794942	16073	
794942	350913	
794943	88870	Mary
794943	103244	Fortune teller
794943	105851	Durelle
794944	307374	Sheraton child
794945	81973	Silly (Age 3)
794946	34683	Pat Burden
794946	135602	Pat Burden
794946	220430	Pat Burden
794946	233528	Pat Burden
794946	233786	Pat Burden
794947	389858	Kristina Davis #3 (2003-prese
794948	82703	Ruby
794948	117713	Woman in Porsche
794948	133335	Martha
794948	238627	Morgan
794948	290971	Eileen Warren
794948	351504	Susan
794948	375695	Tara
794949	72208	Customer
794949	129113	Jennifer
794950	44005	Kid
794951	251054	Girl 2
794952	38900	Trix
794952	296325	Van Helsing
794953	382294	Belinda Drury
794954	68697	The Company
794954	137439	Mother of Little Girl
794955	42531	Alexa Stirling (m)
794956	30937	Christy
794957	219773	Interviewer
794958	30922	Music teacher
794958	40251	Herself
794958	51441	An' Effel
794958	74711	Ethel Smith
794958	96990	Herself (at the organ)
794958	104380	Herself
794958	126069	Swing organist
794958	210434	Herself
794958	255697	Blowsy Lady at Pinball Machin
794958	331393	Herself
794958	342453	Herself at the Organ
794959	20103	
794959	47590	
794959	264047	Miss Arnold
794959	327742	
794959	358154	
794960	112021	
794961	394912	Trol zonder naam
794962	158263	
794963	27347	Mrs. Post
794963	37452	Bunny
794963	51855	Fan Girl
794963	99573	Little old lady
794963	163213	Mrs. Honeywell
794963	168129	
794963	195640	Grandma Whipkey
794963	238238	Elderly Woman
794963	281024	Mrs. Irwin
794963	313396	Elderly patient
794963	346127	Mrs. Clark
794963	364344	Elderly woman
794964	253230	Patient
794964	372074	
794965	232066	House mother
794966	5525	Woman
794966	26070	Female Wrestler
794966	168262	Truck Driver's Wife
794966	215862	Daughter
794966	358035	Judo instructor
794968	13451	Lioness (Akam)
794969	281442	Young Sarah: aged 8
794970	265730	Mam
794970	411622	Waitress
794971	115713	Stacey Smith
794971	302793	Lounge Singer
794972	252173	Helen
794973	37690	Shirley Riggs
794974	251801	Retirement Home
794974	301599	Old Woman
794975	145848	
794976	366248	
794977	215177	Old Cassandra
794978	7420	Party Goer
794979	76970	Mayzie McGrew
794979	142950	Woman on Couch
794980	48950	Additional Voices
794980	143573	Monique
794980	144363	Helga Geraldine Pataki/Deep V
794980	144364	Helga Geraldine Pataki
794980	158061	Kid #1
794980	273745	Ashley 'Ashley B' Boulet/Upsi
794980	381547	Additional Voices
794980	391485	Helga Geraldine Pataki/Sheena
794980	394677	Meg MacKenzie
794980	403038	Ashley 'Ashley B' Boulet/Upsi
794981	339858	Go-Go Girl
794981	357086	
794982	366100	Tashina's mother
794983	53959	
794983	199639	Sex
794983	228169	Old Woman
794984	113883	Sunbather
794985	61737	Martha Smith
794986	72931	Goodyear Hostess in the Green
794987	232023	
794987	304966	Dancer
794987	321388	
794987	367970	Dancer
794988	88823	Big John's Mum
794988	206410	Old Woman #1
794988	223700	Auntie Vi
794988	277634	Mrs. Davis
794988	386233	Marie Blaney
794989	27107	Glenda Montemorano
794989	59913	
794989	115241	Geri, Joe's Wife
794989	194525	Student
794989	216449	Toni
794989	232093	Hooker
794989	241505	Barmaid
794989	270971	Janet
794989	310749	Passenger
794989	311153	Helen Fumo
794990	28650	Pam
794990	85860	Neighbor Woman
794991	256116	
794991	271223	
794992	196209	Reporter
794993	284675	
794994	219875	
794995	304751	Laura
794996	4642	Student
794996	335807	Featured Dancer
794997	64813	Soprano Vocalist
794998	149459	Hope
794999	128178	The Chicago Girl
794999	214159	
795000	65578	Milk Maid
795000	306297	Herself
795001	38005	Angela
795002	102581	Parents
795003	121796	Sydney
795004	137439	Little Girl on Bench
795005	165977	Baby Silent Bob
795006	160975	Michelle
795006	362355	Rita
795007	21119	Fruit Dealer
795007	93316	Lisa
795007	131539	Court Clerk
795007	245907	Chick that runs over cop's he
795007	256188	The Hitchhiker
795007	263365	Eve
795007	291452	June Busch
795007	304237	T-Shirt Girl
795007	328289	Mona (Soap Opera)
795007	363897	Sweet Young Thing
795007	392057	Cleo
795008	223896	Candy Romano
795008	312971	Blond Michelle Look Alike
795009	71763	Herself (violin, mandolin)
795010	89309	Mary St. John
795010	156035	Student
795011	130422	Cheerleader
795012	216424	Melissa
795013	181276	Carmen
795014	37659	Rape Victim
795014	80644	The Vampiress
795014	197718	Kim
795015	119694	Herself
795016	110527	
795017	392735	
795018	274737	The Child
795019	143637	Mrs. Simcoe
795020	1348	Herself
795020	21526	Margo
795020	163248	Jewelry saleswoman
795020	190328	Edie
795020	196005	Sally
795020	200864	Mrs. Lefferts
795020	267551	Jill
795020	297625	Roz
795020	380713	Margo Montgomery Hughes #2 (1
795020	386603	Kit McCormick (1982)
795020	399558	Karen
795020	400236	Assistant District Attorney N
795020	405898	Annie Bergman
795021	58511	Field Hand
795021	233754	Host
795021	238508	Child Playing Game
795022	279681	Herself
795023	58511	Field Hand
795023	79792	Agnes
795023	337649	Rose
795024	99591	L'assistante de l'avaleur de 
795025	264991	Joan Patton
795026	148548	Ethel
795027	284004	Young Connie
795029	393029	Herself - Host (2000-2001)
795029	397684	Herself - Author
795030	157563	Nun
795030	160887	Older Woman
795031	370585	Fish fryer
795032	4651	Herself
795032	6859	Female journalist
795032	11683	Herself
795032	31185	Herself (ABC Team)
795032	32693	Bridgette Smith Michaels
795032	44080	Sally Fannie Tatum
795032	45127	Marie St. Jacques
795032	59663	Kelly Garrett
795032	59665	Kelly Garrett
795032	59666	Herself
795032	62941	Christine Cromwell
795032	73116	Donna Yaklich
795032	96113	Brooke/Maggie
795032	103266	Maggie Bowman
795032	108250	Faye Price Thayer
795032	115805	Florence Nightingale
795032	119487	Renee Brennan
795032	131764	Model
795032	138700	Herself
795032	158089	Maria Quinn
795032	161216	Herself
795032	161270	Herself
795032	164627	Herself
795032	164657	Jacqueline Kennedy
795032	172666	Hilary Walker
795032	189912	Elaine Sanders
795032	195508	Elizabeth Bentley
795032	200314	Host
795032	206444	Megan Potter
795032	224389	Dana
795032	228778	Edith Iglauer
795032	232252	Claudia Baldwin
795032	232394	Katherine Atwell
795032	232447	Megan Lambert
795032	265090	
795032	270914	Jennifer Parker
795032	270915	Jennifer Parker
795032	294358	
795032	295187	Katherine Whately
795032	321630	Alice
795032	327187	
795032	331597	Diane
795032	340503	Host
795032	342195	Herself
795032	342261	Herself
795032	348851	Elena Scheider
795032	364130	Cathy Martin
795032	366039	Mary Ashley
795032	383943	Kelly Garrett
795032	384166	Christine Cromwell
795032	389924	Sally Fairfax
795032	400030	
795032	409121	Herself
795033	129813	Teenage Girl
795034	34087	Two Girls
795035	256074	Prostitute
795036	185228	Angela's Singer #2
795037	330530	Young Maria
795038	392780	
795039	110319	Flight Attendant #2
795040	312927	Vampire 9
795041	163529	
795042	41297	Alicia
795042	61767	Margaret Rhodes
795042	78530	Lauren Wando
795042	200170	Mary Margaret
795042	200171	Mary Margaret
795042	213187	Molly Kang
795042	223636	Tara Westover
795042	224064	Carson Morton
795042	230819	Elizabeth Robinson
795042	277446	Ellen Bloom
795042	278511	Natasha
795042	281913	Jennifer (3)
795042	308014	Brandy Gardner
795042	335791	Young Katherine
795042	348431	Amy
795042	380734	Blair Cody
795043	350198	Nita
795044	267636	Amanda Hayes
795044	304356	Joanna
795046	20689	Agent Helfer
795046	269680	Judy Cox
795047	116523	Magic Maid
795048	343634	Vanda
795049	161947	Maggie
795049	176864	Bocka
795050	100198	Extra
795051	105213	Stage 3
795052	69409	Ma Hawkins
795053	133636	Ray's Daughter
795054	80898	Woman in Commercial
795055	244379	Lawyer
795055	281769	Cathy Javison
795056	80617	Singer
795057	222258	Employee Manager
795058	358478	Villager of Tullymore
795059	202195	Ilyasah, 2 and 3 years old
795060	270138	Dr. Steele
795061	178125	Shop Owner
795062	398980	Herself
795063	212698	
795064	70458	Wella
795064	363513	Odile
795065	121631	Judy Fields
795066	113655	Duet Girl
795067	251241	Just Jane
795067	390828	Ravishing Jen
795067	393593	Bandmember
795068	37024	Dottie - age 19
795069	28309	Kathleen Blakely
795069	35451	Young Ellen
795069	236147	Kim
795070	11425	Band Member (Coochie Pop)
795071	353466	Ensemble
795072	1470	Liesl
795074	40037	Ashley
795075	139655	Lavender Brown
795076	215691	Miss North Dakota USA
795076	241650	Extra
795077	230663	High School Girl
795078	205658	Black-out
795078	274525	Witness
795079	407759	Sun Baby
795080	63099	Aurora
795080	285121	Orphan Girl
795081	81785	Barbara at 13
795082	281913	Jennifer (14)
795084	32219	Mom
795085	163536	Vocals by (Lucy van Pelt)
795085	372307	Lucy van Pelt
795086	167043	Denise DeNephew
795087	242515	Varm Frisør
795088	222258	Sandra
795089	85953	Emilia
795090	231759	Margot
795091	330377	Blonde at the Ice Rink
795092	82386	Sybil
795092	250607	
795093	246923	Stripper
795094	687	Herself
795094	389529	Herself (1996-1997)
795095	320376	Ann Sutter at Age 3
795096	11902	
795097	128518	Maxine
795098	2543	Herself - Poptarts
795098	401875	Herself - Finalist (2000)
795099	93054	Low Life #2
795099	315261	Warren
795100	46242	Nurse with T.B
795101	54208	Librarian
795101	177253	Guest at Palace
795101	372528	Mrs. Gwinn
795102	346949	Crow Creek Kate
795103	44945	Danseuse Katalitik
795104	39600	Mrs. Carmody
795104	382599	Resident musician: vocals
795104	384453	Herself - Dancer
795104	410861	Resident musician: vocals
795105	128497	Xenia
795106	66019	Singer
795107	370675	Age 14
795108	32131	Gina
795108	44755	Mandy
795108	154749	Young Woman
795108	233510	Carey
795108	295557	Lauren
795108	380844	Kerry
795108	386963	Julie Alexander (1998-1999)
795108	388321	Lucy Day (2002-)
795108	399415	Kate Ellis (2002-2003)
795108	401725	Hopscotch Girl
795108	409401	Sal (Lester's Victim)(segment
795109	311449	Amazon
795110	47277	Aerobicette
795111	164467	Various voices
795112	26093	Anna
795112	29917	
795112	29918	Chloe
795112	49028	
795112	77144	Cobra
795112	79863	Cobra
795112	85126	Herself
795112	87797	Skinnydipper #2
795112	150053	Herself
795112	182998	Cobra
795112	185096	Dancer
795112	201883	Herself (Miss February)
795112	204386	High School Girl
795112	213260	Cherry
795112	219129	Alexa Kingston
795112	252389	Herself
795112	252390	Herself
795112	252391	Herself
795112	252395	Herself
795112	252399	Herself
795112	252402	Pet
795112	252403	Herself
795112	263352	Samantha Falconwright
795112	265173	Secretary
795112	291014	
795112	309137	Katlin
795112	320157	Ruby Sparrow
795112	356652	Herself
795112	359767	Carla
795112	367334	
795113	187886	Jane
795115	402425	Herself
795116	250525	Carol
795117	35809	Redhead
795117	102703	Mabelle
795117	119356	Mary Kay Gilbert
795117	136832	Candi
795117	381148	Candy
795118	76206	Waitress
795119	38823	Rie Shibusawa
795119	129347	Student
795119	193381	Shiris
795119	235491	Serina Skelly
795119	293586	Commander Kohka Hirose
795119	302432	Fan
795119	395888	Shiris
795120	366649	Anna
795121	272440	Supervisor Stable Operations
795122	38696	Ariel
795122	82519	Hannah Bull
795123	206621	Venusian
795124	314108	Dancer
795125	381091	Herself (eliminated round 3) 
795126	16642	Sybil
795127	309927	Jamelia
795128	264991	Young Girl 1
795129	13684	Herself
795129	36842	Herself
795129	142599	Kate Smith
795129	186006	Herself
795129	271806	Herself
795129	330797	Herself
795129	331631	Herself
795129	383804	Herself ("Over the Edge, 1936
795129	394212	Herself
795129	394213	Herself
795130	144542	Reporter
795131	195878	
795132	161638	Ruth McDaniel
795133	312558	St. Francis Paranormal Expert
795134	305176	
795135	49389	Mrs. Thatcher
795135	158797	Wilks' Daughter
795136	245536	Fannie Weaver
795136	396696	Juggy Dancer (2003-)
795137	158314	
795138	7313	Instructor
795138	174624	Herself
795138	174625	Instructor
795138	174626	Instructor
795138	174627	Instructor
795138	174628	
795138	174629	
795138	176263	Instructor
795138	230881	Herself
795138	230882	Herself (instructor)
795138	253483	Instructor
795138	262711	Instructor
795138	333436	Instructor
795138	333437	Instructor
795139	84142	Photographer
795140	169545	Rochelle
795141	330836	Child
795142	259864	Boutique Saleslady
795143	144369	Dorothy Spencer
795143	170311	Herself
795143	195151	Herself
795143	294135	Herself
795143	332055	Francie Wymore
795143	402888	Herself
795143	402964	Herself
795144	165265	Herself
795144	235571	Escort
795144	262959	Herself
795144	268903	
795144	389858	Valerie Freeman (1989)
795144	409616	Reporter (1997-2002)
795145	157438	Trinity
795146	276160	Kiki
795147	73835	Tanya
795147	137237	Angela
795147	177605	
795147	177630	Bernice
795147	207284	Monica
795147	276470	CeCe
795147	280631	Vivian
795147	381701	Wanda McCollough
795148	80558	Eyeglass Store Clerk
795148	110916	Dancer
795148	226953	
795149	187730	Hannah Golden
795149	204049	Cocktail Waitress
795150	157324	St. Jude Student
795151	79794	Lobby Addict
795152	59159	Host - New Zealand
795152	224180	
795152	296778	Barmaid
795152	389067	Mike Preston
795152	390178	Magda
795152	397965	Host
795152	409560	Host
795153	126607	
795154	276328	Melanie McGuiness
795155	57064	Drina
795155	350343	Casey
795156	70418	
795157	333327	Hospital Receptionist
795158	200353	Urchin Girl
795159	214971	Court Clerk
795160	31892	Erika
795161	88766	Nurse
795162	224085	Meg
795163	113900	Patricia
795163	162937	April Pfferpot
795164	185422	Melissa
795164	323018	Young Susan
795165	85986	Lisa
795166	207710	News Reporter #2
795167	306221	Regan
795168	1020	Mrs. Grayson
795169	182292	Huskjøpende kvinne
795170	115421	
795171	321660	Normia Twigg, Age 15-18
795172	190927	Suzy Lucca, 4 Years
795173	105211	Joanne
795173	408623	Herself
795174	295325	Ruth
795175	39627	Dancer
795176	41820	
795176	227509	Elaine Marshall
795176	281421	Nyesha Clean
795177	113286	Child
795178	23441	Little Brunette
795180	2034	Erin Evans
795180	21046	Beat girl
795180	63185	Christy Huddleston
795180	78759	Natalie
795180	126505	Girl #2
795180	154742	
795180	189520	Lara
795180	320156	Meg
795180	360688	Hannah Pinkham
795180	378818	Erin Evans
795180	384179	Christy Huddleston
795180	384180	Christy Huddleston
795180	398649	Emma DeLauro (2001-2003)
795181	166871	Additional cast
795182	25398	
795182	26897	
795182	34907	Herself
795182	39869	
795182	41966	
795182	41968	
795182	41969	
795182	41980	
795182	41982	
795182	49510	Herself
795182	79764	Della Boyd
795182	81787	Herself
795182	93110	
795182	98188	
795182	98851	Mrs. Hathaway
795182	98852	Julia Slattery
795182	98857	Raven
795182	98861	Sultaness
795182	98866	Midge
795182	98869	Princess Luna
795182	100956	
795182	102844	
795182	108242	
795182	128667	
795182	128752	
795182	128825	
795182	130778	
795182	141539	
795182	144999	
795182	150340	
795182	150402	
795182	158386	
795182	158974	
795182	186772	
795182	188357	
795182	190977	
795182	221601	
795182	224269	
795182	228105	
795182	231996	
795182	236366	Model
795182	239092	
795182	243522	
795182	248480	Honeymoon Wife
795182	295627	
795182	302880	
795182	305918	
795182	311442	
795182	313276	
795182	328302	
795182	358074	Herself
795182	361911	
795182	369913	
795182	372443	
795183	408694	Designer
795183	408696	Designer
795184	69053	Club Band: Lead Singer
795185	230754	Herself
795186	58648	Emily
795187	80975	Herself
795188	211508	Lady-in-waiting
795189	138209	Grandma Breaker
795191	203584	Reporter
795191	308174	Shamus' Mum
795191	388977	Kate Wellings
795191	388978	Kate Wellings/Standish
795191	403244	Diane Archer (1978-1980)
795191	406145	Vicky Morgan
795192	118744	Person in Pub Trio
795192	173513	Mrs. French
795192	290771	
795193	411497	Herself
795194	11171	Bikini Sunbather #1
795194	124923	Connie Geddon
795195	43874	Sally, Miss Arizona 1979
795195	85176	Witch III
795195	238238	Choir Member
795195	291449	Dancer No. 1
795195	313583	Autograph Seeker on Boardwalk
795195	378966	
795196	378966	(1983)
795197	42325	Natalie Moon
795198	389464	Minami Kinoshita
795199	23207	Undetermined Role
795199	39720	Nurse
795199	216000	Check Room Girl
795200	33742	Lemonade Server
795200	51989	Holly
795201	16753	Wendy
795201	31857	Kiri's Friend
795201	74217	Emily
795201	86470	Woman with Fay Tolland
795201	115486	Martha
795201	137696	
795201	139236	Hope/Mistress Victoria
795201	150751	Mrs. Laura Lyons
795201	187419	Annabelle
795201	189265	Jane
795201	191495	Female Prosecutor
795201	210532	Ronda-Marie
795201	213866	Kelly
795201	233496	Heather
795201	237906	
795201	254789	Joanna Henderson
795201	282358	
795201	293097	Mrs. Nutley
795201	296688	Lily Reynolds
795201	296698	Courtney Fairchild
795201	296954	Neurologist
795201	308009	Ann Grayson
795201	323501	Judy Grover
795201	335301	Jane James
795201	351526	Nina Nathan
795201	375706	Man's Date
795203	42382	Herself - Contributor
795203	328800	Celebrity Participant
795204	305571	Lady Judge
795205	365597	Barbara Pieczkow
795205	386295	Mrs. Maggie Quine
795206	83230	Secretary - FBI
795207	164838	
795208	2528	Maria Laplante
795208	7997	Merdice Stone
795208	183426	Kelly
795209	81346	Spaz Girl
795210	8086	
795210	114013	Street Theatre Narrator
795210	229259	McIntyre
795210	253976	Bikie
795211	195134	Shady Lady
795212	283550	Herself
795213	166871	Additional cast
795214	115318	Kim
795215	305679	Linda
795216	171079	
795217	323892	Sister
795218	188511	Murtaugh's Neighbor
795219	20139	Hotel guest
795220	8147	Flora
795220	10750	Miss Lory
795220	18827	Mary Louise McKinney
795220	34448	Mrs. Rigby
795220	40497	Pat's Mother
795220	47191	Maisie
795220	62992	Mrs. Dilber
795220	62995	Mrs. Dilber
795220	62996	Joyce
795220	70347	Grace
795220	74311	Lady in Pub
795220	75556	Martha
795220	77026	Joan Benson
795220	80425	Lizzie
795220	89277	Mrs. Thompson
795220	90798	Granny
795220	94015	Agent
795220	94808	Woman reading tarot cards
795220	95268	Mrs. Trodd
795220	105016	Audience Member/Herself
795220	108626	Mrs. Jones
795220	119802	Mrs. Fairley
795220	131629	Lizzie
795220	139099	Mrs. Thornley
795220	139357	Mrs. Pendleton
795220	140076	Old Gypsy Woman
795220	144950	Mrs. Plunkett
795220	152722	La Falourdel
795220	157162	Soothsayer
795220	163354	Mrs. Dodds
795220	163461	
795220	164474	Mrs. Matthews
795220	175163	Mrs. Meakin
795220	184090	Lena Finn
795220	187861	Raving tenant
795220	190000	Peg Sliderskew
795220	191774	Mrs. Bangham, Midwife
795220	196083	Gran
795220	218354	Villager
795220	255124	Queen Mother
795220	264676	Joyce's Mother
795220	277123	Winnie
795220	292779	Cat owner
795220	294517	Miss Meacham
795220	303030	Lady Phillipa of Staines
795220	308400	Madame Balls
795220	310866	Keith's Granny
795220	335155	Mrs. Willows
795220	337632	Martha
795220	341442	Older Lady (Segment Horny)
795220	360469	Millie
795220	363206	Mrs. Northrop
795220	368254	Gran
795220	378819	Bette/Aunt Belle
795220	381799	Audrey Delany
795220	384528	Mrs. White (Series 4) (1993)
795220	385175	Delia
795220	385781	Mrs. Heep
795220	387533	Hilda Semple
795220	392397	Mrs Brandon
795220	392622	
795220	394163	Mrs.Baglin
795220	395529	Mrs. Fisher
795220	396379	
795220	396760	Mrs. Anstruther
795220	399383	Peg Sliderskew
795220	399770	Gran
795220	400110	Sally
795220	400221	Gran Turner (1984)
795220	401530	Gran (Abigail Blood)
795220	402607	Granny (series 2)
795220	403853	Norma Speakman ('Nanna')
795220	408867	Mrs. Dorothy Norton
795220	409783	Mrs. Giles
795220	410066	Letitia Cropley (Series 1 & E
795221	48923	Reporter
795221	99305	Herself
795221	108474	Herself
795221	124056	
795221	161244	Herself
795221	168112	Herself
795221	205835	
795221	260141	Herself
795221	391221	Regular
795221	399327	Herself - NY Gossip Reporter 
795222	1621	Iris
795223	2563	Herself - Nominee: Best Suppo
795223	34964	Helen
795223	40025	Sara
795223	47880	Neighbor
795223	69303	Voice Only
795223	80508	Helen's mother
795223	80801	
795223	88566	Evelyn
795223	91959	Sarah
795223	92765	
795223	96829	Anne
795223	105707	Mary Neal
795223	107895	William Foster's Mother
795223	109608	Martha
795223	114618	Partita Dupea
795223	117546	Ma
795223	118298	Mrs. Carnahan
795223	118541	Mrs. Axman
795223	120148	Mama Threadgoode
795223	134017	Brontë's Mother
795223	139135	Mrs. Bell
795223	145691	Mother
795223	147974	Orna
795223	150973	Bertha Dorset
795223	151625	Sophia Darling Richards
795223	152220	Julia
795223	162364	Reverend Anna Howard Shaw
795223	167602	Cornelia
795223	175164	Lureen
795223	184822	Lucy Thompson
795223	184859	Luluna
795223	207403	Hilda
795223	213231	Mrs. Nelson
795223	214755	Iris Hineman
795223	231120	Anita
795223	246021	
795223	249422	
795223	258103	Helen Jackson
795223	270914	Clara
795223	273782	Mrs. Prescott
795223	274010	Helen Rounds
795223	276424	Kathy
795223	276937	Mare Spofford
795223	286459	Herself
795223	304368	Lou Wheaton
795223	316117	Spurs O'Brien
795223	316986	Julie (segment "Miss Julie")
795223	321660	Margaret
795223	337988	Mrs. Ferriter
795223	340899	Madge Wallace Gates
795223	341680	Ginger
795223	342628	Helen Giles
795223	342685	Meg Greene
795223	346948	Margaret
795223	348386	Elinore
795223	360266	Jane Aldridge
795223	363871	Alice Todd
795223	379999	
795223	380391	Ella Fitz (1983)
795223	386603	Eleanor Conrad (1975-1977)
795223	387309	Mrs. Oates (1983)
795223	399295	
795223	400236	Betsy Cramer (2003-2004)
795223	405882	Zoe Cannell (1972-1974)
795223	411176	Miss Maude
795225	280774	Undetermined Role
795226	61171	Herself
795226	295998	Pisces
795227	99607	Herself
795227	316945	Margot Burnett
795228	8087	Bartender
795228	73373	Narrator
795228	133337	The mom
795228	368318	Molly
795228	381574	Herself/Ariel
795229	114051	Child
795230	21447	Nurse's Aide
795230	323227	Farm Woman
795232	193834	
795232	218160	
795233	190796	Vincent's Grandmother
795234	394945	Judge (1985-)
795235	80635	Receptionist
795236	114935	Violet
795237	177330	Mom #2
795237	379711	Miranda Lambe (1985-1987)
795238	219391	
795239	89586	Dolemite Girl
795240	158141	Traveler
795241	311229	
795242	122183	COPS officer
795243	73804	Julia Travanti
795243	294248	Beautiful Girl
795244	1621	Iris
795245	11192	Anne Grantley
795245	13376	Bella
795245	31427	Sophia
795245	39629	Peggy
795245	55707	Mrs. Pullitt
795245	111383	Mrs. Gordon
795245	118934	Sarah
795245	123092	Young Court Lady
795245	192514	Miss Caruso
795245	195464	Miss Partridge
795245	199695	Mary
795245	200492	Guest Appearance (segment "Sl
795245	214643	Samantha
795245	252741	Miss UK
795245	301677	Sister Ellen
795245	301681	Sister Ellen
795245	307916	Miss Beaufort-Smith, Socialit
795245	323423	Vicki
795245	324117	Sue
795245	325276	Dolly
795245	329692	Rosemary
795245	336710	Teresa
795245	348358	Erotica
795245	348377	Fanny
795245	350199	Emma Morton
795245	364556	Moira Nicholson
795245	381139	Aunt Celia
795245	383581	God-daughter
795245	384475	Hortense Girodot
795245	387943	Various roles
795245	391617	Janet Burgess
795245	406485	Various
795246	271990	Erin
795247	161061	Dee Whalon
795248	2548	Herself - Presenter
795248	2563	Herself - Winner: Best Lead A
795248	8417	Herself
795248	11516	Queen Alexandra
795248	35233	Miss Anderson
795248	52361	Visitors from London - Diana 
795248	61564	Party guest
795248	65228	Thetis
795248	75602	Lily Marlowe
795248	79556	Betsey Trotwood
795248	81239	Miss Bowers
795248	88090	Caro Eliza Bennett
795248	105440	Daphne Castle
795248	114298	Gunilla Garson Goldberg
795248	129826	Chantal
795248	132122	Constance Trentham
795248	139650	Professor Minerva McGonagall
795248	139652	Professor Minerva McGonagall
795248	139655	Professor Minerva McGonagall
795248	139657	Professor Minerva McGonagall
795248	140546	
795248	148897	Sarah Watkins
795248	149287	Granny Wendy/Middle-aged Wend
795248	150239	Patty Terwilliger
795248	169959	Herself
795248	183370	Miss Janet Widdington
795248	185640	Lady Myra
795248	190889	Lily Wynn
795248	195404	Lila Fisher
795248	202900	
795248	210514	Mrs. Mabel Pettigrew
795248	211348	Portia
795248	214168	
795248	215892	Lady Isabel Ames
795248	221531	Beatrice
795248	222602	Mrs. Dora Charleston
795248	224022	Mrs. Emily Delahunty
795248	236143	Bridget Howard
795248	238991	Music Hall Star
795248	240871	Herself
795248	243146	Herself
795248	243147	Herself
795248	243950	Herself
795248	244306	Desdemona
795248	263786	Jean Brodie
795248	264676	Joyce Chilvers
795248	267106	Philpott
795248	267648	
795248	269088	Lois Heidler
795248	277681	Duchess of York
795248	281215	Rozaline
795248	281446	Charlotte Bartlett, a chapero
795248	291836	Irina Arkadina
795248	291883	Herself
795248	292419	Mrs. Medlock
795248	303225	Mother Superior
795248	303226	Mother Superior
795248	318194	Violet Venable
795248	326383	Lady Hester Random
795248	338582	Aunt Augusta
795248	349404	Miss Mead
795248	359753	Aunt Lavinia Penniman
795248	407505	Susan (episode "Bed Among the
795250	13953	Girl at Daisy
795250	130666	Reina
795250	214087	
795251	80934	Nellie Lee Love
795251	148460	Chris
795251	208088	Casey
795251	245838	Car Rental Girl
795251	265683	Britney 1
795251	274346	Tamar
795251	296019	Juliet
795251	402612	Daphne Chanders
795252	222719	Hattie
795252	248461	Madame Mamie
795252	315140	
795252	319045	Mamie, the bar owner
795253	67812	Herself
795254	52576	Herself
795254	73561	Pregnant Woman
795255	251617	
795256	137461	
795257	168529	Herself (aerospace)
795257	310193	Herself
795258	279547	Kitty Dodd (age 5)
795259	40878	Nurse
795259	45022	Woman Cop
795259	131780	School Guard
795259	184859	Colorado State Patrol Woman
795259	230844	Herself
795259	283102	Stewardess
795259	347063	Avenger
795259	372510	Herself
795259	407930	Margaret
795260	161270	
795261	267650	Trish
795262	27107	Marsha Montemorano
795262	158920	Concepcion
795262	194525	Frannie Malincanico
795262	236786	Carol Sabatino
795263	37035	Traveler
795263	304972	Prison Visitor
795264	308122	Police officer
795265	11157	Betsy
795265	26514	Forewoman
795265	93982	
795265	139591	Janet Mckloskey
795265	231915	Woman at Party
795265	274650	Santa Family #1
795265	323974	Lana
795265	355065	Mrs. Woodhouse
795265	396087	Co-Host/Announcer
795266	273558	
795267	47875	White hooker
795267	175795	Cosmo Woman #1
795267	189221	Dick's Student
795267	276799	Carol
795267	309678	Concord Dental Assistant
795268	294001	
795268	364190	Receptionist
795268	389304	Violette Lafleur
795269	52070	Tourist 2
795270	17173	Barbara 'Babs' Jansen
795270	31199	Herself (CBS Team contestant)
795270	41216	Hedwig
795270	47279	Aaron's Soundwoman
795270	97135	Maggie 'Ivory' David
795270	150525	Mrs. Moyer
795270	289515	Francine Desmond
795270	334356	Heather Morgan
795270	363271	Barbara 'Babs' Jensen
795270	385824	Dr. Sandy Horton #3 (1982)
795270	386512	Herself/Host (110 episodes)
795270	392177	Ellen Taylor
795270	394510	Socialite
795270	404400	Francine Desmond
795271	165976	Tiffany
795271	257203	Amy Holman
795272	209492	Kennedy student
795273	79758	Mum
795274	73685	
795274	100850	
795274	145008	Mrs. Dearborn
795274	191567	
795274	194920	
795274	199565	
795274	220047	Mrs. Reeves, The Mother
795274	240900	
795274	331866	
795274	351225	
795275	158997	Linda
795275	195640	Caterer
795275	235422	Bestiary Guest
795275	313046	Nurse Warren
795276	18552	Paul's Girlfriend
795276	109855	Bridesmaid
795276	224809	Daughter
795276	289718	Molly (witness)
795276	343206	Girl
795277	14223	Female Security Guard
795277	24432	Unibrau
795277	30108	Barking Waitress
795277	32661	Bus Passenger
795277	99572	Zou Zou
795277	115562	Gambler Woman
795277	135738	Nurse Bitchface
795277	136842	Voice of Old Woman in Line
795277	157696	Dancer
795277	241583	Bingo Caller
795277	365947	Sonja
795277	379830	Denise
795278	163490	Guest
795278	230622	Showgirl
795279	23441	Skater #1
795280	360436	New Yorker Listening to Story
795281	55955	
795281	148173	
795281	252751	
795281	353592	
795283	348229	Young Amanda Lear
795284	140960	Woman protestor
795284	259217	Couple at Elevator
795284	321667	Booking Secretary
795284	330635	Herself
795284	391414	Additional Voices
795285	39298	
795286	293030	Dancer
795287	26324	Peggy Davis
795287	134025	Linda Rodriguez
795287	176911	Cynthia Alpert
795287	217416	Dixie
795287	231940	Raimy Baker
795287	301753	Protestor, News Reporter, Ext
795287	338000	R.J.
795287	365088	Courtroom Sketch Artist
795287	380713	Emily Stewart Snyder #3 (1987
795288	297261	Twin #1
795288	305571	Young American Miss
795289	145415	Melissa
795290	87397	Tough Girl on Train
795291	298216	Hope
795292	123029	Singer
795293	109395	Disbelieving Woman #2
795294	60075	Treble Clef girl
795295	41301	Beauty Contestant
795295	91123	Boom Boom
795295	147944	Casey
795295	206859	
795295	380040	On-Air Personality (Host)
795296	69773	Christmas Caroler
795296	100073	Hooker
795296	186849	Female porn star
795296	203220	Bible Saleswoman
795296	232126	Jane
795296	248124	The Woman
795296	316609	Cop Bar Groupie
795296	355212	Screaming Woman
795296	379019	Elena Del Gato
795297	189066	Patsy
795298	99212	Customer at the Gate
795299	190796	Patient
795299	315271	
795300	234070	Cora Brooks
795301	379925	Herself
795302	382082	Host
795302	411099	Mimi
795302	411107	Team Member
795303	24299	Sue Beth
795304	67425	Alma's Mother
795304	289482	
795305	8234	Cynical Agent
795305	36862	Crying Teacher
795305	60212	Nurse
795305	70426	Woman on Train
795305	87375	Libby
795305	127585	Arthur's Patient
795305	136277	Mrs. Ferris
795305	194212	Tipsy Secretary
795305	252963	ETS Reception
795306	106149	Elena
795306	244392	Lavania
795306	311634	
795306	337155	Hinemoa
795306	380827	Vita
795306	397478	Dana McNichol
795306	397859	Ani
795306	402000	Elsa, Principal Randall
795306	404880	Nurse Pania/Elizabeth
795306	405209	Nurse Awhina Broughton (1998-
795306	408880	Moz (Series 3)
795307	73950	Spying Sibling
795308	41998	Helen Knickerbocker
795308	278259	Jo Schirra
795309	118702	Hooker
795310	218660	Co-Star
795311	204583	Chuck's Mom
795312	397245	Wife
795312	400699	Regular (Canadian version)
795312	405699	Bernice Green/Various Roles
795313	309477	Kelly
795314	46545	Annie
795314	128518	Aunt Margaret
795314	131797	Mrs. Fletcher
795314	141497	Megan Gough
795314	151166	Kay
795314	165556	Dolores
795314	221160	Connie
795314	222746	Mrs. Williams
795314	222748	Mrs. Williams
795314	263791	WPC Maureen Havers
795314	263794	WPC Maureen Havers
795314	269356	Elizabeth Williams
795314	279295	Carole
795314	292121	Lynn
795314	343006	Mrs. Fraser
795314	364864	Clara
795314	384663	Ida Rhys-Jones
795314	391666	Goody Seagrim
795314	403377	Petula Belcher
795314	406039	Anita Rowley
795314	409505	Jade
795315	131232	Extra
795316	178043	
795316	206858	
795317	11404	
795317	13829	Carola Chapin
795317	331138	
795318	31205	Dolores
795318	73962	Emma Tremaine
795318	220273	Aicha (Moulin Rouge performer
795318	309858	Bloody Mary
795318	356285	Mary
795319	61961	Lillian
795320	99623	Herself (Backing Singer - Swe
795320	241597	Herself - Choir
795321	167013	Sherry
795322	35523	Playboy Model
795322	92742	Modeling agent
795322	252389	
795322	252399	
795322	318530	
795322	367803	
795322	371004	
795323	166046	Sabrina
795323	190230	Reporter #2
795324	51996	Cageside Observers
795325	154927	Party person
795326	280298	Talia Jones
795327	72116	Waitress
795327	408867	Show girl (part 1)
795328	199475	
795329	58648	Grandma
795330	157036	Blue Girl at Bar
795331	5990	The Actor's Daughter
795332	216191	Maureen Beebe
795332	245816	Mrs. Stewart
795333	276249	Nandewar
795335	88085	Young Boy's Mother
795336	354548	Marybeth
795337	142296	Mrs. Keller
795337	276923	Mrs. Cameron
795338	81104	Drome Groupie
795339	5539	Wilma
795339	26636	Helen Samson
795339	86021	Marion Burke
795339	128494	Tricia Grinaldi
795339	154451	Gwen
795339	161525	Olga Conway
795339	199148	Jenny's Mother
795339	201845	Mrs. Rockwell
795339	257269	Skylar
795339	289030	Janet Stoner
795339	289645	Louise Knight
795339	311316	Mirror Girl
795339	327250	Naomi
795339	364189	Marlene
795339	364313	Cleta Thomas
795339	367444	Mrs. Leah Jenkins
795339	382356	Margaret Hoover (1972-73)
795339	385939	Charlotte Landers
795339	386508	WPC Margaret Stewart (1969-19
795340	1952	Herself
795340	34081	Herself
795340	37035	Traveler
795340	40303	
795340	46681	Herself
795340	50054	
795340	71187	
795340	77761	Herself
795340	146643	Herself
795340	166554	Herself
795340	178091	Herself
795340	195112	Herself
795340	200646	Herself
795340	235887	Herself
795340	239635	Herself
795340	250846	
795340	250850	Herself
795340	260299	Herself
795340	279655	Narrator
795340	283104	Newborn Baby
795340	318690	Herself
795340	364185	Herself
795340	389997	Herself/Interviewee
795340	404900	Herself
795341	214967	Alice
795342	219184	Lady At Church
795343	104371	Mrs. Homan
795343	311408	Customer #1
795344	274427	Wedding Party in Philadelphia
795345	203635	First Fly
795347	84142	Journalist
795348	270680	Pux Pux
795349	65118	Ika
795350	133412	Herself
795350	262114	Herself
795350	330017	Herself
795350	388480	Herself - Presenter
795350	390195	Herself - Newsreader/Presente
795350	390249	Herself
795350	394859	Herself (1995)
795351	14241	Gloria Nash
795351	32043	Lead/Mother
795351	43872	Booger-mom
795351	100591	Karen
795351	194254	Liz Anderson
795351	197715	Martha the Machine
795351	359072	Doctor
795353	18589	Prison Officer 1, Holloway
795353	141350	Ward nurse
795353	395879	Policewoman
795354	108353	Eubie Winfield
795354	149932	Bonnie Lee's Mother
795354	162439	Sandra
795354	340735	Woman
795355	171079	
795356	33579	
795356	51975	Mrs. Warren
795356	79698	Old Woman
795356	79850	Palsied Lady
795356	99856	Rose
795356	100893	Old Lady in Car
795356	106746	Flora
795356	112625	Miss Kate Kelly
795356	114157	Henrietta
795356	118199	Elsie
795356	120645	Mrs. Beesley
795356	128192	Sylvia
795356	128760	Agnes Swenton
795356	133789	Mrs. Amendola
795356	147416	Kate Kelly
795356	150347	Mrs. Kelly
795356	153250	Customer
795356	161936	
795356	168536	Undetermined Role
795356	176912	Mary Ellen 'Queenie' Daughert
795356	187277	Hairdresser
795356	193991	Mrs. Tully
795356	207230	Queenie
795356	215903	Alabam'
795356	220057	
795356	224305	Alice, Baker's Secretary
795356	234471	Queenie, Nora's Roommate
795356	240993	Mrs. Lil Dolan
795356	264502	Beatrice
795356	300062	Ellie May Shipley
795356	304755	Mrs. Grace Vernay
795356	305934	Lola
795356	310566	Olive 'Ollie' O'Dea
795356	321310	Mildred Tam
795356	347136	Landlady
795356	363238	Matron with Cigarette
795356	372140	Elderly lady
795356	389536	Elderly Wife
795356	395735	Amanda 'May' Whipple (1974-19
795357	7810	Bombshell! Dancer #2
795358	78828	Ghost
795358	194479	Secretary
795358	292643	Sue
795358	298425	
795359	68767	Raven
795359	220126	Jen
795360	11193	Rosie Herriot
795360	379706	Rosie Herriot (1985-1989)
795361	280833	Stewardess
795361	367906	Young Marije
795362	387336	Rebecca - the First Housemaid
795363	197758	Prison inmate
795364	116103	Tourist
795365	232436	Jill
795365	298266	Kate
795366	28878	Mother
795366	78328	Bonnie Wright
795366	109427	Mary
795366	171297	Bystander #3
795366	230769	McAmmond
795366	233964	Beth
795366	315889	Ring Girl
795366	345857	Nurse Mills
795366	359902	Ellie
795367	130607	Maria
795367	248050	Yelling Woman
795367	254418	Detective Allie Powell
795368	393236	Maggie Jackson
795368	405209	Clare Garvey (1998)/Bonnie Ra
795369	2090	Lex
795370	341680	Captain Nemo's Waitress
795371	354854	Dr. SaM
795372	264028	Herself
795373	194666	Josie
795374	177651	Farmer's wife
795375	40887	Jinx
795375	78086	Freckles
795375	92174	Emma Moody
795375	123343	Mary
795375	128850	Sloppy Krupnik
795375	208692	Red
795375	234223	Texas Gleason
795375	305621	June Smith
795375	323968	Schoolgirl Noticing Beard
795375	331421	Messenger Girl
795375	337122	Millie Walker
795375	362087	Gertie
795375	372588	
795376	367512	Ethel
795377	357086	
795378	314203	Kristen
795379	209198	St. Helen's Street Girl
795380	321559	Derby Dancer
795381	243751	Dancer
795382	90209	Second Wench/Young Lady
795382	124594	Shrewsbury graduate
795382	194513	Shrewsbury graduate
795382	267253	Actress
795382	385299	Pat Reddington (1985)
795382	395449	Policewoman
795382	397859	Jo
795383	79279	Redheaded Barfly
795384	47915	Student
795385	367073	Munchkin Villager
795386	22176	Chanteuse/Matron in Cafe/Phar
795386	109826	Juliet Munro
795386	224317	Brenda
795386	236362	Lucy
795386	297876	Sally
795386	315675	Susan North
795386	334148	Patti the Scarf Lady
795386	340545	Eve Kingston
795386	392248	Jennifer Corder (Dr Corder's 
795387	395653	Elizabeth Culver
795388	24793	Dr. Hannah Nygaard
795388	92865	Waitress
795388	166917	Former Girlfriend
795388	234966	Yogi
795388	280205	Nicky
795388	340958	Juliet
795388	362355	Flight Attendant
795388	388639	Reporter
795388	409232	Nancy Carlson
795389	82983	Backing Singer in 'Condemnati
795389	85189	Background Vocals
795390	13707	Herself - Colorado Eagle Foru
795391	203188	Missy Trant
795392	67613	Cathy Goodland
795392	289374	Joanna Royce
795392	392928	Doctor Lydia Thorpe
795393	383291	Zulma
795393	392262	
795393	403651	Carmen
795394	326770	Lori (segment "Lor")
795394	400533	Sandy Smith
795395	149931	Zabo's Daughter
795396	358663	Wet T-Shirt Girl
795397	323823	Dirty Dancer
795397	352441	Church Lady
795398	53301	Interviewee
795399	190702	Cheerleader #10
795399	224192	Showgirl
795400	24430	Go-go dancer
795400	24432	Scene Break Dancer
795400	298076	Dancer
795401	123462	
795401	123464	Judge Sarah
795401	358148	Sara
795402	383896	Herself - Presenter/Scotland 
795403	313696	Young Cailie
795404	389858	Kristina Davis #3 (2003-prese
795405	33523	
795406	92263	Astronette #6
795406	235403	Cheerleader on Football Field
795406	243150	Dancer
795406	291222	Dancer
795407	275430	Kate
795408	189473	Twin 1
795410	72923	Caryn
795410	108033	Nurse
795411	26293	Julia
795411	86037	Heartstopper
795412	41988	Nurse Cindy
795412	237992	Aleta Jewett
795412	328585	
795413	74006	Marge Sanders
795414	397396	Herself
795415	43924	Sadie Mae Glutz
795415	64740	Patty Hearst
795416	169438	Silver
795417	109649	Athlete
795418	232413	Susan Temper
795418	267684	Field Hands
795418	343334	
795419	64670	Nancy Page
795420	24146	
795421	87177	Herself
795422	127584	Roommate
795424	133678	Mayoress
795425	12225	Bigger
795425	17749	Dancer
795425	20371	Redhead
795425	40878	Meg Penny
795425	43378	Shelly
795425	46334	Bonnie MacMahon
795425	55457	Sandra Grant
795425	73207	Jodi Hayward
795425	80539	Sgt. Addy Cooper
795425	83952	May Cornell
795425	89327	Tammy Hayes
795425	96970	Tina Marie Risico
795425	97026	Nicole
795425	105127	RedHead
795425	107103	Jeanelle Polk
795425	110967	Make-Up Salesgirl
795425	154576	Kim Fielding
795425	162345	Joenie
795425	174006	Herself
795425	186841	Biker Girl
795425	196580	'Little Tramp' Woman
795425	210700	Clara
795425	230343	Dawn
795425	235460	Carol
795425	249559	Carolyn
795425	289167	Amanda
795425	305074	Faye-Jean Lindsay
795425	308052	Teri
795425	318783	Rhonda Altobello
795425	342472	Maggie Fowler
795425	364344	Nikki Downing
795425	379715	Sonia Russell
795425	380668	Laura
795425	381525	Linda
795425	382666	Amanda Gibbons
795425	396145	Olympia Stanislopolous Golden
795425	405153	Waitress (episode 3)
795425	406363	Julie Lawry
795425	408455	Florence Madison
795426	132912	Female Imaging Voice (Fever 1
795427	215459	Reigning Miss America 1996
795428	332169	Lorna Summers
795428	338771	Shea
795429	367844	Girl on Skates
795430	334853	Student
795431	205268	Woman at Auction
795431	248124	The Stylist
795432	323585	
795433	305351	Assistant
795434	31191	Herself (ABC Team)
795434	108771	Ann Harris
795434	109617	Kathy Crowley
795434	117078	Capt. Carolyn Engel
795434	215173	Nola McGuire
795434	232247	Judy Agretti
795434	254776	Noel Marshall
795434	291509	Billy Ikehorn
795434	320802	Sheila
795434	330715	Tanya
795434	389056	Capt. Carolyn Engel
795435	175788	
795435	352465	Gang Girlfriend #1
795436	244855	
795436	363160	
795436	400019	Guest Host
795438	99470	Laundry Supervisor
795438	170436	Nurse
795439	16003	Young Jackie
795439	251436	Tracey, shop assistant
795439	382266	Jas Dyson, aka Claire
795439	385709	Matilda
795439	388133	Sandy
795439	391166	Jez
795439	403853	Emma Kavanagh (1999-2000)
795439	409237	Janet Smith
795439	411316	Housemaid
795440	61611	Pastry Girl
795440	279203	Hazel
795440	380049	Louise
795441	124340	Bubbly Mother
795442	263319	Ann Courtney
795444	99829	Little Girl
795445	342561	The Aleem's Wives
795446	56652	
795447	220716	
795448	195702	Young boy with flowers
795449	34633	
795449	140317	Dr. Young
795449	264748	(special edition only)
795450	246298	
795450	318270	
795450	383444	Esterella Montenegro
795450	386149	
795450	386162	Mariana Oropeza
795450	389751	
795450	390735	Sonia Arbeláez
795450	396902	Coralia Lozada de Gálvez
795450	397011	Maria Celeste Paniagua
795450	397738	Milagros Vargas/Chachita Varg
795450	403753	Rosangélica González Hernánde
795451	4753	Laura
795451	379080	Laura
795451	392565	Nathalie
795452	326748	Mary
795453	40543	Sandy Martel
795453	81973	Singing mother
795453	113498	Mother
795453	141226	Kathy LaSalle
795453	205969	Louise
795453	230841	Lisa
795453	315925	Francine Leslie
795453	337123	
795453	385572	
795453	405108	Wife
795454	44892	Linda
795455	16878	Dancer
795455	158902	Camille Kapp
795455	250514	Laughing Nurse
795455	359441	Janie Barlow
795456	130422	Kate
795456	363355	Student
795457	51989	Guard Lynn
795457	346016	Sarah
795458	186404	Charlie
795458	251865	Rita
795458	318796	Betsy
795458	335982	Clothilde, Sullivan's Maid
795458	358458	Ali
795458	366768	Marlene
795458	401077	Kirsty Attwood (1996)
795459	48041	
795460	27263	Waitress
795460	342924	Cue card girl
795461	90316	Girl in Market
795462	115421	
795463	14066	Herself
795463	45257	Herself, Child Murderess
795464	109877	Lisa Everson
795464	193198	Narrator
795464	244892	Narrator
795465	41302	
795466	337096	Lois
795467	38930	Rosie Talbot
795468	35255	Additional Bitchy Girl
795468	81946	Marcia
795468	91920	Waitress
795468	209707	Suzy
795469	324235	A Clown
795470	309205	Herself
795471	292046	Fitz (VJ)
795472	56545	Herself
795473	197758	Prison inmate
795474	35524	Annihilator Girl
795474	182955	Karen, Jack's Dancing Partner
795474	185053	Model
795474	226938	Oscar Guest in Birdcage Skirt
795474	241166	Foxy Friend
795474	346294	Reporter
795475	31635	Gina
795475	232483	Party Guest
795475	340992	Dr. Bachman
795476	81319	Dixie
795476	279185	Kim
795477	19177	Office Personnel
795478	78530	Town Meeting Woman
795479	367054	The Wiz Singers Adult Choir
795480	195088	Denise
795481	254605	Joyce Prangle
795481	344184	Checkers/Joanne Fabrics
795482	100841	Customer
795484	5332	Nancy Sheridan
795485	75675	Melissa Korinna
795486	308168	Girl 1
795487	227347	Lisa Ostrum
795488	114956	Ellen Brody
795488	222136	Herself
795489	58773	Webster, IBI Director
795489	161388	Herself
795489	201643	Herself/Webster
795489	208415	Karen Daniels
795489	257571	Vonda
795489	342561	The Aleem's Wives
795489	364431	Julie
795489	382554	Tasha King
795489	385013	Ronnie Boice
795489	408455	Tanya Cole
795490	102581	Trolls
795491	403026	Maggie
795493	79408	Martha
795494	170418	Rita
795495	30678	Sharon
795496	336484	Dancer
795497	195771	Person in the Colony Room Clu
795498	193955	Elizabeth Strong
795499	384894	Cecilia Osborne
795500	53042	Carrie
795501	236873	Waitress
795501	311523	Mutilated Woman
795502	13966	Valerie
795502	68449	
795502	94217	Pica Sullivan
795503	203243	Shopper
795504	387114	Diana the Acrobat
795505	131915	Princess
795505	154334	Val
795505	155453	Deli Deliah
795505	168295	Head Usher
795505	262589	Teleprompter Operator
795505	378801	Eva Rawley (1989-1990)
795506	273926	Beth
795507	212032	Tina McConnell
795507	410682	Violet
795508	22596	Dallas Humvee Driver
795508	26633	Bobbi
795508	61627	Principal Binder
795508	150127	Sunny
795508	253356	Reporter #2
795508	253363	Bailiff
795508	253364	Bailiff
795508	297116	
795509	220956	Yates
795510	215554	Jessica's Sister
795510	364465	Dancer
795510	381661	Hill's Angel (1984)
795511	287508	Marty Johns
795512	321285	Receptionist
795513	68450	Les Miserables Singer
795514	240612	
795515	39624	Delia
795515	94132	Sister Marguerite
795515	130056	A Visitor
795515	321543	Lucy
795516	230934	Woman at Bar
795517	81493	The Entourage #10
795517	393590	Mrs. Darling
795518	20625	Extra
795518	165445	Adele
795518	238991	Girl Friend in 'Goodbyee'
795518	267530	
795519	59685	Mitty
795519	102581	Parents
795520	72098	Grandma Grace
795520	297121	Jessica
795520	349393	Nurse
795521	255274	Pupil
795522	387533	Eve Rowlands (1998) (6 episod
795523	55690	Vestal Virgin
795523	55693	Polly
795524	194648	Lisa Losers
795524	308168	The Innkeeper
795525	55714	Amazon Guard 2
795526	30474	Rocky's Girlfriend No. 2
795526	164699	Sandy
795527	230333	
795528	6251	Herself
795528	118764	Herself
795529	10577	
795529	291161	Mathilde
795530	155250	Silequa
795531	104371	Mrs. Howe
795531	148200	Aunt Georgette
795531	194820	
795531	215603	
795531	226920	Rose Graham
795531	326428	Lee
795532	59858	Con Woman
795532	65578	Caged Animal Masturbator
795533	213663	Jan's Mother
795534	114307	
795535	108425	Amanda
795536	141487	Violet
795536	330376	Board Member
795537	254417	Regina
795537	259269	Mrs. Garcia
795538	218782	a Jivin' Jill
795538	321522	Wanda
795538	335852	Dancer
795538	363440	Model
795539	307910	Joy
795540	364372	Casting Director #1
795541	388491	Sister Clare
795542	317956	Mia Mendez
795543	82602	Specialty dancer
795543	133427	Princess
795543	264513	Slave Girl
795544	289221	
795545	20625	Extra
795545	41682	Specialty Dancer
795545	195879	Chorus girl
795545	200129	Ziela
795546	71474	Winnie Williams
795546	151183	Lynn
795546	270910	Chorus Dancer
795546	324742	Street Dancer
795546	362512	4th Ikette
795547	21448	Jackie Simpson
795547	30461	Lisa Simpson
795547	64917	Nancy
795547	75801	Lisa Simpson
795547	127795	Bonnie Cleator
795547	167866	Woman who flirts with Howie
795547	171311	Lulu
795547	187226	Putter
795547	191513	Cootz
795547	208494	Connie
795547	217485	Jenny Skinner
795547	273920	Jill
795547	302271	Lisa Marie Simpson
795547	302272	Lisa Simpson
795547	302273	Lisa Simpson
795547	302274	Lisa Simpson
795547	302275	Herself
795547	302276	Lisa Simpson
795547	302277	Lisa Simpson
795547	331533	Cheerleader
795547	335791	Gatekeeper
795547	337206	Miss Drum (researcher)
795547	360507	Cecilia
795547	376311	Karen
795547	382852	Louella
795547	383707	Paula Bennett
795547	386248	Marlene (1997-1999, 2001-2002
795547	391439	Louise Fitzer
795547	405405	Lisa Simpson
795547	408679	Lisa Marie Simpson/Margaret "
795549	272975	Herself/Narrator
795550	348229	Club Patron
795551	223758	Ethel
795552	410616	Patti
795553	202195	Waitress
795554	248441	Dance Hall Girl
795555	3148	Ginny
795555	20727	Caroline Lee
795555	39004	Violet
795555	114298	Miss Sullivan
795555	122968	Elly (The Gal Young 'Un)
795555	139582	Mrs. Welsch
795555	157436	Trina Paxton
795555	166567	Sharon
795555	188223	Clarice
795555	213350	Mrs. Howard
795555	213452	Bud's Wife
795555	216879	Diane
795555	265904	Lady Texan
795555	270933	Barbara Lang
795555	273920	Dr. Nina Farrell
795555	284932	Carol
795555	297951	Angela Anderson
795555	329477	Carol Bloom
795555	372097	Mabel
795555	385821	Ramona Luchesse (1990-1991)
795555	390771	Nancy Ferris (1984-1985)
795556	185369	Mrs. Simmons
795557	344184	L'il Patsy's Mother
795558	37192	Secretary
795559	7418	Jennifer
795559	11525	Post Librarian
795559	46581	Marcy
795559	48938	Norma Tacker
795559	129772	Alice
795559	140400	
795559	140401	Marnie Bridges
795559	150910	
795559	191431	Betsy
795559	231871	Peggy Barton
795559	275456	Joanna
795559	278233	Angela
795559	288472	Debbie Jones
795559	293266	
795559	312958	Andrea
795559	371321	
795560	217657	
795561	177660	Amish Babe
795562	26834	Badger
795562	46237	Maya Fein
795562	108330	Maya Fein
795562	380246	Nanette Manoir
795562	382104	Spring
795563	138737	Plaintive Girl
795564	1753	Caroline Floyd
795564	11386	Peggy Schuyler
795564	52623	The Girl
795564	80783	Katherine Raynor
795564	102591	Dorothy Kovacs
795564	113269	Casey Halsey
795564	121823	Elizabeth Farmer
795564	244443	Cindy Barnes
795564	258199	Countess Nina von Stauffenber
795564	262520	Liz Oakes
795564	275001	Karen Daniels
795564	281803	Rose Greenhow
795564	285117	Jihan Sadat
795564	319493	Naomi Bensinger
795564	348594	Pam
795564	392545	Tracy Whitney
795565	247455	Jenny
795566	407224	Samantha Briggs (2001-)
795567	61576	Little girl
795568	273872	Laura
795569	5488	Office Girl
795570	10624	
795570	58625	
795570	175889	
795570	218749	Headmaster's Wife
795570	293297	
795570	396772	Mary Crawford
795570	405297	
795571	6357	Ponni
795571	6454	Rajanarthaki Nandini
795571	9850	
795571	24870	
795571	93868	
795571	137629	Sex Education Teacher
795571	175886	
795571	215626	
795571	250481	Dancer
795571	285198	
795571	370421	
795572	265171	Mindy
795573	16878	Nursemaid
795574	16878	Midwife
795575	366997	Girl #2
795576	178051	Doctor Piper
795577	85573	Asheara
795578	2445	Herself (Denise's Childhood F
795579	274332	Dancer
795580	31191	Herself (CBS Team)
795580	196100	Carol
795580	221049	Lise
795580	244940	Cathy Wakefield
795580	363132	
795580	363422	Devola
795580	411323	Bailey Quarters
795581	10782	Betty Spencer
795581	33398	Liz
795581	34722	Herself
795581	75648	Helen Quinlan
795581	100041	Terri Tunkley
795581	141257	Julie
795581	141596	Model
795581	196845	Lucinda
795581	273610	Mary
795581	279176	Marcia
795581	295446	Tracey
795581	295784	Sylvia
795581	313172	Patty Norris
795581	313815	Lena
795581	315909	Leslie Barrett
795581	379746	Gillian Porter
795581	381238	Mandy Engels
795581	382294	Debra Smith
795581	382393	Lydia
795581	387639	Presenter
795581	391869	Paula Rogers (1997-1998)
795581	406743	
795582	279432	Katy Probyn
795583	321180	Josephine Russell
795583	403244	Penny Russell #2
795584	309890	Smoke House
795585	80695	Spike
795586	125738	Rosie
795586	215453	Colleen
795586	366908	First girl on movie line
795586	380390	Amber Phillips (1982-1983)
795586	386275	Christina Towne
795586	405961	Patty Hammersmith Lincoln
795587	98111	Alexis
795587	176712	Clarita
795587	365253	Carol
795588	11116	Anne-Elise
795589	47551	Lalla Watkins
795589	57296	Mrs. Rudd
795589	80954	Mrs. Slater
795589	127225	
795589	154582	
795589	210715	Katherine
795589	244382	
795589	309872	Mrs. Brimsley
795590	89250	Woman in dance hall
795591	46857	Old Dutch lady
795591	108162	Peggie
795591	314854	
795591	352299	Alida de Beer
795591	394639	
795591	411349	Martha Atsma
795592	135812	Freckled Girl
795592	318204	Nettie, Mary Agnes' friend
795592	363225	Stacy Howard
795593	33235	Doris
795593	33625	
795593	93672	Advocaat
795593	130224	Annelies
795593	156144	Greet
795593	266157	Mother of Frank
795593	350311	Moeder Anna
795593	360918	Meisje
795593	393184	Eliza Rahusen
795593	408092	
795594	68276	Chris Winslow
795594	80482	Sheila Feinstein
795594	86470	Fay Tolland
795594	88102	Morag
795594	144589	Narrator
795594	151556	Carol Warsher
795594	190269	Kay Thompson
795594	214744	Clare's Agent
795594	217625	First Lady
795594	235636	
795594	245838	Dana Selkirk
795594	256823	Mrs. Lynde
795594	291447	Carla
795594	300815	Mom
795594	310878	Carolyn Rogers
795594	327060	Kate Cardigan
795594	327063	Kate Cardigan
795594	329586	Suzanne
795594	353752	Bianca O'Blivion
795594	359205	Lisa
795594	380855	Mrs. Anderson (Man from Mars)
795594	387454	Megan Redner
795594	406706	Carrington 'Carrie' Barr (198
795594	408692	Sally Ross
795595	313089	
795596	382838	Sharon Bridges (1997-1998)
795597	188502	Pool Girl
795598	224863	
795599	240392	
795600	242113	Girl at Carnival
795601	194865	Pregnant Prostitute
795602	170226	Herself
795603	79888	
795604	134763	
795605	77481	
795605	86857	
795606	284347	Emil's ex-wife
795608	349890	Invitada 2
795609	273756	
795610	179299	Molly
795610	356078	Sofie
795610	400801	Bellemans
795611	223740	Mrs. Dunphy
795612	304164	
795613	239421	
795613	306646	
795613	332993	
795614	162758	
795615	43214	
795616	260356	Hospital Receptionist
795617	113102	
795617	166420	
795617	249075	Gräfin
795617	328984	Elena
795617	345902	Elisabeth von Gall
795617	404457	Clare Seldon
795618	245988	Manny
795618	358190	Woman on Trail
795619	95933	
795620	265640	
795620	394750	
795621	113338	Herba
795621	201290	Roll, Lorry
795622	308627	Dancer
795623	305559	
795624	33596	Ruth
795625	249691	
795625	396874	Mascha Gellert
795626	163048	Paranormal Investigator
795627	245158	Dancer
795628	400162	Jarreau Jerrico
795629	32098	Vivien
795629	60810	
795629	104924	Eve Batiste
795629	164364	Phoebe
795629	280631	Tori
795629	282935	Emerald Delacroix
795629	293843	Sheyann Webb
795629	385056	Jurnee (1998-2000)
795629	389501	Denise Frazer (1992-1994)
795629	400162	Jordee Jerrico
795629	410571	Holly Hawkins
795630	17595	
795630	125072	
795630	154505	Elinor
795630	156716	
795630	177170	
795630	293238	
795630	357753	Mary Blom
795631	95945	Village Woman/Lady #2
795632	332771	P.A. #2
795633	59772	A master of a speaking cat
795634	200880	An Angel
795635	261302	
795635	300492	
795635	304170	
795636	156002	Herself
795636	263424	(segment "Doroga")
795636	285208	
795637	180357	
795638	16444	
795638	21314	
795638	42193	
795638	84756	
795638	151849	Mrs. Broniková
795638	181341	Márinka Heinrichová, housewif
795638	223586	
795638	237879	Dostálka
795638	244259	
795638	246910	Innkeeper
795638	247934	
795638	258521	Alderman's wife
795638	268263	Josefa Kaderábková
795638	320638	Widow Slabá
795638	328935	Anezka
795638	375414	
795639	156016	
795639	354724	Dowager
795640	228197	
795641	303902	Santa's Elf
795642	290907	Giuseppe's mother
795643	179326	
795643	254203	
795643	370671	
795643	390635	
795644	29656	Barbara Radziwillowna
795644	75990	Lucyna Bortnowska aka Julian 
795644	95727	Joasie
795644	163977	
795644	164755	Jadzia Maliczówna
795644	181387	Joanna Grudzinska
795644	214245	
795644	225973	Rena Czarska
795644	231726	Bronka
795644	234249	Princess Joanna
795644	265652	Alicja Horn
795644	304109	Helena Urbankowna
795644	317250	
795644	323286	
795644	338885	
795644	344324	
795644	344325	Kasia
795645	1955	Herself
795646	315814	
795647	412076	Izolda
795648	41186	Police Officer #2
795649	330886	Jane the Tourist
795650	165284	Wild Suzy
795650	206488	Cleopatra cocktail waitress
795650	241166	Foxy Lady
795651	42388	Religious Prostitute
795652	356325	Wendy
795653	42388	Puppy
795654	13350	Irene Morgan, Waitress
795654	31902	Mrs. Essig
795654	185735	Disgruntled lady on elevator 
795654	187343	Big chested, well dressed lad
795654	191047	Hillbilly Lady
795654	195483	Momma
795654	286477	Maxine Wagner
795654	303534	Edna Whittlestone
795655	58509	The Guardian
795655	176844	Woman #3
795656	135261	
795657	45720	
795657	172903	Teacher
795657	267951	Stáza
795657	305825	
795657	354724	Procházková
795658	335562	Anicka
795658	356070	
795659	155248	Additional Soul
795660	155248	Additional Soul
795661	248565	
795661	370017	Female Czech Cop
795662	21012	
795663	53779	Martina
795663	156435	Mary
795663	194075	
795663	358663	Exotic Beauty
795663	409986	Juliet Droil
795664	70425	Kerri Dean
795665	344240	Ilse
795665	357356	Iris/Young Anne
795665	400217	Lotje Nagy-Konings (1996-1999
795666	127804	Herself
795667	5009	Suzie
795667	31702	Weathergirl
795667	49350	Nina
795667	162268	Herself - Presenter
795667	185303	Claire
795667	186632	Annabel
795667	283361	Annagh
795667	306500	Helen
795667	360727	Clodagh
795667	379571	X
795667	381187	Orla O'Connell (1998- )
795667	381685	Hannah Randall
795667	393162	Rowena
795667	399692	Dr. Helen Ferryhough
795667	408868	DCI Roisin Connor
795667	408869	Connor
795668	404577	
795669	9698	Serena
795669	137330	Laura
795669	243045	Sally
795669	270676	Iliana
795669	338882	Anna
795669	344585	Anna De Rosa
795670	281214	Hanka
795670	304709	Sekretárka
795670	374214	Frantiska Bodnarova
795671	178803	Eva
795671	187373	
795671	204007	Krysa's Wife
795671	223487	Schwester Liebgart/Nurse Lieb
795671	237198	Mother of Anna and Olga
795671	237747	Baresová
795671	244287	Bulankova, the social worker
795671	292975	Ruzenka
795671	404627	Mrs. Pieper
795671	409905	Kveta Uhercíková
795672	16642	June
795672	97056	Sarah
795672	116924	Marcelle
795672	164400	Dora
795672	289523	Daphne Moran
795672	330783	Belinda
795672	405209	Caitlin Devereux (1994)
795673	241316	Restaurant Patron
795674	245850	Rita
795675	231125	Susan
795676	399130	Edwina Valdez (2003)
795676	401523	Carmen
795676	405204	Anna Klopfer
795677	126248	
795678	378730	
795678	380474	
795679	334	Dr. Sheridan
795679	9652	Lola/Betty
795679	17088	Thérèse
795679	55928	Marie Armstrong
795679	79169	Helga
795679	85861	
795679	93429	Linda Borg
795679	93679	Rita
795679	119119	Boubou
795679	121067	Claudia Westorp
795679	125279	Baronin
795679	129879	Wilma
795679	142131	Marianne
795679	144256	Dodo
795679	144713	
795679	145483	Gerti
795679	147539	Heidi Kirschmann
795679	160253	Liz
795679	169490	Ingrid
795679	176545	Susanna Schwartz
795679	176855	
795679	179776	Babs Lincoln
795679	189788	Stina
795679	190849	
795679	216245	Susa Petersen
795679	221729	
795679	225177	
795679	239112	Marion Keyser
795679	243305	Maria
795679	248396	
795679	251610	Martina
795679	252324	Erika
795679	255086	Ruth Morgan
795679	276035	Lise Martens
795679	281105	Andrea von Bruggern
795679	290621	Alexa Bergmann
795679	334608	Helga Ferlach
795679	353384	Helga Swenson
795679	356724	Cora Fürst
795679	359614	Püppi
795679	367191	Gwendolyn
795679	375978	Clarissa
795679	378713	Helga
795680	398757	
795681	138696	Emily
795681	339353	Fiona, Actress
795681	363469	Emily
795682	194012	Swedish Delegate
795683	110561	(Violinist)
795683	194483	Violinist
795684	27667	Woman
795685	57101	
795686	57101	
795687	275434	
795687	359892	
795688	222360	Hostess
795689	243276	Gail
795690	115379	Pizza Girl
795691	80926	
795693	187074	Dojo Fighter #2
795694	69391	Tina
795694	81665	Rosedale Princess
795694	317351	Monica Corelli
795694	398935	Natalie Bouchard
795695	385719	Sarah Collins (1967-68)
795695	404613	Susan Carter (1960s)
795696	351914	
795697	17702	Baby Elizabeth
795698	93314	
795698	238879	
795699	355075	Horsewoman
795700	405209	Kat van de Merve (2001)
795702	68467	Mrs. Dupont
795702	112518	Miss Gorham
795702	301689	Mrs. Preston
795702	356250	Mrs. Killigrew
795702	365274	Mrs. Randall
795702	366336	Kate Temple
795703	221087	Amy Lincoln
795704	311024	Undetermined Role
795705	230089	Diner
795705	290389	Scrub Nurse
795705	364459	Clorinda Antonucci
795706	390917	Jenny Roland
795707	127713	Ginger
795707	382355	Lady Patient (1972)
795707	401766	
795708	259266	Bag Lady Carla Reed
795709	348379	Rita, in the pub
795710	236154	Juanita Stevens
795710	276780	Mildred (Billy's Mom)
795711	140699	Lynette
795711	196895	Colleen
795712	184767	Helen
795713	192002	Angela
795714	379197	Additional Voices
795714	394550	Pearl
795714	396378	Madeline (1993-1994), Daniell
795715	97131	
795715	274647	Rusty
795716	318644	Michelle's mother
795717	391056	Perticipant (2001)
795718	20538	
795718	88745	Úrednice Mána
795718	204906	
795718	247949	
795718	296225	Tridni prof. Bruncvíková
795719	142269	Yvonne Anders, 20
795720	136951	Anna
795721	80660	Younger Nun
795722	249457	Melissa
795722	385820	Denise
795722	386444	
795722	390432	Blonde woman
795722	390650	Miss Thing (Series 2) (2000)
795722	411133	Peter's Assistant
795723	195499	
795724	338623	Marchese d`Obigny
795725	67425	Bessie Winall
795726	239621	Beatrice Mayverne
795727	321777	Steward
795728	67425	Bob's Mother
795728	390180	
795729	342669	Bar patron
795730	50979	Joyce Kuchera
795730	72325	
795730	160887	Cadaver Family Member #2
795731	50977	Stewardess
795731	278332	
795732	11541	Meg
795732	109809	Amy Winton
795733	238552	Female Sex Clerk
795734	218599	Girl in Castle Anthrax
795735	235491	
795736	219739	Mrs. Polski
795737	315190	Dancer
795738	134088	Carlotta Prohack
795739	43	Dancer
795739	131380	Demented Hills Dancer
795739	150075	Freestyle Dancer
795739	310429	Dancer/Cleaning Lady
795741	25880	
795742	166559	Secretary
795742	171297	Nightclub Woman
795743	220775	Band Vocalist
795744	12980	
795744	24555	
795744	31623	
795744	35948	
795744	44608	
795744	62647	
795744	85402	
795744	85404	
795744	115062	Cytherian Girl
795744	127028	
795744	138597	Meenakshi
795744	145685	
795744	150671	
795744	155301	Summit Restaurant Patron
795744	175921	
795744	180231	
795744	200768	
795744	246120	
795744	247292	Malathi
795744	249415	Sathya
795744	308494	
795744	350815	Vasool Raja's lover
795744	351795	
795744	355229	
795744	370458	Nisha
795746	109485	The Blonde
795747	238597	Stacy
795748	69216	
795749	394612	Gast bruiloft Alie en Bertus
795749	397484	Knelia Nuiten
795749	405350	Sijke
795750	411850	
795751	398574	Rose
795752	18612	First Shower Girl
795752	78792	Jennifer
795752	112485	Sheila
795752	141660	Celandine
795753	368244	Ensemble member
795754	144083	Ingrid som barn
795755	83108	Herself
795756	56656	Jenny Seals
795756	275762	Newscaster
795756	300195	Reporter #5
795756	344408	Newscaster
795756	366954	Herself
795757	318456	Nightclub dancer
795758	318337	Inmate #3
795759	44899	Chorine
795759	67156	
795759	195071	Dancer
795759	330375	
795760	1598	
795760	131526	
795760	291561	Commessa Monti
795760	350421	Leontine
795761	5054	Lady Wellingford
795761	104305	Lady Winthrop
795761	185750	
795762	26373	Girl at disco
795762	74761	
795762	116515	Harem girl #5
795762	348358	Rent-a-Girl
795762	368928	Girl on Train
795763	139222	Extras
795764	14484	Mrs. Tetmann
795764	148200	Aunt Leslie
795764	148203	Aunt Leslie McCallister
795764	289468	Washer Woman
795764	308574	Voice of Isak Dinesen
795765	381238	Departure Clerk, GOA
795766	255124	Princess Sofia
795766	302184	Viki Bond
795766	342118	
795766	352292	Olga
795766	401066	
795767	153645	Nympho
795768	379030	Herself (Fridays' Jälkiviisaa
795769	34125	
795770	99075	GSA Student
795770	132561	Alicia
795771	156032	
795771	174209	Cilla
795771	206142	Mrs. Majuri
795771	236795	Mrs. Randell
795771	239153	Maj-Lis Kumpula
795771	258847	Berta Korri
795771	287535	Mrs. Helavuo
795771	291666	Laura, Impin sisar
795771	349734	Signe
795772	47590	
795772	330637	Mrs. Van Paul
795772	358154	
795773	175573	Nurse
795774	184801	
795775	257634	Additional Cast
795776	103642	Biker's girl
795776	195601	Orgy Attendant, Dungeon Slave
795777	35902	Milena
795777	95754	Dama ot vissheto obshtestvo
795777	132613	Maykata na Tzena
795778	168063	Wong Ku
795779	362434	Naughty Natasha
795780	323841	Sigvalda Sigurdsdottír
795781	158141	Extra
795782	310462	Harvard Square Reporter
795783	189520	Mother
795784	204769	
795785	166629	
795786	215148	Miroslava (child)
795787	39012	Zhenshchina v parke
795788	42855	
795788	93621	Garderobejuffrouw
795789	57757	Werkster
795789	156134	Juffrouw Hamber
795790	277759	Lerares engels
795790	305037	Yvonne
795790	401596	
795791	80666	Saskia
795792	252	Nora
795792	31986	Beatrijs
795793	167043	Signer
795794	109139	Carina
795795	130232	Mathilde Carillo
795795	378773	Monique
795795	390242	Mathilde Carillo (1997-2000)
795796	104646	Peformers
795796	405209	Karen Marowitz (2002)
795797	319003	Woman in window
795798	3100	Papa Doc's Girl
795799	125880	Paper Vendor
795800	411435	Emi-Chan
795801	381436	Gabrielle Neal (1993)
795802	3107	Elsie Frost
795802	5855	Rosemary Maloney
795802	11450	Alma
795802	16359	Mrs. Cranston
795802	23557	Louise
795802	28480	Ruth Badger
795802	30474	Book Publisher
795802	41934	Vera Johnson
795802	42031	Becca Dane
795802	61887	Amy Carlisle
795802	81055	Virginia McGinnis
795802	86001	Tina Balser
795802	96973	Woman in commune
795802	109472	Diana Hayward
795802	117883	Ina Hamm
795802	118051	
795802	122076	Hester
795802	148572	Dr. Delingua
795802	157117	Grace McCormack
795802	158311	Augusta
795802	162364	Mrs. Paul
795802	182952	Margot
795802	196208	Nancy Warren
795802	215847	Louise McVay
795802	222875	Joan Freeman
795802	226475	Stefania Comaneci
795802	231951	Mrs. Johnson
795802	247039	Sarah Wheeler
795802	270271	Janice Angstrom
795802	273559	Isobel Bennett
795802	281803	
795802	301682	Janet
795802	307579	Sharon Keyes
795802	316216	Ruth Kinneson
795802	363913	Josine
795802	364440	Megan Baker
795802	365451	Ruby
795802	367668	Florence
795802	401359	Aunt Heloise
795803	104772	Dutch entry (22nd place)
795803	228262	Herself
795804	113061	Vrouw bij geldautomaat
795804	183097	Buurvrouw
795804	352329	Truus
795804	378638	Hella
795804	385597	Buurvrouw
795804	390410	Rita de Brink (1997)
795804	392674	Mevr. de Winter (2000-)
795804	410441	Jantje Kruimel (1993-1995)
795804	411233	Pietje Anders
795805	305091	Professor Snook
795806	316494	Rasberry Tart/Blueberry Muffi
795807	68943	Ewa
795808	373216	Mavis
795809	199405	Belle
795810	291974	High Priestess
795811	48564	Shuttle Girl
795812	765	
795812	30038	
795812	34721	
795812	41594	
795812	52209	
795812	60320	
795812	62493	
795812	74301	
795812	81865	
795812	87370	
795812	91833	
795812	93711	
795812	97307	
795812	110294	Casting Couch Girl
795812	110476	
795812	115055	
795812	123806	
795812	128555	
795812	128690	
795812	178320	
795812	200271	
795812	200831	Rino (US version)
795812	228001	
795812	228577	
795812	242068	
795812	243094	
795812	260297	
795812	273300	
795812	291899	
795812	295648	
795812	306909	
795812	306911	
795812	306917	
795812	321241	
795812	326733	
795812	326855	
795812	327774	
795812	332857	
795812	334725	
795812	354799	
795813	117986	Beth
795813	234464	Tophat
795813	295636	Narrator
795814	214296	Shizuku Tsukishima (Disney 20
795814	215664	Judge
795814	222870	
795814	243928	Herself
795814	246238	Zoe Plummer
795814	288099	Host
795814	326664	Herself
795814	358814	
795814	379997	Meg Pryor
795814	389416	
795814	390771	Susan Lemay #2 (1998-2001)
795814	398213	Herself
795815	26669	Mistress of ceremonies
795815	283545	Amber
795815	366640	Herself
795816	64842	Sewing Woman
795816	70429	Tooty
795816	194055	Claudia
795816	245055	Disturbed woman
795817	309217	
795818	232069	Phoebe
795819	321031	
795820	199467	Ingrid
795822	276708	Paula
795823	185174	Cindy's Aunt
795824	119338	Pinhead
795825	402413	Marion 'Marmaloid'Wall
795826	65896	Autograph Girl
795828	43221	Posh Lady
795828	100821	
795829	230769	Foster
795829	359902	Waitress
795830	11454	
795830	235950	Karen
795830	249155	Psychiatrist
795830	250831	Kathleen
795831	119338	Pinhead
795832	271168	Horn's wife
795833	92260	Dead Person
795835	99296	Passerby
795835	113498	Jogger
795835	141226	Student
795835	148460	Student
795835	152838	Visitor
795835	304742	Business Woman
795835	405073	Shattered Citizen
795835	408968	Trudeau Girl
795836	16106	
795836	16689	
795836	26814	
795836	30561	
795836	45864	The Wealthy Widow
795836	47347	Josie Richards
795836	48685	The Buddhist Priestess
795836	51982	
795836	55177	
795836	58619	Angelina Kilbourne
795836	70806	Peggy Ainslee
795836	71551	The Waitress
795836	75315	
795836	79359	
795836	89191	Nello, a boy
795836	91524	The Young Child's Nurse
795836	92064	The Dove
795836	96650	Dixie Mason
795836	96807	Barbara Drew
795836	107298	Lillian Hill
795836	110828	Lady Barbara O'Day
795836	114156	Madeleine
795836	114687	
795836	116272	The Scheming Aunt
795836	117144	The Attractive Wife
795836	117618	The Forest Rose
795836	120656	
795836	126549	The Wife
795836	128367	
795836	128373	The Wooer's Wife
795836	133804	
795836	137485	Miriam Challoner
795836	143174	
795836	145972	Peggy Winters
795836	146330	
795836	148980	The Bride
795836	152985	Diana Curran
795836	157732	Kitty Judd
795836	158125	The Mother
795836	161486	The Girl
795836	166981	Jess
795836	167596	
795836	169147	Potiphar's Wife
795836	178239	Norma Webb (his wife)
795836	183658	The Lady from the Sea
795836	186228	Mary Ainslie
795836	192119	The Stenographer
795836	194577	
795836	196246	The Invalid
795836	196836	
795836	205122	
795836	206396	
795836	213904	
795836	214101	Countess Olga
795836	214102	Countess Olga
795836	215756	The Girl
795836	215848	
795836	219890	The Belle of the Village
795836	220181	
795836	223692	The Mother
795836	231326	The Bride
795836	236929	The Mother
795836	239563	
795836	246062	Willie's Mother
795836	250733	Blanchette
795836	255457	
795836	271127	
795836	275228	The Lighthouse Keeper's Frien
795836	278457	Miss Romantic
795836	280934	
795836	281932	Dorothy Cruickshank
795836	282277	Dodo
795836	286060	Nora Grady, the Saleslady
795836	288984	Stella Rawley
795836	292196	Muriel Mannering
795836	297866	She
795836	301757	Marjorie Blair
795836	314462	The Older Sister
795836	327630	The Bride
795836	329744	
795836	333579	The Mother
795836	335240	The Tomboy
795836	346385	
795836	348538	Beatrice Mitchell
795836	351242	Elvina Grey
795836	363154	Herself
795836	364448	The Wife
795836	367513	Edna Crane
795836	367532	Laura/Anne
795836	372619	Lochinvar's Bride
795836	376014	Zudora
795837	133834	Little Girl
795838	13271	
795838	56934	
795838	129441	
795838	195596	
795839	83834	Nellie
795840	356896	UN delegate
795841	1801	Herself
795841	183400	
795841	201537	Herself
795841	367068	
795842	26359	Lotta
795842	149448	Big Dolores
795842	207828	Liza
795843	82538	Leila
795843	274317	(segment "The Art of Loneline
795844	13882	Deena
795845	33034	
795845	372752	
795846	121527	Diane Davers
795849	17696	Margaret Bush
795849	39175	Sheila Walsh
795849	40739	Peggy
795849	47462	Ruby Stiges
795849	74014	Fay Joiner
795849	84206	Mellie
795849	91880	Real Estate Lady
795849	108140	Claire
795849	126697	Eleanor
795849	155905	Dorinda
795849	162347	Amanda Kirke
795849	165871	Nancy Nicholson
795849	170831	Sgt. Purdy
795849	178223	Mrs. edelson (billy's teacher
795849	187889	Marilyn Norrito
795849	195365	Ellie Hubiak
795849	196948	Judy
795849	210866	Officer Darte
795849	214037	Pinky Djakarta
795849	230703	Audrey
795849	240664	Mindy
795849	240943	
795849	242514	Marie
795849	254996	Older Woman
795849	263235	Haley Griffin
795849	285357	Jill
795849	313562	Ann Menzhal, Tina's Mother
795849	329342	Marcia Timmerman
795849	332320	Dale
795849	358461	
795849	363001	Phyllis Hodges
795849	394905	Det. Mary Margaret Skalany
795849	400808	Francis Hunter
795849	403469	Melissa
795850	45781	Mrs. Yeager
795850	132582	Graham
795850	192748	Jasper's Waitress
795850	252884	Lelani Williams
795850	276731	Passenger
795851	42395	Margaret Fish
795851	382333	Margaret Fish
795851	399893	
795852	85085	Slave
795852	114305	Hattie
795852	118525	
795852	127681	Maid
795852	157877	Lily May
795852	160067	
795852	166071	Maid watching Mary dance from
795852	206346	Pansy
795852	211600	Black dancer
795852	227168	Maid
795852	243215	Hattie
795852	321304	
795852	360702	Black Girl in Brothel
795853	120403	Jenny
795853	124594	Miss Cattermole
795853	194513	Miss Cattermole
795853	234929	Clementine
795853	411280	Emily Whitbread (1988)
795854	11483	Jo-Ann
795854	67685	Evie
795854	72873	Marcia Barton
795854	118810	Nurse Appleby
795854	150309	Terri Warren
795854	155033	Lois Gordon
795854	178061	Cheesecake, Girl at Pool
795854	245511	Maria Craven
795854	272966	Miss Vanilla Bissell
795854	277838	Herself
795854	312280	Lorraine Evans
795855	175175	WAC
795855	203622	Party Chorus Dancer
795856	188298	Jean Wylie
795857	230741	Neighbour
795858	18029	Younger Lisa
795858	75896	Stewardess to Buffalo
795858	95786	Jillian
795858	117666	Young Associate's Companion
795858	176985	Emma Chavez
795859	154379	Herself
795859	311953	Presenter
795859	381886	Herself - Guest Presenter (20
795859	388663	Herself - Presenter
795859	389038	Herself
795859	400220	Herself
795859	403581	Herself (Host)
795859	408555	Herself - Co-presenter (2002)
795860	379893	Tammy
795861	12468	Tessa Mahon
795861	115688	Laura
795861	147298	
795861	178555	Moeder Boecke
795861	190386	Woman in Lift
795861	226295	Joanna van Romondt
795861	238427	Zippy
795861	240402	Gynaecologist
795861	242568	Lydia
795861	250914	Suzanne
795861	254664	Lotti, the mother
795861	254768	Wethouder Natasja Merckelbach
795861	280343	Koningin Houtvolk
795861	305037	Winny
795861	312056	Verpleegster
795861	357356	Carola van Eysbergen
795861	375070	moeder Thieme Backer
795861	386797	
795861	393334	Pien
795861	397358	Emma de Wit (2003-)
795861	410441	Jacqueline Karstens (1993-199
795861	411180	Anna van Buren
795862	74217	Mrs. Curtis
795862	286255	
795862	289472	Degenerate Scanners
795862	368993	Landlady
795862	372318	Client
795863	304618	Screams
795864	144876	Waitress
795864	194665	Video Store Clerk
795865	290839	Bibi
795867	20625	Extra
795868	91573	Old Woman
795868	135177	Older Woman
795868	365381	School Secretary
795869	290519	
795870	82692	Karen
795871	297838	Food-Way woman (1954)
795872	131061	Mayor Margaret
795872	162573	Maud Haines
795872	184521	Bank officer
795872	272026	Photo Assistant
795872	277672	Queen's Guard
795872	341544	Martha Chu
795873	203766	Girl
795874	338981	Herself
795876	87586	Prayer Band
795877	123707	Maizie 'Sugar' Walford
795877	363575	Rose
795878	240573	Miss Margaret
795879	163477	Susan Musk (little girl)
795880	186681	Glitter Jeans Girl
795880	337326	Mary Bolton
795881	314836	
795882	72376	Bidding Customer
795882	95631	Daphne Harrison (Automat feat
795882	248937	The Prostitute
795882	252988	Carrie
795882	329070	Erika
795882	330743	Daphne Harrison
795882	338308	Clair
795883	20928	
795884	99590	Julie Snyder
795884	406381	Host
795885	47426	Couple--Girl
795886	108087	Dancer
795887	47451	Molly
795887	133594	Mrs. Barrow
795887	272234	Kate's Friend
795887	380713	Leslie Bordeau (1992)
795888	154554	Narrator
795889	286423	Ex-boyfriend's Date
795890	2138	
795891	68946	
795892	141500	Mrs. Adair Rutledge
795893	160042	Angela Hennis
795893	251194	Michelle
795893	270349	Martha
795893	319360	Host
795893	389532	Host
795893	393469	Linda
795893	405475	Molly Whelan
795893	411687	Christine Hughes
795894	119795	Herself
795894	273441	Herself
795894	402993	Herself/Paris (2003)
795894	403000	Herself/Real Worlders
795895	256240	Terry's Girlfriend
795896	45781	Missy Dittmeyer
795896	265860	Mary
795896	265864	Mary
795897	177903	Rilla
795897	396117	Colleen Griffin (1977-1978)
795897	400236	Katrina Karr Salta (1978-1983
795898	7420	Party Goer
795899	235635	
795900	329151	Julie
795901	306761	
795902	222640	Arlene
795903	188453	'Dislike' Girl
795904	134004	Les
795905	109630	Head in Coffeetable
795906	35163	Andrea DeLeon
795906	283944	Stereo Store Customer
795906	304758	Mare
795906	380713	Julie Kinney Wendall Snyder S
795906	404282	Laken Lockridge #2 (1987-1988
795907	111060	Andrea
795907	115635	Alternative wife
795907	116799	Cathy Stewart
795907	136228	
795907	176838	Debbie Stone
795907	185670	Cheerleader
795907	202322	Heather Jones
795907	231817	Lisa
795907	232066	Lisa
795907	237654	Jennifer
795907	259278	Carla Sample
795907	263057	Kim
795907	263365	Francie
795907	275506	'Nurse' in soap opera
795907	276599	Angel
795907	276780	Brenda
795907	361068	Deb
795908	293202	Melissa
795909	84230	Film Crew
795910	142341	Angela the Post-Cog
795911	154513	Celeste
795911	185358	Margie
795912	97611	Bed Ticket proprietor
795912	230370	Miss Hazel
795912	366876	Housekeeper
795913	385926	Magdalene du Plessis
795913	404943	Madel Terreblanche
795914	117564	
795915	7277	
795915	7278	
795915	49200	
795915	102654	
795915	102666	
795915	153426	
795915	371045	
795915	371170	
795915	371843	
795915	373142	
795916	167043	Ginkga Biloba
795917	3378	Hotel Manageress
795918	370923	Siu Yu's Mother
795919	9371	
795919	44518	
795919	76640	
795919	136322	
795919	137326	
795919	153435	
795919	221875	
795919	294445	
795919	329009	
795919	334827	
795920	136338	
795920	389545	Red Fraggle
795920	393262	Laura
795921	18792	Carmen
795922	368090	
795923	32219	Katie
795924	212418	Kang-hie
795925	199906	Choi Hyeon-jeong
795926	1921	
795927	226078	
795927	275557	
795927	367148	Nancy
795928	167418	Yingying
795929	276562	Felicitas Guerrero
795930	187263	Young Mahana
795931	69382	Girl
795932	22095	
795933	384204	Herself
795933	384206	Herself
795934	194513	Merryweather
795935	379675	Wirdegen
795936	191832	Journalist
795937	35523	Playboy Playmate
795937	126538	Twin in Chevy (segment "Born 
795938	73306	
795939	202541	
795940	387932	Regina
795940	389887	Bárbara
795941	407864	
795942	404803	Carminha
795943	101491	Mother
795943	324396	
795945	105216	Anita
795946	57456	
795947	85599	
795948	267495	
795949	385549	Mie
795950	46918	
795950	64166	
795950	108079	Herself
795950	219582	
795950	267524	
795950	278617	
795950	344704	
795950	351489	
795952	2334	Mrs.Berger
795953	99998	
795954	304916	Mei Linn
795955	46010	
795955	55344	Lídia
795955	70487	Lily
795955	82991	
795955	103869	
795955	115794	
795955	162168	
795955	174739	
795955	201117	
795955	216850	
795955	256371	Sílvia
795955	341158	Irene
795955	377632	
795955	380330	Marilu
795955	381222	Dalva
795955	381328	Mimi
795955	382405	Suzana
795955	383172	Vera
795955	383866	Teresa
795955	384002	
795955	385023	Márcia
795955	387424	
795955	387835	
795955	393616	Diva
795955	395882	Celeste
795955	396036	Márcia
795955	396651	
795955	396722	Lena
795955	399766	Marisa
795955	401087	Hortência
795955	407643	Helena
795955	408550	Clarice
795956	18478	
795957	35523	Playboy Model
795957	126538	Twin in Chevy (segment "Born 
795958	349750	Narcisa
795959	388458	Nadir
795960	202541	
795961	30415	
795962	17932	Kathrin Silva
795963	381246	
795964	5106	
795965	2334	Sister Frances
795966	176940	Miranda
795966	319281	China Sue
795967	101791	
795968	70704	
795968	285577	
795969	121030	
795970	381262	Elmina Palma
795971	395865	
795972	408381	Sinhá Dadinha
795973	82266	Ruby James
795974	97557	
795975	14760	TV Owner
795976	285469	
795977	322574	La signora Krauss
795978	178794	
795978	322723	Bakanga
795978	322723	Harandro
795980	110192	Subway Gaper
795980	154736	
795981	265640	
795982	217825	Meryl
795982	326242	Reporter
795983	83777	Sara
795984	204755	
795985	94856	Unemployed young woman
795986	174880	Girl Dancing with Michal at D
795987	75966	Renata
795988	149804	Schoolgirl #1
795989	167068	Bartender
795991	192680	Herself (Student at School of
795992	63663	Estelle Kushtar
795993	360436	Hot Tub Woman
795994	208278	Vertegenwoordiger
795994	238480	Baliemedewerkster
795995	160513	
795996	86826	Chica hombre (segment "No tre
795997	8618	Andrea Dominguez
795997	332921	
795997	385392	
795997	399525	
795998	311923	Prison Extra
795999	383471	Frida Iturbe
795999	390404	Flavia/Fabiola
795999	395885	Natalia Sandoval (niña)
795999	400490	
795999	408855	Macarena
796000	77275	
796001	17132	Angelica
796001	122720	The Enclosed
796001	146587	Manuela Diaz
796001	306644	Justina
796001	380128	Claudia
796002	4879	
796002	8646	
796002	11999	Kalyani
796002	15837	Dr. Balu's Wife
796002	19213	Subba Laxmi
796002	19264	Policeman's Wife
796002	19644	
796002	20230	
796002	28630	
796002	60533	Shantha
796002	68446	
796002	77078	Subbu
796002	77622	
796002	142551	
796002	146833	Gauri
796002	155769	Banu
796002	159893	Maya
796002	161785	Herself
796002	172747	
796002	172867	
796002	173402	
796002	179449	Kokila
796002	203866	Merlin Fernandes
796002	203876	
796002	203927	Mother Blandina
796002	204084	
796002	204273	Ganga/Nagavalli
796002	208774	Uma Maheswari
796002	210258	Pavizham
796002	214725	
796002	214728	Neena
796002	215611	Bertha, his mother
796002	226529	Radhika
796002	246914	Balachandran's Childhood Swee
796002	248197	Appu's Mother
796002	251123	
796002	276964	Herself
796002	282543	
796002	283000	Lalita Siva Jyoti
796002	285072	Esperanza
796002	303408	
796002	312400	
796002	319606	
796002	320181	
796002	322637	Anitha
796002	329892	Karuthambi
796002	344382	
796002	350046	Devi
796002	351391	Radha
796002	370737	Tulasi
796002	384373	The Drug-addict Mother
796003	266540	Tutor
796004	131954	Kielza's Aunt
796004	146534	
796004	357962	
796004	375067	Anka's Maid
796005	374468	
796006	237869	Brunette
796007	1723	Herself
796007	81776	Sarah Hotchner Beiderman
796007	106666	Milich's daughter
796007	141684	Victoria Price
796007	143628	Samantha 'Sam' Cavanaugh
796007	149764	Danny
796007	155740	Sarah Silver
796007	168120	Joan D'Arc
796007	169614	Venna
796007	170713	Karen Kempster
796007	208285	Liselore Von Peltz
796007	223932	Jennifer ('J')
796007	230324	Aldys Martin
796007	276944	Anna Yates
796007	307380	Charlotte Anne 'Channe' Willi
796007	348505	Tosia Altman
796007	372584	Herself
796007	383933	Jenny Grace
796007	391394	Deianeira
796007	395480	Cécile de Volanges
796008	226162	Frau Witwe Waler
796009	97035	
796009	323843	Photographer at Ciro's
796010	126752	Judy
796011	154157	Lily Crandell
796011	266047	Jenny
796011	277949	Dorothy (bank teller)
796011	364783	Ellie
796011	409586	Molly Johnson
796012	343410	
796012	392988	Omer
796013	63226	
796014	256895	
796014	265914	
796015	166943	
796016	374241	
796017	10260	IrinaTumanova
796018	254234	
796018	305613	
796018	318146	
796019	85209	
796020	106791	
796020	299404	
796020	355776	Vika
796020	373848	Milena
796021	293070	Girl
796022	322000	
796023	244086	
796024	12837	
796024	204415	
796024	325561	Julia
796024	325587	Britta Wagner
796024	365602	
796025	309045	
796026	220144	Herself
796027	189368	Jeune Fille
796028	62957	Kid in the Living Room
796029	93356	The girl
796029	176891	Ballerina/Iris
796030	168074	
796031	223940	Nurse
796031	402197	Heather 'Mouse' Trapp (1980-1
796032	286168	
796033	78318	Kate
796033	141653	Ball Ticket Seller
796033	178125	Nikki's Mother
796033	193978	Skimpy Skirt
796034	19073	Josiane
796035	245338	
796036	379043	Milagros
796036	385873	Genoveva Valverde
796036	387100	Gaby
796036	389483	
796036	391572	Melisa
796036	392790	
796036	396209	Belinda
796036	397019	Gracia Valdez
796036	408855	
796036	408919	
796037	318006	
796038	207651	Celadora del orfanato
796039	383294	
796040	412273	Finalist #3
796041	369062	Hilda Gregory
796042	385398	Aurora
796043	344886	
796043	399872	Vera/barmaid
796044	87046	
796045	103483	
796046	244590	Alicia
796046	328133	Patricia
796047	106474	
796048	243175	Sister Marie
796049	30418	
796050	238167	
796050	372031	2nd Woman
796051	132454	Contestant in contest
796051	214463	Jody Buller
796051	363351	Self
796052	52840	Aly Soby
796053	247626	Zosia and Krysia Krolicz
796054	247626	Zosia and Krysia Krolicz
796055	33675	
796056	14798	Mujer urbana
796056	82589	
796056	206978	
796056	248076	
796056	275092	
796056	318278	
796056	326578	
796057	66230	
796057	67368	Marta
796057	81349	Amazon Queen
796057	101921	Margarita
796057	147655	Amazon Queen
796057	165795	
796057	172974	Mom's Friend
796057	233617	
796057	274963	Norma
796057	302349	
796057	306693	
796057	351727	Beatriz
796057	359532	Naja the Sorceress
796057	367097	Acrasia
796057	384851	
796057	387187	Gabriela
796057	388584	Sofía
796057	389087	
796057	390614	Jorgelina
796057	396860	Lucia
796057	397733	Mabel
796057	402054	Sandra
796057	408204	
796058	63865	
796059	33081	Josie
796059	66308	Alex
796059	70382	Young Nettie
796059	208094	Gail
796059	214981	Amy (Medical Student)
796059	257811	Tracey Austin
796059	281895	Well Dressed Customer
796059	282452	Atlantic City Call Girl
796059	296879	Clayton's Other Woman
796059	301398	Nurse Lourdes
796059	345946	Tropicana Hostess
796059	375469	
796060	290445	
796061	88412	Prostitute
796061	217293	
796061	334258	Karolina
796061	412075	Kaja/Maja
796062	342512	Mr. Conroy's Daughter-in-Law 
796063	68403	
796063	284180	La fiancée de la fausse folle
796063	300719	Claire
796064	28523	Poldi
796064	42622	Sabine
796064	109502	Renates Großmutter
796064	109504	Rosemarie Fiala
796064	109505	
796064	125323	
796064	137182	
796064	167065	Frau Anger
796064	180197	
796064	181451	Kundin
796064	289890	
796064	360929	Martha Vogl
796064	361059	Adelaide Weininger/Adele, Hau
796064	364999	Lisi
796064	373992	
796064	394049	Mutter Schoitl
796064	409861	Kathi (1995)
796065	122560	Vroni
796065	178663	
796065	347584	Mitzi
796066	237490	Pearl maiden
796066	383081	Marika Diana
796067	33218	
796067	225256	Ferrara
796067	230175	Biggi Albert
796067	301094	Kriemhilde's staff
796067	348687	Helga
796068	138135	Additional Voices
796068	408893	
796069	161754	Woman in Truck
796070	9879	Texas Voice #2
796070	280729	Mrs. Fewster
796070	298127	Guggenheim Party Guest
796071	110035	Monkey Doll
796073	21693	
796075	148769	
796076	83028	Ángela
796077	229104	Ihre Tochoter Rosa
796078	229096	Sokhon
796079	87578	Tracy
796080	18347	Picture of Mary
796081	391161	Luana (1979-1980)
796082	79055	Linda
796082	113418	Kate Beck
796082	118957	Nurse
796082	178217	
796082	183590	Reporter #1
796082	222810	
796083	82712	
796084	185530	Herself
796085	115318	Farmer Ned's Wife
796086	198292	Barbara
796087	378934	Herself (1983-1987)
796089	190464	Mourner
796090	37027	Woman in Parking Lot
796090	207563	
796091	184841	
796092	299451	Voodoo Woman
796093	349285	Liza
796094	197963	
796095	404834	Lady Daiane
796096	79184	
796096	148472	
796097	378454	
796098	23979	
796098	68578	
796098	99787	
796098	112759	
796098	148466	Marília
796098	189305	(segment "Alice")
796098	205709	
796098	319626	
796098	380387	Adelaide
796098	381144	Corina Costa
796098	383247	
796098	389887	Carmem
796098	390751	Leda
796098	392031	
796098	395882	Lurdinha
796098	396337	Jandira
796098	405101	
796098	407275	
796098	407643	Alice
796098	408330	
796098	410053	Nenê
796098	410375	Dida
796098	412179	Marinete
796100	23341	Kitty
796100	80174	Linda
796100	100469	Luisa
796100	107512	Paloma
796100	159691	Angela
796100	171000	La femme des baraquements
796100	327076	Mina
796100	377246	Ana
796101	377104	Adriana niña
796102	307420	Sr. Teresa
796103	80584	Chinese Restaurant Hostess
796104	107973	Amme
796105	182305	
796106	321352	Trish
796107	82165	
796108	380329	
796109	197155	
796110	248861	
796110	341088	
796111	47130	Sister Fetus
796111	96770	Sour Waitress
796112	189611	Zeitungsverkäuferin
796113	246885	Mrs. Lutters
796114	2004	
796114	8330	
796114	8502	
796114	77032	
796114	98088	
796114	100622	
796114	162121	
796114	173717	
796114	174650	
796114	179740	
796114	180287	Daughter
796114	266523	
796114	379680	
796115	151680	Mik
796116	174569	
796117	124945	
796117	230103	
796117	326310	Moeder
796117	388949	
796117	393707	Moeder
796117	408174	Grobbema
796118	383368	Herself
796119	54160	Herself
796120	846	Herself - #69: Coupling Arriv
796120	31184	Herself (Blue Team)
796120	55626	Miss Desjarden
796120	129597	Elizabeth
796120	149965	Kerry Ellison
796120	175223	Rachel Rose
796120	205165	Hedy Pullman
796120	210458	Herself
796120	232466	Penny
796120	289052	Andrea Larson
796120	314503	Darcy Canfield
796120	316179	Shayna
796120	337404	Helena's Friend
796120	342561	Judy
796120	380391	Joyce Abernathy (1987)
796120	382233	Christie Dunbar
796120	384183	Grace Hall
796120	385118	Susan Walker
796120	387287	Bonnie Hane (2001)
796120	389858	Lois Cerullo Ashton Ashton (1
796120	392422	Herself
796120	393962	Vicki Costa (2002-2003)
796120	396123	Amelia 'Rocky' McKenzie Domeq
796120	397401	Eve Cleary Burns (1998-1999)
796120	400022	Suzanne Vandermeer
796120	400371	Ms. Gibson
796121	300052	
796122	32666	Mezzo-soprano
796122	54899	Die Dame
796122	115204	Prince Orlofsky
796122	163727	Isabella
796123	316746	A Nurse
796124	192637	
796125	192637	
796126	302841	Nurse
796127	63756	Alessia
796127	226040	
796127	226116	
796127	297146	
796128	107316	
796129	348875	Edo's Mother
796130	15433	
796130	49103	Sapiah
796130	289272	Ani
796130	294128	Dayang Sofia
796130	332752	Rafidah
796131	31004	Imelda
796132	70239	
796133	168136	Teacher
796133	212334	Herself - Jury Spokesman - Fy
796133	323837	
796133	395445	Pippa Hales
796133	400813	
796133	408960	Dr. Ginny Vickers (1969)
796134	310603	Herself
796135	3509	Giovanna
796135	13094	Signorina Beata (segment "Il 
796135	28562	
796135	36513	Susele O'Hara
796135	49694	Fidanzata del maestro
796135	54347	Una cliente
796135	57961	Signora snob al Bar
796135	73644	
796135	74747	Lucia
796135	84150	
796135	90720	
796135	111152	Mariella
796135	111428	
796135	127391	La Madre
796135	131985	
796135	158855	Nun at hospital
796135	160247	
796135	160248	Teresa Buzzati
796135	163735	Moglie del commendatore
796135	183082	Gisella
796135	189396	Elvira, Loredana's Mother
796135	199996	
796135	208029	Doris
796135	212979	
796135	229741	Worker
796135	229986	Patrizia's mother
796135	246427	
796135	251850	Anna's mother
796135	253031	Luciana
796135	269469	Mafalda
796135	270814	Antonella, la direttrice del 
796135	270840	
796135	301363	
796135	302184	
796135	305540	Giornalista Milanese
796135	310497	
796135	315446	Mrs. Curtis
796135	318580	Barberina
796135	328093	
796135	342141	
796135	349543	
796135	353053	
796135	355787	
796135	356615	Grandmother Edvige
796135	399113	
796136	8331	
796137	9863	
796137	338970	
796137	380481	
796138	387113	New Id.
796139	382676	Isabel
796139	387833	Julieta
796139	396506	Gertrudes
796140	28409	Jelena Basta - Medena
796140	49740	The Desperate Young Woman on 
796140	187482	Katrina
796140	192892	
796140	202350	Dr. Ana Kostic
796140	207800	
796140	227840	Mlada Flora Sandes
796140	229176	Tijana
796140	246898	Lina (segment "Maco trip")
796140	259085	
796140	283078	
796140	324481	
796140	343968	Jelena Ljubisavljevic
796140	356533	Svetlana - Lana
796140	375477	
796140	391759	Marija Ovcar (2002)
796140	409386	Marsha
796141	178542	
796142	261309	Denka
796143	6448	
796146	177617	Joan
796147	79130	
796147	370952	Sujata
796148	155074	Sarah
796149	355104	Flower Girl
796150	131687	Rita Repulsa
796150	167583	Pandora
796150	194524	Rita Repulsa
796150	323269	Queen Hedrian
796150	350723	Liselia/Platina's mother/Old 
796150	374110	Osen
796150	379478	God-Iguana
796150	386060	Queen Hedrian
796150	394096	Dr. Kate
796150	394971	Bandora
796150	397693	Rita Repulsa (1993-1994)
796150	404783	Ball Boy
796150	407380	Cyborg Queen Hedrian
796150	409319	Kiba
796150	410706	
796150	411434	Kumokosen
796151	306286	Dancer
796152	226082	Mimi
796153	34990	
796153	116447	Young woman (segment "De best
796153	392072	Julie Anker-Hansen (2000-2004
796154	110270	
796154	154020	Maid #1 (Manor)
796154	341855	Anna
796154	343401	Merete
796155	15015	Sarah
796155	148651	Muriel Dumas
796155	163643	La jeune fille
796155	248246	Rosa
796155	324755	Julie d'Artois
796156	108933	Koala Klub Dancer
796157	13473	
796157	26834	Kit
796157	114691	Sylvie
796157	249404	
796157	278288	Young Amy
796157	311912	Crystal Osterman
796157	350775	
796157	370986	
796157	381677	Lizzy Bruin
796157	389264	Beatrice
796157	401108	Chirp
796158	8713	
796158	19645	
796158	25982	
796158	26600	
796158	89430	
796158	103571	
796158	108996	
796158	123265	
796158	179564	
796158	189078	
796158	205334	
796158	299229	
796158	349702	
796158	370992	
796158	391124	
796159	24042	Herself
796159	69159	Herself
796159	69160	Herself
796159	69161	Herself
796159	69162	Herself
796159	69165	Herself
796159	69166	Herself
796159	104746	Swiss entry (12th place)
796159	104751	Swiss entry (12th place)
796159	104754	Swiss entry (10th place)
796159	104756	Swiss entry (4th place)
796160	217835	Une invitée
796161	25494	
796161	30547	
796161	109800	
796161	139860	
796161	228891	Chamia
796161	246102	
796161	284712	Menaka
796161	299356	
796161	349446	Puja
796161	350528	
796162	184286	German Woman
796163	303734	Girl at the birthday party
796164	380669	La femme du lieutenant
796165	190809	Doris
796165	190811	Doris
796166	315606	Farmer's Wife
796167	123062	
796167	165232	
796167	189099	La fille
796168	146661	Vestal Virgin
796170	404282	Catherine Thoreau (1989)
796171	196789	Lucia
796172	12319	Party Guest
796173	11895	Ingrid
796174	40223	Coley
796174	82625	Coley
796174	125586	Ollie
796174	137259	Slapped Girl
796175	146144	Theo Waters
796176	109992	Women in Wedding Dress
796177	47130	Kanita
796177	47771	
796177	122619	Shelly
796177	126747	Lynn
796177	177016	Jennifer
796177	253059	Dandy
796177	296980	Alice
796177	304477	Lauren Bell
796177	368267	June
796177	411272	Det. Shakima 'Kima' Greggs
796178	344328	Gravin
796181	143742	Woman in Blue
796182	283339	Susan
796183	142209	
796184	321925	Stiina as a child
796185	367083	Dancer
796186	132982	Afi
796187	68331	La jeune femme à l'autographe
796187	289425	Marine
796189	404782	Veikkauksessa
796190	8902	Helga, waitress
796190	9317	
796190	9507	Aune Leppänen
796190	180174	
796190	268533	Lutikainen
796190	343463	Saara Pohjanvuori
796190	343509	Aune Leppänen
796190	351366	
796190	354260	Assistant in the hairdresser'
796190	356186	Nurse
796190	393763	Paula Puikkonen
796190	400785	Vuokraemäntä Ester
796190	409781	(1981-????)
796191	149634	Office girl #2
796191	211031	Sirkka Bergroth
796191	294168	
796191	355136	
796192	64740	Neecee Hearst
796192	360601	Prissy
796193	385299	Coral Lasonne
796193	393314	Mme. Pierrot
796193	398990	Countess Tyskiewicz
796193	401433	Chanteuse
796193	410580	Mlle. Georges
796194	178448	Miriam Andersson
796194	248145	Assi
796194	373373	
796195	9533	Dark beauty in Fennia
796195	17351	Hairdresser
796195	25204	Woman in a restaurant
796195	100453	Police commissioner's compani
796195	144058	Maid
796195	172523	Secretary
796195	181634	Beautiful woman from st. pete
796195	211031	Woman in engagement party
796195	213419	Woman in the party
796195	232586	WAC member
796195	239153	Woman in a restaurant
796195	242257	Woman in a bar
796195	253075	Topi's companion
796195	258845	Woman in beauty parlour
796195	271632	Maija
796195	278875	Prisoner
796195	319314	Waitress
796195	321926	Makeup artist
796195	341793	Nurse
796195	343393	WAC
796196	921	(segment Bosnia-Herzegovina)
796196	88731	
796197	228829	
796197	297367	Woman
796197	337366	Patroness
796198	267543	
796198	358633	Grand High Galactic Poobah Ph
796199	388977	Miss Boulia
796200	253911	Petra
796201	88436	Prevodachkata
796202	8447	
796202	97136	
796202	107659	
796202	166669	Yvonni
796202	212648	
796202	249413	
796202	411032	Elena Vassilakis
796203	352874	Herself (Ballerina)
796204	130576	Doctor Lekarka
796205	125157	Diana Treibel
796207	361368	
796208	102409	
796209	66019	Evie
796210	64864	Laughing Lotus Girl
796211	2738	Predsednica radnicke kontrole
796211	6087	
796211	6164	
796211	24838	Andjelija... pomocnica
796211	33289	
796211	33369	
796211	43038	Svastika
796211	43305	
796211	45767	
796211	46110	
796211	54816	
796211	74781	Gospava
796211	75739	Udovica
796211	85170	
796211	86772	
796211	92357	Draga
796211	94061	Ruza... Vlajkova snajka
796211	94510	
796211	132073	
796211	132161	Zivka Popovic... ministarka
796211	137291	Brankova uciteljica
796211	144368	
796211	146842	Anika, Leksijeva zena
796211	156764	
796211	164259	
796211	166450	Ana
796211	171911	Pevacica
796211	172506	Olga Markovic
796211	172527	Smilja
796211	173655	
796211	178857	
796211	180275	
796211	180281	Julijana Juliska Tolnaj, cirk
796211	181174	
796211	181555	
796211	186521	
796211	187997	Jela
796211	192886	
796211	192895	Ruza, Isabela's Friend
796211	201357	
796211	206490	Zena na prozoru
796211	209507	Herself (interviewed)
796211	209509	Herself (interviewed)
796211	210158	Naja
796211	212663	
796211	215997	
796211	227174	
796211	227765	
796211	229087	
796211	232599	Profesorka geografije - Kondu
796211	233421	
796211	235001	Nikola's Aunt
796211	235932	
796211	239451	Memenka (Luletova majka)
796211	243578	Mileva
796211	246909	
796211	256135	
796211	259063	Agnija
796211	259069	Sara
796211	262206	
796211	263448	
796211	265660	
796211	265909	Komsinica Vera (segment "Sreb
796211	266127	Dusanka
796211	267118	Kosara
796211	271379	
796211	272195	Mir-Jam
796211	273096	Rozika
796211	286720	
796211	288986	Koletova majka
796211	292082	Herself (interviewed)
796211	292985	Ana
796211	294432	
796211	295063	
796211	301503	Mica
796211	303822	Nevesta III
796211	305282	
796211	305524	
796211	312623	
796211	317870	Navijacica
796211	320492	
796211	320551	Sudija
796211	323306	
796211	324268	Ruzica Belezada
796211	324446	Rodjaka
796211	326546	
796211	328705	Persida Pantic
796211	328706	Persida Pantic
796211	328707	Persida Pantic
796211	328708	Persida Pantic
796211	337533	
796211	341465	
796211	343839	Herself (interviewed)
796211	348666	
796211	348846	
796211	349209	Mira
796211	351007	Glumica
796211	355550	Ana Renata
796211	356068	
796211	356430	
796211	356436	
796211	357323	
796211	374452	
796211	375356	
796211	375477	Karmen
796211	375744	Taska
796211	376191	Zuta
796211	381061	Nastavnica
796211	383805	
796211	386556	
796211	390182	
796211	390388	Ruza, druga kucna pomocnica
796211	392218	
796211	392446	
796211	393419	
796211	395607	
796211	395834	
796211	396547	Ruza ... Oliverova majka
796211	397530	Zlatkova uciteljica
796211	399006	
796211	399107	
796211	399899	
796211	401750	
796211	402233	
796211	402358	
796211	402765	Molerka, radnica u stofari
796211	403668	
796211	404206	
796211	404207	
796211	405693	
796211	406315	Veliborka Prodanovic
796211	406316	Veliborka
796211	409294	Emilija
796211	409714	
796211	410363	
796211	410442	Andjelija
796211	411914	
796212	91268	
796212	95924	
796212	164029	
796212	166970	
796212	172463	
796212	187969	Bolnicarka
796212	323634	
796212	375356	
796212	375384	
796212	398926	
796212	401834	Frau Cvecenmajerka
796213	265929	
796213	314655	
796214	71346	Odarka
796215	137720	Various
796215	239127	Various
796215	244653	Various
796215	248195	Various
796215	272836	Piika
796215	278686	Father's Secretary
796215	295249	
796215	324608	Various
796215	325186	Narrator
796215	403473	Marita
796215	404145	Marja Pihlaja
796215	404201	Marja-Liisa
796215	410455	
796216	235212	Noble Lady
796217	121832	Chapstick girl
796218	102104	
796219	78775	Lady Wrapped in Guaze
796219	161922	Scientist
796220	236972	Scrim Mouse
796221	192381	Helen
796222	307369	
796223	248710	Aya Brea
796224	94	Doris
796224	30686	Chanting Woman
796224	36712	Ms. Callahan
796224	53329	Lulu Brecht
796224	100032	Ma Otter
796224	108261	Marie, Vitel Meat Bookeeper
796224	118199	Stella
796224	120699	Sandy
796224	131731	Linda
796224	185397	Alice Squib
796224	203358	Madame
796224	308092	Ruthie Miller
796224	350307	
796224	409821	Regular
796225	191290	Susan
796226	137650	Red
796227	323539	
796228	267877	
796229	23757	Chloé
796229	33893	Girl 1
796229	103209	
796230	173866	
796231	26471	Margarite 'Cokie' Mason
796231	65657	Leslie Himes
796231	68455	Ruth
796231	79283	Connie
796231	79297	Stacey
796231	82561	Eve Stuckley
796231	94613	Wilma
796231	119357	Rachel
796231	148317	Marjorie
796231	262311	Starlett
796231	316090	Darcy King
796231	318337	Lisa Janusch
796231	335017	Sarabeth Cohen
796231	340764	Vicki Giordano
796231	354750	Carla
796231	362598	Maggie Carter
796231	389501	Gia Mahan (1993-1995)
796231	400603	Gwen Martin
796231	400921	Jody Lynch (1995-1996)
796231	402032	Lucy Hatcher (1998-2003)
796232	304734	Record Store Patron
796233	321209	Young Zoe
796234	278833	William Parker & Patricia Nic
796235	174170	
796235	186847	Queen Elizabeth
796236	130198	
796237	305211	
796238	238786	
796238	339243	
796239	26475	Khimka
796239	103615	
796239	214126	Matilda
796239	223550	
796239	315934	
796239	378720	
796240	35904	
796240	88460	Malyanov's Sister
796240	97438	Friedel Krämer
796240	129752	
796240	179912	
796240	258440	
796240	291593	
796240	304155	Nanny Guinness
796240	324652	
796240	356418	
796240	357240	
796240	373704	
796240	373848	Mitzi
796240	374195	
796240	410410	
796241	3564	
796241	12145	
796241	24863	The school teacher
796241	25294	
796241	26206	
796241	33735	Prikhodko's wife
796241	33818	Switchman
796241	34229	Judge
796241	35890	
796241	40869	
796241	46204	
796241	49148	
796241	82779	
796241	84415	
796241	84467	
796241	85151	
796241	89101	
796241	91199	
796241	92328	Levikova
796241	95650	
796241	95654	
796241	95934	Director of a Nursery School
796241	116580	
796241	132034	Painter's wife
796241	132082	
796241	132352	
796241	142652	
796241	154837	Polina
796241	162432	Nadya's mother
796241	163158	
796241	173861	
796241	176048	
796241	176056	
796241	179691	
796241	179906	
796241	181182	
796241	182036	
796241	198155	
796241	202295	
796241	207564	
796241	209275	
796241	210374	
796241	226012	
796241	226470	
796241	227117	
796241	229023	Praskovya Ilyinichna
796241	229067	
796241	230046	
796241	230059	Vyaltseva's mother
796241	234438	
796241	234441	The cook
796241	236070	
796241	238112	
796241	242479	
796241	244114	
796241	244219	
796241	251634	Train Stewardess
796241	258996	
796241	258999	
796241	259040	
796241	259925	
796241	261318	
796241	261323	
796241	261902	
796241	261905	Varvara
796241	263257	Judge
796241	263260	Yelizaveta
796241	263676	
796241	264556	Mariya Stepanovna
796241	265016	
796241	266288	Khudyekova
796241	267838	
796241	267899	
796241	270306	
796241	272524	
796241	275971	
796241	286558	Nadya's mother
796241	288364	
796241	289871	
796241	294990	Vaska's Mother
796241	294992	
796241	299554	
796241	301893	
796241	306725	Veteran
796241	310479	
796241	312537	
796241	316373	(segment Rokovoj vystrel)
796241	323329	
796241	327129	Agrafena Vladimirovna
796241	332996	
796241	334997	
796241	339332	Olga
796241	339626	Travkin's wife
796241	349290	(segment Chervotochina)
796241	349360	
796241	349886	
796241	350126	Postman
796241	350789	
796241	352663	
796241	355741	
796241	356119	
796241	356921	
796241	357236	Natalya Sergeyevna
796241	357237	
796241	357461	
796241	370162	Medsestra
796241	370166	Kolya's mother
796241	370176	
796241	373998	
796241	374162	
796241	374459	
796241	387138	
796241	409010	
796242	16405	
796242	298640	
796243	134552	
796244	352891	
796245	42296	One of the three semi-naked g
796245	257657	Herself
796245	257817	Herself (Miss April 1999)
796245	257866	Herself
796245	321718	Helga's Friend
796245	361854	Herself
796245	409700	Herself (Forbidden Fruit)
796246	82691	
796246	306440	Charlotte
796246	311004	Girl in Berne
796246	366178	Sportscar Blonde [extra]
796247	162755	
796248	227903	
796249	160113	
796250	89987	
796250	91195	
796251	339241	The Nurse
796252	131161	
796253	18248	
796253	25727	
796253	28408	Drugarica Draga
796253	44495	Spanish Woman
796253	54996	Dama II
796253	55846	
796253	81408	Kupusiceva zena
796253	88135	
796253	89415	
796253	109715	Lady in Phone Booth
796253	137289	
796253	179237	Aunt Sabira
796253	180696	
796253	180891	
796253	181301	
796253	181470	
796253	201359	Direktorka skole
796253	202151	
796253	207240	Drugarica Draga
796253	215119	Esma
796253	216555	
796253	218885	
796253	228787	
796253	229008	
796253	233273	Susjeda
796253	236019	
796253	236048	Selma Novak
796253	237707	
796253	239466	
796253	242470	
796253	251129	
796253	256732	Cicina majka
796253	260356	Cashier
796253	262559	
796253	265657	
796253	266064	Radnica
796253	266739	Petrova majka
796253	279993	
796253	280596	Cicibela
796253	292978	Marijela
796253	305283	
796253	310224	
796253	316448	
796253	320497	
796253	323341	Direktorka muzeja
796253	343809	
796253	343835	Aunt from Bosanska Krupa
796253	350665	Doktorka Ciric
796253	350721	
796253	359198	Kati (as Semka Sokoloviæ)
796253	382431	Sena Luksic
796253	394876	
796253	396875	
796253	397410	Madame Dumas
796253	399020	
796253	399181	
796253	402486	
796253	406497	
796254	354730	
796255	95592	
796256	212687	Reporter #3
796257	216469	Chris' Mother
796257	304829	Tiffany Saleswoman
796257	330773	Charlene, Autograph seeking f
796257	372372	Zabar's Shopper
796258	121867	Vera, Agent
796258	323475	Mrs. Starkwell, Virgil's Moth
796259	75990	
796259	262194	
796259	369375	
796260	89045	
796260	152172	Liaison Officer
796260	181384	
796260	231690	Ula
796260	242460	Girl on the Train
796260	247343	Adela
796260	262508	Józia
796260	305434	Jerzy's Mother
796260	375647	
796261	244102	Marysia
796262	187010	Hetty
796263	225976	
796264	398875	Adjudicator
796265	38000	Soloist
796266	102679	Toshiko
796267	383322	Herself-Contestant
796268	326344	
796269	381389	
796270	246425	
796271	118595	
796271	122872	
796272	215485	Herself
796273	308011	Student #1
796274	6397	Nurse
796274	11926	Nicole
796274	27919	Sophia (episode 1 "Baiser d'é
796274	33530	Isabelle Zoutin
796274	63844	Geneviève
796274	80839	Espérance
796274	84667	La mère de Jérôme
796274	94416	Jane
796274	96141	Hélène
796274	99954	Solenn
796274	120989	
796274	149753	Margueritte
796274	175282	Margaret Coburn
796274	213840	
796274	214987	Mado
796274	218202	
796274	235856	Mab
796274	261116	Yvonne
796274	283031	Voix radio
796274	289439	Denise
796274	313084	L'infirmière
796274	321255	
796274	339495	Mme de Lamballe
796274	344631	TV Script Girl
796274	345128	
796274	345526	
796274	357088	
796274	385183	
796274	392911	Mme. Laroque
796274	403827	Mireille
796274	410141	Sylvia
796274	410366	Florence
796274	412250	Agnès
796275	13514	
796275	56501	
796275	63408	
796275	301151	Matilde
796276	324504	Interviewee
796276	352000	Grandmother (Young)
796277	1296	
796277	175576	
796277	322219	Andrea
796278	389679	Uxía
796279	6497	
796279	10421	
796279	166552	
796279	251584	
796279	334692	
796279	355751	
796280	255055	
796280	277563	
796280	287425	
796281	376693	
796283	385401	Enfermera 3
796284	396132	Esperanza Garcés
796284	397015	Hortencia González de Briceño
796285	12083	Estudiante 1
796285	15356	
796285	19928	Montse
796285	251589	
796285	275137	
796286	68648	
796286	183800	
796286	240036	
796286	350083	
796287	184073	Danica Jankovic
796287	259069	Evica
796287	265659	Vanja
796287	375335	Sabaha
796287	385340	
796288	302427	Güls veninde
796289	240058	
796290	16171	
796290	90093	
796291	395373	Rebeca
796292	59532	
796293	376861	
796294	73633	Fillette
796294	159930	
796294	208521	
796294	235646	Polly
796294	334575	
796294	384445	Cleopatra
796295	215039	
796296	159740	
796297	58447	
796298	37639	
796298	155054	
796299	311702	Herself
796299	321286	Asha
796299	387247	Nita Mistry (2001-2003)
796300	169090	Durga's sister
796300	225985	
796300	297153	Shekhar's sister
796301	166506	
796301	289139	
796302	28248	
796303	120399	Mother
796303	131209	
796303	155277	Woman in Pharmacy
796303	168743	Old Woman
796303	192209	Grandmother
796303	192313	Mother
796303	285734	Bird Lady
796304	2685	
796305	169794	Analfabeta
796306	403745	
796307	156487	Virgule
796308	72416	Pocho Girl
796309	28609	
796310	42402	Goth Gal
796310	66589	Emma Drake
796310	267109	Jenn Mendez
796310	346405	Jane
796311	375765	Additional Voices
796312	383770	Concepción
796312	398800	
796312	401250	
796313	289490	Stripper
796313	321126	Party Guest
796314	327563	
796315	169587	Joan
796316	290126	Singer
796317	4997	
796317	6312	
796317	8266	Catherine
796317	8577	
796317	10228	
796317	50147	
796317	51378	Myra
796317	56522	Pelusa
796317	61198	
796317	65193	
796317	71006	
796317	74379	
796317	74615	
796317	83890	Carmen
796317	94679	Clementine
796317	94731	Margaret
796317	95830	Lana
796317	99723	
796317	99869	
796317	101868	
796317	102631	Margaret
796317	103173	
796317	113589	Violet
796317	124556	Gail Alvarado
796317	125859	
796317	135116	
796317	148641	
796317	149486	2nd Sister Gonzales
796317	149729	
796317	170076	
796317	184939	
796317	190409	
796317	192957	Marquesa de los Cerros
796317	193334	
796317	193511	
796317	201185	Sylvia
796317	201499	Radio Show Host
796317	202202	Wandesa
796317	205458	
796317	208192	
796317	214225	
796317	215897	
796317	219012	Wilma de Loy
796317	221720	Jackie
796317	225007	
796317	225065	
796317	236447	
796317	242685	
796317	249703	
796317	253564	Claire Grandier
796317	255511	Foreign Woman
796317	262604	
796317	270954	
796317	272637	Ana
796317	274431	Rosario
796317	275276	
796317	275324	
796317	283675	Linda
796317	294882	Docteur Custer
796317	297690	
796317	300689	Jane
796317	301003	
796317	302431	
796317	327077	
796317	328530	Madame Danville
796317	337960	
796317	341648	
796317	352021	
796317	353353	
796317	354785	
796317	355951	
796317	370068	
796317	376867	
796317	378403	
796317	396617	
796318	38065	Evelyn
796319	105587	Funcionaria de Limpieza
796320	301574	Deudo cuatro
796321	3467	
796321	7248	
796321	8141	
796321	9840	
796321	14643	
796321	15375	
796321	30520	
796321	51525	
796321	54824	
796321	56330	
796321	75622	
796321	82250	
796321	94873	
796321	128967	
796321	136994	
796321	153336	
796321	162783	
796321	184729	
796321	203839	
796321	209029	
796321	212475	
796321	225561	
796321	238337	
796321	246396	
796321	252784	
796321	268497	
796321	269962	
796321	270070	
796321	286420	
796321	291681	
796321	292774	
796321	292930	
796321	307726	
796321	341389	
796321	342160	
796321	371776	
796322	91365	
796322	124445	Esposa
796322	153067	
796322	170047	
796322	296499	Laura Irigoyen
796322	379653	
796322	380795	Tila
796322	383261	Adela
796322	383777	
796322	385401	Vecina de Nemoria
796322	389483	
796322	391572	Mela
796322	397009	Camila
796322	401918	Celia
796323	225010	Lisette Bracho
796323	409719	Lisette Bracho
796324	253022	Milly
796325	185946	
796326	3507	Rita
796326	52922	Mama de Miguelito
796326	57422	Sra. Labistada
796326	63878	Fabiola
796326	143686	Señora esposa
796326	202230	
796327	105110	
796328	27631	Lisa
796328	43378	Scan Nurse
796328	147437	White Trash Girl
796328	161544	Mimi
796328	208379	Agent Banner
796328	289059	Monica
796328	334393	Agent Star
796329	396793	
796330	302331	Paula
796331	11875	Regine Möbius
796331	38395	
796331	84170	
796331	90168	Norina
796331	102365	Anna Calcini
796331	119075	Luisa Dupont
796331	122680	Olga Feodorowna
796331	156736	Mrs. Pizarro
796331	184288	Vianella
796331	197204	Luisa Sanfelice
796331	207070	Savina
796331	207973	
796331	217114	
796331	217886	Mrs. Balestra
796331	243635	La moglie dell'attore moderno
796331	243718	Elvira
796331	274899	
796331	277034	
796331	278023	Anna Alessandri
796331	280803	Secretary
796331	281234	Rea Silvia
796331	284990	
796331	314047	
796331	328329	
796331	349526	Lia Moriconi
796331	349927	Clara Naldieri
796331	351854	Laura
796332	14744	
796332	49044	
796332	111957	
796332	214624	
796333	99791	
796333	322864	Esperenciana
796333	351949	
796334	207075	
796334	375218	
796335	222195	Perino's Girl
796335	236693	Gabrielle
796336	142361	Runaway Girl
796336	280653	Sister Sharon Cross
796336	280655	Sharon Crosse
796336	314156	Phone Sales
796336	342645	Roxanne
796337	3996	
796337	60129	Bea
796337	108092	Maja
796337	110758	Alessia
796339	343987	Urganda, the unknown
796340	379896	
796341	264432	Jigo
796342	292766	Marisol
796343	14407	
796344	132912	Police Controller
796345	114077	
796345	277167	Herself
796345	411807	
796346	243894	Fani Horn
796347	83879	Vera
796347	119884	Vivian
796347	276272	
796347	294242	
796348	9402	
796348	18087	
796348	48854	
796348	127030	
796348	173315	
796348	175892	
796348	218401	
796348	286025	
796348	297856	
796348	309113	Danial's mother
796348	342096	
796349	379566	Violeta (1999-2001)
796351	174069	Sykepleier
796352	3574	Rita's mother
796352	13092	
796352	14953	
796352	14956	Domitilla Baglioni
796352	16855	Mother Superior
796352	19068	Zia Lavinia
796352	20804	
796352	49681	Zia Clementina
796352	52118	Clara
796352	53170	Giga
796352	54086	
796352	57305	
796352	70719	
796352	70745	Eugenia
796352	71295	Inspector's sister-in-law
796352	89833	Signora Giusti
796352	89834	Madre di Giulia
796352	94661	La moglie di Faredano
796352	102624	
796352	112645	Mother Superior
796352	112653	Caterina di Russia
796352	113705	
796352	119076	
796352	121324	
796352	133387	
796352	161776	Contessa di Valfreda
796352	163034	Signora Douwe, sua ex moglie
796352	193220	La contessa di Albafiorita
796352	197638	La madre di Rosaria
796352	202094	
796352	202780	
796352	205212	Bianca
796352	214005	Mother Liston
796352	216048	
796352	222201	Selma
796352	228764	Anita
796352	238286	Luba
796352	238828	Marta
796352	242300	
796352	243303	La signorina Bottelli
796352	243505	Ricevitrice postale
796352	250865	
796352	251048	La padrona di casa
796352	251626	Carmela
796352	254041	
796352	255135	
796352	264251	Clotilde, la direttrice dell'
796352	269177	
796352	272770	Matilde
796352	278959	Virginia, la governante
796352	281076	La vedova Cavara
796352	287479	
796352	294406	Virginia, la governante
796352	301381	Laproprietaria della villa
796352	307639	
796352	314047	
796352	328102	Egina
796352	328691	Mino's Mother
796352	336591	La madre di Cleopatra
796352	344416	La padrona della pensione
796352	344625	
796352	353066	Sora Teta
796352	377576	La direttrice della casa di m
796353	119694	Herself
796354	29570	
796355	379128	Host (2004-)
796356	54315	
796356	55222	Narrator
796357	191565	
796358	119694	Herself
796359	241141	Friend of young Deborah
796360	322714	Mujer 2
796361	322951	Blanche
796361	325408	Monika
796361	401996	
796361	408291	Frau Meinl
796361	409627	
796362	376565	
796363	335562	Ruzena
796364	68585	
796364	71410	
796364	122121	La realizadora
796364	236406	Alicia de joven/Cecilia
796364	239280	
796364	338060	
796364	382951	Jimena Pinillos
796364	383499	Anabella
796364	389780	Luciana
796364	393478	Pilar Sánchez Alé
796364	398165	Silvana
796364	403021	Renata Miguens (2002)
796364	406051	Maite Heredia de Amaya
796364	409959	Olivia
796364	412311	
796365	132194	Dianora
796366	232785	Voci del coro - I
796367	160982	Amazon
796368	89572	
796369	126108	
796370	34285	Margo
796370	43768	
796370	53830	Marta
796370	82413	Mariri
796370	109642	Tamara
796370	109740	
796370	162040	
796370	235742	Juanita
796370	260050	
796370	383609	
796370	386478	
796370	390128	
796370	392738	Luciana Galli
796370	392743	Luciana Galli
796370	403363	Flavia Vallesi
796371	270617	
796372	100908	Strip Club Bartender
796373	307311	
796374	375172	Katya
796375	91929	Alexandra Bogdanova
796376	33282	
796376	89786	
796377	300820	Herself
796378	20912	Senyora White
796378	111055	Estrella's Mother
796378	169352	Woman
796378	332377	Old woman
796378	335366	Abuela de Gabi
796379	2481	Cuñada de Máximo
796379	4965	
796379	5743	
796379	7250	
796379	9670	
796379	9671	
796379	14712	
796379	21076	Patro, novia de Pascual (4)
796379	22653	Vicenta, 'La Quisquilla'
796379	44529	
796379	50150	Cipriana
796379	52745	
796379	53639	
796379	55941	
796379	56932	Jacinta
796379	57782	Guardia de tráfico
796379	61349	
796379	74521	
796379	74557	
796379	76104	
796379	80279	
796379	83141	
796379	83457	
796379	90188	Duquesa (Duchess)
796379	94820	
796379	94848	
796379	96285	
796379	97659	Paca, la criada
796379	100768	
796379	103184	
796379	103394	
796379	103433	Laura
796379	103804	Una Turista
796379	103852	Milagros/Lucia
796379	104089	
796379	104852	
796379	110734	
796379	113238	
796379	115018	Herself
796379	124453	
796379	132524	
796379	132675	
796379	135122	
796379	140662	
796379	148167	
796379	152261	
796379	160725	
796379	160726	
796379	166666	
796379	190424	
796379	190644	La chacha de Higinio
796379	197216	
796379	205458	
796379	206018	
796379	207960	
796379	208192	
796379	208844	
796379	209034	
796379	209075	
796379	210179	
796379	212450	Basilia
796379	233901	
796379	233974	
796379	233977	Trini
796379	235315	
796379	237894	
796379	237897	
796379	242285	
796379	242286	
796379	242678	
796379	243961	
796379	246300	
796379	246386	Piluca Martínez, la autostopi
796379	251581	
796379	255545	
796379	277235	
796379	293329	
796379	307721	Romy
796379	307724	Compañera de trabajo de Alons
796379	323661	
796379	334471	
796379	339122	
796379	343612	
796379	343733	
796379	350133	
796379	351831	
796379	352942	
796379	353243	
796379	353556	Doña Nena
796379	353654	
796379	355479	Mujer de pensión
796379	356947	
796379	357533	
796379	376669	
796379	376755	
796379	376817	
796379	376843	
796379	378483	
796379	383558	
796380	3283	Petra
796380	9084	Conchi
796380	34575	Maria
796380	76111	
796380	83421	Chicken with apple salad
796380	101890	Adela
796380	132710	
796380	160535	Maquilladora
796380	208141	La piloto, Ramona
796380	221888	Menchu
796380	234400	Abogada
796380	251589	
796380	256721	Carmen
796380	306701	Empleada INEM
796380	320326	
796380	322851	Enfermera Hospital
796380	332633	
796380	334699	
796380	377151	Dama de Chicote
796380	379213	Paloma
796381	277398	Hermana tornera
796382	26884	Agaue
796382	90075	Zerlina
796382	155759	Erettra
796382	374130	Dama
796383	263055	
796384	96861	Sistina Wife
796385	72374	Carl's Sister
796386	74512	
796389	117468	Ufology Convention Attendee
796390	1170	Deranged Radio Contest Winner
796390	201545	Becca
796391	137088	Alma
796392	198509	
796392	401932	
796392	407024	
796393	168776	Destiny Johnson
796393	392231	Adriana (2001-2002)
796394	247607	
796394	400804	Cécile Atrid
796395	10556	
796396	81768	Female Nurse
796396	95789	Nurse
796397	223722	Virginia
796398	282781	Pierre
796399	197066	Lucy
796400	225365	Mère Ubu
796400	268408	Mère Ubu
796401	111251	Bibbi
796401	138006	Noerholm's cook
796401	201230	Silvia's Mother
796401	225689	
796401	253029	
796401	392072	Solrun Jensen (1998-2000)
796402	201230	Nurse
796402	326942	Solarium Girl
796403	20378	
796404	1017	
796404	7249	
796404	12944	Laura
796404	14697	
796404	18802	
796404	22772	Pitita
796404	25026	Profesora Castañeta
796404	29806	
796404	31805	Doña María Antonia
796404	32366	
796404	36561	Dolores
796404	44664	Pacucha
796404	54760	Acacia
796404	56001	
796404	59748	
796404	69474	
796404	73268	Varona
796404	85558	Leonela
796404	88199	
796404	103433	Chus
796404	104171	Clara
796404	108135	
796404	109348	
796404	112027	
796404	115036	Herself
796404	122973	Herself
796404	124303	Carmen
796404	132675	Mercedes, la madre
796404	133093	Director
796404	133215	
796404	136983	
796404	140562	Ana
796404	154543	Herself - Presenter: Best Cin
796404	165568	La mère de Pablo
796404	168099	
796404	170096	
796404	183985	Avia
796404	184940	
796404	202841	Doña Leticia
796404	205669	
796404	206573	
796404	212410	
796404	221970	Virginia
796404	226374	Chus
796404	235315	
796404	236475	
796404	248148	Juliana
796404	249671	Encarna
796404	250731	Chus
796404	258381	Marilú
796404	259850	
796404	266805	
796404	266853	Madre de Carmen
796404	276560	
796404	288859	
796404	322830	
796404	327084	Mercedes Rigau
796404	334687	Elvira
796404	348931	
796404	350133	
796404	350558	Encarna
796404	354265	Herself - Presenter: Best Scr
796404	356507	
796404	357533	
796404	357535	Doña Nati
796404	357729	Ana
796404	369556	Herself - Presenter: Best New
796404	369754	Herself - Presenter: Honorary
796404	369870	Herself - Presenter: Best Scr
796404	376851	Patricia
796404	377151	Doña Obdulia
796404	384852	
796404	393834	Host (1989-1990)
796404	400102	
796404	402639	Rita
796404	403901	Herself
796404	408849	Elena
796405	52155	
796405	80247	
796405	127378	
796405	148017	
796405	210262	Martina
796405	210446	
796405	351574	
796406	43237	Makeup Artist
796406	302320	Lila
796406	379899	
796406	383390	La Guajira
796406	387447	
796406	393364	Alba Luz
796407	318291	
796408	21598	Martha
796408	33484	Cecilia
796408	55797	
796408	57421	
796408	62618	
796408	68979	
796408	70090	Maribel Rivas
796408	103481	
796408	110415	
796408	120712	
796408	136736	
796408	202316	
796408	204770	
796408	219318	
796408	227693	
796408	246058	
796408	253039	
796408	256792	
796408	273706	
796408	275846	
796408	275982	
796408	301573	
796408	341652	
796408	350263	
796408	351619	Tania
796408	377195	
796408	408848	Brigitte
796409	21728	
796410	294876	
796411	28193	
796411	62628	Sister Isabel
796411	74814	
796411	193325	Doña Marta
796412	254017	La Mère de Jérémy
796413	3436	
796413	221937	Neighbor woman
796414	24297	
796414	74852	Alice Lester
796414	103395	Gaby
796414	135126	
796414	169239	
796414	189267	
796414	202831	Juana
796414	233904	Elvira
796414	283257	
796414	286069	Rosario
796414	376775	Lita
796415	91417	Bailarina
796416	42630	
796416	243708	
796417	254016	
796418	103951	
796419	13833	Lucille
796419	120396	Keri
796419	134345	Maid
796419	141965	Abby
796419	260318	Joannie
796419	348795	Girl #2
796420	19449	
796420	26120	
796420	44530	
796420	55935	
796420	71004	
796420	108134	Elvira
796420	113300	
796420	136847	
796420	145153	
796420	146506	
796420	233334	
796420	246299	
796420	302555	
796420	352151	
796420	376802	
796421	348374	Buxom Blonde
796422	14803	
796423	74592	
796423	160879	
796424	30408	
796425	189024	
796425	324180	
796426	14806	
796426	49881	Yolanda
796426	70598	
796426	74504	
796426	76013	Rosa
796426	85576	
796426	132702	
796426	144075	
796426	160893	
796426	198205	
796426	239268	
796426	251565	
796426	253565	
796426	278426	Enfermera
796426	293054	
796426	301188	
796426	322401	
796426	332709	
796426	350262	Maria ,servant
796426	351624	
796426	353990	Hermana religiosa
796426	371700	
796426	376645	Chabela
796426	377110	
796427	402154	Host
796428	215027	Lius' wife
796429	10125	
796429	92335	Cantante gitana
796430	118157	Herself - Performer
796431	287616	la dame qui parle à son mari
796432	12065	Irene
796432	27857	
796432	45376	
796432	54870	
796432	70133	
796432	100101	
796432	128984	Juana Carducha
796432	199837	
796432	216087	
796432	250699	
796432	251631	
796432	273030	French spy
796432	327444	
796432	376633	
796433	295524	
796435	54571	Angeline
796435	176465	Woman
796435	246530	Jacob
796436	100405	Madre de Berta
796436	302431	
796437	6494	
796437	14789	Patro
796437	20738	
796437	30856	
796437	54091	
796437	54207	Newsboy
796437	58134	
796437	59251	
796437	61127	
796437	61138	Trini
796437	68566	
796437	84184	
796437	90157	Remedios
796437	91299	
796437	129020	The Nurse
796437	146491	
796437	151797	Anita
796437	170273	
796437	205713	
796437	228776	
796437	233339	
796437	259209	Eufemia
796437	268493	Alcaldesa
796437	275274	
796437	293325	
796437	324922	Amiga de la actriz
796437	335516	
796437	339014	Pepa
796437	350184	Mme Loebel
796437	352021	
796437	354903	
796437	376750	
796438	34980	Empleada puerto
796439	205565	
796439	260976	Rosa
796440	135314	
796441	302554	
796442	112831	Une soeur d'Angélina
796443	87086	
796444	80583	Stage manager
796445	118	Herself
796445	5903	Herself
796445	10351	
796445	10919	Tara
796445	25874	Liz
796445	40331	Deputy
796445	41153	
796445	45439	Deborah
796445	46367	Suzy
796445	55625	Norma Watson
796445	80497	Celia Paulson
796445	85077	Susan
796445	137655	Lynda
796445	137686	Herself
796445	160029	Cathy Wills
796445	165958	Mrs. Purr
796445	175645	Celia
796445	191516	Sophia
796445	191630	Carolyn
796445	215178	Annika's Mom
796445	239542	Sandy
796445	244443	Mary Louise
796445	244940	Cindy Hawkins
796445	245241	Religious Nut
796445	261427	Marty
796445	262112	Mrs. Applegate
796445	264581	Pvt. Wanda Winter
796445	279998	Riff Randell
796445	285608	Jean Lassiter
796445	289205	Becky Thatcher
796445	297097	Evelyn Randall
796445	307047	Sharlene
796445	307383	Debra
796445	311683	
796445	319454	Herself ("Lynda" - Halloween)
796445	321182	Wanda
796445	376141	Nancy
796445	396084	Unknown (1973)
796446	383303	Leire
796447	22099	
796447	25633	
796447	33232	
796447	33305	
796447	35625	
796447	35627	
796447	38922	
796447	39088	
796447	53873	
796447	64014	
796447	89519	
796447	98595	
796447	109967	
796447	125932	
796447	126870	
796447	136694	
796447	136753	
796447	138962	
796447	140707	
796447	161150	
796447	171986	
796447	172015	
796447	173210	
796447	173574	
796447	173865	Enise
796447	174392	
796447	174393	
796447	176699	Professor's Secreatary
796447	176701	Professor's secretary
796447	214280	
796447	227230	
796447	301481	
796447	302291	
796447	303582	
796447	320476	
796447	349711	
796447	370581	
796447	370794	
796447	374317	
796447	375901	
796447	377551	
796447	377569	
796447	378197	
796448	268231	
796449	136192	
796449	157711	
796449	161423	
796449	189698	
796449	352106	
796449	359684	Renate
796450	356733	
796450	356742	
796451	142082	Gisela Stein
796451	214719	Minna
796451	225274	
796451	364902	Karin Bergmann
796451	382931	Tony
796451	410553	Elisabeth von Böhmen
796452	213872	Karen
796453	64772	Black Feminist
796453	90710	Valerio's mother
796453	189395	Incatenata
796453	283285	
796453	332240	
796454	132557	
796455	375171	Julia Lobeck
796456	104965	Pilgrim Woman
796457	365545	
796458	114768	Aagot
796459	344290	Frk. Andersen
796460	238660	Sally's Voice
796461	66164	Hillary
796462	182864	Singer
796463	130685	Emily Nation
796463	256240	Terry's Mother
796464	394257	NewsChannel 8 Sports Reporter
796465	44155	
796465	58323	
796465	124324	Anika
796466	11934	
796466	112855	Nurse
796466	148699	Me Raspail
796466	186192	Lili
796466	236599	Patronne Prairie
796466	249678	(segment Poitiers, voiture 11
796466	277726	
796466	278155	Caissière cafétéria
796466	286313	Dame peep-show
796466	325976	1st Woman, Bookstore
796466	346599	Ange gardien
796466	401402	
796467	5772	Un'infermiera
796467	6674	
796467	7761	La Contadina
796467	10058	Una invitata pettegola
796467	13067	La cameriera dell'albergo
796467	14903	Noemi
796467	33588	
796467	34031	Gina
796467	38630	La moglie del signore al tele
796467	40230	Madre superiora Angelica
796467	48862	
796467	94698	
796467	112650	
796467	120321	
796467	158757	La domestica del giudice
796467	187440	Giulia
796467	206029	Una signora al tavolo da gioc
796467	212599	
796467	217559	Head of home
796467	230080	Vandina
796467	234560	
796467	235754	
796467	255118	La tabaccaia
796467	270804	Teacher
796467	273154	Un'amica della duchessa di Co
796467	279739	Olga
796467	281076	Un' amica di Annetta
796467	289329	Vicina di casa
796467	294423	La segretaria dell'istituto d
796467	301340	Una ragazza al ballo
796467	307067	
796467	326150	
796467	339066	Donata
796467	355560	La segretaria del Signor Mari
796467	377576	Una impiegata della casa di m
796468	141594	Manila Woman
796468	294261	
796469	95960	
796469	401156	Kalina Adamska
796470	253919	Liza & Tiger Lily
796471	76097	
796471	255501	Regina
796471	379210	
796471	379252	Ana Winter
796471	379896	
796471	380096	
796471	380162	Corina Fernández
796471	380210	Cristina
796471	382691	Mariana
796471	383812	
796471	383867	
796471	387273	
796471	387475	Natalia
796471	388278	Viviana
796471	391418	
796471	408722	
796471	410316	Alicia
796471	412301	
796472	249607	Solimita, Fran
796473	258188	Millie
796474	276295	
796475	212242	Kay
796475	325112	Zambesi Maiden
796476	625	
796476	12210	Vedova Lazzaroni
796476	19738	Luisella
796476	40782	
796476	42597	Luciana (segment "Renzo e Luc
796476	64771	Eva
796476	67528	Maya
796476	68325	Bruna
796476	69760	
796476	94634	
796476	119443	
796476	127439	Rosy
796476	142096	
796476	234368	
796476	240263	Angelica
796476	246379	
796476	270823	Eliza
796476	278015	Giulia
796476	287477	
796476	341791	
796476	342112	Luisella
796476	352233	Maria
796476	353152	Gina
796476	353244	
796476	354871	
796476	365965	Sheila
796477	51373	
796477	287477	
796478	307886	The Murmurs
796479	352517	Runaway Model Seven
796480	6313	Employé Sacova
796481	330146	Little Girl on Alvarado Stree
796482	17072	
796482	30881	
796482	31453	
796482	64785	
796482	73767	
796482	76814	Lead Character
796482	90276	
796482	99916	
796482	115740	
796482	145618	
796482	155992	Princess Maila
796482	156188	
796482	156189	Fatima Lerma
796482	158617	
796482	159745	
796482	162113	
796482	163768	
796482	171969	
796482	174160	Narrator
796482	177943	
796482	181761	
796482	184649	Maria
796482	197172	
796482	204318	Sor Matilde
796482	214773	
796482	216859	Mother
796482	226986	
796482	255626	
796482	257716	
796482	284735	
796482	297069	Yashodara
796482	302869	
796482	325366	
796482	325369	
796482	333229	
796482	344396	
796482	358511	
796482	358515	
796482	398494	Agnes Delgado
796482	400062	
796483	10847	Victims Daughter
796483	39862	Bonita Bradley KRCA News 8
796483	90792	Gloria Mendez
796483	136194	
796483	149971	Maria
796483	212524	Baby Doll
796483	245016	Elena
796483	245712	Monica
796483	269847	Eva
796484	210170	
796484	349932	
796485	107044	Kim's Classmate
796486	162134	Amy
796487	172308	
796487	385532	Manay Charing
796488	284331	Chica del hogar
796489	412189	Choco
796490	348229	Neighborhood Watch Member
796491	49894	
796492	152989	Blonde
796494	135245	
796495	336756	Nana
796496	118158	Herself - Presenter
796496	121218	Mónica
796496	124591	Receptionist
796496	386370	
796496	397260	
796497	47077	Start-Over Girl
796498	57696	
796498	61097	Madre di Davide
796498	220188	
796498	237550	Sergentessa Sollazzo
796500	32284	
796500	92905	Singer
796501	328389	
796504	68431	Ingrid Sjostrom
796504	68436	Ingrid Sjostrom
796504	68437	Ingrid
796504	342316	Herself
796504	397781	Liv
796504	402840	Marie-Lousie Löfgren
796504	405570	Camilla Moe (1997-1999)
796505	394158	Yeter Sultan
796505	411965	Türkan
796506	1161	Esra
796506	281494	Rana
796507	168446	
796508	398197	
796509	378431	Carmen
796510	1311	Greta (Episodio de Adrián Sua
796511	7269	Queen Aelita
796511	129339	Rosas
796511	248175	Zina Vesenina, cigarette girl
796511	374456	Vasili's Sister
796512	11191	Brenda
796513	82052	Kristyn Posey
796513	224117	Abby Lynn
796513	302932	Lucinda
796513	362216	Girl
796513	403185	Zoey Jones
796514	134437	Julia
796515	403353	Regina Rich
796516	65598	Panelista
796517	29670	Harem
796518	79036	Jessica
796519	14170	Woman in Disco
796520	231396	Carrie Kay
796520	231811	Stacy
796521	190805	Social Worker
796522	76485	
796522	176075	
796522	179321	
796522	244479	
796522	253561	
796522	257385	
796522	281042	Sergey's mother
796522	332988	
796523	373699	Katya
796524	83162	
796525	86595	
796525	357332	
796525	374308	
796526	89786	
796526	354934	Aunt Nadezhda
796527	63318	
796528	60186	Girl Reading Paradise Lost
796529	6684	Flora
796529	19096	Germaine Moreuil
796529	69518	Juliette
796529	73628	Françoise Monier
796529	78542	
796529	84084	Florence Géraudy
796529	96182	Christine
796529	111065	
796529	112706	Claude
796529	112881	
796529	114760	Maria Dupray
796529	116410	Jeanne
796529	117685	
796529	125737	
796529	148773	Madeleine
796529	156313	
796529	195212	Monique Valory
796529	199614	Madeleine Hardoin
796529	205742	Marie
796529	217839	Marie-France Lassere
796529	228557	La mère Gestin
796529	228940	Mme Barunet
796529	268398	
796529	272319	Élisabeth
796529	284219	
796529	286203	Hérodias
796529	327560	
796529	327562	
796529	345027	Hélène Asselin
796529	346544	
796529	346597	Stepha
796529	350919	Esther Gobseck
796529	353890	Une ouvrière de l'usine
796529	377915	Nathalie la blonde
796529	392750	La comtesse
796530	55839	
796530	275650	
796530	306154	
796531	364372	Susan's Other Friend
796532	267213	Ginny's Girlfriend
796533	99137	Dancer
796534	213027	Condo Saleswoman
796535	95695	
796535	132090	
796535	298610	
796535	301916	Stasi
796536	92847	Heckler
796536	216737	Wedding Guest
796536	337381	Chivas
796537	75536	Jasmine
796537	220805	Mom #3
796538	321086	Company
796539	104943	Sorority Girl
796540	345247	
796541	81318	Party Guest
796542	379716	Sydney Scott (1970-1971)
796542	380713	Amanda Holmes (1966-1968, 197
796543	232638	Stephanie
796544	47079	
796544	104760	Luxembourg entry (13th place)
796545	241322	Lakesia
796546	157926	Choreographer
796547	14603	Mrs. Waikai
796547	74110	Aunty Bet
796548	258188	Call Girl
796549	3267	Backup Singer
796550	272687	Mrs. Johnson
796550	312557	Hysterical Woman
796550	393824	
796551	1675	Herself
796552	87423	Shinti's daughter-in-law
796553	209406	Maria
796555	269286	Jenny
796556	76384	Mayor's Wife
796557	163283	Young Girl
796557	163288	Bit part
796558	87586	3 Little Girls
796559	311342	Moses Paul's Wife
796560	364628	
796561	394676	Marsha (1981-1988)
796562	168087	Girl at JoJo's party
796563	75699	
796564	49389	Pamela
796564	55691	Ha Ha
796564	188513	
796565	364281	Extra
796566	47588	Waitress
796567	14171	Herself/'Crematia Mortem'
796568	88561	Ted's Mom
796569	21630	Courtney
796570	208448	Sasha
796571	313818	Interviewer
796571	364281	Extra
796572	61830	Ghoul
796573	249268	Nurse
796573	404724	Herself
796574	267428	
796575	374393	Tech with cat carrier
796576	187861	Mrs. Mardi
796577	80898	Freddie's Wife
796578	49666	Mona Artur
796578	136201	
796578	178636	Leslie
796578	180197	Eva
796578	186190	Evelyn Schmittke
796578	290487	Archivarin
796578	312878	Elfie
796578	313651	Sadbera
796578	325697	Veta
796578	334613	Anna Tauchert
796578	375834	Wanda
796578	400873	Nina Heidenreich
796579	146580	Julia
796580	307311	
796581	318644	Frances' gang member #1
796582	16326	Tonia
796582	102078	
796582	191419	
796582	254903	Roula
796582	256742	
796582	380320	
796582	380499	Christina
796582	380770	
796582	383256	
796582	405094	
796583	158141	Bank patron
796584	158141	Bank patron
796585	223565	
796586	223214	L'infirmière
796586	293689	
796587	204739	
796588	110911	Kaufman Child
796589	260509	
796589	275071	
796590	161505	Freeway Driver
796591	398857	Host (1997-1998)
796592	185948	
796593	59378	Marta
796594	11485	Lucas Sergeant Autograph Seek
796595	84962	Sarah
796596	17534	Silent Film Star
796596	21292	
796596	34534	
796596	35860	
796596	41118	
796596	83160	
796596	84426	
796596	88442	
796596	88453	
796596	88813	The mother
796596	92941	
796596	94027	
796596	107663	
796596	162674	Claire, Roche's wife
796596	164111	
796596	173861	
796596	179670	
796596	180357	Clarice
796596	191477	
796596	229004	
796596	229852	Sofia Yegorovna
796596	230046	Olga
796596	237466	
796596	237878	
796596	238320	Neighbor
796596	263678	Lady Vendeler
796596	270221	Olga Nikolayevna Voznesenskay
796596	280455	
796596	293902	
796596	294678	
796596	296993	Tatyana
796596	305553	
796596	307025	
796596	320647	
796596	345990	Tolken
796596	349266	
796596	350126	Tanechka, the literature teac
796596	357262	
796596	357335	
796596	357428	
796596	370918	
796596	370940	
796596	400479	
796596	411981	
796598	170247	Tanssija
796599	321952	
796600	89786	
796601	258668	
796602	259082	
796602	261263	
796602	357710	
796603	210189	
796604	320626	
796604	371431	Larochka
796605	189484	
796606	352798	
796607	174108	Frida Bluhm
796608	411802	Peggy Brooks #1 (1973-1974) (
796609	15179	Bram's vrouw
796609	35068	Bet Strik
796609	35070	Bet Verdries
796609	35076	Bet Mager
796609	64662	
796609	93944	
796609	156142	
796609	165630	Na Druppel
796609	175091	Kee Mol
796609	175092	Kee Mol
796609	188902	
796609	210127	Juffrouw Pieters
796609	318469	
796610	397439	Santa Teresinha
796610	401197	
796611	14649	
796612	10499	
796614	5243	
796614	6389	Nefissa
796614	25452	
796614	35832	
796614	64611	Gypsy
796614	77363	
796614	100224	
796614	109749	
796614	109750	
796614	122699	
796614	137877	
796614	140614	
796614	147349	
796614	162733	
796614	172181	Kahramana
796614	201979	
796614	210772	
796614	217207	
796614	227223	
796614	233250	
796614	260882	
796614	272492	
796614	289176	
796614	309460	
796614	323007	
796615	245040	Dirtbox Bartender
796616	106680	Mina (younger)
796617	355864	
796618	27285	
796619	270160	
796620	224192	TWA/Natasha
796620	390115	
796621	165362	Ellinor Straaten
796621	211105	Marianne
796621	293862	
796621	347633	Grita
796622	122019	Bank Customer
796623	126369	
796623	325842	Monika Karges
796624	98969	Mutter
796624	225278	Kitty Jordan
796624	290178	Moni
796624	293729	Beate
796624	312634	Karin Möller
796624	339798	Lissy
796624	389616	Claudia Willeke
796624	401142	Jala
796625	290534	
796626	45694	
796627	104045	Mina Kahn
796627	157040	Theresa von Brunsvik
796627	410513	Isolde von Bülow
796628	30512	Miklós anyja
796629	306131	Kinnison's secretary
796630	151769	
796631	40552	Karen Dombrowski
796632	52189	
796633	8216	'No Sweat' Dancer
796634	95958	
796634	98022	
796634	131754	
796634	176545	Girl from Hitler Youth
796634	244208	Mother of Woman Sent to a Con
796634	248537	
796634	258438	Anna
796634	261402	Halina
796634	261629	Zosia
796634	304897	Jadwiga
796634	341166	Jarek's wife
796634	376168	
796634	376522	
796634	386654	Teresa Bawolik
796634	387159	Barbara Jastrzebska, mother
796634	401714	Matka franka
796634	404009	Ksawery's wife
796634	404216	Sister Matylda (2003-)
796635	316635	Giggling Secretary
796636	17080	
796636	30512	Mary anyja
796636	96387	
796636	96433	Súgónõ
796636	144244	Poznay táncosa
796636	293742	Egy nõ
796636	322075	(Keretjáték)
796636	322188	
796636	350830	Berta
796637	76050	
796638	95962	
796638	231620	Prostitute Zuza
796639	365658	Narrator
796640	263669	
796641	317538	
796642	1262	
796642	2266	
796642	11474	
796642	32571	Julia
796642	39437	
796642	39662	
796642	51804	Valérie
796642	62456	
796642	62502	
796642	98958	Clotilde
796642	128241	
796642	128918	
796642	130285	
796642	134605	Fille accueil joailleie
796642	139239	
796642	149250	
796642	151530	Extra
796642	194251	
796642	219039	
796642	236307	
796642	319346	
796642	339899	
796642	360814	
796642	372090	
796643	13417	Lea
796643	389141	Young Octavia
796644	194070	City girl
796645	138468	Táncosnõ
796646	230353	Jessie
796646	403315	Nina Vasquez
796647	23368	Mónica
796647	52109	Carme
796647	412248	Cristina
796648	103727	
796648	225078	
796649	263557	Jane
796650	307806	
796651	132695	
796651	221571	
796651	221941	
796651	317708	
796652	373754	Eva
796653	10498	
796654	140056	
796654	146919	
796654	254859	
796654	282518	
796654	299430	Noa
796654	342151	Sprinza
796654	371917	
796655	184850	
796656	301124	
796657	211140	La top-model
796658	31536	
796658	46927	
796658	221884	(segment "La entrega")
796658	318006	
796659	55369	
796659	63949	
796659	80339	
796659	103531	
796659	104150	
796659	197465	
796659	339113	
796660	60423	
796660	300679	Amante
796661	30766	
796661	209014	
796661	353555	
796661	400488	Vampire woman #2
796663	332377	Olivia
796664	263854	
796665	399807	Doña Luz
796665	408859	Alcira
796666	193143	(wrestler)
796666	196760	Wrestler
796667	409463	Secretaria (1982-1983)
796668	16950	Copain de Ling Bu
796669	4714	Rhonda
796669	45913	
796669	367853	
796669	372766	
796670	125684	Kiritsubo
796671	340679	Djénéba
796672	70854	
796673	275277	
796674	71479	Ayah 1
796675	371726	
796677	389838	The Internationals
796678	161982	The Loved
796679	242445	Saart
796680	74374	
796680	250993	
796680	263876	
796680	306708	
796681	59271	
796681	88119	Jeanne
796681	101219	La gouvernante
796682	11774	
796683	179487	
796683	373448	The Mermaid
796684	189369	
796685	51863	
796686	12543	
796687	289877	Verpleegster Denneheuvel
796688	194513	Waitress
796689	330285	Secretary with Cup
796690	120650	French Maid
796691	249611	Ralph's Girl
796692	176547	Fanny
796692	388299	Veronique Parducci-Van Den Bo
796692	406203	Anouk Van Diest (2000)
796692	411311	Anja Geldofs (1999-2000, 2002
796693	43557	X-Ray Lady
796693	50096	Carlotta
796693	126742	Rose Miller
796693	133442	Miss Texas Chaperone
796693	200201	Herself
796693	270926	Jessie Jay
796693	322647	Herself
796693	397076	Panelist (1973-1982)
796693	397077	Panelist
796693	397081	Herself/guest panelist
796693	399264	Gertrude Lade
796693	399961	Blanche Somers-Madison
796694	105650	Victim's Sister
796695	297922	Lisa
796697	79049	Vampire
796698	30122	Sarah's Mother
796698	53975	Minnie Higgins
796698	116538	Mrs. Edwards
796698	117015	
796698	117485	Mrs. Lowry
796698	162444	Ma Cutler
796698	188326	Nurse Gorman
796698	199304	Madame Lefrancois
796698	252489	Mrs. Pegwhistle
796698	261082	Mrs. Bunce
796698	279135	Mrs. Morrison
796698	300909	Mrs. Malby (Ellen's mother)
796698	305934	Nurse Vance
796698	309285	
796698	318913	Susan, the maid
796698	325025	Edna Jellison
796698	354859	Amish woman on train
796699	10875	Annie
796699	18207	Jessica
796699	107548	Kate Davis
796699	131453	Bimbo Betina
796699	150483	
796699	155835	Mrs. Dempsey
796699	161172	Psychiatrist
796699	190147	Ariel
796699	273282	The Show Room/Woman
796699	316589	Anya
796699	318863	Rebecca
796699	319910	Suzanne
796699	391835	Talking head/soundbites (segm
796700	965	Woman in car
796700	117266	Carol Lee
796701	404002	Dr. Wade (1977)
796702	323824	Vivica (segment "Fighting Spi
796702	401473	
796703	355235	Girlfriend
796704	81202	Judy Welling
796705	82541	Laurie
796705	128727	Rikki
796705	139227	Michelle
796705	142361	Arabella
796705	160453	Kristi
796705	178092	Tipsy Woman
796705	276857	Ginny McCall
796705	283248	Lake Girl #5
796705	335230	Seville Ritz
796706	69069	
796707	79049	Vampire
796708	215488	Herself
796708	397888	Herself (2003)
796709	174699	Cafe Patron
796710	271172	Abbey
796710	289232	Sydney
796711	33643	Miss Grant
796711	177268	
796711	354734	
796712	46	Herself
796712	846	Herself - #66: Terrible Talk 
796712	13963	Blonde in T-Bird
796712	14094	Herself - Presenter
796712	31186	Herself (ABC Team contestant)
796712	31187	Herself - Host
796712	38006	Party Girl
796712	55576	Herself
796712	76609	Sidewalk Extra
796712	79042	Clara Hagen/Emily Shepherd
796712	85006	Sally McCormick
796712	87779	Herself
796712	105650	Marcy Singer
796712	125511	
796712	131722	Charlie/Charlene
796712	138670	Mattie
796712	141048	Herself
796712	160479	Herself
796712	161382	Herself/Interviewed
796712	163253	Gloria Henderson
796712	168129	Herself
796712	175221	Herself
796712	190184	Herself
796712	196339	Venus
796712	200525	Pool Girl
796712	201615	Herself
796712	228975	Herself/Co-Host
796712	233653	Emma Poleski
796712	235627	Abigail Adams
796712	241358	Herself
796712	277648	Paige
796712	283895	Malley the Dog
796712	289238	Herself
796712	293010	Lee
796712	294798	Herself
796712	304281	Female Reporter
796712	320430	Host
796712	320431	Herself (New and Archive from
796712	331717	Herself
796712	336484	Director
796712	342266	Herself
796712	358822	Herself (Host)
796712	371379	Cloudy Martin
796712	376141	Bonnie Katt
796712	380375	Model
796712	383343	Co-Host (1998-2000)
796712	391544	Assistant (1974-80)
796712	391834	Gina Germaine
796712	396778	Herself/panelist
796712	405089	Sheriff Hildy Granger
796712	406503	Carol Baker Foster Lambert
796712	407111	Host
796712	408135	Christmas 'Chrissy' Snow (197
796712	410039	Host
796713	85717	Manager of magazine
796714	178955	
796715	47529	The Girl
796715	363113	Bella
796715	363114	Bella
796716	169226	
796716	321781	Sylvi, Akselin vaimo
796717	279432	Lucy Probyn
796718	208953	Lila
796719	360708	
796719	408582	Various characters
796720	217628	Manager
796721	32466	Girl at Beer Garden
796721	71553	Emmy
796721	73127	Stuck Up Girl
796721	304738	Julie Proudfit
796721	311038	Screaming Woman
796721	366906	Denise
796721	390666	Courtney Scott/Laura Johnson
796721	392734	Alex Landis
796721	405038	Lyne Danner
796722	16642	Poppy as teen
796723	7874	Miss Julie
796723	40005	Biddy Millican
796723	50203	Saleswoman
796723	65820	Natalie's Boss
796723	81734	Ann Welch
796723	132122	Louisa Stockbridge
796723	139650	Lily Potter
796723	139655	Lily Potter
796723	139657	Mrs. Lily Potter
796723	140076	Kate
796723	141633	Deborah Bennett
796723	167601	Olivia
796723	201621	Herself
796723	273163	Jeanie
796723	281144	Juliet
796723	285302	Dr. Sam Graham
796723	340740	Ruth MacDonald
796723	380610	Lady Emily
796723	385162	DS Jane 'Panhandle' Penhaligo
796723	385820	Val McArdale
796724	393154	Newsreader (1984-2001)
796724	399484	Newsreader (1984-1987)
796725	202489	Sandy
796725	277622	Malibu Party Guest
796726	212996	Lana
796727	149024	Mrs. Lighton
796727	221068	Lady Trebshaw
796728	5052	Vivian
796728	15931	Instructor
796728	21154	Saleslady
796728	35236	Nellie
796728	47130	Mrs. Burke
796728	75602	Gladys
796728	157255	Woman at Bar with Pills
796728	186681	Dolores
796728	211826	Metal Detector Lady
796728	218474	Waitress
796728	277254	Judge Hathaway
796728	302256	Ruth
796728	304870	Rebecca's Adoptive Mother
796728	321446	Aunt Gretchen Christopher
796728	340531	Crazy Woman
796728	380713	Annebelle Feddle (2004-)
796728	390771	Mrs. Beasley (1998)
796728	400236	Charlotte Stonecliff (1997-19
796729	363115	
796730	405209	Emily Bredican/Warner (2003)
796731	133743	Girl in Arcade
796732	178291	Office Girl
796733	2944	
796733	377807	
796734	138603	
796735	180761	
796736	170394	Cseperke
796736	170396	Cseperke
796737	170394	
796737	170396	
796738	349794	Waitress
796739	226710	Balsay Baby
796740	57379	Liz Johnson
796740	99850	Nina Cole
796740	114613	Mary Grace Brown
796740	139532	Jennifer Shagaras
796740	143500	Diane Darcy
796740	151669	Dorothy
796740	155006	Ann Rogers
796740	207906	Julie March
796740	207908	Julie March, ADA
796740	207909	Julie March
796740	207911	ADA Julie March
796740	246307	Doreen Marshall
796740	277348	
796740	295602	
796740	295619	Bonnie
796740	331372	Amy
796740	383780	Alice Grebe
796740	390414	Jennifer Jo (J.J.) Drinkwater
796740	397116	A.D.A. Julie March (1987-1993
796741	36480	Schubia
796741	36481	Schubia
796741	99892	Pony Hütchen
796741	347694	Fidel
796743	326536	Attrice teatro stabile
796744	93399	Barfrau (Barkeeper)
796744	111747	Babe
796744	166435	Isabelle
796744	178849	Tante Eva
796744	216278	Manu
796744	244680	2. kicherndes Mädchen
796745	126352	
796746	390812	Venus (2000)
796747	16403	
796747	84271	Bestemor
796747	99514	Prestefruen
796747	130196	Jordmora
796747	138524	En bondekone
796747	146985	
796747	151907	Berte-Marja
796747	172843	Ruriks kone
796747	178434	Mattea
796747	315415	Ane, tjenestejena
796747	340429	Gunvors mor
796747	341048	En kjerring
796747	347003	Krestena
796747	393864	Fru Hirse
796747	397312	Gamalfaster, 'Kvitugla'
796748	342242	
796749	199587	Sissy
796749	290252	
796749	314072	Deliah, 2. Sekretärin Stauffe
796749	365918	
796750	6862	Headmistress Bruno
796750	11892	Die Bösen: Jutta
796750	12897	Ellen
796750	14387	Grete
796750	15892	Isabel Von Hohenstauffen
796750	16129	Vera Clyde
796750	21003	Nikki
796750	24053	Suzy Dalton
796750	27781	
796750	28779	Ulla (segment "Trattato di Eu
796750	45533	Didi
796750	46705	Brigitte
796750	51880	Sylvia
796750	55683	Prof. Anna Vrooshka
796750	55977	Lisa Reiner
796750	61410	
796750	64566	
796750	67615	
796750	80656	Irma Eckman
796750	82880	
796750	90263	Ingrid
796750	91045	
796750	91785	Prime Minister Kura
796750	98270	Miezi
796750	105848	
796750	108768	Rebecca Wayne
796750	111152	Greta
796750	115103	Frau Lust
796750	125325	Barbara Shadwell
796750	145483	Eva
796750	145496	Helga Muenzel
796750	147708	Herself
796750	150563	Elke Sommer
796750	153919	Lilly Mancini
796750	154494	Magdalene Kruschen
796750	160469	Magda Goebbels
796750	161875	Zari
796750	161936	Chris Hartman
796750	164404	Herself
796750	166747	Eva Gruenberg
796750	184294	Evelyne
796750	184960	Ann
796750	185216	Herself
796750	190889	Alicia Braun
796750	204436	
796750	218018	Lisa Baron
796750	225177	Renate
796750	226334	
796750	230154	Christa Sonntag
796750	231455	Andrea Paretti
796750	231471	
796750	231673	Lou Parker
796750	232390	Miss Pelham
796750	241248	
796750	243788	Eva Arnold
796750	243954	Kay Bergdahl
796750	252728	Helga
796750	252741	Clarissa
796750	264486	The Countess
796750	265005	Inger Lisa Andersson
796750	265090	Heideline 'Uli' Ullman
796750	265809	
796750	270850	Giulia Cesari
796750	275180	Toni Simon
796750	285371	
796750	295390	
796750	295491	Helena Harrison
796750	299937	Maria Gambrelli
796750	321604	Rita Jensen
796750	326059	
796750	335866	Eva Heggener
796750	336530	Mylene, ein Französisches Mäd
796750	338828	Ursula
796750	345117	Ariane
796750	345924	Britta
796750	347787	Annie
796750	348129	Caterina
796750	348675	Giulia Giommarelli
796750	351589	Sandra Fane
796750	351962	
796750	352195	Eva
796750	353516	Helga
796750	364726	Paula Schultz
796750	368808	Linka Karensky
796750	374540	Frau Dr. Ericka Altschul
796750	386172	Anna
796750	388945	
796750	389098	Elke Sommer
796750	401311	Charlotte
796750	411221	Lída Baarová
796751	56125	Flugschülerin
796751	282104	Stammgast und Personal Rossin
796751	312890	
796751	347051	
796752	84307	TV-speaker
796752	90167	En speakerpige
796753	342	Frau Schulze
796753	18968	
796753	101355	Kundin
796753	104815	
796753	125279	
796753	156683	Frau Eyssen
796753	194522	Grevinna Elli
796753	246122	Jenny
796753	325703	Ingrid
796753	354771	Olivia
796753	389959	(2. Staffel)
796754	190083	Madam Foreperson
796754	343889	Josephine Nemesity
796755	31055	Kintwarna
796756	81590	Woman in Blue
796757	334354	Stage Manager
796758	189434	
796758	195057	
796760	13061	
796760	134924	Martha
796762	290473	
796763	370	Trinity's girl
796763	17816	Meela
796763	24837	Nurse
796763	31006	Diane
796763	57023	
796763	70142	Silvia
796763	96537	Candida
796763	104478	Contessina de' Bardi, moglie 
796763	125716	
796763	135290	Julie
796763	218336	2nd Flaherty Secretary
796763	252638	Jane
796763	278976	Liverpool's Sister
796763	295170	
796763	378022	Sylvie
796764	37658	Herself
796765	232387	Maskenbildnerin
796766	248457	Irm
796767	329682	
796768	89759	Tänzer
796769	114876	Susanne Terhorst
796769	191471	
796769	325667	Dame Galerie
796769	325837	Susi Stopnagel
796769	347829	
796769	393878	
796770	334611	
796771	18648	Solange Dubonet
796771	18831	Karin
796771	25069	
796771	38770	Vera
796771	71073	
796771	76261	
796771	119435	Ellen Miller
796771	125075	Danny Davis
796771	125088	
796771	170700	Elena Rossano
796771	176545	Margerita
796771	184625	Sarah Hammond
796771	253943	Mary de la Roche
796771	288439	
796771	289894	Helene
796771	290121	
796771	290647	Cora Morton
796771	342428	Louise Braganza
796771	347622	Manuela Ingarides
796771	361376	
796771	361395	Bit Part
796772	126353	Herself
796773	130070	Twin #2
796773	207225	Sara
796774	361130	Ramona
796775	130070	Twin #1
796775	173383	Tess
796775	207225	Sara
796775	341201	Tina
796775	354687	Nazli
796775	391358	Cassandra
796775	410462	
796776	83902	Frau Hölermann
796776	150568	Die Nachbarin
796776	312871	
796776	325692	Mrs. Surenkamp
796776	374344	Mrs. Smith
796777	248173	Marie
796778	58495	Passenger
796779	44378	Danish girl
796779	206170	Barbro
796780	26763	Liz
796780	39524	Yvonne
796780	40097	Nancy
796780	79698	
796780	123420	Cici Sheridan
796780	130829	
796780	146739	
796780	232229	Lonnie Roberts
796780	280639	Helen
796780	359146	Rosa, Lola Watkins' Maid
796780	385824	Valerie Grant #3 (1981-1982)
796781	84142	Missy
796781	106344	Jessie
796781	119484	Tricia
796781	209772	Maz Zablenko
796781	264427	Prostitute
796781	288905	Bartender
796781	328495	Vicki
796781	365664	Wendy
796783	87175	Ashley
796785	7347	Herself
796786	173601	Mother
796787	336593	La signorina Porelli
796788	81081	
796789	106255	Long John's Mother
796789	203027	Mrs. Carver
796789	212623	Nurse
796790	17485	Une tante de Serge
796790	25784	Lou's friend
796790	84248	Sally
796790	101255	Mme Bordure
796790	133090	La préposée aux costumes
796790	147457	
796790	158216	Madame Piguet
796790	278148	Jessie Weston
796790	287230	Dancer at the Party
796790	357858	Daisy
796790	379103	Miss Gwendolyn Abott
796790	397158	(segment "Bon petit Jules, Un
796790	398650	
796791	36871	Woman with whippet
796793	40190	Rick's girlfriend
796793	139611	Girl Friend #1
796793	150490	Cocktail Waitress
796793	335592	Shane
796794	33034	
796794	60928	
796794	67144	
796794	75031	
796794	93717	
796794	128338	
796794	293945	
796794	319934	
796794	332857	
796794	357156	
796795	81880	Party Girl
796796	105325	Nina Lloyd
796796	192622	Doreen Grey
796796	220442	Priscilla Mullins
796797	117483	Blonde Hooker
796798	53960	Lady in Distress
796798	149362	Barmaid
796798	305715	Little Beaver (lady truck dri
796798	354560	Working Girl
796799	221055	Nadia Denby
796800	164793	Kujo's Girl Friend
796801	394318	Regular Performer
796802	350321	Vampire Child
796803	119959	
796804	331309	Girl In Car
796804	401026	Barbara Courtney
796805	183559	Lookout
796806	91007	
796807	89321	Leila's Mother
796808	276635	Third Girl
796809	82011	(Show 1)
796809	120095	Cookie
796809	121631	Greta
796809	185899	
796809	212629	Stephanie
796809	269428	Herself
796809	309535	Cherry
796809	381766	Host (1994-1995)
796810	381492	Quartz
796811	9422	
796811	28346	
796811	48670	
796811	74465	Pengõ Julis
796811	89725	Koltayné
796811	108073	Bátki Tercsi
796811	108913	Szöllõssyné
796811	138944	Sós Juliska
796811	182879	Szabóné
796811	209842	Szerencsésné
796811	229708	Pólika, a felesége
796811	282753	Panni,özvegy Kékesné
796811	322014	
796811	322082	
796811	377784	Varjasné
796812	322186	
796813	336360	Anya
796814	9422	
796814	11065	
796814	17648	Boris,házvezetõnõ
796814	19670	
796814	33566	
796814	51093	
796814	51326	Teri, szobalány
796814	74421	
796814	78206	
796814	89725	
796814	96201	
796814	97977	Carmencita a tüzes spanyol ko
796814	110706	
796814	110726	
796814	120920	Tercsi
796814	136595	
796814	140049	
796814	144243	Lujza néni,az ikrek nagynénje
796814	153679	
796814	171603	
796814	182514	Szabóné
796814	182662	
796814	182873	
796814	182874	Gáspár mama
796814	190743	Mili
796814	198212	Mihályiné
796814	198322	Gazdaaszzony
796814	209840	
796814	209842	
796814	212825	Juliska,öreg színésznõ
796814	212992	
796814	229025	
796814	229710	
796814	253783	Az artista felesége
796814	270797	Vali anyja
796814	272164	
796814	322017	
796814	322069	Münzné
796814	322075	Szálka felesége (Késdobáló-ep
796814	322091	Julis,szakácsnõ
796814	322188	
796814	322203	Grófnõ
796814	326980	
796814	328970	
796814	333112	Judit nagynénje
796814	335963	Natasa
796814	357943	Virágárus
796814	377123	
796814	378042	Kun mama
796814	378577	
796815	19683	
796815	200056	
796816	90138	
796816	193077	
796816	213709	
796816	260550	
796817	229154	
796818	351549	La femme blonde
796819	163737	Giuliani
796820	143701	
796820	204644	
796821	303631	Selma
796822	79198	
796822	239163	
796823	28806	
796824	287343	
796825	126820	
796826	128329	Girl
796827	255316	Girl in Washroom
796828	78275	
796829	136376	
796830	60664	Il-mae Ju
796830	61448	
796830	371221	Su-in
796831	38174	
796832	27541	
796833	38885	Herself (contestant)
796833	211224	Sona
796833	311823	Reshma
796833	376603	Korean dancer
796834	4190	Nisha
796834	4199	
796834	4433	
796834	9241	Henna
796834	62726	
796834	88547	
796834	95448	
796834	109800	
796834	152452	Shankar's wife
796834	160169	Anjali
796834	160223	Hariharan's girlfriend
796834	166460	
796834	179251	
796834	181110	Sonu
796834	184996	
796834	216378	
796834	226039	
796834	320860	
796834	339625	
796834	354295	Nisha
796834	355328	Renuka
796834	355334	Sirima
796835	20625	Extra
796835	304587	Native Girl
796836	377538	
796836	383252	Nevin
796837	82620	
796838	400670	Tonha
796838	409347	Patuapá
796839	356223	Marina
796840	111063	Special Guest Cannes Film Fes
796841	312934	Russian woman prisoner
796842	80376	Louise Canan
796843	81274	
796844	192927	Herself
796845	72917	Mrs. Cavanaugh (segment "Old 
796846	17506	Lady Thiang
796846	18197	Faith Paleologus
796846	19160	Gretta Van Leyden
796846	39342	Abigail Doone
796846	41698	Tylette (the cat)
796846	56687	Miss Lu
796846	56711	Hester Black
796846	63024	Mrs. Monette
796846	65650	Luise
796846	72703	Cameo appearance
796846	92959	Madame Therese Charlot
796846	96861	Nora Kernan
796846	97211	Mrs. Edmunds
796846	101051	Mrs. Van Dorn
796846	101689	Bessie Seagrave
796846	116523	Herself
796846	136555	Rhoda
796846	147807	
796846	161915	Lady Irene Herrick
796846	162931	Marge Willison
796846	169806	Empress Eugenie
796846	188586	Mrs. Hammond
796846	190174	Lucie Dreyfus
796846	192951	Lora Travers
796846	194462	Doris Clandon
796846	200881	Martha Harding
796846	201840	Herself
796846	206118	Inez Quintero
796846	223903	Madame Stephanie Runick
796846	230384	Juno Marko
796846	231964	Attosa
796846	232260	Mrs. Devoe
796846	248993	Colette
796846	256616	Señorita De Sola
796846	257921	Ora
796846	276649	Elk Woman
796846	279428	Catherine Vail
796846	288939	Leslie
796846	295448	Nana, Diane's Sister
796846	298582	Adrea Spedding
796846	304632	New Orleans lady
796846	308927	Rachel Salomon
796846	311016	Zenobia Dollard
796846	316070	Anna Huber
796846	324428	
796846	333300	Emily
796846	381736	Amanda Key (1970)
796846	383780	Aunt Agusta
796846	404002	Marguerite Beaulac #1 (1976)
796847	167558	Mrs. Borg
796847	226899	Miss Owens (Stoneman's nurse)
796847	293158	
796848	117579	Kit Bag
796848	347403	Kitty Rohmer
796849	61314	Bess Abbott
796849	258554	Tanya
796850	203918	Green Room Official #2
796851	17189	CIA Agent Liza
796852	99218	Irma
796852	179682	Lisa
796853	276437	
796854	53819	
796855	13854	
796855	126492	Jennifer
796855	190702	Reg Stevens
796855	276074	
796855	287782	Susan
796855	317307	Natasha Kwon-Shwartz
796855	344480	Samantha Kwan
796855	378684	Sariffa Chung
796855	406877	London
796856	165533	Chae-hwan Song
796856	305180	Woman
796856	392497	Han, Jung-in
796857	59597	
796857	87586	Featured Disco Dancer
796857	312763	Stripper
796857	342027	
796857	367083	Dancer
796857	372804	
796858	124870	Du Lamei
796858	167404	Chunxing
796858	236262	Xiao Chun
796859	405110	Cheng Ying
796860	296571	Yingzhi
796860	298691	Yee
796860	373098	Han Yuerong
796861	153414	
796861	223521	
796862	20723	Waitress
796863	34702	Bridesmaid
796863	128461	
796863	195615	Girlfriend
796864	95147	
796864	125962	
796864	166811	
796865	389655	Eun-seo
796866	165538	
796867	226563	Sing En
796868	160885	Blouse Admirer
796869	370427	
796870	307849	Seo Yu-jin
796870	371144	Yun Ji-seong
796871	197601	Subi
796871	268804	Qian Wanjun
796871	305572	
796871	374904	
796872	152128	Xiao Diandian
796873	44384	Smoking Passenger
796874	221483	Herself
796874	381909	Herself (Winner, 82 Days) (20
796876	266554	Sally Marsh
796877	192712	7-11 Couple
796877	349898	Sexy Holiday
796878	20625	Extra
796878	152962	
796879	29229	
796879	138321	
796879	153449	
796880	251108	Orphanage Woman
796881	200536	
796882	219371	Hairstylist #1
796883	236263	Jingxiang
796884	294492	
796884	371843	
796885	89098	Hwang Ma-ri
796885	90944	English Teacher
796885	104556	Ga-ryeon
796885	135653	Choi Jeong-rae
796885	189231	Oh Jeong-ae
796885	216215	Da-Hye
796885	217355	Lim Cha-kyeong
796885	282424	
796885	398010	Kim Lee-joo
796886	158356	Herself (comfort woman, 1937)
796887	284932	Mother in hospital
796888	136126	
796888	137215	Jennifer
796888	193978	Gracie
796889	102247	Nurse Tran
796889	256464	Jen Su
796889	308011	Female Scientist
796890	352730	
796891	301678	Nurse
796892	408879	Larissa
796893	20061	Sungmin's mother
796893	76653	
796893	102061	
796893	125952	
796893	137358	
796893	138009	Won, Jong-rim
796893	138296	Moon
796893	227401	
796893	243962	
796893	304271	Na Yeo-sa
796893	318849	Ki-wok
796893	371240	
796893	371256	Kyun-woo's mother
796893	390832	Jun-Sang's mother
796894	12835	Ma Yunlong's mother
796894	63290	Song Mumu
796894	184311	Sis
796894	296571	Woman Manager
796895	149011	Rui Feng
796896	298678	Lanyin
796897	62121	Herself
796898	91100	Jin Song Hwa
796899	212635	Ding Hong
796899	268776	Can Dandan
796899	369950	Feng Xiaoyue
796900	140747	Fan Xia
796901	92642	
796902	1327	
796902	49194	Kang Yeo-kyeong
796902	107045	Jeong Seon-yeong
796902	136337	
796902	376540	Song, Na-young
796902	404307	Lee Hee-soo
796903	44415	Pam
796903	110299	News Broadcaster
796903	178149	Blonde Actress
796903	203358	Rockette
796903	272859	Audience Member
796903	283590	Detective Steward
796903	300180	Nicky
796903	301806	Linda
796903	362453	Dancer
796904	143284	Alison
796905	258313	Malou Keita
796906	342274	Puppetta
796907	301469	
796908	47945	Staff Girl
796908	51990	Rosemary
796908	72724	Lucinda
796908	134313	Babs
796908	265747	Jackie
796908	314224	Tiny Mary
796908	359443	Coral
796909	43323	Divya
796909	76950	
796909	91466	
796909	98473	
796909	100291	Herself
796909	104768	United Kingdom entry (2nd pla
796909	123737	
796909	133412	Herself
796909	134146	Rider #6
796909	146730	Herself
796909	159346	(segment "Romántico")
796909	170830	
796909	174434	
796909	174482	
796909	201943	Vote Presenter
796909	204993	A ballerina
796909	211253	
796909	223823	
796909	305640	Donna
796909	328180	
796909	377790	Herself
796909	382693	Joey's Girlfriend (Series 4) 
796909	394159	Host
796909	395651	Bunty Savage
796909	400341	Herself (2003)
796909	403030	Herself/Performer
796910	329305	
796911	331551	Specialty Dancer
796913	276041	
796914	208089	Gourmet Hunter
796915	175706	
796916	189425	
796916	260431	Herself/Donna Summer
796916	405850	
796916	408555	Herself - Performer (2000-200
796917	37563	
796917	80509	Niki
796917	158347	Geetha
796918	16212	Therese
796918	92926	
796918	125319	
796918	156054	
796918	175032	Slávka, Michovský´s wife
796918	180014	Kraljica Draga
796918	205579	Mary Queen of Scots
796918	207586	
796918	274050	Undetermined Role
796918	279591	Mother
796918	312524	Lydia
796918	321823	La mère de Giannino
796918	329473	
796918	351940	
796918	352041	
796920	127402	Whila
796921	96043	La flamboyante
796922	94009	Bulgi Sonkaria
796923	126455	Kater Hinz
796923	126476	Angela
796923	272781	Iphigenie Striese
796923	376327	Monika als Kind
796923	396362	
796924	42528	Gina
796925	174405	
796926	9349	
796926	22803	
796926	25616	
796926	30819	Aysel
796926	33249	
796926	35613	
796926	39053	
796926	51352	
796926	96487	
796926	98677	
796926	110403	
796926	136763	
796926	156431	
796926	177964	
796926	180328	
796926	180588	
796926	293430	
796926	294091	Nazli
796926	295263	
796926	295511	
796926	307151	
796926	322447	
796926	350843	
796926	370297	
796926	370793	Nermin
796926	377497	
796927	25993	
796928	17700	Slave Girl
796929	399847	Herself - Cafémedhjælper, Caf
796930	195771	Person in the Colony Room Clu
796931	60251	Mo Macklin
796932	11769	Påklæderske
796932	28595	
796932	30110	Karen
796932	30137	
796932	32544	Bedstemor Betty Larsen
796932	37904	Strygerske Sofie Olmgaard
796932	38827	Stine
796932	39127	Pige hos frk. Grøn
796932	43137	Kromutter Marlene
796932	92947	Berte Skeel
796932	94411	
796932	94412	Laundress
796932	102497	Stine
796932	107719	
796932	108574	
796932	122280	
796932	123498	
796932	123504	Lugekone
796932	134970	
796932	136449	
796932	138532	Fru Larsen
796932	142229	Heks
796932	144060	Elise 'Harpen' Kroneman
796932	178751	Fru Steenberg
796932	179979	
796932	182603	Grete, husholderske
796932	182850	Radiolytter
796932	190831	
796932	192653	Bitte-fip
796932	192668	
796932	198054	
796932	202972	Fru Lajla Sørensen
796932	203922	Fru Lewald
796932	214197	Pantelåner
796932	219005	Pensionatsværtinde Sonja Bohm
796932	244670	Kogekone Elisabeth Sørensen
796932	250977	
796932	255663	Sofie Olsen
796932	303950	
796932	304206	Fru Hansen
796932	307226	
796932	307759	Sørensen
796932	308229	Østjysk Frue
796932	312125	Fru Olsen
796932	315382	
796932	320585	
796932	322961	Daniels tante
796932	331994	
796932	334317	Gamle Mette
796932	334434	Kokkepigen Marie
796932	340426	Frk. Møller
796932	343374	Fru Hansen
796932	352839	Malin
796932	353010	Kogekonen Mathilde
796933	274973	Herself
796934	220165	
796935	35597	Townspeople
796936	205808	Aunt
796937	37690	Party Girl #2
796938	19344	
796939	84029	Mrs. Barkman
796940	37473	Kid on scooter
796940	210739	Alien on TV Monitors
796940	210741	Elizabeth, Young Girl at the 
796941	281973	Eine Modistin
796942	128949	
796943	315469	Little Ida
796944	208145	Herself
796945	13053	
796946	899	Mrs.Grosso
796946	166746	Mrs. Kearns
796946	175741	Simone
796946	224838	Lobster Woman
796947	394421	Scientist 1
796948	73473	
796949	261119	Cheryl Morrison
796950	264279	
796951	56125	Tochter
796952	98423	
796953	216753	
796954	108146	
796954	175292	
796955	160438	
796955	228265	Herself
796955	253484	Klara
796955	302175	Simone
796955	317610	Melanie Koch
796956	264942	
796956	327898	
796956	346442	
796957	103201	Herself - Madryn
796958	76974	
796958	149888	
796958	173489	
796958	227428	Osada, wife of Yamada
796958	229580	
796959	177862	Naomi
796959	182410	
796960	61442	Tae
796960	89049	Wife of Kuman-mine
796960	122948	
796960	125436	Mutsuko
796960	137325	Chigusa
796960	174895	Toshi Matsumoto
796960	176604	Murae
796960	229870	Katsuko, Toshinori's wife
796960	372017	Ochika
796961	137153	
796961	181987	
796961	181990	Yuriko
796962	37622	Emi
796962	76896	Yuriko
796962	181992	
796962	296642	
796962	298990	
796962	350578	Shidori Isoh
796962	375596	Geisha A
796962	375614	
796963	404772	General Staff
796964	104274	Harumi
796965	135953	Teacher
796965	214395	
796965	215623	
796965	373190	Yuasa
796966	9772	
796966	10997	
796966	11428	
796966	25512	
796966	27737	
796966	28716	
796966	30790	
796966	30859	
796966	30862	
796966	50098	
796966	77635	
796966	89710	
796966	114148	
796966	127852	
796966	139397	
796966	156178	
796966	165244	
796966	169801	
796966	171198	
796966	190079	
796966	200009	
796966	200104	
796966	200160	
796966	205061	
796966	243248	
796966	248006	
796966	256888	
796966	281697	
796966	287062	Sylvia, Agnes's mother
796966	287270	
796966	289297	
796966	300102	
796966	342581	
796966	344358	
796966	372488	
796967	318371	Rachael
796968	361260	Tina
796969	88761	Alley Earp
796970	310446	Momma
796971	40702	Herself (co-author, "Blind Ma
796972	123018	Herself
796972	208228	Herself
796972	291411	Herself
796972	291412	Herself
796972	337099	Herself
796972	374418	Herself
796973	18992	
796974	82006	
796974	171883	
796974	392004	Maria
796974	400825	Katia
796974	407739	Zafira Mangou
796975	1362	Rajen's Secretary
796976	29081	Mother-in-law
796976	36818	Dancer
796976	96994	Waitress
796976	220364	
796978	20625	Extra
796979	20625	Extra
796980	20625	Extra
796981	20625	Extra
796982	1712	Opera reporter
796982	42108	
796982	72147	Nancy Lee
796982	215843	Maria
796982	238152	Waitress
796982	254759	Chin
796983	335492	Tonka Soobrayen
796984	121538	Da Nang hooker
796984	311523	Waitress
796984	354178	Pan Ho
796985	387150	
796986	275673	
796987	150351	Raker Girl
796987	227402	
796988	32818	Japanese child
796988	175835	Anna
796990	58770	Horsewoman
796991	1500	Dr. Veena Yandro
796991	5527	Woman Orderly
796991	8023	City Official #2
796991	35257	Religious Zealot
796991	59875	Adeena
796991	69639	Mrs. Morse
796991	76220	Sylvia Mack
796991	106193	Doctor in Dialysis
796991	113306	ER Nurse
796991	140361	Sally
796991	141180	Anesthesiologist
796991	141194	Nurse Adjani
796991	156970	Admitting Nurse
796991	161051	Intern
796991	165462	Meditation Voice
796991	167892	Poonam
796991	190230	Doctor
796991	209526	Siri Markham
796991	219994	Office Worker
796991	221136	Mrs. Sarathi
796991	230442	Sales Woman
796991	244447	Mrs. Jindal
796991	264234	Reviewer #1
796991	272776	Donna Kornbalm
796991	275322	New York Reporter
796991	292042	
796991	296227	Rosalie
796991	314812	Autogaph Woman
796991	329816	Talk Show Host
796991	333393	Nurse
796991	336704	Dolly
796991	342853	Gambling Member #1
796991	368997	Nurse
796991	391980	Callie Pender
796991	392244	Sangita Desai
796991	395819	Mrs. Morse, School Teacher
796992	67996	Jokie
796992	396128	Cindy Damon (1974-1975)
796993	352052	Zusje
796994	7111	Janet's maidservant [Chs. 1, 
796994	116271	Chinese stewardess
796994	129233	Bit
796994	308155	Ming
796994	320197	Native Girl At The Party
796995	365443	Kim
796996	65087	Annie
796996	402776	Annabel
796997	289372	Featured Extra
796998	403570	Herself
796999	72559	Dorri
796999	160885	Hair Wearer
797000	144487	Minnehaha
797000	177442	Serena
797001	46321	Chinese girl at party
797002	115110	News Anchor
797002	117498	Chinese Woman
797002	133973	Assistant TV Director
797002	218162	Japanese Woman
797002	255169	Museum Employee
797003	2789	Concubine
797003	59869	Hostess
797003	71138	Elderly Immigrant
797003	79083	Allie
797003	119358	Pei-Pei's Mom
797003	125635	Concubine
797003	169594	Popo
797003	214643	Lucille
797003	234913	Ming
797003	241559	Kim Lee
797003	304288	Cook
797003	331679	Girl in Hong Kong
797003	385020	Jasmine Choong (1969)
797004	6206	Ammini
797004	40244	Astrid
797004	243501	Malu
797005	31517	
797005	141858	
797005	253672	
797005	351301	
797005	381821	Ensemble (1976)
797006	176499	Runner-up
797007	58172	Irene
797008	90142	Donna Anna
797009	118082	Fru Klingenberg
797009	168935	Mary, bardame i Pensacola
797009	345999	Danser
797009	354742	Losjevertinnen
797010	69342	Maryssa
797010	101820	Sonia
797010	167103	Natacha
797010	261116	Champs-Elysées Model
797010	319914	Arieta
797011	233245	Ilona
797011	236793	Hilkka Koikale
797011	271608	Maisa
797011	343396	
797011	356186	Herself
797011	356234	
797011	393738	Herself
797011	393742	Herself
797011	399856	
797011	407710	Herself - the host
797012	390358	Sky
797012	399130	Louise Lowry (1986)
797012	401828	Gracie Drummy
797012	403355	Susan Miller
797013	183238	
797013	195745	Blonde girl in bed
797013	312768	Mme Thenardier
797013	348518	Maisie
797013	388968	Narrator
797013	403676	Susan Chrichton-Jones (1974-7
797013	403890	Veronica Sweet
797014	385299	Sister Margaret
797015	166471	Other Team Member
797015	270128	Lisa Rizzo
797016	46871	Cafe patron
797017	154661	Tracy
797018	330479	Margaret Shelburne, The Dire 
797019	5571	Sylvia
797020	355522	
797021	279967	Herself
797022	39752	
797022	75060	
797022	92471	
797022	93705	
797022	93716	
797022	114099	Hooker #2
797022	123823	
797022	131921	
797022	131922	
797022	181321	
797022	228637	
797022	291901	
797022	293945	
797022	322957	
797022	346598	
797022	386616	Nikki's dog
797024	313442	Lucana
797026	59702	Gisela
797026	164902	Nina
797026	349056	Helga
797028	60691	Herself
797028	63231	
797028	64864	Laughing Lotus Girl
797028	77696	Dancer
797028	104755	Luxembourg entry (9th place)
797028	115062	Sandmoon Girl
797028	234576	Couple's Daughter
797028	346479	Danseuse
797029	389269	Beehive Western Gal (segment 
797030	84601	Clarisse
797031	353466	Ensemble
797032	193440	
797032	345286	
797033	18209	Marigi
797033	18945	Mother
797034	154277	Maxhupja 1
797034	338723	
797034	387729	
797036	284617	Donna
797036	367353	Child in village
797037	159536	Francesca
797037	214858	
797037	243940	Marina
797037	262405	Giulia
797037	328897	
797037	347470	
797037	396649	
797038	142732	Sjukgymnast
797040	226702	
797040	357865	
797041	182215	
797042	260056	Mrs. Peltonen
797042	307139	Irja Tuomaala
797043	229648	
797043	399657	
797044	264075	Nurse #2
797045	7464	Jeanne Martial
797045	18258	Nadine Marty
797045	19319	Sophie
797045	24178	Paula
797045	24434	Agnès Deckers
797045	28622	Isabella
797045	40559	Carol
797045	51395	Claire
797045	51402	La mère de Sabine
797045	68367	Claudia
797045	86396	Anna
797045	94239	Dominique Bazin
797045	99736	Prostituée 1
797045	108908	Elisabeth Labarge
797045	112895	La monteuse
797045	119491	Nellie Planchet
797045	125723	La femme de Pierre
797045	125724	
797045	125738	Anita
797045	148775	Fabio Lini's girlfriend
797045	154434	Helene
797045	158938	Josiane
797045	166095	
797045	166156	Lucie
797045	174562	Countess Bruce
797045	176930	Violet Blum
797045	192811	La tante de Marylin
797045	200964	Aline Bauche
797045	234286	Anne Letellier
797045	239421	Nicole
797045	244756	
797045	250643	Aline Bauche
797045	251050	Sabrina
797045	262428	Prat
797045	264525	Nicole Beck
797045	268447	Valérie Monteil
797045	284242	Florence, dite Flo
797045	324966	Chandreau
797045	326283	Lola
797045	337006	Claire
797045	342611	Tatiana
797045	345140	
797045	345283	Marthe Rambal
797045	345369	Françoise
797045	345548	Sabine Castel-Fortin
797045	347054	Rachel
797045	375768	
797045	377475	Odette
797045	382188	Isabelle Dumont
797045	382477	Prudence Beauvilliers
797045	398075	Nathalie de Noailles
797046	94239	
797046	345548	Sabine's Daughter
797047	162129	Greek Woman
797048	308827	Lady with Cheque
797049	10552	
797049	70725	Maria
797049	92899	
797050	13828	Doris Thatcher
797051	19714	
797052	77676	Salsa Club Dancer
797053	405696	Bernese Child
797054	230622	Specialty
797054	281696	Singer in 'Who Knows?' Number
797055	25719	
797055	58284	
797055	357603	
797055	370916	
797056	4602	Abbase
797056	5578	
797056	5694	
797056	5698	
797056	5734	Meryem
797056	6088	
797056	7368	
797056	8342	
797056	8348	
797056	8350	
797056	9503	Jülide
797056	11734	
797056	12644	
797056	15304	Döndü
797056	15883	
797056	20183	Zeynep
797056	21217	
797056	22011	Asiye
797056	22023	
797056	22034	
797056	22042	
797056	22050	
797056	22052	
797056	23127	
797056	23129	
797056	25603	
797056	25621	
797056	25622	Ayse
797056	25686	Elif
797056	27420	
797056	28163	
797056	28835	
797056	29587	
797056	29860	
797056	34046	
797056	34216	
797056	37957	
797056	38430	
797056	38439	
797056	38452	
797056	38462	
797056	38466	
797056	38477	
797056	38491	Herself
797056	38637	
797056	39048	
797056	42693	
797056	43279	
797056	49029	
797056	50065	
797056	51318	
797056	51324	
797056	51340	
797056	57824	Cemo
797056	58331	
797056	63985	
797056	63986	
797056	76002	Herself
797056	83024	
797056	83314	
797056	85137	
797056	86599	
797056	86619	
797056	86688	Dila Hanim
797056	90807	
797056	96469	
797056	96475	
797056	98598	
797056	98677	
797056	99191	
797056	99552	
797056	114520	
797056	118105	
797056	124033	
797056	124216	
797056	124821	Zeynep
797056	125345	
797056	125929	
797056	125935	
797056	131192	
797056	135731	Gullu
797056	135732	Gullu
797056	135745	
797056	135872	
797056	136697	
797056	136728	
797056	136765	
797056	136786	
797056	138641	
797056	140015	
797056	140585	
797056	140616	Zeynep
797056	140621	
797056	140673	Hazal
797056	143465	
797056	143723	
797056	156214	
797056	171977	
797056	171988	
797056	172009	
797056	172010	
797056	172015	
797056	172189	
797056	173768	
797056	173771	
797056	173851	
797056	173972	
797056	175382	
797056	175489	
797056	177907	
797056	178393	
797056	179585	
797056	179815	
797056	180273	Meral
797056	182166	
797056	182812	
797056	182836	
797056	182907	
797056	187650	
797056	198144	Mehmene Banu
797056	198914	
797056	200590	
797056	200795	
797056	208253	
797056	208782	
797056	210252	
797056	210255	
797056	210256	
797056	210956	Neriman
797056	211446	
797056	212072	
797056	212282	
797056	214539	Mine
797056	221514	Mualla
797056	227232	
797056	229060	
797056	232516	
797056	234324	Herself
797056	240144	
797056	240534	
797056	244486	Nevin
797056	262980	Herself
797056	283317	
797056	285557	
797056	287060	
797056	287061	
797056	289289	
797056	292708	Las Nenas
797056	293892	
797056	294120	Eylül
797056	294123	Selma 'Aygül'
797056	294132	Selma
797056	295333	
797056	295528	
797056	295535	
797056	297871	Night club dancer
797056	302526	Rabia
797056	303167	Dürrin
797056	303578	
797056	303579	
797056	303580	
797056	307078	
797056	308476	Nalan
797056	318613	
797056	318617	Sultan
797056	322551	
797056	324796	
797056	325353	
797056	325354	Nigar
797056	338727	Herself (segment "Il provino"
797056	341887	Herself
797056	348022	
797056	348990	
797056	349707	
797056	351049	
797056	352808	Sabiha
797056	357559	Güllü
797056	370297	
797056	370370	
797056	370914	
797056	371552	Esme
797056	371558	
797056	373288	
797056	375866	
797056	376112	
797056	377497	Feride
797056	377498	
797056	377501	
797056	377508	
797056	378185	
797056	378238	
797056	378572	
797056	390419	
797056	392575	Hanim
797056	396898	Lupe
797056	407594	Betül 'Betüs'
797056	407595	Sevinc Yildirim
797057	88011	
797058	404628	Various Characters
797058	410608	
797059	24410	Nelly Nash
797059	62176	Tochter des Kaisers von China
797059	371287	Maria
797060	14300	Rosa von Praunheim
797060	24067	Maria
797060	90995	
797060	153730	Marile Kosemund
797060	174762	Rosy
797060	232657	Helpless girl
797060	247318	
797060	256442	Marie
797060	278573	Hannas Kollegin
797060	282207	Tanzendes Mädchen
797061	2252	(segment "Chambre, La")
797062	312266	Nosapocket
797063	219457	
797064	115430	Ann-Marie Brummell
797064	168392	Guest at the new year's ball
797064	178483	Eva
797064	349802	Mrs. Svensson
797065	681	Viola
797065	1050	Flirting Lady #1
797065	2299	Maud
797065	100337	Girl on Swing
797065	122331	Maj
797065	138521	Nancy
797065	142835	Marianne's friend
797065	174255	Elsa Lindberg
797065	178483	Karin
797065	181128	Eva Granfors
797065	192499	Eva Granfors
797065	240313	Guest at the birtday party
797065	322422	Stina
797065	353042	Sture's secretary
797066	48001	Lisa Waldemars
797066	115430	Svea Brummell
797066	222474	Eva, her niece
797066	240313	Guest at the birtday party
797066	317599	South Sea's girl
797067	259194	Herself
797068	69187	Herself
797068	104775	Belgian entry (24th place)
797069	68511	Second Grade Girl
797069	80829	JoAnn
797069	127239	Cindy Strack
797069	151365	Kiddie Koral Girl #2
797069	192302	Crying Girl
797069	217481	Jessica Slocum
797069	230340	Edie Mermelstein
797069	323506	Abby
797070	108260	Arlene
797071	86082	Buji
797071	86083	Buji (voz)
797071	86084	Buji's voice
797071	383291	
797071	386294	Buji
797071	397575	Buji
797072	315909	Witch #2
797073	100467	
797073	263857	
797074	397594	Geisha
797075	202215	
797076	399767	
797077	17868	Singing Girl
797078	39990	Rosa
797079	29968	Barefoot Model
797080	15260	Madame Raffut
797080	253213	A Courtesan
797080	336377	
797081	14637	
797081	24998	
797081	25098	
797081	60111	
797081	64023	
797081	68971	
797081	96400	
797081	192941	Erika
797081	218440	
797081	246386	
797081	257564	
797081	269965	
797081	284573	
797081	317769	
797081	349584	
797081	354344	
797081	376691	
797082	93763	Persistent woman
797082	171798	Winkeljuffrouw van Platen
797082	382402	Sofie Peemans
797082	386265	Anouk
797082	400287	Mie Muys-Zaterdag
797082	407884	Vrouw Van Gorp
797082	411311	Elke (1994-1996)
797083	101042	Martha Busquets
797083	206743	
797084	98177	
797085	14085	Cluett's secretary
797085	25877	Paul's Mother
797085	242110	
797085	262740	Tana, mother of Tigri
797087	104442	Leni
797088	9124	Nurse
797088	25877	Ruth
797088	105144	Marie
797088	105147	Louise Lathrop
797088	126506	Helena Varga
797088	128479	Sylvia
797088	141097	
797088	206119	Inez Quintero
797088	207510	Louise
797088	208757	Julia
797088	241630	Carole Simon
797088	249624	Melina
797088	253114	Alicia Salazar
797088	257903	Miss McCormack
797088	263174	Joanna Spencer
797088	276665	Ariane Hadrachi
797088	279149	Elena
797088	319202	Dolores Chase
797088	362774	Millie Cooper
797088	363370	Barbara Roxbury
797088	364832	Vivian
797088	366408	Vivian Alamain
797088	368191	Herself
797088	385437	Amanda Gibbons
797088	385824	Vivian Alamain (1992-2000)
797088	386698	Barbara Robinson
797088	395056	Elaine Holstein
797088	400236	Judith Russell Sanders (1986-
797088	401930	Donatella Stewart (2000)
797088	404282	Augusta Lockridge (1984-1986,
797088	407086	Jean Vale
797089	102318	
797089	104179	
797089	205529	
797089	377604	
797090	39489	Sarah Johnson
797090	39490	Sarah Johnson
797090	39491	Sarah Johnson
797090	73922	Annie
797090	154450	Elizabeth
797090	158296	Pat Hood
797090	203591	Dr..Beck
797090	275322	Natalie
797090	348431	Mrs. Rosen
797090	386855	Sammy
797090	389867	Monique McCallum
797091	111039	
797092	41005	Muriel Bronson
797092	42019	Renee
797092	66111	Myrtle
797092	117667	Henriette Mendel
797092	147518	Luise-Henriette
797092	156067	Klassenprimus
797092	253974	
797092	303175	Henriette Mendel
797092	308241	
797092	316104	Charlotte Farber
797092	367863	Taharua Young
797093	65089	
797094	27153	Sherri
797094	74011	Gretchen
797094	199243	Jennifer
797094	203329	Shauna
797094	287789	Taylor
797094	303788	Hostess
797094	404399	Twin
797095	44659	Lechera 1
797095	57439	
797095	103845	
797096	144174	
797096	396874	(1992)
797097	44034	Rayvie
797097	68470	Justine
797097	151616	Vegetarian Waitress
797097	316981	Patrolwoman Kirke
797097	346224	Multiracial Receptionist
797097	392420	Nancy
797098	203509	Minna
797099	116147	Crew member
797100	239018	
797101	254138	Claire
797102	71394	
797102	101179	
797102	133179	
797102	319861	
797102	340169	La soeur tourière
797103	24010	Singer
797104	109528	
797104	175249	Garderobiere
797104	334639	
797105	26734	Tara
797105	114026	
797105	141226	
797105	141544	Prostitute
797105	196328	Peaches LeJeune
797105	274805	Loretta
797105	362439	
797105	372418	Antsy
797105	397293	Nia
797106	58656	Mrs. Croz
797106	101950	Norah
797107	4524	Trapezist
797108	51661	Tabitha Soren
797108	69895	Herself
797108	154722	Herself
797108	205649	Host
797108	398439	
797109	150060	The Guerrillas
797110	56871	Party Girl
797111	31740	Giant's Daughter
797112	158881	Teenager
797115	366653	Sabrina
797116	159935	Clara
797116	206240	Kim
797116	363602	Girl Outside Diner
797118	334011	Mourner
797119	297777	Other Streetwalker
797120	304360	Stoiss Bodyguard
797121	105713	Sunny
797123	105713	Sunny
797124	43372	Assistant Dispatcher
797125	54472	Geex
797125	78775	Human Xylophone
797125	169177	
797125	192100	Female Little Person
797126	215087	
797127	56621	Brian's Sister
797128	111796	Airport Attendant
797128	117162	Showgirl, New York City
797128	120285	Cheryl Lane, Call Girl
797128	126001	Herself (Playmate)
797128	146661	Vestal Virgin
797128	257643	Herself (Playmate)
797128	282562	Trudy
797128	292818	Kelly
797128	311133	Alice (Fitz-Hume's supervisor
797128	320265	Kristen
797129	358339	Alice
797130	336783	Gretchen Lake
797131	60253	Young Reva Applebaum
797132	203270	Carrie Chaney at 6
797132	253540	
797132	396559	Patty (daughter of Kathy) (19
797133	6865	Mrs. Anderson
797133	41164	Judge Goldberg
797133	46391	Helen McBain
797133	46425	Mickey
797133	71910	Laura Evans
797133	81709	
797133	93017	Teresa
797133	98356	Helen Dukas
797133	108354	Bea
797133	109832	Marge Lussier
797133	131433	
797133	139131	Alice Neely
797133	141662	T.V. Producer
797133	153185	Vivian
797133	154494	Cynthia
797133	154853	Margie
797133	169206	Esther Shapiro
797133	189913	Alyson's mother
797133	195669	Amy's mother
797133	204877	
797133	208878	Blanche
797133	211611	Holly
797133	213861	
797133	220646	Ruby
797133	244871	
797133	248135	Mona
797133	299518	Elizabeth Scanlan
797133	315218	Monica Page
797133	316467	Anna Strauss
797133	329404	The prostitute
797133	330559	
797133	363712	Kayla
797133	379644	Additional Voices
797133	381809	Fifi
797133	383462	Love-a-Lot Bear
797133	399224	Miss Grundy
797133	401865	Additional Voices
797134	277088	Rho-Rho
797135	405302	Host (1988-89)
797137	68586	
797138	210548	
797139	44342	
797140	9932	
797140	99937	
797140	216342	
797140	236484	
797140	300645	
797140	306961	
797141	120392	Secretary Deemo
797141	366997	Tycom Riot Reporter
797141	368318	Debbie
797142	379612	Anna Mitchell
797143	385245	Geneviève
797144	314152	Maria
797145	178591	Mutter
797146	9524	
797146	290449	Mrs. Zumtobel
797147	132540	
797148	29523	Tracy
797148	188963	Tammee
797148	304910	Sue
797149	384576	
797150	407613	Drew Vincent (Centaur)
797151	151540	Human Models Agent
797152	166917	Herself
797153	32200	
797153	43629	Marguerite
797153	59510	
797153	72550	Hélène April
797153	74077	Sophie
797153	86911	La Bonne
797153	120970	Mere de Guillaume
797153	284267	
797153	345064	
797153	346701	
797153	380869	Susan Morton
797153	396769	Manon Donato
797153	403899	Micheline Lamarre
797153	409433	Cybèle
797153	409677	Françoise Villeneuve
797153	410628	Simone Auclair
797154	194648	Mariana Walker
797155	139891	
797156	229318	
797157	155597	
797158	139891	Dulce
797159	319286	
797160	2154	
797160	58308	
797160	332203	
797161	281807	Mlle d'Arcize
797162	294730	
797163	258133	Policía Nacional
797163	339776	Katherine
797164	49887	
797164	77084	Laura
797164	88117	
797164	146969	
797164	172580	
797164	173671	
797164	184082	
797164	184803	
797164	190418	
797164	207044	
797164	207047	Irenea
797164	207923	
797164	216849	
797164	284664	
797164	285889	Juliet
797164	294311	
797164	318393	
797164	341566	
797164	354898	
797165	133083	Dependienta
797165	258133	Policía Nacional
797166	340320	Lily Marcigan
797167	318267	Studio's Girl
797168	15357	Luchy
797168	15380	
797168	42652	
797168	55927	
797168	71284	Lola
797168	80164	
797168	92348	
797168	101851	
797168	115763	
797168	124453	
797168	134508	
797168	152261	
797168	165789	
797168	169784	Viuda
797168	184850	Rosita
797168	187842	Leonor
797168	193511	
797168	202832	Luchy?
797168	208844	
797168	221953	
797168	243486	Raquel
797168	266474	Herself
797168	269965	
797168	275952	Herself
797168	316852	
797168	339168	
797168	376767	La madre de Luisa
797168	376796	
797169	78563	
797170	325323	
797172	23815	La dame du quatrième
797172	243296	Une voyageuse du Corail
797172	254075	
797172	284242	
797172	285424	
797173	378991	Host (1989-1990)
797173	387895	Host
797173	390384	Host (1991-1992)
797173	401907	
797173	403912	Host (1990-1991)
797174	39486	
797175	221706	
797175	379583	Serena
797175	379879	Carmen Ayala
797175	380115	
797175	383770	Margarita
797175	384772	Elena
797175	385057	María Brusco
797175	386794	
797175	388093	Gertrudis
797175	392769	Alicia
797175	396781	Amelia
797175	398166	Matilde
797175	398661	Clara de Ripetti
797175	405396	Teresa
797175	405412	Eloísa
797175	406050	Gertrudis
797175	408720	Mercedes
797175	411636	Josefina Sirenio
797176	16051	
797176	16360	
797176	26013	
797176	49136	Inana
797176	55084	
797176	75382	
797176	162112	
797176	162643	
797176	163765	
797176	198990	The Mother
797176	207523	
797176	231218	Divi
797176	314505	
797176	340355	
797176	388282	
797176	400738	Gaying
797177	170860	
797177	249636	
797177	317336	
797178	382198	Hostess
797178	387555	Hostess
797178	389888	Host (1977-1981)
797179	4539	Gemma
797179	5003	
797179	12918	
797179	15429	
797179	76580	
797179	76800	
797179	86871	
797179	88708	
797179	89764	Herself
797179	112787	Yolanda
797179	145618	
797179	154812	Cynthia
797179	156188	
797179	156190	
797179	158629	Jacinta
797179	168454	
797179	168455	Shierly
797179	168456	
797179	168457	
797179	168458	
797179	168459	
797179	174892	
797179	181773	
797179	181823	
797179	203909	
797179	204602	Vera Go
797179	213726	Mila Cabangon
797179	214771	
797179	214772	Terry
797179	214773	
797179	224005	
797179	226684	
797179	227846	
797179	251230	
797179	277888	
797179	284633	
797179	284674	
797179	284733	
797179	284849	
797179	294507	
797179	301214	Panyang
797179	307719	Sandra
797179	324912	
797179	325365	
797179	341582	
797179	341709	Casilda
797179	350161	
797179	371386	Anna
797179	381852	Mary Magtanggol
797180	65892	Luningning
797181	68851	
797181	396887	Luna Raymundo
797181	404246	Esme
797182	205466	
797183	28862	Sonia
797183	190083	Juror
797183	238495	Laundry Mat Patron
797184	33632	
797184	104772	Austrian entry (21st place)
797184	115802	Dancer
797184	130923	Singer
797184	189882	Presenter
797184	233302	Dancer
797184	261110	Herself
797184	290030	Mime/Horoskope
797184	290661	Jasmin
797184	302194	Cast Member
797184	302195	
797184	302197	Cast Member
797184	308680	Backup Vocalist
797184	308681	Backup Vocalist
797184	356848	Singer
797184	394817	Esemble Member
797184	406428	Dancer
797184	408428	
797184	411189	Dancer
797185	88362	Make-up Girl
797186	265847	Inga
797188	390151	Skolsköterskan
797188	405822	Sjuksköterskan
797189	399295	Herself
797190	274089	Marine Lacombe/Athena
797190	345190	Carole
797191	119171	
797191	243649	Yvonne Orlac
797191	253934	
797191	272533	
797191	272537	Schauspielerin Warwarowa
797191	357685	Baroness Tamonová
797192	32910	
797193	136834	Beach Girl #1
797194	178376	Saara
797194	197362	Saimi Paatela
797194	209064	Lasse's mother
797194	242255	Neighbor
797194	246674	Hoitajat
797194	265453	Sihteeri
797194	270191	Merinen
797194	388258	Hulta
797194	393760	Helga Alibullen
797194	401477	Paula Hannula
797194	410180	Askola
797195	163625	Herself
797196	30961	Dr. Harleen Quinzel/Harley Qu
797196	30970	Dr. Harleen Quinzel/Harley Qu
797196	30976	Bambi
797196	30979	Dr. Harleen Quinzel/Harley Qu
797196	68086	Ms. Q (studio secretary)
797196	80023	Calliope Jones
797196	120514	Judy
797196	147099	
797196	154168	Monica
797196	161386	Herself
797196	238238	Diner Waitress
797196	243930	Vendetti's Manicurist
797196	253348	Peg Ferman
797196	326602	Marcia
797196	337384	Woman at party
797196	379969	Host (1990-1992)
797196	381397	Dr. Harleen Quinzel/Harley Qu
797196	385824	Calliope Jones Bradford (1984
797196	387084	Geneva
797196	390403	Dr. Harleen Quinzel/Harley Qu
797197	2470	Dancer
797198	147966	Bimbo #1
797199	104239	
797200	256986	
797200	397857	Chef clinique
797201	99691	Jenna Iverson
797202	184906	Herself
797203	308344	X-Ray Patient
797204	63628	Anna
797205	43075	
797205	244045	Popova
797205	321968	
797205	356181	
797206	350806	Vasilisa
797207	229867	
797208	60550	
797209	60550	
797210	17553	
797210	306656	
797211	253750	
797211	260597	
797212	107054	Woman at Window
797213	207929	
797214	24750	Clara
797214	74908	
797214	90449	Maria Helena/Vivian Maia
797214	196662	Berenice
797214	199385	Vitória dos Anjos
797214	203939	
797214	207928	Márcia
797214	232767	Prostituta/Hooker
797214	353632	
797214	379008	Olga Luiza
797214	380196	Eva/Astrid Van Brandenburg
797214	382776	Leonor
797214	383172	Malu
797214	383584	Carolina Lins Bastos
797214	383678	Camila
797214	383727	Dora
797214	384002	Lúcia
797214	385030	Patrícia
797214	386123	Rachel Vonnegut
797214	390751	Blanche
797214	392792	Zenilda
797214	400444	Lurdes
797214	401104	Pilar Batista
797214	402149	Mariana
797214	402370	Madalena
797214	402504	Natália Proença
797214	402807	Mariana Szymanski
797214	403618	Carolina Villar
797214	404834	Nazaré Tedesco
797214	405418	Selma
797214	408727	Sofia
797214	409024	Lana Cardoso
797214	409405	Naná/Shirley
797214	409410	
797214	409780	Heleninha Roitman
797215	278924	Laura Pierson
797216	115494	L-Ana
797216	224611	Lotus Liu
797216	273310	Young Native Woman
797217	11462	Various Roles
797217	195300	Greta
797217	208477	Model
797217	392469	Herself (Series 3)
797218	87114	Landerholt
797218	232455	Nurse #2
797219	200925	
797220	54527	Ann Bonney
797220	139543	Head Nurse
797221	277114	Jeannie
797222	51896	
797223	19627	Princess (American version)
797223	298347	Setsu Abe
797223	347145	Chilly/Additional Voices
797224	123344	Ronesca
797225	13742	Mother
797226	16627	Roxie
797226	275889	Repo Wife #4
797227	37694	Daphne
797227	78564	Elsi
797227	147457	Unknown
797227	229039	Vicky, l'amie d'Antoine
797227	254023	
797227	260410	
797227	324906	
797227	339875	
797227	353381	Lili Dumont
797227	380836	
797228	233777	Girl in bank
797229	147108	Kathy Grovner
797230	356223	Marina as a child
797231	149230	
797232	396532	Sayaka Yumi
797232	411885	Maria (2nd voice)
797233	291689	
797233	342099	
797234	17749	Pepper
797235	339995	
797235	351489	
797235	376587	
797236	70621	
797236	251616	
797238	253564	3rd Lady Guest
797238	256559	
797238	264738	
797238	264748	(special edition only)
797239	277703	Valerie
797240	266625	Courtesan
797241	44929	
797242	26194	
797242	35160	
797242	38849	A Raggedy Ruggles
797242	309476	Jane, as a girl
797242	362901	
797243	968	Sara Fisher
797244	30341	Chipinita
797244	68953	
797244	99806	
797244	121220	
797244	145229	
797244	148033	
797244	165891	
797244	212245	
797244	234025	
797244	328867	
797244	340042	
797244	375740	
797244	377173	Aurora; Isabel Martinez
797244	379043	Maria
797244	380105	
797244	380107	Rosaura
797244	384632	Mirna
797244	385392	María
797244	385855	Alicia Sandoval
797244	386531	Rita Martinez
797244	387685	María Magdalena Moreno
797244	396604	Patricia
797244	397572	Amparo Calderón de Rodríguez
797244	397604	Daniela Lorente
797244	398469	Sol
797244	398473	Celia Gómez
797244	398801	Alicia Sandoval
797244	401898	
797244	402219	Vivian Del Ángel
797244	404702	María/Alejandra
797244	405415	Amparo Ibáñez de Martorel Och
797245	32900	Mom Burnett
797246	23804	Rose
797246	23828	Gertrude Varescot
797246	25248	Soeur Saint-Paul
797246	52698	
797246	73165	Mme Gatineau
797246	75909	Lise
797246	132983	La mère d'Agnès
797246	144309	Claire, Aunt lrma
797246	219460	Henriette
797246	225377	Clémence
797246	236526	Mme Sauce
797246	255572	Alphonsine
797246	261813	La mère de Sarah
797246	285424	
797246	286316	Marie-Jeanne
797246	309447	Fernande
797246	337787	
797246	378866	Mme Dupont-Latour
797246	382584	Victorine
797246	388159	
797246	398099	La fermière
797246	410215	Léontine
797246	412199	
797247	176704	Mother Kiljunen
797247	181589	Pankinjohtaja (Bank manager)
797247	181933	Anja
797247	200086	Various
797247	258815	Riitta Hakala
797247	271053	Janssonin vaimo
797247	323062	Lilli
797247	324102	Karjalaisemäntä
797247	349408	Äiskä
797247	355135	
797247	392608	Pirkko Harrison/various imita
797247	393754	Titiina
797247	393758	Miitta-täti
797247	393760	Hanna-äiti
797247	395254	Herself
797247	395392	
797247	396193	
797247	399515	Karin Långström
797247	399856	
797247	402414	Maire Raikas
797247	402792	Komisario Janssonin vaimo
797247	407390	
797247	409038	Johtaja
797248	18900	Laughing Woman
797248	168866	Merja
797248	197374	Nainen bussissa
797248	255934	
797248	394641	Raili Aavamaa
797249	144465	Caroler
797249	152622	Blonde
797249	220524	
797250	369982	Andrea
797251	300801	Angela
797252	2930	Herself - Best Supporting Act
797252	2940	Herself - Presenter: Best Sup
797252	3021	Herself - Presenter: Best Sup
797252	3053	Herself - Presenter: Best Cos
797252	14624	Laura
797252	21305	Herself
797252	22824	Amy Benic
797252	28791	Herself
797252	29817	Marta Ferrer
797252	32089	Sharon Cassidy
797252	35439	Natalia Bauer
797252	41829	The young lady
797252	62843	Herself
797252	95518	Teresa
797252	105207	
797252	108425	Herself
797252	113294	Delila
797252	119501	Agent Karen Polarski
797252	130167	Fanny Chamberlain
797252	133624	Daisy Buchanan
797252	134288	Dina
797252	160638	
797252	165108	Julie
797252	197324	Celia Burns
797252	213452	Linda Ash
797252	214299	Dr. Susan Tyler
797252	230904	Maria
797252	234982	Marilyn Monroe
797252	237773	
797252	248572	Matty Derosa
797252	270008	Sandra Goodwin
797252	275870	Meg Coburn
797252	281254	Romy White
797252	292179	Mary Weinstein
797252	293921	Maria Delgado
797252	318763	Dionna
797252	321262	Monika
797252	323876	Teresa (segment "Dutch Master
797252	324889	Diane
797252	335715	Death/Jean
797252	340019	The Princess/Phocion/Aspasie
797252	361224	Herself
797252	366641	Meg Kennedy
797252	382912	Conchita Closson
797252	390771	Julie Camalletti (1991) (temp
797252	407139	Sophia Eva McCormick Decastro
797253	113252	Yvette
797253	148668	
797253	170533	
797253	201192	
797253	267509	
797253	268826	
797253	319808	
797253	346626	
797254	14781	
797254	30392	
797254	91308	
797254	300685	
797254	335524	
797255	232676	Succubus
797256	187732	
797257	18836	Partera
797257	51232	
797258	246879	
797259	239636	Guadalupe
797260	233550	child
797261	54791	Dama asasinada
797262	379898	Renata Cárdenas
797262	380894	Blanca
797262	385599	Amparo
797262	387089	María Consuelo
797262	387621	Flavia Rengifo de Valderrama
797262	389751	
797262	395373	Mercedes
797262	396644	Paulina
797262	402136	
797262	403884	Carmela
797262	410387	Miranda Kowalsky
797263	155013	Party attendee
797264	52955	Rosario/Xtabay
797264	302745	Morena
797264	381023	Matilde
797264	381720	Lourdes
797264	383827	Judith
797264	385370	Josefina
797264	403459	
797265	215190	Seamstress
797266	6488	
797266	25806	Norita
797266	50275	Maria
797266	51546	
797266	55918	
797266	68576	
797266	80188	
797266	80842	Maria
797266	89928	Rebeca
797266	188993	Perlita
797266	221939	Perla
797266	234492	Laura Méndez
797266	239257	
797266	267296	Miroslava
797266	309386	
797266	373950	
797266	376640	Eugenia
797266	377149	Alma
797266	378441	
797266	385368	Margarita
797266	385401	Paty
797266	389483	
797266	396215	
797266	397021	Candy
797266	402404	Magdalena young
797266	403403	
797266	405398	Perla
797266	407529	
797266	410450	Delfina (joven)
797266	411633	Margarita
797267	147906	Blonde Starlet
797267	149442	Latina Poet
797267	198831	Bikini Girl
797268	207877	Carmelita
797269	207410	Chorika
797269	339380	Joanne
797270	59885	Gloria
797270	93247	Herself
797270	401891	Herself - Eden's Crush
797271	375882	
797272	197499	Extra
797273	100328	Chayito
797273	398915	
797274	215076	
797274	335989	Esposa do Sapateiro
797275	82723	
797276	75622	
797277	221974	
797278	221733	
797279	265333	
797279	355928	
797280	20093	
797280	103935	Voice in off
797280	136734	Juana Azurduy
797280	211318	Herself
797280	294994	Herself
797281	234363	
797281	384119	Paula Casani (2000)
797281	400342	Profesora de la Academia: Coa
797281	402333	Herself/Teacher
797281	402721	Lucía
797282	5737	Jimmy's Mother
797283	385338	Various Caracters
797284	90525	Tango dancer
797285	38005	Sunshine
797285	339380	Sunshine
797286	66584	Anya
797286	81446	DI Kate Jaspers
797286	143531	Chilla
797286	195300	Annie
797286	203972	Rose
797286	393939	Marcia Thomas
797286	402139	Joanne Fagunwa
797286	407656	Jenny Paige (2001-2002)
797287	66274	Prostitute
797287	147966	Casting Director
797287	155888	Officer Myers
797287	277643	LAPD Officer
797287	378868	Counselor Marilyn
797288	236968	Columbine
797289	40209	
797289	84259	
797289	85215	
797289	131148	Grandmother
797289	304253	Fon Shrovenkhauzen
797289	349030	
797290	28417	
797290	132090	
797290	229909	
797290	244644	
797290	263542	
797290	292988	
797290	404819	Barbara Krein
797291	252213	Trie
797292	18015	Nurse
797293	35524	Spider Rider
797294	304650	Hildy
797295	3123	
797295	75977	TV Secretary
797295	89790	Ewa
797295	95955	
797295	179647	Barmaid
797295	311255	Tania
797295	385479	
797295	396286	Wojcikowa (2002)
797296	9261	Sad Princess
797297	16928	Angel
797298	360667	Karen's Grandma
797299	105921	Female VR Student
797299	330757	Flight Announcer
797300	2259	Herself
797300	150891	Simone
797300	165848	Atalanta
797300	194797	Linda
797300	263127	
797300	379716	Lena Kundera (2002-2004)
797300	390393	Keda
797300	406212	Fiona Carter (2004-)
797300	407406	Andrea Patton
797301	2476	Erica Sutton
797301	59876	Taylor Spencer
797301	85191	
797301	178929	Jocelyn
797301	243257	Mara Sinclair
797301	283183	Lauren Hynde
797301	283190	Herself
797301	296330	Herself
797301	364444	Max
797302	25788	Nurse 1
797303	5789	
797303	57878	Valeria
797303	63863	
797303	204994	Corista 1
797303	280129	Susy
797303	302349	
797303	383032	
797303	396646	
797304	49828	Rat Woman
797305	40209	
797305	63607	
797305	178826	
797305	201976	
797305	249247	
797305	259910	
797305	289861	
797305	343834	
797305	349358	
797305	374766	
797306	77675	Female Body
797307	34707	Yenia
797308	35239	Cashier
797308	66277	Soman
797308	310656	Corazon Amurao
797309	312018	
797310	234742	
797311	25627	
797311	29136	
797311	103163	Cecília
797311	103537	
797311	187736	
797311	351628	Mario's wife
797311	371693	
797311	379909	
797311	401698	
797312	332583	
797313	391604	Sascha Mehring (2002-2004)
797314	62037	Jill Atkins
797314	326655	Judy
797315	73732	Prostituée au commissariat
797315	133255	Clémentine, leur fille
797315	250723	Herself
797315	267426	Diane
797315	292779	Fiancée
797315	300739	Herself
797315	324449	Entraîneuse au Tango Bar
797315	329863	
797315	335982	Mrs. Russell, Piano Player
797315	356981	La marquise
797315	385659	Casino Visitor 1
797317	2778	Herself - Memorial Tribute
797317	2888	Herself (Nominee)
797317	3046	Herself (Memorial Tribute)
797317	10520	Herself
797317	19298	June Tyme
797317	34701	Sue Ellen Gamadge
797317	40628	Kitty Taylor
797317	41800	Crystal Carpenter
797317	47359	Bit Part
797317	47372	Dancer
797317	47892	Florence 'Flo' Addams
797317	63305	Angela
797317	69557	Maisie Ravier
797317	69569	Ethel Gaines
797317	72724	Sheba
797317	74182	Pat Conlin, Nurse Aide
797317	77995	Toni Pemberton
797317	78119	Eleanor Breen Medhill
797317	81209	Annie La Cossit
797317	90298	Ann Edwards
797317	92005	Dancer
797317	95028	Dulcy Ward
797317	98143	Marge Walker
797317	109415	Garda Sloane
797317	112248	Millicent Kendall
797317	116443	Mimi
797317	116894	Chorus Girl
797317	128168	Linda Henry
797317	130676	Maisie Ravier
797317	130830	Fenzie
797317	132793	Adrienne Martin
797317	133704	Aunt Margaret Bancroft
797317	141489	Bit Part
797317	142360	Geraldine Sloane
797317	142477	Mary Taylor
797317	147396	Bit Part
797317	149376	Patricia 'Pat' Thatcher
797317	150575	Eileen Connelly
797317	168220	Ethel Turp
797317	169906	Peggy
797317	176358	Joan Larrabee
797317	176954	Thelma Lambert
797317	183581	Dixie Donegan Crane
797317	183678	Sade
797317	183707	Liza Elliot
797317	188342	Jean Kendall
797317	188577	Rita Phipps
797317	188578	Ma Finney
797317	191778	Angel
797317	201149	Maisie Ravier, Stage Name for
797317	201150	Maisie Ravier
797317	201151	Maisie Ravier
797317	201152	Maisie Ravier, an alias of Ma
797317	204358	Mrs. Karmann
797317	210400	Jane Blodgett
797317	223654	Mary Cantillon
797317	227349	Frances Elliott
797317	245531	Mrs. Kozzek
797317	247372	Hattie Maloney
797317	249623	Ruth Walker
797317	278544	Maisie Ravier
797317	296835	Dell Faring
797317	298088	Carol Rogers
797317	300103	Bit Part
797317	305475	Frances 'Cookie' Cooke
797317	308661	Bit Part
797317	319501	Mary Strand
797317	321529	Maisie Ravier
797317	321783	Mrs. Argona/Grace Argona
797317	328030	Herself - in Maganzine Cover 
797317	329565	
797317	329947	Reporter Connie Taylor
797317	329953	Betty Russell
797317	331205	Cameo appearance
797317	331398	Julia Seabrook
797317	337366	Jean Livingstone
797317	346238	Maisie Ravier
797317	348322	Maisie Ravier
797317	358650	Kit Bennett
797317	360880	Mother Bonaventure
797317	362046	Tisha Doughty
797317	364461	Chorus girl
797317	368245	Joyce Harmon
797317	372209	Fay Stevens
797317	372379	Mary Jones
797317	380340	Katy O'Connor
797317	383429	Mrs. Finch
797317	398722	Gladys Crabtree
797317	402214	Susan Camille MacNamara
797318	11605	Agnes
797320	1680	Young woman
797321	65959	Gloria Dixon
797321	92585	Adrian
797321	143157	Nan Floyd
797321	215513	Joyce Kingston
797321	220038	Mary Howard/Ellen Mason
797321	223347	Faith
797321	224546	
797321	251832	Peg
797321	300006	Pamela Buadin, age 16
797321	343074	Louise
797321	364528	Elizabeth Ferriss
797322	92223	Waitress Hilda
797323	65457	Della Markham
797323	347957	Isobel
797324	45459	Schoolgirl
797324	92171	Girl
797324	157537	Maid
797324	184253	Liza Lamb
797324	192164	Gipsy
797325	245490	
797326	390517	Grandiosita (2003)
797327	111094	Le Voisin de Cellule
797328	218823	Angeline
797329	135727	Yahoo
797330	244952	
797331	262402	
797332	1103	Zhenata s maymunkata
797332	47782	Maykata na Boris/Boris` Mothe
797332	95697	Satrudnichka
797332	181483	
797332	186237	
797332	204047	Stefcheto
797332	237581	Sirakova
797332	244217	Saprugata na Pancho
797332	244471	
797332	258128	
797332	261359	Neli Tzvetkova
797332	264976	Eli
797332	286716	Sestra Elisaveta Kraycheva
797332	304458	
797332	306976	Maykata
797332	314392	Zhana Lazarova
797332	320534	Beloslava
797332	350946	
797332	373444	
797332	384026	Yana
797332	391995	
797333	242468	
797334	244624	
797335	255945	Girl in Stettin
797336	89734	
797337	875	Rita
797338	30847	
797338	39865	Bella
797338	84259	
797338	135046	
797338	176054	
797338	179911	
797338	180791	
797338	206043	Liza
797338	239371	
797338	265016	
797338	266348	
797338	279032	
797338	280807	
797338	286558	
797338	305132	
797338	354730	
797338	356119	
797338	357208	
797338	374178	
797338	394785	Henriette de Nevers
797338	398757	
797339	60699	
797339	204385	
797339	219716	
797339	334996	
797340	29670	King Kandor's People
797341	101844	
797341	351057	
797342	68942	
797343	12069	Mariquilla
797343	70518	
797343	277360	
797344	215510	
797344	244616	
797344	373871	
797345	385069	Eunice/Paola
797345	402331	Herself
797345	403262	
797346	100322	
797346	124176	
797347	211042	
797348	292768	
797349	201351	
797350	249781	
797351	13023	Mary
797352	391937	Various characters (2003-)
797352	407863	
797353	25649	Herself
797354	365388	Spanish lady
797355	234173	
797356	88703	Figurante
797357	88703	Figurante
797358	126604	Woman on Train
797359	28198	
797360	32939	
797361	383518	
797362	45761	
797363	276484	
797364	27857	
797364	36645	
797364	42630	
797364	53674	
797364	63917	Gilberta
797364	74359	
797364	74649	
797364	74903	
797364	80274	
797364	82717	
797364	99341	Noemi
797364	100263	Adelaida
797364	100768	
797364	103475	Ana María
797364	108423	
797364	113223	
797364	137865	
797364	146570	
797364	148093	María Elena Puertollano
797364	165789	Luchy
797364	193512	
797364	199785	
797364	202513	
797364	206283	
797364	212441	Clienta tienda musical
797364	219223	Encarnation
797364	236453	
797364	242655	Nati
797364	242678	
797364	274481	
797364	281779	
797364	283257	
797364	286357	
797364	288195	
797364	296476	Otilia
797364	317769	
797364	339139	
797364	342152	
797364	349472	
797364	353230	
797364	355758	(segment "Aniversario, El")
797364	376684	Amparo
797364	376758	
797366	98696	
797367	201607	Herself
797368	70011	Prostituta
797368	88058	
797369	74860	
797369	159188	
797369	222409	
797370	113646	Novia de Kassia/Kassia's girl
797372	73738	
797372	185927	
797373	44433	Rape Victim
797374	150075	Bianca Salsa Girl
797375	389316	
797375	399804	
797376	211045	Actriz Carmen
797376	393036	Herself (2003)
797376	396648	Host (2000-2001)
797376	400840	Cristina (2000; 2002-2003)
797377	211045	Actriz Carmen
797378	385753	Host
797379	120249	
797380	28612	Vinn Gant/Rayne
797380	70927	Susan Taylor
797380	90117	Doña Julia
797380	115499	Mercedes
797380	116290	Amanda
797380	149933	Joanna
797380	162875	Melissa O'Keefe
797380	189403	Lupe Lamora
797380	202728	Maria Rivera
797380	219534	Princess Kitana
797380	219541	Princess Kitana
797380	219542	Herself
797380	257014	Sugar
797380	264442	Rosina
797380	299858	French Girl ("The Cowboy and 
797380	301792	Marianna Herrera
797380	311153	India
797380	312141	Seductress in hotel room
797380	318977	Navajo Woman
797380	329515	Marisabel
797380	350231	Vampirella
797380	389269	French Girl (segment "The Cow
797380	391101	Cassie
797381	136156	Calvona Shimokitazawa
797382	103322	Trini Nopales
797383	137258	Young Girl on Couch
797384	47265	Lilly
797385	14735	
797386	74853	
797387	383568	Virginia Del Junco
797387	401918	Sonia
797388	20625	Extra
797389	382692	
797390	189782	Miss Take Off
797391	53053	Mala
797391	141026	Ingrid Joervets
797391	348372	Susanne
797392	328891	
797393	20625	Extra
797394	235646	Mrs. Ray Diglovanni
797395	169650	La fille sur le hors-bord
797395	205461	Livia Maria Dolores
797395	307570	Eva
797396	172308	
797396	191192	
797397	85472	
797397	214777	Mary Ann
797397	318664	
797397	322626	
797397	383054	Sheryl
797397	404049	Barbara Wilwayco
797398	108763	
797398	358502	Daughter of abducted labor le
797398	384447	Kara
797398	385540	
797399	89395	
797399	110668	Fay Gordon
797399	341140	
797399	350580	Madalena
797399	353674	Marlene
797399	356008	Isabel
797399	391676	Herself
797400	353200	
797400	400070	
797401	190229	Molly West
797402	204573	Danseres
797403	146364	
797404	23841	
797404	245956	La gitane
797405	198550	La vraie mère de Max
797406	58409	Femme cour
797407	198303	Indra
797408	13553	Cindy
797409	132744	La fiancée de Jean
797409	142638	
797410	36661	Florencia
797410	381860	Florencia
797411	44966	Jacqueline
797412	92981	La petite fille
797413	216350	
797413	225408	
797413	322354	Janine
797414	44511	Emily
797415	41746	Player (Bomber)
797416	41746	Player (Bomber)
797417	356381	
797418	33893	Party Girl
797420	351858	
797421	3088	La marchande de chaussures
797421	7460	
797421	8852	
797421	10205	La cliente de Maurice
797421	17858	
797421	23866	Mme Pailhan
797421	43417	La concierge
797421	44998	
797421	45000	La contractuelle
797421	53014	La Geôlière
797421	54818	Josette Buteau
797421	63654	La gouvernante (French versio
797421	65613	
797421	66565	Mamine
797421	71904	Mme Berger
797421	75628	Mme Fontanges
797421	77350	
797421	78368	
797421	83209	La femme de ménage
797421	91458	Olga, la femme de chambre
797421	102042	La mère de Gérard
797421	117910	
797421	127498	
797421	129513	
797421	136312	La patronne du bistrot
797421	144307	
797421	198633	
797421	229491	Augusta
797421	229492	
797421	229666	Maria
797421	235819	Bouly's secretary
797421	243345	
797421	244961	
797421	248263	La mère décapitée (segment "L
797421	254106	La directrice d'école
797421	254317	Nicole
797421	257209	
797421	260923	
797421	271597	
797421	276548	Soisic
797421	284244	Jacky
797421	302145	Woman in the mews
797421	332195	La bonne
797421	335083	Josyane
797421	339492	La mère
797421	345109	
797421	346428	Mme Chassagnes
797421	353922	Marie-José
797421	356984	Lucienne, la propriétaire de 
797421	377795	Josette
797421	377976	
797421	377977	Marie Leostic
797421	377987	L'infirmière chef
797421	378017	Une cliente du salon
797421	378866	La femme du jeune mari (ep.4)
797421	379103	L'infirmière de Gwendolyne
797421	379163	L'expert-psychiatre
797421	380587	La mère de Montpellier
797421	382480	L'employée de mairie
797421	384290	Mme Duscillot
797421	384744	
797421	386222	
797421	388688	La concierge
797421	390436	
797421	391479	La mère Cardinaud
797421	391479	La mère de Maud
797421	392910	Blanchette Godron
797421	393397	Mme Biot
797421	393486	
797421	396870	Louisette
797421	397506	La mère supérieure
797421	401816	
797421	409440	
797421	409532	
797421	410215	Claudine, la mère de Marie
797421	410473	Josepha Mimisan
797422	849	Perdita
797422	2761	Herself
797422	17280	Pudgy/Masa/Sara (segment "Bey
797422	17630	Young Annabelle
797422	19769	Choco
797422	20432	Lily, Mother
797422	26287	Rodney Bitterman/Megan Bitter
797422	32178	Bimbette
797422	32185	Enchantress
797422	32995	Herself
797422	35631	Pudgy
797422	37331	Mom
797422	40460	
797422	46147	Tieselica
797422	48224	Grace (Bruno's Mom)
797422	56730	Thing 1 + 2
797422	62994	Mrs. Cratchit
797422	65630	Jetta/Madison
797422	78785	Elena, Sirus
797422	79041	Additional Voices
797422	83478	
797422	84337	Becky
797422	85248	Dexter's Mom
797422	85249	Dexter's Mom
797422	87754	Bimbette
797422	106444	Co-Ed
797422	107942	Laura/The Master
797422	113274	Aerie
797422	113333	Taro
797422	116094	Cornelia Fort
797422	117783	Aerie, Ellesime/Aphril
797422	117785	Additional Voices
797422	117787	
797422	121575	Maureen Corley (Vultures)
797422	124188	Princess Katherine
797422	125420	Additional Voices
797422	132631	Alien Kid #1
797422	144363	Miriam Pataki/Reporter
797422	147089	Additional Voices
797422	147629	Pebbles Flintstone-Rubble
797422	158902	Becca
797422	159018	Otis
797422	163489	Little Sneezer
797422	177074	Pre-School Teacher
797422	177632	Sora's Mother/Shock
797422	183550	Collette, Danielle
797422	186255	Diana Quinn
797422	189974	Natalie Bessie Blithesome, Pr
797422	190869	Additional Voice
797422	191302	
797422	194331	Lola Bunny
797422	194335	Lola Bunny
797422	194498	Goldberry
797422	201302	Kiki's Mother
797422	201745	Herself
797422	212908	Kanga
797422	219624	Beaver, Cheetah, Killer Whale
797422	222322	Evelyn O'Conner
797422	223947	Nadine
797422	231495	Noel
797422	239997	
797422	241991	Clover
797422	245412	Sarah Anderson, Young James
797422	255720	Kanga
797422	258513	Additional Voices
797422	266290	Kitty Pryde
797422	272651	Angela
797422	273745	Counselor
797422	276870	Wendy
797422	283099	Phil/Lil/Betty DeVille
797422	283102	Lil DeVille/Phil DeVille/Bett
797422	283104	Phillip DeVille/Lillian DeVil
797422	283105	Phil, Lil and Betty Deville
797422	283106	Phillip 'Phil' DeVille/Lillia
797422	283107	Phil deVille/Lil deVille
797422	283108	Herself/Philip 'Phil' Deville
797422	285050	
797422	287727	Chet
797422	290950	
797422	301087	Additional Voices
797422	310130	Lola Bunny
797422	313481	Hannoon leader
797422	313485	Tavion
797422	313487	Tavion
797422	315246	Lament, Sparkle
797422	323907	
797422	332847	Kanga
797422	333631	Fifi La Fume/Little Boo/Sneez
797422	333632	Fifi Le Fume
797422	340908	Paramedic/Newscaster/Serena
797422	344170	Dot, Woman, Librarian, Baby D
797422	358055	Fry Kid #1
797422	359557	
797422	366299	Kanga
797422	373997	Tooth Fairy
797422	378703	Anita Dearly/Rolly/Cadpig/Add
797422	379279	Annie Redfeather/Additional v
797422	379325	Raggedy Cat
797422	379568	Additional Voices
797422	379710	Phil/Lil
797422	380313	Additional Voices
797422	380715	Blake Gripling
797422	380846	Tara
797422	381064	Rodney Bitterman/Megan Bitter
797422	381547	Emily Newton
797422	382023	Harley
797422	382491	Kanga
797422	382873	Grace
797422	383053	Angela
797422	383280	
797422	383414	Linka
797422	383613	Kat
797422	384454	Jetta/Jetta's Mom/Vaz's Mom/E
797422	384455	Daffidol the Bunny/Emily's Mo
797422	385172	Lucien Cramp
797422	385186	Shin-Chan Nohara/Mitzi Nohara
797422	385261	Additional Voices
797422	385674	Maddie Fenton
797422	385727	Morgana MacCawber/Additional 
797422	386064	Casey/Heather
797422	386206	Suzy Anders
797422	386242	Dexter's Mom/Agent Honeydew/L
797422	386379	Melodi, Mom
797422	387105	Waitress
797422	387240	Princess What's-Her-Name
797422	389573	Cubert J. Farnsworth/Michelle
797422	389758	Princess Katherine/Weird Sist
797422	389759	Additional Voices
797422	390229	Andy Allman
797422	391485	Miriam Pataki/Marilyn Berman/
797422	392134	Perdita/Bimbettes/Additional 
797422	392967	Rita Carter/Sonia (1998)
797422	393424	Minx/Ingrid Krueger
797422	393643	Herself/Soap Opera Annoucer (
797422	393915	Winifred
797422	395731	Mrs. Dracula/Millicent
797422	396454	Additional Voices
797422	397641	Additional Voices
797422	397690	Bea
797422	397724	Margery
797422	401191	Cissy Rooney/Nicky's Mom
797422	401359	Additional Voices
797422	401489	Additional Voices
797422	402016	Maryanne Smith/Julie Smith/Ad
797422	402454	Additional Voices
797422	402556	Daisy Duck
797422	402909	Girl/Various
797422	402962	Janine Melnitz (II) (1987-199
797422	403038	Butch
797422	403907	Phillip 'Phil' Deville/Lillia
797422	404366	Alex Wild
797422	404670	Collar Communicator Voice
797422	405648	Janine Melnitz
797422	405718	Additional Voices
797422	406090	Yvette Meow, Lollipop (Episod
797422	406113	Cyan/Additional Voices
797422	406973	Additional Voices
797422	407017	Elizabeth Collins: Sam's Sist
797422	407441	Additional Voices
797422	408305	Fifi Le Fume/Little Sneezer
797422	408537	
797422	408667	Additional Voices
797422	410765	Tish Katsufrakus
797422	410930	Additional Voices (2001-2002)
797422	410934	Mom Unit (Robot's Mom)
797422	410975	Additional Voices
797422	411088	Brian/Christine
797423	100807	
797424	181583	Emilka
797424	258811	
797425	162779	Dancer
797425	384507	Mini Animadora (1998)
797425	406994	Dancer (1992-1994)
797426	195735	Gretl
797427	355858	Le télephoniste
797428	388628	Le mère de Flore
797429	199307	
797429	346417	Armelle
797430	316633	Angel
797431	115421	
797432	115421	
797433	306934	Adult Rivi
797434	53318	Student
797436	195771	Person in French Pub
797437	7623	Jean
797438	304443	Has Conquered Fear of Rejecti
797439	402531	La barmaid
797440	20831	Maria
797441	395900	
797442	252237	Giulia
797443	342918	Young Elizabeth
797444	80734	Assistant D.A.
797444	158175	Officer Benson
797445	321535	Melle Glatigny
797446	17057	Anna
797446	32805	
797446	59766	
797446	172691	Kellnerin
797446	225438	Headmaster
797446	356562	Nurse
797446	378550	Supermarktkassiererin
797446	390701	
797446	393878	
797447	356092	
797448	357255	Petra
797449	89994	
797449	342274	
797450	124239	
797450	211010	
797450	222167	
797450	338242	
797450	351763	
797451	59301	La surveillante
797452	358899	Dieneba
797453	91767	Francine Bacon
797453	148316	Ilene
797453	203669	Administrator
797453	245036	Foreman
797453	399439	ER Nurse
797454	376888	Le receveur autobus
797455	105028	Member of The Dixie Chicks St
797456	62818	
797457	111068	Candy
797457	144816	Contestant #5
797457	338757	Starlet
797458	105618	Club Girl
797458	124110	Mom crying with baby
797459	299784	Mrs. Rolls
797460	111068	Bunny
797461	27577	
797461	41278	Teacher
797461	195608	Connie
797461	264404	Eva
797462	10170	Saoule
797462	25695	
797463	221182	Peg
797464	329171	
797465	345251	
797466	281916	Colette, Girl at Party
797467	79233	
797468	307357	Young Irene
797469	49831	
797469	66835	Denise
797469	77335	
797469	148630	Odette Bellanger
797469	188846	
797469	214797	Une Cliente
797469	217666	Monique
797469	257011	
797469	277928	
797470	51434	Rose
797471	35532	
797471	147873	
797471	197045	
797471	228020	
797471	254703	
797471	321217	
797471	379133	Leticia
797472	201011	Nelli
797473	89586	Dolemite Girl
797474	86472	Mom/Angie
797475	233279	
797476	387154	Dafni
797476	406324	
797477	284259	Jeune fille 8
797478	39711	
797479	69761	
797481	3185	
797481	4491	Anjali
797481	6765	Cerena
797481	11758	
797481	14543	Bhavani
797481	17673	Devi
797481	18186	Bhanumathi
797481	18662	Freeda Verasco
797481	21357	
797481	21362	Arundhati
797481	43169	Herself
797481	62651	Padmavathi
797481	84801	Karuna
797481	95718	Nagi
797481	97709	Vasundhara
797481	142545	
797481	176691	Amina
797481	179873	Chitti
797481	199265	
797481	208581	(guest role)
797481	208620	
797481	223370	
797481	226623	Snake Goddess
797481	236690	
797481	246314	
797481	247941	Evren
797481	260019	
797481	271533	Alaka
797481	278370	Narsakka
797481	293586	Nikola Publio
797481	300420	
797481	308995	Radha Singh
797481	312483	Katyayini
797481	327811	
797481	350189	Caroline
797481	370738	Jyothi
797481	379014	Yuuki Satomi
797481	384218	Yôko Kuji/Fighburn
797481	397371	Chizuru
797481	405278	Mrs. Ohtori
797481	411563	Karen Kasumi
797481	411883	Urameshi, Atsuko
797482	271422	Geeta
797483	58684	Grandmother (rani m.)
797484	72766	Spandexed Latina Girl
797485	113142	Magali
797486	215303	Jumelle 1
797487	215303	Jumelle 2
797488	78440	
797488	349694	
797489	16156	Pilar
797489	26043	Madame Ravanel
797489	68381	La paysanne
797489	204648	Petit rôle
797489	248996	Pierrette
797489	256360	
797489	300739	Herself
797489	305327	Mémère train
797489	309687	Aimée
797489	337433	Suzon Rovercq
797489	375762	
797489	387659	Mme Blanc
797489	389595	
797489	399193	Fabienne
797489	401789	Émilia
797490	377212	
797491	8042	
797491	14813	
797491	52614	
797491	56075	
797491	63676	Mara Estévez
797491	74909	
797491	88197	
797491	167135	
797491	171466	
797491	205431	Cameo
797491	222021	
797491	222039	Dolores Campos
797491	234494	
797491	235046	
797491	276456	
797491	296482	
797491	307728	
797491	309245	
797491	310071	
797491	347498	Maruja
797492	20894	
797493	267427	Gale
797494	198629	Mère VTT
797495	248914	Daisy Marchi
797495	325343	Madame Langman
797496	17868	French Teacher
797496	28992	Jeanne
797496	44836	Jeanne
797496	71889	
797496	80256	
797496	225369	
797496	254939	Ismène
797496	306941	Valérie
797496	307111	La campeuse
797496	353836	Mme Duffour
797496	377898	
797497	228256	Herself
797498	387167	
797498	402251	Joséphine
797499	200014	Herself
797500	322527	
797501	29414	La Marie
797501	34253	La journaliste
797501	58791	
797501	59511	La veuve
797501	87618	Mlle Peyronnet
797501	112862	
797501	132800	Madame Huysmans
797501	166288	La mère supérieure
797501	169348	
797501	186218	Mme Muraire
797501	204118	
797501	255691	La dame russe/Russian Lady
797501	269145	Mme Richard
797501	292348	La patronne du bar
797501	377952	L'employée du chômage
797501	391707	Théréson
797501	393968	Fine
797502	354475	
797503	51207	Isabelle Petitbourgeois
797503	51378	MMe Desjardins, Ministre des 
797503	55548	Jeanne Boyer
797503	64221	Virginie Gerbois
797503	66835	Madame Gilibert
797503	71832	
797503	90044	Mme Gachassin
797503	95372	Irma Duraton
797503	108207	
797503	108662	Mathilde Chaplar
797503	123687	La tante
797503	155516	Marie
797503	164208	Antoinette Mercier
797503	211850	Mme. Buchon
797503	257012	Mlle. Isabelle
797503	269150	Rita Alvarez
797503	270764	La Pintade
797503	319804	Carmen
797503	320010	Herself
797503	376968	Annie Krüschen
797503	378058	
797504	34390	
797504	217420	Sylvie
797504	249123	Maya Monestier
797504	388421	Fantômette
797504	388692	Julia
797505	194104	
797506	233553	
797507	343456	Ana Teresa
797508	110666	
797509	219567	
797509	409026	Laura Martins
797510	186665	Francesca
797511	74011	Saleswoman
797511	196481	
797511	211846	Leah
797511	348608	Libby
797512	185931	Brazilian girl
797513	151734	Miss Snow
797514	133302	
797515	343024	Chorus Girl #2
797516	10727	Friendly Cabbie
797519	27196	Manicurist #3
797519	263883	
797520	171416	Mouchette
797521	308137	Kristina Diaz
797522	285810	Ftima
797523	219705	Young Miriam
797524	92695	Vampiress
797525	34914	Woman in Bar
797526	5299	Marion
797526	12411	Jessica van der Laan
797526	12412	Jessica van der Laan
797526	15264	Loedie
797526	17600	Sophie, Mutter von Anna
797526	32897	Ragni Carswell
797526	44207	Linda Mars
797526	66956	Lili
797526	82510	Claire Strauss
797526	85657	Martha
797526	90839	Renée
797526	104916	Dr. Eve Simmons/Eve VIII
797526	115155	Roos Hartman
797526	117512	Myra
797526	133333	Iris Norwood
797526	138430	Erika Strom
797526	140217	Corinna
797526	147172	Susanne
797526	156128	Trudi
797526	160469	Eva Braun
797526	175182	Vickie Benedetto
797526	177480	Linnea Dresden
797526	189596	Jane
797526	192222	Beatrix Hunter
797526	198745	Liesbeth
797526	199753	
797526	210128	Hannie Schaft
797526	211911	Els
797526	220225	
797526	222796	Cyla
797526	232810	Voodoo Priestess
797526	242429	Olga Grond
797526	242445	Jo
797526	250422	Marie Bovenkamp
797526	289937	Hajo's moeder
797526	290054	Eva Marsfeldt
797526	290960	Kaetchen
797526	292257	Traudi Holzinger
797526	310947	Fientje
797526	325449	Evelyn
797526	350300	Hedwig
797526	352029	Corrie, dienstmeisje
797526	354088	Christine Halsslag
797526	357389	Sigrid
797526	363512	Nina
797526	366976	Mrs. Jones
797526	374656	Charlyne
797526	385554	Klaasje Weenink
797526	387581	Ilse Terhoef
797526	394609	
797526	397358	Beth de Wit-Duivenaar
797526	401311	Anna Mons
797526	411950	Nancy van der Ploeg
797527	48648	Bikini babe
797528	17544	Princess Sorokina
797529	33478	The Dancing Girl
797530	387471	Lady Essex
797531	228105	
797532	304734	Little Girl on Bus
797533	131232	Extra
797534	346101	Party People
797535	57747	Inmate
797535	192403	Illuminati Girl
797536	1271	
797536	67145	
797536	75060	
797536	228461	
797536	264814	
797536	297339	
797536	326726	
797536	326875	
797536	372710	
797538	61763	Mom
797539	360300	Karen
797540	379397	Herself (2003)
797541	263235	TV Reporter
797542	2116	Mrs. Feferberg
797542	117065	Actress
797542	375798	Woman in Diner #1
797544	16050	Cowboy #2, Las Quinellas Club
797545	271202	Stripper
797546	12101	Jane
797548	75191	
797548	131448	
797548	160228	
797548	304307	
797548	313241	
797549	7953	Naomi Stokes
797549	47351	Drina
797549	50022	Nan Bishp
797549	62777	Miss Simpson
797549	65937	Princess Anastasia
797549	69745	Alice Marsh
797549	78016	Yvette
797549	112421	Faith
797549	124585	The Girl of the Shrine
797549	127233	Beatrice
797549	128270	Elinor Larrimore
797549	130765	Cleo Twayne
797549	133909	Clairice
797549	140121	Sleepwalking Girl
797549	161542	Favorite of the Harem/Dancer/
797549	186348	Estelle, Betty's Cousin
797549	190781	Pink
797549	218937	Mrs. Strickland
797549	219413	Madame Caesar
797549	228610	Hortense
797549	231403	Eileen Baxter-Jones
797549	270917	Mignonne Le Place
797549	276421	Princess Sonia Korchagin
797549	309581	Velma Slade
797549	312787	
797549	315593	Lola
797549	339740	Fifi Barclay
797549	356307	
797549	363704	Eve Benton
797549	365260	Judith Gare
797549	366823	Superior officer's girlfriend
797549	367572	Magdalen
797550	40005	Mrs. Fitzsimmons
797550	112188	Peggy Flaherty
797550	139657	Dimpled Woman on Train
797550	400516	Mrs. Rashleigh
797551	113771	Singer of title song
797551	154495	Singer
797551	186806	Herself - band vocalist
797552	214641	Tube sequence
797554	35171	Iwa
797554	50198	
797554	128366	Grace Girton
797554	203060	Kitty Carewe
797554	238263	
797555	37471	Julia Cameron
797555	39493	Posie Stanton
797555	44078	Amy Robinson
797555	66311	Amy Robinson
797555	133887	Liesel, his wife
797555	143404	
797555	343019	
797555	369369	Isabel Hastings
797556	13806	Ethel Harding
797556	259760	His daughter
797557	60179	
797557	354851	Riley
797558	378880	Woman #2
797559	233474	Serena, Camille Look a Like
797560	398727	Poppy Manning (2003-)
797561	79508	Bath-sheba's maid
797562	372227	Kitty Tynan
797563	43378	Female Newsreader
797563	178918	Lonnie
797563	217771	Rich Lady
797564	194219	India Edwards
797564	309546	Murdered Girl
797565	70096	
797566	412179	Patrícia
797567	208707	
797568	385853	Patrícia Maria Guedes
797568	389887	Kika
797568	397539	Vitoria Venturini
797568	402582	Eliza Maria (Paquita erótica)
797569	13074	
797570	379450	Jane
797570	389889	
797571	387732	Lila
797572	130817	Catherine Johnson
797573	227659	
797574	133432	Margaret
797574	390917	Fashion buyer
797575	395900	
797575	400998	Vana Ritsou
797576	68923	Helene's friend
797577	2107	Marie-Rose
797577	68348	Emilie-Mireille
797577	112831	La vendeuse
797577	136657	
797577	157073	Géraldine Trouhadec
797577	188681	Cliente poste
797577	188682	
797577	227317	La chef de rayon
797577	235717	
797577	261841	La mère de Sylvie
797577	268822	Nini
797577	268826	
797577	269144	Maria
797577	272455	Une cliente
797577	275700	
797577	318121	
797577	345468	Vanille
797577	346543	
797577	408651	Mme Lécuyer
797577	409454	Elisabeth
797578	306834	
797579	11921	
797580	24671	
797581	29051	Victim
797582	103425	
797583	45899	Extra: market
797584	385947	Young Suzana
797586	100868	Dayumae
797586	154441	Amber Espinoza
797586	263325	Viola
797587	115833	
797588	258229	
797589	101441	
797590	293386	
797591	82835	Girl in Pickup Truck
797592	380196	Joana
797592	384118	Milena 'Milli' Pereira (1997-
797592	396610	Maria Heloísa 'Helô' (1999-20
797592	402928	Patrícia
797592	404077	Teresa 'Teca' Coelho
797592	409419	Dulce do Amaral
797593	407643	
797594	338981	Herself
797595	396847	Maria
797595	405451	Cozinheira
797596	401882	Participante(Finalista)
797597	401882	Herself - Rouge
797598	77821	Grace
797598	310646	Hotel Manager
797599	12205	Young Nurse
797599	355670	Mother
797601	302549	
797602	62560	Sheila
797602	194223	New Wave Model
797603	178196	Mrs. Johnson
797604	3135	
797604	18975	
797604	25811	
797604	68990	
797604	70864	Rosario
797604	75368	
797604	80333	
797604	91311	Zenaida
797604	199804	
797604	207736	
797604	221968	
797604	223612	Amilamia's mother
797604	243055	
797604	266669	(segment "Juego de espejos")
797604	277425	
797604	301386	
797604	327016	
797604	337440	
797604	381224	María Pantaleona
797604	383633	Josefa
797604	386786	
797604	387274	Concepción
797604	390868	
797604	397573	
797604	397593	
797605	55236	
797606	91651	Millie
797606	142627	Bunny
797606	161753	Herself
797607	96172	
797608	28044	
797608	89415	
797608	163038	Patricija Pozgaj
797608	259133	
797608	267627	
797608	287011	
797608	295064	
797608	314336	Stela Loncar
797608	399928	
797610	6660	
797610	7270	
797610	33830	
797610	84426	
797610	134620	
797610	159860	
797610	182462	
797610	198940	
797610	225928	
797610	264983	
797610	286467	
797610	343834	
797610	370191	
797610	373744	
797611	231142	Street cleaner
797612	180332	
797613	6347	Dona Paula/Teacher
797613	17377	
797613	18669	Maria Adelina
797613	19471	Housekeeper
797613	64028	Sra. Conceição
797613	82296	Camponesa
797613	88049	Elena Ivanovna
797613	104093	Madalena
797613	194104	
797613	207663	
797613	222162	A mãe
797613	245844	Inês
797613	269054	Maria Carvalho
797613	275312	Dona Luísa
797613	322367	Virginia
797613	339015	
797613	341077	Julius Caesar Actress
797613	344753	Herself
797613	344818	Maria dos Prazeres
797613	349815	Aunt Augusta
797613	376500	Mrs. Warbrug-Smith
797613	383584	Francisca
797613	385209	Isabel Guerreiro
797613	387052	Leonor
797613	392069	Felismina
797615	243204	Cassandra
797615	318114	
797616	172157	
797617	283395	Club Patron
797618	153846	Hôtesse couscous
797619	399141	Ána
797620	54393	Amélie
797621	174151	Jaga
797622	346549	
797623	280717	Betty Ann
797624	191463	Guest Artist
797625	232360	
797626	365753	Policewoman
797627	393627	Grieving Family Member 2002
797628	5885	Maggie Crowther
797628	365753	Jackie (child)
797628	384097	Fiona Brett (1989)
797629	148848	Woman in Art Gallery
797629	222642	Amy Leotheron
797629	257344	Leslie Galbraith
797629	391166	Junior doctor
797630	953	Aunt Lydia
797630	2034	Q.T.'s Mother
797630	19741	The Woman
797630	51643	Mother
797630	60212	Woman
797630	85186	Sheila's Friend
797630	156435	Jan
797630	165462	Jane Post
797630	191051	Chrissy Hynde
797630	211516	Waitress
797630	223633	Julie
797630	223636	Julie Beston
797630	245008	Powder Room Woman
797630	256188	Pink Chiquita
797630	275459	Bookstore Manager
797630	299550	Hostess
797630	303905	Joyce
797630	316090	Krista (segment "My Generatio
797630	342616	Mary Singer
797630	356329	Debi
797631	385112	Amanda Peters
797631	407779	Carol Milton
797632	24465	
797633	24465	
797634	24465	
797636	13612	
797636	300807	
797637	82543	Julia Stone
797637	192998	Natalie Ouspensky
797637	274994	Lydia
797637	355184	Vicky
797637	402935	Josie Lake
797638	154756	Student
797638	242783	Hostess
797638	312017	Woman
797639	65501	Cartel Maid
797639	135195	Hairdresser
797639	365906	Mrs. Bucket
797640	361433	
797641	338981	Herself
797642	9197	
797642	36882	
797642	51515	
797642	102755	
797642	148224	
797642	215452	
797642	240797	
797642	242034	
797642	245715	
797642	274680	
797642	341966	
797642	365323	
797643	112192	Shiny Lady
797643	360668	Mary
797644	155169	Gülsah
797645	96726	Jenna Parker
797646	11865	Fatman
797646	150132	
797646	178636	Mischa
797646	313656	Tina Karg
797646	325670	Bengi Can
797647	18169	
797647	373288	
797648	78518	Kanarya Hayriye
797649	119792	Flight attendant
797650	28042	
797650	38433	
797650	38443	Nesrin
797650	38449	Fatma
797650	38493	
797650	57441	
797650	109945	Angela
797650	173415	
797650	182804	
797650	182905	
797650	199615	
797650	200777	
797650	215091	
797650	229971	
797650	238930	
797650	289193	
797650	295505	
797650	322558	
797650	357607	Aliye
797650	378233	
797650	405349	Gülizar
797651	80605	Sherri Novak
797652	223506	Candidate #4
797653	164059	
797653	172182	
797653	182821	
797654	76217	Drive-In Manager
797655	400148	Firdevs Alparslan
797655	406893	Gulsun
797656	97882	
797657	148258	Mildred
797657	374353	Judge Baker
797658	239461	Ceyda
797659	365657	Lisa
797660	78015	Marina
797661	390497	Herself (3rd Edition)
797662	1117	
797662	10401	
797662	15858	Neighbor
797662	39055	Jóska's mom
797662	43187	
797662	51319	
797662	74422	Aranka
797662	74440	
797662	102541	Lány
797662	108913	
797662	110700	Kantinos
797662	110717	
797662	136431	
797662	137890	Gálné
797662	144677	
797662	153962	
797662	162745	
797662	162975	Piroska
797662	175699	
797662	182873	
797662	183152	Mrs. Róka
797662	199873	Fülöpné
797662	211700	Piri,Titi felesége
797662	214495	
797662	225695	Prémsapkás szõke nõ
797662	225784	Taxisofõr
797662	254957	
797662	266468	
797662	309354	Antie Mari
797662	322122	
797662	322208	
797662	334027	
797662	343776	Kokott a pincében
797662	353092	A panzió tulajdonosnõje
797662	357937	
797662	377760	
797662	377778	Sári
797662	387360	Gizi
797663	14918	Laide
797663	23366	
797663	29594	Ingrid
797663	36460	Enrichetta
797663	55332	Nelly Small
797663	71296	
797663	87041	
797663	90606	Nicole
797663	98071	
797663	111365	Enrica
797663	176798	Beth
797663	209832	The Prostitute
797663	219599	
797663	246560	Martin's wife
797663	270887	
797663	307350	
797663	320045	
797663	326320	Serenella
797664	6739	Marta Finali
797664	14855	Maria (segment "Le donne")
797664	20402	Matelda
797664	33994	
797664	48969	Maria/Silvana/Caterina
797664	52170	
797664	55034	Madeleine
797664	55648	
797664	57209	
797664	58185	Nanda
797664	65190	Giornalista
797664	69021	Françoise
797664	86113	Nicole Molino
797664	89576	Francesca
797664	96542	
797664	110387	Gabriella, Mandrake's girlfri
797664	124558	Anna Terzi
797664	146959	
797664	150516	Jeanne
797664	155857	Woman Posing for Photographer
797664	162037	Claudia Parise
797664	169326	Hélène
797664	169581	
797664	170444	La mère supérieure
797664	199413	Mlle de Maupin/Theodore
797664	199506	Carolina (segment 3 'La Donna
797664	206040	Allegra
797664	206683	Giordana Muller
797664	207939	Mimi
797664	213393	Escritora
797664	217765	Sister Celeste
797664	234566	Cecilia
797664	234724	
797664	235770	Valentine
797664	238798	Giovanna (segment "L'uomo dei
797664	249231	Dora
797664	252689	
797664	265711	Elisa
797664	266947	Danièle Plèges
797664	268248	Elisa
797664	270783	Elena
797664	270832	
797664	278969	Veronica
797664	281315	La midinette
797664	289448	
797664	290002	Rosalba
797664	315449	
797664	323378	Catherine
797664	338691	Ghiga (segment "Fatebenefrate
797664	340449	Nicole
797664	345357	Françoise
797664	348169	
797664	348172	Giovanna
797664	353058	
797664	356214	Francesca
797664	360842	Jeanne
797664	389797	
797664	403427	Netta
797664	409457	Juliette (1984-1986)
797664	409527	Reine (1992-????)
797664	410352	
797666	55480	Claire
797667	195	Jessie Cates
797667	1723	Herself
797667	2163	Pinky Rose
797667	2376	Herself
797667	2775	Herself - Best Actress Winner
797667	2785	Herself - Presenter: Best Act
797667	2804	Herself - Co-presenter: Writi
797667	2817	Herself (Nominee)
797667	3053	Herself - Past winner
797667	5151	Herself
797667	5903	Herself
797667	7545	Margie Fogg
797667	27486	Holly Sargis
797667	35629	Herself
797667	35729	Pam O'Brien
797667	40334	Helen Thomas Webber
797667	55625	Carrie White
797667	66305	Loretta Webb/Lynn
797667	73319	Rebeca 'Babe'/'Becky' Magrath
797667	81490	Herself
797667	127803	Ginger
797667	128760	Sara
797667	131571	Spring Renfro
797667	133376	
797667	139135	Chris
797667	141166	Carolyn Cassady
797667	148217	Alice Glover
797667	155888	Barbara Barrows (segment "197
797667	158102	Ruth Fowler
797667	167324	Liz Garrison
797667	174584	Katherine Alman
797667	185114	Zelda Fitzgerald
797667	194055	Miriam Thompson
797667	203670	Anne Uumellmahaye
797667	205718	Marie Ragghianti
797667	213358	Sibyl Danforth
797667	213516	Wanda Trimpin
797667	215731	Beth Horman
797667	232831	Ruth
797667	243950	Herself
797667	257078	Susan Lansing
797667	263779	Poppy
797667	264761	Sherri Finkbine
797667	270933	Carrie White
797667	270947	Nita
797667	278437	Dr. Emma Temple
797667	279193	Mae Garvey
797667	282156	Herself
797667	308713	Mary Fermoyle
797667	315896	Rose 'Rosie' Straight
797667	328553	Carrie White (Carrie)
797667	331012	Martha Jefferson
797667	337381	Mrs. Mommy Martin/Mama, Snapp
797667	338344	Girl extra at bar
797667	341455	Mae Tuck
797667	352419	Verna Vane
797667	354905	Gussie Sawyer
797667	356350	Herself - Choir Member
797667	361226	Linda Murray
797667	406719	Lorena Parker
797668	202498	Edith
797669	63890	
797670	56922	Claretta
797670	322575	
797670	344416	Nannarella
797670	345606	Un'allieva del collegio
797671	47259	
797671	62334	
797671	113443	La guardarobiera
797671	205212	
797671	206038	La cameriera
797671	227870	Un'ancella
797671	301380	
797671	301382	
797672	48552	
797672	75262	
797672	200457	Martinella
797672	212394	Infermiera spot
797672	291613	Rosetta
797673	17132	Extra talent
797674	245016	Hooker
797675	15151	Nurse 2
797676	57795	The cineaste
797677	49678	
797677	199506	The Witness (segment 4 'Citta
797678	68436	
797679	204241	Erina
797680	272770	
797681	57255	Aunt Maria
797681	57334	Aunt Camilla
797681	102430	Figlia di Maddalena
797681	121907	Una Contadina
797681	125361	
797681	286977	Rosalia, housekeeper
797682	292996	Aunt Carmela
797683	33567	(segment "Il principe azzurro
797684	352405	1st Girl Walking
797685	265864	Jerry's Girlfriend
797686	77338	Olympe
797686	112855	Casino Woman
797686	133164	La secrétaire de Shapiron
797686	228155	
797686	264212	Roselle
797686	277726	
797686	278024	Baronne de Boisjoli
797686	283031	Camille
797686	352927	President Venot's Wife
797686	356213	
797686	356362	La mère de Brigitte
797686	377630	Isabelle
797686	380972	
797686	396870	Julie
797687	62932	Michelle
797688	89572	Steiner's Guest
797689	217856	
797690	234548	
797691	19459	Clarita Nuñez
797692	325995	Slutty Girl 2
797693	325995	Slutty Girl 1
797694	368449	Marian 'Gil' Gilbert
797695	467	Zenzi
797695	125172	Agathe
797695	184294	Schauspielerin in Kernstadt
797695	347702	
797697	97659	
797697	341871	
797698	351526	Angela Latella
797698	351534	Sandra Latella
797700	28544	
797700	112845	Irène
797701	315819	
797701	339631	Friend of Ale
797702	390497	Herself (2nd Edition)
797703	15988	
797703	267402	Paula
797703	386128	Ospite villa 1
797706	96958	Fat Anthony's Grandmother
797706	129514	Old Lady
797706	130128	Extra at wedding scene
797706	130129	Extra in Little Italy
797706	185321	Vinny's Mother
797706	219692	Uncle Sal's Mother
797706	231120	Old Lady on Street
797706	236786	Angelo's Mother
797706	313583	Fan at Hotel Arrival
797706	327405	Old Lady
797707	387098	
797707	387171	Amanda Barbosa
797707	387446	Rosario
797707	387573	Margarita Sánchez 'Iván's mot
797707	390614	Gini
797707	410016	
797708	17205	
797708	128926	Maria
797709	7285	
797710	225274	
797711	192201	The Queen
797712	266678	Our Town caller
797713	56545	Herself
797714	303626	
797715	160157	
797716	80469	TV newscaster
797716	87018	Cave Girl
797717	201409	Andrea
797718	110916	Dancer
797718	272930	Dancer
797719	4713	Sue Ellen
797719	9630	Maureen Flannery
797719	31877	Francee Culloran
797719	39529	Julie
797719	62713	
797719	73671	Carol Smith
797719	102392	Queen Antinea of Atlantis
797719	115532	Destiny Cooper
797719	125814	Nancy Masters
797719	130049	Darlin' Jill
797719	130129	Mrs. Marcia Roth
797719	227041	Golden's Daughter
797719	264756	Lil Lewis
797719	326770	Helen (segment "Hel")
797719	332032	Helen Dodge
797719	334596	Mrs. Mack
797719	361222	Jessie one of Zar's Girls
797720	209198	St. Helen's Street Girl
797721	264638	
797722	64798	Benita Cross
797723	209198	Massage Victim
797724	192567	Columnist
797724	400750	Herself (book critic)
797726	197496	
797728	101040	Sheva Haddas
797729	226929	Judy
797730	328551	Cashier
797731	219190	Bridesmaid 2
797732	206129	Schoolgirl #1
797733	312607	Shalonda
797734	243340	Lucy
797735	258831	
797736	367368	Franziska Gutknecht
797737	26540	Králová
797737	180886	Siclová
797737	268276	Artur's wife
797737	285862	
797737	294570	Laura
797737	305805	Monika Sirova (mother)
797737	314077	Zuzana
797737	334065	
797737	375949	
797738	71449	Sister-in-law
797739	374389	Herself
797740	147961	Teacher
797740	199133	Receptionist
797740	240232	Policewoman
797741	365426	Maria
797742	314469	Iégoruska
797743	405038	Extra
797744	84050	
797745	356145	
797746	186134	Agnes
797747	119613	Mrs Bates
797747	190774	Policewoman
797748	290145	
797748	356701	
797749	287978	Mrs. Pomerantz
797750	9131	Arlene
797750	31315	Cassiopeia
797750	79891	Frances Pierce
797750	195483	Juanita Havlicek
797750	204029	Polly
797750	215827	Cassiopeia
797750	272143	Ranger Julie Beck
797750	283455	Coed
797750	288107	Nancy
797750	299900	Sandy
797750	336885	RoseAnne Wicker
797750	381421	Cassiopeia
797751	368740	Techno Fan
797752	340079	Kirsten's sister Inge
797753	347063	Demon
797754	279482	Unknown
797755	5721	
797756	259615	Zivilfahnder
797756	259617	
797757	274559	Sally DeBains
797758	17941	Cynthia
797758	87025	Mee-Shell
797758	96741	
797758	129435	Extra
797758	135992	Hugs Higgins
797758	195540	
797758	207828	Million $ Sticky Showgirl
797758	296352	Herself
797758	296353	Herself
797758	355028	Blessed Virgin at Car Wash
797758	402020	The Coal Miner's Daughter
797759	214961	Extra in Church
797759	362959	
797759	372632	Hula Dancer
797761	37691	Auditioning Girl
797762	202283	Woman with Box
797763	67348	Mary Williamson
797763	231386	Lady in Elevator at Donna's p
797763	363666	
797764	164699	Secretary
797765	153164	Pragmatic Virgin
797766	153354	Socialrådgiver
797768	44378	Rúna
797768	150612	
797769	387068	Blanca
797770	225010	Paulina Bracho
797770	384781	Gilda Barreto/Raquel Sandoval
797770	386503	
797770	392960	Virginia Martínez Roldán de J
797770	395861	
797770	397011	Celina Hidalgo
797770	398218	Linda Prado
797770	398519	
797770	401916	Aurora de Montalvo/María del 
797770	402192	Guadalupe Santos
797770	402688	Emiliana Echeverría Salazar
797770	403753	Carla
797770	408408	Amaranta Rey
797770	409719	Paulina Martínez/Paola Bracho
797770	409922	Valentina Díaz
797771	81509	
797772	208661	Jill
797773	232447	Dress Shop Clerk
797774	1247	
797774	128583	Miss Plimack
797774	129627	Spanish Red
797774	201675	Miss Plimack
797774	278082	Mary
797774	362808	Tap dancer
797774	390180	
797775	339934	Lina, cow-boy's daughter
797776	144114	Maartens moeder
797777	165074	Jecmenová
797777	225888	Hanka
797779	123702	Female Crackhead
797780	248441	Bar Room Hooker #2
797781	140077	Kay's ghost
797782	255424	Young Aurelia
797783	301569	Marta
797783	396214	Sra. Cosío
797783	397015	Leticia
797783	405835	Leslie
797784	141089	Coffee Clerk
797785	40631	Girl in Bikini
797786	158818	
797787	40631	Secretary
797788	352574	Das Mädchen
797789	6289	
797790	395608	Lily
797790	397727	Dolly
797790	400048	Angela
797791	387711	
797792	7745	
797792	48576	
797792	130285	
797792	315842	
797792	372090	
797793	110048	Girl at bridge
797793	198229	Girl
797793	357255	Mother
797794	204490	Ruth
797794	224484	
797795	182769	Barby
797796	255732	Stacys Freudin
797797	334117	Nurse Diesel
797798	42858	Elskerinne
797798	104740	Norwegian entry (13th place)
797798	104742	Norwegian entry (14th place)
797798	104744	Herself (Norwegian entry (16t
797798	178433	
797798	189842	Herself
797798	315185	Mette
797798	349002	Søster Solfrid
797799	376294	
797800	278776	Claudia
797801	320156	Molly Pesaturo
797803	368190	Beverly
797804	150112	
797804	333211	
797805	1285	
797805	131832	
797806	109839	Anne
797807	19062	Raye
797807	122198	Gospel Singer
797808	294216	Ann Steele
797809	37047	Grandma Pearl
797809	108308	Grandma Nellie
797809	134482	Gladys
797809	203344	Elderly Woman
797809	280189	Woman #1
797809	294795	Phyllis
797809	317916	Woman at Fruitstand
797809	362512	Old Woman #1
797811	379375	Herself - Feature Reporter
797812	192574	Stripper
797814	194810	UCLA Teacher
797815	336444	Hungry Star Studio model and 
797816	108848	Daughter
797817	150373	
797817	150944	
797818	301709	Drone 1/Dewey
797819	45072	
797819	231869	Cindy
797820	231869	Cindy
797821	75799	Stephanie
797821	329579	Fanny Ward
797821	385142	Ashley
797821	388237	Victoria Gioberti Hogan Stavr
797821	397401	Carol Graham (1995)
797822	308382	Raider
797823	183006	Guitar/Vocals
797823	235407	Herself
797823	294798	Camel Lips
797824	274676	Susie
797825	280926	Topsy
797826	113483	The Woman
797827	297029	Laura
797828	201112	Girl in Office
797829	231779	Temptress
797830	245675	Sherrie
797831	366667	
797832	85186	Featured Gallery Customer
797833	248591	Salame
797834	304703	
797834	326723	
797835	295277	Mrs. Whitman
797836	256951	Cara-Ethyl
797837	68762	Herself
797837	186667	
797837	196576	Herself
797838	366730	
797839	11186	Simone Gavina
797840	76581	Katie
797840	138744	Nancy Lee
797840	210831	Little Girl
797840	306488	Little Girl
797840	319147	Little Girl
797841	336444	Voices and Pop Rocketeer
797842	11186	Tasha Kindle
797843	382908	Misae
797844	96002	Narrator (ADV 2003)
797844	243575	Tia
797844	379014	Additional Voices
797844	380900	Jacoba Aon, Additional Voices
797844	382908	Misae, Additional Voices
797844	387457	Annette (2), Additional Voice
797844	398924	Maid, Employee, Mom, Nyula, W
797844	402790	Haruka's Mother, Additional V
797845	33742	One of 'The Thirty Women'
797845	389923	
797846	106544	
797846	198511	
797846	239867	
797846	294790	Victim
797846	326364	
797848	42531	Alexa Stirling
797849	231779	Woman with Faces under Breast
797849	327782	
797850	142394	Shari
797851	144577	Newspaper Person
797852	72207	Joan Boyd
797853	395361	Lotteke Kremers
797854	97411	Suzanne
797855	6512	Astrid (20 år)
797856	347246	
797857	214971	Rebecca Collins
797858	19167	Nun
797858	55624	Factory Worker
797858	223981	
797858	273786	WAC
797858	297081	Waitress
797859	95698	
797860	69405	Girl at cinema
797860	69410	Girl in Pub
797860	128652	Miss Broad
797860	154984	Nutbrown's Girls
797860	245687	Dancer
797860	313566	
797860	334337	Girl #4
797861	37019	Monica
797862	71897	Bikini Girl
797862	81321	Dawn
797862	145010	Helen Dobish
797862	190028	Ann Jackson
797862	204877	1st Hooker
797862	256188	Cast Member of Zombie Beach P
797862	304237	Carmen
797862	331475	Vanessa
797863	406201	Model
797864	158688	Carol
797865	209826	
797866	78458	Herself - Presenter
797866	116332	Herself - Performer
797866	394397	Herself - Host (1997)
797867	13643	Rhea
797867	51674	Hera, Beckdorff's Woman
797867	80479	Inger Knudson
797867	92286	Carole Stahl
797867	133995	Simi Tomasis
797867	164663	Vivienne
797867	199085	Inga Bergmann
797867	222797	Coco Duquette
797867	227024	The Maitre D'
797867	230330	Lilah
797867	234207	Lisa Pretorius
797867	320093	Lucy
797867	340542	Sister Constance
797867	366419	Beautiful Woman #1
797868	2943	
797868	40456	Porno ranch owner
797868	41068	
797868	43524	
797868	48500	
797868	50559	
797868	50761	
797868	60488	
797868	81835	
797868	85824	
797868	95879	
797868	104314	
797868	113604	
797868	117418	
797868	139084	
797868	139139	
797868	141597	
797868	141600	
797868	147874	
797868	150186	
797868	150349	
797868	158123	
797868	188045	
797868	188066	
797868	197737	
797868	197750	
797868	207282	
797868	213300	
797868	232378	
797868	232500	
797868	240776	
797868	269033	
797868	270591	
797868	272813	
797868	273550	
797868	280154	Joanna
797868	292613	
797868	292614	
797868	302779	Woman with room to rent
797868	309899	
797868	310470	
797868	315046	
797868	318909	
797868	365232	Linda
797868	372540	
797868	372662	
797869	178868	
797869	229235	Lisa
797869	295815	
797869	312704	
797869	356660	
797870	29400	Ropkinja/slave women
797870	33252	
797870	79124	
797870	89266	Gamekeeper's Wife
797870	95661	Monahinja
797870	104572	
797870	109168	
797870	132152	
797870	156764	
797870	164055	
797870	164882	
797870	169553	
797870	171433	
797870	171911	
797870	172055	
797870	176284	
797870	192907	
797870	201474	
797870	207160	Generalica
797870	209509	
797870	214235	Marija
797870	215121	
797870	229294	
797870	230058	
797870	237766	
797870	253835	
797870	272383	
797870	273761	
797870	275271	
797870	289154	
797870	304251	
797870	305820	
797870	305904	
797870	312401	
797870	315848	Mulatto
797870	318207	
797870	337533	Slavica
797870	343785	
797870	350109	
797870	355550	Margareta
797870	357313	Milicina majka
797870	357323	
797870	374067	
797870	374293	Katerina
797870	375422	Sonja Semjonovna Marmeladova
797870	390909	
797870	395834	
797870	396546	
797870	404206	
797870	404207	
797871	407384	
797872	32859	
797872	156262	Niya
797872	242468	
797872	340874	Momicheto ot grada
797872	398896	
797873	306976	
797874	284459	
797875	9353	
797876	179795	Estradnata pevitza
797876	207254	Sofka
797876	244624	Katya
797876	273058	Sestrata
797876	371694	Maykata na Leonid
797876	373568	Petrova
797877	350973	
797878	357243	
797879	96009	Marja Timofejewna Lebjadkina
797879	328992	
797880	352888	Baba Nedelya
797881	95804	The Plastic Queen
797882	55301	
797884	17906	Aliki
797884	18940	
797884	102352	
797884	155760	
797884	175045	
797884	213693	
797885	375285	
797886	2846	
797886	9496	Sousana
797886	86054	
797886	87100	Liza
797886	89841	
797886	136477	
797886	179459	Woman At Bar
797886	188199	
797886	267257	
797886	268203	Melanie
797887	351799	
797888	162364	Prison Singer
797889	178120	
797889	251249	Sandy
797890	48341	
797890	101752	Margot Link
797890	395667	Gabriele (Gabi) Zenker verw. 
797891	260414	Mai Li Hoppenstädt
797892	118307	Mary Reynolds
797892	318715	Character in old painting
797893	364747	Shani Cassata, murdered model
797894	390828	Dana (2001-)
797894	390829	Dana
797895	49028	Lorretta
797896	19528	
797896	46733	
797896	50225	Aunt Hannah
797896	95840	Mrs. Roger Pitney
797896	96812	Miss Cornelia
797896	115511	The Duke's mother
797896	116277	Aunt Sally
797896	131590	Caroline Marshall
797896	143157	Mrs. Raines
797896	143164	Mrs. Gray
797896	150972	Mrs. Penniston
797896	159936	Mrs. Wolf
797896	195567	Aunt Cornelia
797896	196173	Sophie
797896	213094	
797896	214991	Annie, a Cripple
797896	241534	Jane Angle
797896	255871	Miss Ann Shirley
797896	262110	Mrs. Armstrong
797896	276054	Mrs. Williamss
797896	290311	His Friend's Wife
797896	333384	Aunt Abbey
797896	340967	Mrs. Anthony Frazer
797896	342434	Mrs. Willis
797896	353288	
797897	117516	Fighter
797898	61845	Fairy/Leprechaun
797899	20436	Lori
797899	80827	Reyna Vaught
797899	102736	Annette (episode "Partners, T
797899	236905	Susan Lang
797899	315586	Nicole Howell
797899	316980	Tina Wells
797900	244825	Poppy Hayseed
797901	67838	Paola
797901	69141	Susanna
797901	257145	Lia
797901	314577	
797902	32285	Marie
797902	33768	
797902	43629	Marie Letourneau
797902	69120	Maria Colin
797902	101133	Suzanne
797902	204946	Nurse Beatrice
797902	207930	Elise Boissonneault
797902	214078	
797902	260940	Celeste
797902	270735	
797902	345554	Catherine
797902	346720	Marie-France
797902	401983	Denise Garneau
797902	409677	Genevieve Perreault (1996)
797903	27429	
797903	40748	
797903	403449	
797904	81157	Landis Massage Girl
797905	265045	Jirinka
797905	349838	Zpevacka v Sakure
797906	60466	Sylvia Newman
797907	133640	Teresa's Mother
797908	80472	Shelly Poe
797908	120015	Dana
797908	277203	Herself/Shelly Poe
797909	393604	Cammy "The Moron"
797910	154334	Hefty Woman
797911	59729	Elderly Church Woman
797912	20625	Extra
797913	14212	Reporter #1
797914	107002	Bad snger
797915	213262	Nann
797918	67874	Cora Faulkner
797918	81075	Mme. Boresky
797918	178159	Society Girl
797919	405674	Presenter
797920	78530	Karen Narlington
797920	81767	Cheerleader
797920	116471	Diane
797920	155888	Young Couple (segment "1996")
797920	178145	Student
797920	184714	Journaliste Miami
797920	233832	Rachel Kingsley
797920	294646	The Neighbor's Wife
797920	309202	Talk Show Host
797920	346224	Bonnie
797920	362543	Reporter
797921	143090	Lieutenant Governor's Secreet
797922	380190	Doreen Beddows
797923	292856	The Judge's Wife
797924	220347	Kid in park #3
797925	8235	Emily
797925	56923	Lily
797925	133952	Herself
797925	163623	Herself
797925	228301	Herself
797925	249555	Herself/Performer
797925	257309	
797925	260291	Performer
797925	273900	Herself
797925	284447	Hannah
797925	284448	Hannah
797925	284449	Hannah
797925	284450	
797925	284451	S Club 7
797925	284452	Hannah
797925	284453	
797925	284454	
797925	284456	Hannah
797925	293144	Joan
797925	305490	Herself ('S Club')
797925	342189	Herself
797925	384084	Herself/S Club 7 (1999-2001)
797925	395019	Hannah
797925	397615	Hannah
797925	404032	Hannah
797925	410298	Hannah
797926	176	Herself
797926	846	Herself - #54: Britney Spears
797926	1673	Herself
797926	1681	Herself
797926	1682	Herself
797926	1740	Herself
797926	2009	Herself - Co-host
797926	2258	Herself
797926	2274	Herself - Performer
797926	2581	Herself
797926	2721	Herself
797926	11128	Herself
797926	24429	Herself
797926	47228	Herself
797926	47229	Herself/Performer
797926	47230	Herself
797926	47231	Herself
797926	47232	Herself
797926	47233	Herself/Artist
797926	47234	Herself
797926	47235	Herself
797926	47236	Herself
797926	47238	Herself
797926	48489	Herself
797926	73887	Lucy
797926	90913	Tobi
797926	96555	Herself
797926	99602	Herself
797926	107353	Herself
797926	119615	Special appearance
797926	120665	Herself
797926	149411	Donner
797926	158387	
797926	158505	Herself
797926	170848	Herself (greetings for the sh
797926	182945	Herself - Performer: 'Baby, O
797926	187326	Donner
797926	194136	Flight Attendant
797926	208475	Herself (#36) (Interviewee)
797926	212710	Herself
797926	221413	Herself
797926	221421	Herself/Performer
797926	221426	Herself
797926	221434	Herself
797926	221479	Herself
797926	221480	Herself/Performer
797926	221481	Herself - Performer
797926	221482	Herself
797926	221483	Herself/Performer
797926	243928	Herself
797926	252585	Herself (song "I Love Rock N 
797926	288710	Herself/Various Characters
797926	305487	Herself
797926	318742	Herself
797926	319355	Herself
797926	326662	Herself
797926	326663	Herself/Presenter
797926	326664	Herself
797926	330027	Herself
797926	333321	Herself
797926	336440	Herself
797926	342189	Herself
797926	361062	Herself/Interviewee
797926	385591	Herself
797926	397991	Herself (Seasons 6-7)
797927	367651	Social Worker #1
797928	173318	Waitress
797929	85017	
797930	302793	Gossip Girl #1
797931	87586	
797931	252219	Linda
797932	251307	Secretary
797933	75556	Figure In Black
797933	183209	Psychiater
797933	229673	Hotel receptionist
797934	73887	Young Lucy
797934	231536	Herself
797934	231537	Herself
797934	326663	Herself - Presenter
797934	336440	Herself
797934	379741	Regular Performer (2002-)
797934	412023	Zoey Brooks
797935	208376	LJ
797937	336440	Herself
797938	160398	
797940	344524	Herself
797941	170852	Chorus Teacher
797943	105412	Christine
797944	37947	Holly
797945	215087	
797946	79059	Little Boy's Mother
797946	105405	TV reporter
797946	191345	Mother/Lover
797946	301395	Sarah
797946	314501	Serena Soo
797947	37947	Ivy
797948	28432	Eva
797948	189736	
797949	5215	Lady Jessica
797949	160219	Hospital Orderly/Kissing Woma
797950	325543	
797951	114223	Anchorwoman
797951	263057	Reporter
797952	17037	
797953	407815	Herself (Single) (2003)
797954	82453	
797954	220537	Secretary
797955	1029	Erotic Ghost
797956	255602	Black Fairy
797956	266293	
797957	291452	Purity Busch
797958	13941	Receptionist
797958	18015	Van Agent
797958	93975	Flight Attendant
797958	139216	Frank, TV Reporter
797958	198925	Linda
797958	216945	Brunette
797958	231511	Rally Orienter
797958	258883	Kaufman's Assistant
797958	299838	Reporter
797958	312924	Kelly McDonald
797958	408808	Model (1981-1982)
797959	177004	Eileen Littlefield
797960	82054	Wendy
797960	302584	Junior Girl
797961	97569	
797962	63123	Girl
797963	259406	Herself
797964	135812	Cashier
797964	166701	Emerson
797966	309898	Cajun Dancer
797967	267165	Susan
797968	69695	Khamir, Benson
797968	84523	Egyptian Citizen #4, Scientis
797969	12217	Hippie Girl at Airport
797970	34872	Herself
797970	37383	Herself
797970	46681	Herself
797970	82176	Herself
797970	187391	Herself
797970	220211	Herself
797970	367068	Captain of the Winkie Guard
797970	375798	Hotel Manager
797971	231870	Devore
797972	43919	Bunny
797972	185252	Submarine Annie
797973	170849	British entry
797974	215102	Mireille
797975	4641	Abby Williams
797975	36764	Mickie
797975	39858	Leslie
797975	49483	Janyce
797975	87586	Noel
797975	95842	Sarah
797975	126646	Town Clerk
797975	128760	Marlene
797975	199080	Lulu
797975	230558	Martha
797975	266561	
797975	288972	Amanda
797976	142383	Hospital sister
797976	367854	Annie Walker
797976	385020	Annie Walker (1960-1983)
797977	67004	Pilar
797978	31555	Herself
797978	61791	Martha
797978	101387	Nell Gwyn
797978	157283	Young Aurora
797978	175163	Factory Girl
797978	212093	Punk Girl
797978	297115	Second Whore
797978	386605	Rose Penfold
797978	387247	Natalie Price/Evans (1994-199
797978	402166	Nan Canty
797978	403373	Beki Jenner
797979	305638	Terry
797980	63651	
797980	206056	
797981	134881	Co-ed #2
797982	80581	Day Nurse
797983	319149	Lili
797984	257292	Charlotte
797985	195640	Bachelorette #2
797986	271751	Traudl
797987	59729	Department Store Clerk
797987	158522	Person in Cafe
797988	302198	Michelle Crane
797989	182334	Lifeguard Leanne
797989	256971	
797990	301054	Herself
797991	377807	
797992	23108	
797994	369327	
797995	32377	Marianne
797995	192659	Cellist
797996	265559	Widow Casu
797997	325618	Soey
797998	6680	Marie
797998	53220	Babsi
797998	78343	
797998	86329	Lana
797998	120852	Karin
797998	125373	Sophie
797998	137420	Sissy
797998	153088	Sandy Röder
797998	172213	Maria Rall
797998	180833	Anya
797998	182244	Vera
797998	189606	Stella Gandolfi
797998	225446	Nelly
797998	233997	Valerie
797998	265467	Claire
797998	281718	Julia
797998	289948	Katrin Paulke
797998	290049	Laura Bergmann
797998	302786	Tochter Julia
797998	314811	Michelle
797998	343685	Laura Witt
797998	374138	Jenny
797998	376362	Lisa Mattuschke
797998	388120	Isabelle
797998	396924	Samantha
797998	403474	Virginie
797998	406814	Alexandra
797999	81604	Woman
798000	12601	Elke
798000	18524	Staatsanwaeltin Bauer
798000	18525	Staatsanwältin Bauer
798000	18531	Staatsanwältin Bauer
798000	23887	Julia
798000	24738	Maxi
798000	40361	Kuni
798000	49270	
798000	62934	
798000	78330	Sandra
798000	92522	
798000	92544	Klara
798000	97577	
798000	98076	Rosamunde
798000	98302	Renate
798000	101956	Tina Kaiser
798000	102453	
798000	115222	Monica
798000	119176	Tanja
798000	119692	Elisabeth Oppelt
798000	124614	
798000	134980	Hanna
798000	140216	
798000	153106	
798000	155449	
798000	169949	Sigrid Radke
798000	175294	Britta
798000	188810	Beate Rehberg
798000	219265	Lydia Meier
798000	225129	Inge
798000	226199	
798000	252540	
798000	258388	Helen Tenby
798000	259714	Vivien
798000	281980	Elvira Kupfer
798000	290490	
798000	290527	Heike W.
798000	290814	Barbara Seeberg
798000	292181	
798000	309279	Kate
798000	313792	Clown #2
798000	317657	Regina Köhler
798000	325747	Ricki
798000	332619	
798000	347641	Biggi Hansen
798000	347657	
798000	352657	
798000	356693	Gabriela Kaiser
798000	364824	Maura Moniqan
798000	364902	Gisa Haak
798000	364907	Julia
798000	366526	
798000	376251	
798000	376336	
798000	376446	Anke
798000	379772	Margot Sanwaldt (ep. 1 - 78) 
798000	380057	Helen's mother
798000	381863	
798000	386982	Charlotte 'Karlchen' Müller
798000	389119	Silva von Bernried (1989-1990
798000	394395	Barbara
798000	397103	Rena Sandorf
798000	403458	
798000	409411	Lotte Albers
798001	142623	Wire Twin Cenobite #1
798001	150390	Hostess 1
798001	274323	Rita (episode "Talk To Me Bab
798002	116113	
798002	145068	Denise
798003	11077	
798003	30605	
798003	40831	
798003	115618	
798003	193831	
798003	193840	
798003	196301	
798003	245633	
798003	271223	
798003	333653	
798003	360442	
798004	308598	Friend of Liszt
798005	149198	Girl at Bar
798006	129920	A.J.
798006	185553	Jackie
798006	241285	Kitty
798006	383849	Allison Janmoria 'A.J.' Foste
798006	402454	Additional Voices
798007	52312	Herself
798007	65607	Nancy Johnson
798007	67577	Model #2
798007	88574	Donna Hamilton
798007	89364	Card Holder
798007	92736	Baitmate
798007	114546	Donna Hamilton
798007	135992	Donna Hamilton
798007	139088	Donna Hamilton
798007	139170	Donna Hamilton
798007	169692	
798007	219638	Nurse
798007	257644	Herself (Miss August)
798007	257682	Herself (Playmate)
798007	257814	Herself
798007	288907	Donna
798007	296353	Herself
798007	361862	Herself
798008	67555	Second Receptionist
798009	11006	Maggie Carlyle
798009	195565	
798009	203021	Caroline Thorne
798009	315198	Whore
798009	391287	Aunt Dete
798009	402012	Nellie Moran
798009	402197	Caroline Simpson (1980)
798009	403244	Gillian Vaughn
798009	405358	Pat Casey
798010	243382	Euridice
798011	26407	
798011	48341	
798011	97434	Isolde Richter
798011	109502	Sigis Mutter
798011	109504	Paula Hirnschroth
798011	109505	Paula
798011	119115	
798011	166434	Glaube
798011	168974	Olivia
798011	177176	Lisa
798011	189723	
798011	197413	
798011	290729	Edine
798011	292096	
798011	300969	
798011	347690	Eva (Dame)
798011	352658	Fanni Gerersdorfer
798011	374621	Madame Schleyer
798012	231468	
798013	256493	Petra
798014	366316	Girl who lost ring
798015	183097	Vriendin
798015	354647	Ida
798015	389841	Inez van Weezel
798015	391569	Lonneke
798016	220218	La secrétaire, Belgique
798017	23490	La jeune femme
798017	51919	L'amie du commissaire
798017	209945	Emma Pivoine
798017	211849	
798017	286571	
798017	337000	
798017	337010	
798018	232630	Church Singer
798019	19286	Hot Blonde exiting cab
798019	51605	
798020	26489	Sarah Anderson
798021	43883	Becky's girlfriend
798021	70365	Woman
798021	131380	Frightened Customer
798021	200521	Dentist Nurse #2
798021	348592	The Candy Striper
798022	39518	Supporting Players
798022	127484	Little Girl
798023	144523	Playground Kid
798023	243423	Ginny Tibbs
798023	330132	Ginger Tibbs
798024	269627	Charlie's Girl
798024	338350	Charlotte
798024	346271	Joanna
798025	407587	Receptionist
798027	866	Herself
798027	1465	Herself
798027	2723	Stephanie
798027	10661	Marti Gerrard
798027	25367	Aimee McAdams
798027	35514	Herself
798027	35515	Herself/Donna Martin Silver
798027	35542	Donna Martin
798027	55507	Carol Cartman
798027	66274	Joanna
798027	80813	Meredith
798027	105366	Jan
798027	120202	Stacy Lockwood
798027	147923	Herself
798027	151093	Lesly
798027	220058	Laurel Lewisohn
798027	226977	Herself
798027	253263	Lucy
798027	257813	Herself
798027	289667	Alex Monday
798027	291222	'Stab' Sidney/Herself
798027	299742	Jenny O'Keefe
798027	307206	Tammie
798027	331430	
798027	339544	Katherine
798027	340320	Jamie
798027	381811	Donna Martin Silver
798027	405747	Liz
798028	137223	Dancer
798029	191106	Sean
798030	7	
798030	366613	Jane Wade
798030	367014	Corinne Adams
798031	403805	Dru Lively (2003-2004)
798032	117825	Female Workout Partner
798033	37366	Petey's Mother
798033	40878	Mrs. Penny
798033	80765	Dr. Susan Glasglow
798033	128288	Dr. Susan Glasglow
798033	174520	Liz Reed
798033	189920	Linda Francis
798033	290404	Mrs. Elderberry
798033	314441	Sandy Gregson
798033	328520	Sara Kates
798033	342605	Tammy Watsberg
798033	380261	Joyce Benson
798033	384960	Mary Goodhew
798034	286300	Carmel
798035	27243	
798035	32515	
798035	38581	
798035	54931	Miss Reynolds
798035	67211	
798035	69435	
798035	71703	Martha
798035	75191	
798035	91723	
798035	108426	
798035	135392	
798035	148968	
798035	154610	Sandra
798035	186974	
798035	187411	Herself
798035	191320	
798035	230983	
798035	231134	Miriam
798035	245615	
798035	256140	
798035	259214	Hooker
798035	259216	The Hooker
798035	274259	Mrs. Niles
798035	283810	
798035	295651	Dr. Joanne Ridgefield
798035	296311	
798035	319458	
798035	326409	
798035	326429	Ona
798035	335803	Herself
798036	65555	Matilde
798036	74655	
798036	162803	
798036	169967	Raquel
798036	204994	Alicia
798036	277808	Malena
798036	382946	Matilde
798036	382951	Isabel
798036	383718	Veronica
798036	384981	Patricia De Martino
798036	388815	
798036	393803	Norma
798036	397623	Roberta
798036	397731	Isabel Lanari
798036	398165	Lilí
798036	399627	
798037	151627	Melody
798038	201346	Little Majorette
798039	47367	Lucilla Galt
798040	96770	Miss Bohannon
798040	346267	Nurse Jones
798041	223263	
798042	52894	Girl
798043	14385	Mirna
798043	48973	
798044	177525	Chorus Girl
798045	345700	
798046	20625	Extra
798047	154087	Mrs. Wilson
798047	391869	Celia Stewart (1988-1990, 200
798047	402197	Vera Bennett (1979-1981)
798047	411366	Joy Cutler (episode 4: Lo-Arn
798048	133880	Ziegfield girl
798049	53960	Chair Person
798049	66322	Saleslady
798049	81117	
798049	109722	Court Clerk
798049	158273	Mary
798049	158865	Miss Maple
798049	174012	Nurse
798049	186822	Phyllis
798049	207903	Judge #2
798049	210567	Paula
798049	220042	Doris Foretich
798049	247565	
798049	298083	
798049	315131	First Lady
798049	329968	Wardrobe Woman
798049	404371	Emma Smallwood (1997)
798050	61581	Embassey Receptionist
798050	156530	Tasha's Mum
798050	340805	Penny
798052	70034	
798052	160589	Emily Furston
798052	354203	Cassandra
798053	6821	RBC News Desk
798053	16004	Coral
798053	38270	Vi
798053	354886	Olga
798053	390787	Angora Pope
798053	409639	
798054	385823	May Barnett
798055	40729	Girl In The Park
798055	141180	Nurse #3
798055	152272	Monique
798055	221136	Gate Attendant
798055	340962	Woman #2
798056	270912	Jenni
798056	405372	Karen
798057	7661	Enid Endicott
798057	385926	Jean
798058	98000	Herself
798058	387544	Herself
798059	51984	Tawny
798060	267608	Herself
798061	58162	Girl at Barbecue
798062	396108	Contestant
798063	81463	Jennifer
798063	139175	Sondra
798063	176965	Tori
798063	293010	
798063	339429	Starr
798063	362655	Stacy Harrison
798064	88102	Val (10 years old)
798065	104725	Herself
798066	7656	Anna
798067	5636	Herself (TV Presenter/Host)
798068	366645	Waitress
798069	145066	Girl at Pool
798070	94527	Undetermined Role
798070	96861	Cigarette Girl
798070	112433	Muriel
798070	198542	Pa's Secretary
798070	234889	Dentist's Assistant
798070	400759	Herself (assistant)
798070	407880	Burma
798070	411003	Janet Culver (1956-1957)
798071	97345	Mother
798072	328905	Tsvetayeva
798073	164400	Younger Sister
798073	380827	Antonia/Anthony
798073	408880	Salene (Series 1-5)
798074	93963	Jackie
798075	264157	Andrew's Mother
798076	53131	Melissa
798076	66337	Sandy
798076	109931	Clarissa
798076	166639	Talia Carew
798076	340973	Skye
798076	379716	Rebecca 'Becca' Tyree (1999-2
798077	44441	TV Reporter
798077	366903	Mrs. Andrews
798078	273364	Sweet Jeweler
798079	281334	Little Girl
798080	37555	Nurse
798081	171082	Ma Logan
798082	380293	Joan
798083	11451	Grace
798083	266572	
798084	54026	Pilgrim: The Prioress
798085	30582	Beers Ballgirl
798085	314699	Leigh
798086	224085	Cassie Burns
798087	403099	Herself/Host/Conductora
798088	53030	Nurse
798089	21448	Veterinarian
798089	61616	Herself
798089	62966	Cinderella
798089	253924	Veterinarian
798089	410902	Dee Thomas
798089	410904	Dee Thomas
798090	73857	Meg
798090	123418	Alena
798090	215885	Pamela
798090	362414	Emma
798090	390957	Lisa
798090	391869	Quinn Jackson (1995)
798090	400646	Callie Macrae
798091	361169	Ibo Extra
798092	90313	Prudence Trabert
798093	389927	Shasta
798094	379999	Herself
798095	404795	Marlene
798096	159513	Mrs. Maillard
798097	362529	The Sack
798097	379716	Daisy Murdock Cortlandt Cortl
798097	380713	Jennifer Sullivan Ryan Hughes
798097	387309	Lyn Wilkins Warren #1 (1962-1
798097	390771	Robin Lang Bauer Bowden Fletc
798097	400236	Victoria Lord Riley Burke Ril
798097	404694	Leora Davies (1963)
798098	155256	Diamond Lady
798098	158514	Dame Emily
798098	241559	Lady Turpington-Mellish
798098	258034	Mrs. Jennybelle
798098	266546	
798098	396363	Guest at ball
798098	399931	Miss Muschamp
798099	185275	Young Girl
798100	3267	Brinton's Mom
798101	31637	Bikini Audition Girl 1
798101	41452	Mona
798101	303997	JB
798101	326513	Police Officer
798102	190453	Heather
798102	203137	
798102	203335	Joyce
798102	223764	Connie
798102	395647	The Baroness
798102	402230	Maggie Weston, Probation Offi
798102	410580	Anna Malvintseva
798103	256976	Angry Female Customer
798104	50381	
798105	22996	Alice Vincent
798105	30356	Jane Stoddard
798105	148565	Clarissa Wynwood
798106	88870	Party Girl
798107	35320	Herself
798108	14728	
798108	43756	Vânia (segment "Primeiro de A
798108	75485	
798108	327329	
798108	354984	
798109	380430	Host (2004-)
798110	348596	
798111	162439	Slatternly Woman
798112	320146	Herself
798112	320147	Herself/4th Banished
798112	320149	Herself
798112	407077	Herself (12 Days, Samburu Tri
798113	346133	Rector's Wife
798114	2164	Empress of Lilliput
798114	24196	Clarinda
798114	40438	Grandmother
798114	43461	Aunt Lottie
798114	54611	Ruth Manning
798114	68491	
798114	71102	Mrs. Matheson
798114	78116	Miss Gratton, De Guise's Secr
798114	79590	Mary Moffatt
798114	82609	Mrs. Teddy Beckett
798114	115484	Harriet
798114	161405	Yvonne
798114	185606	
798114	188283	Lady Shepshod
798114	291886	Mrs. Wintry
798114	292694	Aunt Doris
798114	310842	Mrs. Stapleton
798114	330904	Lady Muriel
798114	360496	Mrs. Crump
798114	360551	Harriet Lessing
798114	363203	Annie Parker
798114	365050	Lady Buckram
798114	368481	
798114	401275	Lady Russell
798114	409369	Aunt Julie
798115	52476	Jitterbug
798116	323394	Audience Volunteer
798117	27933	Greta
798117	38849	A Raggedy Ruggles
798117	116729	
798117	120462	Bess
798117	141302	Dorothy Delmar
798117	145993	Mrs. Jim Newcomer
798117	259765	Myra Vance
798118	307622	Airport Security
798119	105871	Extra
798120	16803	Parent #1
798121	197758	Prison inmate
798122	205104	
798122	398335	Herself (2004 -)
798123	380798	Baby Braithwaite (2002-2003)
798124	378410	
798125	267564	Dorothy (Anna's sister)
798126	68212	
798126	192301	
798127	57382	
798127	90452	Dinorah, Flor's Friend
798127	104501	Raquel
798127	210694	Dona Plácida
798127	212030	
798127	327812	
798127	403738	
798128	14223	Agnes Large
798128	24506	Rhonda
798128	27344	Opal
798128	33179	Woman in Elevator
798128	37210	Twila
798128	41942	Shawna
798128	46355	Stylist
798128	61286	Laqueta Mills
798128	105312	Nurse B
798128	116537	Hildy
798128	118279	Waitress
798128	169517	Black Belly
798128	187193	Security Guard
798128	191925	Waitress
798128	215794	Elegant Guest
798128	230324	Cynthia
798128	303560	Nativity Watson
798128	304293	Nurse #2
798128	307206	Unemployment Clerk
798128	310423	QNS
798128	311037	Check-in girl
798128	333347	Roark's Nurse
798128	359060	Lady Chanet Janney Jones
798128	362355	Baby Nurse
798128	365947	Janine
798128	384183	Ruby
798129	234240	Young Wife
798130	253458	Jan
798131	298001	Restaurant Patron
798132	34949	Eunice
798132	71605	Sue
798132	257580	WPC Andrews
798132	346110	Marion Parson
798132	363675	Noonan Child
798132	385299	Muriel Pawcett
798132	401661	Sharon Eversleigh (1969-1970)
798133	333120	Person of the Day
798134	188682	Isabelle
798134	347850	Jenny
798134	390491	Anne-Louise
798134	397938	Teddy Child
798136	62462	
798137	325200	
798137	336514	Roz
798138	26478	
798138	380391	Modesta Josephina 'M. J.' McK
798139	17800	
798139	133816	Schoolgirl
798139	385299	Caroline Boone
798139	388241	Linda Patterson
798139	395341	Linda Perrin/Patterson
798139	399304	Margot Kerr
798140	225800	Stacey
798141	27112	Reporter
798141	110324	
798141	143429	Mrs. Travers
798141	149259	Mrs. Stephens
798141	194095	Tacy's Girl Friend
798141	238983	Officer's Wife at Dance
798141	257714	Fashion Editor
798141	313695	Miss Parsons' Assistant
798141	358035	Recruiting sergeant
798142	167043	Beth Johnson
798143	24429	Dancer
798143	24432	Party Dancer #4
798143	194332	Dancer
798144	380391	Thomasina Mason Todd #1 (1982
798145	14231	Georgia Bailey, 'See You Next
798146	67380	Brenda
798147	55120	Sasha Lynn
798148	168254	
798149	397938	Nadine
798150	347850	Laurence De La Perouse
798151	37786	2nd Seance Member
798151	40800	Children's Nurse
798151	241776	MJ
798152	326794	Performer
798152	342612	Herself
798153	181321	
798153	343951	
798154	333213	Female Customer
798155	226929	Megan
798156	34911	
798156	381661	Hill's Angel (1980-1986)
798157	2627	Herself
798157	37344	Mel Tennant
798157	90345	Rachel
798157	136801	Anne
798157	160590	Melissa Kaline
798157	230841	Lou Benzoa
798157	282826	Betty
798157	366687	Lisa Burnley
798157	382240	Jeanette
798157	385011	Karen Pelly
798157	393097	
798157	398346	
798158	261062	Waitress
798159	67586	Female Guest
798160	395565	Mary Fleminge
798161	46215	Alison/'Barbara' Lint
798161	150750	Laura Lyons
798161	152217	Florence
798161	404795	Valkyrie
798162	186632	Anne
798163	154709	Sheet Girl
798164	290534	
798165	145506	
798166	388164	Ellen Rustenburg
798167	149975	Britanov's Wife
798167	274480	
798167	345665	Sekretärin
798167	352267	Ljuba
798167	384368	Swetlana Laski
798169	44853	
798170	372527	Physician
798171	121135	Mrs. Mitchener
798172	348615	Cynthia
798173	228521	Native American Family
798174	383078	Leanne
798175	10343	Penelope
798176	290109	
798177	178114	Hooker
798178	235751	
798179	105606	Cassara's Daughter
798180	48933	Clara Estrucho
798180	268316	Angela
798180	307828	
798180	384117	Baronesa
798180	395044	Bárbara
798181	120771	
798182	1518	
798182	60425	
798182	88738	
798182	110454	Fedya Zaitsev
798182	254293	Petya
798182	261317	
798182	300478	
798182	352868	
798182	373519	
798182	373737	Nils
798182	382445	School Janitor
798183	72664	Student
798184	194178	Fitness Talent
798185	393187	Susana Batallán
798186	157028	Luisa
798187	103524	
798187	278933	
798187	315829	Danzatrice acrobatica festa
798188	187852	Valentina
798189	82993	Permanente
798189	112646	
798189	206081	Irena
798189	206082	
798189	235732	
798189	259700	Papaya Girotti
798190	332016	Nurse
798191	33161	
798191	139692	
798191	142052	
798191	225266	
798191	290536	Secretary
798191	325714	Suse Brockmoeller
798191	345675	
798191	409611	
798192	234694	Herself
798193	1390	Maxine Dexheimer
798193	26633	Dr. Tina Gassko
798193	26844	Linda McFly
798193	26847	Linda McFly
798193	37252	
798193	71252	Kuchinsky
798193	82522	Claire
798193	83929	Landlady
798193	86945	Susan 'Dinky' Hocker
798193	114283	Eileen
798193	154709	Rosie Petrofsky
798193	156785	Anita Cox
798193	157197	Guest
798193	195305	Helen
798193	220682	Joan Pudillo
798193	221067	Woman With Kitten
798193	221182	Roz
798193	223840	Louella
798193	256744	Wendy
798193	276686	Lucille
798193	309202	Professor Bendler
798193	314631	Jolean Winters
798193	348835	Nervous Nona
798193	381057	Charlene Gilbert (1990-1991)
798193	382547	Amy Cassidy (1980-1984)
798193	391253	Mavis Davis (1992-1993)
798193	402204	Pvt. Stacy Kouchalakas (1982-
798193	411362	Pam (1987-1988)
798194	86982	Lucy Clemente
798194	264036	Little Girl
798194	282511	
798195	199444	Un' allieva
798196	129366	Miss Stevens
798197	379093	
798198	19118	Rainsong
798199	286736	Robert's sister
798200	39163	
798200	145858	Bill Jackson's Sweetheart
798200	193810	Nola
798200	244368	Undetermined Role
798201	20620	Stunning Woman
798201	57747	Inmate
798201	184829	Waitress
798201	191653	Natalie
798201	217314	Sexy office girl
798202	259588	
798203	203219	Esther Wallraff
798204	208411	John's Girlfriend/Hooker/Fema
798205	304770	Little Heather
798206	274200	Red
798206	315885	Sarah
798207	346280	Old Lady
798208	138744	Chorus Woman
798209	189563	Sekretärin
798210	201406	Nina
798211	123420	The Game Show Part Chick
798211	147737	Monica
798212	306286	Dancer
798213	304563	Girl
798214	312971	Dee Dee
798215	1675	Herself
798215	14146	Gertrude Fleck
798215	19924	Crazed Fan
798215	72783	Herself (Co-Nominee)
798215	147554	Waitress
798215	222570	Shopper #1
798215	391839	
798216	18704	Arisa Mitaka
798217	20987	Kid #2
798218	383260	
798218	386749	Caterina Monaco
798218	406000	Catherine
798219	252211	Cut-in Gal
798220	97048	Swinger
798221	40060	Mud Dog
798221	116996	Waitress gal
798221	155011	Another Karaoke Girl
798222	35007	
798222	73284	
798222	76115	Vasquita
798222	84012	
798222	103847	
798222	104013	
798222	110749	Street neighbour
798222	169778	Nilda
798222	349467	Nora
798222	376839	
798222	380209	Emilia Eloisa
798222	383291	Luisa
798222	388274	Cata
798222	393803	Adela
798222	398913	Nelly
798222	402769	Faustina
798223	235771	Beatrice
798224	33373	Bruce's Mom
798225	369136	
798226	277634	Mandy/Teenage Ellie
798227	63019	Jennifer
798228	51077	Maria
798229	71148	
798230	26043	Liliane
798230	406783	Pénélope
798231	202719	
798233	10283	
798234	269088	Drowned Girl
798235	140276	Lea
798236	187619	
798237	105256	
798238	2255	Council Three
798238	17132	Ignacia
798238	20460	Additional Voices
798238	87408	Booking Terminal Voice, Laila
798238	135352	Loretta
798238	147362	Julia
798238	174325	Additional Voices
798238	212067	Additional English characters
798238	213446	
798238	292682	Claire Sylvia
798238	310838	Young Witch
798238	313402	Computer/Brittany Marata
798238	313425	Adm. Cain/Ops/Debug/Fase
798238	314619	Mrs. Jacobson
798238	315246	Scourge, Whispering Voice, Ic
798238	350230	
798238	378652	Kamui
798238	380605	Commander Lana Ines
798238	389870	Gloria
798238	391948	Hutch's Mother
798238	393503	Eldora, Elvira
798238	398074	Fire Angel, Winged Warrior
798238	403550	Voice of Mission Control
798239	80645	Jackie
798241	86554	Herself
798241	170220	Herself
798241	170221	Herself
798241	170222	Herself
798241	170224	Herself
798242	319682	Girl Diver
798243	287149	Sun lady
798244	19820	Helga, Ernsts Tochter
798244	92411	
798244	101955	
798244	103141	Lilly Jensen
798244	115965	
798244	119204	
798244	155355	
798244	171663	
798244	188814	
798244	199355	
798244	207169	
798244	227171	
798244	227777	
798244	356697	
798244	361095	
798244	376404	
798244	376409	Liane Gräfin Trachtenberg
798245	15264	Oma
798245	384341	
798246	258098	Party Girl
798247	75143	
798248	39886	Pocket Pool Lady
798249	35506	Girl in Car
798250	215731	Woman (State Department)
798251	35507	Herself
798251	102570	Herself
798251	147738	Herself
798251	161305	Herself
798251	201691	Herself
798251	226877	
798251	303882	Star the Witch
798251	360290	Cameo appearance
798251	360668	Nicky's Mom
798251	373405	Herself
798251	378685	Herself
798252	323410	
798253	114763	
798254	240713	Herself
798255	68406	La mère du voisin de table
798256	1355	
798256	18375	
798256	184851	
798256	228572	
798256	242551	
798259	202619	Ruthana (Teenager)
798260	183229	Swan
798260	293793	
798261	200604	Mrs. Townsend
798262	70109	Hooker
798263	261248	Female Reporter
798264	128606	Herself
798264	257658	Herself (Miss October)
798264	257832	Miss June 1999
798265	383432	Presenter
798265	388002	Presenter
798265	388549	Presenter
798265	408699	Presenter
798266	104896	Sarah Shotwell
798267	115062	Hawk Woman
798268	281388	Jessica
798269	266345	
798270	110048	Vlasta
798271	106737	IRS Assistant
798272	164587	'Yield' Fan
798272	183193	Lead
798272	201538	Sadja
798272	226869	Herself
798273	178209	Herself
798273	210866	Lily Strombeck
798275	27196	Manicurist #2
798275	77019	Trina
798275	87851	
798275	176844	Dr. Cook
798275	209457	Warden
798275	245908	Receptionist #1
798275	262372	Rosa
798275	399141	Mrs. Hamouzová
798276	195021	Dinner Guest
798276	248095	Call Girl
798276	354164	Runway Model at Airport
798277	97224	Astrid
798278	39004	Bubbee
798278	45591	Saleswoman
798278	114331	
798278	118379	
798278	129362	
798278	199467	
798278	335799	Billie
798279	317248	
798280	309610	
798281	276088	
798282	314853	Nun
798283	330060	Voice
798285	41032	
798286	325189	
798287	2696	
798287	11847	Sekretärin (Secretary)
798287	142267	Kommissarin/Inspector
798287	157618	
798287	325570	Corinna
798287	347432	Clara
798287	365874	Brunhilde
798287	394836	Katharina Mohndorff
798287	395265	Walli
798288	103334	Soldier
798289	113931	Lisa
798290	195813	Girl with Sparkler
798290	328272	Lucy
798291	2115	Karate Official
798292	33527	Key Lime
798293	24026	Betty
798293	338425	Marita Arnold
798293	404224	Birgit Meyerbeer
798294	4972	
798295	249118	Undetermined Role
798296	209358	
798296	321957	Alima Haddad/French Secretary
798296	391293	Stefanie Sommer (1988-1989)
798297	41280	Herself
798298	71574	The Lowly Reporter's Sweethea
798299	98052	Johanna Glück
798299	126449	Nurse
798299	223462	Birgit
798299	225265	
798299	386905	Elke Engler
798299	406160	Uschi
798300	20459	Jessica Manning
798300	39714	Amanda
798300	84679	Paulette
798300	127262	Jenny
798300	164637	Slime Squad
798300	270290	Cecile
798300	321920	Paul Gorski
798300	386055	Additional Voices (1987-1988)
798301	115318	Susan
798302	113264	Waitress
798303	1965	Club Dancer
798303	63140	Bella
798303	142164	Vanessa Raye
798303	150891	Dog Walker
798303	160410	Sexy Girl
798303	185180	Ruth
798303	194219	
798303	246021	Stacey
798303	380523	Sandy
798303	398567	
798303	398568	Jessie
798303	399970	Silly (6 episodes)
798304	216794	Herself
798305	845	Lighting/Stage Design
798306	401082	Presenter (1992-1995)
798307	84578	
798308	98049	
798308	324670	Bühnentänzerin
798309	185374	Doctor
798310	81377	
798311	52320	Bikini Girl
798311	185173	Meryll
798311	232126	Doris
798311	266583	Chloe
798312	363602	Mia's Girlfriend
798313	376108	Herself
798314	91037	Imbissbudenbesitzerin
798314	145347	Martina
798314	406657	
798315	120216	Mary Mullen
798315	386603	Wendy Conrad
798316	144484	
798317	290798	Susi
798318	95282	Stefanie Voss
798319	359929	Anya Van Dyke
798320	222558	
798321	346711	Bella
798323	65448	Sandrine
798324	68430	
798325	10705	
798326	188638	Helene Brahms
798327	228263	Herself
798328	4307	Coffee waitress
798329	229248	Hoer #2
798330	104772	Dutch entry (22nd place)
798330	228262	Herself
798330	228268	Intervalact
798331	336428	Clara
798332	410850	Julia Vlieger
798333	65888	Vittoria Serini
798333	316153	Gratuitous naked chick
798333	390180	
798333	390358	Receptionist
798334	156494	A Midget
798335	29311	Candy
798335	164480	Maitresse D'
798336	48459	
798336	381161	
798336	392218	
798336	394111	
798337	222750	Young Janette
798338	341181	Alexandra
798338	387762	Evdoxia
798338	391023	
798338	394168	
798339	172894	
798340	21446	Guineveve Champernel
798340	109789	
798340	181168	
798340	334730	Renée´s kindermeisje
798340	375789	
798340	376189	
798341	168541	
798341	181168	
798341	188839	Een kleine Columbine
798341	242411	
798341	273757	
798341	275821	Eén van Alda's kinderen/one o
798341	289839	Marianne's zoontje
798341	334730	Renée
798341	352033	Dora
798341	375789	Dolly
798341	376189	Enid
798342	193761	Spacewoman Lover
798343	119001	Spanish Girl
798345	257760	Phone Caller
798346	82521	Rosa
798347	328682	Rosa
798348	396017	Heaven
798349	196659	
798349	243629	Sofia/Caterina
798349	246848	Jacobina
798349	267066	Woman
798349	308749	Herself
798349	354484	Mindinha
798349	369981	
798349	386142	Debbie
798349	387838	Flávia Cristina Sampaio
798349	394872	Laura
798349	402582	Babalú
798349	403118	Giovanna Berdinazi
798349	404077	Diana Coelho
798349	404834	Viviane Fontes
798349	406833	Maria Regina
798349	411597	Paquita
798349	411932	Beatriz Soffer
798350	399333	Herself - Reporter
798351	123404	Spectator
798351	124502	Guest
798352	389058	Herself
798353	120043	Frauke
798354	246721	The Girl
798355	68609	Música do restaurante
798356	149751	Ida
798356	318515	
798357	144860	
798358	125635	Concubine
798358	178578	
798358	204920	
798358	261102	
798359	393878	Umweltschützerin
798360	353056	
798361	118128	
798362	12651	Presentatrice
798362	36473	Daughter of Lot
798362	36508	La dicitrice
798362	36509	La dicitrice
798362	36510	La dicitrice
798362	36511	La dicitrice
798362	36512	La dicitrice
798362	36513	La dicitrice
798362	36514	La dicitrice
798362	52150	Clizia
798362	57961	Amica di Elena
798362	71275	Alina
798362	86833	
798362	90664	Savina (segment "Bagnino love
798362	92929	
798362	94520	Bórgia's sister
798362	94682	
798362	111365	
798362	112680	
798362	162083	Peppino's Niece
798362	170312	
798362	184057	Corinne
798362	199046	Ljuba
798362	199291	
798362	227585	Gervasi's Wife
798362	244576	Barbara (episode "Un delitto 
798362	251610	Giulia Giordani
798362	265714	
798362	266934	Grazia
798362	269636	
798362	278971	
798362	279254	Lydia
798362	283079	
798362	317985	Diana
798362	332922	Anna de Cordoba
798362	336598	Isabella
798362	348129	La ragazza dell'albergo
798362	348732	Princess's maid
798362	375881	
798362	375884	Isabella de Alazon
798362	375888	
798362	386743	Henriette Mercier
798363	115628	Barbara Howe
798364	73073	Child
798365	176534	Additional Voices
798365	224391	
798366	381821	Ensemble (1977-1978)
798367	301032	Doris
798368	209224	
798369	279804	Herself - Reporter
798370	78792	Anya
798370	80461	Hostage
798370	142390	Hell Mountain Girl
798370	185659	Sasha
798370	188504	Katrina
798370	226025	
798370	234743	Tána
798370	304795	Woman in Cabin
798370	387113	Young Mother Ramallo
798370	404407	Suzanne
798371	190273	Cynthia
798371	285726	Agatha 12 Years
798372	103441	
798372	111284	
798372	245533	Juliana
798372	387901	Letícia
798372	402537	Eva
798373	205497	
798374	206220	
798375	98313	Sandra Jacobsen
798375	153751	Valerie Weber
798375	187866	Magda Steinheil
798375	188780	Evi
798375	189825	Jess
798375	210027	Rita
798375	216266	Jo Torga
798375	259556	Christine Bronski
798375	259561	Christine Bronski
798375	259626	
798375	259652	
798375	259668	Christine
798375	261146	
798375	284562	
798375	290503	Yvonne
798375	325639	Natascha Günther
798375	325691	
798375	325716	Sonja
798375	360148	
798375	394228	Harriet
798376	294781	Diana
798377	23527	
798377	90676	
798377	260734	
798377	290926	
798378	243307	
798379	226442	Contadora
798380	162083	
798380	190455	Giuseppina Naccarelli
798381	133340	Zane's Grandmother
798382	15080	Maud Jennings
798382	43007	Adlone Hébert
798382	63668	
798382	155777	Mabel Blackwell
798382	236623	Anna Sabline
798382	263725	
798382	277607	
798382	320426	
798382	345215	
798382	404750	La portinaia
798383	103157	Chica besos
798383	121227	
798383	383206	Mora
798383	401152	Brenda
798384	259173	
798385	209721	A young shepherd (Tannhäuser 
798386	365062	Woman
798387	23586	
798387	69986	L'imperatrice Eugenia
798387	92071	
798387	113443	
798387	158768	La domestica Jeanne
798387	251324	
798387	260044	
798387	265193	
798387	277608	
798387	338715	
798388	291414	The Boss' Mom
798389	142949	Woman In Cadillac
798390	247143	Girl at Pool
798391	201246	
798391	401579	Nadia
798392	358296	Woman driver
798393	37858	Sister
798394	350221	Marriage Girl #1
798395	269360	Joan as a Child
798395	269361	Joan Lawrence as a child
798395	278727	Pamela Rexford
798395	328794	Benson Child
798395	361677	'Skip', as a Girl
798396	135195	
798396	201326	Big Woman
798397	331672	Older Sister
798398	96519	La cousine d'Edmea
798398	127798	Woman who records ghosts
798399	216445	Ariel
798400	48175	Flo
798400	51418	Lily
798400	71519	La soeur d'Isabelle
798400	88084	La douanière
798400	144317	Suzan
798400	200955	Paulette
798400	211225	Tina
798400	217642	Véronique Moretti
798400	218255	Rachel Bernstein
798400	240429	Françoise Rosay, séq. Hôtel d
798400	249814	Waitress
798400	251544	Myriam
798400	370102	
798400	383117	Bettina
798400	396039	Marie-Josée
798400	402577	
798401	67804	
798402	95221	
798403	133743	Woman in Crowd
798403	307902	Waitress
798404	7550	
798404	46616	
798404	49671	Guste Schmiedecke
798404	75933	Frau Kalman
798404	93459	
798404	93728	
798404	99173	Magd Anna
798404	99891	Emils Tante
798404	102134	Pensionswirtin
798404	109323	
798404	119435	
798404	119441	Mutter Ossenkamp
798404	121000	Annemarie
798404	121419	
798404	125146	
798404	134978	
798404	144159	Trudchen Meyer
798404	145475	Elsbeth Friese
798404	164278	
798404	169863	Walpurga
798404	170127	
798404	182097	
798404	188750	Sabine Hoevelmann
798404	189537	Frau Ballard
798404	197829	Anna Müller
798404	197836	Frau Gretchen Reich (Mistress
798404	202815	Mutter Therese
798404	210006	
798404	219288	Grete, Fredericks' girl
798404	225177	
798404	226267	Maria Hartwig
798404	226345	Frau Roeder
798404	252323	Ulrike
798404	255086	
798404	280801	Oberschwester Lindwedel
798404	281253	Julia
798404	281951	Hildegard Schramm
798404	293995	
798404	303715	
798404	306777	Frau Fiebig
798404	312064	
798404	315176	
798404	328847	Juwelen-Anna
798404	328991	Kammersängerin Olivia Geiss
798404	350876	Martha Schiller
798404	350884	
798404	352584	
798404	352607	Luise Lindner
798404	359001	Tante
798404	366552	Köchin
798404	376280	
798404	390705	Marie König
798404	401996	Thusnelda Quiebus
798405	25200	Herself
798405	54255	La rousse
798405	60029	Marie-José
798405	236553	Olivia
798405	269752	
798405	273108	La dame des lavabos
798405	309688	Maria
798405	376365	Madelaine
798406	17723	
798406	20430	
798406	21653	
798406	26252	Countess Lafitte
798406	33262	Walters Tischdame
798406	34241	
798406	98573	Anna Weichert
798406	103074	Frau Fischer
798406	119113	
798406	119168	
798406	120668	
798406	129357	
798406	132313	
798406	143798	Mrs. Hediger
798406	175569	
798406	178612	
798406	179993	Sister Mary
798406	180234	
798406	180870	Fürstin
798406	188861	Katharina Hofdame
798406	189811	Archduchess Melany
798406	191188	
798406	197832	Frau des Gutsbesitzers Brenck
798406	275178	Frau im Café
798406	277462	
798406	281982	Mrs. Berger
798406	292102	Frau Fabius (as Lotte Spira-A
798406	303712	Mrs. Balogh
798406	314897	
798406	315828	
798406	345656	Hausdame
798406	347430	Fr. Konsul Werner
798406	348065	
798406	352392	
798407	174636	La belle soeur
798408	407815	Herself (Single) (2002)
798409	50021	Herself
798410	12787	Karoline Gutjahr
798410	18885	
798410	35498	
798410	41053	Rogelios Mutter
798410	48391	Frau Reinhardt
798410	51327	Mutter Ucker
798410	107360	Resolute alte Dame
798410	111775	
798410	113052	
798410	115812	Frau Knatter
798410	125275	Oma
798410	129322	
798410	134814	
798410	230196	Frau Knatter
798410	259447	Erna Weber
798410	289931	
798410	290267	Old Crone
798410	290844	
798410	308483	
798410	347831	
798410	366587	
798410	399179	
798411	202232	
798412	20124	
798413	93987	Lori Lane
798414	329840	
798415	226012	Natalya
798416	198146	
798416	356907	
798417	226469	Natasha
798418	32353	Mama
798418	217466	Magda Goebbels
798418	283775	Second Lady
798419	52073	Mrs. Nora Jermolenko
798419	73590	Marija Molerovic
798419	77491	
798419	85170	
798419	92730	
798419	95179	
798419	119445	
798419	166889	
798419	171967	
798419	172055	
798419	178458	
798419	179232	
798419	180471	Salce
798419	181098	
798419	182252	
798419	184362	Gospodja Djurdjevic
798419	189386	
798419	215120	Desa
798419	215655	Ellen Stone
798419	215996	Gospodja savetnikovica bez re
798419	221348	
798419	225944	
798419	229720	
798419	244181	
798419	251320	
798419	261678	Olga Bojanic
798419	263546	
798419	266172	Albertova majka
798419	266971	
798419	267833	
798419	273097	
798419	284865	
798419	286914	
798419	301502	
798419	311487	
798419	318895	
798419	320695	Upravnik KPZ
798419	323631	
798419	343785	
798419	351973	
798419	375031	
798419	402119	
798419	405693	
798420	367823	Herself
798421	139393	
798423	18827	Woman in Cinema 1
798424	82907	
798425	323332	
798426	38684	Astrid
798426	117777	
798426	298055	Anita
798426	381327	Mags
798426	382838	Alison Gregory (1989-1990)
798426	387533	Sarah Sugden (1994-2000)
798426	387645	Liz Lewis
798426	388576	Kath Borrow
798426	394508	Mary Devine
798426	402140	Margaret Speel
798427	120481	Catherine Reece
798427	143240	Waitress
798427	155888	Alison (segment "1974")
798427	249503	Anne
798427	257571	Tonya Jenkins
798427	392285	Brandi Thorson (2000-2001)
798427	400263	Alex (1998)
798428	334112	Pam
798428	347006	Connie Baker
798428	399065	Ellen (episode 1)
798429	35640	WPC Foster
798429	53301	Interviewee
798429	70612	Barbara Windsor
798429	120506	Martha Tabram
798429	335332	Jayney (Mrs. Lovett)
798429	396298	DI Vivien Friend (Series 1) (
798429	409112	
798430	293921	Executed woman
798431	97608	Hrisi
798432	170213	Herself
798432	170215	Herself
798432	170216	Herself
798432	170220	Herself
798432	170222	Herself
798433	258720	Yekaterina, Nathalie's sister
798434	320707	
798435	133475	Lewis Infant
798436	124087	Claudine
798436	212017	Claudia Cossan
798436	360544	Sharon
798437	104767	Maltese entry (3rd place)
798437	202522	Herself
798438	221426	Herself
798438	305488	Herself
798438	329107	Vocals and Guitar
798438	329149	Texas Vocalist and musician
798439	330108	
798440	34307	Sylvia (Mother)
798440	274118	Meg
798441	411714	Herself
798442	38992	Sara Meijer
798442	79875	Trude Weiss
798442	281997	Jury Foreman
798443	99800	Trainer
798444	196434	Blonde at Señor Pizza
798444	307264	IXL Receptionist
798444	336033	Woman
798445	75721	Dawn
798446	241296	Herself
798447	296926	Sebastion Green's Widow
798448	11069	
798448	200613	Black harem lady
798449	304051	Flower shop owner
798450	331950	Reporter
798451	250752	Security woman airport
798452	161574	Marie
798453	399175	Julia
798454	210090	
798455	290839	Carla
798456	18028	Engagement Party Guest
798456	80779	Woman Applicant
798456	98931	Louise Robinson
798456	121618	
798456	124056	Claire Rolfe
798456	142342	
798456	148313	Josie
798456	155862	Elegant Middle-Aged Woman
798456	190796	Lonely Girl
798456	222495	Customer in Pete's
798456	264932	Jenny
798456	293105	Dispatcher
798456	313583	Nurse at Hospital
798456	318800	Deputy #3
798456	333430	Magda
798456	340459	Bunny
798456	358358	Customer from Hell
798458	202366	Vampire In Charge of Federal 
798459	33908	
798459	156036	
798460	4016	Morisato Megumi
798460	283621	Murasaki
798461	365142	Donna Jo
798461	404371	Nancy Alexander (1996)
798462	104936	Lenora
798463	117615	
798464	407	Annabelle Powell
798464	20913	Powell House
798464	62678	Arianna Randolph
798464	63524	Sarah Henry
798464	116682	Mrs. Powell
798464	132140	Sarah Henry
798464	272440	Mrs. Giles
798464	337649	Mrs. Powell
798465	326117	Abigail Charlton
798466	97388	Dancer
798467	137619	Missy Rose
798468	11210	Bouncer
798468	203917	Female Berezovo
798468	245531	Della
798468	276090	Ma Greeny
798468	317415	Mother Josephine
798469	164778	Eugenie Österlund
798470	72931	Goodyear Chorus Girl
798471	72931	Goodyear Chorus Girl
798472	210738	Nurse
798472	339940	
798473	2756	
798473	88141	Helena
798473	165036	Marie Kainarova
798473	166662	Vlasta
798473	207721	Zdenicka
798473	211883	Klára
798473	230466	Jana
798473	322657	Nurse Vlasta
798473	396264	
798474	16441	
798474	53746	
798474	53851	
798474	115794	
798474	133022	
798474	158941	
798474	187944	
798474	320415	
798474	344871	
798474	376587	
798475	47154	
798475	155792	
798475	264537	
798475	406987	Silvana
798476	26008	
798477	206579	
798478	6118	
798479	396	Profesora nado
798479	248753	
798480	80750	
798480	355190	Paula
798481	11782	Gertrud
798482	211698	Lena Katz 1942
798483	239879	
798484	38735	Mom
798485	205426	Trapeze Woman
798486	244088	
798487	390242	Boukje Hendrikse (1992)
798488	308128	Beauty
798489	25936	Emilie
798489	86391	Elisabeth Alione
798489	98297	Melanie Sugg
798489	99902	Emilia Galotti
798489	106972	
798489	119673	Laura
798489	141955	Dete
798489	180211	
798489	200383	Patricia Carleon
798489	229165	
798489	312048	Magda Dietrich
798489	312204	
798489	334563	
798490	152572	Student
798490	177792	Anne Kinsey
798491	38248	Banquet Guest/Zombie
798492	343990	3rd Victim
798494	60744	Dog Woman
798494	117136	Waitress
798494	234227	Girl at the Country Club
798494	240314	Coronation Reporter
798494	291931	Miranda
798495	153160	
798496	122557	Chambermaid
798496	155486	Carmen
798497	68455	Lady One
798497	134731	Ann B. Davis
798497	181005	Lecture Woman #2
798497	219118	Mrs. Lippman
798497	319773	Tourist Wife
798497	330058	Autograph Seeker
798498	107877	
798499	83860	Oribela
798499	186250	Ana
798499	352851	Alaíde
798499	387833	Caterina
798499	396506	Young Maria Monforte
798501	14230	Cultured Saleswoman
798501	68023	Jessica Chase Arnold
798501	184906	Larry's Secretary
798501	369453	
798501	392965	Mary, Popular Girl, Reporter,
798502	3392	
798502	282747	
798503	3273	
798504	245490	
798505	10319	Mother
798505	115115	Herself
798506	293983	Maria
798507	268510	Míla Halová
798508	298764	Aunt Vera/Fanny
798509	88183	Leonore Manson
798509	313353	
798510	184556	
798512	12882	
798512	144135	
798513	68024	
798513	75296	
798513	101730	
798513	109999	
798513	110003	
798513	159095	
798513	248776	
798513	251260	
798513	285059	
798513	286149	Sally
798514	108600	Goth
798515	243479	Nurse
798516	77698	The dancer
798516	132572	
798516	138552	Hansel
798516	195465	Madge Dempsey
798516	229638	Nell
798516	241478	Phillis Dair
798516	263964	
798517	232446	Nurse
798518	369492	Xanadu Dancer
798519	202910	Mrs. Perkins
798520	264747	Twin
798521	130286	Boom Boom
798522	264747	Twin
798523	30463	Star
798523	65578	Caitlin Bree
798524	206859	Grace
798525	282416	
798526	18347	Thérèse (6)
798527	181255	Kind van Nieuwe bewoonster
798528	35027	
798528	48757	
798528	79621	Evgenija Posliskovic
798528	173101	
798528	280404	
798528	305188	Zena policajac
798528	311362	
798528	339055	Kosovka
798528	350742	
798528	386526	
798528	394110	
798528	402026	Bebina drugarica
798528	410260	Nadica
798528	411900	Kucna pomocnica
798529	1015	
798530	28709	Saba
798530	87009	Additional Voices
798530	190869	Additional Voice
798531	299317	Herself
798532	11699	Lydia Lubey
798532	48368	Model
798532	102513	Norrlndskan
798532	109293	Hebbe's Wife
798532	114033	Cook
798532	115425	Erika
798532	289783	Acting student
798532	377337	Rikarda
798533	48363	Anna Söderberg
798533	48364	Anna Söderberg
798533	122459	Gerd
798533	153715	Brita-Kajsa
798533	237246	Elin
798534	235022	Dancer #1
798581	399374	Vera McMullen
798535	2252	(segment "Teuf d'enfer, La")
798535	211683	L'ex
798535	291584	(segment "Dernière année")
798537	64333	Herself (1990)
798537	111110	Claire
798537	112809	
798537	119018	TWA Clerk
798537	199307	
798537	201052	
798537	248055	
798537	248991	Violet
798537	270844	Greta
798537	278146	L'astrologue
798537	301402	Infirmière Chinon
798537	318515	
798537	356974	
798537	402664	Sophie
798537	410074	Lagroua Weill Halle
798538	242028	
798539	290928	
798540	32052	Dancer
798540	120528	Dancer
798540	192748	Confessional Dancer #8
798540	237006	Dancer
798540	291222	Dancer
798540	300180	Other Audition Dancer
798541	338098	Margaret Selb
798542	10021	
798543	51422	Amélie Brasette
798544	401514	Irina/Cattani's housekeeper
798545	292593	Valerie
798546	301623	Neewa, Chetoga's daughter
798546	308213	
798547	403487	Herself/Season I (1995)
798548	66935	Jill Broadhurst
798549	365333	
798550	43378	Melissa Stora
798550	268918	Victim #1
798550	329311	Heavenly Dancer
798551	78107	Dianna
798552	374127	Betka
798553	363165	Margaret Pender
798554	384735	Comic
798555	31	Brigette
798555	16703	Brit Alwood
798555	27181	Cookie
798555	40878	Co-Eds
798555	47588	Ginger
798555	51984	Joy
798555	70275	Helena
798555	90932	CBS girl backstage
798555	160446	Stockard
798555	168736	Lorraine
798555	211472	Gina
798555	213325	Hot Naked Babe
798555	215174	Charleen Kane
798555	267348	Wanda
798555	267350	Wanda
798555	303904	Paulette
798555	334312	Nina
798555	342457	Tina
798555	365169	Irma
798556	82023	Pam
798557	362188	Best Friend Cindy
798559	89084	Luella's Friend
798560	92704	Dolly
798561	381894	Herself (season 1-2001)
798561	381897	Herself (season 1-2001)
798561	381914	Herself - Participant (season
798562	60004	
798563	242754	Frk. Olsson
798564	366600	Carol Clerk
798565	97890	Reveler at Country Dance
798566	264914	
798567	218387	
798568	223734	Gatto
798569	71675	May
798569	148570	Grace
798570	264817	
798572	333278	Eloi
798573	292816	Tessie Smith
798574	272509	Frk. Anna Mikkelsen
798575	142264	Lucy
798575	332837	Hebamme
798576	134812	Herself
798576	405804	Karin Kofler
798577	100944	
798578	129729	
798578	317279	
798578	352270	
798578	404899	
798579	375055	Frau
798580	198549	A worker
798581	10750	Duchess
798581	16990	Inge Middleton
798581	43593	Mrs. Epps
798581	62995	Mrs. Riggs
798581	66956	Frau Hoffman
798581	117116	Olga Jenikova
798581	120799	Mother Radcliffe
798581	139657	Fat Lady
798581	150780	Madame Langlois
798581	157283	Baroness Laginsky
798581	160780	Alice Duckworth
798581	170497	Calpurnia
798581	183601	Lady Eva
798581	185741	Mrs. Mason, Ferguson's Cook
798581	187048	
798581	211617	Mistress Quickly
798581	220430	Eva Peterlee
798581	231392	Vera McMullen
798581	243160	May
798581	248491	Mrs. Roberts
798581	256112	Annabelle Andover
798581	269343	Laura Pretty
798581	277716	Mrs. Sells
798581	285879	Nobel Presenter
798581	292314	Winnie's mother
798581	294217	Mrs. Jennings
798581	296657	Janet Stancombe Wills
798581	300810	Perepyolkina
798581	304764	Cath
798581	311027	Mildred Peake
798581	316303	Lady Muriel Royce
798581	330608	
798581	331089	Mistress
798581	331419	Marcia
798581	346938	Herself
798581	347716	Miss Markland
798581	353467	Actress in 'The Rivals'
798581	366191	
798581	368284	Mrs. Murray
798581	368813	Queen Anne
798581	371059	Mrs. Van Der Reuter
798581	372505	Madge Kendal
798581	389203	Connie Fox
798581	396965	Mrs. Gamp
798581	397659	Mrs. Cadwallader
798581	397676	Iris Rainbird
798581	399931	Cora
798581	400083	
798581	401652	Mrs. Mullen
798581	402305	Comtesse de Berny
798581	405151	Nan
798581	405387	The Witch
798581	407177	Swiss Toni's Mother
798581	407425	Grandma
798581	410214	
798581	410640	Aunty Peggy (Series 2-5) (198
798581	410714	Eleanor Presset
798581	411316	Mrs. Goodenough
798582	183213	Goblin Corps
798582	313479	Ewok
798583	231894	Jenny
798583	245833	Black Chick
798583	276398	Sheri Evans
798583	304851	1st Reporter
798583	341847	Career Woman
798584	1268	
798584	231997	Dancer
798584	362132	Student Activist
798585	17043	Surly Checkout Chick
798585	386339	Coroner's Receptionist #2
798586	89102	Young Bird
798586	363433	Delores' Friend #2
798588	375116	Elah
798589	8961	
798589	20034	Eastern Tourist
798589	25868	Mrs. Barstow
798589	46321	Woman at party
798589	48651	Woman at baggage counter
798589	51975	Woman
798589	72122	Bessie Weatherby
798589	99856	Miss Toomey
798589	116233	Mrs. Scott
798589	117222	
798589	118311	
798589	144936	Helen (Jazz Festival organize
798589	150304	Abigail Abernathy
798589	188547	
798589	235062	Bidder
798589	241780	Mrs. Johnson
798589	308109	Mrs. Crawley
798589	316117	Mrs. Harker
798589	334272	Janie
798589	343160	Mrs. Peterson
798589	365762	Mrs. Becker
798589	368245	Mrs. Feiner
798590	228197	
798591	195395	Melanie Dixon
798593	40533	Daughter
798593	277010	Injured Girl
798594	3919	Dancer
798596	42024	Wife
798597	113640	Prostitute
798598	92918	
798599	45851	Mrs. Majelewski
798599	263076	Mrs. Jones
798600	273828	Car Thief Victim #1
798601	137616	Pernille
798602	288088	
798603	326192	
798604	213773	As Herself
798605	80499	Laughing Zombie
798606	81211	Hannah
798606	163216	Edie
798606	203492	Refugee Worker
798606	257113	Margaret
798607	281657	
798608	313078	Violet, Enoch's Wife
798609	204260	Child in Park
798609	212084	Kid in classroom
798610	307934	Herself
798610	345702	Singer
798611	239033	Reporter
798612	158141	Jewelry patron
798613	282935	Bucket Dancer
798614	95784	Reporter
798614	187335	Pawnbroker
798614	253357	Reporter
798614	321654	Reporter
798615	228268	Herself
798616	3952	Herself
798617	351723	Churchgoer
798618	27261	Herself
798618	34872	Herself
798618	50060	Narrator
798618	82097	Herself
798618	153919	Title Song Singer
798618	163509	
798618	253821	Herself/Vocals
798618	253822	Herself (video "What Have I D
798618	253823	Herself (video "What Have I D
798618	253825	Herself (segment "What Have I
798618	273234	Herself
798618	385951	
798618	395233	Herself
798618	395772	Herself - Guest Singer (1985)
798618	406014	Herself/Host
798619	156466	Juror #4
798620	117579	Punk band guitarist/singer
798621	343317	
798622	2655	Mama Malone (saloon owner)
798622	38360	Ida Slansky
798622	59126	Minnie Huxley
798622	150268	
798622	157290	Mrs. Wharton
798622	165098	
798622	177361	Ostrich/Female Penguin
798622	185501	Penguin
798622	241692	(segment "Baby")
798622	351723	Churchgoer
798622	356282	
798622	385045	Mac
798622	389257	Mrs. Otterby
798622	390050	Lizzy Sturgess
798622	390981	Doris Webster
798622	393957	
798622	396422	Additional voices
798622	398777	
798623	233067	
798623	263190	
798623	266155	
798623	270805	La corista
798623	377594	
798624	159164	Arab
798626	5382	
798626	41019	
798626	75046	
798626	77990	
798626	95799	
798626	113774	Satania
798626	159271	
798626	190738	Herself
798626	274128	
798626	285325	
798626	304848	
798626	309050	
798626	311440	Herself
798626	316731	
798626	342939	
798626	359287	
798628	41169	Herself
798629	88258	Judy
798629	109449	Mary Beth Bensen
798629	109524	Dina Phillips
798629	135783	Mona
798629	216905	Tanya
798629	224164	Kelly
798629	224283	Hall Monitor/Ellie's Friend
798629	273782	Karen Sybern
798629	289758	Stephanie
798629	304758	Angela Johnson/Angela Baker
798629	304759	Maria Nacastro/Angela Baker
798630	78169	Audrey
798631	156148	
798632	229865	Angela
798633	7544	Herself
798633	17750	
798633	27222	Herself
798633	31525	
798633	34733	
798633	36920	
798633	48506	God
798633	52439	
798633	72113	
798633	86702	Herself
798633	87388	
798633	91723	
798633	93330	
798633	97315	
798633	98839	Shelly
798633	102867	
798633	108608	
798633	108829	
798633	110960	Herself
798633	117411	Herself
798633	119826	
798633	123921	
798633	125478	Herself
798633	129090	Herself
798633	130718	
798633	154761	Herself
798633	160862	
798633	174630	
798633	191144	
798633	208119	
798633	213092	
798633	217896	Rapping & Rocking
798633	223882	Annie
798633	226924	Herself
798633	232137	
798633	243539	
798633	256337	
798633	296924	Ex-Girlfriend
798633	298140	
798633	331824	
798633	339880	
798633	353702	
798634	297186	Morgan
798635	45306	Self
798636	54387	Teenage Girl
798637	190968	Bernice, woman on train
798638	111502	The Lover's Wife
798639	217627	Herself
798640	112174	
798640	407166	Cornelia Bromsnor
798641	241045	Stella
798642	367977	Reporter
798643	330707	Bully Girl #3
798644	11171	Marina #5
798645	166871	Additional cast
798646	26981	Militant
798648	175632	Kathy
798649	59765	Baines, Mrs.
798649	140901	Pam Bancroft
798649	314484	Patient #1
798649	323611	Old Woman
798650	192160	Beverly
798650	398008	Herself
798651	334011	Featured Goth
798652	13990	Delights
798652	176410	Wedding backup singer
798652	240043	Backing Vocalist
798653	154629	Gina
798653	399845	Shannon (2002)
798653	410688	Daffney Unger (1999-2001)
798653	410690	Daffney Unger
798653	411601	Lucy (2002-)
798654	16428	La prostituée
798654	28554	
798654	59301	L'infirmière réa. nuit
798654	110121	
798654	111045	
798654	233279	
798654	319824	Infirmière
798654	346599	Crémière
798654	380859	La fliquette
798655	185065	Mother
798655	257964	
798656	1038	Maddy
798657	388477	Irena
798657	390052	Jess
798658	101752	Reporter
798658	395667	Valerie Zenker (1990-2002)
798659	388051	Herself (2000)
798660	81773	Michelle
798660	382002	Nancy
798660	383226	Clare Waddington
798660	391325	Belinda
798661	194609	La Pasionária
798662	238508	Esther
798663	128828	Betty
798664	58511	Field Hand
798664	272440	Deb
798665	144406	
798665	170555	WPC
798666	392802	Lorena Bobbit
798667	328620	Friend Mickey
798668	75242	Rosa
798668	92072	Romolina (segment "Le vacanze
798668	108093	Odette
798668	128024	
798668	135149	Truccatrice
798668	162051	
798668	212394	Clente ristorante
798668	248513	
798668	251850	
798668	265513	Candida
798668	269711	
798668	309786	
798668	349536	Madonna
798668	386430	Grazia Martini
798668	390498	Cameriera Casa Cardano
798668	396649	
798668	409093	
798669	76240	Herself
798669	113146	Herself
798669	133782	Nancy
798670	144789	Rat
798671	330771	Female Student
798672	185725	
798672	260610	
798672	310994	Roving Reporter
798673	328891	
798674	5150	Sarah Wylie
798674	27342	Laurie Mathews
798674	66557	Rebecca, SPOI
798674	365147	Secretary
798675	172957	
798675	225871	
798675	237746	
798675	258644	
798675	291885	Marie Hanáková
798675	304659	Wife of Inn-holder
798675	315928	
798676	51883	Nick's Girlfriend
798676	265892	FBI Agent
798677	152921	Aanike
798678	203774	Second Model
798679	42854	Dock officer
798679	139235	2nd Woman at Party
798679	150587	
798679	171178	Daphne
798679	221274	Mrs. Wheatley
798679	226895	2nd Gaoler
798679	263551	
798679	285669	Mrs. Frickes
798680	80471	Mrs. Mason
798680	108951	Mrs. Hurst
798680	139235	1st Woman at Party
798680	140530	Train Passenger
798680	145312	Twinset
798680	169812	Viv
798680	207466	Psychiatrist
798680	256622	Pinafore company
798680	258932	Mrs. Bishop
798680	263544	Instructor
798680	267484	Dr. Anna Faulkner
798680	299715	The Hon Mrs. Wescot
798680	335051	Edith Sitwell
798680	348302	Hilda Grey
798680	359316	Nurse 3
798680	362852	Matron
798682	349194	Helenka
798683	7196	Young Woman
798683	9897	Allessandra
798683	37232	Natalie
798683	114298	Young Elise
798683	119358	Dottie Robertson
798683	121528	Third Fired Employee
798683	126713	Liz Carderelli
798683	140133	Emma
798683	155831	
798683	162986	Bambi Madison
798683	168586	Debby Utley
798683	170388	Dee
798683	317947	Bee-Bee
798683	359499	Receptionist
798683	384586	Jenny Lombardi
798683	390633	Dottie Sunshine
798683	395601	Becky Bell
798683	397419	Brenda Mikowski
798683	403157	Celia Mellon
798685	257660	Herself
798686	220737	Herself
798687	165054	
798687	315929	3. Jana - Bucla
798688	110706	
798688	122538	Margitka
798688	139438	Erik felesége
798688	225411	
798688	237159	Takács Éva
798688	284581	
798688	352275	Vetróné, Irén
798689	184643	Secretary
798690	31387	
798690	178780	Eggebäuerin
798691	76734	Nurse Maj
798691	164770	Miss Berger
798691	164784	Greta Linden
798691	190807	Annette, novice
798691	190835	Office employee
798691	248189	Switchboard operator
798691	378274	Gullan Bring
798692	168392	Countess
798692	320525	Inga Österman
798692	357773	Brita i Gyllby
798693	198383	Hilda, maid
798694	147018	Herself - Performer
798695	96445	
798696	212367	
798697	328866	Graça (12 years)
798698	207651	Luciana Méndez
798699	182761	Girl at bar and bed
798699	229593	Woman in Car
798699	229594	
798699	334621	Wife of video fan (in Tuesday
798700	218522	
798701	298220	Hooker in Lineup
798702	13183	
798702	56000	
798702	75564	Ruth
798702	85724	
798702	100761	
798704	5037	Helen Schmidt
798704	8183	Mingott maid
798704	10670	Hilda
798704	17995	Maid
798704	108941	Elderly Woman
798704	157436	Cousin Gretchen
798704	209591	Helen
798704	289787	Mrs. Hunsaker
798704	361229	Irma
798705	108773	
798706	217723	Madeleine
798707	93359	Other voices
798708	215174	Student
798709	35255	Bitchy Girl
798710	131011	Monica
798711	294519	Girl at Pool
798712	232481	
798712	333213	Sarah
798713	223867	Parlor Maid
798713	235694	Woman Reporter
798714	305341	Karate Student
798714	363393	Girl #2
798715	60341	Donna
798715	256527	Barbara
798716	40185	Aunt Cynthia
798716	65911	
798716	80034	Mrs. Nolan
798716	84981	
798716	102468	Mrs. Harris
798716	164501	Emma Haney
798716	193548	Chickie Feather
798716	277883	Catherine
798716	308675	Anna Liszt
798716	315754	Mrs. Brown
798716	317415	Mrs. Lonigan
798716	330873	Grandma
798716	343279	Old woman
798716	362808	Documentary couple #2
798716	386603	Emma Simpson (1972)
798716	404613	Raney Wesner (1974-1975)
798717	73229	
798717	186004	Blonde
798717	188387	Burlesque Queen
798717	302603	Mildred
798717	304504	Olga
798717	374522	Townswoman
798718	1617	Herself - the ex-wife
798718	159959	Stewardess
798718	177014	Jenny
798718	267551	Nurse
798719	193485	Young Lola
798720	193000	Spaghetti Spectator
798721	214962	Church Pianist
798722	165411	
798723	313796	Ann Hart
798723	411287	
798724	242092	2nd Pianist
798726	387336	Kelly - the Scullery Maid (Do
798727	292779	Triplet #2
798728	149375	
798729	292779	Triplet #3
798730	250639	Lady Angela
798731	25794	
798731	101046	
798731	148090	
798731	289080	
798731	405816	Beba
798732	28838	
798732	209821	
798733	186205	Seeta
798733	288155	
798733	288370	Subhadra
798733	288596	
798733	300261	Yashoda
798733	301970	
798733	350383	
798733	350570	Bhramaramba
798734	352146	Herself
798735	126686	Girls' Track Team
798736	290606	Mannequin Barbara
798737	174978	Herself
798737	246309	
798737	374446	
798737	395704	Lezbejka
798738	82538	Beautiful Woman
798739	78950	
798740	78950	
798741	323341	
798742	397655	
798743	60811	
798743	77220	Viscountess
798743	347836	Elektra
798743	373213	
798743	391995	
798743	398895	
798743	411921	
798744	259069	
798745	229293	
798746	259831	
798747	43313	
798747	124227	Madhabi
798747	244105	
798747	262478	
798747	329217	Kamakshi
798747	351091	Lissy
798747	354194	
798747	354437	
798747	370737	
798748	397227	Herself
798749	343803	
798750	36532	
798750	43157	Koka Stankovic
798750	94218	
798750	132162	G-dja Nata... bivsa ministark
798750	155622	Stana... seljanka
798750	173101	
798750	183882	Anita Slavkovic
798750	195255	
798750	215997	
798750	217407	
798750	226376	Jasna
798750	229715	Panticeva supruga
798750	230098	
798750	255772	
798750	259068	Sara
798750	259206	Minja
798750	261348	
798750	270527	
798750	294432	
798750	295057	Zivana
798750	302189	Marta
798750	303124	Zena drugog sluzbenika
798750	305813	Katica
798750	328705	
798750	328706	
798750	328708	
798750	332755	Student pedagogije
798750	350680	Sekretarica
798750	373493	
798750	373599	
798750	375311	
798750	375744	Kaliopa
798750	381239	
798750	382073	
798750	382430	Koviljka Koka Stankovic
798750	382431	Koviljka Koka Stankovic
798750	394110	
798750	394691	
798750	394813	Hristina Lunjevica
798750	398198	
798750	399975	
798750	401749	
798750	401750	
798750	402118	Zivana Trpkovic
798750	405693	
798750	406099	
798750	406316	Ljubicica Mitrovic
798750	410371	Mitra
798750	410442	
798751	81509	
798751	101521	
798751	229302	
798751	286850	Channel [V]'s VJ
798752	3480	
798752	4014	Kunthi
798752	4079	
798752	4082	
798752	4087	
798752	4097	
798752	4159	
798752	4181	
798752	4185	Pravallika
798752	4189	
798752	4205	
798752	4432	Forest Goddess
798752	4443	
798752	4880	
798752	6238	
798752	6366	
798752	6454	
798752	6696	
798752	6758	
798752	8297	
798752	9318	
798752	9440	
798752	10624	Pooja Bedi
798752	10990	
798752	14514	
798752	14535	
798752	14537	
798752	15824	
798752	16150	
798752	16970	
798752	17645	Goddess Lakshmi
798752	18134	
798752	18460	Guest Appearance
798752	18488	
798752	18491	
798752	19056	
798752	19213	Chitti
798752	20500	Geeta
798752	21356	
798752	21820	
798752	23574	
798752	24187	
798752	24796	
798752	24797	
798752	25566	
798752	26020	
798752	27475	
798752	28184	Dussala
798752	28260	
798752	28379	
798752	29042	
798752	29199	
798752	29202	
798752	29204	
798752	29208	
798752	29209	
798752	29281	Reshma/Devi
798752	31409	
798752	35969	
798752	36091	
798752	36185	
798752	36246	
798752	42435	
798752	45817	Kantham
798752	49870	
798752	58367	Anju and Manju
798752	58369	
798752	58370	
798752	58598	
798752	59010	Chandni
798752	59016	Chandramukhi
798752	59248	
798752	62225	
798752	62658	
798752	62721	
798752	63561	
798752	76980	
798752	76987	
798752	84734	
798752	84749	
798752	84802	Sridevi
798752	85199	
798752	85202	
798752	85311	
798752	85312	
798752	85344	
798752	86670	
798752	97707	
798752	97744	
798752	98764	
798752	101525	
798752	109111	
798752	122801	
798752	122918	
798752	122928	
798752	123749	
798752	124028	
798752	124789	
798752	126975	
798752	126995	
798752	126996	
798752	127026	
798752	131938	
798752	132349	
798752	133781	
798752	135779	Roshni
798752	136105	
798752	136106	
798752	136121	
798752	136131	Sunita/Kavita (Priya)
798752	137152	
798752	137609	
798752	141841	Heer
798752	145461	
798752	145464	Rekha
798752	155579	
798752	156449	
798752	160124	Asha
798752	162658	
798752	163804	
798752	164282	
798752	164313	Shaloo
798752	164735	
798752	164798	Indraja
798752	165239	
798752	165407	Seema (Guest Appearance)
798752	165932	Inspector Jyoti Verma
798752	165997	
798752	165998	Kantham
798752	167346	
798752	168631	
798752	168773	
798752	169195	
798752	169848	Kajal
798752	170403	Eireen
798752	171339	Rekha
798752	171340	
798752	172518	
798752	172593	
798752	172632	
798752	172883	
798752	173289	
798752	173295	Muruga as a child
798752	173380	
798752	173450	
798752	174129	Radha
798752	174224	
798752	174807	Sapna/Madhu Mathur
798752	174828	
798752	174845	
798752	175890	
798752	176154	Benazir/Mehndi
798752	177831	
798752	179173	
798752	179260	
798752	179872	
798752	181058	
798752	181059	
798752	181378	Satya
798752	181680	
798752	182194	
798752	183093	Sheetal Jethly
798752	183431	Chidambaram's wife
798752	184023	Laila
798752	184141	
798752	184266	Pallavi/Pooja
798752	184707	
798752	198697	
798752	198933	
798752	201076	Jugni
798752	201232	
798752	202464	
798752	202606	
798752	204353	
798752	204780	
798752	204981	
798752	205069	
798752	207503	
798752	208213	
798752	208267	
798752	208620	
798752	209559	
798752	211251	
798752	211456	Durga
798752	217132	
798752	218749	Mentally Deranged Woman
798752	218750	
798752	219655	
798752	220826	Asha/Anita
798752	220971	Seema Sohni
798752	221621	
798752	221625	
798752	221640	
798752	222370	
798752	226038	
798752	226084	
798752	226089	
798752	226680	Rajni
798752	226851	
798752	227108	
798752	227110	
798752	227116	
798752	228856	
798752	228938	
798752	229338	
798752	229815	
798752	231741	Neelam
798752	233032	
798752	233150	
798752	236690	
798752	239126	
798752	239311	Radha
798752	242399	
798752	242409	
798752	246195	
798752	246312	
798752	246325	
798752	246474	
798752	249843	
798752	250599	Mayil
798752	250816	
798752	250840	
798752	252016	Rathi
798752	252028	
798752	255893	
798752	259050	
798752	260169	
798752	262417	
798752	262876	
798752	262878	
798752	262885	
798752	262894	
798752	262897	Devi
798752	264958	
798752	267000	
798752	267957	
798752	270568	
798752	271393	
798752	271523	
798752	271533	
798752	271740	
798752	271748	Sangeeta/Shano
798752	271757	
798752	271905	
798752	272176	
798752	272254	
798752	275702	
798752	275704	
798752	281480	Simi Soni
798752	282551	
798752	284585	
798752	285198	Laxmi
798752	285522	
798752	285784	
798752	285892	
798752	286505	
798752	287188	
798752	287822	
798752	287826	
798752	288227	
798752	288241	
798752	288779	
798752	288790	
798752	288794	
798752	297282	
798752	297445	
798752	298615	Durga
798752	300290	
798752	300321	
798752	300420	
798752	301207	
798752	301208	
798752	302101	
798752	307746	Mehna
798752	308496	
798752	312506	Poorna
798752	317779	
798752	318424	
798752	318634	Princess Yasmeen
798752	320846	
798752	320883	
798752	324319	
798752	326156	
798752	326956	
798752	329201	
798752	329303	
798752	331973	
798752	334774	Lalita
798752	339999	
798752	348577	
798752	349671	
798752	349758	
798752	350358	
798752	350725	
798752	350942	
798752	350966	
798752	352883	
798752	352951	
798752	355313	
798752	356795	Kim
798752	359159	
798752	359823	
798752	370422	
798752	370710	Young Lord Krishna
798752	371292	
798752	376089	
798753	242027	Telephone Operator
798754	130074	
798754	272192	
798755	405937	Herself
798756	4095	
798756	13177	
798756	17637	
798756	18231	Bharathi
798756	24757	Manju
798756	29214	
798756	36240	Satyavathi
798756	37885	
798756	46099	Mohan's wife
798756	59021	Gouri
798756	60018	
798756	61534	Malli
798756	85316	
798756	123726	
798756	128985	
798756	134363	
798756	135880	Gunasundari
798756	156352	
798756	160791	
798756	166523	
798756	171775	
798756	174065	Thulasi
798756	181032	
798756	184018	
798756	199261	
798756	200653	
798756	203874	
798756	229798	
798756	235488	Yoshiko
798756	248697	Kalyani
798756	251677	
798756	252227	
798756	259255	Priyadarshini (Priya)
798756	262872	Latha
798756	262916	
798756	271535	
798756	271753	
798756	287548	
798756	287805	Lakshmi
798756	287986	Sheetal
798756	288382	Seetha
798756	299606	
798756	300269	Rukmini
798756	307605	
798756	312480	Rukmini
798756	329303	
798756	344906	
798756	349431	
798756	350966	
798756	352908	
798757	204403	Child artiste
798757	315999	Marlene
798758	238590	Bar Girl
798759	557	Patra
798760	281331	Chana
798761	207389	Reena
798762	123751	Rabidas
798763	6206	Alice
798763	9999	
798763	19007	Bhairavi
798763	19010	
798763	20298	
798763	21362	
798763	28289	
798763	62225	
798763	76984	Maggie
798763	77078	Kalyani, Surya's mother
798763	86755	Padmini
798763	98459	
798763	101669	Vasundhara Devi K. S
798763	123563	
798763	126977	
798763	159661	
798763	162174	Annie
798763	165017	
798763	171751	
798763	171992	
798763	173317	
798763	173462	
798763	175455	
798763	179870	
798763	181052	Mrs. Nair
798763	202171	Anandakuttan's Mother
798763	204963	
798763	222208	Kanakambal
798763	227212	Kamal's Sister
798763	264103	
798763	270411	Sharada
798763	287351	
798763	300887	Rajeshwari Devi
798763	300948	Sridevi
798763	320844	Prabha
798763	320907	Sugandhavalli
798763	349206	
798763	353375	Rekha
798763	354437	
798764	279908	
798765	32900	Muslim Girl
798766	17101	
798766	157040	Erdody's servant
798766	229756	
798766	270949	Rita
798766	290264	Kitchenmagd
798766	317627	Helper Gerda
798766	349259	Dorotka
798766	383081	
798766	391297	
798766	394266	Eliska
798766	402367	Bozenka Skovajsová
798767	75757	
798768	82200	Journalist
798769	88412	TV Reporter Aldona
798770	157636	Wicked stepmother
798771	308634	Mara Harsanyi
798772	51091	
798773	125370	Caroline
798774	292449	Herself - singer and guitaris
798775	104745	Yugoslav entry (11th place)
798775	170217	Herself
798775	170221	Herself
798776	363927	Little Guy's Girlfriend
798777	90317	Head Nurse
798778	4120	Usha
798778	180528	
798778	243126	Devika Menon
798778	249638	
798778	261875	Zuzana
798780	149570	
798781	115737	Sis
798782	23953	Tallulah
798783	128585	Nancy Boyle
798784	344176	Old Time Dancer
798785	200116	Girlfriend
798786	169522	Sophie
798787	269041	La Plume enfant
798788	270083	Mylène
798788	396530	Isabelle Bourque
798789	384386	Martine Marsan
798789	390486	Rose Lamontagne
798790	207057	
798791	199896	Funeral home receptionist
798791	380863	Obéline Thibodeau
798791	411623	Geneviève Simon
798792	410628	Valérie Champagne (1993-1994)
798793	200529	
798793	307499	La secrétaire de l'agence
798793	377647	
798794	284586	Cindy
798795	286274	Performer
798796	380717	Maureen
798796	411623	Colette
798797	16668	Annie Lambert
798797	80411	Irene Hutchins
798797	88575	Iona
798797	121526	Luba/Romans wife/agent
798797	145111	Olivia Cray
798797	184879	
798797	196920	
798797	218581	La jeune fille
798797	233584	Carmel Stoneman
798797	241815	Evans Farrow
798797	242745	Princess Angelique
798797	370869	
798797	387237	Juda (2001-2002)
798797	388476	Nicole Chandler
798843	226908	Roxanne
798797	395615	Marie Joan Jacquard (1991-199
798797	398311	Stéphanie Valeur
798798	83204	Une montagnaise
798799	269041	Françoise enfant
798800	101270	Herself
798800	104776	French entry (4th place)
798800	104780	Herself
798800	116411	Herself
798801	66720	Suzy
798801	103831	Ginette Trudeau
798801	388316	Tootsie
798802	107919	Jackie
798802	111089	
798802	208128	Voice Off
798802	351712	La Comtesse
798802	401727	
798803	247607	
798803	332274	Claudette
798804	26583	Patron's Child
798805	108116	Marguerite
798805	158819	Léonie Loiseau
798806	95363	Annie Mullaney
798806	307881	Nora
798806	390771	Michelle Bauer Santos #4 (200
798807	38930	Officer at crime scene
798808	68276	Jodi Webster
798809	154472	Herself
798809	331688	Bit Part
798810	337209	
798811	65353	Mrs. Crisp
798811	142947	Catherine de Medici
798811	191960	Bridget
798811	207393	Mrs. Wicklow
798811	283636	Chancellor's Wife
798811	286124	Mrs. Bishop
798811	298010	Mrs. Hardcastle
798811	368619	Caroline Stanger
798812	145922	The Housekeeper
798813	406967	Talia Criswell
798814	128606	Herself
798814	253065	Abhisarika
798816	30457	
798817	67464	
798817	298168	
798817	298219	
798817	359740	
798819	39880	Mrs. Simpson
798820	112980	Herself
798821	90250	Party Guest
798821	195854	Susie
798821	313514	Jeannie Banks
798821	361182	Head Nurse
798821	396142	
798822	34817	
798823	346940	Herself
798823	364227	Herself
798823	389863	Hostess (1978-1982)
798823	410805	
798824	24209	Alice Cole
798824	55697	Mrs. Smith
798824	82923	Lucy
798824	88856	
798824	98166	
798824	125808	Rosie O'Flaherty
798824	133090	
798824	133816	Drunken Dolly
798824	142364	Spinster
798824	157313	
798824	168453	Miss Forbes
798824	203471	Miss Preen
798824	209617	
798824	243071	
798824	372447	Mrs. Humbolt, Marshall's Neig
798825	305738	Correspondent
798825	328646	Jennifer Castle
798825	384600	Various
798825	384915	Comedy Central Page
798826	67348	Animal Services Officer
798826	303284	Gail (Age 16)
798827	203603	Frida Popinga
798828	210427	Mercedes
798829	71779	Beau Porter
798830	151098	Johanna Schmidt
798831	133640	Miki
798832	110363	Scrub Woman
798833	296873	Dolores
798833	317957	Flapper
798835	11526	
798835	91825	
798835	270116	
798835	361878	
798836	39858	Nappa's Secretary
798836	275104	Bookstore Clerk
798837	296873	Rosa
798838	69405	Sharon
798839	305036	Princess
798840	54832	Marie
798841	330136	Claire
798841	383176	Herself (Host)
798842	299482	
798843	6728	Herself
798843	27012	Taylor
798843	36902	
798843	37424	Brunette Nurse
798843	37448	
798843	39846	
798843	44675	
798843	56571	Taylor
798843	62668	
798843	65605	Jasmine Cole
798843	65606	New Linda
798843	67137	
798843	87303	
798843	89879	
798843	91887	Mistress Taylor
798843	93241	
798843	100959	Taylor
798843	102782	
798843	102792	
798843	102793	
798843	105725	
798843	105901	Blonde Acolyte
798843	105905	Cookie
798843	108644	
798843	110507	Lisa
798843	110980	Gina, Meditation Woman
798843	116013	Herself
798843	116818	
798843	117103	Tammy
798843	127405	
798843	128785	
798843	128851	
798843	138132	
798843	140952	
798843	143072	
798843	149336	
798843	150571	Rosa
798843	150958	
798843	150960	
798843	154425	
798843	167922	
798843	178320	
798843	185729	
798843	193523	Jolene
798843	228032	
798843	229235	Taylor
798843	248882	
798843	250651	
798843	255397	
798843	256629	Women Pirate
798843	294271	
798843	301306	
798843	306908	
798843	306917	
798843	331995	
798843	335440	
798843	349385	
798843	355152	Taylor
798843	355153	Maggie
798843	363410	
798843	363582	Taylor
798844	167922	Anne McKay
798845	185096	Shower Girl
798846	92621	
798847	282948	Mrs. Banks
798847	283458	Aunt Jane
798847	337132	Ma Townie
798848	27235	
798848	228239	Herself
798848	228246	Herself
798848	228250	Herself
798849	65779	Waitress
798849	303608	Dess
798849	331550	Contestant
798850	93709	
798850	186842	
798850	222784	Weight Bench Girl
798852	381451	Business Correspondent (2002-
798853	312265	Realtor
798854	6722	Herself
798854	6725	Herself
798854	41348	Jasmin St. Claire
798854	68505	Janice
798854	165838	Herself
798854	182951	
798854	226953	
798854	230934	Wedding Guest
798854	273770	Jasmin St. Claire
798854	296055	Herself
798854	306923	Herself
798854	330813	
798854	368862	Herself
798854	387279	Herself (2000-2001)
798854	388101	Herself (2000)
798855	28611	Sacca
798855	46416	Elena
798855	72584	Nadia Hunter
798855	164996	Mary
798855	263395	Barmaid
798855	276908	Holy Woman
798855	297894	Lauren
798855	300871	Punkette
798855	314153	Barbara Gearson
798855	379018	Maria
798855	404282	Tawny Richards (1990)
798855	411802	Woman (1997)
798856	364470	Der Dicke
798858	75535	Girl in car chase
798860	5317	
798860	26902	
798860	26914	
798860	39906	
798860	85771	
798860	98842	Native girl/Orgy member (extr
798860	102809	Herself
798860	128826	
798860	129238	
798860	129239	
798860	131448	
798860	150083	
798860	154717	
798860	195502	
798860	196533	
798860	197848	
798860	202651	
798860	243125	
798860	252172	
798860	295650	
798860	295681	
798860	295748	Herself
798860	302577	Herself
798860	313230	
798860	319458	
798860	321013	
798860	321014	
798860	321019	
798860	321020	
798860	321021	
798860	321050	Herself
798860	321325	Doctor of Sexology
798860	330885	
798860	339531	Herself
798860	357158	Herself
798860	365383	
798860	372443	
798861	14598	Helen Richardson
798862	78782	Sarah
798863	50401	
798865	37581	Mother Superior
798865	49605	Cook
798865	57665	Herself - Contributor
798865	75953	Doctor
798865	78045	Mrs. Norris
798865	88922	Pat Butcher
798865	90888	Young Woman
798865	96867	Performer/Herself
798865	138721	Herself
798865	141787	Bertha
798865	146862	Barmaid
798865	151452	Herself
798865	250450	Pat Evans
798865	291503	Strapper
798865	387247	Pat Wicks/Butcher/Evans (1986
798865	387533	Mrs. Eckersley (1979)
798865	392019	Meg Potter
798865	402212	Frau Bodelschwingh
798865	405217	Holloway Wardress
798865	408091	Mrs. Hill
798867	252389	
798867	252391	
798867	252403	Herself
798867	273931	Governor's wife
798867	314105	
798867	355167	Herself
798868	65938	Aunt Hope
798869	43521	Dr. Eva
798871	282908	Bonnie
798872	25845	Herself - Burlesque Dancer
798872	32523	
798872	50794	
798872	134424	
798872	147876	Herself
798872	154495	Herself, Lili St. Cyr
798872	190767	Herself
798872	195897	
798872	212627	Herself
798872	226875	Lily
798872	283429	Edella
798872	308382	Nerissa
798872	350636	
798873	103642	Erica
798874	235549	Victoria
798875	97597	Ruth
798875	190213	Dianne
798876	161542	Solo Dancer
798876	178332	Duchess
798876	283926	Herself
798877	208973	Sally
798877	271611	Sally
798878	321280	Woman Guard
798879	119555	Anne
798880	1792	Miss August 1982
798880	203549	
798880	257848	Herself
798880	257865	Herself
798880	313189	Playboy Mansion Guest
798880	361862	Herself
798881	251704	
798882	285178	Sadie's Mother
798883	111152	Indian Girl
798884	80785	Neighbor
798884	130972	Reporter
798885	98783	
798886	33901	Miriam
798886	56384	Poil
798886	176540	
798886	218383	
798886	260384	Olive Oyl/Swee Pea
798886	289664	Scary Godmother/Ruby
798886	379026	Additional Voices
798886	379198	Fidget Wilson
798886	384080	Sayuri Shirakawa, Nurse
798886	385172	Mari
798886	387290	Nazz (1999-2000)
798886	389866	Eddie
798886	390961	Cappy
798886	392964	Nazuna, Sayo
798886	394425	Fllay Allster, Birdy, Haro
798886	396564	Dinah Doll
798886	397346	Maddy
798886	398464	Criff Gray
798886	401702	Binky
798886	402863	Snow Girl (season 6)
798886	406012	Kasumi Shiina
798886	408731	Alexis
798886	410791	Portia
798886	411643	Penelope
798886	412028	Sandra, Ciao, Julia, Female A
798887	372299	Woman
798889	223758	Mrs. Derrick
798889	370854	Mrs. Beal
798889	406743	
798890	306834	June
798891	307916	Cleo, Blues Singer
798892	38981	Manon La Crevette
798892	63201	Alice
798892	130636	Emma Merton
798892	193581	Connie Coke
798892	302707	Sonia Kassona
798893	193260	Martina
798894	213973	
798895	368721	Patty
798896	33721	Miss Alvarez
798896	72766	Mrs. Nuñez
798896	73330	Waitress #2
798896	100887	Anita
798896	121528	Soledad
798896	130016	Latina
798896	138778	Dignora
798896	202239	Josephina
798896	262129	Hotel Maid
798896	273423	Pancha
798896	313334	Bus ride to Los Angeles
798896	355365	Nurse Guiterre
798897	276240	Undead Gaudy Hooker
798898	245337	Alex Wallace
798902	11107	
798902	41587	
798902	167526	
798902	239885	
798902	348825	
798903	239876	
798904	140938	Barb
798906	126109	Herself
798907	32939	
798907	41812	
798907	110539	
798907	111650	Herself
798907	130468	
798907	143454	
798907	187411	Herself
798907	295680	
798907	320997	
798907	320998	
798907	321000	
798907	326789	
798908	271217	Elaine
798909	35518	
798909	36900	
798909	58502	
798909	75082	Herself
798909	276360	
798909	309925	
798909	333833	
798910	317443	Woman with Nail File
798911	109532	Herself
798912	93366	
798915	80729	Sarah Cleason
798915	226966	Reporter
798916	96881	Hope, the Music Box Angel
798916	187072	Buck's Assistant
798916	201710	Herself
798916	395571	Herself
798917	73902	Connie Sharp
798918	337265	Maravillas
798919	321047	
798920	35518	
798920	50571	
798920	50777	
798920	147760	
798920	336486	
798922	7062	
798922	21902	
798922	25491	
798922	26100	
798922	36412	
798922	40114	Driver of car in accident
798922	49915	
798922	49964	
798922	50535	
798922	50761	
798922	52260	
798922	55270	
798922	57124	
798922	69375	
798922	91816	
798922	91879	
798922	128869	
798922	129112	
798922	138466	
798922	150151	
798922	154198	
798922	157796	
798922	185064	
798922	186777	
798922	188069	
798922	239867	
798922	243130	Asian Girl
798922	243529	
798922	249569	
798922	261289	
798922	283296	
798922	333827	
798922	362534	
798923	47264	Death
798923	211843	DC Percival
798924	292817	American Tourist
798925	276386	Court Dancer
798926	10582	Sally Sandford
798926	11343	
798926	11496	Native Girl
798926	64896	Patricia Russell
798926	71102	Susan
798926	78108	Mary Tiller
798926	93220	Princess Tarji
798926	144974	Joanna
798926	186376	Nita Maxwell
798926	226906	Maria
798926	279636	Miriam
798926	288079	Iolanthe
798926	306189	Jean Duval
798926	317349	Princess Johanna
798926	325114	Diana Penrod
798926	325142	Fay Ames
798927	245337	Ambulance Attendant
798928	103393	Dancer
798928	143989	
798928	221554	dancer
798929	126691	Cheerleader
798929	197496	
798930	138692	
798931	238682	Girl Scout #2
798932	116537	Nurse #2
798932	118201	Network Executive
798933	34707	Fig
798933	46167	Louis's Girl
798934	46234	Nurse
798934	48075	Newscaster
798934	52007	Gail
798934	61766	Diane
798934	387209	Herself/Correspondent (1997-1
798934	392116	Linda
798934	411030	Host
798935	79907	Josie
798935	105039	Greer
798935	150270	Peony
798935	200925	
798936	300326	BBQ Singer
798937	209591	Jamaican Woman's Daughter
798938	257111	Lady on bench
798939	114251	Naomi
798939	400714	Coralee Hall
798940	185142	
798940	196084	Dottie
798940	289645	Secretary
798940	353525	Parisienne
798941	5892	Elise
798941	29391	Angela Barr
798941	43451	Herself
798941	46606	Brenda Starr
798941	52687	Elegant Lady
798941	67800	Peggy John
798941	85871	Tiffany Case
798941	98167	Monica
798941	108097	Leona Purdy
798941	117560	Mary Harper
798941	138700	Herself
798941	139698	Sylvia Maxwell
798941	147524	Meg Dean
798941	148947	Sherry
798941	151380	Nikki Pine
798941	160293	Herself
798941	165264	Tiffany Case
798941	175469	Tiffany Case
798941	177592	Mistress Jessica Stephens
798941	191399	Iris
798941	194992	Jennifer Holmes
798941	210726	Herself
798941	218647	Herself
798941	243954	Laurel Scott
798941	245241	Bunny Wells
798941	257689	Herself
798941	275407	Kate Pennypacker
798941	280832	Barbara
798941	281505	Joanna Van Eegan
798941	285395	
798941	303382	Pat Lomart
798941	308097	
798941	311976	
798941	312153	Mary Harper
798941	318734	Erica Landis
798941	327172	Fran Sullivan
798941	327831	Rosemary Hoyt
798941	335549	Ann Archer
798941	339860	Mary Oakley
798941	364330	Toby Tobler
798941	364357	Barbara Tuttle
798941	380647	Woman mistaken for Princess A
798941	387120	Lois Graves
798941	387510	Deanna Kincaid
798941	404263	
798942	40091	Beatrice Vandervent
798942	41289	Lynn
798942	59504	Jane Ward
798942	95108	Bella
798942	269652	Receptionist
798942	382668	Various roles
798942	382806	Laura Lancing (1991-1995)
798942	389625	Diane Niarchos
798942	390485	Sarah Bannerman
798942	391082	Wife (1997)
798942	404617	Chancy
798943	17944	Ivy
798943	117482	Waitress
798943	218788	Patient
798943	250371	Mildred
798943	337632	Nanna
798943	385299	Mrs. Ash
798944	51375	
798945	150483	
798946	262591	Fetish Girl
798948	241295	Wendy
798949	186032	Mrs. Playgate
798950	18620	Mrs. Stuart
798951	337384	Duke & Duke employee
798952	118993	Herself
798952	122636	Herself
798952	303818	Charlie
798952	368350	As herself
798953	50223	Agnes Roth
798953	72374	Rachel
798953	79911	
798953	126277	
798953	189242	Janice
798953	194856	Angeline
798953	258509	Nakoma
798953	305694	Velma
798953	311347	Camilla St. Claire
798953	363442	Komi/Amelia
798953	363895	TV Newsperson 1
798953	381809	Shanelle
798953	383072	White Feather
798953	384894	Helen Betty Osborne
798953	409501	
798954	77300	
798954	117255	Muriel Denton, Philip's Littl
798955	270149	Donna
798956	213299	Titania/Hippolyta
798956	398155	Rusty the Mail Girl (1998-200
798958	191809	Marcy
798959	262591	Fetish Girl
798960	2537	
798960	24571	Mary Henley
798961	160317	Herself
798962	32241	Shower Girl
798964	328258	Ice Cream Fight
798965	34729	
798965	70407	Deirdre
798966	129211	Herself
798967	32142	
798967	265558	Herself
798967	274525	Witness
798967	391836	Herseslf
798968	195771	Person at the Paris Opening
798969	57946	Herself
798969	309206	Bar Patron
798969	365341	Stripper #1
798970	351502	Celebrity Take-off
798971	290534	Josephine
798972	327978	Herself
798973	140310	Alexandria Beaumont
798974	152947	Woman Bartender
798974	389412	Della
798975	41844	
798975	66795	Harriet
798975	231032	Hooker
798975	389411	Della
798976	314058	
798977	249027	
798977	285734	Hooker in Car
798978	295998	Mrs. Simmons, Taurus
798979	387668	Stéphanie Arpin-Fortin
798980	232676	Lesbian Bar Patron
798981	32562	Party Girl
798981	53731	Party Girl
798982	366755	Keri Burston
798983	242938	Reporter
798983	360436	Friend at Table (the REAL Mar
798985	313189	Playboy Mansion Guest
798985	319027	Mary Taylor
798986	29538	Lindy
798986	155724	A Soubrette
798987	67130	
798987	82337	
798987	144616	
798987	161164	
798987	178938	
798987	192730	
798987	252891	
798987	257781	
798987	292377	
798987	292500	
798988	273509	Old Women
798989	45620	Elle-même
798990	316789	Nick's Daughter
798991	176833	Ivy Bliss
798992	129665	
798993	62106	Black Moon Hostess
798994	62536	Nurse
798994	291220	Adriana
798995	62456	
798995	128241	
798995	189475	
798995	321043	
798996	141092	Claire
798996	308609	Woman in Grocery Store
798997	299395	Wendy Terreras (Trip Cyclone)
798998	47470	Mademoiselle
798998	58809	Nurse
798998	69338	Kolsov's Maid
798998	72623	Mrs. Mosher
798998	124714	Lucille
798998	142381	Aimee's mother
798998	146616	Hotel Maid
798998	161934	Mme. Noyer
798998	177262	Stewardess
798998	185723	Mother
798998	191679	Nurse
798998	210404	Celeste
798998	234910	Nurse
798998	250592	Matron
798998	273083	Nurse
798998	330241	Mrs. Timberlake
798998	334136	Woman with birdcage on bus
798998	368676	Jeanine
798999	289585	Catherine's lady-in-waiting
799000	90317	Jail Trustee
799001	82693	
799002	319593	Superlady
799003	15113	Etudiante
799003	383863	Cloé
799003	406981	Carole
799004	311408	Town member #2
799005	44238	Bordello Vampire
799005	81104	Felicia
799005	278526	Desiree
799006	100008	Sexy Blonde & Nude Model
799006	238627	Sex Girl
799007	13356	Edith
799007	35259	Heather
799007	36729	Ms. Sayre
799007	39004	Mrs. Windrowski
799007	46740	Nonna
799007	56734	Cat Lady
799007	57102	Fish Store Customer
799007	57815	Theresa
799007	67787	Tuzza
799007	68225	Blind Lady #2
799007	83515	Grandma Matilda
799007	94476	Mrs. Fillipi
799007	109454	Mary-Beth
799007	110285	Gertrude
799007	111789	Mrs. Miskowitz
799007	118212	Old Albert's Sister
799007	148594	Nonna Giardello
799007	151187	Mary, a Storyteller
799007	166567	Mother Teresa
799007	166940	Mrs. Rappaport
799007	178075	Grandma
799007	190225	Grandmother
799007	195751	Mrs. Rondino
799007	249579	Mumbling Library Patron
799007	255424	Maria at 90
799007	266627	Sara
799007	269421	Mrs. Newman
799007	271170	Passenger
799007	285734	Neighbor Lady
799007	288467	Mrs. Leeds
799007	292122	Beth
799007	318510	Miss Volney
799007	330443	Elaine's Mother (segment "Thi
799007	330477	Suzanne Lempke
799007	338930	Grandma
799007	342384	Poet
799007	363423	Irma Galer
799007	366585	Angel Lady
799007	390771	Ya Ya Andros (1992-1994)
799008	137696	Miss Rowland
799008	275206	Mary Possum
799008	335865	Viola Lattimer
799009	194534	Prostitute
799010	318642	Baltimore Nurse
799011	94621	Singer (Old Folks Band)
799012	152295	Herself
799012	164220	A Dancer
799012	202361	
799012	219864	Debbie
799012	257867	Herself
799012	285008	Delilah
799012	317244	Cerce
799013	12221	Stephanie at 5
799013	345247	
799014	119803	Model
799015	97644	Female Well-Wisher
799016	342561	Smoking EPA lady
799017	40441	Piano Player and Singer
799017	41504	Singer
799017	56098	Soloist
799017	154476	Singer at Wedding
799017	199304	Opera Singer
799017	213070	The Coloratura
799018	300180	Melon Dancer
799019	149825	Gypsy Woman
799020	177617	Linda
799021	223099	Herself
799022	168544	Herself
799022	362988	Herself
799023	70537	Girl #2
799026	131205	Flower girl
799027	15412	Bernadette
799027	27681	Dolor
799027	168928	Faith
799027	200664	
799027	234848	Guia
799027	318402	Kyla
799027	324847	
799027	385703	Nicole Del Fuego
799027	400738	Lia Buenavista
799027	407337	Georgina 'George' Feuntabella
799028	67571	Tina
799028	78936	Daphne Harridge Collins
799028	108761	Invisible Girl/Susan 'Sue' St
799028	196005	Cheryl
799028	206477	Arlene
799028	230508	Woman Customer
799028	246028	Carole Mallory
799028	269847	Amelie
799028	316504	Stella
799028	317882	Prof. Nicole Stewart
799028	322635	Jamie Wheeler
799028	390771	Jessica Lynn 'Jessie' Matthew
799028	395781	Sherry Beck
799028	396123	Cecilia Thoompson Sowolsky #1
799028	401930	Elizabeth Barrington (2002-20
799028	408691	Ellen Sommers
799029	403535	Herself - Participant (2004)
799029	403536	Herself - Participant (2004)
799030	4811	Barbara Krause
799030	45985	
799030	46086	Paula
799030	66037	Olga
799030	68202	
799030	82019	Monika
799030	93448	
799030	101332	Blockmamsell
799030	122577	
799030	125388	Lilo
799030	126828	Moritatensängerin
799030	126842	
799030	147179	Tankstellenwärterin
799030	170124	Kellnerin
799030	174770	Kellnerin Margit
799030	178571	
799030	181450	Tante Elke
799030	193488	Flower seller
799030	211124	
799030	225278	
799030	236641	
799030	237718	
799030	254675	
799030	259449	
799030	259508	
799030	259682	
799030	266935	Frau Puwalewski
799030	290712	
799030	322623	Mrs. Lukowski
799030	339798	Hildegard
799030	361512	Malenka
799030	378551	Wilfrieds Mutter
799031	382857	Elin Browall
799032	28529	Servitrice
799032	95906	Martha
799032	207056	Pernille
799032	287375	Tora
799033	4790	Hansi
799033	27127	Saskia
799033	35884	Annette
799033	65719	
799033	122487	
799033	144327	
799033	166408	Elli Hasch
799033	189673	Nelly
799033	198249	Doris Mead
799033	210091	Irma
799033	210108	
799033	281924	Rosel
799033	289917	Mrs. Pert
799033	290754	Gusti Seidl
799033	290786	Kathrin
799033	290857	Gretl (Schützenliesel)
799033	293866	Frau Reisch
799033	324689	Ännchen
799033	335025	Lola Cornero
799033	344998	
799033	352525	Patricia Graythorne
799033	352646	
799033	366495	Elisabeth Teky
799033	367139	
799033	376329	
799033	376330	
799033	376398	Frau Ueberley
799034	100504	Hodder's Classmate
799035	249501	June
799036	391620	Marie
799037	41741	Border Official
799038	258514	Medicine Woman
799039	297996	
799040	21117	Gwen Meredith
799040	48063	Jane Frobisher
799040	74230	Villager
799040	74311	Shop Assistant
799040	158352	Barbara Walters
799040	222642	Annie Johnson
799040	240990	
799040	277479	Helen Marten
799040	277839	Louise
799040	363727	Rose
799040	395535	Cousin Hilda
799040	397299	Miss Helen Lomax, plastic sur
799040	402139	Mrs. Fagunwa
799040	402169	Princess Caroline
799040	403239	Mrs. Waring
799040	406040	Milly
799041	17036	Hanne Øyen
799041	28531	Barbro Aslesdatter
799041	204542	Sykepleiersken
799041	235043	Ingrid Femte
799041	263731	Frelst dame
799041	300143	Jazzfreaker
799041	304185	Teaterskoleeleven
799042	257234	Library Girl 2
799043	56063	
799044	35537	Girl on Rodeo Drive
799045	5717	Emma (The Acid House)
799045	134178	Detective Ritchie
799046	119827	Reporter #2
799046	122212	Laura Kincade
799047	47078	Tiny Blonde
799047	48413	Molly
799047	140133	Queen Ghost
799047	263557	Lydia
799047	278437	Samara
799047	313961	Emily Carter
799047	366702	Will
799047	390709	Young Sophie
799048	19323	Hospital receptionist
799049	27326	Lt. Drucilla Dread
799049	27327	Lt. Drucilla Dread
799049	72930	Necromancer
799049	80835	T.J.
799049	202285	Lace
799049	295481	Holly
799049	308111	Herself
799049	350177	Roxy
799049	361535	Herself
799049	375714	Ali
799050	48297	Assunta Celhoio
799051	156030	Julia Renton
799052	141614	Miss Tittles
799053	39097	
799053	381091	Herself (eliminated round 1) 
799053	389863	Hostess (1996-2000)
799053	399425	Womens Team Captain
799054	405640	Francesca 'Frankie' Thomas
799055	204557	Cafe Waitress
799056	246479	
799057	401973	English Sarah
799058	292496	Fish & Chips Woman
799059	110739	Lost Girl
799059	395879	Mandy
799060	191987	Valerie
799061	185282	Lynn
799062	109632	Mrs. Lunt
799063	197508	Billboard Woman
799064	388792	Connie Martin Thayer #2
799065	177521	Alyce Sangre
799066	240886	A Nurse
799067	14104	Misty McClain
799067	107125	Maid of Honor
799067	129961	Tina Yates
799067	137650	College Kid
799067	211398	Hope
799067	369905	Juvenile Delinquent
799068	254485	Slinky
799068	335121	
799069	65938	Dot
799070	408880	Alice (Series 2-3, 5)
799071	394585	Karolina Rafalska
799072	222815	Member of Repertory Company
799073	120375	
799073	286571	
799074	272827	
799075	381706	(episodes 1-3, 8, 9, 12)
799076	62694	Solange
799077	373351	Studentka
799078	89207	Street Kid (herself)
799078	111821	Reagan
799078	304929	Club Audience
799078	405984	(Sister, USC)
799079	67394	Stacy
799080	159765	Laura O'Neil
799080	222718	Marilyn Stonehurst
799080	275784	Anne
799081	302494	Dancer
799082	248480	Laura Phillips
799082	404282	Summer Blake (1984-1985)
799083	240727	Marcie
799084	130450	Girl
799085	288690	
799086	391835	Talking head/soundbites (segm
799087	7003	Ayesha
799087	11288	Tony's 'friend'
799087	36785	Fritzi Darvel
799087	37472	Mrs. Winslow
799087	130828	Ann Dexter
799087	196390	Model
799087	201845	Lila Chandler
799087	214098	Swimmer
799087	222718	Dorothy Saunders
799087	224048	
799087	251418	Ann Davis
799087	354160	Kit
799087	393078	Co-host
799088	119694	Herself
799089	257369	
799090	335721	Nurse
799091	179049	Little Girl #2
799092	69897	Restaurant Patron/Clubgoer
799092	130167	Lottie Estelle
799092	144406	
799093	26180	Roxanne
799094	37998	Nurse
799094	116901	Michelle
799095	167704	Wendy
799095	178866	
799095	232181	Morgana's Patrol #3
799095	248111	Kayla
799095	391547	The Sophomore Sweetheart
799096	243476	Ann (segment "Roomates")
799097	9125	Young girl witih coffee
799097	16058	Carol
799097	33623	Pearl Younger
799097	79835	Little Girl
799097	82695	Marlene/Child of Proteus
799097	95872	A Child
799097	113864	Judy
799097	133353	Mary Jane
799097	193406	Mary 2
799097	232243	Hank Muldoon's daughter
799097	242106	Ann West
799097	276195	Penny
799097	292786	Chrissie
799097	364832	Buffy Caine
799097	372713	Flora Peters
799097	372714	Flora Peters
799097	380997	Sulie Luckett
799097	397222	Kimmy
799097	410554	Debbie Burdett
799097	411824	Flora Peters
799098	313479	Ewok
799099	153740	Maria
799099	210157	Actress
799099	239237	Lady's-Maid #1
799099	243672	Ing-Lis
799099	314386	Young girl
799099	377337	Lena
799100	34463	Young Woman
799100	67922	H
799100	141497	Anthea Llewellyn-Jones
799100	150524	Film PA
799100	224181	Modesty Blaise
799100	254854	Elen
799100	327723	Sally
799100	327726	Young Woman (segment About Ti
799100	350506	Lady George
799101	153250	Customer
799101	154709	Woman in Elevator
799102	87567	
799103	160587	
799103	279901	
799103	348934	
799104	155368	
799105	205792	Woman in Roadhouse
799105	227697	Blond woman waiting outside D
799106	316693	
799107	352679	
799108	34415	
799108	384184	
799109	21652	Stepmother
799109	120993	
799109	126347	
799109	187720	Lena Rais
799109	189721	Mother
799109	199587	Aunt Emma
799109	226175	Liska
799109	309112	Mother of the Shah
799109	312209	
799109	314309	Filmproduzentin
799109	325509	Erna Rieder
799109	325845	Astrid Nicolay
799109	327473	
799109	343673	Carola Thomsen
799109	347586	Marion
799109	361506	
799109	387307	Agathe
799109	389956	
799109	395667	Nina Winter
799109	398231	
799109	406695	Olga's Mother
799109	410553	
799110	31387	Kathi
799110	35206	Vermieterin
799110	38639	Hebamme
799110	40413	Frau Hirth
799110	95381	Anna
799110	98067	
799110	107962	Cilly
799110	144019	
799110	155101	
799110	155102	Kuni
799110	155465	Lene
799110	156090	
799110	164833	Metzgerin
799110	170136	
799110	170711	Zenzi
799110	178656	Frau Moser
799110	209346	Amalie
799110	210137	Frau Steinhausen
799110	226408	Mrs. Schneider
799110	254373	
799110	266775	Rosa
799110	289956	
799110	290752	
799110	314568	Katel
799110	322527	
799110	322528	
799110	325756	2. Frau
799110	325934	Stallwangerin
799110	352312	
799110	367025	
799110	376274	
799110	376499	Alte Frau
799110	378554	Brennberger-Lies
799110	398863	Vera
799110	403925	Rumplwabn
799111	107354	Bit Part
799112	389948	
799114	357496	Kenya
799115	404448	Vera Seiffert
799116	11911	Prison Guard
799116	276780	Aerobics Instructor
799116	283944	Aerobic Instructor
799116	313046	Waitress in Bar
799117	10075	Additional Voices
799117	92770	Astea
799117	99046	
799117	200184	Alcione
799117	260386	Wraph
799117	350928	Elin/Kinsey
799118	11911	Prison Guard
799119	220218	Catherine, Suisse
799120	268891	Computers/female player chara
799121	380392	Teresa 'Terry' Roeder
799121	409625	Susanne 'Sue' Sommerfeld (199
799122	10020	
799123	231468	Johanna Faehmel at Age 70
799124	26884	Gamma
799125	30094	
799125	45482	Kaka Kuna
799125	132003	Mayka
799125	213513	
799125	352888	
799126	32886	Night Club Singer
799127	37007	Nora Batty
799127	52906	Flower Lady
799127	72760	
799127	73896	Herself
799127	93579	Bombazine Woman
799127	108410	Neighbour
799127	177146	Mrs. Oliphant
799127	206884	Mrs. Kent
799127	220015	Mrs Mercer
799127	220949	Mrs H
799127	281341	Herself/Audience Member
799127	294517	Mabel
799127	345787	Nora Batty
799127	353490	
799127	353728	Various characters
799127	359230	Interviewee
799127	381661	Various Roles (1983, 1986)
799127	382830	Bessy Hardacre
799127	383627	Lorna Everitt
799127	385020	Vera Hopkins (1973-1975)
799127	385299	Doris Luke (1978-1985)
799127	385301	Doris Luke (2001-2002)
799127	385800	
799127	387533	Winnie Purvis (1975)
799127	395178	Nora Batty
799127	395178	Nora Batty (1973-2001)
799127	399540	Molly Bickerstaff
799127	400313	Mrs Blewett
799128	162229	Sandra
799128	178621	Kerstin
799128	315602	Stefanie
799129	245337	High School Student
799130	33511	Den anden søster som 12-årig
799131	33511	Den ene søster som 12-årig
799132	82246	Miluccia, Gerardo's sister
799133	294691	Anna, the maid
799134	175144	Suzie
799134	291543	Emmy Pickett
799135	301677	Girl Teen Lover at Orphanage
799136	26627	Mrs. Waters
799136	35762	Mrs. Carey
799136	82064	Matron
799136	96989	Relative
799136	163272	Landlady
799136	186828	Nurse
799136	264153	Woman
799136	274496	Landlady
799137	65973	Vera
799138	247372	Singer in "Good Neighbors" Nu
799138	375045	Singer: Solo Lines in 'Ziegfe
799139	172920	Rasa Devi's Courtesan
799140	285950	Woman at the cinema
799141	105806	
799142	191240	Lady in Waiting
799143	1734	Herself
799143	126624	Annie Flynn
799143	305343	Melinda Fehlers
799143	363796	Det. Snr. Constable Harriet W
799143	391208	Basia Lem (Ep. 1-40)
799143	411008	Det. Harriet Walker (2002-200
799144	7512	Miss 'Chickie' Anderson, Phil
799144	7910	Woody
799144	11269	Woody
799144	11920	Woody
799144	18197	Lucia, (Maria's maid)
799144	21310	Woody
799144	22669	Woody
799144	28672	Woody
799144	30994	Woody Woodpecker
799144	32546	Woody
799144	33545	Woody Woodpecker
799144	36768	Woody
799144	37940	Woody
799144	38562	Woody
799144	38600	Woody
799144	41084	Miss White
799144	41502	Molly
799144	44492	Woody Woodpecker
799144	45271	Woody
799144	48537	Woody Woodpecker
799144	48962	Bessie Beary
799144	49533	Woody
799144	49575	Bessie Beary
799144	50237	Woody
799144	50312	Woody
799144	50991	Woody Woodpecker
799144	52640	Woody
799144	52664	Woody
799144	53901	Woody
799144	54970	Woody
799144	59643	Bessie Beary
799144	59657	Bessie Beary
799144	59671	Bessie Beary
799144	59681	Bessie Beary
799144	61372	Woody
799144	61878	Woody
799144	61937	Woody Woodpecker
799144	69403	Mrs. Helen Schneider
799144	70278	Woody
799144	70331	Woody
799144	70409	Bessie Beary
799144	73946	Woody
799144	79504	Bessie Beary
799144	84128	Woody Woodpecker
799144	87820	Woman Dancing with Geller
799144	88771	Little lady
799144	92526	Mrs. Betty Richards
799144	92612	Caroline Suggs
799144	95097	Woody
799144	105089	Woody
799144	109583	Woody
799144	111735	Woody
799144	113537	Woody
799144	114375	Bessie, Suzy
799144	115471	Buxton, Stewardess Instructor
799144	115546	Woody
799144	116363	Woody
799144	116809	Bessie Beary
799144	117233	Woody
799144	118493	Woody
799144	118494	Bessie Beary
799144	118905	Woody
799144	119623	Woody
799144	122730	Woody
799144	125654	Woody
799144	126523	Woody
799144	126524	Woody
799144	130630	Woody Woodpecker
799144	131903	Bessie Beary
799144	131904	Bessie Beary
799144	131928	Bessie Beary
799144	133877	Woody Woodpecker
799144	134124	Harriet Miller
799144	135411	Bessie Beary
799144	137475	Woody
799144	140342	Woody
799144	141134	Woody
799144	142714	Woody
799144	144469	Woody
799144	145787	Woody
799144	148377	Woody
799144	149304	Woody
799144	149782	Woody
799144	150113	Woody
799144	150257	Woody Woodpecker
799144	150307	Woody
799144	151673	Woody
799144	151690	Woody
799144	153592	Woody Woodpecker
799144	154097	Second Operator
799144	154468	Vera Sherwin
799144	159182	Martha Connors
799144	160959	Woody
799144	165560	Woody
799144	166888	Bessie Beary
799144	168023	Woody
799144	176421	Woody
799144	178346	Woody
799144	183313	Woody
799144	184833	McCarthy's secretary
799144	192290	Woody Woodpecker
799144	192418	Woody
799144	193397	Woody
799144	193846	Woody
799144	203496	Mary McCrary
799144	205448	Miss Bradley
799144	208265	Maw
799144	208266	Maw
799144	215368	Woody
799144	216822	Miss Manahan
799144	218388	Woody
799144	218651	Bessie Beary
799144	220036	Bessie Beary
799144	220431	Bessie Beary
799144	228712	Woody
799144	231323	Woody
799144	241409	Woody
799144	242782	Woody Woodpecker
799144	244142	Maggie
799144	245891	Woody
799144	247548	Woody
799144	250391	Bessie Beary
799144	251145	Maw
799144	251639	Woody
799144	251648	Woody
799144	254509	Woody
799144	254815	Woody
799144	255646	Maw
799144	256763	Woody
799144	260192	Woody
799144	262263	Woody
799144	262739	Woody
799144	264658	Woody
799144	267301	Woody Woodpecker
799144	271019	Bessie Beary
799144	273312	Woody
799144	274271	Woody
799144	274549	Woody Woodpecker
799144	275377	Woody
799144	279518	Woody
799144	279763	Woody
799144	280120	Woody
799144	280162	Woody
799144	281237	Woody
799144	281360	Bessie Beary
799144	281410	Woody
799144	282363	Woody
799144	282442	Woody
799144	285145	Woody
799144	287749	Farmer's wife
799144	289369	Woody Woodpecker
799144	290876	Woody
799144	291180	Miranda
799144	291847	Woody
799144	292308	Woody
799144	297392	Woody
799144	299158	Woody
799144	299875	Woody
799144	300059	Woody
799144	302998	Woody
799144	303184	Woody
799144	303988	Woody
799144	304739	Woody Woodpecker
799144	304868	Woody
799144	305014	Woody Woodpecker
799144	306187	Woody
799144	306840	Woody
799144	309914	Woody
799144	312293	Woody
799144	312791	Woody Woodpecker
799144	318309	Woody
799144	326636	Woody
799144	327800	Woody
799144	328115	Woody
799144	328295	Woody Woodpecker
799144	331455	Woody
799144	334137	Woody Woodpecker
799144	335256	Woody
799144	337505	Woody
799144	338900	Woody
799144	338913	Woody
799144	341668	Woody
799144	345572	Bessie Beary
799144	345642	Woody
799144	346105	Woody
799144	346908	Woman
799144	356781	Woody
799144	358864	Herself
799144	359870	Woody
799144	362491	Bob's Assistant
799144	362526	Woody
799144	362531	Woody Woodpecker
799144	364784	Woody Woodpecker
799144	365185	Woody
799144	366057	Bessie Beary
799144	366708	Woody
799144	367029	Hickory
799144	368140	Woody
799144	368141	Woody
799144	368142	Woody Woodpecker
799144	368144	Woody
799144	368168	Woody
799144	368172	Woody
799144	368173	Woody
799144	368176	Herself/Voice of Woody Woodpe
799144	368177	Woody Woodpecker (1951 Woody 
799144	368181	Woody
799144	368182	Woody
799144	368183	Woody
799144	368184	Woody
799144	368873	Woody Woodpecker
799144	372360	Switch Board Operator
799144	411392	Woody Woodpecker/The Beary Fa
799145	199087	
799145	287163	
799145	362104	
799146	281882	Prospective Lover #1
799147	94291	Herself - Vocalist with the P
799147	393564	Herself/Host
799147	393565	Herself/Host
799148	158930	Rebecca Dean
799149	279953	Herself (Kelly)
799149	362990	Kelly (Kelly)
799149	362991	Kelly
799150	209399	Barbara
799150	297382	Beautiful Blonde on Train
799151	241444	
799152	331732	1st Neighbor
799153	110739	Felicia's Great Grandmother
799153	117981	Old Woman
799153	151050	Marion
799153	200959	La Domestique
799153	347689	Mrs. Lett
799154	204386	Roxanne Taylor
799155	19022	Elsie Hudson
799156	1348	Herself
799156	2275	Herself
799156	17992	Hotel Guest
799156	23595	Suzanne
799156	71483	Rene
799156	91769	Bidder Suzanne Monroe
799156	194698	Rachel
799156	350238	Taffeta Monroe
799156	400647	Joanna Hadley
799156	408882	Frankie
799156	411802	Phyllis Summers [#1] (1994-19
799157	76218	Molly St. Clair
799157	80786	Karen Ingram
799157	84198	Counselor
799157	207900	Michelle Thomas
799157	207901	Michelle Thomas
799157	207906	Michelle Thomas
799157	207907	Michelle Thomas
799157	207908	Michelle Thomas
799157	207909	Michelle Thomas
799157	207911	Michelle Thomas
799157	217528	Sharon Davis
799157	266132	Lady in Park
799157	268542	Eyewitness
799157	343908	Joyce
799157	386603	Adrienne Hunt (1982)
799157	396516	Hostess
799157	397116	Michelle Thomas (1987-1992)
799157	405299	Patricia Blake
799157	406319	Joan Halloran (1983-1984)
799158	103367	Harmon's Mom
799159	61697	Timmy's Mother
799160	232127	Athene
799161	367054	The Wiz Singers Adult Choir
799162	11450	Rachel - 7 Years
799163	166939	Girl #1
799164	38404	Marine Captain
799164	67378	Mother's Child
799165	38696	Sarah
799165	42388	Waitress #1
799166	158796	Monica Forbes
799166	410946	Hostess (1975-1982)
799167	8075	Kirsch's Girlfriend
799167	145395	Cass
799167	201845	Linda
799168	110974	Nurse
799169	172920	Purnima
799170	287414	
799171	174479	
799172	104774	Maltese entry (15th place)
799172	202524	Herself
799173	104769	Maltese entry (5th place)
799174	354665	Vecchina
799175	305549	
799176	3966	Stewardess
799176	380905	
799176	386979	
799177	34707	Stewardess
799177	79034	Sarah Smith
799178	406459	Herself/Starting Over Graduat
799179	6607	Hanna
799180	6607	Orphan Girl
799181	109133	Herself - Lawyer
799181	389118	Herself - Jury panel: Lawyer
799182	26620	Office Worker
799182	210485	School crossing lady
799182	402197	May Worth (1979-1983)
799182	408074	Aunt Edith
799183	310849	Herself
799184	404664	Pandora Braithwaite
799185	203927	Lupe
799186	199082	Eva
799187	125704	Herself
799188	45540	Dan Fan
799189	155884	Model
799190	90788	Ellen
799191	173919	
799192	91639	Herself
799192	107917	Young Woman at Market
799192	295194	Real Barbara
799192	309202	Tri Pi
799192	310648	Eve Creature Performer
799193	14159	Saleswoman
799194	94253	Young Marja Lisa
799195	314394	
799196	325741	Frau Kuehn
799197	2742	Doctor
799197	82438	Dr. Carla Pesenti
799197	97147	Flaminia
799197	121658	Marta Boselli
799197	127883	Anna Benelli
799197	238129	
799197	242607	Alma's mother
799197	270991	Carmen
799197	311198	Teresita
799197	327903	Detective Altieri
799197	386811	
799198	150888	Rebecca
799198	307440	Voice of Matilda
799198	375235	Maria
799198	380849	Marina
799198	381193	Voice of Jesus
799198	386747	Mamma
799198	386749	Police girl
799199	366316	Woman in park
799200	183480	
799201	57332	
799202	233262	Djevojka 2
799203	314853	Nun
799204	361498	Ilse
799205	132607	
799207	281800	Elderly Lady
799208	38386	Frau Baumann
799208	79182	
799208	277465	
799208	352208	Kassiererin
799208	352676	
799209	38994	
799209	106035	Special-Agent Dörte Skalski
799209	116055	Half dead girl
799209	172839	Ida Hoffmann
799209	179226	Caro
799209	194343	Rita
799209	204581	
799209	211126	Gabi Haller
799209	310181	Melanie Daxenberger
799209	352176	Hebamme (midwife)
799210	87280	Dirty Dancer
799210	113927	Mindy
799210	155013	Woman with Professor Bob
799210	155635	Girl with Whipped Cream
799210	229250	Cat
799211	211605	Young Hanna (Dream Couple)
799212	374393	Tech with puppy
799213	232469	Pamela
799214	46408	Herself
799214	57492	Herself
799214	149656	Herself
799214	360486	Herself
799214	378873	Herself - Host (2002-)
799214	378911	Herself - Correspondent (1991
799214	379958	Herself - Anchor
799214	383697	Herself - Co-Anchor (1977-197
799214	388179	Herself (Seventh host)
799215	99584	English Girl
799215	141179	Annie
799215	161757	Teen Girl on Beach
799215	163958	Carol
799215	166917	Former Girlfriend
799215	183338	Girl ('Careless Whisper' vide
799215	285360	Nurse Viola
799215	297187	Sue Ellen
799215	330620	Sharon Griffin
799215	336334	Missy Anderton
799215	336772	Maureen Peek
799215	381441	Destiny Desimone (1995-1996)
799215	402113	Model (1994-1995 syndicated v
799216	45477	Miss Baldwin
799217	36481	Elea
799217	364943	
799218	197758	Engagement party
799219	29619	Woman in Bar #2
799220	226959	Jane Kruger
799221	87287	
799221	249896	
799221	296199	
799222	334106	
799223	13736	Susie
799223	24569	
799223	35409	Interviewer
799223	40533	Reporter
799223	40660	Newscaster
799223	41266	Reporter #1
799223	46743	Reporter
799223	54726	Officer Executive
799223	59510	
799223	60186	USAD Announcer
799223	67385	Connie
799223	79880	E.R. Nurse Brandt
799223	85143	Little Italy Reporter
799223	94726	TV Reporter
799223	109723	TV Reporter
799223	112302	TV Reporter
799223	114691	TV Reporter #1
799223	146934	Second Journalist
799223	147793	Leslie Carrington
799223	165436	TV Reporter
799223	176956	Reporter
799223	176985	Reporter
799223	200999	Moderator #2
799223	222573	CNN Newscaster #2
799223	223815	Reporter
799223	224021	Female Reporter
799223	240943	
799223	241461	Lucy Carter
799223	276240	Featured City Hall Undead #5
799223	296692	Female Reporter
799223	297790	Reporter
799223	304955	Jane (news anchor)
799223	316116	Jessica Gendler
799223	323611	Newscaster
799223	335285	Nicole Taylor, Action 8 News
799223	355065	Meredith Thompson
799223	367588	Milwaukee Female Anchor #1
799224	22701	Saleswoman
799226	272936	Officer Agnes Copland
799227	181354	
799228	389955	Ilona
799229	33853	Dr. Fischer
799229	84433	Anne Herrington
799229	388166	Frau van der Boom (2003)
799229	392502	Herself
799229	407361	Host (1992-1999)
799230	69928	Susan
799231	84272	Rakel
799231	136450	Jón's paramour
799231	198277	Lena's Mother
799231	198385	Lucile
799232	300143	ErnaWerna
799234	388166	Jeanette Köber
799235	138419	Buck's Wife
799236	20625	Extra
799236	142754	Burlesque Queen
799237	394078	Rea
799238	81351	Lesia
799239	376887	The Wife In The Dream
799240	88623	Double Dutch Girl
799241	299469	News Anchor Woman
799242	91929	Party Flower
799243	95183	
799244	43756	(segment "Primeiro de Abril")
799244	383437	
799244	397553	
799244	398856	
799244	408942	Paula
799245	316488	
799246	63079	Shauna Grant
799247	313459	Senni Tonnika
799248	91853	Various
799248	168902	Christening Mother
799248	291067	Various
799248	339898	Various
799248	398944	Various roles
799248	404536	Various Roles
799249	80610	Receptionist
799250	7959	Mama Nima
799251	186510	
799252	401889	Herself - Clea
799253	393471	Winifred Thomas
799254	6392	
799254	6402	La vieille dame
799254	8214	
799254	16010	
799254	45726	
799254	54298	
799254	63650	La bonne
799254	77341	
799254	101881	
799254	111049	Une invitée
799254	167200	
799254	174635	
799254	188697	
799254	201189	
799254	205618	La dame de l'hôtel
799254	206235	
799254	287595	La dame pour l'opéra
799254	292356	Aurélie
799254	294565	Une invitée (segment "Orgueil
799254	309983	La femme de l'industriel (seg
799254	346609	Invitée
799255	258935	Grace Elliston
799256	109948	Jacinta
799257	217816	Jessie Parker
799258	55588	Soap Opera Actress
799258	60212	Teddy Blue the Curser
799258	130629	Samantha
799258	143640	Herself
799258	189242	Dorianna
799258	222300	Additional Voices
799258	242096	Alexandra
799258	261270	Jennifer
799258	264480	Theresa
799258	282392	Susan Olivia Clemens
799258	294726	Kaylee Frye
799258	388771	Kaywinnit Lee 'Kaylee' Frye
799258	388869	Rebecca 'Becca/Beck' Fisher
799258	391559	Daisy Lipenowski
799258	391947	Tiara
799258	398513	Additional Voices
799258	406063	Catalina (1996)
799259	6911	Alice
799260	379037	Various characters (1996)
799260	396017	Bitchy Waitress
799261	104835	
799262	313515	Blonde Girl in Diner
799263	84468	
799263	181591	
799263	210283	Kokovkina
799263	229547	
799263	300492	
799263	304170	
799263	304710	
799263	394642	
799263	394752	Uborshchitsa Serafima
799263	396239	
799264	17581	
799264	301147	Desdra
799265	2266	
799265	50359	
799265	128472	
799265	209747	
799266	124017	The 'B's
799267	147660	Gina
799268	135385	Woman in Pool
799269	13115	Marion
799269	94234	
799269	164157	Neighbor
799269	203219	Sarah
799269	340120	Le Veterinaire (Veterinary su
799270	10901	Karen
799271	392697	Young Martha Brown
799272	160971	Girl
799273	105901	Slave Girl
799273	147791	
799273	147792	
799273	187986	Fantasy Girl
799273	252402	Pet
799273	356802	Amber Tinybabe
799275	46321	Girl in low-cut dress
799275	54208	Waitress
799275	90537	Sally
799275	127074	Alma Parker
799275	135800	Nora Blaine
799275	135986	Uvalde
799275	168673	Suzy
799275	178204	Jonesy
799275	183445	
799275	213167	Blonde Pedestrian
799275	215832	Ginny
799275	230693	Danish Stewardess
799275	238071	Helen
799275	282463	Marge
799275	350013	Deena
799275	382809	Machinist's Mate Roberta Love
799276	241654	Amber
799277	14103	Louise Harmon
799277	52440	Anne Bancroft
799277	61183	
799277	79055	Obstetrician
799277	80857	Leslie
799277	213019	
799277	243228	Cathy
799277	278855	Call Girl
799277	286516	TV Reporter
799277	293098	
799277	318783	Student
799277	330285	Paula
799277	337100	
799277	347746	Julie
799277	388202	Wanetta
799277	404282	Nurse at Hospital (1985)
799278	124505	
799278	365492	
799279	14131	T.V. Hostess
799279	107283	Starlet
799279	144347	Nurse
799279	163492	Miss Garson
799279	293047	Newscaster
799279	304447	Singing Waitress
799279	317451	Tour Guide
799279	330565	Mary
799280	182531	Nette
799281	169644	Jen, bartender
799282	163045	
799282	382406	
799282	402325	
799283	35844	
799283	75976	Journalist
799283	82205	
799283	104542	Sheila
799283	111305	Mrs. Young
799283	138440	Maritza
799283	140389	Wanda
799283	146532	Ewa
799283	181328	
799283	185809	Hanka
799283	214242	Hanka
799283	231652	
799283	244099	Herself
799283	293700	TV Reporter
799283	358199	
799284	16642	Bridget
799285	265678	Adele
799286	346101	Girlfriend
799287	35655	Student
799288	110911	Production Assistant
799288	385299	Mrs. Babbitt (1986-1987)
799288	387533	Grace Tolly (1981-1982)
799289	337	
799289	26923	Herself
799289	26924	Herself
799289	35019	
799289	57255	
799289	69112	
799289	81687	Anita
799289	158860	(added footage in 1975 versio
799289	159647	Angela
799289	159739	Anna
799289	168605	
799289	189396	Monica
799289	217873	Helen Miller/Helga
799289	265980	
799289	275882	Miss Tina Show
799289	294400	Trella
799289	319752	
799289	356003	
799289	356207	
799289	411585	Ludovica de Castelgandolfo
799290	15933	Stephie
799291	4750	Amanda
799291	61633	Mother
799291	100092	Queen
799291	162162	Mother
799291	166086	Miss Downes
799291	192002	Aunt Fritzi Ritz
799291	198067	Mother
799291	234812	
799291	234813	Narrator
799291	259086	Mother
799291	315731	Gertrude
799291	327686	Yochabel
799291	363826	Collie
799291	364106	Reporter
799292	121386	Duty nurse
799293	215664	Miss Indiana Teen USA (Top 15
799294	310129	Bertha
799295	111173	Nicky's Mother
799296	19178	The 'Mother-In-Law'
799296	31630	Yanna
799296	34903	Herself
799296	277707	Herself
799296	362958	Herself
799296	390180	Herself
799297	117287	
799298	407316	Debbie
799298	407317	Debbie
799298	411385	Debbie
799299	210300	Party Girl
799299	281347	Sarah
799300	201112	Lady who checks out Apartment
799301	161731	Teenage
799302	71664	Pregnant Woman
799302	79554	Martha
799302	85922	Queen Elizabeth II
799302	101296	Eileen
799302	113913	Mrs. Grant
799302	231874	Magda Keller
799302	252573	Emily Greengrass
799302	330445	Joan
799302	388982	Jean Bradley
799302	391247	Eileen Reynolds (1995-1998)
799302	394665	Nell
799302	397188	Susan
799302	397876	Liz Ridgeway
799302	398691	Sandra Park
799302	400083	Muriel Thomas
799302	400265	Anne Webster/Onedin (1971-197
799302	401962	Dasha
799302	405525	Jane Seymour
799302	406696	Anna Strauss
799302	408090	Gentle Schofield Shaw
799302	411531	Ellen
799303	374098	Jitka
799304	374664	Irena Kropaczynska
799305	129596	
799306	103276	Servant Girl
799307	210333	Herself
799308	190846	Husspekulant
799309	173388	Marija Katusic
799309	202953	
799309	236048	Ivana Novak
799310	47232	Herself (back up vocals)
799311	131380	Demented Hills Dancer
799312	406058	
799313	182380	
799314	155013	Girl/Jack's movie
799315	174382	
799316	301077	Newscaster
799316	390624	Host
799317	92773	Dr. Ruth
799317	95269	Chloe
799317	189997	Brunette Whore
799317	224192	Pet Store Girl
799318	94202	Cute Girl
799319	350983	Baruska
799320	220276	Le Petite Princess
799321	404165	
799322	196786	Arissa
799323	44394	
799324	357324	
799324	375742	Margit
799325	202372	Answering Service Girl
799326	88137	
799326	129255	
799326	229624	
799326	356079	
799326	374293	Emica
799326	394734	
799326	405860	Pandora
799326	408961	
799327	32940	Kate Jackson
799327	116510	Georgette
799327	185369	Ms. Paige
799327	308095	Mel
799327	399988	Liz Lombardi
799328	34448	Dinner Guest
799328	40138	Woman in Gas Station
799328	366600	Loan Officer at Bank #1
799329	39849	Laura
799330	46752	Connie
799331	15137	Anna
799332	226289	Dancer
799332	275171	Dancer
799333	156044	
799333	203237	Lilian
799333	203259	Carmelita Schmidt
799333	252323	Frizzi
799333	336254	Isabella
799334	11893	Cäcilie Johnson
799334	35187	Elke Sinjen
799334	40518	
799334	96494	
799334	136203	Antje
799334	258393	Pauline
799334	275170	
799334	358223	
799334	359678	
799334	361447	Therese
799334	369172	
799334	376394	
799334	388816	
799334	395010	Gerda
799334	400044	Frude Wrangel
799334	406321	
799336	11902	
799337	274032	Chelsea
799338	401079	Wife #2
799339	161793	Matina
799340	85648	
799340	100553	
799340	179517	
799340	204108	
799340	284491	
799340	380721	
799341	239496	
799342	209823	Doncheva
799342	233401	
799342	259075	Dimitrina
799342	265015	Kalina
799342	323925	
799343	66592	Paula
799345	290029	Enzl
799345	365638	
799346	130963	
799348	122686	Party band on Cutty Sark
799349	5927	Jenny
799349	10632	Dany
799349	40698	Sylvia Fairfax
799349	41066	Valerie
799349	47532	Gloria
799349	53751	Maritza
799349	54832	Bertha
799349	65666	Winnie
799349	96991	Sarah
799349	109242	Mary Hearne
799349	110368	Daphne Randall
799349	110374	Ella Crewe
799349	124740	Marie Hopkins
799349	128491	Caroline Tonbridge
799349	140043	Nancy
799349	150807	Peggy Allen
799349	167686	The Star
799349	175176	Madame Louise
799349	184244	Jacqueline
799349	184433	Jane
799349	209623	Lulu Marsoc
799349	221165	Corinne Henfield
799349	239342	Jill Smith, secretary
799349	239658	Eileen Penshaw
799349	259388	Elvira Whitman
799349	269324	Yvonne
799349	270654	
799349	275478	
799349	306576	Pauline
799349	309801	Frances Martinique
799349	311997	Tiny Fox-Collier
799349	314491	Mrs. Warrington
799349	323374	Cicely Burton
799349	324002	Sylvia Shirley
799349	342914	Sheila
799349	346301	Dolores
799349	355095	June Haslett
799349	363554	Lady Cattering
799349	364730	Lady Henrietta Kingsclere
799349	371080	Nellie Jackson
799350	280997	
799351	144681	Eva
799351	390800	Queen Anne of Denmark
799352	270138	Waitress
799353	176830	Motion Capture Actor
799354	176832	
799355	154301	Jody Stayner (Age 5)
799355	208631	Sarah
799355	314439	Maggie
799355	347712	Nancy Oppenheim
799356	293819	Peggy
799357	232676	Concession Stand Lady
799358	348050	
799359	397936	Assistant at Negri's Music Sh
799360	157786	Girlfriend #1
799360	213324	Nymph
799361	65926	Suzanne
799362	11570	Mary
799363	28281	
799363	64352	
799363	78765	Victimized Woman
799363	377586	Barmanita
799364	54248	Sous-officier mess 1
799364	101820	Plainclothes Officer
799364	102115	Waiter #3
799364	337742	Homme 1 Synagogue
799365	393753	Tonttuapulainen
799366	194929	Nell
799367	107438	
799368	6855	Margaret Adams
799368	281213	
799369	228164	Barn Dance Party Guest
799370	219178	The Slavey
799370	283087	Mary Seaton
799371	220812	
799372	253499	Old woman
799373	393615	Ana
799374	3526	Nina
799375	22009	
799375	27798	
799375	61227	
799375	89793	Aneto
799375	97562	Aktrisata
799375	129753	
799375	140627	Ivana
799375	163939	Kalina
799375	198124	Elena
799375	273708	Hatidzhe
799375	305478	Gospozhitza Mihova
799375	310951	Neli 1
799375	334483	
799375	339314	Dora
799375	374472	Tzveta
799375	398895	
799375	399704	Angelina
799375	404810	
799376	108453	Veshtitzata
799377	312442	
799378	97562	Skriptarkata
799379	63098	Store Clerk
799379	255330	Cybil Vane
799380	272935	Lori Cline
799381	21736	Helga
799382	365244	Men's Club Girl #2
799383	326209	
799384	120120	Newswoman
799385	69253	
799385	94786	
799385	227594	Thérèse Tallien
799386	2885	
799386	16325	
799386	337744	
799387	73613	Anne Milking
799387	387267	Heather Campbell
799387	391869	Constable Terri Garner (#1) (
799388	127557	Ruth
799389	109408	Danseuse pub Fast Burger
799390	316225	Weave
799391	80057	Crystal
799391	129582	Hannah
799391	211508	Lady-in-waiting
799391	317602	Brenda
799391	387359	Kimberly
799391	404547	Cheryl Lauer-Schickler
799392	108477	Store Employee
799392	224917	
799393	189867	Estelle Webber
799394	319188	Nurse Bauer
799395	133419	Claire
799396	82541	Bronco Billy
799397	188340	Maid
799397	255452	Malone sister
799397	366984	Mary Derrick
799398	236368	Miss Holland
799399	77205	Waitress
799400	8166	Eleanor
799400	14085	
799400	32018	Maudie
799400	32239	Lydia Du Bois
799400	33091	Miss Smith
799400	45974	Maude Upper
799400	47311	Secretary
799400	47520	Flower Shop Girl
799400	53201	Harriet Porter
799400	67138	Nellie Kelly
799400	67403	Saloon reader
799400	71533	Printer's Devil
799400	73102	Tillie Slowboy
799400	77718	Pringle
799400	92652	Briggs (a nurse)
799400	99949	
799400	100205	Hilda, the maid
799400	105568	Kilmer
799400	106294	
799400	107404	The Hired Girl
799400	109401	Miss Weller
799400	114191	Mrs. Miller
799400	117203	Chambermaid
799400	130973	
799400	133966	Selina
799400	138682	Jenny
799400	141038	Sadie
799400	141437	Ginger
799400	148403	Iris Elliot
799400	165443	Daisy
799400	176394	A Girl
799400	183855	Louise
799400	189152	Kitty Hoops
799400	191814	Miss Smyth
799400	194580	Gwenny Carfax
799400	194739	Olga
799400	196492	Slavey
799400	206387	Miss Scopey
799400	210646	Maid
799400	224062	Maid
799400	230416	Julia
799400	234587	Dorothy Mason
799400	240017	Charlotte
799400	245525	Pritchard
799400	258045	Hulda
799400	261422	
799400	278388	Mabel
799400	287278	Alice McNeil
799400	299801	(uncredited)
799400	301832	Sophia Black
799400	304379	Sharon's Secretary
799400	315869	Mother of Crippled Boy
799400	316663	Miss Abrams
799400	331676	Isabella
799400	362387	Lizzie
799400	366867	Cecilie's maid
799400	367897	Sophia Higginboottom
799400	372482	Lemuel's Secretary
799401	123341	
799402	34732	Herself
799402	36848	Housemate: Evictee #6
799402	36855	Herself
799402	101946	Herself
799402	381898	Herself (2002)
799402	381917	Herself - Evictee #5: 3 June 
799403	137031	Receptionist
799403	390144	Flame (1992)
799404	203635	Second Fly
799405	160242	The Chrysalis
799405	193625	Pat Milligan (1939 version)
799405	263785	Princess Victoria
799405	303572	Princess Royal
799406	31877	
799407	250830	Miss Hill
799407	403612	
799408	10017	
799409	50866	Turkish Controller
799409	92660	Sister Agatha
799409	156785	Foreign Reporter
799410	47760	
799410	80305	
799410	101355	
799410	102881	
799410	103072	Brischidd Neuker
799410	104815	
799410	116069	Eva
799410	196439	
799410	256139	Michaela
799410	295835	
799410	334546	Mutter
799410	360962	
799410	403133	Gisela
799410	404440	
799411	95704	Herself
799412	70826	Diane
799412	213358	Reporter #2
799413	110189	First Harem Girl
799414	259570	
799415	27395	
799415	51841	
799415	89350	
799415	261921	
799415	283476	
799415	309357	
799415	327128	
799415	333558	
799416	63754	
799416	94108	
799417	115836	
799418	388166	Franziska Häberlin
799419	362512	Choir Member
799420	29937	Herself
799420	257660	Herself
799421	204358	Neighbor
799422	270803	Mrs. Sullivan
799422	336697	Beatrice
799422	405320	Anna Parsons
799422	407566	Jean Cary
799422	408960	Roz Stewart (1966-70)
799423	129396	Claire Moore
799423	379716	Nina Cortlandt Warner Warner 
799424	334757	Chorus
799425	213186	Louise Ferguson
799425	385299	Miss. Jones
799426	273083	Customer in Sulka's
799427	257683	Herself
799427	316206	Darlene
799428	321678	Susan Lurie
799429	194993	Malu
799429	276896	Malu
799430	58236	
799430	70316	Helga
799430	83173	Une groupie
799430	99493	Gundrun, the singer
799430	249053	
799430	253581	
799430	255658	
799430	328530	Manuela
799430	336759	
799431	245046	Teacher
799432	40053	Dominatrix
799433	396721	Host (1998-1999) and (2002 -)
799433	405366	Reiseleder (2000 - )
799434	132951	Professoressa
799434	188777	
799435	174088	Auguste May
799436	90092	Strings
799437	346989	
799438	124017	Kate
799438	137580	Lisa Onslow
799438	140964	Janet
799438	157474	Evelyn Spence
799438	195685	Ivy Riddle
799438	208930	
799438	292489	Emma
799438	370004	Sam
799439	260407	Partygast
799440	313441	Crew in Rec Deck Scene
799441	218442	Daughter
799442	218442	Munchkin
799443	63075	
799443	288999	Joan Driscoll
799443	380713	Barbara Ryan #2 (1972-1974)/S
799443	385824	Mary Anderson #5 (1975-1981)
799443	387309	Dr. Gail Driscoll (1975)
799443	396084	Laura Donnelly Elliott #3 (19
799444	87025	Buf-Fee
799445	65973	Young Girl at Accident
799446	109127	Ruth Jensen
799446	252192	
799447	280218	Johnnys kone
799448	408724	
799448	409919	(1989)
799448	410316	Ingrid
799449	290453	
799450	190387	
799451	115095	Young Mother
799451	368944	Market Clerk
799452	309582	Rita Brenner
799453	287502	
799454	212588	
799455	2226	Rosario
799455	55488	Tamara
799455	67526	
799455	82134	
799455	158772	Edna
799455	225824	Laborantkinja
799455	266261	
799455	307333	
799455	310216	
799455	338323	Nadia
799455	384908	Haydee
799456	16297	
799456	265656	
799456	375424	
799457	10874	Reporter
799457	42257	Agent Koznetova
799457	78995	Speaker
799457	134288	Girl's Mother
799457	143729	
799457	159196	Momicheto Marinitza
799457	208512	Russian
799457	231082	
799457	238168	Female Captain
799457	238169	Southern Woman
799457	242730	Reporter
799457	272323	Patron #2
799458	365244	Men's Club Girl #1
799459	381436	Tracy Donovan (1995-1996)
799460	305285	
799461	190775	
799461	258602	
799461	354727	
799462	437	
799462	33262	Grisette
799462	48302	Norwarts jonge zoon
799462	144135	
799462	153109	Charlott
799462	153761	
799462	156748	Klärchen
799462	171862	
799462	268535	
799463	131650	Herself
799463	144553	Jackson's lawyer
799463	184470	Psychiatrist
799463	314766	Aunt Tee Dee
799463	390357	Thelma Evans-Anderson (1974-1
799464	404391	Ivanka
799465	90151	
799465	101396	
799465	172463	
799465	183882	
799465	214235	Vida Plavsa
799465	225898	Direktorova zena
799465	259062	
799465	303113	
799465	312420	Sluzbenica PTT-a
799465	339283	
799465	382073	
799465	386407	Mabel Mitrovic
799465	387137	
799465	395832	Miloradova strina
799465	395834	
799465	396589	
799465	402022	Rajka Mungos
799465	402023	Rajka Mungos
799465	402024	Rajka Mungos
799465	402026	Rajka Mungos
799465	402188	
799465	403623	Melita
799465	404036	
799465	410260	Kaliopa Ilic
799466	134231	
799467	167152	
799468	340720	Poshtadzhiykata
799468	353276	
799469	341335	Marijana
799470	383864	
799471	325573	Katja
799471	341006	
799472	339257	Rayna Lazarova
799474	74769	
799475	35878	
799475	66263	Kazio's Wife
799475	95950	Stefan's Neighbour
799475	112786	Old Buzowska
799475	178773	Piotrowski's Neighbour
799475	232664	Lady at Company
799475	259811	
799475	275216	Mamoniowa
799476	166763	Clarissa als Kind
799477	181332	
799477	181333	Danusia
799477	186384	Kmitowa
799477	260390	Hanka Lewicka
799477	322138	Jadwiga Skorabiewska
799477	373795	Krysia
799477	374203	Zofia Dubilanka
799478	30303	Laure d'Herigny
799479	217223	Schoolgirl
799480	147453	Infirmiere
799480	401081	Johanne Tessier
799481	177207	Linda
799482	122183	COPS officer
799483	122183	COPS officer
799484	216610	
799485	399175	Monika
799486	165844	Village Woman
799487	374203	Nurse
799488	63832	Debra
799489	33673	
799490	300361	Ballroom dancer
799491	28230	
799492	45764	Saprugata na Pavel (segment K
799492	50964	
799492	60724	Racheto
799492	82102	Doktor Zahova
799492	131990	Maykata na Emil
799492	156262	Bozhanka
799492	174382	Veska
799492	180073	
799492	242304	Verka
799492	244473	Sasha
799492	247863	Momicheto ot vlaka
799492	266211	Rositza
799492	339228	Lena
799492	357624	
799492	374030	Ana
799493	220733	Mimi
799494	34515	Benjamin's mother
799495	344096	
799496	12221	Lilyan Wilder
799496	13309	Eva Lakos
799496	87115	Interviewer
799496	93316	Olga
799496	144366	Miss Wolf
799496	221324	Mrs. Bodyne
799496	269952	Jaspera
799496	310605	
799496	316305	
799496	360465	Yvonne Mihalic
799497	342510	Vera
799498	240213	Karola
799499	229220	Mala Sofija
799500	240087	
799501	29867	
799501	374150	Dead woman
799502	215125	
799503	222441	Violoncelo
799504	134763	
799505	81509	
799506	369419	
799507	85165	
799507	312623	
799508	64357	
799509	131026	Isak Keyten
799510	328699	
799511	48008	
799511	273690	Bugyna
799512	227774	Zaneta Kromfeldová
799513	235236	
799514	25426	
799514	81425	Hofsztajnowa
799514	93856	Ghost of Julian's Mother
799514	174880	Dancing Instructor
799514	179183	Turist
799514	181386	
799514	197509	Girl
799514	207891	
799514	242686	Professor Gurgenidze
799514	244042	Rabina
799514	262508	
799514	293700	Tekla
799514	311894	
799514	363512	
799514	365126	Hortensja Vitie
799514	369345	
799514	393306	Lusia Stawska
799514	411110	Teresa
799515	330177	Young Female Executive
799516	5018	Lorna Carter
799517	178909	Luce
799518	274521	Imelda (Ma) Clemson
799519	396582	Herself
799520	195313	Child Judge #4
799521	305007	Herself
799521	411759	Amy (1989-1990)
799522	45296	Diane
799523	97644	Teenager
799524	6146	Eve #6
799524	138987	Leodora
799524	337780	Doris Clayton
799524	349988	Laurie's friend
799525	185202	Nurse Pugh
799526	340765	Female Guard
799527	46605	Mary Brown
799527	215058	Mrs. Bulpitt
799527	303991	Mrs. Jackman
799528	241444	
799529	303754	Mickey Kincaid (Sammy's frien
799529	404639	Ruth Palmaro
799530	250514	Children's Ward Patient
799531	240783	Self
799532	316648	Receptionist
799533	27235	
799534	27235	
799534	257295	Stewart
799534	310800	3rd Waitress
799535	108529	Pauline
799535	314635	Horney Annie
799535	320782	
799535	323409	Shirley Riley
799535	323410	Shirley Riley
799535	365294	
799536	383803	Herself (segment "The Great W
799537	165556	Baby Janice
799538	358477	Kealoha
799539	232440	Girl in graveyard
799540	182980	Hooker#3
799541	130154	Alta's Girl #1
799542	5488	Grandma
799542	23254	Wilhelmina Bertha Packard
799542	23255	Wilhelmina Bertha Packard
799542	23256	Mrs. Packard
799542	23257	
799542	45860	Grandma Tyler
799542	49441	Dobish, Bullworth's Secretary
799542	55738	Lydia
799542	75005	Fay
799542	79844	Woman at Club
799542	92263	Dry Cleaner's Wife
799542	118018	Mrs. Gould the Landlady
799542	131852	Waitress
799542	186255	Emily Greenwood
799542	208631	Ebba
799542	212834	Adele
799542	238228	Hattie
799542	245468	Ticket agent
799542	264469	Pearl
799542	269859	Cynthia Corman
799542	338298	Ma Firpo
799542	340472	Granny
799542	348375	Ella Friedenberg
799542	381316	Bernice Fish (1975-1977)
799542	385719	sobbing Josette (1966-1967) (
799542	386393	Grandma Ethyl Phillips
799542	388820	Bernice Fish
799542	392134	Mrs. Packard
799542	393589	Aunt Josephine
799542	398741	Judge Margaret W. Wilbur
799542	399834	Dr. Riskin (1991-1992)
799542	405394	Muriel Lipschitz
799543	277073	Woman carried by gill man on 
799544	116360	
799544	247930	
799544	306841	
799545	328630	Bowling Queen Wanda
799546	64659	Swimmer
799547	87867	Maude
799548	11514	Helene Hale
799548	22185	Jeannie (girl in diner)
799548	29074	Cynthia Turner
799548	46696	Carol Preston
799548	55466	Peggy
799548	79635	Polly Crockett
799548	85676	Connie Wyatt
799548	87111	Airline stewardess
799548	93240	Mimi
799548	98317	Gloria
799548	128897	Sally
799548	144449	Specialty
799548	147536	Yvette Baranga
799548	218782	A Jivin' Jill
799548	223829	Miss 'Clay' Pidgeon
799548	241428	
799548	250724	Jivin' Jill
799548	279534	Marcy Parker
799548	306343	Connie (Harry's first girl)
799548	331763	Susan Dorsey
799548	358273	Eadie Jordan
799549	162459	Camille
799550	239750	
799551	202510	Sister Diane Shaw
799552	38512	Esther
799553	291708	Secretary 2
799553	293267	Rhoda
799554	133726	
799555	131061	Jenna - Pennytree Girl #6
799556	119227	Goldie
799557	305007	Herself
799557	335301	Nancy James
799557	411759	Jill (1989-1990)
799558	196921	Receptionist
799558	379342	Various
799558	400735	Herself (2003)
799559	23450	Drowning Woman
799559	403244	Sarah Williams
799560	358374	Lisa
799561	30071	
799561	31665	
799561	34700	
799561	36571	
799561	49217	
799561	53192	
799561	53218	
799561	56821	
799561	63429	
799561	65123	
799561	72748	
799561	93117	
799561	96961	
799561	107405	
799561	109592	
799561	131737	
799561	147388	
799561	147855	
799561	148974	
799561	152189	
799561	207684	
799561	207707	
799561	230664	
799561	270642	
799561	280362	
799561	282330	
799561	283381	
799561	305631	Bathing Beauty
799561	318367	
799562	3046	Herself (Memorial Tribute)
799562	47385	Herself
799562	56748	Big Mama
799562	92765	
799562	115247	Della
799562	118763	Lillian Farmer
799562	130106	Emily Ann Faulkner/Rita Shawn
799562	278259	Pancho Barnes, Owner of Panch
799562	291886	Myra
799562	331610	Masha
799562	334212	Narrator (Scout as an adult)
799562	343884	Joanna Hanson
799563	381514	Herself (2001)
799563	398050	(5th Eliminated) (2003)
799563	410947	Herself
799564	67606	Gracie
799564	223751	Penny
799564	323443	Shoe Customer
799564	329411	Widow
799565	144860	
799565	198829	Debbie
799565	316186	Cindy Fortier
799565	395933	Betsy Allen
799566	75404	Mrs. Small
799566	138659	Miss Curtis
799566	330420	
799567	200910	Self
799567	333232	Self
799567	334388	Dr. Weyman
799568	326681	Bambi
799569	18589	Prison Officer 2, Holloway
799569	123874	Attacker's Friend
799569	190000	Maid
799569	250450	Young Mo
799569	274994	Sonya
799570	52431	Girl on Bus
799570	56226	Young Woman
799570	60946	Ruth Adams
799570	77951	Maria, Tony's Daughter and Kl
799570	95366	Betty McKay
799570	121358	Alice, Newstand Cashier
799570	130624	Probationer
799570	132474	
799570	134070	Hospital Switchboard Operator
799570	135823	Gail Dawson Stockton
799570	135829	Ruth Adams
799570	136051	Nola Day
799570	147650	Bit Role
799570	163513	Cigarette Girl
799570	183579	Girl in Sailboat
799570	184428	Connie Mitchell
799570	184487	Carole Howard
799570	186405	Letty Cranston
799570	206472	Partridge's Secretary
799570	223654	Bit Role
799570	239064	
799570	241025	Ruby Norton, Student Nurse
799570	243339	Margaret Mason
799570	246606	Phyllis Parker
799570	252218	Woman
799570	253476	Dixie Green (uncredited)
799570	256378	Helen Jones
799570	277996	Louise Rogers
799570	302642	Madge Summers
799570	304258	Madeleine Lewis
799570	313833	Co-ed Flo
799570	332025	Betty Andrews
799570	333318	Edith
799570	361301	Millie
799570	362792	Girl
799570	373192	Louise Howard
799571	219250	Morgan's Mom
799572	40005	Mrs. Fulton
799572	50207	2nd Shopper
799572	54936	Ricky's Nan
799572	128891	Irene
799572	160713	Christina's mother
799572	182989	Mrs. Blenkinsop
799572	396009	Lady Chernock
799573	210514	Nurse Lucy
799573	388209	Dolores Molloy II
799574	211961	Quicky-Mart Girl
799574	322417	Warspite Attendent
799575	45673	
799575	204737	
799576	192805	Nurse
799577	79590	Queen Victoria
799577	185304	Governor's lady
799577	205787	Queen Victoria
799577	245973	Miss Carey
799577	333328	Kay Crandall
799578	116905	
799579	183445	Fay
799579	229505	
799579	330342	Juliette
799579	387309	Eileen Goodman #2 (1981-1982)
799580	39910	Nurse Daphne
799580	68280	Olga
799580	142611	
799580	143429	Mrs. Curtis
799580	166359	Mrs. Whitelaw
799580	186277	Lady Sybil Minden
799580	186798	Singer
799580	194173	Bettina Colby
799580	196390	Prospective Investor Wife
799580	231107	Miss Clare
799580	241330	Lucille
799580	300910	Laura
799580	300938	Della
799580	323435	Mrs. Stoffer
799580	329408	Jane
799580	329936	Elsie Mutch
799580	330192	Lily Bernard
799580	332042	Nurse Phillips
799580	335648	Tamara
799580	360500	Gina Cavendish
799581	340919	Mrs. Stanhope
799582	41277	Mrs. Havershamp
799582	58086	Talk Show Host
799582	252862	Mrs. Havershamp
799582	323892	Sandy
799583	42732	Kimberly
799583	106628	Eloise Dalton
799583	112369	
799583	154739	Nurse
799583	164983	Laurie
799583	213019	
799583	218799	Susan Kaplan
799583	242105	Denise Summers
799583	291891	Aunt Jenny
799583	346276	Sally
799584	11521	Babs
799585	360436	Margo's Mother
799586	78121	Inmate
799586	136128	Romrod Production Assistant
799586	138316	
799586	235639	Julia Serrano
799587	208649	Maria
799587	325392	Farida
799588	116130	Joyce
799588	256128	Wife/Sweetheart
799589	211336	Yasmin Randall
799590	118329	Jean
799591	59235	Lady Evelyn
799591	279971	Mademoiselle Davidson
799591	294771	
799591	302178	
799592	39327	Denise
799592	72504	Claire
799592	73989	Joanna Preston
799592	185369	Ms. Starr
799592	192160	
799592	292335	Lorraine Rafeedie
799592	299722	Joy
799592	358358	Shannon
799592	380391	Remy Woods (1998-1999)
799593	61765	The Children of the Corn
799593	400696	
799593	411850	
799594	364425	Mrs. Barton
799595	161061	Freddie's Mom
799596	108516	Mrs. Van Graft
799597	36862	Connie
799597	54629	TV Newscaster #1
799597	63066	Newswoman
799597	80692	Newswoman
799598	40053	Party Goer
799599	85616	Martine
799600	339314	
799601	64357	
799602	47395	
799602	132162	Anka ... sluzavka
799602	150531	
799602	173655	
799602	223881	Mother
799602	261353	Silija
799602	280906	Girl
799602	312623	Natasa
799602	324268	Manetova sestra
799602	339307	Ruza
799602	373563	
799602	386659	Mikica
799602	411900	Mlada doktorka
799603	353303	Gina
799604	392551	
799605	31856	Kala
799605	185588	Receptionist
799605	190083	Bailiff
799605	315147	Postmasters Clerk
799606	315513	Paswolski Twin
799607	315513	Paswolski Twin
799608	287509	Elle's Mother
799609	287509	Rosie Warick
799610	29523	Kimba
799611	241368	Judy
799612	292266	Sandra Dee
799613	71760	Ma Brand
799613	117086	
799614	199140	Saloon Girl
799615	52851	
799616	292266	Sandra Dee
799617	335807	Singer
799618	367970	Entertainer
799619	34914	Greta
799619	79007	R.J. Tilda
799619	90932	Warhol Eurosnob
799619	93975	Kara
799619	110170	Miranda
799619	129186	Julie
799619	230027	Lu
799619	245454	Joanne
799619	294195	Paula
799619	314225	Duvray
799619	321097	Michelle Flynn
799619	321728	Julie
799620	125918	Maria Rossetti
799621	68112	Herself
799621	77619	Herself
799621	119411	Herself
799621	321482	Joan Woodcock
799621	382536	Herself (Judge)
799622	78980	Lisa
799623	87397	Maria
799623	201410	Molly's mother
799623	252919	Woman
799624	52893	
799624	243045	Viviana
799624	383784	Beatrice LeGoff
799625	35253	Child at Pool
799626	104930	Waitress
799627	176784	Margo
799628	347348	Matron Ingoldsby
799629	340582	Girl On Couch
799632	193932	Mrs. Stewart
799632	312270	Aggie
799632	332821	Counselor
799633	69417	Bridesmaid
799634	246705	Daloris
799634	347113	Grandma
799635	304355	
799636	230301	Elayne
799637	308373	Flo
799638	119484	Gabrielle
799639	36996	Rita
799639	118303	Rita Holloway
799639	170795	Oma
799639	230756	Alma Mae
799639	254470	Wanda
799639	318160	Vera
799640	250449	Tennis player
799641	119518	Carla (Matty's terrifyingly m
799642	17941	T.V. Interviewer
799642	264439	K.K.
799643	122214	Street Mutant
799644	92513	Dress admirer
799644	254761	Photographer
799644	356792	Laura Nash
799645	55708	Rose Harper
799646	150999	Mary
799646	246859	Brenda
799648	35148	Deborah
799649	148255	Young Joanne
799650	223752	Movie Goer #2
799650	265749	Henrietta
799651	303094	Ozma
799652	157117	
799652	187343	Madame Tullio
799653	65134	Chamber
799653	133595	Clara
799653	345857	Waitress in Tea Room
799654	264488	
799655	400110	Fleming's Maid
799656	383014	Herself
799657	185297	Jen Bonner
799658	185297	
799659	2266	
799660	38872	Extra
799661	32131	Louise
799661	128891	Jane
799661	208694	Nance Mockridge
799661	263792	DS Cromwell
799661	291529	Prison Officer #1
799661	296900	Lecture Committee
799661	347348	Maggie Roberts
799661	358703	Evelyn Robe
799661	386991	Rose
799661	387247	DCI Jill Marsden (2001, 2002-
799661	389981	Waitress
799661	401603	Claire Persey
799661	408644	WDS Denise Wright
799661	411199	Dilly
799662	55550	Contortionist
799662	326649	Rose Gordon
799663	55689	Demon King's Vision
799663	83980	Model
799663	117115	
799663	214641	Girl in Barbershop
799663	298056	Sally
799663	348358	Virginia
799664	251770	Gypsy Belle
799665	97995	The Girl
799666	162935	
799667	12394	TV Anchor Sheila Coseo
799667	14157	Tara
799667	147867	Woman #1
799667	304447	Dave's Mom
799668	83693	Barbara Taylor
799668	127080	Princess Maria Theresa
799668	133380	Señorita Maruja Saltonstall
799668	206836	Nurse Agnes
799669	2750	Herself (Co-Presenter)
799669	2785	Herself (Honorary Award Recip
799669	11277	Naomi Murdock
799669	12764	Margot Weston
799669	13910	Herself
799669	13921	Herself
799669	17771	Annie Oakley
799669	25868	Pauline 'Polly'/'Pol' Fulton
799669	26337	Lily Powers
799669	28441	Katherine 'Sugarpuss' O'Shea
799669	29288	Pearl Holley
799669	29658	Herself
799669	38986	Megan Davis
799669	41574	Marina Conway
799669	46324	Valentine 'Val' Ransome
799669	46775	Carolyn Martin
799669	46777	Sally Warren
799669	47359	Fan dancer
799669	52251	Lily Bishop
799669	56579	
799669	57042	Sierra Nevada Jones
799669	63029	Elizabeth Lane
799669	65224	Mae Doyle D'Amato
799669	74251	Sandra Marshall
799669	91758	Phyllis Dietrichson
799669	96861	Jessie Bourne
799669	103328	Gwen Moore
799669	105070	Mary Archer Wilbrandt
799669	105729	Julia O. Treadway
799669	112745	Thelma Jordon
799669	115256	Joan Stanley
799669	117340	Lulu Smith/66
799669	118039	Jessica Drummond
799669	121982	Vance Jeffords
799669	123350	Jennifer 'Lady' Lee
799669	124767	Fiona Gaylord
799669	130722	Lorna Moon
799669	131677	Herself
799669	133703	Hannah Sempler
799669	145822	Rita Wilson Claybourne
799669	147663	Herself
799669	147716	Herself
799669	147889	Herself
799669	151150	Ruth Bennett
799669	156468	Anne Vincent Ives
799669	160971	Janet Haley
799669	166839	Helen Stilwin
799669	183403	Kay Arnold
799669	183435	Nan Taylor, Alias of Nan Elli
799669	183627	Jean Harrington/Lady Eve Sidw
799669	183663	Joan Boothe
799669	183760	Deborah Hoople, aka Dixie Dai
799669	188642	Geraldine Parkington
799669	193264	Ann Carter
799669	194892	Marian Ormsby Forrester
799669	195613	Herself
799669	199217	Melsa Manton
799669	203622	Lorna Bounty
799669	208246	Kit Banion
799669	209592	Ann Mitchell
799669	211780	Raphaelita Maderos
799669	212181	Mexicali Rose
799669	214983	Florence 'Faith' Fallon
799669	216670	Melsa Manton
799669	218797	Rela
799669	224273	Jessica Drummond
799669	232012	Lora Hart
799669	232302	Irene Trent
799669	233684	Helen Ferguson/Patrice Harkne
799669	243950	Herself
799669	244357	Karen Duncan
799669	258209	Nora Clitheroe
799669	267033	Herself
799669	267423	Joan Gordon, aka Francine La 
799669	274299	Drue Van Allen
799669	275452	Lee Leander
799669	282463	Maggie Morgan
799669	291327	Herself
799669	292320	Ruth Vincent
799669	299801	Kitty Lane
799669	305042	Herself
799669	306397	Selina Peake De Jong
799669	309286	Leona Stevenson
799669	314354	Stella Martin 'Stell' Dallas
799669	316123	Martha Ivers
799669	325234	Miriam Jennings
799669	327671	Barbara O'Neill
799669	329546	Herself
799669	330004	Norma Miller Vale
799669	330097	Ann Dempster
799669	330768	Lil Duryea
799669	333851	Julia Sturges
799669	334272	Regina Forbes
799669	340327	Cora Sutliff
799669	343022	Sally Morton Carroll
799669	347128	Mollie Monahan
799669	350645	Herself
799669	354852	Martha Wilkison
799669	358583	Jo Courtney
799669	366996	Cheryl Draper
799669	367511	Shelby Barret Wyatt
799669	368599	Herself
799669	372081	Helen Hunt
799669	381271	Herself/Various Characters (1
799669	381998	Victoria Barkley (1965-1969)
799669	384582	Constance Colby Patterson (19
799669	408096	Mary Carson
799670	79168	Ebba Pedersen
799670	390705	Helga König
799671	33835	
799671	63271	
799671	63583	
799671	63629	
799671	89786	
799671	104413	
799671	156006	
799671	163149	
799671	164039	
799671	185960	
799671	217097	
799671	229083	
799671	237526	
799671	239916	
799671	253632	
799671	258380	
799671	258796	Darya
799671	259056	
799671	259809	
799671	265047	
799671	265939	Darya
799671	280393	
799671	280396	
799671	301795	
799671	341184	
799671	341214	
799671	343341	
799671	357216	
799671	357331	
799671	370920	
799671	374845	
799673	178455	
799674	155248	Additional Soul
799675	125322	
799675	142012	Klein Rosmarie
799675	189433	Franziska 'Franzi' Zeller
799676	16776	
799676	20460	Lawyer
799676	64207	Mother
799676	72237	Additional Voices
799676	98675	
799676	123054	Additional Voices
799676	127412	Youshi Sumenju
799676	138135	Restaurant Lady, Additional V
799676	178136	Hardware Mom
799676	206149	Church Woman
799676	235675	Stella
799676	245113	Motel Manager
799676	252839	
799676	283534	Freya
799676	283624	Additional Voices (Manga Vide
799676	294394	Rydia Cooley
799676	316097	Director
799676	362397	
799676	381960	Kelly Fitzgerald (Season 2)
799676	385151	Annie
799676	393552	Additional Voices
799676	393665	Voice
799676	394424	Cima Garahau
799676	400576	Additional Voices
799676	404060	
799676	404879	
799676	408893	
799677	70695	
799678	178196	Jennifer
799678	208965	Shelly
799679	265901	employée supermarché
799681	325427	
799682	333375	Ellen Winters
799683	137223	Dancer
799684	290449	
799685	291976	Herself
799686	375688	
799687	95101	Jornalist
799688	45635	Denise (The Disco Years)
799688	87596	Denise
799688	295185	ER Nurse
799688	382487	Cynthia
799689	295185	Deana (Cool! Girl)
799690	237045	Pretty Lady
799691	73959	Bonnie
799692	308092	1st Woman at Party
799693	333868	Nurse
799693	391759	Laura Davis (2002)
799694	150054	
799694	390144	Zodiac (1993-1996)
799695	52204	Jenny
799695	387533	June Worrel (1998) (May)
799695	392942	Jill
799696	323983	Liz
799697	132562	Melody Cool
799697	190571	Herself
799697	220212	Herself
799697	266561	Herself
799697	284013	Herself
799697	285060	
799697	309473	Herself
799697	309549	Herself
799697	309596	Herself
799697	360109	Herself
799698	128786	Herself
799698	297242	Stripper #1
799698	367873	Stripper
799699	69771	Maribel
799699	174520	Teenage Girl
799699	294918	Val
799700	314441	Violinist
799702	382254	Delivery Nurse
799702	403976	Various
799702	408879	Eva
799703	308038	AJ
799704	33004	Mother
799704	38270	Michelle
799704	45651	Donna
799704	65938	Clair
799704	354886	Lynda
799705	81205	Homeless Woman
799706	32364	Becky
799706	44989	Jassie Garfield
799706	77127	
799706	281800	Young Jenny
799706	389873	Sophie
799706	389874	Sophie
799706	399130	Amy Greenwood (1997-2000)
799707	2261	Herself - Winner
799707	2279	Herself
799707	11298	Herself
799707	11299	Herself
799707	16660	Betty Eaton
799707	24224	Mary Dobkin
799707	26256	Byrd
799707	33689	Sue
799707	48719	Mrs. Price
799707	58940	Mrs. Dunbar
799707	64572	Herself (performer)
799707	66978	Mrs. Wappler, Antique Shop Pr
799707	77448	Sister Miller
799707	80518	Ariadne Oliver
799707	98810	Eleanor Roosevelt
799707	113803	Henny
799707	121861	Herself
799707	127134	Mildred
799707	131424	Herself
799707	134752	Helen
799707	136972	Lenora Tolliver
799707	161267	Herself
799707	162602	Isabel Cooper
799707	175525	Herself
799707	175534	Herself
799707	178813	Goldfarb's Secretary
799707	190709	Mrs. Irene Silverman
799707	190886	Mrs. Coons
799707	208067	Irene
799707	212687	Pansy Milbank
799707	219931	Mother Goose
799707	248567	
799707	258513	Mrs. Jenkins
799707	267605	Lorraine
799707	308121	Shirley Johnson
799707	308126	Miss Tweed
799707	323147	Mrs. DeCamp
799707	330207	
799707	330772	
799707	339418	Landlady
799707	348375	Sadie Finch
799707	358374	Herself
799707	372148	Penny Sycamore
799707	372372	Birdie Conrad
799707	379713	Edith Bunker
799707	380570	Edith Bunker (1979)
799707	381135	Jasmine Zweibel
799707	381471	Beakman's Mom (1995-1996)
799707	383711	Co-host - part I
799707	388202	Fairy Godmother
799707	388202	Giant's wife
799707	390599	Edith Wilson
799707	398427	Mrs. Piggle-Wiggle
799707	409121	Herself
799707	411358	Gwen
799708	85045	Athaliah
799709	158314	Karen
799709	221043	Lucy DeVrees
799709	251237	
799710	131723	Julie's mum
799711	133691	Audrey Malvern
799712	166071	Bit part
799713	292	Ma Kelly (This Is The Life)
799713	294	Ma Kelly (This Is The Life)
799713	295	Ma Kelly (This Is The Life)
799713	1481	Herself - Presenter
799713	2785	Herself - Best Supporting Act
799713	6262	Nana
799713	9129	Inez Guerrero
799713	10745	White Queen
799713	11515	
799713	13649	
799713	14612	Mary O'Meaghan
799713	21166	Herself
799713	47385	Herself
799713	50124	Herself
799713	50974	Mae Petersen
799713	56747	Big Mama
799713	66556	Marilyn Luckett
799713	66557	Marilyn 'Mary' Luckett
799713	71313	Mother Earth
799713	86504	Mother
799713	89365	Helium Balloon Saleslady
799713	98920	Grandmother
799713	108367	Maggie Lukauer
799713	108474	Belle Goldman
799713	121359	Vee Talbot
799713	124503	Kate Thornton
799713	124504	Kate Thornton
799713	141416	Vera
799713	160855	Pearl
799713	168675	Ma Kelly
799713	175522	Herself
799713	175528	Herself
799713	185294	Ida Cutler
799713	185766	Ida Rollin
799713	188618	Betty Miller
799713	189265	Frances Liberace
799713	191017	Sarah Bush Lincoln
799713	191862	Nurse Emma Kieslich
799713	192685	Mrs. Lundt
799713	193799	Fay Doyle
799713	194708	Jemmy
799713	199499	Aunt Lisa
799713	215644	Tanta Perla
799713	217993	Estelle
799713	218547	Herself
799713	224383	
799713	232017	Herself
799713	236982	Rose Kirk
799713	240838	Mary the Bag Lady
799713	257903	Karen Nash
799713	264830	Dr. Liz Bolger
799713	269372	Beatrice 'Bea' Asher
799713	274525	Emma Goldman
799713	283492	Mrs. Shandig
799713	294358	Ruthie
799713	318748	Hermie's Mother
799713	321247	Lillian Garber
799713	327250	Connie
799713	337381	Mrs. Cavour, the Gardener
799713	339707	Mary O'Meaghan
799713	357082	Mother Earth
799713	357488	Beatrice Carbone
799713	365119	Wilbur Falls High Secretary
799713	408098	Peggy/Mrs. Hamilton
799713	410875	Herself/panelist
799714	63489	Mandy
799714	71905	Ilsa
799714	80562	Briana
799714	88922	Mandy
799714	114511	Floozy
799714	131723	Julie
799714	138563	Gretel
799714	163374	Kelly
799714	177015	Kerry Wyman
799714	186200	Julie
799714	306275	Snow White as a child
799714	309890	Sal
799714	348599	Kerrie
799714	380880	Audrey
799714	387247	Mandy Salter (1992-1994)
799714	405387	Sally
799714	411823	Joe Nardone
799715	158873	Amanda Freeling
799716	123866	
799716	236362	Miss Tranfield
799717	395478	Li'l Elvis Jones (voice - sin
799717	399130	Trixie Tucker/Carpenter (2003
799718	26397	Angelica
799718	27363	10 Year Old Francesca
799718	209133	Taylor Wedell
799718	336692	Sophie Rohan
799719	93982	
799719	228778	Guest #1
799719	236959	Mrs. Ingrid Stahlbaum
799719	386281	Host
799719	392857	Regular
799720	26397	Angelica
799721	2649	
799721	7110	Queen Guinevere
799721	16042	
799721	31049	Caroline Pelham
799721	40484	Janet Masters
799721	41800	Policewoman calling Mayo
799721	42049	Woman
799721	52410	Future Woman
799721	57729	
799721	67577	Woman #2
799721	79352	Woman Getting Dressed
799721	99449	Lady in red on Christmas Eve
799721	99856	Mrs. Young
799721	108925	Girl
799721	124496	
799721	128332	Tall Blonde
799721	135803	Rose
799721	155033	Spectator
799721	156456	Night Orderly
799721	159023	Hysterical young woman
799721	168929	Nurse
799721	170401	Cliff's secretary
799721	181154	Nurse
799721	184817	Scenes deleted
799721	188265	
799721	189957	Mother in laundromat
799721	191038	Cameo Girl
799721	206466	W.A.C.
799721	215534	Bit Part
799721	218394	Connie Blake
799721	254283	Girl
799721	260883	Technician
799721	265104	Bella
799721	277222	
799721	278403	Dancehall Girl
799721	281380	
799721	281997	Matron
799721	285393	Mrs. Ford
799721	289413	Alice Yoland, fallen star
799721	292463	Clara
799721	299678	
799721	314262	Travel Agent
799721	318441	Southern Blond
799721	321713	Duchess De Villefort
799721	361549	Min, the tall blond
799721	365490	
799721	366929	Neighbor's Wife
799721	372502	Blonde woman
799722	533	
799722	16230	Mascha
799722	24096	Erika Sarre
799722	32396	Diane
799722	33849	Maria
799722	34417	
799722	35306	Dina
799722	38386	Ulla
799722	84589	Viktoria Herrmann
799722	95264	Felicitas (18)
799722	98367	Lena
799722	129743	Fine
799722	150696	Yvonne
799722	163749	Charlotte Berg
799722	177377	Susie
799722	190136	
799722	204581	Monika Mann
799722	208165	Sibylle
799722	259654	Tina
799722	273752	Camilla Wentland
799722	281970	Maxi
799722	282162	Ginnie
799722	294574	Natascha
799722	312884	Sandra
799722	325492	Cynthia Stern
799722	325580	Judith Klee
799722	325595	Sabine
799722	325811	Tatjana Matthies
799722	325877	
799722	352321	Stefanie Schucht
799722	361039	Annette
799722	376423	Valerie
799722	389942	Eva Körber
799723	6408	Une starlette du roman-photo
799723	13273	
799723	390180	
799725	130459	
799726	204386	K.C. Grimes
799727	105457	Autumn the Vampire
799728	40504	Karen
799729	7749	
799730	42673	
799730	57667	
799730	57940	
799730	57941	
799730	65874	
799730	75191	
799730	115083	
799730	124279	
799730	128814	
799730	130787	
799730	219043	
799730	262716	
799730	270640	
799730	274378	
799730	295656	
799730	313255	
799730	323138	
799730	331824	
799730	357158	Herself
799730	366825	Herself
799731	154187	
799732	117454	Sexy Student
799733	1230	
799733	1241	
799733	26118	
799733	67117	
799733	75059	
799733	87386	
799733	104406	
799733	160993	
799733	237110	
799733	240824	
799733	247989	
799733	255160	
799733	306908	
799733	332850	
799733	353685	
799733	372813	
799737	170641	
799738	68609	Garota do carro
799739	128851	
799739	311162	
799740	87057	
799741	8980	
799742	48868	Maria
799745	103163	Muchacha 6
799746	81807	
799746	295854	Herself
799746	334735	
799746	353739	
799746	369332	
799747	72801	
799750	11621	
799750	30034	Blonde Canadian Teen
799750	75028	
799750	87236	
799750	91761	
799750	110476	
799750	123816	Judy Star
799750	162375	
799750	170787	
799750	188948	Judy
799750	305233	Judy
799750	306917	
799750	312383	
799750	372475	
799752	178863	
799753	37691	Auditioning Girl
799753	56546	
799753	75789	Prostitute #1
799753	117960	
799753	158999	Woman on roof
799753	214917	Miss Iraq
799753	222361	Flight Attendant
799754	239628	
799755	33034	
799755	332857	
799756	6261	
799756	34768	Herself
799756	41632	
799756	83962	
799756	205843	
799756	245782	
799756	302940	
799756	361243	
799758	67143	
799760	33399	Herself - Backing Vocals
799761	69975	
799761	149629	
799761	254088	
799761	254130	
799761	356407	
799763	370248	
799766	44153	
799768	327137	
799768	342445	
799771	108711	Penny
799772	83988	Medusa
799773	39210	
799773	247991	
799775	230743	ICU Nurse
799775	398465	Clytemnestra
799776	113674	
799776	121888	Girl at the masked party
799776	229601	Brunetta
799776	302517	Shop assistant
799777	134637	
799777	387615	La grand-mère
799778	6296	La madre di Dorina
799778	6298	
799778	13067	La contessa Bianca Lotti
799778	52118	Giovanna Dini, l'ostetrica
799778	52873	
799778	55165	Mamma Ada, la fattuchierra
799778	57333	Anna
799778	69218	
799778	86334	(segment "Onora il padre e la
799778	94675	Mamma Rosa
799778	106818	
799778	109342	
799778	113445	La governante contadina
799778	121941	Priest's Sister
799778	125360	Mamma Grazia
799778	126203	Signora Genoveffa Martin
799778	160056	
799778	163034	
799778	188602	
799778	217757	
799778	227573	
799778	230006	
799778	230080	La nonna di Anna
799778	234557	Assunta
799778	236187	
799778	238286	
799778	251626	La madre di Maria
799778	260044	La madre superiora
799778	263917	Zia Giovanna
799778	265189	
799778	269074	Sua madre
799778	274483	
799778	278023	Signora Egle
799778	286977	Donna Provvidenza, farmer's w
799778	301384	La nonna di Iris
799778	352638	
799778	356898	Suora
799778	377589	Luisa, Bacchi's aunt
799780	308482	
799781	406702	Additional Voices
799782	287944	Flo Goodrich
799783	37031	Hostess
799783	219638	Linda Hollyhead
799783	300573	Stewardess
799784	238687	Mrs. O'Flaherty
799784	368416	Cleaning Lady
799785	32182	Mrs. Potts
799785	75717	Interviewer
799785	128711	Herself
799785	230947	Ice Skater
799786	76256	
799786	97232	Bar Patron
799786	333915	Katy Kincaid
799787	352784	
799788	339085	
799789	26633	IBM Girl
799789	59527	
799789	186151	Natalie Morgan
799789	217471	
799791	244106	
799791	321767	Zosia
799791	375498	
799792	190803	
799793	340228	Woman Of Troy
799794	75733	Shelby
799794	296552	The Diamonds
799795	16447	Street Girl
799796	965	Aunt Debbie
799796	14230	Elderly Woman in Restaurant
799796	166917	Former Girlfriend
799797	112723	
799797	121708	
799798	24835	Teresa
799798	56922	Una cameriera di casa Silvagn
799798	90068	
799798	94661	Un'attrice del teatro
799798	291547	
799798	353066	Armida
799799	339345	Kati
799800	35854	
799800	323322	
799800	350739	
799800	370191	
799800	371001	
799800	375666	Zosya Sinitskaya
799800	382445	
799801	245102	Herself
799802	265775	Emergency Room Receptionist
799803	374427	
799804	176057	
799804	237527	
799804	298305	
799805	12474	Lisa Sperling
799806	347373	Party Guest
799807	121404	Woman on Street
799808	158232	Young Anne
799809	61844	
799810	365761	Willa
799811	317864	
799811	360370	
799811	368796	Girl
799811	369431	
799812	316261	Aunt Lotte
799813	385626	Co-Host
799814	80034	
799815	4369	Townswoman
799815	41504	Queen
799815	140356	Whistler's Mother
799816	347373	Mrs. Matinelli
799818	305223	Mrs. Fortune
799819	155888	Second Hand Rose Clerk (segme
799820	34624	
799822	7512	
799822	12766	Girl
799822	42068	Jitterbug
799822	42731	
799822	73134	Maisie, Switchboard Operator
799822	78185	Student Nurse
799822	87990	Cigarette Girl
799822	139214	Girl
799822	202248	Student
799822	222733	Woman performer backstage
799822	239405	Jean Walton
799822	241561	Party Guest
799822	329329	Secretary
799822	366369	High Schooler's Sweetheart
799823	411532	Isabella (child)
799824	395667	Sarah Ziegler (1987-)
799825	346171	Wardrobe lady
799826	7213	Mrs. Tait
799826	92099	
799826	92256	
799826	127311	Wendy Stott
799826	171013	Dancer's Wife
799826	213315	
799826	222603	Molly
799827	214662	Cindy
799828	13884	Model 1
799828	44330	Female CO
799828	46847	Keza Blameni
799828	73193	Lt. Sylvestri
799828	75807	Woman Hostage
799828	75808	Gloria Alvarez
799828	77983	Mercenary #6
799828	115323	Detective #3
799828	142524	Waitress 1989
799828	188496	Farida
799828	232067	Venna
799828	265597	Carla
799828	292400	Susan
799828	328284	Lianna
799828	337849	Police station receptionist
799828	343659	Alsina
799828	367551	Nurse Vivian Donner
799828	391953	Benny
799828	405159	Geraldine Crump
799829	6573	Ana
799829	11283	Jennifer Ready
799829	97023	Hazel
799829	98892	
799829	98912	Girl in Soap Opera
799829	99917	Emily Foster
799829	274079	Herself
799829	274080	Herself
799829	280279	Bridesmaid
799829	384528	Miss Scarlett (Series 2) (199
799830	42687	Young Jacy
799830	179005	Kleines Mädchen
799831	234240	
799831	351439	
799832	403805	Cammy (1998-1999)
799833	965	2nd Tutor
799833	107552	Jack's Wife
799834	357102	Old Woman
799835	192425	
799835	203670	Little Girl
799835	393428	Marilyn Elliot
799836	78002	
799837	361154	Pianist
799838	59350	Party Guest
799839	92095	Television Reporter (Tina Bra
799839	199450	Herself
799839	319357	Herself (Sideline Reporter)
799839	399358	Herself - Sideline Reporter (
799840	72462	Newlywed
799841	362473	Wife
799842	47390	Linda
799842	130994	
799842	225265	
799842	259671	
799842	325691	
799842	350857	Karla
799842	387079	
799842	393406	Hanna Hassencamp
799842	410162	Sonja
799843	402046	Annmarie Seidel
799845	141506	Crystal, as child
799845	299729	Nell Maxwell (child)
799845	300010	
799845	348083	
799846	100126	Herself
799847	312981	Miss Cooper
799848	13397	Older Woman (segment "The Ama
799848	65099	Waitress at Newark diner
799848	385824	Sharon Duval (1976-1977)
799848	396088	Kate Swanson (1969-1975)
799850	105472	
799851	178896	John's Mother
799852	122183	COPS officer
799852	269850	Denise
799853	121138	
799853	189820	
799853	193301	The Child
799853	204367	Sascha
799853	223485	
799853	253899	
799853	264347	Princess Sissy
799853	293554	Elisabeth Klar, called Peter
799855	93064	Jenny
799855	397899	Hilary Earl
799855	403951	Dr. Lister
799855	407105	Helen Matheson (1975-76)
799856	319302	Ella
799857	361358	
799858	399130	Sheena Wilson (2000-)
799859	321486	Tina's Mother
799860	309860	Singing Jerome
799861	212618	
799861	333882	Molly
799862	1381	Herself
799862	6789	Joan Lackland
799862	10586	Betty
799862	20110	Wyllis Hyde
799862	20255	Katherine Keith
799862	23310	Jenny
799862	46997	Patsy Delaney
799862	47449	Marcene Elliot
799862	54573	Bess Morgan
799862	60308	Abigail Deady
799862	69613	Sandy
799862	71912	Marge O'Doone
799862	77626	
799862	77627	Johala Chandler
799862	78046	Delight Haverford
799862	78527	Nurse Marjorie Vernon
799862	79339	Angele
799862	84978	Far Sampson
799862	106641	Ruth Melier
799862	106657	Rita Ashling
799862	107786	Favorite of the harem
799862	115913	Jeanne D'Arcambal
799862	117406	Anna
799862	117800	Dixie LaRose
799862	141508	Chrystal
799862	146032	Denny's wife
799862	148864	Mary Kay
799862	155906	Alvah Morley (a country girl)
799862	158381	Inez Mendoza
799862	160047	Tessa Fayne
799862	161542	Favorite of the Harem
799862	162265	Pegeen O'Barry
799862	177650	Emily Preston
799862	190141	Ruth Heckett
799862	191729	Hetty
799862	191845	Mary Slocum
799862	192259	Melissa
799862	194713	Lorna
799862	196200	Vanessa Levy
799862	199300	Juanita
799862	203605	Edith Oglesby
799862	203682	Anne Bissell
799862	203788	Julia/Rita
799862	215747	Pauine Hinton
799862	224420	Moya
799862	224594	
799862	267364	Columbine
799862	274842	Nora Duffy
799862	282669	Countess von Baden
799862	283277	The Girl
799862	286381	Nell Sanders
799862	291313	Herself
799862	293165	Ellen Daw
799862	297944	Prim Woman
799862	299551	Rhoda Regan
799862	306310	The Girl
799862	307418	Hope Langham
799862	316788	Mary Sanger
799862	318943	Emmy
799862	342407	
799862	347755	Kate Cumberland
799862	347854	Margy
799862	354337	Helga Nilsson
799862	359308	Polly Hopkins
799862	362056	Flo
799862	362333	Lee
799862	364455	
799862	365033	Gabrielle Gautier
799862	367834	Mavis Ray
799863	69337	
799863	297921	Major's Wife
799864	266625	Xavier's Wife
799865	290939	Autograph Seeker
799866	127173	Young Woman
799867	99055	Helium's Lawyer
799868	381501	Herself
799869	359060	Penelope
799870	56674	Hope
799870	130184	Tesa
799870	161179	Kelly Duffy
799870	197712	Woman
799870	237757	Ms. Starkey
799871	51996	Mandy
799872	65736	Young Shannon
799872	285289	Baseball Player #1
799872	290402	Christine
799873	41431	Blonde Neighbor
799874	184341	Bar Dancer
799875	217625	Sara
799876	219694	Audience (Herself)
799877	262194	Countess Roze
799878	158112	Audience Member
799878	191359	Masha
799878	192998	Erica Cochrane
799878	273825	Alison D'Arby
799878	274027	Rachel Strang
799878	340931	Catherine
799878	381729	Karen
799878	388321	Tanya Woods (2003-)
799878	388350	Poppy
799878	390083	Margaret Blair
799878	390777	Tanya Penny
799878	392942	Rachel
799878	394163	Hospital Receptionist
799878	394282	Kate
799879	19024	Sister Delilah
799880	35135	Susan
799881	29150	Pet Shop Employee
799882	241148	Hattie Mae
799883	44433	Woman from Phoenix
799883	86751	Dead Hooker
799883	167210	Chanelle
799885	107134	Flossie
799886	260266	Dirty Dee Girl
799888	118474	Person at picnic
799889	165966	Charlene Tutt
799889	318776	Pellet's Wife
799890	379937	
799890	385522	Sônia
799890	390752	Verinha
799890	392510	Suzana
799891	124089	
799892	118474	Little Girl
799893	118474	Older Girl
799894	2327	Herself
799895	19557	Harem girl
799895	31355	Jane Turner
799895	39205	Tap dancer
799895	80658	Martha Taylor
799895	112552	Helen Bennett
799895	120736	
799895	141311	Showgirl
799895	170307	
799895	271234	Ellen Miller
799895	286925	Ranch hand
799895	297478	
799895	302735	
799895	308636	Herself
799895	319184	Joan Carson
799896	26238	Lou
799897	243564	Daphne's Todder
799898	184232	Linda Laird
799899	245884	Dot
799900	183323	Marlene Drake
799901	243479	Zombie Dance
799902	164631	Auntie Braxton
799902	224106	Mrs. Rike
799903	262386	Mrs. Hofsetter
799904	45457	
799904	51895	
799904	81321	Sister
799904	105704	Guard
799904	107728	Momma Carlotti
799904	124049	Server
799904	155905	
799904	190056	Aunt Dana
799904	211846	Mother
799904	308929	Mrs. Peterson
799904	328289	Fat Lucy
799904	340742	Monty's Secretary
799904	362216	Elizabeth's Teacher
799905	316435	
799906	150622	Esther Polan
799906	165053	Singer
799906	184200	Ewelina
799906	234268	Teresa Ostrzenska-Kociell
799906	255450	Journalist
799906	255497	Ignacy's Guardian Angel
799906	284077	Sgt. Jadwiga Rymarczyk
799906	304179	Janka Powsinska
799906	338887	Stefcia
799906	385477	Anna Ostrowska
799906	411110	
799907	314466	
799908	347094	
799909	209274	
799909	228713	
799909	237741	
799910	344207	Skuráková
799911	162094	Matilda
799912	39484	
799912	63648	The Little Girl
799913	350424	Carly
799915	286949	
799918	41704	Grace Macy
799918	103352	Evelyn Grant
799918	188374	Dorothy Manning
799918	243318	
799918	272092	Elsie Waldon
799918	311535	Lois Cortez
799919	115642	
799920	232090	Teacher
799921	359860	
799922	40431	Lily
799922	50794	
799922	240688	
799923	31892	Herself
799923	205648	
799923	305159	Punk
799923	342918	Melanie
799924	47251	
799925	36914	
799925	37427	
799925	50152	
799925	74318	
799925	152287	
799925	327781	
799926	25845	Herself - Burlesque Dancer
799930	186264	
799931	23148	Calliope Mulvain
799931	79601	Dancer
799931	349632	
799933	91943	Lingerie Woman 2
799933	197852	Lesbian
799933	201784	
799933	236387	Audition Woman
799933	240980	
799934	104756	Belgian entry (13th place)
799934	312014	Erika
799934	387950	Herself
799935	150806	Vicki
799935	191882	Grandma (V.O.)
799935	191883	Security Guard
799935	276202	Porn Screen Winner
799936	114695	Nancy (Voorhees) Townsend
799936	313513	Abbie 'Ma' Leeds
799936	330868	Eunice Ingals
799936	332795	Undetermined Role
799937	154154	
799938	339774	
799940	146856	
799941	72454	Mrs. Kennedy
799942	262726	
799943	7498	Chorus Girl
799943	29122	
799943	41930	
799943	42426	Evelyn
799943	77914	Dolly Demere
799943	112393	Lizzie
799943	135539	Maid
799943	143317	Lily Everson
799943	151000	
799943	196496	Belle
799943	199203	Althea
799943	204181	The Maid
799943	304344	Sonia Kosloff
799943	315483	Miss Patten, Billingsley's Se
799943	363673	Mrs. Billy Shotwell
799945	49894	
799946	405769	Wendy (1979-81)
799947	222633	Allison
799947	227502	Yvonne
799947	305939	Deena
799947	346060	ATAC assistant #2
799947	372230	Samantha
799948	94616	Nancy Kellog
799948	232971	Doctor
799948	235486	Dr. Sondra Stahl
799949	137390	Herself (vocalist)
799949	228711	
799950	388765	
799951	201415	Herself
799951	255461	John's Mother
799951	363249	Herself
799951	402964	Herself
799953	178864	
799953	273298	
799954	92115	Reggie
799956	20373	Zombie
799957	196627	Herself
799958	123137	Linda
799958	150908	
799958	231909	Carol
799958	247888	Miss Spencer
799958	370587	Vicki Van Arsdale
799959	327685	
799960	220964	Pretty Saloon Girl
799961	76212	
799962	140407	Bathing Beauty
799964	321559	Derby Lady
799965	299844	
799966	75028	
799966	326735	
799966	360309	Nurse
799967	232281	Sheila Martin
799968	6722	Herself
799969	366886	Mary Turner
799970	207899	Mrs. Harris
799970	253349	Polly Neff
799971	131061	Bentwood Girl #4
799972	26395	The Bad Ghost
799973	21173	Woman Passenger
799973	38684	Reporter
799973	93249	Radio Actress
799973	118393	Gareth's dance partner (Weddi
799973	140535	Millie Deckermensky
799973	169885	Lily Hammond
799973	200191	Magic Mirror, Hubert
799973	215876	CIA Agent
799973	222892	Paley's Secretary
799973	226475	Teacher
799973	245340	Mrs. Flo Spector
799973	256141	American tourist
799973	274525	Helen Walters
799973	319614	White Coated Scientist
799973	362380	Diner on Boot
799973	407831	Helen's Mother
799974	137390	Herself (vocalist)
799975	317979	Undetermined Role
799976	338537	
799979	41640	
799979	69502	
799979	81388	
799979	106543	
799979	123610	
799979	128851	
799979	140952	
799979	233667	
799979	242551	
799979	249583	
799979	270643	
799979	275878	
799979	297334	
799979	304703	
799979	305984	
799979	306898	Angry Blonde/Black Bra and Pa
799979	306908	
799979	306911	
799979	310078	
799979	353308	
799979	360309	Nurse
799981	273315	Herself
799981	278459	Stacy
799981	380012	Herself - Finalist #7 (2002)
799981	407067	Herself/Season 3 (2004)
799982	79819	Jessica Radner
799983	63426	
799983	115078	Mary Freeman
799983	117203	Lil
799983	126644	
799983	158335	Babs Higginbottom
799983	195399	Hilda Lanzman, grocer's daugh
799983	203434	Bess Miller
799983	209634	Millie
799983	232341	Mary
799983	235494	Angela Forbes
799983	248830	Mary Martin
799983	253503	Lil Morse
799983	278857	Myrtle
799983	305511	Holly Brandon
799983	306483	Babs Baxter
799983	309629	Egbert's girlfriend
799983	321374	Madge
799983	321399	Nancy
799983	321499	Ruth
799983	329615	Ruth Sinclair
799983	364503	
799983	367594	Buddy
799984	245414	Belle Starr
799985	21736	Samantha
799985	294290	
799986	140407	Bathing Beauty
799987	314912	
799989	105905	Harem Dancer
799991	6725	Herself
799991	37447	
799991	67137	
799991	140940	
799991	158590	
799991	242551	
799991	300520	
799991	321191	
799991	354818	
799992	34818	
799992	41614	
799992	109229	
799992	114275	
799992	123643	
799992	309353	
799993	243479	Cat Dance
799994	280294	
799994	337347	Tracy
799998	302841	Secretary
799999	136269	Sue
800000	116502	
800001	84927	Indian girl
800002	120301	Meg
800002	283377	Felton child
800002	320082	Lynn
800003	113363	TV Reporter #2
800003	327376	TV Newscaster
800004	366786	
800005	283377	Laurie
800005	389858	Diana Maynard Taylor, R. N. #
800006	115666	Doug's Mom
800007	163778	Gang Girlfriend
800008	263450	Walker's Assistant
800009	384730	Sam
800010	174503	Monica
800011	207792	Cilli Kneißl
800012	30116	
800012	129752	
800012	223213	Agnès Carus
800012	244479	
800012	265547	
800012	297466	
800012	374676	Klivtsova
800012	405850	
800013	396239	
800014	60287	
800014	75028	
800015	78828	Jeni Milton
800016	258315	Brigitte
800017	45586	Sunset Girl
800018	101195	Nathalie
800019	12094	Faculty Wife #2
800019	185859	Sara
800019	228031	
800019	295027	Wendy
800019	348615	Ginger
800019	368514	
800020	246444	
800021	263787	
800021	313904	
800021	347571	Troy's Girlfriend
800022	49472	The Hoarse's Wife
800022	97886	
800023	164364	The Mermaid
800024	248132	Herself
800025	385321	Self (Cabin Stewardess)
800026	238354	Kasia
800027	107332	Marigo
800027	180888	
800027	204640	Soultana
800027	266501	Anna
800027	387154	Zoitsa Koundouratou
800027	400047	
800027	400504	
800028	301685	Tomasi
800029	382597	Herself
800030	75014	Herself
800031	391604	Heidrun 'Fisch' Fischer (2003
800033	134993	
800034	26540	Marcela
800034	40486	
800034	81691	
800034	165052	Erika
800034	180614	Official's wife
800034	204905	
800034	223314	Libuse Simácková
800034	224513	Wanda
800034	225816	
800034	229756	Ríhová
800034	231186	
800034	237745	Doubravová
800034	246204	
800034	249382	Marie
800034	252079	Mother Sebková
800034	262541	Secretary
800034	266216	Countess
800034	266425	Jitka
800034	323348	Mihule
800034	357647	
800034	375405	Nanny
800034	380554	3rd Chambermaid
800034	394266	Pelcová
800034	396264	Barbara Bartels (erwachsen)
800034	398851	Vera Lukesová
800034	399901	Jírová
800034	401806	Blanka Behounková
800034	402368	Anca
800034	404278	Dispatcher
800034	411960	Zuzana
800035	257715	Hildchen Völker
800036	56281	
800037	97644	Panel Member
800037	147910	Herself
800037	168586	Herself
800037	283546	Herself
800037	301077	Capitol Week pundit
800037	397227	Herself
800037	401777	Herself (Indecision '96 Corre
800037	402984	Herself/Panel Member
800038	34121	Young Girl
800039	304947	
800040	232093	Hooker
800041	24420	
800041	167078	
800041	376316	Frau Bamberger
800042	361369	
800043	335689	Agnes Janarone
800045	307264	Helios Computer
800047	112601	Ramiyah
800048	132618	Ruby
800049	138804	Showgirl
800050	128516	She
800051	253716	Rositza kato dete
800052	406476	
800053	380431	
800053	387415	Pinelopi Delta
800053	397613	Elsa
800053	397813	
800053	401431	
800053	407619	Xenia
800054	122188	Laserblade Loser
800054	235472	Parking Attendant
800054	256528	Ski Boat Woman #2
800055	154592	Cop #2
800056	221096	Valiant Girl Driver
800056	259271	Trainee
800057	78759	Young Jondy
800057	306814	Nikki Best
800058	41297	Stranger
800059	100579	
800060	321632	Girl at Aiko's
800061	140964	Woman
800063	45296	Builder Bette
800063	224192	Pet Store Girl
800064	89149	Mom
800064	253818	Jud's mother
800065	2890	Young Woman
800066	191254	Ali's Mother
800066	235805	
800067	379441	
800068	7600	
800068	8212	
800068	19003	
800068	89443	
800068	100593	
800068	100621	
800068	102166	Efi
800068	112794	
800068	118189	
800068	121086	
800068	174455	
800068	174581	
800068	180302	Angry Girl
800068	209037	
800068	209759	
800068	232637	
800068	237080	
800068	248725	
800068	296513	Pighi
800068	314646	
800068	314919	
800068	329176	
800068	336630	
800068	339000	
800068	375278	
800069	416	
800069	15961	
800069	333446	Epistimi
800069	339702	The woman at the bar
800070	41614	
800070	47250	
800070	83833	
800070	128472	
800070	194274	
800070	303291	
800071	172894	Kiki
800072	94329	Agnès
800073	79059	Police Officer
800073	140964	Punk Girl
800074	354866	Jo
800075	297869	Amenartes
800076	60938	Entertainer
800077	386233	Christine Baldwin
800078	274344	Canoer
800079	67786	Tour Guide
800080	166087	
800081	191987	Girl Outside Classroom
800082	185473	Neighbor
800083	47019	Imperial Hotel Receptionist
800083	406464	Liz
800084	1400	Maykata na Aleksandra
800084	6220	
800084	9353	Kristi
800084	24832	Roumiana
800084	27469	Ani
800084	28166	Yanka
800084	35859	
800084	60696	Vitka
800084	60727	Suprugata na Valeri
800084	76350	Maykata
800084	77426	Malkata etarva
800084	95166	Vesa
800084	104831	Rada
800084	132569	D-r Gerenska
800084	180780	Yana
800084	204047	Petkina
800084	238098	
800084	244718	Strinkata
800084	259075	Mariya
800084	261305	Uchenichka
800084	264383	Mariya
800084	268128	Maykata
800084	337877	
800084	374940	Gospozha Nedeleva
800084	375394	
800085	180367	
800085	350729	
800086	295438	Terry James
800087	177401	specialty dancer
800088	82737	Emily
800089	20281	Carol
800090	52808	Heather
800091	102272	
800091	153783	
800092	92648	Angi
800092	133325	Cop #2
800092	147271	Marianne
800092	187471	Jaqueline
800092	312116	
800092	365571	Christina 'Chris' Rabe
800092	411159	Christina 'Chris' Rabe
800093	46156	Alpha Woman on Street
800093	196302	Nurse
800094	12217	Leslie
800094	53323	Lynn, Gossipy Girl
800094	151177	Ricky
800094	234204	Mira
800094	322608	Ally Hayden
800094	326442	Trudie Tucker
800094	331427	Debbie Barlow (Troy's wife)
800094	335017	Becky Cohen
800094	354548	Beatrice
800094	362267	
800094	363948	Carolee
800094	366027	Waitress
800095	319281	Paulina Kristoff
800096	322672	
800097	386218	Herself - Host
800098	90392	Stripper 2
800098	289314	
800099	300156	Eva
800099	373661	Dentist
800100	101682	Heidi
800100	125340	
800100	125472	Marlies
800100	214173	Marianne
800100	223203	Burgl
800100	288813	
800100	289955	Dagmar
800100	302044	Resi Summerer
800100	312051	Gundi Korneder
800100	352339	Eva
800101	409169	Newsreader
800102	85188	Linda
800103	102989	Ihre Freundin
800104	242754	Julie
800104	305566	
800106	189727	
800107	141893	Prison Guard
800108	328301	Flap's Secretary
800109	251473	Rachel
800110	20990	Herself
800111	7661	Betty Bailey
800111	363263	
800112	138774	
800113	265069	Nurse
800114	18820	Nurse
800114	27215	
800114	28927	
800114	44453	Eve
800114	52455	Telephone Operator, Chicago T
800114	73500	Girl
800114	76964	Secretary
800114	85924	Lady in Waiting
800114	121586	Maid
800114	141383	Mrs. Anne Connelly
800114	142446	
800114	146752	Secretary in Huntley's Office
800114	147609	Blonde
800114	176912	Stella (Reardon's secretary)
800114	214967	Mrs. Mara
800114	224412	Hannah
800114	254708	Helen Varney Blendon
800114	264460	Edie
800114	273083	
800114	309938	Nurse
800114	318793	Dinner Guest
800114	350229	Marion Wilkins
800115	363756	Mrs. Steckler
800116	7056	
800116	17978	Ethel Graydon
800116	18351	Jane Hartman
800116	40059	Bridget
800116	47019	Lady Brown
800116	54027	
800116	61291	Bunty
800116	64744	Mrs. Burakova
800116	68886	Betsy Loveless
800116	74113	Janine
800116	79556	Mrs. Micawber
800116	80696	Beth Greenwood
800116	90332	Bridget Bennet
800116	101437	
800116	113607	Mrs. Sucksby
800116	154860	Dr. Bridget
800116	164396	Dilly
800116	207093	Bridget Bennet
800116	217381	
800116	221536	Margaret
800116	222563	DCI Billie Dory
800116	227470	Mrs. Blatherwick
800116	253950	Mary Charleston
800116	272586	Conchita
800116	273220	Naomi
800116	275445	Lorna
800116	294217	Charlotte Palmer
800116	297115	Nurse
800116	304800	Polly Flinders
800116	330197	The Producer
800116	342367	Maria
800116	344178	Scruffy
800116	351972	Vera
800116	353490	
800116	355040	Sylvia, Conlon
800116	371099	Cheryl Newman
800116	383251	Queen Elizabeth
800116	392546	Muriel Spry
800116	393020	Stella Phelps
800116	395437	Mrs. Twit
800116	395955	Councillor Johnson
800116	408095	Various roles
800116	409649	Izzy
800117	14987	Mrs. Andrew Sterling
800117	30108	Dr. Fellcrest
800117	47875	Teacher
800117	59151	Valerie Gipson
800117	81543	Board of Education Woman
800117	92865	Intake nurse
800117	129566	Lucy Ross
800117	130752	Katie Grant
800117	141544	Lillian
800117	147972	Grace
800117	283399	Miss Hartley
800117	299469	Secretary #2
800117	380713	Katherine Johnson (1991)
800117	400236	Janine Gannon (1997) (seen in
800118	294529	
800119	21625	Anna
800119	23745	Infirmière
800119	24615	Madeleine
800119	33892	L'amie de Ben
800119	37630	
800119	57474	
800119	65613	
800119	83174	
800119	113123	Mme Villeneuve
800119	123559	Direction des voix
800119	128618	
800119	155082	Mme Lapierre, la secrétaire d
800119	170366	Woman in Green Hat
800119	170421	
800119	183277	Lucienne Chauvelot
800119	195240	Melissa
800119	197306	
800119	198550	La mère adoptive
800119	214253	Neighbor
800119	217406	Une comédienne de l'hôtel de 
800119	260886	
800119	276013	
800119	279110	
800119	342142	
800119	345258	La religieuse
800119	356515	Mrs. Van der Busch
800119	377277	Old woman at the wake
800119	379841	
800119	382584	La cousine pédante
800119	385609	
800119	395259	
800119	396867	
800119	396978	Hélène aujourd'hui
800119	398985	Mlle Hermance (1974)
800119	402588	
800119	403826	
800119	404153	
800119	409532	La publicitaire
800119	410309	
800119	410376	
800120	321749	
800121	78467	Herself (performing 'Gør hvad
800122	272031	Dis Girl
800123	234010	
800124	346546	Josépha
800125	138367	
800126	315365	Miss Johansson #3
800127	99568	Sofi, count Christian's maid
800127	120892	Agneta Stenborg
800127	129267	Nurse
800127	144252	Lina, Widgren's housemaid
800127	182298	Woman at bakery
800127	228397	Woman with cat
800127	338674	Office clerk
800127	348501	Silver-Olles släkting
800129	99682	Herself
800129	99683	Herself
800129	99685	Herself
800129	99687	Herself
800129	104773	Slovenian backing vocal
800129	104778	Slovenian entry (23rd place)
800130	390523	Leah Stewart (2001-2003)
800131	56327	
800131	211022	
800132	21173	Princess
800132	51801	Girls in Bar
800132	83822	Adrienne
800132	84931	Tina
800132	122757	German Reporter
800132	150792	Tanya
800132	151786	Anna
800132	242509	Katie Thatcher
800132	268903	
800132	335851	Maureen De Havilland
800132	352968	Herself
800132	354178	Kimberley Jones
800133	33801	
800134	154541	
800135	268003	Melody
800136	52687	Native American woman giving 
800137	178459	Zabeta
800137	245879	
800137	285318	Vera
800137	379441	
800137	394168	
800137	400047	
800138	3526	Momicheto Krasi s belega
800138	16819	Angelina
800138	35859	
800138	88448	
800138	131082	
800138	184073	Olivera Dokic
800138	247984	Suorina Tomasino
800138	303110	Vera
800138	346269	Girl from the Tunnel
800138	382029	Devojka iz tunela
800139	9353	Dancer
800140	276437	
800141	241145	Elena
800142	172894	
800143	99013	
800144	387247	Mrs. Andreos (1993-1997)
800145	265641	
800145	344278	
800146	136482	
800147	828	
800147	306962	
800148	380479	
800149	387391	Stella
800149	387717	Narrator
800150	111283	Erynn
800150	131416	Linda
800151	86982	Kisha
800151	316886	Woman at Subway
800152	61812	Museum Curator
800152	257765	Woman
800152	316886	Karen
800152	337164	Agent at Console
800152	363927	Etiwanda
800152	395166	Fotene
800153	261380	Liana
800154	140765	Employment Office Staff 1
800155	63894	
800155	220233	
800155	266317	
800155	385478	Magda's Friend
800156	395894	Herself (5th eliminated, 49 d
800157	180013	Woman #1
800158	56387	
800159	36935	
800159	133920	
800160	50372	
800161	78132	Violet Benson
800161	96654	Helen Thorne
800161	196147	Miss Shepley (reporter)
800161	214553	Mrs. Deering
800161	227265	Celeste
800161	332081	The White Queen
800161	347356	Doris Dalton
800162	154115	Mrs. DeVroom
800163	277343	The Pretty Girl's Mom
800164	251646	Miss Betty
800165	346902	Woman in Mink
800166	250880	Elza
800167	137568	Dressmaker
800167	195685	Margot
800168	291466	Nurse
800169	64163	
800170	132167	
800170	236019	
800172	114394	
800172	337132	Ma Townie
800173	133684	
800174	231997	Caramel Angel
800175	176287	Receptionist
800176	262306	
800177	157266	
800178	183213	Goblin Corps
800179	387293	Greta
800180	690	Beverly
800180	4917	Beverly
800180	6925	Daisy
800180	40245	Rosemary Horton
800180	42389	
800180	58875	Mary Hussey
800180	63489	Beryl
800180	65757	Gwenda Stimpson
800180	68097	Professor Minerva McGonagall
800180	68229	Kate
800180	76230	
800180	77211	Marion Mattis
800180	88658	Interviewee
800180	104048	Sarah
800180	113515	Mum
800180	128081	Jackie
800180	138494	Mrs. Meisling
800180	138864	Bronwyn Race
800180	139099	Veronica
800180	154368	
800180	164396	Mother/Veronica
800180	190010	Casting Agent
800180	190135	Wendy
800180	215796	Christine Peacock
800180	218376	Perriwinkle
800180	231046	Jackie Johns
800180	236688	Doreen
800180	236989	Candice Marie
800180	245950	Miss Land
800180	264676	Mrs. Allardyce
800180	292779	Dog Owner
800180	299287	Jane
800180	299827	Betty
800180	305371	Marjorie
800180	306255	
800180	315585	Mayor
800180	325081	Elmire
800180	331910	Christine Potts
800180	335982	Madame Leon, Costume Designer
800180	344178	The Hen
800180	355213	Brenda Ogden
800180	365937	Eva Wilt
800180	379255	Pauline Mole
800180	384587	Mrs. Haynes
800180	385175	Marge Stenson
800180	388486	Betty Simpson
800180	389454	Various Characters
800180	390303	Hilda
800180	390304	
800180	394163	Mrs.Haynes
800180	395418	Madame de Plonge
800180	399531	Evelyn Hamilton
800180	402125	Mrs. Bennet
800180	404795	Edda Goering
800180	406729	Mrs. Perfect
800180	407559	
800180	410499	Bernadette
800180	411201	Elinor Farr
800180	411499	Angela Cook
800181	50082	Heather
800182	183868	
800183	54936	Annie
800183	141464	Emma Mackenzie
800183	222879	Karen Murphy
800183	222880	Karen
800183	323738	Anne King
800183	381795	Sue Clark (1992)
800183	382266	Stacey Ingram
800183	403373	Aileen
800183	408008	DS Helen Ash (1996)
800184	140652	Polly
800185	3141	Vashti Seminoff
800185	7616	
800185	13353	Miss Dillon, Secretary [Chs. 
800185	13354	Miss Dillon
800185	19975	
800185	26722	
800185	26870	
800185	32516	
800185	48600	
800185	50418	
800185	53198	
800185	94162	Telephone Operator
800185	96929	
800185	99447	Blanche
800185	120336	Bit Part
800185	123357	Gambling loser
800185	133644	Young woman
800185	145785	
800185	146119	
800185	197236	
800185	209663	Cynthia Stevens
800185	211570	Maid
800185	230028	Harriet Underwood
800185	274158	
800185	277651	
800185	278442	Mayme
800185	285636	Miss Von Ratseller
800185	288020	
800185	291160	Midge Flannigann
800185	313320	
800185	315291	Suzanne
800185	326649	Molly Murdock
800185	329052	Woman on street
800185	364518	
800185	374198	Extra
800186	66935	The Mother
800187	11283	Wilma Brack
800187	19990	Hat Customer
800187	26373	Tessa Pearson
800187	26860	Mrs. Chillblaine
800187	30151	Narcissus Font
800187	40841	Pet shop saleslady
800187	41362	Sheila Finch
800187	77108	Young woman
800187	86526	Control Operator
800187	118990	
800187	131771	Tilly
800187	131787	
800187	171177	Isolde
800187	210387	Mrs. Latimer
800187	230428	Cafe Proprietress
800187	244480	Ground stewardess
800187	249457	President's Wife
800187	252728	Mrs. Gold
800187	270001	Brenda
800187	290352	Young Woman
800187	307970	Sheila Wilcott
800187	334134	Woman in Elevator
800187	340372	Tania
800187	368190	Librarian
800187	378710	Dr. Horowitz
800187	382306	
800187	383308	Myrtle Prior JP
800187	385211	(1970)
800187	389452	Herself
800187	390033	The White Lady
800187	391957	Betty
800187	392014	Various Characters (1968-1969
800187	392190	Ivy Watkins
800187	394318	Regular Performer
800187	402551	Various Characters (1978)
800187	404647	
800187	405558	
800187	405873	
800187	407041	Blotch/Mother Nature
800187	411437	Various (1968)
800187	411775	Miranda Shaw
800188	2431	
800188	74069	Herself
800188	81925	
800188	118293	
800188	181321	
800188	219245	
800188	291280	
800188	305233	Kristal
800188	372475	
800190	265063	Herself
800190	265064	Herself
800190	265065	Herself
800190	265066	Herself
800190	346274	Herself
800191	49320	Outrageous Girl #1
800191	129516	Junkie
800191	366397	Natasha
800192	348333	Jacob Jr.
800193	334085	Sam
800194	301701	Sister George
800195	120337	Jane
800196	368654	Monica
800197	120337	Mother
800198	244841	Lowell schoolgirl
800198	396995	Herself (1947-1950)
800199	176406	Fierce woman
800200	392597	Various characters
800201	40904	Cassie
800201	93261	Universal Tour Guide
800201	339359	
800202	368654	Nurse
800203	408694	Designer (2002-)
800204	23569	Lydia
800204	27247	Charlotte Myddleton
800204	218109	Theresa Carter
800204	277681	Princess Elizabeth
800204	383630	Helen Bancroft
800204	393897	Portia
800204	407820	Sonia D'Artois
800205	46854	Girl #1
800205	334304	Vanessa
800206	83917	Girl
800206	372618	Brunette
800207	113881	
800208	115919	Elizabeth
800209	75531	Herself
800209	218345	Wife at Accident
800210	127194	Connie
800210	154301	Jody Stayner (Age 12)
800211	176487	Telly's Little Brother
800212	176487	Telly's Mom
800213	201502	Herself
800213	286274	Performer
800213	362965	Trapeze Artist #1
800213	383490	Alexandria
800214	201502	Herself
800214	286274	Performer
800214	362965	Trapeze Artist #2
800214	383490	Caladonia
800215	148702	
800215	152329	La femme éplorée
800216	255357	Skipping Girl/Camper
800217	84264	Halina Porebska
800217	95945	Kmitowa
800217	358390	Jadwiga Kostrzewska
800218	237984	
800219	387946	Contestant (2003)
800220	288473	Dawn
800221	70311	
800221	160966	
800221	263268	
800221	268993	
800222	261146	Irma Seiler
800223	255897	Stewardess
800224	119141	
800225	28493	Townspeople
800225	264785	Coed
800225	350322	Anna
800226	359816	
800227	56222	Receptionist
800228	225876	Teresa's Mother
800229	37893	Anita
800229	104770	Polish entry (18th place)
800229	225876	Teresa
800230	104782	Herself
800231	305560	
800232	28635	Sue
800232	69812	Claudia
800232	321654	Missy, the Babysitter
800232	329522	Mrs. Patterson
800232	363478	Anna
800232	365142	Carrie Stokes
800233	128881	
800234	171485	Herself
800235	165849	Young Margo Moll
800235	327632	Little Girl One
800236	2709	Ex-Girlfriend
800236	38261	Julie
800236	92453	Woman
800236	231078	Madeline
800236	310112	Jason's Girlfriend
800236	327632	Ann
800236	387434	Dyna Girl
800236	398506	Melanie
800237	362679	Lawrence house servant
800238	74690	Dorris
800238	202324	Hostage #1
800238	241316	Restaurant Patron
800239	276	Joysome/Betty Judkns/chorus g
800239	5460	Witness
800239	8173	Janet Loring
800239	10141	Standing Woman at Gat's Party
800239	10589	Mrs. Hayes
800239	10603	Mrs. Clark
800239	13792	Ruth Cleave/Mrs. Ellsworth
800239	18742	Marion Wilson
800239	21484	Diana Gordon
800239	21776	Mrs. Crafton
800239	26276	
800239	26737	Arlene's Maid
800239	29317	
800239	32009	Mrs. Frank Madison
800239	32793	Nurse
800239	35411	
800239	37862	
800239	39425	Mrs. Harmon
800239	39850	Blanche De Vore
800239	45903	
800239	46244	Mrs. Corey
800239	46518	Helen Hale
800239	47920	
800239	48581	
800239	48662	
800239	49405	Jess Lynd, Pop's Daughter
800239	49962	Dede Mason
800239	50313	Helen Blake
800239	50942	Margaret Warrington
800239	52483	Adrienne Lescott
800239	53883	
800239	54399	Elaine Vernon
800239	54668	
800239	56226	Jail Matron
800239	57048	
800239	57050	Rose Craig
800239	60221	Joy Gastell
800239	61314	Janina
800239	61597	Jane Watson
800239	64499	Angie Lister
800239	69093	Mary Martinot
800239	69338	Nurse Maid
800239	71757	Myrtle Marshall
800239	72253	
800239	72295	Alice Marson, the Real Best G
800239	72605	Celia
800239	75307	Katie Manners
800239	78010	Mrs. Sanderson
800239	83052	
800239	90144	Madame Cavallar
800239	91602	
800239	93665	
800239	95866	
800239	102229	Mabel (a western girl)
800239	103320	Grace Wellington
800239	105947	Nurse
800239	106117	
800239	107420	
800239	108444	Mrs. Fair
800239	108931	Louise Marsh
800239	112521	
800239	114950	Mona Fentriss
800239	117359	Mrs. Grant
800239	129082	Party Guest
800239	129804	Hospital Nurse with Bill
800239	129823	
800239	130624	Nurse
800239	131478	The Wife
800239	131591	
800239	131902	Eunice Ingals
800239	133737	Nurse
800239	134070	Nurse
800239	135916	
800239	138245	Vanessa Yates
800239	138694	Constance Barr
800239	139580	Isabelle Carter
800239	142657	Miss Wiggins
800239	143651	Bit Part
800239	145833	
800239	145911	
800239	149851	
800239	151271	Betty
800239	151387	
800239	151774	Miss Thorpe
800239	153630	The Woman
800239	155839	Madame Margot
800239	157749	Olive Meade
800239	158281	Sara Wrandell
800239	162463	Hortense Brown
800239	163596	Bess Judd
800239	165413	Lucy Norton
800239	166031	Mrs. Maxwell
800239	166250	Isabella
800239	169957	Mrs. Trevor
800239	170162	Dolores
800239	177029	Lady Leigh
800239	178757	Miss Fielding
800239	186280	Ruth Watson
800239	190192	Penelope Jones
800239	190254	Mona
800239	190780	Mazie
800239	191587	Mrs. Overbeck
800239	193764	
800239	196013	Marion Masters
800239	196294	Hotel Maid
800239	197405	Mrs. Ossetrich
800239	199244	Gladys Herrington
800239	199464	One of the Girls
800239	201262	Virginia Fairfax
800239	203201	Mary Alvoid
800239	204791	
800239	206539	The marshal's wife
800239	206645	
800239	207952	
800239	219966	Mrs. Bryson
800239	227348	Mrs. Halliday
800239	229132	Mrs. Reginald Brooks
800239	230905	
800239	233871	Mrs. Montgomery
800239	239571	Virginia Bretton
800239	241865	Mrs. Hunt
800239	242893	
800239	245645	Marshall's Secretary
800239	249917	Banker's wife
800239	251809	Solveig
800239	252297	Mother
800239	254921	Alice Moore
800239	259789	Spectator
800239	264062	Princess Bertha of Thorwald
800239	264449	Helen Ainsworth
800239	267613	Helen Alden
800239	272083	Dora
800239	272093	
800239	272109	Dolly Stare
800239	273251	Junior's Mother
800239	273824	Mrs. Schuyler-Foster
800239	274725	Mary Grandell
800239	275213	Sadie
800239	275345	Winona Judell
800239	277647	Mrs. Davenport
800239	280363	
800239	280973	Nellie Smith, Tom's Sweethear
800239	281558	The Girl
800239	282347	
800239	285705	
800239	286112	Sallie
800239	286114	Mrs. Ten Brock
800239	286929	Bit
800239	289073	Pearl Tollifer
800239	289479	Nellie Wright, Tom's Sweethea
800239	290328	Mrs. Winters
800239	290417	Mollie
800239	295566	Mrs. Overman
800239	297956	Mrs. Brown (woman with Mrs. M
800239	298513	Nellie Bowen (Bud's sweethear
800239	299968	One of the Girls
800239	301964	Mrs. Stratton
800239	301967	Cherry Malotté
800239	302384	Sister Burton
800239	303441	Olive Kingston
800239	304954	Nurse
800239	308642	Mrs. Coburn
800239	309517	Anne Willoughby
800239	310023	Baby Brabant
800239	311751	Mrs. Elliott
800239	315133	Belle
800239	318324	
800239	324208	Jessie Reardon
800239	324223	The Baby's Mother
800239	326971	Marie Forbes
800239	327310	Mabel Madden
800239	327526	Mrs. Hugh Manners
800239	327973	
800239	328766	Mrs. Wells
800239	329399	Mrs. Ransom, Rogers' Secretar
800239	329457	Betty
800239	329463	Hospital Nurse
800239	329781	Peggy's Mother
800239	332816	Mrs. Carl Mendall
800239	334978	Edythe Bellaires
800239	340970	Mrs. Ericson, Housekeeper
800239	343073	Countess de Linieres
800239	346065	Arlene's Mother
800239	350021	Saxon, Billy's wife
800239	359607	
800239	361748	Mrs. Long
800239	362624	Mrs. Faraker
800239	363109	White Bird
800239	363236	
800239	363661	
800239	363733	Mrs. Chapple
800239	364597	
800239	364662	Alice Craig
800239	364839	Alice Lawton-Bond
800239	365369	Miriam Strange, 'The Wild Oli
800239	366110	Mrs. Warriner
800239	367584	Marion Masters
800239	367734	Mrs. James Crane
800239	368375	Beth Hoover
800240	82384	Meg
800241	256622	Pinafore company
800242	276444	
800243	161446	Marie
800244	23345	Irena Hlavácová
800244	58127	Kubová
800244	155649	Mrs. Margaret Marchmont
800244	227773	
800244	337735	
800245	100928	Andrea
800246	368640	
800247	97007	
800248	70972	Zombie
800249	97007	
800250	167601	Lucy
800251	256636	Receptionist
800251	265597	Red
800252	389464	Child 3
800253	26482	Woman At Lockup
800253	41289	Tess Barker
800253	65934	Mrs. Raffald
800253	134725	Raelene
800253	146619	Myra Beamish
800253	161170	Becca Crichton
800253	191359	Aunt Vickie
800253	244980	Herself
800253	302143	Muttchen
800253	310532	
800253	313562	British Fashion Reporter
800253	379704	Fabia London
800253	382531	Phyllis Woolf
800253	390538	
800253	390694	Raelene
800253	396965	Mrs. Todgers
800253	401432	Margaret Crabbe
800253	405042	(segment "Romeo & Juliet")
800253	405151	Rita Moon
800254	147628	Alyson
800254	222881	Dizzy ex pupil
800254	391786	Alyson Turner (2001-2002)
800255	257760	Phone Caller
800256	141618	Sister
800256	321464	Jenny
800256	321465	Jenny
800257	165448	Maid
800257	263786	Monica
800257	387242	Queen Victoria
800257	396670	Anna
800257	400313	Maureen
800257	401143	Rose Parrish
800258	88843	
800259	138435	Hanna
800259	357392	
800260	33296	Elles Pauw
800260	49601	Mevrouw Kleinveld
800260	66731	Mona
800260	122587	Susanna
800260	138435	Mother
800260	157040	Johanna Reiss
800260	164195	Marianne
800260	164892	Tristans Mutter
800260	202662	Odille
800260	205806	Gravin
800260	209721	Monique Angelo
800260	226818	Ulrika
800260	248491	Sister Wilhelminia
800260	254988	De Pianiste
800260	294749	Anna
800260	309625	Vera
800260	311671	Saskia Wagter
800260	336428	Laura
800260	352126	Ita Werner
800260	354647	Jo Bonger
800260	357392	
800260	377723	Emma
800261	16438	Lisa Strauber
800261	42617	
800261	93443	Gundula von Wolzogen
800261	98057	Edeltraud
800261	132053	Waitress
800261	140267	Sheila
800261	170675	Nathalie
800261	184642	Rachel Stevens
800261	189804	Frosine
800261	194631	Miriam
800261	198430	
800261	221237	
800261	230179	Sugar
800261	244200	Ingrid
800261	249635	Modell
800261	250928	Frau im Tabakladen
800261	272609	Frosine
800261	281720	Frances Ashley
800261	290521	
800261	308823	Ingrid Ludwig
800261	317243	
800261	336498	Kitty
800261	381813	Frau Gutbrod
800261	389359	Loni
800261	390701	Mona
800261	390812	Karin Blum (2002)
800261	393978	
800261	394623	Host/Gabi Klimbim/Various rol
800261	394837	
800261	398863	Vera
800261	407095	Susi Paschke
800261	411163	Angelika Berg
800261	412101	Kikki
800261	412107	
800262	387741	Resa Heydecoper
800263	86701	
800264	4544	
800264	19281	Kit Graham
800264	106109	Guest at Party
800264	109570	
800264	114251	Nan Davis
800264	120119	Ginny Field
800264	120120	Ginny Field
800264	120126	Ginny Field
800264	148245	Cathy
800264	160051	Molly
800264	253357	Roxanne Shields
800264	257530	Nancy
800264	272973	Dr. Gail Baker
800264	274352	Kate O'Day
800264	333356	Claire Goodman Isenberg
800264	343318	Little Girl's mother
800264	349896	Denise
800264	358576	Penny
800264	362193	Connie
800264	367864	Liz Larson
800264	379716	Peggy Warner (1980)
800264	389056	Sharon
800264	390771	Trudy Wilson (1980-1981)
800265	252173	Silvia
800266	385659	Catherine Arrowpoint
800267	252173	Sonia
800268	21203	Andre'a Parker
800268	68274	Umagon
800268	72124	Jordan
800268	185357	Kate
800268	279114	Nelah
800268	407660	Jenny Andrws (1997-1998)
800269	3021	Herself (Memorial Tribute)
800269	391835	Talking head/soundbites (segm
800270	30202	
800270	274245	
800271	161368	Herself
800272	179065	Housewife
800274	208931	As herself
800275	59685	Annie Laurie
800275	233914	Jessie
800276	330550	Jones
800277	271217	Carol Dunn
800277	292603	Night Nurse
800277	392545	Hotelkeeper's Daughter
800277	405045	Meera
800278	407685	Regular
800279	241650	Tramping Girl
800281	390523	Diane Cooney (1983-1985)
800282	109623	
800283	119931	
800284	93051	
800285	345943	Screamer
800287	197755	Susan Pelley
800287	238991	Scoreboard Girl
800287	316214	Sue Phillips
800287	323376	Ted
800287	350199	Laura
800287	372787	Clementine Hozier
800288	306923	Herself
800288	361957	
800289	252389	
800291	288452	
800292	137462	Dancer
800294	402315	
800294	411311	Birgit Spanoghe (1996-1997)
800297	110363	Mrs. Probert
800297	152208	Flower Woman
800297	218173	Barmaid
800297	224205	Mrs. Shudd
800297	279563	Mrs. Morgan
800297	289585	Elizabeth's lady-in-waiting
800297	331711	
800297	360430	Prison Matron
800297	365062	Woman
800297	369361	Heavy Woman
800297	372314	Landlady
800299	49396	Girl at Mall
800300	13905	Kiki
800301	336488	Massage Recipient
800302	239082	Lady
800302	281058	Annie
800303	203410	
800305	2692	Cleo Hauff
800305	3169	Gloria Morin
800305	6163	Portrait of Alicia
800305	13088	Muriel Arrowsmith/Jenny Arrow
800305	14867	Contessa Bardi-Stucchi (segme
800305	16868	Harriet Montebruno/Belinda
800305	20402	Teodora
800305	26631	Fiona
800305	27919	Thelma (episode 3 "Baiser du 
800305	51990	Supt. McQueen
800305	54302	
800305	66213	Cathy
800305	75535	Lavinia Morley
800305	78564	Elisabeth Blackwood
800305	78936	Dr. Julia Hoffman
800305	90468	Herself
800305	110262	Herself
800305	111365	Danielle
800305	138190	
800305	147820	Herself
800305	148972	Carla
800305	154516	Idat
800305	170679	Bozena
800305	197580	Helen Karnstein/Mary Karnstei
800305	204262	
800305	207064	Katia Vajda/Princess Asa Vajd
800305	218203	Valérie
800305	241150	
800305	243304	Leila
800305	256527	Dr. Mengers
800305	256813	Elizabeth Barnard Medina
800305	263314	Josephine
800305	265876	Agent Oakley
800305	287999	
800305	299393	Betts
800305	301716	Victoria Engels
800305	307137	Herself
800305	307350	
800305	309165	Veronica
800305	310183	
800305	310950	Margaret Hichcock
800305	328056	
800305	332551	
800305	338694	Barbara Sims/Germany: Anna
800305	348532	Mary
800305	356163	Guilia
800305	372862	Juliet Frost
800305	379011	Herself
800305	385720	Dr. Julia Hoffman/Natalie (19
800305	410582	Elsa MacMahon (Singapore Chri
800305	411221	Mrs. Stoller
800306	364680	Becky O'Sullivan
800307	233973	Julie
800308	372089	Daughter
800309	121516	Julie
800310	113359	Elizabeth
800310	117188	Mardi
800310	119626	Casting Director
800310	127522	
800310	158965	Josephine Dietrich
800310	167691	Waitress in coffee shop
800310	195317	Theresa
800310	254418	Dr. Rikki Harburg
800310	275872	Lucille
800310	297894	Susan
800310	310838	Receptionist
800311	66121	Jaqui
800311	81438	Barmaid
800311	134178	Jan
800311	175817	Mary
800311	311524	Kathy Kennedy
800311	322778	Tori
800311	391182	Various Roles
800311	398085	Lexie MacDonald (Series 1-6)
800311	408300	Teresa Mullen (2000-2001)
800312	126673	DeAnna
800312	299684	Jenny
800312	302710	Dancer
800313	149829	Gallery Receptionist
800314	379831	Debra Du Bois #2 (1990)
800315	121374	Jennifer
800316	84808	
800316	84809	
800318	37681	Muriel
800318	291708	Secretary 1
800318	400684	Shop Assistant
800319	79097	Mrs. Levinsky
800320	120412	Sara Grimes
800321	88561	Leather Outfit Lady
800322	162266	Murder Witness
800323	141373	Young Woman
800323	330697	Megan
800323	332385	Ellen
800323	385020	Anne Malone (1996-1998)
800324	238689	Elly
800325	38375	Computer Voice
800325	38376	Announcer
800325	68470	Lauren
800325	359544	
800325	408968	Nanny
800326	273496	Brandy ('All's Well that Ends
800327	274734	Clarice Penlow
800328	222214	Lia
800329	154755	
800330	107009	Herself
800331	39108	
800331	95848	
800332	267684	Miss Eulalie
800333	362512	Choir Member
800334	116013	Herself
800334	131061	Alice - Pennytree Girl #2
800334	349384	
800335	35548	
800335	66114	
800335	128749	
800336	60482	Donna
800338	71110	Club Singer
800339	120540	Herself
800340	278909	Sylvia
800341	255009	Bluebeard's Wife
800342	2486	Bambi
800342	27886	Carol Peterson
800342	66042	Blonde
800342	75805	Dr. Sharon Mason
800342	81189	Letta
800342	81603	Lucy Summerton
800342	138772	Divorcee
800342	202963	Marge
800342	206711	Virginia
800342	277884	Mrs. Lane
800342	278766	Alice Shiffer
800342	297660	Martha Staves
800342	337058	Polly Craven
800342	338215	
800342	361699	Jeanie Miller (Rod's wife)
800343	59575	Young Woman
800343	207709	Strip Club Waitress
800344	193725	Sandy
800344	197081	Angel
800345	175817	Maggie Aged 10
800347	196183	Claire
800348	5503	Louise Ellerman
800350	187177	Helen
800351	279488	Additional Voices
800351	283629	Old Lady
800351	386922	Additional Voices (2001-)
800351	386923	Mai (2001-2003)
800351	389464	
800351	397371	Vivian Kudo, Additional Voice
800351	411884	Ruka, Additional Voices
800352	290402	Julie
800353	107148	Bride ('The Bride Comes to Ye
800353	142577	Ethel Smith
800353	233574	Pat Peterson
800354	234212	Mother
800355	128645	Jill Eaton
800355	130748	Joan Farmer
800355	203549	
800355	234033	The Twins' Mother
800355	392248	Jane Harris (Dr. Corder's ass
800356	29264	The Lovebeats band member
800357	110363	Scrub Woman
800357	289585	Elizabeth's lady-in-waiting
800357	365062	Woman
800358	49966	Dancer #3
800359	48983	VIP Woman
800359	70169	Coffee Shop Waitress
800360	288619	Secretary
800361	258089	Lara
800362	308041	Ivan's wife
800363	153146	Mata
800364	228608	Stripper
800366	102635	Nelly Patteson
800367	6969	
800367	34726	
800367	49500	
800367	91879	
800367	95519	
800367	215514	
800367	372506	
800368	96037	Hostess
800369	71934	Anne
800370	355404	Devil Showgirl
800371	27341	
800372	359064	Ozcars Hostess
800374	310262	Bernice Clasky
800375	34882	
800375	123661	
800375	128754	
800375	189067	
800375	251808	Herself
800375	257736	
800375	261289	
800375	314268	
800376	40650	Herself
800376	41581	
800376	112796	
800376	130323	
800376	188941	
800376	233739	
800376	235147	
800376	294281	
800376	296182	
800376	330051	Herself
800376	332877	
800377	66935	Helen
800378	290402	Carmen
800379	219909	Susan
800379	261416	Amy
800379	363291	Julie
800379	380640	Andrea Nuvo
800379	399251	Rhodie
800380	243768	Diana
800380	406891	Katherine (1981)
800381	1221	
800381	6728	Herself
800381	13503	Herself
800381	16882	
800381	26118	
800381	27008	Herself
800381	27021	
800381	37455	
800381	41620	
800381	42439	
800381	50369	
800381	76932	
800381	83800	
800381	95803	
800381	105773	Erin
800381	110214	
800381	116013	Herself
800381	158592	
800381	167526	
800381	191356	
800381	228021	Herself
800381	228023	
800381	237135	
800381	271303	
800381	315156	Kelsi Ballard
800381	329748	
800381	338348	
800381	349393	Dark Woman
800381	353742	
800382	106176	
800384	70970	
800386	216772	Katie
800386	302205	
800388	403532	Herself - Participant
800388	403534	Herself - Participant
800388	403536	Herself - Participant (2001-2
800389	246000	Watermelon Contestant
800390	216737	Costello's Mother
800392	80493	Carmen
800392	85840	Woman #1
800392	149328	
800392	158393	Blondine Dimaggio
800392	212032	Dr. Jane Drury
800392	306120	Mrs. Alvarez
800392	341759	Rachel Kossinger
800392	361864	Charlene
800392	405733	Rose Freeman
800393	309211	Lana
800394	221297	Glee Club Member
800395	18953	Sam Metcalf
800396	98256	
800397	29673	Ethbek
800398	81299	The Babysitter
800398	136832	Clutz
800398	270265	Melody
800398	361068	Girl in Bathroom
800399	263358	Ellen
800400	76664	
800401	83982	Gnits
800401	341974	
800402	378936	Winner (2001)
800403	313334	Carmel County Casting Directo
800403	319554	Spanish Hooker
800404	166943	
800405	217081	Tiny
800405	410441	Agnes Schmeenk (1995)
800406	37700	Julie
800406	37701	Bubbles
800406	113352	Referee
800407	125163	
800407	138036	Jenny
800407	142804	Frk. Lilly
800407	146596	
800407	153343	Kvinde på besøg på hospital
800407	153775	Bebs
800407	154131	Karin Sommer
800407	154319	Oline Poulsen
800407	183106	Henriette Flint
800407	190825	Agnes-Catrine
800407	190840	Restaurationsgæst
800407	214330	Lotte Jørgensen
800407	214350	Fru Maria
800407	218886	Baronesse Lulu von Baunenfeld
800407	237288	
800407	242452	Fru Holgersen
800407	255675	Conny
800407	255679	Baronesse Grunenskjold
800407	278356	Dorte
800407	305128	Husholderske Madsen
800407	310054	Irmelin Mødon, hans kollega
800407	321992	Jacob's Aunt
800407	326109	Taxakunde
800407	336411	Minister Bertha Viginius
800407	340426	Frk. Johanne Solberg
800407	350562	Fru Hartsen
800407	356855	Ghita
800408	228163	Herself (Keyboards)
800409	45743	Fru Haldorsen
800409	48130	Dame i undertøysbutikk
800409	50896	Katrina Larsen
800409	108178	Grossererens kone
800409	117902	fru H. Brand
800409	124466	
800409	180710	Fru Buck
800409	287377	Tanten
800409	314628	
800409	352992	Fru Larsen
800409	353031	Alexandra, tante
800409	354823	Jean
800410	283336	Landlady
800410	320144	Allens
800411	95279	Lene Baeck
800412	93097	Customer
800412	210758	Mona DiLeo
800413	20371	Jennifer Watts, Shuttle Freed
800413	63025	Eileen Morgan
800413	79911	Kate
800413	89236	Janet
800413	96730	Dr. Julia Heller
800413	96970	Wendy Robinson
800413	115576	Sue
800413	116140	Carly Simmons
800413	125818	Donna
800413	133760	Kate Hightower
800413	148257	Daughter
800413	168462	Faith
800413	169941	Victoria Thorne
800413	169950	Melinda Coverdale
800413	178945	Marla McDermott
800413	240529	Allison Beauchamp
800413	246285	Detective Anne-Marie Marrone
800413	248495	Susan Holme
800413	264234	Celia Shine
800413	269680	Andrea Roberts
800413	277880	Clara
800413	280147	The Rocket Boy's Girlfriend
800413	302584	Hannah Gottschalk
800413	304529	Jessie Dage
800413	305356	Nora
800413	305458	Sara Barnes
800413	306814	Terry Best
800413	314794	Nellie Ambrose
800413	316975	Lowni Striker
800413	331738	Tracy Vrain
800413	334293	Kathi Davidson
800413	339358	Elizabeth Gardner
800413	340946	Kay
800413	363209	Gail Pennoyer
800413	366642	Tracy Steelgrave
800413	368301	Mellisa Stotts
800413	372408	Tracy Gordon
800413	383123	Jennifer McPhail
800413	383415	Cpl. Jennifer 'Pilot' Chase
800413	387230	Dr. Julia Heller
800413	391898	Linda Metcalf
800413	396123	Patricia 'Trisha' Alden Sowol
800413	398567	Paige Weikopf (1997)
800414	192682	Salon Patron #3
800415	340270	Maren, Jostedalsrypa
800416	73674	Miss June
800416	331664	Beautiful Girl
800417	105039	Kirsten
800417	301676	Inmate
800418	154678	Gerilja
800419	57760	Torunn Buene
800419	138006	Mrs. Quisling
800419	184592	
800419	410019	Monica Ahlsen
800420	400698	Une femme dans un gâteau
800421	352183	
800422	375943	Model Moeder
800423	120896	Hanna
800424	150351	Nun Not in This Movie
800424	175621	Housewife
800424	308440	Julie
800425	5187	Herself
800425	6210	
800425	27585	Herself/Helene
800425	42686	Herself (winner)
800425	77701	Woman on Night Shift
800425	93520	Female Bear
800425	99511	Marie
800425	101124	Stella
800425	111557	Helene
800425	113457	Karina
800425	118043	Lonni
800425	120968	Lonni
800425	130190	Herself
800425	138461	Mor
800425	147018	Herself - Performer
800425	147020	Moderen
800425	155684	High Class Lady
800425	181736	Syerske
800425	208284	Zeborah
800425	213431	Pernille
800425	227157	Herself
800425	239339	Nete
800425	265830	Berta
800425	271839	
800425	275415	Charlotte
800425	307504	Mor
800425	309292	Pige på Ravnsholt
800425	315397	Elisabeth
800425	317645	Lisbeth
800425	352125	Katrine
800425	357810	Lucretia
800425	370801	Herself/High Class Lady
800425	376098	Herself - Presenter
800425	376101	Herself - Presenter
800425	376102	Herself
800425	376103	Herself
800425	386911	Charlotte Wangler
800425	387293	Helga Krog
800425	389121	Pernille Karmark (-2004)
800425	389397	Girl at the bar
800425	393418	
800425	393875	Mia
800425	395468	Various roles
800425	409152	Various roles
800427	11549	Mrs. Stein
800427	16644	Wheel of Fortune Contestant
800428	84808	
800428	84809	
800428	291014	
800429	2675	Mette Jespersen, Daughter
800429	104253	Maja Allnes
800429	180100	
800429	344292	
800430	225689	
800430	348962	Pasient
800431	240114	Jenny
800431	306712	
800432	124901	Marja
800432	279646	
800432	282736	Eerste meisje
800432	381006	Juffrouw Berger
800432	397654	Moemoe
800433	382909	
800434	33960	Els
800435	59534	Berie
800435	205504	Daniëlle
800435	365575	Hoertje
800435	367020	
800436	110247	Isabela
800437	103101	
800438	222880	Debbie
800438	278715	Juliette Dureau
800438	294238	Zoe
800438	365121	Claire
800438	372406	Cathie's Flatmate
800439	2775	Herself - Best Supporting Act
800439	3053	Herself - Past winner
800439	5036	Sarah
800439	23559	Miep Gies
800439	26847	Clara Clayton
800439	35647	Herself
800439	46418	Herself (L.A. Premiere)
800439	50484	Stella
800439	54264	Elaine Summer
800439	55937	Gayle
800439	59403	Herself
800439	65628	Sarah Davis
800439	73753	Marjorie Kinnan Rawlings
800439	80556	Julie Rose/Katie McGovern/Eve
800439	99164	Emily
800439	100843	Rose Pickett
800439	127552	
800439	130296	Julia Tate/Moon
800439	135727	Mary Gulliver
800439	149455	Joanie Fisher
800439	154040	Dr. Blake
800439	161301	Narrator
800439	163331	Clem Gazelle
800439	190047	Colleen Beck
800439	194055	Narrator
800439	201712	Herself
800439	205830	Marienne Hotchkiss
800439	210481	Lynda Dummar
800439	213326	Adrian
800439	215527	Elain Rutledge
800439	223871	Gloria
800439	224344	Mrs. Parker (Mother)
800439	233307	Hannah Nixon
800439	234126	Naamah
800439	234212	Estelle
800439	241494	Ginny Grainger
800439	248884	Karen Buckman
800439	254645	Belinda Conine
800439	255273	Rosemary Sydney
800439	260059	Katherine Bellamy
800439	261962	Jessica 'J.C.' Caldwell
800439	271003	Mother
800439	281054	Phoebe Craddock
800439	287311	Herself
800439	292861	Herself/Clara Clayton (footag
800439	319270	Francine Pinkney
800439	329545	Herself
800439	333182	Amy Robbins
800439	340908	Mother
800439	347883	Herself
800439	362046	Young Sarah
800439	366655	Sally Rider
800439	381102	Clara Clayton Brown
800439	383802	
800439	388202	Little Red Riding Hood
800439	392834	Kate Montgomery
800439	393569	Helen Girardi
800439	395819	Detective Karen Condrin
800439	407831	Nicole Warren
800440	98803	
800441	152704	Pige med hest
800442	27593	Herself
800442	113651	Herself - Choir
800442	401951	Herself - Choir
800442	406569	Herself - Choir (season 2-200
800443	357356	Nelly
800443	375050	
800443	383003	Anna Geerigs
800443	393535	
800443	400294	Jonge vrouw (1992)
800443	406166	Patty Starrenburg
800443	408764	Irma van der Weijden, hoofd v
800443	409987	Ilse van Dungen - de Swaan
800443	410437	Ellen Veenstra-van den Berg
800444	194697	
800445	280616	Raf Tastenoy
800446	327474	Gravid Kvinde & Violinist
800446	380324	Herself
800446	390212	Herself - Host (2002)
800446	403724	Herself - Host (2001)
800446	412215	Herself - Host
800446	412216	Herself - Host (season 1-2004
800447	330204	Herself (rescuer, Holland)
800448	2976	
800448	4815	Car Rental Clerk
800448	48671	Gina
800448	54835	Marianne
800448	116583	Tess
800448	120967	
800448	154020	Wedding Guest
800448	190823	Mor
800448	349126	
800448	404790	Lotte
800449	22845	Elisabeth
800449	163755	Kirketjener
800449	291686	Patient
800449	307698	Hun-djævelen
800449	315388	Teacher in French
800449	393859	Tjenestepigen
800449	399474	Nikolajs Mor
800450	220921	Wendy
800451	280214	Joan Grahame
800452	132536	
800453	104051	
800454	65134	Singer
800455	184719	Little Schoolgirl
800455	403490	Clemmie Ray
800456	133730	Isabelle
800456	289013	Kate
800457	17435	
800458	184059	La voisine
800458	205770	L'invitée à la fête
800458	354576	Prostitute
800458	376938	The banker
800459	151369	
800460	176321	Goldwyn Girl
800462	58509	
800463	392413	Eva Philbrick
800464	236550	La serveuse du café
800466	92695	Maid/Vampiress
800467	147324	
800468	93223	Mary's Daughter
800469	80907	Meral
800470	30131	Maria-Garcia
800470	312741	
800470	366471	
800471	14370	Giuliana
800471	14374	
800471	20870	Vedova Nero
800471	56358	
800471	107686	Rita Alemani
800471	130128	Apollonia Vitelli-Corleone
800471	130130	Apollonia Vitelli-Corleone
800471	133110	
800471	148781	Tano's daughter
800471	157855	'Giugi' Santenocito
800471	197058	Lucrezia
800471	210162	
800471	217111	
800471	219707	Cotbi
800471	234718	Teresa
800471	236789	Signora Flora
800471	242293	Mrs. Vitale
800471	251607	Doris
800471	265316	
800471	338668	Young Donato's Wife
800472	84163	
800473	127896	
800473	133023	
800473	332259	Lena
800474	28281	
800475	28281	
800475	87118	Russian official
800475	112700	
800475	118946	Herstner
800475	159906	
800475	204336	
800475	214420	
800475	323928	Mrs. Greynitz
800475	350566	
800476	104781	Herself
800476	213618	Himself
800477	56525	
800477	271891	
800478	383571	
800478	388946	Malala
800478	395495	
800478	396149	Dora
800478	398470	Susa
800478	404993	Raquel
800478	405789	Inés
800478	406051	María Julía Gavilán 'La Gavil
800479	20571	Dead Girl
800480	1487	Herself
800480	1673	Herself
800480	1743	Themselves
800480	2573	Herself
800480	2581	Presenter/Winner as 'No Doubt
800480	2721	Herself
800480	2765	Herself
800480	25192	Jean Harlow
800480	47174	Performer
800480	99602	Herself (with No Doubt)
800480	202396	
800480	208475	Herself (#33) (Interviewee)
800480	221409	Midnight Performer
800480	221478	Herself
800480	221481	Herself - Presenter
800480	221482	Herself
800480	233559	Herself (Vocals)
800480	233560	Herself
800480	317815	Herself
800480	318742	Herself (with No Doubt)
800480	319357	Herself (with No Doubt)
800480	326662	Herself (Performer)
800480	328908	Herself
800480	368288	Herself
800480	375827	Herself
800480	378685	Herself - Member, No Doubt
800481	6407	La mémé
800482	390046	OR Scrub Nurse
800483	77632	
800484	25002	
800484	47611	
800484	66229	
800484	67954	
800484	69016	
800484	70990	
800484	90017	
800484	214210	
800484	228177	Natasha
800484	233483	
800484	265329	
800484	371763	
800484	376722	
800484	384257	
800484	391420	
800485	412008	Janeczka
800486	344203	Phyllis Weaver
800487	327475	
800488	6307	
800488	95608	
800489	179461	
800490	18764	
800491	172820	
800491	259201	Jeanie
800492	10973	Eleni
800492	20215	
800492	84028	
800492	92023	
800492	98210	
800492	100633	
800492	123521	Petros' mother
800492	136486	
800492	199262	Kira nomatarhaina
800492	212597	
800492	212648	Secreatary
800492	268204	
800492	287778	
800492	326217	
800492	328762	
800492	338971	
800492	338999	
800492	375140	Mina
800492	407739	Elisavet Mangou
800493	394077	
800494	94099	Laura
800495	28375	
800496	386030	Stefa
800497	60714	Head Prison Guard
800497	131499	Rhonda, the Dealer
800497	176838	Mom #2
800497	250514	Margery
800498	268003	Mom
800499	40053	Party Goer
800500	236722	Grandmother
800501	416	
800502	78259	
800502	100601	Eleni
800503	33767	Maro Kafkaridou
800504	340652	Singing Woman
800505	617	Maykata na Ivan
800505	130140	
800505	180044	
800505	244471	Uchitelkata
800505	244473	Selyankata
800505	249658	
800505	326011	Mariola
800505	374247	
800506	224447	
800507	258536	
800508	357324	Elitza
800509	19069	Leyla
800510	198158	Lyubima
800511	97561	Elen
800511	160594	
800511	202180	
800511	225978	
800511	284459	
800511	323925	
800511	339236	Pangarova
800512	17407	Karakostova
800512	30601	Sekretarka
800512	90733	Maykata na Ani
800512	95166	Sadijka
800512	163901	Maykata na Antoaneta
800512	173840	
800512	174321	
800512	174382	
800512	180785	Lyubka
800512	204047	Michona
800512	228847	Bochukova
800512	253836	Ekaterina Hlebarova
800512	259973	Priyatelkata na Toni
800512	262499	
800512	272903	Zhenata na stzenarista
800512	306116	
800512	315937	Sekretarkata
800512	323925	Uchitelkata
800512	350973	Uchitelkata
800512	354641	
800512	357433	Raeva
800512	364904	Angela
800512	373973	
800512	374158	
800512	404210	
800513	146777	
800513	337039	
800515	1888	Evina prijateljica
800516	9353	Dancer
800517	88448	
800518	132157	Purkovitza
800518	288358	
800519	208779	
800520	539	Danja
800520	186244	Mlada Suzana
800520	241007	Daca
800520	372973	Jelena
800520	394873	Daki
800521	396292	
800522	187668	
800522	246586	
800523	222441	
800524	311459	Florica
800525	375338	
800526	134763	
800527	404732	
800528	73579	
800528	323341	Dragana
800529	89481	
800530	339055	Supruga ... desne polutke
800530	400481	Marlen
800531	410442	
800532	3392	
800532	187492	Angéla
800532	189357	Piglet
800532	348671	Kurva
800533	266350	Vlasta
800534	14559	Blanka
800535	137641	Rosselini
800536	264974	Alissa
800537	408826	Zofia Rudecka
800538	9897	Michelle Rafferty
800538	10874	Nyla Olson
800538	21448	Cafe 24 Waitress
800538	32052	Joyce Parkins
800538	46287	Shelly
800538	72292	Girl at Party
800538	82454	Claire
800538	83644	Marbury
800538	115943	Sylvia
800538	116732	
800538	125549	Capt. Elisabeth Campbell
800538	152932	Irene
800538	194963	
800538	215157	Sara Myers
800538	314688	Natalie Wright
800538	345690	Kelly
800538	393228	Joan Kennedy
800538	397238	Shelly Pangborn
800539	89811	
800540	17205	
800540	24141	
800540	128926	Maria 'la pazza'
800540	162053	Assunta
800540	194150	
800540	205960	Maria
800540	234773	Paola
800540	279957	
800541	225169	
800541	350876	
800542	145483	
800543	269487	Cristina (segment "Cavallucci
800544	14386	
800544	56049	Lorna
800544	113707	
800544	189792	
800544	214858	
800544	224871	Hooker
800544	277808	Marta
800544	373280	
800544	373282	Lorenzo's wife
800545	51801	Girls in Bar
800546	302221	Anchorwoman
800546	385957	Hostess
800546	394167	Herself - Anchor (1983-1998)
800547	269082	Darlene
800548	81183	
800548	137625	Vera
800548	159520	
800548	171400	
800550	169202	
800551	56634	
800552	9986	Coco
800552	325532	
800553	32562	Party Girl
800553	72651	Marta Farnstrom
800553	146832	Anna
800553	160793	
800553	381806	Marie the Maid (1962-1963)
800554	197186	Lady in Car
800555	36690	
800555	40277	Madame Arnouna
800555	48282	
800555	57895	Otie
800555	66726	Diane, l'adjointe de John
800555	76960	
800555	89119	Madeleine
800555	96172	Jacqueline
800555	123444	Aurore
800555	148589	Mélanie Gérard
800555	249677	Nath
800555	266237	Florence/Prunelle
800555	280561	
800555	304259	Yvette
800555	307570	Carole
800555	338597	Anne-Marie
800555	341019	Carol
800555	345174	Blonde girl in the hotel
800555	381045	
800555	388120	
800556	240586	
800557	397397	Herself
800558	168960	Mother with child
800559	84450	Hochzeitsgast
800560	16403	Fry Borck
800560	180710	Frk. Sønstegård
800560	344290	Frk. Unstad
800561	12850	
800561	111670	
800561	150568	Fatima Bürgenstock
800561	189711	Cleo
800561	204755	Gabi
800561	217477	
800561	290104	Stella
800561	314811	Biggi
800561	392077	Fatima Bürgenstock
800561	395001	
800562	84502	Margot, the brothel's mistres
800562	125766	Fabiola
800562	263862	
800562	378412	Chabela de García
800562	383500	
800562	385069	Marina
800562	387681	
800562	387922	Manuela's Aunt
800562	390735	
800562	393023	Carmen de Umaña
800562	397257	Eva Bocanegra
800563	247132	
800563	310825	Vreese
800564	307966	Mabel
800566	265539	
800567	91222	
800568	388391	Herself - Teamcoach (1999)
800569	390932	Trunte
800571	229414	Conny
800572	6720	Herself
800572	62495	
800572	278497	Passerby
800572	302523	
800573	191898	Rose Wilder
800573	191899	Rose Wilder
800573	191900	Rose Wilder
800573	212733	Rose Wilder
800573	395735	Rose Wilder (1982-83)
800573	399684	Hope Hazard,at the age of 4
800574	191898	Rose Wilder
800574	191899	Rose Wilder
800574	191900	Rose Wilder
800574	212733	Rose Wilder
800574	395735	Rose Wilder (1982-83)
800574	399684	Hope Hazard,at the age of 4
800575	160271	Bernadette Eiswald
800575	167139	
800575	211489	Stripperin
800575	223285	Angelique
800575	282104	Blondine III
800575	318884	Bärbel
800575	325764	Lisa Kirchner
800575	332832	Corinna
800575	404067	Lisa Westermann
800575	404494	Katja
800576	188420	#1 Fan
800577	180886	Little Dorli
800577	398851	Hanicka Lukesová
800578	248079	
800579	104768	Icelandic entry (13th place)
800579	208838	Girl in camping trip
800579	229484	Didi
800579	351200	
800579	354334	Gudrun
800580	74422	
800581	14703	Olívia
800581	17387	Carmo
800581	20397	
800581	52755	The Nun
800581	66222	Cléo
800581	77310	
800581	88794	(segment "O Apartamento")
800581	88800	
800581	90821	
800581	116581	Mariana
800581	124235	Regina
800581	184353	Neusa
800581	222375	Helô
800581	225111	
800581	239940	
800581	248236	Margarete
800581	344695	
800581	377610	Ana Cristina
800581	398856	Clemência
800581	407024	Laurita
800581	407798	
800582	159510	(segment "Transa, A")
800582	287737	
800582	380081	Santuza
800582	380612	Iara
800582	380946	Juliana
800582	381263	Ivete
800582	382741	Marília
800582	383328	Remédios
800582	383370	Isabel
800582	383677	Jaci
800582	384778	Paula
800582	388941	
800582	393876	Marta
800582	397198	
800582	400597	Glorinha
800582	402503	Cinara
800582	403738	Helena
800582	403747	Juliana
800582	407643	Sabrina
800583	306421	So Fine Girl
800584	381909	Herself (6th Evicted, 43 Days
800585	366104	Shawniqua
800586	10384	Street Walker
800588	51424	Dame couple hollandais
800588	58410	Inge
800588	80335	Lise Keller
800588	198636	
800588	211152	Sacha
800588	215136	La magicienne
800588	246949	
800588	250780	Clara
800588	265137	Sandra Nielson
800588	294373	Carole
800588	337019	Evelyne
800588	349861	Jessica
800588	382404	
800588	385282	Hilguegue
800588	389774	Reinhild
800588	397947	L'amie de Frantine
800588	398843	Directrice de la DASS
800588	404176	Hilguegue
800588	412266	Lionda Porter
800589	203376	
800590	682	Penny, the Cryer
800590	269800	Call Girl
800591	148901	Nevada Militia
800592	17867	Betty
800592	33807	Darman's Wife
800592	64772	Woman on train
800592	68214	Lady Barber
800592	78744	Vranni
800592	80593	Annie
800592	89628	Jane
800592	118393	Shop assistant (Wedding two)
800592	124098	Renata
800592	128584	Eva Berg
800592	133780	Policewoman
800592	170441	Madam
800592	178224	Joanne Garland
800592	192276	Mrs. Tremaine
800592	198837	Jane Baker
800592	257990	Agent
800592	269088	Miss Nicholson
800592	304259	Countess Olga
800592	333679	Mrs. Denby
800592	334134	Russian Girl
800592	334271	Princess Charlotte
800592	369910	Rachel Phillips
800592	387490	Renata
800592	388320	Renate
800592	388350	Ella
800592	395526	Imogen
800592	395736	Lady Fauntleroy
800592	401381	Madame
800593	22844	Eli 26-44 år
800593	307698	Lærerinde
800593	409556	Mother
800594	292612	Mermaid
800596	4498	Christel
800596	4832	
800597	395201	Herself (2003)
800598	73468	La Boletera
800598	193502	
800598	248229	Melina
800598	384119	Pía Pacheco Acevedo (1999)
800598	384427	Carolina
800598	396180	Leticia Flores de Guelar
800598	397623	Lila Pedemonte
800598	398995	Nati
800598	401250	Malvina Baggio
800598	403366	Sandra Quiroga
800598	405916	Dolores 'Lola' Carmona
800598	406050	Lucía
800599	49283	
800599	49299	
800599	109558	Clementine
800599	324443	Amtsrichterin
800599	325848	Elisabeth Meindl
800599	347826	
800599	395908	
800599	404169	Theresa
800600	29581	Dara
800600	262669	Mojca
800601	100001	
800602	99893	Frau Stierli
800603	18436	Snide Clerk
800604	97223	Mrs. Evans
800604	188033	A Possum for Peace
800604	229259	Mrs. Curnow
800604	382743	Sister Patrick
800605	290575	Erna Fuchs
800606	78139	Female Inmate
800607	114328	
800608	92083	Second witch
800608	181088	Jana
800608	310248	Zina
800608	357476	Nun
800608	374216	Girl
800609	142935	Royal Lady
800610	42296	Swedish Suntanning Team Membe
800611	338151	Girl #1
800612	59126	Music student
800613	34255	Mutter Lorenz
800614	396874	Regina Zirkowski (1996-)
800615	204532	Model
800615	272512	Annika
800616	6121	Mother
800616	283323	Dani
800616	358663	Addict Mother
800617	6121	Mother
800618	373430	Mrs. Dr. Donnermann
800620	151207	Party Guest
800621	171567	
800622	71512	Mom
800622	264475	Roseana
800622	350457	Goddess
800623	14159	Betty
800623	32052	Ruby at 12
800623	82902	Margaret
800623	207828	Amanda Thripp
800623	252884	Marsha
800623	253000	Little Leah Tyman
800623	354163	Carley Whitaker
800624	368043	Janet
800625	33454	
800626	189724	
800626	321255	
800627	44055	Anna Flueckiger
800627	254376	Akulina
800627	290644	Agnes Tanner
800627	314853	Schwester Maya
800627	325821	Wirtin Bahnhof
800627	334563	
800627	396285	Lilian Lüthi (1999-????)
800628	93399	Mathias' Filmteam
800629	67909	Claudia
800629	71097	Chiara
800629	205488	Sandra
800629	251313	Marilisa
800629	344589	Mariposa
800629	346173	Chiara
800629	375235	Flaminia
800630	348612	Amanda
800631	16444	
800631	26176	Prophetess
800631	30259	
800631	57556	Lena, homely nun
800631	58249	
800631	74469	Betty
800631	113102	Rollerka
800631	174027	Paní domácí
800631	181073	Marencina teticka
800631	227874	Josefína
800631	252801	Valerie
800631	262817	
800632	16195	Elza
800632	28234	Derbaková
800632	43128	Kusnicová
800632	96392	matka Venduly
800632	111639	
800632	151829	Marta
800632	165054	
800632	207721	Prchalová
800632	211885	
800632	217034	Katerina
800632	225888	Bimba
800632	229836	Katka
800632	231177	Waitress Marie
800632	253785	Zrzka
800632	265647	Eleonora
800632	304192	
800632	309463	Inka
800632	320641	Lída
800632	323293	Salsa Verde
800632	360071	
800632	376556	Tylda
800632	386532	Masseur Jitka
800632	407221	Marta
800632	408863	Kadlecová
800633	55885	Landlady
800633	88745	Jirinka Novotná
800633	147035	Neighbour
800633	162196	Irca Minovská
800633	167022	Rozina Marincáková
800633	172906	Hospodyne Anca
800633	225968	Heda
800633	246910	Lola Andelova
800633	261381	Tonca Vacková
800633	261383	Andela
800633	262189	Julinka
800633	266534	Dorla
800633	284012	
800633	288359	Courtier
800633	305140	Jarmila
800633	339290	Houfová
800633	373781	Buresová
800633	401806	
800634	170989	Mrázková
800635	167159	Diane
800635	306950	Cliente boite
800636	410444	PQ
800637	167564	Jealous Girlfriend
800638	2350	Protester
800638	105650	Barbara
800638	130458	Soviet General
800638	139199	Housewife
800638	167714	Waitress
800638	298282	Pam/Mrs. St. Cloud
800638	340502	Maria
800639	148036	
800641	20625	Extra
800641	215993	Bit part
800642	213590	Schoolgirl
800644	14590	
800644	16890	Maggie
800644	28566	Blondine
800644	28700	Tiina Ronk
800644	64750	Supermodel
800644	90309	Elvira
800644	113270	Fran
800644	135886	
800644	141236	Mrs. Hall
800644	151052	Lena
800644	175324	Geliebte 1 (Lover #1)
800644	192639	
800644	258689	
800644	287126	Sandra
800644	345665	Inhaberin
800644	356551	Woman with High Heels
800645	25520	
800645	167147	Sue Lawson
800645	361528	
800645	380379	
800646	143785	
800646	351569	Nana
800647	16045	Mary
800648	306286	Dancer
800649	409625	Gast im Schiller
800649	409958	Christiane Kosslar (1997-2004
800650	263788	EMC Receptionist
800651	307555	
800652	290978	Shelley
800652	368913	Dawn
800654	154482	Mama Speigler
800654	213662	Mrs. Fineberg
800655	245625	Elizabeth's Assistant
800656	6173	Dommer Laursen
800656	27571	
800656	30170	
800656	51301	
800656	91265	
800656	108955	
800656	116305	Ellen Petersen
800656	117459	Enkepastorinde Hansen
800656	117743	Pigen
800656	121482	Grevinde Urne
800656	136733	
800656	142504	Prof. Hvam
800656	146603	Grevinde Constance
800656	153954	Tanten
800656	154138	Poul Linds tante
800656	154235	Sekretæren
800656	173139	Fru Møller
800656	198052	Franziska Bergen, komtesse
800656	203398	Ibs mor
800656	213334	
800656	213436	Dommer der elsker hunde
800656	237023	
800656	242451	Louise Glamsfeldt
800656	252192	
800656	252193	
800656	293698	Suffløse
800656	293699	Tilskuer
800656	307135	Mathilde
800656	308229	Skolelærerinde
800656	310054	Indehaver af modebutik
800656	320691	
800656	322475	Mor til Olga Thorsen
800656	322481	Husholdersken
800656	348958	
800656	353033	Tanten
800656	403114	
800657	169305	
800658	91408	
800658	122517	
800658	221987	
800659	249073	Herself (reads poems about To
800659	345864	Herself (in Louis Braille pro
800660	75877	
800660	84574	Aunt Ihmchen
800660	98361	
800660	182750	Goneril
800660	230179	Hänschel
800660	264329	Kurfürstin
800660	287638	Judiths Mutter
800660	290087	
800660	334542	Sophia
800660	402303	Agnese, Lucia's Mother
800661	57013	
800662	227588	Mary
800663	727	Herself
800663	737	Herself
800663	45103	Singing Voice of Audrey Dalto
800664	117957	Pregnant Woman
800665	33401	
800665	43663	
800665	53135	
800665	67653	
800665	84063	
800665	86503	
800665	195118	
800665	199033	
800665	210263	
800665	222187	
800665	284842	
800665	344810	(segment "Vingança")
800665	378102	
800666	4500	Frau Renner
800666	175777	Regine
800666	312878	
800666	376445	Hanne
800666	385006	Corinna
800666	396166	
800666	405542	Bertha Schatz
800667	128142	Belle
800668	187986	High Roller
800669	162250	Iris
800669	214286	The Mime
800669	222194	Woman in #12
800669	270632	
800669	274572	Austin Girl Wannabe
800669	299657	
800669	340754	Girl
800669	394950	Herself
800669	403419	
800670	267881	
800670	410211	Gladys Borrington
800671	292449	Herself - singer and bassist 
800672	69810	Housekeeper
800672	164663	Rochelle
800673	391255	Tracey
800674	42386	Cutting Edge Assistant Carol
800674	108261	Diner Waitress
800674	144956	Betty
800674	156480	Angry woman
800674	197379	Ethel
800674	268541	A.D.A
800674	280844	Frances' Mother
800675	321367	Wedding Guest #4
800676	109544	
800676	164772	Tora
800676	322312	Liva Landberg
800676	353034	Singer
800677	11277	Lena Maria Svenson
800677	11838	Mrs. Beamish
800677	28938	Chambermaid
800677	46622	Frau Klappholz
800677	54471	Mme. Montagne
800677	65650	Mama Hinzel
800677	65722	Loder's Nurse-Guard
800677	67227	
800677	72906	Nurse Halpern
800677	90295	
800677	92339	
800677	93463	
800677	102983	
800677	105804	Fat Dutch Woman
800677	110137	
800677	119178	Emille
800677	133807	Buxom woman
800677	134182	Hausfrau (German Version)
800677	150533	Frau Plotke
800677	155418	
800677	155478	
800677	182452	
800677	187946	
800677	188547	Woman Musician
800677	206824	
800677	211074	
800677	216375	van der Gould
800677	219996	Mama (at resort)
800677	220830	Marta, the Cook
800677	223484	
800677	226286	
800677	290497	
800677	295439	Frau Schmitt
800677	303712	
800677	306396	Meena
800677	312739	Frau Cruse
800677	316070	Katie
800677	320227	
800677	321519	The Duchess
800677	325298	
800677	345892	Frau Mutz
800677	356754	
800677	358749	Minna the housekeeper
800677	361410	
800677	364042	Frau Andreas
800677	376019	
800678	325192	Patient
800679	104486	
800679	168317	
800679	222175	
800680	16705	Android
800681	332915	
800681	340655	
800681	340811	Ms. Platski
800682	377347	
800682	403987	
800683	167564	Scowling Man's Wife
800684	404165	Perdida
800685	10670	Nun
800685	26079	The Landlady
800685	80504	Registrar
800685	151483	Miss Rue Who
800685	203328	Angela Lucassey
800685	210741	Bird Lady Alien
800685	218180	Lulu
800686	96593	Medic
800687	87989	Harmony
800688	42677	Singer
800688	115220	Band
800689	225121	Neda
800690	170124	Besitzerin
800692	179062	Francie
800693	201409	Michelle
800693	304686	Saleena
800694	257638	Herself
800694	257646	Miss September
800694	257838	Miss November 1987
800695	362588	
800696	137254	Girl in Park
800697	305177	
800699	390771	Jason Frederick Marler #1 (19
800700	40504	Susan
800700	93987	Tracy Flemming
800701	176712	Erica
800701	276335	Margaret
800701	320106	Marie
800702	77176	Tip Bennett
800703	79290	Little Girl in Drugstore
800703	329467	Peanuts Donnetti
800704	352855	
800705	397326	Stefanie
800706	157498	
800706	325716	
800707	274009	Nurse
800708	274125	Doo Wop Girl #2
800709	223282	
800709	388599	
800710	870	
800711	24701	Nurse
800711	32808	Courtney
800712	400155	Herself
800713	24519	
800713	62178	
800713	214682	Jennifer
800713	364931	
800713	401030	Madeleine Bernard
800714	265473	Erika
800714	334903	Holly
800715	80486	Billie Jo
800715	157036	Sandra (Groupie)
800715	315981	Rektor Laila
800716	409625	Irma Sturm (2003-)
800717	134784	
800717	160797	
800717	310518	
800718	189842	Host
800718	189858	Host
800718	399105	Host (1982-1991)
800719	51112	Becky
800720	115421	
800721	161515	Laura Curzon
800721	193955	Lady Strong
800721	305646	Lady M. Kingsford Smith
800721	308317	Laurette Graham
800721	330246	Mrs. Kelly
800721	363511	Mrs. Joyce
800721	406625	
800722	115205	Ida
800722	294840	Groom
800723	107503	Julie
800724	290575	Die Braut
800725	176298	Herself
800726	92930	
800727	108087	Control on Staircase
800728	296552	Lucy
800729	258936	Little Girl
800730	159535	
800730	162803	
800730	206741	Picardia's Aunt
800730	215221	
800730	225397	
800730	255481	Mercedes Alonso
800730	257417	
800730	265331	
800730	342094	Laura Parenti
800730	349967	
800730	376839	
800730	398454	Teresa
800730	403172	Elvira de Rosas
800731	355332	Herself
800732	2890	Picture Girl
800733	364519	
800734	275314	Rec Center Employee
800735	59590	Sally Brown
800735	59593	Sally Brown
800735	163642	Sally Brown
800735	372327	Sally Brown
800736	341802	Herself
800737	355332	Herself
800738	45454	Anne Marie
800738	92095	Pregnant Woman #2
800738	157785	Mabel 'Rosie' Rose
800738	193621	Lauren Semple
800738	266070	Christine, Mark's Girl
800739	272320	
800740	84451	
800740	220208	Herself
800741	195331	Daisy #2
800742	343930	Belly Dancer
800742	343932	Belly Dancer (video "Numb")
800743	123435	Sheraton Desk Clerk
800744	212002	Patricia's friend
800745	380454	Ruth
800746	364378	Tommy, Age 4 Alternate
800747	272944	Rita
800748	238123	Jula
800749	407028	
800750	390929	Mona (2)
800751	11769	
800751	154227	
800751	214026	Studiekammerat til Klausen
800751	303950	
800752	245229	Girl #1
800753	376457	
800754	11531	Female Guard
800755	259829	Old Woman
800755	333327	Lila
800755	360741	Libby Clinton
800755	365759	
800755	384124	Millie Bain
800756	312950	Kind (Child)
800757	395145	Jessica Leider (2003 - ?)
800758	283521	Elin
800758	378527	
800759	226405	Herself
800760	312107	Rita
800761	408377	Mutter Marie-Louise Trueller
800761	410185	Ruth Dreifuss, Carla Del Pont
800762	87157	Mafia girlfriend
800763	253499	Girl on swing
800764	57644	Herself
800764	114298	Herself
800764	161259	Herself
800764	161331	Herself
800764	161368	Herself
800764	215456	
800764	223921	Herself
800764	233936	Herself
800764	275465	Herself
800764	278290	Herself
800764	295636	Herself (interviewee)
800764	358373	
800764	368712	Commentator
800764	383802	Herself
800764	407545	Herself
800766	169604	Dotsy Pine
800767	147163	Cherubino
800767	218182	Babysitter
800767	243767	Eurydike
800767	259236	
800767	368744	Margaret
800768	405024	Polly Rudrum
800769	169604	Betsy Pine
800770	325826	
800772	125211	Tante Anna
800772	325555	
800772	325666	
800773	376798	
800774	115421	
800775	35655	Dead Dreamer
800776	410798	Alex Moore
800777	281205	
800778	51981	Jola
800779	33627	Sylvie
800779	68702	L'employée de 'L'Arizona'
800779	89787	Charlotte
800779	125838	Béatrice
800779	264215	Madame de Martigues
800779	275652	Karin/Sylvie
800779	345084	Juliette
800779	346531	
800779	384788	Amélie
800779	395074	Flor
800780	390520	Mme Commodore (segment "Missi
800781	314847	
800782	115421	
800783	293362	Inés
800784	32809	Young luvvie
800785	194874	Lydia Harris
800785	194922	Herself
800786	347822	Marie
800787	103595	Bracha/Martha
800787	298764	Martha/Bracha
800787	372039	Bracha/Martha
800788	32808	Tech
800788	143526	Additional Voices
800788	158321	Press Person
800788	296306	
800788	311537	Phi Beta Girl
800788	389858	Page Bowen (1995, 2003)
800789	254942	Aerobics Instructor
800790	67572	Newswoman
800791	22732	Blind Girl
800791	130011	Mrs. Phillips, as a girl
800791	331556	Sharon
800791	373216	Carol
800792	62934	
800792	180833	
800792	308227	Nena Lorenz
800792	325551	Sanela Nasovicz
800792	376351	Tilly
800792	384393	Franziska "Pflänzchen"
800792	389359	(1999)
800793	131061	Clare
800794	188815	
800795	347781	Frau Johansen
800796	225963	
800797	198003	Sheena Whiteman
800798	120170	Sara
800799	121858	Bachelorette #2
800800	354425	Thórhildur
800801	353991	Helen
800802	231484	Steffi
800802	409958	Katharina 'Kati' von Sterneck
800803	252394	Herself
800804	377362	Nadine Schreiner
800804	402532	Nadine
800805	316461	Ella
800806	242443	
800807	287568	Maja
800808	1018	Woman on Street
800808	58769	Ellen Serling
800808	106254	Elizabeth
800808	157042	Andy
800808	223978	Ronda
800808	329975	Cindy
800808	379142	Camille Stockdail
800809	301666	Mila
800810	290400	Student
800811	262147	Barmaid
800812	72874	
800812	379760	
800812	401484	Herself (1980)
800813	326411	Little Girl
800814	406730	
800815	164723	Petite fille muette
800815	215056	Mélanie
800815	254052	Une ogresse
800815	295540	Alice (enfant)
800815	296334	Virginie (enfant)
800816	94741	Girl on school bus
800816	362538	Girl in dancing school
800817	40520	
800818	306404	Frau Windscheidt
800819	116057	
800820	17677	Kartenlegerin
800820	76479	
800820	134646	
800820	156697	
800820	290700	
800820	401224	Frau Ollinger
800821	95059	
800821	173393	Mother
800821	182311	
800821	237537	
800821	301047	Martina
800821	305825	Olga
800821	322676	Mother
800821	349259	Zdislava of Lemberk
800821	357904	Dita
800821	375365	
800821	402844	Eliska Kudrnová
800821	403621	Jana Prchalová
800821	407986	
800822	47820	Angie Stanco
800823	310646	Mr. Smart's Girl
800824	105859	Tina Kauter
800825	54160	Herself (Pauzeact)
800825	104742	Herself - Dutch entry (14th p
800825	228236	Herself
800825	352215	
800825	393707	Julie ter Heul
800826	44917	
800827	84230	Townsperson
800828	164493	Katie Festinger
800829	328584	Extra
800830	334540	
800831	195689	Additional Model #10
800832	6333	Pauline
800833	20157	Tante Warwara
800833	28506	
800833	93431	
800833	94304	
800833	98273	
800833	118620	
800833	119181	
800833	120154	Frau von Erdmannsdorf
800833	120332	
800833	125127	
800833	136724	Mrs. Körting
800833	143798	Mrs. Syfrig
800833	178635	
800833	180234	
800833	216992	
800833	242861	Frau Froben
800833	284973	Saccos Frau
800833	284989	
800833	293622	Frau Blohm
800833	361407	Gräfin Tockenburg
800833	374137	
800834	366768	Child Helga
800835	403395	Herself - Reporter
800835	409298	Programvert (1991)
800836	378613	
800837	89665	Lojan
800838	37756	
800839	230273	
800840	232798	Margit
800840	313654	Rita
800840	352564	Zivilfahnderin
800841	81604	Wehrmacht girl
800842	266885	
800843	137097	Naked woman
800844	108178	Lillemor Borgan
800844	134917	Ernanda holst
800845	78289	Herself - Nabo til Lokalplan 
800846	26178	Lucka
800846	34515	Lili (younger)
800847	171742	Doch Petrova
800848	304710	
800849	179533	
800849	210283	
800850	196338	
800850	275023	
800850	373061	
800850	409403	
800851	158941	
800852	59369	
800853	8194	Cornelia
800853	55682	Bunny Waitress
800853	71133	Girl at the Party
800853	232297	Marlene Spate
800853	232873	Whore
800853	233985	
800853	250448	Vera
800853	253478	Shirley
800853	382514	Rita Henderson
800853	382838	Madge Richmond (1986-1987)
800853	384766	Jean (Denice's Mum)
800853	385299	WPC
800853	387533	Edna Birch (2000-)
800853	389968	Lucy
800853	390574	Mrs. Camilla
800853	394283	Rose #1 (1990)
800853	394665	Beth
800853	396147	Mrs. Nolan
800853	396580	Carol May
800853	404046	Mother
800853	408126	Mrs. Clegg
800854	92881	Reporter
800855	44472	Manuela
800855	87802	Farmer's Wife
800855	292018	Jessica Lloyd
800855	304876	Specialty Singer
800855	313700	Singer
800856	29951	
800856	59094	Bénévole du P.A.S.T.T.
800856	273702	Syliane
800856	333735	Kim
800856	388432	
800857	39108	Willie
800857	385437	Antoinette
800858	266743	
800859	377152	The Duchess
800859	379892	
800859	383467	Matilda
800859	383472	Belén de Medina
800859	386109	Cecilia
800859	397578	Helena
800859	398471	Isabel
800859	404988	Eloísa
800859	405776	Inginia Domínguez
800859	410387	Adelina
800860	96111	Alain's friend at David's
800861	354912	
800862	234484	
800863	14564	Luce
800863	14891	Laura
800863	157161	Young Livia
800863	229751	
800863	238073	
800863	344589	Francesca
800863	406347	Emma Valenti
800864	196584	Nurse Colville
800865	8152	
800865	217727	Mademoiselle Naurouze
800865	346564	Aurélie
800865	389234	Florence Keller (2003-)
800866	57696	
800866	109642	Herself
800866	244711	
800866	255538	
800866	281910	Hooker
800866	300859	Gipsy
800867	250731	
800868	86819	
800868	111746	
800868	122017	Che
800869	7067	Lois Duncan
800869	12271	Receptionist
800869	47389	Dispatcher
800869	74190	Cochalla
800869	84935	Lovely
800869	85725	Woman On Horse
800869	141305	Stenographer
800869	195610	Madame
800869	242106	Midge
800869	244453	Woman In The Mirror
800869	296552	Our Guests At Heartland
800869	300209	Woman
800869	358664	Nurse
800870	256825	Angel
800871	63890	
800872	42202	Ingegerd
800872	44797	Gunnel Haninger
800872	54305	Post-Mortem Dissector
800872	62445	
800872	96425	Valborg Erixén
800872	136176	Kammarfrun
800872	166943	
800872	315363	The sacristan
800872	377442	Fru Wikinson (episodes 1 and 
800872	412047	Editor
800873	256316	prinses Pinkelilly
800874	140502	Babette
800874	204462	Mascha Thiemann
800874	341097	
800875	355980	Fan
800877	12318	Herself
800877	44964	Félicie
800877	280531	
800877	280562	
800877	322750	Louise
800878	108771	Beautiful Lady
800879	287157	Tilly
800880	11814	
800881	178849	Hockeymädchen
800882	253887	
800883	342428	
800884	64964	
800885	380326	
800885	384137	Graça
800885	384480	Ranya
800885	387732	Babi
800885	391673	
800885	392792	Carolaine Mackenzie Pitiguary
800885	396610	Luana (1996)/Mônica (1997)
800885	406833	Eliete
800885	409347	Guinevère Anísio
800886	15409	Herself
800886	123018	Herself
800887	56545	Herself
800887	98076	Franziska
800888	298129	Mac
800889	15271	Blumenfrau
800889	18343	Kathi, The Cook
800889	115200	
800889	134822	
800889	177137	
800889	186957	
800889	253209	
800889	275190	Kellnerin Zenzi
800889	290575	Mädchen bei Klaus
800889	349662	Frau Vösler
800889	366566	Maid
800890	259498	
800891	120993	
800891	308681	Singer
800891	406428	Waitress
800891	408428	
800892	129323	
800893	80430	Bingo Burger Patron
800894	80430	Bingo Burger Patron
800895	242028	
800896	597	Sekretärin
800896	15271	
800896	101326	Ria
800896	111851	Liesl, Millis Nichte
800896	125038	
800896	125102	
800896	186226	Mizzi
800896	254361	Angela
800896	262433	Gretl Judex
800896	365018	
800897	7164	Rosa
800897	12835	Susanne, Annie's
800897	12871	Katharina
800897	16363	Anna Hofer
800897	17668	Helene Schweighofer
800897	34416	Mina
800897	92555	Vera Bergner
800897	93457	Angelika Sawitzki
800897	103017	Karin
800897	111414	
800897	119133	Iris Sommer
800897	119659	Petra März
800897	124896	Marion Strohmayer
800897	126398	Iris
800897	144182	Susanne
800897	149090	Christine
800897	170444	Agnès Dormes
800897	189596	Miriam
800897	199312	Rosalie
800897	204519	Barbara Heiss
800897	225229	Thekla
800897	225648	
800897	269954	Dr. Therese Fellne
800897	290729	Helene
800897	293423	Theresa
800897	303730	Lotte Heid
800897	321515	Frau Linge
800897	329006	Vera Gräf
800897	335486	Toinette
800897	352762	
800897	356841	Rena Kollitz
800897	395001	Julia Reininger
800897	398358	
800897	402747	Eva Demant
800897	404431	Anneliese Held
800897	406695	Emmi
800898	17057	Karin
800898	46623	
800898	93410	Mona Sollfrank
800898	129678	Marianne Glück
800898	156715	
800898	181451	Angetrunkene
800898	187979	
800898	225738	Leni
800898	230169	Milena Czerny
800898	281750	
800898	288811	Female worker
800898	325546	
800898	376387	Diana Summer
800898	377350	Anita Kreuzer
800898	409861	Ada Wenzel
800899	410338	
800900	361854	Herself
800901	361854	Herself
800902	176882	Russian Newscaster
800902	208886	
800902	211396	
800902	217599	
800902	281235	Leena Vinyl
800902	299656	
800903	215215	Eigenaresse
800904	77873	
800904	365587	
800905	46299	Gallery Owner
800906	31846	Wallingford's Secretary
800906	53050	Chez Cheez Clerk
800906	251412	Susan
800906	258374	Rachel
800906	367512	Missy Pierce
800907	33822	
800907	43340	Yola
800907	60873	Lubitca Mihailovitch
800907	85212	Natasha
800907	89798	Marina
800907	95609	
800907	105519	Herself
800907	105796	Nadine Nikolas
800907	120981	Grouschenka
800907	179722	
800907	181401	
800907	188391	Michele Bennett
800907	193428	Kremkes Tochter
800907	203132	Frieda
800907	215593	Typist
800907	217289	Olga Surina
800907	225633	Gruschenka
800907	227290	Nana
800907	236726	Nun
800907	258464	Marfinka
800907	261666	The Commandant's Daughter
800907	261690	Duzya Galkina
800907	283421	Ruth Barton
800907	286292	Marina
800907	306411	Lilo
800907	307368	Madame Dupree
800907	317660	Annya
800907	330141	Frau Reiker
800907	331586	Natasha
800907	360430	Katusha Maslova
800907	360705	Manya Nowak
800907	367419	Maria
800907	375449	Maria, young farmer's wife
800907	375664	Varenka
800908	103327	
800908	113463	Legs
800908	163345	Big Red
800908	191311	The Girl in the Yellow Car
800909	12527	
800909	28290	Lina
800909	273650	
800909	294967	Sara
800910	98592	Elise som barn
800911	102722	Herself (Sylvia Richter)
800911	306923	Herself (Szilvia)
800912	216686	
800913	50328	Ingeborg
800913	383045	Ingeborg
800914	85902	Marianne
800914	152757	UD-Thoern
800914	172982	Anna Lisa Almgren
800914	197785	
800914	350772	Mätta Dyre (segment "Act One"
800914	378897	Annika Thulin
800914	379800	Ellen Rosengren
800914	386641	Rut
800914	395047	Irene Lundin (episode 1)
800914	399873	Prosecutor
800914	400001	Föreståndare
800915	114584	Jessica
800915	176829	Receptionist
800915	269427	Girl in Club Bathroom
800915	271104	Vera
800915	272326	Rosalyn
800915	303102	Bella
800915	315335	Stewardess Sally
800916	275267	Helena
800917	84288	Mosse
800917	84305	Inga
800917	96441	Kirsten, stuepike
800917	105364	
800917	193388	Anna
800917	313637	Mme Petersen
800918	6584	Telephone operator
800918	9543	Ulla Wenker
800918	43354	Ung flicka
800918	95273	Elisabet Westling
800918	121004	Vera Stenberg
800918	130070	Matron Fanny
800918	131180	Dr. Birgit Andersson
800918	134965	Ulla
800918	136701	Karin Brodin
800918	137294	The lady in the hat shop
800918	141751	Ingrid
800918	142804	Yvonne
800918	153063	Young girl
800918	159642	Inger
800918	164651	Greta Möller
800918	180475	Birgit Anderberg
800918	181128	Marianne
800918	182464	Ingrid Boman
800918	190845	Telephone Operator
800918	198388	Gabrielle Ekhagen
800918	202774	Sylvia
800918	210372	Gun
800918	215467	Countess
800918	228397	Ka
800918	266363	Inga Kronfors
800918	301218	Kristina
800918	303784	Mrs. Andersson
800918	312696	Florence Day
800918	315034	Neighbour's wife
800918	315360	Sales woman
800918	319088	fru Gunnarsson
800918	319788	Jacqueline Mareuil
800918	322279	Madeleine Messing
800918	322840	Herself
800918	324807	Sonja Lind
800918	343514	Gun Lagerstroem
800918	343701	Astrid
800918	346967	Ester Holmberg
800918	353013	Elsa
800918	357801	Gullan
800918	390230	Isabella, widow
800918	403084	Elinor Dahlén (1992)/Beatrice
800919	163496	Managers assistant
800920	357571	
800921	177040	Girl #3
800921	180442	Selma
800921	214835	Kreeta
800921	255935	Guest
800922	68320	
800923	40533	Sister Joseph
800923	43606	Mrs. McCoy
800923	92436	Ruth Hart
800923	104683	Mrs. Acton
800923	112216	Aunt Sally Friedman
800923	115079	Aunt Middie
800923	147108	Mrs. Gladys Morgan
800923	158798	Edna Mae Hansen
800923	162986	Aunt Abigail
800923	194116	Old Woman/Alatien Teller
800923	206818	Nun on Phone
800923	208992	Woman at Laundromat
800923	224153	Marian
800923	235440	Elsa Carruthers
800923	278402	Mavis Johnson
800923	313855	Older Woman
800923	331341	Mrs. Russell
800923	380391	Helga Lindeman (1977-1978)
800923	400236	Hannah Graham (1997)
800924	316693	
800925	199518	Party guest
800925	239237	Lady's Maid #2
800926	160505	Annette Smith
800927	381091	Herself (eliminated round 3)
800928	65847	Woman Doctor
800929	18850	Fröken Norge
800929	324558	Mother
800930	12512	Blomsterpigen Anni
800930	30170	
800930	62885	Christa's mother
800930	64633	Fru Nielsen
800930	83091	Den lyse Inger
800930	90167	Fru Horn
800930	108575	
800930	109134	
800930	116362	Aase Dahl
800930	118593	Gerda Haarstad
800930	120307	
800930	150613	Rosa Schultz som voksen
800930	154151	Mormor
800930	165345	
800930	166607	Emilie Tutein
800930	173148	Præstekonen Anna
800930	181304	Anna Pripp
800930	198076	Ulla
800930	203922	Anita Justesen
800930	213334	Veras mor
800930	218971	Fru Knudsen
800930	219817	Grethe Holst
800930	228188	Marianne Grøndal
800930	237300	Fru Pripp
800930	237304	Oversygeplejerske
800930	238258	Inga Rosen
800930	253969	Peters mor
800930	255660	
800930	255663	Ella Christensen
800930	305311	Kammerjomfru
800930	307759	Ellinor Lund
800930	308229	Ingeborg
800930	317258	Fru Severinsen
800930	322291	Dolly
800930	322301	Stines mormor
800930	322316	
800930	328516	Schatz' fars sekretær
800930	331994	
800930	346965	Bitten Lundberg
800930	349903	
800930	356829	Mrs. Webb
800930	356852	
800930	397074	Miss Mose
800931	2	Berta
800932	275225	Analea
800933	53284	Bambi
800934	2675	Mrs. Randi Jespersen
800934	2687	Irene
800934	50273	Stuepiken
800934	109137	Helene Blom
800934	114773	Værelsespike
800934	138571	Frk. Ring
800934	166846	Venn av baronen
800934	214196	Fru Hammer, pensjonatvertinne
800934	261141	
800934	304976	
800934	317599	Bessie Mathiesen
800934	346963	Mor til Gerd
800934	346964	Birgit Lie, farmasøyt og venn
800934	353001	Babben
800934	360833	Eva
800935	2687	Maud
800936	163137	Annika
800937	169422	Girl
800938	322313	The psychologist
800939	17666	Maria
800939	23502	Pia
800939	182629	Kira
800939	184667	Anne
800939	291615	Blå Kollega/Blue Colleague
800939	373579	Anna
800939	387293	Lisbeth Gordan
800939	395126	Anne (2001)
800941	215691	Miss Kentucky USA
800942	17183	Franc Schmidt
800942	21053	Girl at nightclub
800942	29675	Ilsa, German Tourist
800942	32009	Zuleika
800942	33745	Julie Stressman
800942	56104	
800942	72451	Queen Carlotta
800942	137497	Olga
800942	142913	
800942	147852	Mrs. Landau
800942	153183	Molly Saunders
800942	176274	The Queen
800942	182785	Lady Robert
800942	202851	Countess Vonesse
800942	279425	Mrs. Stafford Howes
800944	107492	
800944	126684	Karen
800944	215623	
800944	314635	
800944	323410	
800945	315768	
800946	309804	Sleepy Girl
800947	80646	
800948	264347	Königin Elisabeth von Preusse
800949	353013	Hillevi
800950	237292	Jente på Fileten
800951	6297	Miss Picchi
800951	30747	Maria
800951	38845	
800951	48296	
800951	61100	
800951	67508	
800951	94686	
800951	120304	Baroness von Hesserling
800951	133110	
800951	229622	Professor Valdoni
800951	235767	
800951	237769	
800951	243691	
800951	251852	Adriana, madre di Marisa
800951	252305	
800951	270814	De Magistris
800951	289478	
800951	290900	Una Bambina
800951	295138	Simon, la spagnola
800951	332938	Pinella
800951	342141	
800951	344593	Giulia's mother
800951	384275	
800951	409358	Wilma
800952	20537	Colonel's wife
800952	46242	Post Office Customer #1
800953	49152	Barbro
800953	59717	Thea Sundler
800953	100477	Ingrid, clerk at the unemploy
800953	116134	Barbro
800953	174715	Magda
800953	209303	Herself
800953	218221	The Palle mother
800953	219022	Daggan
800953	238774	Mrs. Berglund
800953	315041	
800953	320690	Anita
800953	341202	Shop Assistant
800953	351458	Anita
800953	354595	Doctor
800953	391357	Lena Strid
800953	392289	Maja
800953	401772	Akinde Blom
800953	405618	Lilly
800954	51275	
800954	136179	The mother-in-law
800954	150665	Daphne
800954	164651	Jonatan's Mother
800954	180219	Mother
800954	277817	Pesant woman
800954	332206	Mme Raquin
800955	334044	
800956	182531	Åsa's Neighbor
800957	391357	Åsa Strid (1995)
800958	391357	Pernilla Strid (1995)
800959	62694	Georg Sand
800959	74769	Jadwiga Kochanowska
800959	148665	Anna
800959	183935	Loukyenya
800959	231743	Judyta Katarzyna Kozlowska
800959	234447	
800959	238401	
800959	244111	
800959	270037	Pomponia
800959	322040	Profesor's Wife
800959	347617	Anna Kowalska
800959	369017	Krystyna, Jan's wife
800959	382619	Maria Jurewicz
800959	385236	
800959	411904	Marta Tokarska, Ula and Jacek
800960	34960	Woman at Bar
800960	190593	Danielle
800960	273275	Claudia
800961	334117	Patient #2
800962	104779	Finnish vote presenter
800962	387958	Herself
800963	346016	Model
800964	227042	Woman with Dog
800965	235012	Woman on bus
800966	78067	TV Weather Girl
800966	160029	Gwen
800966	319674	
800966	404394	Jan
800966	411809	Nurse Genevieve Ridgeway (198
800967	16245	Gerda Böttcher
800967	26686	
800967	33107	Elisabeth
800967	90649	Edith, seine Tochter
800967	144156	Karin
800967	204563	Connie Voorhees
800967	336527	
800967	347702	Luisel Freytag
800967	376327	Karin Leisemann
800968	231997	Michelle
800969	88878	Hello Woman
800969	372130	
800969	373216	Mother
800970	85066	Naneena
800970	139527	
800970	295083	
800971	333022	
800972	31721	Nicole Dixon
800972	44319	Rebecca
800972	141609	Lois
800972	242922	Debi
800972	279490	
801037	127658	Dedi
800972	380391	Josie Watts Sinclair #3 (1998
800973	408196	Herself - host
800974	300985	Harem
800975	26156	Young Philippa
800975	393869	Prinsesse Miamaja
800975	394052	Fie
800975	396233	Herself - Host
800976	324329	Maskinmesterens 'kusine'
800977	134975	Herself - Production Designer
800978	49874	Janet
800978	50612	Ullah
800978	55681	Trolley Nurse
800978	55706	Mrs. Roxby
800978	88885	Eve (Model)
800978	115251	Herself
800978	197755	Mircalla/Carmilla Karnstein
800978	270803	
800978	291224	Erika
800978	307888	Robot Number One
800978	374638	Ann Olsen
800978	386584	Helga (Series 1) (1969)
800978	390286	Hostess (1970s)
800979	154565	Milk delieverer
800980	99135	
800980	235472	Nurse
800980	320265	Receptionist
800982	282086	Karin
800983	368949	Newswoman
800984	391786	Steph Dean (2000 - )
800985	39938	Natalie
800985	92618	Psychiatric Patient
800985	137603	Loan Officer
800985	215507	Miss Wyoming
800986	185303	Flora
800988	399855	Medarbeider (2001)
800988	406512	Programlder (host)
800989	381054	Assistance
800990	338658	
800991	287567	Susanne
800992	84494	Marco's Babe
800992	202322	Football Fan
800993	304393	Redaktion
800994	131232	Extra
800995	37696	Odeena
800996	115182	Junko Miyaji
800996	407847	Mama, Additional Voices
800997	340272	Martha
800998	324257	Himself - Overlæge, Lægemidde
800999	390530	Svenja
800999	406494	Flora König
801000	70758	
801001	154151	Den anden lærerinde
801002	28884	Frk. Hansen
801003	314845	
801003	393902	Grace
801003	395364	Maria
801003	408597	Bagerjomfruen Katrine
801004	30646	Talk Show Audience
801005	24352	Frau Rantzau
801005	325686	
801006	111747	Besoffenes Babe 2
801008	303538	Prison Guard
801009	259831	
801010	411245	Mags (Episode 2: Just Friends
801011	159562	
801012	12381	
801012	34496	Veronika Christoph
801012	84540	
801012	84574	Hanne
801012	98426	
801012	102390	
801012	142101	
801012	204440	
801012	217804	
801012	243810	
801012	272791	
801012	325622	Leonore
801012	340242	
801013	70065	
801014	358756	
801014	365007	
801014	365011	Anna Strauss
801015	286738	
801016	46671	Seljanka iz Lomnice Donje
801016	89266	
801017	395299	Melita
801017	405705	Marina Travica (1982-1992)
801019	17546	Knyagina Yelizaveta Feodorovn
801019	32848	Mrs. Shamway
801019	88617	Belova
801019	95617	
801019	121140	
801019	132090	
801019	207497	Anya, her daughter (segment "
801019	237964	
801019	241942	Old woman
801019	261907	Mariya Benediktovna
801019	304160	
801019	356420	Anna Pavlovna
801019	356421	Anna Pavlovna
801019	356422	Anna Pavlovna
801019	357422	
801019	373977	Mariya
801019	386031	
801020	60435	
801020	188522	
801020	227120	Malysh 1
801020	357241	
801021	258796	Pavlik
801021	265047	
801022	178701	
801022	339006	
801023	131944	
801023	304714	Kymynä
801024	181134	
801025	394750	
801026	138683	Zhenia's Mother
801027	259925	
801027	352804	
801028	96115	
801028	226187	
801029	375737	
801030	154541	
801030	217463	
801030	265023	
801030	276619	
801030	323646	Smart Young Girl
801030	332988	
801031	35854	
801031	340234	
801031	357347	
801031	373744	
801031	382445	
801032	81408	
801032	134763	
801032	305527	
801033	185530	Herself (neighbour)
801034	116556	
801034	296853	
801035	325835	Frau mit Pferdeschwanz
801035	339211	
801036	169512	Emma
801038	59772	Nina Puhova (vocal)
801038	231171	Ponchik
801038	231172	Ponchik
801038	252577	Peppi
801038	294988	Krasnaya Shapochka (Voice)
801038	321874	
801038	327661	Princess
801039	132724	
801040	363981	Waitress
801041	324525	
801042	140580	Bella Penn
801043	188636	Une fillette au piano
801044	23750	Une pensionnaire de la Maison
801045	281206	
801046	186183	
801046	199045	
801046	293889	
801047	34365	
801048	213963	Little Kid's Mom
801049	116545	Megan
801050	453	Trudchen Putzke
801050	5595	Anna
801050	15288	Singer
801050	24160	
801050	33167	
801050	34347	
801050	37697	
801050	40953	Lotte Jeschke
801050	59562	Mona
801050	65719	
801050	77410	
801050	79177	Sieglinde Hirsekorn
801050	93465	Auguste die Köchin
801050	94307	Sophie Klemke
801050	98283	Milli
801050	119242	Das Persönchen
801050	120951	
801050	121067	Cilly
801050	126460	Grete Giesemann
801050	129691	Studentin
801050	134911	Dorothea
801050	142321	Frau Creutz
801050	144158	
801050	144713	
801050	153106	Studienrätin Dr. Pollhagen
801050	153111	Marie
801050	155376	Dietlinde, Studentin
801050	155469	
801050	162994	Frl. Finkenbusch
801050	167141	Henriette, Lilians Tante
801050	172378	
801050	174780	Mia
801050	175301	Partnerin des Zauberkünstlers
801050	175303	
801050	177194	Josefa
801050	178549	Klein Heinis mother
801050	179793	
801050	182864	Karin Biedermann
801050	189580	
801050	189694	Wicky Winkler
801050	189776	
801050	189866	
801050	198428	Dr. Pollhagen
801050	203237	
801050	204922	
801050	208449	Desiree
801050	223189	Irma Pehlke
801050	223210	Trudchen
801050	228546	Jutta Schmalbach
801050	241969	Rosa, Dienstmädchen
801050	247182	
801050	252540	Studienrätin Dr. Pollhagen
801050	253926	Mathilde Hütchen
801050	263371	
801050	264920	Lissy
801050	271857	Ellinor
801050	272781	Dienstmädchen Rosa
801050	277464	Anna
801050	285813	
801050	290115	
801050	290122	
801050	310272	Jutta
801050	314541	Helga Held 11
801050	314550	Mitzi
801050	322529	
801050	335038	Luise
801050	343761	Daughter
801050	347579	Else Meise
801050	347641	Heidelinde Hansen
801050	347658	Felicitas
801050	347660	Felicitas
801050	352312	
801050	356203	Kammerzofe
801050	359661	Annie Engel
801050	364947	
801050	365566	
801050	366526	Studienrätin Dr. Pollhagen
801050	376274	
801051	270587	Teen Dancer
801052	295290	Tina McMann
801053	180475	Mitzi Lachenberg
801053	343484	Waitress
801054	10924	Stuebing
801054	329084	Janis
801055	51990	Liberated Prisoner
801055	117375	
801055	148719	Monique
801055	148796	Herself
801055	309902	Herself
801055	358477	Raver
801055	364021	
801055	369455	
801055	381091	Herself (eliminated round 1) 
801055	407815	Herself (2003)
801056	7720	
801056	39232	
801056	39233	
801056	39307	
801056	39488	
801056	245473	
801057	128707	Prison guard
801058	274304	Cuban Stenographer
801059	108543	Enfant de Tranche Montagne
801060	60507	
801060	292734	
801061	300304	Saxophone Player
801062	272592	
801063	362818	Barbara
801064	39108	
801065	145373	Jennifer Reid
801066	117656	
801067	143819	Young Girl
801068	302933	Isabelle
801068	350209	Juliette LaPore
801069	408075	TV Critic/Soap Expert (1996- 
801070	6125	Customer Service woman
801070	185429	Mavis
801070	262515	Dr. Smith
801070	297625	Alma
801071	70749	Singer
801071	103708	
801071	115043	Herself
801071	211168	
801071	307631	Sandra
801071	345568	Judy
801071	349954	
801071	375875	
801072	138724	Miss Calhoun
801072	147278	Brenda Dillard
801073	111020	Tourist
801073	240305	Marlène
801074	86249	Second Enchandress
801074	131203	Gianetta
801074	236184	Cherubino (mezzo-soprano)
801075	53794	Candy
801075	74215	Anne Houghton
801075	262759	
801075	383882	Angela Sullivan
801075	385631	Kate Green
801076	299887	The Crew
801077	220484	Girl in training center
801078	21475	Corinne
801078	30347	Bella
801078	55708	Nurse Georgie Axwell
801078	71982	Laura Winch
801078	78022	Janie Matthews
801078	108506	Lorna Whitmore
801078	109884	Bicky
801078	116975	Anne Purves
801078	130817	Ruth Meecham
801078	145899	Peggy Harrison
801078	150798	Andrea Forrest
801078	163589	Tessa Hammond
801078	242791	
801078	246221	Olivia Grimble
801078	274009	Penny Gardner
801078	276651	Pam Reed
801078	315083	Betty
801078	317247	Peggy Sinclair
801078	331622	Susan
801078	338770	Mary O'Leary
801078	350114	Ethel
801078	395753	Amy March
801079	123114	Nurse
801080	59105	Julie Sinclair
801080	73313	
801080	109286	Lt. Teeg
801080	195400	Susan
801080	209061	Deirdre
801080	383631	Dr. Lara Stone: SHO/Registrar
801080	400646	Amber Kingsley
801081	11370	Herself
801081	149669	Housewife #3
801081	257586	Herself
801081	257609	
801081	319517	Herself - Stripper
801081	328198	Adelle
801081	364097	
801082	216771	Nicole Porter
801082	368659	Tiffany
801083	80996	Scrap
801083	84129	
801083	91590	Rose
801083	108619	Fanny: child
801083	118788	Betty Kane
801083	131367	Polly
801083	158566	Lavinia Kinross
801083	160784	
801083	233929	Mary O'Rane
801083	308337	Joannie
801083	330236	Judith Lee
801083	372642	Bit Part
801083	372891	Catherine Ann 'Sandy' Summerf
801084	162294	Hotel Missus
801084	188270	Mrs. Braithwaite
801084	295193	Mrs Gansman
801085	8026	Elaine Gibson
801085	32343	Meg
801085	43669	Christine
801085	82972	
801085	95482	
801085	141782	Irene Bailey
801085	257742	Justine
801085	280737	Nun
801085	336653	Julia the Head Mistress
801085	359465	Juliet Cavanagh-Fforbes
801085	391869	Barbara Fisher (#1) (1988)
801085	403929	
801085	411025	
801086	372574	
801087	45289	Wynelle Coddle
801087	143188	Mary
801088	26531	Bitsy
801088	71867	
801088	132454	Luma
801088	363265	Kathy (age 6)
801089	186021	Zombie #3
801090	45486	Woman
801091	388209	Geraldine Creagh (2003-)
801092	88075	God/Satan
801093	123110	
801094	14231	Girl in Trafalgar Square
801094	199499	Department store clerk
801095	80660	Hanged Woman
801096	61614	Dell
801096	137578	Nerida
801098	46739	Mother
801098	140862	Receptionist
801098	144764	Mrs. Fraser
801098	152208	Secretary
801098	183710	Party Guest
801098	330375	
801099	61697	Doctor
801099	108333	Mary
801099	137675	Marge Guttman
801099	165107	Liz Reardon
801099	176828	Claire
801099	261046	Mollie
801099	264154	Candice Bloom
801099	293040	June Setzer
801099	308110	Gwen
801099	319253	Eddie, the Stage Manager
801099	382224	Carol
801099	401397	Harriet Hastings
801100	274069	Jacobi Child
801101	347119	Little Girl, Lewis Family
801102	315577	Girl at Picnic
801103	223391	Sgt. Engstrom
801104	31502	Leslie Stryker/Clair Hodges
801104	41915	Carrie
801104	66168	
801104	78530	Hot Springs Woman
801104	80553	Ruby Dell
801104	87517	Rhonda
801104	157576	Tanya
801104	194818	Lanie
801104	314232	Josie
801104	335258	Jill
801104	366138	1st Lt. Jean 'Stiletto' Talve
801104	366139	1st Lt. Jean 'Stiletto' Talve
801104	366811	Babette
801104	397434	Michelle
801105	330236	Sarah Sargeant
801105	372524	Van Meter's Girl
801106	128828	Contestant and Dancer
801107	215507	Wynni Tracey Concellio, Miss 
801108	40551	Young Lydia
801108	57703	Lauren
801108	74011	Cab Driver
801108	160463	Marie Osmond
801108	187072	Chloe Steele
801108	187073	Chloe Steele
801108	201709	Herself
801108	201710	Host/Herself
801109	45631	Keeva
801109	73217	
801110	195640	Shelly
801111	158566	May Blake
801112	68733	Aminata Brown
801113	281382	Airport reporter
801114	202915	Candice Hicks
801115	152814	Nurse
801116	12319	Party Guest
801117	275291	Caroline
801117	395924	Nicky
801118	149260	Genny
801119	405248	Herself
801120	7067	Joyce Jordan
801120	72554	Ginny Duffy
801120	77145	Suzanne Mitchell
801120	77146	Suzanne Mitchell
801120	128417	Paula
801120	142516	Helen Meadows
801120	165824	Sigrid Larsen
801120	208022	Claire Kronski
801120	234799	Lorie
801120	261985	Norma Greer
801120	272143	Edie
801120	291291	Caroline Wynant
801120	291509	Eliza
801120	331194	Gabrielle
801120	382636	Diane Waring
801120	397124	Claire Kronski
801120	399918	Susan Wentworth
801120	403335	Claire Estep
801120	411363	Dr. Karen Fletcher
801121	116138	ATV Girl
801121	396548	Student (ep8)
801122	203473	Mrs. Stanley
801122	232248	Woman at Andy's
801122	275770	Dr. Livingston
801123	396019	Additional Voices
801125	328258	Topless Girl
801126	4919	Judy
801126	37094	Bomma Cole
801126	40431	Lora Fleming
801126	43724	Mrs. Barrow, Clyde's Mother
801126	58162	Mrs. Sherman
801126	77152	Woman
801126	92618	Dr. T's Patient
801126	160656	Marjorie Powell
801126	176949	Claire Meriwether
801127	274069	Jacobi Child
801128	186681	Angel of Mercy
801129	305011	Rhonda
801130	77852	Delilah
801131	58827	Sophia Stephens
801132	35532	
801133	31654	Female Dancer
801133	32052	Dancer
801133	127627	Beach Dancer
801133	313825	Cheerleader
801134	64072	1st Maiden
801135	13875	Jacqueline
801135	29676	Kravis' Maid
801135	76253	Coliseum Reporter
801135	81065	Christine
801135	100198	Foster Mother
801135	103289	Stewardess
801135	105228	
801135	137655	Nurse Marion Chambers
801135	137663	Nurse Marion Chambers Whittin
801135	137674	Marion Chambers
801135	137688	Marion Chambers Whittington
801135	200362	Francine
801135	247565	
801135	283824	Nurse
801135	328637	Ginny Delmore
801135	347420	Herself
801135	382770	Jennifer Matthews (1969-1970)
801135	385824	Mary Anderson #3 (1975)
801135	388031	Lois
801136	656	
801136	221105	Chantels
801137	152962	
801137	178141	Wave
801138	34799	Girl in Typing Pool
801138	37555	Nurse
801138	83856	Receptionist
801138	112052	Sarah
801138	120639	Miss Trimmingham
801138	150754	Rachel Wilson
801138	239043	Miss Tacher
801138	241350	Ellie Barrett
801138	256640	Phoebe
801138	278203	Helen
801138	279273	Richie's Secretary
801138	327746	Salesgirl
801138	340839	Anne
801139	58827	
801140	392146	Herself (Silver Team)
801141	51989	Foreman #2
801141	156460	Officer Todd
801142	409356	Carly's mum
801143	26373	Margo Pearson
801143	98166	Edith Higgs
801143	257109	Jill
801144	81533	Student
801145	54490	Claire
801145	152915	Fiona Mackie
801145	155257	Tracy
801145	196538	Kate
801145	387247	Nicole Moore (1998)
801145	391978	Sally Bell
801145	394453	Tracy
801145	397436	Jackie
801146	283102	Pre-School Kid
801147	187186	Bar Customer
801148	65378	Lurlene
801148	404002	Young Girl (1977)
801149	101038	Seidlitz
801149	280081	Nurse
801150	186681	Angel of Mercy
801151	116188	Stella Barrington
801151	337806	Stella Jordan
801152	118942	Blonde Surf-bather (poster gi
801153	399931	Lesley
801154	197518	Waitress
801155	52361	At the Airport - Stewardesses
801156	96564	Galactic Judge R. D. F.
801156	363416	Herself
801157	389858	Francine Cerullo (1994)
801158	78289	Train passenger (train segmen
801159	253878	Gertrud
801159	308229	Fru Rist
801159	369392	
801160	181084	Frú Tuma Jónsen
801160	233989	Mayor's wife
801161	34086	Guðlaug
801161	127700	Amma
801162	44913	
801162	77260	
801162	103727	
801162	189114	
801162	225070	
801162	225078	
801163	289372	Featured Extra
801164	298443	Nurse
801165	27247	Shell Dockley
801165	381121	Shell Dockley (Series 1-3, 5)
801165	384856	Coriander
801165	385020	Frankie Baldwin (2004-)
801165	386385	Kate Roystan
801165	396348	Kate
801165	401652	Diane Powell
801165	403047	Michelle
801165	409143	Various roles
801166	5009	Lindsey
801166	93136	Additional Voice
801166	132225	Debbie
801166	155596	Gwendolen in stage production
801166	310992	Jack & Evie's Mother
801166	336655	Claire
801166	345760	Pat Phillips
801166	362380	Reporter
801166	410649	June Henderson
801166	411242	
801167	93569	Herself
801167	158044	Donna
801167	361917	
801168	64524	Florence
801169	385500	Zuleyka
801169	405857	Blanca
801170	17679	Sarah Curran
801171	257782	Herself (Professional Golfer)
801172	93569	Herself
801172	126579	Herself
801172	158044	Jenny
801172	361917	
801173	392697	Young Emily Brontë
801174	232479	Millie
801175	110035	Jet
801176	385824	Jennifer Rose Horton (#1) (19
801177	395091	Elderly Woman
801178	78108	Mrs. Jones
801178	119803	Model
801178	308382	Raider
801178	365395	Ellen
801179	129774	Sam
801179	178020	WPC Alex Reynolds
801179	185790	Karen
801179	271263	Ethel
801179	366968	Jess
801179	382838	Margaret Clemence (1991-1994)
801179	384097	Amanda (1990)
801179	384477	Suzie Davidson (2002)
801179	391759	Nurse (later Ward Sister) Jul
801179	398752	Gail (1998-1999)
801179	399373	Lizzie Kershaw
801179	400552	Lucy Shaw
801179	411337	Fran Rainford
801180	162886	Sandra Finch
801181	37986	Herself
801181	41362	Dr. Barbara Coyle
801181	67948	Linda Everett
801181	88988	Permanent Wave
801181	113480	Georgiana Latimer
801181	121701	Herself
801181	132823	Herself
801181	146661	Mademoiselle Rimbaud
801181	188033	Veronique Crudite
801181	208934	
801181	232018	Various
801181	264632	Mary Ann Phillips
801181	289452	Fiona Maxwell Sayle
801181	292599	Herself/Various Roles
801181	311419	
801181	313082	Bernice
801181	319614	Lorelei Ambrosia
801181	331085	Marilyn Falcon
801181	396009	Lily Farris
801181	399731	Various roles (1979-1982)
801181	403087	
801181	404000	Julie King
801181	404337	Various (1984-1985)
801181	404953	Herself - Host (1993)
801181	405558	Herself/various characters
801181	406193	Various Voices
801182	302662	Esther
801183	188490	TV Reporter
801184	5148	Mrs. McMillan
801185	383619	
801186	217946	Jeannie Patteson
801187	221366	Jennifer Davis
801188	40497	Hilda
801188	95108	Mrs. Finch
801189	107171	F-3425
801189	283313	Smokey Revere
801189	366402	Kel
801189	385020	Sandra Webb (1981)
801189	400814	Newspaper reporter
801190	367054	The Wiz Singers Children's Ch
801191	398144	Herself (decorator)
801192	70058	
801193	74304	Wet T-Shirt Contestant
801194	25938	
801194	40187	Slavic Vampire Lord
801194	270036	Mime
801194	313054	Dr. Sukova
801195	385465	Cybergirl/Ashley
801196	289810	Diwa
801197	210379	
801198	381013	Doctor, Ms. Akiyama
801198	396491	Mamkio Shinohara
801198	404061	Tiger
801198	404768	Valeria Vertone
801199	247647	
801200	26176	Viktorka
801200	29785	Klára Hlavsová
801200	45724	Nana
801200	66267	Helena Horáková
801200	84761	
801200	106198	Eva
801200	151849	Irena Svobodová
801200	153359	
801200	165340	Marjanka
801200	166420	Wife
801200	178453	Dorota Groerová
801200	179711	Barbora
801200	179898	Sametka
801200	181355	Eva Potocká
801200	189495	Tereza
801200	189497	Zanda
801200	206950	Marysa Lízalová
801200	211104	Anka
801200	219455	
801200	223573	Emilka
801200	223590	Liduska
801200	252207	
801200	258521	Rozina, Jirí's wife
801200	262817	Magda, Vajgant's wife
801200	268298	Frantina
801200	304191	Pavel's mother
801200	306662	Karla Bartosová
801200	313910	Prodavacka Anna Waltrová-Orto
801200	324335	
801200	338167	Feinerova
801200	351291	Zuzka Pestová
801200	356427	Madlena Vojnarová
801200	373487	Madlenka, Mrstinova vnucka
801200	375428	
801200	405729	Mrs. Náprstková, mother
801201	367105	Krysia
801202	362261	Carrie
801203	231634	Spiewankiewicza
801204	24570	Mother
801204	310499	Angela
801204	346128	Julie
801205	6517	Coletta Nicolini
801205	18831	
801205	33237	Madame Kuckuck
801205	34353	Wärterin
801205	40377	Lady Emerson
801205	40411	Frau von Tschirnhausen
801205	48391	Therese Sander
801205	95262	
801205	98044	Elisabeth Maurer
801205	107812	Baronin Felten
801205	126456	
801205	138431	Vera Colombani
801205	140204	Yvonne
801205	173707	Isabella Catani
801205	193285	Karena Rodde
801205	199558	Madam Clavius
801205	204518	
801205	226345	Frau Burger
801205	237724	
801205	240521	Irma Bunt
801205	252324	
801205	254455	
801205	261470	Elfriede Stolze
801205	272748	Frau Knobbe
801205	279005	Leonore Cronberg
801205	281123	Witwe Prang
801205	289917	
801205	290489	Dr. Ilse Kersten
801205	293416	
801205	325298	
801205	334540	Mrs. Cunnings
801205	347048	Lady Patricia
801205	347675	
801205	352474	Alice
801205	358543	Frieda Stengel
801205	361050	Ada Schenk
801205	361367	
801205	376875	
801205	378122	Walicka
801206	93304	Mrs. Erlen
801207	76500	Sonia
801209	47905	Hal's Child
801209	355208	
801210	218713	Jackie
801210	221163	Mrs. Brutus
801211	290397	Christine 'Spike' Nelson
801212	224106	Olive
801213	290300	
801214	155066	Maid
801215	886	
801215	43273	Anca Cerná
801215	58204	Mother
801215	95065	Rydlova
801215	95997	
801215	167022	Eva
801215	174067	Bayerová
801215	216583	Mother
801215	247069	
801215	261387	
801215	266534	Manka
801215	316416	Old Mrs. Maly
801215	325165	Regina Smith
801215	343453	Doctor
801215	351381	
801215	357462	Olga Reháková
801215	375950	Vera
801215	381196	Flatcherová
801215	399141	Dr. Dana Králová
801215	399142	Dr. Dana Králová
801215	402844	Grandmother
801215	407221	Krahulíková
801215	407428	Mother
801216	181298	
801217	45877	Owner of the House
801217	58280	Servant
801217	74934	Trudi
801217	165035	Bedriska
801217	165074	Stepánka Hrdlicková
801217	171531	Mirka
801217	173393	
801217	174470	Tánicka
801217	179883	Bedriska
801217	323293	Girl
801217	333808	
801217	383810	
801218	91441	Olinka
801219	181386	
801220	11069	
801221	7703	
801221	198984	
801222	212441	
801223	387323	Peggie De Maesschalk (1995-19
801223	406203	Lies Weemaes (2000-)
801224	346650	Edi Rubin
801225	1334	Judith
801226	6646	
801227	95870	
801228	5748	
801228	5967	
801228	10933	Melinda
801228	64132	Ina
801228	71247	
801228	109599	
801228	297558	Dana Brown
801228	337742	Femme Diportie 1
801229	251358	
801230	104536	La Polonaise
801231	364425	Nurse
801232	262536	Sally
801233	233456	
801234	229186	
801235	20625	Featured player
801236	91935	Mary Winston
801236	113277	
801236	192570	Grace
801236	197765	Cousin Kay
801236	217527	Marshal's Daughter
801236	217566	
801236	236733	Louise (sister of Gabrielle)
801236	264493	The Girl
801236	285326	Irene
801236	314979	Nurse Haskell
801236	315668	Abigail
801236	398675	Catherine Quayle
801237	1891	Erika
801237	4769	Lucena
801237	6182	Frau Konsul
801237	11871	Ella Sonndorfer
801237	16232	Hallers Schwester
801237	34316	Frau Borne
801237	35137	Keller
801237	40387	
801237	43350	Greta
801237	51285	
801237	92455	Miss Marquardt
801237	98256	
801237	102983	
801237	121056	
801237	130754	Greta Krosigk
801237	139836	
801237	142239	
801237	144324	
801237	146840	Frau Hanfstaengel
801237	149952	Gestapo Agent
801237	151634	Madame
801237	155369	
801237	166690	Mother Schermer
801237	175405	Hilda
801237	177689	Secretary
801237	178609	Leontine
801237	188547	Mother Superior
801237	206824	
801237	210051	
801237	213422	
801237	224325	Barney's Mother
801237	227171	
801237	228911	Mrs. Mohr
801237	246490	The Duchess
801237	264333	
801237	271144	Mrs. Ryan
801237	272533	
801237	272779	
801237	273083	Nurse
801237	275734	Mrs. Jackorski
801237	289418	Mrs. Kopal
801237	292306	Frau Mulhauser
801237	299072	Miss Hoffman, Von Reiter's Se
801237	326337	
801237	330004	Tourist's Wife
801237	330180	Frau Stoesen
801237	330703	Raven's Aunt (in deleted drea
801237	346842	
801237	346922	Princess Kinsky
801237	367805	
801237	376357	
801237	376578	
801238	374785	
801239	236145	
801240	200199	Clare
801240	253093	Freddie Rice
801240	380276	Mrs. Hope
801240	380465	Lynn
801242	395091	Pretty Girl #3
801243	236972	Observer
801244	2027	Maternity Nurse
801244	42019	Jeanette
801244	45223	Jane
801245	294781	Conner's victim
801245	366039	Annie
801246	148906	Corky, Party Guest
801246	347688	
801246	385824	Samantha Gene 'Sami' Brady (#
801246	388347	Allison Taylor
801246	390007	Julie Hale
801247	72056	Membre des Trouber
801247	392910	Valérie
801248	238071	Girl
801249	4903	
801249	20244	Blossom Ruggles
801249	43094	
801249	57043	Muriel Dallia
801249	69621	
801249	71681	
801249	72309	Mary Denny, Nurse
801249	73409	Grace Miller
801249	73876	
801249	77908	Judy
801249	109615	
801249	127169	
801249	127232	
801249	128137	
801249	128223	
801249	128484	Barbara Hampton
801249	141297	
801249	143030	
801249	145910	
801249	146139	
801249	146194	
801249	146332	
801249	158478	Ethel Drew
801249	190298	
801249	203711	
801249	227356	Nancy Levine, his daughter/Na
801249	227788	
801249	241894	Wanda Walker
801249	245388	
801249	258934	
801249	267870	
801249	269337	
801249	292485	Molly
801249	298550	
801249	306474	
801249	312898	Mary Thompson
801249	316080	
801249	316202	
801249	319587	
801249	342006	
801249	362418	
801249	363095	Jessie Day
801249	366350	
801249	367939	
801249	369446	
801250	96889	Showgirl
801250	170378	Mannequin
801250	229938	Miss Pratt
801251	212392	
801251	267879	2nd Nun
801252	128312	Mary Peters
801253	7732	
801253	62490	
801253	66139	Carol
801253	127817	Gail
801253	146847	Brunhilde
801253	304700	
801253	353750	
801255	30311	Mrs. Vaughan
801255	382393	Mrs. Tramble
801255	405960	May Walters (1985-1986)
801255	407616	Isabella Drysdale
801256	309559	Ruau
801256	365628	Squaw
801257	1423	Julia
801257	5545	Lorraine Minosa
801257	9976	Nicky Jackson
801257	17021	Gloria Patton
801257	19167	Dodie
801257	51975	Smoochie
801257	71422	Herself
801257	78027	Ray's mother
801257	110940	Lily Frayne
801257	110965	Amy Rawlinson
801257	114180	Christine Snow
801257	115259	Sonya Bartow
801257	135930	Flo
801257	139275	Beth Willis
801257	140399	Mrs. Fontreil
801257	144759	Sally McKee
801257	144905	Arlene Williams
801257	152551	Mary Abbot
801257	158797	Muriel Purvis
801257	168646	Stella McCormick
801257	174623	Celeste Saunders
801257	191896	Laura Colby Ingalls
801257	195652	Sandra Slide
801257	203650	Nelly Bain
801257	207865	Betsy
801257	214828	Louise Baxter
801257	224044	Geegee's Mother
801257	224809	Vivian Heldon
801257	260081	Denny
801257	276644	Frieda Waitress
801257	277491	Polly Sickles
801257	286701	
801257	304065	Rita Rossini
801257	304276	Dixie Delmar
801257	304558	Madge Pitts
801257	306222	Red Feather
801257	311522	Dorothy 'Dottie' Vale
801257	343316	Camp Girl
801257	347136	Marge Wrighter
801257	350521	Rose Slater
801257	367913	Brenda Martin
801257	381110	Lou Hoover
801257	390771	Mildred Foss (1969-1970)
801257	396372	Herself (Regular Panelist) (1
801258	141197	Lady Fortive
801258	218919	Mrs. Van Vliets
801258	279388	Mrs. Whitney
801258	316598	Mrs. Temple
801259	71495	Woman at Baseball Game
801260	2964	Virtual Attorney
801260	69917	Triage Nurse
801260	209526	TV Reporter
801260	295377	Nurse 6
801260	301231	Donna
801261	249557	Cheryl
801263	32061	
801263	41588	
801263	41640	
801263	71424	Bound Stewardess
801263	116827	
801263	128851	
801263	182951	
801263	359860	
801264	410887	Katie-Lyn
801265	236697	Brothel prostitute
801266	404282	Madeleine Porter (1988)
801267	184467	
801267	202195	Roseland Dancer
801267	327686	Casseopeia
801268	146753	Showgirl
801268	220901	Dancer
801268	223714	
801268	363292	Bit part
801269	380715	Ms. Powell
801270	23592	
801270	133563	Mrs. Jordan
801270	238847	
801270	278302	Lady of the Court
801270	309272	Mrs. Carroll
801271	182052	
801272	6186	
801272	7914	
801272	12188	
801272	29121	
801272	40075	
801272	49581	
801272	53947	
801272	61256	
801272	65468	
801272	71678	
801272	78728	
801272	79151	Liza
801272	81890	
801272	82027	
801272	90623	
801272	94195	
801272	107633	
801272	109329	
801272	109410	
801272	131492	
801272	131493	
801272	138286	The cook
801272	143066	
801272	177465	
801272	190939	
801272	191256	
801272	191266	
801272	191276	
801272	191806	
801272	193838	
801272	195332	
801272	196933	
801272	224280	
801272	226133	
801272	246608	Maid
801272	262309	
801272	265497	
801272	281217	
801272	282341	
801272	285428	
801272	291959	
801272	299971	
801272	313296	The Maid
801272	318679	
801272	329770	
801272	335159	
801272	348333	Lena Gerst
801272	365813	
801272	367798	Mandy Lee
801273	977	Mrs. Walsh
801273	2204	Lupe Horowitz
801273	24429	Frau Farbissina
801273	24430	Frau Farbissina
801273	24432	Frau Farbissina
801273	30458	Mona Finch
801273	35659	Mom Zumwalt
801273	67994	Frau Farbissina [Henchperson]
801273	72769	Nanny with Dog
801273	84833	Fan #1 at Grammy's
801273	93959	Iris Clark
801273	104699	Old Woman in Confessional
801273	110170	Debbie Rollins
801273	126715	
801273	150792	Woman in Bookstore
801273	151483	Clarnella
801273	155696	Lady Bowler
801273	203328	Cindee
801273	274572	Herself
801273	304293	Doris
801273	311039	Aunt May, Misc. Voices
801273	336475	Ramona
801273	344151	Sister Oma and the Clarions
801273	368342	Mary
801273	392424	Herself
801273	392906	Herself
801273	394845	Office Manager
801273	400193	Fifi
801274	279339	
801275	6722	Herself
801275	6723	Herself
801275	6725	Herself
801275	34627	
801275	41614	
801275	44537	
801275	50371	
801275	50567	
801275	64654	
801275	84874	
801275	123641	
801275	128561	
801275	129090	Herself
801275	129734	
801275	134690	Nici
801275	140952	
801275	160150	
801275	161119	
801275	195566	
801275	223835	
801275	227996	
801275	242074	
801275	250651	
801275	257621	Fax Girl
801275	262621	
801275	263800	
801275	271300	
801275	271303	
801275	272940	
801275	296995	
801275	303451	
801275	306883	
801275	310994	Hostess
801275	314695	
801275	316736	
801275	323228	Carol Spencer
801275	329870	Herself
801275	329871	Herself
801275	341971	
801275	353680	
801275	360309	Nurse
801276	17998	Birdie
801277	84235	Nurse Betty
801277	96123	
801277	150047	
801277	171092	Girl in Bathtub
801277	202915	Assia
801277	335258	Cherry
801277	347907	Red Carpet Date
801277	360684	Brunet At Chinese Wedding
801277	396696	Juggy Dancer (2002-2003)
801277	403060	Co-host
801279	136513	Mrs. Allman
801280	7241	Hortense
801280	29415	
801280	44929	La cantatrice
801280	62561	
801280	68348	Une figurante
801280	69972	Stella
801280	111682	Prostitute
801280	129513	
801280	135359	(segment "La semaine sanglant
801280	184263	
801280	198318	
801280	201140	
801280	219018	Popovna
801280	251063	
801280	255814	
801280	294882	
801280	324067	Une femme
801280	327889	Berthe
801280	336311	La femme du dancing
801280	339441	La femme
801280	345394	L'infirmière
801280	353936	
801280	398787	
801280	400869	
801280	401349	
801280	403351	La laveuse
801280	409440	
801282	229506	April
801283	96994	Fascination
801283	295545	Girl Friday
801284	261281	Social Security Clerk
801285	141967	Herself
801286	80584	Young Woman on Talk Show
801287	35130	Gretchen ('Adele Murphy')
801287	37001	
801287	46334	Beatrice Keedsler
801287	49942	Karen Graham
801287	67568	Linda Johnson
801287	70341	Linny Raven (Ringerman's girl
801287	72724	Sheba - 1932
801287	78845	Officer Ross
801287	81209	Buffie Cameron
801287	158230	Grace Mayo
801287	169468	Airybelle Sumner
801287	176824	Amy Stanton
801287	178077	Maureen Coyle
801287	227155	Nan Terry
801287	232222	Naillil/Annie Fletcher
801287	235227	Marie
801287	261979	Beth Parkinson
801287	280364	Liesl (screen test)
801287	287231	Dora
801287	306034	Robin Wood
801287	310183	
801287	354521	Jean
801287	362046	Young Tisha
801288	39627	Dancer
801289	131300	
801290	11231	Julie
801290	11452	
801290	42415	
801290	59901	Herself
801290	93990	
801290	93991	
801290	108651	
801290	131323	Herself
801290	150950	
801290	150951	
801290	219858	
801290	229446	
801290	305233	Sam
801290	306908	
801290	306909	
801291	17323	Heather
801291	67758	
801292	15079	
801292	72055	
801292	309732	La petite fille
801292	395620	Barbe (segment "Mary")
801293	333236	Young girl
801294	256846	Girlfriend
801295	264785	NBC switchboard operator
801296	335017	Child Sarabeth
801298	118472	Mrs. Peterson
801298	409488	Mrs. McPhail
801299	183062	
801300	13109	L'amoureuse
801300	45113	Cléo
801300	51223	
801300	55839	Une fille de l'auberge
801300	58233	Le mannequin
801300	58234	Barbara
801300	84612	Christine
801300	394166	Karine (segment "Mozart passe
801301	125520	
801301	189254	
801301	263554	Servant
801302	127410	Blonde Floozy
801302	209219	Woman Spectator
801303	86794	Carmela
801304	282260	Lady on Staircase
801305	193175	Shelly Stutz
801306	243580	Princess
801306	378868	Angelica Collns (1997-1998)
801306	406422	Callista (Callie) Larkadia
801306	410243	Allie Farrow (1996-1997)
801306	411802	Vanessa Lerner (October 2003 
801307	104974	Geno's Sister
801308	326715	Dancer
801309	117162	Showgirl, New York City
801309	161753	Herself
801309	236381	Shelly Mammarosa
801309	364794	Mrs. Waltman
801310	82468	Old Lady in park that likes b
801311	94525	Bride
801311	166746	Student
801311	167006	Kana
801311	359406	Shoshonna
801312	13823	Ellie
801312	20459	Rosalind
801312	109617	Track Coach
801312	203549	
801312	403959	Additional Voices
801313	80959	
801314	94085	Lesbian in Red
801315	354823	The homeless girl
801316	395885	
801317	372160	YDKJ Backstage Crew & Commeri
801318	113569	Diane
801318	152570	Stewardess
801318	185533	Miriam
801318	214488	Madge
801318	234010	
801318	264423	Michelle
801318	397879	Tami Dagan
801318	411680	Dafna
801319	278523	Herself
801320	192821	Refugee
801321	170562	Customer
801323	97450	Doreen Speck
801323	168940	Rebecca Lawson
801323	255345	5th Ad Executive
801323	272026	Sally Gabriel
801323	366585	Roxanne
801324	344151	Sister Bellamy
801325	361611	Neighbor Woman
801326	281806	Marthel
801327	68511	Woman on Bus
801327	126558	Dr. Godivar
801327	215793	Myra Gluckman
801328	192254	Schoolgirl
801328	275784	Jeannie
801328	305742	Rib-Eye Lady
801328	313706	Emily
801329	338324	Librarian
801330	248097	Kelly
801330	411802	Patti Williams #1 (1980-1982)
801331	204584	Audrey
801332	166730	Polizistin
801332	226342	
801332	325587	Regieassistentin
801332	400007	Nadine
801333	382689	Host (1997-1998)
801334	24476	Founders' Day Girl
801335	155610	Ollon from Blatni Dol
801335	262669	Katarina
801335	304454	Aunt
801335	350990	
801336	46149	Mother/Two-Face Sewing Machin
801337	6952	Casania's sister
801337	24999	Elena
801337	35010	Meche
801337	42662	Amparo
801337	46125	Linda de Calderon
801337	55898	Lucila del Castillo
801337	59782	Herself
801337	64047	Beatriz
801337	76013	Evangelina
801337	91294	Anita
801337	99338	Irene Garza
801337	101615	Lavinia
801337	103502	Susana Valverde
801337	169748	María
801337	190408	Marta
801337	218438	Nora
801337	218519	Elena
801337	221710	Tasia, La muerte
801337	225039	Bárbara
801337	225551	Ella misma
801337	225714	Elisa Méndez
801337	234494	Marta Reyes
801337	261252	Rosaura
801337	266893	Colomba
801337	275946	Nurse
801337	292758	Claudia
801337	316229	Amy Lee Bannerman
801337	318286	Elsa
801337	336066	Herself
801337	339179	Leopoldina
801337	340432	Elena
801337	355478	Emma
801337	376634	
801338	321559	Derby Dancer
801339	290070	Herself (Schindler mourner)
801340	195180	Louise
801341	141416	Annie Forman
801342	7959	Mother
801343	175575	Sarah
801343	301769	Cashier
801344	167704	Nurse Allen
801345	59637	Box Car Singer
801347	48075	Irene Dansfield
801347	191494	Marge
801347	235647	Old Woman in Elevator
801347	237006	Mrs. Dudikoff
801348	185086	Sarah LaVoe
801349	292610	Tommy's Mom
801350	386859	Herself/panelist (1955)
801350	406977	Herself/panelist
801351	24476	Founders' Day Girl
801351	171335	First Patron
801351	185648	Steven's Girlfriend
801351	408111	Holly Brodeen
801352	330410	Truck Stop Girl
801353	64734	Cindy Lindstrom
801354	72145	
801354	81859	
801354	128431	
801354	326733	
801355	18884	Jael
801355	34307	Leah
801356	185420	Dance-hall girl
801357	183428	Elaine
801358	335241	Sister
801359	99860	Physiotherapist
801360	360949	Herself
801361	375644	
801362	333563	Marianne
801363	223084	Guadalupe at 9
801364	331751	Alice Colson
801365	272828	
801365	279665	
801366	317309	LA Coffee Shop
801368	168745	Student
801369	278001	Farmer's Wife
801370	168621	Audrey
801371	139564	
801372	298313	Herself
801373	285000	Singer
801374	10901	Trixie
801375	305566	
801376	360855	Girl at Party
801377	11169	Miss Fisby
801377	16909	WAAFS
801377	47028	Delia
801377	81639	Lady Circumference
801377	90263	Spinster
801377	233622	Mother Skipton
801377	258732	
801377	280167	The Queen
801377	286927	Madame
801377	299544	Frieda Chester
801377	311026	Mrs. Elgin
801377	326100	Rose
801377	360389	
801378	178731	Madam Nielsen
801378	303747	Cykelpige
801378	322728	Pia
801379	373410	Mrs. Johnson
801379	390523	Mrs. Maggie Kenedy (1980)
801379	405217	Wardress
801380	11713	
801380	211233	Aunt Jenny
801382	116501	Herself
801383	22865	Berenice Bradshaw
801383	47004	Clara
801383	64866	Narrator
801383	68511	Dr. Janet Duffy
801383	69037	Hadabelle
801383	69303	Voice Only
801383	75602	Amy
801383	86929	Agent/Mother/Carolyn/Sandra/D
801383	88766	Lillian, Welcoming Committee
801383	101031	Paulina
801383	110438	Miss Balfour
801383	116549	Cloe Sixbury
801383	130903	Gina Williams
801383	145071	Mrs. Murray
801383	149911	Mrs. Sally Cushing
801383	158997	Carla Taylor
801383	183186	Mary Rafferty
801383	184521	Emily Thornton
801383	184822	Marge Murray
801383	203410	Mary Richards
801383	213146	Ruth
801383	215346	Virginia McCain
801383	219909	Mrs. Lloyd
801383	241042	
801383	245340	Dr. Marian Lazarus
801383	266090	Dorothy Forrester
801383	271340	Dr. Lynn Waldheim
801383	276345	Mrs. Eudora McAlister
801383	276944	Tobie Yates
801383	278402	Wilma Atkins
801383	278822	Ruth Wilder
801383	281054	Blanche Dailey
801383	287311	Herself
801383	293126	Neenie
801383	298037	Noelle
801383	300814	Rose Turner
801383	313855	Marva Potter
801383	330342	Eva
801383	332785	Lady On Bus
801383	334234	Constance Holmes
801383	343083	Mrs. McCluskey
801383	348375	Charlotte Wolf
801383	350912	
801383	358667	
801383	360272	Voice
801383	364324	Nellie Henderson
801383	379999	
801383	380391	Jane Overstreet (1971)
801383	387728	Millicent 'Gamma' Carter (199
801383	396088	Toni Prentiss Davis (1967-196
801383	399295	
801383	403481	Charlotte Babineaux
801383	404694	Jessie Reddin (1973-1974)
801383	406146	Millie Sprague (1985)
801384	350310	Martje Wilbrink
801384	391102	Van Faassen
801385	171742	Studya
801385	178786	
801385	214311	
801385	231165	Lena
801385	357428	
801385	390401	Shurochka
801386	334085	School Girl
801387	47744	Reporter at Sanatorium
801388	188968	Cards, Jurors, and Courtiers
801388	365988	Gaoler's Daughter
801389	134832	Raumschiffcrew
801389	359620	Oma Raab
801390	98375	Anni
801390	177219	
801390	325848	
801390	347789	
801391	346347	Anne-Marie
801392	7782	Vriendin van Luuk
801392	190386	Woman in Lift
801392	350300	Mw. Harmsen
801393	7820	Mrs. Latham
801393	30450	Mrs. Lorimer
801393	52542	Mrs. Lawton
801393	79341	Lady Erythea Lambe
801393	129551	Duchess of Moreland
801393	145968	Lady Rannock
801393	153633	Mrs. Wilmore
801393	193774	Miss Marney
801393	194579	Mistress Rid
801393	196432	The Lady in Waiting
801393	203167	
801393	261694	Felicity
801393	280936	Lady Wargrave
801393	281073	
801393	296724	Mrs. Mawgan
801393	298028	Lady Lodden
801393	366119	Mrs. Mainwaring
801394	108575	
801394	149876	
801395	115649	
801396	115649	Braut
801397	19035	Hella (als Kind)
801397	179685	
801398	68621	
801399	30644	Alicia
801399	372419	Babe
801400	143565	Basketball player
801401	20625	Extra
801402	358846	Miss Måneskin-pige
801403	189238	Lisa Peterson
801404	265352	Heather
801405	58959	Paramedic
801406	97569	Marilyn
801406	194075	Attractive older woman
801406	303266	Lena's mother
801407	244680	Kleines Mädchen
801408	57880	Mother Superior
801408	84175	Ana
801408	100106	Receptionist
801408	258969	
801408	336458	Mutant mother
801409	376408	Mischa, Christas Kind
801410	136605	
801410	177172	Andrina Kessel
801410	225121	
801410	270415	Jutta
801410	311400	Oberschwester Eva
801410	321628	Juliette
801410	325856	
801410	389359	Hanna Uhlenhorst (1994, 1995-
801410	412110	Helga Aufschrey
801411	69187	Backing vocal Gerlando
801411	387951	Herself
801411	387952	Herself
801412	330818	Herself
801413	206942	Waitress
801414	199639	Cook 'Em in the Owen
801415	21531	Sheila Redmond
801415	165484	
801415	194067	Businesswoman
801415	279766	Bank Manager
801415	289530	Ruth
801415	298296	Colleen
801415	314503	Aunt Trish
801415	382160	Mayor's Secretary
801416	50979	Frances Cooper
801416	63113	Waters Kid
801416	87880	Holly
801416	99604	Karen (airline agent)
801416	105354	Luanne
801416	113857	School Girl
801416	119487	Polly James
801416	126075	Miss Plivder
801416	127417	Leslie
801416	161051	Step Magazine
801416	190342	Ivy
801416	192001	Lindsay Dutton
801416	246683	Arundel Merton
801416	254996	Elizabeth Frejus
801416	267653	Sara
801416	312264	
801416	314440	Karen
801416	314484	Sylvia
801416	321732	Monica
801416	321774	Allison
801416	363547	Marlene Perkins
801416	378965	
801417	74737	
801417	212439	
801417	318227	
801418	401063	(1996-1998)
801419	95318	
801419	210527	
801419	323634	
801420	23447	Receptionist
801421	46330	
801421	193765	Patricia's psychiatrist
801422	120481	Whore
801424	247137	Wendy Naylor
801425	196567	Diane
801425	250744	Maggie
801426	151946	Viviane
801427	45346	Eight
801427	336475	Martinette
801427	342791	Waitress
801428	47568	Group cast appearance
801430	247572	Mrs. Rita Mefaris
801431	313855	Marie's Daughter
801432	367073	Munchkin Villager
801433	363756	Body in Park
801434	311477	Nana Kitty Cat
801435	103997	
801435	163722	Rosalinda
801435	265813	Student
801436	2471	Tammy Reynolds
801436	333365	Mrs. Beecham
801437	8927	
801437	20506	Olga
801437	40102	Laurie Webster
801437	42125	Alma Matter
801437	72875	Joyce Walker
801437	84870	Nora Blakely
801437	120512	Jean
801437	140751	Millie
801437	164448	Rose Griffith
801437	168911	Mildred Parker
801437	176320	Gail Kingston
801437	215909	Girl
801437	227012	Janet
801437	245384	One of Uncle Barney's Girls
801437	248823	Hettie
801437	288949	Joan Harris
801437	296838	Myra
801437	311129	The Girl
801437	318934	
801437	339876	Millie
801437	348973	Mary Blake
801437	365373	Betty
801437	366952	Blonde
801438	407085	Lizzie Willoughby (1977)
801439	285095	Gloria
801440	98012	Queen Nefertiti
801440	166072	Yvonne
801441	77830	Herself
801442	332015	Singer
801443	37416	Herself
801443	57666	
801444	194222	Young Gina/Young Jennifer/You
801445	1273	
801445	361959	
801446	283230	Ray's Regular 2
801447	283230	Ray's Regular #2
801448	39272	
801449	393180	
801450	20287	Dancer
801450	130622	Gold Digger
801450	163544	Dancer, Page
801450	362959	Chorus Girl
801454	264811	Holly West
801455	92260	Wheelchair Lady
801456	344	Extra
801456	724	Herself
801456	728	Herself
801456	731	Herself
801456	1879	Devon Grady
801456	2659	Sandra
801456	5909	Waitress
801456	14104	Lisa
801456	23448	Dr. Nikki Carlton
801456	27214	Shady
801456	27236	Myra
801456	38696	Mona Proctor
801456	40504	Phyllis Patterson
801456	41268	Sabrina Morgan
801456	41282	Sosha
801456	42732	Adult film actress #3
801456	62086	Missy
801456	70972	Dr. Emily Thesiger
801456	78915	Diana
801456	78916	Diana
801456	80422	Lillian
801456	80835	Helen
801456	82519	Rhonda Cooper
801456	92490	Herself
801456	93870	Kitten
801456	105940	David's Girlfriend
801456	106604	Amanda
801456	109649	Shower Girl
801456	117774	
801456	120298	Mrs. Peterson
801456	128767	Ghost-Town Woman
801456	133130	Woman
801456	140172	Victoria Munroe
801456	141069	Sally
801456	142347	Head Spectre
801456	142392	Dr. Gates
801456	142394	Herself/Dr. Gates
801456	149743	Toni
801456	153483	Dr. Leslie Morgan
801456	156473	Dianne
801456	161753	Herself
801456	161924	Dr. Price
801456	163212	
801456	164542	Witch
801456	167566	Stripper #1
801456	170381	Kathryn
801456	176393	Agent X11's 'Sexy Girl'
801456	188334	
801456	194605	Boss' Girl Friend
801456	203600	Nymphet
801456	206096	Cindy Natale
801456	216707	Sara
801456	217488	Jenna
801456	217602	Beth
801456	217603	Beth
801456	218407	Herself (Hostess)
801456	219042	Candid Candid Camera Girl (Ba
801456	222361	Band Member
801456	222762	Girl in Shower
801456	226939	Woman in Shower
801456	229241	Black Sabbath Member (1983 re
801456	232465	Marci
801456	245684	Jenny
801456	254511	Girl in Dressing Room
801456	257640	Marie
801456	257642	Herself
801456	257643	Candid Candid Camera Girl (Ba
801456	262124	Herself
801456	264633	Herself (Hostess)
801456	264634	Herself (Hostess)
801456	264635	Herself (Hostess)
801456	264825	School Girl
801456	273414	Janet
801456	275881	Dr. Goodbody
801456	291248	Herself
801456	296369	Miss Utah (segment "Gimme Gim
801456	296924	Fortune Teller
801456	299459	Herself (Hostess)
801456	299460	Herself (Hostess)
801456	299461	Herself (Hostess)
801456	299462	Herself (Hostess)
801456	300926	Madame Volosca
801456	304559	
801456	304591	Shela
801456	307457	Jennifer
801456	307934	Herself
801456	308111	Herself (Hostess)
801456	309199	Taffy
801456	311367	Amy Goldwyn
801456	317842	Bartender
801456	319899	
801456	323906	Narrator
801456	326771	Diane
801456	327086	Wednesday Toogood
801456	329577	Herself
801456	329674	
801456	330794	Girlfriend
801456	334149	The Angel of Death
801456	338199	Betty Lou
801456	350191	Brinke
801456	350245	Julia
801456	353357	
801456	353504	Victoria
801456	359431	Dow's Wife
801456	360509	Rachelle Alicina
801456	360615	Intensity
801456	366783	Lilith
801456	375714	Laura Reynolds
801456	376740	Actress in silent movie
801457	331533	Karen's Friend #1
801458	33644	Sultan's secretary
801459	339596	Dancer #7
801460	292866	
801461	403737	Carmel Doherty
801462	200925	
801462	336789	Witch's Voice
801463	131594	Mrs. Adams
801463	284916	Deaf man's companion
801463	346204	Penguin Girl
801464	26750	Chelsea
801464	80440	
801464	128735	Herself
801464	140938	Samantha
801464	165472	Sarah
801464	192049	Girl on Bus
801464	194136	Waitress
801464	257655	Miss July
801464	257830	Miss June 1997
801464	257846	Miss June 1997
801464	257866	Herself
801464	258888	Leslie
801464	274148	Herself
801464	274459	Tara
801464	280081	Ghode's wife Daphne
801464	297989	Jenny
801464	302910	Pam
801464	351189	Gabrielle Garrett
801464	356649	Herself
801464	382164	Celeste McCloud
801465	306628	
801467	47568	Herself (The Stevens Sisters)
801468	29923	
801468	234858	
801468	321129	
801468	334725	
801469	9063	
801469	53624	June Butler
801469	62671	
801469	72203	Marie
801469	100676	Alice Sanborn
801469	116214	Emily Perdee
801469	144525	
801469	157461	Polly
801469	157641	
801469	177482	Selah Blair
801469	178239	Nancy Webb
801469	211554	Nan Cosgrove
801469	214133	Gwendolyn
801469	214553	Carmen Joy
801469	215059	Irene's Sister
801469	219900	Edna Larkin
801469	241478	Nellie
801469	277841	
801469	278014	Johnny's sister
801469	292141	
801469	323488	
801469	332053	Betty Barton
801469	336167	Molly Jones
801469	363474	Lucille Bennett
801470	47568	Herself (The Stevens Sisters)
801471	58755	Chanteuse Cabaret
801473	63832	Florence
801473	209291	
801474	199976	Rita
801475	2364	Herself - accepting Costume D
801475	3858	Herself
801475	26838	Connie
801475	38238	Herself
801475	42337	Herself
801475	47082	Thalia Menninger
801475	52425	Angie Bianco
801475	57666	
801475	68004	Herself
801475	98177	
801475	105147	Beth Walden
801475	131575	Herself
801475	133402	Miss Mason
801475	134475	Anna Borg
801475	154221	Herself
801475	161288	Herself
801475	165284	Jane Deacy
801475	166915	Herself
801475	185288	
801475	192426	Flying Mistress
801475	195751	Miss Deluca
801475	196265	Dolby
801475	216007	Susan/Claudine/Georgina
801475	222620	Sgt. Salty Sanderson
801475	230421	Kate Clinton
801475	247143	Gayle Lewis/Jane Hoover
801475	249323	Lucy
801475	249558	Barbara Nickerson
801475	257857	Patti Holvey
801475	276924	Dr. Eloise Vanderwild
801475	280117	Sandra Naples
801475	290996	Federal Undercover Agent Jack
801475	295952	Kelly Williams/Emmaline Kelly
801475	296552	Our Guests at Heartland
801475	300901	Graciela
801475	320205	Susan Slade
801475	324777	June Tager
801475	343067	Cassie/Melinda Duquesne
801475	360277	Eileen Forbes
801475	372433	Candy
801475	391163	Cricket Blake (1959-1963)
801475	391835	Herself
801475	394806	Regular
801475	394807	Regular (1971)
801475	404570	Maggie McGregor
801475	406456	Helen Shephard DeAngelo
801475	408333	Juanita Titus #3 (2002- )
801475	410810	Wendy Conway
801476	345399	Marie
801478	6259	Hostess
801478	37786	1st Seance Member
801478	106378	Prosecutor
801478	186846	Marianne's Mother
801478	229629	Rachel Weiss
801478	298027	Cindy
801479	214917	Hawaiian Tropic Girl
801480	378885	
801481	111068	Miles' Girlfriend
801481	156460	Swimming Pool Party - Girl #2
801481	178955	
801481	295673	Hooker
801481	330405	(segment "Thing in a Jar")
801482	276736	Nibbs
801483	22921	Herself
801483	70307	Resko's Sister
801483	150754	Nita Stringer
801483	285829	DeeDee the Monkey
801484	392693	Mrs. Brown
801485	296744	Sue
801485	304568	Sally Jean
801486	39840	Member of the Algonquin Tribe
801486	274084	2nd Indian
801486	366024	Madame Hook
801487	55702	Girl at Dirty Dick's
801487	55718	Young woman
801487	69339	
801487	125821	Mary
801487	130824	Norma Sheridan
801487	137232	Ann Tickle
801487	138176	
801487	145771	Dora
801487	149739	Gail Dunlap
801487	163357	
801487	164502	Margaret
801487	201433	Jean
801487	232278	Olive Davies
801487	232337	Girl Friend
801487	235516	Pat
801487	271362	Doris
801487	291081	
801487	297105	Grace
801487	346374	
801487	352144	Molly
801488	175860	Gretchen
801488	200528	Inge
801489	12353	Dancer
801489	33698	Dancer
801489	52315	Girl
801489	56103	Dancer
801489	77015	Dancer
801489	90292	Dancer
801489	109729	
801489	133818	Dancer
801489	146813	Show Girl
801489	196295	Talent Agency Girl
801489	203051	Dancer
801489	222768	Guest
801489	319193	Dancer
801489	330375	Member of Girls Band
801489	348972	Dancer
801489	361300	Bit
801490	308803	Herself
801491	187553	
801492	72225	
801493	23445	Nurse attending Nancy
801493	35745	Operator
801493	51975	Infirmary Nurse
801493	103292	Mrs. Donnelly
801493	161743	Anne Grimaldi
801493	265104	Mrs. Kargen
801493	271297	Miss Roman
801493	313321	Reporter at Shrine Auditorium
801493	330915	Ruby, the Chambermaid
801494	38019	Danny's secretary
801495	183306	Marie
801495	247033	Kristine Lefsburg
801496	289469	Daughter
801497	273514	Daphne Dumont
801498	147914	Sofie
801499	62983	Fran Scrooge
801500	121819	Assistant beautician
801501	10595	Lillian Ford/Janet Ford
801501	49074	
801501	70617	Cora
801501	79957	Edith Frome
801501	84217	Mary Gadman
801501	151042	Mrs. Alice Collingwood/Gail C
801501	176681	Kate Kildare
801501	203765	Frankie Ware
801501	245547	Nan Kennedy
801501	257103	Nora Harrigan
801501	285029	Rosalie Allen
801501	304445	Margaret Christy
801501	304803	Eleanore Styles Marston
801501	358143	Diamond Daisy Doyle
801501	362626	Mona Mainard
801502	23973	Miss Rigden
801502	56230	Mrs. Duncan
801502	153648	Mother
801502	183426	Manic Woman/Ankles
801502	301256	Mrs. Smith
801502	301748	Target Woman
801502	375936	Grand Duchess Marina
801503	72504	Stagehand
801504	125578	Sarah Pullman
801505	398940	Anchorwoman (sports news)
801506	104614	Jean/Brigitte
801507	123703	Buccala's Wife
801507	301676	Tess Howard
801508	81117	Juror
801509	310530	Eva
801509	352833	Karen
801511	41251	Iowaka
801512	411859	The Hamilton Trio
801513	16689	
801513	37928	
801513	107441	Mrs. Townsend
801513	113978	
801513	115845	Miss Constancia Oglethorpe
801513	124473	Eldress Sarah
801513	190303	Melinda Liggett
801513	190900	
801513	210609	
801513	213993	
801513	216889	Mother
801513	218919	Helen Oaker
801513	261996	Mrs. Archibald
801513	322594	Mrs. Vanderhook
801513	329081	Mrs. Carlysle
801513	362153	Friend
801514	64408	Mrs. Ruspoli
801515	59314	Jeanette
801515	68164	Athena Carey-Lewis
801515	99892	
801515	169589	Ellen
801515	172841	Conny
801515	175324	Geliebte 2 (Lover #2)
801515	195091	Marie
801515	197643	Bea
801515	217916	Cora Hübsch
801515	225239	Doris Engel
801515	325898	Mona Sermer
801515	329003	Sonja
801515	336896	Bridget Ames
801515	344737	
801515	352499	
801515	352539	
801515	356551	Gabi
801515	361033	Geli
801515	361387	Renate
801515	364867	Sandi Schmidt
801515	388798	Lexa
801515	404478	Donna
801516	6273	Apartment tenant
801516	50614	Gossip
801516	145044	Old Woman in Car
801516	194528	Librarian
801516	326607	Nurse Louella Hennessy
801518	1270	
801518	75031	
801518	154187	
801518	241670	
801518	293945	
801518	297339	
801520	2655	Lily Langford
801520	44374	Eve Harrison
801520	48540	Annette Claiborne
801520	74244	Mrs. Joan Molner
801520	93176	Anna
801520	113903	Evelyn Pittman
801520	135513	Ruth Manning
801520	138302	Rachel Warren
801520	150883	Anne
801520	199679	Julia Madigan
801520	203342	Nina Wylie
801520	207147	Sarah Kramer
801520	230675	Nancy Terman
801520	283385	Carroll Rennard
801520	333231	Emily Biddle
801520	368620	Sarah Crandall
801520	388447	Katy Holstrum
801521	192174	Ermengarde
801522	389858	Teenage runaway (1988)
801522	402156	Ronette (2001)
801523	206671	Karen's Daughter
801523	328663	3rd Girl
801524	104901	Nude model
801525	150748	
801526	99494	Betty Baron
801527	109570	
801528	81062	Dutch Villager
801528	407174	Madelaine 'Maddy' Fayne
801529	26628	Bit Part
801529	77792	Rita
801529	114729	
801529	120743	Kitty
801529	183822	'Jitterbug'
801529	199217	
801529	212242	Bunny
801529	215763	Tex
801529	219189	Dancer
801529	241444	
801529	245589	Mrs. Greenberg
801529	276754	Paradise Flo
801529	329388	Dottie, Natalie's Friend
801530	38719	Maureen
801530	46213	2nd Lady hairdo
801530	66918	Gypsy
801530	408053	Mrs. Hawkshaw
801531	113283	The Vampire
801531	232084	The Black Ghost/Mannequin
801532	309158	Bootlegger's Daughter
801533	305458	
801534	6830	
801534	6831	
801534	16452	
801534	16453	
801534	16459	
801534	16460	
801534	16473	
801534	16479	
801534	16495	
801534	16529	
801534	19139	Ma'me Bazin
801534	25397	Mrs. Greer
801534	26647	Mrs. Clancey
801534	30148	Mevrouw Barbara Van Swearinge
801534	37961	Widow Ducrot
801534	49053	Mrs. Maguire
801534	55830	
801534	64061	
801534	66822	Mrs. Kitty McGee
801534	71915	Mrs. O'Hara
801534	89675	Mrs. Sherman
801534	102007	Eve's Foster Mother
801534	113465	Madame Tibault
801534	118010	
801534	129208	Maria
801534	163320	Stenographer
801534	185639	Mére Kerouac
801534	192234	Ann's Aunt
801534	244362	Mrs. Holohan
801534	246771	Bridget McGroghan
801534	267991	Jessica Kingsland
801534	272243	Miss Violet Pebble
801534	302776	Ma Heaney
801534	327291	Hugh's Mother
801534	350502	Mrs. O'Dowd
801534	360159	Mrs. Casey
801534	363347	Undetermined Role
801534	364168	
801536	358140	Boss
801537	84472	Tiphaine
801537	219511	Esther
801537	346769	Juliette
801538	26914	
801539	83460	Rebecca Dodd
801540	50474	Schoolgirl (daughter of propr
801540	146285	Lady Customer
801540	239079	Lotta Noyes
801540	282329	
801541	10555	Gloria
801541	368058	Amanda
801542	70960	Specialty singer
801543	56614	Telephone Operator
801543	148933	Eve Blades
801543	222658	Naval Hospital Nurse
801543	264644	Elsie, Mona's Maid
801543	326466	Lois
801543	381995	Lorelei Kilbourne (1951-1952)
801544	55690	Gloria
801544	380943	Venus Smith (1962-1963)
801544	390113	Rosemary Pilgrim
801544	401617	Herself
801544	401623	Presenter
801545	153142	Girl in Bar
801546	248133	Natasha
801547	388213	Singer
801548	97644	Ken Groupie
801549	6151	
801549	6304	Griselle Eisenstein/Stone
801549	42308	Phyllis
801549	71110	Mrs. Morgan
801549	90405	Cullen's niece
801549	133703	Girl biographer
801549	139581	Clare Raymond
801549	170763	Dr. Pam Ames
801549	178342	Molly
801549	215727	The Lido
801549	251642	Young Girl with Ice Cream
801549	254242	Mrs. Daubrey
801549	260879	Toni Cardell
801549	330258	Lillian Stevens
801549	341673	Louella Buckley
801549	353306	Ginny (Barnaby's secretary)
801549	385824	Helen Martin (1966-1967, 1969
801549	389858	Peggy Mercer (1963-1965)
801549	400805	Estelle Kimball
801549	411802	Vanessa Prentiss (1976-1980)
801551	332151	Stewardess
801552	120106	Flippy
801552	171092	Sugar
801552	190230	Gwen -- 15 years old
801552	346405	
801553	131453	Hooker
801553	232933	Suzie
801553	351502	Girl in Shower
801554	92260	Person 4
801555	63257	Jill
801555	327535	Georgia the computer programm
801556	3655	Herself
801556	69641	Herself
801556	160980	Didi Loomis
801556	203077	Bea Frampton
801556	230675	Didi Loomis
801557	160980	Didi Loomis
801557	165966	Mrs. Kellender
801557	188447	Flo Moore
801557	215463	Monica
801557	230675	Didi Loomis
801557	385824	Jeri Clayton (1974-1979)
801558	267608	Herself
801559	160416	Waitress (segment "Cafe L'Amo
801560	105407	Margo
801560	207681	Mom
801560	333373	Jeannie Deakins
801561	251809	Notanah
801561	306306	Zoe
801562	13533	Hari Krishna
801564	32983	Hazel
801564	40033	Trixie (gang moll) [Ch. 10]
801564	273083	Specialty dancer
801565	264814	
801566	324237	Player #3
801568	156460	Helen Gambit
801569	35638	Dr. Katherine Vernon
801569	43744	Diana
801569	72111	Maria
801569	131239	Woman of the town
801569	289455	Girl
801570	47568	Herself (The Stevens Sisters)
801571	124713	Laverne
801572	59876	Kelly Minwary
801572	62778	Dancer
801572	168114	
801572	216734	DeDe Lyon
801572	231068	Doctor
801572	404613	Justine Calvert (1984-1985)
801573	93097	Molly
801574	326654	Girl in mini
801575	124222	Belly Dancer
801576	41291	Linda Conroy
801576	64080	Dancer
801576	149010	Tony's Gang Member
801576	168766	Go-Go Girl
801576	169139	Wife
801576	270752	Dancer
801576	314104	Dancer
801577	254522	Female Masquerade Dancer
801578	115568	Woman at Chevrox
801578	132454	Radio Station Receptionist
801578	247500	Anya
801578	307902	Amanda's Friend
801579	324253	Rita
801580	127621	Simone
801580	330535	
801581	331790	
801582	156324	
801583	152688	Peter Ryan's Secretary
801583	196902	Mrs. Wrightman
801583	362533	
801584	245588	Billie Merritt
801585	255183	
801586	56545	Herself
801586	140941	Tracy
801586	346099	Becka
801586	359855	Danny's Girl
801587	243476	Tia (segment "The Sensualists
801588	20643	
801589	250376	Super-8 Film Victim
801590	4720	
801590	11360	Delia Lane
801590	47385	Herself
801590	62536	Marie
801590	79891	
801590	375047	Blanche Burke
801592	347243	Nurse #1
801593	218018	Woman in Bar
801593	269340	Venus Girl
801595	249548	
801596	92259	Librarian
801596	92260	Librarian
801597	365742	Frances, age 9
801599	169481	
801600	171930	Aboriginal dancer
801601	154866	Rose Lady
801602	266099	Evvie
801603	239756	Railcor Employee
801604	5178	Naomi
801604	18828	Mrs. Mildred Dreyfuss
801604	21003	Mrs. Fromkis
801604	26381	Lady in Airport
801604	39760	Guilia Gallo
801604	49689	Rosa
801604	70307	Resko's Mother
801604	116103	Mother
801604	118979	Princess Zolita
801604	139178	Madam
801604	140490	Queen Liliuokalani
801604	141569	Lady in Laundromat
801604	153250	Woman Hostage
801604	165976	Additional Voices
801604	223803	
801604	239721	Mrs. Raspili
801604	256593	Farida
801604	288252	Mama Bain
801604	316787	Mrs. Saretti
801604	319544	Mrs. Levin
801604	334187	Woman [Sam's Mother at Wall]
801604	339439	Mrs. Goldstein
801604	350012	Miss Steinberg
801604	351169	Sgt. Bella Archer
801604	386778	Juanita (1968-1969)
801604	388983	Sister Theresa (1967-1970)
801604	398169	Rose Montefusco
801604	409889	Sgt. Bella Archer (1978-1979)
801606	104751	United Kingdom entry (winner)
801607	194211	Silly Baby
801610	330172	Miss Berry
801611	290949	Velma Dinkley
801611	303777	Tuck's Mother
801611	387153	Velma Dinkley
801611	403354	Velma Dinkley
801611	404516	Velma
801611	404517	Velma Dinkley (1979)
801611	404521	Velma Dinkley
801612	153164	Keyboard Stand-In
801613	17191	Teacher 3
801613	41277	Katelin
801613	62579	Liz
801613	82321	Margie
801613	210767	
801613	216486	
801614	382261	Voice
801615	69792	Baby Porter
801616	46537	Disco Girl
801617	95472	Tara Lewis
801618	276163	Pom Pom Girl
801619	380911	Herself - Top 30 (2004)
801620	107118	Faith
801620	230663	Tina
801621	47174	Herself
801621	84485	Louisa
801621	87597	Performer
801621	87598	Herself
801621	133952	Herself
801621	163623	Herself
801621	228301	Herself
801621	228303	Performer/Herself
801621	240189	Performer
801621	249555	Herself/Performer
801621	257309	
801621	260291	Performer
801621	273900	Herself
801621	273902	Performer/Herself
801621	284447	Rachel
801621	284448	Rachel
801621	284449	Rachel
801621	284450	
801621	284451	S Club 7
801621	284452	Rachel
801621	284453	
801621	284454	
801621	284456	Rachel
801621	305490	Herself ('S Club')
801621	311703	Performer
801621	320453	Girl from M5
801621	323563	
801621	342189	Herself
801621	384084	Herself/S Club 7/S Club (1999
801621	395019	Rachel
801621	397615	Rachel
801621	404032	Rachel
801621	410298	Rachel
801622	63021	
801622	126579	Herself
801622	158044	Rachel
801622	228535	
801622	228536	Rachel
801622	231357	
801622	242538	
801622	286529	Messy Brides Maid
801622	296995	
801622	335832	Herself
801623	5314	
801624	125049	
801625	398234	Wendy
801625	401530	Grog Blossom Kate
801625	403843	Jill
801625	407995	Wendy
801626	33028	Herself
801626	385151	Additional Voices
801627	56105	Swimmer
801628	363120	Mrs. Devon (schoolteacher)
801629	55189	Carmen
801629	55393	Herself
801629	62498	Maria Lanyi, Karl's Wife
801629	62499	
801629	130352	Genevieve Linden
801629	138560	Mother
801629	169383	Glinda, the Good Fairy
801629	192411	
801629	217572	Herself
801629	360439	Herself
801630	7911	Carmelita
801631	206884	Farraday Girl
801632	77632	Vanessa
801633	260430	Teacher
801633	291038	Student
801634	92185	Mary Ann Baldridge
801634	335343	Melba
801635	17821	Eva Zander
801635	48377	Marianne
801635	64630	Hanna
801635	109255	Eva
801635	115385	Viveka Öhman
801635	115431	Märta Roos
801635	135674	Mrs. Lorell
801635	138032	Karin Grandin
801635	153285	Divorceé
801635	153760	Lena Markell
801635	174201	Karin Lund
801635	182453	Fru Lindblom, kyrkobesökare
801635	182542	Sally
801635	191206	
801635	240218	Grandmother
801635	252189	von Ungewitter
801635	258990	Ester Lang, Sonja's friend
801635	303662	Gina
801635	303855	Guest at Cosmopolite (Erik No
801635	337888	Bibbi Sjunne
801635	343471	Doris Örn
801635	357805	Mrs. Bergendahl
801636	18724	Betty Careless
801636	59842	
801636	64581	Miss Kelly
801636	75598	Doris Manning
801636	78528	Girl in Stoke-Hold
801636	83809	Brunette in Theater
801636	90371	
801636	115810	Fraulein von Elsner
801636	118236	Roark's secretary
801636	132893	Muriel, Bridge Player
801636	139786	Miss LaFay
801636	167099	Saleswoman
801636	190057	Rose 'Rosie' Laughton
801636	190179	
801636	214458	Ann
801636	231855	Kelly
801636	233795	Rita
801636	235515	Miss James
801636	243217	Evelyn Bentley
801636	252488	Doris McBride
801636	289585	Countess Elizabeth 'Lizzie'
801636	303661	Nelly
801636	320520	
801636	335725	Jeffrey's Mother
801636	339417	Mrs. Mannings
801636	358451	Miss Banks
801636	368324	Mrs. Price
801637	30777	Vocalist
801637	46147	Singer
801637	94621	Singer
801637	98145	Additional Singer
801637	203436	Chorus
801637	312141	Singing nun
801638	381661	Various Roles (1975)
801639	70465	Mrs. Clark
801640	127754	
801641	104751	United Kingdom entry (winner)
801642	50111	
801643	87586	Granddaughter
801644	165449	Amy Eshton
801645	149912	Katherine
801646	80066	Reporter #1
801646	117707	Lisa
801646	157290	Nancy Martley
801648	296744	Gracie
801648	381542	Reporter
801649	32061	
801649	116808	
801649	142703	Tied Kidnapped Girl
801649	345643	
801650	37173	
801650	39248	
801650	50334	
801650	71494	
801650	83807	
801650	84874	
801650	103341	
801650	122178	
801650	123631	
801650	144831	
801650	147632	
801650	178351	
801650	188418	
801650	208521	
801650	219146	
801650	228044	
801650	240840	
801650	266674	
801650	283444	
801650	293005	
801650	295741	Fugitive
801650	303451	
801650	304600	
801650	311160	
801650	311161	
801650	318752	
801650	353746	
801650	362534	
801651	247502	The Lady in the Womb
801652	69392	Camille Newborn
801653	240761	2nd Prostitute
801655	6768	Martha Lou Williams
801655	6862	Mrs. Kimble
801655	13450	Kathryn Lundquist
801655	20557	Karen
801655	23441	Lawanda
801655	28467	Hildy
801655	37690	Gail Regent
801655	40538	Betty
801655	41682	
801655	42350	Herself
801655	42721	Fran Sibley
801655	50867	Eli
801655	58507	Captain Taylor
801655	59632	Martha McVea
801655	61728	Sherry Malik
801655	63066	Natalie Parris
801655	65560	Bianca Javin/Dragon Lady
801655	65653	Sheila Chilko
801655	72023	Dollye Daly
801655	74045	Marilyn Magnesun
801655	74978	Narrator
801655	79896	Kate Barker
801655	92194	Sophie
801655	94985	Mama Max
801655	105807	Sonny Moore
801655	106171	Lucy
801655	106536	Doc
801655	109620	Katherine 'Kate' St. Urban
801655	114959	Lute-Mae Sanders
801655	120272	Edyth
801655	128884	Robin Gantner
801655	133214	Granny
801655	139062	Susan
801655	139698	Dr. Fleming
801655	146666	
801655	149105	Gold Dust
801655	151653	Carol Corman
801655	156472	Cicily
801655	157540	Elizabeth Chappel
801655	157563	Hotel Keeper
801655	161924	Mrs. Herbert Pringle
801655	165101	
801655	166915	Herself
801655	167615	Herself (Actor)
801655	169046	Verna Stewart
801655	178077	Stella Stafford
801655	183396	
801655	184946	Lucky
801655	185111	Betty
801655	189153	Appassionata Von Climax
801655	191033	Linda Reston
801655	191306	
801655	191762	Mrs. Clara Madison
801655	194005	Fiona Champyon
801655	194137	Nicki Dixon
801655	199228	Ellen Hardy
801655	201424	Deidre Price
801655	202863	Joey Day
801655	203801	Nina Jameson
801655	204358	Amelia Crusoe
801655	207510	Della Vance/Deb Potts
801655	215994	Liz
801655	217416	Mrs. Sweeny
801655	217476	Beverly Hills
801655	218371	Margo
801655	222653	Stella Chernak
801655	230710	Leonara Klopman
801655	230751	Marcia
801655	231533	Marty Reeves
801655	232253	Kate Malloy
801655	233690	Nellie Wilder
801655	236995	Mrs. Robinson
801655	237007	Stella Purdy
801655	254417	Lou Ann
801655	257867	Herself
801655	258888	Frannie Sibley
801655	260430	Henrietta
801655	261237	Linda Rogo
801655	270890	Perla
801655	286453	Herself
801655	289254	Chorine
801655	292527	Violet Lawson
801655	301558	Gail Hendrix
801655	303589	Stella
801655	304553	Ann
801655	307207	Stacey Woodward
801655	309803	Nancy
801655	313074	Yvonne Kellerman
801655	313314	Mrs. March
801655	317816	Mrs. Beecham
801655	321883	Joaney
801655	323843	Mimi Carteret
801655	328608	Kara
801655	335613	Jess Polanski
801655	337102	Alvira
801655	342605	Carolyn Moore
801655	355150	Mary
801655	358052	Mrs. Doctor Graves
801655	359146	Lola Watkins, Boarding House 
801655	363262	Sister George
801655	367864	Lt. Janet Alexander
801655	381636	Jane Hancock (1965)
801655	388865	Lute-Mae Sanders (1981-82)
801655	389340	Louise Crawford
801655	389858	Jake (1996, 1999)
801655	404282	Phyllis Blake (1989-1990)
801657	404914	
801658	47311	
801658	109592	
801658	147388	
801659	143136	Clara
801660	210542	English Voice
801661	130303	Wife
801661	152590	Woman in Park
801661	154673	Lizzie
801662	203436	Chorus
801662	340109	Lawyer
801663	37291	
801663	49659	
801663	52851	
801663	122191	
801663	147756	
801663	241138	
801663	312914	Woman who dies prematurely
801663	323412	
801663	341966	
801664	766	
801664	6722	Herself
801664	6725	Herself
801664	34776	
801664	34841	
801664	34900	
801664	34905	
801664	34906	
801664	41390	Elvira
801664	67032	Co-Host
801664	74078	
801664	87384	
801664	104925	Beach Model #1
801664	105725	
801664	113145	
801664	118294	Herself
801664	128851	
801664	158595	
801664	182973	Officer
801664	195625	
801664	237135	
801664	241765	
801664	252832	
801664	260726	Herself
801664	295768	Herself
801664	302251	
801664	322742	Tabitha
801664	338348	
801664	349969	
801665	77017	Zards Kids
801666	381107	Jenny Dabb
801667	228515	Sandra Elliott
801669	43174	Veronica
801670	152641	Alice
801671	10851	
801672	32469	
801672	74210	Ma Robbins, Foster Mother
801672	137962	
801672	163442	
801672	191407	Barge Woman
801672	195866	
801672	221645	Mrs. Dawkins
801672	239681	Mother
801672	294682	Landlady.
801672	360389	Publican's Wife
801672	367670	Housekeeper
801672	367903	Scrubber
801672	391412	Mrs Williams (Harry's houseke
801672	392230	Mrs. Scott (Series 1-5) (1962
801673	35506	Dancer
801673	108778	Jo Jo, The Chicken Lady
801674	17592	Nurse Grap
801674	228335	Whitey's Widow
801674	315951	
801675	126050	Herself
801676	46147	Wild West Balloon/Singer
801676	47865	Additional Voice
801676	87009	Additional Voices
801676	94621	Singer
801676	98145	Additional Singer
801676	212902	Chorus
801676	212908	Chorus
801677	262741	Luri
801678	91752	Baby Chad
801678	145019	Monet's Friend
801679	77695	Barmaid
801680	265892	Party Guest
801681	311632	Mrs. Duncan
801682	82522	Bryce's Female Friend
801683	177059	Flower of Delight
801684	161261	Herself
801685	57747	Inmate
801686	6259	Young Married Woman
801687	1371	Jean Houghton
801687	17696	Mrs. Findlay
801687	19872	Captain
801687	20845	Claire Connors
801687	86381	Iris
801687	119563	Anna Metz
801687	208986	Moira Finch
801687	265748	Jane Makepeace
801687	272727	Lisa
801687	275882	Zyklor investor
801687	289360	Dorothy Clarke
801687	306996	Airline Clerk
801687	326486	Jesse Cantrell
801687	379706	Glenys Truscott (1989)
801687	380223	Shirley
801687	382838	Helen Massey (1990)
801687	383655	Sandra (1985)
801687	385020	Lynette Campion (1991)
801687	389357	Dancer
801687	396974	Aryah
801687	398768	Joanna Pencroft
801687	404395	
801687	406148	Tanya conway (1991)
801687	408545	(1993)
801688	8234	Mrs. Banks
801688	8235	Mrs. Banks
801688	9005	Jackie Framm
801688	9006	Jackie Framm
801688	9007	Jackie
801688	91927	
801688	109891	Toni
801688	117713	Liz
801688	138683	Trish Maplewood
801688	148255	Joanne Larson Wedman
801688	192574	Marcy
801688	257689	Bonnie Sherow
801688	334356	Perky Girl
801688	359855	Ellen
801688	382359	Trisha McKay
801688	385893	Joy Lass
801688	389416	Jane Conrad
801688	391977	Hope Davidson
801688	398739	Jennifer Bass (1990-1991)
801688	400016	Tracy Calloway
801689	39830	Mrs. Koestler
801689	146761	Prostitute
801689	177330	Mom #1
801689	323902	Neighbor
801691	116002	Adult Video Clerk
801692	101778	Intern
801695	139092	
801695	154087	Night sister
801696	105069	Queen of Spain
801697	46581	Saleswoman
801698	41701	Greta Thorburn
801698	45578	
801698	46169	Mother MacClannough
801698	386581	Agnes Miller
801699	40204	Bea Osgood
801700	250752	Pelman's colleague 2
801701	286686	
801702	26392	The First Midwife
801702	44456	Libby
801702	47208	Herself
801702	229135	Herself
801702	267426	Paramedic
801702	297802	Yvonne
801702	321515	Helga
801702	335332	Victoria
801702	380788	
801702	382332	Holly Vance
801702	388001	
801702	397030	Various Roles
801702	397676	Judith Lessiter
801702	403853	Cheryl Carroll
801702	405521	Various Characters
801702	406091	Daisy Steiner
801702	406483	Alice Timpson
801702	407667	Maggie
801703	17132	Extra talent
801704	47918	Waittress
801705	88621	Mrs. Stanton
801706	292817	Voluptuous Girl
801707	12738	Housewife
801707	56971	Barmaid
801708	8945	Lucy
801708	18275	Antigone
801708	33180	Evie
801708	33940	Paula Paxton
801708	60234	Herself - W2, From "Play"
801708	63000	Mrs. Cratchit
801708	63835	Annie Lee
801708	65197	Julia Reynolds
801708	89636	Nora Helmer
801708	94012	Cissie Colpitts 2
801708	99951	Mrs. Elton
801708	116674	Pamela Porterfield
801708	141145	Christine Shields
801708	158119	Margaret
801708	183327	Alice Howard
801708	190247	Rosalind Franklin
801708	192785	Vicky
801708	205194	Clare Fitzgerald
801708	217745	Amanda Armstrong
801708	231439	Mrs. Squeers
801708	238438	Antigone
801708	241243	
801708	246285	Gus Harte
801708	249073	Narrator
801708	253081	Thaisa
801708	257489	Second Woman
801708	279314	Eve
801708	291925	Gwyneth Moore
801708	292603	Isobel Coleridge
801708	315237	Jean
801708	339364	Helen West
801708	339418	Fräulein Burstner
801708	340883	Nina
801708	364148	The Wife
801708	392008	Narrator (2002-)
801708	396623	Barbara Mallen
801708	397182	Joanna
801708	401778	Flora Matlock
801708	408814	
801708	411441	Narrator
801709	331799	Jamie's Mother
801710	409629	
801711	282318	Yvonne Drysdale
801711	358296	Midwife
801712	408880	Dee (series 4)
801713	266595	
801714	222773	a 'Bird'
801715	301992	Chastity
801716	60798	College Student 3
801716	302940	
801717	380468	Marie
801718	141618	Commercial Babe
801719	230126	Katie Kelly
801720	160583	Patsy Whateley
801721	47927	
801721	52676	Hilda Lake, Archer's Niece
801721	56614	Ann Rockford
801721	115471	Rita
801721	130350	Store Cashier
801721	133210	Julie Westcott
801721	151529	Old Lady
801721	270271	Mrs. Tothero
801721	288742	Mrs. MacReady
801721	305506	Peggy Parker
801721	350012	Anne's mother
801722	71131	Grace's Mother
801722	233802	Widow Mills
801723	296785	Court TV Anchor
801724	274422	
801725	26631	Vanessa
801725	69845	Olwen
801726	261434	Kate's Assistant
801726	386160	Co-Host
801727	120412	Catholic schoolgirl
801727	347246	
801729	70208	Young Christine
801729	80472	Zombie Corps
801730	138656	
801731	221227	Sandra
801732	379831	DC dancer #4 (1989)
801733	19024	Texas Choir Member
801734	243744	Sheila
801735	287279	Zoe aka Sandy
801736	329477	Barbara
801737	275770	Orchid
801738	296031	
801739	34448	Kelly Astaire Rigby
801740	368675	Gloria Hobgoblin
801741	386973	Lisa Copley
801742	37234	Ellie
801742	64896	Nan Barlow
801742	78643	Peggy McTavish
801742	79852	Ernine, Vic's Daughter
801742	162861	Venus
801742	167098	June Elliott
801742	294753	Sgt. Judy Fraser
801742	295393	Joy Karrington
801742	317415	Lucy Scanlon
801742	354858	
801743	154182	Dancer
801743	175175	
801743	254283	Petty Girl Specialty Dancer
801743	280895	Dancer
801744	95172	Herself (historian)
801744	216151	Sara
801745	241046	Justice of the Peace
801746	117133	Party Girl
801747	94856	Mary Dunstan
801748	339988	
801749	224155	Race Course Extra
801750	9170	
801750	64178	
801750	78578	
801750	84161	
801750	276593	Edith Paes
801751	78578	
801752	384118	Nabuco (2000)
801753	11253	
801753	93990	
801753	93991	
801753	110294	Hornero's Love Girl
801753	116013	Herself
801753	194693	Shelley
801753	219858	
801753	291279	
801753	404391	Verica
801754	168735	Hannah Clayton
801755	166450	
801755	172464	
801755	183882	
801755	215997	
801755	328705	
801755	337450	
801755	389141	Trina
801755	405506	
801756	91779	Audience Member
801756	188547	Girlfriend
801756	331333	Cuban Singer
801757	54756	Virginia (old lady)
801758	291831	
801759	272944	Bouncer
801760	98413	Party Girl
801760	102528	Video Heldin
801761	404520	Additional Voices
801762	280489	Choir
801763	283762	Juliette Hope
801764	238044	Herself
801765	846	Herself - #66: Terrible Talk 
801765	35388	Nadine's Mother
801765	104943	Nurse #1
801765	121836	Woman with Nick
801765	209522	Eleana
801765	209683	Herself
801765	217488	Eva Blair
801765	231829	Janis
801765	272848	Miriam
801765	305377	
801765	321526	Frankie Parker
801765	359792	Lily
801765	363370	Maggie
801765	389904	Host
801765	392464	Herself (2nd Celebrity to Lea
801766	386	Laura
801766	8216	Mimi Oliveri
801766	9179	Magda
801766	32014	Diane
801766	32354	Feodora
801766	33238	Prinzessin
801766	33278	Alexandra
801766	35894	Marina
801766	38257	Hélène
801766	39721	The sister
801766	43412	Julie Hoffman
801766	48383	
801766	50988	Eve
801766	53743	Tante Lou
801766	58053	Francesca's mother
801766	58811	Cécile
801766	59056	
801766	59696	Liane
801766	62442	
801766	64317	Récitante/Narrator
801766	65635	Misa
801766	73712	Beatrice
801766	77422	Lady Harriet
801766	84248	Rita
801766	84691	Michèle Tessier
801766	87901	Vera
801766	92905	Anna
801766	97065	Séraphine, aka Fifine
801766	100970	
801766	105871	Jordana Canaan
801766	108939	Jean's Wife
801766	111110	Alexandra
801766	111688	Solange
801766	112179	L'ambassadrice
801766	112895	La femme cliente
801766	113116	
801766	114079	Aletvina Makaraguine
801766	119018	Edie
801766	131695	Dorothée
801766	134804	Rektorengattin
801766	136306	Alexandrine
801766	140297	
801766	141601	Barbara Lawrence
801766	143485	Aglaé
801766	148504	Marianne
801766	156550	Hélène Jeanteur
801766	157922	Paula
801766	167239	
801766	168083	Victoria
801766	168448	Jane Clayton
801766	170433	Delphine
801766	175459	Marisa Love
801766	185146	Eudora
801766	189162	Une amie de Miguel
801766	193435	Hèléne
801766	198100	Arabelle
801766	199316	Mme Claude
801766	203522	Frances
801766	205270	
801766	206059	Mlle Becker
801766	206259	Michelle Craig
801766	208215	Hélène
801766	211364	Sandra
801766	212850	Jenny
801766	218247	Mme Dubois-Lacour
801766	219479	Belle
801766	219596	Sandra
801766	219849	La speakerine
801766	224578	Suzanne
801766	236376	Alexandra
801766	236505	Stacey
801766	242104	Liz
801766	251526	Héléna Werner
801766	254108	Théo Casarès
801766	254743	Barbara Grey
801766	274089	Viviane Garnot
801766	275650	Jacqueline
801766	276514	Domino
801766	278154	Alexandra Stewart
801766	279294	Alexandra (segment "Il nuovo 
801766	287322	Madeleine
801766	287608	Narrator (English version)
801766	295363	Hilda
801766	301003	Lucy
801766	306947	
801766	307490	Sandra
801766	307500	Alexandra
801766	309752	Amanda
801766	325142	Laurie
801766	345707	Mrs. Blake
801766	346101	Mrs. Sharon
801766	346600	
801766	347566	Alexandra
801766	350070	La paysanne
801766	354879	
801766	355883	Herself/Stacey
801766	358310	Caroline
801766	372884	Clara
801766	374540	Stephanie
801766	377715	Isis
801766	391931	Fanny
801766	395095	Joan Faulkner
801766	395914	La comtesse Vitaldi
801766	397938	Mary Jane Kilkullen
801766	404042	Hélène Franck
801766	405460	Countess
801766	406086	Jan
801766	410592	Lucia Warburg
801767	214971	Child
801768	127834	Television Field Reporter
801769	273431	Host
801769	273432	Hostess
801769	402397	Correspondent
801770	363224	Allesandra
801771	366749	Anna
801772	333120	Person of the Night
801773	3973	Family Video Twin
801774	176499	Young disco woman
801775	227497	Claudine
801775	282700	
801776	18029	Bonnie Temple
801776	45606	Megan
801776	46237	Natalie
801776	72208	Veronica
801776	80931	Lucinda Lawrence
801776	154893	Margaret Stewart
801776	161060	Nancy
801776	194706	Cordelia
801776	206129	Dorothy Quick
801776	213358	Anne Heston
801776	256220	Newspaper Editor
801776	263955	Rathskeller Server
801776	315238	Spoiled Girl
801776	338297	Kate Coppola
801776	340713	Abby
801777	69662	Janet Hamilton
801777	143626	Di
801777	200875	Tisha
801777	218146	Amy
801777	365326	Rhondlyn Podubney
801777	390177	Sara Dolan
801778	341431	Marti
801779	355924	Extra 2
801780	166	Girl in the forest
801780	25406	Jo
801780	26791	Bessie
801780	29932	Nepeese
801780	31084	An Angel
801780	33403	
801780	38111	Pert Dawson
801780	44021	Virginia Zelva
801780	47129	Second Daughter
801780	65992	Clover Dean
801780	67737	Muriel Fleming
801780	71539	Gladys Barnes
801780	78730	Diana
801780	85915	Diana
801780	112425	
801780	112585	Kate Prentice
801780	117764	Mrs. Burton
801780	118388	Elaine Hall
801780	120502	Rose Peters
801780	128214	Bessie Williams
801780	128428	Philippa
801780	129589	Yolanda
801780	129819	Herself
801780	130105	Celestia
801780	130160	Second Girl
801780	133875	Mabel Vandegrift
801780	139580	Harriet Field
801780	140825	Grace Devereux/Mme. Renee
801780	143039	The Cousin
801780	143234	Judith Rutledge
801780	143261	Alice Lambert
801780	146025	
801780	146178	Princess
801780	146217	Alice
801780	147633	Cameo appearance
801780	147726	
801780	147799	Herself
801780	152525	Bernice
801780	157876	Madge Brierly
801780	161898	Sylvia Langdon
801780	162949	
801780	170150	Viola Hardin/Louise (daughter
801780	191028	Ann Rutledge
801780	193366	Virginia Coulson
801780	194912	Josephine Blake
801780	195795	Bess
801780	195991	Hope Warner
801780	196940	Madeline
801780	206878	Herself
801780	206883	Mary Regan
801780	211773	Wayne Winthrop
801780	213229	Marie
801780	214074	Agnes Belgradin
801780	214483	Lily Upjohn/Lily Parradell
801780	219119	Chrissy Desselden
801780	219260	Barbara Wesley
801780	220264	Meg Jones
801780	224063	Countess de Villars
801780	227162	Florence
801780	230415	Tamea
801780	246732	Yvette Murree
801780	246733	Yvette Murree
801780	247997	Anna Dean
801780	257883	Julie Arnold
801780	262760	
801780	264042	Georgia Rivers
801780	264062	Nellie Wagner
801780	269666	Anne Wilmot
801780	274041	
801780	274880	
801780	278201	Elsie Maynard
801780	278216	
801780	280913	Charmain
801780	281846	Rose Elton
801780	283877	Sybil Hamilton
801780	296952	Antoinette
801780	296953	Antoinette
801780	302946	Trix Raymond
801780	303297	Beatrice Franklin
801780	308545	Elida Rumsey
801780	308647	Annie
801780	309295	The Actress
801780	309581	Celebrity
801780	310023	Rosamund Athelstane
801780	320268	Sophie Karrenina
801780	320793	The Swan Girl
801780	321175	Mrs. Grace Bradley
801780	323766	
801780	332827	Gladys Bardon
801780	338798	Jean
801780	343218	Enid Arden
801780	343219	Enid Arden
801780	343241	Sadie
801780	345750	Vivien Trent
801780	355226	Amy Forrester
801780	360630	
801780	363705	Doris Stockbridge
801780	364585	Stenographer
801780	365070	Grace
801780	365260	Lind Archer
801780	367483	Natalie Lane
801780	368109	Olympia
801780	368789	Mrs. Genevieve Carlyle
801780	368790	Rita Carlyle
801780	371093	Hilda/Berta Nordstorm
801781	230856	The Young Woman (framing sequ
801782	80395	Nurse
801783	221307	Mme. de Thebes
801783	331586	Olga
801783	349995	Laura Steiner
801784	96686	Younger Daughter
801785	67560	Rebecca Christy
801786	366747	Gayle Baker
801787	86285	
801787	119564	
801787	313489	Additional Voices
801788	349898	Rosalind
801789	341444	Attitude Girl
801790	3973	Family Video Twin
801791	218599	Dr. Piglet
801793	400	Librarian
801793	302130	Delivery Room Nurse
801793	302236	Fairy Godmother
801793	320815	Delegate
801793	330773	Joanne
801794	197073	
801795	141664	
801796	231780	Brenda Gusher
801796	321379	Brenda
801796	321511	Brenda, (as Brenda and Cobina
801796	333316	Brenda
801798	188551	Police Officer
801799	107621	Young Claire
801800	18618	
801801	95486	Town Extra
801802	8023	Judge
801802	87375	Secretary
801802	93772	Tass's Mom
801802	113304	Margaret
801802	222736	Sally
801803	138207	
801804	235386	Lady Haversham
801805	313933	Frankie's Child
801806	17783	Angela Taylor
801806	19138	Bibi
801806	31672	The Surfer Girl
801806	51883	Lia
801806	80608	Julia Kerbridge
801806	94616	Jessie
801806	116549	Katy
801806	176822	Carol
801806	185670	Maggie Gordon
801806	213019	Betsy
801806	215288	Bunny Miller
801806	222617	Marissa
801806	232063	Regina 'Reggie' Belmont
801806	232379	Miranda
801806	232385	Salesgirl at Harding & Hobbs 
801806	236693	Holly Newman
801806	243227	Captain Wilma De Groot
801806	245036	Annie Carver
801806	252894	Miss Hobbs
801806	261966	Belinda
801806	265614	
801806	273514	Sonya Lehrman
801806	278098	Maggie Cole
801806	286855	Jessie Collins
801806	289758	Debi DiAngelo
801806	291814	Flaxen Brewster
801806	360855	Gwen Saunders
801806	366821	Lisa Nolen
801806	368405	Angie
801806	385824	Kayla Brady #1 (1982-1983)
801806	390771	Naomi (2002)
801806	391255	Kyle Hubbard
801806	391834	Angel Hudson
801806	405460	Young Helene
801807	141497	Maud Powell
801808	238238	Lions Den Dancer
801809	222136	Herself
801810	38960	Mrs. Lazlo
801810	48704	Nurse
801810	60950	Mae
801810	78765	Mother Theresa
801810	83651	Audrey
801810	88981	Miss Reynolds
801810	102344	Mary X
801810	154173	Herself
801810	157251	Jean Durham
801810	162449	Sally
801810	220056	Iris
801810	222653	Denise Haley
801810	229536	Charlotte Goodnight
801810	236880	Suzie
801810	264132	Nurse
801810	267382	Edna Luster
801810	292786	Phyllis Turner
801810	304889	Telephone operator
801810	305244	Landlady
801810	310800	Lori
801810	339018	Nancy Sterngood
801810	339019	Nancy Sterngood
801810	342549	Betty Briggs
801810	342552	Betty Briggs
801810	344151	Brother Roy's Girlfriend
801810	349396	Judy Jackson
801810	359443	Nurse #1
801810	395735	Eva Beadle Simms (1974-1978)
801810	409210	Elizabeth 'Betty' Briggs
801810	411802	Tamara (1985)
801811	81062	Dutch Villager
801813	63103	Elf Clerk
801814	315889	Tim's Grandmother
801815	162292	Wedding Guest
801816	18013	Dr. Daisy Ellis
801817	185624	Amy
801817	293762	Casino Girl #1
801817	389858	Macemelia 'Maxie' Jones #5 (2
801817	391884	Roxanne "Rocky" Briggs
801818	107017	Sharona
801818	160887	Surgery Nurse #3
801818	397465	Ellen Sampson
801819	65224	Baby
801820	142541	E.R. Nurse
801821	34965	Child
801822	10596	Pedestrian
801822	65224	Baby
801822	304966	
801822	343316	
801823	36985	Girl
801823	73500	Girl
801823	105804	Girl
801823	117485	Girl
801824	153617	Ballet girl/performer
801825	224176	
801825	243744	Margaret
801825	273716	Fern
801826	7003	Princess Fakzia
801826	27112	Lila
801826	46959	Jane Ashton
801826	66653	Jane Anderson
801826	83985	Stewardess
801826	103452	Beth Drury
801826	105300	Showgirl
801826	144835	Lenore Davidson
801826	209604	Cameo appereance
801826	219765	Carla Angelo
801826	251601	
801826	278766	Monica Drake
801826	280482	
801826	285637	Lt. Saunders
801826	295167	
801826	302696	Lady in Waiting
801826	304276	Change Girl
801826	304953	Beverly Ambridge
801826	323474	Julie Mollison
801826	325970	Charleen Reston
801826	372170	Girl in Club Car Knitting
801826	372490	Anne Boleyn
801826	389695	Card Dealer (1972-1976)
801826	391544	Hostess (1974-1975)
801827	20251	Marjorie Workman
801827	35725	Diana
801827	50801	Brunette
801827	57169	Nurse
801827	104352	Girl at Shower
801827	112451	Janet Warfield
801827	112452	Janet Warfield
801827	114933	Kay Burke
801827	133703	Miss Frisbee
801827	135833	Molly Pearson
801827	141005	Laura Hart
801827	141034	Helen
801827	184948	Hat Check Girl
801827	195190	Louisiana belle
801827	195968	Bit Part
801827	210795	Anne Holden
801827	212180	Jean Carter
801827	224687	Diane Newhall
801827	243742	Mary
801827	246215	Secretary
801827	246729	Alice Banning
801827	256642	Trudy Pendleton
801827	272074	Sylvia Ashton
801827	272140	Terry Warren
801827	274191	
801827	278002	Elaine Kerrigan
801827	279752	
801827	280682	Alive Rankin
801827	287745	Carol Sheldon
801827	301988	Millicent Bailey
801827	312830	Mary Larkin
801827	336227	Janet Warfield
801827	338289	Nancy Higbee
801827	360068	Grace
801827	361681	Pearl
801827	363475	Nora Hart
801828	208965	Grandma Clara Sartucci
801829	217940	Ruth Maximillian
801830	230934	Bar Patron
801830	391553	Mavis Drinkwater
801830	402124	Lady Lucas
801831	108788	Maid
801832	92306	Victim of Mugging
801832	183339	The Ladies
801833	202390	Mrs. Torr
801834	161233	Herself
801834	210022	Herself
801834	319687	Herself
801835	48468	Perris Townie
801836	185475	Jo
801837	50111	
801838	81109	
801839	67875	Rosie
801839	70617	
801839	84911	Vera Northrup
801839	157088	Jane's Mother
801840	54340	Miss Detwiller
801841	76546	
801841	359168	
801842	117072	1st Teacher
801842	137712	Sister Gabriel
801842	161864	Girl at Rave #2
801842	214727	Bessie
801842	362268	Meredith
801842	387783	Celia
801843	370643	Chrissy Deavers
801844	183872	Ladybug Mom
801845	49841	Dr. Unser
801845	78670	Sissy
801845	90883	Dolores
801845	224337	E.R. Nurse
801845	252856	
801845	270933	Female Vet
801845	331463	Karen's Mother
801846	165302	Herself
801846	288388	Conveyor of Yeti Finger
801847	46242	Penny, 4 months
801848	92232	Protester
801849	47422	Alma Jr. @ 3
801850	151761	Blue-stockings
801851	29961	
801851	32061	
801851	116360	
801851	116808	
801851	116827	
801851	137662	Bound Bare Breasted Model in 
801851	141589	
801851	142703	Kidnapper
801851	312364	
801851	334725	
801852	8009	
801852	364725	Girl
801853	101036	French Beauty
801853	203460	Mrs. Gritter
801854	338638	Reporter
801855	1648	Stewardess
801855	12764	Flower Girl
801855	30277	
801855	45413	
801855	128256	Marjorie
801855	144896	Stewardess
801855	147665	Girl with Michael at Annivers
801855	192122	Mrs. Irving
801855	221029	Susan French
801855	285351	Toni Stewart
801855	297724	Secretary
801855	330375	Member of Girls Band
801855	331283	Biltmore Cigarette Girl
801855	365087	Miss Carver's secretary
801855	372676	Soubrettee
801856	69053	Club Patron
801857	50639	Gwen
801857	119436	Female Counselor
801857	218375	Mombata Girlfriend
801857	297787	Randi
801857	358663	Girl on Platform
801858	5721	
801858	185549	Alexandra Profit
801859	116736	
801859	178694	
801860	230857	Pretzel Baker
801861	110324	
801861	130775	Girl
801861	202952	Nancy
801861	305399	Sandra
801861	316323	Girl
801861	323389	Polly
801861	329853	WAVE
801861	367746	Woman in Bargain Basement
801862	227392	Marie Beaudeaut
801862	295372	Ella
801863	126691	Babette
801864	45591	Dancer
801864	150075	Bianca Salsa Girl
801865	157036	Diner Patron
801866	168292	Statue of Liberty
801867	303611	Oriental girlfriend
801868	6717	Herself
801868	34930	Herself
801868	41076	Herself
801868	126533	
801868	176771	
801868	297818	
801868	342875	
801868	343068	Herself
801868	361941	
801869	324238	Townsperson
801870	99311	Loud Kid #1
801872	6604	
801872	11399	
801872	91636	A Lame Girl
801873	334352	Cam Ramsay (aged 7)
801874	378855	Cindy (1999)
801874	384181	
801874	387747	Nikki
801874	388869	Kerry Rogers
801874	400645	Megan (1999)
801875	358591	Patti
801876	34729	
801877	20625	Extra
801877	79148	Lady Gilroy
801877	97201	
801877	118369	Lil
801877	400844	Miss Sinclair
801878	385299	Theresa Cummings
801879	20055	Florinda
801880	68179	Heather
801880	97350	Janet Huntley
801880	124049	Eagles recruiter
801880	383964	Paula Ashley
801880	384589	Ali McCormick
801880	399689	Rosemary Fletcher (1995-96)
801881	81109	
801882	190927	Suzy Lucca, 12 Years
801882	395762	
801883	133425	Mrs. Leek
801883	151716	Nana
801883	257973	Mrs. Moxon
801884	204736	The Hitchhiker
801885	84197	Shelley
801886	108477	Fan
801887	82685	Janis Romero
801888	31059	Mrs. Martha Walker
801888	61261	Mrs. Kessler
801888	63034	Maxford's Secretary
801888	92959	Student
801888	120010	Student
801888	127082	Telephone Girl
801888	155896	Helen Phillips
801888	164501	Ruth Elwood
801888	190268	Mary Aldrich
801888	191065	Reporter
801888	216026	Den Mother
801888	233044	Cigarette Girl
801888	264882	Mrs. Flaherty
801888	291291	
801888	296833	
801888	312280	Mrs. Gorski
801888	331123	Miss Gay
801888	362087	Marjorie (Drum Majorette)
801889	68455	Market Clerk
801889	74211	Sophie
801889	135387	
801890	93123	Mouseketeer
801891	16642	Rose
801892	34733	
801892	36912	
801892	36939	
801892	37503	
801892	45013	
801892	152280	
801892	168543	
801892	175388	
801892	327780	
801892	335933	
801893	115163	Tina
801894	115553	Innkeeper's Wife
801894	393208	Janice
801895	333390	Technician
801896	56880	Maddy
801896	66913	Kristen Tilson
801896	112051	Maya
801896	158307	
801896	201733	Herself
801896	247579	Sarah Altman
801896	285357	Sam Jennings
801896	299705	Herself
801896	310515	Melinda Sordino
801896	330620	Girl waiting to get a drink
801896	346346	Lila
801896	374088	Lisa Budwing
801897	24610	Female Prisoner
801899	303611	Girl at pool
801900	303830	
801901	61154	
801901	169136	Sarah: Isaachar's Wife
801902	266240	Lillian O'Grady
801903	385052	Gloria Marticorena
801903	387807	Ana Rosa
801903	395872	Valeria
801903	396618	
801903	397015	Marcia Colmenares Luna
801903	399620	Liza Burton
801903	404713	
801904	289650	
801905	151545	
801906	22037	Mrs. Hudson
801906	166871	Mary
801906	370035	Cameo appearance
801907	60212	Kindergarten Teacher
801907	312011	Cleaning Woman
801908	1793	Miss July 1984
801908	245699	Grant's Girlfriend
801908	257814	Herself
801908	322747	Woman 3
801908	361862	
801909	206337	
801909	278669	Meenie Van Winkle
801910	122217	Kiwi Madigan
801910	161172	Detective Anthony
801910	236222	Flight Attendant #4
801910	289668	Tabitha's Mother
801910	316589	
801910	369486	F-16 Fighter Pilot
801911	254522	Ballet Tart
801912	17749	July
801913	27186	Teddy Lamont
801913	47129	First Daughter
801913	69510	Madeleine Turner
801913	84234	Josephine McCloud
801913	96912	Beatrice Whitford
801913	99148	Dora Chester
801913	112195	Natalie Van Loon
801913	114700	Constance Joy
801913	116737	Society Lady
801913	130160	First Girl
801913	146129	Mourner
801913	146301	Mary Ellen McKay
801913	151328	Lucy
801913	195693	The Maid
801913	232888	Ruth Blake
801913	244885	Vera Sherwood
801913	247997	Lucy Dean
801913	252909	Mrs. Byfield
801913	278201	
801913	291854	Kate Gray
801913	297276	Lucille Lee
801913	302946	Alice
801913	308647	
801913	319264	Gladys Waldroon
801913	342971	A Maid
801913	365070	
801913	367467	Mrs. Garford
801913	367678	Mrs. Ellis
801914	38947	Laurie
801915	7848	Sandy
801915	13963	Bobbie Tucker
801915	32661	Rose Carter
801915	37452	Zelda the Bearded Lady
801915	61707	Announcer
801915	63106	Miss Yvonne
801915	65501	Margaret, Greer's Secretary
801915	72472	
801915	72769	The Vagrant
801915	91903	Policewoman
801915	93771	Cheerleader
801915	95271	Cucumber Woman
801915	99573	Bartender
801915	101573	Waitress
801915	135623	Nurse
801915	143573	Mrs. Waffer
801915	154516	The Sisters
801915	158998	Woman Without a Child
801915	161222	Herself
801915	170562	Karen
801915	184714	Serveuse
801915	185397	Receptionist
801915	194406	Budget Attendent
801915	220622	Mrs. Seeger
801915	231395	Woman shopper
801915	251235	Dispatcher
801915	251742	Miss Yvonne
801915	251743	Mother Superior
801915	256627	Bill's Secretary
801915	271192	Voiceover
801915	275785	Aunt Agatha
801915	278484	Waitress
801915	283543	Edith Wiggins
801915	301806	Landlady
801915	318783	Student
801915	337285	Lynn
801915	341758	Marie
801915	342561	Homeless woman
801915	349896	Aunt Gloria
801915	372525	Thatcher
801915	372882	Ibis Lady
801915	388333	Additional Voices
801915	392297	Joy Bellini
801915	399440	Audience Member
801915	400255	Millie the Secretary/Miss Moo
801915	401107	Miss Yvonne
801915	402454	Additional Voices
801915	407021	Jessica Morganberry
801916	397936	Mayor Maggie (1975-2001)
801917	380565	Iris Pendleton
801918	139739	Princess
801919	163424	Vocalist
801919	367054	The Wiz Singers Adult Choir
801919	404471	
801920	400350	Thirza
801921	20613	Marjorie
801921	35137	Carter's Showgirl
801921	43297	Mamie Foster
801921	46729	
801921	107688	Pan
801921	107695	Girl
801921	107699	Bellhop
801921	107873	Bit
801921	127698	Babs
801921	127699	Marjorie Forrester
801921	140407	Guest
801921	141667	Bit part
801921	199592	Pamela
801921	212216	Bit part
801921	223046	Airplane Hostess
801921	230278	
801921	367970	Goldwyn Girl
801922	33618	Phillip Sackton Jr
801922	117441	
801922	221334	Baby Wiggs
801922	334191	
801923	26721	Nancy Cordell
801923	37059	Ione
801923	107262	Connie Mason
801923	150407	Ruth Childers
801923	153211	Dora
801923	278210	Audrey
801923	333334	Ruth Norman
801924	241444	
801924	330375	
801925	191628	Mrs. Crane
801925	207476	Yvonne Goulding
801925	360542	Prisoner
801925	367456	Saleswoman
801926	158582	Cathy
801926	205283	Marcie
801926	392888	Herself
801926	411574	Herself
801927	4369	Soubrette
801927	20012	Bunny La Fleur
801927	70299	Bertie Williams
801927	76964	Mary Angelus
801927	89620	Frankie Porter
801927	154827	Lulu Madison
801927	157456	Mildred Atkinson
801927	168671	Ann Cummings
801927	193264	Girl on Rum Boat
801927	319904	Pauline Lowell
801927	408105	Co-Host (1952-1953)
801928	37473	Herself
801928	70932	Herself
801928	96555	Herself
801928	210741	Herself
801928	362453	Herself
801928	387227	Herself - Correspondent (1999
801928	396959	Herself
801929	46748	Neighbor
801929	312042	Bit
801930	33617	Lady Calthorpe
801931	96686	Older Daughter
801932	266625	Warder
801933	70633	Jill
801933	78148	Ann Hendricks
801933	119613	Mrs Moore
801933	382393	Mrs. Lang
801933	391486	Lyn Parker
801933	403244	Charmaine Weston
801933	408971	
801934	105328	Hat Check Girl
801934	194906	Miss Harrison
801934	220802	
801934	249515	Mrs. Harris
801934	354823	Salesgirl
801935	115161	Playground Kid
801935	303832	Princess
801936	154704	Self
801936	275881	Mrs. Libo
801937	272648	Ellen
801937	405209	Natasha 'Tash' Heremia (2000-
801939	50170	1st Welfare Recipient
801940	171	Herself
801940	158784	Party Guest
801941	186708	
801942	385299	Miss. Moffatt
801943	41743	
801944	223959	George Dryden's Mother
801945	11553	Jessie Follet
801945	26702	
801945	164637	Mother Fang
801945	364176	Mrs. MacMurray
801946	229634	
801946	321259	Nell Gwynne
801947	346087	Felicity Piper
801947	384156	
801947	408146	Jenny
801948	263275	Sophie (9 years old)
801949	714	Rae
801949	13224	Officer Patsy Melville
801949	105631	Kate
801949	137946	Horatio
801949	176290	Ivan's sister
801949	190328	Ms. Nowick
801949	196565	Crystal Fairlane
801949	257871	Lydia
801949	264036	Nurse Kohanek
801949	340923	Mrs. Blech
801950	69738	Religious fanatic
801951	125808	Girl at the docks
801952	85992	Carlotta Jones
801952	175459	
801952	319760	1st Prostitute
801952	366925	Jury Foreman
801953	49347	Moses' Mom
801954	7065	Mrs. Long
801954	35650	
801954	43871	Victoria Tusker
801954	54673	Widow Thompkins
801954	185133	Kate Fowler
801954	185134	Kate Fowler
801954	185135	Kate Fowler
801954	232246	
801954	233777	Mrs. Hand
801954	297911	Esther Sherrigan
801954	308117	Vinton's Wife
801954	333277	
801955	2833	Girl
801955	7488	Cameo Appearance
801955	10564	Ann Marshall
801955	11582	Helen Lexington
801955	17228	Mrs. Emily Perkins
801955	26776	Freda Smith
801955	29123	Hallie Wayne
801955	35657	Woman Patient
801955	39645	Joan Delysa
801955	39743	Virginia
801955	42428	Hattie Baker
801955	52315	Hazel Parker
801955	54673	Why listed twice?
801955	60954	Betty Lou Hopkins
801955	66005	Sister Grace
801955	66634	Helen Matson
801955	66679	Linda Graham
801955	69682	Cheyenne Jackson
801955	80007	Molly Owens
801955	80519	June Thornton
801955	83670	Betty Long
801955	105247	Bunny
801955	107804	Barmaid
801955	112572	Sheila
801955	113894	Poppy Calhoun
801955	120758	Joan
801955	127114	Undetermined Role
801955	128700	Terry
801955	135849	Mrs. Knudson
801955	147886	Herself (Singer)
801955	161904	Rosalind Baylor
801955	173533	Kay Collins
801955	192333	Rita Belle
801955	192334	Jane
801955	202852	Mary, the Chorus Girl
801955	206530	Judy Powers
801955	211817	Evangeline Lockley
801955	218482	Clara Martin
801955	243335	Jill Layton
801955	254548	Doris Shannon
801955	255258	
801955	263574	
801955	274277	Julie Bennett
801955	277915	Libby Brooks
801955	282352	Melinda Sterling
801955	283863	Bess
801955	298499	Ann Carter
801955	298503	Molly, Reno's wife
801955	301948	Ruth Clayton
801955	303470	Jane
801955	304876	
801955	308411	Kate Wells
801955	312838	'Beautiful' (the fake May Bar
801955	312840	Jessie Wade
801955	316281	
801955	328564	Second Charwoman
801955	329026	Helen Kent
801955	329394	Mary Lee
801955	332810	Phyllis Carrington
801955	337661	Kit Barlow
801955	341461	Beth Rogers
801955	348972	Jackie (Dorothy's friend)
801955	350220	Julie Vance
801955	354224	Molly McVey
801955	360271	Mrs. Turley
801955	361300	Alice MacKay
801955	363073	Mrs. Pierce
801956	85717	Coloured woman
801957	36968	
801958	27033	Mary Foote
801958	44989	Helen Garfield
801958	117261	Sylvia Vickers
801958	139092	Raelene
801958	196843	Heather Vane
801958	224285	Nancy
801958	354200	Elizabeth Peers
801958	358305	Mary
801958	387939	Alicia Dunne
801958	395104	Young Nesta Quinn
801958	402197	Kathleen Leach (1979-1980)
801958	406891	Edith
801959	92455	Steffi
801960	285201	Lady
801962	331914	Jack Henderson
801963	39852	Tina
801964	115483	Ketti's Daughter
801964	183443	Tenement girl
801965	67361	Psychotherapist
801966	129092	Blue-Rinsed Lady
801966	141454	
801966	395647	Mrs. Maberly
801967	130857	Vivi Norton
801967	245149	
801968	263450	Old Lady
801969	29676	Homeless Woman
801969	77671	Amanda
801969	90247	Florrie
801969	146054	Sally
801969	147562	Betty Sulgrave
801969	183833	Julie
801969	288751	Eileen
801969	340464	Gertie
801969	359100	Molly
801970	318509	Airline Ticket Agent
801971	252379	Herself
801971	252394	Herself
801972	169136	Child Chorus
801973	330404	Nude girl
801974	129860	Julie Arnold
801974	398240	Herself/Regular performer
801974	401259	Herself (Kraft Music Hall Pla
801974	405426	Herself (vocalist, 1963-1964)
801975	30959	Martha Wayne
801975	193624	Sarah
801975	209173	Mistress Monica
801975	221233	Princess Alexandra
801975	228989	DC Mary D'Eye
801975	273715	DCI Gill Templar
801975	273716	DCI Gill Templar
801975	273717	DCI Gill Templar
801975	273718	DCI Gill Templar
801975	331285	Chapman
801975	366378	Miss Barnes, Beacon Reporter
801975	385280	Lucy
801975	387022	Jenny (1990)
801975	399103	DC Mary D'Eye
801975	401725	Jane Olivera
801975	407047	Lauren
801976	93959	Jenelle Betz
801977	258947	
801978	379978	Herself (eliminated 9th) (200
801979	29937	Herself
801979	257619	Herself
801979	257659	Miss March
801979	257661	Herself
801979	361854	
801981	8021	
801982	274435	Girl #1
801983	316725	Adult Judy
801984	128790	Trustee-Clerk
801985	223920	Sandy (Budget agent)
801986	381821	Ensemble (1980-1982)
801987	16642	Nurse Maitland
801988	21545	Celia
801988	64845	Jill Dealtry
801988	84868	Mrs. Jamieson
801988	143238	Jodie Weyre
801988	159542	Mary
801988	184283	Christine Morris
801988	199498	Mrs. Topham
801988	203484	Maggie Hooper
801988	205556	Maria Marten
801988	205787	Marigold Sellar
801988	224332	Stella Riorden
801988	234033	Sister Willis
801988	236876	Sister Williams
801988	276797	Marguerite Blakeney
801988	316488	Mrs. Morley
801988	330432	Mrs. Cabal
801988	338988	
801988	345809	Lady Monica Waring
801988	346146	Elise
801988	364167	Sarah Hamilton
801988	370520	Miss Charlotte Dunlap
801988	388899	Aunt Margaret
801989	210520	Dancer
801990	41241	
801990	154042	Heidi
801991	61303	Water Teen
801991	237493	Signa
801991	347115	Sarina
801992	109077	Prostitute
801992	114193	Joy Full
801992	128902	
801992	204785	Lila
801994	59914	
801994	69773	Mrs. Watkins
801994	158317	Sally Hastings
801994	192675	Mrs. Carnes
801994	249067	
801994	302235	Judge's Wife
801995	123068	Lovarian Woman
801996	105265	Erin Persaud
801996	152302	Featured Poet
801997	7997	Hotel Desk Clerk
801997	21040	Screaming Woman
801997	43565	Female Cop
801997	71922	Slave
801997	81584	Waitress
801997	275630	Reporter
801997	354936	Security guard
801997	382240	Inmate's wife
801997	386295	Convict
801997	395784	Roadie
801998	29273	
801999	62422	Julia Cates
801999	186836	Woman of his dreams
802000	396019	Additional Voices
802001	192104	Dolphin Trainer
802002	117101	Model
802002	195685	Rosa Donizetti
802003	215834	
802004	233792	
802005	280634	Mrs. Avery
802006	26395	Miss Bessie Mae
802006	55536	Diane
802006	69856	Reverand
802006	90343	Mama Paige
802006	132632	Rae Ellen
802006	154315	Lillie
802006	186822	Cora Winsor
802006	192675	Mrs. Davis
802006	202619	Bessie
802006	215905	Mrs. Walker
802006	216161	Sister Sarah
802006	224337	Delia Gray
802006	232438	Alma
802006	241270	Evangeline
802006	281644	Johnnie Carr
802006	281897	Connie
802006	303265	Libby
802006	324852	Vetta Taylor
802006	333347	Gwen Hailey
802006	345861	Bertha
802006	363886	Len's Secretary
802006	392709	Etta Kibbey (1991-1993)
802007	319521	Carol
802008	37690	Myrtle
802008	122210	Sister Ann
802009	52204	Highgyll W.I. Lady
802009	189249	Claire
802010	46431	Leslie
802010	64566	
802010	204736	Nancy Chaney
802010	286361	Melanie Slozar
802010	333369	Jane Henderson (1871)
802010	365461	Jeannette Fowler
802010	404179	Melanie Slozar
802010	411802	Chris Brooks Foster #1 (1973-
802011	64397	
802011	355028	Theresa
802012	330636	
802013	18963	Nurse
802014	358477	Bar Patron
802015	381436	Naomi Chapman (1992-1996)
802016	316411	Little Girl In Grocery
802017	288470	Carol
802018	6305	Tarra Janes
802018	7087	Lumina
802018	90423	Erin Fisher
802018	123068	Julia
802018	162449	Little Casey
802018	183872	Sally Anne Welfelt
802018	217534	Sally Frawley
802018	372580	Yvenna the Blonde
802019	192100	Angel #2
802020	270326	Alice
802021	178049	Camilla
802021	222725	Dubbing Secretary
802022	150189	Peaches
802022	223642	Vegas Divorcee #1
802022	245073	Buff Beauty
802022	253507	
802022	370117	Stripper#1
802023	185639	Cynthia's Baby at
802024	408207	Herself
802025	161660	La grand-mère
802026	228249	Herself
802027	44330	Peggy Butler
802027	74258	Mary Jarvis
802027	75505	Cindy
802027	82682	Ruth Stanley
802027	119596	Secretary
802027	129582	Christa
802027	211508	Richie's mum
802027	232067	Celeste
802027	363263	
802027	399066	
802028	218528	
802029	186249	Rino's sister
802030	160975	Ingrid Sthare as herself
802030	214439	Ashley
802030	235463	Claire Bingham
802030	249449	Leslie
802030	308147	Jennifer Hadley
802030	322970	Agatha
802030	331555	Kay
802030	363303	Rachel
802031	20551	
802031	196436	Mother
802031	354647	Jet Mauve
802031	375025	Ludwien
802031	404442	Annabel #1 (2001-2002)
802032	303734	Girl at the birthday party
802033	87411	Tania
802033	184853	Barmaid
802034	109277	Överstinnan Matilda Gyllenkro
802035	40919	Leonardo's mother-in-law
802035	42616	Elisa Zackrisdotter
802035	94257	Harriet Jonsson
802035	104812	Eva
802035	105362	Nurse
802035	109122	Gunvor, nurse
802035	109128	Berit Lange
802035	142214	Lina Väster
802035	192644	A girl
802035	198276	Maid
802035	205677	Andelius
802035	231274	
802035	237260	Frida
802035	238802	Irene Lindblad
802035	284101	Normark's maid
802035	293314	Elma Persson/Elma Dalén
802035	304200	Märta Grankvist
802035	313637	Stina
802035	334041	Märta
802035	334043	Märta Grankvist
802035	342298	Nurse Greta
802035	348728	Ursula Cecilia Persson
802035	351599	Angela
802035	353020	Märta Grankvist
802035	354423	Mrs. Carlsson
802035	357747	Inga
802035	407260	Märta (episodes 1-3, 6, 7, 10
802035	410044	Märta Grankvist
802036	192201	The Woodchopper
802037	165966	Mermaid
802037	281897	Charlene
802038	137696	Sherry Vaughn
802038	169433	
802038	193805	Julio
802038	384525	Pepper
802038	390644	Gracie Newcombe
802038	400208	Nurse Pomeroy
802039	344756	
802040	57924	
802041	107967	Ria
802041	180706	Fanny Dollinger
802041	233301	Gunda
802041	293551	Anita
802041	303717	Gaby Mast
802042	402621	
802043	64068	
802044	115083	
802045	391558	Jennifer
802046	353294	Academy Girl
802047	347829	
802048	16089	Miss Peabody
802048	56925	Mrs. Rafferty
802048	64070	The Queen
802048	104995	Mrs. Monday
802048	133560	Emily Drumman
802048	148438	Emily Baldwin
802048	154488	Mrs. Towner
802048	154517	Margaret Garrison
802048	192026	Jean Proctor
802048	215662	Emily Tatlock
802048	218734	Hilda
802048	222592	Norma Watson
802048	224301	Mrs. Jenkins, the Landlady
802048	275407	Aunt Jane Pennypacker
802048	347109	Miss Bird
802048	360301	Hattie
802048	362087	Miss Wheeler
802048	368315	Loretta
802049	30457	
802050	132909	Pedestrian
802050	245229	Teller
802051	5358	Herself
802051	36700	Mrs. Jordan
802051	65707	Esther
802051	67430	Topsy Washington
802051	76604	Zed
802051	86287	Wanda Shepard
802051	151458	Mrs. Shakespeare
802051	159862	Dr. Wade
802051	170746	Nilda
802051	202195	Honey
802051	216670	Herself
802051	224360	Harvard Officer
802051	230676	Prosecuting Attorney Hawkins
802051	323989	Aretha
802051	327899	
802051	362512	Alline Bullock
802051	367844	Cora Lee
802051	399225	Yvonne St. James
802052	111360	Vicki
802052	409470	Katrin Brandt
802053	180718	Schwester 2
802053	259470	
802053	259484	
802053	259686	
802053	290561	Gerlinde Grath
802053	325486	
802053	350881	
802053	376372	Journalistin
802053	405500	Karin Sasse
802054	51291	Nina
802054	147002	
802055	181736	Nonne 2
802056	204755	
802057	158313	Libby
802057	222575	Teacher's Aide
802057	317882	Judy
802057	364693	Sally Brown
802058	10311	Susan Underhill
802058	55430	The Bearded Lady
802058	200261	
802059	325699	
802060	322128	
802061	216807	Model
802061	273480	Student
802062	412043	Barones
802063	5671	Ellen
802063	390242	Mevrouw Verhaar (1991)
802063	410437	Mrs. Veenstra
802064	93394	Zenzi
802064	168204	Mariandl
802064	237681	
802064	361409	Staudingers Musen
802065	131155	Susan
802066	142189	Therese
802066	177194	
802066	352246	Kekki
802067	7999	Helen
802068	335607	Herself
802069	231421	Herself
802070	367951	Herself
802071	395667	Maja Starck (1999-)
802072	57099	Lorraine
802073	476	
802073	10650	Frau Siebeck
802073	12206	Mother
802073	13612	
802073	24738	
802073	54344	
802073	79176	Souffleuse
802073	119215	Gräfin Langenbein
802073	119291	
802073	138456	
802073	144032	
802073	147148	
802073	156701	Baronin Ilona
802073	156726	
802073	163078	
802073	184398	Gräfin
802073	189433	Krankenschwester
802073	189679	Mrs. Wegener
802073	189879	
802073	196332	Olga Rübenzahl
802073	205665	Theres, Kellnerin
802073	207210	Tante
802073	223199	
802073	225640	Nachbarin Gmeiner
802073	226252	
802073	239112	
802073	263613	Frau Kurz
802073	283061	Hofrätin
802073	293423	
802073	311916	Hoteldirektorin
802073	314318	
802073	325509	Frau Lemming
802073	325738	Schwester Gertraud
802073	345905	
802073	347656	
802073	347658	
802073	348064	
802073	360926	
802073	361376	
802073	365012	Melanie Moser
802073	376341	Mali-Cook im Kaffeehaus
802074	179762	Rentnerin
802075	143628	Vanessa
802075	230387	Rita
802076	210617	Herself
802077	129687	Stripperin
802078	129687	Elvira
802078	156651	Beate
802079	268857	Gwendolyn Spevin
802080	89998	Margherita, sua madre
802081	64819	Micky
802081	64820	Micky
802081	64822	Micky
802081	64824	Micky
802081	69609	
802081	305941	Lizzie
802081	321342	Hannah
802082	119001	Ludavica Scott
802083	260414	Naomi Schalk
802084	259740	Polleke
802085	181237	Viktor Jacobsen
802086	10075	Additional Voices
802086	197488	Jean/Ruby
802086	197489	Royce
802086	200184	Umi Ryuzaki
802086	260386	Wriph
802086	272997	Royce
802087	54342	Little Girl
802088	259198	
802088	259199	
802088	345857	'Hitchcock Railway' dancer
802089	16935	Gloria
802089	73477	Hija
802089	175265	
802090	8834	Amneris
802091	97040	The Girl
802092	163137	Carina
802092	333068	Jenny
802092	333082	
802093	166752	
802094	351410	Woman on Subway Bench
802095	223555	
802096	303278	Lobster child
802097	211765	Brunette in Porsche
802098	12170	Nicole
802098	86457	Joanne
802098	96842	Carley
802098	97046	Gwen
802098	150252	Doris
802098	315317	Tracy
802099	43	Katie Herlihy
802099	644	Katarina 'Kat' Stratford
802099	1681	Herself - Winner: Best Breakt
802099	1706	Herself
802099	3044	Herself
802099	32737	Phoebe Jackson
802099	45128	Nicky
802099	45129	Nicky
802099	50227	Paula Murphy
802099	55520	Carolina
802099	69079	Herself
802099	85050	Bridget O'Meara
802099	92248	Imogen
802099	130321	
802099	136277	Becky
802099	137932	Ophelia
802099	154453	Young Nana's Friend
802099	192341	
802099	201749	Herself
802099	217745	Joan Brandwyn
802099	221481	Herself
802099	237422	Desi Brable
802099	263955	Paige Morgan
802099	289024	Sara Johnson
802099	313914	Carla
802099	364709	Ellie Christianson
802099	364794	Neena Beal
802100	118325	
802101	80411	Waitress
802102	37691	Nikki
802103	72933	Principal Dancer
802104	257121	Detective
802105	126492	Elle
802105	128084	Atley
802105	206331	Hanna Livingston
802105	210204	Fiz
802105	278692	Little Amy
802105	291922	Little Girl
802105	379625	Chimera (English version)
802105	390201	Sili 'Sleeper' Reznor
802105	407667	Scarlatti
802106	155002	April
802106	247538	Dita
802107	7518	
802108	225619	Sarah
802109	87123	
802110	328699	
802111	9377	
802111	229038	Verica
802111	400438	
802112	320236	
802113	24734	La Directrice d'école
802113	345379	La mère
802113	387174	Claudine
802113	410211	Nouka
802114	306600	Debbie Moffett
802115	34707	Lt. Zar
802116	21448	Nurse Receptionist
802117	193517	Lolala
802117	261748	
802118	101303	Karen
802118	321452	Guard
802118	360616	Woman
802119	14109	Sarah
802119	309199	Babs Peterson
802119	350197	
802119	366259	Party Girl #3
802120	51661	Steven's secretary
802120	63424	Cherri Contrary
802120	73680	Director
802120	80046	Amy Corinne Fairbright-Lebow
802120	89057	Keno Waitress
802120	99611	Checkout Girl
802120	119595	Emily
802120	145102	Cleopatra
802120	159012	Dr. Rosaria Mclesh
802120	196447	Flower girl/Carol
802120	223642	Vegas Divorcee #2
802120	273473	Psychic Phone Partner
802120	276958	Angie
802120	309941	
802120	329548	Jolene Lane
802120	350221	Theater Girl
802120	355431	Julie Bronsky
802120	375827	Hansel's Posse Member
802121	249336	
802122	132414	
802123	80750	
802124	151789	Michelle
802125	132223	Angel
802126	162439	Mrs. Dillon
802127	232857	Lisa
802128	199227	
802129	52532	Mary
802129	53292	Mrs. Nickerson
802129	70224	Nurse Russell
802129	80691	Mrs. Twill
802129	117231	Phyliss
802129	131732	Mark's Mother
802129	176478	Dr. Kalina
802129	178279	Marge
802129	205194	CNN newsreader
802129	222721	Viv
802129	222754	Judy Zonis
802129	232204	Maggie Johnson
802129	241467	Elaine
802129	241552	Tamsen Donner
802129	253355	
802129	275322	Dr. Andrea Wilson
802129	294976	Anne
802129	297079	Valerie Snyder
802129	314440	Mrs. Fairfax
802129	316263	Rachel
802129	350667	Mrs. Szchevisky
802129	379332	Ms Stratmann
802130	97232	Girl Talking to Homeless Man
802131	345943	Ruth
802132	136030	Barbara
802133	302468	Holly Petuto
802134	366598	Drowned Girl
802135	104352	Girl at Shower
802135	224086	
802136	32044	Cousin Doris
802136	340320	Old Woman
802137	64920	
802138	320122	Herself
802138	320152	Herself
802138	407075	Herself (9 Days, Tagi Tribe)
802139	41017	Megan
802139	44551	Morgan
802139	65605	Amazon Girl #2
802139	80724	Bar dancer
802139	102726	Gina (episode "Midnight Showi
802139	334274	Counter Girl
802140	144804	Alison Ashmore
802141	305362	Stripper at Bar
802142	281417	
802142	295631	
802143	306814	Nikki Best toddler & infant
802144	100209	Young Blonde Child
802145	366743	Cackling Woman
802145	366748	Cackling Woman
802146	80592	Wardrobe Person
802147	317942	Drug Squad
802148	202728	Club Patron
802148	274729	Matron Johnson
802149	142530	Hooker
802149	235646	Anna Marie
802150	311448	Margaret
802151	379436	Electra
802151	402298	
802151	405094	
802151	406324	
802152	44707	Suzy Dugdale
802152	76617	Alice
802152	88037	Rachel
802152	96741	Robin
802152	141109	Willow Wertz
802152	171084	Carla
802152	195482	Sandy Summers (Cruise Directo
802152	207866	Terry Underwood
802152	277638	Stewardess
802152	294381	Brenner's secretary
802152	313596	Betty
802152	328553	Featured Moviegoer
802152	378667	Regular
802152	388202	Princess Rebecca
802153	131201	Inez
802154	391129	
802155	109252	Lynnie Coggins
802156	350105	
802157	316635	Partygoer #7
802158	249073	Herself (Stein scholar)
802159	10150	Esther
802159	83960	Grandmother
802159	113803	Cathryn
802159	132529	Mrs. Badger
802159	161505	Female Derelict
802159	237006	Sweet Old Lady
802159	277091	Little Old Lady
802159	301792	Mrs. Denecky
802159	313396	Lady in tour
802159	314631	Blind Lady
802159	315619	2nd Woman
802159	320938	Old Lady in Car
802159	330580	Mrs. Bell
802159	367512	Mama Dell
802159	389858	Sadie (1990)
802160	65851	Trainer
802161	375764	Reporter
802162	192048	The Kid
802163	312265	Scott's Grandma
802164	228314	Schoolgirl
802166	58511	Dancer
802166	158226	Extra
802167	305571	Young American Miss
802168	115884	
802168	142188	
802169	49642	
802169	128653	
802169	130979	Nudist
802169	161175	
802169	228517	Herself
802170	289113	Dogfaced Boy at Concert
802171	90525	Silvina
802171	197960	
802171	214823	
802172	168293	Rita
802173	282157	Sarah
802174	100193	Patty
802174	222776	
802174	380390	Kate Phillips Carothers (1982
802174	380391	Laura Delaney Cooper (1970)
802174	387309	Nadine Alexander Scott (1976-
802174	396123	Rose Donovan #2 (1984-1987)
802174	405882	Laura Delaney Cooper (1970-19
802175	9922	Susanna von Landitz
802175	10112	Sabrina
802175	72737	Andrea
802175	209773	Julia Bennet
802175	287242	Sandra Bar
802175	361043	Ellen
802175	379580	Susanna von Landitz
802175	382829	Lene Anschütz
802175	394844	Krista
802175	395071	Various
802175	400042	
802176	38745	
802176	131690	
802176	245173	Madge Dowling
802176	276288	Rita Middleton
802176	368991	Lauretta Barrett
802177	203526	Telescope Woman
802178	331738	Sally Vrain
802179	279681	Herself
802180	35239	Cheerleader
802181	308634	Thea Kronborg
802182	180490	
802183	91067	Herself
802185	355853	
802186	375384	
802187	223488	
802189	283410	Office Worker Frances
802190	267213	Catarina
802191	153547	Web Date Woman
802191	181589	Irina
802191	314365	
802191	324808	Taksikuski
802191	409843	Several
802192	220084	Ari
802193	245614	Undetermined Role
802194	241160	Woman #1
802194	362152	Rita
802195	16909	WAAFS
802195	29255	
802195	42100	
802195	56598	Duchess D'Orsino
802195	67897	Katherine
802195	79083	Governess
802195	96519	
802195	103227	Miss Brooks
802195	163000	Director of Academy
802195	326383	Ursula
802195	389141	Zia Louchi
802195	399754	Victory
802196	54548	Claire Forrest
802196	60733	Joan Mason
802196	73408	Diana Farnsworth
802196	75866	Diana Farnsworth
802196	76192	Sheila Layton
802196	77015	Entertainer
802196	161904	Eve Rogers
802196	166994	Ann Bolton
802196	170756	Rita Arnold
802196	199752	Helen North
802196	204213	Claire Forrest
802196	224614	
802196	262138	Model
802196	263281	Flo Ronson
802196	267561	Sheila Layton
802196	278592	Nancy Harding
802196	286898	Ann Taylor
802196	287746	Ann Morton
802196	298495	Helen Burton
802196	298508	Lois Carpenter
802196	316314	Bit Part
802196	329388	
802196	332809	Tiger Woman/Rita Arnold
802196	335906	June Hardy
802196	354225	Carol Franklin
802196	358186	Arlie Adams
802196	375903	Barbara Meredith (The Black W
802197	30817	Molly
802197	53751	Yvette
802197	73855	Mme Lucard
802197	88027	Mlle. Poncet
802197	97197	Stella Duncan
802197	99409	Madame de Turgis
802197	125737	
802197	176322	Jean
802197	194934	Young Woman in Box
802197	199712	Felicite
802197	203623	Madame D
802197	206506	Suivante
802197	234894	Mrs. Boryslawski
802197	276642	Mother on Train
802197	285326	Belgian Messenger
802197	326985	Haali
802197	334268	Mme. Marconnet
802198	17978	Avis Graydon
802198	27929	Stephanie Raeburn
802198	68786	Claire
802198	119634	Katie Carter
802198	208632	Joanna
802198	244318	Lulu
802198	258931	Caroline Crale
802198	274473	Becky
802198	314779	Clare Knowles
802198	333679	Nan Astley
802198	340019	Hermidas/Corine
802198	392705	Young Rebeccah
802199	10851	
802200	402110	Model (episodes 1-12)
802201	316905	
802202	185151	Coworker
802202	293231	Sarah
802202	362269	Dixie
802203	210078	Fräulein Siebenzahl
802203	259466	
802204	18004	Rita
802204	78142	
802204	108333	Cynthia Walker
802204	171724	Tracey
802204	295028	Darey Vance
802204	307988	Cheryl
802204	364612	Saleswoman
802204	382918	Dinah James
802205	230531	Townie Girl
802206	355028	The Academy's Blessed 'Virgin
802207	78849	Drum Majorette
802208	335160	Cordelia
802209	260940	Musician - Tchukon
802210	169019	Mother
802211	346091	
802212	112926	
802213	68430	
802214	269020	
802215	21201	Herself
802215	256449	
802215	350421	
802215	390753	
802216	377421	Farmer girl
802217	166101	
802217	225900	
802217	338865	
802218	58124	
802218	183210	Friend
802218	202586	Zofka
802218	212300	Vlasticka
802218	258534	Anci
802218	259292	Reciting
802218	312509	Míla
802218	314391	Vera
802218	357673	Vlasta
802218	376553	Barborka
802219	16190	Jana
802219	99251	Eliska
802219	128927	
802219	150762	Andulka
802219	180565	
802219	230449	Eva
802219	234455	
802219	237178	Actress
802219	237198	Marta
802219	250402	Lenka
802219	284010	Acquaintance
802219	310644	
802219	322015	Black rook
802219	357683	Sibelle Greenová/Sibelle von 
802219	366386	Renata
802219	375946	Jakub's bride
802219	408865	
802220	126292	
802220	169554	Snaha I
802220	192899	
802220	229034	
802220	283747	Milutinova kci
802220	318156	Hristina Tina Jaksic
802220	320551	
802220	323311	Sida Pandurovic
802220	382430	Eleonora Majkovic 'Specena'
802220	382431	Eleonora Majkovic 'Specena'
802220	401927	Sida Pandurovic
802220	401928	Sida Pandurovic
802220	406315	Ozrenka Soldatovic
802220	406316	Ozrenka Soldatovic
802220	406567	Kafe-kuvarica
802220	409294	Zivkova zena Zivka
802221	303626	
802222	312018	
802223	115429	Dolly Hagen
802223	182269	Pamela Blom
802224	84305	Saga
802224	115383	Eva Seman
802224	115878	Nellie Berggren
802224	122499	Lena
802224	338473	Britta
802224	398852	Vanja Blomberg
802225	401	Feature Editor
802225	11699	Kate Keller
802225	17587	Mother
802225	34269	Hostess
802225	40919	Old maid
802225	48376	
802225	51275	
802225	53720	Prossy
802225	84317	Guest at Den Gyldene Tunnan
802225	89477	Mrs. Reims
802225	96018	Dam på båt
802225	120315	Karin
802225	146924	Konjander's housekeeper
802225	155555	Clara Lessler
802225	165638	Miss Addy
802225	182290	
802225	206196	Teresia
802225	208027	The wife
802225	237034	
802225	270293	Mrs. Svensson
802225	285407	Mrs. Jonsson
802225	309064	
802225	324429	
802225	325074	Dorine
802225	341809	
802225	377331	Hilma
802225	377397	Aunt Olsson
802225	386363	Mother
802225	388894	Emma (episode 4 and 6)
802225	407290	Aurore Jaeson
802225	411580	Hjördis
802226	137738	Marjukka
802227	50444	Extra
802228	224260	Bunny
802229	404194	Eva (2002-)
802230	103280	Rachel Garrison
802231	273307	Waitress
802231	317341	Mrs. Beat
802232	94344	
802232	110644	
802232	144717	Ilse Krullmüller
802232	153109	Margret
802232	186185	
802232	189876	Erna
802232	275205	
802232	276045	
802232	290256	
802232	311930	
802232	324678	
802233	7426	Frieda Bremer
802233	12631	
802233	21651	Fairy Godmother
802233	82127	
802233	91177	
802233	119144	Frau Holle
802233	119209	
802233	136607	
802233	144094	Frau Matjunke
802233	147168	
802233	153736	Frau Köper
802233	172792	
802233	180199	
802233	180879	Grete
802233	208180	
802233	210314	
802233	225137	Frau Liebhold
802233	225212	Baroness Lehzen
802233	231675	Frau Kohler
802233	282233	
802233	290464	
802233	303718	
802233	312996	Käthe
802233	317240	
802233	333778	
802233	352671	
802234	351548	
802235	142390	Hell Mountain Girl
802236	190733	Mlynárka
802237	312721	
802238	252000	Pige på Stengården/Servant gi
802239	43713	Mme Yang
802239	69713	La femme du bagarreur
802239	195152	Jeanne d'Arc
802239	205717	Katerine (Katia) Felsen
802239	218250	Francette
802239	248894	La prof
802239	354911	
802239	377909	
802240	3950	Marie Nisabir
802240	96213	
802240	146383	
802240	217253	La petite vieille
802241	83842	Mona
802241	145171	Veronica Mitchell
802241	194045	Georgia Diablo
802241	264137	Susan
802241	352420	Vi Miles
802241	367097	Udea
802241	385594	Elizabeth 'Liz' Adams (1990-1
802241	401930	Nicole Devlin #1 (1997)
802241	406149	Susan Silverman (seasons 1 an
802241	408691	Grace Sommers
802242	376375	Cheerleader
802243	157293	Gunning
802243	161404	Maggie
802243	169612	Selina Prune
802243	177436	Elsie
802243	192063	
802243	213994	
802243	239751	Supervisor
802243	257550	Vera
802243	263460	Mrs.Bush
802243	270644	Miss Swindon
802243	273562	
802243	299196	Angela Bright
802243	331604	
802244	114145	Snake Screamer
802245	109730	TV Interviewer
802245	398111	Reporter (1986)
802245	399333	Herself - Reporter
802246	90207	Kitri's Friend
802247	41319	Girl Torn in Half by Rack
802247	130018	Leslie
802248	321729	Purva Amar
802249	65628	Daycare Center Child
802250	277088	Pi-Delta-Pi
802251	125543	Woman at the pub in Wismar
802252	183387	Playboy Photographer
802253	6199	Adelgunde, Drossels Frau
802253	12899	Frau Kiwitt
802253	89706	
802253	111849	Mme Coco
802253	120371	Gemüsefrau
802253	137418	Frau Weber
802253	155459	Frau Stanecke
802253	197829	Frau Selbinger
802253	208206	Ottilie
802253	264336	
802253	290175	
802253	290556	
802253	290662	Frau Frau Powileit
802253	356849	
802253	360649	Frau Dreissiger
802254	31740	Rebecca Taylor (Jack's Mom)
802254	37786	Missy
802254	37787	Missy Preston
802254	136052	Beth
802254	136054	Beth Yardner
802254	136055	Beth
802254	136056	Beth Dillon
802254	136228	Fawn Hall
802254	178092	Young Mrs. Wilson
802254	184099	Suspicious Saleswoman
802254	191760	Meredith Hannon
802254	252929	Beth O'Reilly
802254	309489	Girl in Bed
802254	318783	Kim
802254	385594	Lisa Alden (1987-1988)
802254	385824	Britta Englund (1986-1987)
802255	213246	
802256	239753	Hannah
802256	251809	Ase
802256	274725	Hoke's Housekeeper
802256	358694	Mrs. Nobbin
802257	3405	Mrs. Kirkwood
802257	151761	Blue-stockings
802257	381594	Detty Groggs
802258	82448	Herself
802259	1874	Simone
802259	34610	Night huntress
802259	34737	Model ('Country House' music 
802259	46877	Melinda
802259	55691	Nina the Model
802259	79518	Woman (witch)
802259	107843	Nina
802259	129815	Bridget
802259	161108	Estelle
802259	180798	Kataya
802259	212963	Babs
802259	238913	Maggie
802259	272018	
802259	310998	Gladys
802259	311523	Tiffany
802259	333679	Dickie
802259	343881	Zoe
802259	360727	Felicity
802259	385822	Midge Palmer
802259	390148	Various roles
802259	390303	Lucy Lastic
802259	390523	Suzie Gilkes (2002)
802259	395955	Make up girl
802259	396147	Megan
802260	304441	
802261	51990	Bonnie
802262	214430	Cafe Patron
802263	29757	Queen Mother
802263	36704	Rodney
802263	37306	Sleazy Circus Women
802263	94655	Miss Mossie
802263	136277	Gladys
802263	175787	Customer
802263	191051	Maggie
802263	391980	Ruby Vasquez
802264	52318	Cindy
802264	92776	The Archer
802265	61647	Mother
802266	214430	Cafe Patron
802267	197758	Engagement party
802268	14131	Bathroom Girl
802268	362848	Helene Benson
802269	101641	Sigrid Nilsson
802269	154209	Maria
802270	182948	Women's Army of Revolt/Citize
802270	267684	Citizens of New Orleans
802271	88337	
802271	120237	Iris
802271	135415	Tant Corrie
802271	265763	Mart
802272	144972	Michelle
802272	199210	Guardian
802272	342863	Soula
802272	411245	Julie (episode 7: On Loan)
802273	41854	Mother
802273	69090	
802273	100803	
802273	316716	Intellectual Woman
802274	84679	Natasha
802275	342402	
802276	339596	Showgirl #3
802277	3056	Mary Connor
802277	4646	Mrs. Scott
802277	13116	Maisie
802277	16605	
802277	17706	Anne Briston
802277	21418	Betty
802277	30815	Betsy Hockley
802277	31266	Betty Hockley
802277	33766	Joanna Rushworth
802277	40257	
802277	46809	Audrey Bland
802277	54626	Ann Moore
802277	64892	Claire Winter
802277	66075	Gretta Kremmer
802277	83297	L'anglaise
802277	87709	Stella
802277	99409	La princesse Kadikoff
802277	108547	
802277	111115	
802277	116199	Lady Deborah Ottershaw
802277	119855	
802277	123901	
802277	124231	Dora
802277	128483	Pamela
802277	139166	Freda Haddon
802277	154582	Mrs. Hunter
802277	156564	
802277	166123	Mme. Roper
802277	177495	Mrs. Cooper
802277	183315	Lady Fandon
802277	190087	Lady Sheridan
802277	194489	Barbara Fleeter
802277	200885	Angela Malona
802277	203478	Nita Clive
802277	217953	Joan Blossom
802277	218249	Sylvia Robertson
802277	235861	
802277	266404	Mrs. Betty Brown
802277	280534	Betty
802277	283437	Betty
802277	296081	Dorothy Freeman
802277	308414	Anna Carola
802277	319808	Jeanne Couret, l'aviatrice
802277	340128	
802277	340730	Lady Brazier
802277	346046	Vivian
802277	346602	
802277	346700	
802277	349628	Joanna Rushworth
802277	357059	Beatrice
802277	364400	Mrs. Mangold
802277	377727	Mme. de Barville
802278	77192	WDC Shirley 'Ivor' Novello
802278	77197	DC Shirley 'Ivor' Novello
802278	77202	WBC Shirley 'Ivor' Novello
802278	77204	Det. Const. Shirley 'Ivor' No
802278	77206	Det. Const. Shirley 'Ivor' No
802278	77209	Det. Const. Shirley 'Ivor' No
802278	77212	Det. Const. Shirley 'Ivor' No
802278	77217	Det. Const. Shirley 'Ivor' No
802278	77219	Det. Const. Shirley 'Ivor' No
802278	385598	DC Shirley 'Ivor' Novello (19
802278	395919	Claire Turner
802278	398555	
802279	77352	
802280	34325	Gogo Girl
802281	19290	April Polanski
802282	298599	Schneewittchen
802283	206535	Princess Wynona
802284	36640	Sor María
802284	73249	General's niece
802286	70624	Reportera TV 2
802287	317309	Casting Agent #1
802288	127322	Ghoulie
802288	341459	Singing girl
802289	372073	
802290	255699	Børgesen
802290	255700	Børgesen
802291	38005	Other Ways Demolition Squad s
802291	151792	Debora
802292	165102	Girlfriend #2
802292	398989	Maria Walewska
802293	146841	
802294	33175	
802294	388321	Kate Matherson (2002)
802295	119411	Herself
802295	324659	Manna
802295	400516	Singer
802296	360074	Louise
802297	344652	Local Hypocrite
802298	26839	
802299	41369	Connie
802299	345686	Janet Robinson
802300	139151	Lu-Ann
802301	165376	Lady
802302	147517	Nadja
802302	225254	
802302	225268	
802302	225285	Gabi Wolfgram
802302	259517	Vera
802302	300801	Beate
802302	325650	Tatjana
802302	334623	Monika Hecht
802302	364873	Dr. Theiss
802302	380904	
802302	403792	Luise
802302	409485	Saskia
802302	411155	Lissi Kramer (1993)
802303	178556	Lene
802304	78528	Trumpeter
802304	349633	
802305	323447	Lexi Burnham
802306	275291	Amy
802307	233588	Mary and Computer voice
802308	240315	Shopper at Slim's
802309	196891	Jami Gertz Double
802309	215508	Lady in Bank
802309	264157	Waltzing Princess Becca
802309	294726	Companion
802310	2351	Future star
802310	247160	Goldwyn Girl
802310	332027	Guest
802310	364461	Goldwyn Girl
802311	210738	Nurse
802312	50465	Elderly Woman at Train water 
802313	171274	Stella's Secretary
802314	21757	Marian Hancock
802314	110272	Laura Hill
802314	151165	Dolly Farnsworth
802314	207958	Dorothy Sanborn
802314	242496	Betty Horton
802314	245130	Fola
802314	267986	Helen Townsend
802314	300009	Betty Evans
802314	331914	Helen Stone
802314	364389	Dorothy Graham
802315	331914	Sally
802317	109093	Valerie
802317	199162	
802317	230933	Script Girl
802318	269863	The grandmother
802319	335258	Mistaken Bride
802320	120323	Nurse McCarthy
802321	149467	Aleo
802321	162450	Celia
802321	330467	Maria
802321	372281	Pam Lansing
802321	392885	Lindy
802321	405209	Nadine Church (1999)/Lucy Swi
802322	142935	Princess Frances Fitzroy-Pegg
802322	155236	Sgt. Sassoon
802322	193803	
802322	309202	Patty
802322	320827	Femme Officer
802323	2277	Herself - Presenter
802324	169152	Herself
802325	17675	
802325	138375	Anne McDermott
802325	175630	Mrs. Donovan
802325	206386	Mrs. Rossiter
802325	241648	Mrs. Howell
802325	289585	Sophia's aunt
802325	372145	Neighbor
802326	29388	
802326	285654	
802326	331688	
802327	5184	Paramedic
802328	404694	Pauline 'Aunt Pauline' Harris
802329	372232	Girl Stenographer
802330	169152	Herself
802331	186287	Min Jones
802331	334136	Mrs. Sanford
802332	202656	Cindy
802333	12101	Herself
802334	115498	Princess Melisande
802334	235514	Sally
802334	266290	Additional Voices
802335	405718	Additional Voices
802336	45871	The Bikini Army
802336	278498	Grad Student
802336	297189	Laura Russell
802336	398697	Announcer
802336	400193	Ensemble Player #2
802337	299396	Colleen
802337	354854	Trixie
802338	231966	Coffee House Girl #2
802338	354854	Crazy Biker
802339	330108	Barbara Jo
802340	128927	
802340	412316	Eliska
802341	76229	Gwiazdeczka
802342	134881	
802344	116803	Bank Teller
802345	5671	
802345	80666	Nieuwslezeres
802346	35070	
802347	28555	Waitress 2
802347	182292	Jordmor
802347	404895	Py
802348	306950	Young Woman
802349	30599	
802349	181067	
802349	261305	
802350	305478	
802351	318022	
802352	401595	Herself
802353	36862	Secretary
802354	34321	
802354	70367	Young woman
802354	137949	Ophelia #3
802354	306669	
802354	352322	Zarah
802354	352760	The girl
802354	391604	Stefanie Gessler (2003-)
802355	334409	Penelope
802356	213592	
802357	58488	Detective Stone
802358	329703	Coed (Real World 9)
802359	186708	
802359	302793	Real World Actress
802359	366597	Interviewed
802359	387440	Herself
802359	402993	Herself/New Orleans (2000)
802359	402996	Women/Real World
802359	403000	Herself/Real Worlders
802359	403001	Herself/Real Worlders
802360	15041	Dancing girl
802360	359699	Dancer
802361	102965	Grandma
802362	80695	Bambi
802363	16004	Robin
802363	66155	Sandra
802363	296729	Kelly
802363	395315	Ellen Randall (1988-1989)
802364	256962	Pige i sofa (Girl in sofa)
802365	326604	Bundy Victim
802366	249268	Dancer
802367	222212	Party-goer
802368	73787	Mary Magdalene
802369	169723	
802370	177660	Sexy Senior Bowler
802371	265463	
802372	124058	Lila
802372	270545	
802373	347686	Hell's Bitch #2
802374	78765	Mary
802374	197708	
802374	197714	Maria
802374	264326	
802375	148589	Nadine
802375	197714	Beth
802375	200170	Teacher #2
802375	337997	Celia
802376	357625	Domenika
802378	18207	Desiree
802378	235289	
802378	295614	Gabriela 'Thousand Ways' Skra
802378	309213	
802379	238108	
802380	251315	Asya
802381	35941	Zhenichka na B.G., tziganka
802382	224448	
802383	126544	Stripper #3
802384	258378	
802385	103565	
802386	94078	Dashteryata/Daughter
802387	181451	Streifenpolizist 1
802388	343415	
802388	376228	
802389	72089	
802390	49177	
802391	170219	Herself
802391	170220	Herself
802391	170221	Herself
802391	170222	Herself
802392	225725	III. Redakteurin
802393	126873	
802393	234954	
802394	390703	
802395	32726	Aunt Cveta
802395	88137	
802395	95471	Dosta
802395	163051	
802395	171494	
802395	240086	
802395	312423	Majka na Dragoslav i Kosta
802395	320661	Egzibicionistkata (segment "P
802395	328942	
802395	341656	
802395	357329	
802395	374221	
802395	408862	
802396	88713	
802397	7628	
802397	129582	Marie
802397	292234	Shila
802397	293712	
802398	234450	
802399	46589	Cecily ... Rebecca West
802399	137850	
802399	181188	
802399	184148	
802399	202350	Prodavacica u kiosku
802399	236049	
802399	390388	Neska Katic-Petrovic, Stoleto
802400	226376	Slavica
802401	401063	(1996-1997)
802402	229220	Sofka
802403	312422	
802404	29622	
802404	72091	Daktilografkinja
802404	94062	
802404	139546	Mrs. Chasen
802404	164029	Malcika
802404	164877	Vlasnik agencije/agency owner
802404	181474	Vida ... tetka
802404	181555	
802404	201357	
802404	202046	Tasta
802404	205799	Danilova sestra
802404	217407	
802404	261946	Andjelka
802404	271379	
802404	293715	
802404	312426	
802404	328707	Sluzbenica u banci
802404	348876	
802404	356430	
802404	375178	
802404	381182	Igumanija
802404	382073	
802404	382430	Gazdarica
802404	382431	Ivina gazdarica
802404	386407	Zavalina supruga
802404	386526	
802404	387135	
802404	395457	Dusica
802404	397987	
802404	397988	
802404	399008	
802404	400481	Zena
802404	401834	Soka
802404	401927	Slavka... komsinica
802404	401928	Slavka ... komsinica
802404	401991	Andjelka
802404	404144	
802404	406314	
802404	406315	Cana Fontana
802404	406316	Cana Fontana
802404	409294	
802404	410260	Ljubina Bojic
802404	410363	
802404	410442	Sluzbenica banke
802404	412003	Razredni staresina
802405	94172	Zorica
802406	19024	Jessie Jr.
802406	35782	Rose at 14
802406	71923	Anne Marie Walden
802406	149448	Kristen
802406	220024	Isobelle (Age 6)
802406	411355	Eleanor #1
802407	240089	Inge-Margrethe
802408	95471	Brothel
802409	16819	
802409	32726	Hana
802409	74180	Jana
802409	134257	Cveta
802409	172504	
802409	357325	
802409	408862	
802410	383029	
802411	273711	
802412	341931	Pregnant Slavic Woman
802412	362227	Barb Peterson
802413	308003	Savka
802414	40867	
802415	49177	
802416	72086	
802417	179038	
802418	33289	
802418	77504	
802418	115856	
802418	166451	
802418	181942	
802418	192897	
802418	230450	
802418	251128	
802418	285835	
802418	304159	
802418	311140	Margita
802418	390388	Buba, Zakulina supruga
802418	390660	
802418	397988	
802418	399008	
802418	399958	
802419	373653	Zofia's Friend
802420	263067	
802420	399939	
802421	283751	
802422	381091	Herself (eliminated round 3) 
802423	207238	Lucy
802424	330594	Choir Member
802425	63194	P.R Woman
802426	206499	Herself
802428	231997	Walkyrie
802429	331226	Granny Beckett
802430	212002	Alice
802431	82010	Lady #3
802432	88522	Yvonne
802432	299736	Annalise
802433	67802	The Girl
802434	297672	Hooker No. 2
802435	219888	Josephine
802436	314635	
802437	11945	Waitress at Cafe
802438	2152	Bobby
802439	295487	Jane McCarthy (segment "Choke
802440	164392	
802441	50623	Miranda
802441	306807	Friend of Marjorie
802442	220724	Three Boys
802443	367891	
802444	51990	Hazel
802444	372175	Nurse
802445	263236	Mrs. Hudson
802446	294150	
802447	50690	Party Goer #1/Mrs. Bocci
802448	276178	Molly Borden
802449	301980	Edna Joyce
802450	13993	Airline Passenger
802452	213963	Kid
802453	281464	Recovery Room Nurse
802454	176883	Server in donut shop
802455	3100	Crowd extra
802455	276440	Pamela
802455	396582	Herself (left Bad Boyz)
802456	189325	Box Office Attendant
802457	138004	Schizophrenia
802457	296547	Dominatrix
802458	46703	Suzanne
802458	52312	Herself
802458	257658	Herself (Miss May)
802459	228164	Barn Dance Party Guest
802460	102575	Melba
802461	123347	Station Wagon Driver
802461	188547	Girlfriend
802461	224327	Secretary
802461	240470	Mother
802461	362670	Sherry Hutton
802462	363777	Girl
802463	237604	Freeway Kathy
802463	318763	Rose
802464	50234	Sister
802465	20439	Judy
802465	81902	Susan
802465	254457	Denae Chambers
802465	262119	Sandy
802465	264439	Mike
802465	335214	Helen
802466	178731	Ingeborg
802466	210295	Veronika
802466	294661	Bente Carlsen
802467	323309	Mother
802468	134231	
802469	410823	Pianist
802470	32861	Marins mor
802470	42858	Elskerinne
802470	145624	Oda
802470	150643	Gerda på scenen
802470	214863	Mrs. Lundin
802470	234512	Svalbard
802470	240218	Helene Berg
802470	387196	Ragnhild Holmen
802470	391714	
802470	406742	Aspasia
802471	181077	
802472	138524	Ragnhild, datter
802473	142331	Nina
802474	399490	Oriana
802475	236972	Fighting Mouse
802476	174683	
802477	265335	
802478	358390	
802479	231607	Frau Werner
802479	259521	
802481	5117	
802482	187226	Teen girl
802483	273315	Herself
802483	273431	Herself/Los Angeles
802483	273432	
802483	273433	
802483	273434	
802483	273436	
802483	308316	Woman in resturant
802483	402993	Herself/Los Angeles (1993)
802483	402995	Herself/RW: Los Angeles
802483	402996	Women/Real World
802483	402998	Herself/Real Worlders
802484	194214	
802484	230240	First Bridesmaid
802485	244787	
802486	165421	Dancers
802487	299404	
802488	26475	Sofya
802489	179632	
802490	119242	Asaria
802490	236823	
802491	361385	
802492	3750	Herself
802492	15861	Ms. Dickman
802492	48592	Older Woman
802492	50444	Nancy Bloomfield
802492	57560	Mrs. Mallory
802492	64750	Virginia
802492	72769	The Nurse
802492	74259	Hatchet's Mother
802492	83961	Peggy Gravel
802492	87432	Marge the Neuter
802492	88095	Herself
802492	88101	Herself
802492	110974	Taffy Davenport
802492	117654	Miss Vi Ambrose
802492	128429	Robin's mother
802492	137259	Tammy
802492	140742	Grandma Walker
802492	157521	Herself
802492	162567	Dominatrix
802492	185539	Group Leader
802492	186758	Martine
802492	191372	Felix
802492	194818	Jury Forewoman (Voice)
802492	195808	Blonde Wicked Stepsister
802492	217913	Homeless Woman/Asylum Inmate/
802492	218384	Wolfie's Mother
802492	222254	Mink/Cavalcade Patron
802492	251646	Precinct Captain
802492	254605	Janice Fine-Pine
802492	256176	Vera
802492	256206	Connie Marble
802492	259864	Sandra Sullivan
802492	278459	Fletcher
802492	279693	Sarah Urbanchock
802492	280775	Party guest
802492	282545	Amanda
802492	293822	Aunt Betty
802492	294798	Dottie Hinkle
802492	300304	Madame La Tourneau
802492	311477	Casting director
802492	338854	Manageress
802492	350191	Vampire Woman
802492	406279	Merna Young
802493	28871	
802494	185671	
802495	215605	
802496	22631	The She-Monster
802496	33773	Trish
802496	81984	Steven's mother
802496	82321	Irma
802496	84002	Jail Matron
802496	87825	Mrs. Shortley
802496	118911	Spike the Bartender
802496	148954	Martha Beck
802496	178813	Momma Rose
802496	198828	Customer
802496	202195	Mrs. Swerlin
802496	208992	Shouting Woman
802496	212614	Edie Wulgemuth
802496	249919	Commandant
802496	292266	Maxy
802496	293145	Corky
802496	297101	Irma
802496	308913	German housewife
802496	311537	Dean Hunta
802496	314697	Reeba
802496	317114	
802496	331533	Eva
802496	335971	Grace
802496	387309	Frankie (1980)
802496	400236	Roberta 'Tiny' Coleman (1986-
802496	401107	Mrs. Steve (1986-1987)
802496	405546	Dottie Jessup
802497	59743	Copine de Bélise
802498	389858	Wendy (1989)
802499	9142	Newspaper Girl
802499	365574	Jackie
802500	92899	
802500	217101	Landlady
802501	135290	
802502	114691	Amy Lee Miller
802503	30756	
802504	376	Gerti
802504	34595	Mrs. Venturino
802504	95278	
802504	209958	
802505	144331	
802505	166667	La patronne de la taverne
802505	247183	
802505	376500	Couple
802506	78793	Frau Keller
802506	161041	Accompanist
802506	178881	
802506	275677	Frau Kompenik
802506	343160	Wardrobe Woman
802506	346914	Audition Accompanist
802507	20044	
802508	126175	
802508	195057	
802508	352367	
802509	376475	Elsa
802510	295006	Airline Announcer
802511	104509	
802511	211847	
802512	187838	Frau Salzmann
802512	219227	Frau Lüdemann
802512	281709	
802512	348726	Ursula Schnurrenberger
802513	98803	
802514	302331	Vecina de Ramón
802517	35046	Luise
802517	202622	Mutter
802517	269795	Reporter
802518	38832	
802519	215500	Herself
802519	346222	Mrs. Olend
802520	183899	
802521	98805	Eleanor 'Tussy' Marx
802521	131429	Bill's friend
802521	177525	Female Newscaster
802522	362268	Angel
802523	121836	Mrs. Arnstein
802523	160980	Betay, Model
802524	5408	Françoise Cassel
802524	194544	Katel
802524	220697	Martine
802524	399754	Julie
802524	411109	Lisette Wiesinger
802525	395375	Charlotte
802527	131142	
802528	179038	
802529	377300	Moose
802530	404967	Moa
802531	130232	Informatrice
802531	183123	Rosa
802531	390242	Esther (1995)
802532	203696	Bassist
802533	12080	
802534	156728	
802534	204509	
802535	132432	
802535	312876	
802536	189685	Fräulein Gaedeken
802537	251473	Young Hannah
802538	365706	Juliana
802538	400031	Wendelien
802539	30116	
802539	40935	
802539	91485	
802539	163737	
802539	179225	Natasha
802539	179318	
802539	179905	
802539	180367	
802539	202301	
802539	226468	
802539	229066	
802539	243968	
802539	259925	
802539	265667	
802539	285210	
802539	305206	
802539	305294	
802539	323317	
802539	357241	
802539	357465	
802539	370166	
802539	373523	
802539	374939	
802540	132546	Sophia Laurentia
802540	193291	Eva Terila
802541	277726	
802542	34261	Sanna
802543	65720	Helena
802543	208278	Veronica
802544	202367	Girlfriend
802545	123888	
802546	28601	
802546	40882	Mutter Elisabeth
802546	46625	Bettys Mutter
802546	86330	Sabine Heyer
802546	98968	Polizeirat Dr. Krüger
802546	122551	Sophie Scholl
802546	124978	Susanne Reinisch
802546	144036	Narrator
802546	187682	Gertraud Aigner
802546	207062	Klara
802546	209984	Else Lasker-Schüler
802546	219270	Jessica
802546	235198	Anke's mother
802546	236816	Eva Grohlmann
802546	272751	Walburga Hassenreuter
802546	289920	Gervaise
802546	290107	Oskarin
802546	290449	Sonja
802546	290543	Isabellas Mutter
802546	312207	Susanne Schneider
802546	312657	Katharina Reuter
802546	313656	Evelyn Neutzner
802546	317238	
802546	317279	Lisa Henschel
802546	325450	Sabine Kemmerlang
802546	325814	Frau Dr. Grünwald-Seitz
802546	334628	Lisa
802546	352201	Frau
802546	357780	Melanie's Lawyer
802546	360972	Lotte Bischof
802546	361111	Sophie Scholl
802546	366471	Elke Berger
802546	368910	Martina
802546	377351	Marie Vogt
802546	387443	Kriminaloberrätin Dr. Krüger
802546	403146	Liza Becker
802547	290262	
802548	404899	Tiffy (1980-)
802549	294067	
802550	327259	Mrs. Smith
802551	344352	
802551	375358	Rohanova zena
802552	236972	Moor
802553	17855	
802553	40280	Alfreda
802553	51107	La pédiatre
802553	51393	Elisabeth
802553	75914	The Duenna
802553	84634	Une aristocrate
802553	94415	
802553	111002	Hortense
802553	111689	Belle
802553	120989	Véronique, la dame de l'agenc
802553	200941	Mathilde
802553	208556	Medical Secretary
802553	211136	Viviane
802553	238463	
802553	248007	
802553	249757	
802553	261820	Brigitte
802553	307473	Cousine Esther
802553	345091	
802553	345132	Marie-Louise
802553	345191	
802553	346711	Mme. Picri
802553	365431	La mère
802553	376971	Denise
802553	390513	Yvonne Lachaume
802553	395480	Madame Leclerc
802553	397947	Baptistine
802554	44899	Chorine
802554	153617	Ballet girl/performer
802554	241444	
802554	308367	
802555	2352	Jewels
802555	109395	Model
802555	119328	Colleen
802556	191471	Frau Zirngast
802557	245115	Young Helen Perl
802558	14315	Stone
802558	24913	Herself
802558	290511	
802558	343544	La mère d'Hugo
802559	224691	Old Party Goer
802559	335258	Lady in Library
802559	366743	Visitor
802560	62422	Young Catherine
802561	79005	Ebrill
802562	240013	Nurse
802563	116509	Little Girl
802564	91939	
802565	386858	Molly Addis (Series 1-3) (200
802566	29952	
802566	247990	
802566	361957	
802568	215002	Bit Part
802571	18983	Herself
802571	53776	Herself
802571	112601	Alma
802571	150075	Madam Mambuza
802571	169171	Herself
802571	201537	Herself
802572	192252	American Woman
802573	99194	Mother
802573	274805	Anne, Charlie's Secretary
802574	364088	Maid
802575	90932	New York journalist
802576	117485	Secretary #2
802576	197020	Undetermined role
802577	7293	Girl at Canteen
802578	203439	Kiddie
802579	273606	Elaine Mathews
802580	90911	Hippie Mother
802580	94655	Gail Dugan
802580	247571	Lydia Chambers
802582	278476	Mandy
802583	119377	Mary Arden
802583	395528	Kate Holliday (1957-1958)
802584	124550	
802585	149322	Kelly
802586	104770	German entry (23rd place)
802587	405073	Constance 'Connie' Collibs
802588	379212	Regular Performer
802588	386891	Mrs. Salt
802588	389229	Unknown (1951-1952)
802588	391264	Betsy Bell
802588	407942	Harold's girlfriend
802589	50358	
802589	79693	Host
802589	291018	
802589	344483	
802590	252960	Chip Davis's Wife
802591	232426	Reiko
802592	215814	Librarian
802593	33034	
802593	75060	
802593	82356	
802593	123824	
802593	293946	
802593	336495	
802594	81053	First Female Victim
802595	175575	Woman II
802597	47029	Dorothy's Maid
802597	62983	Pretty Girl at Fred's Party
802597	78762	Hunt Guest
802597	188542	
802597	220095	Tessie Clark
802597	223019	Mother
802597	255327	Patron
802597	366946	Girl
802597	367833	
802598	58522	Mihailya
802599	47297	
802599	154855	Saleslady
802599	248858	Lulu Carroll
802599	277226	Claire Duval
802599	288917	Mona Andrews
802599	297807	
802600	21464	
802600	123302	
802600	215773	Mrs. Starr
802602	261063	
802603	148221	School Nun
802604	164667	Lady With Shopping Bag
802605	404608	Finalist (2002)
802606	363756	Hunting Montage
802607	314228	Crash's Girl
802608	239704	Linda Harris
802609	286115	Lutie
802610	357135	
802611	27167	Vicki O'Brien
802611	365759	
802612	5009	Mothercare Shop Assistant
802612	381729	Justine
802613	387970	Jenny
802614	275365	
802615	52744	
802615	246923	Girl
802616	100106	Herself
802617	245907	Bar patron/mutant
802618	265265	Mouse
802619	313627	
802620	208512	TV Reporter
802621	27065	Sexy Girl in Bar
802621	187870	Sheila Marks
802621	247217	Captain Heather
802622	129586	Little Sheila
802622	286359	Ruth Martin
802622	342599	Twin
802623	40083	Dr. Winifred Walker
802624	102731	
802625	83850	
802627	100008	Gwen
802628	127402	Missy Winstead
802629	199875	Camera
802631	87231	
802632	192140	Little Annie as a Child
802633	183871	Pattie
802634	41019	
802634	91752	Klimax Klub Hostess
802635	92742	
802636	292280	Martha
802637	155277	Marge
802637	188223	Rosie
802637	384888	Shelley
802637	391399	Amy
802637	398405	Amanda Reeves
802638	286423	Lipo/Vacation Date
802638	362643	Sydney
802639	46156	Death Center Alpha Girl #2
802639	59592	Marcie
802639	190453	Mistletoe
802639	213518	Whimsey
802639	241515	
802639	257508	Dustine Murphy
802639	362643	Sydney
802639	394677	Molly Whittaker
802639	406377	Stanley Griff
802640	312563	Nurse
802641	352975	Herself
802642	130181	Border Girl
802643	87639	Herself
802644	303090	Jane
802646	3681	Narrator
802646	3805	Host
802646	69049	Baldwin's Girlfriend
802646	281913	Hippie Girl
802646	304878	Angry Young Woman
802646	331566	
802646	342167	Anne
802646	389858	Kate Johnson, R. N. (1996-199
802646	401595	A&E Narrator
802647	22732	
802648	232293	
802649	383700	Anchor
802652	20625	Extra
802653	2161	Waitress #3
802653	260789	Natalie
802654	187191	Sorority Girl
802654	343889	Jennifer Dunne
802655	389416	Astronaut Wife
802658	87480	Veronica
802658	252831	Ruby Hammond
802659	33386	Herself
802660	274427	Wanda's Girl
802661	74113	Smoking School Girl
802662	283351	Newscaster
802663	161115	Mrs. Beecroft
802663	340812	Karaoke Singer
802663	358874	Shopkeeper
802663	362268	Departmental Secretary
802665	43924	Squeaky Frome
802665	274427	Driscoll Townsperson
802665	360601	Billy Jean Sweetness
802666	200261	
802667	332845	Karate Kid
802668	1280	
802668	264740	Herself
802669	49202	Baby
802670	347999	Herself (ice sculptor)
802671	11150	
802671	36324	
802671	36337	
802671	39751	
802671	48500	
802671	79986	Reporter
802671	87389	
802671	105436	Roxanne
802671	109526	
802671	128565	
802671	140986	
802671	164957	
802671	170898	
802671	172914	
802671	188045	
802671	226981	Jezebel
802671	249218	Manager of escort service
802671	258912	
802671	274128	
802671	292604	Madison
802671	295642	
802671	319703	Sandy
802671	360722	
802671	365870	
802672	34129	Max's friend
802673	109237	Government Girl
802674	299028	Musician
802675	179771	
802675	198380	Student
802675	405825	Secretary
802676	2339	Pam Palmer
802676	5873	Bobbie
802676	11189	
802676	11539	Landlady
802676	16909	WAAFS
802676	17031	Mavis
802676	19173	ATS auxiliary
802676	22997	
802676	23705	Mrs. Fairfax
802676	26373	Shop manageress
802676	29631	Mrs. Wilson, Woman Cleaner
802676	31437	Woman
802676	32217	Typist
802676	34441	Wanda
802676	34663	
802676	37008	
802676	40119	
802676	40536	Muriel
802676	40626	
802676	40841	Factory tea lady
802676	47028	Lazy Waitress
802676	47970	
802676	55157	Woman In Cinema
802676	55682	Maud
802676	55683	Mrs. Rowan
802676	55697	Mum
802676	55700	Miss Drew
802676	55702	Peg
802676	55708	Alice Able
802676	55710	Mrs Parker
802676	56884	Mrs. Stone
802676	60771	Mrs. Lal
802676	65968	
802676	69381	Waitress
802676	69421	Woman in Cinema
802676	70411	Espresso Waitress
802676	71664	Kitchen Maid
802676	71666	Reporter
802676	72662	Barmaid
802676	72911	Female Assistant
802676	73707	
802676	74210	
802676	75555	Hashmi Bey's Landlady
802676	77623	
802676	78045	Venus
802676	78321	Woman in hotel
802676	79894	
802676	79918	Doreen,Shorty's Girl Friend.
802676	85122	The Duchess
802676	88882	Cafe Waitress
802676	88883	
802676	88885	Spinster/Plain Woman
802676	89130	
802676	90351	Landlady
802676	91581	Prospective Purchaser's Wife
802676	96113	Mabel
802676	97201	Miss Green
802676	103255	Jacqueline Fabre
802676	105135	TV Production Assistant #1
802676	106669	
802676	109483	
802676	113897	
802676	114635	Tina
802676	116505	
802676	120290	Barmaid
802676	121623	
802676	121840	Admissions Nurse
802676	123470	
802676	130748	Dryden's Secretary
802676	131392	Honeymoon Couple
802676	131410	Molly, the Barmaid
802676	139052	Society reporter
802676	141216	
802676	141683	Miss Palmer
802676	142364	Nurse Attending Gino
802676	143636	
802676	144463	Lil
802676	144968	Mansfield's Landlady
802676	149725	Nurse
802676	149739	Neighbor
802676	152535	Matron
802676	153642	Marcus Allan's Secretary
802676	154935	T.V. Receptionist
802676	154984	Consultant
802676	155721	Theresa's Secretary
802676	157920	Woman downstairs
802676	158916	
802676	160033	
802676	160761	Woman in lift
802676	161414	Miss Cedrick, Ben's Secretary
802676	164502	Drunken Woman
802676	167559	Bit Part
802676	168864	
802676	171211	Tea Bar Attendant
802676	183438	Mrs. Gubbins
802676	193251	
802676	193519	Vivian Darkbloom
802676	193868	Mrs. Elliott
802676	193902	Major's Wife
802676	194690	Mrs. Marley
802676	195464	Customer In Chemists
802676	199134	Waitress
802676	200112	Bride-wedding group
802676	203065	Woman in Hotel
802676	203322	Florrie the cleaner
802676	203539	Bentham's Secretary
802676	206164	
802676	206465	Elsie
802676	215632	
802676	216169	Katie
802676	220921	Policewoman
802676	230115	Whitehall telephone operator
802676	230356	Madge
802676	231831	Madge Lilburn
802676	232111	Mrs. Cross
802676	234049	Mrs. Jokel
802676	238991	Mill Girl
802676	240755	
802676	242712	Sgt. Cook
802676	242718	
802676	244480	Woman at party
802676	248665	Woman #2
802676	252275	
802676	252741	Reporter
802676	257521	
802676	257987	Mrs. Waring
802676	264907	Expectant mothre talking to C
802676	270977	
802676	272758	
802676	276883	
802676	283349	Miss Carpenter
802676	283412	Uniformed Airport Hostess
802676	286711	Neighbour
802676	287268	
802676	291488	Party Guest
802676	295298	Woman in phone box
802676	302128	Elsie
802676	310209	Mrs. Rogers
802676	312171	
802676	314979	Shop Customer, 1st Scene
802676	315109	
802676	316348	Alice Preston
802676	329456	Party guest
802676	329988	Woman Reporter
802676	330638	Hospital Administrator
802676	332767	Mrs. Williams
802676	333245	Mrs. Pincer
802676	333265	
802676	334307	Gert
802676	336715	
802676	342661	
802676	342720	Hotel Receptionist
802676	350913	Jane
802676	351590	
802676	352497	Cashier at Dandy Club
802676	352695	
802676	353516	
802676	359857	
802676	361587	
802676	363042	Shop Assistant
802676	364417	Miss Wilcox
802676	364731	Customer in Shop
802676	365151	Clara
802676	366742	Forrester's Secretary
802676	367494	Hairdresser
802676	368532	
802676	368924	Bit Part
802676	368928	Spinster
802676	371547	New Matron Richardson
802676	372193	Elsie
802676	372212	
802676	396670	Woman with Pistol
802677	11911	Karen Stride
802678	170672	Anna
802679	201819	Herself (Alfred Hitchcock's g
802679	368902	Herself (Alfred Hitchcock's g
802681	309882	Nurse
802682	267163	Cop #1
802683	41620	
802683	41632	
802683	41636	
802683	50369	
802683	87384	
802683	102825	Herself
802683	140952	
802683	186129	
802683	228023	Herself
802683	245307	
802683	250651	
802683	269341	
802683	296228	
802683	306916	
802683	361950	
802684	128164	Patty the Prom Girl
802684	319929	Raquel
802684	332169	Darla
802684	336748	Permanent Care Nurse
802684	342791	Carrie
802685	264745	
802686	314459	Photo Shoot Model
802687	215903	Party guest
802687	299503	Miss Nixon
802687	330598	Ruth Bradford
802688	394371	Reporter (2001-)
802689	33386	Herself
802690	198895	Lady Macbeth
802690	213118	Jessica Gambon
802691	157771	Lady Client #3 at Fabulous Fa
802692	14132	Mom
802692	50879	Waitress
802692	70817	Sarah
802692	209289	
802692	241774	Woman from One Thousand Years
802693	309969	
802696	358766	Machine Voice
802698	2726	Herself
802698	50460	Herself
802698	119525	Herself
802698	270697	Dottie
802698	366640	Herself
802698	384548	Coach Judy Watkins (1989-1994
802698	397081	Herself/panelist
802699	279386	Sasha
802700	23225	Gail Strong
802700	56229	Norma Veite
802700	70308	Ruth
802700	93078	Herself
802700	118558	TV Voice
802700	128443	Mabel
802700	155678	Beulah Tremayne (Les Blondes 
802700	185991	Linda Lane
802700	274191	Edna Wallace
802700	321513	Teddy Ross
802700	329562	
802700	337708	Lucy Blake
802700	338741	Ruth Drummond
802700	342713	Miss Symonds
802701	77878	Red Bird
802701	108101	Herself
802702	363365	Little Girl
802703	311923	Diane, the Dozing Druggie
802704	360818	Saleswoman
802705	138220	Mrs. Warren
802706	183599	Rebecca
802707	144406	
802708	96323	Couple (Woman)
802709	81314	Mrs. Doobie
802709	84962	Aunt Fanny
802710	270463	T.V. Announcer
802711	282059	
802712	113476	Mrs. Satterlee
802713	306025	
802714	49329	
802714	135849	Pat Bogan
802715	125478	
802716	71934	Mother
802717	129113	Gillian
802718	148909	
802719	866	Herself
802719	1440	Herself - Presenter
802719	1748	Herself - Presenter
802719	2805	Herself - Co-presenter: Best 
802719	2889	Herself - Presenter: Best Act
802719	2894	Herself - Presenter: DeMille 
802719	2904	Herself
802719	2924	Herself (Presenter)
802719	2930	Herself - Best Actress Nomina
802719	3021	Herself - Presenter: Best For
802719	3046	Herself - Presenter (with Joh
802719	5064	Sara Toscani
802719	5936	Patrice Dellaplane
802719	7582	Herself
802719	7592	Herself
802719	11750	Jesse Huston
802719	13930	Herself
802719	18441	Princess Bala
802719	30647	Catherine Tramell
802719	32098	Alice 'Hush' Mason
802719	35802	Laurie McCall
802719	35803	Narrator
802719	37098	Herself
802719	41036	Herself
802719	52201	Cassie Bascomb
802719	56304	Ginger McKenna/Rothstein
802719	57061	Herself
802719	57064	Laurel Hedare
802719	57665	
802719	57766	Herself
802719	66913	Leah Tilson
802719	66963	Kathy Connors
802719	68000	Herself
802719	75801	Princess Bala
802719	80709	Lana Marcus
802719	85611	Nicole Horner
802719	85998	Kiki
802719	86470	Sally Cauffield
802719	103842	Herself
802719	117659	Narrator
802719	129516	Gloria
802719	131677	Herself
802719	139485	Herself (Hostess)
802719	140843	Linda
802719	155890	Fran (segment "2000")
802719	156881	Herself
802719	158419	Herself
802719	161051	Sally Eastman
802719	162449	Blake Chandler/Amanda
802719	167305	Herself (Narrator)
802719	177544	Jesse Huston
802719	185053	Catherine Tramell
802719	185174	Cindy Liggett
802719	201820	Herself
802719	213504	Gwen Dillon
802719	221477	Herself
802719	222947	Sarah Little
802719	235449	Lynette
802719	238613	Herself
802719	255234	Candy Cowley
802719	259217	Claire Mattson
802719	269765	The Lady/Ellen
802719	278845	Catherine Trammel
802719	287462	Doña Sol
802719	290906	Angie Anderson
802719	291971	Herself
802719	295636	Herself
802719	302185	Rosie
802719	303183	Narrator
802719	305087	Carly Norris
802719	310639	May Munro/Adrian Hastings
802719	310957	Dr. Elizabeth 'Beth' Halperin
802719	313583	Pretty Girl on train
802719	313799	Herself
802719	326486	Casey Cantrell
802719	336458	Lori
802719	347566	Girl with Glenn Senior
802719	347900	
802719	363365	Serena Black
802719	364179	Herself
802719	370865	Alison King
802719	381433	Cathy St. Marie (1983)
802719	390998	Narrator
802719	391068	Narrator
802719	409602	Girl with Glenn Senior
802719	410582	Janice Henry
802720	335665	Sue-Lyne
802721	6719	Herself
802721	47141	
802721	108837	
802721	128641	
802721	128676	
802721	198518	
802721	209259	
802721	360894	Herself
802722	80427	
802723	61793	Brandy
802724	260874	Girl in Photo
802726	367826	
802727	300343	Restaurant Hostess
802728	167573	Hanna
802729	46818	Child
802730	83921	Jeri
802731	262655	Lindsey Lundquist
802732	37683	Operator #3
802733	48289	Carrie
802733	109856	
802733	127094	Additional Voices
802733	222565	Defense Attorney
802733	228046	Bathildis
802733	293032	Reporter
802733	363953	
802733	380259	Eva Nyeca
802733	390168	Joann Case
802733	404267	Cissy Lewis (1980)
802734	131987	Girl on bike
802734	158207	Farrah
802735	274473	Gambling Brownie
802736	18544	Fan
802737	80504	Girl Groupie
802737	221293	Mrs. Marshall
802737	274460	Claire
802737	304293	Denise
802737	362453	Black Haired Beauty
802738	126443	
802738	151672	German Girl
802739	128696	Arlette
802740	196889	Old Woman
802741	93831	Young Woman in Accident
802741	114008	
802741	301068	Nurse
802742	209061	Stacey
802742	388441	(Young) Sam Cooper
802743	144612	Daisy
802744	201919	Dicette #2
802745	34642	Singer, Rive Gauche Room
802745	64075	Queen
802745	288738	Charlene
802747	105213	Stage 5
802748	10908	
802748	72463	
802749	47191	P.A.
802749	120224	
802750	274650	Store Cashier
802751	144787	Mary Wilson
802752	5058	
802752	6207	
802752	7079	
802752	12506	Beatrice
802752	13299	
802752	16752	
802752	16912	
802752	18861	
802752	19949	Ruby Joyce
802752	21789	Zalata
802752	31132	Bessie Wells
802752	38025	
802752	38026	
802752	41143	Vera
802752	41344	
802752	44842	
802752	45922	Judith, his daughter
802752	47440	Ethel Durland
802752	47487	
802752	47501	
802752	47576	
802752	48004	
802752	52541	
802752	58513	Ruth Keene
802752	64104	'The Lady'
802752	69509	
802752	69668	
802752	71626	
802752	72898	
802752	73441	
802752	77583	
802752	78678	
802752	78734	
802752	79086	
802752	84974	Marcel
802752	86571	
802752	89118	
802752	90268	Joan Doubleday
802752	91229	
802752	96963	
802752	97521	Nancy Glenn
802752	100832	
802752	102549	Peggy Rice
802752	106838	
802752	106845	
802752	106867	
802752	106878	
802752	106886	
802752	106929	
802752	108027	
802752	112197	Mrs. Fisk
802752	112484	Sylvia
802752	113968	
802752	115094	
802752	116528	Hilda Swanson
802752	118407	Suzanne Brooks
802752	120638	
802752	121383	The Girl
802752	127160	
802752	127682	
802752	128228	
802752	128376	Freckles' Wife
802752	129044	
802752	131476	Martha
802752	134445	
802752	138160	
802752	141275	
802752	141316	
802752	141451	Mrs. Russell
802752	145795	
802752	148541	
802752	149462	Olive Waltburn
802752	150763	
802752	154023	London Hattie
802752	157573	
802752	159710	
802752	177718	Nellie Gleason
802752	183869	Lucille
802752	184049	
802752	184437	Nancy
802752	186275	
802752	188262	
802752	188264	
802752	189934	Helen Rathbawn
802752	190611	'Hairpin' Annie
802752	190923	
802752	192085	
802752	193875	
802752	195308	Betty Mason
802752	195911	Cecile, the Woman
802752	202977	Ruth Davis
802752	203379	
802752	206835	
802752	207195	Ruth Chadwick, Harry's sweeth
802752	207201	
802752	207423	Zita Dane
802752	218056	Ruth Stone
802752	220149	
802752	220965	
802752	221173	
802752	229936	Helen, Walter's Sweetheart
802752	231932	Mildred Varing
802752	239847	
802752	241861	
802752	244344	Ruth Thomas
802752	248140	
802752	249221	Polly Hathaway
802752	250617	
802752	254480	Jessie Wilcox
802752	254793	
802752	260214	Katherine Warren/Texas Kate
802752	265502	
802752	272981	
802752	273264	Miss Marsh
802752	274391	Mary Hogan
802752	276122	The Dancer
802752	280917	
802752	281704	
802752	285785	Jane Lee
802752	288625	Claire
802752	289637	Mrs. Custer
802752	294907	
802752	296812	
802752	305000	Princess Kalora
802752	310432	Ruth
802752	311464	Julia
802752	312173	Fredericka
802752	312899	Fred's Sweetheart
802752	315071	
802752	315898	Mary Snowden
802752	319236	
802752	322845	
802752	327384	
802752	330618	
802752	331591	
802752	332170	
802752	339780	Miriam
802752	342476	Ruth
802752	343260	Midge Blair
802752	347360	
802752	347517	Dorothy
802752	355208	
802752	358760	
802752	360220	Alma Barclay
802752	363023	
802752	366340	
802752	367049	Rachael
802752	367257	
802752	367736	
802752	368106	Meta
802752	368362	
802753	109992	Mamie
802754	279412	Herself
802755	163536	Lucy
802755	306181	Lucy van Pelt
802755	372165	Herself
802755	383928	(1985)
802756	316490	Strawberry Addict
802757	60163	Sarah Baker
802757	124160	Kid Rat
802757	406997	Sally
802758	310166	Adm. Morgan
802759	78947	Shuttle Attendent
802759	86467	Nurse
802759	100868	Marj Saint
802759	195812	Maggie
802759	323499	Jane
802759	333421	
802759	360745	Florist
802760	154772	Arlene
802760	166345	Girl
802760	196558	Bit part
802760	332979	Linda
802761	34722	Herself
802761	97223	Beth Mason
802761	341892	Rita Daniels
802761	341893	Herself
802761	383882	Dee Dee Nelson
802761	384962	Const. Amanda King
802761	402197	Eve Wilder (1985-1986)
802761	411809	Nurse Kim Barrington (1977-19
802762	56654	New Wife
802762	80803	Cindy Matthews
802762	82327	
802762	157315	Young Girl
802762	191899	Rachel Brown Oleson
802762	191900	Rachel Brown Oleson
802762	196365	Suzy
802762	224164	Laura Sievers
802762	297791	
802762	358488	Slappy Squirrel
802762	380313	Slappy Squirrel
802763	360902	Marge
802764	318756	Mother
802764	330410	AA Speaker
802764	389416	Circulating Nurse
802765	81260	Cindy Macklin
802765	230240	Terri
802766	190154	Herself
802767	81151	W.P.C. Alice Marshall
802767	405797	PW Det. Sgt. Green (1971-1973
802768	317245	Chrystal
802769	7394	Isabel
802769	32790	Mrs. Vixen
802769	89109	
802769	148372	Hazel
802769	221000	Maggie Capstick
802769	297193	Judith
802769	354246	Nurse
802769	381300	Various roles
802769	382937	Carol Clark
802769	383516	(1982)
802770	252983	Little Girl
802771	79775	Margie Bellenger
802771	120865	T.V. Reporter
802771	391786	Angela Cunningham (1995-1999)
802772	104549	
802772	196833	Nurse #1
802772	226998	Reporter
802772	261247	Nona Kelly
802773	141185	Woman in Black
802774	187222	Anna Mae
802775	230934	Art Gallery Guest
802776	73158	Mme Lambert
802776	76958	Amy Sproat
802778	179851	Emica
802778	238811	
802779	35040	
802779	114328	
802779	156090	
802779	285813	
802780	140255	
802781	69990	
802781	247875	Josette
802781	251626	
802781	278023	Iris
802781	348141	
802782	270752	Reporter
802783	386702	
802783	386716	
802784	19035	Lene Siebert
802784	189579	Karin als Kind
802785	35019	
802785	82147	Signora del <19>
802785	82392	
802785	132056	
802785	249860	
802785	327098	
802786	164830	
802787	71805	Mademiselle du Coudrais
802788	254601	Cliente pharmacie
802789	407830	Ester (child)
802790	217413	
802791	409723	Herself
802792	105864	
802792	253121	
802792	292345	Herself
802792	303488	Woman
802792	367488	Mrs. Trice
802793	555	Anna
802793	11986	
802793	17487	
802793	29111	Aufseherin 1/Custodian #1
802793	82164	
802793	102553	
802793	296096	
802793	325873	
802793	355241	Dr. Hildebrandt
802793	387445	
802793	410777	
802794	70390	Amy's mother
802795	254162	Miss moto
802796	29150	Herself
802797	69136	Stewardess on Second Concorde
802797	78776	
802797	398075	Cordélia de Castellane
802798	131559	Waitress in cafe
802799	341855	Victoria
802800	313458	Moldy
802801	230370	Rhonda
802802	134941	Tove
802802	162582	Siss
802803	64207	Anna
802803	296273	Waitress
802804	39410	Carolyn Wingate
802805	164	
802805	7324	
802805	9811	Faimeh
802805	21518	Col. Billy
802805	24197	
802805	29649	
802805	30365	Jennie Slocum
802805	31084	
802805	31688	Cleo de Bromsart
802805	34605	Bessie
802805	35757	
802805	38040	
802805	47866	
802805	52565	
802805	54418	Bonita, Don Arana's niece
802805	54546	
802805	54561	Elsie
802805	57371	Chloe
802805	58517	Doria
802805	61553	
802805	61778	
802805	62915	Glory Quayle
802805	65084	Belle Jones
802805	70894	The Heiress
802805	75398	
802805	75417	
802805	77881	A Maid
802805	82277	Mabel Hinton
802805	82705	Princess Perdita
802805	94145	The Mother
802805	95480	Amenset
802805	97594	
802805	101039	
802805	101077	Julie De Varion
802805	106634	Carma Carmichael
802805	112580	
802805	115845	Miss Lillian Travers
802805	116567	
802805	118770	
802805	119829	Mathilde, a French Spy
802805	126154	
802805	127543	
802805	130160	Fifth Girl
802805	132334	The Governor's Wife
802805	133902	Maury Brady
802805	141255	Esmeralda
802805	141315	The Princess
802805	141511	
802805	143056	
802805	146056	Harriet Knowlton
802805	148544	
802805	149449	
802805	151272	
802805	151289	Herself
802805	157038	Lucy Dickenson
802805	158218	Mary Nelson
802805	158283	
802805	158310	
802805	162866	Katherine Brenton
802805	165473	
802805	165476	
802805	165485	
802805	177334	
802805	178108	
802805	183781	Ellen, Douglas' Daughter
802805	186628	
802805	187464	Princess Marya
802805	188029	
802805	190187	
802805	191025	
802805	196204	
802805	196275	
802805	196507	Dr. Baldwin's Wife
802805	203755	
802805	206372	Mildred Girard
802805	206918	
802805	213911	
802805	215292	
802805	216882	
802805	217094	
802805	217978	Bertha Gilman
802805	218706	Valerie/Zora
802805	220526	Herself
802805	230310	The Wife
802805	231101	
802805	232125	
802805	234801	Flora, the Farmer's Daughter
802805	235648	The Wife
802805	237557	Marie LaRose
802805	239609	
802805	239679	Edith, The Wife
802805	240012	Oliver
802805	240522	Ethel Morris, The Bride
802805	240524	Helen Carter
802805	241017	
802805	251869	
802805	263442	Dorothea Jardeau
802805	264042	
802805	268911	
802805	269300	
802805	273986	Mrs. Andrews
802805	274880	
802805	275101	
802805	277032	Alva Leigh
802805	283215	
802805	289056	
802805	290963	A Newspaper Journalist
802805	294854	Chloe
802805	298042	
802805	299784	Winifred Childs
802805	301698	
802805	301780	Nan McDonald
802805	303283	A Wealthy Russian
802805	304232	
802805	310323	
802805	313367	The Star Reporter's Wife
802805	314607	
802805	314831	
802805	316835	Marie
802805	320255	
802805	323766	
802805	324897	Chonita Alvarado
802805	327152	
802805	328877	Edna
802805	333730	
802805	338220	
802805	338817	Margaret Elkins
802805	340621	A Step-Daughter
802805	342352	Sebastian
802805	342817	Mary Brooks
802805	343225	Mlle. Valeria
802805	351728	Madame Durand
802805	353473	Mrs. Carson
802805	355665	
802805	358166	
802805	359399	
802805	360207	
802805	361743	
802805	361754	The Heroine
802805	361795	
802805	362719	
802805	363156	
802805	371017	Edith, John's Sister, Brought
802806	77211	Jemma Earle
802806	160572	Gillian Tey
802806	190000	Tilda Price
802806	401228	Julia (2001)
802806	408053	Teresa Sykes
802807	270929	Lori
802808	6735	Doctor
802808	113993	Serb Mistress
802809	30224	Louise Dale
802809	41870	Dorothy Hamilton
802809	54949	Edith Clark
802809	55524	Caroline Stanhope
802809	67416	Carol Haines
802809	74232	Miss Boone
802809	77612	Ada
802809	78090	Phyllis Martindel
802809	92140	Mary Weaver
802809	100854	Kitty McDougal
802809	114164	Wilma van Everett
802809	124582	Joyce Halloway
802809	128889	Greta
802809	128897	Myra
802809	138850	Stewardess
802809	142610	Trixie
802809	148327	Martha Wheeler
802809	157870	Gretchen O'Leary
802809	157883	Mary
802809	157885	Jill Whittaker
802809	162836	Lucy Rhodes
802809	176846	Waitress
802809	193741	Gloria Foster
802809	195368	Bit Part
802809	212856	Sheila
802809	215019	Rene
802809	215599	Rose Pendelton
802809	220341	Alice
802809	243752	Lorna Ramsey
802809	248843	
802809	271997	Kay Dodge
802809	277916	Ann Randolph
802809	279373	Kit Norton
802809	292621	Laura Deering Redfern
802809	305934	Miss Bixby
802809	308639	Joan Wingate
802809	309208	Norma Hancock
802809	309849	Lois Martin
802809	316166	Lena Tempest
802809	317354	Student
802809	330375	Member of Girls Band
802809	335614	Fuller's girl
802809	337778	Virginia Marley
802809	340535	Hilary Vincent
802810	48593	Sylvia
802810	61163	'B' Girl
802810	192269	Mrs. Hortense Feuchtwanger, S
802811	51494	Mrs. Jones
802811	54546	
802811	140861	
802811	243230	Cornelia Van Antwerp
802812	279390	Motel clerk
802813	95266	Voice Over
802814	25366	Bessie
802814	33689	Gwynne
802814	41800	Rose Miller (Melrose Music Sh
802814	154868	Marge Belney
802814	157562	Bonnie Clutter
802814	277622	Malibu Party Guest
802814	304637	Rachel
802814	317910	Analyst
802815	288953	Loca
802816	221045	Virginia Storey
802817	343685	
802818	188703	
802819	117819	Anna
802819	256122	
802819	345731	Trina Smith/Dr. Beyer
802819	403183	Various roles (sketches) (200
802820	379030	Herself - host (1997-????)
802821	378936	Participant (2001)
802822	1092	Sacrificed Woman
802823	78991	Troupe Leader
802823	85650	Suzie
802823	161706	Kagome Higurashi
802823	167789	Kei Amemiya
802823	170881	Yoko Inoue
802823	176540	Noelle Anderson
802823	284936	Aunt Hilda
802823	314688	Waitress
802823	327635	Amy
802823	358466	Jenny
802823	386922	Videl (Vancouver Dub)
802823	390961	Laura Haruna
802823	392964	Kagome Higurashi
802823	397054	Flora Lyman
802823	398000	Sally Poe
802823	402863	Princess Ori (season 7)
802823	404081	Aunt Hilda
802824	91862	
802825	91862	
802826	324967	The Crowd
802827	389416	TV Reporter #4
802828	597	
802828	189433	
802828	254359	
802828	365009	Fürstin Pauline Metternich
802829	399936	Herself (interviewee)
802830	222754	Waitress
802831	67732	Cathy Dunlan
802832	120192	Uninhibited girl at party
802833	181156	Herself
802834	34582	
802835	377237	
802836	32923	
802836	39231	
802836	41076	Herself
802836	49659	
802836	66122	
802836	81377	
802836	81783	
802836	82337	
802836	85814	
802836	108799	
802836	144616	
802836	147756	
802836	163254	
802836	194905	
802836	219199	
802836	241359	
802836	243083	
802836	243543	
802836	273336	
802836	291773	
802836	292500	
802836	295917	
802836	315546	Manager of sex clinic
802836	332422	
802836	346225	
802836	363893	
802836	369479	
802838	68404	L'infirmière chef
802839	6722	Herself
802839	36930	
802839	36935	
802839	133921	
802841	47922	Billie Joe
802841	98167	Lois
802841	103266	Mary Lou
802841	250516	Selina, Age 5
802841	354521	
802842	196627	Herself
802842	196628	'Dangerous' Denise Storm
802843	81590	Mrs. Eldrich
802844	10886	Slave Mother
802844	245207	Betty
802844	352719	
802844	385824	Janice Barnes (1987-1988)
802844	404282	Hollis Castillo (1989)
802845	16265	Lady at Party
802845	29345	Waitress at the cafe
802845	34269	Botilda
802845	51122	Girl at the sailor's pub
802845	99887	Alma Svensson
802845	99889	Alma
802845	102151	Mrs. Ryman, missionary wife
802845	107882	Larry's secretary
802845	120848	fru Landén (episode 3)
802845	127569	Maid
802845	130070	Tekla Kronström
802845	136179	Kristina
802845	175350	
802845	179707	Beda Malm
802845	182256	His Mother
802845	182290	
802845	182543	Karin Lindgren
802845	206196	Lovisa
802845	213334	
802845	237033	Alma
802845	242756	Katarina's mother
802845	262663	Lena's mother
802845	268206	Mrs. Biedermann
802845	272510	Principal of orphanage
802845	272511	
802845	338679	Værtinde
802845	348728	Marit
802845	368731	Käthe
802845	378165	Karin's Mother
802845	378897	Ebba
802845	387522	Alma
802845	390231	Tekla Kronström
802845	390236	Hildur Nilsson
802845	394884	Mariannes och Peters mamma (e
802845	400001	Fru K.
802845	402362	Hanna
802845	405900	Jannes mor
802846	68404	
802846	134951	
802847	7684	Coco
802848	4543	Paula Considine
802848	9683	Margo St. Claire
802848	35420	Katharine Mallory
802848	53212	Joan Abbott, aka Susie Smith
802848	64878	Mary Phillips
802848	71326	Susan
802848	75605	Julie Martin
802848	79304	Herself
802848	94604	Liza Crockett
802848	117552	Mitzi Mayo
802848	117679	Joan Randall
802848	119379	Jane
802848	122656	Ann
802848	123343	Lillian Harding
802848	163283	Trudy O'Connor
802848	166992	Jane, 'St. Louis Journal' rep
802848	176337	Irene Kain
802848	188370	Midge
802848	197676	Maui
802848	202995	Judy Evans
802848	229137	Jane
802848	241278	Annie Mathews
802848	274281	Kay Sutherland
802848	277113	Jennifer Rand
802848	277533	Sally
802848	285147	Susan Langley
802848	299288	Herself
802848	305442	Ruth Stevens
802848	313005	Connie Dawson
802848	318965	Sue Casey
802848	321522	Carol Lawrence
802848	329117	Helen Fenton
802848	335070	Effie
802848	345775	Clare
802848	346367	Catherine Harris
802848	358552	Voice on Tape Recorder
802848	363274	Judy
802848	367571	Cathy Nordlund
802848	389673	Susanna Pomeroy (1956-1960)
802848	391831	
802848	398716	Margie Albright (1952-1955)
802848	399095	Herself (1956)
802849	102247	Mrs. McCormick
802849	167043	Harriet Ozzie
802849	167676	Jimmy's Mom
802850	166691	Vesta at age 17
802851	190702	Herself
802851	369874	Daytime Host
802851	382705	(hostess)
802851	387227	Herself - Host (2002-)
802851	399749	Co-Anchor
802852	20458	Rosalind Holhess
802852	50184	Tsubame
802852	123053	Dorothy
802852	164703	
802852	176534	Fruit Seller
802852	369335	Sign Language Interpreter, St
802853	354742	Betty Berg, hans hustru
802853	377453	Klara James
802854	39077	
802854	49908	
802854	52267	
802854	59971	
802854	68673	
802854	93112	
802854	98840	Herself
802854	102920	Herself
802854	113992	
802854	114945	
802854	118489	
802854	130783	
802854	143454	
802854	150164	Ingenue actress
802854	150402	
802854	158386	Adult
802854	168141	Herself
802854	187412	Herself
802854	242073	
802854	253481	
802854	264554	
802854	291286	
802854	301836	
802854	305705	Phyllis
802854	305918	
802854	311456	Herself
802854	313870	
802854	320469	
802854	331824	
802854	348239	
802854	368322	
802854	371538	
802855	392648	
802857	221267	Favourite Student
802858	41586	Herself
802859	128235	
802861	215991	Minerva Kemp
802861	362225	Alicia Deverton
802862	109729	Daughter
802864	142526	Kim
802865	75059	
802865	228637	
802865	293946	
802866	199272	
802868	1220	
802868	26100	
802868	27082	
802868	41616	
802868	106483	
802868	128694	
802868	167586	
802868	191356	
802868	234846	
802868	247991	
802868	309157	Julia (The Boss)
802868	354809	
802869	324659	Tanya
802870	67390	Receptionist
802870	293258	Roberta (Party Guest)
802870	383429	
802870	389340	
802872	770	
802872	41525	Herself
802872	57242	
802872	81859	
802872	91667	
802872	123836	
802872	156968	
802872	163866	
802872	207248	
802872	349384	
802874	23502	Escortpige
802874	153355	Malene
802874	180929	Ilni
802874	185007	Nicole
802874	185987	
802874	213431	Hanne
802874	312016	Ruth
802874	403138	Helene
802874	407621	Cecilie (1998-1999)
802875	106433	Teenaged Prostitute
802875	156475	Elizabeth Matthew
802875	220487	
802877	5316	
802877	6964	
802877	6968	
802877	298219	
802877	357169	
802877	363926	
802879	50794	
802879	119817	Herself
802879	222392	Tango
802879	231952	
802879	248981	
802879	249066	
802879	299482	Herself
802879	326511	Herself
802880	7733	
802880	26902	
802880	26906	
802880	26924	Herself
802880	26941	
802880	26942	
802880	27197	
802880	28870	
802880	34759	
802880	39646	
802880	50344	
802880	53130	
802880	62467	
802880	74292	
802880	81391	
802880	91840	
802880	101027	
802880	115059	
802880	121536	
802880	139002	
802880	149672	
802880	157020	
802880	159939	
802880	183363	
802880	197868	
802880	228053	
802880	233693	Best Friends
802880	256180	
802880	267631	
802880	272414	
802880	272416	
802880	291286	
802880	292604	
802880	295910	Stripper in Wonder Woman cost
802880	297238	
802880	318501	
802880	319408	
802880	325265	
802880	331726	
802880	367625	
802880	372506	
802881	34633	
802881	47211	
802881	96960	Herself
802881	113689	Herself
802881	188054	
802881	208885	
802881	336863	Herself
802881	354893	
802881	354895	Herself
802881	354896	Herself
802882	19797	Telephone operator
802882	150480	Mrs. Schilling
802883	21297	Model
802883	191807	Mlle. Henriette
802883	222655	Ruby Lane
802883	268548	Daphne
802883	281545	Leila Arden
802883	309027	Helga Roman
802883	311828	Sadie
802884	39590	
802884	39663	
802884	68502	
802884	128724	
802884	189475	
802884	233693	Salt & Pepper
802884	274415	
802884	300524	
802884	315568	
802884	331995	
802885	196358	The girl
802886	129504	Kari Braaten, hans hustru
802886	144061	Spåkona
802886	303678	Wangs tante
802887	30732	Russisk pike
802887	48130	Vertinne
802887	84321	Fru Hansen
802887	108655	Mathilde
802887	110770	Prestefruen
802887	144061	Miriam, damen i lyskassen
802887	166593	Fru Fredriksen
802887	312238	Tante Clementine
802887	315415	En tjenestejente
802887	334226	Ekspiditrisen
802887	337184	en dame på toget
802887	340248	Alvilde Tønnesen
802887	344290	Hotellvertinne
802887	346964	Thea
802887	347003	Pasient
802887	354196	Olga Stubberudstuen
802888	11450	Dana
802888	107903	Young Katie
802889	2259	Herself/Presenter
802889	2275	Herself
802889	33633	
802889	54221	Kid #2
802889	66161	Betsy Young
802889	80022	Isabella 'Belle' Black
802889	80023	Herself/Isabella 'Belle' Blac
802889	168752	Emily
802889	177074	Bonnie 'Bon-Bon' Rockwaller
802889	177076	Bonnie Rockwaller
802889	195822	Teenaged Melissa
802889	280193	Raped Girl
802889	374523	Zenon Kar
802889	374524	Zenon Kar
802889	374525	Zenon Kar
802889	384524	Betsy Young
802889	385824	Isabella 'Belle' Black #5 (19
802889	388080	Herself
802889	394460	Bonnie 'Bon-Bon' Rockwaller
802889	405429	
802890	138740	Dianne
802890	168307	Mona
802890	213350	
802890	320815	Party Guest
802890	387454	Isobel Lambert
802890	407589	Cordelia
802891	6730	
802891	34840	
802891	36901	
802891	93712	
802891	102784	
802891	139199	Girl in Hot Tub
802891	228650	
802891	264126	
802892	82813	
802893	22585	
802894	354585	
802895	347455	
802897	142153	Marion Almond
802897	387120	
802897	398930	Janet Halloran (1958-1959)
802897	399819	
802898	93197	Susan
802898	200060	Helen Walsh
802899	328596	Sara
802900	28040	Herself
802900	306974	Sofie Amundsen/Hilde Møller K
802900	405794	Sofie Amundsen/Hilde Møller K
802901	281336	
802902	39390	Stephanie
802903	399130	Debbie Martin (I) (1985)
802904	269095	
802905	51961	
802906	363243	Bowling Alley Waitress
802907	363250	Woman in Ladies Room
802908	278822	Young Ruth (Age 8)
802909	217503	Michelle
802910	154199	Girl in 'I Dream Too Much' Nu
802911	184237	Julie
802912	316926	Model
802913	306599	Campus Girl
802914	307237	Herself
802915	154795	Amelia
802916	280264	Beth
802917	215690	Miss Alaska USA
802918	10305	Miss Sturely
802918	405209	Officer Cuthbert (1997)
802919	326061	
802920	352042	Juvenile
802922	348963	Turi, mor
802923	81509	
802924	98423	
802925	381568	(1983)
802925	385220	Kolya
802926	317309	Pretty Hostess
802926	385166	Becky (2004-2004)
802927	41412	Blaire
802927	81449	
802927	95078	Bus stop beauty
802927	127351	Lisa
802927	177660	Unified Fund Mom
802927	218531	Patrizia
802927	373280	Irina
802928	118725	Homeless Cop
802929	358478	Villager of Tullymore
802930	48948	Passerby
802931	134126	Interviewer
802932	232077	Margaret Abbott
802932	269396	Ruth Dobbie
802933	41178	Reception Nurse
802933	337155	Emily
802933	405209	Nina Clarkson (1999-2000)
802934	358478	Villager of Tullymore
802935	339091	Carmen
802936	341825	Turandot
802937	65901	Additional character voices
802938	38512	Third Girl
802939	345636	Allison
802940	27599	Herself
802940	44519	Sonja
802940	51928	
802940	136637	Herself/Kim Dorowsky
802940	139517	
802940	184666	Herself
802940	184667	Kim Dorowsky
802940	184668	Herself
802940	184669	Herself
802940	184670	Herself
802940	184671	Herself
802940	184672	Herself
802940	184673	Herself
802940	184674	Herself
802940	184675	Herself
802940	213431	Bagerdame
802940	279619	Herself (audience)
802940	281991	Alice
802940	282597	Sandra
802940	309292	Juliane
802940	354627	
802940	391364	Nissen Kizze
802940	395126	Kim Dorowsky (2001-2003)
802940	399474	Karina
802942	116776	Girl in movie
802942	175621	Housewife
802942	223091	
802942	306152	Sarah
802942	346178	Girl in Class
802943	28416	Female Lead
802943	280907	Customer
802943	349900	
802944	366021	Teenage Girl
802945	33258	Tourist
802945	80652	Holly
802945	84811	Conservative Catlady
802945	92689	Babs
802945	135914	Mary Meeker, Buck's Niece
802945	247151	Normalene, the Hitchhiker
802945	363941	
802946	141984	Esther Jones
802947	305692	Party Goer
802948	153992	Tricia
802949	188490	Street woman
802950	368654	911 Operator
802951	263796	Kate
802952	407815	Herself (Single) (2002)
802953	365866	Poodle Lady
802953	379740	Grace Smith
802954	1883	Aunt Jean
802954	147972	Laundry Lady #1
802954	321126	Felicity Thomson (Amateur Sin
802954	321455	Nurse Dee Dee
802954	403157	Eugenia Bremer
802955	143565	Basketball player
802956	241225	Nancy
802957	250902	Sylvie
802958	297190	Babe on Dance Floor
802959	53318	Student
802960	68688	JFK's 3:30
802960	241799	Tweedy's secretary
802961	390144	Rebel (1996-2000)
802962	90771	Singer
802963	325229	Joanne
802964	35782	Young Missouri Woman
802964	190171	News magazine secretary
802964	230663	Highland High student
802965	154840	Minister's Wife
802966	329311	Heavenly Dancer
802967	267654	Tiffanie
802967	395214	Various
802968	39457	
802968	49053	Fannie
802968	185639	Mrs. Crosby
802968	287723	Mrs. Beck
802968	296922	
802968	350502	Lady Crawley
802969	257764	Greta
802970	157324	St. Jude Student
802971	364300	Herself
802972	237422	Woman Score Keeper
802974	87900	Veronica
802975	384378	Herself
802976	171411	Darcy
802976	178206	Model #2
802976	296020	Agent Weave
802976	297781	Cashier
802976	300176	Dancer #2
802977	3761	Herself
802977	13450	Dr. Sharon Fields
802977	18015	Maria McGuire
802977	24960	Jennifer Barrett Allieghieri
802977	27228	Cody Zamora
802977	40800	Emma Brody
802977	41123	Hester Ashley Murdoch
802977	62035	Rachel Munro
802977	65903	Victim
802977	81992	Hetty Hutter
802977	125549	Warr. Off. Sara Sunhill
802977	138003	Herself
802977	157240	Maya Olham
802977	185492	Cora Munro
802977	196876	Herself
802977	200463	Isabel Amberson Minafer
802977	201500	Herself
802977	228354	Mary
802977	238140	Senga Wilson
802977	257744	Gracie
802977	265898	Eleanor Barret
802977	277039	Mireya Mendez
802977	299846	Sherri Shepard
802977	312924	Maria McGuire
802977	340401	Marina
802977	342384	Dr. Kathryn Railly
802977	342938	Lillian Bodine
802977	347369	Karen Carr
802977	360480	Julie Moore
802977	360481	Herself
802977	368687	Veronica Briskow
802977	381802	Selma Kendrick Davis
802977	389736	Ruth Lasker (1981)
802978	44559	School girl
802979	130604	Hooker in bedroom
802980	185253	Compound Computer Voice
802981	222203	Jo Mullens
802982	55008	
802982	153804	Clara
802982	205213	
802982	345463	
802982	354033	
802983	19863	Elke Krug
802983	24364	
802983	40957	
802983	40958	Elfi
802983	40959	Elfi
802983	40960	Elfi
802983	218435	Nurse
802983	381694	
802983	391152	
802984	219723	
802985	356042	Dashteryata na Nayden
802986	92681	Anna
802987	226471	Nadezhda
802988	3334	
802989	152173	
802990	305478	
802991	279031	Rozamunda
802992	258602	
802993	241935	
802993	263892	
802993	357347	
802994	325032	
802995	49185	Rita
802995	238821	Tzveta
802996	27476	Urednichkata na muzeya
802996	95625	Administratorkata
802996	343400	Lila
802997	293857	
802998	229155	
802999	9353	Dancer
803000	41412	Caesar's Girls
803001	238168	Sara
803001	343919	Nurse
803002	95166	Ikonomka
803002	156015	Zhenata na Igrek 17
803002	237039	Uchitelkata po tantzi
803002	320707	
803002	326260	
803002	333783	Maykata na Pavkata
803002	349084	Radka
803002	350252	
803002	386025	
803002	398895	
803002	410432	Maykata na Svetozar, sapruga 
803003	224448	
803004	235292	
803005	104831	
803005	116417	
803005	224448	Spaska
803005	258630	Maykata ha Katerina
803006	228845	
803007	253716	Irena Petrova
803007	374471	Tzveta
803008	373598	
803009	250655	
803010	181483	
803011	85260	Neda
803011	253716	Retzetira prologa
803011	374471	Ana
803012	94506	
803012	207254	
803013	155638	Reisebüroangestellte
803014	156150	Police officer
803015	123889	
803016	355065	Rannie
803017	70648	Indian woman
803018	182609	Herself
803018	394986	Herself
803020	8169	Susie
803021	366649	ER Surgeon
803022	162268	Herself - Award Winner
803023	354683	Prisoner
803024	61291	Chicken
803024	383683	Inge
803024	385301	Sally Hamilton (2002)
803025	196300	
803026	196300	
803027	360269	Herself
803027	385109	Presenter (1999 -)
803027	391699	Herself
803027	403011	Presenter (1993-)
803027	411083	Herself (1987-1992)
803028	134178	Greg's pupil
803029	338537	
803030	54756	Emma (lost woman)
803031	291307	Extra
803032	224774	Anne Travers
803033	305560	Ola
803033	376524	Olszanska
803034	24387	Marita
803034	66086	Elli Thomsen
803034	144025	Waitress at 'Zum Augustiner'
803034	150568	Elfie Gerdes
803034	182893	Conny
803034	229391	Friseur's Frau
803034	289857	Edda Ostermeier
803034	325437	Ursula
803034	338438	Regine Fromm
803034	338446	Sylvia Proske
803034	356735	Gerda Korn
803034	366517	Emanze
803034	389361	Elfie Gerdes
803034	392077	Elfie Gerdes
803034	395644	
803034	395667	Claudia Rantzow
803035	344524	Herself
803036	83329	Mrs Mottram
803036	399130	Janine Stark (1995)
803037	16928	Traveller
803038	30415	
803039	56364	Mena
803040	82538	Little Girl
803042	148370	
803043	326755	Boy's Sister
803044	87891	Angry Man's Companion
803045	206618	Megumi Reinard, Tall Girl, Vi
803045	298966	Natsuko
803045	394421	Megumi Reinard
803045	394976	Natsuko
803045	402175	Waitress/Miho Nishikiori/Fema
803046	326755	Boy's Mom
803047	151083	Mrs. Derrick
803048	251103	Tonya Tumanova
803050	72878	Arlene Borokof (segment "Holl
803050	147784	Arlene Borokof
803051	40608	Doris Shelby
803051	53172	
803051	126841	Bianca
803051	147156	Rosi
803051	152768	
803051	175835	Mother Maria-Veronica
803051	185286	Talya Krozac
803051	204463	
803051	226255	
803051	261548	Madelaine
803051	306410	
803051	312729	
803052	342088	
803053	177172	Jana, 5 Jahre
803054	399315	Anchor (2000-)
803055	29488	Datenapping Woman
803056	383217	Contributor (1998-2000)
803057	66931	Marta Henley
803057	169140	Mrs. Potiphar/Napthali's Wife
803058	42743	Betty the Housekeeper
803059	201924	Dwight's Daughter
803060	406864	Anselmo Duvall
803061	140875	Mom
803062	77936	Karen
803063	2613	Herself - Best Supporting Act
803063	3046	Herself (Memorial Tribute)
803063	41388	Kate Erling
803063	44562	Mrs. Crampfurl
803063	61896	Marion Creighton
803063	81543	Adrienne's Mother
803063	100954	Rose
803063	117858	Kay Neeley
803063	120573	Herself
803063	176851	Beatrice Richmond
803063	177337	Goneril
803063	201736	Herself
803063	230151	Louise Schumacher
803063	232017	Herself
803063	236733	Mother Christophe (Sanatorium
803063	250830	Nancy Staples
803063	252449	Maisie Verdurin
803063	254787	Mrs. Claire Fortness
803063	259826	Dr. Lesh
803063	261986	Claire Hastings
803063	265754	Marion Hillyard
803063	283372	Margaret
803063	301846	Theora
803063	343045	Ruth
803063	346057	Margaret Sloan
803063	358873	Mlle. de St. Euverte
803063	368437	Joanna Sanford
803063	372628	Mrs. Burns
803063	381468	Mrs. Hacker
803063	385580	Alice Dain Leggett
803063	388202	Queen Veronica
803063	394504	Aunt Louisa Beauchamp (1982)
803063	396088	Vinnie Phillips (1970)
803063	403509	Rose Kennedy
803064	304578	Tatiana
803065	35282	Peggy Raye
803066	509	Internet Stripper
803066	1029	Baroness Lucrezia
803066	20373	Queen Bee
803066	25711	
803066	26093	Coochinota
803066	26169	
803066	29916	The Bare Wench
803066	29917	The Bare Wench
803066	29918	The Bare Wench
803066	29969	Barefoot Model
803066	31281	Gayle
803066	35524	Annihilator Girl
803066	37326	Interrogator
803066	37690	Raquel
803066	37699	Actress
803066	38165	
803066	38696	Ms. Carlson
803066	39405	
803066	40504	Linda
803066	41017	Illyana
803066	41198	
803066	41423	New Roommate/Narrator
803066	50262	Annette
803066	57936	Herself
803066	57942	Miss Hardy
803066	59257	
803066	77144	Black Widow
803066	79863	Willow Black
803066	82519	Marilyn Fitch
803066	85059	
803066	85126	
803066	91752	Student
803066	101060	Jewel Panther
803066	102749	
803066	103449	Debbie
803066	106190	
803066	114546	Blu Steele
803066	122204	Female Dancer (unrated versio
803066	130008	Julie
803066	136019	Queen B
803066	141710	Julie
803066	141711	Herself
803066	147677	Madam Fortune Stella
803066	147920	Dora
803066	149742	
803066	151624	Herself
803066	159012	Ms. Kevorkian
803066	168715	Pretty
803066	170434	Herself
803066	181545	Kane's Girl
803066	182998	Willow Black
803066	185600	Maggie
803066	188502	Holly
803066	191142	
803066	195479	Female Jogger
803066	195761	Amber
803066	204878	Girl in the Woods
803066	206440	S&M Woman
803066	213109	Mariana
803066	219659	Tess
803066	223720	Herself
803066	226938	Dominatrix
803066	232293	
803066	245016	Roxanne Ford
803066	252382	Model
803066	252390	
803066	252391	
803066	252399	Herself
803066	252403	Herself
803066	252406	Model
803066	257300	
803066	257545	Sheraton
803066	266583	Stephanie
803066	267500	
803066	274194	Crystal
803066	275996	Aerobics/Locker Room Nude Gir
803066	277910	The Temptress
803066	278829	Herself
803066	280065	Stella
803066	282545	Mick
803066	295669	Judge Julie
803066	295951	Herself
803066	296353	Herself
803066	307934	Herself
803066	308111	Herself
803066	309135	Erica Barnes
803066	309137	Tara Coventry
803066	309575	
803066	312265	Jill
803066	312592	Molly
803066	313829	Johanna
803066	319191	Carl's Breakfast Girl/Silver 
803066	326513	Diva
803066	338771	Herself
803066	347440	Creature
803066	350180	
803066	353388	Linda Hammond
803066	355152	Sascha
803066	355167	Herself
803066	359803	Raven
803066	366750	Belladonna
803066	375714	Dispatcher/operator
803066	383405	Robot Mommy
803066	396076	Herself
803066	404948	Judge Julie
803067	20373	Dance Sister
803068	277618	
803069	20373	Shower Sister
803070	25711	Jenn
803070	38696	Natalie
803070	39405	Carolyn Conroy/Lizzy
803070	40504	Tammy
803070	59257	
803070	82519	Mandy
803070	308111	Herself
803071	682	Dorm Room Girl
803072	157693	
803073	354427	Grand daughter
803074	154796	
803075	281794	
803076	250406	Woman
803077	181451	Eva
803077	189623	
803077	189723	
803077	405500	Karla Schmitz
803077	410497	POM Heike Jung (1999-2000)
803078	211338	Beth
803079	18387	Daughter
803080	110075	
803081	119500	
803081	200353	Rytza
803082	33581	Enfant
803083	33581	Enfant
803084	186825	Kim
803084	381941	Karen 'Keke' Fears
803085	130422	Laura
803086	287159	
803088	125008	Klein
803088	129732	
803088	144186	
803088	153935	Gertrud
803088	189662	
803088	189782	Christines Mutter
803088	204492	Frau Baerwald
803088	281712	
803088	325720	
803088	352500	Nachbarin
803088	361108	Kinokassiererin
803089	98683	Female Officer
803089	251040	Female Cop
803089	337814	Female Cop
803089	389858	Police Officer Paula Parker (
803090	8152	Mme Garbouge
803090	60514	Gabrielle
803090	63233	Irina
803090	69934	Bergère
803090	72053	Cécile
803090	73066	Bertille
803090	80156	Maïté
803090	83348	Madame le Driche
803090	84634	Madame Dantes
803090	91973	La soeur d'un terroriste/Visi
803090	110158	Arlette Henri
803090	111024	Nathalie
803090	135359	Louise Michel (segment "La se
803090	137925	Gertrude
803090	163929	Anna Petrovna
803090	193057	
803090	198342	Christine
803090	223175	
803090	246470	Adèle Jourdain
803090	251815	Une jeune fille
803090	261820	Sophie
803090	283653	Clara
803090	284246	Madame Alexis
803090	286320	Stéphanie
803090	336930	Evelyne
803090	356498	Rose
803090	380864	Nathalie
803091	45032	Fighting Woman
803092	2017	Cathy
803092	116270	Beatrice
803092	340926	Brenda
803092	399405	Karna
803093	8023	Girl in Street
803093	9006	Tammy
803093	9007	Tammy
803093	9008	Tammy
803093	29753	Kelly/Katrina
803093	29755	Kelly
803093	29757	Kelly
803093	32261	Young girl
803093	163478	Nancy Nut-What
803093	170881	Kazuko
803093	190324	Sarah's Sister
803093	199568	Madeline
803093	216726	Maggie Blue O'Hara
803093	382648	Akari Comodo
803093	383936	Holly
803093	385470	Additional Voices
803093	386928	Cassie
803093	389866	Molly O!
803093	390961	Bijou
803093	392964	Mayu
803093	394425	Lacus Clyne
803093	396129	Anne
803093	396564	
803093	397054	Flora
803093	398464	Neya
803093	404080	Gemeni 'Gem' Stone/Pi/Bernard
803093	405356	Young Nami
803093	405501	
803093	406975	Prima
803094	321306	
803095	309284	Brenda
803096	355433	Nurse
803097	110445	Female Dog
803097	137570	Anne
803097	385613	Diane
803099	21664	
803100	308177	Marie
803101	381913	Participant (1th out, 3 days)
803102	294790	Victim
803103	227699	
803104	114253	Concerned Parent
803105	191062	
803106	192818	
803107	94273	Britt
803108	153731	Flickan i baren
803109	392432	Nanna
803110	254522	Flamenco Dancer
803111	137294	Cilly Cumberland-Brons
803111	199083	Cornelia
803111	218221	Host of TV-show 'Motsatsarna'
803111	381706	Fröken Ek (episodes 1-3, 5, 8
803111	407127	Sara (1994)
803111	411580	Sussi
803111	412207	Lotten Elmfors
803112	80659	Evabritt Olofsson
803112	136176	Queen Dowager
803112	138189	Therese
803112	159904	Eva
803112	164782	Helena
803112	182546	Eva-Britt
803112	200450	Helene Kaiser
803112	207092	Elle (la femme dans le film)
803112	224915	Majken
803112	284141	Carina
803112	287570	Elisabeth
803112	377398	Christina Lind
803112	388581	Birgitt Werner, journalist
803112	396266	Clair Sjögren-Brandt
803112	401775	
803112	402763	Gun
803112	403771	Louise de Witt
803113	377388	Imbär as a child
803114	252000	Pige på Stengården/Servant gi
803114	284399	Skolelæge
803114	340079	Bjørn's aunt
803115	16321	Emma
803116	264722	Heidi
803117	18304	Stella
803118	210308	Herself
803119	388302	
803120	48345	
803121	16261	Cameliowsky
803121	40189	Isabel, Castro's daughter (se
803121	342303	Ulla Winblad
803122	43249	Eulalia Göransson
803122	120892	Hildegard
803122	130071	Older woman at the sale
803122	168511	Worried mother
803122	210372	Mrs. Pettersson
803122	255656	Farmerwife
803122	322422	Mrs. Olsson
803122	377298	in Broköping
803123	28350	Dancer
803124	84007	Cinderella
803124	118763	Connie
803125	12964	Amala
803125	175350	Polish Woman
803125	225344	Indigo
803126	123402	Grieving Woman
803127	48763	Kropigen
803128	236873	Woman in Hotel
803128	274069	Museum Secretary
803129	63376	Spider
803129	121776	Ada
803129	373106	Jean
803129	398446	Herself
803130	5201	Tracy Jordan
803130	46529	Dorothy Kent
803130	61768	Mrs.O'Brien
803130	160042	
803130	178138	Dianne Wainford
803130	265764	Sue
803130	271803	Ruby
803130	330434	Dodie
803130	401930	Susanne Madison (1998)
803131	80381	Questioner #4
803131	81753	
803131	87880	Jane
803131	109682	Mrs. Nason
803131	283320	Nurse
803131	403072	Maisy Chadwick
803132	157222	Mom
803133	315982	Kid on Train
803134	34081	Herself - Clermont Lounge MC
803135	163514	Summer
803136	192104	DMV Clerk
803137	145415	Christy
803138	77632	Judy
803139	2201	Maria
803139	49366	Three Deuces Chorus Line
803139	101942	Blide Date #4
803140	311514	Debbie
803141	6949	Pangean Girl
803141	80692	Layla, Tony's Ex Girl
803141	144674	Regina's Other Friend
803141	164369	School Nurse
803141	178279	Cynthia
803141	183346	Jenny
803141	192413	Sally's Friend
803141	216445	Wanda
803141	254996	Alexandra Lamont
803141	272209	Ranma Saotome(male)
803141	272213	Ranma (Boy)
803141	272214	Ranma (Boy)
803141	292162	Diane
803141	346862	Claudia
803141	346871	Claudia
803141	386387	Franklin
803141	389035	Barbara/Kate
803141	395762	
803141	396384	Carol Lemieux (1994-1997)
803141	402863	Ranma Saotome (male)
803142	200860	Catering Lady
803142	232248	Woman
803142	297672	Hooker No. 1
803143	78670	Nurse
803143	220042	Mary Froning
803143	224173	Dorothy Strong
803143	230124	Nurse
803143	232300	Waitress
803143	284003	Reporter
803144	408591	
803145	371642	
803146	331464	Teenage Kate
803147	20625	Extra
803147	203270	Chorine
803148	11334	Robin
803148	69569	Riva
803148	190697	
803148	223811	Robin
803148	235449	Dee Courso
803148	251196	Marisa Rossi
803148	352964	Herself
803148	367807	Maggie
803148	387433	Judy/Dynagirl
803148	390292	Goldie Gold
803148	394848	Judy/Dynagirl (1976-1977)
803148	395974	Judy Berenson
803148	403667	Groovia
803148	403708	Helen Loomis
803148	404354	Pauline (segment 'Donkey Kong
803148	410951	Rota Ree
803149	196487	Woman in Window
803150	333445	Old Woman in Home
803150	349423	Tzipa
803151	194405	Beach Baby
803152	41848	Emmeline, as child
803152	199554	Janet
803152	287999	
803152	393854	Herself - Regular panellist
803152	396470	Presenter (1968-1974)
803154	178576	
803155	170128	
803155	307064	
803157	3864	Herself
803157	5917	Herself
803157	268897	Angela Feretti
803157	366428	Mother
803157	389141	Cousin Filomena
803159	264104	
803161	350	Heather Kessler
803161	1401	Herself
803161	2761	Herself - Memorial Tribute
803161	3027	Herself (Memorial Tribute)
803161	5917	Herself
803161	32791	Ida Cohen
803161	41430	Miss Viola Davis
803161	47927	Emma Ginetta
803161	60766	Anya
803161	63305	Bunny
803161	66381	Sue Brett
803161	71271	Chris Roland
803161	82528	Debra Levine
803161	84216	Jessie Benton Fremont
803161	87801	Isabella
803161	118918	Elizabeth Lavenza
803161	127435	Livia
803161	127985	
803161	140263	Karen Mondoro
803161	142754	Rosanna
803161	144768	Juno Kozani
803161	147708	Herself
803161	157008	Sarah Levy
803161	157922	Bobbie
803161	173754	Edith/Nicole
803161	187256	Polly Wiltse
803161	204358	Karen Tandy
803161	204880	Herself
803161	205315	Tina Sawyer
803161	205834	Herself
803161	205835	
803161	205836	Herself
803161	208757	Meg
803161	220793	Lee
803161	227155	Mickey Terry
803161	244411	Juliet Rich
803161	255264	Millie Owens
803161	263790	Dr. Celia Warren
803161	266545	Jenny Davis
803161	275465	Herself
803161	276928	Sybil Ophir
803161	280665	Fran
803161	283506	Carol Curtis
803161	286701	
803161	290697	Helene Schweitzer
803161	306413	Brenda
803161	309170	Martha
803161	312536	Nancy Kingman
803161	312813	Eva Lovelace
803161	325237	Penny Appleby
803161	328309	Lis
803161	333302	
803161	335165	Patty Toma
803161	339858	Sally Groves
803161	396930	Emily Marriott
803161	408465	Patty Toma (1973-74)
803162	293161	
803163	191054	Buyer I
803163	204184	Woman at cafeteria
803164	52476	Pianist
803164	183706	Office Girl
803165	391693	Herself
803166	124893	Operettensängerin
803167	124977	Christine
803168	337299	
803169	301199	
803171	1348	Herself
803171	2010	Herself - Past Winner
803171	2022	Herself - Past Winner
803171	2259	Herself - Past Winner
803171	2275	Herself - Past Winner
803171	16103	Joyce
803171	26381	Betsy Stern
803171	40659	Felice Richmond
803171	41393	
803171	129449	Nancy Donovan
803171	151137	Barbara
803171	161246	Herself
803171	161311	Herself
803171	183590	Abigaile Stoner
803171	194410	Mrs. Hayes
803171	208974	
803171	255353	
803171	363871	Jewel
803171	379716	Dr. Christina Karras Martin (
803171	380391	Rachel Davis Matthews Clark F
803171	394676	Dianne Kirkwood (1990)
803171	400236	Dr. Dorian Cramer Lord Callis
803171	405882	Rachel Davis Matthews Frame C
803172	152889	Grace
803173	846	Herself
803173	868	Herself
803173	184445	Molly
803173	186034	Nikki Rivers
803173	378702	Herself
803173	396116	Hostess
803173	410999	Herself (host) (2002-2003)
803174	513	Kyoko's Mother
803174	11353	Nurse #1
803174	23248	
803174	23258	
803174	70402	Coffy
803174	78817	
803174	84897	
803174	109735	
803174	135897	Takako
803174	166698	
803174	240345	
803174	245284	
803174	353790	
803174	370013	Attachée de presse
803174	384133	Yuzuki, Clerk #1
803174	385060	Helmatier
803174	392430	Miho's Mother, Teacher
803174	400268	Konoha Edajima
803174	411289	Chie, Lisa Kayama, Saki Yoshi
803174	411563	Satsuki Yatouji, Woman, Seish
803175	4671	Herself
803175	16143	Sarah
803175	18015	Pam O'Hara
803175	25191	Rose Stiller
803175	46154	Lenina Disney
803175	46606	Kentucky Smith
803175	59133	Kristine
803175	70563	
803175	76566	Mary Watson
803175	96746	
803175	108358	Margaret McKenna
803175	109474	Lorraine
803175	140087	Rita Kamen
803175	148901	Diane Szalinski
803175	148902	Diane Szalinski
803175	148903	Diane Szalinski
803175	169389	Nancy
803175	195482	Pat McFarland
803175	198469	Herself
803175	207501	Merry Chase
803175	220537	Blake's Mom
803175	241106	Pam Ferguson
803175	274561	Rose
803175	280190	Dr. Trish George
803175	296732	Stella Pence
803175	309678	Maria
803175	330794	Flower child
803175	361145	Herself
803175	379027	Hairyette
803175	382494	Alicia Rudd
803175	383707	Elaine
803175	385189	Allie Singer
803175	387218	Dr. Eve Sheridan (pilot only)
803175	390356	Carol Younger
803175	395627	
803175	399588	Martine Beznick (2000-)
803175	402345	Meredith (2002)
803175	407155	Althea 'Bunny' McClure (1994-
803175	408836	Nancy Sterngood
803175	410797	Julie Kotter
803176	98049	
803177	313583	Charlotte Ames
803178	88519	Heblowa
803178	200439	Babysitter
803178	225965	Helena Bielasowa
803178	246244	Habrykowa
803179	380106	
803180	12952	The Mother
803180	30466	Marie
803180	42962	Mimì
803180	53569	The white squaw
803180	71438	Despina
803180	127302	Marie-Antoinette
803180	129007	Giuditta
803180	165297	Herself
803180	197307	Lulu
803180	223078	Herself
803180	246491	Fürstin Anna Elisa
803180	246542	Nedda
803180	246543	Nedda
803180	286183	Salome
803180	295304	Anna I
803180	300065	Herself/Julie in Show Boat
803180	322716	Giorgetta
803180	338614	Violetta Valery
803180	346139	Regina Basilio
803180	352308	Marie
803180	374034	Sonja
803181	91233	Herself
803181	111583	Milo's Girlfriend
803181	145002	N. Y. Subway Girl
803181	156466	Sharon Woolrich
803181	226900	Officer Wendy
803181	234594	Broadway Stagehand
803181	263485	
803181	276198	Annette
803181	285787	Kimberly
803181	363708	Shawnee
803182	210387	Girls' Group
803183	272202	Myra Wynchmore
803184	82099	Accordion Player
803185	293030	Cat/Star City Dancer
803186	66682	Anne White
803186	75650	Christine Byrne
803186	202188	Jenny
803186	219209	Martha
803186	310997	Hospital Sister
803186	317194	Mrs. Reschke
803187	114890	Mary
803188	120452	
803188	132805	
803188	186828	Miss Ownes (receptionist)
803188	267588	Percentage Girl
803188	338269	Adele
803188	342886	Mary Hammond
803188	363248	Woman
803188	368959	Mary Wright
803189	244987	Ricka
803190	26626	Mrs. McIntyre
803190	45460	Lucy van Pelt
803190	59590	Lucy Van Pelt
803190	105409	Rena as a Child (additional s
803190	201602	Herself
803190	214964	Laurie Leonard
803190	292248	Cissy
803190	393628	Susan
803190	399254	Maria Massey
803191	350077	Trish
803192	366	
803192	184183	
803193	239355	
803194	8138	
803194	8476	Boubou
803194	100632	
803194	102885	Pipitsa
803194	179405	
803194	182445	
803194	201974	
803194	220468	
803194	244752	Stepmother
803194	253164	
803194	262363	
803195	139558	
803195	212043	
803195	245316	Lolota
803196	6307	
803196	29696	
803196	86840	
803196	172822	
803196	180505	
803197	71511	
803198	71511	
803199	71511	
803200	191679	Suzanne Pitou
803201	18394	Monique
803201	380364	Host/Annemie Hülchrath
803201	404443	Herself/Regular
803201	411994	Nachbarin Annemie Hülchrath
803202	25523	Tina
803202	99425	Diana
803202	304548	Pippa
803202	379871	Ailsa
803202	392868	
803202	402197	Rose 'Spider' Simpson (1986)
803203	13100	
803204	297187	Nun
803205	79898	Travel Agent
803206	261302	
803206	262644	
803207	14275	Americathon stage dancer
803207	24695	Tara Dawson
803207	91233	Herself
803207	91234	Herself
803207	123020	Galaxina
803207	152295	Herself
803207	257642	Herself (Playmate)
803207	257863	Playmate of the Year, 1980
803207	257867	Herself
803207	303765	Girl at the snack bar
803207	330108	Dolores Martin
803208	99213	
803209	241559	Night Club Girl
803210	80513	Bee Girl
803211	164430	
803211	314946	
803211	405718	Additional Voices
803212	24483	Myrtle Manners
803212	38077	
803212	75476	Mrs. Gregory
803212	106234	Myrtelle Manners
803212	112986	Myrtle Manners
803212	205481	Margy Gregg
803212	306260	Myrtle Manners
803212	330805	Myrtle Manners
803212	359996	Myrtle Manners
803213	58724	Gloria (one of Corona's girls
803213	133735	Singing whore
803213	151670	Anna Erikson
803213	226999	Anna
803213	257730	Eva
803214	62536	Desk Nurse
803214	101278	Mrs. Grey
803214	105188	Waitress
803214	133655	Hotel maid
803214	133792	Mrs. Weber
803214	142527	Nurse Soto
803214	169608	Miss Bismark
803214	203786	Faculty Member
803214	298037	Nurse Beecher
803215	197869	Bit part
803216	99558	O'Connor's daughter #1
803218	138365	Twelve Year Old Georgia
803219	86457	Ms. Robinson
803219	335871	Bartender
803219	340751	Stella
803220	385659	Adelaide Cohen
803221	310376	Fran Gibson
803222	16627	Extra
803222	218371	Sorority Girl Extra
803223	230857	Audrey
803224	273555	Amy
803225	215697	Miss Australia
803226	215708	Kathryn
803227	116270	Ms. Bickle
803228	381295	Antiques Expert
803229	321444	Whaler
803230	160861	Sarah Jane
803231	119376	Angel
803231	175181	Little Scout
803231	183329	Little Sister
803232	1738	Herself
803232	87980	Herself
803232	87987	Herself
803232	121594	Herself
803232	142394	Mary
803232	161728	Herself
803232	177492	Herself
803232	177494	Herself
803232	191559	Herself
803232	282683	Herself
803232	282684	Herself
803232	311156	Herself
803232	318837	Herself
803232	318839	Herself
803232	318841	Herself
803232	320139	Herself
803232	320140	Herself
803232	320141	Herself
803232	340399	Herself
803232	368816	Herself
803232	368826	Herself
803232	368827	Herself
803232	368832	Herself
803232	369200	Herself
803232	369201	Herself
803232	369203	Herself
803232	369204	Herself
803232	369206	Herself
803232	369207	Herself
803232	369208	Herself
803232	369212	Herself
803232	369213	Herself
803232	369214	Herself
803232	369215	Herself
803232	369217	Herself
803232	369226	Herself
803232	369230	Herself
803232	369231	Herself
803232	369232	Herself
803232	369236	Herself
803232	369237	Herself
803232	369239	Herself
803232	369242	Herself
803232	369244	Herself
803232	369250	Herself
803232	369273	Herself
803232	369275	Herself
803232	369281	Herself
803232	369284	Herself
803232	369292	Herself
803232	369308	Herself
803232	369310	Herself
803232	402907	Herself (2000-)
803232	406933	Herself (2000-)
803232	411538	Herself (2001)
803232	411539	Herself (2000-2002)
803232	411542	Herself (2000-2002)
803232	411545	Herself (2000-2002)
803233	12449	Fuerstin Wolkonski
803233	107963	
803233	120132	Czarina Elisabeth
803233	120133	
803233	227494	Philippine Schimmelpennick
803233	263753	
803233	277751	Chispa
803233	280790	Gräfin Christine
803233	290745	
803233	328998	
803233	354071	
803233	359580	
803233	361113	Sinaida
803233	365698	Stauffacherin
803233	376450	
803234	34401	Adela
803235	283129	La soubrette
803236	259868	Sarah Blackton
803237	195036	
803238	366476	Bebe
803239	314693	Cecilia
803239	399130	Lisa Elliot (1997)
803241	142079	Gundel
803241	155353	
803241	347049	
803242	253514	Performer
803243	251812	Old Woman
803244	209219	Shower Girl
803244	355156	Karen Lewis
803245	313334	Other Tourist
803246	184400	
803247	399175	Tina
803248	18519	
803248	91183	
803248	119215	Untreue ehefrau
803248	214679	
803248	216259	Eva
803249	80695	Dancer in Nightclub
803250	368721	Waitress
803251	72670	Mädchen im Zug
803251	137849	Sabine
803251	249693	
803251	266603	Andrea
803251	279003	
803251	295419	Luka/Frankie
803251	312600	Jane
803251	356550	Vanessa
803251	392669	Tiziana
803251	401355	Lisa
803252	259926	
803252	274125	Naked Woman
803253	190823	Kassadame
803255	211385	Young Mary
803256	4642	Cheral
803257	511	Additional Voices
803257	40200	Answering Machine, Female Ann
803257	68274	Electronic Video Agent (EVA)
803257	85573	Amazon
803257	85574	Amazon
803257	105381	
803257	411343	
803258	343031	Blow-Off Girl #6
803259	5886	Mrs. Hart
803260	26355	Nurse
803260	131915	Video Dating Girl
803260	141605	Neighbor's Wife
803260	241375	Mrs. Frazier
803260	251867	Sandy
803260	295349	Pet Store Saleslady
803260	330595	White House Aide
803260	331694	Bystander
803260	375863	Usher
803261	98922	
803261	131764	Aunt Gladys
803261	372244	Maid
803262	330375	
803263	37702	Beautiful Girl
803264	385401	Periodista
803265	140370	Cassandra Smythe
803266	312934	Woman POW
803267	392111	Herself/Co-host (1983-1985)
803268	250713	Ophelia
803269	3919	Colleen's Mother
803270	168464	Linda Eastman
803270	185211	WAC Aide to Gen. Patton
803270	400435	Lillie Langtry
803271	183779	The escort
803272	26992	Voice of Mother on Answering 
803273	237411	Erna
803274	65382	Calliope
803274	88193	La cliente 'Yvan'
803274	126255	La directrice
803274	167158	La cantatrice/Léonore
803274	294560	Madame Robert Brézé
803274	322358	
803274	385002	Une Américaine
803275	158243	Aunt
803276	68153	Kelly
803277	404074	
803278	176713	Miss Margo
803279	64789	The Executive
803279	243943	Lila
803280	139764	Corry
803281	253920	Medicine Woman
803282	39743	Sadie
803282	52358	Mother
803282	316646	Waitress
803282	365742	Nurse
803282	385437	Sister Theresa
803283	59869	Woman
803283	158999	Elvis fanatic
803283	159002	Elvis Fanatic
803283	368363	
803284	89160	Crackhead
803284	127276	Celine
803284	158582	Natasha
803285	323300	
803285	355484	Sra. Werner
803286	173303	
803287	192254	Schoolgirl
803288	284526	Rita Connors
803289	64750	Herself
803290	324371	Gilda Heintz
803291	80630	Waitess
803291	99695	Rosa
803292	281085	Sappho
803293	26392	The First Nun
803293	117133	French Girl #1
803293	236779	Michelle, Convent student
803293	383799	Julia
803294	51286	Andrea, Manu's best friend
803294	125282	
803295	26992	Bully Kid #3
803296	389955	Ilona
803298	197050	Rosaura
803299	379244	
803300	5504	Policewoman
803301	196745	
803301	374256	Tanya
803302	196745	
803303	261820	Marguerite
803304	316473	Herself
803305	318384	Baby Sugar
803306	276424	Avarilla
803307	127607	Herself
803307	379323	Miss Fingerwood
803307	407470	Laurel
803308	41586	Herself
803308	100001	
803308	170531	Nikki
803308	198970	Yoyo
803308	246306	La bijoutière
803308	248265	
803308	292843	Milkmaid
803311	41139	Nurse
803312	67943	Randy
803312	307994	Teenager
803313	40739	Security Person
803313	57228	Judge Blackburn
803313	87975	Mrs. McGrath
803313	105316	Judge Renaldi
803313	118933	Nurse Himen
803313	145736	Louise
803313	189265	Gladys
803313	241815	Jazz Singer
803313	296690	Martha Carter
803313	296954	Orderly
803313	363653	Ms. Gordon
803313	365597	Grimes' Secretary
803314	265355	Mrs Hollar
803315	46614	Ekpeditrisen
803315	96445	Lærerinnen
803315	119463	Inspektør
803315	165136	
803315	234512	Sanitetssøster
803316	259415	Ilka von Wieten
803317	289667	Exorcist Party Goer
803318	69053	Club Patron
803319	170232	Herself
803321	126350	Anna Barbara
803321	259518	
803321	259535	Anne
803321	290178	Janine
803321	290510	Friederike
803321	356877	Floh
803322	51124	
803322	259546	
803323	170509	
803323	289983	Wife
803324	194513	Miss Murchison
803324	380344	Varya
803324	386869	Paula
803324	395325	Freda
803324	401744	Verity Poldark
803324	402125	Lady Lucas
803325	178051	Angelica
803326	68769	Singer, Venus Hum
803327	169545	Crowd/Atmosphere
803328	169545	Arizona Girl
803329	189238	Arla
803330	408819	Mrs. Leslie
803331	191596	Jennie Morrison
803332	139288	
803332	335888	Herself
803334	83769	
803335	14888	
803335	35014	Hilde
803335	48122	Marina
803335	70310	Angela
803335	188594	
803335	270332	
803335	281692	Herself
803335	307093	Arminda
803336	43772	
803337	356770	Frau Hirsch
803338	93462	Marlies
803338	259626	
803338	325434	Annette Germeroth
803338	392669	Marita Kremer
803339	129626	Love Making Woman
803339	195549	Jennifer
803340	388878	Arnya Duchevnic
803341	381886	Herself - Guest Presenter (20
803341	390001	Herself - Host
803341	398933	Host
803342	216387	
803343	289691	Driver
803344	29523	Barfly
803345	382599	Resident musician: vocals
803345	384453	Herself - Dancer
803345	410861	Resident musician: vocals
803346	200928	La fille du docteur Baron
803347	300810	Servant at McCracken's
803348	141416	Dinner Party Guest
803349	141416	Dinner Party Guest
803350	400	Lori Reimuller
803350	900	Herself
803350	2768	Herself - Best Supporting Act
803350	2796	Herself - Best Actress Winner
803350	2805	Herself - Best Actress Winner
803350	2888	Herself (Nominee)
803350	2889	Herself - Best Supporting Act
803350	2894	Herself (Winner of Best Actre
803350	3053	Herself - Presenter: Honorary
803350	6219	Susan Orlean
803350	8163	Narrator
803350	10683	Alice
803350	21213	Blue Mecha
803350	32682	Carolyn Ryan
803350	34801	Herself
803350	46871	Francesca Johnson
803350	58022	Herself
803350	59308	
803350	63167	Herself
803350	63263	Narrator
803350	65695	Herself
803350	69711	Narrator
803350	74215	Lindy Chamberlain
803350	77758	Kate Mundy
803350	78872	
803350	80657	Sharon Miller
803350	81052	Madeline Ashton
803350	81984	Linda
803350	82055	Julia
803350	87183	Herself
803350	104324	Narrator
803350	105213	Stage 6
803350	107909	Molly Gilmore
803350	113512	Herself
803350	115784	
803350	119802	Sarah/Anna
803350	141416	Rachel Louise Samstat/Forman
803350	150790	Clarissa Vaughan
803350	151071	Clara
803350	157895	Herself
803350	161232	Herself
803350	162439	Helen Archer
803350	170366	Anne Marie
803350	175524	Herself
803350	178079	Katherine
803350	180705	Joanna Kramer
803350	187708	Aunt Josephine
803350	191789	Storyteller
803350	192769	Narrator
803350	200092	Herself
803350	203918	Eleanor Shaw
803350	204163	Jill
803350	206818	Lee
803350	217933	Narrator
803350	223084	Roberta Guaspari
803350	230890	Narrator
803350	231560	Herself
803350	234149	Herself/Host
803350	241799	Kate Gulden
803350	243950	Herself
803350	245033	Karen Christence Dinesen Blix
803350	248182	Herself
803350	258139	Susan Traherne
803350	261530	Suzanne Vale
803350	262315	
803350	263777	
803350	270242	Storyteller
803350	270245	Storyteller
803350	270246	Storyteller
803350	279180	Gail
803350	292619	Edith Varney
803350	293032	Karen Traynor
803350	298127	Mary Fisher
803350	301855	Karen Silkwood
803350	303574	
803350	308574	Herself
803350	309039	Sophie
803350	314814	Brooke Reynolds
803350	317309	Herself
803350	323177	Narrator
803350	330028	Herself
803350	345853	Leilah
803350	356350	Herself - Choir Member
803350	362346	Herself (Interviewed at The B
803350	380256	The Rabbi/Hannah Pitt/Ethel R
803350	383802	
803350	386414	Herself
803350	391843	Inga Helms Weiss
803350	402736	Hostess
803350	404469	Narrator
803351	262185	
803351	385479	
803352	137182	
803352	150526	
803352	347793	
803353	109570	Alison
803355	273267	Grandma Pusser
803357	263983	Beautiful Maiden
803357	302932	Witness
803357	346139	Catherine
803357	361229	Pig and Whistle Waitress
803358	310763	
803359	78744	May Durham
803359	241813	Gemma
803360	319068	Singer
803361	159337	Barbara
803362	379831	Teri (1989)
803364	385718	
803365	304339	Nell
803366	31184	Herself (Captain- Red Team)
803366	367869	Herself
803367	342459	Joanne
803368	165958	Mom Freeman
803368	193766	Jane Ericson
803368	359425	Kate
803368	411802	Jessica Blair (1988-1990)
803369	131709	Jenny
803369	378774	Nadia
803370	23913	Herself
803370	23922	Herself
803370	41657	Extra
803370	105016	Audience Member/Herself
803370	163366	Herself
803370	211479	Robina Oliver
803370	232018	Herself
803370	252848	
803370	330027	Herself
803370	359879	Herself
803370	378906	Herself
803370	380712	Herself
803370	383645	Presenter
803370	384549	Herself
803370	395530	Herself
803371	292856	The Lady in the Greenhouse
803372	178070	
803373	222879	Beth Eaglan
803373	366441	Francesca Blundell
803374	404864	Sammie Wilde
803375	40490	Church Folk
803376	349321	Katja's friend
803377	108146	
803378	138808	Maren
803379	168725	Wilma
803380	33236	
803380	107773	
803380	168964	Alte Frau
803380	293244	
803381	5875	Cressa Buchanan
803381	80444	Det. Maggie Layton
803381	149276	Martin's sister
803381	228453	Council Clerk
803381	381435	Sue Walker
803381	383036	Maggie Dean
803381	385105	Sister Judy Loveday (1982-198
803381	388323	Janet Simmonds
803382	259636	
803383	23258	
803384	86613	Solder
803384	190730	Aivars
803385	197836	Frau Fluth
803386	259469	
803387	387101	María Laura Andueza
803387	397572	Sofía Devesa Leyva
803387	397578	Valentina Villanueva Lanz/Bel
803387	398474	Bárbara 'Barbarita' Ruiz
803387	399520	Isabel Díaz Antoni
803387	401102	
803387	405809	Sol Romero
803387	405835	Débora Gutiérrez
803387	412123	Ariana Dupont
803388	32711	Herself - bar owner
803389	232104	Daughter #2, car crash victim
803390	687	Herself
803390	846	Herself - #21: Barbra Streisa
803390	1479	Herself
803390	1768	Herself
803390	1801	Herself
803390	1820	Herself
803390	1841	Herself
803390	2011	Herself
803390	2515	Herself - Presenter: Best Son
803390	2525	Herself - Best Actress Winner
803390	2538	Herself - Presenter: Best Act
803390	2613	Herself - Performer: 'Evergre
803390	2815	Herself - Presenter: Best Dir
803390	2894	Herself
803390	2899	Herself - Presenter: Best Pic
803390	2904	Herself
803390	2909	Herself - Presenter: Best Dir
803390	3046	Herself
803390	3053	Herself - Presenter: Best Son
803390	7591	Herself
803390	11362	Cheryl Gibbons
803390	29660	Herself
803390	29793	Herself
803390	29794	Herself - performer
803390	29795	Herself/Esther Hoffman Howard
803390	29796	Herself/Daisy Gamble
803390	33589	Herself
803390	57671	Herself
803390	67371	Herself
803390	87163	Herself
803390	96555	Herself
803390	96739	Herself
803390	112950	Herself/Yentl/Anshel
803390	117129	Henrietta 'Henry' Robbins
803390	121829	Fanny Brice
803390	121830	Herself/Fanny Brice
803390	121836	Fanny Brice
803390	121864	Herself
803390	126682	Herself
803390	131677	Herself
803390	138651	Herself
803390	142597	Dolly Levi
803390	143643	Herself (Host/Narrator)
803390	154396	Herself
803390	169999	Herself
803390	170000	Herself
803390	188118	Herself
803390	191527	Herself
803390	194240	Herself
803390	201035	Hillary Kramer
803390	209643	Roz Focker
803390	215157	Rose Morgan
803390	223077	Herself
803390	224171	Herself
803390	236982	Claudia Draper
803390	240410	Daisy Gamble
803390	241802	Herself
803390	243950	Herself
803390	264075	Dr. Susan Lowenstein
803390	267980	Herself
803390	272655	Herself
803390	288715	Herself
803390	302433	Herself
803390	302690	Herself
803390	308182	Herself
803390	313323	Esther Hoffman
803390	333408	Herself
803390	339515	Herself
803390	348386	Margaret Reynolds
803390	352697	Herself
803390	359471	
803390	360270	Katie Morosky Gardner
803390	362555	Judy Maxwell
803390	368458	Herself
803390	371131	Yentl (aka Anshel)
803390	388268	Herself
803390	402964	Herself
803391	58799	Dolly's Guest
803392	106673	Woman
803393	41537	Fiona
803394	43629	Serveuse Quinze-Cents
803395	4783	Claire
803395	120668	
803395	120926	Angestellte im Kartenbüro
803395	170701	
803395	173734	
803395	253973	Aglaia, olga's sister
803395	313643	
803396	190091	Sexy Blonde
803397	171542	Gypsy Girl
803398	259557	
803399	366612	Katie O'Halloran
803400	39852	Janey Miller
803401	62254	
803401	84416	Elena Glenarvan
803401	262547	
803401	307703	Panna Yadviga
803401	352873	Yelena
803402	229194	Mouse
803403	370140	
803404	14305	
803404	43274	
803404	46064	
803404	223214	Femme de chambre
803405	136127	Tourist
803405	175459	
803406	336968	
803406	396978	Simone aujourd'hui
803407	360055	Girl
803408	201696	Herself
803409	311120	Herself
803410	311120	Herself
803410	358523	Krankenschwester 1
803411	11986	
803411	252574	The Mother
803411	347764	
803412	338858	Maggie
803413	45591	Student
803414	151098	Trainee
803415	155434	Regina
803417	62950	
803417	98242	Mrs. Helms
803417	147946	
803417	225260	
803417	259604	
803417	259619	
803417	259633	Schröder
803417	302174	
803417	325654	Ingrid Elstner
803417	325673	Karla
803417	325771	Frau Priebeck
803417	325893	
803417	325929	Frau Heinemann
803417	361140	Maikes Mutter
803417	389120	
803417	397764	Linda Graziani
803417	399825	Ärztin
803417	409609	Mia Körber (1994)
803418	85214	Gurov's Wife
803418	374767	Arina
803419	57894	Alexia/Fleur de sang
803419	68666	Hélène
803419	107532	Fabienne
803419	120984	Sandrine
803419	164160	Elodie
803419	235715	Biche
803419	243601	Marie
803419	254083	Serveuse
803419	265705	Jeanne
803419	285152	
803419	294356	Eva
803419	306941	Cécile
803419	336467	Kristelle
803419	340340	Margot
803419	343717	
803419	355866	
803419	384213	Valentine, le fantôme
803420	93399	Angelika
803421	232767	Nina
803421	274482	Flávia
803421	390495	Isabel 'Bebel' Carrara
803422	396806	
803423	258151	Voix de Simone Lary
803424	400990	
803425	110075	
803426	279920	
803426	296995	
803426	369455	
803427	358044	
803428	315964	Girl in graveyard
803429	390496	
803430	302311	
803431	280844	Sexy dancer #1
803432	87893	D.C. Anchor
803433	32970	Mary Carrick
803433	69421	Mrs. Villiers
803433	73918	Diana Wilson
803433	73985	Joanna
803433	81515	Girl in Villa
803433	92653	Mina Holmwood
803433	127193	Party Girl (Vera)
803433	169398	Helen Ames (episode 'The New 
803433	186639	Peggy
803433	186818	
803433	222744	Amanda North
803433	232055	Patricia
803433	234888	Vanessa Lane
803433	242104	Diana
803433	245134	Jean Osmond
803433	248991	Lady Boeing
803433	279443	Woman
803433	285326	Angela
803433	292581	Helen Standish
803433	331174	
803433	364510	Charlotte Randall
803433	364796	Caroline
803433	385299	Irene Summers
803434	406567	
803435	74422	
803436	13805	Portland Hair Dresser
803437	288690	
803438	105068	Lydia
803438	181237	Anden Nyhavnspige
803438	190825	Stuepige
803438	198115	Frk. Christensen
803438	228358	Ulla
803438	346965	Lise Nielsen
803439	248576	
803440	48876	Martha
803441	114024	
803442	18032	Annette
803442	32971	Mrs. Maynarr
803442	45119	
803442	47149	Neighbor lady
803442	54556	Katie (Ward 3 nurse)
803442	75570	Frank's Wife
803442	81072	Lynn
803442	88766	Violet, Welcoming Committee
803442	92983	Mrs. George Randolph
803442	99044	Joanne
803442	111808	Mrs. Stayvey
803442	113803	Gladys
803442	139567	P.T.A Secretary Shirley Thomp
803442	154854	Tom Tom Girl Mary
803442	159709	Mrs. Krebs
803442	166858	
803442	180493	Nurse Barons
803442	181005	Gladys Schmades
803442	187271	Adelaide Churchill
803442	203650	Mary Atkins
803442	208054	Nellie Norris
803442	230499	Cousin Martha
803442	241241	House Mother
803442	252163	Miss Serena
803442	255461	Leading Townswoman
803442	263360	Matron (Opera)
803442	298852	Mrs. Young
803442	301682	Saleswoman
803442	304558	Mrs. Cavanagh
803442	311944	Mrs. Skimmons
803442	315713	Farm Woman
803442	337084	Abigail Gregory
803442	358995	Aunt Clara
803442	364832	Matty
803442	383536	Julia Mobey (1978-1979)
803442	389496	Beth Perce
803443	58827	
803444	39858	Tina
803444	49483	Barbara
803444	57945	Patsy
803444	281470	Alice
803444	292721	
803445	192072	TV Guest
803446	116138	Donna Cooper
803447	141314	Natali
803448	14141	Esther MacInerney
803448	15220	Mrs. Watson
803448	30268	
803448	39001	Roz
803448	45050	Pauline
803448	49734	Fiona Cawley
803448	78943	Heather
803448	94020	Mavis Kilbourne
803448	98810	Anna
803448	99395	Gail Stevens
803448	101053	Kay
803448	124503	Peggy
803448	124504	Peggy Thornton
803448	141388	Marilyn McGrath
803448	151625	The Mrs.
803448	153565	Myrna King
803448	177290	Vicky
803448	185712	Becky Davis
803448	188618	Marlene
803448	189911	Jessica Brenner
803448	190208	Betsey Cushing Roosevelt Whit
803448	190209	Abbie
803448	195307	Dorothy
803448	203188	Marie Foster
803448	208054	Mary Coggins
803448	220039	Ruth
803448	223739	Adele
803448	223893	Paula
803448	234984	Bonnie Mae
803448	241667	B.J. Rudolph
803448	245850	Las Vegas Lady
803448	263172	Gwen Bowers
803448	266084	Ambassador Marietta St. John
803448	268918	Victoria Eastman
803448	275433	Amanda
803448	301614	
803448	303897	Vicki Gordon
803448	311127	Mrs. Mills
803448	313596	Nancy Gilliam
803448	331541	Yvonne
803448	345851	Helen Rhodes
803448	362675	Pam
803448	364325	Charmian
803448	385719	Dorcas Trilling (1969)
803448	386897	Olive Bray/Olive Davis (1993)
803448	388801	Justice Deborah Szwark
803448	391246	Marilyn McGrath
803448	392887	Alice West
803448	397401	Katherine Andrews (1994,1997,
803448	410864	Principal Joan Courtney
803449	61562	
803449	79364	Sarah Treadway
803449	127157	Mother Morro
803449	151058	Lady Rosamund
803449	206724	Mrs. Alden
803449	211779	Rosa Gonzales
803449	224827	Mrs. Corland Buchanan
803449	240472	Mrs. Thurston
803449	241786	Mrs. Cosgrove
803449	258211	Madame Clayton
803449	263548	Miss Nelson Blanchard
803449	278482	Mrs. Rivers
803449	282656	Mrs. Bunty, the Witch
803449	291110	Mrs. Rolinson
803449	296922	The Hon. Mrs. Fitz Allen
803449	305124	Eve's Chaperone
803449	314120	Mrs. Canfield
803449	331228	Sarah Wentworth
803449	331931	Jane's mother
803449	350502	Lady Steyne
803449	362921	Mrs. Morton
803449	363347	Undetermined Role
803450	401875	Herself - Finalist (2002)
803451	15379	Sam Rogers
803451	18607	Brooke
803451	43264	Toni
803451	85834	Monica
803451	111800	Robin
803451	128583	Bonnie Gilcrest
803451	134877	Susan Williams
803451	179041	Molly
803451	303564	Visitor #5
803451	308128	Kristen
803451	314445	Tara
803451	314531	Cute Coed #1
803451	316649	Caroline Browne
803452	167714	Hooker
803453	19139	Grace Pennington
803453	44306	Rodeo Performer
803453	75644	Mabel (pioneer woman)
803453	75851	Wagon train woman
803453	282364	Mrs. Francis
803453	361805	Rodeo performer
803454	379831	Lianne Barrigan #4 (1990)
803455	78528	Eve
803456	309056	
803457	61320	Granddaughter
803458	174699	Cafe Patron
803458	333347	Stephanie (Reporter #1 with B
803459	280013	Fraser's Driver
803460	37691	Auditioning Girl
803461	195689	American Mother
803463	41874	Jennifer
803464	9108	
803465	363869	Jenny
803466	65682	
803466	151625	Guest
803466	187172	Reporter #2
803467	284104	'Pyret'
803468	202763	Nelly
803469	155721	Countess de Molney
803469	207435	Sophie Teresa Crowther
803469	294692	Party Guest
803470	338981	Herself
803471	390523	Ruth (1993)
803472	350187	Cherish
803473	186512	Elizabeth
803473	253248	Suzy
803474	56899	Sally
803474	154745	Shirley
803474	193621	Beatrice
803474	274345	
803474	383868	Liz Champion
803474	388063	Susan Bartlett (1976)
803474	400184	
803474	407414	
803474	408090	Liz Shaw
803474	408633	Helen
803475	1385	Ulla, waitress
803476	4657	Karin
803476	33453	Ruth
803476	49666	Dolores Bosch
803476	119224	Lily Hartmann
803476	125030	Maren
803476	125290	Rita Rensenbrink
803476	134841	Edith Pauler
803476	173226	Kassiererin Spielhalle
803476	208144	Rosa
803476	225652	Marion
803476	259680	
803476	267809	Die Assistentin
803476	282182	
803476	289899	Joelle
803476	293696	
803476	325652	
803476	332837	Sibylle Mauskopf
803476	350873	Agnes
803477	59565	Fitness-Frau
803477	82650	Anna
803477	115955	
803477	132240	Petra
803477	189188	
803477	325401	Anja
803477	352340	
803477	379596	Brigitte
803477	393934	Tranquility Neruda
803477	405419	Dr. Elke Bärenschmied
803478	84252	Little Girl on Wagon
803478	165444	Orphan
803478	358535	
803479	125221	Elise
803479	313667	
803479	386906	Dr. Susanne Berger
803481	32512	Gerd
803481	50273	Adeles veninne
803481	176554	Mette
803481	223194	Sonja
803481	240093	Bitten, jobber hos Connie
803481	242691	
803481	304476	Gerd, Thors forlovede
803481	321929	Synnöve Solbakken
803482	94317	Schedivy's fiancee
803483	44191	Lucy Van Tonder
803483	370580	Ma
803484	25903	Superintendent's Wife
803485	335277	Vocal chorus
803485	400565	Singer
803486	64073	Dressmaker
803486	131202	Zany
803486	256128	Mrs. Dimple, Blanche's Aunt
803487	10502	ORTF Interviewer
803487	16894	Nina
803487	251105	Sylvia
803488	349376	
803489	409361	Slime Tour Referee
803490	229601	Giusy
803491	349750	
803492	9747	Grace Wright
803492	11630	French ambassador's wife
803492	18254	Greta
803492	61037	Elizabeth Serpieri
803492	66579	Cléo Dupont
803492	70142	Eva McDougall
803492	85978	Hilda
803492	94738	Dr. Paola Lombardo
803492	118069	
803492	158866	
803492	196733	Julia Durer
803492	213799	Iona Tucci
803492	244081	Glenda
803492	249463	
803492	265316	
803492	285979	Princess Faubiani
803492	293337	Ingrid
803492	341792	Irina Rouvigny
803492	348204	Mary Caine
803492	352236	
803492	387737	
803494	51122	Boatman's daughter
803495	301408	
803496	218054	Lotta
803496	305884	Carola
803496	383075	Anita
803497	119315	Mother at laundromat
803498	238094	
803499	406083	Sally Quint
803500	189971	
803501	23388	
803501	82359	Mama de Flor
803501	96298	Corista
803501	124527	Laura
803501	292928	
803501	326540	
803502	326596	Line Dancing Twin
803503	196038	Judy
803504	313477	A Handmaiden
803505	330794	Heavy Metal Fan
803506	73482	Hazel
803507	194055	Singer at Car Lot
803508	126538	Back Up Singer (segment "I'm 
803509	187229	
803510	43925	Sam's Wife
803511	122968	Edna
803511	366921	Sandy
803513	2781	Viv
803513	24703	Sarah
803513	44270	Allison Westlin
803513	50041	Jackie
803513	102247	Dr. Susan Lewis
803513	130347	Katherine Barton
803513	355809	Marguerite
803513	387728	Dr. Susan Lewis (1994-1996, 2
803513	390771	Chistina 'Blake' Bauer Thorpe
803514	139680	Receptionist
803515	10645	
803515	179234	Eva
803517	316953	Wedding guest
803518	138669	Corinna
803519	243436	T-Rex
803520	2615	Herself
803520	2805	Herself - Variety Performance
803520	3847	Herself
803520	24703	Dolly
803520	47363	Herself
803520	47385	Herself
803520	51836	Widow
803520	58939	Sybil
803520	66557	Ruby Feinberg
803520	98750	Herself
803520	109058	Helen Ferguson
803520	116499	Hattie Walker
803520	158865	Rose
803520	161236	Herself
803520	178039	Marge
803520	181005	Irene Harding
803520	206130	Herself
803520	206225	Herself (Actress)
803520	223904	Herself
803520	232016	Herself
803520	243568	Herself (Joanne)
803520	245249	Mavis LaBreche
803520	252883	Liz Baker
803520	255697	Tough Lady
803520	259778	Aunt Polly
803520	266136	Helen Wiener
803520	280844	Grace Murder
803520	282700	
803520	282703	Herself
803520	289589	Phyllis Rycker
803520	291457	Miss Virginia Crock
803520	292452	Rowena Sharphorn
803520	294244	
803520	294571	Diane
803520	305390	Chi Chi Potter
803520	311252	Nurse
803520	315958	Maxine
803520	331670	Ruby LaSalle
803520	335652	
803520	346871	Lucinda
803520	364231	Marian Freeman
803520	387120	
803520	387309	Mrs. DeGroot (1984)
803520	387355	Narrator
803520	387481	Sydney Brewer
803520	390693	
803520	395587	Mom
803520	398732	Ruth Sherwood (1960-61)
803520	399600	Bill Hooper
803520	400236	Wilma Bern (#2) (1993)
803520	408875	Miss G
803520	409245	Dorothy McNab
803520	410614	
803521	208887	Merri Ann Coleman
803522	108139	Girl at Party
803523	406955	
803524	73898	Patient
803524	131473	Corner Store Samaritan
803524	194963	Susan Kelson
803524	314225	Lieutenant
803525	110242	Stewardess
803526	93096	
803526	118754	Femme 1 couple salon musique
803527	261263	
803527	397302	Zhena deputata
803528	19505	
803528	35055	
803528	189484	
803528	235231	
803528	244221	
803528	374463	
803529	21292	
803529	34231	
803529	35864	
803529	63613	
803529	116580	Sasha
803529	136231	
803529	156200	
803529	244582	
803529	244715	
803529	245799	Gemma
803529	304896	Anna Mikhajlovna
803529	324908	
803529	349362	
803529	357668	
803530	35862	
803530	258629	Sanda
803530	261584	
803531	14309	Katya
803531	16936	
803531	91201	
803531	171742	
803531	189484	
803531	293906	
803531	305909	
803531	390430	Jeanne de Saint-Luce
803532	165819	Gemma
803532	337868	dcéra Verona
803532	339292	Klemencia
803533	394254	
803533	396292	
803534	161576	Hotel Desk Clerk
803534	191579	
803534	226475	Counselor #3
803534	267858	
803534	392903	Gospodja Melita
803535	327566	Chalet child
803537	65683	
803538	384085	Woman in Crowd
803539	84756	
803539	147573	Anicka Lenská
803540	335	Mother
803540	85707	(segment "Twenty-Year-Olds, T
803540	179368	Pani lekárniková
803540	225839	
803540	229183	Madame de Volanges
803540	237172	Weimannová
803540	262657	Riaditelka
803540	263422	Agáta
803540	268262	
803540	304459	
803540	337868	Remenová
803540	379877	
803541	198220	Guest in autoclub
803541	239435	Vnucka Olga
803541	250446	
803541	262817	
803541	339292	Abbess
803542	211217	Tábornokné
803543	361538	Child
803545	18394	
803545	314876	Nachbarin
803545	325924	
803545	399162	
803546	392424	Herself
803546	407082	Herself (36 Days, Jaburu/Tamb
803547	348057	Susanne
803547	391604	Martina Tielmann (1997-1998)
803547	394920	Schwester 'Lindi' Birnbaum
803548	631	
803548	325767	Irene Wilpert
803549	19881	
803550	325189	
803551	225800	Hostel Resident
803552	328891	
803552	356147	
803552	356221	Signora teatro
803553	51066	Sacha
803555	51368	Indian woman
803556	11911	Female prisoner
803557	119652	Young Lady
803557	142088	
803558	34273	Vosje
803558	378773	Chantal
803558	393184	Tv-omroepster
803559	59105	Half a heart model
803559	73718	
803559	315909	Witch #3
803560	10347	Singer-All Alone
803561	85150	
803561	113644	Veselushka
803562	20404	
803563	35855	
803564	379528	Afroditi
803565	49828	Dancer
803566	29670	Harem
803567	258655	
803568	396236	
803569	34291	
803570	47095	Natascha
803570	91121	
803570	107773	
803570	119690	
803570	142321	Colly
803570	167147	Janie MacMichael
803570	200783	Elisabeth
803570	205716	
803570	216320	Margot Bischoff
803570	230227	
803570	239116	
803570	290798	Muschi
803570	291669	Pick-up
803570	310430	Gudi Schuetzer
803570	315059	Blondy
803570	322429	
803570	325705	Anna
803570	380864	Ursula
803570	392902	
803570	398863	
803570	404792	
803571	118541	Deirdre
803571	206840	Monica
803572	120237	Young Sophie
803573	209061	Credit Girl
803574	345267	
803575	323226	Trish (Voice)
803576	17855	Clémentine
803576	29489	Aline Dauchy-Gravey
803576	61440	Nicole
803576	63553	Betty
803576	69531	Patricia
803576	111118	
803576	111689	Lydia
803576	148710	Rella
803576	171416	Dame Eglantine
803576	192834	Giorgio's daughter
803576	205771	Bergère
803576	214021	Mireille Clos
803576	224872	Sara
803576	244964	Charlotte
803576	265699	Caroline
803576	310730	
803576	324067	Marie-Thérèse de Périgord
803576	336976	Annette
803576	345267	Martha/Anne/Freda/Judith
803576	353886	
803576	357074	Martine
803576	412246	Louise
803577	196370	Jessie
803578	108807	Jess
803579	156649	Abigail
803579	272751	Alice Rütterbusch
803580	314501	Kid #3 in Cafeteria
803581	265092	Pilgrim
803582	365805	
803583	4618	Girl
803584	155248	Freak Show Excited Lady
803585	199564	Vicki
803586	964	Janie
803586	72108	Mandy
803586	133829	Pam Morgan
803586	147651	Jill McBain
803586	175621	Girl
803586	202363	Glorianna
803586	317353	Melissa Manoogian
803586	340704	Turnpike
803586	350337	Wanda
803587	171875	
803588	128618	
803588	211679	
803589	253091	
803590	209237	Computer Voice
803591	59872	Grandma
803591	257962	Granny
803593	98659	Matt's wife
803593	274195	Receptionist
803593	292396	
803594	76496	Nurse
803595	276759	Nun
803596	264267	The Make-Out Girl
803598	127209	
803598	136019	Linda Marshall
803598	277910	Lost Soul Rider
803599	166069	Claxton's Little Sister
803600	23255	Young Kida
803601	274054	Barmaid, Dancing Girls #2, Fa
803602	2798	Herself
803602	273914	Herself
803603	200166	Minty
803604	102989	Das Mädchen mit dem Amulett
803605	343671	
803605	381579	Sabine Kronauer
803606	45851	Ms. Chisolm
803606	139131	Laura
803607	45509	Winona
803608	313463	
803609	113931	
803610	52580	
803611	336452	Reporter
803612	136838	Reporter
803613	346848	The Childlike Empress
803614	150966	Fancy
803615	360149	Vampire Girl #1
803616	47191	Old Lady
803616	237465	Elizabeth Valerie Stewart/Ten
803616	305514	Gossiping Customer
803616	357068	Mrs. Schulman
803616	385299	Mrs. Keeley
803617	39441	Melanie
803617	72509	Doctor
803617	81767	Ellen
803617	106115	Susan Andrews
803617	126495	Emily LaCrosse/Psychiatrist
803617	130450	Patty Newfield
803617	160445	Herself
803617	162820	Dr. Sammy Helding
803617	175582	Desiree
803617	176287	Bonnie
803617	202389	Claudia, Riley's Secretary
803617	215741	Joyce
803617	224073	Laura
803617	252449	
803617	255859	Mary Ann Steed
803617	274069	Dinner Guest
803617	303975	Sexy Real Estate Agent
803617	310184	Gretchen (Nurse)
803617	313820	Capt. Deladier
803617	313822	Sgt. Dede Rake
803617	314439	Crime Search Reporter
803617	326620	Jackie Sloane Chevron
803617	328603	Dr. Helen Corey (segment "Com
803617	346250	Renee Rivera
803617	360892	Danielle
803617	386144	Mary Alice Scott
803617	391344	Arlene Ridgeway, the Rich Lad
803617	404531	Allison King
803618	69049	Police Agent
803619	305776	
803619	332865	
803620	5412	Dominatrix
803620	9093	Morgan Daniels
803620	277142	Emma Jones
803620	340924	DS Sarah Miller
803620	366585	Judy
803620	372210	Young Mum
803620	393037	Margaret
803620	398691	Claire Macavoy
803620	404795	Valkyrie
803621	56674	Rita
803622	53821	Nurse
803622	139175	Cop One
803622	240785	Bank Teller
803622	281387	Mechanic
803623	388929	Jessica Carter (1978)
803624	169136	Salome: Levi's Wife
803625	168254	
803627	151196	Mrs. Dickson
803628	46769	Lady in Waiting
803628	133807	Girl in flower shop
803629	7618	Blind Mother with Baby
803629	41444	Jan
803629	43593	Andrea
803629	65934	Cynthia
803629	73325	Gwenda
803629	74207	Girl at funeral
803629	117745	Denise Longden
803629	192785	Teacher
803629	196083	Gloria
803629	215796	WPC Rachel McMahon
803629	235592	Mary Valley
803629	271315	Linda
803629	273422	Janet
803629	273424	Janet Crossley
803629	315719	Sharon
803629	320453	Darren's Mum
803629	330377	Cath
803629	363790	Girlfriend
803629	378962	Charlie
803629	382668	Various roles
803629	387334	Minnie
803629	388929	Jan Carter
803629	394496	Sadie Deedes
803629	396147	Hetty
803629	399379	Linda Thompson
803629	400278	Cassandra Parry/Trotter (Seri
803629	400814	Tina Kitson, nee Fawcett
803630	129559	
803631	346398	Girlfriend
803632	122657	Member, WAC Quartet
803633	40711	Connie
803633	140832	The Dominatrix
803634	328992	
803635	345717	Donna Knight
803637	193833	
803638	265764	As herself
803640	42386	Kala Kornhauser
803640	221306	Nurse
803640	257689	Natalie
803640	273972	Carolyn Harris
803640	299846	Mourner
803641	245950	
803642	170845	Dudettes member
803643	80035	Nurse
803644	158113	
803644	176303	Kristi
803645	11150	
803645	13508	
803645	26713	Jennifer
803645	27028	
803645	27034	
803645	37949	Herself
803645	44350	
803645	50334	
803645	53319	
803645	74292	
803645	81376	
803645	87322	
803645	88876	
803645	105633	
803645	109477	
803645	128335	
803645	144420	
803645	144421	
803645	147622	
803645	150172	
803645	161506	
803645	202787	
803645	206451	
803645	230389	
803645	233693	Women at Play
803645	242084	
803645	251787	
803645	251866	
803645	254796	
803645	254797	
803645	257519	
803645	264174	
803645	273528	
803645	311440	Herself
803645	311633	
803645	319350	
803645	331726	
803646	351181	Shirelle
803649	849	Additonal Voices
803649	17280	Crew Woman (segment "Final Fl
803649	17281	Crew Woman
803649	30961	Barbara Gordon/Batgirl
803649	30977	Barbara Gordon
803649	30978	Batgirl/Barbara Gordon
803649	30979	Barbara Gordon/Batgirl
803649	35631	Misha
803649	53292	Lula
803649	58889	
803649	68086	Hotel Maid
803649	72922	Lucas
803649	87031	Mara
803649	107471	Timmy Turner
803649	107472	Timmy Turner (new version)
803649	107473	Timmy Turner/Kid/Fairy #1/Kid
803649	107474	Young Timmy Turner/Paula Poun
803649	108339	Sarah (17-30)
803649	113332	Rikku
803649	113333	Rikku
803649	117785	Child Yxunomei/Yxunomei/Addit
803649	152718	
803649	155213	Start
803649	167710	Timmy Turner
803649	177076	Britina
803649	183061	Chocolat/Goddess Poitreene
803649	192014	Melody
803649	194012	Reena
803649	206445	Student in Pageant
803649	214756	Tutorial Voiceover
803649	218219	Kaya
803649	232966	Rachel
803649	243760	Mar
803649	256646	Mara
803649	262132	Bubbles
803649	262133	Bubbles
803649	262134	Bubbles
803649	262136	Bubbles
803649	265065	
803649	265066	
803649	274519	Daisy Mae
803649	274729	Lucille
803649	283099	Dil Pickles
803649	283102	Dil Pickles
803649	283104	Dylan Pickles
803649	283106	Dylan Prescott 'Dil' Pickles
803649	283108	Dil
803649	284933	Gwen
803649	284938	Gwen
803649	285050	
803649	290952	Lena
803649	294028	Bô, the baby
803649	294140	Carla Morgan
803649	300231	Lil' Red/Fairy
803649	303977	Tina
803649	323889	Presea Combatir/Corrine
803649	325095	Hazel
803649	327040	Yumi Francois
803649	335063	Nibbles
803649	337121	Vida Sparrows
803649	337177	
803649	347888	Timmy Turner
803649	350230	
803649	365458	Schoolgirl
803649	368496	Nurse
803649	373997	Timmy Turner
803649	378703	Spot Irma Chicken/Two Tone/Ve
803649	379168	Additional Voices
803649	379279	Additional Voices
803649	379710	Dil
803649	381051	Young Celeste
803649	381397	Barbara Gordon/Batgirl
803649	382033	Mary Jane
803649	383410	Hip Koopa/Hop Koopa
803649	383411	Hip Koopa/Hop Koopa
803649	383462	Caro/Rebecca/Anna/Additional 
803649	383538	Bubbles
803649	386201	Shareena Wickett
803649	386945	Toot/Princess Clara
803649	388108	Kylie Griffin
803649	388215	Timmy Turner
803649	388694	Ingrid Third
803649	389156	Terrence
803649	389651	Agent Heather
803649	389652	Agent Heather
803649	390403	Barbara Gordon/Batgirl/Elizab
803649	391235	Additional Voices
803649	391330	Hello Kitty
803649	391414	Host/Mouse
803649	392807	Wendy
803649	393269	Dannan O'Mallard/Molly Winks
803649	393643	Herself
803649	394403	Sanjay/Penny
803649	395723	Tutu
803649	396378	Cloe
803649	397168	Carly
803649	397995	Tara Byron
803649	398275	Tara Harrison
803649	398728	Ame
803649	399228	Batgirl (Barbara Gordon)
803649	400033	Mina/Others
803649	401191	Brenda
803649	401458	Dotty/Prissy
803649	402016	Bubbles/Additional Voices
803649	402328	Laura
803649	402343	Bebe Proud/Cece Proud/Puff
803649	402732	Sophia Tutu (understudy)
803649	402954	Additional Voices
803649	403907	Dylan Prescott 'Dil' Pickles 
803649	403963	Frances
803649	407457	
803649	407695	Raven
803649	411279	Additional Voices
803649	411584	Omi
803650	168330	Bella Thompson
803650	384092	Margaret
803650	387605	Jennifer Sutton
803650	388320	Helen Mount
803650	393106	Claire (1965)
803650	409578	Rosalind
803650	410248	Mrs Virginia Cortez
803651	126130	Featured
803652	382148	Joanna Sedley (1972-1973)
803653	226899	Girl child
803654	30678	Josephine
803655	360682	Grandmother Epstein
803656	304791	Little girl
803656	388217	Evie Olcott (1951-1952)
803657	312938	Rhona
803658	64825	Publisher's Assistant
803658	68736	Mrs. Dietrich
803658	79850	Alice Estee
803658	81065	Dr. Rita Glass
803658	144340	Mrs. Arthur
803658	215793	Woman at Concert
803658	233567	Alice Jacobson
803658	250713	Herself
803658	282022	Mrs. Blaine
803658	293145	Sophie
803658	306176	Pinky Allen
803658	345851	Mrs. MacGregor
803658	372600	Rose Kennedy
803658	390122	Cornelia Otis Skinner (Feb-Ma
803658	397232	Maggie (1976-1977)
803659	5680	Johanna
803659	12468	Esmée
803659	53139	Reina
803659	64676	Bruidje
803659	238427	Ramona
803659	281148	Actrice
803659	374300	Marga
803659	382211	Karin
803659	410441	Tessa Boonstra (1993)
803660	11764	
803660	12462	Thérèse
803660	53139	Astrid Groen
803660	59702	Mukki
803660	189892	Mascha
803660	214507	
803660	241929	Birgitte
803660	242903	nurse
803660	259160	
803660	271893	Herself
803660	281371	
803660	314824	Assistant Manager
803660	334736	
803660	376505	Leila
803660	408174	Tante Truus
803661	47764	
803661	260392	
803662	38512	Crazy Girl
803663	87418	Herself (Special Appearances 
803663	192282	Herself/President of the Amer
803663	388661	Herself
803664	345290	Alto
803665	99222	Mevrouw Eekhof
803666	201799	Supervising Color Stylist
803667	74074	
803667	331109	Connie Edmonds
803668	74074	
803668	331109	Nell Edmonds
803669	11632	Barmaid
803670	358007	Secretary #1
803671	134369	
803672	202100	Kelly Richardson
803673	393297	Herself (2001- )
803673	395571	Herself
803674	48792	
803675	222258	Young Danielle
803676	281470	
803677	10393	Pamela Weston
803677	183670	Marjorie Clark
803677	190103	Nurse Vincent
803677	391072	Jackie Webb
803678	118564	Deb
803679	222258	Nurse
803680	337325	Abby
803681	280016	Jacuzzi Girl
803682	318814	Nikki
803683	80032	Narrator
803684	10857	Grocery Cashier
803685	99583	Herself
803686	402112	Herself/Model 1957-1959
803687	15224	Herself
803688	337227	Herself
803688	399295	Herself
803689	39157	Mifa's Staff
803690	28066	Lisa "X"
803691	118474	Elizabeth Ann Whitmer
803692	57817	
803692	266627	Cathy (Herman's dinner)
803693	31387	Leni
803693	213684	
803693	251056	
803693	347642	Gräfin Reichswitz
803694	123888	
803694	156090	
803694	352599	Gabriele Zibelius
803695	80633	Carmen
803695	89688	Gerald's Mom
803695	276217	Radio play background voice
803695	387481	Maria
803696	30582	Beers Cheerleader
803696	235052	Texas Dancer
803696	396696	Juggy Dancer (1999-2000)
803697	294064	Aunt
803698	210012	Wera
803698	347614	
803699	104231	Martha
803700	29580	
803701	82814	
803701	187800	Dr. Nadezhda Nikolayevna Volk
803701	356420	
803702	283767	Anastasia
803703	250745	Holly's friend #2
803704	54428	Madame Anna Valeska, aka Glad
803704	105569	Peggy Smith
803705	167324	Banister's secretary (credite
803706	141943	Solange
803706	237538	
803706	259681	
803706	292104	Schiefhütchen
803706	374625	Prinzessin
803706	376082	
803707	13789	Young Jane Burnham
803708	273756	
803709	399175	
803710	191760	Extra
803711	37012	Betty Bowers
803711	40795	Dolman
803711	214037	Reporter #5
803712	41400	Teacher
803713	79072	Jessica
803713	138220	Jill
803713	162565	Cora Lee
803713	230347	Nicole Valvano
803713	232442	Michelle Metts
803713	289683	June Messenger
803714	43206	
803714	176144	Cinderella
803715	48264	Misty's mother
803716	232248	Luther's daughter
803717	237957	
803718	18548	Mrs. Van Der Bijl
803719	60164	Virginia
803720	177081	Narrator
803720	367869	Herself
803721	183298	Nia
803723	386219	Finalist #10
803724	174667	Robotnícka
803725	18746	
803725	25133	
803725	114576	
803725	374637	
803726	158102	Young Woman
803726	273345	Kim
803726	316267	Suzie
803727	316267	Kidnapped Little Girl
803728	1888	Odvisnik od glasbe
803729	308482	
803730	226012	
803731	237523	
803731	258424	Nurse
803732	226012	
803733	99055	Xenon's Cousin
803734	87599	Roommate
803735	173011	
803736	86007	Daisy Mutlar
803737	45941	Pige der får hendes tøj stjål
803738	277088	Pi-Delta-Pi
803739	217603	Control Room Assistant
803740	225948	
803741	213564	
803741	230103	Weggelopen moeder
803741	349597	Laura
803741	394912	Trol Grijp
803742	2709	Alexa
803742	78328	Cindy Rackley
803742	83777	Delilah
803742	215508	Janine
803742	233964	Loraine
803742	292700	Olenka
803742	309546	Stern Nurse
803742	314965	Sheila McCarthy
803743	97951	Louise Trecker
803744	10746	Tiger Lily
803744	11298	Herself
803744	11299	Herself
803744	12271	Sara Moore
803744	16144	Jenny Corelli
803744	80829	Marilyn
803744	86459	
803744	114618	Betty
803744	126603	Fran Clinton
803744	133655	Bess Houdini
803744	144402	Helen Klaben
803744	158107	Patty Pepper
803744	161415	Janis Halston
803744	218555	Onida Roy
803744	224024	Mrs. Katherine Eaton
803744	230501	Mother Goose
803744	244457	Mrs. Zelloff
803744	245119	Betty
803744	254917	World's No. 1 fan
803744	274646	Katie
803744	330818	Herself
803744	378955	Marsha McMurray Shrimpton
803744	379713	Gloria Bunker-Stivic (1971-19
803744	386393	Charlene Sinclair
803744	389300	
803744	389858	Jennifer Smith #3 (2002)
803744	390175	Gloria Bunker Stivic
803744	401083	Pebbles Flinstone
803744	405709	Regular Performer (1970)
803744	407441	Rebecca 'Becky' Cunningham
803744	408238	
803745	88453	
803745	236066	
803745	409735	Mary Grant
803746	381910	Herself (Series 1) (2000)
803747	194693	Snitch
803748	204747	Police Officer
803749	396763	Herself (2000)
803749	399052	Herself (2001)
803750	168063	Cheryl
803750	394775	Cate
803751	363668	Waitress
803752	259471	Elzbieta
803753	6725	Herself
803753	40094	
803753	41586	Herself (Stryc-9)
803753	74185	
803753	93991	
803753	109339	
803753	113147	
803753	113436	
803753	125584	
803753	127372	
803753	128551	
803753	128553	
803753	188941	
803753	196002	
803753	208440	
803753	215635	Miss Piss (Cherry Mirage)
803753	226898	
803753	226955	
803753	242552	
803753	247990	
803753	248436	
803753	273368	
803753	296985	
803753	332744	
803753	340897	
803753	346102	
803753	359860	
803753	360412	
803753	366761	Carol Medford
803754	394987	Herself
803755	369390	Christiane
803756	293700	Lamia Reno
803757	157315	Margo
803757	194007	Beth Mimms, Ed Miller's Fianc
803757	360741	Margaret 'Muffin' Brenner Cor
803758	124580	Denise
803759	7733	
803759	7734	
803759	26905	
803759	26923	Herself
803759	26940	Movie director's maid
803759	28870	
803759	35732	
803759	47251	
803759	68172	
803759	85774	
803759	128729	
803759	197868	
803759	233693	Games Women Play
803759	245473	
803759	271722	Herself
803759	302907	
803759	317862	
803759	321160	Herself
803759	323441	
803759	325292	
803759	364047	Drug dealer's wife
803760	296297	Station Staff
803761	209237	Mandrissa Cho
803761	222779	Asian woman
803761	326617	Mama
803762	125478	
803764	24420	
803764	95907	
803764	179671	
803765	341065	Girl in street
803766	59307	
803767	240084	Ruzena
803768	87612	Jitka
803768	237541	Costumer
803769	351975	Vera Lukásová
803769	375413	Waitress
803770	6318	
803770	97843	Roswitha
803770	110114	Madame Antoinette
803770	111674	
803770	134214	
803770	173180	
803770	189611	Fette Prostituierte
803770	197115	
803770	207792	Flecklbäuerin
803770	322936	
803770	329895	Mutter Camper
803771	378164	
803772	154323	Customer
803773	211217	
803774	58273	Helena
803775	244287	Pani spravcova (mrs. caretake
803776	28281	
803776	89977	
803776	95124	
803776	238024	Granny
803776	256373	
803776	377586	Actress
803777	122321	Croftgirl
803777	357776	Anna, daughter of Jan Hansson
803778	29556	
803779	339633	Herself
803780	342303	Mamsell Arfvedsson
803781	204537	Lena
803782	378256	Alma
803783	180445	Sihteeri
803784	47046	Die Schwedin
803784	102880	
803784	142082	Britta
803784	156616	Library Clerk
803784	173169	Rauthgundis
803784	173170	Rauthgundis
803784	204452	Doris
803784	210086	Josefine
803784	225629	Pam Walsbury
803784	225632	Pia
803784	270935	Girl at the restaurant
803784	308203	Kristina
803784	364922	
803785	47607	Twin #1
803786	334037	Gloria
803787	96018	Simone Kroll
803787	180221	Young prostitute
803787	381602	Martina
803787	391463	Brunnspigan
803787	400451	Judith
803787	402479	Gabi Hallberg
803788	109140	Pyttan (Helen's friend)
803789	314958	Mrs. Nilsson's daughter
803790	47607	Twin #2
803791	394074	
803791	409111	
803792	276336	Waitress
803793	137953	Dr. Morell
803793	149242	Festdeltagare
803793	182279	Renate Biedersen (episodes 2 
803793	214360	Aunt
803793	263700	
803793	322613	Miss Rita Gustavsson-Rinaldo
803793	322840	
803793	349075	Louise Edberg
803793	361568	Martha
803793	380374	Annika's mother
803793	381054	Night nurse
803793	396218	
803793	402479	Logoped
803793	403084	Yvonne Dahlén/Bjurhed (1992-1
803793	412287	Margit Öberg
803794	48340	Nurse
803795	95178	Doll
803796	199518	Journalist at press conferenc
803797	56810	Katrina Corelli
803797	135671	Kerstin Björk
803797	325152	Mary
803797	379177	
803797	388922	Ulla Norstrand (1965-1966)
803798	84306	Mother (Norwegian Language Ve
803798	87930	Marja
803798	98631	Rigmor Sande
803798	146986	Randi
803798	315415	Tjenestepike
803798	354196	Berit Bråten, småbrukerdatter
803799	92012	Eva Miller
803799	98237	
803799	104748	Norwegian entry (7th place)
803799	104749	Norwegian entry (14th place)
803799	104751	Norwegian entry (17th place)
803800	311727	Herself - Host
803800	405364	Herself - Host
803800	409270	Herself - Host (1996-1997)
803801	92012	Biblotekdamen
803802	94274	Bruden
803802	134707	Eva Ringmar
803802	153767	Anna
803802	153955	TV Hostess
803802	292281	Ebba
803802	321912	
803802	327126	Olga
803802	360852	TK
803802	389138	Inger Sparre Eriksen
803802	392395	Silje
803802	409930	Mai Selnes (70 episodes 1998-
803803	48324	forlover
803803	153767	
803804	252003	Maria
803805	16403	Målfrid, Kjells søster
803805	181297	Ragnhild
803806	74207	Mary Woods
803807	231511	Verbally Abusive Spouse
803808	294573	Guest
803809	120095	Apartment Girl #2
803810	137213	Rhetha
803811	128696	Suzan
803812	104699	Courier Clerk
803813	142491	Girl with Kittens
803814	37470	Young lady
803815	3593	Herself/Mary Greenlee Smythe
803815	16695	
803815	161311	Herself
803815	309830	Sally
803815	334429	Spogliarellista
803815	379716	Mary Greenlee Smythe (2002, 2
803815	380391	Donna Love Hutchins Huydson H
803815	386603	Toni Ferra Powers (1971-1977)
803815	389858	Dr. Gina Dante Lansing #1 (19
803815	390771	Vanessa Chamberlain (1980-198
803816	1884	
803817	33851	Mrs. Gray
803817	139567	Bertha Harper
803817	163232	
803817	178080	Rosalie Schultz
803817	180493	Mrs. Fisher
803817	201349	Neighbor
803817	203716	Mrs. Barclay
803817	230499	
803817	255878	Tilda
803817	264469	Woman in Elevator
803817	335807	Singer
803818	9125	Mrs. Kramer
803818	26633	Mrs. Thompson
803818	93250	Angie
803818	108244	Sylvia Peterson
803818	142516	Irene Foster
803818	186825	Betty Stallings
803818	205920	Ina Baxter
803818	244810	Marianne Danzig
803818	266647	Mrs. Seidel
803818	390301	Bunny Wilson (1965-1969)
803818	390577	Bessie. Gildy's Secretary
803818	397229	Peggy Ferguson
803818	400512	Marianne Danzig
803818	401291	Alice (Howie's wife) (1960-19
803818	402596	Wilma Winslow
803819	6918	Kiwi McGill
803820	175176	Binkie
803820	191771	Dolly
803820	192063	Binkie Sioden
803820	218793	Eric and Ingrid's Child
803820	224035	Molly Martin
803820	244815	Jennifer
803820	281876	Rose O'Malley
803820	311495	Mary
803821	164641	Hospital patient
803822	44599	Dr. Stuart
803823	384381	
803823	400106	
803824	7618	Woman Neighbor
803824	12937	Gertrude Schlumberg (2002 Dir
803824	89691	Enid
803824	96873	Annie
803824	114016	Siobhan
803824	144558	Sharon Newton
803824	152734	Colette
803824	160503	Young Actress
803824	235174	Isabella Thorpe
803824	243226	Maureen Clegg
803824	292417	Martha
803824	292593	Nina
803824	304689	Fran
803824	314157	Petronilla
803824	380647	Madelaine
803824	383461	Staff Nurse Jayne Dugas (1994
803824	387247	Anne (1994)
803824	396112	Amanda Gimbert
803824	396580	Norma's girlfriend
803825	128727	Featured Dancer
803825	341515	Featured fancer
803826	407166	Saartje
803827	10667	
803828	10595	Bobby Jessup
803828	96811	Little Willie
803828	115910	Talbot Child
803828	129208	Gladiola's child
803828	145615	Little Marie
803828	152871	Winchie
803828	196112	Little Molly
803828	223668	The Baby
803828	241715	The Baby
803828	245173	Elise Storrow
803828	273560	Mimo
803828	364528	Molly Stuart
803828	367650	Betty
803829	117390	Aunt Sherritt
803829	238442	Jocasta
803829	383372	Béatrice Tremblay
803831	70857	Estela de la Fuente
803831	91398	
803831	297652	Asha
803832	263944	Fortune
803833	154368	Herself
803834	37022	Ferina
803834	274008	
803835	2342	Anne Marvis
803835	3021	Herself
803835	7136	Female Passenger
803835	9117	Ruth Barnes
803835	11665	Ellen Steffens
803835	33739	Lucy Tarrant Hausmann
803835	34953	
803835	35821	Herself (at Oscars for Titani
803835	59101	Carol Murdock
803835	66826	Herself
803835	73203	Ellen Godfrey
803835	101071	Bertha
803835	115708	Mrs. Parker
803835	117659	Herself
803835	118529	Herself
803835	127519	Barbara Kelton
803835	128257	Mary Dolan
803835	128416	Joan Langford
803835	128427	Mary Chesbrooke
803835	130623	Ann Prentiss
803835	143583	Glenda Forbes
803835	143607	Dorothy 'Dot' Martin
803835	147768	Herself
803835	147804	Herself
803835	147910	Herself
803835	152679	Herself
803835	154335	Anne Rogers
803835	154680	Herself
803835	154912	Jane Hamilton
803835	158230	Mrs. Bowman
803835	158902	Rose Hooper
803835	161916	Flora Cranley
803835	162836	Julie Hayes
803835	163226	Doris Winslow
803835	163544	Dorothy Wilton
803835	175162	Carol Walters
803835	178030	Mrs. Bernsdorf
803835	183330	Pamela Pryor
803835	183626	Linda Ryan
803835	183759	Ann Adams
803835	184459	Old Lady
803835	186054	Lorraine
803835	187271	Store customer
803835	190064	Janet O'Hara
803835	195509	Alice Trask
803835	195813	Eleanor
803835	208636	Bobby Halevy
803835	211496	
803835	214090	Jessica
803835	222781	Eliza Hoops
803835	223918	Mrs. Horn
803835	224165	Grandma
803835	239572	Margaret Waverton
803835	260224	Margaret Allen
803835	264470	Mrs. Peggy Mudd
803835	264715	Mary Gregg
803835	265361	Countess Sonia
803835	273600	Gwen Warren
803835	280830	Princess Sylvia
803835	292540	Irene von Helldorf
803835	298050	Phyllis Fowler
803835	299679	Gertrude
803835	316681	Doris 'Dodo' Baldwin
803835	321099	Phoebe
803835	331521	Queen Anne d'Autriche
803835	333315	Margie Ross
803835	333856	Rose Dawson Calvert (Old Rose
803835	333859	Mrs Helen Bishop
803835	343230	Roberta
803835	347201	Herself
803835	354817	Mrs. Fowler
803835	359140	Doris Martin
803835	363735	Alice Walker
803835	365559	Mrs. Connoly
803835	366235	Julie Harrison
803835	368448	Herself
803836	117340	Woman
803837	139650	Millicent Bulstrode
803838	56249	Trixie
803838	61727	Mousie
803838	315966	Theresa Halstead
803838	360678	Miss Markham
803839	206169	Empress
803839	255396	
803839	271882	Mrs. Gilchrist
803840	1814	Victoria Falcone
803840	64984	Manuela
803840	89744	
803840	378799	Victoria Falcone
803840	383032	Eugenia Giménez-Álzaga
803840	391647	Carla
803840	394017	Patricia 'Pato'
803840	405916	Laura (2003)
803840	409957	Paula/Amanda (1998-1999)
803841	5474	Pepita
803841	115075	Sonia Mercer
803841	130051	Sonia
803841	189307	Grace Taylor
803841	199387	Pepita
803841	271260	Betsy
803841	289623	
803841	316914	
803842	142980	
803843	29304	Miss Mayfair
803843	33478	Lady Zoe Harwich
803843	43738	Elspeth Patterson
803843	81240	Lady Blanche
803843	117709	Olga Desmond
803843	133550	Phyllis Ware
803843	174603	Barbara Fitzpatrick
803843	177410	Yvonne
803843	186688	Angela Mallard
803843	190087	Clare Armore
803843	190998	Olga Hoyt
803843	209429	Flossie
803843	215286	Eleanor Bingham
803843	217663	Margo (English version)
803843	239744	Nurse Wilson
803843	241049	Alicia
803843	285290	Olga Delgaroff
803843	296872	Moya Silverton
803843	342469	Mrs. Jamieson
803843	354745	
803843	363820	Gloria Gaye
803844	207493	Customer
803845	226482	Electra
803845	389570	Electra
803845	396019	Student C, Plane Announcer
803846	151116	Blonde
803847	87222	Stormy
803847	154451	Katie
803848	215691	Celebrity Judge
803849	157922	Aunt Alice
803849	241123	
803849	326643	
803849	326644	
803849	332999	
803849	384682	
803849	384688	Regular
803849	393945	Lustra
803849	399368	Nic
803849	412090	
803850	42992	
803851	84201	Elizaveta
803851	116081	Dandy
803851	196490	Grace Wickens
803851	223764	Lily
803851	232272	
803851	234033	Timmy's Mother
803851	240019	Oliver's Mother
803851	301953	Una
803851	316479	Miss Ward
803851	360542	Andy, pregnant inmate
803852	5437	Cook
803852	6687	The Boy's Mother
803852	11725	Assistant
803852	20771	Harriet Skycraft
803852	28581	Mrs. Raeburn
803852	31919	Mrs. Randolph Thorne
803852	31928	Mrs. Ray, Mother
803852	32350	Mrs. Hilton, Hilton's Mother
803852	35811	Sarah
803852	37112	Aline Mitchell
803852	39542	
803852	39893	Fanny Brock
803852	44711	Mrs. Regan
803852	45589	Mrs. Farmer Brown
803852	46816	Mrs. Ward
803852	47832	
803852	50664	
803852	50872	
803852	54398	Mrs. Steadman, Bertha's Mothe
803852	59406	The Character Woman
803852	62526	Widow Smith
803852	68475	Mrs. Neville
803852	71478	Mrs. Drayson
803852	72046	The Aunt
803852	73403	
803852	73405	Widow Oatmeal
803852	75895	Sister Agatha
803852	89690	Mrs. Day
803852	91603	Margaret, George's Housekeepe
803852	91788	
803852	93233	
803852	109799	
803852	110381	The Witch
803852	114194	The Squaw
803852	115075	Mrs. Watson
803852	116967	
803852	120602	Mrs. Myers, Otto's Mother
803852	120881	
803852	143449	The Wife
803852	144777	The Widow
803852	145107	The Old Witch
803852	145862	The Mother
803852	145902	
803852	147959	Martha, the Clergyman's House
803852	158164	The Cook
803852	161521	Mary Fitzmaurice
803852	163342	
803852	164684	Mrs. Francis
803852	175206	
803852	175811	Mrs. Andrew Farley
803852	183560	Lord Primton's Sister
803852	187297	
803852	188582	Kittie's Mother
803852	191785	Mother Kranz
803852	191874	The Grandmother
803852	192034	Jane Glenton
803852	192082	Julia
803852	192740	A Trusted Servant
803852	193479	Mrs. Mooney
803852	195515	Mrs. Forbes
803852	196976	Mrs. Worthing, Lily's Mother
803852	203493	RCMP's Wife
803852	207411	Mrs. Rallston
803852	207774	Amelia
803852	208944	Mrs. Sieppe
803852	214990	The Woman
803852	218763	Paul's Mother
803852	218918	Nancy Somers
803852	220000	Mother
803852	235171	Mrs. Carter
803852	239077	
803852	241838	Mrs. McLennan
803852	246718	Annabel Dean
803852	251493	His Wife
803852	256822	Aunt Wess
803852	264602	
803852	267513	Miriam Joyce
803852	273685	The Mother
803852	274735	Calliope's Mother
803852	276700	Bianca
803852	279728	Sheriff's Housekeeper
803852	289071	Mother
803852	308922	
803852	309548	Mrs. Cave
803852	310683	Mother, a Witch
803852	319272	
803852	320015	Mrs. Silas Hobbs
803852	324255	Guest
803852	324497	Mrs. Jones
803852	328813	Miss Gillman's Mother
803852	329750	The Widow
803852	330584	The Widow Drury
803852	331478	The Boarding House Keeper
803852	331863	
803852	338559	Mrs. Babbitt
803852	351721	Undetermined Role
803852	351746	Mrs. Mulvaney
803852	362700	Abigail Bunce, the Old Maid
803852	362723	Mistress Minuet
803852	362979	The Mother
803852	364538	Jane's mother
803852	366622	Mrs. Snap
803852	366734	
803852	368368	Mrs. Cranby
803853	133212	Featured Extra
803854	171310	Ethel Brown
803854	365787	Ethel Brown
803855	72208	Customer
803856	23317	Heather Yates
803856	67374	Susie
803856	102115	Robyn Foster
803856	160778	Young Chyna Shepherd
803856	200356	Mary Green
803856	200357	Mary Green
803856	207505	Melissa Randall
803856	310514	Angel
803856	318768	Daisy Lee
803856	320089	Molly
803856	335721	Francesca
803856	338277	Tiffany Sloan
803856	369486	Kitty Pryde
803856	385308	Sarah Mohr
803856	411517	Meg Murry
803857	108586	Genny Winslow
803857	120392	Allison 'Frog' Parker
803857	128350	Jennie
803857	365454	Shannon
803857	389858	Cindy (2003)/Sage Alcazar #2 
803858	64836	Ruth
803860	86907	Hillbilly
803861	82551	Conference Room Executive
803862	133212	Extra
803863	26426	Anna
803863	79581	Sairy
803863	219166	Bit
803863	338291	
803864	318078	Ellison
803865	38960	
803866	186753	Slave Girl Lisa
803867	398691	Forensic Officer 2
803868	118675	Pru
803869	138895	Sniffles
803870	96989	Celia
803870	257201	Girl on Dock
803871	270944	The Twin Penny
803873	13258	Lady Cleone Meredith
803873	33765	Blanquette
803873	42671	
803873	73396	Thalia Drummond
803873	99544	Juliette Marny
803873	118011	
803873	118688	Diana
803873	123291	Morag Lannon
803873	123327	Ruth Longworthy
803873	125518	Mary Ellen Doyle
803873	125868	Mlle de la Vere
803873	133963	Diana Bathurst
803873	136381	Gwyneth
803873	146304	
803873	159991	Innocence
803873	162405	Renee Jessup
803873	175503	
803873	178900	Ernestine
803873	228509	Lady Harcourt
803873	242101	Mimi
803873	258915	Lady Susan Silchester
803873	269687	Stephanie
803873	283574	Sylvia Skinner
803873	326081	Cynthia Ashburn
803873	344743	
803873	347105	Mavis Steele
803873	367776	Olive Seaton
803874	31827	Alma Thorne
803875	86526	Assistant
803876	155621	Woman
803877	215748	Lucille
803877	245253	Second Girl at Party
803877	273803	Girl Singer
803878	35572	
803878	41705	The chief's blonde daughter
803878	60526	
803878	216461	Mary
803879	2010	Herself
803879	3296	Memorial tribute
803879	6984	Catherine
803879	37272	Midge Parker
803879	37364	Bit Part
803879	55055	Jane Winters
803879	67522	
803879	99771	Miss Purdy
803879	107699	Puppet Theater Usherette
803879	109849	Barbara Latham
803879	128192	Hazel, Cigarette Girl
803879	131546	Flossie
803879	142948	Barbara Latham
803879	146854	Bit
803879	152208	Model in Elevator
803879	170608	Hostess on Airplane
803879	183440	Wife
803879	186807	Barbara Latham
803879	212217	Villa Luigi Hat Check Girl
803879	220165	
803879	221001	Girl
803879	308632	
803879	330893	Frances Allenbury
803879	332105	Margarita
803879	339901	Marian Rutherford
803879	346914	Girl at Opera
803879	360837	
803879	390771	Meta Bauer White Roberts Bann
803879	404613	Joanne 'Jo' Gardner Barron Ta
803880	18857	Mrs. Mammal
803880	196335	
803880	252095	Sally
803880	296250	Dell
803880	333545	Dolly
803880	343119	
803881	53218	
803881	115907	
803881	146273	
803882	62778	Dancer
803882	380713	Frances 'Frannie' Hughes Craw
803882	390771	Jenny Holmes (1987-1988)
803883	292205	Lady Orreyd
803884	55587	Ruth Grogan
803884	66322	Sam Klinger
803884	80034	Dottie
803884	80970	Unpleasant Waitress
803884	131778	Clerk
803884	140187	Lorraine Adler
803884	176723	Mrs. Asher
803884	178316	Peggy
803884	190690	Phyllis (Hammonds' housekeepe
803884	201567	Miss Schneider
803884	241630	Scotty
803884	264469	Belle
803884	264581	Aunt Betty
803884	273559	Fay Stewart
803884	282464	Amanda Earp
803884	293149	Flora
803884	309285	
803884	316264	Mrs. Weiner
803884	319760	Zelda
803884	327250	
803884	333328	Ruth
803884	338629	
803884	346281	Librarian
803884	366300	Miss Redburne's Mother
803884	386601	Scotty
803884	387309	Grace O'Keefe (1956) (origina
803884	388031	Marge Newberry
803884	389016	
803884	389858	Mrs. Dawson #1 (1968)
803884	390903	Lenore
803884	391253	Velma Davis (1993-1995)
803884	398568	Mrs. Gunther
803884	399666	Maureen
803884	402474	
803884	403715	Ruth Burton
803884	403823	Amanda Earp
803884	405628	B.J. Clawson
803884	411802	Mary Anderson (1993, 1996)
803884	411819	Mrs. Korman (1965-1966)
803885	18598	Bridge Crosser
803886	290978	Mrs. goodman
803886	368913	
803887	97054	Fille de Victor
803888	157436	School Reporter
803888	350219	Roxanne
803889	190248	
803890	360269	Herself
803890	379264	Darong
803890	382712	Newsreader
803890	382715	Newsreader
803890	405518	Herself - Newsreader (1991-19
803891	185639	Fisher Woman
803891	309582	Mrs. Forbes
803892	316782	Waitress
803893	226916	
803894	389416	Distinguished Woman
803895	3942	Hollywood Starlet
803895	60229	Sarah Vilmont
803895	127279	Office Worker
803895	154659	Herself
803895	185253	Woman #2
803895	270969	
803896	241194	
803897	11108	Girl
803897	18820	Dorothy
803897	77794	Rosalie Brooks
803897	118543	Stephen's Mother
803897	154083	Marge Boyd
803897	154763	Lt. Eloise Billings
803897	158918	Louise Carey
803897	203011	Nancy Dawson
803897	281415	Mrs. Foreman
803897	303379	Peggy
803897	313316	Nan Hogan
803897	314343	Claire
803897	316735	Helen Jennings
803897	363623	Miss Landau
803897	381865	Louise Baker
803897	395528	Nellie Cashman (1959-1960)
803897	408057	Emily Fisher
803898	16791	Saleslady
803899	212799	Luna
803900	82055	Susan
803901	16654	Miss Haines
803901	51975	Inmate
803901	56206	Emma
803901	107181	Nurse
803901	123852	Hat Check Girl
803901	146813	Show Girl
803901	243335	Nurse
803901	321570	Millie
803901	331713	
803903	11485	Fan Dancer #6
803904	411809	Sister Suzanne Gibbes
803905	291253	Marika
803906	72877	News Photographer (segment "P
803907	79314	Production Assistant
803907	106821	Leonie
803908	385824	Violet Crumb (1998)
803909	188393	
803909	241595	Cora Florida
803910	123406	Molly Ryan
803910	149264	
803910	176464	The Nurse
803910	184479	Miriam Bradley
803910	245613	
803910	277677	Lady Anne Plantagenet
803911	192430	Molly
803911	245398	Lila Costain as a Child
803911	247568	Receptionist
803911	253540	
803911	365425	Andrea
803912	158818	Miss Seymour
803912	216803	Lily White Girl
803913	379267	Herself
803914	133695	Herself
803915	273340	Kelly
803916	190482	Woman at Bar #2
803917	76559	Sylvia's Mother
803918	247007	
803919	1488	Herself - Presenter
803919	40613	Annie Thomas
803919	48062	Mrs. Gilbert
803919	67205	Mary Dolphin
803919	80425	Henny
803919	80663	Lady Romy-Burton
803919	102500	Princess Aud
803919	110911	Sarah Atchison
803919	164381	Sarah
803919	220096	Suzie
803919	227482	Nanou
803919	244315	Desdemona
803919	250397	Lara and Olga
803919	256079	Mother
803919	264936	Imogen
803919	271262	Ursula Brangwen
803919	275293	Ginny Whittaker
803919	287246	Marie
803919	294217	Lucy Steele
803919	318796	Megan David
803919	337134	Narrator
803919	340752	Diana Stiles
803919	342367	Viola
803919	358961	Narrator
803919	380348	Anna Lee
803919	381949	Sarah Spiller
803919	390599	
803920	17508	Smeton
803921	101133	Nurse #2
803922	360236	Herself
803923	39518	Mama Rose
803923	184548	Louise
803923	292619	Martha
803923	366908	Malvina Robbins
803924	122217	Downzoner
803924	280663	Red Team: #12
803925	214839	Tarjoilija
803926	24156	
803927	107155	Clara
803927	335160	Tom's Fancy Woman
803928	23917	Herself
803928	26630	Policewoman
803928	30085	Bridesmaid
803928	31555	Herself
803928	32569	Rosie
803928	82543	
803928	216032	Lady Dorothea
803928	255013	
803928	318716	Sandy
803928	331395	Flora
803928	333042	Rita (the daughter)
803928	356764	Kath Moogan
803928	359944	
803928	361587	And Her Band
803928	362977	Herself
803928	365987	
803928	368002	Barbara
803928	368691	Aunt Sally
803928	390132	Panellist/Girls' Captain #1
803928	392702	Rita
803928	393105	
803928	395530	Herself/'Rita'
803928	398248	Mrs. Plugg
803928	406672	
803928	408231	Rita Ramsey/Garnett/Rawlins
803928	408232	Rita
803928	411500	Miss Bat
803928	411502	Aunt Sally
803928	411503	Aunt Sally
803929	160252	Bewaker
803930	222784	Basement Girl #3
803931	7462	La soeur de Zalewski
803932	329522	Folk Girls Member
803933	347981	Herself
803934	347981	Herself
803935	6999	
803935	13457	Sinade
803935	23111	
803935	28966	Impiegata dell'ambasciata
803935	30999	Diana
803935	40782	
803935	67905	Selma
803935	82411	
803935	82993	Forlein Gretta
803935	94676	Ragazza del Night Club
803935	118830	
803935	124259	
803935	142108	
803935	155442	
803935	159674	
803935	162047	Altra amica di Adriana
803935	162083	
803935	170684	
803935	189804	Sylvia
803935	199506	Hostess
803935	230893	Elizabeth
803935	240301	
803935	242832	La suora
803935	244198	Petra
803935	244202	
803935	289814	Rita
803935	295172	Inge
803935	332741	Cameriera d'albergo
803936	379259	Herself - Studenterpræst
803937	320529	Lena
803938	82801	
803938	245115	Mrs. Junger
803938	351023	
803939	5218	P4 Radiodame
803939	87492	Una
803939	408229	Programleder
803940	317646	Signe
803941	313915	
803942	112962	
803943	242790	Sam's Mom
803944	33066	Reporter
803945	79005	Sarah
803945	88912	Heather
803945	154102	Cassandra - aged 7
803946	164984	TV Reporter
803947	334799	Renate
803948	191881	Carol's Friend
803949	209920	
803950	264205	Priestess 4
803951	74422	
803952	8583	
803952	340357	
803952	385629	
803952	393615	Lu
803952	412179	Lia
803953	264936	Lucy
803953	400617	Herself
803954	106542	Rella
803955	45963	Dot Belmar
803955	184461	Mrs. Wickham
803955	234182	Mrs. Rossmore
803955	248828	Countess Carstairs
803955	308054	Mrs. Evans
803956	114138	Zohra
803957	230972	Jailer
803958	129397	NY Detective
803958	230934	Art Gallery Guest
803959	240317	Droid
803960	11039	
803960	16193	Renáta
803960	16195	Renáta
803960	29787	
803960	164094	
803960	171495	Gondová
803960	175056	
803960	179368	Marika
803960	182516	Mara
803960	213847	Chatterleyová
803960	237515	Alena
803960	247625	Julie/The Beauty
803960	253084	
803960	267951	Queen Christina
803960	282757	
803960	284477	Gábina Bednárová
803960	322379	Víla
803960	322486	
803960	357430	Magda
803960	375911	
803961	19470	Julia Riefenstahl
803962	8842	Aida
803962	23568	Odabella
803962	99018	Chrysothemis
803962	119183	Die Kaiserin
803962	135441	Matilde
803962	193425	Elsa von Brabant
803962	193426	Elsa von Brabante
803962	236183	Countess Almaviva
803962	324589	Elisabeth
803962	352827	La Duchessa Elena, sorella de
803962	353138	Madama Corstese
803963	225194	
803963	343481	
803964	40330	Heather
803964	229731	Zana
803964	229734	Zama
803965	171228	Beth
803966	97492	Carla McKinney
803966	252292	Moonglow
803966	304048	Francine
803966	386970	Talks A Lot
803967	161754	Gas Station Owner
803968	394371	Anchor/Reporter (1996-2001)
803969	54541	Cathy
803969	402956	Mrs. Baker
803970	94181	
803971	409168	Herself - Host (1988-?)/Repor
803972	24355	Maren
803972	28724	Anna Hanska
803972	33103	Simone Bach
803972	33492	Lea
803972	42047	Daniela Hausmann
803972	48398	
803972	49480	Evi
803972	56545	Herself
803972	142034	Marie
803972	177181	Elena Buelow
803972	179294	Anika
803972	188793	Pola
803972	189579	Karin
803972	210059	Camilla Stauding
803972	212128	Desiree Schmölling
803972	219268	Tine
803972	225274	Julia Hirschmann
803972	225281	Sylvia Beilharz
803972	225643	Sonja
803972	225652	Lilly
803972	228173	Natascha
803972	257435	Charlotte Sterenberger
803972	287313	Tanja
803972	307088	
803972	313657	Andrea
803972	319239	Kato
803972	325473	Jana Lehmann
803972	325871	Ulrike Jahn
803972	326110	Princess Ailée
803972	342088	Julia
803972	343665	Maria (16 years)
803972	345890	Marion
803972	345900	Katharina
803972	352219	Lisa Engelmann
803972	352220	Tanya Becker
803972	361077	Charlotte Sterenberg
803972	384393	Clara Reinders
803972	387385	Michaela Lohbeck
803972	411163	Carolin Kuessling
803973	98356	Lannie Willis
803974	16968	Woman at Bar
803974	193766	Social Security Client
803974	303362	
803974	331694	Brian's Mother
803975	39939	
803975	159922	
803975	403537	Participant (2001)
803976	164834	Resei
803976	283054	Stasi
803976	378554	Kellnerin
803977	354160	Julia
803978	123071	Woman
803978	134965	Lady
803978	190835	Office employee
803979	325437	Hélène
803980	36781	
803981	100008	Blonde
803982	53142	La vieille
803982	124424	Theatre cashier
803982	171327	Cliente pharmacie 1
803982	214387	Nurse
803982	248410	Klant 3
803982	249434	
803982	326140	
803982	353934	Eddy's mother
803982	356453	
803982	383486	
803983	238110	Fenka
803984	394620	Shurka-pulemet
803985	362312	Photographer
803986	302793	Gossip Girl #2
803987	316635	Partygoer #8
803988	40409	
803988	223490	
803989	193000	Tracy's Friend
803990	40420	
803991	155434	Katinka
803992	93500	Franziska
803992	125163	
803992	275130	Lina Heydrich
803992	289894	
803992	302037	
803992	358887	
803993	168160	
803993	189607	
803993	317270	Christiane
803993	317271	Christiane
803993	317272	Christiane
803993	317273	Christiane Stubbe
803993	317274	Christiane Stubbe
803993	317275	Christiane Stubbe
803993	317276	Christiane
803993	317277	Christiane Stubbe
803993	317278	Christiane Stubbe
803993	317279	Christiane Stubbe
803993	317280	Christiane
803993	356733	Christiane
803993	356734	Christiane
803993	356735	Christiane
803993	356736	Christiane
803993	356737	Christiane
803993	356738	Christiane
803993	356739	Christiane Stubbe
803993	356740	Christiane
803993	356741	Christiane Stubbe
803993	356742	Christiane
803993	356744	
803994	352803	Madara
803995	124903	Ellen
803995	213554	moeder
803995	230103	
803995	263284	Greet
803995	277759	Coba
803995	332609	
803995	350377	
803995	375377	Moeder Z.
803995	382864	Vrouw Klasse
803995	386608	Katrien
803995	397306	Truus Schoenmaker
803995	406032	Anneke Veldman
803995	406217	
803995	410441	Moeder Molenaar (1995)
803996	194693	Lot cop
803997	72688	Debbie
803998	329986	Paige Two
803999	16646	Lingerie Shop MC
804000	252577	Peppi
804001	409010	
804002	40941	
804003	269957	
804004	28095	Masa
804004	37720	Zora
804004	43761	Herself (interviewed)
804004	44203	Herself
804004	77491	Kristina
804004	82368	Uplakana majka
804004	91268	Olga
804004	95179	
804004	138416	Ajkuna
804004	144073	Miroslava
804004	165719	Ancka
804004	166392	
804004	172671	Caca
804004	181293	
804004	202347	Nada
804004	209507	Herself (interviewed)
804004	227764	Pavka... Jevremova zena
804004	229568	
804004	230058	
804004	234446	
804004	247144	
804004	261258	Klara Zahanasijan
804004	262575	Sarka, udovica
804004	262762	Hristina Petrovic
804004	263776	Tetka Ema
804004	272196	
804004	280565	Stojanka
804004	284875	Miloseva majka
804004	286777	Tetka Ema
804004	300730	
804004	303118	
804004	304574	
804004	315063	
804004	318976	
804004	329162	
804004	343809	Marija
804004	375931	Majka
804004	376227	Nana
804004	390182	Herself
804004	397855	
804004	400338	
804004	400892	
804004	402021	Herself (interviewed)
804004	402116	Babac
804004	402119	
804004	404733	
804004	406099	
804004	409102	Kika Bibic
804004	410372	
804005	51042	Secretary of Deputy of Govern
804005	87612	
804005	412118	
804006	357904	
804007	246309	
804007	395704	Stasa ... studentkinja
804008	265742	Oksana as a Child
804009	385026	Narrator
804010	108113	Adelina, as a girl
804011	274319	Motel Girl (segment "Swimming
804012	77826	Jennifer
804012	281794	Jennifer
804013	31643	Beach girl
804014	211528	Magazine Editor
804015	405570	Leila Schemayel (13 episodes 
804016	37215	Suburban Mom
804016	198901	Doctor
804017	140850	
804018	202540	London Dancers
804019	230904	Waitress
804020	232460	Racine Gibson
804020	341928	Woman #1
804021	133214	Andrea
804022	263254	Herself
804023	47924	
804023	70275	Nile
804023	83830	Louella
804023	221182	Rachel
804023	241748	Molly Brinker
804023	253000	Leah Tyman/Liza
804023	284621	Mrs. Segerstrom
804023	301700	Mandy Stratford
804023	306773	Kim Sterling
804023	328559	The Dr. Sheri Maratos
804023	336165	Samantha 'Sam' Callen
804023	342904	Cindy Four
804023	385824	Molly Brinker (1991-1992)
804023	401930	Kate Reynolds (2002-2003)
804023	404371	Reese Burton
804024	19810	Dygon
804024	392061	Narrator
804025	175749	Nancy Kettle
804025	183668	Girl
804025	272876	Estelle Craven
804025	276088	Bonnie Young
804026	71777	Anna Maria Lini
804026	108926	Mary Williams
804026	154087	Big woman
804026	214925	Miss Daly
804026	311873	Edna, Ball's Secretary
804026	330579	Lori
804026	372268	
804026	380191	
804026	381608	
804026	391368	Old Woman
804026	395175	Dot Cook (1975-1976)
804026	405165	Woman on Train
804027	26769	Prison Clerk
804027	83401	Narrator
804027	183426	Mundane/Perky Woman
804027	398208	Melba Littlefield
804027	406120	Office Clerk
804028	133512	Catherine the Great
804028	234593	
804028	271612	
804028	344180	
804029	176989	Puspa
804030	319923	Nurse
804031	133807	Pretty brunette
804032	196840	Herself
804033	66837	Kate Spaidz
804034	16068	Local Reporter #2
804034	24960	TV Anchorwoman
804034	52008	TV Reporter
804034	60186	Angela Lam Interviewer
804034	73850	TV Sportscaster
804034	79880	White House Reporter
804034	112302	Talk Show Host
804034	114691	TV Reporter #2
804034	169941	Kathleen Walker
804034	188506	News Anchor
804034	240529	Young Reporter
804034	280663	Russian Translator
804034	311224	Post Office Clerk
804034	328263	Female Anchor
804034	346408	Female Reporter
804035	134152	Interviewer
804036	45540	
804037	368600	Follower
804038	365918	
804039	23169	
804039	56082	
804039	96006	
804039	324686	
804039	375976	
804040	9989	Brenda Reed
804041	16646	Victim #2
804044	313334	TV Studio Crew
804045	101324	
804046	36684	
804046	390707	Milla Engel
804046	390812	Camilla 'Milla' Engel (1993-1
804047	49671	Erika
804047	225130	Barbara
804048	262190	Alma
804049	155996	
804050	35854	
804051	107504	Dorothy
804052	14993	
804052	55068	Laura
804052	129551	Nell Gwyn
804053	320787	Granny Grundy
804054	28464	Church Goer
804054	200521	Gameshow Audience
804054	256260	Passenger at JFK
804054	314445	Scared viewer
804055	214909	Try-Outs Organizer
804056	9254	Hannah Yelland
804057	321565	
804058	6989	Additional Muppet Performer
804058	151758	Howard T. Duck
804059	14731	
804059	312252	La zia
804060	277948	Sara Stone
804060	321450	Bully Girl
804061	117481	Katrina
804061	360178	
804062	120063	Annette
804065	409501	Jess
804066	385342	Joanna Binden
804067	67199	Herself
804068	390242	Alexandra Popescu (1998)
804069	98800	Cricket Spectator
804070	253210	La fiancée
804071	242524	Ralph's Wife
804072	62031	Aunt Edna
804073	358477	Raver
804074	196995	Teen Girl
804075	240267	Alto
804076	64676	Katrientje
804077	64676	Koosje
804078	20855	Amparo
804078	31534	Girlfriend
804078	93702	Genoveva
804078	244590	Recepción Oficina
804078	387911	
804079	105395	Sally Wilhelm
804079	301677	Child at Orphanage
804079	307622	Joanna Brantley
804080	191709	Mom
804081	136364	Marcysia
804081	309310	
804081	386654	Danusia Lermaszewska (1996-20
804081	388834	Agata's daughter
804081	397199	Marika
804081	398874	Magdalena Szymczak (1999-2000
804081	412008	Marcysia Biernacka
804082	99688	Herself
804083	179106	
804084	44776	Lamková
804085	281286	
804086	380474	
804086	380770	
804086	387358	Gountrouh
804086	401521	
804086	401774	Nina
804086	408760	Diana
804087	90900	Bookstore Assistant
804087	177003	Melanie Richmond
804088	126340	Herself
804088	264734	
804089	91656	
804090	12506	Agnes
804091	31499	Mermaid
804091	56571	Kara
804091	150110	Cori
804091	355154	Stripper/Worker
804091	367792	
804092	12393	Brede Norton
804092	23922	Herself/audience member
804092	42768	Josie Turner
804092	47090	Herself
804092	48939	Joan
804092	60296	Nancy Grey
804092	69429	Fortune Teller
804092	87981	Herself
804092	134634	Doris
804092	202721	Eva
804092	209095	Linda
804092	217049	
804092	240831	
804092	243148	Herself
804092	288703	Herself - Audience Member
804092	290922	Joanna Lascelles
804092	311808	
804092	381601	Catherine Fawley
804092	387541	Servilia
804092	397188	Cook
804092	399056	Trudi
804092	401743	Emma Tregirls
804093	93192	
804093	97457	Woman in Underpass
804093	157665	Betty
804093	190688	Jean
804093	389700	Ruth Connor
804093	400516	Rita Roddy
804095	129068	Vivien Bainbridge
804096	36772	
804096	146929	
804096	322958	
804099	67133	
804100	389090	Hannah O'Flaherty
804100	399567	Paula Fogarthy
804101	319934	
804101	326673	
804102	328555	Deborah Lynn Hodge #2 (DVD Ve
804103	146888	
804104	128727	Sally
804104	385451	Nurse Patty Alvarez
804106	364747	Kim Bassett, Jonathan's sex p
804107	7384	
804107	8121	Christina
804107	8606	The Widow
804107	10961	Aliki's friend
804107	15277	
804107	16553	
804107	18711	
804107	20126	
804107	21275	
804107	40928	
804107	86258	
804107	86829	
804107	92023	
804107	97860	Karanika
804107	98421	
804107	100552	
804107	100621	
804107	100622	
804107	106468	
804107	118189	
804107	122269	
804107	122786	
804107	123524	
804107	126264	Maid
804107	127609	
804107	130476	
804107	139718	
804107	151861	Yannis's Wife
804107	173656	
804107	180307	Sophia
804107	180352	
804107	180455	
804107	195197	
804107	204641	
804107	209764	
804107	214333	
804107	217753	
804107	227481	Zoi
804107	244752	
804107	246843	Maid
804107	250542	Dimitra
804107	253659	
804107	253983	
804107	256405	
804107	259883	
804107	265302	
804107	266188	
804107	287979	
804107	326217	
804107	326228	
804107	330576	
804107	338975	
804107	338999	
804107	343411	Lola Doukouna
804107	356073	
804107	369524	
804107	370044	
804108	85649	Elena
804108	243434	Christina
804109	41544	Herself
804109	260726	Herself
804109	304340	Herself
804109	342072	
804110	39412	Patsy Petlow
804110	117883	Garage Woman
804110	245506	Bonnie Mimms
804111	409755	Co-host (1964)
804112	231724	Pelagia
804112	312098	Kati Klee
804113	180101	Homeles child
804114	122183	Dancer
804115	90285	Rebecca
804115	119775	Receptinist
804115	185683	House Guest
804115	274315	Tampa (segment "Emily's Dance
804116	205452	Dancer
804117	301677	Cindy
804118	243131	
804119	123071	Young woman
804119	301218	Girl at Sigge and Putte's par
804119	321510	Student
804120	124432	
804121	226175	Frau auf dem Balkon
804122	129681	
804123	40422	
804123	393408	
804124	231671	Imbissbudenbedienung
804125	396285	Julia Lüthi Galfatti (1999-??
804126	291465	
804126	376262	
804127	17371	Katharina
804127	17499	Anna
804128	237238	Herself
804128	260501	Herself
804128	392291	Herself
804128	393989	Herself - host (????-????)
804129	148816	Parkeringsvakt
804130	59717	Crofter-Mats' child
804131	1056	
804131	357757	Isabell
804132	172790	The Hen
804133	94258	Elin
804134	170246	Tanssija #9
804135	268322	
804136	174779	
804137	6580	Lena/Magdalena
804137	6584	Anna
804137	6585	Magdalena (maid)
804137	42200	Mrs. Wåhlin
804137	42616	Vicar's Wife
804137	48362	Fru Edman, pensionatsvärdinna
804137	95273	Mrs. Ehinger
804137	96015	Hilda Storm
804137	115382	Mrs. Hedlund
804137	115399	Mrs. Markurell
804137	125543	Woman at the pub in Wismar
804137	136628	Louise Riddercrona
804137	153744	Mrs. Eriksson
804137	164784	Actress
804137	181130	Lotta Karlsson
804137	181850	Karossen, prostitute
804137	182302	Teacher
804137	184585	Julia Soederman
804137	184586	Hulda Falk
804137	197819	Headmaster's wife
804137	219842	Christina Nilsson
804137	264277	Girl at Eklundshof
804137	277817	Karin, Klas Bock's wife
804137	284103	Mrs. Högstrand
804137	293314	Chief nurse
804137	307221	Elisabeth Söderheim
804137	312227	Mrs. Umney
804137	321929	Knut's mother
804137	322270	
804137	322309	
804137	338473	Ebba Malmin
804137	346987	Märren
804137	378274	Ester Lindeborg
804138	255386	
804139	99219	Eva Kirves
804140	380374	Pia
804141	237399	Tant Brun
804142	130069	The girlfriend
804143	322307	TV Reporter
804144	138449	Neighbour
804145	40300	Helle
804145	129230	Model
804145	163496	Extra
804145	201633	Helle
804146	336412	Herself - Lærer på Kunstskole
804147	24722	Helga
804147	111105	
804147	296385	
804148	55850	Denise Bloch
804148	64284	Herself
804148	96093	Catherine Grandpré
804148	101246	Elisabeth
804148	218277	Marie Curie
804148	237314	Jacqueline Mussot
804148	301520	The Niece
804148	391625	Herself
804149	215303	Elle
804150	91990	
804150	94866	Alice
804150	165756	Philippine Bornard
804150	193449	Elise
804150	195869	Gabrielle at 15
804150	215303	Jane
804150	248902	Noémie
804150	251550	Anna
804150	254123	Mathilde
804150	307473	Annie
804151	226025	
804151	386132	Princess Desideria at age 5
804151	394266	Kristýna Fuksová
804151	399901	Dorotka
804152	134988	Seeverine
804152	175055	
804153	12940	Herself
804153	198533	
804153	397767	Host (2000-2002)
804153	411567	Presenter (1987-1988)
804154	175310	Victoria Reynolds
804155	243168	
804155	247060	Schöffin
804155	322936	
804155	346576	
804156	597	
804156	102376	
804156	199601	Madame Nairobi
804157	368737	
804158	182527	
804159	170124	Alte
804160	119218	
804160	290770	
804160	377344	
804160	405804	Dr. Silvia Pfaundler
804162	36480	Mädchen
804162	325479	Frieda Helnwein (young)
804163	16366	
804163	41388	Innkeeper
804163	125572	
804163	126459	Frau Seidl
804163	130965	
804163	147154	Reischlbäuerin
804163	156676	Cinema owner
804163	174391	Elli
804163	199312	Grandmother
804163	207792	Frau Schreck, Mathildes Mutte
804163	223490	
804163	225723	Baronin von Bornstedt
804163	275175	Wirtin
804163	284993	Ertlbaeuerin
804163	290527	Claudias Mutter
804163	312874	
804163	325756	Frau Korass
804163	325945	
804163	367236	Anna
804163	386982	
804163	396268	Adelgunde Soleder
804163	396613	Benedikt's Mutter
804163	397765	Martha's Mutter
804163	409612	Trude Kneissl
804163	411929	Frau Hepp
804163	412110	Frau Ries
804164	202622	Charlotte
804165	16221	Lene, Frau Scholz
804165	348677	Vera
804166	210140	
804167	326059	Christine
804168	204755	
804169	155404	
804170	119352	
804170	289958	
804171	121582	Fru Tellefsen
804171	304182	
804171	334172	En dame
804171	348962	
804171	353047	
804172	212334	Herself - Participant/Perform
804173	388307	Smulan Petterson (1997)
804174	403537	Participant (2000)
804175	180406	
804175	184566	Fru Bang Jensen
804176	37970	Lana
804176	51134	Kims Nabo
804176	83068	Receptionist Arbejdsformidlin
804176	94999	Kristine Linde
804176	100504	Fairy
804176	152704	Emilie
804176	163755	Olympia
804176	237290	Anita Jacobsen
804176	237291	Pædagog
804176	307769	Phoebe
804176	389121	Malene Bork
804176	398260	Martine Naur
804176	401573	Jennys Mor
804177	260961	Lasse's girl-friend
804178	325726	
804179	11906	Nabou
804179	317498	Sue
804180	399175	
804181	406432	Herself
804182	361387	Nadine
804182	404448	Monika Freising
804183	32409	
804183	186890	Marion
804183	395985	Stefanie Haltermann
804183	411198	Anni Ziegler
804184	256878	Sanna
804185	111005	
804185	123925	
804186	122940	Jeong-eun/Daughter
804186	396085	Jo Eun-ha
804187	291698	TV News Reporter
804188	300705	
804188	370832	
804190	369789	Su Lin
804191	184331	Jingping
804192	158431	
804193	268725	Xiaohui's Mother
804194	66080	
804194	69476	
804194	71283	
804194	88125	
804194	140819	
804194	171461	Somiko Lee
804194	186670	
804194	351626	
804194	401093	Kiku
804196	238445	Saito Kinen Festival Dancers
804197	171430	
804197	181426	
804197	374996	
804198	184334	
804198	374817	
804199	195331	Soon-Yi #2
804199	257293	Sandra Tanaka
804199	403469	Sue
804200	223506	Candidate #7
804201	91540	Xiaojuan
804202	184323	Old Mrs. Zhao
804203	251108	Female Birthday Guest
804204	397765	
804205	194797	Whitesnake
804206	251580	Amiga de Valeria
804207	378452	Prisionera
804209	345175	Little girl (La petite fille 
804210	399948	Liselle (1995)
804211	107036	Maria
804212	12791	
804212	123491	
804212	226986	
804213	107279	The New Actress
804213	346174	Doña Ines
804214	6591	Mrs. d'Arbigny
804214	20906	Eglantine
804214	76130	Agathe
804214	211683	Christine
804214	218284	Sylvie
804214	283966	Casilda
804214	357116	Juliette
804215	55964	
804215	246304	
804216	205395	
804216	299663	Mexican Woman
804216	359290	Latin woman
804217	65535	
804217	149210	
804218	55000	
804219	97256	
804220	80619	Rival Gang Member #2
804221	88010	
804222	202226	
804223	1862	Merly
804223	55451	
804223	76066	
804223	158868	
804223	202129	
804223	207726	
804223	222153	
804223	222177	Amélia
804223	256750	
804223	281647	Donna Natalia
804223	286573	
804223	341469	Sofia
804223	407643	
804224	387275	Natasha Gutiérrez
804224	393023	Malú Guerra
804224	409922	Ximena María Benavides de Ari
804225	402294	Herself
804226	68643	
804227	96726	Co-worker #2
804228	193701	Marisol
804229	68845	
804229	281607	
804230	405324	Elfa
804231	59536	Carol Mather
804232	365526	Spirit of the Priestess
804233	234067	FBI Agent Numeyer
804233	348303	WMIA Reporter
804234	194765	Arlene
804235	13843	
804237	17873	
804237	27687	
804237	162113	Dolor
804237	183953	
804237	200185	
804237	226688	
804237	229793	
804237	247535	
804237	325358	
804237	344201	
804237	355048	
804237	385703	Savannah
804237	387832	
804237	394247	Freida (2002)
804238	12791	
804238	45872	
804238	78676	
804238	139392	
804238	204724	
804238	214485	
804238	274008	
804239	64750	Janet's Assistant
804239	159421	Simone
804241	134018	Argentinian Inmate
804241	137028	Penny - Lead
804241	240724	Mother on Stairs
804242	78067	Girl No. 1
804242	308938	Prissy
804242	391869	Nina (1989)
804243	161170	1st Mother
804244	208235	
804245	104722	Herself
804245	315859	
804246	106328	Brígida
804247	99829	Violet
804248	285610	Ambassador's Secretary
804249	105943	Prostitute
804249	246583	
804249	301818	Lily
804250	212656	Yuki
804251	45588	Juju's Mother
804251	184265	Hospital's doctor
804252	398315	Shama Merchant
804253	295258	Suman
804254	332172	Savithri
804255	228864	
804256	223558	
804257	116741	
804258	162845	Betty Jean 'BJ'
804260	113222	
804260	173593	Subbi
804260	195786	Rameshwari
804260	350570	Annapoorna
804261	300567	Asawari (social worker)
804261	363968	Deepti
804262	4348	
804262	171996	
804262	209818	
804262	228895	
804262	303417	
804263	344046	Violeta
804264	252625	Hada
804265	334678	
804266	156035	Farmer, Ryota, Student, Taka
804267	11425	Ellen
804267	14131	College Girl
804267	21448	Cafe 24 Waitress
804267	28464	
804267	39374	Chloe
804267	57735	Julia Hickson
804267	119622	Sharon
804267	185201	Holly
804267	194261	
804267	196407	Jake Ferrari/'Candy'
804267	207052	Daphne
804267	326757	Sarah
804267	340764	Liz McConnell
804267	346298	Anya
804267	363045	Jordan/Jenny
804268	92899	
804269	122214	Mean Mutant In Alley
804270	393623	
804271	53921	Michele
804272	204736	Miss Dunn
804273	170224	Host
804274	6102	
804274	30699	
804274	163038	Irma Pozgaj
804274	180891	
804274	233273	Marija
804274	261356	
804274	266064	Nada
804274	267860	
804274	267943	
804274	307169	
804274	343796	
804274	351016	Casna sestra
804274	409878	
804275	216573	Lejla
804276	24181	Cloé
804276	73472	Claudine
804276	247978	Pamela
804276	376900	
804276	397200	Marie-Claire à 12 ans
804277	285717	Monika
804278	77587	Kimberly
804278	126709	Charlotte Bolt
804279	202260	Sister-in-Law
804279	304123	
804280	243326	Wife
804281	386128	Speaker televisione
804282	287495	
804283	67202	
804285	184934	
804285	197452	
804285	247356	
804286	167069	Herself
804287	354751	
804288	140843	Woman
804289	15911	Cora
804289	133075	Christiane
804289	169333	Girl in Blue
804289	248988	Standardiste prefecture
804289	354696	Nora
804291	24701	Diane
804291	108477	Angie
804291	114298	Exercising Woman
804291	115689	
804291	117136	Stacy
804291	117874	Long-Limbs Lenor, Prostitute 
804291	133594	Ruth Shepard
804291	157436	School Reporter
804291	196420	Erin
804291	238682	Mrs. Gary Michaels
804291	256464	Lorna Hufflitz
804291	279460	Sperm Bank Nurse
804291	298766	Diane
804291	313989	Janice
804291	318510	Taco Lady
804291	326083	Jackie
804291	355173	Coat Girl
804291	372419	Dusty
804291	407547	Entertainment Reporter
804292	186021	Minquita
804293	131940	Kasthuri
804293	172023	Ramani
804293	202518	
804293	234110	Devi
804293	242425	
804293	367212	
804294	166021	
804294	171851	Aana
804294	177051	
804295	99137	Dancer
804296	303815	Viktoria
804297	76670	Julia
804297	97547	Woman in Shop
804297	174880	
804297	324115	Woman in the Window
804297	373551	
804298	62377	Alima
804298	247344	Girl
804299	95700	Iza
804299	407237	Katarzyna Brzeniewiecka
804300	184396	Liesa
804301	141389	Sylvia Styles
804303	189782	Bedienung
804304	285801	
804305	127627	Beach Dancer
804305	131557	Jade
804307	10125	
804307	21699	
804307	88983	
804307	91426	
804307	145218	María del Carmen de López
804307	148118	
804307	162791	
804307	169760	
804307	183513	
804307	206895	
804307	215402	
804307	226184	
804307	250792	
804307	275949	
804307	280900	
804307	332681	
804307	351833	
804307	373955	
804308	215443	
804309	316862	Herself
804310	9274	
804311	288212	
804311	325013	Onorya
804312	8455	
804312	396605	
804313	375449	Anya, Baron's married daughte
804314	123099	Secretary Wanda
804315	19625	Ruzanna
804315	208618	
804316	161240	Herself/Donna's daughter
804316	280084	Herself
804317	192344	Gina
804318	64659	Swimmer
804319	11192	Mrs. Hubbard
804319	104857	Third Housewife
804319	233993	Barbara
804319	301255	Mrs. Bernstone
804319	319176	Newsagent
804319	361978	Lily
804319	366657	
804319	388861	Aunt Maggie
804319	394474	Mrs. Witherspoon
804320	4240	
804320	9443	Supriya's mother
804320	18803	Aparna
804320	43323	Tina
804320	92530	Zimmermädcvhen Suzette
804320	123693	
804320	169033	
804320	307258	Zenzi
804321	208722	Mayuri
804321	222440	Meera
804321	226042	
804322	324522	The woman's companion
804323	8410	Siddhi
804324	49282	Sophie Beck
804324	259517	
804324	259573	
804324	317279	Eva Gohl
804324	325798	Frau Gerod
804324	338392	
804324	369168	Schwester Heike
804324	389823	Tatjana
804324	390706	Svenja Menzel (2004-????)
804324	392669	Laura
804324	403792	Annette Verhoeven
804325	263581	Miss Johnson
804325	269295	Mrs. McAllister, High Diver s
804326	309075	Carol
804327	226689	Yukiko Sonoda
804328	299406	Mother of boy with appendicit
804329	239095	
804330	104274	Grandmother
804330	158675	
804331	133371	21 Yr. Old
804331	143613	Girl #1
804332	41279	
804333	1712	Ben Hur (gag credit)
804334	135578	Baiken
804334	135579	Baiken
804335	350983	Agáta Pazderková
804336	315357	
804337	7868	Kelly
804337	62966	
804337	83948	Iris
804337	107846	
804337	113857	Stephanie
804337	149183	Lori
804337	158885	
804337	232455	Jennifer Caulfield
804337	367951	Herself
804338	332188	
804339	184597	Blonde
804339	202669	Marina
804339	223239	
804339	258612	
804339	261413	
804339	381228	Nastya
804339	381229	Nastya Tikhoretskaya
804339	387016	
804339	400446	Sonya
804339	400447	Sonya
804340	279851	
804340	402879	Misaki Nishijima
804341	174964	
804341	398410	Miss Sue (1975)
804342	82356	
804343	167544	Tang Mie
804344	152976	Ms. Anderson
804345	60049	Ko Hsu-Chin
804345	78880	Li Ling
804345	231729	
804345	319365	
804345	371520	
804345	372205	
804346	2165	
804346	163851	
804346	264844	
804347	387150	
804349	8030	Tocati
804349	68445	Thelma Monsell
804349	77638	Mara Gessner
804349	78144	Nan Penwardine
804349	78827	Orloff's Secretary
804349	107623	Dancer
804349	130840	Zarmi
804349	155843	Irma
804349	162200	Sadie Tyler
804349	178137	Part-time Worker
804349	190750	
804349	203654	Zarmi
804349	215808	Iris Sinclair
804349	229632	Hortense
804349	231765	Gloria
804349	240970	
804349	241245	Fairy of the Ring
804349	241275	Lalla
804349	241635	Claire Melville
804349	244815	Juanita (the assassin)
804349	249051	
804349	254931	Lady Valerie Camille
804349	257550	Marquise de Vaux
804349	269324	Rota Dow
804349	269334	Zarmi
804349	272615	Mou Mou
804349	286222	
804349	305512	Miss Duprez
804349	316290	
804349	340027	Mou-Mou
804349	342960	Margaret
804349	353519	
804349	354599	Mrs Forbes
804349	356894	Anna Vollof
804349	364008	Zarita
804349	366054	Sally
804349	367458	Laloe Berchmans
804350	380249	
804350	390310	
804351	228376	
804353	132664	Mayfe
804354	198551	Daria
804355	124545	
804355	188035	
804355	315919	Mirabel
804356	1866	
804356	6640	
804356	53889	Singer
804356	234644	
804356	286393	
804356	296124	
804356	350254	
804356	399481	Sagrada
804356	404837	
804357	309394	Ranko
804358	107064	
804359	167373	Yeung's girlfriend
804359	249377	Lily Cheung
804359	268717	Gray
804359	284742	
804359	298405	Ah-ying's aunt
804359	302601	
804359	370402	
804360	92858	Mrs. Hung
804361	30987	Haruka Kuze
804362	201625	Coorespondent
804363	5150	Reporter #2
804363	106617	Karen
804364	12083	
804365	194780	Woman at Airport
804366	24429	Skater
804366	168670	Special Agent Wonders
804366	189325	Buxom Nurse
804366	251646	Beautiful Girl
804367	73646	
804367	355004	
804368	187402	
804369	264352	
804370	372897	Herself
804371	131271	Tai Shui
804372	156198	SM Trainer's Girlfriend
804372	293678	Masochist Maniac Girl
804372	329664	
804373	294796	Invitée d'Alice
804374	126258	Lénore Maheu
804375	175839	Shooting Star
804376	290720	
804377	6402	La poule
804377	13114	La parente
804377	23819	Victorine
804377	42213	La marchande de poissons
804377	55724	La concierge
804377	59264	Solange Crépette
804377	59267	La bonne
804377	59745	
804377	62945	La femme de chambre
804377	68932	
804377	69518	La soeur de Marguerite
804377	70509	Mme Charles
804377	77341	hotel keeper
804377	84678	
804377	91453	La voisine
804377	94235	
804377	94345	Doche
804377	96068	
804377	100281	La concierge d'Yvette
804377	103207	La concierge
804377	127461	Manicurist
804377	155970	La Serveuse
804377	156273	
804377	164146	
804377	171346	
804377	214880	Perrine
804377	214882	Noémie
804377	218274	Julie
804377	218282	Suzanne
804377	219512	Madame Marchal
804377	227671	
804377	235815	
804377	248259	La concierge
804377	249760	Marie
804377	258115	
804377	260040	Marthe
804377	260947	La concierge
804377	264436	La bonne
804377	280442	
804377	282489	
804377	303543	Berthe
804377	309767	La bonne
804377	310056	
804377	322360	Anny
804377	337766	
804377	339617	Virginie
804377	339878	
804377	345352	Marie
804377	345397	
804377	346602	
804377	376955	
804377	376968	
804377	377463	
804377	377659	Amélie
804377	377853	Sylvia
804377	404914	
804379	43164	Local News Reporter
804380	289372	Featured Extra
804381	258931	Young Lucy
804383	193313	
804384	334678	
804385	1729	Themselves - Performers
804385	99373	Music Star
804385	334069	Themselves - Best Popgroup [I
804385	335406	Aunt Millie
804385	396232	Various/lyricist
804386	122957	(story 'Kodama')
804387	55	
804387	8760	
804387	9276	Choji's mother
804387	9417	
804387	17877	Yuta's grandmother
804387	49716	
804387	50462	Haruko's mother
804387	61216	
804387	76843	
804387	76881	
804387	76882	
804387	89049	Okuni, Rokkuchan's Mother
804387	97633	
804387	121443	Tsukada's wife
804387	122115	Yamakawa
804387	122141	Mrs. Mochizuki
804387	123538	Jinen's stepmother (cameo)
804387	125422	
804387	130480	Ozawa-san
804387	137008	
804387	137046	Okimi
804387	137341	
804387	138050	Okuma
804387	139406	Mrs. Shimooka
804387	145288	
804387	145439	Tatsuo's Mother
804387	146346	Sen
804387	146354	Sen
804387	149674	
804387	156234	Housewife
804387	168091	Asa
804387	172241	Village woman (The Woman in t
804387	173257	Primary school teacher
804387	175464	
804387	175793	Tome
804387	179428	Kana Osaki
804387	179524	
804387	182023	Toku Sugiyama
804387	182046	
804387	182048	
804387	182154	Chie
804387	182482	
804387	214392	
804387	217070	
804387	232689	
804387	236942	Osen Yamamura
804387	239321	
804387	242119	
804387	242184	Tsune (Nobuko's mother)
804387	244054	Kikue Amamiya
804387	287161	Woman came back from Penang
804387	294320	Old lady
804387	298872	Haru
804387	299291	
804387	326974	Izumi Sugino
804387	327944	Female drug addict
804387	341320	Toki Kawahara
804387	344119	Yoshi Ogawa
804387	348948	Toyo
804387	358405	
804387	358424	
804387	359388	
804387	359611	Tomoko Wada
804387	370304	
804387	374633	Servant
804387	409315	
804388	58338	
804388	75824	Motorcycle Girl
804389	152929	Dancer
804390	175793	Sumie Aono
804391	379044	Shippu (1988-1990)
804392	211825	
804393	11475	
804394	45209	
804395	312348	Lolly
804396	284934	
804399	348429	Sara
804400	223719	Paris Miller
804401	80911	Elana
804401	103297	Naomi
804401	300871	Abby National
804401	315901	Chuch
804401	331089	Toni
804401	385112	Belinda Marsh
804401	390523	Jessica Samuels (1979)
804401	402753	Tracey Baines
804401	406723	Angel
804403	345690	Physical Therapist
804404	296947	Vera Parsons
804405	145449	Nurse
804405	145736	Aya Anami
804405	174337	Miyako Kano
804405	327006	Yukari Tatsumiya
804405	373218	
804406	76897	Nobuyo
804406	123529	Oume
804406	242315	Kichiya
804406	370350	
804407	177388	Chizuru Kagura
804409	285919	Atsuko Nakano
804410	61522	Baby
804411	127656	
804412	54890	Feimei Li (Shaoran's sister)
804412	187162	Noa
804412	319442	
804413	187319	Koine Suzumura
804414	340857	Emily Griffin
804415	174953	Girl A
804415	348754	Oshima the Raccoon
804415	381163	Lake
804415	389546	Paul
804415	405147	Uran
804416	8144	Margarita
804417	17935	Herself/Audience Member
804417	19990	Mrs. Betty Slocombe
804417	34720	Mrs. Slocombe
804417	35939	Mary
804417	121835	Herself
804417	121857	Herself
804417	121860	Herself
804417	147561	Doris
804417	264135	Lotti, the Princess's Nany
804417	281250	
804417	324009	Hortense, the Flying Train
804417	361361	Herself
804417	380591	Mrs. Betty Slocombe
804417	382794	Herself
804417	384528	Mrs. White (Series 2) (1991)
804417	384657	Mrs Noah
804417	385020	Nellie Harvey (1969-1976)
804417	387528	Mrs. Goddard
804417	390422	Mrs. Betty Slocombe
804417	392230	Mrs. Crispin (Series 1-5) (19
804417	393953	Mum
804417	395793	Mrs. Thelma Hutchinson (Serie
804417	396724	Mrs. Morris
804417	398707	Nora Powers
804417	398747	George's Mother
804417	400111	Mrs. Robson
804417	403312	Mother (Series 1) (2001)
804417	405525	Lotte
804417	405925	Mum
804417	407949	Co-Presenter
804417	407956	Ida Willis
804419	366652	Dream Girl
804421	67373	Miss Foster
804421	163361	J.P. Duncan
804421	231434	Young Opera Singer
804421	312342	Stewardess
804421	329448	Shirley
804422	40668	Rockwell mom
804423	121528	Hotel Hostess
804423	360734	Partygoer
804424	310186	Young Andie
804425	177134	
804425	182059	Journalist's Girlfriend
804425	285676	Mikiko's mother
804426	397347	Ran Takamine (Pink)
804427	8896	Tomoko
804427	18687	Shinko Terazawa
804427	61114	Kinuko
804427	122521	Kikuko, Isaku's wife
804427	138049	
804427	140582	
804427	162684	
804427	171627	Kayo Sagawa, prisoner
804427	175363	
804427	177107	
804427	177121	
804427	179307	
804427	181489	(segment 1)
804427	211720	Mitsuko Murata, Michiyo's sis
804427	239315	Miwako Kozuki
804427	242178	Kuniko Hyuga
804427	255314	Aunt Sode
804427	266666	
804427	271639	
804427	293611	
804427	294098	
804427	296639	
804427	298951	
804427	320460	Hisako Iwamoto
804427	334904	
804427	334937	
804427	341271	
804427	341279	
804427	358130	
804427	370407	
804427	371842	Dancer
804427	375610	
804428	295897	Sachiko
804429	348947	Yukimi
804430	175795	Assistant Choreographer
804431	126866	Stewardess
804432	63192	Kinjo
804433	327022	
804434	8763	Saeko
804434	138068	Shizuko Tooyama
804434	201465	Herself
804434	209784	
804434	300595	Mako Momoyama
804434	348777	Professor Rui Kisaragi
804434	382113	Queen Beryl
804435	180095	Cleopatra
804436	367083	Supporting Cast
804437	129868	Housewife (Mrs. Fat)
804438	51274	
804438	182065	Fubuki
804438	208017	Miyoko Nakajima
804438	328124	
804438	374614	
804439	382648	Naoko
804440	180415	
804440	217341	
804441	9276	Kin, the madam
804441	9557	Hatsu Mimura
804441	9587	Ito
804441	18578	Osai
804441	21815	Pickpocket Haruko
804441	21823	
804441	28129	Tami Yabe
804441	29230	Kin
804441	29424	Masa Taguchi
804441	36527	Fusa Yoshino
804441	43065	Kafu's mother
804441	102512	
804441	125198	Raku Kamioka
804441	125199	Raku Kamioka
804441	126391	
804441	130252	Yoko Morimoto
804441	137124	Yoshie
804441	137128	
804441	137321	School master's wife
804441	138043	
804441	138091	Narrator
804441	138395	
804441	139725	
804441	156240	Herself
804441	160099	Mine Imura
804441	163973	mother
804441	167795	Aki Ueno, Daphne
804441	167977	
804441	168060	
804441	172241	Madame (In a Cup of Tea)
804441	173261	Harue
804441	174347	Mother-in-law
804441	174527	Mrs. Yoshii
804441	175334	Moyo Sugita, a go-between
804441	177121	Tsuruko Fujimura
804441	179341	Taromaru
804441	179348	Katou Shige
804441	179436	
804441	204325	Otome, the mother
804441	207578	Ono Suga
804441	209930	Ohide
804441	211720	Matsu Murata, Michiyo's mothe
804441	223304	
804441	226644	Someka
804441	229786	Sonoe
804441	233136	Narrator
804441	234539	
804441	239088	Kikue Haraguchi
804441	242172	Tamae, Shintaro's mother
804441	242188	
804441	242200	
804441	244051	Fusako Osone
804441	278375	Setsu
804441	280604	Ine's mother
804441	285929	
804441	286847	Tsuru
804441	287110	
804441	287553	Tomoko
804441	294049	Chikako Kurimoto
804441	297069	Vaidehi
804441	299237	
804441	300481	Oei
804441	309366	Tamako
804441	326328	
804441	334898	Shigeko Takeuchi
804441	334930	Shige Kaneko
804441	344285	Oyoshi
804441	344949	Kono Kujirai
804441	348585	
804441	358131	Madame Noge
804441	358393	
804441	372032	
804441	372036	Oure
804441	372038	Yukiko's mother (episode 1)
804441	373365	Princess Yen-chun
804442	158675	Katsura
804444	343646	
804445	182384	Mimi
804446	244523	
804446	284366	Obun
804446	293601	Orie Maki
804446	293603	Orie Maki
804447	246200	
804448	300595	Tamiko Miyoshi
804449	202813	Chubachi, Ayame
804449	390910	nurse
804450	394104	Yui Kanzaki
804451	172090	Shiratori no Jun
804451	192015	Marina's Sister
804451	201966	Makoto
804451	259038	Celebi
804451	294033	Mirai
804451	325315	Mapo
804451	344953	Fain
804451	347074	Chao
804451	348752	Ten
804451	348753	Ten
804451	348754	Ten
804451	348755	Ten
804451	348756	Ten
804451	348757	Ten
804451	348759	Ten
804451	348760	Ten
804451	348762	Ten
804451	348763	Ten
804451	348764	Ten
804451	348765	Ten
804451	348766	Ten
804451	348767	Ten
804451	380700	Heidi
804451	386344	Bokomon
804451	386777	Col. Violet
804451	391595	Moko
804451	391596	Moko
804451	394029	Shiratori no Jun
804451	394030	Shiratori no Jun
804451	394031	Shiratori no Jun
804451	396488	Mako Urashima
804451	396500	Sherry-sensei
804451	396796	Jane
804451	404121	003/Francoise Arnoul
804451	405141	Jane Pika
804451	406060	Lucia
804451	407389	Natsume
804451	407592	Má-Pó
804451	409326	Akiko Tôdô
804451	409686	Ten-chan
804452	22114	Girls's mother
804452	96525	Grandmother
804452	138949	
804452	180593	Mother
804452	182482	Tomi (Jun's mother)
804452	206784	Wife Of A Grocery Store Owner
804452	244546	old woman
804452	299596	
804453	122827	Herself
804453	309961	Masako
804454	333794	Matilda
804455	278973	
804455	292933	
804456	108944	Becky
804456	252956	Sales Girl
804457	63066	Elf #2
804458	173945	Nurse
804459	103033	
804459	268428	
804460	182634	Newscaster
804461	371011	Grace
804462	321311	Soloists: piano
804463	252164	Minerva
804464	114150	Woman
804464	326410	Kathy
804465	41249	
804466	28070	
804466	125970	Min Su-jin
804466	294452	Hee-Jin
804467	57804	Rookie Highway Cop
804467	240473	Dancer
804467	371011	Teri
804468	326565	
804469	136793	Herself
804470	4109	
804470	4185	
804470	4394	
804470	4425	
804470	6206	Vasanthi
804470	19607	
804470	49318	
804470	58625	Lakshmi
804470	59248	Lakshmi
804470	59272	
804470	62211	
804470	85359	
804470	85423	
804470	100251	
804470	100476	
804470	131941	
804470	161142	
804470	164569	
804470	171338	
804470	177826	
804470	180163	Alice
804470	200016	
804470	203867	
804470	203899	
804470	204104	
804470	204348	
804470	205062	
804470	221624	
804470	223364	Hero's Wife
804470	227211	Snehalatha
804470	237014	Aunt
804470	243817	Anamika
804470	243850	
804470	246989	Geeta
804470	270188	
804470	283396	Compere
804470	286781	
804470	299456	
804470	300420	
804470	302505	Sindhu
804470	303106	
804470	317473	Nandini
804470	320902	Swathi
804470	349438	Subhadra
804471	244034	The Bikini Gang
804472	126519	Futaba
804472	129868	Kogyaru A
804472	172533	Izumi
804473	255386	
804474	256878	Minttu
804475	394701	
804476	26068	Helen
804476	86750	Jacqueline
804476	248124	Angela
804476	280720	
804476	411827	Louise McCloud
804477	209492	Kennedy student
804479	63135	Woman Sitting Next to Nick on
804479	311245	Katherine
804480	238648	
804481	20625	Extra
804482	20625	Extra
804483	20625	Extra
804484	115895	
804485	46614	Vaskekonen
804485	114810	Marta [Den nye kapellanen]
804485	140411	Anne-Kreeta
804486	261170	Lulu
804487	148908	Mme. Chan
804488	355028	The Academy's Blessed 'Virgin
804489	62124	
804489	235824	Georgette
804490	191397	
804491	323362	
804492	239674	Character voice
804493	317890	Mrs. Van Der Meer
804494	388734	Shula Tuhumury
804495	32228	
804495	41971	
804495	187411	Herself
804495	366117	
804496	292008	Bethany Hartfort
804497	374096	Oharu
804497	400058	Yoshie Aramaki
804498	4861	
804498	8418	
804498	8646	
804498	9799	Dancing Slave Girl
804498	12959	Sivakami
804498	17642	Annam
804498	18458	
804498	21355	
804498	24858	Anu
804498	25995	Baba's Mother
804498	34023	Indian Dancer
804498	64582	
804498	83610	Dancer
804498	85368	
804498	88537	
804498	88640	
804498	97379	
804498	98497	
804498	107452	Dancer
804498	114846	Exotic Dancer
804498	126910	Mrs. Khairnar
804498	135051	
804498	135873	
804498	136085	
804498	137835	
804498	165174	Bhanumathi
804498	167342	Phoolva
804498	171338	
804498	171937	
804498	174373	
804498	177463	Native Dancer
804498	208602	Tutu's Wife
804498	211602	Gypsy Girl
804498	216553	
804498	249858	Raja
804498	254733	
804498	256651	
804498	260275	
804498	262895	
804498	286179	Asian Dancer
804498	297726	
804498	298457	
804498	303323	
804498	306083	Lakshmi
804498	308985	
804498	320372	
804498	323275	
804498	329204	
804498	349206	
804498	350964	
804499	28277	
804499	34577	
804499	68611	
804499	74531	
804499	77235	
804499	97253	
804499	115191	
804499	149506	
804499	236412	
804499	337962	
804499	353561	
804499	378475	
804500	351181	Martian Lady Driver
804501	14509	
804501	59038	Chandra
804501	62209	Devayani
804501	62210	
804501	62214	
804501	97793	
804501	159058	Senapathi's wife
804501	173238	
804501	173459	
804501	200677	Yamuna
804501	251679	Basavapunnamma's Granddaughte
804501	266793	
804501	275261	
804501	275425	
804501	293250	
804501	318205	
804501	327900	Bhanumathi
804501	358855	
804502	13600	Amdaeng Muen
804502	131537	Trinh
804502	149003	Ramyong
804502	172768	
804503	16704	Joe
804503	113393	Dony
804504	100073	Sandy
804505	84704	
804506	261139	
804507	370188	
804508	258684	
804508	392551	Pukhkenkaya osoba
804509	370188	
804510	17551	Lidiya Ivanovna
804510	34607	Aleksandra Petrovna
804510	95618	
804510	172324	Queen Vlasta
804510	223238	
804510	224277	The secretary of director
804510	241004	Anna Ivanovna
804510	278416	Mme. Rimsky-Korsakova
804510	299554	
804510	300368	
804510	350806	Belendryasa
804510	357445	Elsa Schmetau
804511	60436	Lotta
804511	321933	Christina
804512	248962	Girl at fruit stall
804513	46196	
804514	344058	
804515	187800	Nina Sergeyevna
804515	322708	
804515	373694	
804516	187802	
804517	268214	Young Nun
804518	180361	
804518	334484	
804519	399195	
804520	77096	
804521	24182	
804521	26475	Dunyasha
804521	63611	
804521	120673	Natasha
804521	131299	
804521	179692	
804521	198127	
804521	260848	Tonya Marchenko
804521	263686	
804521	266082	
804521	280771	
804522	8235	Violinist
804523	169944	Esperanza
804523	195788	Lawyer #2
804524	208630	
804525	137223	Dancer
804526	306122	Pedestrian #3
804527	140644	Maya
804527	141864	Manan
804527	246019	Suicide's wife
804528	132547	Angele Didier
804529	26174	Sara B. - grandma
804529	50500	Fanci
804529	88540	
804529	227827	
804529	334316	Potnica v avtobusu
804530	322662	
804531	13532	
804531	81176	Julie (Lead)
804531	186448	Nina
804531	320104	Jill
804531	340923	Biker Mom
804531	348540	Julie (Lead)
804532	130358	Miss Texas
804534	212620	Bitchy Woman
804534	242083	Mrs. Esposito
804535	128212	Old Crone
804536	158514	Yoko
804537	225732	Maxi
804538	89475	
804539	45556	(segment "At the Old Nurse's/
804539	85145	
804539	313140	
804539	330800	(segment "At the Old Nurse's/
804540	44359	
804541	7686	
804541	11250	
804541	13264	
804541	16208	Vera Glaubitz
804541	36331	
804541	40520	Marianne
804541	41650	
804541	56934	
804541	67504	Regina
804541	72504	Sophie Silvano
804541	104644	Katharina Hartmann
804541	105148	
804541	112900	
804541	119247	Crystal Allen
804541	139529	
804541	139530	
804541	142103	
804541	144724	Rosemarie
804541	148783	Hannah
804541	156686	Anna Loeser
804541	168714	Anna Kalmann
804541	171566	Daniela Mathiesen
804541	178938	
804541	183696	Rachel Singer
804541	188069	
804541	192730	
804541	193482	Lola
804541	198474	Jeanne Gallimard
804541	232511	Sheila Robinson
804541	238682	Virginia Wingate
804541	239867	
804541	241655	
804541	260871	Herself
804541	264601	
804541	267207	
804541	280844	Gracie
804541	281639	Rosa Luxemburg
804541	300840	Camilla, Duchess of Crotone
804541	313515	Marianne
804541	325500	Babsi Meyer
804541	330530	Helen
804541	330594	Helen
804541	345174	Patricia
804541	348622	Clara
804541	352361	
804541	377858	Adele
804541	381689	Mieze
804541	395505	Barbara Landau
804541	406083	Leisel Kolff
804541	406321	
804542	288489	
804543	282189	Nina Konstantinowna
804544	20405	Eva
804544	400356	Kvinnlig domare
804545	4484	
804545	4486	
804545	4488	
804545	6357	Thevalli's Wife
804545	6428	
804545	6459	Radha
804545	6704	
804545	8376	Kochammini
804545	8674	
804545	9849	
804545	14518	
804545	14518	Parvathy Amma
804545	15173	
804545	15897	
804545	17331	
804545	18451	
804545	19685	
804545	19934	
804545	20231	Kalyanikutty
804545	23162	
804545	24760	
804545	51492	Sahadevan's Mother
804545	58839	
804545	59038	
804545	59045	
804545	60017	
804545	62333	
804545	62365	
804545	62366	(segment "Apaswarangal")
804545	86874	
804545	97743	
804545	97758	
804545	101542	
804545	101657	
804545	104400	
804545	120239	
804545	123573	
804545	124642	
804545	130574	
804545	136111	
804545	159896	
804545	162496	
804545	163992	
804545	168628	
804545	169371	
804545	171855	
804545	171884	Chandrika's Mother
804545	172476	
804545	172597	
804545	172709	
804545	174269	Annie
804545	177749	
804545	179254	
804545	180163	
804545	180535	
804545	181052	Giri's Mother
804545	182197	
804545	204359	
804545	204529	Gopalakrishnan's Mother
804545	208774	Mariamma
804545	209580	Meesha Madhavan's mother
804545	209816	
804545	213054	Swamini Amma
804545	213055	
804545	216514	Bhadra's Mother
804545	218806	
804545	226639	Kunhikannan's mother
804545	227491	
804545	227711	
804545	233323	Marakatam, his wife
804545	234109	
804545	242253	
804545	242273	
804545	243814	
804545	243833	
804545	243854	
804545	243860	
804545	247118	
804545	250817	Pattabhiraman's Mother
804545	255908	Mother Superior
804545	256082	
804545	260114	
804545	260273	
804545	262897	Raju's mother
804545	263012	
804545	264964	Ajosh's mother
804545	271648	
804545	271841	Gopalakrishnan's Mother
804545	272445	
804545	272493	
804545	272854	
804545	283096	
804545	285418	
804545	306085	
804545	312454	Bhanumathi
804545	321836	Deenamma
804545	322637	Anitha's mother
804545	329235	Sulochana Thankappan
804545	329720	
804545	331032	Jayakrishnan's Mother
804545	344382	Mental Patient
804545	349113	
804545	350046	Kunjikavamma
804545	351391	Pavithran's Mother
804545	351399	
804545	352912	
804545	353334	
804545	354323	
804545	355547	Hostel Warden
804546	317185	voice-over Kim
804547	38660	Black woman (Dr. Cameron's ta
804547	39720	Ruva
804547	48540	
804547	55218	Carmen's Grandma
804547	61824	
804547	141630	Voodoo Sue
804547	149266	Black Cindy
804547	156939	Black Cook
804547	157870	Hattie
804547	161542	Girl at Marriage Market (Baby
804547	175607	Lily
804547	177325	Maid
804547	177521	Tahama, the Cook and High Pri
804547	183435	Prisoner Mustard
804547	190582	Mammy
804547	200881	Tituba
804547	204743	
804547	206943	Naomi
804547	216907	Mme. Azais' Neighbor
804547	227803	Easter
804547	246480	Carla the Servant
804547	269304	Kali Sana, the Aunt's Cook
804547	277113	Mammy Beulah, the housekeeper
804547	285264	Native Woman
804547	288091	
804547	308089	Midwife
804547	312805	
804547	318607	Church Harmonium Player
804547	325120	Witch Woman
804547	327256	Jim Alley's mother
804547	331060	Sacharine
804547	336044	Ruby, Black Woman
804547	337178	Eve, a Black Servant
804547	345826	Slave
804547	364397	Black Mother
804548	351395	
804549	88338	
804550	296626	Herself
804551	256494	Katka
804551	316416	Terezka
804552	404097	
804553	262137	
804553	375946	
804553	376551	Helena
804554	4487	
804554	12002	
804554	76466	
804554	124555	
804554	302505	Bhairavi
804554	317796	Geetha
804554	329253	
804554	378908	Herself
804555	73167	
804555	391673	Auxiliar de Enfermagem
804556	84757	
804556	198374	Eliska Líza Irovská
804556	198375	Líza
804556	199693	Madla
804557	168999	Zin Akkus
804558	91441	
804558	324298	Omnibus Driver
804559	88409	Michaela
804559	88743	Sona Puchová
804559	149624	Anna Hertlová
804559	237748	Angelika's mother
804559	239893	Juta
804559	242638	Magda
804559	281026	Amálie
804559	284477	Katerina Horáková
804559	305822	Klara
804559	310248	
804559	377034	Vladena
804559	383079	
804559	384319	
804559	399868	Luisa von Bruckner
804559	401806	Chairman
804559	407383	Vláda's mother
804559	407986	
804560	109424	Polly
804561	370260	Nurse smoking
804562	63202	Mother
804562	370260	Mother
804563	370260	Nurse 2
804564	175086	Jaffra
804565	240386	
804566	73578	Grga Pitic
804566	102303	La danzatrice
804567	55705	Min Jeta
804567	403325	Newsreader (2003)
804567	404936	Reporter (1998-1999)
804568	22019	
804569	22019	
804569	35615	
804569	172178	
804569	370523	
804569	375281	
804570	357976	Dinah
804571	56036	
804571	164111	
804572	315845	Heather
804573	121615	Mrs. Farmer
804573	147404	Olga
804573	317260	Grandmother
804574	23070	
804574	29805	
804574	67952	
804574	71105	
804574	75564	Mrs. Braun
804574	77239	
804574	148014	
804574	170090	
804574	220740	
804574	235984	
804574	239277	
804574	243781	
804574	247294	
804574	291601	
804574	317689	
804574	353982	
804574	355746	
804575	41888	Theresa Baillie
804575	194405	Claudia Arsenault
804576	367105	Karolina
804576	403494	Himself
804577	19505	
804577	121140	
804577	131112	
804577	323366	
804577	351475	
804578	29656	Mother Radziwillowna
804578	247346	Telimena
804579	87185	
804580	309890	Smoke House
804581	216593	
804581	375439	
804582	174265	Woman in tv-ad
804582	356186	Tamara
804582	410177	
804583	98891	Herself
804583	109604	
804583	338079	
804583	397931	Farida
804584	380430	
804585	102205	Zombie
804586	382743	Diane, aged 6
804587	311894	
804588	214246	
804590	19159	Jane Alexander
804590	26776	Ray Smith
804590	74182	Nurse Lt. Mary 'Smitty' Smith
804590	131426	Luisa 'Lu' Ginglebusher
804590	154457	
804590	191990	Lammchen Pinneberg
804590	218734	Cherry Chester/Sarah Brown
804590	219557	Freya Roth
804590	231125	Cicely Tyler
804590	233934	Mary Scott
804590	242110	Mary Lane
804590	299064	Judy Linden
804590	299780	Klara Novak
804590	299803	Daisy Heath
804590	306411	Ruth Holland
804590	306468	Valette Bedford
804590	331324	Patricia 'Pat' Hollmann
804591	56360	
804592	251618	
804593	188453	'Dislike' Girl
804594	198517	Homeless Child
804595	198517	Homeless Woman
804596	191394	
804597	131227	Susan Nason
804597	223658	Mrs. Carlsen
804598	48217	Julia
804599	44433	Woman at Site
804600	206584	Martha
804601	115178	
804601	193622	
804601	390693	Birdie
804602	82449	Herself
804602	345864	Herself (Annie Sullivan)
804603	94017	Barbara
804603	190464	Mourner
804604	292587	A Tale of Unity Narrator
804605	117779	Branwen/Delorna/Dryad
804605	313500	Essara Till
804605	368373	Marie
804606	254996	Lily Kilworth Revoice
804607	66288	
804607	277106	Stepford Wife
804608	96726	Coworker 5
804609	29955	
804610	34666	Philly AM Assistant
804610	50639	Cricket
804610	131381	Nurse
804610	265109	Michelle
804610	281396	Sarah
804610	291457	Flower shop clerk
804610	381562	
804610	407421	Nina Toth (adult)
804612	270346	Ghetto Victim
804613	251194	School Girl
804614	67394	Ms. Taylor
804615	190854	Social Worker
804616	190440	
804617	32088	Samantha
804617	111800	
804617	139582	Marion Hawthorne
804617	144570	Elly
804617	151556	Elizabeth Gunderson
804617	187251	Angel
804617	196948	Janice
804617	250593	May
804617	296729	Jazz
804617	323040	Courtney
804617	362860	
804617	368941	Bridget Fisher
804617	388372	Fezy Dupre
804617	399240	Camella Gorik
804617	401610	Beth
804617	402752	Judy Douglas
804618	34028	Midget
804618	367073	Munchkin
804619	12612	Salli Brady
804620	347300	Brooke
804620	370889	Kate
804621	379716	Sheila Thomas (1984)
804622	5430	Landlady
804622	9087	
804622	23463	Mrs. Williams
804622	130305	Sister
804622	138837	Fred's Neighbor
804622	158175	Sarah Hubbard
804622	176874	Marie (Marie's mother)
804622	176875	Mrs. Williams
804622	276770	Mrs. Williams
804622	368718	Delores
804623	58017	Theo's Girl
804623	204946	Barrage balloon WAAC
804623	381365	Giselle
804623	382476	Gisèle
804624	18662	Mei-Lung Haung
804624	348752	Shinobu, Commander Of Elle's 
804624	348754	Shinobu
804625	5227	Kim Roby
804625	241065	Harriet
804625	306221	Patricia Milson
804625	404718	Nurse
804626	175217	Herself
804627	29677	
804628	142949	Floating woman
804629	329748	
804630	383803	Herself (segment "Lindbergh's
804631	21116	Kid in Cafe
804632	157636	Dwarf
804633	66337	Bett
804634	45461	Sally
804635	323134	Reiko Katsui - Episode 5
804635	407369	Reiko Katsui, Officer, Additi
804636	274312	Gabriella
804637	169372	Rosemary
804637	222831	Press Member at Muriel's wedd
804637	301289	Reporter
804638	75629	Angele Gratton
804638	234699	
804639	90080	Donna Anna
804639	115208	Rosalind Eisenstein
804640	124554	Sequencing customer
804641	183394	
804641	185480	Camilla (Queen's maid)
804641	254530	Ruby Blair [Chs.1,4-9]
804642	13532	
804642	115603	Trish
804642	151895	Mariane
804642	186448	Liz
804642	320104	
804642	340923	Ruark Boss
804643	18028	Little Marion
804643	326125	Bank Employee
804643	342662	Cheri
804644	65415	Judy Saurin
804644	68485	Marion Manners
804644	107994	Mrs. Benton
804644	117257	Angela Bryton
804644	128334	Mona Molloy
804644	142453	Dorothy Harmon
804644	150935	Kitty La Verne
804644	212997	Mrs. Annerly
804644	249221	Leila
804644	279713	Mrs. Bryson
804644	282277	Jane Hamilton
804644	301267	Lillian Griswold
804644	314253	Mrs. Creeth
804644	332816	Undetermined Role
804645	164490	Mrs. Wanley
804646	306132	Bar Owner
804647	66390	
804648	65628	Train Passenger
804649	166089	Herself
804650	103312	Jane
804650	282394	Louise Jr., ages 18-26
804650	312363	Naomi Sanders
804650	345718	Marianne
804650	405882	Millie Russell (1972-1973)
804651	119820	Student in the Play
804652	317309	MV Villagers Goodbye
804653	145188	Heather O'Brien
804653	152827	Lonely Girl
804654	17021	
804654	46326	Sara
804654	53732	Lynn
804654	120216	Mrs. Bryan
804654	126730	Sheila
804654	174584	Liz Alman Parks
804654	204214	Jane Salerno
804654	244453	Torrie
804654	257903	Mimsey Hubley
804654	296785	Foreman - Mayer's Trial
804654	349231	Kristine Walsh
804654	366271	
804654	383429	Honora Houlihan Armagh
804654	395284	Donna
804654	397246	
804654	409744	Kristine Walsh
804655	263255	Tied-up Woman
804656	26440	Anne-Marie Pierce
804657	395412	Co-host (1959)
804658	55536	Agnes
804658	108386	Neighbor
804659	273782	Student Announcer
804660	218553	Jill
804661	37581	Nun
804661	222626	Female Customer
804662	234480	
804664	13941	Reporter
804664	236139	
804665	62954	Donna
804666	236139	
804667	291414	Sally Ann
804668	141223	Marie
804669	12401	Emily
804670	16478	Herself
804670	395290	Regular Performer (1976-1982)
804671	79478	Herself
804671	210481	Reporter
804671	383710	Herself - Co-Anchor (1987-199
804671	387209	Herself/Correspondent
804672	2904	Herself (Crew of Atlantis STS
804672	93124	Herself
804673	190395	Linda
804673	356637	Mrs. Wrightwood
804674	72114	Dimitri's mother
804674	81060	Shelly
804675	102736	Katherine (episode "Hat Check
804675	162292	
804676	154253	Alina
804677	199207	Girl in Chevy
804677	249914	
804677	270346	Ghetto Victim
804678	255897	Nancy
804678	401021	Sue Ellen (1963-1965)
804679	215178	Monster Hand
804680	152936	Nurse
804680	156466	Defense Councel
804681	399018	Contestant (2004)
804682	24430	Go-go dancer
804682	203358	Tony Clifton Dancer
804683	54706	Herself
804684	178092	Woman with Baby
804685	130606	
804686	133797	
804687	166707	Jennifer Monroe
804688	85021	Shirley
804688	96842	
804688	242937	Fan
804688	278526	College Girl #1
804689	319886	Chloe
804689	384100	(episode "The Man Who Didn't 
804690	40690	Model #1
804691	381664	Secretary
804692	35472	Helene
804692	241957	Adah Campbell
804692	383385	Carla St. Anne (1986)
804692	389858	Kathryn Corbin Dante (1977-19
804693	265005	Nudist
804694	155032	Maribeth the Waitress
804695	99573	Mrs. Morissey
804696	224412	Virginia's Sister
804696	328541	
804697	152647	Teenage Ida
804698	41552	Murder victim #1
804699	130360	Withering's Singing Maid
804699	133540	Herself
804699	312584	Ida
804700	273278	Extra
804701	183032	Greta Garbo
804701	258936	Prostitute
804701	291891	Crew Member
804703	297625	Office manager
804704	385896	
804705	93364	Carrie
804706	213445	
804706	231869	Jackie Black
804707	42988	Clerk
804707	81767	Reporter
804707	135996	Customer Service Officer
804707	295185	Sherry (Palm Reader)
804707	302750	Sister
804707	379893	Regular Performer
804707	386936	Mrs. Parker
804707	399343	Various
804708	41247	Julie
804709	26287	Bizzy
804709	29524	Mara
804709	30428	Ethel Shivers
804709	32532	Nora
804709	38964	Herself
804709	50825	Mira Nova
804709	50826	Mira Nova
804709	85245	Nancy
804709	107463	
804709	177074	Shego
804709	177075	Shego
804709	177076	Shego
804709	218416	
804709	224313	Alissa
804709	289265	
804709	330565	Sally
804709	360244	Beth
804709	368595	Waitress
804709	381064	Bizzy/Various Characters
804709	383062	Mira Nova
804709	384479	Joan of Arc
804709	385174	Esperanza Thomas (2004)
804709	394495	Holly Shumpert (2002-)
804709	396359	Various (1995-2001)
804709	407497	Kat Munro
804710	29746	Double Dutch Girl
804711	147099	Amy
804712	5150	Meersma
804712	163258	
804712	312342	Lab Assistant
804712	348651	Surf Punks
804713	156	
804714	304443	Day Tripper
804715	395165	Southern California Reporter 
804715	402945	Ranger Patty, Abel Johnson, T
804716	220678	Herself
804717	32629	Herself
804718	248878	Navajo Bunk Girl
804719	67394	Nicolette
804720	265714	
804721	61557	Sylvia Stoddard
804721	61704	Betty Marsh
804721	111424	Patricia Boliver
804721	165968	Judy Dean
804721	219919	Mary Baldwin
804721	233802	Mary Boyd, as a child
804722	354786	
804723	56144	Soap Box Speaker
804723	64871	Nurse
804723	172703	Bar Waitress
804723	188511	News Reporter
804723	236905	Ellen
804723	274284	Nurse
804724	98700	
804724	353659	
804725	379978	Herself (eliminated 10th) (20
804726	273241	Herself
804726	340399	Herself
804726	369250	Herself
804726	410688	Paisley (2000-2001); Nitro Gi
804726	411545	Herself (2001)
804727	255731	Kim
804728	211529	Charlotte 5 Years Old
804729	144523	Edith Boggs
804729	151233	Lisa Bell
804729	185328	Shirley
804729	227154	Luanna Baxter
804729	327172	Lorna
804730	40901	Damned Nun
804730	281882	Irene Reindesyeux
804731	164381	Sarah as a Toddler
804732	221318	Miss MacGonnigle
804732	252959	Lady #2
804733	39627	Lovely maiden
804734	35471	Nancy
804734	46431	Diane Sealey
804734	57379	Kate Lassiter
804734	64825	Madeleine Crawford
804734	64941	Carol Carter
804734	67996	Linda Greg
804734	80865	Rainbow
804734	138700	Herself
804734	140400	Dr. Julie Farr
804734	140401	Dr. Julie Farr
804734	158896	Dr. Elaina Marks
804734	176887	
804734	200480	C.B. Macauley
804734	206356	Sara Fish
804734	210641	Tino's Mother
804734	213346	Ann (TV version only)
804734	223711	Isabelle Wallace
804734	230721	'Poker' Alice Ivers
804734	233881	Girl on bus
804734	243229	Frances Mudd
804734	244871	
804734	252978	Kaye
804734	253358	Twyla Cooper
804734	268035	Anabel Norton
804734	270915	Mary Beth Warner
804734	279254	
804734	280432	Cindy St. Claire
804734	300054	
804734	313441	Vice Admiral Lori Ciana
804734	342766	Patricia Clarkson
804734	380391	Lenore Moore Curtain Delaney 
804734	381736	April Morrison
804734	386248	Katherine 'Kitty' Montgomery
804734	388237	Maggie Donovan Hartford Giobe
804734	389912	Kathleen Rachowski
804734	391154	Dr. Julie Farr
804734	393082	Lois Adams (1980-1981)
804734	398135	Kathryn Monroe
804734	403335	Maggie Porter
804734	411419	Nancy Condon (1970-1971)
804735	1782	Herself
804735	2005	Herself
804735	2322	Herself
804735	2535	Herself
804735	2994	Herself
804735	295391	Herself
804736	65607	Lisa
804736	120122	Melissa
804736	161757	Daughter at church
804736	307457	Girl on Landing Dock
804737	242957	Herself
804738	296268	Melissa De Layle
804738	337998	Josephine Forrest/Jo Deth
804739	407	Violet
804739	272440	Extra
804739	326117	Violent
804740	104301	
804741	176358	Princess Fanya
804742	20611	
804742	141439	
804742	166901	
804742	166911	
804742	179030	
804742	197666	Glenny
804742	253837	
804743	6854	Marie
804743	75419	Woman
804743	89250	Woman in dance hall
804743	96979	Mother in Mission
804743	157007	Passenger
804744	306946	
804745	196390	Model
804746	101137	Madame Clerc
804747	171325	La fille de la boîte
804748	408278	Julie Byron Buchanan
804749	126710	Sandy Lane
804750	129776	Herself
804751	4410	Deepak's mom
804751	4421	Ashok's mother
804751	4480	
804751	4497	
804751	4859	
804751	6364	
804751	14454	Soni's mom
804751	15163	
804751	15866	Girl college facilitator
804751	15870	
804751	15871	
804751	15872	Rani Joda Bai
804751	17410	
804751	18934	
804751	24186	
804751	24281	
804751	25525	
804751	25553	
804751	25668	Sarla
804751	25969	
804751	27724	
804751	27733	
804751	28380	Quen Gunavati
804751	28743	Wildcat/Usha
804751	28981	
804751	29064	
804751	31623	
804751	35946	
804751	36004	
804751	36079	
804751	36174	
804751	36249	Renu's mom
804751	38215	
804751	43327	Gopal Ma
804751	62308	
804751	64175	Manjiri
804751	66744	
804751	79127	Mrs. Dutt
804751	84333	
804751	84730	
804751	84791	
804751	86630	
804751	86642	Jamuna
804751	86668	
804751	88150	Mrs. Oswal
804751	88516	Lakshmi
804751	88630	
804751	89598	
804751	91471	Nun
804751	95244	
804751	98477	
804751	108988	
804751	122695	
804751	123364	Sundari
804751	123737	
804751	124680	
804751	131948	
804751	135664	
804751	141836	
804751	145464	
804751	159246	
804751	159249	Indira
804751	164310	
804751	164315	
804751	164329	Sunder's mom
804751	164768	
804751	164857	
804751	166477	Prasad's mom
804751	166493	
804751	167348	
804751	167981	
804751	168441	
804751	168758	
804751	170167	
804751	170403	
804751	170827	The Aunt
804751	171523	Dai maa
804751	171759	
804751	172136	
804751	174633	
804751	174633	Mrs. Dinanath
804751	175562	Mother Superior
804751	175863	
804751	175930	
804751	175983	Soli's wife
804751	176085	
804751	176158	Ramaki
804751	180724	
804751	183458	
804751	184103	
804751	184118	
804751	184155	
804751	199667	
804751	199668	Madhuri
804751	200735	The woman feeding a dog
804751	201237	Ravi's mother Mrs. Khanna
804751	205077	Jijabai
804751	209864	Santosh
804751	210506	
804751	211406	Captain Vinod's mom
804751	222500	Laxmi 'Lacho's' mom
804751	224118	
804751	226674	
804751	226675	
804751	226752	
804751	226755	
804751	228855	
804751	229336	
804751	233205	
804751	248692	Champa
804751	248804	
804751	249139	
804751	249140	
804751	250675	
804751	251879	
804751	256937	
804751	256941	Princess Chanda
804751	260128	
804751	262410	Potter's Widow
804751	262690	
804751	267233	
804751	268061	
804751	268123	
804751	270202	
804751	270766	Shanti (Dev's mom)
804751	271620	
804751	271730	
804751	271887	
804751	272701	Laxmi 'Lacho's' mom
804751	276229	
804751	281521	Neeta's mom
804751	282230	Mohan's mother
804751	284945	
804751	284978	Mrs. Dayal
804751	286585	
804751	286757	
804751	287391	Kundan's mother (Bhawani's da
804751	287471	Sakharam's Wife
804751	287526	
804751	287662	
804751	288200	Kumud's mother
804751	293248	
804751	297049	
804751	297058	
804751	297571	
804751	297725	
804751	299600	
804751	308983	
804751	318418	
804751	318422	
804751	318517	Charu
804751	318958	Inderajeet's mom
804751	323275	
804751	323686	
804751	324153	
804751	326665	
804751	327155	The Telephone Operator
804751	341635	
804751	343313	Gopal's mom
804751	351105	
804751	359514	Mrs. Mehra (Arun's mom)
804751	365550	
804751	375037	Laxmi Singh
804752	4323	Girls hostel superintendant
804753	159646	Dancer
804754	214631	Letícia
804755	292596	Policewoman
804756	165355	Elly
804756	179609	Josée De Pesser
804756	182332	Irene
804756	379634	Lisette Van Oppen
804756	384611	Josée De Pesser
804756	410593	
804757	176864	Fantasy Woman
804758	256612	Moana
804759	168485	
804760	4175	
804760	4450	
804760	8250	Zarina
804760	10038	
804760	27380	
804760	58556	
804760	60872	
804760	79240	Salma
804760	81716	
804760	86668	
804760	152484	
804760	176020	Rani/Paro Ramdin
804760	198737	
804760	203409	
804760	228840	
804760	242402	
804760	262848	
804760	285853	
804760	289078	
804760	322877	
804760	324521	
804760	375206	
804761	7566	
804761	14463	
804761	27744	
804761	36614	
804761	49165	
804761	135667	
804761	149380	
804761	172559	
804761	172865	A fair maiden
804761	264544	
804761	288569	
804761	288815	
804761	297323	
804761	314464	
804761	324104	
804761	351096	Uttari
804762	297576	
804763	4098	
804763	24185	
804763	127340	Usha Rani
804763	161152	
804764	1333	
804764	4091	
804764	15817	
804764	28251	
804764	29425	
804764	31506	
804764	33281	
804764	68286	
804764	77305	
804764	95409	
804764	153494	
804764	170523	
804764	175885	
804764	175919	
804764	176004	
804764	204146	
804764	207381	
804764	211403	
804764	215200	
804764	216380	
804764	221801	Bahar
804764	227499	
804764	250496	
804764	254839	
804764	272066	
804764	278804	
804764	288223	
804764	298814	
804764	319086	
804764	344938	
804764	370291	
804765	168531	Specialty dancer
804765	246896	
804767	43107	
804767	52386	Apáca
804767	73794	Anna
804767	112911	
804768	19678	Piros Katinka, az Aranypáva f
804768	19766	
804768	32424	Eszter
804768	43185	Kristófné
804768	50463	Tanárnõ
804768	77870	Lükeházyné
804768	96202	Déry anyja
804768	97974	Mrs. Kincse
804768	99739	Woman (segment: Mikor van a h
804768	106692	Ilona Marvitz
804768	118170	
804768	122396	Pálma Nusi
804768	136600	Zenthéné
804768	155616	Mimi
804768	156100	Eufrozina
804768	163131	Neighbour
804768	163179	
804768	171629	Mária, Árvay felesége
804768	175746	
804768	182522	Mayerné
804768	182828	Mrs. Kázmér Baradlay
804768	182829	Mrs. Kázmér Baradlay
804768	200010	Mimi
804768	200606	Mayerné
804768	212825	Rehákné
804768	224968	Gr. Korlathyne
804768	226712	
804768	229465	Keresztes Gáborné
804768	237159	Kádas édesanyja
804768	243878	Patikusné
804768	266468	
804768	272164	Mama
804768	307147	Jolánka
804768	322101	Mária, Duday lánya
804768	322108	Tassy tanárnõ
804768	349046	
804768	357931	
804768	371289	Dolores
804768	378265	Metternich felesége
804769	50444	Extra
804769	186158	Laura
804770	49828	Prostitute
804771	187555	
804772	90270	
804772	97003	Mrs. Chan
804772	110655	Girl inmate
804772	116648	Han's Wife
804772	121094	Mrs. Bill
804772	121098	Mrs. Bill
804772	121103	Mrs. Bill
804772	121104	Mrs. Bill
804772	128580	
804772	138626	Aunt Bill
804772	142816	Spring
804772	181417	
804772	193048	Department store staff
804772	195253	
804772	209898	Patsy
804772	215474	Host
804772	215517	Dame
804772	227242	
804772	231231	
804772	268639	Shanghai Po
804772	300401	Siu-Fung/Miss Choi
804772	300446	
804772	369558	Lam Siu-Fa
804772	369705	Master's wife
804772	373675	
804772	376061	Ying's Mother
804772	395818	Lydia Lum
804772	404623	
804773	274361	Oyabun's woman
804774	4022	
804775	42073	
804775	52785	
804775	54810	
804775	75261	Sonia
804775	78776	
804775	87042	Paola Di Pietro
804775	90663	
804775	113707	Giulia
804775	129001	
804775	159458	Alessandra
804775	225653	Gabriella
804775	234716	Vera
804775	237996	
804775	250539	
804775	270886	Anna
804775	287992	Marina
804775	300838	
804775	301354	
804775	302619	Linda
804775	342125	Tony's mother
804775	344451	
804775	348153	Prof. Ang. Tommasi
804775	356464	Emma
804775	386478	
804775	403330	
804776	19138	Singer
804776	53641	
804776	225699	
804776	240245	Karina
804776	292552	Kori-Tica
804776	371663	
804777	33289	
804777	48457	Antoaneta
804777	94510	
804777	164038	
804777	164052	Malina
804777	171911	
804777	173658	
804777	186522	
804777	215996	
804777	266172	
804777	306645	
804777	375422	Duklida
804777	390427	Ruza
804777	397988	
804777	398198	
804777	399008	
804777	409714	
804778	58509	
804779	4162	
804779	4235	
804779	8418	
804779	18289	
804779	41925	
804779	60022	
804779	90572	
804779	95449	
804779	123693	Raghava's Wife
804779	164569	
804779	165397	
804779	165998	Santhi
804779	171338	
804779	175886	Dr. Sujatha
804779	211640	
804779	222452	
804779	222551	Soundaryan
804779	249858	
804779	252010	Poorna
804779	262449	
804779	270188	
804779	271452	Dhanunjay's wife
804779	312483	Sumalatha Devi
804779	312518	
804779	317792	Sujatha
804779	320865	
804779	320919	Sarada
804779	324330	Subhadra
804779	329653	Koochutti
804779	331032	Clara
804779	352881	
804780	325720	Maria Espadia
804781	173132	
804782	388721	
804782	403118	
804783	394716	Herself - the host
804784	73551	Tophy Girl
804784	285292	Mrs. Torres
804785	320862	
804786	28791	Pickaninny: Topsy
804786	280365	
804788	307751	
804789	356022	Zerrin
804789	382093	Telviye Çitir
804790	296100	Sandra
804790	329703	Mandy
804790	351767	Tara
804791	241226	Laura Bristol
804792	363969	Cindy Capone
804794	249751	
804795	298915	Fujitsubo/Kiritsubo (plays tw
804796	121987	Seiko's step mother
804796	136395	Machiko Yoshikawa
804796	149094	Shuko Tsuwano
804796	172425	Kikuko Yamabe
804796	212530	Toriko Kazama
804796	226655	Tsutako Honjo
804796	243902	Someko
804796	308904	Tazuko
804796	400050	Mme Kato
804797	3586	Yoshie
804798	64968	
804799	43065	Oyuki
804799	181891	
804799	211028	
804800	327049	
804801	391162	Linh Tamiya
804802	340234	
804803	24798	Seeta
804803	36307	
804803	233318	
804803	284728	Bhuvana's Mother
804803	287966	
804803	296880	Hostage
804804	135577	Millia Rage
804804	135578	Millia Rage
804804	135579	Millia Rage
804804	298987	Zhen Ji/Edit_Princess
804804	404228	Nanako Hishinuma (School Nurs
804805	81862	
804805	110981	Wrestler 1
804805	117425	Mayumi Maeda
804805	189475	
804805	228667	
804805	330051	Herself
804805	389621	Herself
804805	398179	Herself - Purple Team
804806	102225	Viviana Preston
804807	130888	
804808	326677	
804810	296947	Lucy
804810	409400	
804813	19769	Tatjana
804813	23254	Princess 'Kida' Kidagakash
804813	23255	Princess 'Kida' Kidagakash
804813	23256	Princess Kida, Atlantean Chil
804813	23257	
804813	29753	Penelope
804813	31445	Jazz Singer
804813	39756	
804813	54922	Christina 'Christy' Davis-Tim
804813	54923	Kim
804813	65630	Cleo
804813	99242	Elise
804813	106444	Co-Ed (girl at club)
804813	107940	Tandi
804813	107942	Tandi
804813	112021	
804813	113332	Lady Belgemine/Young Tidus
804813	113333	Lenne/Calli
804813	117780	
804813	117781	
804813	119601	Dr. Kendra Sinclair
804813	124185	Hyena
804813	124189	Hyena
804813	160565	Penny (and in segment "Prince
804813	163489	Elmyra Duff
804813	175681	Pilgrim, Kermit's Mom, Kermit
804813	194530	Solruua
804813	199433	Freakella
804813	222300	
804813	225774	Herself
804813	256859	Micay
804813	283099	Susie Carmichael
804813	283100	Susie Carmichael
804813	283102	Susie Carmichael
804813	283103	Suzie Carmichael
804813	283104	Susie Carmichael
804813	283106	Susanna 'Suzie' Carmicheal
804813	283108	Herself/Suzie Charmicheal
804813	283355	Samantha
804813	333631	Elmyra Duff/Mary Melody
804813	333634	Elmyra Duff
804813	341493	
804813	365443	Lisa
804813	365458	Phaedra (Elephant)
804813	369460	Magma
804813	378703	Princess/Additional Voices
804813	379710	Susie Carmichael
804813	380715	Miranda Killgallen
804813	381392	Max Gibson
804813	383280	Robin
804813	383282	Fern/Fern's Mother/Misty's Mo
804813	383414	Karen
804813	384454	Cleo
804813	384572	Abigail 'Abby' Lincoln - Numb
804813	386338	Winifred 'Freddie' Brooks (19
804813	386945	Foxxy Love
804813	388012	Princess Kneesaa (1985-1986)
804813	389288	Jill/Additional Voices
804813	389758	Hyena
804813	391330	Catnip
804813	391619	Aka Pella/Histeria Kid Chorus
804813	392897	Penny (1983-1984)
804813	393643	Herself
804813	393915	Prince Louie the Ape (II)
804813	398258	Princess Kitana
804813	398513	Nefertina
804813	398713	Tiff Krust
804813	401191	Tessa James/Vanessa James
804813	401303	Tigerlilly
804813	401495	Elmyra Duff
804813	402234	Spencer (1994)
804813	402293	Lady Becky MacBeth
804813	403907	Susan 'Susie' Carmichael (199
804813	404080	Chloe
804813	405648	Chilly Cooper
804813	406411	Luminara Unduli (2004)
804813	407155	Reese Daulkins (1994-1995)
804813	407654	Additional Voice Talent
804813	408305	Elmyra Duff/Mary Melody
804813	409212	Additional Voices
804813	410504	Khanie
804813	410765	Carver's mom/ToddDescartes/Pe
804813	411088	Additional Voices
804814	91576	Lisa
804815	123397	Christa
804816	45	Herself
804816	1801	Herself
804816	1820	Herself
804816	2759	Herself - Performer: 'Last Da
804816	13784	Herself
804816	14094	Herself - Presenter
804816	14098	Herself
804816	87597	Host/Performer
804816	87598	Herself
804816	87779	Herself
804816	87784	Herself
804816	90474	Herself
804816	90728	Herself
804816	90729	Herself - Performer
804816	161240	Herself
804816	223025	Song Performer "Mimi's Song"
804816	238613	Herself
804816	280084	Herself
804816	329309	Nicole Sims
804816	352974	Herself
804816	352981	Herself
804816	396034	Herself
804816	404381	Herself
804816	410035	Herself
804817	133338	Diana Graves
804819	224173	Lottie Rich
804820	277108	
804822	26499	
804822	26782	
804822	26891	
804822	31880	Herself
804822	53321	
804822	56312	
804822	57667	
804822	57941	
804822	64519	
804822	66112	
804822	69432	
804822	75191	
804822	75325	
804822	77415	
804822	85761	
804822	100956	
804822	102701	
804822	104668	
804822	110971	
804822	113520	
804822	128233	
804822	140980	
804822	148311	
804822	150147	
804822	153256	
804822	154386	
804822	154387	
804822	169684	
804822	191788	
804822	192089	
804822	194270	
804822	194275	
804822	194722	
804822	196493	
804822	196554	
804822	213274	
804822	215464	
804822	228574	
804822	228643	
804822	239092	
804822	243102	
804822	243103	
804822	243524	Pregnant Woman in Waiting Roo
804822	245474	
804822	253013	
804822	261069	
804822	270758	
804822	272893	Lisa
804822	280185	
804822	292858	
804822	294304	
804822	295650	
804822	295748	Herself
804822	296285	
804822	296647	
804822	296680	
804822	303614	
804822	309668	
804822	310937	
804822	311442	
804822	313267	
804822	314450	
804822	321160	Herself
804822	325257	
804822	325263	
804822	330134	
804822	332862	
804822	335229	
804822	335448	
804822	338763	
804822	338764	
804822	339923	
804822	345658	
804822	355985	
804822	361936	
804822	364762	
804822	365383	
804822	365428	
804822	367652	
804822	367904	
804823	86545	Patamon
804823	128741	Jane
804823	139195	Fan #1
804823	234237	Nurse
804823	260119	Spaceship computer
804823	265100	
804823	298108	Receptionist
804823	386345	Patamon (1999-2001)/Additiona
804823	391328	Mimi
804823	391329	Mimi
804823	393503	Princess Hightower
804823	399255	Comedy Vignettes
804823	402962	Janine Melnitz (I) (1986-1987
804823	408487	Heather Hogwarsh
804824	168298	Esquire
804825	264874	
804829	7723	
804829	7731	
804829	37949	Herself
804829	39908	
804829	213220	
804829	273528	
804831	252982	Joanna
804831	305638	Eric's wife
804831	310589	Andrea's Roommate
804832	40379	Rosl
804832	265093	Urschl
804832	293443	Lilo
804833	357151	Kay
804834	395350	Library assistant
804835	11427	Beryl Hopper
804835	13352	
804835	55709	
804835	74210	Gloria, Georgie's Mom
804835	82923	Ethel
804835	90263	Mother
804835	107142	Barbara Quigley
804835	113268	Jenny Drew
804835	117560	Mrs. Roberts
804835	136017	Mrs. Bastian
804835	162843	Aunt Polly
804835	162984	Aunt Kate
804835	163547	Barmaid
804835	185525	Vi
804835	186056	Sheila Wilcott
804835	193581	The Blonde
804835	194690	Sgt. Cook
804835	203364	May Baker, Anchor Hotel
804835	204021	Lily
804835	214167	Mrs. Willoughby
804835	222613	Maggie Doone
804835	233928	Marguerite
804835	234064	Beryl
804835	238372	Celia Watford
804835	240683	Sgt. Wilkins
804835	240755	Flora McNaughton
804835	254268	Mabel
804835	274233	Lily Pepper
804835	283542	Hilda Tanner
804835	291487	Miss Flora
804835	307970	Elizabeth Robson
804835	310404	Mrs. Harkness
804835	312153	Mrs. Roberts
804835	315722	Doris
804835	316604	Edna
804835	323446	Miss Carteret
804835	330560	Vera Kurton
804835	335511	Louise Allington
804835	335875	Cecilia
804835	359899	Mrs. Thayer
804835	360551	Clippie
804835	371043	Lady Xenia
804835	388350	Alice
804835	390951	Lady Strudwick
804835	398749	Ellie Martin (eps 5-39)
804835	399442	Hester Pilbeam
804835	401452	Mrs. Bligh
804835	409217	Ethel Charles
804835	411463	Aunt Dahlia
804836	390335	Herself - Vet (2004-)
804836	401340	Host
804837	237106	
804838	390523	Sally Forsyth (1980)
804839	89634	Emmy
804840	289247	Betty Weston
804841	359573	Heather
804842	34092	Claire
804842	80410	Melanie
804842	84399	Margaret Fine
804842	88025	Annie Vandenberg
804842	157840	Trish
804842	171179	Miss Quinn (Charlie's School 
804842	192250	Nurse #1
804842	245036	Morgan Bradshaw
804842	252926	Karena Thomas
804842	286609	Nancy
804842	345612	
804843	42438	Mom
804843	330898	Love
804844	267351	Graves assistant
804845	301765	Tamera Collins
804845	390180	Sunny
804846	91136	Ben's Mother
804847	33742	One of 'The Thirty Women'
804847	101081	Jean Casey
804847	170843	Casitas Madres Exercise Atten
804847	211382	Dana Jordan
804847	254645	Lisa Miller
804847	278711	Gym attendant
804847	303564	Bridesmaid
804848	217448	Jenny
804849	241244	Video Store Patron #1
804850	331556	
804851	207828	Miss Honey at 2 Years
804851	389858	Girl (2001)
804852	71783	Chick
804852	194929	'Cinders'
804853	67135	Herself
804854	297186	Roberta
804855	6720	Herself
804855	25815	
804855	26766	
804855	31714	
804855	37505	
804855	39751	
804855	87390	
804855	102709	
804855	141597	
804855	143322	
804855	158123	
804855	158289	
804855	231838	
804855	253502	
804855	280154	
804855	285325	
804855	325246	
804855	342449	
804855	369475	
804856	24972	Jean McLane
804856	37364	Cashier
804856	70384	Vi, a crook
804856	81026	Mrs. Jean Errol
804856	107703	
804856	112494	Jeannie Halvorsen
804856	115478	Woman at airport
804856	127698	Dora Deetz
804856	183440	Wife
804856	212216	Bit part
804856	212217	Lindsays' maid
804856	263326	Annette, the Maid
804856	270667	
804856	295470	Miss Summers, Ward's Secretar
804856	304347	Bit Part
804856	360880	Administrator
804857	405209	Robyn Blundell (1998)/Julie B
804858	2766	Nude Model
804858	228675	
804858	297928	
804860	140019	Dive Bar Bartender
804861	35548	
804862	23977	Widow #1
804862	37452	Costume Woman
804862	82837	Pearl
804862	109662	Train Passenger
804862	120458	Neighbor Lady
804862	122242	Mrs. Cooper (Other Player)
804862	136832	Opera Singer
804862	158997	Nurse #1
804862	176391	
804862	176796	Nurse Blatch
804862	183357	Miss Barnes
804862	185670	Mrs. Boone
804862	211506	Zurella
804862	231790	Waitress
804862	245468	Costume lady
804862	273157	Swiss doctor
804862	283784	Helen Meadows
804862	303819	Sally
804862	304015	Bessie
804862	313064	Mrs. Watkins
804862	346206	Lily
804862	368592	Mother on Train
804862	368944	Louie's Mom
804862	385296	Maid
804862	388517	Dolores
804862	410729	Mrs. Despio
804863	256758	
804864	162820	Bikini Girl
804865	187328	Operator
804866	160464	Interviewee: Educator/Author
804867	234779	Tina
804868	18	Party Guest
804868	18598	Old Bat
804868	23466	
804868	52296	
804868	85849	
804868	117150	Tasti Delite
804868	187411	
804868	189246	
804868	195989	
804868	219175	
804868	247918	
804868	253477	
804868	295875	
804868	296307	
804868	319428	
804868	321011	
804868	326754	
804868	366117	
804869	41311	Dancer
804870	254523	Dancer
804871	186064	Chicken Factory Girl
804872	119803	Model
804873	163635	Mrs. Mop
804873	233622	Mrs. Maööett
804874	12217	Hyatt Singer
804874	281913	Singer
804876	101299	Rena
804877	211602	Girl at Maxim's
804878	30071	Woman
804878	232197	Woman with Susan
804879	259216	Maid
804880	790	
804880	14114	
804880	14116	
804880	16882	
804880	33945	
804880	34630	
804880	37225	
804880	44236	
804880	57195	
804880	61235	
804880	87379	
804880	93990	
804880	113147	
804880	128690	
804880	138201	
804880	150176	
804880	158590	
804880	165924	
804880	187182	
804880	273298	
804880	294292	
804880	351701	
804880	354799	
804880	372522	Lady In Bar (Gwen Summers)
804881	193609	
804882	41971	
804882	131734	
804882	187411	
804882	198105	
804882	260713	
804882	314212	
804883	2655	Female customer in general st
804883	5539	Laura
804883	59548	Mess Vesta (bank employee)
804883	61843	Agatha, Tilford's Maid
804883	65364	Ernestine Peasley
804883	71496	Mrs. Quimby
804883	81271	Emily Boylan
804883	97499	Motel attendant
804883	118199	Ethel
804883	126571	Mrs. Beeman
804883	127074	Suzanna Blush
804883	137626	Mrs. Hasselrad
804883	148584	Mrs. Adrims
804883	150754	Jewell Crouch
804883	154740	Policewoman on bus
804883	159706	Mrs. Krebs (righteous townswo
804883	186733	Mrs. Kiner
804883	241525	Mrs. Thompson
804883	244923	Biology Teacher
804883	249323	Mary
804883	276675	Cornelia
804883	281937	Mrs. Gilmore
804883	297136	Celia
804883	305718	
804883	310863	Mother Ida
804883	363298	Nurse Throttle
804883	374578	Mrs. Summers
804883	380225	Bertha Johnson/Clara Edwards
804883	380389	Olive Gardner
804883	391170	Belinda Catherwood (1951-1952
804883	403378	Hattie Denton
804883	405732	Aunt Polly
804884	105437	Mrs. Wylie
804885	41076	Herself
804885	41486	Herself
804885	78961	
804885	98861	Hector's girl
804885	98867	Janice Gold
804885	98868	Topless birthday girl
804885	98869	Wendy
804885	98870	Cleopatra tryout
804885	98872	Health Club Desk Girl
804885	163480	Herself
804885	213942	
804885	264150	
804885	328568	Sherry
804885	342875	
804885	363389	
804885	365643	
804886	77974	
804887	48506	Punishing Angel
804888	8147	Nancy's Aunt
804888	229130	Cloakroom Attendant
804888	273246	Mrs. Lomax
804888	319176	Boring woman
804888	362174	Birdie Maudlin
804888	367854	Phyllis Pearce
804888	383627	Delilah
804888	385020	Phyllis Pearce (1982-1996), B
804888	408090	Tessa Shaw
804889	187079	Bride
804889	218018	Dead Mother
804889	310455	Slave girl
804890	213325	Rose
804892	218603	Herself
804893	311051	
804894	345643	
804895	90335	Herself
804895	333277	
804896	137689	College Coed
804897	207828	Miss Honey at 2 Years
804897	389858	Girl (2001)
804898	160777	
804898	274415	
804898	313120	As Herself
804898	359910	
804899	117490	Party Guest
804900	254569	Cindy
804901	10901	Woman on Train Platform
804902	161407	Girl at Swimming Pool
804903	33922	Undetermined Role
804903	115646	
804903	147122	
804903	291704	
804904	92482	Robot
804904	230963	Woman in Black in Moonlit Ter
804904	274195	Waitress
804905	92182	
804906	222931	Beach girl
804906	369411	Party Dancer
804907	72270	Norma
804908	233974	child
804909	151665	Alice
804910	368929	Flirt
804911	401411	Herself
804912	305157	Mary
804914	26708	Debi
804914	81767	Cecil Lockhart
804915	309540	Narrator
804916	79299	Snobby Girl
804917	24959	
804917	32556	
804917	34753	
804917	34754	
804917	37291	
804917	75191	
804917	84453	
804917	87246	
804917	95519	
804917	98839	Lingerie model
804917	113992	
804917	114267	
804917	128826	
804917	131448	
804917	194408	
804917	197795	
804917	270439	
804917	272416	
804917	302577	Herself
804917	313227	
804917	316506	
804917	335727	
804917	362895	
804917	364262	
804918	313217	
804920	142501	Rita
804921	27333	Mrs. Turner
804921	139543	Edith Phern
804921	185397	Maggie
804921	242113	Woman with Suede Boots
804921	364367	Nurse #2
804922	87760	Kid Clown
804924	211733	Head Matron
804924	372281	Teacher
804924	405209	Glenys Crozier (1996-1997)
804925	141786	Gwen Williams
804926	117369	Herself
804927	194759	Irish Gang Member
804929	161342	Herself
804931	93238	Lily
804931	130286	Wendy
804931	279427	Bill's wife
804931	317325	
804934	43088	Tina
804935	10414	Carol
804935	164566	Nina
804935	362081	Noelle
804936	98161	Waitress #2
804936	194617	Shopkeeper
804936	316262	Ticket Clerk
804936	328268	Cashier
804936	340957	Lorraine
804940	129768	Stripper #1
804941	411420	Herself
804942	235491	Prepski's Mother
804943	19272	Olive Connal
804943	126699	Mrs. Bussard
804943	133548	Lady Jane
804943	151293	Mrs. Rogers
804943	171232	Jonesey
804943	221251	The Duchess of Grantby
804943	224110	The Gray Hawk
804943	265088	Eunice Galway
804943	280845	Miss Armstrong
804943	281233	Brigida
804943	366984	Margaret Pettifer
804944	252096	Helen
804944	258098	Bonner's Mom
804945	245001	Herself
804946	295710	Mrs. Pelham
804946	348067	Elsie Parrish
804946	392545	Little Old Lady
804947	123435	Hot Waitress
804948	263791	Karen
804949	193296	Abby Murrow
804950	168948	Message from the Lord Choir
804951	209095	Holly and Marina's child
804952	117483	Customer
804953	133371	Nicole
804953	267503	Purgatory House Kid (featured
804954	131767	Woman
804954	194055	Mrs. Cooper
804955	41934	Saleslady
804956	150405	
804956	276947	
804956	319568	Argonian Citizen
804957	60340	Mrs. Higgins
804957	60764	Carrot Lady
804958	192381	Sharon
804959	27160	Gayle
804960	323586	Party Guest
804961	1447	Herself
804961	1727	Herself
804961	63081	Herself
804961	87983	Herself
804961	87984	Herself
804961	87985	Herself
804961	98423	
804961	113828	Herself
804961	137679	Herself
804961	151230	Herself
804961	155215	Figure Skater Commentator #1
804961	155282	Herself (USA team)
804961	204403	Child artiste
804961	294763	Herself
804961	303778	Herself
804961	335607	Herself
804962	8945	Aimée
804963	70423	Girl in Hangout
804964	193202	Beach Girl
804965	332209	Young Therese
804966	25749	Kagura
804966	96002	Yuri (ADV 2003)
804966	347385	Sapphire
804966	379081	Ayako Asahina
804966	380900	Additional Voices
804966	381025	Kagura
804966	389503	Eri Kagurazaka, Shiori Kudo
804966	394431	Hiromi, Additional Voices
804966	402790	Female Security Agent, High S
804966	404127	Saori
804967	63590	
804967	88408	
804967	154541	
804967	187020	
804967	305909	
804967	307683	
804967	320679	
804967	323366	
804967	374086	
804967	375419	
804968	131120	
804968	154682	
804968	230047	
804968	264322	
804969	79333	Suvarna
804969	93721	Shama (Prabha's partner)
804969	215157	Stacie (student)
804970	374924	
804971	129631	Toni
804971	381824	Host
804972	246242	
804973	251108	Female Birthday Guest
804975	75028	
804976	6748	
804976	79913	
804976	246893	
804976	340355	
804976	371386	
804977	117358	Comedic Dancer
804978	134568	Maggie McMullen
804979	319091	
804979	402555	Guiguzi
804980	251108	Old Lady Wu's Friend
804981	139567	Myrna Wong
804981	269623	China
804981	380713	Amy Hughes #1 (1973-1974)
804981	394366	Anna Khan
804982	157698	Prostitute
804983	65892	Nanding's Daughter
804984	141914	Lin Ping/Lin Li
804985	108571	
804985	167422	Old Lady
804985	268764	Auntie Xu
804985	359009	Shi Boyan's Mother
804986	369040	Fertilizer Maker Jinhua
804987	194155	Lady
804988	25398	
804988	243542	Suki Yu
804988	302922	
804988	313350	
804989	75195	
804990	2094	
804990	9503	Necmiye
804990	12646	
804990	12647	
804990	25619	Melek
804990	30697	
804990	31011	
804990	38479	
804990	78707	
804990	89498	
804990	95561	
804990	149688	
804990	156219	
804990	173575	
804990	174393	
804990	212018	
804990	222900	
804990	254225	
804990	256522	
804990	341875	
804990	347074	Unico (Turkish dub)
804990	371558	
804990	377511	
804990	377545	
804990	378607	
804990	387200	Webley Fraggle/Kotyrpien
804991	133345	Party Guest
804992	89199	Lustress
804994	4469	Apple
804994	27789	Bonnie
804994	106790	
804994	121090	
804994	210963	Cher
804994	239142	
804994	268756	Kam Hing
804994	275564	Fung
804994	297309	May Chu
804994	358923	Starry
804994	370464	Madam Ron
804994	373105	
804994	374756	Vee
804995	97359	Crew Member 2
804995	137567	Asian Dancer
804996	201505	Herself
804997	102831	Dolly
804998	144532	
804999	33521	Judith
804999	58233	Une prostituée au commissaria
804999	65116	Simone
804999	70523	
804999	80198	Joe's assistant
804999	83848	Desirella
804999	96052	
804999	101868	
804999	108777	Astrid
804999	111105	
804999	118182	La baronne
804999	135361	Oreitheia
804999	137701	Anne
804999	139041	Belgian Prostitute
804999	158773	Marguerite
804999	167565	Dr. Zilenka
804999	179778	Joyce Sellers
804999	220926	
804999	232083	Hamburg prostitute
804999	255548	
804999	280516	Mimi la Rose
804999	283348	
804999	340139	Christine
804999	340372	Elsa
804999	343574	Une hôtesse du tripot
804999	349789	Jane
805001	104707	Herself
805005	38439	
805005	89507	
805005	89519	
805005	96434	
805005	173420	
805005	176213	
805005	324796	
805005	326990	
805005	377509	
805006	1515	
805008	8748	Fei-fei's Mother
805009	71378	
805009	71379	
805009	264638	
805009	264904	
805010	172297	Yasuko
805010	298972	Wealthy daughter
805011	104727	Herself
805011	303330	
805012	115062	Serving Girl in Ming's Chambe
805012	136156	Fimarli Shimokitazawa
805012	270201	Dead woman
805013	380746	Hayriye
805013	396478	
805014	63978	
805015	231266	
805016	7361	
805016	171853	Sonya
805016	181481	
805017	14543	
805017	303578	
805018	316282	Mother
805019	271186	Nita
805020	304407	
805021	96938	Amateur Night Lounge Singer
805022	6521	Moti's Mother
805022	59035	
805022	59036	
805022	151572	Herself
805022	204672	Ganpat's Mother
805022	208759	
805022	211263	
805022	301473	Ganga's Mother
805023	25298	Avvaiyyar
805023	62652	
805023	173295	Avvaiyyar
805023	202135	
805023	271376	
805023	288785	
805023	330662	Avvaiyar
805024	131234	Sgt. Wolinski
805024	142464	Stripper
805025	276437	
805026	164770	Cancer patient
805027	333068	Siri
805028	182531	Ellen, Ralf's Daughter
805029	175351	Klara Gulla aged 7
805029	237262	Inga
805030	42190	Young Girl
805030	200410	Naughty Girl
805030	307533	Lisa Carlesson
805031	115424	
805032	6117	Kicki
805033	228388	
805034	232780	
805035	198012	
805036	115391	Ellen
805036	182298	Fashion model
805036	190821	Toy store clerk
805036	303645	Sippan
805037	59560	Annie Speetigue
805037	314388	Anette Strand
805037	342303	Karin Blom
805038	33511	
805038	40944	Nabokonen
805038	55126	Senile Woman
805038	99510	
805038	108575	
805038	138034	
805038	153101	Gæst hos pastorinden
805038	154142	Syngepige
805038	190840	
805038	214366	Familien Bergs husbestyrerind
805038	218971	Sufflør Adelina Hansen
805038	237301	Gamlingens kone
805038	238784	Hotelværtinde
805038	240092	Kvinde der skriger
805038	240094	Buspassager
805038	240095	Dame i butik
805038	240096	Dame på bænk
805038	240099	Dame ved telefonboks
805038	240104	Fodgænger
805038	240106	Nabokonen
805038	304393	Fru Thomsen
805038	317652	Fru Feddersen
805038	397074	Jævn kon i Korsbæk
805038	403380	Miss Kruger
805038	405717	Købmand
805039	50241	
805039	92012	Tippi
805039	146986	Bitten
805039	242691	Margot Uppengen, gårdbruker-k
805039	293879	
805040	159571	Herself
805041	208663	Mary Brewster
805042	145474	Randi
805043	176340	Blonde at party
805044	404786	Ragnhild
805045	178435	Anne-Marja Kretsen
805046	366103	Nadia
805047	320563	
805048	304850	Woman in Compartment
805049	194375	Ingrid Lisbon
805050	247007	
805051	148903	Lauren Boorstein
805051	331408	Dr. Harmon
805052	383766	Herself - North Team
805053	321099	Abigail
805053	345860	Mrs. Pruitt
805054	336559	Singer
805056	338658	
805057	142219	Britt Lennart
805058	28099	
805058	49506	A young girl at the school
805058	58830	Girl at Madames house
805058	76782	Anna Engström
805058	104818	Berit Svensson
805059	3236	Eva
805059	115883	Waitress
805059	168437	Woman at the funfair
805059	268343	Guest at the restaurant
805060	395127	Herself
805061	320515	Drifvare
805062	48362	Eva Moberg, sommargäst
805062	94253	Student
805062	195050	Lotta's grandmother
805062	272642	Guest at restaurant
805062	341027	Woman in car
805063	129268	Extra
805063	405720	Herself
805064	284004	Brenda
805065	122462	High school student
805066	283478	Houkutuslintu Ravintolassa
805067	153664	
805067	169226	
805067	172523	Lady of the manor
805067	174478	
805067	174740	
805067	181746	Leonore, Rittnerien kasvatust
805067	211031	Mrs. Bergroth
805067	226787	Emilia Marino
805067	293820	Mrs. Holmberg
805067	321946	
805067	324606	
805067	357593	Mrs. Gröhn
805068	62927	
805070	144467	Singer at Sano Dance
805071	108461	Lilian
805071	179681	
805071	194527	
805071	219022	Eva 'Tuff' Larsson
805071	377296	Svea (maid)
805071	377308	Mona Bergström
805071	388433	
805071	391363	
805071	404818	Pontussa Pytting
805071	405619	Linnea
805071	409853	Solveig Nilsson (1988-1989)
805072	406961	Herself (Team Sembilang/Tenga
805074	147541	Herself (Performer At Party)
805074	215668	Performer
805075	26626	Mrs. Pickering
805075	185130	Outdoors
805075	246222	Mrs. Thayer
805075	281889	Flora
805075	312003	Mary
805075	314982	Maid
805075	349632	Laughing Margot
805075	368592	Aunt Tillie
805075	395563	Belle Dudley (1955-1956)
805076	113659	Joyce Finney
805077	358252	Terri
805078	320339	Lolo (singer)
805079	34446	Britta Lundin
805080	394736	Eva-Lena
805081	210364	Herself - Host
805081	212337	Herself - Host
805082	182269	Old Woman
805083	14964	
805084	78474	Herself (performing 'Dit liv,
805084	78475	Herself (performing 'Bye-bye'
805085	356186	Herself
805086	388055	Herself (2000)
805087	34989	Participant (2001)
805087	381889	Herself - in Florida
805087	381913	Participant, 11th out, 1st ru
805088	387262	Cissi (segments 2, 3, 6, 7)
805089	265174	Herself
805090	397779	Guiden (episode "henrys bröd!
805091	389192	Mona Jacobsen
805092	387056	
805093	412043	Klant
805094	409168	Herself - Reporter (1999-?)
805096	382838	Jessica Choi (1989-1990)
805097	181833	Patron
805098	131077	Kong Laan
805099	44270	Mrs. Chen
805099	62015	Interrogator
805099	75804	Palmist
805099	81260	Ms. Ling
805099	132247	Ms. Kim
805099	145743	
805099	169594	Second Wife
805099	188511	Hong's Wife
805099	246999	Tsong Hai
805099	267351	Technician #1
805099	276352	Richard's mother
805099	278794	
805099	306744	Ma
805099	324422	Interpreter
805099	411802	Luan Volien Abbott (1994-1996
805100	289899	Barfrau
805101	40200	Additional Voices
805102	333083	Linda
805103	127723	
805104	79025	Uma
805105	8645	Naina
805105	59000	Kankana
805105	228692	
805105	254912	Wow's mother
805106	62314	Neerabala
805106	95053	Ranjo (Rameshwari)
805106	162469	
805106	222080	Sunanda
805106	254076	Seller
805107	144168	
805108	86702	Herself
805109	194183	Herself
805110	366242	
805111	100960	Surfer
805111	141326	
805111	191395	Herself - Professional surfer
805111	216102	
805112	2266	
805112	42099	Marianne
805112	60967	Gunilla S.
805112	95271	Bali Majestic Clerk
805112	105723	Flight attendant
805112	227996	
805112	248353	Circus performer
805112	405540	Anna-Linda Sjöström
805114	235922	Dancer
805114	277844	Indian girl #2
805116	1223	
805116	39173	Rev. Morton
805116	159922	
805116	195612	Blond Nurse
805116	356660	
805117	131405	
805117	228670	
805117	333831	
805118	194987	Little girl
805118	221124	Fanny (at age 5)
805118	255881	Celeste Corliss
805119	142688	
805120	230934	Lingerie Girl #2
805122	185683	Theater Audience
805123	81450	
805124	77544	The Heiress
805124	81667	Edith
805124	109791	At Wedding
805124	142656	The Daughter
805124	142995	
805124	143117	
805124	143668	
805124	146261	Woman in wedding group
805124	157775	
805124	158403	
805124	163702	Florence
805124	189319	
805124	220986	Guest
805124	245019	At Dance
805124	260252	The Daughter
805124	274105	
805124	277130	
805124	281852	The orphan
805124	304620	
805124	317440	Jennie
805124	319252	
805124	319271	Sunshine Sue
805124	326080	
805124	331606	Florence
805128	308821	Singers
805129	294220	Agnes
805129	364782	May Morrison
805129	385307	Mrs. McSpadden
805129	388846	Mrs. Smith-Lemesurier
805129	395565	Mistress Rice
805129	405025	Rose McKenzie
805130	301271	Ticket Lady
805131	102088	Bo-eun's mother
805131	389393	
805132	12733	Erzsike
805132	74400	Kovács Ibi
805132	110696	Evila
805132	122131	Éva
805132	136576	Vali, színésznõ
805132	256697	Glória
805132	322180	
805132	377219	Ildi
805132	399860	
805133	104545	
805134	236797	
805134	350536	Liisa
805135	267931	Repekka
805136	214839	Kikattava tyttö kahvilassa
805137	100011	Tanhu-ryhmän jäsen
805138	179625	
805138	222824	
805138	287536	Sinikka Sotavaara/arabialaine
805138	354598	
805139	213377	
805140	283959	Katri as 12-years old
805141	137720	Various
805141	244653	Various
805142	178376	Unelma's mother
805142	180507	Elli
805142	181630	Pohjalaisemäntä
805142	210961	
805142	211037	Eero's Mother
805142	213967	Anna Sierkkiniemi
805143	239921	Rea's flat new owner
805144	4445	Mrs. Lehtinen
805144	21721	Eedit Haaravirta
805144	28457	Mrs. Martin
805144	104545	Delegate
805144	164248	Birthday guest
805144	172290	Mrs. Palho
805144	174477	Innkeeper's wife
805144	177040	Landlady
805144	214838	Saleswoman in butcher's shop
805144	219450	Lauri's mother
805144	222903	
805144	228997	Maija
805144	229544	Woman on a train
805144	239913	Selma Hallavuo
805144	239921	Rea's flat new owner
805144	242267	Mrs. Mäkinen
805144	255759	Washerwoman
805144	255935	Dean's wife
805144	258845	Vilhelmiina Kimalainen
805144	280559	Leena
805144	302825	Orma's maid
805144	319316	Maid
805144	321782	Wedding guest
805144	321924	Laura Eskelinen
805144	321945	Mrs. Koikkalainen
805144	326070	Woman in a line
805144	336545	Miina
805144	343393	WAC
805144	349734	Dean's wife
805144	349948	Woman in the flower shop
805145	172295	Gustava Lähde
805145	180443	Anna-muori
805145	236716	Martta
805145	240074	Simolinin vaimo
805145	259881	Hera, oikeuden jumalatar
805145	320385	Sanni Ylänen, talonpoikaiseuk
805145	349734	Sofia
805145	351947	
805146	14738	
805147	172295	Josefine
805147	321946	
805147	354086	Matron of Sillankorva
805148	4445	Liisa
805148	174143	Matron
805148	213376	Kellin-leski
805149	94230	Hotel clerk
805150	400780	Tyyne
805151	197785	
805152	78796	Dancer
805153	237438	
805153	316436	
805154	302432	Nancy Jr. at 14
805154	309718	Willow
805154	319090	California Girl #1
805155	37718	
805155	38330	Sarah Jaffar
805156	42911	Herself
805157	155912	
805159	12094	Molly Thayer
805159	72559	Carol
805159	150790	Young Clarissa Vaughan
805159	176935	Diva
805159	313914	Production Assistant
805160	21305	Herself
805160	185201	Clubgoer
805160	320097	Ivy
805161	16480	
805161	37639	
805161	60461	Ingrid
805161	118384	
805161	141816	
805161	155054	
805161	236347	Topless Girl
805161	286912	Ingrid
805162	227996	
805163	207646	Silvia
805163	411571	
805164	21021	
805164	105033	Baba L'Etoile
805165	309490	
805166	46849	Siamese girl
805167	218230	Lamiay (Longan)
805168	115954	Dienerin
805170	409125	
805171	290214	Sekretärin
805172	390497	Herself (3rd Edition)
805173	153547	Jenni
805174	270855	Vanessa
805175	130285	
805175	149250	
805175	219039	
805175	350343	Suk Mee
805176	6974	
805176	36875	
805176	36883	
805176	69376	
805176	315855	
805176	315859	
805177	13781	Themselves
805177	322615	Themselves
805178	137684	Wednesday Friday Addams (Juni
805179	349370	
805180	15156	Sarry
805180	16530	Khrizantemova
805180	250881	Mlle. Orli
805181	91069	Herself
805181	91071	Herself
805182	234635	
805183	36621	Maharani
805183	198662	
805183	217986	
805183	222101	Arundhati's mother
805183	323986	Swantana
805183	342610	Girl
805184	48947	Mrs. Malone, the Beauty Queen
805185	1333	
805185	4177	
805185	7774	Bimala
805185	13144	
805185	17461	Basanti
805185	27465	
805185	27466	
805185	28251	
805185	36202	
805185	38145	
805185	59391	
805185	60400	
805185	77000	
805185	78646	
805185	79242	Indira
805185	81996	
805185	86741	
805185	88500	
805185	88554	
805185	88614	
805185	95229	
805185	122942	
805185	131886	
805185	137826	
805185	162667	
805185	164768	
805185	166476	Jeet
805185	172930	
805185	173939	
805185	176026	
805185	176152	
805185	184162	
805185	187654	
805185	201045	
805185	202405	
805185	207119	
805185	215200	Chaudvin
805185	220105	
805185	220997	
805185	226040	
805185	226116	
805185	232731	
805185	249661	
805185	254825	
805185	268084	
805185	271562	
805185	272050	
805185	283881	Shehzadi Tehmina
805185	287086	
805185	296600	
805185	297058	
805185	297146	
805185	297216	
805185	297219	
805185	297844	
805185	302654	
805185	313997	
805185	322877	Saguna
805185	323274	Child Mumtaz
805185	324152	
805185	340258	
805185	353803	Vidya
805185	359417	Shobha
805186	29702	Boulotte
805186	160125	
805186	391620	La jeune femme aux bagues
805187	264785	Herself
805188	164902	Herlinde, as a child
805189	183967	Pike
805190	157006	Masha
805190	166237	Anne Baxter
805190	277642	Marie Grandon
805190	297868	Ayesha, aka 'She'
805190	303081	Cherry Millard
805190	304621	Caroline
805190	309510	Grace Leonard
805190	315913	Mary Madison
805190	353398	Ruth Merrill
805190	365049	Emma Rolfe
805192	252417	Azira
805193	229593	Prostitute
805194	250609	
805195	33892	La fille de Ben
805195	202326	Christine
805196	350252	
805197	279080	
805198	266649	
805199	19215	
805199	124571	
805199	247563	
805199	275351	
805199	296518	Bianca di Borbone
805199	316378	
805200	224448	
805201	313076	Dancer
805202	64318	Arlette
805203	4084	
805203	4431	Salma
805203	18482	
805203	88508	
805203	159896	
805203	211405	
805203	284757	
805203	287662	
805203	298241	
805203	329217	Subhashini
805203	359425	Model
805204	131347	Lucy Stone
805204	178175	Cara Thompson/Claire
805204	334275	Liz Friendly
805206	188114	Kitten
805207	286224	
805208	336951	Julie
805209	49335	Forest Child
805210	87692	Cliente
805211	212054	
805211	350102	
805212	229925	
805213	4742	
805213	7462	Mademoiselle Pingaux
805213	9017	Elena
805213	13315	
805213	14354	Madame de Sceez
805213	23530	
805213	24314	Mary de Perseval
805213	24434	Odette Pierson
805213	30242	Antoinette
805213	33640	Hélène Courtray
805213	51403	Mme Delordre
805213	57077	Barbra
805213	57282	Edith Juillet
805213	57513	Bernadette
805213	59118	Madame Bourgeois
805213	66718	Nella
805213	69469	Mrs. Mulon
805213	70955	Jeanne-Michèle
805213	86433	Cochise's mother
805213	88177	Lingerie Saleswoman
805213	100358	Suzanne
805213	111051	La mère
805213	111129	Hélène
805213	111291	
805213	112837	Velia
805213	112874	Fanny
805213	112875	Fanny
805213	117952	Blanche
805213	166163	Superiorin
805213	190635	La mère
805213	191467	La mère de Lise
805213	195204	
805213	198642	La grand-mère
805213	198974	Une psychiatre
805213	200967	Mme Moncin Mère
805213	201201	Mme Carrera
805213	205745	Marthe
805213	219434	
805213	248915	Fabienne
805213	248931	Mme Ramirez
805213	249182	La mère
805213	276506	Melina, Grisval
805213	286418	Signora Vaccari
805213	306944	Madame Robinson
805213	309975	Lucie
805213	327577	Françoise
805213	340188	Librarian
805213	345118	Rose
805213	345526	Nanou
805213	353820	Nane
805213	375769	La mère de Claire
805213	376972	La marchande
805213	377068	
805213	377963	
805213	383997	Marie-Claire
805213	386140	
805213	386211	Mme Carvin
805213	392369	Mme Charpentier
805213	398785	Mme Symmons
805213	398985	Mme Aiguier
805213	403895	Mme Ballin
805214	284218	La cliente
805215	134298	
805216	137223	Vietnamese Girl
805217	123952	Schwimmtrainerin
805218	259590	Irene
805218	287220	
805218	308254	Susanne
805218	392669	Sarah Marquardt
805219	43174	Twinky's friend
805220	17381	
805220	396838	
805221	212490	2ª Hija de Santiago
805222	103671	Paula
805222	105964	
805222	212490	1ª Hija de Santiago
805222	285384	Irina
805222	354344	
805223	97438	Child
805224	176055	Businessman's PA
805224	219718	
805225	69895	Cantina Woman
805226	13094	(segment "Il telefono consola
805226	64013	Giovanna
805226	88164	Franca
805226	103038	
805226	104447	Irene
805226	107376	Christina
805226	162083	
805226	188594	
805226	217704	Marquise de Cambyse
805226	229993	Martha, Kirk
805226	289344	
805226	307337	Lidia
805226	328831	
805226	334540	Ria Payne
805227	155272	Jena
805228	324095	
805229	243970	
805229	375463	
805230	92324	
805231	60270	Kate
805232	71952	
805233	11652	Boxer's Wife
805233	116799	Aunt Josie
805234	43213	
805235	20044	Cornelia
805235	320711	
805236	357208	
805237	411941	Correspondent (2000-2001)
805238	120528	Bathroom Girl #2
805239	42576	Boca's Mother
805240	213545	
805241	154506	
805242	198451	La mère de Manouche
805243	339333	
805243	355308	
805244	35852	
805244	76998	
805244	178826	
805244	225928	
805244	232668	Sasha
805245	403254	Susan Casey
805246	133419	Sandy
805247	187333	A Deserette
805248	384378	Herself
805249	390771	Lamaze Coach (2003)
805250	135769	Dead Girl
805251	148211	Dani Sutherland/Herself
805251	148212	Host/Dani Sutherland
805251	391869	Dani Sutherland (2000-2004)
805252	146021	Lilian Alvin
805253	111997	Fiela
805253	387359	Ester (Nenna) Willemse (1992-
805253	389868	Mattie (2001-2004)
805253	404943	Dorothy Daniels (2002)
805254	308312	
805255	394336	Zilha
805256	42209	
805257	4457	Mahankali
805257	14521	
805257	16154	Surammatha
805257	16167	
805257	19211	Rajaratnam
805257	28288	
805257	29042	
805257	35986	
805257	36184	
805257	36241	
805257	46099	Kotamma
805257	48684	
805257	58429	
805257	58576	Manorama
805257	59021	
805257	59420	Seshamma
805257	62321	
805257	76455	
805257	79192	
805257	85352	
805257	90575	
805257	90580	
805257	92433	
805257	97707	
805257	123741	
805257	132349	
805257	135892	Gundamma
805257	135893	
805257	137152	
805257	155574	Sundaramma
805257	155576	
805257	165882	
805257	165993	Ratnalu
805257	172627	
805257	173459	
805257	173593	Meenakshi
805257	179277	
805257	181032	
805257	181607	
805257	186202	
805257	198516	
805257	200769	Mahishi
805257	203903	
805257	204096	
805257	208576	Hidimbi
805257	217196	
805257	218670	
805257	222527	
805257	223373	
805257	227638	
805257	227815	
805257	228228	Herself
805257	228755	
805257	249643	
805257	252010	
805257	252015	
805257	252017	
805257	260153	
805257	262872	
805257	267138	
805257	271662	
805257	284826	
805257	286791	Venkamma
805257	292713	
805257	297474	
805257	300281	
805257	300290	
805257	303099	
805257	320391	Guruputri
805257	320392	
805257	333757	
805257	334641	
805257	349674	
805257	351420	Kanaka Durgamma
805257	354643	Parvathi Devi
805257	370415	
805257	370459	Kali's grandmother
805258	4940	
805258	36056	
805258	59026	
805258	84746	Seeta
805258	128985	
805258	166000	
805258	181037	Narada
805258	271376	Seetha
805258	354965	
805259	76455	
805259	204082	Dommari Ammayi
805259	271600	
805260	299423	
805261	77165	
805262	102539	
805263	105462	Dona Juana
805264	14201	Traci
805265	1257	
805265	4791	Lisa von Hellwitz
805265	76209	
805265	94420	
805265	98048	
805265	102371	Agnes Fredersen
805265	102898	Gilda, your wife
805265	119209	
805265	124380	Beautiful Witness
805265	125280	
805265	134182	Dolly Mooreland
805265	134769	
805265	134818	Charlotte Susa
805265	142824	Vera Iwanowna
805265	145751	
805265	254377	
805265	262391	
805265	264336	
805265	264837	
805265	301013	
805265	322514	
805265	332825	
805265	347785	Maria Horn
805265	350867	
805265	358896	
805265	373963	Daisy Corinna, Singer
805265	376357	Judith Platter
805265	376384	
805266	65108	Comic Strip Waitress
805267	277071	Aloha Sub Cheerleader
805268	279957	
805268	379461	Martha Susana
805268	396954	Host
805268	396955	Host
805269	211657	Sophie
805270	161271	Herself
805270	164661	Herself
805270	195854	Newscaster
805270	350012	Reporter #1 at Jennifer's sui
805270	381111	Herself
805270	398221	Lola, the cigarette girl
805270	400316	Herself
805270	411863	Herself/Hostess
805271	147737	Jan
805271	208462	Child
805271	264729	
805273	61245	Kathy
805274	15163	
805274	328114	Enfermera
805275	18935	
805276	9864	
805276	37764	
805276	49162	
805276	92996	
805276	109038	
805276	140006	
805276	172699	
805276	176158	
805276	207937	
805276	272704	
805276	285168	
805276	285802	Sudeshna
805276	287178	
805276	289139	
805276	297730	
805276	298631	
805276	370201	
805276	370711	
805277	299804	
805278	45283	Herself
805279	13320	Ticket Seller
805279	37286	
805279	56992	Sophie's Sister
805279	72476	Monique Marmelstein
805279	81052	Psychiatric patient
805279	90786	
805279	97026	Cynthia
805279	97553	Irma
805279	165422	Clamato's Wife
805279	171105	Mrs. Guzzi
805279	186793	Gina
805279	207525	Candy Colletti
805279	223734	Filomena
805279	245468	Receptionist
805279	268685	Waitress
805279	292526	Jean
805279	327419	Monique
805279	346009	Neighbor
805279	358352	
805279	360668	Angela
805279	360670	Aunt Anash
805279	394718	Monique Marmelstein (episodes
805279	405892	Grace
805281	87428	Lady in Rolls Royce
805281	245605	Ruby
805281	277011	American politician
805281	342435	Assistant Editor
805281	381091	Herself (eliminated round 1)
805282	273837	Rachel
805283	220252	Mathieu's wife
805284	253711	
805284	261577	
805285	15062	
805285	51703	June
805285	312302	Fay Majors
805285	379398	Pierrette Levi
805285	390539	Nadine
805286	166069	Shirley Temple
805287	239756	Yolanda
805288	147036	Gabina
805289	19246	Yekaterina
805290	133401	Dancer
805290	296552	Dancer
805290	375847	Sugarfoot
805291	363928	Nadine
805293	106737	Liz Kozinski
805294	106737	Pregnant Lady
805295	12055	
805295	76091	
805295	249772	
805296	127793	
805297	168261	Herself
805297	310002	Vila
805298	318509	Airport Customer
805299	327227	Nancy
805300	58508	Junkie Girl
805302	53274	Narrator
805303	48677	
805303	102983	
805303	110983	Frau Burthe
805303	114782	
805303	121045	
805303	140251	
805303	142010	
805303	155092	
805303	203400	
805303	324472	
805303	337560	
805303	343782	
805303	358897	Lady Kockeritz
805303	376019	
805304	230892	Conversationalist at Mudd Clu
805304	274203	Wassilissa
805305	391337	Kim, PA Voice
805307	96663	
805308	105407	Anita
805309	158092	Sarah
805309	392430	Yoshino Shinzaike
805310	252925	Guest at Met
805311	121051	Dancer
805312	57747	Inmate
805314	70653	
805314	89364	Monique
805314	300871	
805315	26176	Kristla
805315	198220	Jirina
805315	239477	Domácenka sedivá
805315	247528	Mary
805315	247623	Slávka
805315	374534	Tonca
805316	94090	Prodavacka Oldriska
805317	171680	Herself
805318	244106	
805319	218340	Nurse
805320	41191	Faithless Hooker
805320	75567	
805320	82318	Detective Sharp
805320	132123	Constance Fairheart
805320	149742	
805320	153596	Jessica
805320	266599	Jackie Sicole
805320	269808	Camping girl #2
805320	271922	Rana, queen of the Amazons
805320	271928	Rana
805320	277086	Charice
805320	294790	Julie
805320	306363	Dr. Julia Blanc
805320	309230	
805320	351185	Celine
805320	375699	
805321	275871	Sentinal Cheerleader
805322	48169	Colleen
805322	60186	Receptionist
805322	187073	Panelist #1
805322	211385	Chestnut woman
805322	282826	April
805323	338935	
805324	18017	Player's Girlfriend
805324	34949	Glad
805324	154619	Corinne
805324	239984	Sally
805324	258210	Jill
805324	278486	Betty
805325	18589	Jane Bowler
805325	32775	Laura
805326	5885	Gwen's Housekeeper
805326	8147	Dress Shop Manageress
805326	11193	Sister Rose
805326	22808	Miss Gorringe
805326	131772	2nd Card-Playing Lady
805326	359573	Nurse
805326	360469	Residents Assoc. Lady 1
805326	366900	Waitress
805326	378675	Gloria
805326	385020	Maggie Clegg/Cooke (1968-1974
805326	400993	Jean Cary
805326	401744	Mrs. Wentworth
805326	405088	Mrs. Simms
805327	42388	Rich Woman
805328	363346	
805329	332385	Lizzie Holmes
805329	361696	Cathy
805330	375316	
805331	163182	Äiti
805331	170922	Naapurin rouva
805331	235846	Siivoja
805331	267125	
805331	379190	Himself
805331	394897	Anne
805331	402792	Kampaaja Mussukka
805331	409770	Ursula
805331	409985	
805333	232029	
805334	114642	The Crystals
805334	164587	Anti-Fur Protester #3
805335	138374	Julie
805336	5682	
805337	215911	Chanda
805338	305778	Bar Girl #7
805339	323228	Jill Mooreland
805340	38696	Extra
805341	358614	Alyssa Sutherland
805342	161765	Bulgarian Nurse
805343	81444	Slater's Mother
805343	130031	Kalmars' Servant
805343	180867	Olga Belushoff
805343	220073	Charlotte
805343	224301	Mrs. Gordon
805343	367719	Princess Kerschagen
805344	41795	Mrs. Bartlett
805344	152688	Woman at Copier
805344	328788	Rowell's Secretary
805345	218570	
805346	265892	Party Guest
805347	294796	Invitée d'Alice
805348	57735	Anne Marie Vicksey
805348	93093	Herself
805348	240682	Nurse
805348	256855	Mira
805348	341842	Pink Ranger/Katherine Hillard
805348	397693	Katherine 'Kat' Hillard/Pink 
805348	402007	Katherine Hillard/Pink Turbo 
805348	402009	Pink Zeo Ranger/Katherine 'Ka
805349	187226	Girl in Camaro
805350	217947	Carla
805351	35164	Mrs. McKinney
805351	74008	
805351	192228	Janet Duryea, American Touris
805351	192682	Barbara
805351	203328	Tammy Shafer
805351	227335	Waitress
805351	257078	Carol
805351	315285	Clark
805351	391246	Receptionist Robin Flowers (1
805352	241061	Phyllis Fontaine (1938 versio
805353	39279	Lucy
805353	68448	
805353	118564	Nurse Crockett
805353	131731	Strip Club Manager
805353	142424	The Cook
805353	232861	Janitress at Hospital
805353	279205	The Lady
805353	314963	Sissie
805353	340704	Black Momma
805353	344151	Deaf Woman's Aunt
805353	372525	Willa Mae
805354	257058	Calle
805354	334747	Dancer
805355	12319	Party Guest
805356	130024	Oachi
805356	261615	Irma Potash
805356	323962	Ruth Ginsburg
805357	321306	
805358	6675	Adriana Lecouvreur
805358	17508	Anna Bolena (Soprano)
805358	68284	
805358	76501	Mother Rudd
805358	79401	Marie
805358	85703	Madame Lidoine
805358	90073	Donna Anna
805358	115206	Party's Guest singer
805358	133720	Herself
805358	152331	Marguerite de Valois
805358	177867	
805358	184122	Lakmé
805358	196784	Lucia
805358	196785	Lucia
805358	196787	Lucia
805358	197052	Lucrezia
805358	197053	Lucrecia Borgia
805358	205578	Maria Stuarda
805358	211604	Hanna Glawari
805358	234976	Norma
805358	234977	Norma
805358	340649	
805359	276895	Herself
805360	126606	Policewoman
805361	164364	Kendra
805363	148903	Mae Thompson
805363	187172	Secretary #2
805363	380677	Marlene
805363	382955	Joyce Summers (1997-2001)
805364	113319	Reporter
805365	139657	Alicia Spinnet
805366	401429	Mrs. Ogilvie
805367	146783	Connie
805368	20625	Extra
805369	38696	Rebecca
805369	82519	Tootie
805369	98111	Roberta
805369	154919	Bubble Mom
805370	242728	Marie
805370	387359	Samantha Ryan du Plessis (199
805370	391953	Carrie
805371	154919	Bubble Girl
805372	382948	Host (1986-1989)
805372	401535	Host
805373	65378	Bus Woman #4
805374	175703	Librarian
805375	128657	Herself
805376	309213	The Ice Queen
805377	146509	
805377	221580	
805377	307728	
805377	334682	
805378	403915	Nenek
805379	288929	Extra
805380	258554	Schoolgirl
805381	140953	Hip-hop dancer
805382	390653	Dancer (1992-1993)
805383	84203	Herself/Host
805383	113500	Kate's Mom
805383	201605	Herself
805384	297156	
805384	407815	Herself (2002)
805385	356921	
805386	49396	Blonde
805386	120528	Bracelet Girl
805386	399947	Jody Starr (2002-present) (or
805387	362446	Michette
805389	37925	
805390	303517	Marcy
805390	363061	
805391	90120	
805391	124323	
805391	204015	
805391	217670	
805391	319861	
805392	283758	
805393	93395	Rose
805393	119290	
805393	155482	Lucille
805393	166431	Gute Werke
805393	168434	Irene Hofmann
805393	191486	Liesbeth "Lissy" Frohmeyer
805393	195065	Frau Jönsson
805393	210116	Lena
805393	221243	
805393	290687	Lo Petri
805393	313335	Isolde Sturm
805393	325741	Frau Homann
805393	325917	Therese Homann
805393	325958	Walters Freundin
805393	361118	Lepa
805393	365596	Mrs. Sorby
805393	366541	
805393	391287	Fraulein Rottenmeier
805394	144465	Subtle Cherry Wine Tester
805395	12282	
805396	159770	Sorority girl
805397	19257	
805397	37723	
805397	45620	Vieille dame
805397	58116	
805397	60012	Marraine Zénaïde
805397	76132	
805397	84624	Madame Lalonde
805397	97230	Grandmother
805397	159768	
805397	173129	Tante
805397	245959	Simone Larivée
805397	259917	Adrienne
805397	261862	
805397	268389	Carmen Dupont
805397	340198	
805397	381617	Prudence
805397	385503	Jeanne Charlebois
805397	387668	Antonine Larue
805397	393894	Joséphine
805397	395331	Mme Lecoq
805397	396542	Pénélope
805397	396977	Georgette Côté
805397	398137	Micheline Rougier
805397	400856	Yvette Langlois
805397	401727	Marie-Rose Séguin
805397	404863	Aurélie Charron
805397	407214	Mademoiselle Lespérance
805397	411623	Sophie Brunelle
805398	27215	
805399	177015	Policewoman's Voice
805400	78141	Emily
805401	396017	Karlotta
805402	114674	Nia
805402	317353	Jody Hawkins
805403	24540	Vivian
805403	27447	Pharmacy Lady
805403	37031	Judge
805403	53823	Angry Woman at Matthew's Hous
805403	70306	Lena
805403	91953	Bailiff #1
805403	104924	Madame Renard
805403	188143	Thelma
805403	214783	Tess
805403	215190	Perfume Lady
805403	218398	Ms. Guillermo
805403	245520	Female Security Officer
805403	251979	New Orleans Policewoman
805403	283434	Lou Dell
805403	288908	Mrs. Compher
805403	309659	
805403	314252	Nurse Pam
805403	327627	Steffie, LeBlanc's Maid
805403	330704	Guard
805403	345828	Lucy
805404	222598	
805405	73303	Judah's Secretary
805405	73833	Aunt Miriam
805405	93136	Additional Voice
805405	106740	Dorothy Parker
805405	221784	
805405	232843	Julia Dimou
805405	243231	Catherine Hearst
805405	323838	Amanda (segment "Cat From Hel
805405	340542	Sister Rose-Marie
805405	363262	Sister Rose-Marie
805405	389417	Luisa Corelli (1959-1960)
805405	395320	
805405	409795	Diane Emerson Soames #2 (1954
805406	371318	
805407	44480	
805407	131559	Lisa Stuart
805407	211503	Queen Rowena
805407	321711	Morgan Le Fay
805408	17963	Agnis the Maid
805408	18593	Maid
805408	30201	Sarah
805408	36973	Hotel Maid
805408	37230	Helen
805408	38361	Miss Sutton, Neff's Secretary
805408	52696	Miss Hawks
805408	54614	Nate's Wife
805408	70301	Miss Thompson
805408	88916	Mabel
805408	96716	Maid
805408	99841	Night Switchboard Operator
805408	105075	Homely Girl
805408	122052	Mrs. Tuttle
805408	130655	
805408	133856	Freda, Carla's Maid
805408	142433	Canteen Worker
805408	147450	
805408	170554	
805408	170793	Mrs. Maitland (housekeeper)
805408	170818	Maitland (Dorothy's companion
805408	194118	Miss Ashforth
805408	199368	
805408	205448	Sleeping woman
805408	228814	Hilda
805408	240933	Bit part
805408	260419	Gossip
805408	265977	Miss Terwilliger, the Pianist
805408	266718	Martha
805408	285181	Brennan's Swedish Maid
805408	285635	Priscilla
805408	289236	Daisy
805408	289418	Frieda
805408	292169	Woman
805408	299389	Mrs. Funston Evergreen Kenned
805408	308367	Servant Girl
805408	308971	Hilda
805408	309502	Miranda
805408	312061	Alfalfa's mother
805408	327256	Gertrude (maid)
805408	329947	Jerry's Cleaning Lady
805408	331384	School Marm
805408	333433	Second Woman Mistaken for Ton
805408	338557	McNeill's Secretary
805408	364593	
805408	368324	Helen, the Maid
805409	291081	
805410	316603	Kitty Mae
805411	78528	Catherine de Medici
805411	216964	Woman with buttoned bosom
805412	137462	Flo
805412	144406	
805412	379590	Maud (Series 2)
805413	126700	Pin
805414	28249	Girl at the Balalaika
805414	32210	Miss Whitman, Jean's Secretar
805414	52399	Virginia Phillips
805414	54952	Miss Adams
805414	116151	Miss Danila
805414	116527	Telephone Operator
805414	140408	Camp Guest
805414	154953	Marlene Martindale
805414	186010	Mrs. Inez Morton
805414	186418	Norma Rogers
805414	189152	Wendy Wilecat
805414	199217	Gloria Hamilton
805414	201152	House Guest
805414	203036	Myrna Montgomery, aka Mrs. My
805414	203585	Mrs. Knight
805414	231780	Girl Attendant
805414	232224	
805414	239719	College Girl
805414	246861	Pajama Girl
805414	273781	Woman with Paul in Audience
805414	279687	Fashion Model
805414	284582	Laurel Shannon
805414	285712	Fay Edwards
805414	294755	Saloon girl
805414	304300	Texas' OKeefe
805414	305507	Peggy
805414	313320	
805414	313920	Bit Part
805414	315748	Girl with Stockbrokers
805414	319131	Brunette
805414	330846	Bella Lawson, Frankie's Sweet
805414	339394	Secretary
805414	355810	Showgirl
805414	355837	Woman Exiting Train at Old Sh
805414	372355	Marjorie Overton
805415	6735	Nina
805415	14145	Sabrina
805415	66324	Georgia
805415	89234	Suzy Diggins
805415	158198	Jackie Parker
805415	190269	Lorna Luft, adult
805415	194566	
805415	266692	Anchor
805415	361229	Live Newscaster
805415	408713	Liz Irwin-Gallo
805416	222597	Rehearsal actress #11
805417	1999	Dr. Stavros
805417	45781	Hooker
805417	71896	Stephanie
805417	209630	Pregnant Woman
805417	326513	Business Women
805417	404002	Nancy Feldman #1 (1978)
805418	109524	Playmate
805418	146661	Vestal Virgin
805418	194223	Reston Girl
805418	202372	Beverly
805418	232166	Edith Hutton
805418	259359	Delores Lane
805418	348374	Cute Girl
805419	251547	La secrétaire
805420	176874	Old woman
805420	176875	Old woman
805421	177808	Aggie
805422	256617	
805423	131232	Extra
805424	277036	Mrs. James Lazen
805425	241339	Jackie
805427	73988	Susannah Walcott
805427	88922	Nyssa
805427	88924	Nyssa
805427	88930	Nyssa
805427	197775	Herself
805427	224926	Herself
805427	224927	Herself
805427	267992	Herself
805427	338585	
805427	347453	Wendy
805427	386587	Nyssa (1981-1983)
805427	395194	Myra Longmore
805427	398183	Diana Purwell
805427	410846	Sue Harvey
805428	272592	
805429	341205	
805430	154513	Taylor
805430	190994	Parker
805431	48287	Aunt Clara
805431	213074	
805432	68049	
805433	80375	Rose
805433	142347	Tracy Matthews Business Execu
805433	149743	Crazed Junkie
805433	156478	Club Girl
805433	177024	Lilly
805434	281433	
805435	311650	
805436	81302	Amanda
805436	334806	Jean
805437	166403	Sarah McMann
805438	20044	Livia
805438	23232	Nastya
805438	177770	
805438	180108	
805438	258612	
805438	411911	
805439	21382	Marja
805439	101631	Katja
805439	142118	Hanna Kattilakoski
805439	156545	Irmeli
805439	268324	
805439	271607	Kiia
805439	343327	
805439	392608	Jaana Alaknaapi-Pesonen (199?
805439	401440	Diakoni
805439	403393	Maria
805440	209063	Various
805441	225885	Kamila
805442	4406	
805442	150830	
805442	320408	
805442	343954	
805443	172520	Anni Koivu
805443	213379	Lillu
805444	17616	Pirkko
805444	236795	Varpu Mäkinen
805444	242257	Little girl
805444	319314	Pipsa Suominen
805444	319315	Pipsa
805444	319316	Pipsa Suominen
805444	319317	Pipsa
805444	319318	Pipsa Suominen
805444	322704	
805445	1681	Herself - Presenter
805445	13789	Angela Hayes
805445	13793	Herself
805445	14131	Heather
805445	14132	Heather
805445	14223	Katrina Bartalotti
805445	23338	Grace Seger
805445	32243	Joanne
805445	65921	
805445	89959	Producer's Assistant
805445	178138	Coty Pierce
805445	192684	
805445	194638	Dora Diamond
805445	223226	Francesca bon Ansau
805445	236135	Zoe, Zero's girlfriend
805445	270933	Lisa Parker
805445	305244	Rachel Hoffman
805445	306110	Geli
805445	308851	Carol
805445	311852	Herself
805445	312092	Cookie
805445	313122	Lana
805445	318337	Kansas Hill
805445	338405	Charlotte
805445	347924	Annie
805447	175106	
805447	207376	Nikki Mathur
805447	307352	
805448	193761	Girl in Blood Bank
805449	386700	Syren
805450	214838	Marja Vehari
805451	119019	
805451	341216	Nina Chelnokova, a singer
805452	394750	Vera
805453	374990	
805454	403943	Host
805454	409958	Jessica Prozeski (1997-1998)
805454	410497	PM Katharina Richter (2000-20
805455	180551	
805456	8437	Cat's Cradling Cashier
805457	103282	
805458	173132	
805459	210827	Willow
805460	366940	Tanya's Mother
805461	13432	Woman
805461	26355	Gail
805461	52410	Cave Mother
805461	102591	Witness #2
805461	126714	Video Lady #1
805461	152936	Mother
805461	154301	Checker
805461	174520	Nurse at Club
805461	178886	Tally Ryder
805461	190209	Terry
805461	193761	Girl at Party
805461	196130	
805461	198489	Nurse Judy
805461	230340	Shelly Greenspan
805461	255731	Pig Wife
805461	267174	Buffy
805461	289260	Egg Factory Worker
805461	292227	2nd Receptionist
805461	338155	Miss Harper
805462	114609	
805463	1038	Dancer
805463	203358	Rockette
805463	313825	Cheerleader
805463	383721	Dancer
805464	298749	Woman Farmer
805465	137815	
805465	390242	Emma Driessen (1991-1992)
805465	405984	(Sister, USC)
805465	409611	(1994-)
805466	181897	
805466	264911	
805467	171419	Herself/Carlos Eduardo's wife
805467	323568	Malibu Jail Woman
805468	12130	
805468	17379	
805468	43591	
805468	134487	
805468	262235	
805468	377617	
805469	354191	
805470	2165	
805470	211528	Suzanne
805470	228267	Herself
805470	244823	
805470	297053	
805470	381091	Herself (eliminated round 2)
805471	42799	Girl in Rhythm Nation
805472	1149	
805472	346730	L'actrice gay
805473	29269	The Girlfriend
805473	38949	
805474	266547	
805475	56961	Herself
805475	56962	Herself
805476	301761	Solo Dancer
805477	51402	Gabrielle
805477	87721	
805477	90946	
805477	131832	
805477	139262	
805477	331315	
805477	382580	Herself/Red Team/Loser
805478	304763	Nina
805479	18384	Cleopatra
805479	40036	Alex Tarrant
805479	47011	
805479	68010	Luciana
805479	79778	Sheila
805479	92993	Mrs. Herbert
805479	94206	Susan du Toit
805479	96519	Edmea Tetua
805479	120695	Cecily Branksome
805479	141794	Hedda Gabler
805479	145334	Marchioness
805479	151103	Hedda
805479	187886	Judith Geller
805479	194515	Delphine
805479	198878	Lady Macbeth
805479	208285	Max's Mother
805479	213303	Sosostris
805479	231434	Alexandra
805479	232608	Emilia Marcus
805479	234192	Judith (segment "Not As Bad A
805479	236779	Sister Superior Liz
805479	263609	Frieda Lawrence
805479	277273	Theroign de Mericourt (segmen
805479	292313	Margaret, Duchess of Chester
805479	312565	Joan of Arc
805479	331611	Masha
805479	357068	Leni Strauss
805479	373923	Eleanor
805479	379193	Herself (episode "Janet Suzma
805479	384430	Hilda Lessways
805479	395982	Lady Edwina Mountbatten
805479	410602	Lady Anne
805480	409866	Regular
805481	350189	D's Mother
805481	382110	Sailor Lead Crow - Akane Kara
805481	404772	Kaneesh
805482	294057	Hiroko
805483	18664	Kitayama, Takako
805483	283678	Kenshin Himura
805483	283679	Kenshin Himura
805483	283680	Kenshin Himura
805483	391522	Otaki (Goemon's wife)
805483	403966	Kenshin Himura (Hitokiri Batt
805484	182709	Ryoko Makino
805484	380787	Seika Higashiyama
805484	410528	Sakiyama
805485	18661	Haruka Kushimori
805485	138063	Hana
805485	169833	Misaki Kinoshita
805485	218693	Hana
805485	259038	Miku
805485	276920	Milly
805485	306226	Young Hatsue Imada
805485	314191	Ray Steam
805485	380472	Shiori (Kaori's daughter)
805485	406360	Chie Owada
805486	155505	Asako Suzumura
805486	231168	Neji no Hitobito
805488	293488	
805489	30986	Keiko Kirihara
805489	232956	
805489	383095	Iczer-3
805490	367589	Yoko
805490	396610	Miyuki Shimara (2003-)
805490	404261	
805490	409347	Sarah
805491	130709	Janet
805491	241496	
805492	193977	Midori Gamo
805493	64752	
805494	98601	Young Misa
805495	379515	Prof. Citisee
805495	380204	Pepero
805495	397359	Narrator
805495	400292	Nanako's mother
805495	411563	Previous Head of Household
805496	369210	Herself
805496	369219	Herself
805496	411545	Hiroko (2004-)
805497	182471	
805498	320460	Fumiko Noro
805499	43045	
805499	108653	Masoho Akashi
805499	143850	Kasumi Sawaki
805499	155506	Kyoko
805499	188385	Saki Gôtokuji, 3rd daughter
805499	189511	Ui, Misaki
805499	408438	Rika Akana
805501	398900	Karin Mizuhara
805502	381165	Rije
805503	232536	Miss Crown Cola
805503	233112	
805504	173916	Slave B
805504	238445	Saito Kinen Festival Dancers
805505	18685	Herself
805506	174940	
805506	175264	Herself
805506	328022	
805507	133594	Waitress
805507	166940	
805509	949	Hibino, Momoko
805509	2370	Kafka Ogawa
805509	28058	Satoko Nakajima (Episode 3)
805509	32149	
805509	34485	Hideko Yamada
805509	41131	
805509	49322	
805509	127054	
805509	177746	Masami Isomura
805509	215064	Hikaru Shimayama
805509	217366	Eriko
805509	271540	Miyako Suzuki, the writer
805509	284070	Oryo
805509	288643	Yoko Komatsu
805509	299264	The Doctor
805509	318550	Osen
805509	341300	Kei Kiriyama
805509	374182	Maya
805509	379406	Yaeko
805509	391576	Chikako Senbon
805509	394537	Yuriko Sugi
805509	400539	
805510	179822	Dancer
805511	407828	Kaunaq Amane
805512	242814	Rio
805512	294105	Noh/Various
805512	369525	KOS-MOS
805512	407828	Kaunaq Amane
805513	283679	Shinta
805513	379520	Chacha
805513	382412	Android Pai
805513	389791	Yukino Houjou
805513	396019	Nina (Japanese version)
805513	403966	Young Kenshin
805513	405633	Amelia Wil Tesla Sailloon
805513	405635	Amelia
805513	405636	Amelia
805514	130484	Io Shinoda
805515	177632	Ariel/Jane Porter
805515	325205	
805516	137006	Minako
805516	147362	Bat (Bart)
805516	147366	Bat
805516	383423	Hikaru Matsuyama
805516	384051	Sumire Sakura
805516	391752	Bat (Bart)
805516	396500	Yoshiko
805516	397786	Billy
805516	399500	Shinbei (1993-1995)
805516	405215	Peter
805516	405218	Marza
805516	405279	Becky
805516	411667	Nanda
805517	244519	Kayo
805517	244545	Kayo
805517	373218	'I's sister
805517	400764	Megumi Suzuki
805517	409315	
805518	181896	
805518	374603	Yumi
805519	327968	
805520	137372	Sawa
805520	198947	Oyone
805520	208015	Tsune Inamura
805520	299618	Maki Kazama
805521	390081	Sexaroid Yuki
805522	285680	Sailor Venus
805523	97632	Tamayo Sakimura
805524	138073	
805524	358125	
805525	76974	
805525	98116	
805525	149541	
805525	179384	
805525	217341	
805525	229580	
805525	235033	
805525	283677	
805525	284038	
805525	318466	
805526	313	
805527	304236	Topazia
805527	370862	
805527	398412	Michi
805528	127199	Nana
805528	195806	Sanae Oikawa
805529	147362	Old Woman
805529	176534	Hayato's Mother
805529	177084	Grandma
805529	196537	
805529	202810	Obaba
805529	298425	
805529	298928	Yura
805529	327967	
805529	335380	Furoi on'na no hito
805529	344945	
805529	383423	Kazuo Tachibaba and Masaru
805529	390963	Grandmother
805529	391752	Toyo
805529	394029	Various characters
805529	394030	Various characters
805529	394422	Fam Bow
805529	394462	Grandma
805529	395069	Brenda
805529	397371	Chie
805529	411667	Matsuda's mother
805530	233905	
805531	23302	
805532	8762	Chobei
805533	391751	Asuka
805534	175347	
805534	382607	Miki Nakayama
805534	389548	Risa Yamamoto
805535	8763	Rei
805535	137051	
805535	170542	Miyuki Amagasa
805535	275627	Ohsawa no tsuma
805535	292132	Yuri (Episode 2)
805535	319790	Kimiko Fukaura ("Gold Papillo
805535	334896	
805535	389549	Sakisaka
805535	403411	
805536	174324	Kamiyama, Michiko
805537	411646	Sumie Yamada
805538	127920	
805538	165830	
805539	70213	
805539	86778	
805539	105220	
805539	142500	Herself
805539	228069	
805539	342551	
805539	371586	
805540	115895	Dancer
805541	91099	Pansy
805541	92751	Dende
805541	123109	Toil
805541	147362	Rin (Lynn)
805541	147366	Lin
805541	173194	Sayuri
805541	328333	Boy c of mew
805541	383423	Yayoi
805541	386775	Marron
805541	386776	Dende, Marron
805541	391752	Rin (Lynn)
805541	396500	Mitsuru
805541	399500	Kisanta
805541	408735	Daniel
805542	76884	Mother
805542	177801	
805542	227319	Yoriko, wife of Yagibashi
805542	227320	Yoriko, wife of Yagibashi
805542	275061	Shihoko
805542	286656	Kashiku
805542	293505	
805542	299050	Otoki, Koichi's mother
805543	20990	Herself
805543	24172	
805543	102722	
805543	176028	
805543	208486	Mamba Marie/Bakar La Bas
805543	296995	
805545	22204	
805545	34210	
805545	34394	
805545	237096	Snake Woman
805545	252129	Durgha, Tara's cursed sister
805545	272773	
805545	272774	Calon Arang
805545	319052	
805546	116391	
805547	388946	Paz
805547	403404	Pía
805548	403683	Inés
805549	56117	Sol
805549	74584	Ana niña
805549	132369	Rosarito, 8 year old
805550	391757	Susano ('Coneja')
805551	22744	
805551	113240	
805551	199987	
805552	249908	Ana
805553	355484	
805554	319369	
805555	24987	Benita
805555	29055	
805555	61141	Ida
805555	74658	
805555	91391	
805555	106952	
805555	119305	
805555	122520	
805555	136844	
805555	280577	
805555	301141	
805555	352086	
805555	354903	
805555	376659	
805556	59790	
805556	93282	Dulce
805556	216777	Pilar
805556	231360	
805556	268054	Alicia
805556	296154	Andrea
805556	302394	Renée
805556	307640	
805556	310262	
805556	322752	
805556	334653	Sofía Aguirre
805556	383564	Alicia Olmedo
805556	388639	Celia Sanchez
805556	389070	Asst. Dist. Atty. Anita Lopez
805556	397594	Pily
805556	408406	Carmina García Dávila(Mina)
805557	74658	
805557	75496	
805557	205977	
805557	216085	
805558	197089	Manuela Lozano
805559	100306	
805559	293371	
805560	1380	Valentina
805560	3530	
805560	5981	
805560	19945	Lisa
805560	34576	Vicky
805560	40271	Rocío
805560	40273	Blancaflor/Sombrag
805560	51533	Duquesa (Duchess)
805560	55996	Yolanda
805560	64976	Delfina
805560	70060	Ana
805560	74368	
805560	77248	Lucía
805560	82592	Evax
805560	84458	
805560	100467	
805560	100703	Luisa
805560	106271	Narrator
805560	131128	Commander María
805560	144729	
805560	149548	Marimar
805560	163880	Herself - Presenter: Best New
805560	165796	Chica tienda
805560	186542	Hija del embajador
805560	197462	
805560	205119	Mirian
805560	210580	Leticia
805560	221918	
805560	235306	
805560	238755	
805560	243779	María
805560	249912	
805560	251340	
805560	252564	
805560	253296	Diana
805560	255802	Herself
805560	256368	Clara
805560	262977	Herself
805560	287620	Emita
805560	295025	Sonia
805560	306701	Marga
805560	307836	Alteria
805560	309961	Rita
805560	325304	Cristina
805560	332636	Ángela
805560	337894	Blanca
805560	341382	Julia Buendía
805560	349334	Herself - Presenter: Best Cin
805560	349545	Cristina
805560	353611	Bianca
805560	355355	Carmen Molina
805560	368180	
805560	369437	Herself - Presenter:Best Prod
805560	369556	Herself - Winner: Best Lead A
805560	369870	Herself - Presenter: Best Lea
805560	369999	Herself
805560	388420	Vanessa
805560	389219	Luisa
805560	400756	Claudia Alonso
805560	402639	Elena
805560	408911	
805561	355914	Judit
805562	71358	Herself
805563	70009	
805563	96380	
805563	113224	
805563	204594	Lisa Lavigne
805563	206741	Picardia's Aunt
805563	206921	
805563	283920	
805563	295108	
805564	322233	
805565	46532	Madame Suarez
805566	378352	
805567	68643	
805567	96316	
805567	100653	
805567	170092	Secretaria
805567	212246	
805567	213711	
805568	57471	
805569	78570	Phone operator
805569	145211	
805570	83137	
805570	161657	
805570	287248	Ama de llaves
805570	370084	
805571	41776	Casket shopper
805572	34576	Alumna 2
805572	91402	Blanca
805572	154440	Chica 1
805572	259744	
805572	286369	Lara
805572	306701	Rocío
805572	386130	Marta (2001-2002)
805573	399606	Host (2000-2004)
805574	58044	Marina
805574	68261	(segment "Textual")
805574	104878	
805574	122365	
805574	281784	La florista
805574	283916	María Eugenia
805574	324470	
805575	403560	
805576	287845	Elisa
805577	291604	
805577	325304	Nurse
805578	384861	Herself
805579	390310	Margarita
805579	390748	Mayerlin Gamboa
805579	401067	
805580	14730	
805580	57252	
805580	61197	
805580	65603	
805580	87943	
805580	99354	Tere Renteria
805580	146533	
805580	149699	
805580	212474	
805580	225565	
805580	277380	
805580	294071	
805580	328613	
805580	379940	
805580	381156	Cristina
805580	381261	
805580	382541	
805580	387100	Concha
805580	389428	
805580	389483	
805580	390732	Rosalía
805580	390868	
805580	393851	
805580	393985	
805580	397573	
805580	397869	
805580	398167	Mercedes
805580	398798	
805580	401088	Eloísa
805580	405398	
805580	409833	Eva
805580	410384	
805581	219735	
805581	244036	Empleada Fábrica
805582	381261	
805583	61129	
805583	334576	Sra. Smithson
805583	337677	
805583	404736	Betty
805584	9689	
805585	57471	
805586	318260	Tendera
805587	65216	
805588	32146	Herself
805589	206637	Girl
805589	223527	Rosa Furstova
805590	152765	
805591	17327	Lída
805591	74469	Linhartová
805591	113102	
805591	217038	Julie Madranová
805591	258521	Dressmaker
805591	320643	Delnice u Noelu
805592	48700	Herself
805592	194116	April Ryan (Norwegian version
805592	381190	Programleder
805592	403694	Reporter
805592	407219	Programleder
805592	409173	Host
805594	99682	Host (SF)
805594	99684	Herself
805594	99685	Herself
805594	99686	Herself
805594	104639	Member of the jury
805594	104770	Slovenian entry (7th place)
805594	104774	Slovenian entry (11th place)
805595	353439	Columbine
805596	115391	Guest at Robert's party
805597	365177	Schoolgirl
805598	122466	Leo's Class Mate
805599	16834	Lenka
805599	18387	Irena
805599	35879	Jarka
805599	58098	Actress Eva Grábová
805599	58508	Rosa Schmidt
805599	74934	The mother
805599	88411	
805599	92906	
805599	132539	
805599	147046	
805599	147380	Mistress of fitness
805599	171531	Drahuse Helfertová
805599	182470	Mother (segment "Waterman")
805599	202504	Linda
805599	221866	Tana Bartová
805599	224959	
805599	224960	Leni Forchheimová
805599	229553	Marlyn
805599	231140	Osnofla
805599	234248	Mrs. Kratinová
805599	247069	
805599	266464	Kovalová
805599	288128	
805599	290022	
805599	317626	
805599	317628	Valérie
805599	320641	Wally
805599	320642	Slávka
805599	349195	Nurse
805599	349323	
805599	356571	Vlasta
805599	357255	Mrs. Senft
805599	357629	Teacher Of Erotic
805599	357904	
805599	367198	Ula
805599	374284	Betty
805599	376551	Tereza
805599	376564	Králová
805599	386532	Barkeeper
805599	394826	Krecková
805600	262570	
805601	262570	Ciperná
805601	375414	Bábinka
805602	257483	Marie
805602	342296	Karlicka
805603	1224	Laura
805603	11420	Buggy
805603	72854	Krystyn
805603	120528	Lizzie
805603	365451	Nicole Beach
805604	22844	1. Kollegianer
805605	304361	
805605	373985	
805606	50328	
805606	149121	
805606	383045	
805607	15048	Herself
805609	338658	
805610	58508	Female Customer
805611	75993	Beranová
805611	142218	Mistress of hostelry
805611	200043	
805611	261375	Mother-in-law
805611	266533	
805611	375409	
805611	378508	
805612	11822	
805613	147046	
805613	351381	Emilka
805613	357666	Libuska
805614	315364	Inga
805614	348985	Mia
805614	391463	
805614	399850	Kristine Gripenhielm (316 epi
805615	96001	Kika
805615	230449	Janka
805617	121715	Bridesmaid
805617	266533	
805618	143729	
805619	86305	
805619	376425	
805620	286116	Dwarf One
805621	105618	
805622	280663	Technician
805623	386327	Dido
805624	305249	Keliska
805625	311209	Louise Morton
805626	126551	Film Critic
805627	225755	Herself
805628	140410	
805628	225234	Bar-girl
805628	251955	Nainen kylpylässä
805629	211283	
805630	78400	
805630	303194	Smasvanan
805631	94342	Lena
805632	402277	
805633	268328	Little Girl
805634	342258	Nurse #2
805635	306381	Lilla blomflickan
805636	243264	Guest at funeral
805637	166767	
805637	215694	
805638	77403	Wienerbrödsätande Louise
805638	278346	Yvonne
805638	405822	Nattpersonal
805639	348985	Angelica Stjernholm
805639	354607	Elisabet Carlén (episode 3)
805639	382856	Alexandra Melin Fuchs
805639	397781	Louise
805640	41109	Anita Becker
805640	42954	Elsie Tonérus
805640	51929	Bojan, waitress
805640	76490	Gertrud
805640	85902	Jacqueline
805640	96419	
805640	120356	Ida
805640	120966	Marianne Berg
805640	122320	Birgitta Carolina Soederberg
805640	133201	She
805640	135219	Blenda
805640	181645	Ulla
805640	182544	Inga Tomasson
805640	187635	The Cousin
805640	198274	Leonora
805640	198393	Ragnhild, Linus' wife
805640	217451	Eva Anckarberg
805640	225668	Gun
805640	225671	Elsa Jonsson
805640	237254	Gabrielle
805640	237264	Ester Nicklasson
805640	248499	Barbro
805640	268351	Lena, Fjodor's wife
805640	268379	Kristina, Elis' betrothed
805640	305519	Inga Herou
805640	350605	Marianne Wolf
805640	355638	Girl in the school house
805640	357796	Vera Nilsson
805640	390854	Ulrika Dillner (segments 1, 2
805640	403367	Alma
805640	405660	
805641	94251	Lady at the newsagent's
805641	198033	
805642	170838	Woman in the courtroom
805642	178753	Student
805643	11992	Sanna
805644	340652	Polydora
805645	317553	Irena
805646	233246	
805647	63681	
805647	66213	Alice
805647	129121	La petite fille
805647	148675	Véronique
805647	153874	Charlotte
805647	246017	Laetitia Beloir
805647	327564	Sophie
805647	377983	Malène
805648	378034	Herself
805649	212320	Woman with Bass
805650	21724	
805651	199896	Norwegian woman in sauna
805652	92646	Baroness Ilona von Szentivany
805653	7540	
805655	26902	
805655	36906	
805655	36934	
805655	85758	
805655	273528	
805655	304833	
805655	324769	
805656	258074	Serena (segment "Of a Feather
805656	258075	Selena (episodes "Chat Room",
805657	89471	
805657	93901	Karen Petersen
805657	121028	3. gammeljomfru
805657	123502	Annemarie Poulsen
805657	143022	Birgit
805657	174200	Jutta
805657	178750	Alvilda
805657	181075	Kristiane Andersen
805657	198399	Hansigne
805657	210373	
805657	297117	
805657	338696	Karen Gertsen
805657	395824	Fru Heimann
805657	396282	Various roles
805658	108971	Birthe
805659	94273	Trine-Lise
805659	153957	Wenche
805659	182292	Nurse
805659	194116	Den hvite dragen/Marianerdron
805659	332176	
805659	388761	Julie Åsland
805659	388857	Grethe, Mons' mor
805660	3008	
805660	7559	Dame på rådhuset
805660	45941	Tante Oline
805660	120307	
805660	181237	Kokkepigen Kathrine
805660	182628	Kokkepige
805660	198052	Dansk turist i Paris
805660	213438	Minister
805660	255671	
805660	275625	
805660	306021	Madam Henriksen
805660	331994	
805660	340079	Bjørn's grandmother
805660	356854	Krokone Christensen
805660	373985	Bjørn's grandmother
805661	99202	Eve
805662	61730	
805663	110927	Stina
805664	252000	Pige på Stengården/Servant gi
805665	27599	Herself
805665	386347	Herself (episode 1.8 "2000")
805665	407264	Herself - Film Director
805666	225351	Marianne Berg
805667	27576	
805667	113002	
805667	138034	Institutsbestyrerinde
805667	139380	
805667	151824	
805667	154286	
805667	176446	Hansine
805667	181236	
805667	182851	Olivia
805667	184593	Ms. Svensson
805667	209315	Forfatterinden
805667	266160	
805667	303630	Fru Lund
805667	369392	
805668	78264	Herself - Performer
805668	78494	Herself (performing: 'Der stå
805668	78495	Herself - Host
805668	104776	Danish entry (2nd place)
805668	104777	Herself - Danish vote present
805668	314992	Herself
805668	376103	Herself
805668	387983	Herself
805668	400390	Herself - Host
805668	405333	Herself
805668	405334	Herself
805669	41739	Herself
805670	327340	Herself - Superfan af Kandis 
805671	392318	Herself - Host/Tina Bom (2001
805672	30282	Kokkepige
805672	59526	Kokkepigen Kristine
805672	84279	
805672	184566	Fru Husbestyrerinde Svendsen
805672	318532	
805672	322960	Kvindelig butikstyv
805672	349903	
805672	350562	Elisabeth Hejresen
805673	62927	Grown up Queen Christina
805673	136721	1. Norn
805673	210150	Magdalena
805673	277460	Erda
805673	277461	Erda
805673	301091	Erda
805673	301092	Erda
805673	358689	Grimgerde
805674	152210	Vilde som barn
805675	174119	
805676	289377	American Woman #1
805677	129176	Helene Dyring, enke
805677	333014	Sigrid
805678	69462	Girl in Peel Hall
805679	22844	Ida 4 år
805680	304407	Oldest daughter
805681	357795	Barbra
805682	134151	Claudine
805682	194062	Housewife
805682	208054	
805683	135713	
805683	184121	
805683	395375	Nina
805684	162752	Herself
805685	331550	Beach Girl
805686	62927	Ebba Sparre 'Belle'/Stefania 
805687	255866	
805688	90429	Female Footballer
805688	194956	Call Girl
805688	285031	Sister Ann
805688	301764	Susan/Scorpio
805688	314779	Hugh's Dutch Girlfriend
805688	400595	Eden (2001 - 2002)
805688	408136	Helen
805689	22585	Teacher
805689	63574	
805689	251346	
805690	339914	
805691	235952	Interviewer
805691	275265	Barpige
805692	342054	Herself
805694	247885	
805695	287378	Gerda, deres datter
805696	273004	Stripper in pornshop
805697	48368	Lena Prinz
805698	148816	Programledaren
805699	181108	Traficant
805699	275108	Kvinna på torget
805701	390854	kvastflickan (segments 2, 4-6
805702	406582	Nina
805703	122466	Movie loving newspaper girl
805704	180101	Pernilla
805704	406271	Lo Bruback (2002)
805705	377426	Nightclub singer
805706	314958	Wife of customer in the store
805707	115397	Buller-Stava
805708	199519	
805709	11992	Owner of book shop
805709	134915	Woman at the theatre
805709	138748	
805709	180222	Old woman
805709	203231	
805709	254215	
805709	387527	Sirenen
805710	182101	Gudrun. 7-8 years
805711	4513	Dancer
805711	40942	Dancer
805711	214364	Dancer
805711	342308	Dancer
805711	405853	
805712	142708	Neilikka
805712	278369	Anna Hela, Johanneksen kihlat
805712	285960	
805712	293820	Woman in the bar
805713	314958	Customer in the store
805714	343515	Fru Svensson
805715	317256	
805716	303649	Extra
805718	94410	Herself
805719	182531	Amanda
805721	209303	Herself as inpelningsledare
805722	244090	
805723	309064	
805724	386911	Johanna
805725	314957	Extra #13
805726	281393	Birgitta Whitman
805727	88415	Herself - Participant
805728	54385	Marleene
805729	315975	Sonja
805730	276336	Waitress
805730	303647	Ms. Jonasson
805731	303849	Girl
805732	304408	Daughter of Måns Olsson
805734	303647	Ms. Jonasson
805735	12010	Emma, Stjärnblom's maid
805735	29561	Guest at Blå Bävern
805735	40946	Ida
805735	115385	Shop clerk
805735	206208	Maid at the inn
805735	209311	Emma
805735	306371	Mother with child
805735	344377	Anna-Lisa, waitress at Tuppen
805735	357773	Maid at Sven Ersson
805736	376098	Speaker
805736	376101	Speaker
805736	398625	Herself - Host
805736	400064	Herself - Host
805736	402819	Herself - Host
805736	402820	Herself - Host
805736	406611	Speaker
805736	406612	Speaker
805736	412085	Bingo announcer (2003-2004)/H
805737	200451	Woman 2 at the Gallows
805738	174540	
805739	88450	
805740	15402	
805740	60843	
805740	85208	Chizhok
805740	88667	
805740	88808	Olya
805740	181183	Smirnova
805740	181400	
805740	230460	
805740	262502	Anya Lapina, a neighbour
805740	280384	
805740	341213	
805740	375673	Marina Buntsevich
805741	242474	
805742	46187	
805742	170217	Herself
805742	170219	Herself
805742	170221	Herself
805742	170222	Herself
805742	286714	
805743	384117	Herself
805744	283521	Airport Receptionist
805745	182583	Flute Player's Mother
805746	64153	
805747	42891	Frossa, fat brunet worker
805747	264844	
805748	227826	Neighbour
805748	241987	
805748	246022	
805748	334316	Novakova
805748	352784	
805748	352814	Instructor
805748	366566	
805749	81678	
805750	62942	
805750	104757	Luxembourg entry (6th place)
805750	150055	Pool Cleaner
805750	224499	Extra
805750	225918	
805750	259221	Prima Ballerina
805750	375827	Billy Zane's Date
805751	131112	
805752	17581	
805752	47054	Anna the Temptress
805752	62356	
805752	82777	
805752	83331	
805752	126266	
805752	130108	
805752	156700	
805752	179320	Irina
805752	179666	Nata
805752	198129	
805752	216609	Sveta
805752	229056	
805752	229290	
805752	229909	
805752	236065	
805752	304253	Genrietta
805752	317241	
805752	339626	
805752	343298	Valya
805752	397513	Larisa's sister
805752	404819	Gabi
805753	3035	
805753	20404	
805753	187785	Nadeshda Konstantinovna Krups
805753	223297	
805754	130685	Peter's Mother
805755	212112	Jitka
805755	249382	
805756	56478	
805756	69270	Maria Salviati
805756	75231	
805756	78561	
805756	129036	L'attrice de "La Signora dell
805756	205249	
805756	347650	
805758	29590	
805759	375455	Lucia
805760	357303	Herlofs Marte
805761	285462	Antti's Wife
805762	157698	Soul Alley Follower
805763	103112	Melanie
805763	356550	Kerstin
805763	382399	Melanie
805763	395667	Nina Zöllig (2000-)
805764	217038	
805765	229003	
805766	224293	Younger Ekaterina Gordeeva
805767	346970	Ballet-girl
805768	16937	
805769	349305	
805770	313880	Teacher
805770	313881	
805770	313882	TV announcer
805771	356542	Neelith
805772	179912	
805772	253971	
805772	283775	Alexandra Fedorovna, Wife of 
805772	373848	Olga
805772	401445	Poetry reader
805773	216610	
805774	179357	
805775	243974	
805776	352813	
805778	79182	
805778	115603	
805779	209399	Madman's Mom
805780	51257	The Citizen's Daughter
805781	23034	Mrs. Remington
805781	41665	Kvetová, his wife
805781	63359	Mrs. Rivolová, your mother
805781	75993	
805781	180869	Mother of Natasha
805781	193457	
805781	199692	Dance teacher
805781	243893	Sychrová
805781	247933	Maøenka
805781	266426	
805781	266533	
805781	295060	
805781	373403	Wife the Florián Karásek
805781	373942	Teacher's wife
805782	51091	
805783	336	Porter's Wife
805783	20538	Rézi, Nováks maid
805783	30324	Herself
805783	36636	Zuza
805783	45125	Zavrelová
805783	51257	Daughter of accounting direct
805783	55882	Labská
805783	64632	Doorkeeper
805783	77264	Marková
805783	82797	Cleaning woman
805783	88749	Müllerová
805783	92906	Aunt
805783	142287	
805783	147041	Milcová
805783	165340	Anýzka, the mad woman
805783	166660	Pivonková
805783	171537	Frantisek's mother
805783	172906	Dairy maid
805783	173393	Granny
805783	174306	Vokácová
805783	179898	Forejtka
805783	181251	Tobacconist
805783	206637	Villager
805783	212300	Hanousková
805783	214800	Doorkeeper
805783	216569	Farmwife
805783	225952	Maid
805783	227934	Kristýnka
805783	229217	Gatekeeper at the dormatory
805783	229822	Pensioner
805783	230039	Mother-in-law
805783	232892	Woman
805783	237535	(segment Tajemství písma)
805783	246211	Janotas maid
805783	253830	Karel's mother
805783	258832	Satnarka v divadel/ve snu car
805783	263649	Andula, innkeeper's maid
805783	266280	Tobacconist
805783	266460	Cloakroom attendant
805783	268279	Holá
805783	268304	Housekeeper Rezková
805783	275236	Beruska's wife
805783	282764	Sister of Valtera
805783	284012	Soukupová
805783	304708	Neighbor
805783	320538	
805783	327371	Crofter
805783	332388	Old woman
805783	339328	Ruzenka, committee member
805783	343815	Zajícová
805783	349274	Herself
805783	349280	Kalvodová
805783	354639	Marie, lab assistant
805783	357462	Boudová
805783	373588	Karla Vicenová
805783	375373	Jarosová
805783	375379	Prop woman
805783	407986	Therese
805783	410338	Grandmother
805784	45720	
805784	48008	
805784	49032	Liba
805784	82815	
805784	137070	Vladka
805784	147039	His wife
805784	162603	Johana
805784	198224	
805784	224959	Eva
805784	239893	Bozena
805784	255900	Alene
805784	322676	Milena
805784	357922	Jaruska
805784	387031	
805784	402368	
805785	16195	
805785	374074	Mirka
805786	202586	Maruska
805786	281214	Marticka Würmová
805787	150762	Barbora
805787	357255	Teacher
805788	165348	Grandam
805788	229558	Grandad
805788	247946	
805789	179038	Japanese Woman
805790	229553	Little Chocolate
805791	58265	Vlasta
805791	149684	Bozena Nemcová
805791	165131	
805791	181340	Marie Rysová
805791	267951	Cyrilová
805791	275992	Jelínková
805791	328217	Tereza Machátová
805791	394618	
805791	400069	Pláteníková
805791	411960	Anna Holubová
805792	58126	Mladá Koudelková
805792	95605	
805792	165054	Melánie, sister of queen
805792	165058	Yvona
805792	165119	Alice
805792	198356	Mother
805792	262219	Ruzena
805792	266453	Vacková
805792	275992	Gustina Fucíková
805792	305815	
805792	332390	Milena
805792	339320	
805792	357290	Jindriská
805792	382834	
805792	383079	Nerudná's daughter-in-law
805792	387059	Mann's mother-in-law
805793	340226	Teresa Poroni
805794	26176	Terezka Proskova, his daughte
805794	51262	Marcela Havlíková
805794	57556	Woman
805794	64262	Widow (Podvodník)
805794	84755	Slecna Klotylda
805794	94090	Helga Hysková
805794	95995	
805794	122765	
805794	136616	Sona
805794	139865	
805794	151849	Chambermaid
805794	153362	Hermína Snajdrová
805794	166633	Stáza, maiden
805794	169720	Masseuse
805794	173557	Dr. Plásilová
805794	174002	Leni
805794	174020	Karhanová
805794	180576	Rosa
805794	182310	Olga Svojanová
805794	193457	Rita
805794	199692	Teacher at czech language
805794	214255	Zuzana
805794	221197	Karolína Karasová
805794	225968	Bìta
805794	229558	Koprová
805794	237879	Member salvation army
805794	244257	Landlandy's daughter
805794	246211	Dr. Hegl's wife
805794	266023	Letenská, Anna
805794	266130	Lucy, jeho zena
805794	266462	Pokorná
805794	282764	Matousek's wife
805794	304707	Maruska Martenová
805794	334264	Cousin Aloysia Zlatnik
805794	339250	Andela Kvácková
805794	344349	Sona
805794	344352	Sekretárka Vlasticka
805794	357687	Lencová
805794	373510	Rosa
805794	375343	Helena Durdysová
805794	405729	Pecoldová
805796	240214	
805797	226295	Secretaresse
805797	242568	3rd Research assistant
805798	154796	
805799	304834	WWF Nurse
805800	314940	Backing Vocals
805801	144406	
805801	169140	Dan's Wife
805802	5009	Ellie's Friend
805803	67572	Sara
805803	199115	Front Desk Clerk
805803	404613	Suzi Wyatt Carter #3 (1983-84
805804	243160	Church pianist
805805	50444	Cheerleader
805806	50444	Cheerleader
805807	248182	Herself
805808	53930	Mrs. Wilson
805809	371007	The Girl
805810	54026	Mrs. Horton
805811	105455	Lotion Girl
805811	128767	Ghost Town Woman
805812	177330	Girlfriend
805813	7684	Beauty Queen
805813	372071	Shay
805814	340901	Little Girl in Bus
805815	275979	Mrs. Snow
805816	115941	Passerby in Park
805817	393707	Klas
805818	69773	Birthday Party Girl
805819	134263	Woman on Tunnbindargränd
805819	341611	Dancer
805820	154150	Annie's Finnish housemaid
805821	81033	Detective Tina Chase (segment
805822	262311	Interviewer
805823	411532	Cathy (child)
805824	81601	Stephanie
805825	125578	Trix Beasley
805825	140928	Rose
805825	142484	Sherry Simpson
805826	37393	Susie
805826	204133	Joanne 'Jo' Newton
805826	325058	Heather Von Strum
805826	355065	Bonnie Lisbon
805827	145046	Safety spokesperson
805828	193723	Woman Passenger
805829	21533	Ellen Denver
805829	46686	Inez
805829	80485	Gloria
805829	85191	
805829	107166	Jamie Archer
805829	118294	Herself
805829	119547	Maggie
805829	128085	Andrea Marr
805829	138735	Wendy
805829	160888	Jocelyn Bennett
805829	168166	Emily Robin
805829	193521	Dolores 'Lolita' Haze
805829	209155	Kate
805829	230531	Sidney Connors
805829	240873	Herself
805829	245100	Kelly Phillips
805829	267105	Jeanine Kryszinsky
805829	305710	Jefferson Roth
805829	325058	Cat Storm
805829	354750	Nicole
805830	131764	Sarah Ehrlich
805831	124794	Office Worker
805832	93762	Nordic Blonde
805833	337307	Caroline Harris
805834	79025	Drama teacher
805834	121541	Sheryl
805834	332385	Workhouse Matron
805834	382384	Doris
805835	400615	Angel Kat
805836	255357	Skipping Girl
805837	122185	Ceri
805838	214641	Boutique sequence
805839	5203	Tiffany
805839	54920	
805839	105113	Karen
805839	362834	Miata Woman
805839	395165	Zaire
805840	286686	Mrs. Pierce
805841	116048	
805841	311650	
805842	20135	Marie (segment "La virgine de
805843	1038	Sara
805843	313825	Elizabeth
805844	57381	Brenda
805844	64750	Stacey
805844	241502	Leah Jennings
805844	296369	Herself - Vocals (segment "Sc
805845	211958	Child
805846	99055	Krypton
805847	379893	Regular Performer
805848	13099	
805848	102704	
805848	270868	
805849	129397	
805849	182955	
805850	241359	
805850	243134	
805851	81260	Female Guard #2, Thumper
805853	106433	Lesbian
805856	11621	
805856	28955	Madre de familia
805856	102784	
805856	144789	Alien Stormtrooper
805857	303288	Herself
805858	243744	Mother of Family
805859	119344	
805859	246029	Herself
805860	313379	Misplaced Charity
805861	36855	Herself
805861	381917	Herself - Evictee #13: 21 Jul
805863	239932	Dolores
805864	243744	Aunt Geraldine
805865	37530	Customer
805866	40657	Margaret
805867	187226	Young customer
805868	76241	Survey Girl
805869	41581	
805869	141546	
805869	150043	
805869	191143	
805869	196002	
805869	258003	
805869	296706	
805870	35787	Milly
805871	326854	Teenager in Jeep
805872	28542	Valeria
805872	44404	
805872	55928	Doll
805872	80656	Fourth assassin
805872	118069	
805872	135942	Gungala
805872	135943	Gungala
805872	162083	Girl In Shower
805872	239302	Co-agent on ship
805872	253332	Girl recieving flowers and me
805872	325173	Amazon Queen
805872	325175	Irula
805872	348147	Girl at park
805872	356939	
805873	199528	Mona
805873	205945	Princess Peach
805873	319412	Princess Peach Toadstool
805874	134126	Royal Horticultural Society p
805875	68144	Anita
805876	331341	Nurse
805876	366974	Mrs. Schaeffer
805876	404002	Mrs. Morris (1978)
805878	279214	Pam
805879	310196	Ms. Marshall
805880	142809	Diane Plaster Caster
805880	155903	Carmen
805880	192340	Cashier
805881	67590	Nancy
805881	158897	Receptionist
805881	242045	
805882	316153	Convulsing woman in dream squ
805883	115826	
805884	128638	
805885	224379	Martha
805886	185366	Ashley
805886	333691	Amber
805887	33589	Beef Trust Girl
805888	156860	The Doll
805888	185366	Young Susie
805888	333691	Allison
805889	381821	Ensemble (1983)
805890	199683	Triplet
805891	199683	Triplet
805892	199683	Sister
805893	199683	Triplet
805894	199683	Sister
805895	181913	Herself
805896	171797	Tweede winkeljuffrouw
805896	184608	Black Royal Lady
805896	394612	Secretaresse
805897	141253	
805898	24476	The First Lady - JFK, Jr.
805899	2027	Nun
805900	51855	Cleopatra's Lady Attendant
805901	60341	Louise
805902	846	Herself - #63: Acceptance Spe
805902	955	Buzzy
805902	1703	Herself - Presenter
805902	1725	Herself - Presenter
805902	3040	Herself - Best Actress Winner
805902	3044	Herself - Presenter: Best Act
805902	3053	Herself - Presenter: Film cli
805902	7408	Jeanne St. Remy de Valois, ak
805902	23951	
805902	35515	Herself/Carly Reynolds
805902	45609	Teena Brandon/Brandon Teena
805902	48923	Kimberly Hannah
805902	69079	Herself
805902	73116	Patty
805902	79755	Herself
805902	95785	Lisa Connors
805902	127562	Valerie Barksdale
805902	127567	Herself
805902	141540	Sylvia Orsini
805902	160524	Detective Ellie Burr
805902	162364	Alice Paul
805902	180554	Colleen
805902	231103	Julie 'Julie-San' Pierce
805902	243147	Herself
805902	269847	Lolita
805902	274074	
805902	281549	Maggie Fitzgerald
805902	295636	Herself (interviewee)
805902	304851	Lauren Schall
805902	308147	Michelle Porter
805902	310095	
805902	328556	Deena Martin
805902	381811	Carly Reynolds (1997-1998)
805902	383284	Danielle
805902	387981	Aimee #1 (1991-1992)
805902	395324	Tiffany Roebuck
805903	141540	Motorcycle Mama
805904	185964	Nurse
805905	77203	Tracy Walker
805905	84955	Vicky
805905	141158	Kathy
805905	191647	Marian Fairley
805905	384477	Sue Leach
805905	395879	Lynne
805905	410978	Lisa Trafford (1997)
805906	313046	Meg's Friend
805907	15209	L'infirmière
805907	50988	Paula
805907	66733	Clo
805907	69343	Thérèse
805907	236526	Mme Élisabeth
805907	269144	Isa
805907	287321	Irène
805907	343535	Ilona
805907	346801	Mme de Mendoza
805907	373311	
805908	161084	
805909	324951	
805910	196390	Model
805911	294798	Lu-Ann Hodges
805912	35523	Playboy Model
805915	255308	Girl in Bed
805916	36968	Patricia
805916	99216	Biondavi
805917	190906	Herself
805917	264683	
805917	264911	
805918	46994	Herself
805918	298614	Herself
805918	303498	
805918	333252	Herself
805919	44654	
805919	291003	
805919	312700	
805919	312704	
805919	356658	
805919	356659	
805920	247930	
805921	62922	Nutlady
805921	110315	Barlow
805921	117958	Combs
805921	255872	Edele
805921	276613	Reese
805922	74195	Wave
805922	105971	Nurse
805922	230693	Shopper
805922	307518	Snell's Secretary
805922	316325	Mrs. Baxter
805922	330097	Saleslady
805922	346368	Mrs. Menkin
805923	320294	
805924	222634	Vivian
805925	32864	
805925	194167	Sally
805925	297876	May
805925	306414	Claire
805925	354857	
805926	270006	Herself - Quiz Kid
805927	262514	Tourist #1
805928	241375	Carol Diroma
805928	332376	Confident Girl
805929	78102	Felicity
805929	80424	Susan
805929	155254	Hooker #3
805929	158964	Judith Miller
805929	160415	(segment "There's This Travel
805929	242501	Kesack
805929	266091	Dr. Alexis Zalazny
805929	289468	Glory Avionis
805929	303975	Emily
805929	314227	Miss Fairweather
805930	80441	TV Reporter
805931	178051	Imogen's Sister
805932	20336	Bomb Site Reporter
805932	185828	Antique Shopper
805932	273271	Young Woman in Restaurant
805933	321571	Girl
805934	10412	Tomato Thrower
805935	7482	Vivian Spencer, His Wife
805935	9131	Gloria Swanson
805935	13534	Bit Part
805935	22929	Extra, hands bouquet to Holme
805935	30573	
805935	35792	Theodora Fitzgerald
805935	42022	Mona deBriac
805935	47541	
805935	56579	
805935	57561	Herself/interviewee (1976 and
805935	59364	Narrator
805935	66317	Joyce Gathway/Nadine Gathway
805935	77932	Reggie's madcap sister
805935	78189	
805935	79204	
805935	90274	Leila Porter
805935	90405	Marian Westover
805935	92161	Reluctant bride
805935	93091	Herself
805935	105333	Edith Emerson
805935	106833	
805935	109862	Leslie Collier Osborne
805935	113552	Orchid Murphy
805935	116974	Sylvia Norcross
805935	133717	Nada and Nadine Pelham
805935	138887	
805935	140654	
805935	141473	
805935	143071	Phyllis Dunbar
805935	143154	Suzanne Ornoff
805935	143213	Lois Miller
805935	143255	Princess Marie
805935	146128	Extra, Stenographer
805935	147633	Cameo appearance
805935	152638	Toinette
805935	157229	Betty Bellew
805935	159259	Geraldine Trent
805935	169998	
805935	175555	Herself
805935	176791	Madame Maria von Bohlen
805935	195613	Herself
805935	195939	Sunya Ashling
805935	199379	Catherine Hubscher
805935	202246	Lady Mary Lasenby
805935	204156	Tessie McGuire
805935	210863	Herself
805935	214859	Agrippina
805935	223048	Frieda
805935	223653	Natalie Chester
805935	231512	
805935	252996	Judy
805935	265244	Swifty Forbes
805935	267023	
805935	269304	Patricia 'Kitty' Kelly, aka Q
805935	280917	
805935	285182	Sadie Thompson
805935	291402	Herself
805935	292328	Sally Carter Rand
805935	295636	Herself (from Sadie Thompson)
805935	298771	Marcia Grey
805935	306737	
805935	306797	Phylis Clyne
805935	306807	Marjorie Colbert
805935	308116	Ruth Anderson
805935	312807	Jennie Hagen
805935	313993	Kitty Manning
805935	318625	Gloria
805935	319181	Norma Desmond
805935	321067	
805935	326615	Gloria Dawn, His Sweetheart
805935	331367	Ann Haven
805935	333048	
805935	335476	Nella Vago
805935	346130	Deborah Krillet
805935	347745	St.Clair Van Tassel
805935	358165	Carmelita
805935	362109	Tamarind Brook
805935	362731	
805935	364508	
805935	364550	Beth Gordon
805935	365057	Sylvia Hamilton
805935	368599	Herself
805935	372112	Patricia Reynolds
805935	374197	Zaza
805935	385314	Host/Occasional Lead Player (
805935	391836	Herself
805936	48950	Blueberry/Additional Voices
805936	140193	Children
805936	184377	Child
805936	213466	Toddler
805936	244795	Time Traveling Sprite
805937	12223	
805937	21203	Baby Artie's Mom
805937	163492	Tenant
805937	188507	Amanda Hunsaker
805937	237820	Mattie Chase
805937	237823	Mattie Chase
805937	252997	Carrie Marks
805937	304480	Mystery Girl
805937	383994	Kelly Susan Gaines/Boyd (1989
805938	143108	
805938	183872	Penny Pester
805938	188135	Jenny
805938	267111	Wallace kid
805938	281913	Brandi
805938	367606	
805939	205426	Can Lady
805940	283678	Screaming Woman (English vers
805941	342669	Bar patron
805942	276638	Drugpacking Woman
805943	126276	Reggie's Friend at Beach
805946	16391	Herself
805947	289377	Middle Aged Blonde
805948	306331	Betty
805949	3095	Laurie
805949	25872	Kimberly
805949	27363	Francesca Wells
805949	37002	Vanessa
805949	48923	Buffy Summers
805949	59829	Natalie Voss
805949	61877	
805949	80763	Samantha
805949	88111	Terry Hopkins
805949	93217	Sue Halloran
805949	94613	Christie Boner
805949	111442	Simone Adamley
805949	115929	Cathy
805949	126680	Kirby Watts
805949	134654	Julie Albrecht
805949	145019	Kristen Connor
805949	145102	Rachel Clark
805949	150350	Kowalski
805949	196407	Darlene Ferrari/'Sherry'
805949	204557	Jessie
805949	206524	Lilly
805949	209698	Laurel Lee
805949	214963	Stephanie Gamble
805949	220857	Jennifer Davis
805949	232392	Becky
805949	235486	Eron Jeffries, Chip's Crush
805949	254585	Diana Palmer
805949	263334	Duckette
805949	265527	Camille Shafer
805949	274397	Kelli
805949	301512	Dr. Julia Craig
805949	319773	Jenna
805949	333604	Nikki
805949	374282	Louise Bauer
805949	381111	Herself/Buffy Summers
805949	394676	Jody Campbell (1987-1988)
805949	399450	Rebecca "Becky" Granger
805950	89308	Clare
805952	136649	La comédienne américaine
805954	224022	Francine Riversmith
805955	17132	Extra talent
805956	138729	Mary O'Donnel
805957	164653	Maggie
805957	178947	Elaine
805957	194167	
805957	202508	Audrey Bedford
805957	220273	Denise de Frontiac
805957	241460	
805957	243260	Joanne Delamere
805957	279610	Kate Morrison Mullockson
805957	310313	Maria
805957	330537	Marina
805957	331326	
805957	337107	Ellen
805957	348348	Jeannie Andrews
805957	350006	Olwen Davies
805958	203358	Rockette
805959	80959	
805960	365344	Joanie
805961	14157	Cindy Alden
805961	72228	Liz Brannan
805961	80557	Woman at Party
805961	80807	Dr. Allie Levin
805961	93870	Beth
805961	139023	Jess
805961	149967	Jennifer
805961	152865	Viva
805961	156472	Beverly Keen
805961	158175	Allison Cox
805961	158965	Jordan Mueller
805961	208987	
805961	209683	Dixie
805961	215347	Stripper
805961	223503	Charlene
805961	231902	Gwen
805961	240694	Rosalita
805961	282872	Librarian
805961	309135	Carol
805961	322606	Cocktail Waitress
805961	323227	Newswoman
805961	366891	
805961	389103	Cynthia
805961	405123	Sheila Shane (1995)
805962	74188	Mrs. Wallace
805962	195190	Sailorette
805962	254528	Middle-Aged Woman
805962	306396	Maartje Pool
805963	121208	Mitzi
805964	151055	Ganya Kharacter
805965	29519	Candy Addison
805967	17613	Aunt
805967	29557	Mrs. Zentler
805967	43249	Mrs. Sjöborg
805967	48379	Countess Julia Lejonsköld
805967	108203	Lillie Ekman
805967	109544	Aunt Héléne
805967	115398	Hyltenius
805967	116132	Mother Tine
805967	122477	Aunt Peppina
805967	125563	Alexandra
805967	127570	Emma Lundberg
805967	136170	Sigbrit
805967	136171	Sigbrit
805967	136711	Gustafva Sinclaire
805967	137748	Madame Jenny
805967	138496	Cathleen's mother
805967	138515	Sophie Svensson
805967	142784	Mathilde Rasmussen
805967	170838	Mrs. Cronsiöö
805967	172791	Countess Stjerncrona
805967	182547	Mrs. Blomkvist
805967	184574	Ivanova Barantscheff
805967	190668	Sonja's Relative
805967	198261	Fanny's mother
805967	201265	Sophie Svensson
805967	219294	Fru Almen
805967	228384	Minka
805967	237257	Grevinnan Charlotte
805967	249130	Rose Duval
805967	253026	Charlotte Ponson
805967	268365	Margareta Ribe
805967	284048	Mrs. Brodin
805967	301037	Countess Emilie Hohenstein
805967	303659	Mrs. Ebba Österman
805967	303854	Mrs. Frendin
805967	305304	Anna Holmström
805967	312223	Countess Stjärnstråle
805967	314389	Tuttan Möller
805967	315362	Hulda Fagerlund
805967	317598	Bessie Doring
805967	317599	Mrs. Ragna Doring
805967	317619	Mrs. Gouveng
805967	320520	Tilda
805967	320726	Mother-in-law
805967	320954	Marta 'Mutti' Boman, the Hous
805967	341113	Inventor's Hostess
805967	341169	Rosa Hörneman
805967	346973	Countess Euphrosyne Behrencro
805967	353032	Laura Persson, cook
805967	377298	Carolina Berg
805967	377383	von Bohren
805968	80723	Teenage girl
805968	152392	
805968	159896	
805968	164125	Sonu
805968	165393	
805968	249651	
805968	320860	
805968	328225	Sharda Devi
805968	332984	
805968	339962	
805968	341550	
805968	344906	Bharati
805969	4282	Mother Claudia
805969	16897	Nancy Chang
805969	240185	Eskimo
805969	402306	Nurse Claudia
805970	37010	Texas Woman
805970	67553	Casino Waitress
805970	190690	Norma (hospital secretary)
805970	234982	Emeline Snively
805970	293087	Narrator
805970	293090	Narrator
805972	21526	Lyla
805972	46981	Carole
805972	70215	
805972	141639	Miss Jane
805972	168752	Miss Arthur
805972	194682	Ida Eriksen
805972	232247	Christine Reynolds
805972	233782	Doctor
805972	235443	Carla Inman
805972	252926	Melody Stanton
805972	286609	Gwen
805972	292473	
805972	380713	Lyla Crawford Montgomery Pere
805973	57001	Aurora
805973	107912	Samantha
805973	130335	Sorority Pledge
805973	383211	Co-host
805973	389189	Hostess
805973	398669	Co-host
805974	9849	
805974	17900	
805974	36222	
805974	141830	Heer
805974	175981	
805974	184816	
805974	228696	
805974	254628	
805974	272741	Gauri
805974	284983	
805974	298246	
805974	314927	Party-girl Bit
805974	325295	Kishori
805975	383884	Rajkumari Chandrakanta
805976	255424	Claire Tredici
805977	390341	Madeline Donetti
805978	404943	Wilmien de Lange (2000-2004)
805979	130341	Girl at the trailer park
805980	79242	
805980	110548	Herself
805980	156151	
805980	386998	Herself
805980	388531	Bieke Crucke (1990-)
805980	399980	
805981	13580	Jane Hartman
805981	58828	Elsa Strauss
805981	93078	Herself
805981	129105	Maria
805981	280895	Ilona Boros
805981	281867	Rosita Castro aka Don Carlos
805982	398575	Marktkoopvrouw
805983	72557	Vera Seagrave
805983	73560	Liliana
805983	106378	ER nurse
805983	192634	Mrs. Coughlin
805983	194656	Nurse
805983	232121	Dave's Wife
805984	69194	Sean's Sister
805984	256823	Abergail
805985	199639	Chloroform
805986	57685	Herself
805987	381821	Ensemble (1980)
805988	141025	
805989	16907	
805990	232630	Skating Rink Extra
805991	17132	Extra talent
805992	122019	First Woman with baby
805993	249815	
805994	42705	Kelly Johnson
805994	386337	Lisa Hayes (1982-1986)
805995	152499	Babli
805995	387247	Demi Miller (2004-)
805996	188511	Nurse
805996	240486	Veda Tilman
805997	8490	Uma
805997	165964	Marge
805997	268083	Priya
805998	262919	
805999	314729	Tea Server
806000	330689	Bit Part
806000	367552	Bit Part
806001	132456	Party Guest No. 3
806001	280111	Miss Silky
806002	6855	Dorothy Markham
806002	7024	Kitty Cob
806002	24511	
806002	32887	Elsa Montford
806002	38127	
806002	38133	
806002	42270	
806002	71637	Mary Shelly
806002	73404	Mary Wallace
806002	81715	Mona
806002	107914	
806002	112309	Helen Harrington
806002	141235	
806002	150822	Diana Hutton
806002	153193	
806002	161031	
806002	187743	
806002	191103	Vera Maxwell
806002	191594	Lindy Gray
806002	192037	Sis
806002	192238	Lindy Gray
806002	192264	
806002	196206	
806002	203009	Kate Murray (his daughter)
806002	207984	Marian
806002	213508	
806002	221244	
806002	230113	His Sweetheart
806002	277272	
806002	279304	Polly Abbott
806002	332529	Flora Foster
806002	336339	Marjory Lorimore
806002	338102	
806003	143536	
806003	279091	Mrs. Sturgess
806004	82401	Secretary
806004	249451	Jamaican woman (party)
806005	157978	Turtle Choir Member
806005	241467	Melinda
806005	315190	Dancer
806005	320925	Herself
806006	68266	Female Reporter
806006	78930	Sunday
806006	185600	
806006	283171	Jennifer
806007	320925	Herself
806008	217816	Carol
806009	330131	Susan Morris
806009	354683	Prisoner
806010	171274	Hollywood Actress
806011	382479	The Waitress
806013	163851	
806014	231919	Hannah
806015	103287	Amanda Singer
806016	330262	Mrs. Woods
806017	41757	Devon
806017	131234	Trish
806018	194510	Mercy
806019	3048	Kay Colburn
806019	66919	Board Member
806019	82902	Alice Mitchell
806019	92865	Surgical nurse
806019	105502	Elaine Cordell
806019	109812	Donna
806019	123034	Mrs. Wheeger
806019	150350	Mary Thompson
806019	157574	Dawn
806019	170572	
806019	177204	Joshua's Mother
806019	220625	Female Ranger
806019	249186	Car Owner
806019	332428	Rita
806019	335692	Sister Agnes
806019	348303	Sheila
806019	361167	Andrea Stein
806019	404775	Susan Biddle Ross (1992-1993,
806021	3182	Judge
806021	181166	Journalist
806022	204537	Karin
806022	287568	Emma
806023	445	Susanne
806024	220961	Mother
806025	220961	Daughter
806026	233967	Elderly Woman
806026	305575	Angry Flight Attendant
806027	17504	Lady Jao Jom Manda Ung
806027	232311	Croupier
806027	405110	Ye Luyan
806029	1348	Herself
806029	80022	Samantha Brady
806029	100820	Stephanie (12-15 years old)
806029	161227	Herself
806029	232220	Sami Brady
806029	263496	Young Alice
806029	372244	School Girl #1
806029	380031	Young Alice
806029	382666	Christy McCray
806029	385824	Samantha "Sami" Gene Brady #7
806029	388346	Rosie Tobin
806030	380018	Herself
806031	211616	Mistress Ford
806032	120242	Mary
806033	687	Herself
806033	17935	Herself
806033	23919	Herself
806033	23927	Herself - Audience member
806033	23932	Herself
806033	47827	Lindsey Stanlow/Bonney Wild
806033	47828	Lindsey Corkhill
806033	186164	Herself
806033	215170	Herself
806033	215171	Herself
806033	282702	Guest Announcer
806033	308555	Herself (presenter)
806033	311703	Herself
806033	330028	Narrator
806033	378909	Presenter
806033	382838	Lindsey Corkhill Stanlow Phel
806033	383733	Herself (Series 1) (2001)
806033	383848	Herself
806033	384477	Katrina Wilkes (2002)
806033	391405	Herself
806033	395978	Presenter (2002-)
806033	406731	Herself (Series 1) (2004)
806033	408567	Presenter: Soap Queens (2002)
806034	60024	Heather
806035	407315	Penny Hunt
806036	95331	Park Girl
806037	104768	Host
806037	387959	Herself - Presenter (1993)
806038	291295	
806039	132912	Imaging Voice (Emotion 98.3 &
806040	40687	Chilli
806041	335051	Nurse
806042	291067	Various
806042	339898	Various
806042	404536	Various Roles
806043	26287	Wanda MacPherson
806043	29960	
806043	32659	Beth Newton
806043	32660	Beth Newton
806043	65754	Jenny Gibbs
806043	69290	Principal
806043	72012	Group Therapy Member
806043	86958	Caterer
806043	129997	Herself
806043	134195	Peggy
806043	148901	Nosey Neighbor
806043	163625	Pat Riley
806043	209683	Mrs. Martha Karp
806043	223967	
806043	240649	Herself
806043	267038	Raquel
806043	288703	Herself - Audience Member
806043	288705	Herself/Various Characters
806043	288707	Jane Pauley
806043	288711	Herself
806043	288719	Herself
806043	317261	Mrs. Keeper, the Orphanage Ow
806043	317264	Mea C.
806043	330271	Sarah
806043	351187	Mirage Reception Person
806043	362598	Kate Woodman
806043	379488	Pizza eater at Geek Headquart
806043	381064	Wanda MacPherson/Various Char
806043	383743	Herself
806043	389905	Alice (1998)
806043	397179	Mary Krupp-Stage
806043	404215	Marie
806043	404337	Various (1990-1994)
806043	407664	Crandall's Mom
806044	1038	Dancer
806044	313825	Cheerleader
806044	383721	Dancer
806045	63130	Terry
806045	367964	Student
806046	262	Voice of Meg's Friend #1
806047	51991	Lucy
806047	149804	Nurse #2
806048	53946	Peggy
806048	124345	Gaga
806049	161741	Bee lady
806049	263308	Herself
806050	97209	Charlie's wife
806050	147548	Mavis
806050	309309	Nurse
806050	312345	Sauna receptionist
806050	385299	Yvonne Brooks
806050	403676	Eileen (1974-75)
806050	403948	Dolly Prescott
806050	405088	Gloria Radford
806050	408638	Waitress
806051	92215	Young Ma
806052	21040	Diner waitress
806052	69391	J. Sweeney, Housekeeper
806052	106520	Salvo
806052	129944	
806052	142165	Waitress
806052	164352	Cashier
806052	189265	Nurse No 1
806052	191495	Prison Guard
806052	196048	Thelma Johnson
806052	201691	Michelle Stoner
806052	236535	Femme de chambre
806052	303591	Nurse
806052	313562	
806052	316309	Michelle
806052	406773	Mrs. Morton
806053	138230	Manicurist
806053	147974	Hutterite Woman
806054	22929	
806054	57097	
806054	72202	
806054	106885	
806054	106887	
806054	106922	
806054	163321	Ellen
806054	248140	
806054	329510	An actress
806055	399415	Celeste Dexter (2002-2003)
806056	77793	Mel's Writer One
806057	256951	Clubber
806058	283847	Cassandra Jones
806059	130484	A reporter
806059	130496	Susan
806059	298425	
806059	298732	Greta Petersen
806060	27117	
806061	108529	
806062	70753	Laura Casey
806062	158909	Judy Nelson
806062	346057	Kathy Murphy
806063	126710	Zulu La Peer
806064	109513	Narelle
806065	117292	Detective Koontz
806065	139096	Marilyn Cole
806065	193761	Sally - Girl in Blood Bank
806065	245434	Cindy Dawson
806065	264154	The Reporter
806065	379392	Nurse Parker (1984)
806066	364030	Mascha
806067	208540	
806067	252393	
806067	320157	Angela Adams
806070	127094	Classmate
806071	79078	Miranda
806072	11404	The Maid
806072	12761	Mrs. Mason
806072	17511	Anna Christie
806072	21796	
806072	24964	His sweetheart
806072	31050	
806072	31263	The Boy's Sweetheart
806072	32722	Herself/Narrator
806072	35634	
806072	40107	Vera Maroff
806072	40691	The Young Woman
806072	40719	The Princess
806072	42024	Juliet
806072	47463	
806072	47594	The Road Agent's Wife
806072	48274	(unconfirmed)
806072	54653	Sonya Martinovich
806072	56152	Dorothy/Becky
806072	58932	The Wife
806072	59115	The Young Woman
806072	61386	The Young Woman
806072	62672	One of Gladys' Friends
806072	66190	Christine Lesley
806072	68183	Teresa
806072	70811	Woman in White Hat/Visitor to
806072	71710	Edith
806072	71753	
806072	76252	Herself
806072	79718	The New Year
806072	80655	Mary Willard
806072	81324	The Wife
806072	81667	
806072	87105	Dora
806072	95321	Ethel Hale
806072	101555	On the Beach
806072	103351	May Joyce
806072	104325	Martha, the Wife
806072	105388	Dr. Katherine Torrance
806072	108931	Claire Marsh
806072	112408	
806072	112443	Cressy
806072	114678	Headmistress of School
806072	115080	
806072	115407	From 'The Goddess of Sage Bru
806072	117027	
806072	117053	The Son's Fiancée
806072	117276	
806072	128316	Esther Maitland
806072	130013	The Woman of the Camp
806072	130101	The Goddess
806072	141168	
806072	142665	Leona Stafford
806072	142996	
806072	143434	Mavis
806072	143444	The Young Woman
806072	143857	Maria
806072	145860	
806072	146246	Carla King
806072	148404	The Wife
806072	150902	
806072	151443	Mary
806072	153215	Virginia Appleton Blodgett
806072	155898	The Mother
806072	157775	At the Ball
806072	158381	Dolores Mendoza
806072	159068	Indian
806072	159913	
806072	169978	Judith
806072	176403	
806072	183646	Lady Margaret Darnely
806072	185234	Mary
806072	188137	The Young Woman
806072	190899	
806072	191744	
806072	193747	Daughter of the Lonedale Oper
806072	194018	Edith
806072	195666	The Young Woman
806072	195693	
806072	195713	The Girl
806072	201846	Young Woman
806072	203668	
806072	203743	The Prospector's Daughter
806072	209167	Jane Hudson
806072	210708	Agnes Rodman, Stephen's Daugh
806072	215324	Neighbor
806072	215951	The Young Woman
806072	220525	
806072	229118	
806072	230574	Renee Darcourt
806072	230600	At Wedding/At Market
806072	238222	May, a Stock Girl
806072	239173	Mlle. Genova
806072	239540	The Old Bookkeeper's Employer
806072	239699	
806072	241455	Rich Wife
806072	245019	Mrs. Vane
806072	245285	The Young Woman
806072	246712	The Older Sister
806072	256574	The Daughter
806072	263738	
806072	264372	The Sister
806072	264373	On Lawn
806072	266717	Hazel Gray
806072	266840	
806072	267222	The Fruit Grower's Daughter
806072	269921	Alice Pettengill
806072	270794	Jenny
806072	280303	The Daughter, at Eighteen
806072	280984	
806072	285658	The Wife
806072	291317	Herself
806072	292204	
806072	292574	Diane
806072	292638	Edith Martin/Grace Martin
806072	294364	
806072	300080	Donny Harris, aka Mrs. Buelow
806072	301689	Jane Colby
806072	301968	Queenie
806072	302232	Molly Shine
806072	302674	Dolly Wall
806072	303259	
806072	305576	The Peasant Woman
806072	309515	
806072	309581	Celebrity
806072	310018	Karin Dolokhof
806072	310315	
806072	311264	The Young Woman
806072	311760	Lady Gwendolyn
806072	315079	The Grower's Daughter
806072	315091	Margery Huntley
806072	315552	Natalie Raydon
806072	316991	The Second Woman
806072	317180	Dorothy Nelson, Frank's Siste
806072	317440	Alice
806072	326468	
806072	327529	Alice, the Prospector;s Wife
806072	328753	Tess D'Ubervilles
806072	329432	Montana Rivers
806072	331126	Rose Carney
806072	331138	Melanie Landry
806072	331204	Olga Nelson
806072	331376	The Wife
806072	331848	Grace
806072	332487	Jane Cobden
806072	334292	Backstage at Debut/At Party
806072	338077	The Tenement Girl
806072	343004	The Authoress
806072	343081	
806072	345967	Emily
806072	347516	Alice Parcot/Dinny Parcot
806072	347526	Barbara King
806072	351733	
806072	356280	The Wife
806072	359525	Agatha Warren
806072	359650	Kate, the Rancher's Daughter
806072	363987	White Rose
806072	364683	Molla Hansen
806072	366307	
806072	366858	The Prospector's Wife
806072	367534	Laura Fairlie/Anne
806072	367565	Alice Dane
806072	367594	Julia Barnes
806072	367599	
806072	391836	
806073	326745	
806074	334010	Tamora
806077	3924	VIP Bartender
806080	106409	Girl In A Hotel Room
806081	354854	Dream Succubus
806086	11135	
806086	34829	
806086	50374	
806086	50393	
806086	62420	
806086	128777	
806086	133920	
806086	198077	
806086	333833	
806087	39753	
806087	93717	
806089	11502	Esther
806089	73413	Child
806089	282463	Little girl
806089	390986	Tina Dearborn
806090	194253	Pedestrian
806091	151540	Receptionist
806092	20685	
806092	29233	
806092	50851	
806092	52263	
806092	119333	
806092	123840	
806092	126583	
806092	148882	
806092	191370	
806092	282963	
806092	326719	Afro-American Woman (Kiwi)
806092	372392	Lady With Butler (Kiwi)
806093	334343	Young Stephanie
806094	194283	
806095	145197	
806096	312042	Bit
806096	316946	Goldwyn Girl
806096	330375	
806096	360837	
806097	115826	
806099	151540	Mildred
806100	45997	
806100	339868	
806101	315130	
806104	11586	J.J.
806104	136510	Agnes
806104	161838	
806104	302584	Cecelia (singer)
806104	407156	Host
806105	45887	Theresa Mapes
806107	231738	Olivia
806107	239654	Singer
806108	178864	
806109	128472	
806110	118074	Leonora
806110	314732	Lina
806110	341825	Turandot
806111	1221	
806111	29766	Barbie
806111	50369	
806111	60795	College Freshman
806111	102792	
806111	139064	
806111	149396	
806111	154123	
806111	158590	
806111	171010	Pig-Tailed Caucasian 18yr Old
806111	191356	
806111	226983	
806111	228020	
806111	240824	
806111	254700	
806111	255159	
806111	266185	
806111	273374	
806111	273389	
806111	297842	
806111	300524	
806111	302837	
806111	306916	
806111	321191	
806111	336708	
806111	353740	
806111	354818	
806111	361243	
806112	16758	Jenny Lane
806112	69507	Fanny Bates
806112	163442	Pat Grove
806112	190103	Anne Hunter
806112	203322	
806112	331716	1st Nurse (segment "The Surge
806112	388466	
806112	390689	Pat Grove #1
806112	395559	Zoe Hunter
806114	106427	
806115	392858	Herself - Reporter/Weekend Co
806115	399314	Reporter (1992-1996)
806117	196528	
806119	308128	Beauty
806120	146929	
806121	109571	
806124	151120	Housesitter
806125	246861	Francine
806126	311517	Snooty Girl 1
806127	14192	Danielle
806127	22037	
806127	63090	Dora
806127	89194	Young Aloise
806127	265749	Young Debra
806127	337168	Additional Voices
806127	387994	Alexandra 'Ally' Barone
806128	2430	
806128	30036	
806128	50673	
806128	75028	
806128	75031	
806128	75059	
806128	75060	
806128	93991	
806128	106521	
806128	136240	
806128	150031	Monika
806128	160777	
806128	260817	
806128	274200	Mrs. Angapatchka - Bunny's Mo
806128	293946	
806128	306916	
806128	312383	
806128	320824	
806128	321162	Monika
806128	362485	Herself
806129	33078	Herself
806129	57685	Herself
806129	163529	Sally Brown
806129	365457	Co-Host
806129	389501	Stephanie 'Steph' Judith Tann
806129	393510	
806130	52576	Herself
806131	213590	Pitti-Sing
806132	265857	Ballerina
806133	57027	Mrs. Sweetman
806134	330750	Voice of Priscilla Presley
806135	62490	
806135	120665	Herself
806135	159921	
806136	41586	Herself
806136	223687	
806137	159921	
806138	25980	
806138	369881	
806138	369885	
806140	328258	Ice Cream Fight
806141	24429	Dancer
806141	45591	Dancer
806141	64098	Halloween Dancer
806141	120528	Dancer
806141	194332	Dancer
806141	235403	Cheerleader in Front of Schoo
806141	313825	Cheerleader
806142	72325	Mrs. Pasok
806144	34633	
806144	260173	
806145	46369	Mrs. Kurtz
806145	82444	
806145	107103	Ellen Donnelly
806145	176415	Reporter
806145	203669	Jenna
806145	328556	Dr. Miller
806146	408151	Isabella (1999-2000)
806147	349574	Christel
806148	228663	
806148	236370	Nadja
806149	335431	Nenu's Mother
806150	206408	Lillian
806150	280700	
806151	40824	Sparkle
806153	36907	
806154	6200	Dr. Howardson
806155	175842	Sixty-Six Club Dancer
806156	7200	Ellen Anderson
806156	16409	Lavinia
806156	31445	Matty Kline
806156	35184	Mrs. Craddock
806156	96743	Ilyana Kovalefskii
806156	191344	Sister Monica
806156	214984	Kate Keller
806156	223830	Esther Trimble
806156	223879	
806156	328472	
806156	375047	Nora Bayes
806156	381668	Miss Gretchen Wilomena Kraus
806156	386578	Connie Stratford (1989)
806156	387120	Rose
806156	399684	Maude Hazard
806156	399685	Maude Hazard
806156	399838	Marilyn
806156	407897	Amelia Foster
806157	129829	Faux Jackie O.
806158	134241	Herself
806158	168112	Herself
806158	181885	Hibana
806159	46937	Infirmière Simon
806159	122838	Mlle Chiron
806159	224894	
806159	288897	Marianne Séverin
806159	345093	Jeanne
806159	346599	Infirmière
806159	384816	Servant of Villefort's househ
806160	220415	The Mouse Child
806161	296681	Alice Walker
806162	154472	Herself
806163	7656	Inès
806163	63056	Herself
806163	69974	Antonia
806163	101747	Konstanze
806163	165297	Herself
806165	252974	Hostess
806166	72931	Goodyear Chorus Girl
806167	216737	Joey's Mother
806168	364300	Herself
806169	444	Alfhild
806169	16265	Maria Jansson
806169	29561	Karin
806169	42954	Lisa
806169	47176	Maid
806169	48339	Brita Strömblom
806169	95829	Dean's housemaid
806169	97868	Britta Pettersson
806169	108200	Hulda
806169	109544	Telephone operator
806169	115391	Farmer's wife
806169	115427	Ottilia
806169	120892	Pettersson
806169	121005	Hildegard, maid
806169	125828	Magda
806169	129179	Waitress at the inn
806169	135671	Woman at the newsstand
806169	138520	Maid
806169	147005	Mrs. Svensson
806169	153744	Bettan Lindkvist
806169	168885	Hanna Jönsson
806169	174255	Apollonia
806169	181126	
806169	181128	Greta, maid
806169	182282	Magda's friend
806169	182286	Haraldsson's love interest
806169	182547	Betty
806169	182550	Erika Pettersson
806169	190822	Woman
806169	190845	Bride
806169	192499	Greta, housemaid
806169	206195	Lena
806169	214362	Maria, housemaid
806169	219842	Hulda Malmström
806169	228383	Hector's housemaid
806169	248189	Karin
806169	284372	Woman Hanging Laundry
806169	303734	Girl on bicycle
806169	305304	Lena
806169	306371	Restaurant Guest
806169	307533	Maid
806169	307762	Märta, Örnstedt's maid
806169	314958	Woman inside the store
806169	322297	Lady-Friend
806169	322311	Gullan Andersson
806169	333046	Mother at the maternity ward
806169	345994	Gunvor Berg
806169	346970	
806169	350710	Lina, maid
806169	353002	Karin
806169	354423	
806169	357762	Lotta
806169	377310	Ellen, maid
806170	76782	Dagmar's friend
806170	77413	Afdøde Jonsens elskerinde
806170	114808	
806170	208797	Topløs ekspeditrice
806170	213438	
806170	220199	
806170	225345	Jeanette
806170	304518	
806170	324329	Ekspeditrice
806172	234831	Narrator
806173	2173	Princess Y
806174	140855	
806175	140855	
806176	176085	
806176	211270	
806177	45588	Sampatha
806178	266358	
806179	234697	Sara (Participante del Realit
806179	391611	Magdalena Arrieta
806179	396333	Fernanda Garrido
806179	398806	Bárbara
806180	202953	Paloma
806181	27424	
806182	16928	Erykowa
806183	39960	The Victim
806184	366936	Herself
806185	388364	Stylist
806186	26471	Brookes
806186	116829	
806186	134321	Kelly
806186	196281	Daughter
806186	262626	Reporter #1
806186	344182	Stephanie Cohen
806187	140583	
806187	187753	Igor's Mother
806188	41181	Aerobic girl
806189	216424	Ramona
806190	131754	
806190	180251	
806190	231652	
806190	231731	
806190	305560	Zbyszek's Mother
806191	362285	
806192	261459	Virginski's sister
806193	256156	Baczkowa, Adas's Mother
806193	282768	Register Office Secretary (ep
806193	341067	Maria
806194	80694	Leah Macarthy
806194	248495	Kathy Johnson
806195	164269	Herself
806197	179184	Franka Zurkowna
806198	178920	Lori
806199	297120	Office Trainee/Orderly Traine
806200	247344	Show Guest
806201	88519	Helka
806201	225965	Maja Madej
806202	80426	Sian
806203	303455	Guest at Baptism
806203	304368	Meg
806204	185812	Heather
806205	270346	Playground Child
806206	224566	Nurse
806207	329477	Mrs. Rossi
806209	13532	
806209	61887	
806209	72292	Desk Clerk at Waldorf Astoria
806209	79768	
806209	107727	Robin
806209	133624	Jordan Baker
806209	141684	Belle Leibowitz
806209	178020	Kelly Krieger
806209	190328	Chrystie Devoe
806209	236222	
806209	289603	Sally Short
806209	289787	Flight Attendant
806209	343201	Lauren Wade
806209	350145	Dominique
806209	368537	Joanie
806209	395490	Baroness Frederika von Riedes
806209	399153	Margot Dickey
806209	399153	Neya Tormic
806209	399153	Sarah Dacos
806210	303971	Factory Girl
806210	305036	Dancer
806210	374028	Apathetic
806211	16419	Decontamination receptionist
806211	45866	Clara
806211	80847	Teacher
806211	108309	Airline Stewardess
806211	250811	Girl
806212	146619	Beck Pott
806212	285669	Annie
806212	297193	Miriam
806212	395053	Vicky Barton
806212	399056	Muriel
806213	126018	Herself
806214	24429	Skater
806216	183877	Julie
806216	313059	Waitress
806217	297796	Sudie Boudreau
806218	137254	Restaurant Hostess
806219	367806	
806220	6724	Herself
806220	11150	
806220	11358	
806220	13879	
806220	27021	
806220	41587	
806220	64447	Blue Party Diva
806220	70213	
806220	72779	
806220	81378	
806220	83833	
806220	87322	
806220	116013	Herself
806220	116818	
806220	123610	
806220	128347	Herself
806220	135154	Private Erotic Dancer in Red 
806220	148777	Herself (actress)
806220	160240	Herself
806220	180796	
806220	193543	
806220	193544	
806220	228024	Herself
806220	232100	
806220	253019	
806220	260726	Herself (DVD only - deleted s
806220	273298	
806220	273299	
806220	273403	
806220	293017	
806220	306910	
806220	306916	
806220	306923	Herself
806220	323540	
806220	332885	
806220	341971	
806220	345867	
806220	361243	
806221	23975	Ivy Templeton
806221	49942	Loreen Graham/Ann Putnam
806221	110380	Kelly Featherstone
806221	137689	Mary
806221	139567	Dee Johnson
806221	176822	Teresa
806221	384124	Annabel Chisholm
806221	384125	Mercy Hopewell
806222	189850	Herself
806223	196233	Dancer
806224	296765	Jane
806224	347852	Obnoxious female reporter
806224	357991	Cors
806225	155880	
806225	188461	Tickling Girl
806225	226994	
806225	289155	
806225	310025	
806226	185503	Christina
806226	202467	Manager
806226	333047	Patient #1
806227	29488	TV Reporter
806228	75509	
806229	221539	Kathy
806230	243580	TV news reporter
806231	322403	
806232	61707	Sarah's friend
806233	88174	Amanda Sturgess
806234	360629	Herself
806235	56545	Herself
806235	77207	Pamela Westropp
806235	158582	Moira
806235	160582	Gabriella Patten
806235	408868	Julia Summers
806236	10631	Caryll Sheppard
806236	68844	Mrs. Bittleston
806236	288076	Countess Eleanore
806237	10395	Lady Isobel Fitzpeter
806237	17702	Lady Kingston
806237	24540	Mary
806237	24707	Peggy Naylor
806237	27282	Lady Jersey
806237	35153	The Scarf's mother
806237	37882	Diana Trenchard
806237	40671	Lady Dearing
806237	44003	Elizabeth Stafford
806237	45944	Doris Jerningham
806237	48024	
806237	56468	Esther Eccles
806237	63161	Joanna de Torres
806237	64712	Mrs. Thornton
806237	69805	Sister Tia
806237	70627	Herself
806237	78528	Sappho
806237	80996	Edna
806237	86963	Lady Railton
806237	96710	Mary Duquesne
806237	100825	Mrs. Bertram
806237	108619	Mrs. Hopwood
806237	109242	Araminta Grey
806237	116798	Angela Dickson
806237	118003	Christina McNab
806237	124688	Fay d'Allary
806237	128359	Vee-Vee
806237	131641	Miss Mills
806237	142301	Hekuba
806237	145967	Cynthia Bannock
806237	149648	Lady Rona
806237	160861	Mary
806237	163296	Alice Quair
806237	164501	Mrs. Willowden
806237	170987	Mary Trent
806237	184519	Admiral's Wife
806237	187741	Virgie Green
806237	190895	Gloria Grey
806237	193788	Lady Anne
806237	202960	Lady Frazier
806237	203143	Mrs. Fitzherbert
806237	203298	Elaine Barclay
806237	206465	Enid Lawson
806237	223816	Ava Constantin
806237	238699	
806237	241275	Jean Caldicott
806237	252996	Stephanie
806237	261651	Lady Diana Bromford
806237	269086	Mrs. Peregrine
806237	270025	Pomponia
806237	279192	The Mother
806237	289069	Nancy Brooks
806237	305360	Mrs. Dale
806237	316023	Mrs. Friend
806237	330085	Julia Berridge
806237	330162	ATA Commandant
806237	330172	Celia Blake
806237	330526	Frau Matt
806237	335655	Hilary Wildely
806237	348068	Joyce Mannering
806237	348370	Mistress of the Bed Chamber/L
806237	356303	Joan Creighton
806237	360792	Jessie Mary
806237	363820	Inez Landor
806237	366375	
806237	388249	Katharina Schratt
806237	389123	Aunt Hester Forsyte
806238	37682	Bistro Patron
806239	141253	Sue Ellen
806240	215911	Bubba
806241	373105	
806241	399816	Mrs Olsen (1974)
806242	309942	Musicians
806243	27205	Crack House Reporter
806243	79045	Bonnie Cisco
806243	112302	Attorney
806243	116675	Color Commentator
806243	188634	Jo Ann Cazabon
806243	264480	Mrs. Gillis
806243	282321	Barb
806243	316116	Reporter #1
806243	326460	Secretary
806243	346408	Television Announcer
806243	355065	Mrs. O'Conner
806243	363502	Female Reporter
806243	385977	Newscaster #2
806244	114314	Party Woman
806247	46529	Literary Agent
806247	77575	Caterer
806247	158338	Betty (sponge bath nurse)
806247	171078	Lisa Short
806247	190690	Trigger's mom
806247	250873	Gobi
806247	277731	Minister's Wife
806247	311845	Herself
806247	313415	Bajoran Officer Female/Vorta 
806247	360116	Kitty
806247	368356	Madeline
806248	70116	
806249	15106	
806249	27920	
806249	58236	
806249	70316	Greta
806249	92902	
806249	148758	Alba Ory
806249	249053	
806249	254175	
806250	403494	Herself
806251	2250	Motorcycle Gang Member
806251	41297	Billy
806251	142341	Stacy
806251	256971	
806251	295669	Stephania
806251	366753	Mary
806252	6144	Molly
806252	113407	Miss Fanshawe
806252	190006	Secretary
806252	367307	Mary Laming
806253	182096	Herself - Announcer
806253	381358	Herself
806254	243653	Orlando's Daughter
806255	47790	Wendy
806255	238637	TV Reporter
806256	6219	Valerie Thomas
806256	16206	
806256	20135	Young Girl (segment "Depuis l
806256	31702	Sal
806256	41668	
806256	54827	Lena
806256	63208	Jadis, the White Witch
806256	69053	Ada Augusta Byron King, Count
806256	69853	Gabriel
806256	81768	Margaret Hall
806256	82132	
806256	83144	Herself
806256	86691	Narrator
806256	97718	Isabella
806256	97944	Sally
806256	110967	Evelyn 'Eve' Stephens
806256	120270	Friendship
806256	124113	Madonna
806256	163035	
806256	185438	
806256	193634	
806256	195771	Muriel Belcher
806256	203425	Ella/Max Gericke
806256	238651	Carla
806256	243653	Orlando
806256	249633	Queenie
806256	257526	Hairdresser
806256	261448	Joyce
806256	266026	Herself
806256	275485	
806256	313966	Annemarie Livi
806256	327055	Rosetta Stone/Ruby/Marinne/Ol
806256	331992	Audrey Cobb
806256	333024	The Love Factory
806256	347900	
806256	350424	Rebecca Dearborn
806256	355384	Narrator
806256	359316	Nurse
806256	359349	Mum
806256	367023	Lady Ottoline Morrell
806256	372406	Ella Gault
806256	411837	Cissie Crouch
806256	411926	Julia
806257	108353	Fran Baker
806257	381468	Eleanor
806258	199245	
806259	146530	Pomocnik kowala
806260	110278	Rosemary
806260	212049	Monique
806261	409603	Co-Host
806262	61911	Herself
806264	14230	Fraulein Brandi
806264	128350	April
806264	185624	Sage
806265	1099	
806265	31183	Herself (CBS Team)
806265	31185	Herself (CBS Team)
806265	31186	Herself (CBS Team contestant
806265	31681	Mrs. Jones
806265	32626	B.D. Tucker
806265	34638	Grace Bradley
806265	42342	
806265	47208	Herself
806265	52004	Det. Christine Cagney
806265	57492	Herself
806265	64566	Ringmaster
806265	80654	Woman with Glass Eye
806265	93338	Deo Fisher
806265	105711	Marysia Walenka
806265	113880	Nurse
806265	114047	Jane Simon
806265	117623	Shirley
806265	119541	Meyers' Wife
806265	120272	B.J.
806265	123460	Laura Bentells
806265	138700	Herself
806265	142370	
806265	149941	Chris LeBlanc
806265	161325	Narrator
806265	163418	Sydney
806265	167627	Herself
806265	176332	Caroline Baker
806265	176777	Det. Patricia Staley
806265	185188	Daisy
806265	191257	Herself
806265	196100	Samantha Young
806265	198467	Herself (Maj. Margaret Houlih
806265	198468	Maj. Margaret Houlihan, RN
806265	198469	Herself
806265	208066	
806265	210617	Herself (Maj. Margaret 'Hot L
806265	214913	Sister Gabrielle
806265	215173	Sandy McLaren
806265	223802	Wanda Karpinsky
806265	270394	Alice Stewart
806265	284538	Polly Reed
806265	299319	Linda Bush
806265	313074	Hilary McBride
806265	342195	Herself
806265	349859	Emily
806265	364465	President Barbara Adams
806265	381875	Cora Lynne
806265	397076	Guest panelist
806266	58243	Midwife
806266	363972	Wanda
806266	406145	Mother
806267	397936	Ana Platypus (1979-2001)/Prin
806268	131166	
806269	342302	
806270	257746	Nicole Langley
806271	142719	Defendant
806273	361183	2nd citizen
806274	404256	Co-Host
806275	73115	Roy Mae Petrie
806276	42622	Frau von Hermann
806276	107814	Mizzi Dworschak
806276	165122	
806276	170659	Amalie Freud
806276	188799	Marie
806276	197414	
806276	365012	Hausmeisterin
806276	379083	
806276	390811	
806276	394049	Frau Koziber
806277	404457	Krankenschwester
806278	274863	Gertrud Goldbach
806278	325527	
806279	318776	Boat rental agent
806280	185568	Bag Lady
806281	50611	Girl #3
806282	50611	Buttercreamette #5
806283	210128	
806283	342327	Oma
806283	385554	Slotmarieke
806283	407166	
806284	381312	Amy
806285	185522	Nurse Rowland
806285	199272	
806286	150299	Sis
806286	150303	Sprout
806286	191778	Stoned Girl
806286	224214	Helen
806286	263339	Other Pretty Maids
806286	337335	Chloe
806287	251771	Kindra
806288	335480	Waitress
806289	117226	Evelyn Joyce
806290	103319	
806290	140400	
806291	188505	Sarah's grandmother
806291	363061	Mrs. Davies
806292	59316	
806292	80407	EMT Technician
806292	313875	Fanny
806293	64333	Herself (1983)
806294	238729	
806297	15065	Marlène
806297	27916	Jeanne
806297	54061	Véronique
806297	96198	
806297	136649	Jeanne
806297	164195	Aline
806297	189346	Micheline, Laszlo's wife
806297	198534	Proviseur
806297	209721	French Customs Officer
806297	214707	
806298	52880	Daisy
806298	68436	Adanna
806298	210680	
806299	106274	Ndaxte
806300	195689	Aisha
806301	248717	La Brésilienne
806302	199319	Leading Dancer/Lesbian Couple
806302	199319	Mme. Dasima/Rani
806303	201245	Rehana
806303	404664	Mrs. Singh (1985)
806304	691	Herself
806304	1692	Herself
806304	1744	Herself
806304	11462	Various Roles
806304	17319	Auntie Shaila
806304	32131	Miss Chauhan
806304	38885	Narrator
806304	43938	Herself
806304	63076	Sushil 'Ummi' Kumar
806304	68097	Sushil 'Ummi' Kumar
806304	73843	Reporter
806304	77092	Herself
806304	115465	
806304	117728	Judith Adams
806304	128891	Carmen
806304	131790	Various
806304	135769	Mira (Erratic Dramatic)
806304	164372	
806304	181688	Sushila 'Ummi' Kumar
806304	181689	Sushilla 'Ummi' Kumar
806304	192171	Anna
806304	233528	Matron
806304	237027	Mrs. Kumar
806304	249555	
806304	286687	Rani
806304	303558	Breathing Generator
806304	311869	Herself (writer)
806304	379693	Rupinder (Series 1) (2002)
806304	381212	Anne Denver
806304	381538	(Series 1) (2001)
806304	385978	Dr. Jean Lowell
806304	388486	Aysha Kapoor (2000)
806304	389410	Herself
806304	390367	Various Roles
806304	394282	Tina Beare
806304	394526	Val
806304	394896	Sushil ('Ummi') Kumar
806304	396298	DCI Wishart (Series 2-) (2004
806304	402970	Various Roles
806304	405558	
806305	332173	Radha
806306	220165	
806307	302492	Sinderella
806308	146836	Das kleine Mädchen
806308	249336	Bearer of the Grail
806309	355065	Mrs. Larson
806310	337135	
806311	338981	Herself
806312	263798	Golddigger
806313	88456	
806313	95682	
806313	207557	
806313	253961	
806313	303801	
806313	341041	
806314	180838	Her mother
806314	182942	Mother
806315	399195	
806316	19621	
806317	165077	Helena
806318	194318	
806319	128441	
806319	129379	Joanee Dee Miller
806320	42546	
806320	191683	
806320	206070	
806320	213652	
806320	216895	
806320	242553	
806320	252832	
806320	269298	
806320	348951	
806321	367719	Marietta
806322	130972	Miller Sisters
806323	280891	Muriel
806324	134043	
806324	220916	Teashop Girl
806324	224303	Phyllis
806325	40619	Mary
806326	108619	Lucy: child
806328	265682	Miss Erickson
806329	82974	
806329	141782	Maude Tremball
806329	289368	
806329	385105	Matron Margaret 'Maggie' Sloa
806329	387203	Mary Patchett
806329	400257	
806329	408688	Mrs. Walker
806330	405249	Host
806331	129103	
806332	57031	
806332	67473	
806332	68153	Dena
806332	314699	Teen Girl #1
806335	324115	Judy Hartwig, Hoffman's Wife
806335	396286	Teresa Makowska (2002-)
806336	398902	
806336	409295	
806337	410002	Meggie Braun
806338	80656	Anna
806339	255676	
806340	198012	
806341	312435	Shirin
806342	392348	Riina Ylijoki
806343	403730	Cynthia
806344	389868	Shaan Naidu Maistry (1998-200
806345	137745	Farida Svalastog
806346	47745	Tina
806347	35658	Gina's sister
806348	26382	Francis
806348	39534	Judith
806348	65559	Tiffany
806348	94096	Calinda
806348	126730	Luan
806348	149101	Sheila Smith
806348	189280	Jelly
806348	203980	Ellen
806348	263339	Pamela Wilcox
806348	298558	Janet Wilder
806348	303989	Naomi (slave)
806348	388031	Summer Johnson
806348	400236	Judy Tate (1970s)
806348	400624	Brenda/Jennifer MacKenzie
806349	380391	Sean Patrick Miller #1 (19994
806350	80782	Restaurant Extra
806351	61639	Linda Chappell, kid sister
806352	101299	Gertie
806352	210758	Irene Lovick
806353	36856	Manicurist
806353	37349	Betty Burke, (as Ethyl Sykes)
806353	47311	
806353	91085	Dora
806353	115864	
806353	129088	Leaving Guest
806353	134562	Lena Schmidt
806353	137508	
806353	141481	Woman at Ball
806353	146782	Kitty O'Brien
806353	151257	Dora Bell
806353	156939	Party Guest
806353	163288	Maid of honor
806353	183579	Bernice
806353	200484	Woman on boat
806353	206352	
806353	233783	
806353	240532	
806353	241595	Bit
806353	356252	Telephone Girl
806353	362752	
806353	363622	Girl at Duke's Table
806353	364453	Survivor
806353	364633	
806355	397788	Herself
806356	403808	Herself - physicist
806357	73926	Annabella
806357	143742	Kim
806357	302777	TV Reporter
806357	380391	Judy Burrell (1995-1996)
806358	290319	Miss Mission
806358	388139	L.A. Anchor/Correspondant (19
806359	310990	Herself
806360	381231	Herself
806361	689	Herself
806361	83383	Herself
806361	171392	Eve
806361	228312	Presenter
806361	309891	Herself
806361	381886	Co-Presenter (1997-2001)
806361	383729	Presenter (Series 1-2) (2003-
806361	402987	Presenter
806361	408394	Presenter
806361	409868	Presenter (Series 2-3) (2003-
806362	61638	Edith Smith
806363	188054	
806364	54519	Julie
806365	306513	
806366	296107	Beautiful Office Girl
806367	716	Herself/interviewed
806367	1737	Herself/The Oracle
806367	2394	Herself
806367	2797	Herself
806367	13842	Herself
806367	30240	Bessy the cow
806367	34763	Various characters
806367	34764	Herself
806367	67988	Herself/Presenter
806367	92232	Wanda
806367	158387	
806367	184906	Friend of Cheryl's
806367	218403	Ruby
806367	237006	Chantal
806367	260266	Biggie Shorty
806367	326664	Herself
806367	335338	
806367	358943	Wanda Sykes
806367	384158	Various Characters (1997-2000
806367	384721	Herself
806367	385174	Gladys Murphy
806367	386860	Various
806367	392877	Herself (2002- )
806367	402078	Host (2002)
806367	410571	Wanda Mildred Hawkins
806367	410572	
806368	403996	Roosa-Maaria 'Roope' Ruusunen
806369	171542	Aunt
806369	181088	Granny
806370	189345	Babicka
806370	202585	
806370	202586	Babicka
806370	225993	
806370	243892	Veverice
806371	388619	Herself
806373	104649	
806373	334215	
806374	43606	Ruskin Family Member
806374	216737	Wedding Guest, Street urchin
806374	328130	Child in Phone Booth
806375	316028	Oliver's Sister
806375	316111	Elizabeth
806376	345	Mary
806377	4790	Frau Wagner
806378	387227	Herself - Host (2002-)
806379	303052	Somafing
806380	36671	Amélia
806381	749	Maïté
806381	191560	
806382	196032	
806382	321195	
806383	352536	
806384	343116	Summer
806385	209778	
806385	214345	
806385	387567	Prisca
806386	131641	Ida
806386	163558	Anne Brown
806387	69823	Older woman
806387	124765	Dona Maria Sandoval
806387	148876	Hilda Wilson
806387	187951	Marta
806387	295470	Mrs. Bella Romari
806387	330148	Countess Marlik
806387	334180	Cashier
806388	128756	Herself
806389	19786	Eileen Cavanaugh
806389	79354	Jessica as a Child
806389	115475	Babette
806389	158231	Adrienne, as a child
806389	205554	Ann Marten
806389	308345	Esther as a child
806389	363852	Eve Storer
806390	257529	Stripper
806391	345136	Infirmière #4
806392	7465	Mélita
806392	7549	
806392	80100	Herself
806392	90006	
806392	94391	Ida Farrati
806392	103206	Une copine de Léo
806392	148744	Florence
806392	199328	Une fille
806392	282284	Amanda Binet
806392	287340	Raymonde Babin
806392	300695	Catherine de Medecis jeune
806392	300723	Totoche
806392	336850	La servante de l'auberge
806392	376969	Viviane Deroches
806393	57475	Nicole
806393	70723	Annette
806393	156304	
806394	71802	
806395	44964	Madame Hébrard
806395	199380	La princesse Élisa
806395	264311	Mme. Calvette
806395	295212	
806395	347757	Valentine Froment, la femme d
806395	353890	
806395	377255	Éliane Lartigue
806396	353960	
806397	100173	La patronne du café
806397	292352	Odette
806397	376995	La bonne
806398	294829	Houngan Dancer
806399	160547	Victoire
806399	292352	Lady Marosh
806400	241849	Cherrie Proudfoot
806401	200498	President's Daughter
806402	15043	
806402	43654	
806402	44939	
806402	77343	
806402	87862	
806402	120329	
806402	129500	
806402	179288	Nini
806402	207831	
806402	233327	
806402	282486	
806402	306943	
806402	321988	Tourist's wife
806403	214042	Herself - Artist, Chicago, IL
806404	26662	The Girl
806404	66858	The Girl
806404	81586	Esme
806404	91653	The Girl
806404	97598	Gladys Groves
806404	114409	Nellie
806404	139670	Girl
806404	206850	Mary
806404	220001	The Girl
806404	244773	Bessie
806404	246765	The Girl
806404	311890	Teacher
806404	312699	
806404	331468	Girl
806404	333040	Lil
806404	337860	Sally
806405	194525	Student
806406	254005	
806408	200894	Janine James
806409	58954	
806409	108491	
806409	249674	
806409	354913	
806409	355266	
806410	134511	Convent Girl
806411	186798	
806412	404660	Janet Slayton
806412	405374	Bronia Balicki
806413	32066	
806414	65749	
806414	222580	Sharon Edwards
806414	278279	Collins
806415	195769	Car Driver
806416	11077	
806416	40831	
806416	115618	
806416	190282	Hepzibah
806416	193840	
806416	211620	Mrs. Aurora Rossreiter
806416	305001	Jeneka
806416	359883	Mrs. Spivey
806417	612	Party Guest
806417	396032	Correspondent
806418	294141	Debbie's Sue's Mother
806419	38745	The Orphan
806419	243734	
806420	17928	Yoga teacher
806420	384100	(episode "The Man Who Didn't 
806421	16878	Margaret Alabaster
806422	34996	Humboldts Gast im Berliner Sa
806423	405249	Reporter
806424	216091	
806424	275016	
806424	403373	Raquel
806425	395698	Reporter (2002-2004)
806425	402465	Presenter
806426	238236	Officer's wife
806427	142216	Stine
806427	154151	Stine
806427	322301	Stine
806427	367991	
806428	170246	Kaunotar
806428	242257	Ballet dancer
806428	283591	Ballet troupe matron
806428	343507	Ballet dancer
806429	320789	Herself
806430	10391	Conductress
806430	56967	Inmate at Holm Lea
806430	79862	Nurse Barbara
806430	168721	
806430	224124	Dressmaker
806430	267253	Woman in Fish Shop
806430	286687	Mother
806430	290352	Carlien
806430	333042	Girl at Wedding Party
806430	340099	Nurse
806430	348379	Marge, in the factory
806430	385299	Melanie Harper
806430	389844	Verity
806431	3146	La folle
806432	77453	
806433	25141	Monique
806433	99653	Une amie d'Henri
806433	101881	
806433	111049	Irmène
806433	120813	Ketty
806433	158845	Une journaliste
806433	198462	Une fille
806433	229002	
806433	254157	Édith
806433	254236	Francine
806433	262948	Une pensionnaire de l'orpheli
806433	273108	
806433	355510	
806434	356792	Student
806435	152808	Radio Announcer
806436	44318	Secretary
806436	105244	
806436	127991	
806436	135149	Pornoactress
806436	162517	Waitress
806436	293017	
806437	84161	
806438	51952	Liliane
806439	13040	Gisèle Sarrazin de Fontenoy
806439	15040	
806439	24771	Wanda Bouchard
806439	32012	Emilie
806439	33539	La bonne fée
806439	43762	Micheline Tessier
806439	51253	
806439	51400	Hélène de Bergen
806439	54247	Micheline
806439	83297	Madeleine
806439	84100	June
806439	107057	Madeleine Clairvoix
806439	108750	
806439	111065	Mme Coussol
806439	111138	Marguerite
806439	152364	Estelle
806439	205630	
806439	208239	Hélène Ducouret
806439	215866	Lily
806439	220250	Edwina Dee
806439	225410	Florence Moulin
806439	225528	Sylvia
806439	235819	Marie-Christine Bosquet, Dani
806439	262929	Danielle
806439	283142	
806439	301404	Monique Lavergne
806439	389271	Denise Haubourdin (segment "R
806439	396617	
806439	397137	Mère
806439	409440	
806440	408893	
806441	313127	Blaire
806442	299469	Waitress
806443	220330	Frapp's squaw
806444	130991	
806445	167632	Marquise de la Verrière
806445	252321	
806446	7458	Adélaîde Lafarge
806446	16948	La prieure
806446	63655	La grand-mère/Grandmother
806446	68925	Madame Maria
806446	69175	Herself
806446	70709	Mother of cancerous François
806446	71840	
806446	72386	
806446	73183	Catherine Ivanova
806446	73647	Grandmother
806446	74348	Delphine
806446	84599	
806446	86424	
806446	91453	Mme Baju
806446	101950	Clémence
806446	103282	
806446	103399	Safete, the mother
806446	113252	Madame Tusini
806446	120863	Mother Pellegrin
806446	126256	
806446	148729	Madame Ourdebey
806446	155680	La Mère de Gania
806446	202360	Maria, enfant
806446	205774	La mère de Maurice
806446	212779	Marfa, mère de Strogoff
806446	215132	
806446	215145	Mme. Tardivet mère
806446	218561	Mme. Courtin
806446	240602	
806446	250835	La mère de Maurice
806446	251300	Mme Le Quellec
806446	254041	Mme. Christina
806446	261810	
806446	268395	Mademoiselle Michonneau
806446	268881	Mme. Dupont
806446	280440	Henriette Laroque
806446	280871	Madame Gauthier
806446	282489	
806446	284249	Mademoiselle Barge
806446	290361	
806446	309748	Mlle. Perrier
806446	327452	Old woman (segment "Casa d'al
806446	332205	Madame Raquin
806446	336934	Mme Gendron
806446	340670	Clarisse Benoit
806446	344362	Euriclea
806446	344987	La mère Belhomme (segment 1 "
806446	345100	La Maîtresse de Thierry
806446	353961	Madame Bertini
806446	357117	Madame Renaud
806446	378065	La voyante
806446	381628	Lady Hodwin
806446	396806	
806447	26283	La caissière
806447	263798	Girl in Car
806448	6158	
806449	108626	Jane
806449	295998	Shirley, Gemini
806450	4445	Lehtinen's daughter
806450	172144	
806450	180316	
806450	211432	
806450	223512	
806450	236792	
806451	336828	La seconde coiffeuse
806451	391479	Monique
806452	18081	Maria
806452	225671	Guest at the party
806452	320339	Eva (dancer)
806452	322279	Kiki
806452	355545	Anna
806452	405594	Fru Kraus
806453	136404	Mrs. Fager, circus artist
806454	75617	Hooker
806455	148335	Herself
806456	289372	Featured Extra
806457	99413	Casting Chick
806457	194818	Junkie Girl
806458	108600	Goth
806459	141404	Antigone
806460	79858	Debbie Skow
806460	381059	Sue's Sister 2
806461	132310	
806462	52828	Santa Monica tourist
806463	269627	2nd Girl
806463	391786	Kate Patrick (1997-1999, 2000
806464	12631	
806464	16162	
806464	17049	Hedwig
806464	24543	
806464	55241	
806464	72678	Dame
806464	93496	
806464	98309	Elvira del Basto
806464	103074	Ilona Radnai
806464	125277	Halbweltdame Lu
806464	144333	
806464	155363	Etelka Racz
806464	178628	
806464	189684	
806464	261410	Stascha
806464	261569	Mascha
806464	284990	
806464	301013	
806464	333799	Cigánylány
806464	347761	
806464	348085	
806464	352613	Ria Nora
806464	356831	
806464	375091	
806464	376480	
806464	404169	
806465	305375	Dim Sum Restaurant Goer
806466	5122	1st Lennox-Sister
806467	103877	Policier
806468	17168	
806468	133952	WPC Mathley
806468	134112	Clerk of Court
806468	221274	Second Mother
806468	252899	
806468	291503	Mac
806468	343881	Ava
806468	386961	Mo
806469	207268	Female dancer
806470	207268	Female dancer
806471	221534	Dancer
806472	360200	Barmaid
806474	381094	Jennifer
806475	195771	Person in the Colony Room Clu
806476	69808	Marie
806476	148417	
806476	302878	Brida
806476	385447	Roxie Custer
806477	68855	Anya
806477	133412	Herself
806477	163348	Herself
806477	387533	Louise Appleton (2001-)
806477	391869	Marilyn Chambers/Fisher (1989
806477	403355	Anne Costello
806478	103307	Meg
806479	391079	
806480	125893	Katerina
806481	343160	Showgirl
806482	404324	Presenter (1997-2002)
806483	199257	Little Girl
806484	282928	Nursey Family
806485	40864	Nick Cave Fan
806485	270276	Stella
806485	300926	Aelita
806486	5192	Cynthia Eve
806486	22720	Ruth
806486	26631	Ann Wainwright
806486	37155	Myrtle Robbins
806486	38731	Jean Scott
806486	62779	Rebecca Huntley-Pike
806486	69805	Sister Mitya
806486	77961	Barbara Canning
806486	81759	Vera
806486	83918	Laura Galt (David's wife)
806486	87469	Mrs. Crosby
806486	96839	Margaret Woodville
806486	106176	Maisie King
806486	111461	Liz Ferrers
806486	111911	Amos Klein
806486	114842	Kathie Palmer
806486	116673	Mrs Harvey-Brown
806486	129106	Wendy
806486	137501	Margaret Thatcher
806486	149977	Sheila Larkin
806486	150872	Alice Angelo
806486	154902	Mrs. Bartz
806486	155295	Sister Diana Murdoch
806486	161170	Annie Stanhope
806486	163669	
806486	163670	The wife
806486	186061	Diana
806486	195613	Herself
806486	207466	Stephen's mother
806486	218809	Ann Wyndham
806486	220949	Lady with poodle
806486	222681	Mrs. Easterbrook
806486	222813	
806486	224361	Janet Carr
806486	230482	Mrs. Campness
806486	234033	Margaret
806486	234049	Hetty
806486	242721	Constance Babington Smith
806486	267154	Delia Pinner
806486	269053	Kathleen
806486	283374	Mrs. Ransome
806486	283933	Mrs. Thorn
806486	299070	Linda's Mother
806486	299287	Headmistress
806486	304800	Lilian Crown
806486	312854	Margaret
806486	324163	Margaret Stephenson
806486	329624	Margaret Thatcher
806486	329952	Ursula Westerby
806486	340565	Herself - Guest
806486	352237	Clelia
806486	353382	Laura Farr
806486	362081	Princess Charlotte
806486	367494	Georgie Harlow
806486	368481	Kay O'Neill
806486	368532	Billa
806486	380798	Marion Riley
806486	381387	Diana Stewart
806486	393939	Elsie Beamish
806486	398699	Sylvia Gibbons
806486	398972	Nanaire Langthorne
806486	399065	Harriet (episode 2)
806486	400412	Esme Carling
806486	401077	Isabel de Gines (1993-1995)
806486	401955	Belle Rosen
806487	155376	Sekretärin
806488	135317	(segment "Ver Para Crer")
806488	302549	
806489	115083	
806489	340571	
806490	30738	
806490	51084	
806490	186913	
806490	205468	
806490	270418	
806490	322523	
806490	356703	
806491	279319	Young Melissa Curtis
806492	290487	Junge Lenkerin
806493	12411	Kathrib Buchmüller
806493	40882	Magdalena
806493	70759	Lena
806493	90702	Chiara Brunetti
806493	90703	Chiara Brunetti
806493	90704	Chiara
806493	90705	Chiara Brunetti
806493	90706	Chiara Brunetti
806493	90707	Chiara Brunetti
806493	176479	Mel
806493	225649	
806493	259680	Denise
806493	278128	Frederike Wehmeyer
806493	310894	Victoria Kohnart
806493	348679	Patricia
806493	352050	Jule
806494	51042	Kudláková
806494	51043	Kudláková
806494	165052	
806494	172607	Doctor
806494	202504	Ela
806494	288759	Aunt Katerina
806494	305814	Gutová
806494	349323	
806494	412004	Kocourková
806495	188869	Míla Urválková
806495	206727	Dames de la Cour
806495	333808	
806496	2691	
806497	67758	
806497	75602	Girl in Bookstore
806497	80558	Second Café Couple
806498	315214	Ice's Girl
806499	2242	Gorgo, Leonidas' Wife
806499	18230	
806499	89662	
806499	329264	
806499	389459	Natalia Villi
806501	381530	Tatyana
806502	262644	
806503	3564	
806503	35923	
806503	43389	
806503	45710	Herself
806503	60450	
806503	62356	
806503	63622	
806503	82803	
806503	88738	
806503	95820	
806503	117855	
806503	163040	
806503	174987	
806503	176077	
806503	179613	
806503	180854	
806503	198151	
806503	199941	
806503	226836	
806503	238312	
806503	238323	
806503	241944	Tata
806503	242479	
806503	244046	
806503	260829	
806503	265042	Granya
806503	265934	
806503	294654	
806503	323320	
806503	337879	
806503	351965	
806503	356921	Katyusha Maslova
806503	357349	
806503	357466	
806503	357613	
806503	371116	Sofiya Pugachyeva
806503	371344	
806503	409880	
806504	95581	Natazha
806505	212172	
806506	263424	(segment "Svadebny marsh")
806507	230048	
806507	303795	
806508	217596	Lilyana
806509	45587	Ellen Vare
806510	133220	Laramee
806510	400576	Kemi, Urt, Additional Voices
806511	512	
806512	103550	
806512	138331	
806512	323636	
806513	130307	Dong Ha bargirl
806514	53266	Stripper
806514	258891	
806515	105462	Dancer
806516	48130	Kunstinteressert dame
806517	26118	
806517	34869	Bath Woman
806517	54633	
806517	91832	
806517	115054	
806517	116013	Herself
806517	119497	Kismet
806517	168069	
806517	219149	
806517	302569	Julie Baxter
806517	357168	Herself
806517	377981	
806518	60361	Ivana the Hairdresser
806518	79202	Girl with Hammett
806518	99604	Mitzie (stewardess)
806518	114377	Maria
806518	119487	Karen Ives
806518	132475	Deena
806518	139591	Head House Girl #1
806518	168308	Opal
806518	289456	Ethel Merman
806518	311224	Female Journalist
806519	240957	
806519	377461	
806520	93581	Reporterin
806520	119214	Fiametta
806520	125137	
806520	266775	Annemarie
806520	364931	
806520	375049	Sylvia
806521	215843	Baglady
806522	370051	First Couple Woman
806523	37392	Prostitute
806524	318457	
806525	44776	Mother
806525	55494	
806525	58212	Princess Magdalena
806525	87935	Linda
806525	149621	Kovárová
806525	230466	Kveta Smídova
806525	304192	
806525	350988	
806525	357437	Nurse
806525	373666	
806525	396264	
806526	348518	Mrs. Bullsworthy
806527	97323	Herself
806527	97327	Sunny
806527	121592	Sunny
806527	139242	Herself
806527	146882	Sunny
806527	177488	Sunny
806527	212828	Tammy Fytch
806527	216596	Herself
806527	282678	Sunny
806527	282680	Sunny
806527	318832	Sunny
806527	318833	Herself
806527	368829	Sunny
806527	368860	Herself
806527	368861	
806527	368862	Herself
806527	369270	Sunny
806527	369286	Sunny
806527	369297	Sunny
806527	369306	Sunny
806527	369897	Herself
806527	387279	Herself (1998-2000)
806527	388101	Herself (1998-2000)
806527	402907	Sunny (1997-1998)
806527	410688	Herself (2000)
806527	410690	Herself (2000)
806527	411543	Sunny (1995-1997)
806527	411546	Bodydonna Sunny (1995-1996)
806527	411601	Herself (2000)
806528	266977	Village girl
806529	117585	Danser
806530	1069	
806530	1400	Klasnata
806530	22739	
806530	49475	
806530	60725	Lelyata na Violeta
806530	95919	Krachmarkata
806530	164090	
806530	173100	
806530	187807	Maykata na Lenko
806530	214249	
806530	224448	Kaliopa
806530	230451	
806530	258812	
806530	302984	
806530	305905	
806530	310475	
806530	325032	Madam Zoya
806530	335937	
806530	343415	
806530	401684	
806531	154017	Angelo
806532	213114	Person on Dock
806533	275199	Columbine
806533	306020	Alkis
806534	167925	Cigarette Girl
806535	175367	Esteri
806535	396314	Hillevi Jortikka
806535	398192	Hillevi Jortikka
806535	401278	Hillevi Jortikka
806536	156038	
806537	42141	Lynette the Bus Nerdette
806538	353660	
806539	20911	
806540	399160	
806541	227534	
806542	43344	
806543	24960	Donna Anna
806544	217816	Girl in Fight
806544	264677	
806545	138468	
806546	152453	Fighting couple
806547	10746	Oyster
806548	90089	Zerlina
806548	308128	Beauty
806549	81562	Herself
806550	276075	Isabel
806551	64744	Beautiful Blonde Girl
806553	169593	
806554	281286	
806555	16965	
806556	1301	Krisztina Szabó
806556	90187	
806557	368737	
806558	381344	Tilda Mátyás #2 (2002 -)
806559	6501	
806560	153679	
806561	378992	
806561	390187	Kati Búzás
806561	402220	Agi
806562	254294	
806562	284183	Vajaskenyeres lány
806562	322108	Ódor Emília
806562	322245	Klár Ildikó
806562	357819	Kati, a Hugi
806563	107717	
806564	42970	Pigtailed
806564	74422	
806564	176682	Tailor
806564	322108	
806564	334028	
806564	350830	Anni
806565	412317	Juci
806566	177936	
806567	294160	
806568	268428	
806569	14159	Maria (at 4)
806570	162745	
806571	322013	Herself
806572	15858	Benzinkutas lány
806572	381344	Ágnes Berényi (2002)
806572	390846	Various (2001-2003)
806572	392091	Hajnalka, the hausemaide
806573	412078	
806574	343767	
806575	3392	
806575	112911	
806575	225077	
806576	107340	
806577	368737	
806578	403	
806578	43189	
806578	51319	
806578	97957	
806578	97958	
806578	147929	
806578	200606	
806578	266473	
806578	377725	
806578	377883	Erzsike
806579	177949	Builder
806579	377768	
806580	205436	
806582	16965	Mária Muskát
806582	106690	Kis Erzsi
806582	171547	
806582	171606	Fiatal szomszéd
806582	175753	Péntekné
806582	177975	
806582	200619	
806582	209839	
806582	227533	Ilonka, Magda házvezetõnõje
806582	227534	
806582	237731	Redl's mother
806582	281286	
806582	343697	Daughter
806582	348999	
806582	349781	
806582	371289	
806582	390538	Tereza
806582	409728	Icu Lada
806583	213681	
806584	381821	Ensemble (1980-1981)
806585	185809	Secretary Wanda
806585	220685	
806586	91912	
806587	306973	Dina age 9
806588	11069	Nagyi
806588	85593	Wiedzma
806588	89603	Grandmother Misia
806588	89781	Zofia Szarlit
806588	89847	Kitty
806588	95726	Weronika
806588	95981	Italian Girl
806588	98022	Old Woman
806588	110115	Sister Feliksa
806588	129604	
806588	134993	Polnische professorin
806588	180251	
806588	181360	Wanda Przybylowicz "Mimi"
806588	181386	Anna
806588	197129	Marylka's Mother
806588	231358	Jedza
806588	231730	Siostra Hortensja
806588	246880	Ostrowska
806588	262198	Old Jewish Woman
806588	266304	Aunt Wiktoria
806588	303738	Krystyna Rózycka
806588	336217	Andrzej's Grandmother
806588	343319	Adam's Mother
806588	359589	Countess Krystyna
806588	373706	Halina Tokarska
806588	374468	Podstolina
806588	376610	
806588	395084	Misiewiczowa
806589	58509	
806590	323283	
806591	288893	Rivke
806591	346707	Tante
806592	322000	
806593	75978	
806593	174880	Prostitute Gisela
806593	246880	
806593	266332	
806593	282756	
806593	293700	Naked Girl in Elevator
806594	322251	Mrs. Kráner
806594	361533	Mrs. Harrer
806595	349452	Actress
806596	307084	
806596	394991	Kászoni Rita fõhadnagy
806597	17079	
806598	19393	Anya, Törökné
806598	48300	
806598	50840	Eszter
806598	74422	Maja
806598	97957	
806598	97958	
806598	122384	
806598	137147	Anya
806598	137308	
806598	144742	
806598	147311	Aliz Viczián
806598	163130	Starkné, zongoratanárnõ
806598	183174	Judit
806598	200606	
806598	201240	
806598	212310	
806598	322080	Erzsi
806598	353698	Anya
806598	377804	Sternné
806599	58358	
806599	74463	
806599	350833	Kabala
806600	137890	
806601	113063	Mari Magyar
806601	352275	Vetró Rita
806602	171547	
806603	247347	Woman
806604	305560	Award Recipient
806605	91912	
806606	136739	Georgiai hercegnõ
806607	2944	Helén
806607	153675	
806607	174279	Anya
806607	281286	
806607	394559	(2000-2001)
806608	58405	Jozefin
806608	74393	Barbara
806608	107831	Waitress
806608	153859	Mrs. Metternich
806608	178902	Ms. of Ceremonies
806608	322064	Actress
806608	327208	Rozsika
806608	407241	Irén
806609	82385	Maxine
806609	157193	Cecily Cardew
806609	190774	Inmate One
806609	199142	Julia
806610	32250	Producer
806610	278094	Sobbing Wife
806611	322047	
806612	190748	Táncoslány
806613	65397	Maria
806613	81501	
806613	135149	Pornoactress
806613	264736	
806613	295046	
806614	305185	Krzysia, as a child
806615	155968	Mariska
806616	112911	
806617	3490	
806617	126614	Juli
806617	322064	
806618	18240	Sarah Martens
806619	87429	Amber
806620	399959	
806621	401891	Herself - Scene 23
806622	94317	Kindergarten boss
806622	347826	
806622	390539	Hotel Receptionist
806623	281027	
806624	52197	Guest
806624	59637	Klara
806625	322128	
806626	322191	
806627	64757	Krisztina
806627	377129	
806628	328970	
806629	179198	Guest
806629	220234	Secretary
806629	232664	
806629	322098	Timi
806630	238494	Wealthy Woman
806631	200610	Szilva
806631	284357	
806631	322194	Claudia
806632	322025	Vidéki színésznõ
806633	200470	NT Representative
806634	173592	
806635	97964	Zsuzsi,irodakisasszony,Péter 
806635	122396	Hilda,Kató nõvére
806635	137757	
806635	139940	
806635	171629	
806635	248214	Mici
806635	307145	
806635	322091	Házy Margit
806636	3123	
806636	4931	
806636	35044	Marie Grafenstein
806636	35840	Urszula Zyro
806636	69216	Monica
806636	74785	Mike's Mother
806636	82204	Magda
806636	97993	Livia
806636	103582	
806636	137938	Gertrude
806636	138603	Valery de la Meer
806636	181147	Mother
806636	181366	Magda
806636	185809	Liza
806636	186384	Guardian Angel
806636	186959	Karin
806636	200439	Marisca
806636	209491	Teacher Luiza
806636	215121	
806636	226196	Jola
806636	226535	
806636	237869	Writer's Girl
806636	244837	Helena
806636	247347	Telimena
806636	253563	
806636	255498	The Beautiful Stranger
806636	266300	
806636	266322	Anna
806636	267288	Caroline
806636	304072	Mona
806636	322129	Mária, Majláth felesége
806636	322820	
806636	357980	Annette Nevermore
806636	359585	Car Owner
806636	364982	Wielki Szu's Wife
806636	373630	
806636	385985	Magda
806636	398922	Katarzyna Frankowska
806636	401402	Armida de Tolle
806637	357936	
806638	308827	Martha's Mother
806639	140909	Stephanie
806639	265568	Mistress Sexy MF
806640	141865	
806641	240067	Anna
806641	298599	Gretel
806642	288992	
806643	225083	Antalné
806643	293990	
806644	109065	Anna K.
806645	107717	Éva
806645	113091	Herself
806645	125641	
806645	136442	
806645	151786	Susan
806645	162745	
806646	104197	Bugi
806647	104792	Francia nõ
806648	199118	
806649	110115	
806649	181359	Nurse
806649	234258	
806649	394585	Marta Michalska (1997-1999)
806651	36422	
806651	89790	Secretary
806651	375475	
806651	385592	Wieska, Ania's friend
806652	348509	
806652	369004	The Baby
806653	319660	Stewardess
806654	95727	Klimcia
806654	214245	
806654	316436	Hanna
806655	322138	
806655	341071	Wierzbicka (segment "Sprawa k
806656	68943	Zosia
806656	74789	Marta, Róza's daughter
806656	77480	Zofia
806656	82205	Janusz' wife
806656	89474	Mentally Ill Woman Granddaugh
806656	89603	
806656	95700	Flora
806656	100582	
806656	149735	Agnieszka
806656	167319	Janka
806656	178457	
806656	181145	Cecylia
806656	186153	
806656	207887	Marta Stecka/Stecka-Król
806656	212322	
806656	227537	Maria Walewska
806656	244113	Bride
806656	304666	Ewelina Royska
806656	382619	Bogusia
806656	385985	Janusz's wife
806656	386654	Lidia Jasinska Pocieglo Lang 
806657	8416	Agnieszka Zwaniec
806657	30091	Tram Driver
806657	85707	(segment "Twenty-Year-Olds, T
806657	171437	Maria 'Majka' Plater
806657	273727	Alfa
806657	312919	
806657	317975	Wife
806657	376535	
806658	95960	
806659	82201	
806659	244208	
806660	225876	
806661	217324	
806662	238401	
806663	181408	Ela
806663	208724	Liza
806663	255497	Kika
806663	262150	
806663	266341	
806663	311820	Mariolka
806664	286441	Student 2
806665	60887	Min
806666	377143	
806667	107831	Gizella
806668	248594	Herself
806669	348671	
806670	268232	
806671	29583	The Queen
806671	96145	Magda
806671	147929	
806671	163132	
806671	164879	
806671	175699	
806671	179852	
806671	200606	
806671	227534	Anna Pavlova
806671	227603	Ágnes
806671	322128	Florentina
806671	322177	Marjorie
806671	343767	
806671	349035	
806671	377883	Eszter
806671	378301	Rizi
806671	382544	Rhédey Zita baroness
806672	177975	
806673	107152	Sarah Milton
806674	322424	Vinonah
806675	235523	Little Girl
806675	350212	The Guardian Angel
806676	111477	
806676	223484	
806676	377232	Berényi Hilda
806677	937	
806678	232103	Beth Anne
806678	350212	The Voice From Heaven
806678	411692	Various Characters
806679	142507	Julie
806679	289890	
806680	99043	Norma
806680	208531	June (age 10)
806680	341946	Flora
806681	122538	
806681	175753	
806681	237169	
806681	239455	Mrs. Wünscher
806681	332957	
806681	334028	
806681	409728	Mrs. Bogdán
806682	74404	A sógornõ
806683	395006	Zsófi, Bella's daughter
806684	179583	
806685	25752	Erna, Rák felesége
806685	34215	
806685	35057	Takács Ágnes
806685	97985	Alvinczy Krisztina
806685	98748	Borcsányi Éva
806685	99525	Lidi,Szabó felesége
806685	110695	Erika
806685	136582	A tanár lánya
806685	136739	Leila, Gül Baba lánya
806685	156091	
806685	174189	Klári,Fekete lánya
806685	189084	Gergely Lucy
806685	211113	
806685	223594	
806685	229477	Kõrössyné
806685	237187	Eva
806685	255856	Tímár Vera
806685	284358	Katalin Sipos
806685	307145	Emmi
806685	322048	Henriette
806685	322133	Takács Manci/sziámi dizõz
806685	328057	Gisella Rey
806685	349047	Wereczkey Erzsi
806685	374536	Márta,Berzéky lánya
806685	377121	Erzsébet,Tassy lánya
806685	377722	Kovács Manci
806686	19678	Anna,Zeke lánya
806686	99746	Anna az asszony
806686	377820	Etel
806687	162745	
806687	341747	Karin
806688	95954	Aniela
806689	163123	
806690	3197	Tothne
806690	3417	
806690	10401	Márta
806690	11065	
806690	19680	Tanárnõ
806690	50463	Cipõbolt vezetõ
806690	97957	Ceceyné
806690	97958	
806690	114761	Julika,Pötörke lánya
806690	117876	
806690	122388	Virágárusnõ
806690	139997	Vendég
806690	175708	Sztankóné
806690	182522	Kõcserepyné
806690	182828	Mrs. Plankenhorst
806690	182829	
806690	182879	Anna
806690	190793	Zengõbércziné
806690	322102	Liszt anyja
806690	322242	Klári, Tamás második menyassz
806690	322391	
806690	349046	
806690	378276	Magda,Bajkó felesége
806690	399860	Péterháziné
806690	410328	Mrs. Nilov
806691	15858	Woman in the kitchen #2
806691	73125	Natasha
806691	322150	Klárika
806692	2987	
806692	10401	
806692	32424	Rozsi
806692	45207	Mrs. Veres
806692	50463	Színésznõ
806692	51319	
806692	74455	Csutak édesanyja
806692	74459	
806692	74461	Örzse
806692	90126	
806692	97965	
806692	107672	Ambrusné, Anna
806692	110573	Voice
806692	110704	Bibókné, Zsuzsanna
806692	126269	Olivia
806692	138970	
806692	144677	Milena
806692	153683	Pompilia
806692	161682	Kóta Eszter
806692	171603	
806692	172529	Fogadósné
806692	172530	Rozi
806692	173963	
806692	173966	Mrs. Bojti
806692	182515	Baloghné
806692	182662	
806692	182846	Borbála Kántor
806692	187508	Hédi
806692	198412	
806692	209842	
806692	227531	The Grandmother
806692	227533	Nagymama
806692	227534	Nagymama
806692	227607	
806692	243878	Egy beteg
806692	322002	Jutka anyja
806692	343776	
806692	376559	
806692	377753	Huszárné
806692	377760	
806692	403544	
806693	322108	
806694	44572	Szobalány
806694	74468	
806694	137757	Szobalány
806694	200056	
806694	322242	
806695	349794	
806696	254986	
806697	19684	The candy woman
806698	224968	
806699	211727	The Afflicted
806700	6501	Zsuzsa
806700	334028	
806701	136441	Halászné
806702	334028	
806703	182726	
806704	273105	
806705	56545	Herself
806706	322108	
806707	121811	
806707	290525	
806708	187201	
806709	294160	
806709	377123	
806709	378582	Marika
806710	81644	H-burger employee
806711	200823	Hanzély Zsuzsi
806711	205804	Marika
806711	224978	Horváth Ilonka
806712	134912	
806712	146951	
806712	187771	
806712	189081	
806712	209809	Terike
806712	210315	
806712	237942	
806712	322163	Absolon lánya
806712	349041	
806713	672	María Claudia
806714	187837	Angyalka
806714	209839	
806714	322105	Mariann
806715	187837	Angyalka
806715	209839	
806716	44199	Borcsa
806717	122613	
806717	322111	Rozika
806718	35012	
806718	135290	
806719	42335	Annie
806719	171547	Sulyovszky lánya
806719	172529	Eszti
806719	201967	Erzsi
806719	213698	Yum-Yum
806719	285891	Méta
806719	343710	Borka
806719	379094	Georgina Vitay
806719	387360	Dásenka
806719	388511	
806720	322097	
806721	373795	Nina
806722	166629	
806722	403627	
806723	157956	Luanne Morrison
806724	267407	Carola (6 Jahre)
806725	177182	Laura
806725	325479	kleines Mädchen
806725	325826	Natascha Gruber
806726	346223	Dynagon Receptionist
806727	174286	
806727	259467	Tanja
806727	409625	Kati Ritter (2002-)
806728	75961	Dentist
806728	213893	
806728	266330	Cox's Girl
806728	284077	Pvt. Elzbieta Koral
806728	385592	Ania Poplawska
806729	80908	
806730	137121	Waitress
806731	3264	Female Operator
806731	36864	Passenger
806731	104681	Mrs. Froeger
806731	152892	Chachka
806731	154516	Nurse
806731	166007	Girl at Movie Popcorn Stand
806731	168675	Mrs. Capone
806731	203328	Betty Levy
806731	213226	Mrs. Egan
806731	275889	U.F.O. Lady
806731	297455	Velma (one of the Card Player
806731	302573	Mrs. Crow
806731	348303	Focus Group Member
806731	363399	Counselor
806731	368944	Spa Matron
806731	372198	Cousin
806732	19669	Brazovichné
806732	95163	Mother Blazsek
806732	153690	
806732	195258	Virágné
806732	335267	Gáldy Benedekné
806733	81339	Nurse I
806734	142949	Hitchhiker
806735	54201	
806735	89976	
806735	107677	
806735	149574	
806735	344440	
806736	52190	
806736	84110	
806736	365693	
806737	322128	Vendelin felesége
806738	312877	
806738	312890	
806739	394977	
806740	322011	
806740	370028	
806741	29583	
806741	102443	
806741	108913	
806741	119213	Agathe
806741	119214	Agathe
806741	136576	Bodó Klári
806741	139997	Gizike
806741	181090	Szobalány
806741	250888	Kati
806741	320231	
806741	322188	Karikó Éva
806741	333113	Ries Márta
806741	377143	
806742	322025	Vidéki zenész
806743	188201	
806744	400452	Host (2000-)
806744	403110	Herself/Host (1999-2000)
806745	102017	Bedõ Anna,díszlettervezõ
806746	3392	Mom
806746	28688	Pincérnõ
806747	200600	Herself
806748	182693	
806748	349036	
806749	343776	Magdi
806750	9454	
806750	322083	Ágota
806750	322090	Ágota
806750	322092	Ágota
806751	7222	Piros
806751	108840	
806751	162745	
806751	176207	
806751	212310	
806751	343776	
806752	284355	
806753	288088	
806754	322025	Mûkedvelõ színjátszó
806755	163128	
806755	186174	Laurin
806756	190748	Táncoslány
806757	349794	
806758	108060	Mrs. Quickly
806758	207974	Fidalma
806758	278963	Ericlea
806759	233279	
806760	177944	
806761	177944	
806762	74431	Anyica
806762	99744	Klári
806762	102541	Cselédlány
806762	107717	Géza's Wife
806762	135720	Glumdalclitch
806762	147929	
806762	153637	Julcsa
806762	163853	Kopáné, Marika
806762	180223	Alsa
806762	200610	Zongoratanarno
806762	200619	Teréz
806762	232802	Anya
806762	237146	
806762	254957	
806762	261204	Jucika
806762	281286	Gizi
806762	282125	
806762	284357	Ilonka
806762	309354	Irma
806762	322123	Guli's mom
806762	327208	Iren
806762	377821	
806762	388511	
806762	407241	Teri
806763	99390	Herself
806764	281027	
806765	181359	
806766	234258	Mariola
806767	76229	Krycki's Mother
806768	179555	
806769	154453	Jane
806769	291138	Trix
806770	225207	Frau Generalin von Dingolstae
806771	17861	
806771	26082	
806771	54183	L'employé es wagons-lits
806771	337025	
806772	306122	Pedestrian #2
806773	357943	Nyolcadikos
806774	182723	
806775	151564	Proper Young Lady
806775	368264	Narrator
806776	216250	
806777	186650	Vivian Ernst (2nd base)
806778	13322	
806778	30091	Woman Crying in the Hospital
806778	57796	Zocha
806778	117581	Old French Woman
806778	171437	Wanda
806778	174026	Irena Hulewicz
806778	180251	
806778	217452	
806778	225965	Madejowa
806778	231724	Nurse Teresa
806778	254201	Kuba's old love
806778	255497	Girl playing with Ignacy
806778	258540	Lawyer's Wife
806778	258631	Halszka Radocka
806778	258664	Poldek's Mother
806778	262147	Zofia
806778	266302	Technician in telephone-excha
806778	266304	Aunt Aniela
806778	321767	Malgorzata
806778	322037	Julia Grabczyk
806778	341070	Nurse (segment "Godzina drogi
806778	341071	Nurse (segment "Cement")
806778	344036	
806778	359585	Neighbour
806778	359589	
806778	369017	Maria Cios
806778	374232	Prosecutor
806778	399959	
806778	406644	Helena (Teresa's mother)
806779	153717	
806780	65539	Servilia
806780	113672	Serpetta
806780	236186	Susanna
806780	240267	Soprano
806781	357984	Wicia
806782	18282	Periodista #1
806782	71409	
806782	169967	Tamara
806783	30497	Magda
806783	91510	Applicant
806783	130211	
806783	180106	Singer
806783	185809	Primadonna
806783	311894	
806784	148790	Der hund
806784	229464	
806784	282124	
806785	211727	Grand Lady in Paris
806786	345786	The MC
806787	19808	Worshipper/Home Woman
806787	323841	Fish Princess
806788	349034	
806789	215605	
806790	274525	Witness
806791	275750	
806792	359621	Tischgesellschaft
806793	334845	
806794	96433	Cilike,a kocsmáros lánya
806794	155545	Timár
806794	189083	Málika,Mélius lánya
806794	232803	Zita,Fürediné lánya
806794	322075	(Emlékül Katicának-epizód)
806795	211918	Els Mècs
806796	51377	Violinist
806796	224106	
806797	213681	
806798	198212	Adél,Mihályiék lánya
806799	87699	Janine Kellerman
806799	303594	Julia
806799	399130	Danni Stark (1993-1996)
806800	40424	Malia als Erwachsene
806800	49751	
806801	98591	
806802	117730	Topless Dancer
806803	288507	Ro Mars
806803	300762	Nadezhda
806804	309289	Relative 2
806805	48332	
806805	180677	
806805	237983	
806805	259925	
806806	161852	
806807	51243	Judith
806807	83400	Sabine
806807	115355	Pam (14 ans)
806807	269520	Clara
806807	337735	Chloé Brenner
806807	346660	Béatrice
806808	184200	Florentyna
806808	341071	Party Girl (segment "Jacek")
806809	34415	
806810	46767	Anna Mahler (Age 3)
806811	161775	Silvana
806812	348671	
806813	381091	Herself (eliminated round 2) 
806814	162974	
806815	34416	Dr. Maria
806815	48342	Adele
806815	189439	Dr. Heilmann
806815	281737	Karen Winter
806815	325510	Dr. Pfeiffer
806815	352493	Christiane Lessing
806815	389361	Iris Sandberg
806815	404422	Silvia Fuerst
806816	29186	Actor #9
806816	157563	Jolene Ketchum
806816	396378	Nicole (1995)
806816	411800	Emily
806817	164754	
806818	101235	
806818	131754	
806818	266540	Gross' daughter
806818	334258	Biala
806819	140712	
806820	58358	Gregorek Ica
806820	394559	
806820	412294	Tóni
806821	1446	Herself - Host
806821	1734	Herself - Presenter
806821	26064	Esme Hoggett (the farmer's wi
806821	26079	Mrs. Esme Cordelia Hoggett
806821	73613	Brozzie Drewitt
806821	82128	Various Characters
806821	89338	Margaret O'Halloran
806821	89339	Margaret O'Halloran
806821	89340	Margaret O'Halloran
806821	109465	Herself/Various characters
806821	109466	Various characters
806821	138792	Miss Viola
806821	201877	Judith Gates/Kim Borrodale
806821	282611	Mr. Cardigan, Mr. Trouser, Bi
806821	291918	Herself
806821	308396	Betty
806821	381939	Various Characters
806821	382221	Betsy Bligh
806821	385505	Various Characters
806821	385506	Various Characters (1986-1987
806821	388470	Pixie-Anne Wheatley/Chenille/
806821	394217	Sharon Strzelecki (2002-)
806821	405894	Various Characters
806822	236721	
806822	373706	
806823	264818	Resort Guest
806824	322101	
806825	321444	Whaler
806826	351181	National Orbit Reporter/Venee
806828	161850	Enfermera
806829	28537	Student
806829	226001	Jolán, Mrs. Sima
806829	333909	
806829	375965	Vörösbegy
806829	412317	Kancellar
806830	200050	Elisabeth
806831	359590	
806832	209210	Zombie
806833	126269	
806833	377760	
806834	43110	Nõ a lakásban
806834	57582	
806835	24420	
806836	88410	Basia
806836	376610	
806837	178804	
806838	357712	
806839	110430	Silvi
806840	403628	Eliza
806841	1437	Herself
806842	24420	
806842	77101	
806842	97541	Zyta - Escapee
806842	167078	
806842	290070	Ghetto woman
806842	373421	
806843	274054	Abigail
806843	324967	The Crowd
806844	322066	
806845	1854	Eliza Barbieri
806845	25690	Emma Gottliebovna Pful
806845	46281	
806845	75975	Marta
806845	89810	Maria Teresa Sadowska
806845	90145	Vera Kronenthal
806845	91511	Ewa
806845	95621	Avdotya Panayeva
806845	95975	
806845	102179	Iza
806845	129632	
806845	132414	
806845	153509	Jola
806845	165082	Mariola
806845	175662	Lengyel rokon
806845	177069	
806845	181147	
806845	220144	Ewka
806845	226535	
806845	237964	
806845	239244	Zenobiusz's Friend
806845	255411	Car Driver
806845	255412	Ewa Dlugosz
806845	255614	
806845	261670	Zonia Gasztowtówna-Paculanka
806845	293700	Instructor
806845	301296	
806845	304164	
806845	322043	Mamuska
806845	349452	Marta Rychlinska
806845	349453	Marta Rychlinska
806845	376218	Gebl-Annenkova
806845	378728	Zofia, Inspektor Zofia
806845	379086	Sibylle
806845	384189	Alice
806845	395911	Helena Bogacka
806845	404217	Karen Petersen
806846	25425	
806847	170680	
806848	262147	
806849	197845	Herself (historian)
806850	341068	
806851	41252	Patty
806851	284077	Female Soldier
806851	385479	
806852	375435	
806853	66266	Pietrzykowska
806853	75970	Orzechowska
806853	212650	Woman in Town
806853	255028	Koziolowa
806853	286652	Leonia Pawlak
806853	375064	Grzelakowa
806854	278224	Angry Lesbian
806855	68775	Fille Fabrice
806856	108864	
806856	108865	
806857	259132	Herself
806858	232387	Filmteam
806859	180013	Marta
806860	85265	Erna
806860	179342	
806860	266322	
806860	323283	
806860	373653	Teacher
806860	406644	
806861	179180	
806862	90316	Sylvia
806863	158243	Mother
806864	294268	The woman
806865	353886	
806865	408656	Wanda
806866	93848	
806867	1550	Eva
806867	11906	Katja
806867	42838	Nadja Waller
806867	48692	Patricia
806867	50159	Anna
806867	52582	Monika Bolder
806867	67942	Ina
806867	98341	Jenny Berlin
806867	98970	Jasmin
806867	128999	Sarah
806867	139695	Helga Marek
806867	166730	Jenny Berlin
806867	166731	Jenny Berlin
806867	166732	Jenny Berlin
806867	189620	Amelie
806867	189627	Anna Lenz
806867	189741	Angela
806867	231487	Helga
806867	259519	Dinje
806867	259561	Sarah Wennisch
806867	281714	Karen Rydale
806867	286780	Frau März
806867	302774	
806867	318082	Friederike
806867	325796	Maria Vollrath
806867	326024	Katharina Radacher
806867	332837	Marlene Singer
806867	334543	Laura Tillmann
806867	334636	Sabine Fink
806867	339051	Kaiserin Maria Theresia
806867	352501	Chris
806867	361045	Paula
806867	361472	Jenny Weiss
806867	376011	Melanie Seeberg
806867	393406	Laura
806868	31390	Verena
806868	94862	Tanja Eltz
806868	142085	Sonja
806868	187520	Max
806868	226252	Valerie
806868	274862	Werner Prinz
806868	325591	Stefanie Gschnitzer
806868	325903	Stefanie Gschnitzer
806868	334636	Melanie Krüger
806868	369403	Sabina
806869	14159	Woman #2 at Market
806869	212509	Stewardes
806869	299954	Ana
806870	322129	
806871	28537	Tanuló
806872	375966	Police girl #5
806872	378931	
806872	409099	Alex
806873	322013	
806874	180824	
806874	322060	
806874	322191	
806875	99432	Cseléd
806876	239432	Ölttöztetõnõ
806877	200056	
806878	2244	
806879	102541	Lány
806880	171539	Királykisasszony
806881	153688	
806881	187512	Pincérnõ
806881	246974	
806882	98027	
806883	201858	Herself - Emeric's school fri
806884	322189	Róza
806885	456	Eva
806885	20811	Conchita
806885	204410	Inge Karsten
806885	290847	Katherine
806885	390728	Chabelita
806886	108913	
806887	200619	
806888	177935	
806889	28717	Lia
806889	80099	
806889	84821	
806889	99276	
806889	108870	
806889	111667	
806889	137214	
806889	148999	
806889	162226	
806889	183084	
806889	209165	
806889	246442	
806889	251349	
806889	285009	Bar-keeper
806889	314292	
806889	322192	Krisztina
806889	333558	
806889	349516	
806889	354634	Ana
806889	375505	Dita
806889	377074	Ábel anyja
806889	377745	The Blonde Girl
806889	404025	
806889	407233	Auntie Bori
806890	170394	Cseperke
806890	170396	Cseperke
806891	17079	
806892	349045	
806892	377143	Osztálytárs
806893	377616	
806894	224968	
806895	104795	Szobalány
806895	171609	Olga
806895	349047	
806895	377764	Sári
806895	378261	
806896	97988	Laura
806897	136444	Bárvendég
806898	275750	
806899	377127	Lány
806900	147948	
806901	180187	
806902	211706	Elhagyott kedves
806902	282244	Mancika,a gépírókisasszony
806903	19808	Child
806903	202245	Dol
806904	64756	Story-teller
806904	104792	
806905	212292	
806906	214494	Fruzsina
806906	396818	Orsolya néni
806907	104197	
806908	2987	
806908	12447	
806909	106690	
806910	57597	
806910	68625	
806910	107677	
806910	110839	Otilia
806910	216323	
806910	334413	Adnana
806910	396173	
806910	396174	
806911	10634	Egy holgy
806911	14159	Eva
806911	17648	Annamária,Füzessy lánya
806911	19683	Bogdán Juci
806911	30512	Blazsek Mátyás lánya
806911	33993	Benedek Katica
806911	35938	Megesett asszony,majd a lánya
806911	97970	Janka,Garáék lánya
806911	99320	Torda Mária
806911	102539	Adél, Erkel felesége
806911	122613	Vilma
806911	137757	Nagy Józsa
806911	155956	
806911	166657	Erzsébet, Agáth felesége
806911	182793	
806911	189083	Helén,Mélius lánya
806911	199872	Fráter Erzsi
806911	223595	
806911	224989	Maria
806911	226710	Márta
806911	235374	Tóth Mari
806911	284184	Tavasz Erzsi, primadonna
806911	322078	
806911	322107	Grofno
806911	322243	
806911	324708	Tóth Flóra, a tanítónõ
806911	326076	Pálos Éva
806911	378516	Szakhmáryné, Rédey Eszter
806912	105462	Mourner Woman
806913	2987	
806914	407233	Emese Szalay
806915	322126	Munkáslány
806916	126269	
806917	74464	
806917	81339	Antonia
806917	125641	
806917	153859	
806917	209826	
806917	229574	
806917	299954	Assaulted Woman
806917	304168	Anya
806917	349080	
806917	402220	Ildiko
806918	237176	
806918	377768	
806919	284355	
806919	357712	
806920	198213	Lány III.
806921	16965	
806921	22739	Iv
806921	103052	Vendég
806921	147929	
806921	175089	
806921	176203	
806921	254294	
806921	258808	
806921	322126	
806921	408841	Balerina
806921	410331	
806922	233279	
806923	205537	Sofia
806924	196	Ninfa na Ilha dos Amores
806924	379823	
806924	384293	Marta
806924	386124	
806924	388683	Rita
806924	390500	
806924	398881	
806924	401805	Eunice
806924	402148	
806924	402242	
806924	403100	Isolda
806925	215074	
806926	286275	
806927	101925	
806928	138537	
806929	10230	Widow
806929	70487	Jacira
806929	353571	Teodora
806930	388263	Contender
806931	318117	Rochelle
806931	334988	
806931	351365	
806932	35108	Herself
806933	145154	
806934	25037	
806934	148500	
806935	294335	
806936	287695	
806937	19383	
806937	34562	
806937	48956	
806937	152140	
806937	252554	
806937	273112	Sofía
806937	310043	
806938	67697	
806938	276972	Amiga
806938	338948	Flor
806938	380795	Estela
806938	397009	Montserrat
806939	274703	Woman at the museum
806940	105674	
806940	355945	Locutora
806941	230583	Juice's Gang
806941	410108	Ángela Ruiz
806942	376657	Doña Carmen Polo
806943	10225	Señora
806943	30418	
806943	101890	Ilse
806943	122226	
806943	171417	Dead woman in the tube
806943	208141	La viuda, Maruja (The Widow)
806943	291611	Carmen
806943	353612	Señora mayor
806943	356153	Berta
806944	148053	
806944	192980	
806945	378445	
806946	3326	
806946	4972	
806946	25069	
806946	233550	
806946	309086	
806946	327931	
806946	351997	
806946	376844	
806947	23063	
806948	345592	Maracas
806949	2059	
806950	8564	Secretaria
806951	249439	Secretaria
806951	318006	
806951	378958	Marisol Ríos
806951	388093	Loreta
806951	394017	Dr. Melman
806951	398267	Rita Gal
806951	398800	Cynthia
806951	401250	Ana María Rodríguez (Pacheco 
806951	401693	
806951	403021	Alicia (2002)
806951	403366	Silvia
806951	405789	
806951	406050	Loretta
806951	412127	
806952	1117	Desiree, Lõrinc húga
806952	18712	
806952	74425	
806952	110727	András' mom
806952	120268	Frau Werner
806952	133070	La favorite du tsar
806952	138603	
806952	139438	Harlekin
806952	171719	Ida
806952	200608	
806952	237731	Zoé
806952	240066	Xenia
806952	246974	
806952	348572	
806952	349042	
806952	353092	
806952	356003	
806952	375964	
806952	375966	Helga Wagner
806952	377119	Young Girl
806952	388511	
806952	390846	Various
806952	399860	
806952	399866	Mrs. Nyúl
806952	408841	Szõke lány
806952	412078	
806953	229708	Birike
806954	71281	
806955	300817	
806956	132723	Mujer escultural hotel
806956	184731	
806956	404999	
806957	7249	
806957	19373	
806957	55962	
806957	61067	
806957	61349	
806957	67218	
806957	68253	
806957	74558	
806957	76099	La Trini
806957	76111	Emila
806957	101630	
806957	103710	Francisca
806957	103964	
806957	103992	
806957	115763	
806957	121254	
806957	146481	Melchora
806957	148036	
806957	148053	
806957	154542	Herself
806957	155196	
806957	195573	
806957	198246	Mujer Mercadillo
806957	213365	
806957	218096	
806957	234008	Tere
806957	243613	Hermana Araceli
806957	253667	Cleomnia
806957	256719	
806957	258619	Telefonista
806957	264392	
806957	271186	Ace Pro
806957	285384	Berta
806957	291625	Madre
806957	301115	Luchi
806957	301181	Juliana
806957	322407	Presentadora
806957	333640	
806957	336257	Doña Isabel
806957	341079	
806957	345568	Tina
806957	351837	
806957	351838	
806957	353180	
806957	356947	
806957	369996	Herself - Nominee: Best Suppo
806957	371705	
806957	384795	Teresa
806957	397863	Teresa de Bromujo
806957	400484	Colaboracion especial
806957	403055	
806958	336205	The Woman
806959	112736	
806960	10481	Silvia
806960	211045	Polilla
806960	252519	
806960	252781	Una de las que se besan
806960	378988	
806960	379566	Rocío (1998)
806960	396770	
806961	59302	Herself
806962	27784	Voz de la Gaviota y de la Tor
806962	204832	Manuelita
806962	256374	
806963	6482	
806963	15319	
806963	22791	
806963	29805	
806963	35008	
806963	42659	
806963	77254	
806963	77261	
806963	86342	
806963	86444	
806963	103487	
806963	103810	
806963	111577	
806963	136919	
806963	145137	
806963	146507	
806963	146513	
806963	148110	
806963	149197	
806963	149234	
806963	170090	
806963	199786	
806963	202555	
806963	205713	
806963	210441	
806963	212451	
806963	219734	
806963	221559	
806963	221667	
806963	226184	
806963	239277	
806963	260508	
806963	265115	
806963	267293	
806963	268494	
806963	269544	
806963	276068	
806963	276481	
806963	293579	
806963	300736	
806963	316167	
806963	327083	
806963	332661	
806963	339185	Consuelo
806963	349457	Antonia
806963	353231	
806963	353659	
806963	354228	
806963	370068	
806963	376794	
806963	377214	
806963	377872	
806964	3426	
806964	44664	Riquitina
806964	50127	
806964	55152	
806964	56005	
806964	57419	La Madre de Juan
806964	148055	
806964	197458	
806964	204644	
806964	205690	
806964	233974	
806964	235318	
806964	276481	
806964	371696	
806965	251690	The girl at the ending
806966	114873	Dancer: Grupo Cobo de la Peña
806967	378359	Diana
806968	307277	Telefonista
806969	90099	
806969	307466	
806970	14798	Mariana, la siamesa
806971	14798	Mary, la siamesa
806972	45082	Bus Passenger #4
806973	242028	
806974	10485	La Araña
806975	309086	Luisa María Baños Martínez 'L
806976	345998	Woman in refugee camp
806977	193010	Emma
806978	202561	
806979	112045	
806979	135155	
806979	267408	
806979	384254	
806979	398481	Lucero
806979	402181	Erika
806980	7248	
806980	246373	
806981	22699	
806981	51736	
806981	52060	
806981	99763	
806982	44382	
806983	281787	
806984	74827	(segment "Pequeño planeta")
806984	80148	
806984	101894	Yolanda Bel
806984	103375	Elena
806984	134546	Lola
806984	174019	
806984	183161	Eusebio's girlfriend
806984	215230	
806984	252551	Mujer barbuda
806985	402453	Host
806986	23086	
806986	30320	
806986	97266	
806986	100378	Petrilla
806986	192932	
806986	287693	Santa
806987	14668	
806988	23190	The Acupuncturer
806988	28948	
806988	30389	Carmen, Javi's mother
806988	44659	Aldeana
806988	48796	Melba
806988	51624	Avavar Dancer
806988	54171	Claudia
806988	57778	Carmen's Mother
806988	64048	
806988	69034	
806988	69697	
806988	74827	María (segment "Tiempos rotos
806988	90119	Prostitute
806988	95020	
806988	122033	Milagros
806988	135280	Felisa
806988	171417	Head Nurse at Elderlys' Home
806988	195573	
806988	208141	La Patrona
806988	221676	Arantxa
806988	225043	Madre de Gloria
806988	248904	
806988	251580	Marta
806988	259319	
806988	269915	Rosa
806988	286369	Amparo
806988	302359	Checkout girl
806988	334699	
806988	353545	Marta
806988	369754	Herself - Nominee: Best Suppo
806988	407859	
806989	108535	
806989	244634	
806989	258382	
806989	276566	
806989	376698	Caridad
806990	385338	Various Caracters
806991	61353	
806991	88671	
806991	91319	
806991	197191	
806991	335522	
806992	3438	
806993	46352	Electro Rock 3
806994	70684	Chica del kleenex
806995	143702	
806996	398914	Nuria
806997	51306	Secretaria
806997	318290	Elvira
806998	91402	
806999	55653	
806999	263862	
806999	380122	
807000	400942	Miriam de Tovar
807001	19945	Cristina/Boy
807001	332636	Ángela's Daughter
807001	349545	Cristina as a child
807002	19503	Nina
807003	56059	
807003	74551	
807004	322325	Hermana Alvaro
807005	233385	Herself
807006	9706	
807006	110750	
807007	252516	Concha
807007	380155	Manuela
807008	115820	
807009	6642	Joven de la encuesta
807009	51089	Elena
807009	57778	Chica autoestop
807009	76001	Mónica
807009	246871	Maruja
807010	68557	Mujer III
807011	21682	Gregoria
807011	395332	Jueza
807012	6446	
807012	14679	
807012	14927	Matilde de Frizac
807012	19722	
807012	53985	Malisa
807012	70008	Ofelia
807012	74555	
807012	74625	Elena
807012	96259	
807012	100262	Orozco's sister
807012	108057	
807012	136848	
807012	160104	Matilde de Frizac
807012	167815	
807012	169754	
807012	170274	
807012	173946	
807012	197159	Raquel
807012	202618	
807012	206988	
807012	207655	
807012	209475	(segment "El Alacrán")
807012	211167	
807012	236032	Rosa
807012	252551	
807012	253596	Lorene
807012	255487	
807012	265548	
807012	307790	
807012	326335	
807012	332576	Sonia
807012	339162	
807012	341342	
807012	353562	Matilde de Frizac
807012	370095	
807012	371738	Matilde de Frizac
807012	371776	
807012	380539	
807012	381224	Mariana
807012	383031	
807012	383234	
807012	384190	
807012	387123	
807012	387274	Alicia
807012	388094	
807012	389483	
807012	392650	
807012	393176	
807012	396215	Alma's mother
807012	396393	
807012	396404	
807012	396811	
807012	396815	Imelda
807012	397017	
807012	397568	
807012	397579	
807012	397869	Fantine
807012	398664	Laura
807012	399084	Matilde
807012	402051	
807012	402152	Andrea Camargo de Ventura
807012	402290	
807012	402681	
807012	403173	Elena
807012	403256	
807012	404701	
807012	404702	
807012	404827	Fernanda de Álvarez
807012	405319	
807012	405868	Dorita
807012	405955	
807012	408586	Angela
807012	409907	
807012	410319	Miriam
807012	410474	
807012	410477	Artemisa Barragán viuda de Qu
807012	412180	
807013	19722	
807014	25065	Doña Rosa
807014	27981	
807014	54091	
807014	54332	Esposa del ministro
807014	64977	
807014	74820	Doña Tula
807014	96341	
807014	99866	
807014	103165	
807014	104140	
807014	110233	
807014	131075	
807014	136844	
807014	153830	
807014	164646	
807014	202556	Madre
807014	229453	
807014	234383	
807014	237896	
807014	247356	
807014	250793	Madre de enrique
807014	252620	
807014	275090	Doña Constanza
807014	279707	
807014	287435	
807014	319855	
807014	339753	
807015	14570	Forge operator
807015	205071	Mujer de Lázaro
807015	247206	Chica
807016	210868	Raped Girl
807017	96383	Melo Díaz
807018	412136	Herself
807019	28955	Muchacha empleos
807019	64377	
807019	76109	Widow
807019	85581	
807019	104111	Secretaria
807019	112044	
807019	161768	Mujer del restaurante
807019	197159	Martha
807019	240083	
807019	266198	
807020	117335	
807021	5443	
807021	23369	
807021	52986	
807021	74615	
807021	83141	
807021	113095	
807021	151797	
807021	192980	
807021	339122	
807021	357533	
807022	233932	Hermana de Sofía
807023	154603	Herself
807024	39083	
807024	135350	
807024	206695	Indocumentada
807025	307466	
807025	355759	
807026	10243	
807026	135196	
807027	213389	
807028	382948	Host (1986-1987)
807028	407735	Newsreader (1987-1993)
807029	75496	
807030	42911	Herself
807031	136811	Herself
807032	284800	Claudia
807033	378415	
807034	186264	
807034	336287	Rita, Gloria's Servant
807035	352130	
807036	3326	
807036	43982	
807036	115017	Herself
807036	257126	
807036	411615	Host
807037	132470	Rosita Amores
807037	409463	Secretaria (2004)
807038	216069	
807039	357533	
807040	192936	Photo model
807041	257522	Fantasy Girl
807042	226498	Alumna gimnasia
807043	156460	Night Club Dancer
807044	2967	
807044	226498	Maestra de matematicas
807044	249904	
807044	269566	
807045	103118	Príncipe Yusef Ben Yaser Ali 
807046	396	Berta
807046	91350	
807046	142561	
807047	280577	
807048	253381	Woman
807049	135160	Child
807050	70325	Nurse
807050	104088	Lola
807050	140823	
807050	183516	
807050	212360	
807051	204354	Brothel Worker
807052	353236	Neighbour
807053	381922	Host
807054	62807	
807056	170067	
807056	379000	Sofía
807056	379615	Caridad
807056	388161	Verónica
807056	392610	Margarita Abreu
807056	395030	Emerita
807056	395403	Nieves María
807056	397012	
807056	401693	Clotilde
807057	165794	Paloma
807058	239975	Herself
807059	101318	
807059	205603	
807060	102311	Patricia
807060	235986	Andrea Montenegro
807060	310073	
807061	209239	Marcela
807062	96349	Clara
807063	15245	
807063	30418	
807063	77364	Elsa
807063	355753	Maica
807064	158462	Minerva Mirabal (age 13)
807064	310045	Chica Handy
807064	384980	Artemisa Madrigal 'mejor amig
807064	385502	Teacher Yoli
807064	392806	
807064	397009	Gloria
807064	409908	Federica del Alamo
807065	75185	
807065	197451	
807065	225716	
807066	65778	
807067	319655	Supernova/Fénix
807067	326009	Herself - Performer
807068	80311	
807069	14735	
807069	64435	
807069	238326	
807069	274764	
807070	268519	
807071	48772	
807071	64706	
807071	353604	
807072	377079	
807072	387429	Maria Fernandez
807073	232787	
807074	301616	Asuncion
807075	137427	Doliente
807076	393035	Herself
807078	135160	Child
807079	81610	
807080	69221	
807080	69253	
807081	135160	Child
807081	401657	
807082	96368	Nurse
807083	18174	
807084	4542	
807084	14938	
807084	63905	
807084	74533	La Torcasita
807084	74898	La Torcasita
807084	146479	
807084	148021	
807084	169748	
807084	211065	
807084	216074	
807084	225565	
807084	252753	
807084	260579	
807085	11661	Prostitute
807086	213396	
807087	310073	Dancer
807088	395885	
807089	100309	Amiga de Laura 1ª
807089	250428	Angel
807089	307630	Susana
807090	55264	María
807090	205279	
807090	247845	Pochita
807090	387965	
807090	397015	Rocío Gómez León
807090	404310	Mariela
807091	145143	Actress
807091	380524	Eva/Elda
807091	383273	
807091	384988	Rosa
807091	386284	Elena Ruiz
807091	395043	Nadia Román
807091	395300	Diana
807091	400490	Regina Salazar
807091	402404	Indalecia
807091	404161	Ángela
807091	409017	Marta
807091	412192	Elena
807091	412195	
807092	273121	
807093	65173	
807093	95054	
807093	145647	La Niña
807093	404887	Teté
807094	118149	Victima #5
807095	311923	Therese
807096	9945	Olivia
807097	80695	Exotic Dancer
807097	236406	Cecilia de niña
807097	307471	
807097	336163	Gina Taylor
807097	400733	Maryori
807098	16642	Francesca
807098	68552	
807098	197879	
807098	379553	
807098	383568	Pía Villarreal de Estrada
807098	385401	Juana Inés
807098	386119	
807098	402589	
807099	132675	
807100	307277	Limpiadora 1
807100	389875	Herself - Staff Humorist
807101	339139	
807102	74584	Ñidia niña
807103	43151	Rosa
807103	278742	Rosa
807103	278743	Rosa
807103	352004	Susana Naranjas
807104	86817	Dra. Elsa Murillo
807104	100293	Ana
807104	306701	Extra
807105	40226	Waitress
807106	103430	Sandra
807107	86817	Doble de Chisco
807107	100293	Vicenta
807108	194780	Girl
807109	51624	Dweller in Boating Village
807110	82598	Carmen
807110	394677	TV News Reporter
807111	111181	
807112	202839	
807113	287907	La Niña Chica
807114	9706	
807114	24206	Ángela
807114	55209	Blanca
807114	55996	Teresa
807114	56117	Doña Gertru
807114	70661	Mujer Tomás
807114	101890	Flora
807114	158709	Madre de Miriam
807114	162053	Filippo's mother
807114	169794	Queen Isabella
807114	202296	Jimena
807114	237192	Pilar
807114	248869	
807114	255485	Encargada
807114	272640	Doña Resu
807114	322407	Realizadora
807114	353572	Directora colegio
807114	353612	Directora INEM
807114	373964	Ex mujer
807115	115820	
807116	41449	Candelaria
807116	96373	
807117	41449	Candelaria
807117	105692	
807118	274645	Enfermera
807119	353545	Olga
807120	207642	Secretaria
807121	9734	Juliana
807121	25791	Ana
807121	52210	Sara
807121	101973	Elena Cruz
807121	354841	Francisca
807121	369999	Herself - Nominee: Best New A
807121	404887	Eva
807122	72766	Aunt Eva
807123	302333	
807124	286253	Consuelo Ruiz
807125	14362	Cristina
807125	353195	Idoia
807125	399506	Eulàlia Montsolís
807126	14770	Modelo
807126	27966	Elena
807126	42577	Amanda
807126	55753	María
807126	56085	Therese
807126	57778	Carmen
807126	58090	Herself - Host
807126	83546	
807126	111016	Marie
807126	118155	Herself
807126	118156	Herself - Presenter
807126	118158	Herself - Winner: Best TV Act
807126	118686	Sister Ines
807126	122973	Herself
807126	140322	Amelia
807126	148164	Ana
807126	152238	
807126	162053	Anna
807126	163980	Herself - Presenter: Best Fil
807126	183162	Bernadette
807126	188994	Bárbara (John)
807126	189022	Maria de Loffredo
807126	196168	Vicky Rivas
807126	198981	Marie
807126	205019	
807126	205704	Klara
807126	212383	Ángela
807126	219671	Bianca
807126	221919	
807126	233619	
807126	234345	Herself
807126	267877	Vera
807126	268239	Nani
807126	274523	Luisa Peña
807126	275398	Teresa Guiccioli
807126	281101	
807126	283198	Mujer 4
807126	300967	Herself
807126	302333	Ana
807126	320188	Juanita
807126	331251	Irene
807126	345287	Dolores
807126	353017	Herself - Co-Host
807126	354035	María
807126	354265	Herself - Presenter: Best Sup
807126	356466	Duquesa de Alba
807126	358567	Victoria Aragón
807126	369870	Herself - Presenter: Best Fil
807126	369989	Herself - Presenter: Best Pic
807126	369996	Herself - Presenter: Best Dir
807126	369999	Herself - As a former Preside
807126	371290	Yerma
807126	378946	Nuria Acosta
807126	387188	Herself - Host (1994)
807126	402679	Dorotea
807126	403109	Ana Ozores
807126	404755	Sisi
807127	185540	Alicia Cruz
807128	146567	
807129	35696	Female Tourist #1
807130	19670	
807130	96466	
807130	140671	
807130	237162	
807130	343633	
807130	377748	
807131	58358	
807132	118823	
807132	163130	
807132	211217	
807132	227534	
807132	348572	
807132	399860	
807133	377820	
807134	137555	Takarítónõ/Izabella
807134	137890	Fõbérlõ
807134	182828	
807134	209842	
807134	256683	
807134	322065	Az elnök felesége
807134	387360	Öregasszony I.
807134	394880	Pénztáros tyúk
807134	410482	Gálné
807135	407241	
807136	153695	Mária Lujza
807137	294160	
807137	366972	Eszti
807137	378931	The talkative secretary
807137	395006	Malvina
807137	407232	Kitty
807138	16965	
807138	106690	
807138	322097	
807138	377134	
807139	163174	Gizella
807139	182870	Cseléd
807139	211036	Lány
807140	322122	
807141	239432	
807142	29786	
807142	85627	Dancer Lilo
807142	110048	Anita
807142	165814	Zpevacka
807142	259204	Manekynka Vera
807142	266801	Marta Malá, actress
807142	306662	Johnová
807142	375413	Ella
807142	396134	
807143	349794	
807144	220735	
807145	324704	
807146	64757	Krisztina/Csõarc
807146	140058	
807146	164754	
807146	231141	Anna Maggi
807147	278687	
807148	172898	Puncica
807149	136433	
807149	182693	Louise
807150	350833	
807151	173121	Female jogger
807152	384118	Teresa (1999)
807153	377444	Yvonne, Anna's big sister
807154	309064	
807155	11326	Annie
807155	12852	Anna Linke
807155	22688	Bonnemine (Gutemine)
807155	32274	
807155	72678	Frl. Hermann
807155	95475	Dr. Leidzinger
807155	102906	Hilde (segment "Taboo Parlor"
807155	123954	Elli Schulze
807155	134845	Anneliese
807155	155489	Uschi
807155	156651	Journalistin
807155	162455	Alfa's Mother
807155	168632	
807155	187081	Chaya's Mother
807155	194553	Tante Martha
807155	205406	Marga Engel
807155	205407	Marga
807155	206586	Martha
807155	217748	Mona von Snead
807155	218719	Magda
807155	220851	Emma
807155	223459	Marion Bruckmüller
807155	245096	Jasmin
807155	255126	Klara
807155	264723	Betty
807155	278969	Frau Klare
807155	281700	Rosalie Greenspace
807155	287592	Mère Barberin
807155	289920	Tandlerin
807155	293694	Marlène Veber
807155	307473	Tata Jeannette
807155	310302	Rosa
807155	328373	La mère de Yves
807155	345918	Marlies Schöne
807155	346557	
807155	347054	Mrs. Netta
807155	353611	Aloha
807155	359290	Susan
807155	376006	Marianne
807155	395632	Lukulla
807155	404899	Schneiderin Momi (2001-)
807156	145482	
807157	9533	Mazurka dancer
807157	28457	Woman in the concert audience
807157	137746	People at the dances
807157	144339	Dancer
807157	172406	People at the dances
807157	260623	Ballet dancer
807157	287575	
807157	321782	Woman at the ball
807158	9533	Mazurka dancer
807158	287575	
807159	349148	Ulpukka
807160	4447	Puuska's wife
807160	184796	Gossip
807160	239153	Alina
807160	242269	Mäkiskä
807160	255760	
807160	258845	Servant girl
807160	319314	Teacher
807160	319315	Teacher
807160	326070	Chairwoman
807160	326641	Matilda Fredrika Svebelius
807161	42216	Anna
807161	350605	Waitress
807161	380892	Johanna Palm
807162	2256	Madde
807162	33254	Nina
807162	94496	Nina
807162	138528	Anna-Karin
807162	150123	Josefine
807162	159903	Linda Wallander
807162	200451	Maria
807162	237245	Girl #2
807162	254215	
807162	322432	Johanna
807162	346202	Sandra
807162	392883	Marianne
807162	394744	Angel
807162	394940	Linnea Waern
807162	400821	Caroline Westander
807162	408800	Victoria Bärnsten (1996-1997)
807163	376408	Hausmeisterin
807164	184786	Rva Zellberg
807165	388646	Hovmästarinna
807166	251955	Kerrossiivooja
807167	321945	Woman at fashion show
807168	251941	Surinasussu #1
807169	198724	
807170	31936	Sylvia Nikulov
807171	381786	Herself - the host
807171	387958	Host
807171	402854	Herself - co-host
807172	228419	Hanna Appelblad, Baker with D
807173	394862	Participant (2002)
807174	389192	Ella Holm
807175	411905	Various roles
807176	5680	Inger
807176	13327	Helle
807176	29912	Aunt
807176	40674	Cecilie Vibe
807176	48671	Line Groberg
807176	57760	Marianne Hovden
807176	104886	Eva Magnus
807176	156254	
807176	192818	
807176	286085	Cecilie
807176	306974	Sofie's mother
807176	404785	Narrator
807176	405794	Sofies mor
807176	408192	Hilde's biological mother
807177	147222	Carole
807178	394862	Participant (2002)
807179	395374	(1974-)
807180	174151	Beach singer
807181	13104	Narrator
807181	23548	Judith
807181	23582	
807181	28570	Natacha
807181	43673	Barbara
807181	48418	Sharon Stone
807181	88177	Television Moderator
807181	94245	Annette Van Loo
807181	112725	
807181	170452	Mme Rosmer
807181	199350	Jif
807181	203943	Jacky Colleux
807181	235871	Madame de Pompadour
807181	278136	
807181	309742	Lise Mourier
807181	318267	Ariane
807181	320516	Elisabeth
807181	324526	Marie
807181	327559	Narrator
807181	339899	
807181	340348	Irène
807181	342611	
807181	345174	Barmaid
807181	345552	Lucille
807181	346431	Anne
807181	346507	Jeanne
807181	377726	Marinette Cerdan
807181	377905	
807181	377984	Odette
807181	381430	Carol
807181	385495	
807181	389762	Eve-Marie Langlois
807181	392371	Cécile
807181	396891	Marion Jourdan
807181	398966	Satin
807181	409031	Marion
807182	235840	
807183	245863	La Mère
807184	55645	Suzanne
807185	228202	Une autre patiente
807186	101270	Herself
807186	101271	Herself
807186	101273	Herself
807186	221494	Herself
807186	235729	Esmeralda
807187	384386	Myriam Marchand
807188	189259	Blonde woman
807189	101188	Herself
807190	400681	Clotilde, plus tard
807191	356391	Une voisine
807192	23776	Dorothy Cooper
807192	46705	La princesse
807192	58233	Wanda
807192	92904	Barbara Kers
807192	165185	
807193	64341	Eve
807194	124328	
807195	71528	Hilda
807195	99205	Various characters
807195	101581	Gendarmette radar
807195	123983	Invitée fête
807195	166127	Hôtesse de l'air 1
807195	184053	Aurélie, fan d'Odile
807195	211824	Mary of Anjou
807195	306950	
807195	340950	Junior military officer
807195	355126	Patricia
807195	379510	Emma
807195	387968	Katia
807196	43415	
807196	74913	Louise
807196	144320	Ginette
807196	280413	Carmen
807196	380704	
807196	393215	Ida de Barancy
807196	400643	Miss Pac Man/Paquerette
807196	407381	Récitante des résumés/Narrato
807196	410570	Hortense
807197	16950	Jacqueline
807197	23757	
807197	33892	L'accouchée
807197	45000	Belle-mère de Raoul
807197	45769	Magali/Sa fille
807197	50792	Blanche
807197	66742	La femme au gros chien
807197	69344	Electre
807197	71528	Jacqueline
807197	73719	Mme Manuel
807197	77421	Madame de Retz
807197	83348	
807197	84593	
807197	108540	
807197	156321	Rolande, l'amie de Gérard
807197	156553	Le psychologue
807197	164202	La directrice de l'hospice
807197	166160	Edith
807197	170361	Régine
807197	173072	
807197	224894	Martine Liabeuf
807197	250780	Sylvie
807197	256360	
807197	258330	Hermance
807197	296334	Maman
807197	306953	
807197	336854	Aouada
807197	343557	
807197	345254	Pauline
807197	355513	Jacqueline
807197	356445	Rose
807197	376876	Chantal
807197	383832	
807197	390515	
807197	410309	Béatrice
807198	51240	Mary Poppins
807198	51675	Béatrice
807198	225373	Diane
807198	251291	Cornélia (jeune)
807198	378680	Jeanne Morin
807198	393279	
807198	396835	Marguerite Volant
807198	410628	
807199	390486	L'avocate
807200	384560	
807201	68336	Le bébé
807202	2283	
807204	158938	La barmaid
807205	55016	Mme Costa
807205	57516	Mme Dupuis
807205	58308	
807205	83179	Hermance
807205	99375	La Mère-Grand
807205	104746	Monegasque entry (1st place)
807205	104780	Herself
807205	117579	Zazu Weather
807205	166095	
807205	189852	Herself
807205	189863	Herself
807205	212766	Marie Michaud
807205	257002	
807205	291589	La vieille dame de l'HLM
807205	357099	Jane
807205	410215	L'épicière
807206	83480	
807207	204751	(segment "O Homem, a Mulher e
807208	14629	Margarida
807208	14705	
807208	16000	
807208	51585	
807208	68590	Dona Conceição
807208	98801	Aunt
807208	104019	(segment "Louca de Ipanema, A
807208	104499	
807208	131986	
807208	165516	
807208	168139	
807208	197963	
807208	214409	
807208	224965	
807208	234633	
807208	250705	
807208	252754	Estela
807208	269273	
807208	307828	
807208	341470	Aparecida
807208	344885	
807208	377095	
807208	378108	Victoria Struedel
807208	380777	Tânia
807208	391674	Fifi
807208	394121	Brígida
807208	397409	Jove
807208	400098	Maria
807208	408592	Dirce
807209	222146	
807211	353632	
807212	301047	Eva (1968)
807213	57613	Eva
807214	42193	
807215	77565	Melinda
807215	97969	Anna
807215	99524	Nyilas pártszolgálatosnõ
807215	103052	Mary
807215	137750	
807215	227533	
807215	237144	
807215	322064	Foreigner
807215	322191	voice of Juli
807215	322208	Az állatorvos felesége
807215	399459	Ellen Wilkinson
807215	412078	
807216	403	
807216	3197	Emmi
807216	35060	Vénlány
807216	106690	Márkusné
807216	108913	Bereginé
807216	122131	
807216	140049	Csordásné
807216	153697	Sógorné
807216	153854	Apáca
807216	209842	
807216	229710	
807216	239898	ápolóno'
807216	326980	
807216	377760	Mother of Viki
807216	378577	
807217	292444	Eyeless Woman
807218	31868	Julie
807218	274293	Young Catherine
807219	106203	
807219	189397	Dana
807219	189398	
807220	85515	D. Odete
807220	129673	Noémia
807220	201986	Believer
807220	380856	Mulher dos pinhais
807221	50977	Smukke
807222	19766	
807222	96466	
807222	161682	Igazgatónõ
807222	182515	Gálné
807222	216250	
807222	225073	
807222	272164	
807223	18712	Anni
807223	211217	
807223	319239	Landlady in Vienna
807223	322099	
807223	322245	Zsuzsi
807223	343776	Fonó Éva
807223	377133	Anni
807223	377723	
807224	56080	Denisse
807225	74461	Cinka Panni
807226	275750	
807227	113091	Herself
807228	64756	Woman in Forest
807229	298977	Herself
807230	286416	
807231	69251	
807232	325453	
807232	354076	
807233	136613	Maid
807233	190821	Nurse
807234	2236	
807234	40402	Angelika
807234	41009	Yrida
807234	79159	
807234	124980	Yrida
807234	130940	Anna Jobst
807234	134794	Luise Treskow
807234	138431	Hanna Amon
807234	153058	Girl
807234	155471	Ines Thormälen
807234	156973	Elisabeth Uhl
807234	169844	Dorothea, Sturm's daughter
807234	170119	Ännchen
807234	174087	Emma May
807234	179576	Maria
807234	188372	
807234	232280	Old Woman (Euphemia)
807234	241972	Minning
807234	242861	Äls Flodéen
807234	275178	Elske Settegast
807234	314562	Yrida
807234	347698	Katharina von Hollstein
807234	347699	Ev
807234	352481	Katharina von Weber
807234	352675	Seraphine
807234	376327	Annemie Müller
807235	78533	Match
807236	9912	Gerda Clark
807236	39128	Anna Olesen
807236	151823	Fru Picot
807236	225684	Hanne, skovfogedens søster
807236	304206	Elin Jørgensen
807236	324424	Anne
807236	338687	Generaldirektørens forlovede
807236	345968	Eva Engberg
807236	349648	Grete Jensen
807236	356852	
807237	30163	Britta
807237	100451	Aunt Berta
807237	121016	
807237	167605	Mrs. Lind
807237	174075	Mrs. Maja Söderberg
807237	182542	Tyra
807237	204532	Colonel's wife buying a dress
807237	217451	Agnes
807237	245943	Mrs. Larsson
807237	305306	Elderly lady
807237	343389	Milly Portan
807237	381054	Edith Wahlgren
807237	398195	Aunt
807238	344377	Ulla Winblad
807239	223206	
807240	84318	Guest
807240	134965	Secretary
807240	198388	Jullan
807240	315365	
807241	332521	
807242	3228	Elvira
807242	3229	Elvira, nurse
807242	3236	Elvira
807242	3237	Elvira
807242	11709	Elvira
807242	101639	Irene Bernhard
807242	101640	Irene Bernhard
807242	108958	Agneta Jansson
807242	150660	Ingrid Hallman
807242	181844	Sussi
807242	185966	Lisa/Mrs. Jancofioro
807242	193390	Lisa Lagberg
807242	268377	Claire Svensson
807242	303644	Defrauded Lady
807242	312224	Fair Beatrice
807242	314999	Greta Pettersson
807242	338719	Miss Berg
807243	52603	Teacher
807243	94257	Eva Jonsson
807243	115401	Burret
807243	121004	Maj Bergman
807243	129275	Wife
807243	144002	Dorotea
807243	144040	
807243	154057	
807243	171634	Mrs. Lundberg
807243	173190	Bertha
807243	190815	Myrièle
807243	191171	Eunice
807243	191558	Anna Bjoerk
807243	206197	Teresia
807243	229550	Sophie, the nephew
807243	236290	Nurse
807243	303194	Gynecologist
807243	303199	Girl in school
807243	308200	Maid
807243	310254	Doris
807243	322279	Lola Hallberg
807243	336289	
807243	355702	Justitieministern (episodes 1
807243	381310	Snucke's mother
807243	389158	
807243	389363	
807243	398828	The harlot
807243	400001	Mormor
807243	408272	
807243	409050	Sigrid
807244	246486	
807244	347710	
807245	121018	Dresser
807245	125894	Cleaning woman
807245	136701	Woman
807245	182464	Adéle, dresser
807245	184585	Hotel Guest
807245	236228	Waitress
807245	312022	Café owner
807245	315365	Maid
807245	320954	Charwoman
807246	303552	Lady at the cinema
807247	410281	Siri Kolmodin
807248	394792	Tiina (2002)
807248	403393	Sani
807248	404782	Marjo
807249	354607	Vårdare (episodes 1, 3)
807250	335360	Grandma
807251	278346	Lisa
807252	138006	Cecilia Hamsun
807252	322299	Vera
807252	400001	Städare
807253	399850	Jonna Lindberg (2001-)
807254	248425	
807255	382893	
807255	402881	Mrs. Bergström
807256	149479	Businesswoman
807257	361333	Singer
807258	53056	Marge
807259	122470	Eva-Britt
807259	171557	Britt Harela
807259	209309	Lena
807259	234664	Eva Gaut
807259	238774	The Neighbour
807259	391357	Berit Sjöö
807260	320623	Birgitta Holmlund
807260	397784	Mrs. Olsson
807261	131180	Lilly Bergström
807261	307760	Telephone Operator
807262	17109	Daisy Doody
807262	32662	Leonore/Fidelio
807262	147925	Lilith
807262	152587	
807262	164782	Berit
807262	260406	Poppea
807262	269348	The Countess
807262	320618	Agneta von Kreschwitz
807262	328861	
807263	48361	Choir Member
807263	282942	Mother Goose
807264	212337	Herself - Participant/Perform
807265	409851	Terhi Lemi
807266	388055	Herself (2001/2003)
807267	184190	
807267	378611	
807268	387079	
807269	163137	The unit manager
807270	104719	Herself
807270	104720	Herself
807271	475	Britta Holzmeier
807271	78325	Britta
807271	96941	Hanna
807271	117308	Sponti (Testperson)
807271	134984	
807271	178604	Céline
807271	186892	Britta
807271	188735	Anna Schweglin
807271	216278	Carola
807271	232387	Filmteam
807271	314566	Fee
807271	361049	Sonja
807271	365592	Mutter Fabi
807272	278687	
807273	156504	Karin
807273	191062	
807273	238742	Ylva Sahlman
807273	241217	
807273	284553	Anna-Vera
807273	375867	Beda
807273	386183	
807273	390232	Various Characters
807274	179798	
807274	236826	
807274	376082	
807275	4805	
807275	20348	
807275	28607	
807275	92992	Frauelein Schoenholz
807275	120945	
807275	125108	Frau Ziesemak
807275	134182	Frau im Gefängnis (German Ver
807275	139836	
807275	182762	
807275	197823	
807275	234953	Mrs. Pierson
807275	241968	
807275	285382	Wirtin
807275	293560	
807275	301012	
807275	338333	
807275	345653	
807275	360935	Berta Andersen, Hotel Manager
807276	57824	Senem
807277	4725	
807277	356022	Gulizar
807277	382093	Mücver
807278	27462	Ali
807279	149494	Ede és Kati lánya
807279	153698	Sárika
807279	210385	
807279	263237	Anna
807279	282125	
807280	304850	Traffic Warden
807281	94279	Yvonne
807281	103134	Lilly
807281	142111	Anna Busch, Privatsekretärin
807281	177151	
807281	290092	
807281	303856	Karin
807281	306404	Eva Knauer
807281	347678	Annie Bergmann
807281	352307	Esmeralda
807281	354090	Annie, his daughter
807281	361520	
807282	48361	Choir Member
807283	94410	Herself
807284	347013	
807285	140712	
807286	322122	
807287	342308	Dancer
807288	63985	
807289	173432	
807290	173782	
807291	11738	
807291	229063	
807291	371556	
807291	378611	Mihriban
807292	212334	Herself - Participant/Perform
807293	7559	Hansigne
807293	94265	Ras' kone
807293	96443	Frk. Jørgensen
807293	184013	Kents mor
807293	184553	Kokkepigen
807293	190840	Restauratør
807293	218886	Kogekone Andersen
807293	219236	Mor
807293	225351	Kims mormor
807293	237301	Købmandens kone
807293	248424	Sonja
807293	255661	Fru Jensen
807293	275626	Frk. Philipsen, oversygepleje
807293	287375	Professor
807293	315579	Kioskdame
807293	343519	Borcks rengøringskone
807293	395824	Kvinde
807293	403114	
807294	93521	Terese
807295	113551	Nicole
807295	209328	Columbine
807296	78266	Herself - Prismodtager for MG
807296	104776	Herself - Performer
807296	212332	Herself - Participant/Perform
807297	178754	Journalistens kone, 'Journali
807297	268364	Den bedratte
807298	405745	Herself - Snuporter (2003-)
807299	399848	Herself - Host
807299	407220	Host
807300	100209	Eva Braun
807300	102906	Jukia (segment "Taboo Parlor"
807300	132260	Maria Gottlieb
807300	204300	Svetlana Vargas
807300	220427	Hilde (Bus-Terminal Bench Lad
807300	293705	Bolette
807300	340079	Anna
807300	371059	Sasha
807301	64642	Herself/Various roles
807301	76752	Husholderske
807301	78467	Herself (performing 'Trækbasu
807301	78468	Herself (performing 'Hjemme h
807301	78470	Herself (performing 'Kære du'
807301	78471	Herself (performing 'Ugler i 
807301	83087	Fadebursterne
807301	90167	Operasangerinden
807301	98981	Sangerinde
807301	108172	Natklubværtinde
807301	116460	Herself
807301	213334	Frk. Larsen
807301	226141	Fru Sandelund
807301	237102	Herself/Various roles
807301	240092	Connie
807301	240105	Ruth
807301	264282	Rengøringskone
807301	281991	Frisørkunde
807301	283482	Herself
807301	307504	Kioskdame
807301	327350	Herself (segment "Revykøbing 
807301	382884	1. Madamme
807301	406602	Viola Jørgensen
807302	214372	Lille Bøtte
807303	153367	Herself - Eye Patient
807304	385525	Tine
807305	2191	Herself - Galleriejer
807306	331069	Sigøjnersken
807307	385564	Nyhetsoppleser
807308	201395	Nyhetsoppleser (seg selv)
807309	40945	Stripper
807310	140985	Herself
807311	130949	Miss Moneypenny
807312	153398	Herself - Tidl. kommunal ansa
807313	181765	Mona
807314	78264	Herself - Performer
807314	314992	Herself
807315	228395	Cindy
807316	93526	Fru Ingeborg Balstrup
807316	95757	Byrådsmedlem
807316	108171	Stuepige hos Plaskenberg
807316	135699	Jørn's Mother
807316	182461	Steens Mor
807316	182629	Wife of 1st Supplier
807316	203966	Line
807316	236241	Dagmar
807316	237156	Laila
807316	255699	Vibsen
807316	255700	Vibsen
807316	255705	Konstabal Vibeke 'Vibsen' Mar
807316	287120	
807316	304357	Moder
807316	378325	
807316	398855	Lane
807316	400889	
807317	94265	Barn
807318	349906	Herself: Vælger
807320	78298	Herself
807321	180705	Woman at Christmas Party
807321	190823	Jurymedlem
807321	335865	Nurse Swenson
807322	394770	Herself - Participant (Denmar
807323	182604	
807323	315579	Bitten
807323	341697	Dora
807324	349906	Herself: Vælger
807325	264050	Maid 4
807326	78264	Herself - Performer
807326	314992	Herself
807326	361821	Herself - Host
807326	382485	Herself - Host (2002-2003)
807327	223206	
807327	292061	Herself
807327	292068	Herself - Performer
807328	402878	Shop Assistant
807329	405657	Herself - Host
807330	284399	Ung dame
807331	8371	Nethe
807332	34989	Participant (2001)
807332	381889	Herself - in Florida
807332	381913	Participant (3th out, 41 days
807333	23502	Sarah
807334	182273	
807335	248424	Mona - 36 år
807336	383605	Herself (2003-)
807337	170338	
807337	382528	
807338	98631	En farlig kvinne
807338	197274	
807338	261141	Elise Hammer
807338	287550	Sara
807338	289148	
807338	334230	Marthe, pike hos Nordgaard
807338	353049	Fru Skau
807339	1577	Politibetjent
807340	48700	Herself
807341	218201	
807342	107646	
807342	173430	
807343	397383	Zehra Nine
807343	411705	Erkan's mother
807344	156691	
807345	6423	
807345	8343	
807345	15883	
807345	22052	
807345	22076	
807345	22100	
807345	23271	
807345	25596	
807345	25609	
807345	25611	
807345	25612	
807345	25613	
807345	25620	
807345	26032	
807345	26049	Yakup's mother
807345	27420	
807345	27732	
807345	28390	
807345	30493	
807345	33232	
807345	33411	
807345	34046	
807345	38439	
807345	38443	
807345	38444	
807345	38481	
807345	38494	
807345	51353	
807345	51890	
807345	63776	
807345	63801	
807345	63981	
807345	65016	
807345	84088	
807345	89507	
807345	95050	
807345	97099	
807345	98596	
807345	102538	
807345	105477	
807345	114520	
807345	130560	
807345	136753	
807345	137015	
807345	138104	
807345	140608	
807345	149688	
807345	158803	
807345	163113	
807345	171981	
807345	172659	
807345	173085	
807345	173767	
807345	173797	Fatma
807345	174654	
807345	174662	
807345	174990	
807345	175447	
807345	175489	
807345	175705	
807345	177127	
807345	177878	
807345	177907	
807345	177965	
807345	179192	
807345	179585	
807345	179815	
807345	180227	
807345	182801	
807345	182868	
807345	200672	
807345	210526	
807345	210936	
807345	227236	
807345	229060	
807345	238818	
807345	244486	Hacer
807345	245860	
807345	285251	
807345	285567	
807345	285858	
807345	286533	
807345	288267	
807345	293664	Sakine
807345	294170	
807345	294885	
807345	295266	
807345	295333	
807345	295508	
807345	303017	
807345	307029	
807345	308951	
807345	322546	
807345	335909	
807345	341873	
807345	341874	
807345	341875	
807345	370223	
807345	370320	
807345	370581	
807345	370582	
807345	370640	
807345	373396	
807345	377511	
807345	377542	
807345	377568	
807345	377569	
807345	378191	
807345	378235	
807345	378573	
807345	378580	
807345	378592	
807345	378594	
807345	378600	
807346	4725	Izzet Hanim
807346	34235	Fatma
807346	83169	Bahar
807346	95260	
807346	113916	Duygu
807346	174052	Gülsüm
807346	275154	Meryem
807346	303027	
807346	311070	Zelihan
807346	349214	
807346	349226	Inci
807346	370630	Ayse
807346	391144	Marika
807346	394922	Marika
807347	11815	Luzy
807348	361095	
807349	7784	Cafi anyja
807350	1117	Ilma
807350	74397	Mici néni
807350	74426	Márta
807350	129672	Mrs. Krizsa
807350	132371	
807350	136600	Gerlóczy Bea
807350	175600	
807350	176203	
807350	225695	Platinaszõke nõ
807350	237165	Mrs. Csepcsányi
807350	322148	Viktoria
807350	377760	
807350	377778	Pongay lánya
807351	386219	Finalist #11
807352	238090	Faidra/Herself
807353	268216	Krasomila's nunny
807353	339292	Beata
807354	58206	stará Habdzová
807354	93600	Melánia Krutková
807355	46270	Rights Casting Director
807355	118763	Doctors, Nurses and Orderlies
807355	174139	Ms. Moss
807355	200170	Dragora
807355	200171	Dragora
807356	311055	Bug Lady
807357	74468	
807357	137757	
807357	155545	Sziniigazgató felesége
807357	224968	
807357	270797	Szakácsnõ
807357	378342	Dajka
807358	39137	
807358	39140	
807358	291003	
807358	356659	
807359	4090	
807359	4323	Sunita's girlfriend
807359	6351	
807359	8250	Gypsy sardar's daughter
807359	16569	
807359	27413	
807359	29396	
807359	31591	
807359	32527	
807359	36008	Khushi
807359	36297	
807359	58684	Mrs. Manubhai
807359	60999	
807359	81706	
807359	85290	
807359	85316	
807359	85330	
807359	85402	
807359	85445	Blue dressed dancer in the so
807359	86640	
807359	98514	
807359	108988	
807359	109110	
807359	123738	
807359	126948	Asha's sister-in-law
807359	126952	
807359	137264	
807359	137827	
807359	150671	
807359	152486	Krishna
807359	164315	
807359	165146	
807359	171523	Champa
807359	172346	
807359	173501	
807359	173578	
807359	199636	
807359	200635	
807359	200721	
807359	201044	
807359	201075	
807359	204095	
807359	211456	Paan-bidi shop-owner
807359	227129	
807359	227990	
807359	233211	
807359	268566	
807359	271044	
807359	271902	Shaam
807359	276222	
807359	281521	
807359	286751	Dancer
807359	289181	
807359	297584	
807359	299360	
807359	318634	
807359	328179	
807359	328180	
807359	370206	Dancer
807359	370973	Sakshi's aunt
807360	1737	Themselves - Performers
807360	4318	Rasilee
807360	62724	Danny's love interest
807360	85290	
807360	184167	
807360	204095	
807360	217482	
807360	282230	Champa
807360	299804	Shanta
807360	320921	Leela
807361	28194	
807361	58576	Granddaughter Who Fakes Havin
807361	77035	
807361	135880	Goddess Parvathi
807361	173384	Maragatham
807361	202478	
807361	334714	Wife of Ramudu
807362	100535	
807362	226034	
807363	292946	Joan, spy chieftain
807364	21042	Esther Woo
807364	26417	Night Nurse
807364	62560	Melissa
807364	70302	
807364	73801	Rainie Lewis
807364	114284	Shari
807364	137696	Claudine
807364	139540	Cindy Kim
807364	314935	Louise Coleman
807364	315223	Salesgirl
807364	348643	Kim
807364	363509	Scranton's Secretary
807364	367844	Tenant #1
807364	395313	Volunteer
807364	403708	Pam (1970-1972)
807364	406387	Nightsong
807364	408060	Nancy Dao
807365	394793	Leena Anttila
807366	478	
807367	906	
807368	395375	Aurora
807369	266977	Maija Rättyä
807370	189310	Pregnant Woman
807371	129755	
807372	128604	Model ("Stormy Sunday" Segmen
807372	257683	Herself
807372	295853	Herself
807373	351234	
807374	26472	Colleague
807374	28169	Fanta
807374	136309	
807375	69002	
807376	302763	Girl in Bar
807377	295434	Catalina
807378	196005	Catty Woman
807379	81344	Mavis
807379	362193	
807380	202300	Christyakova
807381	108776	
807382	103931	Epouse de l'ivrogne
807383	174491	
807384	380097	Camila
807384	383686	Palmira
807384	384117	Ritoca
807384	393286	Beatriz
807384	396177	Elisa
807384	396610	Tainá (1995-1996)
807385	381530	Lisa Dolgorukaya
807385	396236	
807386	306680	
807387	51978	
807388	351494	Mónica
807388	390745	Lady Rojas
807389	400341	Herself - Miembro del jurado 
807390	63202	Adan
807391	355273	
807392	46079	
807393	252066	
807394	103630	Cajera
807394	225046	Jacky
807394	376827	Sonia
807395	41469	Wise Old Woman
807396	220890	Herself
807397	250737	Midshipman
807398	137136	
807398	176154	
807398	268093	
807398	297066	
807399	150510	Kaoru
807399	239095	Renko
807399	405156	Kondo Tsune
807400	11854	Marianne Diefenbach
807400	28980	Aysun
807400	29111	Luna
807400	65540	
807400	78301	Aysche
807400	127496	
807400	131171	
807400	134464	Billie
807400	142655	
807400	166368	Jasmin
807400	177172	Jana Kessel
807400	185854	Carla Sperling
807400	187677	Vera Vinyl
807400	209474	Robin
807400	217916	Jo
807400	234542	Lisa
807400	255446	Sarah
807400	268005	Irma Caspari
807400	275690	Valerie Henninger
807400	286779	Frau Müller-Klessheim
807400	302457	Marina
807400	325656	Elfie
807400	345665	Meret
807400	345676	Nina
807400	352564	Helena
807400	361139	
807400	374138	
807400	409588	Anneli Müller's Advocate
807401	409899	
807402	404445	Host
807403	257434	Gospel Singer #2
807404	62678	Aggy
807404	90430	Aggy
807405	101581	La petite vieille Rossignoli
807406	53937	Rose in Wimpy's Diner
807407	40877	Teenager
807408	381512	Herself (1968-1979)
807409	108146	
807410	147767	Backround
807411	142404	
807412	210556	
807413	372514	Linnet's Mother
807414	114288	Secretary
807414	128893	Grace
807414	248937	Her Friend
807414	313489	Mission Vao
807415	21692	
807415	213718	
807416	90228	
807417	113138	
807418	137449	Baby Adrian
807419	31857	Sacco's Daughter
807420	137449	Baby Adrian
807421	25169	Lamia
807422	749	La soeur de Fatima
807423	309063	
807424	333007	Painter
807425	118464	Herself
807425	200022	Zora Kutic
807426	33895	
807427	7743	
807427	7751	
807427	50534	
807427	97116	
807427	128350	Kathy
807427	130285	
807427	283888	
807427	293301	
807427	305231	
807427	319673	
807427	322743	
807427	322744	
807427	323540	
807427	372090	
807428	2688	Julia Lowbatt
807428	64250	
807429	354445	
807430	26590	Eleonora
807431	257715	
807432	74571	Pili
807432	99354	Alicia, nin~a
807432	148026	
807432	212993	
807433	77629	Clifton
807434	9494	Monika
807434	54301	La ballerina
807434	186984	
807434	207167	Gitta Stadelmann
807434	301025	
807434	377594	
807435	4438	
807435	39484	
807435	39581	
807435	50369	
807435	53010	
807435	104774	Maltese entry (15th place)
807435	158590	
807435	189016	
807435	202524	Herself
807435	295945	
807435	361211	
807436	79060	Diana
807437	139650	Angelina Johnson
807437	139655	Angelina Johnson
807437	139657	Angelina Johnson
807437	184518	Jenny
807437	398781	Peaceblossom
807438	326794	Adrienne
807439	160832	News Crew
807440	303455	Posh Couple
807441	252515	
807442	312927	Vampire 11
807442	350209	Lisa Carmen
807443	353236	Fireman
807444	296733	Situation Room Assistant
807445	185683	Theater Audience
807445	360712	Wedding Guest
807446	303799	Water Spirit
807447	62299	
807447	386787	Corina
807448	373594	Mother
807449	263431	Teta
807449	306977	Stana
807450	128782	Herself
807451	104209	
807451	110902	
807452	2195	Claire
807452	347194	Une demoiselle de l'Allée Raf
807453	385449	Genevieve 'Gerrit' van Nispen
807454	20078	La photographe
807455	271372	Mirabelle
807456	399755	Herself/Candidate (Finalist)
807457	55122	Club Date
807457	70391	Club Dancer
807457	274312	Alex's Friend
807457	296875	Concubines
807458	399685	Nancy
807459	1698	Billu
807459	2617	Herself (Presenter)
807459	4239	Meena
807459	4476	Archana
807459	4555	Amrita
807459	22616	Aditi
807459	35964	Bhagmati
807459	39032	Lovely
807459	39033	
807459	43166	Herself
807459	43615	Hotel Receptionist
807459	44240	Kuldeep's wife
807459	58403	Janki Paswan
807459	59011	Mumtaz Ali Ansari
807459	70433	
807459	72117	Jasmine
807459	79107	Chitra
807459	86674	Roshni Batra
807459	86677	Kamya Lal
807459	112762	Rewa Singh
807459	126910	Kavita Chaudhary
807459	138593	Anja
807459	138927	Sudha
807459	140427	Sanjana
807459	143467	Anuradha Shivshankar Panikar
807459	145460	Anju
807459	151935	Panna
807459	152480	
807459	152486	Sadhana
807459	162499	Selvam's lover
807459	164292	Neha Pandit
807459	166478	Tulsi (Special Appearance)
807459	171992	Divya
807459	172564	Parvathi
807459	173317	Sowmya
807459	175951	Shilpa
807459	179363	Insp. Kiran Patekar
807459	196854	
807459	198642	La jeune fille brune sur le b
807459	198702	Captain Sonia Khanna
807459	198706	Veerandra (Veeran)
807459	204980	Nimmi
807459	209558	Meenaxi/Maria
807459	233029	
807459	251884	Sapna
807459	262818	Lachi/Sonya
807459	284714	Divya
807459	284716	Kavita
807459	284777	Savitri Rao
807459	298811	Suman
807459	303158	
807459	306066	
807459	325016	Roshni
807459	329221	Suman Dev
807459	341344	Kajal
807459	354311	
807459	354978	Gehna
807459	375210	Shalu
807460	397693	Putty Patroller
807461	235761	
807462	5794	Cliente
807463	289567	Pregnant Woman
807464	101256	Mme Point
807465	61470	Umetatsu Akamatsu
807465	229772	
807465	229773	
807465	349168	Usugumo Dayu
807465	374096	Otane
807466	208746	
807466	352127	Clotilde
807467	75395	Young Gabriela
807468	344656	Kamilla (Human Form)
807468	409319	Tsukiko
807469	235034	
807469	299008	Dancer
807470	133113	Leen and Pooy
807470	183061	Alouette
807470	187357	
807470	253445	Akari Hoshi
807470	262104	
807470	316618	Blair Dame
807471	323362	
807472	137109	
807473	222518	Oshizu
807474	297069	Amita
807474	320414	Oriko
807475	9477	Shino Ohtaka
807475	182128	Kaoru Tachibana
807475	182718	
807475	232565	Etsuko
807475	233128	
807475	293603	Shizuko
807475	308879	Nobuko Fujioka
807475	334881	
807476	78285	Kuno
807477	129868	Bus Guide
807478	122049	Taro Maesaka
807479	46286	Maiko
807480	207554	Akane Katsuragi
807480	300561	
807480	301965	Tina Shiraishi
807480	318952	
807480	399191	
807481	22692	Aiko Okamoto, Younger sister
807481	211720	Katsuko Suzuki
807482	287636	Namiji
807483	32574	Shoko Kisaragi
807483	32575	Shoko Kisaragi
807483	72679	Kanako Harada
807483	150504	Natsuko
807484	349219	
807486	170903	
807487	138078	Suzue
807488	239490	
807489	181566	
807489	229584	Asako, Younger sister
807489	285919	Ayako Nakano
807490	51083	Woman in operation room
807490	70605	Michiyo Sonoda
807490	77527	Ofusa
807490	121439	
807490	125448	
807490	177116	House wife
807490	214715	Waitress
807490	230142	
807490	272581	Ritsuko
807490	293486	Junko Ebisawa
807490	299325	Yuko
807490	347482	Rumi
807490	407549	
807491	159829	Hiro
807491	159830	Hiro
807492	278550	Shizuka Asakawa
807492	374605	Rei
807493	329664	
807493	329665	Masochist Maniac Girl
807494	26237	Midori
807495	174332	
807495	213505	
807496	319374	Priss (Bubblegum Crisis)
807497	373333	
807498	370493	
807499	214439	Student #1
807500	385594	Jenna Wade #2 (1980)
807500	387539	Amelia Lapidus
807500	390373	Camille Rittenhouse
807500	400026	Annie McIntyre
807500	400772	Elizabeth Logan (1978-1979)
807500	404002	Dr. Gloria Tassky (1985)
807501	215793	Receptionist
807502	333270	
807503	365148	Ma Ransome
807503	365415	
807503	396833	Nora Clayton (1961-1962)
807504	90816	
807505	5277	Princess Alem
807506	38229	(Guest Appearence)
807506	219417	
807506	378095	
807507	112185	Becky
807508	353946	Assistante Sociale
807509	241505	Chip Girl
807510	103325	Student
807511	78345	La grand-mère
807512	72237	Edward (Ed)
807512	385151	Edward Wong Hau Pepelu Tivrus
807512	385982	Terriermon/Galgomon/Rapidmon/
807513	216649	
807514	173596	
807515	396017	Debbie
807516	116354	
807517	308884	
807518	121932	Mari
807518	177790	Miyazono, Makiko
807518	239200	
807518	289316	Natsui Inako
807518	319013	
807518	374182	Mia
807519	170542	
807520	346133	Guest at wedding
807521	14690	Lívia
807521	14821	Lilita
807521	44225	
807521	70311	
807521	102669	
807521	113023	
807521	115768	Ligia
807521	168317	
807521	295103	Vampirete jane
807521	296144	
807522	265809	
807522	344635	
807523	368356	Eve
807524	242688	Giralda Adorno
807524	276526	Giralda Adorno
807525	26681	Bruna
807525	245801	Nonna di Mara
807526	57855	Clorinda
807526	77375	Clorinda
807527	16867	
807528	209342	Anna
807528	246380	Carlotta
807528	334008	Little Girl
807528	410278	
807529	194390	Cori Wells
807530	93512	
807531	69149	Herself
807531	89159	German singer
807531	252237	
807531	347659	Inez
807532	280853	Toni
807533	56328	Agnese Sperandio
807533	233188	Woman Announcer
807533	274267	Tom's Girlfriend
807534	199311	The Family
807535	233952	Esteticista 1
807536	378373	Reportera
807537	383811	Zoila Gordoa Delgadillo (1998
807537	390440	Déborah Fierro
807537	393365	Nachita
807537	397572	Celia López Hernández
807537	400400	Host (2001)
807538	13800	Hooker 1
807539	261116	Gladys
807539	346101	The Jaded Three #2
807539	396477	Gandhari's servant
807540	296981	The Prostitute
807541	100820	Stephanie (1 year old)
807542	374029	Zare
807543	341335	Duda
807544	134763	
807545	247144	
807546	191579	
807547	257371	
807548	83781	Woman
807548	278894	Choreographer
807548	336698	Woman
807549	124849	
807550	986	
807550	2652	
807550	3060	
807550	14338	
807550	15392	
807550	20062	
807550	27532	
807550	38842	
807550	43623	Additional voice
807550	51022	
807550	60612	
807550	60636	
807550	60652	
807550	62556	
807550	63493	
807550	78273	
807550	122938	
807550	127746	
807550	131282	
807550	137080	Mother
807550	137876	
807550	149046	
807550	149544	
807550	155194	
807550	156361	
807550	165145	
807550	165527	
807550	165551	
807550	166826	
807550	176693	
807550	201957	
807550	204527	
807550	204723	
807550	211205	Hye-won's mother
807550	211208	
807550	217361	
807550	217370	
807550	217492	
807550	221874	
807550	224469	
807550	226559	
807550	226588	
807550	226666	
807550	227080	
807550	227139	
807550	227394	
807550	227400	
807550	227441	
807550	227819	
807550	229854	
807550	236497	
807550	236720	
807550	236772	
807550	238861	
807550	246994	
807550	247029	
807550	247621	
807550	247622	
807550	266988	
807550	279872	Narrator
807550	282169	
807550	294451	
807550	294464	
807550	294465	
807550	298738	
807550	298857	
807550	299138	
807550	318951	
807550	320360	
807550	322907	
807550	322914	
807550	323696	
807550	329015	
807550	371207	
807550	371208	
807550	371220	
807550	371232	
807550	371835	
807550	373140	
807550	403547	
807551	334790	Ken's mother
807552	302710	Dancer
807552	313825	Cheerleader
807552	383721	Dancer
807554	19839	Eva (segment "Sara")
807554	69137	French Security Guard #2
807554	72037	Sylvie
807554	91445	Esculape 2
807554	92899	Myriam
807554	102915	Jeanne
807554	110131	Amélie Bertillon
807554	131715	Gaby
807554	149945	Young German Lady
807554	269143	Une amie de Laurence
807554	301314	
807554	340133	Zoé
807554	355975	Maid
807554	377692	Marguerite
807554	387764	Henriette
807554	388243	
807554	396370	La voix d'Etoile'
807554	409459	Eliane
807555	42947	Titín
807555	43145	
807555	233904	La directora
807555	272628	
807555	378436	
807556	86109	
807557	289894	
807558	211547	Suzanne
807558	392280	Ruby Ellis (Bart's old flame)
807559	215194	Grandmother
807560	32024	Young woman
807561	99323	
807561	136979	
807561	169085	
807561	192941	
807561	210179	
807561	216058	
807561	221953	
807562	303028	Goo
807563	109431	Woman next to Charlie in Dine
807564	107871	Construction Chick
807564	169895	Louise
807565	11770	Habich's Exfrau
807565	49304	
807565	89478	Gracia Patrizia
807565	125165	Hedwig Schlegel
807565	179798	
807565	223490	
807565	261146	
807565	284430	Karin Eicher
807565	290820	Brigitte
807565	325383	
807565	352055	
807565	365602	
807565	365638	
807565	366483	Edith
807565	409588	
807566	312927	Bar patron 13
807567	76049	Alice
807567	389271	Janine (segment "Madeleine")
807568	237822	Allison
807569	368971	Jane, Second Sister
807570	276736	Ellen
807571	99842	Penny Bishop
807571	321982	Sonia
807572	204543	Najli
807573	378786	Herself (Courtside Reporter)
807573	399358	Hostess/sideline reporter (20
807574	81562	Herself
807575	28480	Woman Photographer
807576	45756	Bonnie Crowe
807577	365396	Party Guest
807578	274845	
807579	358815	Kimber Myers
807580	100855	Garbage Lady
807581	54878	
807581	93638	Faith Willis
807581	155725	Doris Morton
807581	268907	Louise Alford
807581	269389	Miriam Evans
807582	242093	Driver's Wife
807583	16705	Android
807584	8961	
807584	40062	Daughter of the Buccaneers
807584	81178	Mexican woman
807584	82479	Mr. Kyle
807584	88566	Laura
807584	90801	Family council member
807584	175750	Clarabelle
807584	209242	Garden Party Woman
807584	249323	Gramma
807584	275206	Sarah
807584	315718	Eska
807584	337075	Richard's mother
807584	352639	Nun
807584	372222	Mrs. Bowers
807585	60240	Bar Babe
807585	303611	Candi
807586	380917	Luz
807586	392963	Lucero Helena Zapata
807586	393199	Chachara
807586	401699	Johanna
807587	64772	Dancing Girl
807587	338668	Rosaria
807588	300499	
807589	96791	O San, the Dancer
807590	384221	Navi
807591	122957	Tajima/A schoolteacher (story
807593	8711	
807594	357426	
807595	229832	Starata zhena
807595	326248	Dragana
807596	25590	
807596	232976	
807596	251230	
807597	239494	
807598	358411	
807599	109969	Hawa
807599	188685	
807599	249678	(segment Lettre à Abou)
807599	350084	Assiba
807600	101174	Lena
807601	101056	Herself
807602	407847	Shinobu, Additional Voices
807603	314635	
807604	186846	Twelve Year Old Girl
807605	66308	Reporter #2
807606	372525	Miss Ditka
807606	387309	Geraldine 'Geri' McGrath Poll
807606	400236	Millie Parks (1969-1970)
807606	404613	Janet Bergman Walton #6 (1971
807608	285031	Catechism
807608	310998	Young Woman (with stroller)
807609	1390	Reporter
807609	12223	
807609	44471	Janet Carlson
807609	55806	Monica
807609	62053	Rita Jacovich
807609	67560	Mrs. Staplin
807609	68162	Johnson
807609	71843	Betty Libner
807609	73841	Kate Golden
807609	86292	Thelma
807609	105182	
807609	149728	Donna McCarthy
807609	159874	Salt
807609	160565	M.A.D Nurse (segment "Gadget'
807609	165277	
807609	190930	Lou
807609	199877	Sally
807609	222194	Linney James
807609	293644	Nina
807609	311439	Fern Hooten
807609	314131	Autumn McBride, Banker
807609	315899	Carol Schue
807609	336039	Rita
807609	348835	Woman In Bed
807609	358274	Mrs. Walt Johnson
807609	360647	Emma Webber
807609	360818	Lillian Bingington
807609	379827	Joan Foley
807609	384548	Ruthanne (1994-1995)
807609	392897	Additional Voices (1985-1986)
807609	395491	
807609	406486	Blanche
807610	333120	Person of the Night
807611	12332	Reporter
807611	18310	Reporter
807611	137688	News Reporter
807611	276842	TV Anchor
807611	330104	Newscaster #3
807611	383037	Anchor
807612	337180	Party Guest
807613	253499	Marla
807614	379037	Various characters (1995-1996
807614	396017	Annabelle
807615	77012	Amangol
807616	4528	Market Vendor
807616	176673	
807617	254845	Lucia Cupidia
807618	106286	Serveuse restoroute 1
807619	20800	
807619	213512	
807619	284590	Livia
807619	294412	Paola
807619	379854	
807619	401970	Giulia Poggi
807619	402098	Elene (1997)
807620	329484	Bridesmaid
807621	154151	Stines lillesøster
807621	322301	Stines lillesøster
807622	90976	
807624	94662	Pisana
807625	28994	Nathalie Meissonier
807625	47391	Léa
807625	60913	Lieutenant Estelle 'Pitbull' 
807625	66726	Annette, l'avocate
807625	96037	Ground Hostess
807625	133057	Agnès
807625	211140	Claire
807625	254601	Christine
807625	278146	Cerise Bugues
807625	389242	Marie Forlo
807625	410147	Irène
807626	154151	Sanne
807627	246222	Cameo
807628	100823	Sue's Mum
807628	128891	Anne Marie
807628	349582	Stonecheeks
807628	382332	Jill McKenzie
807628	387533	Nellie Dingle (2000) (32 epis
807629	281145	Lycosian Troop
807630	2996	Nisha Mathur
807630	4009	
807630	4243	
807630	4420	
807630	4477	Mansi
807630	4555	Aparna
807630	4964	
807630	13123	Lekha
807630	13124	Lekha
807630	13151	
807630	13153	Pushpa
807630	15814	
807630	15867	
807630	18482	Uma Sharma
807630	19379	Aparna
807630	19604	Vandhana
807630	19671	Aparna
807630	27508	
807630	30158	
807630	34530	Rinku/Monica
807630	59480	
807630	61013	
807630	63505	Sulekha
807630	76413	Sonia
807630	79239	Meena
807630	83741	Bharati
807630	84730	
807630	84790	Doyamoyee
807630	85282	Dev's mother (Special Appeara
807630	86634	
807630	88150	Chandra
807630	88607	
807630	90921	Shobha
807630	90927	
807630	90947	
807630	98513	
807630	98542	
807630	104988	Deepa/Rupa (Suzy)
807630	108988	Mala AKA Asha
807630	122693	Herself
807630	134362	Mansi
807630	152494	
807630	152696	
807630	164733	
807630	165944	
807630	172615	
807630	174373	Champa
807630	176184	Lakhi
807630	198725	
807630	204403	
807630	208205	Chanda/Kajli
807630	211403	
807630	211404	
807630	215911	Kinnu
807630	224118	
807630	227205	Nimki
807630	227881	Herself
807630	228869	Aditi
807630	230595	Nisha
807630	233175	
807630	246098	
807630	262241	
807630	268113	Madhu
807630	271469	
807630	277784	
807630	285256	
807630	288778	Ranjana
807630	289183	
807630	293249	Tutul
807630	297317	Pratima
807630	298627	Shoma
807630	300422	Padmini Choudhury
807630	318427	
807630	319133	
807630	320910	
807630	323686	
807630	343313	Sunita
807630	355227	Sumitra Patwardhan
807630	359156	Renu
807630	370318	Rita
807630	370953	
807630	370974	
807630	411997	
807632	172995	Kazumi
807632	172996	Kazumi
807632	177135	Ayumi
807632	275818	Taguchi
807632	284033	Taguchi
807632	394092	Kazumi
807633	228370	Tomoko
807634	163011	
807635	21329	Maki
807635	97633	
807635	179545	Yumi
807635	334905	
807635	343636	
807636	237842	
807637	177112	
807637	242159	Reiko
807638	186064	Emma Singleton
807638	380228	Victoria Dennison
807638	385020	Michelle Robinson (1985)
807639	268420	Mme Petlet
807639	346639	
807640	50212	Elizabeth Raimes
807640	314011	
807641	265400	Nurse Jadwiga
807642	54637	
807643	384693	Various Characters (2003-2004
807644	5245	
807644	25548	
807644	30822	
807644	145677	
807644	171842	
807644	207913	
807644	216702	Nadia
807644	218909	
807644	221641	
807644	227898	
807644	271593	
807645	73449	
807646	27481	Reza
807647	8268	
807647	39302	Ambra
807647	42979	Kinojo
807647	44404	
807647	65570	
807647	85624	Guest from Earth
807647	94711	Ku-Fhu
807647	127376	
807647	135291	
807647	156911	(segment "Medico e fidanzata"
807647	215894	
807647	295138	Agente polinesiana
807647	311066	Hardjob, Dr. Goldfoot's assis
807647	336601	
807648	136794	
807648	400680	
807649	322919	Shan Karon
807650	96225	Vanessa
807651	120268	Susi
807652	114829	
807653	221175	Victim
807654	95146	Ms. Patterson
807655	166871	Additional cast
807656	10546	
807656	20896	
807656	21366	
807656	39023	
807656	60827	
807656	89285	
807656	131087	
807656	175952	
807656	201250	
807656	206253	
807656	234872	
807656	285532	
807656	349702	
807656	350694	
807657	139360	Kheïra
807657	208753	Chanteuse berbère
807657	370420	Fatima
807658	25981	Nadia
807658	27478	
807658	117927	
807658	137883	Moona
807658	137884	Moona (episodes 1 and 4)
807658	180946	Samia
807658	220219	Jeune danseuse de tango
807659	189963	Aisja
807660	379466	Elpida
807660	387154	Marushka Malenga
807660	387401	Mrs. Papapetrou
807660	394037	Elpida Tirogala
807660	394151	
807661	39361	
807661	97973	Morzsi,Tamás menyasszonya
807661	182646	
807661	236307	
807661	331995	
807661	333112	
807662	37057	Ping
807662	45637	Sunglass Vendor (segment "Ins
807662	97360	Vampira's Friend
807662	280108	Audrey
807662	283712	Flight Attendant #2
807662	300443	
807663	37057	Jing
807663	97360	Vampira's Friend
807663	280108	Ava
807663	283712	Flight Attendant #3
807663	300443	Shui Hen
807664	189925	
807665	189925	
807666	26485	
807666	34928	
807666	34929	Herself
807666	34931	Herself
807666	37145	
807666	54566	
807666	68757	
807666	75039	
807666	81826	
807666	95803	
807666	100899	Fantasy girl
807666	106548	
807666	107093	
807666	140463	
807666	142500	Herself
807666	177468	
807666	179175	Kobé
807666	188415	Herself
807666	219872	
807666	255397	
807666	273550	
807666	298163	
807666	304784	
807666	313573	
807666	313574	
807666	323379	
807666	329748	
807666	352684	Tina
807666	363375	Herself
807666	363376	
807666	368303	
807667	168464	May Pang
807667	290822	
807667	365937	Manageress
807667	406111	Lily
807669	306421	Seamstress
807670	90860	Terri
807671	14773	
807671	22705	
807671	48789	
807671	53126	
807671	54111	
807671	55798	
807671	74510	
807671	74556	Pocha
807671	74900	
807671	103187	
807671	104870	
807671	108861	
807671	134429	
807671	206744	
807671	214213	
807671	214620	
807671	225711	
807671	248302	Carlota Brizuela
807671	258485	
807671	258533	
807671	265334	
807671	268439	
807671	302552	
807671	307723	
807671	339115	
807671	379247	
807671	379249	Viviana Hortiguera
807671	379946	
807671	384671	
807671	386782	María Alba
807671	388162	
807671	392751	Sister Valentina
807671	392752	Viviana Hortiguera
807671	393151	Beatriz
807671	393803	Juana
807671	397256	Rosa 'Gorrión' Morelli
807671	405242	
807671	408417	
807671	409465	Host
807672	209298	Ceferino's wife
807673	9587	Oteru
807673	49712	Namiji
807673	78285	Saori
807673	130554	Tomoe
807673	137040	Friend
807673	138061	
807673	145439	Kimiko
807673	173621	Mayumi Takigawa
807673	179537	Rie
807673	182720	Ayako Nakagami
807673	244557	Botan
807673	298827	
807673	299003	Nishikigi
807673	299591	Yae
807673	370233	Daughter-in-Law
807673	370361	Kanae
807674	139857	
807674	235519	Khanun Shaheen
807674	286025	
807675	124603	Teha'amana
807676	124603	Momo
807676	246214	Laya
807677	205677	
807677	220194	Bathing beauty
807677	302796	Gypsy woman
807677	341611	Girl at Coq d'Or in Le Havre
807677	377435	Girl at the party
807678	305519	Miriam
807679	182466	Dark-haired girl at 'Bella Vi
807679	220194	Bathing beauty
807679	305519	Käti
807681	137223	Sheila's Mother
807682	212440	
807682	376739	Mecha
807683	259914	La postière
807684	255640	
807685	393769	
807686	247157	Barbara
807687	260886	
807688	390468	Chroniqueuse
807689	387668	América Cortez-Cadieux
807691	58056	
807692	6697	(segment "Interrogatoire")
807693	57232	La cantatrice
807693	110071	Dame Marthe
807693	252034	Geneviève
807693	340661	Dido's sister
807694	231834	Susan
807695	37196	
807695	39749	
807696	188933	Woman at the ambulance
807696	225019	
807696	399562	Herself (Model/Hostess)
807697	326389	Tamara
807698	69342	Anne-Sophie
807699	103039	Vera Maretskaja
807699	164248	Elma Lumia
807699	171587	Sabina
807699	174143	Elisa Rosengren
807699	186225	Lorette
807699	219450	Asta Jokimaa
807699	223261	Akris
807699	242269	Mrs. Heimonheimo
807699	301911	Lilli Lind
807699	354259	Kristine Bergman
807700	43372	Mother
807700	59813	Waitress
807700	118763	Nurse
807700	211606	Praskowia
807700	217134	Mrs. Morelli
807700	326246	Principal Gates
807700	353293	Mrs. Potts
807701	275775	Himself
807702	4231	
807702	149634	Woman delegate
807702	163185	
807702	177898	Guest
807702	181649	Mrs. Nikander
807702	181652	Ida Suvinen
807702	184065	Social welfare secretary
807702	186068	Cashier
807702	219450	Wedding guest
807702	233244	Niskavuoren vanha emäntä (old
807702	242264	Woman in testament reading
807702	264291	Leena-muori
807702	346843	Lady of Ylitalo
807702	350590	Dean's wife
807702	354255	
807703	153095	Toimittaja
807703	402792	
807704	14002	Stephanie's sister
807705	44076	Linda
807705	119850	Jackie Grenville
807705	297653	Lorraine
807705	401637	Herself
807706	3950	Jeanne
807706	6411	La mère/Simone's Mother
807706	8214	
807706	19346	La grand-mère de Louis
807706	23750	La fille de cuisine
807706	24314	Mme Duvigne
807706	25167	
807706	32012	
807706	43757	Germaine (segment "Bons vivan
807706	45196	Germaine
807706	53233	Jeannette
807706	53234	Mme Schwebich
807706	53243	
807706	53244	
807706	60897	L'habilleuse
807706	66596	Mrs. Becker
807706	66731	The old lady
807706	68326	Betta
807706	68513	Charlotte
807706	78367	
807706	83295	Kate Mayo
807706	83349	Madame Descombes
807706	101511	Mère Clarisse
807706	101716	Mme Blanche
807706	104233	La grand-mère de Jeanne
807706	108886	L'habilleuse
807706	120905	
807706	122124	Dacha Prakova
807706	129513	Estelle
807706	149631	Madeleine Fourmet
807706	169345	
807706	170419	Madame Sabrier
807706	196287	Mireille
807706	198566	La femme de chambre
807706	205358	Mère Maurice
807706	205767	Une émeutière
807706	207796	La propriètaire du cheval
807706	211136	Maria
807706	229495	
807706	236203	
807706	240539	Amélie
807706	248420	Albertine
807706	249089	Mrs. Gauvin
807706	251532	La mère
807706	258279	Mme Anglade
807706	259914	Mathilde
807706	261728	Marthe
807706	266242	Yvonne
807706	266414	Marguerite
807706	269223	La religieuse
807706	274757	Chouquette
807706	285466	Fraulein
807706	294600	Madame Helier
807706	295232	
807706	302207	Mme Coiffard
807706	309752	Suzanne
807706	332220	Mme Thibaut
807706	332226	Mère Barberin
807706	336844	Mme Grose
807706	337011	
807706	340165	L'épicière
807706	342328	
807706	346787	Ludivine
807706	373400	Nick's Mother
807706	378017	Clarisse de Saint-Clair, une 
807706	383955	Gabrielle
807706	385135	La mère Guillou
807706	388714	Raymonde
807706	389271	Louise Chevillon (segment "Re
807706	391927	
807706	396367	
807706	396617	
807706	396622	Eugénie
807706	401053	La grand-mère (1981)
807706	401939	
807706	412251	Mme Bastian
807707	104777	Swedish entry (8th place)
807707	397395	Herself
807708	244392	Lita's Mother
807709	244392	Lita
807710	244392	Lita's Sister
807711	184065	Raili
807711	264291	Tähdetär
807711	283232	
807711	349735	Sairaanhoitaja #1
807712	185496	Taro's Mother
807713	76896	
807714	384980	Coral
807715	28856	
807715	226794	
807715	244285	Michiko Kawai
807715	244286	
807716	150664	
807716	226132	Agarikinjo, Nabbie
807716	248350	Kamado
807716	344956	Mother of Etsuko
807717	17691	Miep (Hermine 'Miep' Santrous
807718	332628	
807719	206252	Charlotte
807720	203687	Signy Eaton
807721	37867	Outdoor Club Waitress
807721	355980	Dr. Jayne Mansfield
807722	223968	
807722	273786	
807723	58160	Crystal
807724	315736	Kate Kelly
807725	384102	Abby Hilderbrand
807726	256128	Pineapple Poll, a Bumboat Wom
807727	37571	Ashley
807727	336514	Alma
807727	366781	Maria
807727	381065	Teala
807727	382419	Rebecca 'Becky' Moore Garriso
807728	67732	Young prostitute
807729	295342	Bridget
807730	358702	Christine Mullen
807730	385301	Julie Noakes (2001-2002)
807730	399069	Mrs. Macalister
807731	67732	Young prostitute
807732	166643	Delaware Student
807733	166643	Delaware
807734	119025	Party Girl
807735	204470	
807736	228298	Pyramid Team
807737	279294	The daughter (segment "Il pol
807738	251466	Viki
807739	162736	Basya Kopman
807740	87975	Aunt
807741	145424	Lyydia Nieminen
807741	246584	Kiinteistövälittäjä
807741	373374	Kristine, police detective
807741	401125	Leyla Göktan
807742	24289	Woman in front of congress bu
807742	156037	Marketing director's wife
807742	171577	Foreign tourist
807742	193554	Orvokki
807742	213414	Policewoman's neighbor/Woman 
807742	257929	
807742	371440	Woman in restaurant
807743	388444	Herself - Participant
807744	101010	Voter
807746	97634	Ginko
807746	194904	
807747	127781	Queen Emeraldas
807747	127782	Queen Emeraldas
807747	130490	Saeko Kaneshiro
807747	174344	Ryoko Miyabe
807747	179188	
807747	208014	Emeraldas (from Queen Emerald
807747	222543	
807747	232922	Saeko Nogawa
807747	269293	Queen Emeraldas
807747	289304	Queen Emeraldas
807747	310087	Sandra
807747	344021	M38 alien
807747	344032	Queen of Aquarius
807747	350723	Arlie/Gabriele Celeste
807747	358132	Queen Emeraldas
807747	373082	Miki Taki
807747	381711	Oscar Francois de Jarjayes
807747	390082	Emeraldas
807747	395390	Clarisse
807747	404244	Asami Kanesue
807747	410509	Emeraldas
807748	322488	Professor asking about meat
807749	286480	Sabra (kid)
807750	279871	Doctor
807751	269957	
807752	13612	Frau Wanecek
807752	144175	Schwester Mona
807752	312116	
807752	325860	Gerda Tielmann
807752	354056	
807753	1249	
807753	116013	Herself
807753	330056	
807753	404112	Ling
807754	101563	
807755	89517	Kuriko Mori
807756	224825	Tama
807757	21003	Chou Chou
807757	37062	Saleswoman
807757	38136	Receptionist
807757	58660	Toru Yoshida's Wife
807757	74195	Chiyoko
807757	108399	Mrs. Taka
807757	129456	Fumiko
807757	142419	Ester
807757	169884	Jade Mirror
807757	192636	Secretary
807757	194823	Nurse
807757	213346	(TV version only)
807757	242711	Ari, Comfort Girl
807757	248128	Mme. Kagoyama
807757	262118	Mrs. Van Zandt
807757	289295	Hana-ogi (First Dancer, Matsu
807757	299559	Kiri
807757	358561	Aiko Kurawa
807757	380687	Mom
807757	405185	Kiri
807758	15900	
807759	21616	
807759	221523	
807759	385987	
807759	397347	Rosemarie (Takashi's mother)
807760	16537	Kayo
807760	19692	Kinu, daughter
807760	141059	Arisa Hayasaka
807760	231308	
807760	278401	
807761	74172	Sonja
807762	9557	Yuki Enjo
807762	63540	
807762	76871	
807762	97618	
807762	137276	
807762	139406	Yumiko Takakura
807762	149496	
807762	155170	Haru, the maid
807762	165129	
807762	167952	
807762	174877	Fumie Sono
807762	180054	Hiroko Sonobe
807762	182038	
807762	230139	Bar's madame
807762	242123	Midori
807762	242217	
807762	286858	
807762	299144	
807762	374588	
807763	89025	
807763	138716	Presenter
807763	383766	Herself - North Team
807763	401874	Herself : True Bliss
807763	403865	Host (2000- )
807763	410722	Herself - Celebrity Special #
807764	30756	Hanna
807765	236178	Marcellina, Beschließerin
807766	4307	Little Sandra
807767	315500	Lisa
807768	47521	Sonya
807768	282722	Female Hostage
807769	161760	
807770	358394	Teacher C
807771	373224	Shojo Kana
807772	226683	Ayako Shimizu
807773	292074	Takada Miyo
807774	344139	
807774	404007	Judge (1994-1995)
807775	76920	Kozasa Hanabusa
807775	89454	
807775	168847	Hinako Yajima
807775	171886	Yadogimi
807775	174235	
807775	179434	
807775	229770	Princess Saya
807775	229773	
807775	232518	Oshodomo
807775	278381	
807775	325332	Okiku
807775	371854	Okiku
807775	374090	Omitsu
807775	374092	Onobu
807775	374095	
807776	325208	
807777	1160	
807777	263361	
807777	292132	(Episode 1)
807777	319790	Band manager
807777	399499	Oboro Hinata
807778	241921	
807779	182012	Kyôko
807780	81162	Judy
807781	173102	
807781	244540	
807781	344021	Keiichi's Mother
807781	375580	Yone
807781	387193	Natsuki's mother
807782	63715	Amano Megumi/Nurse
807782	72659	Midori Yoshinaga
807782	96408	Kurokawa Satomi
807782	122891	Cara
807782	138093	Etsuko
807782	159831	Kamiri
807782	159832	Kamiri
807782	182507	Akiko
807782	226661	Hiroe Ogawa
807782	244233	Yan
807782	275086	Yûko Sano
807782	279265	Flare
807782	298905	Amano Megumi
807782	327801	Ayeka
807782	327803	Ayeka
807782	327804	Ayeka
807782	334867	Kayoko Kuraishi
807782	369525	Shelley Godwin
807782	379482	Susy
807782	380847	Eri
807782	380900	Kean Keats
807782	385186	Midori Yoshinaga
807782	390234	Kaoru
807782	396331	Anna, Min (#37-44)
807782	396484	Saori Shikijo
807782	396494	Minami
807782	396497	Ayeka
807782	397786	Tub
807782	400268	Hatsuho Kazami
807782	405146	Aeka
807782	405175	Yuuki Oikawa
807782	407829	Aeka
807782	411667	Kyon Kyon & Shimizu
807783	187319	Yusuke Mizuki
807784	129868	Department Store Girl (Ms. Wh
807785	142961	
807786	193977	Tomeko Higashi
807787	334572	Mitsuko
807788	232611	Matsue
807788	309779	
807788	357973	Kaori Kikuchi
807789	348994	Kikyo, koshimoto
807790	38338	Jelly (Roll's friend)
807790	38369	Rebecca Chambers
807790	135897	Silvia Kakihana (Japanese ver
807790	195628	Kaolla Su
807790	195629	Kaolla Su
807790	195630	Kaolla Su
807790	195631	Kaolla Su
807790	231199	Intercom voice
807790	296855	Lunaris Anbra
807790	309470	Cassandra Alexandra
807790	402729	Kaolla Su
807790	405028	Boy, Lunaris Anbra
807791	129769	
807791	129868	Hostess (Number One!)
807792	176534	Haro
807792	305178	Minatsu's mother
807792	348752	Planet Elle Commander
807792	379515	Jane
807792	382108	Ikuko Tsukino
807792	382112	Ikuko Tsukino
807792	391752	Jiro
807792	394029	Various characters
807792	394422	Chiyo
807792	394521	Bibimba
807792	396500	Momoko-sensei
807792	405175	Keiko/Rumi Takahara
807792	405279	Mariette
807792	408264	Kanna Natsuyama
807793	61081	Yuko Nagasaki
807793	289267	Saya Kitamura
807793	371707	(segment: The Marriage Simula
807793	400060	
807793	407153	Kagari Sakurai
807794	343646	
807795	172262	Chie-chan
807795	234917	
807796	272581	Yuki Akizuki
807797	410526	Margaret 'Meg' March
807798	401093	
807800	9274	
807800	49713	
807800	76896	
807800	89049	5th Wife
807800	175464	
807800	181989	
807800	298749	Woman Farmer
807801	130752	Kinuyo
807802	225621	Herself - a member of Mooning
807803	9479	
807803	76843	
807803	126866	Ayako Hoshino
807803	162685	
807803	172285	Kilaak
807803	181979	
807803	181981	
807803	217069	
807803	233108	Kumiko
807803	237158	
807804	373218	
807805	98602	Kaori Dokite
807806	187357	
807807	176665	Kiku, the sister
807808	371975	
807809	56627	
807809	275086	Dio
807809	396331	Diondra
807810	76475	
807810	166247	Yoko
807810	170455	Akemi
807810	176486	Ryoko
807810	177101	
807810	201090	
807810	219832	Mrs. Goto
807810	239085	
807810	263361	
807810	288063	Chigusa
807810	299156	
807810	348774	Michiko Haruno
807810	358391	
807810	359839	
807810	394465	Yoko Jinno
807810	396069	Ami Sahara
807810	400058	Junko Kuwabara
807810	410647	Kanichi Shindo
807811	42422	Mai Ling
807811	122210	Dr. Margaret Tanaka
807811	122757	Grace Nakimura
807811	185853	Thai waitress
807811	186497	Sunny
807811	211574	Kate
807811	274017	Vinnie
807811	284526	Reporter
807811	297415	Emiko Takashi
807811	367788	Jane
807812	21822	Noriko Harada
807812	145280	Takada, Yumi (Takatori, Mina)
807812	174945	Hagi-hime
807812	174955	Nurse
807812	180056	Eiko
807812	182487	
807812	253392	Fuyuka
807812	288654	Hinako Ayanokoji
807812	292074	Uomi Nanae
807812	293591	Emiko Ishikawa
807812	298872	Asako Yamamoto/Atsuyoshi's si
807812	371798	Tomiko, Nagaharu's sister
807812	373389	Kaori Furuya, the daughter
807813	87804	Minako
807814	195855	Kyoko
807815	9190	Friend of Michiko
807815	375558	Friend of Michiko
807816	396488	Opapa
807816	404390	Katsuo Isono (#2)
807816	407903	Shôtarô Kaneda (Jimmy Sparks)
807817	8678	Junko Kaji
807817	21616	Haruko, Sakuzo's daughter
807817	22114	Young girl
807817	76844	Miyo Arai
807817	88678	
807817	96411	Tomoko
807817	132108	Oryo
807817	138042	
807817	149887	Kenji (boy)'s mother
807817	167979	
807817	173292	
807817	174874	
807817	179400	Etsuko Tajima
807817	182711	Yoshiko Kitahara
807817	198812	Oichi no kata
807817	200520	Miyoko Saeki
807817	207117	O-Iwa
807817	243917	Reiko
807817	244564	Idumi
807817	270316	Yuko ('Usagi')
807817	293600	Piano Teacher
807817	298967	Kyoko Tamura
807817	298974	
807817	299334	Housewife who complains
807817	325988	Michiyo
807817	349220	Yukie Saito
807818	301296	
807819	301296	
807820	141738	Tamami Nanjo
807820	175373	Woman teacher
807821	28856	
807821	40621	
807821	159838	Miyu Bido
807821	165202	(segment 'Hijiki')
807821	175371	
807821	177882	
807822	334952	Kyoko
807823	138135	Kasumi Tani
807823	381164	Amy
807823	388022	Herself (Mikako Hyatt)
807823	392430	Fujio Himejima
807824	20189	Lesfeena
807824	96408	Sakuragi Mai
807824	127779	Yuuri Cube
807824	130730	Employee C
807824	204971	Jyarna
807824	359057	Eri Kazuma
807824	373368	Reine Chu Banu Couras
807824	380900	Shiela Labarna
807824	381401	Tomoe Midoh
807824	390908	Yui Kawa
807824	394451	Aisha/Marlene
807824	408634	Tomoko Terashima
807824	410451	Romy
807825	194681	Suzy Tanaka
807825	366983	Reporter #1
807825	369195	Newscaster
807826	333120	Person of the Night
807827	155074	Girl on Phone
807828	390397	Lin/Pheonix Ranger
807829	66215	Vitellia
807830	49713	
807830	121925	Girl in Lodge
807830	121934	
807830	138051	
807830	176602	
807830	176610	
807830	180095	Kogiku
807830	181984	
807830	181988	
807830	229582	
807830	323495	
807830	323496	
807830	327796	
807830	328007	
807830	370304	Mitsuko Ishihara
807831	17691	Anne Frank
807832	155524	Yorda
807832	409065	Dianna Soreil, Kihel Heim
807833	91148	Kaori
807834	341537	Maria's mother
807835	228830	Mrs. Yoshido
807836	9435	Geisha
807836	28129	
807836	122106	Moto Yasaka
807836	144734	Wakamatsu's owner
807836	168060	
807836	169127	Mother
807836	180551	
807836	198827	Yoshi Nakayama
807836	232610	Ms. Kobayashi, the school tea
807836	232919	
807836	233106	Otake
807836	239088	Shige Okubo
807836	239462	Han Gan
807836	287553	'Wakamatsu' no Okami
807836	299153	
807836	299337	Tameko
807836	334895	
807836	334930	Shukichi Hirayama's Neighbor
807836	344285	Aiko no haha
807837	298897	
807838	359612	
807839	87001	Regina
807840	405187	Rie Himukai
807840	405188	Rie Himukai
807841	7640	Sayoko
807841	9569	Yasuko Yura
807841	146892	
807841	147352	
807841	173128	
807841	182163	Akemi
807841	287161	Osaki as a young woman
807841	288063	Temari
807841	322735	A girl ('Me')
807841	371840	Shino Hokujoji
807841	379478	Cathy
807842	173000	Maribaron
807842	181718	Tamyuun
807842	260417	
807842	278548	Kaoru Arima
807842	369415	Kanoe
807842	383095	Neos Gold
807842	394091	Maribaron
807842	396440	Debonair
807842	404244	Tomomi Honda
807843	251454	Mai Ling
807844	382648	Nelly Kim
807845	179416	Midoriko
807846	23399	
807847	171298	
807848	328949	Bride
807849	4826	Sesilya
807849	19501	
807849	19502	
807849	42689	Sashiko
807849	58713	Natalia
807849	60481	Veriko
807849	62346	Manana
807849	62403	
807849	62856	
807849	63592	Vasasi
807849	79255	
807849	86252	Bordokhani
807849	88378	Mother
807849	173967	Eprosine
807849	202256	Mariami
807849	203834	Grandmather
807849	209105	Grandma
807849	221405	
807849	224953	Tamari
807849	228540	Maradia
807849	229977	Tsitsino
807849	253167	Old woman
807849	255536	Liza
807849	268573	Mariami
807849	268574	
807849	268611	Princess III
807849	282242	Grndma Varo
807849	284952	Elpite
807849	303878	Elisabedi
807849	334829	Gutsa
807849	341243	
807850	34298	Mitsuko Matsugae
807850	62606	Kaori Himi
807850	98600	Kyoko Shirai
807850	137324	Hanami Kozakura
807850	173275	
807850	182495	Hiromi Mizutani
807850	208729	
807850	344656	Captain Megumi Iruma/Yuzare
807850	348770	Mayumi Hoshino
807850	348777	Retired GUTS Captain Megumi I
807850	373449	
807850	406535	Nobuko Ishida
807850	409689	Megumi Iruma
807850	409692	GUTS Captain Megumi Iruma
807851	375508	Lickey (Girl #1)
807852	379014	Mary Marlon
807853	334910	Roy's girlfriend
807854	301601	
807855	28120	Umehana
807855	77516	Miki
807855	77517	
807855	77525	
807855	77529	Keiko
807855	77537	
807855	173714	Wife of an entertainer
807855	215380	Second girl
807856	76973	
807856	168105	
807856	233132	
807856	242313	Yukiko
807856	294185	
807857	102663	Psykhe
807857	170517	
807857	349728	Liisa
807858	188933	Heart attack victim's wife
807858	271606	Gunvar
807859	341785	
807859	405505	Vilippuksen vaimo, Alma Rummu
807860	8982	
807860	400048	Dimitra
807861	358947	Dead Woman
807862	9189	
807862	146907	Jokou
807862	174952	Tsune
807862	179248	
807862	179377	Otatsu, the mother
807862	222519	Oyoshi
807862	226656	Tome
807862	227319	Oetsu, wife of Ohira
807862	227320	Oetsu, Ohira's wife
807862	359706	
807863	255872	Young Nagiko
807864	163836	Satoko Nakahara
807864	172963	Tomoko
807864	174501	
807865	394103	Emi
807866	394996	
807867	343639	
807868	180513	Maki
807868	238167	Secretary
807869	8667	Reiran
807869	8762	Tomi Odagiri
807869	8807	Harue
807869	8808	Yasuo
807869	8890	Akie
807869	16536	Hideko
807869	19635	
807869	21350	
807869	21560	Atsuko Takimoto
807869	21828	Mitsuyakko
807869	22692	Takamine
807869	25351	
807869	42882	Koichi
807869	49716	Komako
807869	61215	Otsuna
807869	61221	Akiko Katayama
807869	62503	Shigeko
807869	63544	[Go] (1939)  Aguri
807869	63546	'Ichiriki' nakai - Aguri
807869	76856	
807869	76859	Ichiro
807869	97617	
807869	97636	
807869	98115	Sadako
807869	98212	Hideko
807869	101564	Princess
807869	101784	Senko Azuma
807869	121214	Okei
807869	122141	Torae Nonaka
807869	122146	Grandmother
807869	122239	Yuriko Sato
807869	123528	Otama
807869	127855	Aki
807869	131704	Kinuko Nagai
807869	137123	Haruko
807869	137127	Harue
807869	138040	Machiko Sone
807869	138078	Hamako, Yoko's sister
807869	138079	
807869	138085	Chiyoko, Goro's sister
807869	138091	Otsugi, Umpei's mother
807869	138094	
807869	138096	
807869	139406	Sadako Yokokawa
807869	139727	Ohana
807869	140033	Kimiko
807869	144678	Hideko Takashima
807869	144679	Okoma, the bus conductress
807869	145124	Midori
807869	145292	The Mother
807869	147325	Miyako
807869	149674	Fumiko Hayashi
807869	150690	Michiko
807869	153557	Kaido-jo
807869	155511	Kinu
807869	158675	Kiyoko
807869	167946	
807869	168357	
807869	168995	
807869	170332	
807869	173090	Machiko
807869	174242	Carmen
807869	174243	Lily Carmen/Kin
807869	176218	
807869	177767	Okyo
807869	178253	
807869	179270	
807869	179527	Akiko
807869	180049	Yasuko, Ryoichi's sister
807869	181489	(segment 3)
807869	182702	Hisa Shiina
807869	208030	
807869	213008	Reiko Morita
807869	214396	Hideko
807869	214399	
807869	215314	
807869	216308	
807869	221844	Yoshiko Yoshioka
807869	222427	Mariko
807869	222921	Ushiwakamaru
807869	223303	Hideko
807869	223305	
807869	225901	Akiko Katayama
807869	226644	Katsuyo, Otsuta's daughter
807869	227057	Yukiko Nakai
807869	227319	Momoyo Sone
807869	231180	
807869	232576	
807869	232603	Akiko Hojo
807869	232606	
807869	232610	Hisako Oishi
807869	232918	Woman in the settlers' villag
807869	236629	Toshi-bo
807869	237587	Onatsu
807869	237686	Maruko
807869	239293	
807869	241921	
807869	241939	Kaede
807869	242128	Keiko Yashiro
807869	242148	Taeko
807869	242181	Naeko Minamoto
807869	242184	Nobuko Shimizu
807869	242191	Yoshie Izushi
807869	242200	
807869	242209	
807869	242213	
807869	242228	Taro
807869	244691	
807869	244692	
807869	272353	
807869	275061	Iwao
807869	275062	Yoichi
807869	277316	Hajime
807869	278859	Shinkichi
807869	280604	Ine Rokujo
807869	281571	Hideyo
807869	286596	
807869	286597	Ranko Komaki
807869	286598	Ranko Komaki
807869	287055	
807869	287344	Kishimo Inoue
807869	288350	
807869	288352	Taeko 'Koisan' Makioka
807869	294155	
807869	298866	Ruiko
807869	298869	Yukiko
807869	298925	Fuyuhime
807869	299024	Kyoko
807869	299025	Kyoko Munakata
807869	299122	Oharu
807869	299123	Oharu
807869	299130	
807869	299293	
807869	299525	Yukie Kawase
807869	299581	Magane Tachibana
807869	299813	
807869	308892	Shigeko
807869	308895	Otsu
807869	309104	Sachi, Tetsuo's sister
807869	310060	
807869	312481	
807869	318472	
807869	327939	
807869	334777	Hideko Takayama
807869	334778	Shoeshine boy
807869	334785	Fuyuko Terada
807869	334832	
807869	334933	
807869	341276	Mihoko Nakagawa
807869	341279	
807869	341283	
807869	341312	Yumiko
807869	341321	Masako Toyoda
807869	343649	
807869	344283	Yukiko Koda
807869	344817	Ine Onoda
807869	348585	Akako Tatsuta
807869	348781	
807869	348783	Natsuko Hojo
807869	358137	Tomoko, Kosaku's daughter
807869	358412	
807869	359388	Mistress
807869	359397	Hideko
807869	359828	Machiko
807869	359833	Mitsuko
807869	371860	Michiko
807869	371861	Yoko Arai
807869	371974	Kiyoko Arisawa
807869	372028	
807869	372029	
807869	372037	Keiko
807869	375584	
807869	375590	Taeko
807869	375599	
807870	8899	
807870	9177	
807870	29321	
807870	34138	
807870	61220	Yuri Kudo
807870	61464	Kayo
807870	79321	
807870	122147	
807870	125245	Chizu
807870	125728	Omino, Isogai's fiancee
807870	144440	Queen Himiko of Yamatai
807870	145283	Yukiko Ishida
807870	146356	Nobue
807870	149124	
807870	156763	
807870	161687	Matsuko Inugami
807870	168060	
807870	168091	Chikiriya's owner
807870	168102	Takako Higashikoji
807870	172471	Matsuko Shinkawa
807870	180036	Saeko Karasawa
807870	200976	Namiko Yagi
807870	231308	
807870	232675	
807870	238805	Riki
807870	240256	Okaji
807870	242191	Mayumi Gojo
807870	242243	
807870	278430	
807870	284364	
807870	287072	
807870	327652	Yoroshime
807870	327745	
807870	334572	Setsuko
807870	358130	
807870	404134	Buddha
807871	9594	Takako, Togo's mother
807872	322602	Emi
807873	331234	Mekky
807874	370786	Ai Tohno
807875	172269	
807875	229774	
807875	229775	
807876	394041	Asako Ibuki
807877	241952	Kaede
807877	386236	Model 1
807877	387049	Kaoru Hayase
807877	400268	Todoroki's Wife
807877	404772	Kotoponi
807878	26238	Sylvie
807878	65557	Marianne
807878	137336	Nui
807878	147364	Rui
807878	173916	Ran-Hime
807878	190590	Laika
807878	226482	Nadia
807878	257982	Enju
807878	265578	Ine
807878	265579	Ine
807878	265580	Ine
807878	267536	Ine
807878	275086	Sara
807878	299098	Junko
807878	370783	Sayaka Honami
807878	380900	Lemul Zilfied
807878	389570	Nadia
807878	391751	Rui
807878	392526	Yasuko Nakata
807878	396331	Min (#3-36), Sara
807878	396500	Satsuki-sensei
807878	405175	Reika Nogami
807878	410911	Mrs. Kobayashi
807878	411667	Sayaka Honami
807879	321330	
807880	283389	Herself
807881	400053	Lala (Majorika's Faerie)
807882	220820	Hiroko Uchiyama
807883	30749	Public Prosecutor
807883	33254	barnmorska (episodes 1, 2)
807883	35054	
807884	44077	Akiko
807884	153209	Nurse
807885	275141	
807885	275144	
807886	145754	Interpreter
807887	28116	Ochiyo
807888	181575	
807889	290999	'Sara'
807890	176532	Megumi Reinard
807890	210476	Kohaku
807890	389791	Kaoru Konoe
807890	394421	Megumi Reynard
807890	401100	Coco
807890	405278	Aiko Wakiya/Schoolgirl
807890	410444	Sue (Japanese version)
807891	8786	
807892	121463	
807892	404139	Sakura
807893	26238	Kate
807893	104908	Natasha McLean
807893	199109	Kate Masseau
807893	259032	Raichu
807893	285921	Maria Tachibana
807893	285922	Maria Tachibana
807893	285923	Maria Tachibana
807893	293450	Hikuko
807893	298966	Saline
807893	359057	Buster Horiguchi
807893	381166	Kai
807893	383095	Insecto
807893	390376	Peg Pete
807893	396347	Bibitar/Akiko
807893	396503	Gipple
807893	396640	Daisuke Yamaguchi
807893	401057	Sara Bellum/Li'l Arturo
807893	401736	Raichû
807893	404061	Tiger
807893	404062	Tiger
807893	405218	Seegra (Shiegra)
807894	19702	Aiko, Miyako's mother
807894	125460	
807894	182385	
807894	327002	
807895	167583	Diana/Lady Diana
807895	393504	Diana/Diana Lady
807895	394091	Reiko Shirotori
807896	9390	
807896	140715	
807896	170867	
807896	193668	Oriki
807896	275061	Okoma, daughter of Hachibei
807897	30796	Sonoko
807897	63545	Oiwa
807897	139851	Nanae Minemura
807897	182412	Kyoko
807897	227188	
807897	402467	Machiko
807898	58338	Kumiko
807899	348778	Tôru Hoshimi
807900	182076	Show Dancer
807900	272625	Marie Angel
807900	306873	Orpha
807901	138912	Another Happy Girl
807902	171425	Satomi, Daughter
807903	136156	Ninalada Mochiduki
807904	403411	
807905	379515	Ruby
807905	396573	Claus
807906	76844	Tamae
807906	156245	Toshiko Ishii
807906	175362	Hiroko Takeda
807906	198947	Keiko
807906	220228	
807906	232921	Michiko Asaeda
807906	285863	Asami
807906	296779	Phantom Mother
807906	373389	Hiromi, hostess
807906	397867	
807907	70605	Kuroda's wife
807907	76868	Buhei's lover
807907	203794	Sonoda, Mieko
807907	204376	Sonoko (Nechan)
807907	222923	Ozmu Dazai
807907	244054	Yoshiko Saito
807907	293602	Keiko
807908	122965	Teruko
807909	18662	Gen. Gilford
807909	45009	Kaldea Orchid
807909	74271	Nina Heaven
807909	122891	Warden Helga Heel
807909	199461	Perrin
807909	269293	Siren
807909	293586	Hirose Hidemaro
807909	338091	Carly
807909	354828	Emi
807909	379515	Diana
807909	381163	Lady Amore
807909	383095	Insecto
807909	385151	Julia
807909	391751	Sayaka
807909	396494	Kumi Hayami
807909	397371	Eri Kisaki
807909	405175	Saori Murakoshi
807909	406060	Dominique
807909	409317	Beat
807909	409325	Androcoinder
807910	42241	Ayumi
807910	127738	Misaki Okura, Kenji's wife
807910	172114	
807910	182027	Mayo
807910	207040	
807910	226652	
807910	232602	
807910	294164	Fujitsubo Chugu/Kiritsubo Koi
807910	300427	
807910	341301	Misaki Nakahama
807910	379044	Kozoe (1988-1990)
807910	399191	Mitsuhiro`s stepmother
807911	26707	
807911	74195	Japanese Woman
807911	150873	Bath Attendant
807911	165695	Emma Hasagawa
807911	198844	The barber
807912	8800	
807912	9189	Michiko, sisiter of Hattori
807912	76885	Chiyoko
807912	91188	Mayumi Kyogoku
807912	111235	Shizue Yamada
807912	137126	
807912	175363	
807912	179540	
807912	185354	
807912	222427	Yoriko Mashita
807912	232563	Mrs. Akazawa
807912	239315	Asako Shirakawa
807912	239321	Tomie Fujibayashi
807912	243353	
807912	299581	Mayumi Tachibana
807912	300483	Geisha
807912	335381	Mabuchi Etsuko
807912	341276	Setsuko Sakurai
807912	341282	
807912	371989	Natsuko Kimijima
807913	153547	Mira
807913	182218	Liisa
807913	237237	Herself
807913	393981	Juulia
807913	397265	Katja Mahlapuro
807913	405292	Haltia/keiju
807914	20026	Mari no Haha
807915	122966	Promiscuous High School Stude
807915	160149	Daughter
807915	348637	Natsuko's Fiancee
807916	8762	Sute Umeki alias 'Kamakiri'
807916	227428	Sumiko Nakamura
807917	324308	Eavenly kindergarten teacher
807918	231168	Meneji Onna
807919	145282	
807919	156197	Haru
807919	180434	
807919	182420	
807919	206765	
807919	287161	Tomi
807919	373175	
807919	374633	
807920	348994	Okuro
807921	370706	Yoju's Wife
807922	510	Mia
807922	515	Mia
807922	516	Mia
807922	517	Mia
807922	1471	Voice of kaoru
807922	21420	Ample
807922	103180	Dilandau
807922	106058	Mami Tachibana
807922	137336	Inusaka Keno
807922	156103	Feena
807922	190590	Ryô
807922	193381	Sheris
807922	199112	Nora Polyansky
807922	201302	Kiki/Ursula
807922	210152	Conan Edogawa
807922	214296	Kousaka-sensei (Teacher)
807922	232929	Mana
807922	265581	Little gail/c-ko's servant
807922	265582	Little gail/c-ko's servant
807922	272210	Nabiki Tendou
807922	272211	Nabiki Tendou
807922	272212	Nabiki Tendou
807922	272213	Nabiki Tendou
807922	272214	Nabiki Tendou
807922	280236	Axl
807922	283620	Orienda
807922	305178	Minatsu Nakazato
807922	307186	Janny Mann
807922	307188	Janny Mann
807922	309172	Yôko Yamamoto
807922	310150	Dr. Reni
807922	378651	Mia (Episode 28)
807922	383095	Atlas
807922	389778	Rin Ataka (original version)
807922	391594	Shinataro Kobayashi/Ichiko 'I
807922	394549	Kazue Hayami
807922	394696	Ohki Takeshi
807922	396440	Ascot
807922	397371	Conan Edogawa
807922	399500	Rantaro
807922	401736	Hiroshi
807922	402863	Nabiki Tendo
807922	405175	Mei Asaoka
807922	405982	Yôko Yamamoto
807922	407389	Mana
807922	407839	Dilandau/Chid/Serena
807922	410525	Tommy
807922	411883	Mukuro
807923	353275	
807923	386237	Mrs. Watanabe
807924	376070	
807925	34666	'Beatrice', the Weimaraner Do
807926	319443	
807927	397654	Lotusknop
807928	204753	Emiko Suzuki
807928	236942	Osan
807928	345234	
807928	358394	Fumi Segawa
807929	63713	Milia 639
807929	384227	Milia Falyna
807929	396347	Milia Falyna
807930	170337	Mayumi
807930	172046	Yumi Hirai
807930	174348	Ikuko Tachibana
807930	217613	Rena Sakakibara
807930	217614	Rena Sakakibara
807930	217615	Rena Sakakibara
807930	243365	Michi Kawamura
807930	256532	Natsu
807930	288657	Akiko Sakurai
807930	305174	Yukie
807930	407549	
807931	1882	Yukari Sakai
807931	136096	Yoko
807931	144965	Momoko
807931	209096	Hanabusa
807931	232922	Naoko, Yoshio's daughter
807931	300434	Girl in playground
807931	374601	Rei (aka Zero Woman)
807933	149287	Lost Boy in play
807934	213593	
807935	130557	Herself/former lover of Hara
807936	135953	Fujiko
807937	359612	
807938	389546	Narrator
807938	390899	Clara
807938	396573	Narrator
807939	98299	
807940	151816	Madame Natsuko
807940	180048	Yone Ishikawa
807941	8874	
807941	17098	
807941	17385	Chiyo, Tadahiko's girlfriend
807941	22692	Kin Okamoto, Mother
807941	62180	
807941	101564	Witch
807941	227422	
807941	232542	(Volume 1)
807941	334947	
807941	344817	Saku Onoda, Ine's mother
807941	372038	Newspaper sales woman (episod
807942	158675	
807942	205048	
807943	16114	
807943	178167	Waitress
807943	190253	
807943	276682	Waitress
807944	210636	
807944	299559	Sono
807944	405185	Sono
807945	61439	Kazu
807945	174348	Hostess
807945	181995	
807945	182342	
807945	227323	Asako Yabuki
807945	243329	Tamaki Okamura
807945	244564	Junkie woman
807945	263361	
807946	199475	Sushi Waitress
807947	278550	
807948	392329	Tetomu
807948	405278	Female Teacher
807949	62631	Yun, Nami
807950	177135	Female Sadist
807950	242159	Yuka
807951	373369	Kikyô
807952	89441	Makiko
807953	129856	
807953	179544	Dancer
807953	243899	
807954	405028	Feorina
807955	194874	Ms. Kawasaki
807956	109064	Young Jeanne
807957	8678	Chuuzai no tsuma
807957	43066	Kesa
807957	50064	
807957	98372	Yôko
807957	122948	
807957	161684	Noriko Norime
807957	178244	Yukiko Miyamae
807957	178245	Yukiko Miyamae
807957	178246	Yukiko Iseki
807957	178247	Yukiko Iseki
807957	178248	Yukiko Iseki
807957	178250	Yukiko Miyamae
807957	178251	Yukiko Miyamae
807957	208017	Ryoko Kamioka
807957	225622	
807957	232559	Okimi
807957	232921	Shizue Nakayama
807957	244523	Tomoko
807957	244528	Rinko Ueno (Junkichi's daught
807957	244541	Kumiko
807957	294164	Rokujomi Yasudokoro
807957	341275	Michiko Aizawa
807957	379516	
807957	386635	Oni-niwa Kita (Masamune's Nan
807957	389393	Tomoko's mother
807957	394562	Yukiko Miyamae (Reiko's siste
807957	400057	
807958	237842	
807959	185568	Female Rocker
807960	215257	Servbots
807961	124245	Hokutomaru/Marky
807961	179215	
807961	227823	Naruto
807961	273202	Fabre
807961	316625	Rainbow Mika
807961	381476	Moon
807961	384221	Break
807961	385980	Gomamon/Ikkakumon/Zudomon
807961	385981	Pukamon/Gomamon/Ikkakumon/Zud
807961	386344	Takuya Kanbara/Agnimon/Vritra
807961	391597	Ganmo
807961	398997	Naruto Uzumaki
807961	400053	Kimitaka-kun
807961	401392	Photon Earth
807961	401393	Photon
807961	403965	Kamatari
807961	403966	Honjô Kamatari
807961	411887	Mokuba Kaiba
807962	398997	Asuma Sarutobi
807963	359612	
807964	223971	Geisha
807965	153470	Sae Taiga/Gao White
807965	392329	Sae Taiga/Gao White
807966	201465	Herself
807967	37716	
807968	122827	Herself
807969	278547	Tomoko Oishi
807969	327941	Shoko/Natsuko
807969	371914	Aoi Tachibana
807969	389549	Miyuki Matsuno
807969	402127	Aki Murase
807969	402601	Natsumi Mugita
807970	19702	
807970	172532	
807971	190213	Japanese neighbor #1
807972	326277	Violin Soloist
807973	131300	
807974	115481	Tomiko
807974	142173	Midori
807974	171656	
807974	178418	Komomo
807974	216785	Shizuko Kagoshima
807974	348898	Mariko (segment 'Playgirl')
807974	374094	
807974	374095	
807975	226626	
807976	348994	Nadeshiko, koshimoto
807977	76276	Larry Howard
807977	151909	
807978	323530	Nadeshiko
807979	336349	
807980	21822	Mitsuko Morishita
807980	90165	
807980	121454	Nurse Noriko
807980	131291	Yoko Toyama
807980	139735	Bar's customer
807980	163848	
807980	167863	Chieko Ishikawa
807980	167987	
807980	174334	Reiko Hanafusa
807980	174501	
807980	174945	Kita-no-Kata
807980	175514	Chiako
807980	177122	Nobue Aoki
807980	241949	
807980	283919	Chiyozuru
807980	288654	Tokuko Ayanokoji
807980	404269	
807981	295824	Prostitute
807982	8896	Kayo
807982	21344	Fusako
807982	21560	Ayako, mother
807982	21813	Nitta's wife
807982	29565	Omasu
807982	121452	Kyoko Matsuo
807982	122104	
807982	122521	Taka, Shigekichi's mother
807982	125684	Nun
807982	127921	Ichi
807982	144438	
807982	146895	Soeko
807982	150508	Kikue, Reiko's mother
807982	158675	Tome
807982	163850	Kiku
807982	167904	
807982	172122	
807982	179163	Kikuko
807982	211720	Sumi Takenaka
807982	226655	Mutsu Kida
807982	239315	Kayo
807982	242179	Maid, Kiyo
807982	278533	
807982	279831	Oren
807982	285616	Sugiko Nonomiya
807982	288353	Osaku
807982	299117	Tetsuro's mother
807982	299300	Kinu, Goro's mother
807982	300481	Shige Kamoya
807982	334872	
807982	334921	Sumie, Orie's companion geish
807982	348751	Mrs. Umezu
807982	375583	
807983	76857	Young Link
807983	133113	Justin
807983	168829	Narancia Ghirga
807983	187353	Link
807983	187354	Link (child)
807983	262104	
807983	309469	Taki
807983	309470	Taki
807983	383423	Sanae Nakazawa
807983	384236	Hayate Ootori
807983	390537	Suguru Fujisaki
807983	396484	Suguru Misato
807983	396503	Nike
807984	293591	Etsuko Taniguchi
807985	98602	Yuki Kawai
807986	214901	
807987	333295	Pepe
807987	404311	Pepe
807988	139723	
807988	383000	
807989	19235	Nike
807989	226482	Grandis
807989	265364	Rita
807989	279884	Daughter, voice of Small Robo
807989	348752	Planet Elle Commander
807989	350190	
807989	378718	Rakushun's mother
807989	380725	Youko Sebastian
807989	389570	Grandis
807989	392526	Minako Tamura/Narrator
807989	394030	Various characters
807989	394164	Oni-Joro
807989	396486	The Queen
807989	396573	Lotta
807989	399478	Dunfuin
807989	405279	Lavinia's mother
807989	410739	Akemi Tamano
807990	61109	
807990	77907	
807990	101483	Yuki Takei
807990	242145	
807990	242146	
807990	261592	
807990	293591	Megumi Hikiji
807990	331301	Noodle Shop Woman
807991	170903	Osen
807991	205564	Osei Gonda
807991	227432	Mine Fukuda, the maid
807991	243631	Osode
807992	145449	Shima Shinjoe
807993	163181	Saila 7v.
807994	62954	Loma
807994	81541	Janel
807994	141666	Miss Stewart
807994	194980	Ruth Scarry
807994	292249	Big Nick's Party
807994	343352	Felicity Gladstone
807994	344187	Marge
807994	401963	Louise
807994	405209	Babs Albright (2003)
807995	194980	Katy
807996	287875	Sonia, vampire woman
807997	18945	Olga
807998	338622	Violetta Valéry
807999	163127	Nõvér
808000	2618	
808000	183388	
808000	183389	
808000	407152	
808001	153350	Bakeridame
808001	198402	
808001	326048	Øystein's mother
808001	377404	Inger
808002	76899	Tomomi Kawaoka
808003	281286	
808004	237167	
808005	377129	
808006	9250	
808006	200608	
808006	226001	Terka mom
808006	276070	
808007	142726	
808008	35937	Joli néni
808009	28347	Sára
808009	28537	Jutka, the head mistress
808009	28538	
808009	74433	Lídia
808009	84821	Mr. Sulner
808009	103054	
808009	137308	Márta
808009	153851	
808009	177931	
808009	229711	
808009	322105	Csikófrizurás nõ:
808009	322191	
808009	343751	
808009	378343	Corinna, the actress
808010	163130	
808011	64862	Marika
808011	106690	Herself
808011	136576	TV-bemondó
808011	137147	Tv bemondó
808011	198377	
808011	250888	Tv bemondó
808011	322082	Éva
808011	378282	Tv bemondono
808012	348671	
808013	122455	
808014	28688	Maria
808015	68686	Self
808015	225503	
808016	2755	Appolonia
808016	144217	Neighbour
808016	213674	
808017	231134	
808018	254388	Maya Ben-Dor
808018	348106	Herself
808019	176297	Go Go Dancer
808020	354281	Manta
808021	278734	Danseuse tzigane 3
808022	26285	Julie
808022	388321	Kelly Hurst (2001-2002)
808023	277631	
808024	38274	Akelai
808025	98113	Student
808026	16412	Terrapol: Landing Party
808026	201728	Herself
808026	361235	Herself
808027	315198	Sunshine
808028	402302	
808029	404013	
808030	68058	Valentina
808030	73281	Amelia
808030	170058	
808030	183446	Alicia
808030	207640	Paulina Cabos
808030	318250	Nina
808030	355039	Mariela
808030	379559	Ángela (joven)
808030	380100	Marina Villegas
808030	403690	Mariana
808030	404989	
808030	409779	María de Fátima
808031	286686	Girl In Clinic
808032	252450	Tracy Sutter
808033	50020	Restaurant hostess
808034	276677	Bookstore Assistant
808035	55110	Carla's Family #9
808036	9668	Karla
808036	100782	Juan Damon
808036	156789	
808036	183505	
808036	351674	
808036	371753	
808036	380084	
808036	395300	Rosy
808036	397604	
808037	383470	
808038	320059	Maxima Morales
808039	11878	Nihan Karagöz
808039	115436	
808039	284556	Maria Rodriguez
808039	284560	Maria Rodriguez
808039	303670	Nesrin Üstünkaya
808039	404478	Carla
808039	405541	Nesrin Üstünkaya
808040	56388	
808040	277928	
808041	7458	L'aubergiste
808041	10655	La logeuse
808041	18354	
808041	23730	
808041	23759	
808041	25088	La concierge
808041	30323	
808041	30890	La mère Vignoboul
808041	51455	
808041	63640	Une cliente
808041	65729	Mme Girodot
808041	67182	
808041	69586	
808041	71821	
808041	71886	
808041	73157	The Concierge
808041	101137	Une invitée
808041	101950	La sociétaire
808041	103399	Soliman's mother
808041	110122	
808041	111080	
808041	111695	Fanny Barbizonde
808041	112268	
808041	113252	La chanteuse
808041	126089	
808041	127461	Dresser
808041	131309	
808041	132607	La nourrice
808041	199380	Nanette
808041	201166	
808041	207777	
808041	208655	
808041	214127	The soprano
808041	218263	Une cliente
808041	218270	
808041	236611	Une tzigane
808041	248971	
808041	252320	La concierge
808041	254070	
808041	257214	
808041	265718	
808041	269103	
808041	281688	
808041	284146	Mme de la Plante
808041	287320	
808041	340117	
808041	345150	
808041	346509	
808041	346688	
808041	357117	La cuisinière
808042	229981	Julia
808043	7451	
808043	23842	
808043	23857	
808043	95358	
808043	120812	
808043	127634	
808043	225005	
808043	240597	
808043	282408	
808044	234966	Nurse
808045	93217	Sorority Sister
808045	248884	Nurse at Hospital
808046	304683	
808047	146324	
808048	314504	Norma
808049	13100	
808050	63238	
808050	351823	
808051	218713	Connie
808052	258299	Ms. Soma
808052	277017	Jeremy's Mother
808053	389982	Kimberly
808054	307001	Vera
808055	82095	Stacy
808056	92184	Singing Waitress
808057	228201	
808058	383202	Presenter
808058	399693	Presenter (1993-)
808059	58102	Sylvia Brindisi
808059	237941	Lilah
808060	403805	Hope Williams Black #3 (2004-
808061	7488	Undetermined Role
808061	33698	Herself - studio actress
808061	52326	Judith Carteret
808061	54122	Edith Gleason
808061	70976	Dorothy Adams
808061	90292	Dancer
808061	106744	Doris Kingston
808061	107181	Alice
808061	110420	Joyce Kingston
808061	177449	Marion Brennan
808061	193724	Sally Carter
808061	245420	Ruth Gordon
808061	256761	Young Wife
808061	282041	Award Presentation Dancer
808061	286925	Ranch hand
808061	308597	Dorothy (stewardess)
808061	321570	Myrtle
808061	337602	Joan Benton
808061	348327	Goldwyn Girl
808062	32808	Bethany
808063	68736	Denise DiSalvo
808064	103804	Una Turista
808065	365101	
808066	109729	Lady Hewitt
808066	255327	Mayfair hostess
808067	217702	The Fiancée
808068	143706	Big Bill's mother
808068	316839	
808069	387457	Caretaker, Additional Voices
808070	104778	Belgian entry (2nd place)
808071	31115	
808071	38074	
808071	38849	Mrs. Ruggles
808071	41512	
808071	47956	Mrs. Wetherby
808071	48504	
808071	56902	
808071	65479	Mrs. Richards
808071	75298	Mrs. Stewart
808071	78149	A Derelict
808071	128205	Lizzie Lou
808071	129537	Her Mother
808071	175612	Jack Gap
808071	184624	Mrs. Thompson
808071	190050	
808071	192587	Aunt Helen
808071	210426	
808071	219915	
808071	300306	
808071	350508	Miss Key
808071	364855	
808071	365327	
808071	366877	
808072	33340	
808073	20686	
808073	268389	
808074	5806	Townsperson
808075	178189	Extra
808076	68382	Miz Bicyclette
808077	14484	Iris Wheeler
808077	46993	Cousin Theodora
808077	48556	Madam Esther
808077	49547	Mary
808077	51975	Inmate
808077	58507	Kaufman
808077	60227	
808077	67558	Marcia Dalton
808077	70413	Dee Dee
808077	79850	Joan
808077	86534	Mrs. Shlumsky
808077	91877	Janice
808077	119097	Mrs. Ferret
808077	120301	Mrs. Rohmer
808077	128246	Sunny Daze
808077	154478	Miss Anderson, Briggs' Secret
808077	162821	Rosie
808077	163443	Model
808077	165101	
808077	203913	Jasmine Cornell
808077	218471	Overby's former girl
808077	220519	Dorothy
808077	220555	Lois Warwick
808077	232213	Vivian
808077	240470	Woman in bar
808077	241112	Miss Dovey Barnes
808077	244443	Grace Binns
808077	267348	Camille
808077	280188	Mildred Elias
808077	294786	Angela Stone
808077	295608	Heidi Lomax
808077	321169	Firetop Alice Dewey
808077	323484	Betty Griffith
808077	329423	Audrey
808077	330126	Rona Corbin
808077	330682	Chorus Girl
808077	330878	Miss Goff
808077	342027	Sgt. McCallister
808077	352750	Mickey the Switchboard Operat
808077	362140	Evelyn Housner
808077	364341	Saturday Knight
808077	382582	Lusti Weather
808077	389858	Delfina (1981-1982)
808077	391408	Judy Evans
808077	392047	
808077	393585	Mabel Spooner
808077	396657	Gloria (1949-1955)
808077	404613	Rose Peterson #2 (1954-1955)
808077	404694	Nina DiFrancisco (1963)
808077	406456	Rose
808077	407043	Rose Casey (1979)
808077	408017	Beatrice Dane (1958-1959)
808078	81885	
808079	87667	
808079	296685	Ann
808080	55662	Maidservant
808081	263491	Mary Aldron
808082	48179	
808083	65796	Sharon Krasner
808084	267423	Girl
808085	140955	Freak #1 - Snow
808086	21792	
808086	46787	Sybil
808086	109654	Bessie Bissett
808086	193562	Eloise
808086	368759	Olga Burnham
808087	186447	Waitress
808088	269872	Well Dressed Woman
808089	192628	Old Lady
808090	726	Herself
808090	728	Herself
808090	729	Herself
808090	732	Herself
808090	10576	Princess Irawanie
808090	11483	Kay Scott
808090	20272	Martina
808090	23448	Nikki's Mom
808090	44250	Consuleo
808090	57034	Sandy Jeffrey
808090	72623	Girl on Train
808090	73261	Bobbie
808090	75865	Susan Winter
808090	79352	Janet Smith (nee Jekyll)
808090	83634	Indian Girl
808090	106496	Brianna 'Bri' Quince
808090	128847	Vida
808090	154470	Clips from 'I Married a Monst
808090	154471	Marge Bradley Farrell
808090	163206	(clips from 'The Cyclops' and
808090	175750	Sally Flemming
808090	187043	Sally Howard
808090	197073	Laura Wilson
808090	208719	Little Girl
808090	235195	Meg Stevens
808090	239410	Ruth Red Hawk
808090	239416	Maria Smith
808090	243340	Shona Hastings
808090	316110	Meg Carmichael
808090	321125	Teen-Ager
808090	324244	Lou Sutton
808090	338894	Teen-Age Girl in Classroom
808090	360523	Isabelle Ducotel
808090	360527	Girl in dream sequence
808090	372572	Nora
808090	395528	Abbie Crandall (1955-1956)
808091	147645	Helen
808092	310515	Gretta
808093	394997	Nadeshiko
808094	118775	Kate
808094	127175	
808094	149693	Louise
808094	303777	Karen Faraday
808094	316101	Sandy Halsey
808094	372600	Elinor
808094	375047	Patricia Ziegfeld - age 14
808094	384456	Tara
808094	384525	Dotty
808095	23846	Cecchina
808095	254041	Gina Filotti
808095	268982	Jany
808095	346710	Titine
808096	109457	Caesar's Gang Member
808096	128727	Dancer
808096	286228	Dancer
808096	367083	Dancer
808097	272874	Nurse
808097	361154	Bit
808098	393777	Latanya
808099	254317	Janine
808100	249883	
808101	327664	
808102	317443	Harry's Wife
808103	7961	Chorus Girl
808103	78162	Beatrice Layton
808103	91614	
808103	120336	Bit Part
808103	163288	Bus passenger
808103	165969	
808103	185676	Bobby Cole
808103	338778	Streetwalker
808103	372145	Woman
808104	79611	Girl
808105	254645	Shelby
808105	342384	Ticket Agent
808106	230920	Herself
808107	386236	Mayu, Additional Voices
808108	192891	
808109	74090	Mrs. Ken
808109	75572	Teresa, Corledo's Servant
808109	77982	Vera Rinkel
808109	208087	Hanged woman
808109	237828	Martha
808109	272489	The Mother
808109	304339	(Gypsie) Blossom
808109	370874	Betty
808110	345118	
808111	313173	Woman at Fasching
808112	1807	Kristin
808113	41415	Stacy Bowers
808113	54879	Rebecca
808113	58488	Tammy Smith
808113	195549	Phone Sex Girl
808113	236387	Audition Woman
808113	245762	Nikki
808113	350242	
808113	396696	Juggy Dancer (1999-2003)
808114	249599	Herself
808115	69680	Ariel Tabor
808115	364389	Esther Field
808115	372728	Nellie Nolan
808116	10336	Elizabeth Schuyler
808116	30355	Hope Merrill
808116	64061	Cinderella
808116	79669	Jacqueline Allen
808116	92701	Mary Alden
808116	130043	Blossom
808116	143172	Agnes Lambert
808116	170985	
808116	200051	Renie Mathis
808116	216316	
808116	224119	Dowager
808116	251860	
808116	251873	Peggy Desmond
808116	277653	Gladys Claypool
808116	294368	The Painted Lady
808116	306306	Lois Wheeler
808116	318962	
808116	318963	Prue Mason
808116	331546	Rhy MacChesney
808116	365037	'Jerry' McNairn
808116	372146	Peggy Sycamore
808117	367852	
808117	372471	
808118	293946	
808119	46612	Gerdas Zofe/Gerda's maid
808120	38012	Herself
808120	124284	The Band
808121	51791	Medical Student
808122	104644	Jewish Wife
808122	116914	English teacher
808122	200942	Rose
808122	204751	(segment "O Homem dos Quatro 
808122	315831	
808123	39412	Navajo Woman
808124	369922	Su Qing
808124	411873	Luo Fei
808126	219605	Mai Li
808126	221855	Thu
808126	269221	Bopha
808127	194020	Second 1
808127	366077	Marie
808128	85555	Rogue
808128	85573	Kashya
808128	85574	Kashya
808128	313553	Former Confederate Lieutenant
808128	313554	Sarah Kerrigan: The Zerg Quee
808128	397175	Julie Winters/Gloriee
808129	8901	Bianca
808129	78887	Herself
808129	200793	Liao, Tia
808129	238788	Nurse Aiko, Additional voice
808130	231990	One of the 3 Graces
808131	343719	
808132	359827	Mme Sylla
808133	138969	Granny
808134	71364	
808135	266576	
808136	255386	
808137	243344	
808138	125233	Tamara
808139	289335	
808140	175539	Herself (Honoree)
808140	214098	Pavlova
808141	151045	
808141	224567	Fawn Nesbitt
808141	301632	
808142	338981	Herself
808143	8932	Sister Jane
808143	116152	Pregnant Folksinger
808143	313677	Lillian Fencl
808143	360100	Atoller wife
808143	395591	Office manager (1996)
808144	17927	Amber
808145	7493	One of Castle's Daughters
808146	275435	Groupie 1
808146	366754	Tansey
808147	348752	Kurama, Sakura, Police
808148	34913	Choir member
808149	17280	Mother/Additional voice (segm
808149	19769	Paulette
808149	35631	
808149	68086	Jill Sprang
808149	95080	Mom
808149	113333	Additional Voices
808149	132247	Dance Competition Official
808149	183061	Culotte
808149	183387	Candy
808149	221122	Various Characters
808149	221123	Various Characters
808149	283368	Tammy
808149	292214	Mother
808149	292215	Mother/Additional Voices
808149	380314	
808149	387311	Various
808149	398407	Various
808150	40716	Young Rebecca Rose
808151	18821	
808152	37222	Vanessa
808153	116548	Marian Forrester
808154	37383	Herself
808155	322008	
808156	83926	Betty
808156	84922	Joan Millard
808156	87163	Herself
808156	128894	Gwennie
808156	163359	Gloria Pennington/Miss Smith
808156	264484	
808156	313078	Fox Hunt Guest
808156	313320	Marion, at Santa Anita clubho
808156	316232	Jane
808157	43656	Ginette, une vendeuse aux mag
808157	57540	Tania
808157	59249	La photographe
808157	63948	Arlette
808157	64221	Céleste
808157	66348	Maria
808157	66835	Mado
808157	68356	Juliette
808157	84689	Claire
808157	90769	Kiki
808157	100253	Mugette
808157	100307	Magali
808157	111117	Poupette
808157	111386	Any
808157	116442	Sonia
808157	128645	Antoinette
808157	133072	Sylvaine
808157	148677	Pitel
808157	148769	Naked woman in her bath
808157	198606	Suzanne
808157	199328	Loque
808157	215501	Arlette
808157	338808	Zizi
808157	340670	
808157	346740	
808157	355257	Clémentine
808157	356985	Amanda
808158	34822	Pammie
808158	73217	Pamela Brown
808158	176969	Woman Police Officer 1
808158	177232	Journalist
808158	364205	Mrs. Kuhl
808158	391869	Margaret Bradley (2000)
808158	402145	Georgina Jones
808158	402197	Nora Flynn (1985)
808158	405960	Shirley Ryan (1984)
808158	411809	Barbara Webber (1981)
808159	319006	Lucy Hodson
808160	249548	Dancer/Punker
808161	3294	Suprised Woman on Stairway
808161	7868	
808161	14171	Herself
808161	20528	Possessed Witch
808161	24430	Electric Psychedlic Pussycat 
808161	26491	Lyta Alexander
808161	26494	Lyta Alexander
808161	26500	Leeta Salamander
808161	34009	Karen's Mother
808161	42737	Susan
808161	117131	Alisa Fox
808161	166705	Ms. Peters
808161	172703	
808161	178931	Julie
808161	218159	Party Guest
808161	230333	
808161	232105	Barbara
808161	278484	Woman Imposter
808161	279323	Bandstand Babe
808161	304915	The Woman
808161	321227	Josie
808161	381082	Commercial Telepath Lyta Alex
808161	389867	Christy Russell
808162	229052	La jeune femme au portable
808163	225485	Woman at manor #4
808164	16892	Angry Annie
808164	195178	
808164	195771	Ian Board
808164	275485	
808165	9454	
808165	412078	
808166	9454	
808166	19392	Barbi's mom
808166	58358	Fekete Virág
808166	170394	Girl with Cruches
808166	170396	Girl with Cruches
808166	322094	Klára
808166	371289	
808166	399860	
808167	191762	George's Girl
808167	226900	Maria
808167	241792	Frankie's Girlfriend #2
808167	395165	Dirk's Hollywood Starlet
808168	77927	
808169	39760	Consuello
808169	151233	Mrs. Levin
808169	240976	Fay Desmond
808169	244364	Maria Soledad
808169	245280	Nelly
808169	281889	Miss Mangiacavallo
808169	390771	Laura Grant #2 (1953)
808170	30247	Sarah
808171	2419	
808171	31713	
808171	34469	Connie
808171	35182	Betsy Harlow
808171	38039	Connie
808171	38129	Connie
808171	42269	Connie
808171	46320	Madeleine
808171	48733	City Flirt
808171	48734	The Kid Sister
808171	49807	Connie
808171	53307	
808171	54624	Bit Part
808171	78019	Nancy Flavelle
808171	78103	Barbara Winslow
808171	94526	Marian Duncan
808171	95027	Dulcy
808171	96800	Ming Toy
808171	98007	Florence
808171	105496	Connie
808171	105992	Suzanne Ercoll
808171	107786	The Mountain Girl
808171	109909	Connie
808171	114744	
808171	117524	Connie
808171	126111	
808171	128398	Jessie West
808171	130961	Jennie Wetherby
808171	131566	Mrs. Richard
808171	131590	Mary Wayne
808171	134019	Connie
808171	138684	Barbara Townsend
808171	143318	Dorothy Adams
808171	143396	Helen Weyringer
808171	148976	Susan Lane
808171	157539	Connie
808171	157747	Herself
808171	157959	Georgianna Chadbourne
808171	158310	Marion
808171	161542	The Mountain Girl (Babylonian
808171	175821	Mrs. Walter Gibson
808171	183768	The Lady
808171	183856	Mabel Vere
808171	186725	Patricia Stanhope
808171	188160	Helen Drayton
808171	188173	Leila Calthorpe
808171	192178	
808171	195567	Babs
808171	200858	Connie
808171	202650	Eve Orrin
808171	207444	Connie
808171	207946	Marna Lewis
808171	212981	Jessie Barton
808171	215773	Laura Haskins
808171	218842	Winifred Osborne
808171	221288	Mrs. Leffingwell
808171	224599	Lucy Lane
808171	244808	The Actress
808171	246784	Mrs. Molly Thornhill
808171	251416	Kitty Grey
808171	253004	Mary Blake
808171	259762	Polly Meacham
808171	263903	Phyllis Tomley
808171	280855	Arabella Cadenhouse
808171	288820	Kitty Constable
808171	289394	Beatrix Vanderdyke
808171	295284	Girl in car
808171	298128	
808171	300558	Bettina Vandepoel
808171	310223	Connie
808171	317399	Celia Laird
808171	317431	Connie
808171	327392	Billie Billings
808171	343197	Lillums Blair
808171	345750	Gladys
808171	348385	Sallie Waters
808171	350483	Connie
808171	351232	Geraldine Barker
808171	351881	Princess Beatrice Doriani
808171	351927	Carlotta
808171	355225	Gwendolyn Armitage/Nellie Jon
808171	360672	Rosalie Wayne
808171	364146	Joan Ludlow
808171	367711	Josephine Gerson
808171	372631	Connie
808172	340841	Singer
808173	57001	Jan
808173	322837	Additional Voices
808174	200496	
808175	128398	Mrs. Kiesey
808176	71745	Bit Part
808176	140120	Fainting Female Bank Customer
808176	161542	Favorite of the Harem/Dancer/
808176	162924	Janis Harmon
808176	195567	Dorcas Winthrop
808176	244849	Virginia Canfield
808176	371314	Emma Martin
808177	58	
808177	21798	Yolande de Breux
808177	30361	Rose, Their Daughter
808177	31060	Virginia Vandergriff
808177	33403	Belinda
808177	41920	
808177	45963	Ruth Sawyer
808177	47344	Herself
808177	47560	
808177	50907	Margot Hughes
808177	52903	Marguerite Gautier (Camille)
808177	54437	
808177	54438	Captain Barnacle's Daughter
808177	54440	Captain Bunce's Daughter, Rut
808177	54624	Mary Carstairs
808177	56247	Kitty
808177	61553	
808177	61698	Cora
808177	71532	
808177	71543	
808177	73358	
808177	73956	Shirley Rives
808177	75321	
808177	75439	
808177	79357	Mother Who Abandons Child/Olg
808177	79419	Jennie Malone
808177	79426	
808177	80219	Julie Kendal (De Luxe Annie I
808177	85047	Rene
808177	88261	
808177	88962	
808177	92076	Dolores
808177	95479	
808177	99476	
808177	99496	
808177	104308	Duchesse de Langeais
808177	106206	
808177	106460	
808177	107589	
808177	108637	
808177	109889	
808177	109893	
808177	112253	Naomi
808177	114294	
808177	116381	
808177	117357	San San/Toy
808177	117810	
808177	117998	
808177	118022	The Musician's Daughter
808177	118358	
808177	125548	
808177	127304	Ruth Graham/Jeanne La Fleur
808177	130419	Grace Remington
808177	131756	
808177	133322	Princess Yetive
808177	141338	Wetona
808177	142684	
808177	143184	
808177	143333	Lucille Westbrook
808177	143886	
808177	144599	
808177	145021	Alice
808177	146018	
808177	146043	
808177	146143	His Daughter
808177	146226	
808177	149189	
808177	151186	
808177	157747	Herself
808177	157851	
808177	162924	Ethel Harmon
808177	165511	
808177	168588	
808177	171263	Rosa, Piquet's Wife
808177	176639	Kiki
808177	183539	
808177	183866	Polly Pearl
808177	186304	Flora Graham/Ruth Graham
808177	193133	
808177	195927	
808177	196260	Jennie Dobson (aka Ginger)
808177	196507	One of the Lovesick Maidens
808177	206593	Martha
808177	210609	
808177	213053	
808177	213992	
808177	215317	
808177	215773	Myra Holburn
808177	216811	
808177	219891	Lucy Gillam
808177	220872	
808177	221222	Liza
808177	221240	
808177	230732	Princess Marie Pavlovna
808177	230932	Jill Deverne
808177	237559	
808177	237560	Aileen
808177	237561	
808177	237563	
808177	238719	
808177	239724	Ethel Marsham
808177	239778	
808177	240331	
808177	242109	Helen Brinsley
808177	244436	
808177	247880	Panthea Romoff
808177	247955	
808177	251416	
808177	255858	
808177	259404	
808177	260418	Poppy Destinn
808177	265088	Josephine Mowbray
808177	269653	
808177	278240	
808177	280987	
808177	285059	
808177	285337	Puck
808177	286383	Kathleen
808177	289188	
808177	292564	Tess Skinner
808177	292781	Mary Carlton
808177	297960	Marie Callender, aka Marie Ma
808177	300106	Cameo appearance
808177	301275	Ann Hunniwell/Mrs. 'Lafe' Reg
808177	301942	
808177	304309	
808177	305598	Kathleen/Moonyeen
808177	306768	Mayme
808177	307572	
808177	308593	Noorma-hal
808177	314398	A Typist
808177	317475	
808177	319249	
808177	323766	Woman on the way to guillotin
808177	331977	
808177	340621	A Step-Daughter
808177	345820	
808177	345991	
808177	346109	
808177	350920	
808177	356245	Lady Adrienne Carlyle
808177	359118	
808177	359123	
808177	360189	Nancy Lee
808177	360304	
808177	366888	Mary Turner
808177	367451	Mary Ann Wagner
808177	367467	Inga Sonderson
808177	368011	Jacqueline Laurentine Boggs
808177	371314	Margaret Vane/Minnie Berry
808178	222634	Geneva Yeager
808179	69053	Baby Ada
808180	42386	New York Reporter
808180	165635	Sarah
808180	206405	Elizabeth
808180	245140	Susan Zigo
808180	294717	Bloomingdale's Saleswoman #1
808180	318311	
808180	358708	Susan
808181	349503	Collegue
808182	335492	Sprinter Inter Club
808183	189876	Suzette
808184	226001	Kata
808185	24143	Church Woman
808185	35939	Mrs Clonkers
808185	63095	Edith
808185	396463	Bron
808186	208836	Herself
808187	377736	Françoise
808188	389130	Herself/Co-host (first 5 epis
808190	174779	
808191	23963	
808191	41182	Cotton Baby
808191	64750	Liz
808191	82714	Gina
808191	110980	Kara
808191	110981	Kara
808191	128785	
808191	261976	Model
808191	297321	Stripper
808191	333407	Sarah
808191	367873	Emily
808192	288200	
808193	155338	
808194	16195	
808194	58127	Zárubová
808194	135750	Dáma so psíckom
808194	179882	
808194	180940	
808194	252207	
808194	259932	Vilma
808194	261380	
808194	301786	Hortensie
808194	304191	
808194	305812	
808194	332390	Ann
808194	357437	Lída
808194	357922	
808194	364904	Vera
808194	380554	Grown-up Gretchen
808195	198233	
808196	74934	
808196	108537	Woman
808196	131029	
808196	138293	
808196	171531	Functionary
808196	410338	
808197	341554	
808198	354978	
808199	55451	Lynn Voray
808199	58359	Debbie Farmer
808199	80800	Marge Blaine
808199	84971	Gen. Cullen's secretary
808199	87990	Girl at Newsstand
808199	118434	Stella, Secretary
808199	133673	Brenda Hall
808199	144109	Hazel
808199	157456	Frances Randolph
808199	203470	Girl
808199	203535	Helen Parnell
808199	280024	Corinne Talbot
808199	281035	Beulah
808199	286120	
808199	315745	Rose (segment "Equilibrium")
808199	324385	Olga
808199	372328	Navy Blues Sextette member
808199	398685	Myra Cobb/Myra Shepard
808200	170338	
808200	322671	Dancer
808201	313142	Thomkin's Girl Friend
808202	198609	
808202	290120	
808203	188623	Young Anna Kaleva, 1944
808204	175718	
808204	304160	
808205	36520	Mary
808205	122473	
808205	128953	Bobo
808205	174172	Dancer
808206	374880	Milyas' wife
808207	17664	
808208	137815	
808209	136128	Mira
808210	127453	
808211	219692	Svetlana
808211	380823	Mrs. Sack
808212	127454	
808212	312434	
808212	373443	
808213	226012	Anna
808214	7610	Afonya's chief
808214	8455	
808214	18633	
808214	19726	
808214	31025	
808214	35932	
808214	60453	
808214	84467	
808214	89984	
808214	95002	
808214	107664	
808214	125658	
808214	154216	
808214	162432	Nadya's friend and Nadya's vo
808214	163030	
808214	163930	
808214	179658	Queen
808214	179910	
808214	181654	
808214	184801	
808214	190728	
808214	200002	
808214	202301	
808214	217277	
808214	217283	
808214	223551	
808214	225818	
808214	226857	
808214	227899	
808214	229927	
808214	237430	Aunt Anya, actress (Emilia)
808214	252821	Teacher
808214	258437	Actress
808214	258651	Danilov's Mother
808214	261137	
808214	261296	Varvara-klyuchnitsa
808214	262498	
808214	263604	
808214	263938	
808214	267863	
808214	282824	
808214	293847	
808214	300369	
808214	304724	
808214	313621	
808214	313890	
808214	340657	Mother
808214	348707	
808214	349083	
808214	350739	
808214	351021	
808214	352456	
808214	352832	Antonia
808214	356870	
808214	370406	
808214	371344	
808214	374768	
808214	375114	
808214	375446	
808214	376015	
808214	382445	Teacher
808214	390401	Mariya Pavlovna
808215	370062	Graciela
808216	124576	
808216	216664	
808217	299988	Chan Mei-ling
808218	121776	Amy
808218	131343	K.K.
808218	135027	K.K.
808218	286465	
808218	340607	Moon
808218	340616	Moon
808218	340617	Moon Ah Say
808218	374756	Mindy
808219	249293	La chercheuse d'eau
808220	268709	Court Lady
808221	216664	
808222	91737	Grandmother
808223	41409	Special Lady
808223	266050	Nude Masseuse
808224	323100	Tai Tai
808225	335402	Kitty
808226	135496	Hsiao-Hung's Mother
808226	236264	Ying Sun (Bing's Mother)
808226	268631	Willie's Mother-in-Law
808226	369582	Boss' Wife
808226	370842	Lai's Mother
808227	48448	Pui
808228	19769	Bebedoa
808228	217139	
808229	3586	
808229	8895	
808229	170335	
808229	218643	Keiko
808229	232709	Kyoko
808229	283389	
808229	299576	
808229	318211	
808230	204971	Lipumira
808231	78403	Vanessa
808232	199148	Kid
808232	214228	Young May
808232	287728	Judy the Elf
808232	347746	Child
808233	6079	Dr. Takagi Youko
808233	8901	Additional Voices
808233	9285	Shiori
808233	20019	Ryoko Tsugumo
808233	31044	Uranus
808233	123932	Dotta
808233	130730	Reiko Terayama
808233	137336	Hinaginu
808233	155714	Kanna Toreishi
808233	170881	Yoko
808233	193381	Pirotess
808233	232868	Girl in disco
808233	262104	
808233	272213	Lychee
808233	286866	Charlotte
808233	298966	Death Star
808233	299098	Takayanagi Yôko
808233	323134	Tsujimoto Natsumi
808233	378652	Kamui
808233	379521	Miyama Soshigaya
808233	380473	Sakura Yamazaki
808233	380725	Kanae Godai/Jun Sugiyama
808233	381163	Dotta
808233	386537	Kawasaki Rurara
808233	389877	Rei Kuki
808233	390964	Remi
808233	395065	Elise
808233	396486	Nats
808233	397786	Clara
808233	400292	Mariko Shinobu
808233	407289	Toba Matsuri
808235	44077	Ayako
808235	294028	Rin
808235	376760	Camello
808236	175364	
808236	180508	Masako
808236	233136	Ehime
808237	41796	
808238	385982	Hirokazu Shioda
808238	408728	Build Boy
808239	53757	Anna
808240	72650	Asian Hooker
808241	52779	Anita
808242	352746	Mother
808243	286985	
808243	297291	Chan Sai Kiu
808244	368335	Margaret Sass
808245	4329	
808245	10627	
808245	163827	
808245	212507	
808245	370985	
808246	155943	
808247	161561	
808248	161561	
808249	69796	
808250	9179	Tonina
808250	14377	Carmen
808250	14378	
808250	14379	Carmen
808250	24140	Amante di Paciottini
808250	30372	
808250	38503	
808250	57852	Tisbe, stepsister of Cenerent
808250	68442	Marisa
808250	73601	
808250	86333	
808250	89834	Lola
808250	94653	
808250	94721	
808250	101597	
808250	102634	
808250	110177	Ines
808250	112274	Elsa
808250	219606	Signora Comolli
808250	220193	Rita
808250	253713	
808250	265189	
808250	274902	The False Mother
808250	278319	Maddalena
808250	308810	
808250	318632	
808250	336593	Luisella
808250	349531	
808250	351512	Conchita
808250	377174	Amiga de Alfonso
808250	396307	Margherita
808251	167555	Nariie
808251	229773	
808251	229774	
808251	229775	
808252	407847	Natsumi
808253	282285	
808253	309758	Mme Havret
808254	371271	Alumna de la facultad
808255	10816	
808255	31641	
808255	55768	
808255	56129	
808255	93721	Roma
808255	120063	
808255	176884	Gym member
808255	192509	
808255	214467	Dancer
808255	228264	Herself
808255	234090	Sonya
808255	308273	
808255	321323	Delphine and Maizie Marshall
808255	392080	Herself
808256	87414	Basketballer
808257	239674	Character voice
808258	186021	Corazon
808259	389280	
808260	380565	Di Smith
808260	384962	Detective Julie Mitchell
808261	196134	Susie
808262	178442	Waarzegster
808263	186193	Mme de Nogent
808263	351816	Therese
808263	387848	
808263	393731	Mme de Rémusat
808264	31085	Ines
808265	20713	
808266	185297	Nurse Hartley
808267	201976	
808268	248774	
808269	254485	
808270	30834	
808271	292275	Jill
808272	68153	Phyllis
808272	145638	Agent
808272	271990	Elaine
808272	303863	Acme Comedy Theater
808273	48429	
808273	182801	
808274	143761	
808275	15419	Charlie Jalandoni
808275	18291	
808275	22061	
808275	30536	
808275	30861	
808275	33855	
808275	76171	
808275	100043	
808275	103774	Donna
808275	162132	
808275	172944	
808275	200185	
808275	200592	
808275	205046	
808275	282862	
808275	302421	
808275	316572	
808275	321476	
808275	387832	Donna
808276	213389	Parturfreta de Guantanimo
808277	3436	
808277	9727	
808277	12088	
808277	74554	Amalia Rosales
808277	100509	
808277	135067	
808277	197972	
808277	213709	
808277	222034	Chayito Solares
808277	222047	
808277	253033	Virginia, Adela's Daughter
808277	253184	Mercedes
808277	292759	
808277	302306	
808277	376676	
808277	377104	Adriana Águila
808277	377170	
808278	65404	
808278	94640	
808278	159187	
808278	250699	
808278	257899	
808278	266857	
808279	376832	
808280	109421	Monica
808281	143761	
808282	380917	Susana
808283	72379	
808283	111276	
808283	127991	
808283	132688	
808283	146572	
808283	171459	
808283	202556	
808283	204644	Doncella 2ª
808283	205713	
808283	296463	
808283	353202	
808283	376641	
808284	285017	God
808285	381921	Herself
808286	181897	
808287	267503	Fannah
808288	270691	Nadia
808289	190329	Person Living with AIDS
808290	61135	
808291	272890	
808292	43875	Katie
808292	86749	Leroy's girl
808292	142541	Occultist #3
808293	2581	Presenter
808293	168718	Sprout
808293	192574	Young Jill
808293	273684	Deb
808293	278498	Katie Embry
808293	303266	Tabitha "Tibby" Tomko-Rollins
808293	327727	Kate (segment "Twelve Miles t
808293	389858	Emily Bowen Quartermaine #1 (
808293	393569	Joan Girardi
808294	336033	Leslie
808295	203939	
808295	384480	Herself
808295	387902	Herself
808296	359858	Art Gallery Party Goer
808298	43424	
808298	59211	Manageress
808298	62296	
808298	67715	Marthe
808298	72074	
808298	78447	
808298	82506	
808298	95359	
808298	160820	L'auditrice
808298	179288	Totoche
808298	257011	
808298	341700	
808299	246431	Dolly da piccola
808300	2992	Bruna
808300	33682	
808300	85978	Gerda
808300	90739	
808300	92075	
808300	113710	Zanetta
808300	118932	Janet
808300	128024	Marcella
808300	210384	Priscilla Mulinetti
808300	213803	Gloria
808300	218959	
808300	251607	Francesca
808300	251617	Stefania
808300	255540	Signorina Bonazzi
808300	266118	
808300	287478	
808300	290926	
808300	293065	
808300	309263	Nancy
808300	311485	Mimmina
808300	317361	
808300	324460	Nunzia
808300	402258	Lisa
808300	409094	Anna
808301	281233	Banquet Guest
808302	155301	Hotel Guest
808303	109118	The Bride
808304	64917	Arlene Berquist
808304	71633	Countess Sofia di Sarzanello
808304	86279	Stewardess (Northeast Plane)
808304	109439	
808304	117674	Blanche Finley
808304	117789	Mrs. Gibbons
808304	123304	Marchette
808304	157444	Teresa Taylor
808304	235603	Dealer #2's Girlfriend
808304	258283	Sister Ruth
808304	304753	Tracy Corbett
808304	381932	Darlene Broussard
808305	169991	Child in class
808307	38822	Badiyanu
808307	64421	Julie
808307	80754	Little girl
808307	81946	Eliza Bob
808307	88561	S. C. Dancer
808307	127154	Lea
808307	155639	Nancy Brockwell
808307	242492	Leah
808307	246287	Zeaa
808307	279624	Robbie's Hand
808307	354161	Radio Announcer
808308	147165	
808309	192871	Young Woman
808310	136699	Selma
808310	288212	
808310	294133	Sirma
808311	156210	Çigdem
808312	48429	
808314	379602	Trixi
808315	242538	
808315	380842	Elena Boker
808316	195180	Gisèle
808317	298321	Blind Dancer
808318	24586	Anne, la monteuse
808318	201758	Herself
808318	310728	Sheri Silver
808318	383783	Hostess (2004)
808318	396285	Lotta 'Tamy' Waser
808319	61911	Herself
808320	286274	Performer
808321	372493	Neera
808322	390242	Nettie Boelens (1991-1992, 19
808323	70325	Station master's wife
808324	136948	
808324	400075	Various
808325	20057	Dali
808326	254485	
808327	361211	
808328	144697	Student
808329	304358	Molly Malloy
808330	226586	Katrin
808331	46383	Tammie
808332	370596	
808333	13452	Zenobia
808333	88921	Herself
808333	88930	Romana (I)
808333	88933	Romana #1
808333	128780	Selina Redwood
808333	190721	Christina
808333	210436	Alex
808333	238285	Sigi
808333	263222	
808333	264913	Aunt Sister Maria
808333	271866	Julie
808333	276253	Romana (I)
808333	309309	School mother
808333	315620	Romana
808333	323913	Virginia 'Ginny' Pageant
808333	331426	Piou
808333	338738	Jill Fraser
808333	382838	Penny Crosbie (1993-1995)
808333	386587	Romana (1978-1979)
808333	391216	Portia Loomis
808333	391326	Jennifer Reynoldston
808333	393314	Blanche Ingram
808333	393686	Vivian Brodie
808333	400810	Yvonne Edwards
808333	407790	
808334	133352	
808335	32374	Finska
808335	182583	Flickan bakom stängslet
808335	377442	Emma Wigers
808335	393273	Fängelsevakt
808336	372965	Woman #3
808337	124225	News Reporter
808338	320453	Joanna
808339	281371	Sientje
808340	179291	Leila, Simon enkeli #4
808340	341798	Härvellin sihteeri/Leila, Sim
808341	349408	Leena
808342	392307	Herself - the host
808342	394131	Herself, The host
808342	394341	Herself, the host
808342	404319	Herself - the host
808343	131345	
808343	171584	
808343	174021	Herself
808343	233246	
808343	404782	Kyyröläinen
808343	409931	Alexandra Soldan
808344	19094	Hélène Harding
808344	235404	Stage Mother
808345	44911	
808346	11847	Saengerin (Singer)
808347	84403	Lucky
808347	193479	Stephen Bradley
808347	238869	Undetermined Role
808347	326118	Madge Van Tillier
808348	91036	May
808348	189602	
808348	236831	
808348	313648	Frau Kien
808348	325551	
808349	169856	Martha
808349	236599	Sonia
808350	122239	Tetsu Sato, Kaneshige's stepm
808350	149094	Michiyo Yukawa
808350	168060	
808350	179518	Widow
808350	232513	
808350	299630	Mother
808351	90165	Jane
808351	155503	Shino
808351	160098	
808351	167580	
808351	172114	
808351	216528	
808351	232963	
808351	241951	Orin
808351	358119	Yuriko Hishimi/Anne
808351	370336	Rieko
808351	380471	
808351	391522	Otama (Mitsuhide's daughter)
808351	392526	Eriko Tamura
808351	393502	Rieko
808351	393696	
808351	394899	
808351	394917	Maki Satomura
808351	399654	Non
808351	410626	
808351	410627	Aiko
808351	411641	Hyakuko
808352	289311	
808353	232921	
808354	21353	
808354	22123	
808354	89511	
808354	227849	
808355	21822	Ikuko Fujii
808355	98600	Maki Yoshida
808356	216649	
808357	9563	
808357	15089	Fukimo
808357	63542	
808357	76988	Eiko Yanagawa
808357	88753	
808357	145288	Fiancee
808357	177923	
808357	232536	
808357	281576	
808357	286847	Yae
808357	358401	
808358	176206	Mitsue Toriiyama
808358	216658	
808359	100447	Kasumi
808359	108605	Teenage girl
808359	152095	
808359	183061	Chocolat
808359	309470	Talim
808359	328012	Narrator/Additional voices
808359	332355	Elf classes/Paladin classes/P
808359	335185	Yumi
808359	369795	
808359	373392	Kôryû/Anryû, Tenryûjin
808359	381165	
808359	395517	Young Aisha/Various Child cha
808359	396495	Alys
808359	398997	Tenten
808359	400268	Ichigo Morino
808359	400269	Ichigo Morino
808359	404572	Kanami Yuta
808359	411978	Additional voices
808359	412285	Reiko-chan (1986-)/Su Lin (19
808360	171426	Mrs. Balogh
808361	8568	
808361	411589	Ye Lin
808362	292427	Jing Jing
808363	269221	Naline
808365	44274	News reporter
808366	32397	
808366	211727	Grand Lady in Paris
808366	285017	Lucía's mother
808366	325864	
808366	361559	
808367	62115	Jesse
808367	237450	
808368	2533	Holly
808368	245010	Luo Yi
808368	365745	
808368	391079	Stacey (Series IV 2002)
808368	399463	Gina
808368	403436	Kim
808368	404616	
808368	408988	Jazz Singer
808369	189203	Teacher
808369	405110	Lu Wushuang
808370	405110	Guo Fu
808371	173869	
808372	216451	Quan
808373	4528	Young Estela
808374	286978	Vivian
808375	82099	Karen
808375	117656	
808376	99804	
808376	294785	Bu Risna
808376	306609	Mak Lang
808376	306611	Mak Lang
808377	117656	Ticket Seller #1
808377	225844	
808378	111247	Female Chou
808378	268614	
808378	299055	
808379	153562	Florist
808380	372315	Police officer
808381	117656	Mei
808382	49848	Lisa Long
808382	246012	Jessica
808383	169594	Jennifer Jordan, Rose's Daugh
808384	117656	Girl in changing room
808385	21975	Herself
808385	34904	
808385	57241	Herself (Mika Tan)
808385	81860	
808385	93707	
808385	150031	Mika
808385	235127	
808385	349386	
808386	153562	Perfect Girl
808387	151906	
808387	370600	
808387	374709	
808388	369040	Herdswoman Jinhua
808389	243175	
808390	148531	Midwife
808390	280478	Wei Wei
808390	369727	Mrs. Khoo
808390	409491	Anita
808391	175621	Klahn's Harem
808392	361476	
808393	319093	Man/Woman
808394	316127	
808395	296413	
808396	203600	Nymphet
808396	247155	2nd Reporter
808397	369727	DJ
808398	244399	Aleena
808399	117656	Receptionist
808400	18169	
808400	25993	
808400	38443	
808400	125349	
808400	200777	
808400	325013	Helga
808400	345006	
808401	153562	A&E Girl
808402	286934	Desdemona (Prima Ballerina)
808403	9490	
808403	15883	
808403	22076	
808403	25633	
808403	33324	
808403	38621	
808403	125929	
808403	126870	
808403	136785	
808403	137592	
808403	172649	
808403	173788	
808403	174913	
808403	180319	
808403	212280	
808403	213756	Sadie
808403	221850	
808403	225552	
808403	271993	Maria Luisa Pineda
808403	295509	
808403	308302	
808403	325210	
808403	326989	
808403	341873	
808403	370768	
808403	378257	
808404	329946	Student
808405	297896	Mona Osler
808406	47157	
808407	113683	Feofania
808407	135861	Anna
808407	180365	
808408	201011	Renata
808409	76977	Dancer
808410	386405	Kane
808411	232610	Kotsuru Kabe in upper class
808412	4557	Chiyo
808412	172285	Kilaak
808412	182167	Nurse
808413	232610	Kotsuru Kabe in lower class
808414	240429	
808415	212102	Specialty Dancer
808415	293535	
808415	367141	
808416	8125	
808417	406010	Dancer
808418	299557	
808419	212137	
808420	8901	Nena
808420	159973	Major Motoko Kusanagi
808420	182706	Major Motoko Kusanagi
808420	209788	New Mamamega
808420	254712	Michau
808420	264168	Cheloria Yurisis
808420	283628	Karen
808420	316624	Chun-Li/Poison
808420	369335	Saeko Misaki
808420	379625	Cassandra
808420	382648	Shira
808420	384236	Reiko Amakai
808420	394325	Slan
808420	394428	Yuka Myras
808420	394711	Major Motoko Kusanagi
808420	396491	Yumi Haneishi
808420	396501	Saki Sawanoguchi
808420	396503	Bikein
808421	379044	Ochiyo (1988-1997)
808422	13222	Secretary
808422	201885	Gucci
808423	335269	
808424	348994	Fujibakama, koshimoto
808425	18032	Colleague
808425	37474	Female Wing Kong Guard
808425	145743	Once beautiful woman
808425	154896	Kimiko Tanaka
808425	182975	Mrs. Ling
808425	245725	Hayaki's Mother
808425	280192	Kornblum's Secretary
808426	82855	Chisato Jôgasaki/Mega Yellow
808426	293501	Chisato Jôgasaki/Mega Yellow
808426	386040	Chisato Jôgasaki/Mega Yellow
808427	373224	Suzuki, Kumi
808428	140278	Merodii
808429	8762	Talkative passenger
808429	174060	Ohana, maid
808429	179436	
808429	214901	
808429	216520	Old woman
808429	232663	Sadako
808429	241945	Old woman
808429	242148	
808429	284039	Old woman
808429	287579	
808429	288053	Mother of Shibata
808429	293487	Tsurusada's sister
808429	299440	Grandmother
808429	338580	Okin
808429	370706	Old Woman
808429	372038	Sansho (episode 4)
808429	375590	
808430	92763	Mayuko Mazuki
808430	138868	
808431	91684	Female Power Corps kid
808432	92115	Trudie
808432	192542	Mrs. Ha Bianca
808432	370856	Yukari
808433	387399	Ichirô Higaki
808434	89010	
808435	382397	Herself
808436	9187	
808436	9189	Katsue Takaishi
808436	9190	Katsue Takaishi
808436	9191	
808436	9276	Madame Yasumoto, Noboru's mot
808436	19691	Oyoshi
808436	21330	Herself
808436	21343	Oshige
808436	21365	Shinjiro
808436	61114	Neighbor's wife
808436	61457	Omitsu, Heiichiro's mother
808436	63538	Yae
808436	76870	Farmer
808436	76884	Machiko Nomoto
808436	76975	Okimi
808436	78279	Okano
808436	101784	Hiroko Ogata
808436	122106	Sayoko Aihara
808436	127854	Yukiko
808436	127862	
808436	137348	Oshige
808436	138078	Yoko Mori
808436	138098	Haruko, bride
808436	140715	
808436	144734	Kiyoko Hirayama
808436	145276	Tokiko
808436	145283	Nobuko Yazaki
808436	145452	Miyo Tajima
808436	146356	Woman who sings lullaby
808436	146896	
808436	147327	
808436	149236	
808436	149674	Kishi, Fumiko's mother
808436	155170	Rie, Kido's second wife
808436	158677	Oyuki
808436	167906	Itsuko Kuriyama
808436	169127	Hiroko Hosokawa
808436	169696	Sumako Matsui
808436	171627	Takehara, head of prison
808436	172050	Hatsue Kotani
808436	172299	Oaki
808436	173261	Hideyo
808436	173357	
808436	173487	
808436	173992	
808436	174952	Tokiko Amamiya
808436	175360	Fumie Matsukawa
808436	176627	Yukiko Matsumoto
808436	177801	
808436	178252	
808436	179341	Tsuna
808436	179377	Kaoru, a dancer
808436	179383	
808436	179399	Landlady
808436	180054	Fumi
808436	180138	Noriko Kuki
808436	198949	
808436	199417	Wife of the playwright
808436	200545	Kuniko Ariga
808436	216492	Shinobu Nonomiya
808436	219301	Omitsu
808436	222427	Setsuko Munekata
808436	222518	Oharu
808436	222519	Okinu
808436	222922	Michiko Akiyama
808436	226644	Rika Yamanaka/Oharu
808436	227436	Myokan
808436	227437	Ochika
808436	227657	Orin
808436	232587	Sister
808436	232675	
808436	233136	Princess Yamato
808436	233225	Someka
808436	237843	
808436	239292	Kinuko
808436	239328	Masako Fukuhara
808436	242178	Michi Saeki
808436	243355	Kiku Sasaki
808436	243999	Koharu Sakata
808436	244556	Madame from a noble family
808436	244573	Mother
808436	245865	
808436	245881	Oyû Kayukawa
808436	271673	Cafe's waitress
808436	278375	Waka
808436	285613	Oharu
808436	285920	
808436	287103	Taki Takeichi
808436	287161	Osaki Yamakawa, as an old wom
808436	287529	Okinu
808436	287636	Tamaki
808436	288653	
808436	293505	Fujie
808436	293608	Shigeko, bakery assistant
808436	299024	Akemi
808436	299025	Akemi Munakata
808436	299050	Toshiko Yamamoto
808436	299331	Hisa Hosho
808436	299348	Shizuko Sonobe
808436	300483	Okoto
808436	306657	Yoshiko Migiwa
808436	308892	
808436	323126	Youth's Mother
808436	323268	Miyoko
808436	325332	Oharu
808436	326253	Oei
808436	334940	Harue
808436	341271	
808436	344162	Miyagi
808436	348979	Okita
808436	349168	Hatsuko Mabuchi
808436	358124	Eiko Hirayama
808436	358424	Michi's mother
808436	359828	Oshige
808436	371989	Fusako Owada
808436	372032	
808436	372036	Oiwa/Osode
808436	375558	Katsue Takaishi
808437	257633	
808438	8759	Rina
808438	13604	Maki
808438	168006	Actress (cameo)
808438	169190	
808438	173478	Ikuko
808438	178258	
808438	180434	
808438	270313	Yano, Shimako
808438	295898	
808438	299011	Yumi
808438	341280	Mishima's Son's Ex-Wife
808438	371828	Saeko
808439	306616	Yuko
808440	132912	Pedestrian
808441	20019	Young Kanzaki Satoru
808441	20189	Seneca
808441	91094	Kuririn
808441	91098	Kuririn
808441	92746	Kuririn
808441	92747	Kuririn, Yajirobê
808441	92751	Kuririn
808441	92755	Kuririn
808441	92756	Kuririn
808441	92757	Kuririn
808441	92851	Kuririn
808441	92853	Kuririn
808441	92854	Kuririn
808441	92856	Kuririn
808441	127780	Giovanni
808441	208014	Hiroshi Umino (from Queen Eme
808441	258553	Yôgiras
808441	283268	Shuhe
808441	285921	Kanna Kirishima
808441	285922	Kanna Kirishima
808441	285923	Kanna Kirishma
808441	289314	Mei Xing
808441	327967	Pazu
808441	342572	Twinbee
808441	348753	Ryuunosuke
808441	348754	Ryûnosuke
808441	348756	Ryuunosuke
808441	348757	Ryuunosuke
808441	348759	Ryuunosuke
808441	348761	Fujinami Ryuunosuke
808441	348762	Ryunosuke
808441	348764	Ryuunosuke
808441	348767	Ryuunosuke
808441	373380	Lord Koenma
808441	373381	Lord Koenma
808441	380318	Jean
808441	386775	Kuririn, Yajirobe, Sûhogorô
808441	386776	Kuririn, Yajirobê
808441	386777	Klilyn/Yajirobê
808441	393942	Daiga Ken
808441	394029	Various characters
808441	398978	Papuwa
808441	399500	Kirimaru
808441	400254	Monkey D Luffy
808441	403966	Yûtarô Tsukayama
808441	409404	Nono (Japanese version)
808441	409686	Fujinami Ryûnosuke
808441	411883	Koenma
808442	232701	
808443	17918	
808443	38769	
808443	79179	Michiko Tanaka
808443	94279	Dschainah
808443	188744	Musikstudentin
808443	199285	Suzuki
808443	303713	Nina, die Botschafterin
808443	327655	Le princesse Shô
808443	372016	Kohana
808444	215761	Hooker
808445	255872	Model Friend in Cafe Typo
808446	229764	
808446	387193	Yuiko Tanno
808446	392025	
808446	395697	Warden in charge of Makimura
808447	34194	Akiko Tamura
808447	61442	Momoko, the second daughter
808447	76861	Yumiko Koshiya
808447	139733	
808447	348868	Yasuyo
808447	370652	
808447	400541	Masako
808447	400619	
808448	130488	Kiriko Tsujimori
808448	130491	Nurse Tsujimori
808448	182050	
808448	216224	Misuzu (Kaneko, Teru)
808448	293662	Ritsuko no haha
808448	411297	Amane Murakami
808449	84838	Fleur
808450	54890	Bellboy
808450	369533	Operator D
808450	404767	Rio
808451	145454	Mika Suzuki
808451	405273	
808452	374604	Naomi
808453	1040	Ako Nango
808453	135013	Ayano Katsuragi
808453	140031	Satoka Aida
808453	182488	Maki
808453	334926	Sakai, Eriko
808453	374182	Reiko
808453	400605	Rina Kamiya
808454	14593	Miiko
808454	25749	Koyomi Mizuhara, a.k.a. 'Yomi
808454	280237	Ciel
808454	280238	Ciel
808454	283678	
808454	378651	Morganna
808454	381025	Koyomi Mizuhara, a.k.a. 'Yomi
808454	381164	Sei
808454	384133	Chii/Black Chii
808454	387049	Mitsuki Sanada
808454	390537	Ayaka Usami
808454	394425	Lacus Clyne
808454	394997	Saki
808454	397371	Yumemi Noda
808454	403477	Yachigusa Kyouko
808455	409691	Saika Ukai
808456	298745	
808456	378706	Chie (Kaoru's sister)
808457	2700	Linda
808457	142538	Sara
808457	156854	
808457	239786	Megan Huang
808457	270384	Uni Kakamura
808457	283739	Margaret Yang
808457	304447	Student
808458	244520	
808458	244547	Cha-ya no Okami
808458	244549	Ryokan no Jochu
808458	244553	
808458	325208	
808460	384224	Jun Yabuki/Yellow Four #2
808461	5785	Mermaid
808461	34298	Ume
808461	302619	
808462	136360	
808463	117425	Tamon Takeuchi's Mother
808463	130486	Asuka Okouchi
808463	130497	Asuka Okouchi
808463	145448	Haruko Kaura
808463	172093	Masako
808463	182042	Yasuko
808463	260416	Akiko Sugiura
808463	278548	Shôko Miyaji
808463	373231	Kurenai
808464	165687	Yukiko Hiromitsu
808465	242417	
808465	297182	Youko Kishikawa
808465	373224	Hachiyanagi, Yukiko
808466	12948	Hana Otsuka, prostitute
808466	19692	Kinu
808466	98203	Omatsu
808466	147357	Oei, Tetsuzo's Daughter
808466	150506	Yamaoka Tomoko
808466	173714	Kozome Takonoya
808466	218219	Eboshi-gozen
808466	223308	
808466	232605	Yaeko Tonari
808466	232611	Hisako Oishi
808466	237591	
808466	243900	Shimotsuki, Harumi
808466	244520	Keiko
808466	268511	
808466	370705	Keiko
808466	374182	Fukuko
808466	400437	Oshin as young woman
808467	379	
808467	246851	
808467	354985	
808468	68331	Femme cours de hongrois
808468	72402	La voisine snob
808468	105612	La belle-soeur
808468	168895	Femme cocaïne
808468	171107	
808468	218077	Cliente agence pub
808468	248717	Cliente vidéo
808468	253994	Geneviève
808468	257414	
808468	263620	Madeleine Vieljeux
808468	264451	Une bourgeoise dud dîner
808468	277726	
808468	292691	Stall representative
808468	322573	Anne Gontier
808468	340181	
808468	396262	Lisa
808469	19635	
808469	122535	Mutsuko
808469	129912	Hisako
808469	137129	
808469	138091	Saheiji's wife
808469	141901	
808469	156234	Bar Hostess
808469	174343	
808469	178418	Kaneko Yokota
808469	242200	
808469	243902	Otae
808469	258320	Detective (segment "Les Cinq 
808469	285616	Momoko Mihara
808469	322874	Yukiko
808469	334933	
808469	341276	Fusako Sagara
808469	341302	
808469	341304	Hisae Suzuki
808469	341306	
808469	344119	Hatsu Uemura
808469	358116	
808469	370407	
808469	370706	Nurse
808469	373921	Mitsuyo Shinjo
808469	375636	
808470	73973	
808470	78765	Ward Nurse
808470	346546	Dame Téléphone
808470	377586	Receptionist
808471	201799	Art Director
808472	386526	
808473	209509	Herself (interviewed)
808474	155201	Lilith Alisdaire
808475	74393	Dorka's Mother
808475	74422	Pszichológusnõ
808475	97969	
808475	99524	
808475	103052	Edit Nicharchos
808475	152734	Noble Woman
808475	211727	Grand Lady in Paris
808475	322128	Fanny
808475	343767	
808475	354252	
808475	357712	
808475	378931	
808475	399860	
808475	407815	Herself (Single) (2003)
808476	61832	Herself
808477	59094	Comédienne théâtre
808478	218853	Dancer (segment "Badder")
808479	91973	La mère de France
808479	137084	Mezzo-soprano
808480	364016	Megan
808481	252075	
808481	302582	
808481	387904	Fefa
808482	109008	Aunt Grön
808482	122470	Committee member, Conservativ
808482	178827	Saleswoman
808483	26238	ADP Receptionist, Additional 
808484	111063	Medium on TV Show
808485	248981	
808485	377889	Naxos felesége
808486	251731	Miss Evelyne
808487	88372	
808488	287550	Gine
808489	318315	Aida
808490	18270	Antigone
808490	48324	Charlotte Holm
808490	94273	Fru Hald
808490	118608	Johanne Luise Heiberg
808490	121027	Frøken Rosita
808490	141795	Mrs. Hedda Tesman
808490	188886	Beatrice
808490	198284	Helga Hove
808490	229281	Marie
808490	305877	Diana, skuespillerinnen
808490	379595	Alberte
808490	393857	Dronning Fjellrose
808491	144709	Salla
808491	145099	Ärztin
808491	156037	Tram conductress
808491	161693	Liisi
808492	163181	Puhelinääni 2
808493	5222	
808493	47610	Lilian
808493	56545	Herself
808493	119726	Julia
808493	125124	Jasmin
808493	128086	
808493	139709	Leonie
808493	139939	Kitty
808493	145598	Marie
808493	147946	
808493	149127	Giulia
808493	225654	Jenny Schrader
808493	237683	
808493	290503	Melanie
808493	307657	Jana
808493	325633	Lisa
808493	343674	Mony
808493	347583	Vanessa
808493	361336	Beate
808493	365916	
808493	376423	Minza
808493	384368	Merle Volquardsen
808494	383441	
808495	70954	
808496	377283	Arlette
808497	48235	Receptionist
808498	192804	Herself
808499	136752	
808500	193488	Fatma Souad
808501	8586	
808501	114334	
808501	238818	
808501	285254	
808501	301480	
808502	105216	Xen's Mother
808503	43174	Ruby's friend
808504	391282	
808505	4254	Roshni
808505	4451	Nisha (Baba's Girlfriend)
808505	4845	Tejaswini
808505	8410	Vishakha
808505	9330	Indu
808505	9502	Neeta
808505	15869	Sapna
808505	16185	Raveena/Karishma
808505	17363	
808505	17411	Kiran
808505	24252	Sandhya
808505	27415	Seema
808505	30287	Neha Singhal
808505	49155	Meena
808505	76461	Seema
808505	77306	Durga
808505	82000	Sexy girl (Special appearance
808505	86768	Sapna
808505	88212	Priya
808505	95040	Kiran Singhania
808505	95434	Terrorist
808505	98459	Priya Rao
808505	98480	
808505	98501	
808505	98502	
808505	98543	Kanchan
808505	122917	Madhu
808505	126910	Special Appearance
808505	127014	Kajal
808505	127333	Kavita
808505	157340	Priti
808505	160223	Salma
808505	160932	Herself
808505	164284	Shraddha
808505	164923	Gulnar
808505	166456	
808505	170623	Naina (Veer's wife)
808505	172150	Nisha
808505	175106	Sharmili
808505	175985	Special Appearance (Song 'Nac
808505	176032	Priya
808505	181380	Nilima (Mirtagarh)
808505	183093	Kajol
808505	193183	Rampal's wife
808505	201043	Raveena (Special Appearance)
808505	217202	Roma Singh
808505	238702	Meenal
808505	248639	
808505	248805	Karuna
808505	250842	Kiran
808505	251883	
808505	259253	Roma
808505	262373	Laxmi Rathod
808505	271493	Payal
808505	271646	Special Appearance (song 'Sha
808505	284702	
808505	284716	Sapna
808505	285947	
808505	287189	Doctor
808505	288660	Anuradha Sehgal
808505	299637	Manjari Singh
808505	306724	Preeti Sardesai
808505	317485	Reema Seth
808505	324835	Lilly
808505	324942	
808505	333271	
808505	341716	
808505	354314	Police officer
808505	354640	Kajal (Amar's daughter)
808505	358019	Salma Khan
808505	370965	Jaya
808505	373806	Priya
808505	373810	
808505	375038	Jaya
808506	328	Faye Riley
808506	2289	Herself - Best Actress Winner
808506	2313	Herself - Presenter
808506	2527	Herself
808506	2563	Herself - Presenter
808506	2895	Herself - Best Actress Winner
808506	2899	Herself - Presenter: Best Act
808506	2924	Herself (Memorial Tribute)
808506	7675	
808506	11084	
808506	34656	Eleanor McCullen
808506	38614	Lydia Brenner
808506	41002	Diner at Inn
808506	44764	Miss Birdseye
808506	50499	Edna Shaft
808506	52894	Camilla Cara
808506	58022	Herself
808506	66556	Alma Finley
808506	66557	Alma Finley
808506	83585	Frau Lucie Marie Rommel
808506	92883	Peggy O'Malley
808506	93837	Daisy Werthan
808506	111878	
808506	117646	Nan Britton
808506	118523	Barbara Scott
808506	118547	Annie Nations
808506	120148	Ninny Threadgoode
808506	127742	Fonsia Dorsey
808506	129559	
808506	134107	Kate Leckie
808506	142754	Mrs. Adams
808506	149107	Carol
808506	151101	Miss Venable
808506	159273	Maid
808506	175529	Herself (Honoree)
808506	175530	Herself
808506	190454	Myra Butler
808506	218689	Blanche Stroeve
808506	222664	Ann Osborne
808506	234227	Miss Beryl Peoples
808506	243950	Herself
808506	294577	Catherine Lawrence
808506	295439	Liesel Roeder
808506	314814	Grace Rice
808506	315619	Grace McQueen/Granny Goodhear
808506	334151	Cora Peek
808506	348838	Freida
808506	349983	Louise Kane
808506	359471	Herself
808506	367733	Janet Spence
808506	368363	Mrs. Fields
808506	387120	
808506	396930	Liz Marriott
808507	83956	Young Girl
808508	301685	Hene
808509	43063	Akiko
808509	51083	Head Nurse
808510	183009	Student
808511	82097	Herself
808512	61470	Young Girl
808513	5186	Les mannequins
808513	80666	Jenny
808513	163011	
808513	391102	Victoria
808514	291230	Jenny
808515	187703	Tammy Smith
808516	53208	Apartment Girl
808516	92689	Juliet
808516	263206	Peale's Receptionist
808517	48836	Voice in off
808518	22097	
808518	57860	
808518	76727	
808518	96484	
808518	104714	Herself
808518	104762	Turkish entry (22nd place)
808518	136699	Gönül
808518	156429	
808518	173563	
808518	173773	
808518	200777	
808518	320407	
808518	349701	
808518	381020	
808518	393050	Aylin
808519	198911	Dzemile
808520	377985	Pauline 16 ans
808521	212796	
808522	38547	Griffith's Maid
808523	152173	Supervisor
808524	323325	
808524	383029	
808525	176252	Nurse
808526	113993	Dragon Lady 1
808527	371930	Mousy's girlfriend
808528	268781	
808529	129077	Money
808530	150560	
808531	327628	Lily at 26 years
808532	189228	
808533	33114	Chen Lanxiang
808533	189135	Madam Wu
808534	369848	Siu-Chuen Cheung
808535	58457	Ling
808536	129776	Lisa Katz
808536	316140	Verna
808536	382704	Maggie Lee (1998)
808536	408879	Minh-Tam
808537	291053	Concubine #1, Concubine #2
808537	340767	Additional Voices
808538	81542	Little Hien
808539	152929	Mistress
808541	411777	Ruan Hui
808542	74267	Koh's driver
808543	171042	Dry Cleaning Woman
808544	15291	Grandma
808544	63301	Mrs. Li
808544	152114	Huang matriarch
808544	167426	
808544	167854	
808544	227242	Lee Siu-Wung
808544	370403	Chi-Ming's Mother
808544	404621	Ah-Dut
808544	404623	Ah Dut
808545	140828	
808545	371529	Min-Min's Mother
808546	104320	
808546	170020	Ling
808546	189203	
808546	303403	
808546	369837	
808546	411703	Chow Chi Yerk
808547	321955	Additional Voices
808548	25931	Cherie
808548	124574	Kaka
808548	197559	Stephy
808549	317977	
808549	372207	
808550	181804	
808551	316411	Dee Dee
808551	335414	Grandmother
808553	89049	Mrs. Shima
808553	122089	
808553	156119	
808553	232663	Otora-san
808553	234244	Otatsu, prisoner
808553	299155	Oharu-ba
808554	33401	
808554	83520	
808554	383437	
808554	390658	Midori
808554	392629	
808555	49934	Lilica
808555	54890	Sakura Kinomoto
808555	54891	Sakura Kinomoto
808555	80568	Kazumi
808555	80570	Kasumi
808555	113780	Shiida
808555	122108	Yuri
808555	125244	Alois
808555	197489	Royce, Phacia, Fresca
808555	383019	Lilica Ebett
808555	383459	Sakura Kinomoto/The Mirror
808555	396923	Suzu Sakuma
808555	397196	Mill
808555	398464	Kozue Izumi
808555	399500	Yuki (1994-)
808556	142859	Henrietta
808556	240208	Gudrun
808556	403084	Marianne (1996)
808557	277795	Kitten
808557	307516	Biker's Babe
808558	41620	
808558	350776	Herself
808559	273756	
808560	10068	Emma De Deken
808560	34141	Buurvrouw
808560	89194	Gertrude
808560	93763	Granny
808560	99268	Winkeldame
808560	113104	Coletje
808560	126861	Kokkin
808560	134882	Meid
808560	135012	Bomma
808560	143487	Vrouw van de voerman
808560	147242	
808560	176547	Zuster Bloedwijn
808560	183130	
808560	185864	
808560	188909	Vrouw
808560	203449	Foorvrouw
808560	205577	Caritate
808560	211186	Huisvrouw
808560	214897	
808560	240323	
808560	251016	Marcella
808560	273756	Vrouw Beert
808560	290428	Mrs. Purdy
808560	314383	Vrouw
808560	314870	
808560	324642	Manse
808560	352054	Magda
808560	354457	Madame Charles, de engeltjesm
808560	356098	Oudere vrouw
808560	357391	Tante Anna
808560	359073	
808560	365024	Heks
808560	375721	
808560	382551	
808560	384611	Jenny Vanjes
808560	386431	
808560	388531	Georgette De Tremmerie-Verret
808560	389782	
808560	392082	Bertha
808560	393451	Mère Superieure
808560	394229	
808560	399982	
808560	401670	Eveline Bers
808560	402315	
808560	403417	Weduwe
808560	406514	
808560	406688	Non
808560	409192	
808560	409886	Guardiani
808560	409974	
808560	411116	Moeder Cent
808561	126613	Bianca
808561	382877	
808561	393919	
808561	394881	Koningin Angina
808562	110548	Herself
808562	134564	Herself - member of the jury
808562	215928	Herself
808562	225825	Interviewer TV
808562	296671	Newscast
808563	257704	Chinese
808564	42556	Mor godhjerta
808564	46631	Alma, Heikkis kone
808564	117282	Lailas mor
808564	122506	Vera Boye
808564	144068	Agnes Helmer
808564	153231	
808564	154604	Liv Kraft
808564	174069	Jordmoren
808564	191565	Organist
808564	197274	
808564	240108	Styresekretær
808564	240111	Sekretær i TeamFinans
808564	240114	Høyesterettsadvokatens frue
808564	240116	Kontordame
808564	240118	Carina, smedens datter
808564	275198	Lederen
808564	304238	Vera Marthinsen
808564	305858	
808564	305859	Eva
808564	308221	Tante Linn
808565	75783	Belly Dancer
808566	101088	
808566	104838	Herself
808566	365266	Firefly
808567	341224	
808568	71998	La danseuse de Mambo
808568	111117	
808568	164188	Nadine
808568	235814	Solange
808568	325063	Baja
808568	336303	Fanny
808568	346788	
808568	387659	Mme Maigret
808568	387659	Mme Maigret (1977-1990)
808569	270765	
808570	394967	Indu
808571	287506	
808572	254540	Communications Officer
808573	1756	
808573	307052	
808574	293437	Bettina
808575	268998	
808576	255872	10th Century Woman
808577	181718	Queen Mother Kotu
808577	390082	Queen Emeraldas
808577	394031	Various characters
808577	397786	Annie
808577	404909	Mother Cat
808578	181980	
808578	214398	
808578	233113	
808578	320413	
808579	35809	Assistant
808579	41364	Chick
808579	283282	Simone
808580	215854	
808581	41256	Lady Assassin, Japan
808581	117081	
808582	77515	Ritsuko
808582	77527	Okoma
808582	77528	Kanako
808582	121203	Terumi
808582	125749	Hisako
808582	138067	Tôyama, Shizuko
808582	142952	Witness to Murder
808582	156197	Akiko
808582	174358	Michiyo
808582	176565	Naniji
808582	182032	Saori
808582	182033	Ikuyo
808582	211897	Fortune Hunter
808582	218642	Akemi
808582	228833	Akiko
808582	236857	Aki
808582	236858	Novice Prostitute
808582	242166	
808582	242190	Noriko Ikegami
808582	243881	Oryu
808582	285190	Herself
808582	293626	Herself
808582	299011	Nurse
808582	373121	Yumeji
808582	373910	Yumiko
808582	375560	
808583	182042	Nojima's Stepmother
808584	10552	
808584	36460	Yoko
808584	65136	
808584	106745	Asia
808584	112815	Zélie
808584	121462	
808584	130993	
808584	160820	Une entraîneuse
808584	161725	Leader of the Lystrians
808584	171627	Mary, prisoner
808584	180372	Ako Nakamura/Miho
808584	199038	Princess Lei-ling
808584	204562	
808584	205213	L'Eurasienne
808584	205294	Princess Amurroy
808584	215535	
808584	223971	Kazumi Ito
808584	238488	La comtesse
808584	244071	
808584	249486	Lin Siyan
808584	255087	Seraphina Yokami
808584	260861	
808584	269840	Rendezvous Hostess
808584	272489	The Wife
808584	288938	Asiak
808584	290692	Sumiko Omigura MD
808584	295138	La giapponese
808584	311062	Mei Lang
808584	321130	Mary Ota
808584	334139	
808584	334635	Mercedes
808584	348732	Tartar Princess
808584	364330	Isami Hiroti
808584	365977	Sabbi
808584	376969	
808584	377467	Youyou
808584	388714	Gisèle
808585	54402	
808585	74629	
808585	196764	
808585	210343	Herself
808585	210344	Herself
808585	258487	
808585	290352	Trixie
808585	340377	
808585	358561	Bath Attendant
808586	403494	Herself
808587	70090	Mujer cantina #2
808588	216649	
808589	121347	Tammy
808589	159840	
808589	159841	Fujino Sensei
808589	217614	
808589	275141	
808589	313305	
808589	374601	
808589	407106	Hime
808590	121291	Yoko Midorikawa
808590	182023	Yukiko Okabayashi
808590	358931	Kaori
808591	63706	
808591	63708	
808592	229775	
808593	392430	Chieko Sannomiya
808594	260416	
808595	129868	Erika
808596	206765	
808597	9274	
808598	163011	
808599	411725	Akubi-chan
808600	76735	
808601	357599	
808601	370776	
808602	8762	Takako Ueno alias 'Bara'
808602	22692	Shizumi, Dancing girl
808602	155505	Yuriko Tanimura, vice preside
808602	156763	
808602	168356	Midori, Kyoko's classmate
808602	168357	
808602	180551	
808602	358131	Lady
808603	145736	Female Attendant
808604	87341	Bus Kid
808605	116931	Mary Raiken
808605	212617	Ann Easton
808605	361549	Mrs. Helen Marsh
808606	224032	
808606	258513	Additional Voices
808607	47198	Dora Kaplan, Woman Who Shot L
808608	29888	The Concierge
808609	26515	Dionne's Posse
808609	69180	Herself
808609	204403	Child artiste
808609	312532	Mehek
808609	371129	
808609	371272	
808610	248350	Bindalay
808611	275061	Takako
808611	322498	Herself
808612	142951	Vokalisten
808613	4907	
808613	8346	
808613	9455	
808613	17442	
808613	19647	
808613	21411	
808613	22018	
808613	22050	
808613	22078	
808613	23124	
808613	23130	
808613	27761	
808613	30522	
808613	33909	
808613	34041	
808613	37957	
808613	38475	
808613	38918	
808613	49439	
808613	53876	
808613	57595	
808613	57861	Ates Parçasi
808613	63976	
808613	86599	
808613	89507	
808613	102538	
808613	103575	
808613	106977	
808613	136692	
808613	136729	
808613	136784	
808613	137015	
808613	138104	
808613	140015	
808613	147233	
808613	149419	
808613	157614	
808613	163099	
808613	164135	
808613	164136	
808613	173767	
808613	173794	
808613	173802	
808613	173860	
808613	174913	
808613	175850	
808613	178387	
808613	179605	
808613	182906	
808613	210526	
808613	211709	
808613	229389	
808613	238816	
808613	285250	
808613	285251	
808613	285858	
808613	289286	
808613	293666	
808613	294030	
808613	294078	
808613	295036	Selda
808613	295529	
808613	296415	
808613	301481	
808613	308952	
808613	350577	
808613	370223	
808613	371889	
808613	377564	
808614	73944	Bitty
808615	183621	Bikini Girl
808616	381451	Markets Reporter/Newsreader
808616	405518	Herself - Substitute Presente
808617	117862	Caroline Hein
808617	119198	
808617	134974	Lissen Borkmann
808617	257413	Sykepleier
808617	282078	Rebekka West
808618	81339	Dirt Girl I
808619	385631	Phoebe Green
808620	38748	
808621	188506	Funeral Guest
808621	210732	Adult Film Star
808621	338732	Salesgirl
808621	376675	
808622	163256	The Concessionaire
808623	161762	
808623	277096	Chinese lady of easy virtue #
808624	243564	Gallery Receptionist
808626	13825	South Asian Conference Speake
808627	130948	Krull
808628	362453	Marshall Field's Shopper
808629	30193	Nell Lavelle
808629	104384	
808630	248875	Jessica Dintruff
808631	194564	Female Lab Voice
808632	194564	Conference Parent
808632	206831	Mildred Goldstein
808633	372967	Claes' admirer
808634	236183	Barbarina
808635	11141	Tanner Sisters Trio Member
808635	154472	Herself
808635	360529	Herself
808635	367073	Munchkin Villager in Brick Re
808636	36915	
808636	36916	
808637	321444	
808639	198953	
808640	111032	
808640	118420	Marie
808640	148700	Dancer 1
808640	168958	Cécile
808640	276075	Christine
808640	288890	Cecile
808640	340120	
808640	377999	
808642	272325	Corle
808643	233957	Herself
808644	25250	Avon Goddess
808645	18601	
808646	108329	Lynette
808646	158318	Young Charlotte
808647	5386	
808647	131431	Binky
808647	176833	Kit Geary
808647	189237	Ruth
808647	265681	Laura
808647	296756	Stephanie Garvey
808647	336728	Max
808647	382487	Cheryl Anne
808647	384589	Jill Stone (1998-1999)
808647	386739	Candy Kong
808647	393228	Lee Bouvier
808647	398973	George Fayne
808648	177781	Klara
808649	144977	Featured
808649	360747	Bridesmaid
808650	113915	Lill Yengill
808650	189981	Jane
808650	379730	Bronwyn 'Bron' Craig/Markham 
808650	379738	Herself - Panellist
808650	388770	Lill Yengill
808650	400646	Zoe Marshall
808651	342630	
808652	352418	Herself
808653	387528	Betty Bickerton
808654	16190	Stepa
808655	11141	Tanner Sisters Trio Member
808656	37953	Annabel Andrews
808656	70304	
808656	109666	
808656	264830	Millie Braden
808656	276855	Daisy Ziffel
808656	365909	Stephanie
808656	383679	Mary Margaret Cavanaugh
808656	410415	Rachel Fairbanks
808657	126752	
808657	192058	
808658	11837	Katherine Guttman
808659	11141	Tanner Sisters Trio Member
808661	269355	Young Jesse
808661	366712	Hannah 4 Yrs
808662	187790	
808663	292684	Herself (Author, Mormon Histo
808664	809	Mrs. Jackson
808664	5885	Landlady
808664	61293	
808664	71325	Chattel
808664	116380	Nanny Moses
808664	120224	Madame Alex
808664	165448	Grace Poole
808664	191532	
808664	200919	Vi Potter
808664	222692	
808664	230329	Brothel madame
808664	244480	Traffic warden
808664	245756	The Mother
808664	271168	Mrs. Davidson
808664	274310	Mother
808664	293267	Maureen
808664	295611	Mother-In-Law
808664	382771	Mrs. Beasley
808664	387247	Luisa Di Marco (1998)
808664	387518	Sister Ransome
808664	397182	
808664	398737	Vera Caplan
808664	402551	Various Characters (1975-1979
808664	402777	Olive (1963)
808665	293262	
808666	97018	Mrs. G-86-T-91
808667	9255	Michelle Darke
808667	56996	Jellylorum
808667	208694	Staylaces Dealer
808667	249265	Stern Woman
808668	73247	Dawn Holliday
808669	151196	Young Ruth
808670	273931	Brazil
808671	51989	Alexis
808672	407084	Herself (Yasur Tribe)
808673	236145	
808674	204563	Emily
808675	348838	Young Bibby
808676	101208	Une femme de la chorale
808677	318337	Wendy the masked doll
808678	71654	Girl
808678	349632	
808680	110344	Judith
808680	311490	Lisel Simms
808681	365177	Fay
808682	243497	
808683	173916	Kanbei
808683	384051	Shôko Noguchi
808683	394164	Seiryû
808684	248390	Jyothi
808684	396489	Shindobukku
808685	383037	Anchor
808686	129868	Yamamba B
808687	64006	Josiane
808688	28083	
808688	50803	
808689	43070	
808690	394158	Ülger
808691	163093	
808691	285248	
808692	137294	Model #6
808693	189894	Agnes
808694	125400	
808694	380744	
808695	38487	
808696	156209	
808697	19953	Mrs. Winslow
808697	20316	Little Old Lady
808697	34692	Old Lady
808697	35788	Mrs. Burke
808697	40157	
808697	82928	Old Lady
808697	109446	The Mother
808697	123356	Ma Nestor
808697	135820	Maggie
808697	135823	Aunt Hattie
808697	147880	
808697	155837	Idylwood resident
808697	163288	Bus passenger
808697	166579	Pearl's Mother
808697	168128	Pawnbroker's Wife
808697	178912	Martha Lane
808697	183695	Flower Woman
808697	186410	Homesteader's wife
808697	191118	Mrs. Garvey
808697	193666	Pat, the Aunt
808697	205448	Sweet old lady
808697	209592	Mrs. Delaney
808697	210807	
808697	216234	Peasant Woman on Road (Fauche
808697	230344	Old lady with newspaper
808697	239345	
808697	254602	Old lady
808697	301932	Townswoman
808697	327721	
808697	363239	Dorothy's Mother
808697	368756	Church member
808698	46747	Candy
808699	32809	Bob's girl
808699	108951	Soberness Miller
808699	391247	Jenny Latimer/Merton (2001-)
808700	52108	Girl in Harem
808701	223274	
808701	400045	Elma Nieminen
808702	376036	
808703	370147	
808704	261830	Valérie
808705	26176	Barunka
808705	51261	Nurse Rozka Kafková
808705	180680	Anne Tomes
808705	216569	
808705	262679	Jamila Jelinek
808705	262817	Pepicka, Vajgant's daughter
808706	335720	Lady in Park
808707	106972	Elfriede Rademacher
808707	155457	
808707	157758	Angela/2. Geschichte
808707	226241	
808707	265402	Schülerin
808707	325756	Frau Benssen
808707	325784	Frau Immelmann
808707	347824	Junge Tänzerin Nica
808707	375870	Kirsten
808708	160421	Female Refugee 1
808709	11325	Irene
808709	366262	Singer
808709	382393	Maria
808709	391890	Anna Pacelli
808710	202521	Herself
808711	116079	Dune Woman
808712	348753	Ataru's Mother
808713	4010	
808713	4155	
808713	4451	Baba's Mother
808713	6116	
808713	6364	
808713	8356	Amit's foster mother
808713	13496	Young Amber
808713	14454	
808713	17895	
808713	18386	Nirupama
808713	18460	Meeta Sen
808713	26679	
808713	27731	Sunita
808713	29068	Chanda (Kapilkumar's wife)
808713	33244	Radhika's Mother
808713	33934	
808713	36277	Mrs. Khosla
808713	36279	Rekha
808713	45322	Savitri
808713	58964	
808713	60972	
808713	76411	
808713	81707	Gayetri Saxena
808713	81995	Ranvir Kaul's wife
808713	88498	
808713	88508	
808713	90902	
808713	98470	
808713	98504	
808713	98514	
808713	126942	
808713	126992	
808713	127028	
808713	136895	
808713	137828	Child artist
808713	137835	
808713	152485	
808713	152701	
808713	157339	
808713	160166	
808713	163811	
808713	164123	
808713	164124	
808713	164291	
808713	166462	
808713	167276	
808713	168704	
808713	169739	
808713	171785	
808713	175899	Dr. Iqbal's mother
808713	176162	Seema
808713	195297	
808713	196401	
808713	196440	
808713	198767	
808713	207253	Chanda
808713	210506	Rita Roy
808713	211406	Jyoti Verma
808713	217155	Kaushalya Singh
808713	217482	
808713	222508	
808713	226756	
808713	227948	
808713	232614	The Narrator
808713	246802	
808713	248743	
808713	253817	
808713	262857	
808713	264957	
808713	268105	
808713	268116	Savita Oberoi
808713	268120	Kusum
808713	271624	
808713	283197	Grandmother (Dadi)
808713	284777	Shobhana Sharma
808713	285269	Asha Agrawal (Anjali's mother
808713	287564	
808713	287987	
808713	307100	Sunny's mother
808713	307646	
808713	318424	
808713	320862	Radha
808713	322703	
808713	326661	Sarasi
808713	330265	
808713	344005	
808713	358202	
808713	370207	
808713	370217	Sheila
808713	373543	
808714	8855	Yoko
808714	86649	Child artist
808714	272260	Radhika
808715	122926	
808716	104634	Herself
808716	116565	Tryout at Adelaide
808716	128643	
808716	172920	Madame
808716	314127	Oriental Girl
808717	15326	
808717	26024	
808717	34220	
808717	53892	
808717	75393	
808717	136748	
808717	161144	
808717	164034	
808717	172652	
808717	212317	Niça/Aynur
808717	284813	
808717	293407	
808717	301425	
808717	370526	
808717	370713	
808717	370792	Gül Ayse
808717	370915	Zeynep
808717	371895	
808717	373377	
808717	378189	
808717	378605	
808718	178410	Zehra
808718	199990	
808718	204011	
808719	26004	
808719	37957	
808719	110403	
808719	136741	
808719	153970	
808719	173803	
808719	181941	
808719	374152	
808719	375866	
808719	377542	
808719	378175	
808721	189224	
808722	370643	Nellie
808723	87889	Trudi
808723	180197	
808723	293423	Konstanze
808723	301044	Eva
808724	126109	Herself
808724	181470	Djevojka
808724	374172	
808726	39024	
808726	64264	
808726	327452	(segment "Scena all'aperto")
808727	355649	
808728	9711	
808728	10529	
808728	14882	Rosanna
808728	43159	Nicole
808728	51370	Resi
808728	74882	
808728	109804	Marisa
808728	176440	
808728	212577	
808728	213801	Prostitute
808728	213803	Carmela
808728	235327	Eugenia
808728	249371	
808728	253237	
808728	269003	
808728	269496	
808728	294633	Rosa Petruzzelli
808728	301360	
808728	313180	
808728	352235	Luisa
808728	381179	Claudia
808728	389278	Vanna
808728	389333	
808728	399113	Elena
808729	165558	Bit Part
808730	20800	
808730	81687	
808730	295176	
808730	392741	Maria Pia Renzi
808731	374292	Gabriela Goodman
808732	13178	Volpina, prostitute
808732	33446	Serva
808732	64772	Chanteuse
808732	112926	
808732	288319	Mexican girl
808733	6304	Guest
808734	279091	Mary
808735	92847	April
808736	141927	
808736	209942	Huang Jinfang
808736	239139	
808736	298399	Lai Shuang Yang
808736	354936	Comrade Chan Gong (Shanghai)
808736	369729	
808736	370512	Yu Beipei
808736	375011	Mi Alian
808737	135107	Xiao Lingmei
808737	149050	Lin Daiyu
808737	189139	Lin Xiaomei
808737	209894	Ying Hong
808738	408175	A-zhu
808739	27795	Chen Yuen-Yuen
808739	63286	Chun Yin
808739	76343	Fang Yin
808739	332332	Ching-Man's Ex
808740	73600	
808740	342118	Hostess
808741	297937	Olga
808742	407536	
808743	373732	Haastige mevrouw
808744	146704	
808744	262236	
808744	291687	
808744	334567	Loló
808744	344865	
808744	408509	Luciana
808745	341157	
808746	69327	
808747	12265	
808747	19312	
808747	21273	
808747	64016	
808747	65703	
808747	74890	Martha
808747	80134	
808747	92891	
808747	161550	
808747	259378	
808747	292908	
808747	324304	
808747	355249	
808747	357299	
808748	139961	Molly
808748	359712	Bev
808748	366764	Enid
808749	4269	
808749	156037	Ship's cook
808749	176704	Social Worker
808749	198264	Priscilla
808749	213673	
808749	213967	Ojanen's guest
808749	221494	
808749	247136	Various
808749	256878	Lajusen äiti
808749	271894	Voice
808749	329663	Whore
808749	332518	Tarjoilija
808749	343510	Streetwoman
808749	349138	Parturi
808749	371361	Various
808749	380070	
808749	394762	
808749	399856	
808749	401476	Ohjaaja
808749	402484	
808750	192885	Desa
808750	307542	Aicha
808751	409144	Herself - Reporter (2003-)
808752	105380	Fake Shemp
808753	105380	Fake Shemp
808754	233786	Leonie West
808755	134395	Indian Child
808756	1314	
808757	20676	
808757	29845	
808757	75202	
808757	75386	
808757	78557	
808757	84057	
808757	134503	
808757	194614	
808757	207001	
808757	212163	
808757	243685	
808757	268494	
808757	301177	
808757	336324	
808757	353616	
808757	379545	
808758	7373	
808758	42636	Mari-Lis
808758	81409	
808758	103475	Merche
808758	377873	
808759	103965	Striptisera
808761	287773	Young Alma
808761	380095	Ana
808762	334653	Locutor de Radio 2
808762	393833	Fernanda (radio locutor)
808763	342149	Alicia
808763	378738	Estrella
808763	380126	
808764	8363	Nora
808764	182531	Editor
808764	375223	Unknowing Girlfriend
808764	399797	Unni
808765	78570	Dancer at Salón Los Ángeles
808766	105945	Matron #2
808766	396898	Gelatina
808767	21598	Maestra
808767	52010	Sofia
808767	57424	Vanessa
808767	74613	
808767	145157	
808767	221940	
808767	242675	Rebeca
808767	377188	
808767	397018	
808768	221741	
808769	96360	
808769	139902	Vieja María
808769	145241	
808769	170237	
808769	236301	
808769	238514	Madame Cassandra
808770	334646	
808771	134395	Indian Child
808772	21584	Cajera
808773	74540	
808773	149145	
808773	169782	
808773	262600	
808774	14676	
808774	23879	
808774	42640	
808774	52942	
808774	56501	
808774	71004	
808774	76011	
808774	121965	
808774	132647	
808774	145183	
808774	193349	
808774	214208	
808774	215510	
808774	252553	
808774	260582	
808774	268273	
808774	273664	
808774	277233	
808774	282267	Old Lady
808774	324894	
808774	353203	
808774	357729	Tía Remedios
808774	377182	
808774	378499	Viejecita Banco
808775	92093	
808776	92093	
808777	364180	Tapie's Wife (Herself)
808778	5092	Irate Girl
808779	255386	
808780	404782	Kenkäkaupan Katri
808781	85062	Wura
808782	385150	
808783	64075	Trapper's Daughter
808784	6834	The Model's Mother
808784	6844	Mrs. Harrison
808784	21542	Phoebe, a Shepherdess
808784	25392	
808784	30334	
808784	32118	Martha Washington
808784	39892	
808784	40014	
808784	40712	Mary
808784	46373	
808784	47257	Madge Eversly
808784	48733	
808784	48734	
808784	49633	
808784	57371	Else
808784	59497	Mrs. Deering
808784	60033	Mrs. Delavan
808784	62915	
808784	69742	Eleanor, Eric's Wife
808784	71782	Gladys' Mother
808784	75321	
808784	75405	
808784	79702	
808784	82277	Mabel's Mother
808784	104927	
808784	105140	The Mother
808784	109781	Heinrich's Wife
808784	113964	
808784	116381	
808784	117328	Anne Harrington
808784	118014	
808784	118022	The Musician's Wife
808784	119829	Mathilde's Mother
808784	119988	
808784	130042	Susan Goodheart
808784	132187	
808784	140825	
808784	141255	Esmeralda's Mother
808784	141310	
808784	141315	The Queen
808784	141476	Dame McLeod
808784	143039	The Mother of the Poor Girl
808784	143263	Aunt Worthington
808784	143936	
808784	144216	Nora
808784	145021	Mrs. Abraham Lincoln
808784	145917	Dick's Mother
808784	145932	Mrs. Pike
808784	146229	
808784	146317	
808784	147110	
808784	148300	
808784	153225	
808784	155547	Mrs. Smith
808784	155707	
808784	156488	Giuseppe's Mother
808784	158223	Mrs. Rose, a Widow
808784	158384	A Nurse
808784	163187	Second Welfare Worker
808784	165821	Mrs. Jarr
808784	165909	Rhoda Ammidon
808784	167674	
808784	171456	The Boy's Mother
808784	183785	
808784	190404	
808784	190487	
808784	195453	
808784	203508	Aunt Louise
808784	206372	Mrs. Girard, Mildred's Mother
808784	213307	Hermia
808784	215317	
808784	217969	A Spy
808784	219260	Doctor's Wife
808784	220264	
808784	224198	Laura
808784	229735	The Wife of the Doctor
808784	231101	
808784	234482	
808784	239583	The Rich Client
808784	239797	The Children's Distraught Mot
808784	240522	Ethel's Mother
808784	240830	The Housekeeper
808784	241345	The Southern Boy's Sister
808784	245176	Mrs. Prentiss
808784	248987	Julie
808784	260091	Aunt
808784	264062	Lady in Waiting
808784	274168	
808784	274451	Marquise
808784	274880	
808784	276422	Princess Sophya
808784	278666	Lena, his wife
808784	281869	Marian's Mother
808784	289587	Mamie Thorpe
808784	295819	
808784	296952	Mrs. Brandon
808784	296953	Mrs. Brandon
808784	301942	
808784	308869	
808784	309931	
808784	311293	
808784	314831	
808784	315730	The Mother
808784	320255	
808784	327160	The Wife
808784	331153	A Friend of the Prodigal Wife
808784	331280	
808784	335308	
808784	346135	
808784	347978	
808784	350501	Amelia Sedley
808784	353473	Queen Victoria
808784	359166	
808784	360207	
808784	362719	
808784	363424	
808784	364218	Sir Phillip's Wife
808784	365399	Mary, Wild Pat's Wife
808784	368007	
808785	214708	
808785	377121	Bálozó lány
808786	122613	
808787	23635	
808788	254522	Ballet Girl/Masquerade Dancer
808789	78738	Colette Streuli
808790	150472	Laura
808790	192414	Elizabeth 'Beth' March
808792	46107	Kaderleiterin
808792	341006	
808793	330680	Rita
808793	364372	Susan's Friend
808794	398251	Lisa
808795	390523	Jodie Abadeyo (1993-1996)
808796	221305	Gwendolyn
808796	264746	Jane
808796	312767	Nell Gwynn
808796	391484	Gemma (2004)
808797	27127	
808797	33134	
808797	107365	
808797	124557	
808797	143808	
808797	174174	
808797	180234	
808797	182742	Marktfrau
808797	247182	
808797	278952	
808797	348045	
808797	352913	
808797	376463	
808798	1492	Herself
808798	40169	Waitress
808798	44108	Dr. Moore
808798	90793	Cassie
808798	120588	Herself/Samantha Carter
808798	130901	Kathryn Laumann
808798	140183	Gina/Angel
808798	190230	Carrie Maddox
808798	230111	Colleen Howe
808798	275480	Linda
808798	275791	Mrs. Nicely
808798	313603	Captain Samantha 'Sam' Carter
808798	313604	Herself/Samantha 'Sam' Carter
808798	317300	Liz
808798	356360	Prof. Eva Soderstrom
808798	362310	Ingrid Elstad
808798	385977	Marcy
808798	387239	Lady Elfarran
808798	388869	Miss Yansouni
808798	402313	Herself/host
808798	406418	Capt./Maj./Lt. Col. Samantha 
808798	408703	Home Owner's Wife
808799	229322	
808800	183445	
808801	361350	Koudbila
808801	373859	Tirago's Wife
808802	406955	
808803	408381	
808804	6223	
808804	24275	
808804	33947	
808804	34869	Dining Guest
808804	36178	
808804	79462	
808804	94997	
808804	95752	
808804	165937	
808804	172559	
808804	208019	
808804	208726	
808804	222440	Meera's Friend
808804	226632	
808804	226633	
808804	239887	
808804	246104	Sarojini
808804	267414	
808804	273309	
808804	282028	
808804	288573	
808804	297041	
808804	301970	
808804	320179	
808804	330204	Herself (rescuer, Belgium)
808804	362746	
808804	370292	Princess Octavia
808804	372522	
808805	88485	
808806	46747	Little Girl
808807	81256	Lou Ann
808808	77989	Heather
808808	80812	Jaimy
808808	389858	Remi Sinclair (1990)
808809	286655	Musicienne 2
808810	61667	Snow White
808811	33571	La mère de Jésus
808811	93849	
808812	38792	
808812	59043	
808812	63499	
808812	84765	Parbati
808812	88736	
808812	159240	
808812	170094	
808812	181038	
808812	204794	Tulsimanjari
808812	229056	
808812	271507	
808812	297734	
808813	3582	
808813	171655	Toto
808813	174953	Boy B
808813	200338	Taruruto kun
808813	229906	
808813	327967	Madge (Daffy's daughter)
808813	335380	
808813	384050	Sakura Momoko, aka Maruko
808813	384051	Momoko Sakura (Chibi Maruko-c
808813	389569	Alice
808813	389729	Taichi
808813	397562	Asami
808813	399784	Arutena/Altena
808813	409686	Sugar/Kindergarden kid
808814	213507	
808815	128008	
808816	93096	
808816	152702	
808816	162103	
808816	384129	Herself (anchor) (2002-)
808817	7405	Girl in Fun House
808817	47355	Chorus Girl
808817	103237	Student
808817	150240	Tenant
808817	203463	Girl at Bar
808817	222592	Earl Carroll Girl
808817	316946	Goldwyn Girl
808817	330096	
808817	375045	Ziegfeld Girl
808818	101842	Sirvienta
808819	20358	
808819	342375	Lisa (Gizmo's girlfriend)
808820	362598	Marnie
808820	411802	Mackenzie Browning (temporary
808821	248677	Johnnie
808822	214042	Herself - Gang and Substance 
808823	159426	Lorena
808824	200440	
808825	5774	Zia
808826	229245	
808827	100391	Copera
808828	73481	
808829	277587	Maddalena
808830	390523	Belinda Zowkowski (1982)
808831	259040	
808832	16937	
808832	43274	
808833	373061	
808834	373061	
808835	89591	
808836	198127	
808837	17546	Anna Arkadnyevna Karenina
808837	26254	
808837	35877	Kruchinina
808837	89591	
808837	134757	Katerina Petrovna Kabanova
808837	225830	Nastya
808837	268186	Catherine, a peasant girl
808837	268187	Tsarina Catherine I
808837	272504	
808838	253960	
808838	259066	Sofiya Morozova
808838	300563	Maria Ivanovna Klyauzova
808838	349887	Olga Chkalov
808838	350731	
808838	375935	Zoya's Mother
808839	118075	Preziosilla
808839	285197	Libava Buslayevna
808840	174253	
808841	154539	
808842	16989	
808843	370136	
808844	375935	
808846	36288	
808846	51248	
808846	105681	Mrs. Jamraj
808846	284874	Shaibya
808846	288133	
808846	297734	Parbati
808847	16646	Dancer
808848	404577	
808849	20001	Receptionist at XX Change
808849	28611	Homeless Woman
808849	55132	Rosalie Torello
808849	163499	Johnny's Jewish Fan
808849	177271	Amanda King
808849	234982	Electrologist
808849	289315	Grandma Ayanokoji
808849	302432	Mrs. Bonifazi
808850	45591	Dancer
808851	83889	
808851	372027	Lucia Rodriguez
808852	313825	Cheerleader
808852	391013	Bombshell
808853	141032	Betty
808854	160464	Interviewee: Former Playboy B
808855	41192	
808856	331556	
808857	32693	Diane Michaels
808857	35476	
808857	37472	Helen
808857	61572	Dr. Sackarow
808857	63146	Carol Thorpe
808857	72458	Alice
808857	75479	Mrs. Arnold
808857	79514	Sue Martinez
808857	81230	Amy Pratt
808857	151007	Judy
808857	154301	School Counselor
808857	164481	Dora Ferro
808857	171078	Marilyn Kniffen
808857	187288	Mirna Small
808857	213272	Lucy
808857	217533	Judge Paula Castanon
808857	221043	Grace Wetherall
808857	221313	Michelle
808857	245216	Dr. Kerry Langdon
808857	289468	Rachel Staziak
808857	293011	Judge Black
808857	299838	Sen. Mills
808857	332530	Jean Bennett
808857	341623	Ma Fender
808857	353418	
808857	358663	Connie Vaughn
808857	389858	Jane Jacks (1996)
808857	404282	Sister Allegra (1990)
808858	27567	Presenter
808858	53304	Narrator
808858	61954	Girl on Coach
808858	150752	Mrs. Barrymore
808858	185620	Beth
808858	341670	Angie
808858	381886	Herself - Main Presenter (199
808858	382248	Presenter (2000-) (BskyB vers
808858	395663	Linda Green
808858	405087	Herself - Presenter (1998-199
808858	405768	Presenter
808858	410640	Pamela Wilson/Lynch
808858	411034	Narrator
808858	411207	Herself - Presenter
808858	411208	Presenter (2004)
808859	15911	Annie
808859	17857	La féministe dans l'avion
808859	19106	Mme Daoulas
808859	23807	Adèle
808859	43705	
808859	72483	Delphine Duroc
808859	108674	Madame Horne
808859	159700	Appoline
808859	174636	Petit rôle
808859	197385	Claire
808859	200517	Mrs. Berger
808859	243039	Mme de Talois-Minet
808859	251063	Une dame au volant
808859	258279	Ginette, la coiffeuse
808859	284518	Ruth
808859	327889	La dame des toilettes
808859	332220	Rose
808859	332224	Prudence
808859	339796	Nurse
808859	343544	Une mère dans la rue
808859	345556	Germaine, la secrétaire
808859	348730	Zélie
808859	396597	Mme Brunet (segment "Un plat 
808860	20115	Mother Rubin
808860	137469	Head Nurse
808861	114693	Extra
808862	349226	
808863	104082	
808863	334704	
808863	377617	
808864	357819	
808865	58747	
808865	120435	Cécile
808865	346482	Nouvelle standardiste
808866	170305	
808866	355360	
808867	174782	Nerissa
808868	124328	
808869	278137	
808870	185127	Visitor #2
808871	84168	
808871	261577	
808872	253711	
808873	25793	Hermana 5
808874	221908	Agento artistico
808875	158537	
808876	209224	Harlow's Maid
808877	90819	
808877	206940	Maryam
808877	277167	Herself
808878	276295	
808879	386963	Lisa Gerard (2002)
808879	403238	Language Student
808880	240266	Tona
808881	92052	La campiona di maratona di ba
808882	114077	
808883	329279	
808884	252009	Maria Concetta
808884	356152	
808885	23124	
808885	77322	
808885	107637	
808885	226379	
808885	325347	
808886	388619	Herself
808887	366940	Anna
808888	43885	Girl Zombie
808888	241795	Brunette Girl Groupie
808889	378755	Rachel Stein
808890	25793	Chica Plaza
808892	26598	Ms. Koubab
808892	223400	Maimiti
808892	283554	Girl on Yacht
808892	329560	
808893	93688	Georgie
808894	190823	Dame med sprøyte
808894	404785	Marie Jomann Dahl
808895	9250	Büféslány a moziban
808895	11803	Mari Bankós
808895	19393	Jutka
808895	28347	Anna
808895	29583	Udvarhölgy
808895	62512	Zuzka
808895	102541	Darinka
808895	103052	Éva
808895	138606	Nóri
808895	171719	
808895	175499	
808895	176203	Citrom Flóra
808895	180366	Maria Stuart
808895	182659	
808895	198213	Lány II.
808895	209721	2nd Orchestra Member
808895	222796	Telephone Caller
808895	224972	Marcipán, Rózsa
808895	308806	
808895	315928	Straka
808895	322195	Fodrász
808895	342093	
808895	348572	
808896	120435	Louise
808897	180044	
808898	349946	The Bride
808899	15169	Princess
808899	59049	Chandrasena
808899	271565	Taramati
808900	14589	Indus girl
808901	287960	
808901	367353	Willi's wife
808902	173011	
808902	180421	Mira
808902	332988	
808902	374174	
808903	161524	
808904	304109	Jana
808905	37696	Venus, Boobalonian Guard
808905	117660	Katharine Caldwell
808906	354730	
808906	356483	
808906	373483	
808907	64317	Herself
808907	374562	Nadezha (Wealthy woman)
808908	95670	
808908	122158	
808908	357645	
808909	259046	
808910	264129	Colette
808911	307067	
808912	17557	
808912	34438	
808912	36453	
808912	52053	
808912	90718	
808912	90738	
808912	111844	
808912	112663	Mila, la figlia di Jorio
808912	112667	
808912	127908	Mona Lisa
808912	132733	
808912	160053	
808912	164652	
808912	207747	
808912	214025	
808912	217188	
808912	218541	
808912	228766	
808912	236176	Grandmother/Peasant girl
808912	249334	
808912	251008	
808912	264257	
808912	267319	
808912	269193	
808912	281080	
808912	288483	
808912	290007	
808912	307067	
808912	307069	
808912	310890	
808912	344597	
808912	353060	
808913	68494	Emma Blake
808913	112177	Second Waitress
808913	116245	Girl At Party
808913	149280	Dinklespiel's Daughter/Birdie
808913	149855	Birdie
808913	168858	Burlesque girl
808913	211587	Letty
808913	222941	Mary Brown
808913	245328	Sunev Girl
808913	255616	Countess
808913	283315	Harem girl
808913	310159	Fauna
808914	15019	
808915	38872	Extra
808916	105169	Maggie DiMicelli
808916	372358	Martha
808916	391558	Donna Fagen
808917	107947	
808918	149855	
808919	302256	Molly
808920	21154	Mrs. Nesbitt
808920	123703	Police Matron
808920	138822	Petulia
808920	247567	Ward Nurse
808920	363497	Miss Morgan
808921	349130	Tall Lady
808922	99424	Flight Attendant
808922	208287	Aunt Celia
808923	300796	Sibeliuksen tytär lapsena
808924	234882	
808925	249548	Laundry Woman
808926	170921	Helvi
808926	373372	
808927	351367	
808928	77705	Radio announcer
808929	342908	Young Woman with Baby
808930	122599	
808932	11945	Pauline as a Child
808933	213046	
808933	382932	Designer
808934	304713	Rositza
808935	21380	
808935	309300	
808936	361704	Darstellerin (Film im Film)
808937	17694	Anne Shirley
808937	81709	
808937	234209	Sister
808937	241692	(segment "Homecoming")
808937	242022	Frances Sherman
808937	333039	Dr. Honora Freed
808937	349022	Gilda
808937	380049	Helen
808937	384603	Liz Roman, Dr. Erickson's ass
808937	392201	Princess Pan of the Forest (l
808937	393922	Host (1960-1961) (Holiday Edi
808937	393957	
808937	398066	Carol Williams
808937	407751	Lana
808937	409755	Co-host (1962-1963)
808937	411016	Ruth
808938	212650	Magda
808939	244677	
808940	30646	Student
808941	212118	
808942	7414	Dolly Murray
808944	9206	
808945	269372	Young Woman
808946	176346	
808947	28092	Ellen Joergensen
808947	90167	Tambourmajor
808947	97871	
808947	109134	Birthe Kold
808947	129054	Hanne Riesing
808947	146997	
808947	153767	Ada
808947	156029	Miss 44
808947	168864	Inge
808947	181136	
808947	182276	Lene
808947	182601	
808947	203963	Susanne
808947	213439	Fru Bosholm
808947	219307	Rita
808947	225313	Kose
808947	240092	Ulla
808947	255698	Lise Søndergård
808947	255700	Journalisten Kirsten
808947	262957	Anja
808947	262961	Tove Møller
808947	284392	Henriette
808947	325701	
808947	336411	Karen
808947	344072	Girl in fashion shop
808947	360846	Barnepigen Birthe
808947	378932	Host (1991-1992)
808947	389734	Benedikte Bremer
808947	394188	Elisabeth
808947	405540	Helena, flygvärdinna
808947	406658	Inga-Lill
808949	13953	Waitress
808949	42799	Smoothtalker Dancers
808950	98092	
808951	153711	Talon ehtoisa emäntä, morsiam
808952	123920	Girl in bar
808952	163229	Bo's Wife
808953	176989	Anchorwoman
808954	41461	
808955	405278	Kanee Ohtori
808956	38780	
808957	405209	Joni (1998)
808958	239033	Receptionist
808959	52840	Jennie Tarr
808959	102112	Jennie Tarr
808960	126463	Anh
808961	80651	Guitar Soloist
808962	18112	
808963	301117	(segment "Gloria")
808963	385475	
808963	390174	
808964	221910	guitar concertist
808965	408075	Presenter ('Behind-the-Scenes
808965	409124	Presenter
808966	190024	Marie 'Mom' D'Canario
808967	63951	
808967	194782	Mother Mahidi
808967	203889	
808967	296491	
808967	308332	Maria, Esteben's Wife
808967	336078	
808968	133952	Head of Bedding
808968	134112	Magistrate
808968	139650	Aged Witch
808968	143949	
808968	222713	WDC Holden
808969	308160	Mrs. Spam
808970	123275	
808971	69516	child
808971	74561	
808972	165177	Donna Anna
808973	30071	
808973	50232	
808973	53218	
808973	53951	
808973	57145	
808973	65830	
808973	75850	Mollie Butler
808973	88576	
808973	90246	
808973	96844	
808973	105642	
808973	106233	The Actress
808973	110562	
808973	145938	
808973	146273	
808973	147763	
808973	148965	
808973	149986	
808973	155231	
808973	191283	
808973	194961	
808973	220165	
808973	249597	
808973	255229	
808973	304350	Helen Leland
808973	305787	
808973	332859	
808973	363701	
808974	321224	Mother Gibbs
808975	252983	Young Violet
808976	144537	
808976	145222	
808977	9168	
808977	27284	Mother
808977	141887	Myyjä vaateliikkeessä
808977	142792	Gunilla
808977	144708	Eila Mäki
808977	153095	Psykiatri
808977	156037	Tuula Korkeamäki
808977	156545	Lyyti
808977	168790	
808977	172141	Pasi's Wife
808977	174787	
808977	197621	Auli Lehtonen
808977	214201	
808977	237243	
808977	260500	Grandmother
808977	268322	
808977	272836	Ruustinna
808977	282248	
808977	295249	
808977	321771	Haapanen's lover
808977	341538	
808977	349137	Enni
808977	349139	Nainen konserttitalolla
808977	351366	
808977	357786	Puolustusministeri
808977	398646	Kaarina Nyberg
808977	405456	Mirjam
808977	407094	Kaarina Nyberg
808978	181133	Lill-Karin
808979	267672	Journalist
808980	20625	Extra
808981	41197	Vixen
808981	344183	Mary Finlander
808982	131232	Extra
808983	229738	Luciana
808984	73149	
808985	156583	Jaymie
808986	222329	Girl Vendor
808987	74746	
808988	127976	
808988	235764	La cameriera di Maria
808988	295163	Una collegiale
808989	166347	Sophie
808989	201114	Noémie
808989	205778	Jacqueline
808989	269738	Chantal
808989	394178	Elisabeth Marceau
808990	227224	Carrie
808991	261049	Showgirl Dancer #12
808992	385421	Herself/Best friend
808993	354576	Baby 2
808994	191912	Grandma Jones
808995	226634	
808995	369010	
808996	9433	
808996	12650	
808996	122109	
808996	122110	Miiru Kamishiro, Miisu
808996	122111	
808997	402792	
808998	168866	First nurse
808998	188933	Tipi
808998	300796	Linda Sibelius
808999	79450	Woman with Baby
809000	380016	Herself - Finalist
809001	116924	Prostitute
809001	143531	Village Mother
809001	143533	Motherly Fighter
809001	241650	Mrs. Clairol
809001	405209	Mrs. Megaw (1997)/Bernadette 
809002	271868	Woman in Car
809003	3973	Birdwatcher
809004	37415	The Whoopie Dancer
809004	198030	
809005	308826	
809006	126187	Clémence de Bergenheim
809007	102233	Charlene
809008	57830	Erika Hambálková
809008	149576	Grétka
809008	165034	Jeskynka
809008	179883	Jeskynka
809008	182744	Princess Anna
809008	256809	Princess
809008	379877	Agneska
809009	9890	
809010	175009	Herself
809011	220229	
809012	152793	Herself
809012	381288	Herself (säsong 3)
809013	77310	
809013	83520	
809014	328273	Marion
809015	242922	Caris "The Rocket"
809016	92640	
809016	216753	
809017	389958	Violetta Veilchenblau (#4)
809018	328988	Cora
809020	56354	Anna Moro
809020	270880	
809020	301355	
809021	182604	Herself
809022	283681	
809023	183879	Tea Lady
809023	312062	Cute Older Lady
809024	49185	Zora
809024	179795	
809024	304501	
809024	310951	Nachalnichkata
809025	17407	Inzhener Zaharieva
809025	27476	Sonya
809025	27798	Sestrata na Irechek
809025	60725	Pedagozhkata
809025	60727	Siyka
809025	76300	
809025	76350	Kontrolyorkata
809025	94208	
809025	174382	Lelya Atanaska
809025	174683	Maykata na Margarita
809025	212296	Vehtosharkata Yota
809025	213513	Babata
809025	237039	Kina
809025	243627	Babata
809025	244471	Logofetova
809025	261305	Vera Stoyanova
809025	266211	Venera
809025	286721	Yuliya
809025	302984	
809025	303117	Radka
809025	311584	Uchitelkata
809025	320648	Uchitelkata Gurbalova
809025	340720	Lavkadzhiykata
809025	370798	
809025	376228	Mira Bekyarova
809026	9353	Pantomimical artist
809027	170223	Herself
809028	324777	Foxy Extra
809029	82930	Opera Singer
809030	194666	School Play Singer
809031	128606	Herself
809031	392337	Various
809032	57489	Shine
809032	68232	Dancer
809032	315190	Dancer
809033	258427	Agniya
809033	258600	
809033	339945	Zanobar
809033	370177	
809033	374713	
809034	89814	
809034	357624	
809035	153273	
809035	220733	Ani
809036	20625	Extra
809037	219692	Japanese Woman
809038	144434	
809038	286859	
809039	29479	
809040	347486	
809041	61397	Shizu Takamura
809041	359611	Mrs. Moriyama
809042	122145	
809043	9420	Yoko
809043	18691	Harue
809043	62402	
809043	62706	
809043	125246	
809043	172245	
809043	179397	Yoshie Narumi
809043	214411	
809044	127297	Edith Russell
809045	132000	
809045	298810	
809046	370460	Lyulyuche 1
809047	282715	
809047	340720	
809048	82614	
809048	196562	
809048	229289	
809048	231162	
809048	259910	
809048	323367	
809048	324275	
809048	324652	
809048	339262	
809048	350345	
809048	375483	
809048	401710	
809049	46997	Gwen Gould
809049	47329	Thelma Perry
809049	49240	Irma
809049	52903	Olympe
809049	56712	Cicily
809049	72520	Mrs. Passmore
809049	78973	Sybil Johnson
809049	90417	Suzanna
809049	104985	
809049	105954	Pleasure
809049	113653	The 'Princess'
809049	116947	Narcissa Williams
809049	118975	Nellie Bly
809049	119770	Peggy Nash
809049	124104	Hazel
809049	128513	Greta Verlaine
809049	128619	Marie Bailey
809049	130625	Eleanor
809049	138685	Kay
809049	139230	Minnie
809049	140965	Edith Penfield
809049	154901	Fan Green
809049	162544	Edythe Stanley
809049	183806	Lillian
809049	186788	Edna
809049	193744	Velma
809049	196200	Alice, Duchess of Lincolnwood
809049	199224	Lil Wheeler
809049	202630	Mrs. McIntosh
809049	204156	Pinkie Moran
809049	206387	Joyce Wheater
809049	207949	Sylvaine
809049	214068	Helen 'Hel' Riley
809049	222618	Laura Endicott
809049	229660	Nita
809049	230932	Peggy
809049	234089	Lucille
809049	240782	Lynn Crawford
809049	241402	Fritzi Vajos
809049	248714	Laura Randall
809049	254915	Mrs. Decker
809049	261168	Lillie
809049	263335	Selma Larson
809049	264045	Mae Morin
809049	267964	Goldie Devere
809049	278727	Sylvia Wilson
809049	279425	Mrs. Jackie Millet
809049	280217	Sasha Larianoff
809049	289580	Vera Zimina
809049	295289	Bella Wilson
809049	300800	Beautiful Blonde
809049	304379	Ruby Wright
809049	306495	Georgette Lalle, a dancer
809049	315080	Ilona Taznadi
809049	323424	Derelys Devore
809049	329128	Dixie Style
809049	329560	
809049	331117	Valerie
809049	335666	Lucille Watkins
809049	339393	Dagmar Lorne
809049	348359	Polly Griscom
809049	363695	Marion Sinclair
809049	366126	Frankie Arnette
809049	366233	Felicity Brown
809049	366647	Claire Foster
809049	367644	Iris Carroll
809050	26508	
809050	34329	Rohina Tashqin
809050	106538	Archaeologist
809050	234063	Kizil
809051	106538	
809052	70325	Radio announcer
809053	166646	Pevacica
809054	403357	Herself (Lawyer)
809055	52890	Joaquina O'Gorman
809055	67954	
809055	69929	
809055	162803	
809055	217565	
809055	281612	
809055	355436	
809055	378496	
809055	380840	
809055	387778	Ernestina
809055	388815	
809055	400950	
809055	403748	
809056	16123	
809056	108770	
809057	189221	Evelyn
809057	221783	Cashier in Supermarket
809057	229213	Mrs. Sivalo
809057	316226	Mrs. Lufts
809057	352145	Irish Nurse #2
809058	53832	
809058	72706	Organizer
809058	139169	Waitress
809058	164225	Sheryl
809058	245520	Matron
809059	132908	
809059	367768	Lili
809059	410674	Lou Malino (1995)
809060	134418	Woman with List
809061	2094	
809062	401125	Maria Suutari
809063	9507	Pentti Rautajärvi's wife
809064	349779	Sárika
809065	397008	Ebru
809066	8309	
809066	20640	
809066	200801	
809066	370619	
809067	30639	Naii
809067	134938	Aisha
809067	199677	
809067	205405	
809067	297843	
809067	326286	Tara
809067	327168	
809067	385549	Kia
809068	177438	
809069	92095	Woman #3 (Elevator)
809069	335050	Mirror Maze Visitor
809070	35059	Cinna, árva leány
809070	102410	
809070	104795	
809070	156091	
809070	182656	Kártély Gyöngyi
809070	288119	Pogány Éva
809070	376561	
809070	377724	Mária
809070	378304	Marion
809071	137757	Ralbenné
809071	163127	Béla király felesége
809071	322097	Eszter nagymamája
809071	377891	Irma anyja
809072	56929	Alessia
809073	111773	
809073	399177	Dr. Theiß
809074	394325	Additional Voices
809075	66596	Child
809076	410074	La jeune femme
809077	131534	Polly Burnham
809077	139749	Arlene
809078	6623	Marylin
809078	17580	L'Africaine
809078	44993	Sukey's Mother
809078	219511	Zoé
809078	245481	Herself
809078	258313	Madame Keita
809078	286581	Binta
809078	345567	Gladys Boigny
809078	385347	
809079	404175	Foufana
809080	376914	La dame Morel
809080	392580	La mère de Saint-Saëns
809082	325447	
809083	381169	
809083	398458	Lorena
809083	398473	Rocío
809083	402077	Reina
809084	356225	
809085	118981	Herself
809086	331240	Hélène
809087	243015	
809088	338259	
809089	56733	Bridget
809089	131226	Accident Victim
809089	366747	School Girl no. 1
809090	14385	Sandy
809090	44606	Cindy
809090	82710	Sally Day
809090	108722	Honorine
809090	217760	Sister Candida
809090	242607	Giulia
809090	313178	Nurse
809090	353080	Cora
809091	316730	Allison (Al's daughter)
809092	335026	
809093	202188	Jenny's Mother
809094	251617	
809095	132951	Ragazza Bar mare
809096	6436	
809096	19312	
809096	22580	
809096	25865	
809096	27395	
809096	56472	
809096	64139	
809096	67967	
809096	76179	
809096	92892	
809096	104503	
809096	132433	
809096	201121	Livia
809096	211997	
809096	246169	
809096	261487	
809096	327128	
809096	334396	
809096	352460	Fuchs
809096	352466	
809096	354634	Doina
809096	357330	
809096	409679	
809097	169991	Child in class
809098	37816	Jessi
809098	214387	
809099	321167	Aunt Soledad
809100	264831	
809101	199210	Gatherer
809102	277656	Hungarian Dancer
809103	358947	Dead Woman
809104	88410	Police Officer
809104	88412	Babysitter Malgosia
809104	319660	Policewoman
809105	339314	
809106	412237	Duygu
809107	392699	Researcher
809108	237167	
809108	349794	
809109	290567	Ms. Bock
809109	311517	Girl #2
809110	50235	Mother with Buggy 1
809112	76218	Mrs. Jackson
809112	120564	
809112	215644	Saleslady
809112	263788	Bank Teller
809112	324015	Ms. Taylor
809113	214226	Jesson's P.A.
809113	368393	Herself
809113	380850	
809113	381996	Various roles (2002)
809113	406184	Wendy
809113	409112	
809113	411148	Angela Phillips
809114	357567	Ashley
809115	68845	
809115	106994	
809115	148120	
809115	189029	
809115	234317	
809115	234420	
809115	253292	
809115	296125	
809115	296135	
809115	296148	
809116	410874	
809117	250514	Children's Ward Patient
809118	62579	Young Daughter
809119	95489	Marie McIntosh
809120	101462	
809121	309202	D.O.G. Sister
809122	26839	Jack
809122	339399	Singer
809123	135513	Woman in bed at Banner Motel
809124	4119	
809125	32052	Dancer
809126	313938	Moira
809127	241249	Mob Commercial Girl
809128	80615	Marissa
809128	86543	Marcy
809128	317875	Michele
809129	154427	Nadia, Smotherman's Date
809130	290412	
809131	79344	
809132	314252	Mrs. Latcherie Sr.
809133	139096	
809134	99055	Krypton's Mom
809134	168718	Andrea's Friend
809135	274332	Dancer
809136	237431	Siren
809137	316752	Troglodyte Milking Goat
809138	78163	Talu
809138	346866	Ruth Baxter
809139	158318	Anazella Swapp
809140	288748	Emily
809141	238608	Sasha
809141	297937	Lucy Armstrong
809142	3642	Herself
809142	3845	Herself
809142	3857	Herself
809142	3887	Herself
809142	11209	Herself
809142	14255	Beautiful girl
809142	29580	Extra
809142	63772	Herself
809142	90353	Malibu
809142	96555	Herself
809142	106523	Odile de Caray
809142	110339	Sarah Shagal
809142	142754	Undetermined Role
809142	164661	Herself
809142	185216	Herself
809142	280822	Herself
809142	281937	Girl at the party
809142	295636	Jennifer North in "Valley of 
809142	345604	Pat
809142	350012	Jennifer North
809142	360709	Herself
809142	368808	Freya Carlson, MI5
809142	381111	Herself
809142	381806	Janet Trego (1963-1965)
809142	408975	Herself
809143	389778	U.S Fake Control, CC Operator
809144	55636	
809147	176949	Reporter #2
809147	279196	Pauline
809148	390731	Ryoko Uchiyamada
809149	239481	Hatsuko
809150	182042	Fumiko of Ikemoto-ya
809151	292074	Yoshioka
809152	174334	Yoshie Sugitani
809152	178245	Yuriko (Kazuo's sister)
809153	293085	Lois
809153	392809	Herself
809153	412064	Herself (1972)
809154	260	Aunt Jane
809154	114295	Woman at camp meeting
809154	169152	Herself
809154	201004	Lethe Anderson
809154	366075	Sister Snow
809155	303228	Young Lanalee
809156	106356	
809156	109969	Cliente Maranna
809156	113145	Tori Doushane
809156	161412	Suzaki
809156	161668	
809156	193543	
809156	193544	
809156	213723	
809156	234324	Herself
809156	262980	Herself
809156	278617	
809156	279839	
809156	279929	
809156	283778	
809156	284797	Tania
809156	296020	Movie Theater Wife
809156	349462	Mayra
809156	370027	
809156	380054	Coral
809156	409782	
809157	69160	Herself
809157	104777	Bosnian entry (13th place)
809157	296051	
809157	321208	
809158	345005	Hatice
809159	11745	
809160	360036	Sehra
809161	72504	Reporter
809161	292715	TV Reporter
809161	304560	Jolene Chutney
809162	154969	Dr. Agarwal
809163	215487	Herself
809163	215488	Miss Belgique 2003
809163	397888	Herself (2002-2003)
809165	53318	Student
809166	169512	Eve
809167	169512	Eve's Mother
809168	113063	
809169	29100	Fiona
809169	301743	Contortionist
809170	299078	Herself
809170	391295	Helga Gall, Antons Tochter
809171	208014	Boardinghouse Landlady (from 
809172	348767	
809172	405218	Ricky
809173	243918	Rumi
809174	65636	
809174	180569	
809174	180601	
809174	198071	Narrator
809174	242166	
809174	242197	Ikenohata's Girlfriend
809175	324195	Yumiko
809176	8803	Chiyoko
809176	138098	Madame at Bar
809177	39404	Raven Room Party Guest #1
809178	315757	Mrs. Zengler
809179	52514	Georgia Trevor
809179	75884	Milly Miles
809179	194302	Miss Elsie Benton
809179	255315	Lena, European bride
809179	288917	Georgia Trevor
809179	347028	Eloise Cameron
809179	363691	Vera Strang
809179	364837	Joan, Inez' Secretary
809180	51984	Myopic
809182	64013	Elena
809182	102397	
809182	234740	
809182	285371	Sappho's Nurse
809183	386713	Herself
809184	236543	
809185	203343	Elio's Wife
809185	322370	
809186	109395	Big Show Dresser #2
809187	81790	
809188	78899	
809189	113601	Connie Duval
809189	207149	Terry Newell
809189	288334	Maria
809190	243679	Young Ornette
809191	22631	Esther Malone
809191	118811	
809191	302469	
809192	366738	Dr. Gelineau
809192	366784	Agnes Goldberg
809193	301702	Biker Mama #1 at Bar
809194	374418	Actress Fletcher
809194	379716	Jennifer Livingston (2000-200
809194	396123	Gwyneth Alden #2 (1989)
809194	400236	Lydia Farr (1985)
809195	79259	FuturaMaria
809195	370051	Witch
809196	306829	Herself
809197	125842	Miss Austin
809197	195987	Joy
809197	229198	Drew
809198	357222	
809199	152790	
809199	175399	Rosl, Modell
809199	247526	Wera, the Robot Girl
809199	290634	
809199	359622	
809199	364998	Anni (a maid)
809200	162974	
809201	175466	
809202	14567	
809202	64238	The Widow
809202	289335	Bizanti's Wife
809202	356217	Marcella Bassi - Lega
809204	275435	Street Lady fan
809205	163499	Jury Foreman
809205	268210	Mary
809206	192403	Erica
809206	223752	Beefy Girl In Library
809207	11780	Greta Eriksson
809207	18081	The Grandmother
809207	24164	Ingrid Månsson
809207	25281	Mother
809207	34493	Woman on stairs
809207	35026	Ajsja Apa
809207	84302	Sylvia Bennett
809207	100337	Helga Mårtensson
809207	107305	Laura's mother
809207	108202	Nalle Björn
809207	118695	Monika Malm
809207	120137	Margit Vedholm
809207	120236	Matilda
809207	122462	Greta Arvidsson
809207	135211	Dagny Hempelmann
809207	136613	Mrs. Brecker
809207	138520	Eva Linde
809207	142769	Janet
809207	166848	
809207	173539	Maid
809207	179918	Birgit Banck
809207	182262	Märta Åvik
809207	182306	Annette
809207	183998	Lajla
809207	192644	Ebba Garland
809207	197143	Gull Werner
809207	205515	Kristina, Mrs. Dubois
809207	206263	Mona
809207	209332	Wanda
809207	237063	Anna Berner
809207	239042	Mum
809207	261150	Dolly, Mrs. Löfvers
809207	268379	Mrs. Heyst
809207	270952	Josephine Baker
809207	283226	Mrs. Torin
809207	288052	Monika Haller
809207	303199	Kerstin's mother
809207	303659	Eva Johansson
809207	303697	Mrs. Martin
809207	303729	Lady Sneerwell
809207	303855	Majken Lundblom
809207	304210	Mother of the bride
809207	317362	
809207	317471	Inga
809207	322309	Annikki
809207	343511	Britta
809207	349802	Lena's friend
809207	377417	Åsa-Hanna
809207	391278	Karolina
809207	398195	Grandmother
809208	303666	Astri Taube
809208	377336	Woman on meadow
809209	303666	Ellinor Taube
809210	30205	Britt Larsson
809210	84297	Barbro
809210	94257	
809210	182546	Inger
809210	192660	Britt
809210	303675	Gunilla
809211	258057	
809212	351688	Empleada de oficina
809214	313046	Nurse Martin
809215	80463	Lady in the Pharmacy (Apothek
809215	225732	Frl. Schick
809216	167798	Amálka
809216	175032	
809217	88746	Lover of Col. Lukás
809217	111973	Lidunka
809217	350995	
809218	212337	Herself - Participant/Perform
809219	216856	
809220	346101	Sharon Maid
809221	212337	Herself - Participant/Perform
809222	38659	Herself
809222	123018	Herself
809222	160449	Herself
809222	169518	
809222	222610	Herself
809222	306297	Herself
809222	360126	
809223	345048	Herself
809224	384590	Herself
809225	26359	Lil Audrey
809225	236153	Bree Anderson
809225	293098	Amy Ravenson
809225	409232	Jessica
809226	64754	
809226	91536	Mrs. Magda
809226	173035	Mother-in-law
809226	373597	
809227	236387	Audition Woman
809227	381402	Angel
809228	325893	
809228	356740	
809228	377356	
809229	87139	Mara Melcher
809230	32809	Nun
809231	378429	
809232	159691	
809233	188850	
809233	331014	
809233	404427	Gräfin von Brühl
809234	339798	Frau Bender
809235	138716	Donna Heka
809235	330467	Lucy
809235	405209	Paramedic Donna Heka (1997-20
809236	8735	Lin
809237	85117	Porn Girl 1
809238	14908	
809238	42640	
809238	144710	
809238	178300	
809238	246386	
809238	254338	
809238	306712	
809238	307341	
809238	350255	
809239	124786	
809240	17626	
809240	193438	La patronne de la boîte de nu
809240	281916	Nurse
809241	149467	Maryann
809241	396061	Maryann Moore
809242	385947	
809243	132255	
809244	263556	Kitty Bennet
809244	310178	
809245	383261	
809245	396209	Erika
809245	398794	Claudia
809245	399525	Bernardette
809245	402077	Déborah
809245	402540	
809245	410384	Rita
809246	224630	
809247	16891	Herself
809248	268345	Translator
809248	336289	
809248	395713	
809249	237790	Valérie Pereira
809249	254094	Brown-haired hairdresser
809250	86649	Child artist
809251	61832	Herself
809251	292280	Jasmine the Lion
809252	260117	Lady of the Streets
809252	361857	Receptionist
809253	32562	Hilda
809253	113880	Mme. Accard
809254	60024	Lady in Club Car
809254	320878	Nurse
809255	392789	Herself
809255	392791	Herself
809256	218546	
809257	55746	Andrea
809257	138336	
809257	148905	Jenny
809257	155002	Ria
809257	178082	
809257	250513	
809257	322736	Kathy (segment Engkantada)
809257	380345	Anna Karenina 'Anna' Montecla
809258	189563	4 Freundinnen
809259	339699	Kind
809260	49233	Dancer #1
809261	231483	
809261	275684	
809261	340013	
809262	379999	Herself
809263	376011	Ivanka
809264	401243	Zezé
809265	381523	Elza
809265	383479	Terezinha
809265	386212	Dinorah
809265	388065	Mirtes
809265	401900	Renata
809265	402504	
809266	84412	
809267	372574	
809268	23873	Martine
809268	31018	Irène
809268	43008	Blandine Piancet
809268	51206	Elsa
809268	59315	Lisa
809268	66714	
809268	86427	Michèle
809268	87423	Senay
809268	106988	Amélie Poulain
809268	189304	Julie d'Holbach
809268	205929	Lalla
809268	236145	Val Chipzik
809268	249753	Huguette Verberie
809268	261763	Martine
809268	339990	Caro
809268	345312	Herself
809268	345332	Mathilde
809268	353957	La jeune fille du quartier
809268	357177	Anne-Sophie
809268	357834	Marie
809268	357849	La standardiste
809268	376964	Angélique
809268	377848	Marie-Ange
809269	297937	Leilani
809270	58160	Junkie
809271	279967	Herself
809272	54005	
809272	54092	
809272	217118	Grand Duchess
809272	349935	
809273	229989	Susan Jarrell
809273	295136	
809273	386743	Rosalind Kreisky
809274	16441	
809275	195116	Laura
809276	55936	Tarrafal Cook
809277	55593	
809278	103746	Ana
809279	189961	
809280	13061	
809281	409547	Cranberry
809282	64028	Girl in Bus
809282	387849	Sofia Castro Barahona
809283	74961	
809284	215688	Herself (judge)
809284	353499	Herself
809284	353500	Herself (Model)
809285	3206	Laura
809285	185678	
809285	292668	Raya
809285	296689	Linda
809286	68590	ONG representative
809287	410059	
809288	59326	
809289	212137	
809290	395865	
809291	54458	Lucia
809291	56113	Girl in Inez's Shop
809291	79105	Nurse
809291	168119	Townswoman
809291	247045	B-Girl
809291	285782	Townswoman
809292	13661	
809292	217909	
809292	389429	
809293	10525	
809293	43609	
809293	44218	
809293	70888	
809293	82349	(segments "Dois é Bom... Quat
809293	84063	
809293	104134	
809293	205163	
809293	210685	
809293	234644	
809293	252420	
809293	294270	
809293	344777	
809293	344810	(segment "Mocinha de Luto")
809293	349722	
809293	380330	Teresa
809293	383584	Célia
809293	387654	Mirella
809293	389643	Anabela
809293	405418	Roberta
809293	407798	
809294	28589	Júlia
809294	127996	
809294	234638	
809294	294110	
809294	328106	Ana
809294	395379	
809294	395865	Lúcia Marques
809294	403766	
809294	407867	
809294	407906	
809294	410105	Mariana
809295	104769	Portuguese entry (8th place)
809296	87864	Laura
809296	155929	Alice Baker
809296	313167	Receptionist
809296	319434	
809296	341919	Alice
809296	362355	Hologram Woman
809296	385824	Dr. Bader (1995, 1997, 2000, 
809297	380332	São
809297	385444	Herself/Host (2001-2003)
809297	393345	Sofia
809297	398197	Mónica Rebelo
809298	260318	Gloria Gates
809300	93247	Herself
809300	400205	Herself - Entertainment News 
809300	401891	Herself - Eden's Crush
809301	185639	Georgette's Baby
809302	122879	
809302	296599	
809302	296622	
809303	197114	
809304	239945	
809304	267317	
809305	230934	Art Gallery Guest
809306	253514	Performer
809307	379820	
809307	384400	Angie 'amiga de silvia' (2002
809307	397594	
809307	406056	Leticia
809307	409719	
809308	189892	
809309	266934	
809309	289478	
809310	199735	Dancer
809310	199762	Dancer
809310	199764	Dancer
809311	87414	Hidden Actress
809312	208478	Model
809312	222880	Model 1
809313	125723	
809314	353885	Infirmière #1
809315	403619	Herself (2001-)
809315	407173	Herself (1996)
809316	83349	Un enfant
809316	149631	Little Girl
809317	119480	Catherine
809318	142118	Heinähattu
809319	97147	
809320	11973	Giovanna
809321	173613	Young Pirandello's mother (se
809322	173613	Pirandello's aunt as a child 
809323	51377	Madame Pipi
809324	104171	
809325	72509	Homeless Mother
809325	141965	Marion
809326	78640	Sheila
809327	10820	Village cafe date
809328	141605	Supermarket Shopper #2
809328	315246	Troll
809329	337606	Cigarette Girl
809330	54464	Lemoni (Older) (The Greeks)
809331	54763	
809332	227316	
809332	264114	Miralda
809332	332664	
809333	385983	Nota
809334	72878	Miss Henry (segment "Hollywoo
809334	147784	
809334	330406	Alice Cave-Kate
809335	41229	Sarah
809335	141777	Monique
809335	194814	Destiny
809335	196571	Omega
809335	257608	Herself
809335	257678	Miss November 2002
809336	35548	
809336	55297	
809336	66112	
809336	125243	
809336	151664	
809336	178384	
809336	216529	
809336	271560	
809336	274680	
809336	295948	
809336	325262	
809336	326099	
809336	331303	
809336	345658	
809337	390105	Herself
809338	108346	Mother
809339	363928	Anchorwoman
809340	176625	
809340	198263	Dancer girl
809340	253753	
809341	365326	Athanasia (bride)
809342	74450	
809343	2707	
809343	25059	Débora
809343	51585	
809343	53129	
809343	115768	Lady
809343	149504	Glória
809343	183528	
809343	197963	
809343	234635	
809343	280866	Fausta's employer
809343	378940	Brigitte
809343	379814	Norma
809343	380531	Elisa
809343	383387	Dalva
809343	385876	Sílvia
809343	386421	Yolanda
809343	388721	Clotilde
809343	388998	Jamile
809343	391674	Dolores Estrada
809343	394121	Zazá
809343	396610	Maria Eudóxia (1995)
809343	400444	
809343	402685	Augusta of Leuchtenberg
809343	404798	Madalena
809343	405418	Geórgia
809343	407275	Gisa
809343	409418	Dorothy
809343	409426	
809343	409898	Margarida
809343	412173	Dalva Alvarez
809343	412179	Selma
809344	215539	Herself
809344	406310	Miss Squirt TV
809345	177078	Strawberry Girl
809346	7885	Lin Yifang
809346	385523	Rainbow
809346	393546	
809346	411583	Dongfang bubai
809347	153094	TV Reporter
809347	158999	Reporter
809347	221043	Newscaster
809347	233987	Newscaster
809347	394869	Early Edition Co-Anchor (1992
809348	137283	Guo Mei Feng
809348	189203	Herself
809348	385523	
809348	393548	Zhou Xiaodan
809348	405110	Lu Erniang
809349	222381	
809350	411434	Reiha Yagyu
809351	89792	
809352	301673	
809352	381908	Herself (Season 3)
809354	353824	Jackie
809355	114465	Mother
809356	10453	Mouna
809357	14834	Roberta
809357	75247	Brangäne
809357	86637	Deepa
809357	121888	Demiu
809357	127946	
809357	189642	Sezen Tashan
809357	287762	Lucia
809357	343674	Anna
809357	386128	Amina
809357	403448	Dora Parker
809357	408804	Iris Cavalcanti
809358	182980	Yvette
809358	289467	Nurse in Emergency Room
809358	366752	Keli
809359	50993	La grand-mère
809360	62567	Marine
809360	101146	Cybille
809361	10453	Mouna
809362	188126	Water Sprite
809363	8367	
809363	100610	
809363	151868	
809363	162624	
809363	172836	
809363	204632	
809363	212449	Neraidara
809363	214276	
809363	254411	
809363	322447	
809363	330961	
809363	375140	
809363	380353	
809364	238127	Winkelmeisje
809365	125349	
809365	224481	
809365	296405	Gül's mother
809366	239461	
809367	76771	Ruhsar
809367	163107	
809367	376620	
809368	317602	Bank Guard
809369	57888	Eva
809370	112621	Diane Stone
809371	104019	(segment "Fátima Todo Amor")
809371	327327	Baby
809371	380330	Lígia
809371	401086	Vera
809372	390336	Herself - Presenter
809373	8021	
809374	107256	
809375	297653	Billie Riley
809375	405616	
809375	405960	Samantha Morrell (1985-1986)
809375	410653	Sally Edwards
809375	411809	Dr. Vicki Daniels (1982)
809377	391327	Cissy
809378	409839	Amelia Osborne
809379	36951	Polly
809379	88922	Kathy Beale
809379	96873	Kathy
809379	116884	Jackie Pascoe
809379	154379	
809379	193917	Sherry
809379	194838	Carol
809379	211838	Helen Warren
809379	211840	Helen
809379	387247	Kathy Beale/Mitchell (1985-19
809379	389042	Jackie Pascoe (2002-2004)
809379	392148	Maxine Squire
809379	402778	Lyn
809379	405457	Christine (1981)
809379	410634	Brenda
809380	27247	Marylin Fenner
809380	41444	Disco 4
809380	78250	Brenda Noye
809380	107042	Blondie
809380	128913	
809380	179065	Janet
809380	270646	
809380	275479	Christine
809380	361932	
809380	382838	Pauline Robson (1998)
809380	388321	Sharon Ingram (2004)
809380	395924	Nancy
809380	399531	Woman
809380	400347	Kim Finch (1997-98)
809381	53039	Etta
809381	144749	Mrs. Dixon
809382	268918	Sandy the Anchorwoman
809382	277446	Susie's Mom
809383	350424	Party Videographer
809384	88884	Sister Virtue
809384	163589	Grannie
809384	171013	Grannie
809384	223647	Grandmother
809384	223790	Grandmother
809384	243647	Bella Jean Bews
809384	278458	Mrs. Sarah Chambers
809384	279582	Lady Margaret Campbell MacGre
809384	360542	Prison Governor (Grange)
809384	383719	Nanny
809384	385299	Mrs. McFee
809384	392283	Mrs. Morran
809385	274022	Abby Thompson
809386	383078	Terraise O'Hagan (1996-2001)
809387	132915	Jana, Time Tourist
809388	406065	Ilene Morris
809389	398050	The Mole (2002)
809390	95803	
809390	127810	Herself
809390	252402	Pet
809390	339604	
809390	363376	
809391	276850	Jan Aldrin
809393	108807	Baylie
809394	75195	
809395	354863	
809396	10138	Mildred Driscoll
809396	251801	Retirement Home
809397	82530	
809398	134594	Cynthia Wilkes
809398	163932	Nurse Jackie
809400	6692	
809400	9833	
809400	10394	Liz
809400	12107	Herself
809400	13972	Bessie
809400	17591	Anna/Annabel Pelissier
809400	17762	Annie Laurie
809400	25393	
809400	26398	Nellie Jennis
809400	26639	Aunt Mary
809400	30668	The Beautiful Woman
809400	31609	Maggie White
809400	37875	Mary Brownlow
809400	40661	Molly
809400	41132	
809400	41890	His mother
809400	45085	Jenny Gay
809400	47505	Lady Dorothea
809400	47538	
809400	49767	Phyllis
809400	50946	
809400	65775	
809400	66380	Irma Brian
809400	68136	
809400	68137	Helen Adair
809400	75389	Girl
809400	79551	Dora Spenlow
809400	80682	Mrs. Tring
809400	80985	
809400	89677	
809400	91711	
809400	101298	The Typist
809400	102014	
809400	105201	Rosemary Spurgeon
809400	105340	The Squire's Daughter
809400	112346	
809400	116938	
809400	117079	
809400	117607	Drusilla Whyddon
809400	128124	
809400	128495	
809400	130837	
809400	132741	
809400	141280	
809400	142299	Helen
809400	143251	
809400	145394	
809400	145851	
809400	145971	
809400	150905	
809400	150970	Beatrice Maxon
809400	152750	Mrs. Barrymore
809400	158416	
809400	162242	Iris
809400	167587	Jill
809400	171329	Nan Prescott
809400	177531	The Princess
809400	178695	
809400	187958	The Woman
809400	190755	1st Woman
809400	192021	
809400	192387	
809400	194690	Mrs. Bellamy
809400	195658	The Girl
809400	196415	The Girl
809400	202921	The Girl
809400	203535	Box office woman
809400	203579	Molly Preston
809400	206383	
809400	211429	Edith Dudley
809400	213076	
809400	213988	Lizzie
809400	215943	Margaret Yeoland
809400	217429	Eleanor Massareene
809400	217515	The Girl
809400	219429	
809400	221260	Georgiana Erricker
809400	226262	
809400	227805	Victoria
809400	228496	Anna de Berghem
809400	229123	Joan
809400	230665	Girl
809400	230837	The Woman
809400	239565	Mrs. Quilp
809400	240014	Nancy
809400	245463	The Girl
809400	245640	
809400	246711	The girl
809400	249510	
809400	251262	
809400	254266	
809400	256486	Polly Bunning
809400	263472	Mary
809400	268910	Mrs. Randle
809400	269937	
809400	273406	Miss Merriman
809400	274761	Phyllis Galloway
809400	289977	
809400	292003	
809400	296787	Lilian Westcott
809400	298172	Sheba Ormatroyd
809400	305849	The Smuggler's Step-Daughter
809400	309874	
809400	310022	
809400	311124	Penelope
809400	315024	Nurse Sprott
809400	315634	
809400	316354	Irma Brian
809400	319114	Evelyn Farrar
809400	321234	Ruth Rolfe
809400	323181	The Girl
809400	324609	Tansy Firle
809400	324946	Mme. Colin
809400	330407	Schoolmistress
809400	333084	Tilly
809400	333085	Tilly
809400	333086	Tilly
809400	333087	Tilly
809400	333088	Tilly
809400	333089	Tilly
809400	333091	
809400	333092	
809400	333093	Tilly
809400	333094	Tilly
809400	333098	
809400	333099	
809400	333101	Tilly
809400	333103	Tilly
809400	333104	
809400	333105	Tilly
809400	333106	Tilly
809400	333336	
809400	333609	Matilda Collum
809400	336675	Barbara Dell
809400	337851	
809400	338987	Rose Trelawny
809400	339630	Thelma
809400	342960	Alma Carsdale
809400	352897	
809400	358002	The Girl
809400	363187	Tilly
809400	363651	Nan
809400	365687	
809401	65532	Rayna
809401	125634	Frau Heller
809401	194513	Eiluned Price
809401	386233	Joy Carter
809401	400082	Mrs. Nubbles
809402	194350	
809403	97458	Bess
809403	158137	Lady Antique Shop
809403	185690	Girl in Coffee Shop
809403	309829	Tess Bonaventure
809403	358477	Candy
809403	395736	Landlady
809404	388324	Peggy Drake
809405	140167	Becky
809405	299910	Girl
809405	363513	Young Nadine
809407	33003	Laura Von Wiersma
809408	298579	Hilda
809408	301680	Merideth
809409	87009	Additional Voices
809409	155272	Kid In Park
809409	247559	Candice
809409	257922	Peggy Jane
809409	362453	Inner Voice Actress/Office In
809409	408622	Clover
809410	195134	Clyde's wife
809411	88663	Bikini Girl
809411	353302	Jesse
809411	358331	Waitress
809412	11375	Herself
809412	326821	
809413	176989	Agent Clay
809413	317335	Bertha
809414	196779	Alice 'Alisa'
809415	241444	
809415	330375	
809416	360626	
809417	175224	Herself
809418	9884	Theatre Patron
809418	92618	Wedding Party
809419	402125	Maggie (maid)
809420	286182	Salome
809421	113286	Bar Patron
809422	382508	Drill Instructor Taylor
809423	34749	
809424	375250	Stage Manager
809425	321734	
809425	389353	K.C. Richards (Kamala Consuel
809425	409489	Megan
809426	226890	
809427	12221	Jessica at 12/14
809427	321097	Steven
809427	346139	Franny 10
809427	395723	
809427	397280	Karin Junmai, Ms. Nae
809427	406542	Stacy Stickler
809429	72426	
809429	92097	
809430	29958	Curvaceous Sprite
809430	132498	
809430	150245	
809430	247930	
809430	327755	
809430	331316	
809431	252229	Little Girl
809432	190854	Baby Girl
809433	149136	Maybelle Worthington
809433	223718	Millicent Rogers
809434	145848	
809435	33435	Woman
809436	12737	Mrs. Phipps
809437	85084	Mrs. Hernandez
809438	358374	Kate
809439	214961	Worshipper
809439	262344	Anne Morris
809439	271947	Millie Farnum
809439	308079	Maid
809440	271344	Fashion Show Model
809441	96861	Reporter at Airport
809441	130811	
809441	178976	Woman
809441	351722	
809442	450	Sara Jean
809443	4369	Showgirl
809443	20625	Extra
809443	77456	Undetermined Role
809443	145711	Mrs. Jansen
809443	155033	Bit
809443	273083	Showgirl
809443	279322	Woman
809443	363292	Bit part
809444	186288	Maid
809445	48040	Woman 2
809445	118020	Jessica
809445	186446	Mary Harrison
809446	188275	Tiffany
809447	11621	
809447	37687	Sandy
809447	45873	
809447	75032	
809447	122845	
809448	27358	3rd Class Alien
809449	107165	Walsh's Girl
809449	303902	Mayor Biard
809449	383316	
809450	67495	
809451	362348	
809451	362349	
809451	389291	Herself
809451	410882	Replacement Presenter (1999-2
809451	410883	Presenter (1998-2000, 2002, 2
809451	411325	Host (2001)
809452	1361	Lisa
809452	2042	Herself
809452	2627	Best Play
809453	98906	Maid/Joan Lindsay
809454	149394	Herself
809455	63000	Child
809456	5382	
809456	52267	
809456	60708	
809456	72426	
809456	159940	
809456	161969	
809456	163863	
809456	193414	
809456	252842	
809456	271305	
809456	295682	
809456	296247	
809456	321046	
809456	323822	
809456	326240	
809456	345723	
809456	368690	
809457	31874	Amber
809457	40100	Motel Clerk
809457	68374	Victoria White
809457	88575	Rachael Underwood
809457	141618	Susan
809457	186845	Violet
809457	207509	Angela
809457	251156	Female Police Officer
809457	335863	Creature #11
809457	400808	Pamela Harman
809459	61959	Laura
809459	135161	Receptionist
809460	75767	Herself
809460	134145	Mary Jane
809460	257668	Herself (Hostess)
809461	39830	Lilly Harley
809461	407185	Audrey Willett
809461	409578	Felicity Stringer
809462	13751	Herself
809462	45781	Marcia Brady
809462	46369	Brooke Kaufman
809462	52199	Melissa Smock
809462	53133	Lauren (segment "The Campfire
809462	56753	
809462	72509	Laura Lizzie
809462	82837	Sammie
809462	83929	Lili
809462	89057	Kate Veatch
809462	141565	The Sheriff
809462	143573	Marilyn Hyde (Munster)
809462	178147	Deeann Emory
809462	232073	Terri
809462	245761	Kimberly Jasney
809462	300153	Julie
809462	334343	Princess Stephanie
809462	352701	Marcia Brady
809462	360723	Holly Sullivan
809462	375827	Matilda Jeffries
809462	391487	Melody Hanson
809462	400917	Mary (1996)
809463	266599	Jane Sicole
809464	138920	Tiny
809465	163260	Carol
809465	195800	Angel
809465	201598	Eve
809465	237431	Siren
809465	317991	Christy "CeCe" Collins
809466	128696	Sheryl
809468	411138	Herself/Host (2002-)
809469	129762	Gnome Maiden
809470	150054	
809471	59110	Rose Landis
809471	71291	Herself - Anna Huxtable
809471	114674	Gladys Ann Brooks
809471	146657	Renata
809471	235618	Lu
809471	257527	Birdie
809471	267530	Idella Landy
809471	305660	Grandma Ethel
809471	318036	Mrs. McKay
809471	327241	Minnie
809471	367055	Addaperle, the Good Witch of 
809471	381802	Lovey
809471	385055	Anna Huxtable
809471	399832	Nurse Bailey (1981)
809471	404897	Harriet (1976-1990)
809473	189325	Gail
809474	229311	Hooker 1
809475	36772	
809475	75060	
809475	91761	
809475	93716	
809475	293945	
809476	118312	Jesse
809476	313434	Additional Voices
809476	313489	Juhani
809476	350322	Villager
809477	41813	Holly
809477	53036	Harris
809477	68669	Shelley
809477	72114	Holly Jacobson
809477	92776	Helen
809477	133347	Dolly Cooper
809477	265679	Mary Lou Maloney
809477	337337	Bella
809478	41594	
809479	304527	Barn Dance Band
809480	27255	
809480	150959	
809480	150961	
809481	305320	Cool Girl #3
809483	345752	School Child
809485	154315	1st Girl
809486	165847	Briseis
809487	44740	Denise Bull
809487	162529	Alison
809487	309534	Courier Company Girl
809487	386034	Natalie
809487	391786	Jude Cunningham (1997-1998)
809487	409671	
809488	88763	
809489	396422	Maggie Muggins (1956-1959)
809490	81062	Dutch Villager
809491	47875	Vance's receptionist
809491	61761	Woman on Bus
809491	189221	Receptionist
809491	291771	Tense woman
809491	332496	Woman #2
809491	364089	Helen
809492	385594	Debi (1987-1988)
809493	191305	
809494	378862	Herself
809495	38005	Jean Roberts
809495	38006	Jean Roberts
809495	44444	Pedestrian
809495	339380	Jean Roberts
809496	35163	
809496	42031	Rachel
809496	79478	Trauma Nurse
809496	111783	Sharon
809496	144788	Lola
809496	157580	Alisa
809496	185575	Running Doe
809496	199641	Nurse Hendricks
809496	229216	Sally Ann
809496	231507	Tanning Attendant
809496	232292	Palm Reader
809496	281997	Kiki
809496	299485	Young Mother
809496	310647	Marie
809496	313420	Lieutenant Farrell
809496	331554	Mary Lou
809496	342593	Female Neighbor
809496	349896	Ex-Girlfriend
809496	387303	
809497	30310	Girl Student
809498	118901	Permits girl
809499	170164	
809499	369882	
809500	34838	Kim
809500	128696	Kim
809501	33395	Tribal dancer
809501	100131	Cop #2
809501	143188	Officer Val Johnson
809501	157444	Jury Forewoman
809501	185174	Etta
809501	207903	Assistant D.A. #2
809501	207905	Assistant D.A. Harrington
809501	232300	
809501	232442	TV Reporter
809501	269880	Nurse Seeley
809501	331463	Faye
809501	334244	FBI Attorney
809502	18718	
809502	187249	
809503	46663	Mgr. Tanninger's Nursing Home
809503	273979	Mrs. Kerwin
809503	312270	Dolores
809504	176974	Tea Lady
809505	236867	
809506	288387	Esther Winnipeg
809507	204021	Pupil
809507	387247	Maude, books stall (1985-) Or
809507	393653	Pub singer
809508	86274	Ginny
809508	157824	Nurse
809508	259285	Joanne
809509	348008	Herself (seaweed artist)
809510	135769	Gossip
809511	153617	Ballet girl/performer
809512	6200	Helen
809512	11560	Eileen Midway
809512	17800	Shirley Blair
809512	56314	Peg
809512	85872	Victoria
809512	123470	Christine
809512	126035	
809512	137462	Victoria
809512	193251	Cloris
809512	297625	Nurse
809512	298013	Constance Neville
809512	333043	Female Bank Officer
809512	338989	Rose Trelawny
809512	400079	
809512	400402	Veronica
809513	92453	Eldon's Wife
809513	196370	Jane's Nurse
809513	283186	Juror #7
809513	308128	NYC Nurse
809513	316225	Nurse
809513	368110	Roland's Mother
809514	330836	Youngster
809514	331616	
809515	265973	Anna Colson
809516	112	Herself
809516	1398	Herself
809516	1974	Herself - Presenter: Document
809516	2273	Herself - Presenter: Writing 
809516	2301	Herself - Best Actress Winner
809516	2330	Herself - Presenter: Best Mus
809516	2398	Herself/Presenter
809516	2538	Herself - Presenter: Best Pic
809516	2580	Herself - Presenter: Best Pic
809516	2603	Herself - Performer: 'America
809516	2817	Herself - Presenter: Best Dir
809516	2904	Herself - Co-presenter: Best 
809516	2909	Herself
809516	3077	Herself/presenter
809516	3165	Herself
809516	3683	Herself
809516	7592	
809516	8871	Herself
809516	11674	Herself
809516	11676	Herself
809516	11688	Herself
809516	13651	
809516	13700	Herself
809516	13916	Herself
809516	16099	Herself (epilogue sequence)
809516	17702	Courtesan
809516	20631	Herself
809516	21736	Barbara Sawyer
809516	23972	Herself
809516	32000	Lady Patricia
809516	35401	Deborah Shapiro
809516	37104	Mary Belney
809516	37370	Herself
809516	41699	Queen of Light/Mother/Witch/M
809516	42356	Herself
809516	42359	Herself
809516	43974	Flora 'Sissy' Goforth
809516	50614	Gloria Wandrous
809516	52579	Herself
809516	56746	Maggie 'The Cat' Pollitt
809516	57644	Herself
809516	57894	
809516	62688	Herself
809516	65552	Cleopatra
809516	65568	Herself
809516	65889	Herself
809516	67962	Herself
809516	67963	Martha Pineda
809516	68490	Herself (introduction speaker
809516	69820	Melinda Greyton
809516	75889	Cynthia Bishop
809516	79290	Carol Pringle
809516	88164	Jane Reynolds
809516	88874	Helen of Troy
809516	96555	Herself
809516	97726	Herself
809516	99094	Ruth Wiley
809516	99298	Herself
809516	99299	Herself
809516	99300	Herself
809516	99301	Herself
809516	99302	Herself
809516	99303	Herself
809516	99304	Herself
809516	99305	Herself
809516	109370	Herself
809516	109855	Kay Banks
809516	109897	Kay 'Kitten' Dunstan
809516	115568	Pearl Slaghoople
809516	118936	Cleopatra (on brazilian TV du
809516	119411	Herself
809516	125511	Herself
809516	125703	Herself/Narrator
809516	126049	Herself
809516	126050	Herself
809516	126502	Herself
809516	127394	Leslie Lynnton Benedict
809516	127996	Nadina Bulichoff
809516	128493	Jean Latimer
809516	129992	Herself
809516	133784	Herself
809516	137971	Jimmie Jean Jackson
809516	138717	Herself
809516	138726	Herself
809516	141043	Herself
809516	143643	Herself
809516	147703	Herself
809516	147769	Herself
809516	147801	Herself
809516	147811	Herself
809516	147841	
809516	149374	
809516	155630	Lise
809516	157464	Herself - Introducer
809516	161244	Herself
809516	163629	
809516	163920	Rebecca
809516	164613	Herself
809516	165283	Herself (1955 behind the scen
809516	165285	
809516	165444	Helen Burns
809516	168655	Herself
809516	169998	Herself
809516	170378	Susan Packett
809516	171224	Herself
809516	175478	Herself
809516	175522	Honoree
809516	175545	Herself (honoree)
809516	185711	Helen Ellswirth/Wills
809516	187407	Herself
809516	188579	Herself
809516	189333	Herself
809516	190264	Mary
809516	191306	
809516	192102	Desiree Armfeldt
809516	192410	Amy March
809516	192840	Herself
809516	195613	Herself
809516	195753	Anastacia (Stacie) Macaboy
809516	198051	Herself
809516	202395	Louella Parsons
809516	205836	Herself
809516	210611	Herself
809516	210893	Herself (1986 footage TV comm
809516	212705	Herself
809516	212708	Herself
809516	212709	Herself
809516	212710	Herself
809516	212715	Herself (1993 press conferenc
809516	212716	Herself
809516	215153	Marina Rudd
809516	218547	Herself (documentary footage)
809516	218853	Herself
809516	228314	Velvet Brown
809516	228979	Herself
809516	232017	Herself
809516	232308	Ellen Wheeler
809516	232363	Herself
809516	235708	Herself
809516	238613	Herself
809516	240555	Herself
809516	240912	Herself
809516	242017	Fran Walker
809516	242778	Herself
809516	243950	Herself
809516	257087	Angela Vickers
809516	259013	Alice Moffit
809516	262940	Herself
809516	264753	Herself/Hostess
809516	270025	Christian prisoner in arena
809516	271297	Susanna Drake
809516	274676	Leonora Penderton
809516	276635	Dr. Emily Loomis
809516	276835	Herself
809516	277440	Louise Durant
809516	280055	
809516	287230	Laura Reynolds
809516	289794	The Real Sally Kennedy
809516	291378	Herself
809516	292325	Leonora
809516	295636	Herself
809516	303574	
809516	310861	Herself
809516	313075	Herself
809516	313319	Herself
809516	313525	Herself
809516	314053	Herself
809516	318193	Catherine Holly
809516	321147	Alexandra Del Lago
809516	324233	Catarina/Kate
809516	329562	Herself (Hostess/Narrator)
809516	329565	
809516	329968	Marguerite Sydney
809516	330025	Gloria Twine
809516	330091	Beryl Mason
809516	334075	Herself
809516	337108	Herself
809516	339515	Herself
809516	342232	Herself
809516	346020	Rosie Probert
809516	347545	Herself
809516	349404	Frances Andros
809516	353525	Edra Vilnofsky
809516	359476	Herself
809516	363793	Betsy (Age l0)
809516	364164	Herself
809516	364329	Martha
809516	366419	Lola Comante
809516	367802	Herself
809516	374299	Zee Blakeley
809516	388268	Herself
809516	388656	Herself (marries)
809516	389858	Helena Cassadine #1 (1981)
809516	397564	Herself
809516	399685	Madam Conti
809516	403344	Herself
809517	364523	Mrs. Melville
809518	260789	Stripper in hall #1
809519	302710	Dancer
809520	70283	Nan Perry
809520	77298	Rose Powell
809520	105298	
809521	337482	Second Witch
809522	153617	Bridesmaid
809523	269072	Heidi
809523	331256	Sandra, Emily
809523	408692	Lily (1999)
809524	275490	Madison
809525	13836	Young Marcy
809526	371727	
809527	6856	Maritana
809527	9995	Mary Standish
809527	26628	Bit Part
809527	31417	Princess Annia
809527	40746	Anne/Annie/Annette
809527	52353	Donna Dolores
809527	52427	Ruth Springer
809527	63992	Dixie Lee
809527	83815	Madalyn Harlan
809527	90103	Lucrezia Borgia
809527	91235	Mary, Queen of Scots
809527	116714	Gilda Fontaine
809527	116886	Peggy Hawthorne
809527	117726	Mrs. Cameron
809527	117751	
809527	130860	Helen
809527	147633	Cameo appearance
809527	149141	Evelyn Mortimer
809527	183806	Lady Raffles
809527	190605	Mrs. George Burton
809527	190788	Mme. Muscat
809527	204181	The Girl
809527	206878	Herself
809527	218517	Mercedes, Countess de Morcerf
809527	230884	Angie Miller
809527	242003	Mame Mulvey
809527	254484	'Goldie' Harper
809527	257881	Gloria Dawn
809527	267647	
809527	277066	Countess de Coude
809527	280364	Mme. Muscat
809527	291313	Herself
809527	300106	Cameo appearance
809527	302660	Daisy
809527	307940	Lucretia Borgia
809527	309939	Lizzie
809527	316692	Mrs. Anna Maurrant
809527	327684	Miriam, the Sister of Moses (
809527	331046	Rosita Mendez
809527	332784	Marcheta
809527	337072	Adele Warren
809527	347056	Eliza Mowbray
809527	358970	Helen Maynard
809527	361765	
809527	363301	Mme. de Sylva
809527	363551	A Wife/The Vamp/The Girl
809527	363595	Sari
809528	67395	Church sister
809529	232151	Nitza
809530	239414	Dancer
809531	238256	
809532	68232	Bather
809533	56996	Exotica
809533	115628	Letitia Adjewa
809533	144406	Chorus (segment "Little Shop 
809533	313479	Oola
809534	372420	Junkie
809534	390523	Imelda Davis (1986-1987)
809535	93054	Sheila Baker
809535	126686	Librarian
809535	222651	Billy's Mother
809535	323902	
809536	332835	Bargirl
809537	105455	Connie
809538	385150	(2002-)
809539	158286	Herself
809539	367854	Toyah Battersby
809539	382186	Shyanne Holden
809539	385020	Toyah Battersby (1997-2003)
809540	78951	Girl
809540	135835	
809540	171279	Lesbian
809541	163331	Flower Girl
809542	6745	Tina
809543	251867	Janet
809543	258947	
809543	305221	Sherry, Hired Date
809544	223864	Cindy
809545	79449	
809545	153565	Lucy
809545	278130	Riel's Mother
809545	297221	Louise
809546	56747	Daisy
809546	400816	Aunt Jubilee
809547	210825	Village Woman
809548	63019	Beth
809549	18275	Ismene
809549	68239	Mavis Martin
809549	68492	Marcia Lamb
809549	126021	
809549	190166	Mrs. Big Nose
809549	208034	Mavis Martin
809549	238438	Ismene
809549	277716	Margaret
809549	283954	Mrs. Iris Mountbatten/Chastit
809549	307899	Sandra
809549	328806	Celebrity Participant
809549	381273	Barbara Liversage/Liversidge
809549	381624	Margaret
809549	381625	Margaret Lewis
809549	381627	Margaret
809549	382118	Rita Simcock/Spragg
809549	382531	Dora Brisley (Series 2) (2003
809549	384875	Gen Masefield
809549	387134	Amy Pearce
809549	391247	Peggy (2005 -)
809549	398564	Pamela Dean
809549	401225	Laura Fitzgerald
809549	401470	Tilly
809549	403993	Various
809549	404558	Annie
809549	405070	Celia Forrest
809549	405774	Liz
809549	408532	
809550	63000	Child
809552	644	Drunken Girl
809552	289379	Secretary
809553	379708	Cass
809554	82326	Janice
809554	99386	
809554	126648	Veterinarian
809555	87905	
809555	93327	Susan
809556	81605	Pinched-Faced Woman
809556	183824	Dr. Anna Sparton
809556	298122	Mrs. Copeland
809557	110974	Taffy as a child
809558	2073	Beverly
809558	10670	Helen
809558	14112	
809558	25367	Dr. Joyce Lindley
809558	35145	Mary
809558	35303	Crystal Ball
809558	37014	
809558	64089	Prudence
809558	69047	Mrs. Marbury
809558	70460	Captain Rubio
809558	71633	Wallace Everett
809558	76222	Headmistress
809558	79880	Nancy Reagan
809558	80794	Evelyn McGinnis
809558	108087	Claudia van Doren
809558	110170	Maggie Sand
809558	114559	
809558	126039	Beatrice Stanhope, Ursula's M
809558	138701	Therapist, Maggie Ann "Meg" F
809558	148339	Dr. Hollander
809558	151625	Mrs. Rubens
809558	154762	Dottie Birmington
809558	158109	Florence Newsom
809558	160783	
809558	161288	Herself
809558	164242	Mrs. Arnold
809558	167268	Gloria
809558	171311	Emma Jeffreys
809558	175223	Bonnie Rose
809558	175795	Mrs. Fanshaw
809558	185683	Davis
809558	187191	Professor Stromwell
809558	200999	Katherine Horner
809558	224064	Marnie Morton
809558	224157	Felicia Martin
809558	231106	TV Interviewer
809558	231118	Piper Castleton
809558	241342	Rita
809558	252449	Dolly
809558	253336	
809558	253339	Paula Gordon
809558	276937	
809558	281024	Gloria
809558	282667	Frances Shand Kydd
809558	295826	Muriel
809558	298091	Sarah Briggs
809558	308051	
809558	311253	Emma Warren
809558	312151	Grandmother
809558	312152	Grandmother
809558	314131	Mona Rowland-Downey
809558	316090	Marge Crowley (segment "Room 
809558	323845	Ernestine King
809558	334154	Carol Stone
809558	337098	Mistress of Ceremonies
809558	340901	Truman's Mother
809558	347327	Celia
809558	358867	Aunt Flo
809558	366820	Lois Baxter
809558	379716	Jill Ollinger (1981-1982)
809558	381065	Madeline Collins
809558	381468	Marilyn Gardiner
809558	382547	Ruth Dunbar
809558	383707	Fran Grogan
809558	387309	Denise Norwood Cavanaugh, R.N
809558	390258	Dawn St. Clare
809558	391091	Ina Duckett, R. N.
809558	396024	Letitia DeVine
809558	397247	Zena Hunnicutt
809558	398942	Camilla Dane (1995-1998)
809558	402018	Margaret Powers
809558	402032	Judge Roberta Kittleson (1998
809558	404374	Dean Susan McMann (1994)
809558	405882	Sgt. Ruth Winter (1973)
809558	409215	Evelyn Harper
809559	10317	Nurse #1
809559	236387	Audition Woman
809560	157870	Bit
809560	241444	
809560	330375	
809561	165439	
809561	183658	
809561	297866	
809562	365910	Principal
809563	327433	Miranda
809564	199466	John Mason, Jr. at One Year O
809564	207431	
809564	308375	Gillas
809565	29746	Miss Emma
809565	70429	Johnny Mae
809565	109829	
809565	149258	Mrs. Andrews
809565	194666	ER Nurse
809565	334308	Mrs. Carrouthers
809566	26137	Schoolgirl
809566	84972	Girl
809566	114235	Jane
809566	117130	Jane
809566	144445	Jane
809566	300330	Jane
809566	359717	Jane
809567	271282	
809568	6251	Herself
809568	176358	Child on tugboat
809568	192008	
809568	246254	Eddie's baby
809568	265977	Cissy Warren
809568	316124	Ann Marie, Molly's Child
809568	364707	Tonia
809569	238506	Cook/Woman Patient
809570	46981	Claire Conway
809570	49656	Playboy Bunny's Daughter
809570	71272	Linda Madison
809570	207053	Victoria
809570	221252	Jane/Angel Of Death
809570	221253	Jane
809570	221254	Jane Kessler
809570	225061	Elena
809570	286798	Delilah
809570	366190	Erika Drake
809570	385824	Greta Von Amburg (Swamp Girl)
809571	55581	Trasha
809572	97532	Kearen Starchuck
809572	145068	Rhian Ashley
809572	209221	Rita
809572	291452	Sarah Bellum
809573	389416	TV Reporter #2
809574	66986	Alice
809574	93357	Melanie Webber
809574	142628	Abigale
809574	169942	Elsa Scheffler (Byers' girl)
809574	389858	Angie Costello (1963-1965) (o
809575	164502	Hazel
809575	217433	Mother
809575	372736	Tury's Friend
809575	398731	Jo
809576	362133	Sally
809577	265775	Girl in Convertible
809578	126060	Ruth
809582	271282	
809583	57929	ABA Student
809585	117132	
809585	140774	
809585	171160	Rose
809585	240780	
809585	277327	
809585	330233	
809585	343003	Mary Morris
809586	313706	Mary
809587	114674	Evangelist
809588	109591	Treasure Hunter
809588	196558	Teenager
809589	102932	Bit Part
809590	120116	Marcie Cunningham
809590	282667	Samantha Edwards
809591	10936	Tomiko/Various
809591	27091	Sunny Day
809591	70103	Cate Archer
809591	76857	Princess Peach Toadstool
809591	137709	Cortana
809591	137710	Cortana
809591	159713	Abbey Nielsen
809591	205931	Princess Peach
809591	205942	Princess Peach/Toad
809591	205943	Princess Peach, Princess Dais
809591	205946	Peach, Daisy, Toad
809591	205953	Princess Peach Toadstool/Prin
809591	205958	Princess Peach/Toad
809591	233824	Cate Archer/Isako/Ninja girls
809591	283121	Toad
809591	319424	Princess Peach
809592	74000	Karen Webb
809592	185568	Morgan Poundage #2
809592	236972	Servant Child
809592	387309	Det. Chris Egan Gantz (1983-1
809593	87566	Kimiko
809593	147972	Hot Tub Girl
809593	360027	Rita
809593	365451	Barbara Baxter
809593	397617	Laura
809594	56655	Teacher
809594	120286	Secretary/Receptionist
809594	158140	Mother
809595	124708	Narrator
809596	169503	Herself
809596	338981	Herself
809597	212982	Molly
809598	67863	Marcia Brady
809599	3251	Performer/Herself
809599	47173	Herself
809599	87597	Performer
809599	96867	Performer
809599	99967	Herself - Liberty X
809599	228302	Herself/Performer
809599	249592	Performer
809599	260291	Performer
809599	273901	Performer
809599	282703	Herself
809599	302625	Herself
809599	311953	Herself
809599	401877	Herself - Liberty
809600	291014	
809601	133345	Swimming Pool Blonde
809601	311449	Amazon
809602	11277	
809603	124502	Woman
809604	17319	Sally
809605	380909	Herself - Host (1993-1997)
809605	391488	Herself - Co-host (1997-1999)
809605	406451	Hostess (2000)
809606	1627	Marisa Leonardo
809606	18741	Anne LeBeau
809606	96754	Carol Marvin
809606	112547	Evelyn Slocum
809606	117935	Francesca
809606	128706	Anne Carson
809606	238589	Helen
809606	240245	Yaffa
809606	240470	Hazel
809606	281841	Wanda
809606	288975	Luta
809606	311500	Tourist
809606	359221	Riva
809606	359309	Wanima
809606	403378	Miss Millie Scott (1960-62)
809607	257264	Earring customer
809608	356802	Rowena Wolfbait
809609	147628	Geri Hudson
809609	245995	Sarah Henley
809609	391786	Geri Hudson Cunliffe (1999-20
809609	397493	PC Jackie Brown (2002-2003)
809609	411382	Receptionist
809610	134156	Ali
809611	26666	Older Bride
809611	177584	Mrs. Evanese
809611	203264	Virginia Miller
809611	217537	Doris Gilmore
809611	282482	Lingerie Store Customer
809612	99075	Jordan
809613	38892	
809614	107543	Mrs. Thorpe
809614	203031	Her Mother
809615	1034	Soldier
809615	23253	Princess Antillia
809615	32173	Althea
809615	35632	Joan Williams
809615	110223	Anne Hardesty
809615	278465	Bobbie 'Skidoo' Adams
809615	287704	
809615	342474	Beatrice Rappaccini
809615	366096	Jenny
809615	397424	Mary McCauley
809616	89307	Voice on TV
809616	315701	Diane Larson
809617	75040	
809617	117496	Waitress
809617	252706	
809617	256559	
809617	264734	
809617	264736	Herself
809618	255170	
809619	33034	
809619	82356	
809620	71990	Violet Gray, Detective
809620	75315	Peach
809620	81631	Polly Quincy
809620	195379	Violet Gray, Detective
809620	235229	Violet Gray, Detective
809620	255863	Bernick's wife
809620	258725	The King's Ward
809620	279645	Sarah Curran
809620	281157	Juliet
809620	312769	The Stage Mother
809620	342961	
809620	356954	Violet Gray, Detective
809620	361020	The Chemist's Daughter
809621	510	Rachel
809621	515	Rachel
809621	516	Rachel
809621	517	Rachel
809621	98676	
809621	135897	Marcia
809621	182040	Alice, Haruka's Mother
809621	195629	Mutsumi Otohime
809621	271676	Mica Minazuki
809621	310150	Yuki Kei
809621	369525	Miyuki Itsumi
809621	379484	Natsuki Komiya
809621	379485	Taeko's Grandmother, Addition
809621	380605	Joan #2, Amian
809621	387419	
809621	389791	Reiko Asagiri
809621	391257	Teto, Young Clair Leonelli, K
809621	394424	Additional Voices
809621	395167	Sophia Forrester
809621	396484	Secretary Eimi Shiina, Announ
809621	400143	Moe Katsuragi
809621	400268	Ichigo Morino/Kozue Kusanagi
809621	403965	Tsubaki
809621	404228	Shiori Goto, Tomoe Kusanagi
809621	409831	Meia
809621	411289	Eiko Yano
809621	411563	Hokuto Sumeragi, Housekeeper,
809622	240644	Polly/Photo Assistant
809623	398061	Dottie Minton
809624	116002	Amelia
809625	124358	Zoe
809627	27092	Goupie Linda
809628	288114	Rose
809628	304367	
809629	325218	Hooker #2
809630	250903	Cheryl Denton, Paul's Girlfri
809630	405559	Various Roles
809631	12207	Erica St. Thomas
809632	26142	Herself
809632	37648	Herself
809632	41063	Herself
809632	125425	Herself
809632	228482	Herself
809632	257654	Herself (Miss May)
809632	257832	Miss June 1996
809632	257866	
809633	337384	Dukes' Secretary
809634	78989	
809634	87175	Brittany
809635	104384	
809636	385623	DJ (co-host)
809637	41390	Tanya
809638	340811	Real Estate Agent #1
809639	58526	Tall Katie
809639	301992	The Vamp
809640	44433	Woman at Site
809641	220649	
809641	232013	
809641	255274	Mrs. Bumpher
809641	364205	Lindy's Mother
809642	144993	Judy
809643	66155	Laura
809643	379716	Taylor Roxbury-Cannon #2 (199
809643	383662	Mary Owens
809643	397907	Gret
809645	14081	Cindy Capone
809645	46270	Roxy
809645	75543	AK47 Armed Bartender
809645	193202	Enchanted Surfer
809645	273563	Drugged Party Girl
809645	333282	Mary Magdalene
809645	410586	Sonny
809645	411496	Ms Gucci
809646	216963	Natasha
809647	13882	Reporter
809648	5786	Heather
809648	127281	
809649	687	Herself
809649	107843	Louise Shephard
809649	163352	Herself
809649	385301	Lucy Barnes (2002)
809649	391786	Lucy Benson (1995-2000)
809649	410978	Beth Enright/Beresford (2001-
809650	27358	3rd Class Alien
809651	196872	Irish Step Dancer #10 (crowd)
809652	32241	Kimberly
809652	118911	Amber
809653	55430	
809654	25858	Herself
809654	42055	Louisiana Gator Boys
809654	42069	Herself
809654	211382	Herself
809654	357012	Herself
809654	365169	Singer at Zanzibar
809654	365523	Herself
809655	235635	Max
809656	261977	Yoeval Local #3
809657	109454	Mom in Park
809658	347883	Herself
809659	362512	The Kings of Rhythm
809660	42056	Daughter #1
809662	380390	Vicki Lang #1 (1982)
809663	46297	Sally-Anne
809663	213628	Showgirl #2
809664	41797	Hooker #1
809664	171034	Pirate
809665	223502	Woman in restaurant
809666	120119	Vicky
809666	120122	Vicky
809666	120126	Vicky
809666	128741	Sheila Robinson
809666	229516	Elaine Keese
809666	390974	Host
809666	396123	Stacey Donovan Forbes Allen (
809666	404002	Eleanor Skofield (1980-1981)
809667	47385	Herself
809667	138682	Jenny Wray
809667	241591	Duchess Mareno/Madame L'Enigm
809667	251827	Margaret O'Connell
809669	15224	Herself
809670	127173	TV Reporter
809672	361229	Local News Anchor Leah
809673	123921	
809674	381821	Ensemble (1977-1978)
809676	42277	Judith Hutt
809676	76951	Susy
809676	164552	Jo-Ann Mallory
809676	195685	Mrs. Rutherford
809677	128087	
809678	75040	
809678	371374	Danielle the drug addict
809679	68243	Young Mom
809679	90811	Screaming Mother
809679	303997	Convienence Store Clerk
809679	362397	Bride's Sister
809680	303997	Convenience Store Clerk
809681	20065	Hope
809681	60852	Emily
809681	65683	
809681	73416	Paula
809681	118273	Liz
809681	136558	Catherine 'Mossy' Moss
809681	194665	Hope Visser
809681	199704	Older sister
809681	243196	Allegra
809681	248111	Financial Advisor
809681	299724	Drunk girl
809682	71	Angel, Clare's Maid
809682	7036	Black Woman
809682	9683	Martha
809682	13351	Mrs. Jefferson, Jo's Maid
809682	16098	Powder room attendant
809682	17997	Coralee
809682	26119	Millicent, Rosalie's Maid
809682	33607	Jasmine (Ruby's maid)
809682	39884	Betty, Millicent's Maid
809682	41024	Essie, the Mason Maid
809682	47007	Miss Winthrop, Schoolteacher
809682	51641	Norwood's Maid
809682	52641	Mrs. Bedford's maid
809682	64090	Black woman
809682	69302	Maid
809682	69792	Kate, Mary's Maid
809682	77998	Beulah, Joyce's Maid
809682	85828	Maid
809682	105649	Maid
809682	115483	Libby, Ketti's Maid
809682	117110	Celeste, Eve's Maid
809682	118543	Angelina
809682	122053	Sarah
809682	133707	Bessy, the Colored Maid
809682	139214	Essie, Helen's Maid
809682	147754	Cleo
809682	148278	Maid
809682	151762	Dicey
809682	154972	Libby (Tira's hairdressing ma
809682	155247	Alice, Mary's Maid
809682	156939	Woman at Funeral
809682	185723	Bit
809682	189255	Tiny, Gladys' Maid
809682	215903	Lavinia
809682	223970	Ida
809682	224577	Hattie
809682	247139	Maid on Train
809682	252913	
809682	273781	Bertha, Mona's and Granny's M
809682	283093	Libby (black servant)
809682	287749	Black woman
809682	288208	Hotel Maid
809682	297359	Corena
809682	304866	
809682	306791	Mercedes (Mrs. Crane's maid)
809682	312810	Yvonne, Peggy's Maid
809682	315322	Mrs. Bedford's Maid
809682	316567	Patricia's maid
809682	320780	Maid
809682	330809	Cook
809682	331614	Lyon's Maid
809682	335329	Hamilton's maid
809682	337178	Suzanne, Brigard's Servant
809682	343160	Boarding House Maid
809682	362679	Mandy
809682	367415	
809682	372345	Della (housekeeper)
809683	17685	Miep Gies
809683	20253	Grace Stalker
809683	28464	Paula Klaw
809683	35647	Herself
809683	44450	Jamie Wilson (Georgia)
809683	46985	Lucy
809683	55937	Leslie
809683	66930	Jill
809683	67916	Angela
809683	71286	Ann
809683	89271	Rose
809683	107255	Jan
809683	108333	Laura Walker
809683	118367	Raven (segment "The Missing I
809683	124591	Ben
809683	128848	Patti Lucci
809683	140193	Eleanor 'Nell' Vance
809683	144804	Sarah Kendrew
809683	151187	Teresa Carmela Santangelo
809683	154593	Valerie Jean Solanas
809683	156478	Micky
809683	157255	Lily 'Lil'
809683	170427	Julie Johnson
809683	176265	Happy
809683	176897	Woman in Speakeasy
809683	188630	
809683	192545	Judy Parker
809683	196876	Herself
809683	201790	Herself
809683	221306	Edna Ferber
809683	224838	Jojo
809683	232026	
809683	237612	Rachel
809683	251646	Rorey Wheeler
809683	252203	Doris Fairfeather
809683	257192	
809683	266419	Fiona Ulrich
809683	272234	Maris Conner
809683	283006	Sherry
809683	289222	Corey Flood
809683	294244	
809683	298091	Girl at Medical Lab
809683	299846	Honey Bush
809683	305074	Evie Decker
809683	336657	Darcy Winningham
809683	359855	Brenda
809683	360599	Narrator
809683	367883	Herself
809683	385905	Hildy Baker
809683	405512	Lisa Kimmel Fisher (2002-2003
809684	318607	Churchgoer
809685	279097	
809686	204190	21 Club Staff
809687	411069	Herself (guitarist) (1999-200
809688	175224	Herself
809689	142623	Chloe
809690	131473	Suzanne Skibness
809691	330474	Ditz
809692	30311	Bambi
809692	106632	Michele
809692	124379	Girl
809692	183717	Mary Ellen
809692	188350	Eleanor
809692	218552	Emily Clough
809692	301701	Frances
809692	346086	Maria-Teresa
809692	363393	Ruthie
809692	366102	Sherry
809692	372317	Jacqui
809692	386233	Theresa Blaney
809693	272648	Anne Marie's Friend
809694	191321	Teacher #1
809695	105427	Stephanie Clarkson
809696	117851	Mother Dowling
809697	91881	Charles Allsworth's Wife
809698	206114	Alice
809699	106666	Gayle
809699	126548	Christina Lindmann
809700	61614	Amelia Earhart
809700	177120	
809700	367208	Shazza
809700	380565	Si Wan Soo
809700	398674	Jessica
809701	405162	Herself
809703	282845	Mother
809704	121701	Herself
809705	190086	Ruth
809705	358596	
809706	35250	
809706	217861	Mistress Distress
809707	146883	Amber
809707	148003	Young Lucy
809708	201943	Herself
809709	33732	Nella
809710	195902	Four Year old Alexis
809711	1272	
809712	139208	Ella Horton
809713	140966	
809714	86335	Poppea
809714	183615	
809714	351013	
809715	256213	Herself (backing vocals)
809716	685	Herself
809716	3252	Herself
809716	249588	Presenter
809716	249589	Presenter
809716	249590	Presenter
809716	390195	Herself - Music Reporter (200
809716	407325	Presenter (1998-2001)
809716	410136	Herself - Presenter
809717	67143	
809718	279335	Taylor
809719	200052	Dormitory girl
809720	41399	Max Manduke
809720	289645	Katharine Hepburn
809720	351502	Star
809721	60245	Aunt Deb
809724	134327	Herself (sister)
809725	73317	Julia Hawke
809725	96972	Dorothy Hicks
809725	98777	Susan Woodward
809725	107053	Cecile de Brisson
809725	142156	Mary
809725	163592	Susan Merton
809725	215001	Peggy
809725	235624	Denise Delorme
809725	246600	Penny Victor
809725	270476	Peggy Lanstone
809725	273562	
809725	302019	Hazel Summers
809725	331604	
809725	332415	May Edwards
809725	361275	Celia Canford
809727	204166	Emily Hacker
809728	376641	
809729	41502	Helen, Girl Donating $700
809729	183789	Dolly Harrison
809729	299072	Mrs. Kent, a Patient
809729	306604	Belinda Craig
809731	120298	Student
809732	362381	Cynthia
809733	18	Party Guest
809733	18598	Old Bat
809733	139749	Fran
809734	48957	Stella
809734	123490	Cathy Manalo
809734	144499	Clara
809734	152421	Cion
809734	183957	
809734	207039	Lara
809734	208171	
809734	284630	
809734	295697	Sheila
809734	295770	
809734	325323	
809734	355786	Herself
809734	380345	Brigitte (1997-1999)
809734	394773	(2003)
809734	407919	
809735	25368	
809736	20625	Extra
809736	78911	
809736	199246	Jitterbugger
809737	155293	Ice-Capades Skater
809738	35193	Harlette
809738	164619	Airport Fan 1
809738	315310	Ensemble
809739	185297	Featured player
809740	92486	Nurse Talltale
809741	319568	Amy
809741	411759	Michelle (1979-1981)
809742	313474	Yarael Poof
809743	16986	
809743	139064	
809743	210539	
809743	330411	
809744	115064	Woman [Ch. 5]
809745	73995	
809746	35671	Sahira
809746	104977	Jessica
809746	137603	Bank Representative
809746	265273	Nicki
809746	294980	Maria
809748	36700	Denver
809748	381766	Host (1997-1998)
809749	155294	Ice-Capades Skater
809751	291561	
809752	358478	Villager of Tullymore
809753	41363	
809753	73833	Friend in Sauna
809753	241046	Trainer #1
809753	248132	Mother
809753	291030	
809753	320263	April
809754	35236	Waitress
809754	59151	Judge Frances Abarbanel
809754	69311	The Make-Up Lady
809754	105280	Hospital Dancer
809754	193175	Beth
809754	223084	Beverly Wilson
809754	346892	Gloria
809755	46386	Mrs. Galloway
809755	203060	Mrs. Potts
809755	244825	Mrs. Duggan
809755	279609	Mrs. Marsden
809755	295342	Mrs. Bryant
809755	305646	Nan Kingsford Smith
809756	326834	Mildred McCarthy
809757	330295	Mechanist, Translator Child, 
809758	72931	Goodyear Chorus Girl
809758	330701	Mal
809759	139123	Night Club Hostess 2
809760	146206	Molly
809761	106650	Bessie Snyder
809764	340798	Town Baby
809765	368654	Ingénue
809766	57061	Herself
809766	311784	Herself
809766	311785	Herself (Model)
809766	348106	Herself
809767	188941	
809768	334274	Waitress
809769	366910	
809770	224073	Little Girl
809771	7095	Dorothy Bruce
809771	128245	Lingerie salesgirl
809771	154140	Miss Farnsworth
809771	260413	
809771	341682	Janet Brooks
809771	360045	
809772	287969	Mrs. Cornelia Opdyke
809773	279745	Guest
809774	303226	Iris Choir
809775	289650	
809776	199148	Photographer
809777	130243	Acrobat
809777	351256	Acrobat
809778	3290	Meena
809779	65764	Psychiatrist
809779	151384	Woman in Desert
809779	385343	News editor's secretary
809779	411895	WPC Parkin (1967-1969)
809780	144626	
809782	326605	Herself
809783	331489	Gertrude
809784	385321	Self (Entertainer)
809785	296179	J
809786	224729	Maryann Marinkovich
809787	404694	Susan Ames Dunbar Carver #2 (
809788	203800	Teri Richards
809789	223026	Stage Manager
809790	20658	Shirly
809793	232438	Inmate
809794	188490	Little girl
809795	61774	Drusilla
809795	65748	Iris Jeeter
809795	69047	Burnetta
809795	70619	Cora Jenkins
809795	71923	Meredith Serling
809795	73479	Minniejean Brown
809795	108382	Ann
809795	149975	Lieutenant Curtis
809795	151742	
809795	154876	Lilly Harper
809795	166938	Rosie
809795	175190	Angela Lamont
809795	186665	Mrs. Carter
809795	194666	Gussie
809795	229428	Karen Roman
809795	236870	
809795	311275	Willy
809795	316116	Anita Hill
809795	330559	
809795	387331	Judith Hackett Bryant
809795	388555	Sandra Broome
809795	392459	Lilly Harper
809796	197650	
809797	401875	Herself - Finalist (2004)
809798	2890	Claire Ruth
809798	3942	Mrs. Smigley
809798	10414	
809798	11280	Sylvia
809798	82401	Arlene Sherwood
809798	84377	Rachael Schoenstein
809798	92453	Female Tortoise
809798	95779	
809798	100820	Angel
809798	102932	Miss Giles
809798	113550	'Streetwalker'
809798	117636	Charlotte
809798	166708	Selma
809798	172605	Golda
809798	183734	Betty Mundt
809798	185500	Jeanette
809798	195751	Mona
809798	196503	Mrs. Mondragon
809798	196838	Herself
809798	199467	Pandora Gold
809798	207681	
809798	221784	
809798	230696	Sally Hart
809798	265288	Eva Braun
809798	276924	Jeannie
809798	329548	Herself
809798	342234	Herself
809798	363953	Edith Baron
809798	367578	Tess Harding
809798	385539	Helen
809798	386959	Doris Tupper (1992-1994)
809798	389098	Annabelle Kearns
809798	393211	Herself (1959-1962)
809798	396994	Annabelle (1977-1978)
809798	398982	Sylvia Fine
809798	408497	Herself (regular performer, 1
809800	241813	Athene
809800	335051	Ottoline Morrell
809800	366768	Witch Chef
809800	382052	Insp. Gina Gold (2002-)
809800	387247	Irene Hills/Raymond (1997-200
809801	110527	
809803	222804	Cheryl
809804	195127	Cindy
809804	354947	
809805	252980	Irene
809806	323871	Squirrel/Country Mouse
809807	330697	Mrs. Holt
809808	6010	Herself
809808	383846	Queen Rapsheeba
809809	881	
809809	7127	Mother
809809	9795	Rajah the Tiger
809809	26064	Dutchess the Cat
809809	26079	The Pink Poodle/Choir Cat
809809	41083	Cora Dithers/Mrs. Hannon
809809	46147	Robbie
809809	48950	Additional Voices
809809	55818	Huey/Dewey/Louie/Baby Gonzo
809809	64089	Fairy Godmother/Mary Mouse/Be
809809	79723	Minnie Mouse
809809	87756	Minnie Mouse
809809	87763	Hewey/Dewey/Louie
809809	94572	Huey/Dewey/Louie/Webby
809809	94574	Huey/Dewey/Louie
809809	94575	Huey/Dewey/Louie/Webby/Female
809809	108683	Daisy Duck (segment "Pomp and
809809	115559	Pebbles
809809	117785	Additional Voices
809809	122755	Simone
809809	147629	
809809	167131	Fergie Furbelow
809809	177632	Queen Minnie Mouse
809809	202948	Cave mouse
809809	212859	Minnie
809809	212902	Minnie Mouse
809809	212908	Minnie Mouse
809809	212924	Minnie Mouse/Huey/Dewey/Louie
809809	212930	Minnie Mouse
809809	212953	Minnie Mouse
809809	224109	Morning Glory/Rosedust/Bushwo
809809	264664	Doll Voice
809809	269595	Tanya Markarov
809809	276193	1990
809809	283409	Minnie Mouse
809809	290943	Phantasma the Phantom
809809	291929	Minnie Mouse
809809	302277	Martin Prince/Uter van Finkle
809809	311308	Minnie Mouse
809809	311690	Huey, Dewey, Louie
809809	315613	Minnie Mouse
809809	316492	Strawberry Shortcake
809809	316494	Strawberry Shortcake/Vocalist
809809	316496	Strawberry Shortcake
809809	316498	Strawberry Shortcake
809809	319380	Huey/Dewey/Louie
809809	323907	
809809	336484	Minnie Mouse
809809	356237	Herself
809809	364161	Birds/Minnie Mouse
809809	378727	
809809	379341	Leeta the Woodsprite
809809	385186	Max/Cheetah/Daisy Nohara (Shi
809809	385261	Penny Tompkins/Others
809809	387066	Huey Duck/Dewey Duck/Louie Du
809809	388914	Cave Mouse
809809	390534	
809809	391261	Barbie Winslow (1981-1982)
809809	392134	Minnie Mouse/Clara Cluck/Fair
809809	393269	Fernando (Ferny) Toro/Ma Wink
809809	394558	Beehonie/Bessie/Cackle Sister
809809	395270	Additional Voices
809809	395758	
809809	397641	Minnie Mouse/Clara Cluck
809809	398378	Additional Voices
809809	398542	Gonzo (1984-1991)/Robin (198?
809809	398717	Morning Glory/Rose Dust
809809	400643	Pac-Baby
809809	402833	Additional Voices
809809	405405	Martin Prince/Others (1990-)
809809	405718	Puppy (1985-1989)/Smoogle (19
809809	407441	Additional Voices
809809	411088	Widget, the World Watcher
809809	411144	Additional Voices (1992-1993)
809810	10687	
809810	41049	
809810	47419	
809810	50604	Nellie Perkins
809810	67119	Betty
809810	67148	
809810	75426	
809810	76564	
809810	78042	
809810	115646	
809810	125908	Lorelei Lee
809810	141017	Mildred Tobin
809810	162396	
809810	164489	Anita Grey
809810	168916	
809810	171195	Roberta
809810	291173	
809810	330888	Dolly
809810	365291	Gold Hill Ida
809810	370559	
809811	91713	Aunt Laura
809811	105616	
809811	143639	Mrs. Wentworth
809811	152782	Doña Filomena
809811	230674	
809811	301928	Mrs. Barthwick
809811	310399	Mrs. James
809812	163439	Mrs. Clements
809813	348863	
809814	212629	Camping girlfriend
809815	302720	Herself
809816	360467	Baby
809818	30952	Debutante
809818	97462	Herself
809818	105851	Riba
809818	182955	Mickey Cohen's Mambo Partner
809818	183715	Lady in Red
809818	186477	Muriel Johanson
809818	196891	Raylene Stein
809818	252408	Pet
809818	254761	Video Game Stripper
809818	264157	Suki Sanchez
809818	264158	Suki Sanchez
809818	271344	Lacey
809818	283410	Model Shelby
809818	335258	Nurse Nancy
809818	346060	Kelly
809818	367873	Molly Mellon
809818	411561	Correspondent
809820	31880	
809821	99304	Herself (Mother of Liz Taylor
809822	72012	Karen Mulligan
809822	173352	Kathy
809822	187171	
809824	42139	Kandy (Escort)
809825	84006	Lorna
809827	336754	The Children
809828	23463	Lois Fairchild
809829	186768	
809830	69417	Gloria
809831	79794	Tammy
809832	333127	Celebrant
809833	188464	
809834	41311	Opal
809834	257560	Barbarian Queen
809834	311051	
809835	34683	Lilian Hatton
809835	196180	Antonia
809835	213621	Herself
809835	227295	Zoe
809835	384441	Charmian
809835	385020	Jackie Ingram/Baldwin (1990-1
809835	385299	Sue Kirk (1985)
809835	390131	Tina Morris
809835	392454	Rosa
809835	408644	Sue (Barmaid)
809836	295407	Noodle
809837	283250	Serrina
809837	320060	Kidnap Victim
809838	100192	Sharon
809838	122198	Egyptian Mummy
809838	300047	Dixie
809839	204311	
809839	254987	Mme Rosa
809840	77463	Mary
809840	89193	Alois
809840	167224	Rosanna
809840	242985	Priscilla
809840	407131	Susan Walker (Swallows)
809841	228667	
809841	319673	
809842	270127	Naomi
809843	157036	Dex at 13
809844	73902	Beulah Buttons
809845	381821	Ensemble (1986)
809846	68703	Carl Ong's Girlfriend
809847	34759	
809847	75191	
809847	102809	Herself
809847	129239	
809847	313223	
809847	313238	
809847	313249	
809847	321011	
809847	321012	
809847	321051	
809847	325256	
809847	336661	
809848	7418	Hostess
809848	248113	Mother
809848	318810	Gladys Potter
809848	331714	Fran Preeble
809848	366236	
809849	100008	Actress
809850	168460	Minnie
809851	88846	Countess Arbuthnot
809852	14203	Model
809853	364425	Patricia
809854	313160	Herself
809855	218599	Girl in Castle Anthrax
809856	62466	
809857	361618	Bambi
809858	85999	
809858	132582	
809858	161594	Geri Nicholas
809858	241730	Colby Watson
809858	294236	Janice
809858	294726	Teacher
809858	391516	Sarah Timmerman
809858	400921	Grace Wilcox (1996-1997)
809859	90318	Bondi
809859	190245	Newscaster
809860	141408	Cindy
809860	196365	Priscilla
809860	202375	Annette
809860	209222	Nancy
809860	292247	Sharon
809860	385824	Hope Alice Williams (#4) (198
809861	321678	Press Conference Extra
809862	60753	Amber
809864	304443	Papsmear Pusher
809865	99957	Dara
809865	147767	Black Woman
809865	356784	Girlfriend
809866	133810	Susie
809866	183698	Mae
809866	289558	Woman at Babylon Club
809866	365259	Golden Nuggets
809867	148110	
809868	5029	Joan
809868	231895	Vivian Talbot
809868	319175	Candy Store Girl
809868	343294	Programme Director
809868	396142	
809869	399130	Louise 'Lolly' Carpenter (I) 
809870	55690	Seneca's Servant
809870	411437	Various (1969)
809871	36879	
809871	126173	
809871	128676	
809871	128732	
809871	189067	
809871	195641	Julie
809871	196002	
809871	243541	
809871	257781	
809871	319985	
809871	342460	
809872	55457	Young Sandra
809873	257625	Herself
809873	257657	Herself
809873	257840	Herself (Miss November 1998)
809873	257866	
809873	362355	Playboy Playmate
809874	187712	Alyssa
809875	243115	
809876	19808	Home Woman
809876	323841	Gunnar's Strolling Companion/
809877	53033	Jenna Malloran
809878	187229	
809879	128166	Jill
809879	253515	Leslie
809880	368861	
809881	270910	Stanky Whore
809882	105346	Mrs. Bumford
809883	27559	Louise Sanford
809883	34281	Kate Pettigrew
809883	83804	Diana Dent
809883	107180	Miss Hopkins
809883	158145	Lily Kendrick
809883	198874	1st Witch
809883	276052	Madame Denise
809883	361474	Nora Ashton
809883	362068	Janet Broughton
809883	390922	
809884	165975	Herself
809884	201882	Herself
809885	295375	
809886	168298	Jehovah's Witness
809887	305636	Dierdre Fotheringay
809887	363904	
809888	194005	Laura Fowler
809888	379318	Elizabeth 'Liz' Martin (Nick'
809889	19778	Fubuki Sakuragasaki
809889	20992	Yuri
809889	123107	Melody, Fortin, Mitty
809889	127780	Giovanni
809889	139476	Emeralda
809889	150507	Mother
809889	176528	Mahoko Goto, Tamiko Shinshi, 
809889	182416	Lian
809889	199950	Emeraldas
809889	210156	Miku Himuro, Innocent Bystand
809889	259003	Ash Ketchum
809889	259032	Ash Ketchum
809889	259088	Ash Ketchum/Mrs. Delia Ketchu
809889	259090	Ash Ketchum
809889	259091	Ash Ketchum
809889	259095	Ash Ketchum, May
809889	259096	Ash Ketchum
809889	259097	Ash Ketchum
809889	259098	Ash Ketchum, Delia. Ketchum
809889	259109	Ash Ketchum/Delia. Ketchum
809889	259111	Ash Ketchum
809889	259113	Ash Ketchum
809889	259120	Ash Ketchum
809889	277456	Melody, Fortin, Mitty
809889	294104	Remy Shimada (Mercury Product
809889	296751	Alice Elliot
809889	350723	Freya/Jayle/Aelia
809889	373381	Keiko Yukimura/Botan/Yukina (
809889	373382	Botan, Yokina, Keiko Ukimura 
809889	385384	Abby
809889	389567	Blinky
809889	392026	Fololo and Falala
809889	394064	Dia/Clawdia
809889	394175	Yukino Miyazawa
809889	394325	Charlotte's Assistant, Young 
809889	394420	Prince, Satoru, Tamiko Shinsh
809889	398579	Shia Has
809889	401740	Ash Ketchum, Delia Ketchum, M
809889	405047	Tammy, Tilda
809889	405631	Amelia
809889	405632	Amelia
809889	405633	Amelia
809889	405635	Amelia
809889	405636	Amelia (English version)
809889	407519	Amy
809889	407702	April O'Neil
809889	409390	Bibina (Kid Muscle's Mom), Ja
809889	411449	Narue Nanase
809889	411883	Botan/Yokina/Keiko Yukimura
809889	411886	Additional Voices
809891	381954	Megan
809891	402607	Dino
809891	405967	Vicki
809894	383078	Angel O'Hagan (1991-1996)
809895	65228	Danae
809895	130011	Miss Mullin, as a girl
809897	364297	Bambi
809898	287307	Bridgette
809899	168114	Prima ballerina
809900	54751	
809900	256743	
809900	361968	
809901	114180	Cab Driver #2
809901	202195	Numbers Woman
809901	320263	Security Guard
809902	53336	Lili
809902	109546	Emily
809902	118979	Earl Barton dancer
809902	129900	Ginger Baker
809902	139739	Amethyst
809902	150853	Dancer
809902	282463	Little Egypt
809902	285397	Grimolt Woman Dancer
809902	319050	Mamie
809903	33395	Tribal dancer
809904	114235	Buckwheat
809904	149102	Buckwheat
809904	359717	Buckwheat
809905	10727	Taylor Darling
809906	65214	
809906	246242	
809907	348863	
809908	55463	
809908	104648	
809908	128145	Herself
809908	128847	Herself - as The Platters
809908	280012	Herself (with The Platters)
809908	280024	Herself (with The Platters)
809909	656	
809909	12309	Toni Potter
809909	56656	Nurse
809909	154194	Nelly Hunt
809909	267051	Annie
809909	313601	Jenny
809909	352708	Vera
809910	60240	Dee Dee Wilcox
809911	192248	Baby Jamie, age 1
809911	232496	Female Reporter #1
809911	236982	11 Year-old Claudia
809911	259828	Kane's People
809911	346912	Kristina
809912	2862	Girl #2
809912	2998	Molly
809912	3993	PTA Kid
809912	8020	Scout
809912	23977	Young Marguerite
809912	61283	Penny
809912	118294	Herself
809912	304838	Farrah
809912	332148	Anna
809912	391517	Madison - Jackson's Girlfrien
809913	401523	Sarah Redding
809913	405640	Rosie Cartwright
809914	2818	Herself/nominee
809914	17685	Anne Frank
809914	48896	Janey
809914	90303	Cricket
809914	118393	Young bridesmaid (Wedding two
809914	118925	Young Elizabeth
809914	151071	Blanca (child)
809914	165123	Lina Kronstein
809914	186041	Irene
809914	204730	Young Fanny
809914	274557	Effie Leath
809914	285756	Young Gabrielle
809914	354968	Fine
809914	379408	Pam, as a child
809915	277082	Hilda Hawke
809915	299202	Young Agnis
809915	344497	Laura
809915	364165	Heidi Reece
809915	382155	Josie Trent
809915	398082	Mona Parker
809915	407461	Olano
809916	62460	Re-voicing
809916	277082	Lucie Hawke
809916	364165	Amy Reece
809916	399827	Edda Goering
809916	407461	Yonie
809917	311923	Shelter Counselor
809918	164539	Street Urchin
809919	162100	Leila
809919	213588	Schoolgirl
809919	256626	Daughter
809920	358477	Raver
809921	162100	Fairy
809921	213588	Schoolgirl
809921	256626	Daughter
809922	227039	
809923	82445	Choir Member
809924	342709	Kaitlyn
809925	57929	Jazz Class Dancer
809926	129580	
809927	77607	
809928	210233	Annie
809928	340742	Diver
809929	94167	Francine
809929	342488	Shelby
809930	339597	Young Candy
809931	3942	Mom
809931	5449	Beryl Chambers
809931	6247	Patrice
809931	6859	Amparo
809931	10931	
809931	36823	Nancy Barker
809931	40836	Redhead
809931	50612	Manny
809931	53329	Claudia Walters
809931	93304	Dr. Sharon Kawai
809931	123470	College Co-ed
809931	123703	Angela Palumbo
809931	127239	Elizabeth Strack
809931	148925	Doris
809931	149825	Zareh
809931	151228	
809931	154447	Nancy
809931	164840	Virginia Howell
809931	178691	Teresa
809931	194162	Herself
809931	194223	Jennifer Long
809931	205080	Barrie
809931	217534	Barbara Hansen
809931	237572	Herself
809931	253362	Maura McGuire
809931	292291	Elizabeth Fimple
809931	304447	Valerie Patton
809931	310059	Shirl
809931	316208	Margot
809931	346907	Cynthia Connor
809931	364164	Aggie Harden
809931	385594	Kimberly Cryder (1987-1989)
809931	386237	Lauren Dane
809931	390958	Lee Chadway
809931	398989	Madame de Stael
809931	401350	Rachel Welles (1966-1967)
809931	401414	Rachel Harris (1993-1995)
809931	406952	Elaine Stevens (1/1997-12/199
809932	214430	Shopkeeper
809933	387247	Lil, clothes stall (1985-) Or
809934	201818	Herself
809934	365810	Director, _Titus_
809934	381574	Director, The Tempest
809934	383893	Herself
809935	31503	Roya
809935	374497	Warden
809936	14620	
809936	22028	Martha, Mickey's mother
809936	22823	
809936	26294	Party guest
809936	31174	Woman at window
809936	33797	
809936	35248	Billy's Mother
809936	36865	Mickey's mother
809936	36867	Woman
809936	37466	Train passenger
809936	37543	
809936	45015	Nurse
809936	47076	Judge's servant
809936	49859	Johnny's mother
809936	52482	Guest
809936	62649	Secretary
809936	68376	Mary's mother
809936	72497	Angry mother
809936	89148	Mother
809936	89177	Lady at accident scene
809936	89310	Wheezer's aunt
809936	117130	Wife of man with day off
809936	139928	
809936	141819	Joe's mother
809936	169830	Mother
809936	192080	Mother
809936	206926	Mrs. Newman, Mary's mother
809936	210717	
809936	214961	Woman
809936	220557	Movie Patron
809936	234600	Joe's mother
809936	241382	A Community Player
809936	252867	Next-door neighbor
809936	257737	Joe's mother
809936	267394	Dorothy's mother
809936	273205	Breezy's mother
809936	274226	Physical Therapist
809936	290396	Lady walking by stream
809936	299389	Chubby's mother
809936	300023	
809936	305382	Mrs. Brown of the orphan asyl
809936	305580	Character part unknown
809936	310359	Stepmother
809936	327783	Joe's mother
809936	329813	Mrs. Hardy
809936	332109	Pedestrian without fleas
809936	333717	Mme. La Rue
809936	336807	Radio announcer
809936	343151	Motorist
809936	371338	Nanette
809936	372359	Mrs. Morgan, Eddie's Mother
809937	59327	
809937	215855	
809938	271344	Jasmine Portman
809939	49973	Call Girl
809940	182913	
809940	238816	
809941	365344	Rosa
809942	323133	
809943	51434	Patty
809943	97058	Louise
809944	293600	
809945	181402	
809946	304714	Aynana
809947	307485	
809948	75855	Martha (the housekeeper)
809948	291242	Moora
809948	303472	Saloon girl Yvonne
809949	1092	Shaharazhad the Arabian Beaut
809950	335463	Dancer
809950	394750	
809951	8909	
809951	378243	
809951	378251	
809951	383110	Heja
809951	394803	
809951	396478	
809952	21991	
809952	301427	
809953	113116	
809954	166129	Stripteaseuse
809954	178114	Fat Hooker
809954	226610	Une prostituée du Jo Bar/Pros
809954	268417	
809955	68996	
809955	280878	Herself
809955	308281	
809955	411714	Herself
809956	4826	Bubusia
809956	15862	Elene
809956	24312	
809956	29107	
809956	30623	
809956	35852	
809956	62326	Tashnaura
809956	86232	Wife of Dantist
809956	175972	Khamperi
809956	202688	
809956	218893	Gohar
809956	250881	Rozalia
809956	268577	Marta
809956	282242	Director of School
809956	325204	Zaruhi
809956	334046	Ana
809956	334829	Alisa
809957	315144	Meg
809958	212051	Samantha
809959	354101	
809960	115833	
809961	23234	
809961	108991	
809961	128979	Tela-Tchaï
809961	144096	Tanid (the serving girl)
809961	224903	La Punaise
809961	279591	The Waitress
809961	280514	Zinzara
809961	292802	
809961	321823	
809962	217642	La femme de ménage
809963	58109	
809964	13875	Embassy Guest #5
809964	27778	La soeur de Francis
809964	28156	Ginette
809964	41838	La prostituée
809964	51112	Directrice de la DASS
809964	54818	La prostituée à Lyon
809964	59699	Colette Leplat
809964	65093	Adèle
809964	66078	Paméla
809964	66602	Marie Claude
809964	69119	Jocelyne
809964	72062	
809964	80316	Rachel Zamelsky
809964	84644	Elle
809964	91911	Emilie
809964	94249	La cliente nymphomane
809964	104222	Mona
809964	112033	Tour Guide
809964	134584	La putain
809964	136654	Mireille
809964	137220	La Mère
809964	149679	Ginette Marchand
809964	164169	A follower of Rasputin
809964	199564	Mrs. Uzbekistani Ambassador
809964	211375	Huguette Lepange
809964	211808	Katia
809964	214028	Trudy, 'la souris grise'
809964	217669	Gladys
809964	217676	Louise
809964	220250	Josie Simons
809964	238299	La star
809964	238463	La speakerine
809964	240968	Linntou
809964	249036	
809964	249728	
809964	262946	
809964	265739	Actress
809964	268826	Rose
809964	268828	Madame Zerbini
809964	278502	
809964	281334	Woman Hostage
809964	294915	
809964	313180	
809964	377729	Odile
809964	379841	
809964	384216	
809964	384535	Natacha
809964	386012	Eva Lorié
809964	386476	Jenny (segment "Double fond")
809964	388419	L'amie
809964	388419	L'amie (segment "L'échafaud m
809964	391632	
809964	391634	La secrétaire de Paulin (segm
809964	396366	Camille (segment "Autopsie d'
809964	401319	
809964	409760	
809964	410309	Monique
809964	410420	Bergère
809966	411714	Herself
809967	13778	
809967	286338	Herself
809967	342009	Ballet Star
809968	159540	
809969	57929	Salsa Singer
809969	245010	Tattoo Artist
809970	218258	Camille
809972	128242	Tania
809973	151835	Dancer
809974	202090	Mme Bailly
809975	13109	Isa
809975	23236	Antinea
809975	33615	Mireille Oslava
809975	65163	Clara
809975	77336	Marguerite Gauthier
809975	108528	
809975	112665	Elyne
809975	132801	Monique
809975	148606	
809975	197442	Anna
809975	223311	
809975	235708	Herself
809975	236598	
809975	239082	Rosalinda
809975	249335	Kundry
809975	274332	Irina Boronskaja
809975	275114	
809975	286203	Salome
809975	301264	Princess Pulcheria
809975	310454	Amitys
809975	323881	Giulietta
809975	345449	Karina
809975	346740	
809976	58170	Girl Guitar Player
809977	87055	
809978	170871	
809979	410523	Herself
809981	383414	Additional Voices (1993)
809982	16397	Herself
809982	19525	Arabella
809982	42961	Mimì
809982	54378	The Countess
809982	63142	Herself
809982	77375	Herself - as hostess/Marschal
809982	90074	Donna Elvira
809982	90335	Herself
809982	105013	Herself
809982	115204	Rosalinde
809982	122986	Soprano
809982	165297	Herself
809982	169815	Herself/interviewee
809982	177861	Soprano
809982	177867	
809982	177868	Herself
809982	187898	Herself/Maria
809982	199928	Herself - Soprano
809982	204663	Manon Lescaut
809982	209721	Elisabeth (Tannhäuser highlig
809982	236179	Countess Almaviva
809982	236180	Contessa d'Almaviva
809982	244276	Desdemona
809982	244278	Desdemona
809982	257143	Soprano
809982	265675	Soprano
809982	281975	Marschellin
809982	283396	Isobel Wharewera
809982	302133	Amelia
809982	302134	Amelia
809982	309141	Alcina
809982	336370	Tosca
809982	390587	Herself (soprano)
809982	410523	
809983	46242	Nanny Mackorsey
809983	69834	Mrs. Mair
809983	211733	Mrs. Simmons
809983	223991	District Nurse
809983	316028	Mrs. Haskell
809983	330783	Violet
809983	405209	Phyllis Keppel (1999)
809984	10305	Female Commentator
809984	136826	Mrs. Cripps, aka Little Butte
809984	175788	Cop
809984	256625	Little Buttercup/Special Gues
809984	294060	Lisa
809984	353082	Jan
809984	378757	Various Characters
809984	389498	Various (1993-1994)
809984	393049	Various Characters
809984	398205	Various Characters
809984	405064	Jacko
809984	405960	Janice Reid (1985-1987)
809986	211860	
809986	357639	
809988	33179	Emily
809989	213965	Sperm Bank Receptionist
809990	154925	
809990	188457	Woman at Beach
809990	295649	
809990	319934	
809990	326673	
809990	372712	
809991	51653	Little Girl
809992	107428	
809992	330057	
809993	132765	Morgue Nurse
809993	330514	Woman at Railroad Station
809994	109631	Kubrick
809995	141508	Bridesmaid
809995	143210	Miss Van Tuyler
809995	162362	Polka Dot
809995	185236	Polly MacDonald
809995	365332	Polly Ann Hadley, the Heroine
809996	308609	Jolene
809997	89261	Jolene
809997	168586	Dr. Turner's Assistant
809998	326653	
809999	348601	Christy
810000	119827	Amy
810001	60342	Miss Isabel Fields
810002	185540	Clarke's Secretary
810002	231951	Patsy's Girl
810003	62584	Gorgeous Redhead
810003	67052	Sylvester Clarke Girl
810004	78766	Tanya
810005	116673	Sarah
810005	405088	Deirdre
810005	408636	Sandra Jenkins
810005	408638	Sandra Jenkins
810006	261760	Marion/La Poupée
810007	217219	
810008	199712	
810009	52160	Dolly Bird
810010	104997	Herself
810011	15370	
810011	236409	
810011	324930	
810012	210827	Dancer
810013	233832	Short Woman
810014	87489	Marlene
810015	6186	
810015	12188	
810015	18198	
810015	21144	
810015	22804	
810015	26466	
810015	29121	
810015	30073	
810015	30940	Tavern Keeper's Daughter
810015	31605	
810015	42129	
810015	42916	
810015	54991	
810015	67624	
810015	71678	
810015	116124	
810015	143127	
810015	195014	
810015	196324	Hazel
810015	213085	
810015	254807	Mrs. Mum
810015	255229	
810015	281569	
810015	304094	
810015	330578	
810015	335241	The Village Belle
810015	363642	Manicurist
810015	367655	Mitzi
810016	119626	Megan
810016	142618	Female Cop
810016	273275	Bikini Girl in Car
810016	360150	Panther Girl
810017	79380	
810018	296266	Nurse #2
810019	333119	Warjat's Cook
810020	120224	
810020	190104	Aggie Arthurs
810020	396058	(War 2: O'Flaherty)
810021	194223	Reston Girl
810021	283398	Sally
810022	75629	Mme Theberge
810022	134581	Amanda Laforêt
810022	322351	Delima
810023	372420	Nurse #1
810024	208477	Model
810024	208478	Model
810024	257622	Fax Girl
810024	257623	Fax Girl
810024	257666	
810025	2833	Mrs. Martha Borden
810025	67842	Diana Kendrick
810025	83809	Helen Walbridge
810025	92558	Anna Littlefield
810025	109402	Grand Duchess Alix, aka Mabel
810025	113885	Carola Pointer
810025	114155	Irene Hibbard
810025	131738	Phyllis, aka Fanny Malone
810025	143314	
810025	154652	Madame 'Cesca' Marcesca
810025	196129	Barbara Allen
810025	196297	Elsie Carpenter
810025	197942	Luise Marheim
810025	199330	Duchess de Granmont
810025	213309	Hippolyta, Queen of the Amazo
810025	213983	Ann Westley
810025	216907	Lady Claire Benston
810025	251276	Madame Marguerite 'Rita' Coll
810025	280830	Empress Agrippa
810025	287944	Dolly Clark
810025	321897	Rita
810025	328519	Millicent Hazlitt
810025	330170	Lola Montrose
810025	335956	Mrs. Parkhurst
810025	341969	Laura Bannister
810026	238788	Additional voice
810028	333993	
810033	274521	Sally
810034	266735	Toano Middle School Student
810035	112708	Shelly
810036	26291	Sheryl
810037	327531	Female Juror
810038	79305	Bit part
810039	8834	Aida
810039	21021	Mimi in 'La Boheme'
810039	133720	Herself
810039	386498	(soprano)
810039	409970	Desdemona in 'Otello'
810040	101809	Marta
810040	237413	Culebrón 2
810041	226728	Maha
810042	12837	Doro
810042	49293	
810042	108247	Marie-Louise
810042	120056	Blonde
810042	127642	Donna
810042	138956	Gudrun
810042	149088	Karin Kastner
810042	157618	Sybille
810042	164821	Elke
810042	170369	Anna Bauer
810042	209989	
810042	225206	Victoria Staak
810042	248029	Martina
810042	281663	Effi
810042	281751	
810042	282480	Claudia
810042	302774	
810042	310892	Kerstin Sprenger
810042	310893	Kerstin Sprenger
810042	310894	Kerstin Sprenger
810042	310900	Kerstin Sprenger
810042	310902	
810042	325764	Viktoria von Selb
810042	334543	
810042	341171	Nadja
810042	345678	Comtesse de Beaumarchais
810042	352345	Conny
810042	368296	Rita
810042	374123	
810042	376569	Anna
810042	399162	Katrin König
810042	405500	Eva Reetz
810043	128807	Herself (Segment "50's Serena
810044	192431	Violet Armstrong
810044	261038	Constance
810044	360031	Elizabeth Plantney
810044	385020	Wendy Nightingale (1976)
810044	405797	PW Det. Con. Donald (1969-197
810045	282053	Yasmina's mother
810046	18248	Maja
810047	13654	
810048	294796	Invitée d'Alice
810049	45736	
810050	357852	Victor #1
810051	241074	Jean-Paul's Daughter
810052	357852	Victor #3
810053	59094	Femme junkie
810053	165568	Femme 2 bus
810053	284224	La mère de Cédric
810053	377464	Mrs. Henry
810053	410074	Adèle
810054	256531	Girl
810055	27271	Female Security Guard
810055	73332	Lisa Anderson
810055	78041	Ed
810055	346873	CIA Receptionist
810055	347689	Janet Belski
810055	367334	Clare
810056	31867	Rose
810056	101924	Alison Rotunno
810056	309572	Alice
810057	218308	L'amie de Vanessa
810057	228202	Amie de Marlène
810057	252424	Assistante Logall
810058	100391	Copera
810059	100391	Copera
810060	58511	Dancer
810061	133143	
810062	310329	Flight Attendant
810063	236456	Simone
810064	80189	Amiga señora jugos
810064	191919	Herself (specialty act perfor
810065	131538	Go-go Dancer
810066	403367	Bock's wife
810067	131399	Ellie
810068	3169	College Dean
810068	67826	
810068	163694	
810068	207072	Talia
810068	227153	Monk
810068	337889	
810069	3169	School Principal
810070	255111	
810071	1802	Herself
810072	168326	Lady at Doo Wopp Party
810073	249420	Tortured Girl
810074	10009	
810076	78015	Courtesan
810077	56929	Precisona
810078	202526	Host
810079	133054	
810080	13457	Valeria
810080	14869	
810080	33548	
810080	42601	Lidia
810080	80011	
810080	94681	
810080	108142	Monica
810080	124559	Mara
810080	148781	
810080	183575	Barbara
810080	230004	Licia
810080	238329	Teresa
810080	240269	Almarisa
810080	259697	
810080	288800	
810080	293973	Gertrude
810080	307074	
810080	337889	Giulia
810080	350412	Salome
810080	357971	
810080	404750	Barbara
810081	391580	Alice
810082	326755	Catgirl Recruit #2
810083	359045	
810084	96694	Mrs. Gordon
810084	196870	Hortense O'Neill
810085	1099	
810085	9035	Miss Hamilton
810085	11362	Loft Landlady
810085	11502	Supervisor
810085	15943	
810085	60343	Mary the Dressmaker
810085	64019	Mrs. Rudd
810085	67598	Mrs. Charleswort
810085	68695	Mrs. Seeley
810085	74220	Old Woman
810085	80744	Leonora
810085	80829	Virginia
810085	91859	Elizabeth
810085	92480	
810085	96644	Woman
810085	98803	Mary Hall
810085	100125	Velma Thompson
810085	108367	Mrs. Fenwick
810085	117128	
810085	118199	Mrs. Monk
810085	126730	Mrs. Stebbins
810085	137676	
810085	150379	Essie Mae from New Paris
810085	150407	Hotel Resident
810085	162602	Mrs. Harper
810085	169400	Greek Woman
810085	169593	Nurse in Clinic
810085	171081	Florence White
810085	185434	Dr Sanford
810085	191242	Mrs. Sophie Peck
810085	192506	Miss Moritz
810085	192721	Woman Photographer
810085	196558	Mrs. Jessup
810085	203980	Mrs. Redfield
810085	207861	Receptionist
810085	213178	Mrs. Grimhaus
810085	215738	Mrs. Bates
810085	218688	Mrs. MacAndrew
810085	230407	Nurse
810085	234223	Julia Rhodes
810085	235405	Miss Null (Dr. Runkelman's nu
810085	245999	Grandma McNulty
810085	257963	Mrs. Greenfield
810085	285138	Mrs. Mary Elison
810085	308636	Miss Casper (teacher)
810085	310613	Elmira Gallitzin
810085	315993	Mrs. Follinsbee
810085	327685	
810085	330240	First Woman
810085	330345	Mrs. Faber
810085	332039	Mrs. Scarborough
810085	343230	Mrs. Bates
810085	360488	Office Girl
810085	361164	Miss Bowring
810085	379930	Aunt May Parker
810085	383780	Mother Zendt
810085	386053	Mrs. Lucy Elkins
810085	397320	Mrs. Janet Archer (1952)
810085	398398	Mrs. Ring (1965)
810085	407991	
810085	411819	Aunt Alex (1965)
810086	64661	Triple Trapeze/Body Skating
810087	22023	
810087	51324	
810087	200590	
810087	211446	
810087	377541	
810088	64015	
810088	136731	
810088	189057	
810088	308297	
810088	370793	
810089	81121	Victoria David
810089	141625	
810089	143608	Helen Blare
810089	290334	Miss Weston
810089	342489	
810090	185297	Featured player
810090	254291	Aunt Viv
810090	315773	Martha T
810091	11222	Nora Fraser
810092	4703	FBI Special Agent Karen Carte
810092	12332	Tracie
810092	27195	Jane
810092	72854	SEAL team member Greg
810092	78082	Webster
810092	81545	Christina Beckett
810092	110286	Kit
810092	113293	Daniels
810092	114242	Michele: Landlady
810092	143388	Clair
810092	157184	Beth
810092	215860	Reneé Coté
810092	236148	News Anchor
810092	281463	Barbara Thomas
810092	292042	Ellen
810092	298008	
810092	362791	Jolene
810092	369486	Madeline Drake
810093	1390	USO Girl
810093	87541	Penny Travers
810093	108087	Doris Finsecker
810093	122274	Leeann
810093	133402	Sharon Cooper
810093	187502	Melissa
810093	210837	Teri
810093	240554	Herself
810093	261053	Karen Hughes
810093	289691	Lisa Cruthers
810093	313388	Wendy
810093	319175	Stagecoach Lady
810093	319568	Lucy Lane
810093	401277	Voice of Chrome
810094	260791	The Mistress
810095	125589	Angry Mom
810095	188388	Burnt Out Retreat Lawyer
810096	407351	
810097	217411	Mazzawatti Teenager
810098	276821	Aunty
810099	56303	Kelly Preston
810099	147844	Audition Actor/Harriet/Hooker
810099	321147	
810100	242023	Soldier 2/Running Woman
810101	301558	Slaymate
810101	347316	
810101	360277	Stella Mary
810102	152530	
810103	87989	Allie
810104	168220	Mrs. Standish
810104	367919	Makeup Artist
810106	150084	Nymphomaniac
810106	253065	Girl in the Courtesan's House
810107	228494	Julia
810109	259406	Herself
810110	16695	Welfare lady
810110	55509	Ruby
810110	304632	Esther
810111	248478	Domini Teer
810112	178376	Statist
810113	228214	Barmaid
810113	363370	Hot Bod Contest Winner
810114	105116	Woman #5
810114	350178	
810115	18312	Herself
810116	232248	Fat woman
810117	363448	Protester #1
810118	18040	Herself
810119	391469	Patty Pontier
810119	409178	Trude Hurk
810120	239881	
810121	337294	
810122	223400	Tahitian
810123	118325	
810124	322017	Lukács Erzsi
810125	17796	Astrid
810125	93139	Cheryl
810125	120286	Bernice
810125	160373	Brent's Assistant
810125	161838	
810125	195761	Saleswoman
810125	284526	Allison Ash
810125	302573	Baby
810125	313929	M.I.C.N. Dispatcher
810125	331373	Missy
810125	349231	Robin Maxwell
810125	360668	Susan Hayworth
810125	383207	Judy Scotts
810125	391616	Debbie
810125	409738	Robin Maxwell
810125	409744	Robin Maxwell
810126	13446	
810126	262925	
810126	282015	Girl in Locker Room
810127	48700	TV-produsent
810128	13094	(segment "Il telefono consola
810129	10816	
810129	41883	Elly
810129	42225	
810129	86110	
810129	113061	Crematieverzorger
810129	175243	Vrouw in wasfabriek
810129	359816	Prostitute
810129	376246	
810129	389742	Tante Coby
810129	392538	Truus
810129	400294	Emmy (1991)
810129	410084	
810129	410441	Cor Vis (1994)
810129	411950	Mien Dobbelsteen
810129	412014	Jeanette van Crailoo
810130	54688	Sheila
810130	113370	
810130	126249	Liesel Sonnenbruch
810130	136194	
810130	317451	Girl in Lab
810130	327838	Katherine Randolph
810130	327839	Kathryn Randolph
810130	359087	Rosa
810130	364207	Amanda Sanders
810131	369905	Jewel
810132	223194	Konstfacksflicka
810133	45050	Girl at union meeting
810134	49504	
810134	121062	
810134	140269	
810134	189784	Liane
810134	207933	Lesbian in forest
810134	266007	
810134	295873	
810135	140770	
810136	131539	Jocelyn
810137	119803	Model
810137	136280	Hat Check Girl
810137	137504	Joanne
810137	184955	Guest
810137	316323	Girl
810137	323389	Freshman
810137	343160	Girl
810137	363440	Model
810137	366793	Cigarette girl
810138	219556	Old Woman
810139	56929	Caterina Iacovoni
810140	81067	Game player
810140	156513	Patient
810140	204386	Terry Davis
810141	96020	Hans datter
810142	237081	Expediten i guldsmedsbutiken
810142	338674	Guest at the skiing restauran
810142	353038	Secretary
810142	357762	Woman
810143	224073	Cousin
810143	296765	Secretary
810144	24342	
810145	128576	
810145	186481	
810145	200873	
810146	100230	
810146	306127	Linda
810147	168063	Penelope Chan
810148	223400	Tahitian
810149	289442	
810150	359410	Young Girl
810151	90818	Donya
810151	127007	Bozorg
810151	172115	
810151	175946	
810151	307715	
810152	22207	
810152	286490	
810152	286492	
810152	373870	
810153	379856	Kyra-Vassiliki
810153	394078	Claudia Archou
810153	395090	Christina Kenich
810153	409807	
810154	1971	Woman in Dream
810154	45032	Alley Lover
810155	364372	Casting Director #2
810156	216119	
810157	188812	
810158	408867	Journalist #3 (part 1)
810159	32809	Bob's girl
810160	134982	Fay Savini
810160	170463	Nachbarin
810160	172066	
810160	179798	
810160	209918	Aunt Inge
810160	210039	
810160	211124	
810160	216329	
810160	284989	
810160	290765	
810160	325686	
810160	381694	Zeichenlehrerin
810160	386977	
810160	406517	
810161	264471	Johanna
810162	104815	
810162	283308	
810162	389948	
810163	10308	Natalja
810163	24465	Kassiererin
810163	287220	
810163	290746	
810163	322560	
810164	383701	Herself - Correspondent
810165	359640	
810166	33506	
810167	96446	Eva, Bjørn's girlfriend
810167	111582	Margaret Kyle, his fiancee
810167	116447	Woman (segment "Redd barna")
810167	117282	Bente og Bjørns mor
810167	121027	2. Gamalfrøken
810167	176554	Grethe
810167	210830	Guide på Munchmuseet
810167	223204	Dikterfrue
810167	240111	Innsjekkingsvertinne
810167	240119	Fru Hansen, direksjons-sekret
810167	240121	Secretary
810167	308221	Moren
810167	314628	
810167	333671	
810167	392072	Guri Høyer (2004-)
810167	393864	Frøken Anti-Hjul
810167	400119	
810168	191344	Dancer
810169	97713	Tante Karen Bjolstad
810170	139567	Reilly Twin
810171	139567	Reilly Twin
810172	381231	Herself
810173	221928	Adelaida
810173	276404	Nurse
810173	400795	Jana
810174	369874	Women's snowboarding analyst
810175	41364	Jackie's Mother
810175	109956	
810175	260207	Woman
810175	332080	Tourist at Schoolhouse
810176	310073	Dancer
810177	168378	
810177	280454	
810177	410287	
810178	315919	Mirabel's Friend
810179	73068	Surveillante infirmerie
810180	145174	Christine the lover
810181	56606	Red Queen Girl
810181	88206	
810181	91456	Elsa
810181	107533	
810181	158877	Sybille
810181	167208	Princess Linzani
810181	269753	
810181	275531	Puck
810181	280616	Rolande
810181	286317	
810181	327890	
810181	378017	L'assistante du Pr. Chaumont
810181	384160	Lydia
810182	387806	Host (2002-2003)
810183	6401	
810183	23805	Beryl
810183	28916	Dr. Winter
810183	45140	Ursula
810183	66078	
810183	72066	
810183	111680	Delphine
810183	169156	
810183	184057	Sonia
810183	234282	Jeanne
810183	254042	
810183	275652	Erika
810183	301553	
810183	303388	Mme. Mazard
810183	357053	Une amie à l'enterrement
810183	371419	Vera Miller
810183	377013	
810183	384212	
810183	409537	
810184	244392	Elderly Woman
810185	137910	Lady
810185	224213	Phoebe
810185	390771	Victoria Ballenger Jackson (1
810186	217474	Charlie
810187	342588	Judith - Jana's Schwester
810188	275312	Conceição
810188	353097	Senhora
810189	55313	
810190	56581	
810190	63635	Ermesinda
810190	68915	Virgínia
810190	186546	Mariana
810190	293335	Ana
810190	353123	The Girl
810190	379514	Patrícia
810190	383294	Filomena
810190	404258	
810190	407867	Carla Mendes
810190	410088	
810190	411585	Graça Pereira
810191	293905	Visita do Velorio #3
810192	244087	Nurse
810193	68915	Joaninha
810193	156024	Estrelita
810194	386419	Carmem
810195	55236	
810196	393351	Jasmim's Mother
810197	215939	
810200	327812	
810201	101791	
810201	169556	
810201	280998	
810202	265397	
810202	407024	
810203	112758	
810204	168378	
810205	160193	
810205	400597	Maria
810205	412270	Maria Rosa
810206	18999	
810206	148480	
810206	207929	
810206	378940	Selene
810206	385853	Verinha Rodrigues
810206	396126	Júlia
810207	112756	
810207	340358	
810208	238979	Papeleira
810209	309425	
810210	117943	
810211	245844	Maria (Maid)
810212	189185	
810213	387902	
810214	79185	
810214	349482	Priscilla
810215	388940	
810215	392490	
810215	399140	
810215	403245	
810215	408942	Alice
810216	356196	
810216	398501	Teresa
810217	124240	
810218	80245	
810219	351494	
810220	6481	
810220	30418	
810220	67901	Pasca
810220	73268	Cristina
810220	82590	La otra
810220	101894	Lola
810220	124303	
810220	199295	
810220	207602	Alumna 2º
810220	334685	
810220	393549	
810221	278424	
810222	199869	
810222	310849	Herself
810223	2298	Laisa Petra
810223	77406	Marguerite Gautier
810223	102897	Irene Carpentier
810223	108204	Helga
810223	127568	Signe Rosenkrans
810223	135211	Ragnhild Sneijder
810223	153759	En hysterisk kvinde/Modern Hy
810223	174046	Karin Ingmarsdotter
810223	178782	Elga
810223	235041	Pegg
810224	18282	Rosa
810225	61344	
810225	74628	
810225	124248	
810225	129482	
810225	145265	Paula
810225	167809	
810225	198850	
810225	206747	
810225	210581	
810225	213724	
810225	265165	
810225	269832	
810225	296502	
810225	386165	
810226	27856	Herself
810227	21598	Mujer
810228	392791	Herself (2003)
810229	91316	
810229	281612	
810229	379853	
810229	380098	Isa
810229	380115	
810229	383106	
810229	384115	Agustina
810229	384772	
810229	387774	
810229	388859	
810229	389294	Mamá de Lupe
810229	391639	
810229	395477	Rosario Escalada
810229	395487	Claudia Bersoni
810229	396822	Delfina
810229	398480	
810229	399764	Cecilia
810229	403748	
810229	405871	Elena
810229	406496	
810229	409920	Cristina
810230	76001	Miriam
810231	143804	
810231	268440	
810232	76093	Herself
810232	203927	Woman in Funeral 1
810232	379132	María de Jesús (Chapter 5)
810233	74370	
810233	208192	
810233	292751	
810234	713	Lucy
810234	68688	Rosa
810234	73792	Ludmilla
810234	133967	Raven
810234	141089	Woman on Buxim Cover
810234	274184	Elaine
810234	313825	Lorraine
810234	315915	Viola
810234	318250	Trendy Latina
810234	379716	Anita Santos #1 (1995-1997)
810234	385824	Maria Annendel (2003)
810235	14637	
810235	14803	
810235	20390	
810235	21079	Ana
810235	30851	
810235	42614	
810235	53653	
810235	67212	Señorita Elvira
810235	80274	
810235	103186	
810235	103710	Dioni
810235	108135	
810235	142737	
810235	146491	
810235	149618	
810235	177054	
810235	193512	
810235	206955	
810235	221729	
810235	222418	
810235	234175	
810235	255545	
810235	274523	Esposa Pena
810235	275952	
810235	278395	
810235	286370	
810235	301158	
810235	302399	
810235	332668	Isabel
810235	348931	
810235	352021	
810235	353548	
810235	370068	
810236	14637	
810236	52987	Rita 'La Tonta'
810236	65216	
810236	91358	
810236	133062	
810236	211043	
810236	353556	
810236	376734	
810237	228722	
810237	286080	
810237	307297	
810238	75444	
810239	90032	
810240	383470	Marbella Vallemorín
810240	385336	
810240	389788	Eva Granados
810240	391173	Amanda Santacruz
810240	391571	
810240	392844	
810240	398472	Laura
810240	398483	Eugenia Sánchez de Landaeta
810240	403125	Mesalina
810240	403753	
810240	405473	
810240	410387	Angel
810242	145154	
810244	100308	
810245	332665	
810246	5064	Refugee woman
810246	58490	Dolores Enrique
810246	85171	Nina
810247	218960	
810248	182279	Sonya (episode 1)
810248	305325	Gudrun
810248	381602	Eva
810249	388055	Herself (2000)
810250	390449	Herself
810251	196505	Bopha
810252	9489	Esra
810252	15955	Mysterious woman
810252	30947	
810252	38434	
810252	173793	Esma
810252	317672	His wife
810252	371129	
810252	411706	
810253	327370	
810254	46991	Kim
810255	64979	Alicia
810255	396333	Manuela Silva
810256	230693	Model
810257	374216	
810258	6092	
810258	22033	
810258	27732	
810258	35624	
810258	48429	
810258	76771	
810258	95551	
810258	173421	
810258	178406	
810258	181458	
810258	182810	
810258	242335	
810258	247309	
810258	247389	
810258	308951	
810258	322448	
810258	371895	
810259	377525	
810260	27685	
810260	30698	
810260	110709	
810260	124217	
810260	124911	
810260	139495	
810260	144534	
810260	160211	
810260	172005	
810260	172018	
810260	174902	
810260	182838	
810260	193477	
810260	212319	
810260	222076	
810260	248066	Papatya
810260	278164	
810260	293407	
810260	307035	
810260	307150	
810260	349224	
810260	350993	
810260	370713	
810260	370908	
810260	377492	
810260	377559	
810260	378196	
810261	76357	
810262	412237	Müzeyyen
810263	163110	
810264	92324	Nivia
810265	237512	
810265	394158	Zenka
810265	405349	Ayfer
810266	77647	Herself
810267	237445	
810268	335960	
810269	85992	Belly Dancer
810269	89457	
810269	96483	
810269	176220	
810269	212279	
810269	248066	
810269	327028	
810269	378585	
810270	237878	
810271	153120	Moana
810272	199404	Danish woman
810273	292270	Antonella
810274	197584	
810275	97964	
810275	377724	Pesztonka
810276	241046	Additional Voices
810277	156020	
810278	163170	
810278	197301	
810278	260890	La contessa crocerossina
810278	276443	Maria Ivanovna
810278	352228	
810279	117874	Elderly Woman
810280	157674	Elzbieta, Nowak's Wife
810280	174442	Mañka
810280	178232	Hilda Tirschler
810280	179583	Actress Skiba
810280	180251	
810280	186384	
810280	197219	Janina
810280	214246	Jola
810280	217293	Karina
810280	234448	
810280	322104	Wiera
810280	347617	Nurse
810280	369020	
810280	373551	Elzbieta
810280	397007	Anna Pawelczyk
810280	412076	Eliza
810281	292444	Eyeless Woman
810281	362132	Dr. Barnes' Assistant
810283	377891	
810284	11491	Granny
810285	241277	Brunhelda
810286	28503	Old woman truck driver
810286	60428	
810286	60534	
810286	62412	Panya, fat woman [Script Name
810286	82491	Alevtina
810286	82779	
810286	85213	
810286	89818	Mother
810286	92893	
810286	129336	
810286	132192	
810286	154669	
810286	173710	
810286	179813	Motya
810286	181452	Khrisoforovna, hefty farm wom
810286	207997	
810286	219147	Terentyavna
810286	259925	
810286	261907	
810286	265937	Mariya Yefimovna
810286	273046	
810286	293855	
810286	296993	Nanny
810286	303802	Older Avdotya Petrovna
810286	312527	
810286	314468	
810286	317296	
810286	327129	Mariya Ivanovna
810286	332987	
810286	339337	Fedosya Ivanovna
810286	344012	Stepanida Ivanovna Lautina
810286	349304	
810286	349344	
810286	352446	
810286	352813	
810286	356039	
810286	356921	Korablyova
810286	374765	
810286	374848	
810286	374867	
810286	375488	
810286	409360	Varvara
810286	410457	
810287	32698	Bank Manager
810287	53029	Stage Woman
810287	76524	Bikini Girl
810287	80521	Brittany (segment "The Great 
810287	80692	Blonde Singer
810287	80832	Gwen
810287	97192	Stu's Date
810287	105617	News Reporter
810287	107764	Flight Attendant
810287	119625	Mrs. Wilson
810287	139226	Fiona
810287	176478	Marlee
810287	188648	Receptionist
810287	191677	Hotty cashier
810287	203186	Debbie Rowe
810287	203689	Martina Schick
810287	207505	Sexy Girl on Cable TV
810287	223887	
810287	275880	Downtown Mother Victim
810287	291457	News reporter
810287	293232	Winona #1
810287	303894	Samantha
810287	312011	Emma Baker
810287	342853	Young Woman/April
810287	356477	Brenda Webb
810287	357065	Rhonda Rowan, TV Reporter
810287	358663	Casino Waitress
810287	362740	Pam
810287	363943	Brenda
810287	370117	Chloe
810287	378898	Dottie Sikorski
810287	392640	Dr. Sara Beckman
810288	329914	Ayn
810289	186122	
810290	361445	
810291	255211	Farm Girl
810292	296875	Concubines
810292	329954	Mrs. Kim
810292	389858	Desiree (1990)
810293	224366	Woman
810294	3950	Carmen
810295	199385	
810296	344854	
810297	229694	Luciana
810297	337866	Clara
810297	344705	Dagmar
810298	396886	Magda
810299	205640	Maria
810300	27079	Sara Varghese
810301	314459	Anna's Friend
810302	35896	President of Kolkhoz
810303	75256	
810304	74431	Fogadósné
810304	95162	
810304	322188	Golyó
810304	410331	
810305	75986	
810305	321429	
810306	5000	
810306	277383	
810307	35003	Pawel's mother
810307	65975	Mrs. Gillman
810307	197114	Queen Mother
810307	211479	Mrs. Brown
810307	223058	Madame Nadedja von Meck
810307	334337	Margaret
810307	402552	Mrs. Gold
810308	131769	Mrs. Polowska
810308	220063	Polish Cleaner
810309	49366	Three Deuces Chorus Line
810309	105280	Hospital Dancer
810310	357167	Jennifer
810311	193775	
810312	146871	Eva Braun
810312	210835	Alice
810312	258930	Rosalie Otterbourne
810312	273346	Christina Leith
810312	292228	Sandra Pearson
810312	368165	Samantha
810312	379124	Alison Jackman
810312	392970	Nurse Louise Reynolds
810312	395189	Roe Germaine
810312	407656	Maggie, Simon's girlfriend (2
810313	375171	
810313	397367	Janina Treschanke
810314	188603	
810314	333698	Klara
810315	35935	
810316	19602	Glapira
810316	35932	
810316	58555	Masha
810316	60444	
810316	88742	
810316	107664	
810316	124843	
810316	173680	
810316	196562	
810316	202688	
810316	211194	
810316	226187	
810316	229036	Vladimir's bride
810316	238324	Nina
810316	243974	Natasha
810316	244255	
810316	253739	
810316	258406	
810316	261139	
810316	261667	Lena
810316	289871	Anna Dronova
810316	295061	
810316	301893	
810316	315803	
810316	318125	
810316	341025	Nina
810316	343821	
810316	356600	
810316	357248	
810316	357458	
810316	373545	
810316	375114	
810316	382758	Sasha Belov's Mom
810317	268134	Zoya
810318	17132	Sor Porter
810318	68764	Mary
810318	132914	Official
810318	234572	Agnes Simon
810319	233262	Djevocica 3
810320	174779	
810321	47366	Barbara Royce
810321	156939	Mrs. Craven
810321	162413	Eliza Appleton
810321	195524	Carlotta
810321	229140	Gertrude Robinson
810321	240976	Lady Tremelyn
810321	251263	Marcia Marillo
810321	278275	Lady Edith
810321	286956	Ruth
810321	288740	Florrie
810321	301611	Mrs. Richard Decatur
810321	302158	Eleanor Faversham
810321	305856	Mrs. Watts
810322	51567	Reporteada
810323	5511	
810323	10205	Catherine
810323	28340	Régine
810323	248218	
810323	390470	Laetitia
810324	119846	
810325	162525	Herself
810326	201499	
810327	99356	
810328	104488	
810328	222175	
810328	377096	
810329	26426	Mrs. Carson
810329	47052	Mrs. Taylor
810329	61314	Ila Moore
810329	65928	Olivia Sherwood
810329	82350	Mrs. Van Bergh
810329	85183	Mrs. Trent
810329	96989	Announcer
810329	108002	Mrs. Day
810329	118314	Mrs. Madison
810329	128108	Winifred Stanton
810329	131512	
810329	141489	Annna Reskova
810329	143395	Eleanor Alderson
810329	157741	Elaine Brewster
810329	183442	Mrs. Fendley
810329	186393	Vivan Hepburn
810329	196185	Katherine
810329	259789	Mrs. Hilton
810329	264067	Duchess of Chatsfield
810329	264822	Deborah Lane
810329	278243	Kathleen
810329	285692	Careth Lindsey
810329	289585	Princess Johanna Elizabeth
810329	292649	Janet Newell
810329	297359	Mrs. Hilton
810329	301663	Miss Virginia Arlen
810329	304638	Anastasia Jones
810329	307006	Mrs. Rodney S. Bowen
810329	316903	Mrs. Castleman
810329	318675	Mrs. Preston Smith
810329	327671	Mrs. Carlton
810329	334191	Alice Monroe
810329	338223	Schoolteacher heroine
810329	339393	Mrs. Edgar Rice
810329	346065	Mrs. Jackson
810329	346954	Margaret Fielding
810329	352724	Marion Green
810329	366189	Olive Muir
810329	366774	Mrs. Thorne
810329	367485	Betty Temple
810329	367678	Barbara
810329	367759	Gwen
810329	368627	Elinor Ashe
810329	368991	Viola Sherwin
810329	372898	Woman
810329	374198	Jeanne Liseron
810330	90525	Tango dancer
810331	100995	Herself (Haile's Wife)
810332	237072	Anna Antonsen
810333	64661	Singer/Muse
810334	807	
810334	353670	Enfermera 1
810335	105110	
810335	378400	Woman in Underground
810336	51889	Lilly
810336	129504	Berit Glomgaarden
810336	340251	Ingrid Rustebakke
810336	353031	Ellen, Becks datter
810337	192777	Turid
810338	51036	Stuepiken
810338	147208	Britt
810338	332254	Ane's mother
810339	1813	Presidentfruen
810339	30133	Tjatja
810339	51036	Fru Solness
810339	99515	
810339	107303	Laura
810339	114769	Gunhild
810339	117532	
810339	138006	Mrs. Stray
810339	146986	
810339	178715	Nina
810339	181077	Fru Ashild
810339	190818	Rita Almers
810339	196810	Karen Reinertsen
810339	292281	Anna
810339	293841	Alvilde
810339	400008	
810340	33371	Herself
810341	241101	
810342	228723	
810343	228723	Son of the Hunter
810344	37941	Latvian gangster
810344	78529	Christina Rossetti
810344	85123	Sister Iza
810344	162617	Alicia
810344	411012	Countess Grabbe
810345	16879	Maisie
810346	228723	
810347	228723	Mother
810348	10525	
810348	219229	Quiquininha
810348	381198	Zuleika
810348	381591	
810348	383276	Mariana
810348	384850	
810348	392846	Lurdinha
810348	397553	
810348	401089	
810348	402568	
810348	402927	
810348	403747	
810348	404185	
810349	98027	
810349	360919	Vrouw
810350	273972	Nursing Home Extra
810350	282696	Eli's Aunt
810352	103852	Isabel
810353	385947	
810354	378108	Prostitute
810355	18504	
810356	57453	Iaci
810356	84480	
810356	103883	Irmã Paula
810356	103893	
810356	132201	Maria Rita
810356	189309	
810356	222122	
810356	266121	
810356	344813	
810356	344854	Rosa
810356	386727	
810356	388591	Ivonete Fronteira
810356	390054	Teresa
810356	396741	Conceição
810356	400656	Ana
810356	401095	Heloisa
810356	402424	Marli
810356	407872	Raimunda
810357	344844	
810358	100009	
810359	35108	Herself
810359	55344	
810359	205701	
810360	342257	Herself
810361	118208	
810362	170917	
810363	114323	
810364	630	Student
810365	142053	
810365	168964	
810365	254374	Moritatensängerin
810366	15991	
810367	96026	Tara
810367	336461	Tara
810368	261800	
810369	208220	
810370	1840	Didi
810370	41446	Morphine
810370	78374	Herself
810370	106988	Aunt Josette
810370	148650	Christine
810370	164149	Claire
810370	176837	Femme dans le bus
810370	189306	Libertine's Rival
810370	224485	HerselfDancer
810370	261852	The Rival
810370	268443	Guadalena
810370	281435	La soubrette
810370	339980	Tsaritsa
810370	346611	Françoise
810370	370100	
810371	19324	
810372	132912	Radio Caller
810372	199961	Various voices
810372	213105	Pedestrian #11
810373	132912	Pedestrian
810374	132912	Pedestrian
810375	397264	Kätlin
810376	334336	Manageress
810377	63889	Nora
810377	90755	Detainee
810377	205212	Jessica
810377	231600	
810377	246951	Speranza, Zimmermädchen
810377	323731	
810377	328361	
810378	242824	
810379	49441	Lady at Banquet
810380	392072	Georg 'Goggen' Anker-Hansen j
810381	361448	
810381	396285	Ursula Schmid (2000-????)
810382	336078	
810383	203927	Marta
810383	285072	Alma's mother
810384	163529	Peggy Jean
810385	59883	Photo Daughter 1
810387	12703	
810387	259514	
810388	106632	Model
810388	232385	Brunette
810389	19383	
810390	375268	
810391	327408	
810391	358714	Yvette
810392	93022	Herself
810393	88771	Maid #2
810393	370878	Lydia
810394	72920	Kelly
810394	402348	Natasha
810395	240673	
810396	261480	Carmen Brest
810396	325720	
810397	101752	Maria Steiner/Minister Boose
810397	395667	Amelie von der Marwitz
810397	408388	Frau Hotkins
810398	291466	Patient #1
810399	6182	Anna, das Hausmädchen
810399	24383	Rolly-Polly, eine Tänzerin
810399	35295	Mabel Strong
810399	100187	
810399	124970	Florence
810399	189536	
810399	225158	
810399	272533	
810399	285980	
810399	301037	
810400	74257	Mrs. Kumalo, Wife of Stephen
810401	223817	Marabenta Dancer
810402	196482	
810402	342081	Amanda
810403	12216	Herself
810403	14624	Laura's Friend
810403	42807	Emma Cooper
810403	62280	Robbie
810403	115666	Julie
810403	119328	Moira
810403	191326	Allison
810403	204204	Lucky
810403	231396	Maggie
810403	235646	Joanne Deturo
810403	243566	Kate
810403	255414	Audrey
810403	276335	Lenore
810403	300054	Amy
810403	321367	Rebecca
810403	362716	Nora Ephron
810404	380746	Zelis
810405	341024	Dashteryata
810406	403113	
810407	9250	Irén apjának korábbi partnere
810407	9454	Szilvássyné
810407	15858	Fanni
810407	17523	Jelen
810407	24715	Lili anyja
810407	25723	
810407	28537	Manci Ybl, the physics teache
810407	43110	Billy mamája
810407	48670	
810407	50840	Kati nevelöanyja
810407	51104	Elvira, jósnõ
810407	51218	
810407	74400	Alexné
810407	74450	Guest woman #1
810407	78206	
810407	96430	Halmosné,Roska Mária
810407	97957	
810407	97958	
810407	97974	
810407	99749	
810407	102409	
810407	102443	Mrs. Iván Lépold
810407	112911	
810407	117116	Martha Orgelbrand
810407	138008	
810407	138393	Evelina
810407	139997	Angyalka anyja
810407	143725	
810407	153851	
810407	157334	
810407	157811	
810407	171606	Róza, Jób felesége
810407	173966	
810407	175708	
810407	182209	
810407	182519	Cloakroom Attendant
810407	182723	Hauserstück néni
810407	186122	Berta
810407	186174	Olga
810407	188894	Grandmother
810407	198210	
810407	198322	
810407	201240	
810407	211217	Egy nagybankos neje
810407	211702	Titkárnõ
810407	214502	
810407	215472	
810407	225073	
810407	237144	
810407	268430	Kerényiné
810407	268520	Igazgatóhelyettes
810407	278687	Róza
810407	280599	
810407	284183	Cserépkalapos nõ
810407	304168	Ella
810407	307081	
810407	322105	Bakosné
810407	322109	Cat Lady
810407	322209	
810407	324097	
810407	328305	
810407	328769	
810407	334028	Fejedelemasszony
810407	343703	Nagy Mária
810407	343751	Bakosné, ápolt
810407	343776	
810407	349132	Péter anyja
810407	354617	Countess Zsófi
810407	357937	Gróf Andrássy Gyuláné
810407	371289	Magdalena
810407	376612	
810407	377206	
810407	377723	Mária
810407	378262	
810407	378300	
810407	379094	Erzsébet
810407	382544	A pap felesége
810407	399160	
810408	24715	
810408	377126	
810410	205770	La collègue de Marie-Jo
810411	179111	
810412	12814	
810412	33823	Gyuldzhamal
810412	86726	
810412	229066	
810412	264985	
810412	305910	
810412	312435	Guldzhan
810412	356485	
810412	356917	
810412	373639	
810413	341911	
810414	23529	
810414	168958	La bande à Jonas
810414	254153	Savannah ('Le ranch de l'amou
810415	18567	Verkoopster Fnac
810415	387953	Herself
810415	387954	Herself
810416	111043	Justine
810417	134623	Adrienne
810417	187632	Partner Bijl
810417	336428	Barbara
810417	338009	Shoe salesperson
810417	356106	
810417	378951	Esther Kleinveld
810417	387759	Iris Hooft (2004)
810417	400294	Wies (1993)
810417	400507	Pup (Claire) van Dijk-Bussink
810418	10278	
810418	303800	Aljona
810419	55968	
810419	285777	
810420	115436	Alice Bothe
810420	120170	Lehrerin #1
810420	144220	Herself
810420	188817	Aysha
810420	259439	
810420	259499	
810420	259659	Connie Auwald
810420	312650	Katja Burger
810420	325734	Alice Bothe
810420	325915	Alice Bothe
810420	395001	
810420	399387	Aisha
810420	403190	(guest) (episode "Aventure à 
810420	405902	Pinar Ayfer
810421	99268	Hollandse
810422	11782	Meisterin
810422	35000	Hilde Tamm
810422	97842	Roswitha
810422	102960	
810422	103122	Rudolfs Mutter
810422	104840	Maria Schwenk
810422	119684	
810422	126608	Sprecherin
810422	149878	Brigitte von Bredow
810422	155431	Louise Kuster
810422	162470	
810422	166761	Sarah Dubbs
810422	182883	Anita Wegener
810422	187542	
810422	229168	
810422	238122	
810422	259485	Franks Mutter
810422	259514	Frau Bartuschek
810422	259542	Irmgard Kraßmann
810422	259600	Isolde Preckwinkel
810422	259674	Frau Richter
810422	265399	Inge Ruoff
810422	277752	
810422	284434	Mutter von Mathias
810422	290178	Lina Weber
810422	312068	Schwester Anna
810422	332552	
810422	343686	Amelie
810422	367144	
810422	369390	Valeska
810422	377356	
810422	377372	Agnes Haeusler
810422	404279	Maria
810422	406814	Laetitia Domberg
810422	412212	Agnes Haeusler
810423	206389	Evie Hitchins
810424	7500	Miss September
810424	128772	Howard Stern Girl WXRK 92.3 F
810424	190094	Claire
810424	262588	Janita
810425	239856	
810427	218793	Baroness Lindenborg
810427	221308	Mrs. Plum
810427	287040	San Toy
810427	371073	Jennifer Varwell
810428	14231	Sean's Wife
810428	405988	Perdita
810429	163688	
810430	294526	
810431	263116	
810432	212796	
810432	316127	
810433	223913	Miss Murphy
810434	344356	
810435	49069	Janice
810436	166113	Jeanne
810436	211375	Eliane
810437	33737	
810438	211755	Mrs. Claremce
810439	58941	
810439	141522	
810439	220072	Gwen
810439	224697	
810439	291056	
810439	296907	
810439	365360	
810440	309056	
810441	10520	Herself
810442	148702	
810443	146181	Pearl Prindle
810443	295819	
810444	247435	Emma Southey
810445	97718	Seamstresses
810445	327430	Young Miranda
810445	367023	
810446	80442	Young Lady Cop
810446	257434	Cyn Thompson
810446	368993	Cashier
810447	142949	Murdered family (wife)
810448	173132	
810449	45501	Monica
810450	18236	Madame Aranovitch
810451	321953	Junie
810452	367304	Adele Harley
810453	6805	Bit
810453	72269	
810453	163267	Nurse
810453	247141	Nurse
810453	367857	Bit Part
810454	221288	Wilhelmina
810455	364281	Candy Store Girl
810456	187186	Hostess
810457	1382	Herself (with Eddie Cantor)
810457	1774	Herself
810457	2301	Herself
810457	2872	Herself
810457	3021	Herself - Past Winner
810457	3039	Herself
810457	6800	Dinah Sheldon
810457	7592	Herself
810457	10520	Herself
810457	21508	Child
810457	26426	Shirley Ellison
810457	26606	Susan
810457	41698	Mytyl
810457	46987	Shirley Blake
810457	47911	Herself
810457	54492	Star
810457	55519	Joan Connelly
810457	59100	Shirley, Girl on Airplane
810457	75481	Elizabeth Blair
810457	80016	Herself (visits RCAF base)
810457	86842	Sylvia Dolores Appleby aka 'D
810457	91085	Shirley
810457	117906	Philadelphia Thursday
810457	118529	Herself
810457	129169	Nell/La Belle Diaperina
810457	139798	Herself (at Canada-Hollywood 
810457	141951	Heidi
810457	147707	Herself
810457	147769	Herself
810457	147801	Herself
810457	147811	Herself
810457	147899	Herself
810457	148918	Barbara Olmstead
810457	149374	
810457	154855	Barbara Marshall
810457	171075	Penny Hale
810457	174594	Kathleen Davis
810457	175541	Herself (Honoree)
810457	176288	Madame Cradlebait
810457	176349	Morelegs Sweettrick
810457	176396	Shirley
810457	176398	Girl
810457	178017	Corliss Archer
810457	178035	Corliss Archer
810457	191739	Miss Lloyd Shermon
810457	192032	Betsy Brown/Shea
810457	192047	Marthy Jane, Little Miss Mark
810457	192174	Sara Crewe
810457	192435	Virginia Cary
810457	195613	Herself
810457	202194	Virgie Cary
810457	203815	Mary Lou
810457	203931	Betty Shaw
810457	211548	Mary Lou Rogers
810457	215469	Annie Rooney
810457	220830	Ellen Baker
810457	230590	Herself
810457	236079	Penelope Day
810457	236096	Mary Doran
810457	238613	Herself
810457	244835	Herself
810457	244865	Molly Middleton
810457	244993	Child
810457	248836	Mary Lou Rogers
810457	255387	Shirley
810457	259769	Polly Tix
810457	260224	Barbara Barry
810457	273600	Rebecca Winstead
810457	274423	Gloria Shelton
810457	283602	Cameo appearance
810457	302467	Bridget 'Brig' Hilton
810457	309629	La Belle Diaperina, saloon si
810457	313076	Shirley Dugan
810457	315721	Margaret O'Hara/Knowles
810457	315791	Barbara Stewart aka Ching-Chi
810457	320223	Susannah Sheldon
810457	329437	Mary Hagen
810457	329546	Herself
810457	329560	Herself
810457	334351	Mary Stanley
810457	358804	Herself
810457	358832	Herself (presenting Academy A
810457	359190	Charmaine
810457	360805	Priscilla Williams
810457	362545	Mary Lou Rogers
810457	372676	Wendy Ballantine
810457	405169	Floretta
810457	405169	Host/Narrator/Occasional Lead
810457	405169	Princess Ozma/Tip
810458	150677	Dr. Barnes
810458	364313	Secretary
810459	378830	Hostess (1980-1982)
810460	241689	Royal College Musician
810461	33730	Woman Counselor
810462	54315	
810463	309961	Recepcionista
810464	35658	Lena Axselle
810465	40495	Rachel
810465	104037	
810465	115804	
810465	130055	Mrs. Breck
810465	194685	
810465	264175	
810465	336144	Mrs. Price
810466	17226	
810466	67565	Marian Burke
810466	149939	Diane St. Clair
810466	213019	
810466	273250	Samantha 'Sam' Martin
810466	411802	Carol Robbins (1983-1993)
810467	24957	Claudia
810467	37787	Aerobic Saleswoman
810467	41957	Nun
810467	44385	Sales Clerk
810467	45639	Girl at Beach
810467	147888	Hooker
810467	175860	Receptionist
810467	234067	Bonnie Nueman, CNN Reporter
810467	339573	Hysterical Survivor
810468	79344	
810469	47374	Production number singer
810470	109682	Jessica
810470	160589	Angela's Babysitter
810471	163964	Nancy
810471	393923	
810471	400459	Host
810472	33697	Child
810472	116949	
810472	164707	
810472	194685	
810472	335072	Tom Brown 1st
810472	353524	Joyce Brierley
810472	354498	Child
810472	364530	Regina (child)
810473	48612	
810473	50483	
810473	57171	
810473	82377	
810473	130443	
810473	145805	
810473	191481	
810473	195009	
810473	207188	
810473	280722	
810473	299941	
810473	364720	
810474	367451	
810475	323892	Traci C
810476	369181	Nelly Dean
810477	21263	
810477	77288	Henriette Locke
810478	62827	Madame Tourtier
810478	63668	
810478	65152	
810478	66727	
810478	68368	
810478	123873	
810478	199359	Madame Parizot
810478	236533	Madame Stockel
810478	250836	
810478	268855	
810478	282008	
810478	292369	
810478	308292	Le chaperon
810478	337543	La générale
810478	340114	
810478	345352	Mme. Serval
810478	346478	
810478	346553	
810478	349743	La couturière
810478	356982	
810478	376996	Madame Weiser
810478	377840	Madame de Tierrache
810479	219182	Woman Passenger
810480	222212	Party-goer
810481	272440	Market Scene Extra
810482	9170	
810484	34751	
810484	34818	
810484	55298	
810484	67137	
810484	81861	
810484	105725	
810484	115307	
810484	116013	Herself
810484	126340	Herself
810484	132642	13 Rue del Percebe - - Porter
810484	148375	
810484	150177	
810484	150940	
810484	161186	Sara's Best Friend
810484	171170	
810484	201449	
810484	228024	Herself
810484	294271	
810484	336708	
810484	339648	
810484	340897	
810484	361243	
810484	372564	
810486	235646	Girl at party
810487	204841	
810488	310947	Truus
810488	319568	Argonian Citizen
810488	376258	
810488	388164	Ditty Stok
810488	411180	Eva Clinckx
810489	144698	Herself
810490	51286	Yvonne, Manu's daughter
810491	8053	Emma
810491	10300	Moeder Jacobs
810491	18347	Malle Madonna (Mad Madonna)
810491	45203	Rina
810491	57546	
810491	84513	Iris
810491	144114	Sylvie
810491	149358	
810491	187049	Lea
810491	241924	Brigitte
810491	269750	Lea
810491	376433	Catherine
810492	188719	Dutchwoman
810493	184	Katja Hellwein
810493	11464	Debbie
810493	15185	Charley
810493	23208	
810493	29162	Maike
810493	34965	Renee
810493	56590	
810493	69041	Maria
810493	97936	Thirza Kneypp
810493	110247	Marieke
810493	111894	Caro
810493	121525	Linda
810493	124353	The Woman
810493	144186	Lisa
810493	145469	
810493	147247	Trees
810493	153752	Silvie
810493	161086	Ellen
810493	172213	Stefanie Rabe
810493	178555	Dede
810493	189887	
810493	201828	Herself
810493	209953	Ica
810493	223286	Wanda
810493	234044	Paula
810493	241823	
810493	246114	Lisa
810493	284513	
810493	290081	Stefanie
810493	295418	Girl next door
810493	318760	(segment "Gas Station, The")
810493	319672	Conny
810493	325608	Kareen
810493	326847	
810493	338009	Maria
810493	352164	Nicole
810493	352202	Girl at the Beach
810493	356555	Sacha
810493	365613	Verena
810493	365655	Maro
810493	393554	Reetenjongh
810493	401669	Joosje
810494	20625	Extra
810494	114844	Elaine's Mother
810494	131454	Bit Part
810494	287232	Mimi
810494	325970	Woman
810495	83809	Saleswoman
810495	128152	Committee Woman
810495	138744	Chorus Woman
810495	346043	Nurse
810496	10816	
810497	101326	Ingrid
810497	145352	Amelie
810497	196394	Liselotte
810497	252540	
810497	266007	Gerti Witt
810497	317507	Heidi Strauss
810497	410158	Tessy
810498	15156	Mable
810499	304726	
810500	368754	
810501	104171	
810502	296447	
810503	55941	
810503	103699	Dancer of the Flight of the B
810503	115030	Herself
810504	5009	Ellie
810505	57208	Coven Girl
810505	206096	Victim
810506	22733	
810506	158496	Helen Kerwood
810506	231827	Jenny
810507	159497	
810508	39692	Stewardess
810508	204358	Mrs. Singing Rock
810508	249912	
810508	280275	
810508	378803	Host
810508	378984	Host
810508	382443	Host
810508	386793	Host
810508	389888	(1976-1977)
810508	395441	Host
810508	405322	Host (1979-1980)
810510	123991	Marusya
810510	134872	Marine
810510	212114	Natalya
810510	300490	Aishe, their daughter
810510	341200	
810511	154765	Mother
810512	36955	
810512	58859	
810512	118229	
810512	171246	
810512	299643	
810512	331567	
810513	97438	Shopladies
810514	97438	Shopladies
810515	248480	Vicki Meyers
810516	24420	Blanka
810516	376003	Golda Zuckermann
810517	88758	Cathy
810518	72515	P.A. #2
810519	231951	Bridesmaid
810520	409026	Sofia
810521	84601	Muriel Brown
810521	120199	Anne Reynolds
810521	158514	Louise
810521	382593	Lucy (1976)
810521	385930	Jean Dalgliesh
810521	386669	Lucy
810521	387471	Amy Dudley
810521	393938	Di Thompson
810522	302184	
810523	359	Mrs. Malhotra
810523	17436	Saroj
810523	136087	Sharda Sinha (Sahil's mom)
810523	214419	Tony's Wife
810523	217202	Special Appearance
810523	271450	Mohit's Mother
810523	288405	Anuradha/Anu
810523	409388	Herself - Jayre's Date
810524	95166	Sekretarka
810524	183913	Shavliva brigadirka
810524	211871	Caterina de' Medici
810524	242730	Third Hostage
810524	373567	
810525	81694	Mujer Platazo
810525	85975	Margot
810525	89744	
810525	96303	Psicoanalista
810525	143674	
810525	215433	Marita
810525	236458	Convenience Store Employee
810525	280412	Vicky
810525	387126	
810525	398816	Margarita
810525	404712	Rosa
810525	405789	Fabiana
810525	409957	Marlene Vázquez (1999-2000)
810526	141384	Angela
810527	4536	Student
810528	217689	
810529	135000	Herself (New York)
810530	58232	Camille
810531	57587	
810532	84087	
810533	6896	
810533	120112	
810533	142684	
810533	231641	
810533	233525	First Art Student
810533	259356	
810533	269647	
810534	56871	Flight Attendant
810534	264157	Lady Sprint
810534	271344	Fashion Show Model
810535	40343	Sally
810536	59093	Shame Mother
810536	392484	X-wife who hires a hitman
810537	233401	Dora Boskh
810538	95935	
810538	114763	
810538	129753	Yuliya
810538	132154	Lida
810538	149524	Prevodachkata Nikolova
810538	219233	Zhana
810538	227970	
810538	265149	Priyatelka na Bistra
810538	293811	Kina
810538	302984	
810538	310475	
810538	341183	Momicheto
810538	350812	Momicheto
810538	374169	Yuliya
810539	242867	Leelee
810540	200994	Deborah
810541	151187	Pat Shen
810542	37971	Madame White Snake/Opera Sing
810543	16600	
810543	269097	
810544	223337	Julia
810545	79185	
810546	4830	Sherin
810546	6118	
810547	168714	Pharmakom receptionist
810547	199759	Registration Clerk
810547	232158	Attacked Fan
810547	368941	Customer #2
810548	331496	
810549	444	Ann-Marie
810549	17821	Mary Lind, secretary
810549	23261	Tusse
810549	43250	Elsa Pihlkvist
810549	89643	Katja von Batwyhl
810549	95829	Gudrun Brogren
810549	97088	Ellen Wiggberg
810549	108203	Margit Berg
810549	115388	Britt Wikner
810549	115431	Birgit Brink
810549	127570	Lotta
810549	129661	Ebba Brun
810549	135211	Gunvor
810549	138517	Ann-Mari Häggblom
810549	145519	A girl
810549	154073	Inga Dahlin
810549	164651	Eva, housemaid
810549	168392	Agda
810549	173201	Anna i Kraja
810549	174076	Gun Bergström
810549	174697	Saga Svensson
810549	180937	Sickan
810549	181845	Marie-Louise Löwencreutz
810549	203100	Sonja Berge
810549	204720	Märit
810549	218996	Ella Örnfeldt
810549	228381	Maria
810549	237580	Concierge's wife
810549	244073	Inga-Lill Dahlström
810549	248196	Vivan Bodin
810549	258990	Aina Sjölund
810549	268343	Maerta Lannier
810549	268354	Karin Sjoevall
810549	282087	Anna
810549	304125	Märta Jonsson
810549	308802	Sonja Larsson
810549	321900	Girl nextdoor
810549	321901	Anna
810549	322297	Anne-Marie Hedberg
810549	322309	Mörköga
810549	343701	Viola
810549	347017	Kerstin Bergman
810549	349586	Margit Björklund
810549	357778	Inger Mattson
810549	357808	
810549	378162	Kristina Tarvolander
810550	182531	Nurse
810550	357612	Girl on Subway Train
810551	89664	Malla Falkman
810551	182365	
810551	213419	Mrs. Sairamo
810552	178376	Statist
810553	98629	
810553	174787	
810554	25290	Anna
810554	89101	
810555	106286	Florinda
810556	57489	Twin
810556	228482	Miss November 1989/Playmate o
810556	237006	Dog Owner
810556	257618	Herself
810556	257648	Miss August
810556	257684	Herself
810556	257840	Miss November 1989 & Playmate
810556	257864	Herself (Playmate of the Year
810556	300044	Girl in Bar
810556	361850	Herself
810556	367847	Herself
810556	395022	Kendra Brooks
810556	398866	Hostess
810557	57489	Twin
810557	97461	Herself
810557	363913	Detective
810557	398866	Hostess
810558	385980	Koushiro Izumi
810558	385981	Koushiro Izumi
810558	386343	Koushirou Izumi
810559	9190	Nurse
810559	375558	Nurse
810560	171426	
810561	323222	
810563	5838	Bit Part
810563	6015	
810563	6687	The Girl
810563	11725	Regine
810563	22913	The Judge's Daughter
810563	24214	
810563	31919	Barbara Lacelles Hall
810563	32350	Marjorie, The Girl of the Sca
810563	35276	Mrs. Kingdon
810563	39893	Mrs. Henry Brock
810563	41049	
810563	43745	
810563	44543	Lilly
810563	45589	Mary Moore
810563	47298	
810563	49237	Mary Allen
810563	50664	Elaine Arthur
810563	54398	Bertha Steadman, the Cousin
810563	54491	Lucy Tripp
810563	58722	The Wife
810563	62526	Tess
810563	64533	Ann Tyler
810563	65880	Julia Annersley
810563	66040	Corinne
810563	73403	Virgin Mary
810563	75895	Cynthy
810563	83687	Nell Reed (the other woman)
810563	84848	The White Woman
810563	84865	The Singer
810563	88162	
810563	89657	Alice Chandler
810563	89690	Nellie Simpson
810563	91603	Maud Truesworth
810563	91788	
810563	93262	Dorothy Fuller
810563	94048	Mary Larkin
810563	107561	Louise
810563	112327	
810563	112772	
810563	113930	The Factory Owner's Wife
810563	114194	The Doctor's Wife
810563	116407	Marian Higby
810563	116967	
810563	118013	
810563	120602	Nora, the Professor's Daughte
810563	130765	Flo
810563	133374	Nora
810563	133842	Lady Lou
810563	133881	
810563	141472	Grace Carris
810563	143377	Madame Dupree
810563	144541	Princess Orloff
810563	144777	Mrs. Consumer
810563	145107	Lord Harper's Daughter
810563	145862	The Daughter
810563	146222	
810563	147959	Rachel
810563	149150	Lady Barbara Beaumont
810563	151095	Mrs. Mitch Hardy
810563	158374	
810563	159508	Hope Scudder
810563	161521	Agatha
810563	177405	
810563	183560	Lady Babbie
810563	186362	
810563	191177	Marie
810563	192082	Babbie
810563	195374	
810563	195515	Gertrude Wilton
810563	195598	Kate
810563	198452	M'Liss
810563	203493	Tess of the Hills
810563	206169	
810563	207292	Bobby Blessington
810563	213139	Mother Henderson
810563	220165	
810563	234233	Bess, George's Sister
810563	239614	Dora Steele
810563	249489	The Old Prospector's Blind Da
810563	258971	Mrs. G. Kildair
810563	258972	Bess Austin
810563	261422	
810563	263499	Grace Weston
810563	263535	
810563	271968	
810563	276668	
810563	276700	Lady Linda
810563	279728	Maid Marian
810563	283381	
810563	283846	
810563	296931	Alice
810563	301651	Jacqueline
810563	303272	Frances
810563	305628	Mrs. Tender
810563	305629	
810563	306224	The Woman
810563	308922	
810563	309548	Barbara Tully
810563	310683	Marguerite
810563	316680	Mary Weller
810563	317174	
810563	317828	Dorothy Morgan
810563	319590	
810563	320418	Suzanne
810563	324497	Mrs. Smith
810563	327130	
810563	329454	Bessie Woodland
810563	329750	The Widow's Daughter
810563	329838	Britta
810563	330584	Helen Drury
810563	331478	The Girl
810563	332157	
810563	337613	
810563	337637	Therese
810563	338100	Mollie
810563	362203	Phyllis Miles
810563	362208	
810563	362317	Goldie Rowan
810563	362673	
810563	362723	Priscilla Elliott
810563	362799	The Sick Man's Wife
810563	362899	The Daughter
810563	362979	Georgina
810563	364538	Aunt Jane
810563	367394	Jenfau Jen
810563	368791	
810563	372127	Jane Mackie
810563	372890	Prisoner
810564	10210	Mary
810564	27363	Woman #1
810564	34638	Mrs. Slocum
810564	57380	Woman
810564	60361	Marketing #1
810564	68064	Singer #1
810564	80066	Executive
810564	105704	Carol Ruth Silver
810564	137766	Wendy
810564	158791	Third Woman
810564	164984	Jury Foreperson
810564	195270	Mrs. Coppoli
810564	196024	Saleswoman
810564	216804	Mrs. Phillips
810564	241798	Barbara Warren
810564	245115	Shoe Clerk
810564	289603	Quaker Lady
810564	303236	Cynthia's Mother
810564	307964	Nurse Mary
810564	374282	Verna
810565	96989	Stylish Woman
810565	206169	Olga Petcoff
810565	210871	Mrs. Hill
810565	222628	
810565	223654	Bit Role
810565	277644	Woman in Shoe Store
810565	361300	Mrs. Ward
810566	100075	Tennis Player
810567	155070	Young Girl
810567	176792	Cassidy Harris
810567	253507	Hannah Stanton
810567	277474	Mellisa Kanachowski
810567	290936	Young Daphne
810567	303266	Krista
810567	394509	Mona Klingerman
810568	382740	Co-host (Episode 1)
810569	50030	Narrator
810569	236899	Narrator
810569	276807	Narrator
810570	53284	Wet T-Shirt Contestant
810571	92847	Shannon
810572	133539	
810572	269346	Young countess
810573	57061	Herself
810574	153563	Herself
810575	288604	Suzanne Valadon
810576	5885	Audra
810576	11386	Terry Hoskins
810576	34960	Roberta Gillian
810576	82763	Estelle Taylor
810576	89314	Dinner Party Guest
810576	97553	Blonde With Dog
810576	115929	Mother
810576	135331	Helen Curtiss
810576	138220	Aunt Lydia
810576	147381	Helden von Tiebolt/Helden Ten
810576	155332	
810576	160278	Barbra
810576	161201	Herself
810576	182977	Sara McDowel
810576	187328	Mary
810576	200926	Victoria Portman
810576	253779	Alicia Rieux
810576	270987	Doris Randall
810576	288702	Herself - Audience Member
810576	303236	Bitter Divorcee
810576	310959	Lady Carnaryon
810576	316318	Carol Redding/Betty
810576	346057	Gloria Garry
810576	356284	Francesca Cunningham
810576	360436	Herself
810576	363712	Hilary
810576	376038	Alice Gordon
810576	384072	Trish Lee
810576	410582	Pamela Tudsbury
810576	411221	Pamela Tudsbury
810577	303266	Young Tibby
810578	141279	Sylvia
810579	67748	Claire Dumont
810579	112889	Une collègue d'Elodie
810579	169292	
810579	190745	Nadège
810580	130314	Finance Lady #2
810581	358991	
810582	219030	Moonflower
810583	187167	Olga
810583	264724	Model
810583	316926	Toby
810583	347035	(segment "The Ransom")
810584	401680	Valentine
810585	176520	Nicole Mitchell
810585	194502	Freda
810586	99370	Laura di Maio
810587	56618	Sal Kerrigan
810587	80474	Sarah
810587	110444	Suzi Plummer
810587	115493	Kate Webber
810587	118675	Marie Parer
810587	197185	Jane
810587	317897	Elaine
810587	323517	Hilda Oppenheimer
810587	379873	Liz Taylor
810587	382743	Liz Heffernan (Elizabeth Jane
810587	385105	Molly Jones (1981-1985)
810587	387491	Anna Trevaller
810587	387783	Helen
810587	388764	Anne Risdale
810588	302928	Undetermined Role
810589	306286	Chorus
810590	155927	Contestant #1
810592	1479	Herself (Captain & Tennille)
810592	1963	Herself
810592	13781	Herself (Captain & Tennille)
810592	14098	Herself (Captain & Tennille)
810592	31187	Herself - ABC Team Contestant
810592	31190	Herself (ABC Team)
810592	42346	
810592	54414	Herself/Co-Host
810592	54415	Herself (Captain & Tennille)
810592	54425	Herself (co-host)
810592	54426	Herself (co-host)
810592	107450	Herself
810592	125998	Herself (The Captain & Tennil
810592	240044	
810592	383396	Herself (Captain & Tennille)
810593	278366	Nurse
810594	356325	Andrea
810595	257111	Michelle
810596	13224	Kid reading 'The Odyssey'
810596	45608	
810596	114298	Young Annie
810596	147845	Kant's Receptionist
810596	154969	Assistant Director
810597	77793	Restaurant Woman #2
810598	47297	Vera
810598	47351	Mrs.Watkins
810598	49354	
810598	57168	
810598	57170	
810598	133796	
810598	135576	
810598	136263	
810598	141459	
810598	147763	
810598	158132	
810598	176266	
810598	185384	Frisco Kate
810598	200178	
810598	201010	
810598	205090	
810598	222439	
810598	241407	
810598	255229	
810598	271296	
810598	289402	
810598	316951	
810598	364690	
810598	366609	
810599	132739	Teacher
810600	229215	Press Photographer
810601	371348	
810601	394927	Nesrin Çakir (2003-
810602	349520	
810603	12338	Salsa Singer
810604	391609	
810604	398503	Alice
810604	400584	
810605	33506	
810605	73538	child
810605	92069	Giulietta's Maid
810605	136919	
810605	162077	
810606	412124	Melchorita
810607	55991	
810607	300679	Vecina
810608	410093	Pancha
810609	256778	
810610	409277	Herself/Panelist ("Web") (200
810611	70391	Lisa
810611	297772	Frankie
810612	41962	Dobson Girl
810613	188587	Chinese Woman
810614	42225	
810614	391343	Herself
810614	411094	Herself - presenter (1990-199
810615	143742	Big Ol' Gal
810616	145434	Norbou/Urgien
810617	339543	Golda Meir & bridesmaid
810618	59274	Acting coach
810619	10484	
810619	14930	
810619	20712	
810619	27977	
810619	51307	Patricia
810619	103760	Matilde
810619	146533	Regina Miller
810619	395864	
810620	294	Lorena Bobbitt (Headline News
810620	295	Lorena Bobbitt (Headline News
810620	610	Glenda
810620	866	Herself
810620	27260	Lorena Bobbitt (Headline News
810620	38964	Herself
810620	50466	Samantha Rottweiler
810620	59274	Herself
810620	64573	Performer
810620	84005	Joan
810620	108476	Fan
810620	154722	Herself
810620	195479	Sgt. Farfalloni
810620	258235	Transportation Officer
810620	258283	Rhonda
810620	286450	Herself
810620	363869	Singer 1
810620	397078	Herself/panelist
810620	400244	Herself
810620	410780	Madame Judy the Psychic
810621	10521	Fatima
810621	28143	
810621	29342	
810621	60731	
810621	134758	Sasha
810621	198138	Granny Shura
810621	262200	
810621	313813	
810621	374427	
810621	408555	Fya
810622	270363	Herself
810623	231128	Michelle Walker
810624	184292	
810624	351489	
810625	379450	Heloísa
810626	117656	
810627	333404	Herself
810628	161708	Tech Sergeant
810629	64251	Mayang
810630	218426	
810632	56170	Debutante #2
810632	64139	
810632	82046	
810633	64139	Florica
810634	262406	
810635	81509	
810636	405775	Bojana
810637	244580	Lili
810637	400481	Lili
810638	261675	Marina
810639	401665	Irena (2002-)
810640	202436	Neli
810641	251926	
810642	103634	
810643	408879	Mother
810644	140535	Asian Bicyclist
810644	144892	Wong's Lieutenant
810644	256141	Chef
810645	394775	Susan
810646	298762	San San
810647	39752	
810647	75031	
810647	75033	
810647	75059	
810647	123823	
810647	293130	
810648	385873	
810649	305920	Tyler's Party Girl #1
810650	254645	Meghan
810651	118726	Jackie
810651	162108	Dominique
810651	319554	Antoine's Stepmom
810651	322837	Additional Voices
810652	208094	Mattie Fresno age 10
810653	104896	Chris Emerson
810654	158462	Minou Tavárez Mirabal (age 4)
810655	253999	Serveuse Café
810656	118376	Sophia Teper
810657	209521	Shula
810657	306275	
810658	233258	Avigail
810658	241015	Joanna
810658	303024	Micky
810658	394303	Noa
810659	206096	Girl in shower
810660	28091	La voisine
810660	136172	Marthe
810660	184356	La reine Hélène
810660	205485	Antoine's Sister-in-Law
810660	259914	Annette
810660	261711	La mère de Lui
810660	343539	
810660	396867	
810661	19602	
810662	220696	
810662	312527	
810662	373694	
810664	142600	Herself
810665	237106	
810666	389722	Angel #1 (1995-1996) and Girl
810667	40504	Tillie
810667	48935	Bunny Hole Waitress
810667	216162	Annie
810667	219859	Lipstick Bar Waitress
810667	261247	The Women
810667	270595	Susan
810667	309474	Alex
810667	323966	Guest Starring
810667	326604	Dead Girl in Woods
810667	340997	
810668	244399	Mrs. Mueller
810669	366416	Bev
810670	287560	Violin Pupil
810671	9574	Maria Renard
810671	308778	Vector the Crocodile
810671	384218	Yûta Kuji
810672	161056	Additional Voices
810673	115981	
810673	167094	Hella
810673	225256	Atlantis
810673	226213	
810674	79807	Augusta
810674	171078	Jury Foreman
810675	350376	Woman in elevator
810676	169512	Arman's Mother
810677	216610	
810678	26247	
810678	163161	
810678	228113	
810678	229065	
810678	249914	
810678	259806	(segment "Vizit")
810678	268134	
810678	313890	
810678	328645	
810678	357637	
810678	374835	
810679	118775	Marion
810680	6169	
810681	345618	Emiko Yamashita
810682	51237	Computer Voice
810682	96413	Mizuho Kobayakawa
810682	381476	Navi-chan
810682	386344	Ranamon/Calmaramon
810682	411887	Mai Kujaku (Japanese version)
810683	232610	Nurse
810684	373218	
810685	240379	Mother
810685	299004	Oyone
810686	210636	
810687	9320	Aya
810687	269897	
810687	353275	Rei Hayakawa
810687	379508	Wakako Itoh
810687	398576	Aya
810688	54726	Dancers
810689	247476	
810691	231168	Nene
810692	19702	
810693	74269	Miranda
810693	74272	Tanya
810693	172089	Jô no okâsan
810693	211948	Meryl Silverburgh
810693	211949	Meryl Silverburgh
810693	211950	Olga Gurlukovich
810693	211955	Meryl Silverburgh
810693	259304	Meryl Silverburgh
810693	334915	Sachiko
810693	394550	Sophia Takamura
810694	24918	
810694	65647	
810694	146906	
810694	162315	Akiko
810694	169191	Miyuki
810694	217612	Miki
810694	256190	Mami Karube
810694	293486	Momoko Uchida
810694	293511	Seiko
810694	293512	Seiko
810694	293513	Seiko
810694	347479	
810694	347482	Atsuko
810695	36760	Koko
810695	87348	Bimbo Lulu
810695	232072	Frannie
810695	304759	Arab
810695	328256	Gwen
810695	364612	Bit Part
810696	168387	
810697	404227	Ogin
810699	355837	
810700	215663	Presenter
810700	306619	Presenter
810700	331656	Lead
810700	379716	Gillian Andrassy Martin Laver
810700	387359	Bienke Naudé Hartman (1992-19
810700	394003	Host
810700	407031	Presenter
810700	407216	Leila
810701	16948	Soeur Marie-Josèphe
810701	169341	Mrs. Dumouchel (Mme Dumouchel
810702	410441	Tamara Bakboord (1993-1994)
810703	311923	Prison Extra
810704	43432	Maid Maria
810704	328396	
810704	403475	Juliana
810705	27107	Ingrid Joyner
810706	373764	
810707	320668	Varya, a roommate
810708	259805	
810710	30052	Tanya
810710	32859	Biche Seniel/Frezi Grant
810710	33735	
810710	40211	
810710	41699	The Milk
810710	47055	Vera
810710	60882	
810710	76159	Milady de Winter
810710	79474	
810710	84415	
810710	87850	Editor-in-chief
810710	88450	
810710	92082	Aleksandra Kollontai
810710	132149	
810710	202667	Svetlana
810710	218208	
810710	220696	
810710	223555	
810710	226000	
810710	242278	
810710	244252	
810710	259000	Katja
810710	261412	M. D. Tarkovskaya
810710	272522	
810710	278358	
810710	283682	
810710	306648	Diana
810710	334995	
810710	357413	
810710	373566	Sledovatelkata
810710	374430	
810710	374562	Mother/Natalya
810711	375681	Masha
810712	314573	
810713	180365	
810713	283829	Rena
810713	357472	
810714	234083	Matilda Bell
810715	341189	Princess Mariya
810716	236064	
810716	374734	
810717	357207	
810717	357208	
810718	34533	
810718	95683	
810718	198123	
810718	220696	
810718	230046	
810718	259044	
810718	294674	
810718	309439	
810718	338187	
810718	349269	
810718	357208	
810718	394785	
810718	394814	Zoya
810719	258424	Tsarevna Nesmeyana
810720	72391	Teen Lover
810721	161942	Host
810723	104888	
810724	107617	Make Out Girl
810725	49316	
810725	117781	
810725	286275	
810726	409691	Georgie Leland
810727	70493	
810727	278564	
810728	295478	Severa (literally, harsh woma
810728	350580	Dina
810729	308742	
810730	71142	
810731	383172	Heloísa
810731	386115	
810731	387201	
810731	398255	
810731	403032	Ana Lúcia
810731	407798	
810732	324448	Dancer: La cumparsita -2
810733	400580	Júlia
810734	119678	
810735	67642	Lenita
810735	67659	
810735	103901	Sueli
810735	131133	
810735	248046	Anita
810735	275028	
810735	282814	
810735	341157	
810735	402159	Helena
810735	404798	Jandira
810736	354987	
810738	204880	Herself
810739	84260	Mrs. Rogers
810739	205672	Marianna
810739	238320	
810739	253632	
810740	349076	
810741	388489	Vyshibala
810741	392551	
810742	33314	
810742	189425	
810743	130797	
810744	75031	
810744	240798	Lori
810744	305362	Mrs. Ferraro
810744	349851	Herself
810744	384590	Herself (first woman in space
810744	396898	Sabrina
810744	399350	Herself (eliminated round 2)
810745	383907	
810746	66222	
810746	402644	Conceição
810747	18962	Herself
810747	85598	
810747	94477	Cindy
810748	55236	
810748	70700	
810748	98740	
810748	112756	
810748	212139	
810748	220190	Angelita
810748	225980	
810748	258482	
810748	268854	
810748	327010	
810748	340358	
810750	90407	Woman in Bar
810751	175728	Sylvi
810751	236791	
810751	352169	Helvi, paronin tytär
810752	219181	Babysitter
810753	41544	Herself
810753	52303	Missy
810753	98803	
810753	264801	
810753	270779	Cindy Franks
810753	296914	
810753	307579	Amy
810753	363521	Jill Benson
810753	383385	Brenda Clegg (temporary repla
810754	406363	Weeping woman
810755	318132	Aunt
810755	324594	Vedova Puglisi
810756	126857	
810757	102835	Fanny
810758	135220	Herself - Interviewer
810758	179976	Herself - Co-host
810758	342244	Herself - Former Executive Ne
810758	409151	Herself - Reporter (1983)
810758	409168	Herself - Reporter
810759	382578	
810759	395872	Cristina
810759	408793	Mónica Alcalde
810759	410108	Katy Vigas
810760	41433	La femme
810760	112872	Woman with cops
810760	120431	Grâce
810760	185299	The woman
810760	267041	
810760	268311	La mère
810761	1252	
810761	310908	
810762	75977	Woman in Studio
810763	373213	Varvara
810764	64772	Dr. Katzone's Conquest
810764	286418	Wife
810764	327098	
810765	61959	Voice of Roy's Mom
810766	304393	Pige med hund
810767	90145	Ewa Szykulska/Donna Anna
810768	356	
810768	17101	
810768	165061	
810768	165069	Wife of Fisherman
810768	172903	Mother
810768	181345	Engel
810768	212293	Hana Kejrová
810768	231177	Mrs. Nejedlo
810768	247948	Neighbor
810768	258524	
810768	260392	
810768	263955	Danish Woman in Crowd
810768	294179	
810768	322673	
810768	342294	
810768	357636	Sedivá
810768	357647	
810768	377034	Radka
810768	380554	2nd Chambermaid
810768	383081	
810768	394266	
810768	399141	Mrs. Klobouk, mother
810768	400069	Jirina
810768	403621	Jirina, Rubesová
810768	411960	Jirinka
810768	412004	Nováková
810769	132641	
810769	135281	
810769	193351	Jemma
810769	200080	
810769	248784	
810769	248785	
810769	293370	
810770	37756	Exakte Statistik
810770	326192	
810771	380088	Miriam
810771	384781	
810771	390733	Marilyn
810771	397262	
810771	402754	Lucy
810771	405813	
810771	412123	
810772	486	Singer in Italian version 'Li
810772	97170	
810772	281076	La cantante
810773	235747	
810774	301798	Mama Luna
810775	251016	Sopraan
810776	70774	Restaurant Singer
810776	248349	
810777	146567	Pepa
810778	237414	
810779	182583	Guest at Crayfish Party
810780	80019	Neta Sobolev
810781	42183	Lilly
810781	83107	Evelyn Naumann
810781	115813	Virginia
810781	204466	Dr.Lisa v.Jennisch
810781	210077	
810781	248398	
810781	311090	Mechthild Wendt
810781	373343	Baronin
810782	97976	
810783	192678	Flight Attendant
810784	101610	Friend At The Party
810784	392089	Lina (2001)
810784	410280	Johanna (1998)
810784	410462	Stephanie (1999)
810785	245804	Agnes
810785	398251	Ada Amundsen
810786	32845	Greta Bonnier
810786	88826	Nora
810786	154501	Kristina
810786	191558	Girlfriend of Fredrik
810786	197142	Jenny Jeger
810786	198012	Pia Bergström
810786	246492	Louise Rakel
810786	248188	Märit
810786	248521	Ingrid
810786	270936	Young woman
810786	284057	Housemaid at Ribersvik
810786	304174	Len's Mother
810786	340245	Maja
810786	341026	Berit
810786	382452	Texas Ros
810786	392289	Linus' mother
810786	398251	Lilly Amundsen
810786	404027	Marie
810786	407124	Elisabeth
810787	49893	Herself (Taylorette)
810788	232584	Jenni
810789	336942	Young Toinette
810790	214996	Muscular Lady
810791	390093	
810792	397200	Voisine car
810793	216851	Papá Noel
810794	309064	
810795	258242	Burgermeester
810796	261745	Sasha Chikatilo
810797	211216	La femme X
810798	45477	Mrs. Baldwin
810799	396649	
810800	221298	Judy Miniver
810801	52744	
810802	5064	Bomb woman
810802	26955	Nurse
810802	58490	Gabrielle Guerrera
810802	66621	Partida
810802	116466	Shoe Store Owner's Wife
810802	223711	Walter's Secretary
810803	240058	
810804	137038	
810804	389858	Electra (1990)
810805	344197	Viperessa
810806	114014	Rebecca
810806	334804	Merchant's Daughter
810807	342469	Miss Wellington
810808	301335	
810808	385947	
810809	361238	Ice Cream Store Owner
810810	24137	Bartender
810810	65577	Nikki
810810	68085	Dancer
810810	114039	Screen Saver Stripper
810810	116762	Pizza Slut
810810	187988	Leprechaun's girl
810810	217421	Nurse
810810	245014	Vampire #1
810810	335258	Girl in Michael's Dream
810810	375113	Dancer #3
810811	46981	Markham Girl #2
810812	173613	Advocate's sister (segment "G
810813	68436	
810813	202576	Moglie Dott. Cusimano
810813	313182	Rosalia's mother
810813	316443	
810814	10484	
810814	23377	
810814	53647	
810814	216776	Ana
810814	340413	
810814	379853	
810814	380108	
810814	385057	Angélica Brusco
810814	385402	Silvia Lagos
810814	386794	
810814	387688	
810814	389780	Mónica
810814	392030	Teresa Riera
810814	395477	
810814	398526	María Gimena
810814	399764	Angelina
810814	401250	María
810814	404704	Ana Clara
810814	404994	Mariana
810814	408895	Silvia
810814	410423	
810815	388263	Herself/Teacher
810816	215029	Farmaceutica
810817	166069	Herself
810818	399570	
810819	215507	Hayley Downes, Miss New Mexic
810820	193008	
810820	399570	
810821	1179	Reportera
810822	188903	
810823	220608	Sandra
810823	269123	Carlotta
810823	338725	Anna
810824	146926	Charlotte
810825	380049	Esther
810826	178693	Jane
810827	343935	Herself
810828	2445	Herself (School Teacher)
810829	246479	
810830	16759	Angel Helen
810831	136824	Josephine Corcoran
810832	52043	Cinderella
810832	126067	Chorine
810832	195071	Dancer
810832	215748	Hostess
810833	220206	Herself
810833	220208	Herself
810835	390536	Tulie
810835	394431	Kaede, Additional Voices
810835	399784	Marennes (Voice:English Versi
810835	402790	Laila/Various (Voice: English
810836	48591	The Girl
810836	231975	
810836	330158	Marge
810837	10060	Theresa
810838	71149	
810838	235327	Moglie di Andrei
810838	262480	
810839	282416	
810840	5066	Monarch Cheerleader
810841	266411	
810842	8216	Philip's Secretary
810843	169139	Gogo Dancer
810844	9125	Mrs. Linda Oveur
810844	35704	
810844	226937	Wheelchair Assault Witness
810844	232447	Decorator
810845	116975	Mrs. Debenham
810846	18235	Angel of Death
810846	136278	Rattlesnake's Girl
810846	147882	Herself
810846	263392	Herself
810847	130296	Painted Lady
810849	217099	Caterinetta
810850	10524	
810850	52087	
810850	126314	
810850	126315	
810850	188655	
810850	198903	
810850	199585	
810850	205149	Cleopatra
810850	211798	
810850	242920	
810850	265055	
810850	289142	Yama
810850	291546	
810850	317717	
810850	332910	
810850	344610	
810851	128700	Maria
810851	146929	
810852	317771	Genesee
810853	28464	Marion
810854	292594	Model
810855	407693	Host
810856	190435	Frances Farrell
810857	61788	Young Denise
810858	273910	Neighbor
810859	348138	
810860	358146	Ginny (Continuity)
810861	18589	Anne Wood
810861	77195	Mrs. Stringer
810861	262613	Mrs. Sexton
810861	282439	Emily Cotton
810861	380344	Masha
810861	381685	Mrs. Weston
810861	385646	Julia Caxton, receptionist (1
810861	387993	Joyce
810861	400516	Mrs. Merriman
810861	406441	Grace Barras
810862	67544	Herself - Band Vocalist
810863	52823	Adele Randall
810863	206428	Mary Lou Hopkins/Mitzi Hofman
810863	300065	Magnolia Hawks (silent home m
810864	23206	Alice Rool
810864	40593	Lady Villiers
810864	79573	Ada Ingot
810864	118324	Lady Willoughby
810864	129226	Lady Belton
810864	162344	Kitty, Duchess of Wellington
810864	184433	Mrs. Whiteford
810864	203298	Old Grace
810864	207229	Actress
810864	282607	Wife
810864	291482	
810864	367575	
810865	61962	Fern's daughter
810865	267594	Millie Dexter
810866	396826	Nurse
810867	27279	Dog
810867	29942	Dog
810867	46987	Rags, the Dog
810867	48539	Dog
810867	52676	Dog
810867	78762	Dog
810867	122052	Dog
810867	126063	Dog
810867	163373	Herself
810867	202836	
810867	219225	
810867	273225	Dog
810867	342520	Dog
810867	367073	Toto
810868	83960	Cindy
810869	10975	Extra
810869	18572	Ellen Linden
810869	19515	Mary Hilbert
810869	26647	Penelope Winthrop
810869	30292	
810869	44889	Anita Thomas
810869	46889	
810869	65044	Extra (Various, from a peasan
810869	69407	Frederika/The Queen
810869	69661	Eugenie Grandet
810869	70805	Daisy
810869	79884	
810869	118313	Marguerite Lurier
810869	124084	Domini Enfilden
810869	133564	Ruth Jordan
810869	141479	Dora Woodberry
810869	195498	Elsie Strong
810869	196173	Charlotte Bernier
810869	196478	Felicia
810869	200359	Margaret Dauncey
810869	205369	Freya Talberg
810869	235461	Ruth Tyler
810869	239841	Saleslady
810869	264483	Princess Flavia
810869	285007	Joan Freeman
810869	289503	Aline de Kercadiou, Quintin's
810869	299806	Extra
810869	303301	
810869	308541	
810869	316883	
810869	330374	Jocelyn Miller
810869	333078	
810869	339741	
810869	341965	Elsie Tillinger
810869	350016	Mrs. Cardigan
810869	363429	Matilda Spener
810869	365506	Marjory Howe
810870	38006	
810871	124374	Girl
810872	316102	Adrian Flowers
810873	29150	Herself
810874	121800	Girl
810875	408489	Toni Twin
810876	408489	Toni Twin
810877	20625	Extra
810877	33589	Beef Trust Girl
810878	366974	Mother in station
810879	42883	May Tanner
810879	51990	Kitchen Guard
810879	89627	Carol Pierce (Doll Squad memb
810880	128347	Herself/Stacy's Best Friend
810881	249155	Catherine Irving
810882	308052	Kendel
810882	390073	Comedian
810883	233564	Sarah
810884	333375	Coed #3
810885	233868	
810886	292025	Gas Station attendent
810888	288943	Female Rebel
810888	303267	Serving Girl
810889	42938	Buda, the Nurse
810889	82904	Eileen O'Connor
810889	143176	Julia Lovelace
810889	161735	
810889	255862	Widow Bernick
810889	261694	Lady Merrall
810889	353524	Widow Weaver
810890	18816	The Girl
810890	20884	Sonia
810890	44950	Helen Talbot
810890	46394	Lucia Deeping
810890	53624	Mrs. Martin
810890	55792	Cleo Clark
810890	69420	Mrs. Livingston
810890	73892	Grac St. Clair
810890	89631	Mrs. Linden
810890	95106	
810890	109535	Edith Medcroft
810890	116664	Nancy Horner
810890	124263	Lilly Allen
810890	130413	Mrs. Roberta Keap
810890	136949	Mary Chartres
810890	139017	Mrs. Sarah Morton
810890	140516	Marina
810890	161542	Favorite of the Harem/Dancer/
810890	171132	Lady Roxenham
810890	176251	Nellie
810890	196142	Queen Zita
810890	216937	Mazie
810890	224785	Mathilde Strangerson
810890	235199	
810890	237674	Constance Hastings
810890	237788	Mrs. Carrie Rutledge
810890	239796	
810890	251827	Ethel Chichester
810890	252126	Rose
810890	254644	Angelica Wenworth
810890	292564	Madelene Walderstricker
810890	293787	Corrie Godwin
810890	297703	
810890	297769	Jean Hurst
810890	301260	Berenice
810890	304026	Mrs. Skinner
810890	305906	
810890	317220	Marjorie Caldwell
810890	320321	Helen Warren
810890	331199	Beatrice Crittenden
810890	335664	Myra Dalton
810890	338542	Susan Morton
810890	346184	Princess Corona
810890	347341	Mrs. Freddie Goodlittle
810890	351721	Undetermined Role
810890	362209	Violet Williamson
810890	362447	Claire Howard
810890	363937	
810890	364685	Mary Talbot
810890	365187	Calamity Jane
810891	20251	Ida
810891	194450	Ardis Trevelyn
810892	7035	
810892	131005	'Gorgeous' Goldwyn Girl
810893	386704	Gabrielle King
810893	386705	
810894	291287	Nadia
810895	259779	Pollyanna
810895	335782	Stutter Fairy
810895	381968	Beth
810895	411183	Julia Shawcross
810896	115328	
810896	176739	Mrs. Rachel Crossley
810896	206374	Cleonie
810896	215811	Hermione Blakiston
810896	244815	Pamela Brent
810896	294909	Woman in Bedroom
810896	299544	Mary Chester
810896	321177	Rose
810897	44833	Dancer
810898	77638	
810898	290430	
810899	14269	
810899	16110	
810899	40256	
810899	141381	Mrs. Merry
810900	31953	Helen Tracy
810900	227012	Margie
810900	229100	Jan Groves
810900	306102	The Princess
810901	92959	Working Girl
810901	157870	Bit
810901	330768	
810902	66852	Dorothy Carter
810902	165442	Adele (Mr. Rochester's ward)
810904	237618	Operator Next To Kenny
810905	197922	Shelly
810906	15852	Mrs. Gold
810906	92618	Dr. T's Patient
810906	104999	Flight Attendant
810906	117689	
810906	211169	
810906	283739	Mrs. Blume
810906	292247	Woman Teller
810906	305223	Kim Brady
810906	331111	
810906	389858	Rita Jones Lloyd (1990)
810907	340109	Lesbian
810908	66795	Nurse #3
810908	114672	Woman in Car
810910	204576	Foreign Correspondent
810911	80034	
810911	130341	Nightclub entertainer
810912	97352	Luella
810912	372217	Tamara
810912	385961	Shane Hunter
810912	394845	Sloane
810912	396616	Lisa Jones (1999-2000)
810912	409697	Winnie Barnes
810913	232442	Mrs. Thornwell
810914	29099	Ma Olsen
810914	39830	Mrs. Adams
810914	61765	Mrs. Burke/Mrs. West
810914	162426	Mrs. Coyt
810914	178020	Elderly Lady
810914	220014	
810914	303265	Mrs. Hooley
810914	380390	Claudia Schmidt (1984)
810915	316102	Child
810916	398593	Dancer
810916	401045	Specialty dancer (1953-1954)
810917	278315	Kathleen
810918	227699	Policewoman
810919	385721	Maid
810920	12286	Handmaiden
810920	215862	
810921	170875	Attorney
810922	9032	Blondie
810922	33739	Alice
810922	39341	Cultist
810922	73746	Toots
810923	359406	Daphne
810924	20152	
810925	19024	Soloist Choir Director
810926	7492	Bonnie Forbes
810926	10348	Ruby
810926	16674	Valerie Blayne
810926	19159	Edith Meredith
810926	41086	Lovey Nelson, the Singer
810926	52476	Katherine 'Kit' Carson
810926	60189	Therese
810926	131806	Caryl Martin
810926	138138	Davey's Mom
810926	138223	Kim Adams
810926	141311	Mary Lou Popen
810926	147413	Edie
810926	150575	Craig's Receptionist
810926	150745	Daughter
810926	160943	Specialty Song
810926	165245	Ruth Cartwright
810926	184094	Susan
810926	195368	Specialty
810926	203039	Laramie Winters
810926	223783	Lola
810926	224665	Jan Cornell
810926	230675	Carolyn's Mother
810926	256761	Vicki Norris/Sally Benson
810926	281392	Lois Rogers
810926	302644	Irene
810926	302646	Virginia Blake
810926	304876	Sugar Caston
810926	304962	Ann Seymour
810926	305763	Sue Greeley
810926	314473	Lola Forrest
810926	327218	Carol Lambert
810926	331451	Hallie Scott
810926	365087	Carol (secretary)
810926	372927	Patty Flynn/Betty Reilly
810927	310572	
810928	188	Clara Moore
810928	1651	Billie 'Babe' Saunders, Bud's
810928	30449	Ann Dawson
810928	36973	Lorna St. Clair
810928	70212	Mrs. Kent
810928	73714	Hat Check Girl
810928	122058	Claire Johnson
810928	128566	Phyllis Rodgers
810928	129869	Jane Kent
810928	140095	Janet Carter
810928	146762	Rita's friend in the cantina
810928	151097	Dolly, a Sextet Girl
810928	153998	Allen's Secretary
810928	154140	Rita Avery
810928	167275	The Blonde (Decoy)
810928	186403	Ruby
810928	186452	Flo
810928	199310	Mrs. Pinkerton
810928	207680	Blonde
810928	208696	Blonde with Mike
810928	222715	Violet Feverel
810928	248316	Weber's Secretary
810928	264645	Mrs. Wright
810928	276178	Rose
810928	280297	Nan Street
810928	289580	Marjorie Murphy
810928	289636	Marjorie Murphy
810928	291242	Edith Bentley
810928	301826	Paula Nyberg
810928	306741	Sonia
810928	306796	Lucy Prouty
810928	308336	Genevieve
810928	310602	Judy Taylor
810928	310965	Jerry Crane
810928	323476	
810928	330129	Telephone Operator
810928	331553	Naomi, Kirkwood's Secretary
810928	342712	Miss Edwards (Norton's secret
810928	360838	Connie
810928	363031	Dolly
810928	372247	Cora
810929	116499	Chorus
810929	308489	Herself
810929	401514	Psyco Analist
810930	267174	Waitress of the Gas Station
810931	52715	Josefina
810932	84866	Robbo
810932	202467	Jean
810932	274435	Dr. Rose Edwards
810932	393335	Shirl Hennessey
810933	6259	Summer
810933	121522	Connie Hecht
810933	263057	Arlene Levin
810933	341928	Woman #2
810933	387152	Joanna Clauss/Sills (1988-198
810934	7847	Laura
810934	56468	Marquise
810934	87709	Lady Melbury
810934	100581	Herself
810934	124737	
810934	165221	Sir Humphrey's friend
810934	187189	Carol Appler
810934	191505	Christa
810934	195857	Lady Shelford
810934	228434	Julie
810934	284908	Mrs. Stevenson
810934	289614	Countess de Tournay
810934	296847	Sandra McLennan
810934	299267	Mrs. Prior
810934	305602	Mrs. Worthing
810934	312334	Mrs. Stedman
810934	315122	Aunt Helen
810934	330139	Lady Loxfield
810934	330499	
810935	152646	Herself
810935	215485	Herself
810935	215486	Herself
810935	215488	Jurylid
810935	386352	Herself
810935	387377	Receptioniste
810935	407173	Herself (2003-)
810936	12011	Lydia Stille
810936	28094	Cleopatra
810936	117691	Eli Laupstad
810936	120068	Dorimène
810936	124027	Gun Liljedahl
810936	147012	
810936	153766	Viveka Ek
810936	179707	Sara, waitress
810936	187652	Mother
810936	215467	Eva
810936	259425	
810936	304211	First bridesmaid
810936	305874	dubbed actress Isabella Kalif
810936	307765	Sara
810936	320623	Postchef
810936	322438	
810936	338678	
810936	341093	Jenny Iverson
810936	385549	Gun
810936	386183	
810936	399878	
810936	400745	
810936	403084	Maria di Arienzo (1998)
810936	408798	Anna Allujeva, ballet dancer
810936	409853	Bengt's doctor
810937	90680	Graduato di polizia
810938	271198	Little Girl with Bird
810939	160072	Lisinga (Le Cinesi)
810943	324483	Woman in Dressing Room
810944	371844	Woman at Seibei's house
810945	301783	Narrator
810946	172119	
810947	372034	
810948	40863	Barbara Jensen
810948	125222	
810948	171567	Gretl Aiblinger
810948	282199	Theres
810948	353070	
810949	189690	
810950	394230	Herself - the host (2002)
810951	35894	
810952	14834	Prima ragazza ristorante
810953	156038	
810954	104102	Herself
810955	42116	Frau Keller
810955	105532	Henriette Thomas
810955	107974	
810955	119291	Tante Mathilde
810955	142021	
810955	183245	
810955	256509	
810955	262954	Mrs. Helder
810955	290623	
810955	326052	
810955	347559	Frau v. Harrach
810956	356418	
810957	57568	
810958	338602	
810959	212084	Mime
810960	64750	Sidewalk Woman #07
810961	188007	Knarik
810962	251926	
810962	373599	
810963	186138	
810964	281655	
810964	290770	
810965	220695	
810966	400148	Gözde
810967	104776	Greek entry (3rd place)
810968	41184	Zombie Model
810968	56545	Herself
810968	381091	Herself (eliminated round 4) 
810969	4694	Adella
810969	13805	Sophie
810969	29757	Lila
810969	41292	Laurie, Whore
810969	44498	Assistant
810969	80854	Lonnie
810969	85186	Woman at Dance Club
810969	97192	Kathy
810969	103180	Millerna
810969	122665	Jinx
810969	141655	Michelle
810969	145013	Lisa Bell
810969	148302	Gina
810969	154308	Shelly the Waitress
810969	156970	Spanish Woman's Daughter: Rub
810969	161472	Adrian
810969	161706	Ruri
810969	163188	Cyndi
810969	176540	Jaqueline Simone
810969	186131	Soap Opera Woman #1
810969	203591	Meg MacDonald
810969	234200	Cleo
810969	244447	Patti
810969	265578	Biiko Daitokuji (B-ko) (Engli
810969	265579	B-Ko Daitokuji
810969	265580	B-Ko Daitokuji
810969	265581	B-Ko Daitokuji
810969	265582	B-Ko Daitokuji
810969	272209	Ranma Saotome (female)
810969	272213	Ranma (Girl)
810969	272214	Ranma (Girl)
810969	308004	
810969	334177	Stacey
810969	357065	Theresa Fernandez
810969	359567	Barbarotious
810969	369693	Siu Deep
810969	371971	Naria
810969	379337	Additional Voices
810969	381475	Black Arachnia
810969	381477	Blackarachnia
810969	383410	Princess Lana
810969	383411	Princess Lana
810969	383412	Princess Lana
810969	385726	Mariko
810969	387260	Detective Aimie
810969	387775	Princess Milerna
810969	389523	Additional Voices
810969	391460	Hanna/Julie Woods/Ruth
810969	392064	
810969	393216	Didi Olivia (1993- )
810969	394463	
810969	394550	Lt. Yoshiko Fujishima
810969	395762	
810969	396619	Malifica
810969	397054	Sofia
810969	398718	
810969	399205	Critta/Mara/The Sorceress
810969	401702	Cuddles
810969	402863	Ranma Saotome (female) (#2)
810969	404062	Tiger
810969	405609	Lazerette
810969	406012	Olivia Carlisle
810969	410402	Miranda Ortiz
810969	411569	Jean Grey
810970	8802	
810970	57309	
810970	77228	
810971	237717	Griechin
810972	99109	Crisotemide
810973	263830	Priscila Luna Guerra
810973	292708	
810973	379461	
810973	379820	Odette Fuentes Cano Rivera Hi
810973	381904	Herself (7th Evicted 2002)
810973	384980	Emma Martínez
810973	385873	Mireya
810973	397594	Déborah
810973	402152	Priscila Luna Guerra
810973	408855	Brenda (1999, 2000)
810973	409017	Barbara
810974	251015	
810975	158462	Sor Anuncion
810975	266845	
810975	380088	Mónica Peralta
810975	387552	
810975	409779	María José
810976	375499	Locutor
810977	251015	
810978	378416	
810979	55592	
810980	67880	Jan Cousins
810981	45456	Laura
810982	325403	
810982	325738	Wirtin
810982	325741	Stubenmaedchen b. Homann
810984	156985	
810985	174470	Lída
810985	213847	Boltonová
810985	237542	
810985	237747	
810985	262372	Klára
810985	304659	
810985	314334	Karasová
810986	277110	Chelita
810987	407080	Herself (15 Days, Drake Tribe
810988	21531	Annie
810988	69917	Nurse #1
810988	80483	OR Nurse
810988	110314	Louise
810988	139788	Girl Reporter
810988	223636	Susie Westover
810988	241058	Dental Nurse
810988	275880	911 Operator
810988	292472	Woman in Bed
810988	320319	Gary's wife
810988	321405	Mary Nevins
810988	323428	
810988	359790	Owen's Mom
810988	368997	Reporter #4
810988	379197	Additional Voices
810989	134841	Ines
810990	65368	Claudia
810991	248875	Irene
810991	337379	Shirley Louise
810992	280054	May
810993	39944	
810993	82114	Heather
810993	140951	
810993	234572	Joan LaFontaine
810993	402009	Emily
810994	89572	Young girl living nearby
810995	195801	Herself
810996	226518	Nadja
810997	357984	
810998	42047	Siri (13 years old)
810998	123961	Friederike
810998	223334	Paula
810999	391558	Holly
811000	391558	Molly
811001	5575	
811001	73973	
811001	273905	
811001	346546	Prostitée
811001	386188	
811002	230097	
811002	238806	
811002	386407	Jelena Markovic
811002	386526	
811002	395457	
811002	395833	Leonora
811002	401991	Trsiceva cerka
811003	358071	Mona Speckla
811004	180358	
811006	13307	
811007	10570	
811007	28232	
811007	48839	
811007	74156	
811007	99484	
811007	115828	
811007	124584	
811007	143693	
811007	167136	
811007	206741	Grocer Woman
811007	219660	
811007	229425	
811007	234430	
811007	234796	
811007	272794	
811007	275869	
811007	289080	
811007	307725	
811007	307832	
811007	378018	
811007	399764	Piedad
811007	403683	Magdalena
811008	292474	Lady in Car
811009	342098	
811010	2816	Nominee for Best Original Sco
811011	105445	Jenny
811012	68067	
811012	106526	Mai
811013	11253	
811013	46410	Rob's Date
811013	64516	Crissy
811013	64557	Herself
811013	64559	Performer
811013	186447	Ms. Himes, Prosecutor
811013	253348	Charlotte Grant
811013	278526	Catherine Winicott
811013	303902	Tiana
811013	360726	Mindy Lewis
811013	390771	Mindy Lewis #1 (1983-1989, 20
811013	400236	Tina Clayton Lord Roberts Rob
811013	404282	Andie Klein (1992-1993)
811014	411138	Herself/Guest Host
811015	125494	
811015	232847	Grace Caper
811015	250817	Vimala
811015	319461	Model
811015	363668	Tessa (Miss Nude World 1982/8
811015	400341	Herself (2002-2003)
811016	382691	
811017	128572	Martha
811018	45639	Street Band
811019	182309	Småprinsesse #3
811020	182309	Småprinsesse #2
811021	103929	
811022	120880	Bilyana
811023	225205	
811024	109079	
811024	217760	
811025	89855	
811025	96542	
811025	104002	
811025	111517	
811025	121338	Avv, Vignoni's Wife
811025	254621	Gisela Sulzer
811025	386748	
811026	12080	
811027	236445	
811028	81152	Reporter
811029	200843	Maicol
811030	272614	The railway girl
811031	26953	
811032	301553	Technicien
811033	114699	Debbie
811034	26256	Girl Tourist
811034	81973	Franny (Age 12)
811034	88087	Mary Ryan
811034	273316	Samantha Kershaw
811035	375108	Marie-Hélène
811036	82709	Ruth
811036	121905	
811036	127605	Edua
811036	155744	
811036	188594	
811036	272365	
811036	295172	
811036	307460	
811037	102945	Jeune Assassin
811038	38611	Cheryl
811039	5279	Hélène Ferney
811039	59774	La capitaine Anderson
811039	66075	Hotel Doctor
811039	83391	La directrice
811039	94732	
811039	96203	
811039	99805	Sabine Guéret
811039	101194	
811039	119751	Mme Olympe, mère de Nini
811039	133093	Mother
811039	134380	La propriétaire
811039	171346	
811039	171594	
811039	191555	Madame Porey-Cave
811039	197063	Julie Farnese
811039	199301	Emma Bovary
811039	199441	
811039	200935	La comtesse de Saint-Fiacre
811039	225489	
811039	229495	Mme Irma
811039	231147	Simone de Tainchebraye
811039	235710	Aloyse de Gondelaurier
811039	265216	Mère Marie de Gonzague
811039	279065	Grandma
811039	345112	Customer
811039	377749	Eglantine
811039	377791	Mme. Irma
811040	85988	Terenzia
811041	196714	
811043	94708	
811044	335638	Co-ed
811045	62866	Pensive Rock Chick
811045	306428	Casey
811046	236867	
811047	37943	Rita
811048	154738	Leona
811049	119157	
811050	104016	
811051	240263	Teresa
811052	298129	Poodle
811053	80139	Sra. Sacristia
811054	374259	Soraya
811054	397857	Isaure
811055	22865	Jennie Coles
811055	47385	Herself
811055	47386	
811055	50227	Receptionist
811055	52005	Celia Sanchez
811055	130350	Teller
811055	179420	Carmen Guzman
811055	191512	Herself
811055	245265	Dominatrix
811055	304765	Nun
811055	313141	Joanne
811055	335530	Sister Clare
811055	340738	Janey
811055	342744	Housewife
811055	366998	Roseanne
811055	385120	Shirley the Medium
811056	43768	
811056	294258	Sara
811057	396781	
811057	397589	Aurora
811057	406050	Alicia
811058	240263	Olevano
811059	20625	Extra
811059	39536	Signora Di Palma
811059	151041	Bit Role
811060	385930	Claire Easterbrook
811060	392445	Virginia
811060	397009	Casilda
811061	379240	La femme de Démétrios
811062	51254	
811063	11934	
811064	196902	Accordianist in the Bands & t
811064	395091	Lesbian #1
811065	395091	Marian Bellamy
811066	125767	Herself
811067	55370	Maid
811068	5898	Herself (bande-annonce seulem
811068	8931	Virginia
811068	54652	Ariane
811068	57230	Léa
811068	57532	Mathilde
811068	58752	Azalaïs
811068	63663	Isabelle
811068	71877	La jeune fille
811068	82580	Charlotte
811068	96063	Claude
811068	96142	Lili
811068	110142	Laurence
811068	111143	Virginie
811068	112891	Tina
811068	114969	Esther
811068	129663	Das Mädchen
811068	157712	Valeska
811068	166126	Ariel
811068	166435	Sophie
811068	166763	Lara
811068	170441	Julia
811068	174166	Béa
811068	188681	Virginie
811068	196287	
811068	196811	
811068	205784	Marie
811068	206969	
811068	215252	Young Nun
811068	220213	Nadèjda
811068	231579	Laurence
811068	255590	
811068	258316	Sylvie
811068	268540	Laurence
811068	285150	Renée de Sade
811068	291584	(segment "Lucie")
811068	294356	Julia
811068	294815	
811068	317539	Amélie
811068	324509	Alice/Paula
811068	336993	Prune
811068	345312	Herself
811068	345371	L'institutrice
811068	353428	Victoire
811068	354939	
811068	355972	Myriam
811068	377919	Nathalie
811069	89480	
811070	322122	
811071	306100	Girl
811072	335431	Nenu the Girl
811073	20135	Las Vegas Lady (segment "Lieb
811074	205967	Marion
811075	93592	
811075	404577	Prostitute
811076	210367	Dazy
811077	387741	Tanya van Hoeve
811077	389841	
811077	390410	Frida (1999)
811077	394285	Anne Heistee (1997-2003)
811078	230043	
811079	131232	Miss James
811080	342390	Sara
811081	359063	Angelo and Paulie's mother
811082	314520	
811082	398999	Nurse Franja
811083	40321	Muriel Atkins
811084	87006	Waitress #2
811084	154034	Genesis
811084	255334	Brenda
811084	297102	Agitated Girl
811085	301685	Timi
811086	243494	
811086	334046	Tekle
811087	366687	Redhead Dancer
811088	337900	Herself
811089	137213	Tinky
811089	252825	Staff Member
811090	382648	Yuu Asami
811091	337003	Jennifer
811091	383112	
811092	31228	
811092	227563	
811092	238341	
811092	344576	Jone
811093	94766	Helen Langford
811093	112745	Pamela Marshall
811093	142349	Judie Nordhal
811093	169593	Beverly Karter
811093	248413	Judy Flaquer
811093	274072	Pandora (segment "Meet Mr. Jo
811093	331524	Queen Anne
811094	187526	
811094	189665	
811094	290521	
811094	290839	Bettina
811095	229428	Reporter
811096	11979	Mädchen bei Gaby
811096	24346	
811096	35198	
811096	93434	
811096	105527	Schloßherrin
811096	119220	
811096	120932	
811096	147268	
811096	175292	
811096	179993	Aunt Estella
811096	180153	
811096	180198	Fr. Zangenberg
811096	189590	
811096	189617	
811096	193287	
811096	199343	Mutter Marcels
811096	293243	
811096	293528	Madame Andersson
811096	293561	
811096	294691	Die Vermieterin
811096	307602	
811096	317665	Frau Vigeland
811096	322525	
811096	345013	
811096	345893	
811097	318337	Extra
811098	255009	Te Kukuni
811099	28547	Maruja
811099	127444	
811099	162049	Nun Maria
811099	168964	
811099	175519	Mona
811099	266775	Elke Winter
811099	288498	Woman in lift
811099	290460	
811099	311102	
811099	359503	Billi, Maskenbildnerin
811100	353523	Violin
811101	143824	Child in Hospital
811102	199954	Maeva
811103	384976	Avatea
811104	330757	Passenger
811105	406269	
811106	249388	
811106	269499	
811107	242259	
811109	195837	Debbie
811110	14171	Herself
811111	33526	Woman selling bont
811111	178555	Juffrouw van Dalen
811111	222754	Mrs. Weber
811111	302964	Dr. Brein
811111	302965	Dr. Brein
811111	354088	Verpleegster
811111	400217	Bettina Wertheimer (1994-)
811112	144708	Nainen hiekkakuopalla
811112	172141	Pasi's Sister-in-law
811112	175734	
811112	197362	
811113	7405	Girl in Candy Shop
811113	26610	Miss Winters, Client
811113	32992	Jones' Secretary
811113	37351	Drugstore Counter Girl, (uncr
811113	67807	Dumb Salesgirl
811113	115630	
811113	115632	
811113	116174	
811113	119507	
811113	128199	Baby talker
811113	132793	Helene
811113	146781	Beauty Contest Winner
811113	152837	
811113	195764	Tessie
811113	196099	Myrtle Johnson
811113	212746	Mary Jane
811113	214134	
811113	214166	Mabel
811113	224812	Bride
811113	241060	Florabel Leigh
811113	255236	
811113	290335	Blonde student with high voic
811113	292642	Manicurist
811113	297877	Miss Barton
811113	302639	Tessie
811113	314943	
811113	321101	Sally Foster
811113	326133	
811113	331469	Woman at Autograph Session
811113	342466	Mrs. Hardy
811113	365096	Carol
811113	367073	Munchkin
811114	341221	Qetevani
811115	236083	Baby
811116	11121	Beach Comber
811116	245103	Businesswoman
811116	306223	Pedestrian
811117	344381	
811118	75802	Prather
811119	332723	Jenny
811120	170843	Mrs. Logan
811120	359425	Woman in the Crowd
811121	11678	Herself (for "The Love Boat")
811121	23441	Hostess
811121	53041	Mrs. Scott
811121	62032	
811121	77145	Jessie Mathews
811121	90855	TV Anchorwoman
811121	106617	Jane Harris
811121	140155	
811121	163208	Carolee Minter
811121	195485	Herself
811121	200181	Mom
811121	230710	Julie McCoy
811121	236135	Julie The Newscaster
811121	369426	Joan Truitt
811121	389487	Linda Westerschulte
811121	396062	Cruise Director Julie McCoy (
811122	92554	
811123	6389	La mère
811123	21731	Bahia
811123	76909	
811123	162734	
811124	32462	
811124	173865	Samara
811125	245920	Secretary
811126	96975	Herself
811126	203727	Woman in Elevator
811126	253915	Ostrich
811126	257689	Herself
811126	330338	Lady In Train Station
811126	386414	Herself
811126	402245	Ostrich
811127	183899	
811128	66787	Yvonne
811128	122779	
811128	139603	
811128	150748	Nun
811128	281341	Herself
811128	316057	Miss Hoskins
811128	340604	
811128	346940	Herself
811128	365937	Miss Leuchars
811128	384394	Jane Travers
811128	384966	Sgt. Penny Pringle
811128	391061	Mildred Bates
811128	391618	Mildred Bates
811128	393129	(1973)
811128	394283	Elizabeth Hawksworth Warden
811128	399530	Penelope Marshall
811128	399963	Dorothy
811128	403890	Mrs. Thorpe
811128	405107	Mrs. Hawkins
811128	405925	Miss McDowdie
811128	409240	Regular Performer
811128	411330	Mabel Potts
811129	2837	Maria
811129	27928	Tika
811129	68173	Chrissy
811129	72677	Lupa
811129	73900	
811129	120478	Bar Dancer
811129	129439	Roxanne
811129	142405	
811129	236873	Rosa Hernandez
811129	251011	Ruby/Voice of Lupe
811129	254785	Asia
811129	283420	Lupe
811129	296785	Conchita Perez
811129	310462	Jackie Black
811129	330594	Dorrie
811129	330610	Natasha's Roomate
811129	347327	Lola
811129	361251	Stephanie
811129	396614	Casey (1996)
811129	408036	Maritza Cruz (2002-)
811130	178096	Blonde
811131	115927	
811132	154781	Girl at Lake
811132	311448	Denise
811133	82711	
811134	349007	
811135	30418	
811136	345406	
811136	409462	Marjorie
811137	100016	Anna-Maria
811137	249038	Marie Chaton
811137	386222	
811137	396367	
811137	396979	Martine Verdier
811138	412266	Femme pédalos
811139	346578	Arlette
811141	16893	Astrid
811141	283457	Rikki
811141	350463	Nude motorcycle rider
811142	105280	The Helen Miles Singers
811142	393424	Additonal voices/Backup singe
811143	135219	Miss Tobiasson
811143	154565	Snål-Mor
811143	159635	Woman at Henriksson's
811143	289783	Janitor
811143	377434	Kristin
811144	77406	Olympe
811144	198265	Miss Boman
811144	315039	Lisa Eriksson
811144	315365	Doctor's Wife
811145	197885	Emilia
811146	52953	
811146	239279	Consuelo
811146	384781	
811147	36641	
811147	61423	
811147	88043	Martine
811147	111709	
811147	120431	Béatrice
811147	123444	Julie
811147	147776	Adrienne
811147	244033	La Bretonne
811147	278146	La jeune réalisatrice
811147	309752	In charge of luxury store
811147	336985	Suzanne
811147	351788	La ttagiaire
811147	357124	Catherine
811147	377044	Lili
811148	65639	
811148	86052	
811148	243050	
811149	11934	
811149	32281	Odette Duclos
811149	43423	La secrétaire de Beaufort
811149	58752	Mother superior
811149	72387	Sophie
811149	101156	Rose
811149	125370	La mère
811149	345461	L'amie de Corinne
811149	356521	La substitut stagiaire
811150	18274	Ismène
811150	161998	Une journaliste
811150	278709	La jeune mère
811150	280561	
811150	340132	Le rat d'hôtel
811150	404127	Additional Voices
811151	15072	Marlene
811151	55016	Frédérique
811151	68380	Isabelle
811151	69938	Jeanne
811151	154736	La jeune femme dans le bureau
811151	268822	la Loubarde Juliette
811151	357863	Véronique Prévost
811151	387848	Bernadette
811151	397136	Micheline Maupas
811151	399753	Julie (1988-1990)
811151	410475	
811152	196233	Sophie
811152	320453	Pregnant Wife
811153	63978	
811153	201401	
811154	182881	
811155	5704	
811155	25993	
811155	140619	
811155	180227	
811155	240540	
811156	356022	Leman
811157	22079	
811157	124205	
811157	136694	
811157	140704	Hazreti Ayse
811157	163096	
811157	172659	
811157	177879	
811157	200807	
811157	295263	
811157	370794	
811157	371400	
811158	25993	
811159	124914	
811160	246425	
811161	373573	
811162	298966	Girl
811162	299262	Akira Kazama
811162	379014	Karen Collins
811162	381166	Jony
811162	394973	Yukari
811162	404879	Reika Yamamoto
811162	409817	Yukari Kashima
811163	3938	Chika Sugimoto
811163	58352	Yoshiko, the Mother
811163	163011	Hiroko Nomura
811163	170455	Yasuko
811163	277293	Setsuko Ozaki
811163	404269	
811164	181983	
811164	233113	
811164	233115	
811166	308273	
811167	290437	
811168	162733	Dancer
811169	17848	
811169	408922	Michèle
811170	79938	Officer Hyland's Wife
811170	178175	Nurse
811170	257696	Stripper #1
811170	276406	
811170	314104	Dancer
811171	265102	Nurse Kiki
811172	98166	
811173	151540	Tiffany
811174	105307	Lucy
811175	314501	Wedding Guest
811177	344524	Herself
811178	289074	Veronica
811178	326491	Mai Lin
811179	160993	
811179	292477	
811179	326677	
811179	332851	
811180	72361	
811180	203989	
811181	192680	Herself (Student at School of
811183	115716	Mara
811183	232317	Penny
811183	308396	Sylvia/Tour Guide
811185	63954	Une infirmière
811186	285159	
811187	85276	Sudha
811188	169136	Child Chorus
811189	215911	Kanti Bhai
811190	215911	Kusumben
811191	116913	
811192	147509	
811193	98085	
811194	77590	Herself
811195	191701	Temptation Girl
811196	20296	
811196	27507	
811196	126911	Pooja's mom
811196	145433	Geeta Sharma
811196	152475	
811196	171856	Urmilla Shastri
811196	176092	
811196	268605	Madumati
811196	284707	Shanti
811196	285108	Natasha's maidservant
811196	288048	
811196	348450	
811197	159849	
811197	249662	
811197	256937	
811197	271558	Ira
811198	187053	Zatar
811199	176103	
811200	171882	Mini
811201	95437	
811202	240215	
811203	42308	Jane
811204	16448	
811204	23109	
811204	23883	Nelly
811204	49978	Lisa
811204	66054	Charlie
811204	89759	Schokoladen-Mädchen
811204	97438	Cilly Serve
811204	101324	
811204	105540	Jenny
811204	110315	Kate
811204	121073	Giselle
811204	124982	
811204	124998	Laura
811204	131710	Maria
811204	137949	Girlfriend #1
811204	139708	Sonja
811204	144184	
811204	149127	Rita
811204	155327	Tina Schulte
811204	170124	Eva
811204	171418	Helene Kohler
811204	194147	Emily
811204	204581	Mopsa Sternheim
811204	211727	Francisca
811204	231472	Rezeptionistin
811204	235382	Luise
811204	244012	Leni
811204	256536	Elke
811204	272858	
811204	281654	Melanie Bruch
811204	289646	Rebecca (young)
811204	325385	Mirjam Hartmann
811204	325551	Laura Hammerstein
811204	325556	Tanja
811204	325597	Alice Bothe
811204	325695	Gaby Bergmann
811204	325881	Susanne Riedel
811204	347807	Hanna Reitsch
811204	347829	Stella Blumauer
811204	354754	
811204	376573	Alice
811204	395508	Greti
811204	404106	Herself
811204	412110	Trixi
811205	5663	Vera
811205	11847	Riki Rote
811205	26747	
811205	40386	Prinzessin
811205	40499	Maria Matzerath
811205	50156	Narrator
811205	52058	Monika Grabowski
811205	65853	
811205	82945	Helene Schwaerzel
811205	89956	Lisa
811205	98385	Hilde
811205	101324	Lisa Gabler
811205	103089	Tini
811205	115967	Johanna
811205	115993	
811205	116508	Judith
811205	120164	
811205	121931	
811205	124998	Hanna
811205	129647	Claire Korb
811205	130215	Hertha Haase
811205	139708	Christa Zerrbeck
811205	140211	Marie Hoprecht
811205	140212	Wilhelm Vogt
811205	142710	Co-Worker
811205	155741	Herself
811205	156722	Agnes Matzke
811205	168160	Erika Strunz
811205	174405	Comtesse Hochberg
811205	182737	Julie
811205	187552	Lotte
811205	189683	
811205	190778	Anne
811205	195057	Ottilie von Pogwisch
811205	198426	
811205	204581	Therese Giehse
811205	210010	Verrückte
811205	219674	Billy
811205	226403	Schwangere Frau
811205	230168	Doris
811205	248394	Lotte
811205	259918	
811205	259919	Karina
811205	269995	Kommissarin Wartenberg
811205	284125	Rättin
811205	289646	Rebecca (grown-up)
811205	307651	Louise Bethmann
811205	308824	Mutter Ehrenreich
811205	309039	Wanda
811205	314857	
811205	325722	Elsie Antes
811205	333045	Katharina
811205	336493	Sieglinde
811205	347781	Sophie
811205	356904	ottO's Wife
811205	357570	Mutter Schwalbe
811205	358212	Ottilie
811205	366487	
811205	373430	Tamara
811205	376285	Giggi
811205	376408	Lena Seidlhofer
811205	395508	Greti
811205	407986	Margarethe Chindler
811205	410465	
811206	12703	Fräulein Bemme
811206	113052	
811206	125328	
811206	167153	Sekretârin von Müller
811206	188848	
811206	189831	
811206	194438	Bank employee
811206	223283	
811206	309150	Kitty
811206	312688	Fräulein Berger, Verkäuferin
811206	347831	Agnes Göppel
811206	352222	
811206	361514	
811207	56207	Mary Grogan
811207	144747	Olivia Gardner
811208	83086	
811208	206170	Inger
811209	110180	Lisa
811209	191653	Emma Greer
811209	200864	Tiana
811210	49273	Anni Prankl
811210	101328	Vroni
811210	103075	Rosie
811210	135895	Gunda
811210	152740	Karin Walder
811210	174217	Christl
811210	212765	
811210	225286	
811210	235370	Mirella
811210	290449	Nina
811210	338431	Karin Jensen
811210	365602	Anita Egger
811210	365603	Anita
811210	365604	Anita Egger
811210	365605	Anita Egger
811210	365606	
811210	365607	Anita Egger
811210	365608	Anita Egger
811210	381439	Heidi Mitterer
811210	392086	
811210	392615	Sonja
811210	396203	Kommissarin Nora Sommer
811210	402098	Sarah (1997)
811210	403770	Marie Hofer
811210	404462	Kriminalbeamtin
811210	406318	Dr. Ulrike Kühn
811211	159717	Amanda Williams
811212	264466	Herself
811213	50389	
811213	111978	La fleuriste
811214	26563	Maenad (chorus)
811214	82529	
811215	26077	Johnny's Nurse
811215	92865	Guest
811215	108382	Doctor
811215	259829	Deborah
811215	331871	Security Guard
811215	343907	Saks saleswoman
811216	41115	Mona Mace
811216	104738	Norwegian entry (13th place)
811216	154496	
811216	178754	Mannekeng, 'Direktørens forte
811216	242691	Søster Bitten
811216	310387	
811217	55192	Carmen
811217	181133	Kersti's mother
811217	260406	
811218	94248	Juliette
811218	142181	Hilde
811218	294609	Stephanie
811218	329682	
811218	408660	Herself (2001-2002)
811219	5659	
811220	5124	Christine
811220	24360	Mutter von Franz
811220	110883	Frau Goldberg
811220	126350	
811220	139834	Patin
811220	170124	Blinde
811220	172194	
811220	231607	Nachbarin
811220	259546	Frau Kranzler
811220	259617	
811220	259644	Elfriede Maler
811220	259662	
811220	259682	
811220	259691	Frau List
811220	282914	Alte Frau
811220	369156	Hellseherin
811220	406263	Hulda
811221	681	Lady
811221	135283	
811221	142337	Hotellgäst
811221	174201	Young woman
811221	193072	Herself
811221	202726	Nydia
811221	208475	Herself (#82) (Interviewee)
811221	234324	Herself
811221	262980	Herself
811221	272755	Miss Lind
811221	350138	
811221	393844	
811221	396215	Alma
811221	396880	Marimar 'Bella' Pérez Aldama
811221	397019	María Hernández de la Vega
811221	397021	Maria Mercedes Muñoz
811221	401700	Diana
811221	402681	Beatriz
811221	403752	Rosalinda Pérez-Del Castillo 
811221	410241	Host
811222	96018	Anna
811223	231202	
811224	322277	Skier
811225	6561	
811225	7234	
811225	15040	
811225	16618	
811225	25141	Linda Darcanges
811225	45109	Anita
811225	54100	Eva Marchal
811225	54819	Myra Milagros
811225	56448	
811225	57867	
811225	58067	
811225	63693	Dolorès
811225	77235	
811225	77256	
811225	82387	
811225	84011	
811225	90192	
811225	100641	
811225	103743	
811225	108490	
811225	111104	Léna
811225	111636	
811225	120246	Olga
811225	149959	
811225	153321	
811225	158809	Irene
811225	187480	
811225	193315	
811225	207476	Helen Quaid
811225	210262	Invitada 2
811225	216854	
811225	218322	Rolande
811225	221748	
811225	221944	
811225	226739	
811225	233942	
811225	236025	
811225	248995	Gloria Benson
811225	249082	Madeleine Delormel
811225	255744	
811225	260912	Mme. Valnis
811225	268437	Olga
811225	281300	Eglantine/La gitane/Rita
811225	296472	
811225	309084	
811225	322361	Irène Schomberg
811225	334682	
811225	345050	Gerda
811225	376735	
811225	376875	Stella
811225	409540	
811226	276125	
811227	362512	Choir Member
811228	24157	
811229	261762	
811230	353957	Une passante
811231	396256	elev (extra)
811232	31702	Woman with Key
811233	103199	Jenny
811234	293074	
811235	267564	Anna
811236	8588	Ploy
811237	152331	Valentine
811237	243774	Eurydice
811238	262294	Kayadhu
811239	231202	
811240	312553	
811241	78896	Jessica
811241	388369	Anne Kirrin
811242	187774	Leni
811243	27596	Herself - Costume Designer
811244	265111	Girl
811245	265111	Student Teacher Mom
811246	379856	
811247	353251	Irini
811248	209450	
811249	44417	Jumpoon
811250	335081	
811252	399363	Ngân
811253	4126	
811253	19354	
811253	27887	
811253	28098	
811253	122696	
811253	165595	
811253	175036	
811253	202612	
811253	216327	
811253	285547	
811254	166510	Anjali
811255	222104	Mother
811256	15805	Anamika
811257	167197	Jessica
811257	237331	Une jeune fille du pensionnat
811257	348798	Marlène
811258	400698	Troupe du Palace
811259	6478	
811261	2810	Winner for Best Choreographer
811261	324550	
811261	385634	Herself (segment "The Individ
811262	106988	Herself
811262	163523	Herself
811262	183430	Herself
811262	382309	Herself (segment "Red, White 
811263	34913	Choir member
811264	205268	Woman in Audience
811264	308064	Chan Lassiter
811265	77123	
811265	163792	Layla
811265	230041	Zainab
811265	371905	
811267	184955	Woman
811267	343160	Showgirl
811268	245628	
811268	279436	
811268	365400	Singer
811269	14619	
811269	28069	Customer
811269	31253	
811269	32516	
811269	40459	Ma Bascomb
811269	40741	The Cook
811269	46579	
811269	52563	
811269	53775	
811269	59374	Mrs. Forbes
811269	71586	Cook
811269	71620	
811269	75338	
811269	78062	
811269	92170	
811269	95079	
811269	115073	Aunt M'liss
811269	120221	Mother-in-law
811269	131032	Mrs. Dub
811269	133794	
811269	141453	Bathing Beauty
811269	143425	
811269	145789	
811269	146119	
811269	150265	
811269	179022	Widow Jenkins
811269	183860	His mother-in-law
811269	186292	Mrs. Grimes
811269	196293	Undetermined Role
811269	197246	
811269	197254	
811269	197256	
811269	197257	
811269	197265	
811269	206430	
811269	235408	Martha Coberly
811269	245358	Ma Hemstetter
811269	251218	Mrs. Martin Selby
811269	271972	Mother Williams
811269	275783	Landlady
811269	281569	
811269	299771	
811269	307907	
811269	307989	
811269	324120	
811269	329475	
811269	330578	
811269	340478	Mrs. Williams
811269	347202	
811269	347205	
811269	347208	
811269	347213	
811269	347216	
811269	347217	
811269	347218	
811269	347219	
811269	347220	
811269	347221	
811269	347223	
811269	347224	
811269	347225	
811269	347229	
811269	347230	
811269	347231	
811269	354502	Angry mother
811269	370562	The Kaiserin
811270	41829	Dancer
811271	332	Lady Joan Culver
811271	5055	English girl
811271	12544	Alice Vaughan
811271	17544	Countess Lydia Ivanova
811271	32006	Lady Patricia Brandon
811271	68060	
811271	80992	Lady Maslam
811271	81732	Lady Dawson
811271	86209	Lady
811271	94764	Lady on the Niagara
811271	100730	Eva Barrett
811271	109884	Lady Buckering
811271	114177	Susan
811271	115256	Lady Flora
811271	116790	Sylvia Potter-Porter
811271	124374	Lady Dalroy
811271	128894	Miss Bracket
811271	134104	Olive Crosswell
811271	142272	Camille Pablo
811271	148283	The Daughter
811271	149562	Daughter
811271	150768	Mrs. Chumley Orr
811271	155846	The Queen
811271	163422	Anita Gunn
811271	169161	Aunt May Luton
811271	169387	Mrs. Harris
811271	175798	Dina Destin
811271	191620	The Daughter
811271	196615	Margaret Orme
811271	202645	Nadine Wentworth, the Poet
811271	203122	Lady Risborough
811271	218688	Rose Waterford
811271	246774	The Girl
811271	247113	Gladys Callender
811271	257876	Martyn Bennett
811271	264482	Extra
811271	264730	Anna Dora, an Actress as Actr
811271	308354	Maggie Martin
811271	330606	Mary Eastwood
811271	330664	Nurse
811271	337041	Lady Kartegann
811271	340439	Angela Platt-Brown
811271	346414	Cornelia 'Christy' Christophe
811271	359440	Mimi
811271	360479	Mrs. Tyler-Blane
811271	365716	Mrs. Whittle
811272	114311	Zoe's Mom
811272	185164	Nurse
811272	200875	Hairdresser
811273	37351	Mother-in-Law
811273	85992	Mother O'Hara
811273	132474	
811273	201034	Landlady
811273	216029	
811273	224105	
811273	249267	Miss Peters
811273	329903	Miss Baldwin
811273	349917	Woman in Department Store
811273	367046	Gossip
811274	206910	The widow next door
811275	307390	Duchess D'Auberg
811276	26122	
811276	26912	
811276	41812	
811276	74300	
811276	75191	
811276	91842	
811276	102846	
811276	130668	
811276	150264	
811276	165959	
811276	176381	
811276	196550	
811276	197860	
811276	198105	
811276	213092	
811276	238945	
811276	240975	
811276	251429	
811276	256279	
811276	257544	
811276	258060	
811276	295680	
811276	296260	
811276	313066	
811276	320977	
811276	365383	
811276	368316	
811276	373238	
811277	81182	Herself (sits with Suharto)
811277	83659	Herself
811277	87779	Herself
811277	95876	Herself
811277	100943	Herself (Prime Minister of Gr
811277	153398	Herself
811277	163388	Herself
811277	228979	Herself
811277	250920	Herself
811277	263426	Herself
811277	273258	Herself
811277	307928	Herself
811277	316150	Herself
811277	344502	Herself
811277	346269	Herself (at funeral of Tito)
811277	364227	Herself
811277	382264	Herself
811277	384105	Herself
811277	391377	Herself
811277	407965	Herself
811279	142716	'Family' girl
811280	167679	Ruth Denbeigh
811281	144996	Hijacker
811281	245917	Glinda, the Good Witch of the
811281	263076	Riddell
811281	287285	Mrs. Granlund
811281	315218	
811281	403848	Riva
811282	122926	
811283	140665	
811283	329221	
811284	153783	La tenancière du bordel
811285	217994	Woman Tourist
811286	17073	Ticket Girl (new movie)
811287	17709	
811288	168599	Herself/Interviewee
811288	340924	Caroline
811288	401432	DS Lorna Purvis (1997)
811289	92652	Dracula's wife
811289	94223	Bride of Dracula (in catacomb
811290	160572	Female detective
811290	168599	Herself/Interviewee
811290	195300	Family mourner
811291	175189	Inmate
811292	111785	
811292	168599	Herself/Interviewee
811292	408716	Sue Lawrence
811293	52048	Cain's Wife
811294	166940	Mom
811295	260308	Pim
811296	245255	Evelyn, the understudy
811297	5882	Ann Sturges
811297	35603	Joan Alris Ellis
811297	41271	Carol Lufton
811297	46396	Lucy Morgan
811297	54997	
811297	67822	Paula Copeland
811297	117933	Flora Talbot
811297	158793	Lois Harmon
811297	167645	Margaret Miller
811297	192721	Peggy Randall
811297	194119	Norma Chambers
811297	202861	Lisa Collins
811297	233684	Patrice Harkness
811297	242783	Maria
811297	298122	Helen Palmer
811297	301266	Sherida Binyon
811297	310595	Willie Ross
811297	312017	Erin Kearney
811297	319602	Ma Kent
811297	328066	Helen Mills
811297	330634	Ellen Lawson
811297	331621	Rebecca Nurse
811297	360834	Cynthia Drew
811297	367913	Helene Jensen
811297	368449	Mrs. Avis Gilbert
811297	400208	Alma Caldwell
811298	118259	Doreen
811298	363602	Voice-overs
811299	79804	
811300	364048	Sister
811301	103078	Annemarie
811302	76387	Regina
811302	76388	Regina Sandgruber
811302	76389	Regina Sandgruber
811302	98254	Karin
811302	103078	Tante Brigitte
811302	124606	
811302	272754	
811302	281732	Sarah Rudd
811302	290628	Isabelle
811302	388622	Susanne
811302	409990	
811302	410161	Katharina Richter
811302	411100	Ilona
811303	310303	
811304	37312	Mom
811304	59915	Judith Oberon
811304	67950	Karin Ward
811304	80680	
811304	85629	Anna Clifford
811304	127140	Kathleen
811304	143831	Kay
811304	173512	Connie
811304	207902	Leanne McIntyre
811304	207903	Leanne McIntyre
811304	207904	Leanne McIntyre
811304	207905	Leanne McIntyre
811304	207908	Roxanne Windemere
811304	207910	Leanne McIntyre
811304	335480	
811304	337326	Lottie Adams
811304	340034	Sandra Channing
811304	389858	Kylie Quinlan (1994)
811304	397116	Leanne McIntyre (1992-1994)
811304	400236	Jenny Wolek Siegel Vernon Ren
811304	401147	Col. Rebecca Hodges (1997-199
811304	409098	Emilie Walker
811305	373216	Lillian
811306	368929	Young Lady
811307	66556	Waitress
811307	191953	Laura's Mother
811307	365285	
811308	81750	Bailiff
811308	216712	Maria the Waitress
811309	10709	Yvonne
811309	10925	Waitress
811309	16419	Woman
811309	31836	Carol Kelley
811309	48704	Lady
811309	64673	Swimming Lady
811309	80546	Suntan Lady
811309	108311	Thelma
811309	114618	Waitress
811309	115157	Hospital Attendant
811309	118980	Flower Vendor
811309	119378	Miss Cooper
811309	133366	T.V. Interviewer
811309	154740	Corona guard
811309	155033	Mrs. Fred Bolan
811309	163232	Mrs. Gibbs
811309	166694	Molly, Grocery Clerk
811309	197869	Grace Burgess
811309	221326	Fanny Porter
811309	231840	
811309	235615	Auditioning Grandma
811309	259258	
811309	277071	Lilly Downs
811309	277478	Restaurant Owner
811309	304365	Weber's Mother
811309	305677	Ma Mondier
811309	329079	Aunt Harriet
811309	338547	Madam
811309	367863	Moa'tua, weeping woman
811309	367913	Deputy Sheriff Green
811310	177089	Louise
811310	291208	
811310	315781	Amy ('Fiction')
811310	316327	Tammi Littlenut
811310	406685	Tammi Littlenut
811311	240315	Lina
811311	279323	Party Girl
811311	288738	TV Reporter
811312	211600	Baroness Popoff (ambassador's
811313	366015	Kit at the Race Park
811314	161754	Rhonda
811315	128850	Jennie White
811315	142877	Jennifer Dale
811315	168050	Claire Emerson
811315	209592	Ann's sister
811315	251286	Phyllis Walker
811315	292816	Brenda Reynolds
811315	370529	Flossie Sampson
811316	129811	Jimmy
811317	411364	Herself
811319	22856	Salesgirl
811319	156466	Ms. Temple
811319	207132	Woman Counselor
811319	231533	Movie Fanatic
811319	330391	Writer's Circle Participant
811320	380447	
811320	383355	Marly
811320	408316	Gilda
811321	34666	Winky's Party Guest
811321	86739	Natalie Juggs
811321	139591	Jane Starbuck
811321	140645	Judy, Psychic hairdresser
811321	158343	Municipal Woman
811321	187708	Mrs. Poe
811321	213502	Naomi Steinbloom
811321	230703	Shirley
811321	267036	Herself
811321	272602	Lucy
811321	283368	Mrs. Robinson
811321	299723	Lynda
811321	330565	Nancy
811321	358321	Gwen Fabin-Blunt, Councilwoma
811321	366640	Herself
811321	384103	Old Rose
811321	392205	
811321	396742	Casey Edison
811322	381452	Herself - Sports Corresponden
811322	382706	Herself - Sports Corresponden
811322	382715	Sports Correspondent
811322	397085	Herself - Reporter (1998-)
811323	101182	
811324	56951	L'étudiante
811325	248669	Girl at Gym (victim)
811326	32409	
811326	225509	
811327	37012	Sue Powers
811327	212960	Maid of Honor
811327	349973	Samantha
811328	302304	L'infirmière
811329	133509	Opera Montage
811329	162267	Opera Singer
811329	275009	Herself
811330	40800	Mrs. Davison
811330	61161	Old Drunk Woman
811330	224073	Miss Morgenstern
811330	275789	Woman in Mercedes
811330	283006	Betty
811330	315897	Waitress
811330	329938	Lafy Defense Attorney
811330	355669	Wilma
811330	361163	
811331	5518	
811331	5823	Rosa
811331	13226	Flossie
811331	19998	June Redding
811331	21238	
811331	21287	
811331	21480	Evelyn Beaudine
811331	21542	Celia
811331	21773	
811331	25381	
811331	26251	
811331	26456	
811331	26641	
811331	33095	Calavera
811331	35211	
811331	35369	Betty
811331	44750	Mrs. Wilmerding
811331	45224	Mrs. Chandler
811331	46754	
811331	46984	His daughter
811331	49382	
811331	50649	Mrs. Fielding
811331	54917	
811331	60893	
811331	62088	
811331	69613	Queen Morgan le Fay
811331	77943	
811331	84901	Bit Part
811331	86089	Agnes
811331	88953	
811331	93153	Alicia Harrison
811331	94162	Mrs. Jackson
811331	96673	Harriet Putnam
811331	104308	Madame de Serizy
811331	105037	Daughter of Pronubial Couple
811331	107544	Charity Garvice
811331	109875	
811331	109893	
811331	109904	
811331	109936	
811331	112197	Tory Serecold
811331	112313	
811331	112382	Nita de Garma
811331	112425	
811331	117998	Sybil
811331	126154	
811331	128370	Nina Micheltorena
811331	128852	'Alabam' Kenyon
811331	130160	Third Girl
811331	131670	Katherine Brinkley
811331	133695	Miss Corintee
811331	138113	Frank's Sweetheart
811331	139146	
811331	139846	
811331	140859	
811331	140876	
811331	141526	Lady Neville
811331	144531	Sibyle Fane
811331	144808	
811331	145822	Undetermined Role
811331	145917	Dick's Sweetheart
811331	146226	
811331	147650	Undetermined Role
811331	150868	
811331	151195	
811331	153215	Daisy Appleton
811331	154045	Mrs. Georges Mordeaux
811331	156488	Ruth, Giuseppe's Fiancé
811331	157960	Jeanne
811331	158375	
811331	162212	
811331	171456	The Girl's Mother
811331	177983	Kut-al-Kulub
811331	185716	Chiquita
811331	185882	
811331	185904	
811331	190467	Marie
811331	191868	
811331	191872	Hedda Kossiter
811331	192022	
811331	193969	Countess Olga
811331	194713	Madge
811331	195711	The Daughter
811331	196055	
811331	196253	Judith Bretans
811331	201458	Woman
811331	202899	
811331	203308	Julia
811331	206446	Rose
811331	206878	Herself
811331	210719	
811331	213116	Wilbur's Wife
811331	213216	Patsy O'Connell
811331	214217	Giulia
811331	216815	
811331	218560	
811331	219193	Josephine Clifford
811331	220853	
811331	222342	
811331	224369	
811331	224695	
811331	229501	
811331	238617	Estelle Farrar, His Daughter
811331	241531	Shell Person
811331	241867	Lolette
811331	244913	
811331	249519	Frances Lloyd
811331	251858	Eleanor Ensloe
811331	256465	
811331	257797	
811331	260875	School Matron
811331	265001	
811331	273159	Mrs. Kent
811331	274041	
811331	274192	Nana
811331	275101	Quinetrea
811331	277647	Mrs. Lindley-Blair
811331	277651	
811331	278112	
811331	278586	Maria Inez
811331	278685	Countess Dagmar
811331	280070	
811331	280075	
811331	280488	The Sister
811331	280951	
811331	285064	
811331	286929	
811331	289036	
811331	291069	
811331	292110	Dinner Guest
811331	292876	Mrs. Lester Knowles
811331	297226	The Weaver of Dreams
811331	301670	
811331	301942	
811331	304505	Madame Redoux
811331	306394	Paula Storm
811331	308404	Rayma
811331	309483	
811331	310870	Adventuress
811331	311467	Hedda Gobert
811331	315862	
811331	318367	
811331	324416	Rita Kosloff
811331	326190	
811331	326385	Aunt Pearl
811331	327743	Sarah Morgan
811331	328566	Stella Mourdant
811331	331979	
811331	339376	Mrs. Geoorge Bannister, 4th
811331	341002	
811331	342735	
811331	346227	Guest
811331	346875	Cherie
811331	347601	Winifred
811331	348531	Betty Chesterton
811331	356230	Dress Extra
811331	359117	
811331	360456	
811331	360566	Dorothy, Grey's Niece
811331	360630	
811331	362695	
811331	363681	Audrey Lesden
811331	366153	Shirley Wayne
811331	366168	Rockwell's Secretary
811331	367414	Housekeeper
811331	368792	Margot
811331	368915	
811331	371056	Carmen
811331	372145	Woman
811331	372843	Mrs. Beatrice Mason
811331	372898	Woman
811331	373347	Cecile
811332	80106	Érica
811332	383328	Regina de Almeida
811332	404261	Ritinha
811333	80106	
811334	208793	Lisa
811334	348677	Inge
811334	387354	Lisa Schumacher
811335	406321	
811336	37480	Party Girl #7
811336	122274	'Fyre'
811336	147655	Ann Gregory
811336	152607	Peggy Larson
811336	366953	Beth
811337	374126	
811338	23583	Loretta
811340	328850	Annie
811341	226508	
811341	251032	
811341	325815	
811341	365924	Barbara Schulte
811342	16366	Ursula Vöst
811343	186142	
811344	255671	Britta
811345	153385	Moderen
811345	195108	Herself
811345	213309	Fairie, Attending Titania
811345	322312	Dancer at Rondo
811346	244961	
811347	6510	Pepi Kalasch
811347	31387	Franziska
811347	74427	
811347	90513	Ilonka
811347	93441	Hederl
811347	93464	Eva, their daughter
811347	98311	
811347	108066	
811347	120950	Lizzie
811347	122606	Zarina
811347	123946	Fritzi
811347	125108	Milly Stubel vom Theater a.d.
811347	156070	Elli von Wellingen
811347	157650	
811347	158568	
811347	163754	Frau Duevenasch
811347	166423	
811347	168404	
811347	173158	
811347	184590	Christl
811347	186185	
811347	188861	Mimi
811347	189880	
811347	225719	Helma René
811347	226406	Fanny
811347	281943	
811347	290479	Maria Esterhazy
811347	290753	
811347	290786	Anna
811347	290855	
811347	308293	Monique
811347	324670	Schirmverkäuferin
811347	324696	Pepi Pirper Soubrette
811347	338263	Köchin
811347	347707	Emilie Trampusch
811347	354082	
811347	354370	Riquette, Kammerzofe Viktoria
811347	358896	
811347	361410	
811347	376326	Hedi
811348	121928	
811348	142861	
811348	148810	Margot
811348	148811	Margot
811348	148812	Margot
811348	148813	Margot
811348	148814	Margot
811348	148815	Margot
811348	167137	Jettchen Gebert
811349	253290	Extra
811350	132255	
811351	286085	Helen
811351	322463	Maria
811352	54393	Madame de la Malène
811352	77421	Mademoiselle de Negrepelisse
811352	200930	Maria Peeters
811353	12614	Mary
811353	57064	Ferris Wheel Mom
811353	64563	Herself - High-Wired Motocycl
811353	189919	Patricia
811353	192104	Dilys
811353	201728	Herself/Debbie Stevens
811353	210960	Wendy
811353	232456	Debbie Stevens
811353	269807	Randi
811353	379893	Irregular Performer (1999-200
811353	390312	Caroline
811353	391875	Laura
811353	393964	Wendy Lubbock (1988-1990)
811354	187547	
811355	67788	Carrie Da Silva
811356	17595	
811356	225181	
811357	92959	Student
811357	276948	Girl in cafe
811358	379797	Ann
811359	362588	
811360	231874	2nd Store Clerk
811360	289920	Grandmère
811360	325613	
811360	365786	Aenne
811360	389280	Frau Catherick
811361	39930	Tabari
811361	88965	Dr. Edie Farmer
811361	116549	Cecile
811361	118298	Georgia
811361	241604	Janice
811361	257577	Mary
811361	278776	Penny
811361	313854	Schuyler
811361	342510	Lana
811361	360723	Kate
811361	372358	Rebecca
811361	387084	Jane Kelly
811361	402850	Various roles
811362	376296	Ann-Marie Thaler
811363	18517	
811363	96634	
811363	116318	
811363	123954	
811363	155481	Euterpe Sfikas
811363	175657	Anna
811363	229929	
811363	230193	Charlie
811363	314377	
811363	325613	
811363	352061	Stephanie Hofer
811363	374126	
811363	376296	Dagmar Scharun
811363	395866	Ellen Lobster
811363	397949	
811364	296188	
811365	188762	Mädchen
811366	378897	Woman with cellphone
811367	337032	Vendeuse Etam
811367	377044	
811368	171762	
811368	177976	
811368	388619	Himself
811369	29509	
811369	68845	
811369	70093	
811369	87834	
811369	152227	
811369	207658	Don~a Lupita
811369	209298	Hippie
811369	212480	
811369	213410	
811369	223618	
811369	258175	
811369	264387	
811369	296148	
811370	274427	Wanda's Girl
811371	210298	
811372	86049	
811373	156970	Dr. Nathason's Nurse
811374	101181	Mme Messonnier
811374	111127	
811374	168200	Dominique
811374	268940	Autre belle-soeur
811374	319826	L'infirmière
811375	20203	Meimei
811376	128782	Herself
811377	336529	
811378	18544	Sharks Trainer
811379	326517	
811380	8433	Eftichia
811380	86840	
811381	21690	
811381	406861	
811382	56618	Federal Court Stenographer
811382	105405	Roberta Biernes
811382	137560	Ruth Fisher
811382	358657	Anna
811383	382291	Augusta Torrini (1997)
811384	14579	
811384	113100	
811385	296866	Geneva
811385	352701	Ms. Cumming's Daughter
811386	107106	Edna Mowry
811387	56545	Herself
811388	219125	Blue Afro Woman
811389	93176	Mrs. Cournos
811390	248446	
811391	282722	Jerri Sloan
811392	185777	Joan D'Arcy
811392	195785	Tracey Powell
811392	316000	
811393	319903	Surf Babe
811394	126001	Herself (Playmate)
811394	203549	
811394	257684	Herself
811394	257867	Herself
811394	303753	
811394	314948	
811394	331550	Second Model
811394	361862	
811395	168331	Morissa
811395	300527	Diner Waitress
811395	372343	Embalmer Assistant
811396	340486	One of the Lovers
811397	267319	
811398	8434	
811398	22593	Astero
811399	394222	Hershelf
811400	112765	
811400	269214	
811400	380166	
811400	380525	Solange
811400	383866	Marly
811400	390054	Cristina
811400	392629	Helena
811400	396651	
811400	397415	Angela
811400	401678	Nadir
811400	404178	Daniela
811400	404912	Eleuzina
811400	407830	Dalvina
811401	136794	
811401	244947	
811401	254903	Secretary
811401	330358	Lia
811401	394078	Antigoni Archou
811401	395090	Antigoni Archou
811401	398784	Liza
811401	407921	Myrto Mavroyialourou (ship ow
811402	268034	Fran
811403	377002	Fanny
811404	102130	
811404	172196	
811404	395090	Valeria
811405	312920	Larisa
811406	74277	Jenny
811406	172894	
811407	9094	Tammy Todd
811407	42884	Kelly Feneman
811407	194313	Girl
811408	397889	Katerina
811409	397889	
811410	8038	
811410	17883	
811410	98072	
811410	350783	
811410	380414	
811411	8102	
811411	129391	
811411	199617	
811412	6326	
811412	156414	Aleka
811412	207920	Maria
811412	315786	
811412	326226	
811412	375140	
811413	116621	
811414	404576	Zero/BellWood
811416	379644	Additional Voices
811417	317897	Molly
811418	50378	
811418	91623	
811418	227996	
811418	352222	
811419	24363	Christina
811419	46767	Moll's Maid
811419	48342	Eva
811419	102374	Schwester Heidelinde
811419	393878	
811420	155792	
811421	263	Taffy, Age 7
811422	70424	Answering Machine Voice
811422	230083	Françoise
811422	230111	Barmaid
811423	1578	Chris
811423	7545	Hettie
811423	40506	Alice Gordon
811423	57228	Catherine Bicks-Ahmed
811423	70303	Andrea
811423	106520	Nathy
811423	133624	Catherine
811423	142753	Young Dorothy Connable
811423	218106	Christine Rutherford
811423	222693	April Trent
811423	223066	Ethel Toffelmeier
811423	245838	Maggie
811423	313562	Irina
811423	315484	Colleen Brant
811423	341746	Sarah
811423	360483	Katya
811423	363423	Girl #1
811423	384013	Evelyn Drummond
811423	389561	Bobbi
811423	398208	Bobbi
811423	398209	Fashion Critic
811423	399153	Angela (Ann) Paige
811423	399153	Ethel Varr
811424	181540	Sipang
811425	35193	Harlette
811426	334085	School Girl
811427	1712	Vegan Night Club Dancer
811427	59878	Laney Houghton
811427	161641	Stella/Nancy Brooke
811427	208086	The Dream Woman
811427	251524	Claire Lefrançois
811427	288473	Joan
811427	359381	Emma
811428	113134	
811429	43913	
811429	117397	Beth
811429	121498	Marie-Lou
811429	383863	Laura
811430	338698	
811431	270604	Herself
811432	222987	
811433	240322	
811434	277726	
811435	846	#43 Passing on Big Role: Pear
811435	1145	Rose Hearn
811435	1524	Helga Svelgen
811435	1674	Herself
811435	1725	Herself - Presenter
811435	2894	Herself - Winner, Best Actres
811435	3046	Herself
811435	3055	Herself - Winner, Best Actres
811435	7288	Aeon Flux
811435	22651	Jillian Armacost
811435	54706	Herself - Narrator
811435	57654	Supermodel
811435	61766	Young Woman
811435	63832	Candy Kendall
811435	75546	Laura Kensington
811435	84956	Mary Ann Lomax
811435	96769	Herself
811435	132413	Herself
811435	140943	Gilda Bessé
811435	147673	Sally
811435	155217	
811435	163715	Stella Bridger
811435	187222	Adele Invergordon
811435	190010	Britt Ekland
811435	210786	Gwen Sunday
811435	213466	Jill Young
811435	218345	Aileen
811435	275107	Ashley Mercer
811435	321266	Sara Deever
811435	329522	Tina
811435	338278	Karen Jennings
811435	339358	Billy Tyler
811435	358484	Candy Kirkendall
811435	370648	Erica Stoltz
811435	410958	Narrator
811436	11549	Jodie
811437	387359	Sussa (1999-2000)
811438	146361	Hélène
811439	8852	Nadine
811439	57082	Madalena
811439	73165	Mme Rousseau
811439	213840	
811439	223034	
811439	236516	La voisine qui se deshabille
811439	282099	Angélique
811439	340119	Neighbor
811439	355867	Mademoiselle
811439	388723	Charlotte de Brancas
811439	400681	
811440	116028	Tante
811440	166607	Lucia Tutein
811440	187943	
811441	209209	Nemesis
811441	209210	Nemesis
811442	154033	Sister
811442	165462	Casting Assistant
811443	20540	
811444	10241	Trapeze
811445	291447	Bishop's Dancer
811446	203649	Chew Mee
811447	381911	Herself (2001)
811448	76960	Chloe
811449	268448	Leon's mother
811450	102161	Pers. assistent 3
811451	128013	
811452	127627	Beach Dancer
811453	108179	Fru Ejbjerg
811453	198069	Fotograf Helga Brun fra New P
811453	324626	Inge Cramer
811454	339699	Kind
811455	10069	La soeur d'Einstein enfant
811456	238252	Virginian Girl
811457	354541	Betty
811458	177037	Patronne Du Bistrot
811458	191413	Mrs. Ergolsheim
811459	230503	
811460	340120	
811461	188745	Dionne Fleury
811462	190702	Younger Boyd Daughter
811463	78906	
811464	357841	
811465	20883	Savia
811465	23006	Celia Harland
811465	47530	Mabel
811465	77299	
811465	111677	Sheila Clavering
811465	134483	Leah
811465	145864	Madeleine Kingsley
811465	148492	Lysbeth
811465	149219	
811465	202903	Sabine Delburg
811465	217952	Mrs. Boulderwood
811465	221003	
811465	230571	Rosie Dixon
811465	235462	Dorothy Saville
811465	239525	Mrs. Soper
811465	241133	Sally Drury
811465	259156	
811465	280937	Sourna
811465	300473	
811465	305616	Rose Baker
811465	311466	Diana Quentin
811465	334804	Rose
811465	344669	Elsie Meredith
811465	360623	
811465	362867	Gertrude Hunt
811466	168974	Barbara
811467	5010	Girl
811467	60296	Karen
811467	316863	Katrina Brent
811467	362845	Kelly
811467	382266	Kimberley, aka Louise
811468	40594	Zuster Eugénie
811468	77858	
811468	304441	
811468	400801	Irma Verhelle
811468	409162	
811469	383027	Herself
811470	54818	M. Yang
811471	82545	Minh's Roommate's Mother
811472	177073	Madame Kim
811473	231202	
811474	231202	
811475	231202	
811476	231202	
811477	242736	Peasant Woman
811478	90655	
811478	188693	
811478	292352	Barbara Lee
811479	38170	Ludmilla
811479	43638	Félicité
811479	96037	Hostess
811479	122838	Reinette
811479	125723	
811479	162485	Christine
811479	208219	Lily
811479	208834	Hélène
811479	403253	
811480	400869	Leïla
811481	14477	Mahmud
811482	64219	
811482	359003	
811483	104657	Kine, Abdous sister
811483	232589	
811483	336641	Aida
811484	126246	Saba
811485	166274	Léonie
811487	20282	
811487	103759	Anciana
811487	105110	
811487	139896	
811487	146533	
811487	162803	
811487	215589	
811487	324294	Blanca
811487	353629	Cata
811487	385402	Greta
811487	405407	Mamá de Ravenna (2003-)
811488	251547	Danseuse aerobique
811489	1293	Lydia
811490	381821	Ensemble (1968)
811492	383651	Sophie Gaucher
811493	51442	Mme Gladu
811493	72392	
811493	112838	
811493	120970	Soeur Gertrude
811493	174154	Germaine
811493	186127	Mme Gladu
811493	195137	Chanteuse de la chorale
811493	276821	Tommy's Mother
811493	377478	Camille Marquis
811493	378858	Hélène Martineau
811493	379430	Virginie Bourque
811493	385008	Angélique Lafond
811493	398847	Louise Paquette
811493	401320	Mme Gladu
811494	70743	Mme Bouvrette
811494	83334	
811494	96144	Norma
811494	120141	
811494	173129	Tante
811494	217702	Aunt Cecile
811494	309739	
811494	381504	Mme Grégoire
811494	382469	Emilie
811494	382486	Yvonne Valence
811494	400627	Ginette Lajoie
811494	401081	Antoinette Labbé
811494	402620	Grand-mère
811494	409433	Alice Lamer
811495	102945	Vieille Dame
811496	166370	Janitor
811497	198550	La prostituée
811498	211364	Marie-Pierre
811499	377461	
811500	17084	Manuela
811500	69877	
811500	73270	
811500	90973	Sarah
811500	167200	
811500	169537	
811500	205705	
811500	351850	Colette
811501	57817	Kate
811501	122991	Hildy
811501	266627	Kate
811502	294047	
811503	323841	Nurse
811504	406381	Herself (Finalist) (season 1)
811505	17073	Nurse in Street (new movie)
811506	323497	Restaurant Patron
811507	119822	Police Officer
811508	332897	Black Hooker
811509	39254	
811509	39262	
811510	59581	Mother
811511	118205	Grace
811512	339932	
811513	160156	Lilly Lorenz
811514	259509	
811515	182752	Anne
811515	188755	
811515	259493	Marietta
811515	259691	Beate Bernert
811515	388626	Susanne
811516	294796	Invitée d'Alice
811517	65639	
811517	156835	
811518	174699	Sarah
811518	200063	Annie
811521	91971	Bit Part
811522	301558	Slaymate
811523	476	
811524	112182	Allison Wales
811525	112182	Allison Wales
811526	352850	Maria Eugénia
811527	28566	Claudia
811528	308382	Tartar Girl
811530	40585	
811530	155397	
811530	204404	Ingrid Pattersson
811530	333850	Lady Astor
811530	366554	
811531	259552	
811531	385660	
811532	35046	
811532	40410	Frau des Ministers
811533	17595	
811533	90145	
811533	93447	
811533	99173	Maria von Trachtenberg
811533	99234	Elisabeth
811533	102983	
811533	115812	Frau Hartmann
811533	119165	Emma
811533	149961	
811533	153173	Frau Camas
811533	178658	Emma 'Lämmchen' Mörchel
811533	181556	Annie
811533	187402	
811533	211079	Helene Martin
811533	225141	Manuela von Meinhardis
811533	230196	Frau Hartmann
811533	259614	
811533	259639	
811533	275044	
811533	348040	Schwiegermutter
811533	361104	
811534	327474	Vejarbejder & Fløjtespiller
811535	168960	Girlfriend
811536	192381	TV Host
811537	100744	Kate
811538	18881	
811538	102134	Verkäuferin
811538	134787	Consul's wife
811538	182781	Felizitas, Herzogin von Lauen
811538	202002	Frau Hummel
811538	282159	Tante des Prinzen
811538	290069	Aristokratin
811538	328991	Jenny Rosenfeld
811539	359621	Tischgesellschaft
811540	259452	
811541	8150	Sekretärin
811541	126280	Dona Catalina
811541	142110	Franziska Fleming
811541	155468	Garbo
811541	180965	
811541	180968	
811541	182146	Karin Nieburg
811541	186873	
811541	226345	Schwester Erna
811541	335027	Sekretärin
811541	352245	Frau Wendel
811541	389959	(1. Staffel)
811542	90908	Cheryl Ruth
811542	305221	Mrs. Granger
811542	383654	Memphis Morgan
811543	259539	
811543	325814	
811543	399472	Dr. Borstel
811543	410839	Sophie von Bergen
811544	27422	Jenny
811544	33161	
811544	56545	Herself
811544	119659	
811544	226248	Frau Niedermacher
811544	257268	
811544	282260	Liane (after cast change)
811545	282035	Elvis
811546	282035	Elvis
811547	238126	Miek
811548	42560	Fille vélo
811549	342459	Checkout Clerk
811550	206263	Mrs. Andersson
811551	245907	Bar patron/mutant
811552	68697	The Company
811553	2674	Georgina
811553	2681	Georgina
811554	108968	Mie
811555	42197	Veronika
811555	45325	Helga
811555	48334	
811555	70497	Janecková
811555	84223	Zikánová
811555	86324	Präfektin
811555	147035	Marcela
811555	172951	Tomás's mother
811555	198356	
811555	230439	
811555	237697	Helena
811555	244014	Eva
811555	253830	Dása
811555	259186	Neighbour
811555	266282	
811555	266459	
811555	276461	Jerábková
811555	292975	
811555	306100	Teacher Bozenka
811555	320565	
811555	332387	
811555	338119	Paní Elizabet
811555	339275	Profesor's wife
811555	352794	
811555	357437	Checker
811555	383081	
811556	212333	Herself - Participant/Perform
811557	404686	
811558	317274	Frau Gotzkowsky
811558	365027	
811559	145596	Anhalterin
811559	317274	Frau Gotzkowsky
811559	396874	Corinna Dettmer, verw. Kuczin
811560	292486	
811560	387518	Staff Nurse Craigie
811561	216255	Doro
811562	153977	Inge
811562	389948	
811563	167165	Girl
811563	205294	Tai-Au
811563	225499	Photographer beauty
811564	73860	Grandmother Ostrovski
811565	273756	
811566	381911	Herself (2003)
811567	358936	Miss Godek
811568	217727	Laetitia
811568	246510	
811569	105076	
811570	377064	
811571	132955	Pascale
811572	343544	
811574	111118	
811575	15096	Une jeune femme
811575	101881	
811576	94786	
811577	113134	
811578	101129	Madame Minguet
811579	23743	
811579	103831	Mme MacDonald
811579	164220	Granma
811579	224763	
811579	378731	Mme Mercier
811579	381189	Louise Villeneuve
811579	400804	Sophie Riendeau
811580	148631	
811580	217688	
811581	96415	Druida (French dub)
811581	208823	Belle
811581	296507	La Conscient du Lensman (Fren
811581	401857	Olive
811582	1135	Julie
811582	14314	Henriette
811582	53977	Sophie Levi
811582	83364	Agathe
811582	101139	Camille
811582	168827	Camilla
811582	187442	The Girl
811582	229029	Betty
811582	249123	Chantal
811582	269127	Esméralda/Agnes
811582	287597	
811583	82920	
811584	351254	Wilhelmine
811585	97237	Larissa
811585	98980	Sara
811585	216318	Katharina
811585	281660	Meret
811585	290770	
811585	298114	
811585	314876	Anne
811585	325924	
811585	349777	Cleo
811585	365921	Almuth Mesenkamp
811586	381531	Herself - Craftsman
811586	386187	Herself - Co-host
811586	388988	Herself - Painter
811586	393865	Herself - Host
811587	34291	
811587	223283	
811587	302683	Amme/Nurse
811587	313335	
811588	217799	Wjerotschka
811589	392503	Frl. Gratz
811590	17595	
811590	107358	
811590	177151	
811590	225181	
811590	226267	Frau Bergmann
811590	303715	
811590	308249	
811590	347647	Jenny
811590	348046	
811590	352337	
811590	354076	
811590	360936	Mrs. Iwanowna
811590	364923	
811590	388286	
811591	48623	Moni
811591	59133	
811591	232427	Simone
811592	14265	Marianna
811592	29047	Lisa Kennedy
811592	34023	Latah
811592	162354	Ann Brett
811592	187077	
811592	218339	Jeanette
811592	226354	
811592	386198	Lisa Bonay (1960-1961)
811593	21375	Fransk rengøringsdame (French
811594	2009	Herself - Presenter
811594	35514	Herself
811594	35515	Herself
811594	49855	Annalisse Vellum
811594	62956	Vixen
811594	120480	Pam
811594	133923	Herself - Hostess
811594	147694	Sharon Bates
811594	163932	Marie Stein
811594	176777	Jenny Monroe
811594	183387	Honey DeLune
811594	196063	Rebecca Melini/Juliette
811594	289052	Kelly Kapowski
811594	289053	Kelly Kapowski Morris
811594	297914	Caitlin Rose
811594	300304	Hagitha 'Hag' Utslay, Empty-V
811594	308316	Tracy
811594	310801	Wilma Price
811594	316190	Jennifer Gallagher
811594	321184	Alison Sullivan
811594	381811	Valerie Malone (1994-1998)
811594	388479	Wilhelmina 'Billie' Chambers
811594	404373	Kelly Kapowski
811594	404374	Kelly Kapowski (1993-1994)
811594	409226	Marti (2000)
811595	34751	
811595	34818	
811595	39287	
811595	45873	
811595	60280	Amythiest
811595	60796	
811595	82133	
811595	105156	
811595	120018	
811595	139260	
811595	144568	
811595	150031	Amy
811595	171170	
811595	191355	
811595	191356	Amythiest
811595	194274	
811595	207515	
811595	247992	
811595	273389	
811595	342639	
811595	353741	
811596	193433	Danseuse au bar
811597	154629	Angela Havins
811597	202619	Victoria
811597	350474	Red Head
811598	260628	Strawberry Woman
811599	2762	Winner Featured Actress in a 
811599	3952	Narrator
811599	13361	
811599	13855	Dr. Judith Kaufman
811599	16943	Judge Brenda Daniels
811599	21198	Nurse White
811599	36536	President Marjorie Bota
811599	40314	Grandma Walker
811599	42386	Kelly Noble
811599	45640	Mrs. Tracy
811599	47363	Herself
811599	58940	Ms. Wood
811599	110301	Barbara
811599	112748	Louisa
811599	130187	Lynne
811599	142541	Reporter #2
811599	157316	Dr. Gardner
811599	160492	Mrs. Williams
811599	171094	Ida Conklin
811599	186665	Leonna Barrett
811599	220032	'Mike' Wheelwright
811599	226954	Helen
811599	232186	Fran
811599	236047	Pat
811599	248132	Janet, Henry's Secretary
811599	263348	Jane Azenauer
811599	264568	Mrs. Meeks
811599	272026	Phyllis Bonaparte
811599	273920	Gail
811599	280135	Rica Towne
811599	283548	Contact at Eldridge St.
811599	294508	Ruth Alice Stovall
811599	296980	Carla Howard
811599	316760	Subway motorwoman
811599	321237	Claire
811599	335799	Jo
811599	359569	Radio deejay
811599	362822	
811599	368305	Telephone Operator
811599	379716	Flora Baxter (1983)/Grace Kee
811599	381473	Luna (1997-2003)
811599	386489	Ella Mae Farmer (2000-2003)
811599	388991	Naomi Sayers
811599	389326	Sojourner Truth/Barbara Jorda
811599	395023	Dist. Atty. Ruby Thomas (1991
811599	396110	Nancy (1982-1983)
811599	399325	
811599	410971	The Chief
811599	410973	The Chief
811600	358688	Ortlinde
811601	14212	Jeanette Harris
811601	34387	Nora
811601	51661	Karaoke party guest
811601	75395	Grace
811601	185174	Governor's Receptionist
811601	212620	Bank Secretary
811601	218180	Alice
811601	270638	Gina
811601	273851	Elaine Cassidy
811601	278498	Teacher
811601	304821	Susan
811601	337360	Kathleen
811601	401721	Vivian
811601	401930	Dr. Doreen 'Nancy' Neumann (1
811602	87492	Paula
811603	188282	Dame in de nacht
811603	338114	
811604	28304	
811604	85840	Dyak Dancer
811604	327791	
811605	21180	Swede #1
811605	79859	Sybil Wainwright-Booth
811605	386963	UEFA Receptionist (2004: Seri
811605	387961	Cilia
811605	390643	Ilsa Kasselov
811606	198533	
811607	83035	
811608	83035	
811609	83035	
811610	193444	Marie-Cécile
811611	26747	
811612	147152	
811613	31018	Woman at Hospital
811614	57616	
811615	36630	Mrs. Lillknekt
811616	293561	
811617	53930	Girl on Beach
811618	344276	Alexandra L'vovna
811619	225215	
811620	23886	Frau Oberst Amalia Semmler
811621	65722	Katerin Lodor
811621	74251	Marta, Housekeeper
811621	81604	Fräulein Schneider
811621	97493	Mrs. Malken
811621	101337	Gretel Paskiewicz
811621	103317	The landlady
811621	124767	Saskia
811621	132251	
811621	134837	Herself
811621	144776	Mrs. Oberwalder
811621	146840	Angela Raubal
811621	150533	Sarah Baruch
811621	162952	Madame Kyra
811621	193295	Mrs. Monks
811621	200038	Kraeuter-Vetti
811621	207478	George's Mother
811621	211079	Eva-Maria Sander
811621	218704	Annie
811621	225183	Gerberleni, Sepps Mutter
811621	234803	Sister Nurse
811621	282394	Olga (maid)
811621	295439	Mrs. Anders
811621	316314	Hilda Blake
811621	330836	Mrs. Tucker
811621	347697	
811621	358543	Baronin Henny
811622	217916	Coras Oma
811622	223284	Docker's Mutter
811622	223285	Mutter Docker
811622	223286	Mutter/Mother
811622	231623	
811622	306472	
811622	314876	Anne's Neighbour
811622	366515	Mrs. Scholz
811622	405500	Maria Santer
811623	111671	
811624	134816	
811624	152751	Telefonistin
811624	290836	
811625	290789	Synchroncutterin
811626	207036	Mrs. Varma
811627	279633	
811628	73835	Peter's Friend
811628	79807	Senator's Wife
811629	389734	Elly
811630	302427	Pige i klub
811632	338568	Phallus Singer
811633	309769	Petite fille
811634	336641	Kine
811635	202090	La patiente qui à peur de dér
811635	268393	Martine
811635	319352	
811635	345378	Child
811636	137222	Hubert's sister
811637	68805	Herself
811638	214283	La Petite Chipie
811639	70154	Francesca
811640	158748	L'épicière
811640	166370	A philosophy student
811640	188681	Clarisse
811640	198975	Une infirmière
811640	287598	Sylvie
811640	326035	Policeman
811640	336954	Huguette
811640	346554	Sophie Vanneau
811640	356990	Lucie
811640	381383	
811640	397497	Valou
811641	165765	Dominique
811643	100483	Narrator
811644	237169	
811645	14314	Membre de la famille Butler
811646	73607	Reese
811647	113123	Astrid
811647	409446	Stéphanie Mattar
811648	276572	
811648	400901	
811648	404220	
811649	244194	(segment "Daisy das Almas Des
811649	380563	Lúcia
811649	386417	Marinês
811649	398817	
811649	410190	Nilda
811650	397306	Joy Vijver
811651	182613	Herself - Host
811651	199995	
811651	391355	Herself - Host
811651	407264	Herself - Journalist
811652	23502	Sygeplejerske på skadestuen
811653	50993	Mme Beïkacem
811654	330099	Suzanne Thivierge
811655	62460	Anouk
811655	101233	Solange
811655	259979	Ponette
811656	207259	
811656	237308	
811657	156318	
811657	282001	Lydia
811658	302901	Nun
811659	65362	Herself/Interviewee
811660	108938	Nana
811660	153505	
811660	252483	Cute Receptionist
811660	278154	Sophie
811660	294356	Veronique
811660	376957	Marion moullet
811661	30312	Concierge
811661	32027	Mme Doullens/Landlord's Wife
811661	45197	Germaine
811661	51725	Clémence
811661	66227	La directrice
811661	83216	Jacquot's Mother/Concierge
811661	96058	
811661	101226	
811661	104541	Nanon
811661	113134	
811661	118418	Nérine
811661	135426	Thérèse
811661	136305	Soeur Leonie
811661	160815	
811661	165756	Jeanne
811661	216236	La contremaîtresse
811661	216237	Contre-Maitresse
811661	276517	Raimonde de Rois
811661	287592	Pierrette
811661	289565	
811661	336974	Mme Charpon
811661	339899	
811661	340304	Monique Zimmer
811661	345205	
811661	380580	Marinette Courtabe
811661	380864	
811661	380978	Mme Santoni
811661	386211	
811662	401882	Herself - Rouge
811663	347300	Woman
811664	185948	
811665	392481	Molly
811666	323226	Mom
811667	323226	Female Customer
811668	235407	Herself
811669	17214	Field Reporter
811670	352379	Claudia Stern
811671	112400	Mrs. Nardini
811672	373433	Telescreen Nurse
811673	392503	Franziska Schumann (#2) (1985
811674	303642	Ekspeditrice i legetøjsforret
811674	331731	Kirsten
811675	376108	Herself
811676	251143	Yvonne
811676	346965	
811677	203963	Sygeplejerske
811678	21913	Herself
811678	34914	Girl at Restaurant
811678	209219	Hillary
811678	257649	Miss September
811678	257823	Herself (Miss February 1991)
811678	361851	
811679	219342	Tante
811680	96730	Controller #1
811681	234826	Pige/Girl
811682	121514	Dancer
811683	364752	Karen Hodges
811684	17695	Lace Woman
811685	370867	Grandmother Han
811686	158975	Auction bidder
811687	42743	Mrs. Singer
811687	127074	Clubwoman
811688	56793	
811689	124096	Barbara Creedon
811690	121055	Nanni
811690	290798	Ajita
811690	318746	Disco-Aufriss
811691	12846	Singer
811691	122314	Singer (Heidelied)
811692	171367	Estudiante #4
811693	337950	
811694	64333	Herself (1978)
811696	4831	Franziska Lammertin
811696	12837	Annabelle
811696	12838	Annabelle
811696	17528	Tina
811696	35035	Anja Krüger
811696	42171	Anja Lenz
811696	71304	Frau Schulz
811696	95395	
811696	119705	Susanne
811696	136723	Andrea Kerner
811696	156974	Zigeunerin
811696	189542	Maria Hofmann
811696	202633	Pia Brandt
811696	225238	Sarah
811696	254436	Gina Lohr
811696	259493	
811696	273752	Doris Froehlich
811696	312068	Krimhild
811696	325420	Tanja
811696	325442	Claudia
811696	347635	Ulrike Stern
811696	350874	Hanna
811696	364898	Vera
811696	376370	Petra Anschuetz
811696	377359	Leah Schönfeld
811696	377360	Leah Schönfeld
811696	377361	Leah Schönfeld
811696	377362	Leah Schönfeld
811696	377363	Leah Schönfeld
811696	377364	Leah Schönfeld
811696	379433	Karin
811696	381439	Hanna Gernrich
811696	385009	Camilla
811696	389287	Dr. Dorothee Merthin, geb. Wi
811696	389840	Karin
811696	402532	Dr. Léa Müller
811696	409609	Regine Holle (1992, 1994)
811697	153229	Maria Storgaard
811698	23108	Bedienung
811698	315768	Raphaela
811699	20426	
811700	223502	Woman in restaurant
811701	193974	Undetermined Role
811702	202980	Margaret More
811703	171079	
811704	243213	Olivet
811705	135727	Yahoo
811706	134145	Mrs. Anderson
811706	134716	Computer voice
811707	138348	Disco woman
811707	232157	Anne
811707	271198	Allison Goldring
811707	395601	Katie Koestner
811708	63034	
811709	216162	Phone Room Operator #5
811710	201750	Herself
811710	291828	Herself
811711	186017	Babysitter
811712	266191	Cop Hadine
811712	336475	Brunette #3
811713	236972	Child at the Party
811714	105433	Sarah Hidalgo
811714	113286	Child
811715	387528	Patty
811715	389859	Student Nurse Stevens
811716	162885	
811717	23007	Mrs. Starling
811717	74201	Myra Stuart
811717	101420	
811717	133898	Mary Firth
811717	165910	Rhoda
811717	222774	Defending Counsel
811717	249506	Muriel Wright
811717	265503	Irene Stonehay
811717	354734	
811718	241243	Mgala
811719	142618	Go-Go Dancer
811720	33157	Stine Teetjen
811720	35173	Sabine
811720	84574	Lydia
811720	119659	
811720	136201	
811720	147261	Mutter Claudia
811720	204492	Sabine
811720	204581	Julia Therese Mann
811720	206587	Hanne Schmitz
811720	225280	
811720	225281	
811720	225659	
811720	237229	Lucille
811720	290536	
811720	308243	
811720	325457	Elena Samow
811720	325553	Frau Wiemann
811720	338940	Sonja, Schauspielerin
811720	350865	
811720	352270	
811720	352321	Sigrid Schucht
811721	228202	Hôtesse du bar
811721	329158	Adeline
811722	682	Teacher's Pet, Ms. Stern's Cl
811722	273480	Student
811723	94881	Miss Duffy
811723	130341	Lady in nursery
811723	177407	Bambi
811723	209115	Mrs. Schroder
811723	213112	Frantic Lady at Hotel
811723	358564	Philadelphia Suspect
811724	189850	Herself
811725	388212	
811726	48235	Katrina
811726	95838	Amy
811727	116979	Caroline Alexander
811728	117957	Brennick as a Baby
811729	53310	Nurse
811730	272026	Shyla Mumford
811731	12365	L'infirmière
811731	51201	
811731	66759	Jean-Pierre's Mother
811731	71519	La mère supérieure
811731	77356	Lise
811731	94249	Titi
811731	120971	L'abbesse
811731	133081	Amélie
811731	152364	Mme Garcin
811731	164198	La concierge
811731	178781	
811731	197397	
811731	216236	La soeur Fantine
811731	216237	Soeur Hopital
811731	216239	La concierge
811731	248419	Françoise
811731	248711	
811731	250835	Mimi
811731	251300	
811731	302220	La concierge
811731	324517	Philomène, the maid
811731	325170	June (French version)
811731	376939	La mère de Yoska/The Mother
811731	377268	
811731	377953	Jeanette
811731	384029	
811731	394177	Caliméro
811731	398985	Arnaude
811731	401972	Adèle
811732	37191	Young Kate
811733	289934	Sis
811734	137254	Young Alyssa
811735	88908	
811736	269355	Band Member
811736	362605	Maxine
811737	82378	Waitress
811738	311609	Nurse at Hospital
811739	31197	Herself (NBC Team contestant)
811739	60866	Party girl #1
811739	64569	Herself (performer)
811739	89126	Waitress
811739	148572	Reddog's Secretary
811739	164612	Waitress
811739	185057	
811739	194406	Biker Chic #1
811739	227928	Maxine Pearce
811739	233609	Dr. Mary Lewis
811739	243166	Narrator
811739	245498	Katherine
811739	264421	Angela Brannon
811739	274582	Herself (Director)
811739	340320	Velda Plendor
811739	341758	Bridgit Bert Richards
811739	348835	Bunny
811739	363250	Maude
811739	389512	Regular
811740	161789	
811741	359486	
811742	4369	Showgirl
811742	33599	One of Frenchie's Girls
811742	114811	
811742	184955	Woman
811742	343160	Showgirl
811743	177291	Woman
811744	866	Herself
811744	103331	Hiker 2
811745	354550	Strip Dancer
811746	263450	Lynne's Daughter
811747	43914	
811747	64813	Clara
811747	366908	Reporter
811749	49966	Sticky
811749	289430	Candy
811750	79819	Kelli Bryant
811751	140953	Super Whore drill instructor
811752	308026	TV Reporter
811753	242085	Herself
811753	309473	Herself
811753	309667	
811753	360109	Herself
811754	309596	Herself
811755	31789	Mae Martin Bryant
811755	40187	Senior Resident
811755	107166	Valerie (reporter)
811755	155888	Nurse (segment "1996")
811755	157324	Marie Borkowsky
811755	210960	Joanne
811755	277090	Cute Coed
811755	299664	Miss Slotnick
811755	317517	Sister Cathy Dowd
811755	379716	Hillary Wilson Georgia Martin
811756	411936	Host (1973-1974)
811757	327239	Party Guest
811758	303980	
811759	80385	Lisa
811760	298079	1920's Nurse
811761	388321	Kelly Boulter (2003-)
811762	78176	Martha's Daughter
811763	391262	Nurse
811764	1168	Girl at Cartref Y Gelli
811765	383631	Natalie MacKay, Colette Kiern
811766	119564	
811767	78176	Martha's Daughter
811768	319325	
811769	96642	Jean
811769	118325	
811769	317932	Swapped Wife
811769	360696	Sarah McCarver
811769	379716	Kate 'Gran' Martin #2 (1970)
811770	60763	Couple at Restaurant
811771	144249	
811772	362188	Little Girl at Lake
811773	121783	Jessica White
811773	199564	Aggie
811773	208954	Nicky Bowden
811773	269806	Emma
811773	271155	Phyllis
811774	104045	Youn woman in the pub
811775	32003	Bande à Francis
811775	166116	
811776	107947	
811777	232818	Old Granny
811778	137620	
811779	15373	Ashley's Niece
811780	202195	Shorty's Dance Partner
811780	352293	Girlfriend
811781	115334	
811782	364180	Newsweek (Herself)
811783	121615	Inmate
811785	188453	Opening Sequence Girl
811786	89188	Hope
811787	69916	Nurse Washington
811787	114296	Medic #1
811788	352963	Herself
811789	114017	Quinns' Maid
811790	36864	Stewardess
811790	79078	Lixie
811790	92416	Bernice Watts
811790	92551	Jean
811790	191945	Lucy
811790	211783	Abortionist's Contact
811790	321224	Foxey
811790	362984	Other
811791	126542	Plastic Party Woman 1
811792	191717	Daisy
811793	90332	Diana
811793	193884	Jean
811794	123420	Josie
811795	203436	Chorus
811796	266109	Dilys
811797	23548	La danseuse
811797	47784	Frau Schmidt
811797	47786	Frau Schmidt
811797	148758	La Duchesse
811797	166168	
811797	214316	
811797	252317	La duchesse
811797	292890	La spekerine
811797	309772	
811798	130434	Hannah Jackson
811799	355184	Rachel
811799	388321	Yasmin McHugh Matthews MacKen
811800	316742	Mexican Woman
811801	381648	Cheryl
811801	401689	
811802	25367	Monica
811803	38930	Voice Characterizations
811804	205411	Black Granny #1
811805	31702	Beach Community Member
811805	360877	Biker Girl
811805	397676	Rachel Smith
811806	292432	Bette Basse
811807	41289	Shirley
811807	49862	Martha
811807	166568	First Judge
811807	187816	
811807	230368	Brenda
811807	292446	Bitter Leaf
811807	302110	Laurette Akande
811807	309890	Mrs. Ashware
811807	363469	Counsellor Edwards
811807	368040	Donna
811807	383461	Sister Jackie Landers
811807	391769	Florrie
811807	393939	Ruby Thomas
811807	395385	Rose
811807	395919	Diane Symmons
811807	405271	Staff Nurse
811807	407656	Liz
811807	409401	Maria (segment "Terra Incogni
811808	270272	Singing Woman at Jigalong
811809	15065	Anna
811810	69468	Brigitte enfant
811810	206008	Émilie
811810	246470	Emilie
811811	116556	
811812	166370	A philosophy student
811813	190595	Chloe
811813	300230	Maiden #2
811813	390771	Hiker (2003)
811814	162364	Prison Singer
811815	66939	Jill, the Goth Girl
811816	47872	
811818	367055	Tornado/Kalidah/Emerald City 
811819	94245	La journaliste de FR3
811819	258635	Elle-même
811819	383114	Herself/Host (1999-2004)
811821	89711	Jenny as a child
811822	7007	Cook
811822	63835	Phyllis
811822	263601	Christy Mathewson
811823	238256	
811824	84696	Mary Gravenoire
811824	280513	Spectator
811826	140162	Woman
811827	32305	Flight Attendant #3, Female T
811827	46251	Corporate Lawyer
811827	61156	Voices
811827	81057	Sally
811828	45591	N.Y. Flight Attendant
811828	77793	Tommy's Mother
811828	186156	Kathleen Arnett
811828	216803	Golden Girl
811828	380391	Collette DuBois (1987)
811828	397479	Dr. Rema Cook
811829	254621	Schoolgirl
811829	278405	
811830	206937	High school girl
811831	68246	Sian
811833	291988	Brenda Beth Boudreaux
811834	291049	Leese's Maid
811835	93241	
811836	77290	The woman patient
811836	154772	Woman in Corridor
811836	164501	Elizabeth Foley
811836	311992	Maude Osgood
811836	327271	Bit Part
811836	372520	
811837	254743	Dr. Clemens
811837	335121	
811838	8090	Felicity
811838	31195	Herself - ABC Team Contestant
811838	31196	ABC Team Contestant
811838	31199	Herself (ABC Team contestant)
811838	75839	Teri Marshall
811838	87325	Lt. Carol Campbell
811838	117528	Evangeline Cote
811838	144612	Ellen Carlyle
811838	149409	Marilyn Monroe
811838	200218	Herself
811838	223977	Showgirl
811838	274016	Paula Bukowsky
811838	342265	Herself
811838	373990	Jane Mitchell
811838	384545	Sandi
811838	388247	Jody Banks (1981-1986)
811838	388860	Tessa Clarke
811838	409381	Host
811839	60159	
811839	85761	
811839	85762	
811839	117150	
811839	183410	
811839	243524	Pregnant Woman in Waiting Roo
811839	364762	
811839	366656	
811840	214443	Assistant from Vacations Inc.
811840	304570	Sabbath Jones
811841	26795	Arden
811841	72416	Annie
811841	185920	Bathing Beauty
811841	232114	Stewardess
811841	277801	Reporter
811841	315998	Eleen Sanders
811842	138814	
811843	14141	Herself
811843	79478	Herself
811843	107353	Herself
811843	263132	Herself
811843	281534	Herself
811843	403967	Our Woman in Wahshington
811844	269102	
811844	277757	
811844	322939	
811844	352389	Marie
811844	376425	
811845	43642	La Vietnamienne
811845	64951	Tattoo Artist's Wife
811845	86727	Femme mission 2
811845	117476	Bar owner
811845	147776	La dame asiatique
811845	190628	Asian lady
811845	284224	La mère de Lang-Vonh
811845	285597	Mina
811845	343331	
811845	346819	
811845	394379	Mme Chaille
811846	220593	Virgin
811847	215697	Miss Wales
811848	186897	Rock 'n Roll Tänzer/Rock 'n R
811849	46105	Sasha
811850	93837	Baptist Choir Soloist
811850	230872	Bess, Serena, Clara and the S
811851	198191	
811851	360769	Martha Sullivan
811852	198191	
811852	218985	
811853	52476	Jitterbug
811853	154895	Jitterbug
811853	228660	Specialty dancer
811853	252381	Jitterbug
811853	321520	Jitterbug Dancer
811854	103459	
811855	25858	Herself
811856	106552	Additional Voices
811856	115079	Doris Rohl
811856	133855	Edith Wallenda
811856	139765	Barbara
811856	162364	Matron Herndon
811856	222571	Jenny
811856	274010	Grandma K
811856	346006	Hospital Nurse #1
811856	358638	Aunt Cynthia
811856	366641	Grandmother Nell
811857	64659	Swimmer
811857	256515	
811858	125800	M.S. Washborough
811858	125801	Ms. Washborough
811858	127508	
811858	129768	Nurse
811858	159486	Teacher
811858	190218	Winnie
811858	223388	Corrine
811858	227926	Martha Simpson
811858	300343	1st Class Stewardess
811858	313489	Additional Voices
811858	367617	Shelia Stewart
811858	368914	Gottlieb
811858	386197	Ruby Bowe
811858	406952	Jada (1998, 1999)
811859	362453	Nike Executive
811860	356792	Helene
811861	374285	Kathy
811862	399079	Naughty Crew Member (1999-200
811863	295487	Beaver (segment "Liontown")
811864	6615	Flo Doyle
811864	37317	Marian Kearney
811864	41994	Carrie
811864	46371	Rose Neuman
811864	69228	
811864	99756	
811864	105641	Della Vaughn
811864	106932	
811864	115715	Alice Trask
811864	120767	Margaret Johnston
811864	126629	
811864	141821	Audrey Munson (on screen)
811864	144634	The Woman
811864	149386	Hannah Thompson
811864	151716	Peasant Sweetheart
811864	157957	Peggy Richmond
811864	186350	Marie
811864	190293	Mary Donovan
811864	194830	Helen
811864	235171	Lois
811864	269365	Gigolette
811864	273822	Florence Corbin
811864	284544	Mary Dixon
811864	292852	Margot
811864	302029	Ruth (play)
811864	337116	Betty Biggs
811864	363990	Cigarstand Girl
811864	366029	
811865	364425	Maureen Mead
811866	193095	Rene
811867	52251	Wagon Woman
811867	55477	Twin #2
811867	350645	Girl #1
811868	303429	Patricia (age 5)
811869	171063	Chantel's and Ty's Baby
811870	160401	Procurer's sweetheart
811870	362446	Zoe Potter
811871	367054	The Wiz Singers Adult Choir
811872	131232	Extra
811873	118849	
811874	230754	Sandra
811875	364358	Lucy
811876	250514	Children's Ward Patient
811877	119581	Fishercats #7
811878	20683	Blondie
811878	43724	Young Blonde
811878	77640	Josie/'Salome'
811878	83876	Mary
811878	131692	Woman in Bikini
811878	295727	Mr. X/Alexandra
811880	235609	Miss Biggs
811881	226891	Mock
811882	224227	Denise
811884	269892	Elderly Woman
811884	333047	Lady on Train
811885	49441	Rapper
811886	16004	The Rivet Eaters
811887	32466	Fly Girl
811887	283713	Club Girl
811887	319567	Debbie
811887	406952	Nurse Michelle (1997)
811888	86218	Lead Female
811888	178279	Marie
811889	199477	Extra
811890	169136	Chorus
811891	67996	Heckler
811891	360712	Celeste
811892	41186	Police Officer #1
811894	92416	Cathy Watts
811896	378616	Assistant (second season)
811897	40864	Nick Cave Fan
811898	168627	Voodoo Dancer
811899	212026	Herself - Presenter
811899	399541	Presenter (2001-)
811900	318204	Girl #1
811902	186511	Bi-Sexual Woman
811903	185111	Carol's Friend
811904	208630	
811905	128546	
811906	41382	Melissa Hunter
811907	382838	Viv (1995)
811908	316501	Student Speaker
811909	276376	Donna's Mother
811910	205833	Kimberly
811911	331467	Lives With Mother
811912	87166	Skater
811913	316327	Pork Chop
811914	312366	Herself
811915	36888	
811915	100073	Bikini Girl
811917	17960	Herself (as Hermes Pan Dancer
811917	31877	
811917	75619	Vivian, the dancer
811917	96741	Curl Up and Dye Dancer
811917	118979	Earl Barton dancer
811917	136290	Goldwyn Girl
811917	157693	
811917	162862	
811917	195879	Chorus girl
811917	223065	High School Girl
811917	279721	Dancer
811917	301558	Specialty Dancer
811917	309858	Dancer
811917	399301	Henrietta Hippo
811918	387287	Sarah Burton (2001-2004)
811919	69899	Claire
811920	73718	Bartender
811920	119466	Josie
811920	128461	
811920	140742	Melanie Daniels
811920	158528	Angie
811920	220821	Debbie Bapson
811920	264158	Cable Show Student Melissa
811921	126548	Aunt at Wedding
811922	235491	
811923	89999	
811924	26079	Additional Voices
811924	26352	Lexi
811925	69985	
811925	170157	Shirah
811925	263116	
811925	354680	Camilla
811926	128332	Dancer
811926	151634	Fashion Model
811927	200864	Anouk Guedj
811927	217745	Woman on Train
811928	402338	Shirley
811929	137696	
811930	16878	Lady Alabaster's Maid
811932	55693	Sally
811932	241536	Sura
811933	114293	Amputee
811934	332771	Police Clerk
811936	20625	Extra
811937	73416	Kate
811937	79280	Violet
811938	185111	Hospital Receptionist
811938	296297	Betty
811939	187186	Sally
811940	5525	Miss Parker
811940	20898	Keely Harris
811940	37401	June
811940	39713	Cindy Baxter
811940	72135	Gail Warren
811940	120742	Kate Durand
811940	143570	Joyce
811940	148281	June Wallace
811940	176755	Pretty Wife
811940	215927	Peg
811940	234887	Della Haines
811940	254283	Patti McKenzie
811940	274279	Peggy Taylor
811940	310136	Laura Greeling
811940	312811	Ruth Ames
811940	317188	
811940	331308	June Parker
811940	331523	Constance
811940	339907	Shirley O'Brien, Gabe's Secre
811940	360740	
811940	366996	Joyce Stewart, the Victim
811941	21913	Herself
811941	57936	Herself
811941	57942	Ginger
811941	257655	Miss August
811941	257835	Miss May 1997
811941	359929	Zen
811942	40034	Sherwin Ex-Housekeeper
811942	40134	Pelly's Housekeeper
811942	41923	Granny
811942	49874	Mary Doherty
811942	68010	Aemilia
811942	71682	Nanny
811942	127193	Mrs. Morgan, Housekeeper
811942	185202	Mts. Thomas
811942	234043	Mrs. Green
811942	246696	Mrs Stoner
811942	250371	Em
811942	280487	
811942	292170	Fenny
811942	308105	3rd Old Lady
811942	312286	Mrs Lloyd
811942	320282	Granny
811942	350006	
811943	290397	Snake's Mom
811944	318607	Churchgoer
811945	197589	Harriet
811945	248878	Zoe, Girl at Camp
811946	252222	Evelyn
811946	253058	Irate Neighbor
811947	302942	
811948	49389	Clairvoyant
811948	178840	Female Teacher
811948	317327	Mamie
811948	385714	Matron
811949	367054	The Wiz Singers Adult Choir
811951	71212	
811951	346711	
811952	4369	Townswoman
811952	40441	Lucy's Assistant
811952	44759	Gloria
811952	150350	Francine, the Secretary
811952	223913	Cafe patron
811952	231925	Girl
811952	274412	Showgirl
811952	314004	Dance hall girl
811952	343160	Girl
811952	363282	Stewardess
811953	44947	
811953	87814	La jeune fille pension Katz
811954	327292	The Mother
811955	257434	Gospel Singer #1
811956	276469	Peggy Norton
811956	342716	Ivy
811957	138822	Blue Hair
811957	256211	Teacher
811957	304281	
811957	330919	Matron
811957	382178	Gossidge
811957	385825	Night sister
811958	2261	Herself
811958	42753	Ideal mother
811958	69771	Tess Lynd
811958	73099	
811958	81541	Ellen McCarthy
811958	84486	Margaret
811958	93091	Herself
811958	119523	Various characters
811958	119525	Herself
811958	121861	Host (segment Sitcoms Dealing
811958	142251	Lucille 'Sis' Levin
811958	158445	Reva Prosky
811958	161259	Herself
811958	161308	Herself
811958	161331	Herself
811958	163286	Mary Bailey Hatch
811958	166720	Jenny
811958	176493	Herself/Voice
811958	194820	Kathryn Beck
811958	234218	Marie Balter
811958	244845	Host
811958	257772	Sheila Goldstein
811958	273271	Blair
811958	276944	Jessie Yates
811958	313830	Linda Phaeffle
811958	314407	Self
811958	329430	Anne Marie
811958	330332	Sally Cramer
811958	339525	Herself
811958	342186	Herself
811958	342714	Julie Portman
811958	344474	Sharon
811958	379065	
811958	383802	
811958	393611	Stella Barnes (1961-1962)
811958	407934	Ann Marie (1966-1971)
811958	409121	Herself
811959	119328	Keenan's High School Friend #
811960	38685	Child in theater
811960	124767	Fiona, Age Eight
811960	133707	Mary, Catherine's Girl (Age 6
811960	177689	Cassandra 'Cassie' Tower, as 
811960	221336	Australia Wiggs
811960	244899	Mattie Carter
811960	266104	Waitress
811960	273513	Guest in Ballroom
811960	323389	Vivian
811960	330809	Bunny
811960	333062	Orphan
811960	358439	Cynthia Caton
811960	365188	Mrs. Kimball's Girl
811961	273555	Tracy
811962	43777	Cindy Bear
811963	16672	
811963	17941	Spirits #3
811963	27213	Mayor Prendergast
811963	41292	Mrs. Carpenter
811963	42785	Reporter #3
811963	80398	Teacher
811963	153565	Hemotologist
811963	234116	Donecker's Secretary
811963	270522	Flag Lady
811963	293020	Lavonne Burke
811963	298279	Joyce
811963	301613	Mrs. Wagner
811963	316191	Therapist
811963	334304	Beth
811964	330057	Architect Babe
811965	313812	Rachelle Rowland
811966	77148	Margaret
811966	321466	Dawn Fraser
811966	329307	Bridesmaid #1
811966	382743	Brigid Maloney
811966	387203	Rebecca (1993)
811966	388323	
811966	389630	
811966	395197	Lily Price
811966	395459	Presenter
811967	45825	Jackie
811968	148432	Vivica Jenson
811968	176992	Mary
811968	257922	Girl in Soda Shop
811968	262514	The Littlest Mermaid
811968	268918	Victim #2
811968	360765	Business Man's Wife
811969	274332	Dancer
811970	367054	The Wiz Singers Children's Ch
811971	93080	Sally Palmer
811971	138348	Telemarketing operator
811971	345689	Anna
811971	372449	Herself
811971	385055	Justine Phillips (1988-1990)
811971	388348	Myra Monkhouse (1992-1998)
811971	411802	Callie Rogers Stark #1 (1998)
811972	200864	Michelle
811972	350343	Sherri
811973	231659	Supermarket checkout girl
811974	200864	Michelle
811975	68978	News Reporter
811976	80035	Girl Clerk
811977	38248	Audrey
811977	105779	Vivian Von Prowe
811978	387287	Sarah Burton (2001-2004)
811979	181135	Aleksia Golodryga
811979	371962	Kolinka
811980	133544	Lord Medway's Mother
811981	186897	Rock 'n Roll Tänzer/Rock 'n R
811983	296863	Sasha
811984	94115	Student Fan
811984	270607	Hanna Fan
811984	283368	Audience Member
811984	324852	Courtroom Member
811985	5664	
811985	18536	
811985	136086	Heike
811985	189627	Karin
811985	369410	Olga
811985	405946	Wiebke Schedlich
811986	77857	Sonia
811986	80418	Penny Brocker
811986	114833	Julie
811986	118026	Margaret Ramsay
811986	193577	Slum Dweller
811986	365616	Sarah
811986	395188	Liz Carroll (1981)
811987	10915	
811987	19022	Mary McCoy
811987	41707	Helen Blakesley
811987	46750	Don Ramon's Daughter
811987	79011	Ruth Wells
811987	139015	Daisy May
811987	200870	Witch
811987	251854	Janet McLeod
811987	360550	Mary Wheeler
811988	51984	Zarlah
811989	205771	Lila
811990	31968	Rita Malone (#10 Playball)
811990	31970	Rita Malone
811990	35366	Betty Mrshll
811990	47301	Fritzi Carlyle
811990	79095	Kitty McCarthy
811990	104964	Claire Curtis
811990	105252	Mary
811990	114997	Ginger King
811990	116498	Doll
811990	116903	Gloria Dawn
811990	128323	Fannie Brooks
811990	129557	Ivis Benson
811990	142147	Helen Thurston
811990	159263	Corinne Chilvers
811990	190988	Minnie Wills
811990	196257	Nancy, later Lady Cleveland
811990	199436	Betty
811990	239992	Herself
811990	245258	Flotsam
811990	266223	Prudence
811990	311402	Tessa Doyle
811990	335117	Choir Member
811990	336560	Toton/Yvonne
811990	348531	Alice Chesterton
811990	372941	Nancy Sherwin
811991	351565	
811992	56217	
811993	351208	Mabel
811994	189162	Nicole
811995	46334	NY Policewoman
811996	150853	Call Girl
811996	319429	
811996	380080	Loris
811996	380939	Eñosa
811996	389639	Ivonne
811997	226929	Patricia
811998	42364	Herself
811998	101729	Herself
811998	183445	
811998	233644	Voz en off
811998	289422	Little Girl
811998	305781	
811998	353530	Herself
811998	372145	Child Dancer
811999	29136	
811999	319732	
811999	395300	
811999	407648	Silvia
812000	354178	The Girls
812001	365259	
812002	65896	Board Member
812002	194220	Dancer
812003	341442	Becky
812003	399415	Holly Curran
812003	407656	Cheryl (2001)
812004	402995	Herself/RR: Down Under
812004	402997	Herself/Road Rulers
812004	403487	Herself/Down Under (1998)
812005	81334	Attractive Brunette
812005	100661	Bride
812005	150984	Diary Woman
812005	177628	
812006	11918	Charity
812006	58941	
812006	82628	Prudence
812006	120318	Queenie
812006	130609	Betty Van Allen
812006	143363	Olivia/Sylvia Meredith
812006	159457	
812006	163549	Prudence
812006	185767	Lady Somerville
812006	191721	Marjorie Hardy
812006	203412	Queenie Clarke
812006	209744	Meg
812006	280071	Biddie Kinsella
812006	285344	Nanda Macdonald
812006	290339	Lady Teazle
812006	316503	The Woman
812006	340633	Trousers
812006	359470	
812006	362455	Madge Kenderby
812006	364031	
812006	367935	Polly/Daphne
812006	368198	Peggy
812007	41923	Gwyneth Williams
812007	54640	Di Evans
812007	79509	
812007	137545	Miss Morgan, Meadows' landlad
812007	141794	Berthe
812007	238630	Betty Parry
812007	266109	Mrs Parry
812007	304339	(Gypsie) Grandma
812007	332767	Mrs. Parry
812007	346020	Mary Ann Sailors
812007	346214	Maria Petrovitch
812007	350006	Mrs. Lloyd
812007	367665	Christine
812007	382601	Myfanwy
812007	387649	Nance Grail
812007	391172	Agnes
812009	3053	Herself - Announcer
812009	395679	Announcer (second season)
812010	136128	Subway Passenger
812010	274257	Hilda
812010	302245	Friend
812011	53284	Wet T-Shirt Contestant
812012	303135	
812012	352835	
812013	51582	
812014	2445	Herself (Denise's Childhood F
812015	362984	Gentleman Farmer's Wife
812016	195818	Girl at radio station
812017	233528	Senior nursing officer
812018	72120	Rachel
812018	382419	Alex Simpson (1987)
812019	1449	Herself
812019	1674	Herself
812019	2394	Herself
812019	2539	Herself (performer, as TLC)
812019	87975	Marli Jacob
812019	140310	Kris
812019	151126	Sex as a Weapon
812019	196048	House Director
812019	221482	Herself
812019	306220	Mona
812019	332402	Lilly (as Chilli)
812019	382536	Herself (Judge)
812020	189916	
812021	37635	Elvira
812021	66226	Brigitte Galuchon
812021	135334	
812021	217705	La seconde fille de René
812021	350741	Marlène
812021	353886	Marie
812021	353936	
812021	398073	Julie
812022	317894	Harmon
812023	217227	Le jeune femme
812023	217809	Maryline
812023	255585	Jeanne
812023	262936	Lucie
812023	388120	
812023	390515	Caroline Leclerc
812024	167866	Mother in Neighborhood
812025	199257	Crab Hunter
812025	219705	Midwife
812025	345787	Glenda
812025	395178	Glenda (1986-)
812025	405271	Maureen Burt
812025	411503	Enid Simmons (Series 2-3) (19
812026	309581	Motion Picture Crew
812027	351896	Checkout girl 1
812028	345807	Secretary
812029	214934	
812029	318755	
812030	52204	TV Reporter
812030	97043	Cameo appearance
812030	114955	Mrs. Unger
812030	132820	Jenny Allen
812030	261049	Angela
812030	264235	Kimberly
812030	267439	Monique James
812030	303553	Tina
812030	313395	Waitress
812030	315211	Casino Waitress
812030	329531	Doctor
812030	362655	Amy Donaldson
812030	364401	Herself
812030	372569	Susan McSween
812030	389858	Mabel (1982)
812030	391453	Paula
812031	37690	Party Girl #3
812031	196327	The blonde
812032	161908	Debby the Cheerleader
812033	11451	Juicy Lucy
812034	228313	Guest At National Archives
812034	389858	Nurse In Admitting (2002)
812035	29395	Additional Voices
812035	123445	Ski Bunny
812035	394431	Train Announcer, Additional V
812035	404127	Additional Voices
812036	91943	Ooga Boobies
812036	201784	
812038	62957	Person in the Villiage
812039	91881	Lady by Phone
812040	245689	Herself
812040	410228	
812041	362588	
812042	73862	Woman
812042	102500	Thorhild the Sarcastic
812042	118949	Judith Cole
812042	214466	Dr. Saxon
812042	277671	Queen Isobel
812042	281883	
812042	312438	The Aunt
812042	350506	Lady Darlington
812042	364818	Aileen Armitage
812042	383772	
812042	397182	
812042	406373	
812042	407667	Susan
812043	213577	Presumed Chorister
812044	4775	
812044	140202	
812044	170667	
812044	181002	
812044	314541	
812044	322561	
812044	347659	Sieglinde
812045	51511	Reporter
812045	179631	Dr. Waldman
812045	200269	Eve
812045	231535	Herself
812045	253336	Celia Brooks
812045	320108	Friend #1
812045	345690	Hostage Woman
812045	384672	
812046	98267	Frau Steinhausen
812046	272502	Sonja
812046	348086	Gräfin Christine Holk
812047	36967	Jessica
812047	108390	Chef Student
812047	131739	Flower girl
812047	203287	
812047	215500	Miss New York
812047	284929	Kara Harmon
812047	406386	Herself
812048	327307	Kristen's Friend
812049	96637	
812049	161495	Angel
812049	366004	Sian's Friend
812050	621	
812050	6721	Herself
812050	6722	Herself
812050	6879	
812050	11150	
812050	26670	
812050	56961	Herself
812050	56962	Herself
812050	64097	
812050	70213	
812050	81076	Itsani
812050	81840	
812050	104672	
812050	147869	
812050	147872	
812050	195821	
812050	195824	
812050	216128	
812050	216425	
812050	236877	
812050	241066	
812050	260816	Herself
812050	310579	
812050	313209	
812050	319214	
812050	345692	
812050	346237	
812050	360249	
812050	361918	Nurse
812050	366750	Nora Breckenridge
812051	234212	Newscaster
812051	271868	Emergency Room Technician #4
812053	157195	Dancer
812053	169139	Wife
812053	350506	Dancer: Slave Dance
812054	97727	Little Girl on Bike
812054	265101	Polly
812055	44384	Anna, Woman in Gypsy Cab
812055	76253	Coliseum Reporter
812055	76526	Skating Coach
812055	81731	Friend of Janice
812056	80513	Natalie
812056	131357	
812056	238410	Angela Perry
812056	384589	Mickey Kollander (1999-2003)
812056	399977	Angela Perry
812057	240975	
812058	310726	Elevator Passenger
812059	115318	Hula Dancer
812060	367055	Aunt Em
812061	356896	Pvt. Whalen
812062	104275	
812064	161331	Herself
812065	210481	Go-Go Dancer
812066	288751	Fighting Woman
812067	50373	
812068	29965	
812068	54658	Talent Agent
812068	128845	
812068	132498	
812068	142703	Bound & Gagged Girl
812068	143981	
812068	247926	
812068	247930	
812068	310025	
812068	312364	
812068	321129	
812068	327755	
812068	333650	
812068	362104	
812069	210539	
812069	235147	
812069	255157	
812069	255161	
812069	255190	
812069	330411	
812070	115062	Aquarian Girl
812072	6768	Head of the Law & Order Leagu
812072	235694	Dowager
812072	314526	
812073	91732	The Real Tara Kane
812073	160887	Gina
812073	385011	The Angel of Good Times and N
812074	114642	Duck's Baby Sister
812074	115161	Playground Kid
812074	192219	Ruth Brown
812074	195642	Sherry
812075	128772	On Air Talent WHTZ 100.3 FM N
812076	262589	St. Matthew's Choir & Band Me
812077	147980	Miriam's double
812078	10670	Circus Aerialist
812079	82545	Bernice
812080	15887	Ensemble Vocals
812080	105280	The Helen Miles Singers
812080	143526	Clio the Muse of History(Muse
812080	143527	Terpischore
812080	251085	Vocalists
812081	316635	Gates
812082	217954	Female Detective
812082	248132	E.R. Doctor
812083	400265	Charlotte Onedin
812084	336863	Herself
812085	264732	Hera
812085	365394	Tess
812086	110338	Sylvia Camille
812087	114944	
812088	240644	Wink/Model
812089	270151	Emergency Room Technician
812090	146879	Consuela
812091	26481	Amerikanerin
812091	315963	Mali
812091	328559	
812091	364873	Cathy
812092	69847	Kate Sanger
812092	184447	Dilwys Colwyn
812092	245814	Maggie Moore
812092	311383	Mrs. Cathcart
812092	347950	
812093	32114	Brunette
812094	216803	Golden Girl
812095	411509	Herself - Co-Anchor (1978-)
812096	12612	Mother
812096	181275	Dr. Glover, PHD
812096	253019	
812096	327620	Claire
812097	119626	Nurse
812097	187627	Madre (en el hospital)
812097	218180	Surgeon #2
812097	350235	Female Master #7
812098	170870	Vonny
812099	325427	
812101	195409	Malka Steinfeld
812102	157688	J. Thomasius
812103	215690	Miss West Virginia USA
812104	348229	Neighborhood Watch Member
812105	21198	Nurse Lyles
812105	49734	Claudia
812105	131227	Joanie (waitress)
812105	277909	Mrs. Evans
812105	340899	Female reporter #1
812106	292596	
812107	39627	Victoria the Chambermaid aka 
812107	46213	Stripper with fire
812107	140133	Sara Evers
812107	161392	Herself
812107	194044	Lucy
812107	223691	Brandy
812107	231524	Beatrice
812107	263606	Nurse
812107	267426	Vicki
812107	285286	Wendy
812107	341522	Sam
812107	383018	Tina (Series 1-2) (2003)
812107	395145	Nessa Holt
812107	396082	Louise (episode "Threesome")
812107	401432	Sally (1997)
812107	401652	Sharon 'Shazza' Pearce
812107	402141	Janice Lafferty
812107	410978	Jacqui Richards (I) (1998-199
812108	299066	Dasher #2
812109	216794	Herself
812110	130004	Maria
812111	150545	Herself - Socialrådgiver, Bol
812112	347148	Nina
812113	267503	Girl Kissing Sam
812114	88067	La joueuse de harpe hollandai
812114	225523	Une badaude
812114	376998	Une supporter
812115	8987	Jeanne
812115	11040	
812115	17626	Laurence
812115	19202	Arlette
812115	32035	Marion Menard
812115	54341	Carole
812115	56948	Catherine
812115	64333	Herself (1995)
812115	66726	Juliette
812115	73142	La nurse
812115	83382	
812115	88697	Florence
812115	91990	
812115	123686	Michèle
812115	153868	Isabelle
812115	158695	France
812115	167173	Ségolène
812115	187751	Thérèse
812115	207020	Geneviève
812115	208829	Henriette
812115	214387	The cousin
812115	246336	Norma
812115	278153	Sophie
812115	285421	Marie
812115	292279	Ines Irrigoyen
812115	321914	
812115	346418	Béatrice
812115	346797	Mélanie
812115	353317	Barbara Franklin
812115	353413	Manou
812115	354398	Anna
812115	377792	Élisa Desmoulin
812115	378055	
812116	269244	La jeune femme
812117	170293	
812118	54759	
812118	67664	
812118	83458	Ana
812118	100721	Sónia, Nair's
812118	101471	
812118	107022	
812118	124235	
812118	162118	
812118	171366	Ana Maria's mother
812118	191402	
812118	204993	Vera
812118	258486	
812118	287484	
812118	314340	
812118	341151	Dona Ana
812118	344778	
812118	353344	(segment "Trajetória, A")
812118	379451	
812118	380330	Odete
812118	380946	
812118	382776	Letícia
812118	383469	
812118	383479	Madame Klotz
812118	387777	Noêmia
812118	389153	Fabíola
812118	390751	Florissa
812118	391313	Madre
812118	393615	Helena
812118	396036	Nanda
812118	396126	Venância
812118	396938	Leila
812118	398255	
812118	399481	Marcolina
812118	400097	Dina
812118	400686	Linda
812118	401243	Valquíria
812118	401979	
812118	402504	Ursula Pelegrini
812118	407024	
812118	407643	Hilda
812118	409410	
812118	409426	July
812119	303194	Smasvanan
812120	383550	China
812121	238601	Inmate
812122	119131	Laura
812122	189547	Joya
812122	248508	Maria
812122	282161	Sarah
812123	40818	
812123	119710	Sybille Lerchenfeld
812123	199495	Liesel
812123	253881	
812123	277584	
812123	319569	Elsa Morandi
812123	378541	
812124	376408	Mutter von Christa
812125	292275	Classroom Teen
812126	172951	
812127	35046	Frau Jucker
812127	36671	Lisa
812127	62173	
812127	171418	Mrs. Jaemmerlin
812127	314853	Antonias Mutter
812127	375869	
812128	210362	Host
812129	186245	
812130	74277	Anna
812130	172683	Angeliki
812130	327691	
812131	215658	Alice
812132	230558	Silverpants
812133	362141	Diane
812134	305778	Bar Girl #9
812135	115161	Terry
812136	303447	Dancer
812137	195262	Crenshaw High School Girl's B
812138	305148	Lisa's Office
812139	243270	Dee Maguire
812140	75284	Jill
812140	80423	Sarah
812140	176950	Monica
812140	203290	Veronica Lang
812140	206159	Sylvia Elkins
812141	38005	Other Ways Demolition Squad s
812142	211496	
812143	220504	Miss Landry
812143	307047	Little girl on stairs
812144	4671	Herself
812144	82401	Nurse Helen Caldwell
812144	89365	Lisa Winston
812144	100747	Ruth in the Booth
812144	135860	The Blonde/Jade Norfleet
812144	150383	Jennifer
812144	194981	Sandy Franzetti
812144	204173	Leslie
812144	232469	Linda
812144	280170	Lois Shayne
812144	321381	Narrator
812144	358708	Hooker
812144	381082	Commercial Telepath Talia Win
812144	383419	Additional Voices
812144	388237	Genele Ericson (1989-1990)
812144	391219	Anchor (2001-2002)
812144	404341	Host
812145	323841	Dancer
812146	37094	Fan
812146	107265	Student
812146	148260	Burger Stand Patron
812146	185219	Herself
812146	230663	Dork
812147	338577	Child
812148	50905	
812148	203724	Undetermined Role
812149	234083	Laura Hay
812150	20287	Dancer
812150	77805	Chorus girl
812151	11240	
812152	40902	Herself
812153	193207	Switchboard Operator
812154	160529	Kid
812155	378710	Elf Girl
812156	105881	Georgia
812157	267684	Queen Malvina
812158	303226	Classroom Kid
812159	149258	Cotton Club Dancer
812160	390812	Betty Becker (# ?) (2001)
812161	269800	Lori
812162	26763	Flo
812162	321261	Sadie
812163	307374	Loyalist refugee
812164	93605	Lucille Dreyfus
812164	239567	Quilp's wife
812164	282626	Julie Cavendish
812164	315722	Lady Camber
812165	213159	Pretty Girl
812166	26289	Identical Twin
812166	131258	Siamese-twin
812166	213178	Peggy
812167	7498	Chorus Girl
812167	41759	Beverly, party guest
812167	41930	
812167	64090	Junior Leaguer
812167	94881	School Kid
812167	109897	Nurse
812167	119803	Model
812167	128342	Susie
812167	154083	Blonde
812167	183443	Hat Check Girl
812167	188403	Reporter
812167	190179	Party Guest
812167	211602	Girl at Maxim's
812167	211815	Mrs. Lucy Bigelow
812167	237598	Girl (The Last Leaf)
812167	286304	Second Model
812167	315483	Showgirl
812167	334162	WAC
812167	361294	Elevator operator
812167	366793	USO girl
812167	367746	Model
812168	347066	Ida From Idaho (Fat Lady)
812169	208398	Amy
812170	21525	Molly Moran
812170	95218	
812170	127176	
812171	361224	William Morris Agent #3
812172	289650	Hooker
812173	97042	Rick's Ex-Wife
812173	129772	Female Sadist
812173	390240	Quinn
812174	355212	Screaming Woman
812175	143284	Julie
812176	150054	Herself - Contestant
812177	65174	Celeste
812178	102795	
812179	204893	Herself
812180	226905	Child
812181	301678	Hospital Staff
812181	373538	
812182	26289	Identical - Babysitter
812182	131258	Siamese-twin
812182	170852	Miss Van Dyke
812182	213178	Lulu
812183	75465	Gloria
812183	115003	Jackie
812183	202533	Mona
812184	87166	Teeniebopper
812185	331556	
812186	162886	Danielle
812187	206795	Louise Jones
812188	360467	Liz Shakemen
812189	129580	
812189	142668	Missy
812189	213603	Tommy's Sister (video 'Silent
812189	372244	School Girl #2
812190	133003	
812191	13292	Patron
812192	75406	Young Lucy
812193	274344	Baby
812194	186681	Angel of Mercy
812195	241811	Girl with drug dealer
812196	109633	Stunt Woman
812196	327781	
812197	383882	Imogen Lander
812198	271262	Catherine
812198	311923	Theresa's Daughter
812199	226905	Tribe member
812200	370868	
812201	53143	Cissy
812201	57381	Eba
812201	235471	Third Hooker
812201	276160	Angel
812201	335230	Amanda
812202	193725	Hooker #1
812203	311253	Linda
812205	52415	Sarah Winston
812205	87922	Mrs. Pomade
812205	113547	Mary's Mom
812205	318865	Surdama Kir, Mas Ora
812206	345312	Herself
812207	38103	Hair Woman #2
812208	286423	Toe Ring Date
812209	201327	Head Umpire
812209	214934	
812210	163245	Miss Reid
812210	176834	Grace Flanders
812210	183823	Collie Minor
812210	195652	
812210	241078	Mary Frobisher
812210	340327	Tess
812211	130947	Suzanne
812212	62036	Matt's Students
812213	238914	Luke
812214	147127	Bank Teller
812215	37033	Jenny
812215	194313	Livy
812215	230027	Flight Attendant
812216	36856	Manicurist
812216	63034	
812216	105075	Hula Dancer at Equator Club
812216	222768	Guest
812216	313076	Dancer
812216	342859	College Girl
812217	8300	
812217	19278	Irma Goodman
812217	32157	Mary Crawford
812217	44504	Helen Pearson
812217	67125	Phyllis
812217	83632	Ann Farnham
812217	108022	
812217	112384	Jane Anderson
812217	116136	Sally Brown
812217	120836	
812217	143415	Joan Stanton
812217	147754	Switchboard Operator
812217	153181	Helen Gray
812217	193366	Dot Marshall
812217	224643	Helen Dresden
812217	241419	Neely
812217	254525	Patsy O'Brien
812217	254915	Mabel Lancing
812217	258253	
812217	263476	Mary Franklin
812217	301593	Patsy Wade
812217	304996	Kate
812217	307952	Mary Griggs
812217	321289	
812217	323488	
812217	333646	Crystal Annie
812217	348241	
812217	349559	His Wife
812217	356281	Mary
812217	367085	Jenny Adams
812218	37192	
812219	272873	Mrs. Allan
812220	248260	
812221	54754	Margie
812221	73926	Medicine
812221	200493	Skinner's woman
812221	223893	CIU Nurse
812221	275233	Girl 1
812221	291235	
812221	296755	Betty
812221	357994	Woman Patient
812221	372755	
812222	73551	Audience Member
812222	82521	
812223	176855	
812224	87295	Dr. Seaver
812225	66655	Judith Davis
812225	258549	Jane
812225	293775	Lauren Robbs
812226	321729	Partygoer 3
812227	155861	Diane
812227	191909	Queen Tilla
812227	210767	Jill
812227	212103	Serena Slocum
812227	216970	The Count's Girlfriend
812227	367551	Elizabeth Hill
812227	389858	Ashley (1998)
812227	401930	Ashley Brent (1998)
812228	195771	Person in Restaurant
812229	846	#93 Celebrity Rejections: Bas
812229	2909	Herself - Best Actress Winner
812229	2921	Herself - Presenter: Best Act
812229	2930	Herself - Best Adapted Screen
812229	41725	Marie Bonnar
812229	46418	Herself (N.Y. Premiere)
812229	52798	Various Characters
812229	55643	Dora Carrington
812229	74298	Various roles
812229	80379	Grace/Margaret Strauss
812229	113028	Herself
812229	139655	Professor Sybil Trelawney
812229	142920	Katherine
812229	149910	Elephant Woman
812229	151761	Margaret Schlegel
812229	156882	Cecilia
812229	157283	Duchess D'Antan
812229	158358	Gareth Peirce
812229	169859	FBI Agent Sadie Hawkins
812229	170843	Dr. Diana Reddin
812229	179070	
812229	194170	Alison Porter
812229	195300	Karen
812229	208632	Druscilla
812229	221536	Beatrice
812229	223885	Isabel
812229	227470	Nanny McPhee
812229	232025	
812229	253950	Maggie Chester
812229	263755	Susan Stanton
812229	275390	Miss Kenton
812229	294217	Elinor Dashwood
812229	324028	Kate Lemmon
812229	338821	Captain Amelia
812229	360426	Herself
812229	366377	Catherine Winslow
812229	366405	Frances
812229	366697	Vivian Bearing
812229	379643	Various roles
812229	380256	The Angel of America/Nurse Em
812229	389146	Harriet Pringle
812229	408095	Various roles
812229	409090	Suzy Kettles
812230	137663	Casey
812231	276840	Renne Davis
812232	209133	Dawn Schweitzer
812233	244345	Myrtle Morrison
812234	322837	Additional Voices
812235	389041	Herself
812236	33094	Morgana La Fey
812237	202227	
812238	162402	Dorothy Delamore
812239	75514	
812239	96657	
812239	134451	Beth Grant
812239	203171	
812239	214147	
812239	220316	
812239	289628	Edith Jackson
812239	350000	
812240	54390	Fairy queen
812240	202907	Maid
812240	224406	Baroness
812241	119316	Tammy
812241	165976	Shirley
812241	237783	School Child
812241	241467	Tara
812242	37516	
812242	41319	Master's Assistant
812242	41384	
812242	84143	
812242	194115	Lupe
812242	215819	
812242	321580	
812243	289556	Sadie Thompson
812244	96905	
812245	74045	Debbie Porter
812245	107947	Narrator
812245	122076	Cheryl
812245	126730	Cynthia
812245	133456	Julie Wilkes
812245	144341	Acacia
812245	151461	Bootsie
812245	155857	Shelly Ferguson
812245	204217	Lizabeth Barrett
812245	206942	Hilarie
812245	216820	Girl Hippie
812245	232385	Pam (stewardess, victim of Wu
812245	363262	Hilarie
812245	379064	Veronica
812245	396740	Lizabeth Barrett
812245	399817	Sharon St. Clair
812245	400352	Lt. Betty Wheeler (1978-1979)
812245	410617	Ginger Forehead
812245	411826	Elizabeth Coates
812246	342924	Juror in red
812247	126108	
812248	255360	Girl in Bush
812249	9972	
812249	44936	
812249	53961	
812249	77805	Chorus girl
812249	153617	Woman on boat
812249	183591	Chorus girl
812249	273781	
812249	342394	Stage actress
812249	342859	Lord Ralston's Guest
812249	362752	
812250	113658	Celebrant
812251	28852	Token blond girl
812251	45825	Shannon Braithwaite
812251	71665	Valerie
812251	347852	Shauna
812252	302739	Showgirl
812253	293771	Mrs. Ruth
812254	4618	Handmaiden (Miss Louisiana)
812254	215909	Bridesmaid
812255	411164	Debby Trout
812256	81640	
812256	149107	Delia
812256	191755	Penelope
812256	245265	Lisa Tobin
812256	391071	Dee Johnson
812257	270638	Crystal
812258	14043	Herself
812258	362304	Herself
812260	317248	
812261	34949	Edna Pilbeam
812263	34913	Teenage choirgirl
812264	137565	Karen
812265	278518	Herself
812266	46105	Jade
812267	257296	Friend at Leo's Party
812267	330445	Molly
812268	330445	Molly
812269	21243	
812269	66763	Lucy
812269	80793	Stacey
812269	81104	Tori
812269	90344	Mary
812269	110286	Stacey
812269	110314	Crash Site Girl
812269	140967	Party Girl
812269	142621	Tawny
812269	215860	Pretty Girl #1
812269	252906	Justine Freedman
812269	297382	Margie
812269	384589	Carmen Janega (2003)
812269	400548	
812270	137565	Karen
812271	241494	Mrs. Monaghan
812271	246214	Banana Airlines Passenger
812271	265678	Jude Cunningham
812271	304237	Karen
812271	338272	Caroline
812271	382590	Helen
812272	151404	
812273	239829	Granny Ensemble 4
812275	366036	Girlfriend of Sailor
812276	151176	Jennie
812276	169470	Girl 3
812276	333058	Peg
812277	302739	Showgirl
812278	99593	Featured
812278	330314	Crime scene investigator
812279	57929	Stage Manager
812280	23593	The young Attracta
812280	73337	Susan
812280	390163	Terry Killeen
812281	97513	Judy Staines
812281	137575	Bookshop Patron
812282	274344	Group Walla
812283	58624	
812284	327516	
812285	76951	Lee-Anne
812286	121819	Maggie Prescott
812286	176321	Matron
812286	327241	Miss Gregory
812287	339445	Sympathetic Girl
812288	139294	Angela Adkins
812289	11506	Narrator
812290	130685	Darlene
812291	208300	Nurse
812291	277764	New Receptionist
812291	337336	Officer Beeler
812292	329342	Alexandra Small
812293	100887	Featured Performer
812294	219554	Flora
812295	154959	Police Officer
812296	77664	
812296	129627	Susie Spirit
812296	192347	Bethanne
812296	390180	Susie Spirit
812297	342924	Big Men Big Women Dancer/Fema
812298	11537	Lisa
812298	21198	Dr. Robin Van Dorn
812298	26844	Lorraine Baines McFly
812298	26846	Lorraine Baines/McFly/Tannen
812298	26847	Maggie McFly/Lorraine McFly
812298	35506	Laura Jackson/Laurette Voleur
812298	56654	Stacy
812298	67786	Carol
812298	82899	Mrs. Alice Mitchell
812298	98834	Geri Meyers
812298	114353	Clara
812298	140125	Peg Van Legge
812298	151758	Beverly Switzler
812298	161305	Herself
812298	165966	Kelly Ann Bukowski
812298	192187	Ms. Roberts
812298	218472	Peg Guthrie
812298	224824	Cecily 'Sissy' Loper
812298	232356	Sally Matthews
812298	274052	Erica
812298	278279	Christine Paley
812298	295636	Herself
812298	307902	Amanda Jones
812298	310186	Kathryn Fairly
812298	314155	Sarah Gibson
812298	315076	Annie Beales
812298	317890	Amy Hightower
812298	342182	Host
812298	342183	(Host)
812298	347327	Melissa Cavatelli
812298	347692	Brianne Hawkins
812298	365341	Anita
812298	367062	Sybil
812298	371059	Marigold de la Hunt
812298	383502	Caroline Duffy
812298	389070	Chief Dep. Dist. Atty. Camill
812298	392422	Herself
812298	392423	Herself
812298	411176	Amanda Steward
812299	189987	Morgan Hall Coed
812300	260250	Louise Hocheimer
812301	42842	Academy Member
812301	279843	Mother with Baby
812301	298315	Julie
812301	330750	Herself
812301	331556	Debbie
812301	356350	Herself - Choir Member
812301	391281	Herself (1977-1992)
812302	260629	Neighbor
812303	104751	German entry (15th place)
812305	195540	Susan
812306	189853	Herself
812307	191738	
812308	118726	Sarah
812308	311037	Mary Jane's friend
812309	127627	Beach Dancer
812310	150075	Hip Hop Dancer
812310	313825	Nightclub Dancer
812311	26838	Punk Baby
812313	190	Ann Givens
812313	18197	Lady at ball
812313	56249	Rosalind Byrne
812313	72279	
812313	73394	Diasy Lanning
812313	83579	Helen Marsden
812313	86530	Betty Roberts
812313	86932	Peggy Garvin aged 17
812313	115111	Bessie Lang
812313	116575	Blond Gold Digger (modern seq
812313	116790	Party guest
812313	119373	Sally
812313	154230	Reeves' Secretary
812313	169387	
812313	179048	Eileen Barker
812313	193694	
812313	199272	Eve
812313	230561	Lucy Nichols
812313	241503	Millicent Delacey
812313	254546	Grace Darling
812313	255327	Maid
812313	260875	Anne
812313	262727	Golden Girl
812313	263966	Lady in Waiting
812313	274051	Woman Private
812313	278038	
812313	299165	Miss Harrison
812313	327862	
812313	328664	Eileen
812313	331758	
812313	337132	Adelaide Townie
812313	365622	
812313	371014	Anne Pendleton
812315	44505	Doris, the saloon girl
812315	330392	Bit Part
812316	16878	Linen Maid
812317	264913	Hospital Receptionist
812318	143128	
812319	39399	Stalacia, The Fairy Queen
812320	68086	Herself
812321	12273	Dris Keith
812321	26754	Muriel Brooks
812321	41345	Dixie Du Fresne
812321	54520	
812321	56441	Grace Lytton
812321	69669	Lillian Madison
812321	88039	Maizie
812321	104964	Mary
812321	114859	Dolly
812321	123898	
812321	149190	Grace Dryker
812321	155304	Evelyn Deering
812321	175589	Doris Maitland
812321	207869	Eleanor Ames
812321	277335	Pinkie
812321	283303	Good Fairy
812321	288437	Hattie Ellis
812321	298286	Helen von Altman
812321	302405	Rose Darrow
812321	314489	Flora Alden
812321	331057	Betty Ainslee
812321	333267	Rose
812321	360550	Marjory Lawton
812321	368128	Gertrude Van Hoosen
812322	179425	2nd Tenant
812322	267568	Movie Audience
812323	248707	Kim
812324	405936	Clara
812325	182507	Himiko (Dub)
812325	370464	
812326	254540	Juror
812327	288748	Pam
812328	115085	Aunt Meg
812328	131961	Jean Mutrie
812328	407414	Grace Lachlan
812329	39175	Vivian, Blonde Wife
812329	73190	
812329	331664	Amy's Girlfriend #1
812329	400808	Valerie Hunter
812329	403542	Abby Normal
812330	80539	Command Center Civilian
812331	364281	Candy Store Girl
812332	97206	Prospective Roommate
812333	304355	
812334	253227	Grandma Whittle
812334	273177	The Babe
812335	119096	The KDA Housemother
812336	194074	Radio Voice 2
812337	32052	Elderly Couple in Restaurant
812337	273344	Elderly Woman
812338	283944	Elderly Woman
812340	295326	Slinky Girl
812341	397858	Mai-ling
812343	61672	Lynnell (Age 12)
812343	80491	Laura Blake
812343	164687	Jacqui
812343	318768	Miss Freeman
812344	23452	Jaime Lee
812344	224353	
812344	263170	Maid/Terrorist
812345	63342	Cocktail Waitress
812346	197715	Indiana
812347	130432	His wife
812347	170615	
812347	230436	
812347	244791	His wife
812347	341000	His wife
812348	337341	Justine Littlewood
812348	384483	Allegra
812348	406636	Justine Littlewood
812349	274268	Claire/Red
812350	131232	Extra
812351	131232	Extra
812352	131232	Extra
812353	343197	Mrs. Maxwell
812354	265558	Herself - in fur coat and clo
812355	361647	Phyllis Parker
812356	387533	Ms. Clough (January 2000)
812357	206414	Santley's Secretary
812357	278544	Cecelia 'Cissy' Reardon
812357	299163	Girl Talking to Hillary
812357	325154	Telephone Operator
812357	347061	Girl at party
812357	350484	Margaret Yancey
812358	330570	Port Antonio superintendent
812359	99137	Dancer
812360	288948	Commune Woman #3
812362	196038	Store Employee
812364	76951	Pepper
812365	1020	Dispatcher
812365	111283	Clerk
812366	131559	Hospital nurse
812367	47993	Bartender
812368	150351	Nun Not in This Movie
812369	251454	Miss Prume
812370	74215	Flo Wilkins
812371	335358	Millie
812371	358535	
812372	76542	
812372	241600	Sam's mother
812372	403244	Carol Archer
812372	405960	Diane Ball
812373	141730	
812374	155216	Herself - a Skater
812375	82449	Helen's secretary
812375	345864	Herself (Helen Keller's compa
812376	382531	Catherine Gilder
812377	212048	Julie
812378	131232	Extra
812379	82551	Secretary
812380	7007	Widow Douglas
812380	7011	
812380	16337	Andre's Mother
812380	18549	Gertie
812380	83934	Claire
812380	101722	Phoebe Rice
812380	109620	Maria Pello
812380	110301	Pearl
812380	120086	Narrator
812380	148247	Pastine Tibbetts
812380	159200	Virginia McMartin
812380	224379	Dorothea
812380	244926	Mrs. Gibbs
812380	250779	Sister Evangeline
812380	259749	Stella Pollock
812380	264154	Marsha
812380	267607	Ruth Lawrence
812380	303999	Mrs. Antrobus
812380	330772	
812380	388362	Kate Lawrence
812380	395660	Mary Todd Lincoln
812380	396820	Aunt Flora
812380	402605	
812381	101380	Nikki Knight
812382	403143	Molly
812383	193572	Woman in Church
812383	248116	Dr. Gemmel
812384	281413	
812385	313477	Rune Haako
812386	272518	Liz Ellesworth
812387	74011	Danielle Sherman
812387	155277	Beth
812387	182984	Cindy
812387	202387	Krista the Barista
812387	358438	Erica
812388	86702	Herself
812389	254256	
812389	254257	
812389	254259	
812389	327519	Floating woman
812390	187419	Indian Woman #2
812391	154574	Marie Becker
812391	267474	Jeanette
812391	292473	
812392	187315	
812392	199273	Jasmine
812392	296297	Hooker
812393	3961	Geena
812393	3962	Geena
812393	3963	Geena
812393	40543	Wilma Vandervelt
812393	147381	Executive Secretary
812393	171178	Eleanor Tilson
812393	183213	Stepmother
812393	208331	Dorothea Tanning (English ver
812393	219420	Nurse Perse
812393	362860	Diane
812393	397707	Rita King (1989-1994)
812393	408711	Barbara Lahey
812393	408968	Wife
812394	385218	Herself
812395	35362	Narrator
812396	55277	Maria
812396	115150	Brenda
812396	282545	Mrs. Wheeler
812396	286852	Brain Dog
812397	57489	Video Set Dancer
812398	43349	Jillie Harris
812398	68680	Amy
812398	68755	Val
812398	77758	Rose Mundy
812398	81179	Doris
812398	87635	Herself/Ophelia
812398	99951	Miss Bates
812398	109590	Tracey
812398	118393	Lydia the bride (Wedding two)
812398	132122	Dorothy (Still Room Maid)
812398	135166	1st Girl
812398	207402	Agatha, Milverton's Maid
812398	211748	Gillian Player
812398	215892	Mission Girl
812398	231439	Miss Lacreevy
812398	253542	Mary Musgrove
812398	271155	Mrs. Perks
812398	275291	Dora Moxton 'Moxie'
812398	292575	
812398	341670	Louise Stubbs
812398	342435	Francesca
812398	363883	Amy
812398	372773	Bessie Topp
812398	382234	Caroline Holdcroft
812398	395336	Heather
812398	399138	Clare Priddy (1994-1995)
812398	401365	
812398	408095	Various roles
812398	408785	Penelope
812399	14203	Girl on Corner
812400	379454	Ranger Stacey
812400	408623	Herself/Ranger Stacy
812401	360645	
812402	228785	Interviewer
812403	116138	Annoyed Surgical Nurse
812404	81233	Herself
812405	142168	Receptionist
812406	10886	Lorraine Clark
812406	13712	Beth Ann
812406	28476	
812406	34387	Grace
812406	52202	Christine
812406	92865	Emily Darrow
812406	127295	Peggy Lloyd
812406	144863	Amy Kane
812406	158313	Meg
812406	158314	Sylvia Whitmire
812406	158321	
812406	184099	Denise Hydecker
812406	191836	Patty Floyd
812406	199114	Janet
812406	265742	Marina Baiul
812406	272026	Peyton Van Den Broeck
812406	304557	Connie Collins
812406	362675	Janet
812406	367606	Receptionist
812406	400209	Karen Sammler
812406	406554	Charlotte
812407	113634	A Girl
812407	317354	Student
812409	79938	Parking Officer
812410	109474	Girl at Bank
812411	323804	Martha Jo Seybolt
812412	305435	Louise Goldin
812413	41401	Secretary
812413	83651	Gabi
812413	248448	Rachel Smithers
812413	314442	Secretary
812414	291231	Miss Beaver
812415	398312	Shelley Carver
812416	70374	
812417	13995	Herself
812417	380016	Herself/Final Group Member #1
812418	315801	
812419	81123	Liz Crampton
812419	154071	Hospital Sister
812419	336655	Tina
812419	382506	Linda (receptionist) (1987-19
812419	397299	Dr. Alison Makin, house offic
812420	12213	Restaurant Woman #2
812420	46299	Myra
812420	46443	Myra
812420	78773	Murder Victim
812420	206439	Meg
812420	319919	Clarissa
812421	80402	Mother
812421	115011	Cashier
812421	185297	Connie
812422	312714	Dealer
812423	84935	Susan
812424	7413	Orphan
812424	33646	Jane Gilbreth
812424	60162	Jane, at age 2
812424	216026	Louella, Herbie's Sister
812424	347732	One of maria's children
812426	166643	Jessica Goodyear
812427	13995	Herself
812427	380016	Herself/Final Group Member #2
812428	269658	Lisa
812428	365137	Lorraine
812429	364322	Nancy
812430	154087	Abortionist
812430	401828	Eye Hospital Sister
812431	60361	Twinkle
812432	132212	Malevola
812432	358642	Brenda
812433	139577	Beth Hillyer
812433	139578	Beth Hillyer
812433	202982	
812433	380391	Janice Frame Cory #1 (1972-19
812434	210825	Kisenga's Mother
812435	127394	Judy II, age 2
812436	134043	Sister Carter
812436	208053	Nurse
812436	223764	Nurse
812437	303611	Acting workshop student
812437	330701	Skinny Girl
812438	245099	Barbara
812439	296032	Herself
812439	375223	Female Porn Star
812440	408691	
812441	194246	Bunny
812442	203062	Rider
812443	402037	Herself
812444	75650	Magistrate
812445	264432	Kabilya
812446	226894	Laura
812447	101133	Nurse #1
812448	362152	Polly Heke
812449	347039	
812450	178779	Walti
812450	289821	
812451	158032	Herself
812452	239152	Zwillinge Anna und Lena
812453	13731	Terri
812453	47897	Mother
812453	60810	
812453	260705	Andrea
812453	380709	Sasha
812453	411374	Mahandra McGinty
812455	78435	Isle
812455	104644	Mrs. Ravenstein
812455	109141	Grethe Wahlin
812455	136733	
812455	154624	Lillian
812455	179817	Harriet
812455	183106	Susanne Rudholm
812455	218886	Frk. Petersen
812455	228358	Lilli
812455	248576	Bergs sekretær
812455	305308	
812455	306973	Rose Philipson
812455	346966	Birthe
812455	368732	Marie
812456	306778	Herself (hovedbestyrelsen)
812457	2781	VIP Patron
812457	83068	Guide på Kronborg
812457	89785	Lithuanian Sharpshooter
812457	335336	Prof. Inga Bergstrom
812458	258748	Lotte
812459	23242	Eva Burns
812459	78438	
812459	135698	Lily, godsejerens datter
812459	136258	
812459	142801	
812459	142805	
812459	147267	Leonie
812459	150612	
812459	198022	
812459	222446	
812459	240216	
812459	242965	
812459	293852	
812459	304207	
812459	309304	
812459	314985	
812459	315394	
812459	317601	
812459	352122	
812459	375089	
812460	379627	Frau Schubert
812461	14383	
812462	138930	Alice
812463	134970	
812464	93514	Marianne
812465	326049	Marlene
812466	172843	Frk. Gulliksen
812466	214353	Leieboerens kone
812466	315379	Georgine
812466	352204	Dina, deres datter
812467	125630	Regine Engstrand, i huset hos
812467	154624	Lis
812467	173148	Præstedatteren Rosa
812467	181304	Rosa Pripp
812467	213436	Janne Petersen
812467	214371	Havfrue
812467	237300	Rosa Pripp
812467	284392	Sanne
812467	346993	Odile
812468	111557	Extra
812469	170848	Herself - Participant/Perform
812469	212334	Herself - Participant/Perform
812470	190817	
812471	290721	Flutist
812472	146992	Monika
812473	225688	Martin's kone
812474	252195	Døvstum kvinde
812475	7780	Misse Lillebil
812475	12513	Sekretær Iversen
812475	37904	Gurle Steen
812475	39128	Inger
812475	49140	Damen i caféen
812475	78290	
812475	87736	Aase Iversen
812475	95906	Ane
812475	117459	Edith 'Ditte-mor' Hansen
812475	136619	Betty
812475	153365	Oles mor
812475	153382	Dyveke
812475	154131	Korpigen Nelly
812475	154136	Jytte
812475	154624	Kvinden
812475	164767	Patient hos Ulla Pauce
812475	166599	
812475	166774	Betty
812475	181237	Nyhavnpigen
812475	184553	Kvinde der danser med Frederi
812475	191469	Skuespiller Nanna Johansen
812475	213334	
812475	213438	Fru. Holm
812475	213440	Fru Holm
812475	214350	Grosserer Thomsens sekretær C
812475	218886	Lykkes veninde
812475	237277	Danselærerinde
812475	237404	Enke
812475	287552	
812475	317649	
812475	322468	Datter paa kroen
812475	328516	S-togspassager
812475	346992	Danserinde Vivi Petersen
812475	351039	
812475	365016	Grethe Andersen
812476	379778	Narrator
812476	386347	Narrator
812476	403141	Herself - Host
812477	353003	Lotta
812478	320228	
812479	212334	Herself - Participant/Perform
812480	38248	Kami Tannenbaum
812480	209209	Featured Zombie/Zombie Victim
812480	209210	Lt. Janet Hapsburg
812481	391869	Finlay Roberts (1991-1994, 19
812481	405062	Debbie
812482	340077	Trine, Steen's datter
812483	109133	Herself - cand.psych.
812484	31437	Nemo
812484	78323	Jean
812484	154368	Herself
812484	202849	Jo
812484	232872	Parsons' girl
812484	271154	Phyllis Waterbury
812484	279171	Penny Holmes
812484	295472	Gerty
812484	316476	Janice Hedden
812484	346944	Herself
812484	395246	Herself/'Jo'
812484	396655	Jo
812484	410010	Jennifer Villiers
812484	410011	Jennifer Villiers
812485	289393	Mrs. Wright Sr
812486	275435	The Girlfriend
812487	75822	Lorie
812487	81178	Angela
812487	151670	Carla
812487	219901	
812489	130622	Gold Digger
812490	221128	Doreen
812491	73958	Doris Stevens
812492	383316	Co-host
812493	61572	Social Worker
812493	245611	Lacey
812494	367498	Gypsy Child
812495	60866	Tina Marlowe
812496	67567	Miss Elsenback
812496	242774	Lt. Ruth Colfax
812496	258888	Esmerelda
812496	400352	Lt. Ruth Colfax (1977-1978)
812497	40104	Sandra Miller
812497	41400	Mary Huston
812497	126624	Marion Barrington
812497	173349	TV Announcer
812497	236150	Claire Munson
812497	310240	Wendy
812497	316140	Lulu
812497	329307	Emma
812497	381119	Tracy Lafever
812498	83340	Adolescente
812499	234955	
812500	388477	Brittany James
812500	405159	Krystal Mabbs
812501	194528	Girlfriend
812501	249611	Brenda
812501	291296	Lady Anne
812502	44062	Woman
812502	46674	Gillian Walcott
812502	138234	Sophy DeVere
812502	166635	Lucy Harris
812502	172666	Mother
812502	208892	Laura Cooper
812502	211503	Ninianne
812502	222565	Francesca Lavin
812502	253343	Cathy Bramwell
812502	264157	Reporter Elsie
812502	314157	Heloise
812502	324028	Cheryl
812502	347708	
812502	367299	Linda Grover
812502	378710	Queen Riding Hood III
812502	381127	Sian
812502	382875	Lesley Bainbridge (1986)
812502	385139	Sally Jupp
812502	390574	Estella
812502	394456	Kate MacRenny
812502	395529	Elsie Flowers
812502	396111	Becky Edwards
812502	397219	Laura Cooper
812502	410256	Samantha Valentine
812502	410573	Beatrice
812503	72808	Adult Helen
812503	115890	Barb
812503	154600	
812503	155057	Claudia
812503	184572	
812503	186306	Myrah
812503	208088	Romaine Patterson
812503	230111	Pat Lindsay
812503	266071	Kate
812503	276039	
812504	381970	Chorus Line Member
812504	395961	Interviewer
812504	398937	Host
812504	410716	Host (1969)
812505	110264	Waitress
812506	317303	Dream Girl
812507	11417	The Nurse
812507	141416	Irritated Wedding Guest
812507	179424	Secretary
812507	270622	Nightclub Customer
812507	303455	Grandmother at Baptism
812507	340860	Mom
812508	342469	Thelma
812510	405209	Scarlett Valentine (2004-)
812511	74215	Sandra Kambouris
812511	202510	Sister Margaret Beattie
812511	254591	Edith
812511	296947	Mary Carter
812511	316881	Shirley Hastings, Scott's mot
812511	382613	Doris Toomer
812511	401828	Mrs. Drummy
812511	411245	Alison (episode 8: Tarflowers
812512	123019	Mother
812513	22821	Hyang Won Park
812513	42338	Featured: Telethon girl for a
812513	49656	Playboy Bunny
812513	110256	Additional Voices
812513	278830	Female Accident Reporter
812513	283102	Japanese Tourists
812513	323884	Student
812513	367083	Girl on Suitecase/Dancer
812513	408265	Daily Gameshow Model
812514	264147	First dressmaker
812515	97727	Young Woman/TV
812516	101462	Duty clerk
812516	292224	Peters' secretary
812516	388321	Samantha Burrell (2001)
812517	302236	German Tourist
812518	263825	Rachel Granger
812518	406779	Herself
812519	72877	Court Stenographer (segment "
812520	158056	Countess Cassandra Grine of G
812521	330680	Jules
812522	131961	
812523	311358	Mercedes
812524	385162	Katie Fitzgerald (1993-1995)
812525	69898	Reporter
812525	80594	Chrissie
812525	318495	Orange One
812526	84807	Cocktail server
812527	30258	Sylvia von Cander
812528	73518	
812529	122458	Anna
812529	153902	
812531	254718	
812532	230141	
812533	190037	Party Girl
812534	395895	Hostess (2002)
812534	409310	Herself (2002)
812535	180663	Tapaothong
812535	319966	Phra Akrachaya
812536	234573	Amélie Fortin
812536	382573	
812537	19759	
812539	40509	Jan
812539	150885	Melissa
812540	390142	Herself - Host
812540	399880	Herself
812540	409175	Herself - Host
812541	308805	Andrea
812542	389734	Police officer (driver)
812543	11549	Ami
812544	1680	Lucy
812544	2164	Elizabeth
812544	17549	
812544	47850	Silin Lehane
812544	61695	Milly Ark
812544	74021	Doris Ferraby
812544	82275	Anne Curlew
812544	83786	Barbara Winters
812544	90263	Stella
812544	103444	Terry
812544	109419	Barbara
812544	122057	Jenny Trevenyan
812544	149649	Pat
812544	207483	Leila
812544	243260	Veronica Bellamy
812544	255261	Arabella Allen
812544	263514	Audrey Truscott
812544	281475	Doreen O'Flynn
812544	289569	Claire Judd
812544	310333	Lady Eleanor
812544	335130	Forest Queen
812544	336652	Peggy Fletcher
812544	338041	Judy
812544	339442	Mitzi (segment "American Duel
812544	340730	Jane
812544	389170	Vicky (Richard Conte episodes
812544	407483	Jessica
812545	367471	Bridesmaid
812546	33228	Marens mor Stine
812546	78471	Herself (performing 'Polka in
812546	108922	
812546	116362	Inger Dahl
812546	153229	Helga
812546	154236	Bente Bach
812546	173139	Mathilde Nielsen
812546	179975	Kirsten
812546	204226	Dora
812546	284407	Kirsten Hvass
812546	287173	Arkitektens hustru
812546	301457	Tove Holm
812546	305520	Maja, luder, Orlas veninde
812546	333556	Sofie
812546	334255	Grete Paduan
812546	353045	Brudens veninde Jytte
812546	353046	
812546	398626	Various roles
812547	181156	Speaker
812547	377408	Herself - Host
812547	377409	Herself - Host
812547	378758	Herself - Host (1999-2002)
812547	381531	Herself - Host
812547	386910	Herself - Host (1996)
812547	389605	Herself - Host (1996)
812547	393865	Herself - Host
812548	134973	Tessie
812548	181736	Ingeborg
812549	46594	
812550	348601	Traveler #1's Wife
812551	8021	
812552	118755	Margarine
812553	280284	Reporter
812554	111700	
812554	265739	Silent Film Heroine
812555	18319	L'acheteuse de billet de lote
812555	36691	
812555	55724	Une invitée
812555	63851	La voisine
812555	76166	Invitée d'Elsa
812555	84188	
812555	84639	
812555	101999	
812555	107681	
812555	148722	La capitaine de l'Armée du Sa
812555	201030	La dame qui a froid
812555	202360	
812555	206006	
812555	206663	
812555	214882	Une commére
812555	218331	
812555	218561	
812555	235824	La dame charitable
812555	260040	Madame de Saint-Sory
812555	262948	Un professeur
812555	289432	Mme. Porteval
812555	292357	
812556	55525	Städ-Sofi
812556	174046	Mrs. Storm
812556	198384	Mrs. Brand
812557	109139	Waitress in stripclub
812558	34033	Dafne, Carmen's older sister
812558	35054	
812558	60278	Girl 1
812558	108197	Morgan's Teacher
812558	129970	Daniel's Exwife
812558	166943	
812558	320406	Carla
812559	387194	Viveca
812560	113495	Young Amanda
812561	191042	
812561	242554	
812561	326938	Young blonde
812562	323454	Barbara
812563	387196	Camilla Svendsen
812564	392215	Medhjelper
812564	411595	
812565	202751	Ruby
812566	199316	Karine
812566	353864	La fille punk
812567	60409	Fiona Birch
812568	398446	Various
812569	99055	Helium
812570	63066	Tourist #1
812570	134069	
812570	191502	Lisa
812570	197703	Sarah
812570	257982	Enju
812570	382648	Comodo Mahama
812570	394550	Bareiho
812571	168890	Fille aérobic
812572	325801	
812573	403534	Herself - Participant
812573	403536	Herself - Participant (2001)
812574	107717	
812575	283521	Hotel Receptionist
812576	126546	Stine
812577	162657	Dorthe
812577	305010	Alice
812578	23507	
812579	36824	Wendy the Party Planner
812579	134611	Melanie the Waitress
812579	212614	Toy Store Cashier
812580	154661	Olivia
812581	154040	Lucy Infant
812582	393947	Ashley Gordon
812583	154040	Lucy Infant
812584	24065	
812584	93486	
812584	125279	
812584	178674	Fraeulein Emmy
812584	186873	
812584	213678	
812584	281953	
812585	91034	Dr. Mai
812585	103017	Claudia
812586	3148	Sheila Doel Aged 29
812586	169894	Rita 'Coop' Cooper
812586	339353	Barbara MacKenzie
812586	339354	Barbara MacKenzie
812586	339927	Barmaid
812586	382052	Insp. Christine Frazer (1988-
812586	387247	DI Steele (1999)
812586	408866	Child Protection Officer
812586	408868	Barbara Mackenzie
812587	162049	
812587	306777	Anna
812587	343485	Claudine
812587	410158	Monika
812588	26068	Lady in Hotel
812588	91952	Angela Howard
812588	191372	Paula
812588	191409	Judy
812588	314745	Donna's Customer
812588	323505	Angela Howard
812588	354955	Rhonda
812588	359455	Lisa
812588	361224	Girlfriend at Audition #6
812589	363756	Dezerae
812589	403992	Micaela Carlos
812590	47652	Mae
812593	336666	
812595	8243	Julie
812596	269427	Young Carla
812597	212333	Herself - Participant/Perform
812598	265005	Nudist
812599	110357	Club Patron
812600	398248	Helen
812601	91510	Applicant
812602	221325	Hilary Stevens age 5
812603	246000	Wrist Wrestler
812604	203436	Chorus
812605	192728	Nicole's Mother
812605	252096	Olivia
812606	141317	Mrs. Bowles
812607	106666	Nuala
812607	206833	Girl Model
812608	11025	Dora
812608	37071	Aunt Cathleen
812608	40496	Lady Dedlock
812608	47192	Mrs. Mounsey
812608	79655	Edith Cavell
812608	103621	Esmeralda
812608	125874	Lola Duval
812608	131232	Mrs. Marston
812608	138120	Lady Caroline
812608	145556	Mrs. Hawthorne
812608	165465	Jane Shore
812608	167111	Emma Morgan
812608	183771	Marguerite Gautier
812608	183845	Miss Bosanquet
812608	198868	Lady Macbeth
812608	200112	Sitter in Bath Studio
812608	201306	The General
812608	210240	Queen Victoria
812608	211344	Portia
812608	219882	
812608	227331	Nancy
812608	231438	Mrs. Squeers
812608	263973	The Queen Dowager
812608	264104	Herself
812608	285718	Joan of Arc
812608	289599	Hester Prynne
812608	297082	Lady Fitzhugh
812608	305592	Granny McKinley
812608	312782	Mrs. Gill
812608	318931	Widow Cagle
812608	328008	Lady Macbeth/Lady Dedlock/Jan
812608	328010	Nancy (segment "Nancy")
812608	334383	Mrs. Fairfield
812608	341482	Ellen
812608	345837	The nurse
812608	360542	Mabel Wicks, Millie's friend
812608	365286	Mrs. Marston
812609	56770	
812609	124104	Old Maid
812609	310759	Mrs. Charles Benson
812610	72689	Margie
812611	18599	Margaret Thatcher
812611	28591	Sylvia Brown
812611	35939	Queen Of England
812611	47019	Kitty
812611	49391	Hotel Manageress
812611	54029	
812611	66912	Mrs. Hawk-Monitor
812611	93143	Mary Dash
812611	95268	Margaret Thatcher
812611	140164	
812611	152535	Lady Mary Hargreaves
812611	183797	Mme Bertin
812611	183858	Margaret Devize
812611	235156	Woman on Train
812611	238991	Betty Smith
812611	278645	Herself/interviewee
812611	368135	Mrs. Charmond
812611	381139	Laura Bagthorpe
812611	387471	Lettice, Lady Leicester
812611	387533	Charlotte Verney
812611	388451	Harriet Farrington
812611	390168	
812611	397938	Nanny Butterfield
812611	399590	Val Kirby
812611	408130	Daphne Trenchard
812611	408370	Marjory Frobisher
812611	411431	Nancy Chuff
812612	15929	Det. Laura Ballard
812612	62489	Nina
812612	79507	Abby
812612	91800	Rita Ronaldi
812612	97364	Lee
812612	129113	Rex
812612	148594	Det. Laura Ballard
812612	153651	Carolann
812612	219212	Mia
812612	231118	Cricket
812612	277254	Stephanie
812612	300943	Sue
812612	316327	Mrs. Thorne
812612	330780	Callie
812612	341847	Laura
812612	359742	Raquel
812612	363602	Liz
812612	366585	Tabitha
812612	403229	Sheila
812613	408402	Todd's roomate-Spiritual Fitn
812614	186708	
812615	343232	Desmond's girlfriend
812616	105279	Betty
812617	87012	Mook
812618	20135	Bride (segment "Liebestod")
812618	41300	Queen Alotta
812618	60866	Nurse
812618	102703	Fairy Godmother
812618	142527	Crysta
812618	156565	Ilsa
812618	156566	Ilsa
812618	195874	Sharon Sloane
812618	196181	Musician
812618	258889	Andrea
812618	273344	Dad Pirandello
812618	321574	Boo-Boo
812618	332947	Ilsa
812618	348426	
812618	362052	Hooker
812618	364307	
812620	300342	Marcy
812621	231759	Veronica
812622	355924	Nurse
812623	40005	Madame Arnaud
812623	105266	Mother
812623	291708	Old Woman
812624	186708	
812625	186708	
812626	186708	
812627	58959	Clerk of the court
812627	137259	Von Tussle Pickets
812627	389924	Nanny Jane
812628	150982	
812628	156941	
812628	173223	The Bride
812628	349869	Bride
812629	10688	Rose
812629	38378	
812629	163601	Screaming Friend
812630	192250	Kid
812631	10756	
812631	31799	
812631	47455	
812631	47465	Mrs. Nyell
812631	47481	
812631	48170	Norma Kenwick
812631	79397	Mrs. Graham
812631	93195	Her Mother
812631	100858	
812631	107543	Helen
812631	152920	
812631	163376	
812631	206902	Angelica Burns
812631	252278	Mrs. Kingdon
812631	261961	Eleanor Brand
812631	331056	Jessie Cook
812631	340817	Jean Bradford
812632	238260	Edie Ingram
812633	323390	Band Teacher
812634	272023	X-Ray Nurse
812635	11136	
812635	42413	
812635	42414	
812635	47214	
812635	89066	Pantyhose Model
812635	113687	
812635	150948	
812635	150960	
812635	150961	
812635	209877	
812635	260803	Herself
812635	265083	Stripper #1
812635	285031	Sister Sarah
812635	297001	
812635	305029	Anna's Friend in Pink Bra & W
812635	407194	Presenter (3rd Series) (2003)
812635	408332	
812636	281811	Rose Bowl Queen (Herself)
812637	288631	Deirdre Schwartz
812638	331221	
812639	245588	Jane
812640	168258	Ruth
812640	232261	Miss Edith Russell
812640	410261	Judy (1955-1956)
812642	105890	Nurse Keating
812642	164381	Susan
812642	186841	Waitress At Mall
812642	189807	Nurse #4
812642	224296	Helene
812642	241605	Helicopter Traffic Woman
812643	186315	Lili Vanderbeck
812644	228501	Cherie
812644	230869	Trout
812644	265209	
812645	2797	Herself
812645	32261	Cheryl
812645	46234	Helen Lutz
812645	58542	Natalie Stockwell
812645	159514	Robin
812645	161262	Herself
812645	161290	Herself
812645	161317	Herself
812645	196397	Deb
812645	196706	Alise
812645	210458	Herself
812645	214296	Shiho (Disney 2004 Dub)
812645	277090	Sunny Carstairs
812645	300896	Samantha
812645	318783	Pam House
812645	329349	Sheryl
812645	361178	Lindsey
812645	379159	Cheryl
812645	379802	Georgia Thomas (1997-2000)
812645	379803	Georgia Thomas
812645	385806	Kristin Carlson
812645	388475	Stacey Hamilton (1986)
812645	395023	Kimberly Dugan (1990)
812645	397401	Allison Parker Armstrong Hans
812646	9494	Property attendant
812646	30738	
812646	48401	
812646	101740	
812646	102928	
812646	115952	
812646	121058	Reinholds Mutter
812646	126869	
812646	136724	
812646	153175	Frau Luders
812646	189617	
812646	205468	
812646	223230	
812646	234497	
812646	270418	
812646	293561	
812646	318894	
812646	324791	Musfrau
812646	341112	
812646	347761	
812646	361327	
812647	296071	Traci
812648	18577	Trudy Mullnucks
812649	266084	T.V. Newsperson
812650	211605	Hanna, The Widow Glawari
812651	142765	Li
812652	101454	Babs
812652	334289	Corridor nurse
812653	63834	Rosie
812654	73410	The Huntress
812654	93364	Brandy
812654	218373	Alien Assassin/Janet
812654	360441	
812655	154760	
812656	7960	Gail
812656	32414	Jenny
812656	101049	Catherine Kelly
812656	108319	Evelyn Thompson
812656	143188	Jean Calhoun
812656	147646	Tanya Duncan
812656	190230	Gwen
812656	209683	Priscilla Preston
812656	261989	Vivian Porter
812656	274069	Mrs. Sherman
812656	352755	Sharon Connor
812656	378744	Cie Baxter
812656	382735	Tabitha Berkeley
812656	404371	Det. Sheila Madsen
812656	405153	Beaufitul Ghost (episode 3)
812657	380190	Gloria O'Rourke
812658	239415	Gertie Cummings
812659	270604	Herself - Politisk reporter
812660	306778	Herself - Member of the Europ
812661	150741	Mrs. Hudson
812662	11157	Prison Matron
812662	287516	Nursing Home Nurse
812663	330375	
812664	54657	Prison Receptionist
812664	140180	Peggy
812664	146862	Louisa
812664	247036	Jessie Davis
812664	408630	Miss Grey, Simpkins' Secretar
812665	267221	Desert semi-militant
812666	176525	British soldier
812667	165446	
812667	303455	Mrs. Bannister's Guest
812667	387120	
812668	21173	Lady Ragnell
812668	104564	Jane
812668	113925	Reporter
812668	115805	Parthe Nightingale
812668	149444	Honeymoon Couple (Movie)
812668	157191	Cecily Cardew
812668	204205	Maud
812669	313935	Sylvia
812670	131739	Girls' Chorus Member
812671	20336	Hannah Lang
812672	160217	
812672	185641	
812674	360670	Mother
812675	117689	
812675	163529	
812675	364693	Little Sister
812675	394658	Laurie Escobar
812675	408044	
812676	4017	Young Belldandy
812677	195397	Young Sally
812678	26707	
812678	190179	
812678	198542	Secretary to Rodney Kettle
812678	274499	Amy
812678	343160	Chorus Girl
812679	70341	Hippie twin
812680	35277	Aline Webster
812680	71177	
812680	77947	Betty Blair
812680	107436	Norma Keith
812680	109702	Mrs. Morton
812680	112203	Alice Wintrhop
812680	133611	Mrs. Morton
812680	153132	Nancy Norris
812680	153298	Marquita Flores
812680	163321	Ruth
812680	190569	Diane Winters
812680	191814	Dorothy Jackson
812680	196207	Kitty Thomas
812680	215671	
812680	224828	Myra Marshall
812680	240623	Mary Forrest
812680	258935	Doris
812680	278675	
812680	319963	Edith Stafford
812680	355209	Streisa Cane
812680	359493	
812680	359667	Ruth Steele
812680	363647	
812681	336166	Bess, Jack's daughter
812682	49893	Herself (Taylorette)
812683	329946	Street Dancer
812684	108600	Goth
812685	155816	Boston Maid
812686	186003	Mrs. Middleditch
812687	282440	Diana Evremont
812688	222330	Handmaiden #2
812689	6825	Screaming Woman
812689	15929	Judy
812689	275876	Airport Worker 1
812690	385060	Emeraldas
812691	185182	Toaster
812692	689	Herself
812692	691	Herself
812692	68097	Herself
812692	71114	Herself (Sky One presenter)
812692	71117	Host
812692	260295	Presenter
812692	302138	Presenter
812692	352959	Host
812692	386723	Herself
812692	392416	Herself
812692	401836	Presenter
812692	411558	Presenter
812693	39957	Head Nurse
812694	184859	Pyramid Woman
812695	107463	
812695	230743	ICU Nurse
812695	329311	Taylor Lane
812695	393435	Various
812695	396113	Herself/Co-Host (1997)
812695	398209	Nikki
812695	399343	Various
812696	47963	Clarisse
812696	65594	Mandy Lichec
812696	307591	Hilary
812696	330476	Jade
812696	380526	Angel
812697	271212	
812698	70341	Hippie twin
812699	56893	Woman in Car
812699	124503	Dr. Ellis
812699	192286	Mrs. Williams
812699	404405	Goodie Cranwell
812700	131739	Girls' Chorus Member
812701	82055	Victorian girl 'Elizabeth'
812701	113558	Jane
812701	127410	Amy Wilson
812701	141959	Heidi
812701	163633	
812701	192222	Joanne Hunter
812701	264761	Carol Callaghan
812701	381811	Erica Steele (1993-1994)
812701	396972	Caroline Short
812702	176525	British soldier
812703	324395	TV Reporter
812704	271215	Twink (costumed character)
812705	166917	Pressbox Columnist
812707	1450	Herself - Co-host
812707	94856	Caroline Martin
812707	106757	Wendy
812707	108926	Jennifer Morton
812707	110443	Christine McQuillan
812707	126700	Maria
812707	133597	Bridget Tankerton
812707	148592	Herself
812707	154087	Mabel
812707	160562	Mayor Wilson
812707	177510	Christy
812707	190516	Anne
812707	192787	Mother
812707	195665	Shelley Kincaird
812707	203061	Jessica Harrison
812707	231659	Fennimore
812707	245277	Anthea Langton
812707	245649	Elizabeth
812707	246286	Susan Tuttle
812707	257699	
812707	276890	Jessica
812707	304548	Blanche
812707	306001	Angela
812707	316639	Gloria
812707	338300	Issacs
812707	358752	
812707	363611	Cass Meredith
812707	378753	Frances
812707	379744	Philadelphia 'Delie' Gordon E
812707	381608	Kim (1977)
812707	382596	Monica Ellis
812707	383813	
812707	388492	Sue (Patrick's niece)
812707	393039	Herself - Narrator
812707	395180	Kate Kelly
812707	399211	Narrator
812707	400251	Jane Martens
812707	400817	Amelia Lawson
812707	402197	Roslyn Coulson (1979-1980)
812707	406891	Buffy Turnbull
812708	166087	
812709	63257	Linda
812709	212103	SFRP Friend (Early-nighter)
812711	129933	Chief Nurse
812712	34086	Baldur's Mother
812713	237380	Bank Employee
812714	155074	Prostitute
812715	212336	Herself - Participant/Perform
812716	359349	Baby Alice
812717	64109	Cinderella
812717	90537	Candy
812717	322604	Kay
812718	954	Young Deanna Barns
812718	260430	Samantha
812720	41281	Drive-in Girl
812721	41945	The Bar Fly
812721	190303	Mary Graves
812722	279142	Anna Blakesley
812722	327708	Vera Claythorne
812723	7099	Supermodel
812723	14230	Jennifer
812723	117883	Teddy
812723	258101	Morgan
812723	385824	Cassie Brady (2002-2003) (200
812723	411802	Rianna Miner #2 (2000-2002)
812724	12051	
812725	67445	Sharon Robbins
812726	64405	Mrs. Haddad
812727	36855	Herself
812727	381917	Herself - Walk-Out Housemate:
812728	60179	
812729	404608	Finalist (2001)
812730	52204	Brenda Mooney
812730	113303	Mrs. Roe
812730	117556	Gucci salesgirl
812730	127996	Tirelli
812730	134295	Iris
812730	138720	Victoria
812730	156903	Clara's Mother
812730	190135	Bunnikins' Customer
812730	208189	Barmaid
812730	215186	Cat Rogers
812730	219420	Blood Royal Lady
812730	320453	Charity Silver
812730	362000	Carol Singer
812730	367299	Anita Margolis
812730	378710	Charm seller
812730	381935	
812730	382806	Carole Parkinson
812730	385301	Lorraine Hamilton (2002)
812730	397269	Helen
812730	406800	Various Roles (1988)
812731	403244	Kate Hunter
812732	405271	Delia Dettinger's maid
812733	242538	
812735	12051	
812736	192410	Girl
812737	9829	
812739	74113	Stationer
812739	170555	Barbara Robertson
812739	386141	Mandy
812739	392180	Mother
812739	401920	Mandy Ambrose
812740	11384	Audrey Jacobs
812741	85866	Glory
812742	385299	Jackie Bryce
812743	51837	Miss Simons
812743	187411	
812743	213958	
812743	242063	Herself
812743	257994	
812743	331315	
812744	79838	Rose
812744	136277	Shopper
812744	139222	The reporter
812745	313059	Fat Lady
812746	85630	ER Nurse
812746	100056	Herself
812746	130124	Janice
812746	411415	Dawnelle
812747	46368	Nurse Three
812747	78829	Girl selling dead body
812747	157208	Lady Passerby
812747	323728	Lucia
812748	176321	Goldwyn Girl
812749	123092	Court Lady
812749	126125	Hospital Sister
812749	158182	Mrs. Muswell
812749	219742	Mrs. Scott
812749	251798	Mrs. Partridge
812749	283313	Hilda Rumpole
812749	285703	Mrs. Cloonan
812749	336697	Mrs. Stacey
812749	337480	
812749	389231	Mrs. Wynn
812749	400108	Widow Corney
812749	402606	Queen Elizabeth I
812749	403926	Hilda Rumpole (1978-1983)
812749	404249	Sister Paul
812750	314845	
812751	241101	Coffee House Barmaid
812751	387309	Margie Gibson (1961-1963)
812752	29556	Politician
812753	168645	Eunice Elkans
812753	330221	Hospital Nurse
812753	366959	Nurse
812754	6791	Model
812754	136274	Woman in Chinese Restaurant
812754	139790	Harvey Girl
812754	141571	
812754	149261	Bridesmaid
812754	342873	Gladys Deyo
812754	346248	Guest
812755	282499	
812756	234895	
812756	240093	Mona, jobber hos Connie
812756	240111	Kontordame
812756	240115	Gatepike
812756	240119	Forulempet rengjøringsdame
812756	347005	
812757	34419	Genevieve
812757	133929	Tincey Bell
812757	312363	Bonnie
812758	11787	Mette, pistolskyter
812758	15301	Kristin
812758	18333	Petra
812758	32861	Tante Ragnhild
812758	110927	Dame på trikken
812758	116986	Ragna
812758	153767	Farmer's Wife
812758	173147	Voice
812758	174069	Henriette
812758	177092	Bergit
812758	206631	Serveringsdame
812758	242689	Inspektøren
812758	322472	
812758	334084	Anne-Sofie
812758	342063	Elna
812758	348962	
812758	356489	Rita
812758	387196	Gudrun
812758	398285	Elna
812758	405540	Maria Lundborg
812759	47837	Giinjha
812760	236657	Tiburon Guests
812761	291720	Thormod's Mother
812762	137688	Coroner
812763	73142	Gréta
812764	126069	Showgirl
812765	142361	The Passives
812766	33178	News Sound
812766	37965	Woman at Table
812767	291014	
812768	24977	Herself
812768	40683	Pamela
812768	57072	
812768	75612	Brooke Parsons
812768	129113	Marlene Gigante
812768	133995	Angela
812768	137492	Jane McPherson
812768	168326	Principal O'Neill
812768	183729	Toni Tanner
812768	190439	
812768	194820	Cory Fuhrman
812768	214455	
812768	244421	Drew
812768	247157	Anna
812768	315879	Maria
812768	321237	Grace James
812768	349876	Billie Streeter
812768	380943	Tara King (1968-1969)
812768	387524	Isabel Murray
812768	391971	Emily Yeager
812768	396803	Hillary Stonehill
812768	400236	Julia Medina (1989-1992)
812769	305358	Kit Anderson
812770	267956	Putt-Putt
812771	399495	Chi Chu
812772	401729	(Episode "Del 6")
812773	240111	Reiseleder i London
812774	124795	Hooker
812775	315597	
812776	212333	Herself - Participant/Perform
812776	212334	Herself - Back-up Jury Member
812777	157497	
812778	214196	Dancer
812779	133309	Herself: Cello (Orkester)
812780	45943	Monica
812780	286873	Vanessa
812780	409853	Nina Shiller
812781	362512	Choir Member
812782	51667	
812783	232845	Christine
812784	84288	Datter av Westberg
812785	309807	Lesbian In Park
812786	90336	Script assistant
812786	144744	Vicky
812787	104667	
812787	217912	Herself ('Europe in the Raw' 
812788	229491	Mathilde
812789	107325	Margret
812790	369156	Mrs. Burwiek
812791	377647	
812792	67233	Josianne Boucher
812792	134205	Anne
812792	247607	Hélène
812792	249209	La scripte
812792	377647	Marie-Louise
812792	390486	Mme Lacoste
812792	395096	Nicole Gagnon (1986)
812793	115362	
812794	42208	Miss Berglund (student)
812795	279974	
812796	200947	La femme de ménage
812798	340647	
812799	341781	
812800	411420	Herself
812801	28529	Carl-Hennings mor
812801	153386	Ingeborg
812801	165648	
812801	260961	Mrs. Eriksen
812801	331069	Gamle
812802	388444	Herself - Participant
812803	344203	Teri's Mother
812804	16705	Tiny
812805	138715	Tricia
812805	211398	Claraberry
812806	368537	Dakota mom
812807	273267	Dwana Pusser
812808	271339	Glen and Dot's kid
812809	15861	Angela
812810	44238	Gospel Singer
812810	191688	Waitress
812811	154629	Employer #2
812812	6349	
812812	102693	
812813	78690	Herself
812814	320106	Concierge
812815	37332	Teal Eye (Blackfoot princess)
812816	411367	Phantom
812817	48498	Themselves
812817	112095	Themselves
812817	119414	Themselves, Singers
812817	147540	Themselves
812817	360707	Themselves
812818	27486	Girl
812819	241146	Donna
812819	398691	Shannon Macavoy
812820	72115	Prostitute
812820	84971	Millie
812820	86808	2nd Sister
812820	245101	Wipeout
812820	331416	Jan
812821	286950	
812821	286951	
812823	277139	Emily
812824	167051	
812825	77148	Radio Announcer
812825	314961	T.V. Interviewer
812826	23963	
812826	195601	Cheerleader/Orgy Attendant/Du
812826	258074	Suzanne (segment "Partners")
812826	273278	Herself (in segment "Photogra
812826	295725	Officer #2
812826	297321	Shandra
812826	302580	Kelly
812826	327836	Stacy
812826	355157	Co-Pilot Mrs. Myerson
812827	273278	Himself (Photography)
812828	100841	Patrice
812829	384608	Presenter
812830	4369	Red Cap
812830	19167	Attendant
812830	170744	
812830	223953	Bartender
812830	297890	
812830	316742	Passerby
812831	208797	
812831	220199	
812831	275265	
812831	324329	
812832	230857	Nurse
812833	61774	Rainbow Woman
812833	78997	Shirley Topaha
812833	80502	Nobody's girlfriend
812833	97101	Ghost of Christmas, Past
812833	121390	
812833	162590	Sally Littlefeathers
812833	300161	
812833	304048	Stella
812833	339365	Sylvie Lebret
812833	358461	
812833	386970	Morning Horse
812833	398003	Laura
812833	399689	Sylvie LeBret (1996-97)
812834	27800	Mrs. Lanh
812835	371053	Tran's child
812836	332140	Mi
812837	231202	
812838	230229	
812839	92048	
812840	157597	Kim Kaysee, Lemmings Activist
812841	160416	(segment "Cafe L'Amour")
812842	88415	Herself - Participant
812843	153354	Herself
812844	385061	Speaker
812845	99604	Lisa Marie Presley
812845	304955	Young girl
812845	389922	Junior Shrinks
812846	217835	Une invitée
812847	236368	Miss Brazil
812848	346970	Ballet-girl
812849	155359	Cuffi
812850	376101	Herself - Presenter
812852	161759	Sandra
812852	312858	Michele
812852	335881	Beba
812852	376139	Valeria
812853	7240	Elisabeth Hermann
812853	8369	Agnese
812853	8478	Agostino's Mother
812853	10211	Lily
812853	18083	Manda Vogler (alias Mr. Aman)
812853	27397	Cook
812853	51847	Sophie Von Essenbeck
812853	51969	Helene
812853	55968	
812853	71168	
812853	75242	Eloisa
812853	78514	Cecilia
812853	85558	Camila
812853	87930	Girl
812853	89830	Gioia
812853	89836	Brita Randel
812853	94261	
812853	96504	
812853	97866	Rakel Egerman
812853	100451	Ylva
812853	112928	Ingrid Thulin
812853	117565	Brita Lindquist
812853	118311	Marguerite Laurier
812853	127986	Mrs. Havemeyer
812853	135344	Marianne
812853	136683	Anna Ryding
812853	138189	Inez Crona
812853	140393	Gudrun
812853	147016	Gunvor Ranterud
812853	149488	Malou Hjorthage
812853	153733	
812853	154565	Woman in haystack
812853	163343	
812853	172784	Elsa
812853	182532	Elsa Carlsson
812853	182566	Margit Dahlman
812853	183862	
812853	188874	Yvonne
812853	202151	Jessica
812853	218084	
812853	219707	Miriam
812853	225668	Viola
812853	225785	N.P.'s Wife
812853	228408	Irene
812853	228419	Märta Lundberg, Schoolteacher
812853	237252	Agneta
812853	237265	Cecilia Ellius
812853	237616	Nando Girl
812853	243675	
812853	276642	Dr. Michele Wolf
812853	278916	Thea
812853	285777	
812853	293703	Elaine
812853	304405	Ingrid
812853	305863	Marianne Borg
812853	321970	Irène
812853	342311	Lilly Fridh
812853	343388	Ester
812853	350609	Veronica Vogler
812853	353159	
812853	355545	Karin
812853	357802	Helena Andersson, teacher
812853	377301	Hélène
812854	303552	Emma
812855	3234	Elvira
812855	104812	Girl on the meadow
812855	115395	Sonja
812855	118696	Nurse
812855	134261	Lisa Fransson
812855	137975	Girl
812855	182574	Barbro
812855	182584	
812855	228381	Sonja, girl at 'Kontinenten'
812855	239042	Aunt Berta
812855	274833	Tyra
812855	305519	Ticket collector in Katarinah
812855	346967	Emma
812855	352990	Mary
812856	79276	Restaurant Patron
812857	259391	Catherine
812858	96198	
812859	59317	Lisa
812860	349121	Nun
812861	41739	Reporter
812861	159200	Juror
812862	233852	Caroline
812863	121836	Radio Singer
812863	202988	Second Nurse
812864	20450	
812864	216277	
812864	308234	
812865	323785	Margaret
812866	342914	Pam
812867	155635	Annette's Friend
812867	252921	Crystal Jennings
812868	194133	
812868	294891	
812869	135234	Sophie
812869	188824	Tante Martha
812869	325481	Nachbarin
812871	322662	Wan
812872	320617	
812873	164786	Shop Assistant
812873	210839	
812873	286778	Eva
812873	404435	
812873	408339	
812874	182576	Scripta
812876	6580	Eufemia Larsson/Eufemia Larso
812876	6585	Eufemia Larsonius
812876	42190	Old Woman
812876	338708	Guest at the restaurant
812877	191500	Épouse du juge Gagné
812877	237610	
812877	249209	Mère de Jeannot
812877	263348	Mrs. Joyles
812877	275535	
812877	276984	Yvette Beauchamp
812877	393284	Rose Bergeron
812877	400804	Lauren Gendron
812877	404812	Lucie D'Agostino
812878	332144	Herself
812879	332144	Herself
812880	332144	Herself
812881	379787	
812882	188968	Cards, Jurors, and Courtiers
812883	360682	Bridesmaid #2
812884	182550	Agatha Liewenhielm
812886	37374	Jack's New Woman
812887	166097	Jumelle Lemercier 2
812887	269738	Line
812888	166097	Jumelle Lemercier 1
812888	269738	Doris
812889	309539	
812890	52698	
812890	134383	Mary
812890	157070	Jaël
812890	199297	Une cousine
812890	259914	La serveuse
812890	269693	Josette Oudinot
812890	301553	Emma Perle
812891	43599	Madeline
812891	178792	Amelia
812892	346791	
812893	338981	Herself
812894	34266	Miss Gregory
812894	399534	Honeymoon wife
812895	331469	Girl at Party
812896	308247	Hermia
812896	390812	Barbara Graf, annullierte Kön
812896	404448	Frau Bodenstein
812897	105854	
812898	76567	
812899	123920	Poetess
812900	127402	Gay
812901	272847	The Ravager's Victim
812902	142703	Bound & Gagged Girl
812902	143981	
812902	247926	
812902	247932	
812902	287163	
812902	289155	
812902	312364	
812902	321129	
812902	362104	
812903	308574	Herself
812904	279509	Stripper
812905	289578	Shado
812906	74129	Girl
812908	32216	Orderly
812909	389416	Joan Roosa
812910	26808	Jane Porter
812910	29902	Lorraine Metcalf
812910	32516	
812910	35142	
812910	35574	
812910	43375	
812910	43449	
812910	46733	Jean Hawthorne
812910	47465	Harriet Bundy
812910	89114	Marion
812910	89143	
812910	92179	Mary Norwood
812910	116737	Pearl
812910	116955	
812910	133910	Venetia
812910	134103	Dolly Dunston
812910	143094	
812910	145937	
812910	158259	Laura Nesbit
812910	183362	
812910	183649	Princess Isabel/Molly Moncke
812910	185834	
812910	186276	Minerva Blake
812910	186687	Nurse Phyllis Brown
812910	191841	Mrs. Howard Young
812910	195845	
812910	195947	Veerah Vale
812910	199204	
812910	200070	
812910	229212	Hattie
812910	256117	
812910	257881	Anne Cabbot
812910	263745	Janice Webb
812910	263960	Betty Keith
812910	287158	Margaret Young
812910	290916	Margaret Haddon
812910	291108	
812910	302366	Martha Queed
812910	311867	Hazel Harris
812910	315207	
812910	319256	
812910	328086	Elaine Calvert
812910	329475	
812910	330712	Teddy Craig
812910	331130	Katty Drexel
812910	340628	Lil
812910	340968	Nona Boyd
812910	350030	Elenore Colonna
812910	359881	
812910	365044	Philippa L'Estrange
812910	367049	Laura Neil
812910	374197	Florianne
812911	63764	
812911	170388	Sarah's Mother
812912	116005	Precious
812913	157562	Mrs. Smith
812913	171694	Store Owner
812914	362968	Herself
812914	393211	Herself (1957)
812914	408497	Herself (regular performer, 1
812915	164964	Loretta
812916	1748	Herself - Winner
812916	2889	Herself
812916	2894	Herself
812916	2924	Herself
812916	3055	Herself (Co-Presenter)
812916	5427	
812916	6925	Venus/Rose
812916	24955	Emma Peel
812916	30952	Poison Ivy (Dr. Pamela Isley)
812916	31573	Edie Athens
812916	32089	Andera
812916	60317	Courtney Daniels
812916	60465	Grace
812916	78093	Cécile de Volanges
812916	94963	Maya
812916	104965	Sissy Hankshaw
812916	120523	Herself
812916	124554	Irene Cassini
812916	130720	Charlotte Stant
812916	142869	June Miller
812916	153651	Debby Miller
812916	166701	Helena Robertson
812916	168645	Georgia Elkans
812916	174953	Kushana (Disney 2004 Dub)
812916	176711	The Bride
812916	176712	The Bride/Beatrix Kiddo (Blac
812916	178033	Laura Pasholenski
812916	199162	Glory
812916	201701	Herself
812916	201702	Herself
812916	216240	Fantine
812916	218549	Miss Beaumont
812916	251247	Dr. Rachel Porter
812916	263777	
812916	267038	Mia Wallace
812916	267039	Herself
812916	279734	Maid Marian
812916	321126	Blanche
812916	324765	Amy Randall
812916	340949	Noelle
812916	344880	Herself
812916	350850	Anne de Montausier
812916	352985	Herself
812916	363414	Daphne
812916	366936	Narrator
812916	372357	Herself
812917	29875	Sara
812918	92285	
812918	131717	Helen
812918	202239	Woman
812918	280480	
812918	283497	Cooby
812919	50028	Herself (Artist)
812920	294660	
812921	12837	Sabine
812921	23884	Lisa Weil
812921	49306	Corinna Behrends
812921	76157	Mme de Guémenée
812921	94383	Monika
812921	102283	Muriel
812921	102528	Trixi
812921	126183	Biggi Leitner
812921	153083	
812921	211489	Szenebraut
812921	226170	Freundin von Mick
812921	255446	Frau Hartmann
812921	259474	Claudia Lorenz
812921	259590	Claudia Fritsch
812921	290215	
812921	293877	Kellnerin
812921	338430	Angela
812921	348680	Karin
812921	352315	Ev
812921	361016	Maria
812921	364872	Maxi Kortner
812921	395505	Karin Schröder
812921	399386	Katja Krieger
812922	211662	
812923	310254	Fru Flod
812924	48397	Prominente
812925	342669	Bar patron
812926	79714	Sarah
812926	114051	Shana
812926	120477	Young Claire
812926	128261	Deirdre
812926	129988	Older Margaret
812926	230855	
812926	243160	Jess's real mother
812926	292417	Betty
812926	303239	Isabelle Danzard
812926	401937	Monika
812927	296929	
812928	124502	Extra
812929	33375	Margaret
812930	264143	Goldwyn Girl
812931	18719	Watona
812931	19890	Saranna
812931	19897	Narana
812931	62050	Siu-Mei
812931	69683	Terua, Cochise's Wife
812931	69823	Rosa
812931	114917	Turquoise
812931	153589	Doris Scott
812931	155071	Bonita/Bonnie
812931	167288	Carmelita Mendoza
812931	176782	Shari
812931	185616	Lydia Henry
812931	251501	Mother
812931	280499	Li-Ho-Kay
812931	300149	Smithy's Wife
812931	320780	Toni Rousseau
812931	367863	Balhadi
812931	373201	Yellow Flower
812931	395528	Emma Clanton (1959-1960)
812932	290996	Maria
812933	351928	Caitlin O'Hara
812933	404399	Herself
812934	199304	Guest
812934	224581	
812934	255887	Carhop
812934	316672	Hostess
812935	138841	Woman in Bar
812936	362512	Audience Female #3
812937	79712	Mrs. Rubin
812937	178932	Woman Bandit
812938	144538	Big Girl
812938	148878	
812939	142527	Beast Woman
812940	212963	Lisa De Lazio
812940	236315	Able-Bodied Andrews
812940	263791	Mother
812941	47924	Darlene
812941	277114	
812942	75938	A táncosnõ
812942	153695	
812943	80908	
812943	275750	
812944	136600	
812944	188936	
812945	74422	
812946	224968	
812946	293991	Christina Wagner
812947	357944	Ilona
812948	15025	Tang
812949	152803	Miss Tham
812950	13043	Bride
812951	90277	Sister Hoa
812951	283282	Le Dung's Wife
812951	359138	Young Vietnamese Woman
812952	16678	
812953	22844	3. Kollegianer
812954	153398	Herself - Former Managing Dir
812955	182623	
812956	84321	Frk Bull
812957	45128	Claudia, Eamon's Daughter
812958	16891	Herself
812958	115568	Roxanne
812958	184906	N.Y. Girlfriend
812958	251347	Moonbeam
812958	283368	Tonya
812958	398407	Various (1998)
812958	399935	'Jawless' Peggy Weggy/Pristin
812958	405085	Skit Characters
812959	316327	Coach Cherri Wolf
812959	316328	Mrs. Blank, Jerri's Step-Mom
812959	330386	Diane Edbetter-Irpine
812959	406685	Coach Cherri Wolf
812960	157075	Patronne de l'hôtel
812961	389264	Mme Ragondin
812962	76718	Filomeentje
812962	78515	Schoonzuster
812962	115137	Cleaning Lady
812962	187825	Leontientje
812962	248412	Boerin
812962	334480	Annabella
812962	356817	Martha
812962	400287	Elza
812962	406558	Claudine Vorlat-de Wesemael
812962	408151	Claire Bastiaens (1997)
812962	411214	Hélène (1997)
812963	399658	Roosje Polfliet (2000-)
812963	409192	
812964	594	Paula Lane
812965	5673	
812965	102289	
812965	110548	Herself
812965	114878	
812965	152363	Lena
812965	168956	
812965	242306	
812965	273756	Juffrouw Pluimsteert
812965	331968	Marianne Bastiaens
812965	375791	Isabelle Rimbaud
812965	388909	Geneviève (2000)
812965	408151	Marianne De Decker-Bastiaens 
812965	409162	Lerares
812966	17330	Meisje
812967	248577	
812968	155803	Nieuwslezeres
812968	398960	Herself
812968	402493	
812969	42032	Angèle
812969	225825	Ann
812969	387143	Gerda van Loo
812969	387323	Hermine (1996)
812969	391030	Mietje Rogge
812970	205089	Bystander
812971	5524	Myra Bayless
812971	31828	Christi, Zagon's mistress
812971	50097	Cover Girl
812971	56868	
812971	71484	Greta
812971	91939	La Belle
812971	169490	Greta
812971	255616	Lulu Quackenbush
812971	270009	Montgomery's accomplice
812971	288017	Greta
812971	296912	Girl at Party
812971	328565	Frances Girard
812971	331289	Helen Fortner
812971	408807	Pirate Girl
812973	120328	
812974	410215	
812975	15084	Geneviève
812975	82643	Josette
812975	101528	
812975	202242	Sarah
812975	251532	La fille dans l'appentis
812975	270620	Mme Flamant
812975	282280	
812975	283704	
812975	294566	Loving Couple Woman (segment 
812975	327562	Girl
812976	97844	Alice Wien
812977	146381	Une danseuse (II)
812977	225498	Simone
812977	238370	Makenzie's friend
812977	249751	
812977	254162	La pompiste
812977	258857	La mère de l'enfant
812978	80303	
812979	228527	Elsa Hardy
812979	380378	
812979	388085	Zigda
812979	389242	Sofia Rizzi
812980	69370	The Young Renee Hudon
812981	101163	Christine
812982	14993	L'inconnue
812982	55068	Yanna Beyart
812982	280440	Suzanne Laroque
812983	60052	
812984	60052	Nelly
812984	167224	Friquette
812984	258150	La soeur
812985	307344	Claire
812986	6090	
812986	6411	
812986	17856	La fille à Angoulême/Comic Bo
812986	20067	Lydie Richet
812986	32011	The Bride
812986	73077	Véronique
812986	81427	Agnès
812986	101140	Maryse
812986	156302	
812986	236602	Jeannette
812986	236612	Camille
812986	269088	Madmoiselle Chardin
812986	282017	
812986	282020	
812986	313044	Stéphanie
812986	319988	Sabine
812986	336311	Nathalie
812986	346757	
812986	354656	Bénedicte
812986	375937	Martine
812987	10985	
812988	217253	L'infirmière
812989	201135	La chanteuse
812989	412276	Clémence Archignat
812990	384816	Mercedes' dressmaker
812991	378049	Magga
812992	182285	Ballet Dancer
812992	255945	Prostitute
812992	333564	
812993	396256	elev (extra)
812994	109139	Stripper
812995	120968	Veninde 2
812996	264050	Aegilfu
812997	120170	
812998	111341	Katharina
812999	33259	
812999	41587	
812999	44140	
812999	50358	
812999	76314	
812999	91627	
812999	203418	
812999	239878	
812999	297935	
812999	319346	
812999	319940	
813000	372090	
813001	404145	Nina
813002	316782	Loca
813003	253520	Un amour slave
813005	169594	Auntie #1
813006	77895	Li Yumei
813006	95305	Hu Sufang
813006	151957	Fan Linzhi
813006	374760	Luo Xia
813007	141906	Ma Erjie
813008	90548	Cell-Phone Girl
813008	372185	Waitress
813008	374894	Yuanyuan
813009	42391	Sophie
813009	75030	
813009	136835	
813009	178941	Christine
813009	193966	Mindy Lum
813009	287727	Elf
813009	303266	Interview Girl #1
813009	358444	Kim
813009	382163	Claire Rodgers
813010	153057	Xu Fengxia, as an adult
813011	5382	
813011	34753	
813011	34765	
813011	34899	
813011	36408	
813011	39069	
813011	41076	Herself
813011	50711	
813011	77147	
813011	81804	
813011	81835	
813011	147647	
813011	163863	
813011	188077	
813011	193414	
813011	295692	
813011	309217	
813011	321156	Woman who loses key to chasti
813011	323951	
813011	345884	
813012	216921	
813012	264800	
813012	292393	
813012	309899	
813012	327307	Maria (Sal's Sister)
813012	353471	
813013	178316	Strip Tease Dancer
813014	235925	
813015	411509	Herself - General Assignment 
813016	220842	
813017	243567	Katina
813018	40121	Girl in Car
813018	57606	Mary Miller Lee
813018	73377	Bride
813018	110953	Claire Bannister
813018	149126	Last Telephone Operator
813018	154545	Girl
813018	209625	The Apartment House Maid
813018	220152	Nurse
813018	222701	Nurse Jonsie
813018	272113	Alice Harper
813018	299197	Susie, Cloak Room Girl
813018	305044	Fashion Show Woman
813018	310564	Hotel Telephone Operator
813018	347344	Ann Wright
813019	158056	Countess Leonora Morgana
813020	107504	A Fairy
813021	364300	Herself
813022	17168	
813023	187403	Karin
813024	70984	Himself
813025	30406	Delfina
813025	234913	
813026	218018	Nurse
813027	372446	Herself
813028	128790	The Little Stoolie
813029	59717	Lady
813030	213324	Sphinx
813031	289427	Genna/Tiffany
813032	5447	
813032	6208	
813032	89853	Maria
813032	293451	
813032	301363	
813032	338715	
813033	22829	
813033	24847	
813033	28296	
813033	29529	
813033	82319	
813033	96485	Ismail's mother
813033	136092	
813033	156221	
813033	212318	
813033	378223	
813034	188661	
813035	110211	
813035	286571	
813036	36492	Kitami
813038	129007	Anita
813038	138603	
813038	216250	
813038	242845	
813039	24960	Little Jennifer
813039	35439	Hannah's Voice
813039	62280	Lindsay Banerjee
813040	20860	
813041	191208	
813042	107830	
813043	106264	Girl in Car
813043	249074	Xavière Tiberi
813044	339055	Nedelja ... odbojkasica
813044	356437	
813045	81041	Rhiannon McRae
813045	271287	Vera Birdsong
813046	210268	Marcia
813046	213112	Freaked-out Lady, in Diner wi
813047	58505	Stern Woman
813047	58510	Female Guard
813048	12760	Amelie
813048	315768	Actress
813048	383108	Renate Gerlach
813048	397949	
813049	375647	Sabina
813050	338694	Helga
813051	93655	Molly Norton
813051	130626	Dolly Baxter
813051	193578	Luna, Bat Girl
813051	193579	
813051	211600	Dopey Marie
813051	241591	Italian Maid
813051	300119	
813051	301587	The Painted Lady
813052	311816	Shelly
813053	88144	Turková
813053	96495	Ema Meluzinová
813053	166662	Teacher
813053	173035	Granny Nováková
813053	174067	Greslová
813053	175013	Maria
813053	181583	Mother of Emilka
813053	223536	Bendova
813053	237205	
813053	244187	
813053	259053	Celerka
813053	305873	Matylde
813053	357435	
813054	376178	Vlasta
813055	16195	Marie Dousová
813055	23035	Pilátová alias Cerná kronika
813055	73064	La voyante
813055	88409	Kristýnka
813055	96495	Pùlpánová
813055	147035	Officer Zizková
813055	147044	Mother
813055	151830	
813055	165119	Volrábová
813055	171534	
813055	180224	Grandmother
813055	180420	
813055	189491	Vlácilová
813055	223536	
813055	224960	Paní Somková
813055	229560	Honzíková
813055	232892	Vavrova
813055	266349	Grandmother Slámová
813055	266459	
813055	281214	Farmer's Wife
813055	305809	
813055	315358	Joudalová
813055	320565	
813055	326262	Kantýnská
813055	335562	Kotajda
813055	339292	Marka
813055	357266	Brychová
813055	373781	Hanzlová
813055	375331	Zdenek´s mother
813055	375406	
813055	375479	Secretary
813055	383080	
813055	383856	
813055	387031	
813055	401806	Bozena Kverková
813056	46572	Mutant
813057	81250	Young Jake
813059	46808	The Datu of Dakar
813060	105280	Groucho Party Dancer
813060	114298	Dancer
813060	137031	Phreak's Mother
813060	166567	Woman in the Window
813060	272234	Agent Kimba Welch
813060	326083	Gina
813060	395273	Det. Reina Perez (2000-2001)
813060	397831	Miracle
813061	8023	Elizabeth Perez
813061	53318	Maggie
813061	65042	Rebecca
813061	68940	Guard Sally Bishop
813061	73561	Rachel Atwood
813061	81652	Elizabeth Davis
813061	83644	Dora
813061	90117	Doña Inez
813061	107895	Detective Sandra
813061	114313	McBride
813061	117078	Cpl. Grace Pavlik
813061	117908	Isabella
813061	120615	Christine Avila
813061	121520	Armiti Khalq
813061	124185	Captain Maria Chavez
813061	156881	Herself
813061	175164	Astrid
813061	177451	
813061	196320	Rachel Martin
813061	203344	Mariana
813061	228434	Prosecutor Wanda Bisbing (dir
813061	241375	Grace
813061	264442	Iris
813061	280135	Victoria Garcia
813061	303266	
813061	308128	Dr. Martinez
813061	311136	Sonia
813061	314131	Laura Martinez
813061	336458	Melina
813061	341847	Rachel Taper
813061	359380	Mrs. McVale
813061	362057	Dexter Ireland
813061	363044	Lisa
813061	363399	Officer Landers
813061	380000	Vangie Gonzalez
813061	385217	Det. Annette Rey
813061	389056	Cpl. Grace Pavlik
813061	389758	Captain Maria Chavez, Obsidia
813061	400038	Asst. U.S. Atty. Teresa Storm
813061	405571	Laura Roam
813062	16261	Alma
813062	23107	Mia
813062	84270	Harriet Brandt
813062	96019	Eva
813062	101451	Harriet Allard
813062	109010	Kaja
813062	117565	Mrs. Lindquist
813062	120966	Gertrud Holmgren
813062	122460	Isabella Löfgren
813062	122776	Marianne
813062	123071	Elizavetha
813062	123887	
813062	125563	Maria Sabline
813062	129273	Laura Wingfield
813062	134258	Ofelia Grane
813062	148818	Eva Bergström
813062	153716	Birgit Ljusnar
813062	160873	Margit Brandt
813062	165627	Vera Linder
813062	181843	Catherine von Wismar
813062	182299	Anna
813062	198261	Fanny
813062	198271	Mrs. Sjögren
813062	225231	Rose
813062	235041	Baby
813062	244204	Lina Boyd
813062	256782	Alisia von Svärd
813062	268328	Signe Wæbel
813062	320525	Nancy von Rosen
813062	322309	Kyllikki
813062	378166	Sister Vivian
813062	387026	Clara (segment 2 and 3)
813063	37857	PC Honey Harman
813063	382052	PC Honey Harman (2003-)
813064	6212	Tilde
813064	25282	Maria von Freyer
813064	108633	Biskopsgården - Henrietta Ver
813064	121012	Kristin
813064	122498	
813064	129382	
813064	170508	Head Nurse
813064	182560	Waitress in Lesjöfors
813064	205677	
813064	239900	Gunvor Mårtensson
813064	281907	Sonja Hansson
813064	305895	Holgeus
813064	377386	Kjell's mother
813064	391357	Ingrid Löfgren
813064	392356	
813065	153766	Pregnant Girl
813067	239651	Mary Clark
813068	406548	Lou
813069	111894	Katja
813070	178896	Brooke
813070	320098	Raine
813071	230933	Girlfriend
813071	234465	Brenda
813071	279719	
813071	318450	Kate Abarnel
813071	373216	Perfume Model
813072	190006	Edith's sister
813073	199576	La femme du bar
813073	212782	Agnès Vaillant
813073	234573	L'amie de Chris
813073	249681	Nina
813073	301181	
813074	258127	Karin
813075	158818	Cindy
813076	55477	Trish
813078	114984	
813079	153748	Frau Niebaum
813079	325649	
813079	343657	
813080	178833	Roma
813080	286233	María
813080	286369	Elena
813080	332598	Clara
813080	369989	Herself - Presenter: Best Ani
813080	376685	Irene
813080	408418	Tamara
813081	86866	Gloria
813081	192983	
813081	193512	
813082	91005	Viktoria
813082	352367	
813083	409958	Franziska von Beyenbach (2001
813084	313788	Performer
813085	254713	Beate
813085	377352	Nina Kramberg
813085	377353	Dr. Kramberg
813085	377354	Dr. Nina Kramberg
813085	377356	Dr. Kramberg
813085	377357	Nina
813086	309019	Louise (kleines Mädchen)
813087	376579	Frau Bucher
813089	340228	Cassandra
813090	31187	Herself - ABC Team Contestant
813090	42345	
813090	161217	Herself
813090	261958	
813090	319696	Herself
813091	366701	Dolly
813092	330406	Doris Combs
813093	408365	Herself
813094	215251	Thelma Lou
813094	318106	Dream Girl
813095	165354	
813096	238480	Verpleegster 1
813097	7470	Éliane Bardin
813097	15081	Isabelle
813097	20544	Schula
813097	21633	
813097	30312	La femme blonde sur les photo
813097	37023	
813097	58744	Nurse Cécile
813097	91731	Juliette Ceyssac
813097	101220	
813097	110145	Eva
813097	138996	Christine
813097	143520	Pauline
813097	166180	Inès
813097	168276	Margot
813097	219470	Vicky Felton
813097	225446	Lola
813097	248055	Bénédicte
813097	269503	Elisabeth
813097	272257	L'amie de Sophie
813097	294796	Alice Doste
813097	324501	Geneviéve
813097	327076	Catherine
813097	336937	Iris Galland
813097	337032	La psy
813097	343538	
813097	343557	
813097	345033	Cora
813097	345155	Flora
813097	345423	Dora
813097	353823	Barbara
813097	355369	Julia
813097	376876	Anne
813097	383334	
813097	383861	(segment "Réveil difficile")
813097	388691	
813097	406493	Joanna Texel
813097	406853	Madeleine
813098	390409	Herself
813099	24051	Sekretaerin
813099	119681	Lilly
813099	178569	
813099	223489	Verwirrte
813099	289890	Sarah
813099	316542	Eva Brenner
813099	325392	Faller
813099	361049	Nane
813100	327920	
813101	7580	Jesta
813101	42199	
813101	80659	Jørgens kone Anne
813101	84307	Gudrun
813101	117875	Ida Bunken
813101	130112	Bitten
813101	142286	Tyrk
813101	145624	Elsie
813101	146991	Kvinden
813101	163755	Karen's Mother
813101	202310	Anna
813101	203960	
813101	235025	Trælkvinde, der ofres
813101	236253	Læserbrevsredaktøren
813101	241981	Sonja
813101	255674	Susanne 'Sus' Hansen
813101	361564	Ebba, Werner og Ernas datter
813101	388910	Various roles
813101	389406	Various roles (1972)
813101	392161	Various roles
813102	23456	
813103	343864	Short Order Cook
813104	65560	Mi Ling Fong
813104	131260	Luo Yin
813104	231213	
813104	252129	Tara
813104	296569	
813104	332510	
813104	332610	
813104	369562	Li Chieh
813104	369641	
813104	402555	
813105	246589	Lady Dentist
813106	16563	Yam Fei Fei (Yuriko's Mother)
813106	96543	Chief
813106	167756	
813106	196669	Ting-Ting
813106	268763	Ping
813106	291619	
813106	297901	Yung-Er
813106	302615	Penny
813106	367117	June Lee
813106	369857	Ali
813106	370470	
813106	371459	Annie
813107	94711	Geisha
813108	18160	Herself
813108	266604	Psycho-lette
813109	172405	Äiti
813110	9317	
813110	9355	
813110	156038	
813110	172799	
813110	182595	Alma Hurskainen
813110	254208	Ester Näre
813110	407658	Vappu Ahma
813110	410025	Salme Hänninen
813111	243681	Janine
813112	48468	Perris Townie
813112	131473	Mrs. Cermak
813112	272471	
813112	275872	Teacher
813113	203698	Miss Flo
813114	396501	Akane Aikawa
813115	194483	The Lord of the Dance Troupe 
813116	73403	
813117	18739	Lorraine Sayburn
813117	31058	Lt. Rose Ashland
813117	69671	Wang Khan's wife
813117	93220	Pat, Secretary
813117	136020	Stella Leatham
813117	289400	Second Nun
813117	358583	Prostitute
813117	374578	Mrs. Joan Wilson
813119	7545	Jill
813119	74217	Tina
813119	128345	Alissa Mitchell
813119	188929	Clubgoer #4
813119	248081	Cammie Thorpe
813119	271206	Farm Girl
813119	328396	
813119	342610	Betsy
813119	343147	
813119	363653	Melanie
813119	383186	Rosie; Clementine
813119	398208	Douchebag (Heidi)
813119	402176	
813120	346229	Policeman
813121	7200	Dolly Harrison
813121	33420	Tina Tomasino
813121	33622	Belle Shirley, later Belle St
813121	40024	Iris Denver
813121	62023	Miss Young
813121	65847	Midge Sheridan
813121	71422	Herself
813121	74650	
813121	79388	Lenore Constable
813121	92883	Miranda Wells
813121	98012	Baketamon (Pharoah's sister)
813121	127075	Lucy Muir
813121	141620	Martha Strabel/Van Cleve
813121	152221	Barbara Hall
813121	162342	Anna Gouzenkova
813121	175555	Herself
813121	186117	Laura Hunt
813121	186795	Ellen Berent
813121	187078	Anne Scott
813121	207865	Maggy Carleton
813121	230357	Marva Lamarkins
813121	231775	Mary Bristol
813121	240841	Lili Duran
813121	253452	Kay Barlow
813121	258067	Jane Barton
813121	258375	Dorothy Bradford
813121	273083	Isabel Bradley
813121	276683	Eleanor Stone
813121	278540	Susan Miller/Linda Worthingto
813121	292508	Marcia Stoddard
813121	297369	Victoria Charteris, aka Poppy
813121	308354	Eve
813121	319061	Zia
813121	329538	Sara Farley
813121	332009	Kay Saunders
813121	334416	Ellie May Lester
813121	337211	Albertine Prine
813121	360180	Teresa
813121	363440	Morgan Taylor(Paine)
813121	363623	Ann Sutton
813121	404570	Harriet Toppingham
813122	86282	Mrs. Wurst
813123	41268	Tilly Bondurant
813124	367917	
813125	16045	Dentist
813126	2787	Herself
813126	73851	Michelle
813126	80633	Molly Field
813126	116086	Denise
813126	116152	Donna
813126	117522	Bridget
813126	160524	Rachel Clement
813126	160656	Lynn Powell
813126	189233	Audrey Reede
813126	189234	Herself
813126	191152	Cecelia
813126	210483	Leslie
813126	211383	Simonet
813126	212257	Pam on Phone
813126	228919	Helen
813126	228970	Herself
813126	245055	Meg
813126	245856	Madeline Foster
813126	263740	Naomi Chance
813126	263755	Daisy
813126	291085	Pat McBeth
813126	317341	Kathy Mopey
813126	327376	Sharon Derns
813126	361229	Sally Mannis
813126	363997	Noreen
813126	378935	Cherlyn Markowitz (1994)
813126	387728	Dr. Abby Lockhart (2000-)
813126	395601	
813126	399334	Lisa Miller
813126	404215	Kathy Kelly
813126	409822	Jillian Ryan
813128	34826	Soloist
813128	81211	
813128	126688	Opera Singer
813129	155681	
813130	2598	
813130	197191	
813131	125942	Phantom Cat B
813132	132255	
813132	198533	
813132	234954	
813132	338466	Frau Blauensteiner
813132	338469	Frau Blauensteiner
813132	338470	Fr. Blauensteiner
813132	338472	Fr. Blauensteiner
813132	378550	Supermarktkundin
813133	347327	Lemonade Stand Girl #2
813134	56545	Herself
813134	125212	Kerstin
813134	365584	Niki
813134	406225	
813135	138640	Host
813135	385732	Host (1993-)
813135	399105	Host (1996, 1998)
813136	11384	Big Haired Lady
813137	98289	
813137	140271	
813137	184556	
813137	259635	
813138	11814	Vio
813138	12565	Verena
813138	24023	Leonie Sauter
813138	49271	Katja Flemisch (Hasi)
813138	49273	Katja
813138	49275	
813138	49301	Katja
813138	49307	Katja Flemisch
813138	56125	Carry
813138	59565	Stewardess
813138	90998	Waldbaum
813138	91182	Elisabeth Brückner
813138	97236	Helen
813138	117512	Nancy
813138	119264	Lotte
813138	125373	Maria
813138	136991	Inga Morell-Fabian
813138	142267	Carla Louvrie
813138	144162	Marie
813138	144196	Laura Leonard
813138	159607	Ingrid Holm
813138	169589	
813138	204417	Marie Cholewa-Wissbach
813138	204481	Anke Germeroth
813138	225653	Monika
813138	236630	Pamela Carter
813138	270427	Hauptkommissarin König
813138	281729	Kate Millhouse
813138	281743	Liz
813138	290782	Sylvie Winter
813138	310903	Marie Winter
813138	316546	Christa
813138	323659	Marie Heller
813138	325669	Veronika Claudius
813138	325926	Luise Schaller
813138	338443	Helma
813138	347783	Sandra
813138	352059	Susanne Köster
813138	356550	Franks Mutter
813138	376134	
813138	376311	Nurse Flannery
813138	378063	La femme de Frantz
813138	381679	Traudl
813138	388468	
813138	392086	
813138	403413	
813138	408208	Dr. Ann-Marie Polenz
813138	408718	Various Characters
813138	411009	Joanna
813139	112187	Jasmin
813140	866	Herself
813140	1281	
813140	2009	Herself
813140	48489	Herself
813140	75195	
813140	81041	National Anthem Singer
813140	167131	Judy Jetson
813140	189851	Host
813140	189863	Host
813140	193191	
813140	210357	Herself
813140	236350	Tiffany
813140	240761	Girl #3
813140	332736	Herself
813140	356350	Herself - Choir Member
813140	392423	Herself
813140	407815	Herself (Single) (2003)
813187	396983	Lucia
813140	411982	Host (27 September 1967 - 17 
813141	235510	Speciality Guests
813142	108377	
813143	47922	Child
813144	103265	Maiden #1
813145	11552	Great-great-grandmaw
813146	45639	Woman #1
813147	351803	The Daughter
813148	131915	Marjie Shuler
813148	379676	Heather Brody
813149	128529	
813149	150469	Marsha
813150	281997	Jail Matron
813151	321702	Coffee Shop Lady
813152	11012	Juliette
813153	391	
813153	4744	Herself
813153	14433	Susie the hooker
813153	14883	
813153	19791	Gloria Bianchi
813153	47038	
813153	67823	Carol Brewster
813153	71296	Carmela
813153	82439	Milene
813153	117281	Sandy Palmer
813153	127937	Lu Auer
813153	137626	Louise Gearhart
813153	139565	Miranda Sampson
813153	192622	Eadie Manning
813153	223087	Miller's Daughter
813153	238798	Pepita (segment "La moglie bi
813153	241875	Scarlett Hazeltine
813153	258067	Susie Higgins
813153	266024	Gabriella
813153	281796	
813153	301365	Pamela Traversa
813153	313920	Margy Frake
813153	316520	Marisa Di Giovanni
813153	318673	Nellie Ewell
813153	353335	Karen
813153	355813	Paula Whitland
813154	26510	Anna
813154	43755	Michelle
813154	78370	Dr. Jonas
813154	119501	Miss Hammer
813154	169338	The women
813154	172603	
813154	196820	Alice Tanguay
813154	205525	Marie-Ange
813154	261876	Roxane
813154	265683	Emily Hall
813154	268393	Mado
813154	278141	Mychele
813154	315276	Diane
813154	322353	Délima Greenwood
813154	322584	Jeanne
813154	346647	Une femme au restaurant
813154	371421	Marie José
813154	378074	Mère de Jim
813154	383818	Zofia Pawlowski
813154	398172	Fleur-Ange Blondeau
813154	398993	
813154	400384	Dominique Lefort
813154	400841	Marie Rousseau
813154	400899	Rose Paradis
813154	401983	Suzanne Lauzière
813154	402734	
813154	407812	Monique Gariépy
813155	184265	
813156	247060	Brigitte Hahn
813157	62579	Jr. Nun
813158	377962	Rachel
813159	168272	Donna
813160	14002	Grandma
813161	128445	
813161	129188	Horny Seamstress
813161	160372	Horny Seamtress
813161	353269	
813162	399850	Advokat Lena Landberg (4 epis
813163	119211	Chris Belling
813163	179775	Beatrice Fröhlich
813163	189556	Marion
813163	328881	Susanne
813163	352047	
813163	376295	
813163	381578	Julia
813163	388203	Yvonne Meinecke (1993-)
813163	389282	Chris Belling
813163	391012	Vicky (season 2)
813163	392855	
813163	398089	Eva Hellrich
813163	412113	Alexandra von Buttstedt
813164	234070	Telephone Operator
813165	183719	
813166	276736	Kathy
813167	261699	The Girl
813168	395778	
813169	83396	
813170	33300	
813170	124918	
813170	173858	
813170	285492	
813170	320472	
813171	190622	Mary Castleberg
813172	317335	Dagmar
813173	35597	Julia DeWolfe
813173	249451	Customer (record store)
813174	396610	Linda Albuquerque (2000-2003)
813175	293744	Meaico City Reporter
813177	76275	Lotus
813177	94355	
813177	151981	
813177	189206	
813178	104791	Titkárnõ
813179	224968	
813180	322005	
813181	253716	Velin kato dete
813182	229553	Child
813183	115433	Marie-Christine
813183	166370	A philosophy student
813183	403896	Tina
813183	409923	Sophie
813184	163901	
813185	45579	Boyka
813186	401729	(Episode "Del 6")
813187	29673	Tamis
813187	53277	
813187	90364	Debbie
813187	103768	Catalina (young)
813187	122790	Lupe
813187	199912	
813187	217781	Alejandra
813187	241143	Waitress
813187	241508	Pilar
813187	255234	Leticia
813187	302394	Clarissa
813187	323586	Girl at party
813187	341081	Connie
813187	389483	
813187	396215	
813187	398458	Mónica
813187	398473	Concepción
813187	407431	Maribel
813188	61191	
813189	57960	
813189	115024	Herself
813190	166346	
813191	49619	Luda
813192	102906	
813193	268345	High Ranking Female Serb
813194	137785	
813195	397302	Roza
813196	318562	
813197	265993	
813198	8113	Margo
813198	24839	
813198	33837	
813198	179747	
813198	265024	
813198	349270	
813198	356112	
813198	357686	
813198	371432	
813199	375663	
813200	263690	
813201	402348	
813202	217465	Old Woman
813202	278647	Hawaiian Grandmother
813203	143486	
813204	173407	
813204	214712	
813204	246634	Leena
813204	293820	Brita
813204	302115	
813204	322704	
813204	356116	Maid
813205	329663	Whore
813206	375704	
813207	187833	
813207	268533	Ähkylän emäntä
813207	341798	Kaarina Veräjä, Kielon äiti
813207	402897	
813208	122270	Karin
813208	316985	Märta-Greta (dottern)
813209	98094	
813209	99471	
813209	104860	Elvi Nikkanen
813209	197362	
813209	200955	Head Nurse
813209	219451	The Girl
813209	239911	Leena Järvelä
813209	302824	Maria
813209	354598	Maija
813210	350672	Aili
813211	1893	Marie
813211	153547	
813211	394236	Nainen vessassa
813212	300209	
813213	377696	L'adepte de la secte
813214	116914	
813215	116914	
813216	132786	Bertha
813217	57061	Herself
813218	33526	Fraulein Brautistamm
813218	86715	Stem van Karen Vincke
813218	90688	Stanleys vrouw
813218	128013	
813218	171798	Zuster 1
813218	202700	Harry
813218	225825	Denise
813218	231710	Donna Diana
813218	248909	Maddy
813218	281649	Rosa
813218	287235	Lise
813218	365706	Gravin Kotzebue
813218	367020	Jasja
813218	374291	Caterina Bolnes
813218	375377	Olga
813218	407884	Jeanne
813218	411311	Moniek Heersma (1998)
813219	15129	
813219	217660	La demoiselle Hertz
813219	261854	Fanny
813219	294604	
813219	323771	Seamstress
813220	44083	Bootmen Chorus
813221	11199	Hilda
813221	50645	Ella
813221	68109	'Peri' in Lenny Henry Show sk
813221	97848	Effie
813221	139099	Mrs. Thornley's friend
813221	209097	Lady on Bus
813221	256821	Jessie Reed
813221	264676	Mrs. Turnbull, a Chilvers Nei
813221	334271	Speaker
813221	358836	Mrs. Ashby
813221	361978	Mrs. Mortimer
813221	370585	Neighbour
813221	380223	Florrie
813221	385020	Vivian Barford (1991-1993), S
813221	387533	Betty Eagleton (1994-)
813221	405067	Mrs. Tibbett
813222	72668	Old Lady Crazie
813223	358547	Verpleegster
813224	7961	Aunt Lucy
813224	10678	Mrs. Dresser
813224	18006	Brownie
813224	18197	Old woman at chalet
813224	20715	Aunt Meg
813224	24783	Mrs. Ruyler
813224	26610	Miss Turner, a Chaperone
813224	27149	Deaf woman
813224	28249	Princess Natalya Petrovna
813224	37072	
813224	40605	
813224	40706	Mrs. Guerton
813224	40893	Old woman
813224	42940	Gypsy queen
813224	45494	Mrs. Jepson
813224	49244	Effie
813224	49245	Jail Cell Background Extra (D
813224	49250	Mrs. Weevens
813224	52902	Prudence
813224	52904	Old Duchess Bidding 3750 Fran
813224	59605	Mrs. Luce
813224	65928	Mrs. Cathcart
813224	68133	Granny Stokes
813224	83816	Aunt Olga
813224	96672	Miss Nana
813224	99853	Mrs. Cobb
813224	109209	Old Lady
813224	110413	Mrs. Crippen
813224	114534	
813224	129088	Aunt Esther Warren
813224	132016	Mrs. Daniel Beall
813224	144673	
813224	152925	Flower Woman
813224	163267	Miss Gordon
813224	169167	
813224	176447	Old Woman
813224	177565	Dying Duchess Marie
813224	183789	Woman Congratulating Manon
813224	185215	The Wise Woman
813224	192611	Mrs. Venable
813224	199534	Aunt Ada
813224	200881	Goody Hodgers
813224	205724	Dowager at Birth of Dauphin
813224	206112	Grandmother
813224	206382	Lady Tranmore
813224	213257	Mrs. Lane
813224	220091	Mrs. De La Motte
813224	224684	Granny Plimpton
813224	224711	The Opium Woman
813224	228829	
813224	239657	Elderly Woman in Bank
813224	249235	Old Lady
813224	249253	Molly Smith
813224	266710	Deaf Woman in Scottsdale Bar
813224	277513	Duchess
813224	292142	Grandma
813224	297889	Ma Hawkins
813224	298509	Granny Carson
813224	299167	Lady Daley
813224	302773	Mrs. Handley
813224	306795	Mrs. Stanley Shelby
813224	315644	Mrs. Sanders
813224	315956	Old Hag
813224	327256	Miss Mary Anderson
813224	334416	Grandma Lester
813224	342715	
813224	345981	Mrs. Nash
813224	350149	
813224	361543	Mrs. Moncaster
813224	363758	Woman Donating Sheets
813224	367415	Grandma
813224	367842	Peg
813225	195704	Herself
813226	215295	Officer Martin
813227	408490	Tini
813228	278082	Jason (Baby)
813229	224729	Courtney (3)
813230	354073	Miss Kurzweg
813230	408490	Veronika
813231	85908	May Paynham
813232	2142	
813232	12586	
813232	16219	Mutter
813232	40415	Lisi
813232	42116	Christl Niedermeyer
813232	46161	Housemaid
813232	48138	Stanzi
813232	48411	Louise Gleich
813232	70740	Frau Kirbisch
813232	90516	
813232	93442	
813232	93483	
813232	98132	
813232	104828	
813232	115992	Mrs. Holub
813232	126364	
813232	126366	
813232	126367	Valerie
813232	129680	
813232	132547	Stasa Kokozow
813232	138458	Mizzi
813232	140215	Liselotte/Daisy
813232	147271	
813232	155456	Elli Noak
813232	157673	
813232	172375	Gräfin Reichenbach
813232	172976	Frau Peschta
813232	178806	
813232	186901	
813232	189690	
813232	197411	
813232	221243	
813232	231455	Frau Prof. Almoslino
813232	237737	Betty Staade
813232	239019	
813232	248690	
813232	254364	Ambrosia
813232	265653	Tante Crescentia
813232	268539	Fräulein Andacht
813232	270546	Frau Kathie
813232	272563	Wanda
813232	281105	Bettina
813232	290728	
813232	293623	
813232	306422	Didi
813232	311068	Liesl
813232	312683	Lotte
813232	313543	
813232	325546	Oma Hubalek
813232	335037	Ilse Strux
813232	352655	Mrs. Fleissig
813232	353998	Frau Kirchner
813232	354073	Rosina
813232	358221	
813232	359672	Therese Hanselmann
813232	364995	
813232	376321	
813232	386334	Frau Werbelhoff
813232	387736	
813232	389093	Anna Buchner
813232	392086	Oma
813232	400105	Louise Maass
813232	403113	
813232	403410	Sophie
813232	410813	Tante Rikki
813233	111370	Anne-Marie
813233	151780	Municipal Clerk
813233	343870	
813234	64244	
813234	102302	Jeannette
813234	238795	
813235	234752	
813236	333430	Daughter
813237	243646	
813239	138775	Woman in Gallery
813239	140798	Marie
813241	117755	
813242	58630	The Imposter Lady Marian
813242	114127	Woman on Strand
813242	142672	
813242	207268	Female dancer
813242	234098	Vampire Girl
813242	329693	Nicole Chapelle
813242	381558	Frances Ricks
813242	388249	Mounia
813242	405217	Eva Gore-Booth
813242	409357	Sondra Wolston
813243	230083	Cybele
813244	45032	Fighting Woman
813245	403805	Tamie Adkins (2004-)
813246	222702	Herself
813247	2692	Louise, the maid
813248	306600	Krista Wise
813249	182455	Sylfidia
813249	182575	Woman
813249	286778	Vera
813250	210310	Young girl on the train
813251	48338	
813251	200450	Maria
813251	214385	Lotten Blom
813251	349013	Mother
813251	401730	Mother
813251	406658	Karin
813252	214385	Gertrud
813253	40694	Personalechef
813253	50328	Lady, who gets goods delivere
813253	109298	Ulla
813253	114827	Fru Holm
813253	117743	Akademimedlemmets kone
813253	121028	Tjenestepigen
813253	125628	Williams mother
813253	153776	Gæst hos Krog
813253	155684	Art Class Lady #2
813253	171514	
813253	203964	Skrankedame
813253	214330	Nelly
813253	237291	Ældre Dame
813253	237301	Husmoder
813253	253942	Fru Andreson
813253	300976	Dolores
813253	303133	Mor
813253	311169	1. kvinde
813253	321762	
813253	328516	
813253	383045	Lady, who gets goods delivere
813253	397074	Ada, værtinde på jernbanerest
813253	398194	Fru Madsen
813253	405717	Fru Jensen
813254	270604	Herself
813255	5712	Paula Miller
813256	29672	Orellia
813256	54427	
813256	88761	Whore
813256	92515	
813256	99323	
813256	100932	
813256	118343	
813256	135361	Alana
813256	136979	
813256	148108	
813256	196728	
813256	205140	
813256	334677	
813257	7468	Nina Berrera
813257	10112	Alberta
813257	14855	La moglie del ricco decaduto 
813257	15278	Ginny
813257	17141	Mimosa
813257	27100	
813257	27127	Evelyn Korff
813257	28434	Tangolita
813257	29363	Vera
813257	30059	
813257	34425	Gunhild Reichenbach
813257	41028	Maria
813257	44826	Helen Cuttler
813257	48675	Gerda
813257	48676	Gerda
813257	58737	Nurse Myra Schneider
813257	58836	Elisabeth
813257	93432	Kitty
813257	94390	Vicky
813257	94392	Irène
813257	96235	Lucky Fridel
813257	98318	Frau von Fischer
813257	101347	Hilde Susmeit
813257	104004	Adriana
813257	104447	Leni
813257	111773	Marion Xylander
813257	121419	
813257	125325	Martine Colombe
813257	126442	Vera Walden
813257	126839	Baroness Laura
813257	134336	Daniela
813257	134804	Geschiedene Frau
813257	147946	Carla
813257	150528	Mabel
813257	150628	
813257	155377	Dolly
813257	155443	Gaby Brugg
813257	156498	Vera
813257	156978	
813257	167193	Lotte
813257	172378	Viktoria
813257	177137	
813257	178664	Susanne Thomas
813257	183075	Mirabelle
813257	183673	Queen Caroline of Naples
813257	188778	Anja
813257	189188	
813257	189661	Ninon Careli Star
813257	217237	Elvira
813257	220709	Louise Weber Lange
813257	225315	Lucia
813257	237229	Joan
813257	237446	
813257	246920	Gertrude Boman
813257	258123	Benedicte
813257	260410	Dr. Bronovska
813257	281745	Cindy
813257	281752	Anne Fairburn
813257	282307	Ila Hansen
813257	290122	
813257	290170	Billie
813257	290748	Olga Fellmeier
813257	308211	Dr. Feuillade
813257	311234	Joan Kenneth
813257	314565	Gena Marquardt
813257	325748	Frau Generaldirektor
813257	327890	Baroness Minna von Strasshofe
813257	335037	Madeleine
813257	348053	Clara Fellner
813257	360063	
813257	361010	Alma
813257	364947	
813257	375071	
813257	376412	Hanne Jahnke
813257	376467	Monika Fuchs
813257	378713	Maja
813257	379785	Paula
813257	383097	Frau Gregorius
813257	387770	Estrella
813257	392093	Marianne
813257	396753	
813257	403330	
813257	406814	Felicia
813258	20684	Donna
813258	64798	Dell
813258	172688	Crystal
813258	190218	News Reporter #1
813259	73703	Brenda
813260	123031	
813261	132228	Shelley Fan
813262	194188	
813262	287143	Laura
813263	274554	
813264	386674	Robin de Luzac
813265	376914	L'enfant Astroflash
813266	234433	
813267	77190	Brenda Sorby
813268	32809	Bob's girl
813268	166568	Emma
813268	335300	Irene
813268	366047	Georgina
813268	400696	Di (1991)
813269	44755	Old Lady
813270	232119	
813271	12622	Patient Three
813272	17861	
813272	28164	
813272	76447	Julie
813272	129257	
813272	160781	Rose
813272	165355	Gemma
813272	173654	Els
813272	179609	Karolijn Van Kersbeke
813272	218859	Ve
813272	304899	Bea
813272	361538	
813272	384611	Carolien Van Kersbeke
813272	386631	Eva Desomer
813272	388299	Claire Van Den Bossche-De Ruy
813272	396460	Irena
813272	399410	Isabel
813272	400294	Annie Chanovsky (1991)
813272	401670	Barabara Vink
813272	402483	Tereska
813272	402838	Miche
813272	411311	Samantha 'Sam' De Munk-De Win
813273	338790	Miranda
813273	338791	Miranda
813273	385820	Emma Lawrence
813274	137208	
813274	195771	Person in the Colony Room Clu
813275	389722	Mermaid #1 (1996-1997)
813276	128499	Vesta Beaumont
813278	397809	Gina (2004)
813279	397809	Tina (2004)
813281	277497	
813282	303290	Herself
813282	345108	Herself
813283	23418	Herself
813283	34773	Herself
813283	242956	Herself
813283	281530	Herself
813283	330391	Herself
813283	370035	Herself
813284	145624	Tine
813285	191573	Candie
813286	223776	Entertainment Today Reporter
813287	245600	Lisa Neighbor
813288	74281	Voodoo Dancer
813289	223882	Guest
813289	235002	
813290	402003	Alpha 6
813291	34702	Bridesmaid
813292	121015	Ann-Mari Löfenholm
813292	137732	Hanna Sjöberg
813292	182799	Emilia Hjelm
813292	235041	
813292	255656	Guest at ladyparty
813293	20477	
813294	68733	Malvina, Tildy's Mother
813295	272802	Doctor #3
813296	390497	Herself (1st Edition)
813297	148735	Soeur 1
813298	346586	
813299	265083	Henrys Wife
813300	316054	Ryan
813301	220809	Girl In Store
813302	322194	Manzi
813303	1677	Herself - Host
813303	1703	Herself - Presenter
813303	14198	Patty Mae
813303	27876	Dolores Pennington
813303	28436	Dot
813303	30478	Piloff
813303	33491	Moyra Luciano
813303	38547	Kily Griffith
813303	45022	Violet
813303	46743	Tiffany
813303	48217	Dolores
813303	49366	Olive Neal
813303	56773	Louella 'Lolly' Parsons
813303	65048	Dr. O'Shannon
813303	70717	Helen
813303	77759	Jo
813303	82561	Alma Kerns
813303	87215	Hooker
813303	88559	Cathryn Richmond
813303	90932	Okie girl
813303	91595	Melissa
813303	97553	Edie Piper
813303	99766	Marika
813303	107002	Blanche 'Monica' Moran
813303	108942	Amy
813303	109509	Ginger Quail
813303	126604	Fran Carvey
813303	131915	Charlene
813303	135788	
813303	140133	Madame Leota
813303	140907	Lisa
813303	141065	Tina Abbot
813303	144950	Miranda
813303	147793	Gillian Stevens
813303	148333	Grace
813303	149275	Mary Crippa
813303	150802	Cindy Figler
813303	160406	Amy
813303	166874	Donna Cherry
813303	168645	Connie Hisler
813303	176411	Waitress
813303	188227	Vicki
813303	189233	Samantha Cole
813303	189234	Herself
813303	190739	Miss De La Croix
813303	199475	Stacy, Hal's Live-in Girlfrie
813303	200463	Fanny Minafer
813303	203626	Rena Rushton/Kathy Payne
813303	218415	Celia
813303	218416	Celia Mae
813303	220682	Amy Hopkins
813303	222947	Herself
813303	223026	Nina Swan
813303	233967	Mona
813303	236145	Edna
813303	246422	Sebeva
813303	255430	Elyse
813303	257522	Herself (ringside fan)
813303	259939	Tarzaan
813303	275308	Tara Ricotto
813303	275522	Allegra James
813303	275796	Mona Lisa
813303	276838	Clara Bow
813303	285737	Nurse Alice
813303	290990	Talbot
813303	291417	Herself - Interviewee
813303	292122	Carole
813303	293144	Herself/Tiffany (voice)
813303	296830	Igiyook
813303	303236	Philomena Rostovich
813303	312798	Crystal Allen
813303	317261	Mrs. Camille Stout
813303	332479	
813303	336482	Herself
813303	360647	Miranda Webber
813303	368942	Lynn Holden
813303	382507	
813303	388343	Bonnie Swanson
813303	394362	Savannah Sumner
813303	401462	
813303	405059	Shannon Winters
813304	42785	Stephanie
813305	8366	Sister Agnes
813305	36966	Chloe
813305	55252	Carmilla
813305	108087	Dancer
813305	128261	Karin
813305	157315	Jennifer
813305	158106	Jennifer Colton
813305	169377	Min
813305	186846	Marianne Johnson
813305	207280	Olivia Lawrence
813305	241285	Julie Wells
813305	304752	Sarah
813305	329025	Jamie Collins
813305	339566	Faith Crowell
813305	340549	
813305	342938	Kitty Berman
813305	350062	Marie Tourvel
813305	411247	George Grace
813306	81464	Nan's mother
813306	105380	Shelly
813307	40819	Barones
813307	40820	Barones
813307	179609	Germaine Tienpondt
813308	400678	Milena
813309	9389	Jean Quantrill
813310	89860	Laurie
813310	100193	Woman in 50's Restaurant
813310	118689	Teacher
813310	232831	Rebecca
813310	327767	
813310	328281	Laura the CRS Tech
813310	343874	Mrs. Dahlgren
813310	363034	Jackie Sloan
813310	394510	Rich Woman
813311	337701	Candy Apple
813312	63124	Ding-a-ling
813313	295006	Board of Birds
813313	334594	Mime Lady/Magic Dragon/Wanda 
813313	397101	Cast
813313	408401	Mime
813314	7997	Amy O'Neil
813314	80707	Melinda
813314	133927	Young Sara Wallis
813314	185649	Maggie
813314	386295	Staring Girl
813314	407461	Little Girl/Nanda
813315	65417	Capt. Nemo and His All Girl B
813316	360892	Mrs. Burdge
813317	252863	Cassandra De Vries
813317	313308	Queen Cloudrunner
813318	145541	Daisy
813319	7816	Herself
813319	29524	Actress
813319	31189	Herself (CBS Team)
813319	31192	Herself (CBS Team contestant)
813319	31193	Herself (CBS Team)
813319	31194	Herself - CBS Team Contestant
813319	31200	Herself (CBS Team contestant)
813319	31201	Herself (CBS Team)
813319	37480	Party Girl #2
813319	42347	
813319	44298	Edith Hanasain
813319	57927	Kathryn Lockwood
813319	64562	Herself
813319	64566	Herself
813319	80705	Isabella
813319	84432	Gail Davies
813319	86021	Julie Thurston
813319	89368	Herself
813319	89948	Herself
813319	107804	Jennifer Cresswell
813319	110180	Actress playing Norma Jean
813319	117127	Mrs. Farell
813319	119356	Bambi
813319	186282	
813319	265101	Debbie Claukinski
813319	270967	
813319	285360	Hannah's Mom
813319	301787	Jane Wine
813319	313511	Grace Kelly
813319	320938	Candy
813319	329914	Stephanie
813319	336475	Dr. Pat/Blonde Scool Director
813319	352965	Herself
813319	363011	Herself
813319	385594	Lucy Ewing Cooper (1978-1985,
813319	386454	Herself
813319	399244	Herself/panelist (1988-89)
813320	362748	Sand Mother
813321	238238	Dickette
813322	18612	Aide
813322	342944	2nd Young Woman
813323	280895	Girl
813324	34111	Herself
813324	34113	Herself
813324	47603	Herself
813324	73253	Betty Van Cleve, aka Betty Eg
813324	162208	Herself - as 'Susie Smith' in
813324	165358	Herself (Vocalist)
813324	269372	Band vocalist
813324	291368	Herself
813324	302624	Singing party guest
813324	316900	Herself
813324	319131	Queen of Hearts
813324	321503	Judy Alvin
813324	335952	Lounge singer
813324	372299	Singer in 'Wedding Cake Walk'
813325	104739	Spanish entry (12th place)
813325	321955	Ex-Agency Special Operative T
813325	321956	Teresa Lipan/Additional Voice
813325	321957	Teresa Lipan
813326	935	Regan Wilton
813326	42137	Laura
813326	246285	Young Emily
813326	276039	Crissy Woloschuck
813327	316225	Group Therapy Women
813328	116131	Underwear model
813328	209327	Bathing beauty
813328	377426	Woman in boat
813329	131383	Vaters neue Frau
813329	143769	Thusnelda
813329	287313	
813329	325948	Monika Franke
813329	404448	Ragna Delling
813330	2266	
813330	23963	
813330	41620	
813330	109229	
813330	154061	
813330	306391	Daliah
813330	312709	
813331	185000	Nainen ravintolassa
813331	260055	Uskovainen
813332	323974	Joey
813333	13661	
813333	69243	Irene
813333	70052	
813333	81701	
813333	120909	
813333	148482	
813333	272890	
813333	306794	
813333	353100	
813333	382883	Dagmar
813333	383294	Mãezinha
813333	383437	Renée
813333	383727	Yolanda Mendes
813333	385025	Maria
813333	385853	Nágila Pastore
813333	386115	
813333	386122	Túlia
813333	386245	Bárbara Heliodora
813333	386418	Maria Helena
813333	386505	Haydée
813333	386757	Constância Eugênia Barreto
813333	387324	Maria do Carmo
813333	387424	Eva
813333	387777	Fernanda Soares
813333	389153	Idalina Silveira
813333	396810	Marrita
813333	396844	Elizabeth
813333	397541	Consuelo
813333	398503	Juíza
813333	398548	Basiléia
813333	399766	Lígia
813333	401944	Ondina
813333	402503	
813333	402568	
813333	402644	Júlia
813333	402685	Xuxu
813333	402809	Imperatriz Charlote do México
813333	403747	Eleonora
813333	404014	Elisa
813333	404271	Sarah Bernhardt
813333	404283	Marta
813333	406847	Juliana
813333	407802	Paula
813333	407856	A Morte
813333	408330	Cecília
813333	409414	
813333	409780	Celina Junqueira
813333	410106	Cláudia
813333	411932	Tereza
813333	412258	Emília
813334	13588	The Teacher
813334	61261	Hospital Receptionist
813334	67590	Madge
813334	296755	Corinne
813334	309047	Chops' Secretary
813334	348386	Black Girl
813334	364223	Hospital Nurse
813334	401602	Venus
813334	406082	Astrea
813335	170746	Ming
813336	115562	Rockette
813336	218180	Wasp Woman
813337	41934	Officer's wife
813338	217368	
813339	171739	
813341	2165	
813341	82812	Actress
813341	111711	
813341	131111	
813341	163851	
813341	188013	
813341	308185	
813341	308186	
813342	273071	
813342	320710	Janica
813342	334049	
813342	335498	
813343	137969	
813343	325409	Frau des Tankwarts
813343	325456	
813343	325797	Apothekerin
813343	325857	Hildegard Eckstein
813344	79422	Pansy Mynors
813345	110916	Reporter
813345	272930	News Crews
813346	7637	Switchboard Lady #2
813346	7661	Katazile
813346	74258	Shebeen Queen
813347	11750	Nurse
813347	78076	Black Hooker
813348	278334	
813349	211843	Pharmacist
813350	75144	
813351	80986	Susan
813352	304432	
813353	16191	Anezka
813353	149577	Hana Svobodová
813353	187373	Emöke
813353	237201	Pampeliska
813353	282760	
813353	313722	Klári
813353	320657	Helga
813353	357676	Arina
813353	394751	Mara Silverová
813354	29248	Aom
813354	50644	
813354	165342	Khun Kaew
813355	153705	
813355	164754	
813355	200826	
813355	229574	
813355	381344	Csilla Szabó (2000-2002)
813355	390846	Various
813355	402220	Juli
813355	407236	Veronika Tóth, the P.E. teach
813356	243436	Housewife
813357	357809	
813358	77805	Chorus girl
813359	45899	Extra: bus
813360	98922	
813360	111068	TV News Reporter
813360	313625	Waitress
813361	109539	Jeannine
813362	325860	Gabi Dorn
813362	395504	
813363	131983	Party Kid #3
813364	246260	Female Backpacker
813365	63644	Isabelle
813366	226340	Bäuerin
813367	376311	
813368	45586	Sunset Girl
813369	77339	Michelle
813369	380747	Myriam Daems
813369	386631	Kathy Temmerman
813369	408151	Sofie Deprez (2000)
813369	410491	Ellen (2000-2001)
813369	411311	Caroline 'Caro' Moelants-Stae
813370	209210	Refugee
813371	56870	Kid's Mother
813371	109439	
813371	134025	
813371	139068	Dina Davis
813371	141655	Fiona Dell
813371	149968	Janice Simmons
813371	150606	Bitty Tuck
813371	291865	Christine Bellows
813371	293145	
813371	310195	Nova (earthworm captive on Te
813371	323519	Kathy
813371	380391	Paulina Cantrell Cory McKinno
813371	394231	Maggie Davenport (1988-1989)
813371	396122	
813371	404002	Maggie Shelby Greenburg Coler
813372	61730	
813373	138716	Herself
813373	195090	Host
813373	393111	Hostess (1986-1990)
813373	395554	
813373	396029	Host (1992- )
813374	289059	Receptionist
813375	62995	Belinda Cratchit
813376	78760	Original Cindy
813377	138724	Cheerleader
813378	400899	Indiana
813379	227539	
813380	403894	Cowboy Sally
813381	66960	Mercedes
813381	290936	Reporter #4
813381	333120	Elaine, with pinwheel
813382	343828	
813383	84421	
813384	132726	
813384	310461	Eghina
813385	28258	
813385	409010	Sheloro
813385	410424	
813386	15402	
813386	63579	
813386	77096	
813386	176138	
813386	181244	
813386	225971	
813386	237878	
813386	239421	Maria Olegovna
813386	265990	
813386	280384	
813386	294654	
813386	350991	
813386	376218	
813387	18286	
813388	196525	Nikkilän Kirsti
813389	260502	
813389	265237	
813389	373545	
813391	3161	Child at the swimming school
813392	55110	Warden
813392	80966	Janet
813392	134178	Joyce
813392	150974	Miss Haines
813392	174152	
813392	240409	Michelle
813392	278169	Fiona
813392	283068	
813392	323023	Det. Supt. Valerie Patterson
813392	323037	Det. Supt. Valerie Patterson
813392	323038	Det. Supt. Valerie Patterson
813392	365121	Night Nurse
813392	365255	Sadie's friend
813392	372406	Mrs. Gordon
813392	380829	Marie
813392	407365	Det. Supt. Valerie Patterson 
813392	407414	Judith Crombie
813393	72502	Secretary
813394	304170	
813395	43274	
813396	300492	
813397	11425	Band Member (Coochie Pop)
813398	182598	
813398	223255	TV-announcer
813399	15095	Marie
813399	92122	Julie
813399	120046	Billy
813399	126427	
813399	133312	BEA
813399	157602	Lynn
813399	162229	Julia Liebermann
813399	223334	Charlotte
813399	290051	Niki
813399	318366	
813400	315317	Bench Mom
813401	59789	Bit part
813401	110943	
813401	131538	Lottie
813401	142441	
813401	213461	April Adams
813402	30722	
813402	135285	
813402	145250	
813402	168748	
813402	214620	
813402	335988	
813402	341881	
813402	376800	
813403	98090	Mother
813403	115468	
813403	190386	Receptionist
813403	195017	
813403	281148	Moeder van Anne
813403	310947	
813403	367203	Oude vrouw
813403	375521	Toiletjuffrouw
813403	382864	Gertie
813403	390242	Nora Daniël (1992, 1994, 1995
813404	63835	Alice
813405	81984	Bargirl
813406	11010	Une infirmière
813407	50975	Nancy
813407	321581	Marie-Claire
813408	50975	Parent #2
813409	188201	
813409	225083	Tusi,manikûrösnõ
813409	322118	
813409	335267	Sutyi anyja
813409	343631	
813409	349047	
813409	377722	Éva, Eperjesi lánya
813410	28341	
813410	182659	
813410	388511	
813411	380326	
813411	385947	
813412	123256	Kam's Mamasan
813412	123257	
813412	124573	
813412	138305	
813412	183101	
813412	268547	Queenie
813413	202941	
813414	275562	Lung's Wife
813415	374892	Fong's wife
813416	1261	
813416	4210	
813416	47014	
813416	162741	
813416	191372	Herself
813416	228029	Herself
813416	345789	
813417	142831	
813417	164125	
813418	79160	The Fat Crazy Lady
813419	76054	
813419	248914	Tounette
813419	263372	
813419	338597	
813420	309546	Dancer
813421	322537	
813421	341876	Nancy
813422	89957	Marie
813422	356165	Rita
813423	311275	Beverly
813424	51826	
813425	6869	
813425	7837	
813425	8299	
813425	11600	
813425	11602	
813425	16057	
813425	16474	
813425	16482	
813425	16499	
813425	16518	
813425	16521	
813425	16525	Min Gump
813425	16526	
813425	18553	
813425	31207	Cleo
813425	31254	
813425	32109	
813425	32110	
813425	32477	
813425	34198	Fay, the Manicurist
813425	35238	
813425	37371	
813425	37791	
813425	37818	
813425	37826	
813425	37827	
813425	37833	
813425	37844	
813425	37849	
813425	37851	
813425	37853	
813425	37856	
813425	37869	
813425	46123	
813425	47414	
813425	50871	
813425	52239	
813425	52319	
813425	56185	
813425	56265	
813425	57113	Tootner, the Riche's Maid
813425	59817	Fay
813425	60854	
813425	64535	
813425	65803	
813425	65943	
813425	75290	
813425	78117	
813425	79832	
813425	80370	Fay
813425	81548	
813425	90200	Dulcinea
813425	95098	
813425	95864	
813425	103351	An adventuress
813425	104377	Ethel
813425	104378	Ethel
813425	104381	Ethel
813425	104382	Ethel
813425	104383	Ethel
813425	104384	Ethel
813425	104385	Ethel
813425	104387	Ethel
813425	105640	Mammy
813425	107588	Fay, the Fair Stenographer
813425	109635	Nell
813425	109848	Fay, a Chauffeur
813425	113793	Maggie Driver
813425	116126	
813425	119810	
813425	124386	
813425	129847	
813425	148197	
813425	148404	The Wordly Woman
813425	154670	
813425	155008	
813425	183623	
813425	185232	
813425	186110	
813425	186769	Unidentified Role (Fourth Ser
813425	195041	
813425	195994	
813425	196215	
813425	201012	
813425	206874	
813425	213814	
813425	214377	
813425	214381	
813425	214382	
813425	216478	
813425	220944	Shorty Sal
813425	221162	
813425	223037	
813425	229128	
813425	230315	
813425	237585	
813425	238051	
813425	238967	
813425	238989	
813425	244988	
813425	245026	
813425	245594	Fay
813425	254922	
813425	264602	
813425	267513	
813425	269813	
813425	270355	
813425	273895	
813425	278212	
813425	281473	
813425	282332	
813425	282544	Rowdy Ann
813425	285341	Fay
813425	286148	
813425	289717	
813425	292009	
813425	296977	
813425	299507	Fay
813425	304093	
813425	305494	
813425	319256	Widow Marrimore
813425	335688	
813425	336455	
813425	337052	
813425	343036	
813425	345751	
813425	348093	
813425	348232	
813425	359865	
813425	361698	
813425	362541	
813425	362806	
813425	363277	
813425	364015	
813425	372909	
813426	281145	Lycosian General
813427	393042	Nikki
813428	208378	Dominique
813428	335826	
813428	382854	Anne Hammond (1972-1974, 1976
813428	387518	Amanda Brown
813428	394474	Miriam Graham
813428	399380	Monica Thornfield
813428	408943	Audrey Maiby
813429	13596	Slaygirl
813429	222797	The Slaygirl
813429	301558	Slaymate
813430	247491	Emily Sue Patterson/Luci Luv
813430	251347	Herself
813431	208870	Sandra Blum
813432	373216	Singing Model
813433	340211	
813433	387615	Mme Cave
813433	392750	L'infirmière
813434	26750	Gina
813434	379253	Co-Host/Talent
813435	194005	Maid
813436	355490	Eric's Mother
813437	89547	
813437	209067	Lola
813437	339104	
813437	351627	Paris
813438	28025	
813439	90044	
813439	293819	
813440	37702	Margie
813441	156215	
813442	156215	
813443	105620	
813444	8765	
813444	48119	
813444	63282	Yin Chi
813444	63498	
813444	69811	
813444	76271	
813444	76306	
813444	81063	Herself
813444	108466	
813444	111167	
813444	123389	
813444	131897	
813444	135478	
813444	187531	Herself
813444	189132	
813444	268629	
813444	298704	
813444	332513	Agnes Wong Yen-Yen
813444	370496	
813444	373157	Pai-hung
813445	215695	Ah Na
813446	12835	Maid
813447	189217	Mortal Lips
813448	17446	Spring Flower
813449	135038	
813450	149058	Quiqui
813451	215695	Mrs. Sum
813452	372389	Tat's Wife
813453	17504	Lady of Court No.3
813455	44733	Ornella
813455	73600	
813455	323813	Fausto's Fiancée
813456	8207	Herself
813457	11026	Shirley
813457	291503	Hilary
813458	99330	Mean Little Girl
813459	236657	
813460	19286	Macho Woman
813461	63779	Une hôtesse TV
813461	71885	
813461	274329	(segment "Gina")
813461	340143	La femme du film porno/Porno 
813462	25627	
813462	263701	
813462	324117	Lottie
813463	396799	
813464	1577	Puddelhund
813464	72012	Courtney's Class Member
813464	335463	Dancer
813465	37495	Prostitute
813466	389169	Frances
813467	18813	Nicky
813467	33233	Daliya
813467	33895	
813467	48417	Satan
813467	78766	Female Prison Guard
813467	128062	Avigail Beck
813467	144207	Michal
813467	201681	Herself
813467	207106	Renana
813467	245786	
813467	310657	Kiosk Couple
813467	375184	Mona
813467	381588	Mona
813467	411680	Shir
813468	159717	Carol Maxwell
813468	203358	Tony Clifton Dancer
813468	267605	Flight Attendant
813468	349896	Annoyed Customer
813469	212477	
813469	244090	
813470	300527	Tawny
813471	31738	Florence
813471	138161	Receptionist
813472	362380	Girl on Boat
813473	38983	Iris
813473	153458	Iris
813473	202373	Herself
813474	11263	Becky
813474	201008	Beth
813475	291265	Patient
813476	127102	Sam
813477	230904	Marge
813478	306134	
813479	322395	Girl at wedding
813480	4553	
813480	23402	
813480	25812	
813480	30481	
813480	55352	
813480	55747	
813480	55926	
813480	83436	Aurelia
813480	94592	
813480	95420	Don~a Zenaida
813480	104145	
813480	121270	
813480	143676	
813480	143763	Nana de Monchito
813480	160191	
813480	183506	
813480	183526	Directora del orfanatorio
813480	202098	
813480	207002	
813480	221959	
813480	222016	
813480	225391	
813480	229430	
813480	235313	
813480	236750	
813480	251552	
813480	258502	
813480	260625	
813480	275508	
813480	301386	
813480	317680	
813480	328194	Sra. de Lopez
813480	334571	
813480	351900	
813480	353592	
813480	353608	
813480	353615	
813480	371777	
813480	371786	
813480	379206	
813480	380585	
813480	384982	Chole
813480	387448	
813480	387478	
813480	391742	Rosarito
813480	392650	
813480	393985	
813480	395841	
813480	399532	
813480	402249	
813480	402405	
813481	134522	Indian Villager
813482	394620	
813483	376036	(beim Wettbewerb)
813484	21403	Schwester Berta
813484	26252	Miss Hennimore
813484	94344	
813484	103074	Eva Schlemke
813484	103101	
813484	115809	
813484	119253	
813484	119724	Ramona
813484	130931	
813484	136724	Wilhelmine Schönborn
813484	173734	
813484	178619	
813484	189870	
813484	210074	
813484	210100	
813484	227784	
813484	275162	
813484	279675	
813484	289951	
813484	289956	
813484	290194	Oberschwester
813484	290272	
813484	293523	Frau Kruse, Aufwartung
813484	293538	
813484	293542	
813484	293874	
813484	298572	
813484	303719	Lady Y
813484	312084	
813484	316813	The Cook
813484	341007	
813484	351939	Rita
813484	352363	
813484	364880	
813484	376426	Fabrici
813485	185996	Mrs. Dumpling
813486	215355	Lady of the Night
813486	320569	Inge
813487	31702	Sonja
813487	33985	Lena
813487	139100	Yelena
813487	207800	
813487	213135	Mariam
813487	220063	Barmaid
813488	192112	Nina, Steve's girlfriend
813489	206410	Taxi Girl
813490	384695	Various roles
813491	37882	Deborah Turtle
813491	54626	Fluffy
813492	277088	Omega Mu
813493	14361	
813493	14903	Rosa, la Cameriera
813493	94718	Shop assistant
813493	255899	La madre del bimbo ammalato
813493	312257	
813493	348179	
813493	355654	Vera
813494	94172	Mira
813495	300356	Meditzinskata sestra
813496	402539	Cidinha
813497	222599	Theresa Thursley
813498	184098	Tour guide
813499	298001	Heidi, The Waitress
813500	286643	Raznosac pice/Pizza delievery
813501	24465	
813502	76043	
813503	144789	Alien Stormtrooper
813504	225155	
813505	162040	
813506	274313	(segment "Strip Poker")
813507	281506	ASPCA Voice
813508	32940	10 Year Old Jenny
813508	90911	Katrina
813508	91574	Molly Goodman
813508	97192	Jennifer Jordan
813508	116952	Mary
813508	243244	Herself
813508	258103	Becky Fiske
813508	302312	Katie 1 Year
813508	311791	Dotty
813508	397754	Jordan Black
813509	397026	Sasha's mother
813510	5037	Mrs. Brusch
813510	64734	Kathleen
813510	98818	Carver Office Lady
813511	360458	Herself
813512	330282	Beth
813512	351181	Princess Angel
813513	367520	Young Molly
813514	385280	Becky Shepperd
813515	289857	
813516	645	Party Girl
813516	5574	Mom Tourist
813516	29619	Mom
813516	33179	Malkovich's Mother
813516	45830	Resident
813516	52443	Barmaid
813516	72504	Clerk
813516	78077	Policewoman
813516	83929	Development Woman
813516	97206	Telegram Stripper
813516	97360	Nurse
813516	108477	Shopkeeper
813516	119334	Rosie the Pinhead
813516	159521	Belle
813516	162352	Additional Voices
813516	218747	Amy
813516	240319	Sally
813516	249548	Sorority Girl
813516	279509	Casino Cashier
813516	300871	Tanned and sultry blonde
813516	303235	Tonya
813516	311408	Clare's Voiceover
813516	405638	Officer Daley (1987-1988)
813517	97042	Cucumber Girl
813518	317403	Dolly Demarest
813519	374775	
813520	26086	Aira
813520	289719	Katie Poirier
813520	323134	Aoi Futaba
813520	353576	Voogie
813520	355142	Pai Chan
813520	407369	Aoi Futaba
813520	409831	Additional Voices (Season 2)
813521	52576	Herself
813522	217745	Art History Student
813522	249084	Hunter's Girlfriend
813523	57560	Box Office Lady
813524	26077	Dorothy as a Baby
813525	131232	Extra
813526	216473	Waitress
813527	141305	Randi
813528	131232	Extra
813529	135888	School Girl
813530	88978	Lonnie
813530	241375	Bride-to-Be
813531	55231	
813532	96344	
813533	411497	Herself
813534	297856	
813535	152694	
813535	183135	Mrs. Rustom
813536	230933	Femme Fighter
813537	58493	Homeless Old Lady
813537	84955	Old Woman in Court
813537	120820	Mrs. Schmidt
813537	121580	Nicole
813537	158585	Ida Cobblers
813537	208087	Old woman
813537	210541	Victorian Nurse
813537	218798	Lady in Telephone Box
813537	240023	Mrs. Corney
813537	252882	Miss Marsh
813537	289841	Brothel Madam
813537	328751	Old dairy band
813537	350115	Mrs. Atkinson
813537	366768	Lady 1
813537	385299	Granny Hawkins
813537	403639	Old Bessie
813538	380474	
813538	387707	
813538	400705	
813538	406537	
813539	22036	Panamanian
813539	91920	Yolanda
813539	128594	Candice
813539	200864	Miss V.
813539	252229	Waitress
813539	281365	Squeak's Mom
813540	106817	
813541	33420	
813541	130129	Midwife
813542	325990	Arizona
813543	100548	
813544	197115	
813544	198879	
813544	322936	
813544	334513	
813545	390515	Infirmière
813546	168166	Ms. Shispinski
813547	10046	Madre di Mirella
813547	245801	Professoressa
813547	296737	Nurse
813547	355738	Teresa Rossi
813548	56921	
813548	244127	
813549	151741	
813550	6586	Stina
813550	209912	
813550	209914	Dancer
813551	400858	Leila
813552	403533	Herself - Participant
813552	403536	Herself - Participant (2000)
813553	80786	Sexy Girl
813554	15071	Corinne
813554	65165	Edith
813554	92964	
813554	96227	Madeleine
813554	133167	Claire Laville
813554	218448	Une artiste
813554	219510	Sophie Saint-Léger
813554	251544	Josette
813554	253242	
813554	268455	Hélène de Portes
813554	274791	Virginie
813554	284271	Mère supérieure
813554	284518	Nathalie
813554	285150	Madame d'Amblet
813554	288889	Mme de la Rosière
813554	292338	La comtesse de Sacy
813554	326128	Mother
813554	346512	Christine
813554	354911	
813554	355237	Florence
813554	379805	Madame de Richelieu
813554	392753	
813555	276643	Meo Girl
813556	274200	3rd National Bank Witness
813557	235519	Mahtob's Teacher
813558	68688	Sally Smith
813559	255386	
813560	120853	
813561	33638	
813562	304406	Dante's Wife
813563	289338	Eva Stefani
813564	233049	
813565	109395	Peter Hugo Model
813566	97842	
813567	113254	Jeanne
813568	341781	
813569	113352	Dealer
813570	97540	Herself
813570	147882	Herself
813570	276657	
813570	330794	Cindy
813570	410036	Herself
813571	321652	A Little Courtney
813572	48950	Additional Voices
813572	90772	Dorky Girl
813572	399029	Stephanie
813572	406877	Maddie
813573	111362	Euclid/Reporter
813573	323728	Cinderella
813574	40053	Mute Girl
813574	103280	Dr. Marissa Holloway
813574	321431	Republican Voter
813575	145414	Erin
813575	220891	Card Reader
813575	326604	Pretty Girl
813576	45980	Herself
813577	275602	Female platoon drill sergeant
813578	146758	
813579	45980	Herself
813580	277839	Anna
813581	23750	Une pensionnaire de la Maison
813581	150049	
813582	69619	Carrie
813582	303832	Miyamoto
813582	402830	Dafna
813582	405012	Dana Mazor (2002) (2002-)
813583	339	
813583	83162	
813583	98433	
813583	127459	
813583	212294	
813583	263680	
813583	283833	
813583	291887	
813583	294371	
813583	320490	
813583	376218	
813583	394750	
813584	344278	
813585	244028	Baba Maria
813586	221366	Haley Davis
813586	248095	Young Natasha
813586	303426	Carrie
813587	196034	Toni
813588	58480	Maya Robenowitz
813589	77873	
813589	112273	Susanne
813589	182246	
813589	209999	Marie
813590	248133	911 Operator
813591	104298	Chandra
813591	113332	Lulu
813591	113333	Lulu
813591	183061	Papillon
813591	201373	Angel Class
813591	313338	Aquaria XXVII
813591	321709	Rita, Annette
813591	369525	Juli Mizrahi
813591	378652	Ohka
813591	383019	Ruby
813591	386242	Agent Honeydew/LeeLee
813591	389870	Alice, Karen, Mir Lotus
813591	394252	Maki
813592	24434	L'apprentie couturière
813592	234270	Lise
813592	267510	La soeur de la fugueuse
813592	319803	Jane
813593	311923	Women's Shelter Extra
813594	18887	The old woman
813595	95553	Hatice, la mariée
813596	67020	Herself
813597	13035	Mrs. Bolton
813597	44970	La fille franc-tireur
813597	101251	Marie La Planche
813597	207798	Mathilde
813597	320273	Mme. Astérich
813598	255629	Verpleegster
813599	351761	Danse Orientale
813600	322335	Voice
813601	174569	
813602	247607	
813603	33278	Rolande
813604	314853	Gebärdensprachlehrerin
813605	54979	Viviane
813605	399751	Pimprenelle
813605	408305	Babs Bunny
813606	13033	Une 'girl'
813606	57295	
813606	62945	La dactylo
813606	63677	Julie
813606	71821	
813606	77341	
813606	83370	
813606	104245	
813606	111087	La bonne du peintre
813606	211492	Émilie Leroy
813606	240477	
813606	262948	L'employée du photomaton
813606	280871	
813606	346626	
813606	354700	
813606	357059	
813606	377065	La femme de chambre
813607	387560	
813608	354397	La voisine de Marie
813608	383820	Mme Lefranc
813608	387615	La grand-mère de Denise
813608	407809	La religieuse
813609	8986	
813610	6392	Mademoiselle Chomelette
813610	7425	Mademoiselle de Hautperthuis
813610	7431	Hortense Coquelet
813610	15039	
813610	15136	Tante Ursule
813610	15259	
813610	16429	
813610	16600	Madame Robinot
813610	19100	
813610	23744	
813610	23870	
813610	24650	Madame Ronfledur
813610	25163	
813610	26253	Miss Fitz
813610	29404	
813610	30303	
813610	33803	
813610	34144	
813610	37903	
813610	40258	Mademoiselle de Brézoles
813610	45164	
813610	45173	
813610	52002	Duchesse de Mittau
813610	54249	Isabelle
813610	56243	
813610	57847	
813610	58222	
813610	58223	Marie
813610	58855	Madame Patterson
813610	59231	
813610	60062	
813610	60907	Marchande d'huitres
813610	63691	Madame Motteville
813610	63927	
813610	66716	Mme. Renaut
813610	67181	
813610	68701	
813610	70194	
813610	71956	
813610	71974	
813610	72059	
813610	75907	La duègne
813610	83270	
813610	84633	L'habilleuse
813610	84637	Flora Bènazer
813610	84638	
813610	84662	La tante Irène
813610	89988	
813610	103783	
813610	104035	
813610	105866	
813610	108218	
813610	111559	
813610	111704	La nourrice
813610	111777	
813610	112804	
813610	115692	
813610	118016	
813610	118613	
813610	119045	Madame Cascaroni et Dame Alfr
813610	122414	Antoinette
813610	123480	
813610	124137	
813610	132173	
813610	133398	
813610	134298	
813610	134588	
813610	144312	
813610	155970	La Colonelle
813610	156563	
813610	165231	La baronne Flouc de la Donzel
813610	169648	
813610	169977	
813610	194111	Housekeeper
813610	196744	
813610	198307	
813610	199301	Charles Bovary's mother
813610	199722	
813610	207770	Superintendent
813610	211492	Madame Jules Leroy
813610	211682	Tante Lucie
813610	215062	Directrice du pensionat
813610	217707	
813610	217725	Madame Martineau
813610	219480	
813610	228356	
813610	236618	
813610	238457	
813610	240484	Mme. Grivier
813610	240604	
813610	243034	Mme. Tourbier
813610	243290	La Baronne Du Flair
813610	243756	Palmyre
813610	243758	
813610	249752	Mademoiselle Poumaillac
813610	250541	
813610	252320	Rosa
813610	254070	
813610	254137	
813610	254150	
813610	257214	
813610	258529	
813610	260915	La concierge
813610	265338	Teacher
813610	268881	La concierge
813610	269158	Emma
813610	280525	
813610	281826	
813610	289082	
813610	292381	
813610	294564	
813610	300726	La logeuse
813610	300727	Madam Ledroux
813610	303543	La propriétaire
813610	308294	
813610	324184	Hortense Gambier
813610	324282	Hortense
813610	324938	
813610	332189	
813610	333732	
813610	335223	
813610	340154	
813610	340160	
813610	341370	
813610	343385	
813610	345112	A cousin
813610	345154	Mme. Mitouflet
813610	345215	Marceline
813610	345223	
813610	345271	Madame Fontanet
813610	345510	
813610	345514	
813610	354969	
813610	378058	
813611	43758	Une écolo
813611	354585	
813612	57400	La photographe
813612	169336	
813613	6416	Marie Portor
813613	14342	Rosemonde
813613	14347	Maya
813613	96198	
813613	106742	Sylvie
813613	129528	Marsanne
813613	201183	Hélène
813613	345226	Françoise
813613	393772	Claudine
813614	283262	Caroline
813615	268400	
813616	208837	Maïmiti
813617	308122	Peggy Dillman
813618	135672	Olsson's sister
813619	277365	Jenny
813619	322158	Csellos
813620	49828	Rat Woman
813621	69806	Mom
813622	7531	The Prostitute
813623	93356	The girl 'who wants to sign h
813624	28681	Jacky
813625	131473	Barfetta
813625	323460	Janelle
813626	46949	
813626	79527	Joan Meredith
813626	107432	
813626	123327	Doris Longworthy
813626	129943	The Nurse
813626	143411	Betty Thorpe
813626	153180	Lalage Penrose
813626	195727	Enid Davenport
813626	327520	Miss Hudson
813626	367661	Brenda
813627	184206	
813627	388600	Herself
813627	408660	Herself (2001-2002)
813628	34759	
813628	39281	
813628	49087	
813628	253459	
813628	365438	
813629	222467	Rita
813630	74426	
813630	104795	
813630	108913	
813630	182873	
813632	116971	Cop #2
813632	171191	Dancer in Block Party
813633	18411	Stenographer
813633	149841	Dance Hall Girl
813633	220548	Script Girl
813633	246650	Show Girl
813633	305044	Card Changer, 'Madame de Fran
813633	312787	
813633	364467	Lilttle blonde in the saloon
813634	222212	Party-goer
813635	391319	Herself (Series 1) (2004)
813635	403339	Herself - Roving Reporter (20
813636	33765	Joanna Rushworth
813636	192598	
813636	203554	
813636	273857	Adelaide Wallace
813637	352405	Blind Girl
813638	2709	Dentist
813638	37002	Waitress
813638	84486	Sally
813638	95328	Bartender
813638	98145	Jennifer
813638	192100	Angel Jenna
813639	184012	
813640	264974	Little Beggar
813641	293689	
813642	1518	
813642	370166	
813643	34226	
813643	49477	
813643	402882	
813643	410433	Elena Mazaeva
813644	179670	
813645	43213	
813646	227120	Musician
813647	684	
813647	23853	Queen (segment Chto nasha zhi
813647	34507	
813647	35930	
813647	88458	Yelena Talberg
813647	89595	
813647	89786	
813647	104422	
813647	131146	
813647	131299	
813647	132081	
813647	174163	
813647	174251	Mariya Semyonovna
813647	174541	
813647	198126	
813647	198127	
813647	212020	Maria Gavrilovna
813647	212294	
813647	214307	Opera singer's wife
813647	231142	Inga Kireyeva
813647	231166	
813647	234434	
813647	237834	
813647	238361	
813647	244728	
813647	254234	
813647	258437	
813647	259806	Pet Shop Girl (segment "Zolot
813647	259925	
813647	272522	
813647	293942	Nina
813647	294018	
813647	294371	
813647	296993	Streshnikova
813647	297466	
813647	297862	Nina
813647	306646	
813647	341184	
813647	344964	Children's Home Director
813647	352663	
813647	356936	Lyudmila
813647	357230	
813647	357469	
813647	374161	
813647	374731	
813647	374772	Vera's Mother
813647	375463	
813647	376242	
813647	386655	
813647	398757	
813648	1518	
813648	46074	
813648	89981	
813648	162676	
813648	200418	
813648	265572	Mother
813648	265991	
813648	273719	
813648	276300	Marta
813648	284065	
813648	294678	
813648	296993	Barmaid
813648	313531	
813648	323329	
813648	341191	
813648	349076	Masonka
813648	356191	
813648	356944	
813648	357256	
813648	387149	
813649	397518	Myriam Melchior
813652	186895	
813653	104046	
813653	162365	Margaret Brand
813653	327616	
813654	381913	Participant, 13th out (2003)
813655	53336	Giselle
813656	10502	Bundini's Landlady
813656	275330	Teacher
813657	397408	
813658	249548	Sorority Girl
813659	97940	Dagis Acting Teacher
813660	104479	Zora
813660	255589	
813660	351788	Aïcha
813661	25417	Club Singer
813661	141416	Rachel's Sister
813662	11205	Landlady
813662	11356	
813662	20275	Martha
813662	26059	
813662	31930	Angelica, his wife
813662	32017	Ma Steel
813662	32263	Jane
813662	37005	Aunt Kate Walsh
813662	37400	Ma Daly
813662	38596	
813662	38682	Sallie Hawkins
813662	45067	
813662	45469	Serving Maid
813662	49780	Maggia, the Maid
813662	52522	Mrs. Weber
813662	69093	Mrs. Pollinger
813662	75928	Laundress
813662	78678	
813662	79575	Araminta
813662	79629	Widow Crockett
813662	81952	Aunty Bell
813662	97521	Mrs. Harding
813662	108444	Buddy
813662	109921	Landlady
813662	110305	Mrs. Honorah Farwell
813662	110829	Tod's Wife
813662	112222	
813662	116895	Miss Amelia
813662	119636	Mrs. McGuire
813662	125487	
813662	128496	
813662	128568	Cook
813662	129586	Shiela's Maid
813662	129771	Lilly Doody
813662	135802	Helen's Aunt
813662	138884	Aunt Mattie
813662	140739	
813662	140773	Bridget Malony
813662	140981	Nurse
813662	141275	
813662	143916	
813662	144939	Mother
813662	146137	The Boy's Mother
813662	148400	
813662	150396	
813662	157668	Maid
813662	158238	
813662	161932	The Giggling Neighbor
813662	162207	Mrs. Cheston
813662	165413	Mrs. Chadwick
813662	169900	Housekeeper
813662	171144	
813662	186229	Maggie
813662	186458	
813662	190911	Housekeeper
813662	190966	Mrs. O'Leary
813662	191992	
813662	197298	Mary
813662	197405	Annie Wennerberg
813662	197679	Aunt Susan
813662	199203	Mrs. Boggs
813662	199352	Madame Galipaux
813662	206088	Dick's Mother
813662	206382	Lady Parham
813662	206420	Mrs. Brewer
813662	206835	
813662	216163	Susannah Murgatroyd
813662	218022	
813662	231981	Landlady
813662	234224	Housekeeper
813662	236884	Biddy O'Mulligan
813662	249528	Gossip
813662	251386	Landlady
813662	254814	
813662	264031	Housekeeper
813662	269418	Mrs. Mulliken
813662	270778	Mrs. Mallory
813662	278262	Mrs. Fezziwig
813662	280926	Old Lady Smiles
813662	283340	
813662	289503	Madame Binet
813662	297378	Polly Voo
813662	305601	Mrs. Webster
813662	305787	
813662	306809	Mrs. Jones
813662	315071	
813662	316598	Mme. Victoria De Melcourt
813662	316887	Mrs. Bennett
813662	319264	
813662	321304	Grandma Perry
813662	322845	
813662	323766	
813662	323984	Mrs. Fells
813662	325024	Mrs. Healy
813662	335456	Mrs. Kearsley
813662	342583	
813662	342945	Mrs. Simpson
813662	342982	Innkeeper's Wife
813662	347513	Mrs. Hawes
813662	348381	Housekeeper
813662	348541	Miss Hattie Breckenbridge
813662	356290	Mrs. Parkin
813662	358760	
813662	359147	Landlady
813662	359975	'Ma' Bennett
813662	363566	Mrs. Sullivan
813662	368370	Mamie Connors
813662	368761	
813662	370569	Jessie's aunt
813662	370574	Molly McGuire
813662	372587	Aunt Minnie
813662	372826	
813663	363560	Rita's Fan
813664	77607	
813664	163348	Herself
813664	326451	Trojan
813664	387247	Nina Harris (1999-2000)
813664	388321	Kim Davies (2000)
813665	134903	Junge Frau
813666	32052	Miss Hawaii
813666	66589	Lian Cho
813666	159889	Woman
813666	194136	Antiques Dealer
813666	209293	
813666	310646	Eight
813666	407478	Tahura Savue
813667	128884	Tai Ling
813668	128884	Mai Ling
813669	163256	Sue-Lin
813670	240473	Dancer
813671	260425	
813672	407109	Herself (2004)
813673	263015	Concierge
813674	380687	Juanita Nunez
813675	241555	Sally
813676	206430	
813677	193879	Sardarni Sarup Kaur
813678	58711	Savitri (Marco's wife)
813678	201269	Shanti
813678	288837	
813679	230934	Woman Drinking Shot
813680	298599	Zwerg
813681	197758	Evelyn Clarke
813682	356969	Angèle
813683	76007	Mimi Cienfuegos
813683	221553	Noemi
813683	287773	The Tattooed Woman
813683	319547	
813683	404161	Teporocha
813683	410477	Fernanda Solís viuda de Vázqu
813684	319214	
813685	6642	Laura
813686	46976	
813687	316295	Executive's Secretary
813688	125546	
813689	252066	
813690	249477	
813691	90688	Coby Gompelman
813691	93229	Ymkje Jansma
813691	130230	Zwerfster
813691	215767	Toos Verheyen
813691	234877	
813691	237140	Nelly van Kol
813691	289993	Marieke
813691	311767	Gaais
813691	375943	Moeder Zoë
813691	378838	
813691	381563	Debbie Proosdij
813691	391469	Wies (1999)
813692	2357	
813692	48700	Henriette
813692	182292	Maria
813692	218049	Pia
813692	218421	Russisk potetselger
813693	58357	
813694	207992	Potential
813695	358547	Tanga meisje
813696	245649	Pitjantjatjara Woman
813697	196436	Priscilla
813698	252831	Mao
813699	277947	Helen Macaulay/Campbell-Black
813700	122466	Leo's Class Mate
813701	214385	Small girl
813702	70550	
813702	273136	(as Alja Tkaèev)
813702	334316	Mlakarjeva
813703	49828	Rat Woman
813704	32757	
813704	33801	Head Wife
813704	88592	Natazha Gayday
813704	321952	Grandmother
813704	375653	
813705	83230	Russian Girl
813706	379428	
813707	121289	
813707	343309	Poznanskaya
813708	157563	Rosa
813709	238110	Starukha-nishchenka
813710	89795	
813710	188197	
813711	375694	Leslie
813712	241799	Christmas choir member
813713	64964	Piotr's Lover
813713	75757	
813713	75886	
813713	95960	Woman with Panties
813713	123099	Maliniakowa
813713	131754	
813713	179583	
813713	207891	
813713	217321	Halina Kurkowa
813713	220685	
813713	231362	Ela
813713	237974	
813713	244099	Zosia (school director's wife
813713	255602	Queen
813713	344039	Nurse
813713	363302	Hotel owner
813713	373547	
813713	375443	
813713	379217	Janina Wilczynska
813713	379864	Kotkowa
813713	386633	Karolka
813713	403854	Kwietniowa
813713	411110	
813714	197499	Extra
813715	193207	Russian girl
813716	34723	Herself
813716	123418	Lisa Summerfield
813716	387203	Nikki Spencer
813716	387267	Jules
813716	390100	Maria
813716	397310	Evie Morrison (1998)
813716	400646	Bethany Daniels
813716	400806	Vanessa Campbell
813717	356418	
813718	289864	
813720	312079	
813721	115840	Sophie Bachmann
813721	286236	Conny
813721	325532	Susi Karsten
813722	242038	African Nurse
813723	2366	Themselves
813723	221410	Performers
813723	394585	Kinga (2000-)
813724	311441	Juana Lopez
813725	18317	Nedjma
813726	43021	
813726	340067	
813727	280835	Ballet teacher
813729	211490	
813730	111848	Líza
813730	379877	
813731	289024	Lindsay Johnson
813732	357693	
813733	210805	K'Ang
813734	51979	Tina/Musclewoman
813735	137621	
813736	150721	Lovely
813737	58462	Herself
813738	9587	
813738	18674	Takako
813738	82215	
813738	90164	
813738	97629	
813738	122044	Kunie Miyoshi
813738	130526	Yuki Shigemune
813738	136499	Aya
813738	138041	Keiko Takano
813738	144434	
813738	145283	Kazuko Hayama
813738	150511	Chiyo Mizushima
813738	156226	
813738	169271	
813738	171745	
813738	180050	
813738	182053	
813738	232535	
813738	244542	Kyoko
813738	284031	Mutsuko Fuji
813738	297733	Yoshino Inazumi
813738	299002	Omiyo
813738	299308	
813738	327947	Otae
813738	344206	
813738	371827	Tsuyuko Okazaki
813738	375103	Yuki Iwamura
813739	59129	
813739	114843	La Goulue
813739	136265	Lena
813739	236817	
813739	244480	Landlady
813739	246335	Clair Kearney
813739	281475	Kathleen O'Flynn
813739	318732	Dolly St.Leger
813739	344683	Zoe Higgins
813739	390163	Teasy McDaid
813740	17830	
813741	48943	Trailer Park Trash
813741	224192	Melba
813742	307755	
813743	241857	Executive #1
813744	299226	
813746	205000	Marisa
813746	233978	Lola
813746	378658	Silvina
813746	379583	Cristina
813746	389780	
813746	392609	Ariela
813746	396596	
813746	400661	Mercedes 'Mecha' Tomini
813746	405789	Magda
813748	234697	Ana (Participante del Reality
813748	385394	Gracia
813748	391611	María Pacheco
813749	377881	
813750	307744	
813751	168357	
813752	242176	Yuko
813753	238445	Saito Kinen Festival Dancers
813754	223993	Lee Tobel
813755	342148	
813756	352163	
813757	189563	Vagan-Kellner
813758	97595	Helga
813758	353456	
813758	374126	
813759	107503	Leesa
813760	103276	Marga
813761	131453	Club Dancer
813762	126130	Featured
813764	16078	Zillah Torrington
813764	38982	Market Keeper's Daughter
813764	47364	Co-ed in Drugstore
813764	52659	Susan May Prentiss
813764	61713	Penny
813764	82364	Molly Bradley, Cheryl's Rooma
813764	94775	
813764	118399	Mathilde
813764	154553	Girl
813764	165558	Bernadine Dodd
813764	165561	Bernadine Dodd
813764	178881	Giggling girl
813764	179083	Isobel
813764	219950	June Walker
813764	220830	Nancy
813764	244924	Rebecca Gibbs
813764	375045	Betty Regan, Sheila's Little 
813765	288929	Extra
813767	72759	Screamer
813767	347373	Gina
813768	241692	(segment "Baby")
813768	393266	Ma
813769	11516	Mrs. Batterbee
813769	32122	Felicity Midge
813769	87333	Judith
813769	144837	Valerie Burke
813769	162882	Mrs. Studjinsky
813769	205443	Mrs. Hewlett
813769	328906	Dr. Clare
813769	379582	Various roles (1989)
813769	385342	Angela
813769	392172	
813769	396580	Donna
813769	400516	Female vagrant
813769	400530	Mrs. Wilfer
813769	401516	Pig/Topov/Octavia/The Bag Lad
813769	404598	Sal Longman
813769	405502	Sylvie
813770	97392	Herself in Audience
813771	286191	Widow
813772	273698	Girl at airport #1
813773	347327	Woman at Wake
813774	141592	
813774	245040	
813775	96384	Romka
813775	181286	Ilona
813775	357634	
813775	357741	Blanka
813775	375911	
813776	352798	
813777	213324	Hermia
813777	236972	Waltz of the Flowers
813778	8838	Amneris
813778	26884	Omega
813778	225671	Karin, Victor's and Alice's d
813779	5332	Mrs. Wagner
813779	61673	Miranda Chute
813779	237783	Dinner Guest
813779	266084	Mrs. St. John's Secretary
813779	380713	Kitty Fielding (1992)
813779	380823	Gloria Patterson
813779	387309	Grace Endicott (1982)
813779	403452	Suzanne Walsh (1985)
813780	325948	
813781	67482	Grace Vaughan
813782	228358	Rigmor Svendsen
813782	311233	
813783	259056	
813783	357343	
813784	400053	Kanako-sensei
813785	112188	Mary Ellen O'Brien
813785	214226	Lizzie Cook
813785	330445	Mother
813785	385020	Beryl Peacock (1999)
813785	390432	Aunty Maureen
813785	405024	Mrs. Favell
813786	317309	Vineyard Cutie
813787	49640	Elvira
813788	267530	
813789	46739	Receptionist
813789	149261	Bridesmaid
813789	201151	Girl at party
813790	314526	
813791	47346	Iris Marvin
813791	50954	Ellen Smith
813791	56211	Della Street
813791	66826	Herself
813791	71707	Eleanor Howitt
813791	78840	Marge Mayhew Turner
813791	92959	Gina Bertier
813791	94938	Pauline Corbin
813791	96986	Carol Townsend
813791	119494	Hope Ferrier
813791	124717	Diana Dorchy
813791	130802	Cynthia Flint
813791	131714	Julie Clochessy Wilson
813791	131896	Betty Summers
813791	133610	Nancy Randall
813791	143651	Kathleen Gerard
813791	147852	Gertie Smith aka Greta Swan
813791	154458	Martha Lane Hayden
813791	159473	Elinor Green
813791	174514	Kate Westhanger
813791	178015	Eve Caron
813791	183821	Mary
813791	203184	Helen
813791	233059	Jean Trent
813791	233802	Mary Boyd
813791	234027	Amanda 'Mandy' Swift
813791	241424	Mitzi Olivier
813791	244899	Gloria Hastings
813791	252996	Kitty
813791	254218	Mrs. Edith Chisholm
813791	258020	Shirley Poole
813791	293139	Mildred
813791	306327	Alice Merritt, Wife #1, aka M
813791	317972	Agnes 'Aggie' Carter
813791	345719	Doris
813791	345820	Eva
813791	348311	Myra Deane
813791	367511	Mrs. 'Nicko' Nicholas
813791	367593	
813791	368802	Mary Regan
813791	371331	Aunt Connie Nevins
813791	374198	Florianne
813792	2545	Chorus girl
813793	126709	Fran Miller
813794	222947	Female Attendant
813795	51441	Joy
813796	380889	Brenda Hope (Series 1-4) (198
813797	37270	Lady Nailer
813797	61655	Child's voice
813797	137911	Gertrude, Queen of Denmark
813797	393106	Alice Brand (1964)
813797	407892	Mrs. Leighton
813798	79859	Linda Corine (TV News Reporte
813798	326451	Toby One
813799	253507	
813799	382160	Waitress
813800	298347	Additional Voices
813801	190078	Bambi
813802	272437	Girl #1
813803	141142	Dub Squad
813804	3126	Cathy
813804	45503	Julie
813804	358052	Rosie
813804	372901	Veronica Beardsley
813804	383209	Laurie Newman
813804	388838	Maureen Fitzpatrick
813804	390519	Kathleen Kelley
813804	407991	
813805	118414	Receptionist
813806	63140	Mrs. Quinn
813806	72376	The Red-Headed Nurse
813806	345974	Darcy Burns
813807	313104	Grace Wortmann
813808	115666	Girl #4
813808	137035	Penny
813808	193403	Miss Pants
813808	230662	Orientation Speaker
813808	319486	Governor's Aide
813809	18197	Lady at ball
813809	24782	Polly
813809	44336	Miss Dale's friend
813809	73229	Mrs. Errol
813809	120641	Flea
813809	147383	Mrs. Errol
813809	148399	Mrs. Errol
813809	155844	Jewel Stribling
813809	168020	Mrs. Errol
813809	175554	Vivian, Edgar's Wife
813809	201000	Mrs. Errol
813809	201313	Mrs. Errol
813809	301261	Dacia
813809	312780	Mrs. Errol
813809	330840	Rita
813809	364326	Mrs. Errol
813809	368366	Lola Weymouth
813810	2897	Norwegian Farmer's 'Wife
813810	17702	Midwife
813810	106527	Landlady
813810	118369	
813810	139521	Young Dancer
813810	141683	Lady at church door
813810	209349	Limpy's Mother
813810	368928	Elderly Woman on Train
813811	9545	Kasih/The Crying Woman
813812	359801	Christina Thorne
813813	79168	
813813	90069	Donna Elvira
813813	188712	Eva Braun
813813	410813	
813814	209919	
813815	69159	Herself
813817	399163	Annemarie (young)
813818	58272	Fanynka
813820	4507	Su
813820	155331	
813820	345906	Hedy
813821	279409	Norma
813822	33615	Tania
813823	226905	Child
813824	226905	Tribe member
813825	226905	Child
813826	226905	Child
813827	226905	Child
813828	311923	Prison Extra
813829	11426	Rachael
813829	45001	Dionne
813829	70916	Ms. Withrow
813829	242938	Bobette's Lawyer
813829	311055	Moira
813829	325279	Senta
813830	124559	Esmeralda Messori
813830	132513	
813830	278971	
813830	402302	La moglie del sarto
813831	199933	Racalmuto
813832	224192	Therapy Patient
813832	333915	Registry Attendant #2
813833	214620	
813833	379210	Valentina
813833	396941	Lola
813833	408562	
813834	20188	Dancers
813835	17846	
813836	358561	Japanese Mother
813837	358561	Japanese Twin
813838	358561	Japanese Twin
813839	216649	
813840	213686	
813841	6085	
813842	293437	Gelsomina
813843	8319	
813843	42978	
813843	85970	Mrs. Zeno
813843	157302	
813843	173660	Vida
813843	179851	Sekretarica
813843	202351	
813843	215655	Cilka, misionarka
813843	301300	
813843	310014	Giulia
813844	226498	Marchanta mercado
813845	907	La prof de danse
813846	8836	Amneris
813846	8839	Amneris
813847	329	
813848	243143	Additional Voices
813849	330231	Nightclub singer
813850	104274	
813850	169695	
813850	341261	Waki, Yuki's grand mother
813851	127783	Kanon
813851	167581	Jiro Agino
813851	174950	Sophia
813851	176534	Matilda Ajan
813851	176535	Matilda Ajan
813851	182501	Valcuria
813851	182506	Dan Rumm
813851	201090	Ms. Asai
813851	201302	Osono
813851	214715	Nokko Senbon
813851	245885	1024
813851	259038	Yukinari
813851	269897	
813851	271540	Nokko Senbon
813851	294033	Amamori Hajime
813851	325314	Iczer-2
813851	371707	Riku (segment: Samurai Cellul
813851	373369	Kasumi no Ayanosuke
813851	383095	Iczer-2
813851	383632	Hitomi
813851	389820	Kitarô
813851	389822	Kitarô
813851	391455	Secretary of Senator Morohosi
813851	394422	Matilda Ajan
813851	400292	Kaoru Orihara
813851	405145	Amamori Hajime
813851	405175	Yumiko Satou
813851	405186	Azusa Tokunaga
813851	405187	Azusa Tokunaga
813851	405188	Azusa Tokunaga
813851	405981	Anpanman
813851	407104	Takigawa
813851	407289	Lady L
813851	408436	Aroma
813852	396094	Akiko Katagiri
813853	70945	
813854	313	Rose
813854	1882	Yoshimi Aso
813854	97781	
813854	150510	Shizu
813854	167790	
813854	177946	Satoko Funayama
813854	179844	
813854	216523	
813854	228373	Shizuka Kondo
813854	267412	Akiko Shintani
813854	304287	
813854	375573	
813854	389393	
813854	391963	
813854	405186	Misono Sugita
813854	405187	Misono Sugita
813854	405188	Misono Sugita
813856	318763	Lady in Window
813857	130254	
813857	212321	A liitle lamb
813858	63197	
813858	333377	
813859	338981	Herself
813860	338981	Herself
813861	31286	Nurse
813861	126544	Dancer
813861	129439	Billie's Dancer
813861	164984	Dancer #6
813862	5927	Ann Daviot
813862	39670	Mary Chalfont
813862	78316	Jane Kaye
813862	79959	Frankie
813862	112032	Birdy Wemys
813862	112672	Arabella Blood
813862	122903	Kathryn Davis
813862	127224	Peggy Murdock
813862	134096	Solange Vauthier
813862	151339	Ceinwen
813862	152535	Mrs. Castle
813862	159685	Herself
813862	175200	Millicent
813862	199554	Madeleine Smith
813862	208904	Mrs. Forbes-Duthie
813862	232892	Mrs. Kurka
813862	238745	Rachel Verney
813862	239520	
813862	248413	Gay Keane
813862	252980	Elena
813862	258954	Ann Rider
813862	276658	Phyllis Drummond
813862	295469	Francesca Cunningham
813862	299208	Kay Gordon
813862	306412	Olivia Harwood
813862	309609	Susan Garthwaite
813862	309872	Madge Carne
813862	312334	Carol Stedman
813862	325237	Jane Appleby
813862	330085	Pamela Crawford
813862	330432	Mary Gordon
813862	333381	Honor Stanford
813862	337042	Grand Duchess Tatiana Petrovn
813862	337074	Princess
813862	359974	Jane Bell
813862	380338	Ann Teviot
813862	396402	Astrid Linderman
813863	88250	Imogene Dugan
813863	133210	Charlotte Westcott
813863	175209	First Stooge
813863	192141	Patsy Balliser
813863	210753	Rose
813863	240898	Betty
813864	11582	Berthe
813864	21172	Valarie Jeanne Bradford
813864	27279	Libbit Creighton, Age 9
813864	27315	Amy Younger
813864	35725	Tama as a child
813864	41142	Carmen as a Child
813864	41698	Little Sister
813864	46982	Mary Kent
813864	52661	Jenny
813864	72122	Cathie Weatherby
813864	78180	Doris Martin
813864	84252	Claggett Girl
813864	92455	Marianne
813864	148549	Melinda Hill
813864	160880	Ann Marie Brandt
813864	168930	Ann Murray as a child
813864	177689	Randy Monaghan, as a girl
813864	191236	Jean Forbes
813864	205449	Joyce (Margie's daughter)
813864	224273	Gretchen Van Orman
813864	263593	Loretta Merchant
813864	264776	Barbara Winton
813864	275451	Kate Hill
813864	282394	Louise Randall as a child
813864	317169	Susan Flagg
813864	331333	Ilka Morgan
813864	374198	Toto
813864	374581	Beth
813864	406768	Joyce Erwin (1950-1954)
813865	387714	
813866	45853	Featured Party Zombie
813866	323983	
813866	382131	
813866	383644	
813866	390133	Herself
813866	397399	
813866	405209	Jessica Steele (1996)
813867	243299	
813867	256979	Edwige
813867	279110	Sophie
813867	318515	L'accidentée
813867	397938	Betty Arnold
813868	10555	
813868	26289	Ann Bowen
813868	47880	Louisa MacGill
813868	65174	Dora
813868	80684	Melissa
813868	86458	Marla
813868	90343	Lahoma Brown
813868	106193	Nurse Burns
813868	127148	Dana
813868	138837	Laura
813868	140401	Kelly Williams
813868	148572	Clinic Receptionist
813868	166875	Wylene
813868	183357	Georgiane
813868	186665	Ms. Levias
813868	194906	Sally (aka Dorothy Starr)
813868	220622	Monica Pear
813868	257964	Louise Hawley
813868	303433	The stepdaughter
813868	330132	Puff
813868	353307	Louise Williams
813868	391154	Kelly
813868	396088	Monica Nelson (1968-1970)
813868	403079	Felicia
813868	403728	Fanta
813869	228672	
813870	400758	Herself
813871	252605	
813872	353695	
813873	183684	Sandra Lomax
813874	57139	AJ
813875	279200	Singer
813876	81334	Hot Nurse 2
813877	2861	Ann
813877	342900	
813878	229860	Annie
813878	302750	Marie
813878	304557	Librarian
813878	329456	Neighbor
813878	358277	Mrs. Johnson
813879	197869	Babs
813879	297890	Sally Watson
813880	345628	Emma Oliver
813881	72099	Stewardess
813881	263788	FBI Receprionist
813882	405178	Ruth Sharp (2001-2002)
813884	60227	Robin Jackson
813884	109524	Linda's friend
813884	140354	Brenda
813884	192857	Jo McGuire
813884	286477	Cathy Stanton
813884	329347	Jill Snider
813884	344480	Michelle Thompson
813884	364313	Joann Fray
813884	381745	Patti Eubanks
813884	382852	Penny Waters
813884	388080	Herself
813884	390258	Kate Griffith
813884	395582	Lanie Clark
813884	395828	Jo McGuire
813885	385299	Lucy Hamilton
813886	314358	Young Stella's friend
813887	274971	
813888	16412	Terrapol: Landing Party
813889	66324	Emily Kessler
813889	277795	Linda's Mom
813890	219692	Blanche
813891	22618	Pool playing woman
813891	333800	
813892	157310	
813893	402752	Lily Randall/Shady Lane
813894	293032	Woman at Party
813895	257608	
813895	257678	Miss December 2002
813896	68070	Mrs. Adare
813896	157254	Gina
813897	19282	Waitress
813897	28462	Cora Mae
813897	41202	Ann
813897	85076	Lilith
813897	87309	Belle's girl
813897	89627	Maria
813897	122914	Fanny
813897	128494	Sugar Sweet
813897	142597	Rhine maiden
813897	147906	Blonde at Pool
813897	303553	
813897	321521	Bud, Eli Whitney's 'boy'
813897	367486	
813897	391281	Herself (1970-1986)
813899	123019	Mourner who looked good in bl
813899	348946	Claire
813900	364094	Trevor's Mom
813901	64561	Performer
813901	392686	Herself (Fly Girl)
813902	276795	
813903	33711	Annette
813903	34699	
813903	44285	
813903	78959	Stenographer
813903	82706	Goldie Fleming
813903	92148	
813903	112562	Jess Marshall
813903	116180	
813903	127089	Ginger Harwell
813903	139779	Nurse
813903	162381	Mimi
813903	177571	
813903	258512	
813903	274033	Betty Morgan
813903	275432	Constance Pomeroy
813903	279784	
813903	283874	
813903	289630	Mary Crawford
813903	323558	Jessie Smith
813903	336787	June Hardy
813903	358753	Theodora
813903	359236	Audrey Evans
813904	383078	Chrissie Van Den Berg (1991-1
813904	402776	Rosie
813905	42068	Baby Beth Barton (singer)
813905	72227	Elly
813905	92163	Cindy
813905	124102	Mary Stanton
813905	127077	Little Sister Mabel
813905	130620	Leticia
813905	147754	Dot Marshall
813905	158067	Manicurist
813905	174673	
813905	224603	Miss Botts
813905	224784	Nurse Dora Stanley
813905	245645	Bee Travis
813905	316673	Dovie
813905	323968	Operator
813905	337941	Vivian
813905	350704	Cuddles
813905	360123	Nurse
813905	365071	Florist
813906	263609	
813907	11047	
813907	193129	Simmons' Daughter
813908	100954	Girlfriend
813908	364135	Heather
813909	36773	
813909	245016	Sammy's Girlfriend
813909	257626	
813909	366088	
813910	168453	Mildred
813911	75773	Starlet
813911	80549	Sacrifice Room victim
813912	223719	Car Pool Friend
813913	237887	
813913	307000	Orange Vested Citizen
813914	334410	Girl #2
813915	401973	Whore #3
813916	224691	Tracy
813917	27263	Naked Woman
813917	109633	Sue Ryder
813917	307565	Tina Rodrigo
813918	133240	Herself - Tennis Players
813919	187843	Joanne
813920	144641	Reporter
813921	270135	News Woman
813922	5641	Lucy Rieux
813922	27137	Sophie Bevan
813922	40835	Saffron
813922	47085	Wife
813922	109664	Zosie
813922	111820	Colette/German Girl/Gisela
813922	162247	Phillida Stone
813922	259213	Katline Voikevich
813922	292603	Kiki
813922	313937	Carly Lucas
813922	383376	Hillary Rollinger
813922	391769	Claire Friel
813922	401652	Gabrielle Holmes (1998)
813922	402611	Lisa Levene
813922	402935	Annie Bowman
813923	9630	Beautiful Girl
813923	118951	Suzie Lawler
813923	122653	Bargirl
813923	277222	
813923	285397	Sanda
813923	346832	Natalie Anders
813924	45032	Hassled Waitress
813925	209133	Junior Plastic
813926	67833	Helen McFarland
813926	137572	Helen Hunt
813926	206331	Jean McKinnon
813926	228453	Jennifer Harivald
813926	259271	Sgt. Georgia Rattray
813926	276004	Susan
813926	299028	Sylvia
813926	381059	Karla
813926	397230	Meg Fountain (2001-2004)
813926	397858	Caroline McFarlane
813926	399064	Jennifer Harivald
813926	401760	Const./Sgt. Georgia Rattray
813926	401973	Hannah Solomon
813926	403279	Cmdr Edwina Dent
813927	59445	Maggie
813928	193975	Maria
813928	195313	Zelda
813928	331573	Susannah Marbach
813929	326674	
813930	4911	
813930	7921	Mabel Kane
813930	9026	Thelma
813930	9034	Sylvia Carleton
813930	11473	Thelma
813930	11663	Thelma Alice Todd
813930	12267	Winifred Bradford
813930	12711	
813930	17963	Lady Plumtree
813930	22104	Thelma
813930	26129	
813930	26621	Gladys
813930	27007	
813930	30076	
813930	32194	
813930	37414	Kay Mitchell
813930	42940	Gypsy queen's daughter
813930	44899	Judith Marlowe
813930	47286	Gertie Gardner
813930	49460	
813930	52427	Sunny DeLan
813930	54950	Hortense
813930	56861	Thelma
813930	60201	Anne Merrick/Elaine Manners
813930	61312	Mrs. Hardy
813930	68279	Lydia
813930	71151	Alison Corning
813930	71537	Lillian La Rue
813930	72599	Daisy McQueen
813930	72687	
813930	81575	Lola Del Mont
813930	84972	Lady Pamela Rocburg
813930	89652	Miss Todd
813930	90539	
813930	109334	Lorraine Lane
813930	112560	
813930	113947	
813930	116543	Mrs. Van Horn
813930	124715	Ruth Ainsworth
813930	129955	
813930	140121	The Nurse
813930	140939	
813930	141354	Ruby Boyd
813930	143274	Nelly
813930	143358	Mrs. Leslie
813930	144771	Antoinette
813930	145671	Amelia Frisby
813930	149763	Connie Bailey
813930	150170	Lola
813930	150240	Miss Thelma Todd
813930	150703	
813930	150932	Thelma
813930	153078	
813930	154858	Miss Todd
813930	177616	
813930	178757	Klondike
813930	188336	
813930	190587	Judith 'Judy' Nelson
813930	194191	
813930	194411	
813930	195500	Gag photo
813930	195574	
813930	200862	
813930	200920	
813930	202536	Iva Archer
813930	206890	Lois Rising
813930	215711	
813930	218123	Lucille Briggs
813930	228575	Bonnie Le Vonne
813930	230276	Hettie Ide
813930	231526	Thelma Todd
813930	233664	Betty Royce
813930	234890	Phyllis
813930	239543	
813930	240792	
813930	241406	
813930	241794	
813930	242569	
813930	246866	
813930	247200	Trixie
813930	256455	Thelma
813930	260249	Gwendolyn Fetherstone
813930	273339	Thelma
813930	274226	Miss Todd
813930	282371	Antoinette
813930	282848	Princess Aline
813930	291849	
813930	295317	Eve
813930	298758	Rose aka Flora Fisher
813930	300066	Thelma
813930	300327	Jim's girlfriend
813930	302650	
813930	303378	Gloria Duval
813930	304264	
813930	304969	
813930	305999	Mary White
813930	306046	Miss Todd, Attorney for the D
813930	307117	Cameo appearance
813930	308336	The Baroness
813930	309673	
813930	310516	Eleanor Espere
813930	314481	
813930	316908	
813930	320811	Caroline
813930	323476	Miss Sally Oxford
813930	330810	Claire
813930	331322	
813930	333515	
813930	335825	
813930	338761	
813930	339376	Grace
813930	342569	
813930	342859	Lilly
813930	345614	Mrs. Kennedy
813930	350158	Madame Vanezlos the Dancer/Ve
813930	356268	Miss Information
813930	359275	Thelma
813930	363702	Miss Todd
813930	372206	Pamela Berne
813930	376699	
813931	254709	Geegee Desmond
813931	254710	Louise Roberts
813932	314531	Girlfriend
813933	65102	Claire Jabrowski
813934	190706	Virginia
813935	75360	Whitney
813936	209492	Secretary
813938	367970	Dancer
813939	236804	L'hostess
813940	205426	Maggie
813941	286228	Dancer
813942	229998	Molly Lauck
813942	370865	BBC Woman
813943	527	
813943	6743	
813943	8264	
813943	8483	
813943	31005	
813943	54260	
813943	60120	
813943	65570	
813943	76156	
813943	86336	
813943	90664	Carmelina Pepitone (segment "
813943	90665	
813943	94711	Istruttrice Scuola Geishe
813943	158718	
813943	158760	La cameriera
813943	162158	
813943	183487	
813943	199506	(segment 2 'Il Lavoro', episo
813943	200505	Corinne
813943	219242	
813943	219827	
813943	227562	
813943	235750	
813943	236620	
813943	256540	Zoraide
813943	263116	
813943	279256	
813943	289440	
813943	295154	
813943	295168	Caterina
813943	300785	
813943	310138	
813943	342627	
813943	348732	
813943	351510	
813943	351585	L'amante della boxe (segment 
813943	353152	
813943	375860	
813944	209513	
813945	35859	
813945	63575	Baba Sofka
813945	63576	Babata
813945	95166	Baba Rada
813945	103565	Maykata
813945	132035	
813945	134181	
813945	137706	
813945	213728	
813945	224448	Sofka
813945	242469	
813945	261305	
813945	272384	Mama Zlata
813945	273052	Chernata baba
813945	288358	
813945	373703	
813945	405462	
813946	343798	
813946	390396	
813947	255442	Waitress
813948	207947	
813949	356503	
813950	381781	Herself
813951	2707	
813951	89402	Madame Gaby
813951	239926	Magda Gabor
813951	268320	Costa's wife
813951	369979	Avó
813951	380147	
813951	380326	Cotinha
813951	384991	Hortência
813951	385184	Josefa Lacerda de Moura
813951	385853	Carolina 'Calu' Pastore
813951	387201	
813951	389786	Herself
813951	391580	Loló Ventura
813951	392747	Venusta
813951	395882	Kiki Blanche
813951	396610	Isaura (2002)
813951	397415	Agripina
813951	400097	Veridiana
813951	400584	Liúba
813951	400902	Cecília
813951	402626	Augusta
813951	404078	
813951	406833	Maria do Carmo
813951	407275	Santinha
813951	407643	Lola
813951	408550	Morgana
813952	266274	
813953	172979	
813953	404216	Agnieszka Augustynek-Dunin #2
813954	392558	
813954	400998	Nitsa
813955	11438	Noriko
813955	206618	Drunk Lady
813956	222921	Gijo
813957	8760	
813957	9176	Motoko Sakurai, Saburo's moth
813957	19060	
813957	28124	Fusako
813957	44767	
813957	76890	Agent YZ7
813957	125245	Yumiko
813957	127858	
813957	136090	Tatsu Kitagawa
813957	137349	
813957	138085	Hanako
813957	144433	Midori, Shinji's mother
813957	146356	Ritsuko
813957	168185	
813957	172122	
813957	173102	
813957	219299	Ofuji
813957	222922	Tomiko Ono
813957	232701	
813957	242172	Hanayu
813957	242178	Takako Takagi
813957	284872	Tokiko Nagaoka
813957	288352	Sachiko 'Naka-anchan' Makioka
813957	288353	Tsuruko
813957	293593	
813957	293673	
813957	311341	
813957	318397	Sayo Murai
813957	320413	Otoku
813957	358412	
813957	371878	Tatsuko Oriyama
813957	375562	
813957	375621	Sayo
813958	253716	Maykata na Velin
813959	9473	
813960	376228	
813961	95166	Avangardistka
813962	95471	Judy
813963	43418	Zhozefina Biks
813963	104831	
813963	218214	Zhenata
813963	263697	Gorskata Elena
813963	325032	Marina
813964	103565	Sestrata na Peshev
813964	159196	Siva baba
813964	198161	Baba
813964	237039	Marina
813964	244471	Shapkarkata
813964	247276	
813964	303735	Sasedkata
813965	9473	
813966	247276	Stanka
813967	6437	Knizharkata
813967	30494	
813967	30509	Kaka Mara
813967	60696	Maria
813967	77426	Dimitrova
813967	82102	Lelya Minka
813967	95166	Gotvachka
813967	95697	Satrudnichka
813967	130140	
813967	149524	
813967	156597	
813967	159196	Krachunitza
813967	174168	Otgovornik nastanyavane
813967	181483	
813967	213513	
813967	223581	
813967	229279	
813967	242467	
813967	247917	
813967	258378	Mariya Kalas
813967	258812	
813967	259075	Kaka Denka
813967	273094	Zhena ot publikata (Segment 1
813967	282715	
813967	284467	Kaliopa
813967	286716	Sanitarkata
813967	305905	
813967	320648	Sekretarkata na Dimov
813967	340720	
813967	350252	Byasnata
813967	350973	
813967	357173	Huderova
813967	375394	
813968	30635	
813968	306976	Bistra
813968	350973	Marina
813969	1400	
813969	104831	
813969	341183	Ana Zaimova
813970	258536	
813971	9467	Romi
813971	286716	Meditzinskata sestra
813971	335461	
813971	354321	
813972	103565	
813973	373567	
813974	212294	
813975	337039	
813976	373698	
813977	265322	Ana, Lukina kci
813977	272606	Klaperka
813977	303124	
813977	375335	TV Reporter
813978	210158	
813978	375350	
813979	349218	
813980	181945	Spikerka
813981	375342	Fadila
813982	323309	
813983	349218	
813984	411900	Vesna
813985	81509	
813986	197096	
813987	246909	
813988	33576	Oreste
813988	68900	Isolier
813988	236185	Cherubino
813989	246238	Firefly #2
813989	265002	Terry Ryan (Tuff) @9
813990	179724	
813991	180552	Miriam
813992	157663	
813992	204766	Vrouw/secretaresse
813992	209581	
813992	250914	Charlotte
813992	305315	prostitute
813993	63153	
813993	105527	Eva
813993	126868	
813993	147157	Frau von Krakow
813993	156973	Frau Uhl
813993	168415	
813993	175051	
813993	184587	
813993	204412	
813993	211128	
813993	253203	
813993	282200	
813993	293561	Mrs. Witt
813993	352764	Frau Schweiger
813993	354081	
813994	97206	Girl in Commercial
813995	38045	
813995	113343	Judy
813995	164381	Health Visitor
813995	218798	Supermarket Cashier
813995	278081	Jem
813995	299471	Brenda Drill
813995	382272	Cherry Gibbs
813995	384815	Zo Dudgeon
813995	403523	Meg of Wickham
813996	11890	Elza De Moor
813996	12462	Madeleine Lonant
813996	42867	Vroedvrouw
813996	142506	Lisette
813996	147236	
813996	160842	
813996	164148	Mamy Corremans
813996	184284	Katrien
813996	188909	Dienster bij de Protasovs
813996	210122	
813996	210124	Mia
813996	225825	Moeder
813996	238477	Dorpbewoonster
813996	247132	Tante
813996	282736	Moeder
813996	312014	Dame
813996	352054	Moeder
813996	356078	Tale
813996	359436	Juliana
813996	373797	Volksvrouw
813996	375724	Buurvrouw
813996	388299	Albertine (2001-)
813996	394142	
813996	400287	Tante Ruth (1996)
813996	400801	Philomene, de vrouw van Pier
813996	400823	
813996	405653	Schoonzuster van Slisse uit G
813996	409192	
813996	411309	Annie Rietsma
813997	34665	
813997	86732	
813997	101679	Ina Magenta
813997	123918	
813997	127724	Gina
813997	145527	Jenny
813997	163150	
813997	171857	
813997	172159	
813997	184650	Felipa
813997	197280	
813997	284502	
813997	308874	
813997	323055	
813997	341709	Moira
813997	358496	
813997	381564	
813997	390069	Gina de Leon
813998	391869	Kim Patterson (1988-1989)
813999	111170	Homeless Woman
814000	235760	Rosanna's Friend
814001	86064	
814001	235760	Rosanna's Friend
814002	360251	2nd Luxembourg Officer
814003	101923	Voices
814004	235737	Polly
814004	374292	Anna
814005	57853	Pasqualina
814005	129131	La moglie del capocomico
814005	133181	Zemaide
814005	205360	Lulù
814005	237457	Renata
814005	248224	Marietta
814005	251323	Rosetta, la moglie di Peppino
814005	287692	
814006	12092	
814007	339637	
814008	395742	Pilot Paula (episodes #41-45,
814009	401871	Letterina (house guest)
814010	139383	
814011	151758	Lover Girl
814012	1780	Herself
814014	135290	
814015	391272	
814015	398519	
814015	404203	Damaris
814016	111909	
814017	78474	Herself (performing 'Hold fas
814018	28569	Eva
814019	168436	
814019	219876	Beth Fordson
814019	283789	Lotte
814020	183314	Skoleelev
814021	329151	Dairy Queen Waitress
814022	240899	
814022	351238	WPC
814023	78267	Herself - Presenter
814023	228395	Sussy
814023	351368	Herself - Host
814023	381894	Herself - Host (Season 1 - 20
814023	391353	Herself - Host (2001-2002)
814023	392301	Herself - Co-host
814023	401873	Herself - Host
814024	372967	Claes' admirer
814025	395375	Yumi
814026	79823	Mimi
814027	161683	Momoka
814027	161685	Hide, the Nurse
814027	182471	Policeman
814027	334830	Nayuki
814027	335271	Atsuko Kinoshita
814028	8044	Asami Agawa
814028	8750	Akiko
814028	61109	
814028	149890	Beautiful woman of Stardust c
814028	173193	Rie
814028	174984	Neighbor's wife
814028	210042	Eri
814028	244515	Kozue
814028	248350	Chiru
814028	282926	Immortal 1
814028	341297	
814028	341302	
814028	341303	
814028	341304	Megumi
814028	341305	
814028	341306	
814028	341310	
814028	347726	
814029	14942	Fat Lady
814029	378373	Portera
814030	20625	Extra
814031	149890	Marimo
814031	300499	
814031	323266	Student
814031	335271	
814031	344139	
814032	239199	Toyoko Munakata
814032	284031	Taneko Honda
814033	334930	Beauty Salon Client
814034	298749	Farmer's Wife
814035	51273	
814035	101564	Page
814035	168357	
814035	234820	
814035	242180	Mitsuda's wife
814035	275748	Sachiko
814036	104792	Török hölgy
814037	212094	
814037	247974	
814038	234669	Dancer
814039	350772	Barbro/Queen Kristina (segmen
814040	383718	Carmencita
814041	25342	Nunziatina
814042	238478	
814043	159210	La serveuse
814044	1292	
814044	14916	
814044	20143	
814044	82415	
814044	104288	
814044	275393	Liliana
814044	382591	Laura
814045	122170	Tweenie
814045	200496	
814045	385132	Atala Judici
814045	385780	Little Emily
814046	218549	Bonissoni Angel
814048	254626	Officer Claire
814048	263547	Stephaine
814048	330891	Cara Cabot
814048	390771	Dinah Adele Chamberlain-Marle
814048	400236	Kelly Cramer Buchanan (#1) (1
814049	19691	Shizue
814049	63542	Okyo, Sasaya's wife
814049	76880	
814049	97141	
814049	122150	
814049	149132	Mother
814049	156229	Yoki Nakajima
814049	166025	Madame
814049	178311	
814049	178369	
814049	179348	Kitagawa Teruko
814049	181982	
814049	182346	
814049	233118	
814049	234903	Azuma Hotel madame
814049	239336	
814049	243898	Ono woman
814049	271915	Kaede's Old Lady
814049	288192	
814049	288193	
814049	294547	
814049	296633	
814049	296637	
814049	296640	
814049	298991	
814049	326253	Miyoshino
814049	328968	
814049	334779	Asa
814049	334904	
814049	373218	
814049	375608	
814049	375638	
814050	19702	
814051	128727	Dancer
814051	283543	Dancer
814051	398697	Dancer
814052	309490	
814053	78254	
814054	173931	Girl Bell Ringer
814054	255314	Uto
814055	3901	Herself
814056	97036	Ah Girl
814057	409144	Herself - Anchor
814058	192678	Melanie
814058	328809	Samantha
814059	304746	
814060	27153	Eric Koyle
814060	84494	Mary Ann
814061	255360	Girl at Whare
814062	256357	Herself
814063	283396	Mrs Wharewera
814064	324810	Pamela
814065	70775	
814066	97212	Chrissie
814066	116796	Sweeney
814066	388209	Noleen McCoy I
814067	256654	
814068	62859	Nato
814068	85272	
814068	86859	Dina Dza-Dzu
814068	122958	Kato
814068	170301	Jujuna
814068	256694	
814068	268611	
814068	341182	Tina
814068	344268	Dina
814068	349268	
814069	98229	The neigbor
814069	277758	
814069	289847	
814069	290701	
814070	20342	La Renaude
814070	61763	Hansen's customer
814071	14915	Jofroi's wife Barbe (segment 
814071	17081	Philomène Barbaroux
814071	66091	
814071	108613	Amélie
814071	161567	
814071	168345	Barbe
814072	394329	Tamsin
814072	406414	Billie
814073	44935	Poppaea
814073	230376	
814073	391079	
814073	407656	Pauline (2001)
814074	181580	Viivi
814074	303846	Vieras jatkoilla
814075	264291	Hovineito
814075	283232	Student
814076	178376	Statist
814077	21721	Aino Pakkola
814077	137746	Verna Merthen
814077	172290	Irma Karitie
814077	172406	Kristine Popoff
814077	174477	Countess Margareta Armborg
814077	181560	Johanna
814077	236717	Kreeta, Karrin kasvate
814077	242267	Maire Rauta
814077	266752	Anna Kaarna
814077	319328	Hildur
814077	321945	Irja Salo
814077	349948	Irma, Arvo's mistress
814078	380069	Suorsa
814079	178376	Statist
814080	9725	
814080	74649	
814080	103708	
814080	212441	
814080	302399	
814080	378109	
814080	384708	Maite
814081	19454	
814082	96441	Hybelvertinnen
814082	187806	Fru Bratt
814082	352204	Fru Olsen
814083	63574	
814083	357208	
814083	357332	
814083	370162	
814084	356185	Marysia
814085	17837	
814086	291593	
814087	63318	
814087	180843	
814087	229004	
814087	231162	
814087	258185	
814087	259076	
814087	389747	
814087	398757	
814088	357257	Larina
814089	14068	Herself
814090	165048	
814090	389831	Suzia
814091	283823	
814092	82494	Karasyova
814092	163058	The croupier
814092	202306	Kira Platonovna (segment 5)
814092	205979	The Prince's Fiancee
814092	227120	Ninon
814092	349849	Herself
814093	349849	Herself
814094	260312	
814094	265237	
814095	288803	
814096	1527	Ella
814096	15358	Ana
814096	322219	Camila
814096	324929	
814097	28105	Emi
814097	172052	
814098	294157	
814099	23068	Teruo's Mother
814099	170903	Oshimo
814099	338580	
814100	8588	Sister Mioko
814100	126283	Kaori
814100	193977	Yuka Misaki
814100	294164	Murasaki-noue
814100	302634	Hitomi
814100	381507	Kyoko Machida
814100	394009	Nozomi Tamura
814100	396483	Mae
814100	397352	Eri Yoshikawa
814100	407341	
814100	409726	Miyuki Murasame
814101	249073	Herself (with Stein at soirée
814102	223920	Japanese singer
814103	257718	Sagara, Haruka
814103	394802	Azami
814104	137324	Chikako Kaibara
814104	400480	Sanae Tamura
814105	405506	Majstorica
814106	248991	Sandra
814106	321261	Woman in Job Centre
814106	381961	Deddie Tolbert
814106	381968	Presenter
814106	383223	Herself - Team Captain (1997-
814106	399585	Ethel Davis (1982-1986)
814106	401757	Presenter
814106	411068	Herself (1989-1991)
814107	136762	
814108	242884	
814109	168881	Amir's mother
814109	173986	Saule
814110	10889	Donna Wing
814110	11362	Michele Miller
814110	11386	Receptionist
814110	51946	Morgan Garrett
814110	67577	
814110	109069	Yoo
814110	152936	Gretchen
814110	168021	Alice Lee
814110	191372	Violet
814110	224376	Aerobics Instructor
814110	297791	
814110	316484	
814110	340930	
814110	369492	Muse 6
814110	403661	Shana 'Pipeline' Akira
814111	167536	
814112	173319	Omitsu
814112	234538	
814112	298747	
814113	385980	Plotmon/Tailmon/Nefertimon/An
814113	385981	Plotmon/Tailmon/Angewomon
814113	400053	Dodo (Doremi's Faerie)
814114	394392	Viola
814115	113993	Cautious Dragon Lady
814116	333295	Catherine
814116	404311	Kazuko Izumi
814117	216649	
814118	12253	Reiko
814119	356022	Asiye
814119	370797	
814119	387812	Nedime
814119	391614	Deniz
814119	412237	Meltem (2004)
814120	17609	Marie
814120	40765	Yolande
814120	124903	Dora
814120	314885	Anna
814120	356107	Zus van Martha
814120	373535	Psychiater
814120	390242	Karin Alberts (1991-1992)
814120	399409	Els Prins
814120	410441	Mia (1995)
814120	410838	Conny Janssen-de Graaf-Dijkzi
814121	246561	Elina Oravisto
814121	303846	Ella
814122	394230	Herself (2004-)
814122	407107	Herself - the host (2003-)
814123	81316	Carol Toby
814123	191094	Janie
814123	281769	Sister Ann Vania
814123	404002	Mary Maeve Ryan Fenelli #3 (1
814124	115717	Young Joyce
814124	125842	Young girl
814125	206629	Linda
814125	385577	Correspondent (2000-2001)
814125	395214	Various
814126	118384	Katrina
814126	196495	
814127	124381	Carol Rice
814127	188326	Elsie
814128	354952	
814129	314729	Indian Girl
814129	318602	
814130	26238	Additional Voices
814131	129219	Prozac Alcoholic
814132	148147	
814133	272453	
814134	82631	
814134	251410	Reporter
814134	271206	Newark Reporter
814134	366740	Newscaster
814134	396479	Anchor Woman
814134	398208	Nurse Thelma
814135	7827	Gary Coleman's Mother
814135	31194	Herself - CBS Team Contestant
814135	69615	Karen's Mother
814135	78157	Sasha Taylor
814135	131780	Stacks' Girlfriend
814135	139456	Annie
814135	250737	Sissy Jackson
814135	316094	Emma Ayers
814135	393417	Jenny Willis-Jefferson (1975-
814136	106219	Pontivini's Girlfriend
814136	107910	Cheryl Herman
814137	202619	Ruthana (Age 10)
814138	140362	Patsy Wayne
814138	152190	Alice B. Toklas
814138	203645	
814138	230857	Janet
814139	151126	Woman #1 Night Club
814140	80695	Dancer in Nightclub
814141	387533	Alice Bates (1993-1999)
814142	246343	
814143	141859	Ilse Taurias
814144	403537	Participant (2001)
814145	355950	
814146	42640	
814147	307466	
814148	10192	
814148	85963	Belén
814148	342056	Blanca
814149	89042	
814149	280835	Nurit
814150	353273	Cyberstorm Dancer
814151	397009	Susana
814152	6741	
814152	91388	
814152	338162	Baillarina
814153	205071	Donna Mercedes
814153	260547	
814154	301172	
814155	216803	Lily White Girl
814156	90792	Marena
814157	380249	Giovanna
814157	383142	Pepa
814157	391173	
814157	394872	Niña
814157	397862	Carolina
814157	398662	Angelica
814157	409779	Isabel
814157	410297	Lissette Pinto
814158	9619	
814158	33550	
814158	55900	Angela
814158	67364	Presentadora
814158	82709	Carmen
814158	87805	
814158	143756	Pepa
814158	202790	
814158	238018	
814158	353180	
814158	384175	Dona Maria De Toledo
814158	387811	Elsa
814159	68590	Reporter
814160	14942	Valeria
814160	52074	Mónica Vega
814160	73643	Sonia
814160	86708	Eva
814160	119721	Mercedes
814160	121263	Bárbara/Julia
814160	154542	Herself
814160	205071	Mararía
814160	225017	Teresa
814160	236400	Silvia
814160	246944	Laura
814160	369754	Herself - Nominee: Best New A
814160	369999	Herself - Presenter: Best Sup
814160	377581	Rita
814160	391445	
814160	395059	
814160	408415	
814161	378864	Disc-Jockey (1992)
814163	115833	
814164	148164	Chica
814165	51621	Hija
814166	246530	Waiting at Bus Station
814167	80208	
814168	100009	
814169	222170	
814169	276572	
814169	340278	
814169	380946	Tânia
814169	386214	Hortência
814169	393979	Laís
814169	403738	Márcia
814169	405810	
814170	134178	Chilean family
814171	368721	Susan
814172	380531	Jurema
814172	394872	Pinta
814173	180633	Lt. Able
814174	28089	
814175	49041	
814175	344200	
814176	293085	Woman with Ice
814176	406579	Mrs. Fischer
814178	392510	
814179	13843	
814180	4528	Estela
814180	11034	Hostess #3
814180	16963	
814180	31466	
814180	64785	
814180	72112	
814180	89764	
814180	138335	
814180	142569	
814180	145549	
814180	158618	
814180	177746	Nikki
814180	197280	
814180	200392	
814180	200508	
814180	204603	Belinda Que-Tan
814180	208548	Louela
814180	218914	
814180	222196	
814180	226658	
814180	226852	Eliza Fajardo
814180	227730	
814180	246465	
814180	250513	
814180	256137	
814180	267671	
814180	284669	
814180	302428	
814180	308150	
814180	314505	
814180	318402	Celine
814180	340355	
814180	348115	
814180	348988	
814180	370317	
814180	385729	Darna/Narda
814180	394247	Lorrea Guinto/Lea Mijares, Lo
814181	186665	Conchita
814182	10223	
814182	205600	Lucha Reyes
814183	395302	Marcela
814184	34483	Amanda
814184	79992	
814184	168928	Marianne Benitez
814184	406980	Herself
814185	28089	
814186	4127	
814186	27610	
814186	49119	
814186	181673	Maya
814186	226980	
814186	243176	
814187	47423	Old Dorm Guard
814188	189462	Nadine
814189	54749	Calvin's mother
814190	80460	Little Girl I
814190	289372	Sheila
814190	323841	Child
814191	77067	
814192	32464	Daphne
814192	315994	Air Hostess
814192	405358	Policewoman
814193	190399	Checkout Girl
814194	321167	Ira
814195	405209	Nurse Jesse George (2003-2004
814196	41179	Librarian
814197	187714	
814198	179425	Mrs. Quintana's Sister
814199	126130	Resident of Villagio
814200	400811	Herself (episodes 1-27, 30)
814201	277498	Herself
814202	333327	Prison Nurse
814203	382291	Probationary Const. Kelly O'R
814204	102272	
814205	224320	
814206	299431	
814207	412015	Jackie
814208	18285	
814208	18286	Lyuba
814208	200993	Dancer at End
814208	258469	
814208	274306	Girl in the bar
814208	370147	
814208	374101	
814209	7086	Lampwick's mother
814209	18522	
814209	114984	
814209	178665	
814209	225656	
814209	352240	Bankangestellte
814209	377346	
814210	334994	Herself
814211	164239	Herself (daughter)
814211	292846	Herself (daughter)
814211	334994	Herself (daughter)
814212	69137	Irina
814212	162570	Sally Brown
814212	362258	Sally Brown
814212	383928	Sally Brown (1983-1985)
814213	380031	The Girl at the Crossroads
814214	20787	Mary
814215	296967	Georgie
814216	396088	Arlene Lovett (1974-1980)
814217	259931	Herself
814218	81587	Mrs. Foley
814218	119532	Passerby #1
814218	195818	Marcia Newell
814218	327376	Test Lady
814218	360909	Amy
814219	248188	
814220	305920	Casino Extra
814221	16391	Herself
814221	45637	Rochelle (segment Inside Out)
814221	46149	Mish-Mash/Two-Face Sewing Mac
814221	148925	Tina
814221	160410	Rochelle
814221	170007	Herself
814221	184906	HBO Executive
814221	274329	(segment "Hotline")
814221	303975	Dixie
814221	330452	Pregnant Woman
814222	315096	Crystal
814223	54340	Mrs. Atkins
814223	116559	Dora
814223	150814	Sarah
814223	214162	Kate Mathews
814223	272466	Theo North
814223	339439	Girl
814223	341758	Street Attendant
814223	380391	Pamela 'Pammy' Davis (1970)
814223	386603	Liz Wilson (1966-1970)
814223	405882	Pamela 'Pammy' Davis (1970-19
814224	233577	Baby Ali
814225	264525	Femme aux Comptes
814226	332201	
814227	329411	Kid #1
814228	71252	High School Newspaper Photogr
814229	10862	Laurie
814230	10305	Usher
814231	340304	
814232	62566	Sybille
814232	233279	
814234	6065	Herself (vocals)
814234	278897	Herself (guest)
814235	2419	
814235	295284	Girl at country club
814236	132530	Sheila the Sex Goddess
814237	323401	Gwen Forsythe
814237	347106	Olive Granger
814238	124224	Model
814239	336559	Singer
814241	399129	Herself (2000-2001)
814241	399130	Louise 'Lolly' Carpenter (II)
814243	209039	
814244	89188	Ayanna Sanders
814245	318763	Anchorwoman
814245	388139	New York Reporter/Anchor (196
814246	110278	Fine Woman Back Stage
814247	367581	Woman #3
814248	1119	Daniella O'Cleary
814248	185307	Helen
814249	396965	Maidservant at Pecksniff's
814250	219694	Audience (Herself)
814251	63318	
814252	317106	
814252	374876	Nina
814253	88878	Reporter
814254	285656	Mary Ingram
814255	9422	
814255	17080	Mother
814255	18712	Mother
814255	19680	Bucsuzó anya
814255	25752	Teri
814255	28538	Nagymama
814255	35558	(segment A törzsvendég)
814255	44572	Ilonka
814255	74440	
814255	77565	Nóra
814255	78206	Aranka
814255	94225	Anya
814255	96201	Déryné
814255	96433	Éva, Bálint Gábor felesége
814255	97964	Nadányi Ervinné,Anni
814255	97968	Herself
814255	103033	Latkóczy Ida
814255	106692	Mrs. Bencsik
814255	110696	Teudelinda grófnõ
814255	122304	Lajos Kossuth's wife
814255	122388	Maya,francia orvosnõ
814255	122599	Anna, Kéri felesége
814255	125921	Kovács Zsuzsi
814255	136445	Magdolna,Palánka felesége
814255	139940	Éva, Bozsó lánya
814255	139997	Ilka néni
814255	140326	
814255	147310	Bálintné
814255	153677	
814255	153913	Takács Klári,Bimbi
814255	155616	Máté Judit
814255	171601	Mother
814255	174750	Varga Kató/Katyi
814255	179418	Mrs. Szalánczy
814255	180223	Babocsi Gáspárné
814255	182512	
814255	182729	Mary,Gruber lánya
814255	187201	Zarkóczy Rózsika
814255	198321	
814255	200056	Makray Erzsébet,a kereskedelm
814255	210957	Klára/Marianne
814255	211700	Bartháné,patikus
814255	211706	Sári
814255	212992	Karsai Klára
814255	214500	
814255	223594	
814255	223595	
814255	223597	
814255	223599	
814255	225435	
814255	229710	Bende Etelka
814255	237395	Mester Laura
814255	239432	Erzsike,Tabódy lánya
814255	246283	Tóni, Vajkayné
814255	256752	Rolla,Horváth lánya
814255	280599	
814255	284092	Oltay Krisztinka/Fruzsa néni/
814255	322091	Suzanne,francia nevelõnõ
814255	322102	Kozima, Liszt leánya
814255	322106	Klári
814255	328970	Miklósiné Zsófi
814255	333799	Aracsiné,Julis
814255	333801	Vera,Kántorék lánya
814255	335963	A gróf felesége
814255	343631	Balázs, Anna
814255	349132	Szilágyiné
814255	354434	Verbéna
814255	355133	Elza,Szabó felesége
814255	356601	Countess
814255	357937	Geraldin, Károlyi nevelõanyja
814255	374157	Buday Klári
814255	377085	Jánossy Éva
814255	377121	Társasági hölgy
814255	377815	Gitta,Hubay Péter lánya
814255	378180	Estella
814255	378261	
814255	378318	Frau Hollo
814255	378346	Kenyereslány
814255	378577	Márta
814256	5292	Simona
814256	6743	Lina
814256	23843	Nicole
814256	24912	Anna
814256	42020	Brigitte
814256	45140	Violette
814256	53762	Conchita
814256	59239	Gina
814256	64238	The Countess
814256	67501	Prinzi
814256	68321	Adriana
814256	69365	Serena DiPuma
814256	70165	
814256	78307	Adriana
814256	89576	Margherita
814256	122376	Franca
814256	129019	
814256	132513	
814256	133995	Sophia Matalas
814256	169986	Cathérine
814256	170990	Venerata
814256	176855	Sylva
814256	199072	
814256	200512	Velida
814256	202326	Lia
814256	207961	Diana
814256	211198	
814256	215405	
814256	235778	
814256	253332	Paola
814256	254962	
814256	258338	Marlene, Miss Physical Love (
814256	260410	Virgia
814256	263621	
814256	274900	
814256	276535	Clélia
814256	280906	Manka
814256	282577	Mahila
814256	284089	Yasmin
814256	291679	Lori
814256	291687	Gioia
814256	294555	Carlotta
814256	300587	Shirin
814256	300781	
814256	304744	Countess Elga
814256	316804	Waitress (segment "Strega Bru
814256	328893	Roberta Leoni
814256	329863	La secrétaire
814256	337426	Angelina
814256	339806	Princess Ate
814256	340293	Helen
814256	344603	
814256	345562	
814256	348675	Marilù
814256	349534	Grazia Tassoni
814256	374014	Sofia
814256	376747	Holdup man
814256	386361	
814256	395163	Xenia
814256	396820	Fiammetta
814256	400415	
814256	405800	
814257	281233	Banquet Guest
814258	390498	Piccola Anna piú grande
814259	214838	Maid applicant
814259	349734	Leena
814260	48802	
814261	249711	Danielle
814262	12502	Novia joven
814263	281542	Ahoo
814264	241986	Interviewer
814265	142622	Allison
814266	161422	Carol
814267	59535	Miss Partridge
814267	84833	Nerve's Mom
814267	151537	Patty
814267	194137	Dee
814267	195446	Cindy's Modeling Agent
814267	241106	Gail Unger
814267	263339	Miss Harriet Craymire
814267	273896	Goldie
814267	315720	Additional Voices
814267	385727	Binkie Muddlefoot
814267	391401	Biddie Cloom
814267	396371	Bernadette
814267	399229	Regular (1972-1973)
814267	401191	Aunt Janie Diggety
814267	405718	Additional Voices
814267	407441	Additional Voices
814268	69037	Vera
814268	252455	Megan
814269	168125	Dancer
814269	199246	Jitterbugger
814270	294641	
814270	313529	
814271	8282	
814271	29278	
814271	43274	
814271	156007	
814271	163030	
814271	223350	Actress
814271	229911	
814271	244263	
814271	263261	
814271	339231	
814271	349326	
814271	374764	
814272	18285	Tamara
814272	30632	Alisa
814272	88444	Larisa
814272	131114	
814272	184597	Girl
814272	197593	
814272	200518	Marina
814272	258469	
814272	272498	Vera
814272	400447	
814273	126045	
814275	375671	
814276	29556	Student
814276	32374	Sara Beijer
814276	237394	
814276	361568	
814276	393273	Maria Falck
814276	399850	BVC-psykiater Laila Sundelin 
814277	377305	Herself
814278	9718	
814279	197342	
814279	355125	
814280	373573	
814281	179670	
814282	81640	
814283	125667	
814283	234552	
814284	167233	La belle dame
814285	187540	Esther
814286	85540	La femme belge
814286	166565	Madame Elizabeth
814286	197393	Lucia/Anne
814286	211138	Maître Sarraut
814286	217652	
814286	265904	French Couple
814286	307380	Mademoiselle Fauchon
814287	21935	Business Woman
814288	231925	Young Chinese Woman
814289	10152	Anna Williams
814289	67478	Valerie
814289	217411	Red Dress Prostitute
814289	389269	French Girl (segment "The Cow
814290	177391	Tika
814291	124017	York Pub Band
814291	155674	TV Gangster Moll
814291	395218	Herself
814292	223941	Herself
814293	215623	
814294	1348	Herself
814294	80863	Kathy Acton
814294	298058	Caroline
814294	318743	Bikini Contestant
814294	400236	Kelly Cramer Buchanan (#3) (2
814294	411802	Victoria Nicole Newman #2 (19
814295	75766	Anastasia
814295	347244	Maggie
814295	382397	Herself
814296	16701	Julie
814296	27344	Lois
814296	30951	Mariko
814296	30961	Dana Tan
814296	30962	Dana Tan
814296	30970	Angela Chen
814296	41940	Female Reporter
814296	51836	Helen - Dim Sum Girl
814296	56937	Mai
814296	68269	
814296	90892	Ching 'Honey' Huan
814296	103345	Claudia Ford
814296	130057	
814296	158316	Lily Yee
814296	164494	Angel
814296	169594	Lena St. Clair
814296	176507	Numbah Three
814296	177076	Yoshiko
814296	200283	Redhead
814296	203436	Adele Bliss
814296	204204	Bambi
814296	217485	Sarah
814296	220985	Amanda Chang
814296	222115	Princess Mei
814296	222686	Marge Fong
814296	235052	Mrs. Ho
814296	235618	Eloy
814296	281365	Audry
814296	293105	Mitzie
814296	319624	Angela Chen/Mercy Graves
814296	319625	Angela Chen
814296	320209	Carol
814296	321917	Obstetrician
814296	326411	Younghee
814296	327235	Connie Ching
814296	358708	Lady Broker
814296	362675	Amy
814296	365458	Additional Voices
814296	366811	Yolanda Chin
814296	370118	Ann Lee
814296	381392	Dana Tan (1999-2000)
814296	384455	Shun
814296	384572	Kuki Sanban (Numbuh 3)
814296	385552	Ginger Chin
814296	386509	Nora Chen
814296	388694	Karen Tehama
814296	389573	Amy Wong/Mrs. Inez Wong/Jrrr
814296	390423	Dot (1997-1998)
814296	392807	Darcy Chang
814296	394403	Jordan
814296	394497	Minh/Kahn Souphanousinphone J
814296	397162	Laura Chen
814296	403587	Trish/Sherry (1999)
814296	404229	Additional Voices
814296	407022	Angela Chen
814296	407654	Younghee/Additional Voice Tal
814296	411971	Agent Lee (2001-2002)
814297	223941	Herself
814298	32654	Ryce Newton
814298	32658	Ryce Newton
814298	41393	Jacy Woodman
814298	43932	Ruth
814298	117118	Amy Dustin
814298	155215	Sarah Bryan
814298	157817	Nicole
814298	227469	Margaret 'Maggie' Sheffield
814298	247559	Tracy
814298	264158	Teen Reporter Cassie
814298	272857	Sadie
814298	279624	Andrea
814298	292018	Sally Mae Parker
814298	314531	Alexis
814298	348592	The Girl
814298	362310	Kelly Jameson
814298	381547	Ryce Newton
814298	393510	
814298	398982	Margaret 'Maggie' Sheffield
814299	190461	Knowles Kid
814300	223941	Herself
814301	35453	Prostitute
814301	255872	
814302	223941	Herself
814303	403447	Martina
814304	335165	Michelle Livingston
814305	128727	Dancer
814306	147694	Warren's Companion
814307	80619	Fiesta Dancer #12
814308	52585	Britta Hollischeck
814308	210002	Marianne
814308	307651	Jolantha
814308	325754	
814308	339065	Pia Bauer
814308	375282	Zita
814309	42029	The Loner
814309	317447	Lisa
814309	366670	Mrs. Osgoode
814310	94504	
814311	70178	Female Medic
814312	49586	
814312	57697	
814312	112700	
814312	138941	
814312	252725	Femme au baluchon
814312	324331	
814312	337742	Mere de Yossi
814312	404749	Van Weyden mother
814313	148589	Mme Scipion
814313	273905	
814314	17581	
814314	35846	
814314	40211	
814314	42186	
814314	46104	Maryka
814314	48743	
814314	86614	
814314	86857	
814314	89784	Sofica
814314	97196	
814314	99465	
814314	129736	
814314	156005	
814314	163161	
814314	172442	
814314	180753	
814314	181399	
814314	186184	
814314	196726	Veronica Miclea
814314	198175	
814314	217278	
814314	246347	
814314	258652	
814314	259059	Englishwoman
814314	268508	
814314	293900	
814314	305200	Viorica
814314	322816	Radda
814314	323320	
814314	343790	Aniza
814314	350992	
814314	370137	
814314	373944	
814314	374856	
814314	381530	Sychykha
814315	392742	Daria Pardieri
814316	119344	Half-Woman
814316	364241	Herself
814317	50975	Margie
814318	320263	Secretary
814319	388765	Herself (Biographer of Samuel
814320	411047	Translation Voice
814321	75717	International reporter
814321	145068	Jan
814321	186778	
814322	335301	Anna
814323	104699	Nude Beach Lady
814324	254312	Kristin
814325	1027	Yana
814326	350711	
814326	386407	Budina sestra
814326	395832	Maticarka
814326	402765	Staka
814327	14554	Veronica Dow
814327	26736	Natalie Walker
814327	29524	Bighead 24
814327	38340	Mimi Simkins
814327	252987	Teresa Ramirez
814327	267393	Bender's Wife/Stevie's Mom
814328	258644	
814329	14283	Brunelda
814330	338622	Annina
814331	89860	Officer Fox
814331	336440	Dancer
814332	109087	
814333	366956	Denise Gillespie
814334	289509	Poet Chic
814335	392911	
814336	392561	Host (1975-1977)
814337	343799	
814337	400405	
814337	410452	
814338	56299	
814339	309345	Ladra
814340	49117	
814340	87005	Barbara Tengco
814340	155128	
814340	227728	
814340	241137	
814340	385651	First Lady Imelda Marcos
814341	14753	
814342	31400	
814342	92640	Direktorin
814342	184640	
814342	188850	
814342	197419	
814342	259456	Frau Kern
814342	259458	
814342	259522	Nelly
814342	259533	Anja Bindseil
814342	352367	
814342	365673	
814343	104438	
814343	185969	
814344	83515	Sister Rosemary
814344	288467	Reporter
814345	197577	
814346	248875	Mrs. Blazey
814346	374649	Mrs. Rice
814347	131474	
814348	279314	Jill (age 11)
814349	29156	Housewife
814350	320492	
814351	34189	Herself
814352	91062	Herself
814352	91067	Herself
814354	24191	The Teacher (2)
814354	161817	Isabel
814355	356147	Marisa
814356	147464	Prolaznica 3
814357	343979	Girl
814358	6926	Sarah Gort
814358	7972	Herself
814358	64079	Cook
814358	171076	Traffic Warden
814358	239568	Mrs. Simmons
814358	340563	Martha
814358	348534	Herself
814358	387533	Naomi Tolly (1981-1982)
814358	396965	Maidservant at Anthony's
814358	397668	Rose Sproggs
814358	409666	Ruby Finch, scullery maid (41
814359	645	Karen
814359	31672	Ducky
814359	54669	Dancer
814359	91720	Renee
814359	146661	Vestal Virgin
814359	194223	Suzy
814359	196376	Woman with stuck zipper
814359	238625	Mrs. Buck Banner
814359	257642	Herself (Playmate)
814359	303501	Lonnie
814359	348374	Molly
814359	352967	Herself
814360	254851	
814361	105200	Young Mom #2
814361	252570	Alda
814362	97569	Maid
814362	404081	Maritza
814363	99611	Client
814364	236972	Snowflake
814366	405705	
814367	217434	Miliner
814368	170394	Girl with Cruches
814368	170395	Girl with Cruches
814368	170396	Girl with Cruches
814368	219830	Ragazza Bar
814369	276708	Nun
814369	397715	Maya Ricci (1997-1998)
814370	132951	Sentinelle
814371	15108	Julienne
814371	261273	Myriam
814371	380863	Agnès
814372	193900	
814373	62540	Young Woman
814373	69391	Monica
814373	140943	Molly Twelvetrees
814373	273260	Dorm Girl
814373	293097	Morgan
814373	387058	Tano's girlfriend
814374	262147	Secretary
814375	234249	
814376	43036	Maria
814376	280588	
814377	217293	
814377	231652	
814377	344039	
814377	358199	
814378	85062	Tamanui
814378	238638	Yuri-chan
814379	68762	Herself
814380	234629	Teresa
814381	10378	
814381	12964	Kamala
814381	41327	Lethe's Mother
814381	85395	
814381	129656	Sofia
814381	164773	Despina
814381	254878	Adonis
814381	327321	Pericles' mother
814381	388229	
814381	404240	
814382	411367	Hammerin' Heather Steele
814383	253873	Peter's Wife
814384	186255	Ann Galloway, M.D.
814384	204880	Narrator
814384	244034	Additional Character Voice
814385	125478	
814386	311446	
814387	284833	
814388	308177	Miss Hammond, in 1912
814388	380997	
814389	193211	Herself
814390	359271	Herself
814391	62650	Dino's Mother
814392	330388	Melanesian extra
814393	91065	Herself
814393	104772	Croatian entry (17th place)
814394	154773	Eva
814395	339249	Kocour's mother
814396	253228	Chemistry Teacher
814397	13891	
814397	15220	Mrs. Mixner
814397	35353	Jan
814397	49734	Clara Stern
814397	62007	Maj. Lila Garreau
814397	81776	Patricia Ruiz
814397	90409	Mrs. Crandell
814397	91959	Hazel Carter
814397	131717	Victoria Van Borins (Miss Van
814397	157784	Doyen Salsig
814397	222677	Janet Crisp aka Martin Blooda
814397	222947	Nurse Rennert
814397	241732	
814397	245249	Madge
814397	267576	Lily Elias
814397	302312	Marina Preston
814397	342403	Sam's Mother
814397	354164	Mrs. Stewart
814397	384104	Maj. Lila Garreau
814397	388237	Dr. Estelle Kramer (1986)
814397	390302	Rita
814397	396200	Ann Hines-Davis-Wilson-Jeffer
814397	396386	Delia Buckner
814397	397156	Blank Dominique
814397	402345	Lynda Hansen
814398	1440	Herself - Presenter
814398	1674	Herself
814398	1703	Herself - Presenter
814398	2762	
814398	2810	Presenter
814398	2909	Herself - Best Supporting Act
814398	3021	Herself - Past Winner
814398	10414	Julie
814398	16943	Linda
814398	33049	
814398	47904	Missy
814398	59350	Mabel Normand
814398	68105	Herself
814398	87202	Paris
814398	102233	Rosie Rivers
814398	107255	
814398	114955	Mandy
814398	118367	Margaret
814398	136128	Lexi
814398	138701	Ruby Weaver
814398	158102	Natalie Strout
814398	166671	Actress in play
814398	171030	Paula
814398	177461	Det. Costello
814398	196437	
814398	205830	Meredith Morrison
814398	223784	Herself
814398	223799	Mona Lisa Vito
814398	224224	Mattie Vines
814398	242038	Evie
814398	242113	Faith Corvatch
814398	243930	Lisa Provolone
814398	248132	Martha Hackett
814398	249178	April Haynes
814398	252823	Dorita Evita Perez
814398	257760	Tracy
814398	302468	Tori
814398	304230	Herself
814398	305244	Rita Abromowitz
814398	308011	Liz
814398	319647	Noelle Crandall
814398	347070	Monica Warren
814398	347741	Caroline
814398	359902	Dr. Polly Beilman
814398	361237	Nina
814398	362271	Herself
814398	362453	Lola
814398	365458	Bree Blackburn
814398	366644	Herself
814398	373874	Remy
814398	380713	Marcy Thompson Cushing (1983-
814398	386338	Maggie Lauten (1987-1988)
814398	389710	Raquel Smashenburn (unaired p
814399	164830	
814399	218755	Mave
814399	242844	Mutter Feilböck
814399	322563	
814399	378550	Böckels Nachbarin
814400	71595	
814401	33678	Anna
814401	41868	Fidelma
814401	46613	
814401	49391	Fräulein Lenya von Bruno
814401	59125	Diaphanta
814401	97611	Nun
814401	112018	Young Widow
814401	112748	Sheila Bennett Hatch
814401	116892	
814401	144767	Matron
814401	184218	Mrs. Kane
814401	209525	Nanny
814401	218109	Mrs. Carter
814401	234221	Mme. Beziel
814401	281058	Airport Shop Assistant
814401	313931	Jackie Hampton
814401	339352	Norma O'Sullivan
814401	368294	Julia Parrish
814401	378962	Commander Stone
814401	396147	Mrs. Sullivan
814401	401224	Peggy Wentworth
814401	401563	Ann Smith
814401	406686	WDC Linda Doran (1978-79)
814401	407892	Sister Hope Milroy
814401	409841	Mrs. O'Dowd
814402	77082	
814403	236277	
814403	249847	
814403	251358	
814403	284506	
814404	404749	Lavina
814405	101820	Nurse
814406	132128	Mirjana Dragicevic
814406	229079	
814407	232599	
814408	90509	
814409	47474	Ivan's Party Guest
814410	37319	Fraustein
814411	222441	
814411	305188	Irina Mazer
814411	308698	(video "Heaven or Hell")
814411	357326	Luiza de Coligny
814412	174829	Partisan woman
814412	180332	Lepotièka
814412	234153	Vodièka
814413	343799	
814414	218799	Jennifer
814415	182334	Reporter
814415	221343	Psychiatrist
814415	236323	PhDr. Vlasta Kulková - Jará
814415	306314	
814415	374098	Mrs. Czerná
814415	396071	Herself
814416	374767	Fyokla
814417	105130	Model
814417	305898	Model
814417	315483	Showgirl
814417	321522	Alvina
814418	66047	Marci
814419	405850	
814420	120770	Melania
814420	261234	Marijana
814421	81415	Silene
814422	98601	Kirie
814423	216649	
814425	232702	Machiko
814426	6079	Iris Cara
814426	138093	Mephist Dance
814426	147364	Rin
814426	172395	Pelsia Hayami
814426	174953	Rastel
814426	176528	Noa Izumi
814426	176529	Noa Izumi
814426	176530	Noa Izumi
814426	176531	Noa Izumi
814426	177386	Angel
814426	181564	Tsukuyomi
814426	201303	Pelsia Hayami
814426	202742	Pelsia Hayami
814426	204971	Ladou
814426	209803	Tomomi Murashita
814426	283678	Yahiko Myôjin
814426	283680	Yahiko Myôjin
814426	306042	Mika Slayton
814426	325964	
814426	369335	Noa Izumi
814426	373390	Karen
814426	380560	Alice
814426	381163	Nurse Ohno
814426	386537	Aoi Karin
814426	389464	Ritsu Sohma
814426	391597	Mama
814426	391751	Rin (Lynn)
814426	394420	Noa Izumi
814426	396487	Kakimaru
814426	396494	Pelsia Hayami
814426	397562	Nanao Kozue
814426	398900	Yuko Uzaki
814426	403966	Yahiko Myôjin
814426	404390	Ukie Isasaka (#2)/Katsuo Ison
814426	405981	Rollpannna
814426	408305	Barbera Ann "Babs" Bunny (Jap
814426	408634	Yuka Nitta
814427	174877	Sakiko Ota
814427	297260	
814427	320460	Yuriko Hamura
814428	48324	Liv Holm
814429	126115	
814430	193559	Siiri
814430	229322	
814430	319967	Marta
814431	348299	
814432	342635	Yawara Instructor
814433	208870	Lindsey Wong
814434	73275	Margarita Vermehren
814434	239276	
814434	351833	
814435	384220	Alexa/Wheelie/Bumble
814436	88204	Aunt Fifidda
814437	9276	Girl on street
814437	327944	Murder victim
814437	334960	Matsuko
814438	20625	Extra
814439	26491	Laurel Takashima
814439	35312	Detective Miyamoto
814439	67896	Lily Yuriko Kawamura/McGann
814439	79716	Janet Tokada
814439	118294	Herself
814439	118367	Wife (segment "The Misbehaver
814439	122909	Maria Yamashita Salinas
814439	140467	Karren Saito
814439	145739	Miyeko
814439	145743	Sally
814439	152777	Thaise
814439	165261	
814439	169594	Waverly Jong
814439	173931	Kumiko
814439	176951	Diane Sanford
814439	185385	Agent Kara Hastings
814439	190253	Julie Sado
814439	192748	Bob's Wife
814439	235556	
814439	242078	Mary Takata
814439	252935	Mom
814439	255314	Kana
814439	272879	Kim Tanaka
814439	276074	
814439	279871	Marcia
814439	283453	Monique Chao
814439	309661	Butch's wife
814439	334187	Maya Ying Lin
814439	336647	Prosecutor
814439	350475	Lanchi
814439	350477	Lanchi
814439	354136	Lan
814439	358659	Rikki Wu
814439	383021	Dr. Kimberly Shiroma (1996-19
814439	404282	Lily Murakami (1987)/Ming Li 
814440	3567	
814440	8905	Aiko Mita
814440	23302	
814440	31080	Kondou
814440	48438	Suzume
814440	150731	Information clerk of departme
814440	170609	Chizu Ikeno
814440	217366	Naomi
814440	224252	Sakiko Anayama
814440	225622	Mii-no-kata
814440	227258	Jin-Hua
814440	284871	Tatsuko Tanaka(16)
814440	294320	Katagiri, Setsuko
814440	298871	Aoi Kitazawa
814440	298913	Mitsuko Miyazawa
814440	298914	Sakiko Aoyama (segment "Mou i
814440	341310	
814440	367111	Aggie
814440	398493	Mari Ikeda
814440	406838	
814441	61106	Jerome
814442	97247	Tourist
814443	26238	Linna Yamazaki
814443	31046	Master
814443	38818	Rei Hino (Sailor Mars)
814443	38819	Rei Hino (Sailor Mars)
814443	38820	Rei Hino (Sailor Mars)
814443	38821	Rei Hino (Sailor Mars)
814443	38822	Rei Hino - Sailor Mars
814443	89940	Unipuma
814443	123107	Sally
814443	123109	Pony
814443	123110	Sally
814443	147364	Zaki
814443	177084	Kasuga Manami
814443	177085	Kasuga Manami
814443	182501	Mizuki Segawa
814443	182506	Doris Rumm
814443	239208	Kanko
814443	265578	Shiiko Kotobuki (C-ko)
814443	265579	Shiiko Kotobuki (C-ko)
814443	265580	Shiiko Kotobuki (C-ko)
814443	265581	Shiiko Kotobuki (C-ko)
814443	265582	Kotobuki Shiiko (C-ko)
814443	267536	Kotobuki Shiiko (C-ko)
814443	277456	Sally
814443	285921	Sumire Kanzaki
814443	285922	Sumire Kanazaki
814443	285923	Sumire Kanzaki
814443	299098	Sandy
814443	319374	Linna (Bubblegum Crisis) & Po
814443	325315	Takenoko
814443	334888	Unipuma
814443	380900	Elfino
814443	382108	Rei Hino (Sailor Mars)
814443	382109	Rei Hino (Sailor Mars)
814443	382110	Rei Hino - Sailor Mars
814443	382111	Rei Hino (Sailor Mars)
814443	382112	Rei Hino - Sailor Mars
814443	382412	Ira Shrine
814443	384225	Jeanne Fránçaix
814443	387456	Airi Komiyama
814443	387457	Airi Komiyama
814443	389729	Tetsuya
814443	391574	Bazuki Shiina
814443	394462	Kasuga Manami
814443	394523	Bibimba
814443	395888	Leylia
814443	396549	Luna
814443	400427	Office Lady
814443	407592	Takenoko
814444	169139	Gogo Dancer
814445	192102	Fredericka Armfeldt
814446	202540	London Dancers
814447	81984	Helen
814448	110396	Waitress
814449	190037	Pool Girl
814450	237542	Princess Julia
814451	256623	Mabel
814452	318977	Hospital Spokesperson
814453	303514	Patricia
814454	340557	Monica
814454	395955	Mrs. Peabody
814454	402140	WPC Norma Hastings
814455	1801	Herself
814455	2261	Herself
814455	2279	Herself - Special Award Recip
814455	2365	Herself - Presenter
814455	2376	Herself
814455	2542	Herself
814455	2563	Herself - Presenter
814455	2574	Herself
814455	2753	Herself
814455	7583	Herself
814455	7592	Herself
814455	11386	Edwina Cutwater
814455	13929	Herself
814455	16099	Dr. Selma Dritz
814455	35506	Miss Jane Hathaway
814455	35507	Herself
814455	36871	Rose Ratliff/Rose Shelton
814455	38365	Herself
814455	41829	The waffle eater
814455	50460	Herself
814455	57766	Narrator
814455	60683	Herself
814455	60685	Herself
814455	68019	Herself
814455	69313	Mrs. Reilly
814455	97584	
814455	97585	Edith Ann
814455	97586	Edith Ann
814455	115635	Mary Schlichting
814455	119525	Herself
814455	121861	Host (segment The Battle of t
814455	121864	Judith Beasley
814455	126502	Herself
814455	126648	Inga Müller
814455	127678	Herself/Various
814455	130707	Herself
814455	138717	Herself
814455	154271	Vivian
814455	154399	Herself
814455	157464	Herself
814455	158920	Pat Kramer/Judith Beasley
814455	161324	Herself
814455	171123	Herself
814455	176410	Janet
814455	181005	Ruth Allen
814455	185858	Margo Sperling
814455	186006	Herself
814455	190876	
814455	190887	Herself
814455	190905	Performer
814455	190906	Lily Tomlin
814455	190912	Star
814455	196876	Herself
814455	206130	Herself/Honoree
814455	216670	Herself
814455	217502	Trisha Rawlings
814455	222494	
814455	227925	Linnea Reese
814455	232861	Violet Newstead
814455	243150	Charlotte Cobb
814455	249572	Herself
814455	250964	Herself
814455	255234	
814455	257689	Herself
814455	262315	
814455	275772	
814455	282537	Herself
814455	282634	Herself
814455	288703	Herself
814455	291938	Truby the Bag Lady/Agnus Angs
814455	295008	Ernestine
814455	296917	Prostitute
814455	299846	Doreen Piggot
814455	319687	Herself
814455	326383	Georgie
814455	342293	Herself
814455	358373	
814455	362329	Herself
814455	367883	Herself
814455	396447	Ms. Valerie Frizzle
814455	398571	Kay Carter-Shepley (1996-1998
814455	398603	Regular (1969-70)
814455	403834	Ernestine, the telephone oper
814455	410835	Deborah Fiderer (2002-)
814456	277635	Diana
814456	337281	Amanda
814457	354541	Gina
814458	230934	Agency Model #2
814459	208885	
814460	70415	Lady #2
814461	100838	Choir Member
814462	382838	Tanya Davies (1996-1998)
814463	359222	Mommie Thurston
814464	337302	Receptionist
814465	63187	Chrome
814465	389487	
814466	195157	Une fille de Gaston d'Orléans
814467	48919	Wendy, the waitress
814467	52568	Yolanda
814467	190461	Student
814467	202258	Lovely
814467	213502	Steinbloom's Secretary
814467	362453	Marshall Field's Shopper
814468	6264	Babysitter
814469	21116	Jack's Mother
814470	30662	Sherwin Maid
814471	2161	Single Young Woman
814471	386514	Cindy Spencer
814472	65701	
814473	185182	Toaster
814473	315919	Rebecca McManus
814474	37650	Biker Chick
814474	112299	Lauren
814474	132488	Neyda Colon
814474	245235	Pinky
814475	224793	Sadie Webb
814476	195157	Une fille de Gaston d'Orléans
814477	91065	Herself
814477	104772	Croatian entry (17th place)
814478	333476	
814480	192857	Small Child #1
814481	192857	Small Child #2
814482	124424	Receptionist
814483	251244	Daisey
814484	122019	Guy's wife
814484	150047	
814485	300796	Pikku-Linda
814486	8280	Reporter Ulla Salla
814486	181630	Portieeri
814486	190670	
814486	251954	Pojan äiti
814486	275804	Aila
814487	180120	
814487	251296	Enfant
814487	401393	Pocheeni 1
814488	19769	Guido
814488	137298	
814488	399500	Shokudou no Obachan
814488	407389	Grandmother
814489	10412	Tomomi
814489	394696	Babbit
814490	30759	
814490	43189	Oana
814490	56472	
814490	80354	
814490	86885	
814490	92888	
814490	183060	
814490	225598	
814490	249389	
814490	252414	
814490	273041	
814490	283476	
814490	322383	
814490	399956	
814490	403515	
814491	8904	Masako
814491	167577	
814491	182039	Kuroe (Chloe)
814491	335315	
814491	379406	Midori
814491	406838	Haruka Takabatake
814491	406874	Kameyama
814491	411646	Yukari Yamada
814492	221191	
814493	236954	Marshmallow
814494	259834	
814495	244096	Dshteryata
814496	98639	
814496	205422	Sarrugata na Nerizanov
814496	273094	Drugata mayka (Segment 5 A se
814497	339314	
814498	320551	
814499	180253	Bojana
814499	244141	
814499	322643	Mlada Margita
814499	385340	
814499	390388	
814499	395704	Nada ... sekretarica
814499	406567	Biljana Sokolovic, sudinica
814500	16348	Maddalena di Coigny
814500	90076	Donna Anna
814500	122986	Soprano
814500	173824	Donna Anna (segment "Don Giov
814500	197127	Soprano
814500	264018	Joroslavna
814500	281974	Marschallin
814500	302132	Amelia Boccanegra (soprano)
814500	369431	
814501	238445	Saito Kinen Festival Dancers
814502	182692	
814503	122381	The Woman
814504	116130	Young Helen
814505	11941	Newswoman
814505	13432	First Lady (segment "First La
814505	32647	Sandra Miller
814505	48907	Townswoman
814505	72416	Mother
814505	78184	Ms. Waters
814505	90097	Ruby
814505	109245	Betty
814505	138317	Fran Harper
814505	151659	Pamela Balsam
814505	154409	Helene Donnelly
814505	191732	Cleo
814505	222875	Jan
814505	226891	Pretty Warden
814505	241505	Kitty
814505	263779	Clarabelle
814505	265090	Gloria Harding
814505	313711	Daphne
814505	326424	Diane Marshall
814505	332821	LaVonne
814505	358664	Marganne Stillson
814505	372197	Jennifer Pierce
814505	389858	Dr. Erna Morris (1985)
814505	404615	Gloria Harding (1972-1973)
814506	141651	Bar girl
814506	247568	Nurse
814506	329518	Marsha Prentis
814507	214955	Cecelia
814508	35805	Princess Trirene
814508	41809	Patsy Simon (H.S. Tour Group)
814508	121649	Miss Stevers
814508	224317	Darlene Smith
814509	5885	Ward Maid 1
814509	11198	
814510	32488	Temp Agency Interviewer
814511	83849	Kelly
814511	92776	Cocktail Waitress
814511	95774	Robin
814511	196471	Widowmaker
814511	289426	Precious
814511	295719	Bride
814511	295721	Naked girl in men's bathroom
814511	295725	Hot Producer
814511	334393	Toad Girl 2
814511	355154	Diane
814511	359803	Slave girl
814512	62942	Aunt Thora
814512	73136	Phone Supervisor
814512	73562	Judge Morton
814512	139532	Millie Chappel
814512	154409	Grandma Dennison
814512	232247	Woman Doctor
814512	260387	Miss Musto
814512	289522	Mistress Cynthia Merton
814512	295081	Alice Whittier
814512	375111	Judge Beth Weaver
814512	380997	Cornelia Wheeler
814512	389858	Elizabeth Maynard (1977)
814512	399944	Mrs. Brahms
814512	404190	Trudy Wagner (1962-1963)
814513	41379	Showgirl
814515	254019	
814516	366321	
814517	299738	Messenger 2
814518	63834	Poppy
814519	275871	Wannabee Cheerleader
814520	18640	Raffaella
814521	287575	
814522	95755	Sara ben Karina
814523	348962	
814524	29746	Talia
814525	408573	Herself - Jury panel: Managin
814525	408574	Herself - Jury panel: Managin
814525	408575	Herself - Jury panel: Managin
814526	70105	
814526	89096	Merel
814526	93623	
814526	124948	Barmeisje
814526	180081	Anny
814526	181261	Aurélie Verbrugge
814526	205531	Moeder
814526	207795	Hertogin
814526	333134	
814526	359814	Olivia
814526	384154	Jennie
814526	387323	Christine Melis (1995-1996)
814526	400876	
814526	408246	
814526	411311	Julia Collin (1999-)
814527	88743	Aranka
814528	168395	St. Catherine/Courtier
814529	237522	Princess
814530	229775	
814531	257725	Manequinne
814531	285862	Bejbina
814532	27781	
814532	28323	
814532	51784	
814532	55743	
814532	55930	
814532	74034	Una secretaria
814532	74860	
814532	170076	
814532	237802	
814532	296505	
814532	357533	
814533	233341	
814534	213709	
814534	392815	Newsreader (1993-1996)
814535	28323	
814535	109284	Señora García
814536	307758	Girl in Disco
814537	100291	Herself
814538	15333	
814538	18797	
814538	202006	
814538	249318	
814538	252535	
814538	253870	
814538	281620	Rosa
814538	352017	
814538	376832	
814539	94840	
814539	246403	
814540	183161	Angustias' mother
814541	250370	Hertha
814542	17584	
814542	55494	
814542	74475	Jitka
814542	165348	Johanka
814542	214799	
814542	219648	
814542	266282	Adamová
814542	305817	Katerina
814542	315935	
814542	323639	Lída
814542	357715	
814543	30418	
814544	53852	Maria Bonita
814544	97353	Silva
814544	160607	
814544	380563	
814544	384711	Lúcia Borges
814544	385023	Alice Gouveia
814544	388591	Maria dos Remédios
814544	392792	Scarlett Mackenzie Pitiguary
814544	401104	Vida
814544	401944	Rosa Palmeirão
814544	402504	Isabel
814544	402626	Cíntia Tavares
814544	403326	Francisca
814544	408212	Carol
814544	410190	Raquel
814545	3311	(segment "Enceinte ou lesbien
814545	6754	Maria-Jésus
814545	10071	Marie-Ange, la pharmacienne
814545	17868	Inès' Mother
814545	31018	Julie
814545	47400	La gynécologue
814545	51399	L'employée de l'ANPE
814545	54245	Lourdes
814545	57533	Catarinetta
814545	58409	La styliste
814545	59491	Chris
814545	73472	Conception
814545	84667	La dame du restaurant
814545	94312	Melle Bouillaisse
814545	94387	Jeanne, la mère de Roudoudou
814545	99405	Ariane
814545	100657	La mère
814545	101217	Ofelia Dos Santos
814545	111701	La secrétaire d'édition
814545	118837	La responsable de l'intérim
814545	135335	Maria
814545	164173	Marie
814545	166157	Jacky
814545	167103	Employée ANPE
814545	171342	Emma Del Peira
814545	218077	Sophie
814545	225405	
814545	248654	
814545	248711	
814545	264451	Léonie Koutcharev
814545	268448	
814545	269732	Elle
814545	278155	Monitrice sourire
814545	280564	La première douanière françai
814545	315597	Mademoiselle Ramirez
814545	325343	Building janitor
814545	326030	L'inspectrice
814545	336302	Christine, the producer
814545	345365	Agnès
814545	353908	Inès' Mother
814545	357093	Françoise Dubosc
814545	370043	L'infirmière spermogramme
814545	377269	Flore, the impresario
814545	384288	Christina
814545	386433	Michèle BALINT
814545	392910	Danièle
814546	242424	La serveuse
814547	28546	
814548	38752	
814549	11835	La chanteuse
814550	27469	Maycheto
814550	50965	Aleksandra
814550	60724	Katina
814550	60725	Mimi
814550	77426	Nomer 7
814550	97560	Bulkata (Staretzat)
814550	106708	Rodopis
814550	129753	Vanya
814550	156015	Mina
814550	163901	
814550	164037	
814550	179092	Elena
814550	224448	Leftera
814550	226017	Anet
814550	226190	
814550	234793	Nona
814550	235290	Magda
814550	244469	Pavlina
814550	244473	Darina
814550	244624	Dorotea
814550	261305	Studentkata
814550	261330	
814550	265655	Positza
814550	275268	
814550	284458	Mina
814550	298734	Rada
814550	302984	Margo
814550	343415	Milena, Tzaritzata
814550	357426	Shofyorkata
814550	373568	
814550	401316	
814551	12201	Extra
814551	14263	
814551	14594	Woman with Policeman
814551	26363	In Sidecar
814551	26453	
814551	27029	
814551	30267	
814551	31263	At Dance/At Farewell
814551	31348	Charwoman
814551	34691	The Mother
814551	37801	The Lawyer's Wife
814551	38233	Mrs. Jonas Boom
814551	38901	Women's Christian Temperance 
814551	40254	The Wife
814551	40691	The Minister's Wife
814551	42427	Mrs. Parker
814551	42554	On Street
814551	44086	Lydia Hampstead
814551	46122	Mrs. Blowhard
814551	48274	Tribeswoman (The Old Days)
814551	56248	His sister
814551	57197	In Vice Committee
814551	59115	The Young Woman's Mother
814551	59741	Miss Curtis
814551	61387	Indian
814551	61650	The Nursemaid
814551	65776	At the Palace
814551	68882	The Housekeeper
814551	69741	A Maid
814551	71749	Mrs. Grimes
814551	73688	A Neighbor
814551	75288	The Cook
814551	75416	The Gardener's Wife
814551	81667	At the Wedding
814551	91895	
814551	95764	Mom Binks
814551	107393	In Tavern
814551	109791	A Servant
814551	111903	In Chase
814551	112408	The Son's Girlfriend's Mother
814551	114391	On Beach
814551	115080	A Servant
814551	117053	At Soda Fountain
814551	119054	Bessie's Mother
814551	130419	Mrs. Van Dyke
814551	130877	At Feast
814551	138256	Mrs. Farley
814551	140788	At Temperance Lecture
814551	141168	Lady-in-Waiting
814551	141616	The Maid
814551	142995	Old Woman/Accident Witness
814551	143668	
814551	143857	The Mother
814551	144528	In Purity League
814551	144783	In School
814551	145006	Miss Highbrow
814551	146039	A Visitor
814551	146159	Purity League Member
814551	146260	Black servant
814551	148248	At Barn Dance
814551	149446	Mrs. Ballantyne
814551	150394	Party Guest
814551	159068	Indian
814551	159136	Among Boarders
814551	159913	In Crowd
814551	162093	Jack's Sweetheart's Mother
814551	166678	First Visitor
814551	169978	One of Judith's Servants
814551	178914	A Servant
814551	183547	The Aunt
814551	184228	Gerald's Mother
814551	185234	In Wagon Train
814551	186631	A Boarder
814551	188156	In Laundry
814551	189319	
814551	190959	Mrs. Peck
814551	191599	A Maid
814551	191754	
814551	192005	Meena's Aunt
814551	192421	Mrs. Carver
814551	194018	A Nun/At Party
814551	194185	Mrs. Tucker
814551	195666	Head Chambermaid
814551	195713	The Girl's Mother
814551	196215	
814551	196245	The Maid
814551	196464	Aunt Mattie
814551	201846	The Landlady/At Dance/In Seco
814551	204279	Second Manicurist
814551	207693	Aunt Martha
814551	215324	The Woman
814551	221135	In Police Station
814551	227803	Aunt Albina
814551	229511	On Street
814551	230600	At Wedding/At Market
814551	234194	The strong-minded aunt
814551	237663	Servant
814551	237792	The Young Woman's Mother
814551	239059	On Bench
814551	239540	The Landlady
814551	239631	Matilda, Zeke's Wife
814551	239647	Kathie's Mother
814551	239691	Beauty, the Old Maid
814551	241455	A Maid
814551	245285	A Homemaker
814551	248468	Farm Woman
814551	252583	Mrs. Kingsley Benedict
814551	262063	Townswoman
814551	263215	Herbert's Mother
814551	263738	The Woman's Maid
814551	264509	His Mother
814551	267364	The Widow
814551	273598	Mrs. Simpson
814551	274121	Hick's Mother
814551	274747	League of Civic Purity
814551	275229	Aunt Mary
814551	281848	A Puritan
814551	281852	A mother
814551	286331	The Maid
814551	287252	Bobby's Mother
814551	288675	Landlady
814551	289805	The Wife
814551	294537	Vivian
814551	301782	Marcel Longville
814551	305056	Bashful Belinda
814551	305701	Mother (unconfirmed)
814551	306346	Mrs. Bronson
814551	306469	At Party
814551	310315	Gypsy
814551	310744	The Speed Demon's Wife
814551	312805	Mrs. Martin
814551	316991	In Tenement
814551	318319	Old Woman
814551	320204	
814551	326437	A Servant
814551	329982	At Resort
814551	331096	At Party
814551	331101	Mrs. Ronald G. Saunders
814551	331848	Nurse
814551	332906	Tightwad's Wife
814551	335236	Aunt Cissie
814551	336910	Big Chief's Wife
814551	339742	The Sheriff's Wife
814551	341033	A Servant
814551	341762	
814551	342017	Dr. Spinks
814551	343127	The Housekeeper
814551	345967	The Mother
814551	346152	The Mother
814551	348385	Martha Cabot
814551	348436	C.O.D.'s Mother
814551	355925	Mrs. Ware
814551	358958	The Other Mother
814551	359650	The Maid
814551	361170	The Neighbor
814551	362292	The Widow
814551	362408	Jenks' Wife
814551	362881	A Lady-in-Waiting
814551	363096	In Audience
814551	363774	
814551	364846	Mary Ann, the Widow
814551	365831	Willie's Mother
814551	366344	A Neighbor
814551	367928	At Dinner
814551	368770	A Servant
814551	396582	Herself (2002)
814552	74864	María
814552	277127	
814552	283950	
814553	127745	Saku
814553	155807	
814553	211894	Asami
814553	230140	
814553	232515	
814553	232663	Oei-chan
814553	285929	
814553	288053	Osaki
814553	299095	Hanayei
814554	232319	Little girl
814555	311537	Vinnie's Girl
814556	187263	Natiti
814557	409523	Marie-Paule
814558	23903	
814558	68651	Cesarina
814558	90005	Jole
814558	108748	
814558	127962	
814558	163004	
814558	200510	
814558	228132	
814558	229598	
814558	229741	
814558	243304	
814558	289344	
814558	289488	Matilde, madre di Paolo
814558	307584	
814558	309964	Keeper's Mother
814558	376137	
814558	376139	Regina
814559	254294	
814559	268520	
814560	130178	St. Pius Student
814560	265002	Barb @ 11
814560	276167	Screaming Girl
814560	276240	Featured Undead Kid #1
814560	382499	Rickie
814560	383321	School Girl
814560	401108	Bunny #1
814561	11156	Mrs. John Goody
814561	47580	
814561	152545	Jeanette Logan
814561	214139	
814561	280948	Undetermined Role
814561	325135	Bar Maid
814561	341953	Margaret Swithers, the City G
814562	14080	Isabel Guilbert
814562	100678	
814562	112222	
814562	186266	
814562	331930	
814562	371039	
814563	283679	Ikumatsu
814563	396019	Additional Voices
814563	404840	Yinshi
814564	328630	Angela Pandorus
814565	338831	Baelita Carmelita
814566	124594	Miss Layton
814566	194513	Miss Layton
814566	378710	Young Christine
814567	9353	
814568	386864	
814569	373368	Staff Girl
814570	69409	Doris Simpson
814571	190461	Knowles Kid
814572	255420	
814573	121095	Nurse
814573	167434	Naive Ng
814573	374806	Chu Hui-wen
814573	376063	Happy
814574	38338	Rolls
814574	121776	Lilliana
814574	167839	
814574	185715	Chat Chai
814574	190665	
814574	198710	Mrs. Tong
814574	268734	Ah Kwan
814574	275570	Pat
814574	370145	
814574	379625	Chimera (Cantonese version)
814574	386242	Dee Dee
814574	408601	Fen Barefoot
814575	300460	
814576	339880	
814577	150351	Raker Girl
814578	216022	Bookser's native romance
814579	170629	
814579	249377	
814580	7972	Herself
814580	79556	Lady in Coach
814580	111061	Mary-Jane
814580	134725	Mavis
814580	151589	Penny Wheelstock
814580	178224	Bib Mew
814580	190000	Mrs. Crummles
814580	241239	Judy
814580	264147	Mrs. Hunt
814580	265793	Bizzy
814580	301252	Sally
814580	339354	Lynn Walker
814580	348534	Herself
814580	378710	Farmer's Wife
814580	383683	Mrs. Cripps
814580	384459	Shirley
814580	385020	Jackie Moffatt (1982)
814580	390051	Rita Price
814580	390694	Mavis
814580	391035	Louisa Gradgrind
814580	391243	Sonia
814580	397659	Mrs. Vincy
814580	401455	Aunty Elsie
814580	401778	Suzie
814580	406121	
814580	408867	Lynn Walker
814580	408988	Ruth Fromberg
814580	409666	Daisy Peel, housemaid (32 epi
814581	230412	Nurse Ky
814582	64813	Field Reporter
814582	194963	Herself
814582	203918	Newscaster #2
814582	205268	News Anchor
814582	219692	Kaity Tong
814582	231900	TV Newsperson #4
814582	252445	Herself
814582	367254	TV newscaster
814583	4469	
814583	8770	Allison
814583	76419	
814583	107201	
814583	287025	
814583	296582	
814584	18612	Bad Girl
814584	308128	Beauty
814584	400236	Kathyn Fitzgerald (2004)
814585	302601	
814586	266166	Mrs. Lee
814587	370808	Mistress
814589	326015	Wai
814590	189183	Joe
814591	202941	
814592	255872	
814593	209942	Granny Cai
814594	318131	Roong
814595	304096	Little girl
814596	174023	
814596	174485	
814596	193537	Nene
814596	202096	
814596	204974	
814596	207633	
814597	186032	Parker
814598	370851	Date
814599	74009	Tiki
814600	391632	Mme Wanthong
814601	7007	Rachel Grangerford
814602	185241	Captain of Feng's Army
814603	4577	Kikunosuke Abashiri
814603	50357	
814603	96002	Kei
814603	167525	
814603	187875	
814603	338093	Hôrî
814603	387160	Kei
814603	391752	Taki, Tanji
814603	391835	Talking head/soundbites (segm
814603	396500	Tonkichi/Dabdab
814603	396796	Joey
814603	405141	Joey
814603	407389	Young Soukichi
814603	408264	Kandenchin
814603	408736	Hôrî
814604	24826	Herself
814604	24827	Herself
814604	36919	
814604	50152	
814604	50353	
814604	104741	Belgian entry (4th place)
814604	104746	Portuguese entry (9th place)
814604	189856	Herself
814604	327780	
814605	212799	Party Girl 1
814605	288273	Lurdes
814606	54804	Danielle Brossard
814606	57543	Anita
814606	60029	
814606	109015	Olga
814606	129216	Christine Prévost
814606	146433	TV Commentator (segment "Toby
814606	247593	
814606	332213	
814606	340176	Kitty
814606	340177	Ketty
814606	381521	Agatha
814606	381611	Barbara
814607	27656	
814609	165306	
814610	238009	Adele
814611	16061	Linda Marchand
814611	208833	Linda Marchand
814612	199292	One of 'The Girls'
814613	81428	Le jeune fille sous la douche
814615	1510	
814615	16662	Jil
814615	25924	Gudrun
814615	38994	Vanessa Krüger
814615	56545	Herself
814615	86101	Lara Feiersinger
814615	89289	Katja
814615	90705	Mara
814615	91020	Sandra Hülsdorf
814615	92643	Marie
814615	97100	
814615	109115	Karla
814615	123869	Mona
814615	125218	
814615	129741	Milena
814615	137949	Ophelia #4
814615	144129	Gisela Kenter
814615	170836	Nele
814615	171196	Frangipani, geb. Klein
814615	171727	Alena
814615	225639	Anne/Marie
814615	244132	Elfie
814615	255732	Inga
814615	256536	Sabine
814615	290048	Nina
814615	290154	
814615	301495	
814615	302043	
814615	313659	Ira
814615	325446	Miriam
814615	325930	Amelie
814615	366483	Nina
814615	367351	Justine
814615	394619	Judith Kraithaim
814617	130116	
814617	376956	
814618	308018	
814619	348013	Herself (clinker sculptress)
814620	384618	
814621	226827	
814621	233129	Emi Shimao
814621	344958	Oshin
814623	342134	Vera
814624	49715	Nakamura
814625	114030	
814625	173398	
814625	179690	
814625	214191	Goolie
814625	280807	
814626	59979	
814626	154836	
814626	162755	Dolores
814626	236073	Shaherezada
814626	261365	
814626	297458	Vanda yung
814626	318150	
814627	17991	
814627	29283	
814627	104739	Spanish entry (12th place)
814627	269164	Colona II
814628	24722	
814629	208158	
814632	82332	Business Woman
814633	380089	Lolita
814634	213651	Herself - an Elephant
814635	309860	Nurse
814636	231108	
814637	348545	Screaming Teen
814638	242539	
814638	242540	
814638	266724	
814639	312024	Louise
814640	403772	Spring Kavanaugh
814641	5527	911 Operator
814641	17769	Principal Aragon
814641	23338	Presidential Aide
814641	61656	Principal
814641	79283	Mrs. Luster
814641	106193	Mittlesbay's Secretary
814641	144674	Female Doctor
814641	156970	Real Estate Woman
814641	178906	Mayor
814641	192413	Mrs. Gardiner
814641	207765	Hospital Administrator
814641	217528	Maid
814641	234200	Judge
814641	241099	Mrs. Clara Claus
814641	245084	Maggie
814641	301668	
814641	310583	
814641	314104	Cecily Barth (the Crying Wido
814641	326479	Jane
814641	330195	Mrs. Bartle
814641	342468	Mrs. Clara Claus
814641	348617	Louise
814641	369451	Mrs. Teena Mulder
814641	369452	Mrs. Mulder
814642	254291	Girl with Lollipop
814643	139610	Wrong Jessie Stone
814644	254291	Sister
814645	254291	Mom
814646	15374	Fatima Doohan
814646	20336	Ponytail Girl, Conspirator
814646	44844	Stacy Sinclair
814646	213299	Peaseblossom
814646	242027	
814647	125818	Melissa's mother
814648	186769	Irene Gresham (Round Two, Fir
814649	411061	Herself
814650	104639	Herself
814651	107947	
814652	257601	
814653	291449	Pageant Girl
814654	330553	Woman
814655	282318	Sam Tyrrell
814656	279193	Lisa Tessley
814657	276249	Kid
814658	131760	Female Comic Customer
814659	186738	
814660	279193	Sally Tessley
814661	130979	Nudist
814662	32114	Brunette
814663	159770	Sorority girl
814664	354288	Epp
814665	213313	Dancer
814666	264110	11 Year Old Girl
814667	23425	Lisa
814667	196895	Michelle
814668	101487	
814669	294595	
814670	247902	Platinum Back-Scratcher
814671	106647	Neema
814671	128255	Girl 2
814671	139151	Elsa
814671	182989	Lippy Blonde
814671	217389	Catherine
814671	280655	Slave Girl #1
814671	366749	Charlotte
814672	127834	Gas Station Attendant
814673	194856	Old Inuit Woman
814674	93205	Lois Miller
814674	358007	Herself
814674	381876	Man's Woman
814674	399689	Lois Tenia/Miller
814676	30987	Yukari
814678	215433	Actríz de teatro
814679	129135	
814680	373489	Ruzha
814681	178234	Shofyor
814681	228845	Himichkata
814682	38547	Nabya
814682	82488	Dora
814682	131159	
814682	180217	Mis Ket
814682	230043	
814682	266656	Yanka
814682	365915	Natashka
814682	373703	Priyatelkata na Tamara
814683	1252	
814683	119916	
814683	243131	
814683	306908	
814683	348528	
814683	404305	
814684	68351	Sylvie
814685	51948	Sarah
814685	70152	
814685	132176	Mariette
814685	321800	
814686	57878	Axtriz Porono 1
814686	186213	
814686	333823	
814686	338261	
814686	351502	Disc Jockey
814687	87867	Madame Cormontelle
814688	55392	
814688	66147	
814688	70835	
814688	82430	
814688	198499	Nurse
814688	200543	
814688	240340	
814688	302517	Victim in Florence
814688	316853	
814688	354452	Perla
814689	43154	Pevacica
814689	173101	Herself
814689	307148	Kadivka
814689	394110	Pevacica
814690	23057	Sophie
814690	27656	Salome
814690	82765	
814690	173130	
814690	181399	
814690	184209	Sona
814690	357225	
814690	374463	
814691	290189	Türkin
814692	120228	
814692	282933	Lady Langley
814692	408477	Mrs. Boswell (1974-1975)
814693	113348	Tia
814695	129677	
814695	323929	
814695	379840	Laborassistentin Veronica Ble
814696	326192	
814697	259269	Patricia Strauss, Walker's Gi
814698	228785	Chloe
814699	410632	Receptionist
814700	95786	Anna
814700	99469	Rachel
814701	6331	Paola
814701	249259	Dede Marcucci
814701	301355	
814701	396307	
814702	275996	Student
814703	182240	
814704	180675	
814704	357430	
814705	408225	Michal Madmoni
814706	29399	Talya
814706	169207	Newsperson
814706	172574	Halinka
814706	280773	Orna
814706	366743	Grace
814706	366748	Grace
814707	280773	Ariela
814707	325022	
814708	341806	
814709	404305	
814710	66837	May Harper
814711	356597	
814712	356326	Herself
814713	158032	Herself
814713	160393	Herself
814713	381059	Pub Musician
814713	383644	Topp Twins
814713	391473	
814714	37196	
814714	37425	
814714	37428	
814714	37450	
814714	39056	
814714	50152	
814714	62466	
814714	327781	
814714	333810	
814715	158032	Herself
814715	160393	Herself
814715	381059	Pub Musician
814715	383644	Topp Twins
814715	391473	
814716	11541	Eunice
814716	97223	Judy
814716	110449	Brandy
814716	138992	Mrs. De Santos
814716	230412	M.C
814716	288050	
814716	293196	Vivien
814716	316639	Vinnie's Mother
814716	360004	Uke
814716	363526	Annie
814716	382206	Herself - Panellist
814716	382526	Diomira
814716	387203	Miki Fallon
814716	388643	Gina
814716	388644	Gina
814716	391248	Stella Ioannou (1994)
814716	391869	Helen Poulos (#1) (2000-)
814716	400775	Kate Cromwell
814716	402197	Karen Travers (1979)
814716	403278	Jilly Stewart
814716	406015	Various (1970)
814716	411809	Dr. Gail Henderson (1976-1977
814717	136777	
814718	27312	High Society Mourner 2
814718	35107	Gaggle Lady
814718	82899	Gaggle Lady #3
814719	385367	Victoria Núñez Anzola
814719	387621	Mirna Mogollón
814719	396644	Mónaco
814719	404075	
814719	408389	Romina
814720	2031	Maria
814720	67916	Wendy
814720	235052	Operator
814721	130221	Manja
814721	130226	Roos
814721	244749	
814721	360853	
814721	378092	Sacha
814722	92247	Woman
814723	72827	Schoolchildren
814724	72827	Art Teacher
814725	411802	Chris Brooks Foster #2 (1979-
814726	164467	Various voices
814727	380750	Golden Blonde
814728	36936	
814728	128636	Narrator
814729	34740	
814729	36929	
814729	50374	
814729	62420	
814729	128639	
814729	291008	
814729	327782	
814729	333835	
814729	356649	Herself
814729	374487	
814730	302847	Godelieve
814731	67205	2nd Merchant Banker
814732	4818	Maya
814732	84285	Herself
814732	170392	
814732	178731	
814732	180215	Herself
814732	354365	Las
814732	381274	Herself - Host
814732	398967	Nana
814732	402429	Herself - Host (1998)
814733	46210	
814734	142719	Woman
814735	2384	Nasreen
814736	69672	
814736	154315	Teacher
814737	248878	Cell Phone Girl
814738	73286	Montse Costa
814738	102206	Ana
814738	140569	
814738	246294	Grasella
814738	276404	Obrera (Worker)
814738	369417	Madre
814739	135051	
814739	204694	
814740	270058	Mamá retardado
814741	7889	Cigarette Bummer's Girlfriend
814742	76014	
814742	310041	
814742	378985	
814743	77907	
814743	278550	
814745	44596	Un ministre
814746	296047	Sekterarica
814747	48755	Policajka
814748	229298	Fotomodell
814749	5272	Voz de Dolly
814749	75185	
814749	103167	
814749	132367	
814749	224963	
814749	225716	
814749	293329	
814749	380700	Heidi
814749	408485	Becky Thacher
814750	108733	Fatima
814751	306359	
814752	230934	Bar Patron
814753	91950	Katherine Westfall
814754	215862	Parachutist
814754	345718	Peasant Girl
814755	348819	
814756	49717	
814756	115161	Joe's Woman
814757	309206	Bar Patron
814758	118615	
814758	351073	
814759	2987	
814759	17488	Madame Aubier
814759	21173	Enchanted Queen
814759	29449	Piroska, Bartusekné
814759	42335	
814759	50982	Grand-mother
814759	52386	Idõs hölgy
814759	96130	
814759	98263	Clarisse
814759	104199	
814759	119212	Susanne
814759	119213	Susanna
814759	119214	Susan
814759	119215	Ilona/Susanne
814759	119216	
814759	136581	
814759	138008	Countess
814759	138440	Baroness Hatvany
814759	153111	Suseka Brinkmann
814759	153695	Mária Lujza
814759	153860	
814759	155618	
814759	163130	Egon anyja
814759	173703	Ilona Porter-Almassy
814759	175746	Ciklon
814759	185621	Frau Gleiser
814759	189577	Inge Thal
814759	189797	Yvonne
814759	196332	Caroline
814759	200606	Chataquela
814759	200619	
814759	210049	Ruth
814759	211217	Laura, szobrásznõ
814759	216250	Anna
814759	218069	
814759	218532	Aranka, Rónaszegi's wife
814759	227534	Directress
814759	237165	Mrs. Palánk
814759	237339	Katalin
814759	244684	Gloria Anden
814759	252152	Eileen St. Claire
814759	260326	
814759	266473	
814759	307147	Éva
814759	320231	Suzanne
814759	322008	
814759	327364	
814759	333113	Ries Olga
814759	334015	
814759	341917	Marguerite de Bourgogne
814759	349035	
814759	349617	
814759	352074	Tina
814759	353092	Mrs. Berger Viola
814759	357937	Madeleine, Károlyi szeretõje
814759	359614	Ingrid
814759	377128	
814759	377615	Auntie Jolán
814759	378262	
814759	395635	Mary
814759	396175	Darial
814759	397796	
814759	402220	Vilma
814760	184850	
814760	339133	
814761	7446	Mme Blum
814762	148775	
814762	216239	La voyageuse du train
814763	144593	Girl #2
814764	144593	Girl #1
814765	242502	Susan Finch
814765	245056	Woman Police Constable
814765	310416	Claire
814765	380798	Midwife
814765	385020	Warder Maggie Veitch (1998)
814766	125112	
814766	264333	Könogin Luise
814766	287180	
814766	293526	
814768	299174	Pastora a Dancer
814769	329008	
814771	43676	
814772	194684	Nic's Wife
814772	241605	Doctor Olsson
814773	256981	Cosima Pantaleo
814773	287489	Francesca
814773	376344	Carla
814774	68325	Mariella
814774	162033	
814774	191208	
814774	238790	
814774	293355	
814775	51932	
814775	61520	
814775	292093	
814776	13455	
814776	341416	
814777	65404	
814778	223640	
814779	114702	Mai Hart
814779	191399	Assistant
814779	290352	Riding instructress
814781	116103	Sherry
814781	231829	Encounter Group Patient
814782	249716	
814783	290180	
814784	26273	Becky
814784	130450	Mary Beth Rice
814784	194687	Park Girl
814784	199238	Alex
814784	224064	Emma
814784	231077	Holly Pryor
814785	232986	Sect member
814786	232986	Mrs Quigly
814787	232986	Girl on airplane
814788	210753	Mme. Olenkova
814789	186447	Singer
814790	138489	Gretel Brinker
814791	8172	
814792	116013	Herself
814793	33195	Hostage
814794	87505	Ice Cream Vendor
814795	101740	
814795	123925	
814795	126856	
814795	205725	
814795	290035	
814795	317357	
814795	322999	
814795	334629	
814795	352488	
814795	361524	
814795	374854	
814796	237832	
814796	356017	
814797	144748	Karol Lorenzo
814797	171297	Thibault's Sister #1
814797	176999	Maria
814797	236697	Langridge
814798	42560	Malabar
814799	361611	
814800	2781	Disgruntled Club Goer
814800	135843	Boat Girl
814800	164218	Woman in Diner
814800	302256	Helen (dept. store clerk)
814800	303861	Alternate Juror
814801	181314	Turid
814802	153563	Herself (The Walkabouts)
814803	76620	Peg Lawrence
814803	326851	Alice Woodward
814804	13961	Cynthia
814804	94211	Anne
814804	155909	Patti Steffen
814804	209218	Candace
814805	236182	Barbarina
814806	408826	Katarzyna
814807	34516	Sarah
814807	46348	
814807	75030	
814807	94230	Cecilia
814807	181077	
814807	182553	Alice
814807	395047	Louise Rehnström
814807	397781	Ylva
814807	402479	Cathrine Gramer
814807	405553	Anna Sylvander (2002-2003)
814808	393424	Additional voices
814809	389482	Reporter
814809	390382	Reporter (1998-2001)
814809	402154	Reporter (1995-1998)
814809	412131	Reporter
814810	222601	Billie Williams
814811	33775	Oona
814811	188682	
814812	354178	The Girls
814813	171903	Reiko Shima
814813	174330	
814813	177116	Yasuyo
814813	299118	Ginro
814813	344026	Reiko
814813	359839	
814814	136101	Asuka Misawa
814815	79891	
814815	137040	Sakie Hayashi
814816	208476	Housewife
814817	272927	Hooker
814818	246971	
814818	344712	
814819	268866	
814820	205111	
814820	351637	
814821	55933	
814822	8682	
814822	24680	Hanane
814822	76909	Nour
814822	82138	
814822	104365	
814822	123540	Afet
814822	138966	
814822	138967	Hanoon
814822	147080	Wafaa
814822	147081	Ghada Mustafa Abu Hagar
814822	172595	
814822	202117	
814822	217161	Hau
814822	285493	Farah
814822	288236	
814822	297141	
814822	304149	Herself
814822	333925	Nour
814823	259638	
814823	376120	Nanette
814824	351761	Danse Soufi
814825	84270	Actress
814825	94341	Woman at the party
814825	99568	Riding instructor
814825	136404	Mrs. Ekberg, member of the or
814825	170374	Kontorsflicka
814825	171991	Girl at restaurant 'Atlanta'
814825	181843	Dancer
814825	181850	Bleka Rut, prostitute
814825	182464	Dancer
814825	320687	
814825	322422	Grynet
814826	27919	Agata (episode 5 "Cher baiser
814826	58933	Lucky (segment "Lucky la chan
814826	83205	The Wife
814826	170468	
814826	269690	
814827	354683	Prisoner
814828	342856	Joanna's Touring Friend
814829	122808	
814830	370188	Potrina
814831	107334	
814831	144068	
814831	261141	Fru Hammer, apotekerens kone
814831	264300	Prinsessen
814831	315378	Georgine
814831	322292	Gerda Berg
814831	334226	Helene Berger
814831	348962	
814832	60804	Businesswoman
814833	48342	Uschi
814833	56545	Herself
814833	166434	Schuldknechts Weib
814834	101382	Fortune Teller
814835	141282	Apple lady
814836	79058	Mother
814837	307052	
814838	8583	Maria
814838	20171	
814838	33152	Selminha
814838	34511	
814838	43240	
814838	64164	Rodrigo's mother
814838	79184	
814838	102669	
814838	103441	
814838	104482	Beatriz
814838	159338	
814838	162958	
814838	253060	Adalgisa
814838	278568	
814838	377095	
814838	380147	Aidê
814838	380563	Magali
814838	381144	Lia Miranda
814838	383441	Vivi/Fernanda
814838	384002	Cristina
814838	385025	Simone Reski
814838	387052	Juliana
814838	387424	Cláudia
814838	389786	Jô Penteado
814838	390076	Gina
814838	394121	Dora
814838	396036	Lúcia
814838	398501	Helena Moraes de Ribeiro-Alve
814838	399645	Kátia de Sá Montese
814838	400902	Selma
814838	404799	Fernanda
814838	404803	Lívia
814838	408592	Rafaela Katz (Neusa Maria da 
814838	408727	
814838	409405	Laila
814838	410054	Dinah
814839	3169	Bit part
814840	348572	
814841	322065	Gyerekszereplö
814842	331799	Bruce's Babe
814843	40209	
814843	82800	
814843	176138	
814843	196561	Novestka baby Ksyushi
814843	198145	
814843	223558	
814843	261207	
814843	261302	
814843	284469	
814843	313529	
814843	320709	
814843	349449	
814843	351352	
814843	370163	
814843	375188	
814844	54997	Karen Randall
814844	55558	
814844	87621	
814844	349463	
814844	378018	
814845	67400	Salon Receptionist
814846	30408	
814847	355980	Lorna Leather
814848	124310	
814849	14219	Dee Dee
814849	113333	Nhadala
814849	312196	Additional Voices
814849	393998	Shigure
814850	47819	Gina
814850	54264	
814850	69961	Dierdra
814850	89860	Patty
814850	107464	Morgana
814850	109454	Vitka
814850	190434	Marilla
814850	220456	Mary Lou Strauss
814850	223004	Babe
814850	234227	Ruby
814850	282935	Betsy Dupree
814850	303564	Mrs. Collins
814850	308713	
814850	368863	Ruby
814850	380713	Kit (1997)
814851	85002	Witch with caldron
814852	200925	
814852	327161	Midge on Answering Machine
814852	346127	Floosie Girl
814852	368892	Carla
814853	76600	Little Lurlene
814854	238463	
814855	47405	
814856	30515	
814857	117864	
814858	396741	Maria da Penha
814858	400838	
814858	402582	
814858	403733	
814858	410377	
814859	131279	
814860	243196	Audrey
814860	319486	German Woman
814860	327162	Mary
814861	118541	Sleek Woman
814861	364411	Edith
814862	394736	Li
814863	155950	Herself
814863	165958	High School Student
814864	123402	Eve
814865	118821	
814866	5762	Trucidona
814866	14378	
814866	183480	
814866	212552	
814866	269496	
814866	287993	
814866	293437	Balda
814867	210099	
814867	218911	
814867	290824	
814868	221699	
814869	386175	Dorinda
814870	352240	Synchronsprecherin
814871	205268	Reporter (Congress)
814872	363939	Journalist at Consulat
814873	346989	
814874	51104	
814875	354268	Ortrud hercegnõ
814876	408345	Herself
814877	6439	
814877	9669	
814877	10567	
814877	21435	
814877	21707	Paula
814877	21718	
814877	37000	Queen Bee
814877	54716	
814877	68554	Mamá Elena
814877	72967	
814877	83888	Pilar
814877	91398	
814877	145257	
814877	159526	
814877	196761	Gaby
814877	222016	Mabel
814877	235309	
814877	246302	
814877	279904	
814877	296480	Marlene
814877	307637	
814877	327363	
814877	332596	
814877	341386	
814877	354047	
814877	379461	
814877	380103	Engracia Valdés
814877	381598	Eloisa Fuenmayor
814877	383245	
814877	383273	Katy
814877	383633	Antonieta
814877	383827	Consuelo
814877	383977	Gloria
814877	384395	
814877	401917	Francisca
814877	403257	Miriam
814877	403459	
814877	403749	Aurora
814878	351289	Susana
814879	384507	
814880	256798	
814880	339119	
814881	45662	Carrie
814882	284748	Juho pienenä
814883	228388	Manuela
814884	2634	Singing Waitress
814884	218180	Background Singer
814885	195519	Girl gang
814886	258602	Baba Tranka
814887	198162	Lelya Kera
814888	10498	
814889	4824	Tandarukhi
814890	348757	Girl C
814891	397008	Mother of Ebru
814892	5292	Rosaria Cruciani
814892	5769	
814892	20798	
814892	54024	Pellegrina
814892	71265	
814892	81517	(segment "The Mummy")
814892	81526	
814892	85978	
814892	90730	
814892	102918	
814892	108142	
814892	109804	
814892	115279	Sonia, the prostitute
814892	118833	
814892	127884	(segment "Naughty Nun, The")
814892	129132	
814892	183575	Leda
814892	197578	Ursula Tanner
814892	199113	
814892	199442	
814892	208798	Agilulfo's wife
814892	213799	Marta
814892	235744	Nurse
814892	238017	
814892	243671	
814892	251607	
814892	252652	
814892	263189	Alicia
814892	266929	
814892	269631	
814892	310483	Woman in car
814892	328205	
814892	340690	
814892	343990	4th Victim
814892	376139	
814893	2252	(segment "Vertige de l'amour"
814894	96031	Geneviève
814895	187005	
814896	17905	Jane
814896	156254	
814896	182292	Nina
814896	219444	Flyvertinne
814896	388761	Hanne Åsland
814896	407119	Trude Eriksen
814897	78491	Herself (performing 'Utopia')
814897	78496	Herself - Seen in introductio
814897	223193	Herself
814897	223197	Herself - Performer
814898	11872	
814898	35041	
814898	35204	
814898	147518	Tante Selmar
814898	322528	
814898	361012	
814898	409860	
814899	237717	Die Kontaktfrau
814900	35041	
814901	87295	Jen
814901	161246	Herself
814901	191195	
814901	400236	Jessica Lynn "Jess/Jessie" Bu
814902	289405	
814905	208666	
814905	351898	Him/Herself
814906	14315	Michèle Torr
814906	104741	Luxembourg entry (10th place)
814906	104752	Monegasque entry (4th place)
814906	169635	
814907	99356	
814908	103108	
814909	205137	
814910	321504	Dancer
814911	85788	
814911	144567	
814911	150331	
814911	219150	
814911	230797	Sally
814911	257736	
814911	344481	
814912	4694	Nurse
814912	5413	Nurse
814912	5884	Katherina Mirova
814912	32941	Mary Cadorette/Vicki Laurence
814912	36862	Fourth Grade Teacher
814912	60212	Marla, Stark's Secretary
814912	63185	Fairlight Spencer
814912	69917	Young Nurse
814912	91769	Maison Beau Coeur Clerk
814912	141655	Terrel Phillips
814912	160590	Inspector
814912	182967	Lara Becker
814912	191051	Galley Patron
814912	290936	Reporter #3
814912	315524	Harriet
814912	384179	
814912	384180	Fairlight Spencer
814912	391559	Chloe Scarbrow
814912	405833	Michelle Carpenter
814913	316112	Doris
814914	210700	Woman in elevator
814915	122778	Store Extra
814916	37270	Enid
814916	207493	Teacher
814917	249891	
814918	101468	
814918	281597	Periodista #1
814919	160080	La madre
814919	384811	
814919	392032	
814920	5443	
814920	10049	Herself
814920	14653	Soledad
814920	14940	
814920	32366	
814920	34054	
814920	44664	Avelina
814920	51530	
814920	52953	
814920	55740	
814920	55930	Jenny
814920	78623	
814920	88324	Amparo
814920	91376	Mary Patterson
814920	102624	
814920	115021	Herself
814920	115031	Herself
814920	121251	
814920	137429	Margarita
814920	148029	
814920	165897	
814920	205111	
814920	205699	
814920	211875	
814920	221554	
814920	265555	
814920	275952	Herself
814920	277132	
814920	286370	
814920	296440	Bernarda
814920	301169	
814920	320217	
814920	338359	
814920	376641	
814922	1017	
814922	14727	
814922	19463	
814922	30856	
814922	42659	
814922	57714	Celestina
814922	83141	
814922	90140	Lucía
814922	108136	
814922	213391	Amelia
814922	246393	
814922	258381	Doña Encarna de Galán
814922	266856	Doña Sol
814922	275076	
814922	294286	Margarita
814922	336125	
814922	339034	
814922	350558	Adela
814922	357533	
814922	393800	
814922	404755	Doña Liduvina
814922	404982	Abuela
814923	23392	Tomasina
814923	280866	
814923	344780	
814923	352855	Aunt Adélia
814923	382676	Clara
814923	384303	Celina
814923	385025	Marta
814923	385184	Leonor Fernandes
814923	386123	Regina
814923	386730	Clorita
814923	387804	
814923	391900	Olívia
814923	392792	Cleonice Mackenzie
814923	396938	Stella
814923	397415	Princesa Isabel
814923	400098	Lúcia
814923	401944	Salete
814923	402456	Zefa
814923	403171	Quitéria
814923	404290	Gigi
814923	404888	Osória
814923	405451	Ermelinda
814923	408212	Juraci Pitombo
814923	409003	Norma
814923	409419	Sálua
814924	381153	Roberta
814924	386531	Laura Martinez (#2) (2000)
814924	397572	Magdalena 'Magda' Sánchez Fer
814924	401435	Gabriela Gutierrez
814924	402219	Alejandra
814924	405415	Arcelia Guízar Albán
814925	194618	Karina 14
814925	233644	Karina, adolescente
814925	380107	María Fernanda Heredia
814925	386284	Fatima
814925	393833	Fátima Álvarez 'hermana de Lo
814925	395885	Beatriz Sandoval (niña)
814925	397016	Young Maria Isabel
814925	401916	Flor
814925	409908	Flavia Morales
814926	56108	Amiga de Agustina
814926	118166	
814926	193502	
814927	300868	
814929	102931	La femme kabyle
814930	99356	
814931	64813	Newscaster
814931	86982	NY 1 Reporter
814931	92232	Herself
814931	174503	TV Newscaster
814931	203918	Newscaster #3
814931	370648	News Anchor #1
814932	183155	
814932	383512	Hostess
814933	13049	
814934	31018	Woman in Museum
814934	74917	La Femme
814934	100238	La femme provocante
814935	219659	Monica
814935	312265	Restaurant Patron
814936	162793	
814936	243709	
814936	310070	
814937	63885	
814937	145244	
814937	392986	Margot
814939	275067	
814939	334687	Azafata
814940	47237	Penny McAllister
814941	23210	Maid
814941	117222	
814941	198026	Attenaire
814942	288690	
814943	333881	Edith
814944	238495	Laundry Mat Patron
814945	5913	Herself
814946	123462	Herself
814946	123464	Contestant
814947	256769	Doctora hospital
814948	205025	Francisca
814949	377477	Herbe
814950	132475	Sandra Jacobs
814950	205969	Marlene
814950	222390	Various
814950	365244	Brenda
814950	396375	Wanda
814950	405073	Isabel 'Izzy'
814951	13043	The Principal
814951	20067	Nadine Riffle, hairdresser
814951	34072	Mme De Chartres
814951	45115	Dorimène
814951	194493	Galadriel (french version)
814951	238864	Nancy
814951	254937	Aricie
814951	264525	Surveillante
814951	280553	La reine Marie
814952	15092	Betty
814952	83380	Gina
814952	169577	Margo
814952	198629	Yoyo
814952	328406	Marie-Paule Nadal
814952	389595	Lèonie Monteils
814952	395493	Stéphanie
814953	14701	Victorina
814953	24906	Adelina
814953	54821	Maruja Céspedes
814953	71287	The Virgin
814953	74350	Ana
814953	96302	
814953	99229	Elisa as child
814953	101890	La Tacatún
814953	103852	Ana
814953	134498	Yoli
814953	136802	Ana
814953	152248	Herself
814953	162249	Magdalena
814953	163880	Herself - Presenter: Best Sho
814953	170040	Luna - 30 años
814953	214891	
814953	231601	Goyita
814953	238854	La Niña Vasca del Bar
814953	247198	Adoración
814953	248769	Andrea
814953	252050	Yoyes
814953	262611	Elena
814953	266853	Carmen
814953	285460	Luisa
814953	287462	Carmen
814953	328697	Ángela Márquez
814953	341622	Charlotte des Arbres
814953	341623	
814953	341624	Charlotte des Arbres
814953	349545	Catalina
814953	369556	Herself - Nominee: Best Actre
814953	372950	Yoyes
814953	380274	Berta
814953	384202	Eva
814953	391359	
814953	393346	
814953	394526	Cristina Luzano
814953	401511	Maria Carridi
814953	401512	Maria Cariddi
814953	404755	
814954	343992	
814955	387189	
814956	51244	
814957	92333	
814958	409463	Azafata (1976)
814959	252618	
814960	286186	Salome, as a child
814961	345406	L'Italienne
814962	59783	
814962	70598	
814962	146490	Soledad, niña
814962	193345	
814962	215336	
814962	221971	
814962	294598	
814962	353608	
814963	3398	
814963	3451	
814963	6008	
814963	15914	
814963	20392	Nora (adulta)/Adriana
814963	27957	
814963	46922	
814963	49722	
814963	62303	
814963	67700	Laura
814963	71008	Clarita
814963	74619	
814963	80115	
814963	82934	
814963	84254	
814963	90364	Nurse 1
814963	100380	
814963	103443	
814963	106214	
814963	110415	
814963	186977	
814963	207647	Sirvienta
814963	221741	
814963	247476	
814963	253665	
814963	253668	
814963	265535	
814963	268238	
814963	272623	
814963	288039	
814963	337571	
814963	338606	
814963	351641	
814963	355827	
814964	121478	
814964	148080	
814965	2043	Herself
814965	30730	Princess Isabella
814965	57864	Cenicienta
814965	139956	
814965	191054	Young Sara
814965	215679	Miss Universe 1993
814965	215680	Herself (judge)
814965	215687	Herself
814965	343345	
814965	379023	Host (1995) (as Dayanara Torr
814966	68783	
814966	193185	Alumna academia
814966	409017	
814967	209297	
814967	371693	
814968	174794	
814968	183922	
814968	207047	Eunice
814968	324281	Maribel
814968	358505	
814969	75498	
814969	244635	
814969	306697	
814970	391572	
814970	396211	
814970	410477	
814971	329276	
814972	42911	Herself
814973	401644	Herself - Friend
814974	11529	Luisa
814974	116799	Great Grandma
814974	185314	Nurse
814974	199194	Landlady
814974	204264	Old Woman #2
814974	215813	Esmerelda Nunez
814974	254779	Artist
814974	315251	Madre Petra
814974	320266	Neighbor Lady
814974	350235	Cleaning Lady
814974	406719	Naiche
814975	384823	Blanquita
814976	64752	
814977	398940	Anchorwoman
814978	161773	Teenager travesti
814979	199719	
814980	392029	Evita Dolores
814980	410109	La Bruja Carmela (2004)
814980	411581	Exelsa
814981	132739	Old Woman
814982	14748	Offended lady
814982	14793	
814982	56446	
814982	83437	
814982	83449	
814982	118655	
814982	119302	
814982	149513	
814982	197160	Blanca
814982	206988	
814982	210171	Madre de Aurelia
814982	228560	
814982	234263	Rodrigo's mother
814982	249879	Merceditas
814982	260560	
814982	281295	
814982	379819	
814982	379834	Barbarita
814982	381839	
814982	385335	
814982	385416	Señora Cifuentes
814982	387685	Enriqueta
814982	390174	María
814982	392749	
814982	393935	
814982	393985	
814982	393986	
814982	396898	Rebeca
814982	397569	
814982	397604	Amanda
814982	401001	
814982	401093	Madre de Orson
814982	402051	
814982	402406	
814982	408709	Rosario
814982	412184	Grandmother Alicia
814983	53010	
814983	68962	Mama e bebe
814983	99760	
814983	221699	
814983	231283	
814983	339136	
814983	339201	
814984	143175	Jeanne De Sonnaz
814985	93682	
814985	291626	
814985	307562	
814985	371757	
814986	302302	
814987	12083	
814988	338671	
814988	397010	Tona
814988	405324	Esther
814989	357189	
814990	324929	
814991	4987	
814991	236447	
814992	392369	Ginette
814993	211657	Infirmière acceuil
814994	412195	
814995	74566	
814996	85732	
814997	351281	Raquel
814998	379833	
814998	380087	Mónica Lezama
814998	380100	Rosita 'Rosi' Reyes-Villegas
814998	383250	Daniella Martinez
814998	387103	Dulce María
814998	389751	
814998	389846	
814998	397015	María Emilia Pardo-Figueroa N
814998	405835	Soledad Díaz Castillo
814998	406863	
814998	410385	Mónica Lezama
814999	3555	Natalia
814999	56447	
814999	191054	Nira I
814999	218228	Raimunda
814999	340689	
814999	344863	Maid
814999	376835	Child
814999	389139	Papitos
814999	409956	Desi
815000	13162	
815000	384400	Michele
815001	14730	
815001	33517	
815001	35004	
815001	45762	
815001	59201	
815001	69781	
815001	71189	
815001	83491	
815001	86796	
815001	86801	
815001	91352	
815001	124519	
815001	145259	
815001	170034	
815001	220522	
815001	223620	Alicia
815001	251969	
815001	252770	
815001	288258	
815001	354992	Xochitl
815001	384254	
815002	5511	
815003	216306	
815004	103216	
815005	309083	
815006	44380	Christine
815007	386616	
815008	212238	Elderly Mexican Lady
815009	90520	
815009	145136	
815009	212397	
815009	214212	
815010	33148	Claudete
815010	54284	Elisa Medeiros
815010	55908	
815010	67656	Eliane
815010	104496	
815010	116391	Woman eating an apple
815010	136667	Iara/Marilene
815010	160102	Inocência
815010	169876	
815010	181446	Francisca
815010	199314	
815010	206797	Carula
815010	215074	
815010	222155	Isabel
815010	234988	Vani
815010	237504	Andréa/Maria
815010	241524	Dolly
815010	263814	Maria
815010	274482	Isaura (jovem/young)
815010	308753	
815010	328336	Alex
815010	337865	Irene (segment "O Primeiro Pe
815010	381144	Fauna Rosa França
815010	382776	Marília Ribeiro
815010	387932	Daisy Cantomaia
815010	388681	Lucinda Maria Barbosa
815010	396177	Dora
815010	399675	Vani (2001-2003)
815010	400799	Irene
815010	404799	Simone Marques
815010	409419	Herself
815010	410087	
815011	52745	
815011	206573	
815012	283348	
815013	284336	
815014	63823	Mulher do Ónibus (Woman on Bu
815015	1701	Herself - Presenter
815015	32440	Francine
815015	78757	LaMayne
815015	137237	Marcella
815015	143640	Herself
815015	198492	Dr. Amy Ellis
815015	207989	Cas
815015	207991	Cas
815015	294726	Zoë Warren
815015	317877	Maitre d'
815015	346370	
815015	384440	Helen/'Hel'
815015	388771	Zoë Warren
815015	391375	Vicki Lee
815016	404995	Clavelina
815017	19485	
815017	33965	
815017	54232	
815017	55955	
815017	61208	
815017	68251	
815017	74547	
815017	74744	Soldadera
815017	100275	
815017	100763	
815017	106303	
815017	111418	Raquel
815017	115743	
815017	145239	
815017	192938	
815017	206979	Bit Part
815017	206989	
815017	212455	
815017	221912	
815017	235988	
815017	249871	
815017	253198	
815017	257165	
815017	275946	
815017	281622	
815017	332689	
815017	339088	
815017	370170	
815017	378417	
815017	387685	Mirta
815017	387817	Altagracia
815017	392960	Otilia
815017	397019	Directora del Reclusorio Feme
815017	397021	
815017	398469	Filomena
815017	401916	Witch
815017	401918	Leonora
815017	402190	
815017	403752	Julieta
815017	405398	
815017	409719	Eulalia (Enfermera en la cl&#
815018	56522	La coquetita
815019	399084	Niña 3
815020	6048	Martita
815020	65401	La Asesina
815020	74641	Lucrecia
815020	136737	Mireya (La Gitana)
815020	185418	Sylvia
815020	215500	
815020	247179	La Paloma
815020	263516	Laura Fernández
815020	342784	Rebecca Cruz
815021	92582	Guest Star
815021	238658	Sandra
815021	283221	Norma Gonzalez
815021	388154	Mira Sanchez (1997-1998)
815021	390883	Liz Garza (2003-)
815022	103459	
815023	304765	Davy's Sister
815024	112328	Sarah
815025	80250	
815026	25627	
815026	152234	Ramera II
815027	236447	
815029	93754	Rosie
815030	209662	Judy
815031	30418	
815031	87835	
815031	283683	
815031	287462	Encarna
815031	393024	
815033	99906	
815033	218228	Juanita
815034	233330	
815035	1701	Herself - Presenter
815035	6259	Bernice
815035	13637	Dolores Frantico
815035	23441	Lenora's Mother
815035	41370	Lt Garcia
815035	42806	Judge Fernandez
815035	122768	Julia
815035	128460	
815035	134294	
815035	142422	Miss Morales
815035	143248	Susie
815035	168238	Beauty College Woman
815035	171094	Delores Rodriguez
815035	174520	Laura
815035	177530	Mata Ortega
815035	185949	
815035	185950	
815035	187729	Cabbie's Wife
815035	197373	Judge Sanchez
815035	200853	Lucy
815035	214123	Mrs. Delgado
815035	214911	Isabella
815035	219203	Juanita
815035	222620	Mrs. Palumbo
815035	238228	Maria
815035	241099	The Tooth Fairy
815035	242942	
815035	243269	
815035	253227	Dita
815035	256345	Cat
815035	259013	Big Erma
815035	264131	Minerva's Mother
815035	276169	Carney
815035	289691	Lady Zero
815035	315514	Wallace Houston
815035	319175	Rosa
815035	321108	
815035	330340	Big Rosa
815035	349121	Park Prostitute
815035	361618	Mom
815035	365883	Trini Santos
815035	367999	Ruby Escadrillo
815035	379713	Theresa Betancourt (1976-1977
815035	380000	Rosa
815035	381645	Regular Performer
815035	383988	Elena Beltran
815035	384365	Anna-Maria Batista
815035	393634	Mahalia Sanchez
815035	399262	Maria
815035	400603	
815035	401397	Julie Erskine (1975-1976)
815036	97658	
815036	344574	
815037	2474	Rosario Villaespesa
815037	12024	
815037	14642	
815037	78550	
815037	97370	
815037	143804	
815037	169568	
815037	199914	
815037	210172	
815037	221521	
815037	225044	
815037	233328	
815037	235995	
815037	236024	
815037	255936	
815037	278935	
815037	278939	
815038	78570	Dancer at Salón Los Ángeles
815039	403099	Herself/Host/Conductora
815040	301106	
815040	409908	La Pecosa
815041	12148	Segundo Cuadro Flamenco 'Tang
815042	387446	Mariana
815043	381598	Belinda Arismendi
815043	384771	Gloria
815043	386787	Paty
815043	401917	Marisol
815044	167053	Mary
815045	20684	Jasmine
815045	23368	Mulata
815045	115820	Milady
815045	154440	Kenya
815045	200864	Barb, Maid
815045	242924	Amanda Del Toro
815045	369870	Herself - Presenter: Best Mus
815045	390851	Jennifer
815046	8573	
815046	19370	
815046	27942	
815046	70643	
815046	75374	
815046	103655	
815046	127601	
815046	145147	
815046	145152	
815046	170241	
815046	193505	
815046	197191	
815046	206700	
815046	225389	
815046	294967	
815046	301134	
815046	306703	
815047	384644	Herself
815048	236303	Child
815049	80619	Waitress #1
815050	192410	Child
815050	233974	
815051	317731	Chole
815052	73278	
815053	272021	Agent #1
815054	2069	Pretty Brunette
815054	281397	Make Up Girl #2
815055	26022	Duranga Manika
815055	90407	Ticket Agent
815055	99824	Kath McCall
815055	120323	Audrena
815055	304548	Daphne
815056	154629	News Reporter
815056	331201	Go-Go Dancer
815056	348229	Dr. Mendoza
815057	380858	Co-Host
815057	384507	Hostess (1999)
815057	384794	
815057	387698	Anita
815057	393839	
815057	396644	
815057	403904	
815057	406972	
815058	304843	Bodega Child
815059	30400	
815059	75386	
815059	77255	
815059	99439	
815059	250447	
815059	306708	
815059	351833	
815060	122767	Bataclete 2
815060	188002	
815060	252592	Marta
815060	339649	Hand Holding Girl
815060	384303	Letícia
815060	385522	Nívea
815060	387424	
815060	387902	Su-Sukhan
815060	391313	Madalena
815060	396886	
815060	398500	Anair (1998-1999)
815060	398549	Joana
815060	402685	Kate
815060	402807	Guida
815060	404165	Lídia
815060	405810	Mônica
815060	408727	Cláudia
815060	409003	
815061	12140	
815061	54070	
815061	55374	Eunice
815061	114137	
815061	212538	Lupe
815061	248681	
815061	353628	
815062	113830	Nacia Santos
815062	241143	Mariachi's Girl
815062	390096	Carmiña
815063	199124	
815064	43145	
815064	51916	
815064	65204	
815064	115038	Herself
815064	124264	
815064	148080	
815064	158727	
815064	194624	
815064	212441	
815064	390527	Herself
815065	124264	
815066	9949	
815066	10190	
815066	24297	
815066	30408	La Mae
815066	65402	
815066	74566	
815066	78556	
815066	101878	
815066	109317	
815066	143752	
815067	99906	
815067	111005	
815067	389139	
815067	409956	Bea
815068	365136	Carmela
815069	12267	Ilanu
815069	46835	Pepita
815069	83642	Dolores
815069	94557	Vera Marcal
815069	104149	
815069	274394	Sheba Price/Starlina
815069	291703	Nina
815069	306480	Leader of Amazon Women
815069	313336	Herself - Hula Dancer
815069	345957	Raquella
815069	364006	Fayaway
815069	367492	Teresita
815070	55170	Conchita
815070	227731	Guerrillera
815071	43420	
815071	54451	Girl in tavern
815071	84919	Rosmond
815071	104149	
815071	130028	Blonde Woman Going on Ship
815071	132683	
815071	239811	
815071	317825	Panama Percentage Girl
815073	256188	Pink Chiquita
815073	378435	
815074	349890	Alma
815075	127351	Patty
815075	150191	Herself
815075	257654	Herself (Miss April)
815075	257822	Miss December 1995
815075	296785	Intern
815075	383271	
815076	273423	Doña Carlota
815076	313334	Bus ride to Los Angeles
815077	288803	
815078	118422	Isabelle
815079	68567	Dr. María Angélica
815079	335169	Vicky
815079	383500	Carolina Barrantes
815079	384401	Valentina
815079	393805	Juana Bautista
815079	402898	Soledad de Santilla
815079	405324	Simona
815079	405858	Elisa Escallón
815080	32466	Restaurant Customer
815080	371485	Bus Stop Patron
815082	384124	Youngest Daughter
815083	256461	Rosa
815084	360019	Tiffany (the big mean bitch)
815085	204953	
815085	267265	
815085	341553	
815086	9260	Self
815086	10902	Town Person #1
815087	256786	
815088	309718	Student
815089	208379	Agent Spangle
815090	322851	Bailarina
815091	101821	
815092	212615	
815093	205291	
815093	281636	Laura
815093	353704	
815094	108087	Ralph's Little Sister
815095	248769	
815096	266445	Monja
815097	202832	Carlota
815098	379698	Host - Herself
815099	14570	Radio girl
815099	77705	Woman in theatre
815100	59094	Stagiaire Raphaël Dahan
815101	130422	Cheerleader
815101	360798	Lassie
815102	131420	
815103	116330	Cathy
815104	152205	
815105	400236	Stephanie Hobart (#1) (1991)
815106	92510	Claire Caine
815109	39875	
815109	41632	
815109	52856	
815109	260805	
815109	314694	
815110	300840	Maid
815112	180175	Herself
815113	334136	Woman in kitchen
815114	52595	
815115	6490	
815115	233357	
815116	233357	
815117	104731	Italian entry
815117	388611	Herself
815118	213389	
815119	205200	Vicetiple 7
815120	30273	
815120	90168	Zelinda, la damigella di Nori
815120	158859	
815120	263735	
815120	265713	
815120	386743	Nora Simpson
815121	359744	Becky
815122	94732	
815122	112274	
815122	136850	
815122	289329	
815122	351842	
815122	354910	Una ballerina
815122	355801	
815123	12040	
815124	9628	
815125	260549	
815126	295046	
815129	351626	
815130	147661	Herself
815131	165232	
815131	281301	
815132	131077	Maliya
815133	165423	Le modèle du Titien
815134	1712	Female Prompter
815134	130437	Bartender
815134	134280	Hiker
815134	164352	Medic #1
815134	185222	Daughter of Presidential cand
815134	241731	Young Hospice Nurse
815134	277042	Rita
815134	366983	Bar Waitress
815134	400635	Lady making purchase
815135	99230	Elisabet Haller
815135	194519	Sybil Merton
815135	378167	Louise von Winge
815136	208794	
815137	286464	Woman #1 in Restaurant
815137	350402	Sarah
815137	380391	Amanda Cory Fowler Harrison S
815138	141591	
815138	324162	
815138	346402	
815140	302358	Angela a los 5 años
815141	76354	Anna
815141	147051	
815141	183480	TV-watching Mother
815141	211744	Arianna
815142	219762	Gee-Gee
815143	340304	
815144	47334	Annie
815144	84002	Ray's Mom
815145	182949	Shot Young Girl
815146	5740	
815147	211362	Ouvrière de Jo
815148	213324	Fairy Musician
815150	270927	Bell Pierce
815150	314155	Kid
815151	42139	Female Student #1
815152	20141	
815153	198613	Organizzatrice
815154	14631	
815155	190171	Grad student
815156	401072	Baby Butter Otter
815157	14725	
815157	21982	
815157	43278	Dolores
815157	61144	
815157	63408	
815157	65638	
815157	70671	
815157	101468	
815157	103943	Condesa de Lema
815157	108581	
815157	111995	
815157	119084	
815157	124253	Elke Ackerman
815157	124543	
815157	139910	Gloria
815157	143756	Ángela
815157	148042	
815157	149711	Irina Petrovski
815157	151818	
815157	163880	Herself - Presenter: Best Spe
815157	193023	Vicente´s Wife
815157	193334	
815157	199845	
815157	205396	Mima
815157	223629	
815157	226605	
815157	233344	Maite, La Quitapenas
815157	246374	Rocío López
815157	256719	
815157	257594	
815157	281597	Silvia Tortosa
815157	284213	
815157	293962	
815157	294397	Teresa
815157	334427	
815157	343606	
815157	349334	Herself - Presenter: Best Edi
815157	351616	
815157	356947	
815157	376737	
815157	378482	
815157	380488	Herself - Host (1978-1981)
815157	384033	Marguerite
815157	392034	Esmeralda
815157	393036	Herself (2004)
815157	396179	Luisa Díaz
815157	404015	Natalia
815157	408415	
815157	409881	
815157	411722	
815158	68351	Second Flirt Girl
815158	119614	Mina
815159	73436	Ramsey aide
815159	364351	Nurse
815160	55300	Hari
815160	117150	
815160	117594	
815160	128626	
815160	195611	Maria Tortuga
815160	196137	
815160	231906	
815160	258023	
815161	338576	Debra Fowler
815161	404678	Nikki Martel (2004-2005)
815162	126546	Dancer in 'What's Happening t
815163	1445	Herself
815163	26579	Herself
815163	107231	Herself
815163	303762	Herself
815163	352963	Herself
815164	204354	Brothel Worker
815165	278960	
815166	69494	
815166	90118	Elena
815166	102333	Sybil Conway
815166	147909	
815166	201918	Another girl friend
815166	310068	
815166	351243	Nanon
815167	198193	
815168	30415	Emília
815169	55741	Sara García
815169	56024	Isabella Colbran
815169	56113	Gaby
815169	82997	Countess Christine di Lorenzi
815169	105362	One of Signe's daughters
815169	156459	Anna Duvak O'Neill
815169	199441	Maddalena
815169	203603	Michele Rozier
815169	215862	Factory guide
815169	224810	Madeline Brenner
815169	240273	
815169	240312	Young woman in the audience
815169	241819	Laura Thorsen
815169	266743	Elvira
815169	266874	Countess de Caroli
815169	280499	Lili Maubert
815169	282087	Young guest at Atlantic
815169	303112	Violette
815169	312142	Catherine Ullven
815169	321692	Sabra
815169	351465	
815170	170964	Irma
815171	333745	
815172	29580	
815172	166871	Additional cast
815173	148047	
815174	21432	Rosa
815175	49165	
815176	63046	Tina Little Hawk
815176	90932	Groupie
815176	306431	Cappuccino Waitress
815178	193220	
815179	61351	
815179	74660	
815179	81357	
815179	135366	
815179	164349	
815179	196741	
815179	206921	
815179	296150	
815179	319793	Blondi
815179	324510	
815179	354107	
815179	380477	Rosarita
815179	384782	_
815179	384975	Betina
815179	385403	Daniela
815179	385852	
815179	387778	
815179	389780	
815179	393187	Larrotonda
815179	398525	
815179	399764	Alejandra
815179	402158	Victoria
815179	405916	Chela (2003)
815180	392705	Miriam
815181	191416	Cameriera dei Prandi
815182	1338	Marquise de Gallifet
815182	18669	Helena
815183	114873	Dancer: Grupo Cané
815184	210694	Eugênia
815184	239922	Hannah
815185	216048	
815186	324502	Dancer
815187	29713	
815187	82989	
815187	212059	
815187	333693	
815188	74156	
815188	101809	Argentina en la boda
815189	35079	Alex
815189	276623	Brunette
815190	229506	Student
815191	94661	La sorella di Moroni
815192	268251	
815193	260043	
815193	287646	
815193	287649	
815194	94696	
815195	189158	
815197	346101	Young Girl at Party
815199	100839	Katherine Bartell
815200	236494	Elderly Lady
815201	135772	Girl in Car
815202	155013	Girl/Jack's movie
815204	79823	Betty
815205	2618	
815206	133402	Girl Greaser
815208	222441	Lidija, nova Sisina devojka
815209	14477	Kula
815210	328099	
815211	167318	
815212	289128	Baby
815213	393	
815213	355703	Secrétaire Sergio
815214	291556	
815215	360494	Smoking Girl/Computer Voice
815216	228388	Katarina Blomberg
815217	309918	Secretary
815218	309918	Secretary
815219	130219	Kind
815219	184608	Sara
815220	334706	Mrs. Cardenas
815221	11926	La maman
815221	19836	
815221	42213	La mère de Vinca
815221	44765	Mrs. Tarrant
815221	53239	Marie de Médicis
815221	57473	Louise
815221	57504	
815221	61424	
815221	66835	La boulangère
815221	74348	La patronne
815221	76170	
815221	84189	Mme Lagave
815221	108615	
815221	112890	
815221	120863	Mme Rochemaure
815221	120987	La vendeuse
815221	126319	Mme. Bijard
815221	131715	
815221	144320	Mathilde
815221	149214	
815221	167209	La femme du coiffeur
815221	175675	
815221	200935	
815221	201024	
815221	202593	La Commandante
815221	205480	La patronne du café
815221	247314	
815221	249759	
815221	251300	
815221	269157	Madame Pellegrin
815221	292380	
815221	322337	Madame Duchene
815221	335501	Patronne du bistrot
815221	342856	Mme. Solange
815221	352611	Mme Borelli
815221	357088	
815221	377633	Mme Arpaillargues
815221	379793	Tatoine
815221	386801	(1970)
815221	388688	
815221	389271	Lucie Ronchamp (segment "Juli
815221	393215	Mme Archambault
815221	396366	La femme de ménage (segment "
815221	399396	
815221	404153	
815221	409532	La maîtresse d'école
815222	279438	Woman #1
815223	80103	Girl
815223	265687	Cristina Santelices
815223	393369	Lucía
815224	45237	Laker Girl
815224	117713	Sonics Dancer
815225	1064	
815225	69522	La Bretonne
815225	409531	
815226	12080	
815226	16441	
815226	67657	
815226	70704	
815226	286571	
815227	205696	
815228	224506	Rachel
815229	68815	
815230	64951	Baby
815231	334428	
815232	341939	Girl in Headshots and Auditio
815233	405535	
815234	146982	
815234	392575	Tansu
815235	76857	Yoshi
815235	205931	Yoshi
815235	205943	Yoshi
815235	233054	Yoshi
815235	372010	Yoshi
815235	372012	Yoshi
815236	26831	Hot Tub Girl
815236	196365	Cynthia
815236	313189	Paul's Party Guest
815237	79478	Herself
815237	87893	Election Anchor
815237	220908	Herself
815237	392881	Herself
815238	230340	Magda Mermelstein
815239	242529	Lady #1
815240	326565	
815241	133130	Woman Deputy
815242	289791	Catherine
815243	90755	Detainee
815244	230340	Edie Mermelstein
815246	38021	3rd Grader
815247	73125	Polyenka
815249	308246	
815250	115958	Girl Michaela
815251	63096	
815251	151450	
815251	358356	
815252	72740	Hooker
815253	270153	
815253	396359	Various (1999-2000)
815254	373822	Tyler
815255	73413	Woman
815255	74195	Japanese Girl
815255	215039	
815256	73611	Rosita
815256	75648	Pixie Church
815256	91854	Jenny
815256	372778	Anna
815257	390252	Poppy Savvas
815258	194427	
815259	363583	Young Sarah
815260	107251	Angie Smith
815261	220858	Saloon Gal
815262	274245	
815262	288058	Sara
815262	288107	Carol
815263	92959	Student
815264	29304	Milly
815264	43469	Ruth
815264	54832	Tweeny
815264	57260	Annie
815264	61230	Maid
815264	80538	Gladys
815264	92183	Rose
815264	128333	College inmate
815264	141032	Mrs. Deans
815264	143639	Perkins
815264	154146	Tessie
815264	156972	Polly Baxter
815264	161916	Millie (maid at inn)
815264	196067	Bus Conductoress
815264	204892	
815264	223764	Alice Rudge
815264	231857	Alice Lamont
815264	232008	Dora, the Maid
815264	246340	Maid
815264	258954	Mrs. Kemp
815264	264448	
815264	281438	Alice
815264	304787	Miss Smith
815264	330708	Edie
815264	342416	
815264	360389	
815264	360551	
815264	367510	Neighbour
815264	372642	Bit Part
815264	372942	
815265	6791	Ethel
815265	10596	Donna Allen
815265	18552	Alice Elcott
815265	19126	Martha Osten (Blind Cabin Wid
815265	32818	Jean O'Leary
815265	35603	Karen
815265	41987	Helen Williams
815265	49329	Joyce Geary
815265	55583	Prostitute
815265	58793	Miss Gormley
815265	63305	Theresa
815265	64830	
815265	74074	Sally Jane
815265	78126	Lili Roegan
815265	110219	Shirley Wayne
815265	127101	Anne Stevens
815265	133510	
815265	139483	Marilyn
815265	143191	Mildred
815265	144573	Perfume saleslady
815265	144989	Dr. Ann Lorrison
815265	167084	Tanya Nikova
815265	183710	Adrienne Fromsett
815265	197169	Herself
815265	201062	Jessie Belle Dibson
815265	203172	Peg Benedict
815265	203371	Fran Dare, Hotel Owner
815265	215849	Kate, nurse-lieutenant
815265	224233	Joyce
815265	228354	Elizabeth
815265	245531	Mrs. Bishop
815265	261558	Madge Gorland
815265	285654	Lisa
815265	289213	Alma
815265	292426	Dinner Party Guest
815265	293835	Cleo Bethel
815265	295085	Julie
815265	328030	Mrs. Claire Quimby
815265	329562	Herself
815265	343884	Eve Wilcox
815265	346116	Ruth Williams
815265	347724	Althea Keane
815265	350444	Marion Warner
815265	367616	Kate Quantrill
815265	367913	Joan Burton
815265	375044	Telephone Operator
815265	384263	Beth Purcell
815265	397288	Nurse Wilcox (1972-1976)
815265	400525	Alice MacRobert (1962-63)
815266	75913	Citizen's Son
815266	319602	Little Girl
815266	405602	Jackie Blake
815266	406298	Joanna
815267	384097	Anne Marie (1996)
815268	198558	Infirmière 1
815269	268135	
815270	208812	Fobena
815271	360139	
815273	249749	Radijah
815274	241799	Halloween girl
815274	276889	Joanie
815274	380391	Alexandra Cory 'Alli' Fowler 
815275	41796	
815276	100533	Véra
815276	123896	Danseuse revue du Baron
815279	87969	
815279	185346	
815279	186213	
815279	262810	
815279	286290	
815279	328888	Majo
815279	370096	
815280	196894	Mona
815281	229428	Reporter
815282	202283	Charlene
815283	395331	La secrétaire
815284	72688	Other Kid
815285	18567	Roddelmeisje
815286	303433	The Little Girl
815287	127808	Herself
815288	87863	Femme du couple
815289	1140	Jeune fille
815289	99590	Pamela Haché-Tremblay
815290	87926	Shannon
815291	101855	Narrator
815291	400627	Suzanne
815292	383863	Roxanne
815292	384147	Judith
815292	387165	Herself
815292	387668	Line Dubuc #1 (1995-1997)
815292	389130	Herself/Co-host (1994-1997) (
815292	393352	Armande
815292	401081	Zoé Cayer
815293	1792	Herself (Miss October 1981)
815293	126001	Herself (Playmate)
815293	257847	Herself
815293	257859	Herself
815294	119976	Wife
815294	405073	Nurse (Face Slap)
815295	38378	
815295	130178	St. Pius Student
815296	168327	Bag Lady Caroline
815297	408002	Gise adolescente
815298	345190	Mémé Yoyotte
815300	238167	Interviewer
815301	297182	Hisako Honda
815302	83037	Professuer fac
815303	45377	4th Girl at Bar
815304	106991	La vieille dame
815305	387708	Thodora
815306	184412	Additional Voices
815307	254016	
815308	6386	Lola
815309	38082	Herself
815309	80013	Nina Ivanova
815309	81784	Gaby Deslys
815309	161982	The Streetwalker
815309	264747	Madame Petrova
815309	310296	Dancer
815309	329560	
815309	335479	Anna Pavlova
815309	336141	Ballerina
815310	380167	
815310	383991	
815310	385536	
815310	397266	
815310	406324	
815310	408343	
815311	398784	
815312	8235	Sonya on Violin
815313	279698	Petit X
815314	299991	Aisja
815315	306126	Woman
815316	258313	Un élève de la 4e techno
815317	18630	Waitress #2
815318	18630	School Teacher
815319	225373	Manon
815320	82336	
815321	208235	
815322	184122	Mallika
815322	205578	Elizabeth
815323	85938	
815324	382846	Elizabeth Ofori
815324	389625	Monica
815325	343565	
815326	143486	
815327	83847	Desiree als kind
815328	8876	Jeune fille
815328	25126	
815328	28147	
815328	218243	Maria
815328	289435	
815329	99405	Doumene's Secretary
815329	189902	Mlle Giraud
815329	205735	Mlle Georges
815329	345400	Moïra
815329	352135	
815329	388688	La supérieure
815329	400698	Une gardienne du bon goût
815329	409435	Mme Bertin
815330	389130	
815332	322403	Mujer supermercado
815333	23185	
815333	235805	
815333	237060	
815333	380779	Olga
815333	388676	
815333	395090	
815334	28715	
815335	33767	
815336	178114	Hooker
815337	99235	
815338	240497	Fille du bus 1
815339	6019	Clara de Foenix
815339	69661	Annette
815339	75343	Sally Hibbard
815339	83679	Miss Benson
815339	107060	Sybil Eliot
815339	127425	
815339	127687	Amabel
815339	138904	Audrey
815339	140151	Goldie's Companion
815339	190609	Marie Curtis
815339	206532	Mollie Benton
815339	283867	
815339	285047	
815339	310738	Eloise Harfer
815339	337600	'Sunny' Kerry
815339	347363	Sylvia Sweet
815339	367302	Jean Meredith
815340	130336	French Actress
815340	132608	Lily
815340	248980	Max's Wife
815340	249459	Musette
815340	290033	
815340	335477	Madame Bouchet
815341	140765	Employment Office Staff 5
815342	29385	
815342	180020	Jeane Bachiloupi
815343	20665	Alice's Mother
815343	40294	La mère d'Imseng
815343	67721	Marthe
815343	69345	Veuve Moiry
815343	188719	Mme. Monnier
815343	205772	Frau Fleury/Mrs. Fleury
815343	377999	
815344	25593	
815345	381921	Ana Marcela Tourné
815346	30224	
815347	155293	
815347	168125	Dancer
815347	306466	Lt. Margaret Stevenson
815348	163267	Dancing Ginger Rogers Double
815349	250514	Feeble Woman
815350	171584	
815351	312259	Cynthia
815352	35532	
815352	267349	Prostitute
815352	365232	Katrina (as Jasmine Totschek)
815353	37520	
815354	11564	Irene
815354	27003	Grace Nelson
815354	63046	Mary
815354	68237	Narrator
815354	72377	Emma Leaphorn
815354	132739	Mollie
815354	192688	Annie
815354	194478	Jennifer Desiderio
815354	209433	Louise Heavyman
815354	244418	Edna
815354	272881	Martha
815354	301743	Awbonnie/Ghost
815354	304051	Emma Leaphorn
815354	304557	Agent Lemar
815354	308584	Nokomis
815354	310423	Hurricane
815354	330314	Emma Leaphorn
815354	330879	Choncita
815354	332104	Maggie Eagle Bear
815354	342883	Nellie Begay
815354	360272	Voice
815354	365651	Martha
815354	386970	Janine
815355	81665	Alien Creature
815356	108956	Party Family
815357	370060	La Femme
815358	218247	Une amie du frère de Monsieur
815359	243213	Majolie
815360	34442	Shelly
815360	40115	Charlene
815360	46234	Paula Waite
815360	77940	Karen
815360	80477	Lab Technician
815360	117958	Karen Brennick
815360	134025	
815360	145169	Valerie Miller
815360	183590	Venus Maria
815360	265597	Laurie Webber
815360	276686	Vicki Morgan Sherry
815360	291223	Female Caller
815360	385594	Tracy Lawton (1988-1989)
815360	404371	Veronica Koslowski
815361	275124	
815362	74498	
815362	77246	
815362	120088	Frida´s Sister
815362	137002	
815362	237806	Pilar Cervantes
815362	309090	Sor Juana Ines de la Cruz
815362	376782	
815362	379461	
815362	383669	
815362	386531	Lola Saldivar
815362	387552	Claudia Linares
815362	396983	Monja Alférez
815363	145321	Johan
815364	13712	Philomena (segment "The Reuni
815364	39441	Avery
815364	40144	Kim Garfield
815364	40509	Enid Sheperd
815364	46374	Delphine the Hooker
815364	56162	Pat Bowden
815364	60735	Mama Turner
815364	68469	Alva
815364	76556	Judge
815364	78107	Irene Roberts
815364	107116	Stendah
815364	152219	Almond Joy
815364	155888	Shameeka Webb (segment "1996"
815364	163375	Lt. Washington
815364	164716	Carol Broker
815364	196302	Florence Crawford
815364	220004	Robert's Associate
815364	232393	Dealey
815364	258883	Beth
815364	266496	
815364	274075	Captain Tau
815364	304293	Janie
815364	311418	
815364	329757	Pearl Stone
815364	333343	Zelda
815364	360752	Herself
815364	379918	Yvonne Price
815364	380455	Rene Jackson
815364	382380	Dr. Mary Rocket (1992)
815364	385294	Dr. Elaine Duchamps (2002-200
815364	395324	Dr. Claudia Chan
815364	402605	Joyce
815364	410970	Marie St. Martin
815365	28554	
815365	37890	Ida
815365	38177	La mère de Prune
815365	107242	
815365	167240	
815365	318492	Postière
815366	258331	La journaliste
815367	124579	
815368	156321	La jeune putain
815369	270255	
815370	256745	La mère
815371	117086	
815372	189306	
815373	82474	Melissa
815374	23741	
815375	68922	Alice
815376	32123	
815376	380150	
815377	82336	Alice
815377	181275	Lisa
815378	378638	Barvrouw Hannie (2003)
815378	392363	Kobie
815379	81475	Rita
815379	89911	Tante Jet
815379	113061	Telefoniste
815379	189964	Corinne
815379	213563	Helene Te Winckel
815379	219266	Tilly
815379	230256	Carol
815379	283072	Nicole
815379	342085	Leonore
815379	352029	Betsy van Heesteren
815379	357356	Zwaantje
815379	376246	
815379	376258	Milou
815379	386264	Hester van Tellingen
815379	388164	Mary Rustenburg-van Gorkom
815379	389841	
815379	406557	Leonie van Oudijck
815379	410200	
815380	134623	Marjoke
815382	245293	Lorry
815383	341832	
815384	312109	Claire Rutherford
815385	15066	Anne-Sophie
815385	35176	Sylvie Morac
815385	63662	
815385	72311	France
815385	76169	Alex
815385	104208	Paula
815385	114079	Nadia Nerzhin
815385	117472	
815385	136657	France Malatray
815385	160724	Corinne
815385	189314	Jeanne Baheau
815385	197325	La marquise
815385	205539	Jeanne
815385	207261	
815385	215265	Célimène
815385	225472	Isabelle
815385	264525	Sabine
815385	276514	Séverine
815385	277927	Muriel
815385	283242	Regina Berluzzi
815385	284519	Elena
815385	286817	Sandra
815385	324449	Marie-Hélène Lessault, dite M
815385	333689	
815385	338593	Corinne
815385	346653	Sylvie
815385	349861	Valentine
815385	353818	Juliette Lacombe
815385	355357	Cristina
815385	355806	
815385	377484	Marthe Mahler
815385	382471	
815385	383916	Irène
815385	383978	Ghislaine Tabet
815385	391621	Herself
815385	392003	Elaine Finder
815385	392370	Muriel Pajols
815385	393492	Emanuelle
815385	396856	Marianne
815385	398032	
815385	402251	Dr Marol
815385	403065	Justine
815385	409530	Adjudant-chef Isabelle Floren
815386	318509	Mrs. Amin
815387	8098	Captain Cooney
815387	37012	Iris Leach
815387	75612	Inmate
815387	77795	Nosey Neighbor
815387	80660	Honey
815387	140960	Woman protestor
815387	189520	Russian Wedding Singer
815387	195270	Evelyn
815387	276198	The Abbess
815387	323611	Mary
815387	330773	Rochelle
815387	346909	Sally
815387	382130	Various Characters
815387	385977	Dr. Shelton
815387	387215	Marge Atherton
815388	36565	Sam
815388	149442	Maid
815388	274679	
815388	304838	Girl on Phone
815388	311038	Ursula
815388	311601	Ticket Taker
815388	360026	Lillian
815388	370113	Nevermore
815389	375537	Fan
815390	21583	Sirvienta
815391	53697	Candelaria
815391	75199	
815391	83544	
815391	244604	Novia de Antonio
815391	253319	
815391	351643	Lilia
815391	380114	Nerina Suarez
815391	397601	Diana
815391	402585	
815392	11485	Principal Dancer #9
815393	225560	
815393	287695	Cantante
815394	52149	
815395	357189	
815396	110668	Mariazinha
815397	110668	
815398	91388	
815399	291825	Female Mariachi Band
815400	301577	Enfermera
815401	28905	
815401	42949	
815401	51612	
815401	55669	
815401	61186	Karla Vargas
815401	61187	Karla Vargas
815401	67697	
815401	68557	Viridiana
815401	74613	
815401	77249	
815401	87086	Sandra
815401	88701	
815401	94829	
815401	121393	
815401	137424	
815401	145262	
815401	170099	
815401	198993	
815401	198997	
815401	215216	
815401	221660	
815401	238328	
815401	256792	
815401	267408	
815401	268238	
815401	272623	
815401	277380	
815401	287423	
815401	292937	
815401	307787	
815401	324839	
815401	332665	
815401	334683	Sirvienta
815401	350261	
815401	351650	
815401	355781	
815401	355827	
815401	370082	
815401	376638	Maestra
815401	377195	
815401	378415	
815402	96274	
815403	12535	
815403	14707	
815403	23060	Monica
815403	24622	
815403	52775	
815403	57437	Moonmaid
815403	74646	
815403	91298	
815403	124253	Alumna
815403	158611	
815403	160136	
815403	170069	
815403	187939	
815403	192941	
815403	212347	
815403	234339	Carol
815403	249789	
815403	269560	
815403	306712	
815403	325177	
815403	354870	
815403	371692	
815404	43294	Dancer
815405	54240	
815405	54716	
815405	54844	
815405	68577	
815405	88057	
815405	101887	
815405	133061	
815405	135203	
815405	145211	
815405	186597	
815405	198200	
815405	202567	
815405	209298	Young girl in the group
815405	252798	
815405	292941	
815405	318236	
815405	371769	
815405	373576	
815405	379905	
815405	383273	Rocío
815405	384987	
815405	388096	Irene
815405	396711	Angelica
815405	398490	Casilda
815405	400490	Celina Chavez
815405	404997	
815405	408709	
815406	395373	Aura Marina
815407	9957	Teresa
815407	40017	Undetermined Role
815407	40897	Palm Reader
815407	44263	Tonita
815407	54297	Magda
815407	55374	Drothy O'Neil
815407	73169	Dolores Bragga
815407	94223	Eva
815407	96827	Neila
815407	112507	Anita 'Nita' del Campo
815407	134055	Native Girl
815407	135856	Dolores Diego
815407	154680	Herself
815407	161710	Lupita Melez
815407	205793	Irene Heredia
815407	206975	María
815407	213528	
815407	276410	
815407	279383	Herself
815407	281762	Rosario
815407	281837	Woman (from East of Borneo (1
815407	287694	Santa
815407	309849	Dolores Mendoza
815407	315531	Theresa
815407	327999	
815407	340369	Maria Scipio
815407	342895	Nita
815407	347201	Herself
815407	351243	Young Girl
815407	353672	Marcela
815407	356622	
815407	361806	Teresita
815407	370549	
815408	91402	Marta
815409	83457	
815409	91298	
815409	152989	Mexican Girl
815409	192941	
815409	350144	
815410	58096	Sandra
815410	103729	
815410	233551	
815410	273660	
815410	350144	
815410	353638	
815411	96351	
815411	234370	
815411	302399	
815412	28010	
815413	43294	Dancer
815414	61142	
815414	61203	
815415	147745	Woman in Elevator
815415	324852	Ellen
815416	2252	(segment "Affreux, bêtes et t
815416	83251	Voyou 3
815416	152263	Rita
815416	157162	Poppea
815416	250962	Iris
815416	296095	Annick
815416	307473	Mounette
815416	357852	Chochana Boutboul
815416	376927	Wonder Woman
815416	380861	Nadia
815416	399082	Valentina
815417	283194	
815417	295032	Ellen Dreyfus
815418	307557	
815419	62885	Christa
815419	146848	Poula Nielsen
815419	146991	Modellen
815419	208797	Line Barnewelder
815419	209328	Eva
815419	220199	Line
815419	236250	Jennifer
815419	255699	Marianne Valdorff
815419	275265	Line
815419	281085	Bine Hansen
815419	324329	Nina
815419	373433	Nurse
815419	403379	Nurse 1
815419	403380	Nurse 1
815420	395712	Vesle/Ormicka
815420	409050	Kristina Hjortron
815420	409853	Emilia Rudberg (1987-1988)
815421	407838	Suzy (1982)
815422	31823	Paper Girl
815422	77108	Susan
815422	88933	Herself ('Susan')
815422	92627	Susan
815422	92628	Susan
815422	144991	Rachel Thornton
815422	230356	Sandra Cummings
815422	242793	Jill
815422	256479	Suzy
815422	283442	Carole
815422	336679	Pam
815422	382148	Anne (1974-1975)
815422	398707	Samantha
815422	399722	Trudi Corner (1967-69)
815423	300180	Other Audition Dancer
815424	40137	Prostituert
815425	227827	
815426	62579	Hooker With The Gun
815426	223963	Cajun Waitress #3
815427	64153	
815428	127658	
815428	145521	Kishmish
815429	21842	Mother-in-law
815431	127655	Maria
815431	158285	
815432	24791	Soloist at Philharmonic
815433	52141	Katie Brown
815434	186758	Fashion Girl
815435	176956	Female Nurse
815435	226901	Peep show nude
815436	38021	3rd Grader
815437	345737	Hildegarde Sanbury
815438	331206	Madison
815439	386579	Various Animals
815440	47094	Nancy Willows
815440	62941	
815440	109457	Jessie Granger
815440	109768	Peg Burke (McBane's secretary
815440	149796	Miss Hannah Hunter of Greenbr
815440	207908	Alice Windemere
815440	226963	Kelly
815440	231103	Louisa 'Louisa-San' Pierce
815440	236995	Mrs. Henderson
815440	252925	Sandra Bradford
815440	275330	Mrs. Blaisedale
815440	294750	Mary Beecher
815440	299463	Cathy
815440	300962	
815440	321777	Muffy
815440	332020	Cavanna
815440	378781	Camilla (1992)
815440	383385	Clarissa McCandless
815440	389858	Helena Cassadine #3 (1997-200
815440	396084	Marian Hiller (1971-1972)
815440	397410	
815440	400201	Margot Perot
815440	406952	Julianna Deschanel (1997)
815440	411802	Audrey North (1996)
815441	364045	
815442	202488	Shauna
815443	116172	Mrs. O'Toole
815443	140652	Mum Hayseed
815443	312310	Poppy
815444	102739	
815445	303518	Saleswoman #2
815446	220978	Museum Woman
815447	128636	
815447	333832	
815448	34934	
815448	36933	
815448	50374	
815448	128753	
815448	128777	
815448	133920	
815448	133921	
815448	148559	
815448	152669	
815448	154198	
815448	291007	
815448	329141	
815448	332737	
815448	332745	
815448	344069	
815448	374488	
815449	190796	Therapist
815450	27287	
815450	27288	
815450	36911	
815450	37428	
815450	37450	
815450	109956	
815451	384440	
815452	320125	Herself
815452	320149	Herself
815452	407079	Herself (Sole Survivor, 39 Da
815453	194635	Cashier
815453	274010	Theatre Ticket Taker
815454	132247	Peninsula Dance Team
815455	158102	Chorus
815456	162533	Michele Landon
815456	252445	Julia Stone
815456	305390	Cookie Store Customer
815456	348545	Admissions Counselor
815457	73857	Mandy
815457	296811	Vomiting Girl #4
815458	42049	Hospital file clerk
815458	69460	Peggy Speel
815458	90046	Patricia Doyle
815458	130243	Dr. Kirby
815458	135513	Mousey Man's Wife
815458	136002	Shirley (Karpis' girl)
815458	138987	Angelike
815458	145076	Madeline Welton
815458	154083	Model
815458	161926	Carol Richards
815458	170401	Denice Martin
815458	267549	Lt. Cathy Dietrich
815458	270533	Joan Gilbert
815458	276467	Joan Gilbert
815458	282353	Janis
815458	288471	Sue Davis
815458	294065	Cora
815458	304646	Carol Richards
815458	308598	Mrs. Thoresen
815458	314262	Gail Woodley
815458	324982	Vivian Wells
815458	337373	Vivian Wells
815458	350486	Barbara
815458	367552	Young lady
815458	375718	Sue Davis
815458	384741	Joan Gilbert
815459	308005	Bess
815460	280945	
815461	254283	
815462	47078	Janice
815462	81767	Martha
815462	95080	Preppy Student
815462	126745	Lyndi
815462	229826	Teenage girl
815462	280169	Molly
815462	300216	Robyn
815462	309197	Devin Lane
815462	326604	Lisa Lopez (Chi Omega Victim)
815463	49973	Blue Lady
815463	99593	Secretary
815463	140416	Female Cop
815464	15852	Jody
815464	26666	Monique
815464	30428	Joanna Wojohowsky
815464	50444	Sinead Laren
815464	65844	
815464	96978	Sally Iverson
815464	105492	Nadine
815464	128085	Marjorie
815464	129768	Becky
815464	157576	Morgan
815464	186580	Helen
815464	194136	
815464	222194	Cynthia Jenzen
815464	291226	Samantha
815464	298076	Savannah
815464	307206	Chloe
815464	321213	Erin Vanderbilt
815464	337098	Holly
815464	362312	Caitlin Spencer
815464	366933	Coed #1
815464	396301	Riley Veatch
815464	399108	Sal
815465	79105	Mother
815466	6859	Michelle
815466	270808	Nadia
815466	330132	Joy Sturges
815466	372663	Chris Whiting
815467	8901	Commander
815467	297223	Sarah, Priestess
815468	7015	Jane Arden, aka Maxine Brownl
815468	7178	Air Hostess
815468	41059	Louisa Revelle
815468	45451	Hospital Nurse
815468	53193	
815468	66641	Elaine
815468	72255	Panthea Landis
815468	78986	Girl in box
815468	81633	Betsy Kramer
815468	105947	Brenner's Receptionist
815468	115471	Student
815468	116790	Diana
815468	124102	Secretary
815468	125805	Helen Barton
815468	130360	Young Lady at Party
815468	130620	Golddigger
815468	139190	Miss Gray, Atwater's Secretar
815468	147754	Secretary
815468	163577	Autograph Seeker
815468	210718	Linda's Secretary
815468	234090	Stewardess
815468	250647	Nurse Maida Day
815468	264759	Lady of the Court
815468	280292	Doris Manners
815468	292623	Zelma Warren
815468	292829	Seated Party Guest
815468	294747	Alice Valentine
815468	303307	Telephone Operator
815468	308943	
815468	317825	Mary
815468	330010	Girl
815468	350704	Passerby
815468	366196	Agnes
815468	367827	Phyllis
815468	371331	Edith Colby
815469	266625	Maid 2
815470	219888	Little Dell
815471	313474	Jira
815471	367385	Doreen
815473	30442	Lena (Maid)
815473	101070	Hotel Patron
815473	102141	Grace
815473	304863	Jogger
815474	46353	Singer
815475	336538	Gladys (US version)
815476	309918	Lisa
815476	322970	Renee
815476	329703	Caroline Rodgers
815477	114648	Kathryn Everson
815478	395525	Snawley Minor/Hannah/Morleena
815479	37691	Auditioning Girl
815480	266625	Maid 1
815481	244443	Shanga
815482	323800	Mom
815483	22802	
815483	142418	Connie
815483	302414	Sgt. Kait Palmer
815484	70468	Black Woman
815485	84230	Bea
815486	185683	Apprentice
815487	12609	Chelsea
815487	249631	Party Guest
815488	76551	Mrs. Holden
815488	88889	Mrs. Jamison, Lawyer Jamison'
815488	133127	His Grandma
815488	139547	Harold's Grandmother in Grand
815488	151813	
815488	206160	Harry's Mother
815488	273405	Mrs. Mitchell
815488	285353	The Grandma
815488	331509	Harry's Mother
815489	17783	Celia Evans
815489	126035	
815489	127522	
815489	139199	Henrietta Wade
815489	241375	Nun
815489	324020	
815489	379392	Mildred Potter
815490	51795	Annabelle
815490	106355	Ms. Adams
815490	211529	Mary O'Brien
815490	366271	Jeanne
815491	267503	Suzanne
815494	321883	Pruddy
815494	364231	
815495	24503	Elaine
815495	378928	Patty
815496	14250	Lieutenant
815497	167068	AA person
815498	8067	Sallie Keeler
815498	61265	Rosemary Hefferan
815498	147663	Herself--Junior Hostess
815498	165558	Hortense Bennett
815498	223154	Tour Guide
815498	291513	Girl Friend
815498	302632	Girl
815498	309584	
815498	352752	Young Bride
815498	358777	Marjorie Ransome
815498	363226	Marge Fettles
815499	102850	
815500	155245	
815501	239756	Starting Line
815502	62109	Charlotte
815502	128359	Lil
815502	268905	Jimmy Fellowes
815502	292443	The Secretary
815502	368026	Barbara
815503	167009	Herself
815503	257626	
815504	30484	Beauty
815504	134617	Sally
815504	185201	Clubgoer
815504	259749	Mercedes Matter
815504	279131	Lucy
815504	395296	Claire Cathcart (1996)
815505	45024	Daley
815506	301066	Girl at party
815507	133810	Girl on the Street
815508	286129	Maria 'Polly' Jefferson
815509	10415	Abby
815509	21319	
815509	25412	Anne Corbeck
815509	295409	Mrs. Holmes
815509	303382	Maureen
815509	311273	Jenny/Priscilla Weems/Carol W
815509	390274	Maggie Verver
815509	401743	Elizabeth Warleggan
815509	401744	Elizabeth Chynoweth/Poldark/W
815510	11549	Church Lady
815510	122198	Housewife
815511	8184	
815511	11485	Stripper #1 in Flashback
815511	33773	Thalia
815511	50025	Hooker
815511	151638	
815511	153187	Barmaid
815511	162567	Round Table Discussion/Woman 
815511	385719	Sophie Barnes (1967)
815512	25387	
815512	264208	Princess Loree
815512	269614	
815512	315167	
815512	350494	
815513	308606	Janet
815513	329214	Nun
815514	25475	Nurse
815514	133610	Undetermined Role
815515	277222	
815515	277860	Dance hall girl
815515	345997	Waitress
815516	105962	Debbie
815517	151084	Ticket taker
815518	131232	Extra
815519	78318	Linda Craig
815519	113915	Fifi Sharp
815519	189986	Nina Pink
815519	229885	Atari
815519	388770	Fifi Sharp
815519	391208	Claire Gormley (Ep. 1-17)
815520	208994	Rebecca
815521	12743	Judy
815521	303371	Jenny
815522	349864	Statue of Liberty
815523	237130	Secondary
815524	7992	Zee
815524	290080	Secretary
815524	366988	Diana
815524	395087	Mrs Drake (1984)
815524	411482	Nicola
815525	260320	Roomate
815526	365344	Woman Playing Volleyball
815527	177427	Claire
815528	343376	
815530	31606	
815530	45781	Danielle
815530	87979	Lynette
815530	114642	Matthew's Kids
815530	147750	Robyn
815530	158272	
815530	253773	Xantha Kent
815530	257772	Alice
815530	294004	Maria Velez
815530	385824	Wendy Reardon #2 (1994-1996)
815530	390699	Melissa (1999- )
815530	390824	Bridget Cole
815530	403576	Pam Gibson
815531	27268	
815532	366970	Child Caroler
815533	11492	Girl in whiteface clown costu
815534	188235	
815534	335686	Foster Sister
815535	82376	Mrs. Richman
815536	16642	Teenage Isabel
815537	4642	Study Group Girl
815538	115421	
815539	119243	Barbara
815539	360952	Gertrud
815539	396755	
815539	399925	Dora Bertram
815539	404457	Joyce Naylor
815540	321678	Courtroom Extra
815541	40053	Waitress
815541	404169	Mabel
815542	5882	Veteran's Wife
815542	36877	
815542	39068	
815542	39264	
815542	39298	
815542	39313	
815542	44022	
815542	50352	
815542	127733	
815542	151512	Herself
815542	157796	
815542	170378	Girl in Hotel Lobby
815542	178976	Adele Morton
815542	218811	Girl
815542	233830	Specialty Act
815542	333823	
815542	334782	
815542	337147	
815542	361211	
815543	69812	Barnes & Noble Bookstore Cler
815543	170713	Stewardess
815543	182999	FBI Woman
815543	205268	Reporter (Feld House)
815543	236780	Sister Mary Leo
815543	236781	Sister Mary Leo
815543	264785	NBC switchboard operator
815543	305087	Reporter
815543	400236	Lisa West (1998-2001)
815544	7035	Kaidu Entertainer
815544	230622	Specialty
815545	117358	The 'Chinese Ginger Rogers'
815547	20625	Extra
815548	45618	Amazon
815549	11485	Dietician
815549	370867	Mrs. Richard Han Sr.
815551	17700	Slave Girl
815551	37474	Mrs. O'Toole
815551	117358	The 'Chinese Sally Rand'
815551	118705	
815551	151535	Cherry Blossom Wang
815551	187078	Woman in sarong
815551	213262	Bea
815551	284538	
815551	307368	Luan
815552	59135	Nurse #2
815552	80705	Xmas
815552	82930	Karen
815552	147753	Interviewer
815552	214937	Jane Sato-Tomita
815552	265516	Nurse Jane
815552	282434	Swim Instructor
815552	297692	Duty Nurse
815552	310726	News Anchor #2
815552	336033	Assistant
815552	366954	Denise Wong
815553	137696	Mae
815553	215986	
815554	302454	
815556	93247	Herself
815556	405984	(Sister, USC)
815557	67896	Kindergarten Teacher
815558	89059	
815558	133981	
815559	127845	Maid A
815559	155505	Masako Koyama
815559	156234	
815559	216499	
815559	234903	Kintaro geisha
815559	298749	Ginsaku's Daughter-in-law
815559	371842	Dancer
815560	122953	
815561	182709	Mayu Kashiwagi
815561	239232	
815561	261592	Keiko
815561	341291	
815561	393149	
815561	394033	
815561	403166	
815561	410528	Chizuko Muramatsu
815562	161556	Nurse
815562	305036	Dancer
815563	282950	Zorah
815563	339366	The First Bridesmaid
815564	309706	Leanne
815565	160242	Mrs. Cricket
815565	161983	Signora Picci
815565	206537	
815565	240916	Miss Tilly (mime)
815566	34749	
815566	89058	
815568	122956	
815569	9274	
815570	290862	Agopuntrice
815571	510	Mimiru
815571	516	Mimiru
815571	517	Mimiru
815571	19778	Honey
815571	113333	Paine
815571	168828	Nena
815571	247245	Popo
815571	378651	Mimiru
815571	378718	Teiei
815571	381164	Meg
815571	384133	Yumi Omura
815571	387049	Mitsuki Rara/Miss Rah
815571	390892	Winry Rockbell
815571	394425	Miriallia Haww
815572	8762	Tama Katsura
815572	155505	Minori Yoyota
815572	183080	
815573	6108	
815573	214539	
815574	214539	
815574	412319	Macide
815575	333347	Looney's Wife
815576	30987	Yukari
815577	78927	Komachi
815577	316620	Girl
815577	382111	PallaPalla
815577	401736	Tattsû
815578	9433	Girl B
815578	125239	Hanako
815578	389869	Keiko
815578	401736	Hanako (Satoshi's mother)
815579	26237	
815580	409229	Kim Daley
815581	125440	
815581	130527	
815581	341267	Akira
815581	407153	Makiko Hara
815582	230680	Herself
815583	108329	Pam
815584	371586	
815585	182167	Young Lady with President
815586	163415	Themselves - Rock Group
815588	210254	
815588	407308	Zeynep (1993-1994)
815588	412318	Neslihan
815589	70888	
815590	200470	Hubcap Thief's Wife
815591	4595	Herself
815591	158286	Herself
815591	221421	Herself
815591	249590	Performer
815591	305489	Herself - Steps
815591	314497	Herself/Steps
815591	314498	Performer/Herself
815591	342189	Herself
815591	406509	Herself
815592	321788	Myra Norris
815593	70951	
815593	252075	
815593	253779	Receptionist Dr. Rieux
815594	105779	Burlesque Patron
815595	65947	Cafe worker
815596	278697	
815597	44723	Hospital Receptionist
815598	309406	Ciro's Mother
815599	51362	
815599	253711	
815599	403118	
815600	60970	
815600	379137	Herself - Contestant
815601	353040	
815602	239489	Participant (freestyle)
815603	278335	
815604	32571	
815605	375644	Anat
815606	381908	Herself (season 2)
815608	200982	
815609	345420	
815610	26471	Cabbie
815610	119357	Miss Della
815610	158445	Bystander
815610	195518	Vanessa
815610	323804	Robbie's Assistant
815610	335791	Photographer
815610	359145	Woman On Bus
815611	383471	
815611	390404	Hermana Lucha
815611	399084	La Pelos
815611	410384	Teodora
815612	88936	Streetwalker
815613	84449	Margaret
815614	87789	Scraps, the Patchwork Girl
815614	212846	Herself
815614	361837	Bobo Stephen
815614	397640	Doreen
815615	84860	Louisa
815616	293222	Hadass
815617	263779	Orphan sold at auction
815618	4643	
815618	87667	
815618	140972	Narrator
815618	235383	Stripper
815618	244429	
815618	316716	Court Reporter
815618	333349	Chairwoman
815619	236968	Marzipan
815620	8362	Posh Customer with Dog
815620	45054	
815620	274293	Moya Doyle
815621	106617	Young Tracy
815622	290319	Traci
815623	19505	
815623	124847	
815623	285904	Svetka
815624	133350	
815624	164028	Gazdarica
815624	179851	
815624	209235	
815624	229007	Baka
815624	273071	Manda
815624	278913	
815624	356069	
815624	375323	Seljanka
815625	94983	Tatiana
815626	317353	Amy Feferman
815627	37682	Pedestrian
815628	3631	Herself
815628	53318	Julie
815628	63038	Noelle Murphy
815628	104699	Jenny
815628	109877	Kelly McClain
815628	139582	Harriet M. Welsch
815628	155266	Casey Howard
815628	160560	Penny
815628	224639	Wendy
815628	238234	
815628	277746	Gloria
815628	326662	Herself
815628	326663	Herself - Presenter
815628	354750	Debbie
815628	379323	Nona Mecklenberg (1994-1996)
815628	379716	Lilly Benton Montgomery #1 (1
815628	382955	Dawn Summers (2000-2003)
815628	388672	Herself/panelist
815628	397314	Maggie Parker
815628	408991	Host/Narrator
815629	38000	Soloist
815630	56933	Tina (Part 1)
815630	142716	'Family' girl
815630	232181	Morgana's Patrol #4
815630	369881	
815630	389061	Herself
815631	2150	Fly Female
815632	342628	Susan Collins
815633	165966	Tourist mom
815634	183717	Marianna
815635	183445	
815636	42014	Mrs. Van Twiller Du Bois
815636	184461	Miss Eunice Wickham
815636	188345	Mother Superior
815636	230114	The Nurse
815636	281158	Lady Capulet
815636	319263	Mrs. Snawdor
815636	342434	Mrs. Jordan
815637	379357	voice of Bantu
815638	5052	Jane
815638	154796	
815638	158469	
815638	189997	Blonde Whore
815638	220093	
815638	245611	Wendy
815638	273358	
815638	362966	Geena Vincent
815638	400600	Wendy
815639	2476	Mandy
815639	38933	Herself
815639	40179	Dawn/Molly
815639	59306	Marnie
815639	91769	Boutique Saleswoman
815639	94861	Sheila, Albuquerque Singer
815639	113306	Kat Jennings
815639	165096	Diane Hughes
815639	176724	Heather
815639	245073	Claire Carrol
815639	265109	Vicky
815639	316090	Kim (segment "My Generation")
815639	381562	Audrey Malone
815639	393263	Diane Hughes
815640	128252	Nurse
815640	179958	Mary
815640	254268	Mess attendant
815641	165966	Girl in tunnel
815641	260697	Jill
815644	214931	Tall Girl
815644	232070	Air Hostess (deleted from US 
815645	301266	Emily
815645	305472	Maid
815646	154152	Alice
815646	161645	Kate Guerrera
815646	193252	Jean
815646	232427	Marlene
815646	255323	2nd Woman
815646	303386	
815646	303872	
815646	367537	
815647	124753	Ethel Hastings
815648	86034	Mrs. Van Daan
815648	155006	Telephonist
815648	192998	Senior interviewer
815648	292010	Zaile's Mother
815648	324014	Gloria Mabledene
815648	382530	Iris
815648	385342	Mrs. Prescott
815648	398020	
815648	402421	Sadie Mundy
815648	406441	Jenny Sunley
815649	160418	Carla (segment "Natalie Would
815650	369884	
815651	48211	Lucyna Baranczak
815651	95960	Adam's mother
815651	197129	Anna
815651	215214	Village Woman
815651	234268	Michalina Ostrzenska
815651	236159	Psychologist
815651	258570	Fela
815651	358546	Melania
815651	381266	Barbara Raczyk, reporter
815652	20625	Extra
815653	265556	Hattie Holmes, age 12
815654	333266	
815655	116465	
815655	327741	Mrs. Slade
815656	93581	Frl. Ullmann
815656	98057	
815656	225129	Ulrike
815656	266007	Frieda
815656	266614	
815656	336498	Zeugin im Bordell
815656	348687	Renate Wiesbeck
815657	346413	Herself
815658	180877	Amanda
815658	351945	
815658	364885	
815659	19808	Russian Soldier
815660	382397	Herself
815661	65175	Klavierspeelster
815661	160842	
815662	74785	Peter's Mother
815662	217293	
815662	231653	
815662	262198	Engineer's Wife
815662	280588	Girl serving food
815662	311255	Nurse
815662	369373	Bartender
815662	374245	
815662	398874	Danuta Debska (1999-2004)
815663	195252	Therese
815663	371316	Mrs. Cresnovich
815664	370648	Secretary
815665	49828	Dancer
815666	11525	Reporter
815667	93080	Girl #1
815667	191842	Kelly Brady
815667	380391	Blair Baker #1 (1995-1996)
815667	401721	Jennifer
815667	407660	Erica West
815668	342871	Woman at cafe
815669	1787	Dr. Badnews
815669	41962	McNally's Assistant
815669	124351	Dr. Kerr
815670	223268	Nancy
815670	249346	Ellie McCloud
815672	260789	Stripper
815673	80063	
815673	205311	Debbie
815673	247092	Emme
815673	367922	Beatrice
815675	278170	
815676	248318	Company 'C' Girl
815676	302603	Hostess
815677	310303	
815677	342918	Elizabeth
815678	187371	
815679	402733	Herself - Racer (1997)
815680	350114	
815681	43761	Herself
815681	292082	Herself
815681	343967	Herself
815682	164840	Reporter
815682	246000	Waitress
815683	214662	Diner Waitress #2
815684	17490	Woman #7/Woman in Gold
815684	154796	
815685	118414	Bacall
815686	217602	Little girl's mother
815687	119795	Herself
815687	273315	Herself
815687	273441	Herself
815687	402993	Herself/Paris (2003)
815688	17697	Essie
815688	93982	
815688	358652	Emily
815689	112511	
815690	130178	Godsend Nurse
815690	303236	Woman in Audience #2
815690	346139	Marge
815691	54726	Dancers
815692	5936	Secretary
815692	15231	Amy's Mom
815692	18635	Homeowner
815692	26846	Officer Reese
815692	69549	Moira, Audience at Elliot's L
815692	81052	Vivian Adams
815692	86274	Gail Wallens
815692	94035	Helen Dawson
815692	105723	Allison (flight attendant)
815692	107145	
815692	110301	Jennifer
815692	113743	Janet Little
815692	117874	Jenny's Babysitter
815692	119358	Diary Reading Patient
815692	127255	Brownstone Mother
815692	131885	Harriet Walsh
815692	132756	Ms. Green
815692	133973	Nora McTeague
815692	149439	Maize Burns
815692	181545	Nikki Allyn
815692	188507	Dr. Stephanie Woods
815692	188509	Dr. Stephanie Woods
815692	188510	Dr. Stephanie Woods
815692	188511	Dr. Stephanie Woods (police p
815692	191836	Karen O'Shea
815692	218393	Emily Crenshaw
815692	218785	Mrs. Meyerson
815692	277801	Gail Wallens
815692	280054	Female agent
815692	281024	Elaine
815692	291495	Ted
815692	293009	Charlotte
815692	308021	Jocelyn Hart
815692	315211	Doris Simms
815692	400878	Mrs. Lewis (1991-1993)
815692	403147	Eve Lukens
815693	380713	Betsy Stewart Andropolous #2 
815694	69812	Alice's Secretary
815694	158435	Ms. Hockleitner
815694	160415	(segment "Double Vision")
815694	187346	Helen
815694	200170	Sylvia/Queen Hysop
815694	200171	Sylvia/Queen Hysop
815694	267479	Laura
815694	274320	(segment "The Cake")
815694	290990	Renee
815694	291138	Maebeth
815694	303818	Dr. Jill Wyle
815694	366137	Circle V communications speci
815695	274679	
815696	405209	Linda McIntyre (2000)
815696	406491	Rita
815697	89325	Beth
815697	342683	Girl in Studio
815698	215123	
815699	22596	Red Cross Check In Woman
815699	26779	Nicole
815699	72602	Georgia Kimm
815699	95784	
815699	104967	TV Reporter
815699	146849	Psychiatrist
815699	176720	Sis
815699	240785	Traffic Reporter
815699	253354	Owner
815699	253357	Asst. Manager
815699	316171	Reporter #2
815700	74740	
815701	192885	
815702	95471	Brothel
815703	95471	Brothel
815704	386526	
815705	170220	Herself
815705	170221	Herself
815706	170221	Host
815707	94187	
815708	326058	
815709	17729	Ivan's Daughter
815709	27424	Helena Stühleberg
815710	347793	
815711	80200	
815711	97294	
815711	205429	
815711	212342	
815712	267507	Angela
815713	6581	Herself
815714	18282	Zulema
815716	92618	Cheerleader Choreographer
815717	381821	Ensemble (1969)
815718	21529	Miss Chapone
815719	247984	Cuginetta Angelo
815720	360544	Girl at Roy's wedding
815721	57339	Lucia
815721	236186	Marcellina
815722	397182	
815723	82016	
815723	205294	
815724	290619	Interviewer
815725	59568	
815725	115885	
815725	189188	
815725	321515	Featured Dancer
815725	325903	Elke Immhoff
815725	343671	
815725	391604	Ines Führbringer (#2) (2004-)
815725	396874	Gina Goldberg (2002)
815725	407543	Nina
815725	409958	Nina Ryan (1998-2001)
815726	102989	Kind
815727	287779	
815728	161775	Luisa
815729	81147	Alice
815730	343578	Maman avec bébé
815731	248878	Navajo Bunk Girl
815732	56937	Young Mai
815733	27837	Kim
815733	339967	La fille camion social 1
815734	207828	Child in Classroom
815735	315246	Fairie Male
815736	308025	Vietnamese Girl
815737	54408	Elle
815738	348612	Little Asian girl
815739	70842	Shucker
815740	134028	Anh
815741	70842	Shucker
815742	56658	Yen (Oahn's Sister)
815742	316752	Dawn's Blonde Roommate
815743	87576	Chau-Minh
815744	224024	Widow
815745	66753	
815746	134028	Thuy Hoa's Sister
815746	292549	Bernadette Tran
815747	184812	Taipei Mother
815749	398697	Ex-girlfriend
815750	84235	
815751	60361	Julia
815751	331608	Sissi
815752	269717	Fafa, musicienne informatique
815753	141605	Torture Girl #2
815754	181836	Peasant Woman
815755	390035	Tina Nguyen
815756	347241	Vietnamese Girl
815756	410959	Vietnamese Girl
815757	16950	Lily Wang
815757	17646	Kam
815757	19109	Susie
815757	19561	Bubble Dancer
815757	38972	Eurasian girl
815757	40260	Jay
815757	68774	Marie
815757	88084	La fille de l'agence
815757	99587	Kim
815757	117476	Waitress
815757	164157	Comedienne
815757	232235	Emily
815757	286277	Margot Waï
815757	355126	Sylvie
815757	377798	Maid
815757	377976	
815757	388203	(1989)
815758	11627	
815758	17743	
815759	43994	Giovanni's mother
815760	324449	La femme de Ziani
815761	408857	Carmen
815762	64351	
815762	213894	
815762	250879	Valeria
815762	273905	
815762	327566	Marya
815763	93359	Other voices
815764	410238	Chinese Woman
815765	108575	
815765	149876	
815765	243265	Mette Maren
815765	333556	Fru Appel
815765	340080	
815766	353050	Annies mor
815767	216126	Clerk
815767	227030	Carla Harris
815767	385594	Phyllis (1981-1991)
815768	162414	Lai
815769	331595	Little Girl
815770	73927	Kali
815770	131687	Trini
815770	194524	Trini (Yellow Ranger #1)
815770	213478	Trini/Yellow Ranger
815770	312141	Manicurist
815770	397693	Trini Kwan/Yellow Power Range
815771	399657	
815773	36775	Kathy
815774	320541	
815775	151540	Becke
815776	85522	
815777	348402	Woman at Party
815778	251011	Veterinarian
815779	24085	
815779	33238	Renate
815779	33458	Rothraut Gräwert
815779	48392	Franziska
815779	49473	Helga
815779	77374	Alizon Eliot
815779	93456	
815779	115438	
815779	124277	Eugenie Marlitt
815779	125052	
815779	137435	
815779	140233	Joana
815779	146832	Geli Raubal
815779	162481	Lene
815779	166433	Mutter
815779	172792	
815779	177164	Jane
815779	177916	
815779	188758	
815779	205548	
815779	209969	
815779	210094	
815779	236817	Eileen
815779	263377	Elisabeth Christine
815779	272751	Henriette John
815779	283306	Lukrezia
815779	290182	Frieda
815779	323812	
815779	325623	Inge
815779	329679	Candida
815779	329682	Ariel
815779	339064	Helga
815779	343491	
815779	343496	
815779	345911	Margarete Burger
815779	347651	Emily
815779	352100	Sylvia Reimers
815779	356840	Inken Peters
815779	360960	
815779	364938	
815779	364945	
815779	367143	
815779	374377	Carol
815779	374553	
815779	381053	Marianne Hohmann
815779	411929	
815780	359410	Sister
815781	288315	
815782	370928	Mah, la mere
815783	288315	
815784	323042	Zima
815786	101175	La chasseresse
815787	101175	
815787	198347	
815788	286581	
815789	303052	Saran
815790	280592	
815791	218683	Amsatou
815792	144972	Tracey
815792	145175	Ilsa
815792	308174	Frankie's Mother
815792	381781	Herself/Presenter
815792	401624	Herself (1990-1998)
815792	401648	Herself (2001-
815793	407740	Herself
815793	407742	Herself (1999-2001)
815795	165428	Anne (Young)
815795	333205	Young Girl
815796	20478	
815796	20480	
815796	299105	Ageha
815797	356775	Woman
815798	105831	News Reporter
815798	194213	Cool Chick
815798	204218	Secretary #1
815798	309803	Casey
815798	340034	Carmen Lopez
815799	309636	Herself
815800	109365	Faye
815800	191331	Robot Girl
815801	14170	Janet
815801	221138	Sandy Gardener
815801	233774	Teenage Prostitute
815801	273867	
815801	314745	Woman with a Baby
815802	166616	Mother Grywicza
815802	179184	
815802	216593	Walczakowa
815802	247351	
815802	265335	Dr. Zygmunt's Mother
815802	266303	Jadwiga Barykowa
815802	275588	Mother Laska
815802	343299	Mother Malewicz
815803	4733	Ann Rutledge
815803	40850	Edith
815803	88566	Young Rose
815803	252158	Mary Schumacher
815803	268154	Clara Eynsford-Hill
815804	355357	Strega #2
815805	88002	
815805	151813	
815805	310328	Lola Hernandez
815805	332520	Red Wing, Daughter of Big Eag
815806	405426	Herself (vocalist, 1961-1962;
815807	46871	Cafe patron
815808	58827	
815809	139208	Winnie Hoskins
815809	299663	Nurse
815810	130677	Woman in dance hall
815810	170615	
815810	193832	
815810	300040	Draft Board clerk
815811	122227	
815811	127883	Cuscona
815811	345267	
815811	383574	Tata
815811	383586	Tata
815811	397933	Tata
815812	228411	Laura
815813	64153	
815814	131201	Fiametta
815815	226697	
815816	36744	The Survivor
815817	301701	Shelia's Mother
815818	325586	
815819	455	Anna II
815819	403442	Gisela 'Gisi' Wiemers
815819	412110	Renate Leineweber
815820	373869	Mickey
815821	94202	Pregnant Girl
815822	168686	
815822	356058	
815823	153160	
815824	160990	Young Silvia Broome
815824	256170	Lucy
815824	292455	June
815825	76197	French partisan
815826	81784	Anna Mueller
815826	135973	Mother
815826	183445	Miss Helen N. Wellenmellon
815826	213580	Katisha
815827	245625	Fashion Center Beauty
815828	191542	
815829	178678	Ramona
815830	183314	Skolevejleder
815831	41351	
815832	108551	Anette
815832	144167	Chemielehrerin
815832	179913	
815832	394739	Hilde Freytag
815832	402202	
815833	397878	Yael Klain
815834	136212	Pamela
815835	10021	
815836	225130	
815837	341133	
815838	82349	(segment "Mais de Cem")
815838	103885	Angélica
815838	108781	
815838	204263	
815839	51430	
815840	100249	
815840	377061	
815841	119255	
815841	129323	Margot
815841	132251	
815841	134855	
815841	145508	Gaby
815841	153928	Mary Schulthal, Manager
815841	182767	
815841	204515	Jeanette
815841	361122	Gertie Kramer
815842	168396	
815843	376310	
815844	24108	
815844	34354	
815844	36475	
815844	44826	
815844	49671	
815844	106761	Zimmermädchen
815844	156090	
815844	188806	
815844	223458	Erna
815844	280801	
815844	290170	
815844	290194	
815844	290633	
815844	293995	
815844	343480	Ein Mädchen
815844	350624	
815844	375986	
815845	6118	
815845	33492	Companion
815845	99021	
815845	156631	
815845	160156	Krankenschwester
815845	225285	
815845	226342	
815845	347806	Andrea
815846	290660	Teenager
815847	332216	La mère D'Emmeline
815848	97647	
815849	14705	
815850	149523	Josefa
815850	190768	Vida
815850	211174	
815850	293331	
815850	379937	Francisca
815850	381523	Ester
815850	382724	Mercedes
815850	388681	Milagros Quintana
815850	400097	Duda
815850	402371	Solange Lopes
815850	409814	Mary Matoso
815850	410245	Penélope
815851	144626	
815852	67054	Lita
815852	395885	Ana (Secretaria de Santiago)
815853	121811	
815853	136222	
815854	59573	Shawna
815855	116174	
815856	323521	Barbie
815857	14971	
815857	60803	Prue
815857	91712	Laura Bennington
815857	239566	Sally Brass
815857	280937	Salti
815858	367544	Undetermined Role
815859	110305	Stella Scarr
815859	121531	Vera Vernon
815859	128523	Mrs. Marbury
815859	156538	The Duchess
815859	157232	Eva Thornton
815859	215780	Claire Dupont
815859	329796	Mamie
815859	330607	Sheila Kemble
815859	360844	Mrs. Clara Churchill
815859	365074	Grace
815860	41002	Bit Role
815860	46739	Bess Talbot
815860	77767	Carol
815860	96990	Mary, Farwood's Secretary
815860	144989	Maggie (hospital switchboard 
815860	146859	Heydrich's Nurse
815860	147837	Jane
815860	192065	Miss Martin
815860	201151	Volunteer
815860	206355	Secretary
815860	209660	Secretary
815860	213475	
815860	220559	Woman-with-Big-Hat Pest
815860	221307	Belle
815860	304300	Cissy Minch
815860	321495	Telephone Operator
815860	321529	Helen Johnson
815860	331494	
815860	346238	Isabelle
815860	346914	Pretty Nurse
815860	363742	Hattie Lee
815862	363904	Jessie
815864	254985	Jean
815865	110516	Prostitute
815865	138478	Production assistant
815866	31637	Bikini Audition Girl 18
815866	73835	Dancer
815867	93055	Roxanne
815868	80759	Josie
815869	85086	Jerri Wilson
815870	8094	Mary Poole
815870	12184	Patricia Quilter
815870	27282	Augusta Leigh
815870	29304	Ann Howard
815870	35578	Ilona Domansky
815870	46891	Helen Norwood
815870	61781	Polly Mortimer
815870	63161	Beatriz de Peraza
815870	90287	Mary Lamont
815870	91564	
815870	127226	Julia Price
815870	160570	Miss Meadows
815870	183833	'Mrs.' Margaret Todhunter
815870	185056	Ann Arkell
815870	193610	Woman in Night Club
815870	207435	Clara Baker
815870	215779	Joan Walton
815870	233830	Miss Blandish
815870	269086	Daphne
815870	295467	Gillian Chase
815870	309801	Carole Dean
815870	313797	Laura Millington
815870	328618	Mary Redmayne
815870	360780	Mimi
815871	923	Herself (attended JFK inaugur
815871	111564	Herself
815871	157895	Herself
815871	162987	Herself (Peter, Paul & Mary)
815871	253954	Herself
815871	253955	Herself
815871	253956	Herself
815871	253958	Herself
815871	360608	Herself
815871	389997	Herself/Interviewee
815872	316562	Little Marjorie
815873	348531	
815874	330010	Herself
815875	11136	
815875	13301	
815875	89060	
815875	242561	
815876	162617	
815876	231127	Mother
815876	358610	Maid
815876	405217	Wardress 2
815876	405525	Dona Elvira Manuel
815877	4971	Nurse Allen
815877	79148	Lady #2
815877	94972	Stewardess
815877	138688	Nurse Schroeder
815877	245160	June Lock
815877	251798	Lorraine, Model
815877	305942	Atheris
815877	308917	Betty
815877	314058	Mrs. Southwick
815877	338808	Girl at Billie's
815877	385132	Maxine Corbert
815877	385299	Eleanor Brandt
815877	409819	Arlette van der Valk (1972-19
815878	101721	Nude
815879	119802	
815879	363932	Muffin-faced Woman
815880	222892	Kay Campbell
815880	405217	Zellie Emerson
815881	257203	Sara Charity Fulgham
815882	52040	Henriette Caillaux
815882	65912	Leontine Petrovsky
815882	77987	Lola Dupre
815882	120881	Kazia
815882	123348	Marcia Dunning, aka Madame Ro
815882	142413	Paula Humphrey
815882	162358	Esther Regan
815882	186652	Claire Berton
815882	194916	Judith Atherstone
815882	196109	Olive Risdon
815882	252126	
815882	260228	Her mother
815882	281872	Rose Labelle
815882	298760	
815882	302906	Violet
815882	306017	Marguerite Coullard
815882	311301	Nell Gordon
815882	311473	Lady Marion Chatham
815882	325981	Bess Ruttherford
815882	331675	Sonia, Queen of Veseria
815882	362457	Claudia Chilson
815882	362778	Vera Loudon
815883	357092	
815884	52879	
815884	69145	Herself
815884	69148	Herself
815884	69149	Herself
815884	69150	Herself
815884	69151	Herself
815884	69154	Herself
815884	69162	Herself
815884	104735	Swiss entry (8th place)
815884	104739	Swiss entry (13th place)
815885	110387	
815886	14377	
815886	17746	
815886	20055	Antonia
815886	61061	
815886	69021	
815886	93736	
815886	94650	
815886	115123	
815886	118930	Second Prostitute
815886	128071	Prostitute
815886	159688	
815886	200972	
815886	209440	The Prostitute
815886	234707	
815886	249251	
815886	259721	
815886	269949	
815886	280747	Blonde Prostitute
815886	310969	
815886	313915	
815886	319540	Singer on the ship
815887	234643	
815888	29672	Tiniara
815888	30722	
815888	52776	
815888	67012	
815888	101260	
815888	106287	
815888	112058	
815888	112059	
815888	131970	
815888	148175	
815888	171470	
815888	214405	
815888	214620	
815888	215209	
815888	234410	
815888	277409	
815888	318005	
815888	319511	
815888	320215	Susana
815888	342057	
815889	258936	Nurse
815890	233039	
815891	273848	
815891	399024	Señora Pereira
815892	123182	
815893	80108	
815893	206768	
815893	399497	Doña Santa
815893	405397	Doña Pierina
815894	51377	Featured Victim
815895	29523	Barfly
815895	43924	Leslie
815895	296752	Member of Punk Rock Band
815895	360601	Jane Fonda
815896	148422	Marcia Poyntier
815897	388185	Host (Herself)
815897	400683	Host
815899	185624	Mrs. Powers' Friend
815899	227509	Judge
815900	16888	Patsy
815900	50070	
815900	67577	Greta
815900	67591	Lady scientist
815900	67791	Alice Ann
815900	87893	Mrs. Dodge
815900	100813	
815900	130458	Secretary to Wedgewood
815900	191513	Garson's Mother
815900	207099	Correspondent
815900	359454	Mother
815901	36968	
815901	47426	Amy
815901	48947	Tracy Robicheaux
815901	49955	Gina
815901	77768	Voice of Nana Greenwald
815901	114296	Sarah
815901	164366	Lizzy
815901	196970	Amber
815901	272880	Jane
815901	316730	Henrietta
815901	347415	Receptionist
815901	410887	Amy
815902	133929	Mrs. Goodloe
815903	34707	Carol
815904	34028	Laura Homan Ballenger
815904	37087	Margaret Anthony
815904	47000	Lady at Party
815904	47343	Hat Check Girl
815904	47346	Mrs. Bannister
815904	56193	Della Street
815904	56211	George's Lady Friend
815904	57606	Tommy Thomas
815904	64539	Kay Rogers
815904	92612	Dublin, a Moll
815904	96786	Mabel Johnson
815904	105808	Nancy Jones
815904	110419	Anne Lawrence
815904	129191	Iris Bennett
815904	129778	Judith Daniels
815904	164972	Jane Rogers
815904	168805	Paula Denbrough
815904	176307	Mary Malone
815904	192131	Mary Ellen
815904	195768	Jo Hopkins
815904	205912	Terry
815904	210749	Sally Haines
815904	218346	
815904	220907	Janice Martin
815904	231930	Della Parrish
815904	245645	Lucille Martin
815904	245681	Kay Norton
815904	299197	Cigarette Girl
815904	313517	Phyllis Stone
815904	315956	Mary Rand, an Alias of Jenny 
815904	333434	Beth Calhoun, aka Fay Melody
815905	233840	Crystal Rivers
815906	57993	Racheal Dennus
815906	106639	Holly Brandon
815906	109857	Girl in Car
815906	117292	Drunk Girl
815906	127351	Stephanie
815906	276612	Karen
815906	287131	Rachel Malcolm
815906	383789	Rachel Dennis
815906	398015	Julie Dante
815907	100131	Veronica
815908	272231	Waitress
815909	2118	Sylvia Bennington
815909	9001	Corinne Landreaux
815909	24137	Carol
815909	42773	T.J. Harlow
815909	42913	Lorraine Franklin
815909	59350	Joan Barry
815909	84207	Lucille
815909	98164	Lyria Williams
815909	116033	Carol Johnson
815909	133973	Robin Hunter
815909	139357	Jessica Gray
815909	154852	Leah Bundy
815909	160897	Kathleen Avila
815909	189726	Kate
815909	194374	Riva
815909	202395	Ann
815909	206447	Karen Lutnick
815909	224064	Susan Morton
815909	283546	Jenny Pryce
815909	303266	
815909	306431	Harriet Michaels
815909	331475	Sylvia Bennington
815909	350488	Rita Baker
815909	379830	Kim Cooper
815909	381525	Christina 'Chris' Conner (200
815909	387065	Bernice/Beverly/Beatrice
815909	402954	Additional Voices/Spencer
815909	403763	Joyce Reardon
815909	411405	Julie Better
815910	48592	Mayolia
815910	56377	
815910	63424	Ria
815910	72769	Mrs. White
815910	192574	Marcy's Mother
815910	233552	Hypnotist
815910	330146	Carmen Miranda Lady on Bus
815910	345683	Welfare Worker #2
815911	21046	Teacher
815911	23441	Christy
815911	29112	Cleo Miller
815911	55531	Christine Jenkins
815911	88879	Melanie Victor
815911	92681	Theresa
815911	96741	Tammy
815911	127237	Dana
815911	139306	Jill
815911	141412	Nurse Gale Grey
815911	161537	Bonnie Donaly
815911	222947	Phyllis
815911	224691	Powerwoman
815911	242083	Dianna
815911	242091	Lola Jennings
815911	248676	Roberta Billingham
815911	257765	Nurse
815911	274188	Hilary
815911	304738	Rachel Rimes
815911	309535	Flight Attendant
815911	317842	Cindy Kenner
815911	319493	Heather
815911	320265	Jessica
815911	337404	Helena's Friend
815911	342791	Nancy
815911	362355	Woman
815911	393961	Various roles (1989-1992)
815911	396064	Cruise Director Suzanne Zimme
815912	80743	Librarian
815912	254414	Jeri
815913	357229	Natasha
815914	827	
815915	146476	Mujer en el baño
815916	264974	Waitress
815917	3749	Herself
815917	29524	Mrs. MacNeil
815917	168604	Herself
815917	252825	Mary
815917	288695	Pizza Girl
815917	321718	Hostage
815917	343045	Bank Teller
815917	345650	Checker
815917	348594	Wedding Party
815917	380506	Bank Customer
815918	235513	Herself
815919	3749	Herself
815919	19995	Rouillard
815919	30683	Agnes
815919	57689	Herself
815919	64409	Marion
815919	72111	Photographer
815919	84437	Rose
815919	99578	Marion Keisker
815919	107151	Joanne
815919	133401	Waitress
815919	152533	
815919	161415	Marilyn Burns
815919	168604	Herself
815919	263172	Analyst
815919	358292	Gossipy Woman
815919	383923	Charles' mother Lillian (1987
815919	389858	Gloria Cerullo (1994-1996)
815919	393574	Louisa Arcola Delvecchio
815919	396574	Dorothy Manucci
815919	399817	Rita Sugarman
815919	410953	
815920	288695	Lady in paint store
815921	30640	Nurse #1
815921	56871	Ms. Davenport
815921	58490	Anita Fermi
815921	138374	Debi Wyrthen
815921	144804	Rob's Mom
815921	158140	Dr. Kohanek
815921	168604	Herself
815921	194666	Sandra Harris
815921	196995	Nurse
815921	211382	Autism Expert Nurse
815921	212687	Reporter #1
815921	228310	Judge
815921	267105	Vera Whitner
815921	321718	Hostage
815921	337404	Economist
815921	363581	Admitting Nurse
815922	76384	Little Girl on Street
815923	76384	Little Girl on Street
815923	228725	Samantha
815924	124541	Tinker
815925	392609	
815926	20282	Dueña de hotel
815926	268175	Liliana
815926	411636	Matilde
815927	202090	Mme Midi Pile
815928	30646	Talk Show Audience
815929	271855	Dancer
815930	151294	Morley Child
815931	44899	Chorine
815931	157870	Bit
815931	175627	Kentucky Belle
815931	241444	
815931	308632	
815931	312042	Bit
815931	313301	Chorine
815931	360837	
815931	370537	Chorine
815932	346414	Kate O'Malley
815933	405013	Allison Reeves
815934	306363	(segment "Thrill Kill")
815935	83094	Café Waitress
815935	238168	Female Day Terrorist
815935	272384	Gotinata matzka
815936	326260	
815936	375394	
815938	70951	
815938	87836	
815938	159346	(segment "Elixir de amor")
815938	164349	
815938	255506	
815938	286880	Mamá de Samy
815938	371763	
815938	382951	
815938	384782	Serafina
815938	388946	Greta
815938	389235	Margarita
815938	393362	Various Characters
815938	397571	Corina
815938	398816	Sara Escobar de Sokolovski
815938	407729	Various Characters
815938	409957	Rosario (1998-1999)
815938	410289	Polonia
815939	11531	Secretary
815939	56545	Herself
815939	116380	Governess
815939	160573	Gwendoline/Vicar's wife
815939	224407	Barmaid
815940	155013	Woman with professor bob
815941	7931	Veronica Kowalski
815941	27841	Lawyer
815941	30734	Alma
815941	42842	Dress Designer
815941	47004	Leather Lady
815941	47588	Susy
815941	66589	Jackie Slavin
815941	90341	Open Door Girl
815941	109938	Flight Attendant
815941	113491	Maggie
815941	113900	Ed
815941	141544	Elaine Cheritto
815941	155927	Lulu (Girl in the Bar)
815941	194478	Maureen Pimm
815941	203287	
815941	207171	Mrs. Brown
815941	230508	Ellen Saltonstall
815941	279173	Rawhide
815941	298115	Lucinda
815941	304752	Deborah
815941	327419	Karen Jarek
815941	327767	
815941	334154	Faye Stone
815941	349896	Valerie Flake
815941	358902	Herself
815943	142535	Beth
815944	229902	Bridie's Daughter
815944	253864	Mrs. O'Brien
815944	272586	Mrs. Brown
815946	178189	Extra
815947	313756	Doris Manners
815948	321306	Tony's gang
815949	78789	Mrs. Goodwin
815949	137578	Casualty Sister 1
815950	149261	Cohn Child
815951	260161	Krysztyna
815951	375943	Model Meisje
815952	91062	Host
815952	91063	Host
815952	91064	Host
815952	91066	Host
815952	91071	Host
815952	236048	TV anchor
815953	160982	Amazon
815953	236387	Darla
815953	289666	Miss Mann
815954	42079	Beba
815954	277430	Bobotova žena
815955	390163	Denise Byrne
815956	82385	Prison matron
815957	64500	Mary
815957	207195	Ma Chadwick, Ruth's mother
815957	285039	Mrs. Blythe
815957	358712	Mrs. Borden
815957	371057	
815958	79851	Maid
815958	96829	Madame
815959	241284	Hannah Brown
815960	45494	Beulah
815960	45531	Mrs. Foster
815960	60189	
815960	80439	Woman with Poodle
815960	82379	Mrs. Jefferson
815960	88916	Woman
815960	110953	Mrs. Bannister
815960	114851	
815960	125857	
815960	186287	Martha Abbott
815960	190268	Mrs. Joe Nye
815960	205448	Mrs. Morgan
815960	215276	
815960	241349	Ella Hodges
815960	296804	Mrs. Vanderbrook
815960	298256	Polly Parker
815960	308636	Bit
815960	363288	
815960	367919	Companion Woman
815960	368974	Mrs. Errol
815961	401506	
815962	160304	Herself
815963	193775	
815964	279615	Jessica
815965	383461	EN Becky Reece
815966	11109	Nastya
815967	65605	Lotus Deepak's Asst
815968	5383	Mrs. Galloway
815968	10561	Dowager
815968	18615	Middle-Aged Woman
815968	25868	Emily Lovelace
815968	30122	Second Woman
815968	47138	Mrs. Kermishaw
815968	69676	Dowager
815968	77767	Dean of Women
815968	84901	Mrs. Wooster
815968	96939	Wife
815968	109402	Supervisor of Models
815968	109673	Anita's Mother
815968	112183	Mrs. Stuart
815968	114059	
815968	114650	Aunt Martha
815968	123350	Guest
815968	125884	
815968	126561	Mrs. Prescott
815968	128161	Mrs. Delsarte
815968	128256	Mrs. Jamison
815968	128416	Mrs. Abernathy
815968	130300	Society lady
815968	140464	Julia Fraser
815968	143191	Diplomat's Wife
815968	149126	Mrs. Brady, Elderly Guest
815968	154652	Mrs. Winterhalter
815968	154832	Mrs. Stevens
815968	154864	
815968	154881	Dowager
815968	154972	Mrs. Fletcher
815968	168125	Mrs. Graham
815968	175162	Woman at Auction
815968	177424	Mrs. Mason
815968	183710	Party Guest
815968	190264	Churchgoer
815968	196295	Bit
815968	203799	Gossipy Woman
815968	215748	Mrs. Nash
815968	220333	
815968	220875	Mrs. Mason
815968	221130	Mrs. Taylor
815968	231768	
815968	232040	Mrs. Abigail Keith-Trimble
815968	232419	Bit part
815968	234211	Mrs. Hamilton
815968	269364	Matron
815968	297918	
815968	299165	Mrs. Napier
815968	312007	Mrs. Enix
815968	316323	Mrs. Anderson
815968	325199	Mrs. Ames
815968	329533	Mrs. Barclay
815968	329903	
815968	333316	
815968	338287	Dowager
815968	346248	Guest
815968	366422	Gray lady
815968	366889	Dowager
815968	367629	Mrs. Worthington
815968	367756	Guest in Cafe
815968	372145	Kirby's Dining Guest
815968	374522	Mrs. Barrett
815969	6462	
815970	367068	Background Singers
815971	3140	Lucy Campbell
815972	160344	Reporter No. 1
815972	185596	News Reporter
815972	195626	
815972	299657	
815973	2135	
815974	10884	Cathy Frankel
815974	10885	Cathy Frankel
815974	10886	Cathy Frankel
815974	10887	Cathy Frankel
815974	10888	Cathy Frankel
815974	10889	Cathy Frankel
815974	11485	Fan Dancer #7
815974	81350	Camisarde
815974	107002	Girl in bed
815974	118948	Computer Voice of Buchanan'a 
815974	141002	Carrie Richards
815974	150854	Kelly Cobb
815974	183876	Capt. Lorraine Hanover
815974	192049	Susan Ferris
815974	230089	Dr. Morgan Hubbard
815974	232463	Judith Teller
815974	270903	Rita Carrion
815974	306421	So Fine Dancer
815974	308071	Nancy Webster
815974	328609	Linda
815974	370580	Rowena
815974	379671	Cathy Frankel
815974	385884	Ellen Brunner (1991)
815974	404282	Sheila Carlyle (1986)
815974	404921	Hannah Moss McFadden
815975	41614	
815975	41632	
815975	106483	
815975	158969	
815975	296270	
815975	297923	
815975	319940	
815976	152496	Shalini (Special Appearance)
815976	162695	Alisha
815976	398446	Herself
815977	215865	
815979	148852	A Child
815979	260245	Patch
815979	280485	
815980	20794	Danila, la domestica
815980	92073	
815980	109344	Sonia
815980	234763	
815981	382485	Herself - Host (2004)
815982	49644	
815983	45756	Talk Show Guest
815984	250402	Wife of Dohnal
815985	188603	
815986	95062	Pístalová
815986	108537	Designer Suchá
815986	108909	
815986	198233	
815986	207721	Bzochová
815986	215876	Cleaning Woman
815986	229553	Comedian
815986	237202	
815986	257483	Chrástková
815986	287114	Jirina
815986	304191	Drobecková
815986	304192	
815986	410338	Mother
815987	296677	Bridget Avers
815988	205426	Aretha
815989	105587	Alumna
815990	83783	Gilda's Landlady
815991	235246	Anna-Cerise
815992	333069	Sallie Getz
815993	132352	
815994	440	Luisella
815994	17599	Lynn
815994	56345	
815994	229738	Marisa
815994	244065	Giulia
815994	352277	Giuliana
815994	384750	
815994	384751	Lucia
815994	390091	
815994	402781	Giuliana
815995	21637	
815995	183805	
815996	126120	
815996	300534	Karla
815997	167043	Brooke du Pond
815998	115588	Little Girl
815999	10841	(segment "Alien Abductee Inte
815999	29650	Anne
815999	45855	
815999	72877	(segment "Dryer Straits")
815999	261634	
815999	300856	Bat Girl
816000	346413	Jenny (Zenia)
816002	55110	Witness for Peace
816003	252068	Susie
816004	87795	Girl
816004	120579	Tilly
816004	145554	Mary Hollins
816004	195664	
816005	4730	Elizabeth Edwards
816005	22185	May Emmerich
816005	46840	Marion Courtney
816005	51885	Lady Photographer
816005	56098	Nurse Clark
816005	56208	Lucy Benton
816005	59607	Charlotte Ronnell
816005	69403	Hilda Kleinhauer
816005	73168	Pearl Adams
816005	92652	Dracula's wife
816005	92798	Ruby Steele
816005	94223	Bride of Dracula (in catacomb
816005	96833	Kitty
816005	97493	Solveig Brategaard
816005	108366	Marie Elsnore
816005	113885	Mrs. Jolan Brandt
816005	118314	Mae Danish
816005	120260	Countess Olga Andrei Misitals
816005	133620	Mme. Moreau
816005	140408	Frances
816005	143607	Gladys
816005	145106	Salvo's Moll
816005	146868	Else von Brandt
816005	153183	Cecily Reid
816005	179083	Martha Rockne
816005	190057	Rita
816005	190179	Caraway Secretary
816005	192141	Clara Stone
816005	199330	Adelaide, the King's Daughter
816005	203543	Mrs.Van Avery
816005	206168	Woman in Raid
816005	210890	Harriet, Ellen's mother
816005	224603	Alma
816005	224725	Valerie Edwrads
816005	228819	Daphne
816005	228911	Miss Harper
816005	231797	Kiki Lorraine
816005	233934	Frieda Miles
816005	300912	Ilka
816005	302669	Mrs. Bennett
816005	304300	Kathe, fifth column leader
816005	327193	Reni Vonich
816005	331384	Blackie Winter
816005	337366	Clara
816005	363571	Mittie Federie
816005	367511	Mrs. Olga Goodyear
816005	374198	Madame Dufresne
816006	89572	Poetess at Steiner's Party
816007	60343	Student
816007	105247	Bunny's Friend
816007	110324	
816007	128850	Gertie Dolan
816007	128894	Sudie
816007	145076	Nurse
816007	199136	Patricia
816007	227336	Brinwood Student with Black H
816007	227337	Teen
816007	227338	Bit Part
816007	227339	
816007	265603	Gert
816007	318792	Stock company member
816008	96715	Widow Seidelblast
816008	128197	Madame Petypon
816008	143221	Grandma
816008	191773	Mrs. Clenman
816008	203484	Mr. Maydig's Housekeeper
816008	264733	The King's nurse
816008	314839	Mrs. Sternhold
816008	318074	Granny
816008	360719	Countess of Stokeshire
816009	4612	Theresa
816009	45487	Mother
816009	79361	Mrs. Tobin
816009	87518	Mrs. Peters
816009	113972	Bella Blackburn
816009	124099	Aunt
816009	139177	Rachael
816009	150985	Gambler
816009	151113	Sarah Gooch
816009	206927	Miss Stag
816009	264054	Mrs. Clermont
816009	301929	Eillean Destiny
816009	312556	Mrs. Murray
816009	319245	Mrs. Laver
816009	325973	Undetermined Role
816009	362199	Mother
816009	367621	
816009	367929	
816010	168548	Herself
816010	215364	Susan, Guy's girlfriend getti
816010	221055	Amanda Venable
816011	283954	Penelope, Stig's Wife
816012	164590	Tanya
816013	117227	Emma Miller
816013	141370	Lady Bennington
816013	268152	Perfide, Social Reporter
816013	347410	
816014	108	Gregory's Secretary
816014	6086	Clubwoman with Pecan Pie
816014	11288	Miss Schuster
816014	12764	
816014	16042	
816014	26054	Miss McGoun, Babbitt's Secret
816014	26119	Receptionist
816014	26626	Housewife
816014	35488	Mary Belle
816014	38583	Mrs. Burnside
816014	39428	Nina Norton
816014	41010	Diane Peabody
816014	46802	Jennie Baldwin
816014	47343	Second Irate Phone Caller
816014	47346	Nurse
816014	49547	Matron
816014	51799	
816014	52043	Cashier
816014	52668	Flo Burton, script girl
816014	54607	Libby, the Housekeeper
816014	54930	Secretary to Shirley Drake
816014	56098	Monica
816014	56200	Telegraph Office Clerk
816014	56211	Spudsy's Wife
816014	65706	Mildred
816014	67096	Miss Hively
816014	76502	Receptionist
816014	77592	Jennie Wolfe, Arden's Agent
816014	77952	Esme
816014	77998	Huree, the Nurse
816014	90133	Lucy Blake
816014	90255	Owen's secretary
816014	91565	Switchboard operator
816014	92219	Nurse
816014	93240	Bit Part
816014	95028	Miss Twill, Bill Ward's Secre
816014	102932	Cashier
816014	104334	Admitting Nurse
816014	105075	Employment Clerk
816014	109862	Secretary (Credits)/Miss Patt
816014	114164	Agnes, Barbara's Maid
816014	114851	Party Guest
816014	115478	Newspaper woman
816014	117097	Amy, The Maid
816014	120009	Squirmy
816014	120645	Alice Beesley
816014	120687	Nurse
816014	121358	Agatha Ormsby
816014	121585	Woman selling magazine
816014	121649	Mrs Stevers
816014	128170	Secretary
816014	128256	Jenny
816014	128884	Mrs. Figgot (hat customer)
816014	129804	Mrs. Mary Blair
816014	129810	Silent Showgirl
816014	129872	Miss Wellington, aptitude tes
816014	130028	Miss Flint, Secretary
816014	130712	Appleby's Secretary
816014	133703	Persis
816014	135798	Spinster
816014	136266	Grace Conley
816014	138223	Sophie Lawrence
816014	138668	Waitress
816014	138686	Bob's Comedienne Friend
816014	139589	Girl at table
816014	144878	Cassie McQuade
816014	146751	Janie
816014	149126	Gwen
816014	154230	Sob Sister
816014	154352	Clementine
816014	154376	Cecilia 'Cissy' Grant
816014	154471	Mother Bradley
816014	154881	Girl
816014	163485	Cousin Tilly
816014	164972	Gladys Joy
816014	167707	Nurse
816014	168858	Heckler
816014	175629	'Sugar' Hatfield
816014	178342	Pat Day
816014	183589	Miss Tracy
816014	188332	Nelly
816014	188391	Miss Adams
816014	190723	Nurse
816014	195470	Alice Gillingwater
816014	200881	Suzy Abbott
816014	206472	Kidnapped Nurse
816014	208636	Secretary
816014	211635	Gladys (Mammoth Studios casti
816014	215625	Violet Johnson, Butch's Girl
816014	215809	Mother at Railroad Station
816014	219189	Waitress
816014	220905	Fan with Locket
816014	222600	Florrie the Maid
816014	222701	Margaret Brody
816014	224003	Dawn
816014	224665	Smitty
816014	228828	Agnes
816014	231797	Isabelle, Hassler's Secretary
816014	231812	Olga
816014	241332	Mabel Taylor
816014	246215	Irene (Operator 37)
816014	246512	Beauty Shop Operator
816014	248496	Mrs. Belden
816014	262138	Nancy
816014	269364	Billy's Nurse
816014	272470	
816014	274159	Maggie
816014	278540	Woman
816014	280117	Nurse
816014	280355	
816014	280981	
816014	281415	Mrs. Roberts
816014	282565	Secretary
816014	285095	Sgt. Hansen
816014	285637	Ginger
816014	286154	Miss Barkow
816014	292191	Elsie
816014	298047	
816014	299163	Nurse
816014	299197	Cowboy's Girl
816014	302721	Secretary
816014	305934	Nurse Jones
816014	306327	Secretary Taking Mike's Dicta
816014	306466	Lt. Sadie Schwartz
816014	312586	Giddy Girl
816014	312810	Miss Warren, Harris' Secretar
816014	313057	Nora Cassidy
816014	313328	
816014	315266	Miss Regan, Secretary
816014	316083	Lorry May
816014	316105	Nurse
816014	317176	Mercedes
816014	321115	Girl
816014	321257	Girl at the Railroad
816014	321505	
816014	321514	Gertie Burns
816014	321522	Marie Finch
816014	323071	Mata
816014	323807	Janet Morris
816014	324054	Martha
816014	329148	Wife
816014	329329	Fan
816014	330107	Susie Johnson
816014	330165	Saxe
816014	330167	Helen
816014	331615	Secretary
816014	335643	Emma
816014	338557	Miss Wells
816014	340854	Mae
816014	354022	Shocked Woman on Street
816014	358274	
816014	362794	Emily Parsons
816014	363190	Waitress
816014	364357	Mattress Customer
816014	372081	Doris
816014	372516	Helen Bryan
816014	372553	Kathy
816014	393611	Hilda (1962-1965)
816014	411195	Emily Dodger
816015	121808	Tropicana Dancer
816015	187482	Can Can Girl
816015	224346	Party guest #1
816015	350506	Dancer: Slave Dance
816016	30965	Paparazzi Reporter
816017	362675	AA woman #2
816018	58842	
816019	15888	
816019	24108	Dr. Alice Giesebrecht
816019	28426	
816019	31921	Alwine Leisetritt
816019	33237	
816019	40585	
816019	40953	Luise Niklas
816019	42114	Frau Studienrat Rathje
816019	53605	Fräulein Winter
816019	55529	Maude Fulton
816019	75933	Gräfin Tabory
816019	77371	Jane Birman
816019	90649	Elisabeth, seine Frau
816019	98425	Evelyn
816019	100991	Die Witwe Kurländer
816019	103035	Dr. Feyls Tante
816019	103074	Franziska Koch
816019	103137	
816019	107826	Grace Winslow
816019	109503	
816019	111773	Frau Knauer
816019	119111	Frau Konradin
816019	119123	
816019	119140	
816019	119179	Fräulein Mümmelmann
816019	119723	
816019	120926	Elsie
816019	125000	Frau Schleinitz
816019	134983	
816019	136208	
816019	140228	
816019	142007	
816019	145328	Inez
816019	147146	
816019	147157	Lothars Verehrerin
816019	147539	Gouvernante
816019	155435	Oberhebamme Thea
816019	157673	
816019	157758	Eliesabeth Buschenhagen/2. Ge
816019	159686	
816019	162476	
816019	163972	Sinaida
816019	166741	
816019	177192	Mother
816019	178360	
816019	180916	
816019	182747	Constance
816019	189448	
816019	189619	Fräulein von Tischowitz
816019	189629	Tante Käthe
816019	210085	
816019	210313	Lilli
816019	220512	Mrs. Lipinski
816019	225137	Frau Schumann
816019	225147	Lady Taylor
816019	225171	
816019	225182	Frau Lindgren
816019	226199	
816019	226244	Lizzy
816019	226258	
816019	227931	
816019	253944	
816019	275201	Frau Renaud
816019	277458	Mutter
816019	280797	
816019	289950	Marylins Mutter Evelyn
816019	290558	
816019	290690	Miss Küfner
816019	290859	
816019	293621	
816019	293866	Dr. Erika Hardt
816019	294213	Almar
816019	303720	Agathe von Pritzelwitz
816019	308196	Mrs.Richter
816019	312084	
816019	316550	Annemie
816019	317504	Ellionor Hilliard
816019	322531	Mutter Walters
816019	324691	Mutter von Daisy
816019	333351	Frau Langer
816019	335027	Frau Prof. Dr. Vogel
816019	343504	
816019	345671	Frau Schulz
816019	346849	
816019	352073	Mrs. Konig
816019	352103	Die Leiske
816019	354464	
816019	356724	Direktrice Tröger
816019	356836	
816019	359635	Mrs. Benthien
816019	361368	
816019	367152	
816019	374549	Jenny von Gustedt
816019	374646	Frau von Keller
816019	375264	
816019	376025	
816019	388248	Generalin
816019	389602	
816019	393360	
816019	410777	
816019	411258	Gräfin Sonsfeld
816020	56431	Lindsey Larson
816020	391880	Gracie Taylor (1998-1999)
816021	56431	Lindsey Larson
816021	391880	Claire Taylor (1998-1999)
816022	331133	Lady Manton
816023	143838	Dow Secretary, posing as Debu
816023	191588	Nurse
816023	264567	Second Girl in Bridge Game
816023	363190	Waitress
816024	90317	Dr. Maggie
816025	273077	Transilvania Extra
816026	396136	Host
816027	192284	Nell
816028	147521	Valerie Thompson
816028	209629	Monica Harling
816029	304352	Entertainer and Dancer
816029	370074	Megan
816030	133972	Janet Brown
816031	26247	
816031	85151	
816031	200407	
816031	265640	
816031	265641	
816031	340065	
816031	344278	
816031	373496	
816032	311869	Herself (associate choreograp
816033	105318	
816034	238238	College Student
816035	238238	College Student
816036	177377	
816037	37452	Teenager
816038	10145	Ismene
816039	303175	
816041	101646	Annabelle
816041	167035	Mrs. Thorpe
816041	351252	
816041	356969	La Vouivre
816042	33640	Une prostituée
816042	70955	Mimine
816042	198974	Mimine
816042	345417	Margot
816042	377068	
816043	211679	
816044	328751	Child
816046	273030	Second French spy
816047	233932	Sofia
816048	302245	Granddaughter
816049	221963	
816049	222412	Maquillista Tolín
816050	221739	Monja
816051	6670	
816051	100408	
816051	186543	Mother
816051	244586	
816052	21583	Curiosa calle
816053	379564	Herself/Correspondent
816054	121314	Madre del Chacal
816054	160987	
816054	302238	
816054	302331	Señora Aliaga
816054	383483	Violeta
816054	387905	Doña Leo
816054	405397	Teresa
816054	408410	Juanita
816055	55882	Tereza
816055	72383	Mária
816055	165080	Polly
816055	202260	Anca
816055	266454	Secretary Gerstlová
816055	376604	
816055	383079	Pipina Ulcová
816055	404278	
816056	84820	Angelina
816056	293907	
816056	320490	Trandychikha
816056	352871	
816056	356993	Furnace
816057	220968	Woman
816058	380750	
816059	95700	Mena
816059	95955	
816059	197219	Maryska Miechowska
816059	231362	Actress
816059	236160	
816059	262157	Krystyna Orzelska
816059	262196	
816059	293700	Guard
816059	338980	Natalia
816059	341166	Barbara Wlodarska
816059	364982	Dorota, Jarek's Wife
816060	301248	
816061	169139	Gogo Dancer
816061	405209	Teena Harvey (2000)
816062	38067	Mrs. Twist
816062	68225	Stash
816063	16891	Herself
816064	53284	Hope
816064	131490	Barb, Dennis Hopper's Girlfri
816065	98315	
816065	129727	Frau Melberg
816065	389948	
816065	389959	(1. Staffel)
816065	392509	Frau Sommer
816065	407351	
816066	242113	Girl in Classroom
816067	199207	
816068	228218	Wynne Adams
816069	139776	
816069	165098	
816069	389365	Annabelle
816069	399136	Emma
816070	227154	Mrs. Olson
816070	254994	Mrs. Yeager
816071	221214	Dorothy Manners
816071	264095	Laura Parker-Bowles
816071	384766	Sally
816072	101387	Catherine of Bragança
816073	372567	Mrs. Dorth, Teacher
816074	183833	Anna the Hotel Maid
816074	344931	Mary Wynne
816075	285031	Mother Superior
816076	17319	Sandy
816076	88823	Paula Walton
816076	107042	Sarah
816076	127572	Sharon Harrison
816076	147393	Charleen
816076	154927	Posh Boy's mum/TV guy #2/Repo
816076	186847	Lily
816076	231392	Angela Jones
816076	231907	Pam Atwell
816076	263291	Maria
816076	263606	Lisa Unsworth
816076	273346	DS Paula Savage
816076	299487	Deborah
816076	320744	Lorraine Landry
816076	340557	Karen
816076	345746	Eva Braun
816076	346156	Vron
816076	382526	Louise
816076	384346	Nikki Reed (1998)
816076	384477	Katherine Mackintosh
816076	399374	Ange McMullen
816076	403803	Miriam
816076	406267	Trish Freeman
816076	408866	Cheryl Goodall
816077	109789	Dolores als kind
816078	86637	Deepa
816079	195992	Mary Tighthouse
816079	348067	Matron
816079	382239	Annette
816079	401744	Ellen
816080	192406	Belle Moffatt
816081	356911	
816082	99284	Pregnant Woman
816083	17864	Tante Marie
816083	86911	Spectatrice
816083	196820	
816083	236206	La mère
816083	237330	
816083	307499	
816083	350918	Marie Roberge
816083	402536	
816084	164220	Dolores Martin
816084	247607	
816085	335372	Herself
816086	284154	Herself
816087	321255	
816088	75629	Mlle Latendresse
816088	120141	
816088	268389	
816088	282102	Une dame patronnesse
816088	345268	Une Femme
816088	378731	Charlotte
816089	249712	Femme a la pipe
816090	1766	Angela
816090	1889	Carole
816090	10090	Madeleine
816090	66709	Marlène
816090	205645	Hélène
816090	207995	Guylaine
816090	353815	Sophie Taillon
816090	378858	Jasmine Simard (1997-)
816090	380370	Annie Séguin
816090	387530	Sylvie Légaré
816090	391631	Patricia Lalande
816090	400139	Diane
816090	401331	Caro Paré
816091	21617	Béatrice
816091	33170	Inspector's Wife
816091	100430	
816091	139820	
816091	161765	Sister Constance
816091	171596	Constance
816091	195137	Femme rancuniere
816091	198635	Bertine Robitaille
816091	218667	Françoise
816091	235871	
816091	236609	
816091	249712	La mère de Mélanie
816091	260957	Julie
816091	288316	Félicité Lemieux
816091	333731	Jacqueline
816091	345029	
816091	346637	
816091	353900	Annie
816091	376906	Sarah
816091	388690	Célina Bordeleau
816091	398078	Louise Gravel
816091	407356	Simone
816091	409541	Anne Vanasse
816091	410252	Ginette Boivin
816092	74753	Customer
816092	114100	Estelle Sarner
816092	115271	Woman in Park
816092	138737	Great Aunt Eliza
816092	195270	Receptionist
816092	197312	
816092	206335	
816092	218775	
816092	239034	Lady Hermione
816092	254752	
816092	273316	Theodora Winkle
816092	275735	Old Woman
816092	286425	Mrs. Rohrlich
816092	287781	Elderly Woman
816092	294140	Mrs. Winston
816092	296742	Sophie Beaumont
816092	300173	Pearl
816092	386619	Iris Slack
816092	403490	Great Aunt Eliza
816092	406621	False Mother
816093	367782	Smiling Woman
816094	19257	
816094	205777	
816095	19295	Lucie Rivette
816095	231997	Stardust
816096	255578	Herself
816096	284154	Herself
816096	345413	
816097	32200	
816097	32202	
816097	67075	
816097	72550	Annie April
816097	100165	Elyse, élève
816097	122422	
816097	146961	Marie-Josée
816097	380863	Léonie Lafresnière
816097	402834	Shandy Derome
816097	404364	Zoé Nantel-Cormier
816098	284154	Herself
816099	297221	Archaeologist 2
816100	412174	Julie Asselin-Soucy
816101	356804	Rose
816102	1153	
816103	382583	Béline Bérubé
816104	65603	
816104	335943	Woman in church
816105	287845	
816106	107901	Mrs. Stringer
816107	166126	Saleswoman at Art Store
816108	322102	Lola Montez
816109	158939	Captain's Daughter
816110	337384	Duke & Duke employee
816111	169650	
816112	91888	Opposing Coach
816113	68867	Sarah Matthews
816113	210503	Janice
816113	223658	Lena Lingard
816113	340864	Matilda Lockhart
816113	404374	Leslie Burke
816114	87140	Singer 'Ich bin verliebt in e
816114	120370	Singer 'Machen Sie doch bitte
816114	247946	Singer
816114	266023	Singer
816115	106254	Young Girl
816116	381917	Herself - Evictee #12: 18 Jul
816117	93959	Miss Buffalo
816117	303285	Stacy Dunn
816117	324844	Carol Boyd
816118	30131	
816118	231352	Ute
816118	308231	Julja
816118	378648	
816119	24026	Melanie
816119	90997	Hosenverkäuferin
816119	110638	Melanie
816119	110649	Rebecca
816119	124975	Johanna Stahlke
816119	172213	
816119	210019	Chrissie
816119	223457	Anna Jakobson
816119	315350	
816119	321245	Karin Stein
816119	344314	
816119	365602	Jacqueline
816119	365603	Jacqueline
816119	403792	Sabrina
816120	107231	Herself
816120	155281	Herself (US Team)
816121	280275	
816122	357269	Nurse
816123	149449	
816124	100932	
816125	12620	Dr. Ann Clarke
816125	99918	Anne
816125	385299	Heather Jones
816125	386008	Jackie Stewart
816125	401383	Cadet Tina Culbrick
816126	17964	Helda
816126	90888	Dr. Fay Chantry
816126	115597	Helda
816126	157092	
816126	198891	2nd Witch
816126	316888	Elsie
816126	345858	Nursery Teacher
816126	386765	Dr. Fay Chantry (1971)
816126	387518	Nurse Ann Webb
816126	393281	
816127	323832	Screaming Girl (segment "Meat
816128	237581	Pencheva
816129	178234	
816130	145606	
816130	339814	Candy
816131	261607	Verpleegster
816132	83875	Jilly
816132	95499	Barmaid
816132	395180	Belle
816132	402197	Rachel Milsom (1984)
816133	56208	Della Street
816133	113885	Mlle. Mousquet, the Governess
816134	278247	Lu Anne
816135	196549	June
816136	132074	
816137	102042	
816138	73471	
816138	236623	La dame aux fleurs
816138	375928	
816139	69270	Giovanni als Kind (also Itali
816140	356701	
816141	266354	
816141	290553	
816142	355028	The Academy's Blessed 'Virgin
816143	352188	girl in war
816144	85517	
816144	349815	Branca
816145	381059	Ostetrician
816145	399130	Carol Maitland (1999)
816146	68682	Herself - Dating Expert
816146	386383	Relationship Expert
816147	108608	
816148	363416	Herself
816149	362595	
816150	41032	
816151	114952	Maid
816152	19557	Harem girl
816152	26146	Photographer
816152	32352	Blonde
816152	113907	Divorcee
816152	120739	Hostess
816152	183792	Circus Club Hat Check Girl
816152	231964	Iris
816152	284916	Blonde aircraft worker
816152	286197	Salome girl
816152	293103	Woman in Dress Gag
816152	302396	Dance Hall Girl
816152	330836	Chorus girl
816152	361768	Julia Webster
816153	124089	Joan Latimore
816154	1594	
816155	341772	Technician #6
816156	165004	Woman #3
816157	58858	
816158	360881	Mrs. Harris
816159	316779	
816160	185648	Monica
816161	61144	
816162	178159	Society Girl
816162	203583	Alice
816163	157030	
816164	81162	Diane May
816164	261439	Sherry Talbo
816164	280662	Daphne
816164	304325	Della
816165	27702	
816166	217406	La première précieuse
816167	69718	
816167	236362	Girl
816167	239302	
816167	289817	Jane
816167	295147	Belfast
816167	338654	
816168	14433	McDonald Girl
816168	56078	
816169	55280	Catherine
816169	82660	Blonde Reporter
816169	82683	Amanda
816169	127325	Monica
816169	152528	Julia
816169	158511	Sin
816169	332169	Karina
816169	348374	Co-Ed
816169	350231	Vampire Girl #1
816169	353302	Top Popper
816169	355150	Debbie
816169	355152	Beth
816169	372525	Christmas Elf
816170	253499	Lola Sanduli
816170	380012	Herself - Finalist #5 (2003)
816171	84439	Dweeb-disgusted 80s Teen
816172	77590	Herself
816172	295291	Carroll
816173	102634	
816173	234551	
816173	280756	
816173	307447	
816173	310974	
816174	148416	Hotel Room Woman
816175	397781	Asta
816176	204785	Dancer
816177	14326	Group cast appearance
816178	71144	
816179	50202	
816179	307836	Joven pecosa
816180	12370	
816180	306950	
816181	64333	Herself (1990)
816181	107459	Mélanie
816181	133086	Louise Favard, dite Lou
816181	138940	
816181	225459	
816181	225767	
816181	292363	Juliette
816181	345467	Nathalie
816181	346579	Elisabeth
816181	379846	Katel Laugel
816181	383334	Julie de Sauvagnac
816181	388691	Alix
816182	389880	
816183	376497	Claire, Studentin der Theater
816184	177660	Make-Out Queen
816185	306363	(segment "The Video Psycho")
816186	365415	
816187	304743	Undetermined Role
816188	78957	
816189	64685	Herself
816189	147029	
816190	190953	Virgin Girl Friend
816191	273315	Herself
816191	402993	Herself/Back to New York (200
816191	402996	Women/Real World
816192	374568	Spectator #2
816193	197668	Trixie Stanley
816194	317179	Nanette
816195	333409	Undergraduate
816196	231386	Auburnetta/Blondie Group #3
816197	334085	Girl with Cat
816198	119182	Günthers Freundin (Bar)
816198	361704	Ina Ostfeld
816199	367471	Bridesmaid
816201	41138	Abigail Marley
816202	112998	Silent Woman
816203	29558	Art student
816203	48340	Alma
816203	115401	Gerd Andreasson
816203	124027	Margareta Ohlsson
816203	136404	Agda
816203	182297	
816203	187636	The mother
816203	198274	Lucia
816203	232736	The Mother
816203	305303	Student
816203	320517	The lady
816203	357749	Margot
816204	11831	Junges Mädchen
816204	290830	
816205	302175	
816206	187433	
816207	273069	1st class passenger
816207	296422	Gost Vadima
816208	7269	Yelena Ehrlich
816209	44215	
816209	95570	
816209	95580	
816209	164002	
816209	179705	
816210	370191	
816211	192250	Girl #2
816212	112992	Herself - Band Vocalist
816214	4781	
816214	4800	
816214	86325	
816214	98108	Bertha-Marie
816214	119187	
816214	156053	
816214	174504	
816214	242857	
816214	267071	
816214	318893	
816214	352200	
816214	361114	
816215	89849	Social worker
816216	212834	Nora
816216	400236	Didi O'Neill Buchanan (1984-1
816217	381599	Cecilia Atterbom
816217	403084	Tilda Lyksell (2001)
816218	114783	Gisa Holm
816218	179781	Voice of Jacky Clay
816218	179913	
816218	183641	
816218	221080	
816218	311461	Linda
816218	387445	
816219	472	
816219	33218	Witwe Noelte
816219	75932	
816219	77373	Frau Milovic
816219	119222	
816219	120723	Bäuerin
816219	124615	
816219	193464	
816219	226173	Putzfrau
816219	226338	Kantinenwirtin
816219	308844	Frau Knipperling
816219	352599	Italienische Wirtin
816220	346711	
816221	2371	Innkeeper's Wife
816221	67242	Mrs. Edwards
816221	160116	Mrs. Wyatt
816221	286133	Sally
816221	341771	Mary
816221	362199	Maggie Wylie
816222	17986	Grace Burton
816222	143359	
816222	351920	Hattie Fanshawe
816223	114734	Late Brenda Webber
816224	56364	Giuliana
816225	83489	
816225	87075	
816226	248001	Gloria/La Greñas
816226	252044	Gloria Trevi
816226	373962	Herself
816226	411575	Host
816227	49558	
816227	92170	
816227	141453	Bathing Beauty
816227	183860	
816227	196293	
816227	206430	
816228	307052	
816229	13514	
816230	20407	Girl in bar
816230	116907	Girl
816231	61161	4-Year Old Girl
816232	138482	Elizabeth
816232	358727	
816233	118147	
816234	8843	Sacerdotessa
816234	277611	Elmira
816234	338616	Annina
816234	338617	Annina
816235	399657	Herself
816236	80592	Furniture Salesman
816237	269109	Lina la moglie
816238	3326	
816239	380099	
816240	202298	Village Woman
816240	233339	
816241	136736	
816241	287431	
816242	67435	
816243	221886	
816244	410477	Andrea De La Garza
816245	158462	Sinita
816246	151460	
816247	49051	Helen Dawson
816247	78233	Mirah Lapidoth
816247	141057	Antigone Sanctuary
816247	205556	Nan, the maid
816247	280467	Pattie Keable
816247	323768	Lucie Manette
816247	328010	Lucie Manette (segment "Tale 
816247	346077	
816247	369181	Cathy
816248	1962	Herself
816248	3021	Herself - Past Winner
816248	3044	Herself (Memorial Tribute)
816248	7038	Connie Dawson
816248	11689	Herself
816248	11793	Janie MacDougall
816248	13351	Jo Keller
816248	26070	Claire (Hodgson) Ruth
816248	26426	Kay 'Funny Face' Ellison
816248	26652	Cynthia
816248	34910	Lily Fowler
816248	37462	Fay Loring
816248	39884	Jeanette Foster
816248	44324	Madeleine Haley, aka Gladys L
816248	44485	Helen Brent
816248	46372	Grace Porter
816248	54219	Sam Williams
816248	54949	Carroll Aiken
816248	72438	Terry Cordell
816248	73879	Michelle Allaine
816248	78528	Betty McWade
816248	78791	Miss Mary McCloud
816248	80439	Francey
816248	83787	
816248	83916	Countess Maletta
816248	99224	Elinor Norton
816248	112183	Jane Martin
816248	114670	Christine Nelson
816248	131507	Ruth Jones
816248	139221	Millie Farley
816248	144759	May Holst
816248	147415	Tonie Bellamy
816248	149104	'Gold Dust' Nelson
816248	149259	Connie Williams
816248	151638	Edna Lampson
816248	152517	Bonnie Brewster
816248	154623	Laura Benson
816248	167683	Sally Johnson
816248	168636	Lilah Gustafson
816248	175796	Gaye Dawn
816248	177391	Dixie Moore
816248	178063	Charlotte Banning
816248	185718	Patricia Carter
816248	190119	Judy Halloway
816248	197020	Marguerite Seaton
816248	197073	Lady MacBeth
816248	199175	Jane Lee
816248	203691	Idonee
816248	206069	Rose Morgenstern
816248	220356	Marie
816248	222777	Helen Grayle
816248	224135	Mrs Ansel Ames
816248	224139	Carol Barton
816248	228829	Vicky Blake
816248	238613	Herself (with Jane Wyman)
816248	241529	Lucy 'Tex' Warren
816248	243147	Herself - Memorial Tribute
816248	255339	Herself
816248	255340	Herself
816248	272915	Pat Cameron
816248	292191	Marcia
816248	308540	Julia Carroll
816248	312007	Betty Ingals
816248	312826	Dallas
816248	313301	Nina Lind
816248	313319	Herself
816248	315341	Nora Marko
816248	316270	Josie Sullivan
816248	316664	Ruth Dillon
816248	318942	Herself
816248	329055	'Mike' King
816248	333317	Barbara Blanchard
816248	334252	Kitty Brant
816248	343199	Clara Kruger
816248	350015	Lee Roberts
816248	351438	Marian Webster
816248	358643	Joan Bradley
816248	365271	Jerrie Jordan
816248	367573	Dora Hand
816249	400677	(1948)
816250	337082	Hilda Bishop
816251	186759	Mrs. Little
816251	197758	Mrs. Pusker
816252	26	Follies girl
816252	83154	Olga Hare
816252	92124	
816252	140131	Celeste
816252	244359	Elsie Drummond
816252	326118	Eileen Millyuns
816253	105166	Jackie
816253	154087	Pretty girl
816253	279413	Anne
816253	289217	Shop Assistant
816253	394297	
816253	402197	Lexie Patterson (1985-1986)
816253	406891	
816255	254073	Le professeur de danse
816255	346769	Canteraine
816255	352031	
816255	377477	La speakerine
816256	295806	Katie
816257	105304	Sheryl Justice
816258	216734	Programmer
816259	399333	Herself - Reporter
816260	309207	
816261	2890	Excited Fan
816262	59685	Miss Thompson, School Teacher
816262	92134	Audience Member
816263	83353	Brigitte
816263	190636	
816264	60821	Mylkina
816265	135638	
816266	84062	
816267	6323	
816267	6327	
816267	8118	
816267	8288	
816267	8885	
816267	23158	
816267	100598	
816267	106470	
816267	181177	
816267	182450	
816267	207017	
816267	209071	
816267	217026	
816267	246620	
816267	261612	
816267	299610	
816267	315786	
816267	321966	
816267	338971	
816268	99356	
816269	307466	
816270	56465	
816270	74144	
816270	103475	Gitana
816270	115750	
816270	202560	
816270	262721	
816270	378040	
816271	94840	singer
816272	33700	Spanish Dancer
816272	67685	Spanish dancer
816272	108994	
816272	124765	
816272	188023	Flamenco dancer
816272	212438	
816272	316117	Flamenco dancer (as The Trian
816272	368396	Spanish Dancer
816273	381853	
816274	96500	Commessa negozio
816275	37263	Gilda Gilmour
816276	6289	
816276	8128	
816276	14579	
816276	22635	
816276	82780	
816276	100561	
816276	105510	Dead girl
816276	136481	Sofia Trikoupi
816276	173496	Vasiliki
816276	173978	
816276	217247	
816276	240384	
816276	241906	
816276	244954	
816276	246524	
816276	291629	
816276	322923	
816276	379442	
816276	380491	
816276	380771	
816276	387567	Minervina
816277	200470	Centrelink Receptionist
816278	389459	Iro Villi
816279	86404	
816280	151861	Gang Member
816280	171874	
816280	284494	
816280	333763	Litsa
816281	380012	Herself - 2nd Runner Up (Fina
816282	69853	Possessed Girl
816282	332778	Billie
816282	347856	DC Dancer
816283	320311	Erika
816284	318344	Waitress
816285	107806	Madeline Usher
816286	9858	
816286	60070	
816286	228423	
816286	262471	
816286	267422	
816287	106721	Linda
816288	2252	(segment "Avant... mais après
816289	119423	Prostituée chez 'Zaza'
816290	2252	(segment "Rêve, Le")
816291	336936	
816292	158842	Antigone 1
816292	309764	
816293	68922	Lulu
816294	3182	Bank Teller
816295	238959	
816296	89415	
816296	236048	Saleslady
816296	263056	
816296	267667	
816296	278913	
816296	320497	
816296	338048	
816296	338877	
816296	405705	
816297	212478	
816297	248192	
816298	99311	Woman in Finery
816298	305008	Mrs. Woolridge
816299	239947	
816299	380166	Salma
816299	383550	Quitéria
816299	384709	
816300	164195	Aline's Friend
816300	242059	
816301	200955	Journalist
816302	388166	Esther van der Boom
816303	11161	
816303	39469	
816303	78189	
816303	282666	Lady
816303	341533	
816303	364508	
816304	147500	Young Warden
816305	51653	Jeanie the Maid
816305	127486	Abby Stewart
816305	252528	Lupita
816305	331637	Diane Quigley
816306	187870	Lisa Harden
816307	30553	Lt. Kelly Andrews
816307	39861	Leslie Vance
816307	55507	Beth
816307	67571	Pin-up at the Pool
816307	178037	Natalie Collins
816307	208873	Claire Harriman
816307	400645	Officer/Sgt. Cory McNamara (1
816307	404282	Tonja Vargas (1992)
816307	408691	Nurse Lisa Topping
816308	261943	
816309	215688	Miss Puerto Rico (winner: Mis
816310	21736	Elena
816310	185954	
816312	160	Nurse
816312	6618	Marie Amélie
816312	23699	Zofia
816312	72056	Nathalie
816312	84635	La sage femme
816312	111689	Maryse
816312	120403	Annie Bourneuf
816312	166739	Jennchen
816312	200928	Mlle Simpson
816312	249763	Maryse
816312	284257	Eléonore Duplay
816312	346537	Gisele
816312	346819	
816312	379805	Louise de La Vallière
816312	380862	Zofia
816312	386101	Janique
816312	389343	Colette
816312	396817	Louise
816313	224721	Marie's Singing Voice
816314	104885	Bünzlis Mutter
816314	272537	Frau Globitscheff
816315	87953	The washerwoman
816315	91175	
816315	106681	His wife
816315	125144	
816315	181099	
816315	225628	
816315	234301	Solokha
816315	283823	Groom's mother
816315	323640	Friend
816315	356966	The nun, Mikhail Fyodorovich'
816316	134996	Katja
816316	166763	Lara als Kind (Lara as Child)
816317	260266	Stacy
816317	391947	Ms. Trudi
816318	234826	Pige/Girl
816319	233695	Sofie Davidson
816320	22844	Tvillingerne Mor
816320	210931	Mrs. Freund
816321	191987	Grierson Institute Teacher
816322	19302	Grandmother
816322	80481	Babs
816323	30160	Beboer i kvarteret
816324	291615	Pige/Girl
816325	382319	Agent
816326	301251	Narrator
816327	159290	Mrs. Minh Tam
816328	90679	
816328	162034	
816328	314135	Chantal
816328	315457	
816329	76497	
816330	203612	Jackie
816330	359750	
816331	9353	Kapudalieva, member of Jury
816331	50957	Ptiyatelkata na Kerkeneza
816331	211281	Dimitri's Wife
816331	261309	
816331	337944	Second Girl in Love
816331	397471	Zhenata na Dimitris
816333	168114	
816334	219583	
816335	373567	
816336	272384	Staritza v starcheskiya dom
816336	273058	Maykata
816336	374062	
816337	70588	Queen of Shemakha
816337	269348	Chloë
816338	98639	
816338	134288	Woman Inmate
816338	211281	Ekaterina Tzilka
816338	229059	Elena
816338	237581	Savcheto
816338	258630	Yoka
816338	304162	Ameliya
816338	304725	Snahata
816338	305479	Stefana
816338	324875	Uchitelkata po peene Dilyansk
816338	339314	Ilka
816338	374169	Marina
816338	397471	Ekaterina Tzilka
816339	222441	
816340	79232	
816340	226750	
816340	279712	
816340	351762	
816340	379405	Zannet Hatziyorgi
816341	381504	Soeur Marie-Christine
816341	408173	
816342	93120	Cynthis Rothschild
816342	270138	Sonya
816342	379676	Cookie Brody
816343	235404	Stage Daughter
816344	277839	Juggler
816345	3988	Carol
816345	8000	Wendy
816345	37786	Joanna
816345	80652	Diane
816345	84207	Francine
816345	90280	Alicia
816345	98656	Nettie Tuleen
816345	106686	Elli Rooney
816345	110911	Gloria
816345	113397	
816345	127510	Cousin Anna
816345	131499	Heidi
816345	132756	Vanessa
816345	141859	Millie
816345	176291	Kate
816345	185714	Sharon
816345	243595	Laura
816345	248431	Darlene
816345	251347	Samantha
816345	253819	Marjorie Hargrove
816345	266601	Harper
816345	330434	Meg
816345	335579	Abigail 'Abby' Emma Fletcher
816345	388142	Elli Rooney
816345	409056	Erin Turk
816346	187714	
816348	362261	Betsy Mason
816349	44493	Becky and Kenny's 'Henderson 
816350	183161	Nana
816351	249881	Luisa Infante
816352	199816	
816353	332732	Edna
816354	26120	
816355	354992	
816356	99013	
816357	57981	Dora's Client
816358	121076	
816358	259161	Pegi
816358	265919	
816358	327321	Stella
816358	379412	Pinelopi
816358	397345	
816358	402344	Rinoula
816359	1034	Russia
816359	329560	
816359	361688	Graziella, Riff's Girl
816360	34123	Havfrue
816360	76377	Journalist
816360	207920	
816360	211808	Laura
816360	386347	Herself (episode 1.5 "1960-19
816360	389406	Various roles (1971)
816360	409260	Herself
816361	337099	Herself
816362	137258	Model at Jones
816363	14492	Amanda Evans
816363	44561	Astrid
816363	61793	Melody
816363	92479	Normi
816363	99630	
816363	110241	Jennifer Haden
816363	128727	Dancer
816363	142487	Hooker
816363	185253	Goldfinger
816363	187986	Shirley
816363	230027	Marci
816363	232073	Shirley Finnerty
816363	232241	Genie
816363	273552	Sydney
816363	318977	Mini-Mart Cashier
816363	329346	Ginger Drabowski
816363	334274	Beverly Benson
816363	346315	Frenchie
816363	390771	Lacey Bauer (1987)
816364	98973	
816364	343621	
816364	349463	
816364	376722	
816364	378916	(1978)
816365	202239	Crying Woman
816366	490	
816367	14815	
816367	90113	
816367	318954	
816368	306705	
816369	15370	
816369	48187	
816369	48849	
816369	64710	
816369	96318	
816369	123073	
816369	324930	
816369	377084	
816370	278904	
816371	278904	
816372	73149	
816373	313441	Crewman
816374	2998	Peyton
816375	12007	
816376	320094	Kim
816379	133768	Herself - Astronomer
816380	138907	Uschi
816380	140217	Kiki
816380	204581	
816380	345928	Pflegerin
816380	378648	Zimmermädchen
816380	387384	
816381	68786	Dancer
816381	212629	Alica Strada
816381	221481	Herself - Performer
816381	305023	Herself
816381	305024	Herself
816381	339747	Herself
816381	382123	Herself (1999-2000)
816382	209830	Giorgia
816382	313179	Irene
816382	389484	Tilla Nagler
816383	229644	
816384	112683	
816385	252734	
816386	384118	Laura
816387	387640	
816388	51978	
816389	276249	Nandewar
816390	276249	Kid
816391	79691	1st Swimmer
816392	231437	Mrs. Crummles
816393	330595	UN Administrator
816394	45724	Dodla
816394	75993	Viktorka allias Cácorka
816394	84756	
816394	181355	Maricka
816394	320638	
816394	374490	Hermína
816395	238144	Octavia
816395	384972	Natalia
816396	71138	Amy San
816397	100820	Man's Wife on the Hill
816398	120431	Solange
816398	128913	
816398	248418	
816398	307410	Yen Soung
816398	317729	
816398	361211	
816398	362534	
816399	76888	
816400	45899	Extra: park
816401	126270	
816402	75896	Gate 15 Clerk Boise
816402	132181	Marie
816402	158058	Rebecca
816402	193545	
816402	336692	Diane
816403	75028	
816403	75059	
816403	75195	
816403	181321	
816403	210929	Secret agent
816403	235119	
816403	243129	
816403	335440	
816403	339766	
816403	359860	
816403	375827	Dancer
816404	12776	Mrs. Wallace
816405	219967	Mother Machree
816406	151787	Woman
816407	231115	Wife in Restaurant
816408	169545	Crowd/Atmosphere
816409	148316	Esther
816410	285978	Ida Summers
816411	53656	
816412	116642	
816413	275862	Little moroccan girl
816414	369	Jeanne
816414	10095	Clara
816414	13115	Voix off
816414	19199	Lorette
816414	20861	Louison
816414	35302	Betty Etamble
816414	57522	Juliette
816414	63777	Renée Dandrieux
816414	70145	Herself (segment "José Ramon 
816414	71226	La Duchesse Marina Seminova
816414	72056	Juge Lambert
816414	73068	Marie Benjamin
816414	83382	Evangile
816414	96078	La petite fille
816414	96162	Levrette
816414	97072	
816414	99369	
816414	108221	Marianne Sapajou
816414	111066	
816414	121416	Marina
816414	124326	Monique L'Herbier
816414	132065	
816414	134699	Sophie
816414	139597	Cathy
816414	160541	Claire
816414	160657	La jeune veuve
816414	165568	Brigitte Sterni
816414	169263	
816414	193091	Récitante/Narrator
816414	197565	Irene
816414	201175	Martine
816414	205075	Charlotte Corday
816414	205929	Mariette
816414	206252	Lucie
816414	215264	Arsinoë
816414	217645	
816414	236164	Isabelle
816414	236518	Emilie
816414	251006	
816414	254170	Nicole
816414	259979	La Mère (participation)
816414	261015	Herself
816414	261116	Nina
816414	262950	Marie Lambert
816414	263991	Moeata
816414	265705	The Mother
816414	284308	Ramona
816414	292340	Iris
816414	319801	Récitante/Narrator
816414	322355	Mona
816414	328389	Isabella
816414	336453	Lole
816414	345312	Herself
816414	345350	Marie
816414	346417	Lulu/Lucie
816414	357040	
816414	366183	Bianca
816414	377472	
816414	377991	Sidonie
816414	378094	Nathalie
816414	384596	Colette
816414	396366	Corinne (segment "Innocent, L
816414	398837	
816414	406858	
816414	410074	Victoire
816415	261015	Herself
816416	388531	Siska (2001)
816417	197297	Gloria Davis
816417	218715	Accordion Girl
816417	304755	Waitress
816417	366947	Consuela 'Connie' Callaghan
816419	97393	Herself
816420	46270	Cathy
816420	90885	Martinez
816420	93772	Jo
816420	97192	Alise
816420	109675	Jane Robson
816420	116940	Jasmine
816420	155981	Mrs. Russo
816420	158983	Katherine Trentini
816420	160778	Lori
816420	176905	Kendall Dupree
816420	292156	
816420	330676	Marvel
816420	384589	Jackie Cortez (1999)
816420	405595	Sadie Winters
816421	117483	Customer
816422	348617	Eva
816424	251194	Female Newscaster
816425	18149	
816425	100620	
816425	163025	
816425	237060	
816425	279293	
816425	379412	Erato
816425	389459	Martha
816425	408912	Eleni Loggou
816426	41327	Virgin
816427	203243	Shopper
816428	296894	Woman on Street
816429	320059	Elle
816430	93771	Cheerleader
816431	96871	Cassie
816431	104755	United Kingdom entry (3rd pla
816431	104757	United Kingdom entry (7th pla
816431	396451	Liz
816432	251202	Sandra
816433	87586	Prayer Band
816434	33765	Madame Bain
816434	37913	Mrs. McMull
816434	56995	Mrs. McMull
816434	64114	Boarder
816434	66306	
816434	70166	Mother
816434	110370	Mrs. Higgins
816434	118491	Mrs. McMull
816434	120191	Mrs. McMull
816434	130715	Mother
816434	130839	
816434	131895	
816434	138875	
816434	150985	Frau Wachner
816434	151223	Mother
816434	169670	M. Gougasse
816434	192266	
816434	206957	
816434	214560	
816434	224798	Widow Dumesnel
816434	254086	
816434	271361	Mrs. McMull
816434	274778	
816434	280932	Mrs. Budd
816434	293175	The wife
816434	311870	Mrs. McMull
816434	312351	Euphemia Fitzbulge
816434	312353	Euphemia Fitzbulge
816434	316934	Mother
816434	340438	Mrs. Trotter
816434	364023	Dona Pilar
816435	23956	Bonnie Tirol
816435	107493	Naked Girl
816436	164202	La veuve au corbillard
816437	142375	Mrs. Gash
816438	125549	Work Detail Leader
816439	266625	Maid 3
816440	124351	Nurse
816441	72360	
816441	336494	
816441	336495	
816442	37031	Second Young Lawyer
816442	205411	Clare Booth-Luce
816442	245520	Mindy Kaufman
816442	345828	Mrs. Shelby
816443	80924	Trudy
816445	48632	Pig Latin Girl
816445	89307	Debbie
816445	315701	Lucinda
816446	263	Gwen Moss
816446	30647	Dr. Beth Garner
816446	85657	Nina
816446	114017	Abby McDeere
816446	201849	Herself
816446	212837	Gina Vitale
816446	217134	Thelma
816446	223773	Lucinda Pond
816446	232321	Pastel
816446	238682	Norah Reed
816446	239702	Addie
816446	248667	Rachel
816446	252993	Julia
816446	273473	Cheryl Goode
816446	275291	Miranda Frayle/Freda Birch
816446	304948	Lydia
816446	306132	Annie
816446	314138	Johanna Lawrenson
816446	321420	Marina
816446	333391	Lauren Hathaway
816446	352684	Lois Berkow
816446	360100	Helen
816446	360101	Helen
816446	368226	Maj. Karen Harper
816446	381951	
816447	169290	
816447	195217	
816447	205523	Alma-Rose Chapdelaine
816447	207751	
816447	216233	Cosette (child)
816447	227596	
816447	254029	
816447	289438	Suzanne
816448	42743	Hostess at Tulio's
816449	12488	Herself
816449	12489	Herself
816449	75030	
816449	75031	
816449	257461	
816449	289911	
816449	370030	
816450	158595	
816451	4269	
816451	175951	
816451	351336	
816451	352818	
816452	142069	
816453	226733	Nancy
816454	245235	Trailor girl
816455	189079	
816456	383780	Miss Keller
816457	16220	Ellen
816457	38991	Rosa Eckart
816457	40365	
816457	40755	
816457	43234	Hanni Bolwieser
816457	48520	Renate (alt)
816457	59702	Paulinka
816457	91044	Dr. Kuhnert
816457	98040	Betti Klenze
816457	104654	
816457	115196	Frosch
816457	119029	
816457	140211	Mathilde Obermüller
816457	142105	
816457	157648	Irene Weishaupt
816457	172839	Charlotte's Mother
816457	175282	Ingrid - Catherine's Mother
816457	175324	Madeleine
816457	189598	Elsbeth Schnittgens
816457	205513	Jenny
816457	205960	Sofronia Angiolieri
816457	244012	Ella Grothe
816457	250822	
816457	275132	
816457	289900	
816457	289946	Kikkie
816457	290742	
816457	315049	Frau Fehling
816457	351968	Maria Scalli
816457	358937	Wanda
816457	381689	Lina
816457	396920	Younger Carla
816458	235357	Adventist Girl
816459	70972	Nurse Tittwana
816459	81590	Beverly
816460	52303	Fay
816460	92112	Dorothy
816460	100855	Rennie Morgan
816460	110298	Laura Faulk
816460	134342	Jean Griffin
816460	158897	Margaret Griffith
816460	162980	Doc Lovell
816460	169389	Ida Mae Hartman
816460	178813	Arlyn Page
816460	203340	Janet Tucker
816460	280665	Helen
816460	289512	Coley
816460	320890	Alice
816460	339382	Adrienne Hess
816460	340709	
816462	284859	Lucia
816463	258316	Valérie
816464	115300	Valentino's Secretary
816466	11643	The Girl
816466	79370	Alice Fortescue
816466	107482	The Fairy
816466	109218	Rose Jones
816466	311739	Dorothy Hampden
816466	368798	Alice Graham
816467	402086	Neusa
816467	402685	Slave
816468	30638	Barmanka
816468	82781	Maykata
816468	258745	Pevitzata
816468	373242	
816469	402131	
816470	63898	Mauricio's Mother
816470	113224	The Prostitute
816470	169770	Laura
816470	204994	Matilde
816470	264399	
816471	68272	Dr. Elena Petrova
816471	191302	
816471	313503	Luminara Unduli
816472	382304	Character voices
816473	41659	Ale
816474	10261	
816474	40867	
816474	43154	Olja
816474	45752	
816474	47395	
816474	88541	Sveca
816474	89295	Milesa
816474	137850	Uciteljica
816474	147567	
816474	151841	Wife
816474	172485	Eva Veselinovic
816474	179232	
816474	184073	Dana Jelinic
816474	212458	Violeta
816474	212459	
816474	222441	Glas Popove majke/glas Pandur
816474	229577	
816474	239451	Buca
816474	243578	Magda
816474	272044	Lidija
816474	272606	Bosa
816474	288125	
816474	289128	Woman on Bus
816474	294156	Sestricina
816474	295443	
816474	310224	Dusica Veljkovic
816474	327103	
816474	333928	Uciteljica
816474	341450	
816474	348701	Nada
816474	351007	Sluzavka
816474	353780	Andja
816474	356094	
816474	375335	Jadranka
816474	375384	Sultana/Pela
816474	375437	Anica Zerekovic
816474	382430	Ljiljana Popovic
816474	393359	Sofija Teodorovic
816474	397526	Jelena iz Cvijiceve
816474	397527	Jelena iz Cvijiceve
816474	397528	Jelena
816474	397530	Jelena iz Cvijiceve
816474	400502	Katarina Andjelic 'Cakana'
816474	401750	
816474	401927	Bisenija Bisa Gavrilovic
816474	401928	Bisenija Bisa Gavrilovic
816474	411900	Debela narkomanka
816475	43876	Dispatch Voice
816476	139399	Najma
816477	271420	
816478	323674	
816479	377169	Extra fiesta
816480	7961	Hat Check Girl
816480	27249	Girl
816480	204552	John's Secretary
816481	91862	
816481	120014	Mall Patron
816482	354581	
816483	234054	Sandra's Mom
816484	299738	Suzie's Girlfriend #2
816485	1280	
816485	1285	
816485	66726	Spice girl
816485	75028	
816485	140040	Trixie, the Horse
816485	223968	
816487	189079	
816488	89405	
816489	55846	
816489	86837	
816489	307169	
816490	83431	
816491	82593	
816493	84450	Verkauferin
816494	31655	Herself (christian singer)
816495	110550	Lover 1
816496	285754	
816497	6264	Prostitute
816497	339544	Actress with Videotape
816498	90525	Tango dancer
816499	137233	Kayla
816500	21211	Julia
816502	360575	Herself
816503	73627	
816503	107513	
816503	201098	
816504	4832	
816504	11774	Hella Roth
816504	23882	Karin Siekert
816504	31400	Ingrid Keul
816504	47390	Trude
816504	48121	Frau Markward
816504	98370	
816504	101332	
816504	102406	
816504	108182	Elke Raban
816504	120170	Frau Mompel
816504	129683	Barbara Mai
816504	134785	Claire
816504	136603	Regina
816504	141970	Jacqui
816504	142115	Molly Sister #2
816504	152759	Kassiererin
816504	158600	
816504	168400	
816504	177183	Susanne Lohmann
816504	177781	Friseuse Sybille (Barber Sybi
816504	189607	
816504	197098	Klara
816504	211086	Ulrike Zarling
816504	219339	
816504	250930	Frau Doeller
816504	257468	Frau Bertram
816504	259484	
816504	259503	
816504	259633	
816504	264330	Candida
816504	272820	Mutter Anna
816504	281967	
816504	282238	Mutti Gerber
816504	310899	
816504	319528	Maruschka
816504	324322	Frl. Utzkureit
816504	325417	
816504	325492	B. Nenntwig
816504	336539	Peggy
816504	350861	Uschi
816504	376406	Hannah
816504	381728	
816504	384368	Martina Ernst
816504	396634	Viktoria Voss
816504	406260	Various Roles
816505	168411	Herself
816505	322299	Frida
816506	153230	Barn
816508	365998	Toma's Mother
816509	64308	Herself
816510	188523	Sasha
816511	357463	
816512	387960	Herself
816513	188013	
816514	115150	Lisa's Mom
816515	238323	
816515	296989	
816518	266930	Chambermaid
816519	304454	Maja
816520	236803	
816521	33676	Aunt Maria
816521	124571	
816521	349677	Maid
816522	30726	
816523	382428	
816523	412270	Elza
816524	383784	Mara
816525	194525	Student
816526	206442	Charlotte
816527	83400	Classe sport et études
816528	23973	Hannah
816529	7740	
816529	7743	
816529	7745	
816529	39256	
816529	45209	
816529	128918	
816529	130285	
816529	147770	
816529	276672	
816529	343078	
816529	361211	
816529	372090	
816530	28181	Lara
816530	61103	
816530	274895	
816531	56364	Marta
816532	98113	Emily
816533	274200	
816534	84475	Femme 2
816535	284066	
816535	341452	
816536	244651	
816536	350832	
816537	206786	Halyna
816538	78139	Female Trainee
816539	197128	Hajnus, bos'un
816540	229293	
816541	58273	
816541	146611	Mother
816541	312071	
816542	195216	Mimi, professor´s daughtre
816542	237879	Terezka, members Salvation Ar
816542	295060	
816543	322141	
816543	394176	Katarzyna Kunicka
816543	394585	Monika Lubicz Ross Nawrot
816543	406644	Teresa Sikorzanka
816544	141606	Receptionist
816545	174666	
816546	2645	
816546	62569	
816546	200930	La femme qui garde l'enfant
816546	251063	
816546	262946	
816546	333460	La maroquinière
816546	357024	Surveillante du home
816546	376888	La bibliothécaire
816547	217745	Art History Student
816548	97713	Laura - 1868
816549	173840	
816550	311057	Girl
816551	80724	Jacuzzi lady
816551	86478	Model
816552	59565	Zimmermädchen
816552	211489	Szenemaus
816553	383934	Regular
816554	212276	Kitty, his bride
816555	64199	Herself
816556	172517	Huldra
816557	280756	
816558	363840	Doctor
816559	410582	Miriam Castelnuovo
816560	79903	Tilly DeCruccio
816560	194247	Francine Pirelli
816560	235392	Lisa
816560	272936	Maria Bauer
816560	354189	Sharon
816560	384366	Donna Soleito (1995-1997)
816560	408036	Dana Murphy (1999-2001)
816561	343685	
816562	237906	Miller child
816562	273260	Young patti davis regean
816562	288948	Émilie
816562	367487	
816563	400236	Leslie Holden #2 (1998)
816564	65417	Hunter
816565	15944	
816565	261049	Showgirl Dancer #14
816566	18341	Olga Kazoff
816567	245772	Michelle
816568	32862	Mrs. Hjorth
816568	97883	Nurse Karin
816568	165627	Linders barnjungfru
816568	180076	Anna
816568	209306	Ester
816568	209369	Jompa's mother
816568	225232	Mrs. Scholke
816568	225668	Child welfare officer
816568	270952	Dancing woman in Paris
816568	276130	Britt-Marie's mother
816568	302139	Guest at Cafe de Paris
816568	308598	Girl's Mother
816568	322312	Dancer at Grand
816568	342306	Märy
816568	342314	Inga's Mother
816568	353038	Helena Ekberg
816568	353042	Helena Ekberg
816569	205407	
816570	13863	
816571	204657	Une Femme du Village
816574	168895	Lucie enfant
816575	168895	Marie enfant
816576	106474	
816576	169587	
816578	162071	Flora
816580	384119	Julieta
816581	233394	
816582	371290	Vecina
816583	300688	Juana
816584	145205	Camarera
816585	82108	Myrna Brown
816585	131219	Board Member
816586	173087	Maren Sørgaard
816586	173088	Maren
816587	13043	Young Girls Coolie
816588	37693	
816588	86478	Katy
816588	183683	Dancer
816588	296735	Bachelorette #1
816589	28884	Espens mor
816590	250849	
816591	130307	Tiger Lady
816592	202306	(segment 5)
816592	224278	
816593	356508	Enfant laboratoire
816594	21407	Frau Sidler
816594	23887	Fräulein Landgraf
816594	33236	
816594	34409	Agnes Bernauer
816594	53719	Candida
816594	63154	Königin
816594	77371	Marion Kerrison
816594	98275	
816594	99168	Fanni Gruber
816594	110648	Polina Bardin
816594	119272	Lotte Hartmann
816594	126176	Dora Dulkebow
816594	133032	American Woman
816594	141954	Miss Rottenmeier
816594	144359	Cora Ann Milton
816594	145648	Katharina
816594	153743	Tant Pruselius/Prussiluskan
816594	155338	Mrs. Nemitz
816594	166341	Jeanne D'Arc
816594	167094	
816594	177915	Ljubow Ranjewskaja
816594	193285	Herta Wernicke
816594	193286	Hester Collyer
816594	207669	Jertrude
816594	229156	
816594	230201	Cora Ann Milton
816594	256502	Fröken Prysselius
816594	272563	Marilyn Oland
816594	281953	Johanna
816594	312736	Paula
816594	325944	Adele
816594	338694	Margot Weimer
816594	343488	Delphine Morestel
816594	343491	Helene Larchamp
816594	343497	
816594	343499	Lina Favril
816594	345914	
816594	351606	Amy Holmes
816594	352497	Dinah
816594	356886	
816594	361367	Helga
816594	388526	Ines, moglie di Francesco
816594	390938	Marion Hastings
816594	391632	
816594	401519	Fröken Prysselius
816595	23108	Guest appearance
816595	81110	
816595	91172	Inge Romanek
816595	119180	Asylum Nurse
816595	136727	Marie von Berlichingen
816595	181496	
816595	212683	Mother
816595	263551	
816595	301046	
816595	315768	Ärztin
816595	317656	
816595	325621	Lisa Droste
816595	352411	
816595	357784	Katja
816595	377365	Dr. Andrea Löbach
816595	377366	Andrea
816595	394536	
816596	56869	Debutante
816597	49945	Lisa, Steve's Girl
816597	87599	Cathy
816597	201495	Waitress
816597	291025	Susan
816598	304540	Misty
816599	361855	Herself
816600	217745	Art History Student
816601	363866	Onava
816603	132037	Queen
816604	178743	Vivan
816605	80504	Barfly
816605	267563	Girl At Mall
816606	144403	Margaret
816607	2451	Maria Pia
816607	3473	
816607	63765	Judith
816607	82411	
816607	111888	Carla Foscari
816607	122037	
816607	122724	Marianne
816607	156910	
816607	211322	
816607	230004	Locusta
816607	247066	Cesira
816607	250772	Tamara
816607	266124	
816607	269463	
816607	289988	Esmeralda
816607	295040	Carla
816607	342110	
816607	354443	
816607	379773	Isabella (episode "Legge, La"
816607	402781	
816607	404588	Ernestina
816608	145474	
816609	210158	
816610	164778	Olava
816611	18868	
816611	223555	
816611	244650	
816611	357484	
816612	257433	
816613	296967	Judy Cole
816613	303611	Singing contestant
816614	64729	Reporter at Xanadu
816615	98267	
816616	240752	Dancing Girl
816617	350853	
816618	218478	La caissière du théâtre
816619	84355	Stewardess Zeitmaschine
816619	377340	Freundin des Künstlers
816620	11525	Ben Bradlee's Secretary
816620	363528	Ms. Collins
816621	327370	
816622	325960	
816623	365947	Porsche Woman
816624	123896	Danseuse strip-teaseuse
816625	15907	Lily's Mother
816626	245889	Child
816627	176942	Dancer
816628	333857	Extra
816630	121140	
816630	357470	
816630	375419	
816632	44480	
816632	59504	Lady Sarah Armstrong Jones
816632	64423	Kate
816632	141656	Irvine's girlfriend
816632	162097	
816632	192689	Alicia
816632	271003	Chorus Girl
816632	276947	Sheila
816632	279737	Maid Marion
816632	323482	Ellen
816632	400684	Barbara Stafford/Police Woman
816632	403523	Lady Marion
816632	403523	Marion
816632	407064	Presenter
816632	408964	Barbara
816633	32347	Marge
816633	210881	Maid
816633	276799	Maura Tolliver
816634	379348	
816634	407819	
816635	275157	
816636	33633	
816636	132247	Peninsula Dance Team
816636	241605	Saffron Carlyle
816637	407138	Herself - Judge
816639	268940	Femme au lavoir
816640	56501	
816641	357107	Baby
816642	62779	Mrs. Bawden
816643	326494	
816644	53829	
816645	144976	Student
816646	41383	Phyllis
816646	65183	Rachel Logan
816646	69624	
816646	69806	Judge
816646	87460	Sally
816646	87671	
816646	108330	Mrs. Novacek #1
816646	114238	
816646	119487	The Widow
816646	129580	
816646	130901	Mrs. Laumann
816646	131431	Becka
816646	165871	Jamie Rowles
816646	169206	Jane Trimble
816646	183696	
816646	205731	Marie Curie
816646	206597	Mrs. Peebles
816646	207484	Vivian Hanssen
816646	222656	
816646	257196	Sarah Fitch
816646	258208	Suzan Connely
816646	281143	Lady Capulet
816646	316467	Klara
816646	318457	Myrna Yates
816646	329586	Karen
816646	331738	Ms. Anderson
816646	394905	Capt. Karen Simms (1994-)
816646	395798	Mrs. Amherst
816646	400808	(2004-?)
816647	10046	Mirella Salimberti
816647	14370	Letizia
816647	25341	Silvia Lagana
816647	104800	Patrizia
816647	120304	Pallina
816647	125037	
816647	157207	Tatiana
816647	158947	Dr. Anna Miller
816647	162045	
816647	212618	Joanna
816647	247516	
816647	263194	
816647	265464	Rachel
816647	269711	
816647	270228	
816647	283708	
816647	295176	
816647	315437	
816647	327098	
816647	342112	
816647	352235	Helen
816648	326967	Prospective Student
816649	105819	Jake's Mother
816650	223271	Mindy
816651	324966	Christine
816652	102004	Zia Di Dora
816652	352228	
816653	211601	Maxim Girl
816654	62893	
816655	82167	First Musician
816655	150851	Mrs. Shellaby
816655	263785	
816655	320260	Janet Rendle
816655	330693	
816655	333290	
816656	36512	La figlia dell'oste
816656	68427	
816656	90029	
816656	133035	
816656	160130	Camilla Canestrari
816656	202165	
816656	210384	Countess Belluogo
816656	227589	
816656	227590	
816656	229104	Valeria Cavioli-Simonetti
816656	247958	
816656	251053	
816656	254980	
816656	266012	
816656	277586	
816656	295044	
816656	328892	
816656	338259	Moglie di Dario
816656	354881	
816657	184059	
816657	186192	Prostitue
816658	106519	Sheila
816659	225413	
816659	370643	Beilaz Rahman
816660	118363	Bad Girl #9
816661	281251	
816662	182735	
816663	78089	Claire Kirby
816663	108410	Marriage Counsellor
816663	203522	Mrs. Gray
816663	203524	Miss Bird, Pelham's secretary
816663	233970	Joyce
816663	241222	Miss. Allom
816663	305357	Sheila
816663	329988	Gilly
816663	395136	Joyce Rogers
816663	401744	Mrs. Chynoweth
816664	252354	Vietnamese Woman
816665	239958	Policier
816666	324235	A Clown
816667	79440	Ada
816667	144888	Daisy
816667	340542	Helen
816667	381205	Leslie Hayden (1968-1970)
816667	394676	Barbara (1987-1988, 1990)
816667	398740	Polly Williams Douglas (1970-
816669	249541	
816669	393903	Emmanuelle
816669	407198	Christina
816670	186225	Leskirouva Rainio
816671	345376	Valérie
816672	86430	Héra
816673	263974	Female Johnny Double
816674	13966	Young Anne
816674	66168	
816674	148285	Claudia
816674	185596	Jenny Fontaine
816674	230324	Sera
816674	400022	Chloe Sheffield
816674	405531	Patty
816675	151159	
816676	34638	Beth Bradley
816677	15061	La seconde infirmière de cham
816678	15061	
816679	327606	Sylvia Conyers
816680	286212	Justine
816681	234757	
816682	350255	
816683	214094	Italian Jogger
816683	264131	Hairdresser
816683	319516	Tascha
816684	53019	Cirmena
816685	16642	Woman on Platform
816686	118021	Annie
816686	129913	Maureen, animal rights activi
816686	185635	Maria
816686	299954	Natasha
816686	383461	Dr. Liz Reid
816686	388547	Catherine Fenn
816686	409386	Brenda
816687	352736	Jason's Ex-Wife
816688	374418	Mrs. Catherine Fletcher
816689	205411	Woman #1
816689	364459	Mrs. Durdensmythe
816690	162891	Mrs. Lester
816691	14212	Linel Shapiro
816692	342	Frau Kirsch
816692	7426	Christina Burman
816692	15279	Straßenmädchen
816692	18530	Frau von Paloff
816692	24057	Gusti
816692	26479	Ellen
816692	46112	Irma Grüntal
816692	59564	Donna Lucia d'Alvadorez
816692	78303	Oma
816692	79167	Clarissa Wedell
816692	90707	
816692	93440	Mutter
816692	95130	Turissina
816692	98055	Voice of Eva Horn
816692	98063	
816692	98204	
816692	105782	
816692	119217	Tante Lilli/Stimme aus dem Je
816692	120032	Prostitute
816692	126388	
816692	126447	Katharina Puttgammer
816692	134967	Pia Specht-Kleinholz, verw. K
816692	139055	Trude
816692	144185	
816692	145351	Rolfs Mutter
816692	172839	Charlotte Hoffmann (alt)
816692	175301	Emma
816692	177915	
816692	178538	
816692	178589	
816692	184513	Bea von Kurschheim
816692	186885	
816692	189607	
816692	189716	
816692	204449	
816692	217917	Elisa
816692	237021	Herself
816692	240002	Frau Kautz
816692	247147	Alice Feld
816692	249196	Evelyn Schratt
816692	272750	
816692	273749	Voice of Mary
816692	275692	Barbara
816692	289857	Gertrud Neumann
816692	290259	
816692	290549	Old Lady
816692	290744	Aunt
816692	310905	Marara
816692	316550	Erika
816692	325830	Emma Odenthal
816692	325902	Frau Kronberg
816692	326646	Emily Jordan
816692	338940	
816692	343666	Hilde Reese
816692	345669	Geneviève Vacquelin
816692	347772	Betty
816692	348678	
816692	352395	Prostitute
816692	359698	Elli
816692	367144	Thea Ricci
816692	375528	Claire
816692	379858	
816692	380905	
816692	381439	Wibke Gernrich
816692	381710	Recha Bertini
816692	382203	Martha Nicholaison
816692	385680	Frau Bielstock
816692	393978	Frau Nüsslich
816692	396757	
816692	397505	
816692	397766	Katharina
816692	404169	
816692	404435	
816692	406321	
816692	407552	
816692	409609	Pia Specht-Kleinholz, verw. K
816692	411096	Kitty Tracey
816692	412199	Frau Bielstock
816693	8098	Commentator
816693	13736	Woman Executive
816693	46237	Miss Woodel
816693	53461	Narrator
816693	72140	Interviewer
816693	79611	Facility woman
816693	80841	Angie
816693	100803	
816693	105354	T.V. Newswoman
816693	121824	T.V. Executive
816693	127407	Reporter
816693	136970	Eunice Marlowe
816693	140183	Reporter #2
816693	155209	Detective
816693	158528	Judge
816693	161060	Female Critic
816693	176964	Sharon Carter
816693	187072	Woman in Green Blouse
816693	210867	Diner Owner
816693	213866	Nurse
816693	304243	Sanctuary Administrator
816693	335686	Allgood's Boss
816693	336701	
816693	349870	Tony D's wife
816693	355519	Journalist 2
816693	363502	Public Defender
816693	366737	
816693	395165	Mrs. Norring
816694	293076	Gothic Chick
816695	390105	Herself
816696	73481	
816696	254523	Groupie
816697	239876	
816697	239878	
816697	245590	
816698	2152	Maria
816699	296735	Bridal Shower Guest
816699	366746	Cop #2
816701	329618	The Pianist
816702	23210	Bathing Beauty
816702	115214	Hostess
816702	183760	
816702	188341	Elinor
816702	194831	Slave Girl
816702	209633	Beautiful Girl
816702	235633	Catherine the Great
816702	293103	Ringmaster
816703	77578	Julie
816704	35478	Sally
816704	36970	Lola Johnson
816704	44479	Telephone Operator
816704	47356	Emma Snipe
816704	105217	Hillary's Secretary
816704	152517	Susie
816704	176361	Marge, Paxton's Secretary
816704	192611	Julie's Maid
816704	204552	Bubbles Adair
816704	306577	
816704	308540	Sally
816704	331062	Hilda, Mother Ralph's Maid
816704	354490	
816705	339934	Rebecca, Al's first wife
816706	363928	Darlene
816707	348234	Laresha
816708	128089	Phone Girl
816709	73945	Claire Allen
816709	127255	Woman with Fur Coat
816709	215793	Mrs. Waldman
816709	220829	Mrs. Van Cleve
816709	252449	Janet Van Degan
816709	277908	
816709	281369	Kate
816709	321448	Grace Biswanger
816709	372901	Madeleine Love
816710	137259	Mrs. Malinski
816711	368626	Ice Princess
816713	118432	Aunt Jane
816715	74232	Girl
816716	265640	
816717	206786	
816718	66920	
816718	77458	Attractive neighbor
816718	208666	
816719	55169	
816719	185916	Mrs. Bully
816720	20146	Der Komponist
816720	54378	Clairon, an actress
816720	57336	Santuzza
816720	65538	Sesto
816720	187898	Herself/Anita
816720	234977	Adalgisa
816720	324588	Venus
816720	340661	Dido
816721	155263	Blonde Girl
816721	254649	Young Pamela
816723	380059	Mónica
816723	397463	Irazema
816723	398473	Lady
816723	398490	Carolina
816723	410477	Claudia Jiménez
816724	213662	Stewardess
816725	64659	Taiko Drummer
816726	89815	Azra
816726	124668	Sophia
816726	129255	
816726	136537	
816726	312423	Nale, sestra na Dragoslav i K
816726	320661	Devica & Brankica (segment "P
816726	328942	Devojka u marici
816726	374221	
816726	383029	
816726	400374	
816726	408961	
816727	156489	
816727	354649	
816728	308482	
816729	26760	Mrs. Emma Blake
816729	62671	
816729	78528	Fat Dowager
816729	105324	Party Guest
816729	114355	Mrs. Smith
816729	121360	Mrs. Adams
816729	127636	
816729	152395	Margaret Haldane
816729	154263	Mrs. Genevieve Reynolds aka M
816729	168019	Etta Fish
816729	188393	Dowager
816729	193738	Fat Woman
816729	195367	
816729	203326	Mrs. Jowitt
816729	204176	
816729	213077	Patricia Royles
816729	222679	Spinster
816729	249026	Duchess
816729	264170	Undetermined Role
816729	327729	Aunt Ruby
816729	342712	Mrs. Van Renseller (dowager)
816729	348331	Henrietta
816729	362725	
816731	116723	Lilas Niles
816731	169047	Mrs. Findlay
816732	208220	
816732	327577	Vicomtesse de Saint-Fiacre
816733	268188	Catherine
816734	322005	
816735	2267	
816735	108854	
816735	178786	
816735	299432	
816736	148702	
816737	353872	Herself
816738	379879	Etelvina
816739	18246	Trudy
816740	26769	Jennifer
816740	80649	Linda
816740	155859	1st Class Stewardess
816740	171596	Richard's Girlfriend
816740	372318	Cindy
816741	337262	Hélène enfant
816742	247977	Enfant
816744	80578	
816745	10870	Stacy
816745	60251	Stewardess
816745	72815	Suzanna
816745	222598	
816745	251789	Sheena
816745	317309	Mrs. Tourist
816745	329906	Reporter #3
816746	381522	Additional Voices
816747	11352	New Bird
816748	16598	Huguette
816748	147136	Louise
816748	193433	Bettie Brousseau
816748	320066	
816748	322353	Simone
816748	377937	Sophie
816748	378858	Nancy Fugère (2000)
816749	301741	
816750	201842	Herself (mother, on holiday i
816751	16614	Annie
816751	36977	Herself
816751	141772	Herself (with PET)
816751	177667	Elizabeth Kingsley
816752	94613	Alien Jumpsuit Chick #4
816754	77629	Ma Crow
816755	53570	
816756	12580	
816757	228031	
816757	272839	
816757	368514	
816759	37390	
816759	58719	
816759	59487	
816759	63175	Christy's mother
816759	77645	
816759	88968	
816759	91740	
816759	105900	
816759	109423	
816759	119843	
816759	129789	
816759	133223	
816759	150073	
816759	153583	
816759	160933	
816759	164980	
816759	175154	
816759	183793	Maggie/Laura
816759	208519	
816759	214169	
816759	241167	
816759	245615	
816759	258021	Mrs. Nemo
816759	266548	
816759	279360	
816759	283810	
816759	296250	Dr. Margaret Weed
816759	309035	
816759	309850	
816759	318786	
816759	321350	
816759	321658	
816759	326807	
816759	340793	
816759	340859	
816759	343317	
816760	128224	The Girl
816762	141396	
816762	285692	Deuces Wild
816762	364674	Marie
816763	88085	Mysterious Girl
816764	342237	Herself
816765	149138	Reporter Sara Dawson
816766	340626	Minnie Brown
816767	26054	Miss Simpson, a Secretary
816767	83809	Mac's Secretary
816767	92558	Betsy, Anna's Maid
816767	143607	Hatcheck girl
816767	151211	Miss Martin, Typist
816767	253505	Desk Nurse
816768	18818	
816768	24476	Sasha Swann - Finalist
816768	37347	Jenny
816768	57489	Daliha
816768	69596	Herself
816768	72509	Rochelle
816768	99766	Nicole
816768	134568	Beth Anderson
816768	137470	Mary Jane Potman
816768	196048	Renee
816768	217535	Katie
816768	230531	Julianne McDowell Levinson
816768	236135	Mel
816768	358867	Girl Student
816768	364178	
816768	366776	Herself
816768	366842	Misha
816768	390914	Mona Thorne
816769	371053	Tran's wife/schoolgirl
816770	239882	
816770	239883	
816771	85963	Enfermera
816772	95632	Herself
816773	214649	Jenny Simms
816774	12114	Nun
816774	257014	Woman with Baby
816775	298119	Diva Model
816777	16251	Nurse
816777	17760	Street Stranger
816777	35232	Alke Elam
816777	53329	Stick-up Lady
816777	87280	Mrs. Schumacher
816777	98920	Old Agatha
816777	132456	Dorothy Trugert
816777	148413	Mattie
816777	151529	Old Lady
816777	185707	Woman in Home
816777	218848	Lucy
816777	221324	Mrs. Stevenson
816777	239104	Wheeler's Mother
816777	241349	Miss Peabody
816777	245363	Grandma Sarah
816777	246691	Mrs. Fenty
816777	289260	Lady on Bus
816777	293637	Woman #1
816777	314444	Welcome Wagon Lady
816777	321247	Mrs. Falkman
816777	374418	Woman on Telephone
816777	382071	Gran
816778	190230	Pete's Ex-Wife
816778	289113	Hooker
816779	78610	Niobe
816779	179781	Voice of Shirin
816779	381327	Anna
816779	391135	Mother
816780	185067	Sorority Girl B
816781	21447	Young Nurse
816781	38988	Kate
816781	77989	Summer
816781	176884	Rachael McClee
816782	77146	Dallas Cowboy Cheerleader
816783	81346	Spaz Girl
816784	239414	Dancer
816785	14480	
816785	20067	Patricia
816785	43179	
816785	84601	Enfant
816785	101182	Girl at farm
816785	119047	Herself
816785	152676	Amie
816785	260029	Une spectatrice du Nô
816785	337029	Clarisse
816785	355882	Secretary
816786	357094	
816787	20067	Madeleine Doinel, Oscar's mot
816787	84601	Enfant
816787	101182	Girl at farm
816787	119047	Herself
816788	3280	Herself
816789	222784	Halloween Girl #4
816790	406779	Entertainment Reporter (speci
816791	157562	Herself
816792	162292	Rita
816793	61357	
816793	209035	
816794	289607	Scarlet
816795	405798	Francesca Sabina
816795	412185	Diana
816796	180730	Cartomancienne
816797	84502	
816797	383529	Berta
816797	383555	Francisca García Muriel
816797	387922	
816797	396125	
816797	397029	
816797	412153	Lia de Falla
816798	100278	
816799	225034	Responsable aula
816800	10727	Beautiful Cashier
816801	9734	María
816801	24206	Conchi
816801	53110	Madre (Mother)
816801	110750	
816801	202296	Muchacha escuálida
816801	237192	Trujillo
816801	286369	Madre
816802	253318	Teresa
816802	287414	
816803	53965	
816803	85619	Helen
816803	210171	Sofia
816803	263069	
816803	309091	
816803	351487	
816803	380516	Susy del Rio
816803	385401	Dra. Gómez
816803	386077	Magali
816803	390732	Aurora
816803	403786	
816803	410081	
816803	410313	Isabela
816803	412185	
816804	19488	Mujer velatorio 1
816804	56005	
816804	225038	
816804	236748	
816804	246950	Juliette
816804	327201	
816804	355758	
816804	386522	
816804	390420	
816805	55372	
816806	70624	Terrorista 3
816806	239281	
816806	247176	Domitila
816807	322397	
816808	407640	Lucía Rivero
816809	149138	Bar-Girl
816810	203344	Nurse 1
816811	357895	Lic. Cia de Seguros
816812	113980	Party Goer
816813	220330	Iron Belly's squaw
816814	84738	
816815	176837	Mere de Djalali
816816	29099	Girl in Bar
816817	11357	Venus
816817	47163	Alexis
816817	140416	Young Mother
816817	324951	Sunny
816818	163729	Zulma
816818	195601	Dungeon Slave Girl
816819	129501	Nelly
816820	359195	Mrs. Kawashima
816821	24772	
816821	55406	Miss Fyfyth
816821	62385	Duchess
816821	69421	Elderly Lady
816821	73707	
816821	79261	
816821	98166	Miss Ribden-White
816821	141953	Fraulein Rottenmeier
816821	191189	
816821	214643	Aunt Grace
816821	217520	
816821	231389	Miss Charter
816821	235496	Miss Duncan
816821	263214	Mrs. Doe Connor
816821	283989	Mrs. Davies
816821	323433	Woman
816821	329973	
816821	335826	
816821	346230	Nurse Fry
816821	364713	
816821	367520	Miss Gardiner
816821	367592	Miss Frobisher
816821	368928	Lady at Launching
816822	106279	Herself
816822	388656	Herself (sees Truman take oat
816823	69382	Anne
816823	269351	Mirabelle
816824	14171	Herself
816825	270697	Woman in audience
816826	388656	Herself (sees Truman take oat
816827	7087	
816828	220829	Miss Briggs
816830	91066	Herself
816831	42772	Optician's assistant
816831	61565	Julia Fiori
816831	61576	Nurse #1
816831	63189	Susan Carter
816831	65102	Dr. Noel Benedict
816831	112182	Jane Walsh
816831	113363	Judge Rosaria
816831	141142	Nadine Brock
816831	167013	Jessica
816831	185341	Marge
816831	251237	
816833	187148	Herself
816834	363981	Elizabeth Schenker
816835	93403	
816835	102407	
816836	13385	
816836	13869	
816836	26145	
816836	32165	
816836	37170	
816836	37171	
816836	41620	
816836	50358	
816836	95879	
816836	136253	
816836	147069	
816836	150011	
816836	187058	
816836	187414	Herself
816836	200889	
816836	207176	
816836	228025	
816836	241594	
816836	243112	
816836	264817	
816836	288995	
816836	333820	
816836	335580	
816836	370575	
816837	3668	Herself
816837	14032	Herself
816837	34903	Herself
816837	114298	Herself
816837	117073	Ivana
816837	122265	Herself
816837	161268	Herself
816837	330774	Herself
816837	363537	Herself
816838	44455	Herself
816839	535	Jane Bond
816839	2097	
816839	26158	
816839	26166	
816839	34852	
816839	34853	
816839	34854	
816839	34855	
816839	46114	Eva
816839	119127	Frau Doktor
816839	119269	
816839	144165	
816839	177175	Justine Cavallo
816839	195996	
816839	225145	
816839	225168	Prostituierte
816839	270425	
816839	339253	
816839	355175	
816839	364884	Herself
816839	379810	Herself (week 1+2)
816839	395208	Herself (Host)
816840	81604	Woman attendant
816841	31073	Lisa (Caesar's wife)
816841	33002	Herself
816841	33983	Albina
816841	54977	Emily Meredith
816841	69693	Lisa
816841	103305	Dr. Stephanie Branton/Stevie
816841	133456	Paula Braun
816841	152205	Mrs. Loftus
816841	218530	Jane Hinkley
816841	220959	Susan Carver
816841	358575	Susan
816842	410338	
816843	404608	Winner (2002)
816844	360093	Herself
816845	5815	
816845	6016	
816845	6017	
816845	11224	
816845	11227	
816845	17468	Ann
816845	20726	
816845	22843	
816845	31106	
816845	34689	
816845	35225	
816845	37004	
816845	44845	Grace Gilchrist
816845	48627	
816845	49537	
816845	50662	
816845	50873	
816845	54442	
816845	56466	Polly Eccles
816845	65867	
816845	73200	
816845	79886	
816845	84239	Mary Ladislas
816845	87838	
816845	88959	
816845	88976	
816845	89121	
816845	89300	
816845	90871	
816845	92107	
816845	94973	
816845	104323	
816845	104517	Madeline Lester
816845	105102	Kate, the Woman
816845	109193	
816845	115154	
816845	123375	
816845	123387	
816845	124261	
816845	126720	
816845	127157	Mercedes
816845	132178	
816845	132319	
816845	133749	
816845	134189	Lola
816845	140150	
816845	140692	Hazel Kirke
816845	141314	Hester
816845	145026	
816845	145909	
816845	146239	
816845	151448	
816845	158158	
816845	165364	
816845	165512	Mother/Daughter
816845	168983	
816845	175218	
816845	186685	
816845	190484	At the Ball
816845	190523	
816845	192180	Patience
816845	194791	
816845	194909	
816845	194911	
816845	196147	Rosalie
816845	196984	
816845	198790	Mabel
816845	200278	Pauline Gardin
816845	200876	
816845	203112	
816845	206724	Sarah Strong
816845	206904	Mary
816845	206912	Mary
816845	209743	Meg
816845	211779	Dolores
816845	212232	
816845	216888	
816845	220044	
816845	230551	
816845	230773	
816845	231084	
816845	231792	
816845	235476	
816845	236931	Victimized Woman
816845	239672	
816845	239996	
816845	244324	
816845	245184	
816845	248018	
816845	253111	
816845	254265	
816845	254552	
816845	261983	
816845	263964	
816845	264141	
816845	267009	
816845	269060	
816845	269669	Lois Norton
816845	271956	
816845	272243	Mary Cahill
816845	276701	
816845	283520	
816845	285666	
816845	296922	Mary Fitz Allen
816845	298556	
816845	301270	
816845	301605	
816845	302015	
816845	302675	Eve Gordon
816845	310401	
816845	312814	
816845	313375	
816845	331047	Mrs. Vale
816845	331535	
816845	337464	
816845	338896	
816845	342965	
816845	343038	
816845	343223	A Show Girl
816845	346172	
816845	347525	
816845	347717	
816845	348087	
816845	350294	
816845	351806	
816845	363347	Mrs. Constance Deering
816845	365754	
816845	365857	
816845	366229	
816845	367417	
816845	367735	The Woodsman's Daughter
816845	372644	
816846	75744	The Old Woman
816847	327551	
816848	221855	The Mother
816849	185369	Murder Victim #2
816850	137449	Baby Claire
816851	244680	Chinesin
816852	64204	
816852	130076	Yesu
816852	197468	Orsola
816853	112812	Servant
816854	191372	Girl in Coffee Shop
816855	38619	Mother on Train
816856	405209	Mrs. Conway (1999)
816857	310864	Radio Broadcaster
816858	385824	Melissa Anderson #1 (1981-198
816858	388497	Lizette Winkler
816859	59596	Telefonpige
816859	403535	Herself - Participant (2004)
816859	403536	Herself - Participant (2004)
816860	218182	Bartender at Club
816861	283837	
816861	352800	
816862	331022	Officer
816863	326117	Edenton Lady
816863	337649	Player
816864	171274	Cathy
816864	293644	Debbie
816865	333375	Coed #4
816866	24143	Gwen
816866	28650	Brenda
816866	63112	Mrs. Jones
816866	152584	Lulu's Auntie Violet
816866	258207	Dilys Rhys-Jones
816866	281397	Kimberly Weldon
816866	339854	Jean
816867	321360	Businesswoman
816868	92513	Cocktail party woman
816868	314098	Mary Lightcloud (bank teller)
816868	380391	Pat Matthews Randolph #1 (196
816869	41961	
816869	154831	
816870	89810	Sister Bronislawa
816870	170383	Karolakowa
816870	322775	Ludka's Mother
816871	160412	Gertie
816872	149258	Bamville Club Dancer
816873	65202	Madame Kohlmann
816874	223181	Herself - Truxa's assistant
816875	79065	Woman
816875	264761	Nurse
816876	157284	Herself
816877	270144	Sexy Motorist
816878	11876	Direktionssekretärin
816878	42114	Madame Biller
816878	49668	Stella Lauri
816878	94490	Fifi, Fotomodell
816878	98331	Kitty
816878	119242	Aglaia
816878	137639	Berta
816878	178704	Susanne
816878	203259	Nadine
816878	225123	Jessie Altkamp
816878	236823	
816878	312873	
816878	312893	
816878	352527	
816879	55176	
816879	57330	Una Dama
816879	71167	
816879	71333	Alba, Steno's daughter
816879	86450	
816879	113698	
816879	199050	
816879	217107	
816879	253072	La Modista
816879	277743	
816879	293346	
816879	301913	
816879	311257	
816879	322574	Una signora del gran mondo
816879	338722	
816879	351572	Dress-maker
816879	353060	
816880	411080	Bianca
816881	35840	Marta Duraj
816881	75986	
816881	167078	Rutka's Mother
816881	180251	Estera
816881	212289	
816881	212509	Madeleina
816881	214246	Aska
816881	223220	Magda, Adam's wife
816881	237442	Cymutowa
816881	239438	Kellnerin
816881	244208	Heidrichowa
816881	247287	
816881	258664	Hitchhiker
816881	258791	Bozenka
816881	262157	Stefania Ziembalska
816881	266335	2. Werka
816881	280806	Magda
816881	285001	Anna Constantia von Hoym, Grä
816881	311880	Josephine
816881	341068	L'employée du Mariott (The Ma
816881	364870	
816881	364975	Hanka, waitress
816881	369020	Zofia
816881	373424	Mather
816881	382619	Emilia, Andrzej's mistress
816881	401156	Maryla Urbanska
816881	404009	Wincenta
816881	404216	Laura Starska (2003-)
816881	406881	Barbara Madejowa
816881	412076	Sara
816882	37047	Jenny Roberts
816883	16669	Patent
816883	107701	Patio Club Singer
816883	286197	Specialty
816884	148371	Jennifer
816885	79825	
816885	81270	Edna Sharpe
816885	89311	Mrs. Forbes
816885	153578	Mrs. Doggy Doody Piles
816885	323902	
816885	367335	Grandmother Glasgow
816886	283529	Waittress
816887	134943	Hanna
816888	284188	
816888	319596	Sonia
816889	323957	
816890	399175	Renate
816891	320551	Herself
816892	360682	Roundcard Girl
816893	88410	Gerard's Wife
816893	172769	Gejsza
816893	272006	Prostitute
816893	385479	
816893	394585	Wieslawa Orzeszkiewicz (1997-
816894	41252	Anna
816894	91508	Wanda
816894	95955	
816894	182727	Ann és Mari
816894	217420	Kasia
816894	226425	
816894	248157	Alicja Straikowska
816894	262157	Iza Ziembalska
816894	313032	Iwona
816894	322159	Ania
816894	401665	Anna Stajniak (2000-2002)
816894	404009	Joanna Macieszanka-Gozdawa
816895	179555	
816896	333394	Mary Jeffers
816897	171297	
816897	314965	Silent Bit
816898	202586	Miládka
816898	268013	Tsdena
816899	127706	Vega, waitress
816900	142636	Naked Musician
816901	391327	Host
816902	62801	Augustine
816903	189164	
816904	27672	
816905	135750	Hanka
816906	60688	Protagonist
816907	347194	Herself
816908	345092	Courtesan, Blue Villa
816909	216236	La mère allaitant
816910	105790	
816910	133045	Denise Campeau
816910	171596	
816910	184348	
816910	196820	
816910	218583	Narrator
816910	247607	
816910	249209	Fan de Jeannot
816910	261780	La folle
816910	264608	
816910	270085	Catechism's Reader
816910	296079	Carmen
816910	382583	Virginie Rioux
816910	398158	Henriette
816910	406029	Antonia
816911	322513	
816912	120378	
816913	104767	Norwegian entry (18th place)
816914	78491	Herself (performing 'Hvor går
816915	169872	
816916	379361	(2000-2001)
816916	383991	
816916	390037	
816916	394572	Sonia
816916	396637	
816916	407920	
816916	409935	Lawyer
816917	285318	Panagiota
816918	8434	
816918	9542	
816918	9863	
816918	77027	
816918	85400	
816918	86072	
816918	93892	
816918	95881	
816918	98235	
816918	100560	
816918	100596	
816918	100599	
816918	100610	Eirini Dekavala
816918	102886	
816918	104448	
816918	107675	
816918	116621	
816918	121079	
816918	126248	
816918	127441	
816918	136492	
816918	137887	
816918	139558	
816918	172317	
816918	172823	
816918	173324	
816918	174471	
816918	174695	
816918	180888	
816918	182443	
816918	184764	
816918	205033	
816918	209775	
816918	212568	
816918	214345	
816918	215436	
816918	226021	
816918	243890	
816918	244245	
816918	246620	
816918	247080	
816918	248852	
816918	256405	
816918	258171	
816918	261221	
816918	281092	
816918	328765	
816918	329908	Aggeliki
816918	330326	
816918	332253	
816918	356394	
816919	416	
816919	8102	
816919	124272	
816919	136436	
816919	209762	Stella
816919	217753	
816919	271643	
816919	296158	
816919	330073	Maria
816919	338997	Magda
816920	407634	
816921	168714	Opera singer
816921	346139	Leonora
816922	108948	
816923	232676	Anna
816924	26507	Jonna
816924	94613	Dancer #8
816924	129791	Inmate #4
816924	186714	Susan
816924	211510	Merlot
816924	231426	Cindy
816924	284815	Bar girl
816924	304745	Bobbi
816925	322403	Mujer de chino
816926	231279	Prostitute
816927	322403	Hija de chino
816928	297415	Annie Takashi
816929	359972	Lover's Mother
816930	8932	Aimee's Chinese Housekeeper
816931	132192	
816931	348862	
816931	352782	
816932	8332	
816932	92925	
816932	136568	Roza
816932	379856	
816932	395090	
816933	355731	
816933	379405	Soula Hadjigiorgi
816934	1518	
816934	19316	Maro
816934	60458	Adilya
816934	132464	
816934	357708	
816935	265841	Journalist #1
816936	380474	
816937	20122	Stella
816937	133191	
816937	231345	
816937	249411	Evlambia Karafotia
816937	349940	
816937	350730	Popi
816937	379438	
816937	392517	
816937	394038	Dafni
816937	394066	Bella
816938	194833	Minny
816939	379528	Margarita Petridou-Theotokato
816939	407920	
816939	408912	Frosso
816939	410239	Amalia
816940	18221	
816941	145434	Pema
816941	295406	Pema Lhaki
816942	104753	Greek entry (8th place)
816943	404755	Mikiko
816944	74311	
816945	236264	Janice
816946	230821	Finalist #5
816946	380263	Host
816946	410920	Vancouver Host (2000-2003)
816947	206831	Sherri
816948	303407	Young Wong Fei-Hung
816950	345442	La bouchère
816951	137851	Aysel
816952	305153	Micah
816953	217379	Susan Pei
816953	299318	
816954	89572	Woman in Nightclub
816955	63268	
816955	100601	Nina
816956	378671	Hostess
816957	265840	
816958	57228	Clarabelle Donofrio
816959	3597	Herself
816959	20762	Herself
816959	112988	Herself
816959	136016	Herself
816959	164547	Herself (with the Tsar)
816959	228291	Herself
816959	228553	Liza
816959	282110	Herself (leaves hospital with
816959	283791	Herself (at wedding to Nichol
816959	289705	Tsarina of Russia
816959	341188	Herself
816959	390599	Herself
816959	403983	Herself
816959	403985	Herself
816960	151861	
816961	22629	Katina
816962	265274	
816963	136794	
816963	394227	
816963	395900	
816964	89327	Other Cast
816965	351939	
816966	407	Extra
816966	359758	Martha Washington
816967	182761	C.
816968	257655	Miss June
816968	257841	Miss October 1996
816968	257866	
816968	284562	
816968	365924	Eva
816969	325428	Sylvia Henzler
816969	325433	
816969	325435	
816969	395667	Marion Beimer #2 (2001-)
816970	103106	
816971	65199	
816971	110175	
816971	125100	Schwänchen Camphausen
816971	216258	
816971	259938	Die Zofe Madeleine
816972	4783	Graefin Lubenski
816972	7962	Vivian Denys
816972	11876	Frau von Pleskow
816972	15067	
816972	16364	
816972	16831	
816972	18576	
816972	20076	
816972	24084	Myriam Esneh
816972	26568	
816972	32748	
816972	32802	Frau des Bankpräsidenten
816972	33262	Madeleine
816972	46616	
816972	49823	Baroness Seebach
816972	60510	Edith de Tourkoff
816972	62738	Gräfin Mariann
816972	84389	
816972	85923	
816972	93478	Edith von Turoff
816972	103101	Herself
816972	105521	Josephine Malti, Singer
816972	105524	Madame Negar
816972	108156	
816972	110175	
816972	110712	
816972	119174	
816972	121038	Großmutter
816972	121138	
816972	125013	
816972	125100	Tina Camphausen
816972	125277	Helen Roeder
816972	126489	
816972	126841	Frau Mervin
816972	126848	Frau Mainburg
816972	134818	Olga Tschechowa
816972	138458	Frau von Stahl
816972	141946	
816972	145603	Priorin
816972	147139	
816972	149568	
816972	155459	Nora Ottendorf
816972	155463	
816972	156740	
816972	164511	Mrs. Johannsen
816972	172729	
816972	173172	
816972	175278	
816972	180153	
816972	182886	Olivia Vanderhagen
816972	187554	
816972	189545	Manuela
816972	189566	
816972	189585	Antonia Delvarez
816972	189592	Lilian
816972	189704	Baronin v. Eggersdorff
816972	189767	
816972	189808	
816972	189818	Olga von Dagomirska
816972	193301	Tanja Asew
816972	200696	Susanne de Bogne
816972	204367	Gräfin Pola Valewska
816972	204409	
816972	204432	
816972	204518	Irene Hesse
816972	206824	Mary Bearing
816972	207213	Anita Keller
816972	209563	
816972	209971	Percys Schwester
816972	210134	
816972	210479	
816972	211102	Vera seine Frau
816972	216258	
816972	220269	Parysia
816972	225154	
816972	225225	Hanne Bullová
816972	225728	
816972	226243	
816972	226273	
816972	226320	
816972	227777	
816972	234896	
816972	246553	
816972	247599	Florence
816972	251811	Baronin
816972	259433	
816972	261303	
816972	274915	Floris Bell
816972	275162	Marianne von der Halden
816972	279005	Frau von Eichhoff
816972	281959	Mrs. von Weidersheim
816972	282194	
816972	290179	Baronin/Baroness Safferstätt
816972	293526	
816972	293554	Nora Noir
816972	293799	
816972	307602	
816972	307603	
816972	311240	Mrs. Harris
816972	312733	
816972	334629	
816972	339050	
816972	340102	
816972	340717	
816972	343943	Die Fürstin
816972	344742	Helena Bernhard
816972	345106	
816972	345112	Anais
816972	346608	Baronin von Eggersdorf
816972	347051	
816972	347761	
816972	351937	
816972	352363	
816972	352389	Estella
816972	358891	Sylvia von Polonska
816972	359627	Herself
816972	360957	
816972	361006	
816972	361313	
816972	376310	
816972	376339	Catherine Turner
816972	376346	
816972	376446	Grandma Arkens
816972	376492	Inge Leuthoff
816972	376764	
816972	387078	
816973	21410	Tamara
816973	28562	
816973	40365	Gisela
816973	47842	Ulla Wickwebe
816973	62176	
816973	83902	Hilke
816973	86388	Salka
816973	97731	
816973	102404	
816973	102510	Franziska
816973	105510	Euridice
816973	119117	
816973	119435	Manuela O'Brien
816973	119654	
816973	157682	Vera Paterny
816973	170677	Carola
816973	189547	Elsas Mutter
816973	189659	
816973	194631	Ruth
816973	208181	
816973	210058	Else Heer
816973	210320	Cameo appearance
816973	225159	Katja
816973	226199	
816973	229929	
816973	234297	
816973	239956	Charis
816973	242854	
816973	247610	
816973	259759	
816973	290063	Vollina Harders
816973	290146	
816973	290501	Mrs. Clausthal
816973	307765	Kristina
816973	325037	Charlotte
816973	325416	Wiktorija
816973	326049	Victoria
816973	338940	Katia, Tänzerin in Paris
816973	341204	Herself
816973	345892	Monika
816973	352271	
816973	367037	Anne Scherzer
816973	381587	Maria Pia
816973	387078	
816973	391293	Julia Gessner (1989-1990)
816973	392600	.
816973	402896	Clara van Boolen
816973	407203	Eleonore Stiller
816974	31704	Irma
816974	70305	Brenna
816974	140844	Marissa Campbell
816974	158183	Little Girl
816974	168218	
816974	223886	Leanne
816975	248781	Nadeto
816976	78288	Lille pige
816977	145519	Titta Grå
816978	28352	Anjuta's stepmother
816978	34244	Gudfinna
816978	45742	Ruth's Mother
816978	48363	Helena Vestman
816978	95272	Teodor's mother
816978	96426	Anna
816978	96431	Maid
816978	97087	Mrs. Sörensen
816978	114484	Jans-Karin
816978	122459	Karin Boman
816978	124450	Wife
816978	134939	Ivan's Mother
816978	137733	Hilda Söderholm
816978	138491	Mrs. Alm
816978	138504	Eva's Mother
816978	140424	Mrs. Arnold
816978	147011	Mrs. Ström
816978	148825	Mrs. Almer
816978	153715	
816978	153899	Wener's Mother
816978	159672	Karin
816978	173114	Anställd hos jägmästaren
816978	178782	
816978	182555	Eric's Mother
816978	182578	Henry's Mother
816978	184575	Mrs. Salta
816978	184577	Mrs. Holmgren
816978	192667	Mrs. von Barton
816978	213936	Smidt
816978	215071	Mrs. Gaspard
816978	216985	Miss Spratt
816978	225335	Mary
816978	237259	Evelina's Mother
816978	239473	Witch
816978	268339	Asta
816978	268356	Eleonore's Mother
816978	304173	Holm's Mother
816978	315567	
816978	317471	Kristina
816978	330075	Therese's Mother
816978	331006	Clotilde Douglas
816978	331007	Clotilde Douglas
816978	343711	Hildur's Mother
816978	354422	Old Hanna
816978	357767	Felix's Wife
816979	133399	Tina Wlarskaja, an actress
816980	282989	
816981	175068	Tizzi
816981	307680	Katharina
816981	364903	Anya
816981	406520	Paula
816982	106681	Liza, their niece
816982	229789	Nastya, his grand-daughter
816982	304573	Charity Sister
816983	211117	Rosa
816984	88090	Little Necie
816985	919	Heide
816985	364967	Verteidigerin
816986	1826	Beate
816986	223408	Kim
816986	325454	Hitch-hiker
816987	342635	Forensic Lab Technician
816988	1544	
816988	48939	The Airline Reservation Agent
816988	68772	Que
816988	144763	Zoe
816988	400621	Gou (2001)
816989	268709	Court Lady
816990	323100	Maid
816991	107001	Customer
816991	257344	Dr. Cruikshank
816991	273718	Executive
816992	53916	Blossom
816992	115095	Linda Park
816992	295461	Private Nurse
816992	367668	T.V. Reporter
816992	389411	Zola
816993	369800	
816994	110584	
816995	298357	Sung Yin, his wife
816996	394078	Chryssa Leonditi
816997	44215	
816997	375961	
816998	74277	Girl plays basketball 1
816999	357461	
817000	18336	Serafima "Sima" Antonovna Vor
817000	34585	Antonina Pavlovna Kalmykova
817000	40871	Lyuba Karaseva
817000	163896	Czarina Anastasia Romanovna
817000	188015	Gurmyzhskaya
817000	216618	
817000	217462	
817000	224278	Levkoyeva
817000	230453	
817000	260425	Olga Ivanovna Dymova
817000	261905	Zinochka
817000	294663	Alexandra Sergeyevna "Shura" 
817000	357206	Natasha
817001	388713	Zoe Margari
817002	158079	
817003	359175	Madame Peronskaya
817004	298357	Grandmother
817005	233020	Peng Yi
817005	297515	Ninja Ho'
817006	76726	Mauli Metgod
817007	371529	Yun-Yun
817008	85485	
817008	167435	
817008	324341	Evonne/Lee Wa Fung
817009	63365	
817009	209896	Mei-li Ling
817010	335433	Miss Lee
817011	369651	
817012	33772	Blonde Slave
817012	139359	Harem Girl
817012	296046	
817012	328526	
817012	365118	Conception Room Girl
817012	365536	Evelyn
817013	134872	Aniko
817014	286784	Dawa
817015	40613	Paula Simms
817015	381171	Penny Pocket
817016	13492	
817016	58431	Darejani
817016	59466	Domna
817016	62346	Postwoman
817016	63592	Tamari
817016	77005	Pepela
817016	123541	Tamari
817016	162541	Gogutsa
817016	170961	Young woman
817016	179601	Nani
817016	181586	
817016	200053	Magdana
817016	202759	Mzekha
817016	209091	Kakano
817016	247078	Eka
817016	256696	
817016	268573	
817016	285089	Veriko
817016	293983	Ivlite
817016	297806	Andya
817016	324986	Barbare
817016	334829	
817016	344094	Kesaria
817016	344266	
817016	344270	Maro
817017	26254	
817017	26410	
817017	42897	Inn Proprietress
817017	85211	Ekaterina Ivanova
817017	132593	
817017	163872	
817017	179322	
817017	198139	
817017	244190	
817017	300476	
817017	320667	
817017	332989	Aksinya
817017	355555	
817017	356931	Nehr's Wife
817017	357294	
817017	371434	Praskovya
817018	8115	Orama
817019	264974	Woman in the Kiosque
817020	243719	
817021	385983	Zeta
817021	386147	
817021	386403	
817021	386638	Sofi
817021	396360	
817022	10241	The Contortionist
817023	259812	Aryunaa
817024	389868	Julia Motene (2002-)
817025	288690	
817026	99370	
817026	267497	Prison matron
817027	120237	Regina Mtahi
817028	191701	Ani-La
817029	338568	Beetlenut Lady
817030	254942	Nyima
817031	127051	Natalie
817032	285197	Volkhova
817033	1996	Su Tan
817033	11573	Korean Woman
817033	177989	Harem Showgirl
817033	187078	Woman in kimono
817033	195743	Rosie Wu
817033	230407	Euurasian girl
817034	98073	
817035	244281	Desdemona
817035	268585	
817036	16866	Herself
817037	1003	
817037	8125	
817037	136488	Vera
817037	341178	
817037	379445	
817037	379629	Delmouzos' wife
817037	395090	Nassia Fotinou
817037	400825	Sofia
817037	406697	
817037	408760	
817038	394572	
817039	194765	Woman #2 - Singer
817040	193911	
817041	22878	Maya
817042	269510	Christine
817043	299316	
817044	390955	
817044	402298	
817045	62856	Ivlita
817047	65833	
817048	14330	
817048	24512	
817048	213694	
817048	243441	
817048	329637	
817048	346439	
817048	369509	
817048	407925	
817049	188197	
817050	91929	Body #2
817051	65833	Katerina
817051	87732	Elias' Mother
817051	240078	
817051	329174	
817051	394572	
817052	41518	Beach Woman #4
817052	133931	
817053	387015	
817054	86859	
817054	88353	Antonia
817054	224952	Tourist
817054	227051	
817054	227727	Jasoni
817054	341182	
817055	22739	
817055	45764	Keti (segment Talant)
817055	60871	Kalina
817055	75874	Mariya
817055	98639	
817055	103565	
817055	131157	Zhurnalistkata
817055	264535	Yuliya
817055	265632	Hamida
817055	271685	
817055	275268	
817055	302984	
817055	303117	Mladata kolezhka
817055	304722	Studentkata
817055	320707	
817055	332269	
817056	345092	Woman on Balcony
817057	9306	Princess Ekaterine, Mother of
817057	13492	
817057	62859	Mother of shota
817057	64155	
817057	76790	Maro
817057	78706	Dariko
817057	101449	
817057	104282	
817057	163845	
817057	209833	Tamari
817057	217780	
817057	224953	Playing herself
817057	243494	Daredjani
817057	268562	Nestani
817057	268611	Nino
817058	102997	Dafino
817058	303878	Nato
817058	341247	
817059	49464	
817059	135747	
817059	341214	
817059	349329	
817059	370406	
817059	371893	
817060	184608	Black Pawn
817061	250656	
817062	123753	Tsitsino
817062	124468	Salome
817062	320680	
817062	341241	Matsisa
817062	375533	
817063	370123	
817064	78997	Fannie Musket
817065	62000	'Donald Duck'
817065	92814	Wu Lien's Third Child
817066	217771	Fisherwoman
817067	162134	Charlene
817068	404112	Ba-Do (Daughter)
817069	203919	
817070	167760	
817071	358030	Nandi
817072	96574	
817072	392994	Eleni Spinou-Barka
817072	394037	Betty
817073	208779	
817073	229832	Mileta
817073	235293	Savina
817074	45482	Milka
817074	171968	Veleva
817074	226017	Hristinka
817074	228847	Stefanova
817074	234793	Gospozhitza Shmidt
817074	235290	
817074	244028	Snahata
817074	261305	Yana
817074	304501	Barzashka
817074	339734	Zhenata na Pejo
817074	354641	Zhenata na Zhivko
817074	376428	Nada Bramic
817074	404210	
817075	326260	
817076	391124	
817077	105893	Danae
817078	202950	Running Deer (sister of Yello
817078	266520	Ellie Ralli
817078	321288	Tennis girl
817078	350012	Telethon telephone girl
817079	49828	Rat Woman
817080	6074	Selska moma
817080	6076	Pianistka, izpalnyavashta Sho
817080	268128	Reporterkata
817081	297635	Tadesse
817082	29523	Sandy
817082	35169	Receptionist
817082	45400	Local News Woman
817082	89056	Leslie
817082	93747	Leung Communication
817082	139210	TII manager
817082	310726	Elevator Passenger
817082	313432	Jasmine Lee
817082	316982	Tae Wong
817082	330591	Businesswoman
817083	388713	Romina
817083	397968	
817085	395706	
817086	102369	Sonja
817086	120056	Bar keeper
817087	283756	Gorislava
817087	312939	Ballerina
817088	95821	
817088	264384	
817089	149097	
817090	3005	Chinese Girl
817090	9131	Carol
817090	54387	Su Ling
817090	77433	
817090	92112	Sheila Waltzberg
817090	115895	Dancer
817090	128464	The Counselor
817090	134013	Lin
817090	150286	Pam
817090	151672	Native Girl
817090	162876	
817090	168531	Harem girl
817090	169884	Celestial Image
817090	173936	Reikko
817090	220985	Mrs. Chang
817090	248128	Talah
817090	248496	Pua
817090	305987	Hua
817090	314269	Xua Chan
817090	321695	Nalu
817090	323395	Miss Wu
817090	327235	Mrs. Ching
817090	331655	Empress
817090	332313	Aunt Rosie
817090	345650	R.J
817090	346178	Suzy
817090	364847	Dr. Joyce Sabata
817090	367876	Linda
817090	371565	Tah Ling
817090	389574	Doctor Tingley
817090	399595	
817091	4958	Dancer
817092	22692	Chiyoko Hori, Chauffeur's Wif
817092	101563	
817092	145124	
817092	299573	
817092	334947	Hatoko (Hato-poppo)
817092	349100	
817093	174953	Rastel's mother
817093	283268	Suzuko's Mother
817093	285808	Hyôga no haha
817093	380560	Narrator
817093	390899	Narrator
817093	409327	Aihara's Mother
817094	127781	Tetsurô's Mother
817094	208014	Kanae Hoshino (from Galaxy Ex
817094	289304	Tetsurô's Mother
817094	391751	Kaiô's Mother
817094	409318	Cleo
817094	409327	Akiko Kodai
817094	410526	Mama
817094	410527	Mother/Narrator
817095	130740	Old Chinese Woman
817096	8888	Hamako Matsuyama (now)
817096	61114	Mrs. Shirakawa
817096	178418	Tamiko Katayama
817096	284076	Kuniko
817097	5394	
817097	17876	
817097	123451	Mrs. Ishikawa
817097	138100	
817097	178369	
817097	179434	
817097	182385	
817097	202295	Teacher
817097	243917	Reiko's late mother
817097	296638	
817097	299001	
817097	328090	
817097	358387	
817097	371854	Osen
817097	374090	Osen
817097	374114	Osayo
817097	374116	
817097	375616	
817098	29424	Kiku
817098	137132	
817098	146907	Sugiko
817098	167906	Takako Komiyama
817098	176671	Otane
817098	222427	Mieko
817098	239321	
817098	300483	Okoto's sister
817098	334572	Ayako
817098	341276	Taeko Niemura
817098	344286	
817099	240349	
817099	410642	Hu San-Niang
817100	242815	Club Woman #4
817101	312712	
817102	122957	(story 'Shokki')
817104	58352	Aoi Suzuishi
817104	298884	Ichigo Shirayuri
817105	324308	Mayumi Okamoto (young)
817105	380470	
817106	30796	Pooh
817106	145441	Shoko Koide
817106	177823	
817106	178421	Chikako Fujishirô/A friend of
817106	236874	Masumi Imai
817106	238638	Homeroom Teacher
817106	263361	
817106	344958	Prostitute
817107	232697	
817108	288656	Madman with Haori
817109	223971	Waitress
817110	146352	
817111	349103	Woman
817112	74268	Hû Feng-Líng (Hû Mû)
817112	74269	Hû Mû (Hû Feng-Líng)
817112	181965	Hû Feng-Líng (Kofurin)
817113	294163	Eiko Shimao
817114	334862	Mariko Kanda
817115	198827	Takako Aburatani
817115	373190	Chitose Morikawa
817116	201302	Additional Voices
817116	396573	Mary
817117	51783	(segment "Despejo, O")
817117	125264	Satsuki Kitahara
817117	153209	Emi Nagata
817117	226626	Takeshima Mami
817117	301331	
817117	374380	
817118	374683	Linda
817119	300833	
817120	62187	Katie Goodman/Alien
817120	63388	
817120	231201	
817120	239146	Jo Jo
817120	295248	Ah Jo
817121	88277	Joe Joe
817122	2986	Tiny Archer
817122	3288	Jacky Wong
817122	95509	Mandy
817122	167415	May
817122	168041	Florence's Sister
817122	184609	Pam
817122	192457	Zin
817122	268728	Tung
817122	300639	Heung
817122	300663	Tong Siu-Gei
817122	332286	Yan
817122	332342	Wai
817122	370803	Siu-Wai
817122	374812	May
817123	123256	
817124	162329	Teacher Hei
817124	236237	
817124	275524	
817125	46752	Girl 1
817126	15292	
817126	121780	Wong Siu Mooi
817126	127654	
817126	175770	
817126	189227	Green Snake
817126	203241	
817126	293442	Mermaid
817126	300512	Ran
817126	305932	
817126	358921	
817126	370603	Spirit's wife
817126	374947	
817127	2494	Ling Ling/Ku Ku
817127	16068	Forensic Blood Technician
817127	62280	Judge
817127	63137	Dr. Ortiz
817127	80794	Dr. Czapsky
817127	92232	Reporter inside Hospital
817127	97350	Peggy Chang
817127	107901	Female Reporter
817127	139582	Mrs. Hong Fat
817127	139745	Reporter
817127	201311	Dr. Krygice
817127	206864	Judge Lau
817127	223691	Sing Sing
817127	241952	Nui/Hecuba
817127	255316	Travel Agent
817127	273771	Grande Dame
817127	282012	Narrator
817127	304237	Belly Dancer
817127	314697	Tina
817127	329342	Dr. Nishimi
817127	339351	Stephens
817127	392057	Receptionist
817128	142813	Siu-Fung
817129	268709	Court Lady
817130	216637	Panther
817130	373055	Betsy
817131	130844	Amazon
817131	256215	Woman in White
817132	172297	
817133	177380	Mature
817133	177382	Mature
817133	177385	Mature
817133	177387	Mature
817134	9276	Okatsu
817134	9435	Woman in Okayama
817134	89049	Otane Watanaka
817134	177116	Takae
817134	239380	Moshi Higa
817134	299337	Kane
817134	344967	Uta, Joe's mother
817135	24918	Mayu
817135	142701	Yuri
817135	172119	
817135	259038	Nazonokusa (Oddish)
817135	317539	Fubuki
817136	63706	
817136	63708	
817137	63542	
817137	88754	Matsueda
817137	285613	Landlady
817138	122049	Okinu, Naotaro's sister
817138	338580	Okuni
817139	225621	Herself - a member of Mooning
817140	148836	
817141	138101	Botan
817141	150504	Yoko
817142	394031	Various characters
817142	396489	Queen of Fenarinarsa
817142	404390	Taiko Namino (#2)
817142	405158	Kôzuki Luna
817143	404783	Maki
817144	334893	Chieko
817145	122909	Titoe
817145	122910	Titoe
817146	355666	Ryôko Ooyama
817147	9294	
817148	89804	
817149	132385	Wife
817149	182428	Michiko Sada
817149	234915	
817149	236855	
817149	293471	
817149	348992	
817149	371840	Miyoko Tanigawa
817150	8796	Saeko Sawada
817150	9151	
817150	9420	Ayako
817150	17105	
817150	17428	Sally
817150	18689	Ayako Eito
817150	21334	Lady Ochii aka Princess Chiyo
817150	61050	
817150	63542	Aguri Asano
817150	76877	Reiko Mizuno
817150	76878	
817150	76880	
817150	76906	Haruko
817150	121463	
817150	125265	
817150	128298	
817150	130554	Katsuno
817150	132381	Shino
817150	138043	
817150	138060	
817150	139405	
817150	139721	Asako
817150	139741	
817150	144214	
817150	144509	
817150	145292	
817150	149100	Keiko Kimura
817150	153866	
817150	153867	
817150	156240	Herself
817150	163973	Miciko
817150	167795	Umeko Ueno, 2nd Daughter
817150	168102	Tsutayo
817150	171625	Ichi Sasahara
817150	176590	
817150	176635	
817150	177783	
817150	179348	Noriko, second daughter
817150	179438	Nami
817150	179464	
817150	181489	(segment 2)
817150	181985	
817150	211214	
817150	213007	Yumiko
817150	214309	
817150	232580	
817150	233117	
817150	233136	Princess Tachibana
817150	233220	
817150	235372	Mrs. Nishiyama
817150	238475	
817150	242200	
817150	275753	Sumie Kimura
817150	287528	
817150	288187	Keiko
817150	288191	
817150	294100	Tazu
817150	296632	
817150	296634	
817150	296635	
817150	296636	
817150	296638	
817150	296639	
817150	296640	
817150	296641	
817150	298951	
817150	299135	Tsune
817150	300599	Akiko Shirai
817150	308877	
817150	308894	Haruko Endo
817150	320460	Kumiko Kazuki
817150	327957	
817150	328007	
817150	334938	
817150	341284	
817150	343635	
817150	358424	Michi
817150	359398	
817150	371844	Nui
817150	371986	
817150	373177	
817150	375571	
817150	375596	Keiko
817150	375597	
817150	375602	
817150	375604	
817150	375606	
817150	375607	
817150	375609	
817150	375610	
817150	375611	
817150	375627	
817151	394031	Various characters
817151	396496	Teko
817151	396535	Non/Furu Furu
817151	400039	Spank
817151	404908	Jacky
817151	404909	Banner
817151	409318	Masusan
817152	179822	Wakatsuma
817153	227134	
817154	135953	Matsumani
817155	168356	Kyoko Hamanaka
817156	28125	
817156	139984	
817156	182038	
817156	232914	
817156	299574	Mie Kakizono
817156	325331	
817156	373178	Fairy
817157	170867	
817158	21825	Yachiyo Ohnuki
817158	29424	Aya Kitagawa
817158	38926	Sestuko Kurakoshi
817158	50962	The Temptress
817158	61114	Fumiko Shimoshiro
817158	125245	Mie
817158	144439	
817158	146903	Matron
817158	167478	Nobuko Shiga
817158	173994	Yasuko Manhyo
817158	179537	Makiko's mother
817158	182057	
817158	198827	Mayumi Hara
817158	214395	
817158	230139	Makiko Chisaka
817158	231587	Mother Superior
817158	232610	Masuno Kagawa
817158	237761	Kanako Sega
817158	238805	Yodo Gimi
817158	239295	Yumiko Kaitani
817158	242235	Masako Yanagi
817158	297069	Takshakara
817158	297260	
817158	358122	
817158	359720	Akemi
817159	196061	Mashiko
817159	244498	Nami
817160	127862	
817160	245865	
817160	293505	
817161	298953	
817162	172280	
817163	212054	
817163	242816	
817164	4824	Natela
817164	61086	Kesaria
817164	85272	Doctor
817164	104282	
817164	123992	Nato
817164	174708	
817164	182265	
817164	216550	Kato
817164	243719	
817164	247078	Countess Qetevani
817164	247983	Teacher
817164	250656	Zareta
817164	268573	Medea
817164	293983	Magda
817164	298275	Darine
817165	268577	Mariami
817166	34194	Reiko Tomizawa
817166	43050	Rin
817166	121895	
817166	141737	
817166	285919	Noriko Sugiyama
817166	298913	Mahiru Morino
817166	298955	
817166	342260	
817166	344958	Okichi
817167	8901	Adjutant
817167	125244	Nello
817167	241952	Yumemaru
817167	316624	Makoto
817167	380775	Astro Boy/Atom
817167	385982	Takato Matsuda
817167	389663	Kakinomoto, Reo
817168	233225	Tomiko
817168	244659	Koshimi
817169	293585	
817170	299262	Natsu Ayuhara
817170	382110	Kou Taiki - Sailor Star Maker
817171	371989	Kumiko Owada
817172	129868	Stewardess (Ms. Beauty)
817172	165202	(segment "Cold Sleep")
817173	117425	Shibito
817174	6635	Head Nurse
817174	145454	Tomiko Suzuki
817174	145653	
817174	156113	
817174	164026	
817174	169833	Snack Shop Lady
817174	186105	Old lady photographer
817174	213282	Matsui
817174	243497	
817174	251929	
817174	278548	Sudô
817174	285586	Harue Kawatani
817174	374182	
817174	394104	Sanako Kanzaki
817175	238360	
817176	60550	
817177	9292	Sonnet Barje
817177	63713	Kim Kaviroff
817177	65557	Suen
817177	89940	Leona Ozeki
817177	91094	Bulma
817177	91096	Bulma
817177	91098	Bulma
817177	91099	Bulma
817177	92746	Bulma
817177	92747	Bulma
817177	92855	Bulma
817177	92856	Bulma
817177	92857	Bulma
817177	123107	Score
817177	123108	Lufy
817177	123109	Lufy
817177	123110	Score
817177	123111	Lufy
817177	130730	Software Company President
817177	164107	Iyo
817177	177084	Ayukawa Madoka
817177	177085	Ayukawa Madoka
817177	177756	Natsuko Shôno
817177	177757	Natsuko Shôno
817177	177758	Natsuko Shôno
817177	177759	Natsuko Shôno
817177	177760	Natsuko Shôno/Princess Diana
817177	177761	Natsuko Shôno
817177	177762	Natsuko Shono
817177	177763	Natsuko Shôno
817177	179507	Tezuka Nagisa
817177	201379	Rama Sayaka
817177	202806	Mano Sayoko
817177	211948	Naomi Hunter
817177	211949	Naomi Hunter
817177	212306	Asuna Kujo
817177	232868	Masana Fujisaki
817177	272211	Ukyou Kuonji
817177	272212	Ukyou Kuonji
817177	272213	Ukyou Kuonji
817177	272214	Ukyou Kuonji
817177	277456	Score
817177	283269	Shiga Azusa
817177	293503	Leyla
817177	298957	Madoka Ayukawa
817177	316620	Eliza
817177	319374	Lufy (Gallforce)
817177	325315	Leila
817177	334888	Leona Ozeki
817177	334892	Asou Kazami
817177	354828	Yumi
817177	358132	Mira
817177	373366	Aya #1
817177	379521	Hinako Hanakoganei,Petit Ange
817177	384227	Kim Cabirov
817177	386775	Bulma, Bra
817177	386776	Bulma Brief, Bra brief
817177	386777	Bulma
817177	387831	Taeko Kuroyuki
817177	390027	Reiko Mikami
817177	390537	Mika Seguchi
817177	391574	Miyako Kamijou
817177	392897	Penny (Japanese version)
817177	394107	Jeanne d'Arc
817177	394164	Suzaku
817177	394462	Ayukawa Madoka
817177	394522	Natsuko Shôno
817177	394550	Eva Braun
817177	396490	Brenda Jo
817177	396500	Junko-sensei
817177	396796	Lala
817177	397196	Cassandra
817177	397562	Kujou Asuna
817177	399955	Goddess
817177	400039	Cat
817177	401245	Perrine
817177	401736	Onna-Boss
817177	404127	June
817177	404230	Madonna (original Japanese ve
817177	405175	Catherine Hayward
817177	405356	Kiddy Phenil
817177	405981	Dokin-chan
817177	408436	Louise Ovelon
817177	408634	Sachiko
817177	408893	Meryl Stryfe
817177	410509	Rebi
817178	370409	
817179	68064	Pretty Girl #2
817180	68064	Pretty Girl #1
817181	18664	Tada, Shizuko
817182	394091	Utako Sahara
817183	510	
817183	515	Additional Voices
817183	516	
817183	517	
817183	396019	Millennium 'Millie' Farrier N
817183	405028	Gian Deez
817183	410258	Nurse
817184	373191	Reiko
817185	379515	Sophia
817186	43045	
817186	121466	
817186	176633	Tsuzaka
817186	221110	
817186	309396	Yoshiko Sagara
817186	370419	Misa Inui
817186	383979	Nanami
817186	384077	Nanami
817186	390965	
817186	392643	Hitomi Takagi
817186	393987	Ryoko Sugimura
817187	121471	
817188	8800	
817188	17385	Yoko, Shinkawa's daughter
817188	21822	Sumiko Kanazawa
817188	21831	
817188	28911	
817188	122138	
817188	138485	
817188	139723	
817188	145447	
817188	169126	
817188	176569	Hiroko Nakatani
817188	176591	
817188	176671	Tomoko Moriya
817188	179437	
817188	179535	Shino Wakai
817188	180046	
817188	181485	
817188	182061	
817188	182346	Kimiko Fujisaki
817188	200545	Kiyoko Nonomiya
817188	204837	Kayo Kajii
817188	213660	Kayô Kajii
817188	226689	Kenichiro's mother
817188	229784	
817188	229785	
817188	232906	
817188	233103	
817188	238101	Setsuko Yamauchi
817188	241946	
817188	242181	Kimiko, Fujikura
817188	243980	
817188	298749	Shino
817188	299155	Wife of a light house keeper
817188	312481	
817188	320460	Nobuko Takahata
817188	325207	
817188	327945	
817188	328013	
817188	335496	
817188	341320	Natsu
817188	344949	Yukiko Nomura
817188	372015	
817188	394465	Ritsu Yokooji
817188	404269	
817189	39829	Noodle Woman
817190	405279	Dolcilla
817190	408264	(Roda)
817191	121440	Girl in a boat
817192	369385	Yumi
817193	275755	Ayu
817194	244513	Eriko
817195	192505	
817196	129868	Office Lady
817197	179540	
817198	62180	
817198	145124	
817198	182403	Okuni
817198	241923	
817198	244566	Osome
817198	244691	
817198	244692	
817198	299573	
817198	334947	
817199	14589	
817199	20893	Widow
817199	32505	Vasasi
817199	62346	Pepela
817199	62859	Eprosine
817199	76790	Elisabedi
817199	99252	Zazubika
817199	129013	Her stepmother
817199	130251	Wife of salesman
817199	175955	Maid
817199	209833	Kesarya
817199	227051	Wife of a foreman
817199	268611	Princess I
817199	268815	Marine
817199	286512	Melano
817199	286651	Employer in Court
817199	354632	Salikhe
817200	222922	Eiko
817200	243517	
817200	288352	Oharu
817201	179524	
817201	375601	
817202	13605	Rumi Matsuki
817202	77732	Minako
817202	101626	Otomi
817202	168006	Actress (cameo)
817202	168347	Rie
817202	371828	Yumi
817203	80051	Masha
817203	80052	Masha
817203	209279	
817203	373699	Prostitute
817203	375932	
817204	339230	
817205	293907	
817206	262644	
817206	313889	
817207	187800	
817208	52197	Guest
817209	283681	
817210	349217	La Carconte
817211	318562	
817212	25690	1st Lady
817213	297224	
817213	373736	
817214	6185	Yeva
817214	51072	
817214	63593	
817214	76159	Katie
817214	124843	
817214	163899	
817214	172472	
817214	178822	
817214	178823	
817214	180685	
817214	224037	Katie
817214	228999	
817214	229805	
817214	232690	
817214	263678	
817214	289862	
817214	296993	Lida
817214	299421	
817214	318562	
817214	340658	
817214	349374	
817214	350991	
817214	357706	
817214	373484	
817214	389747	Czarine Elisabeth II
817214	390401	Mariya
817215	27974	
817216	36427	
817216	282189	Lisa
817217	369538	Paxia
817218	409144	Herself - Reporter
817219	352830	Lin-Ling
817220	74480	Guerilla
817221	49270	
817221	58544	Soong Chu
817221	85872	Jeanne Silkingers
817221	90378	Chinese Telephonist
817221	145099	Bo Lee
817221	152989	Chinese Girl
817221	178630	
817221	195039	Nhan Lee Quon
817221	200524	Jenny
817221	286243	Tsai Chan
817221	313207	Mrs. Fujisaki
817221	325706	Lyn
817221	343490	Daniele Marion
817221	343492	Maya
817221	361244	Hogan
817221	388947	Dr. Lisa Chang
817221	408388	Tänzerin 3
817222	113131	Li
817222	246999	Chow Ching Lie Adolescent
817223	90548	Store Clerk
817224	95287	Tian Hong
817224	369799	Yang Yunjiao
817225	46807	Lotus
817225	107109	Lotus
817226	110620	Ling Yan
817227	235159	Pila
817228	92058	Carmen
817229	228540	Nargiza
817230	70460	Maria
817231	122166	Anne Rata
817232	47474	Essie's wife
817233	249208	Josée
817233	340289	Script-girl
817233	376910	Vanina
817234	41000	
817234	71947	Hélène Armand Morelli
817234	77364	Michaela
817234	80156	Ghislaine
817234	160055	Juliette
817234	276538	Pauline
817234	377253	Beatrice
817235	49674	Herself
817236	147071	Viet Cong Officer
817236	221510	
817236	251296	Enfant
817237	194928	
817238	128350	Samnang's Mother
817238	176711	Okinawa Airline Ticket Agent
817238	254785	Korean Wife
817239	406084	Presenter (2003-2004)
817239	411325	Top 5 Music Chart Reviewer (2
817240	364095	Secretary of Mr. Martinez
817241	127627	Beach Dancer
817242	131914	Angel
817243	130768	Doo-wop singer
817244	131830	
817245	184104	The Laker Girls
817246	254379	Herself (friend)
817247	43982	
817247	101883	
817247	103665	Granny
817247	193483	Viejecita
817248	60710	Vera
817249	171539	Iluska
817250	34913	Choir member
817251	198907	American tourist
817252	18999	Mental Patient
817252	404834	
817253	42870	Outa
817254	29817	Cool Barcelonan
817255	11524	Roselynn
817255	80636	Cindy
817255	307902	Laura's Friend
817256	40200	Insect Dealer
817257	222043	María
817258	63322	
817259	214443	Young Woman in Bookstore
817259	220079	Meriangeles
817260	278154	Pharmacienne
817261	23681	
817262	153746	
817262	237275	
817263	354288	Charwoman Anna
817264	72912	
817265	284929	Lola Rodriguez
817266	54541	Ballroom flirt
817267	2998	Molly's Best Friend/Classmate
817268	198599	Rita
817269	152	Nicole
817269	27363	Martina Dobbs
817269	37047	Carol Shepherd
817269	37232	Woman Singer
817269	60864	Laura Tomley
817269	171695	Sgt. Welles
817269	264785	Doctor
817269	315871	Carla Dimaggio
817269	380391	Amanda Cory Fowler Harrison S
817269	383119	Annie Rooney
817269	402170	
817271	342797	Janine
817272	236322	
817273	121506	Tana (Ballerina)
817274	300180	Henrietta 'Mama' Bazoom
817275	35754	Ruth Atkins
817275	69047	Priscilla Hiss
817275	78217	Lise Lewin
817275	101570	Alexandra
817275	108335	Marie Mills
817275	208971	
817275	296747	
817275	321262	Monika's Mother
817275	334154	Angela Maretto
817275	336654	Dee Dee
817276	153898	
817277	16968	Bernadette
817278	127943	Teresa
817279	53863	
817280	153898	
817281	97364	Numbers Woman
817282	80890	Old Amy
817283	379819	
817283	385663	Gabriela Arango
817283	395061	Susan
817283	405416	
817283	410093	Irene
817283	412123	
817284	247183	
817285	84202	Kelly
817285	115161	Joe's Woman
817285	213122	Becky Gallagher
817285	363492	Rikki
817286	349811	Rosa
817287	43912	
817288	305167	Herself
817289	104657	Martha
817289	121055	Baroness von Fricken
817289	376366	Farah
817290	228449	Student
817291	174028	
817291	324115	
817292	162664	
817293	223506	Candidate #9
817294	50832	Bit Part
817295	178859	
817296	186447	Girl at Table with J.W.
817296	273601	Rebecca Schaeffer
817297	53050	Betty Stoller
817297	133716	Karen Ridgeway
817297	151624	New Intern
817297	190047	Alyssa's Friend
817297	365223	Jennifer Flanagan
817297	390979	Samantha Morgan (1995-1996)
817297	391947	Amy Szalinski
817298	80504	Student
817299	7212	Jennifer Dawling
817299	16923	Lori
817299	17979	Woman
817299	30965	Female Newscaster
817299	37894	Brooke Anders
817299	46147	Chris
817299	124049	Marie Gorman
817299	190346	Claire St. John
817299	221182	Nicole Barnes
817299	237604	Nicole Brown Simpson
817299	249499	Lucy
817299	277092	Gaylord
817299	278830	Senator Morton's Aide
817299	292715	Tricia O'Connor
817299	359075	Jill
817299	364281	Tish
817299	366131	LaVaughn
817299	366137	Dr. Brody
817299	393828	Gillian Gray
817299	395169	Kate
817299	400236	Megan Gordon Harrison (1988-1
817299	406952	Diane Wood (1998)
817299	411354	Lorraine Murrey
817300	252211	Actress Gal
817301	131240	Bonnie at six months
817302	203213	Woman with Trapper
817303	7049	Miss Busybody
817303	135984	Mrs. Hoffman
817304	17043	May
817304	102009	Lissa
817304	224025	Michelle
817304	292449	Herself/Interviewer
817304	292469	Miranda Lang
817304	367208	Annie O'Brien
817304	391248	Jodie Cooper (1994-1995)
817304	396067	
817304	404678	Miranda Lang (2001-2003)
817304	411172	Kate Holbeck (1999)
817305	113530	
817305	292452	Tanya Brown
817305	347414	Alison
817305	395023	Sarah Alder (1992)
817306	151187	Sr. Philomena
817306	207904	Ellen DeForest
817306	279456	Hannah
817306	334085	School Girl
817306	340803	Barbara
817307	71763	Herself (harmony vocals)
817308	39142	Bany Glover
817309	406459	Herself/Starting Over roommat
817310	114708	Secretary No. 2
817312	252925	Guest at Met
817313	212242	Specialty Dancer
817314	272021	Teenage Girl
817315	206856	Young Rowena
817315	411802	Karen Becker (1977-1978)
817317	361218	Herself (head, National Polit
817318	170872	Girl Scout #2
817318	293267	Emma
817318	385635	Eleanor Armstrong
817319	61673	Virginia Barrett
817319	107903	Katie
817319	357001	Samantha Pace
817320	248133	Final Voice
817320	363560	1950s Sitcom Mom
817321	397055	Lucy Wyatt
817322	19270	Philadelphia Lady
817323	348594	Debbie
817324	90409	Nicole
817324	92479	Dianne
817324	209219	Kelly Peterson
817324	385594	Debra Lynn Beaumont (1991)
817324	395807	Caroline Weldon
817325	291988	Nofia Lomonte
817326	59366	
817327	133792	Cheerleader
817328	104943	Nurse #2
817329	7019	Miss Greer
817330	238660	David's Mom
817331	11277	
817331	175184	Forward American Girl
817331	372819	Gladys
817332	402805	Jane (1974-1992) (singer)
817332	403614	Jane
817333	87460	Secretary
817334	93755	Hannah
817335	7036	Jean
817335	19797	Bistro waitress
817335	133727	Janet Barnes
817335	235162	Little girl in hospital
817335	241349	Girl
817335	338894	Girl
817335	345718	Michele Bonet
817336	962	Julia Heine
817336	3082	Julia Heine
817337	7890	Beautiful Waitress
817337	156501	Isabelle
817337	299712	Rachel Penland
817338	1703	Herself
817338	98138	Mia
817338	138701	Reveler #2
817338	170540	Karen
817338	327592	Amanda
817339	67147	Kimberly
817339	106193	Soap Opera Television Nurse
817340	38584	Katie
817341	87936	Young Rita
817341	121859	Young Joyce
817341	138735	Epileptic Eve
817341	282922	Alison
817342	260789	Rollerblade girl
817343	57365	Elsie Case
817343	105347	Lady Una Wimbourne
817343	190488	Maizie
817343	206386	Elinor Rossiter
817343	222311	Lady Lumley
817343	274399	Mrs. Butts
817343	362200	Sybil Tenterden
817344	170852	Itty Bitty Titty Committee
817345	21388	Queen Florence - The Ice Drag
817346	1020	Tough Girl
817347	79375	
817348	302110	Oni Johnson
817348	385820	Social worker
817348	405271	Shirley Dalston
817348	408638	Nicola Bruce
817349	411366	Grannie Johnson (episode 4: L
817350	17475	Matron
817351	137481	
817351	148540	Grumpy Lawyer
817351	195112	Herself
817351	351440	Herself
817352	58419	Servant Girl
817352	275451	Teacher
817353	141613	Mrs. Panek
817353	144246	Simulation Teacher
817353	153538	Crash Victim
817354	63342	Jolie
817355	17042	Paige
817355	54692	Sarah Baskin
817355	160058	Tough girl #1
817355	313622	Susan
817356	223894	Tess Regan
817357	212032	Tracy McConnell
817358	114024	
817359	193831	
817359	193836	
817361	197496	
817362	380430	
817363	58483	Dancer
817363	61461	Blonde
817364	160219	Listening Girl
817365	5378	Nurse
817367	213864	Narrator/Herself
817368	50073	Dani
817369	106016	Operator
817369	216445	Bathroom Woman
817369	222582	Sheila Whitehead
817369	297228	Jean Hemingway
817370	213494	Wedding Singers and Band
817371	47356	Alice Clayton
817371	116523	Herself
817371	124740	Herself
817371	141295	
817371	149103	Sophie Leonard
817371	168858	Herself
817371	169998	
817371	232363	Herself
817371	248600	Herself
817371	291372	Herself
817371	291403	Herself
817371	294212	Herself
817371	331062	Mother 'Aunt Edie' Ralph
817371	402888	Herself
817371	402964	Herself
817372	294804	Movie Theatre Hostage #1
817372	381485	Herself
817373	80774	Bobbie Franklin
817374	189907	Jean Hanley
817375	13293	Sharon Singleton
817375	38031	Herself
817375	42336	
817375	79785	Herself
817375	126110	Lorette Peach
817375	139050	Caroline
817375	166857	Qualen's daughter
817375	242956	Herself
817375	403027	Rachel
817376	156460	Night Club Dancer
817377	114099	Nurse #6
817378	333364	Connie - age 12
817379	52201	Pam
817379	244443	Heidi
817379	385296	
817380	282922	Mary
817380	360087	Tyree, 6 years old
817381	89938	Bárbara
817381	300361	Delana Alright
817381	310303	Gigalo girl
817382	299913	Herself
817383	102174	Shirley
817384	316750	Janice
817385	8366	Sister Geraldine
817385	195290	Wife (segment "Parting")
817385	241494	Mrs. Claus
817385	259216	Ms. Tyler
817385	267653	Lady Sparta
817385	349022	Lyla
817385	363423	Mrs. Weiler
817385	406120	Rose Martin
817385	406621	Martha Clarendon
817386	318775	Justine
817387	270715	Viola
817388	180556	Zdena
817388	262564	Chambermaid (Olduv vecirek)
817389	322069	
817390	355877	
817391	251007	
817391	355877	
817392	228997	Greta
817392	293510	
817393	296449	
817394	206322	Criada Judía
817395	188617	Mom
817396	190028	Lennie Jackson
817397	263426	Herself
817397	341466	Herself
817398	263426	Herself
817398	385931	Herself
817399	388125	Mari Richards
817400	80771	Chris Howlett
817400	113369	Mrs. Deacon
817400	396123	Gwyneth Alden #1 (1984-1989, 
817401	185287	Young Woman
817402	46524	Dr. Blake
817402	304442	Roberta
817403	137913	Court lady
817403	205076	Nun
817404	197370	
817404	265120	
817405	239756	Railcor Employee
817406	321266	Nurse Nancy
817407	41017	Natasha
817408	18648	
817408	67502	Lauren
817408	67699	Calleya's Wife
817408	192946	
817408	215894	Dorine
817408	219591	Lisbeth
817408	221673	Sarah
817408	241743	
817408	255474	
817408	288319	Paco's daughter
817408	300689	Ingrid
817408	327485	Steffy Mendoza
817408	328738	
817408	338661	Ann
817408	343996	Marjorie Hull
817408	347476	Sabine
817408	356939	
817409	92889	
817411	36686	
817411	54248	Prostituée
817411	55807	
817411	65703	
817411	76078	
817411	87184	
817411	89347	
817411	89976	
817411	92891	
817411	94147	
817411	108995	
817411	110986	
817411	119049	
817411	183007	
817411	207538	
817411	213538	
817411	262583	
817411	265463	One of the prophet's wives
817411	272347	Haricleea
817411	273049	Haricleea
817411	292895	
817411	294688	
817411	319980	
817411	341479	
817411	342061	
817411	345559	
817411	357299	
817411	376607	
817412	48658	Tasiya
817412	89784	Agronomist
817412	172442	Chita
817412	179330	Marga
817412	261317	
817412	332988	
817412	356542	Haigal
817413	224181	Modesty
817414	158602	Helen Andrews
817414	311517	School Nurse
817415	49271	Martha Wunderlich
817415	119706	Jeanette
817415	188721	Kellnerin Moni
817415	316544	Lady with Newspapaer
817415	325532	
817415	387302	Sabine 'Biene' Winkelmann
817416	45668	Tina (segment "Crush")
817416	74112	Tina
817416	241728	
817417	264914	
817417	317213	Sidnie Lensington
817418	42720	Wendy
817419	397888	Herself (2002-2003)
817420	354163	Girl in Park
817421	187557	
817422	29511	
817422	198506	
817422	239867	
817422	239887	
817422	239889	
817423	171127	
817423	186758	Applicant
817423	194380	Pickup
817423	298129	Terry
817423	350267	
817423	362530	
817424	43	Nurse
817424	41393	Lawyer
817424	52311	Natalie
817424	65756	Businesswoman Missing Watch
817424	87576	Lewynn's Assistant
817424	120615	Paramedic
817424	133214	Franny
817424	200853	Beverly Hills Lady
817424	210733	Teacher
817424	323588	Mrs. Weisman
817424	339363	Danny's mom
817424	366711	Gottlieb's secretary
817424	407897	Elizabeth Best
817425	6259	Laurie
817425	267174	Mark's Wife
817426	340803	Woman in Bathroom
817427	62922	Crustie
817428	19751	
817428	225465	
817429	1705	Little Maniac
817430	391674	Lina
817431	40414	Bea
817431	172841	Marion
817432	88102	Mrs. Cameron
817433	29330	
817433	35620	
817433	89508	
817433	296405	
817433	334989	
817434	20306	Ahu
817435	38459	
817436	28163	
817436	38477	
817436	139955	
817436	182916	
817436	237396	
817436	288212	
817436	293892	
817436	325348	
817436	390419	
817436	397383	Ümran
817437	38922	
817437	146984	
817438	60881	
817439	114873	Dancer: Grupo de Baile Marche
817440	285801	
817441	170921	
817442	405209	Mavis Bennett (1997)
817443	133309	Herself: Viola (Orkester)
817444	285038	Native Voice
817445	223400	Tahitian
817446	255009	Pare
817447	258593	Khodimsha
817448	293228	Jogger
817449	359284	Fionnuala
817450	84486	Beautiful Porsche Woman
817450	151530	Herself (model)
817450	215500	Billie Jean
817450	272920	Herself
817451	320095	Vonette
817452	83518	
817452	296314	
817453	308851	Joanie
817454	138603	
817455	138603	
817456	125658	
817457	296830	Arnattiaq
817458	196902	Kate
817458	384686	Various roles (1988-1989)
817459	313818	Rec. Room
817460	114296	Little Girl
817461	403494	Herself
817462	140644	Lusine
817462	371285	Anushik
817463	160252	Wubbo
817464	81674	Nova Godina
817464	343800	Elena
817465	13626	Adelheid Gerstein
817465	117314	Girl at Pool
817465	295096	
817465	378830	Hostess (1978)
817466	125546	
817467	18458	
817467	21447	Student Nurse
817467	62372	
817467	77850	Julie
817467	85423	
817467	166519	
817467	204780	
817467	221583	
817467	227107	
817467	227108	
817467	237051	
817467	293291	
817467	296543	Vegas Woman #2
817467	297442	Sankaram
817467	317792	
817467	339999	
817468	306785	Extra
817469	68382	Miz Féministe
817469	82641	Marianne
817469	195137	Charlotte Dubreuil
817469	218580	Pierrette Bonneau
817469	266395	Christine Sicard
817469	382469	Dr. Catherine Morency
817469	397944	Helene Gagnon
817469	400899	Catherine Mirand
817469	401549	Hélène Gagnon-Vallée
817469	406981	Diane
817470	357484	
817471	259739	Tina
817472	215214	
817472	282756	
817472	341070	Woman in Train (segment "Godz
817472	374232	
817473	86614	
817473	350992	
817474	56606	Red Queen Girl
817475	341593	Anna
817476	214839	Nainen kahvilassa
817478	313294	Narrator
817479	158818	Birthday cake woman
817480	186207	Bar Girl 1
817481	397623	Sandra
817482	138724	Cheerleader
817483	16901	Upscale Woman from Anaheim
817483	59317	Motel Maid
817483	133339	Maudy
817483	337404	Cafe Patron
817484	92672	The Girl
817485	341444	Soap Opera Girl
817486	383803	Herself (segment "The Fall")
817487	225121	
817488	122466	Leo's Class Mate
817489	78396	Jonge Mariëtte
817490	191566	Fnissig flicka
817491	67909	Veronica
817492	407389	Towa
817493	67958	Girl 1
817493	122616	
817493	259452	
817493	313673	Uta Wulfert
817493	381694	
817494	350182	Diner Patron
817495	195056	Paola Taviani
817495	337005	
817495	351812	La jeune bourgeoise
817496	379716	Michael Warner (1987-1988)
817497	354189	Leah
817498	315501	Betty Holiday
817499	245772	Tracy
817500	270151	Bitsie Tullock
817501	279741	Marion
817502	406007	Young Max
817504	168786	Oonagh
817505	243229	Sissy Mudd, age 4
817506	373216	Locust Girl
817507	268840	Vera Fortune
817508	320890	Pirate's lady
817509	114893	Gertrude
817509	143157	Ethel Schuyler
817509	155983	The society girl
817509	308864	
817510	273837	
817511	137259	First Lady
817511	224173	Henrietta Seiberling
817512	241318	Sarah
817513	94476	Jogger #2
817514	96873	Michelle
817514	230370	Doreen (Runaway Child)
817514	348219	June
817514	386549	Herself
817514	387247	Michelle Fowler (1985-1995)
817514	390523	Suzanne Ross (1981-1984)
817514	391777	Narrator
817515	334170	Rosalind's Friend
817516	82474	Call Girl
817516	338962	Anneke
817516	386608	Evelien
817516	391102	Julie Schrickx
817516	403856	Finette van Aspen (2001-2002,
817517	384097	Yasmin/Sharna
817517	390523	Aichaa Raschim (1990)
817518	23058	Puja
817519	153547	
817520	194136	Cheerleader
817520	379716	Samuel Carlos 'Sam' Grey (aka
817521	379716	Samuel Carlos 'Sam' Grey (#1)
817522	38438	
817522	122942	
817522	335431	Timi's Mother
817523	370264	Neighbour's wife
817524	345235	Jenny
817525	29670	Harem
817526	178821	
817526	254293	Krasnaya Shapochka
817527	341331	
817528	63355	
817529	10820	Sister Mary
817529	95807	
817529	147045	Sanam
817529	153239	Gohar
817529	154540	
817529	176051	Nunufar
817529	244249	Nelly Gurgenovna
817529	268583	Shushanik
817529	311398	Gohar
817529	329165	Karine
817529	371280	Sona
817529	374717	Tereza
817529	410403	
817530	9241	Shenaaz
817530	153656	Manushak
817531	166638	Molly (a Fish Gutter)
817532	350588	
817532	371280	
817533	87511	Gonzales' Mother
817534	285017	Elegguá
817535	126204	
817536	17079	
817537	88195	Reporter
817537	147961	Holy Cross Mother
817538	26847	Prostitute at Palace Saloon
817539	273485	Stacy Aldritch
817540	84962	Ingrid
817540	245115	Cilla Perl
817541	324315	Maria
817542	282209	Mari Wagner
817543	114076	Julia
817543	255629	Kind van de man met de hoed
817544	18544	Courtney
817544	131061	Liberty Pennytree
817544	358845	
817545	266452	Helenka
817546	330005	
817547	368252	
817548	392254	Herself (1991-1992)
817549	4034	
817549	4202	
817549	4296	
817549	4309	
817549	4324	
817549	4336	
817549	8139	
817549	10037	
817549	14454	
817549	17362	
817549	17410	
817549	17462	
817549	19239	
817549	19244	Nurse
817549	25966	
817549	25969	
817549	26230	
817549	29033	
817549	29306	
817549	31623	
817549	33926	Resident
817549	42098	
817549	54537	
817549	58344	
817549	58402	
817549	85424	Film heroine's mom
817549	86632	Madame
817549	86636	
817549	88597	Swimming pool attendant
817549	98455	
817549	98477	
817549	98541	
817549	124032	
817549	124791	
817549	125152	
817549	130073	
817549	131181	
817549	137502	Lady buying the Train Ticket
817549	141833	Allah Rakhi
817549	141846	
817549	141851	
817549	143466	
817549	145459	
817549	152485	
817549	171759	Telephone Operator
817549	171762	
817549	173109	
817549	174373	
817549	174841	Kali's step-mom
817549	176651	
817549	179349	
817549	183454	
817549	202405	
817549	210247	
817549	217482	
817549	220774	Lily D'Silva
817549	222067	
817549	226675	
817549	227128	Female guest with a dog
817549	227853	
817549	246109	
817549	249139	
817549	251879	
817549	254409	
817549	254831	
817549	254834	
817549	265374	
817549	268106	
817549	268572	
817549	270050	
817549	271422	Havaldar's wife
817549	271544	
817549	281521	Neeta's maidservant
817549	284977	
817549	285169	Sundari
817549	285400	Anarkali
817549	286496	
817549	287931	
817549	288780	
817549	297216	
817549	298808	
817549	307745	Aspiring actress/Singer
817549	308364	
817549	323686	
817549	326187	Mother of 9 children
817549	329223	
817549	330976	
817549	337789	
817549	344054	
817549	344250	
817549	344980	
817549	367215	
817550	75138	
817550	171987	
817550	294535	
817551	374154	
817552	379688	Hasibe
817552	411705	Güzin
817553	356784	Corpse
817554	322548	
817555	104716	Herself
817555	284817	
817556	7761	Diala
817556	25139	La secrétaire de Kyobaski
817556	46181	Dominique
817556	52892	Donatella
817556	57279	
817556	57302	Fiamma
817556	58699	Diane
817556	69717	
817556	69985	Serena
817556	84601	Ruta
817556	120813	
817556	125667	
817556	165775	La dame sur le yacht
817556	166172	Marcelle Hannecart
817556	174636	Petit rôle
817556	186562	Sandra's mother
817556	198341	Christine Sangredin
817556	215313	Marie-Ange
817556	217729	Mlle Berthe
817556	234559	Silvia
817556	242825	
817556	248995	
817556	249020	Shipboard Lovely
817556	309023	La belle-fille
817556	311815	Flora
817556	340670	Une femme de Jim
817556	346710	
817556	349493	
817556	355975	Mireille
817556	356985	Lucia
817556	389470	La touriste
817557	214280	
817558	34046	
817558	378607	
817559	366522	
817560	412237	Mary Smith
817561	21989	
817561	34216	
817561	38446	
817561	94905	
817561	124033	
817561	146981	
817561	180227	
817561	307078	
817561	412319	Zehra
817562	247493	Herself
817562	349226	
817563	81518	Lacina
817563	309114	
817564	334154	High School Soccer Player
817565	279427	Rape victim
817567	77679	
817569	376657	
817570	123260	Mary
817570	268716	Mary
817570	303402	Fan/Fung
817570	323101	Terry
817570	369925	Herself
817570	376060	Yum Yum
817571	13292	Amateur
817572	63303	Jo Ngai
817572	102294	Jessica
817572	153023	Elder
817572	167365	Sharron
817572	168041	Florence/Yin-Ying
817572	192457	Lok Mei
817572	193943	Lily Ching
817572	218677	Ah Fung (Fanny)
817572	220245	Anna
817572	271919	Bin Yee
817572	359018	June
817573	69916	Asian Mother
817573	181835	Whoa
817573	181836	Whoa
817573	263170	Que
817573	263171	Que McCord
817573	297989	Yuki
817573	313423	Female Ensign
817573	342197	Hostess
817573	347315	Setsuko Freeland
817573	362312	PhD Student #2
817573	397040	Nefaria
817573	398558	Attorney Deanna Harris
817574	230821	Finalist #2
817575	8765	
817575	60560	Police Officer
817575	72568	Chen Loh
817575	167421	
817575	297313	
817575	318432	
817575	332337	
817576	95562	
817577	90437	Chinese Girl
817578	304690	Herself (TV producer)
817579	373162	Fanny
817580	135049	Margaret
817580	276869	Celia
817580	359902	Young woman
817581	297715	Louisa
817582	210827	Island girl
817583	167866	Christmas Caroler
817584	1348	Herself
817584	2275	Herself
817584	41379	Cynthia Harris
817584	57389	Sheila Ledbetter
817584	64813	Leslie Christos
817584	84956	Jackie Heath
817584	104924	Narrator
817584	217997	
817584	229388	Narrator
817584	251420	Jody
817584	269549	Detective
817584	273704	Miss Marcus
817584	276201	Van
817584	278830	Lauren Smith
817584	305920	Anthea
817584	311275	Anne
817584	321247	Julie
817584	358708	Carolyn
817584	380713	Jessica Griffin Harris #1 (19
817584	395275	Dr. Melinda Warner (2000-)
817585	96149	
817586	55179	Carlotta
817587	41744	Cashier
817588	144406	
817589	309158	D'Lana, Amazon
817589	326834	D'Lana Fargo/Topsy Turvy
817590	383928	(1983)
817591	163331	Stella
817592	15224	Herself
817593	1674	Herself
817593	4642	Herself
817593	46251	Herself - Party Guest
817593	50442	The Best Friend
817593	60714	Zoe
817593	69596	Herself
817593	72509	Sarah Bailey
817593	100131	Debra
817593	100711	Ella
817593	100816	Christine York
817593	100817	Herself
817593	120385	Hannah
817593	120429	Hannah
817593	157571	Laura Parish
817593	158609	Angela Harris
817593	161831	Zoe
817593	170388	Sarah
817593	218474	Kitty
817593	226901	Merri Coffman
817593	231330	Marcy
817593	248057	Abby Laramie
817593	253357	Sandra
817593	276197	Melvina 'Malka' Csizmadia (se
817593	277988	Elizabeth 'Bess' Erne, Oldrin
817593	283408	Carly
817593	292479	Laura
817593	296791	Wynn French
817593	319656	Danika Lund
817593	366776	Herself
817593	385452	Deborah Hart
817593	393173	Kathleen 'Kick' Kennedy
817594	386236	Hitomi Konno
817595	94613	Tania
817595	178691	Nick's Ex-Wife
817595	331555	
817596	285717	Katie Horner
817597	160780	Elizabeth
817598	255009	Mere (Mission Girl)
817599	404995	Etelvina Baldasarre
817600	371957	
817601	200613	Singer
817602	200613	Harem singer #3
817603	349226	
817604	136770	
817605	180507	Oskarin tyttöystävä
817606	162649	Rock'n roller
817607	377295	Valtosen vaimo
817608	280631	Donna
817609	387500	Mari Kunkainen
817609	405464	Saaraveera Raavas
817610	397746	Herself
817611	231964	Flower Girl
817612	144052	Dancer
817612	144104	
817612	149464	Lotta Koskimaa
817612	169099	Ballet dancer
817612	177810	
817612	181634	Circus girl
817612	181937	Baarityttö
817612	226787	Birgit Marino
817612	255753	Ilona Viirola
817612	258845	Lulu
817612	258847	Lottery woman
817612	260623	Ballet dancer
817612	283232	Irma Kassel
817612	285959	Olly
817612	287535	Mirja Mela
817612	321949	Anja Kari
817612	343507	Ballet dancer
817612	349735	Rouva Irja Kaarila
817612	373379	
817613	182368	
817614	213375	Anni
817614	266752	Nurse
817614	321949	Woman #1
817615	393767	Jänö Neponen
817615	401466	Herself - the host
817616	211433	
817616	271606	Oili
817617	3280	Herself
817618	393981	Naispoliisi
817619	166473	Office WAC
817619	213375	Maiju
817619	321949	Saleswoman
817620	256878	Narutyttö 1
817621	170247	Shemeikan nainen
817621	174779	Kylmäkkö (cold-kitchen chef)
817621	213417	Salvation Army girl
817621	349728	Annikki
817622	260055	Monica
817623	303846	Vieras jatkoilla
817624	174779	
817625	18899	
817625	387647	
817625	393017	Aino
817626	134184	
817627	153547	
817627	211038	Tiinu
817627	387647	
817628	319302	Nuori nainen
817629	6220	
817629	103565	
817629	132157	
817629	229279	Vlyubenata
817629	258812	
817629	272903	
817629	394139	
817630	79142	Zhenata na Gatyo
817630	103565	
817630	288358	
817631	364425	Tui's Friend
817632	17760	Street Stranger
817632	114283	Grandma
817632	148308	Grandma
817632	149107	Miss Barbutti
817632	150924	Sophie
817632	177369	Stage Door Fan
817632	213178	Elderly lady
817632	221021	Herself
817632	267568	Music Store Owner
817632	308092	Alice Quine
817633	362538	Dance School Student
817634	152720	
817635	183030	
817635	259745	
817635	307204	
817635	318018	
817636	407706	Valeria
817637	76126	Wozniakowa
817638	217123	Lucia Ridolfi
817639	225808	
817640	175486	
817640	371556	
817641	225808	
817642	364953	
817642	375067	Theatre Singer
817643	53867	
817643	207743	Ana
817643	273702	Lucille
817644	350772	Sigrid
817645	22053	
817646	224987	Matyika
817646	377123	Boriska
817647	4231	Woman in a housing committee 
817647	9507	Henna Leppänen
817647	104277	Celebrant
817647	137746	Mrs. Laaksonen
817647	141809	Mrs. Nilsson
817647	153756	Mrs. Leinjoki
817647	163184	Josefiina Pakarinen, Prima Do
817647	168387	
817647	174307	Mrs. Wiik
817647	174810	
817647	175593	
817647	179807	
817647	181592	Anni, a customer at the depar
817647	181650	
817647	181652	Pampula
817647	181884	
817647	184796	Gynecologist
817647	198262	Hilkka
817647	207894	Ms. Lehtonen
817647	214835	
817647	223256	
817647	229627	Musteri
817647	233242	Loviisa Niskavuori
817647	233247	Loviisa Niskavuori
817647	234604	Leena
817647	239153	Agnes Kataja
817647	242264	Hedvig Björn
817647	242268	Mrs. Kampera
817647	242948	Akviliina
817647	251940	Gunilla Lillukka
817647	253075	Raili's aunt
817647	255758	Rouva Orpana
817647	255760	
817647	255762	Karoliina
817647	256366	Lyyti Holopainen, aka Saara L
817647	264291	Kehrääjä-Liisa
817647	267123	Alma Korpio
817647	283232	Vivi Kassel
817647	283746	Maija Sammalsuo
817647	293630	Venla
817647	303708	Hilja Eufrosyne Forslund
817647	319314	Aino Suominen
817647	319315	Aino Suominen
817647	319316	Aino Suominen
817647	319317	Aino Suominen
817647	319318	Aino Suominen
817647	321782	Alma Halling
817647	321926	Sofia Blom
817647	321949	Janitor's wife
817647	321999	
817647	322704	
817647	336832	Mrs. Adlerfeldt
817647	341888	
817647	343393	Office WAC
817647	343466	Woman in party
817647	343509	Henna Leppänen
817647	350727	Kaisa Kankkunen
817647	350895	Principal of girls' boarding 
817647	354281	Reeta of Havukka
817647	357790	Ms. Malin (maid)
817647	377313	Agda von Sandelheim
817648	159207	Stuepige
817648	256962	Sarah
817648	302427	Gül
817648	334220	Karima
817648	400373	Herself (Skuespiller)/Various
817648	408376	Hülya
817649	365344	Mansion Waitress
817650	92335	Bailarina
817650	190083	Juror
817650	233761	
817650	292457	Woman with Tea Pot
817651	148036	
817652	353056	
817653	74405	Csöpi
817653	74461	Koháryné
817653	96201	Murányiné
817653	97977	Kamilla, a furfangos öltöztet
817653	106684	Anni
817653	122396	Kató
817653	124310	Piri
817653	136577	Jutka, Brenóczy lánya
817653	140326	
817653	147311	Friderika Pauk
817653	150590	Zsófi
817653	153677	
817653	155545	Fazekas
817653	162509	
817653	165562	Gizi/Janika
817653	166657	Tibér Klára
817653	171629	Vass Kató
817653	182729	Koltay Kató
817653	182793	
817653	182830	Galambos Panni
817653	187670	
817653	198424	
817653	200054	
817653	200056	Lévay Magda
817653	222086	Bagamér Lili
817653	223595	
817653	226705	
817653	232803	Ács Klári,Simkó felesége
817653	237395	Merilla
817653	253783	Kis Klári, Copfos
817653	256752	
817653	268428	Péntek Rézi
817653	282753	Molnár Böske
817653	284091	Tamássy Éva,Vilma unokatestvé
817653	322052	
817653	326302	Katica,Ladányi lánya
817653	326341	
817653	347788	Frau Rießelschmidt
817653	357818	Rozi
817653	377815	Katinka
817653	377891	Intézõné
817653	378346	Málcsi
817654	150136	Velvet
817654	393517	Li Si
817655	118363	Bad Girl #8
817656	41388	Terenia
817656	119162	Corinna
817656	159695	Linda Sorbier
817656	171831	Luise Miller
817656	218963	
817656	223246	Felicitas Beetz
817656	243388	Euridice
817656	290177	Fürstin Ursela
817656	307208	Princess Barbara
817656	314349	Stella
817656	331830	
817656	343662	Sarah Erdmann
817656	345938	Sonja Schmidt
817656	398359	Aloyasa Weber
817656	406321	
817657	20625	Extra
817658	187820	Ms. Ripley
817658	387275	Cameo
817658	395330	News Anchor
817658	399625	Luciana Rivas
817658	399743	Maria Ximena Orozco
817658	399900	Special Guest
817659	318729	Beautiful Lady
817660	365443	Stacey
817661	214422	Manon
817661	375706	Susie
817662	104422	
817663	229743	L'addetta dell'ufficio postal
817664	148709	Sylvia
817664	221869	Sochorová
817664	226732	Stepa
817664	237747	
817664	262225	
817664	374074	Wardress
817664	375465	Aja Trnkova
817665	201089	Sailor at Bar de la Marine
817666	101820	Lea
817667	3372	
817667	215576	
817668	258997	
817669	121507	
817669	205982	
817670	104540	
817670	131991	
817670	225998	Glumova
817670	350731	Bogayevskaya
817671	395667	Marcella Varese
817672	205397	
817673	109763	Livia
817673	342125	Monica
817674	127901	
817674	307440	Giuseppina as a Child
817675	44389	Innkeeper's wife
817676	60881	
817677	280305	Kissing Girl
817678	23539	Cynthia
817678	26043	Christine
817678	44963	Josiane
817678	62815	Olympe de Saint-Gildas
817678	116480	
817678	153846	Catherine
817678	166565	Marie Antoinette
817678	198571	Femme aux urgences
817678	205399	Martina
817678	208806	Charlotte
817678	217726	Irina
817678	217728	Jeanne
817678	236527	Nicole
817678	248902	Alice
817678	265904	Judith Mark
817678	272732	Hélène
817678	279110	Catherine
817678	286042	La prostituée, amie de Rachel
817678	286110	Former tenant
817678	292890	L'Espagnole
817678	296095	Brigitte
817678	301321	Sylvie Picard
817678	309772	Pétronille
817678	319866	Isabelle Leblanc
817678	336192	
817678	345039	Madame de Cambremer
817678	346642	Charlotte/Cathy
817678	346819	Rita
817678	370056	Christine
817678	376914	Virginie
817678	377726	Ginou
817678	381078	Julia Leguern
817678	383151	
817678	396368	Alice Vandeleur (1999-2004)
817678	396817	Georgette
817678	398966	Rose
817678	404666	
817678	409462	Emma Soubeyran
817679	270971	Bouncer at Copa
817680	287489	Madre Pino
817681	112400	Family
817681	139283	Francesca
817681	219692	Uncle Sal's Wife
817682	157015	Dolores Raphael
817682	379831	Lianne Barrigan #2 (1989, 199
817683	326536	Abitante quartieri spagnoli
817684	270868	
817685	8217	Terri Lowell
817685	22629	Elena
817685	65101	Bronwyn
817685	78975	Sara
817685	80428	Perri
817685	80464	Louise
817685	100055	
817685	110997	Jennifer Barron
817685	201771	Herself/April O'Neil
817685	259939	Gina
817685	270152	Paige Turco
817685	277480	Fran
817685	283453	Jenny Blanchard
817685	301771	
817685	326800	April O'Neil
817685	326801	April O'Neil
817685	348622	Cassandra, The Kidney Thief
817685	353273	Lisa
817685	379427	Terri Lowell
817685	379716	Melanie 'Lanie' Cortlandt Ram
817685	380006	Gail Emory
817685	390771	Dinah Morgan Marler #2 (1987-
817685	400921	Annie Mott (1997-1998)
817685	411247	Terry Mears
817686	234669	Hooker
817687	80584	Officer at Trailer
817687	106542	Jennifer
817687	213352	Gwen's Voice/Narrator
817687	266564	Eric's mom
817687	316211	
817687	354520	Nurse #3
817688	60012	Louise Latendresse
817688	84624	Violette Lamoureux
817688	159768	Judith
817688	215261	
817688	247607	
817688	251547	La mère
817688	269740	Marina
817688	377937	Madeleine Lemieux
817688	380717	Mme Lortie
817688	390486	Marie-Marthe Cloutier
817688	390502	Nicole Corbeil
817688	396334	France Meloche-Bordeleau
817688	398158	Colette Marchand
817688	400384	Mireille Laflamme
817688	402734	
817688	403898	Josée Brissette
817689	26583	Fanny's Friend
817690	155013	Girl/Jack's movie
817691	334082	Narrator/Herself
817692	133161	Old Woman
817692	188700	Marinette (segment "Secret de
817692	204656	La bouchère
817692	217706	
817693	399315	Anchor (1996-)
817694	101938	
817695	256188	Pink Chiquita
817696	36724	Smoking prostitute
817696	144822	Computer's Voice
817697	37683	Bikini Girl #2
817698	11012	Jeune Femme au restaurant
817698	251524	Janvier, Marie-Pierre
817699	46226	
817699	65383	
817699	137735	
817699	167200	
817699	332203	
817699	351005	
817699	353887	
817700	350772	Kristina as child (segment "A
817701	187624	Anna
817701	252566	Hedvig
817702	380081	Bel
817702	381144	Flora Rosa França
817702	386417	Mariana
817702	389887	Alessandra
817702	391900	Arlinda
817702	396628	Elisa
817702	400765	Titina
817702	404178	Rafaela
817702	404185	
817702	404799	Lena
817702	405820	
817702	410104	Selma
817703	168881	Amir's wife
817704	33314	
817704	89801	
817704	189430	
817704	229911	
817704	262188	
817704	266295	
817704	273069	Dina
817705	123508	
817706	231673	
817707	63978	
817708	226697	
817709	159005	Herself
817710	53671	
817710	54008	
817710	71432	
817710	221566	
817710	223630	
817710	243418	Esther
817710	252782	
817711	92283	
817712	273931	
817712	291449	Elaine
817713	87975	Attendant
817713	315484	Colette Gregory
817713	403919	Sandra Mc Laren
817713	410374	Hostess
817714	39714	Older inmate
817714	39840	Laforgue's Mother
817714	69370	The Healer
817714	74077	Mado
817714	85535	Narration
817714	111021	Comedienne singer
817714	140301	Florence
817714	142850	Jeanne Painchaud
817714	174704	Mother
817714	217004	Rose Selavy
817714	229663	Mme St-Jean
817714	376906	
817714	378074	
817714	405284	Hélène Bourgault
817715	403254	Nancy Rodriguez
817716	337262	Hélène Deslongchamps
817717	173862	Berenis
817718	242341	
817719	123904	
817719	124085	Oasis girl
817720	126395	
817720	282161	Ilke
817720	290789	Deniz
817720	348602	Asia
817721	86495	
817722	140051	Bessik
817723	328688	
817724	390497	Herself (4th Edition)
817725	3417	
817726	53606	
817727	175082	
817728	6995	Rosita
817728	11483	Rozanna
817728	35791	Lolita
817728	45220	Ramona (Katherine's servant)
817728	65705	Carla the McGuire Maid
817728	72134	Ortego's cook
817728	74706	
817728	77025	
817728	93664	
817728	98659	Rosa
817728	135805	Mexican Waitress
817728	140320	Maria
817728	146792	Woman
817728	156459	Airport Cafe Proprietress
817728	166993	Nina Lopez
817728	168048	Native Bit
817728	169817	Señora Silva
817728	173534	Peon's wife
817728	176337	Maria
817728	176365	Mexican woman
817728	196487	Bride's Mother
817728	201418	Juana
817728	203279	Mexican woman
817728	220514	Maria (Grace's maid)
817728	239676	Mexican woman
817728	240772	Waini
817728	247547	Mexican Woman
817728	254561	Lucretia
817728	262325	Ortego Cook
817728	272138	Caressa
817728	277524	Mexican woman
817728	278097	
817728	281868	Maria
817728	303483	Maid
817728	308342	Rosa Gonzales
817728	309831	Lola, Maria's cook,
817728	313700	Maria
817728	339928	Seewauk
817728	375898	Cantina maid [Ch. 1]
817729	183656	Background puppeteer
817730	140051	
817731	95586	
817732	2252	(segment "Zozo, le clown")
817732	9635	Rosa
817732	59511	Le petite fille aux oiseaux
817732	70954	
817732	156322	Lorena
817732	195180	
817732	301181	
817733	333476	
817733	375307	
817734	60186	Clifford's Secretary
817734	79838	Lillianne
817735	7636	Lily
817735	27429	Suor Liberata
817735	33446	Madre badessa
817735	53011	
817735	55077	
817735	63765	La cantante
817735	64772	Plump beauty
817735	86453	Restaurateur
817735	106752	
817735	140573	Josephina
817735	156910	
817735	172479	
817735	189126	
817735	231850	
817735	235786	La strega
817735	250772	Fiammetta
817735	251620	
817735	259718	
817735	263621	
817735	270334	
817735	289445	
817735	289988	
817735	294644	Serafino's aunt
817735	328205	
817735	328445	Orietta Guidotti
817735	354005	Vedova ricca
817736	14603	Sam's Sister
817737	197577	
817738	165627	Marianne
817738	348497	Eva
817739	173009	
817739	265665	
817739	375395	Suncana
817740	133345	Sacha
817741	272563	
817742	138699	Hatcheck girl
817743	410380	
817744	313181	Saleswoman
817745	229186	
817746	144650	Hooker
817747	72923	Tina
817748	271925	
817749	138699	Newscaster
817750	272194	
817750	293807	Nova uciteljica
817750	320551	Milica
817750	338863	
817751	3274	Buffy
817751	3942	Self
817751	58939	Tippi
817751	81253	Sabina Dorffman
817751	81902	Carla Sandborn
817751	110311	Leslie
817751	130848	Susan Beresford
817751	152607	Dr. Susan Drake
817751	208022	Maggie Gantry
817751	217015	Modesty Blaise
817751	248110	Susan
817751	261036	Cathey
817751	272848	Faina
817751	336663	Linda
817751	363871	
817751	390607	Delilah
817752	348864	Novelyn
817753	309039	Leslie Lapidus
817754	74211	Mimi
817755	390419	
817756	122438	Hallë Remoja
817757	25984	Nahila
817757	78431	Hala
817757	84625	Jeanne
817757	101418	Aicha
817757	145733	Zeinab
817757	165752	
817757	175726	
817757	284940	
817757	318616	
817758	402897	
817759	24878	Herself
817760	289650	
817761	81674	Sultana
817762	337494	Herself (University of Maryla
817763	236049	
817764	9636	Daughter
817764	202739	Bailchi
817764	361577	
817765	81081	
817766	381514	Herself (2000-2001)
817767	54882	Mrs. Machin
817767	149809	Lady Beeder
817767	177268	
817767	297185	Miss Vaile
817767	305602	Mercia
817767	389231	Mrs. Sharpe
817768	189462	Kate
817770	191881	Church Organist
817771	80374	Waitress
817772	153190	Gabe's novel montage
817773	31735	Ms. Hanley
817773	56435	Lunch Supervisor
817773	61626	Housekeeper
817773	65464	Nurse
817773	69258	Veronica Neuhouse
817773	79408	Doris
817773	114956	The Chickenfat Lady
817773	188227	Patron in Chinese Restaurant
817773	192380	Mrs. Thompkins
817773	222652	Woman
817773	223658	Mrs. Harling
817773	355670	Henrietta's I.V. Nurse
817773	372203	Mrs. Mooney
817773	398578	Dale
817774	31944	Herself
817774	57061	Herself
817774	109398	Herself
817774	161221	Herself
817774	161348	Herself
817774	183338	Model (Freedom Video)
817774	266419	Herself
817774	289724	Herself
817774	348106	Herself
817775	406306	Herself
817776	209236	
817777	250752	Lisa
817778	51224	
817778	63779	La concierge
817778	84670	
817778	235264	Mme Burlot
817778	243345	
817778	313386	
817778	370043	Jeanine
817778	372950	Vieja
817778	376987	Denise Prugneaux
817780	367951	Herself
817781	218667	Vendeuse
817782	133684	Sarah
817782	171596	
817782	204946	Ginger Jameson
817782	214515	Cashier
817782	296688	Chris Drayton
817782	296689	Tracy
817783	382486	Luce Jobin
817784	22053	
817785	50333	Girl in Card Game
817785	328512	Linda
817786	5296	Ece
817786	294131	
817786	383252	Gönül
817787	374638	Miss Johnson
817788	140313	
817789	12319	Party Guest
817790	66897	Albany
817791	117516	Deputy
817792	191896	Grace Ingalls
817792	395735	Grace Ingalls (1978-1982)
817793	191896	Grace Ingalls
817793	395735	Grace Ingalls (1978-1982)
817794	161938	Newsanchor
817795	28481	Minor Talent Contest audience
817795	42108	
817795	79767	Nurse Thompson
817795	216804	Mrs. Burroughs
817796	91929	Control Screen Flower
817797	148524	Cochran Girl
817797	188646	Jean Michaels
817797	269696	
817797	274072	Dorothy (segment "Meet Mr. Jo
817797	327233	Lucy
817797	331738	Mrs. Severance
817797	342358	
817797	391533	Evelyn Telford
817798	383078	Regina O'Hagan (1998-)
817799	67771	Cath
817800	380391	Marianne Randolph #6 (1972-19
817801	317248	
817802	90876	Human Agent Ihen
817803	23339	Mother
817803	351035	Stephanie
817803	397478	Lynda Bracey
817804	128585	Jessie
817804	167520	
817804	400516	Christopher's girlfriend
817805	246005	Chloe
817806	27112	Linda Ronley
817806	28938	Girl in Troupe
817806	30122	Blonde
817806	46959	Ann
817806	70484	Bit Role
817806	81784	Bride in 'Louis XIV'
817806	96889	Dancer
817806	128493	Guest in Town House
817806	177989	Girl in harem
817806	256592	Louisa
817806	276684	
817806	282711	Dancer in Haiti number
817806	300063	Bit part
817806	326368	Chorus girl
817806	368245	Singer-dancer
817807	53290	
817808	234212	Paula Pinkney
817809	362323	Ballet Instructor
817810	143011	Alice, Doris' chum
817810	321793	Dancer
817811	361903	Susan
817812	63524	Host
817813	22849	Katherine Singleton
817814	319037	Jen
817815	154258	Woman
817815	317864	
817816	267576	Natalie the Dresser
817817	310740	Daisy
817818	215527	Caroline Jefferson
817819	126619	Extra Talent (segment "Gett O
817820	407369	Woman, Additional Voices
817821	12252	Business Woman #1
817822	138253	Herself (contestant)
817823	123884	Essie
817823	133729	Maid
817823	279135	Esther
817824	80481	Stu's Ex Wife
817825	11192	Stallholder
817825	32464	Shop assistant
817825	82271	
817825	99842	Mrs. Jackson
817825	100130	Mrs. Gilmour
817825	106669	Mrs. Hays
817825	115670	
817825	131392	Daisy
817825	163357	
817825	185390	Lucy Prynne
817825	194690	Mrs. Robey
817825	204800	Marjorie
817825	232054	Stella Hayward
817825	317183	Mrs. Snape
817825	338808	Her maid
817825	348645	Lily Willis
817825	362855	Mrs. Topping
817827	18190	Herself
817827	18191	Herself
817827	154379	Herself
817827	378909	Designer
817827	382297	Herself - Presenter (1992-199
817827	383733	Herself (Series 1) (2001)
817827	390195	Herself - Presenter
817827	399040	Presenter
817827	399045	Presenter
817827	408075	Presenter ('The Babymakers') 
817827	411283	Presenter (?-1999)
817827	411846	Co-Presenter
817828	13595	Connie Jackson
817828	87936	Yvette
817828	143068	
817828	196209	Cadet Annette
817828	231904	Reporter #3
817828	244433	Zoo
817828	252866	Deputy Lee
817828	309022	Butler's Wife
817829	14223	Laurie
817829	26471	Bebe
817829	362453	Woman in Library
817829	370848	MJ Intro Guest
817830	245543	
817830	339440	Hadley
817831	303776	
817832	314522	The Little Girl
817833	302688	Mary Hold, as a baby
817834	83972	The Farmer's Wife
817834	100262	
817834	218361	Lorna
817834	232441	
817834	242738	Sara
817834	307356	Mrs. Long
817834	343268	Jenny Ivers
817834	366215	Judy
817835	131744	
817835	251255	
817836	80065	Steve's Mom
817838	305571	Young American Miss
817839	211747	Maid
817839	216169	Sarah
817839	237465	
817839	355529	
817839	381334	
817839	400109	Old Sally
817840	389703	Herself - Presenter
817840	397982	Herself - Presenter
817840	403339	Herself - Roving Reporter (20
817840	408075	Herself - Entertainment Corre
817840	410136	Herself - Presenter
817841	80382	Barbra Pointer
817841	121799	Darlene Dorkner
817841	382050	
817842	14132	Amy's Friend
817842	24432	Dancer #1
817842	27092	Kristy James
817842	47078	Tina Hammersmith
817842	84486	Allison
817842	95271	French Girl
817842	166640	
817842	168238	Sorority Girl
817842	223711	Title Sequence Performer #4
817842	224475	Jenny
817842	232269	Girl
817842	269599	
817842	298076	Dancer
817842	309202	Tiffany
817842	310571	Jessie
817842	340858	Maya Taylor
817842	342334	Heather
817842	360713	Tracy Bartlett
817842	362029	Amanda
817842	390322	Marjorie
817842	391013	Bombshell
817843	20362	Grandmother
817843	75699	Mrs. Raper
817843	81123	Mildred Fawcett
817843	124506	Mrs. Groves
817843	138890	Ann
817843	275445	Elderly sister
817843	283500	Teacher
817843	292031	Phillis
817843	334134	Woman in Plane
817843	346020	Mrs. Cherry Owen
817843	358661	Sarah Dainton
817843	389975	Judy Threadgold
817843	402125	Mrs. Reynolds
817843	403249	Katerina Maslova
817844	242096	
817846	118325	
817847	302317	Motel Clerk
817848	293212	Michaela Crenshaw
817849	402733	Herself - Racer (1998)
817850	310572	
817851	82357	Marriage Counselor
817852	20683	Red Zelda
817852	79863	Ginger
817853	55550	Cousin Nettie
817854	66925	Teacher
817855	128577	Nun 1
817856	293228	Tiaia's Relative
817857	235067	Party Guest
817857	309634	Marta von Trapp
817858	114017	Rental Agent
817859	405209	Nicola
817860	10175	Herself
817861	387227	Herself - Correspondent
817862	380279	HSPCA Cruelty Investigator
817863	394264	KDLT Reporter
817864	120249	
817866	27570	The Girl
817866	50280	
817866	50283	
817866	50284	
817866	50286	
817866	50293	
817866	50296	
817866	50297	
817866	50299	
817866	50301	
817866	50302	
817866	50303	
817866	50304	
817866	50306	
817866	50307	
817866	50308	
817866	50309	
817866	50310	
817866	50311	
817866	50314	
817866	50315	
817866	50316	
817866	50317	
817866	50318	
817866	50319	
817866	50320	
817866	50321	
817866	50322	
817866	50323	
817866	50324	
817866	50326	
817866	50327	
817866	50341	
817866	78713	Bebe Slavin
817866	97666	
817866	126651	
817866	131598	
817866	194192	
817866	194593	Lorraine (at 7)
817866	195598	Ricardo (Kate's child)
817866	200088	
817866	202936	Julie Lamont
817866	231520	
817866	238958	
817866	281857	Yvette
817866	282057	Rosita's Sister
817866	283334	
817866	315495	
817866	329611	
817866	331879	Constant
817866	335857	Dot Garland
817866	361791	Helen Caldwell
817867	334331	Alice, the Fair
817868	374568	Victim
817869	2992	Virginia's Mother
817869	18959	Jane Hopper
817869	61060	Mrs. Craneweyer
817869	91534	
817869	197058	
817869	233875	Voice-Overs
817869	241187	Silvia
817870	75360	Emily
817871	169868	Sarah
817872	201569	Herself
817873	196105	Kathleen
817874	151304	French Nurse
817875	36395	
817875	218759	
817876	11205	Eva Bundy
817876	12305	Nan Meadows
817876	17183	Additional Cast
817876	18093	
817876	21537	Marea
817876	23174	
817876	24192	
817876	24197	Jaimie
817876	24254	Doris
817876	26821	
817876	30070	
817876	38595	
817876	40110	Lena
817876	42307	Mrs. Walters
817876	45928	Lola Castillo
817876	47480	Miss Julia
817876	47884	
817876	53624	Mrs. Burke
817876	54435	Ivy Leach
817876	56436	
817876	60265	
817876	60752	The Absent-Minded Sweetheart
817876	62150	Mrs. Phillmore
817876	67101	A mother
817876	71538	
817876	72880	Flo
817876	75687	The Twins' Mother
817876	76959	
817876	78761	Roma
817876	79412	
817876	79638	
817876	81990	Hettty Hutter
817876	88261	
817876	90938	Doorsteps
817876	96798	Victoria Vickers
817876	105235	Grace Williams
817876	105563	
817876	107137	Myna Borden
817876	108949	Bathsheba Everdene
817876	112936	Herself
817876	114854	Doña Aguila
817876	115608	
817876	115872	Flotilla
817876	116723	Constance Harvey
817876	117029	
817876	117034	
817876	117052	The Wife
817876	117810	
817876	118767	
817876	118770	
817876	122129	
817876	127687	Mrs. Welby
817876	134392	
817876	136563	
817876	139566	
817876	140757	Elderly Lady
817876	141198	
817876	143075	
817876	143300	
817876	149648	Mrs. Cobb
817876	150843	June
817876	151554	
817876	153620	
817876	158342	
817876	159117	Ethona/Juliet
817876	161555	
817876	162384	Abbess
817876	162441	Virginia
817876	165293	
817876	165557	Bit
817876	166081	Mrs. Baggott
817876	166234	
817876	166276	
817876	166279	
817876	166293	Alice
817876	166306	
817876	175501	
817876	176394	Matron
817876	177334	Wicked Sister
817876	185059	Warehouse proprietor's wife
817876	186073	Elaine
817876	186279	Miss Blair
817876	192087	The Mother
817876	194719	
817876	196316	The Passenger
817876	196624	
817876	198861	Banquet Guest
817876	199204	
817876	206470	Miss Lawson
817876	211340	Jessica
817876	213307	Titania
817876	221240	
817876	222819	Helen Story
817876	224204	Sal Gray
817876	230415	Julia
817876	230814	
817876	239842	Constance Barnes
817876	241377	
817876	241703	Bit
817876	241784	The Jewish Daughter
817876	245638	
817876	245743	Alice Gregg
817876	246180	Mrs. Bradley
817876	246358	Mrs. Gilbert
817876	246783	The Wife
817876	250571	
817876	251837	Peg Woffington
817876	262760	His Wife
817876	263515	Mrs. Moran
817876	266158	
817876	271879	Mrs. Lawrence
817876	274041	
817876	275810	
817876	277675	
817876	278030	Ma Warren
817876	279435	Mrs. Canfield
817876	280915	
817876	281155	
817876	281840	
817876	285064	
817876	286124	Janet
817876	286134	Mrs. Williams
817876	294905	Mrs. Bullington
817876	297892	Mame
817876	299790	
817876	300083	Mrs. Renfrew
817876	301261	Christian
817876	301288	Dolly Dillard
817876	303270	
817876	303283	A Poor Dressmaker
817876	304232	Mrs. Jordan
817876	311328	The Painter's Wife
817876	312552	Edna Earle
817876	314398	The Boss's Wife
817876	315955	Mrs. Simpson
817876	317475	
817876	320252	
817876	323766	Lucie Manette
817876	331205	Mother at Train Station
817876	331487	
817876	331916	
817876	331977	(participation unconfirmed)
817876	333539	Beth
817876	339407	Juror
817876	342352	Viola
817876	342777	
817876	344174	Charmis Graham
817876	345601	
817876	345820	Topsy
817876	346135	Pierrette
817876	346878	
817876	355665	
817876	358639	Mrs. Schuyler
817876	359123	
817876	359681	
817876	361304	Mifanwy
817876	362069	
817876	362978	Dorothy
817876	363559	The Daughter of a Composer
817876	365095	The Mother
817876	365935	
817876	366171	Alice Westworth
817876	367776	Mrs. Seaton
817876	368968	
817877	26721	Baby Sitter
817877	127084	Reporter
817878	263465	Long Bill's Mother
817879	352700	Nurse
817880	90316	Patty, pickup girl
817880	114496	The Rape Victim
817881	162426	Quartermaster Williams
817882	327162	Christina
817883	45299	
817883	46275	Sandy
817883	54959	Vere
817883	256625	The Original Katisha
817883	294355	Rose
817883	318819	Betty Tate
817883	367208	Raelene Beagle-Thorpe
817883	382590	
817883	400224	
817883	403244	Sandy Miler
817884	14145	Elizabeth
817884	59858	Singer
817884	78531	June
817884	89288	Bus Station Attendant
817884	129784	Camille 'Max' West
817884	152636	Guin
817884	170872	Mary
817884	178075	Indignant Lesbian
817884	185916	Sombra
817884	256464	Diane Beltrami
817884	262591	Tanya Cheex
817884	277763	Echinacea
817884	285357	Tani
817884	316509	Darla
817884	338789	Evelyn
817884	360084	Diana
817885	18158	Mary
817885	247500	Michelle Kingery
817886	305692	Party Goer
817887	356326	Herself
817888	193836	
817889	380803	Hostess
817890	396582	Herself (2002)
817891	1734	Herself/Kath Day-Knight
817891	5060	Christine
817891	26620	Vicki
817891	38864	Actress in Play
817891	82128	Various Characters
817891	109464	
817891	109465	Various characters
817891	109466	Various characters
817891	136126	
817891	196845	Violet
817891	201877	Pasha
817891	269276	
817891	282611	Court Official, Paul Keating'
817891	291918	Herself
817891	329307	Anne
817891	381939	Various Characters
817891	385505	Various Characters
817891	385506	Various Characters (1987)
817891	388470	Ita Buttrose/Inga/Various (19
817891	389498	Various (1993)
817891	394217	Kathleen 'Kath' Day (2002-)
817891	402197	Belinda Johns (1983-1984)
817891	405894	Various Characters
817892	241892	Artist
817893	136721	Flosshilde
817893	277461	Flosshilde
817893	338615	Flora Bervoix
817894	105851	Zara
817895	13576	Cheryl
817895	32155	Alix Miller
817895	38576	Amy
817895	57679	Herself
817895	64394	Terry Silva
817895	65627	Jessie Deighan
817895	75519	Layla Moanes
817895	92618	Dorothy
817895	109629	Dr. Samantha Carter
817895	178942	Brooke Delamo
817895	218159	Linda Aikman
817895	233914	The Actor Playing Cheryl
817895	292296	Vanessa Stewart
817895	314252	Nancy Beth Marmillion
817895	315171	Anna Brewster-Morgan
817895	323114	Shevaun Tillman
817895	372525	Cameo appearance
817895	380391	Patricia Kirkland (1986-1987)
817895	381576	Janie-Claire Willow (1981-198
817895	389858	Laura Templeton (1982-1983)
817895	399695	Maggie O'Connell (1990-1995)
817895	404282	Hollywood woman (1984)
817895	406760	Dr. Dana Stowe (2000-2002)
817896	193990	Herself
817897	215697	Miss England
817898	64070	Ensemble
817899	398574	Charlotte
817900	355091	Friend of Girl at Cush
817901	61625	Auntie Dosie
817901	86381	Woman in Pub
817901	206129	Mrs. Woods
817902	11412	Jane Hopkins
817902	62886	Ilse
817902	81973	Marta Griggs
817902	90889	Minister
817902	213996	Jane Glegg
817902	263791	Pam
817902	383683	Jessica Castle
817902	386581	Dr. Jennifer Napier (1995)
817902	401797	Annie
817902	406298	Adela
817903	34762	
817904	128807	Herself (Segment "Lady Luck")
817905	375515	Party Guest
817907	133594	Gallery Guest
817908	41894	Peggy
817909	275434	
817909	359892	
817910	375515	Party Guest
817911	11121	Mrs. Scharfenberg
817911	96958	Off-camera singer
817911	118991	Herself
817911	158433	Mrs. Hall
817911	233993	Superwoman
817911	289396	Plump Neighbor
817911	403840	
817912	224085	Young Debs Haig
817913	297290	Matthew's Wife
817914	294249	Miss Lucy
817915	81151	The 'Woman'
817916	80481	Stu's Ex Wife
817917	321180	Actress
817918	79301	Susan
817918	310002	Delilah
817918	364372	Wendi
817918	411136	Tanya Kavasi
817920	2527	Herself
817920	2542	Herself
817920	2563	Herself - Host & Nominee: Bes
817920	2615	Herself
817920	2785	Herself (Co-Presenter)
817920	2809	Herself
817920	2817	Herself - Nominee
817920	2904	Herself
817920	3750	Herself
817920	5440	Sarah Leary
817920	11670	Herself
817920	13923	Herself
817920	23922	Herself
817920	26352	Elena Kinder
817920	27129	Mom
817920	32052	Verna Chickle
817920	34887	Jessica Rabbit
817920	42743	Matty Walker
817920	46553	Stella Clayton
817920	64079	Claudette
817920	69809	Narrator
817920	70549	Peggy Sue
817920	79218	Narrator
817920	79722	Recitations
817920	80937	1st Lt. Lynda Van Devanter
817920	120248	Fanny Connelyn
817920	129015	Julia
817920	129920	
817920	131677	Herself
817920	147822	Herself - Host
817920	150885	Ruth Matthews
817920	157521	Herself
817920	167268	Joan Wilder
817920	168470	Herself
817920	175531	Herself
817920	176379	Herself
817920	185512	Herself - Narrator
817920	187189	Brenda Whitlass
817920	188124	
817920	195327	Middleman
817920	195703	Herself (Host)
817920	203670	Dolores Benedict
817920	218364	Constance
817920	218774	Alberta Trager
817920	226954	Dana Coles
817920	228286	Clawdette the Black Cat
817920	251867	Peggy Sue
817920	264036	Rebecca Cairn
817920	265030	Irene Walker
817920	273271	Dee Dee Taylor
817920	280445	Herself
817920	280657	Jessica Rabbit
817920	281024	Joan Wilder
817920	288702	Herself - Audience Member
817920	294798	Beverly Sutphin
817920	302236	Claudia
817920	321667	Christy Colleran
817920	337588	Jessica Rabbit
817920	341692	Jessica Rabbit
817920	346223	Jane Blue
817920	349399	Victoria 'V.I.' Warshawski
817920	355065	Mrs. Lisbon
817920	359290	Barbara Rose
817920	364161	Jessica Rabbit
817920	366935	
817920	367883	Herself
817920	379989	Herself (Narrator)
817920	380181	Herself - Hostess (Hidden Cit
817920	386603	Nola Dancy Aldrich (1978-1979
817920	406617	The Snow Queen
817921	241444	
817921	330375	
817922	69732	Kathy
817923	129241	
817924	199679	Stella
817924	362529	Woman in Pad
817924	401448	
817925	360436	Jake's Sister (5 years old)
817926	230682	Agitated Neighbor
817927	229240	Girl in Gallery
817928	392420	Stephy
817929	289372	Featured Extra
817930	317309	Halloween Trick O' Treater
817931	188453	Opening Sequence Girl
817932	2257	Herself - Presenter: Best Sup
817932	2364	Herself - Presenter: Costume 
817932	3765	Herself
817932	7035	Nazama's Maid
817932	16465	Cynthia in Clip from 'Love Fi
817932	18021	Sara Scott
817932	26626	Rosemary Howard
817932	27112	Georgia Lorrison
817932	35153	Carla Van Oven/Miss Fran Sail
817932	37000	Adriana Roman
817932	39001	Claire
817932	42337	Herself
817932	42357	Herself
817932	50889	Marjorie Penrose
817932	52661	Rosalie Lewett
817932	59838	Miss Rutherford
817932	64556	Herself/performer
817932	77767	Patty Marlow
817932	85924	Diane de Poitiers
817932	92505	Beatrix Emery
817932	92959	Mado
817932	94291	Cameo appearance
817932	114838	Madeline
817932	118405	Bit Part
817932	133620	Mlle. Auber
817932	134026	Marianne Patourel
817932	138700	Herself
817932	143643	Herself in screen test
817932	148423	Lt. Jane 'Snapshot' McCall
817932	149104	Elizabeth Cotton
817932	156940	Lora Meredith
817932	168681	Lisbeth 'Liz' Bard
817932	175175	Valerie 'Val' Parks
817932	183823	Maggie Colby
817932	185499	Tracy Carlyle Hastings
817932	185931	Nora Taylor
817932	190179	Lily Brannel James
817932	195579	Cynthia Potter
817932	195613	Herself
817932	195621	Kit Jordan
817932	199404	Holly Parker
817932	201669	Lora Meredith in 1959 "Imitat
817932	206224	Herself
817932	206355	Theo Scofield West
817932	211602	Crystal Radek
817932	220970	Fredda Barlo
817932	238613	Herself
817932	253379	Carrie Masters
817932	254330	Constance MacKenzie
817932	261025	Sheila Cabot
817932	261558	Cora Smith
817932	265265	Samarra
817932	271294	Edwina Esketh
817932	274679	Tracy Carlyle Hastings
817932	277644	Helen Thayer
817932	291709	Elsa Keller
817932	300070	Herself
817932	304454	Madame X
817932	304959	Peggy Evans/Carol Burden
817932	308155	Paula Lane
817932	313320	Extra at Santa Anita
817932	316897	Herself
817932	329560	
817932	329563	Herself
817932	329565	Appearance
817932	330087	Jane Thomas
817932	330241	Mary Clay
817932	331522	Lady de Winter
817932	332161	Margo Lane
817932	335952	Extra
817932	342878	Patricia 'Pat' Mahoney
817932	343199	Herself
817932	360488	Marjorie 'Margy' White Brooks
817932	360834	Bunny Smith
817932	364341	Melanie Flood
817932	366765	Vivian Cross
817932	372819	Cameo appearance
817932	375045	Sheila 'Red'/'Flatbush' Regan
817932	388237	Jacqueline Perrault (1982-198
817932	402888	Herself
817932	407086	Tracy Carlyle Hastings
817933	92572	Tania
817933	266725	
817933	279920	
817934	293228	Tiaia's Relative
817935	308096	Military Wife
817936	8961	
817936	105689	Church woman
817936	169406	
817936	206867	
817936	321197	Miss Johnson
817937	379113	Herself
817938	266413	
817938	381121	Gina Rossi (Series 3) (2001)
817939	392944	Helen (seasons 1 & 2)
817941	327162	Girl Looking up
817942	327162	Woman Lookin up
817943	114708	Secretary No. 1
817943	195555	Vinny's Girlfriend
817944	88933	Herself
817944	219792	Presenter
817944	274613	Herself
817944	330027	Herself
817944	363011	Herself
817944	383747	Herself (Series 2) (2004)
817944	386520	Presenter (1999-2003)
817944	390195	Herself - Fashion Corresponde
817944	392154	Herself - Presenter (series 1
817944	395696	Herself
817944	395968	
817944	396124	
817944	405201	Herself
817944	411504	Presenter (series 1), Narrato
817944	411515	Herself - Regular Panelist
817945	383582	Streetcrier
817946	246777	
817947	317309	Halloween Trick O' Treater
817948	12862	Dunbar's mother
817948	190088	Lou Minters
817948	311345	Flora Bailey (singer)
817948	342887	Mrs. Ruth Steel
817949	16095	Dodie Sloan
817949	16721	
817949	17977	Etta Hallam
817949	23207	Mrs. Murdock
817949	27149	Dowager
817949	32209	Mrs. Gillespie, a Customer
817949	45419	Mrs. Wilson
817949	46840	
817949	47356	Boardinghouse Resident
817949	50954	Lady with Ancient Greek Costu
817949	78528	Mme. Zucchini
817949	85828	Mrs. Perry
817949	92612	Mary
817949	99209	
817949	121360	Mrs. Young
817949	124714	Mrs. Dingledorf
817949	125811	Justice's Wife
817949	126067	Bit Role
817949	132346	Helen
817949	143596	Chubby Lady
817949	143605	Aunt Abby
817949	163288	Manager's wife
817949	169362	Stout Lady at Play Party
817949	178758	Lydia Bowley
817949	190210	Ella Heenan
817949	190236	Mrs. Vandergriff
817949	195764	Dowager
817949	201457	Mrs. Jackson, Mildred's Mom
817949	210814	Mrs. Webbley
817949	211568	Mrs. Shinliver
817949	216907	Aunt Clara Weingartner
817949	217984	Mrs. Green
817949	219786	Dean's Wife
817949	220905	Lil Doremus
817949	222679	Hysterical Woman
817949	223389	Mrs. Turner
817949	231990	Burly Woman
817949	240091	Mrs. Van Allen
817949	242110	
817949	245629	Ethel
817949	247141	Mrs. Baxter
817949	272874	Mrs. Harriet Grant
817949	294919	Dowager at Employment Agency
817949	297877	Fat Woman
817949	297930	Mrs. Cutler
817949	298080	Dowager
817949	304990	Mrs. Johnson
817949	306796	Mrs. Prouty
817949	311475	Mrs. Hicks
817949	313943	Lulubelle Alexander
817949	330241	Stout Lady on Train
817949	347319	Mrs Parker
817949	352722	Mrs. Emerson
817949	364453	Henrietta Crosland
817949	368676	Mrs. Jensen
817950	366070	Hoochie
817951	46757	The Re-Animated: Elizabeth Ch
817952	326155	Angry Hooker
817953	40497	
817954	271248	Rainbow Girl
817955	27332	Evonne
817956	63834	Aunt Fanny
817956	141454	Laura
817956	252573	Mrs. Bugg
817956	279347	Mrs. Peabody
817956	368131	Second Neighbour
817956	385930	Mrs Bidwell
817956	392019	Martha Pitts
817956	399485	Mrs. Tebbutt (tending bar at 
817956	401145	Woman Patient
817956	401744	Mrs. Martin
817956	403992	Mrs. Morris
817956	407508	Mrs. Hayter
817956	407667	Sarah's Mother
817957	224729	Mrs. Mac
817958	101721	Britannia
817959	235067	Party Guest
817960	293212	Sandra McClaine
817961	45853	Blond Woman
817961	140310	Sylvia Savage
817961	312391	Oaf's Partner
817962	322754	Bickering Wife
817962	342857	
817963	246771	Lizette
817963	342754	Marchesi's Housekeeper
817964	265500	The Child
817965	11205	Madame De Jercasse
817965	83996	Mrs. Merridew
817966	282378	Herself
817967	350	Tootoochy's Girl
817967	191930	
817968	33742	One of 'The Thirty Women'
817968	306129	Grandmother
817969	306363	Dr. Samantha Lawrence, Lawren
817969	333857	Party Girl
817969	350208	Dr. Lesbian
817970	55110	Eileen
817971	149610	Celeste
817972	131797	Annie Hartridge
817972	372406	Connie
817972	396965	Mary Graham
817973	185964	Hospital Patron
817975	40549	
817976	48264	Preteen Misty
817977	58799	Lady at the Rail
817978	186470	Second Person in Theatre
817979	166568	Second Judge
817979	195300	Mrs. Jean Anderson
817979	387247	Anita Goodall (2000)
817980	224085	Ruth Haig
817981	95486	Extra in Church
817982	146927	Nick's Assistant
817982	257598	
817982	384808	Maid of Honor
817982	388109	Co-host
817982	396696	Juggy Dancer
817983	405209	Dora Megaw
817984	235541	Linda Jean
817984	237992	Chadwick
817985	354200	
817986	312011	Young Woman
817987	150554	Lover #1
817987	183843	Mrs. Erlynne
817987	265793	Brigadeer Angela Ochrants
817987	305415	Podust
817987	321263	Julia
817987	336442	Insp. Jane Darblay
817987	387533	Ruth Hepton
817987	391325	Miss. Armitage
817987	393890	Insp. Jean Darblay (1980-1982
817987	411895	WPC Howarth (1971-1975)
817988	330403	Herself
817989	205864	
817989	265505	
817990	6607	Amy Anderson
817990	47072	
817990	155301	Meg Foster
817990	157580	Nicolo
817990	248085	Nancy Stewart
817990	254592	Helen Trajen/Helen of Troy
817990	313422	Federation doctor
817990	358338	Annabelle Pritchett
817991	386500	Miss Minerva
817992	251194	Tameila
817993	22035	Adrian
817994	41390	Dead sister
817994	120516	
817994	228344	Floyd's daughter
817995	201688	Herself
817996	147541	Bikini model
817997	191204	Singer
817998	37702	Devareux Guyton
817999	309205	Herself
818000	694	Herself
818000	17478	Herself
818000	37383	Herself
818000	60685	Herself
818000	85933	Herself
818000	102648	Herself
818000	127731	Herself
818000	130109	Shakti
818000	132849	Herself
818000	146634	Herself
818000	153646	Herself
818000	163523	Herself
818000	163673	Herself
818000	185053	The Mayor
818000	192508	Herself
818000	199210	Aunty Entity
818000	221408	Herself
818000	240044	Guest Performer
818000	240954	Herself
818000	240956	Herself
818000	257684	Herself
818000	258928	Vocals
818000	263392	Herself
818000	280327	
818000	296552	Our Guests at Heartland
818000	299018	Herself
818000	299020	Herself
818000	302687	Herself
818000	309549	Herself
818000	309645	Herself
818000	323594	Herself
818000	333548	Herself
818000	333549	Herself
818000	333550	Herself
818000	333551	Herself
818000	333552	Herself
818000	335277	The Acid Queen
818000	343107	Herself
818000	352978	Performer
818000	360377	Herself
818000	362512	Herself
818000	364378	Herself
818001	109591	Treasure Hunter
818001	197797	Laurie
818002	142479	
818003	222783	Marie MacDaniels
818003	367964	Wordfest Party Guest
818004	363247	Diana
818006	170842	Junior's Party Girl
818007	227026	
818008	134572	Ping
818009	34388	Stewardess
818009	59007	Salesgirl
818009	73705	Annie
818009	131610	Florence Dowell
818009	140547	Jackie Coryton
818009	214449	Naomi
818009	266222	Rose the maid
818009	276804	Jessica
818009	282920	Wanda Killiem
818009	313081	Jill Blakeney
818009	348379	Eileen
818009	368102	
818009	370874	Misch
818009	382830	Charlotte Bronte
818010	383733	Herself (Series 1) (2001)
818010	411765	Presenter
818010	411846	Co-Presenter
818011	311026	Pippa
818011	318740	Lallie Joy Popham
818012	390319	Frances Anderson/Others
818013	308163	Irene Morant
818014	167047	Woman
818014	177407	Dancer
818015	72069	Barbara Ford
818015	87881	Marlene Weston
818015	128519	Mary Maguire
818015	154657	Polly
818015	190934	Pauline
818015	307916	Mrs. Beaufort-Smith, Socialit
818016	40653	Lucy Kennedy
818016	117745	Natalie Turner
818016	147961	Ann McClure
818016	161839	Maj. Fiona Lang
818016	240814	Carol Lenahan
818016	276430	Dr. Elizabeth Ryan
818016	304948	Anna
818016	336655	Alison Wood
818016	363469	Kate Powell
818016	380456	Kate O'Dowd
818016	382751	Polly Graham
818016	397212	Dr. Angela Moloney
818016	410522	Tracy Barnes
818017	165252	James' Mother
818017	171050	Treena
818017	236317	Andrea Grey
818017	310002	Andrea Grey
818017	331872	Stacy
818017	396497	Misao Amano/Pixy Misa
818018	134568	Lisa Monroe
818018	343982	Tsidi Manaka
818019	363267	Hoe #1
818020	409463	Secretaria (1982-1983)
818021	208870	Katrina Gideon
818022	157716	Mrs. Graham
818023	16878	Newborn Twin #2
818024	301991	Lady at President's reception
818025	137465	
818026	324490	Eva
818027	221325	Hilary Stevens age 11
818028	146815	Dr. Schlesinger
818028	321228	Barbara
818028	331610	
818028	385824	Linda Patterson Anderson #1) 
818029	221183	Aunt Belinda
818030	33426	Nurse
818031	159175	Dancer
818032	291449	Sweet Old Lady
818033	52320	Band
818034	153009	Girl in the Wine Cellar
818035	17856	
818035	66718	
818035	227317	L'hôtesse gym-center
818035	377484	La jeune mariée
818035	401053	Bérangère (1981)
818036	104222	Jeune fille surboum
818037	280771	
818037	348555	
818038	96858	Herself (film historian)
818039	154736	
818040	236460	Tyttö metsässä
818041	37393	Mrs. Jansen
818042	265790	Estudiante
818042	390851	Clara
818042	398914	
818042	400840	Diana (2000)
818043	47423	Jamaican Prisoner
818043	73887	Ms. Jenson
818043	79450	Iona Peazant
818043	126680	Valerie Bookbinder
818043	128707	Melba
818043	202195	Follower at Temple #7
818043	271198	'Baby Bomb' Prisoner
818043	285734	Gloria
818044	63096	
818044	145805	
818044	151450	
818044	211588	Mustang Pete's Wife
818044	244454	
818044	305967	
818044	323607	
818044	335698	
818044	358356	
818045	405217	Evelyn Sharp
818046	254076	
818047	49619	Rita
818048	211375	Madame Vivien
818049	399837	Sandy Feigin
818050	248483	
818051	248483	
818052	99912	
818053	262699	Segretaria di Luigi
818054	307783	Carmen
818055	187074	Danellia
818056	66577	
818056	74746	Rossella Rubinacci
818056	111073	Brigitte
818056	187430	
818056	308897	José's wife
818056	316378	Emanuela Mazzolani
818056	353083	
818057	339172	Elisa
818058	13066	
818059	164902	Iwana
818060	162772	
818061	331339	
818062	317314	Billie
818063	189831	
818064	1833	
818065	347534	Stephanie
818066	256654	
818066	259057	Ukruya Zaliyeva
818067	344323	
818068	8983	Aino Sibelius (nee Järnefelt)
818069	72664	Telephone Operator
818070	291447	Nude Swimmer
818071	240954	Herself/Dancer
818071	240956	Herself/Dancer
818071	333548	Dancer
818071	333551	Dancer/Singer
818072	66027	Samanatha
818073	382537	Waitress
818074	383896	Herself - Sports Corresponden
818075	61832	Herself
818076	61832	Herself
818077	1870	Brenda
818077	1883	Marie
818077	2030	Emily/Gina
818077	16968	Tina
818077	47130	Nurse Crupp
818077	57654	Psychic
818077	73612	Jean Ferraro
818077	73826	Miss Pasquantonio
818077	81731	Brenda Kerns
818077	82849	Linda
818077	95518	Kim
818077	107842	Tiffany
818077	116732	
818077	119329	Glory
818077	148361	
818077	156480	Marta
818077	164716	Helen Norwich
818077	166938	Angie
818077	168246	Waitress
818077	170843	Louise
818077	190273	Officer Moran
818077	198828	Wife
818077	199531	Angie
818077	204190	Hotel Day Clerk
818077	210767	
818077	212837	Italian Waitress
818077	218017	Woman on platform
818077	237612	Mary
818077	257522	Mad Greek Waitress
818077	280844	Rosebud
818077	285734	State Employee
818077	291931	Madame Esther
818077	300943	Shari
818077	304765	Mrs. Salinas
818077	315257	Bar Waitress
818077	323876	Kim (segment "Dutch Master, T
818077	335715	Fortune Teller 1 & 2
818077	340803	Grace
818077	342378	Herself/Various roles
818077	362115	Prostitute
818077	368092	Tookie
818077	405976	Janice Soprano (2000-)
818077	411516	Lydia
818078	198828	Gus's Mum
818078	270008	First Mom
818078	291931	Raffle Woman #2
818079	28480	Elvira
818079	66615	
818079	107576	Tony's Mother
818080	249872	Chica #3
818081	61861	Prostituta del cabaret
818081	385070	Sara
818082	303846	Vieras jatkoilla
818082	393981	Hanna
818082	394792	Danny (2002-)
818083	149634	Lady
818083	229626	Pupil
818084	178376	Statist
818085	211038	Markanantaja Kuopiossa
818086	101496	
818087	31936	Johanna
818087	181708	Rasinkangas
818087	181709	Several characters
818087	206190	
818087	393936	Kreetta-Liisa Käpykumpu
818087	394898	Various characters (1999)
818087	395622	Emma Åkerblom
818087	396253	Kristiina Isomunkki
818087	396747	Various characters
818087	401132	
818088	395257	Petra
818089	300796	Aino
818089	303126	
818089	350823	Anna
818089	394792	Naisteologi
818089	407198	Marika Vasama
818089	409931	Mathilda 'Tilly' Soldan
818090	103155	2. vastaanottovirkailija
818090	175481	
818090	180507	Annette
818090	184786	Ralla-Kaisa
818090	281038	Tulkki
818090	345004	Umur
818090	350602	Ifigenia Multanen
818090	390939	Herself - the host
818090	394641	Janita Westin
818090	402870	
818090	403996	Jonna
818090	409033	Carola Jarvis
818091	255360	Canoeist
818092	238656	Leona
818093	304216	Lollo
818094	144647	Pauline
818094	195844	Bland Woman
818094	320914	The woman
818094	327634	Game Announcer
818095	3354	Margita Pokorná
818095	9367	Zuzana Keterová
818095	16193	Madam
818095	16195	Madam Gabriela
818095	45125	Katerina
818095	45720	Emma Destinn
818095	151883	Sandra
818095	206586	Rosa
818095	211880	
818095	216572	Janáková
818095	219778	Eva
818095	234257	Marie
818095	238399	
818095	243195	Marta
818095	252162	Eva
818095	258627	
818095	262286	Mother
818095	262372	Mother
818095	266351	
818095	266427	
818095	283688	Princess
818095	285001	Gräfin Henriette Amalie Reuß
818095	294427	Tvrdonová
818095	320422	Deny's mother
818095	323338	Rodericová
818095	336367	
818095	357905	Magda Veselá
818095	374227	Matulová
818095	375911	
818095	375953	Kateøina Janáková
818095	410328	
818096	7559	Clara
818096	33228	Maren
818096	88692	Janne
818096	122746	Gabriel
818096	241973	Herself
818096	245794	Guest At Durandd-Ruel
818096	395115	Eva Vestergaard
818097	241973	Herself
818098	29663	Sarah
818099	144388	
818100	26324	Young Woman
818100	163051	
818100	163168	Andja
818100	171494	
818100	240086	Mare
818100	361237	
818100	399012	Koni
818101	191797	MC Cat
818101	196558	Teenager
818102	239829	Walker Granny
818103	169950	Young Eunice
818104	25480	Aunt Lily
818104	32453	Penelope
818104	45426	May Cronin
818104	56177	
818104	74406	Dóra
818104	83613	
818104	85872	Bridget Rafferty
818104	86413	
818104	88936	Tonya Komarova
818104	105518	Myrna
818104	114331	
818104	116140	Jean Stoller
818104	128519	Kate Brady
818104	132649	Maria
818104	134035	Margaret Sheen
818104	136127	Jenny
818104	137856	
818104	139055	Rita
818104	152534	Janice
818104	169950	Eunice Parchman
818104	178840	Nancy Jones
818104	186751	Dot
818104	187393	
818104	190068	Celia Fishwick
818104	192207	Grace
818104	219687	Herself
818104	224533	Martha Gude
818104	237229	Bette
818104	245056	Margaret Nixon
818104	247516	Vera
818104	248157	Lou
818104	256499	Mrs. Prysselius
818104	257110	Catherine Donovan
818104	270443	Lea
818104	270882	
818104	276411	Mrs. Deakin
818104	303386	
818104	305514	Brenda
818104	310233	
818104	315883	Brenda Thompson
818104	316863	Marilyn Massey
818104	319041	Alice Fletcher
818104	321482	Mags Luxford
818104	325244	Jo
818104	338227	Eve
818104	346156	Mum
818104	363297	
818104	381587	Mrs. Twentyman
818104	382693	Celia Higgins (Series 4) (198
818104	399560	Leonora
818105	76942	
818106	62859	Chitolya
818107	293855	Head Nurse
818108	339596	Dancer #8
818109	63274	Alcolom Baba, Kassim's wife
818109	79278	
818110	222292	Elizabeth
818111	238126	Sofie
818112	51913	
818112	90099	
818114	370702	Mei Fa
818115	180253	
818116	240386	
818117	36424	Anna
818117	52108	Girl/Actress Gloria/Dolores/S
818117	88635	Marguerite
818117	244106	
818117	262562	
818117	282768	Joanna Kaliszewska
818117	325042	
818117	357300	Stella
818119	141166	Cathy
818120	32381	Mrs. Truec
818121	42296	Hawaiian Tropic Team Member
818122	318763	Girl at Block Party
818123	297548	Dretta
818124	297548	Lenore
818125	244392	Child #3
818126	194315	Checkout Girl
818127	118259	Blanche from Texas
818128	16990	Dollie Stokesay
818128	32789	Polly Peachum
818128	67228	
818128	73641	Queen Henrietta Maria
818128	77837	Margaret
818128	93143	Kathleen Drover
818128	109916	Laura, the captain's wife
818128	115875	Mrs. Grange
818128	120466	
818128	133678	Florence
818128	133719	Gwendolyne Quim
818128	157189	Cecily Cardew
818128	159132	Luna
818128	177344	Goneril
818128	184899	
818128	222766	Mildred Strete
818128	230698	
818128	249617	
818128	269274	Queen Katherine
818128	288947	Sophie Brzeska
818128	299731	Lady Minnie Nettleby
818128	303230	
818128	312175	Hilda
818128	323770	Lucie Manette
818128	330681	Stephanie
818128	371094	Mrs. Stamford
818128	382384	Mother Emmanuel
818128	393268	Grace Halliwell
818128	399815	Mrs. Asquith
818128	404409	Lady Fenton
818128	405525	Anne Boleyn
818128	406043	Sarah Burton
818128	410156	Beate Heinold: 'Mother and So
818129	298087	Tina
818130	106101	
818130	234055	
818131	110548	Herself
818131	125224	
818131	281187	Julia Capuletti
818131	382551	Emma Goeghebeur
818131	388531	Doortje Coppens-Van Hoeck (19
818132	327297	
818133	218180	Model #2
818134	228152	
818135	277851	Athlete
818136	13998	Ballet dancer
818136	139790	Harvey Girl
818136	168119	Court lady
818136	183406	Bit part
818136	205724	Bit Part
818136	209605	Singing waitress
818136	281696	Dancer
818136	282711	Dancer in Haiti number
818136	318792	Stock company member
818136	333520	Bit part
818136	375045	Ziegfeld Girl
818137	45403	Mrs. Winton
818137	45469	Vrow Schimmelpennick
818138	3044	Announcer
818138	99619	Narrator
818138	386453	Narrator
818138	393109	Narrator
818138	406818	Narrator
818139	309054	
818140	216803	Lily White Girl
818141	242708	Mika
818142	6549	Ethyl (unemployment clerk)
818142	7011	Miss Watson
818142	7487	Eleanor Hammer
818142	55156	Carlton's Mother
818142	65787	Anna Noble
818142	72554	
818142	73551	Mother in 'Sisters Three'
818142	87331	
818142	90262	Ruth Jones
818142	105437	
818142	113275	Grandma Pusser
818142	117218	
818142	117987	Mother Hinkle
818142	127074	Mrs. Natalie Miller
818142	129062	Mrs. Doolittle
818142	129942	
818142	131774	Ellen Griswold
818142	141636	Mrs. O'Donnell
818142	148423	Miss Stoker
818142	149768	Aunt Martha
818142	152533	
818142	163213	Mrs. Hunt
818142	186273	Mrs. Brian O'Malley, Sr.
818142	190179	
818142	192506	Betty Simpson
818142	198548	Katherine Clark 'Ma' Barker
818142	198870	First Gentlewoman/Witch
818142	204358	Mrs. Herz
818142	220849	Mary
818142	221326	Mrs. Lee
818142	230435	Capt. Murchinson, Company CO
818142	231311	Mrs. Kettering
818142	232448	Wife
818142	236956	Aunt Gerda
818142	245883	Aunt Em
818142	266574	Eliza Chambers
818142	276366	
818142	276740	Mollie Heller
818142	281415	Miss Kenyon
818142	299742	Mrs Brand
818142	302469	Mrs. McGinley
818142	304503	Mrs. Doyle
818142	313076	Stenographer
818142	321310	Loretta Bartha
818142	328839	Rosemary Abhart
818142	335327	Mrs. Dawson
818142	347753	Judge Cecilia Steele Tropp
818142	358662	Grandma Pusser
818142	358664	Grandma Pusser
818142	359868	
818142	363590	Molly Loomis
818142	363911	Mrs. McIntyre
818142	388498	Doris Dunston
818142	393881	Hannah Yarby (1968-1971) (ori
818142	395576	Vinnie Day (1953-55)
818142	401291	Mrs. Slocum (1960-62)
818142	407991	
818143	410725	Meteorologist
818144	411811	Lisha Steele #2 (1960)
818145	148383	Jani Blazer
818145	195771	Person in Restaurant
818145	262591	Performer With Penis
818146	65016	
818146	139947	
818146	140608	
818146	175492	
818146	181458	
818147	47474	Sashka
818148	175287	Ana
818148	337742	Golda
818149	83659	Herself
818149	104106	Herself - Tiktak drums & voca
818149	195300	Billy's Video Vixen
818150	179412	Sakke the dog
818151	1826	Nachrichtensprecherin/Newsrea
818152	181708	
818153	174478	
818154	209949	Woman At The Factory
818154	349136	Maitokaupan asiakas
818155	231527	Cheryl
818156	31018	Museum Curator
818156	160675	Une femme
818156	236579	
818156	346793	Femme de client
818156	350850	Lauzun's courtisan
818157	20396	
818158	182979	Charlene
818159	93074	Nursing Home Nurse
818160	27397	Minni
818160	42527	Mother
818160	59208	Probation Officer
818160	181850	Waitress
818160	225349	Polina
818160	304213	
818160	343513	
818160	377332	Gustava
818160	410281	Malin
818161	219020	Sekretær Sælby
818162	314847	
818163	307833	
818164	1529	Suki's Girl
818165	332140	Minh
818166	175040	Lan
818167	46104	Lelya Stoyana
818167	78280	Danka
818167	151873	Yana
818167	207940	Baba Yordanka
818167	227909	Ana Markova
818167	284458	Saprugata na Nikodimov
818167	314557	Partizankata
818167	357426	
818167	373242	
818167	373743	Lekarkata
818168	65754	Rave Dancer
818169	402483	Jacqueline
818170	85000	Herself (National Widows' Org
818171	22107	Dicle
818171	51344	
818171	379465	Zümrüt
818171	380746	Dicle
818172	388139	L.A. Anchor (1997- )
818173	377629	Yvette
818174	237516	Martina
818175	9395	Aishe
818175	344051	
818176	127725	Grandma
818177	316811	Bjørg
818178	48700	Herself
818178	378936	Host (2001-)
818178	383077	Herself (Weather girl)
818178	387197	Herself (host)
818179	353801	Kari
818180	280771	
818181	18908	
818181	33800	
818181	33829	
818181	134620	
818181	154566	
818181	155613	
818181	172443	
818181	174921	
818181	228552	
818181	337045	
818182	300810	Tightrope walker with sword
818183	60408	Sonya
818184	373608	
818185	219443	Bartender
818185	282597	Margit
818185	322680	
818186	348962	
818187	389118	Herself - Sognepræst
818188	108655	En fiskerkone
818189	104770	Norwegian entry (1st place)
818189	147240	Norwegian entry
818190	62408	
818190	95057	
818190	181347	
818190	230039	Ivana Krejcová
818190	268304	
818190	292992	Vera Rubesová
818190	310270	Anka
818190	338627	Mary Maple
818191	78496	Herself (performing: 'Mest nå
818192	16898	Angel #5
818192	36862	Shop Clerk
818192	85186	Julie Rosen
818192	103355	Woman Deputy
818192	176478	Producer/Director
818192	360355	Woman at Gallery
818192	370118	Finance Officer
818194	1465	Herself
818194	1682	Herself
818194	2287	Herself - Host/Performer
818194	2366	Herself - Performer
818194	2721	Herself
818194	3251	Performer/Herself
818194	53524	Performer
818194	66240	Herself
818194	87981	Herself/performer
818194	154271	Herself
818194	161372	Twain, Shania
818194	208475	Herself (#40) (Interviewee)
818194	249588	Herself
818194	282703	Herself
818194	297422	
818194	297423	Lead Vocals
818194	297424	Herself
818194	297425	Herself
818194	319357	Herself (Halftime Performer)
818194	352976	Performer
818194	365841	Herself
818194	366393	Herself
818195	120237	Young Grace
818196	120237	Grace
818196	189596	?
818196	202548	Grandmother Khumalo
818196	358030	Grandmother
818197	340029	Bemmi
818198	20397	
818198	71068	
818198	124517	
818198	233906	
818198	260819	
818198	269115	
818199	278247	Todd's Date
818200	298308	Nurse Mary
818201	163213	Joanie
818201	298573	Terese
818202	405209	Dot Comrie (2001)
818203	1792	Herself (Miss November 1981)
818203	26142	Herself
818203	38165	
818203	42721	Claire Archer
818203	53939	Dr. Margo Hunt
818203	57650	Herself
818203	66599	Sam
818203	66969	Beth
818203	78796	Dr. Margaret Simpson
818203	80409	Wendy Marsh
818203	80602	Kate McBain
818203	83912	
818203	84457	Amanda Finch
818203	85950	
818203	92736	Baitmate
818203	93981	Beautiful Woman
818203	98828	Lorna Duncan/Electra
818203	114008	Sandra Spencer
818203	114206	
818203	117424	Maureen Doherty
818203	139211	Andrea
818203	150127	Sylvia Fonda
818203	150679	
818203	152528	Alicia Royale
818203	156472	Moira Davis
818203	158138	Lena
818203	158964	Rebecca Mathis
818203	158965	Rebecca Mathis
818203	158966	Dr. Rebecca Mathis
818203	160464	Herself
818203	185111	Cindy/Audrey
818203	185270	Joanne Preston
818203	185327	Susan
818203	188513	Tory
818203	189237	Heather Burnz
818203	194100	
818203	209221	The Love Goddess
818203	216806	Shannon
818203	227024	The First Class Stewardess
818203	231895	Marilyn Mejenes
818203	231896	Zoe Clairmont
818203	231902	Lydia
818203	232294	Lisa Grace
818203	233519	Sharon Bell
818203	233521	Sharon Bell
818203	238551	Meg Hughes
818203	257584	Herself
818203	257813	Herself
818203	257847	Herself
818203	257863	Herself (Playmate of the Year
818203	261426	Carol McKay
818203	262129	Jacqueline Knight
818203	282545	Velvet McKenzie
818203	291037	Patricia/Amanda
818203	295636	Herself (interviewee)
818203	296297	Eve Anderson
818203	296864	Hunter Wiley
818203	302664	Lisa
818203	314269	Angela
818203	315586	Jennifer McCormick
818203	320039	Lee Waite
818203	322955	Leona
818203	342651	Hinkle
818203	353388	Carla Duvall
818203	363778	Alexia
818203	366655	Lesbian Hitwoman
818203	378759	Kristy Fulbright (1989-1991)
818203	385824	Savannah Wilder (1985-1986)
818203	388237	Diana Hunter (1982-1983)
818203	388970	Sally "Slick" Monroe (1991)
818203	392044	Rebecca
818203	398700	Mom
818204	1897	Narrator
818204	109832	Edith Sargeant
818204	222756	Mrs. Butterfield
818204	254923	Arraignment Judge
818204	275097	Ann
818204	381432	Susan Baxter (1980-1981)
818204	385996	Delilah
818205	168714	Pretty
818205	192596	Rolls Royce girl
818205	231896	Dana Gray
818205	319191	Lena
818206	13734	Reporter
818206	97461	Herself
818206	119598	
818206	303757	Hostess
818206	336820	Host
818206	378893	Host
818206	381723	Herself - Correspondent
818206	382311	Host
818206	388833	Herself
818206	391540	Host
818206	401527	Host
818207	14104	Deanna
818207	317928	Becky Rosenblad
818208	402425	Herself
818209	85143	911 Caller
818209	93245	Woman in Crowd
818209	158343	Nurse
818209	191677	Ear pickin cashier
818209	194405	Female Teacher
818209	221360	Librarian
818209	232204	Mrs. Clarkson
818209	238252	Voice of Estelle
818209	265681	Sister Jude
818209	273931	Mrs. Bagley
818209	278209	Mrs. Kolbe
818209	291452	Librarian
818209	295377	Nurse 7
818209	311654	Woman Neighbor
818209	334138	Ticket Clerk
818210	223343	Dwarf Molly
818211	368455	Muppet Performer
818211	404337	Queen Peuta (1975-1976)
818212	3251	Performer/Herself
818212	87597	Performer
818212	133412	Performer
818212	228303	Performer
818212	311953	Herself/Performer
818212	401889	Herself - Girls Aloud
818213	331054	Herself
818214	408893	Additional Voices
818215	116041	Majorette
818216	169263	
818217	2040	Herself
818217	38769	
818217	148874	Herself
818217	164560	Kenny
818217	215932	Herself
818217	221483	Herself
818217	238461	
818217	318742	Herself - Performer
818217	339747	Herself
818218	11323	Katha
818218	27187	Helen King Carlyle
818218	32564	Sally
818218	41929	Dorothy May (episode 2)
818218	43775	Herself (in footage from _Cat
818218	47493	
818218	56712	Annabelle West
818218	87688	Gay Holloway
818218	90267	
818218	120342	Alice
818218	127207	Miriam Holt
818218	132855	Molly
818218	143274	Frankie
818218	147830	Carol Stevens
818218	162551	Peggy Bannon
818218	177308	Lillian Williams
818218	214068	Millicent 'Millie' Blake Mait
818218	224425	Connie Riley Rollins
818218	236096	Virginia
818218	241416	Bessie Dunn
818218	246700	Mary Ellen Cameron
818218	247371	Flo Bennett
818218	253525	Helen Griswold
818218	297918	Francine
818218	298024	Sheila Vane
818218	310287	Stella Godfrey
818218	313959	June Perry
818218	321499	Maryan
818218	331053	Joan
818218	333433	Margo Heath
818218	345627	Joan Ogden
818218	347411	Pat Rogers
818218	367553	Elsa Elsbergen
818218	368244	Dorothy Blake
818218	372496	Allie Smith Riggs
818219	140539	Mrs. Busworth
818219	203655	Mrs. Morten Rose
818219	210427	
818219	211565	Mrs. C. Wriggle
818219	214779	Lady Pont
818219	310588	Mrs. Cavendish
818219	359077	Lady Hotbury
818220	285499	Yasmin
818221	263566	Sibanyoni
818221	279143	Moses
818222	1262	
818223	29183	
818223	128320	Lisa
818224	267486	Old dear
818225	325409	Ärztin
818226	126857	
818226	189696	
818226	297974	Twig
818226	325797	Evelyn Wilke
818226	354076	
818226	395010	Margot Petermann
818226	406321	
818227	137563	Toser's Receptionist
818227	150554	Young Girl (Nail Biter)
818228	80444	Woman at Kiosk
818228	183875	Helen
818229	222784	Chainsaw Girl
818230	48289	Millie
818230	244880	Judith
818230	329505	Bride
818230	350181	Schoolgirl
818230	360634	
818230	390523	Mrs. Maguire (Zammo's Mum) (1
818230	390887	Joanna Roberts (1973-76)
818231	11471	Herself
818231	23933	Herself/Audience Member
818231	31944	Herself
818231	34903	Herself
818231	38238	Herself
818231	42056	Chic Lady
818231	42711	Cathy Matthews (segment "Eye"
818231	45421	Polly Browne
818231	47382	
818231	50633	Herself
818231	55713	Herself
818231	66131	Phillipa Lloyd
818231	85860	Det. Sgt. Charlie Lawson
818231	88852	Jennie Bailey
818231	90728	
818231	97517	Marlene Dicktrick
818231	108101	Herself
818231	140988	Denise
818231	163088	Maud
818231	192000	Josie Roberts
818231	199390	Jenny
818231	260317	Herself
818231	268158	Eliza Dolittle
818231	308052	Eve Hamel
818231	316510	
818231	318910	Fen Harris
818231	329952	Polly
818231	351907	Jill
818231	357954	Katie Lewis
818231	364588	Herself
818231	368722	Viv
818231	372505	Hannah Chaplin
818231	402178	Princess Georgina 'Georgy' De
818231	408075	Presenter (2001)
818231	409205	
818232	32185	Chorus
818232	35765	Courtney
818232	78779	Church Choir Singer
818232	115571	Tenor Singer
818232	216737	Blues Singer
818232	232425	Undersea Gal, Man Under the S
818232	307264	Army Band Singer
818232	350192	Singer
818232	358865	
818232	390953	
818233	194058	Narrator
818233	386970	Thin Elk's Wife
818234	58403	
818234	80864	Cleo
818235	391768	Vi
818236	135804	Jennifer/Allison
818236	158105	Herself
818237	364281	Hygiene Teacher
818238	54634	Jack's Mother
818239	325409	Ärztin
818240	249579	Herself
818241	385659	Lady
818241	396081	First Twitterer
818242	104646	Dancing Group
818242	131629	Mrs. Sutherland
818242	273825	Vicar
818242	382838	Rosie Banks (1994-1996)
818243	141746	Gentile Girl No. 1
818244	68511	Teacher
818244	321154	Dancer in 'Big Spender' numbe
818245	184127	Charlene
818246	391170	Millie Flagle (1953-1954)
818247	317309	Fluffer
818248	32897	Helen Isaacs
818248	49485	Sarah
818248	69357	Judge Judy Crossland
818248	79875	Kitty Oppenheimer
818248	80763	Jeannie Conway
818248	156787	Molly Grainger
818248	185593	Zena
818248	243766	Carol Cutrere
818248	255345	Sela
818248	273544	Leila, Jason's Ex-Wife
818248	274754	Jean
818248	291126	Jennifer
818248	292696	Dr. Meyers
818248	408036	Catherine Zambrano (2000-2001
818249	61643	Bellevue patient
818250	238138	Nanny
818251	330894	
818252	75942	
818252	114350	1st Junior Barrister (Defence
818252	257343	Margareth
818252	310976	Irene
818253	25426	Basia Bzowska
818253	380998	Basia Bzowska
818254	24703	Nurse at Cleveland Heart Inst
818255	107925	Giselle
818255	245099	Lynn
818255	251646	Straight Girl
818256	204602	Luis' Mother
818257	162548	Lucy
818259	380700	Tinette
818260	173583	Yasmine
818261	17551	Knyagina Myagkaya
818261	89798	Mrs. Golikova
818261	95683	
818261	225853	Stepanida
818261	229913	
818261	264320	
818261	270722	Fyodosya
818261	313140	
818261	320668	Mariya Pronina
818261	352873	Yelena's Mother
818261	356124	
818261	356420	Akhrosimova
818261	356421	Akhrosimova
818261	356422	Akhrosimova
818261	357214	
818261	373948	The Boys' Mother
818261	374720	Mariya
818262	238442	Nurse
818263	380554	Margret (Gretchen)
818264	1868	Gillian
818265	277705	
818265	277706	
818266	277705	
818266	277706	
818267	13406	
818267	39287	
818267	81924	
818267	89054	Cricket
818267	143535	Aphrodite
818267	274327	Lynn (segment "Burning Up")
818267	274329	Cecelia, correspondent (segme
818267	306917	
818267	318977	Victoria Reynolds
818267	391395	Aphrodite (1996-1999)
818268	256823	Alicia
818270	405248	Herself
818271	169882	Cheerleader Co-ordinator
818272	405248	Herself
818273	214047	German Girl Going Into Labour
818274	381451	Singapore Correspondent
818275	120237	Thembi
818275	313474	Tey How
818275	313477	Senator Terr Taneel
818275	407391	Ma'Dimpho
818276	204260	Nurse #1
818276	229108	Vena Marshwood
818277	353296	Fern
818278	129457	Herself - performer
818278	175400	
818278	187796	Singer of Babylon
818278	255386	Klavdia
818279	17747	
818279	25296	Eeva
818279	211863	Jalkasen tytär
818280	397863	Ivana Urussova
818282	41614	
818282	68513	
818282	139260	
818282	228078	Herself
818283	280489	Felice Quick
818284	27014	
818284	118293	
818284	123854	Girl on couch
818284	150107	
818284	243136	
818284	291282	
818284	305728	
818284	372475	
818285	716	Herself/interviewed
818285	1737	Herself
818285	77793	Woman with Weave
818285	122637	Herself
818285	132413	Herself
818285	132739	Girl #1
818285	209596	Jane
818285	218873	Josie
818285	230332	Nancy
818285	241348	Alexis
818285	287727	Mother Nature
818285	299317	Herself
818285	311146	Hostess
818285	352976	Herself
818285	378903	Host
818285	392423	Herself
818285	395161	Herself (Celebrity Talent Sco
818285	407495	Host (2001-2002)
818286	241613	Stacey Theman
818286	333602	Quick Ship Owner
818288	106430	Teen Stopping A Fight
818288	247991	
818289	3266	
818289	26983	
818289	37291	
818289	77558	
818289	105150	
818289	116594	
818289	121657	
818289	188067	
818289	234069	
818289	298103	
818289	309048	
818289	312374	
818289	314177	
818289	331482	
818289	358074	Herself
818290	20001	Another Woman
818291	39298	
818291	50679	
818291	233916	
818291	321039	
818292	58511	Dancer
818292	359758	Ball Dancers & Musicians
818293	4622	Dancer
818294	32818	Anne Cochran
818294	34650	Miss Delaware Water Gap
818294	61163	Sylvia Clarkson
818294	63994	Carrie Roberts
818294	113882	Mary Reeves
818294	134107	Alison Keith as a young woman
818294	149029	Fay Wells
818294	223767	Martha
818294	232338	Singer
818294	247193	Maria Guevara
818294	336811	Della
818294	356798	Sarah Adams
818294	372819	Thyra Winters
818294	381995	Lorelei Kilbourne (1953-1954)
818295	139467	Stripper
818296	16397	Herself
818297	160464	Interviewee: Girlfriend/Playm
818297	257659	Miss May
818298	36917	
818298	36919	
818298	327781	
818299	151177	Kid 4
818300	236326	Herself
818301	200282	Go Go Go Go Girl
818302	299810	Abigail
818302	386963	Maria Kitson (2001)
818302	393018	Jane (2001)
818302	399415	Shelley (2002)
818303	305390	TV News Reporter
818304	202511	Nurse Evers
818304	222699	Althea
818304	283434	Receptionist
818305	117858	Telex Operator
818305	138683	Janet
818305	160375	Cocktail waitress
818305	169991	Neighbor in window
818306	159518	Nurse Susanna
818307	154063	Writer's Girl
818308	169470	Girl 1
818309	326778	Geri
818310	88868	Polynesia the Parrot
818310	185460	Bird Calls
818310	321693	Little Girl Squirrel
818310	379307	Flurtacia
818310	386238	Additional Voices
818310	389300	
818310	390791	Additional voices
818310	393402	
818310	399232	Casper
818310	399238	Invisible Girl/Susan 'Sue' Ri
818310	399968	Additional voices
818310	406068	Jan/Black Widow
818311	314923	O'Malley's Girls
818312	364558	Girl Group Singer
818313	151177	Kid 2
818315	243083	
818315	243134	
818316	359351	Ula Lipnicki
818317	333882	Victoria
818318	114291	Model
818319	241028	1st W.A.A.F. Officer
818320	44188	Jo Thomas
818320	165004	Peggy Van Alden
818320	402458	Princess Summerfall Winterspr
818321	403938	Eddie
818322	40228	Gretchen
818322	281561	Tracey Winn
818323	158930	Girl #1
818324	220840	
818324	235653	
818324	316381	
818324	327774	
818325	2694	Myra
818325	42440	Rachel
818325	51966	Liv
818325	67348	Helen Benson
818325	236154	Jenny
818325	283323	Business Woman
818325	357065	Susan Haynes
818326	11569	Mrs. Lotta Bullion
818326	20901	Mrs. Peyson
818326	26119	Mrs. Brice
818326	56098	Switchboard operator
818326	59617	Mrs. Winters
818326	78187	Guest
818326	92435	Martha Browning
818326	96853	Woman
818326	107446	Mrs. Berkhardt
818326	112397	Mrs. Winkle
818326	121585	Mrs. North
818326	148975	Mrs. Winslow
818326	177391	Woman at Table
818326	216926	Mrs. Burke
818326	221124	Mrs. Forbish
818326	222628	
818326	241780	Mrs. Adams
818326	255881	Jerry Martin
818326	283894	Mrs. Wembley
818326	297931	Mrs. Cue
818326	297944	
818326	302602	
818326	323968	Townswoman
818326	331451	Mrs. Davenport
818326	333317	Cora Sproggs
818326	367552	Member
818328	372116	Society woman
818329	3027	Herself
818329	3055	Herself (Presenter)
818329	7341	Teenage Girl (video 'Crazy')
818329	20371	Grace Stamper
818329	53323	Gum Girl
818329	70368	Emma Duvall
818329	88465	Herself
818329	92618	Marilyn
818329	100131	Corey Mason
818329	119009	Herself
818329	141689	Callie
818329	161790	Pamela Abbott
818329	166939	Maya
818329	193819	Anika
818329	194495	Arwen
818329	194497	Arwen
818329	194500	Arwen
818329	194502	Arwen
818329	194503	Arwen
818329	201796	Herself
818329	201926	Herself
818329	228290	Herself
818329	241583	Jewel
818329	241898	Tatyana Larina
818329	258305	Lady Rebecca Gibson
818329	269610	Herself
818329	301626	Sylvie Warden
818329	314152	Lucy
818329	329522	Faye Dolan
818329	343864	Girl in Bus Station
818330	199087	
818330	233576	
818330	310025	
818331	67871	
818332	90396	Lauren Bentley
818332	145636	Herself
818332	191648	Laura Simon
818336	128718	
818336	192267	Mrs. Nelson
818337	3944	Herself
818337	13390	
818337	34932	Herself
818337	41077	
818337	41486	Herself
818337	41645	
818337	81787	Herself
818337	81826	
818337	81835	
818337	95801	
818337	107093	
818337	116013	Herself
818337	160240	Herself
818337	163480	Herself
818337	227997	
818337	232651	
818337	252390	
818337	257887	
818337	274415	
818337	319460	Model
818337	319642	Herself
818337	323379	
818337	355181	
818337	375808	Tammy Hall
818338	390180	Major Tanya
818339	340502	Soldier
818340	193622	London Town Dozen & One Girl
818341	75897	Eleanor McCammon
818341	91769	Bidder
818341	159518	Julia
818342	93051	
818343	366640	Herself
818344	312701	
818346	272357	Crystal
818346	346016	Jennifer
818347	63834	Jo
818348	319214	
818349	356802	Tribal Baister
818352	6725	Herself
818352	37592	
818352	39590	
818352	83619	
818352	106189	
818352	115054	
818352	115307	
818352	123629	
818352	129090	Actress in Models video
818352	130318	Security Officer
818352	139209	Herself
818352	147874	
818352	156475	Cheryl Hyler
818352	158590	
818352	160240	Herself
818352	185167	
818352	188412	
818352	232950	
818352	233667	
818352	296073	Tracy
818352	297923	
818352	298168	
818352	334306	
818352	357168	Herself
818352	361363	
818352	372540	
818353	301716	Victoria at 16
818354	13280	
818354	34928	
818354	50488	
818354	77147	
818354	115554	Puddles Flintbone
818354	115620	Movie critic
818354	123639	
818354	216968	
818354	256186	
818354	264800	
818354	266675	
818354	279229	
818354	289540	
818354	293057	Goddess Mata Hari
818354	309283	Lingerie customer
818354	311947	
818354	315709	
818354	359287	
818356	55690	Hand Maiden
818356	55714	Funhouse Girl
818356	92627	Thal
818357	144406	
818358	157195	Dancer
818359	179882	
818360	280610	
818361	280993	Alexandra, 'Lexa'
818362	110075	
818363	198758	Nurse
818363	214835	
818364	48361	Walter's Daughter
818365	846	Herself - #42: Hunter Tylo vs
818365	92104	Teri Montana
818365	113287	Anna
818365	159770	Alison
818365	194136	Rachel Montgomery
818365	257055	Billie Jeeters
818365	330114	June
818365	379716	Robin McCall (1985-1987)
818365	382419	Dr. Taylor Hamilton Forrester
818365	385824	Marina Theresa Toscano Johnso
818365	396479	Messua Shandar
818366	846	Herself
818367	32941	Suzanne Somers
818367	86263	Korean Scorpion Guard
818367	131381	
818367	148317	Serena Smithson
818367	150188	Red
818367	155215	Danielle
818367	223642	Stephanie
818367	318188	Crystal
818367	370118	Jane Bowman
818367	387312	Brenda
818368	163368	Child
818369	123611	
818369	312132	
818370	39404	Mrs. Underhill
818370	211615	Mistress Quickly
818370	220099	Spectator #2
818370	318164	Mrs. Wirtz
818371	12147	Sarah
818372	220685	
818373	374134	Papagena
818374	411509	Herself - Weatherwoman (1995-
818375	340945	Herself
818376	51975	Meta
818377	211755	Aunt Martha
818378	80965	Lady Boscatel
818379	104973	Gotcha Family Daughter
818379	151625	Young Finn Dodd
818379	191840	Young Ruth Finney
818379	194332	Little Alien #1
818379	281913	Jennifer Barr (Baby)
818379	380287	The Twins
818380	151625	Young Finn Dodd
818380	191840	Young Ruth Finney
818380	194332	Little Alien #2
818380	281913	Jennifer Barr (Baby)
818380	380287	The Twins
818381	100124	Herself (engineer)
818382	238660	LIttle Kacy
818383	157015	Janet Raphael
818383	231884	
818383	347856	Elizabeth Sievers
818383	379831	Elaine Barrigan (1989-1992)
818383	397211	Janet Raphael (1990-1993)
818384	193831	
818384	193832	
818385	214516	Paula
818386	256188	Pink Chiquita
818387	112326	Herself
818388	40543	Journalist 4
818389	223659	Herself
818390	223659	Herself
818391	2933	Kristiina
818391	34125	
818391	234571	Mainostyttö
818392	48700	Herself
818392	103163	Muchacha 7
818392	258326	Herself
818393	127453	
818394	69521	
818395	682	Dorm Room Girl
818396	82661	Summer
818397	348102	Script Girl
818398	407138	Herself - Contestant
818399	157489	The Nurse
818400	316863	Copper
818400	382266	PC Bernadette Gilligan
818401	389416	Shea's Secretary
818402	118623	Mayor Cora
818402	133744	Herself (TV Presenter/Host)
818402	143532	Temple Priestess
818402	273800	Supermarket Housewife
818402	387643	Charlotte (Charlie) Clancy
818402	395357	Kalem
818402	404880	Tina
818402	405209	Karen Donovan (1998)
818403	2573	Herself
818403	36781	Doreen
818403	41169	Herself
818403	48106	Herself
818403	48107	Herself
818404	10138	Connie Contreras
818405	393888	Allie
818406	252574	Marianne
818406	315551	Bertha von Buchan
818407	78493	Herself (performing 'Uden dig
818407	78494	Herself (performing: 'Tog jeg
818407	78495	Herself - Member of jury
818407	304186	Kim
818408	219616	
818409	110967	Young Madelyn
818410	98149	Neighborhood Kid
818411	151042	Nurse
818411	241286	
818412	16654	Susie
818412	52305	Dulcey Waggoner
818412	154631	Trudy Clements
818412	204165	Queenie Walters
818412	305781	Joanie
818413	19167	Secretary
818413	21555	Cleveland's secretary
818413	32356	Nurse
818413	32550	Telephone Operator
818413	46737	Miss Swanson
818413	49536	Miss Dilby
818413	51975	Edna
818413	74191	Woman in Apt. #201
818413	99856	Miss Nielson
818413	105729	Miss Nordley
818413	109911	Tilda
818413	128319	Nurse Bigley
818413	131534	Mrs. Makepeace
818413	137452	Neighbor
818413	170490	Citizen of Rome
818413	178148	Miss Staines
818413	195753	Mrs. Whitney
818413	196987	Fortune Teller
818413	219917	Mrs. Jones
818413	224373	Sophie
818413	234070	Nurse
818413	241036	Dr. Borden
818413	250985	Nurse
818413	293835	Mrs. Jennie Amboy
818413	295280	Mrs. Mary Brown
818413	323435	Louise Pickett
818413	372490	Mary
818413	380340	Olive Smith
818413	402214	Vi Praskins
818414	79778	Midwife
818414	234098	Manchester Lady
818415	45838	Woman in Hallway
818416	399314	Anchor (1986-)
818417	62294	Mrs. Steele
818417	358339	Woman in Crowd
818418	3202	Melba Lou
818418	16627	Solly Mosler
818418	24957	Solly Mosler
818418	27107	Mary Aiken
818418	32614	Kristen
818418	37452	Midge Montana
818418	48703	Sal
818418	56877	Emilia
818418	62274	Claudia Furschtien
818418	63113	Sara Jameson
818418	74259	Ramona Rickettes
818418	82669	Mayor Eleanor Grimbaum
818418	85002	High Priestess
818418	86558	Mildred Hodges
818418	89007	Narrator
818418	108942	Agnes Reed
818418	109538	Evie
818418	109578	Oma
818418	113728	Juliana
818418	115235	Celine
818418	117454	Queen Doris of the Sixth Dime
818418	154516	Lee
818418	162906	Lil
818418	166242	Dixie
818418	176824	Joyce Lakeland
818418	176915	Susu, Second Ragpicker
818418	183376	
818418	183775	Helen Proctor
818418	189238	Lora Mae Bouvier
818418	194406	Boobies, Elijah's Girlfriend
818418	198920	
818418	207171	Ella the Fortune Teller
818418	220164	Bartender
818418	232304	Cheryl Roberts (Aunt Cheryl)
818418	238749	Bess Chandler
818418	256176	Lana
818418	258951	Mrs. B
818418	259013	Mad Mary
818418	261962	Maxine
818418	270521	Miss Baxter
818418	275308	Alicia Pillsbury
818418	280263	Chuck the Bartender
818418	299658	Alma
818418	307137	Herself
818418	314127	Louise
818418	315459	Vera
818418	317960	Eleanor Langley
818418	320827	
818418	324777	Nikki Morton
818418	331022	Pookie
818418	334218	Maggie Van Birchard
818418	345066	Debby/Alice
818418	346206	Mrs. Grant
818418	362557	
818418	365883	T. J.
818418	366039	Neusa
818418	367094	Narrator, various others
818418	373881	Maria Cordova
818418	388108	Achira
818418	392545	Bertha
818418	400314	Gretchen Feester (1981-1982)
818419	181856	
818420	279304	Flo
818421	285049	TV Reporter
818422	26700	
818423	255830	Prostie
818424	297276	Manning Sister
818425	231389	Supermarket Shopper's Wife
818426	378865	GIA Member
818426	385614	Barbara/Bridget McGrath
818427	26387	Carol Whitson
818427	32098	Sylvie
818427	35401	Francie
818427	60212	Mrs. Herman the 'Grade Book'
818427	63101	Sasha
818427	102571	Charlotte Sparrow (Miss Sparr
818427	113293	Veronica Waller
818427	113305	Mrs. Barbara Browning
818427	171696	Catherine Coleman
818427	216445	Gayle Goode
818427	246222	Amy
818427	272776	Judy Weingarten
818427	275480	Adult Vanessa
818427	276426	Sara Prudhomme
818427	283546	Newscaster #3
818427	334123	Barbara DeCreeft
818427	338277	Lauren Gertz
818427	378898	Mandy Murphy
818427	380391	Dawn 'Ivy' Rollo (1987-1988)
818427	399148	Eleanor James (1992-1994)
818427	409244	FBI Agent Theresa 'Terry' Car
818428	16880	Frances
818428	50207	Josie Patterson
818428	130905	Marina
818428	144571	Narrator
818428	159824	Narrator
818428	186165	Presenter
818428	194894	Jerene Parks
818428	217741	Simone
818428	239722	Josefina
818428	245124	Julie
818428	263606	Maria Kerrigan
818428	275433	
818428	294829	Marielle Duchamp
818428	341846	
818428	379193	Herself
818428	379872	Stella
818428	381212	Carol Johnson
818428	390270	Carol Johnson
818428	392008	Narrator (2002)
818428	399415	Rev. Stephanie MacKenzie (200
818428	401229	Marie
818428	403911	Annie McPhee
818428	404575	Joanna
818429	1480	Herself - Presenter
818429	1781	Herself - Presenter
818429	2261	Herself
818429	2313	Herself - Presenter
818429	2613	Herself
818429	2750	Herself - Co-presenter: Best 
818429	2761	Herself
818429	5387	Janet Framm
818429	8023	Emily Lincoln
818429	11674	Herself
818429	12776	Luvia
818429	13924	Herself
818429	13929	Herself
818429	24540	Jane Pittman
818429	32355	Gloria Dump
818429	34120	Odessa
818429	41699	The Cat
818429	42751	
818429	46847	Guardian
818429	50333	Vivian Perry
818429	54308	Herself
818429	55037	
818429	65707	Donna
818429	67963	Marie Therese
818429	69137	Elaine
818429	85999	Myrtle
818429	91700	Herself
818429	95331	Dr. Randolph
818429	115531	Host
818429	119523	Young Girl
818429	120148	Sipsey
818429	141183	Portia
818429	141568	Ruthana Richardson
818429	143829	Sweets
818429	149258	Stephanie St. Clair
818429	151006	Evangeline
818429	160476	Herself
818429	161261	Narrator
818429	167256	Cathedral
818429	171056	Priscilla Simmons
818429	175531	Herself
818429	176388	Etta
818429	185072	Girl Left on Porch
818429	188143	Tante Lou
818429	202619	Mama Flora
818429	202945	Claudia Ferguson
818429	206408	Emma Teasley
818429	206795	Marva Collins
818429	221375	Ms. Ebenita Scrooge
818429	229515	
818429	232017	Herself
818429	238260	Fra
818429	239891	Castralia, Marsden Family Hou
818429	263485	Vesta Battle
818429	278626	Maggie (segment "Homecoming D
818429	279141	Mattie Williams
818429	279390	Jordan Roosevelt
818429	281644	Leona
818429	286549	Muriel
818429	309657	Rebecca Morgan
818429	327187	
818429	362966	Sarah
818429	365910	Blanche Rudolph
818429	367444	Harriet Ross Tubman
818429	367844	Mrs. Browne
818429	383711	Co-host - part IV
818429	383802	
818429	387246	Jane Foster
818429	390771	Martha Frazier (1966)
818429	394502	Coretta Scott King
818429	403728	Binta (Kunta's mother)
818429	407155	Carrie Grace Battle (1994-199
818430	88192	
818430	183669	
818431	158207	Baby Jane
818432	381436	Diana Shotlen (2000-)
818433	16072	Faustina
818434	102576	Cindy Swanson
818434	115576	Christine
818434	126253	Germgirl
818434	251800	
818434	310876	Jessica
818434	330370	Sharon Chadway
818434	368942	Constance Nagel
818435	34281	Maid
818435	165443	Bessie
818436	291580	
818437	310129	Arkestra member
818438	205461	
818439	256636	Mrs. Gateland
818440	67430	Medea
818440	185174	Legal Aid Attorney
818440	291698	Homeless Woman
818440	301087	Additional Voices
818440	308064	Foster Care Worker
818441	103288	Carla the Swordmaster
818441	170746	Angela
818441	303226	Vegas Backup Singer #2
818441	362512	Leanne
818441	362597	Sharleen Harris
818442	25364	Wendy
818442	51643	Bystander
818442	214962	Female Doctor
818442	253422	Wife/Barfly
818442	288942	Mary Savage
818443	45854	Zombie
818445	111579	Herself
818445	399014	
818446	97447	Mother
818448	121777	
818449	34390	Mme Pailhasson
818449	46770	Pani Barska
818449	75942	Zuza
818449	84593	Mme Muller
818449	87033	
818449	89790	Alina
818449	90145	Beate Weber
818449	91510	Gelda
818449	95683	
818449	95700	Ministrowa
818449	95962	
818449	95981	Magda
818449	97986	Piri (Cashier)
818449	126249	Berta Sonnenbruch
818449	155793	Eva
818449	166629	Emma
818449	177691	Lady
818449	180106	Nina
818449	181249	Russian Woman
818449	181385	
818449	184200	Izabela Lecka
818449	195184	Comtesse
818449	202969	Fran
818449	206953	
818449	216615	
818449	227611	Ewa
818449	231723	Elzbieta
818449	234268	Stefania Holszanska
818449	238404	
818449	248531	Family Doctor
818449	254083	Madame Pitchik
818449	255498	The Lady of Little Comprehens
818449	255610	Inga Rhode
818449	260389	Princess Elzbieta
818449	275250	Donna Rebecca Uzeda
818449	281709	
818449	286803	Stasia
818449	289822	
818449	293700	Berna
818449	311838	Maria
818449	322139	Janka
818449	322192	Anna
818449	324315	Wieslawa
818449	349236	
818449	349402	Roman's Mother
818449	349453	Countess
818449	357980	Anastazja
818449	358212	
818449	364953	Hermina
818449	369010	
818449	369022	Beata
818449	371432	
818449	373613	Katarzyna
818449	373733	Ciocia Neli
818449	374468	Klara
818449	375443	Countess
818449	377726	Margot's Mother
818449	378519	Martina Lederová
818449	387414	
818449	387735	Jacqueline Geroux (1989)
818449	398273	Doktor
818449	398922	Kolska
818449	401665	Nina (2004-)
818449	402292	
818449	408826	Countess Cwilecka
818450	225876	
818451	385479	
818452	225876	
818453	88447	
818453	234435	Sorceress Olga
818453	234436	Olga
818453	238119	The Narrator
818453	265545	
818454	349077	
818455	114524	Herself
818456	98217	
818457	181708	
818458	309390	Girl
818459	1711	Elena
818459	2563	Herself - Winner: Best Suppor
818459	16738	Miss. Matfield
818459	32984	Night Sister
818459	43586	Gladys King
818459	47019	Lady Thobbing
818459	59504	Queen Elizabeth
818459	65764	Conspirator
818459	71183	Madame de Guidice
818459	77196	Ella Keech
818459	145100	Hilda
818459	187157	Nurse Adams
818459	221000	Pink Lady
818459	221245	Lady Bruton
818459	229728	Clothilde Bradbury-Scott
818459	245973	Mrs. Hamlyn
818459	263544	Madame Lambert
818459	267879	La Comtesse douairière
818459	278478	Elizabeth Gee
818459	336697	Sister Bennett
818459	347847	Dorothy
818459	359573	Lady Emmeline
818459	363675	Almoner
818459	366463	Paulina
818459	372594	Helen Seymour
818459	385132	Bette
818459	385244	Vera Lee
818459	388350	Delia
818459	388788	Queen Anne
818459	389123	Winifred Dartie née Forsyte
818459	392483	Antonia
818459	392801	Mrs. Friend
818459	392896	Mrs. Birling
818459	400530	Lady Tippins
818459	411815	Miss Seymour
818460	34642	Ancient Kuwaiti Woman
818461	394191	Co-Host (2002-)
818461	395329	Rona Meiri
818462	261794	Anglaise 2
818463	179556	
818463	325022	
818464	193481	
818465	224122	Jenny
818466	172894	Theoni
818467	229832	Malkata Emi
818468	6445	
818469	229748	Momichentzeto
818469	273094	
818470	353276	
818471	293960	
818472	227924	Dashteryata Iris
818473	45764	(segment Talant)
818473	229748	Chernata vdovitza
818474	163901	
818474	229279	Maykata na Pepa (Zima)
818474	261330	
818474	373213	
818475	180217	
818476	292349	Samia Bouiched
818477	340652	Singing Woman
818478	17725	Benita, eine Tänzerin vom Max
818478	165661	
818478	204477	
818478	206053	Marizza
818478	210056	
818478	253203	
818478	322425	
818478	337558	
818479	95498	Maro
818479	174182	Ashkhen
818480	18944	Student
818480	102685	
818480	138764	Mimi
818480	173666	
818480	207016	Mina
818480	244483	Maria
818480	247085	
818480	387742	
818480	394076	
818480	395090	Evelina
818480	396915	
818480	397729	
818480	405478	
818480	405793	
818480	406048	
818481	254903	Singer
818482	62831	
818482	94082	Antoaneta
818482	180766	
818483	203492	Mother of Man in Suit
818483	299070	Cleaning Woman
818483	314202	Mrs. Goldstein
818483	371131	Mrs. Kovner
818483	402552	Mrs. Peretz
818483	410582	Mrs. Mendelson
818484	395852	(two seasons)
818485	215198	
818486	258602	Yana
818487	401315	Afroditi
818488	235998	Niña en el parque
818489	140580	Ussishkin's Aide
818490	18945	Natasha
818490	65833	
818490	82206	
818490	341181	Nelli
818490	380770	
818491	254903	
818491	379361	Marika (2001-2003)
818491	409935	Politimi
818491	412027	
818492	102101	
818492	380163	Dora
818492	385983	Vivie
818492	387651	Vicky
818492	394037	Mirka
818493	45764	(segment Chao, lyubov moya)
818493	272384	Aktrisa v kuklen teatar
818493	354321	
818494	310475	
818495	349084	Maria
818496	136069	Killer
818497	305478	
818498	295446	Maggie
818498	351908	
818499	265841	
818500	54464	Prostitute
818501	380499	Sofia
818502	215696	Miss Greece
818503	193080	
818503	234111	Bracha
818503	306935	
818504	60855	
818505	104761	Israeli entry (19th place)
818505	142487	Cloritt
818505	175001	Herself
818505	185764	Wounded Man's Wife
818505	280773	Levia
818505	403041	Kipi
818505	405046	Kippi Ben Kippod
818506	180044	
818507	9353	Pantomimical artist
818508	6437	Suprugata Lena
818508	22739	Pagane
818508	30094	Doroteya
818508	47783	Zhana
818508	94078	Vatmankata/Tram driver
818508	143729	
818508	159196	Sakatata Lyanutza
818508	174677	Tina
818508	178452	Uchitelkata/Dariya
818508	179704	Suni
818508	186237	Dara
818508	202182	Roza
818508	209282	Saprugata na nachalnika na po
818508	229748	Krasivata
818508	272903	Aktrisata Vania
818508	305285	Pevitzata
818508	326260	Rina
818508	328770	
818508	352450	
818508	374847	
818508	386065	Mod
818508	399371	
818509	370460	Dyavol ubietz 2
818510	287839	Recepcionista
818511	35060	
818511	89480	Gumó Ida
818511	94225	Aranka
818511	97957	
818511	97958	
818511	99744	Auntie Engláner
818511	99749	Annuska
818511	102412	The President, Dorka's grandm
818511	104199	
818511	110696	Fanny, öltöztetõnõ
818511	136431	Róza néni, Károlyi anyja
818511	136599	Auntie Géza
818511	138008	
818511	140061	Rózsi
818511	153861	Rezonancia
818511	175699	
818511	182522	Tarnaváriné
818511	182643	Margit/Mrs. Hadházi
818511	182879	
818511	198178	
818511	198210	
818511	211656	
818511	226001	Etelka
818511	229707	
818511	252152	Mrs. Burt/Psychic
818511	270798	Teréz
818511	322158	
818511	322195	Nelli
818511	322246	Matilda, the witch
818511	322391	
818511	324702	Pioneer Troop Leader
818511	328970	
818511	348567	
818511	348572	Mother of Oszkár Sajek
818511	349031	Mom
818511	357943	Erzsi, Ács felesége
818511	377143	Mimi
818511	378282	
818511	378931	
818511	379094	Truth
818511	394978	Grandma, Sanyi's and Magda's 
818511	394989	Erna
818511	394991	Mrs. Bender, Laci's mother
818511	399160	
818511	399873	Grandmother
818511	400834	Old woman/Narrator/Various
818511	407309	
818511	408938	
818511	409291	Éva Barkóczi, Mr. Kengyel's b
818511	410331	Béka
818511	412294	
818511	412317	
818512	380442	Marisol
818512	398166	Dolores
818512	412198	Mariana
818513	153859	Teréz Meszlényi
818513	309289	Erika
818514	136600	
818514	326341	
818515	67698	
818515	389233	Diana Eloaisa (2001-2003)
818516	336265	Francisca, puta
818516	383147	Colaboradora
818516	384819	
818516	385256	Hostess
818516	387177	Hostess (2003-2004)
818516	397850	Hostess
818516	402542	Hostess
818516	405815	Hostess
818517	138603	
818518	268428	
818519	307277	Enfermera
818519	334575	
818519	371290	Muchacha romería
818520	17390	
818520	68621	
818520	97647	
818520	158942	
818520	199126	
818520	341152	
818521	237241	Pirkko, trendy friend
818522	1537	Laulaja lavalla
818522	28534	Herself
818522	162737	
818522	213417	Flea Market Manageress
818522	320383	
818523	322314	Vanja
818524	198389	His Wife
818525	48338	Mrs. Andersson
818525	187563	Mrs. Godin
818525	247600	Olga Pripp
818525	354595	Margit
818525	382321	Miss Blomgren
818525	391357	Jenny Löfgren (1971-1995)
818526	28690	
818526	53652	
818526	88058	
818526	123150	
818526	341382	Criada
818526	377151	Matilde
818526	383235	Esther
818527	3518	
818527	25104	
818527	25521	
818527	30318	
818527	43131	Rebeca
818527	48181	
818527	85590	
818527	101318	
818527	103721	
818527	106241	
818527	108714	Evangelina Buenrostro
818527	193021	
818527	193188	
818527	212492	
818527	247418	
818527	251985	
818527	300737	
818527	302076	
818527	339109	
818527	355795	
818527	371683	
818528	149235	
818528	222013	
818528	281689	
818529	30418	
818530	379001	Antonia
818531	56534	
818532	371290	Muchacha romería
818533	345230	
818534	399860	
818535	382475	Sophie Leroux
818536	202715	
818536	202715	Asunción Racamonde/Tía Sunció
818536	345337	
818537	56080	Margaretta Hilmer,a gyáros lá
818539	17525	
818539	50463	Színésznõ
818539	136428	
818539	136845	Takács Éva
818539	144242	
818539	153962	
818539	180824	A professzorné
818539	187508	Eszter
818539	211656	
818539	256983	Woman with dog
818539	284356	Vera
818539	309354	Magdika
818539	322025	Szilvike
818539	326341	
818539	348572	
818539	349781	
818539	354568	
818539	357721	
818540	380066	Katy
818540	384775	
818540	397575	Romina
818541	147929	
818542	3392	
818542	74432	Angéla
818542	153689	Erzsi (segment "Félkesztyü")
818542	172070	Leonie Guttmann
818542	173592	
818542	198324	
818542	309289	Woman
818542	326209	
818543	49129	Pomponette
818543	99656	Éva, Kutasné
818543	170394	Rita
818543	170395	Rita
818543	170396	Rita
818543	268232	
818543	322031	
818543	394559	Mari (1993-2000)
818544	185621	Gypsy Girl
818545	144244	
818546	232802	Rendõrnõ 1.
818547	9454	
818547	74400	Márta
818547	99656	Judit, Kerekesné
818547	122614	
818547	163174	Enikö
818547	171825	The father's fiancee
818547	175701	
818547	182643	Máli/Tündérvölgyi
818547	198213	Lány I.
818547	239455	Gizi
818547	270798	Vali
818547	276325	Kiscsuka
818547	322105	Özvegy
818547	399860	
818547	407231	Krisztika
818548	96064	Szendrei Mariann, Orsi édesan
818548	209721	Eurowood TV Crew Director
818548	343776	Klára
818549	215697	Miss Hungary
818550	17079	
818550	349627	
818551	153695	
818552	145617	
818553	51343	Lina
818553	64757	Kriszti (Tibor's girl)
818553	74432	Olga
818553	74437	Rózsika (Pék's wife)
818553	97969	Juli
818553	110727	Juli
818553	153686	Mása
818553	164754	Jadviga
818553	175394	
818553	176720	Woman #2
818553	182723	Olga
818553	182817	
818553	226001	Klári
818553	233377	Wife
818553	280653	Sister Valjean
818553	309289	Mother
818553	343707	Krisztina
818553	377739	
818554	357943	Nyolcadikos
818555	281286	
818555	378160	Takarítónéni
818556	106690	
818556	107672	Márta
818556	108840	
818556	174688	
818556	179852	
818556	200615	Polyák nõ
818556	212825	Kati, Bokor felesége
818556	214495	
818556	243878	Joli, tanítónõ
818556	343633	
818556	348997	
818556	349781	Szülõ
818556	350735	Mom
818556	357944	Princess Anetta
818556	377748	
818556	394990	
818556	397351	Kamilla (secretary #2) (1978)
818557	92533	
818557	378588	Barna Zsuzsi
818558	349627	
818559	3064	
818559	97988	The Girl
818559	153859	
818559	171641	Jeanne d'Arc (segment 'Szent 
818559	177928	
818559	309289	Young girl
818559	322194	Maja
818559	354620	Pipitér
818560	349132	
818560	402164	
818561	153968	
818562	147369	Tünde
818563	212509	Stewardes
818564	407241	
818565	155796	
818566	155614	
818567	64756	Stepmother
818567	107717	Éva
818567	125641	
818567	237177	Klára Rhédey
818567	281286	
818567	357937	Boji, Katus huga
818567	371289	
818568	171603	
818568	209842	
818568	377891	
818569	510	Helba/Gardenia/Emma Wielant
818569	512	Asaba
818569	515	Helba/Gardenia/Emma Wielant
818569	516	Helba/Gardenia/Emma Wielant
818569	517	Helba/Gardenia/Emma Wielant
818569	4016	Urd
818569	4017	Urd
818569	26238	Lou
818569	38818	Kisenian
818569	54891	Suppy
818569	56629	
818569	63712	Sylvie Gena
818569	76940	Dr. Lee
818569	80568	Lei Fang
818569	80570	Leifang
818569	80572	Leifang
818569	80573	Leifang
818569	84434	Kamisaki Michi
818569	87408	Freya
818569	122108	Shuurei
818569	127779	Ria (Polylina)
818569	133113	Lily and Nana
818569	155537	Nami Shiina
818569	176539	Cecily Fairchild (Berah Ronah
818569	177084	Girl
818569	181965	Mitsuko
818569	193381	Deedlit
818569	199428	Jamila
818569	208014	Shizuko Hirata (from Drifting
818569	211950	Fortune
818569	239208	Suke Banchiyo
818569	242206	Kilian
818569	257982	Rin Kobayashi and young Shion
818569	258553	Kimawari
818569	259034	Iivi
818569	259035	Big Brother Pichû
818569	259038	Nyûra (Misdreavus)
818569	259304	Anna Brown
818569	273168	Black Claw
818569	285738	Akira
818569	309469	Ivy
818569	309470	Isabella Valentine (Ivy)
818569	316626	Chun-Li
818569	327046	Ling Xiaoyu
818569	327804	Tokimi (second series)
818569	338093	Emusa
818569	350723	Lenneth Valkyrie (Japanese ve
818569	369525	Nephilim
818569	378651	Helba
818569	378718	
818569	381067	Baby Felix
818569	382108	Ann
818569	383459	Spinel Sun (small)
818569	386926	Gome
818569	387160	Freya
818569	387831	Chiaki/Chisato/Child/Train Pa
818569	389571	Yui Hongo
818569	390264	Mariko Nakasu and Kuro
818569	390794	Yoneko
818569	391594	Yuka Hijiri/Pochi
818569	393503	T.P. Lady/Akira Aino
818569	394419	Maria Ruize
818569	394997	Steel Angel Mikhail
818569	396440	Ferio, as a boy
818569	397828	Emma
818569	398924	Najica Hiragi
818569	401736	Taichi
818569	403520	Will
818569	404127	Akira
818569	405140	Sally Po
818569	405175	Misa Williams
818569	405633	Slypheel
818569	405636	Sylvia
818569	408733	Gô Shûta, Go Shooter
818569	408736	Illumina
818570	142157	
818571	104632	Herself
818572	104638	Herself
818573	51930	
818573	99740	Anna,Illés bácsi lánya
818573	120920	Zsuzsi,Bálint felesége
818573	138944	Máriáss Károlyné
818573	150590	Földi Mária,igazgatónõ
818573	227521	Ruhatervezõnõ
818573	322391	
818573	328970	
818573	377123	Iványiné
818573	378577	Ilona
818574	365014	Mrs. Hofrat Baumgartner
818575	249336	
818576	108472	Mutter
818576	109557	Katharina
818576	127443	Teacher
818576	180211	
818576	226722	
818577	377287	Dancing worker
818578	315928	
818579	168401	
818580	229436	Nadja
818581	58358	Zaturek Ibi
818581	74420	
818581	74463	
818581	136433	
818581	140061	Ica
818581	237144	
818581	322025	Súgó
818581	412259	
818582	333082	Girl at Eva's School
818583	29345	Miss Björklund, hairdresser
818583	142785	Inga
818583	173539	Brita Olsson
818583	346974	Robert Burén's secretary
818583	350564	Nurse in Östervik
818584	109953	Danspartner
818585	104761	Swedish entry (5th place)
818585	210349	Herself
818586	276125	The girl
818587	109009	Peder's Mother
818587	141751	Britt-Marie/Hebriana
818587	142732	Sara
818587	231752	Julia
818587	252000	Anna
818587	303843	Karin
818587	320623	Madeleine
818587	322307	Dr. Gierlich
818587	326518	Bruscon's daughter
818587	328650	Terrorist #2
818587	346297	Nurse Sara
818587	375867	Ols-Maria
818587	399873	Camilla Ljungberg
818588	300796	Nainen ateljeessa
818589	102541	Lány
818590	3392	Grandma
818590	17523	Anna
818590	18714	
818590	36503	Grandma
818590	51093	Drahos Vera
818590	73188	Madame Lange
818590	74408	Lojzi
818590	74417	
818590	74433	Grandmother
818590	74440	
818590	77565	Kati
818590	94225	
818590	96202	Déryné
818590	97986	Évike (Lajos' wife)
818590	97988	Old lady
818590	99524	A filmcézázár felesége
818590	99561	Mira
818590	104196	
818590	106692	Anna Szabó
818590	136393	
818590	136662	Sylvia
818590	138393	Virginia
818590	140048	
818590	141754	Öregasszony
818590	147473	
818590	147948	Juli, Mrs. Kántor
818590	149494	Kati
818590	149918	The Old Woman
818590	153678	
818590	153852	Mari
818590	157811	
818590	159286	Indián's mother
818590	162226	
818590	163132	
818590	164879	Tavaszmezei Panna
818590	173965	Pólika
818590	176205	
818590	177237	Rozsika
818590	182523	Koller Éva
818590	182653	Mrs. Gusztáv Farsang
818590	182661	
818590	182662	Erzsi
818590	182691	
818590	182732	Kölyök,Varga Borbála
818590	182805	Pataki Mari
818590	182873	Benkõné, Annus
818590	198322	Bella
818590	199118	Maid
818590	213678	
818590	214853	
818590	223009	Magda Zoldan
818590	225504	
818590	225784	Navratil Nusi, taxisofõr
818590	227532	
818590	229692	Éva
818590	234147	Inge Dietrich
818590	237044	Old Woman
818590	237322	Lenke
818590	244323	Viola
818590	246283	Margit
818590	266394	Teréz
818590	268258	Nemecsek anyja
818590	268284	Éva
818590	284229	Narrator
818590	301470	Gabi
818590	304168	Maskó
818590	306702	Mari néni)
818590	319239	Older Kato
818590	322028	Grandmother
818590	322047	Százarcú boszorkány
818590	322060	Mari
818590	322069	Bélyi Veronika
818590	322080	Luca
818590	322096	Elektra
818590	322105	Erdélyiné
818590	322108	Illemtanárnõ
818590	322199	The wife
818590	327033	Teréz
818590	327208	Mama
818590	333113	Klári
818590	340437	
818590	342039	Helga Madarász
818590	343531	Ferenc's wife
818590	343709	Herself
818590	348997	
818590	350830	Cink Vera
818590	354252	Edit anyja
818590	354934	Marfa
818590	355564	
818590	356601	Erzsi
818590	357732	
818590	357825	mother of the girl
818590	375370	
818590	377130	Kato
818590	377719	Édes Anna
818590	377892	Mara
818590	378042	Krizs Ica
818590	412259	
818591	153968	
818592	355565	Péter lánya
818593	377758	
818594	182692	
818595	114762	The Girl
818595	176286	
818595	198917	Brigi
818595	322064	Orsi
818595	324158	Tamara
818596	181742	
818596	400858	Pirkko
818596	403393	Taina Jussila
818597	11737	
818597	33249	
818597	45715	
818597	97863	
818597	125933	
818597	349228	
818598	290438	Jonas' Mother
818599	182292	Ninas assistant
818599	396284	Pakistaner (2003)
818599	404790	Solfrid
818600	210298	
818601	173087	Frøken Hansen
818602	16203	Yngre kontordame
818602	28530	Frida
818602	77413	Afdøde Jonsens elskerinde
818602	97867	Grete
818602	253008	
818602	255699	Irmgard Martinsen
818602	255700	Irmgard Martinsen
818602	255705	Konstabel Irmgard Mathisen
818602	310054	Ella Larsen, elev af Tvebo
818603	28530	Dianna as child
818604	51298	Soline
818604	173743	Tante Bassa
818604	173744	Tante Bassa
818605	179972	Herself - Minister of Educati
818605	376108	Herself
818606	218894	Susanne
818606	315403	En pige
818606	322468	Lise Mikkelsen
818607	325874	Stefanie
818607	389112	Host (1986-1987)
818608	11745	
818608	89509	
818609	189053	
818609	240149	
818609	349708	
818609	377562	
818610	163089	
818611	140712	
818611	326302	Német vendég a panzióban
818612	6108	
818612	20307	
818612	106679	
818612	155169	
818612	294120	
818612	392379	Valide Sultan
818612	407594	
818613	173568	
818614	9490	
818614	48420	
818614	140603	
818614	163099	
818614	177836	
818615	170671	Chambermaid
818616	295528	
818617	387405	Söngül Somuncu
818618	229972	Aysen
818618	381020	Dilan
818618	382095	Esma Kozan
818619	11790	
818619	82032	
818619	90995	
818619	134786	Frau Schock
818619	236812	Oma
818619	251002	
818619	293723	
818619	308230	
818619	325396	Olga Schmidt
818619	325533	
818619	325664	Frau Lübschen
818619	345664	
818619	361296	Großmutter Steege
818619	367366	
818619	387161	
818619	401058	Magdalene Maria Pawlak
818620	294801	Herself
818621	377525	
818622	104718	Herself
818623	69945	Diamantine
818623	109969	Maranna
818624	61171	Herself
818625	321761	Herself
818626	216526	Ryo
818626	342048	Minous Daughter
818627	370855	Ibu
818628	2204	Daisy Fresh
818628	9088	Gloria
818628	11384	Amy Holbeck
818628	37010	Connie
818628	41876	Peggy
818628	45677	
818628	45781	Noreen
818628	65756	Jane
818628	82849	Denise Devaro
818628	88548	Christy
818628	101574	Val
818628	119622	Mesquita
818628	139156	Crysta
818628	143505	
818628	146923	Angie
818628	153008	Robin Ripley
818628	166639	Michelle Utterson
818628	168774	Nikki
818628	171315	Angela
818628	186498	Manuela
818628	187191	Serena
818628	187193	Serena McGuire
818628	195751	Niccolina
818628	209643	Isabel
818628	217537	April
818628	234196	Niece
818628	253011	Wendy
818628	256176	Cherry
818628	275602	Emily Rago
818628	293011	Shannon Johnson
818628	300304	Ms. Grossberg (Delgado)
818628	303226	Maria
818628	304910	Ginger
818628	314531	Jenna Marino
818628	355212	Eila
818628	358377	Naomi
818628	359700	Emme
818628	362426	Berkeley
818628	381471	Josie (1993-1994)
818628	382671	Lola Boa
818628	389771	
818628	400625	Mayor Paul Spryman
818628	407664	Brenda (Rope Girl)/Hector (Sk
818629	65756	Jane's Sister
818630	394872	Paloma
818631	162751	
818632	86113	
818632	162062	
818632	248952	
818632	256540	Alina
818633	70185	(segment "Cocaina di domenica
818633	81110	
818633	109087	
818633	150888	Signorina Dolly
818633	159270	Floriana Corbinelli
818633	217111	
818633	229989	Trella Jarrell
818633	320528	
818633	383814	Vera Stone
818633	387217	Anneke Jansen
818633	387465	Amelia
818633	392742	Amalia Forti
818633	402257	Serena Baldini
818634	324502	Dancer
818635	284875	
818635	376227	
818636	397074	Ellen (pige)
818637	171009	
818637	175727	
818637	255743	Woman in bar
818638	224155	Herself
818639	5771	Daniela
818639	14864	
818639	53083	Stella
818639	159431	
818639	200540	
818639	215550	Lucia
818639	251624	Carmela
818639	263934	
818639	278751	
818639	294714	
818639	334708	
818639	355801	
818639	358837	
818639	370390	
818640	36757	Christina Valentine
818641	217876	Fay (Reveler)
818642	192286	Black Cat waitress
818643	277391	Elena
818644	192902	
818644	192903	
818645	265833	Sadiye
818646	344621	The tickets seller
818647	307590	Young Marguerite
818648	61360	
818650	389235	Gladys Libonati
818651	56332	
818651	58144	
818651	396417	
818652	274702	child
818653	326307	
818653	355355	Edurne
818654	2675	Maid
818654	109137	
818654	142775	Husholdersken
818654	146985	
818654	166593	Oversøster
818654	178754	Kammerpiken, 'Forfatterens fo
818654	179772	Frk. Enger
818654	287378	Fru Kamp, Elis mor
818654	320523	Inger
818654	322471	
818654	324632	Prostinnen
818654	343716	Fru Thorsen
818654	347003	Lagreta, mor til Julius
818654	354196	Minda Bjørkli, hans hustru
818655	236166	Old Woman at Stone Image
818656	194904	Kumiko
818656	280097	Kazuko Omine
818657	137223	Dancer
818657	155453	Dancing Secretary
818658	238167	5th Waitress
818659	332799	Tara
818660	144929	Boatswain Nishizawa
818661	384144	Blue Swallow/Ako Hayasaka
818662	122957	(story 'Shokki')
818662	150510	
818662	173604	Coffee Shop Woman
818662	195807	
818662	222281	
818662	304052	Taeko Arima
818662	312712	
818662	334868	Prostitute
818663	21341	Young Girl (segment "Bi to sh
818663	232681	
818663	242226	Hatsuse
818664	124465	Ume
818665	334896	
818666	56767	Ai Kisugi
818666	146909	Rina Hiyoshi
818666	238385	Natsumi
818666	382000	Kumiko Yoshikawa
818666	393987	Tama
818666	394774	Tsukiko Shono
818666	398961	Tamami Saito
818667	161760	
818668	201289	Sayaka Yumi
818668	201290	Sayaka Yumi
818668	384233	Tesera
818668	387049	D, Mena Fitzgerald
818668	390536	Tesera
818669	169127	Yukiko
818670	232565	Maya Kaneshiro
818670	334881	
818671	349103	
818671	370786	Commentator
818672	102435	
818672	130501	Saichiko
818672	145292	
818672	172285	Kilaak
818672	174881	
818672	180095	
818672	233111	
818672	233112	
818672	233113	
818672	233124	
818672	242183	
818672	296644	
818672	375614	
818673	129868	Jun
818673	288643	Megumi Kawakami
818673	309397	Asami
818673	381385	Matsuri Miyamae
818673	390333	Urara Fukaura
818673	398576	Akemi
818673	406698	Haruka Sawamura
818674	20625	Extra
818674	150873	Japanese Girl
818675	53697	
818676	153661	Kathy
818677	181345	Adélka
818678	380993	Esterina
818679	175259	Himeko
818680	20625	Extra
818681	313474	Melee
818682	152535	Castle's Secretary
818683	72583	The Wife
818683	179873	
818684	81640	
818685	363602	Chick #1
818686	182551	Mrs. Pålsson
818687	209311	Marianne
818687	282086	Ulla
818687	353034	Maud
818688	83068	Omids barn
818689	83068	Omids kone
818690	226772	Sandra
818690	319997	Copper
818690	336664	Crying Girl
818690	360713	Girl in Red Dress at the Wedd
818690	371579	Maryea
818691	110018	Trijn
818692	379924	Herself
818693	278049	Ruth Howells
818694	44433	African Woman
818695	17739	
818695	24430	Alotta Fagina
818695	46757	Francesca Danelli
818695	87114	Teresa Escobal
818695	130183	Don Na
818695	139228	Cleo/Princess
818695	158091	Gabriella
818695	169477	Sandra Miller
818695	178886	Teresa Imperato
818695	187556	Gina
818695	279843	Sunblock 5000 Woman
818695	289567	Guila Lombardo
818695	304494	Natasha
818695	318783	Anna-Maria Mazarelli
818695	360713	Anna Bosco
818695	379935	Pia Claire
818695	400236	Giulietta (1985-1986)
818695	404727	Betts Mandovini
818696	28413	Djokic
818697	240340	
818698	229186	
818699	346198	E.R. Nurse
818700	235570	Female Stripper
818701	258437	Second driver's fellow-travel
818702	3579	
818702	30117	
818702	43190	
818702	86595	
818702	88815	Galia Vasilev
818702	90971	
818702	95353	
818702	107664	
818702	132097	
818702	154105	
818702	154216	Gasilov's Daughter
818702	157258	
818702	162748	
818702	172467	
818702	176118	
818702	180364	
818702	181404	
818702	188708	Adele, the Maid
818702	191170	
818702	198126	
818702	198127	
818702	198128	
818702	198156	Korabelnikov's mother
818702	198166	
818702	198175	
818702	211464	Mrs. Banks
818702	214126	Ilona
818702	220689	
818702	223551	
818702	242474	Katerina Molodtsova
818702	252106	
818702	258651	Nina
818702	259806	(segment Polosa vezeniya)
818702	262174	
818702	273721	
818702	286558	
818702	306646	
818702	318562	
818702	323623	
818702	325085	
818702	341040	Bride
818702	343961	Lucia Sparrow
818702	348906	
818702	348942	
818702	349785	
818702	349840	
818702	349846	
818702	357679	
818702	374165	
818702	374751	Tamara
818702	374764	
818702	374774	
818702	374786	Zvjagina
818702	374885	
818702	375176	
818702	375177	
818702	375653	
818702	382444	
818702	386655	
818702	396238	
818702	396605	Spectator
818702	397513	Man'ka Obligatsiya
818702	398757	
818702	401710	
818702	410335	
818702	411996	
818703	326326	
818704	95221	
818704	169479	
818705	4818	
818705	26317	Evas bedstemor
818705	28518	Emma fra 'Rottehullet'
818705	29639	Armgard
818705	42212	Dame fra børneværnet
818705	77413	Enkefrue Emilie Jonsen
818705	78510	Speaker
818705	83059	Marie
818705	84267	Ingrid
818705	90031	Moderen
818705	90167	Enken
818705	102878	Sørensen
818705	105047	'Fruggi' Berthelsen
818705	105068	Fru Bertelsen
818705	108955	Tante Karla
818705	115231	Økonoma frk. Svendsen
818705	118607	Lisabetta (segment "Kærlighed
818705	121021	Fru Rasmussen
818705	128047	Lena
818705	136804	Emma
818705	146602	Portnerkonen
818705	153395	
818705	154020	Olivia
818705	169973	Kristine
818705	180407	Kirstens mor
818705	182273	Evas mor
818705	187789	En tysk socialdemokrat
818705	198407	Herself
818705	202310	Enken
818705	203968	Cathrine
818705	213437	Grete
818705	214336	Farmor
818705	217785	Gudrun
818705	218886	Lillemus (Fru Mortensen)
818705	218898	Johnnys mor
818705	227311	
818705	241975	Tjener Mona Lisa
818705	253942	Plantageejer Dorothea Holten
818705	258747	Jordmoderen
818705	258748	The midwife
818705	273732	Madame Voltisubito
818705	277276	
818705	286819	Samson's mother
818705	293895	Sundhedsplejerske
818705	294066	Hortensia
818705	303642	Hans sure kone
818705	305311	Juliane
818705	308236	Speaker
818705	312234	Kokkepige
818705	317600	Olga
818705	317649	Fru Hansen
818705	317651	Fru Rigmor Hansen
818705	317652	Fru Hansen
818705	320592	Fru Adelaide Piper (Kong Sven
818705	338710	Fru. Munke
818705	341114	Emma
818705	353004	Opfinderens kone
818705	382884	Madam Mangor
818705	392299	Emma of 'The Rat Hole'
818705	392577	Various roles (1978)
818705	393436	Mrs. Rasmussen
818705	395824	Skov Stine/Glade Stine
818705	397074	Mrs Jessen
818705	399512	Narrator
818705	405943	
818706	322025	Fõiskolai súgó
818708	147929	
818709	29449	Jutka no'vér
818709	44773	Gonosz mostoha
818709	74393	Dorka
818709	74402	Nóra
818709	74414	
818709	74463	Juli Kalmár
818709	96430	Ági
818709	99560	Kriszta Csapó
818709	119205	
818709	137308	Lili
818709	140061	Andrea
818709	141754	Juli, Tamás 2. felesége
818709	162745	Sanyi édesanyja
818709	168400	
818709	171598	Kata
818709	171604	Zita, Péter anyja
818709	182634	Doctor
818709	182642	A NÕ
818709	182643	Lidi/Komlósi
818709	182645	Era
818709	200610	Herendi Margó
818709	209721	Edith
818709	214709	Panni
818709	215472	
818709	219216	Színésznõ
818709	226702	Bea
818709	226704	Marie
818709	231141	Frau Plastic Chicken
818709	237731	Clarissa
818709	268520	
818709	275707	
818709	278687	Bogárka
818709	282124	Médi
818709	322158	Ildiko
818709	322208	Anna, Balla felesége
818709	326341	Sziráky Lucy
818709	332957	Vica
818709	334015	Angelika
818709	353092	Prosti a páéyaudvaron
818709	354617	Mother
818709	355566	
818709	377889	Szépasszony
818709	390187	Lídia
818709	394978	Magda 'Magduci' Király
818709	401347	Kornélia Prielle
818710	117777	
818710	211351	Jessica
818710	387429	Joy Slater
818710	405024	Henriette Marshall Hall
818711	14103	Andrea
818711	18548	Laura
818711	54648	Chiga
818711	84679	Marie
818711	121824	Jokios
818711	169577	Joy
818711	232380	Christy Hansen
818711	232494	
818711	245046	Tina
818711	256188	Helen Walkman
818711	288912	Katie Rand
818711	304237	Dolly
818711	330340	Marissa
818711	334336	Carol Quinn
818712	26381	Protester #3
818712	61793	Dallas
818712	80639	Weizak's Mother
818712	92583	Myra
818712	147278	Girl in bed
818712	147684	Lois Wednesday
818712	155897	Serena
818712	158951	Sally Harper
818712	161603	Suzanne
818712	186633	Suzette MacRoody
818712	226956	Vera
818712	232379	Lilly
818712	241598	Suzanne
818712	256093	Marcia Bateman
818712	296690	Dani
818712	321256	Lisa Smith
818712	335480	Woman at Bar
818712	336819	Wanda
818712	366764	Tilda Harriman
818712	378846	
818712	380713	Frances 'Frannie' Hughes #4 (
818712	386897	Myra Bing (1993-1996)
818712	393698	Additional Voices
818713	216361	Lilla Grodan
818714	169061	Ida
818715	411056	Marjorie Smith
818716	125166	Hornette
818717	175646	Andrea
818719	60025	Religieuse orientale
818720	99248	Giannetta
818720	249339	Flower Maiden
818721	163761	Ritsuko
818722	394431	Rinko Seto
818722	404846	Minako Tominaga
818723	255872	Model
818724	50461	
818725	8793	Ai
818725	23409	
818725	139476	Fricka
818725	176534	Icelina
818725	344030	Starsha
818725	344031	Starsha
818725	370437	Starsha
818725	381711	Marie Antoinette
818725	384219	Nanbara Chizuru
818725	384223	Megumi Oka (Jaime Robinson in
818725	387399	Sachiko Saki
818725	394030	Pandora
818725	395065	Mother
818725	405175	Megumi Iwazaki
818725	409286	Erika
818726	28116	Mari
818727	344881	
818728	232610	Kotoe Katagiri in lower class
818729	232610	Kotoe Katagiri in upper class
818730	21353	
818730	76878	
818730	76881	
818730	89510	Bandit Chieftain's Sister
818730	140436	Keiko
818730	172531	Princess Yukihime
818730	233136	Princess Kushinada
818730	294100	Princess Koyuki
818731	169736	Izumi Toyama
818732	390265	
818732	405154	
818732	411736	Mogi Arisa
818733	394466	Akane Suzumiya
818734	181992	
818734	375605	
818735	325205	
818736	4619	Cigarette girl
818736	11141	Cabbage Queen
818736	91668	
818736	96990	Girl at Pool
818736	150797	Chorus Girl
818736	154182	Dancer
818736	262310	Girl on bus tour
818736	300063	Chorus girl
818736	308149	Student
818737	168975	Rebekka
818738	144494	
818739	373368	Welcome Women
818740	179614	Eine Assistentin
818741	236194	Dessus de viole
818742	131194	Kagari
818743	239316	Yuriko Kitazawe
818744	273168	Gold Claw (episode 1)
818744	285738	Makoto
818744	298425	
818744	382109	Kaolinite
818744	382112	Queen Metallia
818744	404127	Makoto/Young Ikki/Young Isaac
818745	8786	
818746	129868	Ugly Girl (Hikumon)
818747	208015	
818748	405028	Ginebia
818749	318329	
818750	117086	
818751	305157	Old woman
818752	102941	
818753	19691	
818753	163973	Tetsuko
818753	175364	
818753	178311	
818753	296642	
818753	300462	
818753	358398	
818753	370300	
818753	375634	
818753	375639	
818753	378134	
818754	233136	
818755	169698	
818755	400058	Kaori Matsui
818756	181893	
818757	371853	Tsukishima Reiko
818757	394091	Kyoko Matoba
818758	242415	Girl at Deserted House
818759	45894	Naomi
818760	287374	Aiko Matsuda
818761	178311	
818761	214411	
818761	371951	
818762	22053	Fatma
818762	256943	Feriha
818763	203794	Tomoka
818764	137006	
818765	285919	Student of Seika Girls High S
818766	25750	Azumi
818767	369925	Anna
818768	395685	Host
818770	166122	
818770	171137	
818770	252412	Une invitée
818771	149961	Singer
818772	85149	
818773	243968	
818774	14974	Young Moll
818775	37780	
818776	38543	
818776	324600	
818777	334646	Niña Ana Barbara
818779	270384	Luana Kanahele
818780	86826	Doncella (segment "La doncell
818780	202022	Sara
818780	292754	Olivia
818781	200574	Princesa Luna
818782	70624	Felicia
818783	12532	
818783	13062	
818783	55943	
818783	62298	
818783	63688	
818783	75649	
818783	152642	
818783	222045	
818783	268254	
818783	386782	Anabella
818783	405816	Brigida
818784	11704	
818784	184184	
818784	354208	
818785	324840	Letitia
818786	348124	
818787	243078	
818788	225	Herself
818788	1821	Herself - Performer
818788	1842	Herself - Presenter
818788	2262	Herself
818788	2355	Herself
818788	39518	Netta
818788	47304	Herself
818788	47385	Herself
818788	62963	Herself
818788	125511	
818788	160476	Herself
818788	175531	Herself
818788	180647	
818788	281537	Herself
818788	302434	Herself
818788	303608	Vonda
818788	304365	Lovejoy Wells
818788	310626	
818788	311985	
818788	318361	Doris Holly
818788	321521	Saloon singer
818788	343199	Chanteuse
818788	379716	Rose Keefer (1996)
818788	381110	Lillian Rogers Parks
818788	389326	Barbara Jordan
818788	391544	Assistant (1974-1980)
818788	395414	
818788	403728	Kizzy
818788	405426	Herself (vocalist)
818789	408800	Eivor Davidsson (1997-1999)
818790	320512	Singing girl
818791	284215	Dueña de casa
818792	274483	
818793	274483	
818794	4614	Corinna
818794	10124	
818794	36712	Jackie
818794	68645	
818794	72973	Chantal
818794	73651	Tecla
818795	184148	
818796	336594	
818797	23882	Ute Schöbel
818797	35095	Eva Sorge
818797	46107	Irina Weimann
818797	86912	Angelika
818797	90991	Nora
818797	119146	Goldmarie
818797	130920	The Princess
818797	182743	Prinzessin Roswitha
818797	225270	
818797	243956	Gladis
818797	259444	Leutnant Helga Lind
818797	259466	Leutnant Helga Lindt
818797	259559	Frau Pohle
818797	259564	Elke Pfeiffer
818797	259604	
818797	259649	
818797	301296	Krystyna
818797	312636	Ida Schmalz
818797	312645	Johanna Fahrenbach
818797	312648	Iris
818797	339545	Anke Trautmann
818797	388967	Yvonne
818797	391604	?/Elena Drago (2001)
818798	286642	
818799	324689	Tänzerin (Dancer)
818800	400804	Bérengère Bienvenue
818800	401524	Madame Bec-sec
818801	103085	
818802	380739	Sibel
818802	397383	Gülseren
818802	411705	Gülsüm
818803	5365	
818803	5696	
818803	12639	
818803	38444	
818803	160211	
818804	298489	
818805	322064	Kornél titkárnõje
818806	251001	Frau Binding
818807	352567	Young Barbara
818808	397386	Mary Antrobus
818809	303710	
818809	329898	
818810	243264	Woman at the meeting
818810	305303	Student
818811	245053	Agent Uher
818812	93472	
818813	112182	Carmela
818814	316318	
818815	165591	
818816	385306	Adele Crouch
818817	240040	Olivia
818818	206727	Dames de la Cour
818819	190313	Maggie Ramsey
818819	191608	Female Passenger
818819	218792	Maggie Murphy
818820	375307	
818821	151732	Sharon Miller
818822	178660	Herself (interviewer)
818823	33135	
818823	42167	Marysa Heeren
818823	125003	Sophie
818823	134985	Agnes
818823	186188	Nina
818823	209989	Evi
818823	224350	Anke
818823	225661	Helen Braddy
818823	233958	Isabell Jacobi
818823	259598	Bibi
818823	289986	Zitrone
818823	290244	Nora
818823	313021	Laura Basenius
818823	314855	Tatjana
818823	325590	Petra Schächter
818823	342335	Young Anna
818823	344153	
818823	352270	Gloria
818823	352480	
818823	356581	Doris
818823	359689	Nele
818823	369146	Helga Wolbert
818823	374620	Britta
818823	388798	Wolke
818824	151732	Kim
818825	24897	Schwester Beata
818826	271340	Receptionist
818827	27196	Manicurist #1
818827	115179	Tasha
818827	404407	Cecile\\Cherubin
818828	33450	
818828	95260	
818828	110772	Susanne
818828	111894	Lena Borcherts
818828	118645	Kathrin
818828	120434	Lucie
818828	160156	Frau Dr. Nenntwig
818828	189188	Liane
818828	257221	
818828	275039	Anna
818828	290816	
818828	312887	
818828	325649	Veronika Vogelsang
818828	325794	
818828	338940	
818828	374360	
818828	395393	Josepha
818829	2702	
818829	17723	
818829	18976	
818829	33139	
818829	48618	Puffmutter
818829	60675	Estelle
818829	71837	Florence de la Rochefoucauld
818829	92553	
818829	93443	Frau von Wolzogen
818829	97479	Emma Miller
818829	98040	Mother
818829	99901	Gräfin Orsina
818829	107879	Lore Hollreiser
818829	119247	
818829	126386	Ines
818829	134803	
818829	136608	Frau Téophot
818829	142631	
818829	150563	Ruth Cornell
818829	153880	
818829	159256	Mrs. Tilling, geb. Lebanon
818829	174759	Lady Smith
818829	178647	Regina Giddens
818829	180971	
818829	180983	
818829	180995	
818829	183673	Mrs Love
818829	186902	Mary L.
818829	189707	
818829	204421	
818829	204472	Viktoria Westby
818829	210137	Gräfin
818829	216245	Rita Wegener
818829	219277	
818829	225177	
818829	239102	Petra Krüger
818829	275412	
818829	279665	Wilhelmine Mayer, seine Frau
818829	282227	
818829	283064	Grace Nicholson
818829	290013	
818829	290196	Actress, herself
818829	290691	Stella Hirth
818829	317477	Lisa Radscheck
818829	321825	
818829	324670	Schauspielerin Angèle Destouc
818829	325398	Frau Stumm
818829	325447	Frau Brenner
818829	325501	
818829	325953	Vivian Hamilton
818829	336554	Evelyne as an old woman
818829	338447	Michaela Gast
818829	343758	Emely Cody, geb. Cawler
818829	343764	Helen Morrison
818829	348065	Krista
818829	366522	Mutter
818829	374137	
818829	375170	Trude Fuerst
818829	376410	Frau Löhn
818829	376461	
818829	376463	
818829	376630	Mutter
818829	387629	Hedwig Engels
818829	389119	Ingeborg 'Inge' Feininger, ve
818829	395866	Hedwig Brühl (episode "Stirb"
818829	404763	
818829	408388	Myrna Collins
818830	4752	
818830	38772	Shirley
818830	101347	Moni
818830	125085	Katrin Stromberg
818830	144175	Franziska Nocker
818830	157501	
818830	172704	Renate Fischer
818830	225128	
818830	225640	Claudia Sampton
818830	230154	Agnese
818830	281712	Ellen Parry
818830	281748	Miranda Turner
818830	290293	Diana
818830	290598	Gaby
818830	293624	Monika
818830	325398	Gigga
818830	325458	Aníta Brückner
818830	325621	Erni Sicarius
818830	325684	Sophie
818830	338443	Anuschka/Frieda
818830	343683	Vera
818830	361010	Franziska
818830	361462	Jenny
818830	375977	
818830	387735	Kersten "Kitty" Balbeck, gesc
818830	389840	Irene
818830	391139	Henriette
818830	395062	
818830	399163	Kindermädchen Lena
818830	405946	Cornelia Weber
818830	406333	
818830	408235	
818830	411929	
818831	360269	Herself
818831	393918	Presenter
818832	224524	Yeesha
818833	181545	Street Singer
818833	261290	Donahue Audience
818834	42183	Krankenschwester Barbara
818834	68164	Aunt Lavinia
818834	78546	Helen Turner
818834	90019	Renée Dumas
818834	103082	Jeanne
818834	117865	Leonora d'Este
818834	131124	
818834	136212	Kitty Fordyce
818834	144153	Verena Wieland, Musikstudenti
818834	180955	Barbara Sydow
818834	201341	
818834	204037	
818834	207752	Maria di Santafiore
818834	225149	Helene Henseling
818834	263735	
818834	273751	
818834	281747	Tuppy
818834	283056	
818834	307560	
818834	314892	Brigitte von Gersdorf
818834	314895	
818834	327440	
818834	344783	
818834	352078	
818834	356860	Alice Souchy
818834	392633	Countess
818834	398095	Lady Julia Verinder
818834	400063	S.I.R.
818834	411258	Anna von Heynau
818835	54834	Susan
818835	95728	
818835	102968	Babette
818835	111346	
818835	114539	Cleo
818835	123961	Clodette
818835	155324	Flora
818835	189608	
818835	216278	Nina Metz
818835	281744	Mandy Trevors
818835	290787	Annabelle
818835	321459	Carmen
818835	361336	Nele
818835	376003	Lilly
818835	397951	Nina Metz
818836	293470	Eva
818837	24092	
818837	356058	Jugendliebe
818838	225205	
818839	225205	
818840	175029	Zdena
818841	298439	Narrator
818842	206559	Chris
818843	236323	Jaroslava Pleváková
818844	80078	Jeong-ae
818844	245670	
818844	376542	
818845	373618	Lena
818846	24503	Victoria Berry
818846	189362	Model
818847	261608	Mescaline Girl
818850	339787	Sofia Larsson
818851	94286	Herself
818851	347644	Herself
818852	272753	Kati
818853	2709	Salon Worker
818853	6010	Herself
818853	311952	Rapture
818854	210578	Mother
818855	175732	Liisa
818855	217601	Liisa
818855	283591	Anni Swan
818856	12472	
818856	29180	Zij
818856	32636	Popova
818856	49756	Martha
818856	63151	Olivia
818856	77139	Getuige
818856	103627	Vrouwe van de Koning van Sici
818856	125220	Pia
818856	125311	
818856	139436	
818856	141735	Mari Arva
818856	152657	Jean Rice
818856	178799	Van Arcelen
818856	183118	
818856	200930	Madane Peeters
818856	202969	Beps
818856	203156	Vrouw
818856	205577	Anna Ringe
818856	205689	Maribel
818856	217009	Stella
818856	218281	Victorine
818856	231691	Vrouw van de dief
818856	275660	Isabelle
818856	280616	Emily
818856	354062	Anna
818856	357393	Francine
818856	359073	Eline
818856	359468	Marie
818856	360062	Voice
818856	375776	Marta
818856	394604	Hilda
818856	400287	Mieke (1995)
818856	409974	
818857	32372	Balsam
818857	44057	Linda
818857	76756	Anne-Marthe
818857	253235	Anna
818857	356078	Lea
818857	379254	
818857	384154	José
818857	394604	
818857	395515	Bomma
818857	409162	Ilse
818858	99268	Nicht
818858	211186	
818858	292843	Cook
818858	356078	Fietje
818858	367022	Supporting maid
818859	138492	The Princess
818859	295343	Dance double
818859	301842	Suzette
818859	330682	Sexy Girl
818860	11011	Alissa
818860	96666	Cellist
818861	213938	
818862	145424	Tarjoilija
818862	181630	Ravintolan pöytäseurueen jäse
818862	349408	Lissu
818862	373370	
818862	381657	Tuulikki Ojanen
818862	398919	
818863	212650	Marysia Sobczakowa
818864	394123	Woman Passenger
818865	98985	
818865	237177	
818866	328967	
818867	153209	Pregnant Woman in the Pool
818867	319790	Moe Susuki
818869	184265	
818870	322099	
818871	9250	
818871	175089	
818871	176618	
818871	187508	
818871	278687	Gyula nõvére
818871	343776	Gaskóy néni
818871	357819	
818872	2987	
818872	89725	
818872	96466	
818872	138944	Lidi
818872	177970	
818872	182662	
818872	182805	
818872	225073	
818872	227603	Annus
818872	307147	
818872	376615	Imre felesége
818872	377719	
818872	377760	
818873	263500	Bhana sister
818874	123111	Solnoid Adjutants
818874	176534	Frau Bow
818874	176535	Frau Bow
818874	176536	Frau Bow
818874	348755	
818874	392330	Princess Faara
818874	394422	Frau Bow, Letz Cofan
818874	394429	Fraw Bow Kobayashi
818874	396500	Araki's mother
818874	405175	Eriko
818874	407287	Monika
818875	53220	Punk
818875	54465	Die Dienerin
818876	14563	
818876	27974	
818876	60451	
818876	223555	
818876	227838	
818877	327331	
818878	23058	Young Uttuqiaq's wife
818879	23058	Saku
818880	285801	
818881	393753	Tonttuapulainen
818882	170216	Herself
818882	170222	Herself
818882	170223	Herself
818882	170224	Herself
818882	170228	Herself
818883	162674	Virginie Renoir
818883	265993	
818884	225771	
818885	296552	Our Guests at Heartland
818885	309395	A geiko
818886	409296	
818887	173377	Anka
818888	43206	Giselle/Swan
818888	43207	Herself
818888	43214	
818888	123100	
818888	177776	
818888	180122	
818888	207496	Maris (segment "Fountains of 
818888	281191	Juliet Capulet
818888	307561	Prima Ballerina (segment "Swa
818889	90147	
818890	77407	Mihaela
818890	205510	Ioana
818890	212155	Claudia
818891	23058	Child
818892	96858	Herself
818893	389361	
818894	101966	Gertrud Stauffacher
818895	166437	
818896	235532	
818896	303690	
818896	344078	Woman
818896	387196	Else Knudsen
818897	261162	Herself - Interviewer
818899	155546	
818900	278318	Maddalena
818901	258676	Nina
818902	297775	Stewardess
818903	82742	Rosemary
818904	7361	
818904	270218	Priya
818904	370955	Dancer at the party (guest ap
818905	135672	Waitress
818905	228382	Marguerite Lenning
818905	313637	Mme Stenerud
818906	126546	M'Pete's Cousin in 'Cousin'
818907	320728	
818908	1425	
818908	16806	Karin Berggren
818908	34254	Greta
818908	165920	
818908	171422	
818908	179625	
818908	204545	
818908	237271	
818908	243673	Grandma
818908	268169	Terttu Mäkinen
818908	278560	Lotta #1
818908	322437	Lalla
818908	349737	
818908	354285	Heta
818908	398828	
818909	320225	Susanne
818910	168411	Herself
818911	328155	
818912	308382	Judy Ullian
818913	49524	
818914	165836	
818914	315359	Katka
818914	339292	Jozef's Wife
818915	120696	Back Seat
818916	179724	
818916	235231	
818916	316433	
818917	169017	Angry Lady
818918	215862	Nurse
818919	405760	Laatmai
818920	15955	
818920	57596	
818920	113916	
818920	156223	
818920	172025	
818920	181666	
818920	285556	
818920	296408	
818920	348991	
818920	381168	
818921	28544	
818922	251590	
818923	170338	
818924	406961	Herself (Team Sribuat/Tengah,
818925	332176	
818926	152759	Pathologin
818926	374126	
818927	52804	Pop Simon
818928	130070	Helena Nordenson
818928	173383	Carla
818928	394736	Charlotte
818929	84301	Sannas lillasyster
818930	137843	
818930	334528	
818931	24082	
818932	398195	Mia
818933	124794	Yard Sale Shopper
818933	142881	Agnes
818934	388554	Vigdis Storsletten
818935	241553	Flower Woman
818936	5560	
818936	65044	The Blacksmith's Daughter
818936	88039	Betty Price
818936	148876	Adele Rainey
818936	275730	Alice Craven
818936	361303	Alice Marley
818936	364523	Nitra Ruiz
818937	317451	Receptionist
818938	194160	Herself
818939	226475	Young Teodora Ungureanu
818940	91900	Patron
818940	310800	6th Waitress
818940	311230	Bit Girl
818941	34926	Various Parts
818941	34941	Sydney Cross [Defense Attorne
818941	49366	Eden Brent
818941	51465	
818941	87432	Sylvia Stickles
818941	121861	Host (segment Working Women)
818941	129092	Sandra
818941	138672	Thunderella AND Moonbeam
818941	151187	Catherine Falconetti
818941	154446	Rosalie Boca
818941	154869	Beth Hobbs
818941	155065	Tina Wise
818941	170562	Fiona
818941	192508	Herself
818941	241119	Princess Winnifred
818941	247559	Martha
818941	258139	Alice Park
818941	266419	Nina Scant
818941	279755	Latrine
818941	291971	Herself
818941	305390	Frances 'Frenchy' Winkler
818941	337284	Various characters
818941	337285	Ruby Romaine/Svetlana/Pepper 
818941	337286	Herself
818941	367875	
818941	379802	Dr. Tracy Clark (1998-1999)
818941	390119	Candice Valentine (1985)
818941	394378	Various Roles
818941	395737	Lulu (First few episodes)
818941	396341	Lisa MacKenzie
818941	408123	
818941	408678	Sydney Cross/Ruby Romaine/Lin
818941	408679	Ginny Tillman/Francesca McDow
818941	410265	
818941	410936	
818943	225306	Die Alten: Zwilling
818944	179764	Nira
818945	130754	German wife
818946	122336	Herself
818946	153945	Eva as a child
818946	192494	
818946	194160	Herself
818946	237056	Karl-Oskar's and Kristina's d
818946	349128	Child
818946	355545	Maria's daughter
818947	2305	Herself - Co-host
818947	2475	Ann Stanley
818947	2572	Herself - Co-presenter: Best 
818947	2613	Herself - Presenter: Best Act
818947	4683	Queen Kristina
818947	14407	María
818947	15301	An-Magritt
818947	18081	Dr. Jenny Isaksson
818947	31441	Mrs. Campbell
818947	46857	Kate Ter Horst
818947	59354	Herself
818947	80198	Fabienne Martin
818947	85638	Marina Fromm
818947	94274	Ticket Seller
818947	114773	En hotellgjest
818947	119198	
818947	122336	Herself
818947	122790	Sari
818947	150781	Herself
818947	153945	Eva
818947	154016	Herself
818947	159685	Herself
818947	164647	Mrs. Jacobo Timerman
818947	172843	Ragna
818947	175529	Herself
818947	177332	Berlin Film Fest Footage
818947	180405	Eva
818947	187939	Leonor
818947	192494	
818947	192927	Herself
818947	194023	Katherine
818947	194160	Herself
818947	194823	Catherine
818947	197394	Herself (segment "Sarah Moon 
818947	214537	Sonia Hoffman
818947	219668	Ida Nudel
818947	222539	Herself
818947	232017	Herself
818947	232295	Ester Jenks
818947	237056	Kristina
818947	245846	Mrs. Gustafsson
818947	253440	Elisabeth Vogler, The Actress
818947	253449	Herself
818947	257694	
818947	260329	Joan
818947	277716	Kate Morris
818947	281834	Gabriele Freund
818947	285110	Narrator
818947	288075	Marianne
818947	289731	Marianne
818947	294840	Manuela Rosenberg
818947	297244	Herself
818947	303706	Eva Rosenberg
818947	305538	
818947	310891	Elena
818947	318155	Narrator
818947	335504	Kari
818947	346963	Gerd
818947	349128	Kristina
818947	350609	Alma Borg
818947	355545	Maria (and her mother)
818947	365247	Gina
818947	366839	Herself
818947	373881	Hannah Lund
818947	375867	Emma Zorn
818947	392787	Maria Grazia
818947	393436	Jenny
818948	2944	
818948	153637	Mimi, the singer
818948	187512	Nóra
818948	211702	
818948	322051	Andrea
818948	354620	Iluska
818948	375966	Police girl #1
818948	377748	Piroska
818948	377807	Daughter of Imre Kálmán
818948	381344	Krisztina Marosi (1998-2000)
818949	282104	Stammgast und Personal Rossin
818950	376882	
818951	153968	
818952	317273	Laborantin
818953	108856	Margit Moen, rik gårdsjente
818954	50328	
818954	340079	Bjørn's moster
818954	373985	
818954	383045	
818955	381330	Maruja
818956	13187	
818957	80493	Lucia
818958	363602	Cafe Girl
818959	370398	Sarah Churchill
818960	6573	
818960	290372	
818961	401884	Herself/Finalist
818962	204	
818963	350182	Reporter
818964	352210	Lina
818965	301032	
818966	11789	Tilla Haidt
818966	17722	Annelie Dörensen
818966	38764	Lisbeth Grapsch
818966	47095	Céline
818966	98332	Sophie Bruninger
818966	102969	Dolly
818966	105590	
818966	107813	
818966	116320	
818966	119160	
818966	119203	
818966	125314	Philaminte
818966	129686	Anny
818966	142066	Liesl Pichler
818966	155409	
818966	155469	
818966	156067	Helma Krauss
818966	163080	Sabine Meinrad
818966	173046	Hedwig
818966	187592	Emmi Passenter
818966	189575	Heidie Burkhardt
818966	189580	
818966	189704	Mizzi Schlager
818966	189794	
818966	226199	
818966	226354	Cornelie
818966	234897	Nora
818966	273669	Erika Rieder
818966	274889	Regina Amstetten
818966	274915	Regine
818966	275171	Liliane
818966	289885	Betty Gall, Helene Gall
818966	289894	Frau Diethelm
818966	317343	Bettina
818966	322954	
818966	344808	
818966	352245	Anna Kienzel
818966	352568	Monika
818966	354369	
818966	356883	Mizzi Ebeseder
818966	360655	Felicity
818966	376492	Ulla Georgius
818966	379174	Oma
818967	231671	Tramperin
818968	168960	Schoolchild
818969	150762	Jitka
818969	165033	Ambulance nurse
818969	237530	Princess Maria
818970	31859	Lucetta Gaynes
818970	32682	Female Bailiff
818970	38136	Miss Beverly
818970	139577	Barbara
818970	185537	Charlene Duggs
818970	329151	Charlene Duggs
818971	76759	(segment "Hvis du bærer på.."
818971	121027	3. Dros
818972	340429	Fru Smikkstad
818973	189827	Madge
818974	274010	Katie
818975	181630	Ravintolan pöytäseurueen jäse
818976	160000	Melody Lounge Dancer
818977	33728	Majka
818977	43154	Isidora Radman
818977	73577	Mrs. Larch
818977	74171	
818977	77465	Udovica
818977	77504	
818977	85266	Mother
818977	86734	Ruza
818977	89780	Alisa
818977	94510	
818977	94896	
818977	109168	
818977	125566	
818977	129425	
818977	166972	
818977	176284	
818977	178857	
818977	180418	
818977	180858	
818977	181478	
818977	181942	
818977	187014	Draganova mama
818977	187970	Milanova majka
818977	192898	
818977	195255	
818977	202016	Vida
818977	207160	Baronesa
818977	209509	Herself (interviewed)
818977	211940	
818977	228172	Kizina majka
818977	230098	Tetka/aunt
818977	244224	
818977	252161	
818977	253729	Rankova zena
818977	255771	
818977	257479	
818977	258523	
818977	260287	Jula
818977	263448	
818977	263528	
818977	265322	Tejina majka
818977	266127	Ljiljana
818977	267844	La-Lo
818977	271379	
818977	286022	Milanova majka
818977	289128	Old Woman
818977	305194	
818977	307238	Solajina zena
818977	312623	
818977	323647	Baka
818977	328221	
818977	344256	
818977	344327	
818977	386407	Violeta, sluzbenica
818977	390182	Herself
818977	390388	Dzoksova majka
818977	395607	
818977	395704	Brankina baba
818977	395834	
818977	401834	Frau Gabrijela
818977	404144	Milanova majka
818977	404206	
818977	405506	Vaspitacica Lela
818977	405656	Zorka
818977	409758	Bosa
818977	411900	Razredni staresina
818977	411914	
818978	13544	
818978	14252	
818978	35805	Capt. Markova
818978	58659	Sarah
818978	227031	Lynn Wingate
818978	316166	Jenny as a girl
818979	92618	Wedding Party
818979	230663	Cheerleader
818979	304527	Young Woman
818980	363560	Cindy Ellen
818981	55855	Skier
818982	378797	Germaine
818982	384746	Marjorie
818983	235353	Doctor (in Hospital)
818984	116907	Girl
818985	35277	Kate Tripler
818985	52904	Olympe
818985	114173	Marian
818985	120829	Talu
818985	141290	Paula Figueroa
818985	143340	Alona
818985	161580	Countess Sonia Varnli
818985	177029	Doris Clhoun, aka Kilmeny
818985	235212	Baroness Kruposny
818985	235676	Woman
818985	259362	
818985	279406	Hafsa
818985	309878	Rosalie Dumay
818985	327585	Marie
818985	332795	Rose Bocion (Tiger Rose)
818985	343138	Maria Ynez, Inn of the 4 Wind
818985	381912	
818986	324898	Waitress
818987	236141	Alice
818988	291307	Additional Voice
818989	21628	Older Woman (lead)
818989	59983	Barbara
818989	78320	Baba
818989	94525	Maisie
818990	121367	Spider
818990	161924	Custody Officer
818990	190325	Lori
818991	153375	Ester
818991	181736	Henny
818991	214339	Magda
818992	379322	Judy (German version)
818993	98402	
818993	170509	
818993	182740	
818994	108009	
818994	123198	Mary (professor's daughter)
818994	210322	
818995	29415	Mme Eckhert
818995	377736	Mademoiselle Delacroix
818996	293703	
818997	344524	Herself
818998	325427	Ilona
818999	32750	Katja
818999	34292	Mia
818999	134808	Yvonne
818999	347974	Maria Belolavek
819000	41329	Amy Lorne
819000	80056	Valerie Kilkullen
819000	149938	Jane
819000	165097	
819000	195484	Kelly
819000	253335	Karen Richards
819000	253353	Candy
819000	283305	Shelley Stewart
819000	310852	Teri
819000	374418	Beauty Contestant
819000	380713	Diana McColl (1983-1985)
819000	399450	Allyson Yates
819000	403013	Lila (1991-1992)
819001	188453	'Likes' Girl
819002	213350	Herself
819003	210776	Actress
819004	347803	Flasche
819005	68775	La concierge
819005	243345	
819007	80065	Raquel
819008	62922	Nurse
819009	152846	Ursula
819009	185984	
819009	398083	
819010	103055	Hilkes Freundin
819011	153109	Freundin von Peter
819011	186186	Bettina
819012	248565	
819013	409930	Pernille Sunde Dypvåg
819014	160521	Frøya
819015	185537	Marlene
819016	309292	Sørine Folkekokkepige
819016	408920	Herself
819017	40509	Test Monitor
819017	298769	Clerk 2
819018	336538	Linda (US version)
819019	86682	
819020	10196	
819020	100723	
819020	169713	Mlle Frou-Frou
819020	211004	Aidinha Seabra
819021	49934	The Cyberbabe, Axia
819021	87409	Kei
819021	87410	Kei
819021	123447	Reporter
819021	130730	Ayuko Hayamizu
819021	162857	
819021	184518	Field Reporter
819021	209237	Reporter 3
819021	298993	Ritsuko Akagi
819021	298994	Ritsuko Akagi
819021	307187	Jani
819021	309118	Big Mama
819021	309121	Big Mama
819021	309122	Big Mama
819021	309123	Big Mama
819021	309124	Big Mama
819021	310836	Big Mama
819021	380473	Yaobikuni, Additional Voices
819021	381163	Big Momma
819021	389778	Secretary/Additional Voices
819021	394421	
819021	405144	Ritsuko Akagi
819022	228388	Tuula
819023	1101	Zargana
819023	86690	
819023	140673	
819024	394927	Meral Yilmaz (2003-2004)
819025	42202	Anki
819025	346062	Lena
819025	395047	Nurse
819027	403537	Participant (1999)
819028	168437	Mrs. Gustafsson
819029	94496	Sofia
819029	244206	Sussie
819029	315981	Therese
819029	410462	Gabriella 'Bella' Åqvist
819030	334042	Freddy Grankvist
819030	334043	Freddy Grankvist
819030	353020	Freddy Grankvist
819030	407260	Freddy (episodes 1-6)
819030	410044	Freddy Grankvist
819031	266736	
819032	60881	
819033	204385	(segment "Nam ne dano preduga
819034	38228	
819034	124843	
819034	171676	
819034	179327	
819034	179336	
819034	221378	
819034	227899	
819034	227907	
819034	242477	
819034	244134	
819034	252817	
819034	253091	
819034	259076	Margarita Khobotova
819034	270221	
819034	275272	
819034	341329	Caleria
819034	349051	Olga Nikolayevna
819034	370998	
819034	394642	
819034	404819	The girl with the fox
819035	373344	Mme Caldwell
819036	192720	Baby sister
819037	123547	
819037	165391	
819037	179349	
819037	199651	Malu
819037	277881	Evelyn
819037	298654	Savitri
819037	316577	
819038	16084	
819039	123295	
819039	264828	
819039	313917	
819039	373333	
819040	139538	
819040	318565	
819041	349696	Band DJ
819042	348994	Ohane
819043	214411	
819044	206751	
819044	382093	Irmik
819044	394803	Müzik Hocasi
819045	222855	
819046	33166	Somtjai
819047	43072	
819047	154836	
819047	215092	
819048	214274	
819048	349248	
819049	4561	
819049	4891	
819049	15904	Saroj
819049	18462	Padmi
819049	29041	
819049	29194	Subarna
819049	35976	Meera
819049	37591	Ranima
819049	59000	Rami
819049	59001	Rami
819049	64153	
819049	77054	
819049	82819	In a crowd scene
819049	83747	Gauri
819049	85375	Gauri
819049	85418	Rupkumari
819049	165927	
819049	173640	Kapalkundala
819049	232745	
819049	267414	
819049	272058	Ranga's mother
819049	281483	Sulekha in the Bengali versio
819049	355306	Asti
819050	193668	
819050	298749	Woman Farmer in front of Gono
819051	42910	Frica (segment "Quien pagara 
819051	98703	
819051	202124	
819051	277406	Blanca
819051	397029	
819051	398475	Robin
819051	402452	Bibiana de Bonilla
819051	405324	Amada
819051	408419	Lorenza Pachón
819051	408706	Paloma Sandoval
819051	411709	Paquita Gallego
819052	380917	Maria Catalina "Mariaca" Vall
819053	46852	Tanya
819053	81311	Sandy
819053	220772	Samantha
819053	305492	Rose
819053	382560	
819053	383882	Shanie
819053	405209	Dr. Catherine Blake (1994-199
819054	56926	
819055	90004	Nina
819056	115833	
819057	39258	
819058	75962	
819058	237390	Krystyna
819059	30987	Aya
819060	391597	Moko
819061	278550	
819062	151154	Noriko, the babysitter
819063	61529	Machiko Shima
819064	64661	Triple Trapeze/Body Skating
819064	384324	Herself
819065	168356	Kyoko's mother
819065	373190	
819066	2257	Herself - Best Supporting Act
819066	74195	Harue
819066	115895	Mei Li
819066	128337	Eiko
819066	149613	Akiko
819066	289295	Katsumi Kelly
819066	380685	Herself (regular performer, 1
819066	385130	Mrs. Livingston
819067	390265	
819067	407835	Linda
819068	298834	Masako Mamiya
819069	9304	Barmaid
819069	21813	Hamako Kasugai
819069	76872	
819069	125164	Otae
819069	127922	Umekichi
819069	135215	Fujio's mother
819069	173097	Otane
819069	205564	Michiko Yokoi
819069	227432	Sumiko Asai
819069	227437	Otaka
819069	232524	Otaka
819069	298802	Atsuko
819069	334828	Okichi
819069	373892	Osata
819069	375592	
819070	80782	Cemetery Extra
819071	82710	Partygoer
819072	361573	
819073	9190	Nurse
819073	375558	Nurse
819074	244566	Chieko
819074	334947	
819074	349167	Kimiko
819075	196085	
819075	265757	Mother
819075	307990	
819075	325279	
819076	299798	Assaulted Woman
819077	40361	
819077	60783	
819077	62178	
819077	71837	Mama
819077	89759	Alte Patientin
819077	99262	
819077	101012	
819077	101347	Frau Dingeldey
819077	102970	Ethel Francis
819077	115202	Young Lady in Prison
819077	115990	
819077	125102	
819077	130963	Helena
819077	132536	Lehrerin
819077	132540	
819077	138907	Sussmeit
819077	140261	Landlady
819077	140264	
819077	144352	
819077	145607	Frau Sedlacek
819077	155432	Erpresserin
819077	166435	Salome
819077	166768	Teacher
819077	171418	Maid of Kohler
819077	172857	
819077	188773	Catharina
819077	189679	Mädchen
819077	189788	Teacher
819077	198938	
819077	219740	
819077	225138	Fräulein Kant
819077	237223	Dr. Sylvia Boysen
819077	264877	
819077	272751	Sidonie Knobbe
819077	286180	
819077	290609	
819077	294840	Hostess
819077	295767	
819077	306464	
819077	314558	Tamara Marschall
819077	322637	Bala's younger sister
819077	322936	
819077	325634	Irmgard
819077	329682	
819077	351945	
819077	365018	
819077	365610	Opernsängerin
819077	366183	Aristida
819077	369136	
819077	375093	
819077	376311	
819077	376341	Telefonfräulein
819077	381382	Vermieterin
819077	383108	Fanny Brokstedt
819077	386982	
819077	394049	Frau Kaiser
819077	394149	Amscha
819077	401996	
819077	404453	Frau Eisen, Sekretaerin
819077	409860	
819079	173972	
819080	174491	
819081	12814	
819081	43021	
819081	258592	Aisha
819081	340240	
819082	155005	Aliah
819083	131226	Jenny
819083	135623	April
819083	139172	Nguyen
819083	195331	Soon-Yi Previn
819083	280196	Molly
819084	135953	Michiko
819084	299007	
819085	80697	
819085	80698	
819085	131553	
819086	18522	
819087	12895	Heida
819087	188852	
819087	376000	
819088	312887	
819089	234403	
819089	246403	
819089	353599	
819090	280842	
819092	206751	Ebe
819092	379688	Ikbal
819092	392379	Dilbaz Kalfa
819093	365213	Carmen
819094	5122	Mrs. Weber
819094	12588	Frau von Ramen
819094	26252	Miss Fitz
819094	29811	Wirtin
819094	46612	Alte Magd/Old maid
819094	98572	Hermine, his wife
819094	102983	
819094	103143	Therese Kallenbach
819094	204635	
819094	211074	Wife of the shoemaker
819094	225141	The Principal
819094	289984	
819094	361095	
819095	282985	Herself
819097	2947	Waitress
819098	152910	Dorm Roommate
819098	299202	Beety Buggit
819099	1451	Herself
819099	303778	Herself
819099	303779	Herself
819099	303780	Herself
819099	335606	Herself
819099	367069	Jitterbug #2
819100	245882	Hotel Receptionist
819101	283462	Carraige Passenger
819102	27358	3rd Class Alien
819103	21116	Artemis
819104	122678	Female Assassin
819104	308137	Tanya
819105	96445	Jente #2 som Roy kliner med
819106	274200	Bunny
819106	334385	Herself
819106	365108	Herself
819107	341515	Dancer
819108	26612	Leon's Girlfriend
819108	27045	
819108	30620	
819108	78140	Elaine Storm
819108	128192	Model
819108	144753	
819108	239188	Son's Fiancee
819108	315535	Ruby (the singer)
819108	316024	Miss Vantay
819109	215789	Beryl Lilium
819109	292461	Christie
819109	378491	Jill
819110	87351	
819110	296972	Lucinda
819111	20625	Extra
819111	44465	Guest
819111	157456	Person
819111	178976	Jury member
819111	367721	Girl
819112	143432	Mrs. Kennedy
819113	253225	Chrissy
819113	298119	Sweat Shop Worker
819113	313208	Syreen, Pkunk
819113	347537	Aida
819114	53284	Cheerleader #2
819115	185594	Young Eva
819116	252988	Young Jessica
819117	29870	Herself
819117	260432	Herself
819117	401875	Herself - Bardot (2000)
819117	409504	Herself - Reporter
819118	1870	Tanessha Labelle
819118	81177	
819118	287705	Dakota
819118	395727	Fuschia
819119	190570	Nurse Galli
819120	7088	Sexy Robot
819120	26877	Hostess
819122	102234	Hannibal's Receptionist
819123	37682	Bistro Patron
819124	1381	Herself - a Story Copyist
819125	1666	Fake Drummer
819126	324371	Gen Corp. Executive
819127	49441	Woman in Frankie's
819127	126715	
819127	391781	Host
819127	396557	Herself
819127	400019	Herself (Host)
819128	126624	Melanie
819129	5329	Geraldine
819130	204049	News Reporter
819131	405217	Christabel (aged 12)
819132	409929	Herself - Singer (2002)
819133	369522	Laurie
819134	202195	Hustler at Grand Central Stat
819135	299843	Melissa
819136	290789	Mutter von Deniz
819137	20625	Extra
819138	128505	Kiev Yann
819139	20625	Extra
819140	234664	Rättens ordförande
819140	247600	Filippa Broström
819140	405539	Britt-Marie Stenström
819141	20625	Extra
819142	199311	Geisha
819143	120806	Grace Nagarauk
819143	171870	Nyla
819144	206670	Martina
819145	122601	
819145	352585	
819146	339469	Lojola
819148	61440	
819148	191501	La femme d'Antoine
819148	333735	Louise
819149	2742	Cristiana
819149	10206	
819149	291623	Rita
819150	211832	Vergine Maria
819151	13606	
819151	138181	Ms. Forsythe
819151	164362	Gerd
819152	20287	Dancer
819152	77805	Chorus girl
819153	288388	Sasquatch Sighting Witness
819154	10663	Dorothy
819154	35439	Catherine
819154	46297	Marion
819154	72557	Catherine Ballard
819154	99894	Nadia
819154	110306	Kate
819154	123435	Christine
819154	145047	Alex Johnson/Sarah
819154	147793	Sandy Ryan
819154	153147	Lisa Peters
819154	175842	Vicky Michaels Stover
819154	187843	Caroline
819154	196050	
819154	197379	Mom
819154	234068	Lorraine
819154	241696	Trish
819154	251239	Mrs. Lynn Porter
819154	264517	Sister Littell
819154	272600	Ava Gardner
819154	286298	Colette
819154	301390	Katherine
819154	313104	Bekkie Stander
819154	313929	Sue Payton
819154	319239	Maj. Carole Kovacs
819154	327767	
819154	330591	Brooke LaLaine
819154	333058	Anna Vivaldi
819154	360907	Marian Kerr
819154	363719	Eve Abergray
819154	363943	Sarah Tate
819154	372895	
819154	381238	Astra
819156	335353	Narrator's Wife
819157	123986	Herself
819158	382825	Herself (segment "Some Who Li
819160	12889	Büroangestellte bei Hellwerth
819161	64431	Doctora
819161	380535	Profesora Julia Moya
819161	382543	
819161	387916	Luz Arlegui
819161	393175	
819161	393836	
819161	395867	Pilar Lynch de Foster
819161	396389	Marcia
819161	399612	
819161	403644	Graciela
819161	404140	Victoría Covarrubias
819161	404292	
819161	408722	
819161	408724	Carmen Mackenna
819161	410383	Margot Albónico
819161	412183	Livia Mc Donald
819161	412301	
819162	4703	Kimberley, KCTL Reporter
819162	109629	Traffic Cop
819162	114612	Nora
819162	158183	Little Girl's Mother
819162	160590	Stamp Mother
819162	207505	Flight Attendant
819162	264148	Mother's Voice
819162	292472	Nurse Maya
819163	210567	Receptionist
819163	289260	Prostitute
819164	90327	
819164	411567	Presenter (1990-1993)
819165	322504	WG-Bewohnerin/Appartment-Shar
819166	314846	Inge-Mette
819167	407625	Herself
819168	81185	
819169	259676	Monika
819169	266358	Charlotta
819169	365027	
819170	407817	Herself - Norwegian Participa
819171	190324	Jessica
819171	277175	Lindsey
819171	321184	Young Alison
819171	330195	Sarah Barter
819171	333855	Young Isabelle
819172	169608	Mrs. Holt
819172	363243	Bar Floozy
819173	123986	Herself
819174	377902	Tupamaros leader
819175	48343	Lilith/Marie in the play
819175	136717	Mädchen im ersten Café
819175	174762	Helga
819175	314345	Ellen, seine Frau
819175	325618	
819175	359620	Frau R.
819175	379835	
819176	255169	Gene's Girl
819177	58358	
819178	250899	
819179	249208	Justine (5 years old)
819180	290402	Samantha
819181	370872	Herself
819182	104781	Herself
819183	154274	Anna
819183	317444	Carmela
819183	345559	
819183	378095	
819184	215472	
819185	405479	Tiina
819186	210163	La policía municipal
819187	315964	Jessie Stoughton
819188	13803	
819189	45129	Mercedes Driver
819189	409520	
819190	129644	
819191	644	Chastity
819191	2626	Herself
819191	4536	Amanda Luttrell
819191	27171	Syd
819191	46355	Nicky Callas
819191	47077	Isis
819191	47993	Denise Johnson
819191	65844	
819191	69856	Carmel Boxer
819191	72490	Daria
819191	82445	Evangeline 'Eva' Dandrige
819191	90811	Elise
819191	126724	
819191	132413	Herself
819191	136801	Gabrielle 'Gabby'
819191	148988	Alice Kramden
819191	195262	Shawnee
819191	229826	Rachael
819191	277892	Masked Woman
819191	298076	Katie
819191	308096	Clara Thomas
819191	342769	Conny Spalding
819191	361216	Michelle
819191	372583	Herself
819191	384360	Dr. Courtney Ellis (2000)
819193	106304	
819194	154087	Alice
819194	390283	Cleopatre
819195	5160	Wilma
819195	12839	
819195	21285	
819195	24066	
819195	24091	Inge
819195	77373	
819195	95262	
819195	119242	Xanthippes Tochter
819195	119254	Schütze Erna Hecht
819195	137639	Roswitha
819195	140241	Grit Harlacher
819195	142081	Brigitte
819195	144157	
819195	155468	Ursel Born
819195	164278	
819195	210313	Gloria Hoffmann
819195	218932	
819195	227544	
819195	248199	Lilly
819195	265402	Schülerin
819195	281983	Helmine, Blumenbinderin
819195	294202	Barbara
819195	303710	Mariechen Dorn
819195	376577	
819196	53318	Student
819197	337168	Additional Voices
819198	4183	
819198	4485	
819198	25632	
819198	63513	
819198	120239	Uma
819198	171998	
819198	172743	
819198	172877	
819198	173451	
819198	174249	Indu
819198	227069	
819198	229308	
819198	233184	Herself
819198	243833	
819198	262382	
819198	300805	
819198	340999	
819198	348941	Padmaja
819198	350684	
819199	4184	Pappy's Sister
819199	18794	Thripura Sundari Thampuratti
819199	19264	Convict's Wife
819199	78312	Jayalakshmi
819199	101660	Nisha
819199	124642	
819199	159896	
819199	172023	Rajamma
819199	174065	Bhaginisevamayi/Parvathi
819199	179217	Vilasini
819199	233399	
819199	288248	
819199	295122	
819200	43898	Keiko Asami
819200	116354	Yoko
819201	17420	
819201	359611	Safety deposit box rental rec
819202	255872	10th Century Woman
819203	150731	Nonoko
819204	92847	Heckler
819205	290696	Angestellte in Juweliergeschä
819206	126457	Lehrerin
819206	144003	Stefana
819206	225724	Aisha
819207	45378	Mitch
819208	381908	Herself (season 2)
819209	406549	Becky
819210	401689	Mai Morris (2000-)
819211	275169	Helferin
819212	11887	Speaker
819212	50156	Herself
819213	179762	Irmi
819213	361507	Reporterin/Reporter
819213	381578	
819213	409958	Carolin Sophie von Anstetten,
819214	32438	Kate Moore
819215	376567	Mana
819216	124502	Little girl
819217	266176	Abused secretary
819218	316609	Gang Member #2
819219	67135	Herself
819220	167027	Wicked Queen
819220	364172	Narrator
819220	380825	Narrator
819220	383631	Lucy Cooper: Paramedic (1993)
819220	395187	Joyce Thorpe
819220	395335	Various roles (1998)
819221	398557	Reporter
819222	102550	Cleone (confidante of Ermione
819223	258931	Young Caroline
819224	409463	Secretaria (1984-1986)
819225	276396	Monja
819226	260789	Kissing woman
819227	400690	Herself - newscaster
819227	409163	Herself - newscaster (19??-??
819228	104104	Herself
819228	182597	Herself
819229	19609	Woman
819229	165202	The messenger (segment 'The M
819229	211823	The Messenger
819229	304287	Rei
819230	9239	
819230	144708	Annika Hurme
819230	171576	
819230	181742	
819230	181857	Kotiopettajatar
819230	184041	Rouva Kairanen
819230	237241	Seller of the hot-dog stand
819230	246125	Various
819230	266939	
819230	271609	Sanelma Kinnunen
819230	278686	Irma
819230	295249	
819230	307749	Solveig
819230	324808	Maisa
819230	341786	Waitress
819230	392235	
819230	394960	Mailis Santala
819230	399515	Pappi
819230	399856	
819230	401440	Toimistosihteeri
819230	401476	Toimittaja Varpu
819230	402897	
819230	403473	
819230	403996	Satu
819230	410461	
819231	160494	Customer in the dance restaur
819232	394539	Liisa
819233	25296	Tarja
819234	27408	Nainen jäähallissa
819234	278366	Sarlotta Sirkiä
819234	285158	
819234	342145	Hoitaja
819235	301889	Martha Korppi
819235	321965	
819235	322001	
819235	400690	Anu, maskeeraja
819236	367823	Herself
819237	235425	Sara
819237	282379	Wife in 'Wild Thing'
819238	2019	Girl with Fake ID
819239	196995	Teen Girl
819240	76434	
819241	28699	
819241	76434	
819242	97492	Shirleen
819242	304048	Mrs. Blue Cloud
819242	304051	Nina
819242	386970	Chief's Daughter
819243	142493	Alice
819244	178206	Model #4
819245	142080	Susanne Larsen
819245	303670	Michaela "Mic" Anderson
819245	325473	Miriam Capitani
819245	365571	Franziska Borgardt
819245	369328	Franziska
819245	376182	Kellnerin
819245	389359	
819245	405541	Michaela "Mic" Anderson (1996
819245	411159	Franziska Borgardt
819246	48235	Club Lady #1
819247	17319	Meena Kumar
819247	398712	Dimple Popat
819248	175934	Sneha
819249	372890	Mrs. Coy
819250	69917	Hannah's Secretary
819251	20146	Echo
819251	90079	Zerlina
819251	162159	Herself
819251	187899	
819251	233377	
819251	236178	Susanna, Kammermädchen, Verlo
819251	271614	Anne Truelove
819251	301091	Waldvogel
819251	302132	Lady
819251	307878	Herself
819251	329902	Theodora
819252	72931	Goodyear Chorus Girl
819253	2232	Casting Assistant
819254	41138	Charity
819255	267565	Kim
819256	175792	Angela
819257	60340	Sheryl
819257	60764	Peaches Petty
819258	166917	Flight Attendant
819258	220427	Leslie Reinhart
819258	308128	Broadway Actress
819259	190225	Derm. Receptionist
819260	51800	Blonde bombshell
819260	66131	Zerbe's Girlfriend
819261	323225	Wife on road
819262	230873	Phone Girl
819263	37033	Schoolgirl #4
819264	31738	Rosie Bean
819264	43935	Young Penny
819265	58624	Sam
819266	232341	Aggie
819267	174622	Model
819268	106253	Cop Girl 3
819268	240483	Tina
819268	257451	Julie
819268	337360	Susan
819269	27183	Amy Mason
819269	87429	Lisa
819271	16644	Clubhouse 'Client'
819271	25523	Pushy woman
819271	77398	Meg
819271	110450	Neighbour
819271	221785	Cafeteria Assistant
819271	278718	Bartender
819271	313626	Barmaid
819271	323387	Innkeeper's Wife
819271	350905	Natural Normans
819271	382078	
819271	405744	Cook
819272	211508	Child witch
819273	232126	Sally
819274	34116	Hill's Angel/Various characte
819274	34117	Various roles
819274	34911	
819274	45594	Jackie
819274	69381	Renee
819274	72760	
819274	353728	Hill's Angel/Various characte
819274	364172	Herself
819274	381661	Herself/WonderGran/Hill's Ang
819275	283183	Undressed to Get Screwed
819276	334410	Vollyball Player
819277	34892	
819277	37417	
819277	127403	
819277	128634	
819277	291019	
819277	335949	
819278	78991	Trainee #5
819278	333120	Person of the Night
819279	74275	
819280	21354	Keiko Noguchi
819281	3918	
819281	4012	
819281	8874	
819281	9331	Otane
819281	9557	Shino
819281	15902	
819281	21330	Herself
819281	21344	Tome
819281	21560	
819281	21577	Otaka
819281	21815	
819281	22697	Tomi
819281	28127	Onobu
819281	44775	Okiyo
819281	61525	Daikoku-san
819281	101784	Kayo Nojima
819281	123528	Otsune, Suezo's wife
819281	127855	Shinsho's wife
819281	127920	
819281	137008	
819281	137321	Owner of the hotel
819281	139406	Proprietress of the Hotel Hiz
819281	139726	Kaneko Katayama
819281	145236	
819281	153552	Kosaka's mother
819281	156234	Tatsu Watanabe, Kiichi's Wife
819281	158675	Osei
819281	163835	Oyuki
819281	163838	Old lady
819281	165129	
819281	167744	Omatsu
819281	170903	Ohisa, Mother of Antonio
819281	172240	Toyo
819281	173124	Tori Ueda
819281	177865	Ohana
819281	180030	Tose
819281	180049	Shige, Ryoichi's stepmother
819281	180054	Osamu's mother
819281	182415	Spanish Dove
819281	205048	Tomi
819281	209930	Okane, Oume's mother
819281	211720	Shige, Taniguchi
819281	213008	
819281	228378	
819281	232515	
819281	232543	Old woman in a car
819281	232610	Man school teacher's wife
819281	232902	
819281	234538	
819281	234905	Owner of a restaurant
819281	239315	Okuni
819281	242141	Tsue
819281	242232	Yoshi Namikawa
819281	244536	
819281	272625	Sakiko's Mother
819281	284871	Fuki Inoue
819281	288352	
819281	288353	
819281	298802	Mother
819281	299101	Nomura's grand mother
819281	300481	Tsugi
819281	309366	Shige Kitagawa
819281	323530	Ogin
819281	334828	
819281	343351	Fujita
819281	344007	Yen-niang
819281	344285	Shige
819281	359828	Masa
819281	359844	Ino, grandmother
819281	371989	brothel-keeper
819281	373173	San
819282	155565	
819283	127651	
819284	16001	Sakurahime
819284	101486	
819284	138059	
819284	138086	Miss Tanuki A
819284	172259	
819284	180433	
819284	212530	Hikari Iwama
819284	217621	Yuri
819284	299109	Hinona
819284	370729	Oyuki
819285	374430	
819286	112888	
819287	223940	John's Mother
819288	23614	
819288	155997	
819288	163997	Lena
819288	164012	
819288	181240	
819288	214251	
819288	229082	
819288	258629	Mother
819288	261911	
819288	263134	Televedushchaya
819288	263423	
819288	294017	
819288	309008	
819288	320713	
819288	349251	
819288	349316	Inna's mother
819288	356018	
819288	373738	
819289	74500	Herself
819289	104748	Spanish Entry (2nd place)
819289	147240	Spanish entry
819289	410451	Romy (spanish)
819290	67697	
819291	104750	Spanish Entry (10th place)
819292	76217	Passenger in Car
819292	238238	Dalene
819293	299993	Nightclub Madam
819294	21988	
819294	125400	
819294	177906	
819295	296495	
819296	177754	Arenanda
819296	305178	Cinama worker, female teacher
819296	336006	Atsuko Ôyama
819296	385980	Iori Hida/Upamon/Armadimon/Di
819296	386776	Erasa, Uub
819297	262676	
819298	381853	
819299	217223	Schoolgirl
819300	129501	Dochter van de kantinehouder
819302	282306	
819302	360116	Kelly
819303	112305	The Grandmother
819304	196387	Alex's mother
819305	383121	Herself
819306	258729	The Muse
819307	185238	Nepthys
819308	119028	Anna Rissbacher
819309	292063	
819310	86972	
819310	169504	Gisela von Rachlitz
819310	170659	Mathilde Fee Breuer
819310	325619	Klara Höss
819311	6756	(episode A Assinatura)
819311	23623	
819311	83706	
819311	90821	
819311	101315	
819311	124235	
819311	248535	
819311	287231	Rich Woman
819311	295096	
819311	353344	(segment "Fuga, A")
819311	378029	
819312	42886	
819312	171913	
819312	225904	
819313	75430	Julie Bishop
819314	287767	Amy Watson
819315	17312	
819315	120061	
819315	147258	
819315	156048	
819315	170705	
819315	276978	
819315	292063	
819315	361398	Frau Roesner
819315	366566	
819316	333340	Patron at Jazz Club
819317	32855	Deklica
819317	33320	
819317	102627	Mocina devojka
819317	179106	Marjetica
819317	259912	Dekle
819317	343956	
819318	174470	Janicka
819319	51621	Mujer
819320	19946	
819320	255130	
819321	14759	Kiki, la ballerina
819321	23488	
819321	55555	Hilde
819321	147057	
819321	162066	Danzatrice Bianca
819321	183286	
819321	205038	Herself
819321	336612	La danzatrice araba
819321	349531	
819322	311599	Herself
819323	95725	Actress
819324	152834	
819324	189607	
819324	259578	Gisela Schmiedel
819324	259670	
819324	376412	
819324	388967	Lydia
819324	389359	Carla (1996)
819324	408948	
819325	58130	Girl
819326	103259	Host
819327	166020	Guest
819328	381246	
819329	74311	
819330	184974	Janes Cosby
819330	278082	Aunt Ann
819330	278711	Dr. Pezzi
819330	324889	Mother
819330	379716	Isabella Santos #2 (2004-pres
819331	76357	
819331	209362	
819331	306977	
819331	312420	
819331	320554	
819332	156166	
819333	348671	
819334	283691	La princesse étrangère
819335	95220	Elf #2
819336	64665	Motte
819336	95128	Gugga
819337	181359	
819338	1437	Herself
819338	62957	Cat
819338	118527	Herself
819339	52654	
819339	120046	
819340	299955	Agnes Bartlett
819341	348737	
819342	72629	La voisine
819342	256805	La mère
819343	5264	
819343	18998	
819343	82392	
819343	92347	
819343	249860	
819344	399405	Tofu Woman, Waitress
819345	397011	
819346	96366	Mama
819347	64978	Karina
819347	88352	Melisa
819347	239281	Mercedes
819347	247176	Yeni
819347	385052	Camila Casares
819347	397015	Nina Gómez León
819347	397738	Macerena San Martín
819348	101867	Lesbiana
819349	390096	
819349	399620	Sandra
819350	30817	
819350	60032	
819350	170359	Gilberte
819350	300735	The Medium
819351	174470	Bozenka
819352	175188	Inn Keeper
819353	250664	Interpreter
819354	91252	
819354	171601	
819354	264241	
819355	170848	Herself - Participant/Perform
819356	280094	Krimhilda
819356	357737	Zsuzsa
819357	51680	Foundation's director
819358	225947	Zvonová
819358	244138	Victoria Freie
819358	252345	
819358	270725	
819358	281011	Herself
819358	304191	Lenka
819358	375428	
819359	40270	Martina
819360	45912	Landlady
819361	225340	Olga
819362	225085	
819362	379093	Carlota
819362	387472	
819362	397578	
819362	404988	Mercedes
819362	410387	Augusta Suñer
819363	968	Soccer Mom #2
819363	93762	Diner Waitress
819363	208992	Waitress
819363	252445	Cokey
819363	301588	Woman
819363	304535	Nancy
819364	386787	Connie
819364	407304	Cecilia
819365	164539	Stage Lighting
819366	2339	Sister Jenny Miller
819366	85863	Sgt. Smith
819366	88884	May
819366	214121	Renie
819366	291787	Kirby's Fiancee
819366	333771	Minnie Bannister
819366	340519	Dandy Dinmont
819366	378710	Mrs. Murray Snr.
819366	385307	Margot McHoan
819366	389766	Jean Wills #1 (1959)
819366	407013	Supergran
819367	315198	Jay
819368	75641	Elizabeth Custer
819368	194167	Alison Porter
819368	196858	Vera Coffey
819368	214423	Oonagh Longman
819368	240555	Herself
819368	274669	Katherine
819368	308917	Clara Dawes
819368	315532	Mary Burroughs
819368	363300	Mary Elison
819368	366042	Lee Windom
819369	2977	Kate Lindquist
819369	4369	Mrs. Peabody
819369	5381	Teresa Lombroso
819369	7010	Miss Sarah Watson
819369	9015	Margaret Price
819369	10637	
819369	16074	Patient
819369	16496	
819369	18606	Bus Passenger wearing black
819369	18735	Felicia
819369	18856	Agatha Brewster
819369	20246	Cactus Kate Millican
819369	20314	Miranda Wolfson
819369	25472	Mother
819369	26617	Abigail O'Rourke
819369	32992	Mrs. Reilly
819369	33420	Italian woman
819369	33704	Landlady
819369	37148	Mrs. Summers
819369	38361	Miss Bella 'Bell' Clark
819369	40441	Woman in Church
819369	40887	Amelia Rogiet
819369	40975	
819369	43376	Autograph Seeker
819369	43742	Storekeeper
819369	45216	Reform School Matron
819369	45220	U.S. Marshal Kate T. Barlow
819369	45653	Agnes
819369	46329	Miss Mullins
819369	46777	Lady
819369	46836	Servant to Uncle Pio
819369	49254	Mrs. George Poppupoppalas
819369	50919	Homer Simmons' wife
819369	52251	Emma, Town Matron
819369	59600	Gang Member Posing as Olympic
819369	67251	Woman
819369	70967	Fagah
819369	72219	Murphy
819369	72613	Woman
819369	72712	
819369	73172	Second Landlady
819369	75889	Agnes, Jannings' Cook
819369	77767	Woman's Voice on Radio
819369	78017	Mrs. Swanson
819369	78733	Nurse
819369	78750	Mrs. Foss (replaced by Edna H
819369	78793	Client Wife
819369	80947	Woman
819369	83116	Bluenose Woman
819369	84252	Mrs. DeWitt
819369	84933	Mrs. Barnaby
819369	85055	Maria, Jerry's Housekeeper
819369	88250	Mrs. Wilson
819369	90847	Train passenger
819369	91763	Mrs. Krezi
819369	92007	Hatchet-Faced Woman
819369	92245	Mother
819369	92959	Rose, Boulin's Secretary
819369	93571	Landlady
819369	105075	Bellden's Receptionist
819369	105808	Claire
819369	108300	Mrs. Webb
819369	110324	First Nurse
819369	116931	
819369	118304	Miss Perch, a Nurse
819369	120760	Woman at dance
819369	122052	Fanny
819369	122054	Mrs. Crum
819369	126069	Teacher
819369	127305	Hilda, Emil's housekeeper
819369	129804	Cappy Ricks' Secretary
819369	129921	Mrs. Pursell
819369	130028	Maisie
819369	130722	Grocery Customer
819369	130808	Myrt
819369	131594	Mrs. Nelson
819369	133509	Carmencita Toscano
819369	138806	
819369	139362	Aniseh
819369	139786	Nurse Dunphy
819369	141383	Charwoman
819369	142879	Miss Schwellenhorn
819369	142880	Mrs. Kilmer
819369	143020	Lingerie Clerk
819369	143211	Miss Baldwin
819369	143596	Italian Wife
819369	144776	
819369	145708	Aunt Jessie
819369	145784	
819369	146140	Wife
819369	146759	Wife at hospital
819369	147535	Mama Valdez
819369	157866	Mrs. Carson
819369	162267	Militant Wife
819369	163272	Spinster
819369	164605	Strange Woman
819369	168119	Old woman
819369	175119	Miss Billings
819369	176312	Judge
819369	176375	Mrs. Wiggins
819369	177988	Retainer
819369	178762	Sarah
819369	183443	Mrs. Ryan
819369	183638	Spinster
819369	183713	Mrs. Al Horn
819369	190065	Mrs. Murphy
819369	191588	Woman
819369	192030	Woman
819369	192611	
819369	192717	Delia Phillips
819369	194834	Mrs. McGillicuddy
819369	194915	Maria
819369	195188	Ma Crocker
819369	195252	Virginie
819369	195647	Mrs. Kester
819369	195950	Miss Jones, MacCreigh's Secre
819369	200893	Mail Order Bride
819369	202871	Mrs. Maule
819369	202916	Nervous Man's Wife
819369	202934	Librarian
819369	203006	Widow Allison
819369	203208	
819369	206113	Woman sweeping front stoop
819369	206469	Bit
819369	206525	Mrs. Pettigrew
819369	206711	Mrs. Rosari
819369	207148	Market woman
819369	207420	Mrs. Hoskins
819369	209348	Mrs. Chavez
819369	209631	Downstairs Maid
819369	210751	Mrs. Braun
819369	213976	Mrs. Dillon, Breezy's Landlad
819369	214932	Mrs. Canelli
819369	215750	Amy, Housewife
819369	215975	Rosie
819369	218769	Abigail
819369	220318	Ella Crippen
819369	220959	Brenda
819369	221034	Nora 'Ma' Brown
819369	221124	Woman in beauty shop
819369	222604	Maxine Denham
819369	223046	Mrs. Smith, the Landlady
819369	223733	Miss Bates
819369	223903	Stone-faced woman
819369	224047	Woman in Employment Office
819369	230344	Mrs. Pastromi, the Cleaning L
819369	231311	Mrs. McGrand, Landlady of McG
819369	231925	Elderly Italian Woman
819369	233659	Friend of Mrs. Hanlon
819369	233872	Miss Rice
819369	234090	Woman in Airport
819369	234889	Husky Woman
819369	238878	Death Watch Mary Mackleforth
819369	239391	Mrs. Lottie Fling
819369	245304	Mrs. Rysen
819369	248450	Hotel Guest Reading in Bed
819369	256849	Miss Clabber
819369	262138	Maggie
819369	264426	Sutherland
819369	269804	Landlady
819369	269868	Cookbook-Seeking Library Patr
819369	270980	Johnnie Mae
819369	271232	Mama Lolita
819369	278111	Widow Humbolt
819369	284582	
819369	285134	Cora Downey
819369	285181	Brennan's Cook's Assistant
819369	285432	Widow Gail
819369	286304	Saleslady
819369	286943	Landlady
819369	289718	Woman at crime scene
819369	292169	Miss Bland, the School Princi
819369	292470	Woman with hat
819369	292621	Mrs. McGiven, landlady
819369	294199	Edna Rogers
819369	296767	Mrs. Henderson (clerk at tele
819369	297956	Nurse Purdy
819369	298078	Landlady
819369	300909	Garsell's landlady
819369	302995	Mrs. Abercrombie, Elite Hotel
819369	303379	Mrs. Maypole
819369	303483	Irate Woman
819369	304367	Woman in subway car
819369	305019	
819369	305934	Ward 33 Inmate
819369	306502	Mrs. Pomeroy
819369	306546	
819369	306558	Alice's Mother
819369	308576	Woman describing baby's recov
819369	308614	Bidder
819369	308942	Ellie Bixby
819369	313833	Miss Grimley
819369	313919	Woman
819369	315301	Lucy's Mother
819369	315881	Tenement Woman
819369	316132	Juror
819369	316221	Lady stepping off train
819369	317354	Wife
819369	318160	Mrs. Kelly
819369	319065	Lady on stagecoach
819369	320937	Melinda
819369	321411	
819369	323457	Gas station attendant
819369	329051	Mrs. Carter
819369	329423	Woman at Phone Booth
819369	329493	Mrs. MacReady
819369	330153	Nurse
819369	331384	Parishoner
819369	337468	Mattie, housekeeper
819369	338225	Miss Weebles, the Housekeeper
819369	338560	Mrs. Owen
819369	339394	Landlady
819369	342889	Mama Antonelli
819369	346238	Delicatessan Woman
819369	350650	Aunt Jessie (archive footage 
819369	355103	Christopher's Mother
819369	358181	Nurse
819369	358452	Mrs. Lucash
819369	358955	Mama Rafferty
819369	361294	Woman
819369	363030	Landlady
819369	363999	Native Woman
819369	364343	Mrs. Dill
819369	365350	Mother of Baby
819369	366947	Sue (Book Club member)
819369	367051	Lady in Courtroom
819369	367616	Mrs. Stuart
819369	372113	Maid
819369	372116	Screaming Spinster
819369	372126	Mrs. Doolittle
819369	372152	Mrs. Baker
819369	379310	Elvie 'Ma' Bowie
819369	379353	Tugboat Annie Brennan
819369	388144	Mrs. Pratt (1952-1953)
819369	397325	Dean Bradley (1953-54)
819369	401297	'Mother' #2 (1959-1960)
819370	308482	
819371	232470	Policewoman
819371	265819	Customer
819371	362533	
819371	399130	Annette Landers (1992)
819372	253818	Rachel as a child
819373	354854	Sheba
819374	57469	
819375	222124	
819375	233039	
819375	399024	Teresa Pereira
819375	399497	Blanca 'Bianca' Vidal
819376	291603	
819377	385052	
819377	393028	Mariana Linares
819377	397738	Mariana Avalos
819377	410108	Diana Virgil
819378	290402	Lisa
819379	273327	Lisa Yeager
819380	306844	Vidonia The Interrogator, Bra
819381	6330	Dona carmelita
819381	213409	
819381	268043	
819382	180963	Marianne Dreher
819382	254374	
819383	33735	Raya
819383	82811	
819383	85207	
819383	88405	
819383	88451	
819383	95652	
819383	180738	
819383	207564	Katerina
819383	217097	
819383	244133	
819383	244478	
819383	258660	
819383	261584	
819383	262988	Milenina
819383	299039	
819383	299428	
819383	303810	
819383	306710	Olympiada
819383	344311	Olenka Mikhailovna
819383	356426	
819383	356591	
819383	356925	
819383	356942	
819383	357214	
819383	357339	
819383	357461	
819383	357618	
819383	375476	
819383	375488	Varvara
819383	400479	
819383	405841	
819384	94846	
819385	98027	
819386	333120	Katherine
819387	254267	Miss Keith
819388	331782	
819389	88841	
819390	10481	Olga
819391	253779	Teresa
819391	384118	Cinthia Werner/Cinthia Camarg
819391	396180	Julieta Ordóñez
819392	15019	Smeraldine
819392	69973	Giulietta
819392	69974	Giulietta
819392	137937	Gertrude
819392	361569	Charlotte
819393	26885	Groupie
819393	55852	Female Technician
819394	29806	
819394	109284	
819395	70090	Podiosera
819396	409908	Jovita Luna 'sirvienta de Lia
819397	120412	Goth girl
819398	28792	
819399	45082	Bus Passenger #1
819400	118138	
819400	164572	Anita Lopez
819400	383208	Lorena Costa (1994-1997)
819401	118970	Hazel Perez
819401	158440	Angelica's Niece
819402	58709	
819403	197018	Hostess
819404	19515	Myrza
819405	55382	
819406	39083	
819406	152234	Oficial de guardia
819406	196764	
819406	308458	
819406	337568	
819407	308458	
819408	157060	
819409	198474	Paris Opera Madama Butterfly
819410	28967	
819410	37911	
819410	48178	
819410	52045	
819410	101824	
819410	103159	
819410	184242	Gabriela
819410	217083	
819410	220523	
819410	225051	
819410	234330	
819410	255057	
819410	255551	
819410	263209	
819410	284889	
819410	301166	
819410	328711	
819410	336101	
819410	382197	Elena
819410	395856	
819410	398481	
819411	328726	Pregnant Woman
819412	202839	Niña
819413	335169	
819413	368036	Loris
819413	378974	Eneida Restrepo
819413	387922	Cristina
819413	390735	Cindy
819413	396392	Doña Regina
819413	399557	
819413	401699	Ana de Alcalá
819413	411714	María Beatriz Valencia
819414	215611	Miss' Aunt
819415	23277	Maru
819416	37912	
819416	65555	Mujer 1 Baño
819416	66817	Enfermera
819416	83879	Prostituta
819416	96360	
819416	103157	Jefa Hot Line
819416	120717	Maestra 3
819416	153836	Tía Gabriel
819416	205000	Silvia
819416	236406	Madre de Alicia
819416	318006	
819416	380578	
819416	383291	(1999)
819416	383718	
819416	385402	Galloso
819416	394017	Stefanía Barigotti
819416	395864	
819417	306708	
819418	339382	Jane A. Johnston
819419	372175	B-Girl
819420	289004	Allison
819421	244034	Student
819422	244034	Student
819423	158149	Bitch-In-Law/Operator
819424	74135	
819426	357189	
819427	35292	Elsie
819427	94310	
819427	139939	Rita
819427	155381	Jola
819427	210043	Britta
819427	217916	Frau Zappka
819427	315602	Frau Münster
819427	322833	Hilde Becker
819427	388289	Hilde Becker (# 3) (1998-2004
819428	355492	
819430	64987	
819432	236657	
819433	79510	Wife
819434	411067	Herself
819435	323314	
819436	197758	Female guard
819436	303611	At the singing contest
819437	177204	Courtney
819438	9810	
819438	16936	
819438	33312	
819438	79158	Asha
819438	244263	
819438	258614	
819439	191513	Kenmore Cheerleader
819440	42242	
819441	261299	
819441	266213	
819442	392871	Jane
819443	232845	Sean's Friend #2
819444	220108	Girl in Alley
819446	235651	Bargirl Rita
819447	285591	Maggie
819448	33088	Hospital Nurse
819448	37008	Mrs. Deeping
819448	40036	Margaret
819448	61564	Mrs. Parsons
819448	84964	Mrs. Tanner
819448	86526	Aunt Ina
819448	88856	
819448	125973	Geordie's Mother
819448	138800	Madame Amanda's Assistant
819448	150977	Mrs. Bucknall
819448	152918	Barmaid
819448	170366	Woman
819448	202979	Maid
819448	236733	Sister Augustine (Africa)
819448	261067	Thirza
819448	319081	Mrs. Bateman
819448	371547	Matron
819448	372354	Lady Duffy
819448	388887	Flora (1969)
819448	399581	Jessie
819448	405217	Mary
819448	410011	Mrs. Frayle
819449	277795	Alma Jean Viator
819449	305896	Grocery Store Employee
819449	330530	Backseat girl
819450	30410	Policewoman
819450	68010	Ensemble
819450	68166	Older Daughter
819450	186058	Philippa
819450	337078	Lady Catherine
819450	396965	Widow
819450	407838	Lillian Cartland (1982)
819450	409840	Miss Briggs
819451	266761	Miss Murphy
819452	387100	Beatriz
819452	408406	Ester
819453	17074	
819453	63950	Lady
819453	74966	
819453	82346	
819453	83756	
819453	93859	
819453	193225	
819453	222036	
819453	248302	
819453	265147	
819453	277435	
819453	353355	
819453	353575	
819454	286350	Wilma
819455	286350	Mamá Moncha at Panamá Club
819456	243712	Naty
819457	385872	Paola
819458	280263	Miss Tuty
819459	351494	
819460	378738	Matilde Arias
819460	381860	Marina
819460	386170	Pascuala Goycolea
819461	212411	
819462	390244	Lutxi (2003-)
819463	340264	Pamina
819464	85580	Obnoxious Passenger
819465	1986	
819465	85557	
819465	169567	Mucama
819465	211172	
819465	268254	
819465	328157	
819465	328159	
819466	28964	
819466	40894	
819466	90127	
819466	149145	
819466	169782	
819466	249427	
819466	262600	
819466	296436	
819467	320216	
819468	400036	Trini
819469	385218	Herself
819470	3559	Maria (adult)
819471	55006	
819471	100707	
819471	168666	Paty
819471	234000	
819471	255501	María Conejo
819471	379896	
819471	380096	
819471	383867	
819471	387273	Luly
819471	389480	Sarita Mellafe
819471	393340	Paula
819471	396942	
819471	397735	
819471	402411	Sofía Méndez
819471	404074	Lucero del Campo
819471	405978	Juanita Fernández Solar, Sor 
819471	408724	Doris
819471	410383	
819472	52916	
819472	70611	
819472	74590	
819472	101472	
819472	106268	
819472	164871	Villanova's girl
819472	165796	Elena
819472	242670	
819472	250700	
819472	270228	
819472	294400	Nora
819472	339168	
819472	351901	
819473	152295	Herself
819474	132168	
819475	52828	Breakup Video Girl
819476	122818	Aurica
819477	40424	Malia als Kind
819478	158141	Bank patron
819479	390195	Herself - Nutrition Expert
819480	17992	Ticket Agent
819480	410698	Beth Sorenson (1983-1984)
819481	397013	Diana
819482	312419	
819483	162040	
819484	397074	Regitze Varnæs (child)
819485	304518	
819486	3956	Zia Teresa
819487	3267	Danielle's Pal #1
819487	82063	Karen Vandemeer
819487	121799	
819487	283506	Marsha
819487	326743	Lisa 'Boof' Marconi
819487	358642	Ms. Glusac
819487	373990	Debby
819487	403452	Karen (1985)
819488	169644	Sandra
819489	133382	Herself
819490	9653	
819490	28545	
819490	56049	Liz
819490	75262	Vira
819490	90726	Vivian
819490	103524	
819490	112854	Italian woman
819490	223322	Gina
819490	353080	
819491	242113	Girl at Carnival
819493	84854	Mrs. Hadley
819493	151732	Bobbie Courtney
819494	286779	Das Sams und Frau Scheinbar
819494	286780	Das Sams
819494	325493	Silke Haller
819494	325568	Silke Haller ('Alberich')
819494	325601	Alberich
819494	325755	Silke Haller, gennant "Alberi
819494	325805	Silke Haller ("Alberich")
819494	361296	Milling
819495	26838	Robin
819495	237600	Lenore Schwab
819495	241050	Darlene
819496	92890	
819496	114779	
819496	160728	(segment "Dois Dedos")
819496	161532	
819496	216110	
819496	246444	
819497	104765	French entry (2nd place)
819497	104780	Herself
819498	53921	Ehu
819499	93964	Sky
819499	109777	Katarina
819499	115091	Ellie
819499	168166	Maid
819499	206397	Claudia
819499	224738	Young Mother
819500	291584	(segment "Quand j'étais petit
819502	148169	
819503	388044	Herself
819504	117881	Fallen Angel
819505	236942	Midori
819506	995	Kladviya Ivanovna
819506	19726	
819506	46101	Marfa Osipovna
819506	182134	Agnessa Ivanovna
819506	184839	Charskaia
819506	225847	
819506	294988	Grandma (Voice)
819506	341218	
819506	349030	
819506	357243	
819506	374875	
819507	4939	Sridevi
819507	9512	
819507	18289	
819507	36273	
819507	58961	
819507	83403	
819507	160554	Preethi
819507	162190	
819507	165404	Indira Menon
819507	172023	Hrudayakumari
819507	172318	
819507	172477	
819507	172730	
819507	174963	Radha
819507	180568	Aswathy
819507	198137	Aglaya
819507	200015	Janaki
819507	202503	
819507	208771	Anandavalli
819507	212736	Tiruppura Sundari
819507	213054	Sulochana
819507	222080	Savithrikutty/Lakshmikutty
819507	226091	Uma Maheshwari
819507	230594	Uma
819507	232874	Thulasi
819507	243814	Omana's Sister
819507	247403	
819507	260003	
819507	271562	
819507	283885	
819507	287160	Laxmi
819507	300213	Mary
819507	310225	
819507	320408	
819507	320856	
819507	329235	Kanchana
819507	331031	
819507	350685	
819507	371797	
819508	30520	
819508	71283	
819508	83532	
819508	169561	
819508	171619	
819508	208852	
819508	212388	
819508	270071	
819508	273659	
819508	281780	
819508	287877	
819509	80221	
819510	242474	
819510	258999	
819511	265640	
819512	35860	
819512	226000	
819512	266173	
819512	280807	
819512	307753	
819513	292996	Consolata the Maid
819514	18391	
819515	212506	Betty
819516	175463	Yoko Torigai
819516	177155	Eiko
819517	145736	Female Attendant
819518	216508	Miyuki Wakamatsu
819518	349293	Saeka Agawa
819519	14305	
819519	16543	
819519	27974	
819519	29590	
819519	34497	
819519	60415	The Sweeper
819519	61210	
819519	116632	
819519	131119	
819519	174858	Marya
819519	176075	
819519	181509	
819519	217275	
819519	223297	Mother
819519	226411	Herself
819519	229203	
819519	237767	
819519	239152	Feuerschlucker (Gruppe 'Feuer
819519	239157	
819519	239421	Vera
819519	239928	
819519	244038	Inna Usman
819519	258586	
819519	259059	Irina Sergeyevna
819519	263420	
819519	263424	(segment "Excercise No.5")
819519	265934	
819519	280601	Manya
819519	285208	
819519	294654	
819519	300354	
819519	316435	
819519	320683	School headmaster
819519	349154	
819519	356542	Vozhditsa Kharyukov
819519	356941	
819519	374788	
819519	381530	Varvara
819519	397053	Shturman George
819519	399344	Klava
819519	399353	Klavdiya
819519	401687	Milk Seller
819519	411911	
819520	104839	
819521	6353	
819521	6360	
819521	7606	Bitti
819521	10036	
819521	28735	Parbati
819521	60401	
819521	77036	
819521	88547	
819521	90834	
819521	126940	Radha
819521	148923	
819521	160224	Husna Bano
819521	164751	
819521	170785	
819521	175902	
819521	176149	
819521	176174	
819521	184777	
819521	222508	
819521	249664	
819521	250609	Mona
819521	270726	
819521	271098	
819521	284776	
819521	284976	
819521	288216	Miss Sefali
819521	298810	Chanchal
819521	299570	
819521	333702	
819521	350383	
819522	405629	
819523	12806	
819523	17412	
819523	58968	Amala
819523	84765	
819523	162094	Martha
819523	198155	
819523	207879	
819523	219723	Nikolai's Mother
819523	221407	Valentina
819523	223238	Nadeshda
819523	234439	
819523	267928	Lyusya
819523	268013	Mother
819523	273073	
819523	294672	
819523	341025	Mariya
819523	350383	
819523	357347	
819523	373948	Kartashova
819524	79840	Narrator (original version)
819525	57177	
819526	374126	
819527	177088	Julie Patterson
819527	366260	Gillian Scott
819528	348229	Club Patron
819529	79064	Katarina Nojovski
819530	47586	Store Clerk
819530	155296	Chrissie
819532	353960	
819532	406702	Additional Voices
819533	258602	Sevdana
819534	271619	
819535	396247	Host (2004-)
819536	330103	Daughter
819537	330103	Mother
819538	375257	
819539	181652	
819540	253796	Pikku-Tiina
819541	350822	Elsa Sarkalahti
819542	236795	Inari Mäkinen
819543	404145	Laura Kiviranta
819544	190659	Anna
819544	357592	Paula
819544	402892	Miia Rantala
819545	177223	Magd Karin
819545	188755	
819545	213291	Stasi Offizierin (segment "Sa
819545	312636	
819545	343665	Mrs. Dahlbach
819545	410522	Anna Becker
819546	125648	
819547	360601	Lily Red Ponselle
819548	40631	Secretary
819549	7598	
819550	51344	
819550	370371	
819550	411965	Zerda
819551	38451	
819551	38621	
819551	51353	
819551	63972	
819551	76919	
819551	98753	
819551	99550	
819551	110404	
819551	110406	
819551	173565	
819551	179654	
819551	211447	
819551	232742	
819551	285567	
819551	295532	
819551	307036	
819551	350993	
819551	374152	
819552	5579	
819552	22042	
819552	27732	
819552	34046	
819552	34047	
819552	35618	
819552	63979	
819552	86600	
819552	99550	
819552	174903	
819552	326234	
819552	350842	
819552	378183	
819552	378193	
819553	269045	Technical woman
819554	12921	
819554	12976	Hiroka (Hurato's daughter)
819554	21150	
819554	25952	Kokila
819554	79461	Mrs. Chaudhary
819554	85318	
819554	88487	
819554	91466	Guest Appearance
819554	165146	
819554	166496	Kishori
819554	171949	
819554	176007	Mrs. Anand
819554	184158	Ratnabai
819554	204095	
819554	209843	
819554	217157	
819554	228851	
819554	249645	
819554	251879	
819554	262850	Sumitra
819554	266965	
819554	270199	Special Appearance
819554	271422	Vijay & Shakti's mom
819554	287641	
819554	293248	
819554	297012	Mrs. Rai
819554	373805	
819555	40215	
819556	190273	Cookie Dancer
819557	1445	Herself
819557	21015	Herself
819557	21295	Herself
819557	21296	Herself
819557	133930	Various
819557	228976	Herself
819558	339	
819559	349786	
819560	356420	
819561	394750	Rosa
819562	295131	Samantha
819563	356399	Half Spirit
819564	147163	Barbarina
819565	20898	Nurse Nell
819566	96335	Feliza
819567	163993	
819567	173668	
819567	284810	Safinaz
819567	394803	Sevil Hoca
819568	157342	
819568	188870	
819568	229023	
819568	297859	
819569	349226	
819570	59597	Charlie(Classic Chan Film)
819570	330308	Princess Yasmine
819570	359613	
819570	365499	Nadia Vigrano (Russian Intell
819570	368592	Leading Lady
819571	41195	Veronica
819571	158514	Constance
819571	288476	Rosalind Barton
819571	403992	District Nurse
819572	225827	
819573	264555	
819573	350345	
819574	257413	Sykepleier
819575	40354	Babe 3
819576	129868	Ms. Glamour
819577	174740	
819577	264291	Prinsessa Ruusunen 15-vuotiaa
819577	319318	Kaija Maaheimo
819578	10270	Charlotte Raa
819579	410534	
819580	12543	
819581	372034	
819582	205564	Ochie
819583	99690	
819583	121470	
819583	140034	
819583	163849	
819583	170597	
819583	170995	
819583	172123	
819583	173489	
819583	179415	
819583	179687	
819583	179792	
819583	182484	
819583	199249	
819583	208454	
819583	219295	
819583	221587	
819583	229580	
819583	242281	
819583	280424	
819583	285601	
819583	287579	
819583	300424	
819583	323260	
819583	341281	
819584	107493	Little Red Riding Hood
819585	169204	Jejen
819586	340240	
819587	217273	
819587	303803	
819588	189404	Terry Noble
819589	359614	
819590	61706	Kid at Nickelodeon Studios
819591	147186	Rider
819592	83429	
819593	246923	Patsy
819593	249576	Cindy Consuelo, Party Girl
819593	325027	Dancing girl
819594	354597	Mor til Mona
819595	225689	Herself
819597	40360	
819597	169872	
819597	197643	Martha B.
819598	310067	Juana Nery
819598	332944	Eva
819599	43327	Cabaret singer
819599	43328	Herself (Guest Appearance)
819600	190732	
819601	43290	
819602	22018	
819602	25547	
819602	89507	
819602	180629	
819602	189058	
819602	201401	
819602	320474	
819603	57221	
819603	96887	
819603	308867	
819604	227926	Young woman
819605	97080	Record Store Clerk
819606	66655	Echo Sibley
819606	265826	Shanta
819607	403537	Participant (1999)
819608	194797	Maiden 2
819609	95704	
819609	123099	Kostkowa
819609	179198	Guest
819609	214246	
819609	218066	Kaminska
819609	259811	
819609	380346	Agatha
819609	394585	Stanislawa Dorobczyk (1999-)
819610	37731	Marta's Colleague
819610	215214	Cashier on Airport
819611	135644	Herself
819612	221932	
819612	250700	
819612	404982	Lina Villanueva
819613	238554	
819614	21575	
819614	271675	Housemother
819614	299000	Dance Teacher 'Tomiyo'
819614	359807	Murata Shizue
819615	173257	Hostess of a quiz show
819615	237158	Saeko
819615	293595	
819616	162221	Akane
819616	176636	
819616	293602	Toshiko Ishii
819617	1870	Audience Member #1
819617	33742	Mrs. Garner
819617	89271	Thrift Shop Woman
819617	349123	Herself
819618	282029	Herself
819619	9001	Nightclub Singer
819620	381821	Ensemble (1979-1980)
819621	147655	Jane
819621	161908	Puss 'n' Boots
819623	66047	Melissa
819624	237239	Herself
819625	211336	Emma Washburn
819626	26311	Marina
819627	397684	Herself - Costume Designer
819628	119457	Herself - Host
819628	119459	Herself - Host
819628	180926	Herself - Interviewer
819628	382502	Herself - Host (1997-1999)
819628	385938	Herself - Host (2001-2002)
819628	394768	Herself - Host (2003-2004)
819628	397300	Herself - Host (1998-1999)
819628	399854	Herself - Host (2004-)
819628	400769	Herself - Host
819628	409153	Herself - Host (2004)
819629	409168	Herself - Host (1994-)/Report
819629	409727	Herself - Host
819630	324482	Sponsorien daamit #1
819631	18899	
819632	377305	Tove, waitress
819633	179588	
819634	62412	Duska's mother
819635	63624	Pavlovna
819635	82259	
819635	85145	
819635	132080	
819635	163893	
819635	201976	
819635	229082	
819635	244133	
819635	318146	
819635	344311	
819635	348819	Arina Rodionovna
819635	352868	
819635	356426	
819635	373694	
819636	95682	
819636	172434	Paulina Viardot
819636	180838	His wife
819636	305545	Tsaritsa
819637	10723	
819638	283348	
819639	115424	
819640	38820	Girl
819640	38822	Bonbon Babies
819640	208014	Mirai, Rui of Titan (from Que
819640	298987	Sun Shang Xiang
819640	369525	Miyuki Itsumi
819641	298749	Farmer's Wife
819642	95467	Klein Anna
819643	376140	
819644	206624	
819645	23058	Elder lady
819646	149943	MRI Tech
819646	154614	Vegas Showgirl
819647	58660	Waitress
819648	392671	Fatima
819649	34060	
819650	107650	
819651	33296	Rechter
819651	35894	
819651	64676	Schooljuffrouw
819651	181255	Dienstbode Vera di Borboni
819651	213552	oma
819651	213568	
819651	325198	Roos
819651	342084	Meiti
819651	394612	Verpleegster
819652	67788	Girl in Bed
819653	400801	Ulle
819653	405654	Clara
819653	409992	Moni
819654	211186	
819654	225825	Kitty
819654	356078	Fietje
819655	180319	
819655	200589	
819656	226132	Nabbie (in youth)
819657	355978	
819658	197325	
819659	77348	Angélique
819659	386230	
819660	149744	Une gamine
819661	74475	Lida
819661	237480	Vera
819661	276444	
819661	278496	Neighbor Woman
819661	357290	Bindrová
819662	193157	Party Guest
819663	231577	Nadia
819664	35875	
819664	172726	
819664	270722	Olena Kostyuk
819664	324908	Yarina Shevchenko
819664	344298	Anna Zadorozhnya
819664	357628	Yevdokia Ivanovna Kozlova
819664	374457	Maria
819665	283304	Emily
819666	165202	(segment 'Hijiki' & 'Kendama'
819666	237842	
819667	57560	Chardonnay
819668	138068	
819669	103607	
819669	163096	
819669	172009	
819669	180133	
819669	210188	
819669	288295	
819669	322538	
819669	325009	
819669	377553	
819670	385543	Duygu
819671	261309	
819672	373444	
819673	181484	Milena
819674	131990	Ina
819675	34227	
819675	311398	Anna
819676	65967	Edith Barnett
819676	69655	Kate Corcoran
819676	78686	Patricia Whitworth
819676	84403	Madge Daley
819676	132601	Ursula Norman
819676	161933	
819676	196852	Countess Briand
819676	221087	Lady Annerly
819676	237635	Gioja
819676	240958	Mrs. Gerald Trask
819676	295336	Mrs. Rhodes
819676	308610	Ann Merkle
819676	332087	Adele Hampton
819676	367556	Cleo
819676	367684	Attlie Damuron
819677	324594	Santina
819678	211653	
819679	371882	Gulbahar
819680	302741	
819681	403737	Máire Ní Fhlatharta Uí Chongh
819682	121232	
819683	768	
819684	150948	
819684	236307	
819685	272797	Ensign T'Para
819685	272798	Lieutenant T'Para
819685	272799	Lieutenant T'Para
819685	272800	Lt. T'Para
819685	272801	T'Para
819687	234499	Vampire Goddess
819688	114266	
819689	12795	
819689	37517	
819691	276874	Rori at age 9
819692	99193	Solveig
819693	25254	Pim
819693	26392	Choir Farmer's Wives
819693	48835	
819693	76745	Loes van Moorsel
819693	106298	
819693	125367	
819693	183209	Jaqueline
819693	281148	Vriendin
819693	282436	
819693	302964	Mevrouw Graag
819693	302966	Mevrouw Graag
819693	406876	
819693	410441	Regina Jongschaap (1993-1995)
819694	14738	
819694	144052	Calvado's daughter
819694	179621	Bella
819694	191194	Adelaide Triste-Ruban
819694	213379	Katariina Vornankumpu
819695	91261	Gelina
819695	104742	Host
819695	147240	Austrian host
819695	169504	Donatella Calucci
819695	289909	Anna
819695	290845	Jeanette
819695	332136	Juana
819695	387959	Herself - Presenter (1967)
819696	237239	Herself
819697	182368	Wife of Mykkä-Antti
819698	350353	Linda
819698	397264	Inna
819699	397264	Agnes
819700	394959	Kristiina
819700	409931	Minnan seuralainen
819701	4455	
819701	77036	
819701	135229	
819701	175102	
819701	200653	Kalika Devi
819701	203903	
819701	247165	
819701	267138	
819701	303099	
819701	319302	Pianisti
819702	271634	Verna
819702	328685	
819703	27412	Neelu
819704	31018	Extra: Metro
819705	68725	
819706	54769	
819707	394265	
819708	377184	
819708	380096	
819708	382543	
819708	382691	Sussy
819708	383812	
819708	392986	Ruth
819708	396333	Isabel Füller
819708	396942	
819708	400419	Bernardita Alemparte
819708	403644	
819708	408180	Calú
819708	408722	
819708	408724	
819708	409283	Márgara
819708	412183	Fernanda
819709	230583	Juice's Gang
819710	81640	
819711	81177	Female Escort
819712	65011	Curta
819713	8584	
819714	368737	Mari
819715	69769	Girl
819716	62579	Jogger
819717	219827	
819718	58162	Party Guest
819719	158855	Mercedes
819720	165	Herself (interview)
819720	9128	Eve Clayton
819720	31201	Herself (ABC Team)
819720	37286	Brenda Brooks
819720	54405	Kay Brubaker
819720	59721	Mrs. Hirsch
819720	67593	Jess McCurdy
819720	70359	Bunny
819720	80955	Det. Sgt. Kate Hudson
819720	81314	Diane
819720	81588	Helen Adams
819720	109431	Grace Wolf
819720	114099	Monica Gilbert
819720	116559	Cecile
819720	130341	Jenny Benson
819720	136287	Jane Briggs
819720	141282	Betty Rivers
819720	149180	Rosalie Bonnano
819720	154409	Jody Burrows
819720	154716	
819720	161380	Herself
819720	164662	Linda Riggs
819720	167130	Didi
819720	169934	
819720	171042	Selma Williams
819720	171105	Lina
819720	194062	Lillian Jacobs
819720	195305	Nora Stillman
819720	207267	Elaina Hart
819720	213112	Shirley
819720	215157	Doris
819720	230101	Tilly
819720	263572	Marion Galucci
819720	274312	Martha
819720	297551	
819720	301087	Additional Voices
819720	308851	Meg
819720	313333	Dolores Baker
819720	315172	Lisa Jarrett
819720	318857	Vanetta
819720	319238	Carol Gillman
819720	319568	Bianca
819720	319570	Herself/Bianca
819720	327708	Marion Marshall
819720	338629	Lucille Sand
819720	359932	Dolores
819720	362475	Shirley Campbel
819720	362834	Sally
819720	363339	Molly Hirsch
819720	375909	Florinda
819720	383414	Li's Mom, Marg
819720	385919	Det. Sgt. Kate Hudson
819720	393648	Bunny Bravo
819720	400773	Julia Blake (1984)
819720	404299	Sara Yarnell
819720	405718	Scuple (1986-1989)
819720	406113	Additional Voices
819721	27191	
819722	300486	Carlotta Zann
819723	154156	
819723	171297	Bystander #1
819723	242621	Lil
819723	291414	Nancy
819723	314965	Upset Woman
819723	343907	Hospital cashier
819723	345857	Jerry Springer Guest
819724	5774	Raphaella
819725	203549	Legs
819725	272438	Anne Cutler
819725	313189	Playboy Mansion Guest
819726	105301	Rachel
819728	105131	
819728	140698	Dworsky
819728	224214	Darlene Pilgrim
819729	50444	Cheerleader
819731	396523	Magali
819732	352458	Major's wife
819733	194405	Dice Girl
819734	40263	
819735	396523	
819736	9353	Karmina Burana
819736	61227	
819736	127456	Dete
819736	132569	Biyachkata
819736	162731	Grimyorkata
819736	163029	
819736	211281	Limbiyka
819736	253836	Motza
819736	288358	
819736	373568	
819736	373973	
819736	397471	Limbiyka
819737	9306	Mano
819737	14589	Woman
819737	20877	Neno
819737	20879	Neno
819737	129013	Giuli
819737	162541	Manana
819737	180788	Jema
819737	202750	Nunu
819737	221407	Elisabed Lomidze
819737	227727	Nani
819737	228189	Natela
819737	268561	Marta
819737	268579	Gviristine
819737	286651	Esma
819737	286796	Natela
819737	324987	Despine
819737	341200	
819737	344269	Tsitsya
819737	344270	Tamari
819737	354632	Pati
819737	374854	Masha, a gypsy
819738	206703	
819739	35770	Herself (Luna Vachon)
819739	177486	Luna Vachon
819739	234072	Luna
819739	282676	Luna Vachon
819739	282680	Luna Vachon
819739	282681	Luna Vachon
819739	282682	Luna Vachon
819739	320132	Luna Vachon
819739	320138	Luna Vachon
819739	368820	Luna Vachon
819739	368825	Luna Vachon
819739	368831	Luna Vachon
819739	369198	Luna Vachon
819739	369278	Luna Vachon
819739	369290	Luna
819739	369306	Luna Vachon
819739	369307	Luna
819739	402020	Luna
819739	402907	Luna Vachon (1997-2000)
819739	406933	Luna Vachon (1999-2000)
819739	410688	Luna Vachon (1997)
819739	411539	Luna Vachon (1999-2000)
819739	411542	Luna Vachon (1998-2000)
819739	411543	Luna Vachon (1993-1994)
819739	411545	Luna Vachon (1999-2000)
819739	411550	Luna Vachon
819740	251547	La fillette affamée
819741	38583	Guest
819741	117143	The Flapper
819741	166345	Middle-Aged Woman
819741	183836	Doris
819741	206069	Mary Lamm
819741	215334	Nun
819741	346229	Mrs. Louis
819741	359868	
819742	69102	
819743	330099	Cathy
819744	258936	Foster Mother
819745	73143	Arlette Plouffe
819746	51442	Mme Thibault
819746	68377	
819746	174154	Candidate à Mario
819746	186127	Mme Thibault
819746	236535	Michelle
819746	254014	Gisèle
819746	383664	Linda
819746	384013	Manda Parent
819746	394647	Sylvie Côté
819746	401320	Alice Thibodeau
819746	410252	Pénélope Belhumeur
819747	321255	
819747	368857	
819748	153788	La propriétaire de l'hôtel
819748	345196	
819749	88431	Venturová
819749	147035	Conductress
819749	281214	Irena
819750	621	
819750	765	
819750	768	
819750	3401	
819750	7415	
819750	13503	Herself
819750	25369	
819750	26485	
819750	27008	
819750	27010	
819750	27021	
819750	27257	
819750	31719	
819750	33947	
819750	34825	
819750	35066	
819750	35448	
819750	37448	
819750	37670	
819750	41544	
819750	41588	
819750	41615	
819750	41620	
819750	41645	
819750	43884	
819750	44236	
819750	46072	
819750	46633	
819750	59189	
819750	59674	
819750	60798	College Student
819750	62421	
819750	62668	
819750	64839	Blonde City Woman
819750	66108	Laura
819750	67032	Herself
819750	69502	
819750	69841	
819750	70374	
819750	74185	
819750	74976	
819750	80542	
819750	81861	
819750	81864	
819750	83800	
819750	105725	
819750	106388	
819750	107093	
819750	109229	
819750	110214	
819750	116013	Herself
819750	117344	CeCe Lynn
819750	117372	
819750	120007	
819750	125584	
819750	144431	
819750	149396	
819750	150176	
819750	150645	
819750	159517	
819750	161507	
819750	188989	
819750	192383	
819750	196002	
819750	197773	
819750	210539	
819750	219245	
819750	223712	
819750	223935	
819750	228022	Herself
819750	228029	Herself
819750	228030	Herself
819750	228052	
819750	228065	
819750	228078	Herself
819750	233711	
819750	233717	
819750	233737	
819750	235147	
819750	242059	
819750	243095	
819750	252931	
819750	253511	Sam
819750	255159	
819750	263300	
819750	264902	
819750	267835	
819750	271303	
819750	292714	
819750	295669	Jessie
819750	295850	
819750	298163	Lisa Deuble Woo
819750	299682	
819750	300520	
819750	306875	Herself
819750	306908	
819750	306909	
819750	306932	
819750	317000	
819750	318105	
819750	323084	
819750	339648	
819750	347390	
819750	349969	
819750	358155	
819750	362746	
819750	372522	
819751	82368	Pevacica
819751	212663	
819751	233182	Severina Smaglevska
819751	343867	
819751	344397	
819752	95837	Martina
819752	180672	Pink
819752	250402	Bibina
819752	321515	Swing Girl with Peter
819753	12937	Czechoslovakian actor
819754	16195	
819754	261380	
819755	84764	Prodavacka Eva
819755	88583	Baruska, daughter
819755	88747	Irena Krausová
819755	169110	Eleonora Somková
819755	244258	Pepicka Kondelíková
819755	244259	Pepicka Kondelíková
819755	262254	Lidunka
819755	262567	Apolenka, granddaughter
819755	349318	Baruska
819756	247949	
819757	111299	Lady Stratfordshire
819759	45618	Corporal
819759	62548	Emma Goldman
819759	84206	Lisa, biker chick
819759	109295	
819759	129119	Maria
819759	169946	Driver's Public Defender
819759	201311	Mary Ann McInnis
819759	212802	Hotel Manager
819759	223719	Aunt Freida
819759	252203	The Warden
819759	270587	Sylvia
819759	291866	Mrs. Papaportiliou
819759	297267	Mrs. Lombardo
819759	306868	Beth Poulet
819759	335285	Helen the Waitress
819759	342018	
819760	126918	
819760	164697	Maryam's mother
819760	220702	
819761	238252	Drunk Girl #1
819762	126925	
819763	7457	Patron du Lion d'Or
819764	252524	Laughing Girl
819765	28162	
819766	75444	
819767	17141	Marcella
819767	90606	Gloria
819767	104231	Carmilla
819767	189162	Marianne Tourvel
819767	290901	
819767	305430	Rosalia Trizzini
819767	345490	Florence
819768	116145	
819768	281399	
819769	185530	Herself
819769	223355	Ponnatha
819769	246355	
819769	286850	Deiva's Grandma
819769	301207	
819771	16965	
819771	43185	
819771	96387	
819771	119213	Babushka
819771	119214	Babuschka
819771	377719	Drumáné
819771	377815	Bárlány
819772	343748	
819773	78950	
819773	301503	
819774	47610	
819774	103669	
819774	170920	Recepcionista Hotel
819774	177028	
819774	253564	Betty
819775	42381	Joséphine
819775	336985	Collègue François
819776	406489	Lacey
819777	55199	Micaëla
819777	69973	Antonia
819777	130590	Soprano
819777	281272	Juliette
819777	338620	Violetta Valéry
819777	390558	(segment "Puccini")
819778	243763	Dancer (Gaia)
819779	305522	
819780	225825	Elvira
819781	352608	Cello, Veravo Quartet
819782	47474	Essie's family
819783	16228	Hilde Verstraeten, Fanny Valr
819783	23640	Marie-Agnes
819783	78437	Ilova
819783	86270	Jane
819783	134539	Germaine
819783	134540	Germaine
819783	174407	Euridice
819783	195163	Lucie
819783	249688	Aktrice Mia Brossé
819783	311073	
819783	332608	Germaine
819783	359630	Angelina
819783	374631	Dochter
819783	393451	Zuster
819783	394333	Ismel
819784	16227	
819784	33116	Nurse Ingeborg
819784	38699	Mother
819784	156731	Nurse
819784	270689	
819784	325940	Ingrid
819784	347035	Model #2
819784	348059	
819784	390812	Franziska Bohlstädt (1999-200
819785	397317	Mireille
819786	9206	
819786	90819	
819786	277167	Herself
819787	149247	Sarah
819788	316979	Newscaster
819789	10959	
819789	11976	
819789	18942	
819789	98636	
819789	120815	
819789	127382	
819789	162139	
819789	201125	
819789	209780	
819789	243188	Niki
819789	251132	
819789	266187	Anna
819789	349675	
819789	349676	
819789	350804	
819789	372956	
819789	395900	Manos' mother
819790	119315	Rothman Center Staff/Voice of
819791	90950	
819792	266080	
819793	262644	
819794	356420	
819795	89572	Steiner's Guest
819796	222790	Woman on bus
819797	403537	Participant, 'came to the fin
819798	240428	
819799	137088	Irena
819800	60881	
819800	154522	Tosya
819800	229009	
819800	411911	
819801	402158	
819802	251063	
819803	146580	Estela
819803	352160	
819804	353565	
819806	400452	Hostes
819807	40382	Tatü
819807	207890	Delia
819808	387265	Voice of Max
819809	399405	Child
819810	399405	Girl
819811	409277	Herself/Journalist ("Sans fro
819812	170246	Kesätyttö #2
819812	181631	Nun
819813	21729	
819813	152357	Essi
819813	283959	Ida
819813	302979	
819814	353314	Cafeteria Worker
819815	27646	
819815	149443	Herself
819815	223921	Herself
819816	259535	Mandy
819817	51406	Charlotte
819817	58746	Sa demi-soeur
819817	63856	Léa
819817	80316	Louise Soulac
819817	100242	
819817	191413	Henriette
819817	205765	Céline
819817	246336	Dorothée
819817	269738	Sabdrube
819817	346671	Joëlle
819817	387081	Audrey Betel
819819	187988	Supporting
819819	223691	Dancer/Singer
819819	315887	Day
819820	223691	Background dancer
819821	16087	Cathy
819821	161824	Filipino Girl
819821	336669	Rebecca
819822	306100	Zdena
819823	344178	Little Rabbit
819823	353467	
819823	386394	Little Girl
819824	324653	
819824	349340	
819825	374353	Nurse at Hollowbrook
819826	29965	
819826	306841	
819827	43447	
819828	105600	Manager
819829	55476	Proudfoot
819829	166917	Former Girlfriend
819829	169477	Devin
819829	178138	Beautiful Girl
819829	227006	Amelia
819829	295290	Dr. Olga Vukavitch
819829	384837	
819829	404923	Dr. Olga Vukavitch
819829	411683	
819830	138837	Waitress
819831	55406	Sylvette
819831	217706	
819832	20260	Carol
819832	81640	
819832	250744	Howard's Girl
819833	169623	Dean of Girls' School
819834	48593	Mrs. Surchart
819834	192269	Winifred Krelboin
819834	224508	Myrt Minter
819835	230743	Nurse Abbott
819836	174405	Dalbonne
819836	187595	
819836	301085	Claudia Simon
819836	325766	Dorit Lischka
819838	33076	Sergej's Tochter
819838	122227	
819840	45050	Gwen Guthrie
819841	45050	Gwen Guthrie
819842	333464	Sandra
819843	29704	
819844	108773	
819845	99370	
819846	28691	Lorenza
819846	44229	
819846	66806	Sabina
819846	84632	
819846	234550	
819846	300838	
819846	328871	
819846	348194	
819847	55488	Marie
819848	236972	Snowflake
819849	373372	
819850	12812	
819850	219517	Juliette
819850	399816	Yvonne Marette (1972)
819851	205231	Sabine
819851	228563	Serveuse
819851	284882	Mado
819851	292353	Secrétaire Belloc
819851	307497	Cybèle
819852	235719	Directrice pensionnat
819853	137223	Dancer
819854	304295	Girl on Buss
819855	401875	Herself - Finalist (2002)
819857	208993	Skinhead Chick
819857	304535	Tatooed Woman
819859	391739	
819859	402818	Natalie (1998-1999) (season 2
819859	405109	Ogen
819860	170245	Kaisa
819861	349408	Terttu
819862	182218	
819862	185006	Mother
819862	278686	Tiina
819862	301430	Lentoemäntä
819862	357785	
819862	357786	Luutnantti Anni Maria Sieväne
819862	357787	Luutnantti Sirola-Kuortti
819862	380393	Ansa
819862	392555	Sari Raaste
819862	394132	Aino Kaskipuro
819862	400857	Sari Raaste
819862	401440	Riitta
819862	407556	Anu Rissanen
819862	408013	Herself - the host (2000-2002
819862	409801	
819863	169092	
819864	153547	
819865	303708	
819866	176549	
819867	197364	Greta
819868	253796	Liisa
819869	356395	
819870	295708	Narrator
819870	295709	Narrator
819871	18288	Une infirmière chanteuse
819872	8717	
819872	21150	
819872	36303	Sushma Dalvi
819872	98468	
819872	98504	
819872	152466	Meenakshi
819872	165929	
819872	166459	
819872	194570	Majli Kapoor
819872	227205	Chinki
819872	227644	Bhavani's Daugther "Sumi"
819872	262857	
819872	284704	Maria (the bride)
819872	289079	
819872	300415	Viji
819873	17644	
819873	27408	Tanssija
819873	44032	
819873	85336	
819873	123582	Ganesha's Mother
819873	124638	Chandramouli's mother
819873	138597	
819873	270215	
819873	280567	
819873	317779	
819874	397878	Lia Berger
819875	170468	
819876	223400	Tahitian
819876	379461	
819876	381620	Host (1993)
819877	7550	
819877	34400	Augustinas
819877	48392	Mrs. Borchert
819877	101346	Frau Haverkamp
819877	107879	Heilsarmee-Offizierin
819877	111671	
819877	184294	Frau Seipel
819877	193462	Frieda
819877	209347	Amalie
819877	218231	
819877	268856	Lady Harriet Ripley
819877	281953	
819877	307064	
819877	347506	Blau-Anna
819877	352382	Dame
819877	376481	
819878	2781	Conrows
819879	43114	
819880	322934	Ann-Sophie
819881	378265	
819882	43189	Svéd lány
819882	136431	
819882	136845	Zsófi
819882	147929	
819882	153688	
819882	246283	
819882	407837	Veronika
819883	187837	Friderika Brion
819884	146961	Teacher's voice
819884	402834	Victoria Laporte
819885	24715	
819885	182693	
819885	322126	Brüll, Nóra
819886	251926	
819887	96831	Sharmani
819887	374397	Anna Kutinová
819888	356069	
819889	357212	
819890	89733	
819891	51258	Zuzka
819892	1356	Mary
819892	102208	Karen Conner
819892	305694	Julie
819893	138002	
819894	279319	Aunt Judy
819895	340094	
819896	32502	Baba Sava
819896	180785	
819896	198124	Mayka Nevyana
819896	258130	
819896	315937	Kita
819897	17531	
819898	260176	
819899	182948	Women's Army of Revolt/Citize
819900	267684	Citizens of New Orleans
819901	349408	Saara
819902	184009	Raija
819903	409855	Saara Vuorinen
819904	65029	Immigrant
819905	162758	
819906	382486	Maryse Jobin
819907	155138	La colonelle
819908	189622	Mme Dupêchon
819908	265467	La foraine
819908	336968	
819908	356505	
819908	410215	Mme Guillot
819909	243299	
819909	395620	L'hôtelière (segment "Urbain"
819909	411885	Venusia
819910	295013	
819911	168253	Vita
819911	254290	Mrs. Mendoza
819912	47796	Nurse
819912	80821	Chili Peppa
819912	151126	Party Girl #2
819912	188988	Studio singer
819912	214981	Reva
819912	240735	Helen Stevens
819912	258752	Gena
819912	291970	Coach Jensen
819912	336914	School board member
819912	351188	Capt. Connie Richards
819912	386254	Emergency Room nurse
819912	400103	Nurse
819913	252660	
819914	90900	Effie
819915	7236	Ice Cream Clerk
819916	292097	
819918	380795	Kena
819919	212242	Chamber Maid
819920	3225	Herself
819921	380107	
819921	380795	Dra. Olivia Cairo
819921	387825	Elvira
819921	401918	
819921	404706	
819921	407276	Sra. Tovar
819922	19521	
819923	70098	
819923	227590	
819924	86432	
819925	68329	
819925	84042	Herself
819925	99364	Marie-Noëlle, la voisine
819925	102042	Françoise
819925	112854	Valérie's mother
819925	158840	Mme Lebeau
819925	166289	Laure Moulin
819925	171320	Joséphine
819925	195211	La gardienne
819925	197306	
819925	198319	La secrétaire du CAPMAC
819925	205622	Suzanne
819925	217689	Gilberte
819925	224899	Jeanne
819925	267024	Maryse Ploche
819925	309691	
819925	340352	
819925	345371	Cécile
819925	346741	
819925	377944	Nicole
819925	397817	(1982-1984)
819927	187263	Young Miriama
819927	405209	Vao Ualesia (2000)
819928	14471	
819928	107681	
819928	215853	
819929	104756	German entry (2nd place)
819929	189845	Herself
819929	189849	Herself
819929	189859	Herself
819930	13330	
819930	23183	
819930	93893	
819930	95889	
819930	97874	
819930	99418	
819930	115694	
819930	131070	Golfo
819930	137866	Liza
819930	181324	
819930	212012	
819930	217243	
819930	244246	
819930	244952	
819930	333769	Elsa
819930	380814	Eva Sikelianou
819930	397728	
819930	401242	Dorina Malpieri
819931	1187	Herself
819931	1729	Presenter
819931	99373	Wella Hot Look
819931	170848	Herself (greetings for the sh
819931	228303	Presenter
819931	258101	Jessica
819931	399129	Herself
819931	399130	Felicity 'Flick' Scully (1999
819932	345401	
819932	405984	(Pledge Educator, USC)
819933	216774	La femme pigeonnée
819934	10078	Rosalie
819934	26479	
819934	55892	
819934	59709	
819934	100288	Colette Thomas
819934	129004	
819934	151146	Claire Benoit
819934	212153	Anne
819934	240261	Rose
819934	243653	Princess Sasha
819934	252235	Soizic Le Bihan
819934	272257	Sophie
819934	282280	Nadia
819934	326136	Corinne
819934	336828	Charlotte
819934	345231	L'inspectrice Claire Rauch
819934	377914	Katia Pogoretz
819934	382471	
819934	385003	Myriam Cordier
819934	385003	Myriam Cordier (1992-2001)
819934	389732	
819934	398993	Madame Coigny
819936	58505	Young Blonde Woman
819936	58509	
819937	404049	Epang
819937	404051	Zeny
819938	17883	
819938	114206	Mother of Spiridon Louis
819938	212589	
819938	235805	
819938	315194	
819938	321167	Sara
819938	391504	
819938	405566	
819939	252032	
819939	284253	Aurélie
819940	46693	
819941	9604	
819941	124850	
819941	164013	
819941	231162	
819941	265016	
819941	374939	
819942	226148	Abigaille
819943	20431	Social worker
819944	401	Nun
819944	24742	Henriette Löwenflycht
819944	109140	Irma Strand
819944	115878	Olga Ekman
819944	120966	Eva Möller
819944	121004	Ms. Holm, secretary
819944	137907	The Queen
819944	137975	Mrs. Vilander
819944	138024	
819944	138180	Linda Loman
819944	138181	Linda Loman
819944	154533	Marianne
819944	155690	Galen Fru
819944	170707	Märeta
819944	174049	Queen Dowager
819944	182299	Vera
819944	182566	Schwester Erika
819944	192657	Frida von Rambow
819944	192929	Essie, Nat's wife
819944	204538	Mrs. Nyman
819944	210372	Woman at the restaurant
819944	220765	Lady Bracknall
819944	237270	Sven's wife
819944	248521	Katha
819944	251989	The mother
819944	253911	Grandmother
819944	264292	Doctor
819944	272642	Mrs. Lefverhielm
819944	284100	Duchess
819944	284386	Mrs. Bryant
819944	295901	
819944	303198	The Man's Wife
819944	303706	Mrs. Jacobi
819944	304211	Vera's mother
819944	307772	Cecilia
819944	308200	Actress
819944	315446	Mrs. Ullman
819944	316909	Nurse
819944	321929	Karen Solbakken
819944	322437	Grandmother
819944	326127	Britt-Marie
819944	346974	Ingrid
819944	377307	Motherly Woman
819944	401772	Frideborg Glans
819944	404039	Old Lady Sporthane
819944	406626	
819944	406775	Agnes
819945	17861	
819945	40316	La lavandière Elisabeth
819945	67640	La grand-mère Frenet
819945	246839	Julia
819945	254170	Mireille
819945	332623	La jeune fille blonde
819945	357827	Mme Vandenbroek
819945	377477	La femme agressée
819946	332242	Maruzza
819947	77076	
819948	373349	Interviewer
819948	395636	Rosine
819949	251673	
819949	378380	Presentadora
819950	69278	Viuda (Widow)
819950	70853	Camella
819950	189480	Prostitute
819950	318235	Funcionaria embarazada
819950	391986	
819951	411714	Herself
819952	247276	
819953	3114	
819953	30599	
819953	271685	
819954	250551	
819955	384026	
819956	236323	Zorka V.
819957	380366	Helga
819957	380367	Mara
819958	148039	
819958	227500	
819959	23937	
819959	197473	
819959	243721	Vicenta
819960	193345	
819960	202209	
819960	202210	
819960	210445	
819960	221759	
819960	225699	
819960	225704	
819960	235359	Nora
819960	343734	
819961	302933	Eloise Fernier
819961	327906	Eloise Fernier
819962	70495	
819962	275653	Simone, Jean's wife
819963	237814	
819964	3458	
819964	9730	
819964	52149	
819964	233335	
819964	236418	
819964	277386	
819964	285471	Doña Lupe
819964	291602	
819964	354716	
819965	8074	Olivetta
819965	42022	
819965	115909	
819965	145999	
819965	272097	Virginia Allen
819965	296939	
819966	400660	Mari Carmen
819967	25300	
819967	28544	Susanna Bergamini
819967	36612	Luciana
819967	52879	Signorina Giraud
819967	54303	
819967	57959	Margaret
819967	67908	
819967	70719	
819967	75240	Mlle. Danton
819967	83699	Linda
819967	87822	
819967	104003	
819967	104475	Madre di Andrea
819967	156911	Lawyer Ferri (segment "Medico
819967	212518	Gigliola
819967	234740	
819967	263630	
819967	280840	
819967	324076	La Giornalista
819967	349935	
819968	6631	
819968	213760	
819969	233967	Biker's Girl
819969	264235	Secretary
819970	11286	Gina
819970	336026	Limo Driver
819971	407711	Leire
819972	267428	
819972	375113	Tawny
819973	336480	Hysterical Bloody Lady
819974	65892	Ms. Amador
819975	247589	
819976	10824	
819977	10824	A little girl
819978	367873	Janine
819979	1870	Lily (Newborn)
819980	87166	Fancy Dancer
819981	42589	Marquesa de Alorna
819982	140990	Sol
819983	45072	
819984	20730	
819985	100868	Young Dayumae
819986	380147	Clô
819986	383727	Gabi
819987	45638	Gary's Counselor (segment "Bu
819987	49489	Gary's Counselor
819987	289366	Hospital Nurse
819988	127297	Helen Churchill Candee
819989	207046	
819990	127102	Toby's Mom
819991	241589	Fado Singer
819992	39158	Marta
819993	59781	
819993	139898	As herself
819993	145146	
819993	145259	
819993	249876	
819994	72233	Specialty dancer
819994	149994	Herself
819994	183638	Lead Can-Can Dancer
819995	350235	Hooker
819996	192995	Diana
819996	378382	
819997	273222	
819998	26013	
819998	27627	Janice
819998	30867	
819998	50805	
819998	85471	
819998	89764	
819998	127724	
819998	138335	
819998	173634	Dorina
819998	199779	Luchi
819998	200018	Carla
819998	222110	Criselda Pereira
819998	234848	Sylvia
819998	287062	Margie
819998	385703	Mira Cordero
819998	400738	Amor Powers
819999	254414	Background Player
819999	269293	Queen Baralooda
820000	119334	Screaming Woman
820001	94838	Iris
820001	222412	Edecán
820001	384400	Daniela Jiménez Robles
820001	412190	Lucía Andueza Covarrubias
820002	409919	Milagritos (2004-???)
820003	46270	High Girl
820003	230353	Cecelia
820003	310091	Princess Latas
820004	183009	Connie, Jr.
820005	233332	
820006	297396	Mah-Jongg Voice, Multi-Player
820006	297397	Mah-Jongg Voice (West)
820007	50805	
820007	117684	
820007	211544	Burmese girl
820007	289297	Watanabe-san Midori
820007	392527	Aling Idang
820008	35155	Rachel Simmons
820009	51306	Dependienta #2
820009	64672	Linda
820010	317680	
820011	197551	
820011	243712	Jo Russell
820012	230583	Juice's Gang
820013	172310	
820014	35030	
820014	132207	Karen
820014	144365	
820014	168928	Iza's Friend
820014	174888	
820014	200664	Sally
820014	202413	
820014	236108	Stefi
820014	324388	
820014	341709	
820014	379023	
820014	381380	Alex
820014	390069	Jek-Jek
820015	377173	
820016	33740	
820016	352459	
820017	20346	Mrs. Bowman
820017	23353	Maizie
820017	47908	
820017	69688	Nora Frazier
820017	123321	Grace Carew
820017	163718	Arrita
820017	232136	The Innkeeper's Daughter
820017	302758	Reina Valdez
820017	331929	Mrs. Clem Dayton
820017	337639	Nell Bradley
820017	360549	
820017	360555	Madeline March
820018	46274	Matilde Gonzalez
820018	249084	Carmelita
820018	375847	Lowrider's girlfriend
820018	407580	Gov. Gen. Garcia
820018	412072	Gov. Gen. Garcia
820019	173361	
820019	204951	
820019	284675	
820019	324090	
820020	308026	Helen
820022	111688	
820023	387621	Cachita
820024	277295	Boy's Mother
820025	13759	Gigi Manalastas
820026	210180	
820026	247469	
820027	190920	
820028	123103	Eirene Veni
820029	382741	Sílvia
820030	870	Hófí's Friend
820031	282563	Pierette
820032	206385	Kitty
820032	244870	Anna
820032	351589	
820032	391741	Hilda (1966-1970)
820034	376500	Hypnotised Woman
820035	283758	
820036	384510	Host (2003)
820036	400952	Luisa
820037	74152	
820038	11171	Bikini Sunbather #3
820039	353236	Accomplice
820040	13078	Madre de Ana (Olga)
820040	29825	
820040	65158	
820040	102441	Ana
820040	132723	
820040	156022	Carmen
820040	174316	Marta
820040	186542	
820040	193316	Verónica
820040	200805	Diva
820040	225606	Marta
820040	281130	Maria
820040	285500	Florence
820040	293379	Estrella
820040	312529	
820040	353018	Herself - Winner: Supporting 
820040	378988	Cristina (1998)
820040	384734	Cristina (2002)
820040	387881	
820040	390722	María
820040	398838	Laura (1999)
820040	400420	
820040	407540	
820041	263880	
820042	259147	Holly/Hero Girl
820043	255501	Anita
820043	378738	Alejandra
820043	382941	
820044	100326	Amalia
820045	233080	Milla
820045	350353	Imbi
820046	425	Artist
820046	34222	Greta
820046	55957	
820046	115430	Brita Brummell
820046	138957	Von Dotzen's daughter
820046	165627	Pyret
820046	174076	Tilda
820046	182302	Lena
820046	248189	Lydia
820046	248196	Eva Hellman
820046	348501	Miss Maj Svensson
820046	351929	
820047	224991	
820048	202339	
820049	98318	
820049	129323	
820049	134929	
820049	186957	
820049	225315	
820049	347675	
820049	347697	
820049	352386	
820049	361087	
820049	361425	
820051	362792	Pretty Girl
820051	367857	Bit Part
820052	80189	Punk
820053	165584	
820053	206991	
820053	225006	
820054	80116	Herself
820055	57565	
820056	672	Monserrat
820056	14710	Claudia, the doctor
820056	33468	Rachel
820056	54192	
820056	68583	
820056	151798	
820056	187615	
820056	204829	Manuela Sáenz
820056	236440	Child
820056	253022	Silvia
820056	268255	
820056	357189	
820056	379649	
820056	379898	Sol Rigores
820056	383250	
820056	385058	Prodigio Vargas
820056	390310	Magnolia
820056	390748	Gisela
820056	396161	Dinora
820056	400938	
820056	401438	
820056	403125	Salomé de Santos
820056	410387	Libertad
820057	53010	
820058	53684	
820058	54824	
820058	318292	
820059	6464	
820059	28016	
820059	145201	
820059	250792	
820059	252049	
820059	281007	
820060	371757	
820061	18650	
820062	30418	
820062	55772	
820062	82589	
820062	100308	
820062	160620	Fefe
820062	225611	
820062	397242	
820063	101821	
820064	225611	
820064	398807	Xiolimar
820064	405809	Mirna
820065	233332	
820066	400756	Montse
820067	55007	Child
820067	332971	
820068	51525	
820068	76095	
820068	103664	Mary
820068	124538	
820068	148070	
820068	159525	
820068	183500	
820068	213724	
820068	225699	
820068	236750	
820068	339129	
820068	339163	
820068	349667	
820068	351490	
820068	377102	Patricia
820069	56811	
820069	69877	
820069	73522	
820069	169794	Older Joan
820069	183945	
820069	215027	Mother
820069	234319	
820069	352151	
820070	370439	
820071	91402	
820072	401248	Gloria
820073	406861	
820074	12917	
820074	14676	
820074	20738	
820074	28314	
820074	46658	Inesita, Angela's daughter
820074	52881	
820074	100768	Sister Blanche
820074	103492	
820074	111996	Lucía
820074	135160	
820074	160092	Elena Ezzquellia
820074	192982	
820074	213750	
820074	222050	
820074	282136	
820074	318291	
820074	350184	Rosa
820074	351637	Magdalena
820074	386328	
820075	207731	Lena
820075	377173	
820075	378975	
820075	381145	
820075	398458	
820075	408406	
820075	409779	Dolores
820076	199791	
820077	19460	
820078	6673	
820078	12026	
820078	54326	
820078	54716	
820078	61191	
820078	256367	
820078	357507	
820078	403749	
820078	405834	Daisy
820079	6629	
820079	10824	Alicia Diaz
820079	14921	
820079	30402	
820079	80327	
820079	82589	Clarita
820079	178673	
820079	226436	Carla Pérez
820079	235994	Amiga Ofelia
820079	248750	Sissy
820080	211071	
820081	3132	Sandra
820081	9084	Mónica
820081	18374	Rumbera
820081	198215	María
820081	277393	Yoly
820081	304478	Eva
820081	310302	Karen
820082	103163	Muchacha 3
820083	409833	Sandra
820084	25220	Dora
820084	68557	Mujer I
820084	74165	
820084	88703	Secretaria 2
820084	100496	Brenda Ríos
820084	385502	Rita Lobo
820084	392960	
820084	401918	Yolanda Uribe (joven)
820084	410477	Cynthia Vale
820085	402150	Herself/Jornalista
820086	400110	Woman in street
820087	16827	Herself
820087	16828	Herself
820087	72378	
820087	104148	
820087	132714	
820087	135283	
820087	193072	Herself
820087	200539	Dorotea
820087	262980	Herself
820087	378996	CoHost
820087	380059	Wendy Nayeli Pérez
820087	381650	Margarita
820087	381922	Host
820087	383330	
820087	391421	
820087	391742	Marianita Velarde
820087	392213	Host (2000)
820087	395300	Tere
820087	397734	Bebe alejandra
820087	398663	
820087	400894	Various
820087	404702	
820087	406056	Julieta
820087	410477	Herself
820089	370153	
820090	222013	
820090	309089	
820091	353362	
820092	133678	Sibbu
820092	269901	Sister Rose Fatima
820092	400110	First Twin
820092	406643	Gorgon
820092	408478	Twin #2 (1994)
820093	331332	(segment "Steps in the Street
820094	92435	Mason twin
820094	234803	Miss Tate
820094	248318	Ruby Stark
820094	348327	Heavy nurse
820095	113634	A Girl
820096	115271	Mrs. Lustig
820097	236697	WPC driver
820099	219241	Cristina
820100	372710	
820101	49894	
820102	52439	
820102	241469	
820102	274655	
820103	403822	
820104	6153	Hetty Sorrel
820104	7956	
820104	14262	
820104	24302	
820104	31830	
820104	35395	
820104	65923	
820104	69351	
820104	71767	
820104	73418	
820104	96810	Lady Isabel Severn
820104	96948	Lily Lorraine
820104	117224	Mary, Tom's Sister
820104	128396	Grace Merridew
820104	152820	Fanny Meyer
820104	169497	Bernice De Armond
820104	250905	Virginia
820104	291161	Suzanne
820104	295811	Laura Reynolds
820104	351693	Nan
820104	360701	Annette Solman
820104	362667	Louise
820104	366722	Andrea Montignac
820105	351745	Kiliki
820106	127686	Undetermined Role
820106	319033	Herself
820107	121268	
820108	85986	
820108	89075	
820108	257586	
820108	257622	Fax Girl
820108	257623	Fax Girl
820109	370153	
820109	403885	Naty Duarte
820110	70825	Senora Camargo
820110	124720	Elinor Benford
820110	224588	Joan Hill
820111	263559	Isabella Alverez
820112	13432	Woman in Pub (segment "Son of
820114	330320	Miss Philips
820115	381246	
820116	102756	
820117	185451	Young Betty
820119	151986	Dress Shop Girl
820119	334112	Mrs. Redmayne
820120	250638	Aesthetic maiden
820120	334757	Chorus
820121	51106	
820121	251984	
820121	385475	
820121	404709	
820122	880	Ticket Seller
820122	5009	Class Teacher
820122	133678	Sabbu
820122	269901	Sister Flavie
820122	307908	Dawn Stoner
820122	400110	Second Twin
820122	406643	Gorgon
820122	408478	Twin #1 (1994)
820123	177119	Lorna
820124	13580	Waitress at Restaurant
820124	36841	Joan Fielding
820124	40992	Beverly Blake
820124	47309	Betty Collins
820124	49324	Molly Mathews
820124	51750	
820124	52344	
820124	66549	Hazel De Vore
820124	70986	School Mar'm Alice Lorraine
820124	73253	Trixie Waters
820124	87549	Stewardess
820124	113905	Mrs. Errol
820124	124720	Hysterical Woman at End
820124	143231	Eleanor Martin
820124	175158	Senorita Carlos
820124	177359	Dixie
820124	187473	Ellen Ives
820124	206531	Virginia King
820124	214166	May Thomas
820124	223130	Virginia Porter
820124	231858	Marsh's maid
820124	247570	Mrs. Errol
820124	253525	Flo
820124	262320	Priscilla Brambull
820124	262334	Virginia
820124	272091	Herself
820124	274535	
820124	275859	Elevator Girl
820124	279598	Alice Tremaine
820124	309837	Jan Martin
820124	312817	Caroline McKay
820124	331618	Phoebe Pardway
820124	339884	Lorna Payson
820124	347411	Betty
820124	372126	Sally
820125	4656	
820125	107710	
820125	248775	
820125	252768	
820127	10579	Rose Lane
820127	39970	
820127	43448	Ellen Ingram
820127	57702	
820127	58485	
820127	68485	Violet Manners
820127	72605	Diane
820127	74226	
820127	94961	Vesta Philbrook
820127	96613	Amy Dawe
820127	96656	Kitty Miles
820127	104348	
820127	117028	
820127	120636	
820127	131514	Georgie Hibbler
820127	133694	
820127	138884	Diana Ramon
820127	141182	Emily Stone
820127	141429	Mrs. Jackson Cain
820127	141480	Virginia Calvert
820127	143009	Countess Fontaine
820127	145697	
820127	149647	Muriel Fletcher
820127	162400	Mera Donovan
820127	163355	
820127	183712	Mildred Vandeburg
820127	191602	Mamie
820127	193266	Ruth Mason
820127	202936	Rosie (Joe Cateau's bride)
820127	207485	Minnie Patton
820127	211160	Marjorie Manning
820127	213137	Myra
820127	215059	Betty Bond
820127	220095	Ina Phillips
820127	245740	Louise Alacarme
820127	254516	Ballerina
820127	263512	Bit Part
820127	267539	Jeanne Baldwin
820127	292504	Miriam Vale
820127	301662	Betty Bryce
820127	302731	Alice Thornton
820127	303462	Winifred Waverly
820127	304312	
820127	306855	
820127	308007	Molly Brent
820127	308012	Molly Brent
820127	308361	
820127	308663	
820127	309523	Jacqueline
820127	331185	
820127	335980	
820127	340116	Restaurant maid
820127	342767	Mimi
820127	360573	
820127	363945	Barbara
820127	364144	Tootles
820127	366336	Lady Pamela Vauclain
820127	367396	Faith Lawson
820127	367480	
820127	375646	Princess Fulvia/Princess Zeni
820128	225990	
820129	139680	Shelly
820130	120509	Fela
820130	174286	
820131	380167	Dafni
820132	55078	(segment Fernando De Barros)
820132	90456	
820132	269115	
820133	321702	Hooker
820134	367083	Dancer
820135	190171	TV reporter
820135	333503	Jenna Walker
820136	31500	Hallie, Shauni's Brunette Fri
820136	37261	Young Sharon
820136	39977	Mela
820136	95182	Fremen Kari
820136	113313	Candy Vale/Laurel Parrish
820136	116040	Cop
820136	141674	Melissa
820136	191513	Mia
820136	191762	Lynn
820136	196434	Jenny Gordon
820136	253345	Mala Sikorski
820136	260697	Ginger
820136	336940	Nicky
820136	368914	Mary Ramson
820136	381442	Samantha 'Sam' Thomas (1996-1
820136	382164	Det. Angela Archer/Angel of D
820136	392238	Donna Breedlove
820136	395811	Herself
820136	404002	Melinda Weaver (1985-1987)
820137	51452	
820138	397938	Concierge
820139	270270	Columbine
820140	2691	
820141	321149	
820142	273121	
820143	12030	Worker
820144	258381	
820145	108256	Marge
820146	377169	Extra fiesta
820147	53670	
820148	37680	
820148	79114	Giant
820148	84949	
820148	95765	
820148	122705	
820148	173921	
820148	184650	
820148	200465	
820148	226986	
820148	227411	
820148	238971	Divina
820148	264782	
820148	266593	
820148	274008	
820148	284660	
820148	324954	
820148	358504	
820149	284328	Guillé
820150	268047	Laura
820151	134321	Tutti
820151	230857	Winnie
820152	13138	
820153	117442	Seki, Age 4
820154	51536	
820155	149450	Gwen
820156	496	
820156	103808	
820156	212438	
820156	272403	
820157	10823	
820158	84502	Carlota Alfaro, the commissar
820158	202124	
820158	233394	Gonzalo's Mother
820158	339147	
820158	399743	Olga Lucia
820159	68061	
820159	103163	Muchacha 4
820159	275846	
820159	300679	Esposa
820159	351628	Prostitute
820160	153827	
820161	13071	Nun
820162	31961	
820163	156189	Candy
820163	204107	
820163	379023	
820163	400738	Julieta Macaspac
820164	85472	
820164	287067	
820164	319403	Justine
820164	325371	
820164	348989	
820165	54716	
820165	205600	Ana de la Macorra
820165	300860	Interviewer
820165	370179	
820166	96298	Clienta restaurante
820167	60238	
820167	152170	Venus
820167	173630	
820167	219857	
820168	819	Conny
820168	29662	Adele Harris
820168	35035	Eva Kollek
820168	56545	Herself
820168	96573	Helena
820168	120170	Uschi
820168	127642	
820168	136722	
820168	142186	Lisa Hohlstett
820168	259694	Marlene
820168	281727	Sandra Robins
820168	285006	
820168	313667	
820168	334543	
820168	341171	Beatrice
820168	390812	Saskia Rother (1993-1996)
820168	401112	Substitute Host (1996)
820168	406517	Dr. Ines Ritter
820168	408208	Sonja Liebmann (2000-)
820169	65194	
820170	246296	
820170	249850	
820171	409908	Romina
820172	43237	Tania, E.P.R. Guerrillera
820173	177660	Extra
820175	317309	MV Sideline Fan
820178	29792	La fille chez Mme Pauline
820179	19336	Lili
820179	171000	Caroline
820180	171286	Amy
820181	318644	Melissa
820182	43461	Elsa
820182	130711	Sury/Sonia/Hedy
820183	381694	
820184	387608	Carol
820185	250899	
820186	35652	Natasha
820189	87202	
820189	274180	Molly
820189	340949	Susan
820190	196715	Lisa
820223	179818	Grevinde Kaja Stenholdt
820191	77421	Madame de Montal, la voisine
820191	148647	Liouchka
820191	188484	Denise Marchand
820191	353869	
820191	377474	La présentatrice TV
820191	383860	Gertrude
820191	386476	(segment "A brève déchéance")
820191	404662	
820192	453	Caterina Duval
820192	28434	Caterina
820192	43671	Kathrin
820192	56307	Catherine Miller
820192	94307	Marina Rosario
820192	94311	Caterina
820192	98283	Caterina Bastiani
820192	134822	
820192	144713	
820192	189694	Caterina
820192	204563	
820192	290265	Anita Rossi
820192	316316	Herself
820192	333982	
820192	347586	Davina
820192	387672	Regular
820192	392086	Rosita Kroll
820192	404462	Herself
820193	384866	Natália
820193	387799	Tezinha
820193	396610	Flávia (1998)
820193	401208	Nicole
820193	412069	Bel
820194	276240	Tech
820195	396795	
820196	305147	
820197	346101	Champagne Lady
820199	24837	Hostess
820199	33508	
820199	40230	Charlotte Roannes
820199	67826	
820199	81517	(segment "The Mummy")
820199	112646	
820199	128931	
820199	213805	
820199	235786	Angelica
820199	266929	
820200	147339	
820200	202547	
820201	161345	Herself
820202	300361	Jump rope girl
820205	127844	Tina
820206	281364	Herself
820207	338259	
820207	343990	Tina, 5th Victim
820208	381909	Herself (2nd Evicted, 21 Days
820209	8834	Un'ancella
820209	35019	
820209	47405	Patrizia
820209	102397	Blond Slave Girl
820209	248223	
820210	366896	Shelly
820211	86493	
820211	250719	
820212	185167	Maya García
820214	232093	Peep show girl #2
820215	431	Rute Vargas
820215	63844	
820215	341089	
820215	401805	Ana
820216	12132	
820217	3321	Gloria
820217	17049	Barbara
820217	33218	Rosi
820217	40368	Mtreisende
820217	43344	Mona
820217	91139	
820217	95389	
820217	97843	Marietta Tripelli, Sängerin
820217	107480	
820217	110114	Max's wife
820217	111581	Valentine
820217	114972	Karola Faber
820217	115958	Bar keeper
820217	119172	
820217	119412	Herself
820217	121930	
820217	124992	
820217	125166	
820217	125305	Gräfin Barbara von Schlemmer
820217	129833	Frau Gamshuber
820217	138767	
820217	144333	
820217	152759	Marlene
820217	156651	Frau Erika Schrillmann
820217	157614	Janet
820217	157682	Sonja
820217	160254	Bloody Olga
820217	177615	Optician
820217	190765	Eva
820217	194360	Helma
820217	202002	Verena
820217	204423	Heiratsvermittlerin
820217	206581	Marianne
820217	213677	
820217	225160	
820217	226408	Dancing Woman in 'Tam Tam' Ba
820217	230202	Mrs. Schlotterbeck
820217	234902	Christine Linde
820217	249635	
820217	263823	Aunt Ella
820217	278900	
820217	292257	Greta Mayer
820217	313332	
820217	336538	Babs
820217	347586	Marga
820217	347657	
820217	353432	
820217	361305	Gloria Fromm
820217	381689	Ida
820217	389739	Aline
820217	398863	
820217	404482	Susis Mutter
820217	406321	
820217	411929	
820217	412101	
820218	274200	3rd National Bank Witness
820220	7528	Lou
820220	30353	Charlotte
820220	59213	La fille du seigneur
820221	104771	Finnish entry (23rd place)
820221	324482	Cabaret dancer
820222	146601	
820223	1893	
820223	27571	
820223	38827	Lærerinde Kamma Graversen
820223	48346	Fru Emilie Holm
820223	51291	Frk. Thorsen
820223	91265	Birthe Hansen
820223	99443	Magda Faber
820223	113033	
820223	123504	Grevinde Mathilde Trolle
820223	137645	
820223	154235	Sekretær Lis Asmussen
820223	237403	Emmy Blicher
820223	244670	Agnes Svane
820223	284694	Margot Nordborg
820223	315403	Fru Helene Stone
820223	320224	Louise Hallenberg
820224	127104	Girl in Silver
820225	156321	La serveuse
820225	184055	
820226	204584	Pepe
820227	277928	Aurélia Nobli
820229	110148	Mina
820229	191467	L'Infirmière de nuit
820230	38979	
820230	163894	Tania
820231	945	
820232	1281	
820232	157236	(segment "Acidente, O")
820233	36459	Martina
820233	62824	
820233	158595	
820233	230357	Svetlana Mikhailovna
820233	308889	
820233	351612	Caterina
820234	357086	
820235	193540	
820236	154451	Hazel
820238	93982	
820238	256188	Stella Dumbrowski
820238	319191	Holly
820238	326741	Shana
820240	153626	
820241	37452	Web Girl
820241	279400	
820242	18994	Rancher's Wife
820242	154712	Maid
820242	177689	Nurse
820242	178121	2nd disciple
820242	231768	Matron in hospital
820242	284582	
820242	287747	Minerva Clay
820242	330212	Undtermined Role
820242	346256	Mrs. Connors
820242	348379	Linda, at the dance
820242	363683	Aunt Jenny
820243	16	
820244	26060	Therese
820244	39473	Mary Ellsmere
820244	40791	Grace Maynard
820244	45920	Marcia West
820244	91142	Mrs. Dorian
820244	105435	The Manicurist
820244	143387	
820244	202894	Eve
820244	203737	Dordelia Wilson
820244	230497	
820244	254482	Peggy Milburn
820244	301980	Mrs. O'Brien
820244	345737	Caroline Knolleys
820245	211824	Joan -- 8 Years Old
820246	8437	Jill
820248	242940	
820249	20625	Extra
820250	75191	
820250	117594	Chloe
820250	129081	Herself
820250	297817	
820250	313275	
820250	320992	
820250	353709	
820251	280059	
820252	61697	Pam Chandler
820252	66783	Carol Burnham/Carol Burns
820252	79441	Charity
820252	99693	
820252	112432	Meg Taylor
820252	117677	Carol Anne
820252	127488	Gidget Lawrence
820252	128479	Sandy Benson
820252	129842	Netty Booth
820252	140399	Beth Paterno
820252	140901	Annabelle Grier
820252	150215	Jenny Willingham
820252	156511	Linda Dobbins
820252	195483	Ellen Carmichael
820252	217990	Janice Vernon
820252	221783	Mary Glatzle
820252	222595	Lois Marshall
820252	235059	Jane/June Bride, Irregular
820252	252936	Margo
820252	262112	Clyda
820252	276852	Janet Fleming
820252	303819	Carrie Jessup
820252	360686	Audrey Landry
820252	386947	TV Hostess (12/26/1966-12/29/
820252	391827	Herself (semi-regular, 1971-1
820252	394173	Karen Angelo
820252	400535	Herself
820252	403708	Alice Johnson
820253	396080	Fanny
820254	129876	Herself/bass/vocals
820254	129877	Herself (bass guitar Go-Go's)
820254	129878	Bass & Vocal
820256	331349	Buttercup
820257	509	Lynn
820257	133130	Lynn
820257	139466	Bobby
820257	150462	Jenny
820257	187226	Mini-Mart girl
820257	193705	
820257	320100	Sherry
820257	389858	Dawn Winthrop #1 (1988-1989)
820257	408882	Stacey Cox
820258	398742	
820258	399129	Herself
820258	399130	Elizabeth 'Libby' Kennedy/Kir
820259	223833	Reporter #1 in Police Station
820260	132247	Rolling Hills Dance Team
820262	285168	
820263	124626	Nessy Worthing
820263	221087	Ida Potter
820263	224730	Eva Wilson
820263	259772	Myrtle Davis
820263	291781	The Girl
820264	195844	Girl on Front Porch
820265	2657	Priscilla's Mom
820267	195465	'Frenchie' Annie
820268	82333	High Fashion Horatio
820269	376987	L'aide-soignante
820271	331	Jan Price
820271	39336	Therese Von Wilk
820271	73170	
820271	78140	Dawson's Secretary
820271	109855	Maid of Honor
820271	109897	Baby shower participant
820271	128192	Margot, Hair Model
820271	232222	May
820271	305399	Mary
820271	328758	Teola Graves
820271	363623	Taffy Lou
820272	224729	Party Hostess
820273	399018	Contestant
820274	399584	
820275	21783	Casey
820275	185451	Young Anne
820275	185516	Sue Johnson
820276	295763	Herself
820277	158141	Coffee house waitress
820277	264783	Hockey Mom
820278	405209	Rita Te Ngaru (2002)
820279	149707	The Wayfarers
820280	5286	
820280	6725	Herself
820280	13390	
820280	41077	
820280	70213	
820280	89882	
820280	120620	
820280	121555	
820280	128347	Herself
820280	128472	
820280	128646	
820280	158969	
820280	187392	Herself
820280	257887	
820280	329867	Herself
820281	252506	Talitha
820282	185137	Mrs. McLaughlin
820283	7412	Julia
820283	306008	Customer in Desert Rose resta
820283	356813	Laura
820284	362711	Blossom Fulkerson
820287	33947	
820287	55298	
820287	67117	
820287	123827	
820287	142500	Herself
820287	150044	
820287	163644	
820287	228025	
820287	247991	
820287	323084	
820287	348825	
820288	27287	
820288	27288	
820288	109956	
820289	239843	The Young Woman
820290	231850	
820291	263116	
820292	135137	
820293	3380	
820293	17287	la donna che dorme
820293	33475	
820293	34150	Madre di Eleonora
820293	67817	
820293	69787	Titti Melidoni
820293	76269	Silvia Talmone
820293	111840	
820293	127891	
820293	133024	
820293	162085	Luisa
820293	163695	
820293	202777	Antonietta
820293	205275	Paola
820293	208565	Lisa Slivak
820293	211744	
820293	234722	
820293	247189	Reporter
820293	252663	
820293	259813	
820293	261219	Albina
820293	263242	Ornella
820293	269178	
820293	270041	Sofia
820293	293357	Laura Melli
820293	315982	Housewife
820293	344595	
820293	354118	Edith Costello
820293	355652	Luisa Russo
820293	356493	Loredana
820293	381179	Anna Simoni
820293	384275	
820293	400092	
820294	319238	Jill at 6 months
820295	102618	
820296	69121	
820296	108061	Mrs. Quickley
820296	117874	Chinese Ping Pong Player
820296	163751	Isabella
820296	183872	Cathy Heape
820296	197927	Mezzosopran
820296	204941	Calbo
820296	321660	Emily
820296	353137	Marchesa Melibea
820296	353138	Marchesa Melibea
820297	105167	Interviewer
820298	336163	Dixie
820299	252337	
820300	54004	
820300	237550	Maria
820301	347852	Action girl
820302	14916	
820302	29255	
820302	33667	
820302	34437	Julia Martinez
820302	63763	
820302	82411	
820302	82438	
820302	82525	
820302	87201	
820302	90680	
820302	113707	
820302	127968	
820302	133388	
820302	149658	
820302	161572	
820302	170394	Rita
820302	170395	Rita
820302	170396	Rita
820302	316841	
820302	334990	
820302	344608	
820302	379854	
820302	380986	Barnacle (Marina's little bro
820303	12319	Screen Motivation and Voice O
820304	391930	
820305	26782	
820305	37949	Herself
820305	39906	
820305	41780	
820305	59157	
820305	75191	
820305	85765	
820305	97505	
820305	98841	Sex-Ed student
820305	98842	Nude girl giving a massage
820305	127804	Herself
820305	127810	Herself
820305	128846	Herself
820305	141398	
820305	141539	
820305	187409	
820305	191861	
820305	243522	
820305	252172	
820305	253576	
820305	313257	
820305	321016	
820305	335590	Lolly
820305	335727	
820305	337343	Tracy
820305	358074	Herself
820305	366825	Herself
820306	26971	Herzoner the Mayor
820306	245331	Adele
820307	41615	
820307	60798	College Student 2
820307	139260	
820307	191356	
820308	376074	
820309	50466	Betty Butch
820310	235750	
820312	134315	Woman in ER
820312	138365	Nurse at Mesh Window
820312	148203	Flight Attendant
820312	164572	Cabo Flight Attendant
820312	176712	1st Grade Teacher
820312	267038	Pedestrian/Bonnie Dimmick
820312	330610	Concierge
820313	82440	Anna
820313	94727	
820313	356582	Anna Calvetti
820314	363560	Lady X
820315	410412	
820316	308967	Doriana
820317	30259	
820317	42193	
820317	57610	Kristina
820317	96391	Grandmother
820317	258521	Kostík's wife
820317	334264	Mici Angora
820318	386809	Presenter
820318	394525	Presenter
820319	172910	Madla
820319	178453	Zuzana
820319	183748	Sonjetka
820319	186604	Doctor
820319	206586	Elsa
820319	229183	Madame de Tourvel
820319	253152	Stepmother
820319	261954	
820319	276110	Head Nurse
820319	380048	Roberta
820319	386327	Regina
820320	26382	Mrs. Culnick
820320	53336	Dowager
820320	118804	
820320	128884	Mama Stavros
820320	139578	Great Grandma Oliver
820320	142422	Mrs. Gold
820320	163261	Mama Loues
820320	241037	Mrs. Vido
820320	281132	Angelina
820320	315718	Kera
820320	327227	Mrs. Mays
820320	330198	Mrs. Eichman
820320	339410	Mrs. Menderes
820320	365329	Teresa
820321	3568	
820321	5976	
820321	10130	
820321	10969	
820321	13514	
820321	68253	
820321	88199	
820321	96262	
820321	108581	
820321	208192	
820321	208709	Carmina
820321	225065	
820321	266411	
820321	273861	
820321	304478	Madre Oliver
820321	307631	Margarita
820321	334698	
820322	240682	Café Girl
820323	38979	
820324	8186	Reginleif
820324	19793	Raven
820324	41465	
820324	56207	Louise Sojick
820324	72468	Maria
820324	73430	Betty
820324	129449	Iris Ruiz
820324	134655	Enrica Hayes, Squad & Dropshi
820324	134656	Enrica Hayes, Units #7
820324	159171	Agent Sophia Hapgood, CIA
820324	177601	Sara/Sylph
820324	177662	Various
820324	187602	Mysterious Woman in Black/Fem
820324	193976	Rein
820324	211948	Sniper Wolf, Computer
820324	211953	Sniper Wolf, Computer
820324	211954	Sniper Wolf, Computer
820324	223833	Miguela
820324	264427	
820324	272356	Dixie
820324	277025	Kylie
820324	303836	Gloria Ramone
820324	308146	Kate
820324	311039	Misc. Voices
820324	313469	Aurra Sing
820324	313475	Ann Gella/Coruscant Female/Gu
820324	313481	Aurra Sing/Empire hovercraft 
820324	319532	
820324	327040	Natasha
820324	379716	Dottie Thornton Martin #2 (19
820324	391288	Jodie Abramowitz
820324	400625	Maria Amino
820324	407008	Yeoman 1st Class Rosie Henriq
820325	406346	
820326	387331	Student
820327	45913	
820327	75031	
820327	372766	
820328	53645	
820329	303220	
820330	117424	Juror
820331	359438	Kelly
820332	27341	
820333	77676	Woman in Dance Club
820334	317309	LA Restaurant Patrons
820335	12527	
820335	14637	
820335	15319	
820335	19463	
820335	55723	Rosário
820335	64977	
820335	75915	
820335	80279	
820335	86866	Gina
820335	97294	
820335	103710	Emilia
820335	104626	Herself (Festival Presenter)
820335	104744	Herself (host)
820335	104819	Elena
820335	107540	Isabelle
820335	111996	Julia
820335	115032	Herself
820335	135301	
820335	145179	Mari Paz
820335	149550	
820335	160131	
820335	184940	
820335	194622	Aurora
820335	197452	
820335	199383	Pauline
820335	221562	
820335	250666	
820335	253696	
820335	255545	
820335	275416	Irene
820335	317769	
820335	318016	
820335	337974	Katy
820335	341162	
820335	341599	Lisette
820335	343574	Gladys
820335	349333	Herself
820335	351408	Herself
820335	354903	
820335	355479	Emma
820335	376750	
820335	385740	
820335	387699	Host
820335	387959	Herself - Presenter (1969)
820335	389668	Host
820335	397207	Host
820335	397209	Host
820335	397597	Host
820335	404579	
820335	407719	Hostess (1990-1991)
820336	5366	
820336	70889	
820336	73281	Doctora/Doctor
820336	252750	
820336	286350	Rebel woman
820336	332595	Laura
820337	89928	Magdalena
820338	69875	Consuelo
820338	141765	
820338	296121	Mónica
820338	378738	
820338	380126	Maitén
820338	385600	
820338	402686	Rufina
820338	403214	Tencha
820338	404292	Norma
820338	408591	
820339	4915	
820339	20091	Sonia
820339	20092	
820339	70691	
820339	70990	
820339	110110	
820339	252078	
820339	277006	
820339	317967	
820339	318006	
820339	320510	
820339	341869	
820339	376749	
820339	381325	
820339	383291	Betiana Quirurzo (1999)
820339	384775	Marcela
820339	385070	Clara Pagliero
820339	385458	
820339	385852	Virginia
820339	389938	
820339	391846	
820339	392804	Lucía Rossi
820339	393186	Etelvina Baldasarra
820339	397256	Yolanda
820339	397731	Corina Cudini
820339	398454	Giana
820339	400640	
820339	401358	Beba
820339	401437	Marilí
820339	402158	Verónica Amore
820339	407792	
820339	408853	Bárbara
820339	410404	Valeria Viale
820340	295407	Dogger
820341	282350	Eli's wife
820342	287414	
820342	379118	
820342	401918	
820343	389480	Denisse Rodríguez
820344	128414	
820345	36760	Girl #2
820346	408746	La Prima de los Telejuegos #2
820346	410303	Secretaria
820347	55653	
820348	104480	
820349	234614	
820350	28946	
820350	133014	
820350	166377	
820350	166379	
820350	166380	Ignácia
820350	166384	Margarida
820350	254240	
820350	261197	
820350	287484	
820350	380448	Amália
820350	389587	Maria das Graças
820351	5106	
820352	42582	
820353	51984	Tiger Lily
820353	250383	Elevator Nurse
820354	83866	Margarita
820354	281609	
820354	379898	Lupita Madera
820354	384925	La Zurda
820354	385058	La Chata
820354	385252	Zoraida, a.k.a. Cerebrito
820354	385336	
820354	386788	Rosita
820354	387666	Matea
820354	390310	Bromelia
820354	390748	Lolita
820354	395030	Francesca
820354	401067	Chiqui Gallardo Gómez
820354	404988	Zoraida
820354	408570	Violeta
820355	48934	Mercè
820355	71261	Delia
820355	253277	Librarian's Friend (segment "
820356	133092	Eurydice
820356	236560	
820356	248423	
820357	381246	
820358	135195	Yvonne Hernandez
820359	200941	Madeleine Dormoy-Boyer
820360	173930	
820360	258773	
820361	404703	Natalia Díaz
820362	44884	Mrs. Romero
820363	11971	
820364	20692	Siberia
820364	30723	Pola Prima
820364	36611	
820364	37512	Isolina Fornaciari
820364	51426	Carla Weiss
820364	64236	
820364	67915	
820364	73262	Giovanna
820364	75259	Fatma Angioj (segment "La man
820364	102618	Vedova De Ritis
820364	104459	Cassandra
820364	127985	
820364	133393	
820364	162083	Journalist
820364	163693	
820364	187934	Giuli
820364	196776	Hungarian Designer
820364	204262	
820364	206027	Olivetti
820364	206028	Gina
820364	218935	Virginia
820364	220193	Velia
820364	229605	
820364	234740	Beatrice
820364	234763	Maritza
820364	242303	Bianca Sereni
820364	248952	Delia
820364	251031	
820364	255101	Lady Eva
820364	269637	
820364	270810	Bice
820364	270813	Contessa Bernardi
820364	279912	Widow
820364	291559	Diraghi
820364	293324	Cesira
820364	301360	Giulia Nascimbeni
820364	301382	Capoturno
820364	307667	
820364	324647	
820364	336376	
820364	336587	Giulia Sofia
820364	344632	La regista
820364	351075	Elvira Nardi
820364	354447	
820364	383492	Elvira
820364	384666	
820364	395662	(1999)
820364	400788	
820365	440	La dama
820365	377575	
820366	132102	
820367	104450	
820368	18640	Assunta
820368	48525	
820368	71144	
820368	127933	Sora Tosca
820368	207540	
820368	229644	
820368	235736	Rossana's Mother
820368	291656	
820368	294127	Mrs. Parecci
820368	338361	
820368	348208	
820368	353088	Beppa
820368	399974	Euryclia
820369	199821	
820370	238495	Josh's Wife
820371	6674	La Duclos
820371	26903	
820371	39226	
820371	50777	
820371	54785	
820371	55289	
820371	83807	
820371	127931	Mother Stoppani
820371	130323	
820371	162037	Marisa Menotti
820371	239823	
820371	273784	
820371	290901	
820371	317938	
820371	323158	
820371	336486	
820371	365598	
820371	373988	
820371	384784	
820371	386478	
820372	72672	
820372	128948	Giselle
820372	249913	
820372	377118	
820372	391900	Maria Luiza
820372	398793	
820373	385502	Dulce Rosales
820373	401659	(2003)
820374	3502	Ella misma
820375	307638	Mad Woman
820376	12117	
820376	185321	Bikini Girl
820377	21777	Girl
820377	203143	Molly
820377	346030	The Bride
820378	39889	Sister Spooner
820379	80439	Old Lady with Old Man
820379	190264	Churchgoer
820379	345860	Woman
820380	32908	Kate Cansard
820380	47336	Laura Morris
820380	79654	Mazie Sanborn
820380	141208	Helen Murray
820380	144601	
820380	192595	
820380	205762	Zelie
820380	214483	Jimmie Birch
820380	221334	Maggie Duncan
820380	250392	Edna Thrall
820380	331176	The Sister
820381	10141	Drake's Secretary
820381	18552	Undetermined Role
820381	20613	Countess Olga
820381	40474	Barbara Morgan
820381	59603	Lily Latimer
820381	69338	Wanda
820381	79949	Mrs. Dexter
820381	109863	Blonde
820381	119536	Vickie
820381	128256	Francine Edwards
820381	128319	Nurse Hanson
820381	129804	Skinner's Secretary
820381	132323	Miss Jane MacVickers
820381	133766	Understudy
820381	147754	Girl
820381	152208	Receptionist
820381	163577	Autograph Seeker
820381	166690	Clara
820381	171217	Rita Darling
820381	175607	Lucy Pemberton
820381	176908	Margaret Weston
820381	190179	Party Guest
820381	190858	Lillian Russell's Sister
820381	203615	Miss Norton
820381	212752	Marsha Gordon
820381	215975	Cashier
820381	222740	June Preston
820381	239529	Sally Dawson
820381	255520	Helen Kelly
820381	263966	Lady Jane Seymour
820381	273251	Switchboard Operator
820381	278607	Dotty
820381	279308	Joan Rogers
820381	279551	Irma Rand
820381	294747	Bess Merrill
820381	304065	Nurse
820381	317831	Anne
820381	323154	Sunny
820381	323807	Ruth
820381	331333	Hostess
820381	335891	Margaret Weston
820381	339844	Marguerite Varloff
820381	361841	Flashy Woman
820381	364187	Phyllis Guerney
820381	372483	Bonnie
820383	108857	Zira
820383	274154	Madame Puloff de Plotz
820384	2979	
820385	162069	
820386	97215	Leslie's Roommate
820387	148258	Samantha
820388	328099	
820389	313881	
820389	313882	
820389	373534	
820390	29673	Nalax
820390	337163	Mrs. Woods
820391	122790	Teacher - Rehabilitation Cent
820391	281150	Middle Age Occupant
820392	67010	
820392	100267	
820392	158804	
820392	159648	
820392	170458	
820392	318299	
820392	353354	
820393	55922	
820393	91319	
820393	160825	
820393	169239	
820393	353672	Campesina
820394	18623	Sarah
820394	186102	Valesca
820395	371677	
820396	196639	Native girl
820397	55592	
820398	353604	
820399	378971	Lola Arismendi
820399	380087	
820399	380123	
820399	380125	
820399	383242	Helena Mendoza
820399	385869	Winnifer Lozano
820399	387700	
820399	397862	
820399	403016	Zaida Díaz
820399	410385	
820399	410387	
820400	120707	
820401	135196	
820401	276234	Elena
820401	353604	
820401	354445	
820402	103372	
820402	385367	
820403	140701	Camarera Club
820403	339229	Mujer 3
820404	4748	
820404	61133	Georgina
820404	65193	
820404	84021	
820404	94588	
820404	110103	
820404	117333	
820404	143748	
820404	148109	
820404	153833	
820404	205155	
820404	209073	Vedette
820404	212345	Camarera
820404	212514	Señorita de teléfonos
820404	258247	Loli
820404	283253	
820404	307722	
820404	324922	Rosita
820404	353203	
820404	371715	
820404	377621	
820405	177824	
820405	324015	Water Taxi
820406	116577	WRAC
820406	177138	Girl in the punt
820406	177512	Susan
820406	206465	
820406	241810	Carol Martin
820406	315296	Heroine
820406	346937	Herself
820406	346938	Herself
820406	362403	Elaine
820407	276066	Sonja Grygorine
820408	368559	Diana
820408	410914	Herself/guest panelist (1971-
820409	251527	
820410	197190	
820411	15054	
820411	101860	Prostitute
820411	160634	
820411	252745	
820411	261862	
820411	353901	
820412	261116	Cocktail Model
820413	15423	
820413	23191	
820413	132068	
820413	163995	
820413	205993	
820413	226685	
820413	324381	
820413	325327	
820413	328193	
820413	349475	
820414	330821	Dr. Marie Pitchener
820415	175679	
820416	154474	Sex Video Model
820417	393006	Carmem Valéria
820418	333808	Mária
820419	11549	Tina
820420	309927	Christie
820421	54337	
820422	189563	Babette
820422	313760	Host
820422	409609	Bettina Weithase (1991)
820422	409626	Bettina Kelch
820423	195771	Person at the Paris Opening
820424	93296	Herself (stripper)
820424	236036	
820425	72140	Dancer
820425	231997	Miss Strong
820426	351884	Vanessa
820427	106205	Our Hero's Partner
820428	108221	Elisabeth
820428	112880	
820428	113130	Iracema
820428	171342	Rachel Chevallier
820428	206947	Virginie
820428	279220	Julie
820428	336944	Jennifer
820428	345365	Elodie
820428	409529	
820429	162613	Femme aigrie
820430	5055	Nazi girl
820430	20625	Extra
820430	34316	German waitress
820430	88853	Nurse
820430	154481	3rd Maid
820430	276948	German Customer
820431	4805	
820431	22181	Frau an der Theke
820431	28608	
820431	40373	Guste (the magician's wife)
820431	42121	
820431	46617	
820431	79165	Rosa Valetti
820431	92411	Die Wirtin des Hotel garni
820431	95132	
820431	98048	
820431	98572	Frau Kochanke
820431	101740	
820431	119187	
820431	124617	
820431	125086	
820431	126869	
820431	130927	
820431	140258	
820431	142239	
820431	143724	
820431	144042	Sein Haushälterin/Housekeeper
820431	145751	
820431	182003	Frau Lesser
820431	185796	Mutter
820431	190789	
820431	198435	Elisabeth Winkler (Becker's l
820431	199553	
820431	218932	
820431	244297	
820431	264350	Grandmother
820431	272779	
820431	281635	
820431	282186	
820431	293243	
820431	303715	
820431	311238	
820431	314583	
820431	343477	
820431	343479	Mother
820431	343503	
820431	347667	Tante Jenny
820431	358257	Grace Poole
820431	361318	
820431	367367	
820431	376328	
820432	65131	Hôstesse
820432	268455	Eve
820433	174272	
820434	110644	
820434	136616	Luise Körner seine Frau
820434	174540	
820434	197469	Karpinskaya
820434	258720	Poletika
820434	265648	
820434	352242	Olga
820435	10596	Bit Role
820435	37487	Carla
820435	48276	Visitor
820435	73500	Girl
820435	78712	Herself
820435	212196	Girl
820435	213976	Carmen
820435	309947	Singer
820436	145125	
820437	158901	Nancy
820438	49828	Rat Woman
820439	127700	Signý
820440	256186	
820440	287762	Bar waitress
820441	23909	Constance
820441	120871	Dolores Cannynge
820441	121945	
820441	123291	Rosaleen Erle
820441	133762	Nadia Karetsky
820441	134016	Lillian Vesey
820441	158116	Lady Crabtree
820441	191685	Helen McKee
820441	238137	
820441	286124	Miss Standish Rowe
820441	298772	Yvonne Lindsay
820441	304641	Miranda Warriner
820441	313709	Frances Blett
820441	328009	Delilah (segment "Samson and 
820441	337472	Paulette
820441	367654	Mrs. Bruce Carrington
820442	109766	Mara
820442	289647	
820442	375235	
820443	46067	Sister Green
820444	168904	
820445	339942	
820447	80262	
820448	257126	
820449	13078	Ana niña
820450	2413	Visitor
820451	103828	Vieille Dame
820451	111143	Dame au vase
820452	303517	Debbie
820452	334152	Female Victim
820453	346508	La fée des rues
820454	342669	Bar patron
820455	8988	
820456	398078	Anne-Sophie Roberge
820459	828	
820460	175188	Woman with a Cooking Pot
820460	310596	Saira
820460	359533	Sybil
820461	183748	Axinija (sings)
820462	34582	
820463	2933	Nurse
820463	18452	
820463	137746	Magdaleena Merthen
820463	168867	Kauko's mother
820463	171801	Mrs. Alma Skrof
820463	173267	
820463	173407	
820463	174209	Granny
820463	174478	
820463	174740	Mella
820463	175700	
820463	177897	
820463	179625	
820463	181562	Sanni
820463	181633	
820463	181745	
820463	184796	Vesaska
820463	191194	Justiina
820463	213416	Ms. Lönnström
820463	219451	
820463	250502	Juhanta Nuutila
820463	253075	Raili's aunt
820463	255762	Clocksmith's mother-in-law
820463	282516	Moustached woman on train
820463	283959	Maria Juhontytär Ojanperä
820463	303708	
820463	321925	Helviira
820463	321999	Mother Hytönen
820463	323247	Katri
820463	334825	
820463	341543	Elma Niininen
820463	343466	Ms. Haavelinna
820463	371656	Maija
820464	80630	Amelia C
820464	105723	Yugoslavian girl
820464	153009	Michelle
820464	359529	Marias
820465	49813	
820465	89143	
820466	51654	Sue
820466	80463	Alice
820466	130718	Amelia Lopes
820466	203918	Agent Volk
820467	411950	Annie Schellenduin-Kalkman
820468	17747	
820468	137739	
820468	144055	Emma Takinainen
820468	153739	Kreetta Tuura
820468	163183	
820468	173270	Various
820468	190658	Eevariitta Raitakari
820468	201219	Various
820468	222824	Servant girl
820468	223274	
820468	239911	
820468	254215	
820468	255743	Oili Kukkola
820468	271609	Mimmi von Rumfelt
820468	349147	Signe Karkama, 'miljoonas asi
820468	350895	Cooker
820468	354281	Mrs. Kestilä
820468	354598	
820468	355136	
820468	373502	Miina Sormunen
820468	379524	
820468	391615	
820468	393756	Olga P. Ostinen
820468	393763	Olga P. Ostinen
820468	398644	
820468	398988	Alma
820468	400113	
820468	400496	
820468	400848	Various
820468	407555	
820468	409985	
820469	6220	Hristina
820470	152173	Crazy
820470	174399	Zhenata/Woman
820470	183913	Vihra
820470	303110	Glasat na Stoyka
820471	9353	
820471	211281	Protestant Teacher
820471	337944	First Girl In Love
820471	397471	Uchitelka ot konvoya na Miss 
820472	248736	
820472	349142	
820472	357786	
820472	357789	
820472	407109	Herself - The host (2001-2002
820473	153547	
820474	406961	Herself (Team Sembilang/Tenga
820476	152968	Young Michelle
820476	390917	Girl 2
820477	248200	Zuster/oma bastiaans
820477	310947	Annette
820477	390242	Gaby Lorentz (1991)
820477	400217	Irene De Vries (1993-1996)
820477	412014	Bep
820477	412043	Sylvia
820478	223735	
820479	202470	
820480	8902	Ida Pirhola
820480	99203	
820480	178376	Linnea
820480	302191	Eeli Ryynänen
820480	409851	Vieno Turtiainen
820481	235509	Henry's Wife
820481	244028	Momichentzeto Vasilka
820482	30280	
820482	43202	Elena Worth
820482	74046	
820482	74124	
820482	82905	
820482	96453	
820482	142280	
820482	144626	The captive
820482	152900	Dorothy Waring
820482	156771	Ashubetis/Marian Bell
820482	200040	Marie Schwartz
820482	217005	
820482	301488	Molly
820482	317621	
820482	317623	
820482	322594	Anne Vanderhook
820482	348078	Ellinor
820482	349949	
820482	350520	
820482	372905	
820483	30817	
820483	112706	
820483	353839	La bonne
820483	387029	
820484	75822	Faye
820484	79900	Julie
820484	81344	Bridey
820484	96771	Grocery Store Clerk
820484	133332	Leslie Hollander
820484	187249	Jenny
820485	193069	Horse Rider
820486	54071	
820487	38532	Vannessa
820487	54892	Sorceress
820487	61611	Julie
820487	66938	
820487	82901	Alice
820487	97350	Margaret Grayson
820487	107704	Tracy Falcon
820487	108354	Goldie
820487	222300	Additional Voices
820487	242096	Geri
820487	251551	Priscilla/Chinstrap
820487	273699	Mouse
820487	273700	Mouse
820487	296697	Denise
820487	304481	Miss Erma Tarradiddle
820487	331475	Sally
820487	331986	
820487	364511	
820487	372408	
820487	372968	Lair/Tarf Hadal
820487	379197	Additional Voices
820487	379337	Additional Voices
820487	383462	Proud Heart Cat
820487	384836	Additional Voices
820487	386055	Alice Mitchell (1987-1988)
820487	386389	Princess Dei (Dei Hime)
820487	386739	Additional Voices
820487	388103	Chedra
820487	389651	Spydra
820487	389652	Spydra
820487	390953	
820487	392294	
820487	392897	Additional Voices (1985-1986)
820487	392964	Jinenji's Ma
820487	393293	
820487	394676	Sylvie (1980-1981)
820487	395070	Duchess Ravenwaves/Lady Curle
820487	396378	Miss Clavel/Genevieve
820487	397341	Additional Voices
820487	398513	Additional Voices
820487	399208	Miss Clavel, Genevieve
820487	399224	Additional Voices
820487	399429	Det. Stephanie "Stevie" Brody
820487	399480	Additional Voices
820487	401865	Party/Punkity/Prize/Puffball
820487	402962	Additional Voices
820487	403028	Mouse
820487	403732	Jenny Ballinger (1980)
820487	405027	Prince Pyros
820487	406416	Lt. Magg/Sgt. Borek/Additiona
820487	406587	Additional Voices
820487	406973	Additional Voices
820487	410504	Additional Voices
820487	412062	Whazzat Kangaroo
820488	13794	Ian's Mom
820488	66837	Cole's Ex-Girlfriend
820489	215632	
820489	222594	
820489	365787	
820490	223506	Candidate #11
820491	301679	Extra
820492	100422	Brenda
820493	102434	
820494	100431	Julie
820495	236565	Michelle, la femme d'Oscar
820496	103496	Estudiante de periodismo
820497	137121	
820498	357189	
820499	158079	
820500	408659	Caroline
820501	8580	Agüela
820501	19373	
820501	19445	
820501	27966	Elena's Mother
820501	52987	La madre
820501	54078	
820501	55377	Tere
820501	57468	
820501	58180	
820501	83131	
820501	90209	Mother Panza (Older)
820501	103845	
820501	115820	Mother
820501	207008	
820501	210178	Beba
820501	236014	Alicia
820501	249910	Matilde
820501	253312	Mujer
820501	255928	
820501	263289	
820501	266474	Herself
820501	293385	
820501	293949	
820501	328209	Maquilladora
820501	334656	Lucía's mother
820501	340689	
820501	357509	
820501	391441	Hermana Asunción
820503	94632	
820503	127883	Miki Capello
820503	157161	Cleopatra
820503	247984	Rosa
820503	252633	Paola Mariani
820503	309112	Soraya
820503	309419	Francesca
820503	342125	Mirella
820503	379359	Laura Giordani
820503	384751	Paola
820503	385418	
820503	397408	Julia
820503	406347	Claudia Castelli
820503	409049	Silvia
820504	400055	
820504	409934	
820505	36905	
820505	43520	
820505	50528	
820505	50586	
820505	53918	
820505	60970	
820505	78805	Estelle Claris
820505	81804	
820505	95199	
820505	102725	
820505	103907	
820505	113604	
820505	128725	
820505	134421	
820505	136254	
820505	139247	
820505	193250	
820505	266802	
820505	306111	
820505	314268	
820505	338346	
820506	15245	
820506	76111	Margarita
820506	121245	Toribia
820506	252519	Madre de Laura
820507	379831	Pilar/Jennifer Harlow #1 (199
820508	53138	
820508	183492	
820509	237899	Victima #1
820510	377079	
820511	43609	
820511	69494	
820511	83458	Lisa
820511	210691	
820512	8728	
820512	12028	
820512	33683	
820512	48181	La Bruja (The Witch)
820512	49881	Dora Matute
820512	55089	
820512	73530	
820512	74585	
820512	100257	
820512	103813	
820512	110228	
820512	132640	
820512	145245	
820512	160824	
820512	162783	
820512	176383	
820512	205435	
820512	215233	
820512	225390	
820512	226492	
820512	235298	Elsa
820512	248285	
820512	252797	
820512	260563	
820512	264238	
820512	273935	
820512	279060	
820512	292930	
820512	293575	
820512	301190	
820512	301422	
820512	326343	
820512	339097	
820513	371290	Lavandera
820514	30415	Dona Chincha
820514	84783	
820514	127631	
820514	221906	
820514	294887	
820514	302538	Chincha
820515	68590	
820515	380531	Soraia
820515	384137	Ismênia
820515	384992	Eliane
820515	394872	Remedios
820515	401087	Verinha
820515	404834	Shirley
820516	74585	
820517	225058	
820518	148996	Airline clerk
820519	48779	
820519	74562	
820519	80140	
820519	106270	
820519	234559	
820519	249890	
820519	269030	
820519	270822	
820519	273011	
820519	286283	
820520	14570	Natalia
820520	221926	Carmela
820520	371705	
820521	124240	Aurélia Schwarzenega
820521	383727	Tereza Carvalho
820522	127677	
820523	67011	
820523	83445	
820523	193077	
820523	249785	
820525	387590	Hostess
820526	221334	Europena Wiggs
820527	154288	The wife
820527	291066	Margaret/Ginger
820528	295006	Additional Muppet Performer
820528	382496	Leon
820528	398386	Chester the Crow/Annie/Granny
820529	255485	Tristana
820530	165568	Sosie Janis Joplin
820531	298008	Amy Forsyth
820532	27876	
820533	238613	Herself
820534	254996	Mrs. Stuart
820534	346139	Mme Benoit
820535	316716	Reporter
820536	372819	Mary
820537	153804	Mado
820539	110331	Farm Girl
820540	110331	Farmer
820541	115336	Anita Vallejo
820541	156317	
820542	1311	Bobe (Episodio de Marcelo Sch
820542	72887	
820542	74907	
820542	258533	
820542	353201	
820542	387127	María
820542	389780	
820542	399523	Yetta Finkel
820542	399575	
820542	401823	
820542	403107	
820542	404991	
820542	412311	
820543	212647	Miarka enfant
820544	83379	Madame Goubert
820544	190970	
820544	251550	Jeune Fille Triste
820545	247859	
820546	19922	
820546	77377	Moza 1
820546	102311	Loreto
820546	322325	Marie
820547	219318	
820548	110331	Farm Girl
820549	110331	Farmer
820550	208200	
820551	106304	
820552	88802	
820553	8564	Actriz sex-shop (Sex-shop act
820553	12083	Dolores
820553	35020	Alba
820553	55592	
820553	56541	
820553	71288	
820554	39067	Female News Reporter Voice
820555	246274	
820556	3439	
820557	12661	
820558	95796	Child in Hospital
820559	346543	Zoé
820559	378829	Mary (1985-1988)
820560	88998	Nurse
820560	130972	Miller Sisters
820560	191065	Reporter
820561	96787	Autograph Fan
820562	267608	
820563	399833	Maman Fon Fon (1958)
820564	256454	
820566	366974	Amish woman
820567	187333	Wheelzone Warrior
820568	202593	Marie
820569	81640	
820570	296681	Megan Espozito
820571	167866	Girl at Parade
820571	190220	Suzy Hunter/Crystal Beryl
820571	195436	Waitress Lola
820572	51362	
820573	48286	
820574	93955	Mindy Deal
820574	95328	Celine
820574	108319	Paula
820574	146780	Allegra Cole
820574	153648	Lorelei Shellist
820574	208390	Ms. Dingman
820574	253059	Blair
820574	271344	Martina
820574	338172	Victoria Billings
820574	348106	Herself
820574	362312	Madison Elizabeth Frank
820574	392137	Herself/Host (1995-1996)
820576	260118	Une danseuse
820577	36901	
820578	350434	Diane Johnson
820578	350436	
820579	10373	Helena (today)
820579	208260	
820579	263352	Ms. La Croch
820579	265569	Woman
820579	302661	
820579	329839	Adrienne Forster
820579	380431	
820580	245702	
820581	83071	Anna
820582	170246	Vieras #5
820582	174439	
820583	1366	Ida Cantarelli Pioppi
820583	3441	
820583	6280	Kira Argounova
820583	9705	
820583	13067	Renata Croci
820583	14892	Carolina
820583	14894	
820583	18254	Irene
820583	19068	Andreina
820583	19454	Isabel
820583	22180	Juliana Bartes
820583	24670	Annabel
820583	28614	Greta Larsen
820583	34372	Mrs. Cioni
820583	34478	
820583	37629	Aunt Florentine
820583	42596	Countess Bianca
820583	48973	Caterina, Andrea's mother
820583	51367	
820583	51846	Bettina
820583	54087	Giovanna
820583	54353	
820583	55963	The Girl
820583	55977	Countess
820583	56360	Elsa
820583	56922	Elena Silvagni
820583	57504	Anne
820583	58532	La folle de la gare
820583	58846	Linda Benson
820583	64433	(segments "Gelosia", "Il post
820583	69105	
820583	75255	Mrs. Obin
820583	85692	Mère Thérèse de Saint-Augusti
820583	85967	Olga
820583	87801	Carlo's Mother
820583	89567	Sofia's grandmother
820583	94698	Enrichetta
820583	94718	Shop assistant
820583	97568	Merope
820583	104526	Eugenia Grandet
820583	109642	Countess Alessandra Mirafiori
820583	111419	Dora Florida/La bella Sulamit
820583	112845	Livia Boissière
820583	127646	Agathe
820583	133043	Rosetta
820583	133069	Catherine de Médicis
820583	134318	Irma
820583	138882	Duchess Blanca
820583	148048	
820583	148504	Constance
820583	158956	Lady Clementine
820583	159480	Carol, the caretaker
820583	167174	Germaine
820583	170933	Bacga
820583	182938	Maria
820583	184596	
820583	196719	Marina Ferri
820583	197475	Giuseppe's Mother
820583	197587	Carla's Mother
820583	198585	Maria D'Alba
820583	204661	Manon Lescaut
820583	214016	Magda
820583	214961	Olga Treskovna
820583	215003	Claudia
820583	217886	Renata
820583	218549	Signora Fascioli
820583	233570	Louise
820583	234564	Kira Argounova
820583	238017	Gerda
820583	240130	Vanina Vanini
820583	242869	Claudia Lesurf
820583	243303	Anna Campolmi
820583	246549	Giulia
820583	248413	Mrs. Maddalena Anna Paradine
820583	251610	Elena's mother
820583	255127	Luisa Rigey
820583	260618	
820583	263722	Mother of Vanina
820583	267337	
820583	293342	Gina
820583	293921	Doña Catalina
820583	294255	Countess Livia Serpieri
820583	296425	
820583	300778	Herself (segment "Alida Valli
820583	301401	Aurélia Valéano
820583	307054	Madre di Marina
820583	308888	Lauretta
820583	313901	Maria
820583	316271	Roberta Glabri
820583	316442	Draifa
820583	319325	Mother Superior
820583	320322	Miss Tanner
820583	322575	Adriana
820583	326086	Susanna Sormani
820583	327882	Héloïse
820583	330527	Anna Schmidt
820583	330665	Claude
820583	333708	Inés de Arévalo
820583	339070	
820583	344436	A friend of Anna
820583	344607	Lina Castelli
820583	344987	The widow (segment 3)
820583	346429	Thérèse Langlois
820583	349953	Reina Teresa
820583	354718	Sveva
820583	355647	Patrizia Martini
820583	358589	Elaine Corelli
820583	360466	Kira Argounova
820583	364042	Carla Alton
820583	371422	Louise
820583	375301	Clara
820583	375817	Yvonne, la mère
820583	384891	
820583	385997	Matilde Pierboni
820583	386125	
820583	387737	
820583	398069	
820584	159901	
820585	128587	Grace Nichols
820585	325223	Hester
820586	56034	
820588	380231	Herself
820588	411843	Herself (vocalist; 1952-1953)
820589	199272	Confusion
820590	108507	Mary Carey
820591	112668	
820592	246855	
820593	3169	Little Girl at farmhouse
820594	191092	
820594	270748	
820596	143070	Marian Delmar
820596	144893	Mary Page
820596	341920	Mary Vertrees
820596	367591	Beth Coventry
820597	32888	Nina Laska
820597	39240	Dorothy Calender
820597	39377	Lucy Baird
820597	68489	
820597	69461	Margaret Leland
820597	80495	Julia Weston
820597	84947	Laura
820597	96860	Becka Lipvitch
820597	97846	Mary Pierce
820597	103353	May Joyce
820597	104985	Germaine
820597	106915	
820597	108400	Louis Heller
820597	111881	Barbara
820597	112899	Roxana
820597	114884	Anne Travers
820597	130815	Faith Fanshawe
820597	135609	Carolyn
820597	145783	Mary Welling
820597	145922	Sally Tyler
820597	155700	Mattie Walling
820597	157657	Sara Langford
820597	162942	Dorothy Whitlock/Renwick
820597	169955	Margaret Dix
820597	171670	Sidney Page
820597	183390	Eve
820597	183764	Clorinda Wildairs
820597	183839	Fay Kennion
820597	195003	Mrs. Hall
820597	196254	Mrs. Steven Saunders
820597	203516	Nora Brooks
820597	203619	Mary Turner
820597	206327	Marjorie Pope
820597	215977	June Ramsey
820597	231985	June Wyatt
820597	246608	Gaby
820597	258033	Patsy Brand
820597	258303	Alice Houghton
820597	263503	Linnie Randall
820597	278261	Constance Talbot
820597	283091	Widow Judson
820597	288469	June Rose
820597	294368	Lady Alice Pippinworth
820597	299481	Gertrude Hadley
820597	301061	Frederika
820597	301294	Sally Tolliver
820597	301978	Evelyn Schofield
820597	304028	
820597	312794	Madame Lamphier
820597	315554	Manette Fachard
820597	316671	Sylvia
820597	337323	Anna Jones
820597	339842	Nora O'Brien
820597	346835	Undetermined Role
820597	348381	Jane Cornwall
820597	352723	Edith Goodhue
820597	354500	Alice, His Daughter
820597	359888	Claudia Langham
820597	365379	Nellie Stope
820598	67663	
820598	204035	
820598	282812	
820599	265681	Suzi
820600	183985	Dona escombraries 1
820600	213576	Yum-Yum
820600	263763	Aurora
820600	350123	Rosa
820601	280521	
820602	6569	Augusta, la sorcière
820602	15031	L'ex-femme de Dumais
820602	20068	Candidate
820602	32012	Louise
820602	57400	La femme à la vidéo No. 2
820602	59056	
820602	74328	
820602	83279	
820602	85692	Soeur Gertrude
820602	156300	Georgette Petit-Pont
820602	160533	Henriette Plude
820602	170107	La première infirmière
820602	195343	Madame Wolfe
820602	201184	Marie Louise
820602	225377	Ernestine
820602	228915	Raissa Klarsfeld
820602	234524	
820602	252237	Natalia
820602	261012	Lady Brandon
820602	284700	Zoubida
820602	286317	
820602	288901	La mère de Nanette
820602	292366	Esther Monin
820602	309023	
820602	324067	Dorothée, Mme de Dino
820602	337028	
820602	381683	Geneviève Bergeval
820602	386476	L'ordonnatrice de la secte (s
820602	392580	
820602	397938	Ruth Avigdor
820602	408001	Noémie
820603	385503	Jeannine
820605	339879	
820606	82693	
820607	90179	Dulcinea
820607	90203	Dulcinea
820608	37033	Woman at Church
820608	61794	Jessica's Mom
820608	82692	Bessie
820608	206204	Kelly Marks
820608	214538	Pregnant Woman
820608	295491	Uta
820609	88842	La concierge Petiot
820610	34214	
820610	58321	
820610	112822	La Madelon
820611	103708	
820612	212394	Ragazza quindicenne ospedale
820614	164902	Anna
820615	38103	Backing Singer #1
820616	255274	Marion
820616	396013	Anna
820617	107975	
820617	126134	
820617	329689	
820618	397857	Alice
820619	83266	Lisette
820619	84639	
820619	202344	
820619	333714	
820620	248483	
820621	97492	Raylene
820622	111097	L'hôtesse
820623	16600	Jeanine
820623	58323	Annette
820623	148706	
820623	225432	
820623	346520	Odette
820624	10221	
820624	88324	
820625	70521	
820626	259914	Ginette Dozobre
820626	392369	Alicia
820626	400681	Mathilde
820627	16455	
820627	92230	Rosebud the Human Pretzel
820627	92523	Nurse Shaw
820627	196195	
820627	199135	Imogene
820627	362326	Bowler (Uncredited)
820628	150650	
820629	47892	Fifi (Flo's maid)
820629	73171	
820629	73789	Suzette (Mrs. North's maid)
820629	92883	French Countess
820629	124342	
820629	195682	Señorita del Val
820629	196487	Woman in Window
820629	203470	Cosette
820629	212242	French Maid
820629	218257	Maid in Waiting
820629	224119	Sophie, Malette's Maid
820629	273083	
820629	295370	First Maid
820629	305498	Woman
820629	329481	Receptionist
820629	330191	Beauty Operator
820629	330836	Guest
820629	331713	Mme. Francine
820629	345860	Squaw
820629	366947	Reporter
820630	8045	
820630	55262	
820630	121325	
820630	124124	Regina
820630	220188	
820630	300711	Rita
820630	349848	
820630	403762	
820631	281186	Rosalinda
820632	103201	Herself - Madryn
820632	401881	Herself (Finalist)
820634	408893	
820635	150273	Blueberry
820635	167030	The Jester
820635	302710	Dancer
820635	330762	Young Girl Who Lost Her Aunt
820636	178644	
820637	37263	Sassy Stylist
820637	46352	Break Dancer
820637	81894	Kay Lawrence
820637	149707	Linda Lawrence
820637	359149	Girl Snack Addict
820638	37263	Marina Gold
820638	81894	Ivy Hotchkiss
820638	110993	LaSonja
820638	149707	Jackie Jacks
820639	287406	Brenda
820640	370015	Teresa
820641	136977	Herself
820642	256351	
820643	265189	
820644	338116	Infirimière 1
820645	328393	
820646	24985	Navette
820646	84616	Gogo-girl du bar
820646	99375	
820646	156559	Hildegarde
820646	166144	La fille du garagiste
820646	256413	
820646	271368	
820646	277726	
820647	141529	Neurologist
820647	251767	Waitress
820647	411211	Martha Wanless
820648	169314	Jeannette
820649	314763	Nude Dancer #1
820650	254006	Yvonne Philibert
820651	86868	
820651	170076	
820651	221889	
820652	86001	Margo
820652	280314	
820652	354999	
820653	34372	
820654	318119	Femme d'Ignace
820655	10125	
820655	12062	
820655	25229	
820655	54102	
820655	70519	
820655	82224	
820655	237862	
820655	260948	
820655	278937	
820655	308965	
820655	324498	Azucena
820655	349457	María Laura
820655	353189	
820655	387686	Alma
820655	395487	
820655	397256	Carola
820656	388439	La femme de l'aubergiste
820657	169879	
820658	378009	
820659	65089	
820660	101254	Babette
820660	198499	Giorgina
820661	160817	
820661	257012	Madeleine Baudoin
820662	181326	
820662	257105	
820662	345554	Voisine italienne
820663	621	
820663	759	
820663	770	
820663	6728	Herself
820663	31816	
820663	34879	
820663	38894	
820663	44236	
820663	54553	
820663	62421	
820663	69502	
820663	80542	
820663	93991	
820663	104406	
820663	106340	
820663	106388	
820663	107167	
820663	113636	
820663	116013	Herself
820663	117302	
820663	121555	
820663	128851	
820663	147840	Cindy
820663	156475	Michelle Stanction
820663	188941	
820663	228024	
820663	228031	
820663	233715	
820663	237110	
820663	240980	
820663	241765	
820663	242556	
820663	243095	
820663	248882	
820663	273298	
820663	295936	
820663	295949	Carmen
820663	304005	
820663	306911	
820663	317990	
820663	332857	
820663	357168	Herself
820665	13555	Soeur Agnès
820666	7477	Olga
820666	101247	
820667	42105	
820667	56307	Belinda
820667	59385	Véra
820667	100253	Mado
820667	117949	
820667	173953	Solange
820667	202207	
820667	290783	Kaiserin Marie Louise/Empress
820667	294586	Yvette
820667	294882	
820667	301314	
820667	320045	
820667	326200	Myriam
820667	338653	
820668	188657	
820669	8359	
820669	56350	La locandiera
820669	75250	Rosa
820669	83768	
820669	204315	Maria Luisa
820669	229989	Nora Kent
820669	243362	La pizia/Coro (episode "Eumen
820669	249919	
820669	266177	(segment Sarabanda finale)
820669	351011	Agata
820670	176321	Goldwyn Girl
820670	191038	Cameo Girl
820670	231964	Palace Maiden
820670	264143	Handmaiden
820670	300068	A show girl
820670	302467	
820670	348327	Goldwyn Girl
820670	367530	Magazine model
820670	367970	Goldwyn Girl
820671	16345	
820671	152364	La voisine
820671	202593	Loulou
820672	83287	
820672	148621	Lisa
820673	128084	Siren
820674	132838	Elodie
820675	72912	
820676	204015	
820677	184051	
820678	89353	L'amie
820678	346744	
820679	101950	
820679	345076	Gaby
820679	353925	Gaby Montbreuse
820680	2252	(segment "Chambre, La")
820681	9949	
820682	16871	Carla, l'actrice américaine
820682	198352	Olga Johanssen
820682	217505	Marie-France Gagnon
820682	289473	Joyce Stone
820682	298119	Leslie
820682	326229	Caroline Roy
820682	336948	Marie-France Gagnon
820682	382196	
820682	383863	Annick
820682	395095	Marie-France Gagnon
820682	396334	Laurence Bordeleau
820682	396525	Anita
820683	15035	
820683	46938	
820684	132984	La soeur de Livina
820685	92899	
820686	345536	Madame Martin
820687	110140	
820687	219479	
820687	301401	
820688	345040	Nurse
820689	366730	
820690	194891	Gypsy Dancer
820690	196295	French Maid
820690	341929	A Dancer
820691	153658	Sisko
820691	175481	Marjukka
820691	246933	Sairaanhoitaja
820691	255513	Apuhoitaja
820691	355135	
820692	409265	Sirpa Sormunen
820693	348303	Miami Reporter
820694	30408	
820694	249767	
820694	303220	
820695	6743	L'avvocato difensore
820695	16546	Liliana
820695	33474	Suor Serafina
820695	36510	Valentina Villefort
820695	46181	Soprano
820695	51687	
820695	54347	La madre
820695	64241	
820695	69477	Lucienne
820695	83387	Tante Ophélie
820695	89853	
820695	93736	Edna Piselli
820695	111157	Katiuscia
820695	111427	Gladys
820695	127931	Gertrude, director of the sch
820695	135153	Irma La Notte
820695	135159	La Contessa
820695	159470	
820695	159618	
820695	191416	Mamma Coco Prandi
820695	199044	
820695	206025	
820695	207978	L'ostetrica
820695	209440	Amelia, the Widow
820695	212313	
820695	212580	Francesca
820695	217123	Cesira
820695	217559	Carla
820695	220192	
820695	234552	
820695	234761	
820695	240124	
820695	246427	
820695	248223	
820695	278896	
820695	289440	
820695	292969	
820695	295161	Maria
820695	300782	Una cameriera
820695	301374	
820695	319299	Donna Rosa
820695	320222	Rossella
820695	324233	The Widow
820695	336615	Luisa
820695	338677	
820695	377589	Witness of the accident
820696	401871	Popstar finalist
820697	44913	
820697	66670	
820697	77260	
820697	209737	
820697	244641	
820697	266057	
820698	80303	
820698	245936	
820699	236712	
820701	18375	Mary
820701	110437	
820701	113445	
820701	121887	Gisella
820701	344417	
820701	344622	
820701	353856	
820702	314152	Daisy
820703	156932	
820703	207623	
820704	29140	Maria
820705	179288	Sophie-Dorothée
820706	339095	
820707	256742	
820707	355731	
820707	395090	Vanda
820707	406324	
820707	406537	
820707	409807	
820708	8431	
820708	95891	
820708	100454	Miss Alevizou
820708	100618	
820708	100620	
820708	122784	Mairy
820708	127362	
820708	130475	
820708	132028	
820708	166669	Singer
820708	174538	Eva Varni
820708	174631	Korina Maltezou
820708	180350	Nora
820708	182448	Anna
820708	188887	
820708	209522	Stewardess
820708	253980	
820708	256666	
820708	259860	
820708	266499	
820708	314299	Esther
820708	329735	
820708	350783	Vassoula
820708	380160	Klelia
820708	380779	Dafni
820708	387486	Ellie
820708	388019	
820708	397610	
820708	408829	
820709	122277	Bar girl
820710	43363	Susana
820710	146580	Panadera #2
820711	118778	Chiara Bambina
820713	503	Florence
820713	24625	
820713	69522	La psychanalyste
820713	107062	
820713	198303	Prof de philo
820713	361710	Diane
820713	409280	Alice
820714	301845	Herself - Mother to Jason
820715	326755	Giggly Girl #2
820716	355971	Laure
820716	377017	Une enfant
820717	271868	ID Tech #2
820718	6666	
820718	95177	
820718	119706	Filialleiterin
820718	290164	
820719	193480	Beauty Shop Owner
820720	172523	Harmony Sisters
820720	182285	Harmony Sisters
820720	242257	Ad-agency girl
820721	172523	Harmony Sisters
820721	242257	Ad-agency girl
820722	182285	Harmony Sisters
820723	172523	Harmony Sisters
820723	182285	Harmony Sisters
820723	242257	Ad-agency girl
820724	27429	
820724	168549	Edith
820724	236362	Denise
820724	291679	Elizabeth
820724	292535	Angela
820724	307336	
820724	412268	Clélia (segment "Benvenuto Ce
820725	93721	
820726	61867	
820726	62301	
820726	62303	
820726	80322	
820726	161830	
820726	169775	
820726	212056	
820726	268238	
820726	272670	
820726	275846	
820726	300683	
820726	307574	
820726	336293	
820727	303965	Tattoo Model
820728	353636	Jimena
820728	379583	Juanita Esquivel
820728	384119	Lila (1997)
820728	389780	
820728	402158	Sol Amore
820728	406051	Macarena
820729	377055	Fille au Luna Park 1
820730	87805	
820730	234373	
820730	319508	
820730	323073	
820730	355914	
820730	370156	
820730	376687	Periodista
820730	381389	
820730	381620	Host (1993)
820730	390294	
820730	390527	Herself
820730	402707	Host
820731	397009	Socorro
820731	399522	Pilar 'Pili' Izaguirre
820732	189379	
820733	74506	
820733	74646	
820733	87805	
820733	90032	
820733	137026	
820733	143756	Teresa
820733	165494	
820733	234373	
820733	257594	
820733	319508	
820733	355798	
820733	370156	
820733	376687	Sra. de Gamero
820734	115000	María
820734	121263	Cuca
820734	369999	Herself - Winner: Best New Ac
820734	412159	Girl in beginning credits
820735	138253	Herself (contestant)
820736	281219	Child in Grande's Jeep
820737	121027	1. Dros
820737	122506	Helga
820737	178715	Piken
820738	354445	child
820739	334750	
820739	379248	Ibiza
820739	380085	
820739	381623	
820739	388161	
820739	402688	
820739	408408	Tete Magallanes
820740	96853	Singing Cook
820741	100001	
820742	117852	Mariya
820742	172441	
820742	229021	
820742	352663	
820743	95694	
820743	265993	
820743	357333	
820743	370185	
820744	82720	
820745	17731	Lucette
820745	17850	
820745	23779	Françoise
820745	23829	Jenny
820745	30423	Angelina
820745	32267	La Princesse
820745	57292	
820745	57295	
820745	58117	Varia
820745	75630	Mme. Sernet
820745	83200	
820745	84599	
820745	91755	Flaminia
820745	94700	
820745	106296	Peggy
820745	111864	Dominique
820745	118816	
820745	126257	
820745	133081	Gisèle
820745	168182	Laurence
820745	198566	Marguerite Rival
820745	202591	Valentine
820745	204648	Isé, la soubrette
820745	236580	Louise Louveau
820745	240598	
820745	260040	Blanche de Mareilhac
820745	262948	Une pensionnaire de l'orpheli
820745	276985	
820745	281580	Jeanne Sassenay
820745	282489	
820745	284206	Lucile
820745	292380	La marquise de Pompadour
820745	301090	Geneviève
820745	309774	Sophie
820745	332187	Herself
820745	339804	
820745	345230	Paul's wife
820745	353874	
820745	354243	Gisèle Bourjeon
820745	354902	Eugénie de Montijo
820745	357113	Alice Lepart
820745	377866	La mère
820745	383676	Violette
820746	88216	
820746	255591	Pierrette
820747	8979	
820748	268984	
820749	98758	
820750	63651	
820750	206056	
820750	263929	
820750	285578	
820751	238848	Mme Lacheneau
820751	386573	
820751	402538	Berthe Galland
820752	111076	Arlette, la jeune employée
820753	398033	L'archiduchesse (1973)
820754	14911	
820754	23516	Faddja
820754	51793	Brigitte
820754	85734	Ursula
820754	127933	Marina
820754	157278	Juliette
820754	167165	Francine
820754	170384	Avice Crichton
820754	183148	Irene
820754	189162	Cécile Volanges
820754	204017	Antoinette
820754	215405	
820754	231497	Lia
820754	252009	Principessa a Capri
820754	254962	
820754	255868	Odette
820754	260947	Mary Harmant
820754	285988	Salambò
820754	291669	Prisoner's Wife
820754	301060	
820754	326586	Mary
820754	354452	Luisa's Mother
820754	356163	Maria
820754	376918	Elisabeth
820754	378490	
820755	17386	Cissa
820756	122135	
820756	206234	Mil Caras
820757	16441	Marly
820757	350254	Sueli
820757	378494	
820757	381223	
820757	391312	Eugênia
820758	82920	
820758	134598	
820758	146425	
820758	167233	Une convive
820758	309756	Gilberte Magnin
820758	381027	Mme Vachet
820759	8215	
820759	15042	
820759	15083	
820759	15886	Countess Baranova
820759	29157	
820759	30252	Pénélope
820759	43772	Madame Renée
820759	51253	
820759	54397	
820759	64346	
820759	99653	Olga
820759	101137	
820759	120674	Valentine
820759	151668	
820759	158640	
820759	165240	Alice
820759	166162	
820759	195702	Hotel guest with dog
820759	195735	Mme. Giardin
820759	198343	
820759	198620	
820759	217687	
820759	240627	Madame Chouilloux
820759	242017	Hooker
820759	265739	
820759	275687	Mondäne Zugreisende
820759	287230	Administrator's Wife
820759	307489	La droguée
820759	317692	Colette
820759	334528	
820759	347757	
820759	353915	Duchesse
820759	354465	Nella
820759	357816	La mère du médecin
820759	377048	
820760	14171	Herself
820760	31877	Poetess
820760	37249	Gina
820760	94191	Vanha nainen
820760	116249	Herself
820760	140159	Herself
820760	154822	Woman in Hotel Lobby
820760	155902	
820760	162745	
820760	165285	Herself
820760	200289	The Hag
820760	257231	Vampire Girl
820760	260495	
820760	290163	Herself
820760	295798	Etta Toodie
820760	335702	
820760	350163	Herself
820760	409815	Herself
820761	400270	
820762	356094	
820763	390039	
820764	35202	Bronislava
820764	111954	
820764	122630	Mary Limford
820764	123963	
820764	125062	
820764	145751	
820764	155375	
820764	155603	
820764	166748	
820764	174351	
820764	180212	
820764	187946	
820764	189818	
820764	197831	
820764	210127	Betsy
820764	216987	
820764	236811	
820764	238927	Kitty
820764	252322	
820764	292094	
820764	293799	
820764	301037	
820764	308485	Anni
820764	311929	
820764	320227	
820764	327003	Erika Becker
820765	411311	Elsje Geevaert (1993-1994)
820766	40594	Marguerite
820767	273756	
820768	387319	Herself
820768	387954	Herself - Host
820768	388051	Herself (2002-)
820769	294567	Martine
820770	250731	
820771	33745	Mitzi Stressman, age 6
820772	288862	Herself
820773	238871	Scriptgirl
820774	134623	
820774	387117	
820775	26180	Sylvia Strauss
820775	106542	Headmistress
820775	113994	Angry Woman
820775	164364	Nurse
820775	164840	Reporter
820775	168627	Paulette Branzlik
820775	203263	Mavis
820775	327055	Sandy's Mom
820775	340732	Connie Dennehy
820775	341459	Ferguson's secretary #1
820775	354520	Nurse #1
820775	360618	Judge Shinnock
820776	110550	Hansje
820777	314824	Queen Beatrix
820778	412067	Sira Schilt
820779	2540	Herself
820779	12777	Martha Mendham
820779	31188	Herself (CBS Team)
820779	31192	Herself (CBS Team contestant)
820779	31195	Herself - CBS Team Contestant
820779	31196	CBS Team Contestant
820779	31199	Herself (CBS Team contestant)
820779	31202	Herself (Host)
820779	37292	Nina
820779	45677	Susan Cooper
820779	57492	Herself
820779	64561	Ringmaster
820779	75901	Roxane
820779	120425	Karen Crockett
820779	129437	
820779	138700	Herself
820779	142249	Nancy Donavan
820779	155310	Isabella Hemingway
820779	158435	Cinnie Merritt
820779	161286	Herself
820779	161314	Herself
820779	161316	Narrator
820779	161342	Herself
820779	163649	Secretary
820779	168129	Herself
820779	169881	Alicia Dodd
820779	179042	Herself
820779	185226	Frankie Bands
820779	185491	Cora Munro
820779	196612	Vice President Lane
820779	211180	Julia Alberts
820779	217529	Nora McGill
820779	223931	Claire Thomas
820779	230107	Dr. Klein
820779	274096	Marie
820779	283194	Silvia Gala
820779	298288	Shirley
820779	323227	Mrs. Drew
820779	328594	Leslie Renner
820779	336164	Mayor McAnders
820779	348429	Deborah Michaels
820779	363080	Julianne Kaiser
820779	385594	Valene Ewing (1978-1981)
820779	385824	Janie Whitney #3 (1970)
820779	392422	Herself
820779	394676	Valene Clements Ewing Ewing G
820779	394677	Valene 'Val' Ewing
820779	404289	Amelia (1996)
820779	406159	Jessica Drew/Spider-Woman
820779	407575	Manta
820779	407794	Nurse Annie Carlisle (1972-19
820779	407897	Jane Robson
820779	408153	Additional Voices
820779	409121	Herself
820779	410713	Dee Dee Baldwin
820779	411802	Gloria Fisher (2004 - present
820780	5901	Moeder
820780	25256	Grootmoeder
820780	26542	
820780	32772	Vrouw
820780	62766	Nonneke
820780	66198	Buurvrouw
820780	66235	Dame in Parijs
820780	75362	Sylvie
820780	95871	Vrouw
820780	125224	Moeder
820780	126381	Marie
820780	134371	Dienster
820780	147242	Verpleegster
820780	173199	Cliente in restaurant
820780	180092	
820780	188001	Dienster
820780	188898	Vrouw
820780	202509	Hoertje
820780	232593	
820780	233464	Oma op de trein
820780	256924	Dame in kerk
820780	264123	Dame
820780	266192	Gaste op het huwelijk
820780	308554	Dame
820780	312014	Dame
820780	314847	Barmeid
820780	333134	Dokkersvrouw
820780	382551	Alice Landuyt
820780	383455	Félicienne
820780	404223	Tante
820781	35597	Townspeople
820782	265738	Netta
820783	265245	Mrs. Cavendish
820784	39157	Mifa
820785	71424	Bound Maid
820785	143981	
820785	247926	
820785	345643	
820786	158322	Sally
820788	333592	Isolde
820789	411116	Zuster Monica
820790	367022	Gossiping woman
820791	142744	
820792	36856	Manicurist
820792	124085	Oasis girl
820793	10149	
820793	178603	
820794	102290	
820796	10816	
820796	106810	Frau Moll
820796	391784	
820797	294387	
820798	345132	
820799	235958	Fleur
820800	392530	Herself - contestant (2003)
820801	405209	Annallese Nicholls (1999)
820802	350315	Mother
820803	196729	Dame kookkunst
820803	253630	Dienstbode
820803	314885	
820803	350300	Gastvrouw
820803	357389	Saleswoman
820803	359816	
820804	7457	Mme Ross
820805	137494	
820806	247590	Artiste
820807	202967	
820808	379031	Herself (2001)
820808	403085	Herself (2001-)
820810	47992	Rich Lady
820811	254	
820811	108162	Mientje
820811	165631	Doortje
820811	242439	Daisy
820811	242444	
820811	311651	
820811	354070	
820812	11464	Sas
820812	102479	Lieveheersbeestje
820812	214743	Roddeltante
820812	411899	Irma
820813	393707	Klas
820814	260200	Margy, her baby
820815	321255	
820816	164157	Fleur
820817	167043	Eva Munch
820817	196566	Lauren
820818	336931	La concierge
820819	398046	Herself (1998)
820820	155205	
820821	390242	Sonja de Wijs (1995)
820822	376438	
820822	380905	
820822	387372	Uschi
820823	477	
820823	11783	Nighclub Singer
820823	12560	Hannelore K.
820823	24046	
820823	24130	Nora Svenson
820823	30131	Frau Steiger
820823	37757	Modell
820823	40390	
820823	49473	Else
820823	71643	Hulda Windler, underground co
820823	82650	Caféägare
820823	89670	Dora
820823	93679	Diana
820823	98242	Helene
820823	98277	Richterin
820823	98404	Gertrud
820823	102900	
820823	103276	Ingeborg Schröder
820823	109504	Siglinde von Platt
820823	124276	
820823	124892	Miss Niessen
820823	125077	Gloria
820823	125710	Betty Altmann
820823	126371	
820823	126844	
820823	127642	
820823	132432	Lily
820823	140228	
820823	142162	Linda
820823	144095	
820823	144327	
820823	149733	Journalistin
820823	150643	Hotellvertinne
820823	155329	Annabella
820823	155435	Frau Roth
820823	155489	Katjas Mutter
820823	166768	Misses von Eckstein
820823	170700	Irene
820823	174753	Tante von Mahlke
820823	175279	Kitty
820823	181917	
820823	193797	
820823	194631	Margot
820823	199753	
820823	208181	Modell Mariechen
820823	210058	Sophie
820823	210089	Regine
820823	218968	
820823	225238	Wanda
820823	225636	Clara
820823	230229	
820823	236641	
820823	246920	Wenche Haas
820823	262345	
820823	269752	
820823	281951	Lissy
820823	284099	Stella Mendoza
820823	284558	Elena Kaslowik
820823	290638	
820823	323000	
820823	325782	Petra
820823	325815	Frau Heckmann
820823	325830	Marina Cortese
820823	328991	Lyra Schöppke
820823	337124	Trude
820823	344814	
820823	352073	Hausmädchen
820823	354058	Uschi Blümel
820823	359661	Dr. Sigrid Kubin
820823	359696	
820823	361510	
820823	364872	Corteses
820823	364922	
820823	366529	Mackes Schwester Almut Prinz
820823	366562	Evelyne
820823	376347	Mabel
820823	377342	Mutter
820823	381813	Margarethe Brommer
820823	389120	Appolonia
820823	397997	Marianne
820823	399902	Rezníceková
820823	409609	Frau Liebscher (1991)
820823	410154	
820825	284004	Beth
820825	293294	Carole
820826	4355	
820827	219796	VA Hospital Clerk
820827	248431	Marliss
820827	300180	Versace Saleswoman
820828	360772	
820829	47528	Vera Borinski
820830	316153	Pink haired goth chick
820831	80483	Medical Tech Nurse
820832	40819	Peuter Ellen
820833	106116	Harris
820833	280064	Shanghai Hooker
820834	232402	Phone Installer
820834	328272	Passenger
820835	189563	Elegante Dame
820835	223493	Biggy
820835	352674	Heidi
820835	408769	Eva Maria Woyzkierowicz
820836	408151	Hannah (1995)
820837	144342	His wife (segment "Bons")
820838	17573	Meid
820838	375525	Irma Corthout
820838	381340	Moeder
820839	61737	Det. Moreno
820840	266614	
820841	151537	
820842	348222	
820843	10300	Interviewster
820843	214507	
820843	357356	Anne
820844	81475	Tanja
820844	315833	
820844	350300	Hoertje
820845	258290	Girl
820846	257628	Centerfold
820846	257647	Herself (Miss October)
820846	257845	Herself (Miss September 1989)
820847	257628	Centerfold
820847	257647	Herself (Miss October)
820847	257845	Herself (Miss September 1989)
820848	189432	Hilde Deckers
820849	100533	Camille
820850	101219	Cécile
820851	72208	Customer
820852	409192	
820853	54953	Townsperson
820854	136128	Lexi's Birthday Party Dancer
820855	89654	Dorothy Marteen
820855	113890	Hester Keyes
820855	146144	Odette Charrier
820855	185440	Yvonne Lacombe
820855	305765	Beth Stafford
820855	343264	Ethel Roberts
820855	367505	Emerson's Assistant
820856	142436	Zelda
820856	316501	Meg
820857	113603	Dreems Girl #5
820858	35792	Mrs. McBride
820858	37819	
820858	46314	Aunt Agatha Pixley
820858	46666	Mrs. Gray
820858	46838	
820858	64549	Mary Braddock
820858	69735	Nina
820858	71663	Mrs. Vandergraft
820858	72520	Mrs. Frazer
820858	79664	Bet
820858	85112	
820858	87708	Anitra
820858	99308	Margaret Ashton, Henry's Wife
820858	116136	Mrs. Brown
820858	117175	Cousin Selma
820858	118313	Elena
820858	127080	Delores
820858	128369	The Girl
820858	139854	Mrs. Reynolds
820858	141504	Tina Ferronni
820858	145932	Mrs. Sargent
820858	146221	Mrs. Sloden
820858	151158	On Porch/At Farewell
820858	151161	Mrs. Peabody
820858	157960	Lila Lavender
820858	164873	Marie
820858	177405	
820858	190489	Madame Binat
820858	190611	Mrs. Gallant
820858	194720	Undetermined Role
820858	203019	Ethel Granger Simpson
820858	203350	Kit Warburton
820858	204743	Prisoner
820858	207418	Lucine, ''Three-Arm Fanny''
820858	209381	Her Mother
820858	211749	
820858	213099	Doris
820858	215581	Mrs. Dwight Deacon
820858	215903	Party guest
820858	218770	Mrs. Langley
820858	229520	
820858	239814	Pauline Smith
820858	251163	Mrs. Veniza
820858	265089	Mrs. Hendricks
820858	271853	Ramona (in the prologue)
820858	277978	Sally's Aunt
820858	290331	Mrs. Airlie
820858	294813	Among Friends
820858	300008	Mary Holmes
820858	301689	Edith Preston
820858	302921	Mrs. Ozanne
820858	305770	Mrs. Munson
820858	310018	Princess Tanya
820858	312318	Mary Simpson
820858	312319	Lady Stuckley
820858	314492	
820858	318801	Cafe Customer
820858	328876	Betty Carroll
820858	331138	Estelle Wallace
820858	331882	Princess Merza
820858	335536	Maloney
820858	335873	Mary Ann
820858	345859	Mrs. Lenning
820858	348952	At Luncheon
820858	353474	Princess Adala
820858	358966	Annie Bowden
820858	359525	Mrs. Warren
820858	363182	Sis
820858	363558	Sunflower Sadie
820858	363578	Mrs. Dodd
820858	365778	Woman at the party
820858	366031	Lou
820858	366611	Madame Langlois
820858	367659	Hannah Schriemann
820858	367752	Grace Robertson
820858	372645	Mrs. Dunbar
820858	372933	Mrs. Brookins
820860	292457	Sue
820860	374285	Michelle
820861	6106	
820861	104947	
820862	235603	Party Girl
820863	117529	Fiona
820863	199428	Additional Voices
820865	248055	Endive
820866	183426	Celia
820867	9955	Ana
820867	19488	Guitarra
820867	22702	Aurora
820867	23304	Darlene
820867	110100	Claire
820867	246950	Amanda
820867	335366	Mai
820868	40594	Alice
820868	98627	
820868	400801	Meid
820869	20415	Lenora
820869	29145	
820869	48161	De bruid
820869	49756	Mevrouw Claes
820869	77139	Getuige
820869	112917	Beerputvrouw
820869	125364	Deborah
820869	126381	Karlien
820869	127497	Kaat
820869	129264	Anna
820869	149284	Ingrid
820869	156139	Mevrouw v.d. Ploeg
820869	178730	Moeder
820869	184526	Moeder van Marjan
820869	187066	Moeder overste
820869	208282	Cassière
820869	208749	Els
820869	211920	Leana
820869	231712	
820869	280854	
820869	286217	Selina
820869	286314	Frieda
820869	290428	Minnie
820869	314887	Josiane
820869	335532	Moeder
820869	354457	Mevrouw Martin
820869	357566	Roos
820869	358027	Assistente van de psychiater
820869	379254	
820869	382551	Anna Scherpereel
820869	383455	
820869	384611	Natasha Vorrenhof
820869	387143	Moeder van Lieve
820869	391030	Juffer Sofie
820869	396761	
820869	401670	Justine Aerts
820869	402044	Jess
820869	406558	Erna
820869	408151	Félicienne Lejeune (1995-2002
820870	177196	Direktrice
820870	217064	Moeder
820872	379782	Herself
820874	171252	Cheeleader
820876	232971	Stacy
820877	8182	Jane 'Janie' Archer
820877	139942	Sob Sister
820878	20544	Thérèse
820878	112872	Mme Froment
820879	351436	
820880	107536	Anna Janvier
820881	142719	Killer - Defendant
820882	380317	Voices
820882	408264	Voices
820883	30679	Desk Clerk
820883	79712	Sandy Morrison
820883	109395	Elaine
820883	190393	Gloria
820883	257577	Talk show host
820883	296681	Fram Maxwell
820883	366753	Betty
820884	133730	Teenage girlfriend
820884	170620	Bernadette
820884	322886	Daphne Tisch
820884	331234	Kristen's Cousin #1
820885	257659	Herself (Miss January)
820886	107528	Little girl
820886	407662	Sofieke
820887	254170	Une danseuse
820888	292643	Police Woman
820889	167797	David's girl
820890	409162	Alice
820891	144843	
820892	379075	Presentatrice
820892	387323	Katleen
820893	8564	Actriz chimpancé
820894	68162	Mrs. Harris
820894	102703	Madam Suburbia
820894	127482	Mrs. Lawrence
820894	142669	Dr. Quinn
820894	153187	Jeannie
820894	166007	Vivian
820894	175621	Mrs. Burke
820894	183357	Woman No. 1
820894	190796	Nurse
820894	220018	Nurse
820894	239829	Flirting Granny 2
820894	292247	Matron
820894	292266	Waitress at Frankie's
820894	313064	Mrs. Sims
820894	313420	El Aurian Survivor
820894	314522	Stella
820894	314884	
820894	314963	Mrs. Beatty
820894	323443	Margaret
820894	328595	Ms. Logan
820894	337282	Maggie
820894	340757	Mrs. Fazenda
820894	342975	Matron
820894	385719	Mrs. Hopewell's secretary (19
820894	389340	Barney's Wife
820895	241342	Old Woman
820896	125367	
820896	183209	Makelaar
820896	390242	Dian Alberts (#1) (1991-1993,
820899	84399	Miss Richards
820899	107103	Evelyn Dwyer
820899	157956	Mrs. Bonner
820899	203669	Therapist
820899	304557	Press Person #2
820900	229248	Begrafenis bezoeker
820901	66193	Miss. Scarlet
820901	81152	Cale's Personal Assistant
820902	84485	
820902	412067	Bionda Kronenberg
820903	202834	Amaranta López
820904	397886	Herself
820905	404974	A girl (in "Caroline et ses c
820906	206287	Bernardin
820907	113203	Mira
820907	243047	Crying girl
820908	393919	
820909	386608	Malinka
820910	1675	Herself
820910	2042	Herself
820910	2395	Herself (Pretty Funny Female 
820910	114691	Policewoman
820910	223066	Pick-a-Little lady #5
820910	275890	
820910	390205	Yvonne
820910	391658	Martha Stewart, various other
820910	392660	Herself
820911	44825	Johanna Akolk
820911	116993	
820911	149961	
820911	171829	Lady Milford
820911	186930	Countess
820911	218984	
820911	259477	Martha Curth
820911	259583	Gertrud Wendereich
820911	259610	Emma Schnabel
820911	265632	Regina Harms
820911	284999	Gräfin von Notritz
820911	312646	Marianne Gerlach
820911	312654	Frau Kristburg
820911	409614	
820911	412103	Mama
820912	408151	Sofie Bastiaens (2002-)
820913	71380	MTV-VJ
820913	400217	Iris
820913	410838	Tessa de Graaf (2000-2001, 20
820914	299498	Secretary in Shower
820915	7142	Zuster Anke
820916	290452	Jasmin
820916	382689	Host (1999-2001)
820916	389839	Hi-Dee
820916	410736	Host (06/06/2004-)
820917	281357	Waardin
820918	367022	Gipsy
820919	209735	
820920	231714	
820921	182332	Hostess
820922	240429	
820923	65720	Teddy
820923	352126	
820924	243389	Speranza
820925	273756	
820926	124687	Journaliste
820927	215484	Herself
820927	215485	Herself
820927	381906	Herself
820928	284932	Paris friend
820929	351915	Wanda
820930	4307	Saskia de Graaff/Truus Coster
820930	6333	Anneke
820930	13443	Kers
820930	15187	Laura
820930	17321	Anita Drogemöller
820930	45205	Iet
820930	45965	Anna
820930	46235	
820930	76720	Ingrid Sanders
820930	77016	Claudia
820930	87645	Nurse
820930	88264	Sherry Bouvais
820930	89463	Leonieke
820930	99222	Betsy van Raat
820930	147298	Jenny Vreugdehil
820930	162244	Iris
820930	168781	Victoria Lucas
820930	175243	Keetje Tippel
820930	183129	Loesje
820930	184608	White Queen
820930	198745	Monika
820930	203219	Tina Wallraff
820930	246685	Kyla Leif
820930	281148	Anne Herden
820930	290434	Anna
820930	317525	
820930	335480	
820930	341908	Olga Stapels
820930	344235	Linda
820930	352376	Linda
820930	357389	Eve
820930	394609	
820930	405350	Lobke
820930	406100	Sylvia Richter (1999-)
820930	411214	Frederica 'Fred' Beekman (199
820930	411349	Gerrie de Haas
820930	411949	Augurken-commercial-dame
820931	215488	Herself
820931	397888	Herself (2003)
820932	215507	Uma Trough, Miss Oregon
820933	18567	Gelukkige vrouw supermarkt
820934	71811	
820935	180707	Young Backpacker
820935	387117	Desie
820935	412067	Madelief Joris (2004)
820936	282845	Neighbor
820937	243011	Vanessa
820938	220951	
820939	274010	Edna
820940	45375	
820940	101152	
820940	123479	
820940	169289	
820940	206725	
820940	225005	
820941	394204	Katja Oste
820942	32035	Suzanne
820943	193058	
820944	218857	Fotografe
820945	16967	Directrice
820945	99222	Grete
820945	277759	Tante
820945	382017	
820945	392690	Mevr. Koster
820946	213562	Marjolein
820946	228263	Herself
820946	379639	Alfred J. Kwak
820946	383003	Jenny Brink
820947	99844	Suzanne
820947	390410	Sophie Bergman (2000-2001)
820947	400217	Lizzy Vehmeijer (#1) (2001-20
820947	412067	Elize Pardoel
820948	188326	Dancer
820948	286808	Temple Dancer
820949	64676	Tante Chris
820949	140396	Havincks minnares Maud
820949	276518	Odette
820949	357381	
820949	389358	Thérèse
820949	403044	
820949	410441	Mevrouw Bunders (1995)
820949	411180	
820950	6581	Herself
820951	306008	Girl in the bookshop
820952	61844	
820953	306008	Berber Girl
820954	228239	Herself
820955	352126	
820956	4741	
820956	359816	
820956	394912	Heks Tuttel
820957	390242	Hans Mus (2002)
820958	254	
820959	175678	
820959	242444	
820960	390242	Bernadette Harinxma (1993)
820961	46194	Woman in Bar
820961	381567	Insp. Chantal van Wyk
820962	8523	
820962	241928	Ralie
820963	238125	
820964	265763	Carla
820964	404943	Petre Malherbe Terreblanche (
820965	176547	Froefroe
820966	94008	Alicia
820967	18635	Girl on T.V.
820967	118347	Jamie
820967	258876	Young Rachel
820968	110286	Utility Female
820969	317184	Joke
820969	375521	Pensionhoudster
820969	390242	Marjan Verhagen (2002)
820970	115155	Mrs. Claessen
820971	378614	Houser
820972	407662	Marieke
820973	107280	Romy (14 years)
820974	183097	Meisje
820975	388051	Herself (2002)
820976	382909	
820977	367022	Waitress
820978	262805	Volksvrouw
820979	42032	Nurse
820979	112917	Mevrouw van Avermaet
820979	167873	Annemarie
820979	171041	Vanessa
820979	242375	
820979	297922	Kristin Pauwels
820979	381089	Hostess
820979	384154	
820979	384763	
820979	386013	Caroline Leys
820979	386265	Babouche Van Dam
820979	387019	Herself (1997-1998)
820979	388909	(2004-)
820979	389782	
820979	391476	Nadia (1997)
820979	393245	
820979	394794	Véronique (1995-1996)
820979	400287	Reine Priestman
820979	407816	Herself (2002-)
820979	411214	Lies Adams (1997-1998)
820979	411309	Hoofdcommissaris Ilse Van de 
820980	5640	Moeder
820980	114978	
820980	119230	
820980	141734	
820980	165354	Ina
820980	325280	Jeanne ten Have
820980	357380	Zuster
820980	382864	Vrouw van der Roer
820980	392672	Hoofdredactrice Corinne Kelle
820980	401669	Bep Foeks
820980	409977	Joke Wijtenburg
820981	106298	
820981	125367	
820982	18567	Danseres
820982	383180	An (2000-)
820982	406203	Iris Rollier (2004-)
820982	408151	Beata Kozinsky (2002)
820982	409192	
820983	184632	Zus Anja
820984	399658	Lizette (1995-)
820985	205806	Mariken
820985	211911	Dochtertje in auto
820985	218767	Claire
820985	287122	Lieve
820985	373532	Bieke
820985	395516	
820985	410339	
820985	411972	
820986	45586	Mrs. Vremans
820986	73860	
820986	115690	
820986	136335	Striptease Dancer
820986	141776	Ikebana
820986	184608	Black Queen
820986	312014	Bellina Woestewey
820986	354458	Kuprinski
820986	357398	Foster Mother
820986	381905	Herself
820986	410441	Josje Werkman (1993-1994)
820987	229248	Begrafenis bezoeker
820988	42225	Engel
820989	390195	Herself - Reporter (1992-)
820990	313636	Pianiste
820991	228232	Herself
820992	26516	Ellen
820992	129427	Alice van Voorde
820992	165354	
820992	173831	Lorna te George
820992	178687	Winnie Sorgdrager
820992	181004	Circe
820992	215767	Lydia Veenema
820992	240402	Joanna
820992	242445	Clementine Bos
820992	259801	Hilde
820992	266157	Lili
820992	315320	Filmregisseuse
820992	331970	Lucia
820992	400904	Therese
820992	412095	Eva
820993	12472	
820993	40594	Valerie
820993	98769	
820993	273735	Jeanette
820993	282891	Isabella Brant
820993	310825	Hope
820993	328859	Verpleegster 1
820993	397445	Marie
820993	411180	
820994	409192	
820995	93613	
820995	205689	Mevrouw Van offelen
820995	242358	Louise Mossbach
820995	393451	Moeder Rijckoort
820996	361538	Child
820997	411181	Herself (2000-????)
820998	20078	La petite femme
820998	60890	
820998	84221	Old Woman
820998	182949	Corsican Woman
820998	280513	Queen Mother's lady-in-waitin
820998	346657	Madame Lignaux
820998	353845	Mme. Bernard
820999	194836	Rebecca
821000	37601	Elly
821000	80217	Lucette
821001	229028	Jenny
821002	84485	Tourist
821002	97936	Gallery Guest
821002	109462	Corien
821002	357380	Koorlid
821002	397554	Museum guest
821003	125549	CNN Anchor
821004	48320	Madam Milord
821004	110548	Herself
821004	178730	Fientje
821004	203450	Betty
821004	247590	Winkeljuffrouw
821004	324642	Edmée
821004	374656	Prostituée
821004	388531	Carmen Waterslaghers-Vandorma
821004	391030	Wieze-Marie
821004	395513	Monique
821004	399410	Monique van Borgerhout
821004	399981	
821004	399982	
821004	400294	Patsy Boes (1995)
821004	401966	Juffrouw Adèle Pluym
821005	115690	Mevrouw Vonk
821005	156150	Mother Liesbeth
821005	386608	Paulien
821005	410441	Akkie Dorrestijn (1994-1995)
821005	410849	Maters
821006	78516	
821006	129533	Operazangeres
821006	376260	Vrouw van Cornelis de Witt
821007	362538	Sue Anne Schultz
821008	388051	Herself (2000)
821009	198567	Player's wife
821010	26279	Female police officer
821010	248587	Twee, Cynthy
821010	386265	Pick-up
821010	403856	Carmen Terborgh (2001-2002)
821010	412043	Verpleegster
821011	394612	Onderwijzeres
821011	405350	Anes Maria
821012	282035	Stella
821013	124794	Office Worker
821014	113104	Vrouw van de notaris
821014	411116	Bette Savooi
821015	387953	Herself
821015	387954	Herself
821015	406266	Chantal Goegebeur (2002-)
821016	210130	
821016	388299	Simonne Van Den Bossche (1992
821017	41004	Mrs. Skudalapski
821018	187081	Selma
821020	16243	Freya
821020	215767	Member Seance
821021	28874	
821021	110548	Herself
821021	244185	Myriam
821021	258184	Kabouter Stink
821021	394697	
821021	394794	Ria Vranckx (1994-1998)
821021	409192	
821021	410491	Zoë Zonderland (1998-)
821022	411311	Dina Leroy (1999-2001)
821023	181902	Nicky
821025	32729	Anna
821025	203488	Maria
821025	294216	Mrs. Ferrars
821025	380344	Lydia
821025	390571	Mrs. Gargery
821025	396005	Emma du Maurier
821026	17609	
821026	359816	
821026	386406	Juliane Diependonck
821026	400294	Oude vrouw (1993)
821027	110247	Rebecca
821028	17506	Princess Fa-Ying
821029	34193	
821030	226105	Jacqueline
821031	84692	Mademoiselle Breda
821031	112917	Receptioniste
821031	248410	House-meisje
821031	326453	Katrien
821031	411311	Pascalle (2001)
821032	320071	Marjet
821032	390410	Froukje Bijlsma (1999-2000)
821033	228229	Herself
821034	4355	Moeder van Nora
821034	6409	Marceline
821034	18347	Allegonde
821034	25960	
821034	37600	Linda
821034	40445	Kerkkoorleidster
821034	48158	
821034	49756	Thérèse Terlinck
821034	52856	Moeder
821034	76744	Zuster Alma
821034	77016	Mary
821034	77139	Getuige
821034	86109	
821034	89462	Mrs. Mies
821034	95705	Mevrouw Laarmans
821034	99222	hospita
821034	112917	Moeder Van Buren
821034	125363	Olga
821034	136882	
821034	140396	Havincks schoonmoeder
821034	144232	
821034	155802	
821034	165354	Dokter Jo
821034	165367	
821034	175243	Moeder Andre
821034	177149	
821034	179814	Madame Frans
821034	185864	Ilona
821034	187938	Leonie
821034	188913	
821034	189972	Claire Lannes
821034	201205	
821034	202509	Sylvie Dideloo
821034	203447	Claire
821034	203450	Hélène
821034	203996	Angelica
821034	205577	Tante Mele
821034	205806	Zwarte Weeuw
821034	209735	Prostituée
821034	214506	Mother
821034	218281	Mw. Deschamps
821034	218858	Janet Hubbard
821034	231710	Mevrouw Biederling
821034	231712	
821034	238490	Greete
821034	242340	Gerda Mariën
821034	243242	Lotte de Heus Verolmen
821034	251016	Pauline
821034	274857	
821034	280616	Coleta
821034	282891	Infante Isabella
821034	284511	Grandmother
821034	290032	Madame Groenendael
821034	293695	
821034	324642	Tante Clemence
821034	328842	
821034	331970	Martha
821034	344410	Yvonne Binnemans
821034	352299	Gerrie
821034	352336	Mw. Van der Putte
821034	354457	Madame Gendron
821034	354458	Gendron
821034	356078	Barbele
821034	356109	
821034	357394	Vroedvrouw
821034	357566	Eufrazie
821034	357610	Jessy Labroche
821034	358040	Ann
821034	359468	
821034	359811	Lottie
821034	359815	Moeder
821034	375522	
821034	375755	Gravin
821034	375791	Mme. Mauté de Fleurville
821034	377992	
821034	379254	Vrouw Lucas
821034	381815	Blanche
821034	382551	Gravin Ruysseveldt
821034	386431	Moeder Van Haverskerke
821034	387143	Moeder van Georges
821034	389825	
821034	393451	Floranske
821034	394203	Vrouw
821034	394604	Juffrouw Spanoghe
821034	395123	Mammie
821034	398025	
821034	400294	Rozeke (1991)
821034	400801	Koningin Elisabeth
821034	403470	
821034	407884	Fien
821034	408224	Soetkin
821034	408739	Bertha
821034	409084	Martha Seinen
821034	410401	Ida Spilliaert
821034	411116	Melanie/Vrouw Coene
821034	411180	Margaretha van Parma
821035	14557	Esther
821035	155803	Marva Vereecken
821035	175241	
821035	178874	Moeder Koos
821035	306227	Eef
821035	392021	
821036	25258	Meid
821036	93627	Hoer 2
821037	190796	Patient
821037	191491	Stewardess
821038	67934	Hoofdverpleegster
821039	234044	Willy
821040	233287	Zelda Palsma
821041	147298	
821042	388299	Heidi (2002-)
821043	112174	
821044	97035	
821045	173831	
821046	279029	Lyda
821046	386612	Assistente
821047	393556	
821048	147298	Doortje
821049	115688	Buurvrouw Wijnberg
821049	156505	Zijn assistent
821050	64408	Art Galery Receptionist
821051	105487	
821051	321561	Diana
821051	350376	Ellen
821051	388734	Juffrouw 'Juffie' van Santen 
821052	382864	Sjaan Krielers
821053	50628	
821053	410441	Verpleger
821054	412013	Herself
821055	315647	Tant Sannie
821055	393032	Maggie Webster
821056	215767	Stella Allufs
821057	400217	Priscilla Bouvier (2002-2003)
821057	403863	Regular co-hostess
821058	73760	
821059	317229	Monica
821059	397704	Charis
821060	188903	
821061	154415	
821062	408174	De Grobbebollen (Geeltje en G
821063	33960	Karin
821064	4307	Young Karin Korteweg
821064	20049	Mevr. Keldermans
821064	162244	Eva
821064	237140	
821064	357380	Zuster
821064	365706	Juffrouw van Rijn
821064	376257	
821064	383950	Lottgen
821065	25261	
821065	38063	
821065	38064	Jossie
821065	169000	Hilde
821065	203254	Jos
821065	229287	Jos
821065	279779	Jos Robins
821065	303634	Sjimmie
821065	303638	
821065	303639	
821065	340641	Joske
821065	342324	
821065	349766	
821065	352478	
821065	354074	
821065	357358	Hilde
821065	364906	
821066	38062	Jossie
821067	195525	Harm-Wouter
821067	409757	Hippie friend
821068	352371	
821069	125224	
821069	233882	Elsa
821069	234832	Zuster Marie-Josephine
821069	247590	Prostituée
821069	352216	Marie
821069	360459	Baby van 9 maanden
821069	388285	Maria Backeljau/Tante Carla
821069	406514	
821070	179475	Sarah
821070	208282	Maria
821070	378674	Herself (1989-1992, 1995)
821070	382079	
821070	398960	Herself
821070	400802	Herself
821070	410206	
821070	410771	Herself
821071	133208	Monica
821072	1385	Kristin
821073	392675	Patricia (1993-1995)
821074	275825	La mère de Krista
821075	275825	Mère Krista
821076	219344	Spanish girlfriend
821076	390242	Meike Griffioen (2000-2002)
821077	365706	Juliana six years old
821078	102290	
821078	408151	Marie De Ruyter (1998-)
821078	409192	
821079	390242	Marre Dalstra (1990-1991)
821080	130232	Laura Alberts
821080	149111	Taxichauffeur
821080	390242	Laura Selmhorst Alberts Tuinm
821081	385066	Greetje (2003-2004)
821082	83574	
821082	194020	Anna
821082	315464	
821082	400820	
821082	404943	Christelle Terreblanche de We
821083	387359	Eileen Bekker (2003-)
821084	387359	Eileen Bekker (2003-)
821085	149931	Passenger
821086	113399	Celeste
821086	247101	Emma MacDonald
821087	23595	Ethel
821087	29524	St. Pauli Girl
821087	189329	Emma Alderson
821087	306721	Ref's Gal
821087	378614	Liefje maffiabaas
821088	42860	Herself
821088	42878	Sofie
821088	76745	Audrey van Romondt
821088	90688	Patiënte
821088	110247	Emanuelle Uleidi
821088	127571	Model
821088	152274	Esther's mother
821088	194836	Laura Binger
821088	208278	Laura
821088	218857	Monique
821088	226295	Mathilde Vanessen
821088	254768	Malou
821088	270131	Woman
821088	275781	Mevr. Pieters
821088	281395	
821088	290433	
821088	296902	Monique
821088	312056	Monique
821088	313936	Barbara
821088	358547	Marjolein Vroegop
821088	375521	Hoertje
821088	384483	Kaatya
821088	387741	Elise Heydecoper
821088	394609	
821088	400217	Daphne Simons Reitsema Couwen
821088	406166	Monique Starrenburg
821088	410441	Froukje Lok (1993)
821089	198745	Ingrid
821090	37519	Politie-agente
821091	263284	
821092	156505	
821092	187827	Charlotte van Buren
821092	201953	
821092	203703	Heilsoldate
821092	224529	Vrouw van taxichauffeur
821092	337050	
821092	350977	Elisabeth
821092	351162	
821092	394613	
821092	410200	Pensionhoudster
821093	4307	Karin Korteweg
821093	6333	Agaath
821093	12473	
821093	76744	Karin
821093	196729	Lucelle
821093	242272	
821094	383474	Kamermeisje
821095	356097	
821096	399409	Debbie Prins
821097	49601	Schoolkind
821098	118754	Eliette/Fille en collant
821099	352032	Young Agnes
821100	55232	Mareike
821100	132273	Henri´s zuster
821100	242411	
821100	242442	Marietje
821100	273757	
821100	289839	Toontje's vriendinnetje
821101	389099	Hilly
821101	406179	Charley Mabey
821101	411317	Wizadora
821102	324699	
821103	115688	Moeder van meisje met konijn
821104	147298	
821105	88181	
821105	388080	Herself
821105	407962	Chelsea Daniels
821106	40997	Marietje
821106	157588	Hansje
821106	281649	Pauline, vriendin van Rosa
821108	178631	Customor Butcher
821109	299794	String Quartet #1
821110	194836	
821111	35750	Herself
821112	24746	Fete Zarius
821113	410441	Bregje (1995)
821114	116041	Groupie
821115	178555	Verpleegster
821116	76958	Anna Cilliers
821116	404943	Netta Nortje (2000-)
821117	251	Netje
821117	204531	Moeder Harry
821118	33296	Didy
821118	108471	Assistente
821118	235936	Zuster Elles
821118	411943	Gautmi
821119	54015	Rietje
821119	178730	Meisje
821119	187066	Katrien
821119	379786	Herself
821119	387143	Lieve
821119	387377	Linda Hombroeckx
821119	392673	
821119	396667	Mammie (1997-2001)
821120	390630	Sarah
821121	156705	Die Malerin
821122	342088	
821123	4946	Television Reporter
821124	133526	Mary
821124	195021	
821125	181255	Vrouw in steeg
821126	186134	Kamermeisje
821127	407179	Barmeisje
821128	200948	Mari van der Meulen
821129	278318	Swimming girl
821130	110550	Scharrel 2
821131	9964	
821131	147298	
821131	281148	Vriendin
821131	406166	Karin Chaiavelli-Brandsen
821131	406217	
821132	255629	Moeder Sproet
821132	313089	Elise Verburgt
821133	49671	
821133	108146	
821133	172171	
821133	203401	
821133	279675	
821134	94924	
821134	375752	
821135	318468	Malou
821135	371288	
821135	411311	Frieda Sneyers (2001-2002)
821136	223408	Cornelia
821137	87414	Coke Lady
821138	198554	
821138	229609	
821139	180832	
821140	16710	Well dressed woman
821140	46420	Woman in Store
821140	203614	40s Secretary
821140	289666	Woman In Theatre
821140	316090	Nurse (segment "Disco Inferno
821140	320089	Woman
821141	401973	Marybelle Firkin
821142	147242	
821143	126381	Marie-Sebastienne
821143	215068	
821143	383455	Verkoopster
821143	390062	Secretaresse
821143	400637	
821143	411311	Ann (2000-2001)
821144	214387	
821145	7868	Joan
821145	25199	Emma
821145	73572	April Brown
821145	96826	Reggie Tweed
821145	109722	Randi
821145	220682	Stephanie McCarty
821145	222363	Cindy
821145	264825	School Girl
821145	296742	Jessica Lilliane
821145	297776	Nora
821147	394639	
821148	265092	Pilgrim
821149	95871	Van Elten's eerste echtgenote
821149	325280	Head nurse
821149	385145	Willemijn
821150	78789	Jane Goodwin
821151	128262	Louise Miles
821151	158797	Helen Wilks
821151	196516	
821151	321448	Helen Westerhazy
821151	369411	Dr. Diane Fairfax
821151	404002	Dr. Nell Beaulac (1975-1976)/
821151	404694	Susan Ames Dunbar Carver (196
821151	407348	
821151	410977	Kate Hathaway Prescott (1969-
821152	11464	Anja
821152	26484	Truus
821152	42860	Mina
821152	157892	Moeder Winston
821152	213551	Queen
821152	228261	Herself
821152	275781	Frida
821152	314883	Emma
821152	379739	Anja (1999-2000)
821153	407377	Herself
821154	244375	Karen
821155	410401	Bietje
821156	94924	
821157	39456	Woman in the field
821158	2781	VIP Patron
821158	50041	Gertrude
821158	57654	Friend of Supermodel
821158	206240	Herself
821158	214090	Diamond Woman
821158	342872	Carol
821158	344509	Host
821158	351773	Alana/Lucrezia
821158	365498	Amazonia
821158	383754	Herself (The Mole)
821158	408369	Herself/Guest Panelist
821159	144114	Lotje
821160	364425	Juanita
821160	387643	Laura Arnold
821161	390144	Gold (1997, 2000)
821162	401023	Herself
821163	388051	Herself (2001)
821164	196436	Denise
821164	400217	Suzy de Ruyg (2002-2003)
821164	412067	Taffie Arends
821165	310940	Dora
821166	181799	Herself
821167	27268	
821167	176884	Jaimy
821167	232294	Kelly Fremont
821168	176884	Gym member
821169	368309	Herself
821170	389087	Noella Prins
821171	30756	
821172	356813	Balletdanser
821173	90351	Messenger
821173	92573	Honey
821173	120574	Receptionist
821173	332065	Domino
821175	50449	Elly Alting
821175	234891	Mercia Lane
821176	232799	
821176	294246	Mrs. Cary
821176	301568	Mom
821177	130434	Mrs. Scott
821178	17330	Meisje
821179	151672	Italian Girl
821180	113927	Bunny
821181	113286	Bar Patron
821182	370580	Young Rowena
821183	2262	Herself - Co-host
821183	11258	Natalie Kent
821183	32174	Belle Beaumont
821183	59126	Claire Norman
821183	67590	Kay Freestone
821183	75381	Rose
821183	79844	Maggie Terrell
821183	139637	Sandy Coletto
821183	140075	
821183	141154	Jane Hardy
821183	147888	Pauline Stanton
821183	184548	Sally
821183	185623	Claudie Scherrer
821183	208663	Rose Standish
821183	211815	Jastra Watson
821183	220552	Betsy McGuire/Isobel Stuart
821183	241454	Aimee Brower
821183	288940	Maida
821183	297693	Sharon Blake
821183	312958	Maggie
821183	348453	The Widow Quinn
821183	363497	Louise Callan
821184	390548	
821185	400236	Meredith Lord Wolek (#1) (196
821185	404613	Patti Barron Tate Whiting McC
821186	351945	
821187	111878	
821187	241627	Burgomeister's wife
821188	392323	Herself
821189	16232	Marion
821189	155326	Filmdarstellerin
821190	261248	Waitress
821191	406493	
821192	84941	
821193	314847	
821194	386998	Herself
821194	387953	Vote presenter
821194	387954	Herself
821195	228256	Herself
821196	45203	Vader
821197	337886	Nelly
821198	202969	Corra
821199	394470	Saskia
821200	242439	
821201	382637	Chantousia
821202	18567	Meisje bij Garcin
821202	93763	Innocent girl
821202	385066	Vicky (2002)
821202	409995	Herself/Presenter
821203	23838	Bonnie
821203	389742	Ellen
821203	390410	Coosje Verkerk (1998)
821203	393535	
821204	268229	
821205	180900	
821205	219267	
821205	356097	
821206	157892	Sylvia van Leeuwen
821206	189970	Susan
821206	290870	Rachel Decker
821206	348867	
821206	389849	Ushi (2001-)
821206	411094	Herself - Wendy, assistente
821207	80430	Bingo Burger Patron
821208	228230	Jurylid
821209	72398	Marion
821209	135989	Grace
821209	296689	Mildred Hatcher
821210	187255	
821211	102290	
821211	110548	Herself
821211	114494	Sheila
821211	331968	Véronique Van Sevenant
821211	408151	Véronique Fawzi-Swertvaeghers
821212	38064	Bertha
821213	6199	Rosalie, Sauers Frau
821213	33140	
821213	38937	Frau Lehmann
821213	55148	
821213	110645	
821213	142111	
821213	144038	
821214	352877	Katja
821215	247492	Nora Meredith
821216	396501	Additional Voices
821217	29385	
821217	125047	
821217	282735	
821217	357397	
821217	360916	
821218	102479	
821219	378614	Vrouw van macho
821220	19421	May Ling
821220	137736	2. Mädchen
821221	125310	Buurvrouw
821222	64576	
821223	235466	Miss Whittington
821223	269601	Sylvia
821223	409650	Deidre Hargreaves (1973)
821224	269305	Girl
821225	78821	
821226	78821	Beth
821227	158079	
821228	297671	Stern Agent
821229	102739	
821230	2138	Saxie Symbol
821230	8961	Jackie
821230	11137	Susie Ward
821230	31877	Georgia Altera
821230	33675	Sabrina
821230	37249	Mary Gibson
821230	41011	
821230	44453	Jackie Adams
821230	53731	Samantha Ashley
821230	57665	
821230	67118	Sally Blake
821230	116898	Blonde in theater
821230	117342	Singer
821230	118811	Cpl. Bunky Hilstrom
821230	119078	Girlfriend
821230	119431	Olivia
821230	119508	Debbie Stockwell
821230	128262	Harriet Ames
821230	128847	Silver Morgan
821230	136034	Vi Victor
821230	140479	
821230	144905	Gwen Dulaine
821230	146011	Lodge guest at bar
821230	147884	Herself
821230	167099	WAF
821230	184944	Boots Malone
821230	228827	Nora Hall
821230	264756	Evie Simms
821230	283579	Irma Bean
821230	291417	Herself - Interviewee
821230	292178	Birdie Snyder
821230	295798	Dr. Mathilda West
821230	304447	Mrs. Van Graaf
821230	313316	Ellen Ballard
821230	313319	Herself
821230	326408	Peggy DeFore
821230	343160	
821230	347753	Penny Lowe
821230	351178	Rita
821230	353305	Carol Hudson
821230	357086	Moana
821230	370572	Lilith
821230	372373	Miss Hathaway
821230	409606	Herself (interviewee)
821231	83217	
821232	152378	Alice
821233	152378	Juliette
821234	2027	Nurse
821236	65824	
821236	77615	
821236	109592	
821236	114865	
821236	147445	Rhea
821236	151736	The Bride
821236	154651	Clara Hammell
821236	162378	Gladys DeVere
821236	190788	Marie
821236	282330	
821236	308391	Eileen
821236	365233	Natalie
821237	301613	Old Woman
821238	382975	Merel van Outrive
821238	399982	
821239	57139	Emily
821240	32277	
821241	210954	
821242	314589	
821243	4618	Girl
821243	23210	Woman at Racetrack
821243	64090	Junior Leaguer
821243	89711	Mlle. Polaire
821243	322607	Girl on plane
821243	348327	Goldwyn Girl
821244	163299	Miss Mengalstein (Dolan's sec
821244	245998	Elinor Silene
821244	363623	Miss Andrews
821245	315320	Claudette
821246	101366	Chrissie
821247	93622	Maria Scudo, kinderjuffrouw
821247	178755	
821247	180025	
821247	202470	Toos
821247	318469	
821248	400288	Herself
821249	189571	Neue
821249	195689	Girl in Night Club
821250	402746	Herself (?-?)
821251	49366	Olive's Understudy
821251	206215	Lyn
821251	294804	Laura
821251	313969	Lisa
821251	379716	Marta Jones (1992)
821251	385821	Sara Reddick (1989-1990)
821252	293106	
821253	109336	
821254	65184	Girl after school
821255	200324	Herself (television programme
821256	30777	Girl in Pickup
821256	67611	Maryann Cobb
821256	128760	Baby
821256	291245	Girl
821256	294142	Angie
821257	58171	South American
821257	327172	Mrs. Atkins
821257	342856	Michelle, daughter
821258	118720	Susan Barrett
821258	142432	Betsy
821258	299041	Elaine
821258	358007	Dixie
821258	372736	Jane's Friend
821259	155816	Model
821260	144465	Charlotte
821261	330818	Herself
821262	80695	Dancer in Nightclub
821262	398538	Marilyn Munster
821263	237910	Herself
821264	79290	Undetermined Role
821264	158237	Louise Parkson
821264	296835	Secretary
821265	149730	Jean
821266	126686	Hostess
821267	63747	Tanya
821267	81652	Hannah
821267	110997	Little girl
821267	222704	Queenbee Girl #2
821267	223772	Cary
821267	227502	Young Wynonna (Christina) Jud
821268	20625	Extra
821269	337125	Carol Sloan
821270	24328	
821271	63719	Yumi
821272	169139	Child Chorus
821273	169139	Chorus
821274	222754	Librarian
821275	142985	Clown
821276	408092	Sandra
821277	387359	Karin Schoeman Edwards (1997-
821279	58357	
821279	87414	Lace Curtain Lolita
821279	106298	
821279	188282	Ruby
821280	410838	Wendy Janssen (2000-2001)
821281	33526	Chief
821282	33526	Docter
821282	205726	
821283	205726	
821284	53937	Princess Anna
821285	215486	Herself
821285	215487	Herself
821285	397285	Herself (2002-)
821285	397888	Herself (2002)
821285	404473	Herself
821285	406913	Host
821285	407173	Herself (2002-)
821286	180192	Lili
821286	205577	Tekla
821287	142514	
821288	54994	
821288	188334	Miss Richardson
821289	228242	Host
821290	291839	Nina
821291	76745	
821292	139442	
821292	222638	Claudia Vance
821292	321543	Lena Powell
821293	349596	Volksvrouw, meid
821294	98762	Herself
821295	16952	
821295	35076	
821296	392493	Ibbeltje
821297	188885	
821297	375079	
821298	221784	Katherine Elio
821298	314738	Tassie
821299	72719	Liza
821300	84230	Death House Doll
821301	105535	Olga
821301	119203	
821301	352245	Käthe Kienzel
821302	248491	Antoinette van Praagh
821303	158798	Court Reporter
821304	170409	Nancy Livington
821305	392735	Herself
821306	80066	Arlene Howard
821306	164984	Diner Lady
821307	97224	
821308	47311	
821308	55417	Girl
821308	64835	Girl in Car
821308	81097	Waitress
821308	128168	
821308	128477	
821308	130149	
821308	142360	
821308	154885	Mary
821308	195125	
821308	218511	Mazie
821308	219786	Bit Part
821308	228819	
821308	249623	
821308	284564	Phone operator [Ch. 2]
821308	297970	Bit Part
821308	363622	Girl at Duke's Table
821308	367709	Blonde
821309	328856	
821309	387749	Grootmoeder
821309	394612	Mevrouw Scalonje
821309	394613	
821309	403443	Weduwe Musch
821309	404425	Mrs Irma Bastiaanse
821309	404668	
821309	406557	Raden-Atjoe Pangeran
821309	409825	Ottilie Dercksz
821310	26469	Frau Lange
821310	34324	
821310	40526	Ingrid Clausen
821310	86068	
821310	91182	Tante Lydia
821310	97948	Adele
821310	119170	
821310	140324	
821310	168760	Monika
821310	182245	Madame Monestier
821310	187547	
821310	312868	Lenau
821310	334526	
821310	349741	Cheroquee
821310	361406	
821310	371393	Lydia
821310	384965	
821310	388419	La princesse Sonia Danidoff
821310	388419	La princesse Sonia Danidoff (
821310	388419	Le princesse Sonia Danidoff
821310	388798	Sandra
821310	398083	Ellen Braun
821310	400873	Karla Stern
821311	251739	
821312	121045	
821312	124971	Ilse Thorn
821312	178356	
821312	316872	
821312	359695	Herta Barthel
821313	822	Rita
821313	4753	Juffrouw Klaterhoen
821313	26259	Owner Toren Restaurant
821313	82166	Psychiater
821313	108145	Bibi
821313	173831	Jiffrouw Sibculo
821313	180644	Slagersvrouw
821313	203784	
821313	214743	Mevrouw Ellemeet
821313	218508	Neighbour
821313	238127	Kassajuffrouw
821313	241926	
821313	242429	Emmy
821313	317185	weduwe Kouwenaar
821313	352126	Tante Veronica
821313	379080	Juffrouw Klaterhoen
821313	408221	Ans Jansen
821314	400295	Herself (2001-)
821315	2008	Herself - Best Supporting Act
821315	3126	Nonna
821315	64072	Stepmother
821315	70404	Arletta
821315	96829	Kate
821315	108360	Mama Rico
821315	123703	Big Momma
821315	135911	Kate Fisher (Doc's woman)
821315	154447	Mrs. Fine
821315	154868	Katie Roth
821315	177251	Ma McDade
821315	193227	Madame Dioz
821315	248470	Clara
821315	261985	Mother Vanda
821315	281889	Bessie
821315	288472	Mrs. Jessica Williams, Headmi
821315	293637	Mrs. Einhorn
821315	330665	Mme. Dufresne
821315	365420	Ella Garth
821316	365664	Julie
821317	142153	Maria
821317	244925	Mrs. Webb
821318	122377	
821319	156851	Mother at Tea
821320	12472	
821320	213551	Tante Gazeuse
821320	231691	Julia
821320	357393	Derde vrouw
821320	397306	Vera Zomer
821321	173831	
821322	215487	Herself
821322	397888	Herself (2002-2003)
821322	402746	Herself (2004-?)
821323	215589	
821324	17330	Meisje
821325	210954	
821326	329661	Singer
821326	350277	Ginny
821327	187060	Leentje als kind
821328	373732	Majorette
821329	113104	Rozalieke
821330	133728	2nd woman having photo snappe
821331	102725	
821331	208521	
821331	264871	Herself
821332	88559	Screaming Fan
821333	48320	Robin's Tante
821333	110548	Herself
821333	290621	Simone, Barfrau
821333	333134	Katrien
821333	385682	Herself - Host
821333	394605	Tante Terry
821334	289831	parapluie stelende dame
821335	340509	Flower girl
821335	352376	Nicole
821336	176547	mevrouw Van der Neffe
821336	352260	
821336	388299	Monique Maeterlinck-De Kunst-
821337	290021	Countess Chotek
821338	24703	Model at Bar
821338	200864	Fiancée
821338	206240	Herself
821338	230512	Olga
821338	308128	Beauty
821339	110315	Ashley
821340	12117	
821341	63535	
821342	82693	
821343	26226	Deen
821343	33526	Belle
821343	205726	
821343	278318	Pathologist
821343	360785	Prostituee
821343	378951	Barbara Korthof
821343	397306	Eva van de Wouden-Van de Berg
821344	355332	Herself
821345	293756	
821346	81135	Marie Genevieve Soeur
821347	333246	Trooper
821348	77195	Dorothy Horncastle
821348	296678	
821348	386857	Helen Thorpe
821348	387134	Linda Cochran
821348	389283	Det. Sgt. Hicks
821348	390432	Katrina
821348	401452	Susan Wade
821348	403926	Marigold Featherstone
821348	409819	Policewoman
821349	368592	Greta
821350	10355	Dienstmeisje
821350	124940	
821350	211131	Caroline, Beets' oudere docht
821350	242455	
821351	179609	Esmeralda Van Hie
821351	182332	Vera Bruyns
821351	324642	Marie
821351	389782	
821352	155999	Moeder
821352	305118	Agente
821352	392672	Goesje
821353	301088	Mrs. Nagal
821354	378659	Herself (2001-2002)
821355	277759	Jonge sonja
821356	13778	
821356	13779	
821356	342009	Ballet Star
821357	88085	Librarian
821358	82656	Els
821359	355091	Café Customer
821360	192527	Gallery Crowd
821361	311923	Prison Extra
821362	388051	Herself (2002)
821363	214743	Jong katje
821364	290229	
821365	61320	Tara
821366	19624	Nina Gunter
821366	51241	Madame Fortin
821366	80206	Lucienne
821366	313966	Mme Vionnet
821366	336968	Maman Ida
821366	404804	Madame Monastier
821367	121819	Sidewalk cafe patron
821368	187072	Very Attractive Baby
821369	288690	
821370	211508	Bodyguard side-kick
821371	388157	Tahiri
821372	389858	Georgiana 'Georgie' Jones #3 
821373	389858	Georgiana 'Georgie' Jones [#3
821374	267640	Starella
821376	352373	Betty
821377	14972	Maria
821378	166718	
821379	37601	Lotte
821379	80217	Gertrude
821379	188913	
821379	229028	Louise
821379	251016	Buurvrouw van Martha
821379	357359	
821379	358040	Werkvrouw
821379	389010	
821379	389782	
821379	389783	
821380	211918	Sekretaresse van Haken
821381	6394	Moeder
821381	9750	Mirjam
821381	12462	Olympe
821381	108160	Mariska
821381	141735	Weduwe Arva
821381	152657	Phoebe Rice
821381	159623	Beline
821381	169022	Jonny's moeder
821381	171796	Fonsia
821381	199360	Elsie Peeters
821381	214356	Magda Goedhart
821381	273621	Moeder
821381	352298	Meg
821381	354062	Katelijne
821381	359396	Geertruid
821381	376247	
821382	352126	
821384	107750	Gaby
821384	160414	Eve
821384	272936	Spike
821385	290073	Marieke
821386	404898	Oma (1975-1981)
821387	356078	Anne
821388	35280	
821389	217982	Faith
821390	102244	Horse Trainer
821392	115497	Technician
821393	10559	Tinne
821393	110548	Herself
821393	290870	Juf
821393	326453	Cameravrouw
821393	378694	Herself (2002-2003)
821393	387953	Vote presenter
821393	387955	Presentatrice
821393	399052	Herself (2002-)
821393	407173	Herself (2003-)
821393	408151	Sandra Nauwelaerts (2001)
821393	409192	
821394	166142	
821395	397886	Herself
821396	195945	Jean Horne
821397	388909	Balie-agente (1999-2001)
821397	408151	Polle (1999)
821397	411311	Carine (2001)
821398	343553	
821399	31327	Oil Wrestler
821400	99844	Nurse
821401	2640	
821402	389993	Herself (2002-)
821402	401876	Herself
821402	406327	Herself (2001-)
821402	412045	Els
821403	388299	Lensie (2002)
821404	289894	
821406	273282	
821407	71659	Vivian
821407	277947	Marion
821407	311523	Precinct Policewoman
821408	345765	Sam
821408	408290	Narrator (1997)
821409	296671	Lily
821409	407884	Treske 1955-1959
821409	408151	Peggy Verbeeck (1995-2000, 20
821409	411311	Nathalie Jacobs (2002-)
821410	209455	
821410	259609	Namaka
821411	214423	Penny
821412	16100	Cher
821413	279723	Ségolène Baudry
821414	92883	Countess De Grenier
821414	183668	Frenchwoman
821414	188023	French woman
821414	215909	Madame Lesanne
821414	232370	Woman
821414	306343	Princess
821415	347732	Woman at irish ball
821416	43	Sister Elisabeth
821416	15231	Supportive Fan
821416	84889	School Clerk
821416	133475	Minnie Belle
821416	154450	Analyst
821416	216772	Admin Nurse
821416	252929	Nurse Thelma
821417	235571	Escort
821418	31654	Marilyn Rovell
821418	114039	Blonde Money Honey
821418	384366	Carla Soleito (1996-1997)
821419	395321	Herself/panelist (1949-1954)
821419	410924	Herself/panelist (1952-1955)
821420	42807	Waitress
821420	65449	Jules
821420	80050	Freshman Girl 3
821420	136270	Joeley
821420	190559	Hollywood actress
821420	300919	Classmate
821421	118865	Melinda
821421	210519	Natalie
821421	213625	Michelle
821421	321352	Katherine
821422	408877	Claire de Haan (1983)
821423	226112	Jeanne
821424	154264	Edna/Scullery Maid
821425	277851	Athlete
821426	169595	Anna
821426	238591	
821426	315320	Producente
821427	189897	Esther Valkhof
821429	340509	Dutch M.P.
821430	410838	Fabienne Vermeer (2000)
821431	198745	Betty
821433	397703	Herself (1999-2001)
821434	258184	Kabouter Smal
821435	205808	Berthe
821436	334069	Herself - Best Female Artist 
821437	393485	Herself (2000-????)
821438	306952	Stella angel
821439	181261	Bourgeoise (III)
821440	262090	Impostra
821440	293822	Carla Barnstead-Normack
821441	58357	
821442	242445	Kerstens
821443	2991	
821443	13719	Herself
821443	18953	Herself
821443	79752	Herself
821443	187072	Vanished Woman on Plane
821443	277010	Herself
821443	339480	Herself
821443	372048	
821443	393214	Host
821443	402037	Herself
821444	60953	Crow Woman
821444	224032	
821444	262160	Pueblo Woman
821444	279313	Mama
821444	303102	Buffalo Woman
821444	365998	Anuba
821445	86946	Journalist
821446	247370	Herself (international journa
821447	242585	Shirley
821448	188513	Christine/Diana
821448	215872	Sydney
821448	244120	Zuna Brickman
821448	258951	Catherine Greer
821448	264154	Princess Daisy Valenski/Danni
821448	372134	Monique
821448	385594	Grace Van Owen (1985-1986)
821449	69898	Girlfriend
821450	17152	Maria Nielsen
821452	215767	Debbie
821452	387581	Tara Terhoef
821453	306227	Brenda
821454	41695	
821454	258878	Night Nurse
821455	126709	Wendy Stipe
821456	403043	Herself (2001-)
821457	304051	Nurse
821458	149494	Kínai kereskedõ
821459	187237	Kris' Hands (baseball scene)
821460	81135	Marie Jeanne Lardiere
821461	122183	COPS officer
821462	10241	Prostitute in Cauldron
821462	26392	The Mother
821463	135716	Mascha Silman
821463	256493	Mammaloe
821463	382019	Herself
821463	406519	Ina
821463	411094	Herself - presenter (2000-200
821464	229248	Begrafenis bezoeker
821465	94925	Mevrouw van Marle
821466	81172	Madame de Vries
821467	33625	Belle van Zuylen
821467	140396	Havincks vrouw Lydia
821467	149282	Charlotte
821467	189897	Dorien
821467	289993	Stephanie
821467	315522	Meriam Bron
821467	327367	
821467	331970	Emma
821467	361538	
821467	365583	Noortje
821467	391102	Annet Edelman
821467	393184	Marleen
821467	400294	Moeder (1993)
821467	401669	
821467	412033	Anna Bayens
821468	313954	Teresa 'Robinson'
821469	125572	
821469	364828	Reidler Ev
821469	376304	
821470	257674	Herself
821471	32649	Casino meisje
821472	278318	Page
821473	258878	Blond
821474	45586	Girl in dancing
821475	18347	Ander kind van Letta (Letta's
821476	188900	Jonge Wanne
821478	273756	Oeleke Lichtervelde
821479	113104	Dochter van de notaris
821480	30463	Julia
821480	296735	April
821480	296736	Dee
821480	316730	Leslie (Carl's girlfriend)
821481	25258	Kati
821481	45586	Lady in restaurant
821481	65791	Caféhoudster
821481	73860	Woman at tram stop
821481	76756	Oma
821481	93627	Hoer 1
821481	98769	
821481	122749	The Abbess
821481	125311	
821481	126181	Meisje
821481	204531	Bazin
821481	215928	
821481	238477	Mariette
821481	292761	
821481	317187	Leila
821481	320003	
821481	335773	Eliza Parson
821481	345489	Young Woman in train
821481	357391	Susanne
821481	357396	
821481	357566	Revuezangeres
821481	358948	Rolande
821481	359396	Mildheid
821481	389782	
821481	392916	Mama Tonio
821481	397706	
821481	400287	Nel Muys
821481	409974	
821481	411311	Marie-Jeanne Deleu (1996-1998
821482	65378	Bar Woman
821483	280131	Juju Asst. #1
821484	152274	Susan's Father
821484	248410	Vrouw in auto
821486	198042	Derek's secretary
821486	205819	Paulette
821486	214456	Woman in Alley
821487	37469	Sister from Missouri
821488	37469	Sister from Missouri
821488	211600	Innkeeper's daughter
821488	269304	Prince Wolfram's Maid
821488	360702	Nicki's maid
821489	57747	Inmate
821490	365664	LA Dancer
821491	9935	Roommate
821491	26779	Car Bomber
821491	104967	
821491	146849	Bathtub Girl
821492	78437	Studente
821492	78515	Fieleke
821492	130231	Mieke
821492	156154	Roelinde
821492	178447	Carla
821492	178856	Clarice
821492	213359	Hermia
821492	242306	
821492	309959	Lisette
821492	403637	
821492	411116	Marieke
821493	266678	Heather
821494	338009	Shoe salesperson
821495	257420	Ludwig
821496	208282	Vriendin Sofie 2
821496	404735	Anna
821496	408151	Ann De Decker (1995-1998, 200
821499	352126	Annette Werner
821500	281909	
821501	107280	
821501	124424	Parachutist Spoor
821502	115098	Girl in Bar
821502	385653	Holly Warner
821503	408151	Agente Nicole (2004-)
821504	389315	Lut
821504	395633	Marleen (1994-)
821505	210954	Helen
821506	170541	Audience
821507	242321	Sandra
821508	170528	Sondra
821509	254052	Une ogresse
821510	231711	Vanessa
821511	41411	Crystal
821512	21736	Mandy
821513	103297	Selma Wijnberg
821513	135602	Katje Doorn
821513	379254	Judith
821514	64675	
821514	273758	
821516	99222	Emile de Weerde van Bergh
821516	365575	Alison
821517	388299	Marie-Thérèse (1993-1995)
821517	406203	Christine 'Cricri' Nkoto (200
821518	361538	
821519	397888	Herself (2002)
821520	42034	Laila
821521	129257	
821521	134630	Florence
821521	383455	
821522	109789	Joyce Blackett
821522	289839	Jan Duifs vrouw
821523	81895	Cynthia Fried
821523	249420	Flora
821523	274054	Bargirls #2, Cowgirls #1, Lil
821524	367977	Hostess Nam
821525	196878	An
821526	196586	Hooker
821527	1550	Charlotte
821527	3119	
821527	5664	Geena
821527	10559	Yvonne
821527	12560	Brigitte
821527	28177	Anne
821527	40445	Moeder
821527	40920	
821527	40997	Dolly/Sylvia/Kitty
821527	100533	Micheline Foucher
821527	129321	Anna
821527	148141	Simonne
821527	172073	Female Anarchist
821527	181492	
821527	182152	Moeder
821527	186134	Laura Ley
821527	187066	
821527	202636	Annie
821527	205509	Woman
821527	219466	Monika
821527	256253	Eva
821527	282104	Fanny Zigeuner
821527	285687	Hilde
821527	296671	Catherine
821527	303956	Greta
821527	310828	French Teacher
821527	318470	Moeder
821527	337025	
821527	357359	Christiane
821527	361538	
821527	365655	Lin Lemmerse
821527	367020	Lili
821527	367362	
821527	374656	Micheline
821527	379254	Zyncke
821527	381815	Maude (segment "Het Parfum")
821527	391479	Sylvia
821527	398025	Marie
821527	400216	Marcella
821527	400294	Emma Weemaes (1995)
821527	400598	(segment "Lucky Star")
821528	12636	
821528	357359	
821529	76447	
821530	535	
821531	391426	Host (1996-1997)
821531	395037	Host
821531	398962	Host
821531	401267	Host
821532	188900	Wanne
821533	148701	La mère de Paul
821533	271372	Mme Olivarez
821533	339475	Falco
821534	387953	Herself
821534	387954	Herself
821534	406266	Evi De Bie (2002-)
821535	21375	Patrices kone (Patrice's wife
821536	386995	Ann
821537	101752	Clochard
821537	386406	Eva-Louise Rabenack
821537	395667	Rosi Koch
821537	406730	Tante Lavarande
821538	224807	
821538	301670	
821539	244785	Maye Moone
821540	235541	Aunt Jeanette
821541	390242	Roxy Belinfante (2002-2003)
821542	274177	Mrs. Templeton
821543	105898	Carmen
821545	386998	Herself
821546	188902	
821546	210127	
821547	115381	Verkoopster
821547	248507	Joyce van Dijk
821548	7686	Yannick Van-Nieuwehove
821549	406792	Herself
821550	361864	Boy's Mother
821551	198357	
821552	1223	
821552	1251	
821552	11621	
821552	41594	
821552	228594	
821552	326732	
821553	34223	Jodi
821553	78077	Emily
821553	105704	Mary Ann White
821553	115713	Linda Smith
821553	150973	Gwen Van Osburgh
821553	176506	Amy
821553	184580	Ginger
821553	199499	Girl at Clios
821553	245507	Mrs. Winston
821553	249517	Mrs. Weems
821553	282923	Marge Swimmer, Faro Neighbor
821554	394612	Kind van Alie Donkelaar
821555	407210	Roos Steenmeier
821556	139790	Dance-hall girl
821556	375044	Showgirl
821558	395667	Flora
821559	86347	Frieda Van Reeth
821559	104695	Herself
821559	394794	Pim (1996-1997)
821559	411311	Debbie Persoons (1998-2002)
821560	66938	
821561	180867	Maid
821562	384970	
821562	387323	Stefanie (1996)
821562	395633	Lili (1994-2003)
821562	400637	Rachel De Doncker
821562	409928	
821562	411311	Suzanne Samijn-Snoek (2001, 2
821563	368309	Herself
821564	375980	Ms. Poulardes
821565	127548	Mary Jean
821565	295277	Catherine Sager
821566	122543	Elisabeth (Heiko´s Mutter)
821566	126446	Julia Oppenhoff
821566	185929	Evi
821566	189188	Liane
821566	290471	Nicole
821566	350147	Lisette Vronsky
821567	186739	Alex
821567	289683	Emily
821568	175740	Corporate Woman
821569	149111	
821569	388296	Wilhelmina Dücker
821569	392564	Margreet Halleveen (1995)
821570	10845	Operative
821570	55681	Out-Patients Sister
821570	55684	Glamcab Driver
821570	55697	Nurse Parkin
821570	71133	Girl in the Train
821570	90351	Second Lady
821570	158723	Don's wife
821570	160530	
821570	163194	Angela
821570	288493	Jane
821570	290352	Amanda
821570	385299	Mrs. Byers
821571	311746	Fantasy Girl #3
821572	410496	Herself
821573	687	Presenter
821573	3251	Presenter
821573	23933	Herself/Audience Member
821573	47173	Presenter
821573	63076	Performer
821573	164395	Jill
821573	196300	Maureen
821573	210734	Herself
821573	282702	Performer
821573	302607	Presenter
821573	341442	Alex (Segment Horny)
821573	381056	Leigh Jackson
821573	381886	Presenter (1997-1999, 2000-20
821573	394146	Tracy Cotton
821573	398557	Debra Squires
821573	402121	Co-Host (2000)
821573	405886	Presenter
821573	410966	Narrator
821574	48160	
821574	77139	Getuige
821574	97792	Madame Jef
821574	113103	
821574	113104	Toke Pertang
821574	126381	
821574	126826	Mrs. Gaskin
821574	138495	Heks
821574	174842	Gravin Chiarelli d'Adda
821574	279646	
821574	393617	
821574	400801	Boerin
821575	18347	Thérèse
821575	41457	Mylène
821575	130221	Veerle
821576	13953	Anne
821576	22741	Elena
821576	65948	Caroline Sheldon
821576	75704	Woman in the Hotel
821576	86023	
821576	104512	Joanna Quinn
821576	135591	Ilse Brandt
821576	182625	Susanne 'Susy' Friis
821576	193919	Eileen Wade
821576	204001	
821576	232761	
821576	237600	Clare Dejavue
821576	269952	Deuca
821576	292219	Danielle
821576	321688	Malia
821576	333307	Lucy's mother
821576	352120	Lisa Hoffman
821576	357860	Herself
821576	360741	Regina Sloan Corelli
821577	392530	Herself - Finalist #5 (2003-2
821578	42867	Amelie
821578	72719	Moeder van Harry
821578	99222	Frederique van Erlevoort
821578	129257	
821578	142639	Linda
821578	179301	
821578	184526	Schoondochter
821578	188001	Jaumain
821578	205531	Maria Danneels
821578	210953	
821578	285702	Katelijne
821578	309974	
821578	375142	Linda
821578	394758	Hélène Vermarcke
821578	400876	
821578	408151	Katrien Lefloo (2003-2004)
821578	409886	Elizabeth Shirling
821578	410003	Heléne Deryke (1999-)
821579	23615	Danseuse
821579	166565	Dancers
821579	195157	Danseuse
821580	18030	Janet Stein
821580	27333	Cleveland
821580	37998	Mae
821580	40632	Nadia's Mother
821580	43557	Bernadette
821580	46202	
821580	46530	Serena
821580	50443	Olga
821580	67598	Sister of Mercy
821580	67601	Ruth Lytton
821580	67996	Ellen Dietz
821580	82686	Connie Frazier
821580	98810	'Tommy' Thompson
821580	107689	Mrs. Boyce
821580	117265	Alice
821580	118434	Barbara, Ruth's friend
821580	127529	Erika Magnussen
821580	130106	Hillary
821580	133151	Iris Braimen
821580	140162	
821580	154447	Joyce Miller
821580	157596	Caroline Ruben
821580	159550	Aunt Ruth
821580	165108	Edith
821580	188447	Linette Robbin
821580	200853	Leila
821580	201567	Betty Fuller
821580	202395	Dema Harshbarger
821580	202736	Sally Cato
821580	203913	Ida Mae
821580	213663	Jan
821580	218159	Dorothy Mann
821580	222590	Janet Murphy
821580	255233	Harriet Goodman
821580	300054	Mrs. Mahler
821580	308049	Polly Standall
821580	312557	Mrs. Beamish
821580	316268	Phyllis
821580	331980	Mother
821580	334206	Betty Eischied
821580	340547	Maude
821580	340930	Nettie Brown
821580	346127	Helen Talbot
821580	366236	Edie Gould
821580	366417	Grace Lockhard
821580	372148	Miss Wellington
821580	380713	Janice Turner Hughes #1 (1956
821580	385673	Herself
821580	386698	Jean Benedict
821580	390325	Claudia Gramus
821580	396785	Maude Pomfritt
821580	396961	Elma Parkhill
821580	396998	Iris Chapman
821580	409558	Maureen (1995-1996)
821580	411811	Clara Kershaw (1959-1960)
821581	154580	Dana
821582	42842	Woman in Restaurant
821582	46292	Spectator
821582	143499	Cigarette guest
821582	204034	Clarissa Pennington
821582	395811	Herself
821583	220218	La professeure d'histoire, Be
821584	10559	
821585	10502	Malcolm X's Daughter
821586	309807	Chelsey
821587	10502	Malcolm X's Daughter
821588	18567	Fotografe
821588	40641	
821588	76756	Enterprise
821588	159971	Young Claire
821588	260099	Tania
821588	284511	
821588	376188	Patsy
821588	382975	
821588	408151	Manon (2004-)
821589	17683	Herself
821590	344184	Chicklet Van Pelt
821591	325198	Evelien
821592	278717	Carol
821593	144484	
821594	214537	Tourist #1
821595	33426	Student editor
821596	388299	Ingrid (1992-1996, 1999-)
821596	409928	Godelieve Brackeniers
821597	393485	Herself (1981-1996)
821598	388299	Gerdje Govaert (2002-2003)
821600	10535	Headteacher
821600	49391	Female Scientist
821600	109823	Waitress
821601	13789	Spartanette #6
821601	24430	Go-go dancer
821601	24432	Go-Go Dancer #1
821601	149258	Cotton Club Dancer
821602	33575	Bacchis
821603	376257	Fanny
821604	328045	
821605	157564	Remora
821607	213324	Fairy Musician
821608	316028	Mrs. Myerhoff
821609	315808	Cécile d'Evrard
821610	391368	
821610	411830	Herself (1981-1986)
821611	28011	
821611	234172	
821612	11549	Laura
821613	165970	Jan, a teenager
821614	336937	Lise Deslandes
821615	228263	Herself
821616	397886	Herself
821617	379770	Lotje Paulus (1998-1999)
821617	380747	Ilse Beerten
821617	388299	Christel Feremans (2001-2002,
821617	389879	
821618	347573	Katrin
821619	48265	Lottie
821619	77798	
821619	97510	
821619	387359	Louwna Roelofse Vorster Edwar
821620	394003	Presenter
821621	336235	Mary
821622	48161	Dienster
821623	254988	Fotomodel
821624	16710	Mother at Accident
821624	18612	Norma Calder
821624	26969	Alice
821624	38553	Secretary
821624	65782	Agent Fuller
821624	105502	Molly
821624	107906	Marie Quintal
821624	151110	Hysterical Patient
821624	156970	Pregnant Woman
821624	183639	Diana Bernstein
821624	189242	Mrs. Hildebrandt
821624	203614	Ingrid
821624	240325	Lily Creighton
821624	329503	Alice Fitz
821625	384970	
821625	387323	Meisje
821626	342189	Herself
821626	351613	Herself
821627	109684	
821627	136335	
821628	228310	Rich Lady
821629	362595	
821631	367021	Marie-Louise
821632	151680	Girlfriend of DC
821633	261607	Engelse Tannie
821634	355639	Matilda
821635	71380	Agneta
821636	48161	De vrouw
821636	113103	
821636	119023	
821636	134148	Elsa Verveeken
821636	202969	Juffrouw Freken
821636	214897	
821636	345489	Dansende dame
821636	381341	
821636	410401	Manse
821637	151680	Nola
821637	226295	Lovanna
821638	387359	Tossie du Bossion (2003-)
821639	325280	Widow of the victim
821639	392674	Liesbeth de Vries
821640	103447	Black Dancer
821641	289650	
821643	87414	Natalie Wood
821643	238427	
821644	104692	Herself
821644	104758	Belgian entry (18th place)
821645	25958	Trees
821645	27520	Oma
821645	99201	Moeder
821645	157627	Diensmeisje
821645	214506	Nun
821645	214897	Gedubde stem van Willeke van 
821645	247161	
821645	273621	Elena
821645	290042	Virgie
821645	304899	Brigitte
821645	356811	Stem/Aktrice
821645	407884	Elza Mees
821645	410401	Elise
821646	5539	Linette
821647	147703	Herself
821648	249750	La mère de Max
821649	407816	Herself (2002)
821650	35079	Carmen Rawlins
821650	148909	Rhonda 'Lady D' Andrews
821650	399345	Herself (Winner)
821651	130286	Monica Carr
821652	55253	Angela
821652	232060	Heather
821653	289788	Denise Johansen
821654	33130	
821654	124890	
821654	129490	
821654	290459	
821654	344209	
821654	360950	
821654	376474	
821655	264286	Princess Marie-Josée
821656	39752	
821657	97471	Kind Lady
821658	40938	Lizzy
821660	180193	Trix Cuperus
821661	20888	Abby Brewster
821661	25255	Grootmoeder
821661	124395	Rozi
821661	141735	Tante Rezi
821661	184628	Mrakotova
821661	202509	Elodie
821661	205807	Die Moeye
821661	344237	Lucie Dyckman
821661	357394	Oude vrouw
821661	411116	Clementine
821662	82166	Verpleegster 1
821663	189963	Nicole
821664	277020	Herself - Abducted by Aliens
821665	45586	Greet
821665	383180	Francine (2000-)
821665	394794	Betty (1992-1995)
821665	406203	Kathy Pieters (2002-)
821666	197113	
821667	159132	Dance Teacher
821668	277526	Mama Tinga
821668	367054	Rolls Royce Lady
821669	51838	Young Frances
821669	411355	Extra
821670	406789	Herself (2001-????)
821671	313936	Young Barbara
821672	286224	
821673	6121	Daughter
821674	273758	Lenie
821675	26905	
821676	57751	Elsa
821677	33546	La serveuse
821678	248040	Woman at bar
821678	325670	Frau Westphal
821679	73158	Mme Le Maire
821680	18504	
821680	225841	Miriam
821681	125270	Priscilla Chesterfield
821682	33526	Mrs. Van Levert
821682	205726	
821683	211686	
821684	12469	Mevrouw Dickerdack
821684	40923	Gertrud Cornelius
821684	257363	Jaja
821684	268151	Mrs. Doeluttel
821684	284850	Dienstbode Rosa
821684	402545	Emma van Slingelandt
821685	198654	Young Wife
821685	199354	
821685	340220	Mrs. Hopkins' sister #1
821686	281649	Client
821688	130219	Nancy
821688	175241	
821688	235939	
821688	305225	Bibliothecaresse
821688	387117	Monique
821689	45586	Girl in dancing
821689	388285	Sabrina Backeljau
821689	388299	Lesley (2002)
821689	412045	Ellen D'Hondt
821690	89572	Matinee Idol's Girl Friend
821690	201953	
821691	210127	Luitenant
821692	178800	Madam Schallier
821693	161374	Herself
821693	215462	Judge (Host of Fox News Chann
821693	245333	Herself
821693	400185	Herself (Host)
821695	45586	Brenda
821696	143742	Girl in Crowd
821696	318337	Food Valley Cashier
821697	71825	
821697	241605	Armani Model
821697	248717	Coralie
821697	309309	Charlotte
821697	332196	La psychiatre
821697	342798	Star
821697	357852	Muriel
821697	357853	Muriel
821697	380708	Maitre D'
821697	382188	
821698	19262	Mrs. De Voe
821698	38079	
821698	81952	Barzella Busteed
821698	95022	Aunt Netta
821698	145028	Elsie's mother
821698	207153	Miss Prim
821698	242052	Rosa Lopez
821698	251637	Caroline Pickett
821698	267526	Truth
821698	318220	Margaret Darwin
821698	336030	Mrs. Huntley-Knox
821698	340817	Mrs. Burton
821699	10867	Susan
821700	283069	Éléonore
821700	382864	Françoise
821701	224538	Herself
821702	130610	Regina
821703	288690	
821704	218279	Elvire
821706	13043	Bus Controller
821707	38957	Herself
821707	113685	Joker
821708	134564	Herself - contestant
821709	406789	Herself (19??-2000)
821710	12175	
821710	14620	
821710	16715	
821710	17195	The Happy Couple
821710	17987	
821710	26807	The Charmer
821710	29077	
821710	30071	Mother
821710	30360	
821710	40082	Martha Vale
821710	52126	
821710	52128	
821710	52134	
821710	52137	
821710	73370	Follower's sister
821710	75318	
821710	79944	Woman in street
821710	93042	The Girl
821710	97198	A child of fagan
821710	112002	
821710	126281	
821710	128306	Vera
821710	133305	
821710	133415	
821710	134114	
821710	135168	
821710	203722	Flora, the Dance Hall Girl
821710	209378	
821710	211145	Invalid's sister
821710	245351	
821710	255223	Officer's wife
821710	261965	Sue
821710	262048	
821710	274724	
821710	274737	
821710	276377	Woman
821710	281587	
821710	298546	
821710	302216	
821710	305684	The Younger Sister
821710	311325	Bonita
821710	358699	Idea man's sweetheart
821710	358972	
821710	367431	Younger sister
821711	224529	Enrica
821712	367022	Gossiping woman
821713	69460	Maggie, the elderly accomplic
821713	76582	College Dean
821713	128308	Mrs. Jennings
821713	136002	
821713	166345	
821713	263169	Mrs. Irwin
821713	333851	Ida Straus
821714	42855	
821714	78395	Moeder van Edouard
821714	142514	Jane, de Helleveeg
821714	178755	
821714	181168	
821714	188902	
821714	203703	
821714	219267	
821714	282839	
821714	318469	
821715	137494	
821716	345873	Beatrix of Burgundyy
821717	314886	Marjolein
821718	128494	Stripper
821719	195854	Wardrobe Woman
821720	410548	Herself - of University of Ca
821721	45842	Cammy Crain
821721	49656	Pearl
821721	51472	Nikki Pappas
821721	59869	Suzy Aquado
821721	73330	Woman in Elevator
821721	113986	Mary Conant
821721	119484	Marlena
821721	130329	Kimberly
821721	177475	Tina
821721	209136	Cam
821721	241508	Liliana
821721	254527	
821721	271868	Kate Fraser
821721	316760	Reva Cody
821721	351899	Zoe
821721	359569	Mercy
821721	408523	Jackie Rush (1980-1985)
821722	281721	Stefanie Willis
821723	392579	Pierrette
821724	132233	Reporter
821724	185900	Newscaster #2
821725	276601	Lisa Mallory
821726	240694	Erotic Dancer #2
821727	411367	Poison
821728	393334	Maartje
821729	81135	Catherine Jeanne Hudde
821730	128600	Extra
821731	1883	Customer #1
821732	410401	Ka van Pier
821733	190663	Can-Can Girl
821734	21736	German Woman
821734	81522	
821734	89833	Giannina
821734	110329	Plethora
821734	115279	Baroness Katrin Frankenstein
821734	127621	Showgirl
821734	138704	Janette Revere
821734	196284	Helene
821734	318346	Helene
821734	322354	Elaine
821734	325118	Lyra, the She-Devil
821734	327765	Girl on Main Title
821734	358708	Woman at "21"
821734	377481	Irène
821734	402245	
821735	369492	Muse 7
821736	202636	
821736	389783	
821736	394604	Liliane
821737	213568	
821738	197495	Krona Clark
821739	123064	La fille nue
821740	110315	Victim
821741	339834	Family on Bus
821742	112370	
821742	114047	Edie
821743	213552	Josje
821744	352216	Dochter Louiske
821745	34411	
821745	104695	Iris
821745	184786	Elisabeth von Alfthan
821745	386998	Herself
821745	387951	Herself
821745	395266	
821745	397317	Directrice
821745	410656	Herself
821746	12473	Fake Jugendstorm leader
821747	357827	L'enfant Stopodor #1
821748	110550	Omroepster
821749	305118	Elly
821750	81234	Herself
821751	20888	Martha Brewster
821751	24434	Une dame du comité
821751	32649	Moeder
821751	35909	Hilde
821751	40594	Zuster Philomène
821751	57757	Direktrice
821751	97770	Amalia Freud
821751	99201	Grootmoeder
821751	104961	Magda
821751	130835	Elzbieta
821751	141796	Julia Tesman
821751	152363	Oude Amanda
821751	166309	La veuve
821751	179814	Verpleegster
821751	188909	Moeder van Masja
821751	195163	Gaste
821751	202509	Rosalie
821751	202700	Marie-Louise
821751	203447	Mevrouw Lemoyne
821751	205689	
821751	255557	Mother
821751	260847	Miriam
821751	268384	Regentes
821751	273621	Mevrouw Elvira
821751	282891	Gravin van Lalaing
821751	286314	Huisbazin
821751	287122	
821751	328136	Mrs. Burnett
821751	328679	
821751	351025	
821751	352016	Dame Lettice
821751	354457	Moeder Martin
821751	357394	Aflegster
821751	359468	Martha
821751	368056	Elzbieta
821751	373586	Kapiteinsweduwe
821751	374631	Duegna
821751	375721	Oude juffrouw
821751	379254	
821751	381340	Tante Lotje
821751	394142	Tante Cara Wilmers (1968)
821751	396460	Moeder Overste
821751	404430	
821751	405168	
821752	192794	Connie Foster
821753	388299	Linda Van Den Bossche-De Smet
821753	392082	Nicky
821754	20092	
821754	71299	
821755	165631	Betje
821755	203703	
821755	242439	Grandma
821755	294193	
821755	298217	
821755	318469	
821757	320378	Mrs. Lucerne's Nurse
821758	296733	Extra
821759	114691	Richard's Patient
821760	379786	Herself
821760	382877	Herself
821760	392668	Herself
821760	396763	Herself (1999-2000)
821761	400217	Lara Evenhuis (2001)
821762	38992	Lottie
821763	173831	
821764	90829	Kloosterzuster
821765	189892	
821766	126619	Extra Talent (segment "Gett O
821767	353297	Hooker
821768	119608	Athlete
821769	249595	Reporter #2
821769	351239	Reporter
821769	356351	Doris
821770	44833	Dancer
821771	281777	
821772	166108	Stella
821773	404898	Ieniemienie (1980-)
821774	137494	
821775	247590	Fotomodel
821776	30071	Baby
821777	34448	Beverly Hills Dancing Lady
821777	92694	Ballroom Dancer
821778	129762	Gnome Maiden
821779	105113	April
821779	166728	Jenny
821779	346139	Rosetta 5
821780	351708	
821781	53033	Ilana
821782	34968	Miss Van Seckland
821783	275430	Wanda
821784	119542	
821785	78524	
821786	10331	Thais, ptolemys' wife
821786	365942	Sophia Eri
821787	153	Sara Hutchinson
821788	194564	Conference Parent
821789	104772	Dutch entry (22nd place)
821789	228262	Herself
821790	58357	
821791	401596	
821792	37033	Didi Soams
821792	77949	Cheryl Sanders
821792	138161	Emergency Room Nurse
821792	195529	Dr. Myra Mirkovic
821793	111063	Special Guest Cannes Film Fes
821794	8362	Shop Assistant
821795	97510	
821796	84513	Enquêtrice
821796	124903	Linda
821796	175241	
821796	278887	
821796	289831	echtpaar in snackbar
821796	306227	Mother
821796	307319	Antoinette
821796	350310	Geesje
821797	278887	
821798	308642	Rodeo Performer
821800	231202	
821801	12200	
821801	25404	
821801	30192	
821801	39305	Ashleigh's daughter
821801	49397	
821801	59122	
821801	78149	Mildred Shedd
821801	84945	
821801	100858	
821801	114229	
821801	115633	
821801	120185	
821801	128189	Duchess of Breakwater
821801	131566	Rose Hartley
821801	133786	
821801	138256	Elinor Craig
821801	141214	
821801	142698	
821801	143023	Bessie Clay
821801	143250	The Wife
821801	145409	
821801	190596	
821801	194757	
821801	200196	
821801	213462	
821801	216462	
821801	224384	Undetermined Role
821801	232451	
821801	241640	
821801	246717	Mrs. Silver
821801	251495	Denise, his fiancie
821801	285704	
821801	294043	
821801	309531	Wife
821801	318033	
821801	329950	
821801	330804	
821801	332783	Dorothy Van Rensselaer
821801	334977	The Mother
821801	337410	
821801	349644	
821801	362828	
821801	364310	Wanda Bartell
821802	185900	Newscaster #2
821803	108925	Molasses (co-owner, Dawsono H
821803	164501	Mrs. Rebus
821803	194095	Grace
821803	230303	Woman
821803	292405	Patient
821803	304065	Mrs. Vance
821803	311186	Joe's Mother
821803	313793	
821804	194406	Army Nurse
821804	396643	Aunt Effie Harper (1983-1989)
821805	209089	
821806	342862	Shirred
821807	308642	Rodeo Performer
821808	134487	
821809	410681	Regular (1951-1952)
821809	411222	Regular
821810	78849	Emily
821810	112071	Maria Morales, as a child
821810	192065	Mary
821810	285134	Robin Brooks
821811	248669	Pretty Girl (School) #2
821812	27249	Spectator
821812	56191	Mrs. Hinkey, woman restaurant
821813	84484	
821813	118465	
821813	123317	
821813	257938	
821814	165357	Herself - Vocalist
821815	126067	Chorine
821815	154971	Herself
821815	215189	Herself
821815	271813	Herself
821816	7141	Becky
821817	168293	Marlene
821818	227028	Trubbity
821819	12772	
821819	73353	
821819	130314	Cassie Cooper
821819	134018	Courtroom Reporter 3
821820	251007	
821821	198970	Jeanne
821822	204557	Happy Girl
821823	238590	Sister Agnes
821825	184776	
821825	251219	Vidya
821825	271467	Rani
821825	300581	Shyam's Mother
821825	301437	Rukhsana
821825	350765	Vasantsena
821826	288667	Herself, singer
821827	331100	Dancer
821828	3163	Topless Ticket Taker
821828	87063	Time Traveller
821829	56545	Herself
821830	84624	
821831	94385	Alice
821831	100165	Hanna
821831	140943	Lisette
821831	309695	
821831	322353	Donalda Laloge
821831	378761	Lucie Chaput
821831	387165	Herself
821831	398078	Franny Anderson (Jeune)
821832	334423	
821833	222599	Victim
821834	366753	Gypsy Woman
821835	203376	
821836	56952	Princess Anhalt-Zerbst
821836	103316	Mrs. McClean
821836	124735	Sophie Fullgarney
821836	128866	Princess of Ehrenstein
821836	140954	Mrs. Powis-Porter
821836	154354	Mrs. Catchpole
821836	163289	Mrs. Bellamy
821836	178926	Duchess
821836	207229	Peg Woffington
821836	273404	Lady
821836	360229	Mme. Bonnard
821836	366195	Old Marie
821836	372942	Lady Wilmington
821837	177435	Leslie Rain
821838	54626	Lady Froster
821838	142926	Queen Catherine
821838	169612	Duchess
821838	198865	Lady Macbeth
821838	268152	Ambassadress
821838	372635	
821839	117529	Waitress 1
821840	86470	Jen Tyler
821840	151117	Connie
821840	194706	Allison Moller
821840	274447	Alana
821840	278437	Emily
821840	326664	Herself
821840	386295	Johanna Wilson
821840	387989	Amy Abbott
821840	390177	Sam Dolan
821841	91793	Lady at Police Station
821842	93323	Sally
821843	35311	
821844	232207	Alex Jung
821845	158313	Girl in Crowd
821846	79451	Mrs. Dabb
821846	92244	Nahoma (Patience's Indian ser
821847	17156	Co-Ed
821847	400236	Cindy London (1986-1988)
821848	328301	Victoria
821849	67430	Miss Pat/The Woman/Normal Jea
821849	72106	
821849	138348	Pool hall couple
821849	170561	Jeanette
821849	190952	Nike
821849	191987	Clinic Doctor
821849	288703	Herself
821849	314697	Evanston
821849	359290	Manicurist trainee
821849	404337	Various (1985-1986)
821850	363560	Girl at Club
821851	214929	Racer/Girl in Crowd
821852	232090	Teacher
821854	346005	Brittany
821855	30484	Geisler's secretary
821855	208470	Exercise Class Lady
821855	224691	Sally
821855	228473	Maid at Party
821855	232509	
821855	240811	Beatrice
821856	273276	Herself
821858	79420	Jessie Emerson
821860	281196	Jody Vance, Sportscaster
821860	312538	
821861	93043	Woman in alley
821862	196915	Extra - dancer
821863	347724	Frizzy Haired Woman
821864	27318	
821864	44693	Widow Perriwinkle
821864	45212	Mrs. Malvern
821864	155586	Old lady #2
821864	217478	Women's Club president
821864	252381	Party Guest
821865	283343	Lady Gambler
821866	274427	Wanda's Girl
821867	315483	Showgirl
821867	321522	Miriam
821868	84132	Fran, Inebriated Lady
821869	346142	Lana
821871	320143	Herself
821871	320149	Herself
821871	407081	Herself (6 Days, Chuay Gahn T
821872	204584	Grace
821873	48264	Punk girl
821874	109591	Treasure Hunter
821876	347065	Dancer
821877	27343	
821877	30066	
821877	35437	
821877	47409	
821877	49495	
821877	57145	
821877	88290	
821877	112455	
821877	112548	
821877	116730	His Fiancee
821877	121685	
821877	129897	Mamie Arthur
821877	230870	Little Girl's Mother
821877	245003	
821877	299178	
821877	333218	
821877	346401	Marjorie Stanley
821878	2726	Herself
821878	41987	Alicia
821878	57495	Herself
821878	120691	Mrs. Grant
821878	126646	May Brodey
821878	133655	Minnie (nurse)
821878	133770	Hester Goodbody
821878	154398	Ethel Mertz
821878	154399	Herself
821878	197070	Viv
821878	292405	Leah, Hotel Maid
821878	391416	Vivian Jones (1968)
821878	392419	Ethel Mae Roberta Louise Pott
821878	396146	Vivian Bagley (1962-1965)
821878	396148	Ethel Mertz
821879	361907	Valerie
821879	372097	Young Sammy Prescott
821880	40804	The Woman
821880	54948	Sandy
821880	245207	Kit
821881	65683	
821882	258523	
821883	246204	
821883	265647	Sona
821883	320641	Viola
821884	113641	Prostitute
821884	121514	Female Fighter
821884	296261	Party Girl
821885	43114	
821885	140061	
821885	182642	
821886	106639	Nurse Simeone
821887	356088	
821888	43128	Mother Cihanová
821888	58266	Dr. Brezinová
821888	58271	Doctor
821888	82797	
821888	166661	Mrázková
821888	171537	Blanka
821888	198582	
821888	213846	
821888	224960	Márinka
821888	230461	Bride
821888	238198	Neznáma žena, o¾ga )
821888	267951	Jana Gaiusová
821888	283688	
821888	305814	Maminka
821888	314959	Tereza
821888	317628	Miss Rousová
821889	16195	
821890	253152	Alzbeta
821890	262657	
821890	264727	
821890	292975	Kristýnka
821890	351373	
821890	357949	
821890	376556	Ulrika Habiger
821890	384131	Mária
821891	58226	
821891	96195	Jacquie
821891	340139	Monique
821891	385490	
821892	200429	Frida
821893	341850	Marie Vandal
821894	160421	Female Refugee 3
821895	112917	Advokaat 2
821896	2743	
821896	83741	
821896	135777	
821896	153806	Soeur du meunier
821896	183114	
821896	228805	
821896	316577	
821896	326872	
821897	220826	
821898	314581	Evicka
821899	313936	Woman in car
821900	130335	Beautiful Girl
821900	326125	Third Robber
821901	63372	Rosemary
821901	63374	Eileen
821901	63375	Eileen
821901	63376	Peacock
821902	395307	Herself
821903	20434	Party Woman #1
821904	356508	Professeur blonde
821905	68491	Servant At Window
821905	79345	
821905	99842	Mrs. Flint
821905	108098	Woman who opens front door
821905	126293	Ma Butler
821905	126294	Ma Butler
821905	131641	Lodger
821905	148368	
821905	191950	
821905	195866	
821905	195959	Mrs. Nattle
821905	239746	
821905	281877	Mrs. Crawley
821905	301953	Kirsty
821905	337310	
821905	340545	Mrs. Biddle
821905	405119	Mrs. Hudson
821906	383684	Juliet 'Gina' Petillon de Alo
821907	184959	Angie
821908	390773	
821908	403907	Alphonse/Sophie de la Tranche
821909	157310	
821909	210122	Muriel
821910	181153	
821911	116005	Paulette
821912	290177	Jadwiga
821913	111581	
821913	336538	Kate
821914	35263	Girl E
821914	48240	Claire Sutton
821914	102964	Lanny
821914	230412	Physiotherapist
821914	316140	Sarah
821914	382516	Wendy
821914	389630	Dr. Yasmin Richards
821914	401624	Herself (2000-)
821915	152603	Grandmother
821916	38963	
821916	283439	
821917	85921	Jemima Khan
821917	108517	Nun
821917	158684	Cassie Sanderson
821917	389510	Herself (1997)
821917	391786	Kerry (1999-2000)
821917	399130	Lauren Carpenter (1993-1994)
821918	104740	Dutch entry (11th place)
821918	104773	Herself - Dutch vote presente
821918	179039	
821918	228232	Herself
821918	228234	Herself
821918	228247	Herself - Jurylid
821919	380713	Frannie Hughes #5 (1983-1984)
821920	387953	Herself
821920	387954	Herself
821921	247977	
821922	373532	Verpleegster
821922	384154	
821922	394697	
821922	408151	Carolien (1996-1997)
821922	412045	Dani Wauters
821923	41695	
821923	380747	Isabelle Vierin
821924	112812	Anne d'Autriche
821925	395038	Zangeres Laatste Show Band (1
821926	138862	
821927	389416	Secretary
821928	191779	Kay Person
821929	51792	Concierge
821929	108213	Rosalie Klepkens
821930	215767	Mireille
821931	23425	Samantha
821931	347117	Tanya
821932	81784	Miss Zimmermann
821932	115556	Wilma Flintstone/Pebbles Flit
821932	115557	Mrs. Slaghoople/Fluffy Woman/
821932	115559	Wilma Flintstone
821932	115563	Wilma Flintstone
821932	115564	Wilma Flintstone
821932	115566	Wilma Flintstone/Pebbles Flin
821932	115568	Mrs. Feldspar (conga line dan
821932	115569	Wilma Flintstone/Pebbles Flin
821932	115570	Wilma Flintstone/Pebbles Flin
821932	115572	Wilma Flintstone/Pebbles Flin
821932	119398	Wilma Flintstone/Pebbles Flin
821932	147629	Wilma Flintstone
821932	154833	Wilma Flintstone/Mrs. Slate
821932	167129	Rosie the Robot
821932	167130	Wilma Flintstone/Rosie/Mrs. S
821932	167131	Rosie the Robot
821932	202948	Wilma Flintstone
821932	280202	Rosie
821932	287704	
821932	366010	Wilma Flintstone/Pebbles Flin
821932	371823	Maw Rugg/Floral Rugg/Woman
821932	379065	
821932	379760	
821932	380832	Ma Rugg/Floral Rugg
821932	380833	Maw Rugg
821932	386380	Additional Voices
821932	388914	Wilma Flintstone
821932	388915	Wilma Flintstone/Pebbles Flin
821932	389295	Wilma Flintstone/Pebbles Flin
821932	389296	Wilma Flintstone/Pebbles Flin
821932	389300	Wilma Flintstone
821932	391586	Maw Rugg/Floral Rugg
821932	391955	Rosemary
821932	392745	Mrs. Finkerton
821932	393482	Rosie the Robot/Mrs. Starla S
821932	396455	Ogee
821932	397930	
821932	399239	Wilma Flintstone/Pebbles Flin
821932	399275	Additional Voices
821932	401083	Wilma Flintstone
821932	401660	Ethel Carter (1966-1967)
821932	404520	Additional Voices
821932	408544	Goldie
821932	410985	Marge Huddles
821932	411728	
821933	279114	Leira (Keta)
821934	53284	Wet T-Shirt Contestant
821935	57735	Ella Baines
821935	95182	Lady Elara
821935	100099	Lady Elara
821935	117442	Reza
821935	136040	Grace
821935	176275	
821935	217421	Maxine
821935	218206	Katya
821935	219541	Queen Sindel
821935	237431	Siren
821935	237820	Lash
821935	237823	Lash
821935	265598	Rea
821935	265612	Debbie
821935	277121	Marissa
821935	312192	Dr.Amour
821935	346125	Maya Gundinger
821935	357129	Chantal Pousette
821935	365498	Munitia
821936	8216	Bikini Model
821936	61418	Hooker
821937	306950	Cathy bistrot de nuit
821938	230933	Child Model
821939	102725	
821939	208497	
821940	3893	Herself
821941	3893	Herself
821941	137491	Herself
821941	372527	Elizabeth Alexander
821941	402245	(segment Shadow Play)
821942	5913	Herself
821943	216806	Tanya
821943	311224	Dick Dresner's Wife
821943	317551	Alien Stewardess
821944	345032	Julie à deux ans
821945	357361	Herself
821946	111254	Lisa
821946	249537	
821946	284296	Lotte
821947	44	
821948	217213	Valérie Delcasse
821949	23400	Caretaker
821950	189462	Rebecca
821951	14073	Herself
821952	395633	Vicky (2003-)
821953	2657	Nancy
821953	2658	Nancy
821953	2659	Nancy
821953	27326	Bad Movie Make up Artist
821953	80835	Eric's Neighbor (Wife in Bath
821953	120298	Student/Photo Double
821953	206099	Screaming Girl
821954	165977	Good Will Hunting II Extra Gl
821954	274679	Julie
821955	170451	Skater
821956	80762	Beverly
821956	108474	Pen Thief
821956	221324	Bit Part
821956	257264	Screaming driver's wife
821956	330108	
821956	359569	Lizzie
821957	59593	Patty
821958	213474	Herself
821959	167256	Annie Hilburn (Age 3-4)
821960	71856	Julie
821961	177624	Madamoiselle Celine
821962	190663	Daughter of Laarmans
821963	186134	Buurvrouw
821964	26825	Patron
821965	6680	Claire Marsault
821965	7477	Elisa
821965	16619	Sarah
821965	26087	Sandra
821965	28164	Eva Siccard
821965	41251	Marie Thoreau
821965	44927	Louise
821965	52012	
821965	59743	Esther
821965	68354	Marie, la mère/The Mother
821965	73080	Marie Mercier
821965	86715	Karen Vincke
821965	90881	Marie
821965	96395	Christine Brochant
821965	106048	Elisa
821965	110924	The Perfect Woman (segment "O
821965	111026	Marie
821965	112832	Clara
821965	123896	Karine Bremen
821965	149413	
821965	149958	Claire
821965	164874	
821965	177037	Caroline
821965	197005	
821965	200930	Anna Peeters
821965	201685	Herself/Tessa Noel
821965	207051	Euridice
821965	212988	
821965	217843	Alice
821965	254302	Claire Casey
821965	257043	Christine
821965	264944	Marion Delorme
821965	266419	Sandra de la Notte (Sky TV re
821965	284911	Lady Edwina
821965	292890	Une Belge
821965	309694	La Duchesse de Dino
821965	316296	The Woman
821965	337031	Valérie
821965	340509	Francine
821965	345283	Léa Cassenti
821965	345366	Laura
821965	346579	Judith
821965	346674	Marine
821965	346716	Caroline
821965	346720	Lucie
821965	382219	Mathilde Delcourt-Malet
821965	384789	(1990-1991)
821965	391560	Tessa Noel (1992-1993,1994, 1
821965	403089	(segment "Cons, ça ose tout, 
821965	408719	Angèle
821966	196341	Amy
821967	24429	Henchwoman
821968	176893	Anne
821968	204801	Samantha
821968	294509	Heidi Porter
821968	365560	Ursula
821969	68831	
821970	262033	Judge Keen
821970	356360	New Tech #2
821970	385637	Theresa the Terrible (1986)
821971	381890	Herself
821971	381911	Herself (2002)
821972	302961	
821973	153164	Street Trio
821974	153164	Street Trio
821975	153164	Street Trio
821976	397886	Herself
821977	302724	Sister Elise
821977	327685	Jethro's Daughter
821978	400540	
821978	406306	Herself
821979	17756	Sour-Faced Party Guest
821979	25868	Woman at Hamlet Play
821979	28249	
821979	31174	Lady in car
821979	47614	Lady on bus
821979	85034	Inquest Onlooker
821979	92295	Party Guest
821979	94526	
821979	97392	Committee Woman
821979	100156	Extra at Meeting of Departmen
821979	105804	Woman
821979	109489	Guest
821979	118916	Medical student
821979	120583	Party guest
821979	128304	A Guest
821979	128447	
821979	130313	
821979	130467	
821979	133856	Party Guest
821979	133880	Audience Member
821979	133998	Wedding Guest
821979	142637	Audience extra
821979	143396	Theatre Patron
821979	149381	Party guest
821979	154909	Society Woman
821979	157118	Visitor
821979	161461	Czarina
821979	169362	Ambassador's Wife
821979	177610	Autograph Seeker
821979	183841	Bit Role
821979	188202	Dowager
821979	193306	Nightclub patron
821979	194831	Slave Girl
821979	199368	
821979	201150	
821979	203293	Bit
821979	204188	
821979	205792	Burma's Customer
821979	215990	Splashed Woman at Party
821979	216467	
821979	220528	Mrs. Crumplin (party guest)
821979	224812	Couturiere
821979	231794	Shipboard Dinner Party Guest
821979	233044	Gossip
821979	233508	Bridge Player
821979	235682	The Duchess at Sir Hanley's P
821979	236113	Party Guest with Butterfly
821979	239345	
821979	239630	Dowager
821979	246254	Wedding guest
821979	246789	Sits on ice cream in car
821979	249575	Bit Role
821979	259420	Party Guest
821979	260292	Dignified Woman
821979	274170	Woman With Defense Attorney's
821979	282371	Bit Part
821979	289580	Guest
821979	291915	Older Woman Salivating Over P
821979	292110	Countess de Cognac
821979	292867	Cohort of Moloff
821979	302887	Party Guest
821979	304029	
821979	304279	Auto Passenger
821979	304969	
821979	305044	Lady Wanting Dress Adjustment
821979	308363	Guest
821979	309673	Society Matron
821979	314486	French National Debt
821979	315748	Guest with the Grand Duke
821979	316631	Dowager
821979	316681	Well-Wisher
821979	317980	Musicale Guest
821979	326133	
821979	342712	Party guest
821979	349633	
821979	359717	Waldo's mother
821979	362065	Chorus Girl
821979	362792	
821979	364453	Bit Part
821979	367441	
821979	371887	Hotel Guest with Fan
821979	372277	Horse Race Spectator
821980	7850	Ashlee Avella
821980	11915	Lauren
821980	217484	Chelsea Hansen
821980	265683	Young Girl
821980	392908	Sadie Harrison (2004-)
821981	117634	Singer
821982	55641	Boston Nurse
821982	219981	Mother of the River
821982	363294	Narrator
821983	90986	
821984	60713	Mourners
821985	318181	Ricky's mom
821986	309939	Daisy Tucker
821987	344524	Casting Coordinator
821988	209943	Une petite fille au mariage
821989	263572	Nurse
821990	196878	Cathy Jordan
821991	279646	
821992	300549	Fortune Teller
821993	36694	Receptionist
821994	32268	Suzanne
821994	91463	La femme de chambre
821994	107532	A neighbor
821994	198608	Delphine
821994	204719	
821994	258314	Huguette, la secrétaire
821994	306313	La mère de Gaspard
821994	307840	La femme du HLM
821994	345065	
821994	389143	Fine
821994	402885	Gaël's Mother
821995	66602	Beautiful Girl at Party
821996	205967	Marion's pal
821997	169022	
821998	19302	April
821999	33569	Capucine
822000	72106	Anchorwoman
822001	173950	
822002	256093	Mrs. Shaver
822003	222330	College Student
822004	36655	Simone
822004	63851	Lucienne Ivry
822004	132607	
822004	166134	
822005	292327	Jane
822006	10535	The Queen
822007	319245	A Sister of Mercy
822008	69417	Bridesmaid
822009	19296	Mrs. O'Rourke
822009	19984	Aunt Charlotte
822009	128376	Elvira Carney
822009	171670	Aunt Harriett Kennedy
822009	215059	Mrs. Martin
822009	364011	Mrs. Van Gore
822010	321259	Tiffin
822011	321259	Lady Olivia Vernon
822012	217478	Virginia Van
822013	99828	Young Heather
822014	53057	Sally
822014	115887	
822014	248097	Little Girl
822014	277090	Michelle
822015	401680	Ninon (2004)
822016	15121	Adèle
822016	284236	
822017	71741	
822018	339499	Mlle Barbier
822019	180575	Zuzka
822020	84350	
822021	100496	Prostituta #1
822022	397737	
822022	402452	Ana Maria
822022	404070	Valentina
822023	41390	Maria's Sister
822024	294796	Invitée d'Alice
822025	7987	She-Devil/Nurse
822025	66785	Bartender/Ahmad's girlfriend
822025	407173	Herself (2001-2002)
822026	283395	Club Patron
822027	6497	
822027	27885	
822027	28212	
822027	42653	
822027	44794	
822027	54797	
822027	64995	
822027	68989	
822027	70951	
822027	74369	The Girl
822027	79133	
822027	99334	
822027	100365	
822027	100488	
822027	134489	
822027	143992	Susana
822027	160518	
822027	170238	
822027	171618	
822027	184872	Voz
822027	202057	
822027	222005	
822027	234042	
822027	238150	
822027	256358	
822027	263876	
822027	264399	
822027	265159	
822027	270336	
822027	272794	
822027	280877	Lucía
822027	292916	Flavia
822027	294376	
822027	302109	
822027	302349	Débora Martín
822027	307832	
822027	320510	
822027	339200	
822027	341869	
822027	377152	Aída
822027	379583	Magdalena Freyre
822027	402587	Elián
822027	409790	
822028	8216	New Copywriter
822028	140962	Hooker
822029	84764	Ruzicková
822029	226158	Hedvika, wife
822030	217602	Substitute teacher
822031	205577	Klaartje
822032	164169	A follower of Rasputin
822032	338031	Cabaret Singer
822033	343567	La secrétaire
822034	5953	
822034	34946	
822034	39589	
822034	39877	Latin Teen
822034	39925	
822034	41632	
822034	41866	
822034	48576	
822034	50510	
822034	80270	
822034	81863	
822034	90079	Donna Anna
822034	90081	Donna Elvira
822034	91047	
822034	91351	
822034	91625	
822034	91761	
822034	97121	
822034	112896	
822034	130285	
822034	150003	
822034	155757	Elettra
822034	163644	
822034	165297	Herself
822034	191356	
822034	217338	
822034	219039	
822034	228029	Herself
822034	236307	
822034	243131	
822034	279957	
822034	292708	Las Nenas
822034	296705	
822034	296985	
822034	314134	
822034	326728	
822034	333835	
822034	367271	Show Girls/Boys
822034	372458	
822034	389572	Host
822034	390448	Herself
822034	405984	(Treasurer, USC)
822034	407462	Desdemona (segment "Murder in
822035	14728	
822035	112755	
822036	165243	
822037	214327	Woman
822038	271450	Roji (Rohit's daughter)
822038	303800	
822039	108856	Anne som barn
822040	170561	Alice
822041	292587	Minh
822042	224866	
822043	264157	Princess Maui
822044	105145	Floral arranger
822045	26839	
822046	399130	Poppy Skouros (1989)
822047	225817	Petka
822048	113253	
822049	26510	Madame Michiels
822049	142506	
822049	142747	Zij
822049	156154	Mientje
822049	157495	Gerda
822049	178856	Smeraldina
822049	213359	Helena
822049	247590	Onderwijzeres
822049	278354	Lena
822049	313636	Helga, dochter van Froth
822049	387143	Dienster
822049	400287	Rosalie (1995)
822050	264043	Tonia
822051	198401	Herself - Aktiechef, LD
822052	67640	L'étudiante
822052	217733	Jeanne
822053	387953	Herself
822053	387954	Herself
822054	23507	TV-tekniker
822055	138688	
822056	3942	Blue
822056	308144	Tooth Fairy
822057	381911	Herself (2001)
822058	316153	Nicky's psycho girlfriend
822059	336829	La jeune organiste
822060	325698	Frau Schmidt
822060	398623	Host
822061	407109	Herself (2002)
822062	390925	Charlotte Van Mechelen
822063	314589	
822064	63938	
822065	247132	
822066	326755	Catgirl on Power Pole
822067	18347	Kind van Muisje (Muisje's Chi
822069	19451	
822069	357361	Herself
822070	103185	
822070	197962	
822070	203979	
822070	227565	
822070	269940	
822071	17381	Mário's mother
822071	48194	
822071	57457	
822071	84165	
822071	195117	
822071	251196	Crone
822071	378102	
822071	380330	Manoela
822071	383469	
822071	387502	
822071	400214	Teresa
822071	403308	
822071	404753	Rosa
822071	409024	
822071	409424	
822072	9874	
822073	8284	Ada
822073	57300	
822073	69217	
822073	108506	Statistician
822073	162067	Javqueline de Fleury
822073	187852	
822073	217109	Lida
822073	217123	
822073	247984	Suora russa
822073	263193	Angelina, l'amante del minist
822073	263921	
822073	280756	Gianna
822073	293062	
822073	319324	Carmela/Suor Maria
822073	336605	Susanna Pappalardo
822073	342038	Ida Florio
822073	355703	
822074	116994	Fantasy Woman 3
822075	156809	
822076	326098	
822077	185182	Toaster
822078	383824	La fille Belhumeur
822079	308069	Herself (wife of Georges Vani
822080	257764	Blockawa
822081	42611	
822082	351811	Freyda
822084	100001	
822085	4041	
822085	4234	
822085	4339	
822085	4457	Jaya
822085	18472	Parashuram's Wife
822085	19605	
822085	23136	Chamundeshwari Devi
822085	29201	
822085	29214	Neela
822085	36045	
822085	36241	
822085	42436	Heroine's Mother
822085	58574	Lakshmi
822085	60421	
822085	62228	
822085	62380	
822085	79192	
822085	83753	
822085	84715	
822085	123741	Ganga & Manga
822085	131960	Padmavati
822085	155574	Chandra & Bhanu
822085	166521	
822085	166523	Roja
822085	166531	
822085	173290	
822085	174559	Molla
822085	179277	
822085	179880	Parashuram's Wife
822085	225476	Victoria, the monster
822085	232804	
822085	262842	Latha
822085	271537	
822085	272168	
822085	292713	Geeta & Jayanthi
822085	293300	Setharathnamma
822085	300271	
822085	300302	Parvati Devi
822085	302095	
822085	329292	Sundari
822085	344979	
822085	351146	
822086	2766	Doreen
822086	5936	Sydney Ash
822086	15285	
822086	26103	
822086	39297	
822086	76384	Lupe
822086	80779	Rina
822086	84793	
822086	84894	
822086	97615	
822086	100058	
822086	100628	
822086	102830	
822086	148558	
822086	159896	
822086	178100	Blair
822086	178760	
822086	183590	Mary Lou Morley
822086	185228	Laura Charles
822086	196896	
822086	204640	
822086	204641	
822086	210622	Carmen
822086	226750	
822086	227481	
822086	228024	Herself
822086	229860	Reno
822086	230427	Danja Deering
822086	248646	
822086	255161	
822086	255190	
822086	256740	
822086	275408	
822086	309803	Jennifer Derringer
822086	328607	Merry
822086	330328	
822086	330359	
822086	330365	
822086	338996	
822086	354121	
822086	379679	
822086	387391	Amalia
822086	403251	Nora Zaharopoulou
822087	96889	Showgirl
822088	8581	
822089	176144	Stepmother
822089	356420	
822090	152378	Nettoyeuse
822092	388152	Márinka Snízková
822093	44776	Stebetovská
822093	352820	
822093	375407	
822094	311116	Frau an der Theke
822094	361042	
822094	376502	Kinderfräulein
822095	194970	The Girlfriend
822096	195702	Lover on Right Bank
822097	313936	Mrs. Anderson
822098	406266	Tina 'Tien' Smolders (2003-)
822099	126130	Circus performer
822099	190453	Britta's Mom
822100	33633	
822100	405429	
822101	1145	Linda
822102	145557	Jeffcote's Secretary
822103	64410	JoAnn Good
822103	270599	Countess Von Zollern
822103	335862	
822104	346267	Woman in Subway Concourse
822105	27215	Miss Murphy
822105	367913	Inmate in Hospital
822106	241244	Stair Girl
822107	151041	Bit Role
822107	316946	Goldwyn Girl
822108	73170	
822108	113145	
822108	125863	Chorus Girl
822108	196487	Bit Part
822109	51924	Hansi
822109	65897	
822109	71349	
822109	133396	
822109	136268	Viviana Ratcliffe
822109	183724	Lady Jane Grey
822109	197057	Lucrezia Borgia
822109	203693	Leonora/Genevia
822109	217961	Cecile d'Arcy
822109	225299	
822109	290338	Lady Teazle
822109	291484	Alice
822109	300086	Maniana
822109	340027	Madeline
822109	351248	
822109	360491	Kitty Pragnell
822109	367613	Maud Edworth
822110	39288	The Maid
822111	188623	Passenger
822111	214792	Nadeshda Krupskaya
822112	350824	
822113	56943	Lindsey
822114	184108	Hotellin päiväportieeri
822114	354083	Taina Rinta-Perkiö
822114	401477	Sanna Määttä
822114	404782	Soile
822115	16317	Mathilde
822115	133426	Janet Cannot
822115	168136	Granny
822115	316033	Mrs. Greatorex
822116	213285	Cora
822117	112664	
822118	6911	Hostage
822118	57439	
822118	71548	Vampire
822118	154368	Herself
822118	312170	Log cabin girl
822118	396670	
822119	232385	Girl at party
822119	398794	
822120	266242	
822122	53017	Arupa's partner
822123	385276	
822124	273468	Professor Lippincott
822126	189462	Wendy
822127	31877	
822127	68285	Mrs. Pellegrini
822127	88853	Tony's Mother
822127	93176	Mrs. Falconis
822127	98690	Lupita Montez
822127	109971	Zi Marie
822127	118303	Rosa
822127	120765	
822127	133953	Weeping woman
822127	139122	Juanita
822127	142400	Anna Amato
822127	164662	Maria
822127	183717	Mama Assunta
822127	203175	Italian farm wife
822127	205454	Mama De Fellita
822127	213249	Sra. Bergatina
822127	222666	
822127	250516	Mrs. Fayaloro
822127	251196	Mama Saulino
822127	295343	Ballerina mistress in Milan
822127	315301	
822127	316890	
822127	331323	Anna, Miss Frances' Maid
822127	340465	Italian mother
822127	358277	Donna Toscana
822127	361841	Mrs. Maroni
822128	5772	La dottoressa Anna Soldani
822128	14361	Anna
822128	30273	
822128	57306	
822128	84170	
822128	97657	
822128	119073	
822128	121887	Elena D'Argirò
822128	133307	Anna Maloney
822128	147053	
822128	157277	La nipote
822128	206038	Mara
822128	232774	Giulietta
822128	234738	Annuccia Mezzetti
822128	234765	Stella Quagliolo
822128	252715	
822128	269190	
822128	273144	
822128	291659	Ginetta Tamberlan
822128	293347	
822128	294848	
822128	295151	
822128	301367	
822128	332242	Gemma
822128	344622	
822128	348156	
822128	356150	
822129	393187	Popea
822130	625	
822130	280747	
822131	141965	
822131	390007	Nikki Hale
822132	3293	
822132	35143	Karen
822132	68470	Max
822132	83110	Katie Woods
822132	139073	Claudia Hergruder
822132	153645	Blair
822132	158154	Sadie Speller
822132	162347	Wheeler
822132	195267	Jerri
822132	195270	Prostitute
822132	200072	Maggie
822132	206335	
822132	233496	Laura
822132	276654	
822132	312971	Tabitha
822132	313562	Rosie
822132	323570	Enid/Cynthia
822132	334293	Melanie Young
822132	334453	Parker
822132	344474	Karla
822132	358985	Mieka Kilbourn
822132	362323	Melissa
822132	378965	
822132	381166	Johnny
822132	397280	Koji Karakuchi
822132	398679	Willy Zilla
822132	402379	Mia Stone (1999-2000)
822132	404933	One
822132	408294	Claude
822133	8944	Une prostituée
822133	17194	La fille du bistrot
822133	23655	Tania
822133	24898	La femme interrogée
822133	64333	Herself (1986)
822133	108897	Herself
822133	164172	Agathe
822133	225357	
822133	248653	Maria
822133	249072	Isabelle (segment 2)
822133	276530	
822133	282281	
822133	377700	
822134	284666	Coralie, enfant
822135	31018	Extra: Metro
822136	193553	Agathe
822136	237313	
822137	51400	
822137	72066	
822137	122216	
822137	198341	
822138	296374	Herself
822138	362597	Fitness Special Extra
822139	185000	Sinin kaveri
822140	93425	
822141	113709	
822142	193561	Viclinda
822143	402302	
822144	316802	Carol Hayes
822145	70904	Gemma
822145	98689	Rosa
822145	199821	
822145	235760	Rosanna
822145	252675	Giovanni's wife
822145	307050	Freud's daugther
822145	307070	Helena
822145	308097	Dr. Ricordi
822146	190482	Model #2
822147	158765	Joséphine Bauche
822147	158771	Cecile Pardon
822148	53083	
822148	133011	
822148	307447	Italia
822148	339634	
822149	54155	
822149	66880	
822149	104646	Singer
822149	104686	Herself
822149	270852	
822149	281234	Tarpeja
822149	315446	Singer (voice only)
822149	353134	
822150	381911	Herself (2003)
822151	15224	Herself
822152	229488	
822153	304659	
822154	190230	Stewardess
822154	356360	Tech #1
822154	408703	Morgue Woman
822154	411517	Valentina Tereshkova
822155	213445	
822156	173015	
822157	51888	Woman 2
822157	395699	Joy
822158	357065	Doris
822159	80477	Lab Technician
822159	329036	Secretary
822160	174574	Stefania
822160	200061	
822160	275395	Dancer At Night Club
822161	169422	Shepherd's Daughter #3
822162	169422	Shepherd's Daughter #1
822163	169422	Shepherd's Daughter #2
822164	374353	Waitress
822165	77828	Maddie Morrison (Morrisset, f
822165	80935	Zipporah 'Zippy' Feldman
822165	130327	Erin
822165	176409	Daisy Harmon
822165	205731	Martine Boudreau
822165	286136	Sally Marshall
822165	382001	Becky Dingle
822166	235627	Student
822168	80236	
822169	87025	Karen Forster
822169	127577	Vicky
822169	326755	Cleo
822170	34087	Two Girls
822171	265892	Party Guest
822172	303228	Woman with baby
822173	75028	
822173	138737	Ada Hubble
822173	139434	Social Worker
822173	196378	
822175	360856	Woman in Store
822176	81344	Dancer
822177	50076	The Female Little Person
822177	188453	Opening Sequence Girl
822178	3065	
822178	45586	Dana
822178	215488	Host
822178	363121	Ellen
822178	378636	Herself
822178	378674	Herself (1994)
822178	380747	Hannelore Martens
822178	382079	
822178	391511	Herself
822178	403391	Herself
822178	406965	Herself (1989-1993)
822178	411311	Phaedra Govaerts (2003-2004)
822178	412044	Herself
822179	117647	Housemaid in 1917
822180	177917	Kirsten
822180	190838	Pigen med svovlstikkerne
822181	186864	Sieglinde
822182	46946	Marie
822182	67650	
822182	247903	Wife
822182	295301	Specialty Act
822182	380120	
822182	384266	Cinderela
822182	396938	
822183	188795	
822184	252563	Margurit
822185	76997	
822186	227903	
822186	238360	
822187	393167	Host
822187	406459	Life Coach (2004-)
822188	204242	
822188	231685	
822188	249903	Giudice Maria Grazia Milone
822188	261039	Nun #2
822188	314152	Marta
822188	323813	Silvana's Mother
822188	354765	Interviewee
822189	269496	
822190	110048	Petra
822191	149679	
822192	45486	Lover #1
822193	103565	
822193	324427	Mayka
822193	325056	
822194	9945	Amy niña
822195	237331	La femme Vietnamienne au télé
822196	207435	The Singer
822196	301621	Cafe Singer
822197	132129	
822198	112104	
822199	383897	Herself - Co-anchor (1994-200
822199	388139	L.A. Co-Anchor (2001- )
822200	60140	Celia Sanchez
822201	355028	The Academy's Blessed 'Virgin
822202	90073	
822202	90076	Donna Elvira
822202	115443	Senta
822202	170379	Herself - soprano
822202	173824	Donna Elvira (segment "Don Gi
822202	243000	Soprano
822203	296047	Ilona
822204	52073	Sandy
822204	213658	Gospodjica De la Kroeta
822204	265521	Ana
822204	295063	
822204	305189	
822204	350680	Jagodinka Simonovic
822204	351345	
822204	363061	Nurse #1
822204	379616	Persa Santic
822204	381239	
822204	402116	
822204	405506	Pompi
822204	407129	Milica Ninkovic
822204	410452	Ana Kraus Karadzic
822205	35027	
822206	4240	Varalakshmi
822206	23136	
822206	43220	The Seductress
822206	97646	Neeladri
822206	150861	
822206	223227	
822206	252016	
822206	262876	Bharathi
822206	297442	
822206	303106	
822206	320905	
822207	307455	
822207	348137	
822207	353066	
822208	80198	Nurse
822209	56581	
822210	69194	Carla
822212	106222	
822212	206921	
822212	384064	Herself
822212	387187	Carla
822212	388650	
822212	390504	Aldana
822212	397571	Daniela
822212	412127	Laura Quintana
822213	237987	
822214	326223	Vocalista
822215	64988	Representante asociación veci
822216	65615	Mére
822217	175743	Nana in childhood
822218	45764	Fani (segment Satirat)
822218	332269	Maykata na Victor
822218	374794	Rada
822219	379886	
822220	38248	Spanish Anarchist
822222	64304	Herself
822222	82643	Music-Loving Nun
822222	108897	Herself
822222	126091	Narrator
822222	129248	Herself
822222	129249	Herself
822222	165423	Herself
822222	165502	Herself
822222	182875	Herself
822222	191313	
822222	198294	Herself
822222	254677	Herself
822222	337017	Extra
822222	340950	The Widow Hyppolite
822222	344679	Herself/Interviewer/Narrator
822222	347194	Herself
822222	391625	Herself
822223	965	Hera
822223	21198	Nurse Nichols
822223	41957	Emily
822223	88533	Driver Dude
822223	189921	Booking Agent
822223	228457	Donna
822224	2645	
822224	11441	French Girl
822224	20069	Irina Weigen
822224	31532	Louise
822224	183797	Elizabeth Vigée-Lebrun
822224	340188	Alice
822224	378017	Sarah, une coiffeuse
822225	248685	Françoise Cassard
822225	346466	Marie
822225	347194	Herself
822225	378017	Une spectatrice à Bobino
822226	135253	
822226	220959	Marika
822226	230693	Mrs. Hannah Chalmers
822227	846	Herself - #75: My Big Fat Gre
822227	3053	Herself - Presenter: Best Mak
822227	69639	Connie
822227	209626	Jennifer
822227	210837	Iris
822227	223719	Toula Portokalos
822227	233588	Sheila
822227	299836	
822227	398670	Nia Portokalos
822227	407660	Domino (1997-1998)
822228	59466	Neli
822228	282242	Khatuna
822229	10820	Ani
822230	244249	
822231	217019	
822232	86367	Annie
822233	229179	
822233	299432	
822234	404242	
822235	183706	Office Girl
822235	195190	Lady in green
822236	330184	Woman
822237	23148	Grandma Salome Mulvain
822237	27346	Monica Breedlove
822237	60162	School Principal
822237	83853	Marie
822237	99475	Millie Reagan
822237	113478	Ma Kipps
822237	145316	Mrs. Burns
822237	232089	Icey Spoon
822237	254787	Sallie Carr
822237	256328	Melba Wooley
822237	314343	Flora
822237	317349	Queen Matilda
822237	327765	Countess Alzani
822237	363226	Mrs. Gertrude Kluggs
822238	11639	
822238	29506	
822238	29688	
822238	31684	
822238	31716	
822238	47074	
822238	53787	
822238	120464	
822238	143840	
822238	176376	
822238	265908	
822238	282380	
822238	304622	The Sultan's favorite
822238	306629	
822238	319907	
822238	336228	
822238	363325	
822239	1034	Miss Pittford
822239	6800	Helen Hadley Hamilton
822239	13379	
822239	13386	
822239	38583	Passenger
822239	45676	Lady Dorking
822239	47088	Aunt Martha
822239	48540	Madame Hilaire
822239	56044	Wife of Pickpocketed Englishm
822239	60189	Mattie
822239	87477	Tiara Customer
822239	88245	Mrs. LaPlant
822239	88868	Lady Petherington
822239	90922	Priscilla
822239	96672	Maureen Kilmount
822239	96821	Lady Mallory
822239	99094	Woman in shop
822239	105094	
822239	105299	Mrs. Prodder
822239	108523	Lady Maude
822239	113838	Elena's Governess
822239	116284	Miss Mullens
822239	116790	Cicely
822239	117547	Mrs. Hardy Hornett
822239	117646	Mrs. Abbott
822239	125909	Lady Beekman
822239	126532	Mrs. Rawlingcourt
822239	128790	Prison Superintendant Holt
822239	129231	Mrs. Lee
822239	131430	Mrs. Drayton
822239	134107	Mrs. Bosomley
822239	138697	Miss Stone, Secretary with Gl
822239	146750	
822239	147412	Flora Carteret
822239	147609	Mrs. Gerry, Patient
822239	148262	Mrs. Fairweather
822239	157234	
822239	158336	Dowager, Owner of Madeline
822239	162344	Duchess of Richmond
822239	162862	
822239	163092	Englishwoman
822239	163961	Joan Rodney
822239	168680	
822239	170930	Fabia
822239	178201	
822239	188391	Nurse Brady
822239	190750	
822239	191950	
822239	194389	Aunt Agatha
822239	199158	
822239	199592	The Wholesaler's Wife
822239	201305	Mrs. Osborne
822239	201462	Hostess
822239	214069	Mrs. Sarah Harris
822239	215334	Madame Courbet
822239	218649	Miss Devon
822239	223043	Bit
822239	224047	Margaret
822239	224228	Red Cross Nurse
822239	228314	Miss Sims
822239	231995	Mrs. Tuckett
822239	272025	Julia (sister)
822239	277535	Della Nash
822239	279459	Clara Kimble
822239	281132	
822239	291080	Lady Heathcote
822239	291993	Mrs. Hayworth
822239	292414	Nurse
822239	294038	Woman at Banquet
822239	298587	Gracie, Barmaid
822239	299222	Lady Patricia Randall
822239	301941	
822239	304959	Opera Singer
822239	308065	Congresswoman Bates
822239	309634	Frau Schmidt
822239	315594	Mrs. Bullock
822239	315990	Mrs. Broadbent
822239	316323	Mrs. Cunningham
822239	317360	Wife
822239	319617	Mabel McCredy
822239	331087	Mrs. Woods, Hall's Floor Lady
822239	331323	Woman at Cocktail Party
822239	332030	Lady Eleanor
822239	332042	Pierce
822239	340570	Mrs. Wilmer Dawson
822239	341895	Ernestine Stoatt
822239	352750	Mother Plum
822239	359077	Mrs. Smithers
822239	359754	
822239	360068	Hostess at restaurant
822239	360479	Mrs. Bryce-Carew
822239	362112	Miss Timmons
822239	363459	Lady Wimpleton
822239	363464	Mabel Jones
822239	363793	Mrs. Bland (boarding house pr
822239	366011	Olivia Potter-Porter
822239	366987	Emily French
822239	372362	Lady Beatrice
822239	372490	Lady Tyrwhitt
822239	391184	Harriet Johnson (1961-1965)
822240	139921	Arevik
822240	140644	Nvard
822240	153656	Nune
822240	169512	Eve's Grandmother
822240	174053	Lawyer's wife
822240	218893	Mariam
822240	219259	Magtagh
822240	221400	Zaruhi
822240	250881	Margarit Elizbarova
822240	326280	Maro
822241	238656	Janine
822242	40631	Office Employee
822243	41666	Inez
822244	193080	
822245	146726	Woman Bystander
822246	53250	Blanche de Castille
822246	85543	La mère/The mother
822246	217254	La conductrice du bus
822246	381521	Jeanne Badestamier
822247	229186	
822248	42858	
822249	2675	Anita Daae, Cabaret Singer
822249	16403	
822249	44584	Helen, Alexs kone
822249	99514	Ludvina
822249	107952	
822249	110715	Rakel Feldmann
822249	120847	Inger Gyldenløve
822249	142231	Vera Ranlow
822249	144240	Turi
822249	146986	Verkstedeierens veninne
822249	153955	Ellen
822249	159635	Mimmi
822249	166777	Lina
822249	237066	Nelly
822249	322471	Dentist
822249	351797	Vera Ruud, journalist
822249	353000	(Norwegian version)
822249	391714	
822249	392395	Marie Wahring
822250	380442	Bárbara Cisneros
822251	202842	
822252	350776	Herself
822253	9643	Narrator
822253	202235	Voz en off
822253	257418	Cantante Cabaret
822254	84332	
822254	239276	
822254	336266	
822255	234310	Barbara Smith
822256	53671	
822256	62348	
822256	85562	
822256	107703	Carmela
822256	210262	Invitada 6
822256	212469	
822256	248003	
822256	343607	
822256	376735	
822257	385052	Camelia
822257	397022	Libia Cadena
822258	328547	Rosa Mirada
822259	152234	Comensal I
822260	30418	
822261	381909	Herself (4th Evicted, 33 Days
822262	393351	
822263	40330	Hostage
822264	124657	
822265	18379	
822266	176884	Gym member
822267	20625	Extra
822267	169817	Dolores
822268	14257	Adela
822268	40191	Nyssa
822268	41280	Herself (extended version)
822268	44945	La danseuse
822268	63850	Vanessa
822268	65554	Cleopatra
822268	158695	Flor de l'Inca
822268	159599	Annabella
822268	166856	Judith
822268	203178	Ballroom Beauty
822268	248717	Fidelia
822268	248749	Gloria
822268	249750	Angela
822268	260103	Anette
822268	323179	Marta
822268	323240	Katia/Sandra
822268	329113	Perdita
822268	356159	
822268	395358	Anette
822268	408180	Pola Santa María
822269	246374	
822270	19922	
822270	69242	Remedios
822270	198215	Costurera 4
822270	389679	Elisa Novo
822271	78577	Galeswinthe
822272	72628	
822272	279830	Entrevistadora Aeropuerto
822273	68989	
822273	74156	
822273	96382	Ejecutiva #1
822273	318006	
822273	400945	Malula
822274	92767	Dancer
822275	5741	
822275	396781	
822276	311428	Wanda
822277	235487	Party Girl #1
822278	62898	Parking Lady
822278	169817	Doña Manuela (Hale housekeepe
822278	196181	Mrs. Columbo
822278	199679	Woman
822278	231311	Wife
822278	263169	Mrs. Stark
822278	340017	Clementine's Mother
822278	355831	Aunt
822278	367616	Mayor Delilah Courtney
822278	372305	Barbara's Stage Play Crew
822279	383970	Herself (2001-2002)
822280	257232	Ghost
822281	18827	Girl with Carlos at Tango
822281	314965	Carlita, Latin Woman
822282	252434	
822283	65598	Viuda
822283	257418	Prostituta 1 Pasillo
822284	29409	
822284	59218	Nanette
822284	113138	
822284	141962	Adelheid
822284	148648	Carole Rossi
822284	166169	Pauline
822284	166565	Patient
822284	180204	Nathalie Groc
822284	235249	Nathalie
822284	264380	
822284	379805	Madame de Montespan
822284	383916	Luitpergue
822284	390470	Natalia
822284	401988	Clio
822284	404662	Elise
822284	409454	Julie
822285	2988	Adelita
822285	6045	
822285	9656	
822285	13085	
822285	14713	
822285	21716	
822285	55973	Paquita
822285	69023	Lucia
822285	82963	
822285	83129	Georgina
822285	85920	
822285	91416	María
822285	103498	Víctor's lover
822285	103508	
822285	107124	Woman in Apartment
822285	121271	
822285	143701	
822285	143749	
822285	145265	Raquel Diaz
822285	162797	Mariana
822285	192947	
822285	193068	
822285	193328	
822285	220520	
822285	233369	
822285	262702	
822285	269832	
822285	273957	
822285	307785	
822285	318639	
822285	336252	
822285	339103	
822285	355793	
822285	376803	
822286	357529	
822287	71125	Mucama
822287	171380	Sirvienta
822288	14798	Esposa de piloto
822289	189864	Herself
822289	240229	
822289	284110	Clara
822289	365784	Ulrike
822289	390125	
822289	394980	
822289	399180	Presenter
822289	409846	Various roles
822290	106109	Bridget Gormann
822290	397938	Ginny Maxwell
822291	187951	Clo-Clo's Sister
822292	363488	Prostitute
822293	29082	Mrs. Morales
822293	73475	Guest
822293	193295	Luigi's wife
822295	231182	Hilda
822296	402628	Jeanne de France
822297	221562	
822298	269496	
822299	93901	Svigerdatteren
822299	180407	Stemme
822299	221770	
822299	237404	Viola
822299	275626	Crissy, Hugos kone
822299	287375	Nanna
822299	293698	Skuespillerinde
822299	318588	Pige
822299	322469	Line Martin
822300	359816	
822301	120435	L'amie de Cécile
822301	261756	
822301	387919	
822302	111074	Elisabeth
822304	15054	
822304	48385	
822304	70723	La mère d'Annette et Amédée
822304	115331	La femme dans l'église
822304	134581	Mme. Vandal
822304	153801	
822304	197400	Sophie Clément
822304	217680	
822304	254084	Melvina
822304	332270	
822304	360033	
822304	380860	La cousine du Pot-au-beurre
822304	382901	
822304	388316	Démerise Plouffe
822304	396977	Mme Gouin
822304	401322	Démerise Plouffe
822304	402620	Mémère
822304	407068	La cousine du Pot-au-beurre
822305	7479	La standardiste
822305	57517	
822305	71805	Marton
822305	90759	Le modèle
822305	132266	
822305	132998	Madeleine
822305	166099	Juliette
822305	202360	
822305	202794	
822305	235709	La Sauterelle
822305	322361	
822305	327560	
822305	337223	
822306	193553	Lola
822308	132284	
822309	153659	
822310	329545	Herself
822311	69523	2nd suora
822312	256153	
822313	23535	Barbi
822313	51392	
822313	51393	Léa
822313	51429	
822313	66078	
822313	87125	Martine Francini
822313	99912	
822313	120355	Arlette
822313	122417	Eliane
822313	129121	Le mannequin
822313	166144	Françoise
822313	300676	Héléna
822313	377013	
822313	377987	La serveuse
822313	398966	Simone
822313	411699	Mina
822314	33629	
822314	58223	Noémi
822314	67180	
822315	20371	French Newscaster
822315	136510	Renee
822315	242353	Estelle
822315	297990	
822316	80963	Ije
822317	140243	daughter Sara
822318	17079	
822319	39787	Rani
822319	46761	Larina
822319	130809	Nina
822319	136259	
822319	142396	
822319	192539	Violet
822319	203365	
822319	264094	Beulah
822319	292561	
822319	310136	Elaine Frohman
822319	347747	Rani, the serving girl
822320	152509	Secretary
822321	180187	Tetovált lány
822322	102397	
822322	290895	Gamal
822323	350833	
822324	180187	
822325	89335	Herself
822326	282124	
822326	378279	Anna anyja
822327	33566	
822328	254294	
822329	172898	Edina
822330	104197	
822331	357712	
822332	839	
822332	176207	
822332	177136	
822332	187201	Lenke, a textilfestõnõ
822332	387360	Öregasszony II.
822333	381344	Dr. Nóra Balogh
822334	56174	Badia
822334	74009	Toy
822336	74422	
822336	74433	Vonyica
822336	111313	Szociológus lány
822336	171606	
822336	197906	
822336	272257	La femme battue
822336	404487	Tatjana
822337	136433	
822337	211217	
822338	18638	
822338	104792	Nyaraló
822338	148999	Réka
822338	268285	Klári Füzesi
822338	268288	
822338	341747	Evelyne
822338	355566	
822338	381344	Fanni Török (2000)
822340	152930	Samantha
822340	245712	Clara
822340	283895	Mother with Baby
822341	400430	Herself
822342	35558	(segment A törzsvendég)
822342	51221	
822342	58358	
822342	102409	Bánfiné, Bornemissza Margit
822342	147369	Mária
822342	155796	
822342	163130	
822342	170394	Györk's Mother
822342	170395	Györk's Mother
822342	170396	Györk's Mother
822342	174436	
822342	178424	Mária
822342	215472	Mici
822342	278421	Marika
822342	357830	Ilon
822343	322195	Ida lánya
822344	322215	
822345	81296	Spinal Nurse
822346	322025	Üzemi titkárnõ
822347	322066	
822348	187837	Muskátlis nõ
822349	48522	
822349	94898	
822349	137587	
822349	145678	
822349	174386	
822349	247082	
822349	281765	
822349	286530	
822349	288165	
822349	294311	
822350	352425	
822351	83379	Isabella
822351	99910	Emilie Muller
822351	101156	Hélène
822351	153853	Ilona
822351	169723	
822351	280523	Lisa Lanska
822351	377270	
822352	153859	
822353	222796	Kati
822354	229574	
822354	306702	Katinka
822354	349627	
822354	349794	
822354	355566	
822355	377723	
822356	254294	
822357	98027	
822357	227534	
822358	217930	Herself
822359	103721	
822361	193484	Ana
822361	252216	Little Girl
822362	384922	
822363	20853	
822363	65558	
822363	68958	
822363	74508	
822363	103501	
822363	108716	
822363	148123	
822363	196738	
822363	204605	
822363	213534	
822363	221933	
822363	225711	
822363	236025	
822363	237736	
822363	253105	Dancer
822363	265154	
822363	278937	
822363	281212	
822363	292904	
822363	339166	
822363	351610	
822363	376721	
822363	376727	
822363	390381	
822363	398661	Herself
822364	300868	
822365	135136	Mamma Gomez
822366	55196	Carmen's Friend
822366	114873	(segment "Tangos")
822368	201225	
822368	325002	
822369	55196	Carmen's Friend
822370	132712	
822371	58153	
822371	120080	Death 'La Pelona'
822371	139898	As herself
822371	307290	Ángela
822372	52809	Bailaora
822372	55196	Carmen's Friend
822373	375880	
822374	185948	
822375	115020	Herself
822375	216080	
822375	234416	La Azuncena
822375	336073	
822375	336074	
822375	351994	
822376	353765	
822377	22780	Nuria
822378	66880	Horpina
822378	67513	
822378	95854	Dolores
822378	129195	Prisca
822378	319298	
822379	383232	
822380	378777	Host
822380	378778	Herself - Correspondent (1996
822380	379055	Herself - Substitute Anchor (
822381	6313	Fille d'indienne 3
822382	220037	Mother
822383	7879	
822383	43239	Queen
822383	396843	Tereza
822384	105125	Anne
822384	385299	Vivian Miller
822385	212524	Big Sleepy's Kid
822386	52708	Nina
822386	90450	Patrícia
822387	96274	
822388	2644	
822388	5104	Sonia
822388	9728	Liza
822388	49882	Lourdes
822388	55917	
822388	80199	
822388	103479	
822388	104079	
822388	104111	Rebeca
822388	124657	
822388	183524	Aurora Velásquez
822388	183948	
822388	193308	
822388	212401	
822388	222020	
822388	234317	
822388	259328	Arena
822388	274955	
822388	282902	
822388	282903	
822388	294598	
822388	332929	
822388	340081	
822388	379043	
822388	380059	Yolanda
822388	381029	Clarisa
822389	344712	India
822390	221739	Monja
822391	27958	Car Driver
822393	202372	Rodney, the Photographer
822394	74582	
822395	148147	
822396	205606	Female Bodyguard
822397	296027	Elena
822397	343294	Nurse
822397	381542	Reporter
822398	142168	Security guard
822399	238326	
822400	103695	
822400	115759	Blanca
822400	213321	Hippolyta
822401	234742	
822402	252626	Mother
822403	223337	Paula
822404	63922	
822404	125660	
822404	333745	
822406	118072	Preziosilla
822407	50139	Figurante
822408	246191	
822409	150060	The Guerrillas
822410	316932	On Board Warning System
822411	151304	Mother Superior
822412	28277	
822412	258496	
822412	293575	
822412	308446	
822412	350265	Hopusekeeper
822412	371732	
822412	387123	
822413	310280	Purita
822414	52764	Informatica
822415	13742	Reporter
822415	83644	Mexican News Reporter
822415	382053	Herself
822415	402987	Correspondent
822416	80266	
822416	104180	
822416	108735	
822416	193310	
822416	219415	
822416	278939	
822416	293053	
822417	212524	Ernesto's Mother
822418	376723	
822419	119888	Chuckie's mother
822420	189274	
822420	189275	
822420	221142	
822421	10944	
822421	41446	Lady Valentine
822421	61876	Inès
822421	87335	Nicola Kendra
822421	121233	Margarita
822421	132747	Bonita
822421	142619	Angelique
822421	227153	The Girl
822421	237195	Isol
822421	309905	
822421	316674	Celia
822421	316880	La masseuse
822421	332834	Tigress/Pauline
822421	342561	Lolita
822421	377979	Agnès
822421	395480	Émilie
822422	8583	
822423	168677	
822423	173753	
822424	296912	Vickie
822425	162570	Peppermint Patty
822425	362258	Peppermint Patty
822425	383928	Peppermint Patty (1983-1985)
822426	383897	Herself - Correspondent
822427	264468	Lulu
822428	157969	Gossiping woman
822429	206618	Minako, Nadesico Crew B, Jumb
822429	363505	Janvi Valia
822429	390536	Kaori
822431	70116	
822432	1400	Maykata na Krasimir
822432	132157	
822434	171606	
822435	405505	Rouva Elvi Lempinen
822436	167049	Maxine Schreck
822437	400698	Troupe du Palace
822438	99017	Die Schleppentragirian
822439	105216	Customer in Salon
822440	96810	Cecilia Carlyle
822441	35578	Peasant mother
822441	126022	
822441	327646	
822441	342489	
822442	104639	Herself
822443	161111	
822444	232585	Sohvi
822445	284224	Fille piscine
822446	286313	Danseuse peep-show
822447	136645	La fillette aux carambars
822448	149753	Marcelle
822449	53172	
822450	270868	
822451	12974	
822452	356907	
822453	180386	
822454	174265	Marjatta Halme
822455	394539	Tuulia
822456	28341	
822457	163854	Deborah
822457	284355	Mari
822458	397937	Arxisintaktria
822458	408319	
822459	3311	Infirmière (segment "Une nuit
822459	11934	
822459	129247	
822459	153788	L'étudiente
822459	164173	La naïade
822459	319824	Chantal
822459	353660	
822460	338195	
822460	379648	Natalia
822460	396333	Kiara Salazar
822460	398806	Daniela
822462	6144	Mrs. Parker
822462	8339	Mrs. Shackleton
822462	26631	Mrs. Upcott
822462	29188	Mrs. Maxted
822462	32469	Mary
822462	32642	Moagga
822462	33690	Ma Turk
822462	39836	Mrs. Marsh
822462	81109	Miss Hopkinson
822462	97199	Mrs. Roscoe
822462	110996	Sister Snow
822462	131232	Aunt Prowde
822462	131392	Mrs. Jimmy Nunn
822462	131641	Mrs. Rawlings
822462	133539	Miss Tracy
822462	140043	Mrs. Brodie
822462	141792	Berta
822462	142364	Mrs. Yately, Tom's Mother
822462	145319	Mrs. Lessways
822462	145557	Mrs. Hollins
822462	147521	Valerie's Aunt
822462	149739	Aggie
822462	154918	Miss McKenzie
822462	155641	Matron
822462	168688	Mrs Tremayne
822462	170571	Landlady
822462	177816	Mrs. Kipps
822462	191611	Mrs. Field
822462	196067	Miss Rossiter
822462	203143	Gipsy
822462	206465	Mrs. Perrins
822462	207435	Mrs. Pickersgill
822462	210240	Aunt Catherine
822462	214188	Miss Wells
822462	223764	Mrs. Hodgkiss
822462	223771	Mrs. Martin
822462	232337	Mother
822462	233929	
822462	239044	Barney's Bar Landlady
822462	250972	Mrs. Weston
822462	258954	Mrs. Jenkins
822462	281413	Aunt
822462	282307	Hotel Manager
822462	291807	Elderly nun
822462	292492	British Cook
822462	294061	Miss Marchmont
822462	295469	
822462	297993	Mrs. Hawthorne
822462	306513	Annie
822462	309801	Mrs. Butters
822462	311981	Mrs. Tulip
822462	312254	Mrs. Krohn
822462	319956	Mrs. Waring
822462	323942	
822462	332780	Lucy Cash
822462	360072	Mrs. Colter
822462	360389	Mrs. Dabbs
822462	361261	Martha
822462	363202	Mrs. Northrop
822462	364730	Aunt Moll
822462	365286	Aunt Prowde
822462	372437	Accused Mans Wife In First Co
822463	299688	Big Johns Ex
822464	350277	Satanists
822465	34581	Yvonne
822466	995	Liza
822466	32757	
822466	43209	
822466	63611	
822466	64640	Tána
822466	88418	Rodyka
822466	117854	
822466	162747	Herself
822466	174857	Nina
822466	178786	
822466	202304	
822466	217284	
822466	227117	
822466	229021	
822466	229084	
822466	243989	Zina
822466	261581	
822466	293902	
822466	313881	Nina
822466	323926	Mama
822466	355990	
822466	356542	Mother Kendarat
822466	356593	Bastinda/Gingema
822466	370920	
822466	390401	Marta Erastovna
822467	158312	Girl
822468	91752	Katherine Wagner
822468	96519	Dorotea
822468	147429	Sally Harte
822468	185827	(segment "Myfanwy")
822468	239568	Little Nell
822468	365560	Janet
822468	390573	Estella
822468	392200	Sarah Foster
822469	324396	
822470	17441	
822471	50937	Zelina Luki'tolanu
822472	38446	
822473	277298	Blue
822474	282280	
822475	46726	Miss Bingley
822475	65128	Kitty
822475	90795	Cara Mathis
822475	167891	Ruttie Jinnah
822475	172920	Maya
822475	199172	Narendra
822475	277142	Kathy Irwin
822475	303558	Amy
822475	363734	Diane Crossman
822475	374330	Ra
822475	383363	Meena (The Sea Captain's Tale
822475	392667	Sonali Ganatra
822475	400466	Amy
822475	402391	Dr. Martine Nichol
822475	403680	Niobe (2005-)
822476	86682	
822477	16592	
822477	59045	
822477	94487	
822477	101415	
822477	181454	Pooja
822477	190129	Sindhu
822477	199666	
822477	208758	
822477	209783	
822477	209797	
822477	226452	
822477	227711	
822477	227726	
822477	241510	
822477	285824	
822477	320924	
822477	327960	Meenakshi
822477	350963	
822477	351091	Bhavana
822478	409747	
822479	173505	
822480	105216	Mrs. Mittal
822480	172920	Rasa Devi's Courtesan
822481	321836	Sandra Sathyanath
822482	260044	
822482	348175	
822484	335865	Reporter
822485	939	Vibeke
822486	11537	Charlotte
822486	109457	Debbie Hughes
822487	365827	Zelda #3
822488	351405	Ursule
822489	71133	Terry
822489	283461	Tanya
822490	186751	Brenda
822491	99017	Clitamestra
822491	286183	Hérodeas
822492	101127	
822493	23569	First Woman
822494	259969	Leota
822495	155331	
822496	280803	Teacher
822497	53939	Barracuda Leader
822498	215845	Billie Warren
822499	78028	Susan Reed
822499	141185	Piggly Wiggly Cashier #1
822500	40350	Elfie
822500	41464	Alice
822500	113912	Emilie Arvin
822500	124036	Ayako Yoshinodou, Tsuyako Saw
822500	275031	Miku Hinasaki
822500	280236	Alia
822500	298347	Additional Voices
822500	301906	
822500	347145	Trill/June Baby/Additional Vo
822501	26478	
822502	279481	Weather Girl
822503	57064	Party Girl
822503	317303	Jane
822503	385290	Additional Characters
822504	240706	Mavis
822505	83005	
822505	292906	
822506	397536	Asha
822507	403404	Josefina Marini
822508	43706	
822508	384031	Zerbinette
822508	384822	Marie-Agnès
822509	350343	Gorgeous Secretary
822510	17960	Herself (as Hermes Pan Dancer
822511	166871	Saloon girl
822512	65184	Student outside principal's o
822513	81205	Baglady
822514	23667	Margot
822514	97054	Clemence
822514	236206	Miss B.B.Q.
822514	247607	Nicole Lautrec
822514	346618	Serveuse
822514	351826	Madeleine Murphy
822515	249209	Grande Admiratrice de Jeannot
822516	81290	Jody
822516	117164	Nara
822517	374154	
822518	63978	
822518	172662	
822519	64031	
822519	268250	Bailarina
822520	268826	France 15 ans
822521	190225	Bakery Girl
822522	157208	Red Lippe's Daughter
822523	7952	Mrs. Wallace
822523	11280	Stella
822523	15861	Mrs. Harris
822523	105169	Lucille LeVue
822523	144592	Waitress
822523	176951	Martha Resigy
822523	213272	Waitress
822523	329914	Patricia
822524	87980	Victoria (scenes deleted)
822524	311156	Victoria
822524	318841	Victoria
822524	320141	Victoria
822524	340399	Victoria
822524	368832	Victoria
822524	369200	Victoria
822524	369203	Victoria
822524	369204	Victoria
822524	369206	Victoria
822524	369207	Victoria
822524	369215	Victoria
822524	369217	Victoria
822524	369226	Victoria
822524	369232	Victoria
822524	369235	Victoria
822524	369237	Victoria
822524	402907	Victoria (2000; 2002-)
822524	406933	Victoria (2000; 2002-)
822524	411545	Victoria (1999-2000)
822525	157208	Tenant
822526	224011	Marti
822527	59151	Sheryl Buckburg
822527	65628	Woman Passer-By
822527	131780	Susan
822527	153651	Rose
822527	161061	Mary Anne
822527	186579	Connie Perota
822527	355014	Waitress
822528	402818	Shoshana Dayan (1998-1999) (s
822529	275274	
822530	103772	
822531	76101	
822532	14942	Luis's Mistress
822533	84807	Cocktail server
822534	46598	
822534	48765	
822534	60729	Gorbachev's Interpreter
822534	98585	
822534	188471	
822534	300543	
822534	320410	
822534	355741	
822535	74215	Dinner Party
822535	116289	Chauvel's Secretary
822536	391248	Irini Poulos (1994)
822537	58799	Nikki
822538	44453	Mama Gomez
822538	278091	Mrs. Fritz
822538	282454	Mrs. Norson
822539	17664	
822539	235352	Midwife
822540	95447	
822541	272947	
822542	41447	Mona Gibson
822542	68835	Ruth Evans
822542	120510	Juanita Bradley
822542	154516	Sylvia
822542	168693	Fourth Nurse
822542	176910	Carol Warder
822542	252506	Valancy Carmody
822542	254330	Allison MacKenzie
822542	281907	Mary Jane
822542	321248	Della
822542	327746	Ann Chapin
822542	365319	Sally LeRoy
822543	85292	Woman
822543	385392	Natalia
822543	396898	Vanessa Garces del Valle
822543	397598	Adela
822543	399525	Constanza
822543	405281	
822543	405318	Antonia Reyes Castellanos 'Es
822543	405416	Abril
822544	17540	Anna Karenina
822544	343446	
822546	326169	
822547	5159	Herself
822547	60691	Herself
822547	76170	
822547	155742	Herself
822547	164165	Herself
822547	171119	
822547	202509	Bets
822547	208209	Agnès Taride
822547	250507	Alexa Rollo
822547	258928	Vocals
822547	259980	
822547	319210	Herself
822547	321802	Herself
822547	345128	La jeune chanteuse
822548	69239	
822549	10138	Drama Club Kid
822550	132456	Receptionist
822551	27656	Anush
822551	175972	Natalia
822551	205350	Arpik
822551	256696	Esmeralda
822551	268583	Anush
822552	120082	
822553	24852	Frosine
822554	12038	Maria
822554	15026	Mère de Colette
822554	15089	La mère de Colette (segment "
822554	23810	Sera
822554	23820	Nina
822554	28239	La veuve Quin
822554	28511	Miss Worthlesspenny
822554	29508	Maria
822554	33528	Therese
822554	43719	Blanche Dumont-Farel
822554	43754	Dorothée, la mère
822554	45115	Mme Jourdain
822554	45117	Madame Jourdain
822554	45769	La première musicienne en voi
822554	63657	Lucie
822554	63679	Daisy
822554	64274	Mme La Flèche
822554	99376	Madame Guy
822554	115343	Zaza
822554	117974	Mme Rosette Falk
822554	119751	Habituée du café
822554	124322	Gloria
822554	125841	Mme Vigerie
822554	127646	Marilyn
822554	133009	La vicomtesse
822554	134923	Thérèse Dupérier
822554	135326	Hecube
822554	135423	
822554	148769	
822554	149237	Perrine Hadol
822554	153243	
822554	166104	Marguerite
822554	169650	Marlène Chataigneau, la mère 
822554	199350	Mme Jonas
822554	204648	Petit rôle
822554	205735	Marie Dorval
822554	212771	Herself
822554	214797	Mme Boulay, l'épicière
822554	217704	Bettine, soeur de Benjamin
822554	218272	Nérine
822554	225382	Martine
822554	225414	Catarina
822554	248061	Isolina, la jeune tante de Cu
822554	254056	Mme. Léa
822554	254308	Germaine Doizon
822554	256808	The Mother
822554	265350	Herself
822554	271776	La Ramandeuse
822554	279988	Esther, la mère d'Isaac
822554	285424	La corniaude
822554	286312	Berthe Chautard
822554	286624	Rosa
822554	309742	Reine Gerbaud
822554	318637	Girl in the club
822554	331013	
822554	332214	Mme Thénardier
822554	339500	Catherine de Medicis
822554	340133	Madame Duchemin
822554	343980	Mère Ubu
822554	345381	La mère d'Isabelle/Isabelle's
822554	351524	
822554	351530	
822554	353129	Elvire Galipeau
822554	357046	La concierge
822554	391621	Herself
822554	391634	Cathy (segment "Loupe du diab
822554	396472	Maguy Boissier
822554	399785	Nicole Vaindrier
822555	4585	
822555	4586	
822555	104039	
822556	2846	
822556	229612	
822557	392553	
822558	1537	Marja
822558	24151	Anna Aaltonen
822558	28457	Margarethe Florin
822558	144058	Raili Karpalainen
822558	144339	Sanni Mertala
822558	172296	
822558	175729	
822558	188932	Outi Kahra
822558	196525	Kustaava
822558	213419	Maretta
822558	213938	
822558	214847	Mrs. Karvi
822558	236794	Raikku Rovio
822558	236795	Liisu
822558	239153	Kaarina Kataja
822558	240329	Ilona
822558	242257	Typist
822558	285111	Kristina
822558	301912	
822558	319314	Elina
822558	319318	Elina Lehtovaara
822558	321926	Aili Kataja
822558	343507	Floor maid
822558	349948	Auli's classmate
822559	349083	
822559	375446	
822560	55906	
822561	95942	
822561	229192	
822561	313880	
822561	313881	
822561	313882	Shtirlits' wife
822562	70250	Little Girl
822563	52536	Show Girl
822563	80670	Woman with whispering man
822563	195709	Fatima
822563	224726	Barmaid
822563	305471	Ellen
822563	372145	Woman
822564	104634	Herself
822565	178428	Benedicte
822565	400008	Susanne Torgersen
822566	16367	Liv
822566	392085	Marianne
822567	366021	Twin
822568	366021	Twin
822569	59773	
822569	155672	Nastasja Filippovna
822569	350515	Princess
822570	53019	Barbara
822570	73541	Nella
822570	82388	Elena
822570	102634	
822570	239272	Berta Ayala
822570	280756	Adriana
822570	335462	Sylvana
822570	377590	Maria Antonia
822571	387686	Raquel
822572	275591	
822572	380320	
822572	385536	
822572	396098	Olymbia
822572	405566	
822573	256373	
822574	85969	
822575	183833	Signora Doppo
822576	61558	Nurse
822577	238644	
822579	161865	Mrs. Holm
822579	173702	Fanny
822579	189623	Barbara
822579	225241	Chantal
822579	352070	
822580	153747	
822581	131511	Dancer
822582	1321	
822583	170247	Lääkäri
822583	248802	Tara
822584	5631	
822584	351879	Mithra
822585	135622	Princess
822586	132217	Airport Hostess
822587	35655	Witch
822589	289446	La ruffiana
822590	193220	La domestica delle attrici
822591	8979	
822591	400597	Beatriz
822591	404912	
822592	122767	Malvina's friend
822593	400678	Angela
822594	344810	(segment "Ivone")
822595	207623	
822596	195300	Sophia Barros
822596	211047	
822597	412258	Young Isabel
822598	325336	Tati
822599	205696	
822599	269570	
822600	197155	
822601	30328	
822601	132981	
822602	67213	
822602	324318	
822603	328334	
822604	12080	
822605	308504	Tânia
822606	344886	Fado Singer
822607	68808	
822608	243720	
822609	252348	
822610	252756	
822611	91499	Kit's Mother
822611	168682	Countess Alexandra
822611	222728	Vera Rossakoff
822611	277726	Ines
822611	386394	Tina (2002)
822611	401228	Lauren Hudson (2000)
822613	286188	Salome
822614	7778	Kaninpige
822614	30160	Lærerinden
822614	40694	Revalideringskonsulent
822614	42201	Elskerens kone
822614	55126	Plejehjemsleder
822614	99592	Fin dame
822614	102154	
822614	114485	Lene
822614	116027	Susanne
822614	142505	Anna
822614	153954	Pigen på gaden
822614	178961	Moderen i baggården
822614	179531	Kulturpings kone
822614	202310	Sonia
822614	233284	Charlotte Nørlund
822614	237156	Varietésangerinde
822614	303747	Rose's Guardian Angel
822614	309292	Madam Henriksen
822614	317258	Blondine
822614	322300	Elisabeths veninde
822614	333108	Erna
822614	373433	Edict Mother
822615	4501	Povondrova
822615	7086	Puppeteer II
822615	17101	Guverness
822615	88669	Girl
822615	127928	Innkeeper maid
822615	205655	Governess
822615	246203	Girl
822615	248454	Governess
822615	262281	Agent
822615	322534	Sekretärin
822615	356090	Friend
822615	374244	Evicka
822615	383096	Visitor
822615	392081	Sestricka
822615	398851	Nurse
822615	403621	Kindergarten director
822615	406096	Manekýnka
822615	409588	Dienstmadchen
822617	161936	Roxane Raymond
822617	191065	Reporter
822617	321154	Dancer in 'Big Spender' numbe
822618	10668	Ellen
822619	15064	
822620	92306	Office Assistant
822620	362132	Theater Student
822621	19602	Tina
822621	182265	Tsitsino
822621	247983	Tina
822621	334829	Dodo
822622	309534	Airhostess
822623	215697	Miss India
822623	319278	Herself (Miss India-World 200
822624	39191	
822625	50006	Village Woman
822626	312934	Woman POW
822627	355828	Violin
822628	44185	Gino's Mother
822628	54726	Mrs. Manicotti
822628	126492	Mrs. Jenrette
822628	253021	Woman #1
822629	222441	E, muski ti je tamo
822630	229277	
822631	78950	
822632	325788	Khandi
822632	338446	Juana
822632	350855	Klette
822633	42620	Elena Kolotschewa
822633	42621	Elena Bühringer
822633	230169	Elena
822633	287586	Puppe
822634	10095	
822634	11934	
822634	19624	Joséphine Durand
822634	61423	Directrice d'Ecole
822634	62568	Liliane
822634	64772	Feminist
822634	71891	La mère
822634	96250	
822634	133175	
822634	146430	
822634	169980	
822634	171421	Cassandra
822634	205487	Madame Lecocq
822634	279723	La femme d'Emile
822634	283044	Vocals
822634	284257	Une femme pauvre (segment "An
822634	308415	
822634	339476	
822634	340372	Mme. Hamilton's Girl
822634	353660	
822634	355513	
822635	137233	Asst. Nurse M.
822636	6418	
822636	6645	
822636	18405	
822636	20116	
822636	21483	
822636	77031	Vera Lambiri
822636	82795	
822636	87733	
822636	99418	
822636	100595	
822636	121083	
822636	128929	
822636	178688	
822636	180306	Katia
822636	180778	
822636	209763	
822636	238407	
822636	239500	
822636	266523	Anna
822636	296531	
822636	303701	
822636	333764	
822636	374635	
822636	379452	
822637	330368	Dolly
822638	84029	Nurse #1
822639	307712	Music Box Kid
822640	238813	
822641	265463	
822642	176136	
822643	9752	
822643	356575	
822644	30508	
822644	386749	
822644	410311	Alina Bodak
822645	24859	
822645	55990	The fiancee
822645	57615	
822645	64131	
822645	64132	Anica
822645	73597	
822645	74893	
822645	75502	Maria
822645	80114	Didina Mazu
822645	129429	
822645	129529	Gloria
822645	157210	
822645	161671	
822645	161880	
822645	177035	
822645	205387	The mother
822645	238024	The school-mistress
822645	246439	
822645	263765	
822645	265079	
822645	284663	
822646	351332	
822647	374794	
822648	178452	Dariya kato malka
822649	210193	Koki
822650	138955	
822650	202182	Maycheto stara
822651	374169	Vanya
822652	1027	
822652	78280	Maykata
822652	97604	Baba Iliytza
822652	131025	Baba Gitzka
822652	227066	Baba Parashkeva
822652	235293	Baba Stoyna
822652	312442	
822653	353276	
822654	214249	
822655	370460	Lyulyuche 9
822656	214249	
822656	244214	Klara
822656	411930	
822657	180785	Laborantkata
822657	205432	Maykata
822658	10874	Dacia
822659	305199	
822660	235293	Racheto
822661	229059	
822662	350252	Kalina
822663	210949	Gergana
822664	132157	
822665	44028	The Android Sisters
822666	307712	Christmas Caroler
822667	307712	Christmas Caroler
822668	8129	
822668	8134	
822668	13330	
822668	17306	
822668	22595	Stamatina
822668	44920	
822668	76535	
822668	91429	
822668	98568	
822668	99418	
822668	99816	
822668	100580	
822668	106470	
822668	109744	
822668	122782	Eftehia Tarniani
822668	126248	
822668	127366	
822668	129890	
822668	134705	Housekeeper
822668	139558	
822668	162624	
822668	163764	
822668	172061	Calliopi
822668	172728	
822668	174195	
822668	178530	Marina
822668	182443	The Midwife
822668	182445	
822668	198034	
822668	204142	
822668	210260	
822668	212581	
822668	213542	
822668	241907	
822668	243079	Aristea
822668	248181	
822668	253165	
822668	255025	
822668	266188	
822668	305614	
822668	316474	
822668	328762	
822668	329734	Aunt Calliopi
822668	329736	
822668	330961	Theoni
822668	336362	
822668	350691	
822669	89572	Young woman making confession
822669	113710	
822670	32491	Natasha
822670	75256	
822670	82430	
822670	100582	
822670	103998	German Tourist
822671	186527	
822671	410452	
822672	192900	
822673	172497	Majka Selena
822674	409010	
822675	3179	
822675	43011	
822675	60433	
822675	62356	
822675	63624	
822675	84414	
822675	95646	
822675	95934	
822675	132734	
822675	159860	
822675	179322	
822675	179910	Grethen
822675	180361	
822675	184839	
822675	231142	Margarita Arkhipovna
822675	237430	
822675	238843	Advicer II
822675	259042	
822675	263684	
822675	283755	Nurse
822675	295067	
822675	303802	
822675	303805	
822675	304252	
822675	304253	
822675	306725	
822675	339232	
822675	341329	
822675	351020	
822675	355721	
822676	78984	Ox's wife
822677	394713	
822678	253248	Groupie
822679	24967	Military Clerk
822680	168218	
822681	134896	
822681	228893	Gallia
822682	212822	Mme. Michurina
822682	223238	Mother Mussorgsky
822682	375663	
822683	124847	
822684	88492	Natazha
822684	312527	
822685	163997	
822685	262176	Nora
822686	198129	
822687	171742	
822687	265839	
822688	340431	
822689	179726	
822690	132204	
822691	30117	
822691	97438	Flitzi
822691	179726	
822691	190955	
822691	261368	
822691	281037	Grand Duchess Mariya Nikolaye
822691	343310	Student
822691	375670	
822692	63574	
822693	60865	
822694	684	Natasha
822694	6185	
822694	10999	
822694	11000	
822694	26207	
822694	33821	
822694	38228	
822694	42186	
822694	43190	
822694	43213	
822694	48770	
822694	60882	
822694	63610	
822694	77481	
822694	82813	
822694	83432	Grigoryeva
822694	88742	
822694	94845	Duenya
822694	118692	
822694	125648	
822694	172059	Yana
822694	176053	
822694	176054	
822694	179257	
822694	179729	
822694	180758	
822694	206127	Polly
822694	216616	
822694	220693	
822694	227899	
822694	236070	
822694	248736	
822694	252577	
822694	252818	
822694	262164	
822694	263420	
822694	267900	
822694	286216	
822694	286558	Susanna
822694	303723	
822694	303814	Witch
822694	339327	
822694	341237	
822694	348707	
822694	349154	
822694	349786	
822694	351021	
822694	351352	
822694	356595	Ulyanka
822694	356596	
822694	357227	Lizaveta
822694	357439	
822694	370132	
822694	373785	
822694	374255	Enni
822694	374764	
822694	383967	
822694	387149	
822695	35933	Rozina
822695	40871	
822695	63397	Mother
822695	104429	
822695	174163	
822695	187382	Lamme's wife
822695	192837	
822695	224436	
822695	230038	
822695	230053	
822695	230110	Herself
822695	239421	
822695	259047	
822695	263658	
822695	273099	
822695	280397	Herself
822695	303792	Nastenka Petrovna Gusenkova
822695	320488	
822695	349296	
822695	354717	
822695	356592	
822695	357640	
822695	370166	
822695	373519	
822695	374751	Tamara's Mother
822695	374939	
822695	375446	
822695	376216	Olga Sergeyevna
822695	410433	Olga Kiknadze
822696	6166	
822696	9538	Masha
822696	29342	
822696	35930	
822696	47055	Anna Viktorovna
822696	49465	Son'ka
822696	59772	Kira Anatolyevna Shemahanskay
822696	89807	
822696	94072	
822696	95617	
822696	98585	Timchenko's Wife
822696	104257	
822696	104258	
822696	130010	
822696	132081	
822696	133385	
822696	162744	(segment Golos)
822696	171742	
822696	172444	(segment Buba)
822696	182226	
822696	217283	Shirley Holmes
822696	223555	
822696	237527	
822696	237970	First Lady
822696	243970	
822696	250802	
822696	258432	
822696	258999	
822696	262186	
822696	262697	
822696	263663	Sofya
822696	263685	Aunt Polly
822696	263893	
822696	265231	Timm's stepmother
822696	270716	Lady Lorridale
822696	282745	
822696	284065	Fox Mother
822696	296993	Markel's wife
822696	300354	
822696	304710	
822696	310472	
822696	310480	
822696	341235	
822696	349765	
822696	350739	
822696	356017	Clara Tsekhanasyan aka Red Cl
822696	356426	
822696	357204	Baroness Clautilde de Laroche
822696	357221	
822696	357618	
822696	370940	
822696	374993	
822696	375483	
822696	390430	Catherine of Medici, the quee
822696	394010	Pani Elzhbeta
822696	394620	Kryazhistaya sanitarka
822696	394750	
822696	394785	Catherine of Medici, the quee
822696	405850	
822696	411980	Nora
822697	63271	
822697	82800	
822697	89982	
822697	107664	
822697	134299	
822697	188870	
822697	198131	
822697	231181	
822697	253739	
822697	265942	
822697	349302	
822697	350126	Alena
822697	390401	Alla Sergeyevna
822698	237877	Tatyana Markovna
822699	349786	
822700	227120	Malysh 2
822701	200003	
822702	3956	Infermiera Ada
822702	55968	
822702	71173	
822702	173082	
822702	223117	
822702	243047	
822702	270884	Cassiera del ristorante
822702	277811	Anna's Mother
822702	386329	
822703	36208	Subadra
822703	59010	
822703	86678	
822703	93721	Prabha
822703	93864	Singh's Wife
822703	101428	Sita Avery
822703	126911	Sarja (Jail warden)
822703	127329	Siddharth's lawyer
822703	174315	Tejo
822703	175989	Rani Rupmati
822703	181479	Devyani (Raj's stepsister)
822703	208568	Lakshmi
822703	242405	Sharon/Shakshi Rai
822703	250491	Begum
822703	256832	Thakurain
822703	262373	
822703	282945	
822703	300887	
822703	322696	
822703	375213	
822703	392521	Nastasia
822703	407130	Devika
822704	18914	Mami
822704	58680	
822704	95243	The Aunt
822704	149378	
822704	181877	The Aunt
822704	227809	
822704	234859	
822704	262839	
822704	323672	
822705	374086	
822706	25863	
822707	349775	Kerstin
822708	299738	Suzie's Girlfriend #3
822709	32281	
822709	376964	Mme Dubois-Rollin
822710	409447	Gédéon
822711	262559	
822712	3439	
822712	22741	
822713	241244	Party-Goer #5
822714	282335	Maid
822715	265030	Theresa Prizzi
822716	190037	Groupie
822717	44453	Chiquita
822718	134395	Indian Boy
822719	13081	Bruja Indigena ('El Soplador 
822719	18326	
822719	70857	Vecina
822719	105110	
822719	322852	Cliente de Ciclamatos
822719	346174	Chicken Lady
822720	134395	Indian Woman
822721	77676	Salsa Club Dancer
822722	39404	Raven Room Cigarette Girl
822723	204354	H.S. Kid
822724	27040	Host
822724	87155	Host
822724	119795	Host
822724	208865	Host
822724	218375	Herself
822724	218545	Hostess
822724	309535	Herself
822724	342769	Bobby the DJ
822724	372175	Herself
822724	386410	Hostess (2002-)
822724	400173	LaLa (DJ)
822724	408610	Herself (2002-)
822725	154590	Rebecca/Daisy
822725	184232	Pink Toes
822725	282467	Rita
822725	389858	Anita (1990)
822726	79120	
822726	186151	Milagros
822727	397525	Various
822728	20625	Extra
822728	247359	Miss Mexico
822728	263386	Dancer
822728	339884	Dancer
822729	29523	Barfly
822729	46532	Madame Vasquez
822730	344688	
822731	67473	Gina
822732	83013	Trisha
822732	109856	Marta
822732	331408	Angie
822732	383780	Soledad Marquez
822732	392176	Round Pebble (episodes 2 and 
822733	294137	
822734	383121	Herself
822735	204354	Miriam's Friend
822737	13533	Vanessa Maria de la Paz
822737	44380	
822737	82323	Estela Velez
822738	257636	Additional Cast
822739	103965	Enfermera
822740	91920	Lucy
822740	92306	Ashley
822740	222944	Martin Heredia
822742	1793	Herself (Miss November 1984)
822742	88574	Nicole Justin
822742	96994	Tondaleo
822742	113359	Whitney
822742	114546	Nicole Justin
822742	126538	Girl In Street ("Born In East
822742	135992	Nicole Justin
822742	139088	Nicole Justin
822742	245013	Detective Price
822742	257644	Herself (Miss June)
822742	257814	Herself
822742	257859	Herself
822742	257866	Herself
822742	281387	Heather Torres
822742	302910	Motel Girl
822742	361862	Herself
822742	396077	Herself
822743	194938	Villager
822745	116360	
822746	328601	Cartoon Girl #1
822747	166871	Additional cast
822749	87797	Lady #2
822749	216905	Groupie
822750	44453	Lola
822751	349794	
822752	403	
822752	48670	
822752	97974	
822752	110915	
822752	122454	Szektás Samu felesége
822752	122455	
822752	138393	Márta
822752	153697	
822752	182514	Kovácsné
822752	182662	
822752	182668	
822752	182805	
822752	209842	
822752	284090	
822752	322017	
822752	343775	Bokorne
822752	352777	
822752	354256	Menderne
822752	376559	
822752	376615	
822752	377782	
822752	402164	
822753	98015	Emese
822754	42927	Suzanne
822754	74426	Edit
822754	97965	
822754	122598	
822754	136441	Szilágyiné
822754	138393	Magdolna
822754	144677	Edit
822754	177975	
822754	182515	Paál Gabi
822754	182653	
822754	229710	Takács Anna
822754	268232	
822754	270219	
822754	284090	Bíró Anna
822754	322025	Sztriptiztáncosnõ
822754	322148	Joli
822754	322199	Mom
822754	354568	
822754	357943	Kádár Mária
822754	377130	Iren
822755	276066	Báthory lánya
822757	358576	Telephone Lady
822758	202526	Host
822759	84956	Patient Nurse
822760	161790	Giggling Girl #1
822761	127094	ICU Nurse #1
822761	338403	Rita
822762	125599	Other Interviewee
822763	281769	Mrs. Gates
822764	301205	Krista
822765	183679	'Cactus' Kate Palmer (Jane's 
822765	234803	Jane Snowden
822765	263941	Grandma
822766	111852	
822767	22191	Nicole Pourrat
822767	43702	Antoinette Dupin
822767	49741	
822767	66078	
822767	80185	Hélène
822767	157269	Whirligig
822767	166190	
822767	198100	
822767	254138	Une amie de Georges
822767	261840	
822767	268946	Mamie
822767	281960	Jeanne David
822767	350904	La première amie rupture
822767	389145	
822767	391620	Mme Worms-Clavelin
822767	403642	
822768	364391	Wife
822769	327625	
822770	371962	Sister of Freya #6
822771	327162	Mom
822772	152603	Visitor to fort
822773	55029	
822774	148634	
822775	377698	
822776	3294	Julia
822776	6949	Princess Tyra, Pangea's Leade
822776	52199	Sylvia
822776	102247	Liz
822776	159744	Elefteriadi
822776	196302	Chloe
822776	203319	Magaret Swanson
822776	249529	Christine Ryder
822776	267605	Renee
822776	289053	Carla
822776	379716	Emily Ann Sago Martin #4 (198
822776	382843	Lou Davis
822776	397171	Kathy Baker
822776	401453	Tess Galaway
822776	402477	Dawn (Sheriff Gaines' deputy)
822776	404718	Suzy Atkins
822776	408182	Captain Liberty/Janet
822776	408962	(2004-)
822777	113773	Amber
822778	387477	
822779	1003	
822779	23455	Aleka Spay
822779	387404	
822779	407920	
822780	39671	
822781	9353	Former student Svetka
822781	24832	Uchitelkata
822781	95697	Shivacheva
822781	258630	Erna
822781	343973	
822782	41412	Caesar's Girls
822783	180472	Anna
822784	80290	Marie-France enfant
822785	45780	Cindy Brady
822785	99469	Eloise
822785	99470	Eloise
822785	159703	Gina Russell
822785	397309	Ariel Dubois
822786	50994	Herself
822787	104893	Evdokia
822788	186065	
822788	319006	
822789	341208	
822790	72931	Title Sequence Chorus Girl
822791	215914	
822792	215914	
822793	103929	
822794	334354	Flower Girl
822795	55870	La nympho de l'ascenseur
822795	106991	Perrine Martin
822796	2107	Annick
822796	2646	La fille de la boîte de nuit
822796	30353	Leila
822796	31532	Marjolaine
822796	34072	
822796	40280	Woman at police
822796	45151	Veréna
822796	53243	Louise Danton
822796	54248	Georgette
822796	68334	Phébé
822796	77337	Henriette
822796	84647	Évelyne
822796	100053	Delphine
822796	115335	
822796	124397	Zulime
822796	132620	Blanche
822796	132838	Gisèle
822796	149631	Martine
822796	161985	Aline
822796	199593	Blandine
822796	202417	Christine
822796	288876	Luisa
822796	303388	Annie, la bonne
822796	324501	Suzon
822796	332225	
822796	345070	Esther, la femme de Jean-Bapt
822796	345162	
822796	346673	Maïté
822796	346713	Annie
822796	377977	Elia
822796	377989	Josette
822796	384628	Antoinette Brenot
822796	387039	Solange Dupoix
822796	398790	Nicole
822796	403557	Cerise (1964)
822796	404914	
822796	409540	
822797	130168	Librarian
822799	283197	Radha
822800	13319	
822800	77036	
822800	122017	Chief's Mother
822800	330979	Priya
822801	179357	
822801	181341	
822802	46249	A dreg of society
822803	18638	Emese
822803	153852	
822803	212509	Marie
822803	217208	Emese
822803	229574	
822803	322025	Mûkedvelõ színjátszó
822803	349045	Emese
822803	349794	Lívia
822803	355566	
822804	112904	Melissa
822805	176057	
822805	356591	
822806	1688	Házvezetõnõ
822806	7703	Mária Domotor-Dauer
822806	19678	Rézi
822806	32863	Szilvássyné
822806	35059	Mrs. Fábián
822806	35938	Ladisla nõvér
822806	44219	Pista anyja
822806	74403	Baloghné,házvezetõnõ és álany
822806	74405	Klári néni
822806	74441	
822806	74465	Cselédlány
822806	76072	Post Office Manager
822806	92533	
822806	97973	Házmester
822806	97975	Hubertné
822806	98023	Szomorúné
822806	98748	Zsizsi néni
822806	98770	Róza,Tamás szerelme
822806	99525	Lidi anyja
822806	102410	
822806	104795	
822806	110574	
822806	121034	
822806	122387	Estella,a komorna
822806	122396	Mari
822806	125921	Kovácsné
822806	138973	Irodakisasszony
822806	140669	
822806	140672	
822806	144243	Éva anyja
822806	144244	Berta kisasszony,az intézet i
822806	153914	
822806	155956	Kató, szakácsnõ
822806	156091	
822806	171609	Az Ádám testvérek anyja
822806	174750	Vargáné
822806	177925	Viki,Hohenfels felesége
822806	182512	
822806	182656	Pletyus
822806	182729	Stanci néni,Kató anyja
822806	187513	Amenyasszony anyja
822806	188201	Dörgõ Bódogné
822806	189083	Szobaasszony
822806	189084	Karola
822806	201956	Virágné
822806	211113	
822806	216541	Házvezetõnõ
822806	224978	Torday nõrokona
822806	229477	
822806	229708	Mina néni
822806	248214	Ráczné
822806	256752	Trezka,Horváth felesége
822806	268429	Rosalie,Dezsõ egykori partner
822806	282753	Molnárné
822806	284082	
822806	284186	Mimóza, Marika öltöztetõnõje
822806	293405	Mari néni
822806	322048	Klementin
822806	322093	Barna úr szakácsnõje
822806	326302	Özvegy Tamássy Tamásné,Clemen
822806	326347	Szakácsnõ
822806	333112	Judit nagynénje
822806	334845	
822806	343692	Nyulassyné, Melinda
822806	349047	Katalin
822806	350661	Schmitz,öltöztetõnõ
822806	350675	Máli néni
822806	374536	Josefin,Márta nagynénje
822806	376561	
822806	377721	
822806	377724	Ibolya
822806	378304	Duval,öltöztetõnõ
822806	378346	Gabriella,nevelõnõ
822807	51262	Jarmila Boucková
822807	84763	Jana Maresová
822807	180576	Saleswoman
822807	243893	Nasta
822807	258578	
822807	374263	Dancer at nightclub
822808	319479	Beef-Eating Wife
822809	230049	Natalka Shukhevych
822810	104720	Herself
822811	397746	Herself
822812	104720	Herself
822812	104767	Turkish entry (19th place)
822813	176146	Angsumalin's Grandmother
822814	50647	Noi
822815	7464	Mélanie
822815	124650	Sophie
822815	345298	Aude
822815	346660	Léa enfant
822815	378026	
822816	43757	Une pensionnaire (segment "Fe
822816	47034	Brigitte
822816	54306	
822816	68927	Une amie de Françoise
822816	70154	Brigitte
822816	72066	Martine
822816	78348	Odette
822816	91444	Caroline
822816	101896	Margot
822816	105738	Mimi
822816	118840	Nadine
822816	156783	Le script
822816	160823	Narrator
822816	167179	Francine
822816	217660	La charcutière
822816	228563	Femme de la cabine
822816	236542	Daisy
822816	262966	Bichette
822816	265719	Marie-Titi
822816	269162	
822816	269505	Elisabeth
822816	285424	
822816	328435	Récitante
822816	339539	
822816	345497	
822816	385490	Marie-Rose
822816	387611	La fille
822816	403896	Suzanne
822817	2252	(segment "Rêve, Le")
822818	15241	La servante des Rueil
822818	53234	La femme de chambre
822818	53250	Eslarmonde de Perella
822818	53251	Esclarmonde de Perella
822818	135344	Une étudiante membre du group
822818	222830	Marie-Dominique, aka Marie-Do
822819	234427	
822820	280242	The Girl
822821	280242	The Shopkeeper
822822	143284	Techno Dweeb
822822	331223	Legal Intern
822822	390302	Chinese girl behind counter
822823	318119	Balerine
822824	318119	Balerine
822825	379436	Fae
822825	394839	Rita
822826	196525	Mari
822827	121027	Frøken Ayola 2
822827	138006	
822827	180405	Henriette
822827	181077	
822827	315407	Birgit
822827	349776	Randi
822828	183033	Jente, tyvfisker
822829	43591	
822830	55444	Young Kenna
822831	95447	
822831	140665	
822831	287392	
822831	329221	
822831	370955	
822832	107382	
822832	238482	Justine
822832	407811	Microbe
822833	237471	
822834	40576	
822834	58843	
822834	166196	Gaby
822835	24729	
822835	45132	Ayada ben Moktar
822835	124396	Thérèse
822835	156534	Tonia
822835	208194	Tonia
822835	215061	
822835	300724	
822835	309977	
822835	322713	Madame Leroux
822835	356229	
822836	199582	Mme de Saint-Selve
822836	216235	
822836	236545	La vieille dame
822836	236602	L'ouvreuse
822836	243022	Une cliente de la poissonneri
822836	250509	La vieille dame du train
822836	268445	Mme Arquedouve
822836	275825	
822836	380587	Mme de Sérignac
822836	386020	
822836	391927	
822836	392602	Mme Doguereau
822836	397946	
822836	409440	
822836	410143	La soeur du curé
822837	278597	Nuori kotiavustaja
822838	376866	Arpista
822839	119751	Esther Georges
822839	281315	La chanteuse
822839	340670	La chanteuse
822839	377017	Herself
822840	81062	Receptionist
822841	80876	Weather Girl
822842	44833	Nurse
822843	59261	La Poule noire
822843	157269	Rul
822843	249072	(segment 2)
822843	264525	Femme à Table
822844	217727	La fille au chapeau
822844	275124	1st Escadron Volant
822845	317	Hélène
822845	18288	L'anesthésiste
822845	23424	Lydie
822845	186993	Agathe Bernardeau
822847	193508	Cliente lingerie
822848	225768	
822849	279432	Mrs. Wyndham
822850	399374	Becca McMullen
822850	406267	Greta Mullaney
822851	8880	Thérèse de Lorget
822851	15127	
822851	45111	
822851	71820	Rosette
822851	73182	
822851	91933	
822851	101152	
822851	108544	
822851	166176	
822851	180885	Die Tochter
822851	208221	
822851	214294	
822851	220493	Jeanne Bartelens
822851	224483	
822851	224884	
822851	224901	
822851	236530	
822851	238295	
822851	248295	
822851	268975	
822851	272251	
822851	280542	
822851	281825	
822851	333898	
822851	340146	Lucy
822851	354094	
822851	354692	
822851	377841	
822852	407536	
822853	219518	
822854	66078	
822855	219518	
822856	243158	Marie-Ange
822857	37121	Mother
822858	194969	Tracey
822859	128850	Marge Dolan
822859	188405	School Girl
822860	229865	Mother #2
822860	320265	Harriet
822861	403436	Sam
822862	6791	Mrs. Ludlow
822862	6800	Mrs. Warford
822862	7036	Katie Leary, Twain's Maid
822862	7961	Charlotte
822862	17655	Chaperone
822862	18862	Mother Clifford
822862	27315	Mrs. Dalton
822862	28782	Mother
822862	37460	Charwoman
822862	38049	Mrs. Allen (homesteader's wif
822862	38813	Delia
822862	39650	Mrs. Nora Grogan
822862	45451	Happy's Nurse
822862	49912	Mrs. Hubert
822862	52661	Mother of Baby Vaughan
822862	56098	Housekeeper
822862	58463	Mrs. Briggs
822862	59838	Woman Auto Driver
822862	69676	Innkeeper
822862	72255	Fat woman
822862	73344	Martha Wheeler, Jimmy's Mothe
822862	73766	Matron
822862	77792	Mrs. Bundy
822862	84195	Maggie, the Old Woman
822862	85816	Mrs. Willem
822862	92006	Mrs. Callahan
822862	96669	Woman with Mop
822862	97890	Maid
822862	99856	Woman Patient
822862	103781	Stout Woman
822862	112476	Mrs. Higgins
822862	114164	Ollie, Mrs. Clinton's Maid
822862	117557	Jones' mother
822862	119901	Mrs. Kelly
822862	123240	Mrs.Jennings
822862	123355	Matron
822862	125857	Ma Corbett
822862	129613	Mrs. Kelly
822862	129614	Mrs. Kelly
822862	129615	Mary Kelly
822862	133509	Louise's Housekeeper
822862	142877	Mrs. Olsen
822862	143638	Mrs.O'Hara (landlady)
822862	144989	Harriet (Ann's housekeeper)
822862	146759	Nurse #1
822862	148281	Ma Gibson
822862	149384	Miss Hodges the School Mistre
822862	150392	Mrs. Morrison
822862	150797	Prisoner's Wife
822862	154468	Nurse
822862	154832	Mrs. Alvin
822862	162377	Ma Cavanaugh
822862	163297	Woman at Boardinghouse
822862	175119	Mrs. Meegan
822862	178342	Second Charwoman
822862	183654	Old Woman
822862	183664	Matron Jenkins
822862	190206	Dressmaker
822862	192064	Mrs. Katie O'Reilly
822862	192131	Mrs. Milligan
822862	195470	Evalina 'Evie' Gillingwater
822862	197702	Mrs. Miller
822862	197943	Ship's Maid
822862	200462	Mrs. Johnson
822862	203176	Midwife
822862	203799	Matron
822862	204165	Mrs. Cole
822862	204708	Mrs. Boyle
822862	206836	Irish matron
822862	211602	Attendant
822862	212746	Mrs. Tolliver
822862	214080	Miss Smith, Customs Officer
822862	216362	Mrs. Kelly
822862	216716	Mrs. Flynn
822862	218782	Mrs. Costello
822862	220884	Mrs. Clyde
822862	220905	Marjorie's Neighbor
822862	222328	Mrs. Ada Blake
822862	236129	Woman
822862	239821	
822862	241110	Katie's mother
822862	241349	Mrs. Ehrlich
822862	246929	
822862	254283	Brush and Easel Maid
822862	257999	
822862	263313	Woman on Subway
822862	263601	Eleanor's Landlady
822862	269781	Mrs. Lyda Tompkins
822862	270635	Ma Mulligan
822862	277932	Mrs. O'Reilly
822862	279199	Belle Vrowley
822862	279745	Mrs. O'Brien
822862	292391	Mrs. Wilson
822862	304504	Mrs. Horton
822862	304990	Nurse
822862	305934	Bossy Ward 12 Inmate
822862	306842	Mrs. Kelly
822862	308585	Sara Mom
822862	312272	Ma O'Connor
822862	313331	Mrs. Riley
822862	313517	Annie's Friend in Department 
822862	314354	Martha (Helen's maid)
822862	316482	Woman
822862	321125	Mrs. Birch
822862	323457	Leona
822862	327156	
822862	327221	Dumpy Woman
822862	328794	Fat Lady
822862	329388	Mrs. Reagan, Denny's Mother
822862	329463	Mrs. Mathews, Children's Home
822862	329947	Pedestrian Grabbing Connie
822862	330159	Courtroom matron
822862	330186	Nancy, Blacksmith's Wife
822862	331087	Matron
822862	331381	Mrs. McDougall, scrubwoman
822862	331410	Maid
822862	333434	Mrs. Nellie Calhoun
822862	337122	Nurse Reeves
822862	337661	The Commodore
822862	346863	Nurse (uncredited)
822862	346908	Woman
822862	362063	Annie the Cook
822862	365188	Mrs. O'Leary
822862	366167	Mrs. Shaw
822862	366889	Matron
822862	367814	Courtroom Spectator
822862	372641	Apple Pie Baker
822863	129538	Penelope Rich
822863	353465	Opera Singer in Madame Butter
822864	138697	
822864	140539	Lady Evelyn
822864	150744	Mrs. Laura Lyons
822864	167686	
822865	95475	Tourist Son
822866	107081	Mrs. Cooley
822867	16142	Brenda Wilkes
822867	26631	Virginia
822867	74210	Sally Percival, Granola House
822867	84964	
822867	149809	Lollie (model)
822867	218809	
822867	242092	Maureen
822867	364045	Wendy
822868	12295	Desk Sergeant
822869	41923	Olwen Williams
822869	136870	Joan King
822869	161037	
822869	203098	Doreen Amersley
822869	210391	Jean
822869	330420	Audrey Prescott
822870	199148	Kid
822871	244440	Marian
822872	265897	Elen Morgan
822873	7060	Arabella Allen
822873	33802	Pauline de Blangy
822873	70762	Nyra Seaton
822873	73396	
822873	107051	Babbette
822873	138281	Una O'Reilly
822873	149648	Rachael Beach
822873	185326	Mary Tregellis
822873	239560	Mary Lorimer
822873	263961	Princess Monika
822873	302762	
822874	66053	Pvt. Johnston
822875	123342	Elaine
822876	104371	Young Woman
822877	67180	
822877	128537	Louise
822877	141259	Fleurette of the Follies
822879	319023	Celeste #1/Waitress
822879	321086	Company
822880	384832	Jenny
822880	406056	
822880	411581	Lucrecia
822881	308938	Voluptuous
822882	192406	Sally Moffatt
822883	134327	Herself
822884	48923	Nicole Bobbittson
822884	128727	Dancer
822884	141568	Lada
822884	184104	Margot
822884	263352	Torch
822884	394666	Leslie Chambers
822885	224381	Sally
822886	81853	
822887	380391	Marianne Randolph #4 (1971-19
822888	1479	Herself
822888	1820	Herself
822888	30672	Herself
822888	41838	
822888	87552	Herself
822888	94943	Herself
822888	183430	Herself
822888	191527	Herself
822888	192550	
822888	218537	
822888	220212	Herself
822888	222776	Nightclub Singer
822888	257684	Herself
822888	277443	
822888	277444	
822888	277503	Herself
822888	286339	
822888	348550	
822888	397065	Herself
822889	41643	Ashley
822890	10857	Angry Wife
822891	50645	Waitress
822891	238433	
822892	39884	Stewardess
822892	78762	Landlady at Inn
822892	92687	Nurse
822892	363758	Praying Child's Mother
822893	55719	Hospitality girl
822894	211398	Natalie
822895	46853	Nell Lang
822895	66027	Rachel
822895	72726	Anne
822895	80607	Susan
822895	145804	Casey
822895	178085	Woman Singing
822895	309608	
822895	328594	Sister Brigit
822895	366680	Interpreter
822896	286423	Maw
822897	36868	Kay
822898	190162	The Girl
822899	261261	
822900	384142	Mrs. Chilworth
822901	360436	Fighting Girlfriend #2
822902	20280	Ruth Castleman
822902	72027	
822902	77845	Emma O'Neil
822902	115111	June
822902	185236	Stenographer
822902	195468	College Girl
822902	235701	
822902	300103	
822903	6615	Princess Sylvia
822903	8955	Helen Brice
822903	8958	
822903	10980	Mary
822903	11640	
822903	13373	
822903	16069	
822903	27031	Myrtle McGinnis
822903	29657	
822903	32587	
822903	36959	
822903	67171	Patricia Steele
822903	72126	
822903	73665	
822903	77614	
822903	77717	Marie
822903	78716	Geraldine 'Gerry" Norris
822903	90040	
822903	93967	Molly
822903	99841	Telephone Operator
822903	105044	
822903	109496	
822903	112514	
822903	117388	Nina
822903	120221	Tootsie, Friend Wife
822903	133549	
822903	140879	
822903	184820	Peggy Bland
822903	192600	Madge King
822903	195466	
822903	195682	Betty
822903	199271	
822903	211571	
822903	211633	
822903	213203	Katy Dolan
822903	215591	
822903	217424	Peggy
822903	233077	
822903	234598	Mary Carstairs
822903	239518	
822903	255229	
822903	258921	Dorothy
822903	272041	Sally Rogers
822903	281051	Sally
822903	282302	
822903	300103	
822903	302530	Helen Blake
822903	304370	
822903	304904	The wife
822903	305578	
822903	310723	
822903	310830	Marie Wallace
822903	331266	
822903	342591	The wife
822903	346837	Bee Haven
822903	361150	
822903	362361	
822903	365295	Alice Hall
822903	367797	
822903	368315	Violet
822904	190539	Panninah
822905	21448	Partygoer
822905	56431	Alice Stockton
822906	97458	Agnes
822907	320782	
822908	158818	Jane McAllister
822909	252286	Flower Girl
822910	40780	Aggie
822910	140310	Grandma Moore
822911	113783	
822911	153178	
822913	50195	Businesswoman
822914	200347	Herself
822914	208390	Office Admin. Assistant
822914	339937	Anetta Jones
822914	378801	Alexandria DeWitt (1988-1989)
822914	398027	Kim Parker (1996-1999)
822914	400879	Kimberly 'Kim' Parker
822915	184456	Jellia Jamb
822916	87882	
822916	118918	Agatha DeLacey
822916	233777	Mary Hand
822916	364832	
822916	367916	Samantha
822916	387309	Dr. Phoebe Smith Jameson #1 (
822917	5531	Maid
822917	16095	Girl in Prison
822917	17693	Mrs. Blewett
822917	29288	Burtha
822917	59601	Agnes
822917	59603	Mrs. Joe Rocke
822917	59933	Collette, the Slavey
822917	69490	Receptionist
822917	77995	Pemberton's Maid
822917	86957	Tina (Mrs. Packard's maid)
822917	105248	Maid
822917	125811	Telephone Operator
822917	137468	Bertha
822917	154355	Miss Ann Morrison
822917	163482	Alice Peabody
822917	183405	Millie
822917	200900	Mary, Harrison's Maid
822917	204744	Evans
822917	210876	Nurse Simpson
822917	233753	Miss Fanny Olmstead
822917	233838	Miss Leroy, Governess
822917	254500	Carter (Jenny's maid)
822917	315869	Miss Nellie
822917	320203	Astrid
822917	323174	
822917	331458	Peggy Woofers
822917	334590	Eleanor, Ambulance Corps Work
822917	337625	Gaptown teacher
822917	360705	Hezzie
822917	366982	Anna Yifnick, the Charwoman
822918	79049	Vampire
822919	72101	Louise Talbot
822919	121836	Aquacade Assistant
822920	203917	Nurse
822921	264189	Handmaiden
822922	71286	Steve's wife
822922	105312	Cashier
822922	127351	Francesco Stylist #2
822922	136040	Betty
822922	187193	First Person in Line
822922	199098	Bess
822922	241166	Billie
822922	294236	Pastry Chef
822923	385055	Winnie Tibideaux (1991-1992)
822924	303031	Herself
822925	323598	
822926	335160	Bessie
822927	145978	
822927	150880	Vivian De Pere
822927	360142	Mrs. Ramsey
822928	30965	Showgirl
822929	23210	Court of Beauty
822929	77792	Model
822929	120739	Hostess
822929	140407	Bathing Beauty
822929	231964	Palace Maiden
822929	255327	Guest at Mayfair tea
822929	262740	Tulee
822929	286197	Salome girl
822929	289631	Blond girl
822929	308109	Cocktail Waitress
822929	330836	Chorus girl
822930	230933	Secretary
822931	201112	Girl with Cool Car
822932	323883	Woman
822933	72788	Nominee
822934	135763	Emergency Plan Alpha
822934	317120	Miss Hurst Shifter
822935	95475	Tourist Wife
822936	354786	
822937	73551	Girl with Dion
822938	172919	Couple #5
822939	3163	Porno Make-up Artist
822939	272922	
822939	302580	Natalie
822940	177291	Bit Girl
822940	196405	Party Girl
822941	73410	Wendy
822942	79049	Vampire
822943	320782	
822944	304493	Shelly
822945	121829	Ziegfeld Girl
822946	207706	Brigid (Fake McGlory)
822948	3095	Flight Attendant
822948	39861	Veronica/Tender Lovin'
822948	39862	Veronica/Tender Lovin'
822948	55476	Coolidge
822948	84433	Sharona Brown
822948	105619	Grace
822948	120093	China
822948	305707	
822948	379723	Jonelle Abrahams
822948	406529	Lovita A. Jenkins (1997-2002)
822949	260357	Dancer
822950	176321	Goldwyn Girl
822950	296965	Miss Chalmers
822951	29523	Barfly
822952	316401	
822952	316402	
822953	151052	Flashing Woman
822954	79049	Vampire
822955	245907	Bar patron/mutant
822957	10342	
822958	2476	Susie
822958	31654	Suzanne Love
822958	52453	Lauren
822958	108275	Rosalie Frank
822958	110314	Jennifer
822958	137536	Esmerelda
822958	148351	Cheerleader
822958	153645	Veronica Bloom
822958	184879	Nikki
822958	190927	Jennifer Lucca, 21 Years
822958	214536	Tracy Wellman
822958	223642	Sarah
822958	276842	Vicki
822958	278712	Andrea Carter
822958	291530	Sylvie
822958	292280	Jasmine
822958	296864	French Woman
822958	297558	Anika
822958	318188	Lupe Martinez
822958	360014	Rae Baines
822958	366686	Elinor Smith
822958	398700	Sarah Nelson
822959	87586	Featured Disco Dancer
822960	141536	Violinist
822960	249283	
822961	103643	Jojo
822962	365786	
822963	178781	
822963	181459	
822963	290580	
822963	364922	
822964	155684	Art Class Lady #1
822964	213431	Claires mor
822964	340264	Second Lady
822964	387162	Fiancée
822964	398626	Various roles
822965	234948	Maja
822966	14353	Orchel
822966	62459	
822966	101200	Chloé
822966	103843	La mère de Jean
822966	202421	
822966	225445	Marie
822966	276305	
822966	309310	
822967	5279	L'infirmière
822967	10655	
822967	51919	La cliente du salon particuli
822967	59774	Une salutiste
822967	71886	
822967	84613	
822967	101684	Mme de Lormes
822967	101806	Une entraineuse
822967	120070	La grande marie
822967	153884	L' infirmière
822967	158845	Madame Rogissart
822967	167200	
822967	174635	Imperatrice Eugenie
822967	199577	Madame Philippon
822967	206506	Suivante
822967	260856	Françoise
822967	300662	
822967	336849	
822967	337543	Nadia
822967	340203	Actrice Jouant L'Imperatrice
822967	345463	
822967	347757	
822967	377809	Madame Vermeersch
822967	378023	
822968	147961	TV Reporter
822969	108223	
822970	111014	
822971	33803	Simone Desrocnes
822971	43632	
822971	46656	Madame Denouls
822971	83297	L'habilleuse
822971	94535	
822971	107515	Madame Mercadet
822971	111429	
822971	148634	
822971	166258	
822971	169970	Comtesse Judith d'Arnoure
822971	171389	
822971	202591	Mademoiselle Hortense
822971	212647	La soeur de l'innocent
822971	221584	
822971	250748	La tsarine
822971	280515	Lisette
822971	280781	The Countess (younger)
822971	284216	
822971	309736	
822971	326146	
822971	337023	Mrs. Asmore
822971	346692	
822971	353788	
822971	355960	
822972	146370	Herself
822973	226822	Suzanne
822974	43767	Martine
822974	232659	
822974	249122	La mairesse
822974	254162	Marianne
822975	146370	Herself
822976	392911	
822977	33420	Francesca Tomasino
822978	162548	Karen
822979	327577	Old maid's mother
822980	43636	Pouillaud's Mother
822981	369	Madeleine's family member
822981	102006	
822981	104249	La vieille dame
822981	157662	La vieille dame
822981	164153	Mrs Balivet
822981	288992	
822981	355880	Mamy
822982	85697	
822983	346762	Lucie
822984	292496	Lorenza Goodyear
822985	104949	Evelyn Doyle
822985	276240	Angie Ashford
822986	179670	
822987	54245	La concierge russe
822987	116643	Mme Gouralova
822987	217727	La cartomancienne
822988	30129	
822988	180748	
822988	217277	
822988	219723	Alexandra
822988	227838	
822988	228883	(segment Teoretik)
822988	229023	
822988	258437	
822988	259806	(segment "Vizit")
822988	259809	
822988	262172	Galya
822988	282770	Taya Petrova
822988	299554	
822988	314574	
822988	344008	
822988	357343	
822988	357484	
822988	386003	
822989	311051	Aunt Maybe
822990	395706	
822991	267282	
822992	188351	Herself
822993	62441	
822993	207825	
822993	357264	
822994	320125	Herself
822994	320149	Herself
822994	407078	Herself (28 Days, Mogo Mogo/C
822994	407079	Herself (38 Days, Rotu/Maraam
822995	42193	Fifi
822995	305140	inzenýrka Marie Vanková
822997	57177	
822997	101991	
822998	175632	
822998	292247	Court Reporter
822998	395023	Dorothy Wyler (1988-1989)
822999	839	
822999	9454	
822999	10401	
822999	89725	
822999	137555	Dizõz
822999	171609	Cukrászlány
822999	182662	
822999	190748	Mili,virágárusnõ
822999	216250	
822999	224968	
822999	307147	
822999	377762	Nevelõnõ
822999	407309	
822999	410331	
823000	393	
823000	70184	
823000	102665	
823000	148781	
823000	160979	
823000	247963	
823000	295162	
823000	342111	Hilde
823000	352252	
823001	241902	
823001	252701	
823001	262425	Roula
823001	338206	
823001	378671	Hostess
823001	380149	Hostess
823001	397813	
823002	115433	La minette de Roméaut
823002	193227	Martine
823002	345342	Fanny
823003	222136	Whip Girls
823004	230877	Mistress Rebecca
823005	278793	Low Guard
823006	302304	La Comtesse-
823007	235246	Emma
823008	23904	La jeune fille de salle
823009	101208	Une femme de la chorale
823010	327279	Mrs. Vine, housekeeper
823010	364713	
823011	19468	Costureira
823011	71431	Leonor
823011	148470	
823011	183508	Nonó
823011	202549	Alzira
823011	267318	Francisquinha
823011	287488	
823011	344886	D. Julia
823012	344098	Mana
823013	211006	Delmira
823014	132212	Diabola
823015	402539	Miriam
823016	197059	Miss
823017	14690	
823017	328760	
823018	322851	Dealer
823019	198709	
823019	268605	Madhumati
823020	396610	Flávia (2004-)
823021	126248	
823022	367353	Lisa's grandmother
823023	274125	Other Woman #1
823024	274125	Female Professor
823025	225985	
823026	111097	Une convive
823027	63779	Une assistante TV12
823027	65131	Hôstesse
823027	345267	
823028	86682	
823028	398512	Roshni
823029	54848	Racha
823030	112079	
823031	264157	Princess Claudia
823031	271344	Audrey's Friend
823032	158462	Margarita (girl)
823033	320109	
823034	31846	Hadley
823034	90525	Tango dancer
823034	391869	Sarah Thompson (1993-1995)
823035	108742	
823036	328268	Newscaster
823037	100897	Espectadora/Embarazada
823038	9076	Sister Susan
823038	50275	Hospital Receptionist
823038	54926	
823038	84955	Louise Santini
823038	185741	Mrs. Carlotta Ferguson
823038	205589	Maria
823038	209185	Juliet
823038	219646	Spanish Mother
823038	235790	Interpreter
823038	244332	Katherine of Aragon
823038	265824	Notary
823038	388726	Maria Passolides
823038	401077	Clare Shearer (1997)
823039	381436	Kendal Foxmoore (1990-1992)
823040	364644	Girl in Bar
823041	20794	
823041	67498	
823041	118932	
823041	132747	La Mamma (Enzo's Mother)
823041	160054	
823041	160248	
823041	163688	
823041	217115	
823041	270800	
823041	289698	Lola
823041	307332	
823041	340421	
823043	19216	
823043	23571	
823043	26693	L'amica di Parigi
823043	33494	
823043	36512	La Viscontessa di Saint Cyr
823043	51789	
823043	56447	
823043	64241	
823043	67878	
823043	68440	Vecchia prostituta/Old hooker
823043	75251	
823043	110422	Matilde Bardacci
823043	129020	Lady Montague
823043	132986	Bordin's wife
823043	162077	(segment "Giochi acerbi")
823043	162083	
823043	188609	
823043	197588	
823043	211509	Costanza's mother
823043	217101	Teresa, the maid
823043	230006	
823043	246379	Maria
823043	263194	
823043	269173	Donna del Maresciallo
823043	269489	
823043	277742	
823043	278015	Signora Cesira
823043	315446	Luisa
823043	351465	
823043	384891	
823043	385779	Peggotty
823043	387217	Madre di Rita
823043	404588	Camilla
823044	57613	Mirek's wife
823045	188525	
823045	357223	Mother
823046	79938	Rapture Infomercial Woman
823047	117778	Jen
823048	87025	Bam-Bee
823049	144453	Smoky Mountain Boys and Girls
823049	302646	Rachel
823050	8408	
823050	266187	Anna's Mistress
823051	381984	Presenter (2003-)
823052	136823	Little Buttercup
823053	234974	Adalgida
823054	24240	Mrs. Burnside
823054	26430	Mrs. Tillman
823054	56698	Mrs. Parker
823054	56925	Mrs. Casey
823054	74216	Mabel Loftus
823054	83802	Gwen
823054	128479	Martha
823054	133442	Miss Ohio Chaperone
823054	228830	Amelia
823054	276876	Interviewer
823054	292451	Wife in Hotel Room
823054	301388	Auntie
823054	327831	Mrs. Dumphrey
823054	399666	Mrs. Maude Endles
823054	402245	
823055	254601	Infirmière hôpital
823056	270681	Cleaner
823057	174829	Woman on a horse
823059	236169	
823059	328397	
823059	400502	
823060	300712	
823061	202195	Teenage Whore
823062	316881	Extra: Kendall's Studio
823063	70622	Ginevra
823064	412286	Nellie the younger
823065	43432	Pregnant Woman
823065	202727	Young Maria
823066	255235	Farm Girl
823067	185365	Villager
823068	211657	Laura
823069	338927	Car Victim
823070	155013	Party attendee
823071	90068	
823071	94661	La nutrice
823071	294402	Agar
823071	301353	
823072	147234	Klára Nádaská
823072	379877	
823073	180122	
823074	4533	
823074	42625	
823074	55085	
823074	74957	
823074	75499	Manuela
823074	101594	Abuela de Catalina
823074	103110	
823074	103534	Matilde
823074	183503	
823074	186965	
823074	199789	
823074	205027	
823074	248764	Marisa
823074	252526	La Tira
823074	258488	
823074	277371	
823074	306681	
823074	328864	Marta
823074	352021	Julián's mother
823074	376795	Isabel II
823074	376844	
823074	392034	
823075	291862	
823076	154874	Teacher
823076	188393	
823076	210814	Woman
823076	364453	Steerage Girl
823077	315988	Sarah Bouller
823078	252555	
823079	100535	Leela
823079	226034	Leela
823080	221613	Sundari
823081	323728	Giametta,
823082	390145	Cheerleader
823083	3035	
823084	104429	
823084	108852	
823084	294992	
823084	374255	Ella Deley
823085	17135	
823085	135313	Adela
823085	314912	
823086	355298	
823086	383078	Sita (1995-)
823087	174857	Nina (vocal)
823088	190846	Kassörska
823089	3379	
823089	90156	
823089	112276	Berta, the maidservant
823089	167209	Catherine
823089	263624	
823089	270841	
823089	293354	
823089	318580	Nerina
823089	338715	
823090	204674	Charlotte's daughter
823091	352923	Mme Dubois
823092	17431	The mother
823092	203398	Ragnhild
823092	304361	
823092	403380	Gynecologist
823093	200864	Ty's Teacher
823093	217745	Blue Ship Hostess
823093	272026	TV Reporter (at Hospital)
823093	276869	Shari
823094	321996	Madam Carena, russisk balerin
823096	405144	Control Operator, Female Anno
823097	141141	TV Announcer
823098	13257	
823098	58502	
823098	80602	Brunette Hooker
823098	81772	
823098	117576	
823098	127209	
823098	129090	Herself
823098	154314	
823098	208379	O'Malley's Girl
823098	245307	
823098	277910	Night Call
823098	306883	
823098	334393	Toad Girl 1
823098	339580	
823099	340118	La chanteuse noire
823102	130930	
823103	318455	The Nurse
823104	384118	Fran (1998-2000)
823105	400217	Wanda Zevenster (1995-1997)
823106	42032	Cathy Van Bloemendael
823106	48320	Kathy Van Bloemendael
823106	130232	Linda Dekker
823106	226352	Sarah Mogen
823106	379639	
823106	384654	Annette van Dobbenburgh
823106	388299	Willeke (1995)
823106	390242	Linda Hamans-Dekker (1990-199
823107	41883	Julia
823107	95871	Maria van Artevelde
823107	385554	Huishoudster Angèle
823107	394912	Machteld de Morsige
823108	4425	Leela
823108	4428	
823108	17462	
823108	27660	
823108	58686	Kamini
823108	61012	
823108	61020	Shanker's wife
823108	61022	
823108	79242	Rani
823108	88597	Mrs. Gupta (Satyan's mom)
823108	137400	
823108	141833	
823108	167342	Rani Maa Rai
823108	171759	Bina, wife of Sinha, daughter
823108	175987	
823108	195017	
823108	209869	
823108	211278	
823108	222348	
823108	226842	Najma
823108	227308	
823108	228862	
823108	228867	
823108	246896	Nawabjaan
823108	251216	
823108	254738	
823108	254825	
823108	262374	
823108	271568	
823108	284774	
823108	287564	
823108	298249	
823108	301439	Sikander's mother
823108	323275	Noor Jahan (Mehrunissa)
823108	333399	
823109	363981	Swedish Tart
823110	376037	
823111	7142	Zuster Neeltje
823112	20049	Mevrouw van Delft
823112	97778	Mother
823112	99927	Beatrix
823112	110550	Doortje de Bonfrère
823112	113061	Adoptiemoeder Benson
823112	115690	
823112	165354	
823112	187067	tante Liesbeth
823112	196384	Kantinejuf
823112	215767	Member Seance
823112	315320	Moeder
823112	325280	Antoinette den Donselaar
823112	365706	Freule van der Poll
823112	378614	Mevrouw van Wilgenvoorde tot 
823112	392674	Emma van Traa - de Leeuw
823112	393184	Betty Fagel
823112	406876	
823112	409572	Huishoudster Prinsen (1998)
823113	376187	Ingeborg
823114	301785	
823115	386608	Vicky
823116	234044	Monique
823117	44058	
823117	98148	Neela
823117	220105	
823117	287640	
823117	410838	Myrna Noordermeer (#1) (1999)
823118	24746	Elise van Knippenveld
823118	359814	Vibrafoniste
823118	390242	Maria de Jong (1995-1996, 199
823119	113286	Woman at Office Complex
823119	113287	Woman at Office Complex
823120	125494	
823120	171779	
823120	207769	Female child
823120	214921	
823120	283037	
823120	400341	Herself (2002-2003)
823121	1293	Professeur de salsa 2
823122	1293	Professeur de salsa 1
823123	9661	
823123	23386	Laura
823123	52916	
823123	55088	
823123	63813	
823123	74646	
823123	84024	
823123	104063	
823123	123171	
823123	124445	
823123	146475	
823123	148170	
823123	167097	
823123	189222	
823123	190645	Alicia
823123	207032	
823123	234373	
823123	273861	
823123	296146	
823123	307794	
823123	337947	Viviana
823123	337960	
823123	343620	
823123	344606	
823123	351901	
823123	353353	
823123	355798	
823123	392034	Magda
823124	1748	Herself
823124	81767	Kerry Cappadora
823124	82902	Gina
823124	116537	Amy Williams
823124	127295	Claire DeLaughter
823124	129397	Cole's Daughter
823124	163375	Young Carrie
823124	191836	Priscilla O'Shea
823124	230124	Susan 'Susie' Michaels
823124	231535	Herself
823124	232845	Molly Dwyer
823124	265749	Young Kay
823124	283371	Opal 'Pug' Miller
823124	297781	
823124	304838	Julie
823124	312150	Carmen Cortez
823124	312151	Carmen Cortez
823124	312152	Carmen Cortez
823124	313961	Sandy
823124	326664	Herself
823124	342685	JoAnne Thornton, Age 5
823124	387981	Emily Newton (1993-1994)
823124	395054	Wendy Stiles
823124	395591	Tess Hunter
823124	408349	Kelly McGrail
823125	63906	Herself
823126	253367	
823127	194780	Minerva Eros
823127	215688	Miss Dominican Republic/Miss 
823128	290364	Laura
823129	387878	Teresita
823129	404703	Luna
823130	236404	Xiomara
823131	74867	María
823132	313820	Student/Female trooper
823133	81862	
823134	62396	
823134	91292	
823134	112090	
823134	145181	
823134	222031	Clara
823134	237815	
823134	247471	
823134	250800	
823134	253301	
823134	253373	Aurora
823134	259742	
823134	324144	
823134	338948	Lidia Valverde
823134	379461	
823134	386167	Betty
823134	386284	
823134	391572	Brenda
823134	393933	
823134	409719	Olivia (#1)
823136	65006	The Health Worker
823137	169918	Rose
823138	272021	Chicken Head #1
823139	233948	Charito
823141	120720	Lola
823142	96382	Periodista $1
823143	243697	
823144	5976	
823144	9886	
823144	13080	Amparo, nana
823144	14725	
823144	18800	
823144	29686	Josephina
823144	30766	Laura
823144	41302	
823144	44233	
823144	44524	
823144	47080	Elita
823144	50149	
823144	52760	
823144	55090	
823144	55916	
823144	57711	Melibea
823144	74843	
823144	80847	Maria
823144	83545	
823144	87659	
823144	90113	
823144	91300	
823144	94096	Marianna
823144	101464	
823144	110254	Helga
823144	111560	
823144	113225	Silvia
823144	123171	
823144	129541	
823144	131060	
823144	134432	Mona Mur
823144	148038	Elvira
823144	149515	
823144	157323	
823144	159050	La India
823144	188993	Doña Lupe
823144	192953	Diana
823144	193495	
823144	196761	
823144	198985	
823144	204184	Alfidia
823144	207011	
823144	207968	
823144	222049	(segment El imponente)
823144	223618	
823144	227296	
823144	228722	Mercedes
823144	238759	Yolanda
823144	243704	
823144	246302	
823144	251588	
823144	256658	
823144	260551	Lupita
823144	261225	
823144	263769	
823144	265548	
823144	267050	
823144	268054	La Güera
823144	270288	
823144	270890	
823144	274932	Verónica
823144	275985	
823144	284897	Sara Carson
823144	286368	
823144	286994	
823144	292925	
823144	296480	Lisa
823144	300868	
823144	301166	
823144	309347	
823144	316768	Anita Zamora
823144	327509	
823144	328046	
823144	352009	
823144	355752	Matea Gutiérrez
823144	356673	Mónica
823144	380088	Nora
823144	389881	Mercedes
823144	402839	Matea
823144	403317	Anna
823144	403452	Maria (1984)
823144	404987	
823145	83560	Haley
823145	87295	Goth Girl
823145	97490	Tammy
823145	153121	Melena
823145	362493	Gina Avila
823146	399606	Host (1999)
823146	401257	Herself - Host (1990)
823147	132912	Pedestrian
823149	220062	
823150	95430	
823150	115756	
823150	207592	
823151	239932	2nd Party Girl
823152	245854	Gladys
823153	13112	Femme du commandant
823153	284899	Rosicier
823154	204214	Rachel Navarro
823155	108256	Samantha
823156	2079	
823157	98976	Marina Soledad
823158	104930	Table #2
823159	212520	Niurka
823160	348179	
823161	83888	
823162	60864	Sal
823162	108319	Annie Campbell
823162	199463	Chloe
823162	289167	Diana Gordon
823162	302329	Young Nancy
823162	389816	Eliza Ryan
823163	385500	Ivette
823164	387574	Fedra
823165	13080	Fantasma
823166	232246	Isabel
823166	244407	Indian Girl
823167	136360	
823168	196756	
823169	387429	Abuela Fernandez
823170	383094	
823170	387965	
823170	390096	Niña
823170	395872	
823170	401694	Bárbara Matos
823170	405835	Charo Reyes
823171	208390	Student
823172	129829	Ursulla
823173	114621	Donna's friend
823174	113243	
823175	11604	Erma
823176	75484	child
823177	186980	
823177	189051	
823178	171462	
823178	260522	
823178	401203	
823179	4364	Christmas Tree
823179	69462	Strip Club Waitress
823180	13003	
823180	22704	Klaudia
823180	56108	Clor
823180	60924	
823180	64137	Herself - Hostess
823180	73468	La Gallega
823180	82587	Charo
823180	156547	Larissa
823180	163980	Herself - Presenter: Best New
823180	197885	Esperanza
823180	244598	
823180	308963	
823180	318263	
823180	324384	Mariannick
823180	326009	Herself - Host
823180	334699	Mercedes "Merche"
823180	353017	Herself - Presenter: Best Scr
823180	354265	Herself - Nominee: Best Suppo
823180	369437	Herself - Presenter: Best Cos
823180	386358	Eva
823180	391445	
823180	398914	Ana
823180	401064	Rita, Nucha's Sister
823180	403745	Almudena
823180	407563	Herself - Host (1986)
823180	407747	Herself
823180	411619	Herself - Host (1983-1984)
823181	55209	Carmen
823181	61336	
823181	85483	Estrella
823181	136987	Amparo
823181	156085	Herself
823181	197089	Lucía
823181	226484	Ariadna
823181	236042	Isabelle
823181	244636	Sonia
823181	252781	María
823181	306701	Azafata
823181	310262	Flor
823181	322397	Angela
823181	369994	Herself - Winner: Best New Ac
823181	369996	Herself - Presenter: Best Sup
823181	373994	Elvira
823181	377163	Adriana
823181	378929	Laura Arteagabeitia (1999-200
823181	384795	Luz (1998)
823181	398805	Olga
823182	83869	
823182	301191	Lujuria
823183	196496	Rosetta
823184	273241	King Sexy Girl #1
823185	41461	
823185	41463	Jenny
823186	52955	
823186	59484	Pedestrian
823186	60332	Herself
823186	243592	Dressmaker Girl
823186	324471	Walker
823186	402839	Manuela
823187	190798	Performer: "Rock in This Pock
823187	195112	Herself
823187	251083	Guest performer
823187	404900	Herself
823188	100841	Tracy
823189	32182	Silly Girl
823190	312141	Singing nun
823191	193025	Secretaria
823192	102778	Devil
823192	102839	Vikki
823192	128162	Heather
823192	128445	
823192	129188	Lesbian Trident Gladiator
823192	160372	
823192	160444	Herself
823192	216145	Angry Wife
823192	230952	
823192	267886	Herself
823192	295375	
823194	205540	Blanca
823195	236762	Herself
823196	17085	
823196	209298	Secretary's friend
823196	225553	
823196	263069	
823196	307805	
823196	403873	Eloísa
823196	412186	
823197	336484	Dancer
823198	33259	
823198	37447	
823198	41620	
823198	87226	
823198	105220	
823198	116807	
823198	140940	
823198	188044	
823198	198514	
823198	262621	
823199	111365	Angela
823200	49500	
823200	59156	
823200	95519	
823200	141300	Lisa
823200	150317	
823200	163863	
823200	243083	
823200	248490	
823200	320194	Herself
823200	323951	
823200	362895	
823200	372506	
823203	207795	Camille
823203	218857	Brigadeuze
823203	242445	Truus
823203	359814	Dienares
823204	9502	Geeta Varma
823205	238377	
823206	74512	Giulia
823206	291518	
823206	402782	Rossella Schnell
823207	53116	
823208	70779	
823209	10824	A little girl
823210	69108	Carole
823211	390843	Jasmin
823212	215336	
823212	219230	
823212	225552	
823213	22760	
823213	44794	
823213	57485	
823213	100365	
823213	110110	
823213	162803	
823213	177203	
823213	203979	
823213	221679	
823213	222005	
823213	247294	
823213	249787	
823213	254239	
823213	259965	
823213	339107	
823213	341838	
823213	399083	Celina Madariaga
823214	54001	
823214	258616	
823214	306693	
823214	376785	
823214	380477	
823214	388650	
823214	392804	Paula
823214	400945	Daniela
823214	402301	Corina
823214	408720	Marcela
823215	19461	
823215	52588	
823215	55974	
823215	86899	
823215	108126	
823215	169568	
823215	207737	
823215	221578	
823215	236034	
823215	341838	
823216	324699	
823217	49668	Solist
823217	290670	
823218	260429	
823218	308749	
823218	369982	Andrea
823218	389887	Suzy
823218	401932	
823218	404160	Carmem
823218	411597	Paquita I
823219	13061	
823219	90821	
823219	248775	
823219	252420	
823219	398793	
823219	406847	Emília
823219	409410	
823219	410014	
823220	353973	
823221	199441	
823221	255099	
823221	280803	Bit part
823221	289488	Teresa
823222	258482	
823223	247486	Bar Attendant
823224	386726	
823225	160966	
823226	104285	
823226	357192	
823227	192102	Concierge
823228	274125	Catty Girl
823229	9454	
823230	257634	Additional Cast
823231	112805	Caroline
823233	142850	Sophie
823235	5495	Anne Versois
823235	7477	Call-girl
823235	111037	Aurélie
823235	239785	Jeanine Dupont, journaliste 2
823235	321718	Bank Executive
823235	388120	
823235	388160	Sonia Bertone
823235	390687	Zoé Leguennec
823235	393282	Charlotte Monterey
823235	393976	Elise Boiron
823235	398133	
823235	402559	Laurence Delage (2001-????)
823235	403089	(segment "Poisson d'avril")
823235	406030	Terry (1998)
823235	409446	Debbie (1999-2000)
823236	108897	Herself
823237	135359	(segment "La semaine sanglant
823237	198974	La patronne du restaurant
823237	332233	Annie
823238	389130	
823239	32562	German Girl
823240	19351	La petite fille
823241	183621	Bikini Girl
823242	88058	
823242	207646	Presentadora de TV/Chica de e
823242	308799	
823243	9679	Maya
823244	22179	Woman at Party
823245	68247	
823245	274802	Prostituée
823245	345519	Marine
823246	323529	Little girl
823247	325459	
823248	28608	
823249	2142	Ivonka Pivonka
823250	63424	Agency Receptionist
823251	323721	Extra
823251	343294	Jennifer at Birth
823252	39157	Model
823253	303765	
823254	846	Herself
823254	387209	Herself (2001-)
823256	83902	Blondie
823257	214838	Katja
823258	4446	Niemelä's Wife
823258	8902	Karoliina
823258	152442	
823258	184286	Boarding House Hostess
823258	349408	Santa Claus
823258	405505	Hintto-muori
823259	209914	Audience member
823259	214838	Woman in market/Applicant
823260	282783	
823261	95743	
823262	386647	
823263	104846	
823264	107272	
823264	109801	
823264	402331	Herself
823264	403262	Lucy
823265	9454	Kovács Ilonka
823265	88744	
823265	92868	Felton's Minx
823265	116644	
823265	116645	Zuzana
823265	116646	Zuzana
823265	165035	Alena
823265	168447	Princess Agnes
823265	171891	Elvira
823265	179883	Pistalka
823265	182516	Tereza
823265	189434	Reglindis
823265	217033	Nora
823265	252168	Beata
823265	254365	
823265	320422	Suzanne
823265	350398	Princess
823265	384131	Hanka
823265	386327	Viktoria
823266	709	Slava Raskaj
823266	29400	Andja
823266	45767	
823266	180698	
823266	221342	
823266	226844	
823266	237494	Ruzica ... uciteljica
823266	263651	
823266	307153	
823266	339316	Policajka Eva
823266	350680	Ruzenjka Hrabalova
823266	355551	
823266	375316	Martina Secan
823266	409022	
823267	54038	
823268	78139	Female Trainee
823268	142390	Hell Mountain Girl
823269	321515	Featured Dancer
823270	1760	Dívka
823270	147039	His Mistress
823270	162603	Beatrix
823270	212127	Girl
823270	266216	Putinka
823270	375405	Ruzenka
823270	394266	
823270	399901	Betuska
823270	412316	Leontýnka
823271	143896	Herodiade
823271	193425	Ortrud
823271	340009	La Zia Principessa (Suor Ange
823272	295557	Azizi
823273	228501	Lydia
823274	238320	
823275	100267	
823277	339984	
823278	396392	Adriana
823279	8269	
823279	13518	
823279	71283	
823279	91367	Bailarina
823279	101837	
823279	148132	Blond motorist
823279	156789	
823279	162797	Isabel
823279	171469	
823279	212388	
823279	225550	
823279	249888	Chica en fiesta
823279	292930	
823279	353573	
823279	379256	
823279	379653	Madre Superiora
823279	381153	
823279	383471	Silvina
823279	383548	Ligia
823279	384864	
823279	384980	
823279	392950	
823279	392960	Adelaida
823279	395300	Zoila
823279	396898	Doña Andrea Montalvo
823279	402681	
823279	403752	Sister Emilia
823279	408855	
823280	101842	
823281	175670	La Chona
823281	212388	Estudiante
823281	222386	
823282	47474	Ivan's Party Guest
823283	5112	
823283	39937	
823283	44664	Sabina
823283	50127	
823283	51575	
823283	52601	
823283	63408	
823283	64023	
823283	73269	
823283	75180	
823283	92347	
823283	104008	
823283	104057	Paulina
823283	108844	(segment "El mago de Oz")
823283	116633	
823283	117975	
823283	143670	
823283	183063	
823283	205137	
823283	205140	
823283	209034	
823283	213764	
823283	218096	
823283	234336	
823283	246209	
823283	249905	
823283	255488	
823283	257129	
823283	258619	Doña Antonia
823283	276486	
823283	296517	
823283	301164	
823283	339979	
823283	376734	
823284	98929	Female Vocal
823284	141656	Beautiful girl
823284	160344	Lisa Zamora
823284	342938	Linda
823285	358417	Grama White-Owl
823286	314966	Irene Dömling
823286	343660	Karin Ammann
823286	396874	(1992)
823287	80411	Girl on cellphone
823288	3161	Singing girl
823289	401	
823289	8363	
823289	16266	Camp Instructor
823289	48340	Sister
823289	48376	
823289	89836	Secretary
823289	94254	Mrs. Hillström
823289	105829	Sufflösen
823289	153202	Tant Hedvig
823289	153733	
823289	153911	Doris
823289	182548	
823289	206246	Maitre d'
823289	209369	
823289	254282	Elsa
823289	256502	
823289	286819	
823289	305528	Mrs. Erikson
823289	308201	Radio theatre
823289	312072	Thomas Mother
823289	322818	Journalist
823289	325079	Madame Pernelle
823289	375867	Kari
823289	377304	A lady
823289	377337	Boel
823289	379797	Grevinnan
823289	387888	Ester Karlsson
823289	399878	
823289	401515	Fru Palm (episodes 1-5)
823289	403084	Dagny (1995-1996)
823289	404039	Alex's Mom
823289	405822	Eva
823289	408933	Värdinnan
823289	411580	The lady with the poodle
823290	222784	Tree Girl #2
823291	183933	
823292	29728	Little Girl in Barber's chair
823293	146586	Melisa
823293	385663	Anastasia Sánchez Bukowski/Ce
823294	247477	Chava
823295	62665	Studio Secretary
823295	224032	
823295	245275	Nurse Emma
823295	252478	Social worker
823296	260362	Cindy
823297	228164	Barn Dance Party Guest
823298	237896	
823299	380012	Herself - Finalist #9 (2004)
823300	25793	Madre
823301	221712	
823301	273121	
823302	176297	Asia
823303	12104	
823303	14649	
823303	14707	
823303	21071	
823303	21076	Lolita, criada (1)/Novia del 
823303	29055	
823303	42633	
823303	42640	
823303	42652	
823303	55941	
823303	56291	Susana
823303	61203	Paloma
823303	64048	Maruja
823303	67212	Purita
823303	70749	Actriz en 'Tormento (1974)'
823303	73295	
823303	74649	
823303	81573	
823303	84050	
823303	90141	Doña Inés
823303	91171	Conchita Velasco, miembro del
823303	96280	
823303	100393	
823303	100524	Alicia
823303	102583	Aunt Regina
823303	103809	
823303	103860	Pastora Patermo
823303	111577	
823303	112056	
823303	115036	Herself
823303	115038	Herself
823303	118155	Herself
823303	120706	
823303	123224	
823303	146570	Katy (2)
823303	149501	Pilar
823303	151797	Conchita (Yeh-Yeh Girl)/Charl
823303	154542	Herself
823303	156085	Herself - Host
823303	156095	Herself
823303	159339	
823303	165710	
823303	170273	
823303	170382	
823303	178833	Marga
823303	184850	Mercedes
823303	184940	
823303	189298	
823303	193223	
823303	194624	Cayetana 'La Gandula'
823303	195573	
823303	197216	
823303	205713	
823303	207980	
823303	209007	
823303	211071	
823303	212450	Margarita
823303	212463	
823303	221562	
823303	225017	Palmira
823303	233387	Isabel
823303	243689	Pastora Bernal
823303	249671	Trini
823303	249910	Inés Laroche
823303	251311	Paula
823303	251615	África
823303	253260	
823303	255928	Paca
823303	266408	
823303	275089	
823303	275274	
823303	284959	
823303	296197	Maria
823303	296500	
823303	307839	
823303	320212	Susana
823303	326144	Elena
823303	328203	Teresa de Jesús
823303	336125	
823303	337952	
823303	337974	Julita (as Conchita Velasco)
823303	345499	Herself
823303	351831	
823303	352021	
823303	352942	Lis
823303	353152	Rosetta de Curtis
823303	353640	
823303	354272	Herself - Presenter: Honorary
823303	354344	
823303	369437	Herself - Presenter: Honorary
823303	369556	Herself - Nominee: Best Actre
823303	369754	Herself - Presenter: Best Fil
823303	369989	Herself - Co-host
823303	371679	
823303	371705	
823303	371748	Mapi
823303	384795	Charo (1998)
823303	386121	Herself - Host (1992)
823303	387578	Herself - Host
823303	396653	Leonor
823303	402635	Herself - Host
823303	402643	Herself - Host
823303	405987	Herself- Host (1998-1999)
823303	407859	Santa Teresa de Ávila
823303	408197	Herself- Host
823303	410293	Herself - Host
823303	411722	Elena
823304	292089	
823305	380407	Newsreader (1990-1991)
823306	3353	Mujer militar
823306	6486	Neighbor
823306	14664	
823306	40271	
823306	210163	La mujer del coche
823306	251599	Monja 1
823306	284911	
823306	286285	Junkie Woman
823306	340417	La mujer licuadora
823307	75187	
823307	383774	Marili
823308	225561	
823309	379001	Chela
823309	386785	Blanca
823309	391611	
823310	3396	
823310	9625	
823310	10223	
823310	33517	
823310	62301	
823310	132704	
823310	192977	
823310	214694	Anita
823310	222435	Gloria
823310	255057	
823310	256519	
823310	275280	
823310	283199	Patricia
823310	308272	
823310	326311	
823310	350265	
823310	376703	
823310	385369	Vicente's wife
823310	397305	Perpetua
823311	20091	Verónica 'Vero' De Ricci (7 y
823311	224999	Adela
823312	68909	Amiga
823312	125785	
823312	170054	
823312	189005	Ada, niña
823312	287691	
823312	290364	Patricia
823312	378864	Herself - Disc-Jockey (2000-)
823312	383271	
823312	386111	
823313	370091	Herself
823314	40244	Macumba Lady #2
823314	68578	
823314	99828	Uluru
823314	142378	Additional Cast
823314	280866	
823314	344735	
823314	380777	Valéria
823314	384303	Luciana
823314	384991	Elza
823314	388562	
823314	390507	
823314	393006	Indaiá
823314	399481	Geni
823314	400678	Mirtes
823314	403032	Lindona
823314	404306	Emília
823315	4967	
823316	41148	Gabriela's Cousin
823316	42842	Cleaning Woman at Fontaineble
823316	51864	Maria
823316	212450	
823316	317893	Rolle's Secretary
823316	396873	Telma
823317	124582	Dancer
823318	11360	Benny
823318	67697	
823318	248985	Pianist
823319	10464	
823319	25517	India Maria
823319	67673	Maria Nicolasa
823319	72370	
823319	82343	
823319	83142	
823319	95420	Maria Nicolasa
823319	199808	
823319	213368	Maria Nicolasa Cruz
823319	225553	Petra, criada
823319	231263	
823319	231266	Maria
823319	239304	
823319	258496	
823319	263177	
823319	291620	
823319	309091	Maria
823319	335517	
823319	376672	
823320	202561	
823321	197972	
823322	103408	
823323	219410	Mulan
823324	33669	Dona Gláucia
823325	16921	Maria
823326	100423	
823326	318290	Bailarina
823327	221963	Cuca Maragato
823328	131205	Dying girl
823329	334692	Adela
823330	21596	Woman at the canteen
823331	335517	
823332	57810	Usi
823332	233332	
823332	384126	Lili
823333	211326	
823335	148109	
823335	258125	
823335	328741	
823335	351994	
823335	353604	
823336	70624	Mujer Federación 3
823337	64421	Zoe
823337	163779	Lauren
823338	1472	
823338	1489	Herself - Presenter
823338	59885	Patricia
823339	406994	Hoola Hoop Girl (2002)
823340	70624	Mujer Federación 2
823341	110399	Vic's Nurse
823342	164183	La dominatrice
823343	264580	Nurse
823345	1701	Herself - Presenter
823345	34191	Pendra
823345	57061	Herself
823345	68454	Carmen
823345	96557	Herself
823345	103005	Luisa Soares
823345	107024	Juanita
823345	164874	Maya
823345	214521	Nicole Willis
823345	222321	Meela Nais/Anck Su Namun
823345	222339	Anck Su Namun
823345	234055	Ramona
823345	286901	Claudia
823345	311780	Herself
823345	312540	Marisol Diez Delgado
823345	341931	
823345	348106	Herself
823345	373950	Josefina Zapata
823345	388639	Mirta
823346	54432	Cielo/Darna
823346	76813	Anya
823346	88601	Reggie
823346	148895	
823346	152424	
823346	156182	Katherine
823346	172310	Francine Natra
823346	207124	
823346	247538	Cristina
823346	247539	Alex Guzman
823346	255751	
823346	274917	Herself
823346	347967	Sheila
823346	359108	Sam
823346	404040	
823346	404607	Herself-Host
823346	406389	Herself-Host
823346	406452	Performer
823348	181618	
823350	81610	
823351	59787	
823351	222020	
823352	42654	Leonor
823353	249852	Novia de Salvador
823354	216305	
823355	161460	Nurse
823356	332576	Nana
823357	37650	Allison
823357	40342	Luna
823357	59885	Attractive Woman at Conga Clu
823357	185588	JJ Cruz
823357	318250	Claudia
823358	351884	Girl
823359	408585	
823360	176487	Gertie
823361	132814	Aichouch
823362	53284	Wet T-Shirt Contestant
823362	80011	
823362	320343	
823363	181120	Meisje
823364	87414	Walking Tour Hostess
823364	205808	
823364	275417	
823365	221343	Helena
823367	319713	Sarah Gabrieli
823368	386628	Zoey Holleman (2002-)
823368	406787	
823368	412043	Klaartje Valkenburg
823369	95518	Dutch Woman
823370	42933	
823370	58280	Valentine
823371	140252	
823371	155092	
823372	66757	
823372	355960	
823373	58510	Princess
823374	281364	Herself
823375	108623	Prostitute
823376	247371	Chaera
823377	25028	
823377	54337	
823377	71089	
823377	104143	
823377	110415	
823377	148064	
823377	227703	
823377	301861	
823377	351626	
823377	381219	Hostess
823377	397009	Gladys
823378	170217	Herself
823378	170219	Herself
823378	170221	Herself
823378	170222	Herself
823378	170223	Herself
823378	170227	Herself
823378	390660	
823378	396202	
823378	399939	
823379	166392	
823379	170218	Herself
823379	318975	
823379	320506	
823379	339278	Devojka
823379	399939	
823380	351018	
823381	44213	Godenitzata na Skulptora
823382	235291	
823383	95471	Brothel
823384	4749	
823384	110188	
823384	169742	
823384	184848	
823384	207123	Emmy
823384	246894	
823384	247262	
823384	247361	
823384	248862	Capt. Emma Garcia
823384	272722	
823384	297243	
823384	341657	
823384	358510	
823384	362004	Cristy
823384	396410	
823384	404049	Millet Benitez
823385	113347	Theresa
823385	241045	Therapist
823385	300425	Jennifer
823385	318173	Future
823385	340562	
823386	238228	Conchita
823387	22701	Vanessa
823387	107925	Maria
823387	121546	Kay/Herself
823387	236702	Ellie The Tutor
823387	319416	Angelica
823387	342491	Nurse
823387	392693	Doreen Elizabeth Newman
823388	101570	Blanca
823389	100210	Diner Patron
823390	103322	Fortune Teller
823391	8473	Três Mosqueteiros sketch,
823391	10196	Quitéria
823391	68255	D. Vicência
823391	94480	Emília
823391	100723	D. Carlota
823391	263925	Mrs. Helena
823391	267318	
823391	309301	
823391	341138	Bernarda, the village's witch
823391	344766	Maid
823392	260387	Silvia
823393	68255	Arcângela
823393	350776	Herself
823394	263923	
823394	376831	
823395	92652	Grace (English nurse)
823395	278030	Juanita
823396	257640	Herself
823396	257863	Herself (Playmate of the Year
823396	257866	
823396	361862	
823397	192100	Angel #4
823398	396216	Gloria
823399	2398	Herself/presenter
823399	392423	Herself
823399	407374	Gloria Elana Morales
823400	257014	Tutu
823401	37255	
823401	47598	Lolita
823401	56579	
823401	74707	Nanita
823401	96801	Ming Toy
823401	124585	The Mountain Girl
823401	128198	Carmelita Fuentes
823401	136538	Mila
823401	137488	Teresita, aka La Belle Sultan
823401	142367	Anita Morgan
823401	144813	Juanita Morales
823401	147815	Herself/Jaguar Woman
823401	147848	Herself
823401	148153	Julia Clark
823401	149129	Consuelo Cordoba
823401	150276	Pepper
823401	179991	Tula
823401	183440	Pepita Zorita
823401	183787	Nanon del Rayon
823401	186016	Slim Girl
823401	212211	Carmelita Lindsay
823401	212212	Carmelita Lindsay
823401	212213	Carmelita Lindsay
823401	212214	Carmelita Lindsay
823401	212215	Carmelita Lindsay
823401	212216	Carmelita Lindsay
823401	212217	Carmelita Lindsay
823401	218941	Carlotta
823401	220864	Herself
823401	227291	Nana
823401	243554	Ming Toy
823401	247200	Nina Madero
823401	257856	Carmen
823401	273907	
823401	274498	Rita Manners/Elaine Manners
823401	276409	Katyusha Maslova
823401	276422	Katusha Maslova
823401	285683	Baroness Behr
823401	303483	Madame La Zonga
823401	312323	Naturich
823401	313048	Jania
823401	313565	Carla de Huelva
823401	315556	Manette Fachard
823401	316891	Vera Mendez
823401	332796	Rose
823401	356268	Herself
823401	362448	Bit Part
823401	363301	Toyo Haynes
823401	367298	Lola Salazar
823401	373880	Lupe
823401	374280	Herself
823402	109841	Mrs. Carter
823402	192608	Sheehan
823402	226785	Rosa Herrera
823402	241322	Mrs. Chacon
823402	285287	Fulvia
823402	297770	
823402	300896	Mrs. Salazar
823402	313334	Teresa Amato
823402	379019	Lucia Rivera Del Gato
823402	388202	Lady Servant
823403	332769	Candita
823404	18707	The waitress
823404	282101	
823405	140315	Stripper #2
823406	33914	
823406	39686	
823406	172303	
823406	174290	
823406	176760	Waranya
823406	243253	
823406	248462	
823406	255626	
823406	278628	
823407	4366	Carmen
823407	301063	Renee
823407	359569	Lizzie
823408	1145	TV Newscaster
823408	29112	Female Debater
823408	185812	News Reporter
823408	356472	The Media (Herself)
823408	383753	Correspondent
823409	48770	
823409	219716	Katya
823409	238099	
823409	278847	
823409	351783	
823409	392522	Nastassya Filippovna
823410	211375	Noémie
823411	269709	
823412	112029	Glory La Verne
823412	215727	Moon Girl
823412	269340	Venus Girl
823413	5326	
823413	54077	
823413	132695	
823413	210262	Invitada 4
823413	221941	
823414	187798	
823415	12144	
823415	63603	Liza
823415	94184	
823415	104424	
823415	126102	
823415	180790	
823415	232668	Nina
823415	258422	Natasha
823415	261667	Katya
823415	261938	Investigating Judge
823415	263662	
823415	268137	
823415	297862	Elsa
823415	323349	
823415	333782	
823415	339243	
823415	370191	
823416	58271	Marta
823416	95062	Magda
823416	226733	Eva
823416	324566	Lizetka
823417	372899	Emily Braley
823418	258537	
823419	81698	
823419	98585	
823419	119019	
823419	164013	
823419	190729	
823419	295498	
823419	300543	
823419	304170	
823419	311579	
823419	399344	
823420	117546	Anna
823421	247159	Niña
823422	334666	Policía 1
823423	247159	Niña
823424	394078	
823425	338467	Anna Gregory
823426	258523	
823426	411900	Ljilja 'partijka'
823427	163731	(segment "Frenesia del succes
823427	229598	
823427	317985	Elena
823427	338689	
823427	348675	
823428	81503	Grandma #1
823429	116633	
823430	139695	
823430	287586	Angelika
823430	376366	
823430	393878	
823431	309205	Herself
823432	49106	
823432	400954	
823433	342149	Mujer del Salón
823433	388278	Mireya
823434	392352	Sandra (adolescente)
823436	285099	
823437	351341	Koraljka Petras
823437	410202	
823438	34547	Vera
823439	282946	
823439	320554	
823440	396292	Milica Savic
823441	266261	
823441	280565	
823442	309341	Bosnian woman
823443	45542	Desislava
823443	266655	Hristina ptitzata
823443	268222	Mother
823443	297640	Mrs. Northcut
823443	306116	
823443	353911	Boyan's wife
823443	371694	Bivshata zhena na Aktyora
823443	373567	
823443	374408	Kolezhkata ha Shezhka
823443	383609	Elisabetta Melani
823444	49663	
823445	51576	Kit-Kat Dancer
823446	166024	Marija
823446	261234	
823446	348909	Vanja
823447	355052	Extra
823448	355052	Extra
823449	129036	
823450	318132	Aunt
823451	316881	Try-out Girl
823452	202527	Host
823453	86891	Victor
823453	96021	Julie
823453	111136	Martine
823453	189304	La cousine de Jerfeuil
823454	73850	Prosecutor
823454	116072	Mother
823454	183730	Nurse
823454	261440	Holly
823454	299870	Mom
823455	355616	
823456	59634	Michou
823457	202043	
823458	68331	Femme remise des prix
823458	343556	Une prêtresse
823458	345342	Viviane
823458	386020	
823459	101496	
823460	7425	Mademoiselle de Charville
823460	78341	
823460	107057	
823460	211644	
823460	217661	
823460	236581	
823460	238025	
823460	282421	
823461	53082	
823462	234988	
823463	18171	Melissa
823464	151892	Femme enceinte
823465	278150	
823466	112879	
823467	346016	Model
823469	356051	Andrea
823470	204739	
823471	25025	
823472	272465	
823473	299652	Sheila Carmona
823475	151304	Dean Bagley's Secretary
823476	294071	
823477	64166	
823478	324749	
823479	380331	
823480	16000	
823480	48336	
823480	64166	
823480	82622	
823480	216332	
823480	278568	
823480	294820	
823480	322819	Colombina
823481	302842	
823483	18694	
823484	84165	
823484	148475	
823484	183509	
823484	226454	Maria
823484	245456	
823484	285577	Maria
823484	307077	
823485	73306	
823485	100723	Rita
823486	355764	
823487	135269	Velha Querida
823487	404306	
823488	192870	Aldinha
823489	412179	Amélia
823490	127726	
823491	64166	
823492	279701	
823493	4469	
823493	12794	
823493	12796	
823493	17151	
823493	28192	
823493	30727	
823493	36486	
823493	49119	
823493	124686	
823493	128952	
823493	136188	
823493	138329	
823493	140657	Diosa
823493	146969	
823493	153255	
823493	153305	
823493	162761	Isla
823493	172163	
823493	175664	
823493	183922	
823493	193537	Teresa
823493	202096	
823493	226688	
823493	246461	
823493	255797	
823493	284831	
823493	285402	Paula Monreal
823493	288165	
823493	296548	
823493	320279	Nadia
823493	360755	Susie
823493	387832	Marita
823493	398494	Wendy
823494	100600	
823494	202649	
823495	319695	Naomi
823497	303763	Herself
823498	137003	Concha
823498	139892	
823498	187627	Carmencita Romero
823498	191497	
823498	226436	
823498	275092	
823498	294242	
823498	353605	Julia
823499	379137	Herself - Contestant
823499	406058	
823500	407712	Mutan/Computer
823501	249774	
823502	14881	
823502	94650	
823502	163744	
823502	229644	
823502	247642	Isolina
823502	248889	Grandmother Trieste
823502	259712	
823502	300636	Madre Enrico
823502	319322	
823502	343992	
823503	165836	
823504	359902	Photo store employee
823504	362147	
823505	253630	Huisvrouw
823506	3919	Doris
823506	63559	Jet
823506	76961	
823506	343031	Blow-Off Girl #5
823507	366918	Ashley
823508	389058	Herself
823510	8583	
823510	212961	Mitzi, ex-girlfriend
823510	365380	Manuella
823510	389887	Isaura
823510	391313	
823511	351578	Marianne
823513	60461	
823513	118384	
823513	213112	At the Party
823513	319526	
823514	229858	First Testifier
823515	191331	Denver Shaw
823515	313962	
823515	319684	Denver Shaw
823516	374731	
823517	2137	
823518	401694	Mercedes 'Meche' Farfán
823519	62628	Susa
823520	234421	
823520	341348	
823521	386107	Herself/Challenger Team
823522	55264	Mama Rosa
823522	117336	Doña Leonor
823522	385052	Palmira
823523	380917	Dolores"lola"de Villamil
823523	387275	Bertha Muñoz de González
823523	389233	Marlene (Magdalena's Mother) 
823523	396712	
823523	401098	
823523	410082	Stella
823523	411714	Bertha Muñoz de González
823524	53574	
823524	389688	Julia Ramírez
823525	58193	
823525	67679	
823526	283899	
823527	215229	Herself
823527	234421	
823528	106493	Hispanic Woman
823529	63905	
823529	209029	
823529	301190	
823530	294071	
823531	13451	Azundati
823531	22747	
823531	24545	
823531	51671	
823531	67025	
823531	70009	
823531	302239	
823532	3543	
823532	6631	
823532	19369	
823532	21672	
823532	23044	Elisa Cardenas/Mayra
823532	25513	
823532	30798	
823532	42641	
823532	46203	
823532	53106	
823532	54824	
823532	57471	
823532	61882	Don~a Aldonza
823532	64040	Virginia
823532	64999	
823532	83424	
823532	85590	
823532	85901	
823532	91173	
823532	91309	
823532	97369	Uga
823532	99354	Irene Barreto
823532	101814	
823532	103497	
823532	103535	
823532	103976	
823532	111989	
823532	119303	
823532	137005	Isabel de Arango
823532	145206	
823532	148169	Carmen Garza
823532	159526	
823532	160087	
823532	171467	
823532	183523	
823532	189011	
823532	189051	
823532	193143	
823532	193313	
823532	196760	Gloria Venus
823532	196762	Gloria Venus
823532	202557	
823532	206747	
823532	207031	
823532	212354	Linda
823532	212420	
823532	213779	
823532	215408	Ana Silva
823532	216861	
823532	217590	
823532	228762	Beta
823532	238221	
823532	246371	
823532	246409	
823532	247587	
823532	247872	
823532	255905	
823532	257317	Adastrea; Alburnia
823532	267074	
823532	269830	
823532	272394	Hersilia
823532	273842	Reyna de la Garza (segment "S
823532	287865	Gloria Sandoval/Gloria Ruther
823532	287866	Thorina, queen of the vampire
823532	296479	Mercedes
823532	300754	
823532	328726	Dalia
823532	332942	Yvonne
823532	333535	
823532	333608	
823532	337451	
823532	339108	
823532	353559	María Islas
823532	355793	
823532	370170	
823532	376673	
823532	376757	
823532	378413	Amparo
823532	380059	
823532	380585	
823532	383568	Elena White
823532	385413	
823532	386288	
823532	387100	Aida
823532	387603	
823532	387874	
823532	388649	
823532	396711	
823532	402219	Rebeca
823532	403885	Mary Chavarría
823532	409908	Adela Isabela
823533	401884	Herself/- Finalist
823534	71211	
823534	324527	
823535	69011	
823536	23277	Doña Chayito, 'La Momia'
823536	25806	Enfermera
823536	48795	
823536	54821	Anita
823536	62299	
823536	76113	
823536	215499	Susa
823536	328716	Lola
823536	353557	Dorotea
823536	380963	Rocío
823536	383471	Srta. Malpica
823536	383554	
823536	392263	Co-Host
823536	396898	Petra
823536	411581	Mamá de Federica
823537	69877	
823537	90140	Dña. Ana
823537	146572	
823537	228776	
823537	273844	
823537	278424	
823538	6738	Susan
823538	28323	
823538	36456	Mercedes
823538	56061	
823538	61349	
823538	66677	
823538	73533	
823538	103806	
823538	108119	
823538	112046	
823538	113700	Lena
823538	115023	Herself
823538	119078	
823538	170061	
823538	187961	Elise
823538	204691	
823538	219320	
823538	221903	Monica
823538	229802	
823538	242674	Paula
823538	247963	
823538	256788	Isabel
823538	257570	
823538	259959	Madre
823538	294286	Marisa
823538	295044	
823538	296476	Luisa
823538	322224	
823538	326007	Charo
823538	332911	
823538	338654	
823538	348149	Juana
823538	379566	Begoña (1997-1998)
823538	391855	Lina
823538	404015	Rosa
823539	101842	
823540	74657	
823540	103108	
823541	255904	
823541	292727	
823542	4524	Lucia Barini
823542	10245	
823542	14714	
823542	14730	
823542	25682	
823542	28971	
823542	34580	
823542	52989	Rita
823542	55959	
823542	56502	
823542	70623	
823542	70688	Aimée
823542	74517	
823542	74843	
823542	76010	
823542	82963	La Pantera
823542	85560	
823542	91309	
823542	91329	
823542	99353	
823542	100277	
823542	103535	
823542	106215	
823542	107034	Rita
823542	153068	
823542	158937	
823542	169771	
823542	171620	
823542	183512	
823542	199963	
823542	209031	
823542	212248	
823542	216093	
823542	221965	
823542	234343	Woman who shoots doves
823542	234350	
823542	236004	
823542	247872	
823542	248300	
823542	251553	
823542	251567	
823542	251985	Catalina
823542	252063	Cristina
823542	252619	
823542	255549	Teresita
823542	255905	
823542	256803	
823542	256806	
823542	265552	Luisa, hija de Elena
823542	269918	
823542	272394	Rhea
823542	272636	
823542	274956	The Senorita
823542	281008	
823542	281607	
823542	287876	Yvette
823542	293924	
823542	294711	
823542	300754	
823542	307805	
823542	317696	
823542	317774	
823542	318242	Violeta
823542	319597	
823542	336193	
823542	337225	
823542	339154	
823542	349953	Sancha
823542	376673	
823542	376736	
823542	388649	
823542	391572	
823542	397556	
823542	400718	Eugenia
823542	400948	
823542	402051	
823542	406859	
823542	408709	
823543	301334	
823544	16444	
823544	155648	Shopwoman of Asana company
823544	247623	
823544	262217	Lída Kulichová
823544	266023	
823544	320638	Saleswoman
823544	374226	
823545	116280	Nurse
823546	314344	Maria
823546	315786	
823547	293650	Lily
823548	205426	Yuppie Woman
823549	41138	Susan Gordon
823549	112424	Iris
823550	321486	Club Jimbo Bandleader
823551	615	
823551	10678	Mildred 'Georgette' Palmer
823551	71784	Lucy Rigby
823551	72499	Teresa
823551	79581	Ann
823551	81281	Grazia
823551	91670	Anne Darrow
823551	110953	Peggy Mallory
823551	120777	June Lake
823551	138803	Mary Gorham
823551	139525	Susan Pentland
823551	140790	Emily Conway
823551	141030	Pamela Headley
823551	143717	Miriam Naab
823551	147854	Pauline 'Polly' Ward, aka as 
823551	191739	Elizabeth
823551	196913	Emily Lawrence
823551	221335	Lucy Olcott
823551	224211	Lisbeth Blair
823551	235086	Camilla
823551	256342	The Blue Fairy
823551	270507	Myrtle Thornton
823551	313301	Anna Lind
823551	316567	Patricia Wallace
823551	349633	Josephine Spiggins
823552	105169	Amy Martin
823552	154450	Deidre
823552	171050	Sharon
823552	316996	Lindsey
823553	206630	Housewife Victim
823553	342706	Ellen
823554	396009	The musical tiplows
823555	146926	Bridgette
823556	103477	Mohumar's Girl Friend
823557	243151	Alice
823558	27078	
823558	75421	Nurse Snyder
823558	102233	Villa Capri Waitress
823558	143742	Molly
823558	164595	
823558	185777	Ruth Wright
823558	288480	Mrs. Parrish
823559	66308	Yeman
823559	109490	Katie
823559	153254	Latisha
823559	234913	Layla
823559	288953	Maribel
823559	301513	Marquita
823560	88115	Herself
823562	25938	
823562	351007	Mladja devojka
823562	386659	Mala
823562	411900	Vera
823563	308698	(video "For a Million")
823564	141695	
823565	312991	Júlia Szendrey
823566	2987	
823566	7222	Petyka
823566	42970	Andrea
823566	61213	
823566	74394	
823566	74397	Kati,Ágostonné lánya
823566	97957	Cecey Éva
823566	97958	Éva Cecey
823566	97976	
823566	110704	Rozáli, Görgey pál lánya
823566	122287	Anna, Fábián's wife
823566	123326	Anna's Mother
823566	129672	Immuculata
823566	162226	
823566	163123	Ágika, Tóth lánya
823566	163173	Queen Gizella
823566	170394	Hungarian Woman
823566	170395	Hungarian Woman
823566	170396	Hungarian Woman
823566	173592	Doktornõ
823566	182522	Szentirmay Katinka
823566	182870	Elisabeth, von Benda lánya az
823566	225415	Rozália
823566	237384	
823566	322079	Szendrey Júlia
823566	324655	Dr.Képes Vera, ügyvéd
823566	328769	
823566	342039	Mrs. Tibor Szabó
823566	348997	Nini
823566	349781	Szülõ
823566	378268	
823566	387360	Láng Vincéné
823566	398895	
823567	205625	Suzanne Beulemans
823567	208159	Madeleine
823567	345481	Louise
823567	389666	Mme Grandier
823568	49169	Vaskekonen
823569	15118	Undetermined Role
823569	29669	Captain Moon
823569	32389	Marie, French Girl
823569	68440	Maristella Diotallevi, giovan
823569	73771	Marga
823569	77120	
823569	145352	Marquise
823569	148652	Pascale
823569	155432	Gina
823569	162047	Elisa Stendhal
823569	170684	
823569	184557	
823569	206666	Zouzou
823569	208656	Lisi Stockau
823569	211155	
823569	225188	Meredith Harris
823569	230175	Elke
823569	232083	Monique Demond, Blonde at Le 
823569	240301	L'altra Giuliana
823569	252652	La prostituta
823569	275620	Micky
823569	306154	Une fille avec Lambotte
823569	314322	Yvette
823569	316804	Young Girl Friend (segment "S
823569	319725	
823569	341917	
823569	348687	
823569	351066	Manuela
823569	353384	Gina
823569	375226	Kate
823569	409001	Séraphine
823570	41581	
823570	129247	
823571	361611	Lenore
823572	130358	Miss Israel/Bluebell
823573	33638	Suzanne
823573	94241	Marie Barbezat
823573	111385	Ghislaine Laffont-Dubreuilh
823573	157235	Francine Brisset
823573	170142	Dany
823573	258323	
823573	285056	
823573	309698	Hélène Dubard
823573	346580	
823573	390754	Anne d'Autriche
823574	254016	
823575	408128	Alice Trent
823576	60243	Ginger
823577	109079	
823578	256339	Sarah Pierce
823578	278960	
823579	351031	
823580	7890	Janet
823580	80046	Cassandra
823580	107205	Gwen
823580	185648	Producer
823580	260296	Sara
823580	339654	Caitlin
823581	312071	Lucka
823582	376603	Hanka
823583	10205	La hippie couchée
823584	274501	Belinda
823585	274501	Jill
823585	372521	
823585	406491	Sandra Mitchell
823586	56069	
823586	307532	
823586	337986	
823586	385522	Gracielle
823586	396610	Paulinha (1995)
823586	403118	Marita
823586	409814	Jade Rocha
823586	411597	Xuxete
823587	66888	Lola
823588	22766	
823589	223082	Herself - Singer
823590	109589	Green Peace Secretary
823590	149828	Tiffany
823590	399129	Herself (2000-2001)
823590	399130	Teresa 'Tess' Bell (1999-2001
823591	31465	
823592	287230	Administrator's Wife
823593	117091	Yankee Fan
823593	170451	Skating Spectator
823593	196549	Club Patron
823594	48330	
823594	374162	
823595	147651	Drive-In Dyke
823596	1506	La Chica del Celular
823597	354614	
823598	139898	As herself
823598	230013	Herself
823599	377195	
823600	186134	Moeder Dennis
823601	289456	Sharon Tate
823602	65200	Mrs. Harlowe
823602	91063	Herself
823603	354952	
823604	3184	
823604	4539	
823604	10984	
823604	26016	
823604	32559	
823604	56035	
823604	77117	
823604	77247	
823604	124452	
823604	171758	
823604	181826	
823604	189275	
823604	215701	
823604	237937	
823604	246551	
823604	284672	
823604	293731	
823604	312531	
823604	314806	
823604	341639	
823604	359139	
823604	369528	Elaine ("Butas" Episode)
823605	14390	Balbina Leverdet
823605	16860	
823605	88042	La sua figlia
823605	119081	
823605	160052	Emilia
823605	199444	L'allieva Barghetti, la spion
823605	211701	
823605	215345	Marianin
823605	246454	Orsetta
823605	301384	Iris
823605	344416	
823605	351842	Freddie
823605	354117	Sandrina
823605	373348	La marchesa sandri
823606	137258	Checkout Girl at Market
823607	291557	
823608	16909	Aunt Tabitha
823608	16934	Mrs. Grimes
823608	20032	Mrs. Flower
823608	22619	Alice Smith
823608	33766	Cafe Owner
823608	39851	Annushka
823608	40281	Mrs. Winterbourne
823608	43461	Seamstress
823608	45530	Grandma Bates
823608	46075	Mrs. Forrester
823608	46668	Mrs. Barry
823608	54485	Mrs. McPhee (Hornblower's hou
823608	55418	Aunt Fanny
823608	58936	Lady Davis
823608	73222	
823608	88884	Grandma
823608	90026	Bowie Knife Bella
823608	90398	Cook
823608	92916	Mother Moone
823608	108619	Mrs. Heaviside
823608	115146	Mrs. Brandon Partridge
823608	116187	Aunt Eliza
823608	131641	Mrs. Chalk
823608	140539	Mrs. Hawley
823608	143569	Grandma
823608	147125	Mrs. Hepworth
823608	152292	Grandma Huggett
823608	168594	Emily Smith
823608	169612	Lady Clara
823608	171309	Mrs. Bott
823608	177394	Mrs. Ponsonby
823608	188241	Aunt Fanny
823608	194581	Betty Muxworthy
823608	195909	Ma
823608	199554	Miss Aiken
823608	199742	Tessa
823608	200112	Undetermined Role
823608	203143	Mrs. Armstrong
823608	206338	Mrs. Crust
823608	213994	Mrs. Deane
823608	214188	Mrs. Blythe
823608	217953	Emma Bolt
823608	222731	
823608	223771	Mrs. Gully
823608	224406	Mrs. Hammond
823608	239567	Mrs. Jarley
823608	240019	Mrs. Bedwin
823608	257550	Lady Heckdyke
823608	257973	Mrs. Lethbridge
823608	261067	
823608	268173	Mme. Gautier
823608	274394	Petal Schultze
823608	282607	Suffragette
823608	285727	Mrs. Donald Jones
823608	293760	Old Sookey
823608	300086	Mrs. Scowcroft, Sally's Mothe
823608	304371	
823608	309922	Donna Rosa
823608	329803	Gertrude
823608	330236	Mrs. Purley
823608	330708	Mrs. Flint
823608	330965	Mary Glenloch
823608	335073	Mrs. Wixie
823608	341987	Grandma
823608	356948	Grandma
823608	365078	Arabella Nagg
823608	366011	Emma Harbottle
823608	367456	Landlady
823608	367670	Sophie
823608	368493	
823608	371073	Mary Varwell
823609	101429	Mrs. Burgess
823609	399931	Hannah
823610	73560	Katie
823610	319684	Fox
823611	14579	Anna
823612	95869	Aspassia
823612	179189	Ketty
823612	287997	
823612	338997	
823612	350587	
823612	396620	
823614	364322	Mrs. Groves
823615	399459	Mrs. Lenz
823616	167228	Christelle Louise Bouchard
823616	390314	Herself (occasional)
823617	21737	Mistress
823618	250727	Lydia Grant
823619	199467	
823620	144987	Tammy
823620	185568	Hemlock's Assistant
823621	115538	Greek Girl
823621	147639	Ann Morris
823621	191679	Stewardess
823622	318793	Bit Part
823625	217278	Soloist of the gypsy dance
823626	15061	La mère du petit garçon
823627	239152	Casting
823628	299603	
823629	8982	
823629	18992	
823630	47158	Armandine
823630	68932	
823630	85716	Cathy
823630	88059	Mme Martelli
823630	205616	La concierge
823630	205736	Madame Blanc
823630	211849	
823630	235709	La mère de la môme
823630	235821	La mère de Marinette
823630	282048	Mme. Pitart
823630	295212	Madame Milliard
823630	336912	
823631	165734	
823632	17208	
823632	27429	
823632	28777	
823632	54810	
823632	57023	Mrs. Bocconi
823632	60934	
823632	82413	Suor Melania
823632	85967	Wanda
823632	96527	Serena
823632	100052	
823632	108103	
823632	136189	
823632	173082	Caterina De Lellis
823632	231850	
823632	246177	Strip-teaser
823632	248056	Herself
823632	255636	Francesca
823632	260904	
823632	278951	Eleonora
823632	278968	
823632	328832	
823632	373987	
823632	402258	Olimpia
823632	410344	Stefania Montero
823633	375423	
823634	97619	
823634	400998	Filio
823634	409807	
823635	375285	
823636	176967	Annie
823636	314923	Blonde with Kid Colors
823636	405984	(Pledge, USC)
823637	64153	
823638	400	Young Teacher
823638	84206	Biker chick
823638	117707	Ginny
823638	124463	Paula
823638	130178	Mrs. Farr
823638	136787	Kathleen
823638	139434	Becky Jones
823638	140347	Joe
823638	144659	Jessica
823638	147206	Evelyn
823638	153205	Meg
823638	190056	Stage Manager
823638	190924	Clara Fielder
823638	240935	Mo Walker
823638	245115	Zozia
823638	254641	Candy
823638	302584	Naomi
823638	314138	Judy Albert
823638	323592	Graduate student
823638	358835	Intern Doctor
823638	359198	Helena
823638	360465	
823638	365326	Woman in Line at the Mall
823638	366898	Prison Dealer
823638	379500	Zoe
823638	387021	Lola Gallo
823640	280988	
823641	34232	Valya
823642	18945	Thodora
823642	102101	
823642	394713	
823643	185137	Tourist Woman
823644	324395	Gloria
823645	388545	Shireen
823646	14510	Paru
823647	93866	
823647	236793	
823647	286753	
823648	261868	Gilmore's Partner
823649	195826	Norma
823650	396063	Gwen Martin/Leena Savio
823651	104772	Dutch entry (22nd place)
823651	228262	Herself
823651	390242	Xandra Coertz (1993, 1994)
823652	251510	
823654	210358	Herself
823655	136443	
823655	322066	
823655	377129	
823656	138658	
823656	144657	Mrs. Cromer
823656	177321	Queen Elinor
823656	223105	The Odd Couple
823656	261067	
823656	361304	Laissabeth Powys
823657	205461	
823658	1092	Queen Weilew
823658	38515	Chan Parker
823658	46368	Mother
823658	70342	Marie Fidele Hunt
823658	71474	Gloria Swanson
823658	106767	Ellen
823658	126742	Melanie
823658	137924	Ophelia
823658	137932	Gertrude
823658	141399	Sunday Tyler/Andrea Harmon
823658	141544	Justine Hanna
823658	160492	Liane Wigand
823658	162439	Margaret 'Peg' Phelan
823658	164547	Valentina Koslova
823658	169679	Celeste
823658	194247	Joanne Delgado
823658	209824	Gabriella Francini
823658	213320	Hippolyta
823658	270348	Dr. Helen Steele
823658	281150	Gloria Capulet
823658	293148	Julia
823658	293762	Louise
823658	310624	Lt. Tanya Sadavoy
823658	313971	Mrs. Hengen
823658	317893	Jane Hetzko
823658	328253	Anna Lang
823658	331694	Joyce
823658	336748	Carole Davis
823658	340765	Barbara Everett
823658	367323	Rebecca Neff
823658	372555	Giovanna
823658	379015	Corinna
823658	408154	Roberta 'Bobbi' Turner #1 (19
823659	162364	Young Jenny Leighton
823660	115318	Ballerina
823661	242434	
823662	66213	
823664	310019	Receptionist
823665	129582	Ellie
823665	378850	Eva
823665	400820	
823666	87631	Specialty
823667	22728	Mrs. Straffen
823667	37155	Eloping Young Girl.
823667	41156	Clare Mallinger
823667	55690	Pretty Bidder
823667	55719	Khasi's first wife
823667	72487	Sandra
823667	81143	Priscilla
823667	106593	Josephine
823667	161762	Col. Virginia Lake
823667	168330	Italian Girl
823667	178840	Gym Mistress
823667	181155	Lady Durward
823667	216032	Kathy
823667	221215	Victoria
823667	224361	Gina
823667	228822	Mabel
823667	245191	Liz Bennett
823667	312171	Mrs. Winters
823667	314979	Nurse
823667	383393	Madge Capstick
823667	387533	Heather Bannerman
823667	388030	Sylvia
823667	388256	Dorothy Hopkins
823667	391247	Fiona Weston (1996-1997)
823667	391680	Paula Young
823667	396009	Mrs. Muriel Dirks
823667	396031	Anne Sheppard
823667	399351	Rosie
823667	400278	Pamela Parry (Series 6-7; Spe
823667	402777	Shirley (1962-63)
823667	403993	Various (105)
823667	408960	Moira Hart (1967, 1971)
823667	409343	Col. Virginia Lake
823667	409562	Ursula, Lady Thaxted
823667	410632	Irene Grant
823668	126530	Hooker
823669	807	
823670	16181	Vanessa
823670	388506	Himself
823671	212624	Tennis Player
823672	4334	Lastenhoitaja
823673	29817	Cool Barcelonan
823674	333120	Person of the Night
823675	26440	Dr. Joseph
823675	168306	Supporting
823676	352716	Herself
823677	119466	Old Woman
823677	222947	Older Secretary
823677	317299	Irma
823678	316226	Kathy Green
823678	340225	Wife
823679	41301	Tina Matthews
823679	102247	Suzanne
823679	149183	Angela
823679	208661	Eve
823679	217480	Stephanie Nelson
823679	345861	Nancy
823679	404282	Gracie Lee Lively (1992-1993)
823680	115023	Herself
823680	115025	Presenter
823681	407518	Herself (8th Executed)
823682	10382	Alexia
823682	34552	Child
823682	99547	
823682	216083	
823682	327787	
823683	551	
823683	5443	
823683	32366	
823683	55911	Prudencia
823683	67212	
823683	74600	Portera
823683	96321	Señora de Martín Poblete
823683	103653	
823683	202561	
823683	205699	
823683	236759	Dona Assunta
823683	269976	Clarisa
823683	281650	Virtudes
823683	320327	
823683	325304	Chief Nurse
823683	339450	
823683	355758	
823683	376844	
823683	407859	
823684	243473	
823684	324253	
823685	36880	
823685	366117	
823686	385863	Herself/Hostess
823686	390444	
823686	390447	Panelista
823686	390453	
823687	275277	
823688	29670	Harem
823689	301678	Hospital Staff
823690	89777	
823691	23979	
823691	380089	Berenice Castro
823691	383294	Adalgisa
823691	384778	Laura
823691	395405	
823691	401897	Suzana Saragossa
823691	402537	Renata
823691	402928	
823691	403616	Cibele
823691	403739	Dona Branca
823691	404915	Iara
823691	409925	
823691	410107	
823692	212555	
823692	338009	Shoeshop customer
823693	400787	Théti-Chéri
823694	51698	
823694	158553	Valentina
823694	255124	Rita
823694	278702	Hotel Maid
823694	287993	
823694	402782	Tisini
823695	104212	Mme Vigier-Lefranc
823695	148677	Elvire
823696	6735	Julie
823697	121892	
823698	196127	Mother
823699	42595	Giovanna
823699	206029	
823699	247875	
823699	295163	La collegiale curiosa
823699	301381	
823699	315423	
823700	348202	
823701	113113	
823701	216229	Fantine Thénardier
823702	279648	
823703	168139	
823704	38542	Noanoa
823705	140315	Woman @ Burning Villa
823706	133023	
823707	315444	Marianna
823708	119074	Sonia
823708	388613	Herself - Hostess (2004)
823709	129031	
823709	233188	4th Organ Hunter
823711	154796	Waitress
823712	31054	Tila Yung
823712	55702	Spanish Secretary
823712	113479	Emilia
823712	144991	Margaret Fernandez
823712	194464	
823712	265740	Mail-Order Film Girl
823712	276642	Receptionist
823712	318716	Uncredited
823712	386571	Rosa
823712	405460	
823713	91340	
823713	132641	
823713	135281	
823713	193351	Yolanda
823713	200080	
823713	234333	
823713	248784	
823713	248785	
823713	293370	
823713	376786	Abuela
823713	380084	Astrid
823713	380842	Liliana
823713	383471	Julieta
823713	384988	Azucena
823713	385502	Clara 'Clarita' Torres (II)
823713	386106	
823713	386284	Natalia Navarro Monroy
823713	398458	Gloria
823713	400719	
823713	401435	
823713	401612	
823713	410303	Dolores Herrera
823714	10656	Paola
823714	29669	
823714	112682	
823714	200437	Lidia
823714	352661	
823714	353193	Annie
823714	355957	Ruth
823715	269499	
823716	238376	
823718	344608	
823719	342116	
823719	407389	Mana
823720	380784	Herself
823721	97258	
823721	341517	Betty
823722	100093	Barmaid
823722	197584	
823723	243498	Oriana, adolescent
823723	257463	Graciela Jiménez
823723	386109	Fernanda San Vicente
823723	386149	
823723	389751	
823725	38776	
823725	74746	
823725	135158	Antonella
823725	159458	
823725	187449	
823725	234717	Parisina
823725	315824	La Suorina-The Sister
823725	322575	Guest at the party
823725	339997	Signorina Rublo
823726	28006	
823727	63890	
823728	348122	
823729	25318	Teti
823730	377915	
823731	9008	Herself
823732	15093	Micheline
823732	70954	
823732	167240	Lucienne
823732	264953	Irène
823733	304843	Worker
823734	17504	Beebe, Leonowens' Indian Serv
823734	37027	Mavis Chandrapillai
823734	84807	Violet Little
823734	91580	
823734	91656	
823734	93296	Herself (stripper)
823734	123822	Waitress
823734	228032	Herself
823734	265461	
823734	357168	Herself
823735	2597	Hooker
823735	8069	Ashkea
823735	24980	Juanita Quintana
823735	81347	Adriann
823735	98136	George
823735	116330	Dolores Deluxe
823735	118564	Jennifer
823735	187343	Constance Carr
823735	231916	
823735	266623	Joanie
823735	320890	Bath attendant
823736	10308	Natalja's Mutter
823737	93615	Moeder van Tinneke
823737	140383	Moeder Clem
823738	59568	
823739	16968	Denise
823740	17756	Dolly Tate
823740	17758	Dolly Tate
823740	35471	Diana Moon Glampers
823740	49366	Theater Well-Wisher
823740	52449	Billie Barton
823740	96889	Bar Patron
823740	122248	Daisy Parker
823740	155061	Phyllis Tuttle
823740	248607	Herself - Singer
823740	275855	Bess Nichols
823740	277804	Claire Renard
823741	35524	Disappointed Girl
823741	143573	Woman at Fundraiser
823741	320106	Charlotte
823741	320209	Janice
823741	335757	Jennifer
823741	374617	Waitress
823743	109589	Bobo's Mama
823743	114512	Magda
823743	127842	Angelina
823743	401547	Bobo's Mama
823744	12505	
823745	89311	Model
823745	146761	
823746	146429	Odette
823747	189185	
823748	383365	Parthenope
823748	390737	
823748	392747	Cléo
823748	396718	Bem Me Quer
823748	400097	Luana
823749	2933	Tuula
823749	24649	
823749	140410	
823749	176549	
823749	179291	Simon enkeli #3
823749	193554	Aimo's ex-wife
823749	209949	Elsi Seppälä
823749	226808	Saara Salminen, teacher of bi
823749	236793	
823749	242259	
823749	271606	Pirkko
823749	271883	
823749	283960	
823749	303180	Riitta
823749	336584	
823749	341798	Simon enkeli
823750	405482	Ulla teininä
823751	180445	Lassen vaimo
823752	368244	Ensemble member
823753	1265	
823753	16704	Chin's Guard
823753	77084	Manang Sidra
823753	87488	
823754	381072	Dr. Luisa
823754	383500	
823754	385872	Kalu
823754	396645	
823754	401975	Elda
823755	87866	
823756	87497	Eva, 20 ans
823757	263861	Mónica
823757	379909	
823757	386078	Angélica de la Reguera
823757	395885	Citlalli de la Fuente
823757	397463	Carla
823758	336034	Marina Del Rey
823758	366970	'Female' Backup Singer
823759	136958	Ruth
823760	3163	Ticket Taker
823761	313049	Proctor
823762	233900	
823762	235998	Goyita
823762	335192	
823762	383564	Blasina de Galán
823763	366952	Carmelita
823764	71299	
823764	81472	
823764	104013	
823764	104090	
823764	148052	
823764	217562	
823764	255937	
823764	268499	
823764	353555	
823764	379583	Florencia
823764	380209	Irma
823764	383089	Pía
823764	383601	
823764	384823	Amada
823764	386792	Elina
823764	387810	
823764	391420	
823764	395843	
823764	398166	Lía
823764	398517	
823764	398526	María
823764	400945	Carmela
823764	402158	
823764	402675	
823764	410016	
823764	412120	Martha
823765	139193	
823766	95018	
823767	75457	
823767	220701	
823767	248764	
823767	275324	
823767	277360	
823768	672	Magaly
823769	213749	
823770	3554	Hostess
823770	55907	
823770	55962	
823770	92346	
823770	101893	
823770	104849	
823770	146573	
823770	149514	
823770	197965	
823770	206747	
823770	211876	Tia Milita
823770	221550	La madre de Mariana
823770	235312	
823770	246298	
823770	254340	La Garza
823770	265514	Magra
823770	269543	
823770	273581	
823770	278942	
823770	285470	
823770	337948	
823770	351951	Herself
823770	357899	
823770	376855	Hostess
823770	387472	Jimena
823771	145263	
823772	6313	María
823773	368659	Playground Child
823774	54020	
823775	186021	Old Woman
823776	5833	Mama
823776	41518	Clara Blanca
823776	124340	Madre
823776	148420	Anna
823776	161721	Esperanza
823776	183559	Mrs. Galvin
823776	185920	Woman in Community Center
823776	210643	
823776	230116	Mexican Nun
823776	267105	Ramona Ramirez
823776	273423	Doña Gorgonia
823776	285299	Teresa
823776	310726	Addtional Bus Passenger
823776	326467	
823776	363903	Dora
823776	369451	Indian Woman
823776	389858	Marta Morez (1994)
823776	394510	Delia's mother
823777	216212	Alice
823778	208853	
823778	212474	
823779	220652	Lady Singer
823780	268519	
823781	89924	
823781	292765	Magdalena Sarrazín
823782	73281	Mujer Asaltante/Head Assailan
823783	73516	Georgette
823784	52966	
823784	108421	
823784	161697	
823784	400790	Elvira
823785	43238	
823785	273965	La Hija del Presidente
823786	355943	Lissa
823786	401881	Herself - Bandana
823787	61148	
823787	192957	
823788	77653	Hooker
823789	146580	Suegra
823790	16789	
823791	291052	Harlot
823792	398471	Lorena
823792	412133	Amanda
823793	29919	
823793	185890	
823793	217896	Rapping & Rocking
823793	261048	Herself
823793	273605	
823794	5755	
823794	6573	
823794	21981	
823794	57782	Marcela, la hija de Luis
823794	67014	
823794	80280	
823794	83490	
823794	87135	
823794	100443	
823794	106953	
823794	108281	Wanda
823794	121476	
823794	132037	Helene
823794	156086	Herself - Presenter: Best Lea
823794	163030	Angela
823794	188925	Sandra
823794	202841	Raquel
823794	216612	
823794	222391	
823794	236475	
823794	249862	Nuria
823794	273652	Antonia
823794	290372	Sylvia Smith
823794	328883	
823794	349334	Herself - Presenter: Best Sup
823794	355958	Amalia 'La Alemana'/Gustavo
823794	383687	Neleta
823794	385997	Anna Selpi
823794	390420	Crista
823794	393346	
823794	399487	Ninette
823794	403365	Victoria
823794	403749	Marcia
823794	404107	Crista
823795	266880	
823795	402898	
823796	13918	
823796	33599	Angela Bonfils
823796	37177	Christy
823796	52447	Princess Maria
823796	55437	Luisa Molina
823796	125484	Herself
823796	138800	Janet Jones
823796	176321	Susie Sullivan
823796	188316	Jeannie MacLean
823796	195620	Maggie Phillips, Dancer
823796	240904	Ivy Smith ('Miss Turnstiles')
823796	313319	Herself
823796	329560	
823796	331439	Myra
823796	331456	Jessie Brown/Jessie Kalmar
823796	363787	Judy Haynes
823796	367970	Midge Mallon
823796	368245	Dance specialty
823796	383472	Elodia
823796	398471	
823796	410297	Cándida
823797	207048	
823798	2917	Spanische Krankenschwester
823798	35034	Rosaria
823798	351968	Anna Scalli
823798	364201	Marie
823798	378743	Esther Schuhmann (2004-)
823798	381813	Dorothea Zöllner
823798	389616	Sevinc
823799	443	Blanca
823800	67698	
823800	221897	Drunk woman
823801	356824	
823802	42772	Stella's secretary
823802	81770	County Clerk
823802	108042	Nurse
823802	176388	Rita
823802	276169	School Secretary
823803	100539	Herself
823804	43994	Mrs. Dronazzi
823804	67494	
823804	103501	
823804	235773	
823804	278937	
823805	215074	
823806	28156	Sophie Verdier
823806	69626	Siren
823806	71011	Penny
823806	87041	Dolly
823806	98070	Jane
823806	107028	
823806	125561	German attendant
823806	135943	
823806	225492	Siren
823806	243690	Moira Shannon
823806	280906	Countess Grabowsky
823806	296348	Michelle
823807	53851	
823808	80619	Fiesta Dancer #7
823809	979	Draga #2 - "c.c. red"
823810	311553	Jennifer
823811	6654	Freya
823811	13443	Reneetje
823811	19341	Herself
823811	71380	Janet de Wit
823811	101461	Dash
823811	102479	Juffrouw mug
823811	130232	Hedwig Harmsen
823811	197318	Zita
823811	201828	Herself
823811	228268	Herself - Vote presenter
823811	256753	Klaartje
823811	356555	Treesje Waanwolf
823811	384901	
823811	385066	Janet De Wit (2001)
823811	386628	Rayna Pascal (2001)
823811	390242	Hedwig Harmsen (1997-2000)
823811	391469	Anne Claire (1999)
823811	407614	Herself - Guest appearance
823812	45591	Supermodel
823812	334069	Winner "Vote the VJ"
823813	43767	A salesperson
823814	64038	
823815	320256	Wiske
823816	378659	Herself (2002-2003)
823817	157908	Vrouw van Hendrickx
823817	175691	Vrouw van Bert
823817	199526	
823818	209735	
823819	1623	Herself
823819	42867	Stekjesverkoopster
823819	124414	
823819	141776	Zuster Carbon
823819	179475	Inbreekster
823819	247590	Burgemeester
823819	279646	Madame Serrure
823819	337893	Louise
823819	352402	Rijke weduwe
823819	366699	Suzanne
823819	367022	Seasonworker
823819	376252	Moeder van gangster
823819	381652	Moeder van Angèle
823819	389781	
823819	389782	
823819	389783	
823819	400801	Actrice
823820	374302	Lucy
823821	16243	Sonne
823821	170422	Betz
823821	238480	Studente medicijnen
823821	357379	Sasha Mensch
823821	390242	Tracey Gould (2003-2004)
823822	129517	
823823	5678	Elly
823823	149284	Jessie
823823	170297	
823823	215767	Madame ???
823823	238591	Irma
823823	241926	
823823	242498	Tangolita
823823	352052	Moeder
823823	365024	Vera
823823	384154	Hoofkommissaris
823823	388909	Nadine Vanbruane (2001-2003)
823823	395123	Nelly Vogels
823823	411214	Evelyne De Jonghe (1997-1998)
823824	171728	Herself
823824	387952	Herself
823825	18836	Uma
823825	48777	Verónica
823825	55617	Marta
823825	63819	Gimena
823825	91499	Carmen
823825	96356	Violeta
823825	145205	Naty
823825	170038	Susana
823825	170552	Alicia
823825	174316	Alix
823825	226484	María
823825	244636	Paula
823825	327438	Chiara
823825	331251	Mitzy
823825	369996	Herself - Presenter: Best Sup
823825	400756	Inés Alonso
823826	225820	Servant
823827	263662	
823828	322940	
823829	356811	
823830	152524	
823831	404442	Agaath
823832	411116	
823833	147897	Housekeeper
823833	151675	Finch's landlady
823833	154516	Patient
823833	191626	Madame
823833	193761	Woman in Window
823833	199467	Pandora's Mother
823833	230751	Nurse Buck
823833	276819	Landlady
823833	388879	Mrs. Fortunato
823833	403389	DC's mother
823834	356120	
823835	211884	
823836	44389	
823837	84485	Eva
823837	306227	Nicky
823837	408555	Herself/Presenter for The Net
823838	214644	Girl
823839	99688	Herself
823840	242310	Grietje
823841	356555	Ajaxied girlfriend and stand 
823841	390242	Classmate of Kim (1998-1999)
823842	104692	Herself
823842	104693	Herself
823843	110124	Jeanne
823844	42034	Blond meisje 2
823845	408206	Herself (?-?)
823846	100908	Cathy
823847	152603	Worker
823849	89194	Teacher
823851	17861	
823852	12372	
823853	44731	Flore
823853	68894	Julie (part 2 only)
823854	322579	Une villageoise
823854	354930	Monique, Waitress
823855	255572	La fille de la brasserie
823855	258861	La serveuse du bistrot
823856	9482	Ivanka, komtesa
823857	92241	Tina
823858	392911	
823859	70936	Brigitte
823859	383186	Clementine's Mom (French lang
823860	182607	Almira
823861	169305	La secrétaire
823862	158761	Bambinaia
823862	158763	La cameriera Matilde
823863	383727	Fabiana
823863	387901	Inaê
823863	396610	Letícia (2002-)
823863	396718	Neném
823863	402685	Benedita
823863	408381	Buriti
823863	409347	Bruna
823863	410190	Marina
823863	411585	Catarina
823865	404974	A pupil in "Le cours"
823866	20828	La mère jeune
823867	384627	Freeman Verdecia's Wife Debbi
823868	384627	Freeman Verdecia's Daughter E
823869	384627	Freeman Verdecia's Daughter M
823870	248258	La doublure cavalière
823871	52729	Katia
823871	207640	Lula
823871	385663	Claudia
823871	387479	Regina (2000-)
823871	388575	Adela
823872	142053	
823872	181153	
823872	225727	
823872	376358	
823872	376459	
823873	80498	Pensioner
823874	17619	Viscountess River-Clyde
823874	17946	Innkeeper
823874	43742	Maid
823874	78762	Voice at Station
823874	102992	
823874	136816	Ellen, Pulham's Maid
823874	183643	Mrs. Matthews
823874	194462	Maid
823874	203002	
823874	206112	Englishwoman at inn
823874	234803	Barmaid
823874	275458	Maid
823874	283179	Mrs. Naughton
823874	299072	Miss Dennis, Nurse with Mr. F
823874	330664	Corporal
823874	331459	Brockton's Maid
823874	361300	Mrs. Edwards
823875	83712	Alex
823876	52784	
823877	375740	
823878	119928	Jewel's Mother
823879	695	
823880	91620	Sales Clerk
823881	2814	
823881	23539	Nurse
823881	28519	
823881	28904	
823881	52698	
823881	59697	Bertha
823881	62568	
823881	63663	Sabine
823881	70715	
823881	74917	La Mère
823881	85533	
823881	87660	Woman in Restaurant
823881	96198	
823881	103931	Habilleuse
823881	110050	La femme de Ryckmans
823881	111039	
823881	111096	
823881	148636	
823881	153872	The owner
823881	156330	
823881	164153	Yvette
823881	196388	Murielle
823881	200936	Marie Tatin
823881	202090	Mme Renard
823881	202694	Marianne
823881	224909	Nadine
823881	227317	
823881	235725	
823881	247847	Marie-Louise
823881	266379	L'infirmière
823881	266403	Hélène Ferrare
823881	268457	Mme Tardel
823881	318119	Marie
823881	340149	Pierre's mother
823881	345132	
823881	346518	Antonia
823881	353317	
823881	356369	
823881	389234	Louise Chastellier
823881	397192	
823881	400287	Martine (1995)
823881	400386	Lili
823881	402664	La femme du directeur
823881	404258	Sandra
823881	410628	Irène Vanderbuilt (1999-2001)
823882	40427	Nurse
823884	31534	Suicide woman
823885	57539	
823886	12043	Lourdes
823887	171327	Cliente pharmacie 2
823887	251016	Dame in tea-room
823887	280513	Lully's servant
823887	349488	Madame Godreau
823888	18188	
823888	338031	Hotel Maid
823889	220249	
823890	163932	Mary
823890	208074	Newscaster
823890	327588	Party guest
823891	37648	Herself
823891	257668	Herself (Model)
823891	257670	Herself
823892	4741	Woman with Dog
823892	202692	Professeur
823892	285687	Non
823892	334318	
823892	352031	Eenzame dame
823893	94767	Lady Rohan
823893	95514	French Girl
823893	118466	Jill Dunkley
823893	183542	Lady Caroline
823893	292461	Colette
823894	331512	Kitty the Maid
823895	254980	
823896	336618	
823897	252579	
823898	377464	Nanny
823899	177451	
823900	1842	Herself - Presenter
823900	10670	Alice's Mother
823900	41010	Girl in Nightclub
823900	47296	Herself
823900	47382	
823900	47385	Herself
823900	48217	
823900	66556	Bess McCarthy
823900	66557	Bess McCarthy Selwyn
823900	71474	Tish Dwyer
823900	72916	Lenora Castonmeyer (segment, 
823900	77448	Lola
823900	79522	Specialty dancer
823900	80853	
823900	93240	Girl in commercial
823900	109210	Abigail
823900	125900	Specialty Dancer
823900	154169	Speciality Dancer
823900	157563	Sadie Truitt
823900	166880	Bag Lady
823900	177549	Solo Ballerina
823900	187502	Maureen Comly
823900	206818	Ruth
823900	209599	Herself (dancer)
823900	211602	Specialty Dancer
823900	215909	Voodoo dancer
823900	223077	Herself
823900	226504	Vera
823900	239891	Etta Pell, Old Folks Home Res
823900	240841	Speciality Dancer
823900	287311	Herself
823900	296552	Our Guests at Heartland
823900	329565	Appearance
823900	352696	Herself
823900	358634	Alora
823900	379716	Judith Kingsley Sawyer (1982)
823901	380968	Windy
823902	19109	Woman in Dreams
823902	289634	Bar Girl 1
823903	160016	Maud's mother
823903	236019	
823903	335312	
823904	261449	Missy
823905	272665	Hylkje Hilarius
823905	397306	Ingrid van de Wouden-Van der 
823905	400217	Joyce Couwenberg (#2) (1996-)
823906	136360	
823907	74277	Girl in Bus
823908	376889	
823909	72609	Natalie Sterner
823909	93038	Sarah
823909	100008	Brunette
823909	136040	Tina
823909	279427	Lorrie
823909	292148	NewsNet Technician #1
823910	85619	Tana, India
823910	133795	Wednesday
823911	85963	Chica bruta
823911	202398	Ex Novia
823911	322397	
823912	12389	Hilda
823912	16686	Lila Sinclair
823912	33622	Bit Role
823912	37343	Estrellita Estrada
823912	41142	Specialty Dancer
823912	57297	Little Girl
823912	75908	Orange Girl
823912	79851	Miss Devi
823912	92117	Bit
823912	120824	Nina Coudreau
823912	125480	Marie Duval
823912	150916	Ilonka
823912	151461	Vera Wax
823912	167095	Marge Stevens
823912	191833	Martha Hill
823912	194979	Li Wanna
823912	194984	Nona
823912	206203	Jane Warren
823912	218688	Ata
823912	247378	Sal Regan
823912	250592	Lokawa, Bradford's Tuscarora 
823912	271224	Moana
823912	276704	Consuelo Lopez
823912	304273	Connie Jackson, alias Marie B
823912	306222	Andree Blanchard
823912	308605	Fioretta
823912	316160	Carmelite
823912	330010	Girl
823912	330310	Neela
823912	334367	Spanish dancer
823912	341707	Bianca Pereira
823912	396783	Lynn Hall (1964-65)
823912	396824	Consuelo Lopez
823912	397324	Millie Bronson (1952-56)
823912	398081	Alice
823912	399265	Audrey (1964)
823912	403088	Gerry
823913	52941	
823914	108256	Melanie
823914	168736	Waitress
823914	364709	Police Woman
823915	2195	Femme chilienne
823917	264785	Singer
823918	45044	Alicia
823919	69133	
823919	74356	Elena de Urquiza
823919	88057	Marica
823919	189029	
823919	235998	Sra. Saavedra
823919	244591	
823919	251729	Dorotea
823919	259848	
823919	318019	Directora
823919	338641	
823919	379457	Catalina
823919	383344	Griselda Austin
823919	383548	Eva
823919	383564	Dolores Olmedo
823919	386016	
823919	387274	Carmen
823919	391742	Virginia
823919	403459	
823919	404710	
823919	410015	
823919	411633	Mercedes
823920	53041	Tita
823921	237122	
823922	28559	Nicole
823922	68342	
823922	354909	Herself
823923	9104	La Chiqui
823923	9706	Mariana
823923	13047	Chica violín
823923	13071	Trini
823923	25793	María Jesús
823923	29821	
823923	33560	Rocío
823923	34556	Margot
823923	48780	Marina
823923	53652	Teresa
823923	55619	Paquita
823923	57716	Areusa
823923	63755	Justina
823923	96374	Aurora
823923	101967	Isabel
823923	103992	Angeles
823923	110891	
823923	111055	Estrella
823923	118157	Herself - Winner: Best TV Act
823923	118158	Herself - Presenter: Best TV 
823923	120717	Teresa/Piera
823923	132369	Duchess of Alba
823923	152240	Manolita
823923	152263	Claudia
823923	163880	Herself - Presenter: Best Edi
823923	166874	Dolores O'Donell
823923	170054	Betty Ramirez
823923	191549	Lisístrata
823923	243238	
823923	245584	Lola
823923	247168	Silvia
823923	260934	Manuela
823923	284892	
823923	286233	Koro
823923	296442	Ana
823923	302431	Natalia
823923	307291	Marta
823923	307839	
823923	318263	Viernes
823923	332586	Elena
823923	336079	Maria
823923	339175	María Galán/Lupe
823923	341780	Arantxa
823923	369556	Herself - Best Supporting Act
823923	369748	Herself - Nominee: Best Actre
823923	369754	Herself - Presenter: Best Dir
823923	370089	Luisa Cortés
823923	383347	Alicia
823923	385497	Elena Valdés
823923	387476	Paula Rosales
823923	391648	
823923	393549	Raquel
823923	398521	Encarna
823923	404298	
823923	404755	
823924	35171	Eleanor Barris
823924	41881	Pauline Tracey
823924	164565	
823924	296796	Portuguese Annie
823925	330960	Mrs. Crimp
823926	78380	
823926	83275	
823926	198625	
823926	280541	
823927	346228	Irene Chalmers
823928	231948	Beatrice Rheiner
823928	339083	
823929	377608	
823930	153859	
823931	156035	Intro Narration
823932	34531	
823933	190663	Can-Can Girl
823934	31278	
823935	323717	Wombat
823936	334028	
823937	164148	Régine de Charmeuil
823937	382456	Host - Josée
823939	52764	Edecan
823940	328928	Nate nõje 2.
823941	308468	
823943	263955	Eddie's Girlfriend
823944	44199	
823945	395635	Stewardess
823946	34513	
823946	137088	Geula
823947	171742	
823947	408797	Bionda russa
823948	400713	Co-Host
823949	53744	Pâquerette
823949	92899	
823949	219596	Michèle
823949	345347	
823949	345525	Une standardiste
823950	19201	Ninon
823950	384141	Host
823951	81559	
823951	174279	
823951	174829	House-maid
823952	112644	
823953	340803	Grandma
823954	102004	Dora Di Lusena
823954	113697	
823954	196815	
823954	211197	
823954	218955	
823954	263070	
823955	348675	
823956	9714	Ana Marina Pearson
823956	41801	
823956	46970	Miliella
823956	47043	Montse
823956	51784	
823956	55748	
823956	64418	
823956	71385	
823956	73647	Hospital Nun
823956	78524	
823956	86524	Blanca
823956	89576	
823956	103170	
823956	106268	
823956	115036	Herself
823956	146447	Sara
823956	146505	
823956	170981	
823956	187934	Serena
823956	189352	
823956	193511	
823956	207794	Elisabeth Sandorf
823956	234369	
823956	246940	
823956	355656	Irene
823957	75931	
823958	205540	Carolina
823959	88703	Figurante
823960	101890	Toxi Hippy 3
823961	326309	
823961	380619	
823961	412042	Anima de Pavor
823962	52572	
823963	285072	Herself
823964	381598	
823964	386162	Vanessa
823964	388567	Daniela
823964	391570	Jennifer de la Vega
823964	395373	Eugenia
823964	396644	
823964	401067	Almendra Sánchez
823964	408389	Manuela Mendoza Castillo
823964	408747	Lucía Lobo Santacruz
823965	396941	Daisy
823966	327579	Narrator
823968	103500	
823969	380210	Juana
823969	388278	Betty
823969	404707	Vero
823969	408722	
823969	410092	Cristina
823970	76004	
823971	387578	
823971	400932	Colaboradora (1991-1995)
823971	404076	Colaboradora (1998-2002)
823971	404166	Entrevistadora (2002-2003)
823972	1930	Isabella
823972	37473	Nina
823972	59885	Cici
823972	134377	
823972	194529	Amelia
823972	279888	
823972	309535	Blanca
823972	378996	Host
823972	379147	Irasema
823972	389482	Host
823973	75144	
823973	197088	
823973	341595	
823974	132368	Duchess of Alba
823974	148615	Mezzo-soprano
823974	278312	Maddalena
823975	275862	Vuitton store seller
823976	399625	Yamile
823976	404580	Laura Becerra
823976	412124	Diana Ferragamo
823977	249388	
823978	35688	Lt. Carter
823978	61774	Mrs. Tibbens
823978	63079	Librarian
823978	79428	Sylvia
823978	91769	Sam's Mother
823978	115668	Kyle's Mother
823978	235189	Aggie
823978	333855	Marge Miller
823978	336893	Mrs. Butterworth
823978	363547	Portia Culpepper
823979	345394	La fille de Mme Prévot
823980	124398	
823980	379796	
823980	401046	Catherine
823981	14632	
823981	115840	
823981	182903	Professorin
823981	188817	Chefin
823981	239152	Wirtin Katharina
823981	281720	
823981	290110	
823981	315602	Elsbeth
823981	325581	Iris
823981	325586	Helga
823981	325660	Ingrid Zobel
823981	325768	
823981	325797	Inge Ritter
823981	325842	Frau Binder
823981	326061	
823981	339209	
823981	404487	Berta Kadletz
823981	410839	Renate Schulz
823982	20222	
823982	28396	
823982	30538	
823982	34405	
823982	57346	Laura (Magno's girl)
823982	88225	
823982	158672	
823982	216607	
823982	284737	
823982	322977	Kiila
823982	325362	
823983	30099	
823984	27857	
823985	172158	Marla
823985	200664	
823985	203811	
823985	252690	
823986	101171	
823987	205025	Francisca (child)
823989	152534	Ann Kinsdale
823990	378062	Une résistante
823991	111689	La chanteuse
823992	2334	Mrs.Swaminathan
823993	388630	
823994	116079	Amy's Mother
823995	24734	Sophie
823997	15020	
823997	25122	
823997	45108	
823997	144307	
823997	164199	
823997	166172	La fille du tramway et des es
823997	188673	
823997	189316	Sylvie
823997	193895	
823997	208481	
823997	212156	Mme Cazès
823997	258331	Marie-Blanche
823997	275616	
823997	332225	Eugénie
823997	397137	Elise
823998	21989	
823998	25600	
823998	27462	
823998	296419	
823999	142338	Aga
824000	239971	
824001	14703	
824001	70911	Police chief's wife
824001	133007	Brunilde
824001	221863	
824001	253060	
824001	275020	Dona Cesarina
824001	280850	
824001	348745	
824001	382683	Elisinha
824002	132536	Countess Olivia
824002	134320	Patricia
824002	318746	Ines
824003	351162	
824004	202625	Valery
824004	352029	Jola
824005	180192	Sekretaresse van Snoeck
824005	203450	
824005	400801	Lieske Verhelle
824006	380747	Iris
824006	388299	
824006	412045	
824007	199323	La femme de chambre du généra
824007	248916	Nina
824007	282286	Elisa
824007	287592	Infirmière Hôpital
824007	408002	L'infirmière d'Antoine
824008	98627	Hostess
824008	129540	Meisje
824009	175637	
824010	251016	Zangstem Ann Petersen in de o
824011	39000	Young woman
824012	344524	Herself
824013	137494	
824014	397886	Herself
824015	169296	Gail Verhasselt
824015	258154	
824015	306829	Herself
824015	357361	Herself
824016	15106	
824017	330845	Tammy
824018	384154	
824019	215485	Herself
824019	397887	Herself
824019	412045	Nathalie De Jonghe
824020	245791	Jannie
824020	260408	Nora Helmer
824021	305226	Jennie Wolff
824021	400217	Adrienne Moerman
824022	394912	Trol Truist
824023	87496	
824023	152603	Passer-by
824023	288892	La chanteuse
824024	598	
824024	32372	Kassière in bank
824024	40819	Juffrouw Slick
824024	40820	Juffrouw Slick
824024	44057	Marie
824024	48161	Zuster van de bruid
824024	49594	Irma
824024	66060	
824024	72719	Moeder met kind in de bus
824024	89044	
824024	105840	
824024	126381	
824024	143487	Anna
824024	157495	Mme. Lea
824024	157766	Moeder
824024	169263	
824024	171798	Zuster van Man 1
824024	173654	Moeder
824024	178228	
824024	178603	Polly
824024	180644	Moeder
824024	183243	Zangeres
824024	184526	Louise
824024	187081	Grandmother
824024	196077	
824024	226232	
824024	244753	Marijke
824024	247132	
824024	259008	Meisje
824024	260408	Mevrouw Linde
824024	263726	
824024	280854	
824024	304899	Jenny
824024	328859	Hilde
824024	332238	
824024	344410	Weduwe Wouters
824024	352202	Verhoef
824024	354062	Maaike
824024	356109	
824024	356811	
824024	357391	
824024	359436	Eva
824024	367022	Seasonworker
824024	374631	Ingénue
824024	375525	Slijtster
824024	387323	Jetje De Vijlder-Impens (1995
824024	389782	
824024	393451	Margrietje
824024	394758	Moeder Moeyaert
824024	398057	Jetje van de Operette
824024	400876	Charlotte
824024	402838	Kruidenierster, mevrouw De Ne
824024	408151	Thérèse Lefloo (2003-2004)
824024	408224	An
824024	409162	
824024	409887	Odetje
824024	409992	Mémé
824025	250993	
824026	87704	Ellen
824027	352216	
824027	389782	
824028	229248	Colette Morbeck
824029	46242	Penny, age 9-12 months
824030	18528	Vorsitzende Richterin
824030	32461	Sally
824030	35098	Madeleine
824030	53155	Silvia
824030	57562	
824030	111294	Komteß Hella von Zeppelin
824030	121000	Fräulein Stenz
824030	205716	
824030	281740	Mrs. McInnerty
824030	325507	Frau Löbert
824030	344737	
824030	374377	Joan Helford
824030	411957	Mutter
824031	209662	Myrna
824031	326389	Lily
824032	173638	Moeder Aarde
824032	367022	Girlfriend of Nis
824033	375941	Maman
824034	160252	Secretaresse
824035	187203	Hilda
824036	106639	Nurse Stanton
824037	18332	
824038	231553	Fuifmeisje van Nicolas
824039	15264	Wil
824039	78395	Stem van Elena
824039	196729	Margriet
824039	203996	Jeannie
824039	231705	Ank ter Horst
824039	352215	
824039	352371	Ansje Swiep
824039	383455	
824039	390242	Tine Harinxma (1993)
824039	391424	Paula
824039	392674	Mevr. Wolters
824039	394612	Alie Donkelaar
824039	412012	Fie
824040	83999	Eisha, child
824041	390242	Lisanne van Bruggen (1994-199
824042	224529	Katharina
824042	242444	Jo haar nicht
824042	243170	Ant van der Spil
824043	390242	Martha (1993, 1994)
824043	406166	Anouk Brandsen
824044	22688	Villagoise
824044	83185	
824044	87161	
824045	336641	Prostituee
824046	239785	
824047	383718	Vero
824047	384119	Verónica 'Vero' Cisneros (199
824047	388946	
824048	310721	Mrs. Sprague
824049	63835	Lazzie Berkeley
824050	20378	
824050	70939	
824050	112856	La seconde mousse
824050	159522	
824050	199315	Rosaline
824051	69251	
824052	1617	Shalimar (Date #3)
824052	356997	Cristi
824053	90237	Solo Artists
824054	204828	
824055	268828	
824056	147532	
824056	302838	Stella Fane
824056	353015	Eileen Boston
824057	204141	Mrs. Plover
824058	330635	Herself
824059	186953	Claire
824059	235936	Stam
824059	328620	Esther
824059	328621	Herself
824059	400217	Tessa (1998)
824060	288960	Herself (segment "Fire and Ra
824061	1793	Miss December 1989
824061	52312	Herself
824061	57943	Herself
824061	185600	Angel
824061	196005	Art Party Girl
824061	228482	Herself
824061	257616	Herself
824061	257648	Miss November
824061	257822	Miss December 1989
824061	257861	Herself
824061	257866	Herself
824061	268201	Basia
824061	271219	
824061	296352	Herself
824061	296353	Herself
824061	361850	Herself
824062	80750	
824063	83166	
824063	294675	
824064	90316	Woman with Kids
824065	123686	Diane
824066	239958	Chanteuse
824067	88810	
824067	207769	
824067	264098	
824068	82602	
824068	118303	German Girl
824068	230391	Rosie
824068	309880	Olga
824068	320205	Nurse
824068	334189	French girl
824069	324257	Herself - Formand, Lægemiddel
824070	256805	La fillette
824071	387611	Mme Alberte
824072	15057	Hélène
824072	412175	Mme Bruyère
824073	212761	
824074	16613	
824074	220473	Anna
824075	378673	Herself (2002-)
824076	51826	
824076	67211	Solange
824076	254056	La bonne
824076	338697	
824076	345355	
824076	357046	
824077	10299	
824077	64772	Mock bride
824077	104800	
824077	158062	
824077	295176	
824077	313180	
824078	213071	Nancy Johnson
824078	218159	Vandal
824079	111017	La jumelle #1
824080	111017	La jumelle #2
824081	381911	Herself (2000)
824082	116138	Cat Loving Nurse
824083	202265	The First Bride
824084	196085	
824084	346068	Song performer
824085	72055	Nelsa
824085	73719	Neige
824085	77421	Gillonne de Thorigny
824085	156321	Betty
824085	235819	Stéphanie, Etienne's older da
824085	320274	
824085	345544	Stéphanie
824085	353898	Bonne Soeur plage
824085	357053	Orlane
824086	76067	
824087	33629	L'amie d'Huguette
824087	33803	Colette
824087	63668	
824087	99805	Madame de Corsian
824087	122348	
824087	133058	
824087	199723	
824087	218528	
824087	235253	
824087	254092	Rosette
824087	321832	
824087	322838	
824087	349743	
824088	51807	
824089	8092	Beauty with LaRocca
824089	178994	Blonde #2
824089	195549	Carol Benson
824089	387702	Host
824090	83379	Madame Chalais
824091	32772	Elske
824092	377633	Thérèse
824093	116914	
824093	132585	Sunita
824093	163858	Anu (Shiva's girlfriend)
824093	182339	Neha
824093	256832	Thakur's daughter
824093	349603	Jyoti
824094	313056	Francesca
824095	176168	
824096	27415	
824096	164319	
824096	217360	
824096	287989	
824096	396479	Dancer
824097	297031	Meeto
824098	152453	Pushpa
824098	394967	
824099	43163	
824100	215687	Miss Canada
824100	382436	Host (2002- )
824101	25972	
824101	85316	
824101	86669	
824101	139827	Premnath's wife
824101	298811	
824102	232824	Sita
824103	28718	
824103	211270	
824103	271743	
824104	102161	Katja
824105	229119	Moe
824106	298840	
824107	260288	La Jeune fille
824108	25973	
824109	406203	Hildeke Somers (2000)
824110	352126	
824111	77422	Helen
824111	118417	Hyacinthe
824111	135999	
824111	183797	
824111	304441	Rose
824112	380983	Rozemarijn
824113	6071	Sandra
824113	382079	
824114	40296	
824114	153759	Nonne/Nun
824115	135007	
824115	157758	Erna/6. Geschichte
824115	179019	
824115	223188	
824115	225185	
824115	293166	
824115	391693	Herself
824116	368309	Herself
824117	108895	
824117	240606	
824117	370013	La Styliste
824117	379805	
824118	157530	Kate
824118	222390	Various
824118	396940	Host
824119	395688	Koo Cupcake
824120	198746	Meisje
824121	399052	Herself (2001)
824121	403043	Herself (2001-)
824122	387668	Renaude Lemay
824122	410628	Karine Loiselle
824123	160306	Herself
824123	230320	Sean's Mother
824124	230320	Ann Ferrara
824125	381091	Herself (eliminated round 1) 
824126	93612	Old Woman
824127	101078	Secretary
824128	176710	Marduk's Ladies
824129	218857	Prostituée
824130	328678	Grote Lia
824131	57307	
824132	260029	Une spectatrice du Nô
824133	273153	Tamiri
824134	57636	Mother
824134	108941	New Year's Eve Party Goer
824134	121858	Bachelorette #1
824135	390410	Bo Donkers (1999-2001)
824136	199033	
824137	58069	
824137	286098	
824138	346890	
824139	223065	Amaryllis
824140	189309	
824141	72387	Vendeuse chemisier
824141	80289	Nadine Rouvier
824141	116643	Sylvianne
824141	254089	Mireille
824141	412266	Juge
824142	43767	Vanessa Margal, Gilles's daug
824143	394868	
824144	205819	Blues Singer
824146	319902	Lizard Lady
824147	83282	
824147	191101	
824148	290346	
824149	12450	Mlle. Duvaliere, The Governes
824149	13526	
824149	57263	
824149	78405	Théa
824149	101983	Claudine de Vervins
824149	199724	
824149	203700	Herself
824149	207137	Denise
824149	240602	
824149	249094	
824149	266388	
824149	301290	
824149	307493	Elise Rodier
824149	328374	
824149	339539	La mère de Mic
824149	352511	
824150	249701	Hélène
824150	411623	Germaine
824152	408416	Host (1999)
824153	193501	Maid
824154	181261	Bourgeoise (I)
824154	246839	Fine
824154	346532	
824154	393451	Mère Supérieure
824155	112875	Audrey
824155	202579	Emilie
824155	237315	Amie Thomas
824155	249358	Marie Cassel
824156	137494	
824157	7457	Carla
824157	254025	The nurse
824158	209944	Woman in phone booth
824159	23265	
824159	67496	Lola Martinelli, sua figlia
824159	73648	
824159	157638	
824159	210318	Sofia Weber
824159	215550	Stena Randi
824159	248223	
824159	252579	
824159	252765	Marisa
824159	260053	Clara
824159	301381	La divetta del café-chantant
824159	307059	
824159	354117	
824159	356224	
824160	287340	Mauricette Cardinaud
824161	59277	
824161	67180	Lucy Gethryn
824161	96068	Odette 'Trotinette' Martin
824161	211137	Lisl
824161	244230	Annie Beaumont
824161	264259	Princess Tarakanova
824161	361566	Charlotte
824162	120876	
824164	63851	Madame Brissard
824164	73630	La mère
824164	292356	Pauline
824164	307476	
824166	134589	
824167	76716	
824167	154020	Greta
824167	182292	Veronica
824167	192818	
824167	219243	
824167	274928	Nora
824167	286085	Karen's Secretary
824167	344673	Kims mor
824167	382765	Andreas Seiersted
824167	395375	Jonathans mor
824167	399509	Herself
824167	399510	Kine Messel
824167	408494	Emilie Stray-Henriksen
824168	285605	Girl
824168	350645	Herself
824169	205635	Une amie
824170	29447	Une voisine
824170	58498	La concierge
824170	91460	La femme du procureur
824170	160548	Madame Prossant
824170	408651	Octavie
824171	382486	Jeanne Bélanger
824171	402620	Marie-Josée
824171	411623	Manon
824172	11583	Leda Hamilton
824172	27112	Rosa
824172	49329	Mrs. Eric Hartman
824172	133663	Baroness Stephanie
824172	170157	
824172	177689	Elise Sandor
824172	199404	Nurse Riborg
824172	245511	Mrs. Pulenski
824172	295439	Leni
824172	298580	Charlotte Eberli (Tobel's gir
824172	299174	Frau Lutz, Elsa's Mother
824172	304300	Patricia Evans
824172	315745	Madame Legay (segment "Equili
824172	327688	Diane de Guermantes
824172	346262	Sylvia Helmuth
824172	365350	Actress in Film Scene
824173	130353	Herself
824174	240468	
824175	284590	Augusta
824176	383121	Herself
824177	148076	Beatriz Dick
824177	183467	La ciega
824178	303897	Teenage Girl 2
824180	109127	Tove
824180	121028	2. gammeljomfru
824180	184013	Campingkonen
824181	10587	Fat girl
824181	128850	Fatso Cheruzzi
824181	192056	
824181	227338	Theresa, Journalism Student
824181	280895	Fat Girl Singer
824181	300062	Small Girl
824181	314189	Addie May
824182	71877	Sophie
824182	116431	Claire
824182	148604	
824182	195203	Grésil
824182	206252	La manucure
824182	279430	Office Assistant
824183	23258	
824184	181261	Charlotte Verbrugge
824185	209943	
824186	23777	Colinette
824186	45116	Dorimène
824186	68931	Flaminia, from 'La double inc
824186	110107	Claire
824186	111136	Philaminte
824186	120986	Wilhelmine, soeur de Frédéric
824186	124397	Pauline
824186	294894	Béatrice
824186	353915	Metella
824186	377013	Laurence
824186	377771	Une grande Euménide
824186	393731	Mme Tallien
824186	402103	
824186	403642	Corisandre
824186	409536	
824187	20733	
824187	28336	
824187	99439	
824187	103720	
824187	292910	
824187	319858	
824187	353616	
824188	287464	
824189	374	Giulietta
824190	216774	Le juge
824191	45106	Mauatua
824192	16867	
824193	131081	Mary
824193	223174	La garde
824193	281579	
824194	148773	
824194	225432	
824194	303503	Une pensionnaire
824195	18999	Tânia
824195	384117	
824195	395302	Singer
824196	86427	Florence
824196	247170	Paloma
824196	336985	Standardiste radio
824196	380622	Patricia
824196	409542	
824197	129235	
824197	208053	Girl
824198	156397	
824198	336564	
824199	99137	Dancer
824200	345641	
824201	7427	
824202	104226	Eve
824202	104442	Gisèle
824202	178467	
824202	186592	
824202	377458	The bride
824203	10149	Dame Voegsaam
824203	104961	Sekretaresse
824203	184284	Buurvrouw
824203	203777	Rosaria
824203	411116	Liza Mettes
824204	16952	Michèle
824204	88840	La Fille Du Docteur Bayle
824204	218331	
824204	294565	Chantal (segment "Luxure, La/
824204	404908	Bouba (French version)
824205	332205	Françoise
824206	99353	
824206	203840	Second Woman
824207	75546	Rosie
824207	157266	
824207	170552	Heather Leather
824207	233676	Alice
824207	321126	Gracie
824207	368537	Andrea
824207	380391	Laurie Michaels (1995)
824208	171119	Themselves, The Vernon Girls
824209	8365	
824209	10593	
824209	21514	
824209	22830	
824209	24938	
824209	29922	Jem Mason
824209	35246	Muriel Hammond
824209	47123	Jackie Swazey
824209	50935	Dora Davis
824209	52506	
824209	52825	
824209	54735	Ruth Rennett
824209	65479	Hazel Richards
824209	65745	Vivian Graham
824209	68196	Nellie Hazelton
824209	76495	
824209	77714	
824209	78645	
824209	80637	
824209	81555	
824209	82085	
824209	95320	
824209	106633	
824209	108024	
824209	108364	
824209	110277	Hilda Mornington
824209	110304	
824209	115518	
824209	115633	
824209	140047	
824209	141249	
824209	143163	Isabel Norris
824209	143425	
824209	144932	Hulda Maroff
824209	146031	
824209	151533	
824209	157739	
824209	157962	
824209	165480	
824209	186372	
824209	187022	
824209	201013	
824209	203024	Muriel Hammond
824209	203587	Constance Lanning
824209	206086	
824209	214575	Lucy Williams
824209	215411	
824209	228489	
824209	236671	
824209	239555	Jess
824209	239580	
824209	252466	
824209	254466	
824209	262530	
824209	266685	
824209	267985	
824209	271957	Kate Preston
824209	295279	
824209	296795	Dorothy Harden
824209	296796	Dorothy Harden
824209	301596	
824209	301851	Bobbie Morton
824209	304602	
824209	315584	Mary Weller
824209	316198	
824209	317474	
824209	324405	Lucille Seaton
824209	330245	
824209	333584	
824209	340021	
824209	340451	
824209	340952	
824209	358697	
824209	362660	
824209	362868	
824209	363276	
824209	364834	Dolores Pennington
824209	366569	
824209	367937	
824210	290003	
824211	206311	
824212	7438	Hermine Désoeillet
824212	8986	Catherine Beryl
824212	20908	Madame Bellac
824212	33264	Clotilde de Marelle
824212	56133	
824212	57540	Catherine Piedeboeuf
824212	64299	Herself
824212	69947	
824212	75810	Nathalie
824212	90719	Carmela
824212	96159	Sophie
824212	120071	Françoise Dumont
824212	120955	Madelon
824212	125561	Chiara Fassio
824212	132964	Decrees
824212	148652	Dorothée
824212	167209	Gisèle Delaroche
824212	168199	
824212	186216	Catherine Deligny
824212	187451	
824212	193895	Hélène Dupré
824212	195847	Jane
824212	248685	Madame Emery
824212	250507	Véronique Carradine
824212	250857	Andrea's sister
824212	259254	Violette Chatelard
824212	283025	Françoise Laurent
824212	283034	Jeanne Masson
824212	297100	Nita Palmer
824212	308601	Clementine
824212	309699	Claire Grandjean
824212	319862	Decrees
824212	320273	Lucette Vignon
824212	323731	Jeannine Meunier
824212	333197	Janine Lyncort
824212	347194	Herself
824212	356515	Mme Voisin
824212	359486	Renee de Vaillant
824212	377727	Caroline Mortier
824212	386084	Viviane Lagrange
824212	392602	Mme de Bargeton
824212	396617	
824212	397137	Agnès
824212	401816	Anna Vidal
824213	109969	Aude Cormier
824213	383788	Mara
824214	197508	Mrs. Rabinowitz
824215	248167	
824216	51880	
824216	338394	
824217	59748	
824217	142638	Greta
824218	350191	Tina
824219	73913	Woman I
824219	108314	
824219	199462	June
824219	289396	Headgirl
824219	380591	Mrs. Diana Yarswick, Canteen 
824219	406936	Lady Breeder
824220	4369	Townswoman
824220	6304	Cook
824220	8094	Mrs. Brewer
824220	11167	Mrs. Humphrey
824220	12178	Mrs. Garrett
824220	32561	Bit
824220	36571	
824220	49859	Gang member mother
824220	56791	Pedestrian
824220	62921	Widow McKay
824220	63943	Vjera
824220	65494	Agatha
824220	68376	Mickey's mother
824220	69275	Mrs. Brown
824220	71395	Landlady
824220	72497	Angry mother
824220	85828	Mid-Wife
824220	88889	Restaurant Hostess
824220	89148	Mickey's mother
824220	96987	Guest
824220	109852	Bridget O'Flynn
824220	109862	Sewing Woman
824220	112509	Mrs. Carmody
824220	113461	
824220	114057	Gossip
824220	115148	Mrs. Crummitt
824220	118399	
824220	120777	Townswoman
824220	126274	Immigrant
824220	129555	Friend of Joe's mother
824220	129615	Fight Spectator
824220	131641	Mrs. Chudd
824220	132821	Tenant
824220	133726	
824220	141014	Lizzie
824220	141819	Wheezer's mother
824220	143925	Midwife
824220	144994	Townswoman
824220	147865	Bit part
824220	148327	Party guest
824220	151032	Landlady
824220	154256	Mrs. Black
824220	157913	Country Store Customer
824220	166032	
824220	171444	Bit Part
824220	178976	Woman
824220	186267	Townswoman
824220	188381	
824220	194758	Townswoman
824220	196464	Mrs. Stone
824220	196998	Woman on Bus
824220	199272	
824220	204171	Maggie
824220	210427	Mrs. Dearwell
824220	210717	
824220	213453	Woman at Dock
824220	215769	Knitter
824220	218257	Servant
824220	222814	Tenant
824220	223771	Woman Next Door
824220	224092	Beer Garden Patron
824220	224100	Diner
824220	226609	
824220	236503	Jurywoman
824220	238711	
824220	239396	
824220	239738	Aggie Sparks
824220	248830	Mrs. Weatherby
824220	252202	Purse Snatching Victim at Aqu
824220	259388	
824220	259402	
824220	262332	Minnie, Omaha Cafe Waitres
824220	266714	Mrs. Fickle
824220	267981	
824220	277736	Woman
824220	277933	Pioneer Woman
824220	277951	Mrs. Gregory
824220	278000	
824220	281876	
824220	282387	Landlady
824220	289422	Mrs. Miller
824220	298097	
824220	300002	Aunt Ada
824220	300942	Tenement Woman in Window
824220	301928	Mrs. Seddon
824220	304959	Bit in Newspaper Office
824220	305038	Bobby's Mother
824220	312271	
824220	315869	Bit Part
824220	316692	Neighbor
824220	327306	Toughey's mother
824220	327874	Aunt Molly
824220	329112	Mrs. Rufus
824220	329903	Townswoman
824220	330514	Woman at Railroad Station
824220	338267	
824220	339595	Housekeeper
824220	342583	
824220	359298	Elderly Woman
824220	367477	Bit part
824220	372145	Neighbor
824220	372299	Kewpie's Mother
824221	77188	Mrs. Williams
824221	114144	Mrs. Jackson
824221	233528	Mrs. Carter
824221	242750	Pam Lee
824221	385311	Helen Tate
824221	388726	Speaker
824222	127632	
824223	240774	
824223	286065	
824225	98407	
824225	119279	
824225	183667	
824225	204636	Cäcilie
824225	214176	
824225	275204	
824225	326032	
824226	41987	Stephanie as an Adult
824226	80669	Mrs. Burrows
824226	292470	Goldwyn Girl
824226	308569	
824226	309626	Helen Stanton
824226	333054	Showgirl
824226	381814	Louise Tate #1 (1964-1966)
824227	77707	The Dancer
824227	224765	Daphne Morrison
824227	230342	Connie Bliss
824227	315073	The Spy
824227	345747	Nellie Miles
824228	6820	
824228	13298	Quincy
824228	64062	Stepmother
824228	65724	
824228	141171	
824228	168127	Mrs. Miggs
824228	259760	Sallie
824228	270680	A landlady
824228	278784	Aunt Carrie
824228	317220	Mrs. Caldwell
824228	323183	Mrs. Fitzmorris
824229	184411	The quarter breed
824230	90207	Fandango Dancer
824231	12402	Angela
824231	40100	Dr. Rachel Stein
824231	41383	Kaye
824231	48762	Valerie Quinlan
824231	58507	Cellmate
824231	69341	Detective Robin Mallory
824231	78157	Amanda Grace
824231	79447	Diana
824231	92270	Alexa
824231	115470	Donna Adams
824231	115712	Pat Mallory
824231	133330	Christine
824231	151006	Laura Morrell
824231	164596	Prudence
824231	168308	Uta Mann
824231	184879	Monique Winch-Hastings
824231	185446	Brent
824231	202195	Sophia
824231	216715	
824231	263334	Benny
824231	265083	Lynn Reilly
824231	279477	Melissa Duran
824231	290375	Ellie Warner
824231	292457	Kay (Age 40)
824231	303265	Rae Phillips/Sally Rae Presto
824231	306996	Anne Fowler
824231	365599	Dorothy Morse
824231	370118	Alix Cromwell
824231	388237	Lorraine Prescott (1984-1985)
824231	392461	Nanette Alexander
824231	411051	Kathleen Sawyer (1990)
824232	308382	Raider
824233	33737	
824233	165624	Kinderjuffrouw Anna
824233	165625	Juffrouw Anna
824233	393451	Zuster portierster
824234	409440	
824235	45299	Ingrid O'Toole
824235	144895	Second Teenage Girl
824235	381608	Sally Morris
824236	17656	Mary Lou
824236	270618	Delia Robin
824237	152518	Undetermined Role
824238	75648	Claire's mother
824238	235357	Shopkeeper
824239	49941	Victim
824239	96936	Jolene
824239	188513	
824240	400814	Janet Nowt
824240	411394	
824241	646	Sam
824241	41279	Witch burned at stake
824241	70964	Wife
824241	89627	Cat (Doll Squad member)
824242	7242	Tiennette
824242	30241	
824242	45375	
824242	46656	Madeleine Violey
824242	59265	
824242	66013	
824242	70151	
824242	83660	
824242	111025	
824242	128661	Georgette Schroder
824242	134990	
824242	148681	Janette
824242	159284	
824242	188795	
824242	194425	
824242	206725	
824242	207258	Dixie Dugan
824242	212767	Micheline
824242	227594	Mme. Recamier
824242	227596	Mme. Ecamier
824242	233265	
824242	243757	
824242	249090	
824242	253211	
824242	261823	
824242	266949	
824242	273670	
824242	276493	Madeleine Dorval
824242	280777	
824242	285846	
824242	290497	
824242	294771	
824242	324698	
824242	336741	
824242	341366	
824242	345262	Germaine de Lussanges
824242	345263	
824242	346823	Rosine
824242	354095	
824242	355264	Jean's Mother
824242	377853	Loulou
824243	354203	Extra
824244	406891	Caroline Sullivan (1980-82)
824245	362837	Girl's Voice
824246	27215	
824246	82271	Lola
824246	103278	Girl in bar
824246	130243	Mme. Elzevir
824246	190947	Extra in dress circle
824246	298122	Chorus girl
824246	313321	Marian
824247	262085	Kendrix Morgan/Pink Galaxy Ra
824247	262090	Kendrix Morgan/Pink Galaxy Ra
824247	402003	Kendrix Morgan/Pink Galaxy Ra
824248	80996	
824248	214167	Polly
824248	236887	Miss Maitland
824248	335861	
824249	101036	Spain
824249	363930	La Borrachita
824250	85616	Evelyne
824251	166116	
824252	225696	Herself
824253	377798	Grandmother
824254	35909	Lisa
824255	25258	Herbergmeid
824255	93620	Koningin Anna van Oostenrijk
824255	93627	Lucy Brown
824255	105081	Tafeldame
824255	124439	An
824255	124901	Katarina Ivanovna Groesjenka
824255	126382	Larissa
824255	126859	Celestine
824255	142806	Hendrickje Stoffels
824255	153319	Emily White
824255	156137	Inga Peterson
824255	174164	Anita
824255	174842	Ilona Czibor
824255	198746	Lisaweta
824255	213567	Mia Neerganck
824255	217057	Een zingend meisje
824255	230246	Eva
824255	244307	Emilia
824255	249735	Juffrouw Veenstra
824255	279646	
824255	281187	Maria Montacchi
824255	282736	Eerste vrouw
824255	314383	Jonge vrouw
824255	315529	Strozzi
824255	326349	Maria
824255	374085	Maria
824255	381006	Elia
824255	394142	Ariane Despinal (1964)/Mevrou
824255	397484	Kee Dogge
824255	412092	Freda
824256	312801	Gidsa
824257	254042	
824257	391930	Yvette Durtol
824258	215589	
824260	130307	Hostess
824260	234966	Chaquita
824261	64679	
824261	85524	
824262	395257	Eilaliina
824263	248496	Peggy Holdren
824264	211023	
824264	269115	Laura
824264	344865	
824264	355887	
824264	387804	Alba Vidal
824265	351834	
824266	47038	
824266	81524	
824266	94283	Amazon #2
824266	235786	Prudenza
824266	259698	
824266	265513	Michelina
824266	315425	Rosetta
824267	208279	Farmer
824268	96500	
824268	392740	Lisa Giudici
824269	183147	Nora
824270	255397	
824270	278908	Diana
824270	332877	
824270	372766	
824271	14765	Jandira
824271	103791	Jane Bond
824272	61887	
824272	70916	Tanning Woman
824272	92767	Dancer
824272	128596	Dancer
824272	248095	Bartender
824272	279323	Strip Joint Girl
824272	330117	Tammy
824272	342924	
824273	374638	Angvisa Girl
824274	234324	Herself
824274	318507	Lucy
824274	386682	Herself/Model
824275	1285	
824275	50386	
824275	63362	
824275	191200	
824276	170713	Jovanovic's Mother
824277	357156	
824278	24081	
824278	84549	
824278	126363	
824278	148827	Dolores del Prado
824278	153004	Princess Saskia
824278	250743	Mademoiselle Lapoukhine
824278	290725	
824278	333350	Countess Elvire
824278	352168	
824278	361524	Pamela
824278	363643	Heloise
824279	83078	Stripper
824279	91485	
824280	9679	Child
824281	238126	Tina
824282	160579	Pathologist
824282	177145	Babs
824282	262613	Mrs. Beguildy
824282	388726	Nurse
824282	392942	Louise
824283	26939	
824283	26942	
824283	29781	
824283	29782	
824283	34725	
824283	34726	
824283	34816	
824283	34863	
824283	45077	
824283	56935	
824283	69439	
824283	72443	
824283	85777	
824283	95148	
824283	97504	
824283	97505	
824283	97506	
824283	98888	Girl in "Off Season" segment
824283	115728	
824283	120566	
824283	150063	
824283	187505	
824283	197855	
824283	278650	
824283	278651	
824283	280730	
824283	295605	
824283	332866	
824284	39714	Teh cast
824286	186062	Socialite
824287	81085	Denise Massell
824287	106525	Chris Chandler
824287	142361	Centinella
824287	147888	Judy
824287	160408	The Psychiatrist (segment "Sh
824287	160416	Susan ("Tango")
824287	182966	Angela Sipriano
824287	199140	Sally
824287	231394	Shauna
824287	231507	Janette
824287	253347	Rocky
824287	283398	Hooker
824287	301818	Jenny Sleighton
824287	319532	Lt. Ruth 'Bee Bee' Ruthkowski
824287	331541	Allison
824287	338083	Antonia
824287	407008	Lt. Ruth 'Bee Bee' Ruthkowski
824288	206154	Marta
824289	258861	La servante du restaurant
824290	179609	Alies De Pesser
824290	410593	
824291	242310	Tante
824292	177022	Nurse
824292	223807	Tim's Mom
824293	7656	Sélika
824293	32665	Herself (mezzo-soprano)
824293	34424	Herself
824293	57338	Santuzza
824293	132446	Herself (singer)
824293	198886	Lady Macbeth
824293	200075	Mezzo-soprano
824293	286813	Dalila
824293	286814	Dalila
824293	336369	Floria Tosca
824294	390409	Herself
824295	16349	La Contessa di Coigny
824295	108500	Wowkle
824295	199288	La zia
824295	340009	Maestra novizie (Sour Angelic
824296	300486	Innskeeper (The 40's)
824297	41142	Girl
824297	193686	Rosalie
824297	295370	Native Girl at Antro's Table
824298	316480	
824299	76194	Herself
824300	92729	Christie
824301	121629	Herself
824301	121644	Herself
824301	144672	Singer of 'All I Do Is Dream 
824301	321323	Offscreen Singer, Appasionata
824301	327671	Off-screen Singing Voice
824301	356230	Singer
824302	330295	Library Ghost
824303	123103	Anna
824304	37520	
824305	211630	Judith Flipo-Risq
824305	260830	Luisilla
824305	377811	Émilie Jolie
824306	33420	
824307	333192	Mrs. MvLernon
824308	198567	Smiling girl
824309	157290	
824309	283510	Woman in Unemployment Office
824311	1462	Herself
824311	16510	Herself
824311	352985	Herself
824311	375827	Herself (DVD additional foota
824312	156329	Une Cliente chez Sandra
824312	249209	Fan de Jeannot
824313	45117	
824313	111129	Epiciere
824314	113559	Investigatrice
824315	388299	Brenda Van Den Bossche-Vermei
824316	398910	Herself
824317	202700	Alice
824317	384311	
824317	388299	Zuster Ernestine (1998-2001)
824317	392731	
824318	357848	Charlotte
824319	258208	Bérangère Thibodeau
824320	231714	
824321	360663	
824322	286314	Tante Alice
824323	340291	Anne enfant
824324	360962	
824325	83364	L'aide soignante
824325	217642	Secrétaire garage
824325	396042	Vendeuse
824326	155738	Françoise Hardy
824327	146361	Lucie
824327	196813	
824328	271248	Ambulance Attendant
824329	91485	
824329	174163	
824330	234635	
824331	27263	Club Dancer
824332	23646	Child
824333	228563	La dame âgée
824334	40556	Récitante/Narrator
824334	46807	Marie Lentz
824334	47195	Julie
824334	61403	Zita
824334	116413	La mère de Pierre
824334	137705	Zizi
824334	159479	Mlle. Lecain
824334	175572	
824334	189785	Ludmilla
824334	190387	
824334	197398	Francesca
824334	216350	
824334	248985	Nicole
824334	248988	Claire Morandat
824334	251610	Elena Giordani
824334	261811	Julia
824334	263371	
824334	287223	Dhara
824334	290545	Tschita
824334	308688	Hippolyta
824334	323770	Marie Gabelle
824334	366263	Nscho-tschi
824334	366267	Nscho-tschi
824334	372719	Sesia Machin
824334	400050	Marie-France
824334	401058	Emma de Rougemont
824334	404498	
824335	166370	Marie-Laurence
824336	35894	
824336	40309	
824336	90839	
824336	173736	
824336	342327	Oude Ka
824336	376258	
824336	388164	Mw. Voors
824336	394912	Brechtje
824336	408421	Moeder van Nel
824336	412043	Vera Poolman
824337	140396	Borks vrouw
824338	34122	
824339	16010	Catherine Jacquelin
824339	33268	Gilda Jorgegsen
824339	34072	Married woman
824339	55839	Isabelle de Ferrussac
824339	60269	Francesca
824339	72403	
824339	73307	
824339	79918	Martine Berthier
824339	83232	Jacqueline
824339	83287	
824339	89848	Domenica Léandri
824339	92904	Evelyne Barsac
824339	96233	Herself
824339	104073	Herself
824339	108889	
824339	132801	Anna
824339	144106	Queen Mathilde
824339	160543	Hélène
824339	161475	Jackie
824339	199596	Josette Dupré
824339	214064	Françoise
824339	214384	Mina de Vanghel
824339	243077	
824339	247960	Francesca da Rimini
824339	249698	Mlle Lindberg
824339	275664	Edith
824339	284205	
824339	292742	Suzanne
824339	309023	
824339	311813	Maria
824339	314011	Walewska
824339	334268	Lizette Marconne
824339	334786	Hélène Lecain
824339	338123	
824339	372627	Anna Szobek
824339	376891	Nathalie
824339	377749	Marguerite
824339	384859	La marquise Vivaldi
824339	391707	Christine de Sagne
824339	393853	La marquise de Beauséjour
824339	403351	
824339	409453	Viviane
824340	242375	
824341	383573	
824342	65791	Peepshow girl
824343	203703	
824343	242439	
824344	44599	Tinki Cliffhanger
824345	305034	TV newscaster
824346	248412	Vroedvrouw
824347	328842	
824348	388531	Kaat (2002-)
824349	141734	
824349	183121	
824349	211481	Mevrouw Walter
824349	243170	
824349	373534	
824349	380503	
824349	385554	Catherina Bonte
824349	388919	Koningin Gwendolein
824349	394612	Verpleegster
824349	394639	
824349	410773	
824350	111097	Une fêtarde
824351	218676	Trees Barendse
824351	315521	Triene Wouters
824352	86584	
824352	175678	Miep
824352	201953	
824352	317229	Helen
824352	373534	
824352	387749	Vlindermoeder
824352	401150	
824352	402101	
824352	404898	Magda (1978-1982)
824352	408603	Moeder
824353	18347	Ander kind van Letta (Letta's
824354	65791	Peepshow girl
824356	44773	Mostoha
824356	117877	Sajtár orvosnõje
824356	187508	Alker titkárnõje
824356	211217	Súgó
824356	268520	Szónok az avatáson
824356	322080	Ápolónõ
824356	324710	Gogolák elvtársnõ
824356	334015	
824356	379094	Hajdu
824357	160617	Anna Martin
824358	29670	Harem
824359	374397	Helenka
824360	12815	
824360	17551	Kitty
824360	19501	Levan's daughter
824360	35935	Mona
824360	60433	
824360	60456	Gutiere Baltazar
824360	123506	Ophelia
824360	180791	
824360	207413	Margarita
824360	231165	
824360	236066	Morgan Le Fay
824360	245800	
824360	263402	
824360	305205	
824360	327660	Princess
824360	349270	
824360	356113	
824360	356420	Pricess Lisa Bolkonskaya
824360	356421	Lisa Bolkonskaya
824360	356422	Princess Bolkonskaya
824360	356424	
824360	374201	
824360	386539	
824360	409008	
824361	90152	The Duchess
824361	180361	Anidag
824361	236062	
824361	285196	The Phoenix
824362	82811	
824362	132080	
824362	154522	Anya
824362	176133	
824362	179906	
824362	198129	
824362	216609	Anya
824362	238320	Anna Vorobyeva
824362	252106	
824362	252805	
824362	293902	
824362	355555	
824362	370937	Tanya
824363	263876	
824364	269025	
824365	184526	Katja
824366	240034	Evelien
824367	52893	
824367	69943	
824367	198912	Federica
824367	205595	Elizabeth
824367	252639	
824367	252640	
824367	267879	Countess
824367	309112	Samira
824367	354443	
824367	381622	Olga De Contris
824367	384750	
824367	384751	Francesca Carraro
824367	384762	
824367	392738	Myriam Santi
824367	392743	Myriam Santi
824367	396504	
824367	406001	Luisa Arcalli
824368	410401	Zolia
824369	273348	Herself
824369	395246	Herself
824370	133636	Jan Somerset
824370	395119	
824370	399816	Anna Maria Whittaker Russo (1
824371	19501	Tamara
824371	60481	Katusha
824371	86232	Matiko
824371	175743	
824371	175972	Moaning woman
824371	202256	
824371	217457	
824371	268813	Mother
824371	341221	Pelago
824371	354636	
824371	356589	Alladin's mother
824371	357341	
824373	52003	
824373	198553	Isabella
824374	309759	Child of Mary
824375	125363	
824377	4753	vriendin Laura
824377	76726	Mies Wolke
824377	379080	Vriendin laura
824378	74116	
824378	141064	Biker
824378	163983	
824378	394163	Nurse
824380	25162	
824380	57284	
824380	92048	
824380	96078	
824380	125463	Mme Gerber
824380	125465	Mme Gerber
824380	125470	Mme Gerber
824380	253998	La mère du petit Francis
824380	384744	Simone
824380	409448	Mme Le Jouet
824381	6410	
824381	111698	Anna
824381	224903	Madame Musard
824382	178856	Mantecha
824383	231553	Grootmoeder
824384	394776	Herself (1999-)
824385	33363	Vanessa
824386	6618	Constance
824387	82474	Naked woman
824388	249356	Fanny
824389	12473	Jugendstorm leader
824390	73560	Patient #2
824391	111997	Nina Sr.
824392	95514	Anna Van Der Merwe
824393	354650	Girl with blue hat
824394	306948	
824395	351833	
824396	393797	
824397	10222	
824397	23092	
824397	25033	
824397	25513	
824397	25806	
824397	56333	
824397	59326	
824397	74626	Maria Buendia
824397	74802	
824397	86729	
824397	91317	
824397	100257	
824397	103508	
824397	103788	
824397	108118	Hilda, novia de Hector
824397	113245	Maria Buendia
824397	114521	
824397	118954	
824397	167814	
824397	193162	
824397	197968	Sra. Montelli
824397	210581	
824397	217920	
824397	223625	Martha, Nurse
824397	225056	
824397	234329	
824397	235297	
824397	235298	Alejandra
824397	246297	
824397	247872	
824397	249871	
824397	252797	
824397	266996	Pulgarcito's Mother
824397	284324	
824397	287712	
824397	292774	
824397	296456	
824397	317696	
824397	318015	
824397	341655	
824397	351461	Asistente de directora
824397	353990	
824397	371730	
824397	381154	
824397	388280	
824397	392653	
824397	404705	
824398	202072	
824398	275948	
824399	8564	Actriz irlandesa (Irish actre
824400	316985	Kvinna i kyrkan
824401	111284	
824401	112770	
824401	148480	Marina
824401	222168	
824401	344707	Márcia
824401	379451	Luciana Aguiar
824401	380147	
824401	380196	Flora
824401	380563	Tamara
824401	383441	Nadine
824401	383866	Eliana 'Eli'
824401	384709	Isabel
824401	385992	Marineide
824401	386142	Flávia
824401	387833	Francisca Moreira Alves
824401	392629	Young Isabel
824401	396722	Letícia Ramalho
824401	396886	Ana
824401	400799	
824401	403618	Laís Brandão
824401	404178	Bárbara
824401	404283	Martinha
824401	405990	Bebel
824401	409347	Maria Louca
824402	100268	
824402	244222	Herself
824402	376821	Alejandra
824402	400341	Herself (2001-2002)
824402	408914	Herself
824403	25780	Lolita
824403	383717	
824403	386212	Xena
824404	140712	
824405	174779	
824406	225691	Herself
824407	368853	Singing Woman
824408	45976	Verena Balsiger
824408	90649	
824408	120370	
824408	124612	
824408	125318	
824408	140271	
824408	155381	Mrs. Koschnik
824408	155435	Frau Holtmann
824408	241983	
824408	290722	Johanna
824408	325522	
824408	325595	Alte Frau am Fenster
824408	325952	Bankkundin
824408	342088	
824408	377358	
824408	395667	Hildegard Scholz (II) (2000-)
824409	58505	Laura
824409	58510	Princess
824409	73114	Girl
824409	128144	Judy
824410	349130	Diva
824412	375307	
824413	181185	Milena
824414	27207	Unity Member #6
824414	321660	Miss Lauria
824415	174975	
824416	43153	Sekretarica
824416	48019	
824416	48767	Kraljica
824416	177874	
824416	199936	
824416	202347	
824416	215996	
824416	223515	
824416	227764	Gospa Marina
824416	227765	
824416	227943	
824416	229016	
824416	242967	
824416	260287	
824416	262575	Gina, Prokina zena
824416	266062	Persida, ministrova sestra
824416	283747	Gospodja Milojkovic
824416	292080	Herself
824416	304449	
824416	312470	
824416	339331	
824416	342374	Natasha
824416	351329	
824416	373697	Gospa Nata
824416	375422	Aljona Ivanovna
824416	381061	Direktorova supruga
824416	390182	
824416	390427	Izabela ... igracica
824416	395837	Javorka, Giletova zena
824416	397701	
824416	398658	
824416	402233	
824416	404894	
824416	405691	Herself (interviewed)
824417	265640	
824418	12807	
824418	94184	
824418	95582	
824418	134229	
824418	154682	
824418	176048	
824418	295067	
824418	356913	
824419	590	Susan
824419	231110	Reception Waitress
824419	246260	Woman at Funeral
824420	309697	Ilka
824421	51091	Mirjana
824421	95439	Karin
824421	178929	Spy
824421	286631	Iveta
824422	76076	Ancicka
824422	165051	Terezka, smith's daughter
824422	273690	Julca
824422	312071	Marie
824423	190980	
824423	262565	
824424	88583	Neighbour
824424	95672	Neighbour
824424	282765	Janitor
824426	47428	Janet Sandena
824426	142889	Go-Go Dancer #1
824426	203358	Carol Kaufman
824427	126268	
824427	213673	
824428	30324	Singer
824428	42196	Zuzana
824428	42937	Herself
824428	49170	Dáma
824428	62438	Andrea Holanová
824428	81690	Vlasta
824428	95591	Perchta
824428	147572	Anna
824428	147575	Dana
824428	165061	Drahuska
824428	171534	Actress Tichá
824428	179711	Klementýna
824428	181235	Martina
824428	187994	Ester
824428	197994	
824428	198230	
824428	221866	Marta
824428	238130	Spicková
824428	249382	Kynkalová
824428	254312	Ulla Hofman
824428	260424	Helenka
824428	261385	Keruse
824428	266345	Stewardess
824428	283688	
824428	310257	Karla Smrzova
824428	326292	Stepánka
824428	339277	Kalina's daughter
824428	348460	Mima
824428	348553	Eva Bendová
824428	351371	Assistant Director
824428	352794	Andrea Holanová
824428	357904	Magda
824428	374074	Marycka
824428	375381	Krausova
824428	376604	Nada Kovalová
824428	383081	Mum Bajzová
824428	384319	Bernhard's wife
824428	394266	MUDr. Snajberková
824428	399142	Janitor's wife
824428	399869	Alice Bernauová
824428	403860	Cook Sylva
824428	412004	Esperková
824429	262763	
824430	24264	
824431	95681	
824432	91268	
824432	134232	
824432	164029	
824433	82596	Flower Girl
824434	103157	Señora restaurante 2
824434	376792	Maria
824434	384119	(1999)
824434	384427	
824434	384775	
824434	384990	
824434	389938	
824434	398661	
824434	399575	
824434	400661	Micaela 'Michelle' Pellegrini
824434	401186	
824434	403021	Claudia Dunoff
824434	403366	
824434	408895	
824435	347300	Classroom extra
824436	57338	Lucia
824437	61706	Chambers' kid
824438	95275	La Servante
824439	53082	
824439	58234	Gina
824440	26784	Joe Snappers Girl #3
824441	21965	
824441	75195	
824441	81840	
824441	128740	
824441	160776	
824441	163498	
824441	243133	
824441	332851	
824442	279459	Curzon Sister - Iron Jaw Act
824444	3169	Model
824444	89907	Arabella
824444	135153	
824444	135295	Helen
824444	183487	Kadeejah
824444	199048	
824444	266637	Annalisa Michelotti
824444	270318	
824444	278750	The girl
824444	279903	Cléo, Comte de Chaumery
824444	282082	Matilda
824444	333662	
824445	151365	Waitress
824446	408668	Baby Mouse
824447	31727	Jennifer Langley
824447	46167	
824447	68225	Nell Kellner
824447	77911	
824447	78134	Kim
824447	80990	
824447	127104	Louise Vargo
824447	178138	Woman at Nepenthe Bar
824447	190078	April Brody
824447	206524	Mama Doc
824447	234204	Iris Dawn
824447	236144	Niki
824447	240733	Rachel Row
824447	313129	Freebie
824447	335706	Nic
824447	337098	Alice Stoddard
824447	340486	June
824447	395869	
824448	76384	Bar Maid #1
824449	162079	
824450	408573	Herself - Jury panel: Model
824450	408574	Herself - Jury panel: Model
824450	408575	Herself - Jury panel: Model
824451	324257	Herself - Interviewer
824452	365278	Mabel
824453	84393	Mother
824454	58511	Dancer
824455	290194	
824456	1208	Susanne
824457	322779	Lori's Friend
824458	402435	Herself
824459	18530	Andrea Weilandt
824459	49293	
824459	216278	Nachbarin
824459	365591	Researcherin
824459	411155	Inge Probst
824460	4838	Mrs. Stein
824460	11770	Zeugin
824460	15799	Rita
824460	18517	Annabelle
824460	18520	Annabelle
824460	18521	Annabelle
824460	18522	Annabelle
824460	18532	Annabelle
824460	18534	Annabelle
824460	18535	Annabelle
824460	24468	Karla Heincke
824460	49273	Cora Hobelsberger
824460	49281	
824460	86924	Daughter
824460	91043	Caro Hertz
824460	98790	Carola Jensen
824460	107359	
824460	119256	Kiki
824460	123869	
824460	124612	
824460	125157	Rosi Treibel
824460	126424	Mona Brenner
824460	126449	Sofie Kaisen
824460	137145	Scarlett
824460	155327	Fanny Cornelius
824460	156761	
824460	157629	Jana Brandl
824460	165660	Katja
824460	171727	Inge Schmidt
824460	196150	Margot Urban
824460	204430	
824460	210048	Baronin Anniko
824460	210055	Jutta Niebauer
824460	223448	Helen Behringer
824460	225301	Eckis Mutter
824460	275681	Christa
824460	282236	Maren Richter
824460	290202	Gangsterbraut
824460	290472	Marie
824460	307651	Coco
824460	319672	Mae
824460	325691	Gabi Schuster
824460	325693	Frau von Stein
824460	325757	Ines Lattki
824460	325869	
824460	325940	Elisabeth
824460	328881	Renate
824460	346596	
824460	352068	Anthonia Thalhuber
824460	352644	Karin Kern
824460	361032	Christa Seeliger
824460	361708	Gräfin Anna
824460	366483	Anna
824460	376134	Rosi
824460	377345	
824460	377374	Birgit Röhler
824460	391388	
824460	393431	
824460	393717	
824460	403987	
824460	404482	Vroni
824460	409963	Anke
824460	411100	Annabelle Wissmann
824460	411163	Maria
824461	408920	Herself
824463	342244	Herself - Former Supervising 
824463	394858	Herself - Participant
824463	407297	Herself - Host (1980-?)
824465	16328	Hanne
824466	147018	Herself
824467	117314	Girl at Casino
824468	389118	Herself - Test Person
824469	227042	Patricia
824470	5645	
824470	33511	Zigøjnersangeren
824470	178961	Sangerinde
824471	219358	Mormor
824471	219359	Mormor
824471	237406	Malerinnen
824471	394133	Kanutten
824472	241681	Herself - the dancer
824473	1210	Abigail Smith Adams
824473	269938	Renee Carmody
824473	318036	Emily Lapham
824473	360741	Clarice Sloan
824473	385719	Samantha Drew Collins(1970-19
824473	386603	Dr. Althea Davis #2 (1969-197
824474	201967	
824474	214500	
824475	237942	Gyuri anyja
824476	327756	Kissy Face
824477	314853	Kioskverkäuferin
824478	143536	
824479	384175	Clara De Moya
824480	69257	Muslim Inmate
824481	172488	Bezanija
824482	16444	
824482	27757	Carmen, prostitute
824482	66267	Charwoman
824482	181341	
824482	193457	
824482	213849	
824482	262817	
824482	339310	
824483	343520	Herself
824484	33526	Nurse
824484	365575	Heilssoldate
824485	235920	Alisa
824486	88691	Tanja
824486	92082	Countess
824486	160604	
824486	265029	
824486	405850	
824487	73585	
824488	199499	Studio singer
824489	171297	Nancy the Drunk
824489	291037	Cleaning Lady
824489	355150	Martha
824490	403404	Estrella
824491	63399	Helena Chavez
824491	134686	Jan
824491	158793	
824491	161741	Julie Zorn
824491	177685	Ixzubin
824491	231840	Beverly Dorn
824491	255689	Undetermined Role
824491	255694	Barbara Hagen
824491	281937	Terry Gionoffrio
824491	362748	Sanna
824492	200281	History teacher
824492	227827	
824492	259912	
824492	263256	Darja
824492	277238	
824493	380511	Herself (season 1)
824493	408516	Herself - Announcer
824494	344652	Haggard Mother
824496	125333	
824497	186604	Young Lea
824498	122386	
824498	173839	Terpinkó nõvére
824498	182653	Erzsike,Sipos Gyula felesége
824498	235375	
824498	376559	
824499	79254	
824499	332207	Suzanne
824499	367022	Girlfriend of Liza
824500	312111	
824501	75060	
824501	87427	
824501	91761	
824501	168072	
824501	188035	
824502	136899	
824503	290055	
824503	360953	
824503	375869	
824504	217451	Kitchen help
824505	89271	Truckstop Waitress
824506	11485	Principal Dancer #10
824506	71474	Dancer
824507	9543	Inga Olsson
824507	11780	Mrs. Landgren
824507	48357	Secretary
824507	108199	Elsa Andersson
824507	119016	Barbro
824507	134965	Margit
824507	154249	Greta
824507	164795	Ella Lindgren
824507	182173	Karin Rytter
824507	254253	Eva
824507	291664	Eva Lange
824507	296112	Lisa Karlsson
824507	307222	Inga Andersson
824507	307763	Kaj
824507	322275	Mrs. Olsson
824507	322420	Inga Månsson
824507	334740	Taxi Driver
824507	338674	Greta Drake
824507	341170	Clary
824507	346974	Margit
824507	377379	Signe
824508	40631	Yacht Guest
824509	38705	
824509	195739	
824509	196372	Ruth, the tea girl
824509	407414	Louise Boyd
824510	351863	Vanessa
824511	351863	Clémentine
824512	7450	
824512	33584	
824512	59232	Paquita
824512	59267	Louise
824512	124134	Zinzara
824512	206235	
824512	377280	
824512	378065	Marie-Jeanne
824513	65570	
824514	97705	
824514	234730	Giancomo's Mother
824514	263014	Prof.ssa Romoli
824514	380993	Elisabeth Lorenzini
824515	143808	
824516	78247	
824516	233643	
824517	73249	Fund Center teller
824518	365759	
824519	16967	Angie's mother
824519	26279	Female neighbour
824519	98090	Eva
824519	124903	Francine
824519	125395	
824519	237140	Dokter Fischer
824519	290434	Helma
824519	350075	Simon´s moeder/Simon´s mother
824519	350310	Karin de Bruin
824519	375521	Stem van Marian Faber/Eileen 
824519	406166	Anke Chaiavelli
824519	408092	
824519	411233	Lientje de Vries
824520	316122	Maria
824521	204946	Inuit cook
824522	158141	Woman on copy line
824523	34739	
824523	34762	Herself
824523	34945	
824523	36933	
824523	44651	
824523	44652	
824523	44654	
824523	50361	
824523	50372	
824523	62416	
824523	62417	
824523	62418	
824523	62420	
824523	79291	
824523	91623	
824523	128636	
824523	133920	
824523	145757	
824523	145758	
824523	161592	
824523	240551	
824523	291010	
824523	333832	
824523	344479	
824523	344490	
824523	344545	
824524	228906	Man in Field
824527	40533	Bless Kid
824527	119487	Herself
824527	126544	Blind Flower Girl
824527	145110	Herself
824527	241038	Goth Girl
824527	263955	The Bride
824528	183228	
824528	254040	
824529	292294	
824530	353464	The Baker
824530	370060	
824531	171327	Carole
824531	280513	Armande Béjart
824531	285758	Marie
824531	336931	Assistante 'Agir'
824532	394414	Janet (Veyts)
824533	91068	Herself
824534	68492	Doreen Carter
824534	382064	Mrs. Alice Fisher
824534	385299	Kath Brownlow/Fellowes
824535	355776	Sveta
824536	84596	Une invitée
824537	17789	La soeur
824538	238658	Bar passerby #2
824539	15025	Sabine
824539	345565	Valérie/'Jacqueline'
824540	215049	Hard woman in ladies'
824540	328495	Cherry
824542	282781	Pierre
824543	363602	Hot Girl in Park
824543	395229	Luisa Sandoval (1999)
824544	221142	
824545	387573	Inés 'Gilda'
824545	404182	Valeria
824546	215223	
824547	17081	La petite servante
824548	97060	
824549	379210	Bettina
824549	381607	Connie
824549	412301	
824550	148773	
824550	303503	Nelly
824551	280547	La bergère
824552	249713	
824553	40567	Prostituée
824553	312663	Marie
824553	353912	La femme du songe
824554	23505	Charlotte
824554	64949	Martine
824554	68931	Amélie, from 'Occupe-toi d'Am
824554	86891	Lucienne Vatelin
824554	99364	Caissière Continent
824554	112880	Lyne de Massac
824554	118419	Zerbinette
824554	186192	Rose la Rouge
824554	198986	Catherine Chollet
824554	202707	
824554	205638	
824554	225497	
824554	249678	(segment "Maman, regarde!")
824554	341403	
824555	301553	Sabine
824556	51923	Aimée
824557	290440	Mme Fenouze
824558	409610	Jacqueline
824559	385070	Carolina Martínez
824559	403651	
824559	404270	Irina
824561	88193	Julie
824563	73069	Lucie
824563	170423	Julie
824563	248886	Juliette, Alice's friend
824563	345042	Aurore
824563	351818	La jeune femme dans l'escalie
824564	65165	
824564	68920	Une doucelle
824564	78414	Vito's maid
824564	111067	La fille du boulanger
824564	117927	Jeanne
824564	123063	Camériste
824564	134584	La jeune fille
824564	156321	L'amie de la jeune putain
824564	164178	La Fille de Jeanne
824564	345118	Aline
824565	340872	Rosemonde
824566	87855	Lee
824566	156302	
824566	396870	Véronique
824567	26350	Carolyn Nybo
824567	65090	
824567	92729	Laila Zresbos
824567	94385	Magda
824567	178171	
824567	248081	Dora
824567	275630	Irena
824567	293097	Seamstress
824567	303591	Store Clerk
824567	316480	
824567	364732	Madeline
824567	399827	Frau Hassel
824568	286573	
824569	201995	
824570	248775	
824571	307758	Goddaughter
824573	401932	
824573	404160	Rita
824573	404960	
824574	12826	
824574	43591	
824574	198193	Didi
824575	134179	Abadessas
824575	280866	Fausta's friend
824575	395822	Divina
824575	400098	Maribel Marley
824576	396651	
824577	395302	Márcia
824578	351269	(segment "Samba do Grande Amo
824579	103049	
824580	295100	
824581	246374	
824582	53847	
824582	83527	
824582	166378	
824582	211020	
824582	246850	
824582	250430	Marialva
824582	252591	
824582	255798	
824582	258624	
824582	301331	
824582	380612	
824582	384266	
824582	410287	Maria
824583	211006	Mãe (D. Antónia)
824584	221945	
824585	294796	Invitée d'Alice
824586	25045	
824586	62513	
824586	133056	
824586	166381	
824586	233841	
824586	351489	
824586	376587	
824587	385629	Neide
824587	387932	Joana
824587	389643	Salma
824587	390658	Dorothéa
824587	391312	Tomásia
824587	399481	Marta
824587	403032	Roberta Menezes
824588	222191	
824589	402086	
824590	10190	
824590	55920	Teresa Amil
824590	55922	
824590	75497	
824590	80245	
824590	127601	
824590	131971	
824590	145147	
824590	186531	
824590	193187	
824590	203884	
824590	221955	
824590	247175	
824590	263698	
824590	281613	
824590	335522	
824590	339041	
824590	354990	
824590	376751	
824591	251815	La petite Helga
824592	69719	Cleo
824592	158760	Berthe
824592	199506	Fiorella (segment 2 'Il Lavor
824593	24835	Cecilia Pandolin
824593	28962	La marescialla
824593	307067	
824593	335227	
824594	13051	
824595	89572	Woman at Airport
824595	94651	
824595	94731	Paulette
824595	127604	Sorella di Gaia
824595	227580	Marisa
824595	229991	Miriam Hincley
824595	263921	
824596	19921	
824596	251729	Susana San Juan
824596	375740	La Madame
824597	169587	
824598	96329	Brigitte
824598	116596	Moza Bar
824598	398816	
824599	12540	
824599	217109	
824599	319320	
824600	43906	
824600	56068	Marina
824601	90449	Actress
824602	124531	
824602	133056	
824603	1815	
824603	4656	Inez (segment "Pacto, O")
824603	21727	Engraçadinha
824603	101442	
824603	146704	
824603	248746	
824603	334567	Daisy
824603	334575	
824603	344799	
824603	353096	
824603	386115	
824603	402506	
824604	55906	
824604	86050	Janete
824604	97647	
824604	124235	
824604	133014	
824604	165733	
824604	197986	Glorinha
824604	211025	Margarida
824604	234635	
824604	244194	(segment "Perigo Negro")
824604	379937	Janete
824604	383686	Fada Violeta
824604	384866	
824604	386417	Nanete
824604	386757	Mariana
824604	387640	Letícia's mother
824604	387932	Zélia
824604	391674	Letícia Ferreira
824604	394121	Olga Benário
824604	396610	Madalena
824604	396722	Ondina/Madame Lorraine
824604	397544	Juíza
824604	402582	
824604	402685	Escolástica
824604	405418	Justina
824604	408592	
824604	409925	
824605	133014	
824605	234635	
824605	409024	
824606	220218	Physiotherapeute, Suisse
824607	278564	
824608	219457	
824609	1939	
824609	6754	Fabienne
824609	13036	Elise
824609	15029	
824609	57526	Cecile
824609	59433	
824609	71848	
824609	82338	Mademoiselle Plusse
824609	99410	
824609	100038	Sophie
824609	100146	Muriel
824609	101233	Marie Dorval
824609	105567	
824609	109408	La fille aux cheveux jaunes (
824609	113138	Martine
824609	118420	Rosemonde
824609	118754	France Mestral
824609	125740	Philippine
824609	137222	Gallerly girl
824609	140283	Emma
824609	166120	Monica
824609	169355	Charlotte
824609	200947	Thérèse
824609	208277	La fille
824609	211658	Lola
824609	211662	
824609	219477	La bouchère
824609	226660	Clara
824609	235878	Camille
824609	245937	Nadine
824609	248886	Eve
824609	265347	Herself
824609	272032	Coralie
824609	275128	Hortense Lassalle
824609	277555	Anne-Victoire
824609	278155	Isabelle
824609	282274	Marguerite
824609	284360	Claire Rocher
824609	316306	Noëlle Faucher
824609	322339	Claire
824609	325343	Agathe
824609	345298	Marianne
824609	346809	Carole
824609	348648	Anne-Victoire
824609	353413	Claire
824609	375758	
824609	390477	Herself
824610	65167	Marianne
824610	66726	Joëlle, l'assistante
824610	337032	Cendrillon
824610	403089	(segment "Cons, ça ose tout, 
824611	160048	
824612	117912	
824613	206240	Herself
824614	303176	Sylva
824615	141404	Bride
824616	205473	
824617	119827	Belle
824618	268389	
824619	159955	Clara Schumann
824620	77422	Alice
824620	104222	
824620	105612	La bourgeoise au piano
824620	149679	
824620	266402	L'amie de Valentin
824620	386476	Clarisse (segment "Double fon
824620	389004	Marie-Paule
824620	406783	Olivia
824620	409823	Martine Van Loc (1997)
824621	284222	
824621	346554	Patricia
824622	8214	
824623	254094	Blonde hairdresser
824623	257557	
824623	345636	News reporter #1
824623	346419	Guichetière Apolus
824623	410074	La femme qui accouche
824624	311747	Aurora
824624	360604	Molly Jackson
824625	312125	Barn
824625	334226	Pensjonær
824626	108572	Pigen
824627	92073	
824627	252337	
824628	29556	
824629	65474	Girl in rain
824630	65474	Schoolteacher
824631	388141	L'infirmière
824632	377991	
824633	118184	La libraire
824633	385609	
824634	201043	
824634	403537	Participant (2000)
824635	166698	
824636	206059	Gilberte, Bliss's fiancee
824636	248267	La copine de Francis
824637	45189	
824638	425	Dagmar
824638	2687	Karin
824638	89713	Dolly Holm
824638	90167	Fru Jacobsen
824638	92531	En dame i sort
824638	108955	Tante Dorit
824638	120381	Dolly Hansen
824638	121014	Eva Holm
824638	121018	Dolly Hansen
824638	121024	Frk. Eva Holm
824638	138034	Eva
824638	151824	
824638	153343	Klara
824638	153950	
824638	154134	Mette Brehmer
824638	164781	Marie Hagberg
824638	166599	Annelise 'Peter' Petersen
824638	179818	Komtesse Ellie Stenholdt
824638	181236	
824638	190807	Denise de Flavigny
824638	191571	Teacher
824638	198005	Monika Hedberg
824638	198059	Jytte Hagen
824638	214026	Ellen Klausen
824638	214220	Ellen Klasson
824638	214346	Mona Ellertsen
824638	219020	Lily Hansen
824638	221770	
824638	243010	Skønjomfruen Anne Pedersdatte
824638	249737	
824638	251864	Peggy Dalin
824638	255660	Flora
824638	255679	Fru Hammer
824638	268376	Amalie Johansen
824638	284694	Sus
824638	303679	Suzanne 'Sus'
824638	303692	Korpigen Aurora
824638	307759	Helene Helberg
824638	315392	Else Jessen
824638	320342	Sussie Blom
824638	322476	Husjomfru Lise Sørensen
824638	326520	Dorrit Madsen
824638	339237	Frk. Grethe Grøn
824638	351001	
824638	377394	
824638	386347	Herself (episode 1.3 "1930-19
824638	406602	Olga Mortensen (Morten)
824639	341084	
824639	395814	Ana
824640	5186	Secrétaire colonel
824640	33581	
824640	198605	Femme
824641	88386	Jagoda kao djevojcica
824642	82728	Businesswoman
824643	61354	
824643	74156	
824643	210594	
824643	378958	Delfina Agosti
824643	384782	Tini De Alvear
824643	384981	Laura
824643	387083	
824643	387773	Esther
824643	388097	Isabel
824643	401912	
824643	401913	
824644	195801	Camille
824645	104491	Selvaggia
824645	390092	Andrea
824645	392738	Vera Medici
824645	392739	Vera Medici
824645	392740	Vera Medici
824645	392742	Vera Medici
824645	392743	Vera
824646	7065	
824647	411998	Mélodie à 20 ans
824648	51744	
824648	218498	Lupita
824648	353215	Victoria
824649	142527	Silk's Girlfriend
824650	261759	Mme. Hilarius
824651	68192	
824651	119931	
824651	193608	Mrs. James
824651	252379	Herself
824651	271300	
824651	274148	
824651	295936	
824651	306910	
824652	232858	Helen Call
824653	132951	Donna cerbottane
824654	191717	Ashby
824655	83521	
824657	222875	Blonde
824658	324777	Mo Fuzz's Secretary
824659	51581	
824659	64672	Woman #3
824659	264264	Piruja
824659	265515	Imelda
824659	267455	Nurse
824659	293164	Maria
824660	346079	Ruthanne
824661	36661	Ana
824661	132712	
824661	381860	Ana
824662	67104	Paola
824663	24623	
824664	28795	
824665	57735	Stargher's Victim
824666	78362	
824666	185826	Maria
824667	384118	Clarita
824668	23979	
824669	256944	
824670	86803	Cati
824670	378109	
824671	306984	Nikki
824672	62485	Alicia
824672	243689	Carmen
824673	56811	
824673	61133	Elisa
824673	69706	
824673	73516	Gladys
824673	84340	
824673	143776	
824673	145247	Charo
824673	148109	
824673	153815	
824673	205697	
824673	212343	
824673	212386	
824673	216095	
824673	221951	
824673	234366	
824673	234393	
824673	256693	Lula
824673	282131	Catherine
824673	293358	Lilly, la sua amichetta
824673	300720	
824673	336023	
824673	352778	
824673	353203	
824673	378450	
824674	320492	
824674	320549	
824674	401927	Dusanka Duda Svilarevic
824674	401928	Dusanka Duda Svilarevic
824674	406315	Zaza
824675	233527	
824675	328155	
824675	340305	
824675	388065	Valéria
824675	392747	Matilde
824675	396795	Cibele
824676	336783	Denise
824677	398157	Eva Braun
824677	401914	Doña Teresa
824678	284900	Ella (She)
824678	384972	Andrea
824679	223368	
824679	260014	
824679	320408	
824679	396847	Dorinha
824680	101819	Lise
824680	156551	L'assistante opératoire
824680	158829	Monique
824680	180730	Femme Projévitsa
824680	382584	Lydie
824681	46537	Stretch
824681	249084	Stretch
824682	200864	Neta
824683	338020	
824684	46607	Nurse
824684	66556	Bank Teller
824684	80031	Nurse
824684	102580	Make-up Artist
824684	248884	Woman Teacher #2
824684	318776	Mother
824684	389416	Reporter #2
824685	766	
824685	33034	
824685	67143	
824685	91580	
824685	128747	
824685	168070	
824685	168072	
824685	207512	
824685	291899	
824685	302173	
824685	305233	Felix
824686	185192	Cast
824686	356791	Joy
824687	17173	Sorority Girl
824687	234677	Nurse
824687	290389	E.R. Nurse
824688	149730	Barbara
824688	302943	Co-worker
824690	202272	Extras/Hall Thanes
824691	160571	Helen Clyde
824691	160573	Helen Clyde
824691	160574	Helen Clyde
824691	160576	Helen Clyde
824691	160578	Helen Clyde
824691	160579	Helen Clyde
824691	160580	Helen Clyde
824691	160581	Helen Clyde
824691	160582	Helen Clyde
824691	175163	Hermione
824691	280447	Chrissie
824691	292228	DC Chancellor
824691	381648	Katharine
824691	381795	WPC Jenny Dean (1992)
824691	389981	Francine
824691	390432	Viv Casey
824691	398698	Ellie (Series 2) (1996)
824691	405829	2nd Lt./Lt./Capt. Kate Butler
824692	345752	Teacher #1
824693	258831	
824694	114016	Strippergram
824695	330697	Circus woman
824696	230857	Looter
824697	154927	Kristal's mum
824698	56545	Herself
824698	308052	Josie
824698	308115	College friend
824699	23595	Theater Goer
824699	109525	Christine
824700	278646	Katie Starr
824701	339649	Double Date Girl
824702	328663	Jill
824703	10977	Kitty Travers
824703	27152	Lila Strawn
824703	36785	Valerie Bancroft
824703	37334	Carmen Sternwood
824703	49805	Della
824703	54650	Dorothy Colman
824703	79414	Lolita Moreno
824703	107696	Barbara Wade
824703	118285	Mary
824703	118943	Margareta
824703	144447	Woman
824703	195382	Barbara Wyngate
824703	203130	Virginia Brown
824703	205905	Sally Parker
824703	222328	Miss McLean, a student
824703	283940	Susan Duane
824703	306550	Herself
824703	329533	Marcia Alden
824703	330809	Girl
824703	333386	Victoria Cassel
824703	335852	High school girl
824704	365172	
824705	355528	
824706	131559	Joyce Rose
824707	10788	Edith
824707	313707	Sarah
824707	388249	Anastasia
824707	396050	Nanny
824707	398020	
824708	89052	'Belle' DuBois
824709	278053	Betsy Willard
824709	370535	Peggy Cole
824710	397790	Verity
824711	307910	Jill Clark
824712	272930	Dancer
824713	110916	Dancer
824714	23445	Honey Parker
824714	23454	Liz Walker
824714	31691	Blonde yoga girl
824714	80431	Miss Adrian
824714	152209	Lily Peters
824714	154495	The Blonde
824714	171449	
824714	263232	Drunken woman
824714	274728	Roxy
824714	285095	Hazel (WAC)
824714	285393	Amelia Smedley
824714	299844	Daisy
824714	319181	Giggling girl on phone at par
824714	354215	
824714	362538	Mrs. Barker
824715	120121	Nancy
824715	374425	Dora
824716	1106	
824716	231779	Model
824716	243934	Society Gossip
824718	399767	
824719	63964	Anica
824719	180699	
824719	240087	
824719	351014	
824719	399767	
824719	410202	
824720	258781	
824720	375744	Kalina
824721	183323	Opal
824722	1269	
824722	8163	
824722	33742	One of 'The Thirty Women'
824722	195178	
824722	203886	
824722	312702	
824722	389782	
824722	390121	
824722	407624	Herself (disqualified)
824723	19881	
824724	85017	
824725	355698	
824726	121248	
824726	152351	
824726	251311	
824727	19499	Ira de Fromanstein
824727	23369	
824727	29569	
824727	44664	Queiruga
824727	51645	
824727	52116	Teresa
824727	55152	
824727	56056	
824727	57960	
824727	58096	Maria Plojovitz
824727	61200	
824727	61203	
824727	66081	
824727	67035	
824727	69474	
824727	84024	
824727	88936	Demented woman
824727	88975	
824727	94622	
824727	96280	
824727	96284	
824727	96401	
824727	99336	
824727	102401	
824727	103160	Madre superiora
824727	103809	
824727	106458	
824727	111577	
824727	111996	
824727	189377	
824727	204827	
824727	205140	
824727	210229	
824727	214224	
824727	218956	
824727	226374	
824727	237011	
824727	252107	
824727	258619	Mujer 1ª mercado
824727	266412	
824727	266871	
824727	269915	Tía
824727	294286	Madre de Ana
824727	296197	
824727	302310	
824727	307466	
824727	326303	Ma
824727	338654	
824727	349954	
824727	353654	
824727	355759	
824727	356674	Rafaela
824727	357533	
824727	363662	
824727	394150	Treska Konak
824728	252659	
824729	22704	Clienta
824729	86708	Anne
824729	189301	Patro
824729	246294	Luisa
824729	284899	Marta
824729	383557	Fifa
824729	387811	Claudia
824729	392027	Macarena (2004-)
824729	400840	Paula
824730	384119	Laura (1995-1996)
824731	55989	
824731	238108	
824732	159862	Charlene
824733	97826	Miss Wyant
824733	196392	Mrs. Gordon
824734	76620	Marcia Hayes
824734	85997	Truck Driver's Wife
824734	161755	Dr. Tanga
824734	222601	
824735	304854	Little Girl at School Bus
824736	235453	Lania Caldwell
824737	117098	Nurse
824738	202090	Annie
824739	83836	Woman
824740	54207	Nadja
824740	72870	Mrs. Roger Vernon
824740	75564	Connie's Sister
824740	118939	Sheila Frankenstein von Helsi
824740	121367	Miss Prince
824740	151048	Lila
824740	211687	Car-Driver Spider Woman
824740	284028	Diane's mother (US TV version
824740	319576	MaryJo Trent
824740	326845	Dr. Myra (the mad scientist)
824740	365527	Batwoman
824741	37700	Martha Patterson
824742	84443	Sarah
824742	101778	Dr. Chevalier
824742	115432	Mrs. Skulnik
824742	142422	Mrs. Rabinowitz
824742	213178	Cashier
824742	222711	Agnes Peabody
824742	230710	Paula
824742	315256	Miss Gibbons
824742	331159	
824743	41302	
824743	89701	Nun at the Convent
824743	289749	ADR voice
824744	19024	Latin Translator
824744	88978	Lucy
824744	108306	
824744	162883	Yolanda
824744	176364	Rosa
824744	223768	Grandma Berta
824744	230432	Lupe
824744	265861	Nana
824744	286228	Aunt
824744	314131	Rosa
824744	362381	Grandma
824744	400426	Maria Ortega
824745	10850	Sara Shell/Female Enemy Agent
824746	8932	Lulu
824746	220805	
824746	390799	Regular
824747	105819	Child Jake sister
824748	5057	Technician #2
824748	324956	Carrie
824749	313395	Enterprise computer
824749	313396	Usher
824749	313449	Bridge voice
824750	232090	Teacher
824751	311523	Girl in Nightclub
824752	341158	
824753	278855	Call Girl
824754	84482	Ceres
824755	104524	Pepa
824755	112779	
824755	148045	Ramona
824755	234357	
824755	252612	
824756	36923	
824756	150055	Limo Driver
824756	150056	
824756	264874	
824756	291022	
824756	296293	
824756	370029	
824756	380147	
824756	383464	Janete
824756	384480	Regininha
824756	389153	Clarissa
824756	396718	Rosário
824756	408643	Herself (2001)
824757	5910	Denise
824758	4997	
824758	52789	
824759	1473	
824759	58327	Odette
824759	236647	
824759	322760	Éloïse
824760	65158	Clara
824761	85595	
824762	340403	
824763	390812	Yasemin Mutlu (1993)
824764	183907	
824764	359070	Liway
824766	411601	Herself
824768	44662	Laura
824768	50139	La perfumada
824768	64672	Libertad
824768	209067	Criada
824768	253304	
824768	324841	
824768	343630	
824769	156178	
824769	385206	
824770	239931	
824771	3388	
824771	9730	
824771	14768	
824771	51781	
824771	73083	Inocencia
824771	73085	
824771	74552	
824771	74768	
824771	75364	
824771	82250	
824771	104092	
824771	133245	
824771	136994	
824771	202217	
824771	213399	
824771	213723	
824771	218519	
824771	220520	
824771	221755	
824771	221943	
824771	222019	
824771	225704	
824771	234308	Herself
824771	234426	
824771	248239	
824771	252344	
824771	252562	
824771	260557	
824771	262812	Herself - dancer
824771	266895	
824771	268516	
824771	280275	
824771	294709	
824771	307242	
824771	322372	
824771	326540	
824771	339105	
824771	355793	
824771	381145	
824771	385873	Inés
824771	386126	Julia
824771	397018	Pachita
824771	400947	
824771	404186	
824771	405318	Columba Sanchez 'Esposa de Pa
824771	408792	
824772	21531	Crying Girl
824772	60212	Tough Girl
824772	113909	Jackie
824772	405833	21-21
824772	411517	Isabel
824773	345807	Linda
824774	384771	
824774	398915	
824774	401251	Toña
824775	47552	Vesta
824775	77638	Lady Lander
824775	290430	Mrs. Truman
824776	148432	Sally Meets the Moon
824776	212371	Juanita
824776	228184	Rain Basket
824776	358477	Raver
824776	360765	Carolina
824776	379820	
824776	383471	
824776	396211	
824776	401918	
824776	404161	Ana
824777	74868	Rosita
824778	74868	Cantinera
824779	14689	
824780	46424	Alice
824781	58875	Helen
824781	68229	Alice Dax
824781	94015	Penny
824781	113388	Kate
824781	240761	Giulia Barucci
824781	259165	Caroline Enys
824781	276263	Rachel Chaplin
824781	276873	Mombi III
824781	321421	Mrs. Smith
824781	382635	Louise Daly
824781	385646	Dr Annie Robbins (1996)
824781	390983	Maeve Phelan
824781	398566	Annie
824781	405151	Harriet Wright (1982)
824782	141017	Pigtails
824783	362081	Dancer
824784	59133	
824784	105144	Jeanette Kay
824785	238025	
824785	264221	
824785	328051	
824786	148027	
824787	220193	
824788	402150	Herself/Jornalista
824789	358291	Aunt Marilyn
824790	104885	Baronin Edith von Steffen
824790	216373	
824791	104051	
824792	175163	Girl at Modigliani's
824792	294217	Miss Grey
824793	333205	Waitress
824794	174582	
824794	232626	Another Nike of Samothrace
824794	379361	Anna Fragaki (2001-2003)
824794	387917	Jella
824794	394078	Savina Theoxari
824794	394222	Eleni
824795	400342	Profesora de la Academia: Coa
824796	5104	Sonia
824796	207658	Esposa de Arturo
824796	383548	Elsa
824797	69761	Une jumelle
824798	384771	
824799	383355	Marlene
824800	61360	
824800	183063	
824800	379566	Matilde (1998-2002)
824800	391015	Profesora
824800	398805	Encarna
824800	409954	
824801	402638	Marta Gouveia
824802	289439	Blonde
824803	44998	
824804	8473	Três Mosqueteiros sketch
824804	19474	
824804	294868	Isabel
824805	65215	
824805	76005	
824805	210262	Remigia Contreras
824805	221987	Juana
824805	226184	
824805	287734	
824806	118481	La Réincarnée
824807	341085	
824808	355931	
824809	99356	
824809	104063	
824810	28715	
824810	147136	Soeur de Marc
824810	396978	Hélène années 70
824810	410628	Dorothée Fuentes
824811	47144	Gabriella
824811	59885	Festival Singer
824811	84324	Maggie
824811	119358	Maddie
824811	190273	Angie Vega
824811	361248	Cynthia
824811	399392	Sophia Del Bono (1997-1998)
824811	407374	Taina Maria Morales
824812	265320	
824812	268255	
824812	275092	Reina
824812	279837	
824812	332613	
824812	340432	
824813	51615	Minyona
824814	295098	
824815	92899	
824817	277851	Athlete
824818	50129	
824818	352255	
824819	207047	Visitor
824820	184873	Mother
824820	242649	
824820	274943	
824820	326178	Vendedora Mole
824820	377874	
824820	382691	Marta
824820	387189	
824820	401634	
824820	408562	
824821	63915	Alquimista (Alchemist)
824821	161847	Manuela
824822	164682	Eurydice
824822	204664	Manon Lescaut
824822	277712	Herself
824822	377940	Oasis
824823	100385	
824824	2474	
824824	28232	
824824	49443	
824824	55259	
824824	64696	
824824	169568	
824824	212352	
824824	225397	
824824	278936	
824824	339185	Mucama
824824	349936	
824824	370181	
824824	376712	
824824	393187	Directora
824825	252782	
824826	194104	
824827	269746	
824829	71223	
824829	85524	
824829	101791	
824829	255640	Júlia
824829	267494	
824830	2048	Herself/Presenter
824830	5972	Maria
824830	41776	Elena
824830	59885	Carmen
824830	63010	Maria Estevez
824830	82468	Tina, the maid at Belmont Man
824830	84141	Marisol
824830	107727	Sally
824830	126028	Diana Ramiro
824830	146726	Det. Rico
824830	154334	Magdalena Soto
824830	158421	Lisa
824830	213452	Chorus Voice
824830	226900	Lori Halloran
824830	226901	Lori Halloran
824830	231776	Carmen
824830	232424	Girl at pool
824830	323592	Babs Cardoza
824830	330559	Lisa
824830	367999	Ramona
824830	382735	Julie
824830	386509	Inspector Magdalena 'Magda' R
824830	387728	Sandy Lopez (2001-2004)
824830	391535	Officer Jessica Helgado (1996
824830	408036	Sarah Morales (1999-2001, 200
824831	90525	Tango dancer
824832	73065	Chacha
824832	97365	Pelusa
824832	104846	
824833	28738	
824834	52820	Bebê
824834	56241	
824834	71223	
824834	91151	
824834	113980	Michele
824834	122161	
824834	127677	
824834	189384	
824834	252348	
824834	269121	
824834	269535	Aurora
824834	285580	
824834	307077	
824834	344776	
824834	356967	Marta
824834	394600	
824835	241050	High School Band
824836	838	
824836	43242	
824836	204281	
824836	245487	
824836	296144	
824837	313033	Les collégiennes
824838	100106	Aunt
824838	154334	Santera
824839	384054	Tía Teresa
824839	403755	Malva Quijano
824840	124253	Maid
824841	10233	
824841	100932	
824841	234336	
824841	243486	Criada
824841	248526	
824841	251615	
824841	399623	Host (1994)
824842	96366	Andrea
824842	397015	Mercedes Sánchez
824842	405835	Fátima Díaz Castillo
824844	57869	Reportero
824844	75838	
824845	383328	Clara (child)
824846	57031	Beverly Will
824846	83094	Cynthia
824846	222378	
824846	346392	Fight Fan
824846	363996	Solange
824846	382419	Sofia Alonso (2001-2003)
824846	412196	Elena Sanchez
824847	334479	
824848	208229	Madame Lafont
824849	69761	Une jumelle
824850	386509	Lily (2002-)
824851	61203	
824851	74834	Zoila
824851	94837	
824851	99059	
824851	148110	
824851	162232	
824851	205155	
824851	211071	
824851	221559	
824851	320327	
824851	376802	
824852	58318	Linda
824852	96197	Corinne
824852	169539	La fille du Wepler
824852	211657	Barbara
824852	235878	Sophie
824853	53848	
824853	205439	
824854	27986	
824854	53668	
824854	55938	
824854	57776	
824854	86444	
824854	148150	
824854	274764	
824855	384817	Haydée
824856	380162	Uka Tarongo
824856	383774	
824856	404140	Magdalena
824856	404707	Ximena
824856	408722	
824856	409283	Margarita
824856	412301	
824857	270868	
824858	68027	Herself
824858	92513	Valerie
824858	163569	Herself
824858	267255	Nurse
824858	278526	Juanita
824858	349810	Valdesta
824858	406504	Herself (1999)
824858	407970	Thea Turrell
824859	34472	
824859	54784	
824859	94715	
824859	264245	
824859	265723	
824860	16356	
824860	82195	Iro Constantopoulou
824860	95870	
824860	107271	
824860	164455	Natali
824860	180523	Mary
824860	349940	Mariangela
824860	380353	Anna Petri
824860	389183	Marina
824860	394078	Elena Rossidi
824861	106317	
824862	300868	
824862	328714	
824863	24622	
824864	193077	
824865	405705	
824866	64431	Termutis Norambuena
824866	247296	Amanda Jorquera
824866	379001	Luz María
824866	379252	
824866	379648	La Abuela
824866	380074	
824866	385600	
824866	385847	Rosa Cárcano
824866	393175	
824866	393832	
824866	396984	Doña Bernarda
824866	397591	
824866	402411	
824866	403214	Rebeca
824866	403674	
824866	403782	
824866	408562	
824866	408591	Alicia Menares
824866	410207	
824866	410316	Josefa
824867	8724	
824867	55380	
824867	87085	
824867	104144	
824867	193188	
824867	200541	
824867	357899	
824868	113117	Herself
824869	73069	Agnès
824869	310061	La serveuse
824869	398042	
824870	113117	Herself
824871	113117	Herself
824872	260288	La femme blessée
824873	211686	
824874	375508	Julie McDerry
824875	20385	
824875	44216	Ana
824875	219567	Antónia
824875	396241	Gracinda
824875	402637	Ines
824876	234638	
824877	132912	Pedestrian
824877	313951	Nina
824877	333383	Inez
824878	234669	Andrea
824879	379001	Vicky
824879	379252	Loreto Amenábar
824879	379648	Jacinta
824879	403782	Carlita
824879	404074	
824880	327370	
824881	28409	Monahinja II
824881	280382	
824881	318649	Kiki de Monparnas
824881	320558	Zoranova sestra
824881	350680	
824881	351322	Nina
824881	387748	
824881	392654	
824881	399107	
824881	405506	Lolika
824882	94218	Svetlana B. Djordjevic
824882	144368	Mirjana 'Ester' Zivkovic
824882	164849	Vesna
824882	213787	
824882	217290	
824882	312626	Natasa
824882	318870	
824882	354391	Julija
824882	375125	
824882	385945	Licno
824882	397526	Dragana
824882	397530	Dragana
824882	410452	Ruza Todorova
824883	66954	
824884	8372	Amina
824884	21875	Kunjuni's Original Lover
824884	127137	
824884	243668	
824884	262475	
824884	331018	
824885	345134	La voyante
824886	277313	
824887	373694	
824888	265901	Fillette
824889	69181	Herself
824890	385600	
824890	385847	Paulina Vargas
824890	387273	Elba de Quiroz
824890	389480	Zulema
824891	311168	
824892	276611	
824893	93261	Hispanic Mom
824894	27596	Herself - Unit Production Man
824895	7992	Barr
824895	91719	Rhoda
824895	94742	Avalon
824896	12295	Jackie
824896	26279	Laura Wood
824896	52362	Rachel
824896	66195	Kelly
824896	78744	June Poole
824896	101380	Alison Fraser
824896	115933	Magda Lewis
824896	170555	Donna Brunos
824896	198898	Lady Macbeth
824896	226868	Maggie, Archie's Girl
824896	315216	
824896	329488	Trish Furness
824896	337830	Allison
824896	360727	Vinni
824896	365121	Sophie
824896	367536	Anne Catherick
824896	396082	Claire (episode "Masturbation
824897	394660	Masaya Hikage, Tamaki Nambara
824898	192902	
824899	294219	Party Extra #1
824900	82920	
824901	19238	Female cop
824901	138821	Tennis Pro
824902	42935	Louise
824903	218442	Waitress
824904	19683	
824904	48666	
824904	48670	
824904	97974	
824904	153697	
824904	173965	
824904	182873	
824904	212992	
824904	224968	
824904	229477	
824904	322068	Adameczné
824904	324096	
824904	324708	
824904	377130	
824904	377760	
824904	378012	Korongi Gáborné
824905	7621	Katherine Silverton
824905	10677	Alice Adams
824905	14092	Betty Armstrong
824905	19963	Mrs. Hazlitt
824905	29648	Barbara Frietchie
824905	32017	Nellie Steel
824905	37845	
824905	44549	Nancy Burrard
824905	46179	Nume Rogers
824905	62090	Joan Fry
824905	62944	Christine Madison
824905	69667	Judith Stafford
824905	70345	Mrs. Jack
824905	71663	Betty Lovering
824905	75429	
824905	90874	Mary Viner
824905	95458	Marjorie Latham/Aziza
824905	96641	Louise Lestron
824905	100674	Gail Ormsby
824905	108303	Beverly Tucker
824905	128358	Helen Merrimore
824905	132784	The Grand Duchess Zenia
824905	134674	Alice Sorbier
824905	137210	Judith Beresford
824905	139854	Corinne Reynolds
824905	144615	Enid Benton
824905	148943	Gail Grant
824905	149149	Lora Horning
824905	153188	Grace Livingston
824905	161580	Pseudo Countess Sonia
824905	164541	Mrs. Marcia Montgomery
824905	198046	Nancy Abbott
824905	200476	Mme. Florence Laverne
824905	201060	Carol Milford
824905	206344	Charlotte Braun
824905	206463	Hetty Gandy
824905	215059	Irene Martin
824905	239841	Juliet Raeburn
824905	241856	Rita Farrell
824905	244351	Katherine Boone
824905	250743	Countess Ostermann
824905	260247	Dorothy Perkins
824905	260490	Yvonne Montfort
824905	273263	Rose Stanton
824905	291744	Helen Salvia
824905	292406	Kitty Little
824905	303969	Ethel Carter
824905	309581	Celebrity
824905	323767	Mimi
824905	333048	Yvonne
824905	340569	Grace Hyatt
824905	355101	Molly Woods
824905	361175	Mary Clark
824905	363919	Maida Verne
824905	364853	Irene Stuart
824905	367753	Anne
824905	368377	Jane Randall
824905	371039	Flora
824905	372226	Vera
824906	206496	Messanger #3
824907	14902	
824907	21656	
824907	202773	
824907	227577	Marcella Celli
824907	277607	Silvana
824907	278319	Gilda
824907	353053	
824908	236928	Jenny Lee
824909	356069	
824910	384118	
824911	197577	Libenzio's Mother
824912	212124	
824912	213796	
824912	316379	
824913	85046	Pallina
824914	375667	
824915	316693	Mae Jones
824916	29581	Madona
824917	71410	
824917	183467	
824917	217054	Prostituta
824917	260621	
824917	376828	
824918	70550	
824918	81559	
824919	194246	Anna Selicic
824920	172488	
824921	63964	
824921	74172	Lela
824921	206072	
824922	25929	
824922	48748	Sonali
824922	272673	Manorama
824922	383820	Mme Gautier
824922	409523	Claude
824923	43546	Mrs. Fairbrother
824923	59085	Mrs. Heller
824923	169231	Mrs. Black
824923	196012	Mrs. Mostyn
824923	200885	
824923	224202	Mrs. Neilson
824923	334093	Mrs. Jubb
824924	334189	Nadine Murphy (older)
824925	263352	Sub #2
824926	147492	His Mother
824926	236657	Tiburon Lady
824927	164547	Woman in Video
824928	6557	Rude Woman
824929	115833	
824930	90525	Tango dancer
824931	104085	Herself
824932	339924	
824933	288830	Child at Bay
824934	406847	
824935	18999	Guest
824936	271275	D. Ines de Castro
824937	328155	
824938	355832	Dra. Maxima
824939	78025	Kayla
824939	131539	Molly
824939	147557	Jordy Giblin
824939	148217	Emily
824939	178223	Melissa
824939	240325	Delia York
824939	348838	Young Norma
824939	379300	Sally
824939	388869	Christine 'Chris' Harrison
824939	396447	Additional Voices
824941	12080	
824941	205696	
824942	270346	Ghetto Victim
824943	395302	Teresa
824944	7236	Grocer
824944	18657	Maid
824944	89399	1st Cook
824945	78576	Ritinha
824946	400703	
824946	403747	
824947	222162	A cantora
824947	334670	
824948	205512	
824949	397393	Salete
824949	410103	
824950	223719	Schoolgirl
824951	407279	Narizinho
824952	110748	Sandra (segment "Estrada")
824952	211174	Katia
824953	378951	Maria
824954	55391	
824954	70053	(segment "Arremate, O")
824954	234619	
824954	246851	
824954	252335	Lurdinha
824954	319626	
824954	379814	Berenice
824954	380120	Suzana
824954	383276	Verinha
824954	384991	Ieda
824954	385043	
824954	386421	
824954	388679	
824954	396337	Bianca
824954	396810	Iza
824954	398502	Carola
824954	404799	Clarice
824954	406847	Adélia Figueira
824954	407275	Erica
824954	409407	Maria Cecília
824954	409417	Eliane
824954	409902	
824955	229238	
824956	89930	
824957	269355	Young Violin Player
824958	14701	Carmencita
824958	42280	
824958	73194	
824958	122135	
824958	202550	Perpétua Rodrigues
824958	206234	Josefina
824958	391448	Various Roles
824958	392261	Maria
824958	400793	Various Roles
824958	406313	Maria da Ajuda
824959	110666	
824960	88794	(segment "O Filminho")
824961	8980	
824961	15878	
824961	43663	
824961	51783	(segment "Uma Grande Vocação"
824961	67653	
824961	68624	Leila ( segment "O terror das
824961	83006	Jane
824961	84480	
824961	88216	
824961	146715	Rainha
824961	156395	
824961	157331	Sandra
824961	189309	
824961	195118	
824961	220746	
824961	222187	
824961	234620	
824961	236753	Prostituta
824961	256372	Márcia
824961	261456	
824961	263268	
824961	264537	
824961	266003	
824961	268993	
824961	269028	
824961	269113	
824961	319531	
824961	328034	
824961	344813	
824961	344854	Estela
824961	356033	
824961	381223	
824962	2010	Herself - Presenter
824962	2275	Herself
824962	31944	Herself
824962	161267	Host
824962	161315	Host
824962	161379	Herself
824962	161388	Host
824962	314445	'Balance of Power' Host
824962	358807	Herself
824962	378911	Herself - Correspondent (1989
824962	383699	Herself - Co-anchor
824962	391236	Herself
824962	410171	Herself
824962	410827	Herself - Correspondent
824962	411041	Host
824963	4895	Herself
824964	98732	
824965	104480	
824965	104486	
824965	118088	
824965	156386	
824965	262302	
824965	294995	
824965	306849	
824965	344780	
824966	25043	
824966	56065	
824966	117943	
824966	236753	Dª. Leonor
824966	379646	Tide
824966	379822	Naná Ramalho
824966	380109	
824966	380196	Gonçala San Marino
824966	380330	Nice
824966	380331	
824966	380387	Mariana
824966	381144	Paula Vargas Leme
824966	381198	Marta
824966	382375	Herself
824966	382405	Marilene
824966	382684	
824966	383247	Amanda Guerreiro
824966	384117	Suzette Fontin
824966	385992	Ruth Baiana
824966	387052	Cláudia
824966	387424	Vanessa
824966	387777	Cândida
824966	387835	Tina Camará
824966	387903	Sílvia
824966	388591	Rubra Rosa Pompílio de Castro
824966	390054	Veridiana
824966	396126	Laís Souto Maia
824966	397787	Joaninha
824966	397804	Nelita
824966	398501	Lorena Ribeiro-Alves
824966	398503	Clarita Assunção
824966	399489	Marisa
824966	399643	Taís
824966	400670	Dorothea
824966	400902	Gildinha
824966	401197	Karen
824966	401460	Candinha
824966	401900	Branca Letícia de Barros Mota
824966	402248	
824966	402370	Regina
824966	402371	Ana Carvalho
824966	402623	Laura
824966	404165	Dolores Molidor
824966	404178	Gilda
824966	404834	Maria do Carmo Ferreira da Si
824966	404913	
824966	406847	Marina Steen
824966	407643	Luciana
824966	407875	
824966	408220	
824966	408550	Barbara Ellen
824966	409418	Renata
824966	410245	Laura
824966	412305	Tina
824966	412314	
824967	380326	
824967	391673	Enfermeira
824968	356968	Camila
824969	286571	
824970	355832	
824970	380326	Zelinda
824970	380531	Velma
824970	380563	Jurema
824970	384992	Esmeralda
824970	385025	Mara
824970	388398	Anabela Vasconcelos
824970	388721	Margarida
824970	392510	Irene
824970	394872	Gumercinda Mejida (Perla Peró
824970	397540	Ava Gardner Maria Ferreira de
824970	400098	Elisa
824970	400799	
824970	401900	Virgínia Viana Fontes
824970	404834	Gisela Andrade e Couto
824970	407868	Janete Magliano
824971	223619	Senora
824972	156085	Herself
824972	378923	Hostess (2004-)
824972	397207	
824972	400932	
824972	403599	Hostess
824972	404064	Host (1997-1998)
824973	138447	
824974	296188	
824975	288068	Mary Fitzgerald
824976	88063	Carole
824976	336954	Pascaline
824977	124661	Marie
824978	371087	Marsha
824979	119726	Kino-Kassiererin
824980	94317	Babette, babysitter
824981	392911	Mère de Sylvie
824982	361632	Labrosse's Receptionist
824983	1938	Madame Violaine
824983	83366	
824983	83400	Le maître d'internat
824984	124608	
824985	404703	Pierina
824986	385025	
824987	72140	Model
824988	32241	Lydia
824988	74881	Giovanna
824988	94615	Stewardess
824989	117987	Girl on TV
824990	46698	Carmen
824990	304643	Amazon
824991	95078	Concierge
824992	309759	Pilgrim
824993	2723	Driver
824993	109621	Jenny White
824993	185549	Featured
824993	321795	Wendy
824994	377034	Maite
824995	371440	Arvi's wife
824996	266766	Tina
824997	208128	Asterie
824999	143996	
825000	301040	Singers
825000	359273	Singer
825001	39680	Carlita
825001	44270	Nanny #1
825001	76526	Foreign Nanny
825001	194687	Vet
825002	122393	
825003	11327	Roxanne
825004	407247	Recurring Host
825005	356783	
825006	178186	
825006	246933	Girl in the cafe
825007	145482	Circus
825008	309923	
825009	119270	
825010	13100	La vendeuse de bijoux
825011	12653	
825011	86862	Herself
825012	346618	Pleureuse
825013	274126	
825014	4507	Evi
825015	17513	Marthy Owens
825015	142001	
825015	207166	
825015	295315	Catherine of Russia
825016	236972	Waltz of the Flowers
825017	270750	
825018	307163	Sirpa
825019	290839	Hannelore
825020	137494	Debbie
825021	114283	Screen Tests
825022	105083	Herself
825023	240429	
825024	25112	
825025	101752	Mrs. Mandrakis
825025	395667	Corinna Marx
825026	380059	Laura
825026	381900	Herself
825026	381904	Herself (4th Evicted 2003)
825026	384400	Nadia Castillo Bojórquez (200
825026	397594	Traviesa (Julia/Julio)
825026	398490	Paola Montero
825026	406056	Lucía/Adriana
825027	108170	
825027	108576	Hanne
825027	143219	Pædagogen
825027	145624	Marie Kröyer
825027	163015	Isolde
825027	219876	Miranda
825027	343953	Sanna Krebs
825027	407621	Birgit Boye-Larsen
825028	134606	Herself
825029	10661	Reporter #2
825029	18310	Reporter
825030	328432	Filles Quick
825031	224031	Beach girl
825032	279715	
825033	84270	Woman
825033	88393	Cashier
825033	138519	Adrienne
825033	322311	Mrs. Rosenstam
825033	353041	
825034	184417	
825034	223895	Yolie
825035	111004	
825036	39874	
825036	68629	
825036	383138	Yoli
825036	398166	Marisa
825036	398661	Victoria 'Vicky' Di Carlo Rap
825036	398816	Dr. Ana Ricci
825036	398995	Lali
825036	400728	Renata
825036	401358	Emma/Natalia
825036	401913	Laura Levin
825037	406219	Herself - Travel Reporter (20
825037	407012	Herself - Host
825038	101498	The widow
825039	357895	Esposa
825041	202522	Herself
825041	202523	Herself
825042	39931	Becky
825042	132454	Singing Voice
825042	148387	Sarah
825042	189409	Lynne Peterson
825042	320162	Candice Paluso
825042	330410	Singing Voice
825042	390771	Morgan Richards Nelson #1 (19
825042	400236	Joy O'Neill (#1) (1984-1985)
825043	97438	Anneliese's grandma
825044	104768	Norwegian entry (5th place)
825045	78493	Herself (performing 'Hva' så 
825045	407500	Herself - Host
825046	281937	Lisa
825047	42296	Swedish Suntanning Team Membe
825048	378033	Sol
825049	68629	
825049	383138	Nora Nuñez Zamora
825049	390504	(1991)
825049	390884	
825049	397571	Andrea Fornari
825049	397589	Clara
825049	398816	Julia López Paz de Duvafi
825049	403021	Marina Cáceres (2003)
825049	403023	Ivana
825049	409013	
825049	409957	Sofía (1998-1999)
825050	96202	Színésznõ
825050	176682	Saci
825050	322096	
825050	378279	Bálint Anna
825051	249016	
825052	74311	Book Thief
825053	181507	
825053	373764	
825053	375384	
825054	109408	
825055	19096	
825055	25088	Simone
825055	71821	
825055	101228	First Pretty Girl
825055	202591	
825055	263980	
825055	280871	
825056	245863	Elisa
825057	327463	Diana
825058	79427	
825058	304751	Miranda
825059	313820	Stomping kid #4
825060	153563	Herself (7 Year Bitch)
825060	370856	Stevie
825061	199194	Singer
825062	324502	Singer
825063	197578	
825064	101195	Winnie
825065	156460	Night Club Dancer
825066	313174	
825067	332580	Herself
825068	23828	Isabelle Sauvin
825069	313179	Arianna
825070	125773	
825070	353066	
825071	127436	Olga Finzi-Contini
825072	51567	Enfermera
825073	56545	Herself
825073	92865	Guest
825073	195296	Waitress
825073	392424	Herself
825073	396359	Various (2003-2004)
825074	21652	Aschenputtel
825074	376573	Sylvie
825075	365341	Girl By The Pool
825076	223	
825076	72056	Sylvie
825076	80146	Dr. Vignal
825076	103828	Jeanne
825076	198297	Alice
825076	200967	Marthe
825076	207622	Anne
825076	287588	Florence Chevilly
825076	336641	Femme restaurant chic
825076	345175	A servant (La serveuse)
825076	353898	Alice
825076	403101	Martine le Guillou
825077	11934	Mademoiselle Lebourdon
825077	245956	Un membre du girls' gang
825078	33612	La créature de la poubelle
825079	111428	
825080	22642	
825080	54820	
825080	371689	
825081	268413	Odette
825081	404652	
825082	97163	
825084	345046	Justine
825084	377991	Une comédienne théâtre
825085	224070	Petra
825085	390163	Fiona March - Black
825086	310393	Doctor's Wife
825087	311033	Mrs. Dutrelle
825088	195262	Crenshaw High School Girl's B
825089	66718	
825090	90044	
825090	354912	
825091	377243	
825092	96041	
825092	217088	Operator
825092	375108	Sonia
825092	382583	Desjardins, Fanny
825092	384013	Manon Brunelle
825092	391935	Lucie Bilodeau
825092	404655	Helene D'Anjou
825093	51392	
825094	10704	The Nurse
825094	269251	La jeune mariée
825094	281916	Irène, the Bride
825094	370059	Nathalie, l'épicière
825094	393973	Sophie
825095	388353	Office Manager/Funeral Direct
825096	316942	Gypsy Woman
825097	25560	
825097	53660	
825097	55952	
825097	77752	
825097	157200	
825097	221563	
825097	246937	
825097	253446	
825097	258487	
825097	266899	
825097	353980	
825097	376735	
825097	376739	Alicia
825098	385853	Márcia
825098	392589	Domingas
825098	393615	Leninha
825098	396036	Maria Luiza
825098	396795	Bárbara Lourenço
825098	397645	Lucilene
825098	402593	Denise
825098	410104	Dorothéa
825100	40564	Solange
825100	238470	Valérie
825100	332200	Annie
825100	340119	Copyist
825101	89963	Brigitte
825101	142928	Anne de Boylen
825101	213510	Mignon
825101	268442	La Périchole, chanteuse des r
825102	85552	Isabelle
825103	23783	Juliette
825103	48282	
825103	96207	Georgette
825103	132977	
825103	167194	
825103	225769	Jeanne Chevrier
825103	340670	Madeleine Cahuzac
825104	8245	
825104	19103	Françoise
825104	65770	Aurélie
825104	68784	Patronne du Bar
825104	73072	
825104	104222	Léa
825104	132292	Virginia
825104	144498	La soubrette
825104	167158	La putain
825104	229053	Berthe
825104	274803	Une passante
825104	275634	
825104	338031	Suitcase Salesgirl
825104	357816	Odette Jeandrin
825104	360823	Marie-Madeleine
825104	370105	
825104	377989	
825104	381430	La vendeuse du grand magasin
825104	381520	
825104	384216	
825104	384744	Odette Terrier
825104	385602	La fille de Jo
825104	388507	Louise
825104	399396	Sylvette
825104	406783	Nelly
825105	25986	The aunt
825106	148775	
825106	261116	Salesgirl In 1st Boutique
825106	397097	
825107	42659	
825108	375986	Lady Mabel Burton
825109	108897	Herself
825110	193482	Little Marie
825111	212136	
825112	292551	Lupita
825113	109408	
825114	25128	
825116	19870	Herself
825116	286630	Herself
825117	117477	Heidi Rajala
825117	184042	Noora Lehtinen, kassa
825117	184789	Kati
825118	121803	Pretty sorority girl
825118	223720	Joey
825118	262394	Reading Doll
825118	362638	Beautiful Woman
825119	397746	Herself
825120	251987	Helena ballerina
825120	355135	
825121	234567	Aaprami
825122	163185	
825122	264291	Kattilanpaikkaajan vaimo
825122	285967	
825122	341560	
825123	185000	Vaatemyyjä
825124	187790	
825124	255386	
825125	17732	
825125	28506	
825125	59561	
825125	98256	Olga
825125	103149	Johanna
825125	107964	Ines Hardegg
825125	119178	Lu,seine Freundin
825125	120051	Manfred
825125	120276	
825125	137634	
825125	144069	Mimi
825125	153098	
825125	155341	
825125	175302	
825125	180643	
825125	183056	
825125	189847	
825125	193302	
825125	197823	
825125	215133	
825125	225164	Frulein Prill
825125	226356	
825125	236833	Susanne Kirchner
825125	290174	Bianca
825125	290756	
825125	316555	Grete Witt
825125	347626	
825125	375169	
825125	376323	
825126	303708	
825127	174779	
825128	247007	Tuulikki
825128	247648	
825128	278339	
825129	181561	Woman on the swing
825130	171590	Secretary
825130	247007	
825131	188933	Married woman
825132	18417	Darja Bohattov
825132	181630	Mimmi
825132	182595	Kaisa Aholainen
825132	198699	Martta
825132	251951	Siiri Saikkonen
825132	251954	Siiri Saikkonen
825132	405505	Ruusu
825133	4334	Fiina
825133	37068	Zimmer lady
825133	175367	Fanni-mummu
825133	223274	
825133	397537	Annikki Metsola
825133	403473	
825133	407885	
825134	397746	Herself
825135	188934	Talkshow guest
825135	255513	Keittäjä
825136	4346	
825136	59172	Kammo
825136	140499	
825136	262855	
825136	326187	Prostitute
825136	373712	
825136	388428	Geeta
825136	399812	Teacherji
825137	152631	Priya
825138	71479	Ayah 2
825139	150861	
825140	206256	
825141	14518	
825141	58838	Karthyayani
825141	165174	
825141	172205	
825141	172872	Geetha
825141	250820	
825141	271647	
825141	278800	
825141	287805	
825141	299456	
825141	312454	Sarada
825141	320862	
825141	329884	Kamakshi
825142	4130	Chandra
825142	4326	
825142	4358	
825142	31432	
825142	124680	
825142	131701	
825142	135868	
825142	139996	Lata (Mayor's wife)
825142	153233	
825142	160221	
825142	164331	
825142	171502	
825142	195697	Vijaya
825142	200656	Ranjana
825142	205899	Receptionist (As Vijaya Laxmi
825142	220997	
825142	221801	
825142	226115	
825142	278804	
825142	284719	
825142	285404	
825142	299600	
825142	318422	
825143	157707	Maya
825143	176691	Maimuna
825143	204529	
825143	352912	
825144	94487	
825144	146839	
825144	260014	
825144	274166	
825144	306094	
825144	320408	
825145	4407	
825145	6233	Chukkamma/Santhi
825145	19012	
825145	19241	
825145	23136	Rekha
825145	58625	Haarika
825145	58925	
825145	62317	
825145	76934	
825145	83427	
825145	84723	
825145	84727	
825145	97793	Lalita
825145	123693	Kanyakumari
825145	159330	
825145	165383	
825145	171995	
825145	172878	
825145	174222	
825145	176031	
825145	179870	Srilatha
825145	179871	
825145	180503	
825145	200680	
825145	203899	
825145	204528	
825145	209240	
825145	221623	Radha
825145	222505	
825145	228801	
825145	230128	
825145	243978	Ramulamma
825145	246321	Sandhya
825145	249858	
825145	250814	
825145	252010	Santhi
825145	252017	
825145	262457	Jhansi
825145	271518	
825145	278184	
825145	283005	
825145	285519	
825145	287355	
825145	297752	Vijaya
825145	300290	
825145	315273	
825145	320919	Ganga
825145	324071	
825145	350385	
825145	370459	
825145	373071	
825145	373794	
825146	343578	Passante
825147	135716	Beatrijs
825148	407817	Herself - Norwegian Participa
825150	392524	Tenth place (disq.) (2003)
825151	46353	(Specialty Act)
825151	72769	Clara
825151	136977	Herself
825151	185950	Comedian
825151	311179	Margarita
825151	395881	Feature Comic
825151	396557	Herself
825151	405225	Comedy Sketch Regular
825151	412143	Estrellita Cámela
825152	343719	
825153	109118	Birthe
825154	139006	
825155	102722	
825155	344278	
825156	94509	Valentina
825157	60447	
825157	60453	
825157	230454	
825157	242485	
825157	263695	
825158	21241	
825158	35877	
825158	90152	Peasant girl
825158	136231	
825158	180381	
825158	225812	Yevgenia Bessudnya
825158	227916	
825158	285196	Neptuna
825158	289868	
825158	303805	
825158	304160	
825158	309994	Barmaid (segment "Priyatnogo 
825158	320637	
825158	350980	
825158	373443	Ninon
825161	95327	
825161	237529	
825161	261363	
825162	67897	Melinda, Maid
825163	2357	
825163	94273	Jente
825163	165136	Røde kjærlighetsvakt
825163	173742	Lola
825164	75955	
825164	87729	Singer in the club
825164	103632	
825164	153859	
825164	372458	
825165	244115	
825166	265942	
825167	28402	
825167	49740	
825167	88446	
825167	99019	
825167	162753	Stojanka
825167	181945	Komsinica
825167	187970	Nazimova zena
825167	209846	Ljubavnica
825167	229034	
825167	234260	Rumunka
825167	257870	Librarian
825167	266127	Zena
825167	271379	
825167	272044	Apotekarka
825167	296047	Ljudmila
825167	304551	Baksova druga zena
825167	305188	Zena u kafani
825167	324446	Medicinska sestra
825167	328705	
825167	338863	Prostitutka
825167	339307	Kelnerica
825167	357318	Stanija
825167	375126	Violeta... striptizeta
825167	379426	
825167	379616	
825167	381182	
825167	382430	Karolina
825167	390388	Tereza, starija kucna pomocni
825167	401750	
825167	401927	Ljilja... komsinica
825167	401928	Ljilja ... komsinica
825167	406315	
825167	407668	
825167	410429	Stanija
825168	261944	
825169	273105	
825170	412180	
825171	24603	Ernestina
825171	28961	
825172	53615	
825172	53986	
825173	58234	Vera
825173	83359	
825173	112890	
825173	217706	Cristal
825173	235856	Sylvie
825173	240058	
825173	276105	Corinne
825173	391621	Herself
825173	393330	Janique Aimée
825173	412264	Cécile Dabries
825174	166069	Claxton's Mother
825175	266871	
825176	248769	
825177	99794	Farmacéutica
825177	100367	Ginecóloga
825177	100405	Joana
825177	103385	Maquilladora
825177	218589	
825177	263763	Rosa
825177	386093	Ramona
825177	395041	Mònica Monjo
825177	403745	
825177	403746	
825178	309414	
825179	39158	Toni
825180	213742	Natacha
825180	380152	
825180	380332	Bárbara
825180	393714	Inês (1st Season)
825181	223613	
825182	318260	Periodista 3
825183	51220	
825184	67349	
825185	189554	
825185	189555	
825186	171461	Laura
825186	204276	
825187	179366	Naisvampyyri 1
825188	202791	Shantabai
825189	155551	Grandmother
825190	302989	Marja
825190	320400	Eriika Saari
825191	304478	Directora chillout
825191	307471	
825192	84085	Adolescente 1
825193	24852	Marianne
825193	332218	Macha
825193	332227	Isabelle
825193	389271	Annie Delanauze
825193	389880	Adrienne Vernet
825193	409532	Dominique
825193	409537	Dominique
825194	124446	
825195	12527	
825195	74144	
825195	170277	
825195	393028	
825196	25024	
825197	26544	
825197	104488	
825197	181779	
825197	211012	
825197	255798	
825198	8479	
825199	71290	Cop
825199	73703	Monica
825199	84324	Cecilia
825199	91769	Orbe
825199	119888	Girl #1
825199	121528	Heather
825199	132454	Annie
825199	134315	Screaming Woman
825199	168295	Complaint Handler
825199	171700	Maria
825199	319206	Shirley
825199	330019	Shirley
825199	342766	Coast Guardswoman
825199	388808	Rosa
825199	403419	
825199	406529	Sophia (1996-1997)
825200	56357	Julia
825200	83507	Laura
825200	94851	Clàudia
825200	111995	Rosita
825200	126242	
825200	156444	Isabel
825200	201347	Judith Altimir
825200	233260	Geltra
825200	248286	Irene
825200	302358	Claudia Horts de Gifford
825200	349071	Julie
825200	356153	Cata
825200	385243	Olga
825200	387869	
825200	396544	Judith Altimir
825200	397847	Armanda
825200	399505	Eulàlia Montsolís
825200	402673	Núria Gratacós
825200	404715	Laura
825201	60918	
825202	391927	
825203	125478	
825204	90057	
825204	224963	
825204	397969	Maya
825205	334661	Carmen
825206	43076	
825206	54165	
825206	58460	Tia Rosa (aunt)
825206	78577	The Farmer`s Wife
825206	169713	
825206	193169	Mrs. Conceição
825206	219241	Maria de Jesus Doroteia, Mada
825206	344766	Manuela's mother
825207	187074	Sonya
825208	233765	La chica
825209	352855	
825210	9770	Younger woman
825210	193169	
825211	59983	Veronique
825211	148753	Pharmacienne
825211	173129	Horse Marine
825211	217680	
825211	406028	La secrétaire de Beaujeu
825212	303208	Herself
825212	388055	Herself (1997)
825213	73483	Concierge
825214	197885	
825215	351471	
825216	387712	Pandora
825217	257636	Additional Cast
825218	302335	Perla
825219	222394	Delfina
825220	354461	
825220	366449	Mrs. Blake
825221	375411	Mrs. Domanská
825222	337252	
825222	349669	
825223	140283	Elidie
825224	229821	
825225	140283	Madeleine
825226	86826	Chica hormonal (segment "Cine
825227	82728	Siamese Twin
825228	318006	
825229	31456	Ayia
825230	132032	Azra
825230	266284	Alisa
825230	395028	Corrine
825231	39865	Laticia
825231	206291	Colette
825232	170213	Herself
825232	170215	Herself
825232	170220	Herself
825232	170221	Herself
825232	170222	Herself
825234	33527	Cashier (Red)
825235	104637	Herself (Backing vocal)
825235	104638	Herself (Backing vocal)
825235	104639	Herself
825236	385947	
825237	55874	Vendulka
825237	65060	
825237	84762	Marie
825237	95439	Jana
825237	99251	Girl on scooter #1
825237	112967	Herself
825237	159288	Marie
825237	166443	TV presenter
825237	179719	Herself
825237	213843	Jolana Tuslová
825237	221867	Renata Soukupová
825237	223487	Olga
825237	225816	
825237	237198	Olga
825237	239475	
825237	285087	
825237	286736	Prostitute
825237	294570	Anna
825237	311581	
825237	320539	
825237	399141	Veronika Blazejová
825237	402133	Alena
825238	78487	Herself (performing 'En somme
825239	53157	
825240	56581	
825240	345275	Chloé
825240	353246	
825240	385209	Joana Gaudêncio
825241	125418	Kristín
825242	107708	Dúa
825242	225084	Freyja
825242	277415	Telma (Seagulls Laugther, The
825243	870	Hófí
825243	311681	Ella
825244	392605	
825245	81674	Vila 4
825245	343800	Nevena
825246	197612	
825247	174779	
825248	229544	Eva Palmén
825249	170247	lääkäri
825249	213417	Bar cook
825249	268169	Car shop accountant
825249	341608	Office employee
825250	100011	Tanhu-ryhmän jäsen
825251	261607	Lida
825252	198134	
825252	299421	
825252	309440	
825252	357428	
825252	357481	
825253	276611	
825254	169092	
825255	262708	Herself - performer
825255	319302	Laulava trio
825256	160888	New Lady #1
825256	201320	Hostess
825257	169794	Spanish Woman 1
825257	268498	Periodista
825257	353197	Chana
825258	216737	Dancer
825259	55194	Artistas invitados
825259	86102	
825259	91346	
825259	162712	
825259	199295	
825259	204610	
825259	222409	
825259	236021	
825259	277368	
825259	356030	
825260	78579	
825261	96330	Juanita
825262	37725	Malou
825262	79913	
825262	340355	
825263	100496	Esposa muerta
825264	105609	Light/First female mime
825265	10051	Annetta
825266	355660	City Hall secretary
825267	276384	
825268	395885	
825269	6269	EMT #2
825270	115182	Kitsurubami
825271	2235	
825271	8141	
825271	13014	
825271	14928	
825271	19381	
825271	52620	
825271	57869	Elvira Marquez
825271	57907	Lupe la Borrada
825271	57978	
825271	61341	
825271	82245	
825271	85590	
825271	85920	
825271	91271	
825271	91362	
825271	91410	
825271	91420	
825271	92338	Herself
825271	100780	
825271	114321	
825271	114322	
825271	114323	
825271	114324	
825271	121394	
825271	123184	
825271	131131	
825271	137433	
825271	165162	
825271	169754	
825271	183948	Dona Lancha/Maria
825271	183949	Doña Lancha/Maria
825271	193550	Dona Rosario
825271	196757	Lucha Villa
825271	197160	La Japonesa
825271	205221	
825271	209002	
825271	209298	Isabel
825271	212496	
825271	213721	
825271	215239	
825271	225550	
825271	234426	
825271	263069	
825271	264265	
825271	266881	
825271	269470	Lucha; Maria de la Luz Ontive
825271	277408	
825271	287005	
825271	293571	
825271	293924	
825271	307802	
825271	307809	
825271	309085	
825271	322239	
825271	328531	
825271	332596	
825271	339155	
825271	339176	
825271	353609	
825271	370624	
825271	378413	Amalia
825271	399709	
825272	18095	
825272	29506	The Liar's Mother
825272	42127	The Ranch Owner's Wife
825272	46003	Mrs. Hoffman
825272	80548	John's Wife
825272	132344	Mrs. John Carter
825272	145015	The Wife
825272	161491	Mrs. Barker
825272	191612	
825272	194026	
825272	218828	
825272	263527	Mrs. George Austen
825272	264833	
825272	362743	Webster's Wife
825272	364449	Madge's Mother
825273	287245	
825274	20753	
825274	80279	
825274	296335	
825275	69220	
825275	78579	
825275	135243	
825275	193415	
825275	251310	
825275	308747	
825275	339985	
825275	356029	
825276	70990	
825276	79133	
825276	80139	Sra Zamildio
825276	84065	
825276	103760	Susana
825276	233343	Madre de Josefina
825276	307028	
825276	322853	
825276	384119	Martirio (1998)
825276	384930	
825276	385402	Olga Zamudio
825276	391639	
825276	394017	Mother Juana
825276	398842	
825276	399578	
825277	197172	
825278	9472	
825278	17875	
825278	54431	
825278	76580	
825278	95766	
825278	117727	
825278	148208	Azon
825278	148209	Azon
825278	162644	
825278	179445	
825278	200006	
825278	200298	
825278	207125	
825278	212689	Cindy
825278	391866	Azon
825278	391867	Azon
825279	243257	Sister Marie
825280	405526	Dona Elvira
825281	22653	
825281	74631	
825281	86904	
825281	155196	
825282	44216	Girl
825282	202550	Conceição
825282	385398	Natália
825282	389544	Dora
825282	390489	
825282	402457	
825283	165709	Sabina
825284	91423	
825285	28006	
825286	37452	Web Girl
825287	143702	
825287	154542	Herself
825287	264249	Herself
825287	383147	Colaboradora
825287	384830	Colaboradora (2003-2004)
825287	387177	Tertuliana (1996-1997)
825287	388083	Host
825287	390518	
825287	397208	Host
825287	400932	
825287	404076	Colaboradora (1999-2004)
825288	351680	Laura's Mother
825289	281650	Señora turbante
825290	378951	Anna
825291	12123	
825291	25558	
825291	52971	Woman
825291	74529	
825291	87077	
825291	104013	
825291	135052	
825291	193171	
825291	222033	
825291	293053	
825291	306708	
825291	353552	
825291	377176	
825292	325618	Sita Mauritz
825293	10499	
825293	228776	
825294	391710	Silke
825295	12527	
825295	103487	
825295	132709	
825295	205713	
825295	283137	The mother
825295	337869	
825296	55011	
825297	10484	
825297	34555	
825297	106311	
825297	123153	
825297	135119	
825297	146453	
825297	146533	Ana
825297	212666	Abuela de Micaela
825297	234042	
825297	236751	Carolina
825297	309373	
825297	332565	
825297	353670	Sofía Uranga
825297	379900	
825297	388097	Micaela
825297	405812	Andrea Estevez/Andrea Estévez
825298	3432	
825298	57422	Araceli
825298	70115	
825298	83868	
825298	193185	Frida
825298	222412	Pilar
825298	236864	
825298	263861	Fanny
825298	264402	
825298	379457	Elba
825298	379602	Laura
825298	379888	Felisa
825298	381720	Liliana
825298	384864	Krista
825298	387574	Marcia
825298	392653	Mayra Salgado
825298	397019	
825298	398801	Silvia
825298	403786	
825298	409719	Olivia (#2)
825299	184469	Woman on Bench
825300	334410	Vollyball Player
825301	236458	Convenience Store Employee 2
825302	274524	
825303	29760	Teresa
825304	70090	Mujer asaltada #1
825305	25024	
825306	53119	Remedios
825306	54863	
825306	61867	
825306	68061	
825306	68557	Mujer II
825306	80322	
825306	145262	
825306	148583	
825306	253382	Paula
825306	318008	Señora
825307	212506	Novia
825308	258854	L'Employée de mairie
825309	285754	
825310	17490	Woman #2/Woman with Bird
825311	36652	
825311	111635	
825311	160587	
825311	328726	Dona Lucero
825311	371686	
825312	206745	
825313	210377	
825314	402330	Himself
825315	116596	Compañera Buceo
825315	274719	
825316	373793	
825317	56332	
825318	382941	
825318	383812	
825318	384984	
825318	395867	Yolanda
825318	396333	Tatiana Romero
825318	396925	Valeria
825318	408180	Dominique
825319	3474	
825319	12104	
825319	40272	Nina, la protegida de Don Fél
825319	269560	
825319	351831	
825320	19389	
825322	383684	Silvia Alonso Petillon
825322	386015	
825322	396132	Leticia
825322	399620	Sonia Markovich
825322	401694	Karina Linares
825322	404713	
825322	406864	Matty
825323	339155	
825324	109365	Red
825324	191331	Giggles
825325	237899	Vecina
825326	155927	Mrs. Villalobos
825327	196764	
825328	25041	
825329	241169	
825330	246302	
825331	380076	Agustina "Nina" Pulido
825331	384501	Abi
825332	309202	Sorority Girl
825333	354952	
825334	113126	Nana
825335	2107	Antoinette
825335	10704	Lucie
825335	15031	La femme de ménage de Tom Has
825335	16614	Mme Roussel
825335	23535	Neighbor
825335	23757	Jeanne-Marie, la mère de Yann
825335	24669	Marinette
825335	29447	La mère de Michel/Madam Berna
825335	29595	La mère Prado/Mother Prado
825335	30883	
825335	33543	Jeantine
825335	34567	Solange
825335	37279	Madame Marbaise
825335	52698	
825335	65089	Gaby Garcia
825335	68933	L'habilleuse
825335	71817	Marguerite Narboni
825335	77175	Ma Dalton
825335	83174	
825335	85616	Le Professeur d'anglais
825335	88043	Mamita
825335	92680	Une femme dans le métro
825335	96052	
825335	111043	Odette
825335	132763	Simone Castelli
825335	134584	Mme Astrid
825335	156299	
825335	157235	
825335	160068	Hotel Owner
825335	160548	Marthe Clément
825335	169961	Véra Perlman
825335	171965	
825335	184062	Marthe
825335	196388	Renée
825335	198614	Berthe
825335	202747	Suzon
825335	203945	
825335	217223	Bar owner
825335	235819	Mouchy, Simon's mother
825335	237335	Odette Sidowski
825335	243935	Mme Duroc
825335	248265	Nadège de Courtaboeuf
825335	249123	Madame Billot
825335	256979	Carlo's mother
825335	278502	Albina, la directrice du cour
825335	286046	Madame Taupin
825335	286327	La concierge
825335	294559	La mère d'Antoine
825335	300676	La femme pied noir
825335	318121	Madame Karbaoui
825335	319596	Mamie Doradée
825335	341384	La propiètaire
825335	345032	La grand-mère
825335	345317	
825335	345544	Mouchy
825335	347131	Blanche Atlan
825335	347566	La grand-mère d'Edith
825335	349421	Madame Clary
825335	350741	
825335	352135	
825335	356519	The concierge
825335	376895	
825335	380410	Mme Alfieri
825335	383196	Agnès Cambalette
825335	384009	
825384	391443	
825335	386574	Hélène Danton (1999-2001)
825335	396472	Rose Plouhannec
825335	396806	
825335	397856	Toinette
825335	401319	Purification
825335	401982	Bistrotière
825335	404129	Mme Sanchez, la couturière (1
825335	408719	Colette
825335	412201	La concierge
825336	224997	
825336	353558	
825337	192777	Girl #6
825338	50127	
825338	212367	
825338	239279	
825339	71267	
825339	221963	
825340	171374	
825341	30725	
825341	247361	
825342	5740	
825343	389489	
825343	390444	Herself
825343	390452	Herself
825343	390453	Patricia
825343	390454	Herself
825344	207736	
825345	80164	
825345	136980	
825345	221932	
825346	99436	
825347	307822	
825348	215433	Laura
825348	222854	Ana - Laura
825348	233978	María
825348	244036	Natalia
825348	318259	Clara
825348	353636	Laura
825348	355944	
825348	385403	Adriana
825348	385874	
825348	395871	María Eva Alchouron Doura
825348	410453	Cecilia Fusiak
825349	380087	
825349	385367	Patricia Miraval
825349	386162	Nereida Tovar
825349	388567	Tatiana
825349	391272	
825349	397578	Natalia
825349	398662	Natacha
825349	401067	
825349	404203	Déborah Marcano Rodríguez
825349	408389	
825349	410385	
825350	377674	
825352	14364	
825352	16545	
825352	47038	
825352	56056	
825352	97171	
825352	103116	
825352	103849	
825352	133393	
825352	188661	Dora
825352	198371	
825352	265462	
825352	319751	Rubina
825352	319752	Loredana
825353	358831	Girl singing 'It's a Small Wo
825354	229605	
825354	267535	Camilla
825354	334703	Clem
825355	90752	Suor Clara
825356	217563	Ana
825356	322396	Mirta
825357	160979	
825358	32106	
825358	384447	Sydney
825359	355958	
825360	112888	
825361	212441	
825362	202178	Herself
825363	378766	Newsreader (2004-)
825364	401884	Herself/- Finalist
825366	79656	Vanator Child
825367	78925	Multiple: Waitress, School As
825367	217745	Dancer
825368	69909	
825369	13759	Lydia
825369	17753	Annie's Boss/Store Owner
825369	31459	Mrs. Lim
825369	38401	Mother
825369	39008	Tiya Bebang
825369	49759	
825369	79113	Darna's Mother
825369	90381	Chinese Woman
825369	141985	Diana's Housekeeper
825369	158615	The Lawyer
825369	158617	
825369	162114	Doctor
825369	197551	Friday Madonna
825369	207125	Pastora Dimagiba
825369	243175	Mrs. Lim
825369	243712	Viring Ravillo
825369	287062	Tiya Nena
825369	287828	
825369	294642	Nana Sela
825369	323059	
825369	333582	Mrs. Sy
825371	108911	
825372	379820	Paula
825372	380059	Georgina
825372	397463	Nicole Belot
825372	397577	
825372	399522	Diana Soriano
825372	402059	Claudia Ortiz
825372	405318	Berenice Castellanos Paragas 
825373	181672	
825373	287382	
825373	288278	
825374	69016	
825374	212454	
825375	91324	
825375	139391	
825375	148895	
825375	202714	
825375	322626	
825376	79656	Baby Dawn
825377	133772	Informer with Hood
825378	310726	Bus Passenger #3
825379	79656	Penny Little
825380	400661	Isabel
825381	65598	Chica pelotero
825382	351761	Danse Flamenco
825383	200039	
825383	281706	
825384	379116	Soledad
825384	379853	
825384	380064	
825384	380145	
825384	380146	
825384	384119	
825384	384675	
825384	385852	Nieves
825384	390085	Mey
825384	390504	Lola
825384	391608	
825384	394017	Silvana
825384	397120	
825384	397575	
825384	398842	
825384	408895	
825384	411636	Prosecutor
825384	412040	
825385	292089	La Vecina con carro de la com
825386	9866	Rita
825387	33466	La femme du pêcheur arménien
825387	92043	La mère d'Anne
825387	153241	Lady at the window
825387	268199	Hermelinda
825388	236411	La marquesa
825389	67236	Constanza
825389	87171	
825390	63809	
825390	159528	
825390	222021	
825390	275079	
825391	260581	
825392	96529	
825392	222191	
825392	286574	Jurema
825393	270847	
825394	19489	Elizabeth
825394	410217	
825395	136969	Ella misma
825396	94480	Adriana
825396	104110	
825396	269013	Ana Brás
825396	281604	Rosa Maria
825397	275067	
825398	4528	
825399	23750	Marcelle
825399	71392	
825399	260856	Bichette
825400	33521	
825400	77251	
825400	104220	
825400	132066	La jeune salutiste
825400	132832	Valentine Blondeau
825400	189342	Lore
825400	295886	
825400	395334	Mabel Dunham
825401	346606	Fair-haired girl
825402	76038	Mariette
825403	241743	
825404	286277	Une cordonnière
825405	401884	Herself/- Finalist
825406	400946	Panchita
825406	401884	Herself/- Finalist
825407	105462	Dancer
825408	403024	Celina
825409	352008	
825409	378440	Espectador
825410	184242	
825410	381023	Macrina
825410	387552	
825410	398801	Lana
825410	398915	
825410	399807	Inés
825410	404989	
825410	408406	Lola
825411	307641	Madre
825412	371736	
825413	213389	Abuela
825414	6200	Nancy Jazvac
825414	32075	Steve's ex-wife
825414	37094	Brenda Neilson
825414	43724	Teacher
825414	45609	Nurse
825414	61767	Michael's Mom
825414	92618	Dr. T's Patient
825414	107155	Loretta
825414	107265	Casey's Mom
825414	115252	Waitress
825414	139967	Shirley
825414	191842	Harriet Baker
825414	223752	Camille McCloud
825414	253010	Reporter
825414	294980	Cowgirl waitress
825414	314785	Honky Tonky Waitress
825414	315569	Waitress
825414	364439	Etna Reed Price
825414	366919	Psych Tech
825416	22116	
825416	183467	
825416	278499	
825416	326202	Enfermera
825417	31466	
825417	49034	
825417	95767	Young Dyesebel
825417	102924	
825417	103774	Cynthia Salazar
825417	162113	Belen
825417	172161	
825417	172303	
825417	173634	Nelia
825417	184175	
825417	185734	
825417	200394	
825417	204603	Janet Tan Lim
825417	214770	
825417	214777	Jackie
825417	256400	
825417	297093	Tifanny
825417	318664	
825417	319403	Jenny
825417	334024	
825417	360107	
825417	387832	Cynthia Salazar
825417	398237	Host
825417	398996	Ava
825417	399840	
825417	403056	Luisa Arellano
825418	273468	Girlfriend #1
825419	122214	Julie
825419	355362	Arianna Chavez
825420	376872	
825421	75592	
825421	83529	
825422	6461	Madre de Alicia and Madre Car
825422	9103	
825422	61145	
825422	96318	
825422	145179	
825422	151797	
825422	170035	
825422	236456	Azafata
825422	249300	
825422	276578	
825422	302319	
825422	373854	
825422	379000	Cristina
825422	379566	Charo (1997-1998)
825422	379615	Belén Martinez
825422	383235	
825422	384649	Magdalena
825422	385252	Vivian Marshall
825422	387624	
825422	387886	
825422	389751	
825422	408570	Blanca
825423	193063	
825423	376655	Coco Anchondo
825424	51624	Dweller in Boating Village
825425	397599	Sirvienta
825426	136812	Alice Pitezel
825427	24331	Beatriz
825428	124535	Solea
825428	130590	Soprano
825428	171593	Hélène, fille du Comte
825428	246545	Nedda
825428	407462	Cecilia (segment "Forrest Fev
825429	202505	
825430	108883	
825431	66719	La crevette
825432	346454	
825433	50805	
825434	124520	
825434	146553	Enfermera
825434	229442	
825434	255907	
825434	382756	
825434	383601	(10 episodes)
825434	391443	
825434	392751	(10 episodes)
825434	396822	(5 episodes)
825434	397574	
825434	398176	
825434	399145	
825434	401186	
825434	401250	(3 episodes)
825434	402151	(35 episodes)
825434	406728	
825434	409027	
825435	107322	Rosa
825435	237212	
825435	308742	Matilde
825436	95950	Tylska
825437	38417	Hostess
825437	281330	Herself
825437	284574	Herself (hostess)
825437	326590	Herself (hostess)
825437	327090	Herself (hostess)
825437	349572	Herself (hostess)
825437	375831	(hostess)
825438	100932	
825439	53653	
825439	343629	Alumna
825440	373793	
825441	379118	Regina
825441	392960	Elizabeth Guzmán
825442	249910	Mujer Argentina
825443	125723	
825444	92342	
825445	80614	
825445	90048	Girl in Subway
825446	80614	
825447	213964	Punk Grrl
825448	53649	
825448	74607	
825448	108130	
825448	124658	Lucha
825448	193188	
825448	307818	
825448	353615	
825449	202179	
825449	371684	
825450	294762	Maria
825450	332044	Maria, his betrothed
825450	376709	Maria
825451	42947	Pelagia
825451	61133	Eloísa
825451	64021	
825451	74561	Dora
825451	147308	
825451	238151	
825451	255801	
825452	100474	
825452	103701	Maria Luz
825452	161655	
825452	210181	
825452	292749	
825452	301334	
825452	302896	
825453	307641	Desnudo
825454	170917	
825455	212078	Tahitian Waitress
825455	348024	Nun
825456	1893	Marianne Berg
825456	2674	Tante Fanny
825456	2681	Aunt Fanny
825456	6173	Lise
825456	14740	Ina Le Cæur
825456	21379	Lise Bruun
825456	28561	Helga Sørensen
825456	33228	Nådigfruen
825456	48382	Dora
825456	83059	Martha Hovmann
825456	83078	Baroness Regina King von Koni
825456	83090	The Mother
825456	108922	
825456	111160	Narrator
825456	115230	Fru Holm
825456	115231	Fru Holm
825456	115555	Anna
825456	118593	Ida, købmand Kelbjergs datter
825456	127499	Hjørdis Steen
825456	138540	Ulla Bremer
825456	142221	Vibeke Thann
825456	183314	Lasses mormor
825456	205685	Kirsten Hald
825456	249744	Ung pige ved bal
825456	252000	Fru Kongstrup/Mrs. Kongstrup
825456	262957	Lis
825456	262961	Ingrid
825456	268371	Grete
825456	268808	Eva Nygaard
825456	283483	Selma
825456	303874	Anna Kjeldsen
825456	315054	Grete Gregersen
825456	320224	Susanne Drewes
825456	322318	Claire
825456	322462	Gerda
825456	334255	Beth
825456	338666	Ingrid
825456	343374	Frk. Anne Høegh/'Søster'
825456	343953	Jacobs mor
825456	346993	Yveline
825456	349650	Anna
825456	352116	Susanne's Mother
825456	352989	Ulla Blom
825457	153241	
825458	24540	Mary Agnes
825459	395236	Débora
825459	396077	Herself (interviewed)
825460	63099	
825460	83826	
825460	186306	
825460	240941	
825460	241651	Marsha
825461	124928	Teresa Villaverde
825461	376926	Rosa
825462	19441	
825463	17874	
825463	127724	
825463	243175	
825463	265992	Xedes
825463	369528	Dely ("Kama" Episode)
825463	394247	Senator Lydia Junio (2003)
825463	400738	Dr. Castillo
825464	36486	
825464	87729	Montero's daughter
825465	396809	
825466	183933	
825467	241074	Mme. Farny
825467	398985	Solange Guillot (1974)
825468	198993	
825470	392769	Marta
825471	14926	
825471	25022	
825471	54320	
825471	108535	
825471	115751	
825471	221948	Isabel
825471	251728	Madre Villa
825471	379131	
825471	379206	
825471	386205	
825471	386646	
825471	397573	
825472	379552	Rita
825473	103446	
825473	222110	Tindeng
825473	398494	Tindeng
825473	404050	Shiela's Cellmate
825474	162779	Dancer
825474	384507	Dancer
825475	160637	Dancer
825477	213705	
825478	12059	
825478	83129	Sra. de sociedad
825478	171462	
825478	205102	
825478	209298	Don Chava's wife
825478	217920	
825478	221754	
825478	222029	
825478	236004	
825478	319559	
825478	352852	Julieta
825478	353786	
825479	383470	
825480	6737	
825480	14746	
825480	14926	
825480	22787	
825480	48292	María's mother
825480	53121	
825480	54775	
825480	55352	
825480	63323	Tia Clara
825480	72958	
825480	75364	
825480	98701	
825480	103858	
825480	135282	
825480	156585	Dona Mechita
825480	183500	
825480	198239	
825480	216077	
825480	231288	
825480	258478	
825480	272778	
825480	274656	
825480	296445	
825480	317798	
825480	332663	
825480	353573	Casera
825480	377170	
825481	403924	Chencha
825482	379459	Quintina
825483	70615	
825484	2404	
825485	339095	
825485	380103	Cynthia Rico
825485	387479	Cristina
825485	399807	Patricia
825485	403690	Leticia
825485	407304	Renata
825486	121549	Fortune Teller
825487	69342	Léonore
825488	11971	
825489	123789	Elisha
825489	245762	Lucy
825490	307380	Mary-Ellen Smith
825491	307380	Cassandra Smith
825492	307380	Gillis Smith
825493	42660	Wife
825493	286207	
825494	221963	
825494	226435	Niña Carlota 2
825495	100280	
825496	336302	Policewoman
825496	351549	La voix de la radio
825497	135338	Institutrice
825498	196820	
825499	406381	Herself (season 1)
825500	346933	Sexy Girl
825501	146370	Herself
825502	328265	Newscaster
825503	26040	Celeste
825504	100113	
825504	243016	
825505	20861	Nancy
825505	55565	
825505	78403	Muriel Auclair
825505	100249	Christelle
825505	101166	Florence
825505	253994	Lucie
825505	264367	Cécile Garnier
825505	307108	
825505	392911	L'assistante social
825505	404804	Marthe
825506	406381	Herself (season 1)
825507	21003	Couchette
825508	28953	
825509	214023	
825510	210848	
825510	241543	
825511	403178	
825512	59301	L'assistante d'Hélène
825513	378761	Andrea Pagés
825514	345290	Violin Player
825515	257670	Herself
825516	68780	
825517	162129	Iphigénie-Double
825518	6674	Principessa di Bouillon
825518	19883	
825518	54153	
825518	109794	Countess Rattazzi (segment "F
825518	114332	Anita , Inzerna wife
825518	188592	
825518	198852	Annette
825518	228145	
825518	269191	
825518	301366	Ippolita Gasparini
825518	336606	Woman
825518	373348	Yvonne la Nuit
825518	386745	Olga Kandisky
825519	261577	
825520	328270	Cristina
825521	401988	
825522	198629	Serveuse du Bar
825523	28681	L'hostesse de l'Hôpital
825523	83279	
825523	389784	
825524	11503	Mave
825524	181155	Petra
825525	310302	Carl's Friend
825526	199837	
825527	60303	
825527	71099	Babs
825527	88895	
825527	101433	Dolly
825527	140192	Landlady
825527	144428	His Secretary
825527	177436	Billie
825527	183855	Selma
825527	220446	Telephone Operator
825527	220465	Martha
825527	233960	American Lady
825527	236908	
825527	239518	
825527	241061	Florabel Leigh (1938 version)
825527	241330	Mabel
825527	254657	Liz Sweeney
825527	260143	Drinking Club Blonde
825527	265740	Rusty's Mother
825527	280832	Mrs. Coogan
825527	285686	Blondie
825527	286222	Joan
825527	309801	Mts. Durrant
825527	315883	Indian Princess
825527	318193	Miss Foxhill
825527	333257	Gladys
825527	336694	Adele Parrish
825527	353382	Madge
825527	361474	Violet
825528	137487	Madame Cybele
825528	391287	Tinette
825529	166326	Narrator/interviewer
825530	367901	Miss Wilson
825531	179846	Mim Lowry
825532	44243	Mexican Woman
825533	46605	Brenda
825533	97698	Trixie Happinleigh
825533	112434	
825533	122024	Gwenda Howard
825533	195726	
825533	203513	Mona Jennifer
825533	234107	Gertie Mellor
825533	262057	
825533	283087	Clytie Bromley
825533	286123	Sally Bishop
825533	301962	Nancy Lisle
825533	313859	Camille
825533	337402	
825533	376189	Joyce Sinclair, zuster Brown
825534	82095	Waitress
825535	77180	
825535	379023	Host/Performer
825536	143664	
825536	318013	Gloria
825537	28908	Calra Calvi
825537	34435	La moglie di Gengis
825537	57568	
825537	81110	Antonella
825537	81686	Stella
825537	86093	
825537	86833	
825537	94643	Elisabeth
825537	97836	
825537	104946	
825537	117866	Elsa
825537	122728	Nina
825537	127870	Patrizia Griffo
825537	190411	Pia
825537	219671	Sylvia
825537	285507	
825537	307440	Giuseppina Giuramondo
825537	311476	Eugenia
825537	337426	Wife of the man with small "w
825537	355648	Fiore
825537	356003	Sofia
825537	381194	
825537	396821	Bice
825537	403447	Bianca
825538	16331	Herself
825538	25508	Herself
825538	166182	
825538	249774	
825539	9640	
825539	56077	
825539	273666	
825539	301189	
825539	307678	
825539	410303	
825540	225531	Nurse at nursery
825541	42426	Daisy
825542	14576	
825543	231764	Sady
825543	306844	Valeska
825544	92899	
825545	10163	
825545	23787	Titine
825545	23790	Madame Ferber
825545	23793	Une jeune fille
825545	23817	Mélina
825546	39205	Dancer
825546	120412	Nurse
825546	329592	Herself - Specialty
825547	18900	Havis Amanda
825547	21384	Ruletinhoitaja
825547	58345	Barmaid
825547	107662	Pirjo 'Pirre' Kaasinen
825547	152361	Pirre
825547	172799	
825547	176705	Häyrysen daami teatterissa
825547	232134	Dispatcher (Helsinki)
825547	242255	VD Doctor
825547	252046	Saara Tanner
825547	301429	
825547	341808	Sosiaaliviraston virkailija
825547	348727	Marja-Liisa, Mårtenin vaimo
825547	349822	Miestään sättivä nainen baari
825547	349945	Jaana
825547	357785	Rouva Napero
825547	357786	Vänrikki Nappulan vaimo
825547	357787	Rouva Napero
825547	357788	Vänrikki Pienimäen vaimo
825547	357789	Vänrikki Nappulan vaimo
825547	377312	Iines
825547	388234	Pirjo 'Pirre' Kaasinen
825547	391434	Herkku/Various
825547	392335	Vappu Nieminen
825547	395638	
825547	400639	Raili Hiltunen
825547	401276	Pertsan äiti
825547	402414	Irja Sopanen
825547	402484	Rosina Käkriäinen
825547	402821	
825547	410018	Various
825548	190659	
825549	256372	
825550	388055	Herself (1999/2003)
825551	51118	Julia
825551	152830	Laura als Kind/Laura as Child
825551	206221	Maria 13-jährig
825551	271751	Marie
825551	312950	Kind (Child)
825551	345906	Marilli Kosemund as a Child
825552	34262	Sanna
825552	51118	Alexandra
825552	152830	Kind im Supermarkt/Child in S
825552	206221	Maria 6-jährig
825552	226248	Kleines Mädchen
825553	36480	Marita
825553	51118	Anna
825553	206221	Maria 10-jährig
825553	271751	Theres
825553	312950	Mutter (Mother)
825554	229414	
825555	403532	Herself - Participant
825555	403533	Herself - Participant
825555	403536	Herself - Participant (2000, 
825556	1311	Luna (Episodio de Alberto Lec
825557	234883	
825558	245115	Woman
825559	94509	
825559	94739	
825559	294667	Olga
825560	262676	
825561	89466	
825562	248148	
825563	25767	Yolanda
825563	310639	Ordinance Expert
825563	335706	Nina Cortez
825563	385041	Elenita
825563	390733	Chena
825563	396873	Meche
825563	397499	
825563	403525	Maria Alvarez
825563	405798	Victoria
825563	408859	Alejandra Landazábal
825564	336832	Model
825565	84743	
825566	4034	
825566	18274	Eurydice
825566	71888	
825566	101511	Mme Guinal
825566	135223	Herself (Guest Appearance)
825566	137987	Meena
825566	227308	Channi
825566	250496	
825566	250498	Renu
825566	298232	
825566	307312	Rosa
825566	341913	Membre de la famille de Berna
825566	412260	Mathilde
825567	274493	Stewardess
825568	24167	Madam Balavoine
825569	79272	Dater
825569	119484	Additional Voices
825569	345637	E.R. Nurse
825570	59797	Dancer
825570	107742	Tammy Sue
825570	176503	
825570	394406	Dancer (1985-1988)
825571	58488	Joan
825572	354607	Gunilla (episode 2)
825573	51453	
825573	58788	
825573	63780	Valérie
825573	66216	Aurore
825573	251548	Pascale
825573	262947	
825573	271048	
825573	310061	Lucie
825573	349503	Mother
825575	40054	La secrétaire
825575	43758	Catherine Winberg
825575	345329	
825575	346801	Hermangarde
825575	384030	Marie Touchet
825575	384168	Christine
825575	393397	Cathy
825575	393853	Mlle de Sainte-Hermine
825575	401939	Lucie Fortier
825575	409454	Une comédienne
825576	299392	
825578	230123	
825579	78757	Marie
825580	102155	Shopgirl
825581	45830	
825581	148523	Singing Twin #1
825582	213581	Chorus
825582	250638	Aesthetic maiden
825582	334757	Chorus
825583	142869	Fat Prostitute
825584	168214	
825585	315900	
825586	40911	Little girl on tricycle
825587	202749	Florence
825588	385020	Sophie Webster (III) (2004-)
825589	157004	Ann
825590	51639	Marcy
825590	51640	Herself
825590	79008	Girl #2
825590	80456	
825590	110299	June
825590	160871	Gen
825590	222784	Beautiful Girl
825590	235403	Areola
825590	262085	Maya/Yellow Galaxy Ranger
825590	262090	Maya/Yellow Galaxy Ranger
825590	319935	Tiffany
825590	338818	Lacy
825590	402003	Maya/Yellow Galaxy Ranger
825591	34658	NonSex
825591	60097	
825591	116890	Nurse
825591	117517	
825591	121639	
825591	125584	
825591	183294	
825591	221768	
825591	234842	
825591	235497	
825591	237135	
825591	261432	
825591	327642	
825591	333823	
825592	68448	Terri
825592	296552	Our Guests at Heartland
825593	44835	Mme Frioulat
825593	73155	Lady Windermere
825593	80343	Sarah
825593	83295	Judith Atkins
825593	188692	Hester Prynne
825593	264378	Madame Du Plessis
825593	265223	La soeur hebdomadière
825593	280549	Goneril
825593	285778	Libellule
825593	336939	Une malade
825593	407535	Maud
825594	45830	Halsey's Aunt #2
825594	148523	Singing Twin #2
825595	79034	Whitney
825596	278894	Woman Reporter
825597	33578	Djemila
825597	94329	La petite serveuse
825597	107527	
825597	168214	Marie
825597	168276	Zoé
825597	292691	Babysitter
825597	346542	Bénédicte
825597	353855	Lili
825597	382219	Aïcha
825597	388160	Naïma Hamoudi
825597	408002	Gise
825598	15861	Environmentalist
825598	154593	Warhol Superstar 2
825598	380421	Host
825599	26464	
825599	145972	Florence Maddern
825600	20906	La métisse
825600	118754	Jasmine
825600	167103	Jeune Black répétitions
825600	189304	Turkish servant
825600	345074	La caissière
825601	205644	
825602	46892	Margaret Jesson
825603	11040	
825603	18288	Elizabeth Sauveur
825603	32273	Martine
825603	34420	Mother
825603	37891	Sylvie
825603	53014	Catherine de Vergnas
825603	60521	La comtesse d'Egmont
825603	83184	Louise Favart
825603	83355	Jeanne
825603	84691	Arlette Olivier
825603	86792	Michèle
825603	96067	Yvonne, la mère
825603	96104	Ernstine
825603	97717	La Reine Isabelle
825603	100019	Lady Sybil Heston
825603	100029	Mado Lafarge
825603	109020	
825603	112880	Lucile
825603	122418	
825603	160657	La mère d'Henry/Henry's Mothe
825603	168083	Sarah
825603	197005	
825603	198638	Élisabeth
825603	205717	Agacha, la concierge
825603	205768	Mme de Noailles
825603	206008	Odette
825603	249361	La veuve
825603	255574	Michèle
825603	264451	Norma Klarh
825603	269215	Esther
825603	269223	Madame de Saint-Simon
825603	307478	Virginie
825603	335081	La mère de Tom
825603	338328	La femme de Chenu
825603	340119	Journalist
825603	345394	La mère de famille
825603	346642	Béatrice, la mère de Charlott
825603	346660	Véro
825603	353885	Madame Marielle Le Quesnoy
825603	361606	L'assistante sociale
825603	377674	Madame Villebois
825603	380864	Hélène, femme de Jacques
825603	384816	Heloïse de Villefort
825603	385609	
825603	396524	Solange Monnier
825603	403089	(segment "Echange standard")
825603	403474	Agnès Lombard
825603	409732	
825603	410215	
825604	82407	Clémence Doyon
825604	237306	Doctor
825604	278732	Penelope
825605	34197	
825606	353840	Evelyne (1 ans)
825607	32285	Viviane
825607	133165	Jeanne Rossi
825607	205220	Silvie
825607	220405	Suzanne
825607	286325	
825607	307623	
825607	410252	Dominique Latreille
825608	20315	Pamela Trent
825608	26146	Bit Part
825608	39205	Catherine Bennett
825608	53324	Jeannie McLean
825608	58657	Vivian Bailey
825608	64885	Linda Fairaday
825608	65650	Marcellina
825608	65706	Doreen Thompson
825608	67415	Carrie Hurley
825608	71657	Barbara Taylor
825608	72906	Nora Cavigny
825608	82504	Charlotte
825608	143565	Diane Kirkland
825608	148957	Carol Sterling Crump
825608	157456	Actress in Convertible
825608	183358	Mary Frances
825608	193730	Grace Duffy
825608	206466	Miss Craig
825608	206887	Estelle Byron
825608	214964	Mrs. Leonard
825608	232338	Emily Morton
825608	292848	Stella
825608	293793	
825608	298175	Edna Grover
825608	302586	Muriel Crane
825608	308585	Eve Allen
825608	316787	Diana
825608	329616	Libby Cawthorne Gogarty
825608	338287	Doris Bradley
825608	358035	Doris Vail
825608	373814	Jenny
825608	382770	Dr. Amanda Winninger (1971-19
825609	254119	
825610	32354	Mevrouw Kieft
825610	102289	
825610	167179	
825610	214816	Corelia
825610	280616	Diane
825610	336643	Maggy
825610	343569	
825610	389666	
825611	113425	Herself
825612	3864	Herself
825612	31018	The Gitane
825612	44980	Louise
825612	59056	Matron
825612	59715	Madame Cariteau
825612	75914	Ironing Nun
825612	102001	Mrs. Fortuné
825612	109020	
825612	118311	French Prisoner
825612	119018	Tourist
825612	127928	Woman at the Fondation Roux
825612	184054	Pierrette
825612	186145	Madame Flory
825612	197114	
825612	216003	Louise
825612	230206	Samuel's Mother
825612	240601	Rose
825612	264525	Surveillante
825612	310455	Slave at Gracchus' home
825612	313304	
825612	328291	Monster's Voice
825612	345038	Fleur
825612	345461	Yvonne
825612	350850	Woman Creditor
825612	372597	Duenna
825612	377069	La patronne de la boutique (s
825612	377652	Marthe
825613	142985	Cocktail Lady
825613	269771	Reporter
825613	321222	Reporter #2
825614	107050	Mother Pinau
825616	348377	Can Can dancer
825617	57284	
825617	84619	
825617	96243	Conchita, the 'madam'
825617	125074	
825617	157614	
825617	160986	Madeleine
825617	245977	Linda
825617	252314	Monika
825617	257353	Mado
825617	295146	Marie Dupont
825617	300761	
825617	317953	The Dresser
825617	349405	
825617	356983	
825617	362080	
825618	26042	Petite Céleste (french versio
825618	86727	Prof de gym 2
825618	132977	
825618	202706	La mère de Julia
825618	246292	L'infirmière-chef
825618	376933	Banquière
825618	386674	Chantal Pichon
825618	390773	
825619	46424	Joan
825619	184714	Serveuse
825619	362716	Woman in Labor
825620	118595	
825620	236581	
825621	352682	Betting shop assistant
825622	407369	Woman, Sayuri, Candy Lady, Os
825623	245264	Washroom Lady
825624	113472	Ellie
825624	360855	Michelle, Girl on Boat
825625	109535	Nurse
825625	333384	Swedish Maid
825625	348383	Annie
825626	319625	Danitra Evans
825626	355212	Christine Barnes
825627	339494	Louise
825627	385490	Mme Lespinasse
825627	389271	(segment "Julien")
825627	398985	Mme Venel (1974)
825627	401321	Marie-Plaisance
825628	133343	Head Nurse
825629	206008	Olga
825629	246470	Anita
825630	325222	Sarah
825631	336311	La femme enceinte du Hongrois
825634	310549	Herself
825635	9870	Charlotte
825635	100732	Immondice
825635	132288	Muguet
825635	198974	La voix d'Arlette
825635	200951	Madeleine
825635	206598	Michèle
825635	245954	L'institutrice
825635	268455	Lisette
825635	327551	Denise Pardoux
825635	356379	
825636	34670	Lawyer Secretary
825636	40878	Sally Jeffers
825636	64207	Blue Haired Lady
825636	106493	Parent of Murdered Children G
825636	134726	Livie
825638	6	Eunice Hooper
825638	26467	
825638	39760	Alma Gallo
825638	59099	Miss Parker
825638	142298	Sue
825638	145395	Ethel
825638	145396	Ethel Carter
825638	154740	Peg
825638	161977	Grace Henderson
825638	194137	Waitress
825638	196181	Anna
825638	228730	Sarah Grog
825638	230409	Ginger
825638	232222	Mrs. Crawford
825638	266561	Mary, a Therapy Group Member
825638	270271	Margaret
825638	276675	Jenny Blake
825638	316307	Woman
825638	321265	Mrs. Schumacher
825638	326119	Hortense
825638	335549	Sally Bullock
825638	338801	Aunt Lou
825638	387374	Daisy Maxwell (1977-1979)
825638	393611	Betty (1961-1962)
825639	193508	La réceptionniste Carita
825639	197546	La vedette
825640	11439	Ryunosuke
825640	25749	Ayumu "Osaka" Kasuga
825640	29395	Ryunosuke
825640	87409	Airport Announcer, Trouble Co
825640	92777	Yellow Slime
825640	123029	Ayako
825640	123932	Dotta
825640	177083	Additional Voices
825640	206618	Ruri Hoshino
825640	264168	Orchid
825640	267078	Min-hee
825640	267200	Hitomi Aasu
825640	285831	Chinpu
825640	304688	Shampoo/Additional Voices
825640	309117	Dotta
825640	311935	Additional Voices
825640	379014	Katie Collins
825640	379081	Mitsuyo Imamiya
825640	379521	Tsugumi Higashijujo
825640	380900	Chum Huau
825640	381025	Ayumu Kasuga
825640	381163	Dotta
825640	382908	Young Sylia, Young Galatea
825640	384233	Mizuki Tachibana
825640	386536	Takeshi Saehara
825640	387457	Violet, Romina, Ninja Elf
825640	388022	Ropponmatsu 2 (voice: English
825640	389503	Whispered Girl, Mayuko Uchida
825640	390536	Mizuki Tachibana
825640	394421	Ruri Hoshino
825640	394431	Ryo Misaki
825640	394997	Nakahito Kagura
825640	396548	Fiena
825640	398924	Najica Hiragi
825640	399784	Young Nazarov, Russian Boy, K
825640	402175	Koharu Hotta/Additional Voice
825640	402790	Quon Kisaragi
825640	403909	Meria
825640	404127	Shina
825641	157283	Solange
825642	68650	Gioia Savastano
825642	293888	Marisa
825642	328891	
825642	338681	Prof. Giacci
825643	73084	
825643	145190	
825644	388611	Herself
825645	66374	Ulla
825645	168643	Berthe
825645	219821	Gina (segment "Latin lovers")
825645	257558	
825645	290006	
825646	328788	Nurse
825647	307437	
825648	223322	
825649	69163	Herself
825649	69164	Herself
825649	104753	Swiss entry (9th place)
825651	1015	Couple in Bed
825653	5037	Airline ticket agent
825654	251850	
825654	356223	Mario's mother
825655	14361	
825655	57966	
825655	94693	
825655	117892	
825655	187446	Demetra
825655	338318	
825656	263116	
825657	115833	
825658	293317	Himself
825659	23551	
825659	58829	
825659	128928	
825660	264527	Gigi
825660	279255	
825660	377019	
825661	219184	ER Attendant
825664	243272	Gladys
825665	140383	Maieke
825666	40445	Moniek
825666	171798	Ida Laarmans
825666	182152	Sarah
825666	285702	Ilse
825666	398025	
825666	400216	Esther Goldberg
825667	213359	Erwtebloesem
825667	242897	
825667	410401	Stefanie
825668	388051	Herself (2002)
825669	48156	Blanche Viane/Jeanne Marchal
825669	247132	Maria
825670	40193	
825670	130972	Jane
825670	152892	
825670	194796	Angel Wolfe
825670	385653	Crystal Fox
825670	389858	Corinne (1981)
825670	395430	Model
825671	212509	
825672	173592	Keke
825672	322092	Füge felesége
825675	104051	
825675	212509	
825676	58358	
825677	190748	Táncoslány
825677	284183	
825678	349627	
825679	41877	Ludimila
825681	121412	Suzanne
825681	287351	
825682	167658	Herself
825683	167658	Herself
825684	42842	Ben Shiller
825685	189325	Ben's Classmate
825685	330058	Girl
825686	222661	
825687	78855	Hannah
825687	175119	Young Lover
825688	165411	
825689	59662	
825690	346413	Ruth
825690	350622	Sad Woman #2
825691	142390	Erin
825691	172745	Vineetha
825691	253174	
825691	270920	Erica's Girl #2
825691	297546	
825691	329282	Vasundharamma
825691	348924	
825691	354121	
825691	373669	
825692	194605	School Teacher
825693	148084	
825694	37899	Invitée Dîner
825695	68011	Ephesus Townsperson
825695	131429	Cheryl Langford
825696	305199	
825697	304758	Diane
825698	110347	
825699	29910	Pasient
825700	46266	
825700	118685	Mary Willis
825700	206885	Mary Rose
825700	242490	Elsie Warren
825700	288076	Servant
825700	353282	Lady Norah Brendon
825701	399130	Kate (2002-2003)
825702	120484	Narrator
825702	383186	Rosie
825702	389514	Jesse
825702	404112	Sheegwa
825703	279591	Fortune Teller
825703	302142	
825704	126567	Mary
825707	338239	
825708	200241	Testing lady
825710	25019	
825711	409183	Herself/Apresentadora
825712	211439	Police Officer #2
825713	332007	Technician
825714	58511	Host
825714	266735	Host
825714	326117	Host
825715	397946	Cosette enfant
825715	400681	Julie
825716	333611	Nouchka
825717	15041	Libra woman 1
825717	230206	
825718	84695	Mère de Vincent
825719	228237	Herself
825719	228238	Herself
825721	94258	
825721	182305	Wife
825722	392665	
825723	171575	
825723	301912	
825723	341784	Vera
825724	394876	
825725	91071	Host (SF1)
825726	141796	Berthe
825727	25354	
825727	243371	Sirisha
825727	281866	Priest at wedding ceremony
825728	201883	Miss November
825729	1225	Woman at Party
825729	47496	Russian Woman
825729	67607	Maid
825729	78023	Mrs. Petrova
825729	78843	German Woman
825729	157720	Saleswoman
825729	167820	Russian Group #8
825729	219248	Proskovia Vindikov, Stewart's
825729	265742	Grandmother
825729	298027	
825729	306844	Russians
825729	335591	
825730	115424	
825731	78001	
825731	383005	Daliya
825731	391739	
825732	91212	
825732	104282	Julia
825732	179805	Giuditta Pasta, singer
825733	92963	
825733	264436	
825734	179670	
825735	396239	
825736	17534	
825736	24863	
825736	26214	Emma Markovna
825736	32454	
825736	43205	Narrator
825736	63624	Kolycheva
825736	77485	
825736	81672	Hare
825736	81698	
825736	86595	
825736	88740	
825736	89984	
825736	91193	
825736	91210	
825736	95644	Old wohman
825736	95690	
825736	124040	
825736	131279	
825736	132464	Mother
825736	133385	Grandma
825736	137113	
825736	156001	
825736	157301	
825736	159915	Fedosia
825736	160814	Sergeyevna
825736	164015	Margo
825736	172719	Zoya
825736	176056	
825736	179090	
825736	179747	Praskovya Ivanovna
825736	179770	
825736	180737	
825736	190728	
825736	205596	Oache
825736	207413	Annushka
825736	215110	
825736	222553	Muravyishka
825736	224277	Sonya
825736	225877	
825736	226847	
825736	227047	
825736	227899	
825736	227960	Masha
825736	229004	
825736	229175	
825736	231162	
825736	232690	
825736	234442	
825736	237741	
825736	244100	Nadja, a nursing aide
825736	244134	
825736	244221	
825736	253739	
825736	256441	
825736	256804	
825736	259221	Old Lady in Gorky Park
825736	261370	Mikheyevna
825736	264983	
825736	265047	
825736	265989	
825736	268135	
825736	282770	
825736	283829	Tyotya
825736	283993	
825736	286216	Verochka
825736	286467	Varvara
825736	297560	
825736	303808	
825736	305286	
825736	305613	
825736	307615	Grandma
825736	312537	
825736	318146	
825736	320410	
825736	324652	
825736	339335	Tutti
825736	339626	Margarita Pavlovna
825736	340657	Uncle Fyodor
825736	341025	
825736	341040	Pakonya
825736	343304	
825736	344096	
825736	349348	
825736	356541	
825736	356569	
825736	356592	
825736	356595	Mother
825736	356677	
825736	356916	
825736	356921	Khoroshavka
825736	357208	
825736	370166	
825736	372954	Hedgehog (Voice)
825736	374162	
825736	374241	
825736	375330	Granny Dunia
825736	381021	Grandma
825736	394785	
825736	398757	Mavra
825737	298325	
825737	409295	
825738	45710	Herself
825738	85206	Katya Ivanova
825738	172445	Babushka
825738	216006	Mary
825738	253091	
825738	320487	
825739	176713	Lady with Compact
825740	16429	
825740	16996	
825740	17716	Laure Gerbier
825740	45157	
825740	51166	
825740	51168	
825740	51204	
825740	52727	
825740	63643	
825740	65732	
825740	74346	
825740	78450	
825740	84102	
825740	103226	
825740	111874	
825740	171441	
825740	201186	
825740	205627	
825740	219520	
825740	226792	
825740	237945	
825740	265922	
825740	266387	
825740	287318	
825740	295502	
825740	319861	
825740	333732	
825740	345344	
825740	354692	
825740	371418	
825740	371420	
825741	176406	Extra in alley scene
825742	43636	Cecilia
825742	68406	La femme de Pierre
825742	84695	Secrétaire N°2
825742	166129	Mère du Bebe
825742	258311	
825742	263219	Bernadette
825743	51991	Mercedes
825744	79072	Cara
825745	157957	Inez
825746	8179	Eve Lenhart
825746	19971	Myra Salisbury
825746	21453	Lucille Lingard
825746	35822	Arlene Terry
825746	45218	Peggy Winters
825746	47311	Margaret
825746	54482	Janet Grayson
825746	62269	Glory Marlow Jr.
825746	72600	Esther Parrish
825746	75600	Charlotte Morley
825746	101050	Irene Hunter
825746	127519	Nurse
825746	132893	Lola Starr
825746	153998	Helen
825746	157847	Suzanne
825746	167275	Marianne Horne
825746	175559	Doris Delafield (Archer's mis
825746	177445	Anna Courvin
825746	183546	Chloe Donovan
825746	186452	Barbara 'Babs' Bentley
825746	188462	Ann (Credits)/Nan Blake
825746	190210	Laura Shadwell
825746	191835	Polly Cass
825746	192611	Lily Chalmers
825746	195678	Countess Xandra St. Aurion
825746	206413	Doris Wilding
825746	213106	Iris Whitney
825746	235596	Linda Grahm
825746	235691	Nina Thorne
825746	261997	Eve Borden
825746	264888	Claire Monet
825746	276939	Gloria Sheridan
825746	292189	Betty Cavendish
825746	330129	Enid Hollister
825746	330384	Helena Draque
825746	336287	Mrs. Gloria Anderson
825746	341771	Varlia Lloyd
825746	342712	Corinne Walton
825746	356230	Mary Curson
825746	360705	Dora Barrett
825747	277705	
825747	277706	
825747	390035	Casey Austin (1994-1995)
825748	283555	Student #3
825749	222134	
825750	279509	Happy Days Waitress #2
825750	317341	Real Simone Swaare'
825751	181842	Une jeune
825752	1361	Melanie
825752	78058	
825752	82326	Cindy
825752	99604	Pamela (stewardess)
825752	152910	Mary Maddux
825752	192328	Janie
825752	263983	Waitress
825752	285357	Tina
825752	330559	Jogger #2
825752	348607	Bitchy Girl
825752	359716	Stacy2
825752	408692	Ziggy McLeod
825753	268700	Runaway teenager
825754	33721	Christina
825754	310130	Little League Girl
825754	313601	Catherine Langford (young)
825754	408154	Claudine Turner
825755	101392	
825755	127578	
825755	253008	
825755	357946	
825755	395824	Marie
825756	90790	Herself - Daughter to organ d
825757	171689	Katya
825758	197252	
825758	197267	
825759	67916	Alex
825760	357996	Herself
825761	98225	Narrator
825762	7126	Lucy
825762	13591	Ann Morgan
825762	49364	Theater Ticket seller
825762	52043	
825762	60952	Jane Darnell
825762	83809	First Blond
825762	113885	Second School Girl
825762	128173	
825762	130624	Chorus girl
825762	150797	Chorus Girl
825762	199330	'Bluebell', Young Girl at Dea
825762	247230	Joan Carter
825762	259789	Girl at Polo Field
825762	295437	
825762	302705	Barbara Evans
825762	312586	Mr. Bennett's Secretary
825762	351737	Mary Warner
825762	352752	Marine's Bride
825762	372935	Billie
825763	158056	Lillian Claire du Chateauroux
825764	384115	Pirucha
825764	386792	Teresa
825765	128966	Madre superiora
825766	190622	Jason's Sister
825767	308215	Mina
825767	395667	Jaqueline Aichinger (2001-)
825768	105076	
825769	286063	
825770	51990	Liberated Prisoner
825771	104936	Jeremy's Gal Pal
825772	29104	
825772	57021	Rita
825772	349519	Michela Montini
825773	20093	
825773	20094	
825773	71342	
825773	235928	
825774	55872	
825774	93003	
825774	118700	Julia
825775	103215	Bunny
825775	112796	
825775	219258	
825775	233053	
825775	255160	
825775	305736	
825775	333857	Extra
825776	155367	
825776	284424	Monika
825776	383156	
825777	105039	Louise
825777	128242	Go-Go Dancer
825777	265214	
825778	631	
825779	373986	
825780	33375	Patient
825780	40139	Arlette
825780	45935	Singer
825780	64333	Herself (1988)
825780	65553	
825780	86864	Daniela
825780	118384	
825780	155054	
825780	190182	
825780	200925	Herself
825780	213112	At the Party
825780	254917	Felice
825780	274609	
825780	284171	Herself (mother)
825780	288980	Iliona, a Decadent
825780	292459	
825780	302157	Sarah
825780	323594	SPFC Member
825780	327144	Whip Woman
825780	347414	Lady MacBeth
825780	381917	Herself - Intruder Evictee #8
825781	235316	
825782	30415	
825782	198193	
825782	222146	Carmem
825782	241188	
825783	391674	Ana Nazaré
825783	392510	Imaculada
825784	92935	
825785	101594	Florita
825786	380647	Mildred
825786	388682	
825787	204186	Doctor Carter
825787	230852	Bank Manager
825788	302367	Janice Lane
825789	119615	Herself
825790	399657	
825791	334798	
825792	54996	Carica
825793	35491	
825793	40208	Jadranka
825793	73576	
825793	89873	
825793	113554	Marija
825793	188468	Marija
825793	221342	Plesacica
825793	239466	
825793	267667	Nana
825793	283751	Suzana
825793	286642	
825793	320497	
825793	373637	
825794	59217	
825794	357836	La fiancée d'Alphonse
825794	388633	Odile
825795	198289	La femme de Robert
825795	249534	L'amie
825795	269716	
825796	258313	Un élève de la 4e techno
825797	114271	Woman with Baby
825798	272614	The girl in the cemetary
825799	55783	Mathilde
825799	58001	La petite fille
825800	357843	Laura
825801	286416	
825802	11703	Sally Reece
825802	32677	
825802	54024	Suor Chiara
825802	102503	Erika
825802	219597	
825802	235743	Danielle Duprey
825803	55902	
825803	162608	
825803	212121	Monna Elisa
825803	300701	Lara
825804	215157	Make-up artist
825805	194136	Slinky Blonde #1
825806	26785	
825806	26896	
825806	26941	
825806	34863	
825806	39207	
825806	39378	
825806	39964	
825806	44466	
825806	44473	
825806	50535	
825806	56708	The Doctor
825806	57138	
825806	60277	
825806	81391	
825806	84453	
825806	85113	Rory Charm
825806	90310	Toy nymphette
825806	113804	
825806	114945	
825806	121657	
825806	132528	Miss Lawson
825806	147699	
825806	159911	
825806	178086	
825806	186759	Connie
825806	188067	
825806	197747	
825806	219151	
825806	261432	
825806	288490	
825806	295803	Josie
825806	305773	
825806	325272	
825806	353294	Desiree
825806	354658	La pianiste
825806	358074	Herself
825807	387533	Michelle Harriman (1997)
825808	55200	Mama
825808	81559	
825808	196835	Lucija
825808	238390	Vida Kern
825809	105216	Customer in Salon
825810	81343	Nurse Tully
825810	96958	Blanche Genaro
825810	196168	Aunt Ethel
825810	288051	Larissa
825811	123420	Secretary
825812	82585	Mesera
825812	392352	Mayté
825813	105216	Customer in Salon
825814	411428	
825816	270425	
825817	267690	
825820	17319	Auntie
825820	33940	Teetu's Mum
825820	332070	Onaha
825821	120848	pigan Karna
825821	122448	Marianne, Erik's ex-wife
825821	311980	Erik's ex-wife
825821	378176	Skrivbiträdet
825821	379800	Mim Ekelund
825822	28688	Feleség
825823	358959	
825824	131545	Girl
825825	189262	
825825	199934	
825825	213089	
825825	251616	
825825	277739	
825826	344593	Sukia
825827	189262	
825829	92973	
825829	183022	
825829	301349	
825829	339448	
825830	145205	Enfermera hospital
825831	386930	Various
825832	80715	Reporter
825832	132259	Reporter #6
825832	154372	Radio Voice
825832	216184	Reporter #4
825832	222656	Dr. Margaret Leigh
825832	253339	Minicam Reporter
825832	278233	Dianne Trainor
825832	334594	Jodie
825832	346259	Polly Harris
825832	401787	Host
825832	402837	Mrs. Larson
825832	408401	Jodie
825835	75028	
825836	67207	
825836	99008	
825836	243487	
825836	280038	Performer (Metrô - vocal)
825836	305786	French Mistress Virginie
825838	191098	Dancer 'Eat the Music'
825839	247370	Herself (US national labour o
825840	59341	Daughter
825841	253996	
825842	197963	
825842	384507	Herself (1998-2000)
825842	402676	Mini Rocio Durcal
825842	403904	
825842	406972	Dancer
825842	406994	Dancer
825843	19474	
825843	230294	Narrator
825843	308744	Alda
825843	341138	Lídia
825844	243720	Madame
825845	307472	
825846	11858	Miriam
825846	42163	Anita Reichenbach
825846	49851	Noel
825846	85817	Margo De La Vera
825846	98342	Diana
825846	121786	Eva
825846	125003	Miriam Bartholomäus
825846	162206	Irèna
825846	179783	Diana Kazan
825846	290045	Marie-Claire
825846	290046	Marie Claire
825846	290047	Marie-Claire Clément
825846	290048	Marie-Claire
825846	290049	Marie-Claire
825846	290051	Marie-Claire
825846	290052	Marie-Claire
825846	290053	Marie-Claire
825846	290054	Marie-Claire
825846	290055	Marie Claire
825846	290057	Marie Claire
825846	339585	Denise Brahmbeck
825846	352483	Rola Stewart
825846	376569	Maren
825846	380964	Tanya
825846	394231	Officer Renee Daumier (1989-1
825846	394627	Dr. Julia Ritter (1999-)
825846	399957	
825846	409588	Lydia Blumenau
825846	411009	Kate Scott
825847	4504	
825847	50017	
825847	86632	Kitty
825847	93103	
825847	109404	
825847	164300	
825847	176008	
825847	226675	
825847	227881	Herself
825847	296716	
825847	318412	
825847	353772	Lily
825847	373713	
825848	343012	Ruby
825849	33940	Bubbly
825849	158352	Nurse
825849	292176	Gurpreet
825849	381450	
825849	381584	Football Coach
825849	386599	Runa Khan
825849	397342	Princess Nebulous
825850	12814	
825850	180369	
825850	240996	
825850	244255	
825850	371356	
825851	170481	Mirka
825852	14740	Bitten
825852	16203	Hun
825852	28518	Fru Olsen
825852	34480	Louise
825852	40817	Tante Beate
825852	48133	Helene Dragstrup
825852	64633	Jasmine
825852	84307	Lægen
825852	96443	Eva Lindberg
825852	117001	
825852	117950	
825852	120310	Vibeke Kildal
825852	142804	Marianne Friis
825852	144021	Skuespillerinde
825852	145457	
825852	153382	Else Juhl
825852	178007	Eva Møller
825852	182601	Emilie
825852	184553	Grevinde Frida von Rambow
825852	218886	Lykke Jeppsen
825852	218894	Eva
825852	224182	Aase Petersen
825852	233284	Marianne Durant
825852	240095	Hallandsen's sekretær
825852	240097	Karen
825852	240106	Højesteretssagførerens hustru
825852	241971	Susanne Høj
825852	242102	Ruth Stein
825852	244670	Grethe
825852	245592	Vera
825852	249743	Fru Andersen
825852	252193	
825852	253970	Minna Berg
825852	258746	Lillemor
825852	258747	Lillemor
825852	258748	Lillemor
825852	268371	Vera Gimmer
825852	275625	Frk. Nyborg
825852	291615	Hanne
825852	307713	Mona Miller
825852	312125	Solvej
825852	317649	Bodil Henriksen
825852	317651	Fru Bodil Henriksen
825852	317652	Fru Henriksen
825852	322291	Solvej Nielsen
825852	322475	Kunde i forretning
825852	322684	Britta Wulff
825852	324635	Tove/Lille Tut
825852	334045	Elna Vestad
825852	341114	Elsa
825852	341597	Emma
825852	343945	Irene Sand
825852	390768	Fru Andersen
825852	392299	Mrs Olsen
825852	393418	
825852	397074	Elisabeth Friis
825852	403379	Fru Mortensen
825852	403380	Mrs. Mogensen
825853	83377	
825855	252589	Alessandra
825855	383355	Mariana
825855	384118	Julieta (1998-1999)
825855	386542	Vitória
825855	386726	Joana d'Arc
825857	191608	Female Partygoer #3
825858	33667	Barbara
825858	42073	
825858	56049	Olga
825858	60934	
825858	70620	
825858	81685	
825858	82413	Porzia
825858	183479	
825858	199931	
825858	278968	
825858	344626	
825858	379854	
825858	396649	
825858	409049	
825858	409094	
825859	339258	
825860	82492	
825860	85151	
825860	91193	
825860	95577	
825860	98576	
825860	103768	
825860	131297	Zhubyna
825860	132084	
825860	187802	
825860	198125	Maria
825860	212324	
825860	238315	Lozovskaya
825860	242466	
825860	244470	Assja
825860	253432	
825860	284485	
825860	293908	
825860	312432	
825860	343820	
825860	357216	
825861	349142	
825862	389225	
825863	19041	
825863	243176	
825864	320326	
825865	328258	Ice Cream Fight
825866	253027	X's mother
825867	353464	
825868	344194	Nurce
825869	171050	Nancy
825870	97569	
825870	168218	
825870	297181	Perky Girl
825871	214839	Kikattava tyttö kahvilassa
825872	174779	
825873	144059	Selma Sorjonen
825873	240074	Ollin äiti
825874	286508	Nainen
825875	255386	
825876	174265	Maria Virkola
825877	186225	Kirsti
825877	356233	Ulla Lepola
825878	301911	Liina
825879	107662	
825880	267016	Liikunnanopettaja
825881	156037	Ship cook's assistant
825882	107662	
825882	214201	Child in kindergarten
825883	183967	Kuitunen's daughter
825883	242255	Vilkku as baby
825883	349439	Tiina
825883	388234	Mervi Kaasinen (1996-1998)
825884	181709	Rally winner's babe
825885	267126	Iita Linta Maria
825886	192777	Alisha
825887	395329	Maya Kedmy
825888	14930	Julie
825888	28231	
825888	70951	
825888	74624	
825888	215589	Carolina
825888	236751	Maria Antonio
825888	308963	Eva Rey
825888	316282	Desk Girl
825888	389087	
825889	65006	Dulce, the Daughter
825890	315597	
825891	211570	Girl of Twelve
825891	279308	Rosa Gambini
825891	281867	Small Girl
825891	310775	Gambini Child
825891	366235	Rosa Gambini
825892	68437	
825893	56929	Zecca Roscia
825894	152385	A méhész felesége
825895	107717	
825896	180824	
825897	377129	
825898	365933	Young Girl
825899	2516	Herself
825899	208638	Tania
825899	403961	Herself
825900	223817	Nursery School Teacher (Londo
825901	162533	Shauna
825902	101380	Sultana
825902	410659	Annie Kumar
825903	109673	Brazilian Opera Troupe
825903	246337	Momushka Petrovitch
825904	199272	
825905	202148	
825906	171545	Tourist
825906	174470	Trostová
825906	180830	
825906	261380	
825906	265233	Artist
825906	349323	
825906	387031	
825906	396264	
825907	127615	
825907	284829	
825907	327903	
825907	354005	
825908	37681	Amanda
825909	2351	Spanish girl
825909	18019	Woman Sitting with Nick in Ca
825909	20206	Brunette at Maxim's
825909	21664	
825909	35011	
825909	38054	Juanita
825909	38055	Cantina girl
825909	51531	
825909	54830	
825909	55331	
825909	64968	
825909	78155	Guest at Party
825909	79371	Dancer
825909	83930	
825909	84919	Manuela Torres
825909	85067	Spanish Girl
825909	122067	Mahara
825909	126067	Spanish Girl
825909	127082	Dolores
825909	205739	Spanish Girl
825909	211780	Chiquita
825909	233543	
825909	236432	
825909	302629	Bit
825909	316946	Goldwyn Girl
825909	321534	Undetermined Role
825909	324466	
825909	340370	French maid
825909	343316	
825909	365271	One of the Golden Girls
825909	366947	Mexican beauty
825909	372050	Flower Girl
825909	378489	
825910	37477	
825910	40513	Trui
825910	108162	
825910	180025	
825910	242444	
825910	243170	
825911	68144	Marilyn
825912	96881	Edmond Gilbert - Junior Aspar
825912	168948	Junior Asparagus
825912	184913	Junior Asparagus
825912	184914	Junior Asparagus, Mom Asparag
825912	313342	Edmond Gilbert (Junior Aspara
825912	351201	Junior Asparagus
825912	351203	Junior Asparagus (Dave)
825912	351205	Junior Asparagus
825912	351206	Junior Asparagus
825912	351207	Junior Asparagus (Thomas)
825912	351208	Lyle (Jr. Asparagus)
825912	351209	Junior Asparagus
825912	351210	Junior Asparagus (Shack), Mom
825912	351212	Junior Asparagus
825912	351213	Junior Asparagus, Mom Asparag
825912	351215	Junior Asparagus, Mom Asparag
825912	351216	Junior Asparagus, Mom Asparag
825913	168948	Annie
825913	313342	Abigail (Annie)
825913	351208	Pea Monk
825913	351209	Annie
825913	351213	Annie
825914	175679	
825914	374302	Manke Mie
825915	277726	
825915	346678	Cynthia
825915	401328	Various characters
825916	187091	Audry
825917	355281	Herself
825918	121907	
825919	17743	
825919	21084	
825919	270838	
825919	327496	Silvana
825920	59596	Telefonpige
825921	63730	
825921	260900	Cinzia
825921	355357	Strega #3
825922	20712	
825922	87072	
825922	306693	
825924	112650	
825924	162080	
825924	265188	
825924	307639	
825924	339634	
825925	89909	
825926	135149	Porno actress
825927	19526	
825927	68812	Détective
825927	160123	
825928	108301	
825929	57557	La secrétaire de production
825929	123688	
825930	20451	
825930	109080	
825930	253205	
825930	341837	Milena
825932	163514	Grace
825933	65920	Cashier
825933	281145	Lycosian Troop
825933	340228	Weather
825934	141183	Delores
825935	56117	Cascabel
825935	101809	Ingrid
825935	103778	Conchita
825935	159444	Encargada
825935	160536	
825935	217053	
825935	221908	Silvia
825935	249910	Mónica Erigaray
825935	307125	
825935	377151	Aitana
825937	233082	
825938	157660	Séverine
825938	258151	La petite sorcière
825938	349418	Pamina
825939	14852	Alice
825939	28753	
825939	34538	Child at concert
825939	277808	Vichi
825939	386399	Dorotea
825940	349815	Luisona (young child)
825941	60710	
825941	129105	Guest
825942	82528	Information agent, El Al
825942	174999	Herself
825943	40631	Office Employee
825944	285119	Meditzinskata sestra
825945	174541	Katerina Lvovna Izmailova
825945	183748	Katerina
825945	266161	
825945	371427	Tatiana Larina
825946	18286	
825946	134230	
825946	370188	Rosso
825946	370189	
825947	33280	Sister Bela
825947	208476	Girl
825947	212114	Marusya
825947	326066	
825948	134230	
825948	370188	
825948	370189	
825949	178727	(segment Klinika)
825949	307615	
825950	25291	
825951	164039	
825952	40631	Office Employee
825953	307440	Cristina's Younger Sister
825954	47382	Prawn (Chorus Girl)
825954	109891	Laura Purcell
825954	209655	Billie Muncey
825954	294381	Girl at end
825954	311354	Ellen Dolan
825954	313412	Herself
825954	313413	Maj. Kira Nerys
825954	313414	Maj. Kira
825954	313415	Maj. Kira Nerys
825954	313416	Maj. Kira Nerys
825954	330114	Colette
825954	338982	Herself
825954	386603	Darcy Collins (1980-1981)
825954	393159	Sventlana Petrovsky
825954	400236	Georgina Whitman (#2) (1982)
825954	404002	Nancy Feldman #3 (1978-1979)
825954	406407	Maj./Col. Kira Nerys
825954	411408	Bryn Newhouse (1990)
825955	136360	
825956	204739	
825957	230486	
825958	182692	
825959	176207	
825960	12665	Alex
825960	256748	Jo
825961	14996	
825962	54148	L'amica di Anna
825962	355654	Una ragazza al corso di recit
825963	69365	
825964	313175	
825965	95471	Brothel
825966	63932	
825967	343798	
825968	212458	Ljudmila
825968	323634	
825969	88691	
825970	26955	Grandma Vaitkus
825971	77481	
825972	81117	
825972	109722	Secretary
825972	147767	Cheerleader
825972	286298	Supermarket Cashier
825973	198979	
825975	378614	Ilse Maas
825975	392021	
825976	168449	
825976	349488	Claudine
825977	242454	
825978	87855	Sabrina (6 ans)
825979	150475	
825979	176874	Marie
825979	209355	Additional Voices
825979	312141	Georgeous blonde
825979	409697	Ms. Gabrielle Catherine Dupre
825980	234879	Stella/Shop Girl 2
825980	257237	
825981	86584	
825982	194836	
825983	229248	Begrafenis bezoeker
825984	222754	Prostitute 2
825985	399358	Herself - Host (1998-1999)
825985	406242	Herself
825986	390242	Mimi (1996, 1997)
825988	70939	
825988	98297	Orli Laks
825988	132835	Sis
825988	281371	
825988	352029	Jeanette Toebosch
825989	110247	Lucy
825990	40997	Anita
825991	11464	Cameravrouw
825991	13443	Lot
825991	170968	Young prostitute in park
825991	179286	
825991	196384	Nora
825991	203784	Vrouw vrachtwagenchauffeur
825991	238591	Henriet
825991	259740	Ina
825991	279488	Woman
825991	392675	Dirkje (1990-1992)
825992	215603	Laurie
825993	306294	Ms. Mountain
825994	104755	Greek entry (13th place)
825994	104757	Cyprian entry (5th place)
825994	380815	Herself, singer at Closing Ce
825995	104760	Cyprian entry (16th place)
825995	398876	Adjudicator (2001-2003)
825996	136945	Zahra
825997	243691	
825998	71449	Student
825999	364647	Betty Bishop
826000	242790	Debbie
826001	214380	Girl
826002	394862	Participant (2002)
826003	1796	Newsreader
826004	207036	Stewardess
826005	78312	Margarette
826005	101654	Uma
826005	123721	Gayathri
826005	126977	Bhawani
826005	130151	Adv. Aswathy Menon
826005	146833	Ammu
826005	158995	
826005	165257	
826005	165404	Maya Pillai
826005	172737	
826005	177048	
826005	177618	Anura Mukharji
826005	179251	
826005	183431	Hema
826005	202627	
826005	204089	
826005	204529	
826005	226642	Sukanya
826005	262875	
826005	267922	Unniyarcha
826005	286772	
826005	303014	
826005	320220	
826005	340999	
826005	348941	Police Commissioner
826006	332173	Venkamma
826007	16396	Herself
826008	122374	Rita
826009	80254	Prison Guard
826009	318742	Herself - Surprise Guest
826010	258316	
826011	343172	Boarder 1 at Levin's Hotel
826012	5447	
826012	14965	
826012	251611	
826012	301376	
826012	307667	
826012	336587	Un'esistenzialista
826012	336605	Una figlia de Pappalardo
826012	351523	
826014	64659	Bungee
826015	473	Helen
826015	548	Lore Schulz
826015	549	Lore Schulz
826015	550	Lore Schulz
826015	11775	Mme Peronnière
826015	11777	Zita, Sylvias Schwester
826015	20079	Madame Mechain
826015	33931	
826015	43671	Denise
826015	51576	Fraulein Kost
826015	78546	
826015	93440	Tante Margot
826015	94311	Helen
826015	95389	
826015	97481	Lady Upperworth
826015	98283	Eva Krapke
826015	103137	
826015	111339	Fräulein Madler
826015	111773	Frau Windscheid
826015	119268	
826015	120998	
826015	123924	Olga
826015	125136	
826015	125226	Avine
826015	125233	Ehevermittlerin
826015	142056	
826015	147147	Wilma Dumar
826015	166333	
826015	169119	Kommentar
826015	175275	Frau Bollmann
826015	177913	Rita
826015	178628	
826015	183862	
826015	185798	Arabella
826015	189553	Pyjama-Dama
826015	189614	
826015	189661	
826015	190765	Grete
826015	203259	Helene, Zimmermädchen
826015	230175	Frau Tönnisen
826015	246951	Fräulein Lüthi, Telefonistin
826015	254360	Zenzi
826015	263371	
826015	279676	Mieze Frühling
826015	288498	Luise Kranz
826015	290672	
826015	310944	Frau Wedekind
826015	312208	Lina
826015	312601	
826015	324785	
826015	325483	Stucki
826015	335038	Lisette Moulin
826015	336269	
826015	338450	
826015	338957	
826015	343491	
826015	343497	
826015	348678	
826015	348687	Gitta Mitterer
826015	359599	
826015	359661	Frau Stirnimaa
826015	376280	
826015	379882	Cornelia
826015	381689	Fränze
826015	395644	Mrs. Luna
826015	397089	
826015	406321	
826015	411929	
826016	57473	La femme de chambre
826016	82423	
826016	83353	Nina
826016	91077	Dora
826016	96207	Véra
826016	100307	
826016	112887	
826016	126255	Maria
826016	156550	
826016	175677	Véronique
826016	198980	Gigi
826016	206317	
826016	254056	
826016	261609	Clarisse
826016	270817	Ines
826016	272320	
826016	294882	Elsa
826016	357046	
826016	401972	
826016	410139	Yvette
826017	26971	Party Animal
826018	81620	Herself
826019	353066	
826020	81620	Herself
826021	100723	
826022	135123	
826023	234662	
826024	40316	La lavandiere Leone
826025	252317	Une élève de Melle du Merle
826025	261777	
826025	343569	
826026	158151	Baby Doll Dancer
826027	382261	Voice
826029	61427	Bridal Model
826029	133110	
826029	217875	Herself
826029	234563	Gina
826029	242607	Marion
826029	409075	Calypso 9
826030	201922	Bernadette
826031	79961	Sick Woman
826031	114099	Hooker #3
826032	201922	Bernadette's sister
826033	383498	
826034	185592	Girl
826035	160250	Clara
826035	209830	Giovanna Carati
826036	63730	
826036	276869	Nun
826036	284829	
826038	372089	Mrs. Stoller
826039	350182	Diner Patron
826040	3379	Linda
826040	5771	Mara
826040	13056	
826040	17742	Maria
826040	17748	Danila
826040	29677	Cherata
826040	31219	Anna
826040	39671	
826040	46515	Can-Can girl
826040	52042	Lucilla di Torrebruna
826040	52873	Nandina
826040	53991	
826040	54140	Lucia
826040	54141	
826040	56927	
826040	69218	
826040	70005	
826040	75267	Fioretta
826040	85480	
826040	86067	
826040	86445	
826040	87793	
826040	94699	Louise
826040	112658	
826040	112665	Angela
826040	112687	Olympe de Chavergny
826040	115298	Marissa Cooper
826040	119081	
826040	123866	Anna
826040	127629	Amelia Renzi
826040	159416	
826040	170157	Ya'El
826040	187926	Anna
826040	209440	
826040	230006	
826040	234548	
826040	238007	
826040	250865	
826040	252672	
826040	260895	Simonetta
826040	263623	Germana della Valle
826040	263628	
826040	272525	Girl
826040	278728	
826040	291693	(segment "L'indossatrice")
826040	294542	Eva
826040	295343	Madeleine Morando Foy
826040	327909	
826040	336148	
826040	339635	
826040	351512	Luana
826040	351535	
826040	359174	Lise
826041	168289	Brandy
826042	348117	Nina as a child
826043	34474	
826043	69002	
826043	270806	Evelina
826043	296539	
826044	77653	Maria
826045	110177	Leonora
826046	212083	
826047	159449	
826048	310	Laure
826048	503	Cathy
826048	8249	La stagiaire du musée
826048	66214	Clémence
826048	68661	Françoise Bourdin
826048	68662	Françoise Bourdin
826048	105550	Lilly Milton
826048	110215	Marie-Claire
826048	113560	Camille
826048	123688	
826048	134201	Jode
826048	134957	Hélène
826048	155884	Véronique
826048	156279	Susy
826048	166117	La mère
826048	166125	Véronique
826048	166191	Alice
826048	170473	Véronique
826048	196312	
826048	247979	Julie
826048	249061	Nathalie
826048	254125	Catherine
826048	268446	Waitress
826048	277785	Clothilde
826048	279820	Maryannik
826048	284269	Dominique
826048	337032	Femme flash-back 1
826048	345045	Violette
826048	345078	
826048	361710	Marinette
826048	377976	Celine
826048	377979	Christine
826048	389272	Esther
826048	401329	Dora Amiel
826049	20139	Maria's aunt
826049	199040	
826050	344577	
826051	121256	
826051	189017	
826051	221575	Sra. Peña
826051	222039	Hostel´s owner
826051	248227	
826051	282899	
826052	170228	Herself
826054	180217	
826055	16195	Mimi
826056	250514	Maria
826057	107536	Claire
826057	353957	Une étudiante
826058	320624	Lily Picek
826059	266296	
826061	125317	Frau Sandomir
826062	314343	Cigarette Girl
826062	317415	Wild Party Girl
826062	330004	Bit Part
826062	367721	Waitress
826063	33923	Amrah
826063	67897	Teresa, Maid
826063	226971	Maria Josefa
826064	262706	
826064	328611	Maria Frankenstein
826064	357961	
826065	123691	Xernie
826065	145047	Nurse
826065	169944	Teresa Miller
826065	194617	Claira
826066	301245	Sigmund's mom
826067	375116	Zina
826068	405144	Announcer
826069	263662	
826070	70026	
826071	58226	
826071	90536	Elka
826071	132066	Claudine Carter
826071	142384	Patricia
826071	169986	
826071	184057	Patricia
826071	196961	
826071	256412	Mabel Masters
826071	276105	Éliane
826071	286048	Sylvie Gérard
826071	342856	Joanna's Touring Friend
826071	372212	Sylvie Tarnet
826072	274461	Sarah Keller
826073	304443	Teacup Sculpter
826074	285950	Manju
826075	36022	Ginder
826075	112049	Tiger Keeper
826075	208024	Miss Reynolds
826075	212963	Chloe
826075	379872	Yvonne (1999-2001)
826075	385020	Frances Stillman (1997-1998)
826075	385646	Kate Durrani (1995)
826075	388782	Sunita Kapoor
826075	391759	Rosie Sattar: Midwife (2003-2
826075	399692	Wendy de Souza
826075	403590	Nurse Helen
826075	406128	Anjail Shah
826076	330480	
826077	107240	Lisa
826077	164690	Mimi
826077	205231	Louisette
826077	207796	
826077	280011	La postière
826077	284882	
826077	388723	Flora
826077	410150	La jeune fille (segment "Fais
826078	3163	Strip Club Dancer
826078	335258	Stripper
826079	216162	Phone Room Operator #6
826079	280459	Christina Lukowski
826080	307126	Erin
826081	396238	
826082	6074	Lichna moma
826082	258630	Krachmarka
826082	268128	Nervnata
826083	16195	
826083	283688	
826083	349130	Argentinian Lady
826084	88517	
826085	256240	Marcy
826086	162659	
826087	328205	
826088	300609	Etudiante
826089	56889	Nately's whore's kid sister
826090	381896	Herself - Participant
826090	390978	Herself - Participant (Finali
826090	399936	Herself (interviewee)
826091	253739	
826092	82095	Billy's Model
826093	47756	Woman With Baby Carriage
826095	222254	Freak
826096	57747	Guard
826098	68585	
826098	322403	Chica casting 2
826098	326202	Chica
826099	328331	
826100	10228	
826100	50147	
826100	65164	
826100	80274	
826100	83861	
826100	170076	
826100	225065	
826100	236474	
826100	255548	
826100	258120	Mme. Martínez
826100	263776	
826100	292906	
826100	294631	
826100	336600	
826100	348157	
826100	355760	
826101	104730	Portuguese entry (15th place)
826102	340191	
826103	262512	Frau Fischoff
826104	253799	
826105	171890	
826105	171891	Kacenka
826106	333624	Female Bartender
826107	73744	Judith Keel
826107	251454	The Mother
826108	326536	Lucia
826109	35864	
826109	60450	
826109	94509	Snow Queen
826110	257264	Earring customer
826111	25134	Chaloux
826111	125724	
826112	11934	
826112	83231	Anchorwoman
826112	108540	
826112	125723	La femme du crooner
826112	133086	
826112	137222	Journalist
826112	166565	Lady in Court
826112	229666	The Judge
826112	243601	Michel Strogoff
826112	345137	Young Woman with Boy
826112	345441	La Vétérinaire
826112	355847	Christine
826112	357124	La maîtresse d'Alban
826113	33278	Virginie
826113	71826	Claire
826113	72066	
826113	322337	
826114	379001	Cata
826114	383867	
826114	389589	
826114	389590	
826114	392986	
826114	393836	
826114	400797	Marisa
826114	403782	Cristina
826114	404815	Analuz
826115	19873	Herself
826115	64951	Miette
826115	101198	Herself - Comédienne
826115	171667	Stein Family
826115	229666	Benedicte
826115	253522	Lili
826116	70658	
826117	3468	Tina Candela
826117	5377	Ascenza
826117	6674	
826117	12241	Maria Barone
826117	12529	Gloria (segment "La Sospirosa
826117	12679	
826117	14880	Raffaella Macchiavelli
826117	14958	Anna Lisa Bianchi
826117	15952	Lisa Stefani
826117	25315	Claudia
826117	28779	Giovanna (segment "Minestra, 
826117	30720	Armanda (segment "Macchina d'
826117	52835	Flaminia
826117	63655	Eleanore Falsen
826117	64265	Boccadoro
826117	70547	Adele (segment "Il frigorifer
826117	83699	Giuliana
826117	92905	She
826117	92971	Adelaide
826117	93736	Ofelia Granelli
826117	97259	Vittoria
826117	107376	Giovanna
826117	108898	Mme Foucaud/Mrs. Foucauld
826117	109794	Sabina (segment "Fata Sabina"
826117	111105	
826117	115600	Laura
826117	116492	
826117	118773	
826117	162063	Livia Bonetti
826117	188645	
826117	212786	Herself
826117	214316	Mimì Bluette
826117	216108	The Queen
826117	217014	Modesty Blaise
826117	233068	Ninì Tirabusciò
826117	234550	Zoe/Annunziata/Teresa/Alberta
826117	234763	Luisa
826117	235771	Valentina Gherardini
826117	243286	Giorgia
826117	246242	Barbara
826117	252030	Luisa Panetti
826117	252689	
826117	259844	Dea Dani
826117	269160	Madeleine
826117	269733	Miele
826117	270803	Assunta Patane
826117	271368	Angela Ravelli
826117	277946	Bit
826117	289448	
826117	291556	Renata Adorni/Grazia Siriani
826117	319725	
826117	324460	Lucia
826117	328205	Teresa
826117	332251	Giuliana
826117	336383	Floria Tosca
826117	396307	Anna Masetti
826119	14759	
826119	29582	
826119	61719	
826120	109251	
826121	258337	Rebecca
826123	35039	
826123	49293	Veronika Meier
826123	82157	
826123	123961	Elena Gumbrecht
826123	126463	Jeanette
826123	133312	LUZIA
826123	172849	Anna
826123	180220	Yvonne
826123	189718	Nicole
826123	225205	Sarah
826123	236213	Renee
826123	259602	
826123	275156	Lisa
826123	325447	Frau Klee
826123	325594	Bettina Schäfer
826123	325620	Frau Richter
826123	325809	Anna Kühn
826123	364943	
826123	365924	Marion Hartwig
826123	369128	Alexandra Dauner
826123	375979	
826123	376351	
826123	381183	Katharina Jäger (1997-1999)
826123	389287	
826123	401355	Elisabeth
826123	406520	Marianne Kiesbach
826124	117797	Minh Li
826125	35542	Mrs. Dubois
826126	58488	Neighbor
826126	62579	Cafeteria Patron
826127	103440	
826128	390773	
826129	75040	
826130	349077	
826131	157240	Typox child
826132	304288	Magenta
826133	383451	
826134	136442	
826136	218426	
826137	55311	
826137	55340	
826137	202130	
826137	262235	
826137	278616	
826138	115833	
826139	68578	
826140	246941	
826141	399936	Herself (interviewee)
826142	104972	Joan Ellis
826143	181322	Kia
826144	16480	
826144	16506	Herself
826144	37639	
826144	38659	Herself
826144	41882	Herself
826144	60462	Herself
826144	63214	Herself
826144	63215	Herself
826144	63216	Herself
826144	63217	Herself
826144	63218	Herself
826144	63219	Herself
826144	63764	Diana (Vogue magazine editor)
826144	64673	Merna
826144	65553	Cleopatra
826144	115062	Cytherian Girl
826144	117314	Girl at Pool
826144	117454	Ex-Queen
826144	118384	Girl in Bed
826144	175207	
826144	191313	Viva
826144	193811	Ramona D'Alvarez
826144	196495	Girl in Bed
826144	203687	Mrs. Cooper
826144	213112	Gretel McAlbertson
826144	229249	
826144	231549	Herself
826144	236347	The Waitress
826144	249084	Woman on TV
826144	249578	
826144	257518	Jennifer
826144	265069	Liza's aunt
826144	286478	Girl with the Hourglass
826144	286912	Susan Hoffmann
826144	293042	
826144	307137	Herself
826144	313068	Kate
826144	338258	
826144	355773	Herself
826145	100252	Mady Lagarouste
826145	116441	Mimi
826145	116443	Mimi
826145	206578	Lady Harriett
826145	263985	Simone Dastières
826145	333713	
826145	377852	
826146	341860	Teresa
826147	393	
826147	12687	La Moglie
826147	81519	
826147	106075	Mrs. Betty Clark
826147	289442	
826148	283285	
826149	235778	
826149	242828	Baroness Graps
826150	282100	Silvana De Carli
826151	199075	
826152	204661	
826153	6296	Un' altra ragazza al bar
826153	90973	Dorothy
826153	204661	
826153	204704	
826153	262223	
826153	265197	
826153	342136	La segretaria
826154	234560	Elettra
826155	157785	Italian Child
826156	61868	Herself
826156	208370	
826157	195645	
826159	193053	
826160	174019	Chelo
826160	189045	
826160	247168	Monja
826160	381329	Espinete (1983-1987)
826160	399119	Ned Flemkin (Spanish version)
826161	378109	
826162	355261	La femme aux lunettes noires
826163	233394	Martha Cecilia's Mother
826164	351688	Loreta
826165	14793	
826165	69781	
826165	90094	
826165	169746	Amiga de Alicia
826165	258484	
826165	273848	
826165	353267	Esposa infiel
826165	388094	
826166	82885	Bankangestellte
826166	271706	Interpreter
826167	5272	Voz de Nelly
826168	14791	
826168	63755	Rosita
826168	124295	
826168	189301	Militante mujeres libros
826168	201993	Reclusa Celda
826168	233619	
826168	238755	
826168	371674	
826168	376701	
826168	409463	Secretaria (1987-1988)
826169	78838	
826170	241160	Nig's Girlfriend
826171	110666	
826172	355932	
826173	103425	
826174	8728	
826174	10245	
826174	13081	Mujer II (segment "Los Amante
826174	14695	
826174	14933	
826174	18147	
826174	25218	
826174	30357	
826174	51779	
826174	53985	Petra, criada
826174	54720	
826174	55087	
826174	57906	
826174	62349	
826174	63810	
826174	66080	
826174	68577	
826174	69325	
826174	70857	Ines
826174	74644	
826174	82992	
826174	85590	
826174	87071	
826174	89737	
826174	91088	
826174	91271	
826174	91345	
826174	91362	
826174	97365	
826174	97369	Petrita
826174	103719	
826174	103721	
826174	103940	Isidra, criada
826174	111320	
826174	123147	
826174	123178	
826174	175670	Estela
826174	186670	Aurora
826174	193143	
826174	198235	Jugadora de ruleta
826174	212474	
826174	215401	
826174	222019	
826174	222041	
826174	225392	
826174	234391	
826174	243415	
826174	248296	
826174	249321	
826174	252606	
826174	265165	
826174	267406	
826174	269470	Sra. Talamantes
826174	269832	
826174	270060	
826174	287847	La Jarocha
826174	288258	
826174	328715	
826174	339176	
826174	353174	
826174	355917	
826174	355930	
826174	355936	
826174	355955	Lupita
826174	357515	Micaela
826174	357728	
826174	376787	
826174	377099	Borracha
826174	377180	
826175	379652	Ana
826175	380074	
826175	381607	Milena
826175	382543	
826175	386785	Paulina
826175	393806	
826175	395867	Trinidad
826175	396389	Claudia
826175	396953	Marta
826175	396984	Leonor
826175	397591	
826175	398806	
826175	399612	Sol
826175	403214	Silvia
826175	404287	
826175	404990	Nélida
826175	408562	
826175	408591	Thelma Bernard
826175	408724	Sofía
826175	410204	Matilde
826175	410207	
826175	412183	Loreto
826176	383769	María
826176	412198	Andrea
826177	84340	
826177	339191	
826178	3461	
826178	90519	
826179	17073	Blond Girl (new movie)
826179	269746	
826180	351634	
826181	11586	Carmen
826181	20336	Nurse
826181	81005	Lorna
826181	82399	
826181	95878	Veronica
826181	141544	Castilian Woman
826181	145474	
826181	148047	Rosa
826181	150009	Connie
826181	154869	Auditioning actress
826181	193052	Lucia
826181	245332	Widow Mitjans
826181	266862	Reporter
826181	274657	Angry Waitress
826181	384277	Interviews
826181	387418	Mercedes
826181	393813	Violeta
826181	396211	
826182	845	The Girlfriend
826182	49915	
826182	59435	La Mélinite
826182	70065	
826182	102736	Atlete #1 (episode "Judy and 
826182	125201	
826182	254079	
826182	407055	
826183	46315	Stella Trevarthon
826183	175628	Maggie
826183	350641	Joan
826184	161637	
826184	238991	Heckler
826184	351801	Frau Kessler
826185	2709	Salon Patron
826186	39524	
826187	73132	
826189	188577	Miss Hawkins
826189	203470	Harriet Stanley
826190	401224	Partygoer
826190	410580	Pavel
826191	124794	Office Worker
826192	1262	
826192	17178	
826192	49051	Florence Burnaby
826192	81849	
826192	129237	
826192	129441	
826192	139206	
826192	150420	
826192	295859	
826192	309048	
826192	335481	
826193	14901	Drania
826193	348194	
826195	202790	
826195	259708	
826196	344608	
826197	6568	Serenella
826197	10054	
826197	11347	
826197	14961	
826197	19220	Police Inspector
826197	25318	Glaucia
826197	29951	
826197	55301	
826197	57696	
826197	68149	
826197	76268	Liana Scalia
826197	82341	
826197	106430	Angry Red-Haired Teen (Vivien
826197	106953	Laura
826197	108874	
826197	120361	
826197	135129	
826197	158947	Cindy
826197	168605	
826197	171170	
826197	197337	
826197	217864	
826197	227579	
826197	236801	La moglie del giudice
826197	240269	
826197	266932	
826197	307241	Girl walking with Signora Nar
826197	327914	
826197	338712	Anita
826197	344604	
826197	373277	
826198	59685	Mabel, Ration Book Lady #1
826199	282985	Herself
826201	6679	Monique
826201	23636	Clara
826201	110053	Marina
826201	255299	Eliane
826201	255571	Loulou Vertu
826201	354695	Léonie
826202	387323	Redactielid (1995-1996)
826203	1016	Paulette
826203	7549	
826203	122216	
826203	261609	Adèle
826203	326200	Mme Casimir
826203	354875	
826204	105265	Donna (social worker)
826204	206445	Lucy Rothenberg
826204	319647	Kendall
826205	53957	Piano Teacher
826206	61341	
826206	83544	
826206	235309	
826206	382868	
826206	400663	Mina
826207	18999	Dancer
826208	279341	Dena
826209	205696	
826210	65216	
826211	275954	
826212	50150	
826212	74148	
826212	100527	
826212	266474	Herself
826212	284899	Clienta Mercado
826212	294506	Marta
826212	351983	Criada
826213	96226	
826214	273307	Student at Science Fair
826215	196834	Alex
826216	356661	
826216	369882	
826216	369884	
826217	1226	
826217	40117	
826219	46747	The Dancer
826220	2202	
826220	33716	
826220	41008	
826220	41076	Herself
826220	55297	
826220	67463	
826220	71494	
826220	142500	Herself
826220	147632	
826220	194723	
826220	199346	
826220	245782	
826220	245783	
826220	319985	
826220	323540	
826220	360249	
826221	143757	
826221	156095	Herself
826221	380407	Newsreader (1992-2003)
826221	399538	Hostess
826221	407735	Newsreader (1987-1992)
826222	42911	Herself
826223	74743	
826224	144365	
826225	10944	
826225	275067	
826225	384510	Host (2002-2003)
826225	386130	Ester (1999-2001)
826226	3388	
826226	75368	
826226	88057	
826226	146575	
826226	159291	
826226	169240	
826226	192995	Abuela
826226	207736	
826226	212993	
826226	249884	
826226	266669	(segment "Juego de espejos")
826226	286422	
826227	375116	Judith mutzler
826228	390145	Cheerleader
826229	284224	Passante rue St-Jacques
826230	284224	Passante rue St-Jacques
826231	380166	Vanda
826231	387104	
826231	402530	Tuca
826231	404912	
826232	56049	Nun #1
826233	356802	Smokin' Jogger
826234	219827	
826235	302517	Anna, as a child
826236	178711	Student
826237	6627	Telephone operator #2
826237	15114	
826237	19340	
826237	24735	Une hôtesse
826237	44970	Mme Carré-Lamadon
826237	58323	
826237	76166	Invitée d'Elsa
826237	88840	Marie-Anne
826237	101881	
826237	155680	Alexandra
826237	162023	La vendeuse
826237	169537	Francine
826237	200782	
826237	205616	Janine
826237	218269	Diane de Vimeuil
826237	255299	La concierge de Jeanne Dumont
826237	257212	Doctor's girlfriend (segment 
826237	281580	Thérèse Roquevillard
826237	283264	
826237	377810	L'Actrice
826238	202707	
826238	249678	(segment Maman, regarde!)
826239	29585	
826239	80327	
826239	88802	
826239	139892	
826239	171599	
826239	258382	
826239	306700	
826239	326578	
826239	343391	Rosita
826239	350074	Soledad
826240	80278	
826240	156931	
826240	402321	Abuela
826241	294010	Xonxiña adolescente
826242	148093	
826243	114206	Girl in Italian village
826244	18945	Elenitsa
826245	401806	Nurse
826246	268509	Andulka
826247	170522	Girl
826248	65014	Tudoritsa
826249	238108	
826250	391357	Mira, Albenins fru (2002)
826251	126204	
826251	214249	
826251	265015	
826251	303117	Tzvetarska
826251	306116	Maykata
826251	357433	Gateva
826252	100554	
826252	178301	
826252	182448	
826252	212553	
826252	340005	
826253	8036	
826253	249413	
826254	198159	
826255	82284	Vera Bogomolova
826256	237581	Rumeto
826256	373568	
826257	126268	
826258	89814	
826259	17837	
826259	23853	
826259	33818	Neighbor
826259	40869	
826259	90803	
826259	155998	
826259	188522	
826259	198155	
826259	229082	
826259	229909	
826259	258704	
826259	261318	
826259	262660	
826259	262674	
826259	264983	
826259	265989	
826259	266296	
826259	272522	
826259	296993	Serafim's wife
826259	311579	
826259	313621	
826259	320714	
826259	339297	Viktor's Mother
826259	343805	
826259	352816	Nurse
826259	355127	Anisya
826259	356191	
826259	356921	
826259	357466	
826259	370191	
826259	374242	
826259	374784	
826259	376234	
826259	409360	
826259	411976	
826260	162672	
826260	191477	
826260	229045	
826260	381631	
826261	46703	Elena
826262	397122	Luna
826263	98615	
826263	371345	
826264	92681	Maid
826265	1569	Juliette Jeanson
826265	6621	Juliette
826265	8245	Winnie Verloc
826265	16551	Simone
826265	18858	Regina
826265	23364	Eva Wilson
826265	24819	Liliane Noblet
826265	25322	La mariée
826265	32284	Mme Beurdeley
826265	38767	
826265	43717	Catherine Dupré
826265	44234	
826265	51968	
826265	53086	Kate Percy
826265	53575	Hélène Chalmers
826265	54159	
826265	56007	
826265	64317	Narrator (origina French vers
826265	65635	Odile
826265	68795	Christiane
826265	70005	Imma
826265	73185	Lili Marcellin
826265	74328	Juliette
826265	78361	La petite Jacqueline
826265	82147	
826265	84605	Marcelline Dorval
826265	92047	Marcelline Dorval
826265	92905	Callgirl
826265	94723	
826265	95310	Jacqueline, la dentiste
826265	104475	Annette
826265	106048	Mrs. Muller
826265	108506	Eljay
826265	112655	
826265	113116	
826265	116508	Ljuba
826265	117912	Any de Gilleroy
826265	127943	Angela
826265	159455	Marisa
826265	167214	Miss Alice
826265	167233	La mère de la petite fille
826265	183486	Nicole
826265	189345	Eva
826265	194544	Gabrielle
826265	202160	Lucrezia
826265	212161	Ellie
826265	217102	Carole
826265	217754	Mona
826265	220334	Anna
826265	223237	Lucia
826265	233252	Herself
826265	235563	
826265	236510	Marthe Tarset
826265	236526	Marie-Antoinette
826265	236548	Elle
826265	237593	Princess Ekaterina
826265	238463	Isabelle de Brabant
826265	238848	Rachel
826265	243077	
826265	248263	Mme d'Aulnoy (segment "Madame
826265	248829	Jacqueline
826265	248847	Dédée
826265	249740	Renée
826265	252237	Gemma
826265	261807	Véronique
826265	264215	La Princesse de Clèves
826265	269223	Madame de Parabère
826265	270830	Else
826265	275393	Herself
826265	276444	Zia Duchessa
826265	286026	Eva
826265	287976	Françoise Legrand, dite Sapho
826265	287990	
826265	292803	La marquise d'Espard
826265	294324	
826265	294560	Muriel Losseray
826265	294566	Catherine, la femme (segment 
826265	302536	
826265	309023	Sophie Brulard
826265	309148	Ina
826265	311476	Chantal
826265	314469	Comtesse Dranitsky
826265	324510	Florence
826265	327556	
826265	330308	Perizadah
826265	334786	Eva Lecain
826265	336944	Grany
826265	336979	Mme Thulle
826265	339446	Martin's wife
826265	342611	Natacha Tataïev
826265	343535	Maria
826265	345220	Herself
826265	378179	Marie
826265	379522	Rapessou
826265	380580	
826265	383860	Mathilde Brunel
826265	383955	Pauline, la dame en blanc
826265	384855	
826265	385683	Alexandrine Garlande
826265	409735	Marko Vovchok
826265	410074	Natacha
826266	186236	
826266	266218	
826267	8115	Stella (segment 2)
826267	8982	
826267	237090	
826268	7522	
826268	98381	
826268	100562	Polixeni
826268	107271	Evgenia Adamastou
826268	116584	Lia
826268	139717	Aleka Economidou
826268	174632	
826268	179741	
826268	180310	Rena
826268	204700	
826268	211485	Rena Angelou
826268	212553	
826268	212593	
826268	244239	
826268	249152	
826268	259428	
826268	266073	
826268	270551	
826268	275589	
826268	275591	Rena Apostolou
826268	275592	
826268	300954	
826268	329735	
826268	355818	Rena/Pepita
826268	356971	
826268	375139	Rena Pantelia
826268	375285	
826268	396620	
826268	396637	
826269	23185	
826269	375285	
826269	380474	
826270	17586	Hariclea
826271	208260	
826272	116622	Mother
826272	356094	
826272	380606	Mrs. Vlahou
826273	326248	Velka
826274	306976	
826275	151873	Iliychovitza
826275	264557	
826275	305479	
826276	104765	Host
826276	170215	Host
826276	170224	Host
826276	235398	
826276	387959	Herself - Co-Presenter (1990)
826277	349684	Verina cerka
826278	28341	Csöpike
826278	202496	Bóna Erzsi
826278	227534	
826278	378262	
826278	395635	Buffet Woman
826278	399160	Milly
826278	399860	
826279	355548	
826280	355548	
826281	74172	Ruža
826281	131086	
826281	133350	
826281	197093	
826281	229038	
826281	246909	
826281	263056	Peasant Woman
826281	341335	Umirovljenica
826281	357556	
826281	394876	Majka Gavranova
826281	399005	
826282	49740	
826282	261944	
826283	319405	
826284	17318	The Mother
826284	23649	L'hôtesse
826284	90131	Une femme
826284	382584	
826285	34069	
826285	354092	
826286	335563	Tonya Age 10
826287	297651	Riley
826288	379361	Myrto (2000-2001)
826288	379466	Katerina
826288	387760	
826288	410239	
826289	27841	Cheryl
826290	80485	Brazilian Beauty
826290	380242	Ligia Furtado
826290	380331	Lígia Furtado
826290	383727	Tânia Nascimento
826290	384117	Marie de Paris
826290	388681	Valentine Ventura
826290	389153	Alice Ventura
826290	395302	Luiza
826290	396610	Erica (1998)
826290	398501	Estela De Azevedo Franco
826290	403118	Lia Mezenga
826291	104761	Dutch entry (13th place)
826291	228253	Herself
826292	104761	Dutch entry (13th place)
826292	228253	Herself
826292	228258	Herself
826292	379639	
826292	404898	Debby
826293	109509	Fake Madonna
826293	366970	Shoshanna
826294	346361	Showgirl #3
826295	70423	Soraya
826295	196436	Jamie
826295	299990	Max
826295	299991	Max
826295	306227	Christie
826295	350311	Floor Sprengers
826295	365472	Daya
826295	385066	Sam (2005-?)
826295	390242	Yolanthe de Jong (1999-2003)
826295	403856	Sylvie van Aspen (2004)
826296	7086	Woman in bakery
826297	20105	
826297	121874	
826298	356592	
826299	2267	
826300	280807	
826300	373699	Girl in Car
826301	174170	Adelaida Kuzminichna Ramashki
826302	229179	
826302	404870	
826303	171742	
826304	355091	Abu's Customer
826305	412201	
826306	379405	Dolores
826306	379796	
826306	407976	
826307	100001	Suvi
826308	167023	Erika
826309	150762	Lucie
826309	165033	Nurse Ladislava
826309	186604	Lea
826309	244157	Lena
826309	248565	Tereza
826309	344073	Blajerová
826309	349250	Katerina
826309	378522	Jana
826309	402367	Beauty
826310	44398	Lukásová
826310	147046	
826310	225874	
826310	237478	Pernicová
826310	266456	
826311	252571	Marina's mother
826311	392993	
826311	401338	
826312	403621	Jarmila Pokorná
826313	219293	
826313	310248	
826314	165035	Doctor, head movement
826314	181583	Frau Melnik
826314	221866	Dr. Kolska
826314	221869	
826314	266453	Vorácová
826314	270605	
826314	310248	
826314	357745	Berková
826314	375479	Nurse Jirina
826315	346413	Herself
826316	48156	Bloemenmeisje
826316	98243	Valerie
826316	125310	Antoinette als kind
826317	188282	Zangeres
826318	170541	Chherleader
826319	116041	Majorette
826320	290073	Mem Klinkhamer
826320	290074	Mem
826320	400217	Ellen Reitsema-Evenhuis (1995
826321	42860	Poes
826322	90227	Herself
826323	19612	
826323	47786	Allemande
826324	265233	Madelain
826324	305814	Irma
826325	127994	Renzi's Mother
826325	161446	Grandmother
826325	305247	Cecilka
826325	305249	Cecilka
826325	352820	
826326	387953	Herself
826326	387954	Herself
826327	89047	
826327	242900	
826327	306060	The Step-Queen
826327	390410	Sylvia Verweijden-Frederikse 
826327	397306	Nelleke Terborg (1988-1991)
826327	410494	
826328	301204	Elizabeth
826328	394078	Zeta
826328	395090	Tania Drakou
826329	45638	Receptionist (segment "This C
826329	175694	Mrs. Swanson
826330	47474	Croatian Relative On Home Vid
826330	81289	Italian Reporter
826331	32759	
826331	86613	
826331	258586	
826331	373736	
826332	225963	
826332	320642	Berticka
826332	344101	Jana
826333	141605	Grenade Girl
826333	360495	An
826334	221855	The Grandmother
826335	62007	Kim
826336	37682	Bistro Patron
826337	188126	Kilina's Child
826338	174405	
826339	169721	Markéta
826339	374535	Emilka
826340	220218	Mme Rannier, Suisse
826341	56354	Agnese Moro
826341	356588	
826342	246530	
826343	55483	2nd Sicilian Woman
826343	68429	
826343	267534	
826344	398914	Lorena
826345	405209	Martha (1996)
826346	270622	Dance Palace Musician
826347	197282	
826348	366786	
826349	33526	Chief
826350	105588	
826350	294047	
826350	300350	Museum Woman
826351	112737	Diana
826352	140765	Goth 9
826353	194836	
826354	72391	Brigit
826355	24566	
826355	51314	
826355	119213	Denise
826356	14273	Katerina
826356	78023	Tanya
826356	321474	Svetlana
826356	350793	
826357	186184	Leanca
826358	10276	Akulina
826359	349077	
826359	398757	
826360	10276	
826360	356922	
826361	294545	Fransiska
826362	380203	Systern Anna
826363	380203	Systern Annicka
826364	181283	
826364	198082	
826364	349254	Louise Bryant
826364	375935	Zoya
826365	154467	Striptease Dancer
826366	8147	Therapist
826366	16402	
826366	29909	Beryl
826366	46421	Mother
826366	68886	Diana Stanfield
826366	88658	Interviewee
826366	102500	Ivar's Mum
826366	110739	Jumble Sale Woman
826366	133595	Camilla Pocket
826366	133667	Christine Gendall
826366	135602	Mrs. Myrtle Cantrip
826366	157040	Marie Frolich
826366	165556	Mimi
826366	184100	Elizabeth
826366	185422	Peggy Ingrams
826366	193207	Mrs. Fraser
826366	194184	Head Teacher
826366	226868	Bag Lady
826366	250371	Kath
826366	258210	Carmen
826366	286255	Gavin's mother
826366	312020	Mrs. Shillinglaw
826366	345839	Nanny
826366	351972	Vera's mother
826366	354488	Mrs. Finch
826366	366405	Chloe
826366	382384	Peggy
826366	391769	Annie
826366	411625	Ma Venables
826367	109795	?
826367	109796	?
826368	114306	
826368	242075	Lucy Cameron
826368	349631	Girl
826369	169844	
826370	109795	Water Girl
826371	33589	Beef Trust Girl
826372	189912	Club Man's Wife
826373	293561	
826374	347832	
826375	352258	Dieka
826376	42034	Cindy
826377	8932	Mrs. Brooks
826378	198745	Steffie
826379	26799	Additional Voice - German ver
826379	111894	Eva
826379	140276	
826379	229862	
826381	11570	Sandy
826381	35776	Dude's Partner
826381	205426	Raquel
826381	314700	Girl in Window
826382	24318	
826382	56084	Anna
826383	354114	Haydée
826384	18504	
826384	32316	
826384	82173	Vera
826384	85620	
826384	98757	Alexandra (segment "A Radiono
826384	162119	
826384	212137	
826384	219600	
826384	219852	
826384	246592	
826384	247390	
826384	344758	
826384	382690	
826384	384118	
826384	387830	
826384	387835	
826384	389587	Renata
826384	399498	Natália
826384	400444	Lavínia
826385	250902	Doctor's Receptionist
826386	42904	Mary Phillips
826386	107017	Xavier
826386	144452	'Be Black Baby' Audience
826386	148566	Nora
826386	161415	
826386	169212	
826386	342512	
826387	370102	
826388	281639	
826388	352567	
826389	186897	Rock 'n Roll Tänzer/Rock 'n R
826390	16637	Molly Stewart(Angel)
826390	26846	Spike
826390	81659	Diana
826390	219218	Andrea
826390	276688	
826390	278480	Elena Carter
826390	303904	Lori
826390	400236	Dr. Melanie Farrell MacIver (
826390	400645	Chris Kelly (1996-1999)
826391	112028	Helen Weiss
826391	365988	Weasel Operator
826392	152337	
826393	109222	Motel Proprietress
826393	131534	Woman
826393	140676	
826393	231925	Cleaning Woman
826393	330231	Officer's Wife
826394	12468	Agatha van Avezaat
826394	45965	Mademoiselle Bonnema
826394	87645	Mother of Max
826394	201953	
826394	211686	
826394	218281	Monsieur Hawarden/Meriora Gil
826394	250914	Elizabeth
826394	342335	Old Lotte
826394	383950	Wilhelmine
826394	391424	Emmy van Laar
826394	394613	Constance
826394	401596	
826394	409825	Tante Adèle
826394	411180	Juliana van Stolberg
826394	412043	Frederique Asselberg
826395	35000	
826395	48390	Herta Gutweil
826395	308842	
826396	184681	Emma
826397	223993	Grandma Flora
826398	182904	Mädchen mit der Mundharmonika
826400	273872	Lisa
826401	242092	Pretty Girl in Library
826401	384783	Sheila
826402	122074	Sharon Ries
826403	237419	
826405	367326	Werners mormor
826406	59151	Family Court Member
826406	98912	Tour Guide
826407	225732	
826408	245207	Libby's Mom
826410	346250	Dancer
826412	10293	
826412	94235	Eva
826412	189162	
826412	353789	
826413	134642	Irmgard
826414	367714	Woman's arm
826415	379037	Various characters (1994-1996
826416	178669	Frau Mövenpick
826417	29923	
826417	45072	
826417	128845	
826417	327307	Bundy's Woman
826418	175189	Inmate
826419	408320	Irmchen Stumm
826420	232213	Jacuzzi Girl
826421	246695	
826422	337839	
826423	12937	Czechoslovakian actor
826424	398721	Host
826425	393347	Herself
826427	144903	
826428	248575	
826429	79163	
826430	26440	Traci McTigue
826431	179745	
826432	149114	Une prostituée
826433	43631	
826434	38841	Evi
826434	179839	Seferl Pfister
826434	347812	Lisa
826434	365604	Katrin
826435	265986	Katerina Balta
826435	406577	
826436	99413	Trixie
826437	1888	Terapevtka za sex
826438	407055	Aimee
826439	360797	Weeber/Baby Ottie/Stella Star
826440	389619	Local Edition (Hannover)
826441	30086	Tina
826441	56545	Herself
826441	406318	Dr. Susanne Korin
826442	290436	Herself (Fritz Vogts wife)
826443	341591	Irene 8 Years
826444	69812	Woman in Mental Hospital
826444	88766	Mary Owens
826444	111408	Bark, Wal
826444	113336	Rouge
826444	176962	Baby's Mother
826444	218219	Complaining wife
826444	267351	Slugged woman
826444	277091	Edith Brew
826444	283607	Waitress in Diner
826444	327801	Washu
826444	327802	Washu
826444	327803	Teddy Bear/Washu
826444	327804	Washuu
826444	331112	Paula
826444	396497	Washu, Yuma
826444	401287	Louise
826444	403280	2nd Whore (Too Heavy)
826444	407829	Washu Hakubi, Space Granny, M
826445	330386	Costumer
826446	391624	
826447	233840	Silicone Blonde
826448	220593	Virgin
826449	270151	The Mayor's Wife
826450	113485	Mrs. Baker
826450	155219	Departing woman
826450	230703	Phil's Wife
826451	255732	Krankenschwester
826452	365923	Kathi
826453	364300	Herself
826454	305870	
826455	110303	Kira
826455	135049	Mary (Reporter)
826455	189247	Stephanie
826455	252159	Melissa Regan
826456	6384	Tata
826456	15015	Brigitte
826456	43719	Mireille
826456	51424	Madame Miniac
826456	84078	La Guitejean
826456	111102	Nina
826456	190628	Véronique
826456	197325	
826456	200961	Tania
826456	201122	
826456	211848	Prostituée
826456	232931	L'Hôtesse
826456	235811	La laitière
826456	237790	Maryse
826456	267024	Ginette Nollet
826456	283031	Valérie
826456	292691	Séverine
826456	345386	
826456	345535	
826456	356446	Annick
826456	357857	Suzy
826456	402075	Annette
826456	408002	Marguerite, la prostituée
826457	248133	Sitcom Mother
826459	87427	
826460	150057	
826461	377104	
826462	200902	Woman of Personnel
826463	150255	
826463	197741	
826463	215305	Nurse
826463	364022	
826464	28013	
826464	203920	
826464	380065	
826464	384400	Silvia 'primer novia de juan 
826464	402152	Bárbara Smith
826464	405415	Larisa Kedroba
826464	408855	Verania (1999)
826464	410303	
826466	21552	Female Sergeant
826466	71788	
826466	72768	Ruth
826466	74248	Lily Arnold
826466	117929	Fortune Mallory
826466	117935	Melanie Crown
826466	128192	Model
826466	128896	Jane Ellen
826466	163443	Model
826466	197684	Cora Payne
826466	223854	Party Guest
826466	282711	Dancer in Haiti number
826466	284931	Gretchen Van Horn
826466	328525	Susan Lang
826466	353306	Vickie Webb (Hartrampf's mist
826466	371316	Mrs. Flugeldorfer
826466	381086	Elaine Meechim (1959)
826467	317876	Rebecca
826468	14986	
826468	84384	
826468	92885	
826468	92886	
826468	110433	
826468	273047	
826468	311243	
826468	354945	
826469	38005	Other Ways Demolition Squad s
826470	251096	Herself
826471	165556	Trolley Lady
826472	120119	Extra counselor
826472	339856	Unknown
826472	400236	Becky Lee Hunt Jackson Abbott
826473	407138	Herself - Semi-Finalist
826474	233906	
826475	256240	Ralph's date
826476	99020	Chrysothemis
826476	165297	Herself
826477	108146	
826478	11769	Damefrisør Cordelia Madsen
826478	27571	Rosa
826478	27576	
826478	80101	Sekretær for Arnemann
826478	83091	Tante Eulalia
826478	108177	Fru Andersen
826478	116362	Menighedsrådsformand Fru Ande
826478	121482	Apoteker Hornfleth
826478	123500	Jacobine
826478	147398	'Nille' Nielsen
826478	188868	Kamilla Holmbein
826478	198059	Amalie Lykkeberg
826478	214026	Skuespiller
826478	242451	Frøken Hoppmann
826478	253878	Fru Ebba Andersen
826478	303630	
826478	314986	Frk. Eulalia Nielsen
826478	338687	Generaldirektørens bogholders
826478	340426	
826479	308483	
826480	275758	Frau Neureich
826480	289955	Mia
826480	322522	Kathl
826480	374327	Erna Wallner
826482	31400	
826482	45985	
826482	107347	Mrs. Bode
826482	134511	
826482	142199	
826482	153173	Königsmutter
826482	173381	Aunt Hete
826482	186921	Mrs. Braun
826482	204507	Oma Piesold
826482	237718	
826482	254371	
826482	254675	
826482	259477	Oma Schmidt
826482	259526	
826482	259674	Frau Kraus
826482	277752	
826482	290629	
826482	293549	
826482	324795	Grandmother Krüger
826482	361086	Frau Beutel
826483	363981	Lane Lawrence
826484	34996	Humboldts Gast im Berliner Sa
826485	210036	
826486	230196	Schwester Edda
826487	59664	
826488	390812	Denise Köhler (1992)
826489	22808	Alice
826489	194940	Suffragette
826489	222725	Leonie
826489	276386	Female Patient
826490	69609	Charity
826490	102234	Lynette Larson
826490	231078	Joe Newton's Date
826490	307948	Amber Pearson
826491	48765	
826491	104422	
826491	179670	
826491	259076	Rita
826491	349217	Héloïse de Villefort
826491	352555	
826492	51826	
826492	72074	Mannequin
826492	157228	Greta
826492	322354	Une entraîneuse
826493	307840	Christine
826494	84596	La fille de Fabienne
826495	237820	Josephine
826495	237823	Josephine
826496	261306	Clery
826497	177033	Hilde
826498	242945	Pepita
826499	214808	La mère du narrateur
826500	236602	
826501	278147	Ethel
826502	111012	Valentine
826502	124321	Julia
826502	132982	Marion
826502	307478	La fille de Virginie
826502	339474	Elsa
826502	345443	La copine d'école
826502	346579	Clémence
826502	383864	Colombe
826503	270870	
826504	128983	
826504	354912	
826505	23303	Fortune Hunter
826505	85716	
826506	178686	
826507	337029	
826508	181353	
826508	198178	
826508	322105	Vöröshajú nõ
826508	393994	Kamilla
826508	410331	
826509	356395	
826510	7378	
826510	357107	Lea
826511	373126	Herself (D'Divaz)
826512	171913	
826513	95661	Rosa
826513	134763	Stivova riba, ona sto muva Ba
826513	137713	
826513	152217	
826513	155659	
826513	172464	
826513	183882	Vladimirova devojka, ona sto 
826513	189402	
826513	195251	Ruza
826513	215355	Lady of the Night
826513	217290	Violeta
826513	229277	Medecinska sestra, sto ne nos
826513	251926	
826513	270675	Andjelija
826513	273093	
826513	328705	
826513	337450	
826513	373764	Marija
826514	349218	
826515	180357	
826516	308821	Mr. Barrow
826517	393405	Host/Herself
826518	349194	Iva
826519	81690	Irena
826520	51680	Aunt
826521	21314	Fanynka
826521	35865	Strnadová
826521	43273	Mother-in-law
826521	51256	
826521	51262	Mother
826521	58279	Stanková
826521	95060	
826521	139511	Pavelková
826521	155648	Teacher of history
826521	165340	
826521	198374	Outratová
826521	198375	Mater Regina
826521	206950	Lízalka, Marysa´s mother
826521	229558	Tobacconist Strnadová
826521	244258	
826521	244259	
826521	247949	
826521	262817	
826521	265045	Cerná
826521	266023	
826521	275235	Paul's Mother
826521	320638	Savrdová, beggar
826521	341631	Orphanage director
826521	373487	Rézincina matka
826521	373942	Shoemaker's wife
826521	375361	
826522	3179	
826522	49156	Asma
826522	82494	Nekrasova
826522	89798	Fenya
826522	163897	Elena Glinskaya, Ivan's Mothe
826522	172437	
826522	179666	Yekaterina Borisovna
826522	180134	Luisa
826522	180238	Queen Carolina
826522	181590	Maria Ivanova
826522	198167	Shura's mother
826522	209276	Vanda
826522	220688	Lidiya Arkadyevna
826522	229804	Stefa
826522	249447	Anna
826522	265028	Maria Pavlovna
826522	267928	Mariya Vasilyevna
826522	272523	Lisa
826522	273072	Wife
826522	273073	
826522	282744	Yadviga Rayevskaya
826522	286753	Mother of Lemminkäinen
826522	293987	Liselotte Lavendal Oppenheim
826522	307347	Anna Kryshko
826522	309190	Maryutka
826522	320712	Shura
826522	321870	
826522	343965	Marta
826522	344277	Nurse
826522	352864	
826522	374838	Nastenka's Mother
826522	410447	
826522	410457	
826523	294674	
826524	393359	
826525	258644	
826526	334997	
826527	78139	Female Trainee
826528	126563	Mrs. Murphy
826528	165557	Susie
826529	175401	Kelly
826529	196320	Beth
826530	229555	Marková
826531	352903	
826532	353945	La Grosse Femme Blonde
826533	396084	Mrs. Johnson (1970)
826534	1003	
826534	18221	
826534	18871	
826534	265280	
826534	326212	Old Woman
826534	326216	
826534	356094	Old Woman
826534	380496	
826534	400757	Meropi Monoyiou
826535	191760	Detective Gardner
826536	137631	
826536	174478	Katariina
826536	174740	Vappu
826536	175729	Annina Grahn
826536	179625	
826536	181745	
826536	214835	Girl on a rock
826536	223256	
826536	226811	Anette Erling
826536	242258	Annina Alanko
826536	246933	Nelly
826536	264291	Valotar
826536	283232	Elsa Kassel
826536	319321	Annikki Kivi
826536	321924	Tuula Heino
826536	336832	Tuija Savi
826537	16922	Terry
826537	41235	Ann, motorist-victim
826537	45840	Katherine
826537	114593	Nora Miller
826537	142439	Carol Bechtol
826537	149726	Valerie
826538	30355	Flower Girl
826538	145976	Grace Hall (his daughter)
826538	171047	Undetermined Role
826538	202907	The Child
826538	219891	Undetermined Role
826538	220073	The Loved One
826538	272241	
826538	292564	Ebenezer's Childe
826538	310833	Bob Adams as a Baby
826539	259489	Roswitha Rütt
826540	139005	Bartender
826540	187315	
826541	152287	
826541	152288	
826541	327780	
826542	34229	
826542	79474	
826542	90152	Maritornes
826542	95619	
826542	134229	
826542	178769	
826542	180354	Regan
826542	220695	
826542	243969	Varvara
826542	249658	Tyotya Nyusa
826542	265047	Mother Wolf
826542	283693	Rusalochka,the mermaid, Trakt
826542	317106	Young Girl
826542	320713	
826542	347094	
826542	382821	
826543	373302	
826544	158882	Jasmine
826544	264974	Secretary
826545	343310	
826546	274457	Karen
826547	185096	
826548	68511	Magician's Assistant
826548	78930	Joanna
826548	80448	Mary Jones
826548	80816	Mayor's Wife
826548	131453	Prison Guard
826548	142403	Karen
826548	218841	Marcie
826548	296814	Mrs. D'Donato
826548	300898	Bonnie Velasco
826548	333194	Wizard
826548	334312	Stripper #1
826549	273083	Showgirl
826550	23704	Kate Caldwell
826550	23706	Kate Caldwell
826550	47144	Katie Brinker
826550	240593	Katie
826550	240594	Katie
826550	240595	Katie
826550	277446	Susie
826550	305458	Angie Cooper
826550	395054	Wendy Stiles (pilot)
826550	399439	Jesse Holt
826550	407690	Katie Beauchamp
826551	304205	Roaming girl
826552	268266	Káta
826553	291652	Ungdomsfoto
826554	7578	Trine - Henriks mor
826554	146605	Skolelærer
826554	163755	
826554	181765	Anne-Mettes mor
826554	201344	Henriks Mor
826554	213336	Fru Jensen
826554	237404	Emmy
826554	245794	Mette Gad
826554	291652	Tante
826554	304427	Moderen
826554	379767	Lizzie
826554	394052	Lise Munk
826554	408364	Amalie
826554	410397	
826555	394941	Herself - (Host)
826555	407631	Various/Herself
826556	59302	Herself
826557	17685	Lientje Brandes
826557	403621	Ivana Kucerová-Hrusková
826558	78555	Herta
826558	121340	Delfina Carli
826558	204661	Musette
826558	204704	Mary
826558	342136	Julci
826559	125978	
826560	111747	Klein-Heidi
826561	188129	Sister
826562	360635	
826563	35776	Adult Pitsee
826563	172467	
826563	191415	Alisa
826564	144669	Anne Holland
826564	295316	Amy
826565	127451	
826565	293907	
826565	339337	
826566	170470	Herself (Interviewed)
826567	1669	
826567	118098	
826567	162716	
826567	209056	
826567	325407	Alena
826567	341181	Lia Chantzakou
826567	352564	Maria
826567	387761	
826567	395900	Iro
826567	397345	
826568	103565	
826568	306976	Lelyata
826568	326260	
826569	12600	
826569	107347	Pharmacist's Wife
826569	194438	Frau Härtel
826570	120853	
826570	170132	
826570	181917	
826570	210058	Imogen
826570	239115	Hilda Meier
826570	359639	Fräulein Rabe
826570	361376	
826570	404433	
826571	185725	
826572	232599	
826573	292155	
826574	145479	Miriam
826574	396874	Kandidatin (????)/Annika Krus
826575	211186	
826576	111312	
826577	377509	
826578	27321	Angelina Marie Battito/Oracle
826580	99893	Tante Emma
826580	365612	
826581	35143	Mrs. Nordsen
826581	50607	Mrs. McCready
826581	140960	Whale protestor
826581	328289	Diane
826582	349860	Video Woman #3
826582	387901	Ritinha
826582	396899	Rosana Valverde
826582	402539	Giovana Luchini
826582	408316	Mariana
826583	26279	Mother on terrace
826584	112816	
826584	312876	
826585	95498	Mother
826585	179324	
826586	7435	Maud Hauterive
826586	99736	Secrétaire Dora
826586	144317	Agathe
826586	166097	Directrice de l'ecole
826586	218284	Myriam's Mother
826586	222139	
826587	336754	Monica
826588	169872	
826588	257268	Nachrichtensprecherin
826588	282260	Lady in Brown Coat
826589	295296	Girlfriend
826590	280109	Saunders Sisters
826590	280130	Vougette#5
826591	80065	Woman Being Beaten
826592	264404	Sally
826593	280109	Saunders Sisters
826593	280130	Vougette#4
826594	19659	
826594	28317	
826594	51313	Mutter
826594	56106	Hartmann's mother
826594	70760	
826594	92544	Frau Moos
826594	107773	
826594	115884	
826594	119418	
826594	125293	
826594	129669	
826594	143516	
826594	144349	
826594	155479	Wirtin
826594	180065	Frau Manzoni
826594	180865	
826594	212730	Bertha
826594	221269	Edith Butterfield
826594	221270	Mrs. Butterfield
826594	223283	
826594	225304	Frau Lennart
826594	301020	
826594	356876	
826594	366517	Ulli's Tante
826594	383108	
826594	389615	Olga Sanchowski
826594	392902	
826594	396874	(1992)
826594	409860	
826594	409861	
826595	5129	
826595	11783	Vanessa
826595	12378	Hedda
826595	18315	El Busto
826595	24088	Lilo
826595	34369	
826595	42952	Frau Dose
826595	85729	Secretary
826595	93443	Frau Mallebré
826595	98057	Mrs. Berndorf
826595	101355	Frau Schubert
826595	124992	Maria
826595	125040	Gisela Horn
826595	125166	Erbfürstin
826595	140264	
826595	140265	Kalinka
826595	140267	Doña Dolores
826595	140268	Elke Jensen
826595	140269	Katinka
826595	155741	Herself
826595	156989	Kitty
826595	169121	Stiefmutter
826595	169125	
826595	170675	Linda
826595	174757	
826595	175290	Mutter Schloenzke
826595	178781	Studienrätin Frisch
826595	180974	
826595	187526	Fräulein Schmidtke
826595	189612	
826595	190765	Marika
826595	193482	Gigi
826595	198938	
826595	204816	Toni
826595	239016	Mrs. Bradman
826595	274118	Einbeck
826595	290839	Linda
826595	293415	Grete
826595	296049	Muriel
826595	302276	Marge Simpson (German Voice)
826595	317238	
826595	348687	
826595	353764	Dr. Schumann
826595	359679	
826595	364805	
826595	375049	Diana
826595	376165	Hausmeisterin
826595	376368	Else Schmitz
826595	376438	
826595	394623	Host/Yolante Klimbim/Various 
826595	395644	Paula
826595	397370	Frau Hoffmann
826595	400041	Anneliese
826595	403792	Helga
826595	404452	Marie Antoinette
826595	406321	
826595	412101	
826596	178781	
826597	12382	
826598	163130	
826599	353307	Lisa
826600	33822	
826600	112853	Mme. Villedieu
826601	162755	
826601	349340	
826601	350125	
826602	239238	
826603	374729	
826604	239364	
826605	104778	Russian entry (3rd place)
826605	170368	Herself
826605	221424	t.A.T.u-presenter
826605	221425	Herself
826605	322616	Julia
826606	41877	
826607	316373	(segment Bratka)
826608	88729	
826608	214311	
826608	217275	
826608	237430	
826608	357461	
826609	238320	
826610	163997	
826611	313140	
826612	357208	
826613	136231	
826614	264974	Client in Dima's Shop
826615	16937	
826615	17534	
826615	18908	
826615	32504	
826615	89984	
826615	94505	
826615	117969	
826615	131161	
826615	154684	
826615	162744	(segment Skrepki)
826615	163043	The onion eater
826615	174270	
826615	180791	
826615	188708	Lotte
826615	216610	
826615	217283	
826615	229175	Katya Ivanova
826615	229839	
826615	236053	
826615	239928	
826615	244164	
826615	258668	
826615	258670	
826615	263420	
826615	264926	The oculist
826615	265991	
826615	286738	
826615	297561	
826615	303789	Yaga
826615	303810	
826615	306069	
826615	308425	
826615	316429	
826615	339026	
826615	341332	
826615	343970	
826615	349298	
826615	350991	
826615	356444	
826615	356938	
826615	370173	
826615	370406	
826615	373573	Surova
826615	373704	
826615	374795	
826616	211195	
826616	285197	Minstrel
826616	359175	Sonya
826617	303802	Younger Marusya
826618	41877	Teacher's Daughter
826618	179618	
826618	237467	
826618	265946	
826618	339230	
826618	396239	Tanya
826618	399344	Kirsanova
826619	374845	
826620	131297	
826621	341184	
826622	12795	
826622	12796	
826622	92632	
826622	159746	
826622	203837	
826622	216112	
826622	226688	
826622	233909	
826622	284886	
826622	348116	
826622	358510	
826623	350992	
826624	388527	Host
826625	219985	
826625	273131	
826625	305877	Yngre sykepleier
826625	307244	Bakstekona
826625	387196	Ingrid Thorsen
826625	389138	Clara Løvdahl
826625	404785	Lillian Sunde
826626	409609	Lucy
826627	17723	
826627	177193	
826627	293800	
826628	7463	Me Favreau-Colombier
826628	23541	La mère
826628	23808	Antoinette, marquise de Presl
826628	23822	Jicky Mestre
826628	43710	Janine
826628	53253	Marie Waleska
826628	65116	Monique Sartet
826628	153883	Marcel
826628	198357	
826628	225525	Solange
826628	249087	Diane
826628	249098	Diane
826628	275123	
826628	346531	
826628	382480	Hélène Rougères
826628	386268	Virginie
826628	398033	Hortense Fréval (1973-1975)
826628	399193	Christine Fourcaux
826628	404484	Helen Lester
826628	408486	Hélène
826628	409256	Anne
826628	410307	Nicole (1968)
826629	46334	Marlo
826630	352608	Violin, Vertavo Quartet
826631	330027	Herself (Pop Journalist)
826632	297802	Zombie
826633	184853	Lara
826633	185451	Young Dinah
826634	7241	Emilie jeune fille
826634	15061	Sonia
826634	19201	Aline
826634	53861	La jeune fille
826634	84695	Carole
826634	87815	
826634	101144	Annette Rostaing
826634	101191	Le juge Laguerre
826634	110216	Liane
826634	133086	Maguy
826634	136645	Mme Estelle
826634	153803	Coralie
826634	166097	Mme Lemercier
826634	166191	Juliette
826634	196822	Madeleine
826634	205150	La Voyagiste
826634	214987	Nicole Moinard
826634	329158	Colette
826634	345292	Marie
826634	345467	Marie
826634	346555	
826634	354693	Marie adulte
826634	356445	Adélaïde
826634	356979	Pinky
826634	384897	Constance/Vicky
826634	386095	Martine Dupeuch
826634	393279	Cathy
826634	410142	
826635	248150	
826635	291558	
826636	12083	
826637	80535	News Anchor
826638	80535	Housewife
826639	47132	Bit
826639	232224	
826639	330846	
826639	356230	Model
826640	51051	Jamie Carter
826641	361979	Krankenschwester
826642	265556	Jane Jones
826643	103280	Nurse
826644	92747	Bulma
826644	92756	Bulma (English version)
826644	92757	Bulma (English version)
826644	92758	Bulma
826644	92852	Bulma
826644	92855	Bulma
826644	161760	
826644	386921	Bulma
826644	386922	Bulma (II)(1999-2001)/Marron 
826644	386923	Bulma (2001-2003)
826644	411884	Additional Voices
826645	184405	Hexe
826646	389644	Gabriela
826647	28724	Anna Hanska Enfant
826648	199380	La chanteuse
826649	210954	
826650	257530	Heather Kessler
826651	410652	Herself (prosecutor)
826652	17520	
826652	17760	Alvy's Aunt
826652	266617	
826653	107681	Employee
826654	23365	Suzanne
826654	346707	La mère
826654	393451	Madame Bruneel
826656	293629	
826657	8146	Maria Libera
826657	69759	Waitress
826657	152219	Mona Lisa
826657	154200	Rachel
826657	205960	Fishmonger
826657	212394	Madre gemelli
826657	238073	Female Butler
826657	247511	Pensione Housekeeper
826657	308097	Mona Lisa
826657	354765	Interviewee
826658	353500	Herself (Model)
826659	356120	
826660	20035	
826660	34608	
826660	63613	
826660	95650	Irina
826660	238824	Katya
826660	242978	Commissar
826660	261370	Yuliya Pavlovna Tugina
826660	323321	
826660	339332	Masha
826660	357334	
826661	357334	
826662	22717	
826662	258720	Natalie Pushkina
826662	317099	Olga
826663	3088	La mamma
826663	28474	Mrs.
826663	33474	Tina
826663	36510	Renata Villefort
826663	54774	
826663	90676	Ines Tabusso
826663	136850	
826663	162061	
826663	230081	
826663	244576	Isabella (episode "L'armadio"
826663	246454	Madonna Libera
826663	278908	Greta Wagner
826663	351543	suora
826663	355626	Amelia Pavinato
826664	265513	Ines
826665	354637	
826666	132149	
826667	88455	
826668	341641	Niza Krit
826669	350738	
826670	339172	Quena
826670	380126	
826670	380535	Gustava Patiño
826670	382543	
826670	386170	Cecilia Zamudo
826670	393836	
826670	395867	María Olivia Carter
826670	395880	Lisa
826670	401096	Aída Echeverría
826670	402463	
826670	403644	
826670	408180	Jocelyn
826671	20725	Bar girl
826671	73600	Barbara
826671	353130	Marcella
826672	12970	
826672	56072	
826672	135052	
826672	151800	
826672	205006	
826672	332638	
826673	672	Doctor
826674	155585	Amelia (segment "Basta un att
826675	236786	
826676	251982	
826676	393151	Paula
826676	403687	
826677	56072	
826678	90054	
826679	45889	Angelina
826679	354960	
826680	88912	Martha Strother
826681	163731	(segment "Infedeltà coniugale
826681	386745	Lucy
826682	261577	
826683	33401	
826683	234620	
826683	380328	Rosa Maria
826683	383677	Lalucha
826683	386168	
826683	395400	
826683	399140	
826683	401819	
826683	401897	Ana Paula
826683	410099	
826684	177309	Joan
826685	6296	La fidanzata di Ernesto
826685	18375	
826685	77228	Una cameriera
826685	90168	
826685	91080	
826685	204704	La cameriera
826685	214004	Una cameriera
826685	251614	
826685	287121	La cameriera
826685	289649	Annetta, la cameriera
826685	344586	La cameriera
826685	345606	La cameriera
826686	191098	Dancer 'Eat the Music'
826687	290237	Felicitas
826687	335027	Flotte Mâdchen
826688	244657	
826688	260597	
826688	322816	
826688	370132	
826689	46101	Gipsy
826689	242476	Rada Granovskaya
826689	322816	
826690	105101	Wife's Friend
826690	114512	Virginia, Grandma Nonna
826690	128500	
826690	150685	
826690	213315	
826690	257699	
826690	273929	
826690	288050	
826690	381570	Helena Rubenstein (1972)
826690	408287	
826690	408664	Sally Wilson-Hayes
826691	63318	
826691	182462	
826691	259925	
826692	222349	
826692	375233	
826693	352456	
826694	63581	
826694	212294	
826694	219723	
826694	229036	
826694	253635	
826694	262176	Koloskova
826694	327129	
826694	349077	
826694	356921	
826694	374563	
826695	198917	
826696	120242	Saffron
826697	205737	Aline
826699	23673	Betty
826699	249713	
826700	13046	
826700	20788	Reporter #3
826700	54717	
826700	81414	
826700	83424	
826700	103846	
826700	115747	
826700	143755	
826700	147976	Tourist Wife
826700	207031	
826700	207640	Gabriela Cabos
826700	210868	Rich Lady
826700	252518	
826700	269895	
826700	270255	
826700	277358	
826700	310037	
826700	341646	
826700	350399	
826700	379461	
826700	379603	
826700	379905	
826700	380107	Sister Lucía
826700	381145	
826700	384400	Maestra Fabianne Riverol (200
826700	385401	Annette
826700	386531	Jackie
826700	389103	
826700	390774	
826700	397577	
826700	401916	
826700	401918	Sra. Mier y Terán
826700	402059	
826700	402219	Jacqueline
826700	404161	
826700	405398	
826700	408855	
826700	410303	
826701	80943	Dancer
826702	318119	Man Nel
826703	28563	Mother
826703	191738	
826703	216446	
826703	224430	Diane Dare
826705	22580	
826705	24283	
826705	76179	
826705	236277	
826705	272579	
826706	52928	
826706	110160	
826706	262235	
826706	278607	Herself - a Dancer
826706	280998	
826706	286571	
826707	179742	The Grandmother
826707	299555	
826707	374177	
826708	47588	Firefighter
826709	606	Mrs. Kissell
826709	35144	Very Old Woman
826709	69263	Mrs. Conlaw
826709	96741	Lana
826709	117100	Hypatia
826709	133871	Old Lady
826709	134313	Mrs. Felcher
826709	185474	Gladys
826709	192048	Mrs. Clancy
826709	197776	Big Ed
826709	219638	Helen
826709	220682	Mrs. Loretta Houk
826709	222134	
826709	247215	Emily Baines
826709	301787	The Ranger's wife
826709	330198	Elderly woman
826709	372882	Free Press Lady
826709	381057	Mrs. Newman (1991)
826709	387095	Miz Emma Tisdale (1981-1983)
826709	388247	Pearl Sperling (1985-1986)
826709	388719	Winona 'Mother B' Beck
826709	390984	Pinky Nolan
826709	411670	Grandma Belle Durbin
826710	185815	Young Girl
826711	345924	Lilo Berger
826714	104699	Sissy
826715	28993	
826715	163754	Alte Dame
826715	189685	Alte Dame
826715	290843	Miss Baker
826715	389959	
826716	60145	
826716	356058	Mutter
826718	356058	Noemi
826719	145131	Soile Mäntymaa
826719	350672	Veronica Sorrento
826720	125983	Ursula
826721	15888	Mrs. Stevens
826721	46914	Mirabella
826721	80305	
826721	82874	Lotte Henk
826721	101336	Vera Schellhorn
826721	126480	Yvonne
826721	144016	
826721	144357	Cora Ann
826721	210026	
826721	210051	Gerda Eissler
826721	282179	Maria Gomez
826721	285381	
826721	293858	Gabrielle Courtois
826721	303175	
826721	316842	Käte Stresemann
826721	325745	
826721	354718	Lotte
826721	376341	Rosita
826722	77303	Brigitte Meiners
826722	134991	
826722	156987	
826722	308249	
826723	101752	Ingeborg Roll
826724	290051	
826724	395667	Sonja Besirsky
826725	32767	
826725	412110	Haselchen Handschuh
826726	131124	
826726	265092	Wendelgard v. Baldini
826727	199302	Marquise de Andervillier
826727	242443	Jo
826727	308245	Helena
826727	324681	
826728	15123	Theo
826729	181501	Astrid von Falkenberg
826730	410606	Team Member
826731	2256	Newsreader
826732	98261	Mädchen (Akt)
826733	236968	Grandparent
826734	124398	
826735	5689	Weber's mother
826736	384590	Herself
826737	211122	
826738	145482	Child
826738	390812	Anni Kauffeld (1993)
826739	42797	Katia Lelli
826739	337259	
826740	296508	Dancer
826741	28432	Gertrude Selle
826741	33134	
826741	125017	
826741	125331	Therese
826741	137419	Mutter Borchert
826741	142027	
826741	142140	
826741	144143	
826741	156714	
826741	172357	Anna Suter
826741	175569	
826741	177193	
826741	180703	Anna
826741	186886	Frau Kolling
826741	189774	Fräulein Canisius
826741	201341	
826741	204421	
826741	225185	
826741	278869	
826741	279660	
826741	290489	Karen Homma
826741	345933	Betty
826741	347049	
826741	347640	Martha Webers
826741	359580	Anna Losatzka
826742	290753	
826743	309064	
826744	119180	Maggie
826744	308206	
826745	129674	
826747	173703	Patricia
826748	79177	'Lotti' Hirsekorn
826748	361462	Emma
826749	11848	
826749	48136	Floriane
826749	91034	Tanja Bohlke
826749	125303	
826749	144163	Petra
826749	277709	Mary Losseff
826749	356734	
826749	393255	Gesine (17-23 Jahre)
826749	405807	Polizeikommissaranwärterin Ul
826750	12568	
826751	347764	
826753	115969	
826753	207234	Virginia
826753	283062	
826753	308263	
826754	5099	
826754	35200	
826754	324631	Mathilde Kühn
826754	325825	Eva Ertl
826755	37357	Pam's friend
826755	109809	Roxy
826755	227352	Claire
826755	405960	Dolly Bird
826756	259881	Pallas Athene, viisauden ja s
826757	26972	
826757	95126	Prostituierte
826757	178585	Gerda von Rinnlingen
826758	43650	Herself
826759	33643	
826759	194581	Woman
826759	199180	Duchess
826760	274200	Pepper's Salon Hag 1
826761	272840	Stephanie
826762	102910	Herself
826762	104447	Velia
826763	314853	Polizistin
826764	37778	
826764	51285	
826764	99188	
826764	328849	
826765	40638	Angela
826765	145338	
826765	189717	Ludgers Wife
826765	211120	Célimène
826765	265849	
826765	275208	
826765	388866	Debbie
826765	396285	Sabina Koester (2000-????)
826766	308674	Window washer
826767	84549	
826767	337561	Frau Direktor Saltarelli
826768	162364	Prison Singer
826769	287575	
826770	49396	Claudia's Mother
826771	93410	Viviane
826771	166766	
826771	204417	
826771	338434	Gaby Fischer
826772	18525	Käthe
826772	19659	Cordula
826772	24468	Sigrid Dengler
826772	26479	Gisela Odenwald
826772	28700	
826772	45976	Margarethe
826772	46623	
826772	79623	Laura Melzer
826772	95264	Angela Rinser
826772	98251	
826772	112235	Regina
826772	116016	Claudia
826772	125186	Ella Jansen
826772	125188	Marlies Suter
826772	125332	
826772	126447	Sandra Puttgammer
826772	138272	Martha
826772	142240	Ellen Reuter
826772	155350	Sophie Blum
826772	155416	Julia Schiller
826772	171418	Daphne Winter
826772	177150	Karin Kupfer
826772	182733	Katharina
826772	186149	Laura Völlenklee
826772	187866	Claire Katzenberger
826772	189664	Mechthild Weiß
826772	190867	Lena
826772	193504	Frau Jäger
826772	194789	Camille Foulet
826772	199014	Prostituierte
826772	206221	Charlotte Seidlitz
826772	207151	Rosita
826772	211078	Vreni
826772	212153	Gisela Odenwald
826772	225261	
826772	225649	Marga
826772	231460	Julia Boysen
826772	244132	Mutter
826772	259465	Natalie
826772	267331	Trude Schlösser
826772	290049	Julia Schäfer
826772	290052	Julia Schäfer
826772	290053	Julia Schäfer
826772	290054	Julia Schäfer
826772	290057	Julia
826772	311424	Dr. Daphne Czap
826772	312878	Andrea Probst
826772	313789	Performer
826772	325550	Frau Jocobi
826772	325551	Frau Jacobi
826772	325920	Sophie Fischer
826772	329659	Dr. Ellen Weiss
826772	334547	Vera Vogt
826772	343681	Anita Zorzi de Lucca
826772	355608	Edith Schuster
826772	361501	
826772	364876	Anna
826772	373429	
826772	374620	Astrid
826772	376295	Frau Kreidler
826772	376382	Hanna
826772	376772	Lucy
826772	377365	Evelyn Beyer
826772	377371	Dr. Klein
826772	386220	
826772	389286	
826772	393255	Gesine Cressphal
826772	399669	
826772	399825	Steuerberaterin
826772	407986	Gerda Riemer
826772	409861	Ingrid Bach (1995-1998)
826773	46161	Kathi
826773	79176	Katharina, die Große
826773	103035	Rosalinde Bach
826773	104661	Corry
826773	197824	
826773	237223	Blacenka
826774	53220	Dame
826774	111360	Bäuerin Sellerhof
826774	136086	
826774	152738	Mrs. Kremer
826774	159537	Anton's mother
826774	167149	
826774	174216	Ida
826774	189670	Fieke
826774	225282	
826774	325598	Charlotte Casstorff
826774	325649	Charlotte Casstorff
826774	325913	Charlotte
826774	345917	
826774	348047	
826774	354076	
826774	377340	Großmutter Anthrazit
826774	389948	
826774	392509	Nachbarin Frau Heinrich
826774	394143	Hanni
826774	397950	
826774	407351	
826775	27424	
826776	192254	Bubble Girl
826777	2809	Herself - Best Art Direction 
826778	120063	
826779	228006	
826780	232281	Swanson
826781	394940	Jenny Linder
826782	390812	Sandra Lemke #2 (2002-)
826783	44830	Jessica
826784	339048	Nun
826785	351939	1. Sekretärin
826786	120133	
826786	178838	
826786	234825	
826786	311425	
826786	322998	Frau Kindermann
826786	361453	
826787	15271	Frau des Küfers
826787	24543	
826787	55099	Frau Peters, mother
826787	93441	Haushälterin
826787	100983	
826787	129357	Frau Scheffler
826787	129493	
826787	137642	
826787	144103	
826787	145492	
826787	179993	Raoul's Mother
826787	266208	
826787	290632	
826787	292063	
826787	294741	Johanna Brown
826787	333850	
826787	353994	
826787	365007	
826788	3650	Herself - as Sunny von Bülow
826790	302175	Tanja
826791	62432	Juliette
826791	138705	
826792	325716	
826793	360946	
826794	396151	Tulle
826795	354787	
826796	149258	Bamville Club Dancer
826797	117830	Herself
826798	156044	Elsbeth Burger
826798	255495	
826798	347642	
826798	350885	
826800	10633	
826800	27126	Stin
826800	145483	
826800	170119	Frau Nowosowska
826800	205594	Governess
826800	225151	Frau Buddensiek
826800	261781	Anna Moebius
826800	281947	Fiete, Eschmanns Magd
826800	290464	
826800	303718	
826800	314544	Frau Marseille
826800	322531	Mutter Mertens
826800	348678	Anna Hartmann
826800	352489	
826800	374551	First maid
826801	134967	Dr. Susanna Mangold
826801	166715	
826801	177185	Ulla Henk
826801	325563	
826801	325938	Irina
826801	389119	Dr. Susanna Rombach, gesch. M
826801	396874	Cassy (episodes 59 - 61)
826801	406321	
826802	366520	
826802	375986	
826803	91903	Police Officer
826804	360959	
826805	227170	
826806	37756	Gesunder Menschenverstand
826806	199408	Karla Freund-Goldmund
826808	144351	
826809	129722	
826809	186957	
826809	358892	
826809	378295	Herself
826810	107959	
826810	175774	Babette, Zofe
826810	184397	Mi, Schwester von Prinz Sou
826811	147188	Luise
826812	189541	
826813	208001	Christine
826813	244678	Yvonne
826814	38840	
826814	302479	
826814	319672	Renate
826814	329682	Hexe
826814	354012	Conférencier
826815	310905	Sonja
826816	390814	Presenter
826816	403862	Sports Host
826817	308598	Dancer
826818	133792	Cheerleader
826819	9525	Juliane Wildmann
826819	34347	
826819	144359	Gwenda Milton
826819	178549	
826819	277262	
826820	122569	
826820	167152	
826822	29639	Barbara
826822	29912	Mother
826822	102438	Mother
826822	114810	Sella [Felen i ville skogen]
826822	180928	Ann Mari Salmi
826822	190941	Bonnie
826822	215349	Jenny
826822	245619	Liv
826822	247319	Eva
826822	293649	Gina
826822	401114	Ingrid
826823	126247	Sekretärin der Bayer-Werke AG
826824	146602	
826825	290177	Gräfin Woronzoff
826826	119254	
826827	16221	Gertrud Krug
826827	16831	
826827	33139	
826827	75936	
826827	122680	Irina
826827	134816	
826827	136724	Paula
826827	179757	
826827	181153	Helen Fabricius
826827	187461	
826827	189617	
826827	216258	
826827	223466	
826827	225740	Sophie von Riedesel
826827	261781	Young French Woman
826827	283056	
826827	293542	
826827	312729	
826827	317467	Young French Woman
826827	356836	
826827	361327	Lore
826827	361385	Marna
826828	315807	Dolly
826829	119243	Emmy
826830	12319	Party Guest
826831	123460	Receptionist
826832	298119	Sweat Shop Worker
826833	231671	Jojo
826835	318315	Mie
826836	352675	Colette
826837	109557	Frau Panezza
826837	188750	Kellner Eugen
826837	347699	Fischverkäuferin
826837	352675	Colette
826838	347827	
826839	322952	Evie
826840	322952	Pluto
826841	322952	Jackie
826842	322952	Puckie
826843	322952	Clarissa
826844	107364	Liesel
826844	188854	
826845	41054	
826845	376328	
826845	376487	
826846	225143	
826847	195262	Assistant Coach
826848	225207	Mia Pankau
826849	93482	
826849	144135	Die vier Marien
826849	283056	
826849	322427	Sylvia Genris
826850	353469	
826851	119628	
826852	365874	Carola Thadden
826852	382754	
826853	31003	
826854	310940	Baroness
826855	26252	Their daughter
826855	138458	Hannerl
826855	290113	
826855	341765	Mary Allen
826856	113773	Waitress
826856	175645	Barbara
826856	292596	Deelia
826856	354961	Sela
826856	355157	Housewife
826857	137145	Kitty
826857	160599	
826857	216351	Veronika
826857	325446	
826857	325564	
826857	334610	Frau Möhring
826857	386426	Monika Caduff
826857	409411	Agnes Schwandt
826858	80463	Young Grandmother (junge Oma)
826859	24897	Schwester Gundula
826860	178780	Oberin Walpurga
826861	27958	Allison
826862	392906	Herself
826863	129711	Brigitte von Tienitz
826864	14581	
826864	28371	
826864	37224	Mrs. Brugger
826864	41862	Elfi Heidemann
826864	63694	Cécile
826864	89043	Doddy
826864	90982	Lisa Hartmann
826864	111952	Annamirl als Kind
826864	121069	Vickie Paul
826864	125027	Angelika
826864	129725	
826864	156046	Gaby von Altenburg
826864	180834	
826864	183265	
826864	189648	Frau Mittler
826864	189673	Margot
826864	205583	
826864	210034	Rosi
826864	217556	Regina
826864	226324	Inge
826864	248405	Leonie Perrot
826864	254574	Anna Dräcker
826864	281722	Hanna
826864	281751	Mary
826864	282213	
826864	289894	Erika Schöner
826864	311235	
826864	314510	
826864	322988	Beebee Fenstermaker
826864	323659	Karin Heller
826864	325868	Dr. Hilde Jahn
826864	341171	Therapeutin
826864	346852	Sabine
826864	348058	
826864	360656	
826864	361398	Hanna
826864	375982	Katja
826864	376383	Christine
826864	380920	Marianne
826864	391293	Ingrid Probst (1985-1989)
826864	394832	
826864	401312	Freifrau von Rabenberg
826864	407907	Hetty
826865	204473	Aunt 1
826866	47385	Herself
826866	90755	Boshe from Munich
826866	112202	
826866	372863	Jill Bennett
826866	380713	Lisa Miller Hughes Eldridge S
826866	404694	Niele Neeves (1973-1974)
826867	92660	Younger woman
826867	190482	French Girl #2
826868	160888	Diane von Fürstenberg
826869	2653	Trudy Farrell
826869	3510	Pamela Scott
826869	13050	
826869	14433	Hester McDonald Morton
826869	31003	Marta
826869	33815	
826869	52179	Isabella Gonzales
826869	54379	Silvana (segment "Gelosia, La
826869	74557	
826869	125121	Suzanne
826869	125409	
826869	127937	Isabel Lancia
826869	142614	Evelyne
826869	148781	Mezzini's wife
826869	164169	Irina Yusupov
826869	207702	Arabella
826869	229436	Laura
826869	229605	
826869	233548	Jacinta
826869	233551	
826869	258315	La femme du sénateur
826869	263720	Laura
826869	265198	Cristina Visconti, la giornal
826869	265310	Dottoressa Olivieri
826869	284213	
826869	398877	
826870	111742	Abess
826870	278573	Hannas Kollegin
826871	284424	
826871	361532	
826872	330562	EuroSecs radiooperatör
826874	197738	Voice on telephone
826874	294545	Sara´s Mother
826874	346202	Mrs. Lundgren, Sandra's mothe
826874	396345	Sofia Magdalena
826874	405539	Ulla Thorén (1999-2000)
826875	346202	Sandra as child
826876	297190	Lindy (Girl with 'the toe')
826876	348106	Herself
826877	115879	Lucretia Carotti
826878	58836	Rebecca
826880	41888	Assistant Editor
826880	108104	Ingrid
826880	172666	Marjorie
826880	346327	Ash
826880	410588	Advocate #2 (1988-1989)
826881	399180	Presenter 'Besser Leben'
826882	364967	Frau Wiegand
826883	97233	Karin
826884	305084	
826885	179005	Tänzerin
826886	266611	
826887	28212	
826887	67954	
826887	69929	
826887	74624	
826887	80197	
826887	96360	
826887	123153	
826887	150529	
826887	169764	
826887	206741	Sgt. Cruz' Wife
826887	217565	
826887	251339	
826887	252757	Arregúi
826887	266198	
826887	335988	
826887	370081	
826887	380947	
826888	325383	
826889	145603	Lektorin
826889	181944	Inge
826889	303710	
826889	376577	
826889	376626	Rosi Berner
826890	365007	
826891	365007	
826892	322949	
826893	365014	Hertha, Student
826894	388756	Maria Rolf
826895	549	Alte Frau
826895	15123	Eine hausdame
826895	91007	
826895	131124	
826895	134803	
826895	166741	
826895	178612	
826895	301043	
826895	314899	Hofdame der Prinzessin
826896	1675	Herself
826896	2042	Herself
826896	2627	Herself
826896	72784	Nominee
826896	171123	Herself
826896	384698	Herself
826896	399347	Herself
826897	14548	
826897	74746	
826897	93439	
826897	127376	
826897	161859	
826897	226298	
826897	293245	
826897	310217	
826898	390372	Host
826899	129694	Monika Pichler
826900	354368	Model
826900	359689	Agency Assistant
826901	1988	Ramona
826902	93516	Festdeltager
826902	143219	Sygeplejerske
826902	180929	Hans kone
826902	388761	Dansk lege
826903	389138	Tjenestejente hos Løvdahl
826904	14964	
826904	28531	Marthe Thoresdatter
826904	29182	Rosita
826904	42556	Frk. Simonsen
826904	45998	Servitrisen
826904	48199	Kontordame
826904	100357	Margit
826904	106806	Sykesøster
826904	108633	Ekdahlska huset - Berta
826904	114768	Ragnhild
826904	115424	
826904	117862	Madonna-Hansen
826904	136877	Mrs. Håkonsen
826904	138006	Nurse
826904	142713	Pegeen Mike
826904	153288	Klasseveninne
826904	153945	Nurse
826904	153956	Toril
826904	159646	Gurli Linder
826904	166777	
826904	197274	Pleiersken
826904	223204	Nelly
826904	293841	
826904	334084	Lilleba
826904	399491	Margrethe
826905	251810	Ingrid
826906	226311	
826907	259620	
826907	401801	Host
826908	226177	
826909	29960	Calhoun
826909	47004	Runway Model
826909	92264	Anne Richman
826909	155861	Maricka
826909	185087	Woman in Video Store
826909	288905	
826910	118980	Party Child
826911	6588	Eva Braun
826911	114972	Verkäuferin
826911	130963	Klara, Aline
826911	194360	
826911	289880	Violet
826911	365885	
826912	241875	Jeweler
826912	361489	Kriminalassistent Gillhausen
826913	382261	Herself (christens the Tirpit
826914	144577	Woman at Bar
826915	713	Caro
826916	210327	Herself/Host
826916	303663	Guest at the birthday party
826916	397394	Herself/Host
826917	402	
826917	366540	
826918	102453	
826919	34705	Bank Teller
826919	68015	Luciana
826920	231468	
826921	16759	Fashion Designer Ella
826921	240429	
826921	285819	Un mannequin
826922	72104	Cover Girl: Harper's Bazaar
826923	181746	Anna
826924	390812	Sumadi Bjramani
826925	361562	Frau Günzelsen/Sekretärin von
826926	12883	Johns Frau
826926	18893	Camilla
826926	56080	Ninette
826926	74427	
826926	125144	
826926	134818	Camilla von Hollay
826926	142010	
826926	187553	
826926	199398	Maid
826926	215096	Fanni
826926	272537	Dienstmädchen Dunja
826926	284192	
826926	301037	
826926	333563	
826926	360059	
826926	360649	
826926	373963	Karoline
826926	376576	Kindermädchen
826926	377779	Hetti
826926	378553	Dunja Siganewa
826927	8979	
826928	178316	Saleslady
826929	144256	Hannerl Maderer
826929	277034	
826929	280167	Anna
826930	95830	
826931	127841	
826931	337124	Mrs. Borgmann
826932	62957	Person in the Villiage
826933	163754	
826934	126869	Child
826934	197949	
826934	251810	
826934	336526	
826935	289894	
826936	52973	
826936	53669	Madre de raul
826936	66080	
826936	74361	Armando's Mother
826936	74983	
826936	83888	Madre de Marcela
826936	96270	
826936	100262	
826936	199969	
826936	222051	
826936	287697	
826936	302380	Mrs. Goldberg
826937	19942	
826937	76106	
826937	112047	
826937	184877	
826938	168396	
826939	90515	
826939	122769	
826939	186886	
826939	210077	
826939	335994	Moosbäuerin
826940	147163	Marzelline
826941	281751	
826942	180637	Ise Bock
826942	226177	
826943	388640	Yvonne
826943	390812	Cornelia Blau (1993)
826943	396874	Cassy Robinson (1993-1996)
826944	290521	
826945	319736	Hajos Schnalle
826946	257580	Foxy the Masseuse
826947	222432	Cynthia Lessing
826948	196369	
826949	84566	Host
826950	155491	
826950	365894	Secretary
826950	409982	
826951	142209	
826952	178666	
826953	180919	
826953	281123	Romarei
826954	267407	Uli
826955	356733	
826956	191417	Jessica
826956	395701	Jessica
826958	7555	Katrin Zollner
826958	7556	Nora Prinz
826958	11857	Sabine Carlsen
826958	12576	Imke Erdmann
826958	14284	Lillian Feuerbach
826958	16236	
826958	18521	Staatsanwältin
826958	23890	Alma
826958	48127	Sophia
826958	108187	Anja
826958	160962	Kyra
826958	171139	Tina
826958	223285	Heike Rosenfeld
826958	226313	
826958	281746	Rebecca Bayliss
826958	284426	Christine
826958	284427	Laura Bernstorff
826958	324682	Christine
826958	325439	Manu Reich
826958	325502	Stella Eisner
826958	352065	Jutta Faber
826958	371393	Chris Wendler
826958	375993	Nina Lensky
826958	383271	Emma
826958	386132	Princess Selvaggia
826958	389242	Commissaire Lydie Herzog
826958	404451	Christine Berger
826959	42112	Girl at Party
826960	20428	
826960	125326	Fernande Raway
826960	162453	
826960	242855	
826960	250637	
826960	253758	Evil Woman
826960	264332	
826961	70300	
826962	189672	
826963	33462	Anna Ellermann
826963	49264	The Girl
826963	144926	
826963	225735	Frau vom Stein
826963	272858	
826964	134995	Biene
826965	235382	Susanne
826965	236641	
826965	290255	Klara Dirks
826965	376573	Irene
826965	389359	Jutta ("Ratte") Brandt (1996-
826966	2269	Isabel
826966	115840	Svea Hajos
826966	216278	Johanna
826966	325764	Sandras Freundin
826966	405500	Miriam Pechtl
826967	115402	Listening woman
826967	321510	Student in school kitchen
826968	199082	Gudrun
826969	4507	Schoolgirl
826970	8150	Agatha Scott
826970	35881	
826970	90122	Dona Ana
826970	98042	
826970	100987	Voice of Christa
826970	113057	
826970	117180	Christa
826970	119117	
826970	142282	Franziska
826970	164648	Marianne
826970	164654	
826970	182536	Dr. Karin Andersen
826970	184294	Herself
826970	198257	Z.
826970	211100	Gitta Martens
826970	214718	
826970	215084	
826970	237486	Lilibet
826970	239016	Elvira
826970	253974	Tatjana
826970	287315	
826970	289948	Elisabeth
826970	302751	Lilibet, Mother of Luiserl an
826970	312214	Jette Bohn
826970	314561	
826970	316522	Valentina
826970	325634	Hannelore
826970	325864	Helene
826970	347622	Doris Kröger
826970	354367	Erika Lehr
826970	359658	Viola
826970	366562	Kirsten
826970	367143	
826970	383171	Ingeborg
826970	385009	
826970	387750	Host
826970	390165	
826970	396753	Frau Wolter
826970	402046	Lore Brockmann
826970	403133	Anette Neumann
826970	404763	Dona Proeza
826970	406335	Christina Florence (1995-1996
826971	115269	Women Coalation Diner Patron
826972	48133	Organistinden
826972	83082	Fru Petersen
826972	84279	
826972	117001	
826972	121026	
826972	153230	
826972	165176	Dame
826972	208797	Pippi Langstrømpe
826972	268376	Sygeplejersken
826972	322681	Den skæppeskønne
826972	334310	Frk. Rasmussen
826972	346036	Mynte
826972	357814	Sofie
826972	395824	Frøken Brandstrup
826973	290871	Frau im Imbiß
826974	18375	
826974	54148	
826974	57970	
826974	68653	
826974	90973	
826974	117966	
826974	196719	
826974	206029	
826974	235754	
826974	251323	Giulia
826974	278952	
826974	281076	Un' amica di Annetta
826974	281887	
826974	326086	
826974	377576	
826975	188796	Mutter Petrowana
826975	348677	
826976	308382	Tartar Girl
826977	74711	Dance Specialty
826978	290194	
826979	129720	
826980	61097	Suor Pia
826980	86523	Clara
826980	96161	Monika
826980	99627	Ileana's mother
826980	135146	
826980	231599	
826980	273712	Giovanna
826980	349848	
826981	5195	Riccos Schwester Manuela
826982	24689	Nina-Nena
826982	36480	Bibi Blocksberg
826982	36481	Bibi Blocksberg
826982	294028	Chihiro
826982	347694	Lisa
826982	352539	
826982	359660	Katja
826983	281667	
826984	31915	Gräfin Blankenhagen
826984	275130	Elisabeth Heydrich
826985	5526	
826985	5814	Mrs. Scarff
826985	11071	Schwester
826985	54485	Hebe (Lady Barbara's maid)
826985	60464	Janice
826985	61639	Lea Blotz
826985	78608	
826985	81142	Gipsy
826985	91717	Maxine Golder
826985	95259	
826985	134782	
826985	144153	Baby
826985	147268	
826985	150877	Emma
826985	157769	
826985	177512	Marie
826985	180154	Delfine
826985	189617	Britta Torsten
826985	210076	
826985	225186	Evelyn Barrow
826985	226270	Friedl
826985	241849	Gloria
826985	260868	Lucy
826985	275606	
826985	285381	Maria
826985	292590	
826985	343070	Madeleine
826985	359638	
826985	359688	Primanerin
826985	361431	
826985	367877	Lili, the German Boarder
826986	275171	Dancer
826987	104760	German entry (2nd place)
826987	104762	German entry (2nd place)
826987	189844	Herself
826988	391697	Herself
826989	235906	
826990	102453	
826990	231455	Isi Dornberg
826990	377345	Corinna
826990	377346	Corinna
826990	377348	Corinna
826990	411161	Marsha Sadoga
826991	2676	Hix
826991	174814	Mary, dessen Tochter
826991	263376	
826991	352326	
826992	280597	Comedian
826993	41657	Herself
826993	46794	Countess
826993	57023	Mario Marani's Lover
826993	71516	Anna
826993	91139	
826993	108101	Herself
826993	214233	Barbara
826993	243212	Anna Maximovitch
826993	286181	santa, prostituta
826993	352661	
826993	356720	
826994	91177	Sleeping Beauty
826995	19668	Noémi
826995	244298	Desdemona
826995	309736	
826995	322163	Szulamit
826995	373342	
826996	190136	
826997	191425	
826998	274051	Lani Hansel
826999	48816	
827000	199408	Blow-up
827001	278895	Rita Koeling
827002	177166	Lotte
827003	368088	
827004	317363	Märta
827005	284388	Louise
827006	27592	Herself
827006	97870	Charlotte
827006	346041	
827006	409339	Gry Rønne
827007	28554	
827007	227297	Jeanie
827008	376297	
827010	403799	Herself/Host (2002)
827011	163754	Frl. Duevenasch
827012	95262	
827014	18344	Schreiber
827014	58528	Lotta player
827014	68202	
827014	155346	
827015	367307	Babo's Mother
827016	330204	Herself (rescuer, Germany)
827017	265402	Schülerin
827017	272609	Baronin
827017	404169	Brenda Lind
827018	389119	
827019	14867	Emma (segment "Una casa rispe
827019	14875	Livia
827019	67905	Marilina
827019	106250	Maristella (episode "La docci
827019	107807	Helva
827019	162083	
827019	183281	
827019	219828	Mrs. Marini
827019	234752	
827019	350895	
827019	353301	Hanka
827020	119270	Maria Violetta
827020	140246	Frau Professor Marianne Nägle
827020	147360	Agda Kjerulf
827020	184392	Fürstin Ilonka
827020	227552	Lady Josephine Cavershott
827020	326026	
827021	319736	Kostümbildnerin
827022	51285	
827023	97989	
827023	119263	
827023	225195	
827023	237942	Juliska,a molnár lánya
827023	326075	
827023	334029	Vera
827023	360941	
827024	281979	
827025	38636	Charlotte
827025	276631	
827025	290286	
827026	6667	
827026	97092	
827026	122552	
827026	186925	Mascha
827026	188852	
827026	189629	Anita Herrmann
827026	225289	Sabine Hansen
827026	230154	
827026	230209	
827026	263377	Fräulein Tettau
827026	315768	Simone
827026	325558	Elke Wuntsch
827026	325592	Johanna
827026	325700	Ines Bergner
827026	325944	Irene
827026	347506	Ingrid Cornelius
827026	348050	
827026	360754	
827026	360970	Charlotte
827026	366509	I-330
827026	387629	Andrea Helmer
827026	412110	Elisabeth
827027	70390	Miss Ryan (teacher)
827028	274525	Witness
827029	119287	
827030	49295	Kathy
827030	189587	Inge
827030	281709	Voice of Rosamunde
827030	391136	
827031	144183	Bellina
827031	273104	Akkordeonistin
827031	324677	Singer
827032	39536	Maria Columbo
827033	2236	
827033	18881	
827033	37757	Frau des Botschafters
827033	44826	Ruth Ryan
827033	56102	
827033	93395	
827033	98309	Marie Christine Passecker
827033	98331	
827033	102134	Conchita
827033	103101	
827033	107350	Yvonne Barlay
827033	107779	
827033	112971	Angelika Rösch
827033	119166	Gerda
827033	120052	Else
827033	126456	
827033	127514	Vera Pauly
827033	142384	Helen McGee
827033	156691	
827033	168396	
827033	178626	
827033	179576	Koenigin
827033	184625	Lady Hammond
827033	187586	
827033	188820	Madeleine
827033	189875	
827033	208656	Countess Stockau
827033	220720	Luisa Weber Langer
827033	242861	Octavia Froben
827033	248405	Frau Taluyer
827033	254667	
827033	279005	Liane von Templin
827033	290272	Klementine genannt 'Tinchen'
827033	293858	Hortense Clairmont
827033	344783	
827033	352489	Hilde Körner
827033	352579	Sabine Brand
827033	352914	Irmgard von Ottenberg
827033	359646	Marion
827033	361333	Luisa Weber Langer
827033	366554	
827033	376310	
827033	376577	Charlie
827034	325698	Frau Schneider
827035	5160	Eva
827036	182322	
827037	210010	Fahrradverleiherin
827038	204406	
827038	403791	Friedel Boetzkes
827039	14383	
827040	303389	Wanda
827041	171989	
827041	197118	
827041	198269	
827041	204505	Lady Falkland
827041	272779	Mathilde
827041	294754	
827041	347667	Ellen Lange
827041	361095	Dora Lind
827042	171663	
827043	356562	Barbara
827044	248132	Herself
827045	231031	Robyn
827046	41316	Krissy the Dog
827047	314699	Teen Girl #4
827048	11849	Liesl Dörfler
827048	12832	
827048	24346	Marion Dux
827048	93467	Inge
827048	98573	Gusti
827048	108181	
827048	119166	Traute
827048	121138	
827048	144035	Ellen Hinz
827048	155382	Helena
827048	155458	Lil
827048	155459	Inge Rodeck
827048	157769	
827048	227552	Pünktchen (Madeleine)
827048	230233	Ilse Siebeck
827048	253945	Polly Petersen
827048	352366	
827048	352671	
827048	361385	Helene
827049	391482	Host
827050	120053	Renate
827050	136449	
827050	212097	Woman of eternal garden
827051	125285	
827052	169504	Borbala
827052	210094	
827053	5477	Hélène Vernier
827053	12889	Lissy Eickhoff
827053	16232	Analie Frieben
827053	18537	
827053	23653	
827053	24083	Käthe
827053	24894	Claudette, the cabaret singer
827053	30813	
827053	30888	
827053	33541	
827053	54249	La reine Yola
827053	55008	Marion Baker
827053	55010	
827053	85539	
827053	95392	
827053	98311	
827053	116322	Kristja Laudy
827053	120051	Marga Köhler
827053	122492	Josefine
827053	136178	
827053	155326	Grete
827053	156068	Prinzessin Marie-Christine
827053	156070	Lia Török
827053	167189	Betty
827053	170638	Gräfin Christl Palm
827053	178637	Veronika Weber
827053	189699	Kokua
827053	200782	Mahlia
827053	207085	Margot, Shop assistant
827053	210073	Jutta Bergmann
827053	225299	
827053	236533	La comtesse Christel Palm
827053	236619	
827053	244867	
827053	259938	Madame Pompadour
827053	264349	Turandot
827053	275606	
827053	276045	
827053	281345	Ronny
827053	281346	Ronny
827053	282166	Girl
827053	282493	Lady Stark
827053	286221	Baronesse Ursula von Angerfel
827053	286278	
827053	287180	
827053	290764	Helene de Trevillac
827053	301084	Helene
827053	341826	Turandot
827053	343655	Gerti
827053	345322	
827053	347559	Trixi
827053	347650	Dodo
827053	349743	Mlle. Ponta
827053	360923	
827053	364994	
827053	376996	Juliette
827054	119243	Dorothy
827055	399503	
827056	393360	
827057	231468	
827058	290687	
827059	202322	Doctor
827060	89572	Interpreter at the press conf
827061	34568	Mutter Becker
827061	162234	Frau Schelp, Willi's guardian
827062	152752	Sarah Barrymore
827063	153977	(episode "Der gelbe Wagen")
827064	893	Angelica
827065	289894	
827066	38	Frau von Wartenburg
827066	125095	Dr. Gudmundsdottir
827066	325775	
827067	406724	Protokollführerin (1999) (200
827068	199871	Newsgirl
827068	204654	Margaret
827069	85630	Dr. Winters
827070	392086	
827071	10146	Alceste
827071	55207	Carmen
827071	69087	Mezzo-soprano
827071	71942	Nerone
827071	138178	Mezzo-soprano
827071	206727	Jumeaux
827071	212107	Prince Orlofsky in 'Fledermau
827071	281976	Octavian
827071	312722	Sorl
827072	113563	
827072	120348	Mrs. Birkenread
827072	127690	Mrs. Thompson
827072	143207	
827072	146297	
827072	214953	Mrs. Peabody
827072	227799	Bessie's Mother
827072	241259	
827072	266194	
827072	310868	
827072	327291	Mrs. Arbuthnot
827072	347955	
827072	350510	
827072	365035	
827073	103077	Annemarie Heller
827073	204428	Marianne
827074	22865	Audrey Schreuder
827074	41494	Six
827074	44450	Young Suzanne
827074	95785	Shelby Blake
827074	108401	Beebee Huck
827074	131852	Stacey
827074	177625	Mary Ann
827074	184561	Sioned
827074	297894	Jordan
827074	382277	Six LeMeure
827074	388361	Phoebe Huck
827074	392422	Herself
827074	392424	Herself
827074	395389	Kelly Callahan
827074	400879	Stevie Van Lowe
827074	401191	Trinket St. Blaire
827074	410930	Jen (2001-2002)
827075	23996	Marah Durimeh
827075	24025	Mutter
827075	107982	
827075	108620	
827075	189752	
827075	207086	
827075	270417	
827075	281643	
827075	290611	
827075	303711	
827075	303840	
827075	334620	Marah Durimeh
827075	343654	
827075	361453	
827075	376409	Frau Löhn
827076	1796	Cora Fell
827076	40662	Marla
827076	45606	Eric's Mother
827076	62548	Mabel Dodge
827076	75785	Lilith
827076	80592	Cary
827076	81543	Mrs. Peabody
827076	91880	Julie Hauser
827076	107896	Marilyn Boden
827076	109723	Colleen
827076	145110	Barbara Drake
827076	183183	Joan
827076	195331	Young Maureen O'Sullivan
827076	270587	Mildred
827076	271860	Ramona Soto
827076	275735	Hooker In Bar
827076	284907	Susan Trent
827076	296954	Sara
827076	298431	Lilith
827076	328253	Student Nurse
827076	362834	Linda
827076	363897	Debra Halifax
827076	393173	Beate
827076	408968	Bonnie
827077	290536	
827077	411936	Host (1984-1991)
827078	101183	
827078	148726	Le modèle
827078	161651	
827078	216794	Herself
827080	403356	Herself (Lawyer)
827081	2476	Girl in Chinatown
827081	14588	
827081	51643	Brandee Caulfield
827081	52453	Michelle
827081	79283	Teri
827081	81665	Lilly
827081	161987	Anne Prescott
827081	191677	Odette
827081	223642	Hotel Desk Clerk
827081	258893	Jane Bole
827081	261248	Love
827081	319516	Jennifer Kraft
827081	338277	Rachel
827081	360688	Cass Hotchkiss
827081	370118	Flight Attendant
827082	336855	
827083	103028	Doris Chrysander
827083	120928	
827083	123963	Leonie
827083	134934	
827083	147268	
827083	180234	
827083	227390	Schauspielerin
827083	239102	Agentin Flora Shaw
827083	262391	
827083	269757	Charlotte
827083	316872	
827084	225186	Evelyn
827085	79585	Kassiererin
827086	404308	Karin
827087	91037	Tanzlehrerin
827087	94674	Nurse
827087	137730	Angie
827088	23854	
827089	10633	
827089	24085	
827089	24737	Amanda
827089	35881	
827089	46914	
827089	85712	
827089	93479	
827089	94374	
827089	104661	
827089	111339	Frau Rehmann
827089	115813	Clara
827089	119153	Eine Veilchenverkäuferin
827089	119283	
827089	119370	
827089	120853	
827089	120928	
827089	142111	Emma, Dienstmädchen von Ass
827089	155458	Dienstmädchen
827089	155463	
827089	164654	
827089	175774	Lotte Müller
827089	178600	
827089	180417	Nina, Vera's Maid
827089	180919	
827089	182742	Marktfrau
827089	187946	
827089	188806	Sekretärin
827089	203401	Frau Pleßmann
827089	210086	
827089	217917	Madame
827089	223210	Agathe
827089	223279	Mary
827089	237724	
827089	279005	
827089	280801	
827089	290667	
827089	308844	Kundin im Metzgerladen
827089	316842	Mme. Leger
827089	322945	Diva
827089	326203	
827089	347642	
827089	352043	Frau Dettmann
827089	353076	Wirtin Gumpers
827089	359635	Dame im Sendesaal
827089	361457	
827089	364894	Emmy
827089	364933	
827089	375982	Lina
827090	464	Lina
827090	129691	Lehrmaedchen
827090	156067	Otti Ermer
827090	280797	
827090	347642	
827090	361391	Barbara
827091	135692	
827092	31469	Susi
827092	119191	Pamela
827092	178551	Hildegard
827092	182867	Susi
827092	226260	
827092	241977	
827092	272791	
827092	359462	
827092	364942	Fan 2
827092	393717	
827092	412088	Birgit
827093	42184	Eva Schöller
827093	109528	
827093	147180	Elisabeth
827093	156651	Avontante
827093	175249	Janet
827093	180209	
827093	334492	
827093	367226	
827093	382194	Marina
827093	393717	
827093	397370	Frau schladerer
827093	397765	
827093	404482	Mutter Schwaigers
827094	157497	
827095	11989	Frau Winter
827095	24354	Brigitte Baumeister
827095	389359	Helene Vierchow (1994-1995)
827095	391472	Oberschwester Hella
827095	391604	Silke Jakoby (1997-1999, 2001
827095	404431	
827096	323929	
827097	215069	The Old Sacristan
827099	216260	Eva
827099	312894	von Altmann(Daughter)
827100	17315	
827101	188750	Tante Alma
827101	290282	Frau Sauter I
827101	324125	
827101	343462	
827101	406321	
827102	85730	Felicitas
827102	103094	Miss Mable
827102	111344	
827102	160702	
827102	290177	Baronin Schweinitz
827102	325660	
827102	361094	Winii Pardubitz
827102	390190	Frau von Wittgenstein
827102	397969	Schnuck
827103	119001	German Girl
827104	62934	
827105	100103	
827106	51576	Fraulein Mayr
827106	85730	Gräfin Schlier
827106	122317	Mrs.Unterson
827106	129019	
827106	134937	Herself
827106	134982	
827106	137728	Madame Jaquard
827106	284108	Mrs. Moore
827106	308823	Mrs. Piepenbrink
827106	369136	
827106	388599	
827107	107730	Tanya
827108	186864	Schwester Dolorosa
827110	147152	Christian's mother
827110	296829	Old Woman
827111	270841	
827111	355787	
827112	32380	Redaktör
827112	96429	Nita Wallenberg
827112	204537	Mrs. Oskarsson
827112	298474	Sanna's Mother
827112	303202	Miss Holm
827112	406775	Platschefen
827113	169061	Birgitta
827114	278374	Sköterska
827114	304357	Kontordame
827114	382884	Minna Mangor
827115	84299	Bessie Fristedt
827115	121011	Julie
827115	182464	Dancer
827115	194527	
827115	242102	Balletlærer/Ballet trainer
827115	303734	Girl at the birthday party
827115	346970	Gullan
827116	355545	Spectator
827117	213084	Herself
827117	359976	Albertina
827118	143195	Marian Lee
827118	145952	Hilda Schultzenbach
827118	193264	Girl on Rum Boat
827118	302530	Elsie Graham
827119	389280	
827120	123954	Heidi
827121	318085	
827121	325298	
827121	336527	
827122	282416	
827123	120848	Selma (episode 1)
827124	62957	Villager/Lost Soul
827125	136528	
827126	280597	Dressmaker
827127	133010	
827128	406488	
827129	406488	
827130	270522	Katie's Girlfriend
827131	207669	Thea
827131	312858	Marina
827132	92093	Lisa Stevens
827132	109395	Tomorrow
827132	335799	Party Girl
827132	362597	DEA Researcher
827133	129727	
827134	103074	
827134	272780	Lucie
827135	299714	Lady
827136	106739	Jeanette
827136	185239	Shopper
827136	203198	Shopper
827136	230151	Helen Miggs
827136	249579	Judy Lindendorf
827136	379716	Jane Sebrin (1980s)
827136	396084	Sarah Hanley (1970-1972)
827136	404405	Goodie Ward
827137	227390	Singer 1.Die spatzen auf dem 
827137	353994	Singer
827138	122680	Tante Ljuba
827139	316226	Julie Peterson
827140	20097	
827141	397470	Leah Sade
827142	87599	Bridesmaid
827143	120040	Annas Kollegin
827143	269995	
827144	290791	Kurfürstin
827145	366554	
827146	48831	Meteoróloga
827147	325493	
827148	325414	Franziska Bronnen
827149	17593	Anna 1
827149	107777	Margarete Strasser
827149	132255	
827149	147324	
827150	126164	Angelika
827150	149088	Angelika
827150	284562	
827150	386906	Dr. Gerlach
827150	388622	
827150	389616	Dr. Heidrun Simmrath
827150	396285	Catherine Lüthi-Blanc (1999-?
827151	19820	Helgas Zofe
827151	103143	
827151	188814	
827151	266008	Die Prostitution
827151	266009	
827151	375266	Ella, Schulreiterin
827152	2917	Herself
827152	176561	
827152	179875	Detective Sally
827152	305829	Herself/Guest
827152	351892	Bertha
827152	352501	
827152	355239	Krankenpflegerin
827152	379789	Host
827152	389872	Herself/Regular
827152	390125	Frau Schlacke (1998)
827153	47269	Performer
827154	313189	Playboy Mansion Guest
827155	352345	Lucia's Mother
827156	379493	Monika Schobert
827157	67957	Herself
827158	55394	Herself
827158	57854	Angelina, nicknamed 'Cenerent
827158	78094	Marquise de Merteuil
827158	138561	Hansel
827158	155756	Idamante
827158	165297	Herself
827158	175528	Herself
827158	175531	Herself
827158	236179	Cherubino
827158	240905	Claire Huddesen
827158	300065	Herself/Magnolia in Show Boat
827159	107891	Mrs. Ogilvie
827159	304059	Mrs. Stebbins
827161	378556	Auf der Damentoilette
827162	193426	Edelknaben
827163	11844	Hanna
827163	56545	Herself
827163	307260	
827164	237675	Chambermaid #3
827165	26799	E.N.I.A.C. - German version
827165	386334	
827167	259540	
827167	259584	
827167	259628	
827167	259641	
827168	368666	Date
827169	137494	
827170	326026	
827171	422	
827171	464	
827171	5688	
827171	34256	
827171	56478	
827171	59562	Consul general's wife
827171	62887	
827171	86395	Frau von Lorenz
827171	98044	Greta Koch
827171	103066	Madame Cochard
827171	103098	Alice
827171	103129	Frau Harms
827171	111761	Marquise Antoinette de Chanel
827171	120042	Valerie
827171	121051	Vera Naldi
827171	124557	
827171	129666	
827171	129700	
827171	134794	Dauphine
827171	144028	
827171	144143	
827171	156067	Frau Ermer
827171	169844	Herzogin von Württemberg
827171	178657	
827171	180643	
827171	189573	
827171	193301	Nelly, Chansonette
827171	207213	Gerda
827171	207802	
827171	209987	Vera Valetti
827171	216258	
827171	217663	(English version)
827171	225143	
827171	225740	Louise La Tour
827171	289951	
827171	290565	
827171	290674	
827171	293535	
827171	317613	Frau Lörik
827171	324681	Gräfin Daun
827171	338263	Mathilde
827171	338456	Lydia Link
827171	340102	
827171	360921	
827171	360927	Melanie
827171	361431	Mira Mirella
827171	375986	Fanny Hoyer
827172	206296	
827173	188744	Susi
827173	205728	
827173	293535	
827173	354090	Doratti's bride
827174	121062	Gisela
827174	170675	Sylvia
827175	359679	
827176	203700	Herself
827177	10425	Marie-Louise von Suttner
827179	229264	Herself
827180	156649	Silvia
827180	284987	Annette
827181	32386	Woman in red shoes
827181	129662	Airport stewardess
827181	166943	
827182	56304	Amy Rothstein (Older)
827182	94861	Julie Woods
827183	86306	
827184	4786	
827184	9913	Sekretärin Vera Kaufmann
827184	16334	
827184	34031	Carla Berti
827184	95393	Zofe
827184	101597	Anna (Caruso's mother)
827184	119185	
827184	119195	Sylvelin
827184	159498	Maria
827184	211107	Irene Marellus
827184	264352	Herzogin, Josis Mutter
827184	290194	Hanna
827184	316813	Helga Franck
827184	348950	Laura Varni
827184	361403	Yvonne Farell
827185	16244	Körner's Sister
827185	86228	Dame
827185	275053	Mutter
827185	376409	Herzogin
827186	153175	Irma Knax
827186	189752	
827186	197823	
827187	90993	Herself
827187	128606	Herself
827187	208074	Girl with C.T.
827187	257661	Herself
827187	257668	Model (Dream Lover Segment)
827187	281021	Allison
827187	304929	Lela Devin
827187	332442	
827188	173707	Gräfin Torri
827189	477	
827189	4788	Aunt Emma
827189	11872	
827189	14538	
827189	24082	Frl. von Lütgen
827189	28167	
827189	28426	Baronin Ziegler
827189	29354	
827189	46131	Lady Warren
827189	46161	Baronin
827189	55099	Frau Kayser
827189	79169	Sybilla
827189	87140	
827189	93424	Elisabeth Schnüttchen
827189	94344	
827189	98066	Appollonia
827189	101323	La tante d'Augusta
827189	107738	Therese Klinkhardt
827189	108188	Louise Lancestre
827189	117965	
827189	119179	Dame im Wartezimmer
827189	119253	Seine Frau
827189	119254	Leni Lenz
827189	120370	Fräulein Schwinger
827189	120853	Frau Gordenberg
827189	123947	
827189	125172	Kuni Schlederer
827189	125298	Madame Angèle
827189	132546	Frau Pawlowitsch
827189	134803	
827189	134983	
827189	142079	
827189	144176	Adele, seine Frau
827189	147167	
827189	155390	Jette
827189	155606	
827189	156048	
827189	156056	Frau von Zeisig
827189	156740	
827189	167646	
827189	170663	
827189	178844	Frau Schreyvogel
827189	179354	Mosers Wirtschafterin Theres
827189	180834	
827189	182781	Yella von Beuthel, Hofdame de
827189	182895	Anastasia Eder
827189	186919	Tante Mina
827189	189736	Anni Anewanter
827189	209966	
827189	209978	
827189	210066	Frau Gehl
827189	210107	
827189	216258	
827189	216294	Josefine Krögelmann
827189	219273	
827189	223466	
827189	225171	
827189	225215	
827189	226273	
827189	226277	
827189	235374	Tóthné
827189	239018	
827189	241979	Aunt Ophelia
827189	242841	
827189	254667	
827189	275412	
827189	275692	
827189	281954	Adelheid
827189	284114	
827189	285381	
827189	289943	.
827189	303710	Pensionats-Direktorion
827189	306403	Frau Droysen
827189	308217	MMe Feldman
827189	310272	Käthe
827189	311090	Mathilde Averhoff
827189	311097	
827189	314560	
827189	314894	
827189	317343	Cäcilie
827189	320226	Kunstschülerin Erika Knispel
827189	335037	Emilia Galotti
827189	337135	Frau Übelhack
827189	345571	Klothilde Lawrence
827189	348065	
827189	348085	
827189	352312	
827189	352363	
827189	356875	Mrs. Davis
827189	360965	Frau Bäbbermann
827189	361011	Cilli Samhaber
827189	361012	Ochsenwirtin Genoveva
827189	365785	Tante Elvira
827189	376509	
827189	376577	
827190	178724	
827191	289894	
827192	33907	
827192	311215	Frau von Schlieffen
827192	348059	
827192	364962	
827193	17137	
827193	17287	Amelia
827193	185704	Woman with Mary, Mother of Je
827193	243789	
827193	351979	Terrorist
827194	363117	Chorus (Singing Voice)
827195	245632	P.T.A. Officer
827196	32390	Die Königin-Mutter
827196	33238	Gustl
827196	35040	
827196	97436	
827196	125318	
827196	126399	Madame Mercadet
827196	130935	Mrs. Wellinghausen
827196	144034	Claire Fleischhauer
827196	144167	Frau Minister
827196	144333	
827196	156708	
827196	166353	
827196	180882	Josefa
827196	180981	
827196	180982	
827196	184598	
827196	189190	Alma
827196	201334	Koltnerbäuerin
827196	211100	Olga Hajek
827196	225287	Meta Hinrichs
827196	248540	
827196	281105	
827196	306509	
827196	352303	
827196	361014	
827196	361484	
827196	386982	
827197	241630	Grance Chang
827198	3894	Herself
827198	309634	Extra During 'I Have Confiden
827199	309636	Herself
827200	309636	Herself
827201	309636	Herself
827202	285004	
827203	14300	Zimmermädchen
827203	16188	Movie actress
827203	23241	
827203	25936	Sophie
827203	36679	
827203	40365	Jutta
827203	45986	Anka
827203	83441	
827203	94276	
827203	108599	Sophie de Reval
827203	136717	Margarethe
827203	158419	Herself
827203	226253	Herself
827203	230208	Herself
827203	250921	
827203	258392	Sophie
827203	273727	
827203	311117	Helga
827203	317103	Elisabeth Junker
827203	341100	
827203	352379	
827203	359503	Produktionssekretärin
827203	378564	Katja
827203	391632	
827203	398298	
827203	399758	Kate Theory (segment "Raisons
827204	24326	
827204	51880	
827204	156994	
827204	253926	
827204	284863	
827204	393409	
827205	283758	
827206	283758	
827207	283758	
827208	120370	
827209	298084	
827210	123076	
827211	188847	
827212	128847	Sister Agnes
827212	265005	Hospital Receptionist
827213	332620	
827214	198571	Kerstin
827215	249336	
827216	352761	
827217	178849	Frau Müllerschön
827217	267407	Lehrerin
827217	357163	Holly
827217	405806	Staatsanwältin Dr. Sommer (se
827218	209999	
827219	333375	Party Girl #2
827220	115397	Flora
827221	129784	Guest #2
827222	102152	Frau Torresani
827222	120160	Elisabeth
827223	321444	
827224	24263	Aura
827225	12092	
827226	104655	Secretary
827227	100990	
827227	125169	
827227	142129	
827227	193501	Queen
827227	376434	
827228	5298	Liane
827228	29557	Anna Berner
827228	34240	
827228	42123	
827228	59700	
827228	90648	
827228	92411	Eine Miß
827228	95130	
827228	98049	
827228	101347	Frau Kuhn
827228	102983	
827228	110067	
827228	115970	
827228	125120	Fellmans Assistentin
827228	125219	Julia Price
827228	134182	Flossie (German Version)
827228	144190	
827228	155459	
827228	168964	Thomas' Mutter
827228	170131	
827228	170509	
827228	173163	
827228	179297	Frau des Friseurs
827228	182894	
827228	187556	
827228	189567	Margot
827228	198435	Prostitute
827228	204425	
827228	210095	
827228	225628	
827228	226244	Mrs. Vivanco
827228	236670	Nora Brant
827228	288433	Borchers Mutter
827228	290527	Uncredited
827228	290556	
827228	294741	Juanita
827228	294840	Woman in street
827228	306410	
827228	311238	Lady Leslane
827228	314897	
827228	320595	
827228	324583	Schwägerin Sonja
827228	325887	
827228	327003	Jockey-Lilly
827228	332804	Gast auf Fürbringers Fest
827228	332825	
827228	334624	German Voice-Over of Helen Ad
827228	337552	
827228	347626	
827228	352168	
827228	359694	
827228	360649	
827228	360935	Marietta
827228	360955	
827228	365610	
827228	365674	
827229	24108	Maria Steinitz
827229	345933	Else Weber
827230	189448	
827230	325489	
827231	223463	
827231	259487	Susanne Stegemeier
827231	259687	Frau Schuchhardt
827231	259688	Alexanders Mutter
827232	34524	
827233	111741	Narrator
827234	95132	
827235	108551	
827236	1850	
827236	11768	Helma
827236	12471	Gloria
827236	34234	
827236	35206	Nicci Krüger
827236	42156	
827236	42169	Marie Lotzmann
827236	45975	Bettina
827236	49302	Victoria von Lohenstein
827236	54605	
827236	59559	
827236	69532	Anna
827236	86386	Patricia
827236	87139	Anne Berger
827236	95426	Susanne Breuer
827236	98297	Birga Kristlein
827236	101353	Katja
827236	101355	Helene Wohlfahrt
827236	105533	
827236	122255	Karin
827236	122319	Greta Laschen
827236	126332	
827236	132243	
827236	137422	
827236	144101	Gundel
827236	144139	
827236	147158	Doña Joanna Martinez
827236	153977	Ingrid (episode "Die Party")
827236	163820	Une rencontre de Sam
827236	165347	Kyri Sandvoss
827236	178192	Marie Theree
827236	178636	Uschi Perl
827236	184513	Annemarie Mattiesen, geb. Hau
827236	187979	Baroness
827236	189790	Herta Pohl
827236	189822	Angela Meinhold
827236	191333	Philipp's mother
827236	198416	Marion Oswald
827236	198428	Helena Taft
827236	200377	Martine
827236	200534	Ursula
827236	210102	Hella Mattes
827236	223457	Eva Maria Splitt
827236	231450	
827236	231455	Marieluise von Waldenfels
827236	240040	Dr. Marcovich
827236	251050	Erika
827236	259531	Ulrike Blix
827236	269050	Emilie Dubuisson
827236	275156	
827236	279080	
827236	281745	Felicity
827236	286832	
827236	290277	
827236	290455	Frona Williams
827236	290580	Marie
827236	290782	Sabine Fichtner
827236	290805	
827236	304194	Agnes
827236	305432	Mona
827236	308213	
827236	309447	Freda (the prostitute)
827236	325517	Dr. Zordick
827236	325679	Frenzy
827236	325915	Rita König
827236	326065	Jutta
827236	334490	
827236	338389	Henriette
827236	338412	Tante Elsie
827236	338429	Anke Anselm
827236	338439	Monika Brinkmann
827236	338440	Edith Westphal
827236	339048	Eva Werner
827236	348153	Anna De Rooy
827236	356876	
827236	374344	Mary Morstan
827236	376267	Dorothee
827236	376297	Renate Rhomberg
827236	377729	Gisèle Bertrand
827236	378713	Maria Wassem
827236	380690	Rowena of the Jutes
827236	381719	Johanna Friedrichsen
827236	382013	Biggi Moenckeberg
827236	384033	La générale de Roailles
827236	387625	
827236	388284	
827236	389760	
827236	390520	Mary Morton (segment "Signe d
827236	391336	Frau Wieland
827236	392632	Anna Roeders
827236	401015	Katrin Pacard
827236	406321	
827236	410515	Erika Kramer
827236	411198	Lilo Ziegler
827238	122500	Grandmother
827239	368296	Marike
827240	40244	Isabella
827240	197963	
827240	221863	
827240	400799	
827241	51932	
827241	125983	Frau Gerber
827242	325402	
827242	392086	
827243	391604	Annika Jesske (2004-)
827244	124795	German
827245	61890	
827246	223326	Fruit Stand Lady
827247	25506	Prinzessin Sara de Mauper
827248	246913	
827249	224366	Josephine Higbee
827250	127204	Ricky's Monther
827251	200783	Rolfs Mutter
827251	290260	
827251	290266	
827252	92286	Jeanine
827253	5386	Gloria
827253	35714	
827253	50866	Radnor's Wife
827253	78038	Michelle West
827253	80786	Linda
827253	84487	Virginia
827253	112432	Susie Fratelli
827253	183009	Donna Ludwig
827253	192728	Wanda
827253	224283	Ellie Sawyer
827253	242942	Sky
827253	318701	Denise Biaggi
827253	320096	Susan
827253	323781	Adult bug girl
827253	341758	Daughter
827253	346096	Allie
827253	367668	Tammy
827253	389858	Louisa 'Lou' Swenson (1983-19
827254	11818	
827254	12602	Ada
827254	23882	Katrin Kurz
827254	33103	Renate Bach
827254	38635	Lenka
827254	102960	
827254	107360	Maria
827254	115983	
827254	122577	Susanne
827254	138275	Anneliese Weyher
827254	138534	
827254	144193	Marcos Mutter
827254	189630	Ina
827254	189821	
827254	244119	Waltraut
827254	254991	
827254	259460	
827254	259474	
827254	259493	Ingrid Willert
827254	259520	Elfi
827254	259605	
827254	272820	Mutter Marcus
827254	284862	Edith
827254	290055	
827254	290510	Frau Spitzbart
827254	312636	Christa Sibelius
827254	312651	Christine Ziergel
827254	312652	Sabine
827254	325406	Staatsanwältin Mitterer
827254	325798	Staatsanwältin Mitterer
827254	352189	Vicki Bäuerlein
827254	352567	Konrad's mother
827254	361512	Marion Zierner
827254	364950	Karin
827254	367347	Krankenschwester
827254	388288	Dr. Verena Klein
827254	394619	Frau Fruchtmann
827254	395508	Frau Nette
827255	311120	Herself
827256	259646	
827256	352384	Sandra
827257	87798	Child
827257	192056	
827257	365264	Red Pete's Child
827258	28375	
827259	28375	
827260	55962	
827260	104849	Perla
827260	140569	
827260	146573	
827260	221550	Elmyr
827260	296442	
827261	360635	
827262	72376	Music Company Receptionist
827264	112179	Fifi
827265	78362	Élisa/The Swiss woman
827265	171418	Dame at Hall #2
827265	357932	Annemarie Hess
827266	30324	Singer
827266	166660	Singer Marcela
827266	173035	Doctor Helena
827266	258831	Marenka
827266	281011	Herself
827266	322375	Sad princess
827266	339275	Ice-cream woman
827267	51092	Vixen
827267	58510	Alana
827267	141660	Jenna
827267	151838	Daughter
827267	168121	Joan
827267	180614	Official's daughter
827267	181343	Dina
827267	186041	Pamela
827267	226025	
827267	229553	Lucie
827267	237537	Arnostka
827267	261466	Krystýna
827267	305431	Esterka
827267	306314	Klára
827267	322676	Adéla
827268	62957	Kid in the Living Room
827270	113631	Sophie
827271	48452	Bua Deng
827272	343665	First Nurse
827272	390085	La cabra
827273	63992	Ruby Big Elk
827274	353845	
827275	40513	Leentje
827275	175679	
827275	318469	
827276	158693	
827277	117230	Nurse #3
827278	78346	Barbara
827278	375869	
827279	2206	Jackie Delaney
827279	4627	French-Speaking Cafe Showgirl
827279	49912	Mazie
827279	69419	Lois, the nice girl
827279	116501	Herself
827279	129872	A Clerk
827279	183886	The Madam
827279	223913	Tara
827279	249052	Mimi Du Bois
827279	254528	Arlette, the model
827279	271005	Singer
827279	309880	Lillie Duval
827279	312133	Lady Zelda
827279	333168	Celeste
827279	366257	Rita, saloon singer
827280	83901	Bar girl
827280	118367	Corpse (segment "The Misbehav
827280	293387	Maribel
827280	312150	Spy bridesmaid
827281	132601	Undetermined Role
827282	46198	
827283	74372	
827284	78484	Herself (performing 'Kun dig'
827285	10823	Alicia
827286	149658	
827287	65417	Capt. Nemo and His All Girl B
827288	376258	
827289	316179	Mrs. Klausman
827289	319187	(segment "The Detective")
827290	15435	
827290	293932	
827291	285717	Manny
827292	337886	Lize
827293	19170	Ruth
827293	24957	Roxie
827293	160029	Prostitute
827295	65023	Little Momma
827295	113720	Holly Aimes
827295	151351	Lauren
827295	151530	Lisa
827295	194136	Herself/Woman at the Bar
827295	223388	
827295	289052	Lisa Turtle
827295	289053	Lisa Turtle
827295	362131	Sabrina
827295	382419	Jasmine Malone (1995-1996)
827295	385824	Wendy Reardon #1 (1993-1994)
827295	390340	Lisa Turtle
827295	392710	Mercedes Langford (1997-1998)
827295	395166	Tiffany
827295	404373	Lisa Turtle
827295	411091	
827296	2638	
827297	311785	Herself (Model)
827298	197187	Mutter
827298	396874	Luna-Marie Seelig (2004-)
827299	76389	Selina Mittermüller
827300	11846	
827300	169872	
827300	308841	
827301	346966	Gymnasieelev
827302	214178	
827303	120057	
827303	181950	Ille als junge Frau
827303	185854	Redaktionsassistentin (Produc
827303	223477	Heike Olgert
827303	236821	
827303	248211	Alice
827303	287242	Sandra Dortmund
827303	290570	Svenja
827303	325695	Andrea
827303	352208	Andrea
827303	376036	Karen Higgens
827303	395667	Kornelia Harnisch
827303	404628	Various Characters
827303	407543	Jola
827304	14957	Bianca
827304	89827	Tina's Mother
827304	125341	
827304	238378	Girl at eighth crime
827304	240314	Princess Gabrielle
827304	287219	Olimpia
827305	5009	Herself
827305	17935	Herself/Audience Member
827305	37797	Herself
827305	47180	Presenter
827305	68097	Co-Host
827305	138721	Herself
827305	215170	Host
827305	215171	Host
827305	273567	Herself
827305	381779	Herself - Presenter
827305	381782	Presenter
827305	382794	Celebrity Advocate (The Vicar
827305	382795	Herself - Presenter
827305	383740	Herself
827305	384813	Herself
827305	385084	Herself
827305	386951	Herself
827305	388743	Herself
827305	390195	Herself - Presenter
827305	392041	Herself
827305	392165	Herself - Presenter (1990-199
827305	398763	Herself
827305	399045	Herself - Presenter
827305	399736	Herself - Presenter
827305	406437	Herself - Presenter
827305	406731	Herself (Series 2) (2004)
827305	407896	Herself - Presenter
827305	408481	Presenter (1995)
827305	410894	Herself
827306	409958	Maren Krüger/Yolanda (1995)
827308	8243	TV Newscaster
827309	81359	
827309	122041	
827309	179735	
827309	181391	Kontesha Dizeta
827310	57384	Folg's daughter
827310	61707	Announcer
827310	139236	Teenage Girl
827310	165964	Brooke Peters
827310	168693	Catherine Age 13
827310	205658	Irene
827310	206356	Rachel Saderwise
827310	230508	Additional Voices
827310	271192	Voiceover
827310	274119	Officer Audry
827310	311284	Voice Talent
827310	318783	Student
827310	355670	Nell
827310	394676	Carol (1984)
827310	396937	Cookie Levin
827311	29513	Solange
827312	223807	Karen
827313	238377	
827314	154937	Femme enceinte
827315	130666	Amazon Warrior
827316	4619	Manicurist
827316	126069	Showgirl
827316	188542	Showgirl
827316	320294	
827317	16370	
827317	174163	
827317	217454	
827317	219426	Ivan's Mother
827317	238843	
827317	265667	
827318	332185	
827319	11372	Herself
827319	98882	
827319	98898	
827319	129242	
827319	188072	Nurse
827319	188090	Secretary
827319	246507	
827319	274141	
827319	295592	Herself
827319	364097	
827320	321515	First Woman with Ashes
827321	311887	
827322	259221	Circus Rope-climber
827323	398902	
827324	995	Ellochka Schukina
827324	34228	
827324	95934	
827324	104432	
827324	174251	Bibulova
827324	295498	
827325	30052	Tanya in childhood
827325	246343	Natasha
827326	246343	Natasha
827327	273036	
827328	181599	
827329	29937	Herself
827329	37311	Dancer
827329	208478	Model
827329	257659	Miss October
827329	278459	Amethyst
827330	274359	Doctor
827331	211464	Mary Poppins
827331	273036	
827332	108851	
827332	176056	
827332	180236	
827332	198131	
827332	266736	
827332	294018	
827332	341210	
827332	341333	
827332	371893	
827333	374407	
827334	60729	2nd Nurse
827335	69901	Mother
827335	198160	
827335	223565	
827335	256441	
827335	265640	
827335	280610	
827335	297859	
827335	357344	Tamara
827336	313531	
827337	61818	Herself
827338	258591	
827339	312432	
827341	274525	Witness
827342	236494	Dalton's Girl
827343	41202	Ruth-Ann Swain
827344	18544	Knights Cheerleader
827344	92618	Tiffany's Customer
827344	123404	Hotel Guest
827344	351767	Wendy
827345	207795	P'tit Four
827346	260408	Helene
827347	2107	Clotilde
827347	15061	Le mannequin à la présentatio
827347	23770	Karin Sveg
827347	66078	Jutta
827347	118931	Adelaide
827347	148771	Jocelyn
827347	324517	La géante
827348	5678	Karen
827348	10300	Belgische feministe
827348	33296	Eva Peroo
827348	49095	
827348	76756	Freedom
827348	99844	Mother
827348	130224	Kunstenares
827348	164868	
827348	189884	
827348	206583	
827348	207051	Creature - Mr. Butterfly
827348	271373	
827348	303956	Marhta
827348	340509	
827348	351915	
827348	396568	Lieve De Ridder
827348	400287	Denise (1996)
827349	330204	Herself (rescuer, Holland)
827350	242438	Miss De Vries
827351	340509	
827352	189092	
827353	394912	Prinses Genova
827354	104634	Herself
827355	311168	
827356	309018	
827357	259868	Third Sister
827358	308063	T.V. Reporter
827358	313449	Computer voice
827359	78250	Toni Cameron
827359	92509	Mabel's Mother
827359	102500	Unn-the-Thrown-At
827359	135723	Cloren
827359	194513	Hannah Westlock
827359	205443	Mrs. Wilkins
827359	205555	Nancy Marten
827359	209179	Hayley
827359	215892	Fermleigh's Maid
827359	248667	Julia
827359	256622	Daughter
827359	299794	Mrs. Taylor
827359	301618	Sarah Betts
827359	318438	Tilly
827359	330017	Tilly
827359	333679	Mrs. Milne
827359	351972	Mother of Seven
827359	365753	Debbie
827359	382178	Ella Twite
827359	387247	Susan Rose (1997-1999)
827359	389507	Jools Legge
827359	391766	Ruby
827359	391769	Gabby
827359	392808	Rosa Cave
827359	397433	Delia
827359	401035	Paul's Mum
827359	407699	Mum
827361	238129	
827362	263686	
827364	79985	
827365	18544	Sharks Trainer
827366	378680	Femme Blonde
827367	79233	
827367	380417	
827368	17683	Herself
827369	355639	Guide
827370	379509	Floret
827371	51297	Josefine
827371	117862	Fru Hoff
827371	130196	Inga
827371	154604	
827371	174069	Farmor
827371	343716	Betha
827371	347005	Lagreta
827371	351223	Fru Arbin
827371	353000	(Norwegian version)
827372	335120	Girl
827373	387787	Kelly
827374	24688	Interviewerin
827375	134768	
827376	173180	
827377	28318	Ollevine
827377	145502	Gurine på trappa
827377	166593	Fru Solberg
827378	193488	Schoolteacher
827378	244678	Number Five
827379	367153	Schwiegermutter
827380	343201	Norman's Wife
827381	34996	Humboldts Gast im Berliner Sa
827383	166368	Mira
827384	310613	Becky
827385	84306	Grandmother (Norwegian Langua
827385	287550	En kone
827386	19798	Mrs. Goldberg
827387	23583	Ruth Lawson
827387	32094	Mrs. Pirelli
827387	120868	Mrs. Gentry
827387	132739	Manager
827387	257055	Mirabelle
827388	98120	Frau Eins
827389	390812	Mona Dorngräber (1994-1995)
827389	409958	Eva von Waller-Schönfeld (199
827390	308229	Fru Lassen
827390	315374	Fru Anne Jensen
827391	25478	Josephine Trent
827391	36839	Modiste
827391	64908	Mrs. Ransome
827391	77627	Her Mother
827391	133605	Queen
827391	160618	Odette
827391	178057	Mme. Cecile
827391	183838	Julianne Boone-Fleming
827391	183855	Rosatti
827391	195757	Emily Scarsdale
827391	199310	Madame Goro
827391	216907	Mrs. Eggelson
827391	228639	
827391	241571	Mrs. Stokes
827391	264067	Signora Wembley
827391	275768	Rita Rogers
827391	279687	Bit Part
827391	280474	Tatiana
827391	292172	The Vamp
827391	312989	Mata Hari
827391	319130	Sue Warren
827391	334582	Marian Garland
827391	345989	Miss Gray
827392	261270	Michelle
827393	238379	
827394	120298	Student
827395	104766	Greek entry (13th place)
827395	397523	Hostess
827396	361400	
827397	359758	Ball Dancers & Musicians
827398	58510	Princess
827399	58157	Káca
827399	64262	Holubová (Podvodník)
827399	88435	Grandmother
827399	216574	
827399	223586	
827399	232667	
827399	270400	Ruzena
827399	280375	Bozka
827399	357687	Jasanka
827399	378525	
827400	227955	
827401	6132	
827401	339276	Gipsy
827402	132641	
827402	335989	Aurora
827402	383291	Teresa (1999)
827402	394121	
827404	188567	2nd Girl on Bus
827405	126619	Extra Talent (segment "Gett O
827406	188567	1st Girl on Bus
827407	247176	Esposa reo padre
827408	120298	Student
827409	107848	Lorraine
827410	208260	
827411	366	
827411	8332	
827411	18871	
827411	124270	
827411	199496	
827411	285318	Mother-in-law
827411	334380	
827411	354948	
827412	128604	Model ("3 Girls & a Spa" Segm
827412	367873	Tarot Card Reader
827413	8121	Marina
827413	8135	
827413	8606	Nina
827413	10959	Aliki
827413	10960	Aliki
827413	10961	Aliki
827413	20125	Rena Katsarou (Pipis)
827413	22595	Astero
827413	79231	Mirto Theodorou
827413	85643	Aliki
827413	87124	Marina
827413	89735	Ketty
827413	100553	Hristina
827413	102688	Lenio
827413	102889	
827413	139559	Annoula
827413	174488	Nelli
827413	178783	Mary (Klotsoskoufi)
827413	180285	Lisa Delvi (Sotiris)
827413	180288	Mayia Valli-Karatza
827413	180296	Agni
827413	180307	Margarita
827413	181389	Lisa Papastavrou
827413	181392	Lisa Petrovassili
827413	192838	Leeza Frangoudi/Mitsi Gavrilo
827413	199262	Madalena
827413	205568	Maria Pentagiotissa
827413	205584	Maria
827413	214305	Mairi Veber
827413	216984	Katerina
827413	220468	Aliki
827413	229957	Katerinio
827413	237060	
827413	248695	Herself
827413	256405	Katerina
827413	259992	Elena Davari
827413	260064	Krinio (Pontikaki)
827413	266502	Mary Delipetrou/Anna
827413	284491	Aggela
827413	299746	Herself
827413	303057	
827413	306963	Mary
827413	326217	Marina
827413	373562	Lenio
827414	132751	Nanou
827414	240444	A naiad
827414	254053	Actor
827414	292388	Myriam
827415	332177	
827416	130476	
827417	10953	
827417	23407	Voula
827418	42968	Mimì
827418	84595	Singer
827419	259863	Cute girl being raped
827420	319405	
827421	313084	La petite fille
827422	379678	
827422	398041	
827422	398131	
827423	400825	
827424	23455	Joy Boudala
827425	96198	
827426	8036	
827426	8120	
827426	18398	
827426	18974	
827426	22584	
827426	23155	Herself
827426	77030	
827426	86605	
827426	87130	
827426	89663	
827426	98222	
827426	98233	
827426	100574	
827426	105809	
827426	105912	
827426	111805	
827426	122269	
827426	127356	
827426	127365	
827426	173975	
827426	173979	
827426	174471	
827426	174578	
827426	178301	Toula
827426	180557	
827426	180561	
827426	204142	
827426	206594	
827426	209070	
827426	211694	
827426	212603	
827426	217027	
827426	243375	
827426	243890	
827426	248695	Elenitsa
827426	253088	
827426	253980	
827426	256867	
827426	261644	
827426	265278	
827426	265279	
827426	272248	
827426	304122	
827426	314084	
827426	314919	
827426	321923	
827426	329841	
827426	335998	
827426	369511	
827426	387408	
827426	409007	
827427	288933	Store Detective
827427	359543	1st Council Member
827427	386233	Tour Guide
827428	401778	Duncan's Secretary
827429	356065	
827430	367384	Market Girl 3
827431	104700	Herself
827431	104777	Herself (the Finnish contesta
827431	137720	Various
827431	355137	Herself
827431	395254	Herself
827432	376036	
827433	387391	Chryssoula
827433	400270	
827434	18943	
827435	4691	
827435	7724	
827435	29986	
827435	36401	
827435	39482	
827435	39663	
827435	39908	
827435	62466	
827435	73567	
827435	86703	
827435	89883	
827435	115598	
827435	121565	
827435	127509	
827435	128724	
827435	147275	
827435	150329	
827435	186764	
827435	188049	
827435	188050	
827435	214446	
827435	274369	
827435	277630	
827435	291446	
827435	301538	Whining Wanda
827435	310350	
827435	312374	
827435	317851	
827435	321050	Herself
827435	330011	
827435	332447	The Girl Scout
827435	332546	
827435	337813	
827435	359393	
827436	313881	
827437	142390	Hell Mountain Girl
827438	131232	Extra
827439	36722	Rebuffing Woman
827439	259969	Johnnie Ree Peacock
827440	127607	Herself
827440	158927	Violet Parr
827441	26093	Donna
827443	119686	Anna
827443	162229	Tine
827444	190719	Shelley
827445	65554	Arsinoe
827445	127432	
827445	247642	
827445	248520	
827445	400142	
827446	385537	
827447	180558	
827447	387391	Toula
827447	407902	Herself
827449	203634	Marina Borisov
827450	3526	Lili
827450	350973	
827451	140634	
827452	310329	Airline Employee
827453	26082	
827454	208811	Louise
827455	275589	
827456	99013	
827457	326292	Jirina
827458	24863	
827458	108853	
827458	124040	Market Director
827458	164010	
827458	182226	
827458	198129	
827458	201335	Anya
827458	238820	
827458	244220	
827458	248033	
827458	249246	
827458	263893	
827458	349077	
827458	354725	
827458	356444	
827458	357618	
827458	374162	
827459	244115	
827460	266625	Dream Woman
827461	20207	The Child
827462	5387	Mrs. Quealy
827462	6259	Marie Robbins
827462	52311	Guest
827462	56435	Psychiatrist #1
827462	59317	Mrs. Handlebag
827462	61626	Social Worker #1
827462	69414	Mrs. Billings
827462	79408	Brustin
827462	91848	Judge Lakey
827462	141164	Anne's mom
827462	157315	Mrs. Russell
827462	161721	Dr. Rysmiller
827462	162449	Judge Shalack
827462	164493	Mrs. Mitchell
827462	169211	
827462	176828	Clerk
827462	241732	
827462	245063	Mother Superior
827462	299070	Personnel Director
827462	299679	Woman #2
827462	335591	
827462	403452	Sara Gallagher #1 (1984)
827463	9938	
827463	20418	
827463	93596	
827463	98037	
827463	98064	
827463	98108	
827463	120946	
827463	165661	
827463	197946	
827463	235792	
827463	250804	
827463	261229	
827463	278158	
827463	301055	
827463	312239	
827463	329689	
827463	347556	
827463	366523	
827463	376005	
827464	119662	
827464	130939	
827464	189754	
827464	290464	
827464	290632	
827464	290788	Rosl
827464	316550	Marion
827465	259500	Anja
827466	115161	Bridget
827466	117073	Katrinka Kovár
827466	196291	Erica
827466	307887	Young Granny
827467	13474	
827468	351411	Shade
827469	208260	
827469	380559	
827469	397345	
827469	401521	
827469	406324	
827470	104632	Herself
827470	104769	Estonian entry (24th place)
827471	58505	Nikki
827471	128144	Yenna
827471	209457	Prisoner
827472	276967	Dead Woman
827473	6307	
827473	17306	
827473	82773	
827473	98738	
827473	104822	
827473	129352	
827473	172836	Maria
827473	178734	
827473	210457	
827473	243079	Clara
827473	271821	Popi's mother, Aggela
827473	285318	Roberta
827473	304122	
827473	306962	
827473	404243	Hostess
827474	307712	Christmas Caroler
827475	95925	
827476	365200	Herself
827477	216567	
827478	33728	
827478	388524	
827479	137706	
827479	198161	Kakata Katya
827479	250880	
827479	374158	
827480	217815	Mildred
827480	219184	Nurse
827481	34189	Herself
827482	156433	
827483	28409	Devojka u agenciji
827483	91108	Stela
827483	222441	Koordinantni sistem konfuzije
827483	241007	Mirjana
827483	310010	
827483	394873	Beki
827485	32488	Carl's Mother
827486	43153	
827486	86734	
827486	92356	
827486	95593	
827486	132160	
827486	175601	
827486	243662	
827486	267844	
827486	317870	
827486	376231	
827487	223586	
827487	226519	
827488	292992	
827489	191579	
827490	283147	
827490	374490	Maternová
827491	99682	Herself
827491	104772	Slovenian backing vocal
827492	287518	Janica
827493	171912	
827493	343796	
827494	248027	
827495	124945	
827496	39671	
827497	238012	
827498	281371	
827498	286314	Mieke
827498	397445	Alice
827499	62688	Herself
827500	140365	Patty Miller
827501	183123	Judith
827502	308482	
827503	344046	Hojka
827504	36781	Carmen
827504	116549	
827504	321632	Store Model
827505	104686	Herself
827505	210335	Herself
827505	210336	Herself
827505	210338	Herself
827505	280030	Y Viva Espana
827505	316316	Herself
827505	392332	Programvärdinna (1970)
827505	397395	Herself
827506	97788	Infant
827507	410401	Marie Bariseele
827508	110550	Ground stewardess
827508	401596	
827509	314862	
827509	328678	Koosje
827510	410838	Marleen Snoey (1999)
827511	110247	Thousand Delights
827512	181168	
827513	194836	
827514	15187	Nurse
827514	183097	Vriendin
827515	99317	
827516	18347	Thérèse (13)
827517	386674	
827518	87414	Brown Sugar
827519	87414	Sophia Loren
827520	10300	Kiesvrouw
827520	20049	Mevrouw Klinger
827520	93672	Verpleegster
827520	149282	Miss Wijdenes
827520	234877	
827520	306937	Koningin Juliana
827520	317184	
827520	352126	Vrouw op bromfiets
827520	378614	Marie 'N Bougy-deJong
827520	381528	Tilly
827520	411949	Graziëlla Horks
827521	356742	
827522	306227	Max
827522	403856	Fleur van Aspen (2001-2002)
827523	176082	Pinky (Satish's daughter)
827524	79510	David's Mother
827525	218857	Secretaresse
827526	147534	Principal Model
827526	153538	Nun
827526	265568	Homemaker Martha S
827526	355980	Fan
827527	350904	L'Américaine
827528	144406	Christine (segment "Phantom o
827528	321089	Johanna
827529	10300	Zwangere vrouw
827530	326495	Tilde
827531	20207	The Woman
827531	122796	Woman in Car
827531	305294	
827532	88587	Old Woman
827532	357430	
827532	374216	
827533	63268	
827534	123889	
827535	196108	Gwendolyn
827536	293756	
827537	222806	Young Carolyn
827539	176989	Chairman
827540	296047	Zora
827541	166024	Nora
827542	144459	
827542	198911	
827542	201473	
827542	355707	
827543	227051	Revolutionist
827544	242959	
827545	292983	Yellow Girl
827546	230466	Mother Mólnarova
827546	376551	Helena's Mother
827547	351381	Lenka
827548	139	Myriam Hornová
827548	16200	Madame Pinaudová
827548	57211	Lukásková
827548	92088	Teacher
827548	96384	Olga's mother
827548	151886	Princess Disperanda
827548	152213	
827548	171534	Olga
827548	172951	Vlasticka
827548	179884	Eva
827548	268216	Princess Krasomila
827548	295500	Helena
827548	306376	Jana
827548	320542	
827548	354622	Eva Simonova
827548	383079	Nerudná's daughter-in-law
827548	383856	Ms. Míla
827548	410338	Mrs. Breber
827549	57613	Helena's mother
827549	147035	Magda
827549	165038	Teacher
827549	165081	Teacher
827549	226464	
827549	259052	Kamila Housková, student
827549	349072	Judge
827549	383856	Anna Ciháková
827549	388152	Betty Butteau
827549	398744	Hedvika Hajská
827549	403860	Recepcionist Safaríková
827549	405729	Líza
827550	3489	Madla
827551	370186	
827552	392524	Shared tenth place (2004)
827553	385574	Correspondent
827555	231877	Little Girl
827556	194928	
827557	231877	Older Girl
827558	350535	Nu
827559	32075	Headservant
827560	215695	Madam Lan
827561	53937	Voo
827561	70826	Albert's Girlfriend
827562	181140	
827562	409561	
827563	390721	
827564	166101	
827565	89814	Lili
827565	250551	
827566	95697	
827566	173840	
827566	371694	
827567	201473	
827568	261944	
827569	226840	
827570	49177	
827570	192892	Juca
827570	232674	Mara
827570	302189	Toda ... sluzavka
827570	324481	
827570	333928	
827570	410074	Simone Hiff
827571	180612	
827572	170213	Herself
827572	170214	Herself
827572	170220	Herself
827572	170221	Herself
827572	393848	Herself
827573	9376	
827573	17473	Nigh Club Singer
827573	74179	
827573	83324	Kadinica
827573	84817	Sibila
827573	88711	
827573	120931	Marchioness de Haro
827573	132371	Herzogin Alba
827573	134840	Diana
827573	144351	Vanessa Benedikt
827573	156764	
827573	166647	Lina
827573	170216	Herself
827573	179780	Bobo
827573	249476	Mila
827573	257338	
827573	259191	
827573	259975	
827573	267844	Nazlija
827573	280565	Ljubica
827573	286888	The girl
827573	304248	Lence
827573	348666	
827573	349218	Marija
827573	356435	Milanka
827573	374051	
827573	400905	
827573	410452	Eustahija Radovanovic
827575	17057	Sandra
827575	325546	Aloisia 'Lou'
827575	325725	Lou Hareter
827576	87414	Sleeping Blonde
827577	166101	
827578	71846	Léone
827578	83279	Solange
827578	89352	Rosette
827578	124399	Femme
827578	270225	Irène Dupon
827578	282417	Mere Manu
827578	345035	Claudine
827578	396366	Lucile (segment "Autopsie d'u
827579	94244	Une cliente du salon de beaut
827580	92044	Loulouse
827580	258635	Odile
827580	377052	
827581	284224	Fille piscine
827582	254659	Petite fille
827583	244034	The Volcano Gal
827584	94244	Une bouchère
827585	268021	
827586	381917	Herself - Evictee #1: 16 May 
827587	78207	
827587	164032	
827587	173667	
827587	232673	
827588	74172	Julija
827588	174844	
827588	267667	
827588	351014	
827589	343798	
827590	26204	
827590	48517	Vera
827590	102627	
827590	219751	
827590	239465	
827590	240086	Dusica
827590	272179	Jugoslava
827590	306065	
827590	375341	
827590	386526	
827590	401281	
827590	402023	
827590	407129	
827591	12327	Lena
827591	47474	Nina
827591	80951	Claudia
827591	185621	Jana
827592	188117	
827593	172863	
827594	339311	Jezdimirka
827595	58299	
827596	88134	
827596	260398	
827597	168107	
827597	386526	
827598	189306	
827599	217299	Cerka Milica
827600	313951	The Reporter
827601	343799	
827602	112966	Herself/Lola
827602	222441	Lola
827603	74772	
827604	236049	
827605	366598	Mary Sweeney
827606	391208	Jade Matu (Ep.23-40)
827606	408163	Arushka (1999-2000)
827607	50818	
827607	132128	Slavic Woman
827607	265726	
827607	322659	
827607	399767	
827607	409909	
827608	43157	Violeta Popadic-Luksic
827608	92086	Marica
827608	159224	Izabela
827608	172497	Mira
827608	192888	
827608	197880	Lepa Rada
827608	229564	
827608	273093	
827608	311140	Maja
827608	350250	
827608	375125	Lilika
827608	382430	Violeta 'Viki' Popadic
827608	382431	Violeta 'Viki' Popadic
827608	392088	
827609	29400	
827609	46064	
827609	73590	Zena na salteru
827609	82368	
827609	197097	
827609	200794	Javorka
827609	242473	
827609	246858	Ilonka Nadj
827609	261343	
827609	262220	
827609	266080	
827609	266172	
827609	311140	Evica
827609	318980	
827609	382431	Profesorka hemije
827609	386407	Budina devojka
827609	386526	
827609	394111	Ilonka
827609	402119	
827609	405656	Verenica
827610	324481	
827610	357555	Redhaired witch
827611	81483	
827612	9232	Maserka 1
827612	42909	Blazekoviceva zena
827613	137413	Schwätzer
827614	94219	
827614	261944	
827614	265805	
827614	272194	
827614	313618	
827615	77097	Ranka
827615	109168	
827615	132151	
827615	132164	
827615	164477	
827615	172485	
827615	181504	
827615	186522	
827615	213841	Milena Jesenska
827615	222899	
827615	240333	
827615	258825	
827615	316831	
827615	318206	Mary Moylan
827615	348876	
827615	350742	
827615	387135	
827615	393168	
827615	409710	
827616	333928	Jasna
827617	222441	Violina
827618	242849	Gazdarica
827618	258781	
827618	343799	
827618	396292	Bojana, Milunova zena
827619	4931	
827619	6859	April Stavronis
827619	8495	Le juge
827619	14377	Alice Mascetti
827619	14378	Alice Mascetti
827619	14908	Licia
827619	15988	Cesira detta Sila
827619	17491	Irene Kralowa
827619	19521	Graziella
827619	20870	Modestina
827619	36458	Prostitute
827619	41190	Esmeralda
827619	45799	Lilly
827619	48298	Marilina's mother
827619	55496	Mrs. Loy
827619	56360	Maddalena
827619	58288	Woman in train
827619	59748	Ines
827619	66880	
827619	69719	Ancella
827619	70836	
827619	102918	Cleofe
827619	108872	Pina Fantozzi
827619	108873	Pina Fantozzi
827619	108874	Pina Fantozzi
827619	108875	Pina Fantozzi
827619	108876	Pina Fantozzi
827619	108877	Pina Fantozzi
827619	108878	Pina Fantozzi
827619	108898	L'infirmière/Nurse
827619	110162	
827619	127487	Caviar Party Guest
827619	127931	Virgina Stoppani, Gian's sist
827619	128027	Neighbor
827619	129019	Elisabeta (the maid)
827619	131668	Contessa Lucchino
827619	132649	Tina
827619	146433	TV interviewer (segment "Toby
827619	150595	
827619	157548	
827619	163695	
827619	193221	Deianira
827619	194150	
827619	197543	Frieda
827619	199506	His Wife (segment 2 'Il Lavor
827619	206040	
827619	207827	Matilda's mother
827619	212314	
827619	218336	Sister Verna
827619	235327	Fattore
827619	236785	
827619	238021	
827619	252689	
827619	252773	
827619	269633	
827619	278896	
827619	279584	
827619	282085	
827619	284830	Clelia (segment "Sabato")
827619	314304	Stefano's mother
827619	319026	Nora (segment "Armando's Note
827619	324233	
827619	327488	
827619	328389	Emanuela
827619	336564	Una collegiale
827619	338361	Delia, la moglie del professo
827619	342026	Elena
827619	349615	Filippo's mother
827619	351612	Camilla
827619	354589	Daria Rossini
827619	361085	Madame Wahl
827619	380356	Kralowa, Irene
827619	397297	Enrica
827619	402128	
827619	409527	Paule (1992-????)
827619	409799	Amalia
827619	410048	Sophie Laurentz
827620	266062	Jovanka, Manojlova kci
827621	67686	
827622	259206	
827622	401749	
827622	401750	
827623	58299	Predsednikova zena
827623	166646	Draginjina majka
827623	258671	
827623	288986	
827623	376191	
827624	269850	Jax
827625	86892	Waitress
827626	91071	Host (SF2)
827627	305813	
827628	48459	Milanova tetka
827628	48756	
827628	85159	
827628	89481	
827628	102627	
827628	132073	
827628	156764	
827628	190785	
827628	205797	
827628	229923	
827628	249476	Woman mayor
827628	249483	
827628	270714	Kata
827628	286022	
827628	314651	
827628	328838	
827628	332755	
827628	339278	
827628	343836	Dana Jezdic
827628	357323	
827628	374060	
827628	375178	Milanova tetka
827628	376227	
827628	386526	
827628	390427	
827628	393168	
827628	400905	
827628	401281	
827628	402119	
827628	404144	
827628	409561	
827628	410452	
827629	14295	Sisse
827629	163932	Lucy Lawrence
827629	320106	Francine
827630	320434	
827631	88809	Die Frau
827632	272606	Zena I
827633	280660	Sorella di Ivan
827634	351208	Pea Monk
827635	3526	Svetla
827635	20228	Dzhina
827635	152173	Eva
827635	230043	
827635	273094	Momiche ot publikata (Segment
827635	296427	Margarita
827635	333783	
827635	343973	
827636	409024	
827637	169139	Chorus
827638	91854	Sandra
827638	117072	Elaine
827638	151778	Goolah
827638	224090	Liz
827638	279314	Marjorie Jacobs
827638	363611	
827639	89295	Kaca
827639	132159	Nadja
827639	154668	Milica
827639	172497	Sestra
827639	213841	Milena Jesenska ... kao devoj
827639	245890	Danica
827639	259834	Zorica Plavsic
827639	295051	Devojka
827639	374420	Milka
827639	396592	Mara
827640	109481	Marlene
827640	129430	Mother
827641	410640	Roz (Series 7) (1993)
827642	208024	Receptionist
827642	307899	Nurse
827642	401077	Polly Stevens, receptionist (
827643	302	
827643	376214	Katya
827643	404204	Varvara Arkhipets
827644	14416	
827644	45764	Zhurnalistkata (segment Spase
827644	97562	Zhurnalistkata
827644	187387	
827690	271413	Mandakini
827644	229832	Sonya, saprugata na Asenov
827644	244624	Maykata
827644	289340	Uchitelkata po geografia
827644	304725	Po-golyamata snaha
827644	332955	Direktorkata
827644	374030	Vera
827644	375742	Goblenarkata
827645	6437	
827645	24777	Peasant Woman
827645	178234	
827645	226190	
827645	229832	
827645	249252	
827645	320672	
827645	332955	
827645	332958	
827646	93451	
827647	117230	Jennie
827647	134025	Carmen
827647	176777	Susan
827647	219556	Nina Croce
827647	389858	Hannah Scott (1999-2001)
827648	25764	Mrs. Hurlimann
827650	148006	
827650	313567	
827650	330471	
827651	394110	Pevacica
827652	186072	
827652	278881	Dog owner/Three-legged woman
827653	163185	
827653	164248	Birthday guest
827653	242948	The lady of Anttila
827653	246634	Guest
827653	255764	Woman in the funeral
827653	256880	Anna
827653	258843	Äiti Korkee
827653	372965	Woman #2
827654	21384	
827654	102663	Afrodite
827654	145424	Narrator
827654	178448	Ulla Sammakko
827654	392355	Allun äiti
827654	396314	Viola Turpeinen
827654	398192	Viola Turpeinen
827654	401278	Viola Turpeinen
827654	403130	Aili Hinkka
827654	407370	Hellä Mendolin
827654	410460	Kirsti Leppänen
827654	411700	
827655	44410	Tamara
827656	257660	Herself
827656	257678	Miss November 2001
827657	308168	Jane
827658	66584	Tester
827659	188421	Flute Player
827660	168866	Leena
827660	197374	Tupu
827661	57557	Nouchka
827662	54652	Young girl
827663	174779	
827664	393981	Nelli Mäntyranta
827665	255516	Salla
827665	408194	Sini Eerola
827666	394576	Irina
827666	401125	Annika Lempinen
827666	408194	Tiina Perälä
827667	255386	
827668	234571	Helena
827669	44410	Nadja
827671	155996	
827671	349372	
827672	176252	Eric's Girl
827673	112028	Girl in Cemetery
827674	357463	
827675	357461	
827676	331704	Herself
827677	204364	
827678	151935	
827679	17887	Milli
827680	347307	
827681	392551	Taisiya
827682	176046	
827682	176047	
827683	392551	
827684	131484	Queen's Servant
827684	212148	Marie Fouly
827684	239893	Juta's lady-in-waiting
827684	248159	
827684	305873	Tonka
827684	410338	
827685	51091	
827685	208732	
827685	253255	Neighbor
827685	288359	Marenka
827686	146838	Herself
827687	265276	
827688	295066	Míková
827689	44005	Woman from Holland
827690	4404	
827690	4409	Nirmala
827690	13133	
827690	15163	
827690	17353	
827690	17359	Ratna
827690	27645	
827690	27655	
827690	27725	Lata
827690	61020	Roopa Choudhury
827690	67127	
827690	84744	
827690	84768	Chandramukhi
827690	85196	
827690	88503	
827690	92625	
827690	95230	Mala
827690	98506	
827690	123943	
827690	135941	Dhanno
827690	139986	Chhipli
827690	162495	
827690	162668	
827690	165833	
827690	165952	
827690	166537	Rani
827690	167276	Shalini
827690	167348	
827690	174612	Pushpa
827690	177996	
827690	183455	Rani
827690	183456	
827690	186615	
827690	199655	Madhumati/Madhavi
827690	215584	
827690	226674	Mala
827690	228851	Rajni
827690	228857	Jyoti
827690	228937	
827690	230593	Janaki
827690	246631	Manju
827690	249414	Kundhavi
827690	250695	
827690	251886	
827690	252232	
827690	254840	Karuna
827690	256940	
827690	263956	
827690	268061	
827690	271429	
827690	272163	
827690	284774	Shanti
827690	285164	
827690	287348	Radha
827690	287387	
827690	287391	Munni/Laila -e- Aasmaan
827690	303331	
827690	303333	
827690	319840	
827690	323270	
827690	350958	
827690	359573	Madam
827690	370715	
827690	375201	
827691	28701	
827691	34608	
827691	63616	
827691	88354	
827691	163040	
827691	176052	
827691	214311	
827691	219723	
827691	226693	
827691	238786	
827691	244044	
827691	262644	
827691	280398	
827691	294676	
827691	297861	
827691	304252	
827691	318146	
827691	349077	
827691	357474	Mother
827691	373273	
827691	398757	
827692	26540	Karolínka
827693	387617	Martine
827694	392533	Herself
827695	381911	Herself (2001)
827696	57296	Fay Avalon
827696	65666	Lady Constance
827696	100730	Gertrude Wilmot
827696	116172	Betty Webb
827696	129086	Patricia Worth
827696	158794	Madeleine Linden
827696	184283	Pamela Siddell
827696	213198	Mary Stevens
827696	220916	Frau Lindström
827696	250650	Mollie Bennett
827696	285623	Stephanie
827696	294194	Claire Lindsay
827696	308082	
827696	342489	Angela
827696	372642	Bit Part
827697	6099	Herself
827697	52014	
827698	396236	
827699	291593	
827700	357435	
827701	205655	Tosovska
827701	234252	Barinova
827701	237478	Jagosová
827701	261539	Marie
827702	243452	
827702	255641	Dancer Irina
827703	285099	
827704	399141	Klára
827705	244134	
827706	370123	
827707	121140	
827708	89785	Zhanna
827708	156006	
827708	191241	Alais
827708	208285	Hildegard
827708	373736	
827709	278332	
827710	138171	
827711	32789	
827712	349378	Madame Gaujac
827713	16190	Kája
827713	262286	Hedvika (segment "Cards Are D
827714	351381	Milena
827715	334028	
827716	172898	Herself/Jazz+Az singer
827716	179863	Herself/Jazz+Az singer
827717	175707	Herself
827717	353762	Herself
827718	74450	
827719	224978	Benedek lánya
827720	378053	Reporter
827721	32863	Kerekesné,Juliska nagymamája
827721	49184	Maykata na profesor Barosh
827721	51326	Kádár néni
827721	97979	Házvezetõnõ
827721	102017	Kovács néni
827721	122387	Özvegy Párkányné
827721	150590	Ágh Feri anyja
827721	153679	
827721	174750	Egy utas
827721	195258	Virág anyja
827721	210957	Vedres háziasszonya
827721	214708	Kovács anyja
827721	253783	Szobaasszony
827721	284184	Dudva édesanyja
827721	284186	Miklós süket nagyanyja
827721	293990	Házinéni
827721	322111	Baloghné,Péter anyja
827721	324708	Parasztasszony
827721	327925	Bakos anyja
827721	354257	
827721	378278	Montmoulin anyja
827721	378588	András nagyanyja
827722	173592	Sekrestyés
827723	197994	
827723	305824	Kliímová
827724	34582	
827724	378522	
827725	112911	
827726	377818	
827727	216250	
827728	14289	
827728	15858	Secretary #1
827728	48521	
827728	122735	Lány
827728	175499	Zsozsó
827728	218532	Parent
827728	309289	Delicate looking woman
827728	399860	
827728	407310	Dragon girl
827728	409099	Kata
827729	97964	
827729	284090	
827729	377761	
827729	377815	A kalauz felesége
827730	322064	Tv asszintens
827731	32863	
827731	177949	Builder
827731	182646	
827731	377820	
827732	10008	Nõvér
827732	77165	Egy nézõ
827732	96405	Sidy
827732	108913	Nóra
827732	122455	
827732	126269	Marie
827732	139438	Lit Kozma felesége
827732	177970	
827732	182732	Székely Ica
827732	211700	
827732	212308	Özvegyasszony
827732	214494	Fruzsina
827732	237176	Anna Szegedi
827732	243878	Ádi
827732	328970	
827732	349033	
827732	349039	
827732	350830	Emmike
827732	377760	
827732	378283	
827732	389220	Szerénke
827732	394990	
827733	377889	Riporter
827734	200619	
827735	1688	
827735	377761	
827736	328970	
827737	162607	Rosa
827738	10401	
827738	28341	
827738	58358	Gruber mama
827738	137147	Csizmás Kandúr
827738	137555	Szobalány
827738	138440	Marietta
827738	139997	Cselédlány
827738	172529	Rozi
827738	177975	Hajdúné
827738	180223	Dusmáta
827738	180824	
827738	182847	
827738	193338	Mihálik lánya
827738	214500	
827738	237164	Veszeli's daughter
827738	276070	Fodrásznõ
827738	277214	Marja Antonovna, a lánya
827738	322086	(segment "A mama udvarlója")
827738	322128	Ablakban álló; lány
827738	387360	Kuriskova
827739	278687	
827739	322108	Iker
827739	343776	
827740	322005	
827741	278687	
827742	322108	Iker
827743	43112	Mrs. Balogh
827743	74414	
827743	105462	Señora Magaldi
827743	173592	Anya
827743	309354	Ancika
827743	377143	
827743	412249	Viola
827744	74422	Gyógypedagósnõ
827745	117705	Czilla
827745	288887	Zsazsa
827746	64744	Wizened Peasant Woman
827746	104197	
827746	144742	
827746	153683	
827746	307081	
827746	349779	
827746	407234	Brigi's mom (recurring)
827747	17079	
827748	322126	Munkáslány
827749	182729	Gruber rokona
827749	268428	
827749	377815	Boriska,szobalány
827750	6781	Rozína
827750	32368	
827750	42942	The Unknown Woman
827750	64666	Countess Strada
827750	151226	
827750	153359	
827750	165366	
827750	179714	Reditelka cirkusu
827750	183210	
827750	217038	
827750	225593	
827750	229790	
827750	259292	
827750	282748	
827750	303144	Hudcová
827750	304131	Janouchová
827750	320568	
827750	323639	Stiborová
827750	357673	
827750	357951	Ondrová
827750	375973	
827750	376605	
827751	672	Ana María
827751	287817	Luisa
827751	379898	Meche Peralta
827751	383242	Manuela Rojo
827751	409779	Leila
827752	250428	Angel
827753	411714	Herself
827754	220171	Luz
827754	239281	Eva
827755	85580	Yunier's Girlfriend
827756	409307	Herself - historical commenta
827757	380102	
827757	385367	Sonia
827757	387621	Raiza
827757	388567	Leticia
827757	391272	Iraida Montes
827757	395403	
827757	403289	Sandra Castillo
827757	404075	
827757	404203	Gertrudis
827758	100496	Adriana Ontiveros
827758	193184	
827758	393933	
827759	386015	
827759	387965	
827759	395236	
827759	397738	Paloma Manrique
827759	398472	
827760	249774	
827761	380077	Alejandra Guerrero
827761	393364	Lina Bueno
827761	411714	Herself
827762	286228	Dancer
827763	69470	Enfermera
827764	379093	Berta
827764	383467	Valeria
827764	385367	Sonia
827764	387101	Natalia
827764	397566	
827764	404988	
827764	405809	Casta
827765	250428	Sandra Diaz
827766	16842	
827767	199118	
827768	198917	
827769	7218	Anna
827769	14442	
827769	16200	Madame Collierová
827769	25660	Diana
827769	28225	
827769	42197	Lenka
827769	58206	Kristína Habdzová
827769	82816	Anka
827769	92911	Eva
827769	140677	Mother
827769	149577	Vera Horecká
827769	156166	
827769	165591	
827769	175056	
827769	178710	Mária
827769	181394	Zuza
827769	189497	Nina
827769	201355	Agajka
827769	217035	Marta
827769	229183	Marquise de Merteuil
827769	237172	Eva Weimannová
827769	237201	
827769	238198	MUDr. Marta Horvátová
827769	243195	Mother
827769	252079	Mother Krausová
827769	254365	
827769	256494	
827769	257481	Královná
827769	313722	
827769	314077	Mother
827769	341944	Miss Jessel
827769	360071	Japan woman
827769	379877	
827769	386327	Theodora
827770	335	Maruska
827770	26177	Hortensie
827770	58121	
827770	82804	Blanka
827770	151883	
827770	171495	Mária Jurkovicová
827770	188869	Calma Veselá
827770	205578	
827770	206188	Marketa Lazarova
827770	225873	Angelika
827770	226238	
827770	234257	Slávka
827770	261585	Maryska
827770	263953	
827770	270725	Mahulena
827770	283688	Rusalka
827770	304197	
827770	320641	Jirina
827770	327373	Kris
827770	332388	Sonia
827770	341944	The Governess
827770	357476	Martha
827770	358212	
827770	374216	Dominika
827770	379877	
827771	12937	Czechoslovakian actor
827771	23035	Leontýnka
827771	24148	Sonja
827771	33135	Chrstina Berger
827771	34262	Susanne
827771	47764	Dana
827771	51118	Briefträgerin
827771	67958	Ursula Bootz
827771	93408	
827771	140200	Anja Lohse
827771	143514	Anna Wimschneider
827771	155489	Katja
827771	158227	
827771	165061	Zuzana
827771	178811	
827771	181644	
827771	226195	Michaela
827771	226266	Ruth
827771	247348	Alena
827771	256952	Laura
827771	258524	Marie
827771	271751	Kati Zeiler
827771	272822	Tatjana Lucius
827771	281967	Lissy
827771	288356	Nina
827771	290107	Elsbeth
827771	312950	Irina
827771	325419	Theresa
827771	325760	Manon Kampmann
827771	350860	Stella Fröhlich
827771	361010	Marie Karl
827771	374098	Michaela Holubová
827771	380554	Little Red Riding Hood
827771	381196	Michaela
827771	406828	Janina David
827772	58127	Monika Marková
827773	70497	Hitchhiker
827773	171531	Photograph
827773	237541	Producer assistant
827773	315928	
827774	302333	Muchachita Maya
827775	104512	Old Indian Woman
827775	240083	
827776	339131	(segment "Una de monstruos")
827777	85583	
827777	96321	Novia
827777	239261	
827777	332600	
827778	110890	Angela
827779	3474	
827779	51541	Marie
827779	83457	
827779	91298	
827779	210179	
827779	300638	
827779	351831	
827780	155986	
827781	13084	
827782	28007	
827782	252562	
827783	21590	
827783	372027	Yotama Barreno
827783	385058	Sagrario
827784	201351	
827785	275088	
827786	241143	Hospital Administrator
827786	270255	
827786	391572	Micaela
827787	77377	Dependienta
827787	207595	
827788	12083	Visi
827789	111181	
827790	25069	
827790	73976	
827790	119307	
827790	193193	
827790	236435	
827790	251581	
827791	103995	Leonila Begonia
827792	12816	
827792	71248	Dependienta almacéns
827792	229794	Daniel's wife
827793	50139	Figurante
827794	70090	Mujer asaltada #2
827795	76006	Paula Cecilia
827795	76007	Paula Cecilia
827795	383554	
827795	385484	
827795	395885	Justina Suárez
827795	397598	
827796	223499	Maria Vazquez
827797	25791	Patricia
827797	83540	Raquel
827797	234378	Maria
827797	261510	Gloria
827797	286901	
827797	402876	Rosa
827797	402919	Host (2000)
827797	410091	Berta
827798	151797	
827798	292747	
827799	28185	
827800	69011	
827800	92336	
827800	145247	
827800	263698	
827800	334672	
827800	378367	Maria del Carmen
827801	979	Letty
827802	384119	Miki
827802	388946	Nata
827802	403021	Pilar Dunoff
827803	103483	
827804	324499	
827805	152228	
827805	156085	Herself
827805	205005	
827805	211556	Selvaggia
827805	383347	Nancy (1995-1996)
827805	389134	Herself - Host
827805	390451	Herself - Colaboradora (2002)
827805	390464	Herself - Host
827805	392845	Herself - Hostess (1997-1998)
827805	393036	Herself- Host
827805	393835	Herself - Host
827805	396216	
827805	397824	Herself - Host
827805	397825	Herself - Host
827805	399565	Herself - Host
827805	400893	Herself - Host (1996)
827805	402886	
827805	405957	Host
827805	409463	Secretaria (1993-1994)
827805	411562	Herself - Host
827806	14929	Luisa María
827807	326351	
827808	405415	Gabriela 'Gaby' Campos Ortiz
827809	9669	
827809	14643	Lupe
827809	14663	
827809	14807	
827809	25812	
827809	34580	
827809	55946	
827809	73086	Ana
827809	74839	(segment El bombón)
827809	103656	
827809	103941	
827809	111991	
827809	143781	
827809	145214	
827809	203839	
827809	221565	
827809	222049	(segment Amor y yoga)
827809	236004	
827809	246415	Susana
827809	250791	
827809	253416	
827809	266407	
827809	319368	Rita
827809	322239	
827809	337955	
827809	352128	
827809	353573	Delia
827809	355008	
827809	393797	
827810	380099	
827810	380107	Adelaida Sandoval
827810	397016	
827810	398490	
827810	402917	Catalina Cienfuegos
827810	403885	Sofía Cárdenas
827811	212257	Old Woman
827811	395885	Goya
827812	100788	
827813	124510	Plañidera
827814	151803	
827814	376713	
827815	266977	Village matron
827816	255386	
827817	283145	Dead old woman
827818	104097	Herself - the host
827818	141887	Nainen parvekkeella
827818	168790	Kauneussalongin pitäjä
827818	180175	Herself
827818	187833	Kimmel Kinos
827818	214845	Herself - the host
827818	226806	
827818	255765	Yskäsen vaimo/Yskäsen tytär
827818	341808	Myyjä valokuvausliikkeessä
827818	349138	Sotilaskotisisar
827818	349139	Kahvintarjoilija pankissa
827818	349142	Kommentaattori #1
827818	349143	Kaksoisolentokisan tuomari
827818	349146	Myyjä kahvilassa
827818	349147	Kahvilan tarjoilija
827818	349148	Äiti kanditaatti #1
827818	393670	Herself - the host
827818	393931	Herself - the host
827818	394963	Herself - the host
827818	399169	Herself - the host
827819	104634	Host
827819	104635	Host
827820	226797	
827821	300796	Sibeliuksen tytär lapsena
827822	115442	Mary
827822	278881	Singing woman
827823	145099	Reiterin
827824	404145	Aamu Korhonen (2001-2004)
827825	170246	Tanssija #10
827826	24151	Inga
827826	25204	Vera Broms
827826	144052	Lola
827826	153747	
827826	170245	Kesätyttö (Summer girl)
827826	170520	
827826	174740	
827826	182013	Veera
827826	182370	Eeva
827826	184796	Tiina
827826	200978	
827826	211031	Saara Reims
827826	236795	Elli
827826	242267	Elli
827826	242269	Mimmi
827826	255935	Loviisa
827826	283593	Amanda Björkstén
827826	320400	Ulla-Maija
827826	322283	Margit Grankvist
827826	341793	Hento Kunttu
827826	349748	Torpan-Mari
827827	221859	Rouva Isosavi
827828	274833	
827828	346987	Karin
827829	256692	
827830	178376	Statist
827831	174021	Herself
827831	178376	Statist
827832	174779	Tarjoilija (waitress)
827833	178376	Statist
827834	233247	
827834	242853	Schoolgirl
827834	255763	
827834	303708	
827834	320584	
827835	271053	Finnair lentoemäntä
827836	393735	Joulumuori
827837	18402	Woman in kasino
827837	99471	
827837	122764	Kristina Anger
827837	136899	Toini Haavisto
827837	141809	Hanna Palonen
827837	145418	
827837	152341	
827837	156039	Syrjämäen Hilja
827837	172296	
827837	174209	Irja Malm
827837	177040	Manageress of Salon Rosita
827837	177897	Lea Helpi
827837	180442	Venla Liuhala
827837	181592	Aliina Kivistö
827837	181633	
827837	181634	
827837	181649	Mrs. Takala
827837	181652	Board member
827837	188932	Mother in consulting room
827837	196525	Loviisa
827837	198758	Kekke Petäjä
827837	213375	Anna Vainio
827837	214835	Manta Stenvall
827837	214837	
827837	229626	Iida Karlsson
827837	233243	Loviisa Niskavuori
827837	233245	Loviisa Niskavuori
827837	237242	Narrator
827837	240329	
827837	278338	
827837	284021	Colonel's maid
827837	301890	
827837	319317	People in a party
827837	321925	Kaarina
827837	321949	Hanna Salmio
827837	322704	
827837	349947	Alma
827837	351366	
827837	354274	Anna Bella
827837	357593	Ada Ahonen
827837	371656	Mikko's mother
827837	371657	
827838	223514	Tarjoilijatar
827839	260500	Lilith
827839	271053	Ylikonstaapeli Susanna 'Sanna
827839	372625	New arts teacher
827839	402792	Vanhempi konstaapeli Susisaar
827839	404145	Pamela Johansson
827839	408194	Irmeli Hämäläinen
827840	323253	
827841	178376	Unelma
827841	178379	
827841	211863	Satu Kulmala
827841	242261	Terttu
827841	255381	
827841	266938	Äiti
827842	322314	Refugee
827843	7792	
827843	104739	Host
827843	213334	Ellen
827844	96233	Herself
827844	395333	Co-Host
827845	180824	
827846	63552	
827846	155138	La couturière
827847	70667	Lucero Ibarra
827848	402190	
827849	48829	
827849	84019	
827850	48800	
827850	104180	
827850	121774	
827850	216862	
827850	269957	
827850	275955	
827851	80241	
827852	104088	Cris
827853	4527	
827854	27852	
827854	275071	
827854	302554	
827855	383094	
827855	386882	Dr. Liliana Suárez
827855	389233	Maria Paula Ramirez (2004)
827856	137038	
827857	67236	
827857	84502	
827857	339147	
827857	383529	Guadalupe
827857	389233	Ángela Suarez (2000-2001)
827857	390735	
827857	391590	
827857	393805	Yolanda de Cabrales
827857	396859	Rosario 'Charito' Mendez
827857	397010	
827857	399557	
827857	401097	
827857	405798	Adela de Rodríguez
827858	50142	
827858	64813	Elaine Santos
827858	154334	Lisette Linares
827858	154660	Carol
827858	195430	Agent Susan Mestre
827858	264036	Rosa Sanchez
827858	264441	Prison Counselor
827858	330274	Camilla Lopez
827858	399294	Det. Nina Moreno (1995-1998)
827858	400621	Dr. Gloria Nathan
827858	406320	Vicki Solera
827859	205395	
827860	247159	Niña
827861	389780	
827861	399744	Host
827862	83869	
827862	104088	Yolandita
827863	234324	Herself
827863	398474	Rosy
827863	402192	Jennifer Robinson
827863	403016	Estefanía Dóriga
827863	404703	Inés Lara
827864	96290	
827865	58408	Tota
827865	64431	
827865	247296	Bristela
827865	265554	
827865	379210	Tita
827865	387916	
827865	388648	
827865	392992	
827865	393340	
827865	400419	
827865	401481	Madre de Margarita
827865	402411	Abuela Moraga
827865	403674	
827865	403686	
827865	406852	
827865	408724	
827866	48535	
827867	217704	Claudine
827868	112831	Mme Duteuil
827868	377986	La vieille dame indignée
827869	7462	La policière du commissariat
827870	31418	Amanda
827870	33571	Ecolière
827870	94329	Amélie
827870	100431	Marie-Line
827870	100469	Samira
827870	208834	Mina
827870	232931	Lydie
827870	257061	Béatrice
827870	259979	Aurélie
827870	282053	Yasmina
827870	319822	Rita
827871	24671	
827871	377061	
827872	503	
827872	68362	Femme couple otages
827873	287595	La petite qui s'est sauvée
827874	155738	Patricia Carli
827875	15071	Jeanne
827875	16980	Pulcherie the Cook
827875	46937	Mère de Jessica
827875	62565	Cécile
827875	69933	Felicie
827875	122375	Françoise
827875	194568	Odette
827875	198357	
827875	321916	Hélène
827875	321991	
827875	340119	Lucille
827875	374036	
827875	384789	(1989-1990)
827875	396263	Paméla
827876	219836	Zsófi anyja
827877	23747	La femme de Robert
827877	247607	
827877	249209	Fan de Jeannot
827877	400804	Carole Deneault
827878	351712	Policier moustachu
827879	356391	Une voisine
827879	411623	Adèle
827880	15208	
827881	15116	La mère
827881	84634	Fille taverne
827881	112878	Mado
827881	140279	Estelle
827882	346139	Juliet 13
827883	187837	Pincérnõ
827884	377818	Daru Kati
827885	6132	Eva Trojanová
827885	20538	Jirina
827885	30836	Marie Zdárská alias Mimi
827885	42192	Verona Králová
827885	57556	Elisabeth Mladekova
827885	58279	Hancí Vachudová
827885	84418	Marta Kocová
827885	84764	Komorná Olly
827885	95060	Vera, pianist
827885	120042	Alix
827885	136616	Anicka
827885	151889	Lída Hlubinová
827885	165729	Jarka
827885	165817	Jana Mirská-Sequencová
827885	166444	Vera Kalinová
827885	166750	
827885	167928	Helena Elisová
827885	173996	Lucie Jandová
827885	178475	Eva Bínová
827885	179357	Eva
827885	180817	
827885	189493	Hanka
827885	207886	Bettynka Krácmerová
827885	214255	Prodavacka Tonca Navrátilová
827885	226158	Edith, advocate, daughter
827885	231170	Josefínka
827885	234457	Marta Dekasová
827885	244030	Bela Olivová
827885	247946	Marenka Vomácená
827885	252226	Hana
827885	258578	Julie Novotná
827885	261410	Jirina Zvonícková
827885	262190	Blanka
827885	265045	Marie Topinková/Dlabalová
827885	268228	Elén
827885	268503	Jana
827885	296225	Eva Martenová
827885	305552	Bozenka Soukupová
827885	306662	Helena Málková
827885	312414	Anci Vachová
827885	313910	Prodavacka Milena
827885	314581	Helena
827885	339276	Anna Kopecká
827885	339318	Slecna s kolem
827885	343858	Vlasta Borecká
827885	343859	Matejova sestra
827885	344349	Anicka
827885	349838	Helena Bártová
827885	350983	Nanynka Kulichová, daughter
827885	352792	Josefina Cerná
827885	357642	Aniska
827885	357695	Otylka
827885	373492	Jindra Remesová
827885	375401	Pavla Partyková
827885	375478	
827885	376426	Maris Schwanderer
827886	101010	Doctor's wife
827887	1008	Vilma,Turner huga
827887	2247	Bugyorné
827887	17648	Anna néni
827887	35057	Emma néni,Ágnes nagynénje
827887	42334	
827887	51309	Schultheiszné
827887	74407	Hámor Anyja
827887	97970	Lombné
827887	114761	Tóni néni,Galambos nagynénje
827887	122388	Laura néni
827887	122613	Puskásné
827887	136577	Gyurkovics mama
827887	136582	Nagynéni
827887	172826	Etelka néni
827887	200010	Emma,Balogh felesége
827887	201369	Emma néni,Kata nagynénje
827887	211113	
827887	223594	
827887	229025	
827887	229477	
827887	229708	Zsani néni
827887	255856	
827887	268428	Az árvaház igazgatónõje
827887	307145	
827887	320380	Bugyorne
827887	324096	
827887	333801	Kántor Jánosné
827887	349619	Klementin nagymama
827887	350661	
827887	377085	
827887	377815	Annie néni
827887	378276	Pepi néni
827888	129992	
827888	142866	Mother of Student
827888	265832	
827888	269555	Mother in Caruaru
827889	101353	Doris
827890	74418	
827890	77165	
827890	78206	
827890	122455	
827890	165562	
827890	182653	
827890	224968	
827891	98016	Rozi
827892	15858	Géza's girlfriend
827892	28341	
827892	180112	Woman with big brests
827892	205436	
827892	226001	Woman at foodshop
827892	233377	Postai alkalmazott I.
827892	312138	Berlin: Bar Owner's Wife
827892	407241	Muci
827893	23883	
827893	40410	
827893	42443	Nanni Wilde
827893	45976	Prostitute Cara
827893	90997	Likörverkäuferin
827893	178074	Louise Stör
827893	178852	
827893	179784	
827893	216865	
827893	249691	
827893	284513	
827893	290503	Lehrerin Jung
827893	325775	
827893	345928	Lisa
827893	347796	Frau Sempf
827893	359048	
827893	376362	Klara Wittenberg
827894	399175	Marita
827895	259488	Juliane
827895	259523	Juliane
827895	259579	Juliane
827895	259597	
827895	259650	Juliane
827895	259693	
827895	259694	
827895	259695	Juliane
827895	324322	Gabi
827895	352567	
827896	259500	
827897	226199	
827897	325786	Katrin
827897	380905	
827897	383171	
827897	383402	Cashew's Secretary (voice: Ge
827897	394832	
827897	404909	Sue (voice: German version)
827898	272796	Starlight casino dancer
827898	378168	Dancer
827899	119137	
827900	377721	Énekesnõ
827901	153854	Margit/Klári
827901	172529	Cigánylány
827901	193566	Eszter
827901	348999	
827901	357819	Ági
827902	275750	
827903	139858	Fru Benesen
827903	142770	Fru Sørensen
827904	187618	
827904	314986	
827905	348386	Chieftess
827906	393599	Herself (eliminated round 1)
827908	155205	
827909	171954	
827909	189079	Leák Queen
827909	210390	
827909	252197	
827910	194797	Maiden 1
827911	84269	Korrekturass.
827911	136627	Eileen
827911	139006	Fru Abrahamsen
827911	223204	Annik, vordende mor
827911	315379	Alvilde
827911	347004	Milja
827912	5142	Constantia Gladkowska
827912	18063	
827912	32317	
827912	46617	
827912	98049	
827912	120981	Katia
827912	144028	
827912	152751	Lady Baskerville
827912	182762	
827912	183844	Lady Windermere
827912	189870	
827912	223188	
827912	225633	Katja
827912	281982	Hildegrad
827912	358894	Queen Viktoria
827913	147885	Anubus' Crew
827914	23446	Alien Woman #1
827915	354334	Bolli
827916	17615	Pirkko, heidän tyttärensä
827917	255009	Waimiria
827918	46614	Unni
827919	153350	Christine
827919	240110	Gry, Basses dame
827919	326048	Ellen
827920	70423	Detentiemedewerker
827921	281973	Jungfer Marianne Leitmetzerin
827922	24519	
827923	1594	
827923	11135	
827923	50528	
827923	55289	
827923	81916	
827923	114015	
827923	177468	
827923	219146	
827923	262621	
827923	273784	
827923	290981	
827923	305713	
827923	321040	
827923	353746	
827923	354177	Chelsea
827923	360102	
827924	411973	Els
827925	358489	
827926	141663	
827927	72506	
827928	140052	
827929	179631	O.R. Doctor
827930	314855	
827931	73950	Ibu Wayan, Indonesian MP
827932	369005	Nurse
827933	396548	Kids (ep. 10)
827934	95952	
827934	138398	Hania
827934	178460	Aniela
827934	186384	Lady
827934	325678	
827935	217642	L'écolière classe
827935	266401	
827936	9536	
827936	231609	
827936	231610	
827936	231652	
827936	244099	Teacher Marianska
827936	253517	
827936	311137	Jadzka
827936	364953	Antonia
827937	34325	Wife
827938	54637	
827939	247647	
827940	247647	
827941	4498	Johanna
827941	5119	Susanne
827941	5601	
827941	12703	
827941	16560	
827941	29343	Ursel
827941	42117	Mutter Ledermann
827941	98370	Erika Fürstenau
827941	107834	Anna Fallada
827941	119707	
827941	129322	
827941	129685	Elisabeth Erp
827941	136214	Rosi
827941	136216	Rosi
827941	140224	Mother Voß
827941	152834	Elisabeth Reimann
827941	169075	
827941	174791	
827941	178742	Libertas Schulze-Boysen
827941	182593	
827941	182743	
827941	223468	Lili Hermann
827941	225322	
827941	230159	Dr. Ruth Kahler
827941	232671	Gabriele Heit
827941	246018	
827941	284864	Heide Hobohm
827941	289995	Carla
827941	290138	Marianne
827941	293549	
827941	311067	
827941	312658	Irene
827941	314348	Cäcilie
827941	314920	Pauline
827941	316814	Babka
827941	325638	Renate Burow
827941	339545	Sabine Wolfram
827941	339778	Magda Sommer
827941	347814	Sängerin
827941	352367	Hella Lindau
827941	352768	Dr. Kobermann
827941	392669	Julia Herrmann
827941	393255	Mutter Abs
827941	395450	Helga Karolewitsch
827942	124859	
827942	142025	Lucia
827942	166629	Anna
827942	226634	Wegierka
827942	249815	Prisoner
827942	253219	Jagna, conductor's girlfriend
827942	262194	Geneviere 'Lidka' Fondalinska
827942	262508	
827942	311837	Waitress
827942	322139	Beata
827943	317230	
827944	9006	Andrea Framm
827944	9008	Andrea Framm
827944	33029	Herself
827944	87753	Herself
827944	88090	Little Vivi
827944	160562	Penny
827944	176498	
827944	223848	Rivers Applewhite
827944	231088	Rachel
827944	254512	Karen Riley
827944	270349	Amy
827944	297781	Molly
827944	298853	Dara Lynn Preston
827944	330595	Kathy O'Donnell
827944	385166	Chloe Shackleton
827944	385824	Jeannie Donovan #3 (1992)
827944	388319	Sigourney 'Sissy' Davis
827944	402270	Chloe Waters #1 (1996-1998)
827944	408349	Anna McGrail
827945	114095	Passing Student
827946	154450	Naked Blonde
827946	196833	Nurse #2
827947	174470	Lenicka
827948	223458	Kind
827949	216707	Pool Girl
827950	107823	Hairdresser
827950	274805	Nurse Gloria
827950	363423	Waitress
827951	40726	Phyllis
827952	53327	Coordinator
827952	109992	Policewomen
827952	210483	Seminar Administrator
827953	22824	Eva
827953	282696	Rachael Evans Tenenbaum
827954	325385	
827955	18825	Gwen
827956	289885	
827958	105629	
827958	208066	Sally Croyden
827958	271178	Lisa Barnett
827958	384877	Dorothy
827959	322313	Economist's wife
827960	194693	Ethel
827961	376365	Mrs. Jutta Waller
827962	19035	Schülerin
827963	100990	
827964	17017	
827964	35048	Tante Käthe
827964	81764	Mike's Mother
827964	104681	Helga Spritz
827964	119722	Wawi
827964	120024	
827964	164833	Frau des Bürgermeisters
827964	171569	Mother
827964	180654	
827964	189598	Frau Melchior
827964	190747	
827964	224644	Katrina
827964	248409	Mutter
827964	272751	Frau Hassenreuter
827964	274863	
827964	317501	Frau Unterstab
827964	325537	Wirtin
827964	325817	Elfriede Draxel
827964	325857	Oberschwester
827964	338400	
827964	358746	Mutter Rasch
827964	360654	Großmutter
827964	376408	Mutter von Hans
827964	391141	Frau Winter
827964	391287	Cochin
827964	395000	
827964	399175	
827964	404462	Mrs. Brot
827964	407986	
827965	12850	Katrin
827965	40881	Leonie
827965	40882	Leonie
827965	40883	
827965	40884	Leonie
827965	40885	Leonie Bloch
827965	86995	Woman
827965	91182	Claudia Lorenz
827965	96122	Bettina
827965	139939	Elfi
827965	187945	Leonora
827965	225168	Bettina
827965	225210	Nina
827965	290452	Nina
827965	347636	Anna
827965	347637	Anna Hagenau
827965	351932	Girl in Bar
827965	369142	Annette Ackermann
827965	369146	Anneliese Stegmeier
827965	391604	Sonja König (1998)
827965	407543	Tanja
827966	184274	Verkäuferin
827966	187945	Mutter
827966	267331	Renate Kleu
827966	279482	Narrator
827966	325754	
827966	325834	
827966	399162	
827966	405500	Thea Lachmann
827966	410839	Gisela Kant
827967	201692	Herself
827968	83949	Margaret
827968	154876	Laurie
827968	194055	Lucille
827968	195540	Cecilia
827968	210837	Dale
827968	233636	Ms. Tidings
827968	249067	
827968	252993	Miss Everett
827968	273340	Personnel Woman
827968	273974	Older Waitress
827968	315076	Nurse Higgins
827968	363225	Mary Winters
827968	365088	Warden
827969	389042	Holly Walmsley (Series 1-2) (
827970	115886	Westside Kid
827971	7042	Marion Winklestammer
827971	110178	Marion Winklestammer (segment
827972	269692	Speed Freak, Office Girl
827973	120344	Bar Extra
827974	64772	Feminist
827975	4328	Nisha Dholakia
827975	76410	Radha Sinha
827975	82006	
827975	174124	
827975	219906	Mrs. Sinha
827975	341691	Thakurain
827976	122095	
827978	21829	
827979	171624	
827980	293611	
827981	244679	
827982	299025	Maid B
827983	127656	
827984	316606	Nurse
827985	126555	Bear's Daughter
827985	333856	Cal's crying girl
827986	126555	Bear's Daughter
827986	333856	Cal's crying girl
827987	160637	Julie
827987	232294	Annie Hayworth
827988	44108	Arguing Woman
827989	256220	Singing Sorority Girl
827990	186266	
827991	16124	Young Jennifer
827992	346228	Mrs. Wix
827992	380827	Mrs. Vermont
827992	390488	Mildred
827993	230693	
827994	119597	Time Travel Technician #2
827995	17556	Countess Nordston
827995	59306	'Teddy' Galloway
827995	92666	Mary Heller/Van Helsing
827995	133595	Estella
827995	204730	Julia Bertram
827995	215252	Young Girl
827995	219893	Millie Thorman
827995	224729	Natalie Wood
827995	241243	Stevie
827995	328754	Tess Durbeyfield
827995	367536	Laura Fairlie
827995	411316	Molly Gibson
827996	12221	Reporter #2
827996	50607	Mrs. Stone
827996	70198	Julie Horak
827996	90793	Talia Green
827996	137470	Record Store Employee
827996	155209	Gretchen
827996	189913	House Buyer
827997	325995	Autograph Seeker 2
827998	91737	Producer
827999	47854	Couple
828000	85921	Sarah, Duchess of York
828001	74215	Mary Walsh
828001	77398	Frankie Henderson
828001	130731	Waitress
828001	399130	Meredith Lord (1988)
828001	402197	Lisa Mullins #2 (1986)
828001	410745	Julia
828002	185430	Extra
828002	341519	Garcon
828002	374393	911 Operator
828003	365684	
828004	13452	Lead Dancer
828004	209221	Girl in Boat
828004	253102	Jane
828004	292668	Nadya
828004	364180	Herself
828005	250764	Pub Patron
828006	12620	Mrs. Pendlebury
828007	67709	
828008	219921	Ruella
828010	79842	Patty
828010	96681	Head Banger
828011	5725	
828011	26424	
828011	45270	
828011	49788	
828011	54454	
828011	61601	
828011	99308	Elizabeth, Their Little Daugh
828011	130878	
828011	141269	
828011	157598	Little Isobel
828011	157694	
828011	158540	
828011	177681	Iona
828011	184092	
828011	191363	
828011	191718	Baby Brant
828011	192140	Orphan
828011	195469	Katie Walters
828011	212237	Baby Heflin
828011	216953	
828011	239535	
828011	241626	
828011	245550	
828011	265089	Lillian
828011	300556	
828011	311339	
828011	329822	
828011	332473	
828011	361267	Violet
828011	363071	Bess
828011	370620	Yaqui Child
828012	14607	bit part
828012	32561	Bit
828012	38685	Woman in theater
828012	41085	Housewife of America Saying '
828012	48539	Wife
828012	73766	Juror
828012	88853	Dying Patient
828012	114649	Assistant Cook
828012	130677	Woman in dance hall
828012	140676	
828012	146854	Mother
828012	188294	Woman
828012	190268	
828012	209592	Bit part
828012	214187	Tough Girl
828012	215975	Woman
828012	220892	Bit Part
828012	224325	Woman
828012	279747	Mrs. Adams
828012	291851	Bit Part
828012	303307	Bit Part
828012	316232	Court Scrubwoman
828012	316664	Landlady
828012	345860	Villager
828012	351438	Actress 'Bertha'
828012	358183	Woman buying bacon
828012	372145	Neighbor
828013	34913	Choir member
828014	69258	Toby Yarkovich
828014	330391	Nurse
828015	367536	Young Marian
828016	34347	
828016	93491	Une prostitute
828017	134476	
828018	370051	Jock's Daughter
828019	49948	Hazel Moran
828019	80612	Nedra
828019	117649	
828019	131585	Mamie
828019	188620	
828019	296744	Maggie
828019	302944	Irene
828019	346244	Waitress
828019	399684	Mrs. Shoup
828020	321788	Infant Frieda
828021	34403	Cleo, Wilsons' Maid
828021	73551	Thelma
828021	121557	Delia (the maid)
828021	128251	Lorna
828021	136020	Hetty
828021	331670	Maid
828021	346877	Bit in Buckwheat's dream
828021	365835	Veronica's Aunt
828021	379065	
828021	380131	Sapphire Stevens
828022	41319	
828023	378811	Anya Vicenze
828023	390523	Joanna Day (1996-1998)
828024	224106	Helen
828025	155251	Cupcake
828025	341665	Girl
828025	347902	
828025	347924	Nikki
828026	117115	
828027	374578	Treleaven's Baby Sitter
828028	64020	Herself
828030	24430	Mrs. Exposition
828030	219796	Grocery Woman
828031	22733	
828032	195296	Jean
828032	209236	Extra 5
828033	257121	Artist
828034	167324	Sylvia Odio
828035	134322	
828036	127295	Herself
828036	352465	Coleen the Parole Clerk
828036	399567	Judge
828037	41868	Mary
828037	262528	Wife
828037	274672	Bunny Mittler
828037	347716	Secretary
828037	395529	Olga
828038	135352	Michelle Lane
828038	182962	Teresa Stewart
828039	330285	Waitress #1 at Deli
828040	258296	Pioneer girl
828041	41191	Dark Muse
828041	194487	Forest Hooker
828042	42399	Lizzie Borden
828043	26971	Cop
828043	32881	
828043	79604	Pamphlet Girl
828043	80558	Georgia
828043	81057	Lorian
828043	318174	Roses Woman
828043	348622	Nadine, The One Night Stand
828044	46862	Mrs. Rount
828044	94015	Sandie
828044	367023	Tutor
828044	396004	Aileen
828045	54454	
828045	216953	
828046	143234	Mrs. Langley
828046	184092	
828046	363578	Mrs. Foster
828048	358374	Sara
828049	79065	Cindy
828050	41353	Party Girl
828051	29968	Barefoot Model
828052	90365	Secretary/Woman in hotel
828052	367023	Tutor
828053	308632	
828053	360837	
828053	362959	Bubbles
828054	363035	Herself
828055	331898	Janet
828056	220685	
828057	345860	Lancashire lass
828058	346757	
828058	391625	Herself
828059	158767	
828060	134580	Woman
828061	367612	Child
828062	367612	Child
828063	150585	Maj. Gen. Sultanov
828063	186011	Libanian consul
828065	16673	Chemistry Teacher
828065	17830	Herself
828065	33940	Wedding Guest
828065	53301	Interviewee/Various Character
828065	66584	Hospital Receptionist
828065	68110	Herself
828065	75268	
828065	115465	
828065	131790	Various
828065	169597	Herself
828065	238649	Baggy's Ex 2
828065	249555	
828065	303320	
828065	303558	Dolly Kotwal
828065	318029	
828065	328802	Celebrity Participant
828065	328804	Celebrity Participant
828065	330027	Herself
828065	360179	Various characters
828065	360426	
828065	362177	Herself
828065	379693	Rupinder (Series 2-) (2003-)
828065	383859	Alex Kahn (Series 2) (2001)
828065	390367	Various Roles
828065	401228	Maggie
828065	405558	
828065	411014	Neena
828066	303558	Cheerful Mother
828067	27774	Sarla (lanlord/hired mother)
828067	42442	
828067	79130	Irritated Lady Hotel Manager
828067	175983	Dara's mom
828068	18921	
828068	25666	
828068	85303	
828068	85309	
828068	95399	
828068	182111	
828068	193459	Baya
828068	216975	
828068	228797	
828068	228799	Menaka
828068	266782	Mogri
828068	271897	
828068	271898	
828068	287471	Chima
828068	287666	
828068	287679	Sakhu
828068	298341	
828069	60991	
828069	60992	
828069	84743	Sushila
828069	85363	
828069	85364	
828069	231740	Shama
828069	354407	Shama
828070	142718	Leslie Van Houten
828070	389858	Mary Bishop (2004-present)
828071	71474	Dancer
828072	190603	Mrs. Cropsey
828073	7420	Party Goer
828074	3238	Capt. Nilsson
828074	9543	Young actress
828074	10212	Woman
828074	16266	Lövdahlskan
828074	16267	Maid
828074	17564	Waitress with telephone messa
828074	48368	Mrs. Dahlvik
828074	96015	Mrs. Eva Sidenius
828074	114033	'Luddes' Mom
828074	115402	Girl at the harvest celebrati
828074	137734	Sonja
828074	154249	Nurse
828074	164770	Switchboard operator
828074	182286	Nurse
828074	185966	Lena
828074	193390	Nurse
828074	198271	Principal's maid
828074	204538	Mrs. Beck
828074	209327	Bathing beauty
828074	210310	Karin, cleaning-woman
828074	214362	Waiter
828074	255945	Willy's Wife
828074	259159	Nurse
828074	275590	
828074	276130	Telegraph clerk
828074	284104	Woman
828074	303647	Nurse
828074	304174	Ronny's Mother
828074	307306	Gabriella
828074	307760	Guest
828074	307763	Girl at the office
828074	314390	Dam i hiss
828074	314958	Guest at the dinner
828074	321901	Fredrik's business colleague
828074	337888	Young lady in the audience
828074	338674	Guest at Marianne's birthday 
828074	354677	Gypsy Woman
828074	378274	Flower girl
828074	378294	Karin
828074	387056	
828075	20026	Mari no Imooto
828075	192049	Wadsworth
828075	292074	Miyaoka Yôko
828076	594	Martha
828076	314837	Barb
828077	213122	Woman in Hardware Store
828078	191817	
828079	391258	Herself (contestant)
828080	72931	Goodyear Chorus Girl
828081	236970	Maiden Aunts
828082	183440	Cute Blonde who kisses Spike
828082	212214	Bit Part
828082	261973	Miss Wood, Dr. Wayne's recept
828084	87166	Minivan Theater Kid
828085	37364	Bit Part
828086	46213	Tina
828086	62922	Lucy
828086	74129	Bet
828086	96602	Leos Girl
828086	113303	Annie
828086	175784	Gemma
828086	381685	Lydia Weston
828086	386599	Katrina Bullen (2001-2002)
828087	14998	Marion
828089	3161	Child at the swimming school
828090	40913	Anna
828090	244204	Mirjam Levy
828091	367083	Dancer
828092	171577	
828093	80645	Court Reporter
828094	53320	Freshman #1
828095	207051	Creature - Mr. Butterfly
828096	34576	Casera
828096	43078	Laura (asistente social)
828096	106181	Madre
828096	149548	Chus
828096	242361	Súa
828096	247206	Adela
828096	296485	Majorette 2
828096	302344	Consuelo
828096	318235	Begoña
828096	322345	Ángela
828096	336257	Dependienta
828096	356153	Bárbara
828096	376864	Madre de Sira
828096	390722	
828096	400660	Amparo Garrido
828097	83848	Brigitte
828097	129159	Maria
828097	170416	Sophie
828097	201132	Lore
828097	278870	Sylvie
828098	83279	
828099	35052	
828100	46622	Die Frau vom Burgtheater
828100	117667	Princess Helen
828100	123946	Nina Baldass
828100	140215	
828100	155443	
828100	188851	
828100	225213	Lady Littleton
828100	290621	Baronin Wyspianski
828100	303173	Baronin Wulffen
828100	303174	
828100	410813	Erbtante
828101	66601	
828102	35052	Child
828103	160393	Host
828104	11451	Old Woman
828105	322313	Nurse
828106	226171	Little girl
828107	104775	Dutch entry (13th place)
828107	228265	Herself
828107	410838	Keela Noordermeer-Bangor (199
828108	341942	Flora
828109	145762	Indian girl
828109	172142	Anita
828109	284769	
828110	360949	Herself
828111	37691	Jack's Secretary
828112	50333	Aunt Beedee
828113	190767	
828113	335600	
828114	149259	Billie
828114	158792	Woman Neighbor
828114	223913	Girl in casino
828115	112527	Friend
828116	11911	Prison Matron
828117	411367	Ice Cold
828118	288933	Accident Witness
828119	283679	Additional Voices
828119	396019	Additional Voices
828120	29681	Myrtle Culpotter
828121	4115	
828121	122803	
828121	123513	
828121	126956	
828121	271503	
828121	301438	
828121	344917	Kamala Bai
828121	395598	
828122	137223	Dancer
828123	133345	Party Guest
828124	80407	Sherry
828125	254449	Rancher's Daughter
828126	93491	Susy
828126	98252	
828126	142131	
828126	155444	
828126	156692	
828126	156730	
828126	156989	Mady
828126	279238	
828126	290195	
828126	347824	Eva
828126	389959	(1. Staffel)
828127	147605	Rita
828128	65	
828128	63892	
828128	95955	
828128	149088	Lulu
828128	181339	Zofia
828128	217368	
828128	230104	
828128	231362	Adam's Mother
828128	245094	Kasia Lato
828128	255605	Wiska
828128	262198	Maria
828128	262766	
828128	270037	Poppaea
828128	290070	Brinnlitz girl
828128	297360	Helen Russell
828128	311391	Beverly
828128	322725	Aurelia
828128	338947	Galina
828128	349031	Bea
828128	357436	Anna
828128	363972	Zofia
828128	373439	
828128	375443	
828128	399901	Love
828128	405313	Katarzyna
828128	406501	
828128	409252	Monika Maslawska
828129	194235	Shannon
828130	394178	Cerise Richter
828131	41776	Musician at club
828132	130154	Alta's Girl #3
828133	336412	Herself - Elev på Kunstskolen
828134	17491	Rainer's Mother
828135	172368	Little French Girl
828136	69927	Doctor
828136	101472	Virginia
828136	119197	
828137	84852	Fluffy
828137	214152	Rose
828137	245407	Barbara Benson
828137	311911	Lennon Morrett
828138	334594	Mrs. Pennypacker
828138	389217	Ma Gorg (1984-1987)
828138	408401	Mrs. Pennypacker
828139	170359	Helga
828140	298129	Karen
828141	143831	Doctor
828142	214383	
828143	119353	
828143	389786	
828143	402626	Joana
828143	404799	
828144	164637	Slime Squad
828145	248236	
828146	16240	Hanne
828146	225276	
828146	313642	Dr. Haferkamp
828146	325586	Dolly
828146	381587	Mother Krull
828146	404792	
828146	410465	Olga
828146	410513	Princess Metternich
828146	411155	Helen Sommer (1994-1997)
828148	86241	Adriana
828149	10727	Dolores the Poetry Lover
828150	151537	Harriet
828151	336538	Linda
828152	1617	Elisabeth
828153	1617	
828153	184767	Natalie Baker
828154	480	Frau Heise
828154	5687	Mutter Neuhaus
828154	12567	
828154	12629	Witwe Müller
828154	17524	Frau Hemmstreet
828154	17723	
828154	23238	Anna, his wife
828154	28432	Frau Selle
828154	29811	Elvira
828154	29861	
828154	35198	
828154	46612	Magda
828154	46617	
828154	48677	
828154	56008	Anna
828154	78284	
828154	78608	Frau Wachsmut
828154	94423	Direktrice bei Schütz
828154	98046	
828154	99173	
828154	99884	Nana
828154	101754	
828154	104262	
828154	112280	Marcellina
828154	115813	Baronin Champigny
828154	118620	
828154	121054	
828154	122255	Elsa Giese
828154	124402	Zenobia
828154	124991	
828154	130579	
828154	130928	
828154	134599	
828154	134816	
828154	134837	Herself
828154	136724	Garderobiere
828154	138505	
828154	142062	The Midwife
828154	147143	
828154	152768	
828154	155092	
828154	155470	Frau Herbst
828154	156044	Viktoria Burger
828154	156047	Grandmother
828154	162453	
828154	171860	
828154	173734	
828154	175292	
828154	175399	Mathilde Noack
828154	179297	
828154	186185	
828154	186929	
828154	189745	Lina, Haushälterin
828154	189771	
828154	189819	Frau Lengefeld
828154	189877	Erikas Mutter
828154	195053	
828154	197889	
828154	204488	
828154	204634	
828154	207802	
828154	210139	
828154	211111	
828154	225147	Frau Koenig
828154	225148	Frau aus dem Volk
828154	225158	
828154	226247	
828154	226258	
828154	247182	
828154	249102	Rose
828154	259435	
828154	261781	Mother Fabian
828154	278952	Signora Holm
828154	285381	Schwester Ida
828154	288007	
828154	288487	(3. Episode)
828154	290755	Mrs. Polke
828154	290775	Antonie, seine Frau
828154	293529	
828154	302682	Diana
828154	311109	
828154	312089	Aunt Yvonne
828154	317358	Jarmila
828154	317614	
828154	317640	
828154	324670	Pauline Pomponille
828154	338421	Mme. Holme
828154	345653	
828154	346842	
828154	346998	Housekeeper
828154	347641	Old Lady
828154	347823	
828154	352073	
828154	352669	
828154	354790	
828154	356754	
828154	358999	
828154	359633	
828154	359694	
828154	359695	Frau Kroschelt
828154	361004	
828154	366097	Frau Brigoni
828154	368743	
828154	377333	
828155	15231	Prim Girl
828155	40218	
828155	194261	V.
828155	291698	Detective Sara
828155	323806	Emily
828155	387728	EMT Doris Pickman
828156	126827	
828156	306877	Mrs. Agatha Conway
828157	46199	
828157	100267	
828157	248504	Lisa Hinkle
828158	12849	Yvonne Auffermann
828158	32396	Moni Siller
828158	40638	
828158	91033	Andrea Berger
828158	156711	Anne Braun
828158	182248	Simona, Jan's girl friend
828158	210048	Simone Mueller
828158	212167	Bianca
828158	223448	Gitta
828158	223474	
828158	225284	
828158	227778	
828158	293706	Ilona Weiss
828158	325473	Regula Kannell
828158	361296	Fräulein
828158	376361	Kristina
828158	395701	Anja Bluhm
828158	412102	Kristina
828159	48412	
828160	2161	Young Woman
828160	302464	Neighbor
828160	368058	Mary
828161	14830	La touriste allemande
828161	65165	Hildegarde
828161	198906	Betty Lenox
828162	5792	L'infirmière
828162	6402	Marguerite, la jolie voyageus
828162	198628	
828162	218282	Jacqueline Monturot
828162	236619	
828162	337543	
828162	377065	La dame du 27
828163	117585	
828164	301025	
828165	2275	Herself
828165	21526	Nancy
828165	380713	Nancy Hughes McClosky (1956-p
828165	390771	Trudy Bauer Palmer #1 (1952) 
828165	409795	
828165	411447	Marge Franklin
828166	162745	
828167	202943	Herself - Vicar
828168	148790	Die scharfrichterin
828169	225175	
828169	314513	
828170	29111	Gefängnispastorin/Prison Chap
828170	187552	
828170	259646	
828170	286780	Verkäuferin #1
828170	292257	Housekeeper
828170	352065	Frau Benzinger
828170	364884	Sigi's Mother
828170	364910	
828170	389359	Schwester Mechthild (1993)
828171	20029	
828172	190906	Jane Wagner
828173	93791	Ingrid
828173	242725	
828173	313789	
828174	149287	Pianist
828174	312141	Singing nun
828175	75791	Lawyer
828176	135387	
828176	170620	Friend of Ashley
828176	298769	Rachel
828176	402443	Field Agent (2003)
828177	365526	Woman of Wongo
828178	291293	Coffee Shop Waitress
828179	323806	Judy
828180	13742	Caller #1
828180	199148	Reporter
828180	217745	Bartender
828181	60312	
828182	162745	
828183	67863	Susan Dey/Laurie Partridge
828183	137515	Cleo
828183	142668	Tammy
828183	151351	Intellect
828183	162345	Amy
828183	183357	Lisa
828183	259828	Kane's People
828183	284003	Sue Hatch
828183	305143	Hot Girl
828183	379893	Little Red Riding Hood
828183	382072	Giselle
828183	405494	Reed Lyn Halsey (1991)
828184	86739	K.T. May
828184	155254	Hooker #2
828184	289468	Reporter
828184	311949	Herself
828184	391835	Talking head/soundbites (segm
828185	196522	Registration Girl
828185	209374	Dana
828185	310419	Fern, Mooch's wife
828185	337285	Deanne Reality Girl
828186	32241	Countess's Girl
828187	79048	Helen
828187	328630	Jenny
828187	366748	Audrey
828188	91684	Linda Lash, Shuko Henchwoman
828188	196572	Lisa
828188	210849	Lacey
828188	360751	Host
828188	389858	Felicia Jones Scorpio Jones (
828189	85188	Kate
828190	368058	Sally
828191	24610	Nurse
828192	102674	Gloria
828192	256819	Pvt. Rollins
828193	262512	Frau Schlogel
828193	288996	
828194	2025	Herself - Winner/Presenter
828194	2261	Herself - Winner
828194	20980	Herself
828194	26180	Yvonne
828194	38404	Jaime Sommers
828194	38406	Jaime Sommers
828194	38407	Jaime Sommers
828194	42341	Herself
828194	52635	Callie Bordeaux
828194	61626	Joanne Van Buren
828194	69917	Hannah Cole
828194	70300	Martha Forbes
828194	101539	Herself
828194	105395	Kate McKinnon
828194	112485	Kate Kerner
828194	113803	Janet
828194	120392	Sydney Parker
828194	120609	Joanna
828194	130708	Herself
828194	141374	Herself
828194	144889	Olivia
828194	154739	Barbara Graham
828194	158902	Meg Laurel
828194	161201	Herself
828194	161315	Herself
828194	167015	Dr. Jessie Hayden
828194	190453	Penelope Audrey
828194	191073	Herself
828194	206671	Dr. Mennen
828194	210610	Joanne Tilford
828194	210849	Host
828194	211753	Holly
828194	219791	Herself
828194	220032	Raeanne Gilbaine
828194	232385	Irene (Deke's girlfriend)
828194	232422	Nita Daniels
828194	236924	Elizabeth Hahn
828194	241065	Daphne Fields
828194	244358	Claire Fielding
828194	248087	Susan
828194	264154	Francesca Valenski
828194	276803	Jaime Sommers
828194	277801	D.A. Priscilla Brimleigh
828194	280188	Sara Butler
828194	289460	Host
828194	292261	Linda
828194	297763	Charlotte Fedders
828194	298037	Claudia Parr
828194	302923	Molly McKinley
828194	316206	Beverly Slater
828194	317341	
828194	319935	Connie Zirpollo
828194	323588	Uli Derickson
828194	329816	Barbara
828194	330678	Bonnie Wilkerson
828194	334112	Paula O'Neill
828194	338733	Lindsey Thompson Gates
828194	342186	Host
828194	342265	Herself
828194	342944	Susan Farley
828194	343083	Deirdre McCluskey
828194	343230	Jennie Logan
828194	356284	Katharine Tempest
828194	356350	Herself - Choir Member
828194	357065	Dr. Stephanie Tauber
828194	372408	Laura Gordon
828194	379407	Host
828194	382090	Jaime Sommers
828194	393472	Dr. Jessie Hayden
828194	401075	Rebecca Cafferty
828194	404570	Billy Ikehorn
828194	405515	Jaime Sommers (1975-1976)
828195	128756	Herself
828196	160263	Scheues Maedchen
828197	6722	Herself
828197	50370	
828197	89030	Herself (Penthouse Pet)
828197	211805	Agrippina
828197	337805	Ace Duran's Girl
828197	344203	Mud Wrestler
828198	164986	Lorraine
828199	3942	Publicity Assistant
828199	16083	Waitress
828199	16792	Receptionist
828199	17490	Actress D
828199	37093	Mimsy Cellini
828199	41876	Angela
828199	75360	Mrs. Cupid
828199	82321	Gina
828199	117162	Stan's Assistant, Awards TV S
828199	130410	Maggie
828199	135996	Hooker
828199	144956	Woman in Bar
828199	165278	Mann's Assistant
828199	195021	
828199	237612	Waitress
828199	241342	Daily News Reporter
828199	252128	Confession Girl
828199	263758	Betty Sullivan
828199	275346	Sam
828199	313756	Reporter Maggie Steele
828199	323806	Maggie
828199	362663	Skye
828199	363869	Tina
828199	368314	Tess's Birthday Party Friend
828199	375798	Poodlewoman
828200	210140	
828200	356552	
828201	383268	Martha
828201	384771	
828201	392749	
828201	395856	Remedios
828202	371343	
828202	386167	
828203	184469	Office Worker
828203	220126	Golf Club Patron
828203	244420	Doctor/Rescue Team
828203	253047	Hippie Lady
828203	295558	Lady in the Coffee Shop
828203	368206	Lady in the Park
828204	129829	A-Man's Entourage
828205	334085	School Girl
828206	192805	Plane Passenger
828206	255424	Mrs. Hofmeister
828207	74839	(segment El bombón)
828208	404792	
828209	57384	Cavewoman
828209	106953	Maria
828209	107704	Girl at Airport
828210	127279	Young Kathleen
828210	187053	Jennifer
828211	93466	Tascha
828212	30646	Talk Show Audience/Student
828212	213019	
828212	267684	Magnolia Daugette
828213	274200	3rd National Bank Witness
828213	290673	Birte
828214	310728	Passenger #7
828215	102234	Store Checker
828216	32993	Herself
828216	194183	Herself
828216	227667	Herself
828216	367883	Herself
828216	395974	Roxanne
828217	147391	Nurse
828217	220892	Bit Part
828217	230953	Switchboard Operator
828218	119180	Therapist
828218	156651	
828219	67390	Dancer
828219	100758	Brandy
828219	106532	
828219	114714	Catherine
828219	177660	Unified Fund Mom
828219	196706	
828219	223979	Nancy
828219	254126	Claire
828219	347241	Girl in Motel
828220	380256	Mennonite Choir Member
828221	365526	Woman of Goona
828222	288099	Herself
828223	244676	Anna
828223	391294	Martha
828224	207829	Matilda Electra Joslyn Gage
828224	399719	Herself (historian)
828225	69620	
828226	372714	Flora Peters
828227	280016	Additional Party Guests
828228	38771	
828228	375985	Kitty
828228	389360	Julia Engelhard
828229	264814	
828230	124892	
828230	303386	
828231	121811	
828231	136222	
828232	25461	Ice
828233	386224	
828234	28158	Théa Forestier
828234	33913	Virginie
828234	59709	Béa
828234	111002	Caroline
828234	195157	Charlotte de Chevreuse
828234	228527	Angelica
828234	255589	
828234	260943	Joséfa Paoli
828234	284147	Francisca
828234	303154	Sisi
828234	384074	Marie-France (1994)
828234	396839	Isabelle
828234	406030	Lisa Drancourt
828235	27935	
828235	72101	Rafaela Montemayor
828235	84124	Sandra Welles
828235	136027	Tina
828235	245101	Scuba
828235	278571	Sally (Apache girl)
828235	281937	Tiger, Rosemary's girlfriend
828235	390623	Lenore 'Casey' Case
828236	366214	
828236	391693	Herself
828236	391696	Herself
828237	169608	Jenny Hindenberg
828238	143389	Woman #1
828239	141746	Kid Visiting Santa
828239	222597	Sundry Schoolgirl
828240	162230	Herself
828241	406955	
828242	385824	Samantha Gene 'Sami' Brady (#
828243	83178	
828244	18288	Une infirmière chanteuse
828245	6144	Theatre Barmaid
828245	19166	Mrs. Wilkins
828245	28637	Welfare Officer
828245	30157	Mrs. Gray
828245	57722	Aunt Nora
828245	65666	The Westacres Maid
828245	73304	Mrs. Catherick
828245	78978	Eve
828245	100825	Bendrix Landlady
828245	118934	Wild One
828245	130824	Mrs. West
828245	141683	Lady on Parish Church Council
828245	161037	Wilding's Maid
828245	168534	Jael
828245	209628	
828245	223764	Factory Worker
828245	239739	Mrs. Ginochie
828245	257109	Old Woman
828245	288688	Mrs. Seaton
828245	289519	Grandmother
828245	300086	
828245	305942	Aggie Harker
828245	340474	Mrs. Hopkins
828245	361261	
828245	363729	Auntie Dorothy
828245	372238	Ada Seymour
828245	385299	Miss. Hathaway
828245	386604	Mrs. Parsons
828246	13723	Acrobatic Flyer, St. Augustin
828247	355980	Fan
828248	379509	Alva
828249	266947	Greta
828250	356488	
828251	303139	
828252	1450	Herself - Co-host
828252	115673	Yen Chan
828252	387257	Herself (Presenter)
828253	4200	
828253	6364	
828253	8139	
828253	15166	Special Appearance
828253	61018	
828253	62359	
828253	76817	
828253	78652	
828253	98462	
828253	126997	
828253	131923	
828253	152480	Guest Appearance
828253	162689	
828253	166459	Guest Appearance
828253	178002	
828253	184158	Kamini
828253	198764	
828253	226831	
828253	284781	Chandrika
828253	285954	Radha
828253	303332	
828253	335740	Laxmi, Gopal's wife
828253	374652	Vimla
828254	47773	Angry Neighbor
828254	202195	Malcolm's FOI
828255	54637	
828256	411850	
828258	50111	
828259	308239	Ilse
828259	312689	Traudchen, junges Mädchen
828260	13432	Sharri (segment "Video Date")
828260	13637	Sportscaster Applicant
828260	45875	Leila Adams
828260	102213	Karen
828260	230933	Debutante
828260	276708	Sandra
828260	291449	Cherry Amour
828260	311946	Joan
828260	313333	
828261	36522	Marion
828262	144109	Jeanne
828262	170813	Anna Lukas
828262	248318	Gretchen Ernst
828263	237717	Frau in der Straßenbahn
828264	122596	Greta
828264	341107	Luli von Klippenberg
828266	291897	Party guest
828266	351410	Edna the Volunteer
828267	155368	
828268	322307	Susanne
828268	322840	
828268	403084	Karin 'Kå-Kå' Karlsson (1993-
828270	37192	Nina Wczinski
828270	72065	Weddingland Hostess
828270	196320	Secretary
828270	331697	Waitress
828271	9734	Gamel Woolsey
828271	35020	Soledad Encontrada
828271	135354	Mónica
828271	397467	Vicky
828272	42120	Wagners Mother
828272	259628	
828272	259642	
828273	35054	
828274	201223	Maj's Mother
828274	321510	Teacher
828275	210086	Madame Gratin
828275	302483	
828276	48925	
828276	54891	Sakura Kinomoto
828276	115182	Haruko Haruhara
828276	230444	Tink
828276	275033	
828276	294394	Edith Foss
828276	310150	Paging Message, Nana
828276	323889	Raine Sage
828276	328260	Funzapoppin' Girl
828276	395167	Lavie Head
828276	402899	Remi
828276	406992	Nova
828276	411289	Robin Sena
828276	411343	Cher Degri
828277	281298	Leena
828278	108633	Biskopsgården
828278	152774	Lifterskan
828278	198258	
828278	210348	Herself
828278	210354	Herself
828278	243673	Johanna
828278	337514	Ophelia
828278	397396	Herself
828279	47786	
828279	230637	
828280	347119	Teenager in Crowd
828281	409858	Sabine Einstein
828282	198033	
828283	131347	Sarah
828283	158911	Anne
828283	168586	Julie Bird
828283	235541	Sara Tuffington
828283	302149	Bunny the lifeguard
828284	287568	Part of the older gang
828286	344176	Rosemary
828287	46192	Herself - No Angels/Performer
828287	233480	Herself - No Angels
828287	401886	Herself - No Angels
828288	218221	Young girl
828289	66589	Stacy Blum
828289	242938	Cashier
828289	309197	Chloe
828289	315897	Girl
828290	182377	Clerk
828291	445	Modern
828291	16266	Bobergskan
828291	16267	Bobergskan
828291	27480	
828291	48368	Gerda Lawén-Dahlström
828291	91521	Woman
828291	114961	Irate woman
828291	115425	Choir member
828291	115882	Waitress at Los Caracoles
828291	122501	Maid
828291	138189	Magdalena
828291	153766	Irate Man's Wife
828291	164789	Rune's Woman
828291	214362	Birgit, disher at Colibri
828291	268338	Gypsy woman
828291	303644	Café Manager
828291	304212	Library clerk
828291	308802	Dancer at the restaurant
828291	312233	The Cook
828291	347016	Waitress
828291	377337	Bridge Player
828291	377428	Applicant for position
828291	406646	Fru Melin
828291	407290	Jaana Larsson
828292	122500	Aunt Laura
828293	182377	Baby Virtanen
828294	150667	Malin
828294	152793	Tjej i bar
828294	406271	Linda-Lotta (2003)
828295	307533	Ida, housemaid
828296	204537	Police at hospital
828297	31541	Leticia
828298	328564	Girl in Red
828299	274037	Female Court Interpreter
828300	48694	Elsje
828300	284417	
828301	300756	
828302	188478	
828303	149064	
828303	245004	
828304	245198	Grandma Yang
828305	136360	
828307	394703	Li Chu
828308	340102	
828309	11186	Maddy Makoky
828310	319933	
828311	162590	Kim
828312	213628	Prostitute #2
828313	44830	Mary Lou
828314	44830	Child
828315	96787	Dottie
828316	263732	
828317	187526	
828318	12700	
828318	387472	
828318	396902	
828318	410387	María de Lourdes
828319	342770	Tangata
828320	342770	Polly
828321	158139	
828322	280145	Bunny
828323	267449	Lolita Chatterly
828324	309638	Sonja, age 3
828325	149825	Nurse
828326	184905	Singer
828327	21369	Additional Voices
828327	38823	Shihoko Sakaki
828327	100447	Kasumi
828327	176528	Noa Izumi
828327	373382	Hinageshi (English Version)
828327	394420	Noa Izumi
828327	397196	Mil
828327	411883	Hina Geshi
828328	210387	Girls' Group
828329	76553	
828329	207506	
828329	242063	Herself
828330	173165	
828331	390751	
828331	405810	
828332	128809	
828332	382599	Resident musician: organ
828333	201598	Cliff/Animal Trainer
828334	197989	
828335	57031	Rollerhead
828335	59149	Ginnie
828335	127563	Morina
828335	139174	Field Reporter
828335	321486	Valerie
828335	389165	Eva Alvarez (1998)
828336	287414	
828337	236387	Hamburger Lady
828338	26839	
828339	4536	Ellie Watson
828339	41137	Mary Sotherland
828339	56871	Mary
828339	80376	Mary Sotherland
828339	121528	Daphne
828339	284628	Katie Crom
828339	292432	Mary Sotherland
828339	304229	Mary Sotherland
828339	404152	Sarah Hawthorne
828340	3258	Dorothy Kramer
828340	45464	Jules
828340	108255	Tour Guide
828340	157839	Their Mother
828340	304838	Scarf Woman
828340	310130	Nerdluck Nawt/Sniffles
828340	368987	Colleen
828341	178147	Auburn Haired Girl
828342	259772	Mrs. Van Zile
828342	292649	Mrs. de Giles
828342	306750	Maria, Duchess of St. Keverne
828343	25192	Vocalist Cocoanut Grove
828344	335982	Miss Betts, Chorus Member
828345	143865	Mrs. Brown
828345	145848	
828345	190149	The actress
828345	288432	
828346	44841	Kokua
828347	96362	
828348	366554	
828349	72376	Shannon
828349	335258	Girl in Michael's Dream
828350	397541	
828351	150526	
828352	366414	
828353	234984	Alice Webster
828354	14981	Margo
828354	23705	Christa Geisler
828355	356351	Annie
828356	121631	Mrs. Fields
828357	312116	
828358	190171	Margie
828359	388432	
828360	53726	
828361	81660	Jane Phelps
828361	335697	
828362	337313	Historical girl
828363	244332	Jane Parker
828363	347348	Emily
828363	396081	Lavender Davies
828364	359323	Herself
828365	330338	Noel Joy
828366	291969	82nd Girl
828367	75757	
828367	324248	
828367	378519	Olga
828368	10705	Aunt Mala
828368	28874	
828368	171137	Mme. Robrechts
828368	266401	
828368	345399	La bonne
828368	406493	
828369	73234	Joey's Wife
828369	334595	Librarian
828370	385479	
828371	115533	Janet
828372	233174	Ruth
828373	137222	Vinz's grandmother
828373	199348	Mme Herman
828373	214387	
828373	225531	Felix's aunt
828373	248007	
828373	274798	Mme Rajenski
828374	141537	Sarah Linden
828374	394099	Saeko Kageyama/Lobster Orphno
828375	62503	Chiyoko
828376	58717	
828377	9423	Akiko
828377	17426	
828377	21365	
828377	22123	
828377	76977	Yaya's maid
828377	123551	
828377	125265	
828377	138099	
828377	176567	Chamberlain's daughter
828377	177699	Tamiye
828377	179541	
828377	179542	Mystery Moll #1
828377	179543	
828377	180043	Shizuko Nagata
828377	181999	
828377	233118	
828377	242183	
828377	243547	Sadako
828377	286907	Mas Selina Salno, Princess of
828377	293670	Reiko
828377	298990	
828377	344018	Gangster Moll
828377	362558	Suki Yaki
828377	370234	Nashiko
828377	370308	
828377	370743	Sawa
828377	372233	Aki
828377	409687	Kyoko
828378	373224	Eijirô
828379	334881	
828380	170243	Dr. Donna Park
828380	194025	Wife
828381	139407	Sumire Ichinomiya
828381	181892	
828381	232602	
828381	385935	
828382	190213	Arab neighbor #1
828383	89451	Kôichi's mother
828384	101562	
828384	144678	Yukiko, Jiro's daughter
828384	241921	
828385	173376	Dancer
828386	299406	Mii-chan
828387	63541	
828387	181490	
828387	229783	Sikain
828387	294263	
828388	61527	
828388	179377	Chiyoko, the wife
828388	227319	Miwako Sone
828388	227320	Miwako Sone
828388	289294	Murai's Wife
828389	37614	Haruko
828389	227319	Akiko, daughter of Yamaman
828389	227320	Shinako, daughter of Yamaman
828390	9557	Masayo Taniguchi
828390	125259	
828390	125260	
828390	125261	
828390	125262	
828390	125266	
828390	138047	
828390	138051	
828390	175364	
828390	176591	
828390	178311	
828390	181992	
828390	227435	
828390	232517	Kinko
828390	237595	Yachigusa
828390	244498	Tomiko
828390	278383	
828390	289311	
828390	370650	
828390	375610	
828390	375639	
828391	122044	Masako Miyoshi
828392	113954	Koizumi Kumiko
828392	121473	
828392	125263	
828392	177122	Miho Wada
828392	179428	Teacher Haruko
828392	180628	
828392	185630	Chizuru
828392	299296	Emi Nakamoto
828393	279114	Girl in Jungle
828394	9302	Nurse Sakura Nishi
828394	9331	Yasumi
828394	15902	Kazuko Aota
828394	16001	Kiyohime
828394	18673	Youko, Ono
828394	21330	Herself
828394	21344	Aiko, Yoko's sister
828394	21577	Namie Takashima
828394	29565	Shinobu
828394	29573	Yumiko Kiryu
828394	36527	Keiko Yoshino
828394	43445	Ponta
828394	63541	
828394	78286	Saeko Sumida
828394	97188	Tamae
828394	121987	Seiko
828394	122115	Machiko Yonekura
828394	122535	Satsuko
828394	123529	Otama
828394	123538	Satoko Kirihara
828394	127919	Eiko
828394	138086	Tayori
828394	138091	Kae
828394	138484	Takako Sanada
828394	140027	Princess Kinuta/Okuro (plays 
828394	142179	Kimiko Matsuno
828394	145452	Mariko Maki
828394	150508	Reiko Asakura
828394	150512	Oryo
828394	153559	Natsue
828394	162220	Otsuya
828394	167947	Okiku
828394	168847	Ayano Hamada
828394	168877	Kimi
828394	171527	Eiko Takanashi
828394	172425	Miyuki Eto
828394	173827	Yoshie Koizumi
828394	174527	Kazuyo, the 1st daughter
828394	175462	Yuko Kusakado
828394	178418	Mitsuko Fukumura
828394	180036	Namiko Karasawa
828394	180433	Yuugiridayuu
828394	198813	Yuki Shiraishi
828394	204375	Mitsuko Tokumitsu
828394	212530	Shinobu Takaniwa
828394	213283	Natsuko Sayama
828394	216785	Chieko Ueda
828394	221847	Okoma
828394	226655	Momoko Kida
828394	227183	Hinachiyo
828394	232577	Ochise
828394	233198	Mutsuko
828394	236851	Mariko Nozaki
828394	237761	Natsuko Fukuoka
828394	239296	Kasumi Fujisawa
828394	242126	Toshiko Ikuta
828394	242179	Michiko Tsugawa
828394	242229	Koen
828394	242231	Mie Yashiro, the promoter
828394	242315	Isao Shiozuki
828394	244521	Yuko
828394	244682	Namiko Kawashiro
828394	285616	Kyoko Nonomiya
828394	288640	Kyoko Senzaka
828394	293581	Okane
828394	294051	Mrs. Ota
828394	298721	
828394	298915	Aoi no ue
828394	298995	Chiang-nu
828394	298997	Yodogimi
828394	299101	Setsuko Minami
828394	299349	Yukie Mitani, the agent's acc
828394	299572	Chiei, Nun
828394	299574	Aiko Takano
828394	299588	Akiko Aochi
828394	300597	Shizuko Abe
828394	308904	Akiko Hayashima
828394	320414	Kazunomiya (Sayako-naishinô)
828394	322874	Masuko
828394	323523	Tayoshime
828394	327947	Otsuta
828394	328122	Wakasa
828394	341274	Yuri Mamiya
828394	341277	Michiko Nagai
828394	341286	Ayako Takigawa
828394	341293	Hisayo Kawakami
828394	344285	Kayo
828394	359838	Mrs. Senzu
828394	371991	Hisako
828394	371997	Aiko Manabe
828394	373178	Taeko Sayama
828394	373188	Namiji
828394	373319	Ryoko Shima
828394	374117	Umeno
828394	408432	Yoshiko Tokugawa
828395	80544	Jane Braithwaite
828396	12253	Kei
828397	175262	Keiko
828398	9577	
828398	89496	O-Den
828398	172258	Rui
828398	175591	
828398	180432	
828398	233132	Takeko
828398	334844	Iwa Samon
828399	179822	Dancer
828400	217621	Oume no kata
828400	229774	
828400	242210	Tayu
828400	299235	
828400	299572	
828400	328003	
828401	17420	
828402	323362	
828403	293642	
828404	139723	
828404	242415	Yoshiko
828405	18687	Kazuko Sasai
828405	21334	
828405	29562	
828405	49560	
828405	125246	
828405	127845	Haruko
828405	130485	Hidemi Yamaji
828405	138919	
828405	145278	
828405	156163	
828405	162684	
828405	164105	
828405	167963	
828405	167964	
828405	167968	
828405	167969	
828405	167970	
828405	167971	
828405	177107	
828405	177121	Michiyo
828405	178311	
828405	200546	
828405	229785	
828405	242188	
828405	287530	
828405	288190	
828405	289309	
828405	344284	
828405	358411	
828405	370724	
828405	372038	Nami-chan (episode 3)
828405	375600	
828405	378133	
828406	32970	Receptionist
828406	395724	Naomi Lieberman (1965) (serie
828407	46804	Louise Blatch
828407	203699	Landlady
828407	216013	
828407	241559	Claire Turpington-Mellish
828407	255037	Narrator
828407	294909	Girl
828407	299040	Oldish lady
828407	379571	Betty Easton
828407	388321	Gloria Hurst (2001, 2002)
828407	395647	Mrs. Wheeler
828408	227353	Herself/Narrator
828409	245189	Undetermined Role
828410	2242	Artemisa, Queen of the Halica
828410	302724	Sister Brigitte
828410	347855	Mrs. Campbell, Harding's Hote
828410	362820	Myra
828411	405217	Kittell Sister 3
828413	318	Beanie
828414	16673	May
828415	646	Pam
828415	86021	Hitchhiker (killed)
828415	299796	Emily
828415	344151	Rita
828415	365381	Judy
828415	403389	
828416	219901	
828417	22185	Girl
828417	365509	Head Conspirator
828419	191067	Edith Westmore
828419	390692	Jane Barrett
828419	403102	Dee Dee
828420	80848	
828421	7391	Mary Hatley
828421	47027	Mary Hatley
828421	147217	Mary Hatley
828421	175595	Mary Hatley
828421	224702	Mary Hatley
828421	224708	Mary Hatley
828421	224753	Mary Hatley
828421	235193	Mary Hatley
828421	274860	Mary Hatley
828421	337467	Mary Hatley
828421	339005	Mary Hatley
828421	371964	Mary Hatley
828422	114283	Rap/Bomb Girl
828423	108244	Kathi
828423	308769	Additional Voices
828424	102447	Erel Plowse
828425	20037	Fan
828425	72140	Avril Craig
828425	151062	Yvette
828425	190518	Lynn Hansen
828425	194045	Peggy
828425	201320	Janice Bowden
828425	203774	Computer Receptionist
828425	213027	Nancy
828425	229325	Myra Evans
828425	235204	Dr. Alison Taylor
828425	292677	
828425	311037	Billy's mother
828425	313696	Cailie
828425	385637	Joyce Carter
828425	389087	Audrey Blackburn
828426	213027	Nancy
828427	381110	Mrs. Walker
828427	388031	Maggie
828428	81286	Princess
828428	257658	Herself (Miss November)
828429	364063	Matron of Remand home
828430	98922	
828431	238695	Laura Smykowski
828431	363415	Hospital Receptionist
828432	48461	Lunch Room Folks
828433	60341	Reporter
828434	400545	Angela Scoop
828435	41500	Lena's Apartment Receptionist
828435	267165	Lena's Apartment Receptionist
828436	194564	Comorian Teacher
828437	277222	Japanese girl
828438	149887	Shigeko Umezu
828439	20727	Gena
828439	47801	Cocktail Waitress
828439	47904	Young Lex's Girlfriend
828439	94099	Alice
828439	131474	
828439	159011	Herself
828439	196505	Sharon
828439	217997	
828439	241308	Danielle
828439	246272	Celeste
828439	281895	Hooker
828439	333602	Bartender
828439	359063	Stephanie
828439	361475	Cindy Goldclang
828439	363768	Waitress
828440	83644	McCoy
828440	100993	Ben Affleck Girl
828441	1311	Tía (Episodio de Adrián Suar)
828442	34194	Machiko Nakajima
828442	58352	Narrator
828442	223294	Seiko Kawashima
828442	232600	
828442	300507	
828442	389549	Risa Hiura
828442	392643	Yukiko Matsui
828442	402467	Orihara Yuka
828442	404788	Kumiko Kami
828442	410249	Sakurai Kazumi
828443	54890	Huanglian Li (Shaoran's siste
828444	408092	Vera
828445	401156	Iwona 'Iwa' Mroczkiewicz
828446	174028	Redactor
828446	412076	Joanna
828447	269892	Aborigine
828448	360670	Nun #1
828449	64689	
828449	341065	Woman
828451	260697	Cricket
828452	35200	
828452	341098	
828452	341766	Oma Berges
828452	404481	
828453	192630	Margaret Macauley
828454	312211	
828454	317105	
828455	75786	Blueface
828456	235510	Anna
828457	25360	
828457	41239	
828457	41248	
828457	41507	Juanita, the other girl
828457	45926	
828457	47580	
828457	50872	The Woman
828457	56429	
828457	59919	
828457	64540	
828457	70626	Coral
828457	73219	
828457	75643	
828457	79385	
828457	79395	
828457	83925	
828457	87604	
828457	88993	Mrs. Martin
828457	91647	
828457	92837	Marie Carlton
828457	112335	
828457	115077	
828457	115616	Cora
828457	120630	
828457	128120	
828457	128435	
828457	132318	
828457	133841	Herself
828457	137512	
828457	141230	
828457	143169	
828457	145679	
828457	149415	Jane Leech
828457	152560	
828457	157461	Alice Gage
828457	157764	
828457	158495	
828457	159158	Bess Connolly
828457	162403	
828457	162922	
828457	168574	Ellen Norbury
828457	168626	
828457	170808	
828457	170819	
828457	176458	
828457	186329	
828457	186343	
828457	186696	
828457	187475	
828457	189311	Liberty
828457	191270	Beth Johnson
828457	194897	
828457	197674	
828457	210598	Life's Companion
828457	212218	
828457	217971	
828457	224575	
828457	228225	
828457	237637	
828457	239507	Olana
828457	241181	Onda
828457	242984	
828457	244807	
828457	250697	Bess Morgan
828457	254472	
828457	254490	
828457	271126	
828457	273977	Virginia Dixon
828457	274106	Billie
828457	274532	
828457	276188	
828457	278021	
828457	280927	
828457	301695	
828457	313512	
828457	313957	
828457	314242	
828457	320022	
828457	327410	Tempest Cody
828457	327411	Tempest Cody
828457	327412	Tempest Cody
828457	327413	Tempest Cody
828457	327414	Tempest Cody
828457	327415	Tempest Cody
828457	327416	Tempest Cody
828457	327417	Tempest Cody
828457	327418	
828457	328656	
828457	328783	
828457	335012	
828457	335454	Teresa
828457	336262	
828457	337583	
828457	338765	
828457	349641	
828457	354495	The Blacksmith's Daughter
828457	359295	
828457	361548	Kee-On-Ee, as a Young Woman
828457	361791	Mary Sterling
828457	362420	
828457	363264	Mrs. William Carlo
828457	363639	
828457	364259	
828457	367942	
828457	371078	
828458	228164	The Western Swingers
828459	16748	Blond
828459	16791	Darlene
828459	72589	Additional Voices
828459	134672	Debbie
828459	165108	Waitress
828459	166917	Women's Group Member
828459	177530	Co-Worker
828459	318174	Georgie
828459	335123	Becky Thatcher
828459	365458	Schoolgirl
828459	383846	Penny Sanchez
828459	406377	Elsie
828459	407695	Starfire
828459	409633	Mae Capone
828460	216864	
828461	325499	Lina
828462	220218	L'intervenante, France
828463	157845	Dutch reader
828464	296912	Jacqueline
828465	29937	Herself
828465	257608	Herself
828465	257660	Herself
828466	79817	Boardinghouse mistress
828466	134254	Innkeeper's Wife
828466	150880	Big Lou
828466	191869	Mrs. Jordan
828467	256806	
828467	274656	
828468	135685	Alicja, agent Kobra
828468	373351	Kobra
828469	226964	Laura Green
828470	97541	Piotrek's Grandmother
828471	286282	
828472	247492	Captain Misha Descartes
828473	35205	Palmatica
828474	218570	
828475	134549	Wojciecha
828476	177204	Sarah
828477	23972	Herself
828478	185237	Herself
828479	111663	Herself/Client
828480	179845	Herself (Expedition Secretary
828481	80949	Terry, George's Wife
828481	128460	
828481	142439	
828481	168531	Harem girl
828481	331636	Bathing Girl
828481	346178	Liz
828481	362107	Polly
828482	217602	Principal
828482	217603	Mrs. Evans
828483	11906	
828483	66120	Herta Ludwig
828483	92542	Regina
828483	92559	Roswitha
828483	119689	
828483	145525	Irma
828483	212128	Frau Mücklein-Dellinger
828483	240229	
828483	268540	Lady in the café
828483	290282	Ältere Frau
828483	352270	
828483	379849	
828483	387365	Hilde von Schoenstein
828483	390125	
828483	395667	Frau Vogt (1999-)
828484	344524	Herself
828485	265901	Rejane Beauchemin
828486	178192	Maren
828487	210142	
828487	302677	
828488	311120	Herself
828489	292472	Girl With Bike
828490	106721	Sandi
828490	281145	Lycosian Trooper #2
828490	350200	
828490	350242	
828491	308844	Grossmutter
828492	149844	Dentist
828492	223991	Polka Dot Woman
828492	397233	Various Characters (1983-1985
828493	191343	Herself
828493	368872	Herself
828494	223817	Hotel Receptionist (Maputo)
828496	54749	Saleswoman
828496	119356	Mrs. Benson
828496	264756	Devil's Familiar
828497	254291	Waitress
828498	395806	Herself
828499	254523	Back-Up Singer
828500	166643	Delaware Student
828501	40999	
828502	269728	Herself (institutionalized wi
828503	230442	Bird Girl
828504	327231	Carol, the Girl in the Park
828505	82545	Cece Bloom
828506	45912	Nurse
828506	67665	Nurse
828506	93150	Jo
828506	154451	Joy
828506	164954	
828506	195765	Louise Foreman
828506	209158	Jewish Girl
828506	215738	Nurse #2
828506	269372	Natalie
828506	391077	Louise Foreman
828507	12209	Jasmine
828507	34104	Female Customer
828507	71110	Annie
828507	216737	Cute Debutante
828507	274329	Gina
828507	289057	Casey
828507	301556	Angelica
828507	305679	Lori
828507	311514	Sexy Girl
828507	400418	Rene Doucette
828508	189896	Alice
828509	82737	Demon
828509	85176	Chris
828510	136222	
828510	345921	
828511	192800	
828511	371807	
828512	98912	Neighbor
828513	303223	
828514	231127	Hester
828515	191753	
828516	34953	Betty Callahan
828516	81753	Barbara
828516	91559	Sharon Starbinder
828516	128505	Suanna
828516	207906	Carolyn Westlake
828516	261427	Student
828516	287016	Pam
828516	323564	Dr. Kees
828516	366419	Beautiful Woman #4
828516	384568	Rhonda Jo
828516	384909	Lucinda Waverley
828516	385637	J. L. Duval
828516	395756	Meg March Brooke
828516	411802	Linda Larkin (1979)
828517	139578	Groupie
828517	276424	Louise
828517	316264	Adoptive Parent #1
828517	353418	
828518	49974	
828519	48410	Kammerfrau
828519	130919	Wäscherin
828520	153113	
828521	311887	
828522	5960	Pool party guest
828523	47915	Student
828524	70109	Hooker
828525	141542	Bonnie
828526	205982	
828527	379716	Shannon (2000-2001)
828528	157117	
828529	145022	Peach Parrish
828529	294115	
828530	378341	Granny
828531	24082	
828532	31878	
828532	258758	Herself
828532	275604	Sister of Mercy
828533	27236	Store Clerk
828533	35540	Cleaning Lady
828533	367096	Snake Lady
828534	53169	
828534	57870	Tribunal employee
828534	103410	Joven secretaria 1
828535	134517	Mary Brummette
828536	264936	Waitress
828537	108033	News Reporter
828537	222136	Vampire Lover
828537	355035	Sandy
828537	385697	Amber
828538	237575	Carnival Fat Lady
828539	39372	Mrs. MacHenry
828539	71309	Townie
828539	83099	Maureen Selby
828539	254743	Mrs. Casey
828539	362951	Elsa Britton
828540	265119	
828541	11875	Anita Rodino
828541	33262	Rachel
828541	56102	
828541	79165	Lizzi Waldmüller
828541	79179	Lizzi Waldmüller
828541	103098	Manuela del Orta
828541	119166	Vera Waldner Operettensängeri
828541	183255	Liane Heller
828541	186984	
828541	189771	
828541	204497	Alexandra Durran
828541	226277	
828541	251811	Tatjana
828541	278952	Odetta
828541	303856	Bibi
828541	310271	
828541	315838	
828541	338421	Odette
828541	358890	Maria Brandt
828542	354339	Frigg
828543	94279	Madame Hortense Cliquot
828543	124891	Frau Kneitlinger
828543	134801	Seine Frau
828543	290014	
828543	410813	
828544	185820	Norween Dunwich
828545	308594	
828546	6802	Telephone Operator
828546	11609	Doris
828546	20316	Townsgirl
828546	29085	Ellen Grant
828546	51885	Girl
828546	66549	Girl
828546	87549	
828546	109221	Switchboard Operator
828546	132473	Cigarette girl
828546	132821	Hat Check Girl
828546	141978	Tinette
828546	147629	
828546	148949	Fortune Girl's Companion
828546	152925	Bit Part
828546	154833	Additional Voices
828546	154952	Hat Check Girl
828546	164391	Princess Serena
828546	167129	Judy Jetson
828546	167130	Judy Jetson/Female Computer
828546	167131	Additional Voices/Judy Jetson
828546	184483	Mary Cook
828546	202948	Additional voices
828546	215661	Miss Switch/Guinivere
828546	215827	Pegasus bridge officer/shuttl
828546	241107	Edgar's Mother
828546	241520	Joyce Logan
828546	244899	Receptionist
828546	249021	Village Girl
828546	253525	Ruth Waldron
828546	257379	(English-language version)
828546	267386	Gloria Goodbee
828546	267390	Mother
828546	277531	Westlake's Receptionist
828546	280202	Judy Jetson
828546	292685	Mother/Old Lady
828546	302007	Janice Walton
828546	302629	Bit
828546	313331	Stella
828546	322741	Marybell/Georgia
828546	331123	Miss Willowboughy
828546	333636	Little Girl/Lady Bird
828546	335124	Ruth Phelps
828546	340559	Miss Switch
828546	346227	Bridesmaid
828546	347074	West Wind (English version)
828546	347077	West Wind
828546	347411	Secretary
828546	358062	Penelope Pitstop
828546	360068	Elsa (a dancer)
828546	360191	Hat Check Girl
828546	362087	Gwen
828546	362476	Alice
828546	371824	Cindy Bear/Mrs. Throckmorton
828546	374198	Simone
828546	379046	
828546	379065	
828546	379229	Morticia Addams/Granny
828546	379345	Additional Voices
828546	379760	
828546	379916	Various Characters
828546	380645	Belinda Maze
828546	380832	Granny Sweet
828546	380833	Granny Sweet
828546	381405	Princess/Susan
828546	383122	Various
828546	383659	Jenny Trent
828546	384525	
828546	386379	Female Dinosaur
828546	391339	
828546	391955	
828546	393185	
828546	393482	Judy Jetson
828546	395260	Various Characters
828546	397930	
828546	399215	Lana Lang
828546	399266	
828546	399275	Additional Voices
828546	401247	Penelope Pitstop
828546	402460	Mother
828546	403667	Henrietta
828546	403874	Additional Voices
828546	404517	Additional Voices
828546	405081	Nancy
828546	405718	Hogatha (1982-1989)
828546	406074	Jenny
828546	407023	Lana Lang
828546	407991	
828546	408443	
828546	409786	Libby Freeman
828546	410502	Penelope Pitstop
828547	323503	Prostitute
828548	377084	
828549	171663	
828550	381909	Herself (5th Banished, 71 Day
828551	86292	Screaming lady
828552	116377	Mrs. Kobritz
828552	176292	Grandmother
828552	363250	Woman in Store
828553	26563	Maenad (chorus)
828553	118363	Virgin
828553	365651	Commune Dinner
828554	308113	Member, Three Shades of Blue
828555	381436	Elke Sinclair (1990)
828556	46641	
828557	20811	M.me Descoings
828557	40420	
828557	111775	The Witch
828557	376365	
828558	56140	Herself
828559	146739	Irvelle Way
828559	318507	Hilda
828560	406912	Henrietta
828560	408461	Hatty
828561	397478	Gabrielle Pauling
828561	404880	Carla
828562	147897	Tee Tee
828562	317946	De
828563	211601	Maid to Sonia
828563	273781	
828563	278854	Cigarette Girl
828564	325119	Slave Girl
828565	32754	Helen
828565	312175	Elaine
828566	203293	Secretary
828567	347686	Sally Sloblo
828568	147763	
828569	89161	Cynthia
828570	50975	Older Woman
828570	119625	Grandma
828570	221005	Soprano
828570	293108	Dog Owner
828571	1764	Jerusha
828572	333182	Woman
828573	7996	Tess
828573	14141	Lucy Shepherd
828573	59109	Sarah Marshall
828573	191836	Becky O'Shea
828573	220954	Beryl Andrews
828573	334214	Samantha
828573	371075	Tess Reardon/Camilla
828573	388354	Anne
828573	395054	Bonnie Stiles (1999-2000)
828574	80895	Errol's Daughter
828574	83599	Slave girl
828574	109897	Baby shower participant
828574	110324	
828574	196977	Carol Thurstinn
828574	228820	Lisa
828574	245623	Tess Malloy
828574	297100	Information Clerk
828574	311659	Errol's Daughter
828574	329140	Errol's daughter
828574	337587	Mary
828574	337610	
828576	155262	Dancer
828577	404119	Herself
828578	153246	Hostess
828579	238252	Mrs. General Motors
828579	291452	Mrs. Roach
828581	75977	Herself
828581	279881	Himself
828582	29807	
828583	32385	Girl at the Växjö hotel
828584	186897	Rock 'n Roll Tänzer/Rock 'n R
828585	14791	
828585	61146	
828585	63862	Sara
828585	87511	María Eugenia
828585	167097	
828585	183162	Tamara
828585	189026	Rosalía
828585	204643	Trudi
828585	257463	Lisbeth Dorante
828585	307656	Gabriela
828585	355749	Loli
828586	177548	Nina Ide
828586	239079	Ethel Johnson
828588	2351	Mrs. Lipke
828588	7953	Landlady
828588	12232	Katie
828588	17961	Aunt Hattie Bangs
828588	29499	Clarissa 'Clary' Peters
828588	29689	Mayor's wife
828588	32528	Matilda Jones (aka Rufus Roms
828588	32783	Mrs. Cady
828588	34459	Mrs. Sloan
828588	36784	
828588	40968	Landlady
828588	41502	Angry Woman in Senate Balcony
828588	41929	Matron (episode 1)
828588	42426	Mrs. Lamont
828588	43537	Lucita
828588	44307	Aunt Jennifer Forbes
828588	44954	Telegraph Girl
828588	71717	Redora Bump
828588	72138	Mrs. Wingate
828588	72498	
828588	72520	Eliza
828588	73175	Miss Farnum, Gifford's Secret
828588	73336	Katie Ryan
828588	73348	Homely-looking Party Guest
828588	78791	Townswoman
828588	80018	Martha Samuels
828588	88963	Mrs. Redding
828588	90238	Mrs. Moffat
828588	90796	Mrs. Lindsey
828588	94610	Mattie
828588	96945	
828588	99150	Mabel Moore
828588	105070	Miss Honeywell, Canteen Worke
828588	108523	Mrs. Wilkins
828588	110937	Alison's Secretary
828588	112475	Aunt Jane
828588	112561	Mrs. Betsy Larkin, Suzan's Mo
828588	115709	
828588	116376	Mrs. Forge
828588	120755	Mrs. Murphy (Langhorne's hous
828588	128304	Mrs. Jones
828588	128310	Mrs. Truxton
828588	129191	Mrs. Danner
828588	129819	Mamie
828588	139551	Miss Gilly, a Teacher
828588	144583	Matilda Purdy
828588	148955	Mrs. Gotrocks
828588	151211	Voter Registrar
828588	155299	Ella Jordan
828588	157206	
828588	157863	Felicia
828588	157887	
828588	162547	Mrs. Skinner
828588	178757	Sadie Jones
828588	178946	Aunt Myra Ripple
828588	183348	Aunt Sarah
828588	183447	Mrs. Spivers
828588	185520	Bus passenger
828588	188294	Ella
828588	188298	Ma Benham
828588	190866	Mrs. Flint
828588	194372	Aunt Katherine Harper (Sarah 
828588	195682	Arabella Heath
828588	195883	Madame Dutoit, Dressmaker
828588	196464	Aunt Melissy
828588	196551	Penny Wise
828588	197351	Aunt Abbey Peters
828588	199469	Lady Diana Trent
828588	201479	Aunt Martha
828588	203738	Aunt Flossie Doolittle
828588	204743	Prisoner
828588	206362	Mrs. Hope-Clarke
828588	207234	Virginia's Aunt
828588	211568	United Charities Worker
828588	211634	Mrs. Montague
828588	213081	Maria
828588	213301	Mrs. Hicks
828588	213453	Mrs. Wendell-Wendell
828588	215581	Grandma Bett
828588	218400	Mrs. Watson
828588	223951	Arabella Mott aka Bedelia Smi
828588	231403	Mrs. Heyfer
828588	239653	Aunt Matilda
828588	240948	Mrs. Holmes
828588	244862	Eudora Mawdle
828588	245735	Mrs. Barton
828588	252855	Mrs. Frisbie
828588	270480	Aunt Judy
828588	270778	Mrs. Bernard
828588	277008	Madame Hofer
828588	288625	'Countess' Debris
828588	288698	Lily Woodruff
828588	297778	Elizabeth Trent
828588	301261	Complaining wife
828588	305398	Mrs. Johnson
828588	305498	Farmer's Wife at Fire
828588	312792	Mrs. John Clarke
828588	314474	Mrs. Henry Brodman
828588	314477	Miss Higgins
828588	317957	Mrs. Cotton
828588	318175	Miss Perkins
828588	323401	Miss Abbott
828588	324401	
828588	324983	Herself - in scenes from 'The
828588	325025	Ida Baker
828588	326126	Mrs. Mactavish
828588	328065	Ma Mason
828588	330613	Aunt Jane Thornton
828588	335118	Mrs. Harper
828588	345860	Villager
828588	346023	Martha Jenkins
828588	347347	Mrs. Williams
828588	358970	Matilda
828588	360487	Travel Bureau Customer
828588	360521	
828588	360725	Auntie
828588	361154	Mrs. Weems
828588	361176	Mrs. Sims
828588	362836	Mrs. Wilbur Belcher
828588	363522	Mrs. Moore
828588	364011	Aunt Cynthia
828588	367783	Hatchet-Faced Woman
828588	368780	Deborah Slocum
828588	369358	Mrs. Bronson
828588	372107	Mrs. Abernathy
828588	372491	Mrs. Stout
828588	372887	
828589	303429	Nurse Caddy
828591	330706	Extra
828592	136822	Cousin Hebe
828592	213581	Peep-Bo
828592	250638	The Lady Saphir
828592	334757	Tessa/Peep-Bo 1/Hebe 2/Iolant
828593	156889	Althea
828594	216474	Sis
828595	376587	
828596	286416	
828597	75993	Betka
828597	77109	doktorka Hanna Kaufmannová
828597	87935	
828597	165081	Karla
828597	178453	Countess de Galle
828597	207886	Pepina
828597	211904	
828597	220117	
828597	262189	Vera Náhlovská
828597	303698	Ucitelka Pavlína
828597	323299	Countess
828597	348460	Luisas grandmother
828597	350983	Albína Knedlhansová, daughter
828597	357437	
828597	374265	
828597	375358	Olga
828597	375381	Aunt Blanka
828597	375413	Guest #1
828598	377896	
828599	50791	
828600	163851	
828601	76126	Mother
828602	146619	Marjorie
828602	191291	Lucy as an adult
828602	220638	Beatrice
828602	380259	Alison Clarke (1982-1983)
828602	383511	Carrie Willow
828602	385723	Tracy Brown
828602	393313	Jane as a child
828603	24746	Claudette Zarius
828604	398661	Sister Catalina
828605	130636	Mary Wright
828605	243262	F.A.N.Y.
828605	401021	Eileen (1965-1966)
828606	207941	Carwasher/Thug
828607	191344	Dancer
828608	94251	FNL Girl
828609	2472	Alice
828609	11516	Lady Frances
828609	98392	Zina
828609	189361	Nicole Noone
828609	234126	Miriam
828609	291925	Sister Mary
828609	385118	Sally Harper
828609	391259	Hilde van der Vuurst
828609	397791	Donna Barnes
828610	275889	Nurse
828611	361588	Herself
828612	9326	Priya
828612	18913	
828612	86628	Salma
828612	138928	
828612	140009	
828612	165167	
828612	166492	
828612	174294	Bijlee
828612	176005	Tara Jaisingh
828612	176085	Nandini
828612	200630	
828612	200640	
828612	262465	Uma Singh
828612	283633	
828612	285542	Rajkumari
828612	320860	
828612	327011	Heena
828612	335740	Herself
828613	80833	Calusa tribe
828614	259578	Tontechnikerin
828615	108185	
828616	12870	Dr. Marlene Milde
828616	34996	
828616	92640	Karoline Sommerfeld
828616	108185	
828616	119196	Anna
828616	170387	Lisa
828616	175406	Eva Bastian
828616	250930	Marianne Walser
828616	259517	Katrin Kreuzer
828616	259576	Martina Viehbahn
828616	284428	Angela
828616	352772	
828616	356739	Renate Brix
828616	361365	Bertha Wengler
828616	379884	Dr. Marlene Milde
828616	389616	Stefanie Engel (1995-1996)
828616	392669	Luise Mühe
828616	406494	Dr. Stefanie Engel
828617	200439	
828617	305560	
828618	2645	
828618	64333	Herself (1982)
828618	68381	Sylvie
828618	96031	Sophie
828618	116439	Corinne
828618	128618	Suzanne
828618	219510	Claudine
828618	284244	Sophie
828618	319995	Marie-Jo Le Kellec
828618	345173	Elise
828618	394379	Anne
828618	409800	Françoise Dubois
828619	41821	Visitor In Museum
828620	160189	
828621	360745	Tina McNeill
828622	2440	Carla
828623	292201	Kate
828624	45867	Wendy Abramson
828625	45899	Extra: bus
828626	163894	Sofia
828627	193217	Lisa
828628	191857	Diana Cline
828629	186681	Lucille
828630	67040	Herself
828630	67396	Herself
828630	70260	Herself
828630	99956	Herself
828630	111948	Herself
828630	151759	Herself
828630	161368	Herself
828630	180631	Narrator
828630	327212	Herself
828631	218599	Girl in Castle Anthrax
828632	12275	
828632	32440	Wendy
828632	47256	Elise Rosen
828632	106532	Killer Girl
828632	138912	Josephine 'Joe' McClintock th
828632	155905	Susan Stone
828632	171190	Sherrie
828632	174918	Alice Connor
828632	201826	Herself
828632	253344	Julia Collier
828632	295435	Lisa
828632	302789	Pam
828632	308016	Alex Donaldson
828632	314131	Bonnie Martin
828632	321469	Romella
828632	340738	Officer Jessica Haley
828632	347241	Veronica Roberts
828632	361224	Herself
828632	363045	Audrey Macleah
828632	363581	Ashley Bartlett Bacon
828632	398182	Gwen Cross
828632	398753	Billie
828632	402270	Dr. Samantha "Sam" Waters (19
828632	404282	Andrea Bedford (1988)
828632	408972	Officer Jessica Haley
828633	37191	Beth's Mother
828633	59505	Queen Elizabeth
828633	63527	Queen Elizabeth
828633	77207	Mavis Marsh
828633	80699	Brunette
828633	101418	Lady Hampton
828633	105069	Old Noblewoman
828633	112049	Zoo Secretary
828633	120477	Debbie Davidson
828633	141281	Jeanie Deans
828633	141548	Lady Mackleworth
828633	161170	Pamela
828633	234929	Mrs. Walker
828633	235352	Madame Scalinger
828633	259779	Widow Benton
828633	271155	Mrs. Ransome
828633	277716	Sister
828633	281446	The Cockney Signora
828633	295297	Elizabeth Farrell
828633	335594	Tina's Mother
828633	365255	Panama Hat
828633	365942	Country Club Tennis Lady
828633	367482	Betty Lawson-Johnson
828633	385627	Mrs. Conyers (segment film tw
828633	385635	Bessie
828633	385714	Rachel Ferguson
828633	388821	Barbara Willis
828633	394526	Sheila
828634	186650	Additional player
828635	202195	Hooker
828636	60251	Singer
828637	158102	Waitress
828638	20135	(segment "Nessun dorma")
828638	106613	Pat
828638	286187	Handmaidens to Salome
828639	130947	Dancer in gambling club
828640	102580	Girl
828641	37690	Edna Thomas
828641	61706	B.J. Biter
828641	68276	May Randolph
828641	80612	Waitress
828641	94985	Sara Jane
828641	105792	Mrs. D'Arienzo
828641	109857	Dr. Brooks' Nurse
828641	160042	
828641	163362	Jasmina
828641	164840	Ms. Barnes' Secretary
828641	275522	Mrs. James
828641	287212	Marigold Pixietwiddle
828641	298105	Dorothy
828641	309153	LaVonda DuPree
828641	309489	Mrs. Dunbar
828641	320026	Wealthy Woman at Party
828641	365868	
828641	392044	Clara
828642	381984	Host (1999-2001)
828642	391779	Host
828642	408148	Herself - Panellist (2004-)
828642	411169	Herself
828642	411283	Presenter (1999-2000)
828643	288669	
828644	314934	Ruth Tyler
828645	34927	Various characters
828645	277494	Old Golfer's Girlfriend
828645	380344	Paula
828645	385299	Annabelle
828645	385801	
828645	411551	Virginia
828646	368988	
828647	28635	
828647	60735	Jenny
828647	117091	Airport Bartender
828647	126130	Featured
828647	195540	Maria Johnson
828647	340034	Paulette Rickles
828647	363509	Louise
828647	367055	Chorus
828647	367083	Tina Dreem/Running Girl
828647	381943	Tina
828647	399834	Nurse Annie Roland (1991-1994
828647	401894	Ms. Ross
828647	405431	Claudia James
828648	230863	Theater Reception Guest
828649	3436	
828649	3453	
828649	12088	
828649	14645	
828649	14926	
828649	14939	
828649	20677	
828649	24890	
828649	43664	
828649	53613	
828649	53614	(segment "Una solución inespe
828649	53672	
828649	61357	
828649	64022	
828649	64996	
828649	67011	
828649	68251	
828649	68623	
828649	69008	
828649	70638	
828649	70669	
828649	83129	Beatriz
828649	83549	
828649	85960	Profesora de baile
828649	90138	
828649	90521	
828649	91285	
828649	92334	
828649	98641	Esperanza Peralta
828649	100379	
828649	100509	
828649	101604	
828649	103502	Mrs. Vértiz
828649	103656	
828649	104078	
828649	108554	
828649	108730	
828649	108994	
828649	111315	
828649	111418	Mercedes
828649	119861	
828649	123188	
828649	125663	
828649	132652	
828649	132672	
828649	134436	
828649	143689	Maria
828649	143749	
828649	143807	
828649	145159	
828649	145161	
828649	145239	
828649	145252	
828649	146486	
828649	148066	
828649	167080	
828649	171471	Madre de Raymundo
828649	176383	
828649	186544	
828649	193021	
828649	193162	
828649	198240	
828649	202836	
828649	206747	
828649	213366	
828649	213755	
828649	216538	
828649	219225	
828649	221980	Pedro's Godmother
828649	221993	
828649	233490	
828649	233815	
828649	234355	
828649	234391	
828649	236433	
828649	238326	
828649	239286	
828649	239287	
828649	247424	
828649	251552	
828649	251591	
828649	252562	
828649	258481	
828649	260550	
828649	266828	
828649	269962	
828649	272778	
828649	301167	
828649	307720	
828649	309081	
828649	319661	Angelica Montes
828649	324093	
828649	324293	
828649	334680	
828649	336250	
828649	339157	
828649	343619	
828649	343740	
828649	353990	
828649	354904	
828649	355953	
828649	356156	
828649	357532	
828649	371700	
828649	371701	
828649	371729	Madre de Pina
828649	374026	
828649	376748	
828649	377160	
828649	396811	
828650	131239	Woman of the Ttwn
828650	224366	Trixie, 2nd Hippie
828651	67709	Sniper 1
828652	347989	Herself (money redeemer)
828653	105871	Sarah
828653	130696	Mrs. Kramer
828653	158711	Cigarette Girl
828653	213037	Rosalind Neiman, the widow
828653	245209	Guitar player
828653	266617	
828653	364184	Margot Soloway
828654	235287	Nun
828654	258044	
828654	360470	Bowling Alley attendant
828655	150985	Maid
828655	279147	Betty Webster
828655	282651	Parry
828656	308489	Herself
828657	41206	Tatsu
828657	391558	Moderator
828659	278493	Spectator
828660	271003	Black Butler No. 1
828660	278001	Panther
828660	291233	
828661	371369	
828662	121332	Piera's Mother
828662	128027	Dino's wife
828662	137462	Edith
828662	147429	Nora
828662	161571	Jean Lovering
828662	194513	Hospital Sister
828662	384142	Mayoress
828662	388320	Sales assistant
828664	55520	Carolina's mother
828664	63135	Air Traffic Controller's Wife
828664	145415	Cassie
828664	291768	Ashley MacDougal
828665	379392	Sarah (1984)
828666	137259	Trinklette #3
828666	201329	Miss Goodman
828666	342384	Terrified Traveler
828666	362551	Pamela Johnson
828667	148313	Policewoman
828668	69808	Sinead
828668	303761	
828669	190482	Police Woman
828670	56206	Caroline
828670	311523	Precinct Policewoman
828671	253358	Landlady #1
828672	17653	Aunt
828672	66040	
828672	91601	Mrs. Tilton
828672	104910	Eve Ricardo
828672	105162	An American Mother
828672	133548	Mrs. Mansfield
828672	150650	
828672	171047	Anna Ward
828672	177225	Maggie Schultz
828672	190543	Mrs. Thatcher
828672	193746	Clare Henshaw
828672	204278	Mrs. Morgan
828672	206866	Mary Lawson
828672	210695	Mrs. Burton
828672	213145	Mrs. Schuyler
828672	214068	Mrs. Maitland
828672	245139	Helen Scott
828672	248816	Olive
828672	248987	Helen White
828672	286382	Maggie
828672	288974	Mrs. Atwater
828672	289610	Mrs. Mason
828672	289686	Elly Drew
828672	295303	
828672	295462	Margaret Brent/Sally Wells/Mo
828672	303555	Mrs. Calhoun
828672	305124	Margaret Brent/Molly Pitcher/
828672	309878	Mother Superior
828672	331352	Lady Catherine Chamberlain
828672	337623	June Tolliver
828673	56955	Club Girl
828673	222647	Older black woman
828674	392445	Lucy
828675	37089	Chambermaid
828676	11	Blondie
828676	59931	Phyllis Bentley
828676	63034	
828676	66549	Girl
828676	132821	Switchboard Operator
828676	151310	
828676	151319	Herself
828676	155640	Sally MacGregor
828676	155846	Girl
828676	163469	Loni
828676	184830	Phyllis Hamilton
828676	210871	Nurse
828676	222684	Phyllis Hamilton
828676	249021	Village Girl
828676	273184	Madeline Bradley
828676	277538	Mary Parker
828676	296960	Doris Jackson
828676	302629	Bit
828676	308560	Marcelle
828676	312774	Eileen Burke
828676	331421	Marian Franklin
828676	331451	Lily Scott
828676	331559	Phyllis Hamilton
828676	333655	Waitress
828676	336736	
828676	339373	Lee Roberts
828676	360043	Helen Hanrohan
828676	372050	Girl
828676	372461	Performer
828677	81186	Girl
828678	29340	Girl
828678	202366	Vice-President, Vampire Affai
828679	56085	Nanette
828679	349537	
828680	188160	Harriet Reeves
828681	31793	Vocalist-Dancer (Herself)
828681	120766	Singer Cindy
828681	277916	Singer, The Pacemakers
828681	332275	Vocalist
828682	259266	Evidence Officer Ms. Gibbs
828683	380259	Sarah Lloyd-Smith #1 (1978-19
828683	406293	Elizabeth Maxwell
828683	408166	Margaret Thursday
828684	79025	Doctor
828684	407369	Old Lady, Additional Voices
828685	406701	Connie (Host) (2000-)
828686	197024	Nelle Crehan
828687	212993	
828688	409700	Herself (Third Wheel)
828689	367054	The Wiz Singers Children's Ch
828690	11116	Step Mother
828691	243136	
828692	41747	Party Girl
828693	133792	Cheerleader
828694	12361	Rebecca
828694	77705	Ballet dancer prodigy
828694	94233	Adele
828694	403805	Chloe Thorne #2 (2002-2004)
828695	311923	Prison Extra
828696	380713	Dr. Susan Burke Stewart Baxte
828696	385719	Carolyn Collins Stoddard Hawk
828696	410977	Mary Hathway (1969-1973) (ori
828697	49894	
828698	39174	
828698	324742	Tap Dancer in Club
828698	324743	Herself
828699	398567	Clerk (1996)
828700	242954	Herself
828701	58721	Ann
828702	330375	Ice Skater
828703	197210	
828704	106240	
828705	69655	Mrs. Carrigan
828706	292510	Rita
828706	317415	Wild Party Girl
828708	246987	Dattalico's Girlfriend
828709	273429	Herself/Boston
828709	273434	
828709	273436	Hostess
828709	402993	Herself/Boston (1997)
828709	402995	Herself/RW: Boston
828709	402999	Herself/Real Worlders
828710	56895	Woman in van
828710	96973	Mime #3
828710	230675	Madeline Osterman
828710	297788	Adult Friend
828710	324983	Woman on freeway
828710	367981	Diana Prince/Wonder Woman
828711	56113	Woman
828712	305221	Waitress
828713	146059	Girlfriend
828713	331471	Jessica
828714	5885	Matron Lennox
828714	22197	Anna Wheatley
828714	58017	Mrs. Pritchard
828714	63129	Bibi
828714	75538	
828714	108950	Liddy
828714	110556	
828714	117777	
828714	222709	Dorothy D'Arcy
828714	235007	Ruth
828714	235008	Ruth
828714	235009	Ruth
828714	235409	
828714	260330	Anna Loparicz
828714	300956	
828714	310532	Margery Bauman
828714	333183	Tania Klein
828714	367498	Mrs. Toovey
828714	369353	Sheila Wynne
828714	385930	Stella Mawson, aka 'Star'
828714	387528	Mrs. Elton
828714	392483	Agrippina
828714	393811	Sue Bridehead
828714	395954	Victoria's mother
828714	398564	Miss Meteyard
828714	409840	Mrs. Bute Crawley
828715	236779	Tied-Up Nurse
828716	47130	Prostitute
828716	231115	Rolanda
828717	385301	Rio Brooke (2003)
828717	399415	Jane Harper
828718	206836	Hostess
828719	5114	Joyce Stuart
828719	36996	Alicia Brown
828719	46669	Peggy Gray
828719	52455	Laura McNeal
828719	66201	Betty Cream
828719	94881	Herself
828719	131430	Ethel Hilton
828719	142984	Constance
828719	148552	Kitty Brant
828719	157091	Irene Williams
828719	196963	Jill Evans
828719	203145	Eve Brandon
828719	222672	Millicent
828719	222775	Claire Matthews
828719	223829	Elsie (Waterbury's former sec
828719	224373	Ann Martin
828719	232419	Lilith Ritter
828719	252434	Corey Sullivan
828719	265104	Miss Dixon
828720	360010	Make-out girl
828721	2174	Mel
828721	253420	Serena
828722	134520	Pettie Lamm
828722	203079	May's Aunt
828722	212237	The Mexican's Wife
828722	272129	The Settler's Wife
828722	279059	Mrs. Katz
828722	281567	
828722	289041	Alice's Mother
828723	15944	
828723	89365	Jenny Camalier
828723	273307	Girl at Party
828723	404418	
828724	380708	Louise (2001)
828725	300180	Secretary
828726	385299	Gina Perryman
828727	77479	
828728	353425	
828729	306600	Tamara Ackhurst
828730	134517	Medicine Woman
828731	160841	Victoria Spademinder
828731	383842	
828732	290397	Receptionist
828733	7809	Teacher
828733	19294	Mrs. Simmons
828733	54631	Cleaning Lady
828733	80608	Police Psychiatrist
828733	129944	
828733	238082	
828734	100221	Tracey
828734	387247	Sasha Perkins (2003, 2004-)
828734	388321	Siobhan Jones Callan (1998-20
828735	46006	La petite vieille
828735	168827	Grand-mère
828735	205647	La grand-mère
828736	285313	A Friend
828737	362261	Holly Garner
828738	328788	Nurse 2
828739	32466	Cheerleader
828739	150075	Bianca Salsa Girl
828740	144406	
828741	169644	Maverick's Girlfriend
828742	93756	Tuli
828742	97699	Virginia
828742	151777	Mourner
828742	246604	Janet Woods
828742	296983	Cigarette Girl
828742	365833	Pashen
828743	41155	Shawn's Mother
828743	240039	The Manager
828744	50645	Shop Assistant
828745	61570	Mrs. McDonald
828745	66852	Phoebe Howard
828745	214157	
828745	331951	Margie
828745	346950	Hagar Rawlins
828745	359277	Barbara 'Babs' Whitney
828746	362081	Dancer
828747	171207	Deidre
828747	306182	Sally Brown
828747	348752	Ran
828748	65612	Reporter
828749	11570	Ms. Freida
828749	175190	Dream Participant
828750	138369	Sheryl Jones
828751	359543	The Matriarch
828752	42030	Clara Von Luckner
828752	85834	Melody
828752	166871	Calypso
828752	171700	Sara Porter
828752	245506	Reba Twosalt
828752	289603	Female Sachem
828752	315171	Manipi
828752	316042	
828752	380713	Simone Bordeau (1993)
828753	2073	Louise Bentley
828753	33398	Kathy
828753	40185	Maggie
828753	49388	Lily Boyd
828753	76216	Dr. Ellen Lamb
828753	78067	Kathryn
828753	99956	Alice Winchek
828753	106748	Anna
828753	108353	Louisa King
828753	120323	Eva
828753	128598	Carpel's Receptionist
828753	151162	Miss Thompson
828753	221255	Sarah
828753	222707	Sally Slaton
828753	229516	Enid Keese
828753	264636	Lena Brock
828753	264830	Claire Braden
828753	277638	Madeline Philips
828753	304528	Anita McCambridge
828753	310572	Susan Myles
828753	335586	Marion Sales
828753	345828	
828753	349972	The General's Lady
828753	362033	Dr. Linda McFarland
828753	366088	Kate Wright
828753	379224	Abigail Smith Adams
828753	380391	Barbara Weaver #2 (1975-1976)
828753	381468	Fawn Lassiter
828753	384627	Narrator
828753	389432	Narrator
828754	381436	Elaine (1993)
828755	345	Deidre
828755	26064	Sheep
828755	40834	Alice Dalton
828755	49388	Mrs. Gootch
828755	67833	Mrs. Molesworth
828755	71302	Sandra
828755	87699	Pearl
828755	91646	Sibyl Anderson
828755	128480	Aunt Vera
828755	137784	
828755	147980	Puss
828755	185166	Ann Sweeney
828755	186847	Mrs. Dunne
828755	191649	Eugenie Mason
828755	194246	Sister Louise (Nun)
828755	219209	Mrs. Marland
828755	220276	Marie
828755	232349	Felicity Bannister
828755	253920	Miss Fulsom
828755	255009	Aunt Morag
828755	279413	Alison
828755	302686	Rose Buckley
828755	320916	Greta
828755	323936	Witness
828755	342362	Feste
828755	379395	
828755	391251	Sylvia
828755	393471	Mrs. Baker
828755	401828	Miss Moon
828755	405733	Kizzy Freeman
828756	340992	Hitch-Hiker
828757	80857	Traci
828757	110170	Jill Topial
828757	123304	
828757	141592	Heather Chandler
828757	176931	Laurel
828757	230027	Janice
828757	263057	Candace
828757	273555	Judith
828757	289222	Sheila
828757	308173	Molly, Texas Acting Student
828757	317341	Kit
828757	400593	Sherri 'Cherry' Valance
828758	386141	Gloria Ambrose
828759	120412	Dead nun
828760	117424	Dancer
828760	240924	
828762	405162	Herself
828763	105981	The Nurse
828763	193608	Anna
828763	230138	Mrs. Jardine
828763	235228	Miss McFarlane
828764	179631	Slaughterhouse Factor Cast
828764	341613	Wendy Adams
828765	6249	Teenage Flora
828765	96728	Mrs. Rogers
828766	215157	Student
828767	404891	Susan Elliot
828768	366027	Nurse
828769	7	
828769	170	
828769	5475	
828769	12112	Alma
828769	20944	
828769	21174	
828769	21250	
828769	22927	Mrs. Daley
828769	35276	Helen Kingdom
828769	38111	Ruby
828769	41785	Leslie Brennan
828769	45654	
828769	46261	
828769	46373	
828769	49647	
828769	50945	A Ballerina
828769	51499	
828769	54317	
828769	55569	
828769	57180	
828769	60743	
828769	60752	The Ambassador's Daughter, Th
828769	64103	Cinderella
828769	65801	
828769	71423	
828769	75875	Nell Lane
828769	79574	
828769	85746	A Ballerina
828769	88906	
828769	89646	Lola Brandt
828769	99087	
828769	101504	Mrs. Grainger
828769	105037	The Old Man's Daughter
828769	111737	
828769	113364	Millicent Vane
828769	118269	Marjorie Gaylor
828769	120222	
828769	130160	Sixth Girl
828769	132601	Dorothy Hallowell, the 'Grain
828769	133558	An Actress
828769	134098	Celia Faraday
828769	136251	
828769	140861	
828769	141476	Lady Katherine
828769	143139	A Maid
828769	144216	Ann
828769	146110	The Wife
828769	147110	
828769	153223	
828769	158088	
828769	159102	The Officer's Sister
828769	159269	Penelope Holloway
828769	159721	The Coquette
828769	162212	Irene, One of the Singer's Mo
828769	163192	Gladys Cooper
828769	169672	Anne Warren
828769	175821	
828769	176405	The Kid
828769	178355	Kitty MacKay
828769	183539	
828769	186693	
828769	190404	
828769	190900	
828769	195638	Fran
828769	196197	
828769	196202	Stella Daintry
828769	196507	One of the Lovesick Maidens
828769	197789	Lois Craig
828769	202925	Edna Hall
828769	206372	
828769	214989	
828769	216824	
828769	217969	
828769	220416	Mamie, Hanks' Sweetheart and 
828769	220853	An Actress
828769	220922	Mrs. Ford
828769	221248	Alice Dane
828769	230814	
828769	242099	
828769	243230	Elizabeth Van Vorst
828769	247495	
828769	253429	
828769	256250	
828769	263971	
828769	264178	Undetermine Role
828769	267647	
828769	275101	Lillian White
828769	278227	
828769	280912	
828769	286130	Sally
828769	289087	Elsie, an Amateur Actress
828769	292193	The Wife
828769	294905	The New Cook/The Second Cook
828769	298019	The Wife
828769	314398	A Typist
828769	314401	
828769	318479	Mr. Bunny's Daughter, Lillian
828769	323766	Peasant sister
828769	326441	
828769	328915	
828769	329746	Second Daughter
828769	331153	Mrs. Moore, The Prodigal Wife
828769	333730	
828769	335136	
828769	340621	A Step-Daughter
828769	343093	Miss Gray, a Music Teacher
828769	356630	
828769	358141	
828769	359117	A Ballerina
828769	362737	The Son's Sweetheart
828769	363022	
828769	363559	The Daughter's Friend
828769	363916	Dorothy Charlton
828769	364843	
828769	365226	
828769	365886	
828769	366327	
828769	367468	Lilly
828769	367563	Hester Hasley
828769	368007	Dennis's Daughter
828769	368308	First Wife
828770	144698	Chief Nurse
828770	161403	Zonny
828770	185379	Mary
828770	202079	Mrs. Gunliffe
828770	220866	Harlot
828770	281058	1st Mealticket Lady
828770	362151	Secretary
828771	154051	Sabrina Chase
828772	224070	Special Extras
828772	382694	Jenny
828773	382694	Jenny
828774	274456	Carol Paris
828774	358642	Pippin's Girlfriend
828775	304734	Woman in Record Store #1
828776	48739	Elaine
828776	58017	Katie
828776	96602	Lucy Amore
828776	137031	Laura
828776	170724	Alice
828776	288952	Charlotta
828776	307566	Lucy
828776	318267	Jenny Greene
828776	395924	Shauna Callaghan (2002)
828776	407699	Amanda
828777	197243	
828777	197260	
828778	291915	Ireland Beauty Winner
828779	283555	Student #4
828780	2998	Molly's Friend/Classmate
828781	33940	Hounslow Harrier
828782	126067	Chorine
828782	126068	Wife in King Henry VIII sketc
828782	186341	Singer
828783	292470	Goldwyn Girl
828783	306466	Lt. Fay Leonard
828784	46027	
828785	2088	Jen
828785	46893	
828785	332738	Rita Wells
828786	376703	
828787	130410	
828787	346904	Marion
828788	2010	Self
828788	3593	Herself/Liza Colby Chandler
828788	26180	Cindy
828788	29522	Melanie Roston
828788	150297	Franny
828788	190227	Emmeline
828788	213276	Kate
828788	231518	Max
828788	245717	Ann Demski
828788	253343	Marie Ramsey
828788	276670	Caitlin Jones
828788	318181	Lt. Kathy Leone
828788	323992	Rachel Parsons
828788	328561	Rebecca/Christine
828788	379716	Liza Colby #1 (1981-1984, 199
828788	390771	Tangie Hill (1993-1995)
828788	400695	Christy Cooper
828788	404282	Eden Capwell Castillo (1984-1
828789	65888	Lola
828789	116289	Lola
828789	399948	Shalamorn (1997)
828789	404092	Eleanor Atwood
828790	105130	Model
828790	195771	Person at the Paris Opening
828790	252381	Model
828790	351438	
828791	111791	Irma Peale
828791	182948	Women's Army of Revolt/Citize
828791	189987	Morgan Hall Coed
828792	313205	
828793	270499	Jackie
828794	312826	Lucy's infant
828795	325196	Haina
828796	95907	Lilian
828796	186003	Diana Kimberley
828796	333183	Lady Alys Croshawe
828796	368195	Joyce Clopton (Lady Carew)
828796	410582	Alice Goldberger (Weir Courte
828797	404484	Pirilli
828798	200254	Ann
828799	66936	Hooker #1
828799	75808	Pretty Co-Worker
828799	115323	Mrs. Peale
828799	132092	Girl 1
828799	265597	Stewardess
828801	57560	Child B
828802	2766	Counter Girl
828802	137675	Bella Challis
828803	150743	Mrs. Barrymore
828804	196103	Mary Burnham
828805	270894	Mindy
828805	328277	Sarah's granddaughter (Ultima
828806	47946	Connie Aveson
828806	308920	Sione's Mother
828807	32105	Mrs. Joyce
828807	33980	
828807	39473	Mrs. Martindale
828807	46710	Sarah Walsh
828807	52463	Mother Komello
828807	65534	Marie Clemenceau
828807	96905	
828807	105271	
828807	143353	Mrs. Page
828807	152545	Mrs. Logan
828807	167647	Jim's Mother
828807	191594	Undetermined Role
828807	192238	Undetermined Role
828807	203598	Ned's Mother
828807	212227	A Neighbor
828807	214073	Mrs. Wmith
828807	224229	Mrs. Nolan
828807	229937	The sea witch
828807	251834	
828807	263509	
828807	328071	
828807	359103	Mme. Frenaud
828807	363110	
828807	368369	Marie
828808	251194	Myeshia
828809	2475	Mrs. Margolin
828809	34650	Blind Date
828809	47364	Trixie Simpson
828809	67619	Herself
828809	81269	Mrs. Jacobs
828809	105147	David's mother
828809	128152	Polly Williams
828809	152536	God - Mrs. G
828809	166484	Rock
828809	196987	Flo
828809	222602	Yetta the maid
828809	270746	Herself
828809	313074	Agnes
828809	332153	Mrs. Bender
828809	367948	Mrs. Fromberg
828809	368475	
828809	368588	Mrs. Petersen
828809	382208	Nancy Blansky (1977)
828809	388318	Emily Turner (1970-71)
828809	396999	Ida Morgenstern (1971-1974)
828809	397232	Mildred (1971-1976)
828809	398975	Nancy Kitteridge
828809	403318	Ida Morgenstern (1974-1975, 1
828809	408973	Sara
828810	11635	
828811	188617	The Mother
828812	1651	Mrs. Long
828812	2565	Mrs. Carter
828812	5550	Mrs. Adams
828812	9055	Millicent Norton
828812	10569	Morton's Wife
828812	11385	Mrs. Darrow
828812	26776	Corinne Saxel
828812	30081	The Patroness
828812	32818	Grace Tully
828812	33091	Mrs. Copperwaithe
828812	37458	Mrs. Johannsen, victim's moth
828812	37504	Mrs. Goodrich
828812	41085	Mrs. Holbrook, Fashion Show D
828812	44336	
828812	48569	Mrs. Randolph Parker II
828812	54492	Aunt Mary Mason
828812	59100	Mrs. Frieda Mockby
828812	61567	Mrs. Twitchell
828812	65746	Marriage Clerk
828812	68477	Yacht Guest
828812	70868	Mrs. Gloria Marvin
828812	73204	Mrs. Carpenter
828812	78186	Lady Gregory
828812	78528	Mrs. Hamilton
828812	79379	Lady Petrie
828812	83809	Eve, aka Madame Francoise
828812	89192	Frau Venderkloot
828812	90428	Helen Webster
828812	99447	Mrs. Eva Kincaid
828812	103781	Mrs. Peyton
828812	105070	Cousin Martha Sewell
828812	106294	Mrs. Kendall
828812	109402	Mrs. Van Tyle
828812	115259	Mrs. Hackett
828812	116520	Mrs. Henderson
828812	118299	Mrs. Ainger
828812	120335	Janet Reynolds
828812	121360	Mrs. Brooks
828812	128582	Mrs. Grange
828812	130336	Mrs. Marsh
828812	136284	General's Wife
828812	139190	Mrs. Emmy Atwater
828812	142637	Mrs. Rand
828812	144109	Dorothy Craig
828812	150170	Mrs. Hunter
828812	151097	Mrs. Eleanor Van Tyle, Monte'
828812	152601	
828812	153207	Mrs. Stockton
828812	154355	Ruth's Mother
828812	154439	Kay's mother
828812	157847	Mrs. Walker
828812	158067	Mrs. Van Cleve
828812	159259	Mrs. Woodward
828812	162208	Mrs. Marshall
828812	162551	
828812	174594	Mrs. Farrell, the Governess
828812	176343	Mrs. Daniels
828812	178342	Aunt Jessica
828812	178758	Missionary
828812	183418	Mrs. Crane
828812	183846	Aunt Emma
828812	192009	
828812	193295	Mrs. Wendall
828812	199330	Mme. de Noailles
828812	199466	Dr. Langham's Nurse-Reception
828812	200304	Grandview Citizen
828812	204708	FloorLady
828812	208896	Mrs. Hall
828812	214080	Mrs. Amory, Jim's Mother
828812	222660	Linda Baldrich
828812	227349	Mrs. Harrison
828812	233059	Margaret Chisholm
828812	234027	First-Nighter
828812	265384	Railroad information clerk
828812	266691	Aunt Matilda
828812	270918	Mrs. Duncan
828812	271194	
828812	273183	Nurse
828812	274299	Aunt Betty
828812	275859	Mrs. Baldwin
828812	276951	Countess Von Stainz
828812	278274	Mrs. Pride
828812	284931	Maude Larrabee
828812	285740	Mrs. Betty Fernack
828812	285741	Lucy Fernack
828812	292189	Mrs. Cavendish
828812	294198	Mrs. Grayson
828812	295338	Mrs. Rhodes
828812	305398	Mrs. Dakin
828812	314354	Mrs. Grosvenor
828812	320203	Mike's party guest
828812	320812	Mrs. McDowell
828812	323407	Mrs. Preston
828812	324582	Mrs. Reynolds
828812	329437	Molly Freneau
828812	329793	Suzanne Stanley
828812	330087	Mrs. Christy, Carol's Mother
828812	330129	Mrs. Hollister
828812	330686	Little Fellow's Mother
828812	330892	Mrs. Arthur Freeman
828812	330893	Harriet Allenbury
828812	331614	Dorothy Craig
828812	331615	Dorothy Craig
828812	340507	Mme. Bouchet
828812	343133	Mrs. Ella Patterson
828812	346043	Aunt Alice
828812	346238	Mrs. Andrew Lorrison
828812	346914	Dress Designer
828812	349636	Mrs. Whittington Todhunter
828812	350645	Mrs. Webster
828812	360479	Mrs. Janet Bentley
828812	362109	Marquise
828812	362112	
828812	363190	Mrs. Betty Dumont
828812	366492	Mrs. Prentice
828812	367511	Aunt Bettina
828812	372531	Mrs. Chanler
828812	372633	Mrs. Jethrow
828813	166994	Rose, the kidnapper [Ch. 7]
828813	220342	
828813	224419	
828814	230385	007 commercial girl
828815	72354	Shirley Johnson
828815	77191	Abbie Hallingsworth
828815	107550	
828815	118021	Lucy Diver
828815	118393	Frightful Folk Duo (Wedding o
828815	214226	Colette Brustein
828815	299040	Det. Sgt. Garland
828815	332070	Panhead's Mother
828815	383844	Suzy Travis
828815	385627	Gypsy Jones (segment film one
828815	395189	Harriet Ambrose
828815	406212	Ruth Evershed (2003-)
828815	408636	D.I. Susan Taylor
828815	408637	D.I. Susan Taylor
828815	408638	D.I. Susan Taylor
828816	39415	Angie
828817	7995	Tracy
828818	215419	Jane Neatherby
828819	308177	Librarian
828820	31221	
828821	126060	Nasia's friend
828822	243230	Amanda
828823	321352	Kris
828824	58002	Animal Girl
828825	41518	FBI Waiter #5
828825	164609	EMT-P
828826	62650	Ladonna
828827	11158	Susie
828827	81186	Letta
828827	96889	Showgirl
828827	108473	American girl
828827	122674	Margaret Lee
828827	170378	Mannequin
828827	211602	Girl at Maxim's
828828	372882	Unemploment Clerk
828829	69257	Female Guard
828830	380605	First Lt Guinevere Green
828831	74213	
828831	92505	
828831	117647	Housemaid in 1917
828831	193583	Percy's Girl
828831	232408	Gladys
828831	272025	Sheila (secretary)
828831	320308	Maid (Phoebe)
828832	16669	TV girl
828832	366078	Tea Lady
828833	115921	Melba
828833	131203	Inez
828833	252035	Geneviève
828833	358690	Grimgerde
828834	358787	Herself
828835	146754	Looloo
828835	304832	Marjorie Drew
828836	3113	Palmira
828836	7806	Dr. Vera Swann
828836	18657	
828836	29153	Mara
828836	70168	
828836	75602	Julia
828836	76206	Jenny
828836	78104	Mme. Dumont
828836	78836	Alexis Chandler Weinberg
828836	99951	Jane Fairfax
828836	100663	Caroline Dester
828836	123326	Polina
828836	166568	Mrs. Archer
828836	171886	Cecilia
828836	180847	Nadja
828836	194583	Lorna Doone
828836	208694	Lucetta Templeman
828836	250737	Annette
828836	253093	Nick Buckley
828836	276386	Celia Clemence
828836	279792	Mary McGregor
828836	281910	Cecilia
828836	288948	Paula Jackson
828836	305087	Vida Warren
828836	323961	Mary Lavelle
828836	339418	Leni
828836	368136	Mrs. Charmond
828836	377862	Helene Lagache
828836	403680	Atia (2005-)
828836	406464	Anne Collins
828837	243363	Helen
828838	137959	
828838	158496	Pathologist
828838	183005	Chieko Mori
828838	334011	Mourner
828839	406459	Herself
828840	161259	Herself
828840	263755	March Cunningham
828840	322749	Nina
828841	69907	Cippio's Girlfriend
828842	169882	Execution Witness #4
828843	185598	
828844	385820	WDC Marcus (2000)
828844	387247	Claudia Fielding (1999)
828845	16076	Jenny
828846	164460	Moira The Farmer's Wife
828847	342332	Little Girl's Mother
828848	41318	Pam
828849	11376	Herself
828849	34748	
828849	112127	Herself
828849	129242	
828849	246507	
828850	104522	Olga
828850	118199	Pitti-Sing, a Schoolgirl
828850	204649	Rosette
828850	243656	Bradamante
828851	138692	Mrs. Adams
828852	151196	Ruth
828852	197016	Kat
828852	304945	Nan Zachery
828853	129538	Queen Elizabeth I
828853	170499	Cornelia
828853	177524	Andromache
828853	213303	Wise Old Lady
828853	281272	Gertrude
828854	203286	Jane
828854	314719	Pizza Waitress
828856	116289	Party Girl
828857	257268	Heidi
828857	405372	Pancha
828858	195	Agnes Fletcher
828859	35690	Landa
828860	379132	Madame Olwie (Chapter 2)
828861	370872	Herself
828862	269815	Hooker
828863	107483	School Child
828864	160575	TV reporter
828864	354488	Michelle
828864	368060	Mrs. Jessop
828864	381685	Isabel Hutchinson
828864	383998	Renee Bryson (1996)
828865	342332	Little Girl
828866	50439	Stacey Walker
828866	236371	(segment "But Charlie, I Neve
828868	112005	Megan
828869	59873	
828870	231069	Cliff's Wife
828870	330246	Telephonist in Hotel
828870	385165	Presenter
828870	392467	
828871	306197	
828871	313172	Doris Norris
828872	273306	Herself
828873	1883	Sara
828873	98356	Perla Willis
828873	185648	Reporter
828873	369466	
828873	400621	Rosetta (1999)
828874	345690	
828875	24790	Camera Girl
828876	12361	Jane
828876	42224	Natalie
828876	152932	Kosovoan Refugee
828876	362397	Girl at Train Station
828876	403805	Livvie D'Angelo #2 (2004-)
828877	94233	
828878	42555	Dream Girl
828879	1828	Peggy Markley
828879	16095	Bangs
828879	38047	Mary
828879	41044	Eileen Fletcher
828879	78090	Annie
828879	82379	Cousin Betty
828879	110413	Milly
828879	142637	Maid
828879	161901	Cecile Mannix
828879	209444	Nancy Richards
828879	220333	Lobelia Sheppard
828879	275747	Kay Larkin
828879	323420	Jane Winters
828879	330908	Miss Fairchild
828879	356800	Alice
828880	55891	Carole
828881	32452	
828881	33873	Mary
828881	34902	Hannah
828881	89073	
828881	89074	Herself
828881	197872	Jane
828881	290407	
828882	109365	
828882	191331	Johnni
828882	312035	Demon
828882	319684	Candy
828883	273826	Sharecropper's Wife
828884	166708	Jenny
828884	167061	Sister Anna
828884	275790	
828884	295328	Christine Rohas
828884	368449	Valarie 'Val' Campbell Boyd
828884	379068	
828884	401350	Carolyn Russell (1968-1969)
828885	176453	Claudia
828885	189238	Karen Covucci
828885	201845	Alma Rockwell
828885	312131	Yvonne Hayworth
828885	322632	Nancy Bosca
828885	383385	Lizbeth Bachman (1982-1986)
828885	389858	Olivia St. John Jerome (1988-
828885	390771	Marie Green (2003-2004)
828885	392620	Host
828885	400236	Alex Olanov Hesser Buchanan B
828886	87891	Pretty Female Customer
828887	161922	Telescope Gal
828888	245337	Gwen
828889	138692	
828890	27146	Police Officer
828890	360084	Tamara
828891	6249	Teenage Fauna
828891	375047	Patricia Ziegfeld - age 2
828892	60713	Mourners
828893	45853	Selwyn Voice
828893	339566	
828893	380999	Various Characters
828893	405209	Angela Jefferson (1998)/Dawn 
828894	150127	Girl In Gondola
828895	110196	
828896	47132	Alice Swallow
828896	55047	Adelaide Marcel
828896	85822	
828896	234141	Mrs. Van Buren
828896	282688	Lady in Waiting
828897	28880	Ann
828897	233989	Journalist
828897	280131	Emma Cross
828897	312542	Althea
828898	301933	Stella Randolph
828899	63719	Yufura
828899	125942	Narisawa
828899	139492	Luna
828899	297223	Apoline Paria
828899	410444	Lemon
828900	385020	Susan Barlow/Baldwin (III) (1
828901	13971	Lisa
828901	31738	Virginia
828902	4906	Iris
828902	51503	
828902	58543	Margaret Howe
828902	59117	Anna Arkwright
828902	73641	Mrs. Cromwell
828902	77969	Ginny Murray
828902	79989	
828902	89254	
828902	93579	Her Ladyship
828902	99838	Joan Bell
828902	117269	
828902	128293	Mildred Birkett
828902	142534	Julie Hargis
828902	153773	
828902	185642	Eileen
828902	190721	Laura
828902	206164	Kay Mason
828902	222643	Betty Drew
828902	230831	Mrs. Dubrovski
828902	273834	Hilda Greening
828902	286693	Aunt Jane
828902	290356	Agnes
828902	295356	
828902	306295	Mary Donovan
828902	337859	Annette Lane
828902	340580	
828902	363037	
828902	379590	Victoria Hackett #1 (1970)
828902	384332	Christine Barlow
828902	385889	Edna Springer
828902	396665	Susan Lampton
828902	399815	Queen Victoria
828902	405511	Mary Drew
828902	406919	Helen Halliday
828902	407779	Helen Stanton
828903	57888	Woman with Broom
828905	116675	Little Girl
828906	265080	Wiesia
828907	381910	Herself (Series 1) (2000)
828908	211799	
828909	81669	Dorota
828909	164255	Mother
828909	172825	Makowski's fiancee
828909	181359	Zofia, Cook
828909	242460	Washerwoman
828909	249815	Capo
828909	249885	Priest's Wife
828909	255497	Andzia
828909	322138	
828909	357962	
828909	373551	
828910	117101	Model
828910	391337	Helena, Nurse A
828911	59194	Childbirth Nurse #2
828911	143535	Tethys/Mnemosyne
828911	264499	Elizabeth's Friend
828911	378757	Various Characters
828911	389527	Various (1987-1989)
828911	390630	Lady Evelyn
828911	393049	Various Characters
828911	398205	Various Characters
828911	406931	Team Leader
828911	410883	Presenter (1989)
828912	1385	Cecilia Hall
828912	6171	Girl
828912	38426	
828912	109320	Mother
828912	120236	Jennifer
828912	128080	Elise
828912	154323	Wesslen
828912	158686	Toinette, maid
828912	170837	Ingrid
828912	187639	Beatrice
828912	198266	Armande
828912	216677	
828912	225233	Greta Vinqvist
828912	227103	
828912	268155	Clara
828912	268380	Kristina
828912	270935	Annemarie
828912	284386	Beatie Bryant
828912	289731	Fru Palm
828912	303206	Karen Frick
828912	310254	Gangsterbruden
828912	314386	Pregnant girl
828912	320609	Ulla-Britt
828912	320956	Julia Körner
828912	357803	Julia Karlsson
828912	388440	Gun
828912	403084	Elisabeth Leerwacht (1993-199
828912	405538	Doctor Soederberg
828913	149563	Herself
828914	12769	
828914	54386	Edith Henderson
828914	328752	Reta
828914	345824	Topsy
828915	228608	Bouncer
828916	220644	Mona
828917	66655	Donna Halifax
828918	59581	Dorothy
828919	4642	Parking Lady
828920	148816	Extra
828920	392443	Extra
828920	405720	Herself
828921	282553	Mary Cole
828922	281962	Second Player
828923	308121	Bit Part
828924	19797	Clarisse
828924	117545	Fraulein
828925	5194	E. Greenbaum
828926	7413	Miss Webb
828926	10596	Martha Foster
828926	19167	Mother Ambrose
828926	25868	Miss Wall, Tom's War Time Sec
828926	35663	Mrs. Daniels
828926	40024	Miss Mills
828926	40441	Nurse
828926	44503	Mrs. Randall
828926	45685	Mrs. Harper
828926	50919	Emily Harris
828926	59606	Harriet Green
828926	78802	Mrs. Rowland
828926	105204	Carol
828926	112745	Matron
828926	118236	Woman
828926	128790	Head Matron Marsden
828926	134091	Mrs. Wexford
828926	142508	Mrs. Haddock (a madam)
828926	144764	Mrs. Martha Brooke
828926	148423	Head Nurse
828926	158331	
828926	165561	Reporter
828926	175175	Judo instructor
828926	188404	Wales' Secretary-Receptionist
828926	188542	Graylady
828926	190179	Hosiery Woman
828926	195794	Miss Hattie Geeves
828926	199752	Miss Joyce
828926	203175	Miriam
828926	205339	Ann Harris
828926	215975	Miss Gallagher
828926	223019	
828926	241525	Mae Michaels
828926	246603	Miss Ames
828926	249576	Day Matron, with Vicki in cou
828926	257963	Dr. Sprouk
828926	291513	Mrs. McGill
828926	307863	Mrs. Stevens
828926	308576	Nun
828926	313321	Woman
828926	329987	
828926	330689	Maria
828926	345860	Mrs. Bitt
828926	349983	Kate Shannon
828926	363282	Annie, Nurse
828926	366157	Mrs. Ross
828929	157969	Photographic model
828931	65947	Jasmine
828931	370851	Kathie
828931	382052	PC Di Worrell (1999-2002)
828931	382239	WPC
828931	385978	Cordell Hospital Nurse
828932	299664	Boo
828933	81459	Guest of Honor
828933	88662	Nurse in Hallway
828934	206191	Belinda
828935	313479	Ewok
828935	346142	Hotel Guest
828936	304759	Cindy Hammersmith
828937	169433	
828938	389707	Herself (2000)
828939	389858	Lucille March Weeks, R.N. (19
828940	346063	Anner Lizer
828941	62280	Susan
828941	224021	Sarah Jane
828941	378939	Payne's Girlfriend
828942	40301	Betty Jay
828942	58666	Barbara Morgen
828942	74104	Director Judith Leach
828942	75519	Newswoman
828942	160560	News anchor
828942	221043	Swimmer's mom
828942	282919	Jackie Kennedy
828942	366665	
828942	382419	Linda Randolph (1998)
828942	409658	Syndra
828942	411284	Ellen Talbot
828943	291273	Lydia
828944	84301	Gustav
828945	300909	Mrs. Glickburn
828946	131232	Extra
828947	131232	Extra
828948	49233	Waitress
828948	206524	Blonde
828949	235403	Flight Attendant
828950	41319	
828951	401875	Herself - Finalist (2004)
828952	264463	Girlfriend
828953	236762	Louise
828954	71550	Mrs. Hendrijk
828954	88027	Matron
828954	238298	
828954	408266	Anna
828955	248093	Evelyn
828955	371392	Casey
828956	380391	Marianne Randolph #9 (1977-19
828957	128192	Model
828957	149261	Bridesmaid
828957	190179	Model
828957	300068	A show girl
828957	300124	Appelton's secretary
828957	308569	
828957	333054	Showgirl
828957	346914	Fashion Model
828957	348327	Goldwyn Girl
828958	159497	
828959	131541	Young Molly
828959	239891	Baby (4)
828959	260301	Isabel
828959	283368	Young Tammy
828959	288829	Young Casey
828960	182977	Tod PA
828962	55138	Herself
828963	248386	Aggie
828964	361218	Herself (attorney)
828965	24695	Disco patron
828965	253915	Indian
828966	252912	Zoe Hamilton
828967	213509	Mignon, the child
828967	252739	
828968	11533	Diane
828969	303517	Barbie
828969	316782	Jello Wrestler (Winner)
828971	26077	Mrs. Pennock
828972	9015	Marcia Bradford
828972	66314	Pretty Nurse
828972	71429	Herself (model)
828972	85055	Hat Check Girl
828972	92959	Student
828972	101071	Jenny Hartmann
828972	154481	Fifi
828972	168681	Mabel
828972	173511	Soubrette
828972	188387	Lead Dancer
828972	222592	Beryl
828972	231780	Miss DuBarry
828972	270918	Model
828972	280974	Betty Ross
828972	282365	Helen Hobart
828972	319205	Julie Craig
828972	329335	Gloria, Divorcee with Problem
828972	335248	Queenie Fontaine
828972	337366	Hawaiian Girl
828972	367573	Louella O. Parsons
828972	367919	Woman in Cabinet
828972	372116	Girl
828972	372932	Switchboard Operator
828973	32046	
828974	129218	Bobo
828974	219904	Alice
828974	255399	Funeral Guest
828974	300351	Mrs. Wilson
828975	131359	Mother's Baby
828976	10342	
828977	41179	Cashier
828978	26394	Amy
828978	61761	Amy
828978	82662	Little Girl
828978	178932	Young Nea
828978	219979	Amy
828979	18544	Sharks Trainer
828979	75681	Blonde Female Pilot
828979	158433	Hairstylist
828979	397617	Nurse Lorraine
828980	19960	Bit
828980	47311	
828980	65937	
828980	75316	Rose
828980	78713	Ethel Slavin
828980	118446	Mrs. Miller
828980	135589	Bess Maynard
828980	156494	Mrs. Z
828980	166729	Polly Primrose
828980	218712	Plantation owner's wife
828980	273513	Woman in Ballroom
828980	274116	
828980	291853	Madge
828980	316232	Woman
828980	331087	Woman
828980	334461	Valerie
828980	361681	Woman at Bar
828980	363248	Bit Part
828981	119822	Police Officer
828982	272876	Maid
828983	126058	Herself
828984	297838	Laundry Leonard
828985	244928	Woman in Auditorium/Ensemble
828986	310989	
828987	218474	Sharon
828988	317928	Victim
828989	295491	Eve
828990	382282	Nurse Butler
828991	203728	Ethel Carr
828991	211620	Countess Gisella Von Steinbru
828991	237994	
828991	249221	Virginia Irving
828991	292328	Mrs. Walker
828991	311402	Millicent Lee
828991	362345	Bertha Dunlap
828992	192575	Herself
828993	68870	Hostess
828994	384783	Diana Fielding
828994	395690	The White Witch
828995	149390	
828995	171258	
828996	186618	Fatty
828997	57372	Madeline Mischief
828998	335807	Singer
828998	365259	
828999	233304	Bonnie Tucker
828999	358707	Bonnie Tucker
829001	22016	Hotel Manager
829001	26721	Ada Bradley
829001	32356	Mrs. Gordon
829001	58477	Emily Greer
829001	74980	Mrs. Webber
829001	78771	Lydia Harper
829001	92983	Mrs. Allen
829001	104334	Mrs. Dodds
829001	108954	Mrs. Hancock
829001	118809	Mrs. MacPherson
829001	139800	Shirley White
829001	164498	Jack's Mother
829001	176872	Mother Superior
829001	185544	Mrs. White
829001	194093	
829001	206527	Mae Lambert
829001	213249	Mother Catherine
829001	218811	Martha Otis
829001	230391	Miss Tucker
829001	245197	Martha Lewis
829001	266574	Hardware Store Customer
829001	271203	Mrs. Toomey
829001	274728	Mrs. Trimble
829001	277860	Mrs. Bartold
829001	302995	Miss Price, Lang's Secretary
829001	311557	Fainting Woman
829001	316593	Mrs. Martha Palmer
829001	318773	Wife
829001	327746	Marian Jackson
829001	329437	Rose Halliday
829001	331710	Mrs. Colt
829001	332880	Warden
829001	346240	Mrs. O'Rourke
829001	356293	Woman
829002	133060	Shirley Saunders
829003	11393	
829003	32784	
829003	40510	
829003	42393	The Maid
829003	47591	
829003	78060	
829003	101515	
829003	109908	
829003	117884	Mrs. Newell
829003	133841	Herself
829003	146297	
829003	152602	
829003	184534	
829003	186312	
829003	194776	
829003	215007	
829003	239768	
829003	257186	
829003	280910	
829003	283365	
829003	300826	Sylvia Curtis
829003	327610	
829003	337414	His Daughter (Alice Trubus)
829004	100193	Costumer 3
829004	387719	Herself (Host)
829004	410827	Herself - Correspondent (1987
829005	239616	Caroline Braxley
829006	41396	Lear
829006	274435	Emporium cashier
829007	31696	Julie MacDonald
829007	36996	Susan Lowell
829007	40441	Poppy
829007	85016	Kelly
829007	129231	
829007	131472	Bonnie Conroy
829007	163350	Bess Williams
829007	167558	Barbara Whitfield
829007	184355	Guinevere
829007	195190	Louisiana belle
829007	203352	Edna Wallace
829007	205036	Laura Kingsley
829007	228338	Mary Dalton
829007	308586	
829007	313343	Katrina
829007	315518	Elizabeth
829007	362959	Sylvia Marco
829007	372139	Madge
829007	375045	Ziegfeld Girl
829008	348753	Shinobu
829009	34642	Waitress #1, Casa Chihuahua
829009	124535	
829010	178286	9th Waitress
829011	112424	Secretary
829011	149332	Cindy
829011	257300	
829011	274199	Jenny
829011	328527	Marie
829012	1744	Herself/Audience Member
829012	23919	Herself
829012	68097	Kat Slater
829012	96867	Performer/Herself
829012	96872	Kat Slater
829012	387247	Kat Slater/Moon (2000-)
829013	306600	Lizzie Hoey
829014	231419	Miss Irvine
829015	27841	Go-go dancer
829015	87397	Hooker in Black Mustang
829016	79018	Ginny
829016	151304	Mrs. Bagley
829017	98906	Nurse in Morgue
829018	109395	Hip Bag Lady
829018	223963	Cajun Waitress #1
829019	56585	Ellen
829020	16005	Bertha
829020	25851	Mrs. Sturge
829020	41407	Julie
829020	85019	Mary Henson
829020	112205	Major Iceborg
829020	140535	Ward Sister
829020	192702	Rosika Miklos
829020	194232	Billy's mother
829020	197506	Inga Schmidt
829020	199079	Coaxer
829020	232104	Hilda Krantz (30th Anniversar
829020	287729	Peggy Quinn
829020	383660	Tony's mum
829020	395178	Mrs. Avery (2000-)
829020	395529	Ruth
829020	395535	Miss Candy
829020	399192	Serpentine
829020	404795	Edith Lieblang
829020	406184	Alison
829020	408273	Lady Chalmerston
829021	137650	College Kid
829021	317928	Victim
829022	131052	Christina Martine
829022	190324	Sarah
829023	137259	Gym Teacher
829024	379978	Herself (eliminated 6th) (200
829025	93123	Mouseketeer
829026	184191	Herself
829027	29923	
829027	29958	Women in Sandals
829027	32549	
829027	37002	Hooters Waitress
829027	43530	Bound Girl
829027	54658	Whistle Blower
829027	91920	Caprice
829027	102798	Amy
829027	102839	Katie
829027	128162	Galaxia
829027	147972	Facial Mist Girl
829027	160444	Herself
829027	248125	Chick #1
829027	257607	
829027	334725	
829027	335598	
829027	343951	
829027	365451	Bikini Girl
829027	366736	Martha Rudolf
829028	259269	Sherry Moore
829029	196317	
829029	314401	
829030	59690	Jess's Fiance
829031	79901	Diane Reynolds
829031	234226	Madge
829032	23339	Reporter
829032	43873	Jessica's Mom
829032	383766	Host (2004)
829032	404657	Number 1
829032	406178	Louise
829032	406707	Judge Adriana Saunders
829032	410722	Herself
829033	128303	Gloria
829034	3626	Herself
829034	31185	Herself (CBS Team)
829034	42385	Carol Kester Bondurant
829034	56462	Myra Elliott
829034	65374	Herself
829034	67587	Woman at Inquest
829034	67592	Woman
829034	113472	Daisy and Cary's Friend
829034	116209	Connie Martin
829034	117657	Ellie
829034	127323	Miss Boggs
829034	134313	Boom Boom Shavelson
829034	161381	Herself
829034	224149	Peggy
829034	262519	Alice Kidd
829034	302272	Edna Krabappel
829034	302277	Edna Krabappel
829034	326741	Ms. Molloy
829034	372225	
829034	382356	Carol Kester Bondurant
829034	383280	
829034	389501	Mrs. Carruthers (1993-1995)
829034	397076	Guest panelist
829034	397081	Herself/panelist
829034	405405	Edna Krabappel (1990-)
829034	407957	Maggie Hawley
829035	78937	Herself
829035	205268	Woman at Auction
829035	292451	Woman Driver
829035	380391	India Bishop Delaney (1970)
829035	385719	Eve (1968)/Danielle Roget (19
829035	390771	Johnsie Lafite (1989)
829035	400236	Molly O'Day (1999)
829035	405882	India Bishop Delaney Hillman 
829036	403565	Herself/Correspondent
829037	2597	Bar girl
829037	73561	Sexy Patient
829037	88867	
829038	10587	Party guest
829038	67156	Peggy Small
829038	85828	Party Girl
829038	98151	School Girl
829038	178015	
829038	183831	Debutante
829038	192408	Boarding house girl
829038	203332	
829038	213288	
829038	216000	Autograph Girl
829038	229501	
829038	272874	Autograph hound
829038	278174	Fisherman's Wife
829038	372431	
829039	262620	
829040	34403	Girl
829041	99475	Mrs. Brenner
829041	195903	Mrs. Arnold
829041	252489	Night matron
829041	289568	Eugenia Caldwell
829041	323941	Mrs. Wetzell
829041	360527	Autograph hound
829041	366793	Sister Margaret
829042	19739	Autograph Seeker
829042	32807	Spanky's grandmother
829042	37540	
829042	45675	
829042	50596	
829042	59842	
829042	67170	
829042	71794	Miss Wallace, Head nurse
829042	72700	Jean's mother
829042	75277	Mollie
829042	89650	Mrs. Andrews
829042	108021	Nurse Alice
829042	116059	Mother
829042	119482	Friend of Mrs. Clark
829042	127728	Mrs. Cecily McGimsey
829042	144818	Mrs. Daniels
829042	160971	Mother Superior
829042	163287	Mrs. Void
829042	166240	Bit Role
829042	176319	Kids' mom
829042	183759	
829042	190512	
829042	195282	Mrs. Chigger
829042	195500	Jackie'a mother
829042	202629	
829042	213180	Mrs. Withers
829042	224050	Hilda
829042	236097	
829042	239078	Etiqutt Instructor
829042	239345	
829042	240933	Bit part
829042	243217	Matron
829042	246703	Jury Member
829042	255146	Joe Jenkins' Landlady
829042	260112	Second housewife
829042	273205	Wheezer's mother
829042	273787	Auntie Meyrick
829042	279517	Mrs. Jenks
829042	285683	Society lady
829042	304092	
829042	304305	
829042	305508	Mrs. Baxter
829042	342466	Mrs. Laurel
829042	343252	Mrs. Bainbridge
829042	360235	Cook
829042	362448	
829042	362571	Mrs. Cosgrove
829042	363248	Woman
829042	372092	Mrs. Cobb
829042	372359	Jacquie's Mother
829042	372596	
829042	374522	Townswoman
829043	283248	Late Pass Clerk
829045	47993	Red the Stripper
829045	368110	Girl In School Hallway
829046	45681	Bertha Luff
829046	130839	
829046	270649	Charlady
829046	350641	
829046	366667	Mrs. Beasley
829047	310070	
829048	2815	Herself - Best Original Scree
829049	23578	Lily Jo
829049	229311	Security Guard
829050	165966	Skier
829051	335614	Woman
829052	324371	Banner Journalist
829053	220165	
829054	340827	Woman at Plant
829055	107483	Interviewee
829056	6800	Miss Ingraham
829056	7038	Mrs. Morley
829056	24770	Mrs. Carlton Morris
829056	25868	Mrs. Sedley
829056	28782	Mrs. Ransom
829056	32352	Head Nurse
829056	32912	Mrs. Cantwell
829056	41010	Mrs. Frazier
829056	74288	Mrs. Smythe
829056	77792	Saleslady
829056	78793	Mrs. Bryson
829056	94290	Edna
829056	107020	Mother
829056	144776	Miss Spencer
829056	154631	Mrs. Nelson
829056	157121	Nurse
829056	188391	Mrs. Lansworth
829056	202248	Myrtle Keller
829056	214961	Martha
829056	221124	Mrs. Conderley
829056	223943	Mrs. Crandall
829056	231768	Tina's mother
829056	231925	Mother-in-Law
829056	253504	Mrs. Partridge
829056	255881	Mrs. Mallory, Don's Mother
829056	268154	Hostess
829056	270432	Mrs. Green
829056	289688	Mrs. Van Pelt
829056	298594	Mrs. Partridge, Nancy's aunt
829056	305771	Middle-Aged Woman
829056	313118	Wife of General
829056	321532	Cornelia Kathridge
829056	321820	
829056	323609	Mom Palooka
829056	330892	Mrs. Lornow, Costume Party Ho
829056	339901	Mrs. Nolan
829056	342745	Mrs. Abbott
829057	6219	Kim Canetti
829057	13731	Emma Potts
829057	86739	Muriel- Sue
829057	139778	Karin/Generic Child in Classr
829057	303537	Peggy Cleaver
829057	317926	Amy Harris
829058	121814	Herself
829059	80416	Cordoba's Guard
829060	350	Maggi Christopher
829060	27033	Evelyn Hough
829060	34722	Herself
829060	34723	Herself
829060	40175	Beth
829060	49932	
829060	54362	Anna
829060	66582	Mrs. Shaw
829060	78920	Liz Llewellyn
829060	113474	Irene Davidson
829060	219208	Queen
829060	245074	Julia Martin (Story 1 "I Don'
829060	245277	Diana Von Flugel
829060	266671	Mrs. Knught
829060	275294	Nancy Petersen
829060	312342	June Phillips
829060	316948	Sgt Lucy Andrews
829060	360004	Honor Mazzini
829060	379746	Elaine Seymour
829060	381326	Tracey Deane
829060	381512	Herself
829060	381514	Herself (2000)
829060	383658	Kate Keppel
829060	384962	Pamela Taylor
829060	386508	WPC Jane Bell (1975-1976)
829060	387267	Elizabeth O'Connor
829060	388860	Pamela Winter-Smith
829060	391869	June Reynolds (2000-2002, 200
829060	399816	Muriel Thompson (1975-1976)
829060	400646	Mara de Villenois/Devlin #1
829060	402012	Harriet Marshall
829060	402197	Anne Griffin (1980-1981)
829060	403832	Rusty Collins
829060	405062	Clarissa
829060	405960	Patricia Dunne Hamilton Morre
829060	411760	Margie Harris
829061	14989	Helen
829061	42904	May
829061	70393	Emma Mercer
829061	73883	Hotel Proprietress
829061	91705	Rose
829061	121836	Adèle
829061	126035	
829061	131764	Carlotta
829061	133958	
829061	134035	Mrs. Dubeck
829061	156970	Nurse
829061	185445	
829061	222657	Wilma
829061	242106	Charlotte
829061	323375	Rose
829061	330762	Virginia Watson
829061	331022	Mary
829061	334171	Nancy Grady
829061	365559	Judge
829061	365833	Willie's Mother
829061	380823	Margaret Carter
829061	395284	Mrs. Simpson
829062	92618	Dr. T's Patient
829062	213445	
829062	213446	
829063	164467	Various voices
829064	308713	Mrs. Klubock
829065	137560	Molly Johnson
829065	196902	Shopper
829066	165328	Herself
829067	88623	Double Dutch Girl
829068	28444	Becky
829069	41868	Letty
829069	105959	Mavis
829069	250448	Nadia
829069	384766	Jonno's Mum (Mrs Fox)
829069	395625	Kitty Sowter
829069	395879	Mrs. Jilks
829069	396965	Landlady of the Bull
829069	399379	Jackie
829070	365415	
829071	63098	Coach
829071	185180	Night Nurse
829071	185736	Nurse Sophie
829072	298119	Sweat Shop Worker
829073	108602	
829074	402112	Herself/Model 1956-1965
829075	26981	Militant
829076	42222	Buxom lady
829077	290352	Muriel
829078	97301	Sandy
829078	102703	Beatrice
829078	150214	
829078	151732	Showgirl
829078	161980	
829078	236371	(segment "Nudist Patrol")
829078	355982	Janet King
829079	113658	Celebrant
829080	196372	Montage typist
829081	37579	Herself
829082	190994	Chi
829083	108602	
829084	310549	Herself
829085	16113	Microscopist
829085	54629	Crickett
829086	606	Mary Lewis
829086	1224	Laura's Mom
829086	4970	Ethel Hoss
829086	6259	Betty Ann Brennan
829086	6507	Jill
829086	11511	Sandy Benson
829086	11946	Christine Hodges
829086	21203	
829086	27117	Rodman's stepmother
829086	34913	Georgia
829086	36425	Alta
829086	39374	Barbara Sullivan
829086	41921	Mrs. Garrison
829086	43787	Nurse Russell
829086	47985	
829086	61552	Mary Jacobs
829086	63090	Jenny
829086	64557	Herself/performer
829086	66123	Tilly Francesca
829086	70563	
829086	73572	Helen Brown
829086	74932	Donna Trenton
829086	80413	Sharon Scaldafieri
829086	80732	Susan Randkin
829086	96592	Herself
829086	96593	Mary
829086	96594	Herself
829086	101053	Jan
829086	114353	Dr. Roswell
829086	114672	Ann
829086	114953	Ariel
829086	120297	Patricia Ann Bradley
829086	138699	Marilyn
829086	138700	Herself
829086	141086	Dr. Bell
829086	145396	Lynne Wood
829086	149938	Laura Kenrick
829086	151788	Karen White
829086	152201	Darlene
829086	154648	Elaine Zakarian
829086	154944	Wanda Thatcher
829086	161924	Laura Griffin
829086	161925	Laura Griffin
829086	167708	May
829086	172605	Susan
829086	176831	Sarah Fairchild
829086	190570	Jean Markley
829086	194238	Herself
829086	196209	Linda Jones
829086	200092	Sean's Mom
829086	201661	Herself
829086	214925	Elizabeth
829086	217532	Suzanne Guthrie
829086	218555	Sarah McCabe
829086	223503	Patricia
829086	230279	Ruby
829086	245119	Penny Hart
829086	246028	Mitzi Packer
829086	248438	Patricia Paradise
829086	252898	Sharon Rocha
829086	252924	Gina Mitrou
829086	254765	Mother
829086	256636	Glenna
829086	260318	Suzanne
829086	265869	Jackie Fields
829086	276169	Sarah Sweeney
829086	283422	Mrs. Gordon
829086	288754	
829086	291903	Morgan
829086	292291	Connie Ryan
829086	292664	Maxine
829086	295622	Francine Heitmeyer
829086	296842	Morgan Hanna
829086	298105	Maureen Shawnessy
829086	302362	Vicki McGary
829086	303754	Lois Curtis
829086	303819	Lucille
829086	303836	Heather Crane
829086	304341	Dr. Maureen Harris
829086	310989	Jayme Chadha
829086	314444	Nettie
829086	316230	Annie Whitman
829086	317816	Sissy Bonner
829086	327641	Allison Mackie
829086	334243	Julia Brennan
829086	347376	Herself
829086	350477	Megan
829086	358274	Pat Peters
829086	361257	Herself
829086	362033	Janet Landon
829086	366997	Emily Dawson
829086	367924	Host
829086	372626	Leslie
829086	391549	Morgan
829086	408425	Lori Randall
829087	404613	Georgia Patterson, R.N. (1971
829088	11024	Audrey
829088	24584	Michèle
829088	183906	Aurore de Nevers
829088	339931	
829088	340121	Gwanaelle
829089	77220	Kares Krosby
829089	97035	
829089	114283	Screen Tests
829089	123849	Jenny's Girl
829089	123986	Herself
829089	131780	Diane
829089	177369	Autograph Seeker
829089	192685	Laura
829089	194358	Claudia Romeo
829089	230868	His Friend
829089	259749	Barbara Kadish
829089	308018	
829090	225876	
829091	143918	
829091	197730	Woman #1
829092	100192	Rose
829093	97826	Ruth
829093	108353	Jessica Winfield
829093	116330	Shari Smith
829093	147767	Shirley Weintraub
829093	210874	Dolores
829093	216127	Nancy
829093	254514	Wanda Hickey
829093	282667	Princess Marguerite
829093	283551	Secretary
829093	295397	(segment "Greed")
829093	326602	District Attorney
829094	152655	Esther Kantor (adult)
829094	235585	Molly
829095	74217	Alison Sinclair
829095	132890	
829096	83476	Mom
829096	342370	Marcy Danoff
829097	211600	Hansen sister
829098	147745	Hot Tub Brunette
829099	142234	Vivianne
829099	163496	Production Assistant
829099	202779	Miriam
829099	268332	Vikarien
829099	284371	
829099	315363	Momma
829099	348985	Louise
829100	109139	Kvinna på flyktingförläggning
829100	169512	Mona
829102	21729	
829102	142636	Liisa
829102	179291	Simon enkeli #2
829102	180841	Leila
829102	182538	Leena, student of Psychology
829102	184804	
829102	213414	Milla Kurki
829102	226808	Liisa, teacher of gymnastic
829102	349737	
829103	396772	Young Maria
829104	2252	(segment "Sida, c'est les aut
829104	15062	
829104	25164	Lucienne
829104	48229	Lisbeth
829104	87428	Miss Krista Knudsen
829104	95303	
829104	106109	Rivas' Gang
829104	108538	Liv
829104	124419	Barbara
829104	149202	Fleur
829104	216003	Carole
829104	284162	Elsa
829104	300647	
829104	303481	Une comédienne
829104	321239	Isabelle
829104	329278	Miss Kirby-Shaw
829104	345071	Mona
829104	353847	Lili
829104	376931	Natacha
829104	377014	Britt
829104	377239	Alix
829104	378062	Isa
829104	400869	La Galloise
829105	32860	
829106	161840	Laura
829107	10670	Penny
829107	195305	Lorraine
829107	304829	Loretta
829107	383496	Skit Characters
829107	403598	Dr. Paula Hutchison/Virginia 
829107	405085	Skit Characters
829108	326511	Herself
829108	350636	
829109	257232	Care Girl
829110	351932	Girl in School
829111	14689	Mariana
829111	58155	
829111	70228	Nun
829111	387849	Alice Carvalho
829112	44491	
829112	89271	Arcade Girl
829112	342549	Harriet Hayward
829113	98097	
829113	251941	Surinasussu #2
829113	303708	
829113	334825	
829114	209949	Leena Tuhkanen
829115	228388	Solveig
829116	375223	Club Girl
829117	2687	Grace From
829117	51291	Ella, a loose girl
829117	83091	Girl being picked up in the r
829117	108574	Irene Petræus
829117	120381	Applicant blond artist at the
829117	138034	Pupil at the girls' boarding 
829117	154131	Laura, chorus girl
829117	182851	Friend, dancer at the Pantomi
829117	209315	
829117	266160	Friend of Ella Rode and Lis S
829117	344048	
829117	360833	Friend
829118	388593	Kylie
829119	18347	Olga
829119	139576	
829119	238591	
829119	373768	Katrijn
829120	19283	Maria
829120	26520	Mutter
829120	40417	Eva-Maria Linde
829120	48121	Anita Graf
829120	70765	
829120	79182	Mutter
829120	122581	
829120	126375	Hanna (segment "Materna")
829120	138690	Omi
829120	153292	
829120	173381	Maria Morzeck
829120	174214	
829120	206559	Martas Mutter
829120	259508	
829120	259575	
829120	259577	Christine Bronski
829120	259691	Angelika Bernert
829120	282223	Eva
829120	290629	Martina
829120	311120	Herself
829120	312634	Franziska Bennewitz
829120	312639	Marion Wilke
829120	312646	Eva Schenk
829120	336507	Doris
829120	346996	
829120	347814	Frau Mietzel
829120	379120	Wally Reither
829120	385660	Rosemarie
829120	389285	Anne/Anna Schlomka
829120	397743	
829120	400449	Eva Braun
829120	406328	
829120	411173	Philine
829121	26144	
829122	64093	Rosemarie Braddock
829123	106243	Candy Lupika
829124	23449	Beverly Carver
829124	185151	Theresa Davis
829125	153147	Prison Guard
829126	232181	Cassandra
829127	12189	
829127	91615	
829127	142148	
829127	163298	
829127	176491	
829127	195325	
829127	200845	
829127	223715	Ann Wilson
829127	307882	
829127	329814	
829127	363127	
829127	363185	
829128	77545	Starlet
829129	150966	Penny
829129	316494	Plum Puddin'/Plum Berrykin/Or
829131	90922	Secretary
829132	73612	Herself
829132	187189	KTLA Channel 5 Anchor
829133	349513	Voice
829134	214000	Little Mayoress
829135	356313	Dancer
829136	33084	Mary Woodford
829136	61781	Alice Crimson
829136	114190	Judith Armstrong
829136	127225	
829136	216453	Rose MacConochie
829136	222664	Miss Mimms
829136	222758	Miss Canning
829136	330499	
829136	331348	(2: Mettawamkeag)
829137	134162	
829138	328289	Vicky (Soap Opera)
829138	383462	Bedtime Bear
829140	54108	Clara, Helen's roommate
829142	41883	Anna's vriendin
829143	120298	Student
829144	31643	Bonnie Graham
829144	34087	Linda
829144	43425	Amy Willard
829144	48482	Catherine
829144	92482	Guest appearance
829144	127125	Lili Morton
829144	127486	Gidget (Frances Lawrence)
829144	163415	Delilah Dawes
829144	294742	Amn. Lucy Turner
829144	295484	
829144	303900	Linda Hughes
829144	311230	Les
829144	318740	Julia Carey
829144	372628	Debbie
829144	398297	Suzie Hubbard Buell
829145	241244	Party-Goer #8
829146	69771	Sue Wister
829146	72602	Pamela Hayes
829146	135927	Lorna
829146	186131	
829146	280195	
829146	283398	Jogger
829146	292818	Angela
829146	321581	Sarah
829146	343248	Drew Taylor
829146	398558	Carmen Flint
829147	387647	
829148	412298	Maja
829149	315976	Den skjønne ukjente
829150	51784	
829151	294838	Justine St.Juste
829152	10177	Sandra
829153	276139	Woman in musical number
829154	13325	Garter's sister
829154	115429	Ms. Beate Louise Schmalenberg
829154	123495	Countess Cronhielm
829154	182799	Beate-Marie
829155	334037	Millan
829156	377386	Nisse's Other Girl
829157	109130	Alice
829157	121015	Elsie
829157	270494	Ann-Mari Sofia Lindelöf
829158	265930	Proserpin
829159	322277	Mrs. Jönsson
829159	395763	
829159	405587	
829160	219437	
829161	209085	Villager
829161	213940	
829161	393746	Matti
829162	182583	Annika's Friend
829163	1215	Herself - Presenter: Gemini H
829163	66991	Herself
829163	168843	Herself
829163	352136	Herself
829163	358985	Herself
829163	383316	
829164	192644	Nurse
829165	406626	Ellen Hofsten-Jaeger
829166	51984	Tattoo
829167	33	Waitress
829167	132890	
829167	142165	Jewelry Saleswoman
829167	205049	
829167	217266	Girl in bar
829167	230659	
829167	350622	Hannah Arendt
829168	157255	Attractive Woman
829168	168246	Betty
829168	230242	
829169	327836	Suzanna
829170	31859	Sandy, Claire's Daughter
829171	285756	Young Girl
829172	84777	Tammie
829173	327591	Fi
829174	152778	
829174	309004	
829174	352877	Jennifer
829174	375185	
829174	394777	Various characters (2001-????
829175	42208	Student
829175	182464	Clerk
829175	184585	
829175	275590	Kerstin, Lunds' housemaid
829176	335982	Miss Wilkinson, Chorus Member
829176	351972	Nurse Willoughby
829177	67577	Woman #3
829177	360647	Dog Lady
829178	131199	Tessa
829179	359195	Barb
829180	388212	Presenter
829181	32217	Julie
829182	178121	Sabena Ravna
829183	31872	Desperate Woman
829183	201480	Saleswoman
829183	219859	Waitress
829183	245541	Darabont's Receptionist
829183	403234	Dr. Edy Sullivan
829184	59470	Rosy Clayton
829185	395282	Trish Miles
829186	232507	Restaurant hostess
829186	346413	Flirting girl
829187	176985	Herself
829188	39600	Mrs. Gorgandy
829188	104857	Banana Woman
829188	187048	Rhona
829188	257511	Lorraine
829189	156194	WAC sergeant
829189	393236	Constable Jay Tolich (2000- )
829189	405209	Dr. Mandy Desmond (2000)
829190	143264	Queen Elizabeth II
829191	31704	Sunday School Kid
829192	137572	Caltlin
829193	687	Herself
829193	2538	Herself - Presenter: Best Sco
829193	20557	Jocelyn
829193	67609	Gwen
829193	106232	Shirley
829193	133723	Lady Mouse
829193	177316	Singer
829193	208648	Terry Dunlap
829193	240030	Nancy
829193	241117	Lady Larken
829193	251551	Narrator
829193	271892	Joan Ramsbottom
829193	282434	Binky
829193	328564	Laurie Nell
829193	389259	Various Characters (episode o
829193	411802	Frances (Nanny) (2003-)
829194	334353	
829195	2907	Bathing beauty
829195	303663	Guest at the birthday party
829195	307533	Waitress
829196	367826	
829197	305325	Eriks mamma
829198	286280	Tjorven
829199	405200	Presenter
829201	363550	Renata Rossetti Kearny
829202	2481	
829202	14637	
829202	47611	
829202	53992	Adela
829202	63676	Bambina Suag
829202	63688	
829202	70990	
829202	110110	
829202	115018	Herself
829202	132671	
829202	135119	
829202	140566	
829202	153829	
829202	162803	
829202	203475	Catalina Klement
829202	225069	
829202	233763	Erika
829202	235928	Margarita Quijano
829202	236001	
829202	302239	
829202	302376	
829202	353654	
829202	371687	
829202	379889	
829202	380113	
829202	383769	Silvana Rosetti
829202	383770	Silvana Rosetti
829202	384423	Teresa Ríos
829202	385379	
829202	385380	
829202	390614	Agatha
829202	391420	
829202	391853	Sonia
829202	395487	
829202	400661	Marcia Kraus
829202	400717	
829202	400790	Cristina
829202	402428	Eva Rinaldi
829202	403022	Sandra
829202	407249	
829203	15908	
829203	126367	Alfred's Mother
829203	189787	
829203	217801	Josie Hogan
829203	316527	Andrea
829203	361991	Gerda
829203	367025	Ursula
829203	399762	
829204	405756	Jenny (2000-2001)
829205	187697	Baby
829206	71110	Mavis
829207	370648	Danto's Girlfriend
829208	29745	Church Lady
829209	187697	Baby
829210	97222	Young Sarah
829210	126130	Featured
829212	187697	Baby
829213	190869	Myrtle Edmonds
829214	16943	Flight Attendant
829214	288710	Herself/Various Characters
829214	288718	Herself/Various
829214	385577	Correspondent (1999-2002)
829214	392421	Herself
829214	402852	Various Roles
829214	404337	Various (1995-1996)
829215	318812	Eloise Wilson
829216	8277	L'amie de Maria Menendez
829216	9084	Animadora
829216	9692	Puta Amiga
829216	40323	Cupletera
829216	70679	Vecina del Atico
829216	162790	Niño
829216	202735	Niños
829216	209005	Travesti
829216	211556	Jenny
829216	221756	Showgirl
829216	243689	Herself
829216	255502	Nany
829216	257462	Girl
829216	336265	Robertson
829216	339696	Girl
829216	383271	Receptionist
829217	22733	
829218	112917	Dochter van Avermaet
829219	116018	Air hostess
829220	16263	Mjölk-Fia
829220	41508	Hildur
829220	59716	Thea Sundler
829220	97088	Karolina Wiggberg
829220	159672	
829220	172543	Lisa, Tora's sister
829220	303849	Mary's mother
829220	321987	Fanny
829221	204557	Dress Saleslady
829222	164633	Lilly Andersson
829223	190400	
829224	211349	Singer
829225	277061	Vera Barscynska
829226	411812	Super Trooper (1997-1999)
829227	239082	Dancer
829228	398289	Sue
829229	234966	Radcliffe student
829229	323428	Anna Kate
829230	302281	Sim
829230	369429	
829231	242997	Soprano
829232	84543	
829233	83115	
829233	281052	
829233	342469	Mrs. Maybridge
829234	47922	Witch
829234	105465	Dona Alvarez
829234	176974	Mrs. Coote
829234	195446	Grandmother
829234	205851	
829234	235694	Woman
829234	358575	Mrs. O'Leary
829234	383626	Mrs. Martingale
829235	285922	Additional Voices
829235	320198	Susan B. Anthony
829235	364439	Mammy
829236	163358	
829237	372346	School girl
829238	188502	Pool Girl
829239	370531	Herself
829240	217745	Art History Student
829241	112917	Straatinterview
829242	302965	Zuster Margreet
829242	302966	Domme Damme
829243	242900	
829244	90688	Esther
829245	16705	Hologram Lady
829246	153006	Mrs. Richard Gladding
829247	119629	Julie
829247	127171	Gail
829248	233287	Roelie Kok
829249	10727	Rosie
829249	195838	Woman on Bed
829250	411099	Carla
829251	387323	Redactielid (1995-1996)
829252	4838	
829252	7508	
829252	18520	Doctor
829252	49280	
829252	84578	Ismene
829252	98358	Ruth Weiss
829252	102453	
829252	109442	Ruth Rosner
829252	155374	Gutachterin Dr. Gerlach
829252	155481	Sabine Digel
829252	156622	Anne Steinberger
829252	182750	Regan
829252	226266	Mrs. Richter
829252	238883	Anja Ivanova
829252	259561	Dr. Silke Satinger
829252	259672	Eva
829252	261146	Staatsanwältin Dr. Krüger
829252	270415	Carola Waas
829252	290784	Barbara
829252	325424	Charlotte Damm
829252	352534	Jutta Heckmann
829252	376296	Frau Dr. Singer
829252	381587	Genoveva
829253	270415	
829254	295283	Narrator
829255	257522	Bartender
829256	195690	
829256	313562	
829256	366898	Arielle
829257	313562	Music Television Host
829257	387436	Host (2002-2003)
829258	272518	Bethany
829259	92692	Lucy Westenra
829260	41004	Miss Cruikshank
829260	87886	Eileen
829260	154272	Landlady
829260	203491	Lena Mason
829260	299487	Joy
829260	305415	Tracey
829260	364818	Karen
829260	382838	Carol Salter (1993-1994)
829261	80915	Townie Girl
829261	206114	Jill
829262	319568	Argonian Citizen
829263	190273	Commercial Mother
829264	134595	Student
829265	293199	
829266	291215	Herself
829267	362426	Party Guest
829268	101574	Haberdashery Clerk
829269	38379	Dr. Phillips
829269	164542	Vivian Machen
829269	185640	Doreen Hartigan
829270	230506	Alice Martling [Chs. 1-4, 12]
829270	230507	Alice Martling
829271	41774	Featured
829271	132488	Mrs. Walsh
829271	219773	Dr. O'brien
829272	277618	
829273	6005	Camcorder girl
829274	5009	Bitter Ex-Girlfriend
829274	282384	Cathy Browning
829274	340991	Vicky
829275	165556	Janice Beard
829275	185110	Carole
829275	194154	Trish
829275	197284	
829275	200052	Crispina/Harriet
829275	211795	Painter
829275	215563	Servant
829275	231439	The Infant Phenomenon
829275	350349	Crushed Girl
829275	362722	Siobhan
829276	188567	Mother
829277	163363	Emily
829277	254521	Christine Daae
829277	296019	Sarah
829278	217224	La petite fille charrette
829279	195551	Molly Kennedy
829280	19601	Little Girl
829280	137574	Jackie Armstrong
829281	3055	Herself - Winner, 3 Awards
829281	45853	Mother at Park
829281	201796	Herself (screenwriter and co-
829282	41004	Miss Marshall
829283	395091	Plump Woman
829284	1796	Martine Quiller
829284	41869	Dr. Rachel Carson
829284	44833	Dr. Robert
829284	58672	Angie Daniels
829284	61625	Mother (past)
829284	63139	Betty
829284	73834	Jessica
829284	74117	Liv Forrester
829284	79055	Sandra Guard
829284	107906	Pearl Dion
829284	113304	Patty
829284	127531	Lynn Young
829284	128195	Stacey
829284	155215	Mrs. Bryan
829284	158274	
829284	162098	Phoebe, the Wardrobe Mistress
829284	171348	Lydia Sawyer
829284	190927	Ann Lucca
829284	223639	Julie
829284	224328	Janet David
829284	244372	Barbara
829284	252924	Joy Pigeon
829284	253352	Maria Sorrento
829284	261106	Helen Schroeder
829284	276654	Admn. Rita Gillete
829284	299472	Jake's Mom
829284	306996	Captain Brock
829284	313045	Vicky Cooke
829284	313420	B'Etor
829284	314155	Jo
829284	366904	Jenine
829284	374523	Astrid Kar
829285	16396	Herself
829286	151050	Charwoman 1
829287	136298	Joan's Sister
829287	305013	Suzanne
829288	263572	Secretary
829289	32968	
829289	203517	Barbara Reed
829289	240437	Nurse
829289	277542	Rancher's niece
829290	272602	Cocktail Waitress
829291	33415	Pink
829291	360627	'Slim' Easton
829293	314141	Nurse #2
829294	251500	
829295	200134	Lulea
829295	250523	Ozma of Oz, the Ruler of the 
829296	45342	Mrs. Orr
829296	109660	Mrs. O'Toole
829296	388209	Mags Kelly (1989-)
829297	133443	Bit
829297	273513	Guest in Ballroom
829297	329480	Model
829298	74133	Katie
829298	342918	Judith
829298	359280	Mrs. George Marshall
829299	53926	Luora
829299	56798	Cat-Woman
829299	137514	Nah-Lin, Wolf's Sister
829299	292129	Maria, bride
829299	323389	Justine
829300	82036	
829300	108522	Restaurant Patron
829301	7960	Sheila
829301	15931	Lorra
829301	66082	
829301	108319	Jeannie
829301	141610	Diner
829301	142950	Cricket
829301	176275	
829301	232096	Pressie Brooks (Biker)
829301	234994	Cindy Anderson
829301	252570	Jane
829301	331275	Moirat
829301	346173	Grace
829301	352287	Nemesii
829301	386992	Nicki Fifer (1997-1998, 2001-
829301	389487	Agent Eve Hilliard
829301	393668	Florence
829301	397719	Marcia
829301	397791	Carol Nelson
829301	409056	Terry
829302	388264	Narrator (Series 1) (2002)
829303	59826	Verna Dee
829303	339858	Lulu
829304	197284	
829305	176813	
829305	318756	Pam
829306	241799	Party kid
829307	224375	Michelle Richards
829308	3128	Matron
829308	11168	Diana
829308	11477	Eve Payne-Coade
829308	32217	Mrs. Freeman
829308	37694	Harrier Pemproke
829308	56424	Charlotte Young
829308	62111	Sadie Merivale
829308	64600	Flo Hunt
829308	69622	Mrs. Brent
829308	100730	Miss Molly Reid
829308	126587	Mary Vivien
829308	127667	
829308	134290	Mrs. Brown
829308	140886	Mrs. Woodley
829308	149809	Miss D. Coker (pub bartender)
829308	152918	Mrs. Sykes
829308	154582	Judy Gaye
829308	155848	Chrissie de la Mothe
829308	158566	Freda Lewis
829308	169491	Mrs. Walker (episode 'The Las
829308	175125	Joan Allen
829308	182947	Prostitute
829308	185056	Margaret Arkell
829308	185316	Mrs. Poole
829308	186736	Mrs. Vera Thorne
829308	196870	Eileen O'Donnel
829308	197518	Manageress
829308	200112	Hotel Receptionist
829308	200443	Mrs Brent
829308	209610	Lily Pepper
829308	209619	Peggy Allgood
829308	213041	Fay Eaton
829308	214448	Peggy Gillette
829308	215788	Peggy Gillette
829308	231874	Doris' Mother
829308	236081	Miss Muir
829308	238158	Molly Newman
829308	240019	Nancy
829308	271226	Barbara Crain
829308	273172	Mrs. Curlew
829308	289519	Mrs. Waggett
829308	291488	Mrs. Fezziwig
829308	292202	Angela Windel-Todd
829308	292537	Diana
829308	305636	Mabel Smith
829308	308947	Alison Devar
829308	312782	Nellie Goode
829308	317430	Cathy Eddowes
829308	325235	Miss Barrow
829308	330708	Queenie Gibbons
829308	341729	Mary Titterington
829308	353313	Florence 'Fanny' Verlane
829308	355015	Aunt Cissie
829308	366767	Stephanie Bax
829308	372490	Mrs. Ashley
829309	39051	Jennifer Reily
829309	45637	Girl At Group Therapy (segmen
829309	117424	Claire Peterson
829309	151633	Stephanie
829309	299738	Temptress #2
829310	203436	Chorus
829311	397836	Jane
829312	3251	Performer/Herself
829312	87597	Performer
829312	93051	Tracy
829312	133412	Performer
829312	228303	Performer
829312	311953	Herself/Performer
829312	401889	Herself - Girls Aloud
829312	408053	Gillian Oldfield
829313	76496	Bar Patron
829313	300896	Beach Babe
829313	386760	Kathy Henderson (1992-1993)
829314	219859	Guadalupe Nurse
829315	40100	Dorothy
829315	107166	Walsh clinical nurse
829316	30310	Girl Student
829316	164663	Tony's Date
829316	221024	Pretty Girl
829316	397125	Secretary (1983)
829317	205035	Mara Wade, age 7
829318	108033	College Student
829319	321867	The Girl
829320	314675	Bridget Mackenzie
829320	396343	Bridget MacKenzie
829320	398507	Polaris Freedman
829321	383078	Julie Warner (1989-1991)
829322	192777	Girl #3
829323	97644	College Girl
829324	35524	Meyer Lion
829325	41004	Mrs. Maines
829325	93594	Factory Girl
829325	120865	Fat Woman At Party
829325	184369	The Militia
829325	243160	Second ice cream woman
829325	263606	Guest at wake
829326	310094	Mother
829327	1347	Herself
829327	1675	Herself (Pretty Funny Female,
829327	2042	Herself
829327	6821	Heady Nolan
829327	33004	Anna
829327	40493	Rose
829327	45651	Lenora
829327	49851	2nd biker
829327	88087	Aunt Phil Ryan
829327	106280	Marietta
829327	118897	Herself (comedian)
829327	168843	Herself
829327	201311	Patty Reckles
829327	202727	Lina Paventi
829327	230841	Cookie Pottie
829327	271199	
829327	292496	Oona Vokey
829327	316446	Herself
829327	330714	
829327	336797	Rose
829327	354886	Violet
829327	384561	Regular
829327	386762	Marilyn Benoit
829327	397000	Herself/Host
829327	408041	Molly Maguire/Marg Delahunty/
829327	409639	Verna Ball
829328	275871	Wannabee Cheerleader
829328	321450	Airport patron
829329	170236	
829330	93020	Helen Kolevich
829331	89064	
829331	144384	Willow
829332	16004	Veds
829333	221130	Jane Hopper
829334	17937	Angela
829335	327829	Customer Brainwaves
829336	69808	Mrs. McGlynn
829337	294139	Peggy
829338	269844	Rachel Greer
829339	89304	Dolores
829340	200052	Josephine
829341	408066	Herself
829342	151109	Mrs. Rose (Katherine's mother
829343	75515	Elizabeth, as child
829344	201569	Herself
829344	273346	Joanna Collins
829344	381799	Sarah Delany
829344	384097	Denise (1996)
829344	387533	Lyn Hutchinson (1997-2000)
829344	400082	Nell Trent
829344	405706	Chrissie Gallant
829345	25368	
829346	167009	Herself
829348	367791	Mrs. Dahl
829349	378934	Herself (1989-1992)
829350	253864	Susan
829351	88095	Herself
829351	110974	Chicklette
829351	217913	Shocked Laundromat Patron
829351	222254	Female Church-Goer
829351	256206	Suzie
829352	247359	Pan-American Girl
829353	110216	Belinda
829354	2118	Lauria
829354	24137	Suzanne
829354	77949	Nikki
829354	83899	Sally a Hooker
829354	96707	Susan Maracek
829354	141859	Christie (Adult)
829354	148580	Jane Whitman
829354	178037	Marcia Aronson
829354	190208	Minnie Churchill
829354	198855	
829354	232457	Kerry
829354	233782	Alice McPhie
829354	245994	Janet
829354	248085	Cheryl
829354	258860	Miss Deer
829354	270349	Sandy
829354	319180	
829354	334152	Kate Wooten
829354	335333	Joyce Henderson
829354	339049	Mona Williams
829354	354131	Libby (segment "Dirty Work")
829354	354954	
829354	358865	Aurora Jameson
829354	359075	Sarah
829354	385539	Christine Winters
829354	387298	Kitty Greer
829354	391972	Officer Mo DeMott
829355	261977	Sylvia
829356	226890	
829357	151529	Andrea
829358	155248	Additional Soul
829358	156501	Claire
829359	204386	Vicki Thompson
829359	247882	Bernadette
829360	2321	Sheila
829360	224313	Sharon
829360	302468	Tiffany Winnie
829361	37033	Airport Security Woman
829362	328517	Viv
829363	391553	Rita Franks
829363	411879	Molly
829364	353488	
829365	192702	Girl
829366	51661	Reporter outside courtroom
829366	79716	Weather Channel Newscaster #1
829366	116079	TV Anchor
829366	141544	News Anchorwoman
829366	158999	Herself
829366	159002	Herself
829366	207157	Herself
829366	391807	Host
829366	392189	Hostess (1996)
829366	406460	Host
829366	409165	Host
829367	207493	Customer
829368	43164	Red Hot Mama
829369	194996	Ape 5
829370	340803	Young Woman
829371	257108	Jean Gavin
829372	44335	Actor 8
829373	61577	Constance
829374	108942	Sissy Reed
829374	154301	Cindy Stayner (Age 9)
829375	1734	Herself - Presenter
829375	40148	Shana
829375	194246	Carly Bishop
829375	241689	Alysse Green
829375	270151	Herself
829375	297646	Ruth Parnham
829375	313467	Zam Wesell
829375	313476	Zam Wesell
829375	391394	Megara
829375	393471	Jessica Bergman
829375	396083	Larissa Barrett
829375	408163	Myah (1999)
829376	101137	(English version)
829377	94085	Fan 4
829378	192248	Librarian
829379	264291	Sanna 5-vuotiaana
829380	59717	Ekenstedt's housekeeper
829380	164763	Ebba
829380	391357	Elisabeth Dahl (1995, 1999)
829381	115841	Herself
829382	112651	
829382	135129	
829382	202790	
829382	252009	Mistress
829383	342742	Elderly Woman
829384	185164	Hannah Stone
829385	236657	
829386	225832	Herself
829387	173906	Tutorial Voice
829387	173907	Tutorial Voice
829388	325631	
829389	27207	Unity Member #12
829390	3388	
829390	52998	
829390	88057	
829390	118555	Gertrude
829390	136313	
829390	212249	
829390	266879	
829390	332596	
829391	119358	Same Shirt Girl
829393	104741	French entry (16th place)
829394	346674	Infirmière
829395	332216	La seconde dame
829396	345035	
829397	320815	Mary Swann
829398	15216	Amy Johnson
829398	32531	Sybil
829398	47019	Lady Maitland
829398	50983	Queen Isabella
829398	63194	Penelope Aylesbury
829398	77216	Mary Waddell
829398	118956	Mary Wollstonecraft
829398	119802	
829398	124594	Harriet Vane
829398	131429	Emmy Hooper
829398	132321	Mrs. Cavendish
829398	139181	Rachel
829398	140343	Harriet Vane
829398	150780	Jeannine Martin
829398	156934	Cathy Raine
829398	166292	Narrator
829398	175163	Julia Comstock
829398	186632	Liz Flett
829398	189467	
829398	193577	Virginia Woolf
829398	194513	Harriet Vane
829398	200327	Queen Morag
829398	201218	Mrs. Dorothy Maitland
829398	203699	Charlotte
829398	214253	Lily
829398	224381	Pamela Farrell
829398	235016	Felicity Ormal
829398	236592	
829398	241898	Mme. Larina
829398	273590	Clarice
829398	274672	Ottilie Garinger
829398	294217	Fanny Dashwood
829398	330197	Amelia Cleverly
829398	342049	Harriet Sims (bookstore clerk
829398	354458	Olive
829398	380724	Giulia Lazzari
829398	385627	Mildred Blaides (segment film
829398	392696	Actress (segments 3-4)
829398	397433	Charity Walton
829398	402120	Frances Carr
829398	409548	Amy
829399	49601	Werkster
829400	211697	Mädchen
829400	259461	Frau Nixe Walter
829400	259578	Elke Fengler
829400	259671	
829400	352369	Catharina Wagemühl
829401	19771	
829402	309542	News Reader
829403	23681	
829404	105723	London hostess
829405	223897	Herself
829406	107009	Herself
829407	4391	Connie Lo Verde
829407	39697	Louise Carmino
829407	50981	Inez Braverman
829407	65696	Herself
829407	67591	Margaret Nicholson
829407	79916	Herself
829407	90885	Secretary
829407	92613	Morgan LeFay
829407	95135	Fern
829407	105711	Gertrude Simon
829407	114955	Phyllis Brody
829407	127126	Elaine
829407	130305	Fiona
829407	130948	
829407	132866	Pat Stoddard
829407	132877	Herself
829407	134694	Libby McAusland
829407	140399	Sally McNamara
829407	148253	Fredrica Morgan
829407	153119	Louise Damon
829407	154157	Gennifer
829407	157056	Janet Braddock
829407	166746	Peggy Shields
829407	176823	Francesca DeLorca
829407	178067	Lois Lane/'Bianca'
829407	186822	Bess
829407	190796	Laura
829407	201676	Herself
829407	214975	Pat Brooks
829407	219953	Joan
829407	223713	Mrs. Epstein
829407	236685	Julie Catlan
829407	251347	President Garcia-Thompson
829407	257527	Evelyn Draper
829407	276704	Astrid Carlisle
829407	291509	Maggie
829407	292593	Girl #1 in art room
829407	292888	Christina Wood
829407	298083	Irene Barton
829407	305244	Doris Zimmerman
829407	311975	Celia Berryman
829407	324777	Kay Mart
829407	327641	Dr. Phyllis Evergreen
829407	328553	(segment "Play Misty for Me")
829407	330126	Jane Antrim
829407	331714	Jessica Carson
829407	332151	Roz Richardson
829407	350170	Nicole DeCamp
829407	353525	Nomi Haroun
829407	365163	Megan
829407	367807	Dee Dee
829407	379040	Connie Lo Verde
829407	379740	Joan Hamlyn
829407	380143	Amy Prentiss
829407	380656	Lucille Bluth
829407	381281	Ava Marshall
829407	386393	Fran Sinclair
829407	389069	Phyllis Koster
829407	396088	Julie Murano (1962-1965)
829407	400016	Celia
829407	400236	Eleanor Armitage (1996-1997)
829407	401528	Additional Voices
829407	403814	
829407	408133	Claudia Bradford
829407	408749	Melanie Townsend McIntyre (19
829407	410953	Ursula
829407	411166	Diabolyn
829408	57796	
829408	63921	
829408	95944	
829408	129604	
829408	213371	
829408	266327	Zosia Bonecka
829408	343386	Hannia
829408	364976	
829408	373594	Militiawoman
829409	110990	
829409	166419	
829409	196692	Izabela
829409	226004	Ula
829409	231644	
829409	245094	Madame Konya
829409	276046	
829409	322725	Natacha
829409	401156	Alicja Orlicz
829409	406145	Guin
829411	42531	Little Clara Jones
829412	18880	Hanna
829412	101756	
829412	129677	
829412	134967	Maria Kleinhammes
829412	210044	
829412	265092	Margot Taegermoos
829412	270426	
829412	303154	Erzherzogin Sophie
829412	389250	Renate Büttner
829412	393406	Maria Kleinhammes
829413	189546	Kitty
829415	65955	
829416	48075	Debbie
829416	81702	Dee Dee Rutherford
829416	96691	Janet
829416	97388	Claudine
829416	126588	Principal Perry
829416	185819	Cassie Baltic
829416	248878	Chessy, the Parker's Maid
829416	297181	Bobbie
829416	382718	Rachel Glass
829416	387520	Cassandra Gilman
829416	395591	Lisa Ann Hunter
829416	398751	Lisa McGinnis
829417	275412	
829417	353992	
829418	65861	Rita
829418	236387	Lois
829418	238052	Dem
829419	26507	Stella
829419	238052	Dem
829420	190016	Herself/Bruce Lee's Philosoph
829421	391294	
829422	825	Mia
829422	4772	
829422	42618	
829422	134182	Alice Cross
829422	157611	
829422	290753	
829422	311240	Susi Wengert
829422	343479	Eve
829422	358220	
829422	375976	
829422	376323	
829423	25591	
829423	28084	Lola Guelay
829423	29192	
829423	39686	Old woman
829423	75571	Doña Consuelo Escodero de Vic
829423	167881	
829423	181618	
829423	197423	
829423	243712	Yaya Tating
829423	285990	
829423	287828	
829423	300923	
829423	325357	Atang
829424	16991	Morsan
829424	16992	Morsan
829424	182550	Maria Johannson
829424	313637	
829424	387422	
829425	307964	Nurse Teresa
829426	115841	Herself
829428	148998	Isobel
829428	275445	Georgina
829428	279347	Tanya Paine
829428	312965	Karen Scott
829428	381056	Caralyn Monroe
829429	403299	Panellist
829430	147885	Anubus' Crew
829431	24851	Frosine - a matchmaking woman
829431	41696	Tytyl
829431	57722	Woman in shop
829431	66790	Lizzie Hubble
829431	80359	Hannah, his sister
829431	97197	Housekeeper
829431	117305	Lady Markham
829431	129559	
829431	134037	Mrs. Mansell
829431	209628	
829431	315296	
829431	323446	Mrs. Langridge
829432	139362	A harem girl
829434	215107	Machle (maid)
829435	37261	Housekeeper
829435	47918	Maria
829435	61896	Night Nurse
829435	73333	Mother Padilla
829435	74768	
829435	76554	Nurse Receptionist
829435	87869	DMV Clerk
829435	96259	
829435	111060	Rosa
829435	120120	Mrs. Sanchez
829435	148783	Restroom Attendant
829435	165097	
829435	193143	
829435	196302	Sadie's Mother
829435	200894	Trini
829435	203670	Housekeeper
829435	207171	Caretaker
829435	240319	Spanish Lady
829435	252825	Grieving Woman
829435	258083	Mrs. Santole
829435	293048	Maria
829435	301792	Mother
829435	355670	Hispanic Woman
829435	395166	Ascension
829436	74209	
829437	126476	Monika
829438	43756	(segment "Primeiro de Abril")
829439	156651	
829440	137750	Márta
829441	37121	Gloria
829441	191973	Gloria
829442	252345	
829443	178532	Zdena
829443	314082	Eva´s mother
829443	349941	Viktorka's Mother
829444	320531	Bride
829445	223817	Marabenta Dancer
829446	81084	
829446	196995	Heidi Zimmer
829446	389858	Patti Peters (1995)
829447	252506	Obla
829448	222846	Young Vanessa
829449	723	Herself
829449	846	Herself - #26: Things They Sh
829449	2010	Herself - Presenter
829449	2275	Herself
829449	2805	Herself - Presenter: Best Min
829449	4670	Herself
829449	4671	Herself
829449	11670	Investigating Reporter
829449	29660	Herself
829449	34783	Herself
829449	46408	Herself
829449	57644	Hostess
829449	127678	Herself/Various
829449	154399	Herself
829449	157463	Host
829449	157464	Herself - Narrator
829449	157465	Herself
829449	161379	Herself
829449	191083	Herself
829449	228970	Herself
829449	240180	Guest
829449	274922	Herself
829449	295007	Herself
829449	327187	
829449	360284	Herself
829449	378778	Herself - Correspondent (1979
829449	379055	Herself - Co-Anchor (1976-197
829449	379061	Herself - Substitute Anchor (
829449	381272	Herself - Hostess
829449	408395	Herself - Hostess (1961-1976)
829449	410171	Herself
829450	22856	Mildred (Nightclub)
829450	72724	Bank Teller
829450	130296	Spinster #1
829450	157693	
829450	279998	Cafeteria Lady
829451	289541	Radio Announcer
829452	32778	Tina
829453	206540	Miss Balton
829454	326649	Alice Gordon
829455	229255	Tori
829455	379873	Pip Todd
829456	1075	Myopic Tropical Woman at Rece
829456	27160	Angel's mother
829456	249192	Mrs. Roberts
829457	232483	Candace
829457	277705	
829457	277706	
829458	370051	Girl with Shotguns
829459	123463	
829460	381522	Additional Voices
829460	405097	Wonderful Boy, Sandra, Billy
829460	405208	Additional Voices
829461	274427	Wanda's Girl
829462	79971	Teen Susan
829462	162134	Patsy
829462	215816	Connie
829462	236657	Local 1 Dispenser
829463	25448	Mrs. Ryan
829463	35693	Mrs. Dusenberry
829463	61704	Mrs. Farley
829463	69461	Mrs. O'Brien
829463	129871	Bridget McPhee
829463	131590	The Landlady
829463	149386	Nancy Sawyer
829463	178034	Mrs. Maloney
829463	190450	Mrs. Callerty
829463	192041	Undetermined Role
829463	203255	Mrs. Jaynes
829463	255452	Housekeeper
829463	269302	
829463	273729	Mrs. Starr
829463	316669	Widow McKee
829463	331915	Mrs. Mack
829463	351236	Widow O'Hara
829463	367649	Delia Picard
829463	374579	The Cook
829464	68463	Jennie Peters
829464	85078	Arline Potts
829464	138257	
829464	332823	
829465	37790	Girl in prologue
829466	75664	Cassie Woolf
829467	379831	Shelley Bartholomew #4 (1991)
829468	308576	Marie Soubirous
829469	276240	Mrs. Priest
829470	20295	Tall Woman
829470	107996	Tall Woman
829470	127150	Village Mother of Hungry Chil
829470	149491	Tall Woman At Square Dance
829470	192261	
829470	194372	Mrs. Berry from Logan
829470	215862	Mother
829470	297921	Katie
829470	311249	Bit part
829470	312795	Dancing Girl's Tall Mother
829470	313076	Hillbilly's Wife
829470	364357	Tall Woman in Bargain Basemen
829471	14250	Old Lady
829473	14477	Woman Overboard with Baby
829473	31502	Sheryl Whalen
829473	145019	Party Girl
829473	381442	Sheryl Whalen (1997-1999)
829474	113883	Crystal Ball
829475	288732	Millie
829476	66904	
829477	365341	Female Customer
829478	151535	
829478	367746	Woman in Bargain Basement
829478	370561	Singer
829479	67	Herself
829479	690	Mrs. Overall
829479	11198	Various characters
829479	11251	Princess Zasyekin
829479	23935	Herself - questioner
829479	27565	Herself
829479	27567	Herself
829479	28769	Alice
829479	30938	Miss Gideon
829479	32740	Theresa
829479	37995	Mrs. Wilkinson
829479	38726	Lulu
829479	39952	Angie Todd
829479	45130	
829479	46213	Maureen Hardcastle
829479	47210	Herself
829479	50275	June Edwards
829479	52204	Annie
829479	54745	Jacqueline Spong
829479	65934	Monica
829479	68097	Herself
829479	68111	
829479	79995	
829479	93249	Dormouse
829479	97681	Rita, aka Susan
829479	128891	Jackie Simpson
829479	138881	Frances
829479	139650	Molly Weasley
829479	139655	Mrs. Molly Weasley
829479	139657	Mrs. Molly Weasley
829479	139659	Herself
829479	160780	Valery
829479	161407	Marjorie Beasley
829479	164395	Fairy Godmother
829479	170437	
829479	170438	Herself
829479	171178	Monica
829479	176933	Judith
829479	199079	Mrs. Peachum
829479	209098	
829479	212696	
829479	212965	Mickybo's Ma
829479	222563	Angela Maurer
829479	223700	Sheila Fitzpatrick
829479	229130	Julie Stephens
829479	232018	Various
829479	238042	Player in Everyman Theatre Co
829479	243147	Herself
829479	250448	Pat
829479	253478	Christine Painter
829479	263544	Elsie Orton
829479	276082	Mrs. Capstan
829479	276919	Lizzie Hunt
829479	298055	Fran
829479	303239	Madame Danzard
829479	314484	Vera
829479	323799	Julie Stephens
829479	333868	Bernie McPhelimy
829479	346885	
829479	353490	
829479	358197	
829479	360426	Herself
829479	362000	Agnes
829479	364818	Diana Longden
829479	379181	Mrs Overall
829479	382612	Angie Todd
829479	383363	Beth Craddock/'Ros' (The Wife
829479	386386	Petula Gordino
829479	387537	Jean Watson
829479	389625	Mrs. [Lillian] Murray
829479	393268	Julie Diadoni
829479	395246	Herself/Narrator
829479	396055	
829479	397388	Paula
829479	399931	June Potter
829479	400110	Mrs Mann/Bumble
829479	404664	Pauline Mole (1985)
829479	405558	Herself/various characters
829479	407504	Marjory (episode "Outside Dog
829479	407505	Lesley (episode "Her Big Chan
829479	410080	Various characters
829479	411388	Various Characters
829480	288264	Schoolgirl 1
829481	125672	Ms. Goldwyn
829482	116719	
829482	292163	Horrow Show Screamer, PBS Ann
829483	70157	
829483	134135	
829483	189961	
829484	11678	Herself (for "Eight Is Enough
829484	67593	Helen Ashcroft
829484	98155	Joanie Bradford
829484	98156	Joanie Bradford
829484	139577	Sheila Grove
829484	139578	Sheila Grove
829484	252506	Karen Diemus
829484	276923	Wilma Parish
829484	323588	Jane
829484	359424	Jenny Macallister
829484	387374	Joannie Bradford
829485	52199	Delphine
829486	48935	Porn Actress
829486	224073	Deborah
829487	5584	Juanita Hernandez
829487	5854	Ann Woodworth
829487	10461	Native Waitress
829487	20242	Ruth Masters
829487	23308	Lara (stock footage from orig
829487	27317	Laurie
829487	33699	Lodge Clerk
829487	41097	Millie
829487	47355	Chorus Girl
829487	48539	Suzette
829487	51885	Cigarette Girl
829487	54549	Fury Shark
829487	70967	Patricia Hunter
829487	87549	
829487	92190	Mary Hopkins
829487	94136	Mary Randolph
829487	94137	Mary Randolph
829487	95364	Nancy Winslow
829487	100870	Luana
829487	104352	Girl at Shower
829487	108594	Carol Dean
829487	112607	JoAnn Carver
829487	128706	Cellblock guard
829487	148949	Girl Having Her Fortune Told
829487	150586	Nurse
829487	154952	Hat Check Girl
829487	160450	Dora
829487	176397	Sally Rowell
829487	177368	
829487	186361	Ruth Adams
829487	186411	Baltimore Bonnie
829487	193720	Marcia Banning
829487	195254	Softball Player
829487	200478	Brunette
829487	205724	Woman in Gaming House
829487	211601	Maid to Sonia
829487	212182	Anita Loredo
829487	213288	Gloria
829487	214149	Resort Girl
829487	215276	Jane Forbes
829487	215634	First Nurse
829487	223397	
829487	233615	Sandra James
829487	249021	Angela
829487	272070	Carol Thorp
829487	273181	
829487	276827	Kate Kilgore
829487	277843	Lillian Howard
829487	279299	Teresa
829487	289236	Hat Check Girl
829487	292838	Young actress
829487	296780	Sonya Rokoff, aka The Dragon 
829487	296781	Sonya Rokoff
829487	298126	
829487	299667	Marian Langdon
829487	309579	
829487	310772	May
829487	312584	
829487	313320	
829487	319599	Lara, mother of Superman
829487	320465	Check Room Girl
829487	329341	Model
829487	330548	
829487	332116	Nancy Kellogg
829487	341619	Mary Wallace
829487	343118	Tart
829487	346066	Dolores de Vargas
829487	346227	Nurse
829487	363452	Lynne Reed
829487	372928	Salesgirl
829488	158183	Miss Baram
829488	160590	Nurse
829488	215860	Pretty Girl #2
829488	278209	Sassy Lady #1
829488	321405	Tasha
829489	110357	Girl By Pool #1
829490	218823	Della Lawrence
829490	312169	
829491	209492	Social worker
829491	322638	Interviewer
829491	345641	
829492	195465	Maggie McGuire
829493	330589	Eva
829494	313993	Mrs. Rothfield
829495	28650	Ann
829495	46572	Roper
829495	63095	Mrs. Evans
829495	141094	Gill Major
829495	327308	Jean Herbert
829495	410695	
829496	11586	Bliss
829496	13711	Gloria
829496	14198	Cindy
829496	32654	Pet Shop Owner
829496	37035	Candy
829496	43883	Jessie St. Vincent
829496	50639	Andrea Treborn
829496	51633	Trina
829496	66947	Lila
829496	80525	Bunny
829496	80583	Gloria
829496	83644	Bennie
829496	97360	Secretary #2
829496	102341	Darleen
829496	151636	
829496	163622	
829496	194617	Allison
829496	200521	Claudia Wilson Gator
829496	207709	Heather, Roy's Ex-Wife
829496	210483	Trenice, Melvin's Girlfriend
829496	213233	Laura Bellstratton
829496	271175	Ellen
829496	282957	Punky
829496	310547	Melinda
829496	321754	Jimmy's Girl
829496	327300	Karen Blake
829496	329470	Herself
829496	339605	Herself - Audition Tape
829496	342403	The Stripper/Funeral Director
829496	342472	Alannah Merribone
829496	346267	Prostitute
829496	366641	Kate
829496	395020	Felicity
829496	402477	Grace
829496	408111	Lia 'Lark' Larkin (2003-2004)
829497	386582	Assistant (1958-1959)
829498	321821	
829499	24241	
829499	40161	
829499	47020	The Old Lady
829499	50927	
829499	68778	
829499	83152	
829499	88940	
829499	117206	
829499	117991	Mrs. Whitmarsh
829499	128457	A Poor Factory Woman
829499	133206	Granny
829499	141175	
829499	142595	
829499	146309	
829499	148363	
829499	150857	Lady Cotswolt
829499	191671	
829499	194955	
829499	197010	A Haughty, Miserly Woman
829499	208705	
829499	231063	
829499	239757	
829499	253846	
829499	253858	
829499	253867	
829499	253953	
829499	281157	Nurse
829499	354496	
829499	362444	The Old Woman
829499	363093	Coffee Mary
829499	367315	
829499	367938	May's Mother
829499	368006	
829500	33689	Bit part
829500	41809	Abigail Prentice, School Teac
829500	134056	Diane
829500	218391	Sylvia Lockwood
829500	302724	Sister Therese
829501	682	Open Minded Feminist
829501	32920	Emily Bishop, Herself
829501	270440	Emily Bishop
829502	390961	
829503	32809	Bob's girl
829504	42981	Sue
829504	182955	Police File Clerk
829505	279192	Harriet
829506	42721	Faye Guetierez
829506	151479	Nena
829506	231894	Ruth
829506	291037	Belle
829506	359338	Rosita
829507	14085	
829507	32191	Ludwig's Girl
829507	40993	Peggy
829507	105952	Molly Lane
829507	114695	Telephone operator
829507	144880	Millie
829507	195744	Blonde Switchboard Operator
829507	201421	Doris Randall
829507	204191	Phone Girl
829507	220490	Gladys
829507	257559	Ethel, a Salesgirl
829507	305459	Lola (manicurist)
829507	326193	Polly, Danny's Date
829507	347120	Mabel
829507	372496	Daisy
829508	169812	Escort to Borgia
829509	163263	
829510	303965	Tattoo Model
829511	135640	Daphne McAllister
829511	249047	Vicki
829512	232839	Tea lady
829513	167098	Passenger
829513	294135	Caroline
829514	40744	Office Worker
829515	119615	Herself
829516	336444	Hungry Star Studio model
829517	290003	
829518	47233	Dancer
829519	263	Robin
829519	67767	Allison Saunders
829519	71633	Palmer Hewitt
829519	82055	Daniel's wife
829519	99584	Priscilla Beaulieu Presley
829519	123019	Beth
829519	123041	Susan Billings
829519	132895	Ann
829519	149790	Jules Biggs
829519	154470	Kelly Victoria Drummond
829519	158312	Julie Tobias
829519	170580	Jules Biggs
829519	210458	Herself
829519	232392	Bridget
829519	283824	Diane
829519	297230	Ellen
829519	329094	Karen Masters
829519	342766	Allie
829519	342904	Cindy One
829519	363448	Penny Morgan
829519	370035	Reed Barrett
829519	372449	Herself
829519	381321	Claudine de Martigny
829519	381932	Anne Osborne (1996-1997)
829519	385921	Mary Beth Sutton (1990-1992)
829519	392094	Ryan Thomas (1987-1988)
829519	396123	Lorna Forbes Conway #1 (1983-
829519	397401	Christine Denton/Tiffany Hart
829519	399450	Bridget Loring
829519	410584	Lili Smith
829519	411802	Diane Jenkins #2 (2001-)
829520	339858	Go-Go Girl
829521	16892	Saundra Gayle
829523	10412	Polly Pry (Mrs. Leonel Ross O
829523	43929	Herself
829523	243436	Georgi
829523	309867	Winona Ryder
829524	318346	Interview Girl
829525	160634	
829526	228380	Herself
829528	21480	The Duchess
829528	22998	
829528	29893	Ruby
829528	83583	Flozella
829528	106921	
829528	112548	
829528	141519	A French Peasant Girl
829528	161542	Favorite of the Harem/Dancer/
829528	194945	
829528	339010	Pauline
829528	340673	Mrs. Dana
829528	366819	Amanda Garcia
829529	10141	Seated Woman at Gat's Party
829529	69338	American Frontiersman's Assis
829529	100206	Judy Ware
829529	163577	Autograph Seeker
829530	100843	Mrs. Pat, Bartenter of Iron H
829531	188815	
829532	275825	Martha
829533	277564	
829534	57384	Cavewoman
829535	275825	Bretzel
829537	284442	Principal Violist
829538	82880	
829539	389117	Herself - Clairvoyant
829539	389118	Herself - Clairvoyant
829540	184548	Mrs. Doris Enders
829540	387309	Caroline Egan (1984)
829540	391515	Dr. Katherine Logan
829540	404613	Patti Barron Tate Whiting #6 
829541	140271	
829541	325925	
829542	366865	Tess
829543	380350	Herself (Anna's Assistant)
829544	20891	Birthe Janter
829544	28518	Karla
829544	84276	
829544	84307	Nete
829544	102878	Petersen
829544	108171	Ketty Gyldenkål/Iversen
829544	108172	Ketty Gyldenkål
829544	108173	Ketty Gyldenkål
829544	108955	Martha Stormann
829544	113551	Dorimene
829544	113841	Anette (segment 1 "Kronologi"
829544	120312	
829544	142505	Mette
829544	146992	Martha
829544	150617	Marcelle Paillardin
829544	154142	Syngepige
829544	158959	Sganarelles kone
829544	166602	Fru Hyldersen
829544	182579	Mrs. Greenstreet
829544	184553	Elvira Victoria Cornelia 'Høn
829544	214350	Sygeplejerske
829544	219020	Clara Markstrand
829544	240092	Yvonne Jensen
829544	240094	Yvonne Jensen
829544	240095	Yvonne Jensen
829544	240096	Yvonne Jensen
829544	240097	Yvonne Jensen
829544	240098	Yvonne Jensen
829544	240099	Yvonne Jensen
829544	240100	Yvonne Jensen
829544	240101	Yvonne Jensen
829544	240102	Yvonne Jensen
829544	240103	Yvonne Jensen
829544	240104	Yvonne Jensen
829544	240106	Yvonne Jensen
829544	248424	Lajla
829544	249743	Kerstins mor
829544	255699	Seniorsergent Meldgård
829544	268376	Frk. Jensen
829544	283484	Fanny Fortune
829544	293895	Datter
829544	303643	
829544	312235	Juliane de Preiss
829544	322316	Anna/Ariel
829544	322681	Lydia
829544	338696	Tjenestepige
829544	344381	
829544	392161	Various roles
829544	392299	Karla
829544	405717	Edel, Bloms dulle
829545	35040	
829545	77410	
829546	321397	Joan Mona
829547	49140	Den unge pige
829547	192819	
829549	376122	Newsvendor
829550	401346	Henrietta Plout #1 (1965-1966
829551	398920	Najas veninde
829552	376290	
829553	391452	Carolina`s Friend
829553	392963	Margarita de Gaviria
829554	253458	Debbie Floyd
829555	51996	Cageside Observers
829556	385020	Bethany Platt (2000-)
829558	46990	Melissa Bernett
829558	400546	Nicky Walsh
829559	280489	Choir
829560	134881	Jane
829560	325223	
829561	256896	Amanda
829562	169140	Swing
829563	11715	Kickan
829563	101126	Vera
829563	120848	tant Hilma (episode 1)
829563	219840	Marre
829563	322277	Lotta
829563	355702	Rättsläkaren (episode 1)
829563	378176	Ingrids kollega
829563	388259	Birgitta Kruse
829563	405734	Siv Jons (4 episodes 1995)
829563	408800	Sonja Bengtsdotter (1996)
829564	117545	Fraulein
829565	316614	Bison Computer Voice
829566	155722	Madame
829567	385020	Bethany Platt (2000-)
829568	40632	Muggette #1
829568	75556	Angry Hooker
829568	113553	Extra #1
829568	170414	Herself
829568	212960	Maude's nurse
829568	321632	Fur Protestor
829568	329579	Kate Fairchild
829569	360162	
829570	269614	Ellen Young
829570	280542	
829571	309503	Mrs. Broulette
829572	360185	Lady Elsford
829573	214042	Herself - Gnag Supression Uni
829574	11205	Maggie Quick
829574	18621	
829574	18861	
829574	73820	Marcel Murphy
829574	78069	Gretchen Ann Peebles
829574	83996	Rosemary Merridew
829574	96952	
829574	101037	
829574	107501	
829574	128502	M'liss
829574	132179	Caroline Weatherbee
829574	136252	Mazie O'Day
829574	144833	Christine Trevor
829574	183047	Peggy Hughes
829574	186229	Mamie Conroy
829574	191841	Mary Barry
829574	195811	Mary Ann McKee
829574	203404	The lion tamer
829574	229111	Nora Schultz
829574	256296	Mazie Darton
829574	257799	Enid Gregory
829574	274332	Dancer
829574	277636	Nora McShane/Beatrice Vanderf
829574	278852	Phillipa
829574	281428	
829574	282552	Kit Purcell
829574	289186	Nita Moore
829574	292188	Rose O'Grady
829574	292422	Winnie
829574	299891	Natalie Smith
829574	304319	Marie
829574	335857	'Jerry' O'Donnell
829574	337113	Jean Crosby
829574	340626	Mamie Judd
829574	347727	Edna Fielding/Joy Fielding
829574	365393	Leslie Adams
829574	366623	Rosie Cooper
829575	10746	Oyster
829576	186443	Herself
829577	308598	Dancer
829578	152922	Kate
829578	218183	Elaine
829578	251382	Kristy
829578	276787	Kate Kelsey
829578	316501	Student
829578	353402	Susan Chappel
829578	359792	Hellen Cook
829578	372301	Vicki Bliss
829578	383385	Shelly Granger/Kelly Harper #
829578	411802	Jill Foster [#4] (1987-)
829580	262088	Marina the Mermaid
829580	402001	Psycho Yellow
829581	404968	Herself
829582	349575	Grandma
829583	69	Judge Advocate
829584	980	Agent April
829584	51899	Karen
829584	260902	Darcy
829584	264452	Janie
829585	11632	Secretary #3
829586	196999	Angel
829586	197000	Angel
829587	396582	Herself (2002)
829588	44407	Mrs. Marsh
829588	327400	Mrs. Caruthers
829589	314228	Speed's Girl
829590	194534	The Kings Court Nobility
829591	166654	Audrey
829592	41198	Elandra
829593	68166	Young Mother
829593	236118	Sue
829594	8243	Sarah
829594	90786	M/S Patient
829594	158061	Ruth
829596	9142	Virg
829596	34722	Herself
829596	34723	Herself
829596	66685	
829596	114512	Maria (Mars) Lupi
829596	261521	Frankie
829596	280629	Emma
829596	292469	Leah
829596	317897	Stone
829596	355165	Wendy
829596	382291	Const. Deirdre E. 'Dash' McKi
829596	391869	Rachel Watson (1995)
829598	381238	Arkie's New Girl
829599	107081	
829600	34656	Carol Brandon
829600	37292	Marian
829600	41962	
829600	59685	Gladys, Ration Book Lady #2
829600	67606	Liz Cooper
829600	112301	Beverly
829600	117061	Bookkeeper
829600	158902	Mrs. Slocumb
829600	185174	Govenor's Wife
829600	186535	Mrs. Hamill
829600	193957	Diane
829600	218013	Miss Turner
829600	247363	Laval
829600	267111	Ellie Harley
829600	271205	Laura Gilmore
829600	317437	Flo
829600	362538	Young Girl
829600	389858	Betsy Quartermaine (1988)
829600	405718	Additional Voices
829601	391479	Natacha
829602	232483	Stevie Hughes
829602	263352	Sara Gentry
829602	278536	
829603	347128	Maggie
829604	47025	Nora
829604	160042	
829604	190346	Woman with Baby in Hiberstasi
829604	227502	
829604	238228	Hannah Unger
829604	242939	Lizbeth
829604	253819	Amanda Gilbert
829604	273782	Cheerleader
829604	274258	Bones
829604	282147	Janet Foss
829604	293048	
829604	313756	Kathy Madison
829604	380734	Melissa Peters
829605	327298	Groupie #2
829606	372625	Jury member
829607	340771	Cindy
829608	25296	Anna
829609	70512	Rob's Mom
829610	32114	Blond in bar
829610	229318	Melissa
829611	100944	
829612	144903	
829614	32909	Herself
829614	344402	Herself
829615	227990	
829615	297027	
829615	323832	Ma (segment "Meat's Meat")
829616	17820	Soeur
829616	154434	
829616	307478	Patricia, le médecin
829616	353907	La prof de gym
829616	353931	
829617	360494	ATM Girl
829618	191252	Old Mammy
829619	354953	Old Lady in Store
829620	235367	TV reporter
829621	110247	Sacha
829622	189516	
829623	20373	Passion Model
829623	64871	Gwen
829623	92776	The Swordwoman
829623	102726	Jasmine (episode "Midnight Sh
829623	107848	Kat
829623	198925	Wendy Carson
829623	268025	Sally Chang
829623	274358	Sumay
829623	280013	Jennifer
829623	283712	Foo Chow Hostess
829623	338757	Sweetness
829623	338758	Sweetness
829624	60564	Saeko's Friend
829624	324338	Tung Heung
829625	199292	One of 'The Girls'
829626	48442	
829626	240473	Dancer
829627	15291	Candy
829627	82151	Billie Yuen Bui-Yee
829627	123965	Chiu Ti
829627	136082	Anna
829627	167817	Ho-Yee
829627	167848	Annie San Fun
829627	187758	
829627	198646	Lan
829627	203118	May Tse
829627	210968	Hsiao's Sister
829627	326315	Amy
829627	367167	Jane Chan
829627	369049	Shirley
829627	371452	May
829627	371573	Shu-Hsien
829627	374900	Tsou-Ti
829627	376060	
829628	85880	Fang Mei
829628	135045	Yuenu
829629	252180	
829629	295364	
829629	369821	
829630	371585	
829631	369555	
829632	6581	Narrator
829632	25937	Sophie
829632	28455	Sarah Marriot
829632	40091	Charlotte Collard
829632	62989	Belle
829632	68112	Herself
829632	71659	Connie
829632	79004	Tooth Fairy
829632	79556	Miss Murdstone
829632	89184	Bildebeck
829632	101068	
829632	101426	Caroline Griveau
829632	104997	Herself
829632	114598	Martha
829632	139657	Madame Hooch
829632	142922	Prologue/Herself
829632	160469	Annemarie Kempf
829632	200327	Mary Muldoon
829632	210514	Olive Mannering
829632	235016	Narrator
829632	244315	Emilia
829632	260229	Jean
829632	263791	Moyra Henson
829632	270949	Elle
829632	321421	Mary Foster
829632	323903	
829632	337484	Lady Anne
829632	364864	Mrs. Holroyd
829632	365564	Ada Leverson
829632	379255	Tania Braithwaite
829632	382794	Herself
829632	385196	Narrator
829632	385627	Audrey Maclintick (segment fi
829632	386235	Berengaria of Navarre
829632	390393	Clarice Groan
829632	393427	Pearl Graigie
829632	396079	Tessa Piggott/Carver
829632	398683	Susan Harper
829632	400814	Charlotte 'Charlie' Titmuss, 
829632	405042	(segment "Macbeth")
829633	411366	Alinta (episode 1: Alinta the
829634	269454	Guarina
829635	210939	
829636	374023	
829637	48368	Lisa Skogdahl
829638	92479	Nurse #2
829639	73235	Delia
829639	109632	Paige
829639	132915	Chiron, Time Tourist
829640	71748	Doctor
829641	17595	
829642	155368	
829643	96987	Julie Hallerton (singing voic
829643	127621	Gigi
829643	361688	Anita (songs 'A Boy Like That
829643	408066	Herself
829644	267407	Kung Fu - Toilettenfrau
829645	138899	Broughton's Gardener
829646	172416	Pige ved Kajs pølsevogn
829647	26082	
829647	71863	
829648	109686	Student #8
829649	228449	Student
829650	356035	Juju
829651	8353	
829651	30892	Ernestina
829651	52820	Aurora
829651	104497	
829651	171477	Beth
829651	233807	
829651	247074	Custódia
829651	252596	
829651	254240	
829651	263929	
829651	269535	Iolanda
829651	279702	
829651	279703	
829651	286574	Albertina
829651	403738	Rosa
829652	216366	Herself
829653	78937	Herself
829653	380391	Angie (1976)
829653	380713	Barbara Ryan Stenbeck #3 (197
829653	385719	Roxanne Drew (1970-1971)
829653	387309	Allison Perry (1980)
829653	404002	Dr. Meyers (1977)
829654	93526	Bitten Hvidmann
829655	216351	Elisabeth
829655	312998	Defense Attorney
829656	396123	Sherri Rescott Watley #1 (198
829657	236250	Elizabeth
829658	301641	Cheryl Mason/Alessa Gillespie
829658	301644	Alessa Gillespie
829659	165165	Lucy
829660	393496	Zha Dan
829661	110627	
829662	22824	Reporter
829663	32997	Amanda Lui
829664	266132	Nun
829665	48130	Mannekeng
829665	50273	
829665	84321	Vera
829665	114773	Mannekeng
829665	154496	
829665	287550	Emma Sørensen
829665	312238	
829666	236275	Yen
829667	411592	Joyce
829668	124867	Sister Maomao
829669	265599	Ms. Edokko
829670	220677	Herself
829671	111213	Xi'er
829672	95292	Luo Fei
829673	52018	Jin Xiaofeng
829673	369637	Xie Jinfang
829674	251979	Reporter at National Cathedra
829675	214598	
829676	8486	
829676	307538	
829677	48424	Laifu's Wife
829678	298326	Wen Yuet-Yi
829679	275548	Qiu Yun
829681	167737	Lu Ruifeng
829681	192475	
829681	268801	Wu Zhiying
829681	277558	Cui Xi
829681	297307	
829681	332346	Song Wei
829681	369060	Sister Ma
829681	369916	
829682	236387	Audition Woman
829683	408627	Victoria Lin
829684	92496	Poole
829684	405640	Kenny Tan
829685	15289	Afang
829686	85469	Xin Fengming
829686	189139	Zhao Hong
829686	332358	He Da
829686	373031	Xiaoye Qianxiangzhi
829687	175621	Ada Gronick
829687	206356	Hop Jo
829687	235618	Lunar Maiden
829688	207670	Kate
829688	261989	Radio Caller
829689	15276	
829689	95191	Snow
829689	152101	Aunt May
829689	152102	May
829689	303407	Miss Orchid
829689	326314	Cheng Xiao-Nan
829689	368063	Aunt May
829689	371530	Schoolteacher
829690	149011	Qiu Yi
829690	285585	
829691	268759	
829692	86267	Li, 'The Thousand Hands'
829693	152013	Jin's Mother
829694	303678	Oversøster
829695	156393	Chinese mother
829695	183102	
829695	198590	
829695	258410	
829695	323096	
829695	341544	Mrs. Chen
829696	370832	
829697	25896	Hu Xiuzhi
829698	361710	Child at Meal
829699	369657	Hai Liu
829701	175085	Wang Xiaohu
829702	268694	Xing's Wife
829703	54679	Narrator
829703	78788	Julie Honda
829703	80384	Cindy
829703	165260	'Sexy' Bath House Girl
829703	289490	Candy's Girl #1
829703	354851	Pringle
829703	362588	Young Geisha Girl
829703	376053	Waitress
829703	380391	Lisa Woo (1998-1999)
829703	380713	Sandra Wong, R.N. (1997-1999)
829703	390771	Lilly Chang (1991)
829703	395214	Various (1997-1999)
829703	396123	Alden's Nurse
829703	404112	Ming
829704	16950	
829705	336729	
829705	405740	Co-star
829706	24429	Dancer
829706	63200	Midwife
829706	114039	Receptionist
829706	215474	Host
829706	276955	Kim
829706	277582	Woman
829707	367180	My wife
829708	173369	
829709	410740	Host
829710	278774	
829711	185109	Yamamura's Grand-Daughter
829712	347304	
829713	191005	Yan, Yifang
829713	369190	A-mei
829714	110580	Jin Sulan
829714	369190	A-mei
829714	373930	
829715	76353	Gao's Mother
829715	411590	Xinli's mother
829716	76310	Mi aka Butterfly
829716	298704	
829716	371491	
829717	268803	Yan Lingzhi
829718	184310	Jin Mei
829719	151950	Xiaohua's Mother
829719	268724	Shu Fang
829720	135045	Queen
829720	149011	Mrs.Pu
829721	259461	
829722	40200	Additional Voices
829723	60538	The Wife
829723	369932	Lady Ke
829724	306744	Dr. Takashi
829725	376074	Juju
829726	8597	
829726	137162	Ling Yanzi
829726	137163	Ye Zhi
829726	170019	Li Jinfeng
829726	369040	Steelworker Jinhua
829726	369866	Mother Ding
829727	28531	Hilda Hauge
829727	48130	
829727	51298	Laura Isaksen
829727	153350	Fru Nelson
829727	235043	Fru Valle
829727	242691	Oversøster Florence
829727	242693	Eli Sæter, assistentlege
829727	248190	Pim, Laffens kone
829727	261141	Kvinne i Solsund Sangkor ('Th
829727	347005	Hønse-Lovisa
829728	36461	Ruan Hong
829728	376156	Hongshen's sister
829729	114095	Herself
829729	280067	Herself
829730	244330	Jackie
829731	154678	Gerilja
829732	334781	Vivi
829733	326830	Miss Boon
829734	369727	Ms. Choo
829735	52039	Xiao Wang
829735	268751	Su Yin
829735	297353	Qin Shuangyue
829735	393496	Er Yitai
829736	25994	Xia Qing, His Daughter
829737	253202	
829738	149049	Lin, Daiyu
829739	36436	Manuo
829739	97786	Wuyunhua
829740	324715	Xiao Yun
829741	135048	Madame Shixi
829742	332499	Li Aqing
829742	369045	Pregnant Woman
829743	285585	
829744	393496	Wu-ma
829745	85502	Madam Liu
829746	268644	Sister Happiness
829746	300696	Lanlan
829746	335412	Tian Xiujuan (as young woman)
829746	369936	Qiongyu
829747	300750	Zuo Wei
829747	360986	Mengyan
829748	58917	Weiwei
829748	373020	He Wei
829749	60558	Huang Liuhua
829749	258403	Chen Zhigao (segment "Yong yu
829750	111243	Pang Ruyi (child)
829751	374902	Liu Chang
829752	86923	Grandma Kang
829753	58341	Ah Kuei
829753	63365	
829753	369124	
829753	371577	Jia-Ning
829754	111228	Zhao Wusheng
829754	123970	Liang Daliang
829754	167883	
829754	229483	Li Qiulan
829754	256145	Mrs. Hu
829754	369060	Madame Liu
829754	369818	
829755	297310	Chi Li as a child
829756	326313	Xiu Meizhi
829757	68315	
829757	274037	Disco Waitress
829758	152138	Yu Lianfang
829759	270272	Dormitory Boss (Nina)
829759	393471	Mary Simpson
829760	119520	Herself
829761	825	Harfenjule
829761	11876	Klara
829761	12579	
829761	14383	
829761	20430	
829761	24897	Die Oberin
829761	32748	
829761	76761	
829761	91126	Luccia, Kräuterweib
829761	91175	
829761	94489	Rosalie
829761	107350	
829761	107369	Mrs. Loevengaart
829761	111772	Haushälterin bei Crey
829761	114782	
829761	119270	
829761	125100	Haushälterin
829761	125319	
829761	129714	
829761	138431	Frau Zorneder
829761	144157	Mummie
829761	155390	Guste
829761	173157	
829761	175278	
829761	180885	Die Portiersfrau
829761	182589	Lismerlisi
829761	182773	Prinzessin Georg-Wilhelm von 
829761	182781	Frau von Bockh,Oberhofmeister
829761	188725	
829761	207802	
829761	211105	Alte Dame
829761	239102	Königin Victoria
829761	239106	
829761	267338	Meisterin
829761	281947	Kräuterjule
829761	281953	
829761	290256	
829761	294202	
829761	328846	
829761	346849	
829761	347698	Bas' Ursel
829761	347785	Garderobiere
829761	354787	
829761	360927	Barbaccia
829761	361509	
829762	220574	Polo player
829763	298184	Old Lady
829764	253519	Lena
829765	43620	Rachel
829766	2138	Schoolteacher
829767	9562	Michiko Tsubaki
829767	21901	
829767	28058	Kimiko Okajima (Episode 4)
829767	125230	
829767	139736	Lily Hama
829767	140278	Ryouko Ema
829767	142159	Akiko Natsume
829767	163838	Mitsuyo Iwai
829767	167939	Queen
829767	174960	
829767	176605	
829767	207116	Asako Yano
829767	229768	Matsuko Kidokoro
829767	229779	Chisa
829767	231272	Kimie
829767	232920	Shigeko
829767	234780	Nobuko Tashiro
829767	324370	
829767	344960	
829767	358121	Lily Hama
829767	373751	Hisayo Tachibana
829768	309447	Mother
829769	4785	Frieda
829769	93431	
829769	103097	
829769	147268	
829769	155383	
829769	175775	
829769	180885	Die Zofe
829769	197949	
829769	301037	
829769	348677	Ilonka
829769	359224	
829769	367190	
829769	375986	
829770	178284	Mwangi's Mother
829770	278763	Mrs. Olaya
829771	18521	Angela
829771	51847	Lisa
829771	95282	Frau Bergius
829771	119172	
829771	215127	
829771	287218	
829771	325540	Angela Stürznickel
829771	325743	Ann
829771	338433	Claudia Bender
829771	379846	Frédérike
829771	380558	Mermaid #1 (voice: German ver
829771	386906	Schwester Eva
829771	388295	Claudia Merian
829771	392086	Katinka Neumann
829771	399160	Anna Bortone
829771	404454	Tatjana Prinz (2003-)
829771	410553	
829772	23892	
829773	409625	Regina Albrecht (1994-1997)
829774	107842	Complaining woman
829774	127351	Methadone Clinic Nurse
829774	185164	Irene
829774	222780	Nora Flood
829774	263755	Woman in Red
829774	277988	Hester Brandt, Jane's Maid
829774	332530	Nurse
829774	347924	Pasadena Lady
829775	192288	
829776	26422	Herself
829777	290745	
829778	311400	Reporterin
829779	33640	Une prostituée
829780	14964	
829781	264941	Mme Changedia
829782	290456	
829782	309748	Mado
829782	325422	
829783	273724	
829784	278318	Girl
829785	353821	L'infirmière
829786	411069	Herself (accompanying musicia
829787	396793	Herself -  Senior Paper Conse
829788	123415	Lyse
829789	62697	Mandy
829789	71302	Ms Spock
829789	75648	Claire Ferguson
829789	140765	Detective O'Neil
829789	262348	Helen
829789	323936	Mother
829789	358595	Barbara Jacobs-Alsop
829789	382294	Kath Flannery
829789	386546	Karen Grattan
829790	155905	Tantrum Child
829790	285357	Rayanne Jennings
829790	318338	Cookie
829791	78025	Amber
829791	223248	Chelsea
829791	318338	Kissing Girl
829792	233922	Sulin Nguyen
829793	17346	Gitte
829793	17347	Herself/Gitte
829793	23873	Mira
829793	86847	Mette
829793	120090	Frida
829793	143219	Pige i skoven
829793	153219	Herself
829793	168579	Mia
829793	182620	Gitte
829793	182621	Gitte
829793	237303	Line
829793	253190	
829793	274831	Sarah Åkerwald
829793	315388	Julie
829793	315401	Herself/Sarah
829793	319937	Anne
829793	392322	Anette Madsen
829793	401573	Nicos Brors Kæreste
829794	61161	Dog Lady
829795	157790	Lilly
829796	269892	Aborigine
829798	341224	
829799	396582	Herself
829800	190273	Hippie Sister
829801	190273	Hippie Sister
829802	185151	Dr. Powers
829802	327632	Woman In White Dress
829803	55253	Mother/Ghost
829804	248425	
829805	66621	Children's Counselor
829806	512	
829807	115873	
829808	85062	Anu
829809	272518	Principal
829810	380311	Whisper
829811	166847	Kammerpige
829812	283664	Bernadette
829813	216028	
829814	345	Elsie
829814	6196	Fat Anne
829814	19822	Cook
829814	82756	Australian Lady
829814	148535	Mrs. Sharpe
829814	229259	Mrs. Jones
829814	231527	Mrs. Benson
829814	330246	Edie
829814	385896	
829814	390099	Mrs. Bloomington
829814	390100	Mrs. Bloomington
829814	393685	Mrs. Yabsley
829815	313818	Rec. Guide
829815	331309	Clorissa
829816	374528	Nurse Alena
829817	75757	
829817	88410	Jola
829817	255611	Dominika
829817	304666	Hanna Wolska Evans Daws
829817	397622	Teresa Siudym
829817	398874	Katarzyna Gostynska (1999-200
829818	163503	Penny
829819	389749	
829820	30071	
829820	50750	
829820	53218	
829820	57175	
829820	72016	
829820	73879	Dr. Tessier's Nurse Reception
829820	76564	
829820	107133	Mrs. Grove
829820	115646	
829820	137478	
829820	142879	Woman in Courtroom
829820	146273	
829820	193998	
829820	231962	Bit
829820	261168	Mrs. Rainsford
829820	271251	Jane Withersteen
829820	288672	Mrs. Harry Higgins
829820	304375	Mrs. Kearny
829820	333779	Nurse
829821	363488	Anita
829821	399011	Miranda
829822	380911	Herself - 10th Place (2004)
829823	167615	Herself
829824	7293	Peggy Lunt
829824	34977	Counter Girl
829824	65127	Judy Monahan
829824	67872	Rita Joyce
829824	107688	Jane Harris
829824	107694	Bonnie Caldwell
829824	123913	Mary Jones, Miss America
829824	127699	Marie, the maid
829824	170737	Ann Forrester
829824	239048	
829824	278392	Lily Shannon
829824	282387	Kitty Duval
829824	292720	Errol's Secretary
829824	295293	Lucy Banning
829824	304347	Southern Girl
829824	304552	Marie - B-girl
829824	305855	Teresa Mahoney
829824	321570	Barbara Marsden
829824	362670	Bunty McGregor
829824	364343	Ruth Allen
829825	184769	Lapdancer
829826	219585	
829827	160141	Franchesca
829828	207852	Woman
829828	316153	Panty clad girl
829829	207852	
829830	274458	Dealer's Girlfriend
829831	132756	Davis' Assistant
829832	87540	TV Reporter
829832	272728	TV Reporter
829833	353711	Herself
829834	27214	Candice
829835	12722	Dart Lady, Royal Girl D
829835	19769	Cameilla
829835	40460	
829835	41263	Additional Voices
829835	48524	Allee Cassandra, Oblicia Cat,
829835	49644	Herself
829835	76699	
829835	78785	Barga, Old Crest
829835	95560	
829835	107941	
829835	107943	Vending Computer (Shop Tec), 
829835	115556	Betty Rubble
829835	115557	Betty Jean/Mrs. Gravelson/Fem
829835	115559	Betty Rubble
829835	115572	Betty Rubble
829835	117783	Faldorn/Bodhi/Lady Maria/Lady
829835	122660	Scarlett
829835	129920	Small Foot
829835	133114	Roan/Elmo
829835	143571	Ashely
829835	147629	
829835	154833	Betty Rubble
829835	167131	Additional Voices
829835	187137	Additional Voices
829835	202395	June
829835	218369	Medusa/Raye Fay
829835	230721	B.J. Vinnie's Henchman
829835	232108	Velma Dinkley
829835	241954	Henri Blanc (English)
829835	242939	Giselle Davenport
829835	243760	Sephy
829835	246521	Queen of Hearts
829835	251551	Megellenic
829835	258513	Additional Voices
829835	261746	
829835	276690	Street Mother
829835	276845	Nazi Cmdr. Helga/Nazi Woman #
829835	280202	Zippy
829835	283355	Computer, Forseti Control, Sc
829835	290938	Velma Dinkley
829835	290940	Velma Dinkley
829835	290941	Velma Dinkley, Cyber Velma Di
829835	290942	Velma Dinkley
829835	290947	Googie/Repulsa
829835	290948	Velma Dinkley
829835	290952	Velma Dinkley
829835	290958	Velma
829835	313415	Computer Voice/Obsidian Order
829835	313418	Katarina Scott
829835	313434	Romulan Officer #1/Additional
829835	313436	
829835	315720	Additional Voices
829835	321709	Casca, Eriza
829835	321957	Dr. Elsa Weissenger/Female PD
829835	335064	Woman's Voice
829835	378727	
829835	382474	Additional Voices
829835	382959	Various Characters
829835	382960	Additional voices
829835	383384	Additional Voices
829835	383414	Federal Spokesman
829835	383849	Small Foot
829835	386064	Additional Voices
829835	389628	Scarlett, Pelar Vasquez
829835	390534	
829835	392758	Betty Ross
829835	393308	Jana
829835	393482	Additional Voices
829835	393698	Additional Voices
829835	395758	Ashley Little (1984-1986)
829835	398087	
829835	401487	Pinky
829835	401528	Additional Voices
829835	401855	Rad
829835	401980	Whopper
829835	402454	Additional Voices
829835	402954	Iris the Computer
829835	404063	
829835	404354	Fanny Frog (segment 'Frogger'
829835	405718	Additional Voices
829835	405739	Casey/Lil' Seaweed
829835	406086	Elektra
829835	406156	
829835	406387	Sparkle/Michelle/Mother
829835	406973	Additional Voices
829835	406989	Wonder Woman (Diana Prince)
829835	407011	Jayna
829835	407441	Additional Voices
829835	410378	Allura/Nanny/Haggar
829835	410379	Allura/Haggar
829835	410419	Tommy Stubbins
829835	411319	Glinda the Good
829835	411408	Fran McGill
829836	21426	Dick Clayton
829836	75846	Dorothea
829836	89631	Helmar Child
829836	92701	Belgian child
829836	115715	Peggy Trask
829836	117398	Little Anne
829836	133797	
829836	133849	Elaine's Child
829836	135587	Mary
829836	141082	
829836	150823	Michael Carmichael
829836	194830	Florence
829836	203765	Kiddie
829836	229512	Undetermined Role
829836	301780	Little Billy
829836	304445	Child with Flag
829836	327733	Little Mary Morgan
829836	364687	Little Grace
829836	366333	Baby Jenkins
829837	59217	Elisabeth
829837	294222	Jennifer Daley
829837	327240	Mary
829837	352702	Reporter
829838	320083	
829839	141558	Linda
829840	183323	Nurse #2
829841	140186	Young Sarah
829841	410978	Amy Goddard (2002)
829842	56971	Barmaid
829842	89586	
829842	223758	Mrs. Butler
829843	326751	
829844	13736	Diane
829844	165498	Dancer
829844	190269	Liza Minnelli, age 23
829844	199759	The Dancers
829844	331740	Sheila
829844	334243	Adelle
829844	363080	Babe 2
829844	372082	Barbara
829844	403542	Rikki Oh
829845	148874	Choreographer
829845	190269	Liza Minnelli, age 23
829846	6957	Hucklemary 'Huck' Finn
829847	255433	Hedda Champion
829848	349509	Groupie #1
829849	37270	Nurse
829849	401623	Presenter
829850	143868	Emma
829850	397436	Commercial Girl
829851	18985	
829851	21776	Mrs. Van Stuyhl
829851	22990	Mrs. Dodd
829851	25477	Mrs. Leeson
829851	26464	
829851	29319	
829851	39850	Bridget
829851	42332	Housekeeper
829851	46378	Mrs. Pat O'Toole
829851	53263	Housekeeper
829851	60209	Mrs. O'Toole
829851	69670	Mammy
829851	75401	
829851	76619	Mrs. Semple
829851	96659	Aunt Aurelia
829851	116691	Mrs. Schmick
829851	128733	Aunt Clara
829851	130742	Mrs. Parker
829851	143458	Nora
829851	145999	Prinncess Murieska
829851	149173	Undetermined Role
829851	151454	
829851	184437	Undetermined Role
829851	195513	Housekeeper
829851	203139	Mrs. Shaughessy
829851	231967	Lady in Audience
829851	239671	Abigail
829851	241787	The Widow
829851	241852	Cook
829851	242090	Princess Anne
829851	243741	Aunt Cynthia
829851	245195	Teddy
829851	247100	Tambourina
829851	252296	
829851	281874	Sally Towsey
829851	289503	Madame Benoît
829851	297203	Rosie
829851	303079	Paulette Remey
829851	309523	Mrs.Boussut
829851	330289	
829851	332115	Duenna
829851	335860	Mrs. Brady
829851	340736	Buck's Wife
829851	346177	Duenna
829851	364144	Housekeeper
829851	364650	Lavina
829851	367393	Mrs. Benson
829852	79514	Jennifer
829852	141180	Shondra Adaire
829852	189283	Emily
829852	220126	Gwendolyn
829852	336914	Lady Minista
829852	411780	Lorette Kirkland (age 14)
829853	219182	The Face
829854	128154	Sam
829855	51639	The Hog Lady
829855	305008	Melinda
829856	305157	
829857	69659	Mrs. Corley
829858	2295	
829858	163673	Herself
829858	311921	Vocal group
829858	333362	Herself
829859	67156	
829859	303776	
829859	313301	Chorine
829859	374198	French girl
829860	108722	Liza
829861	37702	Beautiful Girl
829862	394650	Herself - Anchor
829863	66366	Tracy Rogers
829864	309807	Porno Actress
829865	99279	
829865	222655	
829865	297994	
829866	282711	Dancer in Haiti number
829867	71895	Gladys Colbrook
829867	116197	
829867	130899	Mary Lynch
829867	169623	Dot
829867	248836	Phyllis
829867	266045	Judy Revis
829867	278607	Woman
829867	281427	
829867	309054	
829867	358759	Sally Carter
829867	362545	Sonny's girlfriend
829867	368244	Girl
829868	180263	
829868	283361	Mrs. Lee
829868	363370	Girl in Boots
829869	154470	Mona Drummond, Kelly's Mom
829869	164587	Anti-Fur Protester #4
829870	12309	Lyla Potter
829870	79907	Kathy's Daughter
829870	138136	Jane
829870	200860	Myra
829870	224157	Nina Martin
829871	410978	Amy Goddard (2002)
829872	130931	
829872	225191	
829872	361095	
829872	376310	
829873	30587	Mom
829874	9753	Cigarette Girl
829875	239047	Zombie
829876	45928	Maria Castillo
829876	372411	Mary Blount
829877	38531	Older Margaret
829877	273772	Mrs. Koslinski
829878	35367	
829878	60169	Edith Hardy
829878	68463	Ellen Neal
829878	74237	Mary Dexter
829878	74308	Rose Jorgensen/Rose Keith/Nor
829878	96611	Diane Winston
829878	117174	Fidele Roget
829878	136235	Maida Carrington
829878	143413	Coralie Grayson
829878	159990	Innocent
829878	165681	Yuki
829878	195613	Herself
829878	206376	Katherine ''Kitty'' Silverton
829878	227800	Marion Clark
829878	240781	Merlin Warner, aka Mexicali M
829878	242100	
829878	244774	Loyette Merval
829878	265498	Beverly Randall
829878	270734	
829878	290331	Lady Betty Manners
829878	292385	
829878	327979	Tennessee
829878	345859	Mrs. Jackson
829878	366336	Sally Temple
829878	366741	Suzette
829878	370899	Lorraine Roth
829878	371088	Anna Mirrel
829879	101573	Soup Server
829879	151458	Friend at Party #2
829880	115062	Cytherian Girl
829880	239515	College girl
829881	97672	Julie
829882	100661	Methodist Woman
829883	400544	Linda
829884	65679	Julie Mason
829884	196546	Suzanne Daly
829884	199642	Susan Taylor
829884	203509	Maria
829884	263556	Caroline Bingley
829884	376901	Patricia
829884	389698	Polina
829884	410728	Celia Toms
829885	78148	Sarah Hart
829885	271282	Tracey
829885	401451	
829886	144406	
829886	353302	Dominique Star
829887	308115	Waitress
829888	34113	Herself
829889	130751	Countess de Elberca's Cousin
829889	217444	
829890	64072	7th Maiden
829891	101070	Pintero's Sister
829892	266050	Woman Chemist
829894	100661	Girl at Counter
829895	16251	Mrs. Bingham
829895	92551	Gloria Gordon
829895	107386	Helen Grady
829895	232004	Arlene Iverson
829895	245302	
829895	368265	
829896	406486	Meredith
829897	22733	
829897	141219	
829897	211218	
829897	342973	
829898	38930	Mrs. Hill
829898	300012	Mother
829899	151703	Helen
829900	409633	Dorrie Greene (1993)
829901	100661	David's Mother
829901	196318	Joy
829902	154927	Champagne girl #2
829903	211357	Mary
829904	388861	Mrs. Thornton
829905	128518	Jacqueline 'Jack' Jones
829906	407082	Herself (12 Days, Jaburu Trib
829907	263339	Gym Teacher
829907	362140	Hostess
829908	264825	School Girl
829909	313833	Student
829910	81601	Grace Hartford
829911	131750	
829912	391232	Holistic Therapist (2002-)
829913	211440	Michelle
829914	20864	
829914	46242	Ballet Mother
829914	224364	Audra Southgate
829915	54961	Madeline Usher
829915	342033	Girl
829916	2845	Manager's Wife
829916	9018	Mrs. Ramsey
829916	14609	Mrs. Bull
829916	32916	Eve's Landlady
829916	33750	
829916	35683	The Landlady
829916	37303	Mrs. Fagan
829916	39498	Mrs. Clancy, Croner's Landlad
829916	43376	Older Orphanage Nurse
829916	52528	Ma Dixon
829916	69852	Character Woman
829916	92708	Ma Parker
829916	93117	Mrs. Brooks
829916	96961	
829916	132893	Bridge Player
829916	140332	Irish Woman at the Dance Scho
829916	143406	
829916	162942	Mother Joyce/Burke
829916	166240	Jury Woman
829916	175812	Flower Woman
829916	186452	Mother of Little Boy
829916	188202	Ma Harrison
829916	190061	Housewife
829916	190065	Irish Newswoman
829916	190210	Prison Matron
829916	190866	Mrs. Flint, Cook at the Weddi
829916	200156	Mrs. O'Rourke
829916	201421	Ma Patterson
829916	202865	Landlady
829916	203541	Aggie
829916	204552	Woman
829916	204744	Mrs. Smith, Prison Matron
829916	213116	Wilbur's Mother-in-law
829916	213193	Mrs. Ward, Landlady
829916	241096	Mrs. Flannigan
829916	246340	Customer
829916	249621	Nan Martin
829916	257559	Mrs. O'Brien
829916	266705	Matron
829916	267423	Hotel Lobby Scrubwoman
829916	279399	Mother Brooks
829916	292320	Prison Matron
829916	297956	Mrs. Murphy (owner of Kitten)
829916	308367	Mrs. Hudson, Landlady
829916	312810	Landlady
829916	316902	Mrs. Spencer
829916	327743	Grandma Morgan
829916	331383	Mrs. McGee
829916	331689	Mrs. Kane
829916	335631	Aunt Louise
829916	350509	Mary Ann's Mother
829916	352722	Irish Woman
829916	356230	Third Woman with Hat
829916	363758	Nurse
829916	363892	Mrs. Egglesby
829916	372232	Cook
829917	303776	
829918	72208	Customer
829919	21734	Lady Augusta
829919	73815	Princess Elizabeth
829919	88922	Romana
829919	88923	Romana
829919	88926	Romana
829919	88930	Romana (II)
829919	88933	Romana #2
829919	101382	Young Kate
829919	132210	Tessa Carmichael
829919	137945	Ophelia
829919	279224	Laura Grayson
829919	281918	Margaret
829919	350181	Helga
829919	386587	Romana (1979-1981)
829919	395311	
829919	404470	Anastasia Devine
829919	409659	Davina Seacroft
829920	370074	Alis
829921	32466	Tech Support Advisor
829921	114039	Frisbee Girl #1
829922	157436	Student
829922	168246	Anne
829922	294804	Doria Lookalike #2
829922	315621	Ludmilla
829923	334761	Clutie
829924	14231	Little Boy's Mother
829924	138482	The Nurse
829925	84987	Kate Perry
829925	302003	
829925	337645	
829925	367448	Bit part
829926	12781	Mrs. Grabell
829926	16096	Florrie Catchem
829926	118196	Maggie
829926	195321	Widow Dunn
829926	195338	The Girl
829926	218847	Lily Orbit
829926	230312	Tiny
829926	329561	Gertie Getout
829926	351894	Miss Merry Heart
829927	227032	Montice
829927	366641	Frankie's Girlfriend
829928	218599	Girl in Castle Anthrax
829929	19295	O.P. Dispatcher
829930	188220	Mrs. Craig
829930	313707	Madge
829931	7961	Prison Matron
829931	11125	Maid
829931	11233	
829931	12200	
829931	13226	Mrs. Sentel
829931	17778	Mrs. Cadogan
829931	19154	
829931	32196	Sarah Wilson
829931	33745	Neighbor
829931	34028	Matron
829931	35379	
829931	36784	
829931	37936	
829931	40993	Prison matron
829931	43968	
829931	49467	
829931	52359	Mrs. Browne
829931	57973	Waitress
829931	57985	Police Matron
829931	60177	Mrs. Prall
829931	63034	Mrs. Casey
829931	85067	Neighbor
829931	92612	Stout Woman Outside of Dr. Ca
829931	96849	Mrs. Cornelia Van Norman
829931	99335	
829931	101989	Mrs. Bloom
829931	106729	
829931	109673	American Tourist
829931	113885	The Pointer's Cook
829931	113966	Mrs. Lee
829931	114164	Cook
829931	118709	Mother Moir
829931	120335	Miss Clark from the Children'
829931	128189	Bit Part
829931	128297	Aunt Cicily
829931	138694	Mary Fletcher
829931	139780	
829931	142877	Mrs. O'Hara
829931	143105	Mammy Chloe
829931	144820	Mother Moir
829931	146076	Nurse
829931	146116	
829931	150963	Mrs. Coleman
829931	151294	Mrs. Kate Morley
829931	156468	Susan, Anne's Maid
829931	157519	Aunt Theodosia
829931	158807	
829931	159451	Mrs. Fenshaw
829931	162856	Mrs. Juliet Smith
829931	163513	Maggie
829931	186828	Servant
829931	190065	Maid
829931	190866	Mother of Girl Admiring Rex
829931	193733	Hilda, chalet housekeeper
829931	193815	Sarah Prue
829931	196322	
829931	202536	Sarah (prison matron)
829931	203307	
829931	206384	Mrs. Walker
829931	214949	Mrs. Gerald Fels-Martine
829931	219916	Mrs. Popham
829931	220005	
829931	223925	Undetermined Role
829931	228819	Head nurse
829931	232012	Woman Wanting Screen for Son'
829931	239023	Aunt Beulah Rush
829931	239784	
829931	241703	Genevieve
829931	243217	Judge at Flower Show
829931	249513	
829931	262142	Mrs. Brackett
829931	267423	Ma, Elmer's Wife
829931	269621	Mrs. Chalmers
829931	273599	Pig Woman
829931	276694	Mrs. Kelley
829931	279406	Lella Sadiya
829931	292413	Mrs. Sowerby
829931	294919	Cook
829931	294944	Small Towner
829931	296655	Mrs. Hale
829931	300900	
829931	303570	Mrs. Smith, Mamie's mother
829931	304029	Mrs. Jackson
829931	305765	Annie Manners
829931	308576	Woman
829931	308940	Margaret
829931	310564	Mrs. White, Casino Winner
829931	311762	Mrs. Rockford
829931	313918	Bit Woman at Fair
829931	329406	
829931	330607	Mrs. Kip Sr.
829931	330686	Arthur's Mother
829931	336884	
829931	338558	Mrs. Babbitt
829931	342913	
829931	348384	Matron
829931	360166	Quilting Party Woman
829931	362091	Mrs. Kilbourne
829931	363248	Music Teacher
829931	365068	Anna the Scrub Woman
829931	367481	Rosie Romansky
829931	367576	Lou Poore
829931	375802	Miss Murst
829932	166643	Wedding Player
829933	43087	Eleanor
829933	87697	Molly
829933	176965	Candice Lee
829933	363780	Brittany Wilson
829933	382419	Jessica Forrester (1994-1996)
829933	382600	Rachel McGuire (1998-2000)
829934	142930	Lady Rochford
829934	262534	Madame Mangy
829934	278478	Supt, Muriel
829934	281446	Lady at Sir Harry's Garden Pa
829934	410580	Princess Aline Kuragina
829935	27028	
829936	144991	Mrs. Fernandez
829937	15218	Mrs. Mullins
829937	27033	Geraldine Woollencraft
829937	44496	Aunt Marian Castle
829937	79106	Barbara Ward
829937	154087	Mrs. Birdsworth
829937	166738	Grace
829937	206360	
829937	337086	
829937	391368	Mrs. Cathcart
829937	391369	Mrs. Cathcart
829937	399130	Mrs. Granger (1988)
829937	402197	Jeanette 'Mum' Brooks (1979, 
829937	405960	Dee Morrell (1983)
829937	411809	Mrs. Wilson (1981)
829938	17967	Ramona
829938	77578	Eve
829938	138348	Luna
829938	242781	Captain Jean Farell
829938	257760	Chloe
829938	305660	April Lee, Bookstore Clerk
829938	320104	Sofie
829938	397630	Caitlin Hayes
829938	409098	Penny Lipton
829939	247272	
829940	47267	
829941	70015	Flossie Burgett
829941	355202	
829941	363327	Mathilde/Therese
829942	14484	Lisa Sterling
829942	19775	Alex Manning
829942	45781	Donna Leonard
829942	68754	Kelly
829942	72560	Arren
829942	90345	Carla Engel
829942	100711	Robyn Sweeney
829942	119334	Julie
829942	129579	Joanie
829942	131748	Little Sharon
829942	168295	Lily Dougherty
829942	215162	Cheryl Parker
829942	222769	Christine Bennett
829942	227502	Ashley Judd
829942	251347	Katy
829942	272661	Meredith
829942	289265	Melanie
829942	332396	Rachel Avery
829942	337999	Alice Stilwell
829942	338000	Alice Stillwell
829942	356244	Renee Perkins
829942	385722	Kimberly Sayers
829942	389165	Kate Wyatt (1998)
829942	397401	Connie Rexroth (1997-1998)
829942	400921	Jill Holbrook (1994-1995)
829942	411247	Nicole Manning
829943	18468	Hitchhiker
829944	223817	Little Girl
829945	55138	Herself
829946	73811	Deborah Thornton
829946	165852	Campfire teen #1
829946	300341	Vampire
829946	410113	
829947	398568	Reporter
829948	157505	
829949	364432	Maryanne
829950	282624	Herself
829951	190112	Mrs. Robbins
829951	241572	The Housekeeper
829951	317941	MaggieMcGee, an Irish Servant
829951	327733	His Aunt
829952	42855	
829952	281371	
829952	351162	
829952	409825	Tante Floor
829953	311427	Sonia
829954	6200	Girl being fingerprinted
829954	371374	Olga
829955	87418	Alice
829955	147793	Continuity Script Girl
829955	195523	Comedy Club Patron
829955	204947	Court Clerk
829956	47800	Brandy
829957	81317	Protesting Lady
829957	127255	Meter Maid
829957	187172	Nanny
829957	245140	
829957	340738	
829958	33023	Herself
829959	99691	Young Woman
829960	381666	Bella
829961	61627	Judge Franken
829961	183872	Liberal Woman
829961	204210	Coco Wilson
829961	253338	Emily
829961	253341	Judge Eleanor Daniels
829961	253351	
829961	253357	Parcel Clerk
829961	253359	Judge Eleanor Daniels
829961	290389	Girl in Sorority Room
829961	292452	
829962	31327	Foxy Boxer
829962	142527	Tina
829962	367909	Fashion Show Woman
829963	348008	Herself
829964	176415	Golfer
829965	332440	Dot
829966	294742	
829967	10395	Liz
829967	17765	Annie Laurie
829967	49258	Miss Fortescue
829967	110368	Mary Taylor
829967	139521	Billie Breeze
829967	146050	Leninia
829967	147405	Paula Pond
829967	163413	Maudie
829967	163558	Peggy
829967	175628	
829967	206340	Maid
829967	230620	Herself
829967	239567	The Marchioness
829967	253763	Lady April (1939 version)
829967	299196	
829967	300075	Mary Blake
829967	300938	Frankie
829967	327194	Mary Hilton
829967	329306	Rosie
829967	367785	Frankie Delane
829968	2895	Herself (Co-Presenter)
829968	7823	Fay Anderson
829968	8075	Jessie Wyler
829968	16068	Christine Sheve
829968	16113	Jennifer Jenkins
829968	21641	Patricia
829968	39675	Lillian Blatman
829968	42431	Roberta Langham
829968	63065	Jenny
829968	63162	Queen Isabella
829968	80541	Juliet Forrest
829968	91767	Lisa Burns
829968	91793	Grandmother
829968	113405	Margaret
829968	117956	Sally Jones
829968	131664	Marge Hills
829968	150543	Irene Costa
829968	151589	Julia Bagley
829968	224337	Caitlin Cory
829968	232203	Eleanor Adjai
829968	240682	Moira Davidson
829968	296811	Chris Royston
829968	297672	Dominoe
829968	331041	Herself
829968	392720	Herself (Hostess) (1994)
829968	393665	Queenie
829968	404622	Kate Linthorne
829968	408096	Meggie Cleary
829969	390195	Herself - Political Correspon
829970	390917	Roobot
829971	277637	Sharon
829972	366425	Diner Patron
829973	281402	Hotel Clerk Voice
829974	232349	Mrs. Ward
829975	133728	Charkie's Water Ballet Perfor
829976	269355	Euro Trash Vampire
829977	176498	Monica Rose
829978	302432	Little Nancy at 3
829978	366078	
829979	309158	Hippie Partyer
829980	317316	Sarah
829981	2761	Herself
829981	2781	Billie Auster
829981	2818	Herself
829981	12221	Jessica Savitch
829981	13751	Herself
829981	27447	Carla Hardwick
829981	46813	Caryl
829981	56857	Sydney Clarke
829981	61576	Sister Anne
829981	79716	Dr. Lucy Hall
829981	87282	Jeannie Miller
829981	91767	Karen Hart
829981	121386	Helen Kimble
829981	140186	Sarah Hardy
829981	142541	Kim Lacey
829981	176863	Dorothy Wade
829981	177406	Annie Larkspur
829981	203549	Janet Wainwright
829981	223920	Kaye Griffin
829981	224391	Herself
829981	235615	Cheryl Ann Wayne
829981	271219	Laura Demming
829981	274557	Anna Leath
829981	276198	Marie-Rose Gineste (segment "
829981	283410	Pretty Bar Woman
829981	283871	Colonel's daughter
829981	299317	Narrator
829981	314269	Tracy
829981	317926	Bobbi Bacha
829981	383254	Jennifer/Cameo
829981	387510	Hilary Adams
829981	400209	Elizabeth 'Lily' Manning Samm
829981	405494	Theodora 'Teddy' Reed Margoli
829982	98174	Girl at gas station
829983	321956	Maggie Powers (2001)/Addition
829984	26291	Mourner
829984	145019	Counselor
829985	285793	Clothing woman
829986	100825	Old Woman
829987	51063	Mrs. Byrds
829988	1529	Slap Jack's Girlfriend
829989	20135	The Young Girl (segment "I pa
829989	33283	Lídia
829989	37038	Emma Roussell
829989	55046	Molly Kendall
829989	56085	Jacqueline
829989	70566	Jill Peters
829989	73126	Dovnia
829989	78744	Eden
829989	105040	
829989	118686	Matilde de la Venegas
829989	121503	Kate Lofting
829989	127996	Sister Margherita
829989	152844	Girl in London House
829989	160576	Justine Weaver
829989	191774	Minnie Meagles
829989	194528	Girlfriend
829989	198923	Kelly Carson
829989	204473	Helen Schweizer
829989	245042	Veronica Van Huet
829989	276873	Mombi II
829989	298291	Antonia
829989	299492	Amanda
829989	318796	Stella Halliday
829989	323583	Nell Prescott
829989	354488	Alice Jordan
829989	355648	Porzia/Sulpizia
829989	360150	Elenore
829989	369185	Isabella Linton
829989	372733	Elizabeth Hardy
829989	384100	Francesca Monsanto
829989	384100	Francesca Monsanto (episode "
829989	386395	Rosemary
829989	392787	Carla
829989	406695	Kathi
829990	191713	Little Girl's Mother
829991	31327	Oil Wrestler
829992	364050	
829993	74029	Ashley
829993	130335	Wendy
829993	157576	Brittany Foster
829993	201833	Herself
829993	258951	Sandy
829993	297190	Jill
829993	363270	Herself
829993	365454	Brittney Havers
829993	368707	Olivia
829993	396614	Bree
829993	406952	Meg Cummings #1 (1997-1999)
829994	87699	Female Print Journalist
829995	99330	Fan Club Girl
829996	89099	Throw-Up Girl
829997	203243	Shopper
829997	281402	Office Worker #1
829998	203243	Shopper
829999	221218	Eva Braun
829999	278001	Donna
830000	251052	Teresa Phillips
830000	331658	
830001	202195	Moviegoer
830002	151196	Marie
830003	392545	Pretty Young Programmer
830004	77672	Girl
830004	383655	Tessa Robinson (1986-87)
830004	384528	Miss Scarlett (Series 1) (199
830005	120328	
830006	80994	Warren's Secretary
830007	77397	
830008	76195	Mrs. Hamilton
830009	33742	One of 'The Thirty Women'
830010	342802	Jasmine "Jazzy"
830011	133328	Hooker
830012	113985	Woman in Stall
830012	326798	Charles' Secretary
830013	168973	Newspaper Reporter
830014	320083	Lady Jackson
830015	41263	Umah, The Seer
830016	78122	Teresa Costello
830016	83982	Dorothea Brook
830016	116924	Mirielle
830016	118623	Ulla Peet
830016	123426	Lauren
830016	130461	Child
830016	154887	Mel
830016	154997	Jane
830016	191057	Linda
830016	195898	Doctor
830016	344187	Evelyn Cartwright (Simon's mo
830016	384484	Jan (1978-1980)
830016	389498	Various (1993-1994)
830016	405209	Isobel Kearney (1996-1998)
830017	46545	Young Mrs. Henshow
830018	195898	Cop 1
830019	275235	Vaganbond
830019	375358	Dívka na lavicce
830020	245457	Marge, office cleaning woman
830021	212668	Mammy
830021	321793	Mme. Claire St. Claire
830022	363708	Boby Ransket
830023	49941	The Mugger
830023	142524	Bobby
830023	232067	Patti
830024	182948	Women's Army of Revolt/Citize
830025	52659	Nurse Workman, 2nd floor Desk
830025	84846	Helen Blair
830025	222740	Mrs. Felton
830025	336299	Nurse
830025	360488	Miss Anderson, Beamis' Secret
830027	383953	Waitress
830028	125433	Donna
830028	205982	
830028	286119	
830029	50826	Technician, Computer Voice
830030	240500	
830031	410978	Baby Amy (2001)
830032	190851	Auntie
830032	330420	Mrs. Fortescue
830032	331489	Large Woman
830033	307374	Loyalist refugee
830034	313971	Ben's mother
830035	38549	
830036	3218	Miss Sophie
830036	71325	Bag
830036	163354	Mrs. Tompkins
830036	382064	Gran
830036	400538	Gran
830037	383078	Joanne
830038	100130	British Prisoner
830039	58494	Stewardess
830039	257451	Marta
830039	270931	Dacy's woman
830039	282350	Woman
830040	248132	Woman with Dog
830041	133929	Julie Mae Holvak
830041	365341	Julie
830041	389858	Amy Vining, R. N. #1 (1975-19
830042	204557	Beauty Technician
830042	267684	Citizens of New Orleans/Field
830043	174779	
830044	166381	
830045	166871	Saloon girl
830046	105596	Wicked Stewardess
830047	123304	Santa Rosa Sheriff
830048	250448	Emma Louise
830048	388321	Chris Jacobs (2002-2003)
830049	316858	Trisha Greene
830050	213820	Wife
830050	282394	Tub customer
830051	7408	Madame de Neiss
830051	12171	Catherine
830051	245009	Sammy
830052	43462	
830053	335028	Nellz, Frau Lindemanns Nichte
830054	228521	Native American Family
830055	197270	
830056	121506	Tana (Piano)
830057	222392	
830057	224366	Polly, 1st Hippie
830057	291253	Model
830057	316143	Sally
830058	240793	Charleston Dancer
830058	274773	Hazel Barry
830059	163565	China Blue
830060	228521	Native American Family
830061	92618	Wedding Party
830061	271844	
830062	30071	
830062	146273	
830063	154379	Herself
830064	274521	Zombie
830065	292162	Coffee Barista
830066	5083	Mrs. Edwards
830066	35786	Mrs. Gardener
830066	67411	Lady Featherstone
830066	68279	Queen Elinor of Serblandt
830066	73755	Elizabeth Crane
830066	81870	Kate Fallon
830066	109335	Parola (a dancer)
830066	114927	Tampico Tess
830066	124083	Domini Enfilden
830066	128330	Mrs. Bradford
830066	137548	Madame Elsie
830066	140140	Elizabeth Billings
830066	154651	Aunt Bessie
830066	175828	Portia DeWitt Brooks
830066	183435	Mrs. Johnson, Head Matron
830066	206097	Jane Hunter
830066	219383	Miss Navarre
830066	227555	The Barber's Wife
830066	228308	
830066	230870	Landlady
830066	232034	Mrs. Morrow
830066	241584	Susie
830066	249586	Mrs. Duell
830066	263536	The girl
830066	272874	Bit part
830066	273798	Harriett Nichols
830066	280892	Miss Anthrop
830066	285181	Mrs. McKee
830066	292481	Joan Lowrie
830066	292543	Madame Rombiere
830066	297932	Mrs. Luther Haines
830066	298101	Mrs. Alise Thurber
830066	304967	Corbett's Wife
830066	309559	San Francisco Sal
830066	310529	Min
830066	329570	Mrs. Maxwell
830066	330344	Mrs. Savage
830066	334975	Mrs. Kinemon
830066	355102	Mrs. 'Ma' Taylor
830066	359548	Pomposia
830066	372846	
830067	1753	Jessie Bowman
830067	10887	
830067	32052	Clara
830067	39692	Grand Duchess
830067	61626	Mrs. Hartounian
830067	66274	Customer
830067	66556	Rosie Lefkowitz
830067	66557	Rose Lefkowitz
830067	72707	Pem
830067	73573	Nana
830067	74010	Mrs. Sugarman
830067	77017	Aunt Zard
830067	83929	Grammy
830067	87348	Grandmother Verna
830067	92486	Old lady on bus
830067	142258	Alice
830067	193766	Gran
830067	214937	Dorothy Hendricks
830067	259407	The Radio Listener
830067	262261	Old Woman Wilkes
830067	265762	Mrs. Higgins
830067	304480	Mrs. Raines
830067	306625	Old Woman
830067	310647	Mrs. Morris
830067	312592	Aunt Delia
830067	335820	Jake's mother
830067	362873	
830067	385296	Mrs. Zimmerman
830068	7486	Girl
830068	20608	Norma Wyngold
830068	46902	Joan
830068	59055	Princess Nadji
830068	60344	Mary Larkin
830068	78850	Elsa Carson
830068	108026	Mary Beekman
830068	110410	Helen Lynch, alias Helen Gray
830068	130624	Irene (Sally's pal)
830068	138687	Carroll Sherridan
830068	152601	Olive Pelton
830068	157903	Fiancée
830068	177322	Princess Tania aka Catherine 
830068	188457	Sandra
830068	192601	Jane
830068	220270	Girl
830068	222578	Jane Maxwell
830068	224404	Eve Millstead
830068	231990	Diana
830068	233842	Olga
830068	237569	Edith Hyland
830068	243504	Janet Pardoe
830068	245515	Dorothy Kenney
830068	272874	Jean Thatcher
830068	275678	Myra
830068	303479	The Woman
830068	306798	
830068	363699	Nan Roberts
830068	372080	Lila Lacey
830069	112021	Herself
830069	385299	Dawn Ashford
830070	125986	2nd Cleaning Lady
830070	199485	
830071	109402	Acme Agency Girl
830071	110937	Red's Wife
830071	116894	Miss Smythe
830071	167707	Viola, Wallingham Telephone O
830072	79049	Vampire
830074	27196	Pam
830074	96920	Tanya
830074	141305	Louise
830074	205268	Single Woman
830074	260266	Flashback Woman
830074	296980	Terry
830074	305846	Radio Girl
830074	317991	Receptionist
830074	319951	Mayor of Big City
830075	32131	Claire
830076	248084	Donna Andrews
830076	313331	Jane Gray
830077	121386	Nurse Gladys
830077	343907	Elderly resident #2
830078	72438	Mary Ware
830078	80432	Mary Benton
830078	140862	Reeves' Secretary
830078	149491	Gloria Patton
830078	292823	Linda Hamilton
830079	11606	Martha
830079	32550	Coed
830079	64019	Mrs. Slade
830079	90922	Doris Johnson
830079	107175	
830079	184955	Chief money changer
830079	193540	
830079	264094	Sari
830079	347751	Myra
830079	381806	Louise Scruggs (1963-1965)
830079	390802	Amby Hollister
830080	203264	Lorraine
830081	395491	
830082	370851	Jewel Tice
830083	352441	Janet Whitcomb
830084	192680	Herself (Girls V Teacher - Sc
830085	12324	Naomi
830086	7848	Alice
830086	29676	Secretary Marge
830086	48075	Party Woman
830086	84404	Martha
830086	107742	Newswoman
830086	139699	Woman in Crowd
830086	161721	Nurse #1
830086	188484	Amber Waves
830086	220008	
830086	242431	Air Force Sgt. Brown
830086	259285	Mrs. Cassidy
830086	333043	Assistant Prosecutor
830086	356244	Jury Foreperson
830087	117604	Mrs. Webb
830087	143138	Lady Harriet
830087	162265	Moll O'Barry
830087	199203	Mrs. Brendon
830087	311278	Mrs. Edwards
830087	367042	Mrs. Corcoran
830088	251202	Doc's Girlfriend
830089	357523	
830090	380241	Natalie Valesquez
830091	27185	Secretary
830091	32560	Judy
830091	112596	Eileen Rivers
830091	162344	Lady Frances Webster
830091	163664	Anne Vernon
830091	169231	Lesley Beauchamp
830091	210768	
830091	214448	Mrs. Gaylor
830091	245527	
830091	279106	Lydia Languish
830091	321656	Mrs. Mallaby
830091	328618	Veronica Elvery
830092	117858	Dancer
830093	84666	
830093	199722	
830093	337010	
830094	152758	
830094	209303	Herself
830094	341026	Susanne
830094	391357	Mia, Lenas syster (1990-)
830094	394085	Blind follower
830095	188220	Petition Woman
830095	293198	Old Crone
830095	326600	Bag Lady
830095	364818	Ward Sister
830096	302793	Sarah
830097	177861	
830098	13966	Vegas Show Girl
830099	277909	Mrs. Chiles
830099	330262	Mrs. Pearson
830100	127522	
830101	32241	Amanda Alps
830101	226953	
830102	35688	Traci DiCarlo
830102	40431	Debbie Fleming
830102	43438	Sara Cartwright
830102	43439	
830102	52199	Becky O'Brien
830102	93080	Girlfriend
830102	195640	Linda
830102	203188	Maureen Trant
830102	246761	Debbie Metcalf
830102	257991	Jeanine
830103	24706	
830103	41344	
830103	44018	
830103	58518	
830103	118286	Ethne Eustace
830103	128253	Fawn Afraid
830103	133613	
830103	134477	
830103	190308	
830103	202977	Grace Meredith
830103	215182	Maizie Goddard
830103	251186	
830103	288444	Jessica Holmes
830103	296905	Girl Reporter Fanny Turner
830103	302158	Lola
830103	331592	Helen Strong
830103	349630	
830103	356255	The Sculptress
830104	27570	
830104	72027	
830104	128184	
830104	134866	
830104	183329	
830104	274011	Edith Custer
830104	307932	
830105	5802	Mrs. Jackson
830105	61626	Maxine
830105	75700	Susan Macklin
830105	131778	Louise Walters
830105	133870	Clara
830105	151365	Librarian
830105	168087	Sonja
830105	168216	Bellevue Nurse
830105	230151	Laureen Hobbs
830105	253350	
830105	309047	Lil Joplin
830105	397134	Victoria Butterfield (1977-19
830106	1480	Herself - Presenter
830106	1491	Herself - Presenter
830106	1781	Herself
830106	2960	Herself/presenter
830106	51801	Royette Tyler
830106	64559	
830106	76217	Ophelia
830106	90885	
830106	139613	Herself
830106	187420	Woman in phone booth
830106	206795	Lela Boland
830106	207132	Homeroom Teacher
830106	216670	Herself
830106	220211	Herself
830106	248596	Herself
830106	249572	Herself
830106	277700	Herself
830106	330130	Inmate
830106	335287	Herself
830106	340896	Herself
830106	364459	Officer White
830106	387546	Dr. Maxine Douglas (1993-1995
830106	396945	Host
830106	399423	Roz Russell (1986-1992)
830106	403346	Herself (1977)
830106	405684	Principal Dowling (1997)
830106	406358	Herself
830107	40623	
830107	151163	
830107	153298	duenna
830107	172329	
830107	274262	Natauka
830107	306325	
830107	331950	Aline Craig
830107	332033	Mrs. Coulter
830107	347149	
830107	351707	
830107	359667	
830107	364453	Bit Part
830108	359204	Minna
830109	17156	Blaze De Teo
830110	220917	Supporting
830110	261541	
830110	301077	March organizer
830110	379076	
830110	381436	Devon Jones (1993)
830111	42312	Lannie
830111	320611	Verona
830111	361142	Woman
830112	166943	
830113	34484	
830114	125463	
830114	345128	
830115	253529	Sally Dogwalker
830115	329986	Wanda Wargo
830116	5661	
830117	383056	Chrissy
830118	387533	Sister (3/1998)
830119	119581	Gracie
830120	100307	
830121	217648	Rosie
830122	65200	Widow Bevis
830122	93143	Young Kathleen
830122	109916	Bertha, the captain and Laura
830122	399561	Sally Tindall
830122	409020	Natalia Gordon
830123	54026	Polly Finn
830123	125817	Joan Simpson
830123	128286	Mannequin
830123	141625	Dorothy Trevor
830123	146069	Princess Sandra
830123	152878	Barbara Broderick
830123	158566	Mrs. Macadoo
830123	342489	Gladys
830124	168607	
830125	80992	Nursie
830125	114124	Queen Charlotte
830125	239673	
830126	291447	Bishop's Audience
830127	294786	Cult Member 2
830128	202947	Ingrid's Girl
830129	364334	
830130	17152	Girlfriend Technician
830130	91499	Carmen's Friend
830130	217002	Woman
830130	241497	Tanya
830130	278715	Sally Trigg
830131	29631	Coburn's Receptionist
830131	185390	Nurse Tomkins
830132	47827	Sally's PA
830132	231392	Laura McMullen
830132	385177	Tina Clark
830132	391786	Cindy Cunningham #2 (1996-200
830132	399374	Laura McMullen
830133	82095	Party Girl
830134	232370	Fashion Narrator
830135	2232	Kara
830135	83561	Cheetah's Dancer
830135	175863	
830135	323748	Princess Nefrianna
830136	67	Narrator
830136	1692	Herself
830136	43950	Presenter
830136	43951	Presenter
830136	164234	Narrator
830136	252492	Presenter
830136	283927	Presenter
830136	382710	Presenter
830136	394544	Presenter
830136	395224	Presenter (1990-93)
830136	399333	Presenter (1993-)
830136	400146	Presenter
830136	400228	Presenter
830136	403299	Presenter
830137	199210	Aunty's Guard
830138	78995	Summerville's Assistant
830138	208512	Sarah
830139	306814	Rebecca- infant
830140	310481	Snotty Cashier
830141	194881	Shelly
830142	80416	Bar Waitress
830143	374326	
830144	187277	Aerialist
830146	51792	Boubou
830146	300727	Mitsy
830147	19545	Handmaiden
830148	275257	Pianistinden
830149	34419	Annie
830150	333018	Villager
830151	109891	Rebecca Fields
830151	220093	Toni
830151	403608	Cindy Stuart
830152	232425	Additional Voices
830153	34911	
830153	381661	Hill's Angel (1980)
830154	143742	Nancy
830155	16657	Nurse in waking scene
830156	81245	The girlfriend of Mirsky's wi
830157	78267	Speaker
830157	392621	Speaker
830157	393445	Speaker (2003)
830158	10653	
830158	25939	Luise
830158	394543	Elisabeth von Roll
830159	178678	Julia
830160	19980	Big Nasty Woman
830160	80832	Emily
830160	82332	Claudia
830160	94861	Taffy, Albuquerque Hostest
830160	113267	Jury Foreman
830160	133844	Mary Henessy
830160	150189	Rusty's Mom
830160	223636	Lucy
830160	229325	Ruth Roberts
830160	291457	Meter maid at airport
830160	292042	
830161	27437	Kristi Brandon
830161	87375	Housekeeper
830161	119625	2nd White Girl
830161	178189	Lisa Brown
830161	241058	Josephine Piper
830161	359971	Sasha
830161	394418	Herself
830162	5413	Meg Williams
830162	8023	Christine Ahearn
830162	12777	Sally Monroe
830162	16710	Charlene
830162	31780	Melissa Bradley
830162	38259	Sandy Thompson (daughter host
830162	44511	Sarah
830162	94655	Sissy Purdue
830162	113270	Mary
830162	119436	Beer Line Girl
830162	130629	Girl
830162	158361	Jennifer 'Jenny' Murphy
830162	221360	Melissa Bradley
830162	224389	Kate
830162	244838	Cheryl
830162	248011	Becca Jenkins
830162	302030	Lucinda 'Lucy' Rockwell
830162	316191	Julie Wyatt
830162	359567	Lisa
830162	362791	Jill Archer
830162	399741	Kit
830163	34331	Öko 6
830164	61842	Jo
830164	296979	Linda
830165	164788	Hasse's Girlfriend
830166	66281	
830166	140082	
830166	146206	Barbette
830167	114016	Ethel
830167	191774	Mrs. Chivery, Tobacconist
830167	194513	Mrs. Coffin
830167	236952	Madame Olga
830167	382379	Mrs. Bobbins (1997-98)
830167	387247	Peggy Mitchell (I) (1991)
830167	388030	Mrs. Bently
830167	403910	Lil Bradshaw
830167	404617	Hetty's mum
830167	406265	Betty Harris
830167	410837	Betty Cromer
830168	144869	Mag & Turbo Girl #1
830169	219263	Die Mutter
830170	116161	Rebecca
830171	304282	Marguerite
830172	7288	Una Flux
830172	12393	Elyssa Ferris
830172	90209	Antonia
830172	107923	Emily
830172	194584	Lorna Doone
830172	196203	Rosetta
830172	201729	Herself
830172	204730	Teenage Fanny
830172	232829	Laura
830172	269901	Simone
830172	323377	Sheila Torkingham
830172	380610	Lady Cecelia
830173	366761	Lenox School Band
830174	248085	Doctor
830175	49330	Ruby
830175	129593	Doreen
830175	142436	Piper
830175	385824	Sandy Horton #1 (1967)
830176	113251	
830177	82974	Marion
830178	262088	Reporter
830178	280169	Receptionist
830178	363488	Allison
830179	369874	Bobsleigh, Luge and Skeleton 
830180	7853	Alice
830180	155696	Party Girl
830180	363948	Apartment Girl
830181	147739	Ginger
830182	328496	(segment "Ten Seconds To Coun
830183	224698	
830183	291862	
830184	220672	
830185	39830	Shirley Harley
830186	383893	Herself
830187	338981	Herself
830188	5285	
830188	41587	
830188	221776	
830188	296055	Herself
830190	81010	Mrs. Sanders
830190	134077	Lady in Nursing Home
830190	241404	Nurse Nora
830190	358114	Judge
830191	117626	Sharon
830192	398606	Herself
830193	115424	
830194	32661	Mrs. Dobson
830194	261605	Marjorie McCaffery
830194	320106	Reporter #2
830194	359060	Stacy Gris
830195	67372	Gigi
830196	396964	Ruth Pinch
830197	393424	Additional voices/Backup sing
830198	337624	Ann
830199	99451	
830199	142354	Maid
830199	195547	
830199	290335	Student
830200	96853	Singing Cook
830201	154089	Patsy
830202	328788	Student Teacher
830203	327185	
830204	114943	
830205	64068	Evelyne
830206	400230	Penny Cooper
830207	92865	Little girl
830208	127548	Berta
830209	1995	Herself
830209	16384	Joanne
830209	88766	Vialula/'Lou'
830209	115161	Joe's Woman
830209	159131	Kelly Berman
830209	221043	Paige Stillwater
830209	221114	Elaine
830209	265917	Eileen
830209	267351	Mary Sefton
830209	315172	Jennie
830209	335285	Michelle Brock
830209	360670	Micki Rachel Levine
830209	363894	Mimi Furst
830209	381354	Lorraine Bradley
830209	388345	Danni Lipton (1999-2001)
830209	391517	Howie's Wife
830209	402122	Amy Sherman
830210	12324	Natalie
830211	279490	
830212	49865	Donna
830215	149138	Bar Girl
830216	399816	Mrs Myers
830217	388653	Stacy Collins (Seasons 2-4)
830218	338661	
830219	282568	Tenant
830220	406667	Emily
830221	321247	Mrs. Leverett
830222	241703	Singer on screen
830223	69389	Sally
830223	163544	Singer, Dutch Ambassadoress
830223	206428	
830223	240981	
830223	241703	Screen Singer
830223	348359	
830223	372737	
830224	7394	RSPCA Receptionist
830225	22724	
830226	41303	
830226	54534	Marie's Mother
830226	75514	
830226	75819	Mame O'Malley
830226	76601	Helen Standlaw, Her Mother
830226	79415	Stella Gordon
830226	191968	Patience Welcome
830226	192148	Her Mother
830226	239689	Her Mother
830226	326480	Marie's Mother
830226	347957	Mabel
830226	351738	
830227	90318	
830228	161946	Saleslady
830228	312958	Secretary
830229	298093	Cmdr. Davis
830230	43924	Weevil
830231	301839	Miss Cooper
830232	16705	Android
830233	35532	
830233	36887	Herself
830233	37700	Mindy
830233	50488	
830233	147873	
830233	230646	
830233	272817	
830233	335587	
830233	365232	Laurie
830234	349985	Frau Lind
830235	330338	Woman in Accident
830236	197755	Schoolgirl
830237	51475	Model
830237	90241	Carol
830237	297261	Model #3
830237	346416	
830238	136290	Goldwyn Girl
830238	152551	Twin stripper #2
830238	210608	Herself
830238	258858	Waitress
830238	307913	Emily (band member)
830238	321566	Secretary
830238	398408	Pat Smith
830239	163358	
830239	249576	Showgirl
830240	310416	Young Carol
830241	92865	Little girl
830242	136290	Goldwyn Girl
830242	152551	Twin stripper #1
830243	42720	Woman in S & M Video
830243	48235	Peg
830243	75789	Stripper
830244	44335	Waitress
830244	45278	Voice of Brythle
830244	339359	
830245	408074	Belinda
830246	20987	Janet
830246	46415	Shirley Osterman
830246	86017	Ms. Storm
830246	117789	Laura Bradshaw
830246	189920	Nicole Pappas
830246	217532	Sara Bishop
830246	245728	Amy
830246	275319	Stormy
830246	306110	Tessa Percival/Eva Braun
830246	379716	Kate 'Kelsey' Jefferson (1995
830247	242564	Little Girl
830249	32241	Becky Bustin'
830249	185530	Herself
830250	78102	Second Stripper
830250	80695	Stripper
830251	40872	Katie
830251	273396	Cara
830251	369426	Child
830254	2796	Herself - Performer: 'Up Wher
830254	2888	Herself - Performer: ' (I've 
830254	7591	Herself
830254	164611	Herself
830254	243950	Herself
830254	282582	Herself
830254	305795	Herself
830254	405709	Regular Performer (1967-1969)
830255	269892	Aborigine
830256	153563	Herself (The Fastbacks)
830257	176525	Colonist
830258	356702	Ingrid
830259	256535	Hanne
830260	115990	
830261	240192	Red Cross Nurse
830262	267407	
830262	384515	Host (2004-)
830263	224691	Dead Woman's Daughter
830264	126596	Jeannie
830264	283640	Carla
830265	59984	
830265	198319	Pauline Modot
830265	328751	Child
830266	181116	Marlene
830268	6121	Maureen
830268	154742	Dana
830269	161640	
830269	408314	
830270	390777	Newsreader
830271	229124	Mimi (Stripper)
830272	10885	Child
830273	214802	State Trooper
830274	27171	Medical Examiner
830275	105551	Hotel Clerk
830276	152894	Calendar Girl
830278	274200	Nurse Anitra-Dog Electrocutio
830279	238983	Bannon, Jesse
830279	386382	
830280	191624	Anne Owen
830281	213142	
830282	265473	Pamela Wellman
830282	362037	Groupie
830282	369428	Skinner's Assistant
830283	263825	Hostess
830284	194663	Grace Reed
830284	362753	Young Peggy
830285	58810	Bessie Bellwood
830285	109242	Louisa Windeatt
830285	200110	Landlady
830285	200604	Julika
830285	292492	Lulu Clark
830285	306440	Mrs. O'Donovan
830285	330192	Fay
830285	338747	Flo
830285	350646	Florrie Forde
830286	279135	Girl
830286	331466	Molly the Glamour Girl
830287	151788	Extra
830287	186021	Corpse #4
830288	6264	Hitcher
830289	176967	Carol
830289	242585	Carla
830290	150073	Melinda
830291	116100	Anchorwoman
830292	232934	
830293	10885	Child
830294	86082	Gypsy puppet
830294	328743	
830294	378958	
830294	387171	Julia Constanzo
830294	388093	Anette
830294	389235	Pilar
830294	391419	Soledad
830294	392804	Fátima
830294	403107	Carolina
830294	405789	
830295	360425	Collette
830296	160897	TV Reporter
830296	169170	Calgary Ticket Agent
830296	220985	Saleswoman
830297	85933	Herself
830297	161389	Herself
830297	314778	Herself
830297	388102	Herself
830298	41253	
830298	84247	
830298	206942	Angela
830298	217968	
830298	247568	Reporter
830298	346329	
830298	363298	
830298	372755	
830299	3231	Straga
830300	256835	Herself
830300	263908	Herself
830301	50814	Milliner
830301	158226	Extra
830302	203693	Foscolnia
830302	312042	Bit
830302	346074	Marie Petrovsky
830303	342477	Kate Anwell
830304	26606	Mrs. Baldwin
830304	83920	Mrs. Oliver, Mountain City
830304	158353	Herself
830304	169906	
830304	330240	Mrs. Bowman
830304	337654	Mrs. Brown
830305	34337	Kelly's mother
830306	70428	Charlene
830306	93791	Sophia Simone
830306	143284	Jeana
830306	153984	Kimberly
830306	158584	Olivia
830306	173349	Jessie
830306	201735	Herself
830306	221481	Herself - Presenter
830306	234672	
830306	253059	Arrianne
830306	257296	Daena
830306	257298	Herself
830306	267590	Emily Keats
830306	324397	Elise Stevens
830306	340546	Jessica
830307	112615	Widow
830307	253147	Bonita
830308	233875	Decker's secretary
830309	4621	Lady Jane
830310	337209	Edna Godard
830311	12766	Victoria 'Vickie' Scott
830311	33700	Maria Garcia
830311	64099	Betty Palmer
830311	78115	Rona Simmonds
830311	90299	Ruth Hamilfon
830312	193900	
830313	117805	Jennifer D.
830314	75550	Aigail Sinclair
830314	165357	Herself - Vocalist
830314	390606	Helen Warren (1954-1955)
830315	33617	Marcel Chester
830316	290697	Nurse
830317	91779	Girl in Wigshop
830317	96669	Time Girl
830317	110264	Mrs. Belknap
830317	114851	
830317	146752	Blonde Actress
830317	164708	Jean Kent
830317	275694	Blonde
830317	280992	Organist
830317	297366	Record Machine Operator
830317	329388	
830317	331180	Girl
830317	331596	Assistant Supervisor
830317	343295	Carolyn West
830317	356293	Part of a theater party
830317	366456	Marge
830318	113303	Natalie's mother
830318	154102	Waitress in Café
830318	155087	Marie's Mum
830318	279347	Pub landlady
830318	343881	Sheena
830318	368294	Daphne
830318	372717	Debra
830318	382612	Maureen Hughes
830318	399379	Margaret
830319	36856	Manicurist
830319	143581	Passenger
830319	313301	Chorine
830320	7923	Elsie
830320	13450	Dr. Diane Cosgrove
830320	16653	Cloma Teeter
830320	29287	Mollie Brannen
830320	31738	Cop #1
830320	50617	Rea Parkinson
830320	58898	Camille Scoggin
830320	62536	Marsha Taylor
830320	69400	Pat
830320	95785	Dean Curtis
830320	109610	Cecile Jaeger
830320	114312	Erica Wells
830320	119551	Rachel Bellow
830320	121522	Lorna
830320	123296	Mother
830320	155227	Deborah Machland
830320	161634	Colette Beaudroux
830320	190245	
830320	215191	
830320	232004	Paula
830320	232209	Dr. Myra Tate
830320	248097	Dinah Caswell
830320	249517	Mary Sikes
830320	286478	Erica
830320	297643	Carolyn
830320	304528	Francine
830320	314235	Jesse Pfanner
830320	345066	Mary Williams
830320	383768	Martha Dalton
830320	393154	Reporter (1997)
830320	400773	Dinah Caswell (1984)
830321	73835	Jennifer
830321	117683	Hooker
830321	127517	Charlotte
830321	129944	Sharee
830321	132454	Doris Shelley
830321	208074	Janet
830321	244421	Dr. Johnson's Secretary
830321	290952	Chris
830321	362512	Audience Female #1
830322	280081	Girl with p-pass
830323	245610	Elsie
830323	269868	Girl
830323	302467	Waitress
830324	300180	Goddess Dancer
830324	304854	Carrie
830325	84834	Dorothy
830325	107703	
830325	143917	Kathleen
830325	177689	Poppy Ross
830325	212212	Maid at Party
830325	212214	Secretary
830325	261973	Betty
830326	79450	Unborn Child
830327	196341	Waitress
830327	301646	Trouble
830328	117223	Sarah
830328	190869	Additional Voice
830328	386427	Anna DiResta
830328	393828	Lauren Cassidy
830329	4543	Mrs. Humes
830329	11514	Mrs. Burden
830329	16042	Miss Ellis
830329	27215	Mrs. Cartwright
830329	31288	Chia
830329	40609	
830329	52051	Mrs. Keith
830329	71734	Theatregoer
830329	80947	Mrs. Clark
830329	92983	Mrs. Scott
830329	117480	Maj. Waldron
830329	129379	Mrs. Burger
830329	139581	
830329	154882	Dora Bradford
830329	160342	Ethel Linden
830329	165004	Mrs. Van Alden
830329	183801	Dean Howell
830329	194582	Sarah Ridd
830329	202928	Phoebe Sheldon
830329	206887	Mrs. Sawyer
830329	224810	Mrs. Weber
830329	231970	Mrs. Andersen
830329	252426	Mrs. William Sheffield
830329	266179	Mrs. Crocker
830329	289419	Mrs. Allison
830329	308338	Princess Karma
830329	313517	Mrs. Ruth Morrison
830329	314262	Mrs. Kellogg
830329	315700	Norma Calvert, Prison Superin
830329	323941	Mrs. Dorothy Mahler
830329	324042	Mrs. Gibbons
830329	327221	Kitty Lawton
830329	330915	Admitting Nurse
830329	331596	Mrs. Connors
830329	354852	Mrs. Vail
830329	359754	Mrs. Birch
830329	374578	Mrs. Purdy
830330	282568	Mrs. Goulisz
830331	13744	Judge
830331	34722	Herself
830331	381810	Host
830331	408623	Reporter
830332	71743	Herself
830333	2723	Joan
830333	17938	Waitress
830333	130962	Lois
830333	147745	Van Family Mom
830334	1038	Trish Sackett
830334	36536	Galatea
830334	39327	Jeannie
830334	64447	Nina
830334	88090	Younger Necie
830334	94861	Candy Woods
830334	105792	Diana
830334	107990	Eden
830334	121348	Sherry Nash
830334	133334	Tina
830334	158999	Tiffany
830334	159002	Tiffany
830334	161537	Claire O'Mara
830334	189325	Annie the Stripper
830334	201453	Herself
830334	246708	Teresa
830334	246710	Stacy
830334	267653	Karen
830334	289053	Alex Taber
830334	301792	Sandra Kimball
830334	306267	Estelle
830334	397171	Leanne Lancaster
830334	404374	Alex Taber
830335	40330	Diane Colton
830335	122193	Emily Portman
830335	209136	D
830335	347277	
830336	116100	Maria
830336	207837	Bridgette
830336	299897	Soap Opera Woman
830337	264205	Exzema
830337	342651	Mrs. Tramaine
830338	119344	
830339	336290	
830340	899	Aunt Tina
830340	1990	Flora
830340	7341	Janie's Mother (video 'Janies
830340	7583	Herself
830340	10342	
830340	11384	Glenda Holbeck
830340	18993	Lily
830340	20980	Herself
830340	27952	Juanita Hutchens
830340	35131	Julie Roy
830340	38547	Claire
830340	49763	Dr. Cynthia Sheldrake
830340	56699	Cat Ballou
830340	62665	Eve
830340	64072	Cinderella
830340	66173	Miss Scarlet
830340	67390	Sondra Dorio
830340	67555	Nadia Donner
830340	69856	Nancy
830340	70461	Kathleen McCarthy
830340	77835	Jeanetta
830340	79441	Mae
830340	81979	Pam
830340	82460	Anna
830340	108333	Barbara Walker
830340	112301	Kelsey Wilkes
830340	119851	
830340	130302	Nina Casselman
830340	138661	Miss Cordelia (Cordy) Biddle
830340	139611	Gloria Fontaine
830340	158061	Anita Mattison
830340	163418	Lois Lane
830340	169135	Potiphar's Wife
830340	187343	Laura Lorraine
830340	188118	Herself
830340	188642	Laura Reynolds (The Andersons
830340	190245	Molly
830340	190951	Elaine
830340	194663	Mary Reed
830340	195622	Sheila Blunden
830340	195788	Evelyn Heiss
830340	220041	Carol Sanders
830340	222809	Gayle
830340	224475	
830340	228448	Sandy Robards
830340	231951	Faye Hanlon
830340	241240	Alice Bower
830340	255258	Nicky
830340	261049	Jillian Brooks
830340	267439	Lula Rogers
830340	269800	Anna
830340	270373	Sally
830340	273769	Mom
830340	277746	Regina Rich
830340	281562	Charlie's mom
830340	285395	
830340	292715	Joan Holloway
830340	293021	Melanie Evans
830340	295328	Deborah Cabot
830340	308738	Gilda
830340	323578	Herself
830340	326442	Faye Watson
830340	340058	Dawn Sloane/Dorothy Slotnick
830340	342537	Francine
830340	353465	Norma Cassady
830340	362753	Peggy Stuckman
830340	365843	Herself
830340	365868	Wanda Holloway
830340	367271	Dr. Klein
830340	368687	Eleanor Larimore
830340	381802	Sarah Pennington
830340	387987	Anna Friedman
830340	388202	Jeanetta
830340	391069	Marja Fludjicki/Marianne
830340	397916	Dana Lambert (1970-1971)
830340	401079	Dr. Carol Lang
830340	405732	Beverly
830341	83912	
830341	188513	
830342	241277	Mrs. McCann
830343	49396	Girl at Mall
830344	146672	Herself
830345	33172	Lady
830345	90303	Pauline Lewis
830345	129203	
830345	160579	Miss Portly
830345	166217	
830345	205443	Jean Thompson
830345	221000	Doris Lovelace
830345	221305	Mrs. Post
830345	345857	Lynette Fox-Moore
830345	385646	Angela Wakefield, receptionis
830345	398680	Granny
830345	399552	Vera Botting (1983-86)
830345	399770	Bet Elston
830345	404617	Chancy's mother
830345	410712	Maureen Brooks
830346	118957	Girl
830346	329346	Sally Jo
830346	360760	Melanie
830347	277092	
830348	188118	Herself
830349	222599	Disciple #1
830349	363897	Nurse #2
830350	11356	Maude Harcourt
830350	35366	Ida Haines
830350	64852	Elsie Coningsby
830350	67859	Kate Morahan
830350	75339	Molly Turner
830350	113276	Maisie Smith
830350	128616	Violet
830350	135539	Hulda
830350	141526	Alice Temple
830350	142147	Grace Antrim
830350	148857	Beatrice Burnett
830350	157792	Julia
830350	162275	Allannah Kenny
830350	203609	Birdie
830350	239644	Mary Lane
830350	241642	Nellie Andrews
830350	264031	Mary Tompkins
830350	266223	Kitty
830350	291776	Molly Tarpley
830350	356347	Mary Rodman
830350	356893	Joan Meredith
830350	362203	Mamie Vezey
830350	367287	English barmaid
830351	328258	Ice Cream Fight
830352	288943	Female Rebel
830353	228298	Woman On Tour
830354	60148	Elegant Lady
830354	82327	
830354	188578	Jenny
830354	321405	
830354	323227	Foster Mother
830354	359443	Woman #1
830354	363502	Cheryl Benet
830357	363804	
830358	150243	Waitress
830359	401930	Dorree Sullivan (2002-2003)
830360	68825	Mourning Woman
830360	106617	Susan
830361	361067	
830362	191290	Lucy
830362	396366	Jane (segments "Feu, Le" ; "2
830363	279427	Nun
830364	2565	Sarah
830364	7101	Mrs. Nelson
830364	17629	Lottie
830364	24240	Mrs. Jennings
830364	35420	Policewoman
830364	37462	Customer
830364	42845	Kitty Cassidy
830364	46731	Girl in Elevated
830364	47094	Landlady
830364	51975	Miss Lyons
830364	53975	Mug's Wife
830364	64090	Faded lady
830364	64668	Ma Saunders
830364	65797	Milkwoman
830364	85034	Maid
830364	88250	Sergeant's wife
830364	88943	
830364	88999	Charlotte
830364	91971	Jenny
830364	99856	Shopper
830364	116963	Nurse
830364	117754	Nurse
830364	117821	Millie the cook
830364	120009	Mari
830364	124714	Linen Maid
830364	128161	Euphasia, the Cook
830364	131532	Katie Bevins
830364	135580	Publicity Woman
830364	142588	Emmy
830364	143281	Phoebe
830364	147413	Mother
830364	150797	Prisoner's Wife
830364	151084	Scrubwoman
830364	154652	Bridget O'Sullivan
830364	157456	Effie, Cleaning Lady
830364	160432	
830364	175175	
830364	176328	Welfare Worker
830364	177516	Jean Acker
830364	183679	Drunk
830364	184094	Cleaning Woman
830364	185335	Ellen Davin
830364	185718	
830364	188342	Nellie
830364	190543	Margaret Davis
830364	194095	Mrs. Dudley
830364	201458	Secretary
830364	202630	Sara Walker
830364	203172	Mayme
830364	203613	Peggy, the Cook
830364	204174	Nurse
830364	206887	Matron
830364	210831	Mrs. Burke
830364	211610	Attendant
830364	218124	Laundress
830364	218488	Mrs. Nelson, Boarding House O
830364	220998	Mrs. Blake
830364	224047	Cook
830364	230431	Mrs. Gillis
830364	234070	Sam's Wife
830364	237598	Neighbor (The Last Leaf)
830364	241134	Mother of Fatso
830364	244913	Mrs. Addlequist
830364	249513	Miss Brown
830364	252568	Tenement Woman
830364	256085	Scrubwoman
830364	264064	Nurse in 'Romeo and Juliet'
830364	264420	Prisoner Josie
830364	275452	Bit Part
830364	276762	Gossiping Woman
830364	282394	Tub customer
830364	285664	Mother
830364	298069	
830364	298070	Edith
830364	299780	Customer
830364	300909	Lucky's housekeeper
830364	303379	Matron
830364	303440	Mrs. Burton
830364	308576	Woman
830364	310872	
830364	313321	Reporter at Shrine Auditorium
830364	313918	Mrs. Edwin Metcalfe
830364	315992	
830364	323940	
830364	331713	
830364	331951	Julia
830364	342453	Woman
830364	347128	Mrs. Cassidy
830364	360834	Telephone Operator
830364	361300	Mrs. Andrews
830364	363190	Waitress
830364	367843	Ruth
830364	367905	Roomer
830364	372676	
830364	375802	Katrina
830366	272970	
830367	324777	Foxy Extra
830368	115639	Star Bar Dancer
830369	331714	Connie Dodson
830370	45454	Woman in chair
830370	151703	Woman in Cab
830370	162161	Mother
830371	278214	Nurse
830372	264914	
830373	272947	
830374	177254	Tuptim
830375	389079	Regular
830376	19	Aunt Kate
830376	5824	
830376	27209	
830376	31566	Matilda Faulkner
830376	40675	Rita
830376	42429	Mrs. Hoover
830376	45067	
830376	47458	Hannah, the Maid
830376	49730	
830376	52735	The Widow Crowcroft
830376	56429	
830376	67152	Mrs. Blanding
830376	78113	Mrs. Tarkides
830376	79339	Mrs. Chumnige
830376	91647	
830376	94065	Cornelia Wrigley
830376	98809	Eleanor's Mother
830376	99156	
830376	108237	
830376	117178	
830376	118708	Sears' housekeeper
830376	120630	
830376	121355	
830376	125610	The Mother
830376	127693	Rosa
830376	128481	Tia Ana
830376	133602	
830376	143016	Boardinghouse Woman
830376	145808	The Nurse
830376	146194	
830376	152515	
830376	162922	
830376	163270	Mrs. Wyland
830376	167254	
830376	167255	Mrs. Forbes
830376	168932	Georgette's Mother
830376	183391	Nora Flanagan
830376	186329	
830376	186343	
830376	191282	
830376	197674	
830376	203576	
830376	207152	
830376	210598	Life's Handmaiden
830376	211625	Carlotta, the Gypsy Queen
830376	212218	
830376	217442	Kate Malone
830376	219196	Housekeeper
830376	263279	
830376	264204	Clare Demarest
830376	269337	
830376	276188	
830376	281854	Quita
830376	286799	Wife of Manoah
830376	292481	Mother
830376	292566	Deacon's Housekeeper
830376	299283	Blanquette
830376	301652	Mrs. Hayes
830376	301695	
830376	302222	
830376	302390	Madam Blondin
830376	307855	
830376	309476	Jane's Mother
830376	316836	Elmira Ross
830376	328656	
830376	335672	
830376	346094	
830376	346161	
830376	361548	Kee-On-Ee, Years Later
830376	362676	Guadalupe Moreno
830376	363891	Jacintha
830376	364027	
830376	365625	Old Mary
830377	202619	Flora (Age 5)
830378	1999	Traci
830378	171485	Young Girl
830379	277106	Sally Tarshis
830379	389858	Mary Ellen Dante (1976-1977)
830379	400236	Julie Siegel (#1) (1969-1974)
830380	2275	Herself - Lifetime Achivement
830380	3077	Herself
830380	3593	Herself/Pheobe Tyler Wallingf
830380	19797	Kate Bergstroem
830380	31245	Herself
830380	32226	Marian Medford
830380	50124	Herself
830380	54706	Herself
830380	62050	Dr. Sara Durand
830380	64729	Emily Monroe Norton Kane
830380	71182	Countess Isabelle Gravini
830380	76964	Lucille O'Mara
830380	81343	Beatrice VandenBerg
830380	93669	Susan
830380	117647	Lesley Trimble
830380	133479	Mrs. Applebee
830380	133536	Ruth Treadwell
830380	135404	Ann Proctor
830380	151670	Mrs. Garrow
830380	162377	Florence Ayres/Cavanaugh
830380	169400	Mrs. Stephanie Graham
830380	188326	Carola Everett
830380	201415	Liza Lee
830380	221170	Amy Winkle
830380	237818	Linda Norton
830380	241780	Helen Mason
830380	253105	Agnes Stuart
830380	254262	Pat Mitchell
830380	254332	Hannah Cord
830380	274686	Herself
830380	276928	Grace
830380	277867	Aunt Gussie
830380	281369	Mrs. Rigsby
830380	291383	Herself
830380	292128	Emily
830380	292331	Lea Damaron
830380	308653	Sally
830380	321411	Ann Duncan
830380	331410	Jane Evans
830380	379716	Phoebe English Wallingford (1
830380	380713	Edith 'Aunt Edie' Hughes Frye
830380	388498	Ellie Banks
830380	390771	Janet Johnson, R. N. #1 (1953
830380	396123	Pheobe English Tyler Wallingf
830380	401350	Hannah Cord (1965-1967)
830381	4344	
830381	86755	Maya
830381	97753	
830381	162192	
830381	172737	
830381	172743	Thamara/Desdemona
830381	173436	Bhanu
830381	173465	
830381	181052	Meenakshi
830381	250608	Devika Shekhar
830381	286108	
830381	318719	Abhirami
830381	331030	
830382	282667	Kate
830382	335799	Autograph Hound
830383	37696	Alluma, Boobalonian Guard
830383	155272	Mindy
830384	25410	
830384	75844	Laura Tuttle
830384	116967	
830384	143669	Nedda's Grandmother
830384	297921	Lady Hostess
830384	365406	Emily
830385	7863	Kate
830385	402197	Brenda Hewitt (1983)
830386	142672	
830387	183358	WAF
830387	308604	Manya, Mayor's Daughter
830388	114007	Virginia Suydam
830388	120348	Grace Morley
830389	10891	
830390	323387	Stewardess
830390	399130	Sindi Watts (2002, 2003, 2004
830391	216639	Ms. September - Gymnastics
830394	302965	Carla Duifjes
830395	306278	Baby Snow White
830396	93491	Lucy
830396	111345	
830396	125710	
830396	140239	Ellen Rombach
830396	152431	Liane
830396	189764	Susanne 'Susi' Lenz
830396	229166	
830396	255086	
830396	285816	Erika Dahlmann
830396	358221	
830397	97529	Didi Stein
830398	34331	Geisel
830399	186897	Baustellen-Chor/Construction 
830400	394478	Sabine Reiger
830401	54859	Musicista
830402	243791	Mrs. Moskowitz
830402	364281	Miss Drake
830403	378949	Dr. Spectra/Jenny/Skip (Engli
830404	12205	Irene Bealeman
830404	44444	
830404	81103	Mrs. Grossman
830404	128760	Mrs. Conover
830404	128830	Store Keeper
830404	163232	Mrs. Kellogg
830404	269372	Shirley
830404	276645	Lady in Car
830404	317353	Miss Hamilton
830404	340704	Saleslady
830405	29619	Maria
830406	369022	Party Guest
830407	47588	Crackhouse
830408	21409	Ingrid Castell
830409	66213	
830410	223288	Leni Herrlich
830411	200515	
830412	23784	Hélène, la bonne
830412	84190	Marie (segment "Clé est sur l
830412	235814	Suzy
830412	401816	
830412	409440	
830413	80659	Fru Jonson
830413	164767	Sigrid Schmidt
830413	405900	Fru Nilsson
830414	278187	Couple in Bar
830415	48835	
830415	114505	
830416	131249	Maid
830416	367405	Kissing Woman #1
830417	214479	Old Woman
830418	358339	Screaming Girl #2
830420	263795	Haweeya
830421	117314	Girl at Pool
830421	218808	Russian Girl
830422	378341	The Belle
830423	189686	Cora
830423	267407	Franzi
830424	347354	Mary James
830425	1491	Herself - Co-host
830425	1768	Herself
830425	1801	Herself
830425	1820	Herself
830425	1841	Herself
830425	1963	Herself
830425	2046	Herself - Host
830425	2398	Host
830425	2630	Herself/Host
830425	2768	Herself - Performer: 'It Goes
830425	2831	Host
830425	7591	Herself
830425	14098	Herself
830425	20054	Herself
830425	20213	Herself
830425	26592	Herself
830425	30435	Herself
830425	34872	Herself
830425	50060	Herself
830425	61584	Herself
830425	61708	Herself
830425	64557	Herself/Ringmaster
830425	79902	Herself
830425	81406	
830425	88525	
830425	106254	Mama Limbo
830425	133449	Herself
830425	133693	Herself
830425	138730	Herself
830425	154396	
830425	161235	Herself
830425	164613	Herself
830425	186641	Herself
830425	201537	Herself
830425	275789	Beth
830425	276708	Herself
830425	277502	Host
830425	303293	Herself
830425	304632	Cassy
830425	308699	Herself
830425	309492	Herself
830425	315872	Herself
830425	360377	Herself
830425	383414	Dr. Russell
830425	386400	Herself/Host
830425	395772	Herself - Guest Singer (1987/
830425	402231	Herself
830425	405839	Herself (Hostess) (1980-1981,
830426	26639	Mrs. Prowse
830426	37509	Grace Henderson
830426	73222	
830426	133626	Lizzie
830426	175200	Matron
830426	188652	Housekeeper
830426	200413	Agatha Poskett
830426	203380	Geogina Yapp
830426	316940	
830427	96597	
830428	116515	Harem girl #10
830428	140115	Sylvia
830428	216032	Ellen
830428	410699	Various
830429	141522	
830429	368579	Mrs. Cleaver
830430	17760	School Teacher
830430	104995	Store Person
830430	387120	
830431	73258	Belinda
830431	333244	
830431	397835	Samantha
830431	397836	Samantha
830432	285879	Anya Sakharov
830433	391213	Presenter (1990-1997)
830434	77198	Florence Alderman
830434	299193	May Clarke
830435	5553	Virginia Marsden
830435	83950	Belle Deane
830435	118313	Chichi
830435	125879	
830435	129800	Paula Loring
830435	131493	
830435	138249	Bonita
830435	166088	
830435	190446	
830435	218945	Fleurette
830435	224225	Molly
830435	256428	
830435	273820	Vera Wray
830435	274136	
830435	281557	
830435	309854	
830435	310754	Princess Margaret
830435	349642	Nellie Le Brun
830435	365474	
830436	121136	Waitress Zosia
830436	179708	
830437	174880	Schumann's First Woman
830437	238833	
830437	311599	Geography Teacher Kalinowska 
830437	364983	Anna Malecka
830437	369373	Woman Being Killed
830437	374190	Maciek's Wife
830438	17725	Frau Strupp
830438	199374	
830439	182954	Model
830439	288907	Sexy beauty
830439	361862	
830440	142792	Inga-Britt Schultze
830440	305242	
830441	38930	Voice Characerizations
830442	144362	Nanna
830443	280016	Additional Party Guests
830444	393297	Herself (2001- )
830444	395571	Herself
830445	46647	Agnes
830446	171139	Ramzis Mutter
830446	278885	Hind
830446	323057	
830447	29556	
830448	256690	Eräs neiti
830449	9533	Mazurka dancer
830449	169099	Ballet dancer
830449	172523	Can-can girl
830449	181634	Gipsy dancer
830449	184780	Circus dance girl
830449	242257	Ballet dancer
830449	258847	Dancer
830449	260623	Norja Korhonen
830449	296508	Member of a woman orchestra
830449	343507	Ballet dancer
830449	349734	Kirsti's guest
830449	373379	Woman in a restaurant
830450	236959	Princess Perlipat
830451	270896	B-Girl at the Elephant
830452	25982	
830452	31479	
830452	122839	Mother
830452	152145	
830452	268559	Mother
830452	324996	
830452	332733	
830452	358012	
830453	87579	Herself
830453	321779	Herself
830454	35524	OR Nurse
830454	41739	Sports Bar Hostess
830454	67863	Crazed Teen
830454	78884	Furrier Owner
830454	319773	Homeless Lady
830455	266679	
830456	6144	Lady Gambler
830456	6812	Mrs. McBain
830456	10582	
830456	32453	Mother
830456	38019	Alice Fisher
830456	41699	Grandmother
830456	46806	Frau Helga Lang
830456	56424	Monica Bare
830456	59504	Queen Mother
830456	61639	Miss Emily Goslett
830456	64538	Miss Linstead
830456	67085	Aunt Annie
830456	71569	
830456	71581	Nanny
830456	74210	Mrs. Daniels, Granola Home
830456	78854	
830456	81564	Mary Gray
830456	88884	Midwifery sister
830456	91585	Fussy Mother
830456	95255	Worker who speaks to Holden i
830456	111457	Aunt Lil
830456	118653	Mrs. Gray
830456	123299	Miss Minter
830456	123470	Mrs. Hayes
830456	131392	Mrs.Joe
830456	148182	Kathleen
830456	155630	Mrs. Fiedke
830456	155928	Matron
830456	163547	Miss Morrow
830456	168453	Miss Rendlesham
830456	168721	Mrs. MacGregor
830456	193594	Aunt Lydia
830456	194641	Nurse
830456	194690	Lady Who Runs Seaside Library
830456	208720	Lady Leveson
830456	221234	Mrs. Brown
830456	223867	Mrs. Pearce
830456	232010	Mrs. Bramson
830456	237465	Neighbour/Usher/Sister Hallet
830456	239568	Mrs. Jarley
830456	241104	Vicar's Wife
830456	241817	Aunt Mildred
830456	268158	Mrs. Higgins
830456	308337	
830456	313347	Bit Part
830456	314623	Aunt
830456	316218	Agnes Smith
830456	326362	
830456	330502	Catherine Parsons
830456	334159	Mid Wife Appleby.
830456	342710	Mrs. Duckett
830456	362151	Alice Tallent
830456	366373	Miss Barnes
830456	371069	
830456	371547	Mrs. Thomas, landlady
830456	382744	Nanny Hawkins
830456	408170	Madame Raquin
830457	7390	
830457	9819	
830457	12306	
830457	16641	
830457	19827	
830457	21519	
830457	22862	
830457	24211	
830457	24227	Aunt Miranda
830457	24251	
830457	42252	
830457	50894	
830457	109885	
830457	119638	
830457	151248	Mother
830457	151325	
830457	161046	
830457	163382	
830457	168475	
830457	193404	
830457	206070	
830457	220869	
830457	233859	
830457	240779	
830457	245620	
830457	260633	
830457	262060	
830457	265886	
830457	294694	
830457	300171	
830457	306270	Witch Hex
830457	312824	Stage-Struck Lizzie
830457	315665	
830457	326361	
830457	340592	
830457	345768	
830457	347525	
830457	362306	
830457	366218	
830458	89271	Friend of Girl on Street
830459	4369	Townsgirl
830459	133949	Little girl spectator
830459	138492	Girl Outside Jail Window
830459	143605	Suzi
830459	170157	Susy
830459	176872	Walda Kowalski
830459	193682	Lila Kilgore
830459	219794	
830459	239846	Lisbeth Searcy
830459	297322	Ruth Lewis
830459	311008	Elizabeth
830459	318734	Jackie
830459	319611	Child
830459	363126	
830459	366251	Jolene
830459	399254	Vickie Massey
830459	402255	Kit Wilson
830460	122214	Beautiful Girl
830461	362863	Vera Walton
830462	274437	Tanya 12
830463	205991	Baronne Durieu
830463	217187	Kitty Shannon
830463	218930	Undetermined Role
830463	243232	Mildred Sanders
830463	277007	Madeleine Brevort
830463	359770	Miller, the Maid
830463	362946	
830464	263803	Herself
830465	105213	Stage 2
830466	279405	Maid
830467	105213	Stage 2
830468	213451	
830469	185812	Danny's mom
830470	195618	
830470	201112	Bad singer
830471	301559	CUFONExpo Woman
830472	98762	Herself
830473	397831	Ellen
830474	185330	Ada, chicken coop truck drive
830475	1870	Patty
830476	139096	
830476	342826	
830476	343100	Sade
830477	56583	Herself
830478	372525	Annie
830479	266109	
830480	44855	Diane
830481	286116	Edith
830482	204642	Madre del Orejones
830482	221908	Herself
830482	263860	Herself
830482	376687	Susan, FBI
830482	379090	Host
830482	383557	Teresa (2000)
830482	385854	Host
830482	390518	
830482	400668	Host (2003-2004)
830482	401591	Host (2002-2003)
830482	402284	
830482	402709	Host
830482	408913	Host
830482	409881	
830483	194055	Singer at Car Lot
830485	105773	Cindy
830485	253511	Lisa
830485	378928	Xiamora
830486	108477	Fan
830487	163229	Television Reporter
830488	259731	
830489	379923	Herself (Eliminated 1st with 
830490	166064	Herself
830490	183430	Herself
830490	277444	
830490	280008	Herself
830490	382309	Herself (segment "Warming by 
830491	37869	
830491	46550	
830491	57113	Mrs. Riche
830491	109635	Aunt Ellen
830491	128525	Mrs. Thompson
830491	151342	
830491	161542	Self-Styled Uplifter (Modern 
830491	164384	Francis' Mother
830491	172069	
830491	219914	An Uplifter
830491	239848	
830491	338776	Prologue Player
830491	359490	
830492	337178	Black Servant
830493	7007	Servant
830494	327854	
830495	39181	Herself - the Dancer
830495	100066	Undine
830495	156939	Peola Johnson, Age 19
830495	214214	Dancer
830495	241529	Flora Jackson
830495	244739	Klili Gordon
830496	192435	Sally Ann
830497	156939	Black Maid
830498	379923	Herself (Eliminated 1st with 
830499	32711	In Speakeasy
830499	312583	
830500	334757	Mabel 2/Yum-Yum 1/Elsie Mayna
830501	176763	May
830501	254523	Dancer
830502	302256	Singer
830503	2385	Angie
830503	8092	Renee
830503	27196	Julie
830503	108760	Alicia Masters
830503	152572	Ellie
830503	190379	Niecy
830503	200330	Heather
830503	201749	Herself
830503	220805	
830503	244919	Lanisha Brown
830503	272970	Della Charles
830503	289024	Chenille Reynolds
830503	296273	
830503	297937	Fatima Goodrich
830503	302317	Kassie
830503	323472	Keisha
830503	347180	Ayesha
830504	22701	Judy
830504	333390	Nurse
830505	112601	Faye Jenkins
830506	226870	Comedy Club Waitress
830507	219638	Lady Caterer
830508	202195	Mrs. Johnson
830509	29746	Keisha
830509	287172	Clotho
830510	296552	Dancer
830511	379113	Herself
830511	395490	Herself (historian)
830512	212477	
830513	109424	Swish
830514	32439	Genevieve, Lorry's Maid
830514	41047	Black Girl
830514	141487	Trailia
830514	219383	Emma, Rita's Maid
830514	242110	
830514	299802	Daisy's Maid
830514	327854	
830514	331060	Purple
830514	336031	Carrie, Mimi's Maid
830515	87586	Miss Wonderful Of Chicago
830516	33742	One of 'The Thirty Women'
830516	267530	
830516	365910	Mae Faggs
830516	390998	Teacher
830517	292587	The Bird who Couldn't Sing Na
830518	210483	Marsha
830519	61627	Circulating Nurse
830520	687	Herself
830520	3251	Performer/Herself
830520	47172	Performer: Mis-Teeq
830520	47173	Presenter
830520	169815	Herself/interviewee
830520	249592	Performer
830521	232242	Dancer
830522	2069	Mother
830522	40726	Donna
830522	69357	Hospital Administrator
830522	86287	Officer Jane
830522	101638	Psyche
830522	108425	Anna Chenier
830522	193960	Fran Henessey
830522	202195	Augusta
830522	290378	Alicia's Mother
830522	358479	Kelly
830522	391262	Jane
830522	400236	Dr. Laurie Phillips (1996)
830523	137223	Dancer
830524	28785	Mrs. Jefferson
830524	79078	Theda
830524	87578	Receptionist
830524	210481	Patient Debbie
830524	322636	
830524	367982	Maggie
830525	94217	
830526	343189	Nurse
830526	363078	Administrative Aid
830527	5855	Ginny (Store Helper)
830528	138445	Hannah/Narrator
830529	185916	Gladys
830530	202324	Pedestrian
830531	266564	Customer
830532	34485	Shion Yamada
830532	43046	(Episode 1)
830532	114503	Julia
830532	173488	Masako Nagao
830532	236166	O-Shouchan
830532	358118	Yuki Nakano
830532	359847	Yoko Ogino
830533	163836	
830533	167543	Midori Washio
830533	182050	Dr. Hatano
830533	234085	Director
830533	300468	Teruko, Kinuyo's friend
830533	327967	Okami, Mrs. Daffy
830533	335380	Teacher
830533	348752	Sakura
830533	348753	Sakura
830533	348754	Sakura
830533	348755	Sakura
830533	348756	Sakura
830533	348757	Sakura
830533	348759	Sakura
830533	348760	Sakura
830533	348762	Sakura
830533	348763	Sakura
830533	348764	Sakura
830533	348765	Sakura
830533	348766	Sakura
830533	348767	Sakura
830533	386635	Ocha-ko (Lady Yoshi's Maid)
830533	409686	Sakura
830534	220820	Japanese Sportscaster
830535	299738	Suzie O'Connor
830536	255424	Nurse
830537	195444	Ameko
830538	210495	
830539	200269	Liberty
830539	264061	Farah
830540	254670	Brenda
830540	362818	Julie
830541	7088	Waitress
830541	13855	Woman
830541	13967	Annette
830541	55520	Tara
830541	56880	Nurse
830541	65523	Lisa
830541	67574	Car Rental Agent
830541	106402	Terk
830541	127351	Wilhemina's Receptionist
830541	176437	Maid
830541	177632	Terk
830541	194687	Pet Store Saleswoman
830541	215508	Mother in Bank
830541	250576	Maj. Wolfson
830541	290940	Laura
830541	298076	Student
830541	308128	Hamptons Nurse
830541	325099	Terk
830541	325146	Terk
830541	328257	Kathy
830541	362453	Secretary with Danish
830541	369648	Blue Phoenix (Voice)
830541	398713	Tuck/XJ7/XJ8
830541	400548	Hamster and Plant
830541	402476	Gwen Sheridan
830542	271360	Beth
830543	292275	Betty
830544	155470	Fränzi
830545	375439	Mira
830546	23963	
830546	117424	Dancer
830546	121404	Cyclops Cindy
830546	232242	Candy
830546	295728	Sandra
830546	370113	Gloria
830547	97541	Maria's Grandmonther
830548	330836	Guest
830549	248587	Meyer, Anouk
830550	99867	Vera Holm
830550	171579	Waitress at the Inn
830551	126424	Nele Brenner
830552	313755	Emma West
830553	241812	Miquelina Alvado Ramirez (Mig
830553	392693	Miquelina Alvado Ramirez (Mig
830554	360790	Erszi
830555	308938	Hope
830556	66121	Lizzie
830556	200200	Denise Johnston
830556	340980	Kate
830556	389511	Sian Bennet
830557	410002	Dr. Lieselotte von Horwaldt
830558	197808	Biträde
830559	314635	Wendy
830560	392015	Gordon the Gorilla/Ro-Man/Jun
830561	78826	Fan woman
830562	296234	Chrissy
830563	142766	Michelle
830563	182576	Annika
830564	392443	Extra
830565	353301	
830566	51343	Lili
830567	64281	Herself/Interviewee
830568	41032	
830569	78826	Sarah
830570	76664	
830571	72931	Goodyear Chorus Girl
830572	27631	Monica
830572	307463	Co-worker
830573	134613	
830574	324742	Dancer
830575	306853	Waitress
830575	308609	Waitress #2
830576	67796	
830576	273758	
830576	367021	Lieske
830576	407821	Herself
830577	88184	Tracy
830578	78934	High Priestess
830579	9802	Chorus
830580	83377	
830581	17709	
830582	176884	Gym member
830583	254052	La fille du seigneur
830584	10316	Mimi
830585	215037	
830586	2762	Author of "An Amecian Daughte
830586	7583	Herself
830586	31944	Herself
830586	47385	Herself
830586	47386	
830586	190273	Mrs. Wasserman
830587	21736	Silvano del Campo
830587	127487	Lean Party Guest
830588	275650	
830589	91261	Milena
830589	125102	
830589	153176	
830589	160596	Resl Bader
830589	171563	Marel
830589	290014	Monika Sailer
830589	365005	
830589	365615	Josefa Rohrer
830590	273165	Carla
830591	51117	Victoria
830591	290820	Fanny
830591	386906	Martha
830593	54421	Little girl
830594	271198	Swedish Doctor
830594	314949	
830594	314982	Judith Bradley
830595	304539	Candy
830596	167233	La petite fille
830597	86071	Barbro
830598	86071	Monica
830599	400830	
830601	165498	Dancer
830601	199759	The Dancers
830602	338980	Pathfinder
830602	374190	Fela
830603	68645	
830604	370923	Head Nurse
830606	381164	Joe
830606	391337	Jessica
830606	411289	Robin Sena
830607	392430	Fuuko Kuzuha
830607	411289	Robin Sena
830608	18678	Tennyo
830609	238167	
830610	55078	(segment Fernando De Barros)
830610	70899	woman at feast
830610	212135	
830610	234627	Japanese Waitress
830611	63545	Omaki
830611	127738	Rieko Matsuda
830611	135209	
830611	138786	
830611	156261	
830611	173595	Sakiko
830611	179390	
830611	180593	Yone
830611	200520	
830611	226643	Saeko Takane (Tetsuya's wife)
830611	238385	
830611	239427	
830611	293594	
830611	297182	Toyoko Takahashi
830611	360888	Yoshi Suminoe
830611	370413	Kameko
830611	407369	Section Chief Ryoko Makamura
830612	354191	
830613	238167	
830614	233219	Fumiko
830615	101564	Kinrei
830615	281572	
830616	16780	Masseuse
830616	192503	Masseuse
830616	207099	Japanese Prostitute
830618	21369	Alfreed
830618	21370	Alfreed
830618	135897	Yung Kay (Japanese version)
830618	137336	Kurayago
830618	156103	Tarf Hadal
830618	161704	Shippou
830618	161706	Shippou
830618	209788	Rouge
830618	253445	Anna Yoshizaka
830618	293450	Kozue Takemiya
830618	298425	Wong
830618	382111	JunJun
830618	386344	Tomoki Himi/Chakmon/Blizzarmo
830618	389877	Wapuro (Word Processor)
830618	392964	Shippou
830618	394426	Beecha Oleg
830618	394428	Katejina Loos, Peggy Lee
830618	397346	Tohru Hikawa/Tory Froid
830618	403597	Tohru Hikawa
830618	404846	Linda Matsumoto (School Physi
830618	405278	Shadow Play Girl C-ko
830618	409065	Fran Doll
830618	409317	Rib
830618	411738	Yamano Jun
830618	411888	Kôta
830619	199528	
830620	122955	Makoto's mam
830620	210042	Yuka Omaezaki
830621	373218	
830622	1526	
830622	163011	Yayoi Takano
830622	198527	Aki
830622	292132	(Episode 3)
830622	370006	Noriko
830622	373222	Bando's wife
830622	374380	
830623	318536	
830624	171903	Yuki Tashiro
830626	298347	Kirino Matsuyama
830627	92785	Jane
830627	155524	The Queen
830627	211952	
830627	283620	
830627	349099	Tanaka (Female)
830627	381401	Anna's Mother
830627	396490	Mama
830627	398997	Tsunami
830627	400254	Princess Vivi
830628	9344	Kijima, Kanako
830628	9569	Harue Bessho
830628	38926	Madame Akiko
830628	50187	Yasu, Sajiemon's wife
830628	121433	
830628	125263	
830628	135635	
830628	138091	Koriku
830628	146968	Ocho (episode 3)
830628	155185	Omiya
830628	171658	
830628	172241	Second Wife (Black Hair)
830628	172342	
830628	173604	Yoshimura
830628	173845	Senzo
830628	182385	
830628	214901	
830628	232903	Kamegoro's wife
830628	234969	
830628	243917	Stage actress
830628	244513	
830628	287071	
830628	294165	
830628	299116	
830628	325988	Sadako Takeda
830628	334891	
830628	341537	Tugumi's mother
830628	349102	
830628	359844	Setsuko, the aunt
830628	370302	
830628	370696	
830629	91098	Pooar
830629	91099	Pooar
830629	92856	Pu'ar
830629	92857	Pooar
830629	123107	Catty
830629	123108	Catty
830629	123109	Catty
830629	123110	Catty
830629	123111	Catty
830629	182507	Miyu
830629	277456	Narrator
830629	285738	Miho
830629	319374	Catty (Gallforce)
830629	325314	Sayoko
830629	338093	Akira
830629	373384	Suimei
830629	379482	Jenny/Pollyanna's Mother
830629	384051	Tamae Honami
830629	386775	Chichi
830629	386776	Puar, Chichi (1991-1996)
830629	386777	Pooar/Sno
830629	391596	Shippona
830629	396500	Rumi
830629	404127	Miho
830629	405279	Lottie
830629	408488	Memoru (Memole)
830629	411876	Miku
830630	198811	Tomoko
830631	139335	Kanako Kitazato
830631	155943	Kagaribi/Ukyodayu
830631	163847	Atsuko Moriya
830631	173990	Fuyumi Sawada
830631	175362	Hiroko Terasawa
830631	182341	Midori
830631	182392	Sachiko Hattori
830631	336581	Ryoko Nishizato
830631	341292	Yuko Honami
830631	358118	
830631	394994	Chiaki Mizawa
830632	394975	Panther Zora
830633	14944	Doctora Oshima
830633	38817	Aya Matsumori
830633	146911	
830633	168005	Escort Service Client
830633	179486	
830633	210042	Jazz club singer B
830633	256190	Midori Murasato
830633	284042	Bored Wife
830634	169696	Kimiko
830635	341254	Mitsuko
830636	53200	Atsuko's Friend
830636	97634	Tomita Miyuki
830636	122945	Madam of MISONO
830636	137325	Bar hostess
830636	146905	Woman Searching for Body of H
830636	156238	Village chief's lover
830636	176565	
830636	182717	
830636	206755	
830636	232703	Oroku
830636	242157	Hikaru
830636	287531	Shunkin
830636	293472	
830636	298825	
830636	334928	
830636	341289	Michiko Hara
830636	348981	Sawanoi
830636	370637	
830636	373121	
830637	129868	Housewife (Mrs. Wrestler)
830637	320134	Herself
830638	25423	
830638	176574	
830639	298865	
830640	42678	
830640	44647	
830640	51274	
830640	169214	Yukiko Kida
830640	169215	Midori
830640	169217	Yuki
830640	298827	
830640	298923	
830641	285695	Mitsui
830641	383107	Yasuko Suzuki
830641	394175	Tsukino Miyazawa
830643	373363	Moichi
830644	349293	Komachi Wakahara
830645	315777	Ming
830646	199292	One of 'The Girls'
830648	299000	
830649	180569	
830650	324308	Toto (angel)
830651	161685	Rika Bonomia
830652	12948	
830653	241919	Prostitute
830653	260308	Isabella
830654	26981	Bohemian
830655	10867	Couple in Bar
830656	350219	Angela
830656	364281	Candy Store Girl
830657	84678	Simone
830658	295147	Tralee
830659	308139	Mrs. Johnson
830660	35252	Mrs. Smith
830660	148903	Female Cop
830660	159959	Supermarket customer
830660	198829	Linda
830660	241277	Crossing guard
830660	318783	Mrs. Gremp
830660	364164	Nola Greene
830661	56144	Emergency Doctor
830662	45097	Marion Foot
830663	268600	Narrator
830664	280108	Waitress 2
830665	266004	T.V. Researcher
830665	388370	Frances
830665	401382	Mother
830665	402753	Anna Bell
830666	334889	Oolong
830667	361	Vera
830667	1599	Polly
830667	2545	Chorus girl
830667	14403	Camille
830667	17542	Anna
830667	30922	Swimmer
830667	37362	
830667	41047	Lana
830667	41142	
830667	41788	Lily
830667	72104	Chorus Girl
830667	77682	Chorus Girl
830667	77767	Girl with soda
830667	78762	Hunt Guest
830667	83783	Girl at train
830667	92230	Dancer
830667	92959	Student/Dancer
830667	96990	Girl
830667	116894	Chorus Girl
830667	117110	Dancer
830667	125916	Marina
830667	127674	Party guest
830667	130622	Gold Digger
830667	131240	Girl in blue dress
830667	133856	Dancer
830667	154306	Dusty
830667	163200	Bridget
830667	165781	His girl
830667	203747	Rosie
830667	215140	Ida
830667	223970	Girl
830667	229938	Girl
830667	256216	Kay Benson
830667	274332	Dancer
830667	277447	Dancer
830667	302773	Extra
830667	312773	Actress
830667	313320	Actress
830667	316482	Girl
830667	321794	Young lady on train
830667	323883	Girl
830667	329809	
830667	331205	Dancer
830667	333054	Dancer
830667	335469	Show Girl
830667	335844	Dancer
830667	372277	Party Guest
830667	372299	Dancer
830667	375044	Showgirl
830667	375045	Ziegfeld Girl
830668	8092	Receptionist
830668	16068	Ann Connolly
830668	80380	Jill Payeton
830668	99296	Officer Karen Jones
830668	215860	Sobbing Technician
830668	231504	Kate Neville
830668	382295	Det. Ronnie Stahl (2004)
830669	269045	Sick woman
830670	123110	
830670	150654	Polly
830670	190520	McCloud's Mother
830671	327658	La Femme de la manif
830671	406493	
830672	27207	Unity Member #1
830672	59350	Party Guest
830672	61572	Librarian
830672	67593	Woman #3
830672	70454	Miss Pearl
830672	81589	Theater manager
830672	245055	Woman #1
830672	275996	Nun in Retirement Home
830672	289222	IRS Secretary
830672	367512	Woman
830673	37643	Lisa Harrington
830673	274268	Ashley #3
830674	215252	Waitress/18th Century Lesbian
830675	176706	
830677	86279	Stewardess (Windsor Plane)
830677	119587	Maddie Reese
830677	139023	Rachel
830677	187729	Lena Jung
830677	214917	Dana
830677	232124	Joy
830677	300896	Stewardess
830677	332018	Megan Whitaker
830677	333855	Alice Cleaver
830677	394676	Vanessa Hunt (1992-1993)
830677	401147	Abagail 'Mad Dog' Holly (1999
830677	408155	Megan Irene Whitaker Spencer 
830678	73832	Girl with Beer
830679	123217	The child
830679	308593	
830680	68097	Laura Beale
830680	215796	Girl in Cafe
830680	311702	Herself
830680	328754	Nancy
830680	328806	Celebrity Participant
830680	340924	Legal Secretary
830680	387247	Laura Dunn/Beale (2000-2004)
830680	408866	Nurse
830681	13191	Mrs. David Phillips
830681	19986	
830681	20219	Mrs. Lawrence
830681	33011	Mrs. Harrington
830681	71629	Mrs. Griswold
830681	96652	Sally Breckenridge
830681	100667	Mrs. Smallwood
830681	103620	Esmeralda's mother
830681	133207	
830681	143254	Lady Canning
830681	159912	Mrs. Finch-Brown
830681	161887	Mrs. Crossey
830681	168526	Undetermined Role
830681	183811	Lady Henry Delafield
830681	195101	Mrs. Hastings Vance
830681	196260	Mrs. Standish
830681	197653	Duchess
830681	215356	Lady Caroline Croxter
830681	220919	Aunt Agatha Burroughs
830681	235674	Mrs. Beal
830681	240976	Countess of Raystone
830681	278545	Mrs. Loring
830681	285180	Aunt Julia
830681	289235	Marguerite
830681	306735	Mrs. Winifred King
830681	306807	Mrs. Maturin Colbert
830681	314360	Lady Eleanor Blount, aka Aunt
830681	320805	Princess Beatrice
830681	329502	Mrs. Clarke
830682	234544	Victim
830683	253348	Wardrobe Girl
830684	74207	Ntsiki Biko
830684	118466	Black Girl on Underground Tra
830684	203955	Adelaide Tambo
830685	57817	Cindy Goodman
830686	231542	Herself
830686	390195	Herself - Fitness Expert (200
830687	44301	Waitress in Diner
830687	167013	Sarah
830688	77145	Herself
830688	77146	Herself
830689	156285	The Call-girl
830689	185758	Grocery Cashier
830690	47865	Additional Voice
830690	350192	Singer
830691	32185	Chorus
830691	46147	Singer
830691	47865	Additional Voice
830691	90092	The Waters and Friends Chorus
830691	94621	Singer
830691	176410	Wedding backup singer
830691	312141	Singing nun
830691	350192	Singer
830691	358114	American Dream Singer
830692	124222	Chez Panisse Restaurant, Berk
830692	217933	
830692	361563	Assistant Cook
830693	289396	Joannie
830693	371094	Lily
830695	354968	Jeune servante
830696	233510	Donna
830697	27160	Angel's Mother
830698	364302	Brittany
830699	26102	
830699	26112	
830699	50551	
830699	109657	
830699	188069	
830699	338081	
830699	349678	
830699	362534	
830700	12784	Rocky Idaho, Model
830700	30922	Bunny
830700	47364	Bunnie
830700	78171	Greta
830700	94527	Marsha
830700	115060	Sharkman [Ch. 3]
830700	139790	Dance-hall girl
830700	183706	Model
830700	190179	Model
830700	201151	Elaine
830700	252528	Cameo appearance
830700	318792	Show girl
830700	348328	Guest
830702	26943	
830702	105150	
830702	209799	
830702	274680	
830703	238749	Our Gang
830704	340109	Rosalyn
830705	65632	Birdy
830705	72500	Rene
830705	86247	Paige
830705	156775	
830705	199099	Jenny Scott
830705	211815	Magda Beecham
830705	277897	
830705	367891	
830705	408058	
830706	41311	Dancer
830707	365108	Herself
830708	269817	Hand Chaser
830708	362453	Nick's Mom
830709	53284	Wet T-Shirt Contestant
830710	128707	Stripper
830710	296297	Hooker
830711	156472	Susie
830711	353388	Policewoman
830712	135727	Yahoo
830713	126293	Daisy
830713	126294	Daisy
830713	163560	Daisy
830713	270648	
830713	389947	Daisy
830714	215423	Rose
830715	2095	Wedding guest
830715	9032	
830715	18411	Party Guest
830715	119507	
830715	120452	
830715	129615	
830715	134463	Perfume girl
830715	154885	
830715	171267	
830715	220548	Marie, Studio Employee
830715	239045	
830715	285660	Mary Astor double
830715	305044	Fashion Show Woman
830715	321552	
830715	347357	
830715	364467	Girl
830716	177231	Elizabeth McKaye
830716	294689	
830717	126293	Gert
830717	126294	Gert
830717	163560	Gert
830717	270648	
830717	389947	Gert
830718	390523	Katy Fraser (2000-2001)
830719	48514	
830719	51642	Petunia Jackson
830719	52062	Cleona Jones, Marcia's Maid
830719	55037	
830719	127519	Ethel
830719	141184	
830719	183430	Herself
830719	210501	Bernice Sadie Brown
830719	230753	
830719	240981	Ethel Walters
830719	256328	Granny
830719	283074	Mother of Rufus
830719	288736	Sunday School Teacher
830719	309607	Dilsey
830719	312774	Herself
830719	323883	Esther
830719	329553	
830719	329560	
830719	329565	
830719	350906	Herself
830719	356305	Herself
830719	381803	Beulah (1950-52)
830719	393379	Herself
830720	18411	Bit Role
830720	58795	
830720	154885	
830721	28791	Verna
830721	151530	Shante
830721	164572	Chicks who Love Guns
830722	40511	Ellie
830722	120817	Young Annie
830722	161469	Bar Tender
830722	293770	
830723	42139	Pocahantas (Escort)
830723	86951	Belladonna
830723	152557	Sunny
830723	252877	Coffee shop bimbo
830724	222776	Mrs. Rose Corsi
830725	160034	Journalist
830727	398014	Herself (Take Two Management)
830727	399485	Rosie Thoday (daughter of Wil
830728	11911	Female prisoner
830728	81099	
830729	71133	Girl in the Flat
830729	191300	Duchess De Bar
830729	295356	
830729	336679	Jackie
830729	400814	Mrs. Wickstead
830729	407414	Lady Margaret Ross-Gifford
830731	46147	Singer
830731	94621	Singer
830731	176410	Wedding backup singer
830731	312141	Singing nun
830731	358114	American Dream Singer
830732	64098	Cheerleader/Dancer #2
830733	64070	Ensemble
830735	154315	Tall Girl
830736	14241	Mrs. Carter
830737	383759	Chef
830737	402950	Chef
830738	84492	Maid
830738	118763	Doctors, Nurses and Orderlies
830738	138821	Boobie Housewife
830738	171050	Beatrice
830738	177332	Frau im Bus
830738	203786	Faculty Member
830738	243646	Mother
830738	248117	The Minister's Wife
830739	157885	Sallie (of Sarie and Sallie)
830741	362081	Dancer
830742	1805	Herself
830742	11259	Herself
830742	107353	Herself
830742	161258	Herself
830742	342515	Herself
830743	133962	Ruby Sanderson
830743	186733	Arcella
830744	116240	Housemaid
830745	116240	Cook
830746	252881	Phyllis Kearns
830747	113348	Beth
830748	116750	Flirtatious Woman
830750	88095	Herself
830750	217913	Little Girl
830751	271290	Secretary
830752	308440	Laura
830753	103452	Abbey Lassiter
830753	321612	
830753	331369	
830753	401099	Francesca
830754	253352	Connie Angel
830755	148586	Neighborhood Woman
830756	55685	Herself
830757	259864	Porno Picket
830758	353861	Dolly MacGillis
830759	102117	Candy
830761	217913	
830762	178864	
830763	119358	Wedding Baby
830764	283954	
830765	119571	Herself
830766	11514	Receptionist
830767	263955	Beth Curtis
830768	48640	Encarnacion
830769	109857	Check-In Nurse
830770	194438	Secretary von Pahl
830771	10856	Lea Makart
830771	30348	Elizabeth Barrett
830771	32866	Frieda
830771	42768	Mrs. Dolly Bantry
830771	65552	Calpurnia
830771	74207	Wendy's mother
830771	88650	Jackie Hopta
830771	107128	Moira
830771	107802	Lady Usher
830771	127321	Ayah
830771	158514	Dame Catherine
830771	188409	Monica
830771	202857	
830771	215154	Dolly Bantry
830771	230410	Sally Carter
830771	275293	Sheila Carter
830771	325276	Martha Hargood
830771	352715	Sister Holden
830771	366375	Katherine Winslow
830771	366377	Grace Winslow
830771	382839	Lettice Broome
830771	386711	Mabel Maple
830771	405374	Magrit Balicki
830771	405988	Dora Sorrell
830772	29523	Barfly
830773	31439	Kimberly
830773	67094	
830773	116270	Sherry
830773	215831	Girl #2
830773	217820	Yale College Student
830773	252985	Lloyd's daughter
830773	368382	Katie
830774	215697	Miss Norway
830775	27920	
830776	153241	Fugitive
830777	286810	Levatrice
830778	328301	Meg
830779	308246	
830780	273514	Reporter
830780	360299	Megan
830781	67567	Amy
830781	69263	Bobbie Fish
830781	192412	Sally Gardiner
830781	336782	Caroline Long
830781	343263	Dale Von Krieg
830781	381743	Elvira Best
830781	382359	Kaye McKay
830781	385921	Wendy Lacey (1988-1989)
830781	393119	Sharon Long Townsend
830781	397003	Susan Wilcox
830781	404667	Millie Thomas
830781	408595	Charlotte Cooper
830782	196999	Virginia Fox
830782	197000	The Girl
830783	89052	Billie
830784	105312	H2O Instructor
830785	75347	
830786	231776	Nun
830786	280729	
830786	307403	Woman 1
830787	66656	Frances Green
830787	379675	Solita
830788	159490	Amanda Johnson
830789	321335	Salesperson
830790	185860	Emma
830790	267511	Lucy
830790	321788	Tom's Girlfriend
830791	37375	Kelly
830791	66941	Nancy
830791	141614	Bonnie Edwards
830791	359362	Carolyn
830793	48264	Smith (dispatcher)
830794	127147	
830795	54692	Harley
830796	65542	Herself - Judge
830797	21554	Mrs. Hutchins
830797	27342	Mrs. Schumacher
830797	32360	Frances McCalla
830797	56276	Marie Austen
830797	59619	Gloria Garland
830797	60187	Tess Boyce
830797	120507	Mrs. Mae Kilgore
830797	124700	Ann Grey
830797	130417	Aunt Lola
830797	131543	Edna
830797	131618	Marilyn Parker
830797	139574	Mrs. Reed
830797	152205	Mrs. Grangerford
830797	241103	Emily Hull
830797	248877	Edna Robinson
830797	257882	Gloria Dawn
830797	306642	Jane Ray
830797	327746	Peg Slattery
830798	400236	Robin Crosley (late 1970s)
830799	81319	Honey Bear
830799	205823	Verne
830800	176989	Mrs. Barrett
830801	259216	Cadet Sarah
830802	22701	Church Soloist
830803	39624	Mrs. Bottoms
830803	81536	Teacher
830804	286116	Waitress
830805	158825	Marcy
830806	245337	Faylene
830806	328301	Woman
830807	349582	Claywoman
830808	92618	Wedding Party
830811	271255	Newman's clerk
830812	196365	Theresa
830813	63719	Himi
830813	139492	Tao
830813	159828	Miko Mido
830814	196083	Jacqueline
830814	215892	Mission Girl
830814	277716	Brenda
830814	388396	Gwen Baker
830815	43874	Kathy
830816	120297	Nursery Baby
830817	385309	Herself (guide, Wilton House)
830818	44441	Michelle Thompson
830818	197026	Sweetie
830818	277479	Cheryl
830818	289396	Redhead
830818	382838	Joe Halsall (1992-1993)
830818	403890	Leonie
830819	1449	Herself
830819	1674	Herself
830819	2539	Herself (performer, as TLC)
830819	33714	Tionne
830819	151126	Sex as a Weapon
830819	221482	Herself
830819	382536	Herself (Judge)
830820	211833	Contralto
830820	243380	La messaggiera
830821	274558	
830822	103480	
830823	1781	Herself - Presenter
830823	2046	Herself - Presenter
830823	2630	Herself
830823	2960	Herself/presenter
830823	224691	Disco Girl
830823	392422	Herself
830824	348039	Herself
830825	10668	Alice Liddell
830825	88922	Victoria Waterfield
830825	88928	Herself
830825	88931	Victoria Waterfield
830825	88933	Herself ('Victoria')
830825	92300	Victoria Waterfield
830825	92628	Victoria Waterfield
830825	197775	Herself
830825	216013	
830825	224927	Herself
830825	250726	Herself
830825	323423	Sarah
830825	329541	Sandra
830825	335250	Herself
830825	368413	Sarah Richards
830825	385643	Norma Baker
830825	386587	Victoria Waterfield (1967-196
830825	392981	Sally (1958-1960)
830825	395647	Georgia Reed
830825	399304	Julie Robertson
830825	403704	Maureen (pilot episode)
830826	52161	Julie
830826	139679	Dawn
830826	244748	
830826	321770	
830826	329693	Heidi
830826	342954	Mavis
830826	384783	Gillian Nesbitt
830826	409203	Various
830826	409578	Sue Grainger
830827	79036	Waitress
830827	297802	Zombie
830828	3470	Elvira
830828	4525	Herself
830828	58090	Herself
830828	74383	Marisa
830828	83540	Elvira
830828	98974	María Ceballos
830828	100367	Cristina
830828	103662	1st Prostitute
830828	112699	Colette/Elvira
830828	133083	Bárbara
830828	136987	Alicia
830828	149511	Carmen
830828	158847	Alma
830828	165769	Greta
830828	192990	Lola
830828	202021	Mónica
830828	208216	Leonor
830828	224089	Ann
830828	226366	Dependienta
830828	233917	Muriel
830828	245365	Claire
830828	263860	Paloma
830828	307635	
830828	308303	Martina
830828	318295	Elena
830828	334465	Herself
830828	334576	Beatriz
830828	369754	Herself - Nominee: Best Lead 
830828	369870	Herself - Presenter: Best Pro
830828	369994	Herself - Presenter: Best Cin
830828	369996	Herself - Nominee: Best Lead 
830828	369999	Herself - Presenter: Best New
830828	391445	
830828	402639	Silvia
830828	402876	Raquel
830829	389876	Aloysia Webber
830830	344184	Karma Kleinfelter
830831	266424	La cousine de Françoise
830832	5056	Car Rental Clerk
830832	241795	Receptionist
830832	359963	The Customer
830832	394311	Joan Kennedy
830833	13851	Jane
830833	40813	
830833	51886	Diane Harris
830833	94477	Connie
830833	145772	Pam
830833	201718	Herself
830833	211396	Sam
830833	246025	Kate
830833	371019	Alma Tutwiler
830833	380391	Victoria 'Vicky' Hudson Frame
830833	386992	Kellie Newmark (2002-2004)
830833	390771	Annie Dutton #1 (1995-1998)
830833	408333	Erin Fitzpatrick
830834	113499	Tessa
830835	39803	Sarah Runyan
830835	41929	First Assistant Matron (episo
830835	47480	Gossip
830835	56791	Lady who snitched
830835	68821	Mrs. Bird
830835	90281	Mrs. Ruggles
830835	105952	Martha, Connie's Maid
830835	131355	Timothea
830835	139560	Investigator
830835	166049	Miss Dunn
830835	198048	Ellie Clairborne
830835	231821	Maid
830835	241032	Lenore, Lounge Attendant
830835	241044	Henriette
830835	246254	Annie
830835	255828	Mrs. Simms, Hannah's Neighbor
830835	266706	Mrs. Doyle
830835	267423	Mrs. Sarah Tipton
830835	275767	Mrs. Tod Hake
830835	280686	Aunt
830835	288745	Mary Ann's mom
830835	316692	Olga Olsen
830835	330888	Secretary
830835	337073	Farmer's Wife
830835	352724	Miss Duncan
830835	361153	Annie
830835	364593	
830836	7933	Amelia Gare
830836	21042	Caterin
830836	34955	Dinah
830836	39714	Tina
830836	59862	Denise McGoogan
830836	59863	Detective Denise McGoogan
830836	61569	Agent Lynette Graham
830836	62525	Chava Morgentaler
830836	81973	Fiona McKay
830836	83826	Simone
830836	84206	Thalia/Marla/Nicole
830836	87460	Tony
830836	121454	Litha
830836	127407	Peggy Witte
830836	128346	Mary Bradley
830836	132259	Victoria Gotti
830836	137031	Lauren Murphy
830836	141815	Hansel's Mom/Hedwig Schmitt
830836	146884	Christine De Vera
830836	154000	Suzanne
830836	157922	Mitzi
830836	162266	Anne Phelan
830836	175177	Eva Cuza
830836	190056	Nita
830836	222656	Dominica Mastrelli
830836	223774	Helen Woods
830836	252203	Babs
830836	262078	Donna
830836	263955	Amy Morgan
830836	274084	
830836	275322	Ellen Giancola
830836	278798	Amanda Knowles
830836	293155	Jennifer Kingsley
830836	297455	Terry Lomax
830836	299539	Anna
830836	307403	Susan Goodman
830836	307964	Liz Anderson
830836	310376	Susan Aibelli
830836	315218	Olivia Page
830836	321134	Megan
830836	321209	Risa
830836	325058	Lily Storm
830836	359205	Norma
830836	363946	Ann Mason
830836	365244	Natalie
830836	367878	Lt. Helen Prescott
830836	374285	Phyliss
830836	378807	Erin Driscoll (2005-)
830836	382918	Rebecca Meyer
830836	389142	Amy Steiner
830836	394123	Zofia Rosnovski
830836	395029	Madeline
830836	399336	Susan
830836	405240	Toni Bane
830837	411884	Additional Voices
830838	306126	Woman
830839	324235	A Clown
830840	175190	Dream Participant
830841	284527	Tracey
830842	170857	Millie Smith
830842	406503	Karen Foster
830843	33742	Baby Denver
830844	50886	Madeline Bassett
830845	411237	Co-star
830846	215532	Miss Perkins
830847	334409	Don
830848	186650	Additional Player
830849	262129	Jacqueline's Sister
830850	410898	Dawn
830851	119501	Inga
830852	68162	Bridges
830853	105396	Voodoo Dancer/Church Member
830854	105396	Voodoo Dancer/Church Member
830855	55511	
830855	164470	Curly Brown
830855	289472	Cashier
830856	3888	Herself
830856	70413	Hallie Rogers
830856	222459	Marilyn Munster
830856	324263	Tammy Tarleton
830856	394172	Karen Scott
830856	407527	Tammy Tarleton
830857	175190	Dream Participant
830857	257448	
830857	398557	Carol
830858	262129	Jacqueline's Mother
830859	110916	News Crew
830860	27140	Pat Graham
830860	66305	Loretta & Mooney's child
830861	169151	Bar Patron
830862	7592	Herself
830862	16803	Angela McCourt
830862	26799	Alanta
830862	41500	Lena Leonard
830862	45342	Maggie
830862	46421	Bess McNeill
830862	69284	
830862	70959	Victoria
830862	72504	Olive Stanton
830862	87177	Herself
830862	102225	Mary O'Brien
830862	113006	Herself
830862	132122	Elsie (Head Housemaid)
830862	145312	Jacqueline du Pré
830862	160311	Herself
830862	190010	Anne Sellers
830862	197990	Natalia Katkov
830862	201678	Herself
830862	212093	Marion
830862	213996	Maggie Tulliver
830862	267165	Lena Leonard
830862	274069	Reba McClane
830862	278645	Herself/interviewee
830862	294510	Anne Manning
830862	337994	Herself
830862	340058	Beatrice 'Trixie' Zurbo
830862	358197	
830863	115805	Elizabeth Herbert
830863	334112	Rosemary
830864	27566	Herself
830864	139650	Hermione Granger
830864	139652	Hermione Granger
830864	139655	Hermione Granger
830864	139657	Hermione Granger
830864	139659	Herself
830864	139660	Herself
830865	67093	A.K. Junior
830866	42985	Herself
830866	292038	Herself
830867	118747	
830868	228291	Herself - Scottish Historian
830869	133597	Mrs. Thwaites
830869	138992	Dr. Deborah
830869	229113	Vanessa
830869	292489	Jude
830870	263779	Milk Lady
830871	119803	Showgirl
830871	190061	Meriwhether Daughter
830871	308382	Raider
830872	34581	Fannie
830872	240835	Scottish Couple, Others
830872	403283	Janet Campbell
830873	169139	Child Chorus
830874	45278	Auntie
830875	191907	Annie
830876	30155	Aunt Julia
830876	43971	Aunt Priscilla
830876	48036	Countess of Knightsbridge
830876	48043	Aunt Mary
830876	54909	Donna Claricia
830876	67194	Mrs. Carruthers
830876	88070	The Hostess
830876	93785	Lady Crichton
830876	118324	
830876	136257	Mrs. Granville
830876	166239	Mrs. Delahunt
830876	190998	Lady Paget
830876	215116	Lady Laverack
830876	258916	Lady Anne Rollestone
830876	284240	The Mother
830876	299934	Angela Browne
830876	330407	Miss McTavish
830877	107801	Madeline Usher
830877	195020	
830878	292295	Child on Beach
830878	409840	Rose Crawley
830879	119501	Liv
830880	366712	Child
830881	193622	London Town Dozen & One Girl
830882	233920	Distinguished Slave Woman
830882	235570	Ruby Marie
830883	92482	Robot
830883	222797	The Slaygirl
830883	247568	Secretary
830883	301558	Slaymate
830884	64485	Mrs. Watson
830885	26423	Reporter
830886	236186	La Countessa Almaviva
830887	13596	Slaygirl
830888	296031	
830889	211508	Roz
830890	385165	Presenter
830891	234123	Brandy
830891	270889	Teesha
830892	72931	Goodyear Chorus Girl
830893	43437	
830893	325314	Sayoko's Mother
830894	46990	Stage Manager
830894	319641	
830894	336655	Molly
830894	400546	Emma Weir
830895	211848	Moune enfant
830896	58172	Hilda
830897	108530	Salad Lady
830898	292792	Randolf's mother
830899	77216	WPC
830900	224723	Louise
830901	372259	Pursey
830902	10305	Female Official
830902	141610	Woman Diner
830902	143532	Hera
830902	143535	Hera
830902	210636	
830902	294060	
830902	405209	Mabel Hunnicut (2000)
830903	5831	Sarah Williamson
830903	371094	Charlotte Stamford
830903	383631	Dr. Barbara 'Baz' Samuels/Hay
830903	397182	
830903	399189	Lyn Smallbridge/Peel
830903	408633	Victoria Morrison
830903	410801	Judy Basham
830904	5831	Sarah Williamson
830904	79691	2nd Swimmer
830904	167256	Dr. Basket's Nurse
830904	219194	Shawna
830904	315132	Media One
830904	381685	Nanny Barlow
830905	147393	Jackie
830906	880	Prison Warden
830906	41444	Nurse
830906	73328	Brenda
830906	97611	Attendant at The Spike
830906	117192	Chief Secretary to the Treasu
830906	118026	
830906	127258	Audrey Hicks
830906	137623	Wendy
830906	157603	Nita Downing
830906	160572	Mrs. Havers
830906	160576	Mrs. Havers
830906	160583	Mrs. Havers
830906	175817	Older Mary Corrigan
830906	179065	Lilian
830906	185790	Frank's Mother
830906	222694	Petra
830906	332149	Mrs. Davies
830906	380259	Sister Easby (1978)
830906	382844	Mrs. Grogan
830906	392667	Robbie
830906	398463	Agnes
830906	402139	Eileen Reynolds
830907	242539	
830909	265606	Older Nell
830910	385575	Raylena Newbourne
830911	1535	Letisha
830912	42985	Herself
830912	221297	Contestant
830912	238333	
830913	318390	Maid
830914	390145	Cheerleader
830914	391869	Shauna Bradley (1999-2001, 20
830915	390338	Herself
830916	108600	Goth
830917	314982	Cindy
830918	55196	Frasquita
830918	90170	Norina
830918	101745	Blondie, Konstanze's servant
830918	130590	Soprano
830918	216344	Ismene
830918	341944	Flora (singer)
830919	67361	Ravenswood Staff: Occupationa
830920	249340	Kundry
830921	195327	Sue
830922	274427	Wedding Party in Philadelphia
830922	356351	Page at 12
830923	176957	Waitress
830923	305420	Bibby
830924	406274	
830925	16644	Psych Nurse
830925	190061	Meriwhether Daughter
830925	313626	Girl in Cafe
830926	38803	Lady Emily Lyons
830926	100075	Princess Bitotska
830926	105204	Mrs. Blair (Doris's mother)
830926	115838	Countess
830926	116929	Mrs. Agatha Archer
830972	81088	
830926	124085	Mother Superior Josephine
830926	128520	
830926	133688	Aunt Ada Greenfield
830926	139581	Celia Fenwick
830926	161807	Miss Tiddlebaum
830926	163961	Mrs. Gretorex
830926	170378	Mrs. Packett
830926	188326	Serena Everett
830926	192410	Aunt March
830926	199466	Mrs. Harriet Mason
830926	210738	Nurse
830926	216822	J.J. Benson
830926	220779	Mrs. Custer
830926	223944	Aunt Eula Beaurevel
830926	224273	Mrs. Kimball
830926	230390	Mrs. Hamilton
830926	270911	Mrs. Monrell
830926	273083	Louisa Bradley
830926	282625	Actress
830926	308653	Grandmother
830926	321384	Mrs. Marlowe
830926	329538	Anut Cornelia Farley
830926	330384	Mrs. Charles
830926	331614	Martha Trudel
830926	333062	Mother Superior
830926	335329	Aunt Jessica Hamilton
830926	345718	Mme. Marat
830926	359863	Fanny Farrelly
830926	360068	Lady Margaret Cronin
830926	362201	La Contessa
830926	367595	Betty Bumble
830926	367919	Mrs. Moorehead
830926	372589	Mrs. Jennings
830927	2287	Herself - Performer
830927	29650	The Ghost
830927	401883	Herself
830928	145929	His Wife
830929	186290	Kate
830929	191640	Mrs. Simcox
830929	193625	Miss Willesden
830929	211565	Grandmother Stafford
830929	354538	Aunt Caroline
830930	144949	Denise
830930	158113	Reporter #4
830930	203669	Beth
830930	306244	Beth
830930	345612	
830931	385299	Norah Gillingham
830932	253458	Sheila
830933	63030	Field Reporter #2
830933	190245	Newscaster
830933	340107	Cressida
830933	372577	Sue
830933	385884	Diana (1990)
830933	389867	Candace Thompson (1989)
830933	397106	Debbie Williams (1987-90)
830933	397936	
830933	404282	Darlene (1988)
830934	120323	Rene
830935	336139	Jody
830936	215696	Miss United Kingdom
830937	64485	Mrs. Watson
830937	162925	
830938	409629	
830939	162107	Daughter
830940	383766	Herself - South Team
830941	277635	Miranda Rap Dancer
830942	316661	
830943	201919	Muffy
830944	154709	Autograph Girl #2
830945	274427	Girl in Blue Rock Tavern
830946	9935	Vocalist
830946	104967	
830947	359543	Air Witch
830948	83847	Vroedvrouw
830949	175803	Cpl. Maxwell
830950	169139	Ruth, Simeon's Wife
830951	87586	Tucker's Mother
830952	10502	Woman Singer
830952	348338	Herself
830952	359715	Vickey
830953	41888	Prostitute #1
830954	195262	Crenshaw High School Girl's B
830955	269295	Mary, Horsie segment
830956	384089	Patience Heatherstone
830957	356351	Page at 10
830958	313189	Playboy Mansion Guest
830959	23441	Nancy's Mother
830959	35353	Louise Abbruzzese
830959	70302	
830959	120691	Peggy
830959	146091	
830959	196376	Lovely's mother
830959	222809	Charge nurse
830959	389858	Rita McKee (1987)
830960	289098	Maid
830961	269416	Herself
830962	44830	Schoolgirl #2
830963	114658	Secretary
830963	270977	Gladys
830963	292779	Daughter
830963	333679	Mrs. Best
830963	335982	Maude Gilbert
830963	385299	Linda Welch (1979)
830963	388241	Prue Harris-Jones (1978)
830963	395341	Prue Harris-Jones
830964	37261	Woman in Restaurant
830965	171079	
830966	228298	Voice Talent
830967	188114	Candy Mountains
830968	104760	United Kingdom entry (4th pla
830969	7045	Professor Finn
830969	17992	Woman Guard
830969	80557	Dorian
830969	80734	Doreen
830969	120615	Officer Jenny
830969	161309	Herself
830969	192219	Mrs. Clemens
830969	220081	Pauline Faye
830969	241474	
830969	242431	Navy Lieutenant
830969	253361	Janice
830969	283545	TV Anchorwoman
830969	312010	Palinya
830969	355212	Anchorwoman
830970	141666	Mrs. Bennett
830971	113286	Bar Patron
830972	11362	Emily
830972	16968	ICU Desk Nurse
830972	18436	Aunt Annette
830972	26395	Sarah's Mother
830972	30961	Ms. Joyce Carr
830972	30976	Additional Voices
830972	45439	Gwen
830972	51984	Y-Vonne
830972	71476	Woman
830972	85629	Esther Wiggins
830972	148339	Duty Nurse
830972	151110	Esther Wiggins
830972	176410	Newsstand cashier
830972	196265	Jewel
830972	234054	Detective Bryan
830972	235023	Melody
830972	245611	
830972	300163	Nonnie Russell - Coroner
830972	319625	
830972	339547	Cleo Howard
830972	340767	Dispatcher
830972	354817	Kip Leslie
830972	362131	
830972	368305	Secretary
830972	379760	
830972	380313	Additional Voices
830972	381076	Danielle Craig
830972	383399	Dee Dee Sykes
830972	383536	Lucille Banks
830972	389001	Denise Willums (1985-1986)
830972	389350	Vy Smith (1990-1995)
830972	402454	Additional Voices
830972	404518	Dee Dee Sykes
830972	410797	Vernajean Williams (1975-76)
830972	411802	Birdie (1999, 2002)
830973	196350	Diana Raines
830973	241339	Kim
830974	2090	Leslie
830975	23436	Various children
830975	100863	Helen
830975	192409	
830975	380317	Voices
830975	380778	Astroboy/Astro Girl
830975	385120	Ma Bagge (1999-2001)
830975	387309	Florence Hatcher (1967)
830975	389417	Maggie Barker Weaver (1958-19
830975	390055	Voices
830975	393326	Kimba
830975	404613	Ellie Harper Bergman (1968-19
830975	408264	Voices
830976	300342	Sophie
830977	183298	Sam Picconi
830977	279507	Jenny
830978	196372	Changing room friend
830979	170817	Dancing Girl
830979	306414	Jill
830980	191463	Smart French Woman
830980	360542	Prison Matron
830981	333326	Mabel Duggan
830982	411809	Josephine Edwards (1980)
830983	146726	Betty
830984	210482	Hair Salon Girl
830985	134177	Miss Ford
830986	386184	Herself - Host
830986	387609	Herself - Host
830986	389210	Herself - Host
830986	394644	Herself - Host
830986	394645	Herself - Host
830986	398011	Herself - Host
830986	398045	Herself - Host
830986	409181	Herself - Reporter
830986	409182	Herself - Reporter
830987	329807	Mildred Barlow
830988	169951	Driver's Girlfriend
830989	101070	Becky
830990	137616	Sidse
830991	189922	Rainey Edwards
830993	61721	
830994	180761	
830995	146430	Francine
830995	198902	La suivante
830995	384009	
830995	384744	Monique
830997	145080	Minnie Watson
830997	216804	Mindy's Friend
830997	401610	Lydia
830997	407224	Carla Waller (1999)
830998	47462	June Leader
830999	124345	Diesel McGillicutty
831000	292696	Receptionist
831001	388100	Herself
831002	210732	Bureaucrat
831003	133684	
831004	191432	Radio and Television Shows
831005	277726	
831008	398020	(segment Kafka)
831009	231331	
831010	289650	
831011	309597	Nun
831012	277948	Voodoo Queen of New Orleans
831013	224106	The Talent Show - Latin Jazz 
831014	224106	The Talent Show - Sing It Out
831016	90247	Connie Sylvester
831016	228593	Clara Field
831017	29545	
831017	71286	Nurse
831018	246000	Cocktail Waitress
831019	164964	Nightclub Performer
831019	371318	
831020	200095	Ruth
831022	208088	Cal's Secretary
831022	263955	Nurse
831023	12183	Rosalie Quilter
831023	24195	Marie McTavish
831023	69371	Child
831023	143320	Toots
831023	152781	Molly Flynn
831023	157282	
831023	191810	Pan
831023	202996	Cherry Henderson
831023	213040	Fay Eaton
831023	273465	The Wife
831023	290336	Maria
831023	302591	Gwynneth Evans
831023	346840	Sylvia Fullerton
831023	365078	Ima Nagg
831024	120279	Lady Olive Fitzmorris
831024	411811	Lillian Houseman (1961)
831025	305679	Glenna
831026	136038	
831027	121541	Beryl
831028	235201	Mrs. Stalling #2
831029	19024	Texas Choir Member
831030	11352	Suburban housewife
831030	38019	Rita
831030	55681	Night Sister
831030	55697	Mrs. Barron
831030	55707	Frances Kemp
831030	108482	Gloria
831030	123470	Barmaid
831030	223867	Cook
831030	235694	Wife
831030	306414	Edna
831030	308917	May
831030	321982	
831030	368928	Mrs. Goodge's Maidservant
831030	372212	Young Wife
831030	383218	Various roles
831030	388726	Sturdy Woman
831030	393975	
831030	405992	Brenda
831030	410539	Blonde
831031	28564	Herself
831031	60465	Ballerina
831031	236968	Frau Stahlbaum
831031	253909	Herself
831032	185478	2nd Whore
831033	30202	
831033	162511	Mme Brown
831033	189902	Marsha
831034	77639	Old Woman
831034	138184	Nanny
831034	210541	Neighbor
831034	331607	Olga
831034	363772	
831034	396904	Beryl
831034	403285	Mrs. Huysmans
831035	220465	Party Guest
831035	374638	Angvisa Girl
831036	56956	Athenaise
831036	107949	Robin Stevens
831036	193718	Sherrie
831037	14974	Younger Sister
831037	235591	Waitress
831038	378934	Herself
831039	62036	Patty
831040	93043	Melanie Parker
831041	38021	Maid
831041	285201	Revolutionary
831042	203596	Elsie Revere
831043	379195	Kate
831044	93020	Tracy
831045	151055	Danica Kharacter
831046	900	Herself
831046	1787	Cristina Peck
831046	3046	Herself
831046	3055	Herself - Co-presenter: Best 
831046	26079	Additional Voices
831046	34387	Amanda
831046	61767	Grace Rhodes
831046	63140	Renee
831046	75648	Louise
831046	78015	Guila De Lezze
831046	88177	Roxeanne de Persand
831046	92095	Jennifer Evans
831046	99413	Ellie Parker
831046	115628	Janet Odgers
831046	117072	Leo's Girlfriend
831046	134595	Jennifer Carter
831046	150825	Amanda
831046	152910	Holly Maddux
831046	154271	Dawn Campbell
831046	177328	Ann Darrow
831046	207838	Shopping Cart Starlet
831046	222194	Betty Elms/Diane Selwyn
831046	229260	Julia Cook
831046	231560	Herself
831046	245536	Rebecca Yoder
831046	253527	Molly
831046	258207	Meredith
831046	270273	Suzie
831046	278437	Rachel Keller
831046	278498	Rachel Keller
831046	314092	Lila Culpepper
831046	316140	Alice
831046	324551	Jet Girl
831046	333421	Mary Chandler
831046	346133	Louise
831046	360392	Edith Evans
831046	369384	Alice Fairfield
831046	382743	Frances Heffernan
831046	391869	Julie Gibson (1991)
831046	405641	Kate Russell
831047	224106	The Talent Show - Sing It Out
831048	36839	Woman in Auto
831048	69823	
831048	170796	
831048	211601	Maxim Girl
831048	215862	Telephone Operator
831048	313076	Secretary
831049	714	Liquor Customer
831050	10413	Blonde pub singer
831050	11189	Mrs. Malloy
831050	69382	David Galaxy's Mother
831050	90367	Mrs. Keane
831050	105215	Mrs. Brass
831050	137462	Pub Character
831050	137623	Connie
831050	147548	Mrs. Briggs
831050	170143	Annie Bundle
831050	260206	Aunt Emm
831050	290080	Mrs. Wallace
831050	310446	Queenie
831050	348380	Mrs. Hardy
831050	381714	Freda
831050	403676	Lily Briggs (1973-75)
831050	411431	Various roles
831050	411879	Lily Briggs
831051	26824	Sadie
831051	41138	Angela Marley
831052	34611	Herself
831052	91228	Herself
831052	128089	Reporter Nita
831052	204255	Mrs. Beale
831052	209683	Herself
831052	317551	Talk Show Hostess
831052	385824	Cameron Reese (2001-2003)
831052	403664	Host
831052	405493	Vivica Shaw (1997-1999)
831053	269351	Jane
831054	110516	Lisa
831055	171511	Monica
831056	76945	Nurse
831056	99327	School Secretary
831056	236989	Farm-Girl
831056	269627	Landlady
831056	316858	Mrs. Hancock
831056	329541	Girl in Coffee Shop
831056	382064	Barbara
831056	385020	Sandra Stubbs (1988)
831056	385659	Ryelands housekeeper
831056	390149	Debbie Wilkinson
831057	318644	Nurse Rachael
831058	301777	
831059	108389	Mayor Margaret Jones
831059	292152	
831060	66837	Prostitute
831061	70827	Doctor
831062	32044	Model
831062	126572	
831063	52326	Twinkle Potter
831063	54122	Twinkle Hardy
831063	70976	Nancy Christi
831063	136266	Nancy Hogan
831063	184094	
831063	203085	Twinkle Watts
831063	245420	Winky Gordon
831063	298508	Little Jo Criag
831063	301948	Twinkle Clayton
831063	312840	Inky Wade
831063	335906	Midge Hardy
831063	337602	Peggy Bailey
831063	348014	Herself
831064	33178	Nun
831066	14706	
831066	63516	
831066	145848	
831066	210691	Aurélia
831066	222698	
831067	26544	Alzira
831068	42108	Hailey
831068	63113	Trudy Jameson
831068	70461	Penny Hopkins
831068	176480	Evelyn
831068	187732	
831068	195365	Stephanie Thatcher
831068	206335	Martha Graham
831068	404282	Young Eden (1991)
831069	177223	
831070	43725	Bonnie's aunt
831072	228672	
831073	392693	Mrs. Royce
831074	368654	Mary Beth
831075	396073	Female Guest
831076	193759	Schoolgirl
831077	194809	Speech Therapist
831077	384097	Gail Bevan (1990)
831078	276163	Pom Pom Girl
831079	31675	Kathy
831080	81070	Secretary
831080	298266	Typist
831081	143531	Lucina
831082	69555	Louisette
831083	101752	Ines von Falckenberg
831083	125293	Natascha
831083	290536	Dorothee
831083	290537	
831083	290539	
831083	301085	1. Krankenschwester
831083	391284	
831083	394981	
831083	395667	Tanja Schildknecht Dressler (
831084	77152	Young Pamela Barnes
831085	5900	Jacques François's wife
831085	14998	Suzanne
831085	34141	Inge
831085	34460	Berhte
831085	100176	Elise Doussouches
831085	113109	Barbara
831085	121427	Louise
831085	140283	Emma's mother
831085	166117	Madeleine
831085	166204	Girlfriend
831085	200940	Madame Groult-Cotelle
831085	225444	Madame Mann
831085	246839	Lodia
831085	260859	Soeur Marie-Françoise
831085	276506	Laurence Delisle
831085	278155	Femme Lepetit
831085	279220	Christine
831085	339970	
831085	340291	L'essayeuse
831085	345132	
831085	346532	Anne
831085	350300	Zuster Paula/Moeder
831085	353916	Baronesa de Gondremark
831085	356107	Adrienne
831085	357089	Miss Anne
831086	88685	
831088	56098	
831088	77015	Entertainer
831088	88149	Secretary
831088	154059	Mary of Magdala
831088	154882	Miss Lane
831088	163469	
831088	203791	Farmer
831088	276713	Stenographer
831088	277899	Waitress
831088	283394	Waitress
831088	361652	Mexican Girl
831091	264138	Darla
831092	41251	Young Indian
831093	359973	Pawnee
831093	408880	Mouse (Series 4-5)
831094	359973	Pawnee
831095	95382	Hanneh
831095	193301	
831095	376514	
831096	74785	Twin Sister
831097	74785	Twin Sister
831098	304439	Professor's Secretary
831099	95704	Helena Wiktusowa
831099	217276	
831099	244106	Brygida
831099	255741	
831099	262208	
831099	266328	Anna Raczkowska
831099	410485	Borg-Siedlecka (1990-1991)
831100	300056	
831101	200116	Girlfriend3
831101	380713	Nicole Van Doren (1991)
831102	76126	
831103	130149	
831104	356285	Dolly Charter
831105	78796	Bar owner
831106	43987	Herself
831106	44565	Town Hall Clerk
831106	59470	Bunty
831106	67812	Herself
831106	68097	Herself
831106	68108	Herself
831106	113281	US Ambassador's secretary
831106	153646	Herself
831106	153647	Herself
831106	249555	Herself/Host
831106	280993	Susan Lawson
831106	282702	Guest Announcer
831106	282934	Herself
831106	292601	Herself
831106	299471	Betty Hapschatt
831106	315642	Herself
831106	330409	Restaurant Patron
831106	353503	Herself
831106	359932	Spenco executive
831106	382794	Herself
831106	384715	Herself
831106	384749	Herself
831106	385077	Additional Voices
831106	386718	Herself
831106	387243	Herself
831106	389508	Herself
831106	390119	Shelley DuPont
831106	392063	Herself
831106	401853	The Pope
831106	403877	Herself
831106	403878	Herself
831106	403879	Herself
831106	403880	Herself (presenter)
831106	403881	Herself
831106	403882	Herself
831106	403883	Herself
831106	406731	Herself (Series 2)
831106	410521	Herself/Host
831106	410662	Herself
831106	410663	Herself
831106	410664	Herself
831107	53316	Baby Doll
831108	22122	Alona
831108	131014	
831108	162662	
831108	189059	Gila
831108	193080	Nira
831108	298777	
831108	303024	Tikva
831108	306935	Kineret's Mother
831108	383834	Dafna Noyman
831109	20989	
831110	170442	Julie Allen
831111	107526	Female Hotel Clerk
831112	230873	Punker in Car
831112	288465	Demon
831113	59858	Dalia
831113	178075	Wiggy
831114	130788	Herself/Journalist
831115	7187	Lisa Carlos
831116	136128	Lexi's Birthday Party Dancer
831117	121013	
831118	5641	Mrs. Penn
831118	16005	Alice
831118	46215	Old Lady with Dog
831118	49391	Hotel Guest
831118	55706	Aunt Victoria Grubb
831118	65757	Mrs. Way
831118	74323	Housekeeper
831118	79703	George Brabazon
831118	80501	Lena Finn, Theodore's mother
831118	93579	Miss White
831118	100957	Mrs. Philpott
831118	116512	Cinema box-office attendant
831118	138246	Seamstress
831118	138248	Seamstress
831118	140105	Rachel
831118	151726	Miss Jolly
831118	176933	Margot
831118	191964	Miss Smith
831118	241102	Mrs. Van Dougen's Housekeeper
831118	263786	Miss Gaunt
831118	285669	Mrs. Clall
831118	342587	School Mistress
831118	347977	Old Lady
831118	383627	Betsy
831118	385299	Emily Vinson
831118	388396	Carver
831118	395625	Nancy Price
831118	403926	Dodo Mackintosh (1983-1988)
831118	410582	Gertrude Dana (Bulldogs Bank)
831119	21304	Herself
831120	393173	Jean Kennedy (age 12)
831121	313459	Thuku
831122	27313	Sra. Madera, Ramon's Mother
831122	30085	Onlooker
831122	41274	Mme. Fernande
831122	60303	
831122	79803	Florrie
831122	93956	Italian Dressmaker
831122	124737	
831122	138791	
831122	176451	Jennet Clouston
831122	185726	Mrs. Phillips
831122	198885	Second Witch
831122	210508	Seuneh
831122	215335	Lodger
831122	218317	1st Landlady
831122	227194	Finn's Grandma
831122	241465	Aunt Anna
831122	271262	Lydia Brangwen
831122	272489	The Medium
831122	285879	Ruf Grigorievna
831122	291807	Mrs. Giass
831122	302689	
831122	310959	Aida
831122	316227	Secretary
831122	316677	Mrs. Thoms, Angele's landlady
831122	330237	Greek Woman
831122	351525	The Maid
831122	351590	Woman Detective
831122	354346	Kitala
831122	354516	Gloria Balbino (A Mother)
831122	383071	Minty
831122	383799	Alice Harkness
831122	388214	Grandmother
831122	400087	
831122	400814	Dora Nowt
831122	401743	Agatha Poldark
831122	404604	Mrs. Pebbles
831122	409840	Mrs. Tinker
831122	410582	Mrs. Stern
831123	390925	
831123	397306	Anke Vermeer
831123	411311	Belle Heersma (1997-1998)
831124	144406	
831125	115728	
831125	332450	
831126	137223	Dancer
831127	79049	Customer
831128	241918	Emilia
831130	311195	Young Rachel
831131	144816	Contestant #3
831132	185127	Color Guard/Prison guard
831133	230991	Brenda
831134	355980	Fan
831135	40029	Nurse Amy
831135	57157	Travel Agent
831135	213350	
831135	254415	Woman at Orphanage
831135	345177	Employee at Airport
831135	395601	Joanne Leiter
831136	40314	Little Girl
831137	73570	Bettina
831137	97410	Interviewed Fan
831137	115886	Unemployment
831137	147844	Customer in Chair
831137	154959	Nightclub Singer
831137	171485	Latisha Jansen
831137	196572	Diane
831137	323992	Andie Norman
831137	366640	Herself
831137	386338	Allison (1987-1988)
831137	392686	Various Characters (1990-1993
831137	392710	Tonia Harris (1995-1998)
831137	402849	Herself
831137	410683	Mom
831138	154959	Bar Patron
831139	349950	
831140	117442	Sorceress
831140	149938	Ilsa Beck
831140	191832	Christine
831140	301659	Greta Garbo
831140	353525	Claudine
831140	389858	Dr. Greta Ingstrom (1987)
831140	392332	Co-hostess (1971)
831141	201598	Girl #3
831142	209735	
831143	209657	Kay
831144	161163	
831145	133858	Theresa Strauß
831146	78984	Aras
831147	157956	Irene Rivers
831148	342938	Lady Asleep at Clinic
831149	292025	Waitress
831150	348753	Ryuunosuke
831151	72580	
831152	333183	Young Leda
831153	283183	Food Service Girl
831154	242028	
831155	48703	
831155	86506	
831155	204264	Beth
831155	257744	Jane
831155	291422	Nina
831155	308084	Mrs. Avery
831155	352833	Mom
831155	363078	Lucy Becknell
831155	400236	Emily Haynes (1994)
831155	401543	Liz Pitt
831155	411339	Miranda Devereaux
831156	106253	Cop Girl 1
831156	277090	Indian Maiden
831157	154629	Officer Dillon
831158	232777	Herself
831159	13685	Kathy
831159	108250	Alysa
831159	110320	Sandy Goodall
831159	139062	Laura
831159	210469	Lena Warburton
831159	248976	Tina
831159	257810	Angie
831159	348848	Laura
831160	57717	Marjorie
831160	407577	Officer Jane Porter
831161	9883	Lisa Angelica Dickinson
831161	67685	Bessie Marshall
831161	90801	Native girl
831161	208932	Alice Warren
831163	47019	Party Guest
831163	126725	Sylar
831163	211561	Carol Singer
831163	236697	Jacq
831163	390523	Jane (1991)
831164	158312	Hooker
831165	41525	Herself
831167	34636	Herself (Judge)
831167	36773	Allegra
831167	96580	Regine
831167	105147	Nancy
831167	135973	Blind Date
831167	136513	Waitress
831167	141411	Candy
831167	249627	Julie Warren
831167	288999	Doreen
831167	289691	Nurse
831167	319899	Mrs. O'Finlay
831167	383762	Herself/panelist
831167	396778	Herself/panelist
831167	408495	Art Fern's Tea-Time Movie Lad
831168	214166	Wife of SOS
831168	342878	First Girl in Powder Room
831169	133430	Ruth Cameron
831170	307189	Additional Voices
831171	341460	Jennifer Johnson
831172	200173	Girl in Tutu
831173	54588	Lady Stanton
831174	54726	Spitting Lady
831174	86381	Painter
831175	299916	Herself - band vocalist
831176	25460	
831176	29907	
831176	34778	
831176	55633	
831176	81971	
831176	84003	
831176	97504	
831176	98841	Sex-Ed student/Female model
831176	98842	Antique shop customer
831176	98850	Orgy member
831176	98852	Jamie
831176	98856	Heavenly Wells
831176	98863	Vera
831176	98866	Exotic Dancer
831176	102813	
831176	128752	
831176	128846	Herself
831176	150342	
831176	187414	Herself
831176	192089	
831176	197848	
831176	199002	
831176	216839	
831176	242073	
831176	243113	
831176	253013	
831176	282719	Herself
831176	295650	
831176	302498	Sinderotica
831176	302577	Herself
831176	310936	
831176	321011	
831176	325262	
831176	338766	Woman at Hairdresser Appointm
831176	358074	Herself
831176	365383	
831176	369913	
831177	71654	Manuel
831178	66042	Woman
831179	224109	Shady/Baby Lofty
831180	170378	The Head
831180	241752	French Maid
831180	331333	Telephone Operator
831180	334371	Gaby
831180	342745	Jeanette
831181	348327	Dancer
831182	78079	Miss Doolittle
831182	283454	Alice, Eastman's wife
831182	320320	
831183	206910	Phyllis
831183	250523	Jinjur, a Maid in the Emerald
831183	251497	
831183	308606	Emmy Moran
831184	72664	Brewer's Neighbor
831184	317520	
831185	367696	Herself
831186	7482	Guest
831186	10607	Katherine Maxwell
831186	26616	Ethel McVae
831186	33090	Julia Haldwell
831186	50899	Lindy
831186	52834	
831186	65909	
831186	89252	
831186	109400	The Girl
831186	112428	Lydia Vyse
831186	112585	Beth
831186	114727	Helen Davis
831186	133367	Mimi Morrell
831186	142243	Ann
831186	142981	Vera Hampton (his fiancée)
831186	145953	Corinne McRea
831186	147633	Cameo appearance
831186	148860	
831186	152400	
831186	160032	
831186	186687	Irene Rutherford
831186	197656	Millient Mervill
831186	218943	Josephine Herrick
831186	224632	Madge Smith
831186	265244	Connie
831186	278852	Errica
831186	299283	Susan Van Der Pyle
831186	301690	Gertie Page
831186	308593	Maureen Desmard
831186	362836	Charlotte Germaine
831186	364200	Marion Craig
831186	372720	Miss Van Kovert
831187	269861	Girl on wagon at horse race
831188	41045	Lou
831188	279375	Sue Dennison
831189	68119	Sybil
831189	80479	Frieda Schmid
831189	197918	Linda
831189	232231	Gladys Weems, the Charisma Be
831189	383283	Caprice
831190	223054	Dancer
831190	330375	
831190	360837	
831191	41102	Baby Cookie Bumstead
831192	9883	
831193	200173	Ashley Black
831194	6725	Herself
831194	13278	
831194	26670	
831194	36895	
831194	37505	
831194	47270	
831194	50395	
831194	53923	
831194	69375	
831194	78961	
831194	102690	
831194	116211	
831194	127403	
831194	147901	
831194	183363	
831194	183383	
831194	188078	
831194	188113	
831194	208521	
831194	258760	
831194	260816	Herself
831194	279229	
831194	283287	
831194	283505	
831194	316731	
831194	326243	Herself
831194	353471	
831194	365494	
831194	369475	
831195	9883	
831195	201804	Herself
831195	269861	Teenage girl at races
831196	50794	
831196	326511	Herself
831197	129088	Dance Team Member
831197	177262	Bolero Dancer
831199	37693	
831200	67788	Streetwalker
831201	118320	Katherine
831202	248878	Fencing Girl
831202	308053	Girl
831203	123811	Lady In Warehouse (Amber Ways
831203	289155	
831204	75028	
831205	261532	Herself
831206	70304	Younger Margo
831207	78915	Woman in Photograph #3
831207	78916	Velvet
831207	347069	Demon Lesbian #1 in Nightmare
831208	237226	
831209	168136	Joanna
831209	220504	The Girl
831209	224499	Dental patient
831210	32808	Stella-Bonnie
831210	192286	ABC aide
831211	10727	
831212	40766	
831212	118994	Midwife
831213	7828	
831214	131232	Extra
831215	302494	Dancer
831216	36884	
831216	37169	
831216	42790	
831216	128633	
831216	133920	
831216	188040	
831216	188475	
831216	210450	
831216	288920	
831216	291011	
831216	333831	
831216	360249	
831217	358874	Miss Armstrong
831217	376002	
831218	195771	Person in Brighton Pub
831219	285033	Mary
831220	311609	Vicky
831221	337758	Social Worker
831222	263747	
831223	329094	Party-goer 2
831224	361587	And Her Band
831225	196328	Lisette
831226	355536	Fiery Redhead
831227	112545	Fraser Child
831228	137224	Doris Beachford
831229	318812	Mrs. Jackson
831230	302432	Mercedes McCambridge
831230	362594	Lee Bickford
831230	387309	Alica Van Dine (aka Faith Kin
831231	262727	Mum Hayseed
831231	337132	Mum Hayseed
831232	292177	Tamara
831233	155927	Mr. Cooper's Girlfriend
831234	143532	Hag/Girl
831234	348848	Beverley
831235	890	
831235	14484	Andrea Livingston
831235	31200	Herself (ABC Team contestant)
831235	31500	Jill Riley
831235	53959	Blake's Girl in Bed
831235	77712	Sue Ann
831235	114584	Jackie
831235	164523	
831235	214436	Rita Lund
831235	215456	Herself
831235	249595	Stacy
831235	259216	Cadet Karen Adams
831235	283847	Kay Stagen
831235	285360	Mom Bozell
831235	296971	Dr. Kidwell
831235	330340	Peter
831235	381442	Jill Riley (1989-1990)
831235	393177	Jill Starbuck
831235	399953	Herself
831235	405059	Melissa McDonald
831236	1491	Herself - Presenter
831238	43883	Hot Traxx dancer
831238	302710	Dancer
831238	324551	Liquid Silver Dancer
831238	360713	Bride (Copeland Wedding)
831238	391013	Bombshell
831239	129627	Col. Ninotchka
831239	390180	Col. Ninotchka
831240	171485	Herself
831241	233875	Housemate
831242	403487	Herself/X-Treme (2004)
831243	313329	Nadia
831244	53318	Student
831246	115214	Hostess
831246	273781	Dancer
831246	287232	Dancer
831246	321549	Dancer
831247	310303	
831248	398050	8th Eliminated (2002)
831249	325283	Rachel
831250	280115	Stacy Richards
831251	395794	Carmen Fitzgerald
831252	277909	Storekeeper's Wife
831252	340899	Reporter
831253	122214	Unimpressed Girl
831254	293645	Mrs. Simkins
831255	191652	Edna Flannery
831255	218418	Felicity Brent
831255	244363	Pat
831255	386765	Dr. Anne Tarrant (1972)
831255	389283	Helen Gamble (1969)
831255	391520	Dr Ruth Coliton
831255	409578	Elaine Mayfield
831256	321539	Mrs. Davis
831257	76945	Housemaid
831257	409194	Bella (2001-)
831258	347710	
831259	230920	Herself
831261	5072	Primrose Buttercup
831261	12737	Second Sugar Girl
831261	51794	Josie
831261	71302	Cherry
831261	88521	
831261	253015	Barbara Gunn
831261	253976	Susie Petersen
831261	255274	Minnie
831261	275529	Fiona Carter
831261	288086	
831261	290421	
831261	312391	Dolly
831261	315480	Anna
831261	343291	Old alice
831261	360004	Maggie McGhee
831261	379738	Herself - Panellist
831261	379869	Emily
831261	382206	Herself - Panellist
831261	382458	Herself
831261	383851	Rasa Bertrand
831261	392144	
831261	408873	Joan
831261	409647	
831262	128530	Bouncer at Le Loft
831263	326100	
831264	147784	
831264	366755	Nun
831265	20314	Elviry
831265	92140	Elviry
831265	120223	Elviry
831265	132844	Elviry
831265	155585	(segment "Ultima carta, L'")
831265	157883	Elviry
831265	166468	Elviry
831265	220331	Elviry Weaver
831265	220342	Elviry Weaver
831265	239655	Mayor Elviry Weaver
831265	298441	Elviry
831265	342154	Elviry Weaver
831266	301271	Kid #2
831267	262613	Mrs. Grimble
831268	197488	Lucia
831269	122214	Unimpressed Girl
831269	357991	Girl in Car
831270	161739	Reporter
831270	388088	Herself - Co-anchor (1996-199
831271	140925	Lever Secretary
831271	287215	Waitress
831271	332807	Friend at the reunion
831272	297975	Jo
831273	20314	Violey
831273	120223	Violey
831273	132844	Violey
831273	143941	Ruth Miller
831273	157883	Violey
831273	166468	Violey
831273	220331	Violey Weaver
831274	141157	Peach
831274	297222	Jennifer
831275	133682	Barbara
831275	143742	Hulda
831276	10520	
831276	36870	Vickey
831276	52373	Rosalia Miller
831276	59622	Paula Drake
831276	61304	Cecile Fippany
831276	62013	Logan's Secretary
831276	64668	Julie Lawson
831276	109363	Peggy Rooney
831276	116963	Dime Pringle
831276	130624	Chorus girl
831276	133434	Ruth Miller
831276	143580	Bronson's Secretary
831276	147413	Marjorie Blake
831276	148975	Betty
831276	150479	Vicki Enfield
831276	154881	Jean
831276	171217	Judy Taylor
831276	175629	Caroline
831276	186799	Rita Rogers
831276	188341	Jean Blanchard
831276	190064	Miss Murphy
831276	199205	Evelyn
831276	202916	Dallas Gilmartin
831276	203613	Catherine Wolff
831276	206943	Georgie Tomlin
831276	210394	Switchboard Operator
831276	212752	Phyllis Brighton
831276	222568	Mary Lou
831276	222740	Patricia Shaw
831276	248837	Dixie Moore
831276	259789	Guest
831276	286154	Mary Stevens
831276	292191	Joy
831276	296804	Claire Winter
831276	299718	Marjorie Pritchard
831276	330768	Miss Blackburn
831276	331283	Moira Charters
831276	360527	Ruthie
831276	372139	Marian
831276	372641	Mary Todd
831277	140187	Georgia
831278	88568	
831279	168333	Helen
831279	279874	Passenger 1
831280	152206	Mary Jane
831280	385824	Trish Clayton (1974-1982)
831280	411802	Gina Roma (lotti) Radison (19
831281	10841	(segment "Alien Abductee Inte
831281	72877	(segment "Dryer Straits")
831281	75707	Peg
831281	194339	Hepzibah Crowley
831281	261634	
831281	300856	
831281	368336	Waitress
831282	264154	Stash's Maid
831282	291503	Gwen
831282	386961	Jude
831283	190247	First French Girl
831283	222593	Mary Wright
831283	392129	Molly (1991-1993)
831284	74048	Vivienne
831284	80593	Debbie
831284	107550	
831284	222479	Clara
831284	304224	Kak
831284	308183	Sarah
831284	367498	Bessie
831284	381301	
831284	396079	Jade Carver
831284	411148	Holly (2004-)
831285	5527	Nurse
831285	47898	
831285	80959	Coach
831285	124503	Mary
831285	127574	Dr. Claire Henry
831285	129820	Mother Washington
831285	183717	Matty Williams
831285	235441	
831285	258752	Aunt Audrey
831285	355670	Henrietta's Night Nurse
831285	389356	2nd Singer
831286	44330	Christa
831286	69384	Self
831286	138669	Gabrielle
831287	280016	Randy
831288	199483	Ilsa
831289	686	Herself
831289	1121	Queen Isabel
831289	2073	Marcia Lawton
831289	2075	Marcia Lawton
831289	2583	Herself
831289	2796	Herself (Co-Presenter)
831289	2816	Presenter for Best Direction 
831289	2893	Herself (Nominee, Best Actres
831289	2924	Herself (Memorial Presenter)
831289	3021	Herself - Presenter
831289	3044	Herself
831289	7585	Herself
831289	10830	Ripley
831289	10865	Herself
831289	10898	Herself
831289	10916	Lt. Ellen Ripley Clone #8
831289	10920	Ellen Ripley
831289	10945	Ellen Ripley
831289	17760	Alvy's Date Outside Theatre
831289	31841	Herself
831289	36722	Betti DeLoreo
831289	68688	Daisy Quimp
831289	79478	First Lady Ellen Mitchell
831289	80898	Catherine DeVoto
831289	81043	Paulina Escobar
831289	105198	
831289	106671	Tony Sokolow
831289	118731	Herself
831289	123034	Gwen DeMarco aka Lt. Tawny Ma
831289	126502	Herself
831289	127084	Dana Barrett
831289	127253	Dana Barrett
831289	127255	Dana Barrett
831289	132061	Dian Fossey
831289	136298	Joan
831289	137487	Lauren Slaughter
831289	138677	Frida
831289	141412	Max Conners
831289	147500	The Warden
831289	147637	Herself
831289	155277	Janey Carver
831289	156854	Sandy Travis
831289	166567	Debra Moorhouse
831289	175529	Herself
831289	199696	
831289	201609	Herself
831289	201610	Herself
831289	201611	Herself
831289	204947	Alice Goodwin
831289	207522	Herself
831289	240868	Herself
831289	241741	Herself
831289	270238	Narrator
831289	288702	Paula Collins
831289	291940	Narrator
831289	299450	Herself
831289	306288	Claudia Hoffman
831289	310526	Various
831289	318983	Herself
831289	319589	Herself
831289	322886	Eve Grubman
831289	328553	Ripley (Aline)
831289	346543	Jessica Fitzgerald
831289	347246	Herself
831289	352979	Herself
831289	354548	Alice Hunt
831289	364560	Narrator
831289	368314	Katharine Parker
831289	370855	Jill Bryant
831289	381737	Laura Wheeler
831289	387545	Host
831289	405882	Avis Ryan (1976)
831290	65612	Newscaster
831291	150054	
831292	61706	Kid #6
831293	345881	Defense Lawyer
831294	107947	
831295	368834	Ryan Shamrock
831295	399845	Alicia (2002)
831295	402907	Ryan Shamrock (1998-1999)
831295	406933	Ryan Shamrock (1998-1999)
831295	410688	Symphony (1999)
831295	410689	Symphony (1999)
831295	410690	Symphony (1999)
831296	142703	
831296	324766	
831297	44005	Noreen
831297	65378	Bus Woman #2
831297	71476	Angry Woman
831297	155635	Nurse
831297	379716	Sarah Valentine (1980-1991)
831298	327685	
831299	56545	Herself
831299	315896	Crystal
831300	385299	Iris Scott (1984-1986)
831301	317248	
831302	158372	Sheila
831302	330773	Mrs. Fabricant
831303	116289	Baby in Pram
831304	405607	Sports Presenter (1990-1995)
831305	123913	Worker
831306	297120	Party Goer #1
831307	107294	
831308	399130	Sally Pritchard (1994)
831309	14103	Operator
831309	32519	Mrs. Shukeiss
831309	75612	Tickler
831309	80660	Older Nun
831309	80755	Bowling Lady
831309	91768	Miss Mona
831309	112302	Apartment Manager
831309	127134	Betty Lou
831309	145010	Woman on Bus
831309	168630	Coach Nun
831309	176480	Friend at Party
831309	194656	Housekeeper
831309	206129	Minnie
831309	221049	Maid at Hotel
831309	222617	
831309	222756	Cleaning Lady
831309	245710	Teacher
831309	284907	Lady at ATM
831309	302236	Fairy Godmother
831309	302584	Old Jewish Lady
831309	335285	Large Woman
831309	338298	Hertha Wayerhauser
831309	349022	Woman on street #2
831310	313815	Suzi
831310	405960	Kelly Burns (1985)
831311	11644	
831311	38117	
831311	147460	
831311	363357	
831312	320266	Gospel Singer #1
831313	294980	Monster truck show gun hlder
831314	228312	Herself
831314	387533	Debbie Jones (2002-)
831315	78747	Dr. Daniels
831316	28482	Sophie
831316	33715	Louisa Kracklite
831316	62007	Laurette Barber
831316	78176	Birdie
831316	127255	Elaine
831316	141179	Crystal Gerrity
831316	195305	Tina Wilson
831316	196918	Allison
831316	231078	Avis Glasscock
831316	262261	Carla
831316	269427	Patricia
831316	298115	Nancy Swearingen
831316	300871	Nancy Spungen
831316	301614	Dinki Denk
831316	342403	Convenience Store Clerk
831316	342593	Linda Mason
831316	384104	Laurette Barber (1988)
831316	407470	Mona Ramsey
831316	408004	Herself (1983)
831317	296333	Nicky
831318	202367	Third Customer
831319	250379	Dead Mother
831320	197236	
831320	197262	
831321	31817	Lisa Home
831321	41154	Claire Summers
831321	68235	Ruth
831321	128084	Little sister (segments)
831321	134877	Sick girl
831321	387247	Martin's date
831321	388321	Samantha Riley (2003)
831321	406636	Best Friend
831322	57560	Large Lady
831322	99720	
831322	141399	Nurse
831322	177089	Nurse
831322	196339	
831322	341455	Cook/Maid
831323	378978	Dancer
831324	169348	
831325	116847	Nan
831326	359104	Singer, 'A Voice in the Night
831327	8999	Cass
831328	276882	Sarah
831329	193868	Housewife
831329	382830	Nurse
831331	47191	Demonstrator
831332	122757	
831333	266618	Mother
831333	395736	Mrs. Mellon
831333	411500	Millicent Coldstone
831334	51934	Josephine
831334	81582	
831334	117037	Walnut Hill Nurse
831334	162986	Nurse
831334	183426	Maggie
831334	238551	News Vendor
831334	283069	Truck driver
831334	333192	Mrs. Clutchett
831334	333349	Woman Journalist
831335	13576	Nurse
831336	11	Billie
831336	76692	Hagatha/Sabrina Spellman/Petu
831336	109221	Cashier
831336	244863	Telephone Operator
831336	379065	
831336	379290	Batgirl (Barbara Gordon)
831336	380571	Betty Cooper/Veronica Lodge/B
831336	380572	Betty Cooper/Veronica Lodge/M
831336	380573	Betty Cooper/Veronica Lodge/B
831336	380574	Sabrina, the Teenage Witch/Ve
831336	381396	Batgirl/Catwoman
831336	382643	Ping/Pong/Babs
831336	388406	Erica Lane
831336	391053	Wanda Kay Breckenridge/Aunt G
831336	393779	Cindy Lindenbrook
831336	398687	Katy O'Hara, Lorelei Brown, J
831336	399204	Ginger Grant
831336	399223	Betty Cooper/Veronica Lodge/B
831336	404079	Bella Love-Ghostly/Sabrina Sp
831336	404082	Sabrina/Hilda/Zelda Spellman
831336	404680	Felicia
831336	409696	Betty Cooper/Veronica Lodge/M
831336	411177	Geraldine Lewis/Rhonda
831337	13576	Nurse Carter
831338	11581	Aunt Maud
831338	14981	Vera
831338	121854	Fertilla
831339	97041	
831341	142429	
831342	301681	Nun on Street
831343	28552	Kidnapped Girl
831344	61706	Kid #3
831345	311517	Ashlee
831346	368001	Ozma
831347	37270	Stewardess
831347	38005	Barbara
831347	38006	
831347	379092	Abigail
831348	403283	Asa
831348	406081	Miss. Osborne
831349	399130	Lata Chatterji (1994)
831350	127292	Bridesmaid
831350	314798	Fiona
831351	14224	Herself
831352	93237	Nyarlathotep
831353	205426	Flashback Friend #2
831354	147914	Tiffany
831355	52570	Ms. McKenzie
831355	74259	Lenora Frigid, Has hots for W
831355	137259	Carmelita
831355	168670	Medical Examiner
831356	325994	Fantasy Girl #2
831357	192860	Herself
831357	390336	Herself - Fitness Expert
831358	122865	
831359	122757	
831360	36871	Wenona
831360	68092	'Not Necessarilly the News' r
831360	71110	Shirl
831360	121549	Plane Passenger
831360	121864	
831360	208631	Fran
831360	245506	Agent Deene
831360	315747	Joanie Kirby
831360	346370	Virginia Rhinehart
831360	383935	Helen Hoover
831360	399725	
831360	402204	Pvt. Luanne Hubbl (1981-1982)
831361	203549	Houston Motor Cop
831362	296768	
831364	271868	Mrs. Ellis
831365	198094	Mary Magdalene/Herself (segme
831366	365526	Mona
831367	177431	Mary Lou, saloon girl
831367	332127	Stage passenger
831368	73959	Carla
831368	75794	
831368	95774	
831368	400603	
831369	13805	Mary
831369	281443	Resident Woman
831370	329986	Madeline Sunnybrooke
831371	323373	Chorus Girl
831372	230240	Hollywood
831373	389723	Co-Host (2003-)
831373	404562	Contributor (2001-2003)
831373	411570	Co-host
831374	193834	
831375	35193	Showgirl
831375	135843	Dancer at Cheemo's House
831375	203358	Rockette
831375	298609	Bratty Sister
831376	170890	Herself
831377	350114	
831378	185341	Newscaster
831379	220593	Virgin
831380	33742	One of 'The Thirty Women'
831380	265742	Olympic Reporter
831380	318164	Cindy
831381	222661	
831382	2081	Britannia Lee
831382	30085	Onlooker
831382	31450	Landlady
831382	34115	Various characters
831382	34116	Various characters
831382	34729	
831382	34911	
831382	45389	Landlady
831382	45690	Mrs. Lee
831382	53278	Laverne
831382	68217	Floss
831382	69405	Fanny's mother
831382	119872	Mrs. Rusk
831382	140886	Flower seller
831382	145557	Mrs. Slaughter
831382	150748	Elder masseuse
831382	154984	Tea Lady
831382	155731	Landlady
831382	193594	Cockney Woman
831382	203381	Landlady
831382	221234	Woman in Pub
831382	234049	Mrs. Brown
831382	252728	Mrs. Hedges
831382	277096	Lady at window
831382	291867	Trolley Lady
831382	315994	Bedraggled Woman
831382	316214	Mrs. Plaskett
831382	318193	Asylum inmate
831382	326363	Mrs. Gutter
831382	334245	Second woman
831382	334307	Mrs. Joesph
831382	346938	
831382	348358	Cassandra
831382	348370	Maid Marian
831382	348379	Mrs. Hardy
831382	351802	Mrs. Loewenthal
831382	372671	Woman in Market
831382	374638	Clippie
831382	381661	Various Roles (1969-1980)
831382	400024	Various Characters
831382	402551	Various Characters (1975-1979
831382	404544	(Pilot, Series 1) (1964-1965)
831382	411020	
831383	48935	Dr. Van Horney
831384	282935	Sydney Beaugh
831385	30172	Petal
831385	104798	Hilda
831385	239568	Duchess
831385	266054	Sylvia
831385	269842	Margaret
831385	282689	Mrs. Austin
831385	397182	
831386	71434	Selina
831387	281145	Lycosian Troop
831388	232413	Police Officer
831389	5118	Herself
831390	188551	Police Officer
831391	42087	Channel
831391	407815	Herself (Single) (2002)
831392	114642	Speakeasy Girl
831393	2781	VIP Patron
831393	37387	Herself
831393	57061	Herself
831393	117101	Model
831393	147972	Diandre, Keratin Girl
831393	158528	Pam
831393	170746	Vera
831393	202195	Sister Lucille Rosary
831393	215680	Judge
831393	252490	Herself
831393	308011	Veronica Webb
831393	348106	Herself
831393	375827	Herself
831394	1462	Herself
831395	116289	Mother
831396	186021	Tessie
831397	240682	Jenny Holmes
831398	316309	Beth
831399	188615	TV reporter
831400	347133	
831401	365559	Spectator
831402	211533	Mermaid Queen
831402	321556	Model #12
831402	339380	Belly-Dance instructor
831402	366780	The Nautch of Tangier
831403	194789	Swiss TV Newscaster
831404	129186	Prel. Fighter #4
831405	286686	
831407	233003	
831408	64750	Rhett's Mother
831409	142984	Miss Howard
831409	169406	Jane Burrows
831409	192030	Ellen
831409	198870	Lady Macduff/Witch
831409	291289	Jenni Whitlock
831409	310104	Anne Brewster
831409	317824	Mrs. Alice Rice
831409	368952	Miss Dennerly
831409	379760	
831409	405718	Farmer Smurf (1981)/Additiona
831410	76664	
831411	31327	Oil Wrestler
831412	87828	Libby
831413	139486	Jane Andrews
831413	205194	Jenny
831413	330380	Della Jerome
831413	372494	Marie de Médicis
831413	382239	Dr. Melanie Kilpatrick
831413	392200	Emma Neesome
831414	387421	Herself
831415	351898	Himself/herself
831416	240682	Jenny Holmes
831417	72319	Nurse #1
831418	77805	Chorus girl
831418	313076	Dancer
831419	32332	
831419	375159	
831420	388212	
831421	390338	Herself
831422	91131	
831422	93401	Schmuserin
831422	120997	
831422	125172	
831423	66661	Hooker #2
831424	20957	Faith
831424	70110	Jessica Grey
831424	72466	Kelly Jones
831424	78145	The Evil Queen
831424	147687	Herself
831424	168238	Lifeguard
831424	178149	Female Bartender
831424	179631	Kyra
831424	261075	Eve Roth
831424	272920	Herself
831424	313597	Dahlia Rojick
831424	318841	Herself
831424	390006	Co-Host
831424	401930	Lark Madison-Scanlon #3 (1999
831424	405924	Porcelain Bidet (2002-)
831425	105313	Luce
831426	330108	
831427	323882	(segment "Twisted Mind")
831429	167069	Herself
831431	42296	Swedish Suntanning Team Membe
831432	134788	Christa
831432	293696	
831433	103055	
831433	364922	
831434	323882	Annette & Karin Sanders (epis
831435	259236	
831436	270750	
831436	352318	
831436	356562	Frau Mayer
831437	113931	Debbie
831438	230191	Marion
831438	281657	Funkstreifenbeamter
831439	155678	Woman with catsup
831439	178015	Mme. Severac
831439	185723	Woman Soldier
831439	193369	
831439	240933	Mother-in-law
831439	304504	Mrs. Richards
831440	64098	Bachelorette
831441	1784	Gortex Girl
831442	185690	Young Jude
831443	327892	Madeleine
831444	195987	Party Girl
831445	91231	
831446	334354	Mona
831446	355152	Molly
831446	362390	
831447	84570	Dia-Testerin
831448	77409	
831448	145620	Hinzelmeiers Mutter
831449	12217	Shocked Elevator Family Membe
831451	132982	Léa
831452	15066	La femme du piano-bar
831452	29489	Marie
831452	336951	Sidonie
831453	128718	Female Secretary
831454	175632	Betty
831455	225280	
831455	281730	Dinah Burnett
831455	376441	Mara
831455	386981	Suzanne
831456	331123	Girl with Motorman
831457	60685	Dancer
831457	105313	Luce
831457	196370	Donna
831458	248056	Herself
831458	348138	
831458	388506	Himself
831459	137258	Stylish Hat Girl/Voice of Cor
831459	321266	Lexy
831460	29343	
831461	306126	Woman
831462	57262	
831462	129247	
831462	283031	Femme gaine
831462	357848	L'Infirmière
831463	325387	
831463	325521	Olga
831464	314885	
831465	106515	Ana
831465	149415	
831466	119163	
831466	170836	Bäckerin
831467	393482	Additional Voices
831468	405739	Willie
831469	205407	
831469	316558	Tinka
831469	325930	
831469	391604	Caro Wagner (1997-1998)
831469	392669	Sylvia
831469	411161	Gesa
831470	376437	Lieselotte
831471	437	Tomasia Kolrep
831471	142062	Josepha Manz
831471	186911	
831471	204438	Lisa Freyberg
831471	348047	
831472	163513	Nurse
831472	218919	Anna Tyson
831472	372145	Woman
831473	14891	
831473	96496	
831473	149128	Gabriela
831473	162030	Stefania
831473	268847	Contessina Delfina Celi Sangu
831473	301342	
831473	334429	Commessa negozio
831474	176453	Young Daughter
831475	196508	Anal Ann
831476	349819	
831477	962	Eileen Wiley
831477	65146	
831477	327838	Charlotte
831477	327839	Charlotte
831478	40414	Claude
831478	325459	
831479	40520	
831480	374642	Kelly Austin
831481	292122	Saleswoman
831482	40891	Penny
831483	230127	Ghoul #1
831484	325633	
831485	12217	Shocked Elevator Family Membe
831486	307366	The President's Daughter
831487	113422	
831488	248599	Herself (vocalist)
831489	30972	Barbara Gordon
831490	12217	Shocked Elevator Family Membe
831491	385824	Hope Alice Williams (#2) (197
831492	45380	Violet
831493	392669	Ramona
831494	12217	Shocked Elevator Family Membe
831495	244200	Elke
831496	383426	Mara
831497	404914	
831498	134004	Leanne
831499	126597	Beth
831499	132912	Amy Sheckenhausen
831499	213105	Gina
831499	394323	Voices
831500	382584	
831500	397506	La cliente
831501	16943	Arnie's Sister
831502	139711	Bäckerin
831503	12321	
831503	16911	
831503	24938	
831503	26194	
831503	30078	
831503	33073	
831503	41163	
831503	42541	
831503	45577	
831503	46236	
831503	52566	
831503	54186	
831503	65051	
831503	65877	
831503	66189	
831503	72190	
831503	76944	
831503	92826	
831503	100195	
831503	106515	Renie
831503	106662	
831503	107074	
831503	107854	
831503	107995	Mrs. Moore/daughter Flo
831503	109003	
831503	109755	
831503	110963	
831503	113373	
831503	113539	
831503	116689	
831503	127689	
831503	133841	Herself
831503	133882	
831503	133895	
831503	138159	Mrs. Broome
831503	140086	
831503	141268	
831503	142150	
831503	142698	
831503	143971	
831503	145808	The Wife
831503	146227	
831503	149415	Lydia Jansen
831503	151406	
831503	155705	Anne
831503	158114	
831503	165296	
831503	165676	
831503	167254	
831503	171148	First Daughter
831503	177277	
831503	187973	
831503	190498	
831503	194757	
831503	194828	The Wife
831503	206721	
831503	206880	
831503	207152	
831503	210598	Personification of Experience
831503	211342	Portia
831503	239597	
831503	239675	
831503	240662	
831503	240702	
831503	251415	
831503	255325	
831503	262074	The Maid
831503	263279	
831503	267609	
831503	273487	
831503	280076	
831503	281772	
831503	289393	Daisy Dean
831503	296937	
831503	310999	
831503	315222	
831503	319262	Sunshine Molly
831503	320291	The Wife
831503	330335	
831503	331876	The Wife
831503	340021	
831503	340578	
831503	343153	
831503	346161	
831503	347846	
831503	365077	
831503	367677	
831504	218780	Dancer
831505	184559	
831505	184589	Tänzerin Mimi
831505	214177	Mela Fellner, eine Schauspiel
831505	214888	
831505	339062	
831507	142390	Hell Mountain Girl
831508	293098	
831509	9494	
831509	81604	Woman
831509	92440	Frau Martinetti
831509	120154	Mädchen Therese
831509	120371	Frau Pahlke
831509	144014	
831509	189754	
831509	225740	
831510	336242	Herself
831511	161352	Herself
831512	48729	Maeve
831512	82669	Mayor's Assistant
831512	274333	Confirmation Class
831512	365988	Portly/Field Mouse
831513	243015	
831514	23703	
831515	144667	Waitress
831516	85523	
831517	367208	Norwegian Basketballer
831517	388860	Parade Model
831518	132174	Elizabeth Faber
831518	156997	Nicole
831518	347634	
831518	348056	
831519	386897	(1997)
831520	127984	
831521	240865	Nurse
831521	308173	Nine
831522	246426	
831523	376311	Dancer
831524	129681	
831525	282187	
831526	404448	Doro Schatz
831527	47918	Girl at Lunch
831528	372806	Honey
831528	390539	Christa Guthke
831529	136249	Glory
831530	226505	
831531	17323	Anita Liberty
831531	66954	Lizzy Allison
831531	257921	Sam
831532	351308	Repórter
831533	254154	Employée agence
831533	387466	
831534	55060	
831534	127982	Elena
831534	159455	Lulla's girlfriend
831534	228764	Isabella
831534	257020	Sonia, la trapezista
831534	280803	Francesca (Irving's model)
831534	300782	Lulù
831534	344362	
831535	314853	
831536	34353	Kathinka
831537	338697	
831538	378556	Autostopperin
831539	67361	Marking Room Cast
831540	16815	
831540	110389	
831540	128928	
831540	130566	Angelica
831540	188659	
831540	240269	
831540	257528	
831540	270800	
831540	287495	
831540	352235	Raffaele's Wife
831540	353064	
831541	398501	Márcia 'Marcinha' Andrade De 
831543	383078	Hayley
831543	390416	Tina
831546	302650	
831547	335865	George's Mother
831548	328555	Ginger Simpson
831550	250737	Midshipman
831551	129784	Mel
831552	383631	Jane Scott: Paramedic/A&E Man
831552	393356	The Reporter
831553	67912	Annie
831553	140518	Woman Driver
831553	390523	Caroline Arnold (Arnie's Mum)
831554	19169	The Lady in Red
831554	54420	Nurse
831554	81253	Mother Superior
831554	92613	Head Nurse
831554	96743	Hannah Young
831554	155263	Seamstress
831554	173932	Margaret
831554	223690	
831554	244923	Mrs. Clairmont
831554	286848	Prof. Helen Martell
831554	331419	
831554	385824	Lavinia 'Peachy' Peach (1985-
831554	397027	Quintilia
831555	309540	Kathy
831556	8197	Julia
831556	168670	Bobbi
831557	99043	Mrs. Mowalt
831557	140180	Alice
831557	163463	Various roles
831557	215796	First shopper
831557	238253	Bag Lady
831557	275479	
831557	347006	Mrs King
831557	390523	Mrs. Marjorie Mason (1992-199
831558	73560	Sharon
831558	134175	Theresa
831558	367588	Christine Schultz
831558	405941	Queen Aleana
831559	116314	Première dame
831559	135316	
831559	374134	First Lady
831560	346241	Mrs. Jamieson
831561	977	Lucy Stark
831562	253941	
831563	141119	
831564	107917	Ellen
831565	302454	
831566	77292	
831566	178149	Tara
831566	317333	Waitress
831567	151380	Miss Karali
831568	75572	Isabel
831568	95414	Prostitute
831568	170817	Rene
831568	285638	Daphne Pink
831568	292170	Joan
831568	299668	Lee Fisher
831568	315583	Kitty Tyndall
831568	367758	Judy, girl at club
831569	109500	Girl
831569	149966	Marie
831569	361644	Miss Gibson
831570	109449	Wendy
831571	410835	Ginger
831572	110298	
831572	264037	Girl in Cafeteria
831573	257634	Additional Cast
831574	298027	Herself
831575	109457	Dancer
831575	128727	Dancer
831575	252242	Dancer
831576	100880	Protesting Woman
831576	169642	Mrs. Esposito/Mrs Trimble
831577	98835	Mary
831577	106513	The Sweetheart
831577	229224	
831577	252125	
831578	366078	Mud
831579	93136	Policewoman
831579	142297	Clara
831580	250959	Herself (director of Othello)
831581	241444	Elise Mercier (French skater)
831581	330375	Ice Skater
831582	232242	Tanya
831582	360436	Brunette at Counter
831583	27312	Old Lady 1
831583	134672	Alice (waitress)
831583	214107	Pickpocket
831584	66005	Robin
831584	82335	Patricia
831584	98177	Judy Graham Bayne
831584	184237	Bridie
831584	207468	Dorothy Prudent
831584	333533	Millie Parker
831584	334771	
831584	398189	Rachel Verinder
831584	400265	Sarah Onedin (1971-1978)
831584	404658	Winnie Verloc
831584	410730	Lena Jennings
831585	364729	
831586	403249	
831587	1187	Herself
831587	7091	Featured Extra
831588	79261	
831588	112744	Mary
831588	123470	Jocelyn
831588	154081	Helen Dawson
831588	232272	
831589	232389	Wilson
831590	56722	Cathy
831590	80419	The Girl
831590	151637	Constance
831591	208390	Student
831592	333102	Berenice Cragg
831592	393491	Babs
831593	89236	Lab Tech
831594	306320	Weatherwoman
831595	232181	Shara
831596	286168	
831597	68075	
831599	214943	Girl in aerobic class
831600	364344	Office worker
831601	60300	Maggie
831601	87883	Mrs. Waterhouse
831601	310209	Mrs. Daniels
831602	215796	Second Mother
831602	408053	Sonia Sutcliffe
831603	314845	
831604	152889	Gloria
831605	303292	Student
831606	170852	Girl in Library
831607	133353	Great Grandma
831607	170852	Mrs. Palmer
831609	233060	Molly
831610	281656	Carolin Wessels
831611	152442	
831611	253796	Armin äiti
831611	341591	Äiti
831611	387499	(episode 2: "Ihmisen paras ys
831611	394938	Lastentarhanopettaja
831611	399648	
831611	400454	
831611	404053	Tuula
831611	409749	Aila Meriluoto
831612	17490	Agent's Secretary
831612	129784	Mimi
831612	185592	Mrs. Bradley
831612	205268	Woman at Auction
831612	211826	Ruth White
831612	252878	Mrs. Kinsley
831612	267568	Ticket Buyer
831612	317335	Miss Mumsley
831612	330999	National Art Club Guest
831613	80425	Em
831614	161754	Dreama
831615	223380	Mother
831616	386236	Additional Voices
831617	289547	Kathy Sperry
831618	27228	Widow's Maid
831619	335361	
831620	74978	Herself
831620	75543	Lilly
831620	84440	Cashie
831620	367792	
831621	122344	Eva Seehus
831621	153776	Prostitueret
831621	397074	Pige hos Varnæs (1979)
831622	155741	Herself
831623	34034	Rosa
831623	178553	Jelena
831623	210065	Helen Sherman
831623	225295	Elke Baumann
831623	230229	Nora Neuner
831623	268857	Charlotte Diensen
831623	281743	Alice
831623	285981	
831623	293311	
831623	316441	
831623	325456	Hildegard
831623	325661	Ruth Enderle
831623	325846	
831623	325935	Frau Severing
831623	343872	Mrs. Powers
831623	347828	
831623	355729	Odette
831623	379082	Vera
831623	390893	
831623	395240	
831624	28167	
831624	144024	
831624	204581	Herself
831624	373343	Schwester Euphoria
831625	107350	
831625	290194	
831626	367227	
831627	398016	Herself - Host
831628	275626	Lis
831629	10303	X-Ray Nurse
831629	72762	Nurse
831629	154648	Hazel Green
831629	223979	Beverly Hills Matron
831630	75721	Additional Player
831631	178080	Show Girl
831632	378907	Herself - Psychologist (2004)
831633	1102	Sekretärin
831633	12760	Sonya
831633	98056	Karin
831633	204581	
831633	310899	
831633	325585	
831633	365613	Monika
831634	162439	Goblin
831635	378741	Herself - Host
831635	381532	Herself - Editor-in-Chief, Eu
831635	397684	Herself - Editor-in-Chief, Eu
831636	94258	
831637	88692	
831638	360436	Hotel Broad in Bathrobe
831639	16445	
831639	29175	Katie
831639	38512	Marie
831639	42904	Mayo Methot
831639	70455	Lila Kunznick
831639	92864	Pearlie
831639	99585	Aunt Betty
831639	108956	Amy
831639	112302	Mary Howell
831639	134017	Party Guest at Adler's
831639	138209	Dallas Angel
831639	139135	Chris's Mom
831639	139432	Merleen Elldridge
831639	152945	Borlene
831639	177022	Rosie
831639	186261	Sally
831639	195318	Thaylene Cheatham
831639	199499	Annette Shea
831639	210881	Jo
831639	215527	Miss Blue
831639	224283	Dolores
831639	233967	Joan Cummings
831639	256902	Kit Loring
831639	278268	Eve Whitcomb
831639	289512	Frenchy
831639	307047	Dusty Wheeler
831639	314252	Aunt Fern
831639	316263	Susan Berger
831639	321182	Hilda Hensley
831639	330332	Nancy
831639	331717	Herself
831639	332821	Claudine
831639	359194	Danielle Zimmerman
831639	364439	Mrs. Howard
831639	380391	Lahoma Vale Lucas (1967-1970)
831639	387309	Angela 'Angie' Talbot (1966-1
831639	387981	Merleen Eldridge
831639	388719	Bootsie Weschester
831639	405882	Lahoma Vale Lucas (1970-1973)
831639	408135	Lana Shields (1979-1980)
831640	156058	Christine
831640	159606	Linda Thorwaldsson
831640	225662	Christine
831640	281739	Charlotte Harris
831640	290255	Pauline Bertram
831640	376371	Molly
831640	399162	Nina Brandt
831640	405541	Julia Hauptmann (1998)
831641	48365	Ella Vestman
831642	337121	Joan
831643	409941	Doris
831643	410051	Aunt Luce
831644	256820	Sara Maclean
831644	389046	
831644	401540	Sarah MacLean
831645	251812	Woman in Green
831646	129900	Freak
831647	71494	
831647	115163	Sarah
831647	147632	
831647	203552	
831647	228040	Herself
831647	228044	
831648	324315	
831649	97541	Middle Aged Jewish Woman
831650	52580	Female Customer
831651	36746	Meredith Wells
831652	301681	Moviegoer
831653	17592	Clara
831653	109714	Becky
831653	308184	Clerk in Dress Shop
831654	92767	Ninja
831655	274422	
831656	7745	
831657	170470	Herself (Interviewed)
831658	110732	Extra
831659	77793	Bubba's Girl
831659	82445	Mounted Cop
831659	282348	Herself
831659	389858	Faith Burns (1994)
831660	379829	Various
831660	381755	Herself/Panelist
831660	385577	Correspondent (2001-2002)
831661	46743	Girl at One-Stop
831662	40137	Evy
831662	154678	Protonia fra planeten
831663	32114	Brunette
831663	141984	Leora Jones
831664	39627	Princess Regina (Leo's daught
831664	58662	Sasha
831664	226998	Eve Malone
831665	309341	Sara
831666	39886	TV Reporter
831666	160519	
831666	219904	Karen Henderson
831666	352701	George Glass's Mother
831667	350506	Dancer: Slave Dance
831668	143448	
831668	176338	
831668	218919	Mlle. Aimee
831668	236903	The Nurse
831668	329836	Thelma
831669	46747	Wedding Guest
831670	87891	Restaurant Hostess
831671	50949	Alice
831671	60187	Fenno Crozier
831671	73726	
831671	76504	Sybil Vane
831671	81575	Joan Allen
831671	85034	Joan Mather
831671	87555	Valerie Christine
831671	92959	Student
831671	112241	
831671	117434	Mary Middleton
831671	133998	Beautician
831671	135580	Party Girl
831671	135807	Teddy's Mother
831671	142450	Diane Cameron
831671	156468	Girl at the Bridal Shower
831671	203423	Alice
831671	210752	Miss Mulholland
831671	210818	
831671	224404	Lois Crowley
831671	232000	Nutsy
831671	236096	Wynne
831671	239845	Elsie Halliday
831671	240091	Jane Van Allen
831671	241506	Mary Crockett
831671	247160	Joan Clark
831671	249021	Julieska
831671	249586	Sally
831671	255146	Hostess
831671	269990	Diana Winthrop
831671	283891	Mollie Martin
831671	290328	Nell Davis
831671	298024	Moira
831671	307428	Spanish waitress
831671	313956	Estelle
831671	314486	Norma Ramsey
831671	319069	Molly McCall
831671	342838	Molly Herrick
831671	343255	Nancy Cameron
831671	354867	Jane Parkins
831671	363031	Elaine
831671	363814	Janet Rand
831671	364461	
831671	367629	Mary
831672	238238	College Student
831673	231126	Lonely Wife
831674	18630	Jade
831674	79741	Katie
831674	80399	Girl at School
831674	152608	Kim Parker
831674	322847	Jennifer
831674	410780	Cousin Corky
831675	139527	
831676	282922	Jimmy's Mother
831677	87645	Student
831677	145312	Guest
831677	187081	Sofie
831677	203642	Carol
831678	194638	Saks Saleswoman
831679	78744	Faith (child)
831679	194584	Annie Ridd
831679	223769	Sarah
831679	283933	Jenny
831679	353490	
831679	384483	Imogen
831679	389206	Sam Stewart
831679	390245	Kitty
831679	391151	Sophie Dawson
831679	397676	Fleur Bridges
831679	402776	Millie
831679	403992	Young Petra Sunderton
831679	411130	Serena
831680	117306	Georgie
831680	123884	Girl in Corridor
831680	159996	Doris
831680	204799	Miss Woolcott
831681	86534	Cannon Girl
831682	46237	Anna Meyer
831682	90508	Andrea Loring
831682	108330	Anna Meyer
831682	108331	Anne Meyers
831682	232081	Mary Vibert
831682	271219	Detective
831682	272917	Waitress
831682	300962	
831682	338638	Nurse
831682	397410	Nadia
831683	274200	TV Newscaster 1
831684	11664	Maggie Sullivan
831685	42432	
831685	143964	
831685	238670	
831685	239596	
831685	265862	
831686	282944	Counter Girl
831687	192268	Ronette
831688	137930	Second Player
831688	158137	Anna Tatour
831688	196538	Moira
831688	263970	Lady Jane Grey
831688	310992	Evie
831688	378491	Sue
831688	390245	
831688	402776	Young Millie
831688	406549	Lou
831689	127151	Midge
831689	248432	Sam
831690	161526	Charlotte Fox
831690	408867	TV reporter (part 1)
831691	411681	Presenter
831692	390242	Claire de Moor (1992-1993)
831693	39127	Frk. Sylvia Grøn
831693	120380	Frk. Møller
831693	192496	Herself
831693	192666	
831693	238258	Hansy Hansen
831693	303864	Herself
831693	305520	Fru Olsen, vicevært
831693	322678	Fru Adda Ernst
831693	345968	Mona Frank
831693	386347	Herself (episode 1.2 "1918-19
831694	186753	Mistress Clara
831695	381574	
831696	35455	Annie One
831696	383407	Debbie
831697	168326	Janie's Mom
831698	386138	Claudia Shively (1986-1990)
831698	388842	Hannah Scott
831699	76718	Melle
831699	97770	Käte
831699	122284	Lena Rose
831699	124395	Tweede bijzitter
831699	130231	Edith Gijssels
831699	215068	Madame Hortense
831699	217060	Hanna
831699	259008	Silvia
831699	282736	Tweede vrouw
831699	375724	
831699	375753	Jeanne
831699	393451	Dove dame
831699	397445	Dame 2
831699	397704	Mevrouw Valdesse
831700	133	Bella
831700	26068	Mrs. Woodford
831700	37246	Wilma
831700	39344	Bar Girl
831700	49330	Beryl
831700	68474	Linda
831700	70460	Mrs. Boyle
831700	72866	Mrs. Crane
831700	73061	Cashier
831700	73479	Dorothy Truitt
831700	75565	Hotel clerk
831700	80709	Ruth Schmidt
831700	90363	Annie
831700	100753	
831700	107742	Seamstress
831700	117805	Geraldine S. Masters
831700	142406	
831700	144993	Mrs. Langley
831700	158798	Ginny
831700	175144	Vera
831700	191842	Gwynneth Soames
831700	195640	Miriam Whipkey
831700	219953	Aide
831700	240071	Colette
831700	242942	
831700	244920	Nurse
831700	247155	Ted
831700	297253	
831700	312270	Mrs. Weeks
831700	316061	
831700	316643	Mrs. Martinson
831700	329199	Vioreen
831700	335724	Birdie Jewel
831700	339388	Witness
831700	339389	Oswald's Mother
831700	345959	Ruby Jenkins
831700	363159	Dr. Lambert
831700	383768	Magda
831700	402605	Female Guard
831700	404409	Margaret Stewart
831701	278040	Beth Carlson
831701	409474	Weenie
831702	135716	
831702	198745	sollicitante III
831703	219990	
831704	77204	Simran Ghataura
831705	152583	Nurse
831705	162816	Sahana
831705	293515	
831705	319839	
831706	13319	
831706	76801	
831707	370277	Nalika
831708	256158	
831709	175091	Griet, Gerrits vrouw
831711	165966	Mrs. Brit
831712	200334	Miss Wendy Winters the Hostes
831713	319807	
831714	48217	
831714	88090	Female Interviewer
831714	147967	Gina Blevins
831714	165309	Jessica Rye
831714	235541	Buyer No.2
831714	405300	
831715	387959	Herself - Presenter (1964)
831716	382128	Pippa
831717	206631	Carina
831718	161462	Jennifer Richards
831719	102976	Sina
831719	130954	Pela
831719	137949	Ophelia #6
831719	152759	Marlies
831719	152789	
831719	170463	Susa
831719	204483	Charly Kettner
831719	225294	Claudia Wege
831720	244034	Volcano Lady
831721	409911	Audience member
831722	409911	Audience member
831723	24149	Hofdame Ballett 1
831723	302045	
831723	347761	
831724	353486	Baroness Lehzen
831725	272797	Commander Bradbury
831725	272798	Cmdr. Bradbury
831726	231468	Marianne
831727	120046	
831727	306472	
831727	343364	
831727	368296	
831728	48382	Sara
831728	57567	Mor
831728	252000	Madam Olsen/Mrs. Olsen
831728	314758	Konen
831728	351462	
831728	382884	Laura
831728	393436	Loulou
831728	394052	Marie Munk
831728	395824	Wulfdine
831729	58172	Clementine
831730	18530	
831730	87889	Rollo's mother
831730	144142	
831730	226722	
831730	236837	Reporterin (Journalist)
831730	378172	
831730	392380	Carola Gottinger
831731	193463	
831731	229161	
831731	239907	Friederike Menke
831732	206405	Kitty
831733	79012	Elisabeth
831734	147177	
831734	227610	
831735	64355	
831736	50021	Herself - Singer/songwriter
831737	182948	Glinda
831738	80442	Woman on Balcony
831738	293155	Sara
831739	225304	Juliane Zorn
831739	312998	Gudrun Ensslin
831739	347011	Marianne
831739	352411	
831739	389359	Friederike Philipp
831739	389359	Friederike Rogge, geb. Philip
831740	396042	Charlotte
831741	32099	Linda
831741	234810	Betty Parris
831742	32585	Audience Member
831744	198430	
831744	244202	
831744	284991	
831744	302761	Gilda
831744	392086	
831745	230229	
831746	198761	
831746	206275	
831747	393360	
831748	51300	Herself
831749	399503	
831750	382067	Lydia
831751	389823	Kristin
831752	13789	Sale House Woman #4
831752	23536	Rita
831752	48939	Ms. Chambers
831752	250576	Juanita Roberts
831752	257204	Janine
831752	307351	Hawkins
831752	400921	Dr. Stephanie Rabin (1997-199
831753	183251	Herself - Host
831754	13226	Norma Wood
831754	33609	Geraldine Keen
831754	110168	May Worthington
831754	116784	Louise Allenby
831754	143361	Ethel Stratton
831754	145807	Doris Morse
831754	150925	Pamela Martin
831754	190403	Vania
831754	215643	Pamela Sayre
831754	245524	Sally Manvers
831754	263286	Helen Pettingill
831754	298289	Zlice Sheldon/Zelda Gray
831754	310017	Annie Leigh
831754	321793	Sylvia Fairponts
831754	337636	Sylvia Mason
831754	350494	Phyllis Lord
831754	362693	Ruth King
831755	342	Frau Neumann
831755	11831	Altes Mädchen
831755	38832	
831755	51328	Toni
831755	51329	
831755	72331	
831755	81988	
831755	89679	Lentrin Jaspers
831755	108159	
831755	119134	
831755	120996	
831755	136203	Elfriede
831755	142139	
831755	153940	
831755	174215	
831755	182776	Fränzi
831755	189670	Meta
831755	210018	Wirtin Brammer
831755	210133	Lene
831755	216269	
831755	228537	Helene
831755	242458	Katrin
831755	254237	Stina
831755	290675	
831755	290830	
831755	310275	Emma Klinke
831755	310430	Familie Rathmann
831755	312205	Marie-Louise Prahl
831755	321819	
831755	338463	Rosemarie Rieks
831755	352338	
831755	354057	Mile
831755	356687	
831755	376345	
831755	389956	
831756	245142	Rachel
831757	219342	Barbara
831758	242411	Rosa Hofman
831759	130954	Enchantress
831759	387964	
831759	393255	Bettina Riepenschläger
831760	141210	Rowena
831761	144349	Hexenguste
831761	188835	Einfältige frau
831761	312107	
831761	333589	Kraskin
831762	399503	
831763	100087	Senator Bell's Wife
831763	294804	Lottery Spokesmodel
831763	318763	Lady at Block Party
831764	223340	Couple in restaurant
831765	198381	
831766	203232	Anna Blume
831767	152791	Car accident victim
831768	160560	Waitress on bridge
831769	13963	Carhop
831770	103143	
831771	195295	Fran Miller
831772	57832	
831773	87905	
831774	389061	Herself
831776	358010	Hsia
831777	298354	Shitou's Mother
831778	371467	Wei Minzhi
831779	31261	
831780	63365	
831780	137161	Jasmin
831780	138627	Liang Ching's Sister
831780	227424	Hui
831780	270024	Chen Lin-Lang
831781	369654	Zhou Yuwen
831781	374743	Jane's grandmother
831782	64658	Foot Juggling performer
831783	87509	Chinese Woman
831784	151902	Chen Shi-yu
831784	152028	Liang Kuan
831784	231213	
831784	332334	
831785	125800	Ashley Benson
831785	125801	Ashley Benson
831786	275265	Stuepige
831786	324329	Marianne
831787	336592	Turca
831788	315403	Hjælpepigen Jensine
831789	17371	Ärztin
831790	278830	Girl at Eddie's Party
831791	381091	Herself (eliminated round 3)
831792	215691	Miss Idaho USA (Finalist)
831793	215691	Miss Idaho USA (Top 10)
831794	303765	
831795	366554	
831796	23334	Angela
831797	21234	
831797	37917	
831797	49852	
831797	61549	
831797	61835	
831797	97610	Edna
831797	98792	
831797	183763	Clorinda, age 7
831797	192128	The Child
831797	192419	
831797	202981	
831797	206070	
831797	214812	
831797	219141	
831797	230566	
831797	248028	
831797	263454	
831797	267009	
831797	312824	
831797	315137	
831797	321672	
831797	348951	The Child
831797	362875	
831798	259500	
831799	142273	
831800	122393	
831801	91793	Lilian Robinson
831801	253344	Lacy Reynolds
831801	305784	Lisa Charles
831802	18498	Ashley
831803	315647	Em
831804	139006	
831805	36824	Rell
831806	364025	Danish School Girl
831807	32384	Internutredaren
831807	142732	Linda
831807	192659	Nurse
831807	192827	Lisbeth
831807	341027	Vera
831807	387527	Carin Neimert
831808	37904	Asta
831808	76722	Secretary
831808	77405	
831808	108180	
831808	117903	Fru Ellerstrøm
831808	122510	
831808	130189	Elisa
831808	134976	Ms Juhl
831808	137705	Grevinde de Sauterne
831808	146993	Magda Hansen
831808	153774	
831808	153987	Lillian
831808	159641	Mor - Skuespillerinde Maria L
831808	178751	Ulla
831808	181083	Maria Tange
831808	192641	Gerda
831808	206580	Frk. Bruun
831808	239454	Frk. Birk
831808	240104	Turist
831808	287120	
831808	303658	Speaker
831808	324635	Asta Hiller
831808	334045	Else Hagedorn
831808	338728	Frk. Ilse Isling
831808	341114	Olga
831808	343374	Ulla Kryer
831808	356829	Mrs. Gibbs
831808	393869	Fedorika
831808	398260	Faster Jette
831809	65683	
831810	105226	Motel Girl
831811	7493	Mirand Sommerfield
831811	7968	Olga, Carla's Niece
831811	11582	Louise
831811	26144	Barbara Josephine 'Jo' Conway
831811	27279	Patricia Victoria 'Patsy' San
831811	30156	Virginia Johansen
831811	34650	Helen Schlesinger
831811	36839	Sister
831811	36840	Flowergirl
831811	44501	Patsy Eastman
831811	114729	Ethel Myrtle 'Terry' O'Connel
831811	119377	Laurie Lou
831811	128386	Edie Moseley
831811	130676	Jubilee 'Jubie' Davis
831811	133702	Joan
831811	142892	Molly Cullison
831811	154916	Elizabeth 'Lizzie' Miller
831811	175209	Harriet Thomas
831811	183330	'Little Sister' Stanton
831811	193739	Patricia Lanyard
831811	195741	Jake' OToole
831811	200881	Nabby Goode
831811	210871	Peggy Ranson at Age 8
831811	219916	Lally Joy
831811	221335	Europena Wiggs
831811	245253	'Jake' Holt
831811	245300	Luck
831811	245518	Ellen Sparling
831811	253898	Mimsey (Mary, age 6)
831811	254654	Dinah Lord
831811	281379	Nicey
831811	289422	Wilma 'Willie' Murphy
831811	309579	Tina
831811	330892	Harriett Bryant
831811	333493	Samantha Tarbox
831811	335599	Hulda Harding, Alma's Niece
831811	340491	Miss Vandeleur as a child
831811	346204	Janet Cooper
831811	367919	Little Mary Haines
831811	372769	Tannie Edison
831811	372819	Joan Lyons
831812	305692	Party Goer
831813	321754	Pants on fire person
831814	113123	La femme de Paul
831815	12282	
831816	42677	Dine Woman
831817	115182	Additional Voices
831818	311358	Madame Serena
831819	333517	Gibraltar Operator 5
831820	281743	
831821	117001	
831822	126404	
831823	217102	
831824	282416	
831825	98318	Lisette
831826	12390	Sister Miriam Godwinson
831826	35658	Valerie
831827	24362	Narrator
831827	126837	Teresa Carrar
831827	174775	
831827	181556	Ballade Singer
831827	204447	
831827	212097	Working woman
831827	223449	
831827	223450	Mutter Courage
831827	223475	
831827	226174	Mother Wlassowa
831827	295439	Janitress
831827	366079	
831828	230769	Anchor Woman
831829	114679	TALA
831830	135505	
831831	784	
831831	786	
831831	796	
831831	6728	Herself
831831	13870	
831831	21913	Herself
831831	29340	Jaynie
831831	33188	
831831	34882	
831831	35521	
831831	41486	Herself
831831	49964	
831831	57936	Herself
831831	57949	
831831	60316	Pamela Bently
831831	70376	
831831	81640	Herself
831831	82358	
831831	93991	
831831	108942	Woman in Trailer
831831	127403	
831831	129435	Lydia
831831	147699	
831831	154123	
831831	160000	Melody Lounge Dancer
831831	161970	
831831	185064	
831831	206154	Sexy Girl #2
831831	232294	Victim in Cellar
831831	245782	
831831	257645	Herself (Miss April)
831831	260816	Herself
831831	262647	Colombian Girl
831831	276770	Matt's playmate
831831	288907	Anjelica
831831	292393	
831831	292394	
831831	296352	Herself
831831	296353	Herself
831831	298219	Woman in wedding dress
831831	319439	
831831	329867	Herself
831831	342460	
831831	355183	
831831	361862	
831832	309804	Solitaire
831833	22718	
831833	290712	
831833	390812	Frau Opitz (1992)
831833	391604	Sybille 'Möhrchen' Mohr (1997
831834	269954	
831834	394049	Polizistin
831834	408428	
831835	281656	Ärztin
831835	378648	Kathie
831836	141358	Whitney
831836	193411	Rachel
831836	201503	Herself
831836	206833	Hostess
831836	304870	Hospital Records
831836	342364	
831836	380256	Mormon Mother
831836	385908	Calamity Jane
831837	270715	Katka
831838	85747	Belle
831839	189795	
831840	225243	
831842	225164	Frulein Graff
831843	347616	
831844	223199	Rosl
831845	108551	
831846	364729	
831847	314072	Valerie v. Stauffenberg
831848	288619	Stripper
831849	314881	
831850	28319	Mrs. Sörensen
831850	47836	
831850	84297	Countess Gesping
831850	154203	Pavlova
831850	172787	Berta Jeppsson
831850	182559	Agda Nylen
831850	237258	Malin
831850	252333	Mrs. Pålsson
831850	272642	Singer
831850	303661	Mrs. Bille
831850	303663	Mina
831850	307221	Hulda
831850	307533	Opera Singer
831850	314958	Woman
831850	315373	Olga af Klinting
831850	322312	Cleaning-lady
831851	444	Miss Ljungberg
831851	11780	Woman with Dog
831851	12010	Augusta, Stille's maid
831851	97088	Bank customer
831851	108203	Maria, Ekman's housemaid
831851	115382	Emma
831851	115423	Lotten Bergström
831851	115431	Malin, Brinks' housemaid
831851	120137	
831851	123494	Mrs. Jansson
831851	125828	Mrs. Lundgren
831851	130071	Kristina Karlsson
831851	138517	Karolina Häggblom
831851	145520	Amelie Smerling
831851	148818	Marie Davidsson
831851	164781	Connie's housemaid
831851	172420	Childminder
831851	174046	
831851	178483	Olivia
831851	180076	Lotten's Mother
831851	181850	Mrs. Moderat
831851	198391	Hanna
831851	214220	Augusta
831851	237149	Hilma Eriksson
831851	266363	Mrs. Strömberg
831851	281039	Lova, cook
831851	284101	Charlotte, Sven Bergling's fi
831851	305885	Inga's aunt
831851	315548	A Gossiper
831851	321900	Theatre audience
831851	337888	Mrs. Strand
831851	344377	Mutter at Tuppen
831851	346962	Aunt Ottilia
831851	348501	Gullan Eriksson
831851	350564	Mrs. Lindlöf in the tobacco s
831851	353034	Dresser
831851	377298	Melin's housemaid
831852	128164	Gretchen
831852	300216	Pike
831853	109395	Peter Hugo Model
831854	12703	Karin Koch
831854	229157	
831854	252313	
831854	290267	Snow White
831855	345243	La femme du conseil général
831856	269596	Elsa
831857	17982	Nell Hadley
831857	46750	Rose Duprez
831857	186373	Fleurette D'Hermonville
831857	214152	Peggy O'Connor
831857	241313	Nell Wallerby
831857	347728	Dolores
831858	7935	
831858	363105	
831859	26423	Night Nurse
831859	270151	Claudia Dillingham-West
831860	32356	Kim (age 3)
831860	354859	Amish child on train
831861	384095	Illustrator
831862	75406	Lucy
831862	92865	Suicide girl
831862	197293	Rane
831862	219866	Sally Mae
831862	314965	Debbie Kozac, the Babysitter
831862	362581	Anna Stockard
831862	390068	Paris Geller
831863	125085	Sandra Pauli
831863	409625	Diana Vogt (2003)
831864	19287	Jeanne
831864	203073	
831864	215334	Cosette, age 7
831864	372345	Jane, age 3
831865	47275	Rachel
831866	351255	Herself
831867	338812	Marie, age 8-1/2
831868	404943	Hilda de Kock van Zyl (2000-)
831869	214230	
831870	295986	Valerie
831870	381515	Jeanette Seeberg
831871	166368	Katja
831871	217657	
831872	353050	
831873	139841	Social Worker
831873	180545	Elain Heyworth
831874	177332	Frau in der Bar
831874	258875	Rosa Fessler
831874	325484	
831875	381821	Ensemble (1975-1977)
831876	20549	Wrapper
831876	22185	Woman
831876	32818	
831876	47364	Co-ed in Drugstore
831876	143191	Gladys, Newstand Girl
831876	149261	Cigarette Girl
831876	154182	
831876	163262	
831876	203002	Girl at Station
831876	330843	WAVE
831876	343138	Hat Check Girl
831877	185106	Joyce Dryer, Jim's Landlady
831878	136252	Sally
831878	242571	Minty
831879	237223	Madame Feh
831879	353076	Kunigunde Meier
831880	47605	Beckie
831881	334518	Anja, Artistin
831882	110130	
831883	168384	L'amie du réalisateur
831884	184263	
831885	385299	Nina Paget (1983)
831886	18894	
831887	142316	Family planning expert
831888	32347	Viet. Patient's Wife
831888	135888	Susan
831889	257772	New York Woman
831889	295833	Wanda Bennett
831890	360752	Herself
831891	95146	Lisa
831892	151614	Andrea
831893	307678	
831893	379461	Patricia Dávila
831893	387552	Coral Labrada
831893	398167	Susana
831893	398842	
831893	401696	Rosina
831893	403741	Vanessa
831893	405398	Brenda
831893	410323	Silvie
831894	161865	Chana
831895	161865	Rebecca
831896	13905	Sue
831897	16957	
831897	25570	Zvika
831897	216406	Rami
831898	42221	
831898	99676	Mother
831898	135275	Margot
831898	195004	Friderike
831898	208243	Queiroz's Wife
831898	248225	Magdalena Weinert
831898	269120	Idalina
831899	291466	Head Nurse
831900	3992	
831900	211328	Nurse Warwick
831900	244314	Desdmona
831900	264752	Andrea
831900	269602	Mabel
831900	283914	Anne
831900	288690	Sally
831900	355597	Mary
831901	267165	Gilda
831902	218276	Une dévote
831903	183387	Hef's Best Girl
831904	132539	
831904	296044	Herself
831905	24790	Mrs. Parkes
831906	20713	Marta Arregui
831906	51232	
831906	70118	Mariela
831906	302053	Vendedora de perfumería
831907	19186	L'employé de l'état civil
831907	384744	
831908	53132	Screamer
831909	5599	Margaretha
831910	12880	Weinberger, Lois
831910	270750	
831911	286042	
831912	112227	Athlete
831913	325589	
831914	165122	
831915	376772	Carla
831917	6248	Obnoxious Girl
831917	113332	Additional Voices
831917	274069	Dr. Bloom's Secretary
831918	210845	Herself - the narrator
831919	87535	Herself 'anthropologist'
831920	251473	Young Marian
831921	128154	Bessie
831922	32659	Penny
831922	163377	Sally
831923	325534	Junges Mädchen
831923	325741	Kellnerin
831924	363758	Mrs. Arnold
831926	61851	Student
831926	226475	Young Nadia Comaneci
831927	267856	Herself
831928	391835	Talking head/soundbites (segm
831929	146814	Barbara
831930	152509	Diane
831931	157720	Rose's Secretary
831932	40552	Pam Monocco
831933	131987	
831933	330146	Graciela
831933	354955	Lisa Alvarez
831934	338151	Girl #2
831935	213946	Helen
831936	197846	
831936	218082	
831936	230087	Patientin 1
831936	274118	Uta
831937	24790	Miscellaneous Family Member
831938	24519	
831938	47844	
831938	379322	Mrs. Bird (German version)
831938	406828	
831939	277098	Smoking Wench #1
831940	184888	
831941	132768	Miss Big Texas
831942	27312	Congressman's Wife
831942	35801	Christina's mother
831942	171297	Barfly #4
831942	186650	Charm School instructor
831942	289024	Ballet Judge's Assistant
831942	345636	Mrs. Henderson
831943	36757	Thespian
831943	39839	Cindy
831944	5478	La mère
831944	33539	Nuit, la jeune fille
831944	51139	
831944	51249	
831944	51903	
831944	55065	Lisa
831944	69764	
831944	69878	
831944	83257	Emilie Kessner
831944	101229	Laure
831944	101262	
831944	102941	La cliente dans la boutique
831944	166351	
831944	202699	Gilberte
831944	240444	Claude's wife
831944	246150	Clara
831944	254033	Julia
831944	269154	Marthe
831944	309569	L'ange gardien
831944	313068	Anna
831944	328512	Françoise
831944	345046	Policier
831944	398075	Lucile de Chateaubriand
831944	403108	Judith
831945	179112	
831945	191404	Deby's Mom
831945	233258	
831945	243984	
831945	244216	
831945	370594	Bruria
831945	378704	
831946	296543	Schoolgirl Actress
831947	291231	Candy
831948	141618	Phone Clerk
831949	219663	Herself - sculptress
831950	268074	Dancer
831951	396017	Vicki
831952	409411	Sophie Tietze
831953	230247	Frau des Dekans
831954	41500	Lena's Neighbour
831955	5682	
831956	363758	Deaconness
831957	131061	Mrs. Schultz
831958	121028	1. vipstjært
831958	237301	Servitrice
831958	287375	Constance
831959	16759	Norah
831959	70402	Eva Renardi
831959	191779	Animated Voices
831959	227309	Komanechi
831959	232323	Helen
831959	260789	Spano's receptionist
831959	297397	Mah-Jongg Voice (West)
831959	304022	Mom
831959	392430	Dorm-Mother
831959	399405	Momo Enoshima, Public Bath Gu
831960	128949	
831961	147141	
831961	369146	Miner's wife
831961	409625	Helena Kramer (2000-2003)
831962	46532	Club Girl
831963	261564	Elvis woman
831964	19740	Ranger Peté Wilson
831964	176487	Kid from Jersey
831965	61418	Flasher's victim
831966	89225	Dog Thief
831967	390900	Reki
831968	46456	Reporter
831969	43164	Wedding Guest
831970	202063	Florencia
831971	187697	Daddy's Girl Voice
831972	160292	Herself
831973	142296	Helen Keller
831974	300815	Danielle
831974	366348	Reeny Soshack
831974	411599	Emma Macdonald
831975	89225	Trusting friend
831976	229245	
831977	257760	Secretary
831978	149247	Amanda Bloch
831978	360699	Martha
831979	187814	Herself
831979	289758	
831979	366640	Herself
831980	168181	
831980	268461	Gaud Mevel
831980	268467	
831981	319826	L'Allemande
831982	398029	Aliza
831983	325314	Sayoko
831985	152607	Carol Hill
831985	266180	Lisa
831985	381159	Terry Munson
831986	78007	Old Woman (Evelyn Applegate)
831986	97364	Cloister's Lady #1
831986	136951	Liza's Nosy Neighbor
831986	138118	Bernice
831986	176713	Old Woman at Counter
831987	231103	Girl at prom
831988	196571	Gamma
831989	243651	Herself
831990	286191	Mrs. Solomon
831991	272021	Detective #1
831992	313711	Girl
831993	371374	Receptionist
831994	46371	Mother Bergman
831994	329021	Goldie 'Golde'
831994	331335	
831994	343130	Aunt Channa Glickstein
831994	345785	Gnendel
831995	53747	Airport extra
831996	53747	Classroom student
831997	113422	
831998	30582	Beers Cheerleader
831999	198533	Frau Knackal
831999	223489	Friseuse
831999	338466	Monika Tränkler
831999	338467	Monika Tränkler
831999	338468	Monika Tränkler
831999	338469	Moni Tränkler
831999	338470	Monika Tränkler
831999	338471	Monika Tränkler
831999	338472	Monika Tränkler
831999	396304	Knackal
832000	179650	Lissi
832000	210065	Olivia
832000	288810	
832000	334512	
832000	345906	Frau Rupp
832001	691	Herself
832001	46899	Narrator
832001	93143	Anne Page
832001	109507	Various
832001	109508	Various roles
832001	119802	Girl on undercliff
832001	120403	Zar
832001	148863	Prish Holf
832001	154368	Herself
832001	208872	
832001	224346	Barbara
832001	229673	Hospital nurse
832001	244311	Lady in Waiting
832001	252995	
832001	299715	Mrs. Stratton-Luce
832001	326596	Mrs. Jenkins/Ralph's Mother/H
832001	328803	Herself - Celebrity Participa
832001	385012	Annie
832001	385191	Tanya Gray (1998)
832001	388474	Various Roles
832001	388485	Herself - Narrator
832001	391778	Presenter
832001	395408	Polly
832001	401958	Minty Marchmont
832001	405087	Herself - Presenter (1999)
832001	405558	Herself/various characters
832001	406800	Various roles (1988)
832002	380246	Face Model: Gina Lash
832003	11354	Ms. Burkum
832003	163435	Herself
832004	100880	Clare Robinson
832005	248591	Female Tennis Player
832006	187167	Commercial Girl
832007	47367	Mazie Chateaux
832007	49052	Ruth Faringay
832007	109616	Cecile
832007	151165	Florence Wesley
832007	158876	Enid Crofton
832007	196249	Eunice
832007	197699	Marjorie Farnol
832007	301275	Helen Regan
832007	303078	Katherine Gordon
832007	306768	Elsie Von Puyster
832007	324403	Ruth Lawson
832008	45518	Mrs.Saunders
832008	387533	Pat Harker/Merrick/Sugden (19
832008	405217	Betty Balfour
832009	185756	Grace Burton
832010	21297	Miss Gordon
832010	73377	Harry's wife
832010	302723	KFWB Switchboard Girl
832010	309579	Barmaid
832011	240943	
832012	355052	Extra
832013	381295	Antiques Expert
832014	40536	Mary's Mother
832014	46709	2nd waitress
832014	54490	Foula Operator
832014	55709	Bird Woman
832014	60303	
832014	67876	Miss Pendy
832014	115233	
832014	115723	Mrs. McTavish
832014	115933	Annie
832014	117523	The Maid
832014	138246	Maid
832014	138248	Maid
832014	168453	Landlady
832014	188316	Flower Girl
832014	190274	Aggie
832014	198088	Aggie
832014	241628	Scot's nanny
832014	245256	
832014	263786	Miss Alison Kerr
832014	291488	Woman Debtor
832014	308078	
832014	348314	
832014	350114	Mrs. Matthews
832014	355517	Nurse Forbes
832014	362108	Teacher
832014	403193	Hazel the McWitch (1977-1984)
832015	149353	Herself (President, Encyclope
832016	328564	Marie Antoinette
832017	271282	
832018	304443	Stephanie from Dallas
832019	230769	Librarian
832019	335665	Connie
832019	396359	Various (2000-)
832020	59765	People
832021	158102	The Newark, Vermont Balkan Gi
832023	18300	
832023	19136	
832023	24241	
832023	40161	
832023	47580	
832023	50927	
832023	56163	
832023	57198	
832023	73199	
832023	105404	
832023	133206	
832023	135531	
832023	142684	
832023	145993	Mrs. Will Move
832023	147076	Mrs. Henry Stewart
832023	148363	
832023	205121	
832023	210616	
832023	239757	Ellen
832023	242013	Mama
832023	253867	
832023	263224	
832023	309491	
832023	311293	
832023	346063	Phinney
832023	354496	
832024	84521	Jennifer
832025	4833	
832025	12837	Queen Mum
832025	12838	Queen Mum
832025	24023	Linda Hall
832025	24399	Julia Winter
832025	67229	Colombe
832025	85730	Babette
832025	91122	Die Blonde
832025	93473	Nane Faltermeier
832025	102380	Catherine Sloper
832025	103035	Martine Dörner
832025	115436	Frau Dieter
832025	115701	
832025	122775	Gabriella Schoenwitz
832025	126178	Großfürstin
832025	126359	
832025	132163	
832025	144220	Herself
832025	144287	
832025	155385	Brigitte
832025	157501	
832025	157618	Miriam Esche
832025	186179	Cora
832025	191473	Liselotte von der Pfalz
832025	203381	Kay Sebastian
832025	206886	Mary Rose
832025	225138	Karin
832025	230019	Beatrice Martens
832025	231455	Johanna
832025	241974	Cora
832025	268857	Lady Serena Heronden
832025	275184	
832025	281731	Vivian Gould-Parker
832025	281746	Lisa Bayliss
832025	294696	Goldfeather
832025	308062	Anneliese Pleschke
832025	308260	Anna Alsbeck
832025	312209	
832025	324627	Cousine Cora
832025	336511	Lu Sostlov
832025	343493	
832025	345011	
832025	352103	Edeltraut
832025	361444	Cora Reiser
832025	367143	
832025	376398	Isabella
832025	387445	
832025	389280	Laura 'Frau in Weiss'
832025	397366	Susanne
832025	404488	Dr. Elena Bach
832025	404763	
832025	411267	
832026	81320	Diner
832026	314923	Girl in Club
832026	383768	Kate Carpenter
832027	278774	
832028	104768	Luxembourg entry (20th place)
832029	404462	
832030	12587	Franzi
832030	40585	
832030	79187	
832030	129722	
832030	130916	
832030	204429	
832030	220720	Sophie Weber
832030	223191	
832030	265402	Schülerin
832030	352386	
832030	361087	Gretl
832030	361308	Anny
832030	361333	Sophie Weber
832030	361504	Liesel
832030	366514	Trude Gradaus
832031	233805	Vampira
832032	105462	Young Blanca
832033	45129	Mrs. Neski
832033	102968	Ingrid van der Brack
832033	325755	Olga Buykova
832034	48166	Girl
832035	148586	Young Girl in Library
832035	310329	Secretary
832036	148586	Woman in the Library
832037	23612	Herself
832038	11715	Pia Bengtsson/Siv
832038	33098	Eva Andén
832038	39602	Kicki, Nisse's Wife
832038	190811	Lillian Wall-Enberg
832038	191206	
832038	354743	John-John's mother
832038	355702	Siv Funcke (episodes 3, 4)
832038	386156	Gunilla
832038	387057	
832038	394940	Åse Sterner
832039	317652	
832040	336444	Voices
832041	12670	
832042	394804	Herself - Anchor
832043	35052	
832044	389869	Girl/Student
832045	257961	
832046	112187	Publisher
832047	230679	
832048	479	GretheWeiser
832048	5595	Mathilde Nathusius
832048	11849	Martha Klincke
832048	11897	
832048	12579	
832048	14383	
832048	18063	
832048	21285	
832048	33107	Aunt Martha
832048	33167	
832048	34347	
832048	43763	
832048	47046	Hausfrau
832048	56307	Catherine's mother
832048	77410	Mathilde Kratzer
832048	79173	
832048	79179	Grethe Weiser
832048	90128	
832048	91006	
832048	93465	Klara
832048	93467	Hermine
832048	93734	Lotte Brühl
832048	94301	Kurgast aus Berlin
832048	94307	Ministerpräsidentin
832048	98045	
832048	98273	
832048	98312	Tante Elly
832048	98331	
832048	101339	
832048	103583	
832048	108147	
832048	108157	Frau Kaltenbach
832048	108551	Lydia
832048	111343	Käthe Greiser, genannt Liesch
832048	111344	Käthe Greiser
832048	119113	
832048	119136	Monika Rohn
832048	119168	
832048	119243	Mdm. Doolittle
832048	119433	Mrs. Keller
832048	119434	Frau Bremer
832048	120047	Frau Brinkmann
832048	120332	
832048	120950	Annie Hegemann
832048	122606	Madeleine Pappenheim
832048	122766	Hansi
832048	122771	Fanny Flint
832048	123890	Mizzi Lorenz
832048	125103	
832048	125297	
832048	125331	
832048	129702	
832048	134251	
832048	134802	Kaethe, Hanna's housekeeper
832048	136724	Jette
832048	140277	Amalie Hartung
832048	144134	Minna
832048	144156	Anna Hartwig
832048	145329	
832048	145348	
832048	147190	
832048	147585	Frau Quietsch
832048	152790	
832048	153099	
832048	155457	
832048	162476	
832048	168425	Grete Paschke
832048	170677	Anna Reck
832048	172354	Rosa Stigelmeier,Hofwäscherin
832048	172378	Tante Clementine
832048	174351	
832048	175303	
832048	175310	Mrs. Lily Piper
832048	175776	Regine Seibold
832048	177152	
832048	177913	Camilla Sperling
832048	180639	
832048	182766	Constance Caselli, Zirkusdire
832048	183844	
832048	186895	
832048	187678	Witwe Else Lemke
832048	189535	
832048	189646	
832048	189682	Clothilde Himmelreich
832048	189708	Beatrice
832048	189764	Mrs. Applewhite
832048	189881	
832048	191188	
832048	204463	
832048	206579	
832048	207802	
832048	210015	
832048	210076	
832048	210081	
832048	210143	
832048	211107	Jewa
832048	217917	
832048	219273	
832048	225134	Hanni
832048	225300	
832048	226289	Fräulein Wibak
832048	229526	
832048	231482	
832048	237734	Clara Blankenfeld, Kammerfrau
832048	239019	
832048	241969	Gertrud
832048	259822	
832048	272780	Gretchen von Tharau, Soubrett
832048	275171	Loulou
832048	276628	
832048	281894	Madame Desirée
832048	290473	Frau Sauerbier
832048	290854	
832048	293547	
832048	299373	
832048	301027	
832048	306388	Elsbeth Müller
832048	307246	
832048	308846	
832048	312736	Frieda Binder
832048	324636	Wanda
832048	324679	Mira Cavalcante
832048	326203	
832048	335025	Nelly
832048	340276	Claire
832048	347650	
832048	350884	
832048	352078	
832048	352305	
832048	352366	
832048	352477	The Mother
832048	352527	
832048	352914	Tante Wimpel
832048	354371	
832048	358890	Soubrette
832048	361408	Frau von Grafenstein
832048	361454	Melanie Zierpfandl
832048	361457	
832048	364919	Grethe Glawatsch
832048	366535	Frau Bratzberger
832048	366561	Theatersekretärin Lisa
832048	376461	
832049	453	Sekretärin
832050	26140	Trollog
832050	160448	Hoggle
832050	183213	Hoggle
832050	295006	Marie Dodo (performer)
832051	254523	Dancer
832051	290162	Betty
832052	296188	
832053	160065	Belinda
832053	320148	Beverly
832054	24062	Barbara Kessner
832054	33265	Susanne Walter
832054	49277	Sonja Grieser
832054	54367	Heidrun Boldrini
832054	74340	Betty
832054	74687	Guest star
832054	88841	
832054	98248	Gerti
832054	119163	
832054	119264	Principessa
832054	119708	Beate Keller
832054	122318	
832054	142041	
832054	160598	Dr. von Stein
832054	160599	Dr. Elisabeth von Stein
832054	160600	Dr. von Stein
832054	160601	Dr. Elisabeth von Stein
832054	160602	Dr. von Stein
832054	178703	Uta
832054	186891	Anne Steigberg
832054	189712	Liz Weinberg
832054	205406	Nele Ohrmann
832054	212167	Thekla
832054	214719	Dame
832054	216268	Anna
832054	218969	Marianne Schäffler
832054	255901	Karin
832054	281726	Annabelle
832054	281738	Barbara
832054	282413	
832054	290052	Frau Wörner
832054	322952	Carla
832054	325482	Staatsanwältin
832054	325686	
832054	325778	Maira Moll
832054	325922	Lisa Wasberg
832054	325925	
832054	325950	Almut
832054	348058	Mona
832054	350147	Ulrike
832054	366392	George Sand
832054	366522	Angelika
832054	374549	Clara Zetkin
832054	375784	
832054	380991	Adriana (Teil 6)
832054	384387	Viktoria Voss
832054	387771	
832054	388691	Suzan
832054	391293	Gudrun Reichert (1991-1992)
832054	402046	Dr. Gisela Saalbach
832054	406160	Marion Sellin
832054	408659	Ingrid
832055	333443	Flapper
832056	105945	Anna
832057	62285	Beverly
832057	73564	Kat
832057	105945	
832057	127294	Woman Warrior
832057	185255	Vesna
832057	219549	Sindel
832057	257296	Leeta
832057	337404	DEA Agent (Public Storage)
832058	231798	New Club Waitress
832059	215148	School girl
832060	252326	Franziska
832060	390812	Elke Opitz-Graf (1992-1997; 1
832061	177166	Walli
832062	324551	Liquid Silver Dancer
832063	175621	Prisoner
832063	331717	Herself
832065	327239	Tami
832066	256530	Randy's Wife
832067	307457	Nurse #2
832068	81033	Family Member Mother (segment
832068	130314	Heather Powers
832069	154407	Self
832070	92695	Gargoyle/Nun
832071	13450	Christine
832072	50989	Sarah
832073	105185	Mathilda
832074	2118	Mary Bennington
832074	332018	Jessica Whitaker
832074	408155	Jessica Whitaker Spencer #1 (
832075	147928	Salim Assistant 1
832076	68404	
832077	338981	Herself
832078	142078	Tina
832079	271211	
832080	276441	Helen Singleterry
832081	276441	Bone Thrower
832082	120979	Fille de Pierre
832083	1675	Themselves
832083	41488	
832084	20135	Lady with Glove (segment "Lie
832085	71687	Cashier
832086	214681	Herself - Former Minister for
832086	217092	Herself
832087	82339	Barbara Tuchman
832087	131241	Dr. Mary Williams
832087	132183	Leah
832087	196891	Aunt Gladys
832087	223808	
832087	268908	Grandma
832087	297397	Mah-Jongg Voice (East)
832087	305244	Saleslady
832087	326125	Mrs. Scalia
832089	82099	Carol
832090	62567	Fanny
832090	62755	La comtesse
832090	123512	Scientist
832090	335219	La Veuve
832090	389242	L'infirmière de Madeleine
832091	128154	Lizzie
832091	130050	Samantha
832092	33393	Woman at Yom Kippur
832093	112504	Betty
832093	114099	Nurse #5
832094	109714	Becky
832095	204755	
832096	130919	Hofdame
832097	54108	Helen
832097	245787	Chana Strashunsky, his wife
832097	302702	Rivke
832098	150526	
832098	152791	Young Girl
832098	325536	Karin Leitner
832099	194332	Dancer
832099	313825	Cheerleader
832099	329311	Heavenly Dancer
832100	4785	
832100	119691	
832100	201265	
832100	247944	
832100	324696	
832101	223793	Opera Diva
832101	388104	Player - Certified Public Ass
832102	337606	Darlene Harris
832103	291580	
832104	141097	
832104	339547	Aunt Rose
832105	46938	
832106	368296	
832107	275522	Mrs. Watson
832108	177172	Jana, 9 Jahre
832109	237106	
832110	164056	
832111	19471	Isabel
832111	233553	Laura
832111	252878	Dancer
832112	230636	Herself
832113	154427	Friend at News Stand #2
832114	116138	Dog Chasing Nurse
832116	377991	
832117	227544	
832118	360702	Cecilia's maid
832119	229865	Mother #1
832119	304821	Rhoda Burns
832120	398318	Herself
832121	65050	
832121	68272	Sakura
832121	68275	
832121	86520	Maggie Robbins & Reporter
832121	117787	Madae
832121	134656	Coral Manning, Units #5
832121	179631	Lucille
832121	206093	The Oracle
832121	319449	Emma, Kid #1
832121	319450	Emma
832121	350230	
832121	375863	Rockoby Venus
832121	385181	Dora Smarmy
832121	390104	
832122	113761	Laila
832123	403805	Alice Horton (1997-)
832124	88090	Little Caro
832124	313971	Irish Child
832125	207904	Yolanda Burke
832126	158784	Party Guest
832127	24098	Carla
832127	190790	
832127	284424	
832128	134966	Hanna
832128	332378	Francesca
832129	243564	Woman in the Alley
832130	133113	Leen
832131	135623	Tipsy Woman at Party
832132	192072	Little Monster
832133	5322	
832133	14763	
832133	26539	
832133	196661	
832133	306650	
832133	324463	
832133	335066	
832134	4687	Renee
832134	23944	Caroline Morse
832134	24695	Melissa
832134	68382	Miz Littérature
832134	71897	Roberta
832134	73744	Alma
832134	78414	Camille de Vito
832134	80639	Alma Frechette
832134	144955	Terry Carson
832134	202971	Elizabeth
832134	206671	Teenage Girl
832134	253339	Laura Gordon
832134	296693	Evan Moore
832134	328663	Jeannie
832134	378846	
832134	404282	Flame Beaufort #1 (1990-1991)
832135	196387	Mrs. Berling
832136	88893	Santie
832137	196970	Mayor Smith
832138	170230	Herself
832139	269244	Une secrétaire/Secretary
832140	214047	Reamee
832140	281449	Goth #2
832141	75767	Herself
832143	161639	Jill
832143	221221	
832143	302911	
832143	308131	Marina Falk
832143	383277	Monika Erstweiler
832144	12600	
832144	130919	Hofdame
832145	81581	
832145	352222	
832146	77587	Dancer
832149	1859	
832149	153836	Denise
832150	317577	
832151	118754	Fille en collant
832151	283033	
832152	335669	
832153	264466	Herself
832154	206210	Herself
832155	1586	
832155	16231	Amalie
832155	20423	Maria Weber (Verkaeuferin/sal
832155	34299	
832155	35295	Mms. Treville
832155	42159	
832155	47044	
832155	90763	
832155	92860	
832155	93447	
832155	95261	Laura Lyons
832155	98065	
832155	98109	Bertha-Marie
832155	98407	
832155	124432	
832155	132543	
832155	142011	
832155	152748	Laura Lyons
832155	160268	
832155	178612	
832155	180636	
832155	181167	
832155	183245	
832155	189707	
832155	207749	
832155	214511	
832155	225299	
832155	225728	
832155	226287	
832155	290224	
832155	293800	
832155	293873	
832155	294741	Uncredited
832155	324506	
832155	335022	
832155	337773	
832155	345013	
832155	352603	
832155	356705	
832155	359663	Anita de Moran
832155	361384	
832155	364875	
832156	24385	Jana Trenk
832156	48398	
832156	93384	Greta Kunze
832156	97236	Karin
832156	98968	Verena Leschkov
832156	174774	Claire
832156	189802	Julia Nebe
832156	286779	Margarete Taschenbier
832156	290250	Helga
832156	296096	Corinna Hoff
832156	302774	Judith
832156	325651	Ella
832156	341171	Annette Weiss
832156	350870	Brigitte
832156	352176	Sophia Blohm
832156	361034	Anna
832156	361035	Anna
832156	376265	Annette Kramer
832156	392616	Kriminalrätin Franka Bischoff
832156	409990	
832157	12819	
832157	125159	Pauline
832157	188776	Paula Hammes
832157	206599	
832157	225121	
832157	289844	
832158	205967	Baby
832159	249753	Une jeune fille
832160	293227	Restaurant Guest
832161	220709	Königin einer Nacht (in "Die 
832161	293227	Restaurant Guest
832162	108943	Labrador Helicopter Pilot
832163	360926	
832164	127446	Jennifer
832165	225634	
832165	281731	Amanda
832165	318081	Carmen
832165	338412	
832165	389823	Martina
832165	409609	Ulrike von Barnim (1991-1992)
832165	411095	Unknown (1998-)
832166	12986	Shanda
832166	114288	Beth
832166	276326	April Potter
832166	340926	Dorothy
832166	343248	Nicole
832167	359758	Ball Dancers & Musicians
832168	293705	Veninde 1
832168	322293	Anne
832168	388757	Various roles (2001)
832168	405582	Sarah
832169	33264	
832169	91007	Luiselotte Koerner
832169	94300	
832169	119123	Ambassador's wife
832169	122450	Frau Dr.Jensen
832169	134824	Sophie
832169	141941	Hanne Brink
832169	181943	Renees Mutter
832169	184294	Elsa Kaiser
832169	184513	Olga Mattiesen, geb. Zielcke
832169	189595	
832169	204516	Mrs. Sending
832169	237724	
832169	275139	Kate
832169	279005	Illse von Jagstfeld
832169	281740	Tante Mabel
832169	287026	Dagmar Gerken
832169	290216	Inge Engelmann
832169	317614	Elisabeth
832169	325457	Mother
832169	338442	Lydia Höflich
832169	356834	Maria
832169	358531	Margot Lösser
832169	365031	
832169	376392	
832169	378205	Mrs. Ebersbach
832169	406730	
832169	409609	Henriette von Barnim (1991-19
832170	364680	Sherry
832171	147977	
832172	133431	
832172	135369	Toula, Nina's maid
832172	149911	Lady in the Hospital
832172	213037	Lucy Lockman
832172	247567	Esther the Pawnshop Lady
832172	299226	
832172	368475	
832173	319658	[Expérience #1] (2003)  Dupré
832174	195518	Stefanie
832175	222597	Lady Godiva Flamma
832176	304560	Keno Lady
832177	337886	Schooljuf
832177	375050	
832178	241756	Herself
832179	23441	Little Tonya
832180	140938	Virginia
832181	28432	Margit
832181	40585	
832181	48401	Leonore,dessen Frau
832181	76816	
832181	86395	Martha Diesel
832181	98045	
832181	99888	
832181	113453	Diana
832181	118620	
832181	125138	
832181	130931	
832181	155605	Lady Chiltern
832181	166354	
832181	171828	
832181	175569	
832181	186186	Bennet, Joan
832181	187396	
832181	193302	
832181	204404	Lisaweta Iwanowna
832181	204512	Madame Ganymar
832181	205663	Sor Carmen Borja
832181	208180	
832181	231353	Königin Ute
832181	231354	Königin Ute
832181	248199	Jenny Anderson
832181	282227	
832181	290175	Lady Margaret
832181	290801	Aunt Hilda
832181	308062	Princess Palamir
832181	338456	Frau Niemeyer
832181	339052	Graefin (countess) St. Croix
832181	340276	Teresa Kronbeck
832181	347428	Lucienne
832181	359627	Herself
832182	41644	Nancy
832182	140187	Sara Warner
832182	230112	
832182	262647	Reporter
832182	301559	Sarah
832183	328844	The Confused Lady
832183	354473	Herself
832184	139001	Woman Playing Pool
832184	309213	Young Buffy's mom
832184	350212	Lorelei
832185	5009	Rachel
832185	30424	Barry
832185	32080	Petula
832185	34129	Prostitute
832185	58490	Dr. Lily Sinclair
832185	69457	Lily
832185	69843	Tessa
832185	69853	Angela Dodson/Isabel Dodson
832185	76969	Daisy's Mother
832185	81152	Junior Executive
832185	87490	Becca
832185	101055	Tania Chernova
832185	101056	Tania
832185	102013	Debbie Dingman
832185	118234	
832185	130302	Marty Pilcher
832185	154749	Helen
832185	160296	Herself
832185	184403	Ag (Agapanthus)
832185	201746	Herself
832185	222321	Evelyn Carnahan O'Connell/Pri
832185	222339	Evelyn Carnahan
832185	224346	Rosie
832185	243147	Herself
832185	283434	Marlee
832185	295416	
832185	297553	Evelyn
832185	314152	Miranda
832185	319239	Greta
832185	321421	Amy Foster
832185	330786	Lauren Hynde
832185	341442	(segment Rosebud)
832185	362346	Herself (Interviewed at The B
832185	363846	Elaine
832185	404404	Mathilde de la Mole
832186	245954	Astrid
832187	68833	La mariée
832188	137579	Pupil
832188	370734	Giancarlo's Man
832188	375757	Train Traveller
832189	68590	Reporter
832190	231966	Coffee House Girl #1
832191	228547	
832192	352736	Boating Family
832193	107279	The Actress
832194	44498	Photographer
832195	11853	Valerie
832195	15202	Mutter
832195	66087	Anna
832195	124908	Crissie Kalteisen
832195	156635	Anna
832195	160601	Elena Trautmann
832195	164815	Daniela Mauriac
832195	189674	
832195	204416	Susan Gassner
832195	204417	Jenna Wissbach
832195	225634	Jana Callesen
832195	225635	Sarah Berger
832195	248407	Dr. Andrea Welte
832195	289846	Ingrid
832195	290178	Karoline Hansen
832195	290252	Theresa Mayr-Thorwald
832195	293617	Corinna
832195	303667	Ellen Hennes
832195	325460	
832195	325498	Mary
832195	325727	Annemarie Weber
832195	325987	Paula
832195	337138	
832195	345292	Miss Van Hodden
832195	347974	Karin Belolavek
832195	355513	
832195	376896	Maryse Ghartain
832195	379596	Ebba
832195	400873	Ariane
832195	405542	Ellen Hennes (1999-2001)
832195	406335	Dr. Elke Lehmann
832196	8652	Yael
832196	216408	Hagit
832196	390891	Anat Shilon
832197	340992	Woman With Carriage
832198	340320	Restaurant Patron
832199	10434	Bertha von Suttner
832199	14964	
832199	29627	Stina Rapp
832199	40947	Jussi's Mother
832199	62445	
832199	84309	Sonja
832199	84316	Sigrid Holmbäck
832199	84319	Nurse
832199	94284	
832199	94804	
832199	96018	Ärlan
832199	111161	Nurse
832199	115425	
832199	122504	Karin
832199	129268	Dockförsäljerskan
832199	129662	Friend of Ellen
832199	141800	Berte
832199	152774	Miss Mops
832199	153729	
832199	153758	Gerda
832199	154323	Confused old lady
832199	171638	Mormor
832199	172785	Farmor
832199	181846	
832199	182583	Elsa, Annika's Mother
832199	182599	Kopowski's assistent
832199	195047	Mrs. Berg
832199	195050	Mrs. Berg
832199	198006	Kajsa
832199	198008	Ulla
832199	204534	Alva Wiström
832199	207225	Grandma
832199	216677	
832199	233075	Mother Hultman
832199	237262	Tuppa
832199	238774	Mrs. Olofsson
832199	241217	Berit's Mother
832199	246492	Göta
832199	251990	Margret
832199	258387	
832199	281940	Sara
832199	289212	
832199	303843	Äldre dam
832199	307306	Receptionist
832199	313173	Woman at Fasching
832199	315364	Mrs. Rubensson
832199	320606	
832199	342310	
832199	349027	Elsa Andersson
832199	377434	Yvonne
832199	386175	Mrs. Knapp
832199	388448	Emma
832199	390236	Mother Bister
832199	393273	Stina Sundgren
832199	394883	
832199	396027	Tant Berg
832199	396218	Rigmor Olsson
832199	399873	Simmel's Mother
832199	404212	Mamsell Regina
832199	405822	Margit
832199	409853	Ruth Zetter (1987-1988)
832199	409917	Elisabeth Lundwall
832201	190040	Herself
832202	84542	
832202	120946	
832202	142060	
832202	173117	
832202	189732	
832202	202337	
832202	281642	Countess Lo
832202	293539	
832202	334627	
832202	347674	
832202	352362	
832203	90709	
832203	115952	
832203	120946	
832203	164903	
832203	178302	
832203	188857	
832203	189656	
832203	352528	
832203	360946	
832203	360947	
832204	390771	Caroline Boyle (2003)
832205	194315	Mrs. 'G'
832206	194315	Genevieve
832207	968	Malee Chung
832207	210537	Young Pumpkin
832207	368118	Lenny
832208	395667	Ines Reitmaier (1999-)
832209	210071	
832210	34083	
832210	314565	Babettchen
832211	390812	Angela Bernett (1995)
832212	319672	
832213	59700	
832213	124994	Nelly eine Zofe
832214	225218	
832215	239137	
832215	277717	
832216	28432	Lotte
832217	4830	Britt
832217	308824	Miriam Sommer
832217	360945	Tusse
832217	381694	
832217	388288	Nina Wertheimer
832218	34325	Julia
832219	178621	
832219	216753	Christiane
832219	225278	Karin
832219	237717	Iris
832219	259597	
832219	375513	Rosi
832220	322998	Elisabeth Woyens
832221	118291	Aquol
832221	353499	Herself (Model)
832222	67678	
832222	82529	
832223	182298	Woman at bakery
832224	320617	
832225	325657	Frau Baumann
832225	325953	
832226	303292	Welbon, Yvonne
832227	290086	Elmo Oxygen Victim
832228	52659	Girl
832229	155013	Party attendee
832230	151703	Beverly
832231	59765	Pearl
832232	82049	Young Hooker
832232	189066	Lily
832232	213350	
832232	304965	Woman In Bathroom
832233	105145	Gwen
832234	187816	
832234	279347	Myrna
832235	52486	
832236	159175	Dancer
832237	115421	
832238	37094	Sue Gates
832239	37094	Lou Gates
832240	215527	Joe Ann Jacobs
832241	245202	Bernice O'Connor
832242	97005	
832242	139361	
832242	145934	
832242	289533	
832242	336905	
832242	337416	
832243	80661	Mrs Ashby
832243	82974	Lady Bracknell
832243	236681	Maggie Cameron
832243	346216	Dowager
832243	399816	Maggie Cameron (1972-1975, 19
832244	311546	
832245	41270	Hill-Walker Woman
832245	68164	Hilda
832245	171297	Thibault's Mother
832245	400516	Magistrate
832246	16037	Girl at Dance
832246	166217	Maureen
832246	283798	Herself
832246	291417	Herself - Interviewee
832246	319015	Herself
832246	360247	Herself
832246	367854	Natalie Horrocks/Barnes
832246	385020	Natalie Horrocks/Barnes (1997
832246	386858	Jackie Murphy (Series 4-) (20
832246	391759	Pam McGrath: Risk Manager (20
832246	402958	Presenter
832246	405768	Presenter
832246	405829	Marsha Stubbs (1993-1995)
832246	406148	Francis Spender
832247	10632	Singer
832247	19545	Beggarwoman
832247	20608	Herself
832247	37050	Amanda 'Manda'
832247	52651	Herself
832247	80550	Beulah (segment Ventriloquist
832247	81048	Herself
832247	111933	Nora
832247	128459	Mrs Delaney
832247	166894	Herself
832247	169641	Herself
832247	218690	
832247	244872	Woman
832247	245659	Cabaret Singer
832247	277096	Mrs. Wu
832247	282700	
832247	307004	Herself
832247	308582	Ruth Zinga
832247	327430	A Goddess
832247	330904	Cabaret singer
832249	37694	Charlotte
832250	92134	Herself
832250	160367	Herself
832250	237431	Soggy Bottom Customer
832251	62961	Rachel Henderson
832252	70304	Officer Penny
832252	72502	Head nurse
832252	92575	Doris
832252	102571	Judge
832252	102580	Animal Officer #1
832252	102581	Teacher
832252	105826	Maxine
832252	333364	Frances
832252	391500	Ms. Simon Simmons/Various
832253	56063	
832254	47279	Anne Merriman
832254	142985	Millie
832255	209198	St. Helen's Street Girl
832256	261467	
832257	43432	Fanny Labruzzo (Young)
832257	84738	
832257	184981	Pretty Girl #2
832257	271206	Tigerette #1
832257	296079	La fille de rue
832257	359545	Minnetaki
832257	395093	Annie Girard
832257	395784	Olivia Rooney
832257	410628	Rebecca Perez (1997 à 2000)
832258	405461	Jasmine
832259	236107	Anne Greenleaf (segment "Silk
832260	235403	Mrs. Wyler
832261	340530	Salter's Secretary
832262	40590	
832263	201845	Pam
832264	146661	Vestal Virgin
832264	231902	Woman in Alley
832264	277088	Suzy
832265	132786	Elsa
832265	162099	Fairy
832266	233921	Kelly's Girlfriend
832267	362115	Gwen (switchboard operator)
832268	249169	Charity Hackett
832269	194844	Nancy
832269	209170	Dancer
832270	15936	Juror
832272	360902	Waitress
832273	150972	Nettie Struthers
832274	139547	Herself
832274	265384	Jane Van Buren
832275	715	Sarita
832275	723	Herself
832275	726	Herself
832275	1676	Herself - Co-host
832275	1701	Herself - Presenter
832275	2538	Herself - Presenter: Special 
832275	2572	Herself - Co-presenter: Best 
832275	2750	Herself - Co-presenter: Docum
832275	2762	Presenter - Featured Actor in
832275	3039	Herself
832275	17194	Jane Gardner
832275	29139	Maria Stoner
832275	32464	Lilian Lust
832275	33767	Elena
832275	34903	Herself
832275	37570	Juliana
832275	42020	Magdalena
832275	42337	Herself
832275	42357	Herself
832275	57993	Diana Brock
832275	58542	Grace Kosik
832275	65568	Herself
832275	73815	Edith
832275	108769	Cora Peterson
832275	109794	Elena (segment "Fata Elena")
832275	109942	Fathom Harvill
832275	115003	Michele
832275	115251	Herself
832275	116471	Jacqueline
832275	117704	Christine DeLee
832275	118343	Constance de Bonancieux
832275	120568	Herself
832275	122242	Eileen McHenry (Fuzz)
832275	122265	Herself
832275	138469	Hannie Caulder
832275	147629	Shelly Millstone
832275	147642	Host
832275	150853	Call Girl
832275	161365	Herself
832275	167615	Herself (Actor)
832275	167627	Herself
832275	173518	K.C. Carr
832275	176379	Herself
832275	183684	Kit Forrest
832275	185447	Alice
832275	187191	Mrs. Windham Vandermark
832275	187344	Walks Far Woman
832275	194632	Herself
832275	200132	Priestess of the Whip
832275	220057	Jugs (Jennifer)
832275	222493	
832275	224499	Myra Breckinridge
832275	226938	Herself
832275	241536	Loana
832275	258338	Nini (segment "Belle époque, 
832275	272429	Herself
832275	272431	Herself
832275	272432	Herself
832275	278264	Emily Bauer
832275	282463	College girl with blue bow
832275	289406	Letabeth Vincent
832275	295636	Herself (interviewee)
832275	296010	Herself (hostess)
832275	310391	Tania Montini
832275	310607	Juliet (I who have nothing se
832275	321571	Jeri
832275	323227	Elizabeth Hayes
832275	330463	Herself
832275	331526	Constance de Bonancieux
832275	336033	Paula Eastman
832275	336301	Hortensia
832275	339526	Herself
832275	340509	Rachel
832275	360832	Herself
832275	365396	Queenie
832275	380000	Aunt Dora
832275	383789	Dianna Brock Rush (1996)
832275	391818	
832275	391835	Herself
832276	174095	Diane
832277	359428	Young Girl
832278	109631	Candice
832278	188551	Amber
832279	13203	Cristiana
832279	16857	Lisa
832279	33767	Elana as a girl
832279	39653	Sharon Avery
832279	42596	Alessandra
832279	42708	Felice
832279	66556	Kitty
832279	66557	Kitty
832279	73351	Gabrielle Dupré
832279	154593	Viva
832279	157291	Ashley
832279	168634	Nikki Holland
832279	168860	Daniela Santini
832279	232280	Vera Cortese
832279	278711	Catherine Powell
832279	291897	Dead World girl
832279	304774	Rosebud
832279	318218	Lola
832279	386478	Giulia de Blasco
832280	170966	Darcee
832281	74004	
832282	13805	Glider's Girlfriend
832283	79300	Sexy Woman
832283	121858	Female Parent
832284	35524	Big Bear
832285	390683	Maggie
832286	161462	Sharla Richards
832287	4756	Maud
832287	10472	Leonore Nissen
832287	92541	Graefin Told
832287	102928	
832287	103142	Bauernmädchen
832287	112279	Susanna
832287	115951	
832287	115952	
832287	119279	
832287	125202	
832287	126402	
832287	138542	
832287	183667	
832287	183672	Arabella Kelly
832287	197210	
832287	207169	
832287	214511	
832287	234497	
832287	328986	
832287	343476	
832287	361329	
832287	376162	Gesine (Gräfinwitwe)
832287	376450	
832288	14622	Katie
832288	81446	Hamilton
832288	379448	Indira Patel (1980)
832288	384097	Anne Morris
832288	407838	Miss Hasan (1982)
832289	216879	Baby with Mother
832290	365282	Julia
832291	305677	Sarah Kimbrough
832292	24484	Gloria
832292	26619	Libby Bushmill aka Miss Smith
832292	32360	Anne Gregor
832292	60465	Greta
832292	64019	Christian Rudd
832292	64409	Georgia Benfield
832292	73987	Abigail Williams
832292	106740	Zelda Fitzgerald
832292	107895	Amanda Prendergast
832292	110523	Norma Clayton
832292	114678	Dorothy Nichols, age 12 to 14
832292	141400	Marie Wolfe
832292	144976	Joy Elder
832292	154694	Alma McCain
832292	154907	JoJo Holcomb
832292	161831	Sasha
832292	194278	Katherine
832292	194468	Barbara Ann Greene
832292	199405	Holly Richardson
832292	219909	Lillie Lloyd McCann
832292	241141	Carol
832292	257520	Maria Wyeth
832292	263347	Sue Ann Stepanek
832292	264756	Vangie Harper
832292	269662	Doris Winters
832292	271286	Lizzie
832292	271689	Comfort Goodpasture
832292	274682	Vicky
832292	276876	Selena Cross
832292	280111	Dori
832292	285313	Susan/Noah
832292	291039	Sharon Clark
832292	294786	Kate Linville Holroyd
832292	295798	Jody
832292	307364	Bobby Jo Pepperdine
832292	308071	Shelly Grant
832292	330285	Jessie
832292	364325	Marge Converse
832292	365316	Mrs. Noreen Martin
832292	366426	Margie Young-Hunt
832292	368952	Giggly girl
832292	396785	Thalia Menninger (1959-1960)
832293	167713	Bag Lady
832293	167714	Pan Handler
832293	178175	Helen
832293	191778	Biker Girl
832293	248976	Nurse Stevens
832293	314438	Video Date
832294	329037	Emmy Stokes
832295	36864	Passenger
832295	38136	
832295	38515	Violet Welles
832295	67570	Judge
832295	67996	Reporter
832295	81041	Briggs, Calpurnia
832295	154943	Nurse
832295	157194	Lady Bracknell
832295	158897	First Nurse
832295	191085	Mrs. Donald
832295	194322	
832295	245055	
832295	247882	Mrs. Dowell
832295	294786	Rachel
832295	297261	Mary
832295	300963	Judge
832295	318186	Older Woman
832295	362493	Grace Williams
832295	367444	Mama Ritt Ross
832295	372803	Mrs. Gordon
832295	378954	Clair (1982-1983)
832295	400234	Edna Simmons
832296	155888	Nurse (segment "1952")
832297	90932	Girl in car
832297	139187	Agent's Girlfriend
832299	215500	Miss Georgia
832300	689	Herself
832300	348534	Herself
832300	382493	Herself
832301	41838	
832302	45427	Saloon girl on porch
832302	68285	Martha Cutting
832302	79837	Myra Owens
832302	81784	Marianne in 'The New Moon'
832302	136041	Molly Jones
832302	148220	Frances Barrett
832302	278091	Orissa Flynn
832302	306490	Ruth Obre
832302	316270	Shelby Conroy
832302	321981	Felice Stuart
832302	329853	Dr. Patricia 'Pat' Medford
832302	408066	Herself/Host
832303	32682	Judith Ryan
832303	248574	Sally Carlson
832304	210401	
832305	20287	Dancer
832305	20316	Girl
832305	36841	Girl
832305	39884	Passenger
832305	51885	Checkroom Girl
832305	66549	Undetermined Role
832305	67409	Irma Toles
832305	77805	Chorus girl
832305	83629	Jean Drury
832305	89051	Marian Phillips
832305	90371	
832305	91963	
832305	111717	Sally Harbison
832305	128889	Student
832305	153617	Ballet girl/performer
832305	157870	Bit
832305	178912	Gale Rand
832305	249021	Village Girl
832305	289422	Bit Role
832305	302629	Bit
832305	312584	
832305	330375	
832305	333655	Undetermined Role
832305	336736	
832305	368244	Ensemble member
832305	372050	Demonstrator
832306	209630	Courtney
832306	259829	Sandy
832307	342332	Homeroom Teacher
832308	16006	Petite Brunette
832308	42398	Barbara
832308	182996	Shannon
832308	214912	Female Student
832308	245183	Kelly Caron
832308	351427	Upscale woman
832309	38897	Michelle
832309	319003	Leo's wife
832310	154783	Penny
832311	78824	Lyn Chase
832312	158566	Emily
832312	361474	June
832313	130625	Jerry
832313	166043	Patricia Murray
832313	254482	Dorothy Milburn
832313	285290	Mary Bolton
832313	372899	Betty Braley
832314	316022	Rose
832315	328545	Female gym teacher
832316	355052	Extra
832317	290985	Wizzy
832318	59563	
832318	79168	Managerin Neumann
832318	79169	(uncredited)
832318	94311	Yvonne Lehmann
832318	97238	
832318	98055	
832318	125317	Mama Allison
832318	125325	
832318	134930	
832318	142261	Katharina
832318	156701	Sängerin
832318	164648	Madame Bouffier
832318	170384	Dolly
832318	189553	Trudchen
832318	202937	Opera singer
832318	226280	Agricola
832318	247182	
832318	253438	
832318	290195	
832318	320231	
832319	308038	Assistant
832320	352068	
832321	38692	Witch
832322	67361	Studio Cast
832323	14587	Herself
832324	4714	Marilou
832325	20055	Lorenza
832325	46972	
832325	66806	Monica
832325	82392	Marina
832325	107383	
832325	217810	
832325	249860	
832325	260618	
832325	269478	
832325	270850	Girl at the club
832325	326220	
832325	340279	
832325	375016	
832326	333269	April Dancer
832327	245115	Young Gisella
832328	278332	
832329	154056	
832330	246292	La religieuse carmel
832331	223462	Anja Heinze
832331	223463	Anja Heinze
832331	345906	Anneliese Dingler
832331	358854	Nina
832331	386985	Maria
832331	389287	Heinke Merthin (1994-1995,199
832331	390190	Tami
832331	392636	Karin Sonntag
832331	394837	
832331	396874	Elena Zirkowski #1 (1996-1999
832332	110548	Herself
832332	331968	Femke Fierens
832332	408151	Femke Fierens (2002-)
832333	235646	Young Joanne
832334	338386	Edith
832335	189529	Daughter
832336	4307	Mrs. Beumer
832336	141734	
832336	390242	Mies van Catenbrughe (1992)
832337	150379	Librarian
832337	320308	Miss Wetherby
832338	292698	News Reporter
832340	17173	Mandy Pepperidge
832340	33426	Doreen
832340	41327	Sherry
832340	105448	Laurie Belman
832340	117520	Claire Bonner
832340	137197	Mrs. Ellinson
832340	152960	Tracey Russell
832340	268542	Mrs. Pauley
832340	294855	Girl
832340	349864	Denise
832341	379846	Phinele
832343	222784	Ice Cream Girl #2
832345	78916	Girl at Lovers' Lane
832346	230247	Amerikanerin
832347	44844	Bob's Date
832347	77153	J.R.'s Secretary
832347	142418	Julia Sabbath
832347	171270	Peaches
832347	232291	Julie Paulson
832347	408361	Barbie
832348	54931	New Girl
832348	84397	
832349	60179	Susan
832349	107225	Anita
832349	108044	Little Bo Peep
832349	212732	Actress
832349	231426	Amy
832349	274408	Young mom
832349	278469	Stacy
832349	340934	Charlissa
832350	28609	
832350	102847	
832350	108693	
832350	150345	
832350	228592	
832350	295812	
832351	53086	Falstaff's Page
832351	90191	
832351	392714	
832353	149126	
832353	218015	Marian Ford
832353	366889	Betty
832354	148385	Dorothy
832355	360712	Wedding Guest
832356	88027	Nurse
832356	210240	Adelina Patti
832359	196265	
832360	16730	
832360	35455	Laura
832360	45635	Melissa (The Disco Years)
832360	52358	Susan Peters
832360	62898	Last Party Guests
832360	83600	Gwen
832360	87596	Melissa
832360	97035	Sophie
832360	142638	Hellé
832360	146769	Sherry Nielson
832360	191675	
832360	210881	Redhead
832360	227925	Sueleen Gay
832360	230868	Annie
832360	234226	Shirley
832360	285313	Bari
832360	313189	
832360	314697	Marcie
832361	382838	Angela Lambert (1991-1992)
832362	271990	Amber
832362	359855	Sharon
832363	54931	Susan
832363	131682	
832363	131686	
832363	134573	The Geritan Girl
832363	162567	Magic Act/Merkin's Assistant
832363	195309	(USA version only)
832363	196284	Max's secretary
832363	295651	
832363	317845	
832363	318346	Max's Secretary
832363	321303	
832363	360901	Dilys
832364	67723	Mrs. Mendelsson
832364	144376	Eva
832364	277471	Billie Joe
832364	296755	Debby
832364	316263	Bea
832364	345850	Marilyn
832364	367094	Elinore
832364	390356	
832364	392297	Helene Willis
832364	400026	Doris Leone
832364	405769	Gwen (1980-1981)
832365	56435	Mrs. Adams
832365	142668	Receptionist
832365	166007	Sheila
832365	315958	Alice
832366	289697	
832366	317985	Tatiana
832367	65552	Cleopatra's Handmaiden
832367	150853	Lorraine
832367	192269	Leonora Clyde
832367	256259	Hollywood Starlet
832368	83839	Lucinda
832368	120757	Maureen Carver
832368	171449	Glory
832369	150270	Marion
832370	16767	Crabby Woman
832370	45548	Porch Lady
832370	79966	Frau Braun
832370	86951	Baba Yaga
832370	103331	Gardener
832370	117522	Lady in Wheelchair
832370	128154	Emily
832370	185389	Mrs. Kane
832370	207681	Ida Chomsky
832370	213018	Witch Lady
832370	231832	Customer
832370	262088	Grandmother Winslow
832370	321096	Grandmother
832371	162876	
832371	178121	Theresa Stangher (US TV versi
832372	28611	Mrs. Windgate
832372	57936	Herself
832372	114017	Woman Dancing with Avery
832372	194223	Lisa Convey
832372	257863	Herself (Playmate of the Year
832372	257867	Herself
832373	256086	
832374	3944	Herself
832374	6717	Herself
832374	34928	
832374	34932	Herself
832374	41645	
832374	85789	
832374	85862	
832374	150384	
832374	204033	
832374	208521	
832374	215514	
832374	241765	
832374	261527	
832374	296200	
832374	297818	
832374	300192	
832374	302927	
832374	321046	
832374	321047	
832374	325261	
832374	325267	
832374	325271	
832374	335608	
832374	336088	
832374	336090	
832374	336279	
832374	342445	
832374	354820	
832374	356227	Tori
832374	361829	
832374	361939	
832374	361940	
832375	56010	Linda
832375	81009	Martha Seacroft
832375	95834	Mary
832375	118809	Lorna MacLeod
832375	168264	Anne Howe
832375	178017	Mildred Pringle
832375	178035	Mildred
832375	183443	Jean Mitchell
832375	201415	Josie Marlow
832375	312272	Katy O'Connor
832375	334162	Liz Lorimer
832375	350645	Herself
832376	315459	Runaway
832377	99952	Elizabeth Martin
832378	31118	
832379	264936	Claire
832380	354111	
832381	38866	P.A.
832382	136812	Castle Victim
832383	205726	
832384	235509	Delilah
832385	403393	Hanna
832386	7828	
832386	68138	
832386	154915	Herself
832387	95140	
832388	385299	Amelia Grimble
832389	275157	
832390	223920	Tina
832390	245113	Thrift Shop Customer
832391	237991	Cahri
832391	315909	Iris
832392	56545	Herself
832393	89027	
832394	133475	Big Maybelle
832395	113146	Herself
832395	133782	Helen
832395	169812	Lady in Waiting
832395	327430	A Spirit
832397	19601	Becky Beechwood
832397	176496	Lisa
832398	386546	Det Const Iland
832399	126269	
832400	383294	Vânia
832401	193385	
832402	254371	Irka
832403	158141	Bank teller
832404	103277	Nancy
832404	161317	Herself
832404	265247	Jodi
832404	389858	Christie (1988)
832405	27111	The Ringmaster
832405	61672	Guest #1
832405	87800	
832405	116330	Maggie
832405	199532	Frances
832405	207906	Secretary
832405	245363	Josey's wife
832405	274195	Waitress
832405	294521	Darlene
832406	2545	Chorus girl
832406	50126	Herself
832406	130622	Gold Digger
832406	176335	Goldwyn Girl
832406	315680	Nurse Lt. Elizabeth 'Red' Mur
832406	365190	Herself
832406	365205	Sally
832407	366161	Peasant child
832408	138899	Yacht Party Guest
832408	185321	Burn Effect Girl
832408	236952	Grace
832409	399719	Herself (historian)
832410	116971	Barbara Wellman
832410	199499	Girl at Clios
832411	296990	Bathing Beauty
832412	80848	Merrie Leonard
832412	113810	Carol
832412	139577	Cynthia
832412	139578	
832412	192067	Susan
832412	212748	Wilma
832412	222595	Kathy
832412	224673	Jean Wyndham
832412	271994	Mary Fargo
832412	338630	Mishy Burns
832413	93981	Beth Anne
832414	263013	Tanja
832415	44826	
832415	125710	
832415	142282	
832415	143491	
832415	178844	
832415	210058	
832415	226199	
832415	239792	Rosemary
832415	254372	
832415	257472	
832415	325879	Frau Rose
832415	356751	
832416	245158	Fisher Folk
832417	381558	Helen Rolfe
832418	5892	The Hooker
832418	81219	Samantha
832418	108694	Marsha
832418	152291	Queen Admira
832418	297672	Tiffany
832418	343044	Angel
832418	405517	Candi LeRoy
832418	407043	Gilda (1979)
832419	259308	Herself
832420	303538	Prison Guard
832421	72325	Woman in Bar
832422	254124	
832423	73605	
832424	73605	
832425	278769	
832426	127122	Emilie 20 yrs
832427	26291	Girl in Hair Salon in Print P
832428	378372	
832429	254124	
832430	72870	Girl on telephone
832431	94396	The Girl
832432	126040	Airline Passenger (s)
832432	176298	Herself
832433	318776	Race Official
832433	328613	
832433	330590	Brandons Mom
832434	231391	Girl in Park
832435	186	Bunny a Dancer
832435	72022	Susie
832435	117110	Dancer
832435	127698	Dippy
832435	132765	'Baby' Delroy
832435	294212	Girl in Penny Arcade
832435	336299	Cesca
832436	347750	
832437	49966	Dancer #5
832438	192849	Elizabeth (age 13)
832439	60148	Hat Check Girl
832439	67800	Eunice, Blonde slapping Buddy
832439	108962	
832439	121836	Norma Butler
832439	151010	Anne
832439	192622	Mona
832439	332039	Camden Yates
832439	399050	Edwina Brown (1960-1962)
832439	401537	Lucille 'Lucy' Hanks (1966-19
832440	27347	Rachel Penmark
832441	231121	
832442	168087	Lady at grandmother's house
832442	273307	Girl at Party
832443	232992	
832444	186796	Adele
832445	47004	Additional Voices
832445	107990	Bindi
832445	109938	Ms. Tweesbury
832445	297641	The Woman/Wife
832445	368640	
832445	406302	LaDonna Fredericks
832446	4947	
832446	15944	Sarakit
832446	26185	Lisa
832446	26844	Jennifer Parker
832446	141137	Wendy
832446	314837	Laura Harper
832446	388475	Linda Barrett (1986)
832446	391389	Julie MacLane
832446	396118	Mary Claire Delvecchio
832446	399993	Shannon Halloran
832446	403432	Patsy D'Allisandro
832447	340344	Edina adulte
832448	101721	Scots Singer
832449	151025	
832449	218698	
832449	296699	
832449	321040	
832450	282014	Narrator
832451	323394	Carla
832452	56462	Mary Ann Summers
832452	57492	Herself
832452	75769	
832452	117657	Sylvia
832452	127714	Herself
832452	139449	Mary Ann Summers
832452	144922	Miss Lorilee Lee
832452	196420	Mary Ann
832452	230675	Bobbie
832452	247143	Girl at Police Station
832452	264134	
832452	276163	Mary Ann Summers
832452	276840	Jolene
832452	309575	Lucille Perkins
832452	319479	Herself/Super Sucker Celebrit
832452	320108	Herself
832452	337115	Helen Reed
832452	342192	Himself
832452	342229	Hostess
832452	366469	Clayanna Finley/Narrator
832452	385799	Herself
832452	385829	Herself
832452	390066	Mary Ann Summers
832452	390067	Mary Ann/Ginger
832452	391544	Assistant (1974-80)
832452	409121	Herself
832453	29903	Black's Girl
832454	7055	
832454	18891	
832454	25331	
832454	26067	
832454	33952	
832454	38871	Matchmaker
832454	67463	
832454	102799	
832454	113604	
832454	120912	
832454	149670	
832454	207983	
832454	208521	
832454	218698	
832454	224399	
832454	228040	Herself
832454	242629	
832454	242632	
832454	242634	
832454	264764	
832454	264817	
832454	295692	
832454	296995	
832454	319985	
832454	328868	Linda Houston
832454	367410	
832456	29391	Girl at Pool
832456	31691	Sue
832456	37674	Sniffles
832456	222931	Sniffles
832456	333370	Reena (Danny's girl)
832457	51269	
832457	73275	Eugenia
832457	251557	
832458	73507	
832459	34463	Princess Mary
832459	46877	Woney
832459	108960	Sophie Cartwirght
832459	124501	Sarah Churchill
832459	154102	Fur Department Vendeuse
832459	158352	Helen Walters
832459	219646	Susan
832459	222745	Elspeth Scott
832459	234204	Dolly
832459	291708	Jane
832460	55907	
832460	225026	
832460	243498	Oriana
832460	296442	
832460	384649	Aurora
832460	402711	
832461	58632	Dr. Jackson
832462	163965	
832462	163966	
832462	304929	Nikki
832463	364556	Nurse Fletcher
832463	385299	Doris Tidmarsh
832463	387332	Mrs. Dudley
832463	395647	Alice
832463	399455	Mrs. Mackay
832463	411300	Prison Officer Spenser (1975-
832464	176718	Mrs. Douglas
832465	230205	Lisa
832466	201327	Diner Waitress
832467	118055	Mrs. Tanner
832468	57680	Herself
832469	169902	Singer
832470	70082	
832471	124602	
832471	202853	
832471	220633	
832472	134881	Kathy Baker
832473	278907	Rita
832474	214062	
832475	77188	Alice Fernie
832475	79775	Effie
832475	201783	Herself/Eileen
832475	232297	Carole
832476	27883	
832476	40262	Peggy Samoy
832476	62297	
832476	112853	Liliane
832476	148678	
832476	254633	Art model
832476	269502	
832477	219616	
832478	191960	'Dearest' Erroll
832479	356472	The Media (Herself)
832480	11582	Mary Simpson
832481	35443	
832481	36319	
832481	183383	
832481	209750	
832481	336486	
832481	338152	
832482	87166	Maid-Of-Honor
832483	144764	Nancy (age 12)
832483	169906	
832483	298165	
832483	333054	Sally Hessler as a girl
832483	370892	Eulalie Boyles
832484	162883	Home Nurse
832485	272231	Floozy
832486	19271	April Flowers
832486	38900	Teresa Razzini
832486	59257	Traci
832486	92495	Dr. Jackie Stevenson
832486	92664	Jonathan Harker
832486	102741	The Teacher
832486	258086	Vivian
832486	293041	Aunt Inga
832486	296328	
832486	302385	Juli
832486	311051	Lucinda Knox (Femtilian)
832486	329378	Ashleigh
832486	364297	Remis Phildin
832486	366736	
832486	372444	Nina Jacobs
832487	97388	Dancer
832488	7199	Secretary
832488	379016	Nurse Rhonda Todd
832488	404747	1st Whore
832489	158141	Lunching woman
832490	70583	Mrs. Poe
832491	41004	Mrs. Walker
832492	392146	Herself (Red Team)
832493	392496	Herself
832494	154796	
832494	316210	Female Rider
832495	190041	Herself
832495	279412	Herself (singer)
832495	281530	Herself
832495	292171	
832495	329558	Herself
832495	379977	Herself
832497	275762	Bank Customer (s)
832498	188122	
832498	207710	News Reporter #1
832499	63941	Cigarette Girl
832499	80587	Pretty Girl
832499	92230	Bit Part
832499	118719	Girl in coffee shop
832499	220900	
832499	330615	Secretary
832500	161221	Herself
832501	342015	
832502	35481	Mrs. Britchenor
832502	93579	Barmaid
832502	187048	Sadie
832502	257511	Sandra
832502	389990	Alice Marsh
832503	111698	
832504	378857	Herself
832504	405986	
832504	412134	Hostess
832505	360768	Delphine
832506	88176	Rachel
832506	117550	Librarian
832506	254889	Mrs. Hoopdriver
832506	366463	Mopsa
832506	396090	Dimple Potts
832506	410978	Patricia Illingworth (1997-19
832507	116130	Miriam
832508	4903	
832508	12198	
832508	39546	
832508	41064	Miss Terwilliger
832508	46520	Yuki's Mother
832508	51768	
832508	84484	
832508	105676	Mrs. Job Wales
832508	109985	
832508	145777	
832508	145937	
832508	146079	Old Mombi
832508	148860	
832508	171204	
832508	183605	
832508	185238	Princess Hatatcha (Kara's gra
832508	200134	Aunt Rivette
832508	220568	His screen mother
832508	239671	Mrs. Homans
832508	242571	Martha Lacey
832508	255827	Little Boy's Mother
832508	283520	
832508	285704	
832508	293783	
832508	304992	
832508	335628	
832508	358142	
832509	29856	
832509	38813	Hat shop proprietress
832509	196871	Mrs. Augur
832509	205449	Matron
832509	224327	Nurse
832509	256854	Terry
832509	264445	Ethel
832509	292405	Mrs. May, Kent's Secretary
832509	292470	Store Official
832509	295282	Mother
832509	311343	Mrs. Davis
832509	333056	Mrs. Ingersoll
832509	361290	Teacher, Miss Peterson
832510	7921	Penitentiary Guest
832510	35791	Mrs. Ruby Sherman
832510	49052	Dorothy Faringay
832510	52043	
832510	52536	Hilda
832510	55417	Woman
832510	61567	Nurse
832510	69680	Mamie Pike
832510	83652	Clementina
832510	99447	Mabel
832510	109673	Brazilian Opera Troupe
832510	116443	Bar Girl
832510	117754	Mrs. Young
832510	154230	Hotel Operator
832510	171232	Caroline Pickering
832510	178758	Dance Hall Girl
832510	188393	
832510	195489	Teresa
832510	203042	Ruth Crawford
832510	211813	Mrs. Sawyer
832510	239784	
832510	276362	Bit part
832510	289585	Marie Tshoglokof
832510	291855	Marian Everard
832510	294955	Mrs. Walter Webb
832510	297970	Saleswoman
832510	301489	Nancy Lammeter
832510	308661	Lotta
832510	329879	Miriam
832510	372898	Girl
832510	374522	Party Guest
832511	77750	Herself
832511	187391	Herself
832511	220206	Herself
832511	220212	Herself
832511	223751	
832512	151758	Howard T. Duck
832514	143577	Undetermined role
832514	380713	Louise Cole (1956)
832514	381995	Lorelei Kilbourne (1950-1951)
832514	382773	Sandra Talbot Dennis #3 (1960
832514	387309	Sgt. Helen Kilbourne (1956-19
832514	396088	Ellie Crown (1955-1956)
832514	403281	Hannah Cord (1972-1974) (orig
832514	404694	Nola Hollister #3 (1971)
832515	311356	Little Indian Girl
832517	389902	Hostess
832518	133432	Heinz's Secretary
832519	27033	Secretary, Manhattan bar
832520	95365	Wilma
832521	366696	Sarah Hawkins
832522	243656	Viola
832523	126542	Stage Manager
832523	234779	Mildred
832525	34911	
832525	381661	Hill's Angel (1980)
832526	143264	Marching Girl
832527	321822	The Perfect Woman
832528	90664	Hilde (segment "I Promessi Sp
832529	243340	Flossie Shoemaker
832530	202244	
832532	62992	Belinda Cratchit
832533	236118	City Bank Person
832534	330580	Mrs. Hackett
832536	42056	Claire
832536	91764	Sharon
832536	195375	Elizabeth Pringle
832536	289645	Miriam Hopkins
832536	342458	
832537	315221	Miss Williams
832538	331408	Mary Ann
832539	2627	Best Improv Troupe
832540	41004	
832540	258082	Katie
832541	191369	Island Performer
832542	169478	Helen
832542	196575	Greta
832542	293094	Sharon Hargreaves
832542	408879	Jill Jenkins
832543	153661	Mrs. Wickney
832544	62678	Host
832544	199477	Amy 2010
832544	261650	Host
832545	7868	Amy
832545	134193	Schoolchild
832545	215176	Marlee
832545	291961	
832545	398376	Heather Owens
832546	258548	Lisa's Mother
832547	158999	Newscaster
832547	340949	Newscast Auditioner
832548	29580	
832548	43974	Simonetta
832548	45799	
832548	79747	Sara
832548	90004	Mrs. Folini
832548	127487	Fontana's Major Domo Dresser
832548	163000	Cynthia
832548	178286	6th Waitress
832548	211346	Jessica
832548	218549	2nd American Lady
832548	309012	Riccardo's Mother
832548	333882	Corynthia
832549	390498	Miss Parker
832550	42326	Herself
832550	60273	Massage Girl
832550	106821	Willis
832550	188334	Joanne
832550	194653	Dave's Whore
832550	231386	Beach Girl #1
832550	316295	Clown
832551	248186	
832552	8224	Mother
832552	22110	Mademoiselle
832552	55250	Maria Ek
832552	114961	Girl
832552	116454	Gunilla Brinkman
832552	153743	Mrs. Settergren
832552	164789	Yevtushenko's Interpreter
832552	179707	Mrs. Tekla Lind
832552	215467	Olga
832552	237034	
832552	238802	Inga Lind
832552	256502	
832552	256503	Annika's Mother
832552	268362	Annika's Mother
832552	304405	Annika
832552	354677	Anders Alm's Sister
832552	377307	Married Woman
832552	387026	Miss Rudenschöld (episode 5)
832552	401519	Fru Settergren
832553	153611	Nurse
832554	113288	Peggy
832555	7623	Lawyer
832555	46015	Louise
832555	71816	
832555	309988	Cordelia
832556	139178	Secretary
832557	238599	Brenda Jacobs
832558	185321	Topless Girl On Pier
832559	142554	Dazzle
832560	223457	
832561	16363	Mutter von Lisa
832561	23108	Polizeipräsidentin
832561	352318	
832561	352319	
832562	222594	
832563	11352	Hospital Sister
832563	118021	Elderly lady in coach
832563	388306	Rachel Granby
832564	67780	Jane Elliott
832565	213272	Newscaster 2.
832566	243744	Melissa (Paper-girl)
832566	305351	Rebecca
832567	46842	Mollie Browning
832568	363366	Laura Fine
832569	17776	Lady Mary
832569	18021	Jonesy
832569	33436	Rita
832569	33712	Annette
832569	62155	Victoria
832569	69235	Sonia Wallington
832569	92800	Mrs. Fielding
832569	109665	Mrs. Preston
832569	118685	Sister
832569	171310	Mrs. Brown
832569	191771	Claire
832569	192197	Superintendant McCollum, of t
832569	204800	Laura
832569	215799	Lady Violet Lamsden
832569	292201	Mrs. Mead
832569	304789	Kathleen Adair
832569	311988	Rosa
832569	342787	Joyce Danton
832569	363700	Claudia Mayland
832569	365787	Mrs. Brown
832570	241426	
832570	390685	Jennifer
832570	399816	Julia Cornich (1972)
832570	404932	
832571	192588	Olivia Rooney
832571	195137	Adolescente
832571	309695	
832572	57929	
832573	306816	
832574	13971	Freddie
832574	209707	Alice
832574	335892	Leslie
832574	360745	Josephine
832575	141019	
832575	176777	Ellen Holloway
832575	220775	Carolyn Bridge
832575	230692	Friend
832575	272649	Catherine Ripley
832575	296768	Charlie
832575	305782	Laura
832575	345980	Justine Murdoch
832575	379996	Holly Baker
832576	320319	Young girl
832577	203653	
832578	19998	Sue Redding
832579	279619	Herself (audience)
832579	304429	Herself - Makeup Artist
832580	96593	E.T.
832580	360068	
832581	252928	
832582	121374	Casino Patron
832583	131723	Janet
832583	390523	Laurie Watson (1996-1998)
832584	195395	Sandy
832585	367413	Betty Jane
832587	317277	Anja's Mother
832588	5644	Susanne
832588	125080	
832588	198416	Verkäuferin
832588	259437	Frau Hartmann
832588	259464	Christa
832588	259499	Kerstin
832588	259501	
832588	259515	Elke
832588	259615	Frau Sello
832588	291125	Cayuse girl
832588	365873	
832588	384387	Dr. Lily Wirsing
832589	383794	Herself
832590	408668	China Doll
832592	274886	
832593	346539	La secrétaire d'ambassade
832594	14711	
832594	23091	Martha
832594	30520	Bar girl (victim #2)
832594	45314	Carmen
832594	56333	
832594	58398	
832594	63900	(segment "Panico")
832594	68953	
832594	83436	Elena Gonzalez
832594	85017	Donna Trent
832594	91283	Teresa, Marquesa de Olivares
832594	95347	
832594	99710	
832594	101615	Carlota
832594	103537	Raymunda
832594	103655	
832594	103656	
832594	103940	Elena
832594	103951	
832594	103995	Doña Elvira Rapacejo de Revir
832594	148120	Luisa Aparicio
832594	156378	
832594	170092	Madre de Pilar
832594	171619	
832594	192947	
832594	193328	
832594	205017	
832594	212245	
832594	221564	
832594	222035	
832594	225051	
832594	226364	
832594	230267	
832594	233372	
832594	246297	
832594	255058	
832594	255619	
832594	264043	
832594	266472	
832594	270890	Blanca
832594	273033	
832594	273661	Modesta Costa
832594	280275	
832594	292750	
832594	296126	Madre de Diana
832594	301106	
832594	301166	
832594	301422	Yolanda Quevedo
832594	307818	Yascara
832594	339195	Queta
832594	349464	
832594	350262	Marta Gonzalez
832594	352005	
832594	359338	
832594	370157	Sra. Cecilia
832594	377183	Madame
832594	378474	Clara
832594	379043	Lucrecia
832594	382868	
832594	383267	
832594	384328	
832594	385254	
832594	386517	
832594	388095	Gloria
832594	389881	
832594	397019	
832594	397598	Tita
832594	398013	
832594	398069	
832594	400718	Mina Ballesteros
832594	405977	
832594	407542	Madame Dupont
832594	410015	
832595	310166	Ens. Sara Starr
832596	104767	Luxembourg entry (21st place)
832597	116477	Gwen
832598	63900	Gracielita
832599	63900	Hermana de Gracielita
832600	211491	
832601	243812	
832602	391284	Rosi
832603	324526	Béatrice
832604	90392	Julia Timmons
832604	93038	Mary
832604	155890	Nurse Trish (segment "1961")
832604	322567	Marilyn
832604	335593	Hallie
832605	365018	
832608	167691	Woman in the street
832609	363707	Florence Hartley
832610	174586	Herself (commentary)
832610	327212	Herself
832610	383804	Interviewee "Boom to Bust, 19
832610	390567	Herself (volume 1: Highway 61
832611	123344	Nurse
832612	132183	Flower Girl
832612	194765	Rebecca at 3 Years
832613	241523	Gladys
832614	669	Dienstmeisje Annie
832614	211686	
832614	256492	Mamaloe
832614	352215	
832614	401517	Plom
832615	51066	Zhen
832616	308113	Girl
832617	109528	
832617	121062	
832617	144025	Frau Dietzl
832617	144333	
832617	145496	
832617	175249	Mutter Waguscheit
832617	184643	
832617	203402	Mrs. Endress
832617	205683	
832617	223407	Mutter
832617	290449	English teacher
832617	290521	Fräulein Koller, Lehrerin
832617	290523	Kurzsichtige Lehrerin
832617	290524	Richterin
832617	290681	Tante Anna
832617	365875	
832617	390190	Erna
832617	404462	
832618	293413	Ella
832620	121363	Woman Prisoner 2
832621	164902	
832621	410813	
832622	46603	Katze
832622	367303	
832623	26533	Frau Wolf
832623	202418	
832623	259555	
832623	343657	
832623	397957	
832624	129829	Ponti Assassination Bystander
832625	32162	Lucy Dallas
832625	273630	Selima
832625	316082	Joan
832626	132912	Commercial Singer
832627	279176	Baby
832628	108883	
832629	367318	
832630	369704	
832631	222112	Additional Voices
832632	367159	Zhang Ying's Mother
832633	369727	Ms. Lee
832634	110475	
832635	137097	Customer in bar
832635	208838	Wei older sister
832636	274433	
832637	268934	Dong Shaogu
832638	381646	Luo Bin
832639	170635	Chu Ming
832640	246683	Morgan Musso
832641	78318	Newsreader
832641	270384	
832641	355165	
832641	382118	Lucinda Snellmarsh (Series 2)
832641	383891	Laura
832641	387533	Angharad McAllister (1993-199
832641	388306	Jade Williams
832641	401973	Mrs. Newman
832641	403292	Ruth Tyler
832642	342628	Mrs. Peale
832643	226420	Klotylda Korczynska
832643	237701	
832643	244105	
832643	344039	Secretary
832643	361076	Elka's Mother
832643	396286	Janina Nowicka (2001-)
832643	397622	
832643	411110	Lucja
832644	374549	
832644	392509	Frl. Rabe
832645	244200	Claudia
832646	153538	Teen's Mom
832647	322934	Alma
832648	409623	Beate (1994)
832649	23595	Beehive Waitress
832649	130458	Sonar
832649	157061	Agnes
832649	283305	Gypsy Woman
832649	297990	
832649	378855	Mrs. Mamie Dubcek
832650	70512	Waitress
832651	64563	Herself - Trapeze Artist
832651	217816	Girl in Fight
832651	300345	Muffie
832651	309707	Gina
832651	362497	Pamela Venus
832651	385773	Mia
832652	4832	
832652	259487	Daniela Pielmann
832653	3465	Michela
832653	55890	Martha
832653	67104	Beatrice
832653	83768	Desideria
832653	92968	
832653	102583	Ilio/Rachele (US: Emilio/Rach
832653	107686	Viva Montero
832653	119102	Ramona
832653	155628	Girl in swimming pool
832653	161126	Bride
832653	219326	Carol Terzi
832653	240269	Daria
832653	254108	Laura
832653	265511	Young Silvia
832653	294415	German Girl
832653	311107	Laura
832653	327903	Maria Alboretto
832653	349715	
832653	354452	Louisa
832653	401508	Ellis
832654	134848	
832654	225278	
832654	325554	Franziska
832654	325872	Sabine Kunert
832655	350564	Nurse at Södersjukhuset
832656	116132	Beatrice
832657	271287	Court Reporter
832658	294356	The mother
832659	181765	Elsebeth
832660	168530	Christine Hansen
832661	403012	Suzanne Kidd
832663	398575	Bea
832664	279456	Ralph
832665	151187	Sr. John Xavier
832666	141885	Qiqig
832667	92474	
832667	101752	Gertrud Pleitgen
832667	102881	
832667	126443	
832667	132539	Luise
832667	136118	
832667	155479	Erikas Mutter
832667	207792	Voglbäuerin
832667	225128	
832667	261942	
832667	266775	Floriane
832667	290216	Mrs. Klein
832667	290580	
832667	358529	Köchin Wally
832667	364910	
832667	371287	
832667	375049	Garderobiere
832667	381382	Empfangsschwester
832667	386982	
832667	395667	Else Kling (1985-) (original 
832668	338427	Herself
832669	32529	Henderson's Mother
832669	57560	Puker
832669	87432	Driving Neuter Wife
832669	101070	Waitress
832669	251646	Street Lady
832670	237717	Frau auf den Rollerblades
832671	311449	Amazon Queen
832671	345242	Anna
832672	375928	
832673	38993	Ursula Kienbaum
832673	259513	Fräulein in der Anzeigenannah
832673	259639	
832673	320230	
832673	352672	Frieda Brenten
832674	9920	
832674	102378	
832674	115699	
832674	144136	
832674	153937	Herself
832674	155470	Helga Wiegand
832674	226277	
832674	278952	
832674	352395	Secretary
832674	359622	Gaby
832674	359646	
832674	376343	
832674	376392	
832675	73471	
832677	84692	Madame Breda
832678	175674	La boulangère
832679	298489	
832680	307457	Blake's Wife
832681	81784	Bit part
832681	192269	Siddie Shiva
832681	234070	Polish Wife
832681	308675	
832681	329527	Mrs. Golden
832682	70309	
832683	302702	Ella
832684	108497	Olive
832684	120344	Susan
832684	342035	Phyllis
832685	392597	Various characters
832687	24897	Lisa Nilsson
832687	49671	
832687	86302	
832687	102983	
832687	103101	Lisa Marwen
832687	119195	Fräulein Brunner
832687	119703	Jouka
832687	134991	
832687	138455	
832687	147191	
832687	173053	Frau Wittkopp
832687	210000	
832687	211118	Majady Passy
832687	219019	Jenny Nerger
832687	223470	
832687	225137	Else Richnow, 'Bohnenstange'
832687	293874	Lou
832687	293995	
832687	298572	
832687	315828	
832687	317494	
832687	329899	
832687	347430	
832687	348677	Lulu
832687	354111	Frau Fredmark
832688	394976	Honey Kisaragi/Cutey Honey
832689	50292	Hilda Larisa Von Schubert
832689	142501	Hildy
832690	378912	Reporter (1983-1987, 1994)
832690	385430	Host (1988-1993)
832691	111775	Altes Mütterchen/The Old Woma
832691	188835	Frau des Schnapsfischers
832691	212682	
832692	346438	
832693	35685	Pam
832693	110443	Melita Reale
832693	137560	Sue York
832693	342871	Liz
832693	358595	Linda Mundell
832693	365779	Cynthia
832693	379185	Suzanna Martin (1991-1992)
832693	399130	Penelope Porter (1988)
832693	401813	Shelby
832694	16363	Julie Raffl
832695	361419	
832696	21967	
832696	37240	Herself
832696	151025	
832696	296205	Prostitute #3
832696	369646	Lesbian
832696	398051	Herself (3rd Executed)
832696	404466	Herself/The Gullible about Re
832697	149715	Millie
832697	295611	Model
832698	231681	
832698	245094	Soraya
832698	300056	Monika
832699	141061	Herself
832700	67507	La madre di Mascia
832700	348168	Un' altra contadina russa
832701	169594	Ah Ping, Lindo's Servant
832701	209365	Undercover Woman
832701	263902	Flapper Daughter
832701	321266	Art Dept. Coordinator #2
832701	342156	Flower Shop CSA Op
832701	372230	Jade
832702	48461	Trailer Park Gal
832703	215527	Catfish Worker
832706	190932	Laura
832706	328667	Geneva Swallows
832707	271948	
832708	100954	Waitress
832709	138839	
832711	11886	
832711	15908	
832711	90069	Elvira's Maid
832711	91007	
832711	117667	Countess Bellegarde
832711	119027	
832711	121057	Grete
832711	126475	Doris Kössler
832711	129323	Gertie
832711	144160	Irene
832711	172380	
832711	198420	
832711	209975	
832711	270546	
832711	303174	Gräfin Bellegarde
832711	303175	Gräfin Bellegarde
832711	348045	
832711	352536	Amalie
832711	360966	
832711	361398	Maria
832711	376502	Marie
832711	388293	Schwiegertochter Ilse
832712	15892	Sophie
832712	68009	Luciana
832712	160555	Eva Smith
832712	201422	Dobbie
832712	326584	Ruth Wade
832712	398981	Dolly Partridge (1982-1983)
832712	406261	Portia
832712	407892	Mrs. Brittain
832713	406492	Julie Priestley
832713	410978	Jess Buckley (2000-2003)
832714	78139	Romanov's Bodyguard
832715	1510	
832715	108187	Unfallfahrerin
832715	179787	Sonja
832715	191417	Tina Lewandrowski
832715	196439	Neele
832715	209999	Sophie
832715	281725	
832715	290108	Fiona
832715	300996	Petra
832715	325951	Anette
832715	347432	Bea
832715	386981	Kirstin
832715	409609	
832715	412103	Jana
832716	171278	Catholic Schoolgirl Fanny
832717	205311	Candace
832717	294280	Edith
832718	136719	1. Norn
832718	277459	Erda
832718	301089	Erda
832718	403405	Erda
832719	87480	Jenkins' Fantasy Girl
832720	404026	Ruth Lind
832722	159904	Maria
832723	2907	Ellen Pettersson
832723	100549	Guest
832723	303856	Karin
832723	306371	Dolly
832724	385548	Herself - Host
832725	257886	
832726	145598	
832726	259618	
832726	347635	
832726	382788	Host (1995-)
832727	56276	
832727	246861	Pajama Girl
832727	367060	Princess Yasmin, as a child
832728	303224	Stina
832729	340264	Maid
832763	409990	
832730	398829	Herself/Host (1998-2000)
832731	164770	Nurse
832731	268354	Ulla Winberg
832731	307763	Waitress at Kafé Thyra
832732	41301	Beauty Contestant
832733	182101	Member of Ladies' Orchestra
832733	394925	Saxophone player
832734	314385	Waitress at Valencia
832735	310835	Emily Fickle
832736	204532	Model
832737	116536	Jelly
832738	17017	
832738	82650	Receptionist
832738	108186	
832738	109503	
832738	116069	Lisa
832738	134766	
832738	155384	Tante Appelboom
832738	177219	
832738	178654	
832738	189696	
832738	245455	Pensionswirtin
832738	284432	
832738	325607	Wirtin
832738	325680	
832738	325782	
832738	344997	Hauswartsfrau
832738	373430	The Angry Women
832738	388623	Hilde Bezzak
832738	399175	Tante Appelboom
832739	46854	Puppy Girl
832740	313877	Keycon Conventioneer
832741	280064	Detective Kalani Jones
832742	177182	Tini
832742	332837	Stella Singer
832743	345943	Aggie
832744	266635	Christine
832745	115391	Waitress
832745	184000	Kari
832747	45300	
832747	90855	Carnoburger Co-Worker
832747	94451	Benny's Nightmare
832747	134321	Marleen
832747	192712	Fern
832747	253043	
832747	336480	Excalibur Lady
832747	349689	Trailer Park Resident
832749	165925	
832749	260817	
832749	264731	Herself
832749	306908	
832750	196387	Colleague
832751	321475	Interviewed woman
832752	241731	Nursery Nurse
832753	14223	Mitzi
832753	37252	Susan
832753	52443	P.A.
832753	166917	Bobbi Fallon
832753	189997	Suicidal Singer
832753	195495	Alex Davis
832753	209698	Melanie Branson
832753	238695	Anne
832753	273271	Raina
832753	339358	Tiffany Whitfield
832753	364401	Herself
832753	391039	Lee Emory
832753	392686	Various Characters (1992-1994
832753	395812	Herself
832753	408496	Various Characters
832754	40800	Backup Singer
832755	6791	Woman
832755	7038	Old floozie
832755	21299	
832755	31953	Nadine (Iris' Mother)
832755	45216	Mrs. Brady
832755	65127	Mrs. Molly McGinnis
832755	66042	Neighbor
832755	79352	Mrs. Merchant
832755	92505	Landlady
832755	107845	Hotel Maid
832755	129860	
832755	131534	Grandmother Holloway
832755	148549	The Duchess
832755	154423	Mother
832755	170930	Widow Titus
832755	195903	Mrs. Thompson
832755	203648	Vangie
832755	206527	Duchess Wentworth
832755	237598	Mrs. O'Brien (The Last Leaf)
832755	241368	Old Lady
832755	241428	Nanny/Queenie/Lucy
832755	243336	The Duchess
832755	280024	Hartford prom chaperone
832755	283863	The Duchess
832755	287752	The Duchess
832755	297890	Mrs. Holbert
832755	312838	The Duchess (Red's aunt)
832755	315992	Proprietress
832755	316280	Sara
832755	321693	Castle Scullery Maid/Fat Gran
832755	338894	Sheila's Mother
832755	354224	Duchess Wentworth
832755	360068	Tart on bridge at the end
832755	372170	Lucille's Mother
832755	372633	Mrs. Hammerty
832756	217583	Sarah
832756	337071	
832757	211324	
832758	224192	Angelena
832759	11777	
832759	19263	Biggy
832759	76261	
832759	79169	Lona
832759	94276	
832759	129691	Verkaeuferin Kaethe
832759	142201	Evi
832759	266775	Frau Obermaier
832759	310940	Prostituierte
832759	343761	
832760	218857	Hippie meisje
832761	244034	The Zoo Visitors & Staff
832762	366817	Frank's Daughter
832763	439	
832763	101956	Brigitte Hoffmann
832763	108165	Anita Schumann
832763	120993	
832763	134967	Fanny Moll
832763	216266	Karla Bergmann
832763	225284	
832763	253484	Irene Körner
832763	312646	Jana Gerlach
832763	325467	Edith Ziemann
832763	338423	
832763	375985	Frau Appony
832763	386906	Irene Kaldenbach
832763	392636	Anita
832763	409609	Fanny Moll (1991, 1992, 1994-
832763	411906	Sabine Wittkugel #2
832764	87599	Lady at Coroner's office
832766	5124	Fanny
832766	24362	Adele (segment "Gewöhnliche L
832766	45985	Maria Ronsdorf
832766	51124	Baronin
832766	119031	Franziska
832766	155793	Beryl
832766	160264	Frau von Bülow
832766	178742	
832766	187402	Paul's wife
832766	189431	Elisabeth
832766	189747	
832766	230159	Frau Püschel
832766	259485	Marianne
832766	259530	
832766	259533	Frau Vogel
832766	259589	
832766	284418	Lore Pohl/Frau Dreesen
832766	284420	
832766	325960	Frau Kröner
832766	326019	Linda Hinrichs
832766	336521	
832766	347840	Lore
832766	352380	
832766	367408	Agnes
832766	374364	Susanne
832766	374625	
832766	380577	Frl. von Teschendorf
832766	409611	Sylvia Hagenbeck
832767	289103	Brandi Lynch
832768	160722	La Jeune Fille
832769	211128	
832770	10112	Krankenschwester Miriam
832770	142244	Flaminia
832770	367052	Jennifer Pennymarket
832770	390812	Mascha Marcks (1995)
832770	405500	Bettina Lehmann
832770	409958	Isabell Mohr-Brandner (1999-)
832772	244199	
832773	16795	
832773	77716	Interviewer
832773	84360	Nun
832773	94674	Suor Paola
832773	107031	Elena
832773	116489	
832773	127986	Greta Hellstrom
832773	201233	
832773	204228	Dr. Peckinpah
832773	219705	Woman on bank
832773	263269	
832773	267879	Heloïse
832773	386803	
832773	402735	Laura Fermi
832774	238164	
832775	340116	Streetwalker #2
832776	198892	Lady Macduff
832777	352535	
832778	5055	Woman at Kleist's hotel
832778	46013	
832778	46761	Al-long
832778	60873	Grandmother
832778	74232	
832778	78793	Mrs. Schwartz
832778	92455	Mother
832778	128850	Mrs. Krupnik
832778	130754	Dowager
832778	133807	Greedy woman
832778	137262	Refugee wife
832778	152721	Grandmother
832778	171862	
832778	194987	Mrs. Wertheim
832778	254488	Mama Rosette
832778	289409	Aunt Ernestine
832778	295439	Old woman
832778	306411	The Harpy
832778	312738	Köchin Kathi
832778	329528	Hungarian dinner guest
832778	336773	Mrs. Polashek
832778	351500	
832778	358749	
832778	361403	Mrs.Kelerman, Budapest
832778	367805	Herta's Grandmother
832778	367970	Mrs. Schmidt
832779	206786	Daryna
832780	129829	Agent Marion Tango
832780	257329	Gen. Tira Corona
832781	126860	Germaine
832781	384154	
832781	393919	
832781	408151	Viviane Van De Wiele (2002-20
832781	410622	Moeke (1995-1997)
832782	395307	Herself
832783	23956	Tracy Matthews
832784	133399	Jeleana, his wife
832785	161445	Sylvie Crispin
832786	93431	
832786	153098	
832786	158564	Frau Pieske
832786	195053	
832786	225164	
832787	197829	Frau Krausse
832787	253944	
832788	89706	Orelly
832788	93464	Frieda, maid-servant
832788	143808	Lia Pia
832788	155101	
832788	177179	
832788	205473	
832788	210006	
832788	210074	
832788	262391	
832788	290674	
832788	290753	
832788	293528	Suzanne
832788	314893	
832788	347009	Zofe bei Susi Moor
832788	358220	
832789	254768	Persfotograaf
832790	327337	Herself - Interviewee
832791	386347	Herself (episode 1.7 "1980-19
832792	24010	Marion
832792	134336	Elena
832792	188767	Bozena Boroszi
832792	237724	
832792	316557	
832792	356201	Jeanine, Tänzerin
832792	361389	Jane
832793	82766	Herself
832795	20853	
832795	74508	
832795	357523	
832796	262432	
832797	23035	Bohácková
832797	25660	
832797	64666	
832797	268216	Madlenka
832797	324127	Cetarka
832797	348910	Teller
832798	326602	Nurse
832799	29638	Barbara
832800	405619	Sjuksystern
832801	24383	Evchen Schikedanz
832801	137982	
832801	144035	Frau Schulz
832801	145488	Martha Reschke
832801	290802	
832801	292102	Frau Kabutzke
832801	314892	Frau Wuttke
832801	333643	
832801	343698	
832801	348677	Frau Krawutke
832801	351227	
832801	361458	
832801	366535	Karls Zimmerfrau Frau Zierbar
832801	375976	
832802	108633	Ekdahlska huset - Jenny
832802	309064	Fia
832803	363939	Child Ballerina
832804	31168	Elena (prostitute)
832804	59789	Mrs. Sara Ramsey
832804	131239	
832804	135912	Leann
832804	139739	Leilah
832804	180683	Charley
832804	253114	Maggie Merrill
832804	272439	Gert
832804	292285	Secretary
832804	332440	Barbara
832804	349999	Ann Dickson
832804	360880	Sister Gratia
832804	404233	June
832805	36612	Maggie
832805	162067	Lady Patricia
832805	251612	
832805	300786	Mimi
832805	336591	Elena di Troia
832806	5372	Enrichetta Biagioli
832807	107841	Rita
832807	290116	Nurse Anja
832807	379785	Dr. Dagmar Lux
832807	381696	Stefanie Baumann
832808	21375	Maria
832808	42685	Herself
832808	114951	Hollywoodkvinna
832808	132182	Andrea Fager
832808	322307	Elisabeth
832808	357770	Lisa
832808	400112	Nancy
832808	405553	Josefin Bjelke (2002-2003)
832809	149439	Talitha's Friend
832810	107354	Bit Part
832811	243681	Lies
832812	386895	Svenja
832813	124864	
832814	89713	Hat Store Clerk
832815	123750	
832816	146841	
832817	390242	Cynthia Kuiper (1992)
832817	400217	Rietje Van Der Berg (1996)
832818	51989	Prison Inmate
832819	168964	
832820	95955	
832820	305104	Paulina
832820	412075	Zyrafa
832821	313829	Linda
832821	405539	Internatflicka (1999)
832822	289917	Miss Snowdon
832823	6401	
832824	115198	
832826	127394	Luz II as an infant
832827	280664	Goalie
832827	361855	Cast Member
832828	30163	Anna, housemaid
832828	248188	
832829	131383	Verkäuferin HO-Markt
832830	363	
832830	24392	Gretl
832830	123470	Vera Vendek
832830	225218	
832830	265096	Margit
832831	361992	
832832	119712	Miss Hobbs
832832	156645	
832833	380713	Claire English Lowell Cassen 
832834	259595	
832834	259664	
832835	78221	Verehrerin
832836	11902	Frau Schmollig
832836	28167	
832836	33262	Suzanne
832836	93482	
832836	102134	
832836	111412	Herself (whistles)
832836	119175	Herself
832836	119176	Roswitha Maren
832836	119190	
832836	120926	Annemarie Tessmer
832836	125130	Cornelia
832836	126480	Mary
832836	134336	Carola
832836	134787	Gisa Häuptlein
832836	137647	Babsie
832836	144095	
832836	147157	Roswitha von Krakow
832836	156047	Marianne Schäfer
832836	157804	
832836	182769	Anna Silvana, Prinzessin von 
832836	186898	
832836	186984	
832836	223466	Florentine
832836	225740	Prinzessin Isabella d'Este
832836	234289	
832836	285381	Singer
832836	290679	Jenny Lind
832836	293862	
832836	325449	Gertrud Schenk
832836	335036	Susanne
832836	343878	
832836	347559	Hilde
832836	356201	Fürstin Marie-Louise
832836	360927	
832836	366535	Anni
832836	369169	Inge Wagner
832836	377333	Anna "Ännchen" Wittkuhn
832836	382888	Hedi Seibold
832836	389120	Gertie Klemm
832836	391696	Speaker
832836	403458	
832836	410606	Team member
832837	391021	Unsere Pamela (1996-1997)
832837	411994	Klingelfrau 1998
832839	328983	
832840	119694	Himself
832840	234151	Herself
832841	330527	Winkel's maid
832841	376399	
832842	75830	Rebecca
832843	202619	Maertha
832844	18533	
832845	225211	
832846	197835	
832847	34448	Dancer
832847	91839	
832847	185712	Sis Jackson
832847	365909	Drum Majorette
832848	219194	Maryanne Thorsen
832849	231362	Blond Gril
832849	267008	Nurse
832850	43344	Mina
832850	160260	Pat
832850	189534	Nelly
832850	306464	
832850	325476	
832850	384619	
832850	389785	
832851	166648	
832852	83595	Mary
832852	177540	
832852	240624	Housekeeper
832852	264170	Jail Matron
832853	9779	
832853	318725	Gangster
832854	356107	Jonge Martha
832855	93498	Hederl
832856	325882	
832857	308213	
832858	21375	Marie-Louise
832858	48381	Natalia
832858	344672	Tinke
832859	136991	Melanie Fabian
832859	361034	Kati
832859	361035	Kati
832860	253954	Herself
832861	84529	Senhorita Agá
832861	90750	
832861	380147	
832861	396610	Mariana (1996-1997)
832861	409405	Débora
832861	410190	Bia
832861	410348	Host (re-exhibition)
832862	156568	Erika Janda
832863	310397	
832864	6388	
832864	377726	
832865	80619	Waitress
832866	51334	Frau Müller
832866	98370	Frau Taube
832866	119197	Moritz
832866	129685	
832866	134986	Susannes Mutter
832866	155417	Inas Mutter
832866	160262	
832866	162454	
832866	165351	Mutter
832866	182752	Hede
832866	182809	Richterin
832866	210067	Maria
832866	238452	
832866	259535	Frau Lüders
832866	259550	
832866	259638	Inge Sternsdorff
832866	259725	
832866	289995	Christiane
832866	325733	Sandra Wimmer
832866	350857	Frau Berens
832866	361051	Eva Thiessen
832866	395508	Genossin Kortleben
832867	120537	Customer
832868	320617	
832869	214370	
832869	214372	Forretningsmandens sekretær
832870	340803	Josie
832871	56144	Demonstrator
832871	219657	Evelyn
832872	286434	
832872	366959	Reporter
832872	383019	Maki Kawazaki
832872	389870	Ling
832873	253514	Performer
832874	48410	Leibarzt
832874	184294	Herself
832874	376304	
832875	193488	Girl on schoolbus
832876	184978	Carolyn Spicer
832877	354593	Lenalisa
832877	410218	Lenalisa
832879	381690	Isabell Leuendorf (2002-2003)
832880	81776	Holly Rittenhouse
832880	251194	Thorsen's Daughter
832880	251420	Piano Student
832881	404459	Oma Sharif
832882	108968	Pusling
832882	153343	
832882	322458	Fru Kjær
832883	181077	
832884	48075	Woman at Party
832886	87498	Charlotte
832887	257715	Herself
832888	338262	
832888	338263	
832889	214430	Colonist/Accused Witch
832890	80900	Mrs. Kreutzer
832890	171828	
832890	180877	
832890	334432	Hasenmutter
832890	389602	
832891	69174	Herself
832891	104764	Swiss entry (13th place)
832892	119247	
832893	343871	
832894	166383	
832895	318117	Bia
832896	153960	
832897	61673	Denise Edwards
832897	89321	Patti
832897	201444	Sissy
832897	331940	Lynn
832898	3169	Friend
832898	234761	
832899	14394	Herself
832899	191014	Herself
832899	200233	Herself
832900	381821	Ensemble (1972-1974)
832901	277909	Fiddler
832902	325445	
832903	234826	Pige/Girl
832904	37659	Reporter
832904	197718	Mother
832905	208335	La vendeuse bijouterie
832906	166370	A philosophy student
832907	281834	Frau Hasold
832907	325842	Anni
832907	352581	Heike Schumann
832908	358662	
832909	29488	Woman In Distress
832909	302793	Jello Helper
832910	16644	Midwife
832911	236972	Fighting Mouse
832912	299654	Hattie
832913	315900	
832914	130422	Nicole
832915	32046	
832915	93970	Billie, the drop-out
832915	150424	Sue
832916	53266	Singer-Comedienne
832916	231952	
832917	259925	
832918	42296	Inga's Mother
832918	97237	Beamtin
832918	219713	Mädchen
832918	288994	Frau2 mit Badeanzug
832918	290051	
832918	325754	
832918	376423	Thea
832918	405500	Birgit Horsten
832919	953	Proffessor Kosta
832919	29755	Maid
832919	92760	Puar, Chiaoutzu
832919	137336	Shibei Inue (English version)
832919	137536	Mrs. Modeau
832919	152605	Antoinette
832919	154854	Wendy Richards
832919	175724	Okatsu
832919	176537	Mirai Yashima, Hotel Clerk
832919	176538	Mirai Yashima
832919	176540	Mirai Yashima
832919	216726	Dorothy Catelonia
832919	265578	C-Ko Kotobuki
832919	265579	C-Ko Kotobuki
832919	265580	C-Ko Kotobuki
832919	265581	C-Ko Kotobuki
832919	265582	C-Ko Kotobuki
832919	267536	C-Ko (after 1st Vol)
832919	272209	Shampoo/Azusa Shiratori
832919	272213	Shampoo, Azusa Shiratori
832919	272214	Shampoo
832919	323776	Spunky
832919	350190	Other voices
832919	367081	Aunt
832919	379337	Additional Voices
832919	382648	Mistuo Minamotono, Comodo Mah
832919	385172	Mrs. Winkle/Hilary Hissy/Lily
832919	385470	Cybersix/Adrian Seidelman
832919	386818	Marian Martin
832919	386922	Chiaotzu (I)/Puar (I) (1996-1
832919	388729	Poison
832919	389866	Chadd
832919	390961	Pepper, Laura's Mom (Mirian H
832919	392294	
832919	392964	Kagome's Mother
832919	394422	Mirai Yashima
832919	394463	
832919	395762	
832919	396564	
832919	397054	Old Woman, Anna's Mother, Mrs
832919	397341	Additional Voices
832919	398000	Dorothy Catalonia
832919	398125	Empress Dowager
832919	402863	Shampoo
832919	403541	Additional Voices
832919	405501	Drill Sergeant Duck
832919	406012	Sanae
832919	409380	Vern
832920	302702	Frumeh
832921	307768	Extra
832922	81644	
832923	215477	Host
832923	215478	Host
832923	215479	Host
832923	215480	Host
832923	215481	Host
832923	215482	Host
832924	94273	Gerd
832924	153956	Marit
832925	259676	Frau Münch
832927	324795	Little Andrea
832928	369347	
832929	74786	Babcia Sontowa
832929	266322	
832930	223807	Nancy #2
832931	80959	Cathy
832932	272724	Interview Subject
832933	2445	Herself (joint funeral)
832934	187420	The Black Canary
832935	229259	Caitlyn
832936	236957	
832937	169545	Crowd/Atmosphere
832938	157023	Dental Assistant
832939	49828	Rat Woman
832939	226981	Waitress
832940	140098	Erica
832941	58542	Girl #2 at Annie Audition
832942	102117	Heaven
832943	155272	Brittany
832944	235570	Vixon
832945	10355	Vrouw in hotel-bar
832945	94923	Huisvriendin van Van Rijn
832945	94925	Henriëtte van Marle
832945	188915	
832945	265043	Gouvernante
832945	265145	Toos
832945	375788	Maurits Groen´s vrouw
832946	46854	Little Girl
832947	142394	Cathy
832948	31908	Pupil
832948	93602	Sabina
832949	90062	
832949	293700	Guard II
832949	396845	
832950	367100	Herself
832950	374287	Herself (1974)
832951	245787	Countess Mirova
832952	137675	Teddy
832953	376433	
832954	158795	Mother
832955	86344	
832955	89494	
832955	210133	Schwester
832955	221617	
832955	225627	Olga
832955	256602	
832955	283223	
832955	338366	Heike Seefeldt
832955	345917	
832955	350862	Sabine
832955	351938	
832955	354057	Dele
832956	304683	
832957	115394	Hildur
832957	136579	Kati, maid
832957	147014	Mrs. Ashmore
832957	153715	Birgit Ljusnar
832957	153900	Brita
832957	315565	Gunvor
832957	331036	Esther Engelstoft
832957	342303	Frederique Grönlund
832957	350042	Madonnan
832957	377387	Sago-Gunnel
832958	288862	Narrator
832959	10348	Martha
832959	11323	Landlady
832959	30277	Sandor's Houskeeper
832959	39720	Anna, the nursemaid
832959	44968	Ma Vangarick
832959	71784	Bit Part
832959	72499	Mistress of Novices
832959	92959	Wardrobe Woman
832959	105297	Woodcutter's wife
832959	118382	Frau Richter
832959	133670	
832959	160880	Emma, The Maid
832959	183373	Charwoman
832959	188202	Mrs. Henkel
832959	199370	Mrs. Donkenspeil
832959	203132	Old Lady
832959	208972	Wife
832959	214945	Mrs. Greene
832959	218349	Elderly Housekeeper
832959	219195	Foxglove Woman
832959	264484	Frau Holf, cook/caretaker at 
832959	273225	Mrs. Black
832959	308299	Essie Wimple
832959	315645	Mother
832959	315956	Mrs. Young
832959	316692	Marguerite 'Greta' Fiorentino
832959	330375	Minister's Wife
832959	330626	Mrs. Schmidt
832959	360705	Mrs. Sobieski
832959	367462	Anna
832959	367511	Mrs. Agnew, Housekeeper
832960	121561	Theresa
832961	228268	Herself
832962	323974	Elegant Woman
832962	325058	Sara Bailey
832962	355065	Woman in Chiffon
832963	157725	Laura
832964	16245	Christa Teichmann
832964	31379	
832964	70740	Cordula
832964	101337	Henriette Stein
832964	102152	Valerie Gärtner
832964	102610	
832964	109444	
832964	123946	Therese Brandl
832964	134837	Herself
832964	142062	Maria Thomas
832964	144150	
832964	155456	Sophie Naglmüller
832964	166431	Glaube
832964	178806	
832964	186901	Agnes
832964	186984	
832964	189433	Käthe Zeller
832964	205543	Maria Ilona
832964	205583	Maria Theresia
832964	207213	Leopoldine Dur
832964	231480	
832964	234297	
832964	306410	Grand Duchess Marie Louise
832964	311068	Hanna
832964	312203	Sophie von Angerspang
832964	345673	
832964	348064	
832964	349662	Dr. Elisabeth Kamma
832964	360926	Gabriele
832964	361083	Genia
832964	366591	Fürstin Pia Maria/Maria
832965	134964	Fia
832966	237704	
832967	317956	Mia
832968	30071	
832968	31665	
832968	146273	
832968	220165	
832969	210333	Herself
832969	210337	Herself
832969	377428	Gun Jönsson
832970	321928	Young Synnöve
832971	298474	Petra
832972	371028	Nurse
832973	2837	Dominique
832973	310571	Beautiful Girl
832974	127311	Kim Early
832975	192279	Tracy
832976	9129	Judy
832976	18564	American Girl
832976	86224	Jeanine Morse
832976	169468	Ella Newsome
832976	224693	Mom
832976	318605	3rd Girl
832976	330177	Pregnant Secretary
832976	364440	Debbie
832976	366300	Miss Redburne
832976	374039	Debby Dalverson
832977	56373	Amber Whitmire
832977	115588	Kim
832977	194136	Kelly Montgomery (Rachel's da
832977	213963	Stacey
832977	391880	Jennifer Sadarski (1992-1993)
832978	252926	Herself
832979	119849	Lady Jane Godolphin
832979	127311	Suzanne Early
832979	393510	
832980	320123	Herself
832980	320146	Herself (sitting in audience)
832980	320149	Herself
832980	320150	Herself
832980	407078	Herself (3 Days, Saboga Tribe
832980	407083	Herself (Sole Survivor, 42 Da
832981	239756	Field Reporter
832982	92410	Cindy
832982	140938	Goddess
832983	15944	
832984	70105	
832985	33941	Woman at Settlement Camp
832986	68505	Paige
832987	118981	Herself
832988	127179	
832989	326604	Shawn Randall (Beach Victim)
832990	381091	Herself (eliminated round 1)
832991	26668	
832991	34899	
832991	131508	
832991	169685	
832991	191788	
832991	191861	
832991	196493	
832991	297823	
832991	297824	Angel
832991	313272	
832991	338766	Jenny
832992	333441	
832993	157092	Melanie
832993	168330	2nd Girlfriend
832993	278478	Tilly
832993	296789	Ruth
832993	382297	Herself - Presenter (1962)
832993	385299	Dr. Hilary Maddox
832994	234545	Midol
832995	376894	
832996	352620	
832997	62988	Ghost of Christmas Yet to Com
832998	3266	
832998	41645	
832998	87154	
832998	102830	
832998	149653	
832998	251475	
832998	252842	
832998	304784	
832998	336279	
832998	342445	
833000	249557	Lucy Primo
833001	160882	Dancer
833002	213133	Jenny
833002	347440	Mary Wilkinson
833003	69	Mrs. Vanderberg (Boer woman)
833003	31286	Aunt Edna
833003	204060	
833003	279611	Mrs. Falkland
833003	328501	Molly Doyle
833003	360882	Helen
833003	390276	Mrs. Robbins
833003	405165	Mrs. Weiss
833003	408688	Mrs. O'Brien
833003	409488	Mrs. Fitzpatrick
833004	218442	Agent Hannigan
833005	141015	Lila
833005	339884	
833006	21538	Belle St. John
833007	5053	
833007	16717	
833007	20840	
833007	22815	
833007	29300	
833007	41901	
833007	42770	
833007	46765	
833007	47535	Mrs. Barton
833007	75290	
833007	97671	
833007	99822	
833007	117027	
833007	142690	
833007	144620	Undetermined Role
833007	145003	
833007	150849	
833007	177587	
833007	203753	Catherine
833007	220030	
833007	231749	
833007	239699	
833007	246770	
833007	298035	
833007	300029	Mamie Blake
833007	317161	
833007	329069	
833007	330289	
833007	331382	Hilda
833007	331886	
833007	341978	
833007	367286	Mary
833008	31157	Ethel Carey
833009	151620	Agnes Turnbull/Dream Girl
833010	45296	As herself
833011	321154	Dancer in 'Rhythm of Life' nu
833012	906	
833012	41913	
833012	41971	
833012	105776	
833012	119777	
833012	187411	
833012	295680	
833013	133995	Beautiful guest
833013	153187	Susanna
833013	283954	The Bigamy Sisters
833013	291259	Policewoman
833013	364628	Girl
833013	385220	Lizaveta
833013	403993	Various (10X on)
833014	190179	
833014	318792	Stock company member
833015	72504	Assistant plate twirler
833016	307712	Yuppie Woman
833017	213128	Mrs. Weatherford
833018	297190	Nurse #2
833018	317309	Oak Bluffs Theatre Woman
833018	330057	Medical Assistant #1
833019	91959	Receptionist
833019	106219	Jalon
833019	131585	Mrs. Morris
833019	245140	
833019	289059	Lida
833020	279615	Rachel Winters
833021	211324	Rosea Svalia
833021	231210	Martyn Tarne
833022	74470	Helen Fowler
833022	107145	Sheila Gilmore
833022	107901	Julie
833022	114039	Robin
833022	161472	Carly Astin
833022	190096	Jasmine
833022	195331	Muriel Hemingway
833022	199759	Kelsey Lee
833022	232241	Beth
833022	233519	Maria, Miss Germany
833022	252971	Sarah Parker
833022	267346	Susie
833022	267347	Susie
833022	277082	Ceilidh Carmichael
833022	286298	Liz
833022	308083	Kelly
833022	340754	Carol
833022	347242	Veronica Reynolds
833022	347243	Veronica Roberts
833022	358357	Sarah Frazer
833022	360014	Molly
833022	363943	Anna Rivers
833022	378627	Elizabeth
833022	383662	Wendy (1994)
833022	404622	Lucille
833022	404718	Jenny Grayson
833023	65973	Cinderella Girl
833024	27353	
833024	50531	
833024	50679	
833024	89676	
833024	228591	
833024	303924	
833024	360309	Nurse
833026	64389	Janis
833026	98659	Bit part
833026	230330	Valerian's Secretary
833026	310800	Billie Jo
833026	313601	Professor
833026	343884	Bonnie
833026	366236	
833027	4704	
833027	35313	
833027	59487	
833027	108371	
833027	117446	
833027	196335	
833027	208519	
833027	230983	
833027	245615	
833027	252957	
833027	321104	
833028	147633	Cameo appearance
833029	321043	
833030	321386	Girl in Black
833031	12594	Arana
833031	19736	
833031	105381	
833031	211948	Meryl Silverburgh
833031	211953	Meryl Silverburgh
833031	211954	Meryl Silverburgh
833031	211955	Meryl Silverburgh
833031	313480	Rebel Interface/Troop Carrier
833031	323889	Sephie
833031	340767	Additional Voices
833031	343308	Sheila, Birrel, Princess Orch
833031	378703	Lucky
833031	397162	Kat
833032	66083	Mrs. Benson
833032	142414	Mrs. Benson
833032	351909	Arlene
833032	400576	Additional Voices
833033	204747	Shorty's Wife
833034	58469	
833034	62033	
833034	82916	
833034	92483	Madame Rose
833034	160398	Joan
833034	187411	
833034	295626	
833034	313693	
833034	319458	
833034	326653	
833034	326816	
833035	217909	
833036	188362	Pixie Skase
833037	394016	Additional Voices
833037	394424	Additional Voices
833039	21503	The Maid of Honor
833039	22888	Minnie's Friend/Dinner Guest
833039	25466	
833039	29338	Martha Bourne
833039	45804	Tourist
833039	47463	The Manicurist
833039	47466	Townswoman
833039	49795	One of the Children
833039	52551	A Gypsy
833039	61387	Indian
833039	61592	Ruth
833039	61630	Well-Wisher
833039	61635	At Second Party
833039	62672	One of Gladys' Friends
833039	65776	At the Palace
833039	70272	Leaving Bar
833039	70718	In Tenement
833039	70811	Visitor to the Grain Elevator
833039	73100	Sister Bertha (unconfirmed)
833039	79718	Party Guest
833039	81083	One of the Wife's Companions/
833039	81585	At Laundry
833039	85852	
833039	93757	One of Mignon's Sisters
833039	94976	At the Inn
833039	101430	A Friend/Member of Dramatic C
833039	104312	Jane
833039	105593	Student
833039	107573	Neighbor
833039	109791	
833039	115080	At First Party
833039	116734	At Court
833039	121376	Confederate Son's Fiancée
833039	127463	A Maid
833039	128114	
833039	128623	Doctor Payson's Second Daught
833039	130826	Reveller
833039	130877	Camilla
833039	135374	Dorothy
833039	136953	Elsie Pepper
833039	141168	The Daughter
833039	146016	The Maid
833039	146057	At Wedding
833039	146103	The Woman
833039	146231	Wedding Guest
833039	146260	
833039	146261	The Frazier child, as an adul
833039	146308	Maid
833039	149148	At Farewell
833039	151158	His sister
833039	154144	The Maid
833039	157102	At Second Party
833039	157451	The Daughter
833039	157775	At the Ball
833039	158120	Union Maiden at Farewell
833039	158156	Edith's Friend
833039	158475	At Brainard's
833039	163702	
833039	168994	Theatre Man
833039	178914	The Rancher's Daughter
833039	183676	First Maid
833039	188158	
833039	190484	At the Ball
833039	190899	The Tenement Girl
833039	191115	The Second Wife's Friend
833039	191754	
833039	195577	Lady-in-Waiting
833039	195693	
833039	195930	Party Guest
833039	197675	At Dance
833039	209419	At Party
833039	213075	Mercedes
833039	213115	At Party
833039	220358	At Dance
833039	230600	Marta
833039	231025	On Train
833039	236931	
833039	237663	Aristocrat
833039	241581	At the Party
833039	241783	
833039	242503	One of Hetty's Relatives
833039	257194	Storemate
833039	259393	Woman, First Couple
833039	264373	Unidentified Role
833039	264375	
833039	267496	
833039	271852	Woman in chapel
833039	274210	Indian
833039	277130	The Moonshiner's Daughter
833039	280303	At Church
833039	280984	Tourist
833039	281848	A Sea Child
833039	282271	Sculptress's Friend
833039	286331	
833039	305706	
833039	310315	Gypsy
833039	312326	Undetermined Role
833039	316129	
833039	318718	At Party
833039	319271	Sweatshop Employee
833039	321722	Jenny Baker
833039	331078	Theatre Audience
833039	331080	A Daughter
833039	331149	Laura's Friend
833039	331220	On the Street
833039	334292	At Party
833039	339581	At Gallery
833039	342678	Girl on Farm
833039	342761	Mexican
833039	343081	
833039	343223	At Party
833039	345733	Villager
833039	348952	At Luncheon
833039	353390	Visitor
833039	356295	At Party Meeting/Servant
833039	358282	One of the Poor
833039	359668	
833039	360226	A Young Girl
833039	362564	On Street
833039	366311	At Stage Door
833039	367461	Maid
833039	368770	At Party
833040	1801	Herself
833040	1820	Herself
833040	24299	Irene
833040	34784	Herself
833040	64570	Herself (ringmaster)
833040	121504	Herself
833040	270343	Melissa Raccoon
833040	279412	Herself (singer)
833040	292171	
833040	304013	
833040	313807	
833040	330818	Herself
833040	407935	Guest Performer
833041	137548	Mrs. Lee
833041	278276	Mrs. Waite
833042	27447	Darleen
833042	151006	Maid
833043	213186	Marie Ferguson
833045	274332	Lermontov's secretary
833046	168948	Message from the Lord Choir
833047	305600	Chorus Singer
833048	27160	Violinist
833048	288050	
833049	13829	Georgia Chapin
833049	210871	Woman
833050	38685	Woman in theater
833050	231789	Herself
833050	231965	
833050	277531	The cook
833051	186681	Angel of Mercy
833052	357068	Sarah Strauss
833053	331661	Georgina (segment "Michael")
833054	153211	Cleaning Woman
833054	192691	Mrs. Peters
833054	369178	Matron
833055	41270	Job Centre Receptionist
833056	257058	Violet
833058	28637	Gracie
833058	52651	Herself
833058	109852	
833058	306489	Liz
833058	348400	Gracie
833059	175597	Buffy
833059	272471	Callie
833059	294139	Desiree
833060	267526	Art
833061	304443	Tura Satana Look-Alike
833062	374299	Shaun
833064	41785	Mrs. Harris
833064	114007	Mrs. Cardross
833064	178355	Lady Inglehart
833064	239651	Mrs. Clark
833064	263504	Mrs. Poore
833064	285781	Doña Encarnación
833064	360605	Hal's mother
833065	16660	
833065	140658	Buffy
833066	212141	
833067	111809	Grace
833068	276169	Reporter
833068	400258	Jo
833068	400875	Katie Jackson
833069	264177	Mrs. Eardley Smith
833070	236182	Contesa Almaviva
833071	154937	Fille casting
833071	211824	Girl
833072	140168	
833073	23956	Melinda Sale
833073	38875	Yvette
833073	41756	
833073	43533	
833073	55282	Bride
833073	67828	
833073	75191	
833073	86477	Acting Student
833073	88888	Mrs. Randall
833073	141560	
833073	142417	Ann
833073	162561	
833073	195599	
833073	195611	Jennifer West
833073	195817	
833073	215570	
833073	231882	
833073	258023	
833073	281999	
833073	295869	
833073	319735	Lisa
833073	333553	
833073	351429	
833073	366352	
833073	372816	Vanessa
833074	205339	Sylvia
833074	335714	Cathy Taylor
833075	410653	Rosie Wallace
833076	214814	Bridesmaid
833077	238920	Sutekh's Milk Recipient
833078	263308	Herself
833079	74129	Director's PA
833079	343032	Gabrielle
833080	64499	
833080	72302	
833080	91602	
833081	90737	Deborah
833081	93322	Grace Baker
833081	117987	Sandy Hinkle
833081	202949	Beth
833082	196208	Debbie
833083	74090	Mrs. Ken's daughter
833083	390432	Nouveau riche woman
833084	228267	Herself
833085	358604	Church Lady
833087	273278	Herself (Tantra)
833088	83875	Pamela Wilkinson
833088	312391	Stokes' Floosie
833089	107689	Boyce child
833090	131686	
833091	384097	Vicky (1999)
833092	114626	Alice
833093	392146	The Designer
833095	41063	Herself
833095	87697	Bridget
833095	109530	Herself
833095	125425	Herself
833095	257655	Herself
833095	257823	Herself (Miss February 1997)
833095	257866	
833095	356649	Herself
833095	382164	Iris Lookingood/Vision
833096	75031	
833096	241670	
833097	192413	Hummel Child
833098	200330	Marlene
833099	16670	
833099	331915	Willie's Mother
833101	260055	Maria
833102	277716	Girl Student
833103	155312	
833103	343201	Masseuse
833104	10587	Nurse
833104	11385	Jennie
833104	14092	Marie Moulinet
833104	18552	Casino Patron
833104	26863	
833104	30122	Guest
833104	30378	Madge Spencer
833104	39720	Maid
833104	41930	
833104	44089	Lucy Ward
833104	47311	
833104	55417	Nurse
833104	63992	Bit Part
833104	67402	Mrs. Doyle
833104	91701	Hotel Maid
833104	96829	Townswoman at Carnival
833104	96853	Nurse
833104	96861	Hannah, Nora's Maid
833104	105227	
833104	105333	Delia Marshall
833104	107873	Receptionist
833104	109606	
833104	117423	Stenographer
833104	128152	Committee Woman
833104	128416	Nurse
833104	128889	Professor Josephine Penz
833104	132360	Mrs. Reyton
833104	136280	Woman
833104	144557	Jeeanne de Contrrecoeur
833104	147512	Mrs. Thayer
833104	149481	The Hopper
833104	160047	Madeline Carson
833104	160971	Admittance Clerk
833104	162856	Yorna Smith
833104	168981	Saleswoman
833104	185991	Sarah
833104	187690	Nurse
833104	188294	District Attorney's Secretary
833104	190268	Elderly Woman
833104	190858	Nurse
833104	190988	Gertrude Muldane
833104	191739	Neighbor
833104	195182	Olivia Ferol
833104	195190	Special lady
833104	195764	Maid in Tony's Bathroom
833104	196253	Marie Brauzard
833104	203132	Secretary
833104	207153	Miss Beech
833104	209592	Bit part
833104	211570	Mrs. Peabody
833104	216234	Jean's Landlady
833104	223032	
833104	234220	Miss Spellman
833104	235676	Woman
833104	241892	Mrs. Roby
833104	243217	Matron
833104	244863	Bridge Player
833104	246598	Dorothy Britton
833104	252286	Nurse
833104	253126	Reporter
833104	262041	Jeano
833104	263592	
833104	266223	Mrs. Allen Wentworth
833104	272894	
833104	274502	
833104	275451	Teacher
833104	278276	Martha
833104	295447	Arlette
833104	301844	Mary
833104	302831	Mrs. Lang
833104	306797	Vi Challoner
833104	309486	Nan Barker
833104	313076	Stenographer
833104	315644	Nurse
833104	329329	Bus Passenger
833104	329481	Thin Woman
833104	329605	Miss Brighton, Mr. Forbes' Se
833104	330059	Woman
833104	335649	Clinton's Stepmother
833104	342394	Charwoman
833104	342859	Nurse
833104	343160	Old Lady
833104	346043	Bit Part
833104	351743	
833104	361681	Manageress
833104	362792	
833104	363282	Mrs. Bogardus
833104	363622	Nurse
833104	363960	Miss Hudson
833104	364200	Tonia Marsh
833104	364453	Survivor
833104	367046	Gossip
833104	367558	Lillian Marrish
833104	372232	Mother
833105	158865	Ina Rae
833105	277635	Sorority girl #2
833105	277648	Young Woman
833105	385653	Kim
833108	79675	CDC Reporter
833108	93791	Radio Reporter
833108	274476	Publisher #3
833108	346224	Reporter
833109	220484	Anne
833109	245882	Waitress
833110	69961	Reporter
833111	277110	Mrs. Gere
833112	372065	Emma
833112	399129	Herself
833112	399130	Dione 'Dee' Bliss/Rebecchi (2
833113	6982	Gypsy's wife
833113	50938	
833114	50614	Bit Role
833114	117086	
833114	214984	Bit Role
833114	236870	Mrs. Vance
833114	327241	Bit Role
833114	397229	Grandma 'Gram' Muriel
833115	2257	Herself - Performer: 'Baby, I
833115	26993	
833115	33607	Ruby Carter
833115	56579	
833115	105124	Peaches O'Day
833115	109372	
833115	129839	Mavis Arden
833115	130300	Cleo Borden
833115	130338	Herself
833115	131677	Herself
833115	141571	Fay Lawrence
833115	147801	Herself
833115	147804	Herself
833115	147811	Herself
833115	147841	
833115	147892	Herself
833115	154972	Tira
833115	178758	The Frisco Doll/Rose Carlton/
833115	195613	Herself
833115	224100	Flower Belle Lee
833115	224499	Leticia Van Allen
833115	231760	Maudie Triplett
833115	295636	Herself
833115	296206	Marlo Manners/Lady Barrington
833115	297909	Lady Lou
833115	402964	Herself
833116	392747	
833117	228453	Maggie Prescott
833117	358874	Molly Thompson
833117	375693	Madam Rita
833118	45920	
833119	158261	
833120	148210	Aunt Jean
833120	328824	
833120	331489	Mum at Regatta
833120	348645	Mrs. Willia
833121	1165	
833122	50869	
833123	96478	
833123	365007	
833124	270940	
833125	46369	Lizzie
833126	70960	Cigarette girl
833127	313414	Vedek Rasmus Selin
833128	327300	Female Anchor
833128	383700	Anchor
833129	2275	Herself
833129	380713	Carly Tenney Snyder (1995-199
833130	358609	Clary's Moll
833131	349383	
833132	18544	Madman's Wife
833132	281547	Carrie Jensen
833132	297360	
833133	222280	Herself
833133	298304	Herself
833134	136128	Wedding Dancer
833135	139483	Bern's Secretary
833136	337115	Emma Lou Cook
833137	89646	Mrs. Adams
833137	159269	Mrs. Travers
833137	286130	Aunt Mary
833138	78862	Mrs. Todine
833139	240472	Mr. Thurston's Mother
833140	40086	
833141	50195	Mrs. Fishman
833141	79055	
833141	88648	
833141	190242	Louise
833141	403765	Crystal Anderson-Conner (1988
833142	78826	Katriana
833143	234204	Nichol- Mira's friend
833144	75191	
833144	102813	
833144	189453	
833144	304307	
833144	333904	
833145	86815	Deidra Holland
833146	6906	Sally
833147	276892	
833148	191083	Herself
833149	10845	Operative
833149	31054	Susan Kramer
833149	57216	Irene Riggs
833149	95108	Whilelmina
833149	96519	Lady Violet Dongby Albertini
833149	183854	Mrs. Brympton
833149	185632	Simone
833149	202920	Sarah Tarrant
833149	207402	Lady Diana Swinstead
833149	222593	Mrs. Lestrange
833149	232815	Freya
833149	265617	Gloria
833149	281727	Brenda Parker
833149	310194	Jan Ralston
833149	330669	Sheila
833149	347314	
833149	364647	Mrs. Bishop
833149	387495	Desiree Candeille
833149	405026	Elizabeth of York
833149	405696	Hilary
833150	199309	Suzuki
833151	330836	Child
833152	7884	Woman #1
833153	16901	Girl Angel
833153	52201	Gail Keating
833153	147972	Fresca, the Foot Model
833153	186431	Female Co-pilot
833153	231507	Tanning Attendant
833153	244810	
833153	276904	Fashion Expert
833153	280156	Nun
833154	375508	Housewife in Park #2
833155	47370	Girl with Bryant
833155	96926	Neighbor
833156	36536	Singer
833156	327055	Paula West
833157	71286	Camera woman
833157	140186	Maid
833157	148570	Jamie's Teacher
833158	33742	Portia (Clearing Singer #1)
833159	381898	Herself - Sharna's Sister (20
833160	63223	Herself - Reporter
833160	274525	Witness
833161	154866	Tina Clark
833161	357567	Sexy Mom
833162	178139	Dawn's Mother
833163	398940	Anchorwoman
833164	372898	Girl
833165	232181	Persien's Guard
833166	164366	Natalie
833167	97540	Herself
833168	410036	Herself
833169	333869	Herself
833171	34732	Herself
833171	36848	Housemate: Evictee #2
833171	36855	Herself
833171	101946	Herself
833171	381898	Herself (2002)
833171	381917	Herself - Evictee #2: 13 May 
833172	121504	Herself
833172	149109	Singer
833173	213854	Herself
833173	213867	Herself
833173	222280	Herself
833173	298304	Herself
833174	5871	Margaret Cybulkowski
833174	47542	Alice Parks
833174	127528	Mary O'Halloran
833174	252358	Television Director
833175	395698	Hollywood Reporter (2000-2004
833176	76216	Andrea
833176	306245	
833176	338815	Sarah
833178	166738	Jenny West
833178	257108	Jane Gavin
833178	269624	Jane
833178	399130	Emma Gordon (1987-1988, 1991)
833178	404357	
833180	138135	
833181	261289	
833181	295614	Beth
833182	128630	
833182	128638	
833183	53323	Sydney, Graduate Student
833184	104974	Dancer #1
833186	269815	Secretary Ad Agency
833187	87512	Receptionist
833187	124594	Miss Pyke
833187	194513	Miss Pyke
833187	259779	Ladies Aider
833187	409841	Jemima Pinkerton
833188	265169	La jeune mère
833189	93970	Mrs. Kunt
833190	184878	
833191	287550	Ellingsen, Cecilie
833192	590	Heather
833193	225015	
833194	387247	Sam Mitchell/Butcher (I) (199
833194	389248	Dawn Dillon
833194	392463	Herself (Series 2) (2003)
833194	392469	Herself - Runner-Up (Series 2
833195	54264	Francee Marino
833195	69961	Secretary
833195	162364	Hazel
833196	235056	Smoker #2
833197	207238	Meredith
833198	34117	Hill's Little Angel
833198	72760	
833198	364172	Herself
833198	381661	Hill's Little Angel (1984-198
833199	14981	
833199	34911	
833199	69421	Girl in Street
833199	102789	Nicole
833199	292817	Pregnant Girl
833199	364172	Herself
833199	381661	Various Roles (1975-1979, 198
833199	389869	Girl/Student
833200	168680	Jennifer
833200	221779	Girl
833201	16784	VIP friend
833201	179071	Nora
833201	272021	Monique
833201	289024	Alyssa
833202	76504	Minnie
833203	107258	Betty Owens
833204	265556	Abigail Holmes
833205	308382	Wench
833205	366193	Lita
833206	154629	Esther Graham
833207	197294	Lucy
833207	274597	Hotty #2
833207	313418	Crewman Sydney Stockman
833208	17761	
833208	59340	
833208	109822	
833208	140692	
833208	172328	
833208	195790	Thelma
833208	265556	Hattie Holmes
833208	366229	
833208	366334	The Maid
833209	3267	Sexy Woman in Car
833209	12228	Girl 1
833209	40252	Roxanne
833209	134654	Connie, Flight Attendant
833209	206439	Shelley
833209	224382	1st Lady Lois Sullivan
833209	333289	
833209	346016	Danielle
833209	353718	
833209	400543	Host
833210	129025	Cornelia
833211	78817	
833211	92871	
833211	100001	Charles Foster
833211	245284	
833211	273002	Additional Voices
833211	321743	
833212	128780	Narrator
833213	38248	Banquet Guest/Zombie
833213	105779	Jane Decarlo
833213	209209	Argenta
833213	209210	Argenta
833214	42556	Fru Reiersen
833214	95813	Sonja
833214	145422	
833214	153200	Hustruen
833214	284403	
833214	400008	Gunihld Hartløfsen
833214	405575	Sara
833215	360852	Cecilie Strand
833216	223349	Girl Playing
833217	41063	Herself
833217	52312	
833217	57943	Herself
833217	118515	Showgirl
833217	124019	
833217	182998	Sofia
833217	231885	Detour Segment
833217	233500	
833217	257652	Miss December
833217	257662	
833217	257866	
833217	273282	
833217	278470	Bad Girl Gang
833217	356649	Herself
833217	361855	Herself
833218	44509	Billy's Date
833219	120297	TV Presenter
833219	385432	Host
833219	411752	Host
833220	1042	Cynthia Stedman
833220	4622	Vicky Edwards
833220	6984	Lady Diana
833220	7405	Undetermined Role
833220	9975	Mary Lynn
833220	26967	Miss Haller (receptionist at 
833220	31288	Winifred Lancaster
833220	59437	Ann McKeever, abductee
833220	63993	Schoolteacher
833220	72175	Linda Garnet
833220	77794	June
833220	79852	Vivian
833220	115180	Peggy Farrar
833220	128192	Miss Brooks
833220	130049	Rosamund
833220	135791	Arlene Reach
833220	135918	Peggy Walsh (Ringo)
833220	142872	Student
833220	148585	Jo Ann Rice
833220	150008	Velma
833220	154293	Bella Longtree
833220	154409	Mrs. Burrows
833220	161886	Tara O'Neill
833220	185335	Mrs. McCluskey
833220	193131	Martha Gargan Haines
833220	213309	Cobweb, a Fairy
833220	218391	Nurse Molly Riordan
833220	220830	Tri Gam Coed
833220	241468	Annie Mae Hunter
833220	254787	Jane Trask
833220	255445	Mrs. Straub
833220	276809	Averill
833220	292508	Susan Haggerty
833220	305455	Toni Peters
833220	317415	Miss Julia Miller
833220	323389	Merry Coombs
833220	323878	
833220	331306	Woman prisoner
833220	332046	Betty 'Tiny' Norton
833220	363623	Secretary
833220	366793	Jennifer March
833221	54268	Poet/performer
833222	144843	Lady Barr-Nunn
833222	157736	Jessie Vicars
833222	183840	
833222	312005	Lady Norchester
833222	343056	
833222	367440	
833223	61639	Mary Huxley
833224	48939	Gwen
833224	92677	Julia Hughes
833224	382838	Shelly Bower (1999-2001)
833225	135727	Yahoo
833226	109126	Carl's Ex-wife/Girl at party/
833227	64828	
833228	4536	Girl Singer
833228	69391	Employee
833229	334149	Jennifer
833230	210093	
833231	131470	Donatella
833232	58511	Mrs. Billingsley
833233	278318	Woman corpse
833234	236950	Hitchiker
833235	866	Herself
833235	108244	Carol Rosen
833235	245240	Herself
833235	272761	Judy Lane
833235	320432	Herself
833235	363406	Self
833236	63076	Performer
833237	132431	Anita's friend
833238	129180	Herself - Dancer
833239	46918	
833239	52107	
833239	60396	
833239	82989	
833239	99663	
833239	103791	
833239	166897	
833239	344699	
833240	139296	Lady in House
833241	238803	Modell
833242	410280	Eva Holm (2000-)
833243	217803	
833244	388894	Fru Willander (episode 9)
833244	405378	
833245	342258	Nurse #1
833246	77404	Maja
833246	78514	Marianne Stern
833246	101640	Eva
833246	184000	
833246	217451	Saleswoman
833246	346971	Barbro, singer at the ball
833247	145482	On the Highway
833248	240924	
833248	302793	Cop Caller
833249	319956	Miss Jenner
833250	112174	
833250	171797	Dienstbode van Van Schoonbeke
833250	209581	De schooljuffrouw
833250	394612	Gast bruiloft Alie en Bertus
833251	210620	Grapes
833251	331934	Laughing Woman
833252	191565	Reija
833253	389734	Clerk
833254	42788	Tooth Woman
833254	65605	Pain Woman
833254	70893	
833254	90392	Stripper 1
833254	315999	Paula
833254	340857	Beverly Black
833254	363303	Lou
833255	78519	Tvärsan's Mother
833255	120922	Mrs. Wahlström, newlywed
833255	121004	Anna
833255	121006	Margareta Langenhielm
833255	135672	Ulla
833255	166078	Madeleine
833255	187639	Ms. Gertrud Lundberg
833255	188874	Vivi
833255	190821	Maggan
833255	205677	Birgitta
833255	214357	
833255	215467	Eivor
833255	272501	Ulla Larsson
833255	284123	Julle's Fiancee
833255	322298	Ulla
833255	346969	Aunt Prue/Clarice
833255	353442	
833255	377287	Woman in Comercial
833255	390230	Charlotte Rylander, colonel's
833255	391363	
833255	403084	Desirée Lindman (1994-1995)
833255	405619	Ulla
833256	11883	Herself
833257	192647	Kersti
833257	307221	Guest at the wedding
833258	312056	Daphne
833259	390242	Esther Salee (2003)
833260	43452	Herself (cello)
833260	168682	String Quartet
833260	215696	Performer
833260	251087	Guest Performers
833261	153095	Psykologi
833261	181933	Tuula
833261	355135	
833261	409801	
833262	369912	Marshall
833263	197738	Girl
833264	151537	
833265	158035	Herself/"Shirley Partridge" F
833266	350502	Miss Pinkerton
833267	380337	Sara
833268	322459	
833269	349575	Eva
833269	394322	Woman next door
833270	84300	Elsa
833271	303194	Head of judges
833272	401	Ulla Möberg
833272	40919	Leonardo's wife
833272	42210	Aily
833272	48373	Irma Palm
833272	78514	Majsan
833272	101451	Maria, Allard's housewife
833272	109091	Pia
833272	109121	Ulla, Bellman's friend
833272	114961	Fransiska Karlsson
833272	138182	Peggy Mann
833272	144235	Solveig
833272	174117	Mamma
833272	180219	Wendy
833272	182079	Lenas Holmes
833272	182264	Märta Åvik
833272	182563	Greta
833272	182573	Lisette
833272	198006	She
833272	205677	Annika
833272	225625	Doris
833272	228389	
833272	237274	
833272	258993	Catherine
833272	276130	Kerstin
833272	284123	Ulla Winge
833272	285407	Mrs. Bergdahl
833272	304405	Astrid
833272	305875	Jessica
833272	308194	Daughter of house owner
833272	322663	Amelie
833272	339239	Olivia
833272	341094	Mrs. Vivi Sander
833272	346971	Girl at the gas station
833272	354419	Teresa
833272	354440	Rita
833272	357769	Lillebror's Mother
833272	377337	Anni
833272	394225	Miss Larsson
833272	400344	Liselotte
833272	405785	Louise Edvardsson
833273	245046	Seaplane Pilot
833274	142325	
833275	16806	
833275	122500	Aunt Gulla
833275	334044	Gulla
833275	341786	Lydia Lindström
833276	233654	Bartender
833277	64098	Young Brianna
833277	150786	Kate
833277	165474	Margaret
833277	177421	Catlin Gatley
833277	208994	Sylvie
833277	232817	Katie
833278	121803	Herself
833278	294150	
833279	156150	Mother Eric
833279	390867	Suus van Roon
833280	65684	
833281	324235	A Clown
833282	178376	Statist
833283	17040	Tanja Seitz
833283	33450	Sophie Winter
833283	84589	Eva
833283	100350	Alices Mutter
833283	126335	
833283	132694	Rosi
833283	166725	
833283	177181	Heike
833283	186606	Anke Straub
833283	210021	Johanna Bach
833283	313661	
833283	314716	
833283	315949	Alice
833283	325535	
833283	325815	Anna Henkel
833283	334631	
833283	343689	Carmen Lehmann
833283	361503	
833283	365877	Sonja
833283	367347	Katja
833283	376300	Leila
833284	378630	Host
833284	411994	Host
833285	24746	Mieke Hernandez
833286	371214	Kate, Dame Carruthers' Niece
833287	150972	Mrs. Haffen
833288	59823	Mavis
833288	62697	Tanya's Mother
833288	397912	Gertrude Snipe (1992)
833288	410653	Liz Edwards
833289	80996	Deirdre
833290	147020	Stella
833291	2588	Laila
833291	16266	Camp Maid
833291	84315	Guest at the restaurant
833291	107236	Library Secretary
833291	122464	Bylitta
833291	135671	Leclerc's secretary
833291	137294	The lady in the street
833291	187563	Signe Fred
833291	190809	Mormor Alma
833291	199083	Svea
833291	247600	Rufus krut
833291	259354	Bittan
833291	270935	Young woman
833291	270936	
833291	391363	
833291	405588	Thure Björkman's mother
833291	408748	
833292	100008	Alexandria
833292	216162	Phone Room Operator #7
833293	402965	Co-Host (1998-1999)
833294	158825	Audrey, WOMB member
833294	195769	Truck Driver
833294	374573	Motel Clerk
833295	66164	Courtney
833296	130792	Patti Riley
833296	380736	Herself/panelist
833296	381658	Alma Wells
833296	382355	Herself (regular performer, 1
833296	405496	Emcee (1950)
833297	155453	Dancing Secretary
833298	2723	Val
833298	2816	Nominee for Best Performance 
833298	125488	Jane Anderson
833298	175171	Melody Carpenter
833298	178218	Jessica Stein
833298	293099	
833298	295636	Herself
833298	347916	Catherine
833298	391771	Kelly O'Malley
833298	409226	Melissa (1998)
833299	401773	Jonas' mother
833300	297775	Debbie
833301	190976	
833302	21375	Julie
833303	121038	Bobby
833303	376446	Bobby
833304	121038	Billy
833304	376446	Billy
833305	3672	Herself
833305	82065	Herself
833305	92593	Dr. Ruth
833305	98765	Herself
833305	98912	Talk Show Host
833305	117683	Herself
833305	168129	Herself
833305	346543	Mrs. Heffner
833305	381798	Dr. Ruth Wordheimer
833305	386898	Herself
833305	392424	Herself
833305	397782	Herself
833305	404970	Herself/Host
833305	410929	Herself/Host
833306	223817	Julia Simon
833307	308839	Party
833308	219280	Marloes
833309	297128	Witch #3
833310	319852	Guru
833311	372966	Standup-comedian
833312	425	Mimi
833312	40918	
833312	115879	Margareta Söderquist
833312	152637	Grandma
833312	166753	Marie-Louise
833312	181076	Ella
833312	181850	Josefin
833312	188873	Märta
833312	192645	Shosha
833312	238803	Tidningsbud
833312	303666	Emma, the counsel's cook
833312	341170	Eva
833312	346297	Nurse
833312	357799	Lena
833312	379797	Mormor
833312	403084	Barbro Pastorelli/Sjögren (19
833313	180076	Gudrun
833314	142780	Anki
833315	230972	Miss USA
833316	41502	Guest at First Party
833316	47132	Bit
833316	230622	Showgirl
833316	232224	
833316	313320	
833317	79937	Vicky Martin
833317	79938	Field Reporter
833317	107621	Stage Acress Helen Carr
833317	142935	Capt. the Countess Jeanne Mac
833318	23006	Mme. Dauvray
833318	30485	Lady Marshall
833318	59371	Mrs. Cherry
833318	118003	Lady Tarbutt
833318	162881	Mrs. Fairfax
833318	178900	Mrs. perkiss
833318	186018	Lady Stoutenberg
833318	192054	Lady Stilton
833318	207436	
833318	217961	Duchess
833318	218607	The Auntie
833318	241749	Chiana
833318	280936	Mrs. Wren
833318	283636	
833318	331487	
833318	351592	Mrs. Bradshaw
833319	130628	
833320	399105	Host (2002-)
833321	295446	Mrs. Wheelwright
833322	211343	Nerissa
833323	147809	Sheep-haired woman in balcony
833324	391558	Brooke Crabtree
833325	6162	Cousin Phillippa
833325	8182	Granny Manson Mingott
833325	10348	Aunt Sophie
833325	11582	Madame LeMaire
833325	17693	Marilla Cuthbert
833325	29288	Grandma
833325	30277	Countess Sandor
833325	32561	Emma Harper
833325	51877	Aunt Margaret Ridgeway
833325	54486	Abbie Howland
833325	54487	Abigail Morrow
833325	59933	Therese
833325	81281	Stephanie
833325	86842	Mrs. Caroline Drew
833325	137468	Martha Hargraves
833325	141951	Blind Anna
833325	150996	Gudula Rothschild
833325	154906	Madame Della
833325	175162	Mrs. Willoughby
833325	183650	Mrs. Brunot
833325	183848	Mrs. 'Ma' Frazier
833325	190858	Grandma Leonard
833325	194299	Landlady
833325	210404	Franceska Manzoni
833325	214080	Mrs. Galloway, Landlady
833325	220270	Mrs. Morris
833325	223912	Aunt Jessie
833325	273600	Aunt Miranda
833325	279687	Roberta (Aunt Minnie)
833325	297968	Martha Moriarity
833325	300062	Parthy Hawks
833325	302593	Mrs. Henty
833325	305606	Grandmother Bentley
833325	311475	Mrs. Lorrimore
833325	315791	Mrs. Hope
833325	319131	Aunt Barbara
833325	365087	Mrs. Blair
833325	374198	Anais
833326	69391	Roommate
833326	140016	Cheerleader 2
833326	153648	Groupie
833326	188929	Clubgoer #3
833326	275630	Dana
833326	277949	Woman in bath
833326	408703	Angie
833327	340957	Kate
833328	396250	Boarding-School Girl
833329	166753	Stewardess
833330	322819	
833332	26258	Baby Double
833333	296032	Johanna
833333	315034	Pop reporter
833333	399788	Dog (segment "Hundebanden")
833333	401861	Johanna, host and murderer?
833333	405746	Gisela
833334	134274	Farm Girl
833334	279323	Party Girl
833335	27309	Angela Hardy
833335	43469	Irma
833335	49244	
833335	49250	Gwen Longworth
833335	49251	Gwen Longworth
833335	54486	Gertie
833335	56687	Cicily
833335	59826	Mrs. Henderson
833335	62498	Liesel, Maria's Maid
833335	72499	Sagrario
833335	72521	Mazie
833335	90330	Amy, the Dressmaker
833335	93576	Anne Trepied
833335	110363	Emily Judson
833335	114131	Miss Midge Finch
833335	117098	Martha
833335	118040	Mlle. Cynthia Cliche
833335	120508	Sue Wells
833335	127074	Mrs. Cobb
833335	131005	Ada
833335	132016	Maybelle
833335	143355	Aunt Penelope
833335	144109	Nurse Willing
833335	149768	Woman in Elevator
833335	152433	Lulu Perkins
833335	161934	Briggs, a maid
833335	177460	Sue
833335	183429	Susie Flamberg
833335	185830	Jane Willing
833335	192408	Mamie (Mrs. Kirke's maid)
833335	204178	Annette
833335	204197	Miss Wood
833335	241595	Muriel
833335	252241	The landlady
833335	264171	Mrs. Bowers, First Aid Instru
833335	270271	Mrs. Smith
833335	275361	Aunt Zena
833335	275405	Miss Van Buren
833335	281810	Susie Reynolds
833335	300013	
833335	301682	Mae
833335	316115	Gwen
833335	317972	Dinah McCabe
833335	321115	Nellie Schmidt
833335	321556	Aunt Cora
833335	330107	Secretary
833335	331459	Peggy 'Peg' Woofers
833335	340905	Carmela Ramirez
833335	342715	Corie
833335	351438	Susan Crane
833335	360253	Anna-Marie
833335	362927	'Dotty' Leonard
833335	363190	Lulu 'Lu', a Waitress
833335	390255	Mrs. Featherstone
833335	396995	Mary Kay's mother (1947-1950)
833335	411821	Aunt Bertha
833336	122462	High school student
833337	353020	
833338	53059	Dee Dee
833338	187046	Sarah
833338	301554	Mary
833339	188033	Lady Gwen Patterson
833339	219190	Mrs. Degan
833339	232470	Matron
833339	238225	Bill's mum
833339	294355	
833339	304916	
833339	318819	Mrs. Shields
833339	328788	Reception ist
833339	358305	Diana's Mother
833339	360004	
833339	382206	Herself - Panellist
833339	384529	Mrs. Blanche White
833339	384581	
833339	387755	Herself (1974-1977)
833339	390433	Herself (1960-1961,1972-1975)
833339	399130	Mrs. Forster (1992)
833339	402197	Joyce Barry-Pringle (1979-198
833339	406891	
833340	88936	Katya
833341	2275	Herself
833341	228984	Herself
833341	228985	Sheridan Crane
833341	270971	Jake's daughter
833341	313423	Ba'ku Woman
833342	306853	'M.R.S. Degree' Woman
833343	99617	Herself (backing singer)
833344	393173	Joan
833345	241662	Neighbor with Dog
833346	362153	Nurse
833347	411133	Atlas Secretary
833348	44975	Debi
833348	117715	Fran
833348	185085	Janice
833348	330270	Nikki
833348	383289	Emma Campbell
833349	265091	Secretary #2
833350	5381	Elderly Woman
833350	7488	Mrs. Lumley
833350	10348	Woman
833350	29082	Dona Montalvo
833350	29288	Hattie
833350	30224	
833350	32561	Bit
833350	33091	Gibson
833350	33622	Mother
833350	33646	Emily
833350	40897	
833350	41091	First Woman Buying Cookies
833350	44570	
833350	46982	Woman
833350	47309	Mrs. Briggs
833350	48867	Maid
833350	49536	
833350	52431	Beatrice's Maid
833350	54949	Housewife
833350	55417	Small Town Woman
833350	67251	Teacher
833350	71718	Woman
833350	72570	Woman
833350	73124	Secretary
833350	77792	Mrs. Hamilton
833350	78085	Tony's Nurse
833350	78791	Townswoman
833350	80018	Townswoman
833350	88853	Nurse
833350	92230	Bit Part
833350	92425	Phoney Patient
833350	94607	Mrs. Merridew
833350	114200	
833350	117646	Woman
833350	118719	Woman in jail
833350	129105	Woman
833350	131401	Mrs. Hill
833350	133443	Wife
833350	147854	
833350	148912	Woman
833350	149384	
833350	152204	Mrs. Thatcher
833350	154692	Police matron
833350	157866	Mrs. Marvin
833350	168680	
833350	175162	Mother
833350	176447	Proprieter's Wife
833350	193007	Woman
833350	193295	Nurse
833350	203463	Bit Part
833350	204174	Mrs. Cunningham
833350	205449	Teacher
833350	206355	Flora
833350	216234	Lodging Housekeeper
833350	217977	Cora
833350	220831	Martha
833350	222592	Miss Bernstein
833350	223846	Undetermined Role
833350	224611	Bystander
833350	234887	Mrs. Franklyn
833350	235694	Woman
833350	237818	Aunt
833350	241134	Woman
833350	252568	Tenement Woman
833350	254547	Mrs. Hudson
833350	256435	Settler's wife
833350	264420	Matron
833350	264470	Mary Surratt
833350	267545	
833350	270497	Woman Angered at Truck Strike
833350	271855	Pablo's Wife
833350	275451	Teacher
833350	277913	Nurse
833350	277916	Party guest
833350	279322	Woman
833350	298509	Townswoman
833350	299453	Patient
833350	308576	Woman
833350	313803	Mrs. Potter
833350	322607	Woman proprietor
833350	329592	Juror
833350	330689	Rambeau friend
833350	330825	Mrs. Lorraine
833350	330915	Prison Matron
833350	331308	Car Crash Witness
833350	337468	
833350	339844	Townswoman
833350	343256	Miss Adams
833350	347732	Woman
833350	358777	Head Nurse
833350	362877	Mrs. Layton Leeds
833350	363226	Mrs. Barnes
833350	363758	Nurse
833350	365087	Dresser
833350	372928	Matron
833351	31200	Herself (CBS Team contestant)
833351	57654	Dee Bartholomew
833351	80508	Mary Beth Percy
833351	108941	Mona Lauder
833351	115635	Valerie Swaney
833351	126747	Bottle Lady
833351	138365	Madge Turner
833351	141484	Alana Files
833351	149107	Grace
833351	151616	Glenda
833351	152426	Mrs. Krensler
833351	155949	Bunny
833351	158102	Katie Grinnel
833351	159518	Lois Montet
833351	168246	Sarah
833351	170620	Peg
833351	171700	Doris Archer
833351	187192	Mrs. Ingrid Tolleson
833351	191987	Miss Nimvel
833351	194727	Felicia Doolan Marks
833351	230703	Eleanor
833351	277909	Mrs. Clark
833351	283434	Mrs. Brandt
833351	306226	Etta Heine
833351	309664	
833351	313762	Monika
833351	323813	Aunt Joan
833351	346298	Lillian Hall/Mrs. Winter
833351	347712	Amelia
833351	354548	Vivian Percy
833351	379667	Jolene Hunnicutt (1981-1985)
833351	400548	Carrie
833352	72767	
833352	262591	Mrs. Maneater
833352	277011	Lord Martel's PA
833352	378710	High Roll Croupier
833353	125478	
833354	285031	Sister Brigitte/Nun
833355	60729	Tamar Gale
833355	77189	Nancy D'Amato
833355	93993	Louis
833355	129913	Patty Particle
833355	172073	Friend of Kafka
833355	176350	Mom
833355	193235	Dr. Hunter
833355	200199	Beth
833355	206596	First Class Passenger
833355	232357	Sheryl Ann
833355	234221	
833355	250737	CNN Reporter
833355	276729	
833355	282772	Det. Georgie Rysher
833355	301392	Sherry Rossen
833355	323208	Carol
833355	332070	Teacher
833356	34448	Young Mrs. Rigby
833356	81119	Helen Wiles
833356	278081	Receptionist
833356	317153	Jane
833356	321082	Air hostess
833356	379448	Val Dunn
833356	382118	Corinna Price-Rodgerson (Seri
833356	388216	Jill (1986)
833356	397388	Hope
833356	401059	Miss Cummings
833356	408951	Fiona
833356	409660	Caroline Wheatley
833357	44472	Mary Stevens
833357	62267	Margaret Whitmore
833357	82379	Carol Caldwell
833357	163564	Miss Roberts
833357	204012	Betty Houston
833357	210799	Martha Stevens
833357	302723	Peggy Randall
833357	317825	Ann Sawyer
833357	363190	Waitress
833358	195869	Waitress at the Blue Moon
833358	248169	La barmaid
833358	345287	La black américaine
833359	7136	Ann Trevor
833359	78143	
833359	141097	Barbara, Secretary to Dr. Kie
833359	188625	Donna
833359	214970	Celeste
833359	216723	Doctor
833359	269713	Allison Sample
833359	277106	Kitten
833359	305584	Julia
833359	380391	Karen Gregory (1965-1966)
833359	390771	Robin Lang Bauer Bowden Fletc
833359	404047	Betty Harrelson
833360	70300	Caseworker
833361	398940	Anchorwoman
833362	358703	Kelly
833363	291222	Reporter #7
833364	68012	Mime Troupe Member
833365	121529	
833366	117634	Susan
833366	118462	
833366	147300	Audience Member #2
833367	280891	Bessie
833367	354734	
833368	152436	Herself
833368	382040	Jenny Ruskin
833369	373216	Cheerleader
833370	368872	Herself
833371	7024	
833371	13806	Mrs. Swartz
833371	28989	Mrs. Clover
833371	50434	
833371	118223	Mrs. Grimes
833371	118224	Mrs. Grimes
833371	230978	
833371	244324	
833371	265425	
833371	274846	Maggie Conway
833371	328752	Mrs. Crick
833372	218599	Page turner (hand only)
833373	355054	Dame Bragg, Throckmorton's La
833374	215193	
833374	368327	
833375	26777	Harper's Bazaar Models
833376	6207	
833376	7950	Ethel
833376	70812	
833376	75350	
833376	87648	Maud Mueller
833376	92157	
833376	135174	The Child
833376	142151	
833376	157935	The Doctor's Sister
833376	162359	
833376	196125	
833376	215649	Miriam
833376	246056	
833376	247210	
833376	252215	Dorothy Haddon
833376	273678	The Daughter
833376	273903	Ruth
833376	274470	
833376	326433	
833376	361277	Female Orchestra member
833376	363023	
833376	363219	Maggie
833377	7484	
833378	2377	Dale's Mistress
833378	18544	Horse Rider
833380	209286	
833381	67205	Opera Singer
833382	141550	The Nurse
833383	331395	Dancer
833384	14172	Bridgett Benziger
833384	77799	
833384	82522	Nice Car Girl
833384	90423	Girl Student #2
833384	303226	Classroom Kid
833384	362132	Sydney
833385	134088	Zipporah
833386	85183	Margaret
833386	199466	Eunice Doolittle
833386	266691	Rose Harmer
833386	305471	Sally Ross
833386	311475	Edith Gilbert
833386	329394	Admirer
833386	330882	Mrs. Rita Duncan
833386	331682	Helga's Friend
833386	335631	Minnie Spring
833386	338097	Viscountess de Longueval
833386	367441	Mrs. Black
833387	5181	
833387	148356	
833388	272371	Peg
833389	105161	
833389	120609	Melody
833389	143918	
833389	160416	Debbie (segment "The Perfect 
833389	265352	Belinda
833390	10670	Dorothy's Xmas Party Guest
833390	12114	Alma Gold
833391	69405	Carole
833391	335762	
833393	11565	Nora Ellis
833393	17698	Anne
833393	42651	Eli
833393	48613	Emily Dwyer
833393	60308	Estella
833393	107786	Favorite of Egibi
833393	112367	Dey Shevlin
833393	113890	Rosalind Benham
833393	117436	Marion Harlan
833393	147092	Helen Renshaw
833393	161542	The Favorite of Egibi (Babylo
833393	162542	Lois Wilday
833393	167612	Kate Taggart
833393	168584	Caroline Meredith
833393	195286	Farmer's Daughter
833393	196242	Dorothy Wheeler
833393	197405	Bertha Oberg
833393	206161	
833393	207946	Maid
833393	212981	Hilda
833393	239602	Mame Morton
833393	239671	Mary
833393	301850	Inga Bille
833393	330712	Nedra Joseph
833393	354532	Pinky Wagner
833394	137402	Studievært
833394	333107	Herself - Host
833394	351810	Herself - Reporter
833394	385904	Herself - Host (2001-2003)
833395	158563	Young Hanna
833396	7498	Chorus Girl
833396	41759	Guest at Cocktail Party
833396	41930	
833396	93101	Bridesmaid
833396	315483	Showgirl
833397	366598	Eloping Couple (female)
833398	162476	
833398	189617	
833398	347766	
833399	11989	Verona Bischoff
833399	101384	
833399	156734	
833399	168160	
833399	179293	
833399	186897	Jans Mutter/Jan's Mother
833399	188647	Mom
833399	189604	
833399	189695	
833399	226508	Gräfin Eszterhas
833399	259449	
833399	259490	Kerstin Mai
833399	259517	
833399	259627	
833399	281663	Gisela Schulerus
833399	290543	Sieveking
833399	290658	Marlies Klotzsche
833399	301104	
833399	312647	
833399	312868	
833399	325463	Alex' Mutter
833399	325562	Charlotte Mayer
833399	325664	Astrid
833399	348602	Oma
833399	352208	Axels Mutter
833399	360953	Kellnerin
833399	379433	Lilli
833399	386406	
833399	394619	Trude Treuhänder
833399	406269	
833399	412024	Frau des Bürgermeisters
833400	24376	
833401	83989	Mamie Hollister
833401	196981	Corinne
833401	396142	Corinne
833402	387814	Herself - Læge
833403	309759	Farm Hand
833404	28531	Lahns tjenestepike
833404	46631	Diana
833404	174069	Nabokvinnen
833405	396283	Programvert
833406	367903	Caroller
833407	56647	Lady Grantham
833407	90905	Mrs. Stroud
833407	160861	Hotel Receptionist
833407	228685	Lady in Museum
833407	278777	Tart
833408	196417	
833409	304691	Hot Babe
833410	319872	Haley
833411	281534	Herself
833412	395301	Bessie Busybody/Pixel
833413	99951	Isabella
833413	230708	Rosalynd Reds
833413	275398	Fanny
833413	291529	Amber Martin
833413	388306	Rebecca Bannerman
833413	407826	Jane Wilson
833413	409241	Carolyn Fraser
833414	223713	Claire Richards
833415	267240	Herself
833415	374324	Herself
833415	405678	Herself
833416	366737	
833417	78268	Herself
833417	246034	Herself - Interviewee
833418	8039	Vivian
833418	107308	Cecile
833418	125642	Regine Engstrand
833418	204543	Fru Borman (episode 2)
833418	213436	Mor, hvis børn velsignes
833418	227064	Prostitute #2
833418	275867	Hortensia
833418	285464	
833418	291618	
833418	303920	Britta
833418	304409	
833418	341096	
833418	368731	Marie
833418	378176	Fredriks mor
833418	387026	Amanda (episode 1)
833419	21724	
833419	190823	Mor til en misse jente
833420	239518	
833421	196605	Duchess of Niddisdale
833421	234216	Nita Samarjo
833421	257086	Mrs. Moultrie
833422	389791	Additional Voices
833423	109497	Nancy
833424	78795	Podling
833425	382304	Pail (2001-)
833426	303897	Teenage Girl 1
833427	4980	Kathy
833427	93364	Zombie
833427	151178	Heidi
833428	10413	
833428	37381	Karen
833428	65764	Stage actress
833428	75535	Eve Morley
833428	82738	Inge
833428	87561	Ruth
833428	92514	Betsy
833428	92656	Dracula's wife
833428	195771	Person in the Colony Room Clu
833428	203335	Gale
833428	214508	Debbie Moore
833428	249486	Karen
833428	277800	Brenda
833428	385299	Heather Gurney
833428	408960	Julie Serres (1967)
833429	301954	Woman
833430	68266	Additional Voices
833431	341772	Body on Gurney 3
833432	178975	V-Six Model/Cheerleader
833433	268074	Dancer
833434	311168	Mrs. Beltinska
833435	400814	Francesca as child
833436	399837	Martha
833436	411811	Natalie (1962-1963)
833437	328564	Lizzie Borden
833438	75030	
833438	247141	School Girl
833439	56080	Suzanne Hilmer, a gyáros lány
833439	119293	
833440	159221	
833441	322141	
833441	406644	Kama, dancer
833442	70185	Giovanna (segment "Donna d'af
833443	216072	
833444	40915	Louise Barkner
833444	199321	Ayla
833444	206170	Oline
833445	212337	Herself - Participant/Perform
833446	148817	Gunnel
833447	138449	Twin #2
833448	138449	Twin #1
833449	216361	Karin
833450	397397	Herself
833451	119717	Girl
833452	43624	Mom
833452	64917	Barbara Robbins
833452	64918	Barbara Robbins
833452	77712	Mrs. Lusk
833452	135569	Dorothy Nolan
833452	173513	Virginia Farley
833452	184654	Laurel Stevenson
833452	208992	Veronica
833452	232439	Judge
833452	248572	Rebecca Ferguson Stone
833452	249254	
833452	259278	Dede Mandell
833452	301668	Laura Bardell
833452	323564	Nancy Ziegenmeyer
833452	385128	Presiding Judge Justine Parke
833452	406319	Joanne McFadden (1986-1988)
833452	408039	Nancy Krigger Weston
833454	82645	
833454	104514	Eugen's Mother
833455	276383	Anne
833456	78215	
833457	84570	Olivia
833457	225248	Helga Mattes
833457	225252	Helga Mattes
833457	225285	
833457	281718	
833457	329686	
833457	334543	
833457	391012	Tanja (season 2)
833457	391295	Mara
833458	257683	Herself
833459	130249	The Girlfriend
833461	78677	Kate
833462	109971	Lucy
833463	30180	Julie
833463	381312	Julie
833464	33179	Tiny Woman
833465	282096	
833466	108146	
833467	381341	Moeder Bartels
833468	272665	Secretaresse
833469	15187	Prostitute
833470	968	Debbie Poole
833470	7103	Susan
833470	9966	April
833470	20727	Tammy
833470	41917	Lottie
833470	47131	Monica Greenfield
833470	147481	
833470	294804	Lindsay Berns
833470	301391	Tracey Abernathy, the Pharmac
833470	308096	
833470	316961	Maureen 'Momo' Haines
833472	45203	
833473	104965	Big Red
833474	211941	Rusha
833475	281973	Annina
833475	352308	Háta
833476	80834	Janie
833476	245542	
833477	172574	Handerboltzer
833478	48823	
833478	81694	Natalia
833478	121227	
833478	125190	Maricel
833478	198368	
833478	214389	Juana
833478	326294	
833478	381217	
833478	384372	
833478	384782	Valentina Martínez-Godoy alia
833478	388097	Perla
833478	389744	
833478	392805	
833478	398842	Priscila Pe?a
833478	407284	
833478	408856	Clara
833478	409920	
833478	412194	Lita Di Steffano/Paula Linare
833479	217600	Susan
833480	199467	Group Member
833481	108250	Young Valerie
833481	240528	Rosie
833482	195854	Amanda
833483	232157	Zohra
833483	274751	Nikki
833484	388097	Nenuca
833485	378851	Herself - Host
833486	17605	Anna Liu
833486	272021	Li
833486	296496	Chiba
833487	290252	
833488	258315	Ingrid
833488	294419	
833489	123955	
833490	268273	
833491	390212	Herself - Host (2004-)
833491	405927	Herself - Host (1996-1999)
833491	408737	Herself - Host (1991-1995)
833492	88118	Magret
833493	106772	
833494	23685	
833495	195110	Florence
833495	248975	
833496	229929	
833496	347789	Dagmar
833497	99268	Elsa
833497	289831	Lineke
833498	205531	Irène
833498	387143	Sekretaresse
833499	6181	
833499	12569	Hofdame
833499	18747	
833499	114970	
833499	125120	His wife
833499	126402	
833499	134828	
833499	156664	Bessie
833499	159284	
833499	175779	
833499	178576	
833499	179838	Inge
833499	213781	
833499	249130	Jeanne Duval
833499	277001	
833499	289879	His wife
833499	293445	
833499	308245	Hippolyta
833499	350867	
833499	359664	
833500	116396	Nebelgestalt #4
833501	23696	La grand-mère
833501	268455	Madame Manceau
833502	178878	
833503	406823	Fanny
833504	42208	Dancer
833505	381200	Jujuba
833506	123889	
833506	342328	Karin
833507	29650	Angelique
833508	126577	Intern
833509	180251	
833510	401429	Maggie
833511	241046	Additional Voices
833512	113686	
833512	160024	Herself
833513	1952	Herself
833513	77761	Herself
833513	178091	Herself
833513	315295	Bass, Percussion and Vocals
833513	340827	Lip-Syncher/Talking Heads mus
833514	89572	
833514	108748	
833514	111300	
833514	162083	
833514	199383	
833514	386743	Seconda ragazza
833515	41921	Andrea
833516	19176	Joanne
833516	279030	Gilda Proclo
833517	104166	
833518	12826	
833518	104166	
833518	169556	Dora
833519	137953	Nurse at the Sofia hospital
833519	409080	Bank cashier (2002)
833520	221105	Siggy
833521	356896	Aylinde Tribespeople #13
833522	217947	Jane
833523	2042	Herself
833524	312367	
833525	342590	Herself
833526	342590	Herself
833527	252919	Paramedic 2
833528	334304	Narrator
833529	190702	Daisy Daye
833530	189987	Morgan Hall Coed
833531	53059	Sunshine
833532	82030	Waitress Nº 1
833533	60162	Baby Denise
833534	175139	Margo
833535	77640	Harem Dancer
833535	117575	Student
833535	180554	Rachelle
833535	290982	Hooker
833536	89686	Clytie
833537	106666	Masked party principal
833538	302793	Stacie
833539	276316	The Girl
833540	32740	Mary
833540	37191	Beth Scoular
833540	46545	Caroline Henshow
833540	52376	Luna
833540	62992	Fan
833540	77672	Christine
833540	131429	Mary Hall
833540	131509	Celia Adekunle
833540	135608	Natalie Crane
833540	176722	Fay Forrester
833540	220004	Colleen 'Callie' Harland
833540	228824	Claire Varrens
833540	233993	Cheryl
833540	236007	Map Lady
833540	256211	Groupie
833540	283371	Ruby
833540	289396	Christine Keeler
833540	292603	Katherine Coleridge
833540	297756	Jenny Scott
833540	315784	Natalie Tate
833540	329088	Miranda
833540	334215	Anna
833540	339369	Valerie Alston
833540	355096	Jessie Eastwood
833540	365753	Jackie
833540	365881	Sorsha
833540	378865	Jess
833540	385020	Pamela Graham (1974)
833540	387533	Angela Read (1977)
833540	394474	Ingrid Rothwell
833540	404409	Scarlett O'Hara
833540	409106	Beatrice
833541	73328	Annie
833542	143191	Maid
833543	52815	Tourist
833543	67314	Lady Clare
833543	73396	Kitty Froyant
833543	105981	Mrs. Lockyard
833543	130838	Anna Coram
833543	133963	Isobel Evrard
833543	137463	Lady Lucille Altamont
833543	178900	Lady Cardwell
833543	220942	Lady Asscher
833543	224724	Mrs. Martival
833543	242493	Mrs. Percival
833543	251044	Mrs. Smith
833543	258915	Mrs. Ebury
833543	301925	Mrs. Straker
833543	330807	Miss Vavasour
833543	355053	Countess Lennox
833543	371034	Effie Munro
833545	336697	Octavia
833546	336849	
833547	403146	Ward sister
833548	69853	Mother
833548	79272	Sock Puppet Actor
833548	151207	Moseby's Secretary
833548	278459	Television Reporter
833548	342448	Fedex Person
833548	382711	Road Warrior
833548	389185	Road Warrior
833548	392122	Hostess
833548	399226	Co-Host
833548	409104	Co-Host
833548	409741	Diana Lu
833549	362042	Henare
833550	57817	
833551	73675	Aunty Margaret
833551	157826	Winnie
833551	169814	Mum
833551	301685	Marama
833551	362042	Maka
833552	118623	Patient #3
833553	3160	
833555	402996	Women/Road Rules
833555	402998	Herself/Road Rulers
833555	403487	Herself/Northern Trail (1998)
833556	31968	Madame Laurette/Mrs. Raven/Mr
833556	31970	Mrs. Malone
833556	31978	Madame Laurette/Mrs. Raven
833556	31983	
833556	33795	
833556	39936	
833556	64935	Mary Hale
833556	74124	
833556	96650	Mrs. Blank
833556	106051	Aunt Josephine, Mrs. Dodge
833556	133874	Marie's guardian
833556	152900	Countess Von Shoenburg
833556	182184	
833556	215848	
833556	215891	
833556	224546	
833556	280925	
833556	361232	Agnes Scott
833556	367648	Doña Marie Pennington
833557	41175	Sonja
833558	400110	Waiting Mother
833560	166643	Wedding Player
833561	31968	
833562	235164	Dancer
833563	60341	Lisa
833563	141395	Party Guest
833563	185567	Wanda
833563	332006	Wanda Wallinsky
833563	348336	Debbie
833564	144869	Mag & Turbo Girl #4
833565	201831	Herself
833566	380805	Herself/Host (1988-1990)
833567	407250	Girl
833568	92526	Gladys, Second Child Patient
833568	160946	Girl
833568	346204	Penguin Girl
833569	61706	Kid at Universal Studios
833570	34117	Hill's Little Angel
833570	381661	Hill's Little Angel (1988-198
833571	311953	Herself/Performer
833571	401836	Herself (Series 1) (2001)
833571	401837	Herself (Series 1) (2001)
833572	184341	Office Clerk
833573	45623	
833573	189254	
833574	38021	Jennifer (Grade 3)
833575	303820	Anna
833577	215524	Source Musician
833578	207462	Undetermined Role
833579	159947	Marta Talvik
833580	275370	Penny Roberts
833581	127513	WREN
833582	399130	Petra McLachlan (1989)
833583	308159	Mrs. Randle
833584	259359	Bible Basher
833585	223963	Co-Worker
833585	263747	Editor
833585	302362	Tori
833586	150180	
833587	166167	Kiss Crow
833588	380911	Herself - Top 30 (2004)
833589	383631	Amy Howard: Receptionist (199
833590	183670	
833591	128518	Miss Charnwood
833592	75580	Alice Hayes
833592	80962	Shana
833592	196542	Martha
833592	349918	Penny
833592	371019	Tutter Fraleigh
833593	314129	Rona
833594	95150	Laura's Mom
833594	120026	Gwen's Mother
833595	224106	Miss Bryant
833595	297455	Woman
833596	105954	Beauty
833597	399586	Renee
833598	271929	Susan
833599	284261	
833600	185459	Highway Patrol Dispatcher
833601	21297	Water Waltzer
833602	47973	Baby Michael
833603	166861	Jeremy's mother
833603	390771	Peggy Reagan (1953)
833604	74247	Keith's Mother
833604	402245	Narrator
833604	411357	Christine Baker
833605	411802	Daniel Romalotti, Jr. #1 (199
833606	411802	Daniel Romalotti, Jr. #1 (199
833607	80470	Cocktail Waitress
833608	80660	Nurse #2/Mother Superior
833608	121741	Helena Davis
833608	273496	Woman with Bird ('I'll Die Lo
833608	345885	
833609	230637	
833610	8437	Kate
833611	45591	Dancer
833611	194332	Dancer
833612	321729	Female Kisser
833613	119608	Athlete
833613	306341	Athlete
833614	359328	Narrator
833615	121135	BBQ Bangerette 2
833616	62967	Aunt Anne (English)
833616	236077	Old Woman
833616	316042	
833616	381876	Sayos
833617	305392	
833618	38004	The Mother
833618	231095	
833618	265898	Sister Mary Frances
833619	32425	Bessie
833619	243595	Nun
833620	202389	Scrub Nurse
833621	35257	Woman in Real Estate Office
833621	51635	Lauren
833621	62784	Christine
833621	113473	Female Cop
833621	179925	Zeelah
833621	187506	Student
833621	257177	
833621	330195	Jane, Dr. Drayton's Assistant
833621	333855	
833621	342760	Rose
833621	399443	
833621	411569	Mystique/Raven Darkholme
833622	26238	Sings Of The Replicants
833623	380391	Victoria 'Vicky' Hudson Frame
833624	69414	Ellie
833624	266577	Berdine
833624	401360	Ginny
833625	405988	Mary Jewett
833626	338981	Herself
833627	289650	
833628	23896	Mrs. Peter Knight
833628	235171	Malice
833629	78240	Herself
833630	400681	Une paysanne
833631	335563	Pam Bannister
833631	366921	Bingta Francke
833631	379716	Cindy Parker Chandler (1987-1
833631	380391	Marley Hudson McKinnon (aka M
833631	380713	Marley Hudson (2000, 2001, 20
833632	153187	Nurse
833634	30182	Christine - Mom
833634	45650	Receptionist
833634	50950	Narrator
833634	54631	Administrator
833634	86470	Catherine Darcy/Tolland Dinne
833634	117073	Lisa
833634	176409	Doreen Albright
833634	206159	Kate Gallagher
833634	229499	Dr. Wayburn
833634	230422	Bank Manager
833634	237906	Claire
833634	289089	Dr. Marshall
833634	292579	Dr, Evelyn Wong
833634	312962	Female Executive
833634	351526	Reporter #2
833634	375936	Female Gossip #1
833634	382001	Sally Dawkins (1999)
833634	402176	
833634	407461	Laura Bux
833635	164539	Catherine Eddows
833636	92863	Oldest Child
833636	191799	Erin (age 8)
833636	224842	Sara Markum
833636	241271	Keri-Age 4
833637	405606	Weather Forecaster (2002-)
833637	405607	Weather Forecaster (2002-)
833638	83809	Barbara, 'Babs'
833638	199330	Florette, Young Girl at Dear 
833638	211568	Lucille Frink
833638	305481	Mrs. Bonnie Durham
833638	342410	Marge, the Receptionist
833639	334799	Anna
833640	48699	Cornered Woman
833641	150304	Specialty dancer
833641	280028	
833642	92491	Fred
833642	122778	Young Stacey
833643	143640	Herself
833644	344591	Ruth Basevi
833645	111068	Young Drew (9 yrs)
833646	280028	
833647	215157	Female aerobic instructor
833648	223943	Mary Jane
833648	390771	Janet Johnson, R. N. #2 (1954
833649	29757	Odile
833649	117786	
833649	219555	Marie
833649	230868	Lucy
833649	248878	Marva Kulp, Jr.
833649	260950	Assistant Choreographer
833649	296255	Suzanne
833649	308018	
833649	309678	Nurse
833649	387483	Anita (1994)
833649	392421	Herself
833649	399270	Herself
833649	405377	Steelheart/Melodia
833649	406854	Marcy (Pilot Only)
833650	47922	Witch
833650	53308	Mrs. Macklin
833650	88564	Mrs. Mellon
833650	139456	Elderly Woman
833650	224691	Old Lady
833650	289260	Annie's Grandmother
833650	330258	Lettie Stevens
833650	342512	Old Woman (Segment #4)
833650	363247	Sara
833650	366426	Miss Elgar
833651	33707	
833652	169515	Megan Love
833653	102571	Prosecutor
833653	102581	Crying Woman
833653	301753	Sissy Cunningham
833653	363225	Susan
833654	326854	Child Making Dummies
833655	95501	Nancy
833656	328584	Ranger Leslie
833657	333691	Rose
833658	114995	The Flapper
833659	259165	Violet Kellow
833659	385020	Melanie Tindel (1999)
833659	387533	Nicola Blackstock (2001-)
833660	210324	
833660	358535	
833661	44493	Bud's Girl
833662	310760	Mary
833663	53284	Hostess
833664	255827	Bit Part in Church Scene
833665	100827	Sabrina Duncan
833665	185358	Victoria Worthington
833665	409232	Carrie Moore
833666	380997	Cora Barker
833667	116499	Chorus
833668	29112	Debbie Day Cosmetics Conventi
833668	70211	Democratic Delegate
833668	203243	Shopper
833668	214814	Gospel Choir
833668	224323	Nurse #2
833668	342635	City Worker
833668	390302	Real estate agent
833669	235541	Sarah Lawrence Girl
833669	333691	Lily
833670	294781	Prostitute
833671	56144	Evin
833672	26381	Sherri
833672	31156	Mathilda
833672	50989	Heidi Schmidt
833672	64461	Lori
833672	82849	Gail Donelly
833672	115325	Gail Stanwyk
833672	118848	Annie
833672	191783	Katrin
833672	192729	Linda Woods
833672	221324	Jessie Bodyne, Ed's Girlfrien
833672	222639	
833672	224091	Rachel
833672	225797	
833672	231492	Jane
833672	232321	Inga, Norwegian Tourist
833672	259939	Kathryn
833672	286464	Woman #2 in Restauran
833672	335245	Mattie Blaylock Earp, aka Cel
833672	362543	Gallery hostess
833672	381808	Rebecca Giswold
833673	102233	Self-Defense Victim
833674	47838	
833675	53971	Herself
833677	224070	Sheila
833678	186847	Evelyn
833679	27443	Murdock
833679	45413	Sue Duffy
833679	56605	Brenda Hartford
833679	59553	Kitty Verdun
833679	59799	Raquel Andrews
833679	81023	Tommy Murphy
833679	114917	Carolina
833679	124482	Catherine
833679	176447	Jean MacDonald
833679	230435	Sgt. Toni Wayne
833679	240437	Bit
833679	271086	Julie Scott
833679	271889	Rose Leland
833679	284905	Gail
833679	286893	Julia Allerby
833679	294038	Valerie Shepherd
833679	312774	Herself
833679	318192	Gloria Fay
833679	318927	Lucy Lee Lake
833679	319066	Catherine Barr
833679	329334	Madge Raines
833679	329538	Jessica Woods
833679	350645	Herself
833679	367863	Hutia
833679	372641	Sarah Clay
833679	372676	Judith
833680	256211	Smash & Grab Lady
833681	130685	Doris Fox
833682	354164	Trainee #13 (Anne)
833683	43	Rainbow (Toddler)
833684	166904	Roebuck's Friend
833685	4671	Herself
833685	9125	Lisa Davis
833685	26185	Mary Pat
833685	31199	Herself (ABC Team contestant)
833685	61616	Herself
833685	195484	Vicki
833685	195485	Herself
833685	287212	Ginger Ice
833685	386512	Attorney
833685	389391	Nancy Wilks
833685	396062	Vicki Stubing (1979-1986)
833686	63013	Cousin Jacey Jackson
833686	112182	Rachel Spangler
833686	292472	Zoey Carter
833686	400209	Grace Manning
833687	98899	
833688	241288	Katie
833689	253352	Reporter #3
833690	380798	Tamsin
833691	365820	Neighbor Lady
833692	121975	Empleada
833693	223769	Ade's Girlfriend
833694	236968	Coffee
833695	224604	Herself
833696	31200	Herself (NBC Team contestant)
833696	38367	Herself
833696	91785	Jody
833696	107258	Blair Warner
833696	107259	Herself
833696	107260	Blair Warner
833696	107261	Blair Warner
833696	200353	Halina
833696	220461	
833696	304395	Lisa Ward
833696	342605	Jill Moore
833696	363434	Coleman, Sara
833696	365525	Amy Cole
833696	388195	Blair Warner
833696	399256	Lisa Whelchel
833697	219526	Kind Lady
833698	273220	Maid
833698	409386	Doctor
833698	409401	Gary's Mother (segment "Mea C
833699	236697	Cafe Customer
833700	134276	
833701	209289	
833701	313408	
833702	67247	La petite fille
833702	83287	
833702	250708	Chantal enfant
833703	291229	
833704	274344	Canoer
833705	2434	
833705	105896	
833705	131323	Herself
833705	262655	Kandy Kelly
833705	280049	Herself
833705	306911	
833705	306923	Herself
833706	348399	Sheila
833707	139781	Jogger
833707	312927	Vampire 12
833708	69917	Health Worker #2
833709	12229	Allie
833709	140999	Journalist
833709	346516	L'infirmière
833709	372504	A Lady
833710	29647	Barbara Frietchie
833710	141450	
833711	389619	Stars
833712	405209	Pat Egmont (2000)
833713	328301	Patsy's Mother
833714	24157	
833714	222784	Dildo Girl #1
833715	302840	Rachel
833716	1924	Herself
833716	195300	Radio DJ
833716	299031	Herself
833716	382618	Narrator
833716	395698	Presenter (2003)
833717	31704	Shoplifter
833717	205904	Louise
833717	342468	Young Rudolfa
833718	18978	Lola Morrow
833718	72653	Harriet Watkins
833718	137861	Sister Sara
833718	214999	The Hooker
833718	252449	Dodo Fitz Allen
833718	293164	Alex
833718	314631	Gushy Woman
833718	406319	Dr. Cathy Martin (1982-1986)
833718	406952	
833719	47269	The Texas Tease
833720	81109	
833721	105884	Angela
833721	190702	Drill Sergeant Mom
833721	271344	Jackie
833721	314156	Phone Sales
833722	41662	Mrs. Wharton
833722	79402	Adele Rutland
833722	127683	Lesbia
833722	141212	Widow Chichester
833722	254275	Piggy
833722	263713	Constance
833722	269694	Anna Lee
833722	273517	Rita Jordan
833722	277227	Lena Schmidt
833722	315167	Mrs. Hunt
833722	318177	Suzanne
833722	355925	Kathryn Holroyd
833722	365751	
833723	14063	Herself
833724	332545	
833725	51975	Ada
833726	108333	Margaret #2
833726	161714	Classmate
833726	191899	Amy Bryant
833726	200181	Megan
833726	267563	Allison
833726	334169	Young Beth
833727	194996	Maree
833727	393236	Larissa Enari
833729	5972	Gina Murphy
833729	78139	Robin
833729	105831	Diane
833729	109705	Jill
833729	133214	Kelly
833729	183715	Lori
833729	198044	Lois
833729	198925	Shannon Carpenter
833729	209112	Beautiful Mom
833729	213629	Velda
833729	240317	Zed, Droid Leader
833729	245016	Terry Malloy
833729	257577	Karen Stone
833729	265873	Barb
833729	276612	Rayanne
833729	278511	Kristin/Tracy
833729	329094	Rebecca
833729	382164	Vox Populi
833729	387303	Lauren's Friend
833729	397715	Velda (1997-1998)
833730	34092	Newscaster No. 2
833731	361219	Herself
833732	316410	Saira
833733	311523	Girl in Nightclub
833733	389722	The Diver (1992-1993)
833734	130748	Guest
833734	335296	
833735	386970	Quillwork Girl/Powwow Girl
833737	41179	Waitress
833738	92215	Laura 'Ma' Dunmore
833739	303498	
833740	303498	
833741	381091	Herself (eliminated round 1) 
833742	152870	Baronne de Combri
833742	260418	Sophie Cornell
833742	306752	Madame Melvina
833742	315139	
833743	9940	Mrs. Holcombe
833743	10575	
833743	30917	
833743	31682	
833743	32905	
833743	46377	
833743	67913	Mrs. Stoat
833743	88900	Mrs. Albert Rhodes
833743	94531	
833743	98809	Eleanor's Sister, Jennie
833743	108091	
833743	131520	
833743	140740	
833743	143016	Undetermined Role
833743	143403	Madame La Rue
833743	160043	
833743	192138	Fannie Harrison
833743	206844	
833743	222277	
833743	248141	
833743	285058	
833743	304964	
833743	307961	
833743	334089	
833743	335980	
833743	355081	
833743	362901	
833744	292594	Model
833744	315577	Party Players
833745	213204	Child #4
833746	158141	Bank teller
833747	50814	Mrs. Hunter
833747	158226	Extra
833747	359758	Ball Dancers & Musicians
833748	303268	Clara
833748	385697	Chrissy
833749	266004	Amanda
833750	264075	Chandler Wingo
833750	330102	Kaitlin Samuels
833751	407369	Kazuyo Kawada, Maho, Girl, Ad
833752	55683	Student
833752	55700	Mary Parker
833752	295881	Agnes
833752	383488	Angela
833753	10851	
833754	196085	Eve Sutter
833754	213097	Dancer
833754	226891	Rita
833754	315573	Asha
833754	350172	Ingrid
833754	371059	Beach Girl
833755	248050	Rose/Celebrity Impersonator
833756	279733	Tagalong
833757	204859	Roo (Tigger Too)
833757	366277	Roo
833758	149834	
833759	18028	Eleanor Banks
833759	217745	Vanessa McEntyre
833760	139099	Mrs. Rigby
833761	407369	Operator A, Additional Voices
833762	1703	Herself
833762	161294	
833762	266098	Collette
833763	201327	Bar Girl #1
833764	66053	Soldier Clown
833764	246012	Malorie
833764	395779	22 July 2004
833765	5849	Ms. Grace
833765	183879	Tea Lady
833766	35144	Floor Nurse
833766	42842	Oscar Singer
833766	69081	Herself/Performer
833766	197730	Dana
833766	201350	Sgt. Maj. Torrey
833766	287212	Mom Golden
833766	394362	
833767	146729	Girl in coffee shop
833767	361475	Bridesmaid
833768	330444	Pauline Pollitt
833769	114095	Laughing Girl
833770	14307	
833770	164364	Lucy
833771	23449	
833772	45454	Female Victim on Monitor
833774	79106	Young Woman 2
833774	208445	Audrey
833774	272646	Miss Mac
833774	383036	Kelly Davidson
833775	259943	Julia
833776	41851	Sgt. Grace Millard
833776	47192	Miss Bryant
833776	87883	
833776	154062	Bit part
833776	214551	Miss English
833776	269883	Marcia Brent
833776	333381	Mrs. Johnson (housekeeper)
833777	138821	Tennis Pro
833777	390272	Golddigger
833778	348374	Hot Tub Girl
833779	295461	Nurse
833780	61706	Eve
833781	313421	Narrator
833782	29112	Debbie Day Cosmetics Conventi
833782	118186	Voice of newscaster
833782	187497	Laura Brick
833783	257103	Nora's mother
833784	298037	Woman Reporter
833785	393443	Clue Crew member (2001- )
833786	16677	Connie
833786	38619	Rosanne
833786	131780	Tommy's Girlfriend @ Copa
833786	160415	(segment "Some Guys Have All 
833786	363365	Serena's Secretary
833786	368314	Doreen DiMucci
833786	387303	Val
833787	304048	Wallina Four Strikes
833788	169441	
833789	344683	Cissy Caffrey
833789	403415	Maggie Riordan
833790	236697	Brothel prostitute
833791	80924	Newsstand Clerk
833792	7727	
833792	11364	
833792	39281	
833792	154125	
833792	178164	
833792	365438	
833792	372091	
833793	195551	Dorothy Kelly
833793	288685	Sharon
833793	346249	Jane Laughton
833793	362722	Mary
833793	366843	Rosie's Doctor
833793	399567	Dr. Rose
833793	401887	Narrator
833794	13787	Claire O'Riley
833794	17619	Marcella, Hotel Manicurist
833794	36970	Peggy Devlin
833794	37235	Sophie Sloval
833794	46320	Loulou
833794	47306	Delight 'Dee' Foster
833794	47344	Herself
833794	70868	Violet Wray Hornbostel
833794	73746	May
833794	92076	Bit
833794	100156	Polly Dale
833794	114958	Gracie
833794	125908	Dorothy Shaw
833794	127519	Margot
833794	128231	Pat King
833794	128897	Nicky
833794	139550	Giggles Dewberry
833794	147707	Herself
833794	150397	Barbara Allen
833794	167707	Mabel
833794	177308	Evelyn
833794	177479	Dolly
833794	191131	Angele Ree ('Lingerie')
833794	197942	Milli Stern
833794	199185	Aimee
833794	222579	Millie Scripps, the maid
833794	228575	Rosalind McGill
833794	228612	Miss Katherine Constance 'Kay
833794	232033	Flashy Blonde
833794	255351	Allison
833794	257739	Sheba Miller
833794	264732	Adraste
833794	288625	Jean Taylor
833794	291802	Manuella
833794	292543	Didi
833794	300079	Dixie Dugan
833794	300080	Dixie Dugan
833794	300103	Parisian number
833794	321251	Goldie
833794	321257	Lulu Betts Malone
833794	321389	Helen
833794	327156	Dottie
833794	331725	Trapeze Performer
833794	339832	Herself
833794	352722	Hortense Hathaway
833794	364836	Polly Henderson, aka Polly Do
833796	237493	Young Marie
833797	255274	Pupil
833798	26841	
833798	39137	
833798	39138	
833799	72689	Patricia
833799	341623	Zelke
833800	249455	
833801	2766	Party Goer
833801	66083	Ann
833801	142414	Ann
833802	93694	Heather
833802	217537	Randi
833803	284003	Girl on Bus
833805	107089	Betty Francis
833805	203217	
833805	256479	Maria
833806	79923	
833807	178994	Bernadette the Waitress
833807	296880	Hostage
833808	107175	
833809	264157	Lady's Maid Brigitta
833810	74129	Cleaner
833810	392705	Lot's Wife
833810	400082	Sally Brass
833811	255234	Conchata Ortiz
833812	310849	Herself
833813	132223	Sara
833814	372191	Chippy Prostitute
833815	151761	Maid at Howards End
833816	124797	Brenda
833817	113407	
833817	163357	Model
833817	255421	Dinner Guest
833818	163289	Moya Malone
833818	214551	Molly Lucian
833818	269883	Miranda Bute
833818	330903	Fenella Russell
833818	356308	Kathleen
833818	363573	Lady Elisabeth Randall
833819	11108	Autograph seeker
833820	177145	Mrs. Trewin
833820	241853	Mrs. Brown
833820	291540	Matron - Miss Biggs
833820	292590	
833820	316213	Mrs. Pain
833820	337107	Mrs. Davies
833820	338847	Grandma Burnier
833820	406548	Gran
833821	79450	Indigo Plantation
833822	225310	Berit
833823	190306	Grandma
833824	46	Segment Presenter
833824	1974	Herself - in Oldsmobile promo
833824	2012	Herself - Winner
833824	7200	Sen. Bessie Adams (Kansas)
833824	32681	Anita
833824	34953	Sally Cantrell
833824	42361	Herself
833824	42365	Herself
833824	47117	Mrs. Kline
833824	57492	Herself
833824	58939	Evelyn Eglin
833824	64564	
833824	64565	Herself
833824	82902	Mrs. Martha Wilson
833824	86459	
833824	91155	Herself
833824	104554	Ellen
833824	121861	Host (segment Homemakers)
833824	122895	Voice over
833824	132184	
833824	133693	Host
833824	138700	Herself
833824	139137	Doreen Sears
833824	147972	Herself
833824	161202	Herself/Interviewed
833824	161207	Herself
833824	161248	Herself
833824	161335	Herself
833824	161371	Herself
833824	161394	Herself
833824	168129	Herself
833824	168492	
833824	184093	Delores Bickerman
833824	200347	Herself
833824	206896	Herself
833824	206897	Herself
833824	228969	Herself
833824	228970	Herself
833824	250936	
833824	250937	
833824	274574	Herself
833824	276606	Mrs. Krisper
833824	276892	Woman in Window during Batcli
833824	298015	Herself
833824	314155	Emily Sutton
833824	315720	Gretchen Claus
833824	315747	Lillian Jordan
833824	330566	Lettie
833824	330818	Honoree
833824	333345	
833824	335123	Aunt Polly
833824	342234	Herself
833824	350432	Herself
833824	360874	Martha
833824	363723	Round
833824	365459	Grandma Sophie
833824	366868	Evelyn Harris
833824	380391	Brenda Barlowe (1988)
833824	381790	Herself/Host
833824	381791	Herself/Host
833824	381792	Joyce Whitman
833824	382359	Sylvia Schmidt (1993)
833824	385744	Vicki Angel (1957-1958)
833824	390279	Rose Martin Lindstrom Nylund
833824	390282	Rose Lindstrom Nylund
833824	391815	Phone Girl
833824	393211	Herself (1959-1962)
833824	393958	Host
833824	395054	Mitzi Stiles
833824	395483	Herself/panelist
833824	395575	Elizabeth
833824	395691	Dorothy
833824	396562	Herself/panelist
833824	396643	Ellen Jackson (1983-1986)
833824	396999	Sue Ann Nivens (1973-1977)
833824	397076	Guest panelist (1973-1982)
833824	397077	Guest panelist
833824	397180	Shirley
833824	397239	
833824	401286	Hostess
833824	404282	Waitress (1988)
833824	408365	Herself/panelist (1961)
833824	408497	Herself (regular performer, 1
833824	409121	Herself
833825	331206	Venice Performer
833825	351766	Herself
833826	358824	Herself
833827	116538	Gertrude
833828	363840	Prostitute
833829	383897	Herself - Correspondent (1992
833830	21533	Sharon
833831	58613	Isabel Clifford
833831	61373	Maggie
833831	79662	Alice McRae
833831	149184	Rosalee Carey
833832	148890	
833833	13293	A Highlight Member
833833	367054	The Wiz Singers Adult Choir
833834	204354	Prison Scene Cast
833835	309927	Club Dancer
833836	45565	Carol
833836	61673	Chloe Chute
833836	196808	Brenda
833836	212691	Mary
833836	235600	Elizabeth Beckwith
833836	274067	Reception Nurse
833836	380391	Blair Baker #2 (1996)
833836	400236	Olivia DeWitt (1996-1997)
833837	221024	Megan Butler
833839	260092	Mitzi
833839	260094	Mitzie
833841	126603	Boy's mother
833842	208041	Dianna Alstrom
833842	275762	Diner Waitress
833842	311888	
833842	333205	Carlisle's Wife
833842	396123	Ann Alden Forbes #2 (1984-198
833842	411802	Rhonda (1996)
833843	97030	Miss Hattie's Girl
833844	204584	Mrs. White
833847	11360	Lucille
833847	11947	Girl
833847	31879	Girl at The Off-Beat café
833847	33644	Schoolgirl
833847	41890	Schoolgirl
833847	42799	Unemployed Lady
833847	43425	Penelope Walthorne
833847	45690	Evelyn May
833847	55715	Sheila Dale
833847	56967	Cathy Ward
833847	64538	Nan
833847	68217	
833847	76609	Cathy Palmer
833847	95023	Dulcima Gaskain
833847	97035	
833847	114733	Raist
833847	123976	Carol Marshall
833847	142716	Big Sal
833847	154890	Georgina Elben
833847	183438	Sandra
833847	190951	Wilson's Wife
833847	191032	Linda
833847	199462	Valerie
833847	203162	Jean
833847	203522	Jody Pringle
833847	208076	Beryl
833847	230356	Jackie
833847	236952	Margaux Lasselle
833847	257730	Virginia Williams
833847	260206	Joy
833847	262741	Gido
833847	264996	German refugee
833847	307860	Scarlett
833847	308049	Dover McBride
833847	312345	Jill
833847	319992	Sexy teenager
833847	324020	Spring
833847	330638	Schoolgirl on train
833847	348379	Sylvie
833847	348386	Miss Spittlemeister
833847	354516	Natasha Passoti (A Daughter)
833847	360626	
833847	368944	Ginger Grunski
833848	107895	Second Officer at Beth's
833849	26281	Girl on Bus
833849	43378	Carol
833849	58507	Spider
833849	107002	Bad singer
833849	132756	Morning Nurse
833849	142527	Nurse Turner
833849	142716	Big Sal
833849	169608	Roberta
833849	226891	Trouble
833849	256468	Rosey Rottencrotch
833849	313826	Mrs. Gretchen Knebel
833849	328588	Helen
833849	345683	Marge Philips
833849	359060	Janice Peterson
833849	366761	Cashier
833850	223796	Rosa Ventura
833850	260043	
833851	154840	
833852	30442	Nurse 1
833853	333327	Dancer
833854	189132	
833855	305952	
833856	125557	Guide
833856	134906	Sasha
833856	222880	Gillian Armstrong
833856	232268	Liz
833856	235630	Lizzie
833856	276919	Jen Carling
833856	333868	Rosaleen
833856	352465	Elegant Equestrian Woman
833856	353360	Tina
833856	382932	Jane
833856	385342	Nurse Nell Doyle
833857	43596	Foxy Lady
833857	131375	Woman at the Pound
833858	222597	Rehearsal actress #3
833859	144641	Nurse
833860	1761	
833860	232024	Kay Jensen
833861	355431	Mrs. Tony Waters
833862	317303	Tadd
833863	204576	Foreign Correspondent
833864	63783	Mrs. Roberts
833864	160324	Mom
833865	68455	Mrs. Anderson
833865	92134	Herself
833865	237431	The Whites
833866	396479	Policewoman
833867	8084	The Woman
833867	13387	Frances Clayton
833867	17482	Anna
833867	21517	Mildred Blair
833867	22939	Emily West
833867	25574	Winifred Wynne-
833867	30080	
833867	30150	Dolly Varden
833867	30668	
833867	40790	Rose Jordan
833867	41132	The Heroine
833867	42667	Barbara Pilgrim
833867	47505	Mrs. Joe
833867	47575	Helen Desmond
833867	49530	Violet Marchant
833867	51666	The Rich Girl
833867	52515	Iris Tares
833867	55661	Carrots
833867	64846	Jill Dealtry
833867	69350	Pauline Allington
833867	71670	The Girl
833867	72193	Mrs. Harsdon
833867	75389	Kitty
833867	75392	Eileen
833867	79417	The Girl
833867	81552	Alice Debenham
833867	81586	Fay
833867	82026	Rachel
833867	92917	Elizabeth Sydenham
833867	104342	Margaret Clive
833867	107146	Kathleen Dare
833867	107395	Margaret Gilder
833867	125519	Moya Kent
833867	132603	Doris Kestevan
833867	138355	Molly
833867	142247	The Daughter
833867	142979	The Girl
833867	143025	Isabelle
833867	143278	Jean Neville
833867	143331	Flowergirl
833867	143380	The Woman
833867	145872	Red Emma Lobb
833867	159425	The Girl
833867	168521	Joan Grey
833867	168840	Betty Finch
833867	177795	Pamela Blois
833867	178211	
833867	189958	The Sempstress
833867	190897	Lily
833867	192086	The orphan
833867	193546	The Girl
833867	194662	The friend
833867	195320	Winnie
833867	197502	Lady Irene
833867	202875	Elsie Waller
833867	202924	Jet Overbury
833867	203579	Daphne Kidlington
833867	203661	The girl
833867	206238	Angela
833867	211525	The Mermaid
833867	211785	The Woman
833867	213444	The Maid
833867	215422	Kate Matthews
833867	217429	Lady Cecil Stafford
833867	226973	Ninette Monday
833867	229523	The Girl
833867	232355	
833867	241378	The Girl
833867	246711	Lady Betty
833867	254914	Phyllis
833867	258734	The Girl
833867	261428	Valerie Sarton
833867	273406	Phyllis
833867	274761	Peasant
833867	290409	Phyllis
833867	292693	The Wife
833867	302228	Rosemary Ruth
833867	303247	Susie
833867	311890	Girl
833867	321234	Lavender
833867	327530	Peggie Hurst
833867	333085	Sally
833867	333088	Sally
833867	333093	Sally
833867	333101	Sally
833867	333103	Sally
833867	333105	Sally
833867	333816	
833867	337061	Annie Wilton
833867	353286	
833867	362540	The Girl
833867	363187	Sally
833867	364399	The Wife
833867	365289	Heather Bond
833867	368492	Jill Dealtry
833867	384280	Herself (actress)
833869	165277	Secretary
833869	165282	Herself
833869	165285	Herself
833869	198834	Nancy Wetherby
833869	200525	Carol McCoy
833869	202963	Georgia Daniels
833869	247378	Patricia Sheldon
833869	353306	Miss Easton
833869	392505	Abigail Adams
833870	56193	Bit
833870	143211	Nurse
833870	287018	Woman in Car
833870	329463	Madge, Girl with Murdock
833871	398567	Jessica Costello (1995-1996)
833873	50292	Amy
833875	221024	Megan Butler
833876	112527	Friend
833877	256629	Women Pirate
833878	367765	Harem Girl #1
833879	58955	Grace
833879	63038	Doris
833879	64408	School Secretary
833879	75612	Roommate
833879	130104	Mrs. Martley
833879	256748	Sura
833879	301660	Susan
833879	354793	Lisa Robb
833879	403542	Elderly Woman
833880	37959	
833881	13995	Herself
833881	380016	Herself - Winner #5
833881	411812	Super Trooper (1997-1999)
833883	606	
833883	316646	Darlene Lawrence
833884	119315	Police Radio Officer
833885	11946	Lynn Holly
833885	67612	Angela
833885	77146	Dallas Cowboy Cheerleader
833885	78987	Janet
833885	109538	Elaine Schector
833885	109591	Treasure Hunter
833885	110170	Professor Allen
833885	128288	Elizabeth Alden
833885	218162	Katie's Mom
833885	273896	Vivian
833885	276803	Sally
833885	297990	Terry
833885	299900	
833885	314675	Miss Farrell
833885	350347	Tina
833885	366868	Kate
833885	403452	Beverly Williams (1985)/Repor
833886	180545	Bessy Hartman
833887	167820	Australian Group #14
833888	7088	Dancer
833888	316188	Julie Evans
833888	369421	Office Assistant
833889	13339	Female Millionaire (segment: 
833889	49391	Rosemary Fenton
833889	116892	
833889	158920	Guard
833889	167820	Australian Group #13
833889	332067	Moll
833889	335680	Muriel
833889	392897	Additional Voices (1985-1986)
833889	402899	Computer
833891	16710	Miss Knight
833891	80793	Coroner
833891	202501	Nurse
833891	289074	Trudy Mason
833891	395819	
833892	55690	Vestal Virgin
833892	55693	Jenny
833892	317430	1st Streetwalker
833893	81162	Dora
833894	115269	Women Coalation Diner Patron
833895	2545	Dancer
833895	20316	Townsgirl
833895	36841	Girl
833895	42023	Bit Part
833895	45494	
833895	51885	Checkroom Girl
833895	65551	Dancer
833895	66549	Undetermined Role
833895	67139	Dancer
833895	67141	Dancer
833895	67156	Dancer
833895	67159	Dancer
833895	77820	Dance
833895	92117	Dancer
833895	130622	Dancer
833895	132821	
833895	147384	Girl
833895	154952	Bit
833895	155846	Girl
833895	157870	Bit
833895	176640	Dancer
833895	177368	
833895	210871	Nurse
833895	222592	Dancer
833895	247160	Dancer
833895	249021	Village Girl
833895	249513	
833895	289236	Girl
833895	289422	Bit Role
833895	302629	Bit
833895	312584	
833895	313076	Dancer
833895	335666	Dancer
833895	340370	Dancer
833895	358255	Dancer
833895	361300	Girl
833895	374198	Dancer
833896	108314	
833896	126504	Margaret
833896	320262	
833896	336652	
833896	385930	Dora Meakin
833896	389705	Doreen Osborne
833896	400565	Lucy
833896	404196	Eileen Dakin
833897	260850	
833898	319194	Housekeeper
833899	106723	Janet
833900	384142	Receptionist
833901	158975	Craps woman
833902	112028	Marsha
833903	69179	Herself
833904	182948	Women's Army of Revolt/Citize
833904	367062	Elaine Bergle
833905	196051	Internet Girl
833906	73683	Passerby on Street
833907	183426	Bitter Woman
833907	298119	Ala Mode Assistant
833908	261281	Katie Kenner
833909	391786	Sue Morgan (1999-2002)
833910	139967	Det. Elizabeth Fisher
833910	151055	Liza Kharacter
833910	215507	Belinda Brown, Miss Tennessee
833910	291302	Rouella
833910	294980	Woman in elevator
833910	302748	Jen
833910	317928	Stacy Simmons
833911	51070	Passer-by
833912	237600	
833913	31968	
833913	31980	
833913	33795	
833913	39936	
833913	45088	
833913	73673	
833913	96650	
833913	107147	Cleo Rand
833913	140693	Undetermined Role
833913	195073	Mrs. Peyton's maid
833913	215891	
833913	230500	Fanny Warden
833913	264049	
833913	359491	
833914	79876	
833914	206925	Mary Fleming
833914	263214	Liz Corcoran
833914	267106	
833914	291259	Virna Holt
833914	385299	Kate Hamilton (1982)
833914	392454	Sister May
833914	392483	Julia
833914	395728	Linda Clark (1976)
833914	397176	Vera Flood
833914	401224	Caroline Lumsden
833914	402169	Queen Charlotte
833914	402785	Andrea Warner
833914	407790	
833914	411257	Godwin
833915	90645	
833915	99955	Emma
833915	347348	Dorothy Truman
833916	316881	New Steps Family
833917	279125	
833918	213626	
833919	64668	Baby
833919	155018	Child
833919	163446	Elizabeth
833920	127953	Teacher
833921	2445	Herself (School Teacher)
833922	69856	Young Celeste
833923	326194	Stitch's Mum
833926	235495	
833927	3225	Herself
833928	93291	Woman at Kiosk
833929	29488	Sister Theo
833930	75775	Reporter #2
833932	48021	Sara
833933	368802	Sarah
833934	215507	Lana Harmony Frankfurt, Miss 
833935	318450	Indian Maiden
833935	346206	Arab Woman
833936	196037	USA Nurse
833937	32217	Barbara Lawton
833937	144374	Wife of CEO
833938	9055	Peggy Parker
833938	29285	Elizabeth Ames
833938	54686	Luana Ware
833938	73824	Mary Mitchell
833938	78935	Nurse Jean Smith
833938	96937	Train Passenger
833938	133722	Mother in Passing Parade
833938	136274	Helen
833938	139790	Harvey Girl
833938	200249	Mrs. John Walker
833938	224674	Victoria Ames
833938	227798	Ann Sinclair
833938	232223	Connie
833938	244905	Mrs. Nesbitt
833938	255887	Party girl
833938	276739	Madge Allen (Pettit's daughte
833938	276948	Danielle
833938	277991	Priscilla 'Dusty' Willis
833938	295341	Mary Jordan
833938	300124	Clara Harlin
833938	308604	Anna Bulganov
833938	321529	Grace
833938	329620	Mary Thompson
833938	330634	Emmy York
833938	331398	Kay
833938	392201	Howdy Doody (later episodes)
833939	280081	MTV deejay
833940	197718	Officer Laura Barnes
833941	152889	Joan Mitchell
833941	292704	
833941	336668	Madge
833942	33742	Lady Jones
833942	178813	Janie Dale
833942	241117	Queen Agravain
833942	241118	Queen Agravaine
833942	387309	Lydia Holliday, RN (1968-1969
833942	404613	Tante Helene LeVeaux (1979)
833942	411419	Olivia Hampton (1971)
833943	55715	Irene Ambrose
833943	337107	Brenda
833944	245498	Matron
833945	399260	Hostess (1980-????)
833945	406116	Hostess
833946	318775	Travel Agent
833947	114642	Matthew's Kids
833948	151672	Beach Girl
833949	274874	
833950	117851	Carolyn Dowling
833950	164502	Beth
833950	182947	Monica
833950	222627	Secretary
833950	241660	Liz
833950	365341	Brenda
833950	411759	Jennifer (1983)
833951	4680	Julia
833952	55697	Nurse in bath
833952	155857	
833952	232278	Vernay's Model
833953	109857	Baby Megan Banks
833954	296901	Ayah
833955	114311	Tessa
833955	191799	Patty Cake Girl #2
833956	281769	Prioress
833957	6552	Prudence Stallybrass
833957	21545	Phebe, a Shepherdess
833957	40850	Mrs. Bradman
833957	128333	College inmate
833957	161873	Mrs. Gladstone
833957	191950	
833957	196974	Alice
833957	210437	Jerry
833957	241813	Mary
833957	292126	Dorothy Muller
833957	334431	Sara
833957	358455	
833957	360551	
833957	372362	Jane
833957	411201	Vera Loomis
833958	123891	Singer
833958	296750	CJ's Opponent
833958	301681	Paula
833959	213128	Joyce Jones
833960	50333	Sales Clerk
833961	58515	Estelle Santelli
833961	259864	La Rue
833961	374353	Woman Screamer
833962	74273	Bar Performer 1
833963	59765	Louise
833963	81286	Wife
833963	374282	Janet
833965	115210	Julia
833966	245230	Michele
833966	296333	Jackie
833966	382838	Sarah Townes (1989-1990)
833966	402145	Diana Fields
833966	408868	Francis Hall
833966	410653	
833966	411809	Nurse Diana Trent (1982)
833967	116290	Cindy
833967	141965	Fran
833967	289238	Ruthie Falwell
833967	304527	Bootsie Grady
833967	362453	
833967	390423	Nadine Swoboda (1993-1997)
833967	399029	Marcia
833968	404151	Hostess (1994)
833969	323390	Mingo Junction Cheerleader
833970	319037	Elly
833971	167051	
833971	279409	
833971	306132	Marcy
833972	297626	
833973	82104	Girl Cyclist
833974	245315	Herself
833975	245265	Desk Clerk
833976	120722	
833976	186665	Kaneesha Carter
833976	241148	Mary
833976	385055	Charmaine Brown (1990-1992)
833976	386338	Charmaine Brown (1992-1993)
833976	392693	Jasmine
833976	396598	Nicolette Vandross (1996-2000
833976	402343	Dijonay Jones
833977	281140	Stella
833978	374353	Slap-Woman
833979	304793	Mandar, Selima's Son
833980	130311	Dancer
833981	67577	Woman #1
833981	323443	Mary
833983	131006	Screaming lady at wedding
833984	238066	Soccer Extra #2
833985	197863	
833987	167013	Young Jessica
833987	360795	Lisa
833988	67896	McGurn Child #3
833989	206906	Rachel
833989	249502	Sandra
833989	252483	Georgia Cop
833989	365251	
833990	151589	Girl in Elevator
833991	100209	Young Blonde Child
833992	94200	
833993	379730	Stephanie 'Steph' Markham (19
833994	177291	Street Vendor
833994	178061	Vocalist in club (opening cre
833994	358700	Singer
833995	397280	Tak
833996	34773	Herself
833996	56431	Bettina Peterson
833996	214974	Herself
833996	233914	The Actor Playing Suzanne
833996	347069	Housekeeper
833996	370035	Greta
833997	295326	2nd Reporter
833998	93156	Thelma Benson
833998	386603	Mary Jane 'M. J.' Match #1 (1
833998	392185	Maria McGhee
833999	36855	Herself
833999	381917	Herself - Evictee #3: 25 May 
834000	77205	Young girl
834001	100008	Woman 1
834002	315900	
834003	333120	Person of the Night
834004	187947	Herself (singer)
834005	2762	Performer and Winner Featured
834005	15887	Ensemble Vocals
834005	40509	Neighbor Woman
834005	123366	Toyota
834005	129516	Transit Cop #1
834005	143526	Calliope the Muse of Epics an
834005	143527	Calliope
834005	143543	Calliope
834005	151483	Shopper
834005	155453	Dancing Secretary
834005	235052	Operator
834005	255442	Evette
834005	404897	Lillian (1993-1996)
834007	194313	Lana
834007	217745	Projectionist
834008	35532	
834009	86025	Girl
834010	46247	Marty
834010	315311	
834011	16846	Sarah
834011	92742	
834011	351972	Pamela Barnes
834011	407656	Eileen (2003-)
834011	408019	Paula Roberts
834011	409386	Beth Dow
834012	176458	
834013	223139	Herself
834014	134694	Mrs. Eastlake
834015	51066	Lorne
834016	141282	Swinging couple
834017	240013	Agnes Fleming
834018	314845	Surrealist
834019	257746	Brett Langley
834020	139273	Mother
834021	100838	Choir Member
834022	33175	
834023	372463	Linda
834024	68452	Miss Donnymead
834024	70359	TV Reporter
834024	263566	Beryl Pienaar
834025	5449	Mrs. Hughes
834025	32723	Maid
834025	75809	Student's Mother
834025	129582	Ellie's grandmother
834025	192344	Emily Pimpton-Brown
834025	211508	Aunt Everlyn
834025	362520	Molly
834026	108665	
834027	30450	Avery Denys
834027	70532	Violet/Ada Hunter
834027	99159	Doris Elliot
834027	252859	
834027	257093	Mrs. Tudor
834027	261507	
834027	342380	
834028	41085	'Cookie' Bumstead
834029	390338	Yoga Instructor
834030	191994	Girl on Bus
834031	63205	Bridgette
834032	340228	Woman Of Troy
834033	107412	Gloria Starke
834034	201326	Lisa
834035	121819	Receptionist
834035	151461	Agatzi Girl
834035	202997	Hortence
834035	366598	Pauline L'Allemand
834036	39329	Rita Ballou
834036	47286	Penny Packer
834036	59605	Sadie
834036	87106	Dolores
834036	130736	Alice
834036	138744	Margie
834036	143020	Lita
834036	147722	
834036	171146	D-6
834036	230736	Vera Fontaine
834036	239028	Totsy Franklin
834036	261422	Vernice LaVerne
834036	319147	Bea Nichols
834036	367477	Mary
834036	367843	Margie aka Pee Wee
834037	201903	Hannah Green
834038	122638	Vicky Bell
834039	158818	
834040	26666	Florist Assistant
834041	399130	Sgt. Joanne Douglas (1998-)
834042	6854	Lady
834042	32211	
834042	49896	Frasquita
834042	49897	Frasquita
834042	71586	Large lady
834042	71680	
834042	176406	Edna's maid
834042	224730	Jane
834042	231967	Fat Lady and Snake Charmer
834043	1725	Herself - Performer
834043	2581	Performer
834043	66766	Meg
834043	155019	Herself
834043	185847	Herself
834043	221482	Herself
834043	368289	
834044	38882	Mrs. Walters
834044	203509	Helga
834044	359486	
834045	278647	Mele
834046	1154	
834046	195261	Alexandra
834047	368283	The storyteller
834048	33748	Arabella
834049	372372	Shopper
834050	23349	
834050	142690	
834051	90352	Mary Jo's Mom
834051	331463	Karen (16 years old)
834052	178353	Kitty
834052	192683	Girlfriend
834052	285049	Lisa Pierce
834052	302988	Pile Girl
834053	13978	Lizzy
834054	48947	Maggie Scalson
834055	47117	Attorney in Photo
834055	123702	Tourist Mom
834055	127237	Mom in Convenience Store
834055	209206	Reporter
834055	317956	Rose
834056	1965	Coventry Administrator
834056	46456	Frankie
834056	70275	Austin
834056	71923	Maria
834056	100711	Kathleen
834056	105200	Young Mom #1
834056	113397	Taffy
834056	161490	Patty
834056	245055	Lisa
834056	297937	Nadiyah
834056	308110	School Girl
834056	349509	Lark Medley
834056	356472	E.R. Nurse #1
834056	378683	Fatima Kelly
834056	398578	Angela, Gianni's love interes
834057	258936	Millie Sklar
834058	372728	Girl at cigar counter
834059	310874	Fashion Model
834060	47838	Talk Show Host
834060	70428	Johnny Capella's Girl
834061	323384	
834062	71495	Policewoman
834062	119597	Woman in Apartment
834062	121854	Vibrata
834062	127834	Tax Clerk
834062	194867	Linda
834062	380823	Robin Shelter
834063	282260	Mystery Lady
834064	386851	
834065	222657	Reporter
834065	265747	Marlene
834065	367916	
834066	188453	'Dislike' Girl
834067	379700	Herself/Contestant (Top Six F
834068	274198	Girl In The Hallway
834069	395647	Effie Millais
834070	232630	Teacher #1
834072	195308	Martha
834073	120609	Head Nurse
834073	168648	
834073	202395	1st Journalist
834073	203549	Gucci Clerk
834073	210620	Waitress
834073	235460	Parent
834073	261290	Donahue Audience
834073	289406	Clarisse
834073	297788	Judge
834073	336819	Group Leader
834073	367512	Stewardess #2
834073	379760	
834074	30071	
834075	77832	
834076	238506	Griffith's Girlfriend
834077	79575	Ada's Aunt
834077	160937	Mrs. Williamson
834077	243741	Margaret Shields
834077	323767	Miss Pross
834078	73770	Allie Eames
834078	102209	
834078	274352	Dr. Preston
834078	367668	Maryellen
834078	382419	Teresa Emerson (1994)
834078	383414	Additional Voices
834079	278221	Herself
834080	3202	Aunt Ethel
834080	99412	Kinky Housebuyer
834080	294980	Doris
834082	30741	Polly
834082	93483	
834082	220916	Jane Cooper
834083	384839	Model (1961)
834083	408807	Pirate Girl
834084	334237	Ms. Knight
834084	346830	Amy Elder
834084	360615	Julie
834085	262124	Herself
834086	122198	Religious Group Member
834087	145339	Musician
834089	5404	
834089	16720	
834089	18571	Myrtle (Mrs. John Hill)
834089	20849	
834089	22900	
834089	25470	
834089	33503	
834089	35693	Sally Marrio
834089	39868	Evelyn Ereth
834089	41029	
834089	45267	
834089	47561	
834089	49901	
834089	51590	Madge
834089	52241	
834089	52409	
834089	57148	Mrs. Brown
834089	61637	
834089	62771	
834089	67114	
834089	70286	
834089	77769	
834089	80030	
834089	87098	Maggie
834089	93561	
834089	94121	
834089	96818	
834089	96946	
834089	106051	Elaine Dodge
834089	107616	
834089	107986	
834089	108020	
834089	109709	Pearl Standish
834089	109883	
834089	114162	
834089	116942	
834089	117199	
834089	117718	
834089	126536	
834089	126719	
834089	128172	
834089	128274	
834089	128300	
834089	128439	
834089	128864	
834089	130412	
834089	133298	
834089	133515	
834089	133888	Norah
834089	136526	
834089	137606	Pearl
834089	138139	
834089	138149	
834089	140693	Hazel Kirke
834089	141239	
834089	141482	
834089	142693	
834089	143082	
834089	143230	
834089	143232	
834089	143236	
834089	143252	
834089	143315	
834089	143325	
834089	143351	
834089	143392	Pearl
834089	143439	
834089	143961	
834089	144604	
834089	145776	
834089	145779	
834089	145794	
834089	146027	Pearl Letterell
834089	146204	
834089	146264	
834089	146318	
834089	147795	Pauline-Perils of Pauline
834089	148362	
834089	148599	
834089	149271	
834089	149793	
834089	150776	Mrs. Brown
834089	150929	
834089	151434	
834089	152183	
834089	160001	
834089	162339	
834089	163322	
834089	168838	
834089	177581	Catherine Dardinilis
834089	178278	
834089	178934	
834089	179054	Ellen Schuyler
834089	183619	
834089	183686	
834089	190168	
834089	190397	
834089	190578	
834089	192852	
834089	193272	
834089	194863	
834089	194919	
834089	195895	
834089	196262	
834089	196460	
834089	197683	
834089	198547	
834089	199196	
834089	200879	
834089	203082	
834089	206917	
834089	207112	
834089	207843	
834089	208643	
834089	208644	Anabell Lee
834089	208906	
834089	208943	
834089	210628	
834089	214429	
834089	215441	
834089	215743	
834089	220151	
834089	220353	Alexander McGiverns
834089	221528	
834089	221589	
834089	223095	
834089	230617	Elaine
834089	230715	
834089	230834	
834089	231049	
834089	231534	
834089	231787	
834089	231968	
834089	238986	
834089	238994	
834089	238998	
834089	238999	
834089	239000	
834089	239051	
834089	242108	
834089	244908	
834089	244939	
834089	245163	
834089	246773	
834089	247211	
834089	248096	Alice Wilson
834089	251468	Pearl
834089	251469	
834089	251470	
834089	251471	Pearl
834089	251497	
834089	251503	
834089	251504	Pearl Howell, a Young Matron
834089	251506	
834089	251507	Pearl
834089	253125	Pauline Marvin
834089	258001	
834089	258288	
834089	262047	Margaret
834089	264474	
834089	269061	
834089	275980	
834089	277654	
834089	278492	
834089	279571	Herself (as 'Pauline' charact
834089	279683	
834089	280925	Elaine Dodge
834089	290533	
834089	296766	
834089	296881	
834089	298486	
834089	305837	
834089	307866	
834089	307919	
834089	309435	
834089	310873	The Wife
834089	313874	Mabel
834089	314506	
834089	316883	
834089	318703	
834089	319750	
834089	319869	
834089	324412	
834089	327148	
834089	328303	
834089	328436	Helen Aldrich
834089	329407	
834089	329492	
834089	330318	Mary Vantyne
834089	331854	
834089	331921	
834089	332817	Tiger's Cub
834089	335292	
834089	335733	
834089	340749	
834089	342986	
834089	349897	
834089	351235	
834089	355046	Gratia Latham
834089	359652	
834089	362170	
834089	362352	Pearl
834089	362353	
834089	362763	
834089	362924	
834089	363172	
834089	363278	
834089	363933	Rhoda, The White Moll
834089	364188	
834089	364196	
834089	365734	
834089	365856	
834089	365860	
834089	366816	
834089	366922	Ruth Hamilton
834089	367428	
834089	367472	
834089	367720	
834089	367742	
834089	370568	
834090	97489	Woman
834091	14609	Prisoner
834091	134182	Zigarettenmädchen
834091	138204	Bit Part
834092	214537	Tourist #2
834093	189807	Girl in Rain
834093	276835	Herself
834094	2331	Host
834094	41182	Black Baby
834094	41739	
834094	107793	Dawn
834094	118984	
834094	185053	Cameo Appearance
834094	242781	Private Winslow
834094	274180	Vanessa Cody
834094	312977	Leanne
834094	318186	Trina
834094	380391	Kineisha 'K.C.' Burrell (1999
834094	382703	Denise Williams
834094	390111	Lynn
834095	115842	Hannah Barkham
834095	358634	Carrie Bowers
834096	279459	Curzon Sister - Iron Jaw Act
834097	350219	Teenaged Girl
834099	212613	Girl #2
834100	365451	Policewoman #2
834101	82763	Elsie
834102	403805	Stephanie Sellers (2001)/Dr. 
834103	67793	Tamu
834104	46456	Maria
834105	184459	Dee Dee
834105	186156	Rolanda Arnett
834105	245055	Zoe
834105	319206	Carla
834105	329757	Annie Tyler
834106	70215	
834107	305638	Landlady
834107	316728	Old Lady Shopper
834108	262732	
834109	128489	Brown's daughter Amy
834109	251192	Doris Wendell
834110	26430	Miss Clara
834110	40842	
834110	56426	Mrs. Chaison
834110	59727	Mrs. Apple
834110	97520	Mrs. Nordmann
834110	138302	Madame 'Peaches' Sophie
834110	179086	Lady in Waiting
834110	188242	
834110	196392	Biddy, Cook
834110	197291	
834110	211587	Leona
834110	213112	Sally Buck
834110	222941	May Trent
834110	223292	Tillieth
834110	234075	Mrs. Himmel
834110	236733	Mother Marcella (School of Me
834110	245302	
834110	247218	Belle
834110	248823	Nettie
834110	267607	Mrs. Popper
834110	270926	Mrs. Bannon
834110	275206	Miss Reba
834110	277505	Tilda
834110	283315	Sheba, Reba or Heba
834110	299942	
834110	332785	Mrs. Kelly
834110	334212	Mrs. Dubose
834110	348375	Beatrice Schacter
834110	383426	Lisbon Charlie's wife
834110	387120	Mrs. Burgess
834111	713	Discogängerin #1
834111	18536	
834111	40379	Olympia
834111	119028	Kathi Pointner
834111	126362	Jessika
834111	137617	Doris Leitner
834111	155394	Olga
834111	166688	Agerl
834111	166757	
834111	206221	Maskenbildnerin New York
834111	259652	
834111	265984	Antonia Rehbein
834111	275156	
834111	316816	Clarissa
834111	319672	
834111	319736	Die visuell Dramatische
834111	326024	Marcia
834111	334639	
834111	350855	Suse
834111	352062	
834111	352345	Rosi
834111	356567	Gabi
834111	394735	Various Roles
834112	204576	Newspaper Clerk
834113	259416	Brigitte Lechner
834113	290449	Iris
834113	396268	Luise Kreitmeier, geb. Granda
834114	147809	Dancer
834114	307518	Receptionist
834115	326456	
834116	363567	Judith Felton
834117	274874	Sara Knox
834118	382838	Beverly 'Bev' McLoughlin Gonz
834119	134119	Sun Green
834120	53059	Brittany
834120	80835	Joey
834120	133335	Kay
834122	317437	Dealer
834123	117307	Jack Austin
834125	408893	
834126	92134	Herself
834126	183213	Ballroom Dancer
834126	237431	The Whites
834127	83561	Cheetah's Dancer
834128	10415	Norma
834128	47928	Annie Miller
834128	69381	Rosie Noggett
834128	69393	Rosie Noggett
834128	69405	Rosie Noggett
834128	69421	Rosie Noggett
834128	118722	Moyra Sheffield
834128	127112	Polly
834128	130290	Girl in Record Shop
834128	143636	Paula
834128	175117	Gladys Smith
834128	218029	Susan
834128	221234	Tulip
834128	240030	Bet
834128	301956	Carol
834128	310199	Alisande
834128	316214	Hazel
834128	354550	Veronica
834128	379593	Vivien McKewan (1969-1970)
834128	382042	
834128	386719	Dixie
834128	387247	Carol Hanley (1990)
834128	392483	Messalina
834128	396786	Priscilla Grove
834128	401744	Keren Daniel
834128	410008	Avril
834128	411020	
834129	283395	Club Patron
834130	78971	Ellie Palmer
834131	182360	Herself - backing vocalist
834132	46257	Honey Reddigan
834132	215349	Gertrude
834132	354886	Germaine
834133	334235	Airline Passenger
834134	203489	Mrs. Seitz
834135	80498	Jen
834135	340980	Alex
834136	218371	Maggie, Scoop's Girl
834136	244379	Angeli
834136	268822	la Danseuse
834136	342587	Eating English School Chum
834137	116209	Third Stewardess Trainee
834138	287729	Debbie Darwin
834138	291251	
834139	97390	Radio Disc Jockey
834140	187073	Extra
834140	201709	Herself/Extra in Movie
834141	170746	Church Lady
834142	188510	Darryl's Mother
834142	193957	MIA Wife #1
834144	313334	Bar Patron
834145	48264	Bridesmaid
834146	13401	
834146	26782	
834146	34817	
834146	37385	
834146	37386	Judy
834146	49454	
834146	53130	
834146	73609	Ange
834146	83857	
834146	87154	
834146	87340	
834146	95744	
834146	98854	Hotline operator
834146	98856	Miss Louisiana
834146	98859	Drummer in Holly's band
834146	100890	
834146	101027	
834146	109628	
834146	115059	
834146	119754	
834146	125666	Teal/Delta/etc.
834146	142702	
834146	153476	
834146	157020	
834146	162833	
834146	186746	
834146	201546	
834146	204802	
834146	219043	
834146	219199	
834146	228037	
834146	243121	
834146	259387	
834146	261043	
834146	282319	
834146	289786	
834146	297823	
834146	299527	
834146	325220	
834146	331482	
834146	332443	
834146	332450	
834146	335809	
834146	337350	
834146	355021	
834146	358074	Herself
834146	362548	Stripper
834146	362915	
834146	365643	
834146	367625	
834146	372506	
834147	147978	Azalea Everton
834148	228105	
834149	687	Herself
834149	45662	Guard
834149	236780	Sister Hubert
834149	236781	Sister Mary Hubert
834150	383538	Muriel
834150	385120	Muriel Bagg
834151	6251	Herself
834151	45223	Diane Gibson
834151	117754	Nurse in park
834151	144409	Mrs. Bond
834151	150319	Wife
834151	203766	Girl
834151	206867	Eve Summers
834151	218734	Salesgirl
834151	230420	Helen Lloyd
834151	231944	Herself
834151	241809	Desperate for Permanent Wave
834151	263326	'Baby', Cigar Counter Clerk
834151	277842	
834151	292038	Herself
834151	303548	
834151	312165	Millie
834151	320253	Susie's Blonde Roomate
834151	327271	Mae Colman
834151	342933	Woman
834151	350906	Herself
834151	359102	Lillian
834151	362369	
834153	30581	Nivea Johnson
834154	35812	Featured Extra
834156	6895	Herself (interviewed)
834157	168295	The Roach Chorus
834158	122185	Ret
834159	299520	
834160	139479	
834161	31219	German forewoman
834161	40976	Prison Governess
834161	120150	Frieda
834161	137545	Jill French
834161	148210	Mrs. Jarvis
834161	152225	Rhona Watson, alias Rhona Dav
834161	169911	Barbara
834161	224068	
834161	338582	Mme Dambreuse
834161	364730	Doxy (in back-of-head shots)
834161	367903	Prison Governess
834162	231099	Girl #3
834163	65588	Narrator
834164	69905	Herself
834164	91684	Ch. 102 News Anchor
834164	115565	Herself
834164	130098	Venus
834164	132529	Doris
834164	136513	Mickey
834164	161238	Herself
834164	194223	Reston Girl
834164	213209	Devona
834164	226938	Herself
834164	368819	Herself
834164	383414	Lauri Saunders
834164	410946	Hostess (1982-)
834165	143036	
834166	14620	Society Pilot
834166	153279	
834166	154154	
834166	162578	Lady of leisure
834166	230436	
834166	360395	Kay's friend
834166	364806	
834168	141277	Nanny McNair
834169	233878	Female Officer
834170	201870	Undetermined Role
834171	7979	Mary Sciales
834171	50076	The Agent
834171	59858	Jane
834171	80467	Caymeth
834171	80583	Tina
834171	119928	Christy
834171	131780	Lois Byrd
834171	170843	Jenny
834171	187698	Penny
834171	194140	Pochelle
834171	233676	Missy
834171	299469	Kennel Driver
834171	330773	Lynn, Babysitter
834172	48506	Chesty
834172	199289	Suzuki
834172	226149	Fenena
834173	50386	
834173	139301	
834173	191200	
834174	394676	Meg MacKenzie [#1] (1987-1989
834175	321754	Waitress
834176	388813	Herself (1998-2001)
834177	11329	Elizabeth
834178	7119	
834178	50974	Telephone Operator
834178	295616	Woman
834178	311938	Martha
834179	273222	
834180	78775	Dirk's Babe
834181	398050	4th Eliminated (2001)
834182	79486	Herself (Guest Back Up Vocali
834182	79487	Herself (Background Vocals)
834183	184127	Barbara
834184	158421	Louise
834184	245111	Keisha
834186	183797	Une couturière
834187	231118	Arizona Reporter
834188	379360	Sybil
834189	242731	Karen Sommers
834189	317602	Clerk
834190	292121	Tina
834191	35661	Psychological Profiler
834191	207901	Maid
834191	323018	Eleanor McNair
834191	363469	Dr. Janson
834191	382618	Jean Allen
834191	408630	Shirley Fisher (1992-1995, 19
834191	410013	Maureen Gahagan
834192	99043	Martha
834193	195035	Cajera tienda
834194	85953	Maid
834195	387533	Alison (1997) (3 episodes, De
834196	81867	
834197	148996	Jessie
834197	185901	George's Mother
834198	367054	The Wiz Singers Adult Choir
834199	289024	Ballet Dancer
834200	387533	Maggie Calder (2001-2002)
834200	387534	Dee Whitehead
834201	196618	Herself
834202	257374	Mrs. Ewing
834203	235570	Erica
834204	115378	Phyllis Goldberg
834205	105713	Debbie Bushnell
834206	132821	Switchboard Operator
834206	329052	Stella
834207	399069	Alice
834208	168624	Steph Bradley
834209	313583	Fan at Hotel Arrival
834210	254569	Kid at Party
834211	388350	WPC Swan
834212	114099	Hooker #4
834213	195278	Adelle Kappel
834214	238449	Theban Child
834215	141807	Herself
834216	16756	Angela
834217	401973	Whore #1
834218	360544	Club bouncer
834219	363927	Tanya
834220	101036	Dancer
834221	190461	Knowles Kid
834222	333440	
834222	333441	
834223	333440	
834223	333441	
834224	360599	Herself
834225	45853	Paquita's Grandmother
834225	232012	Teenager
834225	232013	
834225	283084	Grandmother Kitteridge
834225	304794	Elsie
834225	307620	Rohana Beaulieu
834225	402197	Maggie May Kennedy (1983)
834226	281977	Marschallin
834227	34129	Max's friend
834228	62922	Nutlady
834229	89065	
834229	221776	
834229	382464	
834229	401925	
834230	338988	
834231	55713	Herself
834231	88933	Herself
834231	100126	Herself
834231	250920	Herself
834231	340945	Herself
834231	395530	Herself
834232	147882	Herself
834233	364096	Herself
834234	347315	Nikki
834235	59910	
834235	90149	
834235	218772	
834235	300026	
834235	332118	
834235	365390	
834236	6273	Daisy Devore
834236	27511	
834236	42433	Lydia
834236	46437	Rose Munro
834236	52906	Prudence Duvorney
834236	55850	Winnie Watson
834236	58493	Mrs. Andreos
834236	59595	Lottie Bubbles
834236	65786	Mavis
834236	68005	Judy
834236	68674	
834236	73256	Narrator
834236	78795	Aughra
834236	80696	Kate Webster
834236	84958	Piroska
834236	92506	Gwyn Thomas
834236	93594	Margo
834236	94767	Dorcas
834236	96636	Madame Bertrand
834236	107624	Waitress
834236	112188	Beatrice Llewellyn
834236	115264	Mary Patterson
834236	116542	Judy Black
834236	119408	Messina
834236	119872	Hetty Porter
834236	127481	Christine
834236	135781	Ellen
834236	142383	Chloe Hawkins
834236	165222	Aunt Patience
834236	165449	Grace Poole
834236	169678	Tammy O'Moore
834236	180787	Violet Kray
834236	183770	Marguerite Gautier
834236	185451	Evelyn
834236	187731	
834236	187861	Margaret
834236	187949	Isabel James
834236	194583	Sarah Ridd
834236	194956	Mrs. Spitz
834236	201433	Lily
834236	208189	Mrs. Hall
834236	211500	'Auntie' Ambrosia
834236	214931	Maggie
834236	221152	Ernestine
834236	222626	Margaret Baker
834236	222709	Mad Janie
834236	232308	Sarah Cooke
834236	233677	Mary
834236	234046	
834236	235438	Auditor/Mouth
834236	240327	Mrs. Baylock
834236	251288	Jackie Parker
834236	258719	Jeanne Saunders
834236	269901	Madame LeClerc
834236	280132	The Actress
834236	281424	
834236	292417	Mrs. Medlock
834236	296711	Doctor Cloud
834236	299765	Veronica
834236	303696	Margaret
834236	304689	Madge
834236	304812	Receptionist at Pearce & Mann
834236	305357	Caroline Mallet
834236	313844	Queen Marie Antoinette
834236	323771	Madame Therese Defarge
834236	324386	Louise
834236	342661	Joan Harper
834236	347716	Elizabeth Leaming
834236	359944	Mrs. Doasyouwouldbedoneby/Old
834236	366876	Rhoda
834236	382537	Lili Flitch
834236	383893	Herself
834236	386385	Kate Makepeace
834236	386518	Mary Dixon (1955)
834236	388782	Rose Gutteridge
834236	392622	Elsie Novar
834236	398726	Jill (Series 1) (1957)
834236	398990	Josephine
834236	400401	Leader of the Women
834236	402212	Bertha Freyer
834236	404671	Martha
834236	404964	
834236	408271	Peggy Spencer
834237	39985	Mary
834237	85111	Meg
834237	128408	Sheila
834237	371087	Linda
834237	385299	Angela Forster
834238	94015	Mary
834238	176969	Tina Benson
834238	185422	Dr. Elizabeth Fraser
834238	199209	The Captain's Girl
834238	264147	Betty
834238	273085	Sarah Cameron
834238	289396	Vicky
834238	292461	Gallina
834238	366955	Megan Turner
834238	386385	Madeleine
834238	394239	
834238	394515	
834238	397212	Catrin (1998)
834238	399065	Jo Scott
834238	401223	Fleur
834238	402197	Donna Mason (1982)
834238	408664	Annie
834239	104896	Mrs. Bancroft
834240	177145	Nurse
834241	50058	Mrs. Eland
834241	80501	Martin Urban's mother
834241	331910	Dr. Seal
834241	381872	Hilary Shand
834241	384430	Maggie Clayhanger
834241	395525	Mrs. Mantalini/Mrs. Snevellic
834241	402743	Brenda Tivendale
834241	405271	Sister Ethel Brumfett
834241	411089	Kathleen Resnick
834241	411090	Kathleen Resnick
834242	321311	Teacher of Mannes College of 
834243	217481	
834244	274342	Inkeeper's wife
834245	16907	
834246	274010	Mrs. Breckler
834247	161051	Auction Cashier
834247	366576	Sally
834248	193409	Reporter #2
834249	10241	Fast Track/Russian Bars
834249	64657	Nymph/Fast Track/Russian Bars
834250	398420	
834250	400526	Mrs. Ena Wheeler
834250	403968	Rosie Morgan (1976)
834250	409571	
834251	61693	
834252	314138	Mayor at Yacht Club
834253	271809	Herself
834254	275447	
834255	188270	Mamie
834256	313334	Customer
834257	368929	School Teacher
834258	401346	Kathy Jo Elliott (1968)
834259	401346	Kathy Jo Elliott (1968)
834260	6717	Herself
834260	15184	
834260	15225	Girl masturbating
834260	159271	
834260	169586	Joy
834260	169627	Joy
834260	169628	Joy
834260	169629	Joy
834260	178047	
834260	188634	Street Kid
834260	196556	
834260	228666	
834260	237782	
834260	261527	
834260	288491	
834260	292392	
834260	309050	
834260	325274	
834260	329872	Herself
834260	353332	
834260	364727	
834260	384637	
834260	393785	
834261	52199	Howdy Doody Mom
834261	330386	Betty Sanford
834262	387309	Matron Eleanor Marcheck (1968
834263	36948	Debbie
834263	190242	Poet
834264	241742	
834265	338833	The Ghost Party
834266	387120	
834267	310597	Maura
834268	248389	Mildred
834269	70368	Mrs. Henderson Herodias
834270	450	Mrs. Dawes
834270	135918	Carrie Lou, School Girl
834270	171449	Carolyn Elliot
834270	185341	Crime Lab Witness
834270	230675	Angela Merk
834270	253914	
834270	265266	Mrs. Wharton
834270	269082	Mrs. Wortham
834270	292877	Margaret Durden
834270	303488	Young Woman
834270	310643	Mrs. Vanier
834270	363787	Susan Waverly
834271	155920	Part of couple
834272	362180	Interracial Couple
834273	35362	
834274	221163	Beautiful girl
834275	209170	Dancer
834275	236952	Gus
834276	5209	Mother
834276	40536	Vera Baines
834276	42383	Herself
834276	47207	Herself
834276	47210	Herself
834276	55678	Evelyn Blunt
834276	55691	Queen Isabella
834276	55700	Augusta Prodworthy/Voice of P
834276	55708	Meg
834276	61634	
834276	72519	Mrs. Ferguson
834276	88549	Mrs. Dolly Hadleigh
834276	91581	Eff
834276	107331	Mrs. Combs
834276	118987	Herself/Various Characters
834276	118988	
834276	120115	
834276	120246	Doris Holmes
834276	143632	
834276	151532	Mother
834276	169868	Aunt Drusilla
834276	185451	Annie
834276	200492	Mildred (segment "Envy")
834276	215186	Dora Vermouth
834276	235467	Janet Rimmington
834276	240566	Presenter
834276	242401	Herself
834276	253331	Herself
834276	260931	Daisy
834276	269883	Dancer
834276	281341	Herself
834276	283634	Rupert's Mother
834276	292700	Mrs. Birkstead
834276	303335	Herself
834276	312171	Elsie Farquhar
834276	315642	Herself/Mother
834276	315930	
834276	327147	Sandra Baxter
834276	329609	
834276	342416	
834276	362472	Interviewee/'Queen Isabella'
834276	372304	
834276	379125	Mrs. June 'Gran/Mother' Monso
834276	379729	Auntie June (Series 2) (1997)
834276	380683	Emily Pilbeam
834276	380693	
834276	381431	Various Roles
834276	381557	(Series 4-7) (1956-1958)
834276	381561	Rose Garvey
834276	381660	Various Roles (1961, 1968)
834276	381753	Mabel Pollard
834276	381959	
834276	382794	Herself
834276	383218	Various roles
834276	384528	Mrs. Blanche White #1 (Series
834276	384766	Irene
834276	387982	
834276	388350	Ivy
834276	388466	
834276	391007	June Fletcher
834276	391666	Mrs. Whitefield
834276	392181	
834276	392520	Various Characters
834276	393126	
834276	393677	Herself - Team Captain (1973)
834276	395246	Herself/'June Monsoon'
834276	397739	Various roles
834276	398203	Various Characters
834276	400202	
834276	400709	Mrs. Bonteen
834276	404544	(Series 2-5) (1968-1974)
834276	404928	Various Characters
834276	405516	Various Characters
834276	407879	June Medford
834276	411259	Herself (2000)
834276	411553	Nanny Ogg
834276	411689	Various Characters
834277	213349	
834278	60361	Dorothea
834278	60810	
834278	67377	Minnie McGhee
834278	71290	Barbara Lorenz
834278	78058	Lori Jackson
834278	80382	Sheila Freeman
834278	81785	Corrine Burrell
834278	88867	Thelma Cleland
834278	104924	Roz Batiste
834278	116981	
834278	126035	Bobbie
834278	131217	Angie
834278	140953	Debra Lassiter
834278	141388	Dr. Cory Banks
834278	158091	Sgt. Ladd
834278	161289	Herself
834278	161357	Narrator
834278	165976	Louisa
834278	168627	Johnnie Mae Gibson
834278	169163	Josephine Baker
834278	196053	Jean Simpson (segment "Love S
834278	257293	Mrs. Brown
834278	274476	Barbara Becnel
834278	302031	Rae Johnson
834278	305221	Tina Alvarado
834278	309022	Sophie
834278	313929	Dehlia Johnson
834278	314459	Dr. P. Sweikert
834278	315190	Esther
834278	323611	Carolyn Hunter
834278	330383	Brandi Web
834278	333226	Linda Derricks (Dance Teacher
834278	340025	Natala
834278	360745	Corinne Coles
834278	367844	Ciel
834278	380031	
834278	385054	Barbara Lorenz (1994)
834278	390109	Nia Morgan
834278	391246	Dr. Cory Banks
834278	396010	Bellaridere
834278	408058	
834278	408876	
834279	324551	Liquid Silver Dancer
834280	134906	Galina
834281	131367	
834282	193176	Beautiful Martian Maiden
834283	68155	Rachel
834283	68304	Valerie Dickson
834283	73361	Foensic scientist
834283	73913	Manicurist
834283	122686	Nurse Louise
834283	196353	Donna
834283	342730	Michelle
834284	65184	Clarence's classmate
834285	96905	
834285	193834	
834286	202195	Skeleton Crew Dancer
834287	206535	Saloon Girl
834288	35596	Ruth Williams
834288	55437	Maria Molina
834288	57919	Susanna Rogers
834288	64784	Annie Kane
834288	78171	Suzie Higgins
834288	79304	Herself
834288	148406	Jo-Ella Holbrook
834288	154083	Ellen Cooper
834288	170856	Fluffy Adams
834288	249017	Barbara Walton
834288	271203	Suzy Milligan
834288	367081	West Witch
834288	408106	Herself
834289	254485	
834290	303500	Linda
834290	384100	(episode "The Man Who Didn't 
834291	79304	Herself
834291	133693	Herself
834291	164406	Herself
834291	170311	Herself
834291	249017	Margaret Walton
834291	291381	Herself
834291	308724	Herself
834291	408106	Herself
834292	21117	Laura Guise
834292	130332	Sister Marvin
834292	292417	Nurse Boggs
834292	302448	Zenobia
834292	386481	Lady Blessing
834292	393938	Ann Coombs
834292	405271	Delia Dettinger
834293	301490	Little Eppie
834294	30380	Mary Phillips
834295	150110	Mrs. Grayley
834296	194927	Herself (Canadian Embassy, Ba
834297	67161	
834297	77615	
834297	90258	
834297	220574	
834297	234088	
834297	247575	
834297	323489	
834298	30437	Herself
834300	2173	Mrs. Campbell
834300	29885	
834300	34953	
834300	47017	Nurse at Oran
834300	69485	Betty Simmons
834300	72111	Seamstress #2
834300	82517	
834300	96987	Costume designer
834300	144380	Mrs. Russel (episode Here Com
834300	158896	Mrs. Epstein
834300	162602	Friend
834300	241752	Courtney's Wife
834300	250713	Older Nurse
834300	276163	Miss Ainsworth
834300	308440	1st Teacher
834300	320082	Principal
834300	367807	Policewoman
834300	383429	
834300	406793	
834300	411363	Nurse Jean Robinson
834303	183854	Agnes
834303	299287	Liz
834303	361978	Policewoman
834304	185650	Linda
834305	294378	Lt. Sasha Rice
834306	262334	Virginia's Mother
834306	285441	Kay
834307	12338	Gladys
834307	26291	Host
834307	32243	
834307	35543	Nola Washington
834307	82445	Ormandy
834307	151127	John-John, Mother
834307	161367	Herself
834307	195521	
834307	202359	
834307	231099	Suga
834307	237006	Party Guest
834307	264565	Cheryl
834307	301830	Grace
834307	348234	Mrs. Thompson
834307	362132	Ms. Wells
834307	386454	Herself
834307	398672	Ms. Pigney
834307	400019	Herself
834307	406106	Darice Mayberry
834308	215667	Herself
834309	405147	
834310	20956	Additional Cast
834311	131240	Housemaid at Twelve Oaks
834312	260136	Swaz
834313	2748	
834313	62871	Herself
834314	84845	Annie Rexsick
834314	329914	Katherine
834315	42768	WPC
834315	46444	Nurse 2 (Banbury)
834315	323377	Party Guest
834316	9575	Lisa Farenheights
834317	382508	Herself
834318	6862	Tena Tidy
834318	147913	Laurie
834318	207132	Anne Marie
834318	232066	Cynthia Cronenberg
834318	260663	Mindy
834318	332061	Kim
834318	342457	Robin/Myrna
834318	361068	Susan, Perfume Salesgirl
834318	408882	Lorraine Delaney
834319	40744	Office Worker
834320	290319	Terri
834321	264825	School Girl
834322	100954	Stenographer
834323	131232	Maypole dancer
834325	13963	Balloon Girl
834326	30750	Secretary on Phone
834327	192675	Anna Mae
834329	363977	Bookmobile Girl #1
834330	132786	Chorus
834331	17749	Dancer
834332	80482	Mrs. Underwood
834332	195822	Mrs. Pommeroy
834333	35523	Playboy Model
834333	52312	
834333	53041	Patty
834333	58508	Suzanne Morrison
834333	59536	
834333	80802	
834333	117516	Heather
834333	147640	Herself
834333	207498	Jennifer
834333	210721	Judy
834333	254511	Melody Austin
834333	257823	Herself (Miss February 1988)
834333	308097	Justine
834333	357152	Candace
834334	42771	Laura Jaeger
834335	380430	
834336	193606	Baby
834337	7848	Rosie Stapp
834337	14159	Maria (at 10)
834337	50989	Michele Goldman
834337	127834	Libby
834337	149448	Bernice Pruitt
834337	158999	Patricia Whitmore
834337	161890	Rebecca 'Doc' Beeman
834337	170721	Shanti
834337	211563	Zuzu Bailey
834337	227502	Young Ashley Judd
834337	241342	Maggie Taylor
834337	292015	Alanna Thompson
834337	326411	Leslie
834337	362675	Casey Green
834337	365458	Schoolgirl
834337	368595	Little Girl
834337	380936	Sokka
834337	385977	Elena Argos
834337	388694	Robin, Other Voices
834337	393648	Suzy
834337	397162	Jo
834337	406463	Emma Grace McKee
834337	407654	Leslie
834338	193606	Mother
834339	93821	Pagan
834340	26763	Maralyn
834341	231389	Labor Ward Nurse
834341	292058	Tilly
834341	305514	
834341	385299	Betty Watts
834342	21521	
834342	22920	
834342	24946	
834342	33984	
834342	43902	Mollie's Mother
834342	46843	
834342	50914	
834342	59108	
834342	113586	Louise Bradley
834342	210467	Mrs. Wilson
834342	263898	Elsie Jennings
834342	307856	Dotty Donald
834342	328466	
834343	118376	Leah Whitman-Salkin
834344	20037	Fan
834344	209170	Dancer
834345	215276	Gilbert Wayne
834346	4536	Mrs. Burke
834346	65197	Jill Reynolds
834346	140943	WRAC Officer
834346	223939	Janice
834346	404884	Miss White
834347	138489	Annie
834347	393590	Anna Billings
834348	93249	Additional Muppet Performer
834348	175681	Misc.
834348	222495	Additional Muppet Performer
834349	363977	Timberfest Queen
834350	16124	Seth's Mom
834351	280663	Photographer
834352	10384	Reporter/Street Walker
834353	8631	Mildred
834354	72375	Ranch Cook
834354	91236	Dorothy Whitmore
834354	303473	Mrs. Barton
834355	58462	Herself
834356	10596	Bit Role
834356	342857	
834357	133772	Nurse Manila Hospital
834357	380067	Herself
834357	404123	
834358	170604	Mary
834358	241159	Ellen
834359	146781	Beauty Contest Contestant
834360	58490	Barkley's Lawyer
834360	67586	Singing Lady
834360	121386	Myoelectric director
834360	148200	Drugstore Clerk
834360	190464	Older nurse
834360	222739	
834360	363581	Blood Donor Nurse
834361	117131	Krystal
834362	162267	Lucille Lacey
834362	183418	Helen
834363	138732	Mrs. Kestenbaum
834364	49326	Goldie
834364	227929	Margo Powell
834364	342381	Clara
834365	105263	Child in Classroom
834367	26070	Mogther of Dying Boy
834367	32952	Woman
834367	33861	Alice Lee
834367	33978	Anna Pavlowa
834367	40788	Bella
834367	49772	Norma
834367	52305	Dresss shop woman
834367	52901	Celeste Duval
834367	54944	Lady Beatrice Strobridge
834367	58721	Kitty Parker
834367	62267	Miss Robinson
834367	63009	Dr. Bunyan's Wife
834367	68478	Marion Schuyler
834367	72244	Mary Croft/Collins
834367	77794	Board Member
834367	78180	Woman
834367	93225	
834367	96811	Barbara Hare
834367	101504	Alice Stevens
834367	108003	Agnes Harding
834367	112445	
834367	113542	Jane Reynolds
834367	117801	Woman reporter
834367	119513	Aunt Helen
834367	120338	Nell Brewster
834367	120744	Molly Bright
834367	122656	Mrs. Brown
834367	123167	Cecil Blaine
834367	126510	
834367	128253	The General's Daughter
834367	133621	Catherine
834367	136284	Mrs. Smith
834367	136555	Maid
834367	139937	Mrs. Worthington
834367	140135	Mrs, Durant
834367	141159	Bess
834367	151067	Witness
834367	154623	Matron
834367	155708	Kate Merryweather
834367	158364	Gushing mother
834367	160017	
834367	162378	Louise Lewis
834367	162924	Claire Wilson
834367	166237	
834367	172368	Emily Busch
834367	175175	WAC seamstress #1
834367	183679	Woman
834367	185991	Miss Martin
834367	187045	Dorothy
834367	188562	Nurse
834367	190304	Lydia Wilton
834367	196296	Marion Holbury
834367	197700	
834367	203580	Molly Preston
834367	214108	Daphne Pell
834367	215981	Member of theatrical party
834367	216716	Mrs. Simpson
834367	218715	Grace's Mother
834367	218930	Lucy Daniels
834367	220091	Marie Helmar
834367	222328	Mrs. Ella Norman
834367	231755	Georgiana Byrd
834367	239392	Agatha Scragg
834367	239849	Miss Mills
834367	248582	
834367	258293	Joan Presby
834367	279574	Aunt Jessica Martin
834367	280269	
834367	284916	Wife in movie audience
834367	292821	Nurse
834367	296948	
834367	297919	Landlady
834367	298050	
834367	299277	Daisy Magen
834367	300006	Baroness Gauntier
834367	301935	Emily Morgan
834367	305771	Woman
834367	306595	Marta
834367	308583	Undetermined Role
834367	311001	
834367	311734	Bessie Riddle
834367	313344	Captain Kenneth's wife
834367	315913	Nell Madison
834367	316132	Edna Emmerson
834367	324410	Marion
834367	327821	Nurse
834367	330025	Mrs. Barstow
834367	331166	Madeleine
834367	337074	Civilian Woman
834367	346183	Venitia
834367	346195	Mrs. Simms
834367	353398	Edna Boulden
834367	358776	Lady Althea
834367	360166	Quilting Party Woman
834367	362777	Helen Lee
834367	363030	Middle-aged woman
834367	363190	Waitress
834367	364687	Baroness de Ville
834367	365082	Pauline de Moray
834367	366492	Bridge player
834367	367561	Norma
834367	367573	Mrs. Wright
834367	372227	
834368	147404	Waitress at Illusions
834369	331467	Cat's Owner
834370	231090	Gus's Supervisor
834371	51975	Woman Visitor
834372	46321	Mag Wildwood
834372	239082	Lady
834373	36839	Herself (European Version Onl
834373	36840	Specialty
834373	41044	Edna Baker
834373	47322	
834373	53194	Susie Quinn
834373	65182	Cora Wheeler
834373	67139	Eleanore Wayne
834373	147650	Herself
834373	214187	Bubbles
834373	281810	Cheers Reynolds
834373	331317	Skippy Dormant
834373	331762	Betty Jane
834373	333493	Martha
834373	341957	Caroline Wilson
834374	306126	Nurse
834375	26070	Brunette
834375	40977	Marabelle
834375	41040	Clarissa
834375	94291	Miss August, Vargas Calendar 
834375	128152	Brunette
834375	128192	
834375	136274	Girlfriend of Powerhouse
834375	139790	Dance-hall girl
834375	163443	Model
834375	168119	Court lady/Camp follower
834375	177988	Cafe Girl
834375	183406	
834375	188326	Showgirl
834375	188391	Miss O'Reilly
834375	191912	Janis Payne
834375	206355	Maid of Honor
834375	209660	Show Girl
834375	223854	Party Guest
834375	270534	Nitra
834375	278097	
834375	313943	Secretary
834375	330634	
834375	331205	
834375	331398	Musician
834375	331763	
834375	342873	Bejeweled woman
834375	346900	Young Woman
834375	368410	Lilly
834375	375044	Showgirl
834376	210417	Speciality Act
834376	237818	Cousin
834377	73551	
834377	138448	Mrs. Stiver
834377	151084	Bit part
834377	162302	Kiki the Cossack
834377	176391	
834377	203008	Texas Rose
834377	226875	GIrl in Dream Sequence
834377	258555	
834377	266681	Tracey Phillips
834377	278091	
834377	307913	Band member
834377	311848	Herself
834377	313395	Woman in cafeteria
834377	313396	Cmdr. Janice Rand
834377	313399	Cmdr. Janice Rand
834377	313441	CPO Janice Rand
834377	329037	Cecelia Mullen
834377	335807	Miss Holland
834377	338981	Herself
834377	402597	Contestant escort
834377	406405	Yeoman Janice Rand (1966-1967
834378	366924	Herself/Producer & Director, 
834379	152721	Fleur de Lys
834379	214149	
834379	254654	Main Line Society Woman
834379	285747	Anne Bitts
834380	106671	Woman on TV
834380	143536	
834380	279091	Matron
834381	220039	Jane Whitney
834381	393319	Herself
834382	248437	Woman in deli
834383	187691	Friend of Brainy
834384	357001	Ashley Reardon
834385	167099	WAC Sergeant
834385	223913	Blonde in bathtub
834385	308382	Raider
834385	343160	Showgirl
834386	98164	Woman in Bar
834387	67802	Supermarket cashier
834388	152572	Mrs. Primus
834389	216424	Erin
834390	138818	Girl
834390	192272	Lisa
834390	300425	Kathy
834390	318173	Cheryl
834390	366585	Beth
834391	271224	Lona's Companion
834392	343031	Blow-Off Girl #1
834393	90364	Lisa
834394	28791	Da Bomb Girl
834394	351188	Actress
834395	32352	Martha Manners
834395	44259	Bella Amboy
834395	45521	Townswoman
834395	64505	Kate Lord
834395	78793	Stenographer
834395	112745	Woman prisoner
834395	169406	Handbill Woman
834395	188542	Miss Jenkins
834395	315545	Cora Athens
834395	330179	Waitress
834395	343138	Swedish Girl
834395	367721	Actress
834396	18751	Paula Farrell
834397	165272	Herself
834399	281402	Office Worker #3
834400	151732	
834401	2545	Chorus girl
834401	26337	Office worker
834401	32209	Madame Sonia Employee
834401	32534	Varsova
834401	37303	Mae LaRue
834401	61306	
834401	64527	Sympathetic Circus Girl
834401	71534	
834401	99224	
834401	105569	Party Guest
834401	109402	Girl Snap Keeps Chasing
834401	116375	Girl in Jake's Office
834401	116894	Cynthia Kent
834401	123350	Baby Doll
834401	130622	Gold Digger
834401	131714	Woman Buying Copy of 'Miriam'
834401	132793	Telephone Operator
834401	140321	Showgirl Rejected by Gladys
834401	142477	Waterfront Cafe Girl
834401	151097	Sextet Girl
834401	151211	Bill's Receptionist
834401	155028	Loretta Kennedy
834401	167707	Bessie, Telephone Operator
834401	169362	Woman Talking to Man at Play 
834401	173526	Mrs. 'Lovums' Ashcraft
834401	175559	Telephone Operator
834401	175828	Mrs. Smith the Cheating Wife
834401	176335	Goldwyn Girl
834401	188436	
834401	191835	Society Girl at Housewarming 
834401	211568	Babe, Ramon's Girlfriend
834401	211610	Telephone Operator
834401	213081	Blondie, a Witness
834401	253505	Party Guest
834401	255351	Connie Rowland
834401	257559	Arlene, a Salesgirl
834401	274924	Ethel Smith
834401	276808	Virginia Mayo
834401	283381	
834401	297932	Customer Girl with Tommy and 
834401	300062	Chorus Girl
834401	300912	Mabel Vernon
834401	312787	
834401	341723	
834401	361726	Betty Johns
834401	365394	Janice Allen
834401	366234	Lois, Joan's Friend at Her Pa
834401	367962	Chorus Girl on Von Ferring's 
834402	264645	Alice
834404	45096	Saloon Girl
834404	73246	Girl
834404	121585	Dancer
834404	137514	Showgirl
834404	162354	Anny
834404	254283	April Petty Girl
834404	278118	Ruth Morgan
834404	313321	Malibu Party Guest
834405	321566	Woman in Apartment No. 4
834406	214957	Lúcia Abóbora dos Santos
834406	235062	Attendant
834406	240569	Cora Claypool (Wesley's class
834407	128727	Dancer
834407	290319	Vivian
834407	326741	Dancer
834407	341515	Dancer
834407	392686	Herself (Fly Girl)
834408	380226	Singer
834408	388953	
834409	15852	Sweet Thing
834409	92618	Dr. T's Patient
834409	132530	Linda
834409	247033	Mary
834410	296646	Misty
834411	37314	Receptionist
834411	56144	
834411	103286	Bitch Gang Leader
834411	228623	Foxy Cop
834411	289059	Waitress
834412	281696	Soloist in 'I've a Strange Ne
834413	176267	
834414	207402	Daphne
834414	212963	Polly
834415	176713	Lady Measured
834416	9234	
834417	273407	Kailey
834418	245526	Bit Part
834419	118865	Janet Danson
834420	258082	Sophie
834421	324552	Maria
834421	364465	Pin-up girl
834421	381661	Hill's Angel (1983)
834422	403985	Herself
834423	70881	Herself
834423	367854	Sally Webster
834423	385019	Herself (Series 1) (2003)
834423	385020	Sally Seddon/Webster (1986- )
834424	378774	Celia
834424	382531	Hettie
834424	383363	Kitty Norman (The Pardoner's 
834424	391000	Tammy
834425	160324	Dr. Alred
834425	213450	Susan
834425	269891	Angel #1
834425	280081	Roxy Dancer
834425	304838	Attractive Woman
834426	2150	Charita
834426	6966	
834426	35543	Tilly
834426	45707	Yo-Yo
834426	194136	Herself
834426	210902	Girl at Party
834426	247882	Pregnant junkie
834426	303226	Sondra
834426	312062	Sista #3
834426	316411	Ann
834426	339429	Jennifer
834426	364376	Woman
834427	5525	Dean's secretary
834427	6800	Mrs. Eckert
834427	7488	Belle Walker
834427	10975	Bernice Bristol Flint
834427	26337	
834427	32762	Mrs. Thompson
834427	35576	Alice McDonald
834427	41080	Woman Seeing Optometrist
834427	45494	Mother
834427	57192	Miss Newton
834427	62082	Mrs. Dryden
834427	65662	Clara Hunter
834427	83787	Woman
834427	84933	Diane's mother
834427	88245	Woman in Restaurant
834427	96989	Mrs. Ferry
834427	96990	Mrs. Burns Norvell
834427	100668	Canteen Manager
834427	108031	
834427	116548	Mrs. Plunkett
834427	117655	Katherine
834427	118236	Hostess ('I fired my cook for
834427	130696	Mrs. Van Nest
834427	133949	
834427	140407	Myra Lenhart
834427	150577	Mrs. Newhall
834427	154652	Mrs. Brookhaven
834427	159473	Mme. Albini
834427	159912	Nellie McGuire
834427	163437	Mrs. Dunk
834427	166240	Laura
834427	176420	Mrs. Julia Morton
834427	179055	Mrs. Dudley
834427	183679	Woman
834427	183824	Reporter
834427	184831	Nurse Nelson
834427	190210	Madame Claire
834427	190268	Aunt Harriet
834427	196135	Mrs. Obenbiegler
834427	196990	Lady in Paint Store
834427	200473	Mrs. Hunter
834427	205762	Adelaide
834427	206415	Miss Willis
834427	214215	Henrietta
834427	241788	Dowager (Brenda's mother)
834427	251430	The Vamp
834427	257087	Margaret, Eastman's Secretary
834427	274502	Saleswoman
834427	275694	Miss Thorndike
834427	294919	Christina
834427	297100	Mrs. Worthington
834427	297359	Mrs. Truesdale
834427	303379	Mrs. Hammond
834427	308592	Lady with Pearls
834427	312773	Actress
834427	313118	Miss Becker
834427	313321	Reporter at Shrine Auditorium
834427	313919	Mrs. Metcalf
834427	321854	Mrs. Gifford
834427	329388	Mrs. Van Derwin
834427	331324	Fake Mrs. Harding at Dance
834427	335599	'Fake' Mr.s Harding
834427	335725	Mrs. Fullerton
834427	337778	Widow
834427	341529	Miss Margaret Morgan (Armstro
834427	346043	Newspaper Editress
834427	346908	Wardrobe Woman
834427	362365	Miss DuPont, the Interviewer
834427	367781	Miss Douglas, Leslie's Secret
834427	367919	Mrs. Spencer
834427	372361	Bit Part
834427	375045	Perkins, Slayton's Secretary
834427	375802	
834428	141659	Stripper
834429	11384	Erin
834430	41934	Officer's wife
834430	55536	Bunny
834430	115195	Sandra
834430	116033	Housekeeper
834430	117522	Car Rental Agent
834430	196005	R.T. Moreno
834430	202619	Nurse
834430	223900	Sandi
834430	263450	Laurette
834430	283847	Leanne Nowell
834430	292017	Sis Malloy
834430	302211	Ward Nurse
834430	302235	Playgroup Mom
834430	308115	Nadine
834430	329411	Another Agent
834430	365088	Rhonda
834431	5721	
834432	129231	Helga Harris
834432	177521	
834433	7873	
834433	51821	Brenda
834433	177521	Samantha, the Maid
834433	188370	Malvina, Speciality Number
834433	221163	Lady Queenie
834433	224676	Linda Carroll
834433	304876	Maid
834433	311345	Eleanor Thomas
834433	329556	Sally Thompson (Two Gun Men F
834433	337178	Rose, a Black Servant
834433	342887	Sally Thompson
834433	360169	Lulu
834434	6821	Mrs. Benson
834436	221245	1st Woman by Lake
834436	259779	Ladies Aider
834437	118547	Becky
834438	189066	Susan
834439	127530	Irene
834440	230841	Tammy
834441	47862	
834441	87395	
834441	353309	
834442	327430	A Spirit
834443	191774	Plornish child
834444	191774	Plornish child
834445	109776	Jenny
834445	306414	Mary
834445	310333	Frances
834445	325028	Josette
834445	388899	Alison Grant
834445	403349	Lady Berengaria
834446	15251	L'employée de l'ambassade
834446	243380	Ninfa
834447	158986	Little Girl
834447	381312	Jill
834448	280634	Lillian Jean
834449	312807	Soubrette
834450	348535	Bartender
834451	68886	Elvi Stanfield
834451	209170	Mrs. Moore
834451	215892	Emmeline
834451	222596	Hannah Peters
834451	243226	Hester Argyle
834451	276804	Beatrice
834451	382169	Jennie Pegram
834452	339411	Rosemary Edmonds
834452	382066	Various roles
834452	391252	Herself
834452	405209	Barbara Heywood (2001- )
834452	410753	Various Characters (1977-1979
834453	57747	Inmate
834454	165981	Brenda Blue
834455	111442	Girl on Trampoline
834456	356749	Frau
834457	411296	Herself
834458	72504	Model
834459	213577	Presumed Chorister
834460	10161	
834461	276821	Factory Worker
834461	335301	Tommy's Mother
834462	34937	Darla
834462	37092	Melinda
834462	56672	
834462	162439	Katrina Dougherty
834462	179423	Michele Hogarth
834462	192072	Holly Stevenson
834462	195518	Jacki Steinberg
834462	201320	Rachel Phelps
834462	201326	Rachel Phelps
834462	203687	Catherine Palin
834462	210960	Leslie Abramson
834462	228297	First Lady ("Success Wanters"
834462	232812	Molly
834462	248389	Jane
834462	292526	Vera Prescott
834462	318745	Naomi
834462	339369	Jane Lyle, Juror
834462	385452	Adrienne St. John
834462	386603	Joan Dancy (1976)
834462	388752	Louisa Phillips
834462	390312	Genevieve ('Gen')
834462	391917	Barbara Donnelly
834463	37884	Linda Burns
834463	405461	Vickey
834464	37840	Aunt Hester Fairfield
834464	67314	
834464	69676	Laetitia Bonaparte
834464	69850	Lady Longborough
834464	72570	Grandmother
834464	85184	Lady Thornton
834464	101553	
834464	115256	Lady Pamela Hardwick
834464	117647	Mrs. Lucy Trimble
834464	124374	Miss Thwaites
834464	134026	Mother Superior
834464	141807	Herself
834464	154488	Aunt William
834464	155902	Mrs. Perch
834464	175176	Dowager
834464	183833	Miss Froy, Governess
834464	192023	Nanny Webster
834464	199318	Madame Eugene Curie
834464	206885	Mrs. Morland
834464	221297	Lady Beldon
834464	224177	Mrs. Hughes
834464	232008	Mrs. Bramson
834464	241589	Florence
834464	249236	Aunt Caroline
834464	270755	Lady Kitty Melrose
834464	271611	Mrs. Mead, Wilkes's mother-in
834464	276713	Aunt Martha Grant
834464	276907	Mrs Truscott
834464	282626	Fanny Cavendish
834464	301266	Clara Brastock
834464	304959	Baba
834464	312774	Herself
834464	320308	Mrs. Martha McLaidlaw
834464	330606	Mme. Rosalie La Grange
834464	330893	Grandmother Cambaretti
834464	332009	Lady Stackhouse
834464	363793	Nanny
834465	16891	Herself
834467	215524	Gillee Dancer
834468	72785	Herself (Nominee)
834469	267486	Clare
834469	363394	Siobhan
834469	363469	Maddy
834469	384482	Eileen Brennan
834469	387147	Cissie Brodie
834469	394671	Jo Chadwick (1994-96)
834469	396082	Anna (episode "Fantasies")
834469	401652	Angie Gill
834469	405829	Kelly Deeley (1994)
834470	260950	Elite Model
834471	126680	Jody
834472	274475	Bernice Patterson
834473	407185	Nurse
834474	123702	Home Invasion Mother
834476	53937	Rollerbabe #4
834477	175189	Inmate
834478	6720	Herself
834478	13866	
834478	34862	
834478	36931	
834478	36941	
834478	43263	
834478	45844	Surgeon
834478	119339	
834478	133920	
834478	139209	
834478	152671	
834478	192152	
834478	198077	
834478	221543	
834478	232950	IRS agent
834478	264425	
834478	264785	Big-Breasted Woman
834478	266565	Fortune teller
834478	273080	
834478	291009	
834478	333831	
834478	335846	
834478	344142	
834478	361363	
834478	364471	
834479	158634	Schoolchild
834480	335865	Girl Rioter
834482	45097	Policewoman
834483	366183	
834484	338718	Yamita
834486	38358	Emily
834486	213996	Lucy Deane
834486	378710	Leaf Fall, Elf Queen
834486	405016	Kate
834487	81319	Aunt Penelope
834488	81989	
834489	330191	Old Lady
834490	216316	
834490	325024	
834491	89340	Jacinta Davies
834491	173353	Barbara
834491	282449	Angela Taylor
834491	288686	Simone
834491	317897	JD
834491	382482	
834491	386924	Magnesia
834491	389442	Emma Ward (1994-1997)
834491	390185	Fifi
834491	396949	Verity Marshall
834491	399130	Amber Martin (1990)
834492	1241	
834492	1268	
834492	1556	
834492	45873	NonSex
834492	75030	
834492	123590	
834492	305736	
834492	316380	
834492	335441	
834493	374436	Clara
834494	107503	Maggie
834494	384366	Beth (1996)
834495	196503	Waitress
834495	252229	Makeup Woman
834495	343045	Student
834496	147961	Siobhain McClure
834497	195645	Vera Haven
834498	224070	Sally
834499	385299	Thais
834500	26077	Mrs. Ballister
834500	31859	Beth
834500	41301	Pat Evans
834500	55536	Librarian
834500	61161	Mom
834500	71748	Claire Hayes
834500	88662	Mrs. Constarakis
834500	90908	Rose Classen
834500	100109	Barbara Carnahan
834500	108001	Jennifer Reynolds
834500	109245	Waitress
834500	129184	Millie
834500	144804	Laura's Mom
834500	149495	Myerson's Secretary
834500	151742	Pat Hynes
834500	158274	
834500	161757	Mother at Church
834500	191755	Dana's Mother
834500	299796	Nurse
834500	324546	Woman reporter
834500	363225	Dr. Manning
834501	58418	Mary Lou
834501	93987	Carol
834502	176819	Mrs. Casey
834503	81446	Leona Tilding
834503	292208	Flight Attendant
834503	406636	Jenny
834503	408300	Diane (2001)
834504	251770	Mother Manikin
834506	122991	Kelly/Cheer Leader
834507	146361	Une copine
834507	392911	Sarah
834508	13533	Countess Anabella Fucci Beluc
834509	118806	Girl
834509	308338	
834510	85062	Te Kahu
834511	198642	La jeune fille blonde sur le 
834512	20069	Krin Emmerich
834512	70940	Simone
834512	117912	Annette de Guilleroy
834512	125744	Radio secretary
834512	164142	Josette Tolano
834512	205765	Madame Rémond
834512	246150	La jeune fille
834512	357849	L'institutrice
834513	215691	Miss Connecticut USA
834514	179583	
834515	221055	Eloise
834516	23104	Herself
834516	23685	Marie
834516	24403	Nathalie Herzen
834516	28998	La Vénus rouge
834516	54374	
834516	62239	Veronique
834516	71516	
834516	90108	Charlotte, une paysanne
834516	100168	La Marraine
834516	101183	Elie
834516	105591	
834516	124608	Nurse
834516	126043	George Sand
834516	132787	Mona Lisa
834516	132812	La mère
834516	134206	Nora
834516	135359	Elisabeth Dimitrieff (segment
834516	158754	Mysterious Lady
834516	195056	Store clerk
834516	217660	Calderon
834516	224891	
834516	225574	La photographe
834516	241687	
834516	260617	Ida
834516	272320	Diane
834516	275635	L'administratrice
834516	276500	
834516	293938	Dora
834516	307137	
834516	321821	Eve Democracy
834516	328105	Odetta, the daughter
834516	337005	Leftist woman
834516	337787	Anna Maroyeur
834516	351812	La révolutionnaire
834516	354586	Stéphanie
834516	356057	Ann/Women's liberation milita
834516	360823	Girl in Farmyard/F.L.S.O memb
834516	400681	Emilienne
834517	301785	
834518	32381	
834518	156504	Old Woman
834519	322271	Bather
834520	127706	Sara
834521	102897	Jenny
834522	278155	Cliente bagages
834523	65421	
834523	82901	
834523	118494	Susie Beary
834523	121816	Merry Twitter, Jasper N. Park
834523	371894	Prissy
834523	382959	Various Characters
834523	382964	Various Characters
834523	382966	Various Characters
834523	385774	Sally Hansen (1960-62)
834523	390791	Gumby
834523	391065	Granny
834523	407207	Various characters
834523	407963	Various characters
834524	1664	Ace Bar Patron
834525	384097	Helen Jordan (1990-1991)
834526	160555	
834527	303950	
834528	48362	Fröken Andersson
834528	113661	Marit
834528	115401	Ms. Linde
834528	120966	Nurse
834528	313637	Helges sister
834529	393276	
834529	398653	
834531	154502	Tourist
834532	100601	Lisa, the ornithologist
834533	126461	Wirtin Maries
834534	54953	Townsperson
834535	223283	Susi
834536	356877	Jugendliche
834537	367039	Mother
834538	166757	Kirsten
834539	242754	Johanne
834540	367039	Sister
834541	322000	Walecki's mother
834542	82445	Choir Member
834543	234286	
834543	288890	Woman
834544	34595	Dana
834544	409625	Victoria 'Vicky' Kramer (2000
834545	52108	Girl in Harem
834545	180008	
834546	32861	
834547	334190	Isabelle
834548	8021	Voice of Big Sister
834549	115318	Sally
834550	112528	
834551	29162	Andrea
834551	324396	
834551	353717	Ramona
834552	43633	L'actrice
834553	2964	Announcer #1
834553	10661	Reporter #1
834553	18310	Reporter
834553	64394	Reporter
834553	64498	TV Newsperson
834553	113389	Reporter
834553	141194	News Anchor
834553	144674	TV Announcer
834553	160590	Newscaster
834553	176478	Reporter
834553	200173	Reporter
834553	209526	Weather Reporter
834553	217530	TV interviewer
834553	223773	Reporter
834553	235482	Reporter
834553	287126	Female Anchor
834553	298008	TV News Reporter #3
834553	304529	Reporter
834553	314503	Reporter
834554	26478	
834556	277109	The Vixen
834557	160141	Abused Wife
834558	253042	Lorraine
834559	328741	
834561	66366	
834561	82523	Judge
834562	63849	Soeur de Marc
834562	73068	Co-détenue 1918
834562	256360	
834563	90277	Immigration Woman
834564	66286	Susan's Friend
834564	87610	Goth Chick
834564	92513	Paparazzi
834564	147745	Tennis Girl
834564	278484	Club Dancer
834564	324810	Cop #2
834565	405249	Hostess
834566	187219	Receptionist
834567	6020	Emma Glavey
834567	12240	Aggie Greyson
834567	17566	Stella
834567	41102	Sarah Miller
834567	41378	Lady at Laundry
834567	50919	Stella
834567	54031	Mrs. Umney
834567	63019	Henrietta Sawyer
834567	63993	Mrs. Neal Hefner
834567	67610	Landlady
834567	77677	Miss Mayberry
834567	80970	Miss Fox
834567	81605	Clara
834567	84250	Bessie Mae Curtis
834567	90319	Janie
834567	109620	Marie Murkin
834567	109768	Mrs. Llewlyn (Savage's landla
834567	114262	Ms. Crandall
834567	131534	Miss Ellwood
834567	137452	Mrs. Watts
834567	138848	Emmy
834567	145007	Sandy
834567	151638	Harold's Secretary
834567	151725	'Mike' Tracy
834567	152724	Laverne
834567	154898	Anna
834567	163295	Matilda Runyon
834567	170608	Rosemary McNally
834567	192413	Aunt March
834567	197070	
834567	198540	Miss Wetter
834567	203470	Nurse Preen
834567	203472	Nurse Preen
834567	208692	Mamie
834567	218114	Mrs. Medford
834567	223065	Mrs. Squires
834567	224047	Agnes Willoughby
834567	227542	Clara
834567	236129	Nurse Dora Pickford
834567	240569	Stella (Winfields' cook and h
834567	241428	
834567	242562	Mrs. Sappleton
834567	254283	Professor Whitman
834567	261530	Grandma
834567	264603	Bonnie-Belle Schlopkiss
834567	266105	Mrs. Ainsley
834567	277521	Susie Dugan
834567	293194	Mrs.Smith
834567	302919	Marie Grieux
834567	303225	Sister Mary Lazarus
834567	303226	Sister Mary Lazarus
834567	306298	Miss Wigginton
834567	311273	Gloria Tritt
834567	315749	Mrs. Foster, Landlady
834567	335669	Mrs. Battison
834567	336754	Margaret
834567	340542	Sister Clarissa
834567	359867	Undetermined Role
834567	363262	Sister Clarissa
834567	363787	Emma Allen
834567	364156	Juliet Collins
834567	365760	Eunice
834567	372633	Mrs. Gilpin
834567	382468	Martha (1953)
834567	386053	Miss Esther Cathcart (1959-19
834567	386564	Nurse Mrs. Beatrice Tully (19
834567	388494	Marie Murkin
834567	389949	Maxfield
834567	390934	Alice
834567	392879	Herself
834567	393881	Melba Chegley (1968-1971) (or
834567	395579	Grandma
834567	396559	Liz O'Neal (1956-1957)
834567	401299	Housekeeper (1950)
834567	405330	Aunt Zelda (1973-1975)
834567	407796	Ida Goff
834568	387332	Princess Mary
834569	223059	Sue
834570	57560	
834571	80652	Barmaid
834572	5153	Mary
834572	16878	Rowena Alabaster
834572	17556	Dolly
834572	64425	Liz Baker
834572	65200	Clarissa Harlowe
834572	264050	Gunvor
834572	326596	Wendy Carter
834572	382506	Alex Wilton (1992)
834572	400516	Claudia Seabrook MP
834572	401077	Dr Erica Matthews (1996-1998)
834572	406549	Caroline
834573	383889	Herself
834574	82097	Herself
834575	143264	Rachel Wickstead
834576	223326	Maureen
834577	194283	
834578	361352	Freundin
834578	405696	Thun Café Waitress
834579	307867	Elyssa Oberon
834580	73770	Mrs. Adderly
834580	173512	Mrs. Bayles
834580	246000	Gas Station Customer
834580	253356	Reporter #1
834580	264421	
834581	169614	Salt Lake City Police Desk Cl
834581	217534	Sonya Leiberman
834581	283186	Juror #5
834582	315192	Drew
834582	384522	Luna
834583	53329	Dancer
834584	187624	Tove
834584	405539	Agnes Lindberg (2000-2001)
834585	182455	Young messenger
834586	17318	Anitas twin-sister
834587	304199	Woman in dreamsequence
834588	379015	Apicata
834589	210345	Herself
834589	210346	Herself
834590	13319	
834590	139952	
834590	159340	
834590	271923	
834591	386599	Dr. Helen Thompson
834592	382145	Singer/dancer
834592	398610	
834593	203323	
834594	383683	Lydia Cazalet
834595	267484	Sarah Healy
834596	267484	Sarah Healy
834598	46990	Miss Montrose
834598	82543	
834598	147429	Sarah Lowther
834598	235386	Georgina Oakley
834598	256141	Alan's Wife
834598	263984	Princess Lovelypenny
834598	362081	Henry's Secretary
834598	387022	Sally Smedley
834598	397685	Mrs. Gideon
834598	402196	Princess Flavia
834599	96985	Girl
834599	348327	Goldwyn Girl
834600	378898	Paramedic
834601	363339	Bit Part
834602	37001	
834603	206142	Singer
834603	258846	Helena Suokorpi
834604	303648	Flagellant
834605	178376	Statist
834606	106514	Mrs. Rogers
834606	303456	Mrs. Mayfarth
834607	316986	The Wife (segment "The Strong
834607	380391	Elizabeth 'Aunt Liz' Matthews
834607	380713	Claire English Lowell Cassen 
834607	385824	Phyllis Anderson #1 (1972-197
834607	387120	Nancy Sykes
834607	405882	Elizabeth 'Aunt Liz' Matthews
834608	386736	Fränzi Schönwald
834609	48000	Aljona Ivanovna
834609	84299	Mrs. Jansson
834609	87930	Fantekone
834609	115402	Witch
834609	135211	Louise Bohn
834609	184921	Lars' Mother
834609	225666	Argonda
834609	237264	Emma Nicklasson
834609	244075	Mrs. Bondsack
834609	315361	Erik's mother
834609	322309	Prostitute
834610	1953	Himself
834610	133412	Herself
834610	362907	Herself
834610	381935	Herself
834610	383747	Herself (Series 1) (2002)
834611	21526	Emma Snyder
834611	71923	Geraldine Walden
834611	134694	Helena Davison
834611	144465	Frankie
834611	147599	Mrs. Rosenbloom
834611	154943	Doctor Rawlings
834611	194236	Edith Wharton
834611	199982	Angelina Giancana
834611	211219	Maggie West
834611	221532	Beatrice
834611	244925	Emily Webb
834611	254290	Wilma
834611	267148	Margaret Howell Grant
834611	276665	Irene Hadrachi
834611	288980	Leslie
834611	291736	Masha
834611	366908	Ms. Hauser
834611	380391	Rose Perrini (1978-1980)
834611	380713	Emma Snyder (1985-present)
834611	404002	Una MacCurtain (1983)
834611	411087	Joan Harper
834611	411811	Jill Malone #1 (1958-1959) (o
834612	50639	Kayleigh Miller at 7
834613	303999	Showgirl/Hester
834613	389858	Noelle Van Stadt (1981)
834613	399817	Anthea Bryan
834614	325936	Hermine Horkens
834616	202189	Ulrika
834617	392332	Programvärdinna (1962)
834618	31245	Herself
834619	242509	Policewoman
834620	364523	Herrick's Aunt
834621	11172	
834621	17778	Norah
834621	19262	Cora
834621	143053	Miss Neville
834621	216462	
834622	210349	Sound of Music
834622	210350	Sound of Music
834622	386675	Angeliqe
834622	409723	Herself
834623	257561	
834624	189831	
834624	219339	
834625	120170	Kundin
834625	124987	Brunette
834625	134986	Oberschwester
834625	138534	
834625	167153	Junge Frau im Hause Haupt
834625	259481	
834625	259648	
834625	259674	
834625	266358	
834625	290625	
834625	314716	
834626	214385	Augusta
834627	99569	Cleo's daughter
834627	182256	Nina
834627	182546	Nina
834627	204538	Martin Beck's daughter
834628	303849	Girl
834628	357773	Lotta
834629	341810	
834630	400112	Olivia's Mother
834631	142785	Klara Rosenqvist
834631	182464	Countess Kattgull
834632	40688	
834633	381054	Surgeon
834633	402277	
834633	408998	Cajsa Ödmark
834634	314252	Church Organist
834635	397957	Josefa
834636	354116	Herself
834636	357860	Special Participant
834637	27382	
834637	34210	
834637	396000	Bu Broto
834637	397377	
834637	404054	
834638	169204	Mpok Atik
834639	211122	Anna Sand
834639	295397	(segment "Lust")
834639	347670	
834640	85042	
834640	210329	Herself
834641	77403	Promenadvän
834641	405822	Styvdotter till Olle
834642	30749	Lena's Mother
834643	189805	
834644	290839	Mucki
834645	279968	
834645	320239	Lizzy
834645	325591	Andrea
834645	373661	Helga
834646	17677	Zyberlihogerbäuerin
834646	36604	Tante Klara
834646	51114	
834646	96004	Rosa, Karls Schwester
834646	99887	Kommandoran
834646	122450	Hebamme
834646	177169	
834646	188763	Helen Browne
834646	198435	Madame Beckmann
834646	211117	Mutter Bucher
834646	303383	
834646	358045	Anastasia Witschi
834647	176525	British soldier
834649	322	Fräulein Bora Bora
834650	183242	
834651	264745	
834651	316749	
834653	48456	
834653	113393	Florinda
834653	272773	
834655	103282	
834655	173132	
834656	153758	Påskkärring 2
834657	313977	Monitor Woman
834658	213240	Zombie
834659	275133	Dr. Miranda
834660	400744	Dorris
834661	268354	Waitress
834662	164778	Gelly Josephson
834663	1764	Annie Brand
834664	154466	Ms. December
834664	223649	Tall Blonde Twin
834665	223649	Tall Blonde Twin
834666	39682	Heather
834667	42860	Meisje in bioscoop
834668	124908	Barbie
834668	259452	
834668	303667	Gabi Schmitz
834668	314072	Sekretärin Alix
834668	405500	Kathrin Specht
834668	405542	Gabi Schmitz (first season)
834669	43883	Awards Ceremony band member
834669	137200	Assistant Engineer
834670	170677	
834671	320565	
834672	15888	
834672	16364	
834672	17595	
834672	24326	Sabine Hennemann
834672	72499	Joanna
834672	82156	
834672	117896	
834672	120793	
834672	120955	
834672	122555	Frau Berling
834672	125277	Krankenschwester Dolores
834672	126432	
834672	134928	Gräfin Mariza
834672	134991	
834672	144136	Therese von Gobat
834672	145603	Subpriorin
834672	161841	Lidia Warren
834672	178593	
834672	180199	
834672	189617	Sigrid Mallé
834672	191472	Mme. de Maintenon
834672	203341	Duchess
834672	204449	
834672	211098	Suzanne
834672	215525	Miss Madeline Fane
834672	219016	
834672	219279	Äbtissin
834672	225141	Fräulein von Bernburg
834672	277262	Frau Leonhard
834672	280797	
834672	289826	Countess
834672	293866	Fräulein Holder
834672	317358	Julia
834672	317607	
834672	327003	Doris
834672	329899	
834672	333351	Frau Lieser
834672	335033	Mabel
834672	339050	
834672	347824	Frau Gravenhorst
834672	354111	Dr. Irene Andersen
834673	266293	
834674	95945	Governor's Wife
834674	305560	
834675	126445	
834676	354548	Youngest Walker Daughter
834677	354548	Youngest Walker Daughter
834678	16914	Gracie Allen
834678	204522	Mrs. MacNamara
834678	289772	Theresa
834678	294726	Lilac Mom
834679	126124	
834680	24420	Lolka
834681	373782	
834682	322104	Sonia
834683	257232	Liz
834683	350191	Thermamin Player
834684	119254	
834684	225126	
834684	251056	
834685	49524	Gwendolen Fairfax
834685	119210	Nina
834685	129683	Maria Bergmann
834685	155398	Vera Faerber
834685	165368	Mutter
834685	189607	Franziska Naumann
834685	189695	Paula Markmann
834685	204430	
834685	236819	Ursula Winkler
834685	259467	Frau Sänger
834685	269924	Abbess
834685	290592	
834685	312102	Hanna
834685	322982	Herta
834685	334535	Dorothee Rathenau
834685	338413	Katharina Lenz
834685	343652	Ruth
834685	352583	Karin Brendel
834685	361048	Dorothee Rathenau
834685	376372	Carola Martin
834685	380452	Frl. Jeske (1977-1978)
834685	380886	Anna Marx
834685	384619	
834685	387445	
834685	392503	Angelika Schumann, gesch. Gra
834685	395334	Hetty Hutter
834685	403458	Thea Waasing
834686	119137	
834686	122596	Raffaela
834686	290816	
834686	389359	Hanna Junginger (1993)
834687	145620	Rosenjungfrau
834687	223491	Renate
834688	35172	Elsie
834688	40400	
834688	98264	
834688	103059	Gerta Hagen
834688	110774	Gertrud Koenig
834688	115991	Erna Lindner
834688	125004	
834688	125029	
834688	140200	Gisela Grainernapp
834688	140271	Laemmlein
834688	156654	Tante Trudi
834688	162581	Frau Hillermann
834688	180958	
834688	209968	Vita Louise Simmons
834688	214178	Frau Steinfurth
834688	218913	
834688	244677	Konsulin von Kohlen und Reiba
834688	252326	Josephine
834688	279001	Octavia
834688	281725	Sophie
834688	290216	Mrs. Wagner
834688	312208	Ina
834688	317280	Martha Lennox
834688	323000	
834688	325489	Frau Kroll
834688	336499	
834688	368741	Grandma Rabe
834688	378186	
834688	386904	Frl. Reinlich (German version
834688	388571	Gertrud Koenig
834688	388950	Frau Papenbrinck
834688	389957	Frau Francois
834688	391336	Grete Zeisig
834688	391470	Else Tetzlaff
834688	393978	
834688	399669	
834688	409858	
834689	27586	Herself - Director
834689	408920	Herself
834690	352206	Beate Fischer
834691	27586	Herself - Scriptwriter
834692	48180	
834693	48180	
834693	120375	
834694	210034	
834694	332762	
834694	379627	Frau Brode
834695	154554	Herself - sister of a victim
834696	34354	
834696	290489	
834697	142541	Reporter #5/International New
834697	219558	Candy
834697	245468	Ruby (hooker)
834697	272234	Woman at the Science Fair
834697	303521	Madame Royce
834697	340320	Agnes Woodcock
834697	380391	Unknown (1987)
834698	477	
834698	61520	Chikita Hausmann
834698	89043	Aida Kalinoffski
834698	103137	
834698	111771	Iduna
834698	119117	
834698	132535	Jezabel
834698	140247	Carmen de la Rocco
834698	142201	Jenny
834698	143982	
834698	174756	
834698	205813	Ella Roland
834698	216267	Carla
834698	225663	Journalistin
834698	237446	
834698	248394	Ruth
834698	257724	
834698	290265	Singer
834698	312089	Katrin, a ghost
834698	323812	
834698	338400	Anna's mother
834698	343487	
834698	367191	Lilo
834698	396753	Frau Schwarzhaupt
834698	397386	Paula Hepburn
834699	207243	Herself
834700	192840	Herself (Editorial Director, 
834701	333007	Lisa
834702	107373	Kapitän
834703	73472	Cellist
834703	340131	Herself
834704	124995	Reporterin
834704	173725	Hausmädchen
834704	173728	Dr. Eugenia Tröttl
834705	51978	Female Guard Gerda
834705	55392	
834705	84356	Evelin Wilson
834705	149658	
834705	297873	Hari
834705	331033	Second Warrior Virgin
834706	919	Beamtin
834706	124995	Frau ohne Sohn
834706	173725	Bettina Müller
834706	173727	Anette Neumann
834706	173728	Andrea Knöttlich
834707	173726	Waltraut Kappert
834707	364967	Richterin
834708	325822	Nina Böbinger
834708	361468	Lena
834708	390530	Cilly
834709	38839	Herself
834710	11687	Herself
834710	16918	Agent 77
834710	37787	Joan of Arc
834710	48489	Herself
834710	66173	The Singing Telegram Girl
834710	113900	Ursula
834710	129876	Herself/guitar/vocals
834710	129877	Herself (rhythm guitar Go-Go'
834710	129878	Guitar & Vocal
834710	184561	Chloie, Gabrielle, Lynda
834710	192542	
834710	237675	Spitting Head
834710	290944	Dusk
834710	290948	Dusk
834710	304774	White Fairy
834710	313396	Alien communications officer
834710	348651	Herself
834710	379601	Herself/Interviewed (Go-Go's 
834710	397908	Gwen
834710	406279	Gretel Barnes
834711	344118	Violin-Player
834712	122486	
834713	95304	
834714	104844	Marga
834715	3966	Hostess
834715	129709	
834715	155374	
834715	381694	Silvia
834715	389359	
834715	390192	Sabine Möhl
834715	404308	Eva Hornung
834715	411155	Michaela 'Michi' Sommer (1994
834716	365966	Rosa
834717	98237	Gledespike
834718	62280	Sheilah
834718	140347	Mercy
834718	189913	Clown
834718	304965	The Murderer
834718	323592	Office worker
834718	343071	The Lesbian
834719	46871	Child
834720	6931	
834720	245203	
834721	174396	Maja Wegner
834721	225308	
834721	259492	
834722	97788	Anna de Wit
834722	99927	Juliana
834722	181255	Onaardige mevrouw Kerk
834722	305118	Buuf
834722	315522	Elly
834722	325280	Annabel
834722	375228	Mevrouw Loogman
834723	178610	
834724	222212	Laurie
834725	79552	Mrs. Micawber
834725	252193	
834725	315382	
834726	40189	The Countess of Chambord (thi
834726	251061	
834726	352839	
834727	117982	Cathy
834728	24149	Jablonska
834728	35040	
834728	126844	
834730	38086	Nurse
834731	256316	Verkoopster
834731	387074	Huishoudster
834731	394612	Gast bruiloft Alie en Bertus
834731	399979	
834731	402545	Martha Zwierus
834731	408174	Amalia/Buurvrouwtje Rina
834732	21242	
834732	179037	
834732	313099	
834733	27424	
834733	345907	
834734	150127	Michelle
834735	109856	Bridesmaid
834736	245213	
834737	406321	
834738	235882	James Bond Girl 2 (segment "A
834740	155013	Girl/Jack's movie
834741	247626	Marysia Kawczak
834742	116002	Dorothy
834743	346209	Camilla
834744	51072	
834745	194836	
834746	310646	Cocktail Waitress
834747	213840	
834748	50004	Baumgarten's Driver
834748	82707	
834748	99940	Cop
834748	103264	Kruse
834748	130848	Attacker
834749	121047	
834750	302965	Paniek Piet
834750	302966	Route Piet
834751	281454	Kathleen
834752	263	Chelsea
834752	26352	Joey/Malcom
834752	195305	Sing and Jingle Children
834752	256356	Beth's Friend
834752	283895	Tess
834752	338564	Shane
834752	354520	Lily
834752	375863	Young Alexandria
834753	9240	
834753	9650	
834753	17850	Evelyne
834753	19620	Nadie
834753	23691	Roberte
834753	33088	Cafe Girl
834753	36458	
834753	54849	
834753	70938	Girl
834753	76712	Chloe
834753	83342	Djill
834753	84627	Georgette
834753	92905	Frederique
834753	94805	Allié de Viva
834753	100652	
834753	126367	Mausi
834753	168643	Nati
834753	194144	La mère d'Hélène
834753	198303	Déesse Kali
834753	208747	Isabelle Schmoll
834753	217237	
834753	240493	Gertie
834753	245976	
834753	254016	La jeune fille
834753	264524	Josée
834753	268822	Une 'comceptrice'
834753	294559	L'ancienne maîtresse
834753	322587	Mme Chanou, la femme du direc
834753	340347	Frédérique
834753	346566	Jacynthe
834753	382466	La seconde élève
834753	390395	Laurence
834753	392602	Coralie
834753	393246	Galiote
834753	397947	Mme Victurnier
834754	87166	Brian's Friend
834755	115269	Junior Douglas
834758	194144	Hélène
834759	277092	
834760	132247	Esmeralda
834760	214976	Cathy Beruman
834760	253820	Alexis
834761	226211	
834763	245896	Herself
834764	14145	Maitre Dí
834764	227664	Strung Out Woman
834765	29650	Deirdre
834766	101451	Harriet (age 13)
834766	104812	Frida (age 7)
834766	159635	Ella Persson
834766	182278	Barbro
834766	276336	Vivi, Ester's daughter
834766	343701	Girl on train
834767	210604	
834768	13322	
834769	55477	Lesbian #2
834770	356101	Marjan
834771	300814	Patient
834772	179005	Frau in Apotheke
834773	150075	Jessica Cheer Girl
834774	92095	Elevator Victim With Child
834774	258878	Nabil's Woman
834775	110967	Caryatid in Fantasy
834776	88559	Woman In Elevator
834776	92095	Woman in elevator #1
834776	115689	
834777	278318	Voice Gilda
834778	158192	Janet
834779	270346	Ghetto Victim
834780	133185	
834781	289372	Featured Extra
834782	17435	Stewardess
834782	281983	Frau Sanitätsrat Hünemann
834783	40361	
834784	9922	Andrea Schäfer
834784	379579	Andrea Schäfer (1997-)
834784	379580	Andrea Schäfer
834784	387079	Gogo Curian
834784	387751	Carola Zorn (2001-2003)
834785	186897	Baustellen-Chor/Construction 
834786	12319	Factory and Boardwalk
834787	393604	Herself - Jane Schmo
834788	176215	Nancy Fitch
834789	309292	Lille Anna
834790	168204	Urlauberin
834790	403133	Monika
834791	7780	Esther Berthelsen
834791	80101	Eva von Dornberg
834791	120923	Mimi
834791	155124	Herself
834791	322291	Tove
834792	292643	Video Amazon Woman No. 2
834792	329060	Edeldame 1
834792	407324	
834793	314836	
834794	182904	Punkt
834796	290511	
834797	318901	Sumurûn
834798	318901	Dienerin
834799	239473	Unknown Woman
834800	290449	Librarian
834801	47915	Megan
834802	597	
834803	325189	
834804	407253	Keiko
834805	344390	
834806	129722	
834806	361504	Vroni
834807	322563	
834808	47844	
834809	14137	The Blonde
834809	24957	Debbie
834809	105437	Dianne
834809	169692	Candy
834809	202372	June Khnockers
834809	257814	Herself
834809	257847	Herself
834809	257859	Herself
834809	264825	School Girl
834809	273307	Chris' Girl at Party
834809	296369	Girl in Shower (segment "Girl
834809	326743	Rhonda
834809	336654	Girl in bar
834809	361862	
834809	362650	Arlie
834810	182883	
834811	124115	Maryam Lamont
834811	151055	Milana
834811	186681	Writhing Girl
834812	304578	Vanessa
834813	40148	Blackrock Girl
834814	104740	German entry (15th place)
834814	189861	Herself
834815	901	Evil Queen
834815	2817	Herself - Best Supporting Act
834815	2899	Herself
834815	2924	Herself - Best Supporting Act
834815	2930	Herself - Presenter: Best Sup
834815	37526	
834815	38572	Louise Keeley
834815	40174	Lily
834815	47004	Mother
834815	49366	Helen Sinclair
834815	70359	Lenore
834815	70557	Helen Robberson
834815	94167	Rachel
834815	97727	Peg Boggs
834815	107116	Rebecca Hammil
834815	107909	Isabelle
834815	116907	Vi Moore
834815	138444	Holly
834815	149804	Diane Booker
834815	154040	Annie Cassell
834815	154943	Julie Addison
834815	158997	Nancy Morgan
834815	163588	Gail
834815	191987	Jane Grierson
834815	194753	Lucy Emerson
834815	211361	Elisabeth Beaumont
834815	235393	Paula
834815	245092	Elizabeth Gertrude Stern
834815	248884	Helen Buckman Lampkin Bowman
834815	262261	Aunt Bridget 'Jet' Owens
834815	267568	Emma
834815	270622	Bea
834815	279888	Mrs. Copperbottom
834815	291126	Doctor H. Aaron
834815	294571	Stephanie
834815	302211	Sarah McClellan
834815	355383	Herself
834815	358727	Symka Mazor
834815	373780	Nina
834815	378710	The Evil Queen/Christine Lewi
834815	395273	Interim DA Nora Lewin (2000-2
834816	331377	Reporter Two
834816	341928	Reporter
834817	244099	Prof. Kaluza
834818	103144	
834818	216260	
834818	293624	
834818	345286	
834818	361428	Sybille Voß
834818	387629	Martha
834818	387736	Ilse Carsten
834818	389959	(2. Staffel)
834818	406321	
834819	130232	Suzanne Balk
834819	390242	Suzanne Carpenter-Balk (1990-
834820	147644	
834821	37904	Fru Martens
834821	51935	Christian Birgers mor
834821	92947	Dronning Charlotte Amalie
834821	190837	
834821	202944	
834821	308229	Borgmesterfruen
834821	322684	Konsulinde Hedvig Bergholtz
834821	356852	
834822	59726	Skuespiller
834822	86847	Maja
834822	108955	Lise 'Trille' Nielsen
834822	137616	Pastor Juul
834822	155684	Woman with 2 Kids
834822	162657	Servitrice
834822	215073	Damen i grillbaren
834822	278332	
834822	303747	Mathilde
834822	305882	Lisbeth
834822	354739	Jordmorder
834822	398260	Olga Jarmer
834822	403379	Pediatric Nurse
834822	403380	Pediatric Nurse
834822	406725	Ella
834823	24627	Herself
834824	93612	Beautiful girl on street
834825	368215	
834827	18083	Granny Vogler
834827	46978	Grandma
834827	78514	'Madame'
834827	84287	Doris af Ernstam
834827	88392	Mrs. Bender
834827	89836	Mrs. Wangendorff
834827	91521	Edit
834827	115399	Hyltenius
834827	115422	Mrs. Holst
834827	115879	Mrs. Carotti
834827	116456	Skoga-Börta
834827	121016	Aunt
834827	122327	Old Lady
834827	122462	Vendela Påhlman
834827	137954	Marit's Grandma
834827	144039	Mrs. Gina
834827	144235	Lisa
834827	145520	Titta Grå
834827	150660	Mia
834827	153768	Narrator/Clothes Saleswoman
834827	164780	Anna
834827	180076	Vera Stätt
834827	181850	Caretaker's Wife
834827	182284	Hulda
834827	182298	Mrs. Arén
834827	182306	Mrs. Lobelius
834827	184793	Mina
834827	192647	Mrs. Sigrid Malm
834827	198276	Hedvig Charlotta Nordenflycht
834827	199299	Madam Vera
834827	202416	
834827	223187	Mrs. Schroeder
834827	224915	Mrs. von Grün
834827	228408	Astrid
834827	228418	Mrs. Eklund
834827	232736	Mother Akka
834827	248499	Mrs. Ekström
834827	255595	
834827	257033	
834827	266755	Agneta Lindman
834827	291664	Madame Carin
834827	302796	Cioara
834827	303650	Clara
834827	304137	Dehlin
834827	305863	Isak's Mother
834827	307306	Senior nurse
834827	307600	Helena
834827	308200	Mrs. Armfeldt
834827	309148	Maila
834827	314385	Emma Bohrn
834827	314765	Mrs. Lundahl
834827	322271	Mrs. Lagerberg
834827	322423	
834827	342304	Cecilia's Foster-Mother
834827	343701	Miss Henriksson
834827	346210	Gertrud (50 years later)
834827	348728	Mossi
834827	349985	Baroness Erland
834827	350609	Old Lady with Hat
834827	354677	The Old Lady
834827	354691	Ane
834827	357749	Waterhead's Mother
834827	377388	Kersti
834828	144032	
834829	4513	Dancer
834830	93959	Miss Colorado
834831	425	Margit
834831	12510	Nina Lind, sangerinnen
834831	40913	Lilli
834831	45743	Maggie
834831	46657	Gerd Lorentzen
834831	78514	Ria
834831	96019	Inga
834831	99193	Eli Sjursdotter
834831	105068	Monica
834831	107881	Ingegerd Bremssen
834831	108655	Josefa
834831	115422	Astrid Holst
834831	116018	Christina Loven
834831	120023	Ingeborg Lien
834831	142775	Dora Danielsen
834831	142835	Marianne
834831	142837	Sonja Larsen
834831	154132	Wera Holm
834831	154150	Jimmie Hedström, femme fatale
834831	164780	Harriet Rosenberg
834831	178436	Eva Jespersen
834831	182283	Nina Lind
834831	198272	Vernonica Flint
834831	216359	Else Hill
834831	240312	Inga
834831	242311	Karin Larsson
834831	281039	Britta Bergman
834831	284101	Annemarie Wikström
834831	287377	Astrid
834831	346962	Eva Bergfelt
834831	346985	Karin Borg
834831	353000	Irene Gruwe
834831	377310	Marianne
834832	67614	Miss Johnson
834832	99857	Joanne Desoto
834833	6512	Mette
834833	48324	Lise Holm
834833	320526	Line Tangen
834833	377403	Ruth
834834	2976	
834834	86572	
834834	357301	
834834	404786	Mrs. Album
834835	93986	Homeless person
834836	253887	
834837	51800	Woman at pool
834838	106879	
834838	127516	
834838	224730	Aunt Margaret
834838	252281	Undetermined Role
834838	285180	Mrs. Warrington
834839	316979	Newscaster
834840	130167	Companion
834841	92799	Sally
834842	13293	A Highlight Member
834843	216669	Club Patron
834844	10909	Whip
834845	139279	The Holy Roller
834846	318171	Hysterical Customer
834847	79450	Indigo Plantation
834848	88787	Belma
834848	185429	Lois
834849	142993	Lil
834849	270376	
834849	296801	Mrs. Cromwell
834849	362905	
834850	53218	
834850	146273	
834850	220574	Polo player
834851	129435	Flower Eater/Bikini Girl
834851	273275	Girl on Beach
834852	2123	
834852	62995	Fran (Scrooge's sister)
834852	156903	Candy Page
834852	178107	Nadine
834852	290922	Young Mathilda Gillespie
834852	390840	Penny
834853	316715	Peaches
834854	119429	Mrs. Witherspoon
834854	140901	Wheezy Knowlton
834854	150270	Jill
834854	150297	Sarah
834854	218159	Esther Fry
834854	224299	Miss Turner
834854	241123	
834854	379716	Sarah Kingsley (1980-1982)
834854	390771	Karen Martin (1971-1972)
834854	396088	Meg Dale (1974-1980)
834854	398777	
834854	401026	Mrs. Howard
834854	406667	Erica/Helena
834854	411696	Martha Scott
834855	216987	
834856	114709	Renaye's Grandmother
834857	209210	Refugee
834858	105145	Violinist
834859	14486	Debbie
834860	151778	Wolf Woman
834861	132122	Lavinia Meredith
834861	212243	Katherine
834861	220486	Laurie
834861	222728	Mary Debenham
834861	249717	Sophie
834861	277011	Mira
834861	299810	Masie Hickman
834861	304353	Carole
834861	406464	Sheena
834862	320122	Herself
834862	320149	Herself
834862	320150	Herself
834862	320151	Herself
834862	320152	Herself
834862	383731	Host
834862	387277	Herself (Team Sketchers WEP)
834862	407075	Herself (Runner-up, 39 Days, 
834863	50814	Mrs. Byers
834864	92249	Theona
834865	102527	Amerikanisches Hausmädchen
834866	401525	
834867	78516	Hun dochter/Their daughter
834868	78516	Hun dochter/Their daughter
834869	78516	
834870	409755	Co-host (1963)
834871	152910	Rita Siegel
834871	174206	Unknown
834871	219181	Marsha
834871	282617	Queen Catherine
834871	392451	Ms. Weintraub
834871	395738	Margret (Meg) Brooke
834872	63342	Diane
834872	92248	Pearly Whites
834872	160888	Alexandria
834872	282696	Chas' Secretary
834872	297190	Tiffany 'Cute Hostess'
834873	144465	Woman at Chip's Bar
834874	35690	Nurse
834875	41502	Guest at Second Party
834875	304300	Miss Shakespeare
834875	321384	Saleswoman
834876	381706	(episodes 1-5, 8, 9, 12)
834877	407646	Reporter
834878	190313	Debbie
834878	393605	Patricia 'Dr. Pat' Lane (2003
834878	411423	Team player
834879	28531	Frue i selskap
834879	229281	Laura
834879	250412	
834879	293841	Moren
834880	2675	Miss Lyng, Cashier
834880	6512	Mor til Eigil
834880	188886	Elizabeth
834880	304476	Fru Berntsen, Riesings nabo
834880	317650	
834880	346963	Sosialkurator
834880	348962	
834880	394133	Bestemora til Romeo Klive
834880	398251	Hilda
834881	349408	Anita
834882	382429	Herself - Designer (2003-2004
834883	178376	Statist
834884	140019	Funeral Goer
834885	175665	
834886	331799	Little Jamie
834887	350758	
834888	76801	
834888	219990	Mrs. Goma
834889	6287	Nanda
834889	8105	Kassandra
834889	24147	Evelyne
834889	76416	Sarah
834889	93623	Dienstmeisje
834889	125220	Silvia
834889	147128	Vickey Hobson
834889	152366	Ellen
834889	242498	Juliette
834889	280616	Simone Moorjan
834889	309785	Jane
834889	357258	Dochter
834889	357311	Elise
834889	374631	Tweede aktrice
834889	382551	Moeder Mertens
834889	394142	Brenda (1968)
834889	394604	
834889	410401	Cafédochter
834889	411311	Magda Coppens-Vermander (1993
834890	327030	Mw. Dirk Wijkstra
834890	397445	Marieke
834891	33235	Doris
834891	76720	Marjan van Dijk
834892	1123	Mrs. Ackerman
834892	33235	Hedda
834892	118863	
834892	124903	
834892	126468	
834892	141734	
834892	314862	Receptioniste
834892	356813	Mem
834892	376431	Moeder
834892	384341	
834892	392564	Trudy Ebbers
834892	393184	Joke Krassemeier
834892	400294	Vrouw (1991)
834892	406498	
834892	409987	Sophie de Swaan
834893	87414	Disco Dancer
834894	408151	Eva Reimer-Verbist (1997-2001
834895	382909	
834896	67188	Clara
834896	354647	Sien Hoornik
834896	382017	Rosalie (jong)
834897	14557	Woman in flashback
834897	92095	Secretary (Milligan)
834897	276196	Rebecca (segment "Aart and Jo
834897	289626	
834897	326552	
834897	344243	Lenie
834897	387581	Bokan's lawyer
834897	400507	Sonja Albrechts
834898	241210	Getuige
834899	152778	
834900	397781	Johanna
834900	409950	
834901	54856	The Blonde
834902	6585	Ann-Mari Blomberg
834902	99819	Charlotte
834902	109976	Young woman in cafe
834902	115422	Alice
834902	178745	Irma
834902	239042	Aunt Lisa
834902	268352	Ann-Marie Blomberg
834903	245593	Else Dahl, telegrafist
834904	2019	Janine
834905	116103	2nd Attacker
834906	108200	Manicurist
834907	1425	
834907	11715	Sylvia Svensson/Kerstin Tores
834907	29182	Colleague
834907	34543	Nadja Palm
834907	48368	Silja Koskinkorva
834907	60278	Erika
834907	122501	Maid
834907	134943	Secretary
834907	136621	Malin
834907	138189	Zaida
834907	142859	Sara
834907	144083	Mrs. Blomgren
834907	164785	Maria's Mother
834907	174103	Magga's mother
834907	176770	Berit
834907	181846	Ellinor
834907	190809	Läraren
834907	215467	Edit
834907	219840	Lena
834907	230030	Inez
834907	246492	Rita
834907	252332	Britt Dagerman
834907	303205	Social worker
834907	303674	Claire
834907	307772	Claire Dahlberg
834907	349075	Nadja
834907	353003	Gun
834907	357803	
834907	377327	
834907	381602	Isabella
834907	382840	Linda
834907	385559	
834907	387162	
834907	390236	Mia Göransson
834907	393003	Gerd
834907	396533	Sister Anna
834907	411580	Carina
834908	315034	Cop
834908	354426	Lena
834908	409917	Solveig Sjöstedt
834908	412205	
834909	7412	Jenny
834910	320617	
834911	315606	Ris-Kajsa
834912	78519	
834913	10270	Charlotte Raa
834913	400356	Kivipelto
834914	29345	Gerda, Jacob and Agnes' house
834914	182264	
834914	225348	
834914	295901	The prompter
834914	357749	
834915	179625	
834915	258845	Woman in the park
834916	345937	Lilian
834916	394744	Sohlberg
834916	405822	Politiker
834917	170709	Lottery ticket salesgirl
834917	320617	
834918	122321	Mother of the Croftgirl
834919	63360	Nalin
834920	172717	Kalin's mother
834920	227329	Shermans Sekretärin
834921	406779	Herself
834922	26877	Tanya
834922	328272	Amelia's Friend
834923	215911	Soldier at Roadblock
834924	49049	Mona
834925	194898	Herself
834926	210020	
834926	291083	Prinzessin Diana
834927	30736	Additional Voices
834927	307189	Additional Voices
834927	387419	Additional Voices
834927	389791	Additional Voices
834928	345869	Herself
834929	326781	
834930	43742	Gossip
834930	279743	
834931	317303	Improv coach
834932	63098	Deaf Girl
834933	271676	Additional Voices
834933	394016	Additional Voices
834934	100877	Nun
834934	238709	Nellie Rufferwell
834934	265266	Sunday School Teacher
834935	248117	Cafe Waitress
834936	71783	Lorena Watkins
834937	77805	Chorus girl
834938	178896	Mourner
834939	41874	Karen
834940	83952	College Girl
834940	158602	Holly Banks
834941	49656	Playboy Bunny
834941	264818	Resort Guest
834942	390005	Presenter (1992-)
834943	346405	Marguerite
834944	90998	Nika
834944	179787	Yumiko
834944	186606	Yoshiko Berger
834944	282236	Anna Schäfer
834944	282238	Anna Schäfer
834944	325391	Kathrin Lehmann
834944	389287	Hortense 'Horky' Müller
834944	392086	
834944	392634	Kikki
834944	399162	
834944	410510	Sabine Görres
834945	276264	Woman Doctor
834945	408053	Rachel Horton
834946	137623	Mrs. Atkinson
834946	231389	Labor Ward Sister
834946	260329	Sister Louise
834946	320365	Kate Campbell
834946	342597	Lady in Coach
834946	350199	Housekeeper
834946	367350	
834946	387533	Dorrie Lumm
834946	396402	Gerda
834946	401744	Mrs. Tabb
834946	405217	Woman Prisoner
834947	411176	Elegant Lady Imogene
834948	26285	Nurse #2
834949	222483	Additional Muppet Performer
834949	222495	Additional Muppet Performer
834949	404897	Additional Muppets (1969-198?
834950	122757	von Glowers mother
834951	223864	Twin #1
834952	223864	Twin #2
834953	2486	Penny Piper
834953	367040	Julie Austin
834953	391076	Deedee Harris
834954	36746	Samantha Haze
834954	81034	Mrs. Claus
834954	147972	Sunbather #2
834955	114008	
834956	291150	Dot
834956	304066	Undetermined Role
834957	137258	Waitress #1
834958	38644	Arlia (ADV 2003)
834958	404138	Additional Voices
834959	52909	Adèle
834959	96211	La danseuse
834959	168083	Alice
834959	345305	Marie Crawford
834959	353964	Director's Daughter
834960	219555	Real Estate Lady
834961	277088	Omega Mu
834962	16642	Kay Stead
834962	241160	Policewoman
834963	120108	Rita
834964	13452	Young Briana
834965	11353	Chastity Blade
834965	47082	Bonnie
834965	127730	Demons Dance Squad Member
834965	192058	Melissa
834965	201728	Herself/Alice Johnson
834965	210837	Judy
834965	232456	Alice Johnson
834965	232460	Alice Johnson
834965	345634	Florence Henderson (Carol Bra
834965	352962	Herself
834965	359908	Grace
834965	360668	Amber
834965	382034	Missy Preston
834965	389858	Kay (1987)
834965	394676	Ellen #2 (1989)
834966	272847	The Ravager's Victim
834967	137568	Sandra
834967	323387	Mrs. Williams
834967	382254	Bess Glazer
834968	6932	Nurse
834968	16354	Idella Voudry
834968	31832	Julia
834968	36864	Mary Jane Beth Sue
834968	37292	
834968	39743	Beulah
834968	115003	Tora
834968	157290	
834968	157848	Receptionist
834968	186460	Wilma Harrison
834968	187977	Marion
834968	192634	Mrs. Lawyer Coutts
834968	195872	Linsday
834968	206232	YMCA clerk
834968	266566	Nurse Burnson
834968	365833	Scatback
834968	385824	Janice Whitney #1 (1969)
834968	396742	Idella Muckle Orca
834968	404573	Idella Voudry/Various Others
834968	404574	Various
834969	330564	Helen Josephine Stineway
834970	86457	Jessica
834971	315776	First Woman
834971	391026	Anna Morrison
834971	393470	Audrey Stiles
834972	218713	Sue
834973	51800	Nancy Noonan
834973	292266	Car Wash Cashier
834974	7977	Miss Selby
834974	144406	
834974	145022	Miss Bird
834974	196474	Beryl Battersby
834974	202849	Chrissy
834974	221238	Maureen
834974	253882	Various Characters
834974	312965	Mrs. Walwyn
834974	346942	Herself
834974	346944	
834974	382290	Ivy Sandford
834974	382771	Cynthia Bright
834974	387131	Naomi
834974	388637	Ros West
834974	395246	Herself/'Chrissty Plummer/Mis
834974	395523	Sylv
834974	396119	Beryl Battersby
834974	396655	Chrissy Plummer
834974	397890	Elizabeth Jones
834974	402607	Mrs. Parker
834974	405706	Sara Bean
834974	405708	Lilian
834975	277137	Raven
834976	114311	Christine
834977	3145	Janet Burdock
834977	44318	Savannah
834977	45565	Joanna
834977	60164	Nora
834977	68455	Lady Two
834977	80969	Madame Zeus
834977	105851	Mary
834977	117162	Margaret Sparks
834977	118980	Christine the Hooker
834977	147732	Candy
834977	182966	Lydia Graham
834977	187172	Mrs. Williams
834977	224648	
834977	244421	Danny's Mom Ruthie
834977	264157	Lady Salsa
834977	264158	Ball Reporter
834977	271344	Photographer
834977	276351	Carleen
834977	283410	Luau Lady
834977	291698	Cop Behind Desk
834977	295082	Mrs. Cole
834977	303522	Peg Dalton
834977	308738	Anita
834977	329946	Mattie
834977	331152	Stewardess
834977	339917	Rochelle Wingate
834977	363250	Louise
834977	370851	Mother
834977	373989	Mom
834977	380240	Rowena Dare
834977	382918	Jenny James
834977	385594	Anita (1990)
834978	117745	Nurse
834978	191291	Lucy Pevensie
834978	263976	Lucy Pevensie
834979	56545	Herself
834980	312265	Mary Pat
834981	27107	Angry Mother
834981	207099	Capt. Bridget 'Knocko' McCart
834981	260059	Buffalo Bar Singer
834982	2214	
834982	43119	Krysia Brown
834982	89482	Nira
834982	137597	Zofja
834983	178232	Malgosia Wilczyk
834984	76126	
834984	178804	Housemaster's Mother
834984	255450	Tenant
834984	340088	
834984	343386	Peasant
834984	349452	Woman with Cat
834984	375067	Endelmanowa
834984	375498	
834985	322104	Katia
834986	24542	Ignacowa
834986	25425	Woman in Red Hat
834986	36586	'Viva Maria' Fan
834986	164260	
834986	217217	
834986	231646	
834986	231690	Woman in Hotel
834986	237438	
834986	244106	
834986	244110	Chambermaid
834986	266327	Natalka
834986	275588	
834986	315814	
834986	322038	
834986	375067	Grünspanowa
834986	375439	Chambermaid
834987	244208	
834988	298040	Sallie Bigby
834989	70183	
834991	382516	Chloe Feely
834992	330409	Cocktail Waitress
834993	70183	
834994	261117	
834995	34425	Lena
834995	51484	
834995	96122	Lena
834995	125321	Verkäuferin im Photoladen
834995	127755	
834995	127756	
834995	127757	
834995	127758	
834995	127759	
834995	226330	Susanne
834995	231505	
834995	259631	Simone Neumann
834995	290787	Yvonne
834995	295986	Tanja
834995	310901	Evelyn Horst
834995	322934	Schwester Sabrina
834995	325493	
834995	336508	Katharina
834995	397915	Herself
834995	401112	Herself - Gina Wild
834996	242024	Lolly
834999	92514	Jill
834999	112032	Prostitute
834999	143357	Paula
834999	240706	Suzy
834999	321821	
834999	374638	Angvisa Girl
835001	38750	Massage Lady
835003	409860	
835004	2897	WAAF Officer in bar
835004	6196	Millie
835004	80704	Doris Hawkins
835004	81639	Giggling Girl
835004	92621	Valda
835004	105409	Beggar Girl
835004	220812	
835004	240861	Jean Stewart
835004	295193	Mrs. Crow
835004	330138	Girl in Street
835004	352497	Mary
835004	390341	Jenny Hamilton
835004	400526	Kate Sullivan
835004	405960	Alice Parker (1983)
835004	406281	Lt. French
835005	262129	Hotel Clerk
835006	322953	Frau beim Bauernhof
835007	313442	Morassian Computer
835009	2165	
835009	75030	
835009	171641	The Girl (segment 'No Comment
835009	264741	
835009	264742	Herself
835011	41473	Serena
835011	132223	Chyna
835012	130055	
835013	87875	
835014	45877	Nicol, call girl
835015	60332	Herself
835016	6722	Herself
835016	26114	
835016	30394	
835016	31180	
835016	31203	
835016	31318	
835016	31633	
835016	36703	
835016	36740	
835016	36941	
835016	37421	
835016	40949	
835016	41620	
835016	50578	
835016	53267	
835016	82668	
835016	128732	
835016	131238	
835016	140171	
835016	158580	
835016	165204	Herself
835016	186129	
835016	188418	
835016	210453	
835016	219872	
835016	228679	
835016	245307	
835016	254703	
835016	266674	
835016	303924	
835016	317954	
835016	329868	Herself
835016	358585	
835016	361863	
835016	361893	
835016	365240	
835018	42822	Anita
835018	52320	Bikini Girl
835018	67571	Pin-up
835018	114546	Sandy
835018	160418	Blonde Woman (segment "The Th
835018	257664	Smell/Woman
835018	257669	Model
835018	296352	Herself
835018	319188	Mrs. Pietrowski
835018	361862	
835019	6753	
835019	48492	
835019	50376	
835019	81865	
835019	117302	
835019	160427	
835019	228001	
835019	228090	Sharon Wild
835019	230644	
835019	245587	
835019	273298	
835019	310662	
835019	316380	
835019	326431	
835021	2513	
835021	108643	
835022	365108	Herself
835023	304066	Powerful Katrinka
835023	304067	Powerful Katrinka
835023	304069	Powerful Katrinka
835023	304070	Powerful Katrinka
835023	335766	Powerful Katrinka
835023	335768	Powerful Katrinka
835023	335769	Powerful Katrinka
835024	177662	Various
835025	169284	
835025	199333	Madeleine
835025	337394	
835026	80969	Postal Cashier
835028	326382	Officer Greeley
835029	81317	Female Punk
835029	142489	Female Cenobite
835031	314100	Girl #1
835032	342113	
835032	403415	Eily Maher
835033	179419	
835033	379716	Bianca Montgomery #2 (1990-19
835033	404002	Grace Coleridge (1989)
835034	41120	
835034	257929	
835034	264639	
835034	264727	
835034	264738	
835034	264743	
835035	258098	Connie
835035	266627	Nikki
835036	362597	Belinda
835037	342365	Soprano
835038	24352	Juliane
835038	28168	Karine
835038	44029	Anna Biber
835038	58836	Clarissa Maiwald
835038	75797	Samantha
835038	94905	
835038	111127	
835038	124975	Jennifer Kalsten
835038	126331	Maja Reinhard
835038	139692	
835038	144142	
835038	150927	
835038	156297	Marchande
835038	177213	Lilian
835038	179775	Anna Berger
835038	205407	Immobilienberaterin
835038	210019	Patricia Moss
835038	215851	Maria
835038	218965	Lovely
835038	223478	Angela Lorenz
835038	236816	Katja Heinemann
835038	244955	Ingrid
835038	259818	Ehebrecherin
835038	262750	Frauke Nimrath
835038	281435	Plume
835038	281742	Liz Frazer
835038	282210	The Woman
835038	293618	Sandra
835038	313668	
835038	314513	Antonia
835038	316530	
835038	319144	Journalistin
835038	325512	Jacqueline Bordenave
835038	325527	Edith Kruse
835038	325541	Magda Raimondi
835038	325885	Catharina Kühn
835038	336470	Vanessa
835038	343673	Christa Spatzek
835038	351788	Marie Brunel
835038	352343	Viktoria
835038	356841	Chris Benning
835038	358755	Cora
835038	381439	Sandra Kessler
835038	394741	Anna Berger
835038	397911	Maria
835038	403769	Receptionist in Berlin (episo
835038	404452	Julie #1
835038	405449	Rebecca
835038	409858	Celine
835039	64554	Evelyn Morley Finsbury
835039	66184	Grace Neilson
835039	77355	Florist
835039	79861	Nurse Jamieson
835039	150977	Wife
835039	151047	Woman in Window
835039	206259	First Woman
835039	232111	Marie Langton
835039	265365	Ruth
835039	292581	Jan, Girl in Car
835039	331312	Jane (segment "You Killed Eli
835039	385441	Claire Linton
835040	143831	Restaurant staff
835040	187732	Rhea
835041	142330	USC Woman #2
835041	283247	Muhammad Dali
835043	126504	Pub singer
835044	185858	
835044	340408	
835045	161422	Woman No. 4
835045	245359	Female Porn Star
835046	357076	Miss Baker
835046	395188	Alison
835048	69490	Telephone Operator
835048	71625	
835048	127075	Fairley Maid
835048	178332	Lil
835048	185316	Maggie the Maid
835048	190264	Annie
835048	193375	Girl
835048	298587	Jenny, Maid
835048	346414	Millie the New Maid
835050	171712	Laura
835051	92181	Ellen
835052	321031	
835052	321039	
835053	262394	Jenny
835054	50639	Waitress
835054	65782	Parent of Clone
835054	69639	Woman in Airport
835054	105165	Mrs. Penny
835054	133844	Councilor Doyle
835054	149455	Mrs. Golfer
835054	287727	Teacher
835054	292472	Kayla's Mom
835054	364860	Grace
835055	323804	Office Woman
835056	687	Herself
835056	1955	Herself
835056	169600	Herself
835056	313061	Herself
835056	330027	Herself
835056	335546	Herself
835056	381779	Herself - Presenter
835058	26983	
835058	33976	
835058	43499	
835058	43500	
835058	81835	Nikki Tyler
835058	91879	
835058	92462	
835058	117370	
835058	128869	
835058	128871	
835058	132896	
835058	154908	
835058	182372	
835058	182373	
835058	182374	
835058	182375	
835058	190316	
835058	217260	
835058	238068	
835058	240728	
835058	240736	
835058	240737	
835058	240738	
835058	240739	
835058	240740	
835058	240741	
835058	240742	
835058	240743	
835058	246666	
835058	263078	
835058	274021	
835058	281456	
835058	321238	
835058	332541	
835058	335761	
835058	342939	
835058	363389	
835058	372506	
835059	130782	
835059	130784	
835059	147699	
835060	16468	Lee Walker
835060	53205	Patricia Hughes
835060	194176	Claire Miller
835060	263117	Singer with Bob Crosby's Orch
835060	277000	Singer
835060	333054	Specialty
835060	342453	Terry Turner
835060	342873	Herself
835061	402610	Paramedic
835062	47979	Celia Chandler
835062	55864	Caryl Foray
835062	77977	Mickey Temple
835062	149433	Laura Peters
835062	214144	Kitty Malone
835062	234211	Radio Station Receptionist
835062	245283	Mrs. John Hallifax
835062	255146	
835062	297572	Diana
835062	302708	Helen Blake
835062	314260	Nurse
835062	314421	Connie Banning
835062	315592	Connie Curlew
835062	346304	Diana Compton
835062	365554	Ruth Reynolds
835063	308350	Countess Dracula
835063	330366	Lorna
835064	16468	Lyn Walker
835064	33599	One of Frenchie's girls
835064	53205	Skipper Hughes
835064	128342	Peggy
835064	139800	Charleston Dancer
835064	194176	Ruth Miller
835064	263117	Singer with Bob Crosby's Orch
835064	277000	Singer
835064	298511	Nancy Bishop
835064	300063	Chorus girl
835064	333054	Specialty
835064	341460	Gertie Peck
835064	342453	Stephanie Hale
835064	342873	Herself
835065	343907	Caldwell's wife
835066	173079	Boom operator
835067	70659	Esposa
835068	249325	Herself
835069	60276	
835069	140986	
835069	147869	
835069	206450	
835069	342553	
835070	209705	Magdalene
835071	36565	Sarah Witt
835071	128350	Kellie
835071	405571	Jewel Goldman
835072	16010	
835072	83266	Betty
835072	159702	
835072	217688	
835073	162893	Madam Edwarda
835074	11569	Party guest
835074	16916	Girl at gaming table
835074	20206	Hungarian girl
835074	59100	Party Guest
835074	120548	Assitant Surgeon
835074	130620	Golddigger
835074	133443	Bit
835074	242812	Party guest
835074	279411	Handmaiden
835074	329480	Model
835074	330148	Society Girl
835074	370555	Chorus girl ('Little Johnny J
835075	11489	Housewife
835076	8450	
835076	101152	
835077	384550	Missy Martin
835078	173467	Letizia
835079	121404	Sloppy Jane
835082	281071	Little Kitty
835084	291211	Erica
835086	20898	Marilyn 'Marilee' Bergen
835086	22016	
835086	85997	Gina
835086	115535	Eurasian girl
835086	128847	Sister Magdalene
835086	297896	
835086	312925	
835086	360307	
835087	373345	Mistress Yvette
835088	390242	Jacobijn (1999)
835089	336754	The Children
835090	144876	Aunt Sang
835091	113103	
835091	234488	
835091	410401	Miete van de Bok
835092	410401	Barbel
835093	107280	Romy Bonamie
835093	380747	Merel Martens
835093	400216	Jeanne (2)
835094	44654	
835094	312702	
835094	344545	
835094	369881	
835094	369882	
835095	357303	
835096	120950	Hänschen
835096	180637	
835096	186119	Bessie
835096	325756	1 .Frau
835096	352525	Mrs. Banks
835097	349550	Car Hop
835098	70460	Lady with Groceries
835099	158873	Extra
835100	39037	Marie Louise
835101	109667	
835102	101060	Agency Secretary
835103	13360	Laura
835103	92059	
835103	108919	Prostitute
835105	1594	
835105	6720	Herself
835105	26112	
835105	36703	
835105	41068	
835105	47141	
835105	47751	
835105	50560	
835105	60293	
835105	81803	
835105	87154	
835105	93208	
835105	123631	
835105	139200	
835105	147874	
835105	165204	Herself
835105	188045	
835105	216174	
835105	216178	
835105	219150	
835105	228679	
835105	230397	
835105	260806	
835105	292629	
835105	298168	
835105	302779	
835105	311455	Herself
835105	319669	
835105	347685	
835105	355989	
835105	359740	
835105	364756	
835105	365598	
835106	41289	Ida
835106	368445	Fern
835106	383631	Shirley Franklin: Paramedic (
835106	393938	Usher
835106	407699	Mrs. Bapton (1993)
835106	407995	WPC Julie
835107	280109	Girl
835108	13866	
835108	49908	
835108	87246	
835108	108451	
835108	125666	Carla Bandoaw
835108	231996	
835108	232205	Porno star on TV
835108	321117	
835108	331175	Mom
835108	335448	
835108	361911	
835109	410614	
835110	153250	Nancy Gaines
835111	68901	
835112	107165	Rock Fan
835113	293015	Talking Head
835114	13773	Lady Venus
835114	375827	Runway Dancer
835114	380256	Louis's Sister
835115	321262	
835116	387497	Bobbi
835117	2476	Anastasia
835117	90955	Machiko
835117	157279	Dina
835117	359848	Fanny
835118	36841	Honey Chile
835118	49597	Jones' Secretary
835118	192032	Flossie (switchboard operator
835118	224127	Dorothy
835118	230622	Pat, Hunt's Secretary
835118	240437	Nettie Norton
835118	306387	
835118	310724	Fanny Lane, a Secretary
835118	329341	Luella
835118	329429	Hat Check Girl
835118	358650	KARB Receptionist
835118	359140	Babe
835119	78772	Salesgirl
835120	367512	Photographer
835121	309714	
835122	36694	Karen
835122	102209	
835122	253359	Michelle Benti
835122	301515	Pauline Mitgang Martin
835122	345690	Shoplifter
835123	355052	Waitress
835125	41364	Phyllis De Coco
835125	81271	Elaine Croft
835125	91119	Mrs. Dorf
835125	148910	Hortensia Ramirez
835125	185397	Margrette
835125	189907	Phyllis De Coco
835125	242774	Maj. Edna Hayward
835125	261046	Fania
835125	276667	Jennifer Nelson
835125	293258	Aurora De La Hoya
835125	301669	Studio Chief's Secretary
835125	328078	Mrs. Figueroa
835125	361688	Consuelo
835125	364628	Helen
835125	384854	Maria Rodriguez
835125	389501	Irene Katsopolis (1988-1991)
835125	400352	Maj. Edna Howard (1977-1978)
835126	356551	Vanessa
835127	361535	Bette
835128	283219	Marie
835129	316635	Partygoer #9
835130	286949	
835131	94957	Additional Voices
835132	133623	Pamela's Nurse
835133	166643	Bridesmaide
835134	142624	Herself
835135	193268	Cute Girl
835135	223719	Car Pool Friend
835135	379165	Heather Hoffs
835135	411599	Katlin Macdonald
835136	306100	GIrl
835137	318384	Margaret Leeds
835137	342758	Auction Room Companion
835137	405016	Suzannah
835138	271254	
835138	382066	Various
835138	405209	Staci Oriko (1999)
835139	120290	Prett Secretary
835139	138248	Catherine
835139	141454	Woman at station
835139	292826	Linda Gray
835139	406678	Penelope Gough
835140	67482	Sonia Woodley QC
835141	128419	
835142	77852	Christine Jensen
835143	82707	
835144	338927	Bar Girl
835145	107023	
835145	107041	
835145	112937	
835145	115331	L'agent de voyage
835145	150966	Virginia
835145	157922	Woman at Party
835145	191848	Teller
835145	196541	Joan Harrison
835145	200529	
835145	233469	Narrator
835145	243983	Narrator
835145	245823	Narrator
835145	268229	
835145	299393	Miss Lewis
835145	333325	Narrator
835145	335859	Mrs. Victor
835145	362178	Narrator
835147	324202	Zaida, Vertraute Asterias
835148	136053	Indian Woman
835149	299878	
835150	35515	Herself/Christine Pettit
835150	35523	Gun Club Receptionist
835150	46274	Julia Voitek
835150	56431	Virginia Larson
835150	73127	Prosecutor
835150	80680	Christine Martin
835150	80969	Southern Tourist
835150	107689	U.S. Embassy official
835150	109439	
835150	113553	Anchorwoman
835150	158825	
835150	159200	Diana Sullivan
835150	159945	Jennifer Reed
835150	160897	May
835150	169170	Dallas Airline Officer
835150	171395	Woman in Black
835150	206488	GNN reporter
835150	223734	TV Reporter
835150	223871	Sunny, Gloria's Friend
835150	224818	Janet Sinclair
835150	229860	Sandy
835150	283305	Nedda
835150	286350	Pauline Axelrod (reporter, AN
835150	299685	Wendy
835150	303836	Belinda Dunbar
835150	311262	Marjorie
835150	311428	Wedding Guest
835150	313484	Sariss
835191	165486	
835150	385653	Patricia Meadows/Faith Cronin
835150	385824	Fay Walker (1999-2003)
835151	342588	Gertraud
835152	120039	
835152	200046	Magdalena
835152	223408	Kims Mutter
835152	231455	Brigitte
835152	388468	
835152	401312	Brigitte Mooseder
835152	409411	Sekretärin des Bürgermeisters
835152	409612	Ines Rohrdorfer
835153	147036	Jana
835154	193990	Herself
835155	223735	Tante Toos
835155	388296	Clare de Kleine
835155	410441	Gillian Bloch (1994)
835156	10919	Caroline
835156	20439	Thug #2
835156	25874	Singer
835156	35540	Sherry Santa Monica
835156	68319	Consuela
835156	75839	Hanna
835156	78915	Waitress
835156	81902	Janice
835156	86534	Sable Coats
835156	105424	Evelyn Avery
835156	105455	
835156	122183	Roxanne
835156	147667	Lori
835156	163492	Dancer in Club
835156	164542	Sorceress
835156	254457	Eddy Colchilde
835156	264439	Muffin
835156	319902	Eva
835156	328259	Delilah
835156	335214	Anna Conda
835156	359431	Danny
835156	367096	Selena
835157	274708	Woman
835158	219692	V.A.G. #2
835158	365827	Elaine
835159	238991	Emma Smith at Age 4
835160	381821	Ensemble (1974)
835161	86001	
835161	185679	Waitress
835161	230151	Hunter's Secretary
835162	269421	Partygoer
835163	405147	
835164	130422	Baker High Dance Coordinator
835165	356783	
835166	32466	Tech Support Advisor
835167	396670	
835168	22975	
835168	169047	Lady Alicia Fairfax
835168	257374	Patricia
835168	308351	Florence Harding
835169	382830	Anne as a child
835170	265793	Mike's Mother
835171	127803	Stewardess
835172	78820	Mrs. Thomas
835174	39310	
835175	90092	Strings
835176	266735	Mother
835176	307374	Mrs. Hutcheson
835177	164619	Groupie 1
835177	210902	Ilena
835177	274729	Mona Smith
835177	339937	LaRonda
835177	379831	Lisa Bartholomew #3 (1992)
835178	246517	Mom
835179	16968	ICU Nurse
835179	284621	Operations Officer
835180	7025	Carla
835180	12239	Louella Marvin
835180	33784	Vivian
835180	48278	Virginia Rogers Scott
835180	64670	Jeanette
835180	64887	Jane Muller
835180	79685	Martha Turner Corkle (scenes 
835180	112264	Eve Lorraine/Eve Westland
835180	113907	Leading Lady
835180	116523	Telephone operator
835180	120739	Sheila Winthop
835180	123240	Maitre d'hotel
835180	154561	Helen
835180	168050	Miss Forbes
835180	178342	Miss Bala, office worker
835180	186299	Phyliss
835180	192717	Tina Craig
835180	207415	Janet Lowe
835180	230302	Checkroom Girl
835180	230622	Showgirl
835180	248318	Tenderfoot
835180	277533	Connie
835180	286911	Receptionist
835180	292310	Lynn Moore
835180	298165	Carol Winthrop
835180	306466	Lt. Lynne Hopkins
835180	312773	Madeline
835180	316046	Lily, Ernie Paul's Moll
835180	329945	Rita
835180	332054	Maybelle Pembroke
835180	335520	Jane Blanchard
835180	335882	Army press photographer
835180	346256	Ämy Tate
835180	372360	Girl Announcer
835180	375275	Annabella
835181	366947	Manicurist
835182	116365	Diane
835183	84362	Hysterical woman
835183	173519	Woman
835183	183710	Party Guest
835183	214098	
835183	269295	Third Contestant, Studio segm
835184	13800	Carley
835184	171270	Michelle
835184	299451	Monique
835184	328809	Annie
835184	350424	Dr. Jennifer Ash
835185	368171	Herself
835186	213628	Nurse #2
835187	396582	Herself (became part of hip-h
835188	139135	Trudy
835188	256468	Old Lady
835189	345689	Servant woman
835190	264756	Satan's Sinner
835191	41700	
835191	75357	
835191	90435	
835191	116282	
835191	126750	
835191	130334	
835191	134311	
835191	143044	
835191	143141	
835191	143259	
835191	165481	Jane
835191	165482	
835191	165489	Jane
835191	165492	
835191	171152	
835191	194245	
835191	216450	
835191	234241	
835191	246678	
835191	257788	
835191	263095	
835191	269316	
835191	305996	
835191	307965	
835191	310812	
835191	313873	
835191	321181	
835191	329336	
835191	329971	
835191	331795	
835191	340488	
835191	342559	
835191	366339	
835191	367934	
835191	370895	
835192	62437	Paulette Kant
835193	57550	Ellen
835194	79423	Stephanie
835195	107422	Betty Smith
835196	88874	Nun/Court Lady
835197	361244	Shawna O'Shay
835198	259869	
835199	126619	Extra Talent (segment "Gett O
835199	132562	
835199	299684	
835200	281503	May
835201	354520	Mara/David, 4 Months
835202	82523	Dancing Apple Girl
835203	318233	Pamela/Fairy
835203	318256	Ruth
835204	402302	Gertrudina
835205	325722	
835206	228912	Herself (historian)
835207	129674	
835208	74000	Crude Oasis Bar Patron
835209	338828	Merril Jr.'s wife
835210	81547	Mrs. Wayland
835211	51039	Piekarska
835211	305559	
835212	121561	Judge
835213	18347	Letta
835213	181255	Nieuwe bewoonster
835213	215767	Riet Allufs
835213	255629	Arme Mevrouw
835213	381049	Wachtcommandante Els Peeters 
835214	135006	
835214	407986	
835215	381854	Rika
835216	24130	Maren
835216	189773	Caroline Bester
835216	204755	
835216	259818	Susi Kapellmann
835216	290456	Sybille
835216	312113	Eva Schmid
835216	405500	Beate Menke
835216	406519	Claudine
835217	16199	
835217	51050	
835217	58127	
835217	64754	
835217	74934	
835217	88141	Vlasticka
835217	88743	Kvapilová
835217	98420	
835217	119877	Trapková
835217	127994	Sirotina
835217	165069	Modiste
835217	165119	Marticka
835217	166662	Bláza
835217	171891	Mrs. Seidlova
835217	180673	Brátková
835217	181343	Lady in waiting
835217	205704	
835217	229756	Olejníková
835217	265233	Charwoman
835217	283261	Mrs. Ulmanová
835217	292975	Maruska
835217	295066	Nurse
835217	304192	
835217	305814	Majitelka konzumu
835217	311168	Mrs. Loubalova
835217	344040	Dotáhalová
835217	357745	Teacher of Russian
835217	374074	Workwoman
835217	374127	Cook
835217	383081	
835217	389657	
835217	398287	Holubová
835217	404627	Aunt Doris
835217	410338	Sepp's mother
835218	322300	Elisabeth
835218	409153	Herself - Host (1975)
835219	148816	TV-gäst #2
835220	122472	
835221	59717	Maid at Hedeby
835221	122466	Shop Assistant
835221	403367	Annika
835222	3554	Driver
835222	5265	
835222	6473	
835222	7235	
835222	51588	
835222	52992	
835222	54325	
835222	68610	
835222	83140	
835222	104156	
835222	128970	
835222	159528	
835222	216089	
835222	233549	
835222	235312	Malena, la Guayaba
835222	245581	Nana Agustina
835222	262702	
835222	292755	
835222	348938	Malena, la Guayaba
835222	376645	Adelita
835222	376732	
835222	376855	Driver
835223	339117	
835224	396622	Cornélie
835225	115271	Nurse
835225	134881	Janet
835226	6139	Katie Wilson
835226	116280	Sandy
835226	148906	Holly, Party Designer
835226	149287	Baby Tinkerbell
835226	176287	
835226	192574	Young Marcy
835226	364513	Tandy
835226	398735	Danielle Chase
835226	405783	Madison Lewis
835226	408455	Kenlon Amross
835227	1303	Anne
835227	16677	Nurse
835227	16918	Georgeanne
835227	23977	Marguerite Walker
835227	27263	Leslie
835227	33964	Terri
835227	46607	Reporter Hank O'Hare
835227	47544	Lily Ward
835227	48946	Kat
835227	53208	Molly Gibson
835227	67390	Michelle
835227	73833	Myla Bondy
835227	80560	
835227	93084	Jenny Hoffman
835227	94018	Lucinda
835227	96826	Spark
835227	97535	Ginny
835227	105222	Amy
835227	108374	Nadine Devereaux
835227	113808	Katie Rogers
835227	113900	Jessica
835227	115470	Kelly Duncan
835227	120017	Cindy
835227	126663	Kitty
835227	128085	The Hip Salesgirl
835227	131722	Victoria
835227	140365	
835227	141307	
835227	141388	
835227	192608	Lorraine
835227	194564	Deirdre Murphy
835227	208743	Mira
835227	219371	Red
835227	222875	Arabella McGee
835227	224313	Mona
835227	235460	Penny
835227	236873	Sue Ann Rogers
835227	240734	Lucy
835227	251194	Bonnie
835227	255430	Terri
835227	264825	Betsy
835227	269082	Carolyn
835227	269806	Beth Ann
835227	272647	Party Guest
835227	279323	Carrie Ann, Barmaid/Singer at
835227	302750	Dee Dee
835227	323876	Jolene Wolff (segment "Wet (1
835227	328556	Judith
835227	345976	Corrinne
835227	361251	Jennifer
835227	361857	Jolene Wolff
835227	366738	Zarabeth
835227	378831	Various
835227	387728	Chloe Lewis (1994-1996)
835227	395023	Rosalie Hendrickson Stulwicz 
835227	401191	Pepper Ann Pearson/Additional
835227	410959	Cheryl
835228	198869	
835229	251812	Old Woman
835230	259269	Nora Bitteridge
835231	367096	Virgin
835232	246880	
835233	395885	
835234	157497	
835235	78464	Herself (performing 'Chanson 
835235	78465	Herself (performing 'For alti
835235	78466	Herself (performing 'Latiners
835235	78468	Herself (performing 'Jetpilot
835235	78469	Herself (performing 'Et event
835235	78470	Herself (performing 'Pourquoi
835235	78494	Herself - Member of jury
835235	104732	Danish entry (3th place)
835235	104734	Danish entry (5th place)
835235	166597	
835235	167126	Birthe Pau
835235	228358	Vocalist
835235	276035	Herself (nightclub singer)
835236	187400	
835236	187401	
835237	303503	Une pensionnaire
835238	129323	
835238	147190	Mrs.Faber
835239	4797	
835239	155456	
835239	315110	Old Doll
835240	266354	Cleo, Hafenwirtin
835241	52467	
835242	51410	Künstlerin (Artist)
835243	360946	
835245	286801	
835246	15806	Simone
835246	182883	Ingrid Thiele
835246	195057	
835246	364959	
835246	376034	Solveig
835246	388291	Lotti
835247	11786	
835247	290670	Traudel Riederle
835247	361370	Wirtin
835247	361391	Frau Moeslein
835248	78489	Herself (performing winning s
835248	104770	Danish entry (5th place)
835248	132874	Herself
835249	94337	
835250	184405	Hexe
835251	46985	Barmaid
835252	323054	Frau Finsch
835252	347641	
835253	296516	Clara Bright Light
835254	23530	
835254	23690	
835254	55778	
835254	60686	Emma
835254	66726	Nanou
835254	70116	Lola Meunier
835254	73142	Léa
835254	73472	Marie
835254	77193	Marion Carreaux
835254	84659	Aïna
835254	92051	Juliette
835254	127668	Christelle Mouclade
835254	146399	Zani
835254	171596	Mireille
835254	186133	
835254	187852	Angela
835254	189906	Mélanie
835254	205366	Annick Riffaud
835254	208223	
835254	215056	Christine
835254	215929	
835254	217652	Catherine
835254	219347	Isabelle
835254	244229	Louise
835254	258942	Françoise
835254	319658	[Expérience #1] (2003)  Glori
835254	328433	Olinka
835254	338341	
835254	339476	Laurence
835254	345046	Marie
835254	345136	Florence
835254	346538	L'actrice
835254	346627	Francesca
835254	389595	Augustine
835254	396804	Tina Paccard
835255	125184	Mizzi
835256	76254	Mrs. Madigan
835256	93959	Iona Hildebrandt, 1945 Winner
835256	168286	Deidre
835256	213460	Principal
835256	318337	Kansas' Grandmother
835256	347741	Mother Camilla
835257	396548	Leki (ep. 7)
835259	21557	
835260	130341	Girl at prison
835261	263255	Paramedic
835262	346266	Herself
835263	50610	ButterCreamette
835263	50611	Buttercreamette #7
835264	304479	Juice
835265	39689	
835265	112221	Mina
835266	356802	'Cock 4 Mayor' Girl
835267	37525	Peggy
835267	283377	Maggie
835268	149258	Cotton Club Singer
835268	224246	Brianne
835268	290319	Laurnea
835268	302584	Zena
835269	110319	Passenger #7
835270	345857	'Hitchcock Railway' dancer
835271	72741	Gena (Dreamcast), Customer Vo
835271	72743	Cusmomer
835271	124036	Emi Katagiri, Emmy
835271	128991	Ming Ming, Panpeus
835271	194874	Sexy Businesswoman
835271	298425	Xiuying Hong/Joy
835271	327046	Nina Williams
835272	316067	African Dancer
835273	65474	Adoption agent
835273	86990	Malibu
835274	287215	Bizarre
835275	129435	
835276	69409	Convenience Store Woman
835277	116402	Dream Laura
835278	210308	Herself
835279	240694	Bank Hostage
835280	173225	Kirsten
835281	108250	Little Faye
835282	171694	Nurse
835283	12251	Meredith
835283	16627	Molly Stewart(Angel)
835283	41312	Marion
835283	44471	Cindy Carlson
835283	122274	Carol
835283	134632	Kathy
835283	139091	Chris
835283	165964	Jackie Peters
835283	290082	Alison Fales
835283	385824	Pamela Prentiss (1982-1983)
835283	391335	Diane Alder #1 (1979)
835284	40632	Muggette #2
835284	82327	Lisa Rutledge
835284	113553	Carhop
835284	176852	Phoebe
835284	223787	Colleen
835284	248591	Savannah
835284	281457	Barbara
835284	303545	Tracy
835284	364367	Holly - Wendy's Friend
835284	366102	Barziti Sister #2
835284	385594	Mary Lou Lassiter (1987-1988)
835285	313818	Motel Maid
835286	47831	Sweeper 3
835287	117047	
835287	136038	
835287	321810	Mother Driscoll
835288	32726	Retarded Child
835288	150780	Young Girl
835288	270949	Lilly
835288	324552	Katy Reed
835288	390523	Jackie Wright (1984-1987)
835289	131232	Extra
835290	131232	Extra
835291	276942	
835292	293813	Helen Wharton, Mathewson Jr's
835293	373732	Meisje met gitaar
835294	45638	TV Voice/Extra (segment "This
835295	148924	Vicky
835295	289074	Pink Bouffant Lady
835295	304820	Loan Officer's Wife
835296	27290	
835296	38660	Flora as a child
835296	49943	
835296	61824	Jean, her sister
835296	192052	
835296	192137	
835296	273598	Minnie Smellie
835297	160421	Cleaner 1
835298	391869	Olivia Richards (#1) (1998)
835299	200470	Watch House Keeper
835300	79556	Julia Mills
835300	212093	Girl at School Dance
835300	379675	Dora
835300	381685	Matty Wickham
835300	383327	
835300	385301	Cleopatra Samson (2003)
835300	387247	Sandra Di Marco (2000-2001)
835300	387429	Trine Svendsen #2
835301	206232	Psychologist
835302	380430	
835303	77214	Emina Sulejvic
835303	142491	Young Liz
835304	139561	Cynthia
835305	391869	Olivia Richards (#1) (1998)
835306	66629	
835306	66630	
835306	81340	Nell
835307	160810	Child
835308	138862	
835309	115268	Jan Letterman
835309	154575	Mary Ward
835309	222776	Receptionist
835309	249071	Katherine (segment "Saint Ger
835309	312827	Susan
835310	62793	Andrea Gordon
835310	137571	Erica Chatwin
835310	200416	Claire Boyd
835310	382291	Sally Downie (1997-1999)
835310	384087	Helen
835310	384962	Kate McGrath
835310	388977	Pamela Stoneham
835310	389140	Prang, May (part III: 'Journe
835310	390552	Carol Power
835310	390648	Kate
835310	394280	
835310	397230	Liz Ryan (2001-2003)
835310	402197	Janice Young (1983)
835310	402774	Public Defendant
835310	404092	Mrs. Reg
835310	405744	Molly Logan
835310	408074	Marion Clarke
835311	401938	Extra
835311	405209	Dr. Meredith Fleming (1992-19
835312	360055	Scott Child
835313	326741	Dancer
835314	135733	Crackhead #1
835315	296743	Hannah Bain
835315	397792	Hannah Bain (Series 1-2)/PC H
835316	397009	Romina
835317	258188	Cheryl
835318	26628	Louise King
835318	45617	Secretary
835318	52904	Louise, Armand's Sister
835318	147391	Vivienne Worthington
835318	183643	Chorus girl
835318	195368	Bit Part
835318	209645	
835318	241444	Girl in band
835318	256418	Mary Leeds
835318	308622	Susan, Tommy's Friend
835318	330375	Member of Girls Band
835318	363079	Suzy
835319	301206	Herself
835319	381153	Paula Murillo
835319	381904	Herself (4th Evicted 2002)
835319	395885	Rebeca Becerril
835319	397577	
835319	402152	Tamara (2001)
835319	406056	Emilia
835320	68697	Maia
835320	289024	Sea Shadow Dancer
835321	188405	Rhumba Dancer
835322	94488	Sophia, a Maid
835323	273276	Herself
835324	27171	Heavy Black Woman
835324	91920	Techa
835324	120551	Jill
835324	155070	Woman
835324	200864	Clarice, Maid
835324	343201	Polly St. Clair
835325	232335	Samantha
835325	277110	Vicky
835326	164351	Diane
835327	273241	Gabby Boggs
835328	160808	Dawn DeSilvia
835328	176766	Duchess
835328	259904	Commercial Actress
835328	290937	Daphne
835328	380709	Nikki
835328	411577	Livia/Eve(2000-2001)
835329	1975	Herself
835330	43874	Priscilla
835330	109063	Woman at Audition
835330	117626	Teddi
835330	404282	Amy Perkins Wallace (1985) (t
835331	251235	Photographer Assistant
835332	183213	Ballroom Dancer
835333	150741	Irene Norton
835334	272971	Flossie Forsythe
835335	337088	CAS
835336	27919	Denise (episode 3: "Baiser du
835336	55645	Sophie
835337	216127	Astrologer for Star Wizard Vi
835338	317934	Ilene Fisher
835338	325223	Helene Stone
835339	161422	Vicki
835340	161603	Girl #2
835341	340259	Tanned Woman
835342	41869	Nurse Michelle
835342	109723	Mrs. Flores
835342	185633	Lucy Shannon
835342	195331	Vicky
835342	240943	
835342	286425	Mariana
835342	335447	Cathy
835342	382240	Alice
835342	390981	Rosanna (1986-87)
835343	398020	
835344	383078	Emma Miller (1997-)
835345	271344	Nilma's Kid
835346	14596	Ray's Daughter
835346	285287	Listener #1
835347	53731	Angela Wallace
835347	54934	
835347	70017	Jenny Watson
835347	115843	
835347	118952	
835347	147648	
835347	157023	Torso
835347	175064	Gish
835347	199080	
835347	199123	Sara
835347	257724	
835347	264756	Devil's Familiar
835347	270288	Stripper
835347	306145	Audrey
835347	324020	Blonde
835347	332029	
835347	335613	Girl at Bar
835347	350782	
835347	364341	Bride
835348	86042	Ethel Dean
835348	106739	
835348	185445	
835348	215957	Charlotte
835348	293126	Aunt Matilda
835348	380391	Clara Hudson (1987-1988, 1989
835348	390771	Viola Stapleton #2 (1975-1981
835349	351802	Susan Stowe
835350	409500	Rachel Matheson
835351	15224	Herself
835352	342871	Woman at cafe
835353	10562	
835353	49813	
835353	170615	
835354	334154	High School Student
835355	12605	Martha
835355	67833	Barbara Carstairs
835355	117072	Miss Haviland
835355	186847	Mrs. Hawkins
835355	194246	Mrs. Barton
835355	206331	Miriam Hawkins
835355	206825	Older Mary
835355	218169	Mrs. Norris
835355	223940	Doctor
835355	271077	Elspeth Morrison
835355	329307	Poppy
835355	330542	Danny
835355	349512	Kate
835355	360004	Ida Flagg
835355	385924	
835355	387783	Beth
835355	391869	Katherine Walker (1997)
835355	404927	Pride
835355	411245	Elise Riordan (episode 4: The
835356	379716	Nancy Grant Blair Grant Fishe
835356	403452	Barbara Wilson (1985)
835357	381514	Herself
835357	396095	Reporter
835358	209061	Pamela's Mother
835359	105959	Arlene
835359	411532	Frances Earnshaw
835360	142478	Old Sallie
835361	192024	Nanny Webster
835361	281866	
835362	245907	Bar patron/mutant
835363	379837	Presenter
835363	397747	Presenter
835364	279192	Elizabeth
835365	293217	
835365	333039	Ruth Archer
835365	403238	Bradie
835366	165318	Dr. Baylor
835367	165294	Two Washerwoman
835367	403415	Jude Riordan
835368	8216	
835369	79314	TV Station Girl
835369	315909	Amber
835370	154927	Interviewer
835371	37690	Australian Boardmember
835372	10502	Rose Jennings
835373	48827	Woman
835374	347300	Bar extra
835375	27247	Di Barker
835375	36951	Sylvie
835375	37995	Geography Teacher
835375	46804	Edith Smith
835375	79775	Mrs. Thickness
835375	145412	Jan Spearritt
835375	206410	Norma
835375	267486	Mrs. Caird
835375	333868	Lucy
835375	371010	
835375	381121	Di Barker (Series 2-) (2000-)
835375	390432	Karen
835375	400516	Elaine Cox/Elaine Craig
835375	402776	Nellie
835376	304683	
835377	80784	Nurse
835377	161987	Patient
835378	66377	
835378	395867	
835379	207891	
835380	205972	Jeanne enfant
835381	81100	
835381	152579	Juanita
835382	114145	Waitress
835383	106219	Candy
835383	305390	Churchgoer
835384	408880	Danni (series 2)
835385	66582	F.A. Monique Whitten
835385	118995	Bargirl
835385	302665	
835385	302666	
835385	302667	Lily
835385	359064	Lita
835386	292275	Jamie
835387	384514	Herself
835388	66945	ASPCA Woman
835388	196706	Home Economics Teacher
835388	304129	Survivor
835389	283074	Themselves
835390	378644	Host
835390	406244	Host (28 November 1999 -)
835390	407362	Host (14 April 2001 -)
835391	272835	Ebba nuorena
835392	953	Raden
835392	165104	Hot Girl on Airplane
835392	350424	Waiting room model
835393	347039	Gabi
835394	96164	
835395	297996	
835396	382254	Pier Little Girl
835397	62665	Ida
835397	76600	Jeannie
835397	117806	Major White
835397	129842	Gilda Corin
835397	329309	Miss Negative
835398	77936	Candy
835399	64080	Dancer
835400	5531	Woman on Bus
835400	16670	Marie Lacy
835400	20494	
835400	100211	Red Ida Ganley
835400	176234	Myrtle Sylvester
835400	321792	Fay Walling
835402	51431	Lise
835402	83388	
835402	134602	Eliane Delmas
835402	156297	La femme auto-stop
835402	396042	Jocelyne
835403	107143	Cindi
835403	168890	Mathilde
835404	291915	Massachusettes Beauty Winner
835405	147614	Mrs. Holloway
835405	196202	Jane Egg
835406	273549	Daughter
835407	272935	Brenda
835408	24962	Mrs. Grouch
835408	26843	Auntie
835408	146244	Mrs. Jones
835408	294901	Ma
835408	362260	Her Mother
835409	213445	
835409	213446	
835410	73319	Lucille Botrelle
835411	387120	
835412	315883	Customer
835413	11215	Miss Dinwiddie
835414	272935	Marsha
835415	65959	Mrs. John Saunders
835415	126594	Mrs. Dempsey
835415	144555	Margaret Manning
835415	257874	Mrs. Slattery
835416	240614	Nell
835416	364596	
835417	380176	Hostess
835418	56603	Miss Miller
835418	145038	
835418	157188	
835418	159542	
835418	210715	Mrs. Williams
835418	291506	
835419	302841	Mary Smith
835420	2252	(segment "Teuf d'enfer, La")
835420	336930	Bénédicte
835421	131730	Minna
835421	249541	
835421	281298	Heljo
835421	346209	Maj Johansson
835421	372971	Paula, Elsin äiti
835421	397748	Heidi
835421	406951	HSO-sihteeri Birgitta Björk
835421	410455	
835422	153547	
835423	95674	father's new wife
835424	29745	Little Kid
835425	209221	Freda Tamer
835426	687	Herself
835426	1955	Herself
835426	16005	Pauline Carpenter
835426	27261	Herself
835426	70788	Bessie Watty
835426	87837	Consuelo
835426	88933	Herself
835426	92508	Janet
835426	97133	Anne, 'The Freak'
835426	132823	Herself
835426	154379	Herself
835426	169812	Mad
835426	169820	Herself
835426	170411	Barbara Gifford
835426	219769	Dr. Johnson
835426	222787	Val
835426	268867	Monkey
835426	327430	Miranda, his daughter
835426	335324	Dialta Downes
835426	348651	Herself
835426	381305	Aunt Boomerang
835426	382869	Narrator
835426	384528	Miss Scarlet (Christmas Speci
835426	391263	Reporter
835426	392463	Herself (Series 2) (2003)
835426	392833	Dog
835426	405934	Presenter
835426	407759	Additional Voices
835426	408669	
835426	408670	
835427	118399	Girl Violinist
835428	286040	La gamine au grillage
835429	40419	
835430	390118	Ms Henderson
835431	403192	Herself - Host
835431	405791	Herself - Host
835432	24082	Singer song: 1. Weisst du noc
835432	284990	Singer-Heimatlied (Wer die He
835433	322544	Musizierendes Mädchen #2
835434	380018	Herself
835435	353070	
835436	16244	Körner's Mother
835437	101171	
835438	195215	
835439	101225	Maryse
835439	218077	Vendeuse lingerie
835439	399082	Secrétaire Dimitri
835440	393707	Klas
835441	231553	Vriendin van Bert
835441	388051	Herself (2000)
835442	94334	
835442	188282	Bijou
835442	390410	Hannah van Duynhoven (1998)
835443	158693	Slofje
835443	164320	
835443	175243	Antoinette
835443	226068	Penny van der Laan
835443	388699	Teuntje
835443	401863	Krengetje
835443	408174	
835444	381821	Ensemble (1974-1975)
835445	181261	Denise Eeckman
835446	260029	La boulangère
835447	87276	Prostitute
835448	104772	Dutch entry (22nd place)
835448	228262	Herself
835449	175091	Kee, Kee Mols dochter
835449	273757	
835450	5640	Meisje in snackbar
835450	310228	Simone's mother
835450	314883	Ellen
835450	376070	
835450	410838	Jonna Righarts (1999-2000)
835451	272354	Lisabetta
835452	363414	Runway Model
835453	128980	
835453	199828	Gabi
835453	308219	
835453	347000	
835454	30683	Brigitta Brink
835454	155264	Jeleca Uvan
835455	380907	Tina Goth Girl
835456	162613	Geneviève
835456	202766	The choryphea
835456	264307	
835456	283040	L'infirmière
835456	382467	Frédérique
835457	136288	India Piel Roja
835458	49524	Lady Bracknell
835459	12391	Raphaela
835459	242727	Kim
835459	249038	Frédérique
835459	312220	
835460	290194	Alto
835461	123963	
835461	138545	
835461	180955	Chambermaid
835462	191547	Blondine
835463	136288	
835463	170084	
835463	212375	
835463	221660	
835463	227683	
835463	327932	
835463	337567	
835463	341386	
835463	347497	
835463	356671	Amante de Jorge
835463	376703	
835463	379118	Clementina
835463	383261	Dra. Abasolo
835463	383329	Matilde
835463	383688	Carlota
835463	384400	Catalina Rodriguez 'abuela de
835463	396852	Juanita (2004)
835463	401916	Roxana
835463	402704	Gudelia
835463	403752	Georgina
835463	405416	Profra. Torres
835463	409012	Luisa
835464	180224	
835465	29186	Sandwich Woman
835465	36862	Teacher (1970)
835465	43932	DeeDee
835465	76524	Alice
835465	176478	Ellen
835465	217536	Balboa nurse
835465	223636	Lady #2
835465	245460	Judge
835465	294976	Col. Angela Webber
835465	297228	Claire
835465	385893	Dolores Herbig
835465	405833	Mercy Ealing
835466	2649	Virginia, Brick's pickup
835466	4618	Captain Olivia
835466	8954	
835466	11158	Rose
835466	25472	Bert's wife
835466	38904	Rosie
835466	40975	
835466	41091	Miss Marsh, Thorpe's Secretar
835466	41093	Dr. Titus's Receptionist
835466	42538	Janet Ware
835466	45231	Claire Culpepper
835466	46722	
835466	50889	Junie McCarthy
835466	58794	
835466	60950	Alice
835466	62082	Alice
835466	63941	D.A.'s Secretary
835466	71578	Selma
835466	73943	Gloria Panawek
835466	79579	Nurse
835466	83839	Florence
835466	90420	Lucy Wyckoff
835466	92230	Betty
835466	99449	Prostitute
835466	99856	Guest
835466	110223	Anna Sage
835466	114280	Fawn Wallace
835466	116686	Wally's Wife
835466	118585	
835466	120512	Annette (club receptionist)
835466	121585	Mary
835466	129921	Wave
835466	135849	Joan Brady
835466	136503	Jane, the Diamond Kid
835466	136509	Betty Cratchitt
835466	140775	Gertie Werson
835466	140854	
835466	141138	Rita Hall
835466	141775	
835466	142398	Suzanne
835466	143577	Johnny Cabot fan
835466	145784	
835466	146176	Eddie's Wife
835466	147422	
835466	148931	Peggy Dawson
835466	150796	
835466	152407	Luana, King's Daughter
835466	161743	Nurse Sally Withers
835466	170771	Denise
835466	176755	Pretty Girl
835466	177251	Ruby McDade
835466	188210	
835466	189957	Joan Sweeney
835466	203588	Tracy
835466	205892	Betty Grant
835466	207534	Dallas Corey
835466	207861	
835466	208908	Margot Monet
835466	218130	Miss Shapely
835466	234032	WAF captain
835466	234230	Eddie's Wife
835466	238071	Mrs. Gracie Bergdorf
835466	254283	Girl
835466	277129	Marge King
835466	277222	Gladys
835466	281524	Bartender's Wife
835466	283342	Frances Veach
835466	286304	The Other Girl
835466	290968	
835466	302623	Miss Flint
835466	304534	
835466	305019	
835466	305179	Kathy McQueen
835466	306126	Woman
835466	306133	Miss Scudder
835466	306466	Lt. Carol Johnson
835466	308373	Penelope, Junior's Harvard gi
835466	330095	Jen
835466	332979	Liz March
835466	337058	Carmen
835466	366123	
835466	366247	
835466	367552	Pearl (switchboard girl)
835466	370534	Cleo
835466	372093	Showgirl
835467	1038	Dancer
835467	24432	Felicity Dancer #4
835467	61156	Female Dancer
835467	313825	Nightclub Dancer
835467	383721	Dancer
835468	194246	Mrs. Bishop
835469	97492	Dawn
835470	14041	Herself
835470	41544	Herself
835470	72901	Kascha Lords
835470	129734	
835470	227001	
835470	362534	
835471	95486	Asylum Extra
835472	141777	Abbigail
835472	185778	
835472	281466	Anne
835473	116682	Host
835473	262800	Reporter/Host
835474	264723	
835475	75629	Une Petite Fille
835476	31198	Herself (ABC Team)
835476	80861	Laura Pierson
835476	93080	Stacy
835476	93645	Carrie
835476	153650	Bookstore Society Lady #3
835476	158312	Dolores
835476	232457	Girl on Bus
835476	273307	Girl at Science Fair
835476	361178	Robin
835476	393964	Constance "Connie" Lubbock (1
835477	382715	Weather Forecaster
835478	65954	Julie Volleyball Double
835479	291307	Extra
835480	286852	Guitar Chick
835481	8069	Old Hag
835481	54754	Navajo Woman
835481	79850	The Gingos
835482	269880	Nurse Linda
835483	129711	
835483	199382	
835483	389959	(1. Staffel)
835484	218363	Camelia Carver
835485	405848	Kattis Schiller
835486	161627	
835487	384333	Sylvia
835488	303518	Maid
835489	331463	Karen (6 years old)
835490	147740	Christie
835491	115179	Lesbian
835492	222687	Extra
835493	299738	Teen Peggy
835494	70429	Dee
835495	307720	
835496	313477	A Jedi Knight
835497	38748	Kitty Kendricks
835498	256504	Player
835499	164641	Masked man
835500	334229	Chris
835500	362578	
835500	380390	Jennifer Cummings (1981-1982)
835500	383683	Sarah
835501	202325	Mother
835502	166643	Reporter
835503	117755	
835504	115269	Women Coalation Diner Patron
835505	386603	Dr. Maggie Powers #1 (1964-19
835505	387309	Nurse (1959)/Margo Huntington
835505	390771	Blind woman (1980s)
835505	396123	June Slater (1983-1984) (orig
835505	404613	Eunice Gardner Webster Twinin
835505	411811	Erica Brandt (1962-1963)
835506	42799	Additional Finale Dancers
835507	171047	Mary
835508	105279	Jenny
835509	291231	Monique
835511	115123	
835512	315493	Sister
835513	266547	
835514	101431	Mavis
835514	219626	Receptionist
835514	265897	Mrs. Evans
835514	328907	Mrs. Willis
835514	398262	Receptionist
835515	33936	Amy
835515	348234	Caroline Moss
835516	162678	Mother
835517	45098	
835518	159131	Ida Heinken, Tamakwa's 'Sure 
835518	306201	Sandy Brooks
835518	380713	Danielle 'Dani' Andropoulos #
835518	390339	Dylan Messinger
835518	392423	Herself
835519	245710	Desirée
835520	71762	Herself
835520	154892	Herself
835521	318866	Caroler
835522	158176	
835523	148460	Girl #1
835524	11647	Widow
835524	43567	Sharon
835524	46237	Kate Fein
835524	64869	Angela
835524	71719	Sarah Reed
835524	86529	Anna Corlett
835524	108330	Kate Fein
835524	108331	Kate Fein
835524	113884	Shana
835524	117653	Line Server
835524	158316	Beth Honeycutt
835524	158960	Marie
835524	159916	Barbara
835524	161790	Joan Abbott
835524	164494	Faith
835524	168087	Dawn
835524	168290	Ali Torre
835524	175182	Grace
835524	181005	Jennifer Krippendorf
835524	194813	Piano Teacher
835524	195523	Olive Carter
835524	203219	Judie Brandt
835524	204204	Faith
835524	219994	Diana Kilmury
835524	226900	Eva
835524	226901	Eva
835524	239069	Vera
835524	252937	Francesca Prine/Marie Beck
835524	253896	Edie
835524	269856	Charlene
835524	299518	Nurse Andrea Davidson
835524	310877	Susan Silverman
835524	310878	Susan Silverman
835524	327239	Miri
835524	330146	Dr. Sarah Schaeffer
835524	330311	Mickey Davis
835524	332807	Karen
835524	359904	Nora Cornell
835524	379410	Phoebe
835524	405459	Sam Richardson
835525	223714	
835525	348327	Dancer
835526	125814	Girl Friend
835527	192720	Sharon
835528	142373	
835529	65628	Female Security Agent
835529	129791	Snatch
835529	178886	Parks
835529	193280	Bergen
835529	194478	Nun
835529	217480	Lady Destroyer
835529	351880	Bedee
835529	366683	Trainer
835529	366914	Biker Chick
835529	372806	Tall Woman
835530	51986	Denise
835531	262589	St. Matthew's Choir & Band Me
835532	88574	Big Pines Diner
835532	210209	Herself
835533	370924	Dancer
835534	119344	
835535	82547	
835537	151680	Gina
835537	188282	Donna Steele
835537	194836	Bonnie
835537	216891	
835537	226295	Maureen Schwarzenegger
835537	349130	Secretary
835538	269588	Dr. Anonymous
835539	92095	Woman #4 (Elevator)
835540	47077	Lafred
835540	240786	Herself
835541	266695	Ms. Racine Burdett
835542	317194	Gail
835543	208993	Young Jane
835544	346020	Mrs. Willy Nilly
835545	342566	Mrs. Mort
835545	352682	Miss Hughes
835545	401689	Marian
835546	360713	Self-Conscious Bridesmaid
835547	31877	
835548	230127	Child #1
835549	21793	
835549	44012	Irene Nelson (Waitress at Con
835549	82083	The Woman
835549	89000	Maggie Gray
835549	90133	Fifth Ave. Florist salesgirl
835549	128342	Rosie
835549	128897	Ethel
835549	133560	Maggie Drumman
835549	138848	Gretchen Barry
835549	142298	Dolly
835549	158331	Ruby Mae Sayre
835549	178976	Nelly
835549	186117	Woman
835549	203077	Sugar Pye
835549	209604	Kelly Donavan
835549	218509	Marinette
835549	230409	Winnipeg
835549	241505	Nancy
835549	289213	Dolly Humber
835549	303379	Secretary
835549	308066	Secretary
835549	311033	Wanda Vann, neighbor
835549	321125	Blonde
835549	363770	Cassie Ollinger
835549	364811	Joan Stuart
835549	383446	Cara Bridges/Wilton
835549	401291	Gladys Porter
835550	310726	Addtional Bus Passenger
835551	1390	USO Girl
835551	50465	Lily
835551	72874	
835551	147767	Jane
835551	186825	Laura
835551	219030	Vikki
835551	353418	
835552	241736	Receptionist
835553	9879	Diane
835553	80031	Jennie Burns
835553	81652	Dottie
835553	93663	
835553	115110	Ann
835553	126661	Molly
835553	151483	Tiny Who Woman
835553	187226	Woman in pickup
835553	187986	Loretta
835553	195383	Sammi
835553	259280	Big Red
835553	270896	B-Girl at the Elephant
835553	273769	Jason's Mom
835553	296865	Maya
835553	302944	
835553	305571	Helga
835553	314438	Matty Crimmins
835553	331022	Hooker
835554	11426	Waitress
835554	106723	Funky Girl
835555	121829	Ziegfeld Girl
835556	352682	Co-op cashier
835557	169895	Plaintiff In 1st Case
835558	7884	Leader's Mate
835558	245675	Rose
835559	327224	
835560	50207	3rd Shopper
835561	411802	Victor Adam Newman, Jr. #2 (1
835562	247022	Sadie
835563	183323	Nurse
835564	32775	Honesty Ormerod
835564	396090	Matilda
835565	196576	Herself
835566	97360	Choir Member
835567	344534	Herself
835568	192252	American Woman
835569	54651	Second Captive
835569	70484	Sobel's Showgirl
835569	107695	Blonde
835569	124343	Nan Crowley
835569	126069	Showgirl
835569	128440	Girl
835569	140407	Blonde in Polka Dots
835569	141383	Sally, Morton's Secretary
835569	168636	Redhead
835569	176755	Chorus Girl
835569	184955	Guest
835569	197869	Bit part
835569	223854	Fan club president
835569	272915	Marcy
835569	363440	Teddy
835569	367970	Goldwyn Girl
835570	11786	Barsängerin
835570	33167	Singer
835570	42525	
835570	69147	Herself
835570	79167	Dr. Brigitte Freier
835570	104734	Swiss entry (4th place)
835570	226335	Singer
835570	252324	Fritzi
835571	396582	Herself (2002)
835572	117281	
835572	121829	Ziegfeld Girl
835572	244704	Model
835572	321556	Model #7
835573	2012	Herself - Presenter
835573	4671	Herself
835573	13963	Laurie Henderson
835573	16477	Herself
835573	16517	Herself
835573	35594	
835573	37189	Diane Girard
835573	37571	Debbie's Mom
835573	38259	Natalie 'Mom' Devlin
835573	64564	Host/Ringmaster
835573	70248	Ann
835573	72874	Annie McHugh
835573	93771	Manager's girlfriend
835573	96736	Judith
835573	100121	Herself (auditioning for Prin
835573	101736	Shirley Feeney
835573	103301	Wanda Walden
835573	114193	Rosie
835573	120476	
835573	124358	Marissa
835573	125511	
835573	138727	Herself
835573	138730	Herself/Host
835573	138752	Herself
835573	142668	Lisa Burke
835573	161222	Herself
835573	161292	
835573	161361	Herself
835573	169606	
835573	176954	Lori
835573	186232	Herself
835573	187098	Heather Drew
835573	190184	Herself
835573	200214	
835573	200228	Herself
835573	200314	Herself
835573	201615	Herself
835573	209683	Emily Preston
835573	211180	Connie Mann
835573	213516	Betty
835573	219030	Laurie Bolander
835573	221099	Jamison
835573	250872	Sue Ellen
835573	253356	Rita Sue Bliss
835573	282957	June
835573	289021	Becky
835573	299288	Herself
835573	307137	Herself
835573	314442	Caroline Knox
835573	318195	Regina Malloy
835573	338582	Tooley
835573	339602	Catherine
835573	342234	Host
835573	342264	Herself
835573	344151	Arlene Stewart
835573	362761	Susan Matthews
835573	389536	Teenage Wife
835573	390007	Cathy Hale
835573	390114	
835573	395271	Shirley Feeney-Meaney (1976-8
835573	395272	Shirley Feeney (1981-82)
835573	398233	Shirley
835573	399676	Anne Harlow
835575	29301	
835575	29527	
835575	30079	Nell Brent
835575	33641	
835575	39389	
835575	46556	
835575	47719	Millie Merrill
835575	47913	
835575	55227	Dorothy Harlan
835575	56279	Rose Parrish
835575	64381	
835575	70820	Mrs. Adams
835575	72235	Lightfeather
835575	72308	Jennie
835575	72310	Faro Nan
835575	72349	
835575	73359	Naneta
835575	75436	
835575	80001	
835575	83049	Nance O'Brien
835575	83050	
835575	83589	
835575	83906	
835575	85102	Elsa
835575	88093	Juanita
835575	88147	
835575	100833	
835575	105413	
835575	121353	
835575	128100	Minnie Harding
835575	128101	
835575	128134	
835575	128426	Nellie Monroe
835575	133790	
835575	133970	
835575	139773	
835575	142457	Faith Henley
835575	143329	
835575	146000	Anne Larson
835575	146195	
835575	148180	Inez Wheaton
835575	158408	
835575	159083	
835575	163726	Annette Ancello
835575	167616	
835575	185051	Mrs. Cora Hale
835575	191767	Doctor Burton
835575	192177	Nell Kendall
835575	193647	
835575	196104	
835575	196140	
835575	196164	
835575	196942	
835575	203053	Harriet Lane
835575	206166	Marie Canby
835575	206177	Helen Badgley
835575	212046	Woman Outside Third Bar
835575	212229	The Rancher's Daughter
835575	214131	Nellie Blair
835575	214677	
835575	230776	
835575	240809	
835575	240813	
835575	241860	Kate Ransom
835575	245172	
835575	245631	Nell
835575	247231	Clara
835575	248176	Pepita
835575	249347	
835575	250714	Patricia Watkins
835575	251174	Olga Raminoff
835575	251275	
835575	254928	
835575	260088	Mary Holmes
835575	271943	Carrie Perkins
835575	271955	
835575	271979	The First Ranchman's Daughter
835575	271987	
835575	274300	
835575	275742	
835575	278256	
835575	283701	Mary Dawson
835575	298525	The Sheriff's Daughter
835575	298537	
835575	298544	
835575	301667	
835575	317210	
835575	319959	
835575	326398	
835575	331543	Nina Antinni
835575	340942	Virginia
835575	342894	The Wife
835575	346191	The Girl
835575	351258	
835575	361721	The Ranch Boss's Niece
835575	361728	
835575	361798	
835575	366151	Mildred Leonard
835575	366719	
835576	308929	Benita
835577	92303	Cleo Angelopoulos
835578	84457	Nun
835578	92150	Tourist Woman
835578	154853	Nurse Station #2
835578	204947	Nurse
835578	224224	Carol
835578	290229	
835578	294717	Hippie Woman
835578	303236	Woman in Audience #3
835578	334154	Valerie Mertz
835578	361229	Francis
835578	368151	Ms. Arbor
835579	383897	Herself - Anchor (1996-)
835579	400052	Anchor
835580	6615	Mrs. Pettibone
835580	44845	Countess Gourbolska
835580	92939	
835580	106648	Landlady
835580	115615	
835580	133701	Mrs. Davis
835580	133907	Mrs. Guerdet
835580	145825	Mrs. Jones
835580	146170	Mrs. Wesley
835580	196214	Mathilde
835580	203501	
835580	232149	
835580	265862	
835580	267555	Mrs. Rogers
835580	278797	
835580	294203	Mrs. W. Symme
835580	320314	Mrs. Ebstein
835580	327621	Mrs. Harrington
835580	342965	
835580	364856	
835580	366984	Teresa Derrick
835580	367759	Aunt Abby
835581	311632	
835582	25389	Undetermined Role
835582	41030	
835582	47198	Dora Kaplan, Woman Who Shot L
835582	110363	Nurse
835582	154874	Teacher
835582	166240	Bit Role
835582	210807	
835582	266715	Bit
835582	276362	Bit part
835582	297970	Department head
835582	364434	
835583	81835	
835583	142500	Herself
835583	177707	
835583	319673	
835583	360309	Nurse
835583	372522	
835584	60852	Dot
835584	136558	Star (The Chester Story)
835585	115562	Rockette
835586	222719	Rosalia
835586	319045	Creola, the singer
835587	270697	Dancer #6
835588	39847	Georgia
835588	57196	Vanessa Dietrich/Trish
835588	69257	Gidell Ryan
835588	71922	Cecelia Delille
835588	123691	Anita Boyard
835588	144553	Brandy Taylor
835588	161594	Vivian Dandridge
835588	176926	Rebecca
835588	185121	
835588	198855	Alicia
835588	205165	Angela Walsh
835588	216669	Clarke Bentancourt
835588	241339	Lila 'Fantasia' Walker
835588	275308	Sarina Classer
835588	299683	Coach Mary
835588	311275	Arabella
835588	321096	Diane
835588	323876	Davida Urked (segment "Wet (1
835588	332530	Lisa-Marie Chandler
835588	354796	Rita Washington
835588	360745	Liz Odis
835588	361857	Davida Urked
835588	362753	Grace
835588	366844	
835588	407470	D'orothea/Dorothy Wilson
835589	281397	Julia
835590	38644	Mu-Nyo, Nam's Ostrich (ADV 20
835590	283679	Urara (English version)
835590	404137	Touma's Mother, Alicia
835591	292574	Diane, age four
835592	185174	Reporter
835593	208720	
835594	342868	Amanda
835595	29930	Indian #1
835595	158975	Jeremy's secretary
835595	227926	Nallys band member
835595	271206	Pete's Dad
835595	385887	Gini
835597	366190	Sarah
835598	193523	Joey
835599	186207	Jake's Girl
835600	338788	Molly
835601	157562	Little Girl on Bus
835601	184859	Circus Web Girl
835602	74189	
835602	271332	Lauren
835602	372806	Sonja
835602	390998	School Child #1/Angela
835603	289452	Metermaid
835604	7925	Revolution Girl
835605	247500	Charlsie
835606	8023	Nurse
835606	160589	Furston's Neighbor
835607	287176	Daughter of Bosambo and Lilon
835608	202195	Roseland Dancer
835609	40668	Big Mama
835610	257782	Herself (Founder, NBA Wives A
835611	51993	Reporter
835612	406625	
835613	5527	Sarah's Mother on Phone
835613	18015	Desk Sergeant
835613	19980	Suzanne's Coworker
835613	38259	Doctor's assistant
835613	46393	Talent agent
835613	51883	Vera
835613	70426	Yvonne
835613	72065	Olga
835613	87880	Jeanette
835613	91932	Hostess
835613	102579	Van Driver's Wife
835613	112485	Nina
835613	141412	Davis Maid
835613	161051	Step Magazine
835613	196995	Dottie
835613	217530	Wilson's secretary
835613	220034	Natalie
835613	235482	Janet
835613	244372	Elinor Groves
835613	276801	Ellen
835613	308004	Waitress
835613	312924	Farol Bernie
835613	314812	Airport Guard
835613	334903	Rhonda
835614	1805	Herself - Performer
835614	2630	Herself/presenter
835614	61584	Herself
835614	131831	
835614	152987	The Beaver
835615	108933	Koala Klub Dancer
835616	89271	Mother on Bus
835617	366104	Desirae
835618	172451	Sad Swedish Girl
835619	207238	Woman in tent
835620	391093	Terry
835620	405882	Chrystal Ames (1972-1974)
835621	158113	Reporter #2
835622	396582	Herself (2002)
835623	89967	
835623	244090	
835624	355014	Drug Store Cashier
835625	381436	Danielle Clark (1990-1992)
835626	118684	
835627	155032	Debbie Sue
835628	12241	Herself
835628	14172	Stripper
835628	25437	Herself
835628	27236	Emanuelle
835628	35809	Ashley St. Ives
835628	58507	Paula
835628	87348	Poodle Lady
835628	92400	Buckmeister
835628	92557	Dr. Carol Evans
835628	117098	Edy
835628	131647	Mordicus' Girl
835628	134720	Mrs. Slatt
835628	138821	Professor Simmons
835628	142527	Vera
835628	150853	Call Girl
835628	154569	Marilyn
835628	165101	Sun Haven lady
835628	185505	Herself
835628	191257	Herself
835628	203727	Second Girl
835628	204386	Sgt. Roberts
835628	217968	
835628	226963	Hatrack
835628	246307	Lavinia
835628	248496	Brunette girl
835628	251607	Edy
835628	275796	Heather Darling
835628	292451	Susie Steinberg
835628	295351	Faye Osborn
835628	306026	
835628	363339	Phyllis Horrigan
835628	365827	Ashley
835628	391835	Herself
835629	169950	Church Member
835629	299458	Mrs. Shadoff
835630	48013	Mrs. Hobson
835630	87218	Teenage girl
835630	180498	Punk In Red, Additional Voice
835630	317806	Woman in nightclub
835630	383426	Moy Sing (1949)
835631	360436	Crying Kid
835631	373276	Bad daughter
835632	213164	Burger Girl
835632	248937	Sam
835633	41170	Flower Shop Attendant
835634	49735	
835635	41400	Teacher
835635	67251	Guest at tea
835635	92883	Dowager
835635	121550	Secretary
835635	169387	
835635	233044	Indignant Woman
835635	263265	Prosecuting attorney
835635	331087	Woman
835636	122183	COPS officer
835638	61812	Diner Patron
835639	157015	Cynthia Young
835639	164619	Airport Fan 2
835639	379831	Lisa Bartholomew #2 (1990-199
835640	242028	
835641	205411	Black Granny #2
835642	249265	Kirsty
835642	389167	Justine Clancy
835643	390099	Sharon
835643	391869	Jackie Nicholls (1991)
835644	361224	Girlfriend at Audition #3
835645	22912	Parepa Mendoza
835646	687	Herself
835646	1401	Herself
835646	16465	Actress in Clip from 'Andy Ha
835646	16470	Sheila Brooks
835646	30922	Caroline Brooks
835646	37319	Hillary Allen
835646	50126	Herself
835646	52579	Herself
835646	71422	Herself
835646	78171	Katie Higgins
835646	94527	Christine Riverton Duncan
835646	96987	Julie Hallerton
835646	96990	Connie Allenbury Chandler
835646	112071	Maria Morales
835646	121248	
835646	125484	Herself
835646	129561	Herself
835646	136274	Ellen Bright
835646	138700	Herself
835646	147768	Herself
835646	149261	Kay Lorrison
835646	159561	Mrs. Smith
835646	170930	Amytis
835646	214098	Annette Kellerman
835646	229938	Eve Barrett
835646	240440	Rosalind Reynolds
835646	243585	Herself
835646	246482	Mimi Bennett
835646	253501	Sheila Brooks (screen test fo
835646	272948	Laura
835646	291299	Herself
835646	291378	Herself
835646	304096	Whitney Young
835646	323432	K.C. Higgins
835646	329072	Debbie Telford
835646	329560	
835646	329562	
835646	329563	Herself
835646	329564	Herself (interview)
835646	329565	
835646	330893	Leonora 'Nora' Cambaretti
835646	331763	Cynthia Glenn
835646	333054	Cameo appearance
835646	347029	Lois Conway
835646	375044	Specialty
835646	397564	Herself (interviewed)
835647	288943	U.S. Marine
835648	136038	
835649	398087	
835650	68232	Dancer
835650	245468	Black girl dancer
835651	345739	Mary Belle
835652	59104	Andrea
835652	93958	Sophie Teploe
835653	132122	Janet
835653	157195	Young Lady Bracknell
835653	221233	Princess Helena
835653	224714	Rosa
835653	292603	Greta
835653	380250	Angelina
835653	408581	Cal
835653	411316	Miss Danby
835654	190688	Teacher
835655	41169	Herself
835656	30942	
835656	31157	Clara Tolliver
835656	50498	
835656	67162	Mrs. Wiggins
835656	87919	Mrs. Varrick
835656	117991	Mrs. Lockwood
835656	120383	
835656	146049	
835656	150857	Rebecca Jacobson
835656	230679	
835656	244698	
835656	244699	
835656	244700	
835656	244701	
835656	244702	
835656	278302	Ambassador's wife
835656	303070	
835656	304097	
835656	311748	Mrs. Donnelly
835656	367315	
835657	327831	
835658	327831	Girl
835659	185210	Narrator
835660	47372	Frances Williams
835660	47383	Herself
835660	147815	Herself
835660	188444	Frances
835660	299552	Herself
835661	13588	Emily Tyson
835661	26391	
835661	39626	Ellie Madison
835661	93098	Cassie Thomas
835661	108366	Bertha
835661	142422	Nora
835661	143397	Mathilda
835661	146755	Maid
835661	166879	Grandma Johnson
835661	198026	Cloryphene
835661	198047	Elizabeth Landry Green
835661	200472	Amy
835661	203270	Louisa, Cleva's Maid
835661	213225	Commentator (actress)
835661	255433	Naomi Chamberlain
835661	269295	Anna, Gossamer World segment
835661	273805	Sybil
835661	300063	Queenie
835661	303262	Mother Bishop
835661	321657	Haiti
835661	329946	Grandmother
835661	331596	Delia
835661	334761	Mama Wes
835661	360839	Cleo
835661	367444	Old Woman In Church
835661	382616	Trudy
835661	389249	Miss Marie
835662	232186	Realtor
835663	293021	Connie
835663	347692	Eileen
835664	69732	Frieda
835665	134018	Girl
835666	349509	Lotto Lady
835667	402752	Kim Carlisle
835668	56691	Bit Part
835668	191739	Maria
835668	288208	Blackberry Woman
835668	337178	Black Servant
835668	346043	Black Woman
835669	175609	Bradley's Maid
835670	34707	Betty
835671	29524	Preacher
835672	363756	Prostitute
835673	57654	Fan of Robin Simon
835674	160887	Wheezing Woman
835674	164415	Cheyenne woman
835674	347696	Mrs. Smith
835675	74010	Clorissa
835675	196995	Larry's Girlfriend
835675	201260	Louise
835676	157436	Classroom Student
835676	400236	Lorna Van Skyver (1995-1996)
835678	1762	Agatha
835679	235690	
835680	299800	Vera Thurston
835681	372964	Auntie
835682	5531	Undetermined Role
835682	21297	Undetermined Role
835682	36841	Woman
835682	41759	Assistant Maid
835682	42023	Bit Part
835682	45494	Mother
835682	48539	
835682	51885	Nurse
835682	57169	Nurse
835682	66549	Undetermined Role
835682	96939	Woman
835682	97084	Woman
835682	105649	Bit Part
835682	126274	
835682	132821	
835682	142877	
835682	147384	Girl
835682	149952	
835682	154487	Woman
835682	154952	Bit
835682	155846	Girl
835682	156464	Woman
835682	177368	
835682	177391	Bit
835682	183443	Matron of Honor
835682	183589	Woman
835682	183853	Nurse
835682	201305	Bit part
835682	221336	
835682	230953	
835682	246215	
835682	249021	Undetermined Role
835682	249513	
835682	253126	Fainting woman
835682	264420	Woman
835682	277855	
835682	280895	
835682	289422	Bit Role
835682	302629	Bit
835682	309027	Passenger
835682	312584	
835682	316664	Woman
835682	327193	
835682	330908	
835682	333655	Undetermined Role
835682	334162	Woman
835682	336736	
835682	340853	Woman
835682	346227	Nurse
835682	361300	
835682	361681	Nurse
835682	365284	Girl
835683	191098	Dancer 'Eat the Music'
835684	47600	
835684	71344	Katerina
835684	107554	
835684	115615	
835684	185639	Renée Kerouac
835684	305124	Margaret's Sister
835684	317159	Stenographer
835684	340955	Helen Moore
835685	290003	
835686	367073	Munchkin
835687	48789	
835687	80278	
835687	351670	
835688	140184	Cousin Julia
835689	33753	Gertrude
835689	46565	Mrs. Bagshawe
835689	60803	Miss Sorrel
835689	118287	Mrs. Adair
835689	149483	Mary
835689	186613	
835689	234782	
835689	292555	Margaret Marson
835689	305465	
835689	342389	
835689	355226	Kitty Lightbody
835689	368035	Lucilla
835690	399581	Charwoman
835691	75717	Olympic pair #3
835692	322844	Dock People
835693	23947	Herself
835694	243213	Yuonh Natalie
835695	255229	
835696	340883	Midwife
835697	303285	Melanie O'Connor
835698	20684	Toni
835698	318645	Brother's Wife
835699	351578	Jenny Bell
835700	15055	Veronica
835701	140843	Grocery Clerk
835702	286253	Teresa Vidal
835703	255327	Patron
835703	372819	Hortense
835704	87019	Margaret Tim
835704	395491	
835705	187410	
835706	291110	Margie
835707	84323	Jessica Franklin
835708	7965	
835708	11396	
835708	17468	
835708	17755	
835708	19134	
835708	21234	
835708	21519	
835708	22862	
835708	24211	
835708	26463	
835708	32102	
835708	50891	
835708	56466	Marquise De St. Maur
835708	62955	Mrs. Bilton
835708	68548	
835708	77713	
835708	90434	
835708	93094	
835708	103362	
835708	149146	
835708	151325	
835708	151467	
835708	151499	
835708	151513	
835708	161046	
835708	163346	
835708	168983	
835708	188580	
835708	204277	
835708	206070	
835708	215946	
835708	220035	
835708	230589	
835708	230978	
835708	240779	
835708	241430	
835708	260633	
835708	265425	
835708	278797	
835708	283175	
835708	283520	
835708	312824	
835708	315665	
835708	333911	
835708	340592	
835708	347525	
835708	366452	Herself - Cameo Appearance
835709	207782	Mrs. Knightes
835710	162892	Iron Woman
835711	152814	Voice of Pay Phone
835712	70422	Lady
835713	103459	
835714	38710	
835714	116107	
835715	73744	Cleaning Woman
835715	87667	
835716	27312	Officer Barnes
835716	108382	Woman at Hospital
835716	139009	Lenora Tibbs
835716	163374	Sharon
835716	194666	Day Care Worker
835716	267079	
835716	347856	Tabitha
835716	364094	Khalid's Mom
835716	407656	Kelly (2001)
835716	409056	Leigh Dixon
835716	411176	Melvina Jones
835717	17685	Hannah 'Hannalei' Goslar
835717	18629	Reece
835717	192998	Hannah Ouspensky
835717	379322	Judy
835717	381584	Martha
835717	382178	Dido Twite
835717	383363	Amy Healey (The Pardoner's Ta
835717	390523	Zoe Stringer (1998-1999)
835717	401675	Joan Marsh
835717	404882	Nadia
835717	405461	Beth
835718	11545	Maryann
835719	286197	Specialty
835719	315993	Quartette
835720	120574	Masseuse
835721	194814	
835722	90882	
835722	304846	Louise
835723	247565	
835723	259409	Herself
835724	257397	Additional Voices
835724	318540	Additional Voices
835724	380473	Additional Voices
835724	405144	Additional Voices
835725	245909	
835725	322777	
835726	54749	Lonnie's daugher
835727	335594	Pauline
835728	358601	Receptionist
835729	51855	Lady in Waiting
835730	19167	Girl
835731	158320	
835732	248132	Herself
835733	356764	Market Researcher
835734	110035	Beth
835735	368294	Ruby
835736	20950	Alex
835736	78887	Deloris Fuller
835736	218014	Gail
835736	385653	Gloria
835737	405526	Lady in Waiting
835738	21160	Herself
835739	74133	Julia
835740	1390	USO Girl
835741	16646	Dancer
835741	29395	Additional Voices
835741	177093	Jay's Daughter
835741	405144	Additional Voices
835742	50333	Miss Thomas
835742	89586	
835742	99957	Maddie
835742	155912	
835743	294327	Sue Thompson
835744	152607	Piano
835745	302494	Dancer
835746	291831	
835747	29149	Lady on Porch
835748	6125	Reve Walsh
835748	6200	Reve Walsh
835748	13875	Cathy Palmer/Rebecca Ryan
835748	26381	Marybeth Whitehead
835748	36773	Tiffany Farinpour
835748	36966	Karen
835748	46424	Pam Willis
835748	58946	Madeline 'Maddie Parker
835748	59273	Natalie
835748	61565	Dr. Hollis
835748	68455	Mrs. Mayer
835748	75525	Herself
835748	79719	Nurse Nancy Bauer
835748	83558	Lily Chismore
835748	89314	Jessie
835748	95510	Natalie
835748	100906	Harriet Purdue
835748	110358	
835748	113267	Christine Biondi
835748	121619	
835748	148568	Elaine Ashton
835748	161490	June Sickles
835748	163211	Alice Bridges
835748	164587	Jo Face (Jackie's Vocal Coach
835748	168973	Ginny Moore
835748	169030	Jade Kenyon
835748	170713	Dr. Patricia Cromwell
835748	171311	Sidney Stone
835748	171333	Jane Newhart
835748	176496	Claudia Ryan
835748	180705	Phyllis Bernard
835748	191734	Anne
835748	201736	Herself
835748	209114	Crazy/Sane Diane
835748	210620	Lisa
835748	222739	Lorna Anderson
835748	224173	Lois 'Lo' Wilson
835748	248572	Winnie Winslow
835748	259826	Diane Freeling
835748	259828	Diane Freeling
835748	259969	Edna Earle Ponder
835748	275997	Tina Martin
835748	281890	Dr. Lillian Rose
835748	282929	Rose
835748	291971	Herself
835748	292022	Elizabeth Hackett
835748	296027	Sarah Gallagher
835748	314963	Meredith
835748	315335	Lt. Gwen Harper
835748	321632	Margo Brofman
835748	326428	Lisa Hammond
835748	338297	Sophie Hanson
835748	353391	Tess Palmer
835748	356329	Nancy Parkhurst
835748	361157	Sarah
835748	362740	Anne Werden
835748	368380	Marian Faber
835748	369336	Bessie Earp
835748	384449	Regina 'Reggie' Love
835748	388818	Angel
835748	389416	Marge Slayton
835748	390771	Brandy Schlooe #2 (1977-1981)
835748	392423	Herself
835748	401061	Constance 'Connie' Payne
835748	405882	Carrie Wheeler (1975-1976)
835748	406617	
835750	73662	Sam's Mother
835750	308669	
835751	354791	Joyce (ballerina-model)
835752	344524	Herself
835753	175189	The Ladies
835753	263339	Other Pretty Maids
835753	264651	Lola
835753	310059	Furniture Girl
835754	13351	Patricia
835755	91963	
835756	389620	Gill
835757	243744	Amanda (Baby-sitter)
835758	201598	Auditioner #4
835759	263779	Orphan sold at auction
835760	192340	Kane's Friend
835760	380259	Tracey Willoughby/Carr (1981-
835761	380226	Singer
835761	388953	
835762	3919	Customer 1
835763	318712	Old Mama
835763	374425	Maid
835764	169440	Aborigine Girl
835764	365259	The Bosom
835765	39751	
835765	41019	
835765	41076	Herself
835765	50174	Dalia
835765	91879	
835765	150349	
835765	150946	
835765	158289	
835765	206450	
835765	228050	
835765	288988	Angel, Nurse
835765	307015	
835765	309899	
835765	325246	
835765	359456	
835765	365128	
835765	368758	
835766	410425	Sydney Bloom (child)
835767	392715	Correspondent
835768	41316	Second Woman
835768	66795	LuBelle
835768	210387	Girls' Group
835768	318695	Gloria
835769	68683	
835769	71922	Julie Gadin
835769	113725	
835769	117091	Kisha Birch
835769	261417	Dilsey
835769	276680	
835769	318510	Penelope Brie
835769	362407	Rachel
835769	379716	Dr. Pat Trowbridge (2001)
835769	390771	Victoria 'Vicky' Brandon Spau
835770	168735	Voice of Performer
835771	39919	
835771	47521	Bertie Waxx
835771	192702	Girl
835772	23957	
835773	11535	Tammy Clinard
835773	319923	Waitress
835774	12147	April
835775	281646	Rosa
835776	294702	Jila (aged 7)
835777	33623	Woman
835777	46674	Ma Conway
835777	78250	Neighbour
835777	97611	Teresa
835777	147548	Red Cross Nurse
835777	150244	Molly Stern
835777	168109	Lee's Mum
835777	196134	Joan Booth
835777	210387	Mrs. Perkins
835777	224714	Opium Woman
835777	249611	Mum
835777	260206	Beryl
835777	268867	Jimmy's mother
835777	333042	
835777	381685	Mrs. McClusky
835777	381729	Brigitte
835777	382530	Marge Benge
835777	388321	Myra Costello (2003-)
835777	396106	Joan Booth
835777	397176	Dorothy 'Dot' Burgess, Zoe's 
835777	397833	
835777	405088	Audrey Withey
835777	408025	Monica Ryding
835777	408250	Ma Conway
835777	411089	Audrey Withey
835777	411090	Audrey Withey
835778	35019	
835778	225160	
835779	37273	Jenny Hemingway
835779	178015	Vilma
835779	275678	Annette
835779	363364	The Blonde Chambermaid
835779	372431	Wampas Baby Star
835780	39830	Audience Member
835780	118325	
835780	316272	Mrs. Williams
835781	1336	
835781	6604	
835781	7022	Kathlyn Hare
835781	7023	Kathlyn Hare
835781	21235	
835781	21510	
835781	26858	
835781	34951	Mrs. Lenox
835781	35276	Lady Beverly
835781	37398	Stella Benton
835781	39759	
835781	40346	
835781	41225	Nightclub woman wearing monoc
835781	45915	
835781	47342	Jean Valjean
835781	47920	
835781	49788	
835781	54521	Captain Kate
835781	55582	Fortuna Chedsoye
835781	55863	
835781	61601	
835781	62265	Della, the 'Little Doctor'
835781	64925	Mrs. Kendall
835781	65181	Mrs. Wheeler
835781	68188	
835781	69735	Mrs. Adaile
835781	69750	
835781	70601	
835781	71351	Elsie Graves/Sarita Graves
835781	75559	
835781	76519	Rose
835781	76581	Mrs. Pendleton
835781	85106	
835781	85107	
835781	91081	Dora Thorne
835781	93665	
835781	97081	
835781	101073	Mrs. Massingale
835781	105294	Mrs. Wainwright
835781	113757	
835781	115507	
835781	115906	
835781	117378	Mrs. Mallory
835781	126694	
835781	128107	The Girl
835781	128126	Jessie
835781	128334	Mrs. Jaffrey
835781	128532	
835781	130651	Tomm's Mistress
835781	132337	
835781	138984	Isabel Arieno
835781	141460	
835781	143216	
835781	143234	Penelope Warren
835781	143359	Diana Vane
835781	145092	Lonely Lou
835781	148936	Mrs. Garland
835781	149851	
835781	150930	
835781	151516	
835781	153203	Isabel Dane
835781	154266	
835781	157867	
835781	158332	
835781	158540	
835781	159938	The Maid
835781	161511	Jennie Leslie
835781	166216	
835781	167608	
835781	171044	Eleanor Lathrop
835781	183796	
835781	187957	
835781	189936	
835781	190222	The Pioneer Wife
835781	191115	Extra
835781	191363	
835781	191718	Helen Brant
835781	193265	Laura Carter
835781	194661	
835781	194860	Meta Kruga
835781	195936	
835781	202892	
835781	203078	
835781	203737	Frances Osborn
835781	203773	
835781	204734	
835781	208150	Maud Muller
835781	208755	
835781	211612	
835781	218936	Judith Mainwaring
835781	221276	Mrs. Filson
835781	229088	
835781	229089	Mrs. Edith Cortlandt
835781	236665	
835781	240663	
835781	240911	
835781	244798	Ann's mother
835781	245205	Agnes Aldrich
835781	246597	
835781	246704	Isabel Whitney
835781	256416	
835781	259393	Extra
835781	263978	Alice Travers
835781	264823	Carol Lawton
835781	265924	
835781	269331	
835781	274450	Naomi Sterling
835781	275678	Angela
835781	276913	
835781	279417	Mrs. Wells
835781	280984	Second Woman
835781	281773	Vera Wallace
835781	281856	Dolores, the Rose of St. Augu
835781	286134	Mrs. Gordon Mansfield
835781	302765	Mrs. Cottrell
835781	302773	Mrs. Glendenning
835781	302782	Dorothy Van Clark
835781	308734	
835781	308941	
835781	309581	Celebrity
835781	310290	Queen Isabel of Bourbon
835781	310658	
835781	311562	Cherry Malotte
835781	315129	
835781	315729	Godiva
835781	316055	
835781	317163	
835781	318631	
835781	320087	
835781	321119	Daisy Brooks
835781	321233	
835781	327604	
835781	327732	
835781	329822	
835781	330439	Margaret Kenwood
835781	331035	
835781	331149	The Actress
835781	331154	My Neighbor's Wife
835781	332473	
835781	333041	
835781	336516	(unconfirmed)
835781	337493	
835781	338890	
835781	338902	Belle
835781	339740	Cordelia Ebbing/Madame de laF
835781	342003	
835781	342998	Carrie Conrad, The Woman
835781	343073	Henriette (orphan)
835781	343174	
835781	343887	'Beauty' Stanton
835781	346865	
835781	347057	Mrs. Bradford
835781	349925	Shirley Dandridge
835781	355088	Constance Llewellyn
835781	355345	
835781	358953	Magdalene Virey
835781	358959	Huldah
835781	360358	Mrs. Bradleigh
835781	360384	Charity Coe Cheever
835781	360721	Agatha
835781	361267	Mary Wilton/Violet Trevor
835781	362652	
835781	362653	
835781	362669	Helen, Michael's Wife
835781	362942	
835781	362943	
835781	363112	
835781	363679	Jane Tremble
835781	366626	
835781	366720	
835781	366828	Virginia, the Girl
835781	367540	
835781	367557	
835781	367757	Miss America
835781	368565	Elsa Townsend
835781	372643	Mrs. Dorris Eames
835782	41225	Mannish woman with monocle
835783	5362	
835783	16047	Rena
835783	26528	
835783	161980	
835783	223361	Suzy
835783	238683	
835783	271890	Princess Tuwana
835783	303289	Mary
835785	124892	
835786	6020	Hazel Dawn
835786	19797	Mrs. Green
835786	94291	Miss May, Vargas Calendar Gir
835786	128152	Blonde
835786	136274	Girl At Bar
835786	206355	Pretty Girl
835786	209660	Show Girl
835786	233778	Receptionist
835786	235356	Herself
835786	244357	Florist's Assistant
835786	272691	Information Girl
835786	321495	First Receptionist, Music Pub
835786	330634	Girl in Officers' Club
835786	330843	
835786	342873	Girl flirt
835786	360721	Agatha
835786	375044	Woman
835787	45565	Holly
835787	50442	Cassie O'Brian
835787	56207	Margaret Wilson
835787	96602	Claire Higgins
835787	115925	Alice Kinian
835787	117271	Erma
835787	143108	Kate Broderick
835787	163473	Anna
835787	190346	Rena Jahnusia
835787	206823	Justine Melville
835787	220985	Kelli
835787	224074	Kelly (?)
835787	245236	Melissa
835787	306320	Jennifer Stolpa
835787	321405	Cami Carlson
835787	321660	Irisa
835787	326739	Herself
835787	329946	Sunshine
835787	356244	Yvonne Shuster
835787	367606	Kate Broderick
835787	373989	Lucy
835787	387497	Mattie Walker
835787	397291	Dr. Natalie Durant
835787	399289	Ellie
835787	402032	Lindsay Dole Donnell (1997-20
835788	392424	Herself
835789	4671	Herself
835789	7808	Katie
835789	277850	Tuesday
835789	326739	Herself
835789	326740	Herself
835789	388348	Laura Lee Winslow (1989-1998)
835789	392424	Herself
835789	410868	Alice Adams
835790	45456	Another Girl
835791	198567	Hotel receptionist
835791	254769	Edie
835792	1300	Student
835793	104973	Monique Taylor
835793	387973	Monique Taylor (2001-)
835794	259003	
835794	259095	Jirachi
835794	392026	Tiff
835794	392619	Soon
835794	401740	Additional Voices
835794	405942	Frances
835794	407519	
835794	409390	Kiki
835794	411261	Flora (2004)
835794	411886	Rebecca Hawkins
835795	38065	Natasha
835796	60361	Aqua
835796	201696	Herself
835797	86319	Elke the Innkeeper
835798	275889	Laundry Person
835799	66795	Nurse I
835800	128759	
835801	401973	Whore #5
835802	366970	'Female' Backup Singer
835803	901	Virginia Lewis
835803	1435	Herself - Presenter
835803	57694	Herself
835803	63103	Maggie Andrews
835803	66990	Jasmine
835803	109856	Annie Banks
835803	109857	Annie Banks-MacKenzie
835803	116537	Dianne Parker-McCune
835803	151595	
835803	159131	Gwen Daugherty
835803	165108	Molly
835803	171035	Alison
835803	181996	Fio (Disney Dub 2003)
835803	196892	Amy Myer
835803	285299	Andi Travers
835803	286840	Kim
835803	302185	Young Rosie
835803	315263	Vanessa
835803	327767	
835803	359186	Karen Collier
835803	378710	Virginia Lewis
835803	379159	Dana
835803	403147	Isabel Lukens
835805	260430	Abby Banks
835806	137223	Dancer
835807	292610	Corporate Lady
835808	167070	Bar Patron
835808	224842	Spectator
835809	28667	
835809	223503	Kimberly
835810	387247	Kim McFarlane (1998-2002)
835811	215190	Nurse Spence
835812	146333	Keisa
835813	326617	Bully
835814	384206	Herself
835815	316225	
835815	327776	Teshesha Watson
835816	38864	Blonde Lady
835817	197729	Lady Cop
835818	45505	Robin
835818	92302	Girl held by man with gun
835818	191246	Young Nala's singing voice
835819	192064	Mary O'Reilly
835820	13043	Young Girl at School
835821	92817	Girl #1
835822	10877	Reimer
835822	69333	Sally Dewitt
835823	321571	Girl
835824	114960	
835825	294356	Carol
835826	106639	Body Double
835827	386606	Liza (1986)
835828	32217	'Miss Globe' Chaperone
835828	206370	Secretary
835828	297105	Sarah
835828	359885	
835828	382297	Herself - Presenter (1958-196
835829	106739	Scottie
835830	49345	Bank Teller
835831	2762	Nominee Leading Actress in a 
835831	20045	Mrs. Sands
835831	27144	Nina Harker
835831	61134	Cathy
835831	86463	Defence Solicitor
835831	87469	Bella
835831	112217	Diana de Brie
835831	113933	Constance
835831	115933	Janet Hinton
835831	157068	Amanda
835831	177317	Amanda
835831	208529	Ella Wilson
835831	283779	Natash Cherniavskaya
835831	299954	Maida
835831	310426	Ruth Lessing
835831	347112	Melissa Gates
835831	380374	Karen
835831	392172	
835831	398416	Joanna
835831	404598	Paula Wickham
835833	136141	Debbie Kovac
835833	151545	Jennifer Hartman
835833	230587	Charity
835833	314658	Lisa
835833	379761	Wonder Twin Jayna
835834	191295	Herself - dancer
835835	45134	Fille Vittorio 4
835835	53208	TV Reporter
835835	165004	Girl in bathing suit
835835	200129	Estar
835835	343160	Brunette
835836	104756	Dutch entry (9th place)
835836	228249	Herself
835837	176955	
835838	308096	May
835839	230398	Receptionist
835839	261860	Eilene
835839	332467	Reporter
835841	13722	Host
835842	312270	Miss Harley
835843	49139	Herself
835844	93959	Jean Kangas, Judge #3
835845	205426	Roommate
835846	163415	Girl
835846	182948	Women's Army of Revolt/Citize
835846	321571	Dancer
835846	396109	Various (1969-1970)
835847	321213	Line dancer
835848	345636	Patricia Fisher
835849	203786	Woman at Bar-B-Q
835850	2845	Mrs. Jenkins
835850	7036	Lady in Audience
835850	7178	Extra, Onlooker
835850	11455	Belle Emerson
835850	11582	Servant
835850	11583	Lottie (the flower vendor)
835850	12749	First Old Maid
835850	12766	Lady Buying Bread
835850	12773	Newark Audience Member
835850	16674	Aunt Minnie
835850	16916	Onlooker at drugstore
835850	18197	Nurse to Anthony's son
835850	19298	Lady in Tough Audience
835850	20270	Aunt Agatha
835850	26737	Passerby
835850	29941	
835850	31837	Tourist
835850	33748	Maid
835850	40176	Mrs. Walsh
835850	49364	Woodward (Grand Jury member)
835850	50244	An Old Gossip
835850	52646	Woman Asking About Denver Tra
835850	56193	Mrs. Pixley
835850	71688	Valencia's Maid
835850	77592	Bored Small Towner
835850	78185	Woman on Telephone
835850	78680	
835850	78986	Lucy
835850	87820	Herbert's Nanny
835850	95474	Wedding Dress Helper
835850	97493	Mrs. Mortensen
835850	99224	
835850	100206	Mrs. Allen
835850	103781	Militant Woman Tourist
835850	116911	Mrs. Baeder
835850	118399	Guest at Wedding Reception
835850	121354	Mrs. Henrietta Leslie
835850	121531	Susie
835850	124767	Servant
835850	129082	Party Guest at the Henry's
835850	132047	Second Maid
835850	133688	Woman with Minister at Maggie
835850	133727	On-looker
835850	133737	Nurse in Hospital
835850	139190	Ellen, Atwater's Second Maid
835850	142463	Mrs. Williams
835850	143588	Party Guest
835850	148585	Elderly storekeeper
835850	150533	Anna
835850	154468	Maid
835850	162547	Maid
835850	168562	Little Lady in Theater
835850	170608	Woody
835850	177469	Wedding Reception Guest
835850	177511	Farmer's Wife
835850	178042	Tenant
835850	183392	Mrs. Laura Halliday
835850	184386	Mrs. Blake
835850	186293	Plaintiff's Mother
835850	192064	Mother Superior
835850	196294	Parker, MacConaghey's Maid
835850	203120	Mrs. Parkington
835850	203585	Wilson's Mother
835850	203671	Extra in Weston's Outer Offic
835850	203683	Bit
835850	203931	The Peters' Friend
835850	209592	Bit part
835850	210819	Woman Outside Church
835850	211610	Generous Passerby
835850	213081	Birthday Party Guest
835850	214080	Boarder Getting Gift
835850	217946	Bank Customer Asking About 'N
835850	222600	Emeline the Cook
835850	223154	Tourist
835850	227336	Mrs. Ray Spires
835850	232285	Woman on Bus
835850	234910	Lottie, Talbots' Maid
835850	236901	Mrs. Henderson
835850	238616	Woman
835850	241349	
835850	241468	Martha, Pearce's Maid
835850	241561	Party Guest
835850	251215	Mrs. Gormar
835850	252297	Mother
835850	252300	Woman Comforting Verman
835850	262337	Lady at Telegraph Camp
835850	264171	Pedestrian
835850	264644	Mrs. Smith
835850	269888	Miss Starr's Secretary
835850	274159	Mrs. Roberts
835850	274170	Tattered Clothed Crying Woman
835850	274924	Unconscious Patient
835850	279570	Restaurant customer
835850	280977	The Nanny
835850	288091	
835850	289403	
835850	292829	Playgoer in Theater Lobby
835850	294958	Tom's Mother
835850	296776	Sarah the Calvin Maid
835850	297889	Party Guest
835850	303307	Dowager at Ball
835850	308573	Party Guest
835850	315695	Cecile
835850	316902	
835850	317825	Mother on Pier
835850	329463	Children's Home Nurse
835850	330096	Concerned townswoman
835850	330336	Wife of the Justice of the Pe
835850	334371	American Woman Seeking Room
835850	335242	Mrs. Higgins
835850	342518	Nora
835850	351242	Aunt Hitty
835850	363220	Ship Passenger
835850	365188	Courtroom Spectator
835850	366124	Mrs. Mayhew
835850	367962	Wardrobe Woman
835850	371331	Martha, the Maid
835850	371384	Sophia
835851	124713	Bunny
835851	299469	Additional Dialogue
835851	378729	Jill Capestro
835851	381070	Jennie Riddle
835851	383047	Jackie Gleason (1979)
835851	383850	
835852	46325	
835852	64069	Perla
835852	78181	
835852	137548	Doris
835852	286152	Millie
835852	338550	Vera
835852	364707	Prisoner
835853	106766	Carnival Band
835853	309504	Featured Performer
835854	274525	Witness
835855	39830	Choirlady
835856	3906	Herself
835856	291234	Herself
835857	166643	Wedding Guest #1
835858	19421	Additional Voices
835858	244678	Monya
835858	314924	Louise Parker
835859	66322	Waitress at Truckstop
835859	118541	Supermarket Cashier
835859	158338	Angry neighbor #1
835859	193705	
835860	291763	
835860	321554	Harriet
835860	340859	Cult Follower
835861	196574	Jean
835861	403059	Cpl Angie Ogden
835861	405476	Ruth Lacey
835862	243623	Jasmine
835863	77447	Malinda
835863	77793	Rhonda
835863	144913	Natalie Thompson
835863	161989	Tammy
835863	186156	Sheila Arnett
835863	310533	Zora
835863	314618	Herself/Production Assistant
835863	319206	Cheryl
835863	330383	Erica Wright
835863	362131	Alex
835863	368110	Young Alicia
835863	383414	Michelle
835863	399392	Tasha Morrison (1997-1998)
835863	400582	Adrea Young
835863	406007	Tracy 'Bird' Van Adams
835864	40731	Woman
835865	126714	Rebecca Dawn
835866	161490	Waitress
835867	226905	Tribe member
835868	145170	Waitress
835869	401689	Hetty (2000-)
835870	66655	Phoebe Storm
835871	310944	Maria
835872	276088	
835873	133914	Undetermined Role
835873	207462	Bettina
835873	243233	The patriot's sister
835874	83967	Stephanie
835875	397115	Liz Maloney (1975-1976)
835876	124728	Female Secretary
835876	178132	Barmaid
835876	330420	Singer
835877	120148	Gospel Singer
835877	175536	Honoree
835878	136822	Chorus - soprano
835879	265030	Mrs. Calhane
835879	369336	Saloon Dealer
835880	76745	
835880	110247	Mavis Burnham
835880	382454	Wiwi
835880	397898	Simone Elstak
835880	409572	Jolande (1998)
835880	410838	Lucette Storm (2000)
835881	230926	Big Shirl's Beautician
835882	2573	Herself
835883	186156	Leila
835883	297937	Fifi
835883	367083	Extra
835884	100825	Maid
835884	130677	Woman in dance hall
835885	110318	Herself (narrator)
835885	288109	
835886	394650	Herself
835887	142719	Brunette Fashion Model
835888	38647	
835888	38648	
835888	301077	Newscaster
835888	310160	Herself/coanchor
835889	29149	Helen
835889	157036	Nanny
835890	92324	Mrs. Bridewell
835891	18577	Miss Jenkins
835891	33079	Meg
835891	35783	Miss Walter
835891	90349	Ms. Readle
835891	113986	Mrs. Wanless
835891	141643	Woman Executive
835891	158418	Jack's Mother
835891	233782	Parent
835891	311517	Secretary
835891	345612	
835891	366653	Nan Wheaton
835892	116202	Mrs. Baring
835893	18979	Kim
835893	35524	Spider Rider
835893	45308	Dancer
835893	106335	Girl Driver
835893	207157	Pebbles
835893	309572	Freddy's Girl
835893	341939	Calendar Girl
835893	344197	Tara
835893	355173	Hostess
835894	11170	
835894	232450	Carolyn Worden
835894	319674	
835894	380468	Nurse Kate Baker
835894	403278	Cassie Jones
835894	406891	Alice Watkins Sullivan
835895	61896	Nurse #2
835896	29128	
835896	35454	Desi
835896	300180	Julie
835896	367873	Terra
835897	210481	Sherry Dummar
835898	208065	Telephone Supervisor
835898	231966	Maid
835898	346092	
835899	73094	Boquisha
835899	73738	
835899	314766	Foxy
835899	356804	
835900	109395	Receptionist
835901	151461	Agatzi Girl
835902	2761	Herself/Presenter, Television
835902	31439	Cecil
835902	47422	Alma
835902	50444	Kimberly
835902	79708	Herself
835902	137663	Molly Cartwell
835902	147481	Anna
835902	155890	Linda (segment "1972")
835902	156854	Penny Travis
835902	176965	Maya
835902	184459	Lana
835902	209095	Holly
835902	224326	Donna
835902	253059	Halley
835902	266200	Ruby
835902	308711	Jennifer 'Jen' Lindley
835902	310647	Young 'Sil'
835902	313989	Emily
835902	331178	Pammy
835902	333417	Annie
835902	347180	Julie Pollard
835902	347420	Herself
835902	385802	Jennifer 'Jen' Lindley
835902	402811	Trish Caines
835903	80959	
835904	1487	Herself
835904	1673	Herself
835904	1674	Herself
835904	2327	Herself
835904	2549	Herself (performer)
835904	63043	Herself (singer)
835904	63044	Herself
835904	69079	Performers
835904	84209	Guest/Performer
835904	84210	Herself
835904	161230	Herself
835904	212710	Herself
835904	221434	Herself (Destiny's Child)
835904	234149	Herself (Destiny's Child)
835904	260291	Performer
835904	273900	Herself
835904	320121	Herself (Destiny's Child)
835904	326662	Destiny's child
835904	352974	Herself
835904	358818	Herself (Destiny's Child)
835905	173353	Mrs. Lafont
835906	390771	Roger Joshua 'R. J.' Winslow 
835907	75897	Priestess
835908	107405	
835908	196145	
835909	130060	Nurse Dyce
835910	105839	Angie
835911	148438	Angel
835912	367054	The Wiz Singers Children's Ch
835913	13711	Vezna
835913	303964	Masters, Scientist 1
835914	7484	Katenga
835914	80427	
835915	154315	1st Mrs. Fletcher
835917	2445	Herself (Music Teacher)
835918	240719	Herself
835918	351431	Teenage Girl
835918	382511	Mikala
835919	2232	Woman on the Street
835920	363078	Nurse
835921	117653	Nurse
835922	334190	Julie
835923	69615	Peasant #2
835923	104042	Maimuna
835923	118442	Theatre Bar Girl
835923	121337	
835923	129117	Sarah Bishop
835923	169139	Child Chorus
835923	222713	Clara
835923	233528	Julie
835923	245089	Veronica
835923	329917	Care Worker
835923	331426	Fran
835923	382052	WPC Delia French (1990-1992)
835924	193403	Kameelah Cooper
835925	90209	2nd Handmaiden
835925	279347	Roxanne Johnson
835925	362380	Journalist
835926	151530	Pink Bikini Girl
835926	339937	Denia, Snap's Girl
835926	342769	Sexy Young Girl
835926	405756	Teddi
835927	143128	
835928	247500	News anchor
835929	11619	Joyce
835930	279200	Dancer
835931	5830	Trina (lead)
835931	79072	Shawna
835931	164642	Clara, Jacob's Love
835931	171485	Bikini Model
835931	278765	Movement actor
835931	283464	Stand in (lead actresses)
835932	379943	Style agent
835933	216803	Golden Girl
835933	319876	Katherine
835934	327685	Jethro's Daughter
835935	214985	Martha
835936	342914	Lil
835937	144643	Calypso
835938	44892	Cece
835939	8148	Agatha Christie
835939	32370	Karen Quinn
835939	33770	Claire Paige
835939	42831	Sharon Golban
835939	44456	Eleanor
835939	80395	Diana
835939	99952	Jane Fairfax
835939	118279	Audrey
835939	124424	Nicky
835939	141279	Madeleine
835939	165848	Hera
835939	178929	Phillipa Chaucer (DVD outtake
835939	196903	Annabel Sweep
835939	203005	Andrea Alcott
835939	253920	Mrs. Darling
835939	261564	Abby
835939	283739	Rosemary Cross
835939	303564	Anna Crowe
835939	310532	Jennifer Norris
835939	334210	Lady Anne Fairfax
835939	349914	
835940	204553	Woman in Boardroom
835941	64798	Glenn Moore
835942	335120	Saloon Girl
835943	274427	Wedding Party in Philadelphia
835944	12228	Script Supervisor
835945	44093	Receptionist
835945	134675	Office Manager
835945	221304	Game Show Model
835945	282711	Barbara
835945	289419	Telephone Operator
835945	309649	Vonnie Vanderveer
835945	331456	Magician's Assistant
835946	105921	Enforcer
835946	332772	Fighter/Soldier/Performer
835947	195518	Lida
835948	142886	Pat
835948	188486	Rita
835949	5009	Bitter Ex-Girlfriend
835949	16748	
835949	99327	Charlie
835949	223957	Tiki
835949	384968	WPC Amanda Kennett (season tw
835949	410978	Jacqui Richards/Snow (II) (20
835950	117292	Girl on Horse
835951	144598	Mrs. Arliss
835952	384532	Mrs. Mole
835953	54959	Winnie Grindel
835953	199210	Gatherer
835954	270680	Martian flapper
835955	61194	
835956	44759	Mae
835957	20037	Fan
835958	200132	
835958	305036	Lady Caroline
835958	342587	
835960	411290	Fem John Bacon W.H.E.
835961	390112	Presenter
835962	92871	
835962	198567	Costumer
835963	21180	Girl on Phone 3
835964	399018	Contestant (2004)
835965	221252	Ally Weaver
835965	221253	Ally Weaver/Death
835965	221254	Ally Weaver/Death
835965	366190	Darla
835966	105940	Leslie
835966	262124	Herself
835966	302325	Michelle Barnes
835967	92618	Menopausal Patient
835967	252159	Nurse
835967	294980	Nurse
835967	343020	Vada
835968	195467	Girl from wedding
835969	117874	Nurse at Park Bench
835969	223349	Poochie
835969	284885	Une prostituée
835971	232830	Jeneane
835972	340515	Miss Brown
835973	64069	Drizella
835973	70786	Wylodine
835973	73551	Telephone Operator
835973	141184	
835973	144910	Trudy Davis, teacher
835973	151041	Woman
835973	228314	Schoolgirl
835973	253540	Nell Landis
835973	294753	Lt. Witt
835973	310136	Stewardess Archer
835973	329437	College Student
835974	342531	Eva
835975	185336	Elaine
835977	177598	The Rat , Amanda , Woman in T
835978	218138	Prostitute
835979	12218	Mary
835979	38990	
835979	79023	Mrs. Hoover
835979	86308	Marilyn Cooper
835979	107894	Mrs. Carson
835979	142915	
835979	152904	
835979	169453	
835979	192797	
835979	214811	
835979	292850	Mrs. Evans
835979	326484	Christy Parker
835979	330238	
835979	337280	
835979	340898	Aunt Annie
835979	402338	
835979	404208	Gloria Clayton
835980	161415	
835980	304295	Young Lady
835980	364516	Technician
835980	367444	Addie Robinson
835981	61261	Vanessa
835982	32531	Party Guest
835983	309546	Dancer
835984	206388	Trina Molloy
835984	296646	Dana
835985	77837	Lily
835985	86468	Dinner Guest
835985	99208	Mrs. Hudson
835985	126646	Rose Malone
835985	176974	Mildred
835985	207402	Mrs. Hudson
835985	242562	Emily
835985	248121	Neighbor
835985	301255	Mrs. Hudson
835985	381582	Miss Pringle
835985	388861	Mary
835985	397405	Mrs. Hudson
835985	402743	Mrs. Dysart
835985	408965	Gran'ma Morkie/Baroness of De
835986	253979	Petey's Mother
835987	258858	Dancer
835988	280477	Immigration officer
835988	347447	Writer on TV
835989	45621	W.P.C. Radio Operator
835989	229130	Madge
835990	151672	English Girl
835991	57654	Bruce Bishop Admirer
835992	8362	Cathy Browne
835992	125557	Orla
835993	39880	Ruby
835994	60186	Singer with High School Band
835995	188269	Jo
835995	330377	Steffi
835996	16647	
835997	137569	Reporter
835997	381514	Herself (2000)
835998	411296	Herself
835999	362578	
836000	204141	Mary Winter
836001	25523	Wood chopper #1
836001	107947	
836001	116534	
836001	238552	Black Girl In Diner
836001	348380	Sheilah
836002	90984	Nurse Jenkins
836002	316284	Darlene
836003	220164	Boys Mother at Picnic
836004	363977	Baloon Salesperson
836005	363442	Ruth
836006	200432	Flurpie
836007	274344	Canoer/Group Walla
836008	79081	Anna
836008	262085	Kelsey Winslow/Yellow Lightsp
836008	262086	Yellow Ranger
836008	262087	Kelsey Winslow/Yellow Lightsp
836008	262088	Kelsey Winslow/Yellow Lightsp
836008	262089	Kelsey Winslow/Yellow Lightsp
836008	402002	Kelsey Winslow/Yellow Lightsp
836009	235570	Curl
836010	203243	Shopper
836011	362740	Becka
836012	99602	Herself
836012	103840	Herself
836012	103841	Herself
836012	137237	Agent Ross
836012	221483	Herself
836013	88310	Girl In Hanger
836013	223913	Dancer
836013	335638	Marie
836014	28791	Young Black Woman
836014	47237	Diane
836014	128594	Veronica
836015	364300	Herself
836016	90348	Christine Baxter
836016	215911	Tadice
836017	54734	Delores
836017	236954	Marshmallow
836018	2709	Salon Patron
836018	192777	Candy
836019	126538	Aerobic Girl (segment "Get Ou
836020	121997	Herself (Volume III: Seers)
836021	14477	Cinque's Wife
836022	117558	Woman in Law Office
836022	363840	Mrs. Barnes
836023	87215	Customer
836024	82364	Nadine Jones
836025	195558	Guitar Playing Vocalist
836026	381451	Newsreader
836026	382715	Presenter (2001-)
836026	399780	Presenter
836026	405518	Herself - Substitute Presente
836027	37215	Missy
836027	82733	Missy Demon
836027	109571	
836028	141786	Cati Evans
836028	265897	Ann Hughes
836029	276398	Sheri Evans
836030	103222	Miss Betts
836031	226905	Tribe member
836032	405209	Pam Lawrence (1998)
836033	339443	Priestess
836034	19829	Hooker
836034	32052	Female Prisoner
836034	60735	Miss Marjorie
836034	109649	Coach Drew
836034	126714	Rebecca Dawn
836034	136299	Weber
836034	139062	Wrestler
836034	147753	Jane
836034	208505	Amazonian
836034	227024	Sam
836034	236696	Mud wrestler
836034	276398	Taxi Cab Driver
836034	281549	Irish Fan
836034	296068	Sabina
836034	302710	Dancer
836034	313002	Detective Martindale
836034	313398	Vixis
836034	315959	Warrior
836034	322606	Terrorist
836034	381820	Mother in Car Accident
836035	89333	Darlene
836035	166917	Former Girlfriend
836035	245535	Astor
836035	311780	Herself
836035	311784	Herself
836035	311786	Herself
836035	396501	Akane Aikawa (2), Reporter
836036	358352	
836037	215690	Miss Oklahoma USA (Semifinali
836038	26846	Officer Foley
836038	29395	Ryu's Friend, Additional Voic
836038	42988	Sally
836038	108474	Dancer
836038	212027	Stacy a Teacher
836038	222580	Barbara Scott
836038	251202	Upset Fan #2
836038	339429	Lynn Fisher
836038	389858	Dr. Simone Ravella Hardy #2 (
836038	400236	Sheila Price Gannon (#2) (199
836038	411802	Amy Lewis (1983-1988)
836039	151672	Peanuts
836040	297646	Posh Girl
836041	82010	Mrs. Garth
836042	50170	Luann
836045	253104	Connie Yost
836046	101710	Wendy
836047	238884	Dympna
836048	383456	Herself/Model (1986-1989)
836048	408142	Maid
836049	214727	Stenographer
836049	346216	Design Room Girl
836049	360790	Aunty Mary
836050	381091	Herself (eliminated round 4) 
836051	35524	Girl in Amusement Park
836052	185202	
836053	36790	Mrs. Drakel
836053	117908	Bartender
836053	119583	Louise Jefferson
836053	119821	Wisterie/Cleaning Woman
836053	132813	Celestine
836053	237913	Maid
836053	288908	Morgue Receptionist
836053	309657	Harriet
836053	367444	Mammy Portia
836054	411625	Dee Jackson
836055	82445	Choir Member
836056	391869	Daria Elice (1998)
836057	348229	Neighborhood Watch Member
836058	43932	Debra
836059	207782	Miner's wife
836060	394392	Announcements
836061	199210	Gatherer
836062	351238	Nicola Resnick
836063	33418	Hailey
836064	366998	Court Clerk
836064	400621	Prison Hospital Nurse (2000-2
836065	54207	Shirley Carter
836066	399079	Naughty Crew Member (2000)
836067	155731	Dorothea
836068	21466	TV Commentator
836068	44561	Desk Nurse
836068	189283	Jenny
836068	294519	
836068	295420	Monique Donovan
836068	304237	
836068	310188	Ernestine
836068	335567	Host
836068	352700	Belinda
836068	383987	Jennifer Woods (1985-1986)
836068	389867	Linda (1989)
836068	401787	Host
836068	411802	Dr. Olivia Barber Hastings (1
836069	134018	Fourth Kid
836070	143389	Mrs. Egan
836070	197065	Page
836070	278315	Gabriella
836071	363303	Tina
836072	26841	Tracy - Girl in Glasses
836073	40660	Irate Woman
836073	97351	Laundromat Woman
836073	129119	Gladys
836073	145110	
836073	304955	Uniformed cop
836074	330559	Nurse
836075	350145	Dragon Girl
836076	12057	Herself
836077	141610	Claire
836077	158056	Duchess Ceinwen ferch Rhys ap
836078	254072	
836079	5358	Herself
836079	11839	Jennie
836079	26395	Gloria
836079	39659	
836079	43877	Anne-Marie McCoy (Candyman)
836079	46305	
836079	53821	Anne-Marie McCoy
836079	56583	Herself
836079	93974	Mali
836079	109613	Waitress
836079	127508	Voiceover
836079	158813	Wilhelmina Hunter
836079	190702	Pharmacist
836079	219904	Donna
836079	230676	Keisha
836079	244770	Sandra Williams
836079	257804	Riana Roberts
836079	267255	Jennifer
836079	296984	Herself
836079	391267	Sonja Briggs
836079	397401	Rhonda Blair (1992-1993)
836079	398567	Lila Marquette (1995-1996)
836079	406007	Maxine Chadway
836080	124017	Freddy's Mum
836081	1491	Herself - Presenter
836081	1674	Herself
836081	2329	Herself - Performer
836081	2960	Host
836081	6989	Queen of Trash
836081	18037	Gloria
836081	50975	Rose Alvarez
836081	55397	Host
836081	63044	Herself
836081	71922	Mother Henriette Delille
836081	77676	Ruby Sinclair
836081	79569	Herself
836081	87975	Ebony Scrooge
836081	90209	Dulcinea/Aldonza
836081	90776	Herself
836081	96555	Herself
836081	102341	Dr. Lee Cullen
836081	119525	Herself
836081	121522	Valentine Hayward
836081	122217	Alexandra 'Alex' Torres
836081	139467	Lulu Daniels
836081	149258	Francine Hughes
836081	163523	Host
836081	164619	Suzanne de Passe
836081	168776	Dorothy Johnson
836081	175167	Hazel Scott
836081	176388	Lynette Parks
836081	190461	Audrey McDonald
836081	201696	Herself
836081	215456	Herself
836081	220212	Herself
836081	221474	Herself
836081	238420	Calypso
836081	251089	
836081	253361	Terri Knight
836081	255169	Rae
836081	291014	
836081	296980	Carmen Vasquez
836081	307878	Herself
836081	309477	Teri
836081	315190	Pauline
836081	345728	Reader
836081	346117	Samantha Richards
836081	350406	Herself
836081	352748	Herself - Musical Perfomance
836081	369195	
836081	392460	Narrator
836081	399739	Dr. Kathy 'Kat' Hunter
836082	65529	Herself (on the background be
836082	221483	Herself
836082	392424	Herself
836083	35080	Host
836083	261417	Vera
836084	118763	Mental Patient
836085	40537	
836086	32531	Lady Homeowner #2
836086	104965	Cowgirl Debbie
836086	139573	Megan Harpur
836086	163228	Jenny
836086	164474	Allison
836086	222681	Bluebird Cafe Waitress
836086	272418	Faithful
836086	283500	Girl at Kiosk
836086	366118	Joanna
836086	383890	Nicky Gore
836086	388256	Suzie Crossley
836086	393880	Moira Jekyll
836086	396623	Kate Bensham
836086	402785	Shirley Moffat
836086	403369	Marjorie Daws
836086	404850	Marthe
836086	406949	Bev Stephens
836086	408951	Sophie
836087	84828	Baby
836088	380713	Brandy Taylor (2001-2002)
836088	400236	Lorna Van Skyver (1995-1996)
836089	270944	Marcella
836090	145174	Ahshi's Friend
836090	221105	Chantels
836091	297097	The Sirens
836092	298216	Cayla
836093	161594	Dorothy Dandridge
836094	40005	Grace Gallmington
836094	72573	Ann Dixon
836094	110560	Fay
836094	236895	Mrs. Fuller
836094	381503	Lady Brandon
836094	385299	Sally Banks
836094	386669	Sarah
836094	394659	Frances Graham (1960-61)
836094	396787	Josephine Fabre
836094	403112	Hon Alice Gaunt
836094	409840	Lady Barking
836094	411532	Mrs. Linton
836095	303501	Autograph Seeker
836096	266758	Butch
836096	378691	Herself
836097	242815	Club Woman #2
836097	258859	Darla
836097	279841	Ramirez
836098	105815	Yvonne
836099	90092	The Waters and Friends Chorus
836099	94621	Singer
836100	239829	Granny Ensemble 5
836101	150891	
836101	157978	Daughter
836101	232845	Little Girl #3 in Ballet Clas
836102	88156	The mother
836102	294902	Martha, The Vicar's Wife
836103	82016	
836104	60716	
836105	143264	Marching Girl
836106	410450	Vicenta
836107	74006	Edna Foster
836108	44036	Gayle
836109	69610	Red
836110	397747	Presenter
836111	132530	Office Worker
836112	6119	Andrea
836112	306626	Herself
836112	400236	Jessica Lynn Buchanan (#5) (2
836113	31671	Sue
836113	319760	2nd Prostitute
836114	273698	Tony Billows
836115	42276	Pam
836116	298079	Girl at Reception
836116	399065	Kate (episodes 1, 2)
836116	405024	Alice Meadows
836117	92299	
836118	188453	Opening Sequence Girl
836119	77576	Vivandier
836120	375715	
836121	213090	Martin's Secretary
836122	94202	Odd Girl Blind Date
836122	94476	Jogger #1
836122	211440	Missy
836123	222597	The Muse
836124	328564	Mrs. Borden
836125	50989	Grandmother
836125	76820	Grandma
836125	87576	Barbara Murphy
836125	93139	Mrs. Sneeder
836125	144467	Mrs. Young
836125	185709	Nurse Waring
836125	191898	Nurse
836125	230398	
836125	270484	Mrs. Winger
836125	274312	Old Lady
836125	296799	Mrs. Knapp
836125	313929	Dr. Yvonne Chambers
836125	336647	Edith
836126	133594	7-Year-Old Girl
836127	128893	Zoe
836127	241322	Cashier
836127	257696	Student
836127	324951	Miss Demmings
836127	403068	Paramedic
836127	411414	Employee (1997)
836127	411687	Wendy (2003)
836128	59306	Officer
836128	62784	Claudia
836128	85186	Featured Party Guest
836128	105502	Dr. Bantrow
836128	279335	Cinematographer
836128	303266	Aerobics Instructor
836128	329816	Susan
836128	370118	Ground Crewwoman
836128	407421	Head Nurse
836128	411569	Storm/Ororo Munroe
836129	214047	Hymn Singer
836130	78760	Scientist C
836131	391786	Dawn Cunningham (1995-1997)
836132	170411	Cindy
836133	67786	Rose
836134	188118	Herself
836134	220059	Herself
836135	56821	
836136	140077	Jade
836137	289372	Featured Extra
836138	247415	Amelia Earhart
836139	24702	James's Mum
836141	323497	Restaurant Patron
836142	91800	Marge
836142	96978	Dean Janet Vanderpool
836142	108319	Mrs. Peterson
836142	117575	Mrs. Baldridge
836142	187193	Madeline Kroft
836142	266577	Pat
836143	63000	Child
836144	109449	Land Shark Victim
836145	310648	Woman with Gamble
836146	223885	Airport Bartender
836147	347856	Amanda
836148	184656	Lily
836148	205076	Simone Evrard
836148	234218	Patient #2
836148	297672	Victor's Girl
836149	69678	Margaret the Shy/Quiet One
836150	118970	Lina, Dancer
836151	155013	Girl/Jack's movie
836151	172717	Stylist in Dressing Room
836152	390336	Herself - Weather Presenter
836152	392864	Presenter
836153	2471	Pedestrian
836154	16660	Kathy Eaton
836154	31715	Aunt Vesta
836154	35184	Roxanne
836154	80969	Court Photographer
836154	114955	Mrs. Rifkin
836154	210620	O.R. Nurse
836154	245699	Rose Budd
836154	249494	Officer
836154	263360	Saleswoman (Beverly Hills)
836154	276424	Nurse
836154	278402	Eva Jackson
836154	363393	Questioner #1
836154	411419	Linda Smith (1970-71)
836155	363248	Woman
836156	114145	Katie Warren
836156	239891	Louisa (11)
836156	292794	Beth
836157	339429	April Fisher
836157	347856	Monique
836157	379831	Lisa Bartholomew #5 (1993)
836158	152603	Passer-by
836159	14051	Herself
836160	306286	Dancer
836161	206621	Starlet
836163	165054	
836164	358874	Farmer's Wife
836165	14200	
836165	35174	Henrike
836165	49306	Erika Kolka
836165	98063	Rike Schrödter
836165	98264	
836165	125001	Lizzy
836165	129664	
836165	209968	Myrtle Mae
836165	210002	Anna Schmidt
836165	251001	Doris
836165	281714	Debra Morrisoe
836165	284424	Ines
836165	307651	Polizei-Ärztin
836165	313649	Karin
836165	334506	Wibke
836165	352500	Ehefrau
836165	386200	Ricarda
836165	390815	Alexandra Starck
836165	395399	
836165	404899	Ute (1980-1983)
836165	408320	Billie Reimann
836165	409613	Mariella
836165	410611	Sabine Baumann
836166	32894	Kara Phillips
836166	44456	Frankie, the barmaid
836166	237779	Portuguese Maid #1
836166	330957	Ward Sister
836166	331285	Mortuary Assistant
836167	60375	Herself
836168	31317	Ensign Cienna
836168	229108	Tammy Garrett
836169	195262	Crenshaw High School Girl's B
836170	72862	Michelle
836172	128630	
836172	128634	
836172	333831	
836173	81475	
836174	340791	Karen
836175	110279	Julie
836176	18635	
836176	151351	Intellect
836176	194687	Movie on TV 'Big Sister'
836176	380391	Alexandra 'Alli' Fowler #5 (1
836176	389858	Courtney Matthews (2001-prese
836177	131585	
836177	337769	Jeanette MacDonald
836178	160911	Sheila
836179	365341	Stewardess #1
836180	399295	Herself
836181	31315	Space Angel
836182	405209	Amberley Wilson (2001)
836183	40227	Chanda (Assistant Director)
836185	213578	Katisha
836186	342590	Herself
836187	342590	Herself
836188	80959	
836190	232825	
836191	107857	Laurie Campbell
836192	73359	The Baby
836193	347856	Vanderholt's wife
836195	312925	
836196	335155	Chaperone/Tutor
836197	298240	Ruth Roland
836198	303292	Donna's Mom
836199	384874	Corrine
836200	107265	Officer #2
836200	119601	
836200	120106	Booster Wife
836200	190171	Bullhorn protester
836200	191881	Rachel Wilson
836200	217535	Jill Boyer
836200	267474	Kim Grey
836200	278217	Lauren
836200	278516	Ditzy Woman
836200	302329	Nurse
836200	397832	Cassie Anders
836201	42386	Clarissa Flan
836202	7173	Aunt Molly Harris
836203	106850	
836203	366249	
836204	330218	Coley James
836205	276314	Amy
836206	130677	Woman in dance hall
836207	23467	Laurie/Themesong Vocalist
836207	65896	Board Member
836207	280130	Linda
836208	308092	2nd Woman at Party
836209	343160	Secretary
836210	89307	Monique
836211	39808	Miss Carey
836212	39808	Mrs. Carey
836212	82628	Mary Greig
836212	193774	Dunham
836212	218970	Mother
836212	285655	Aunt
836213	34740	
836213	34945	
836213	44651	
836213	232732	
836213	232733	
836213	258284	
836213	333830	
836213	333833	
836214	81211	
836214	271613	Mother Goose
836214	309130	Lady Annabella Sangazure
836214	359444	Ilse
836214	363004	
836215	193956	Peggy
836216	112205	Stewardess
836217	167324	Herself (in Zapruder film)
836217	397430	Herself - Onlooker
836218	149936	Amanda Talley
836218	236083	Angela Albertson
836218	364424	Girl running between Jimmy an
836219	87001	Female Computer
836219	109832	Nurse
836219	206349	Tina
836219	363001	Glenda Emery
836220	29112	Monica Miller
836220	46334	Young Girl
836220	289603	Young Pearl
836220	364424	Girl running between Jimmy an
836222	1092	Wendol Mother
836222	69333	Old Woman
836222	107265	Mrs. Jessica Brummel
836222	108941	Receptionist
836222	201260	Irene Terwilliger
836222	224842	Mrs. Prior
836222	268026	Neighbor
836222	298127	Ute
836222	336157	Grandma
836222	348545	Old Lady
836222	362115	Mrs. Guttman
836222	379716	Helga Voynitzheva (1991-1992)
836222	391189	Irene
836223	52899	
836223	78225	
836223	117173	
836223	138788	
836223	150880	Rose Legere
836223	220350	
836223	310683	Gretchen Von Landshort
836223	345825	Aunt Chloe
836223	365069	
836224	218354	Stripper
836224	295998	Mrs. Terson, Aries
836225	29112	Erika Miller
836225	289603	Infant Pearl
836225	364424	Girl running between Jimmy an
836225	364431	Buttercup Scout
836226	125606	Cardiologist
836227	298268	
836228	253421	The Maze Mistress
836229	23935	Herself - audience member
836229	382492	Himself - Presenter
836229	390336	Herself - Weather Presenter
836229	408809	Herself - Adjudicator (1985-1
836230	113315	Janet
836230	176852	Vivia
836230	185553	Cheryl
836231	61737	Vera Roberson
836232	172605	Sheryl
836233	60684	Herself (Dancer)
836234	86907	Mae Doyle
836235	158812	Paris saleswoman
836236	47993	Summer
836237	45421	Catherine Max/Lady Catherine 
836237	47191	Dr. Houston
836237	69747	Aunt Boo
836237	85123	Sister Catherine
836237	119802	Dr. Grogan's housekeeper
836237	123373	Miss Stewart
836237	158514	Sister Renata
836237	199638	Louise
836237	205191	Petite lady
836237	237465	Dr. Houston
836237	317326	Mrs. Carruthers
836237	367816	Mrs. Crich
836237	399758	Gwendoline Ambient (segment "
836238	381666	Narrator
836239	116112	Student
836240	34378	
836241	214188	The Singer
836241	350641	
836242	155227	Annette Brashlout
836243	187148	Herself
836244	30937	Carla
836245	331113	Susan Meggs
836246	253893	Presenter
836247	286335	Monica
836248	51967	Wanda Polsky
836248	72874	
836248	185694	Nancy Victor
836248	247215	Beverly Greene
836248	275456	Beverly
836248	315997	Melissa Rhodes
836248	388521	Linda Baines
836249	302003	
836250	90351	Girl
836250	203381	Boutique Attendant
836250	337482	Dancer
836251	41214	Susan
836252	123471	
836252	383689	Presenter
836252	397809	Presenter
836252	411574	Presenter
836253	269287	Stacy
836254	113281	Barbara
836254	191862	Consuelo Morgan
836254	201884	Herself
836254	243620	Mrs. Hoan
836254	244356	Amy Matthews
836254	319602	2nd Secretary
836254	319613	Leueen
836255	77431	
836255	121921	
836255	128849	The Silver Fox's new call gir
836255	135737	
836255	161439	
836255	187412	Herself
836255	191421	
836255	206447	Mrs. 'Fat Man'
836255	232353	
836255	233875	Customer
836255	243539	
836255	276940	Maggie
836255	297686	
836255	320965	
836255	320987	
836255	320988	
836255	329392	
836255	340571	
836255	347448	
836255	347750	
836255	360162	
836255	362480	
836256	363490	Poll Maggott
836257	199639	Polka Lady
836257	235486	Greta Stagget, Hamburger Vend
836258	222883	Lil
836259	213951	Tracy
836260	285031	Herself
836261	95945	Village Woman/Duchess
836263	361841	Pioneer Woman
836264	6888	Herself
836264	36601	Herself
836264	53725	Jacqueline
836264	55454	Herself
836264	61639	Alice Nightingale
836264	75787	Polly Wright
836264	88928	Polly
836264	88933	Polly
836264	197775	Herself
836264	235591	Girl
836264	250726	Herself
836264	258036	Angela
836264	276253	Polly
836264	307944	Anne
836264	315620	Herself
836264	382192	Jean Blake
836264	386587	Polly Wright (1966-1967)
836264	402798	Roberta
836264	406668	Evelyn McLean
836265	15399	Little Girl
836265	126069	Joan, as a child
836265	183445	
836265	212832	Cathy Williams
836265	272915	Girl
836265	305399	Deidre
836265	307913	Dolores
836265	308352	Mother in Commercial
836265	317349	Flirt
836265	392428	Beverly Grossman (1953-1955)
836266	279481	Prom Queen
836267	37346	Mrs. Bodkin
836267	39162	Mary Hillcrest
836267	47193	Mrs. Wigglesworth
836267	58810	Bessie's dresser
836267	128333	Miss Polkinghome
836267	138770	Laura Meakin
836267	144775	Miss Isabella Hobson Tuff
836267	168688	Miss Bennett
836267	192055	Birdie May
836267	193374	Mrs. Coles
836267	203143	Cook
836267	209429	Broadicea Briggs
836267	222774	Jury Member
836267	231438	Mrs. Crudden
836267	231857	Aggie
836267	234789	Mrs. Carr
836267	239810	Martha
836267	239842	Maggie
836267	240765	
836267	269346	Countess' old servant
836267	311828	Miss Hagworthy
836267	312350	Mrs. Parker
836267	334383	Mrs. Ellis
836267	361261	Mrs. Curley
836267	362402	Sophie Foden
836267	371073	Minnie Masters
836268	390523	Vikki Meedes (2001-2002)
836269	113390	Radio announcer
836270	112250	Herself
836270	355696	Herself - Tennis Champion
836271	17023	
836272	320068	Jessie
836273	87429	Emily
836273	175121	Autumn
836275	129575	Bonnie
836276	365658	Jamie
836277	92181	London mole
836277	214751	
836278	111938	Herself
836279	363416	Herself
836280	309158	Malt Liquor Angel
836281	33340	
836282	41817	Host
836283	30381	Annie
836283	80881	Mrs. Shields - in play
836283	130843	Indian Squaw
836283	253142	Slippery's Wife
836284	163258	
836285	303282	Herself
836286	39779	Dr. Brown
836286	143829	Admissions Clerk
836286	148378	Shelter Director
836286	154615	Lily Scott
836286	164480	Mary Alice
836286	191350	Stand Up Reporter
836286	321339	Lawyer
836286	343387	Ruth Roper
836286	372803	Joan
836286	385824	Alexandra 'Lexie' Brooks (#1)
836286	388349	Dr. K. C. Nicholson (1988)
836286	389867	Rita Barton (1989)
836287	105890	Julie Kinderman
836287	107846	Heather
836287	127323	Buffy
836287	141592	Country Club Courtney
836287	155893	Tracy
836287	209630	Peace Corps Volunteer
836287	230499	Elizabeth Wyler
836287	333237	Veronica
836288	259484	Mona
836289	334191	
836290	139798	Herself (convicted spy)
836291	82643	Dancer
836291	137462	Dancer
836292	77836	Princess
836293	301028	Finnische Geliebte/Lover from
836293	314811	Stewardess
836294	39680	Frances Reed
836294	134193	Mrs. Molinaro
836295	144466	Drinker #3
836296	310481	Unsympathetic Nurse
836298	195329	Agency Lady
836298	211753	Irene
836298	288739	Harried Older Woman
836298	364308	
836298	410959	Hotel Desk Clerk
836299	313189	Bobo Weller
836300	35061	Fru Steen
836300	102497	Fru Helene Wang
836300	116313	Kurts mor
836300	125432	Madam Andersen
836300	136619	Husbestyrerinde Stoffer
836300	136635	Fru Gormsen
836300	187618	Fru Hansen
836300	198069	Oldfrue på hotellet
836300	219005	
836300	237023	
836300	305520	
836300	352989	
836300	353045	En jordemoder
836301	323793	Herself
836302	389307	Anna (1982-)
836302	393902	Knud
836302	394053	Andrea (puppeteer/voice)
836302	394128	Mor kanin
836302	395364	Andrea/Syvsoveren (puppeteer/
836303	212333	Herself - Participant/Perform
836304	211283	
836305	390978	Herself - Participant (Finali
836306	91986	
836306	108059	
836307	360444	Bett Bett
836308	83391	
836308	166128	
836308	207778	
836308	218280	
836308	262966	
836308	268979	
836308	273108	
836308	338590	
836308	346693	
836308	349487	Commandant's Wife
836308	357858	Mme Marceau
836309	238492	
836310	347616	
836310	392735	Herself
836311	2839	
836311	21069	Inês (segment "A Inconfidênci
836311	21557	
836311	51783	(segment "Cartão de Crédito")
836311	54104	Laura
836311	61345	
836311	63821	
836311	72551	
836311	110888	Lúcia
836311	148475	
836311	156397	
836311	170055	Lucía (segment "Divertimento"
836311	211018	
836311	218985	
836311	253433	Herself
836311	307077	
836311	322265	Luciana
836311	344871	
836311	379880	
836311	380112	Marcela
836311	380154	Ana Maria
836311	380271	Patrícia
836311	380387	Joana
836311	381263	Jô Penteado
836311	383866	
836311	384303	Laura
836311	384711	Lucrecia Borges
836311	384820	
836311	384867	Penélope
836311	385876	Angelina
836311	386419	Maria Helena
836311	387424	Márcia
836311	387833	Rosa
836311	388488	
836311	390751	Bette
836311	391673	Zuleika Viana Sampaio
836311	392792	Maria Altiva Pedreira de Mend
836311	393876	Sônia
836311	396387	Maria
836311	396506	Maria da Cunha
836311	396795	Tatiana Torres de Almeida
836311	397547	Jandira
836311	397645	Nenê
836311	398500	Martha (1998-1999)
836311	398502	Ruth/Raquel
836311	399147	
836311	399713	Gabriela
836311	401104	Hilda Pontes
836311	401678	Rebeca
836311	402189	Laura/Sandra/Silvia
836311	402504	Teresa Pelegrini
836311	402685	Queen Maria I
836311	403118	Marieta Berdinazi
836311	403308	Sílvia
836311	403617	Rebeca
836311	403618	Maura Garcez
836311	407680	Herself
836311	408727	Francisca Moura Imperial
836311	409419	Herself
836311	410053	Dinah
836312	242678	
836313	214147	
836314	48132	Gudrun
836314	354606	Arvingen
836315	224106	Camille
836316	402610	1st Girl At Party
836317	5037	Wedding Singer #2
836318	267486	Cashier
836318	279347	Freya
836318	355184	Laura
836318	383078	Tina Meredith
836319	294249	Mistress #1
836320	136360	
836321	25138	Dominique
836321	28916	Eva Davidson
836321	43341	Giuletta
836321	53900	Myriam Hork
836321	55723	Petula
836321	57542	Chanteuse Mireille
836321	59385	Dany Dupré
836321	65136	Éliane
836321	84689	Nadia Banot
836321	104232	Myrna de Maripasula
836321	111134	Paulette Bénito
836321	129026	Queen Astrid
836321	132750	Dominique Arden
836321	225617	Carlotta de la Rue
836321	249684	
836321	268438	
836321	269706	Françoise
836321	279246	Monique
836321	281123	Birgit
836321	309690	Ingrid
836321	344784	Maureen
836321	370107	Mireille
836321	410366	Marika
836322	179609	Showgirl 2
836323	411107	Team Member
836324	14132	Finch Girl
836324	95785	Terry
836324	230324	Fruit Headdress Woman
836324	401930	Kimberly 'Kim' Wallac, RN (20
836325	382715	Weather Forecaster
836326	78645	
836326	254466	
836327	46762	Tillie
836328	358638	Cat Sympathizer
836330	153160	
836332	32557	
836332	40044	Mrs. Santa
836332	84692	Madame De Boer
836332	134334	Eva
836332	137060	
836332	165173	
836332	205535	
836332	207996	Mother
836332	284511	
836332	285687	Anna
836332	352216	Jeanette
836332	409992	Agnes
836332	411311	Moeder van Stan (2002)
836333	48161	Dienster
836334	377715	
836335	50273	Adele Konck
836335	253940	
836335	293879	Rita Helle, hans nye kone
836335	317650	Bitten Helgesen
836336	334274	Brandy
836337	281878	Miss Lust
836338	57795	The little girl
836339	69895	Voice of NASA
836340	385299	Tessa Wyvern
836341	17978	Mr. Carlton's whore
836341	100945	Rachel
836341	116709	
836341	379600	Carol Broadbent
836341	381795	Kate Roberts (1993-1994)
836341	395080	Dr. Sarah Kilbride
836341	398351	Jane Gladwyn
836341	400807	Carol Kane
836341	409386	Sophie
836342	21450	Rosa
836342	32514	Bella
836342	44539	Lottie Forrest
836342	58803	
836342	58944	Stella
836342	67194	Mrs. Oliver
836342	77667	Irene
836342	114190	Rosalind Faber
836342	134016	Maisie Gay
836342	153299	Mrs. Grey
836342	195535	Mrs. Savage
836342	206464	Ida Brun
836342	212690	Violet Cunliffe
836342	222614	Lucille Davine
836342	232859	Judy
836342	237963	Cella Stuart
836342	246522	Phyllis Mainwaring
836342	307993	Betty
836342	334124	Daphne Fitzgerald
836342	372912	Dorothy Wilson (a typist)
836343	80430	Bingo Burger Patron
836344	96958	Sketch Artist
836345	111362	Sir Isaac Newton/Reporter
836346	393761	Herself
836347	179484	
836347	354729	
836348	124987	Woman in Bordello
836349	301747	Sara
836350	7987	
836350	81438	Young Girl
836350	200052	Girl with baby
836350	221215	Nurse Knight
836350	222745	Canning's Maid
836350	224085	Sarah
836350	313050	Jude
836350	381171	Miss Hoolie
836350	384039	Various Roles
836350	402426	Various characters
836351	35763	Judy Grundy
836352	240644	Ibyx/Model
836353	7309	
836353	286228	Dancer
836353	369492	Xanadu Dancer
836354	300428	Debbie
836355	13045	
836355	17906	
836355	18949	
836355	53745	Sex Show Performer
836355	90682	
836355	91047	Erika
836355	101118	
836355	102665	Antonia
836355	111154	Zaira
836355	130566	Claudine
836355	155760	Ajita
836355	159497	
836355	168235	
836355	175045	
836355	196701	Luisa
836355	229612	Tamara
836355	243618	Murielle
836355	249853	Enrica
836355	252337	
836355	256884	
836355	264256	Princess Mariam
836355	288941	Muriel (Billed as Maria)
836355	314914	
836356	63140	Julia
836356	155861	
836356	157840	Laurie Connor
836356	238061	Jo/Davia
836356	292148	Caroline Dawes
836356	305379	Ms. Kegel
836356	380391	Josephine "Josie" Watts Sincl
836356	391898	Sarah Brewer Metcalf (1991-19
836356	396123	April Hathaway (1987-1989)
836356	397479	Dr. Dru Breslauer
836356	403814	Kaitlin
836356	409585	Sam McCormick
836357	71474	Dancer
836358	33618	Lady Sackton
836358	46211	Kate Dewey
836358	61698	Alice
836358	93077	Mimi Gascoigne
836358	106631	Lottie Driscoll
836358	107083	Mrs. Hammond
836358	192352	Kit
836358	196091	The Sculptress
836358	201916	Mrs. Garnie Crest
836358	240764	Polly Updike
836358	251277	Gertie
836358	300029	Marie Gibson
836358	362567	Sylvia Pennywise
836358	365887	Mary Fuller
836359	235016	Normanna Ormal
836360	196434	Nurse Darlene
836360	266583	Anchorwoman
836360	328584	Clarissa
836361	314699	Teen Girl #3
836362	102576	Pretty woman ('Baby')
836362	256636	Nurse
836363	342403	Peggy
836364	175223	Ruth
836364	177792	Co-Ed
836364	178218	Bookstore saleswoman
836364	385538	Barb Krolak
836364	399674	Molly Carver (1999)
836365	74000	Crude Oasis Bar Patron
836366	342669	Feet
836367	26313	Teen mother
836368	100839	Lori
836369	59797	Dancer
836369	176503	
836369	245249	Showgirl
836369	280000	Whitney
836369	336484	Dancer
836369	394406	Dancer (1984-1986)
836370	117278	Hadley
836371	363528	Dawn
836372	89572	Woman in Via Veneto
836372	183706	Office Girl
836373	48264	Psychiatrist
836374	311031	Audience
836375	11687	Herself (performer)
836375	69080	Herself
836375	98145	Mom
836375	141377	Self
836375	161355	Herself/Interviewed
836375	178091	Herself
836375	410035	Herself
836376	396029	Host (1986-??)
836377	114465	
836377	152584	Boomshanka
836377	161018	Stephanie Crowe
836377	176520	Holly
836378	14620	
836379	366082	Dancer
836380	265506	Donna (teen)
836381	378685	Herself - Member, Heart
836382	321656	
836383	31819	Touch chick
836383	347852	Reporter #5
836384	127754	
836385	241811	Little girl
836386	358484	Mini-Mart Cashier
836387	46679	Herself (Brian's mother)
836388	55693	Jane
836388	55714	Amazon Guard 1
836389	312554	
836390	176406	Baby in carriage
836390	328656	
836391	41234	Ann
836391	115268	Ann
836391	184212	Mary
836391	195006	Helen Preacher
836391	203588	Anna Sherman
836391	284028	Diane Wilson
836391	326770	Betty Herne
836392	229245	
836393	116952	Receptionist
836393	359790	Dr. Maxwell
836394	269429	Mamselle Pointevin
836394	368262	
836395	116972	Wife
836396	187148	Herself
836398	50170	Social Worker
836399	80426	Jo
836399	342905	
836400	47439	Khavah's Mother
836400	131458	Lottie
836400	320248	Phoebe
836402	368110	Girls at Dance
836403	48040	Woman
836404	406459	Herself/Starting Over roommat
836405	32052	Lorna Larkin, Miss Texas
836405	38021	Veronica Vaughn
836405	43877	Elsa Shivers (I Know What You
836405	50815	Sarah
836405	106381	Chloe
836405	113411	Jennifer Clark
836405	145019	Nicole
836405	149923	Julit Spring
836405	151106	Melissa Margaret Marr
836405	154309	Elsa Shivers
836405	171297	Amber
836405	185053	Whitney/Meredith
836405	196063	Chelsea Turner
836405	205862	
836405	219534	Sonya Blade
836405	219542	Herself
836405	230279	June
836405	233307	Sandy
836405	273271	Sahara
836405	299789	
836405	313830	Sandra
836405	314503	Melinda Harrison
836405	317945	Lara
836405	347070	Jeannie Hawks
836405	360713	Francine Jane 'Fran/Franny' D
836405	404282	Lisa Fenimore Castillo #2 (19
836405	404373	Ginger (1992)
836406	17697	Tillie Boulter
836406	135564	Rita Greenhill
836406	206335	Larine
836406	383289	Harriet Sims
836407	235440	Mindy
836407	292685	Patsy
836408	184769	Lapdancer
836408	199273	Waitress
836409	37261	Stewardess
836410	29753	Katrina-Tommy-Villagers (moti
836410	69639	Young Carla
836410	170881	Hiromi
836410	259756	Lila
836410	271961	Chelsea
836410	312192	Jules
836410	375643	Chelsea
836410	390961	Sandy
836410	392964	Suzunna
836410	397346	Maylu Sakurai
836410	403682	Myra Salinger
836411	115162	
836411	210242	Herself
836411	243746	Kim
836411	342245	Herself
836411	342246	Herself
836411	374524	News Anchor
836411	400736	Herself/panelist
836411	402425	Herself (1997- )
836411	405579	Various Characters (2003-)
836411	405580	Various Characters
836411	406707	Yalena
836411	407789	Various Characters
836412	251555	Eve
836413	43	Mama Earth
836413	1673	Herself
836413	46679	Herself (Brian's daughter)
836413	96555	Herself
836413	221474	Herself
836413	280084	Herself
836413	296919	Herself
836413	365931	Herself
836413	381935	Herself
836413	383489	Hostess
836413	388272	Herself/Judge
836414	56304	Classroom Nun
836414	126276	Mrs. Wilson
836415	40334	Child
836416	13533	Ms. Estopheles
836416	243150	Butch Female Janitor
836417	183323	Sexy Bartender
836419	20999	Herself
836419	166069	Herself
836419	170843	Singer
836419	291026	Special Appearance
836419	291976	Herself
836419	309504	Featured Performer
836419	316093	Herself
836419	393379	Herself
836420	52568	Rachel
836420	321268	Loctavia
836421	56954	Herself
836421	162099	Fairy
836422	132786	Gretchen
836423	206928	Woman in Dressing Room
836424	69732	Cathy
836425	72851	Delanna Cloud
836426	140953	Jaime
836426	193701	Pvt. Athena Johnson
836426	199162	
836426	254645	Chandra
836426	296238	Gloria
836426	316327	Lena
836426	382357	Claudia
836426	390642	Miranda Bailey
836427	222597	Rehearsal actress #5
836428	222597	Rehearsal actress #1
836429	197481	Bebette
836429	332436	Jenny
836429	393447	Chrissie McAteer
836430	350347	Mexican Girl
836431	338981	Herself
836432	21531	Female Realtor
836432	40795	Janine
836432	80715	Girl #1
836432	96970	Melanie
836432	140361	Joan
836432	160589	Bank Official
836432	204243	
836432	220058	Admissions Counselor
836432	222656	Reporter
836432	241058	Mrs. Piper
836432	262077	Margaret Power
836432	314503	Dr. Donna Canfield
836432	321667	Barbara
836432	328253	Heather
836432	346933	Nancy
836432	362689	Mrs. Shifrin
836432	362690	Mrs. Schifrin
836432	386172	Molly Dearden
836432	393955	Host
836432	395315	Carol Dixon (1988-1989)
836433	338981	Herself
836434	57738	Lisa
836434	383385	Kate Wells (1986-1987)
836434	385824	Megan Hathaway (1984-1985)
836434	404282	Sandra Mills (1989)
836435	224349	Mrs. Larrabee
836435	366096	Mrs. Smith
836436	386385	Jackie Allison
836437	185640	Maid 3
836438	130184	Picnic Princess #2
836439	5092	Teacher
836439	137579	Kung Fu Instructor
836439	329522	Saturn 5 Member
836439	370734	Giancarlo's Man
836440	62922	Nutlady
836441	148909	Fight promotor
836441	181534	Nina Taylorson
836441	193260	Dana
836441	247498	Tammy Racine
836441	257696	Ronnie
836441	340109	Tammy
836441	344496	Ronnie (The Players Club)
836442	14082	Herself
836443	23152	Herself
836443	241795	Herself
836443	283104	Newborn Baby
836444	299317	Herself
836444	306431	Cafe Roads M.C.
836445	87166	Fancy Dancer
836446	86362	
836446	216083	
836446	236972	Snowflake
836447	221502	Waitress in punk bar
836448	236972	Waltz of the Flowers
836449	87586	Angels Against Dust
836450	92232	Singer
836450	222687	Gabrielle Dixon
836450	244334	Joy
836450	289490	Paramedic #2
836450	340034	Leslie Ames
836450	385056	
836450	405770	Host (1995)
836451	107451	Ollie Remus
836452	316140	Nightclubber
836453	97360	Choir Member
836454	194055	Black Maid
836455	80803	Woman in Knife Store
836456	74210	Barbie Taylor
836456	299233	Buster Macauley
836456	318770	The Bomber's Daughter
836458	17751	Duffy
836459	222597	Rehearsal actress #7
836460	136128	Lexi's Birthday Party Dancer
836461	316170	Scottish Villager 1
836462	846	Herself
836462	866	Herself
836462	22722	Belinda Davis
836462	25834	Flight Attendant
836462	41829	Statistician
836462	62786	Akia May
836462	72474	
836462	127106	Herself
836462	128089	Salesgirl #3
836462	134315	Medicaid Woman #2
836462	165474	Chi-Chi
836462	230682	
836462	232830	Lisa
836462	272371	Great Grandma
836462	282864	Julia
836462	304814	Wendy
836462	309576	Jennifer Williams
836462	313397	Security Officer
836462	319453	Herself/Comedian
836462	324951	Nolan
836462	364100	Aunt Tiny
836462	364101	Aunt Tiny
836462	380495	Herself (pilot)
836462	383309	Announcer
836462	392423	Herself
836462	396359	Various (1995-2003)
836462	398403	Queenie
836462	409667	Various Characters
836464	285032	Indian Woman
836465	263974	Tattooed Woman
836466	281402	Dana
836467	71	Member of Music Maids
836467	149382	
836468	128301	Mrs. Fenton
836468	360229	Grace Bonnard
836469	2487	Mother at the window
836470	177598	Rosella , Alicia , Queen Beet
836471	44330	Wendy Coletti
836471	85817	Sales Clerk
836472	397032	Marcia
836473	124502	Jane
836473	360699	Sarah
836474	368949	Woman with Dog
836475	270697	Dancer #7
836476	367579	Helga
836477	43919	Mechanic Girl
836477	80031	Darlene
836477	161838	
836477	185096	Sleeping Party Girl
836477	185636	Stacy
836477	194513	Cowgirl
836478	58858	
836478	222580	Diane Parks
836478	303235	Jessie
836479	196944	Molly King
836479	381780	Herself
836480	241811	Capt. Toback's wife
836481	5059	Connie
836481	8171	Betty Cameron
836481	27149	Sally Larkin
836481	32692	Patricia Merrick
836481	64590	
836481	72521	Ethel Landreth
836481	98151	Christa Storm
836481	145975	Alice Stebbins
836481	147650	Undetermined Role
836481	147804	Herself
836481	157878	Nancy Martingale
836481	185215	Clodia
836481	196927	Frances 'Fran' Sibley Clark
836481	210777	Anne Miller
836481	211601	Maxim Girl
836481	213983	Polly Pringle
836481	241443	Dorothy 'Babe' Brooks
836481	289620	Judy Blake
836481	310776	Eileen Hart
836481	362681	Kitty Baldwin
836481	363741	
836481	363960	Zita Scofield
836482	29745	Little Kid
836483	176406	Lady with baby carriage
836484	155003	Helen, Laura's Maid
836484	334180	Black woman
836485	85826	
836485	97697	Julia Pipp
836485	107782	
836485	152733	
836485	166982	
836485	200068	Claire Darkin
836485	203720	Ruth Kemp
836485	241031	Kate Beard
836485	331138	Dackin's Daughter
836485	354495	Blanche, Mrs. Newton's Daught
836485	364245	Dusk Weaver
836486	72690	
836486	411843	Herself (vocalist; 1950-1953)
836487	396088	Vivian Carlson (1959)
836488	105213	Stage 1
836489	10805	Landlady
836489	274525	Mrs. Reed
836490	309535	Flight Attendant
836491	123462	
836492	6249	Abigail Craven/Dr. Greta Pind
836492	11647	Countess
836492	33395	Kate Maslow
836492	38614	Helen Carter
836492	45640	Mary Fremus
836492	49952	Freda
836492	56889	Mother
836492	61570	Miss Fogarty, Teacher
836492	69806	Lilly Woldarski
836492	79844	Mrs. Rome
836492	96891	Mrs. Coyle
836492	130106	Secretary
836492	132456	Emily Watkins
836492	132525	Mrs. Braddock
836492	138704	Millie the maid
836492	138822	Mrs. Gordon
836492	158109	
836492	158920	Dr. Ruth Ruth
836492	161241	Herself
836492	166720	Mrs. Marsh
836492	183376	
836492	188242	
836492	192090	Mrs. Newquist
836492	203340	Dr. Anna Willson
836492	213865	Kate Stanton
836492	214092	Sally Ephron
836492	232861	Roz Keith
836492	234227	Vera
836492	241106	Judge Norma Solomon
836492	250830	Marge Fleming
836492	255264	Christine Schoenwalder, Teach
836492	264469	Pauline
836492	270008	Dorothy Van Doren
836492	274805	Jessica, Henry's Secretary
836492	280298	Grandma Louise
836492	287135	Mrs. Glidden
836492	304368	Harriet Wheaton
836492	310624	President Elizabeth Richardso
836492	311944	Mrs. Pierson
836492	332785	Receptionist
836492	335601	Jacki
836492	341752	Miss MacCracken
836492	363268	Dorothy Prentiss
836492	372149	Penny Sycamore
836492	385719	Mrs. Hopewell (1966) (first t
836492	386009	Rosiland Dupree (1993)
836492	386564	Mrs. Bogert
836492	387246	Frieda Hechlinger
836492	398245	Kathy Kelly
836492	399838	Berenice Bradshaw
836492	402605	
836492	404409	Eulalie Robillard
836492	404694	Felicia Stringer (1970)
836493	203560	Music Student
836494	109513	Kate Archer
836495	232020	Zombie
836496	21183	
836496	21441	
836496	35284	Pauline
836496	40124	
836496	45067	
836496	64555	Mamie
836496	76944	
836496	105410	
836496	105447	Ernestine Bergot/Sarah Brando
836496	106627	
836496	108012	
836496	121922	
836496	127695	
836496	147482	
836496	152515	
836496	157084	
836496	168583	
836496	175611	Henry's Wife
836496	186372	
836496	191672	
836496	197677	Sonia, aka 'La Signorina'
836496	206369	
836496	213266	
836496	219974	Christine
836496	220316	
836496	224807	
836496	238731	
836496	240015	Nancy
836496	241438	
836496	245147	
836496	274181	
836496	280864	
836496	327580	Madame Maroff
836496	340021	
836496	346369	
836496	359955	
836496	363831	
836497	57101	
836498	80589	Cindy Vicious
836499	338584	Herself
836500	162529	Sammy
836501	195262	Crenshaw High School Girl's B
836502	5057	Ellie
836502	79132	Jessie Darrow
836502	292715	Sitting In Mr. Grey's Waiting
836503	379612	Aunt Harriet
836504	11666	Herself
836504	210407	Herself
836504	222638	Undetermined Role
836504	234031	
836504	318929	
836505	260628	Annie
836506	202195	Hooker
836507	190394	Woman
836508	388486	Anita
836508	395189	Midwife
836509	280830	Slave Market Soloist
836510	121529	
836511	254593	Mourner
836512	195558	Judy Morgan
836513	276439	Nurse
836514	64062	Stepsister
836515	363349	Laura Valone
836516	129550	Undetermined Role
836516	277734	Flora Mingasson
836516	313564	Daisy Cameron
836517	93974	Shantequa
836518	154368	Herself
836519	89250	Woman in dance hall
836519	161542	First Dancer of Tammuz (Babyl
836520	217745	Spencer's Girlfriend
836520	390771	Mother of Sick Child (2003)
836520	393300	Pregnant Woman
836521	69507	Miss Flew
836521	78008	Miss Berry
836521	127513	Waitress
836522	133447	Mrs. Kissel
836523	1971	Baby (Annie #2)
836524	80443	Hilary Bains
836524	143742	Jewel
836525	280033	Herself
836526	95789	Makeup Artist
836527	365311	Anne
836528	42814	Laura
836528	92095	Mark's Girlfriend (Geena)
836528	142491	Liz Sherman's mother
836529	80593	Nurse
836529	90912	Kimberly
836530	215560	
836531	14798	Gertrudis
836531	123150	
836531	201216	
836531	276121	
836532	94096	Elly Bee Rowe
836532	99584	German Nurse
836532	151659	Girl at Party
836532	199143	Mrs. Fromley
836532	340791	Lola
836532	358561	German Athlete
836533	126112	Rose
836534	363165	Molly Woodcock
836535	150575	
836535	372483	Brenda Walters
836535	375045	Ziegfeld Girl
836536	273315	Herself
836536	273427	Herself
836536	273439	Herself
836536	273483	Herself
836536	402993	Herself/Las Vegas (2002)
836536	402999	Herself/Real Worlders
836537	117522	Sunseeker
836538	41146	
836539	368130	Dancer
836540	399415	Becky Wells
836541	13963	Girl at Dance
836541	59568	Miss Bishop
836541	144591	Porter
836541	171013	Bella
836541	243744	Sandra (Woman in Bar)
836541	277618	
836541	294220	Mrs. Docherty
836541	384358	Mrs. Melvin
836541	388846	Miss Selby
836541	404536	Various Roles
836541	406370	Moira Craig
836542	13507	
836542	306286	Dancer
836543	7099	FBI Agent (Radish)
836543	56871	Bar Examiner
836543	84322	Cornelia Lydecker, Psychiatri
836543	98161	Emma
836543	161890	Mrs. Wood
836543	231115	Greta
836543	405336	Connie (episode 1.1-1.4)
836544	80660	Older Nun
836545	207036	Ltn. Heart Macintire
836546	207154	Rae Madison
836546	256861	Alice Pemberton
836546	320790	Norma
836546	363789	Clara Huddlestone
836546	368367	Roxy Burr
836547	141015	Janie
836548	257669	Model
836549	72906	Gwenn Ronstrum
836549	224273	Penny Boardman
836549	236129	Tina Durrance
836549	305898	Kate Hereford
836549	316123	Martha Ivers as a girl
836549	359863	Babette
836550	40129	Mom
836550	315999	Nikki
836551	102569	State Supervisor
836552	231896	Girl at Bar
836552	241421	Nurse
836552	275319	Waitress
836552	302910	Brandi
836553	148440	White Haired Woman
836554	231916	
836555	363432	Sara Coleman
836556	84833	Laverne Hunniker
836556	164550	Jess Buchanon
836556	206356	Lou Anne Brightly
836556	302116	Janet Fowler
836556	315783	
836556	351169	Lucille
836556	405386	Janet Fowler (1981-1983)
836556	406565	Captain Betty
836556	406703	Rachel Adams
836557	361902	Elizabeth
836558	198831	Vacuuming Girl
836559	26563	Maenad (chorus)
836559	79272	Dater
836559	162883	Nurse #1
836560	241222	Nurse
836560	290739	Mrs. Pooley
836560	382854	Jennifer Kingsley/Hammond
836560	384783	Anne Appleby
836560	396691	Sally, Max´s separated wife
836560	405895	Betty Haines
836561	113729	Ribbon Dancer
836562	400566	Adventure Girl
836563	112480	
836564	245649	Hank's Wife
836565	220276	Montmartre Dancer
836565	256625	
836566	23535	
836567	132632	Second Busybody
836567	252856	
836567	303265	Mrs. Price
836568	190273	New York Singer
836569	39863	Oyu
836569	80050	Senior Girl, Featured
836569	155537	Silver Iczelion
836569	182026	Oyu
836569	242091	Daughter
836569	285922	Kasumi
836569	292637	Lois
836569	313778	Alex's girl (Sissy)
836569	350616	Nurse/Young Boy
836569	402978	Kelly
836570	242723	Juliette
836571	176480	Receptionist
836572	11121	Lil J's Girlfriend
836572	238567	Hostess
836573	210671	Singer
836573	407420	Herself - Hostess
836574	5150	Raggedy lady
836574	37473	Airplane Retiree #3
836574	40552	Patron #2
836574	54209	Parade watcher
836574	58799	Mrs. Riley
836574	147972	Elderly Couple
836574	185294	Mrs. Wilder
836574	195518	Sgt. Benson
836574	223978	Mrs. Hunsaker
836574	260697	Connie's Mom
836574	270638	Deputy Sheriff
836574	317893	Mrs. Andrewson
836574	335016	Taxi Dispatcher
836574	337379	Tourist Wife
836574	351756	Myrtle Moon
836574	364459	Guest
836574	368853	Nurse
836574	412161	Mrs. Allen
836575	276328	Alice McGuiness
836576	32374	
836576	101610	Jonna
836576	138449	Martin's wife
836576	399850	Nadja Persson (127 episodes 2
836577	222212	Party-goer
836578	72913	Woman
836579	35362	
836580	21637	
836580	58936	Miss Cooper
836580	64712	Bit Part
836580	78978	Mme. Shogun
836580	97609	Edna
836580	100825	Miss Smythe
836580	183833	Madame Kummer
836580	269883	Mary Jarrow
836580	284908	Nurse
836580	297185	Miss Isit
836580	309872	Mrs. Holly
836580	331099	Mrs. Burns
836580	345708	
836580	360389	Alice Hobson
836581	299692	Champagna
836582	235404	Linda Rubin
836583	315872	Herself
836583	408521	Herself
836584	279420	Brothel Maid
836585	114253	Dinah
836586	11193	Mrs. Greenlaw
836586	222603	Emily
836586	255897	Mary
836586	331607	Serving maid
836586	379706	Mrs. Greenlaw, housekeeper (1
836587	381449	Travel Reporter
836588	11006	Maureen Tate
836588	81640	
836588	178076	Lois Lane/'Bianca'
836588	282350	Mrs. Fish
836588	307910	Jill
836588	316137	Peonie (aka 'Rosebud')
836588	319046	Leslie
836588	330682	Ivy Corlane
836588	384239	Herself
836588	404694	Brooke Lawrence (1966)
836588	411809	Nurse Jody Carter (1979-1982)
836589	141678	Registrar McAllister
836589	165448	Diana Rivers
836589	276937	Edith McGland
836589	330286	Mrs. Mailor
836589	379219	
836589	384090	Patience Heatherstone
836589	386658	Florence Dombey/Gay
836589	390523	Miss Caroline Gordon (1984)
836589	396341	Jean MacKenzie
836590	14082	Herself
836591	363414	Runway Model
836592	312851	Penny
836593	24875	Lieutenant Crowley
836594	168126	German Woman on Telephone
836594	213069	Ada Biggers
836594	230829	Natalie Woods
836595	206140	Prof.ssa Entai
836595	317843	Marjorie
836596	80890	Mother of Deafula
836597	146854	Chief matron
836598	20625	Featured player
836598	56113	British tourist
836598	157847	Party guest
836598	207865	Board Member Wife
836599	165964	Mrs. Bryant
836600	318814	Juliette
836601	273477	Video store customer
836602	316153	Victim in attic
836603	151625	Baby Duff
836604	11450	Reporter
836604	86467	Receptionist
836604	187244	
836604	190692	Secretary
836604	264427	T.V. Reporter
836604	321661	Hallway Nurse
836605	399415	Laura Wells
836606	232438	Emiline
836606	326389	Madeleine
836607	78915	Diana's woman in opium den
836608	107503	Cathy
836609	199477	Extra
836610	128229	
836610	223649	Aunt Nell
836611	49347	Traci Flynn
836611	69391	Loretta
836611	73792	Laura
836611	80464	Fate 1
836611	88869	Lisa Dolittle
836611	92453	Lisa Dolittle
836611	95220	Norda
836611	97676	
836611	126535	Shelly
836611	128089	Salesgirl #1
836611	139443	Julia
836611	201660	Herself
836611	254876	Schuyler
836611	259939	Tasha
836611	266091	Bar Girl
836611	279009	Caro
836611	343387	Robin Givens
836611	358663	Michelle Vaughn
836611	364376	Maria
836611	380391	Lila Dawson (1994)
836611	397127	Nicole Moore
836612	213964	Rose
836612	278351	Helen
836613	306814	Luanne Best
836614	151625	Baby Duff
836615	66680	
836615	66685	
836615	115628	Melissa Miles
836615	159943	Fiona
836615	208930	Tess McLeod
836615	274674	Beth Owens
836615	343307	
836615	343308	Elle, Fluffy, Betty
836615	366955	Josie Newman
836615	382743	Rosemary Fitzgerald
836615	385105	Darcy Hudson (1991-1993)
836615	388593	
836615	391248	Sam Robinson (1994-1995)
836617	276840	Renée's Friend
836617	321311	Teacher of Mannes College of 
836618	380827	Jet Marigold
836618	408880	May (Series 2-5)
836619	411509	Herself - Correspondent (1986
836620	102979	Fili
836620	142645	Svenja Becker
836620	170463	Julietta
836620	260407	Sammy
836620	290503	Teresa
836620	290543	Isabella
836620	313673	Anna
836620	334628	Rebecca
836620	347000	Andrea (16-19 year)
836620	359066	Johanna
836620	360148	
836620	375164	Zoe
836621	162529	Trudy
836621	230831	Amelia
836621	383631	Clare Guildford: E Grade Nurs
836621	386599	Candy Williams
836621	391079	
836621	408685	Jess Brown
836622	99165	Trixie
836622	99176	Trixie
836622	194315	Judy
836623	79308	Helen
836623	186126	Laura Bow/Yvette Delacroix/Na
836623	309639	Tortured Woman
836623	317942	Cindy
836624	313951	Tisha
836625	62693	
836626	154796	Gallery Owner
836627	347441	Student 1
836629	143572	Col. Brown's secretary
836629	233635	Betty
836630	183363	
836631	229240	Linda
836632	45609	Pam
836632	109622	Rachel Porter
836632	176949	Sara Morrison
836633	189987	Morgan Hall Coed
836633	309344	
836633	313474	Eirtaé
836634	8166	Sylvia Pearson
836634	10606	Eve de Montalais
836634	10975	Marjorie Lansing
836634	18006	Beatrice Vanderdyke
836634	21179	
836634	27279	Mrs. Ellen Creighton
836634	32401	Mary Helton
836634	33477	Patricia
836634	33709	Annette
836634	34697	Celia Hathaway
836634	38529	
836634	39462	
836634	42024	Mary Kelly
836634	44484	Paula Mathews
836634	46987	Mary Blake
836634	47268	Nora Fay
836634	47359	Fanny Franchette
836634	49780	Janet Leslie
836634	49786	Laura Lowell
836634	52477	Carley Burch
836634	54370	Florry Peasley
836634	64876	Miss Emsdale
836634	64888	Molly Bryant
836634	67773	Lucy Stevens
836634	69301	Joan Wellman
836634	69675	Diane Holden
836634	70074	Carmel Lee
836634	72138	Molly Wingate
836634	72600	Marcia Peterson
836634	81661	
836634	81662	
836634	82547	Helen Webster
836634	84900	Nancy Evans
836634	88165	Mrs. Grace Shumaker
836634	93648	The Girl
836634	93656	
836634	95093	
836634	100835	Mary Miller
836634	106011	Nettie Minick
836634	109334	Guest
836634	110937	Harriet Brown
836634	114901	
836634	116963	Mrs. Lloyd Kennar
836634	117096	
836634	119770	Cynthia Grey
836634	121531	Ottilie Howell
836634	121981	Fifi Sands
836634	123336	Catherine Darwin
836634	124739	Helen Von Gerold
836634	127837	Mary Thompson
836634	128192	Mrs. Wilson
836634	133621	Daisy Buchanan
836634	134032	
836634	140894	
836634	142362	Dora Wade
836634	143036	
836634	143216	
836634	146203	Laura Nelson
836634	147633	Cameo appearance
836634	152414	
836634	153628	
836634	155299	Jane Crosby
836634	158335	Mary 'Lambie' Higginbottom
836634	162282	Lady Gwendolyn
836634	162547	Mabel Hoyt
836634	163340	Mary Grayson
836634	176345	Ruth
836634	177522	Hotel guest in lobby
836634	184624	Pepita
836634	186012	Mrs. McHale
836634	186013	Alice Mathews
836634	186267	Mabell
836634	188353	Mary Corbin
836634	190236	Dr. Louise Stone
836634	194948	Sylvia Hayes
836634	195733	Cynthia Meyrick
836634	196532	Joan Bently
836634	200870	Elaine Shackleford
836634	203508	Marion
836634	203728	Mary Tompkins
836634	203745	Dolores Ruey
836634	203746	Dolores Ruey
836634	204743	Evans (Lydia's maid)
836634	206436	
836634	213301	Margaret Meredith
836634	215546	
836634	215581	Lulu Bett
836634	218256	Queen Marie of France
836634	218939	Marion
836634	230884	Marjorie Church
836634	233610	Mother
836634	234220	Miss Jamieson
836634	235072	Taisie Lockheart
836634	237755	Grace Chester
836634	237788	Ruth Rutledge
836634	240959	May Strickland
836634	241026	Mrs. Mallin
836634	241313	Virginia Dare
836634	241992	Mrs. Stanley
836634	244862	Katherine Fendle, his fiancée
836634	246955	
836634	248881	Mrs. Melton
836634	255452	Patty Thomas
836634	260142	Princess Beatrix
836634	263534	Louise
836634	264515	Rosalie Dufresne
836634	266718	Mona Trevor
836634	272228	Lois Brewster
836634	276694	Mary Davis
836634	277933	Helen Joyce
836634	279418	Beatrix
836634	283089	Norma Bartlett
836634	283092	Kate Kenner
836634	286152	Sally
836634	290328	Miss Cartwright
836634	291314	Herself
836634	292889	Nona Gould
836634	293139	Peggy Carter
836634	300103	Bicycle Built for Two number
836634	300105	Amy Fisher Piper
836634	300123	Clara Harling
836634	301597	Jane Loring
836634	306796	Portia Prouty
836634	308395	Joan Cameron
836634	327582	
836634	330003	Sophie White
836634	331147	Joan Farrant
836634	331709	Dorrie Webster
836634	332112	Milly Fayre
836634	332417	Elaine Purdy
836634	334349	Ellen Jorth
836634	335668	Mrs. Billings
836634	338752	Floria Natarre
836634	341935	Cynthia Burdette
836634	350443	Marion Warner
836634	360714	Laura Dodacker
836634	360721	Cornelia Quinn
836634	361153	Nettie Prouty
836634	362200	Maggie Wylie
836634	362565	Virginia MacMurran
836634	362688	
836634	363672	
836634	363918	
836634	364403	Madeline Bancroft
836634	364650	Marian
836634	366917	Jean Ainsworth
836634	367933	
836634	368577	Lady Elizabeth
836634	372887	Christine Saunders
836634	379612	Mrs. Alice Aldrich #1 (1949-1
836634	390771	Mrs. Lowery (1954-1955)
836634	391836	
836634	404694	
836635	117424	Dancer
836636	400	Mother Superior
836636	67385	Attorney General
836636	79911	
836636	154893	Mother Alphonsus
836636	195365	
836636	328289	2nd Nurse
836636	332496	Woman #3
836637	154610	Moreno's financial advisor
836638	46555	
836638	75310	
836638	141313	
836638	220360	
836638	362623	
836639	315238	Partier 4
836641	196576	Herself
836642	138724	Cheerleader
836642	192100	Mother with Carriage
836642	221022	Liaison
836642	340751	Sarah
836643	238504	Girl
836644	292413	Colin Craven's Nurse
836645	178866	
836646	54317	
836646	183451	
836647	28635	Willow Johnson
836647	207828	Matilda Wormwood
836647	214971	Susan Walker
836647	221259	Natalie 'Nattie' Hillard
836647	302236	Anabel Greening
836647	330994	Lily, Burnetts Grand Daughter
836647	333343	Barbara Barton
836648	143264	Old Biddy #2
836649	29347	
836649	41480	Carlotta
836649	46550	The Manager's Wife, Mercy's M
836649	46750	Mercedes Mendoza
836649	59432	
836649	65768	Mary Martin
836649	70805	Rose
836649	73694	Vera Owen
836649	83590	Mercedes Castenada
836649	83616	Jennie
836649	91895	Elizabeth Waldron
836649	106529	Jane
836649	114888	Jeanette Gontreau
836649	135801	Norma Wright
836649	138112	Laura Bowers
836649	139148	Shiela Dolan
836649	149190	Patricia
836649	151087	Clara Bradford
836649	160506	Mary Wright
836649	161542	Brown Eyes (Medieval Story)
836649	165440	
836649	185477	Mercy Reed
836649	186322	Marie Monest
836649	197034	The little girl
836649	206151	Ellen Shannon
836649	219948	Marie Coutierre
836649	220309	Roxie Bradley
836649	238647	
836649	239678	Gwendolyn Alcot
836649	263746	Lois Le Moyne
836649	276676	Myrtle Buckton
836649	301628	Herself
836649	302405	Alice Ward
836649	329509	Dorah Holmes
836649	351916	Martha
836649	364627	
836649	365440	Wild Sumac
836649	366927	Jeanie McGregor
836649	367285	Mary Davis
836650	380694	Presenter
836651	292175	Mari
836652	410168	Herself
836653	125858	
836653	127112	An Old Lady
836653	257964	
836654	26137	Mary Quite Contrary
836654	37236	Daisy
836654	45451	Susan 'Susie' Seabrook
836654	47294	Grace
836654	47346	Dorothy Dubois
836654	47358	Miss Connie Todd
836654	62013	Sunny Avery
836654	67096	Mabel
836654	72283	Marie Williams
836654	92247	Extra as Ship Passenger
836654	107013	Gorgeous Gilmore
836654	116151	Veronica Gimble
836654	116790	Myrtle
836654	116959	Herself - arriving celebrity
836654	128168	
836654	128267	Jane Sweet, a dumb blonde
836654	133620	Mlle. Nicolle
836654	137393	Gorgeous' Gilmore, in 'Fabulo
836654	139746	Zella Phipps
836654	161923	Sally Wilson Pratt
836654	177397	Elsie
836654	183359	Girl
836654	191038	Margie LaVitte
836654	206466	Doris
836654	210394	Camille Casey
836654	215625	Virginia 'Vergie' Matthews
836654	220848	Herself
836654	220959	Mrs. Turner
836654	223019	Marie
836654	223952	Irma Peterson
836654	223953	Irma Peterson
836654	230435	Clara Schneiderman/Danger O'D
836654	233659	Rosalind
836654	245645	Co-ed
836654	264570	Rachel Michot
836654	266730	Tessie Schultz
836654	281392	Kitty Mulloy
836654	288438	Miss Murgatroyd
836654	291368	Herself
836654	291403	Herself
836654	298093	Susan Slatterty
836654	299035	Margie
836654	300021	Myrtle
836654	312594	Singer
836654	313805	Molly
836654	315697	Marie Antoinette
836654	321102	Jennie Jones
836654	321592	Herself
836654	355082	Connie Potter
836654	360040	Ruby Waters
836654	372139	Bubbles
836654	372777	Mac
836654	398694	Irma Peterson
836654	410985	Penny McCoy
836655	16100	Mary Bono
836655	135193	
836655	389858	Karen Wexler #3 (1999-2003)
836655	401930	Dr. Carolyn Annette 'Karen/Ka
836656	232020	Kassie
836657	273477	Video store customer
836658	156557	Florence
836658	367767	Prostitute
836659	46679	Herself (Brian's ex-wife)
836660	176710	Minerva
836660	211716	
836660	337142	Fiona Revson
836661	308094	April
836662	14190	Host
836662	31632	Herself
836662	48039	
836662	85913	Herself
836662	164587	Vesta Crotchley (Jackie's Thi
836662	220206	Herself (Supremes member)
836662	220208	Herself
836662	220209	Herself
836662	242085	Herself
836662	322615	Herself
836662	332801	National Anthem Singer
836662	392415	Herself
836662	406014	Herself
836663	55182	Lola
836664	122030	1st Model
836664	344176	Lizzie
836665	1883	Lillian
836665	7006	Miss Watson
836665	40726	Mrs. Deitz
836665	60155	Dotty
836665	105222	Jean
836665	130341	Mrs. Green (real estate lady)
836665	134017	Mrs. Sheehan, INS Agent
836665	177451	Ivy
836665	178813	Ad Agency Secretary
836665	215957	Mrs. Simmonds
836665	217993	Benny's Mom
836665	221174	Muriel Manners
836665	253818	Dory Goldman
836665	282628	
836665	291981	Evelyn Greenslate
836665	292015	Corinna
836665	298127	Mrs. Trumper
836665	312798	Mrs. Morehead
836665	314459	Mrs. Franklin
836665	326428	Teacher
836665	330501	Lulu
836665	348386	Betty
836665	374418	Ruth, Zelig's Half-sister
836665	379716	Millicent Greenlee #2 (1999-2
836665	400223	Ginny Wroblicki (1976-1977)
836665	408098	Toinette
836666	95027	Mrs. Forbes
836667	107917	Katie Gallagher
836667	204134	Ginny Jason
836668	107225	Cassie Ives
836668	401226	Jennifer Lyons/Jennifer Apple
836669	129913	Journalist #2
836669	168905	
836669	235790	Tessa
836669	273422	Angry Mother
836669	401603	Jesse Finch
836670	328555	Taylor Lambert II (The Oz & T
836671	36722	Young Mrs. Barlow
836672	344000	
836673	35714	Barbara
836673	206215	TV Woman
836673	217994	Alice
836673	339380	Michelle
836673	399439	Darlene
836674	108625	Fanny Hill
836675	54681	Party girl
836677	224287	
836678	141553	Herself (Mimi)
836678	156174	
836678	173632	
836678	184895	Emy
836679	75531	Herself
836680	99257	Agent Naki
836681	111789	Bea
836682	11687	Herself (performer)
836682	57639	Herself
836682	69080	Herself
836682	109524	Beautiful girl in car
836682	141377	Self
836682	269922	Herself
836682	365341	David's Wife
836682	372583	Herself
836682	378685	Herself - Member, Heart
836682	384537	Performer
836682	410035	Herself
836683	1781	Herself - Performer
836683	18987	Herself
836683	37297	Angie Hooks
836683	37807	Herself
836683	37810	
836683	160476	Herself
836683	212027	Mrs. Laws the Principal
836683	227355	Herself
836683	289019	Herself
836683	405422	Louise Bryan
836684	50268	Girl in Restaurant
836685	383316	
836686	227354	Vocalist
836687	362512	Choir Member
836688	177630	Lady #3
836689	154771	Taline
836689	165462	Natashia
836689	176792	Nadine
836689	241395	
836689	256236	Kelly
836689	276842	Elizabeth
836690	24296	Isabelle
836690	57703	Young Celeste
836691	211499	Forest children
836692	73479	Miss Pettijohn
836692	140912	Secretary
836692	366821	Sally
836693	367775	Woman at Motel
836694	382304	Steve's Friend
836695	300361	Video shiksa
836696	126538	Bikini Girl (segment "I'm Not
836697	55162	Teresa
836697	320106	Contestant #1
836697	380391	Dana Kramer #5 (1997-1999)
836698	80716	Ethel
836698	82695	Mrs. Trabert
836698	140907	Reggie's landlady
836698	183775	Mrs. Bowan
836698	186650	Older Marla
836698	187271	Hannah Reagan
836698	206608	Grace
836698	237008	Grace (the Dean's Secretary)
836698	252844	Hazel Moore
836698	263172	Claire Whitmore
836698	283546	Pennsylvania Delegate
836698	316210	Mrs. Gallagher
836698	363191	
836698	367916	
836698	404282	Mabel Beaufort #2 (1990)
836699	380508	Margaret Appleyard #1
836700	41705	The chief's brunette daughter
836701	300173	Mourner
836702	11515	
836702	110302	Mrs. John Piersall
836702	207705	Minnie Fay
836703	68084	Host
836703	82952	Cpl. Jennifer Vaughn
836703	168221	Anny Ondra
836703	186637	Mina Harker
836703	194636	Alyssha Rourke
836703	211385	Vickie Kittrie
836703	226959	
836703	285201	Girl of His Dreams
836703	350464	Motorcycle girl
836703	367634	Receptionist
836703	390109	Alex
836703	395029	Nikita, 'Josephine'
836703	400465	Harriet Stone
836704	164637	One Little Girl
836705	262704	German Security Girl
836706	273718	DI Miriam Kenworthy
836706	317350	Lisa
836706	381130	Steph Allen
836706	387533	Camilla Finch
836706	388782	Amanda Gutteridge
836706	391247	Penny Craddock (1998)
836706	410978	Cheryl Lampard (II) (2001-200
836707	17183	Partygoer
836708	81196	Singer in Boomerang Bar
836709	481	Herself
836709	356766	Herself
836709	381728	Herself
836710	39830	Mrs. Kimbler
836711	18635	Sylvia
836711	24432	Autograph Seeker
836711	153185	Sarah
836711	170831	Posie
836711	224820	Marla Burns
836711	283546	Heather Gable
836711	285406	Audrey March
836711	294140	Susie, Teen Girl
836711	298216	Kirsten
836711	358292	Ellie Cassidy
836711	374617	Fanny
836711	382703	Tamira Goldstein
836711	405240	Stella Bradley
836712	41219	Cheryl
836713	60003	Edna Malechie
836714	378714	Herself - Panelist
836714	381514	Herself (2000-2003)
836714	388487	Herself - Panelist
836715	300173	Shower Guest/Mourner
836716	227926	Second singer
836716	346280	Lucy
836717	272970	Pat Lyles
836718	347547	Sue
836718	366869	Actress rehearsing
836718	379396	Cliff's Aunt
836719	7582	Herself
836719	24503	Anne Crane
836719	29676	Carolyne Roehm-Kravis
836719	43606	P.R. Woman
836719	60273	Actress
836719	63432	Terri Bratley
836719	79804	Debbie
836719	116209	Debbie
836719	155888	Leslie (segment "1996")
836719	161890	Annie Beeman
836719	167866	Liz Langston
836719	216469	Catherine O'Shaughnessy
836719	233557	
836719	236083	Chrissy DeWitt Williams
836719	253059	Roberta
836719	266575	Caroline
836719	271332	Frances Fletcher
836719	283410	Ellie Graham
836719	288702	Herself - Audience Member
836719	288703	Herself - Audience Member
836719	304829	Suzy
836719	311230	Bit Girl
836719	315747	Rachel
836719	326741	Dancer
836719	327304	Herself
836719	329522	Marguerite
836719	356636	Beth Wexler
836719	389416	Susan Borman
836720	401973	Mature Whore #2
836721	13338	
836721	20946	
836721	50265	
836721	51962	
836721	99832	
836721	112306	
836721	128496	
836721	131698	
836721	143713	Roberta
836721	162549	
836721	162939	Ghirlaine Bellamy
836721	216034	
836721	219196	Miriam Deering
836721	244350	
836721	247520	
836721	269988	
836721	278262	Caroline
836721	296648	Edith Danfield
836721	306770	
836721	337133	
836722	32052	Miss Alabama
836722	116280	Michelle
836722	336914	Shuga
836723	254996	Maid
836724	11199	Jo
836724	241239	Penny
836724	402743	Beth
836725	52476	Jitterbug
836725	188381	Jitterbug
836725	315992	Jitterbug
836726	10813	Nell Delaney
836726	59105	Anne
836726	79813	
836726	102964	Lady
836726	274674	Helen Stacey
836726	387267	Coral O'Connor
836726	388323	Jennifer Chandler
836727	58728	Jesse (Lee Bowen's maid)
836727	65612	Receptionist
836727	70368	Josie Martin
836727	141253	Clarice
836727	252483	Rally Singer
836727	294524	Clara Brown
836728	205718	Rose
836729	404555	Herself
836730	405796	Comfy
836731	205089	Tourist Couple
836732	226870	Winsome
836733	151176	Nude Model
836735	59813	Old Lady
836735	255697	Lesbian at Party
836736	165970	Female Medic at Dog Track
836737	103326	2nd Band of Thieves
836738	164460	Marie-Helene The Bar Maid
836739	163601	Maria Damandos
836740	168644	Sal
836740	318310	Francis
836740	387940	Mary
836741	61730	
836741	75796	Meg Jordan
836741	265171	Taylor Drake
836742	25851	Texan Wife
836742	33227	Lola
836742	102092	
836742	149725	Mae
836742	175140	Betsy-Ann Dureneck
836742	176881	Sara
836742	244880	Elvira
836742	266618	Stella
836742	321082	Girl
836742	348370	Serving Wench
836742	382529	Giulia Farnese
836742	395919	Stella Jordan
836742	412052	Jill Burton
836743	284530	Judy Carol
836743	328379	Dena Warren
836744	291014	
836745	65756	Louise
836746	163362	Elizabeth
836747	38576	Shelia
836747	73326	Nancy
836747	89368	Herself/April Stevens Ewing
836747	119097	Ashley Taylor
836747	142487	Leslie
836747	213128	Mary Drake
836747	231037	Christine Arnold
836747	244810	Rita Danzig
836747	250383	Emily Talbert
836747	351422	Ellen Stockwell
836747	358629	Alex Cahill
836747	385594	April Stevens Ewing (1986-91)
836747	394123	Melanie LeRoy
836747	400512	Rita Danzig
836747	410545	Asst. D.A. Alex Cahill
836748	86038	Group Home Mom
836748	279766	Lucille Pettigrew
836748	303905	Spandex Girl
836748	310547	Woman at the Bar #1
836749	43925	Leah (Sariah's Friend)
836750	242028	Coby's Mother
836751	74110	Intensive care nurse
836751	195879	Chorus girl
836752	333517	Gibraltar Operator 7
836753	203377	Coed #2
836754	302075	
836755	317739	Emma
836755	326467	
836756	158313	Delivery Driver
836756	316963	Suzan
836756	346246	
836757	364245	Mrs. Weaver
836758	120724	
836758	217816	Kelley Parker
836758	257401	The Beast
836758	273716	Francine
836759	72886	Noo
836760	220249	
836761	167117	The Captain
836762	46242	Sister Wilson
836762	116016	Additional Voice Work
836762	395407	Various Characters
836762	396911	Beryl
836763	126614	Stewardess I
836764	139151	Groupie
836765	147667	Sally
836766	349509	Groupie #3
836767	44325	Border Patrolwoman
836768	87942	model in Courrèges sequences
836769	257014	Tito's Girlfriend
836769	306366	
836770	127627	Beach Dancer
836770	194332	Dancer
836770	231491	Dancer
836770	313825	Nightclub Dancer
836771	50639	Heidi
836771	73829	Anika
836771	131732	Dancer
836772	365278	Heather
836773	160463	Young Marie Osmond
836774	170875	Beth Wilson
836775	69359	Emily
836776	130358	Boxing Ring Girl
836777	264102	Street Hooker
836778	32734	Herself
836778	128685	Herself
836778	161728	Herself
836778	168487	Herself
836778	277397	Herself
836778	282685	Herself
836778	320140	Herself
836778	340399	Herself
836778	360325	Herself
836778	360329	Herself
836778	368832	Herself
836778	369200	Herself
836778	369201	Herself
836778	369203	Herself
836778	369207	Herself
836778	369208	Herself
836778	369209	Herself
836778	369210	Herself
836778	369215	Herself
836778	369216	Herself
836778	369217	Herself
836778	369221	Herself
836778	369223	Herself
836778	369226	Herself
836778	369234	Herself
836778	369237	Herself
836778	369244	Herself
836778	369250	Herself
836778	369283	Herself
836778	369292	Herself
836778	369309	Herself
836778	402907	Herself (2001-2002)
836778	406933	Herself (2001-2002)
836778	410688	Herself (1999-2000)
836778	410690	Herself (1999-2000)
836778	411537	Herself
836778	411538	Herself
836778	411542	Herself (2001-2002)
836778	411545	Herself (2001-)
836779	41746	Player (Slammer)
836780	276424	Lizzie Coldren
836781	1437	Herself
836781	335606	Herself
836781	335607	Herself
836782	207440	Female Partygoer
836783	196328	Spokeswoman
836783	223891	Paramedic
836783	365956	Brenda
836784	29650	Eunice/Mom
836784	118725	Waitress
836785	154173	Herself
836786	393424	Additional voices/Backup sing
836787	345050	Marie-Ange
836787	345230	Gaby
836788	190273	Ventriloquist
836789	211544	Bannister
836790	88090	Shirley
836790	194762	Judge
836791	117483	Police officer #6
836792	199592	Aunt Marie
836792	218704	Peder's Wife
836792	367413	Prison Matron
836793	72104	'Who's Complaining?' Dancer
836793	123717	De Marco's Dancing Partner
836793	230620	Herself
836794	241160	Jake's Mate
836795	79794	Black Copulator
836795	101699	Juanita
836795	113275	
836795	214119	As herself
836795	260196	
836795	326834	Wanda Fargo
836796	46679	Herself (Brian's daughter)
836796	221474	Herself
836796	296919	Herself
836796	365931	Herself
836797	234594	Additional Stagehand (Miami)
836798	291043	Nora Foxx
836799	164364	The New Morty Show
836800	79450	Baptismal Procession
836801	194032	Katie 11 yrs old
836802	330570	Carla
836803	149450	Angel
836804	213324	Fairy Musician
836805	12302	Jane
836805	47838	Nurse
836806	40314	Fat Girl
836806	120093	Rita
836806	151126	Esther
836806	161347	Herself
836806	258752	Colette
836806	398027	Andell Wilkerson (1996-1999)
836806	400879	Andell Wilkerson
836806	407970	Lynette
836806	409667	Various Characters
836807	160984	Nora
836808	187148	Herself
836809	34448	Miss Fogelson
836809	138220	Aunt Helena
836809	252915	Helen
836809	391359	Sylvia Beach
836810	89827	Claire
836810	129203	
836810	220063	Helen
836810	221215	Veronica
836810	301747	Sara
836810	354246	Genya Lozinska
836810	381685	Lady Wakeley
836810	382618	Katie May
836810	391484	Jo Watkins (2004)
836810	398085	Justine Thatcher (Series 1)
836810	399849	Tabitha
836810	411382	Gina, Henry's sister
836811	405209	Nurse Holi Stewart (1998)
836812	245337	Beverly
836813	358358	Cynthia
836814	344809	Nicinha
836814	391609	Soninha
836815	80545	Bridget
836815	108619	Carver
836815	114190	Ivy
836815	152878	Cousin eliza
836815	203143	Miss Edge
836815	211428	
836815	214710	Jeanette
836815	238158	Miss Parsons
836815	275000	
836815	277678	Scrub woman
836815	290344	Mrs. Dainty
836815	326100	Miss Pennyman
836815	340470	
836815	360258	Schoolmistress
836816	5270	Veraneante
836817	213994	
836818	403238	Silvanna
836819	62913	Polly Love
836819	312309	Violet Enderby
836820	7404	
836820	40245	Patricia Fulford
836820	44564	Homily
836820	47210	Herself
836820	52204	Ruth
836820	55643	Lady Ottoline Morrell
836820	65757	Pat Garden
836820	71682	Virginia Carlion
836820	74207	Wendy Woods
836820	81734	Hester Collyer
836820	119802	Sonia
836820	162247	Janet Stone
836820	169142	Mrs. Wilson
836820	177340	Regan
836820	177343	Regan
836820	186064	Alice Singleton
836820	186165	Herself
836820	196960	Celia Welch
836820	221332	Vivie
836820	235007	Annie
836820	235008	Annie
836820	235009	Annie
836820	244311	Desdemona
836820	263558	
836820	276745	Homily
836820	277661	Herself
836820	280133	
836820	292603	Marion French
836820	297802	Barbara
836820	308612	Lilli Czepanek
836820	323727	Beatrix Potter
836820	330681	Marjorie
836820	335155	Aunt Melbourne
836820	353467	Princess Mary Louise Victoria
836820	353490	
836820	363734	Heather Graham
836820	364862	
836820	382332	Monica Gossage
836820	387984	Anne Bryce
836820	398127	Lady Angela Forbes
836820	404558	Beatrice
836820	407504	Rosemary (segment "Nights in 
836820	411316	Mrs. Hamley
836821	309546	Halloween Child
836822	27207	Reporter #6
836824	21533	Sadie
836825	194025	Miss Boynton
836826	34463	Princess Margaret
836827	65200	Miss D'Oyley
836827	347101	
836827	361357	Martha
836827	366585	Wirey's Mom, Young
836828	140510	3rd Nun
836828	192268	Customer #3
836828	319613	Nun
836829	303611	Acting workshop student
836830	168849	
836831	35064	Kajsa
836832	101038	Paula
836833	343399	
836834	412	Mirjam
836834	141937	Sinikka Lahtinen
836834	142721	
836834	179625	
836834	180583	
836834	181936	
836834	198262	Marketta
836834	242268	Pirkko aka Raija Kangas
836834	251945	Helmi the mermaid
836834	255758	Irene
836834	260056	
836834	271606	Anneli
836834	294168	
836834	301890	
836834	341543	Young mother
836834	357790	Ulla Visaoksa
836835	162151	Fatima
836835	264941	Indira
836836	2939	Margit
836836	305863	Eva Åkerman
836836	317642	Marianne
836836	319788	Saleswoman
836836	320608	Journalist
836836	386363	
836837	291653	Herself
836838	342306	Viola
836839	144029	
836840	27168	Club Dancer
836841	297880	Christmas Party Guest
836842	311514	Homelander
836843	158102	Chorus
836844	158102	Performance Coordinator
836845	29186	Actor #8
836845	67377	Lewellyn
836845	67921	Dina
836845	79042	Alice
836845	80393	Katie
836845	222721	Sara
836845	305949	Jagger
836846	94115	Dancer
836847	123986	Herself
836848	5865	
836849	118653	Bunface
836849	171691	Aunt Lavinia
836849	183729	Mrs. Bradley
836849	230329	Aunt Olivia
836849	238991	Mary Smith
836849	350181	Elvira
836849	383799	Esme Harkness
836849	385092	Alice Westcott
836849	385103	
836849	388249	Zasulich
836849	401744	Prudie Paynter
836849	405042	(segment "Macbeth")
836849	405585	Agatha
836849	405962	
836849	411056	Ms. Bedwelty
836850	177660	Extra
836851	177660	Extra
836852	166871	Additional cast
836853	210354	Herself
836854	302427	Pige i klub
836855	149441	Hope
836855	196808	Kara
836856	81604	Woman in the street
836856	101335	
836856	107879	Elisabeth Hollreiser (erwachs
836856	134836	Madeleine, Baronin Hügener
836856	156721	Adelheid Türckheim
836856	177916	
836856	288840	
836856	387161	
836856	403351	Marie de Médicis
836857	162230	Herself
836858	410839	Laura Klaasen
836859	272325	Pool Girl #4
836860	143514	Herself
836861	205286	Aigiarm
836862	66356	Reporter #4
836862	327093	TV Anchor Woman
836863	12244	Child
836864	2327	Herself
836864	2398	Herself/performer
836864	2630	Herself/presenter
836864	63056	Herself
836864	79569	Herself
836864	132137	Hostess
836864	177893	
836864	324783	Herself
836865	298015	Herself
836866	198892	Lady Macbeth
836867	315605	Twin
836868	275881	Newsgirl
836869	315605	Twin
836870	164789	Herself - TV news anchor
836871	171297	Old Woman
836872	304407	
836873	13452	Gwyned
836873	79965	Angela
836873	81534	Mary
836873	190220	Wendi/Damien Cloud
836873	245113	Debra North
836873	274374	
836873	279022	
836873	288464	Elektra
836873	291292	Crystal
836873	311952	Attractive Cop
836873	362573	Aerobics Instructor
836874	2046	Herself - Performer
836875	2307	Herself
836875	78107	Tyeisha Roberts
836875	87009	Additional Voices
836875	102341	Camille
836875	126130	Featured
836875	127104	Pearline
836875	381701	Vanessa "Nessa" Thomkins
836875	397812	Emma Aimes
836875	403038	Ashley 'Ashley T' Tomossian
836875	410242	Lucy Wilkes
836876	362822	
836877	206326	Housekeeper
836878	217741	Flower Shop Girl
836879	852	Cruella de Vil
836879	9830	Bizarrah, the evil genie
836879	12736	Madame Zaya
836879	18441	Additional Voices
836879	33631	
836879	34887	Mom/Young Baby Herman
836879	131834	Peg Pete
836879	147629	
836879	152718	Lady DeBurne
836879	183550	Mrs. Mahoney
836879	212859	Clarabelle
836879	212902	Clarabelle Cow
836879	212908	Mother Von Drake
836879	212924	Firefighter/Mother
836879	213459	Tanya
836879	218369	Helga
836879	258513	Additional Voices
836879	272371	Nana
836879	273743	Miss Muriel P Finster
836879	273745	Miss Muriel P Finster/Mrs Det
836879	280657	Young Baby Herman/Mrs. Herman
836879	325095	Terk
836879	335772	Ms. Fit/Polly/'Punisher' Poll
836879	337588	Young Baby Herman/Mrs. Herman
836879	341692	Young Baby Herman/Mrs. Herman
836879	364161	Mrs. Herman
836879	378703	Cruella de Vil
836879	382474	Dyl Piquel
836879	390376	Peg Pete
836879	392134	Clarabelle Cow/Lydia Pearson/
836879	394386	Connie
836879	394403	Miss Graves
836879	395354	Terk
836879	395652	Various
836879	395848	Nora Nebulon
836879	396951	
836879	397641	Clarabelle Cow/Mother Von Dra
836879	397686	Tanya
836879	401191	Lydia Pearson/Grandma Pearson
836879	402234	Additional Voices
836879	402556	Daisy
836879	403038	Miss Muriel P Finster
836879	405177	Doris Deer
836879	407144	Molly Mange
836879	408293	Additional Voices
836880	1996	Nurse
836881	370853	Debra Stewart
836882	257374	Yaqui Chief's Sister
836883	12738	Nancy
836883	58491	Carmel
836883	66574	Dr. Steiner
836883	99281	Mrs. Cameron
836883	159757	Sal
836883	203297	Doona Douglas
836883	208934	
836883	247453	P.B. De Woolf
836883	300916	Marlene
836883	378753	Brigid Scott
836883	382590	Ann Chambers
836883	383813	
836883	386435	Mrs. Tarbox
836883	386463	
836883	394515	
836883	406281	Jill Stewart
836884	69626	Sister Salvation
836885	77836	Princess
836885	188350	Stage Chorus
836886	29147	Mrs.Kool
836886	35489	Deborah's Mother
836886	58491	Marcia
836886	166719	
836886	231069	Len's Mother
836887	317946	Sandy Dawson
836888	205900	
836889	14141	White House Aide
836889	23446	Donna
836889	38619	Doris Robinson
836889	45830	Crazy Anna
836889	55474	Downey
836889	71110	Mrs. Rodgers
836889	92660	Downstairs maid
836889	92694	Ballroom Guest
836889	111813	Aunt Ginny
836889	178127	
836889	223857	
836889	235052	Stewart's Mom
836889	281512	Waitress
836889	311284	Cyndi the Waitress
836889	363666	
836890	145415	Stroller Girl
836891	302656	Native woman
836892	388299	Lenka Terjonck-Wuytack (1996-
836893	407712	Various
836894	328906	Second teacher
836894	408867	Solicitor (part 2)
836895	311651	
836895	340509	Grandmother
836895	349600	
836895	394155	Mevrouw Starels
836895	401863	Winkeldame
836895	407166	
836895	412043	Machteld
836899	84293	Woman at the court
836899	88392	Court visitor
836899	168437	Guest at the birthday party
836899	314765	Guest at wedding
836900	340077	Rebekka, Steen's datter
836901	12293	Sarah Davis
836901	13576	Head Nurse
836901	24540	Lena
836901	65989	Aunt Katie
836901	78107	Mary Benton
836901	120623	2nd Judge
836901	123325	Hospital receptionist
836901	144667	Unemployment Clerk
836901	153147	Louise Cockersham
836901	163229	Judge
836901	166565	Mary Hemings
836901	185294	Nurse Westman
836901	193701	Minnie Bledsoe
836901	202195	Elderly Woman
836901	203980	Lucy
836901	212837	Mrs. Horton, Michael's Neighb
836901	240032	Waltereen
836901	264636	Tee
836901	270910	Clerk
836901	273271	Wilma
836901	277638	Corine
836901	298117	Older Woman
836901	302130	Hilde Grove
836901	310417	Mrs. Waters
836901	313762	Alma-May
836901	319493	Leotha
836901	323591	Mrs. Jenkins
836901	390771	Role Unknown (Year Unknown)
836902	458	Haushälterin
836902	477	
836902	1628	
836902	12601	
836902	17722	
836902	21406	
836902	29363	
836902	30130	Margherita
836902	46130	Lady Warren
836902	48618	Lady Marjorie Perkins
836902	77303	Gast beim Abendempfang
836902	92530	Frau Caramelle
836902	92553	
836902	113471	
836902	119117	
836902	129725	
836902	134183	Mutter Schmitz
836902	134802	Hannas Mutter
836902	134980	Frau von Meltendorf
836902	142109	
836902	144067	Elisabeth Zänker
836902	147269	
836902	152753	Lady Agathy Beverton
836902	153111	Tante Agathe
836902	155329	Housekeeper
836902	155600	Frau Jungk
836902	156998	
836902	164901	Mrs. Korsten
836902	189553	Frau von Quernheim
836902	204504	Elisa
836902	210108	Frau Winkler
836902	219289	Aunt Marigold
836902	224484	
836902	253926	Rose
836902	272591	
836902	277464	Frau Knappke
836902	290170	Frau Kremser
836902	291083	Gwendolyn Tern
836902	301000	Hauwsirtin
836902	306403	Frau Angelroth
836902	316550	Krankenschwester
836902	333351	Frau Witte
836902	338263	
836902	343878	
836902	345933	
836902	348042	Grandma Köpcke
836902	348043	Grandma Köpcke
836902	348044	Grandma Köpcke
836902	348045	Grandma Köpcke
836902	348046	Grandma Köpcke
836902	348047	Grandma Köpcke
836902	350864	Fürsorgerin
836902	360927	Baronin von Blossin
836902	364947	
836902	366023	
836902	375225	Mrs. Mulford
836902	376266	
836902	397366	Nachbarin Clara
836902	402727	
836903	236744	Angélica
836903	316732	
836904	42685	Herself - Recipient on behalf
836904	339633	Herself
836904	356765	Herself
836905	215426	Vrouw van 'het stel'
836906	48264	Trudy
836907	195184	Young Ivy
836908	215623	
836909	228946	Oncourt Person
836910	40754	Helga
836910	76757	Britt
836910	99511	Nurse #1
836910	181736	Frk. Lønholt
836910	381202	Viola (1988-1989)
836911	94337	
836911	402878	Ras' Mom
836912	84523	Generic Citizen #1
836913	194055	Singer #1 at Car Lot
836914	287207	Mother at Pool
836915	389983	Herself
836916	214516	Robyn McKay
836917	133306	Rosa
836917	240340	
836918	216162	Phone Room Operator #8
836918	296736	Blonde waitress
836919	30170	Moderen
836919	116305	
836919	179174	Frk. Truelsen
836919	219817	Fru Hansen
836919	226104	Karen Mari
836919	237403	Marie Blicher
836919	257415	
836919	266160	
836919	304206	Husholderske Frederiksen
836920	109302	Girl
836920	132874	Herself (performing 'To lys p
836920	147018	Herself - Receiving donations
836920	277276	
836920	317258	Lis
836920	376101	Herself - Presenter
836920	381202	Luna (1985-1997)
836920	381203	Luna
836921	113770	
836922	41231	World Class Rep
836922	312557	Chauffeur
836923	406970	Carla
836924	203436	Chorus
836925	115974	Elisabeth Karoly, Kellnerin
836925	121057	Mannequin
836925	178845	Irene Dahlen
836926	290252	
836927	410113	
836928	11334	Mrs. Stephanelli
836928	178148	Bit part
836928	200142	Carla Harbach
836928	234028	Woman Drunk
836928	291044	Miss Gunther
836928	305857	Anna
836928	324904	Sofia Bulba
836928	350432	Hester Potinari
836929	11635	
836929	190376	Therapist
836930	86282	Mrs. Hillman
836931	29580	
836932	158079	
836933	387364	Host/Herself
836934	77983	Mercenary #4
836934	197490	Xena
836934	243623	Operative #7
836935	12205	Girl
836936	276920	Future Technician
836937	254058	
836938	298127	Mary's Party Guest
836939	376626	
836940	294745	Brigit
836941	120829	Boston school ma'am
836941	128188	Babe Hanson
836941	340855	Maizie
836941	348383	Minnie
836942	241423	Hilda Jenkins
836942	351238	Ms Moore
836942	381387	Mary Wayne
836943	1692	Herself
836943	23922	Herself/Audience Member
836943	23933	Herself/Audience Member
836943	27567	Presenter
836943	31555	Herself
836943	33644	Schoolgirl
836943	45421	Rosie/Hortense
836943	55678	Sadie Tomkins
836943	55680	Jim Hawkins
836943	55681	Goldie Locks
836943	55686	Babs
836943	55687	Cinderella/Fanny/Spirit of Ch
836943	55688	Various Characters
836943	55689	Various Characters
836943	55697	Nurse Sandra May
836943	55700	Hope Springs
836943	55701	Bettina
836943	55707	Nurse Susan Ball
836943	55714	Daphne Honeybutt aka Agent Br
836943	57665	
836943	62385	Blonde
836943	65875	Interviewee
836943	68886	Mrs. Wetham
836943	70612	Herself
836943	73709	Bikini
836943	81293	Babs Newton
836943	83383	Herself
836943	91914	
836943	96869	Herself
836943	96873	Peggy Mitchell
836943	114842	Girlfriend
836943	132823	Lady Knock of Alton
836943	137232	Elsie Grumble
836943	142795	Cynthia Spooner
836943	154379	
836943	163231	Seaside landlady/Neil's mothe
836943	169815	Herself/interviewee
836943	194690	Young Girl in Chemist
836943	196391	Herself
836943	201430	Switchboard operator
836943	206680	Herself
836943	213640	Herself/Audience Member
836943	229135	Herself
836943	232016	Herself
836943	232018	Herself
836943	234929	Greenham womens leader
836943	235466	Sue Lawson
836943	240755	Mavis
836943	252848	Herself/Presenter
836943	253822	Seaside Landlady (video "Alwa
836943	282702	Performer
836943	286927	Hiker
836943	292241	Babs the Hamster
836943	300144	Herself
836943	310446	Maggie Gooding
836943	317430	Annie Chapman
836943	329557	Herself
836943	334298	Herself
836943	335601	Ponytail
836943	342204	Herself
836943	352695	
836943	362067	Herself/Various Characters
836943	362472	Interviewee/Various Character
836943	368691	Saucy Nancy
836943	382306	Mabel Fletcher
836943	383522	Various Characters
836943	387247	Peggy Mitchell/Butcher (II) (
836943	390551	Mabel
836943	400202	
836943	402777	Judy (1963)
836943	406388	Herself
836943	411152	Millie
836943	411259	Herself (1998)
836943	411503	Saucy Nancy (Series 2-3) (198
836944	154102	Girl in Café
836944	384658	Alice
836944	387242	Lucy Carlyle
836944	392019	Hazel Potter (young)
836944	409840	Laura Martin
836945	113641	Lana's Roommate
836945	192412	1st Girl
836945	224405	Lita
836945	383385	Frankie Bridges (1984-1985)
836946	352227	
836947	1381	Herself
836947	5775	Madeline Ames
836947	29942	Valerie Hale
836947	41064	Bonnie Clinton
836947	41507	Amelia Griggs
836947	44454	Chadyeane Fairfax
836947	47452	Hortense Allen
836947	47984	Dorothy Kirtland
836947	48976	Alice Tremayne
836947	54539	Cora Nevins
836947	65415	Dierdre Saurin
836947	69852	Marlene Underwood
836947	73782	Anne Clement
836947	77626	
836947	82839	The mother
836947	88256	The daughter
836947	89863	Claire
836947	92519	Helen Keene
836947	104340	Mrs. Frank R. Walters
836947	106657	Party Guest
836947	109362	Gloria Vane
836947	116786	Ann Whittaker
836947	117143	Eleanor Bates
836947	117559	Lady Patricia Rutledge
836947	120776	Lucy
836947	132602	Josephine Burroughs
836947	132824	Kathleen Vaughn
836947	151310	
836947	151319	Herself
836947	171048	June Holton
836947	178095	Mrs. Courtney
836947	191729	Leila Morton
836947	191929	Julia Rutherford
836947	213298	Helene Craig
836947	218002	Phoebe Starling
836947	227168	Mary
836947	229660	Nellie
836947	241274	Faith
836947	242590	Carol Chandler
836947	271110	'Honey' Moore
836947	277647	Gay Davenport
836947	283637	Countess Helga
836947	288425	Judith Matheny
836947	291317	Herself
836947	293755	Alice
836947	300106	Cameo appearance
836947	303256	
836947	308404	Barbara Barbier
836947	309580	Alice Garlan
836947	309581	Celebrity
836947	316329	Derith
836947	333512	Elsa von Bergen
836947	334273	Alice Granville
836947	335718	Mrs. David Graham
836947	335952	Lady
836947	362172	Hallie
836947	362560	Phoebe Jay Morrison
836947	363805	Robinette
836947	374418	Herself
836948	407369	Officer, Additional Voices
836949	147948	
836950	155586	Flower girl
836950	176912	Ginny Bryson (Charlie's girl)
836950	188547	
836950	329421	Jennie
836951	197943	Perdita
836951	275057	Cecile
836952	308609	Easter Bunny
836953	385824	Emma Donovan Marshall (1985-1
836954	67860	
836954	88308	June
836954	104931	
836954	121672	
836954	146011	Lodge guest
836954	152407	Bit Girl
836954	190285	
836954	327764	Lady in Waiting
836954	367459	
836954	372292	Maisie Vane
836955	50624	Ruby the cleaner
836955	169812	Bingo Lady
836955	383055	Ruby
836956	95471	The Madam
836957	128847	Dragon Girl
836958	755	
836958	29920	Female adult star #1
836958	32203	Tonya
836958	34658	
836958	34833	
836958	34856	
836958	34906	
836958	37225	
836958	47504	
836958	95803	
836958	105896	
836958	128235	
836958	139064	
836958	147840	Jessica
836958	233715	
836958	269341	
836958	316413	
836958	347390	
836958	364752	Audrey Hunt/Marcy Snavely
836958	410422	
836959	160832	Extra
836960	31286	Mrs. Marks
836960	159971	Maudie
836960	178125	Medical Examiner
836960	276646	Mrs. Walker
836961	102550	Cefisa (confidante of Androma
836962	387247	Satine Harkerbly (1999)
836963	3044	Herself (Memorial Tribute)
836963	4627	Madame Rontru
836963	11141	Carrot Queen
836963	32066	LaBelle Bergere
836963	32562	Mrs. Sutton
836963	37364	Girl
836963	45096	Alice Williams
836963	52015	Mrs. Hetty Green
836963	52543	Attractive brunette on tour
836963	56798	Helen Salinger
836963	58724	Madame Corona
836963	60037	Hostess
836963	64924	Lydia Biddel
836963	68319	Casey
836963	73551	Sally Orr
836963	77025	Dakota Lil
836963	79809	Claire Fielding
836963	79837	Cora Johnson
836963	91645	Terry Miller
836963	97392	Cleo Abbott
836963	106614	Actress
836963	112527	Ann Logan
836963	116533	Native Girl in Dream
836963	117485	Edna Tucker
836963	119356	Mrs. Murphy
836963	119847	Diane Gorman
836963	128262	Julia Parry
836963	131464	Polly (owner, Polly's Palace 
836963	141517	Hotel manager
836963	142448	Rose
836963	142517	Mary Carson/Doll Brown
836963	152208	Girl on train
836963	153134	Jan Bolton
836963	162892	Elizabeth
836963	164235	Mrs. Roth
836963	165695	Fran Sterling
836963	170827	Princess Mari
836963	177019	Sherry Peatty
836963	183795	The Princess
836963	191624	Celie Donlin
836963	192721	Junior League Girl
836963	196376	Aunt May
836963	200991	Hanna aka Carrie Bentell
836963	204217	May
836963	227798	Mrs. Neall
836963	233748	Carolyn Grant
836963	240440	Jane (script girl)
836963	241562	Louella
836963	245330	Madge Coyle
836963	245384	Iron Mae McLeod
836963	245449	Cara
836963	248440	Linda
836963	249346	Tonya
836963	253006	
836963	255887	Party girl
836963	257856	Bit Role
836963	280942	
836963	286054	Eva Miller
836963	300168	Adelaide
836963	302008	Karen Childress
836963	305442	Nurse
836963	306126	Jean Darr
836963	306490	Marilyn Montgomery
836963	308656	Helen Amboy
836963	313160	Herself
836963	315697	Josephine
836963	319757	Goldie
836963	320788	Josie
836963	324043	Laura Thompson
836963	331398	Violinist
836963	331522	Queen Anne's Lady-in-waiting
836963	340465	Anne McCormick
836963	342810	Mary Slate
836963	343268	Bess
836963	346914	Saleslady
836963	347068	Gwen
836963	348917	Anne McCormick
836963	365510	Lottie Clampett
836963	389858	Dr. Vivian Collins (1982)
836963	407008	Billie Costello
836964	248318	Company 'C' Girl
836965	27145	Tracy, Kelly's Friend
836966	75360	Rebecca
836967	29524	Kyra
836967	36721	Marie Mitchelle
836967	49656	Bobbi
836967	53050	Nancy Himmel
836967	73333	Hilda/Holly May
836967	107166	Kimberly
836967	108358	Grace Dooley
836967	151083	Molly McNulty
836967	151780	Marie
836967	151789	Marie Adams
836967	161294	
836967	162887	Kate Landis
836967	189263	Jane
836967	196320	Jeanine
836967	223768	Dee Dee Caldwell
836967	272972	
836967	319903	Miss Robertson
836967	330311	Nicole
836967	348374	Corky
836967	384379	Audrey (1992-1993)
836967	392084	Nancy Radzimski Salducci
836967	396693	Rita
836967	398567	Caroline Van Allan (1996)
836969	17757	Little Girl
836970	192269	Teenage Girl
836970	330689	Clarissa Smith
836970	365148	Townswoman
836971	105166	Cecilia
836971	372759	Herself
836971	383034	
836971	411830	Herself (1983-1987)
836972	50975	Suzie
836972	396991	Eddy Largo
836973	130930	
836974	193955	Girl with Billy Bowlegs
836975	198548	Mrs. Khortney
836975	249323	Maizie Weldon
836975	279493	Alice
836976	38515	Bellevue Nurse
836976	52537	Rosemary
836976	61697	TV Newswoman
836976	70455	Receptionist
836976	81253	
836976	127215	Grace
836976	150520	Elizabeth Stanton
836976	162416	Maggie Stoneman
836976	168648	Dr. Harris
836976	175100	Penny Voorhees Keegan
836976	220018	Nurse Norris
836976	226966	Allison Browning
836976	232405	Mrs. Fordyce
836976	263789	
836976	289420	
836976	292502	Marlene Becker
836976	324899	Gloria Beasley
836976	349231	Kathleen Maxwell
836976	367606	Dr. Miller
836977	7732	
836977	29782	
836977	31027	
836977	35538	
836977	56586	
836977	88764	
836977	97504	
836977	113468	
836977	149980	
836977	159940	
836977	162832	
836977	183989	
836977	188042	
836977	209177	
836977	228008	
836977	232462	
836977	245475	
836977	249455	
836977	262618	
836977	274385	
836977	292525	
836977	295933	
836977	297254	
836977	306993	
836977	311902	
836977	315725	
836977	320466	
836977	321111	
836977	361971	
836978	215623	
836979	204785	Angel
836980	39998	
836980	49659	
836980	68986	
836980	121639	
836980	147757	
836980	302927	
836980	321047	
836980	332422	
836980	345884	
836980	363998	
836980	364261	
836981	380571	Voice
836982	165077	Nun
836983	248677	Cass Charbonneau
836984	176697	Herself
836985	29669	
836987	372897	Herself
836988	210643	Lisa
836989	272653	Herself/Interviewer
836990	150802	Flower Girl
836991	34028	Saloon Girl
836991	90311	
836991	145995	
836991	155018	Girl
836991	169623	Maid
836991	177984	
836991	264057	Ruth Wheeler
836991	272532	
836991	279519	
836991	331584	Bull's girl
836991	348383	Daisy Elmore
836991	349633	
836991	362365	
836992	97211	Girl in Red Dress
836993	122778	Mara Blake
836994	7036	
836994	12784	Alice
836994	26070	Nurse
836994	49361	Marjorie Palmer
836994	78185	Nurse
836994	92007	Miss Brown, Slade's Secretary
836994	98012	Governess
836994	103317	Girl
836994	117480	Nurse
836994	124767	Receptionist
836994	132047	Ellen Tanner
836994	143233	Nurse
836994	149635	Party Girl
836994	154789	Nurse
836994	157129	Lucy
836994	168646	Mrs. Tim Moore
836994	183664	Nurse
836994	202248	Student
836994	204708	Nurse Holding Baby
836994	213820	Piano Teacher
836994	215862	Telephone Operator
836994	222733	Gloria Reed Davis
836994	231768	Nurse
836994	241468	Helen, Pearce's Cook
836994	241561	Party Guest
836994	269295	Laura, Gossamer World segment
836994	277447	Party guest
836994	305606	Dinwiddie's Secretary
836994	312981	Nurse
836994	315123	Lucy
836994	329329	Cigarette Girl (Bette Davis N
836994	346900	Bill Girl
836994	358749	Western Union Girl
836994	370555	Sally
836995	374436	Mandy
836996	44444	
836997	323991	Vera
836999	72624	Customer
837000	31156	Angry Woman
837000	90772	Shanda Riesman
837000	92315	Recurring (1997)
837000	115562	Confessor
837000	124794	Mary Kay
837000	151483	Rose
837000	160042	Guest Star (1996)
837000	165958	English Teacher
837000	181005	Lecture Woman #1
837000	187082	Alice, Chicken Ranch Madam
837000	196063	Dental Assistant
837000	218055	Turquoise
837000	239786	Archer's wife
837000	275872	Dottie
837000	298852	Sue
837000	298853	Sue
837000	309563	Biker Chick
837000	310423	Beauty Client
837000	313334	Tourist Woman
837000	330565	Knitting Lady
837000	330610	Bank Customer
837000	339358	Mrs. Virginia Sussex
837000	366679	Supporting
837001	723	Herself
837001	1781	Herself
837001	2787	Herself
837001	2924	Herself
837001	3055	Herself - Presenter: 'Mystic 
837001	4671	Herself
837001	5043	Herself - Host
837001	32737	Miss Zora
837001	33742	Sethe
837001	57644	Herself
837001	57672	Herself
837001	63106	Herself
837001	67040	Herself
837001	67395	Sofia
837001	71291	Herself
837001	78183	Herself
837001	99305	Herself
837001	175544	Herself
837001	191017	Elizabeth Keckley
837001	191527	Herself
837001	212708	Herself
837001	228339	Mrs. Thomas
837001	244824	Coretta Scott King
837001	262527	
837001	269922	Herself - Host
837001	289531	Herself - Host
837001	329938	LaJoe Rivers
837001	331934	Herself
837001	333548	Herself
837001	345728	Reader
837001	367844	Mattie Michael
837001	382734	Mattie Michael
837001	400372	Herself - Host
837001	409705	
837002	303956	Eva
837003	319270	Krissy
837004	37270	Mrs. Bruton
837004	38019	Mrs. Crabtree
837004	52160	Vera
837004	84267	The Grandmother
837004	89160	Gran
837004	89635	Anne-Marie
837004	96867	Herself
837004	121503	Rosa Fludd
837004	127198	The Cook
837004	130179	Mrs. Taverner
837004	150748	Daphne
837004	161918	Mrs. Sarah Roberts
837004	226902	Old Lady
837004	229687	Mother
837004	240504	
837004	258210	Woman at Poetry Reading
837004	266136	Karen
837004	273422	Grandmother
837004	283500	Old Lady
837004	288476	Villager
837004	305602	Hilda
837004	318485	Mrs. Delt
837004	331910	Mrs. Goodwin
837004	335782	Ancient Fairy
837004	342868	Woman Neighbour
837004	348379	Woman at the Accident
837004	353490	
837004	365342	Mrs. Booth
837004	369910	Mrs. Goodman
837004	370054	Elderly lady
837004	380344	Agafea
837004	387247	Lou Beale (1985-1988)
837004	388504	Anna Bazarov
837004	396912	
837004	397182	
837004	400087	
837004	405696	Woman at Westbourne Terrace
837004	411293	Edie Possett
837004	411353	Mrs. Clements
837005	42696	Karen
837006	340685	Baby Sarah
837007	7510	Jeremy's Mother
837008	269045	Announcer
837009	127907	
837010	245053	Jodine Waite
837010	314445	Additional Stepford Wife
837011	161761	Monica
837012	34733	
837012	36937	
837012	324770	
837012	327780	
837013	73903	Previously Unseen Woman
837014	297448	Little Girl
837015	22596	Pregnant Woman
837015	52199	Ned's Mother
837015	72217	Natalia
837015	95219	Gwen
837015	120297	Mrs. Waterhouse
837015	128816	Lisa
837015	193761	Girl in Bar
837015	196320	Jill
837015	253351	
837015	253357	Mary Singer
837015	276599	Jennifer Curtis
837015	316171	Madeline Roth
837015	408058	
837016	304734	Girl in Diner
837017	62090	The Maid
837017	78123	Mrs. Wang
837017	79371	Amah
837017	96840	Amah
837017	178758	Ah Toy
837017	221186	Ah Wong
837017	363301	Ming
837017	366946	Fat Chinese Woman
837018	2545	Chorus girl
837018	9972	
837018	50126	Herself
837018	99455	
837018	105070	Peggy, Young Canteen Worker
837018	107133	Miss Lee, Turner's secretary
837018	116894	Chorus Girl
837018	130622	Gold Digger
837018	144454	Sue, Brad's Secretary
837018	151097	Sextet Girl
837018	153617	Ballet girl/performer
837018	167707	Wallingham Secretary
837018	169362	Second Chorus Girl
837018	177610	Autograph Seeker
837018	191835	Society Girl
837018	264645	Secretary
837018	301826	Association Secretary
837018	368324	Reeves' Secretary
837018	368383	Richard Nordholm's Secretary
837019	6899	
837019	21532	
837019	72232	
837019	72304	
837019	107893	
837019	112414	Carmen
837019	115502	Red Wing
837019	117033	
837019	117236	Red Wing
837019	118707	
837019	158167	Starlight
837019	159064	
837019	191775	
837019	195394	
837019	210930	Indian
837019	212233	
837019	252122	
837019	256429	
837019	271853	His Wife
837019	274056	Red Deer
837019	274103	
837019	274403	Red Wing
837019	274404	Red Wing
837019	274405	Red Wing
837019	274406	Red Wing
837019	274533	
837019	312320	
837019	312321	Nat-U-Rich/Nat-U-Ritch
837019	317217	
837019	340783	
837019	348088	
837019	363945	
837019	364026	
837019	368201	White Fawn
837020	81952	Zuby Higgins
837022	69409	Little Girl #1
837022	223752	Vanna
837022	329379	Infinity
837022	361236	Hollywood Starlet
837022	391262	Sophie
837024	2545	Young and Healthy girl
837024	6251	Herself
837024	9972	
837024	26337	Office worker
837024	41895	Blonde
837024	50126	Herself
837024	57973	
837024	67141	Sorority girl
837024	67858	Dolly
837024	91640	Nan
837024	92161	Blonde at poolside
837024	112095	Herself
837024	117509	Amelie Darrell
837024	145375	
837024	147700	Girl in montage
837024	176335	Goldwyn Girl
837024	177610	Autograph Seeker
837024	178015	Consuelo of Claghorne
837024	191835	Society Girl
837024	205913	Linda Dale
837024	215990	Lulu, the Cashier
837024	220852	Irene Lee
837024	222592	Nancy
837024	241416	Maizie
837024	247160	Goldwyn Girl
837024	260091	Child
837024	264645	Girl Friend
837024	277532	Herself
837024	277544	Lola Green
837024	290328	Hazel Jones
837024	291915	Sally
837024	297932	Model
837024	301853	Marion Braddock aka Jane Smit
837024	302624	Joan Williams
837024	313336	Herself
837024	319033	Herself
837024	321384	Telephone Operator
837024	330686	Student
837024	331052	Anne O'Malley
837024	336031	Party Girl
837024	340755	Suzanne Baggart
837024	342859	College Girl
837024	366824	
837024	367655	
837024	367841	Sugar
837025	59548	Chinese hostess
837025	131466	Mrs. Mhin Van Thieu
837025	154530	Auto Cashier
837025	166637	Madame Woo Woo
837025	263172	Alvina
837025	288939	Greta
837025	306744	Mrs. Hung
837027	302121	Commune member
837028	291253	Janet
837029	20037	Fan
837029	324659	Dancer
837030	184717	Hannah Daniels
837030	224729	Lana 7-12
837030	313476	Ryoo Naberrie
837030	313477	Ryoo Naberrie
837031	243476	Model (segment "The Fashion M
837032	62741	Alice Ochs
837033	334104	Lady
837034	47836	
837034	109293	Kent's Mother
837034	326127	Mrs. Lindblad
837035	51077	Anne Berit
837036	303214	Frk. Onstad
837037	5218	Nabodama
837038	386347	Herself (episode 1.7 "1980-19
837040	87267	
837040	141300	
837040	278086	
837040	358938	
837040	358944	
837041	446	
837041	2785	Herself - Co-presenter: Short
837041	2899	Herself
837041	35155	Katie Phillips/Cathy Weaver
837041	36722	Marilyn
837041	40025	Alexandra 'Alex' Barnes
837041	53916	Suzy
837041	78176	Martha Horgan
837041	79658	
837041	104549	Alice Collins
837041	105222	Angela Crispini
837041	117713	Ellen Andrews
837041	119820	Melanie
837041	157968	Narrator
837041	158487	Herself
837041	186681	Jane
837041	187172	Laura Kelly
837041	199499	Emmett
837041	213654	Betty Parrish
837041	238709	Paula Pokrifki
837041	270607	Linda
837041	283267	Herself/Narrator
837041	291971	Herself
837041	296900	Joy Gresham
837041	298321	Kit Moresby
837041	305228	Debbie
837041	310613	Sherrie Hensley
837041	328301	Emma Greenway Horton
837041	329309	Jennifer
837041	348594	Sissy Davis
837041	365609	Vida Foudroyant
837041	367068	The Wicked Witch of the West
837042	158147	Vice Cop
837043	335665	
837044	289509	Daesa
837045	162837	Girl in flashback
837045	264189	Handmaiden
837046	213654	Betty's Mother
837047	31668	Bikini Girl #1
837048	236968	Parent
837049	77020	Sara Jane Swisshelm
837049	109093	Irate Customer's Wife
837049	133099	
837049	185637	
837049	295114	Mary Henderson Eastman
837049	297951	Female Officer
837049	315896	Darla Riordan, Clermont Resid
837049	347741	Tree customer
837049	366842	Judy
837050	303426	Charlotte
837051	13043	The Writer (beginning)
837051	91458	La boutiquière
837051	378062	La mercière
837051	400698	Troupe du Palace
837052	274344	Penny
837053	44298	Val Sundeen
837054	105398	
837055	171712	Lucy
837056	405544	Vanessa
837057	18899	
837057	409931	Saimi Järnefelt
837058	215490	Herself
837059	236692	The Girl
837060	179342	Wolanska's Friend
837060	215214	Woman with Meat
837060	231620	Prostitute
837061	25426	
837061	40870	Bednarz's Wife
837061	238345	
837061	260598	
837061	347617	Neighbour
837062	214246	
837062	215214	Woman on Airport
837062	388834	Urszula Lipowicz
837062	394585	Alicja Marczynska (1998-)
837063	116053	
837064	80639	Polish Peasant
837066	151641	Denise
837067	322886	Thanksgiving party guest
837068	345406	Samantha
837069	288329	
837070	21450	
837070	192055	Karen Bergen
837070	223404	
837070	228593	Brita Rasmusson
837070	236565	Else Andersen
837070	337047	Lady Carrigan
837070	346626	La millionaire
837071	5689	Michelle Bluntschi
837072	333409	Oliver's Daughter
837073	222784	Psychic
837074	244962	
837074	377736	Stéphanie
837074	409442	Sophie (2000-????)
837075	23622	Rosy
837075	338233	Corina/Bruxa Corona
837075	375497	
837075	383441	Diana
837075	384117	Young Suzette Fontin/Helena
837075	384480	Shirley
837075	385024	Alicinha
837075	388939	
837075	393977	Marlene
837075	394872	Marisol
837075	396610	Melissa Brown (1995)
837075	400097	Dominique
837075	400981	Beatriz
837075	402371	Young Ana
837075	402685	Manoela
837075	404947	Eva
837075	409057	
837075	409347	Tatiana
837076	6512	Koreograf
837077	153957	Mari
837078	123164	The Woman
837079	219023	Cathy
837080	881	
837080	20477	
837080	20478	
837080	20480	
837080	20481	
837080	20482	
837080	23257	
837080	104332	
837080	108497	Sophia
837080	118959	Sarah
837080	337170	
837080	360618	Leslie White
837081	406611	Herself - Finalist
837081	406612	Herself - Participant
837082	24746	Carlos Zarius
837083	316461	Angela
837084	78491	Herself (performing 'Hvor går
837085	391835	Talking head/soundbites (segm
837086	24746	Sister Felicité
837087	290107	Franziska - Kind/Franziska, a
837088	186953	Magali
837088	328620	Saskia
837089	311082	Anita Friedrichs
837090	93416	Gudrun
837091	406851	
837092	340542	Sandy Mackey
837093	395253	Laura
837094	188743	Paula
837095	157688	Rita Müller-Eisert
837095	184391	
837095	226325	
837095	252183	Mother
837095	290263	Herself
837096	308698	(video "Ariana")
837097	109324	
837097	134773	Kitty
837097	182247	
837097	189811	
837097	209988	
837097	236818	Mizzi, dancer
837097	361120	
837098	178678	Kubanerin
837099	48342	
837099	115228	Claudia Hagen
837099	119218	
837099	139695	Claudia Aigner
837099	142264	Emma
837099	176726	
837099	231487	Claudia Swoboda
837099	289947	Petra
837099	347829	Esmeralda Nemetz
837099	354012	Maria
837099	359088	Nurse
837099	361507	Junge Frau im Hotel/Young Wom
837099	381864	Nicole Bissinger
837099	386637	Ute
837099	394740	Niki Herzog (2002-2004)
837099	394817	Linda
837100	15035	
837102	1924	Herself/Presenter
837102	320453	Female TV Presenter
837102	360366	Herself/Narrator
837102	383790	Herself/Presenter
837102	388264	Herself/Presenter - BBC3 (Ser
837102	388382	Herself
837102	390227	Herself/Presenter
837102	391778	Presenter
837102	395698	Presenter (2002-2004)
837102	399045	Herself/Presenter
837102	407507	Herself/Presenter
837102	408700	Presenter (1999)
837103	258931	Angela Warren
837103	320453	Debbie Levine
837103	411014	Joely
837104	62784	Girlfreind #2 & #9
837104	279335	Editor
837105	119683	Bauersfrau
837106	192286	Kevin's friend
837107	281667	
837107	381694	
837108	12553	
837108	34121	Mother
837108	40499	Agnes Matzerath
837108	47760	Elle
837108	48520	Helga Scholz (alt)
837108	78538	Lucile Desmoulins
837108	84578	Antigone
837108	97595	Edith Baumeister
837108	102553	
837108	125004	
837108	134209	Rosa Clement
837108	142510	Ruth
837108	164833	Hannelore
837108	180197	Anna
837108	180911	
837108	188745	Marie Fleury
837108	188825	Susanne Elling
837108	191190	Franziska
837108	211828	Ann
837108	266153	Claire
837108	282080	Rebekka
837108	290009	
837108	352379	Katharina Blum
837109	302793	Ornery Girl
837110	337549	
837111	345136	Agnès
837112	70486	Copacabana Girl
837112	133402	Girl Greaser
837113	5511	
837113	166163	Yvonne Martinot
837113	264525	Suzanne
837114	146838	Herself
837115	19107	
837115	46197	Martha
837115	127497	Moeder Ann
837115	137943	
837115	178722	Kuisvrouw
837115	189966	Florence Goodman
837115	195525	Geesje
837115	202509	Mother Griboin
837115	203446	Mevrouw Donker
837115	205577	Moeder Overste
837115	205689	Fifi
837115	264123	Koncierge
837115	303163	Moerder van Roosemael
837115	314856	Moeder
837115	357258	Meid
837115	360784	Grootmoeder
837115	388157	Mammelies de Crébillon
837115	393617	Tante Liezelotje
837115	397445	Kostersvrouw
837116	314318	
837117	186897	Chor/Choir
837118	389619	Local Edition (Saarbrücken)
837119	87432	Sex Addict
837120	20434	Vicki
837120	86534	Dispatcher
837120	112369	
837120	136832	Cynthia
837120	215363	Donna
837120	232213	Cheryl
837120	391544	Asisstant (1987-1988)
837121	390812	Doris Hinze (1997, 2000, 2002
837122	31390	Ella
837123	7842	Woman with Gun
837123	22824	Nancy Bender
837123	24484	Millie
837123	50340	Mrs. Rizzo
837123	123703	Airline Clerk
837123	131780	Belle Kessler
837123	135569	Leta Rosen
837123	177369	Receptionist
837123	190047	Barbara
837123	223009	Irma Kiss
837123	230116	Mrs. Raines
837123	230963	Argumentative woman
837123	231776	Judge Parker
837123	251785	Woman with luggage
837123	274258	Helen
837123	280286	Airport Clerk
837123	316501	Woman
837123	348386	Hospital Clerk
837123	372264	Receptionist
837124	134885	
837125	24082	
837126	275108	Kvinna på banken
837127	395759	Herself
837128	209957	
837129	195086	
837130	283739	Mrs. Whitney
837131	229929	Isolde
837132	409471	Clay Artist
837133	213941	Nancy
837133	275615	Helen
837133	339645	Zoë
837134	81151	Prostitute
837135	53154	Nina Engel
837136	379693	Sophie
837137	69770	Mado
837138	406148	Laura Spender
837139	399069	Tracey
837140	5885	Kyle
837140	58164	Kate Miskin
837140	61954	Julia
837140	87645	Ankie
837140	193619	
837140	263795	Rachel Bell
837140	294573	Lucilla
837140	312854	Hilary
837140	389124	Frances
837140	402678	Valerie Carter
837141	80129	
837142	160064	
837142	233673	Herself/Narrator
837142	309584	Ann Woodbridge
837142	333359	
837142	363797	
837142	387714	Mary Skelton
837143	122170	Tweenie
837143	255466	Gretel
837143	348358	Orgy Girl
837143	348370	Waitress
837143	387060	Ethel
837143	408477	Carol (1973)
837144	171191	Barbara Sabatini
837145	510	Mimiru
837145	516	Mimiru
837145	517	Mimiru
837145	31043	Gally
837145	49934	Rio
837145	49935	Reimi
837145	92777	Vina
837145	113780	Bect's Granddaughter, Elis
837145	123447	Asagi Kusanagi
837145	125753	Ellcia
837145	130730	Girl A, Producer, Additional 
837145	136044	Rally Vincent
837145	141696	Pinter, O'Neill
837145	161760	
837145	202806	Yokho Mano
837145	202807	Yohko
837145	202808	Yohko
837145	202809	Yohko
837145	202810	Yohko
837145	202811	Yohko
837145	239209	Ushiwaka
837145	241933	Konoko
837145	253444	Ulala (a.k.a Urara)
837145	257397	Captain Little
837145	273202	Nancy Makuhari aka 'Miss Deep
837145	298952	Annette
837145	298993	Rei Ayanami/Yui Ikari
837145	298994	Rei Ayanami/Yui Ikari/Pen Pen
837145	311935	Additional Voices
837145	313418	Kleeya
837145	318473	Additional Voices
837145	318540	Saki Asamiya
837145	323144	Alicia Pris
837145	331182	Sodina Donfried
837145	378651	Mimiru
837145	378652	Magi, Additional Voices
837145	380473	Kaede Kunikida/Momiji Fujimiy
837145	383019	Rio Kinezono
837145	389870	Mika Seido
837145	402729	Tama-Chan
837145	405144	Rei Ayanami
837145	406882	Saki
837145	406884	Saki
837147	240667	Chambermaid
837148	282563	Court Clerk
837149	256146	Haley Jeffries
837150	193666	Peggy, 'Pat's' niece
837150	256434	Dorothy McClure
837151	146943	Cynthia Tumbridge
837152	18	Party Guest
837153	96113	Dancer
837153	157195	Dancer
837153	382305	Tess
837154	270346	Playground Child
837155	119328	Extra
837155	220651	Tina
837155	248093	Extra
837155	252511	Sorn's Girl #2
837155	399685	Extra
837156	23474	Young Girl
837158	230663	Highland High volleyball play
837158	350700	Nerd
837159	55575	
837159	105889	Sharon Spencer
837159	105891	Sharon Spencer
837159	151150	Sara Dunning
837159	185336	Maeve Skeffington
837159	203339	Angela Canyon
837159	211783	Miranda Thatcher
837159	213865	Maggie Stanton
837159	215190	Marianne
837159	219794	Sister Beth
837159	247567	Helen, Bobby's Girlfriend/Mrs
837159	251785	Mianne Prendergast
837159	330194	Grace
837159	381468	Rosamond Lassiter
837160	365527	Bat Girl
837161	235491	Denise
837162	347345	
837163	321820	
837164	19024	Tag Team Preacher #6
837165	147655	Script Supervisor
837166	390276	Clara Craig
837166	390648	Zoe
837166	399201	Connie
837166	403465	Jean Hofner
837166	406918	Emma Gunther
837167	264193	
837168	365610	
837169	228164	
837170	81062	Secretary
837171	173313	Herself
837171	387953	Jurylid
837171	387954	Herself
837171	399052	Herself (2001)
837172	332845	Sherry
837173	40865	Charlotta Hägerskiöld
837173	108200	Mrs. Kajsa Björck
837173	198253	
837173	314402	
837173	377383	von Ackerman
837174	80617	Photo customer
837175	2709	Young Woman
837175	38380	Jennifer
837175	65954	Olga
837175	76613	
837175	106942	Liz
837175	130423	Trish
837175	142622	Chelsea
837175	288462	Jenna
837175	305742	Marcia
837175	343201	Tiffany
837175	362133	Julie
837175	393058	Herself
837175	406773	Holly Benson (1999)
837176	24420	
837176	154601	Zoya's Parent
837176	231609	
837176	231610	
837176	249885	Wolski's Wife
837176	322908	Mother of the Boy Attending T
837176	360758	
837177	2283	Marta
837177	37731	
837177	130211	Eleonora
837177	132414	Wife
837177	158988	
837177	181333	Duchess Anna Danuta
837177	207885	Mother Joan of the Angels
837177	247286	Hanka
837177	258540	Marta
837177	258570	Madzia
837177	262508	Róza Zborska
837177	286455	
837177	288126	Sofija
837177	290692	Joan Moran
837177	311820	Irena - Wife
837177	322099	Ágnes
837177	343776	Maria
837178	193509	Lola Dellavina
837178	405072	Trina
837179	32241	Club Patron
837180	7069	Aunt Mamie Nash
837180	13507	Marlene Burkhardt
837180	27205	Catherine Braverton
837180	35164	Dana
837180	35251	Kit Kellner
837180	45640	Sheila
837180	66161	Lynne Young
837180	73855	Nicole Rougeron
837180	77865	Layla Mullich
837180	81219	Jenny Flowers
837180	82452	Elaine Hodges
837180	105315	Kyle Clay
837180	106542	Ethel Lee
837180	109632	Jamie Hurd
837180	111808	Locksley Claitor
837180	119551	Libby Bellow
837180	126056	Lurleen Wallace
837180	126104	Georgia
837180	129944	Theresa Johnson
837180	139135	Dawn
837180	142297	Helen Keller
837180	161642	Mary Wilkes
837180	188572	Judy Parma
837180	191840	Catherine 'Cath' Begley
837180	195383	Kim Paris
837180	195763	Margaret Ryder
837180	199499	Brenda Carlucci
837180	200243	Martha
837180	202239	Maisie
837180	214943	Julie Peters
837180	215745	
837180	234226	Pat
837180	241781	Beth
837180	241795	Modeena Dandridge
837180	286129	Martha 'Patsy' Jefferson Rand
837180	296255	Marta
837180	297628	Dr. Nina Moss
837180	298007	Prudence Crandall
837180	300573	Candy
837180	302750	Bootsie
837180	305978	Jennifer Bradley
837180	310613	Janice Gallitzin
837180	312557	Wendy Beamish
837180	314275	Aggie Modgelewsky, Modge's da
837180	328211	Singer
837180	331111	Faye
837180	331738	Carol Severance
837180	340669	Ginny
837180	341984	Dr. Emily Carson
837180	359351	Lois Simmons
837180	364189	Mary Frances Bodine
837180	366232	Annie
837180	367916	Chris
837180	369336	Mattie Blaylock
837180	372713	Nettie Peters
837180	372714	Nettie Peters
837180	382842	Dottie Shaw
837180	384524	Lynne Young
837180	408096	Justine O'Neill
837180	408529	Chandi Heffner
837180	411824	Nettie Peters
837181	311665	Moonray
837182	243772	
837183	107140	Nurse
837184	317520	Sister
837185	57208	Coven Girl
837185	338037	Party Girl
837186	2816	Presenter for Other Awards, p
837186	12753	
837186	13789	Mr. Smiley's Counter Girl
837186	15231	Radio P.A.
837186	32088	Becca Wasserman
837186	34946	
837186	47386	
837186	82625	Jeanette
837186	111800	Sarah
837186	230324	Sheila
837186	236117	Lea's Friend
837186	240486	Wendy Wodinski
837186	289666	Garage Victim
837186	304738	Brenda
837186	326442	Girl #1
837187	382685	Morning Star
837188	333211	
837189	254138	Véronique
837190	128953	Ropeen
837191	322433	Bella
837192	99018	Die Vertraute
837193	34113	Herself
837194	362538	Dance School Student
837195	101746	Konstanze
837196	131020	Rosina
837197	56923	Dora
837197	91914	Sandra
837197	273539	Psychotherapist
837198	42854	Fiona Money
837198	63000	Fan
837198	66918	Homesick Girl
837198	232891	Helen
837198	290922	Ruth Lascelles
837199	1674	Herself
837199	2818	Herself
837199	3021	Herself
837199	16990	
837199	33184	Herself
837199	35821	Herself (at Oscars for Titani
837199	57665	
837199	63000	Belle
837199	68103	Herself/Singer
837199	89637	Nora Helmer
837199	101462	Hester Wallace
837199	104338	Clementine Kruczynski
837199	107331	Brigid
837199	113506	Sylvia Llewelyn Davies
837199	129763	Juliet
837199	137930	Ophelia
837199	141666	Juliet Hulme
837199	144681	Julia
837199	147980	Ruth Barron
837199	162247	Young Iris Murdoch
837199	169868	Sue Bridehead
837199	169959	Herself
837199	176350	Princess Sarah
837199	186165	Herself
837199	190171	Bitsey Bloom
837199	201569	Herself
837199	206807	Mabel Stark
837199	229384	Narrator
837199	229388	Narrator
837199	243146	Herself
837199	243147	Herself
837199	243148	Herself
837199	258302	Clare
837199	263550	Suki
837199	269901	Madeleine 'Maddy' LeClerc
837199	280844	Tula
837199	294217	Marianne Dashwood
837199	333856	Rose DeWitt Bukater
837199	333878	Herself/Rose DeWitt Bukater
837199	359229	Mum/Annie
837199	385717	Reet
837199	389968	Eleanor Sweet
837200	199311	Geisha
837201	257506	Clarisse
837201	304395	
837202	220973	Nurse
837203	296107	Sorority Girl
837204	176335	Goldwyn Girl
837205	190474	
837206	381079	Claudia Kishi
837207	35439	Maria
837207	54788	TV Reporter #1
837207	66324	Marsha Kapinski
837207	66999	Amal
837207	85006	Interpreter
837207	127679	Judy
837207	140371	Marie Minucci
837207	142258	Pilot
837207	144593	
837207	168290	Reporter
837207	200999	Campaign Worker
837207	260110	
837207	272739	Queen
837207	285357	Catherine
837207	315132	Gail Frankish
837207	330559	Ghita
837207	336459	Maria Sooder
837207	362227	Female Officer
837207	406007	Gloria
837207	408060	C.A. Pamela Menon
837208	250747	Sandy
837209	10587	Elderly wife
837209	200484	Woman on boat
837209	298166	Mrs. Talbot
837209	331425	Relative
837210	93771	Cheerleader
837211	85067	Marcia
837211	264775	Maid
837212	103265	Audrey
837213	82707	Joan Parker
837214	167638	Mrs. Turner
837215	165282	Herself
837216	161523	Rapunzel
837216	192278	The Girl
837216	314131	Melanie
837217	389869	Anchorwoman/Oju Computer Voic
837218	244358	Diane
837219	336705	Molly Strickland
837220	28751	Bambi's Mother
837220	400527	Mrs. Martha Conklin (1953-58)
837221	238256	
837222	158102	Chorus
837223	344628	Young woman watching news cre
837224	55700	Cloakroom Attendant
837224	295710	Mrs. Lowndes
837225	164627	
837225	286228	Dancer
837225	391835	Talking head/soundbites (segm
837226	43885	Nicole
837227	92566	Jane
837227	92570	Heidi
837227	92571	Jane
837227	113694	
837228	285591	Mary McNab
837228	363779	
837229	117535	Anne
837229	118722	WPC in Car Park
837229	155087	Stef
837229	249611	Christine
837229	269842	Blanche
837229	275479	Gail
837229	300871	Olive McBollocks
837229	312854	Tina
837229	315901	Louise
837229	375246	Nurse
837229	390256	Cathy
837229	405151	Janice
837231	385577	Jeopardy/Trivial Compromise A
837232	195576	Foster Home Kid
837233	192072	Little Monster
837234	345633	Erma Jean Bagnoll
837234	385577	Correspondent (1996-1997)
837234	399920	Lizz Winstead
837234	408642	Panelist
837235	60253	Lisa apple
837235	194013	Annie Jacobs
837235	218375	Maddy
837235	278437	Young Evelyn
837235	304288	Gwen Grayson
837235	329875	Rina
837235	367282	Sophia Kohanek
837235	411339	Sophia Donner
837236	2645	
837236	23815	Phrasie
837236	66226	Mme Galuchon
837236	247978	Mme Leurrier
837236	275634	
837236	408662	
837237	303765	
837237	350277	High Priestess of Satan
837238	196339	
837239	43606	Female Guest
837240	29916	Alexus
837240	224863	
837240	319461	
837240	320157	Cheryl church
837242	10894	Rene
837242	173318	Betty
837243	170843	Stewardess at Boarding Gate
837243	334274	Misty
837243	408876	Valerie Whittaker (1991)
837244	363690	Mrs. Kildare
837245	215069	Megildis, the Nun
837246	31156	Principal Holmstead
837246	35524	Mrs. Todd
837246	60735	Mrs. Elizabeth Peel
837246	65174	Blanche Loudon
837246	81334	Gladys
837246	131651	Mother
837246	147602	Ivy
837246	164572	Simone
837246	192748	Hospital Nurse
837246	209638	Jo-Claire
837246	236870	Toni Gillette
837246	241857	
837246	283104	Dr. Lucy Carmichael
837246	283399	Aunt Anna Mae
837246	300099	Foster
837246	319206	Judge Meyer
837246	340765	Angela Russel
837246	345689	Mother
837246	347566	
837246	366908	Reporter
837246	381525	Margaret Wyborn
837246	385580	Minnie Hershey
837246	387309	Veronique (1976)
837246	387438	Sylvia; Valerie the Librarian
837246	391898	Gloria Davis
837246	399832	Toni Gillette
837246	401930	Alice Burgess #1 (1998)
837246	408369	Herself/Guest Panelist
837246	409602	
837247	192503	Model
837247	194635	Barking Party Girl
837248	29388	
837248	31058	Lt. Graciano
837248	57217	Nurse
837248	282711	Telephone operator #2
837248	334449	Miss Baker, CIFC secretary
837248	372170	Flora Adams, Nurse
837249	45384	Mez Smith
837249	47922	Dame Alice
837249	84833	Agent Hargraves
837249	91900	Gerda
837249	141730	
837249	171084	Woman in Ice Cream Shop
837249	176954	Flo
837249	177022	Mrs. Goodman
837249	190245	Society Patron
837249	244923	Mrs. H
837249	260883	Florence
837249	276645	Dowager
837249	294065	Woman Commuter
837249	297005	Daisyette
837249	297136	Tillie
837249	340547	Olga Prchlik
837249	349022	Mrs. Nussbaum
837249	362107	Doris
837249	362538	Mrs. Greenbaum
837249	366780	Jessie (old)
837249	379297	Host
837249	394494	Gladys King
837250	342391	Sister Wilhelmina
837252	55624	Anna
837252	80947	Mrs. Baxter
837252	224327	Ruth Carlin
837252	273543	Mrs. Anna Thorwald
837254	18733	Mary Simmons
837255	9811	Light-of-Life
837255	31345	Mrs.Chadwick
837255	57355	Eliza Wetherford
837255	82705	Aissa
837255	83590	Mrs. Belding
837255	117800	'Sis' Maloney
837255	213980	Mother
837255	214556	
837255	217978	Mrs. Gilman
837255	257374	Elizabeth Mann
837255	300029	Undetermined Role
837255	353518	Mrs. Schomberg
837256	39108	
837256	79757	Cindy Walton
837256	220018	Cindy Walton
837256	264033	Terry White
837256	358866	Cindy
837256	360711	Cindy Walton
837256	383780	Laura Lou Booker
837256	410568	Cindy Brunson Walton
837257	34817	
837257	42673	
837257	49500	
837257	73608	
837257	108520	
837257	130782	
837257	154342	
837257	213985	
837257	321025	
837257	332450	
837257	372506	
837258	121799	Kathy
837260	276355	
837261	186229	Susanne
837261	245519	Mrs. Trent
837262	327298	Sock Hop Dancer
837263	146749	Member of the 'tic toc girls'
837264	48028	Marian Thorne
837265	278082	2nd Phone Flirt
837266	69341	Jaimee
837267	411047	Herself (Australian tourist, 
837268	210485	Convent Girl
837269	206397	Court Assistant
837270	279617	Michelle Le Belle
837271	207904	Judy Pohl
837272	14213	Myra Griffiths
837272	162578	The Girl
837272	184474	Polly Dorman
837272	185413	Woman
837273	185516	Kath
837274	144406	
837274	390840	Mary
837275	78483	Herself (performing 'Ene')
837276	158338	School nurse
837277	9635	Mme Pina
837277	69216	
837277	111159	Madre di Vera
837277	255124	
837277	269496	
837277	270840	
837277	301181	
837278	42276	Nurse Sherry
837279	328258	Ice Cream Fight
837280	57380	Young Amanda
837281	160252	Ellen Hoogeboom
837281	390242	Miranda 'Mira' Brandts Buys (
837281	397306	Liza Messing
837282	248394	Krankenschwester (Nurse)
837283	16977	
837284	8859	Liv
837285	100880	Policewoman
837285	153210	Schoolteacher
837285	266761	Mrs. Eels
837285	333868	Mrs. Duffy
837286	167679	Cook
837289	30814	
837289	77944	Miss Vane (her secretary)
837291	335621	Salesgirl
837292	296724	Esther Mawgan
837293	367969	Anni
837294	370885	Blue Christmas girl
837295	107738	Ursula Züger
837295	345013	
837295	359580	Magda Welgorska
837296	43412	The First Lady
837296	49603	Eva Braun
837296	53232	La duchesse de Praslin
837296	71877	Génia
837296	96141	
837296	148776	
837296	200936	Comtesse de Saint-Fiacre
837296	201180	Herself - from 'Les fausses c
837296	204668	La mère de Manon
837296	225367	
837296	225408	
837296	236622	Jean's Mother
837296	241213	La reine Yseult
837296	283965	La Reine
837296	325077	Elmire
837296	332215	Mme Blidot
837296	332216	Marie
837296	332222	Mme Derigny
837296	345175	Madame Ladmiral
837296	377980	Madame Necker
837296	390513	Adèle Schoudier
837297	292208	Amanda Kane
837298	394013	
837299	26776	Miss Evans, Aboard Ship in Fu
837299	54960	Mrs. Ipswich
837299	216822	Anna
837300	226903	
837301	75721	Police Officer
837302	304259	Guard #3
837302	305036	Dancer
837304	333648	
837305	259615	Kassiererin
837306	65792	Vincent's Wife
837307	77710	Dancer
837308	116992	
837309	7184	Child
837310	352674	Gloria
837311	387686	Magda von Dietrich
837312	18831	
837312	376282	Heidi
837313	129674	
837314	391693	Herself
837315	308244	
837316	324501	Danseuse
837317	301754	Receptionist
837317	313333	
837317	411363	Admitting Nurse
837318	15151	Miranda Pogue
837319	85835	Lily Faraday
837319	131703	Hope Adair
837319	146051	Lady Duncaster
837319	206845	Mary
837319	222664	Edith Osborne
837319	342389	Kate Sims
837320	342	Frau Rösgen
837320	5292	
837320	17037	
837320	23884	Erika Weil
837320	24077	
837320	24404	
837320	35037	Laura/Sibylle
837320	35049	Stella Drury
837320	48386	
837320	66120	Dr. Renate Wenger
837320	92544	Dr. Margarete Johnsohn
837320	98052	Angela König
837320	98293	
837320	98295	
837320	107840	Florence Corban
837320	119199	
837320	120954	
837320	121043	
837320	125279	Silvia
837320	129732	
837320	155419	
837320	156647	
837320	156755	
837320	160597	Emma Fischer
837320	167682	
837320	176726	Magdalena Göllner
837320	177164	Barbara
837320	182733	Juliane
837320	189612	Verena Angenfort
837320	194522	Helmi Petersen
837320	204514	Aina Mattsson
837320	225192	Magdalena Göllner
837320	228207	
837320	281970	Barbara Gilde
837320	290157	
837320	290217	Verena Hagen-Wertheim
837320	290771	Ursula Brandt
837320	308243	Annas Mutter
837320	314349	Cäcilie
837320	317497	Lena Pirroth
837320	322379	Královná
837320	324125	
837320	325786	Mrs. Fichte, his wife
837320	325870	Birgit Oppermann
837320	329681	Arkadina
837320	338416	Sybille
837320	345664	
837320	345905	Nora Hill
837320	347022	
837320	348051	Natascha
837320	350304	Anne-Marie Marchal
837320	361007	Olga
837320	361332	Dorothea
837320	365875	Gerda Decker
837320	377375	Dr. Katia Michelsberg
837320	388248	Sophie
837320	400859	Cosima Mauriès
837320	404433	
837320	406519	Mutter
837320	408385	
837320	409858	
837320	411929	
837321	59578	Veruca Salt
837322	168286	Fruit Catcher
837323	398622	Herself
837324	57380	Young Amanda
837325	31	Forum Waitress
837325	241311	Lydia
837325	277254	Salesgirl
837325	311195	Bev
837326	170968	Woman who looks at a shop-win
837327	104240	Camille
837328	182526	Barbara
837328	280344	Eduige
837328	371430	Olga
837329	114980	Prince Sploshing
837329	334733	
837329	361947	
837330	248877	Ursala, Camp Inch roomate
837330	390048	Larue
837330	401346	Henrietta Plout #2 (1966-1970
837331	17677	Anne Bäbi Jowäger
837331	17678	Anne Bäbi Jowäger
837331	51114	
837331	51932	
837331	96004	Frau Geiser
837331	103077	Frau Moser
837331	125306	Änneli
837331	182589	Bethi
837331	205772	Anna Rüegg
837331	208115	Irman
837331	281205	Vreneli
837332	156282	
837333	130666	Amazon Warrior
837333	230868	Winona
837334	65548	Charmian, Attendant to the Qu
837335	1712	Cassandra Menage
837335	44945	Ophélie Winter
837335	101271	Herself
837335	101273	Herself
837335	116411	Herself
837335	116471	Lisa
837335	148775	Pretty Blonde of Crillon
837335	168895	Jessica
837335	198567	Famous girl in the train
837335	208216	Chrystèle Porel
837335	297874	Ayesha
837335	336962	Eve Latour
837335	393171	Herself
837335	399377	Herself/1st Week Guest Star
837336	85801	
837337	251611	
837338	21475	Miss Pendergrast
837338	81109	
837338	100861	Personnel Manager
837338	138844	Ethel
837338	150896	Rosie, the maid
837338	154935	Miss Forsdyke
837338	162124	Charlady
837338	175132	Bridget
837338	214423	Mother
837338	331489	1st Woman at Picnic
837338	400081	Mrs. Garland
837339	193391	Raphaela
837340	91261	Rösli, Stewardess
837340	94519	
837340	156750	
837340	170705	
837341	364302	Woman in motel
837342	260329	Joan as a child
837343	361493	
837344	24063	Susann
837344	140324	
837344	290254	Alena
837344	290511	
837344	319649	
837344	332834	Maid with Yellow Cap
837345	134840	Luba
837345	189692	Sylvie
837345	210036	
837345	250899	
837345	321799	
837346	749	Une jeune fille de la discotè
837347	47028	Judy, gang moll
837348	203364	Doris, Soho Pub Barmaid
837348	333245	
837350	203032	Sally
837351	41615	
837351	191356	
837351	228024	
837352	271191	Sarah Keller
837353	290789	Castingassistentin
837354	188885	
837354	375079	
837355	225153	
837356	26517	
837356	92542	Doris
837356	193488	Tilly
837356	216190	Chinesen-Inge
837356	281652	
837357	390707	Maggie
837358	353464	The Concierge
837359	299396	Jodie
837360	42944	
837360	51680	Maruska
837360	171677	
837360	221867	Standa's lover
837360	226733	Dita
837360	247948	Tereza Berková
837360	294570	Irma
837361	59729	Ena Riley
837363	182334	Yoga Girl
837365	350235	Hooker
837366	26143	
837366	128639	
837367	87893	Mickey Juba
837367	277911	Casey
837367	278484	1st Girl
837368	38761	
837369	379831	D. C. Dancer (1993)
837371	265214	
837372	158209	Herself
837373	305011	Alice-Ann
837374	41953	Alicia Sweeney
837374	63977	
837374	73482	Sandy
837374	137213	Becky
837374	180493	Erica Herzenstiel
837374	191842	File Clerk
837374	209115	Betty
837374	245337	Eve Ferrell/Young Arab Woman/
837374	252454	Maxie Mason
837374	303433	The ingenue
837374	324899	Cindy Beck
837374	411221	Janice Lacouture Henry
837375	228044	
837376	41544	Herself
837377	79105	Girl
837377	98690	Francine Maylon
837377	123347	B.J. Warren
837377	147418	Penny Wells
837377	150302	Janie Pitts
837377	186420	Mildred Jensen
837377	297890	Barbara Jordan
837377	312831	Sue
837377	395562	Babs Riley
837377	405603	Penny King
837378	38761	
837379	220159	Gail Maddox
837380	185321	Girl In Jaccuzi/Beach Girl Te
837381	65820	Doreen
837381	99288	Kat Ashley
837381	150884	McKenzie's Assistant
837381	379722	WPC Hannah Jackson
837382	141141	Hooker
837383	33691	Evadne Fletcher
837383	382169	Sister Breagan
837384	56545	Herself
837385	224366	Georgie Higbee
837386	350646	Herself
837388	122214	Girl At Fireplace
837389	24299	Mrs. Mikeska
837390	52293	
837391	62081	Ming Fu
837391	109362	Tanaka
837391	120829	Douglamana
837391	171359	Nootka
837391	206343	Rosie
837391	224584	Fu Mela
837391	232035	Gypsy Bride
837391	246731	Tia
837391	271251	Singing Cloud
837391	276183	Immada
837391	280217	Soya
837391	288625	Maria
837391	295317	Satan's mistress
837391	299216	Zanda
837391	327830	Tana
837392	30071	
837392	31665	
837392	36571	
837392	53192	
837392	53218	
837392	152189	
837392	195447	
837392	220165	
837392	283381	
837393	383874	Phoebe McManus
837394	204218	Secretary #2
837395	357367	
837396	51511	Young Salesgirl
837396	117162	Janie, Vietnam
837396	185398	Doctor
837397	248470	
837398	221734	
837399	147737	June East
837401	127561	Nia
837403	68238	Cindy
837404	110998	Lady
837404	166345	
837404	206069	
837404	304503	
837404	330716	Latimer's Girl
837404	350012	
837404	352750	Seducing Woman
837405	66557	Lamaze Teacher
837406	121554	
837407	128234	
837408	338809	
837409	186330	
837409	362356	
837410	1842	Herself - Presenter
837410	2273	Herself - Presenter: Best Sup
837410	3021	Herself - Past Winner
837410	3077	Herself
837410	3858	Herself
837410	3942	Herself
837410	7067	Bess Tucker
837410	10413	Ruby
837410	10746	Dodo Bird
837410	21176	
837410	26971	The Good Lieutenant
837410	28313	Madame Irma
837410	32865	Kate Denny
837410	37165	Dixie Evans
837410	37292	Rose Winters
837410	41447	Kate 'Ma' Barker
837410	42112	Mrs. Cramer
837410	43287	Prof. Summers
837410	44371	Amalia Vivaldi
837410	49689	Shirley Newman
837410	53627	Herself
837410	58022	Herself
837410	59366	Sarah Garnell
837410	60679	Herself
837410	64904	Nurse Andrea Harper
837410	65559	Mommy
837410	72104	Girl
837410	74232	Brenda Martingale
837410	76819	
837410	77792	Margie
837410	81209	Elizabeth Cameron
837410	82528	Edie Kaplan
837410	84991	Lilith Malone
837410	85865	Zelda Shapiro
837410	86031	Mrs. Petronella Van Daan(Augu
837410	88525	
837410	91779	Pat Kroll
837410	96113	Olga Nabokova
837410	99412	Cora Mae Jackson
837410	99578	Gladys Presley
837410	101692	Mrs. Emma Kolowitz
837410	103313	Taxi driver
837410	105729	Eva Bardeman
837410	108626	Mrs. Cole
837410	112508	Nanette
837410	114992	Dorothy Bluebell
837410	119847	Frenchie Fontaine
837410	120809	Crystal
837410	123884	Hazel
837410	126049	Herself
837410	126050	Herself
837410	127480	Mrs. Willows
837410	132649	Lea
837410	133622	Myrtle Wilson
837410	133953	Woman of no name
837410	139565	Fay Estabrook
837410	140837	Peggy Dobbs
837410	140863	Herself
837410	141689	Dolly Modino
837410	150853	Polly Adler
837410	151304	Lena Mervin
837410	153995	Natalia Landauer
837410	154148	Marie Gibson
837410	159213	Lisa
837410	159765	Mrs. Erica Hunter
837410	165266	Herself
837410	168656	Herself
837410	168741	Terry
837410	169401	Mrs. Mathews
837410	170982	Mrs. Collins
837410	176846	Autograph hound
837410	177451	Queen Rachel
837410	178881	Ulda Tienhoven
837410	184826	Tory
837410	188265	Nellie Romano
837410	192721	Junior League Girl
837410	193227	The Concierge
837410	193519	Charlotte Haze/Humbert
837410	194360	Carmen
837410	199228	Mrs. Armstrong
837410	200353	Elzbieta
837410	202724	Toni Salerno
837410	205834	Herself
837410	205836	Herself
837410	206230	Herself
837410	209587	Joy Carroll
837410	214316	Caterina
837410	221300	Aunt Monica
837410	224135	Nancy
837410	230753	Miss Holmbright (Nick's secre
837410	231120	Fay Lapinsky
837410	232089	Willa Harper
837410	238260	Lorry
837410	240466	Herself
837410	245625	Becky
837410	250516	Rose-Ann D'Arcy
837410	253861	Lena Gogan
837410	254787	Binky Gay
837410	255235	Yetta
837410	257087	Alice Tripp
837410	257714	Fran Davis
837410	261039	Mrs. Touchett
837410	261237	Belle Rosen
837410	267563	Rita
837410	270500	Bit Part
837410	270969	Grandma Ruth
837410	270980	Connie Thatcher
837410	274274	Dance hall girl in wagon trai
837410	277036	Amanda Hilton
837410	282990	Crystal
837410	284538	Eva Brown
837410	285660	Gloria Flynn
837410	288371	Grace Markey
837410	289373	Kate
837410	295952	Agatha Murphy
837410	298069	'Silver' Rankin
837410	301787	Mrs. Motel (the mother)
837410	308105	Gabriella
837410	309879	Coral
837410	314484	Mrs. Fraser
837410	323457	Catherine Sykes
837410	327970	Sarah Wurble
837410	328045	Tillie Turner
837410	329456	Diana Steedeman
837410	331180	Handmaiden
837410	331610	Natalya
837410	334159	Myrtle La Mar
837410	334754	Young Woman
837410	335469	Bubbles
837410	336677	
837410	338804	Ruth Harris
837410	343138	Princess
837410	347550	
837410	347739	Jane Stevens
837410	352708	Galina
837410	355529	Jane Phillips
837410	360913	Vivian Morgan
837410	362112	Secretary
837410	362538	Helen Hill
837410	364417	Rosie Forrest
837410	365319	Mrs. Flatow
837410	365961	Lola Manners
837410	366500	
837410	366771	Lydia
837410	367040	Fran Cabrell
837410	372731	Mary di Pace
837410	387120	Louisa Burt
837410	389340	Helen Wabash
837411	251749	
837412	408191	Woman in Street
837413	297922	Sabine Bracke
837413	306227	Kersje
837413	409192	
837413	409886	
837414	9046	
837414	151049	The Nurse
837414	271080	Bank Teller
837415	328477	Beth
837415	379716	Julie Rand Chandler #1 (1985-
837416	218556	
837418	254290	Nurse
837419	336119	
837420	72564	Coco Bandicoot
837420	355670	Hospital Employee
837421	403299	Panelist
837422	119706	Marit
837423	202141	
837424	380591	Shop Assistant
837425	212336	Herself - Participant/Perform
837426	304357	Dansende kvinde
837427	278332	Lisa
837428	79552	Agnes som voksen
837428	153286	Inga
837428	153759	Anna
837428	182578	Elsie Campbell
837428	305567	Dott
837428	307709	
837428	352839	
837429	403536	Herself - Participant (1998)
837430	249743	Pige i kollektiv
837431	397684	Herself - Journalist
837432	79716	Noel, Frozen Woman
837433	105068	Gudrun Henningsen
837433	108974	Rigmor
837433	115555	Karen
837433	135686	Rigmor
837433	182273	
837433	209328	Bratschist i 1740
837433	300990	Nina
837433	322316	
837433	340080	Bruden
837434	73986	Miss Van Ostyn
837434	292649	Katia
837435	286178	Herodias
837436	313775	
837436	321518	Dance specialty
837437	146814	Billie
837438	183889	Mrs. Trenchard
837438	195073	Mrs. Peyton-foxey's mother
837438	205991	Marquise de Monclars
837438	306750	Lady Felicia Mountstephen
837439	108017	Mrs. Glimp
837440	30071	
837440	36571	
837440	40483	Hulda Mews
837440	88889	Extra
837440	114240	Grandma
837440	143095	Landlady
837440	155837	Idylwood resident
837440	169830	Extra outside church
837440	203740	Aunt Jenny
837440	253771	The pest
837440	299878	
837440	315125	Aunt Babe
837441	235162	Guerrilla girl
837442	299277	Mrs. Bayliss
837443	323096	
837444	269427	Girl with Hair
837445	27437	Eleanor Bradley
837445	35145	Jocelyn Samuels
837445	36704	Committee Chairman
837445	76524	Gayle Sharpel
837445	79428	Suzanne Preston
837445	80729	Dana
837445	81545	Assistant D.A. Larsen
837445	90402	Torie Brainard
837445	105165	Mrs. Krouse
837445	109629	Army Spokesperson
837445	134025	Elaine Warren
837445	141194	Dr. Ellen Kelly
837445	158183	Vet
837445	214976	Gail Betts
837445	217528	Senator Binsfeld
837445	244372	Toni
837445	275322	Donna Fusco
837445	296775	Karen
837445	298038	Doctor
837445	314104	Anchor Woman
837445	359904	Deputy Porter
837445	360688	Mrs. Hotchkiss
837445	362791	Pamela Harnsberger
837445	366642	Sally
837445	371320	Andrea Borland
837445	384589	Judy McDougal (2000)
837445	392244	Woman RCMP #1
837445	395460	Oakley (ep. Eat Flaming Death
837445	402275	Mrs.Charles Gracen
837445	406674	Joyce Williams
837445	407421	Mrs. Beth Keys
837446	322374	Herself (Nicholas' wife)
837447	44449	Baptismal Candidate
837448	322374	Herself (Nicholas' granddaugh
837449	5839	Claire Marsh
837449	29900	Jane Longworth
837449	33760	The Abbess
837449	46835	Doña Carla
837449	49960	Martha Fairbee
837449	54539	Babe
837449	72542	
837449	74299	Polly Pleyden
837449	90103	Donna Isobel
837449	107413	Betty
837449	116912	Mrs. Drew
837449	121981	Gwendolyn Andrews
837449	124749	Mrs. Cluney
837449	142433	Baroness Von Kranz
837449	145711	Dovie Jansen
837449	146246	Undetermined Role
837449	148934	Estelle
837449	148936	Jane Twitchell
837449	158366	The Lady
837449	190946	Ray Madison
837449	193822	Mrs. St. Clair
837449	196142	The Bride
837449	210424	Flo Thompson
837449	214164	Lottie
837449	218161	Masisie
837449	224199	Demimondaine
837449	224205	Lady Diana Crowes
837449	235650	Irene Hawley
837449	250810	Grace Harrington
837449	252712	Ora Blake
837449	260237	Julia
837449	289395	Vera
837449	300080	Herself - with Frank Buelow a
837449	319170	The Manicure Girl
837449	335351	Bess Carlysle
837449	348541	Soubrette
837449	360825	
837449	364569	Model
837449	371051	Mademoiselle Julie
837450	242481	Pige, der kommer med i bilen
837450	283789	
837451	34266	Miss Benedict
837451	82923	Jayne
837451	114171	Nurse at Blood Bank
837451	226931	Bargirl
837451	277492	Lady Pupil Rhubarb
837451	279400	
837451	328671	
837452	5184	Sara
837453	57061	Herself
837454	195612	Rebecca
837455	390195	Herself - Presenter (2003)
837456	2227	Herself
837456	387533	Katie Addyman/Sugden (2001-)
837457	1832	Barmaid
837457	11025	Mabel
837457	40847	
837457	51653	Ruth
837457	52812	Lady Clarinda
837457	78642	Sheelah
837457	80590	Dona Anna
837457	123456	Miss Beattie
837457	151080	Charlotte
837457	166720	
837457	200289	Sybil
837457	215364	Church lady collecting money 
837457	222602	Miss Withers (Miss Marbles' N
837457	231778	
837457	235694	Mrs. Dunhill
837457	265288	Hold me, Touch me
837457	268915	Mary Willoughby
837457	294750	Spectator
837457	320806	Symphorosa
837457	330711	Mrs. Early
837457	402245	(segment Red Peppers)
837458	40978	
837458	88219	
837459	155066	Penny
837460	29512	Julie
837461	134333	Suzie
837462	43677	Airport Attendant
837462	52804	Esmerelda
837462	138716	Herself
837462	143537	Maiden
837462	169814	Sharyn
837462	201697	Herself/Sharyn
837462	382066	Various Characters (1985-1986
837462	396029	Host
837462	405209	Morgana (1995)
837463	297632	Susan Sharkey
837463	305919	Victoria Keystone
837464	111742	Brangane
837464	168961	
837464	225498	Pauline
837464	290640	
837465	348370	Belly Dancer
837466	187592	Maria
837467	226326	Sue
837468	24042	Herself
837468	125166	Hornette
837469	126246	
837469	325378	Jenny Beck
837470	164905	
837470	308826	
837471	219968	Edith Cutting as a child
837472	6089	Karmen
837473	119197	
837474	6585	Mrs. Blomberg
837474	43354	Boel, Eli's Mother
837474	116456	Mrs. Brand
837474	120892	Miss Sundberg
837474	127569	Aunt Emilia's guest
837474	142785	Mrs. Bergman
837474	171991	Mrs. Ståhlkrantz
837474	180076	Ms Fridling
837474	181006	Aunt Jessie
837474	182302	Manager
837474	182806	Waitress
837474	197137	Mrs. Berggren
837474	203102	Mina
837474	204720	Woman in village
837474	210310	Mrs. Helen Hedberg
837474	227740	Miss Borg
837474	255945	Refugee
837474	268352	Mrs. Blomberg
837474	276336	Mrs. Söderberg, Kalle's mothe
837474	284387	Hanna
837474	303734	Mrs. Berg
837474	307222	Mrs. Andersson, Inga's mother
837474	314765	Mrs. Sommer
837474	315365	Mayoress
837474	322297	Mrs. Sjöberg
837474	346974	Birgit's mother
837474	347025	Mrs. Lindemark
837474	350397	Tora, Johannes' sister
837474	377379	Julia
837474	377389	Mrs. Berg
837475	201924	Passerby
837476	111830	
837477	380747	Babysit
837478	356689	
837479	38832	
837479	290744	Marie
837479	388756	Gesine van Ehren
837479	404435	
837479	406321	
837480	11780	Female Cook in Shelter
837480	43354	Kvinna som åhör Texas Ros sån
837480	97088	Woman at the café
837480	99568	Charwoman
837480	100549	
837480	115385	Shop customer
837480	115402	Woman at the harvest celebrat
837480	120892	Irma, housemaid
837480	154504	Woman at the poor-house
837480	182464	Ticket seller
837480	182542	Maid at Clasberga
837480	222444	Woman in White Hat
837480	303734	Newspaper Lady
837480	303849	Woman
837480	303855	Tired guest at 'Ankaret'
837480	316909	Woman at the newsstand
837480	322420	Sofi, the professor's housema
837480	357762	Frida
837480	357778	
837480	357804	Woman at the court
837480	377298	Guest at Carolina Berg's dinn
837480	377389	Waitress
837481	232166	Max
837483	124713	Sybil
837483	335865	Nurse
837484	309508	
837485	325469	
837486	137259	Shelly
837487	24082	
837488	107081	A baton twirling champion
837488	118039	Chico's Girlfriend
837488	215727	Moon Girl
837489	107081	
837489	226875	Girl in Dream Sequence
837489	280130	Jackie
837490	306126	Woman
837491	30180	Voice of B.J.
837491	30182	
837491	381312	B.J.
837492	215486	Herself
837493	40414	Agie
837494	17677	
837495	119521	Trixie
837495	223840	Twiggy
837496	167605	Mrs. Pöös
837497	348366	Another Butch Officer
837498	322749	Singer
837499	99887	Ida Svensson
837499	99889	Ida
837499	237033	Ida
837499	387522	Ida
837500	109298	Dame i baren
837500	114809	Ida
837500	117875	Bertels mor
837500	121026	Skuespiller
837500	134972	Marianne
837500	142505	Pylle
837500	317600	Bibiani
837500	333556	Tinka
837501	174444	Sofie
837502	274482	Celeste
837502	369893	Pituxa
837502	380531	
837502	388682	
837502	395470	Lyekka (1998-1999, 2000)
837502	396624	Carmen Diaz
837502	396874	
837503	108551	
837503	225126	
837503	251056	Mady
837503	290172	
837504	34034	Vera, Peggy's Mother
837504	39487	Gameskeeper's daughter
837504	93734	Asta
837504	103080	Doris Meller
837504	111952	Vivian Harrison
837504	142023	Henny Fehse
837504	155463	
837504	156749	Ottilie
837504	186934	Geschminktes Mädchen
837504	189685	Evita Gonzales
837504	198417	
837504	205511	
837504	287026	
837504	289888	
837504	292101	
837504	303710	Rita
837504	361094	Lydia Bartnik
837504	380199	Billie Reynolds
837504	387736	
837505	231671	Chris
837506	72931	Goodyear Chorus Girl
837507	68512	
837507	310751	
837508	318842	Selma
837509	363416	Herself
837510	25435	
837511	158392	Fortescue's Secretary
837511	382178	Kate Fibbins
837512	37314	Elky/Female INS Agent
837512	82922	Shawna
837512	215500	Beauty Contestant
837512	347687	Reporter
837513	55700	Julia Oates
837513	103447	Sheila
837514	245233	T.V. Presenter
837515	113264	Ned's Wife
837516	279460	Barry's Girl
837517	341813	Herself
837518	132458	Andrea
837519	132458	Andrea
837520	80823	Rebecca Richmond
837521	80792	Dawn
837522	92181	Prostitute
837523	232630	Sweet Lady
837524	131585	
837524	215905	Beauty Parlor Woman 1
837525	203332	
837526	117164	Abel
837526	129768	Ballerina Girl
837526	191574	Layla Reed
837526	234040	Lara
837526	317837	Lieutenant Heather Mitchell
837527	328788	Katherine O'Farrell
837528	213590	Schoolgirl
837529	7285	Virginia Williams
837530	360469	Rita
837531	129627	Cpl. Kelly
837531	390180	Cpl. Kelly (1988-1989)
837532	311671	English Tourist
837533	382128	Emma
837534	65590	Mrs. Bruce
837534	97539	Mrs. Addison-Brown
837534	217442	Emily Ewing/Aunt Henrietta
837534	241095	Mrs. Thorndyke
837534	244774	Undetermined Role
837534	276349	Poppeia
837534	360844	Mrs. Watt Middleton
837535	57560	A.D.
837536	64659	Taiko Drummer
837537	110967	Lingerie Saleswoman
837538	197310	Lulu
837538	278314	Gilda
837539	378962	Serena Gordon
837540	100087	Brunette
837542	47194	Nurse
837542	77194	Louisa Fielding
837542	103593	Miss Wilding
837542	155596	Young Mother
837542	382239	Florist Assistant
837542	392667	Alice Freeman
837542	403992	Shop Assistant
837542	406483	Michaela Lennox
837542	407826	Millicent
837542	410978	Wendy Atkins (1997)
837543	7183	The Vamp
837543	342489	
837543	350641	
837544	7201	
837544	271990	Rachel
837545	188486	Bar Babe Keebler
837546	332015	Myrtle Webb
837547	87341	
837548	199144	
837549	193572	Pianist
837550	49366	Three Deuces Chorus Line
837550	221318	Sadie Lowenstein
837550	244421	Tech School Student Alice
837551	297771	
837552	338324	Herself
837553	75893	Main girl
837554	245992	Simone
837556	62678	Betty Randolph
837556	132140	Mother Davies
837557	71721	Lulubelle
837557	144453	Herself
837557	228272	Herself
837557	299034	Lulu Bell
837557	302646	Lulubelle
837557	321540	Herself
837557	354490	
837558	284455	Finalist
837559	272724	Interview Subject
837560	66941	Danny's Friend
837561	23339	Lisa Gilmore
837561	188614	Grace
837561	393236	Rebecca Priest (2000- )
837561	397478	Nicky Somerville
837561	404880	Skye
837561	406707	Louise Jarvis (2000)
837562	78792	Senora Verde
837562	84825	Rain
837562	142390	Rona
837562	144374	Cat
837562	176261	Female Kickboxer
837562	201691	Herself
837562	212610	
837563	174155	Femme géante
837563	262010	Kara
837563	277949	Leslie
837564	158897	Second Nurse
837565	160882	Dancer
837566	301588	Tic Tac Toe Girl
837567	296107	Beautiful Cafe Girl
837568	199167	
837569	128303	Little Girl (Organist)
837570	264447	Julie
837571	10727	Mary
837571	14241	Reporter #2
837572	228515	
837572	290163	Herself
837572	329607	Herself
837573	171084	Receptionist at Gym
837574	230124	Second Operator
837575	45586	Girl in dancing
837576	244106	
837577	378936	Participant (2001)
837578	225724	Alte Frau
837579	70473	
837579	303517	Bren
837579	328284	Female Tough
837580	144577	Exercise Class
837581	165077	Nun
837582	36418	Gajek's Girlfriend
837583	66263	Anna Krzakowska
837583	74789	Róza
837583	89603	Helena
837583	91508	Wife
837583	124987	Hanka
837583	129608	
837583	137641	Vera Patroni
837583	185809	Klara, Krzyztoporski's Wife
837583	206194	Anita, Krystyna's sister
837583	238815	Zofia
837583	238833	Kurcewiczowa
837583	244042	Laura
837583	246244	Zosia
837583	253219	Anita
837583	262509	Janka
837583	266302	Aldona
837583	286455	
837583	289808	
837583	298419	Ambassador's Wife
837583	313526	Jarucha
837583	341070	Anna Goscik (segment "Rozwód 
837583	343339	Renata Makuch
837583	344039	
837583	361584	Renia
837583	364966	Queen Calanthe
837583	364972	
837583	369345	
837583	374231	Marysia Klosek
837583	374664	Student
837583	375443	
837583	376521	Anna Jankowska
837583	376524	Klara
837583	397622	Wanda Tarnawska
837584	217324	Sabina
837585	181408	
837586	136365	Herself
837586	398897	Katarzyna 'Kasia' Sarnecka (2
837587	173985	
837587	406644	
837588	152830	Ariane
837589	273683	Anna Blumich
837590	257733	Theater Zombie
837591	163248	Waitress
837591	259749	Dorothy Seiberling
837592	43606	Media Jackal
837592	110308	Sharon
837593	315718	
837593	372618	Nurse
837594	6106	
837594	104947	
837594	112172	Housewife
837595	330057	Architect Partier
837596	298483	Die Günther
837597	86468	Christabel
837598	158141	Office woman
837599	388353	Assistant Funeral Director/el
837600	388353	Head Mortician/Senior Funeral
837601	323054	Frau Decker
837601	407351	
837602	412254	
837603	141023	Janie
837604	24149	Jasia
837604	94057	Tamara
837604	95968	Amelka Raczynska
837604	95971	Janina Kotlicowna
837604	179184	Roza
837604	243301	Lucia Elzonowska
837604	338886	Lucia Elzonowksa
837604	341165	Lucia Stolarskina
837604	343801	Weronika Turwida
837605	173141	
837605	279804	Herself
837605	403536	Herself - Participant (1999)
837606	173141	
837607	241918	buurvrouw
837608	1985	
837608	79272	Sock Puppet Actor
837608	360765	Drug Buyer
837611	61320	Professional Woman
837611	74006	Lori Cobert
837612	136089	Lisa
837613	306599	Priestess Debbie
837614	218398	Betty
837615	308009	Rebecca
837616	367099	
837617	77101	Helusia
837618	136958	Lydia
837619	403627	Litka (child)
837620	1208	Mrs. Kloppen
837620	6512	Linda
837620	248173	Nina
837620	389138	Katrine
837621	2679	
837621	26156	Loewenhielm's Aunt
837621	32678	
837621	38827	Fru Kammerjunkerinde De Fines
837621	51291	Frk. Krause
837621	108171	Kontorchef
837621	122339	Dame på banegårdspladsen
837621	145457	
837621	147395	Fru Fredmann
837621	154624	Kunden
837621	173139	
837621	187618	
837621	202972	Fru Holgersen
837621	213438	
837621	224182	Sonja Mikkelsen
837621	237156	Ullas mor
837621	237404	Violas mor
837621	284407	
837621	297117	
837621	304060	
837621	305308	1. dame
837621	349081	
837622	18504	
837622	29051	
837622	199126	
837623	382838	Jules Bradley Simpson (1996)
837624	241094	Dryad Anderson
837625	336311	Prokosch
837626	299394	Girl #2
837627	188114	Sugar
837628	406391	Daphne
837629	352473	Cousin Lizzie
837630	11210	Mildred
837630	113600	Juney
837630	340542	Valarie
837630	368788	Mugged Woman
837630	381086	Ginger Farrell/Loomis/Mitchel
837630	394172	Janis
837631	5523	Ninette
837631	5927	Mary
837631	11167	Daphne Tomkins
837631	26882	Bobbie
837631	49258	Toots
837631	50238	Polly
837631	60768	
837631	70276	Lottie
837631	71751	Hannah
837631	73222	Miss Dupres
837631	73958	Ella
837631	78999	Annie
837631	80538	
837631	80550	Joan Cortland (segment Haunte
837631	83115	Betty Molloy
837631	84918	Mrs. Cadell
837631	100945	Marigold
837631	117652	Herself
837631	123716	Alice Forrest
837631	128286	Sally
837631	143238	Effie
837631	150567	Mrs. Pusey
837631	155843	Pat
837631	163199	Rose Sandigate
837631	166359	Laundry Girl
837631	174514	Lady Moya
837631	177394	Elaine
837631	183670	Susan Foster (actress in clip
837631	183833	Blanche
837631	196105	Minnie
837631	196490	Joanna Godden
837631	200112	Sitter in Bath Studio
837631	215077	Clare
837631	222655	Lola Matthews
837631	231527	Meg Blake
837631	231775	Helen Nosseross
837631	235174	Mrs. Allen
837631	240446	Helen Hale
837631	241104	Carol Gilbert
837631	241627	Jo de Vries
837631	246600	Jean Mason
837631	248452	Miki
837631	251515	Doreen
837631	256292	Pearl Bond
837631	260868	Anne Stirling
837631	297888	Dora
837631	297946	Dora
837631	299028	Katharine Susannah Prichard
837631	301959	Helene van Leyden
837631	316033	Elsie
837631	330139	Alice
837631	333183	Leda Klein
837631	334298	Herself
837631	338565	Bumble Pelham
837631	340474	Mary Brown
837631	363797	Dr. Sophie Dean
837631	366017	Dodie
837631	372362	Helen Firmstone
837631	397380	Lady Armstrong
837631	411300	Prison Governess (1) Faye Bos
837632	4543	Mrs. Humes
837632	7488	Miss Clune
837632	26070	Older Nurse
837632	32070	Mrs. Grayson
837632	32912	Whitey O'Neil
837632	35573	Harriet Woodley
837632	41087	Mrs. Stringer
837632	47894	Hospital Nurse
837632	56098	Nurse who helps Casanova
837632	56211	Proprietress
837632	80587	Nurse
837632	80670	Nurse
837632	105077	Miss Murray
837632	118236	Secretary
837632	118399	Nurse Telling Jenkins It's a 
837632	121585	Mrs. Finley
837632	124765	Kitty
837632	126063	Wife of Apartment Hunter
837632	128790	
837632	135553	Marian
837632	141584	Martha Dix
837632	142880	Mrs. Stevens
837632	145998	Mrs. Herbert
837632	150797	Woman in Club
837632	154373	Miss Osgood
837632	154426	Gracie
837632	154712	Secretary
837632	178017	Nora Wilcox
837632	178894	Mrs. Herbert
837632	183435	Prisoner
837632	183760	Teletype operator
837632	186299	Auntie Mack
837632	190723	Nurse
837632	204165	Miss Shelton
837632	204708	Head Nurse
837632	207861	Receptionist
837632	208701	
837632	215746	Miss Patterson, Kruger's secr
837632	215862	Coal mine worker
837632	218124	Laundress
837632	220067	
837632	220830	Mrs. Myrtle, the Baby-sitter
837632	221001	Blood Bank Nurse
837632	221336	
837632	223733	Gladys
837632	224003	Landlady
837632	224588	
837632	236129	Passenger
837632	238616	Telephone operator
837632	241078	Bit Part
837632	241134	Woman
837632	244938	Middle-Aged Woman
837632	246596	Helen Morris
837632	252981	Woman
837632	261423	Nurse Rosen
837632	262265	Grace Mahoney
837632	266705	Operator
837632	276724	Mrs. Connors
837632	277953	Secretary
837632	286334	Nurse
837632	299516	Switchboard operator
837632	303471	Miss Elvira
837632	304558	Landlady
837632	311742	Susan Bailey
837632	313803	Mrs. O'Rourke
837632	315700	Marjorie Crossland, Prison Pa
837632	318192	Woman reporter
837632	320937	Mrs. McGill
837632	323071	
837632	329388	Miss Pendergast
837632	334754	Woman
837632	346245	Penny Davis
837632	348327	Businessman's wife
837632	362112	Telephone operator
837632	365180	Mrs. Anderson
837632	367908	Wanda Wolf
837632	372179	Maid
837633	1774	Herself
837633	2565	Judith Frazier
837633	7488	Geraldine Cooper
837633	11590	Helen Drummond
837633	12770	Jerry Darlington
837633	16773	Angel
837633	20293	Mary Jane Patterson
837633	45413	Sally Murphy
837633	46987	Joy Smythe
837633	53299	Peg Gurgle
837633	54556	Lt. Grace Blodgett
837633	60247	Checkers
837633	61304	Addie Fippany
837633	77967	Pat Marvin
837633	107181	Mary Elliott
837633	109209	Della
837633	125811	Florence Atwater
837633	127394	Vashti Snythe
837633	127791	Ginger
837633	128173	Jane
837633	130808	Jane Drake
837633	131426	Child, Orphanage Sequence
837633	138204	Bit Part
837633	141803	Herself - premiere attendee
837633	141805	Herself
837633	143116	Penny Wood
837633	144896	Jane Wallace
837633	147743	Herself
837633	147985	Corky Wallace
837633	152718	Laverne
837633	152724	Laverne (additional dialogue)
837633	156939	Peola's Frontrow Classmate
837633	163437	Little Girl Playing Hopscotch
837633	168680	Ann Winters/Penelope Ryan
837633	175162	Jane Rand
837633	192056	Judy Devlin
837633	199205	Kathy Martindale
837633	210611	Herself
837633	223714	Kitty O'Hara
837633	235162	Clavdia
837633	246255	Colette
837633	246337	Paddy O'Day
837633	252568	Pepper Jolly
837633	272470	Gypsy
837633	274502	Young Girl
837633	276835	Herself
837633	278203	Liz
837633	291335	Herself
837633	291366	Herself
837633	299718	Jane Pritchard
837633	305395	Patricia Randall
837633	330808	Geraldine Revier
837633	352758	Kitty Russell
837633	365159	Arnette Flynn
837633	372413	
837633	372935	Eadie-May
837633	373590	Aunt Daisy
837633	375802	Extra
837633	392134	Clarabelle Cow
837633	397641	Clarabelle Cow
837634	81587	Dr. Hassey
837636	196851	Wife
837637	40281	Mrs. Hawkes
837637	54737	Mrs. Hart
837637	69507	Mrs Tilney
837637	79959	Mrs.Bigley
837637	82609	Mrs. Elliston
837637	90398	Mrs. Smith
837637	94458	Blackpool Lady
837637	104047	Grover
837637	111461	Miss Carter
837637	116251	Lady
837637	133539	Miss Jane Tyndale
837637	148215	Mrs. Watson
837637	163357	
837637	163599	Mrs. Falcon
837637	269086	Gushing Woman
837637	295469	
837637	329408	May Drummond
837637	329537	Lady Helena Lawes
837637	366373	Mrs. Jordan
837638	63835	Granny Trill
837638	104857	Grandma
837638	210514	Grannie Barnacle
837638	241898	Nanya
837638	243160	Elsie
837638	281400	Frau Mahler
837638	292779	Elderly Lady
837638	312854	Granny
837638	321421	Widow Cree
837638	382912	Garton
837638	384457	Mrs. Betterton
837638	386233	Passenger in Car
837639	113315	Elizabeth
837640	131232	Extra
837641	313081	Fourth Child
837642	264232	Principal's Assistant
837643	62886	German Teacher
837644	65976	Young Dorothy
837645	248125	Monique
837646	143264	Marching Girl
837647	32762	Mrs. Elizabeth Miller
837647	37309	Mrs. Elizabeth Simms
837647	59622	Susie Watson
837647	67251	Clara Meigh
837647	78020	Mrs. Abigail Ellsworth
837647	78119	Alexandria 'Gypsy' Breen
837647	78986	Carrie
837647	89050	Mrs. McCoy
837647	92230	Mrs. Fenimore Hume
837647	114280	Miss Salisbury
837647	116222	Mrs. Mamie Thompson
837647	116497	Mrs. J. B. Hamlin
837647	117097	Mrs. Sweringen
837647	118975	Mrs. Lumpy Thornton
837647	123341	Mrs. Edna Seeley
837647	140755	Mrs. Coney
837647	148940	Mrs. Sneddington, Book Club S
837647	154784	Aunt Cecile
837647	155017	Mrs. Blythe
837647	163347	Saleslady
837647	171075	Aunt Julia Ramsby
837647	171134	Mrs. Angevine
837647	183409	Lily Pratt
837647	183626	Fanny Worthington
837647	189255	Mrs. Burns-Norvell
837647	199403	Nora
837647	205724	Countess De Noailles
837647	207865	Mrs. Williamson
837647	213069	Elizabeth McGrath
837647	222996	
837647	231778	Head Nurse
837647	240672	Aunt Fritz
837647	245589	Mrs. Gates
837647	251430	Aggie Bruno
837647	253475	Mrs. Burns
837647	255083	Nesta Pett, Ann's Aunt
837647	260880	Claudine
837647	265384	Mrs. Ophelia Pitts
837647	268915	Patty the Maid
837647	298047	Patient
837647	298050	Carrothers
837647	325030	Saleslady
837647	330836	Woman
837647	331469	Mrs. Herford
837647	349554	Mrs. Soames, Wedding/Party Gu
837647	367453	Fanny
837647	367919	Mrs. Van Adams
837647	372777	Aunt Emeline
837648	190088	Young Alice
837649	1725	Herself
837649	3046	Herself
837649	6177	Herself
837649	14145	Evelyn Williams
837649	34670	Lissa
837649	74010	Annette Hargrove
837649	83935	Cassie Robbins
837649	98818	Tracy Enid Flick
837649	108959	Nonnie Parker
837649	110243	Nicole Walker
837649	119622	Vanessa Lutz
837649	155875	
837649	157195	Cecily
837649	160302	Herself
837649	164493	Karen Morris
837649	187191	Elle Woods
837649	187193	Elle Woods
837649	192100	Angel Holly
837649	199129	Herself
837649	203188	Danielle 'Dani' Trant
837649	245761	Ivy Miller
837649	257922	Jennifer Wagner/Mary Sue Park
837649	272424	Claire
837649	284526	Wendy Pfister
837649	311795	
837649	321213	Melanie Carmichael
837649	326662	Herself
837649	326663	Herself - Presenter
837649	340908	Serena
837649	342481	Mel Ames
837649	350506	Becky Sharp
837649	358593	June Carter
837649	364099	Carrie Stetko
837649	365648	Ellie Perkins
837649	403280	Ferris Dunnigan
837650	107150	Jean Strong
837651	56183	
837652	254485	Desperado 3
837653	327838	Jody
837653	327839	Jody
837654	343160	Girl
837655	134195	TV Anchor in Bar
837655	261986	Commentator
837656	105205	Mary
837657	169679	Elderly Lady
837657	232380	Socialite
837657	405718	Additional Voices
837658	113588	
837659	312148	Gypsy Singer
837660	305559	
837661	281639	
837662	375961	
837663	254094	The hypnotizer
837664	212850	Landlady
837665	171284	Prima Ballerina
837666	20057	
837667	191321	High School Girl
837668	340771	Tim's Stand-In
837669	54634	Phone Caller #4
837670	170106	La secrétaire serveuse
837671	32899	Boat Girl #2
837671	307359	Girl at Brothel
837672	194665	Voting Official
837673	170700	
837673	281833	Maria
837673	317504	Cindy Hilliard
837674	26295	
837675	37598	Johanna Fölster
837675	312887	
837676	398430	Anchor (1999-2003)
837677	260532	Irina
837678	13954	Barbie
837678	42677	Elizabeth
837678	43624	Serena
837678	57560	Cherish
837678	64734	Cheryl Stoney
837678	87522	Janine
837678	95181	Alia
837678	118367	Kiva (segment "The Missing In
837678	121615	Bonnie
837678	125420	Caitlin Fairchild
837678	177634	Kriemhild
837678	189807	Girl in Dream
837678	220960	Gertrude Lang
837678	257772	Claire Goldstein
837678	274557	Sophy Viner
837678	327767	
837678	343201	June Carter
837678	348527	Hadley Wolfmeyer
837678	348607	Natalie Simon
837678	350424	Libby
837678	385473	Zoey Woodbine (1995-1998)
837679	56545	Herself
837680	218598	Virgin
837681	375529	Rita
837682	160269	Dodo
837683	100447	Nastassja
837684	99100	Lori Knight
837684	410739	Yuri (Angel Lily)
837685	194371	Officier van Justitie
837686	22596	Bloody Man's Wife
837687	207992	Potential
837688	41921	Katie
837688	105258	Debbie
837688	338982	Herself/Romeo and Juliet Nurs
837689	52312	
837689	257654	Herself (Miss June)
837689	257840	Miss November 1995
837690	1437	Herself
837690	1445	Herself
837690	1447	Herself
837690	1451	Herself
837690	46673	Herself
837690	55228	Carmen
837690	57642	Herself
837690	63014	Herself
837690	63081	Herself
837690	87983	Herself
837690	87984	Herself
837690	87985	Herself
837690	87986	Herself
837690	98423	Ella
837690	112710	Herself
837690	113828	Herself
837690	118527	Herself
837690	133930	Stepmother
837690	155278	Herself
837690	155282	Herself (World team)
837690	155285	Herself
837690	166917	Herself
837690	212806	Herself
837690	281334	Natacha Kirilova
837690	294763	Herself
837690	303762	Herself
837690	303763	Herself
837690	303764	Herself
837690	303779	Herself
837690	335607	Herself
837690	347644	Herself
837691	9747	Robin
837691	66393	Janet Meade
837691	82688	Annie
837691	116209	Pam Bellagio
837691	119541	Whitey's Girl
837691	187810	Girl
837691	194223	Tina Cassidy
837691	213019	Donna
837691	254645	Melissa Benedict
837691	275682	Anne Jones
837691	292039	Cathy Slattery
837691	313189	Robin
837691	388980	Pam Bellagio
837692	160000	Melody Lounge Dancer
837693	11549	Louise
837694	71110	Mrs. Murphy
837694	85573	Atma
837694	110189	Nun
837694	145414	Frances Bianchi
837694	147845	Deli Waitress
837694	233690	Harriet Claypool
837694	272973	Esther
837694	278511	Audrey
837694	308557	Hazel Kornpepper
837694	324551	Dr. Nikita
837695	92474	
837696	220720	Josepha Weber
837696	361333	Josepha Weber
837697	366743	Townsperson
837698	189837	
837698	347667	Vorsteherin des Pensionats
837698	361403	
837699	280547	
837700	407361	Host (1985-1988)
837701	362576	Nurse
837702	236178	Ein Bauernmädchen
837703	142479	
837704	88787	Tracy
837704	269034	Jenny
837704	356896	Illyra/Jenny
837704	369426	Mary Astadourian
837705	18240	Frau Hering
837706	382138	Host (substitution 1999-)
837707	410401	Flaire Diegerick
837708	78956	
837709	272787	
837710	32466	Demonic Waitress
837710	186713	Office Girl
837710	355433	Josh's wife
837710	364300	Herself
837711	65577	Orphan Watching TV
837712	65577	Orphan Watching TV
837713	139216	Scared Subway Woman
837714	65577	Dead Parent
837715	2152	Marva
837715	283006	Young Sherry
837716	53284	Wet T-Shirt Contestant
837717	391693	Herself
837718	139711	Pförtnerin
837719	355028	The Academy's Blessed 'Virgin
837720	35092	The Blonde Woman
837720	233990	Sonja Wilder
837721	162230	Herself
837722	257644	Miss January
837723	30933	Elisabeth Bathory
837723	157785	Adele Brown
837723	176923	Denise
837723	320915	Claire
837723	348229	Funeral Goer
837724	247160	Goldwyn Girl
837725	1793	Miss March 1982
837725	17941	Nancy Burton
837725	78184	Betsy
837725	143831	Ginger
837725	154466	Ms. February
837725	196397	Marle
837725	213072	Missy Angel
837725	219638	Christie Doll
837725	245137	Jo Ann
837725	248591	Danger Girl
837725	252917	Tammy
837725	257847	Herself
837725	257859	Herself
837725	260318	Joy
837725	264033	1st Young Woman
837725	272647	Party Guest
837725	354683	Jezebel Fairchild
837725	381537	Kathy
837725	400236	Tina Clayton Lord Roberts Rob
837726	379985	Herself
837727	50595	Annie
837727	72706	Catherine
837727	140938	Goddess
837728	555	Jurgen's Mother
837728	86393	Josefa Bauer
837728	94423	Minna
837728	111768	Tante Alwine
837728	119135	
837728	186186	Fräulein Müller
837728	188750	Tante Elsbeth
837728	189551	
837728	189734	
837728	219265	Frau Taft
837728	225171	
837728	251731	Alice Baker
837728	281985	Mrs. Wilson
837728	359672	Frau Moll
837729	168326	Gym Teacher
837730	41660	Alice
837730	311258	
837731	107282	
837731	116489	
837731	212555	
837731	213803	
837731	255111	Ada
837732	242678	Jennie
837733	41	'Ma' Bobbett
837733	33756	Housekeeper
837733	46700	
837733	89083	
837733	91229	
837733	108364	
837733	116528	Mrs. O'Keefe
837733	128285	Ann Maitland
837733	128510	Mrs. Harvey
837733	141348	Housekeeper
837733	146096	
837733	155705	Unknown Name
837733	168690	Mother Slap
837733	190923	
837733	195911	Madame Jarnier
837733	202877	Mrs. Townsend
837733	214951	
837733	232359	
837733	235588	
837733	239652	Louisa
837733	246717	Mrs. Callahan
837733	299546	Her Mother
837733	307961	
837733	308439	Mother Brown
837733	345630	Mrs. Goodman
837733	346084	
837734	388609	Pia
837735	311405	Mrs. Jim Sawyer
837736	29686	Emily
837736	274427	Flower Girl at Wedding
837737	274427	Wedding Party in Philadelphia
837738	170608	Girl on Sleigh Ride
837738	195162	Girl
837739	265821	Joann
837740	148945	Marlo
837741	97435	Hanne
837742	195021	Casting Assistant
837742	210887	Maryiln
837742	263345	Bystander
837743	44516	Mrs. Kelley
837743	79827	Jilene
837743	81052	Woman at book party
837743	145013	Ginny Loden
837743	145086	Lillian Brand
837743	149181	Judalon Smyth
837743	154491	Linda Price
837743	316097	Claudette
837743	321734	
837743	348795	Ellen
837743	381146	Mrs. Kipper
837743	389858	Gloria #2 (1990)
837743	405882	Ginger Kurtz Cooper #1 (1972)
837744	245728	Sarah Munster
837745	124017	Rave Patron
837746	306599	Emily
837747	378907	Herself - Psychologist (2004)
837748	1784	Brothel Lady
837748	162289	Untimely
837748	202805	Nina
837748	303537	Harriet Cleaver
837748	337267	Dorothy Brandis
837748	367446	Mrs. Shantz
837749	399658	Gerda
837749	405654	Sophia, vrouw van de facteur
837750	189695	
837751	213751	In The Governor's Office
837752	25281	Britt
837752	90211	Leonora, Servant Girl
837752	96417	Marrita
837752	102151	Rika, young girl
837752	205515	Maria Angelica
837752	213294	Cecilia
837752	217008	Hélène, the daughter
837752	239042	Anna
837752	261150	Cecilia, William's fiancé
837752	268379	Eleonora
837752	303697	Mary, the housekeeper
837752	303729	Mary
837752	388646	Anna-Lisa Sandström
837753	217008	Lisen
837754	42225	Maria
837754	408206	Herself
837755	40388	
837755	177214	Sekretaerin
837755	347579	
837756	377374	Kira Röhler
837757	227740	Nurse
837758	220671	Stripper #3
837759	16095	Miss Allenby
837759	25868	Wedding Guest
837759	35683	Mrs. Drummond
837759	36841	Woman
837759	47029	Dorothy's Mother, Mrs. Kent
837759	64833	Woman who sits on cigar
837759	96939	Woman in Hat Shop
837759	101764	Mrs. Kerry
837759	109729	Elderly Woman
837759	110977	Lady Malete
837759	117340	Mrs. Smith
837759	119475	Lady Next to Lady Ridgeway
837759	124718	Undetermined role
837759	125811	Aunt Fannie
837759	132473	Bit part
837759	134026	Wife
837759	144453	Guest
837759	147609	Guest
837759	154652	Mrs. Winterhalter
837759	157847	Party guest
837759	177368	
837759	183356	Mrs. Ring
837759	186004	Mrs. Jamison
837759	203002	Minister's Wife
837759	215755	Linda Boldrich
837759	220892	Bit Part
837759	221130	Committeewoman
837759	221297	Woman with Dog
837759	223654	Mrs. Van Dusen
837759	228641	Mrs. Trainor
837759	245518	Miss Strawbridge
837759	248450	Bridge Player
837759	257939	Guest in Dining Room
837759	276655	
837759	277531	Party guest
837759	280895	Woman With Balint
837759	292781	Lady Lessington
837759	297921	Knitting Lady
837759	319131	Mrs. H. Warren
837759	323380	Undetermined Role
837759	330908	
837759	331087	Customer
837759	331317	Mrs. Courtney Netherland
837759	342873	Middle-aged woman
837759	346201	Dowager
837759	346908	Woman
837759	360479	Sporting Woman
837759	361300	
837759	362792	
837759	372898	Woman
837760	85184	Englishwoman
837760	315745	Bit Part (segment "The Jealou
837761	177204	Substitute Teacher
837762	11712	Lisa
837762	29571	Lisa
837763	54465	Verkäuferin
837764	366751	
837765	48211	Young Woman
837766	244099	Wolska - Kobyla
837766	401156	Balbina Barcik
837767	138003	Additional Voices
837768	398865	Une Naguette
837769	38021	Mrs. O'Doyle
837770	96603	Stella
837770	231743	Jolanta 'Jola' Zablocka
837770	260601	Nurse
837770	284347	Telimena Hoffman
837770	288044	Sara
837770	378728	Agnieszka Cezary
837770	401665	Weronika "Wiki" Potoczna (200
837770	412075	Tekla Kaczmarek
837770	412076	Tekla Kaczmarek
837771	36418	Pamela Suszkówna
837772	4751	
837772	43036	Danka
837772	260600	Neighbor
837773	181840	
837774	93581	
837775	17868	Emilie
837775	112889	Une lycéenne moqueuse
837775	156283	Young Patient
837775	251527	Josiane
837775	280563	
837775	353908	Emilie
837776	192191	Stevie's Girl
837777	7528	Olga Bancic
837777	75975	Agnieszka
837777	77847	
837777	88843	
837777	169572	
837777	251019	
837777	374232	Kerner's Ex-Wife Mariola
837778	372897	Herself
837779	263544	Janet
837780	281464	Third E.R. Nurse
837781	49985	Sister (Story 1)
837782	95756	
837783	17724	
837783	38772	
837783	116022	Dr. Carola Engels
837783	118631	
837783	125104	Lady Margarete Weatherford
837783	198250	Doris Mead
837783	206930	Marya Sklodowska-Curie
837783	225287	Else Hausdorf
837783	238285	Gisela
837783	282225	
837783	316441	
837783	322497	
837783	325836	
837783	348059	Contessa
837783	357784	Odinzowa
837783	369152	Frau Bergmann
837783	376424	Suzanne
837783	382195	Catherine Malahougue
837783	384526	Baronin Elisabeth von Porz
837783	388507	Jeanne Dabert
837783	388966	Dr. Carola Engels
837783	390190	Ulla
837783	391604	Katharina von Preiss (1998, 2
837783	394918	Marion Mohn
837783	395985	Elisabeth Lorentz
837783	399762	
837783	400385	Henriette Madec
837783	404422	Leonore Heggenrot
837785	248139	House Keeper
837786	352222	
837787	139680	Elderly Lady
837788	408746	Presentadora (2001 -)
837789	16758	Mrs. Lane
837789	138847	Beulah, their married daughte
837789	165301	Mina, his niece
837789	183375	Pamela Dark
837789	241061	Helen Hobart (1937)/Miss Leig
837789	341962	
837790	48332	Katarzyna
837790	95981	Kirstie
837790	151835	Bielinska
837790	181408	
837790	187641	Cashier
837790	220144	Post Office Clerk
837790	234268	Klimecka
837790	236159	Woman in Queue
837790	237869	Female Clerk
837790	259065	Franusiowa
837790	366496	Michnikowa
837790	373795	The House Owner
837790	374664	Julcia
837790	375067	Müllerowa
837791	196588	
837792	196588	
837793	259194	Narrator
837794	16922	Donna
837794	142439	Pick-up Girl
837795	127129	Concerned Onlooker
837796	290527	
837797	78534	Babette
837797	98239	
837797	114965	Louise
837797	116311	
837797	132543	
837797	219336	
837797	281942	Anna
837797	328989	
837797	375090	
837798	403475	Chanteuse country
837799	323447	Renee O'Bannion
837800	388734	Luna
837801	1445	Herself
837801	120646	Herself
837802	37392	Madame
837803	77216	Doctor
837803	380610	Mary Third Duchess of Richmon
837803	390432	Clare Costello
837804	5236	
837806	132909	Chatterbox Caller
837807	350251	
837808	188903	
837809	115540	Katerina
837809	141985	Juilliard Lady Macbeth
837809	313872	Joy (Mildred)
837810	385331	Herself
837811	79812	Andrea
837811	363656	
837812	34621	
837812	34704	Herself
837813	316551	Susanne Petersen
837814	138436	
837814	225286	
837814	310906	Frau Zucker
837814	340091	Pallas Athene
837816	88692	Pige til firmafest
837816	304393	Monica Winther
837818	79310	Amy
837819	88725	
837819	89605	Lotti
837819	339287	
837820	226312	Frau Kefer
837821	56125	Sekretärin
837821	223480	
837821	225275	
837821	325431	Doris Horlacher
837821	352208	Lea Kahlenberg
837822	343678	Svenja
837823	309388	Vappu Aira, Eliinan serkku
837824	28751	
837825	189250	
837826	139798	Herself (convicted spy)
837827	336985	Femme choquée
837828	365027	
837829	214387	
837829	308268	Pearl
837830	33907	
837831	261756	
837832	212097	Woman of eternal garden
837833	18343	Therese Lugauer
837833	103135	Frau Zacherl
837833	111354	
837833	133319	
837833	156070	Frau von Lingenfeld
837833	186901	
837833	311068	
837833	346850	Lina
837833	352544	
837833	356883	Mutter Ebeseder
837833	365009	
837834	134568	Featured Extra
837835	337033	Etudiante qui parle de poésie
837836	94523	Virginia
837837	165077	Reporter
837838	235870	Performer
837838	350321	Dracula's Ball Performer
837839	260733	Asia
837840	35597	Townspeople
837842	322155	
837843	212334	Herself - Participant/Perform
837844	46770	Celinka
837845	407815	Herself (Single) (2002)
837846	70325	Pigeon raiser's secretary
837847	77102	Merchant
837848	300056	
837849	95945	Village Woman
837849	411894	Katarzyna
837851	35838	TV Announcer
837851	167077	
837851	322037	Saturnin's Wife
837851	364976	
837852	42395	
837852	56660	
837852	75953	Girl on Bridge (Prostitute/Ki
837852	101069	Eve Grosz
837852	160713	Christina
837852	286687	Bridget
837852	364866	Sheila Barton
837852	387429	Natalie Jackson
837853	38000	Soloist
837854	103538	Gabriela
837855	367099	
837856	95960	Woman with Dog
837856	137330	
837856	236160	Agnieszka
837856	262157	Model
837856	410485	Mariola
837857	8942	Ilse
837857	30059	Leila
837857	99904	Emilia Galotti
837857	144724	Lene
837857	188793	Eva
837857	281806	Rose
837857	379811	
837857	394543	Ruth von Roll
837858	79794	$50 Hooker
837859	35878	
837859	75924	Jola
837859	75976	Caretaker
837859	123099	Neighbour
837859	167319	
837859	224519	
837859	247647	
837860	105713	Susan Canfield
837861	134622	Pauline
837862	4730	Woman in Store
837862	5303	Mrs. MacTavish
837862	5918	Mirandy Meekin
837862	11077	
837862	18586	Slavey
837862	20316	Old Lady
837862	22024	
837862	22966	
837862	24544	
837862	31174	Warring pedestrian
837862	31882	
837862	32779	Mrs. Grogan
837862	37138	
837862	38597	
837862	44560	Aunt Mary
837862	47089	
837862	50925	
837862	54487	Short old lady
837862	61262	
837862	72438	Old Lady
837862	75301	Mrs. Farleigh
837862	78123	Mrs. Schomberg
837862	88654	
837862	92959	Flower Woman
837862	95322	Sweet Marie
837862	100664	Mrs. Hollister
837862	106011	Annie, maid #1
837862	115619	The Cook
837862	117349	
837862	119921	
837862	120244	Bertha the Barmaid
837862	120688	Jenny
837862	121819	Bit part
837862	122052	The barber's wife
837862	123196	Susie Williams
837862	124767	Woman
837862	132361	Audience member
837862	135589	Anne (the maid)
837862	137624	Apple Mary
837862	139081	
837862	141440	
837862	141448	
837862	142125	Tillie Tilks
837862	143391	
837862	149390	
837862	150008	Little Old Gypsy Woman
837862	153283	
837862	166032	
837862	171258	
837862	183047	Fannie, the Janitor's Wife
837862	183764	Mistress Wimpole
837862	192025	Nanny Webster
837862	193832	
837862	193833	
837862	193834	
837862	193836	
837862	193838	
837862	193839	
837862	193840	
837862	195381	Maid
837862	196301	
837862	197248	
837862	200924	
837862	203309	
837862	208696	Mrs. Burns, Charlie's Mother
837862	209428	Sister Wilson
837862	216818	
837862	220123	
837862	220527	
837862	229145	
837862	232889	Mrs. Markham
837862	233868	
837862	245633	
837862	246730	Stuttering Woman
837862	249022	Francine
837862	256116	
837862	256296	Mrs. Bump
837862	258090	Maggie the Maid
837862	261506	Mrs. Coates
837862	273813	
837862	281160	
837862	283699	Mrs. Bludgeon
837862	285673	Lena Svenson
837862	289601	
837862	291238	
837862	299391	'Sucker' at séance
837862	299801	(uncredited)
837862	299829	
837862	302749	
837862	305500	
837862	306317	Maid
837862	307581	
837862	311279	
837862	329813	Bit part
837862	330105	Nurse
837862	331410	Cleaning Woman
837862	333653	
837862	335631	Aunt Emma
837862	343118	Lizzie, Cleaning Lady
837862	343151	Motorist
837862	349633	
837862	360168	
837862	360442	
837862	364243	
837862	366889	Convict
837862	367576	Annie
837862	367814	Charwoman
837863	263417	
837864	142524	Josie
837865	282711	Dancer in Haiti number
837867	276	Jean Hopkins/Helen Farnum
837867	31705	Taleaa
837867	48622	Ruth Mason
837867	85928	Follies Girl
837867	109921	Lizzie Mayberry
837867	142657	Josephine Scott
837867	267613	Helen Alden
837867	313957	
837868	113338	Lou Lupus
837868	155537	Nagisa
837868	190171	Babysitter
837868	267200	Itsue Aasu, Kotono Mitsuishi
837868	386236	Chika
837868	388022	Excel (eps 14-26)
837868	396019	Millennium 'Millie' Farrier N
837868	404137	Kohmi Natsuki
837868	404138	Iris Chateaubriand #2
837868	410739	Momoko Hanasaki
837869	295185	Car Screaming Chick
837870	131461	Herself
837871	243646	
837872	7557	Frk. Amalie Busk
837872	33228	Kammerpigen
837872	56370	Herself ("Skøjtearven" segmen
837872	59526	Henriette
837872	90174	Belisa
837872	113841	Zina (segment 3 "Zina")
837872	114809	Prins Orlofsky
837872	134972	Ekspeditrice
837872	137705	Maria Theresia
837872	153101	Henrietta/Clarissa
837872	164666	
837872	167126	Grethe
837872	179982	Dronning Marie, Kongens anden
837872	181152	Fru Junkersen
837872	182456	
837872	182601	Irmelin
837872	198108	Jacqueline
837872	203968	Lisbeth
837872	218971	Eva Bertelsen
837872	228396	Li Hua
837872	228403	
837872	234533	
837872	239168	
837872	273732	Viva
837872	303694	Mrs. Martin
837872	308212	Josepha Gabriela Maria Vogelh
837872	315054	Johans forlovede
837872	317436	
837872	322316	Juliana/Titania
837872	338697	Lotte
837872	338710	Beate
837872	349908	Sif/Elle (Danish version)
837872	383611	Herself ("Skøjtearven" segmen
837872	387293	Kitty Gordan
837872	397074	Birgitte Graae
837872	398855	Benedikte Baumann
837872	406602	Karen Westh
837872	408799	Herself - Member of the Theat
837873	32024	
837874	175459	
837875	4946	Nurse 1
837876	110319	Harassed Wife
837877	19809	Sub
837877	57816	Dr. Christine Kollar
837878	117826	
837878	244251	
837879	2943	
837879	38871	
837879	199345	
837879	346237	
837880	344524	Herself
837881	14171	Herelf/'Batty'
837882	33459	
837882	284125	
837882	284430	
837882	325494	
837882	352341	
837883	257343	Julie
837884	134511	Convent Girl
837885	79479	Herself - Interviewer
837885	99594	Herself - Interviewer
837886	240473	Makeup Girl
837887	270346	Mother
837888	1556	
837888	75059	
837888	91656	
837888	273300	
837889	148211	Nurse
837889	266381	Musikstudentin
837890	231951	Teacher
837891	56558	
837891	95803	
837891	128547	
837891	158589	
837891	249583	
837891	278695	
837892	313746	Asya
837892	410688	Asya (1999-2000)
837892	410689	Asya (1999-2000)
837892	410690	Asya (1999-2000)
837893	249593	
837893	324162	
837893	364261	
837894	367303	
837895	140415	Kari
837895	141092	Lori
837895	349392	Tess
837895	350424	Coat Check Girl
837896	325059	Herself
837897	321022	
837898	365454	Lecture hall girl
837899	261410	Stenotypistin bei Kersten
837900	394325	Additional Voices
837901	289894	Schoolgirl
837902	186921	Segebrecht
837903	58243	
837904	171072	Jewels
837904	390771	Sunny Adelman (2002)
837905	269954	
837907	458	Pauline
837907	2142	
837907	4786	
837907	11886	
837907	24423	Lilli Dupont, eine Austernöff
837907	45712	
837907	108066	
837907	109321	
837907	125229	Anna
837907	126380	Adeline
837907	144143	
837907	167150	Mizzi
837907	171488	Marie
837907	178670	
837907	188851	
837907	189705	
837907	223282	
837907	243508	Sonja Promshek
837907	266354	
837907	274886	Annette
837907	278159	Gisela von Hill
837907	281959	Mrs. Neuhans
837907	285814	Vroni, Magd
837907	290691	Mätzchen
837907	290748	Eine Braut
837907	302677	
837907	325403	Grete Bändler
837907	325735	Widow Lisa
837907	335027	Frau Lemke
837907	346850	Thilde Schreiber
837907	352328	Hansi Gerstner
837907	354056	Doppel Oma
837907	361423	Vera Brenkow
837907	365907	Mariechen
837907	394795	Kottan's Mother (1981-1983)
837907	410812	Omi
837908	155331	
837910	102983	
837910	293561	
837911	37092	Laura Chartoff
837911	114251	Missy (Age 7)
837911	142668	Mickey (segment "Rat")
837911	148200	Megan
837911	148203	Megan McCallister
837911	208065	Lindy Lou Purdy
837911	222739	
837911	319012	Christine Franklin
837911	358339	Emily
837911	392461	Angelica Cipriani (younger)
837912	251554	
837913	102453	
837914	104967	
837914	146849	
837915	34745	Co-host
837915	67571	Herself
837915	73469	Host
837915	281911	Reporter
837915	385431	Entertainment Correspondent (
837915	390334	Herself - People Reporter (19
837916	184767	Denise Noble
837917	72931	Goodyear Chorus Girl
837918	116147	Crew member
837919	384280	Herself (editor)
837920	61788	Marilyn Michaels
837921	185703	Rose Mitchell
837921	264785	Couple looking for apartment
837921	400621	Nurse Carol Grace (2003)
837923	388166	Nina
837924	64121	Liza Eller
837924	76722	Sara Kublitz
837924	90422	Karen
837924	97553	Leslie (the Stewardess)
837924	133346	Jane Wisconsky
837924	133692	Maude
837924	186680	Sara
837924	188135	Lile
837924	224134	Tina Swit
837924	257760	Valedictorian
837924	271961	Rory
837924	340029	Elena
837925	155331	
837926	174574	Stergiou's Mistress
837927	119227	Miss Pitty
837928	231904	Dream Vampire #3
837929	64207	Reporter #2
837930	108121	Helga Petersen
837931	106298	
837931	194836	Sister
837931	400217	Els Van Garderen (1996-1997)
837931	410199	dietician Laura
837932	119680	
837932	158818	
837932	200977	Ellis Weigelt
837932	225275	Sigrid Biehl
837932	292181	
837932	319546	Rita
837932	348058	
837932	352531	Yvi Steinberg
837932	376031	Marie Kramer
837932	377346	
837932	394627	Oberschwester Katharina Schel
837932	403795	Sarah Maienstedt
837932	410001	Yvi Steinberg
837934	249548	
837935	355028	The Academy's Blessed 'Virgin
837936	77640	Amy
837936	184859	Circus Web Girl
837936	195717	Renee
837936	359858	Nadia
837937	21157	Gallery Customer
837937	201845	Lisa
837937	289558	Woman at Babylon Club
837937	330311	Reception Guest
837937	348336	Sister Mary Vogue (Nun)
837938	140535	Prostitutes in Windows and St
837940	126846	
837941	369325	Lochforscherin
837942	87414	Dominatrix
837942	251821	Dolle Lola
837942	288450	
837943	60227	Harriet
837943	293047	Waitress
837944	307974	Mrs. Landis
837944	360027	Cajun Lady
837945	195901	Ola
837946	62948	
837946	93222	
837946	167922	Herself
837947	44003	
837947	114184	Mabel
837947	114590	
837947	116999	Secretary
837947	125874	
837947	128259	Sister
837947	128275	Julie Gamer
837947	133426	Honoria Looe
837947	234888	
837947	281073	
837947	308045	Glenda
837947	308140	
837947	330556	Matron
837947	340511	Venese
837948	368654	Talent Agent #2
837949	375307	
837950	120148	Girl #2
837951	338262	
837951	338263	
837953	287857	
837954	327231	Chata
837955	137145	Hilke Engstern
837955	312875	Claudia Neidhardt
837955	325517	Renate Stern
837955	376445	
837956	188236	
837958	119227	Candy Cane
837959	34707	Carla
837959	297126	Lucy Lace
837959	368654	Crescent/Eve
837960	344184	Rebobina
837961	52681	Atima
837961	58493	Carrie
837961	128089	Wife of Indian Shopkeeper
837961	201245	Fauzia Khan
837961	223698	Tania
837961	292176	Pria
837961	305082	Maya
837961	323039	Nahid Thompson
837961	365333	Vritra
837961	385020	Flick Khan (1990)
837961	411133	Vritra
837961	411224	Jasmin Jamal
837962	41117	Paula
837962	134932	
837962	167139	Kerstin
837962	215984	
837962	284555	
837962	389119	Liane Gershoff
837962	406494	Dr. Charlotte Schindler
837963	135385	
837964	31390	Anna
837964	260414	Gabi
837964	325880	Maria Nicorélli
837965	66063	Der stille Clown
837966	17941	Nurse #3
837967	18030	Young Dancer
837967	52698	
837967	118763	Mental Patient
837967	196084	Jade Meadows Swift
837967	297791	Susan
837967	314982	Professor
837967	324020	Brenda
837967	403452	Valerie (1985)
837968	290065	
837969	69713	La fille du bois
837969	236539	
837969	386224	
837970	407362	Host (????-????)
837972	56810	Tina Moss
837973	216387	
837974	197236	
837974	197262	
837975	84146	Peace Corps volunteer
837976	85188	Emily
837977	115231	Birthe Koch
837978	270346	Ghetto Victim
837979	209198	St. Helen's Street Girl
837980	305390	Modern Dance Performer
837981	63654	Courtisan (English version)
837983	167256	Brenda Kay Hilburn (Age 16)
837984	69339	Mrs. Poole
837984	116553	Emily
837985	278079	Member of the Cameron Troupe
837986	367782	Smiling Woman
837988	90117	Nun
837989	196582	Cindy
837989	202255	Sally
837990	313522	College Girl #1
837991	241249	Extra
837992	139781	Investigator #3
837993	20260	Terri
837993	203507	Pointed-Headed Lady
837993	335480	Bonnie
837994	241295	1st Patient
837995	41319	
837996	150627	
837997	7473	Employée journal
837997	43638	
837997	67248	Nun
837997	169540	
837997	188620	
837997	205266	Sophie Barbazanges
837997	217943	Hôtesse Aéroport
837997	219459	Une infirmière
837997	324437	Girl in the Station
837998	304356	Girlfriend
837999	10132	
837999	30363	
837999	31066	
837999	33090	Mrs. McKenzie
837999	33428	
837999	40073	Countess Maroff
837999	40086	
837999	40107	Mary
837999	42866	Mrs. Lambert
837999	46179	Miss Tompkins
837999	48624	
837999	52340	
837999	52488	Yuri
837999	56152	Carrie, Balzamo's assistant
837999	56621	Brian's Sister
837999	62123	Mother
837999	74051	Byfield's Landlady
837999	74308	Mrs. Dugan
837999	93811	
837999	96611	Mrs. Van Sant
837999	107411	Belinda Bassett
837999	108397	
837999	108665	A gypsy
837999	112287	
837999	113918	Marie-Jeanne
837999	115901	
837999	119546	
837999	128474	Mrs. Walters
837999	134391	Hannah
837999	145027	Elder Sister
837999	157006	Olga
837999	159995	Mrs. Bates
837999	161931	Mrs. Dean
837999	166290	
837999	183312	Society woman
837999	184992	Henriette Catenat
837999	185090	
837999	188131	Maria
837999	201262	Mrs. Kent
837999	208699	
837999	210892	Sara Middleton
837999	213835	Mrs. Kendall
837999	215739	
837999	220352	
837999	221321	
837999	234981	Norma
837999	240631	
837999	240781	Sontag's Wife
837999	243404	
837999	248712	
837999	253097	
837999	253144	
837999	254267	Mrs. Young
837999	258197	Jean
837999	258216	Undetermined Role
837999	262031	
837999	263567	
837999	266763	Roxy
837999	270398	Undetermined Role
837999	273598	Mrs. Randall
837999	274367	
837999	274402	
837999	274474	
837999	274531	
837999	282446	Josephine
837999	285066	
837999	292554	
837999	293796	Indian Servant
837999	297454	Surrada, her Servant
837999	303427	Virginia Jasper
837999	304012	
837999	310330	
837999	315115	Mrs. Ernest Conery
837999	318320	Miss Wronged, the Suffragette
837999	330607	Mrs. Chivvis
837999	331138	
837999	331147	
837999	331204	Undetermined Role
837999	336673	
837999	337475	
837999	337476	
837999	343111	
837999	345859	Voodoo Queen
837999	346066	Mrs. Kenyon
837999	346171	Mrs. Jones
837999	347526	The Mulatto
837999	348953	
837999	352720	Mrs. Mandelharper
837999	354545	
837999	358981	Mrs. Summers
837999	360314	
837999	363251	
837999	364550	Woman Client
837999	365274	
837999	367544	Tibbetts/'Julie'
838000	235404	Wife of Customer #2
838001	382696	Assistant (1949-1953)
838002	345720	Annie
838004	166940	Samantha
838005	177660	Silver Legacy Waitress
838005	317309	Babe in Red Car
838006	308779	Flight Attendant
838006	405212	Passion Fruit
838007	194217	Herself
838007	260950	Elite Model
838008	31872	
838009	73792	
838009	148313	Mom
838009	365824	Caroline Fry
838009	380391	Pam Sloan (1974-1975)
838009	385824	Mary Anderson #2 (1973-1975)
838010	162450	Bennie
838010	187680	
838010	353875	Audrey Foggin
838010	396921	Ginny Gannaway
838010	405209	Dr. Bridget Hastings (1997-20
838011	2079	
838012	170843	Banquet Dancer
838012	300180	Goddess Dancer
838013	324551	Liquid Silver Dancer
838014	92410	Woman #1
838014	245533	Sylvie
838014	327756	Beth
838014	358634	Laurie Thomas
838015	108711	Rita
838016	134423	Milla Halloway
838017	51500	Brigitte (14-18)
838017	74936	Victoire
838017	378761	Ariane Aubry
838017	393395	Denise Pelletier (jeune)
838017	402834	Mariane L'Espérance
838017	407360	Camilla
838018	145900	Guest
838018	242009	Mechanic
838018	273803	Poker Player
838018	366205	Marine
838019	228714	Ariel Brin
838019	314255	Lt. Hickey
838019	319919	Marsha Wallace (newscaster)
838020	23553	Liz
838020	102468	Susan Gilbert
838020	142716	Susan Atkins (Manson girl)
838020	169389	Bobbi Hartman
838020	238067	Unknown
838020	243231	Lucy Brawley
838021	29523	Loretta
838021	314225	American Overload
838024	138365	Six Year Old Eve
838024	191910	Krista
838025	3163	Girl in Hall
838025	282864	Party Girl #2
838025	297914	Hanna
838027	28156	Playgirl
838028	232352	Glenn's Girl
838029	81346	Spaz Girl
838030	340502	Tour Guide
838031	188507	Rianne Murtaugh
838031	188509	Rianne Murtaugh
838031	188510	Rianne Murtaugh
838031	188511	Rianne Murtaugh Butters
838032	13759	Denise
838032	121858	Lingerie Angel
838032	191648	Liz
838032	253059	Model
838032	257233	Raymond's Girlfriend
838032	321213	Model
838032	367405	Kissing Woman #2
838033	235403	Hottie
838033	335258	Golfing Girl
838033	411561	Correspondent
838034	115300	Karen
838034	279427	Claudia
838034	375250	Police Woman
838035	363840	Tracy
838036	308117	Murder Victim
838037	117065	Receptionist
838037	256620	Isabel Stanley
838038	316863	Teacher
838039	180912	Meikes Mutter
838040	245143	Michelle
838041	183221	The Executive Director
838041	340514	
838042	281653	
838042	356551	Lisbeth (young)
838043	37033	Woman in Car #2
838044	319461	Model
838045	40227	Deborah (Producer)
838046	155338	
838047	56008	
838047	156495	
838047	256488	Laufmädchen/Errand-girl
838047	293535	
838047	302682	
838048	393279	
838049	257334	Main Character
838050	367073	Munchkin
838051	82093	Crazy Woman 2
838052	231549	Herself
838054	60341	Pam
838055	157436	Jennifer the Flower Girl
838055	170724	Kitty Brydon, age 5
838056	330295	Civilian
838057	59726	Skuespiller
838058	60861	June
838058	64207	Reporter
838058	178022	Self
838058	210483	Woman
838058	272020	Karen
838059	121794	Katie
838060	403944	Herself - Host (2004-)
838061	369333	
838062	70286	
838063	25035	
838064	105492	Carla
838064	204139	Lou
838064	307206	Susie Benchpressman
838064	327756	Becca
838064	347687	Littlefield
838065	32409	
838066	190994	Shelby
838067	231782	Sophie
838068	154453	Hope
838069	315685	Reese Henning
838070	150920	Patient/Ford's office
838070	330412	Cocktail Waitress
838071	47077	Tiny Tot Cheerleader ("Cutter
838072	26693	Lisa cameriera
838073	325652	
838074	272423	Rapunzel
838075	93500	Änne
838075	106013	
838075	281950	
838075	338262	
838075	338263	
838076	106013	Ute Neumann
838076	225650	Frau Dellbrück
838076	325555	Kriminalssistentin Kern
838076	325634	Sekretärin Kern
838076	325957	Frau Schröder
838076	376387	Frau Gold
838076	380558	Scheherazade (voice: German v
838076	380700	Klara
838076	383108	Roswitha Koch
838076	387625	Maria
838076	389942	Sophie Körber
838076	401467	Fairy (voice: German version)
838077	375784	
838078	345655	
838079	11776	Madame Colombot
838079	28696	Putzfrau
838079	33166	Frau Adamczik
838079	34105	Tante Jenny
838079	86242	Nurse
838079	110095	
838079	119140	
838079	142282	
838079	142321	
838079	175778	
838079	178808	Mrs. Rubin
838079	188817	
838079	189534	Reichsbahnangestellte
838079	210058	Ingrid
838079	248185	Frau Kleinert
838079	282209	Oma
838079	290170	Touristin
838079	290665	Voice of 'Trauben'-Wirtin
838079	306591	Amalie, seine Frau
838079	307248	
838079	325491	Elle
838079	345892	Patientin
838079	350853	
838079	353992	
838079	359661	Fräulein Grauvogel
838079	376135	Frau Studienrätin Pollhageb
838079	384526	Helene Weiss
838079	391078	Frau im Zug
838079	393978	
838079	396269	Tante Helga
838079	402046	Oma von Sigi
838079	410605	Frau Neitzel
838079	411078	Gerda Kusnewski
838080	290570	Silvia
838080	344912	Ellen
838083	158406	Ballentine
838084	185964	Couple waiting for table
838085	167128	Musician/Performer
838086	167128	Musician/Performer
838087	167128	Musician/Performer
838088	248480	Girl at Pool
838088	261431	Barbara
838089	340957	Claire
838090	356562	Paula
838091	11010	Laurence
838091	48418	Sarah
838091	58230	Marion
838091	65781	Victoria
838091	132887	Sarah
838091	148685	Laetitia
838091	166191	Pascale
838091	258899	
838091	295540	
838091	396222	Lisa Petrazzini (french teach
838092	259829	Extra
838093	46533	Katherine
838093	105390	Erica
838094	55627	Young Starlet #2
838094	220014	Linda
838094	388614	Guest Star
838094	389189	Featured Student
838095	142479	
838096	101352	Maria
838096	259684	Theresa
838097	189889	Abbie
838097	207795	Moeder
838097	359814	Maria
838098	142216	Stines mor
838099	124603	Younger Aline
838100	191243	Additional Voices
838101	223913	Girl in casino
838102	44963	
838102	66213	
838102	189163	Victoire
838102	201989	Monique Laville
838102	240429	
838102	269742	La Collégue Péage
838102	278153	Colleague in canteen
838102	314470	Tatiana
838102	343540	
838102	357045	Ursula
838103	10205	La cliente de Philippe
838105	236972	Chinese Girl
838106	95178	Camilla
838107	34831	Senta Lemke
838107	34832	Senta Lemke
838107	157498	Vollstreckungsbeamtin
838107	228157	Ines
838107	228159	
838107	390812	Senta Lemke (2000-)
838107	398905	
838108	12244	Party Goer
838109	44330	Little Lila's mother
838110	133292	Girl
838111	257720	
838112	308018	
838113	390118	Natasha
838114	161437	Betty
838115	410951	voice
838116	28635	Townperson
838117	349575	Frida
838118	226261	
838119	407361	Host (1995-)
838120	174535	Marie, die Magd
838120	237419	
838120	325462	Roswitha
838120	352188	Carla
838121	43119	
838122	236733	Marie (sister of Gabrielle)
838123	309213	Mel
838124	71264	Ruth Holden
838124	301175	Ismere
838125	249336	
838125	329895	Tochter Camper
838126	106739	
838127	4830	Mia
838127	66087	Cosima Schmidtbauer
838127	225202	Victoria
838127	325438	Maruschka Steinborn
838127	381694	Lolle (2002-)
838127	383292	Tanja Ewermann (#1) (1998-200
838127	399162	Maja
838128	136360	
838129	191755	Mrs. Walker
838130	161757	Christmas Mom
838130	200860	Woman on Phone
838131	18343	Baroness Serafine
838131	24082	Frl. von Irving
838131	31921	Lola
838131	43340	
838131	77373	Frau Dalström
838131	84905	Mrs. Nolder
838131	91007	
838131	93478	Secretary
838131	98239	Hortense
838131	98287	Emma
838131	98332	
838131	103149	
838131	105528	
838131	111354	
838131	119270	
838131	120062	
838131	125335	Freulein Tante
838131	134854	Pensionatsvorsteherin
838131	142027	
838131	142211	
838131	144176	
838131	145328	
838131	152751	Sherlock Holmes´ Wirtin
838131	171664	
838131	173046	
838131	181497	
838131	182781	Lehrerin
838131	182895	Hildegard
838131	189689	
838131	189837	
838131	193302	Dame an Bord
838131	207167	
838131	223188	
838131	225147	The Teacher
838131	225191	
838131	226255	
838131	226333	Frau Jaguweit
838131	264332	
838131	264919	Pensionsmutter
838131	269196	
838131	281345	
838131	285382	Mrs. Schloderer
838131	289951	
838131	290489	Gesine
838131	290633	
838131	290764	Frau Chartrain
838131	290791	
838131	290836	
838131	293523	Kassiererin in der 'Barberina
838131	294202	Frau Koch
838131	302045	Frau Schebke
838131	312729	
838131	346850	
838131	354366	
838131	356836	
838131	358220	
838131	359622	
838131	361403	Henriette
838131	364932	Frau Kötelhön
838131	376328	
838132	32861	
838133	28942	Anka
838133	236159	Janina
838133	261595	Nanny
838133	267263	
838133	293684	
838134	112786	Krystyna Leska
838134	179181	
838134	212509	Alycia
838134	244208	Joanna Korowiczowa
838134	252346	
838134	341075	
838135	289228	Second Day Nurse
838136	306286	Dancer
838137	277839	
838138	181109	Teenager
838139	259518	
838139	259680	
838140	227327	Susan
838141	379086	Frau Schielke (part 2)
838142	112187	Alice
838143	142394	Leslie
838144	46529	Bureau Chief
838145	350277	Synchronised Swimmers
838146	295472	
838147	92324	Cathy
838148	125093	Ronga
838148	238370	
838149	284415	Ruth Kranz
838150	383032	
838150	383439	Griselda
838150	389235	
838150	402158	Priscila
838150	409957	Zoe (1999)
838151	307260	
838152	12103	Frau Hahnemann
838152	312644	
838153	50146	
838153	115812	Helga Riechert
838153	170124	Wirtin
838153	230196	Helga Hartmann
838153	239020	
838153	259445	
838153	259454	
838153	259493	
838153	259500	Hannelore
838153	259521	
838153	259551	Oberschwester
838153	259637	
838153	259675	
838153	352042	
838153	353949	
838154	382825	Herself (segment "Some Who Li
838155	402277	Kassörskan på Porrklubben
838156	123265	
838157	185683	Theater Audience
838158	383718	Tatiana
838159	89572	The bored lady
838160	289372	Featured Extra
838161	213875	Neighbor
838161	252160	Suzanne
838161	289372	Featured Extra
838161	361271	Noreen Sommers
838162	346099	Bridget
838163	183872	Saleslady
838164	69137	Ground Hostess
838165	295480	Cly Ponti
838166	6825	gal expecting Sol
838167	35776	Foot Artist
838168	313189	Woman M.C.
838169	95962	Young Irena
838169	181367	
838169	181408	Girl with umbrella
838169	231652	
838170	156543	
838170	172142	Marjut's guest
838170	223255	Liisa Nurmela, nurse
838170	232585	Helmi
838170	396249	Katri Meriläinen
838171	178448	Thrift shop owner
838171	341604	Restaurant hostess
838172	20956	Stella Anderson
838172	33776	Tabatha
838172	135178	Bar Girl
838172	208506	Elaine Barker
838172	210462	Tamara
838172	278712	Kissing Blonde/Grinding Girl
838172	347116	Virginia Caulder
838172	381556	Y'Alla
838172	409496	Tabitha
838173	157885	Sarie (of Sarie and Sallie)
838174	322466	Sonja
838175	321559	Derby Dancer
838176	232181	Gate Guard
838176	273275	Dianne
838177	28543	Helena
838177	159489	Anka's Mother
838177	186384	Girl/Duchess
838177	231730	
838177	266019	Owner of Apartment
838177	282756	Grazyna Chochol
838177	345023	Milady
838177	347617	Ewa
838177	357436	Angelika
838177	364966	Yennefer
838177	376610	
838177	380716	Julia Roszak (episode "Piotr 
838177	393720	
838177	398897	Barbara Brzozowska
838178	110315	Nina Blank
838178	115103	Verrücktes Mädchen
838178	178563	Jeannette
838178	259556	Biljana Ducic
838178	290512	Laura
838178	313662	Katrin
838178	319528	Isabelle
838178	325447	
838178	369142	Ingrid Lubanski
838178	384368	Marja Laski
838178	404480	Laura
838179	259452	
838180	284433	
838181	12446	Alraune
838182	105285	
838182	359049	Woman
838183	308815	
838184	59718	Annie
838184	338649	Kakela
838185	181556	
838186	106676	Suzanne
838186	170155	Beatrice
838186	381043	Cindy Grant (1981)
838186	381442	Amanda Keller (1990)
838186	382419	Taylor Hamilton Forrester (19
838186	389858	Celia Quartermaine Putnam Hol
838186	390771	George (1993)
838186	404282	Elena Nikolas (1987)
838186	404727	Justine Strickland
838187	284433	
838188	319257	Antoinette
838189	254988	Mevrouw Tesselman
838190	72657	Young Janessa
838191	201231	
838191	324489	
838192	93229	Moeder Hogerhuis
838192	156505	Zijn moeder
838192	162244	Mevrouw Houtstra
838193	331799	Lady On Bridge
838194	118962	
838195	1423	Selina Parsons
838195	168577	Jill
838196	150758	Girl on Phone/Girl #2
838197	189238	Prostitute #2
838198	373594	
838199	10420	
838199	47847	Nurse
838199	140205	Adele
838199	156498	
838199	191486	Mutter Schröder
838199	259492	
838199	259600	
838199	298515	Frau Becker
838199	343661	
838200	256686	
838201	335050	Mirror Maze Visitor
838202	390242	Charlotte 'Lotje' Alberts (19
838203	222795	
838204	390180	M.T.V. (Melody Trouble Vixen)
838205	215174	Student
838206	3100	Alex's Friend
838207	2399	Herself
838207	66237	Herself/Performer
838207	335123	Becky Thatcher
838207	358807	
838207	384538	Herself
838208	163623	Herself
838208	300044	Singer
838209	280298	Edwina
838210	196038	Roommate
838211	390180	
838212	236950	Mystery woman
838212	374352	Woman A, Woman B
838213	92095	Hooker #1
838214	390180	
838215	369905	Laurie
838216	52698	
838217	113985	Josie
838218	32529	Receptionist
838218	389416	Woman Friend
838219	366782	Dementia
838220	366782	Corpse
838221	340108	Cressida
838222	238648	
838223	29393	
838223	38250	
838223	51026	
838223	51027	
838223	60617	
838223	62204	
838223	62509	
838223	78200	
838223	78275	
838223	102036	Cha Suk-hie
838223	147334	
838223	153444	
838223	156381	Mi-kyeong
838223	159615	
838223	159616	
838223	160198	
838223	165645	
838223	166829	
838223	177064	
838223	215566	
838223	227177	
838223	228191	
838223	229876	
838223	285221	
838223	286016	
838223	287573	
838223	371152	
838224	226667	
838225	322892	
838226	48075	Connie, Masseuse
838227	221656	
838228	11591	Xuelan
838229	238981	
838230	33704	Delphine
838230	144448	Young Girl
838230	216802	Miss Perry
838230	296767	Ann Newton
838230	330836	Youngster
838230	346195	Faith
838231	340960	Blonde Reporter
838232	241058	Elizabeth
838233	350704	Specialty dancer
838233	358163	
838234	164364	Radio Personality
838236	26114	
838236	39248	
838236	50396	
838236	306022	
838236	333834	
838237	170705	
838238	14882	Helga
838239	161865	Chorus Girl
838240	216401	
838240	369742	Jing Hua
838240	370197	Lo's mistress
838241	29464	Flora
838241	60409	Madam M
838241	63364	
838241	121778	
838241	231233	
838241	246135	Sam
838241	246136	Ying Yang (Cat)
838241	286469	
838241	287029	Female Assassin
838241	332282	Eddie's Wife
838241	358235	Rape
838241	371571	
838241	376056	Donna Cheung
838242	48442	Teacher with glasses
838242	277561	
838242	365343	
838242	370197	Madam Yeh
838243	142439	
838244	59093	Alina
838245	38022	Speed Walking Lawyer
838246	182706	Additional Voices
838246	276875	Ticket Agent
838246	369828	
838247	95853	
838247	333508	
838248	108933	Koala Klub Dancer
838248	213278	Wayne's Girlfriend
838248	276720	
838249	5861	Bailarina
838249	9995	Keok
838249	38934	Toy Sing, Chin Chow's Wife
838249	43374	Lin Ying
838249	62084	Mandarin's Sweetheart
838249	62150	Nautch Dancer
838249	63274	Zahrat
838249	73398	Su
838249	78155	Lan Ying
838249	79371	Lan Ying Lin
838249	79379	Princess Ling Moy
838249	83684	Oneta
838249	84848	Sada
838249	87035	
838249	93655	Rose Li
838249	93797	
838249	99398	Lois Ling
838249	99522	Herself
838249	112195	Nan Lo
838249	114070	
838249	114850	Hai Tang
838249	117951	Zira
838249	118047	Annabelle Wu
838249	134857	Hai-Tang
838249	137178	Hai-tang
838249	146246	Harem Girl in play
838249	147798	Herself
838249	147805	Herself
838249	147816	Herself
838249	149199	Baroness Stoloff
838249	157091	Su Lin
838249	162858	Kim Ling
838249	165910	Princess Taou Yuen
838249	177368	Dr. Mary Ling
838249	183644	Kwan Mei
838249	190780	
838249	190944	Tu Tuan
838249	206878	Herself
838249	221186	Loo Song
838249	239783	A Flower of the Orient
838249	253913	Tiger Lily
838249	255079	Sho-Sho
838249	261025	Tawny
838249	274177	
838249	290238	Song
838249	297226	Lotus Blossom
838249	297367	Hui Fei
838249	301822	Dragon Horse
838249	316788	Su Quan
838249	317426	Mme. Pyke
838249	330304	The Mongol Slave
838249	332108	Honky-Tonk Girl
838249	332766	Liu Chang
838249	335013	Lotus Flower
838249	339835	Ohati
838249	355689	From 'Old San Francisco, 1927
838249	360944	
838249	363220	Mei Lei Ming (Aquarius)
838249	364574	Delamar
838249	389686	Mme. Lui-Tsong (1951)
838250	171161	Peach Blossom
838250	288938	Hiko
838250	356794	Malayan Girl
838251	26146	Chinese Girl
838251	33006	Chinese girl given opium
838251	52163	Mrs. Smith's Manicurist
838251	62000	Nan Ti
838251	62082	Betty Chang
838251	62157	Princess Mei Ling
838251	130758	
838251	195743	Nurse
838251	202994	Stormy
838251	274068	Iris Ling
838251	329388	Nightclub Singer
838251	338225	San Toy
838252	333674	Chinese Maid
838252	363937	
838253	74192	
838254	197372	Dancer
838255	63113	Child
838256	128663	Viola Jones
838257	359195	Kid
838259	198474	Red Guard Dancer
838260	129439	Rose
838261	176967	The Bookie's Girl
838261	196350	Female Judge
838262	41238	Kidda's Mother
838263	342048	Amah
838264	303780	Herself
838265	369727	Boon Hock's mother
838266	371962	Pagan Initiate #6
838267	197221	Karena's Agent
838267	375921	
838268	188396	Chan Kwok Chan
838269	87509	Girl in Chip Shop
838270	24875	Newsanchor
838270	329439	Catherine
838271	142312	Rebecca
838272	81121	Miss Almond Blossom
838273	272213	Lychee
838274	40187	Nurse
838275	41461	
838275	80570	Kasumi
838275	187243	Shana
838275	313339	Rena Lanford
838276	203021	Chinese Girl
838277	351767	Girl in Bar
838278	37027	Herself
838279	75648	Chinese woman
838279	323936	Witness
838279	401828	Lick Jimmy's Wife
838280	323100	
838281	63371	
838281	238700	
838282	43544	Han
838282	108606	Herself
838282	150927	Meiling
838282	192459	Zhao Li
838282	297377	Chon Lin
838282	300625	Xiang Gu
838282	369922	Annie Lin, Xiaojiao
838282	373395	Joy/Lele (Chinese pinyin tran
838282	373685	Shen Ying
838282	374743	Jane/Ke Youzhen (Chinese piny
838282	375288	Minmin, Marlene
838282	380799	Herself
838282	381646	Chang Er (Xun Yue)
838282	382903	Coco Zhang Wenhua
838282	385523	Rose, Xiaofang
838282	388395	Herself - Host of Fann Advent
838282	393496	Ye Qin, Li Xiangmei, Zhu Zhiy
838282	393548	Li Mingzhu
838282	397357	Li Lin
838282	402554	White Snake, Bai Suzhen, Qin 
838282	402555	Zhong Wu Yan
838282	405110	Little Dragon Girl (Xiaolongn
838282	405112	Ma Jiajia
838282	405126	Lady of the Hill
838282	408776	Herself - Host of Travel Hunt
838282	411326	Liu Feiyan
838282	411522	Guan Sijia
838282	411583	Ren Yingying
838282	411589	Lin Xiaoyun
838282	411590	Jian Ni
838282	411592	Orange Chong/Zhang Xiaomei
838282	411593	Herself
838282	411653	Ye Xinping
838282	411737	Dong Shaoqi
838282	411777	Li Ting
838282	411873	Fang Ling
838282	411907	Liu Ying
838283	270759	Christy Mato
838284	1759	Wang Jing Wen/wjw1967
838284	35710	Mary
838284	62635	Faye
838284	168031	
838284	186844	Siu Yuht
838284	189220	
838284	197132	Jenny
838284	332338	Princess Wushuang
838284	386242	Agent Honeydew (HK Version)
838284	408601	Eos
838284	409713	Fei Rin
838285	35524	Liddle Bear
838286	183100	
838287	362453	Old Woman in Chinatown
838288	62812	Mrs. Sherwood
838288	372667	Ah-Choy's Mother
838289	153044	
838290	136329	
838291	118318	
838291	324340	Tien Chi-Chi
838292	405209	Joy Kwan
838293	107896	ISA Expert #3
838294	33006	Seki's Secretary
838294	59613	Choy Wong
838294	59614	Lili Wong
838294	62000	Kwan Su
838294	128256	Chinese model
838294	131418	
838294	198844	Croupier
838295	52	Winnie
838295	53	
838296	167760	
838298	117358	Dancer
838298	303965	Madame Cho
838298	370863	Mrs. Harry Yung
838299	20613	Specialty
838299	154202	Sue-Lin
838299	221029	Dancer
838300	118897	Herself (columnist, The Globe
838301	14180	Girl Student
838302	50333	Annie
838302	66174	Miss Scarlet
838302	66186	Miss Scarlet
838303	370863	Tina
838304	17506	Amazon Guard
838304	35137	Miss Morita, Hildebrand's Rec
838304	62060	
838304	81576	Wedding Guest
838304	137493	Blossom Gow
838304	161575	Hospital Nurse
838304	183654	Ticket Seller
838304	195743	Nurse
838304	215862	Parachutist
838304	223906	Mrs. Fong
838304	231925	Young Chinese Woman
838304	300124	Chinese cashier
838304	330843	Asian nurse
838304	366947	Reporter
838305	281196	Asian Dancer
838307	11619	Dr. Lee
838308	176252	Tao Liu's Wife
838309	32871	Blood Lotus
838309	59062	May
838309	60564	Kaori Makimura
838309	60566	Ada
838309	62192	Sou Ching, Green's sister
838309	76286	Angie
838309	76288	Amy
838309	76425	Joey
838309	88277	Julie
838309	88612	Vivian Chang Lo-Erh
838309	88613	Vivian Chang
838309	94400	Jane
838309	95190	
838309	95191	Snow
838309	135459	Li Yu-Ping
838309	138626	'Honey', Jacky's wife
838309	138629	Ling
838309	151975	You Feng
838309	151995	Mo Chiu
838309	167786	
838309	167830	Queenie/Catherine
838309	168794	
838309	170020	Penny
838309	183851	
838309	184095	
838309	191122	Snow Lady
838309	198562	Princess Wendy
838309	203116	Kot-Yee
838309	209893	
838309	210982	
838309	216650	Ching-Ching
838309	244734	Julia
838309	247329	Lotus
838309	251928	
838309	254946	Joanne
838309	255018	
838309	264066	
838309	268673	Yun Yu-Yi
838309	292973	Wang's Sweetheart
838309	296584	Lap
838309	297564	Hsiao Hsien
838309	298405	
838309	302891	Lit Sin Seen
838309	302892	Ching Fung/Windy
838309	302893	Lotus
838309	318433	Lin's Wife
838309	332291	
838309	358236	Sue Pak
838309	360992	Wong Fung-Yee
838309	369074	Hor-Yee
838309	371453	
838309	371466	Kwong Sun
838309	372947	
838309	374816	Joey Chan
838309	374917	Joey Wong
838309	374979	Ku Moon-Cher
838309	393547	Guest
838310	277839	
838311	35239	Mary
838312	355362	Dancer
838313	37971	Shin
838313	285739	Little Girl
838314	334295	
838315	324235	A Clown
838316	32250	Emma
838316	284935	Fran
838316	306220	Paula
838316	369486	Jubilee
838316	374523	Gemma
838316	394418	Herself
838317	370863	Dragon girl
838318	117656	
838319	332771	Gang Member
838320	106671	Asian Child
838321	207941	Cell Phone Woman
838321	324953	Nate's Friend
838321	348614	Mia
838321	394161	Janey Park
838323	80560	
838324	28612	Harry's Wife
838325	246923	Chinese Dancer
838326	292148	Chinese Interpreter
838327	114632	Ming Cha
838327	149613	Michido
838327	236726	Bok Soon
838327	248496	Lehua Kawena
838327	358442	Kaiko
838328	128859	
838328	187411	Herself
838328	196032	
838328	243515	
838328	261527	
838328	319458	
838328	320963	
838328	327877	
838328	372750	
838329	128505	Yieng Yann
838329	144291	Singer Doing Teresa Teng Song
838329	300639	Bamboo
838329	369558	Mei
838329	369693	Lan (Mandarin version)
838329	374738	Daisy Ma
838330	107930	Girl with Mask
838331	144400	Lola
838332	242098	
838332	370867	Tina Han
838333	136329	
838334	204133	Hacker Gal Voice
838335	146946	
838336	300756	
838337	106790	Kam-wah, Koo
838337	136160	Chiu Ching-ha
838337	275756	
838337	370808	Rich girl
838338	174778	Cameo appearance
838338	179926	
838338	185808	
838338	190665	
838338	231226	
838338	369105	
838338	370759	
838338	373090	Young Woman
838339	402555	
838340	131418	Baby
838341	198844	Croupier
838342	131418	Little Bride
838343	224667	May Wong
838344	287334	
838344	373159	
838344	373161	
838345	268709	Court Lady
838346	268709	Court Lady
838346	268817	Lin
838347	335416	Rice Maker/Tien's teacher
838348	342590	Herself
838349	77891	
838349	142464	Stripper
838349	177705	Setsuko Hada
838349	191932	
838349	321632	Photo Assistant
838349	405961	Astrid Hammersmith
838350	370145	
838351	342590	Herself
838352	43931	Michael's Co-Worker
838354	370404	
838355	333529	Ying
838356	64950	Lee
838356	249713	
838358	370923	Jim's Assistant
838359	295248	
838360	48230	
838361	8814	
838361	62517	
838361	63291	Ling
838361	82830	
838361	95157	
838361	126808	Jade
838361	131264	Wai-Chui
838361	131270	Fong
838361	135492	May
838361	136071	
838361	136072	
838361	167445	Hsi-Wan
838361	167450	
838361	167830	May
838361	181563	Raga
838361	189127	Lu Ling
838361	196182	
838361	210968	
838361	256134	Bobby
838361	268681	Wong Chi-San
838361	270023	Owner of the brothel
838361	275550	Mun
838361	293467	Lai Fong
838361	369942	
838361	370465	Michelle
838361	371600	Chui
838361	374900	Soo/One Stroke
838361	374983	Kent's wife
838361	374988	Chu
838361	376060	Tiny's Wife
838362	176816	
838362	324343	
838362	369089	
838363	161744	Mrs. Tong
838364	32088	Ribbon Dancer
838364	61156	Female Dancer
838365	316614	Studio News Anchor
838366	137972	Chinese Laundress
838367	184292	
838368	255231	Stewardess
838368	272602	Asian Lucy
838369	4464	Liaison to Great Britain
838369	4465	Madam
838369	17504	Lady of Court No.4
838369	60597	Colleen
838369	62842	Ching
838369	63469	
838369	107377	Macy
838369	131341	
838369	136320	
838369	168793	Siu
838369	175255	Poon's Girlfriend
838369	239145	Ada
838369	266660	Leigh Cheng
838369	298705	Madam
838369	300756	Sam
838369	369188	
838369	371475	
838372	297396	Mah-Jongg Voice
838372	297397	Mah-Jongg Voice (East)
838373	220041	
838375	410920	Vancouver Host (2003-)
838376	362037	Groupie
838377	74192	
838377	151999	
838377	303001	
838377	359021	
838378	380799	Herself (Fann Wong's mother)
838379	131249	Attendant
838380	262097	Toxica
838380	262098	Toxica
838380	402008	Toxica
838381	305367	Goon girlfriend #1
838382	88274	
838382	123254	
838382	123973	
838382	135938	
838382	284722	
838383	393550	Siu-Ching (4th Sister)
838384	61463	May
838384	183101	Olivia
838385	267564	Old woman
838386	81066	
838388	160887	ObGyn Nurse
838388	318218	Chinese Takeout Lady #2
838389	296936	
838389	370131	Lisa
838390	132739	Cashier
838391	556	Herself
838391	10853	Yvonne Hoving (SSS17 Sleeper)
838391	278463	Doctor Zand
838391	382120	Saw-Ye
838391	400806	
838392	359195	Kid
838393	43931	Denice (6 years old)
838394	21923	
838394	368076	
838395	382903	Irene Wong
838395	411777	Zhong Qing
838396	327020	Lok's girl
838397	92858	The Apprentice (character mov
838398	371635	Li Yueh Ying
838399	3241	Yim-Fan
838399	36463	Rose Wong
838399	52445	Miu Ying
838399	76288	Factory Worker
838399	94437	Japanese Officer
838399	96522	Aunt May
838399	106779	
838399	138612	
838399	138626	Servant
838399	152005	Ms. Lee
838399	167853	Miss Mui
838399	209898	Nancy
838399	216636	Maureen Yu
838399	268739	
838399	268770	Ching-Ching
838399	297354	Mak's Sister
838399	341545	Sergeant
838399	369671	
838399	369711	Sea Weed
838399	371466	Wan
838400	203649	Bottoms Up Waitress
838400	390286	Herself - Hostess (1974)
838402	52	
838402	368073	
838403	35453	Grand-Mother
838404	63371	
838404	76420	
838404	318919	
838404	340611	
838405	158356	Herself (resident, Nanking, 1
838406	82146	
838407	178975	Han's Assistant
838408	216664	
838409	200621	
838410	372272	
838411	230230	Gogo
838412	164840	Stablehand
838413	244099	Secretary
838414	13307	
838414	338684	Maria Ausilia
838414	355943	Nicola
838414	379583	Marta
838414	380487	
838414	383138	China
838414	396596	
838414	399542	Various characters
838414	405789	Titi
838414	405916	Zully (2003)
838414	408204	
838414	408895	Sabrina Mastronardi
838415	58918	Chan's Daughter Jenny
838415	252982	Feminist
838415	370863	Mrs. Wong
838416	145646	
838418	132909	Pedestrian
838418	132912	Commercial Voice
838419	323428	
838420	127741	Poison Ivy
838421	26672	Tsuki
838422	240051	Olivia
838423	266513	Wei Lu
838424	328267	Holly
838425	285845	Ji-ni (story 2)
838426	1921	
838426	227419	
838427	282481	
838428	89529	Kang-mi
838429	298425	
838430	1983	
838430	333641	Young-ja
838431	29229	
838431	37611	
838431	84511	
838431	126782	
838431	144274	
838431	144276	
838431	153418	
838431	156363	
838431	159693	
838431	166210	
838431	166801	
838431	167472	
838431	170324	
838431	171512	
838431	226574	
838431	227405	
838431	228834	
838431	236763	
838431	288162	
838431	325129	
838431	329013	
838431	371938	
838432	136878	
838432	198646	
838433	18852	Mrs. Kim
838433	286599	
838434	162014	
838435	186003	Edith
838436	391869	Peta Janossi (1999-2000)
838437	220487	
838438	400033	Tootie/others
838439	300304	Drummer
838440	93051	Julie
838441	114288	Nurse
838441	301565	Young Betty
838441	341926	Law Firm Partner #2
838443	286687	Pizzicata Sisters
838444	46528	April
838444	51989	Marcy
838444	57747	April
838444	107742	Jessica Hahn
838444	160418	Ms. Morley
838445	41383	Gail
838445	389416	Alice Shepard
838446	170426	
838446	275790	
838446	359872	
838447	365820	Teacher
838448	105296	Neighbourhood Lady
838449	291221	Young Girl in Video Store
838450	313081	Fourth Undergraduate
838451	104765	Dutch entry (15th place)
838451	228257	Herself
838453	132786	Chorus
838454	383757	Dealer
838455	279192	Victoria
838456	35598	Nurse
838457	291948	Herself
838458	39361	
838459	312927	Woman of Couple in Park
838460	115686	Kristen
838461	133665	WAC Lieutenant
838461	149260	Ellen Henley
838462	52312	
838463	317354	Student
838464	328563	
838465	239047	Zombie
838466	18960	Playmate of the Year
838466	297261	Beauty Shop Customer
838466	316133	Araba
838466	331550	Stewardess
838466	350337	Moon
838466	393522	
838467	149459	Alice
838468	183306	Louetta Lovit
838469	344432	Additional Voices
838470	118363	Bad Girl #1
838472	168326	Jeannette
838473	80716	Woman in Elevator
838473	150814	Nurse
838474	69137	Russian Olympic Athlete
838475	309636	Herself
838476	264420	Prisoner Dolly
838477	209170	Dancer
838478	158175	Jeanne Donaldson
838479	261603	Donna McCorkle
838480	35240	Nell Thompson
838480	36955	
838480	44260	Mrs. Edith Harding
838480	50226	
838480	52235	
838480	58859	
838480	64113	
838480	71894	
838480	79456	Flo
838480	91634	
838480	112324	Jane McKenna
838480	113592	
838480	123340	
838480	130885	
838480	133902	Rhooda Hardage
838480	134440	
838480	134453	
838480	158157	
838480	158499	
838480	196917	The Girl
838480	203660	Mary Lane
838480	211634	
838480	241476	
838480	246792	
838480	272112	
838480	272449	Miss Harper
838480	273790	Nora Murphy
838480	278067	Bess Livingston
838480	280861	Ruth Larrabee
838480	285128	
838480	289491	Marian Fleming
838480	299695	
838480	305595	
838480	316559	Francie Oliver
838480	319707	
838480	337616	
838480	339592	
838480	343258	
838480	359101	Jessie Walton
838480	361694	Betsy Macon
838481	359104	Miss Kemp, Mappolo's girl
838482	95078	Bikini girl
838482	195458	Mrs. Ogelthorpe
838482	304237	Cemetery Lady
838482	353457	
838482	398704	
838483	13378	Housewife
838483	82064	Poor Wife
838483	365062	Woman
838484	392697	Young Maria Brontë
838485	111283	Window Woman
838485	396501	Hikaru Hirasaka
838487	379840	Lisa Ritter
838487	404628	Various Characters
838488	7674	
838488	170751	
838488	245680	
838489	49382	
838490	1748	Herself - Presenter
838490	81127	Anna
838490	84437	Daniella Rogers
838490	86540	Harriet Frankovitz
838490	92155	Tobe
838490	92257	Robin Garr
838490	109833	Tessa
838490	126572	
838490	158109	Little Susie
838490	159010	Herself
838490	192250	Emily Lindstrom
838490	215813	Lily Gilkeson
838490	230636	Herself
838490	262261	Kylie Owens
838490	263345	Kimberly
838490	284628	Lainey Christian
838490	291922	
838490	330591	Tracy Louise Freeland
838490	348527	Lavender "Popeye" Wolfmeyer
838490	400209	Jessie Sammler
838490	402270	Chloe Waters #2 (1998-1999)
838491	129366	Sheila, Glen's Sister
838492	30071	Woman
838492	63518	Betty's Mother
838492	125874	Concierge
838492	186290	Mrs. Gaythorne
838492	196202	Madame Lamballe
838492	264730	Cook at the Inn
838492	331663	Mrs. Musquash
838493	110075	
838494	223032	Mother
838495	87789	
838495	122788	Singer at the Bottle Club
838495	229672	Nelly
838495	321860	
838495	382966	Various Characters
838495	407963	Various characters
838496	111424	Aunt Martha Boliver
838496	154154	
838496	221178	Mrs. Roemer
838496	316165	Clara Hemingway
838496	337707	Ma Fields
838497	234107	Louisa
838498	194502	Woman in Cave
838498	270628	Schoolgirl
838499	26871	Faith
838499	44283	Barbara Hartwell
838499	56270	Jimmie's Sister
838499	58795	
838499	88300	Desk Nurse
838499	111719	Sheila Granger
838499	140508	Beth
838499	186265	Hope Hawley
838499	186368	Arline Lewis
838499	194883	Beth Munro
838499	205792	Burma Roberts aka 'Blondie'
838499	213219	Mary Withers, daughter of Cap
838499	218652	
838499	224136	Socialite
838499	231930	Undetermined Role
838499	289400	Isabella
838499	339652	Jessie Bolton
838499	350008	Mary Scott
838499	363739	Anita Saunders
838499	367453	Undetermined Role
838500	12179	Writer Shirley Haddon
838500	53299	Virginia Peachtree
838500	58809	Linda Craig
838500	59602	Alice Fenton
838500	72437	Ruth Franklin
838500	129062	Joanna Moss
838500	131896	Violet
838500	144966	Brenda Burke
838500	176358	1934 Goldwyn Girl
838500	220270	Show Girl
838500	224139	Elizabeth Tyler
838500	232250	Minsky's Girl
838500	255834	Mary Mother
838500	297970	Secretary
838500	309208	Mme. President
838500	407686	Regular
838502	128637	
838503	1784	Waitress
838503	32466	Cheerleader
838503	45237	Laker Girl
838503	106731	Nancy Lambert
838503	300532	Next Door Neighbor
838504	96834	
838505	40552	Auditioning Actor
838506	232450	Carmel Beecher
838506	299315	Joyce
838506	346234	Mrs. Johnson
838506	405209	Nurse Liz Stokes (1996-1997)
838507	283802	Julie Garrett
838507	305832	
838507	315998	Clare Freisen
838508	300911	Mrs. Brown
838508	366667	Mrs. Stammer
838509	66918	Heather
838509	114051	Hill Farmer's Wife
838509	143868	Mo
838509	229673	Hotel maid
838509	253542	Nurse Rooke
838509	262613	Mrs. Sarn
838509	270949	Vie
838509	270987	Tony's Wife
838509	271155	Mrs. Viney
838509	285879	Witness at Trial
838509	298055	Judith
838509	299193	Kath Shaw
838509	305318	Mildred
838509	351972	Prisoner
838509	365342	Sister Dolores
838509	382663	Polly
838509	385299	Judith Bradley
838509	408277	Landlady
838510	16893	Vicki
838510	56386	Talkative Mom
838510	57945	Linda
838510	61672	Guest #2
838510	97026	Brenda
838510	118199	Sylvia
838510	122655	Cindy
838510	132449	Elaine
838510	174644	Blaze Adams
838510	185270	Nancy
838510	277746	Bank Teller
838510	305228	Smitty
838510	305953	Ivy
838510	331541	
838510	342653	Nurse
838510	348427	Sweet Li'l Alice
838510	350782	Marie
838510	364644	Girl in Bar
838510	389412	Rose
838510	411802	April Stevens #1 (1979)
838511	369185	Frances Earnshaw
838511	379387	Clare France
838511	408636	Anita Rhodes
838511	408638	Anita Rhodes
838511	408870	Louise (forensics)
838512	8961	
838512	26721	The Nurse
838512	53554	Mrs. Anderson [Chs.1-5]
838512	56746	Party guest
838512	168236	Bertha Jensen
838512	190051	Mabel, the maid
838512	215720	Mrs. Anderson
838512	230391	Miss Masters, the Nurse
838512	257714	Bit Role
838512	291916	
838512	302929	Muriel Stokes
838512	309204	Mrs. Fessenden, housemother
838512	327685	
838512	365329	Guest
838513	92575	Monique
838513	384783	Rosalind Garner
838513	386603	Doreen Aldrich (1976-1977)
838514	296665	Waitress
838515	48413	Dana Grouse
838515	233894	Mary Anne
838515	324518	Tonya
838515	389858	Lisa (1997)
838515	404376	Kimmy Whitmore
838515	405684	Alicia (1998-1999)
838517	292581	Maggie, Brent's secretary
838518	7198	Cora
838518	22185	Woman
838518	35745	Waitress
838518	61753	Patricia 'Pat' Thayer
838518	73175	Blanche Flynn
838518	88171	Helen Travers alias Paula Mur
838518	88191	Dorothy 'Dot'
838518	128619	Winnie
838518	130625	
838518	163341	Countess de Beaurien
838518	194299	Pearl Latour
838518	203567	Margot
838518	277535	Lola
838518	278174	Mabel
838518	279425	Elsie Kenton
838518	302388	Mrs. Graham
838518	307407	Helen Arnold
838518	330191	Mrs. Ames, Nurse
838518	353310	Madeleine Hunt
838518	367835	Olga
838518	368315	June Thorpe
838520	64073	Dressmaker
838520	323871	Mrs. Tittlemouse
838521	188547	Cashier
838522	131201	Vittoria
838522	162098	Babs
838522	194405	Gail Poulet
838522	213585	Pitti Sing
838522	256623	Edith
838522	273931	
838523	157603	Social worker
838523	196372	Changing room friend
838523	382384	Junior
838524	127295	Young Barbara Holder
838525	97361	Herself
838525	154822	Woman at Carnival
838526	380713	Mary Ellison Hughes (1975-198
838526	401021	Gloria (1964-1965)
838526	404613	Lauri Leshensky Phillips (196
838527	203687	Amy Banks
838528	162099	Fairy
838529	409755	Co-host (1965)
838530	71287	Joanna
838531	126742	Julie
838532	40018	Eagan Ryan
838532	54420	Yolanda
838532	70753	Janet Hanley
838532	85871	Plenty O'Toole
838532	114626	Mary
838532	117154	Helen Todd
838532	128828	Bonnie
838532	133383	Beth Colter
838532	160293	Herself
838532	165264	Plenty O'Toole
838532	171397	Kathleen
838532	191945	Maureen
838532	224729	Herself
838532	232438	Smitty
838532	237564	Fran Harper
838532	245692	Katie Flavin
838532	257057	Carolyn Schneider
838532	269662	Elizabeth Carson
838532	288465	Lisa
838532	291235	Karen
838532	291964	Debbie Edwards (younger)
838532	310796	New Blossom
838532	364195	Boarder
838532	383385	Fran Burke (1983)
838532	395948	Eula Harker (1965-1966)
838532	401350	Sandy Webber (1966-1967)
838532	402552	Sue Scanlon
838534	195612	Eris
838535	137258	Hollywood Girl #2
838536	257647	Herself (Miss April)
838536	257659	Herself (in bonus retrospecti
838537	305778	Bar Girl #1
838538	74048	Child of Castor
838538	241465	Mandy
838539	348468	Larry's Wife
838540	113771	Dancer
838541	38034	Tina
838541	127148	Dr. Rosen
838541	163316	Jody's Mother
838541	187271	Mrs. Raymond
838541	221313	Woman Judge
838541	315199	Judge Grace Curcio
838541	358050	Mrs. Brookhaven
838541	387132	Mrs. Brookhaven
838541	389858	Aunt Janet (1987)
838541	411802	Allison Bancroft (1981-1983)
838542	138721	Herself
838542	390195	Herself - Consumer Reporter (
838542	410637	Presenter (1985-1993)
838544	24037	
838545	308139	Dolores
838546	203296	
838547	6194	Mrs. Marcasson
838547	17756	Constance
838547	51975	Matron
838547	68695	Mrs. Haley
838547	92147	Mrs. Burnette
838547	105689	Mrs. Random, Sr.
838547	168119	Townswoman
838547	178761	
838547	190179	
838547	194209	Mrs. Collins
838547	199466	Nurse
838547	232419	Mrs. Prescott (Mrs. S.P. at S
838547	263555	Lady Lucas
838547	284916	Farmer's wife
838547	295282	Mrs. Bixby
838547	300063	Landlady
838547	321390	Wardrobe woman
838547	329072	Mrs. Gaytes
838547	329538	Woman
838547	330212	Betty's mother
838547	330384	Mother in Montage
838547	343206	Mrs. Stresemann
838547	367919	Sadie, Old Maid in Powder Roo
838548	78176	Female Security Guard
838550	5526	
838550	39757	Sophie Winnington
838550	88857	
838550	103444	Barbara
838550	109776	Sandra
838550	144968	Molly Kellner
838550	150769	Olive Bax
838550	203217	
838550	204800	Susie
838550	271338	Jacqueline
838550	289794	Margharita
838550	316218	Lorna Ryland
838550	349985	Helga Ahlen
838551	391835	Talking head/soundbites (segm
838552	72931	Goodyear Chorus Girl
838553	241104	Conductress
838554	182977	Dinner Guest
838555	306923	Herself
838556	276439	ICU Nurse
838557	161984	
838557	193775	Janie
838557	256622	Daughter
838557	289452	Lindsay Manning
838557	319568	Nancy
838558	241940	Lead Dancer (herself)
838559	2525	Herself - Presenter
838559	2560	Herself - Co-presenter: Best 
838559	3683	Herself
838559	7418	Courtney Patterson
838559	11502	Sarah 'Salome' Davis
838559	13911	Herself
838559	41987	Stephanie Rawlins
838559	42308	Carol Sanders
838559	42337	Herself
838559	43353	Lois Brennan
838559	45867	Karen Brace
838559	46777	Carol Warren
838559	49975	Maria Christina Colton
838559	53732	Herself
838559	56276	Lory Austen
838559	56747	Maggie
838559	61265	Ruth Hefferan
838559	72458	Cassie Barrett
838559	74216	Liz Taggart
838559	80947	Pauline
838559	93669	Jenny
838559	96555	Herself
838559	99304	Herself
838559	109868	Ellen Cooper
838559	126340	
838559	127075	Anna Muir as a Child
838559	128251	Susan Daniels
838559	133770	Maggie DuBois
838559	134091	Susan Matthews
838559	136509	Louise 'Gypsy Rose Lee' Hovic
838559	138848	Bit Part
838559	139698	Cameo appearance
838559	143643	Herself
838559	154932	Herself
838559	156841	Herself/Debbie Edwards (from 
838559	160336	Daisy Clover
838559	164605	Phyllis Lawrence
838559	165282	Herself (Giant premiere)
838559	165285	Herself
838559	171134	Barbara Blake
838559	177674	Monique Blair
838559	185397	Mari Thompson
838559	196181	Angie Rossini
838559	206069	Marjorie Morgenstern
838559	210654	Eva/Claire Ryker
838559	212025	Tatiana Nikolaevna Donskaya
838559	214967	Susan Walker
838559	224729	Herself
838559	230303	Nancy 'Nan' Hayward
838559	233934	Polly Scott
838559	238613	Herself (with Robert Wagner)
838559	241309	Seely Dowder
838559	244932	Penny Macaulay
838559	251785	Ellen Prendergast
838559	252163	Penelope Elcott
838559	252167	Herself
838559	273633	Judy
838559	274508	Judy (alternative 'Rebel With
838559	280054	Herself
838559	281811	Sally Burke
838559	291513	Bean McGill
838559	291964	Debbie Edwards (older)
838559	295616	Helen Gurley Brown
838559	301941	Helena, as a child
838559	313517	Gretchen
838559	330866	Alva Starr
838559	335329	Margaret Ludwig
838559	359471	
838559	361688	Maria
838559	365827	Herself
838559	389411	Karen Holmes
838559	402126	Ann Morrison (1953-1955)
838560	407314	Polly
838561	404974	A girl (in "Caroline et ses c
838562	1792	Miss April 1993
838562	257651	Miss October
838562	257817	Herself (Miss April 1993)
838563	8207	Herself
838564	92574	Moira
838564	199127	Kathleen Muldoon
838565	281923	
838566	12185	Eva McElwyn
838566	46777	Grace Apley
838566	52431	Ethel Francis
838566	93101	Lucy Allerton
838566	138282	Ernestine Yates
838566	151191	Olga
838566	165172	Meg Whiteoaks
838566	200472	Mrs. Payne
838566	278274	Nurse Wayland
838566	309634	Mother Abbess
838566	313320	Miss Phillips, Central Castin
838566	315718	Naomi
838566	367974	Brigitte
838566	396641	Marta "Mama" Hansen
838566	400236	Dr. Kate Nolan (1969)
838567	41490	Mrs. Woods
838567	178224	Mrs. Chowney
838567	233528	Woman in newsagent's
838567	241813	Lady in hospital
838567	257109	Belle
838567	379387	Vera Poling
838567	384092	Mrs. Warner
838567	388895	Nanny
838567	395647	Mrs. Le Breton
838568	156919	Daughter
838568	400696	Princess Beatrice (1990)
838568	411850	
838569	7684	Shelly
838570	29673	Zarla
838570	117773	Barmaid
838570	207132	Angel
838570	321632	Gay Club Patron
838571	15231	Radio Slut
838571	232242	Waitress
838573	411809	Nurse Kate Rhodes (1978-1982)
838574	321793	Pearl
838575	349121	Nurse Rose Murphy
838577	311223	Herself
838579	303555	Florence Page
838580	305401	
838581	122968	At store
838582	185684	Sarah
838582	291922	Stacy
838584	226758	Young Rose
838584	229629	Ruthie Lovell
838585	977	Cathy Stevens
838585	105618	Lisa
838585	213052	High Powered Agent
838586	360064	Sarah
838586	364368	Girl at Party
838587	16796	Host
838587	88465	Host
838587	382714	Herself (2002-2003)
838587	382872	
838587	391840	Presenter
838587	408393	Presenter
838588	117115	
838589	176487	Girl at Party
838590	263591	Dowager
838591	303830	
838592	148316	Raymi
838593	97388	Dancer
838593	230112	Tara
838594	6906	Plunger Girl
838594	238687	Sally
838595	63031	
838595	259284	Earline Carson
838595	296552	Bonnie
838595	381432	Rachael Baxter (1979-1980)
838596	131717	Student
838597	6907	Millie
838597	257580	Photo model
838597	282037	Nurse
838597	346086	Sally
838598	287509	Nurse Alice
838599	29870	Herself
838599	260432	Herself
838599	401875	Herself - Bardot (2000)
838600	389088	Jenny Taylor
838601	389631	Co-hostess/T-Dub
838602	78141	Jonathan
838602	121374	Muffin
838602	191762	Dancer in Bar
838603	336577	
838603	404879	Additional Voices
838603	408893	Additional Voices
838604	11198	Herself/various characters
838604	23935	Herself
838604	42382	Herself
838604	42383	Herself
838604	47207	Herself
838604	61784	Sophie
838604	68026	Herself
838604	68109	'Fiona' in Victoria Wood As S
838604	68111	Herself
838604	87470	Herself
838604	90367	Herself/Host
838604	170437	
838604	229130	Maureen
838604	229135	Herself
838604	232018	Various
838604	247905	Herself/Host
838604	250448	Margaret
838604	292599	Herself
838604	323799	Maureen
838604	353490	Herself/various characters
838604	353491	Herself
838604	362000	Wetty Hainthropp
838604	365991	The Tea Lady
838604	379181	Berta
838604	381935	Presenter
838604	386386	Brenda 'Bren' Furlong
838604	405558	Herself/various characters/na
838604	406904	
838604	407949	Co-Presenter (1977-1979)
838604	410079	Victoria
838604	410080	Herself/various characters
838604	411388	Various Characters
838605	190337	Oboe
838606	84247	
838606	135513	Bubbles
838606	166693	Lulu Belle
838606	183684	Audrey
838606	202947	Ingrid's Girl
838606	202982	Ellen Rennell
838606	272235	Mrs. Purcell
838606	311230	Blond Beauty #2
838607	33644	Miss Anderson
838607	134074	Leader of Trio
838607	138659	Mrs. Ibbertson
838608	26563	Narrator
838608	120026	Charlie's Mom
838608	293126	Woman In Bathroom
838609	336327	Marianne Duval
838609	359872	
838610	278247	Doctor
838611	274245	Sarah Taylor
838612	102578	Evelyn
838612	137463	Doreen Madison
838612	301929	Child
838613	107228	Mme. D'Ava
838614	389722	Mermaid #2 (1996-1997) and Gi
838615	73787	ADR Voice
838616	248875	Florist
838617	382289	Minh
838618	78777	Watson's Secretary
838619	157196	Herself
838619	181689	Herself
838619	219785	Herself
838619	362346	Herself/Presenter
838619	363011	Herself
838619	410880	Presenter
838620	1781	Herself - Presenter
838620	2797	Herself
838620	2909	Herself
838620	10929	
838620	11414	Narrator
838620	13588	Kariha Ellsworth
838620	13888	Narrator
838620	26395	Rachel
838620	32243	Miss Josephine
838620	41693	Jessica Filley
838620	41739	Lavada McRae
838620	44191	Rosie Mangena
838620	48039	
838620	57672	Herself
838620	61611	
838620	71606	Narrator
838620	73703	Carolyn Carmichael
838620	73753	Geechee
838620	87009	Plio
838620	92150	Loretta Sinclair
838620	92583	Grace
838620	98807	Narrator
838620	106461	Patricia
838620	116509	Evey
838620	116981	
838620	117809	Det. Anne Pope
838620	119583	Katie
838620	121859	Joyce May
838620	129820	Esther
838620	132756	Jane
838620	135727	Queen of Brobdingnag
838620	135812	Attorney Ann Orkin
838620	137491	Narrator
838620	141109	Sally Benbow
838620	141164	Penny Washington
838620	147530	Wanda
838620	151625	Marianna
838620	168539	Polly/Narrator
838620	171700	Claudia Villars
838620	176939	Mattie
838620	182966	Adrianne Moore
838620	194963	Dr. Allen
838620	195262	Camille Wright
838620	202196	Narrator
838620	203955	Winnie Mandela
838620	210503	Berenice Sadie Brown
838620	215524	Eunice Evers
838620	215527	Popeye Jackson
838620	220008	Mary Thomas
838620	222292	Lily
838620	228128	Narrator
838620	232271	
838620	254995	Berniece
838620	263331	
838620	263740	Judge Miriam Shoat
838620	270386	Harriet Tubman
838620	270607	Principal Daniels
838620	275448	Rita
838620	277637	Rhody Poole
838620	291495	Grace Cooley (Frank Cross' se
838620	291971	Herself
838620	292797	
838620	302710	Chief of Staff
838620	309047	Evelyn Evers
838620	310526	Various
838620	310624	Tamara O'Neil
838620	313419	Lily Sloane
838620	314015	
838620	314427	Dr. Sandlin
838620	321281	Vicki Teague
838620	339406	
838620	341620	
838620	342764	
838620	345728	Reader
838620	346286	Host
838620	347446	Maude DeVictor
838620	362493	Audrey Williams
838620	365458	Akela (Cheetah Mother)
838620	366680	Clara
838620	367068	Host
838620	368248	Claudie
838620	383160	Narrator
838620	383802	
838620	386414	Herself
838620	390998	Winoome Bear
838620	401181	Narrator
838620	404300	Rozalyn Dupree
838620	406319	Dr. Roxanne Turner (1985-1987
838620	409021	Marcia Fulbright
838620	411517	Mrs. Whatsit
838621	195576	Woman at Counter
838622	392858	Herself - Reporter
838623	87891	Coffee Shop Waitress
838624	81789	Boxing MC
838625	348402	Wife in Park
838626	8962	Herself
838626	16968	Floor Nurse
838626	20603	Kate
838626	26478	
838626	48896	Doosie
838626	64117	Cindy
838626	72468	Jasmine
838626	73989	Tituba
838626	76220	Mildred Muhammad
838626	106493	Angel Kosinsky
838626	129944	Chandra
838626	137223	White Boys
838626	139073	Winona Lockhart
838626	140843	Cindy
838626	155453	Dancing Secretary
838626	212027	Janice Farrell, Ch. 3 News
838626	214090	Jean Swift
838626	241375	Cheryl Clark
838626	283341	Gail Devers
838626	319270	Loretta
838626	336753	Det. Duvall
838626	342683	Lola
838626	345690	Elijah's Mother
838626	360745	
838626	385824	Desiree McCall (1991-1992)
838627	83561	Cheetah's Dancer
838628	158920	Guard
838628	203786	Faculty Member
838628	208326	Maitre d'Hotel
838629	260679	Flock Member
838630	273197	Herself
838631	2478	Karoon
838631	69137	Russian Olympic Athlete
838632	168624	Mrs. Naylor
838633	204730	Ballroom Dancer
838633	276386	Court Dancer
838634	228312	Herself
838634	392166	Herself - Clean Queen
838634	408528	Presenter
838635	7996	Rain
838636	267595	Landlady
838637	8948	Prostitute
838637	115713	Lavonda
838637	245277	Josie Von Flugel
838637	288050	
838637	335150	Cynthia
838637	378753	Dianna Bendetto
838637	384962	Gina Rossi (1982)
838637	399129	Herself
838637	399130	Susan Kennedy/Smith (1994-)
838637	400991	Marie
838637	402197	Julie Egbert (1985-1986)
838637	411809	Nurse Maggie Gordon (1980-198
838638	1996	Woman
838638	119803	Model
838638	296838	Molly
838638	308382	Raider
838638	310159	Professor's Daughter
838639	201794	Herself
838640	349631	Blonde
838641	77767	Nurse
838641	104352	Girl at Shower
838642	8184	
838642	136951	Liza
838642	147610	Coco Dupree
838643	41329	Shrike member
838643	300180	Goddess Dancer
838644	142124	Mrs. Marshall
838644	160937	The Archduchess
838645	249557	Nurse Patchett
838646	10461	Aicha
838646	12770	Pearl Mussendorfer
838646	18197	Half-caste dancing girl
838646	20549	Claire Lorrison
838646	30224	Dolly
838646	41930	Flo
838646	44749	Red, the bar-girl
838646	46608	Brenda Starr
838646	46748	Little Queen
838646	47088	Gloria
838646	49238	Helen Brennan
838646	52536	Girl Crossing Street
838646	59601	
838646	59616	Leah Manning
838646	59618	Marie Collins
838646	59867	Hazila
838646	64359	Therese Brahm
838646	67845	Melinda Little
838646	69431	Mona
838646	71562	Dancing Girl
838646	72611	Barbara Lang
838646	78168	
838646	83916	Sundown
838646	92425	Margie Dove
838646	96646	Dolores
838646	98151	School Girl
838646	112439	Marie Russell
838646	114857	Poppy Rand,aka Poppy Nightlan
838646	116443	Bar Girl
838646	118041	Rita Marlowe
838646	129836	Melody
838646	130028	French Woman in Elevator
838646	139214	Maria
838646	139525	
838646	143589	Margie Burke
838646	143609	Bit Role
838646	143610	Bubbles LaRue
838646	154290	Geri
838646	154900	Valencia Duncan
838646	157869	Dolores Casino
838646	177521	Barbara Winslow
838646	191273	Ann Merwin
838646	192717	Billie Hilton
838646	192743	Edith Crumwell
838646	193369	
838646	194868	
838646	196864	Elsie
838646	203015	Ann Weston
838646	210404	Bit Role
838646	213111	Chiquita
838646	224784	Nurse Lila Haines
838646	232224	Marge Dexter
838646	234211	Replacement Dancer
838646	235218	Kate Owens
838646	239347	Dancer
838646	241327	Girl
838646	248084	Rita Adams
838646	254486	Barbara Mason
838646	255341	Herself
838646	277891	Dolores
838646	280496	Gloria
838646	300515	Maria
838646	308299	Bit Role
838646	308631	Lolita Maria Dolores Del Vall
838646	319215	Vera Martin
838646	319501	Doris Duane
838646	321379	Kitty Leslie
838646	327672	Babe
838646	327685	Korah's Wife
838646	329947	Margot Whitney
838646	330165	Toto (French girl)
838646	333370	Gadra
838646	342951	Lois Morgan
838646	363552	Nora Parker
838646	363735	Antoinette 'Toni' Vigran
838646	366915	Secretary
838646	370536	Nancy Brooks
838646	370566	Mary Mason
838646	372109	Amy Duncan
838647	69812	Woman Lawyer
838647	142597	Dinner guest
838647	163961	Guest
838647	183406	Chorus girl
838647	188511	Question Lady
838647	188547	Model
838647	237008	Wellman College Alumni
838647	295608	
838648	149198	Girl in Convenience Store
838649	263957	Linda
838650	86719	
838651	9753	Vivian
838651	41530	Sharon
838651	63489	Gaynor
838651	208632	Tilda
838651	411199	Jo
838652	381910	Herself (Series 2) (2001)
838653	143868	Jessica
838654	259360	Woman in Bakery
838655	44188	Marion Hendricks
838655	49371	Senorita Tangerine
838655	142357	Jan
838655	162331	Nurse Fleming
838655	163350	Olive Stone
838655	219747	Daisy Arrow
838655	233934	Doris Weldon
838655	308175	Phyllis
838655	311033	
838655	312042	Bit
838655	313919	Girl
838655	363249	Linda Reynolds
838655	365071	Miss Sheldon
838656	16042	
838656	19797	Eugenie
838656	22826	Mrs. Canfield
838656	27152	Mrs. Strawn
838656	30255	Carry Lansing
838656	49393	Mrs. Mason
838656	54133	Ruth Milburn
838656	69460	Miss Seabury, chief fur sales
838656	75477	Mrs. Benson
838656	88891	Sally Gateson
838656	93240	Receptionist
838656	105233	Mama Berne
838656	114947	Mrs. Cruickshank
838656	117485	Mary (Joe's secretary)
838656	117926	Martha Woodling
838656	118719	Jane Woodworth
838656	125884	
838656	129860	Mrs. Arnold
838656	133671	Zee James
838656	135930	Emily James
838656	137393	Mrs. Benson, in 'Curly'
838656	145076	Miss Smith, Head Nurse
838656	148550	
838656	154595	Mrs. Zee James
838656	168119	Woman with baby
838656	183863	Dolores
838656	186815	Mrs. Hamilton
838656	191624	Margaret Owen
838656	192030	Secretary
838656	214059	Mrs. White
838656	220779	David's Secretary
838656	223943	Red Cross receptionist
838656	224614	
838656	230435	Capt. Smith
838656	255327	
838656	274341	Nurse
838656	276691	Ann Woodson
838656	276724	
838656	281811	Mrs. Hadley
838656	286846	Mrs. Morey
838656	292568	Nurse
838656	295280	Mrs. Doyle
838656	300158	Mrs. Charles Maynor
838656	301981	Townswoman
838656	305498	Girl
838656	312831	
838656	313517	Peggy Morgan
838656	313916	Carrie Willoughby, pianist
838656	316462	Mrs. Shea
838656	318160	
838656	342810	Mrs. Hewitt's Photograph
838656	347724	Roslyn Wright
838656	361837	Mrs. Stephen
838656	365071	Miss Shelton
838656	365433	Abigail Light
838657	37022	Bodine
838657	49621	Bunny
838657	68419	Linda Donovan
838657	122772	Heather
838657	133508	Bunny
838657	281470	Heather
838657	342506	Neva Gordon
838657	367486	
838657	401346	Roberta Josephine 'Bobbie Jo'
838658	62422	Young Julia
838659	12295	News Reader
838660	348754	Lahla
838661	190854	Erma
838662	330375	
838663	223064	Secretary
838664	141683	Doris Smith
838665	98904	
838666	1056	
838666	94258	Lise
838666	357757	Miriam
838666	390725	Helén Cedervall
838667	183722	Wedding Dancer
838668	86542	Ellen Stout
838669	138716	Herself
838669	335934	Herself
838669	383644	Host
838669	386955	Host
838669	388212	Presenter (1986-199?)
838669	390338	Herself/Book Reviewer (1996-2
838669	391252	Herself
838669	408424	Host
838669	410722	Herself - Celebrity Special #
838669	411396	Host
838670	10305	Miss Welland
838670	292249	Lew Seffer's Secretary
838670	339411	Publisher
838671	224681	Sandy
838672	209225	
838673	408717	Herself
838674	385613	Young Matildan
838675	119025	Party Girl
838676	278970	
838677	393261	Herself
838678	163203	Julie the waitress
838679	10884	Emily Francisco
838679	10885	Emily Francisco
838679	10886	Emily Francisco
838679	10887	Emily Francisco
838679	10888	Emily Francisco
838679	10889	Emily Francisco
838679	41393	Lauren
838679	42727	Deborah
838679	90942	Tammy
838679	101053	Cathy
838679	108333	Margaret #1
838679	118702	Sue Baker
838679	118705	Sue
838679	185714	Young Lydia
838679	326760	Andrea
838679	342405	Vanessa
838679	363247	Penny
838679	365868	Amber Heath
838679	379671	Emily Francisco
838679	386650	Rosa
838679	401930	Janelle #1 (1999)
838679	406952	Sara Cummings #1 (5/3/1998-5/
838679	411802	Brittany Hodges #2 (2000-)
838680	160876	The Notary's Wife
838680	276826	Juno (The God)
838681	263339	Other Pretty Maids
838681	351441	Cliff's girl
838682	374589	Swimmer
838683	116050	Sal
838683	121528	Partygoer
838683	305990	Yvonne Burgess
838684	390523	Carlene Joseph (1997-1998)
838685	257055	California "Cali" Ford
838685	275872	Little Girl
838686	254522	Female Masquerade Dancer
838687	163286	Mary, age 12
838688	385965	Claire Dubois
838689	335321	Nurse
838690	69639	Young Connie
838690	287727	Abby
838691	381886	Herself - Newsreader (2001-)
838691	393153	Newsreader (2002-)
838691	403325	Newsreader (2002)
838692	131727	Alex, the blonde
838693	128891	Christine
838694	296107	Nicole
838695	203143	Polly
838696	68901	Alice
838697	53726	
838698	364536	Gladys Jerome
838699	73899	Clair
838699	81332	Gloria
838699	313828	Terry's Secretary
838699	318695	Waitress
838699	380592	Ms. Buxton
838700	275890	
838701	186843	Maid
838702	341960	
838703	366992	DC Caroline Murphy
838704	232322	Margie Benson
838705	11319	
838705	37152	Sylvia Craigen
838705	43259	
838705	47257	Barbara Manning
838705	141987	Olivia Martindale
838705	143862	Caroline Austen
838705	162871	Dorothy Arden
838705	164762	Doria
838705	185745	Katrina
838705	187042	
838705	250392	Cora Manice
838705	253125	Mary Haines
838705	312900	Stevens' wife
838705	332429	Helena Gerard
838705	360561	Janice Lane
838705	366321	
838706	294141	Everett's Mother
838707	366428	Mrs. Marmaduke
838708	21775	
838708	245151	Undetermined Role
838708	355223	Child
838709	389441	Herself/Host (1984-)
838710	41454	Tracy Hathaway
838710	123229	Ali
838711	194917	
838712	29888	Lois Rice
838712	37788	Bev Morrow
838712	37883	Beverly Morrow
838712	62536	Lisa Clements
838712	71867	Co-worker
838712	72191	Becky
838712	113603	Dreems Girl #6
838712	117188	Marlene
838712	121785	Liz
838712	166471	Woman in Car
838712	183357	Terry
838712	224064	Margaret
838712	253356	
838712	313583	UFO follower
838712	315243	Felicity
838712	323611	Alice
838712	368224	Amy
838713	183785	Herself
838714	360251	Daughter
838715	77685	Mary
838716	139450	Tammy
838717	262591	Fetish Nun
838718	283351	Photo girl
838719	232458	Tina's Mom
838720	13792	Mrs. Cleave
838720	133831	
838720	135555	
838720	143340	Eleanor Dutton
838720	160937	Agnes Sotherton
838720	331705	
838721	90335	Mrs Beech
838721	282921	Mrs. Shearer
838721	283396	Mrs Milligan
838721	316028	Mildred
838722	39191	
838723	26921	
838723	31318	
838723	33259	
838723	77147	
838723	81797	
838723	81839	
838723	85824	
838723	87154	
838723	109526	
838723	158595	
838723	158598	
838723	230646	
838723	234842	
838724	405640	Sara
838725	282390	
838726	242091	Ruth
838727	320963	
838728	405209	Elisa Masen (2000)
838729	64461	Yoyo
838729	69462	Hillary
838729	77673	Kelly
838729	80630	Amelia E
838729	82551	Julie
838729	115252	Cindy
838729	118994	Marcia
838729	127325	Kate
838729	151007	
838729	154183	Catherine Blackstone
838729	160408	Terri (segment "Brush Strokes
838729	171138	Danielle
838729	275996	Woman in Elevator
838729	328608	Sharon
838729	360032	Annabelle Lee
838729	360536	Baggage Claim Agent
838729	365223	Kathleen Flanagan
838729	387303	Eve Sinclair
838729	391947	Diane Szalinski
838730	251347	Herself
838731	336723	Alice
838733	252229	Screaming Showgirl
838734	329527	Model
838735	110974	Mrs. Davenport
838736	175175	WAC
838736	313301	Dancer
838737	264157	Princess Nicole
838737	271344	Audrey's Friend
838738	60342	Debbie
838739	187218	
838739	334409	Melanie
838740	42087	Aunty Patsy
838740	47799	Cislyn
838740	97410	Eddie's Aunt
838740	168295	The Roach Chorus
838740	231776	Secretary
838740	314484	Rose
838740	321126	Helen Minton
838740	400849	Mrs.Wilcox (1995)
838741	128254	Betty Short
838741	239037	Molly Farringdon
838741	258914	Matron's Assistant
838742	391835	Talking head/soundbites (segm
838743	215665	Miss Teen Texas USA 1996/Miss
838743	379926	Herself (2nd Place)
838743	399213	Rowena
838745	64382	Lucy Morrell
838745	126067	Chorine
838746	117362	Trish
838746	232099	Lulu
838747	248878	Nicole, Girl at Camp
838748	196347	
838749	53183	
838750	276731	Passenger
838751	87411	Disgruntled Mother
838751	184854	Mum
838752	90316	Body #2
838753	211382	Nurse in Elevator
838754	155559	Mrs. Endicott
838754	287741	Bridget, the housekeeper
838755	254774	Mohawk
838756	308344	Wife
838756	364300	Herself
838757	151108	Louette
838758	101061	Simpson
838758	266382	Jazzsinger
838758	325609	
838758	369150	Liza
838758	376311	
838759	126067	Chorine
838759	317354	Student
838760	6908	Margaret
838761	299724	Mrs. Colin Livien
838761	314445	Woman on cell phone
838762	44876	Mrs. Richardson
838763	190184	Herself
838764	73928	Old Woman
838765	13457	Antiope
838765	319729	High Priestess
838766	408880	Brady (series 2-5)
838767	52095	
838767	116278	The Little Doctor
838767	271242	Magnolia
838767	301638	Sheriff's Wife
838769	2266	
838769	11107	
838769	60795	
838769	140940	
838769	361876	
838770	64069	Cinderella
838770	87769	Cinderella
838770	240650	Talent Show Winner
838770	399985	Herself
838771	176897	Girl 1
838772	75030	
838773	8216	Judy Remson
838773	23641	
838773	101829	
838773	107185	Narrator
838773	141710	Sysop voice
838773	192015	(English version)
838773	281423	
838773	286261	Narrator
838773	359270	Nurse Jackson
838773	368023	
838773	385783	Lisa
838773	388067	Kelly Kincaid
838773	393262	Mommy
838773	395719	Voice
838773	395737	Lulu (Later episodes)
838773	397969	Miss Cassandra (1988)
838773	399430	Kelly Kincaid
838773	411202	Yaya
838773	411378	
838774	75195	
838775	82266	Suzie Franklin
838775	277071	Gail
838775	321657	Toby
838775	331048	Sister
838775	367444	Martha Robinson
838776	87696	Young Mo
838777	63013	Diane
838778	366645	Zombie Chick
838779	190379	Christian's Mother
838780	96834	
838781	80702	Female Student
838782	360010	Beautiful woman
838783	127730	Vikings Dance Squad Member
838784	16761	
838784	36405	
838785	26381	Catherine Messer
838785	27342	Aunt Margaret
838785	52554	Lesley Woods
838785	67348	Carol Knowlton
838785	89126	Velma
838785	90250	Ethyl
838785	162602	Claire James
838785	185459	Nurse
838785	190440	Mrs. Sharpe
838785	195585	Mrs. Townsend
838785	202982	Ma Barrenger
838785	222657	Reah Robinson
838785	236873	Grandmother Blaine
838785	252481	
838785	280192	Myrna Emmanthaler
838785	282920	
838785	283538	Charlene's Mother
838785	313756	Gladys Madison
838785	328839	Lady Mayor
838785	348651	AuPairs
838785	363873	Pat Nixon
838785	368546	Martha Jones
838785	379716	Betty Wilson (1984)
838785	382419	Helen Logan (1987-1989, 2001)
838785	382770	Isabel Jones (1971-1972)
838785	385594	Amanda Ewing #1 (1980)
838785	385824	Dorothy Kelly (1978)
838785	385919	Mrs. Hudson
838785	387309	Evelyn Dark (1964)
838785	388237	Mrs. Miller (1985)
838785	388862	Miriam Bentley (1964-1966)
838785	389858	Mrs. Edna Hadley (1977)
838785	399837	Vivian Gentry (1965-1967)
838785	403281	Zoe Tate (1972-1974)
838785	404613	Andrea Whiting #1 (1967)
838785	404694	Evelyn Dark (1960's)
838785	411811	Claire Bannister Steele (1959
838786	390523	Madelin Tanner (1979-1980)
838787	267608	Herself
838788	101429	Hotel receptionist
838789	302772	Neck Meat
838790	365665	Chinese Voices
838791	347300	Alley extra
838792	336730	
838793	212084	Mrs. Carter
838794	95269	Kay Smith
838795	150454	Castoria
838796	176897	Lady Bartender
838797	126511	Alicia Westgate
838798	304320	Tim's Sister
838799	367970	Goldwyn Girl
838800	258188	Kay
838801	19024	Soloist #3
838802	355669	Nurse #2
838803	31053	Lahrri Feldnunt
838803	45009	Newscaster
838803	49715	Commander
838803	63711	Prostitute, Nurse
838803	63712	Nastasha/PA System voice/Comm
838803	182499	Newscaster
838803	182706	Major Motoko Kusanagi
838803	199109	Additional voices
838803	217377	Jennifer (English version)
838803	299125	Shayla-Shayla
838803	373384	Police Secretary
838803	381401	Lahrri Ferdnund (ENG)
838804	238683	
838805	29745	Rhonda Watts
838806	133706	Myrtle
838806	154087	Old woman
838806	231108	Montclare Resident
838806	289217	Song Mimer
838806	305148	Grandmother in Church
838806	367724	Miss Inchley
838806	392688	Myrtle/Granny Davis
838806	395225	Tony's Grandma (1992)
838806	399130	Liz Anderson (1989)
838807	35353	Susan Ford
838807	62007	Cherry White
838807	158338	Madeline
838807	241555	Diane Lundahl
838807	361163	Beth
838807	384104	Cherry White (1988-1989)
838809	92510	Little Girl on Street
838810	280208	Herself
838811	83961	Baby Sitter
838812	130713	Ishtar
838813	32626	Mary Morrison
838813	47875	Bernice
838813	54749	Loretta
838813	70302	Rayleen
838813	72759	Wilma
838813	84399	Mrs. McGill
838813	120520	Christina
838813	137223	'Aquarius' soloist
838813	166879	Elvira Jonson
838813	169918	Hollie Glass
838813	170562	Jackie
838813	206524	Centaur Operator
838813	232861	Barbara
838813	252222	Nikki
838813	252853	Herself
838813	310417	Jim Dandy singer
838813	369492	Jo
838813	372803	Sybil
838813	403728	Fanta
838813	410713	Donna
838816	245889	Doll Artist
838817	120126	Girl in shower
838818	42276	Gloria
838819	410931	Model (February-April 1953)
838820	65695	Herself
838820	89277	Sally Evans
838821	405207	Hostess
838822	126109	Herself
838823	321086	Beggar Woman
838824	176897	Girl 2
838825	168258	
838827	76216	Basketball Kid #2
838828	364729	
838829	58002	Waterfall Girl
838830	50333	Linette Peasley
838830	54749	Ken's date
838830	316142	The Real Miriam
838831	252402	Pet
838832	39168	
838833	162302	Poule with balcony
838833	235509	Indian Maiden
838834	343145	Judy
838835	347126	
838836	64797	Reporter Carol
838837	99075	Eli's Classmate
838838	345952	Computer voice
838839	41604	Herself (Victoria Woods)
838839	110918	
838839	326733	
838840	102739	
838841	253059	Bobbi
838842	74267	Mery
838842	78084	Woman Customer #A
838842	117209	Hattie Singer
838842	120806	Mrs. Shannon
838842	192413	Boston Matron
838842	244447	Matt's Mother
838842	281463	Club Woman
838842	300961	Mrs. Kenyon
838842	333855	Ida Strauss
838843	49656	Playboy Bunny
838844	134156	The Girlfriend
838845	218152	Calvin's Agent
838846	42785	Vera
838847	8021	Female Rebel
838849	48948	Mrs. Pickle Nickle
838850	104357	Musician
838851	34384	Doshan
838852	327298	Sock Hop Dancer
838853	39524	
838854	175139	Pam
838855	35265	A young old lady
838855	49673	Mrs. Drummon
838855	76549	Mrs. Audrey
838855	118313	Lodgekeeper's Wife
838855	127728	Annabel Wainwright
838855	177983	Maid to Gulnar
838855	181656	Eliska
838855	211426	Mrs. Leadbatter
838855	213189	Martha
838855	239689	Mrs. Caldwell
838855	281854	Madam Chartreau
838855	282296	Mrs. MacPherson
838855	308590	Mary Tilden
838855	332108	Mrs. Standish
838856	106240	Mrs. Rogers
838857	175613	Margarite Buckner
838858	19426	Barbara Brand
838858	39534	Louella
838858	46962	Elsa
838858	66179	Jane Ardfern
838858	73691	Elena
838858	106354	Sally Norman
838858	110273	Ingrid Dorne
838858	141097	Claire Parlini
838858	159595	Mary Johnnoe
838858	175099	Amy
838858	191065	Betty Gow
838858	249624	Nina
838858	261416	Mrs. Cooper
838858	363508	
838858	364832	Paula
838858	365151	Sarah
838858	385824	Marie Horton #2 (1977)
838858	403317	Mrs. Cameron
838859	131232	Extra
838860	1168	Margaret Harris' assistant
838860	99043	Lucy
838860	201153	
838860	400516	Alison
838860	401432	WPC Jane Morton (1997)
838860	406079	Officer Aurelia Took
838860	408191	Lizzie Rowan
838861	64420	
838861	114288	Pool Table Girl
838861	178171	
838861	247557	
838861	301666	Patricia
838861	326188	Samantha
838861	360703	
838862	150184	Tiffany
838863	7884	Beautiful Woman
838863	80779	Nancy Costillion
838863	88652	
838864	68728	Field Reporter
838866	385299	Dorrie Stewart
838867	75059	
838867	91760	
838867	128156	
838867	372712	
838868	20913	Narrator
838868	261650	Mrs. Sykes
838869	253819	Twins' mother
838869	314103	Trish
838869	363886	Madeline
838870	385020	Sophie Webster (II) (1997-200
838871	13304	Cousin Hepzibah
838871	35180	Mrs. Ashburn
838871	54369	Mrs. Peasley
838871	96811	Mrs. Hare
838871	96948	
838871	131440	Barbara's Mother
838871	133907	Aunt Mercy
838871	144618	Mrs. Overton
838871	155901	Mrs. Perch
838871	175606	Ma Stallard
838871	185456	Lucy's mother
838871	203764	Harriet Kendall
838871	306752	Mrs. Dean
838871	309554	Hannah
838871	312122	Oleander Berwick
838871	315587	
838871	322594	Aunt Abby
838871	372941	Aunt Jenny
838872	277970	Sue Mason
838873	307881	Ann
838874	175612	Ella Mayhew
838874	190558	The Mystery Woman
838874	223795	Nana
838874	267570	
838875	1821	Herself - Presenter
838875	2257	Herself - Best Actress Winner
838875	2899	Herself
838875	8183	Narrator
838875	11553	Mary Follet
838875	11688	Herself
838875	37103	Mary Meredith aka Ruby
838875	40726	Nell Harrington
838875	46530	Maggie Moran
838875	47379	
838875	53723	Candida
838875	63122	Mildred McCloud
838875	67797	Lola Delaney
838875	71578	Lissy
838875	73479	Elizabeth Huckaby
838875	88656	Barbara Wyatt-Hollis
838875	94020	Iris Devereaux
838875	97726	Herself
838875	97826	Beatrice
838875	100117	Francine Whiting
838875	100893	Jessica Lawson
838875	104968	Narrator
838875	113550	Rhoda Shillitoe
838875	117550	Vinnie Miner
838875	120639	Mary St.John/Mrs. Alfred Eato
838875	121359	Carol Cutrere
838875	130707	Herself
838875	139606	Lilly
838875	161192	Herself
838875	165283	Herself
838875	168496	
838875	168525	Herself
838875	175535	Herself (Honoree)
838875	175540	Herself
838875	177623	Commentator
838875	178027	Dorothy Kingship
838875	194093	Clara Varner
838875	214972	Herself
838875	220775	India Bridge
838875	224049	Narrator
838875	230693	Samantha (Sam) Blake/Mimi
838875	233562	Leola Boone
838875	247037	
838875	248985	Lillian Corning
838875	254645	Sarah Beckett
838875	270446	Rachel Cameron
838875	271689	Grace Oglethorpe Bannerman
838875	286338	Herself (Co-Host)
838875	287311	Herself
838875	293085	Betty Quinn
838875	296726	Beverly
838875	301388	Molly Thomas
838875	309607	Quentin Compson/Narrator
838875	310861	Herself
838875	316768	Carol Schramm
838875	318808	Rita Walden
838875	321746	Dr. Cornelia Wilbur
838875	330194	Dr. Mildred Watson
838875	331354	Eve White/Eve Black/Jane
838875	342232	Herself
838875	366300	Elora Capua
838875	367773	Herself
838875	369178	Geraldine
838875	381111	Herself
838876	264723	
838877	340320	Wilderness Official
838878	284538	
838879	80762	Ashley's Mother
838879	131692	Grandma
838879	158338	Justice of the Peace
838879	238637	
838879	279481	Little Old Lady
838879	289222	Sabina
838879	314631	Poodle Lady
838879	343263	Little Old Lady
838879	384729	Wilma Salzgaber
838880	311523	Girl in Nightclub
838881	14067	Herself
838882	399599	Gilly Sinclair
838883	70899	Renata
838883	159510	(segment "Transa, A")
838883	234627	
838883	389789	Adriana, a Gata
838884	158106	Mandy Colton
838885	405209	Elsie Waitara (1999)
838886	32261	Mrs. McKinnis
838886	40136	Forensic Technician
838886	45498	Female administrator
838886	47586	Suzanna Jardine
838886	62784	Mother
838886	69917	Trauma Doctor #2
838886	80381	Woman Reporter
838886	80784	Lois Green
838886	90402	Judge Conway
838886	112485	Probation Judge
838886	117209	Judge
838886	128505	Elinor Howes
838886	160778	Sarah Templeton
838886	208281	Dr. Roosner
838886	214976	Sue
838886	299897	Psychiatrist
838886	329503	Secretary
838886	331697	Mrs. Patrick
838886	339405	
838886	362690	Realtor
838887	29388	
838888	91888	Leslie
838889	11218	
838890	56923	Sarah Ellison
838890	73115	Young Dorrie
838890	88912	Police Inspector Hilary Ash
838890	113303	DS Brown
838890	150872	Elisabeth Angelo
838890	154102	Leda Fox-Cotton
838891	91490	Fiona
838891	108358	Leigh Dooley
838891	203319	Emma Sharp
838891	336165	Lucy
838891	340864	Young Cherokee Woods (age 13)
838892	63697	Doris
838892	200386	
838893	384587	Beth
838894	123702	Kris' Sister
838895	221112	The Girl
838896	231331	Herself (river accident survi
838897	193618	Young Mum
838898	343185	Anastasia
838899	194564	Lorenzo Michael Murphy Odone
838900	26628	Bit Part
838900	94598	Girl at the ranch
838900	107873	Bit
838900	114729	Circus Member
838900	118320	Bit Part
838900	199217	
838900	208692	Actress
838900	210705	Miss LeClair
838900	212213	Bit Part
838900	212214	Secretary
838900	212215	Cashier
838900	261973	Helen
838901	321820	
838902	11141	Bunny
838902	47350	April Tremaine
838902	47818	Lucy Gibbs
838902	77685	Jane
838902	81658	Nurse
838902	84929	Dolly
838902	84944	Linda
838902	91779	Girl in Wigshop
838902	94617	Marcia
838902	116284	Ann Andrews
838902	157669	Sally Turner
838902	208902	Lucy Gibbs
838902	231317	Margie Blake
838902	262310	Lucy
838902	279361	Alice
838902	286304	Lola
838902	342947	Lucy Gibbs
838902	360123	Eileen
838902	370586	Phyllis
838902	372093	Carol Dix
838903	311923	Women's Shelter Extra
838904	91639	Herself
838904	241578	Lauren Peters
838904	334410	Stacey
838905	102234	Donette Dawson
838905	344432	Additional Voices
838906	109450	Letitia
838906	121541	Mandy
838906	130333	Anna
838906	247435	Dorothy Wordsworth
838906	254889	Linda
838906	290345	Kelly
838906	301618	Rachel
838906	330957	Alice
838906	351431	Shannon
838906	368060	Ruth
838906	368136	Grace Melbury
838906	385819	Paula Sullivan
838906	385820	Paula Sullivan
838906	394453	Susie
838906	397659	Lydgate's Maid
838906	400110	Nancy
838907	91943	Pub Patron 3
838907	238495	Julie
838908	212524	Warden
838908	275889	
838909	243276	Waitress
838910	205824	Diane McShane
838911	245625	Fashion Center Beauty
838912	43545	Rachel
838912	346896	
838913	297764	Parole Office
838914	104681	Princess Diana
838915	150974	Parlour Maid
838915	196372	Miranda
838916	51960	Waitress
838917	7618	Lucy Trent
838917	50499	Female Student
838917	50598	
838917	50979	Lady Wilson
838917	66193	Mrs. Peacock
838917	73855	Mrs. Cavanaugh
838917	80518	Amanda Brewis
838917	118919	
838917	144416	
838917	149444	Molly
838917	151589	Monica
838917	152641	Marjorie Holmes
838917	171178	Louisa
838917	196617	Lily Sutton
838917	226902	Model
838917	300048	Harriet
838917	342435	Janet
838917	348067	Hilary Stacey
838917	379727	Jeanetta Scarry
838917	387533	Margaret Beckett
838917	393491	Daphne Manners
838917	395181	Kathleen Scott
838917	398990	Marie-Louise
838917	402743	Jenny Halley
838917	403201	Felicity ('Flick') Harold
838917	409106	Francesca
838917	409518	Susan Smith
838918	21447	Party Girl
838918	46424	Nurse Rita
838918	86955	Confused Student
838919	28481	Linda Mead
838919	143628	Nurse
838919	158315	The Neighbor
838919	202490	Teacher
838919	302221	Linda
838920	392735	Herself
838921	6825	Screaming
838922	45696	Voice of Liz
838923	220960	Auditioner 2
838923	242815	Club Woman #1
838923	279488	Additional Voices
838923	394392	Foxy Fox, Additional Voices
838924	361025	Receptionist
838926	368675	Julie Vanishing
838927	361611	
838928	41742	Amanda Pratt
838929	26955	Falling Chair Lady
838929	257760	Luncheonette Waitress
838930	67926	Polimena
838930	72031	
838930	301956	Mrs. Buonaguidi
838930	385299	Nita Pelengro
838932	55719	Khasi's wife
838932	69405	Secretary
838932	133858	Lili Weyl
838932	138246	Cell Whore
838932	138248	2nd Cell Whore
838932	168330	Gina
838932	230367	Maria
838932	303386	
838932	350199	Landlords Daughter
838932	385299	Anne Robbins
838932	396912	
838933	97202	Cleaner
838933	132326	Townswoman
838933	222603	Mrs. Dobson
838933	237828	Mrs. Hopkins, housekeeper
838933	274787	Mrs. Berry
838933	329693	Colette
838933	382192	Ellen Blake
838933	385299	Mother Veronica
838933	406677	Mrs. Spencer (First series on
838934	106721	Rosanne
838934	208970	Video Dating Client
838935	347746	Child
838936	290319	Vicky
838937	229456	
838937	231768	Servant
838937	288208	Flower Woman
838938	200521	Smiling Peanut Patron #3
838939	9254	Sarah
838939	47019	Agatha
838939	102641	Princess Lobkowitz
838939	194456	Ellis
838939	312767	Lady Meresvale
838939	351972	Susan's Confidante 
838939	358197	
838939	391194	Arabella French
838939	403680	Cornelia
838939	410672	Lady Julia Monogram
838940	379339	Joanna Robinson
838940	391919	Katey Johnstone
838940	397859	Tiffany Rickenbacker
838941	282439	Susan Ratcliffe
838941	363414	Olivia
838942	104986	Stewardess
838942	276785	Janice Friday
838942	276803	Trisha Sullivan
838943	190091	Aspiring Actress
838944	387533	Diana
838945	408816	Herself (series 2 - 2002)
838946	386272	Little Tracey
838947	69458	The 'Unconfident'
838948	290275	Girl in car
838949	404738	
838950	29310	Sonia Conner
838950	318193	A Patient
838950	367494	Christine
838951	116547	Joseph' mother
838952	274332	Dancer
838953	266554	Tahitian Dancer
838954	3419	
838954	70667	
838954	74567	
838954	120088	
838954	186543	Aunt
838954	209041	Mamá
838954	226365	
838954	287908	Chole
838954	380128	Belinda de Morales
838954	389881	
838954	396244	
838954	397838	Consuelo
838954	401251	Miss Eugenia
838954	404701	
838954	411633	Catalina
838955	64080	Dancer
838956	97654	
838956	222031	
838956	332579	Monica
838956	354841	Lupita
838957	5881	Melanie
838957	17712	
838957	117707	Patient No. 3
838957	134175	Betty
838957	273271	Nadia
838957	337121	Gail
838957	362216	Another Nurse
838958	286356	Herself
838959	106721	Tamra/Chuck's Wife
838960	320100	Helen
838961	164400	Older Sister
838962	87679	Connie Sproutz
838963	32184	
838963	201629	Herself
838963	323698	Herself
838964	406712	Gang member #2
838965	245419	Mrs. Torrence (prologue)
838965	306488	Nurse
838965	365482	Mrs. Breeze
838966	297996	
838967	326604	Girl Attacked on Street
838968	175621	Woman
838968	370890	Herself
838969	336559	Rapunzel
838970	7007	Hannah
838972	349	Leah Shepard
838973	124378	Jackie
838974	124378	Wife
838975	27317	Buckshot
838975	112419	Buckshot McBride
838976	122622	
838977	190490	Maisie as a girl
838977	240993	Vera, as a Girl
838977	369182	Cathy, as a child
838978	45548	Lady on the Street
838979	394318	Regular Performer
838980	392172	
838980	404598	Vera Longman
838981	172213	Groupie
838982	279623	Keyboards/guitar
838983	188420	Fan #1
838984	200470	TAS Representative
838985	200470	Princess
838986	382951	Jessica
838987	259467	Lisa
838987	391604	Nina Teubner (1997-2003) (#1,
838988	378168	Dancer
838989	395964	Lara Penney
838990	40809	Herself
838990	40810	Herself
838991	80726	Kaycha
838991	209527	Angel
838991	241240	Nettie Bower
838992	186290	Claudia Merton
838993	401672	Narrator
838994	9494	Mother
838994	11783	Mrs. Buttermark
838994	93455	Ehefrau
838994	93502	Lore
838994	94303	
838994	105528	
838994	132536	Gräfin
838994	140239	Madame
838994	143513	Jutta
838994	144095	
838994	144167	Dame in Strassenbahn
838994	153110	Frau Müller
838994	172976	
838994	181153	Mimi
838994	188737	Frau Konsul Ruben
838994	197832	Helga Brencken
838994	225143	
838994	272009	
838994	272825	
838994	280799	
838994	282194	
838994	290171	
838994	294089	Frau Kienast
838994	324489	Gladys
838994	325660	
838994	325887	
838994	345897	
838994	347771	
838994	352914	Witwe Knobel
838994	361407	Dirigent
838994	389093	Melanie Czepanek
838994	404457	Miss Silence
838994	412101	Frau Krause
838995	272325	Cathouse Girl #1
838996	305939	Hooker
838997	121533	Lee Taskin
838998	319416	Nun
838999	294786	Secretary
839000	277091	Cheerleader
839001	239414	Dancer
839002	223087	
839003	51471	
839003	105401	April
839003	164193	Sandy Klein
839003	183426	Ricki
839003	223263	Barbara
839003	231997	Pinky
839003	232507	Sally Winters
839003	257434	Herself at the Cocktail
839003	403475	Sarah Blacksmith
839004	1348	Herself
839004	2259	Herself
839004	37571	Charlotte
839004	59313	Arcia Rinslet
839004	87002	Caren
839004	303755	Jenny
839004	400236	Sarah 'Flash' Roberts (#4) (2
839005	359144	Jacuzzi girl II
839006	65683	
839007	139587	Herself (interviewee)
839008	270381	Hat Check Girl
839009	117061	Student
839011	290449	
839012	383217	Co-Host (2001)
839012	389348	Contributor (2002-)
839012	411941	Co-Anchor (2001-)
839013	69695	Zorap, Plasma Spitter, VerLak
839013	181135	Pat Danielson
839014	213133	Sherry
839015	32178	Wardrobe
839015	33631	Wardrobe
839015	90358	Charlie Chan's widow
839015	99165	Mrs. Buzzard
839015	99176	Mrs. Buzzard
839015	108358	Aunt Kate
839015	110998	Dr. Debby Inglefinger
839015	127538	
839015	131852	Principle Miss Maples
839015	177076	Mrs. Rockwaller
839015	180651	Herself
839015	186006	Herself
839015	218592	Herself
839015	218725	
839015	220461	Miss Osborne
839015	236956	Queen Morphia
839015	282537	Herself
839015	297005	Katrinka Muggelberg, Tim's Ic
839015	331907	Mutnedjmet
839015	362475	Cynthia
839015	392038	Regular
839015	393064	Herself/panelist
839015	403834	Regular Performer (1968-1970)
839015	411533	Hopopotamus
839016	367951	Herself
839017	407667	Katy Turner
839018	5057	Fan at baseball game
839018	297190	Long-haired woman in restaura
839019	119555	Rachel
839020	43538	En gatepike
839020	51297	Hilda Torsøien
839020	142772	Fiskerens kone
839020	321996	Josefine Hansen, pleiemor
839020	333014	Kari
839020	341048	En kjerring
839021	166917	SMI Receptionist
839021	347180	Hotel Clerk
839022	10535	Bongo Drum Girl no. 3
839022	164398	Nimna, Member of Great Counci
839022	193624	Voodoo follower
839023	321660	Tracy
839024	366531	
839025	320240	
839026	78379	Madame Lérande
839026	212778	
839026	356528	
839027	163267	Loretta Young Double
839028	188393	
839028	249621	Bit Part
839029	403776	Herself/Bassist
839030	8234	Mrs. Connors
839031	329151	Barbette
839032	5909	Receptionist
839032	16510	Herself
839032	16705	Samantha Vitesse
839032	27218	Hackett
839032	31797	Jean Harlow
839032	40025	Shelley
839032	49656	Miss Renfro
839032	50300	Jane
839032	53957	Sandy Harris
839032	58632	Mary Garritee
839032	60461	Hanoi Hannah/Girl Friend
839032	62705	Mary Bland
839032	64750	Mary Richman
839032	66105	Jezebel
839032	72108	Diane
839032	81247	Calamity Jane
839032	85077	Wanda
839032	97048	Mary Bland
839032	118384	
839032	120412	Doctor
839032	126508	Violetta
839032	126538	
839032	129579	Mrs. Crump
839032	131453	Wilamena LaRue
839032	134321	Attorney
839032	137546	Sister Cecelia
839032	141395	Party House Owner
839032	141816	Policewoman
839032	142527	Dr. Fletcher
839032	142627	Eugene's Aunt
839032	143573	Mrs. Dimwitty
839032	147651	Mary McQueen
839032	147777	Julie
839032	158230	Bartender
839032	161753	Herself
839032	161925	Olivia
839032	164612	Pearl
839032	173718	
839032	175459	Mary Wonderly
839032	178133	
839032	183698	Woman Bankrobber
839032	188227	Quinella
839032	192712	Daisy
839032	194332	Acme VP, Bad Ideas
839032	196284	Camila Stone
839032	213945	
839032	217488	Dr. Klein
839032	219638	Mary Purcell
839032	220164	Kidnapping Wife
839032	220844	Bit Part
839032	222461	Mrs. Dimwitty
839032	228297	Secretary ("Success Wanters")
839032	230857	Lisa LaStrada
839032	232063	Audrey
839032	234677	Dirty blonde
839032	236693	Wedding Coordinator
839032	241241	Arlene
839032	252877	Mom
839032	264206	
839032	264452	Dyanne
839032	279998	Miss Togar
839032	280000	Doctor Vadar
839032	286355	Dancer
839032	291411	Herself
839032	291412	Herself
839032	292815	Aunt Felicity
839032	293643	Mikki Hughes
839032	297097	E. Joyce Togar
839032	300169	
839032	301676	Diane Adams
839032	315889	Dr. Wright
839032	318346	Camila
839032	319526	
839032	321222	Sales Lady
839032	328659	Raquel Putterman
839032	350191	Receptionist
839032	351440	Dancer
839032	359422	Channeler
839032	359906	Dr. Glatman
839032	363365	Woman Tourist
839032	375798	Prunella
839032	388975	Mona Savage (1993)
839032	405882	Stephanie Dillard (1974)
839033	272531	
839034	102789	Second Blonde
839034	154984	Young Couple
839035	411069	Herself (accompanying saxopho
839036	391079	
839037	142889	Pearl (age 7)
839038	128154	Connie
839039	200443	
839040	125880	Mags Raffles
839040	312767	Female Emilia
839041	161051	Kirsten Graham
839041	202399	Mrs. Nelson
839042	113655	Twin in Bus
839043	92865	Infant
839044	92865	Infant
839045	113925	Special Order Girl
839046	22714	Little Girl
839046	206099	Jamie Lee Hastings
839048	113655	Twin in Bus
839049	166871	Saloon girl
839050	337184	lærerinnen
839051	385342	Lucia Jacobs
839052	408242	Kundin
839053	404137	Urara Kasuga
839054	394575	Stacey Lee Balla
839055	132456	Party Guest No. 2
839055	301388	Mrs. Barnes
839055	335799	Shocked Bystander as Tootsie 
839056	105462	Erminda
839056	254522	Female Ensemble
839057	131232	Extra
839058	306500	Susan 'The Witch'
839058	380568	Fifi
839059	303868	Laura
839060	131795	Girl 3
839060	214748	The Attractive Underagers
839061	360727	Barmaid
839062	28544	
839063	32654	Nurse #2
839063	32658	Window Dresser
839063	170843	Lobster Woman
839063	276869	Marsha
839063	382479	Holly Jankofsky
839063	382972	Holly
839063	395573	Holly
839064	382379	Holly (1993)
839065	61388	
839065	66310	Mary's Friend
839065	208913	Prologue
839065	336516	(prologue)
839066	21173	Princess
839066	117314	Girl at Pool
839067	26649	
839067	33782	Claire
839067	47498	Molly
839067	109413	Ethel
839067	110337	Kate Lane
839067	112624	Diane La Farge
839067	122071	Molly Roark
839067	154355	Mrs. Waterbury
839067	190549	Helen Parker
839067	193721	
839067	203405	Martha Murray
839067	210774	
839067	239818	Irene Ryan
839067	240992	Mary Sullivan
839067	258304	Nanette
839067	262318	Edna Jordan
839067	264046	Nancy Hamilton
839067	270471	June Curtis
839067	273781	
839068	346006	Hospital Nurse #2
839069	32762	Maid
839069	124688	Baby
839069	204176	Julia
839070	265873	Renee
839070	277746	Driver
839070	340857	Officer #2
839071	16910	Sylvia Marbe
839071	39448	Vivian Marsh
839071	44548	Mona Brooks
839071	44748	Gloria Lane
839071	64930	Elsie
839071	69419	Judy
839071	72104	Receptionist
839071	73168	Betty, Ordway's Nurse-Recepti
839071	73173	Betty Watson
839071	73378	Alma Barton
839071	75854	Lola
839071	78017	Reporter
839071	79660	Linda Pavlo
839071	80670	Mrs. Nan Raymond
839071	86747	Blonde
839071	119848	Woman in Gaming House
839071	122635	Agent Vivian Marsh
839071	165206	Miss Dooley
839071	176375	Ethel Hollingsworth
839071	178762	Lita
839071	188387	Diana Crawford
839071	209585	Marilyn Howard
839071	224047	Auxiliary Girl
839071	224784	Nurse Ann Stokes
839071	234107	Daisy Knox
839071	285435	Connie Pearson
839071	294199	Irene
839071	295085	Wife
839071	297936	June Leslie
839071	301534	Alma Gray
839071	312310	Joan Enderby
839071	320308	Mrs. Fitzpatrick
839071	358163	Marjorie Benton
839071	361779	Annie Driscoll
839071	362877	Woman
839071	364347	Mrs. George Finklesmith
839071	364573	Flo
839071	366034	Betty
839072	26640	Peggy Woodward
839072	97698	Chloe
839072	109789	Dolores Blockett
839072	195726	
839072	201169	
839072	234782	Jessie Hackett
839072	313859	Nancy
839072	366691	Echo
839073	363709	
839074	407138	Herself - Cosmetic Dentist
839075	116443	Bar Girl
839076	89361	
839076	158185	
839076	259321	Mabel Harris
839076	274307	
839077	27567	Herself
839077	118050	Herself
839077	138188	Rosie
839077	163348	Herself
839077	263786	Schoolgirl
839077	336442	Young girl
839077	362977	Herself
839077	367854	Gail Tilsley/Platt
839077	385019	Herself
839077	385020	Gail Potter/Tilsley/Platt/Hil
839078	18009	Socialite
839078	81352	Helga Ten Dorp
839078	87825	Mrs. McIntyre
839078	89907	Queen Elizabeth I
839078	106671	Mrs. Sokolow
839078	109457	Ida Sabol
839078	117343	Ruth Friedländer
839078	138747	Winnie
839078	171278	Mrs. Haywood
839078	177338	Goneril
839078	194876	Grandma Kurnitz
839078	220404	Co-Narrator
839078	231434	The Queen Mother Marie Fedoro
839078	241610	Lina Linari
839078	241898	Princess Alina
839078	243262	Leonie
839078	277638	Madeline's mother
839078	289483	Francoise
839078	292590	Miss Jackson
839078	294517	Mrs. Railton-Bell
839078	298291	Dolly Keeling
839078	316454	Herself
839078	337477	Volumnia
839078	346179	Elizabeth Cady Stanton
839079	85019	Karen Clark
839081	18963	Mrs. Perelman
839081	77203	Mrs. Stimpson
839081	95771	Cleaning lady
839081	379255	Ida
839081	385299	Miss. Thorpe
839082	31895	Sara
839083	314962	Woman in Motel Lobby
839084	7124	Queen La of Opar
839084	36970	Immigrant
839084	54586	
839084	55417	Half Man-Half Woman
839084	78123	Myrtle
839084	88832	Steve's Girl
839084	109640	
839084	112588	Florabell
839084	116752	Flossy
839084	128531	Camille
839084	157959	Valeska
839084	165483	
839084	166240	Bit Role
839084	183649	Lady Laura
839084	195744	Girl
839084	208636	First Complaining Wife
839084	234222	
839084	240897	Marie Conyers
839084	244371	Waitress
839084	246528	
839084	264775	Maud
839084	283869	Tessie
839084	312911	Babe
839084	313805	Buxom Singer
839084	315956	Blonde
839084	348541	Sister Team
839084	363758	Woman Donating Bandages
839084	366621	
839084	367934	
839085	89628	Jackie
839086	331914	Lillian Atterbury
839087	100668	Mrs. Harriet Stanton
839087	125884	
839087	333056	Mrs. Tompkins
839088	96175	Eurydice
839088	266415	The actress
839089	73803	Tina
839090	329329	Hatcheck Girl (Bette Davis Nu
839090	345958	Nell
839091	58521	Dot Curly
839091	60246	Sadie Martin
839091	213851	Pixie O'Hara
839091	251422	Pixie O'Hara
839091	274098	Mrs. Murphy
839091	310790	Pixie O'Hara
839091	372168	Lila Normand
839092	193606	Girl in Country
839093	334029	
839094	164484	Ruth Welsh
839095	113703	La ballerina
839095	251619	
839095	269074	La dattilografia
839095	344625	
839096	80709	Mrs. Gluntz
839096	100814	Grandmother
839096	215453	Female Judge
839097	23202	Lorena
839097	31875	Karen 'The Burner' Turner
839097	93995	Mary
839097	185297	Woman in Restaurant #2
839097	244420	Nurse
839098	22722	Amanda
839098	29676	Limo girl
839098	83822	Deborah
839098	195867	Wedding Guest
839098	241791	Darlene
839098	324951	Maggie
839099	5220	Johnny's Wife
839099	11653	
839099	236947	First Defendant
839100	71557	
839100	73939	Grace Laidlaw
839100	90103	Eleanora
839100	101036	Norway
839100	115909	Josefa
839100	165557	Mrs. Loring
839100	188939	Coleen Miles
839100	231988	Carrie Reed
839100	244435	Jean Prentiss
839100	320805	Wanda von Gluck
839100	331990	Marion Ames
839100	350495	Tess Ramsay
839100	359888	Gladys Moon
839101	155244	Lesley Dale
839102	343160	Showgirl
839103	26293	Sister Elizabeth
839104	13348	
839104	36864	Passenger
839104	42112	Annie Goober
839104	151675	Lucille Krumholtz
839104	154516	Spastic Patient
839104	245999	Reporter
839104	277071	
839104	332153	Contestant
839104	386778	Ethel, the Babysitter (1970-1
839104	403074	Regular Performer (1970-1971)
839104	403708	Miss Portnoy (1971-1973)
839105	37024	Jeannie Seely
839105	116559	Woman Clerk
839105	123304	Temperance Woman #2
839105	150677	Vicki
839105	175581	Lilly
839105	175583	Lilly
839105	185853	Kragen's assistant
839105	199114	Rosemary Davola
839105	365312	Lynda
839106	60245	Sadie
839107	228021	Herself
839107	230934	Delivery Woman
839107	232060	Felicity
839107	353743	
839107	361243	
839107	411364	Herself
839108	295610	Barbara
839109	282928	Homeless Family
839110	282563	Society Lady #2
839111	185592	Suzy
839112	23339	Jake's mother
839112	351035	Stephanie
839113	364725	Bar Girl
839114	34705	Bank Manager
839114	46368	Bizarre Woman
839114	55457	Receptionist
839114	56431	Wendy Larson
839114	56871	Receptionist
839114	69619	Barbara
839114	105169	Connie Mahoney M.D.
839114	109857	Prostate Nurse
839114	131380	Demented Hills Nurse
839114	181005	Secretary
839114	182984	Marilyn
839114	190024	Lady Customer
839114	195529	Nurse Cetnik
839114	204557	Tour Guide
839114	234982	Mrs. Gifford
839114	240486	Joannie Wodinski
839114	269037	Arlette
839114	310423	Bar-Goer #1
839114	326410	Nurse Bates
839114	337084	Emeline Partridge
839114	340225	Jowly Clerk
839114	365947	Customer
839115	151294	Morley Child
839115	306150	
839115	346171	Little Pansy O'Neill (prologu
839116	391735	Miss Jean
839117	350172	Anne
839118	72878	Zora (segment "Hollywood Mort
839118	77652	Ray Gun Girl
839118	129435	
839118	147784	Voodoo Priestess
839119	182955	Lookalike Dancer #2
839120	242028	
839120	245263	Holly
839120	358291	Roxanne
839121	86218	Child
839122	86218	Child
839123	95565	Councilwoman I
839123	131954	Weronika
839124	261135	Anna, Michal`s ex-wife
839124	394585	Sister Dorota Lubicz
839125	341166	
839126	168766	Another Girl
839127	179745	
839128	241391	Little Girl
839129	345175	Mireille
839130	400288	Herself
839131	364658	Maud
839132	160637	Cindy
839132	360668	Ginger
839133	119287	
839134	151098	Saboteur
839135	270522	Woman Buys T-Shirt on Street
839136	253010	Patsy Fielder
839137	99794	Deng
839138	31018	The Vigilant
839138	39711	Anisette
839138	39712	Taxi-brousse
839138	51087	
839138	73073	Saffi
839138	137222	Hubert's mother
839138	169352	Nuria
839138	214900	Aminata
839138	225531	Nurse
839138	236569	L'infirmière
839138	248565	
839138	269244	Marie-Madeleine
839138	283045	Josie
839138	301320	Joséphine
839138	336828	Félicité
839138	385347	Madeleine
839138	401053	Félicité (1989)
839139	376505	Madame Fifi
839140	97778	Mary
839140	357398	Els
839141	27268	Elizabeth
839141	69049	Nina
839141	78843	
839141	94069	
839141	272859	Donna
839141	359138	Jamilla
839144	78396	Mariette Missiaen-Verkest
839144	244753	Grootmoeder
839144	273756	Moeder Balduk
839144	352377	
839145	307589	Librarian
839146	188900	Tale Siepers
839147	326453	Flirt Stef
839148	378770	Herself
839149	408174	Tonk (De Grob- en Grolband)
839150	400288	Herself
839151	125223	Jeannine
839152	381340	Martientje
839153	6071	Katja
839154	40594	Gouvernante
839154	125224	
839154	141796	Hedda
839154	143487	Roza
839154	144232	
839154	175691	Lena
839154	180081	Carola
839154	199526	
839154	203446	Mevrouw Engels
839154	211919	Kristin
839154	213558	Studente fotografie
839154	219272	
839154	228491	Laura Aerts
839154	242306	
839154	248411	Harmonia
839154	263303	Vera
839154	351958	Françoise
839154	399122	
839154	399410	
839154	403637	
839155	250914	Alexandra
839156	93612	Sacha
839156	129427	Tante Stan
839156	149282	Uli's Mother
839156	178555	Mieke
839156	182314	
839156	187632	Wachtcommandant
839156	189887	
839156	234879	Elisabeth
839156	357379	Tessa Mensch
839156	382017	Henriëtte (jong)
839157	364176	Annie
839158	153955	Else
839158	239899	
839158	389192	Cecilie Melvold
839158	401114	Den grønnkledte
839158	410019	
839159	395011	Rike Claasen
839160	325674	Inge
839160	395011	Rike Claasen
839160	397997	Eva
839161	129765	Lisa
839162	70705	
839163	53960	Seymour's Girl
839164	4779	Gundel
839164	5119	Viktoria
839164	24323	Kammerjungfer
839164	49282	
839164	82164	Doris Kemp
839164	98130	Hannelore
839164	98262	
839164	108182	
839164	178233	Lucille Arral
839164	178634	Frau des kleinen Klaus
839164	210016	
839164	210117	Mother
839164	214890	Ulrike
839164	225115	Claudia
839164	225660	Heidemarie Ahrendsen
839164	243956	Peggy Kerry
839164	259480	Inge Pfeiffer
839164	259571	Heidemarie Göbel
839164	259622	Fräulein Schimke
839164	259678	Eva Klein
839164	281753	
839164	284999	Gräfin Frederike von Moszynsk
839164	285000	Gräfin Frederike von Moszynsk
839164	289996	Charlotte Hofer
839164	290625	Mirka
839164	308815	Maria Walczak
839164	317576	Johanna Krüger
839164	325716	Anna Muster
839164	338436	Felicitas Mack
839164	348049	Katrin Wagner
839164	352876	
839164	374549	Lily Braun
839164	376120	Ute
839164	379772	
839164	380349	Jutta Mangold
839164	387079	
839164	388798	Liane
839164	389955	Claudia
839164	392086	Gabriela
839164	395511	Lola
839164	395667	Henny Schildknecht
839164	404427	Julie, Gräfin von Dohna-Schar
839164	411173	Aurelia
839165	10079	Albert Schweitzer's Mother
839166	69926	Karin Schiffer
839166	111752	Ida Ferrero
839166	115103	Ella
839166	125143	DJ Alex
839166	129683	Melanie
839166	225274	Nadja Nikolaijevna
839166	279080	Cassie
839166	290026	Sandra
839166	290495	Elke
839166	325858	Anastasia
839166	325871	Silke Rupp
839166	338425	Nina Jansen
839166	338431	Jessica Philipp
839166	338436	Isabel Mack
839166	338437	Karoline von Gerkhan
839166	338439	Sonja Brinkmann
839166	344770	Sabine Tomschläger
839166	348054	Trixi
839166	349106	Steffi
839166	352191	Sonia
839166	388609	Steffi
839166	389823	Julia
839166	392086	
839166	392855	Mischa
839166	395011	Christine Wandrey
839166	404433	
839167	364094	
839168	373782	
839169	95962	Lawyer's daughter
839169	262198	Young Dark-Haired Girl
839169	286746	Jaga
839169	311599	Ania
839169	378728	Kasia
839169	380716	Ania Lubienska
839169	407237	Stazystka Zuzanna
839169	408826	Marta
839170	220234	Jagoda Karwowska
839170	385478	Jagoda Karwowska (1974-1975)
839171	289024	Ballet Dancer
839172	300214	Victim
839173	210732	Female Polka Dancer
839174	149933	Tango Dancers
839175	163729	Les comédiens-mimes
839177	102585	Narrator (german version)
839177	189717	Frau Senn
839177	318848	Nadja's mother
839177	319128	Claudia
839177	352333	Lena
839178	406549	Tara
839179	17928	Jacqui Gascoigne
839179	26728	Ivy
839179	40613	Rona Anderson
839179	77206	Elizabeth Wulfstan
839179	183723	Jane Andrews
839179	184105	Lucy Archer
839179	198021	Anne Ridley
839179	265606	Lindsey
839179	345858	D.S. Hayley Greene
839179	382537	Nimmy
839179	392667	Laura
839179	395080	Lucy Archer
839179	399529	Kate Oakley
839179	402141	Intelligence Officer
839179	405461	Hope Green
839179	405625	Sheryl
839179	408019	Melanie Callaghan
839180	16642	Ruth Sillitoe
839181	385309	Herself (historian)
839182	411809	Caroline Fielding/Jamison (19
839183	23624	Chica Espuma
839183	379566	Inma (2000-2001)
839184	138930	Berit
839184	398855	
839185	143432	'Pegs' Kennedy
839186	26885	Groupie
839187	380713	Natalie Snyder (2002-present)
839189	196547	
839189	199535	
839190	126067	Chorine
839190	162283	Dancer
839191	246606	Dancer
839192	176893	Enid
839193	37089	Julie
839193	82110	
839193	281250	
839193	340805	Donna
839193	398752	Donna
839193	406479	Pippa O'Connor
839193	410640	Brenda Wilson
839194	2731	Fay Wray
839194	3021	Herself
839194	6162	Molly Stoddard
839194	7486	Angela
839194	17470	Ann Carver
839194	32976	Marie Gardoni
839194	33790	Diane Templeton
839194	36830	Cynthia Glennon
839194	39720	Gail Hamilton
839194	44266	Joan Randall
839194	45236	Lucy Calhoun
839194	47385	Herself
839194	49256	Ann Manders
839194	54590	Ynez Dominguez
839194	59910	
839194	60204	Nan Brockton
839194	65107	Rene
839194	66320	Beth Slocum
839194	66381	Edna Devanal
839194	67875	Hilda Beach-Howard
839194	69659	Taisie Lockhart
839194	71668	Janet Krueger
839194	87196	Helen Pierce
839194	88935	Joanne 'Joan' Xavier
839194	90149	
839194	90387	
839194	113590	Marcia Collins
839194	114151	Anna Lee
839194	118288	Ethne Eustace
839194	118857	Herself
839194	124389	
839194	127482	Edna Curtis
839194	142400	Kay Stanley
839194	147799	Herself
839194	147876	Herself
839194	148977	Mitzi
839194	162982	Potential pen buyer
839194	163267	Gloria Gay
839194	170988	Linda Ware
839194	177325	Ann Darrow
839194	186459	Kay Roberts
839194	186552	Lila Rogers
839194	187470	Christine Charteris
839194	193312	Molly Vernon
839194	199376	
839194	199393	Marie Franck
839194	203196	Pauline Stewart
839194	207450	Kay Walling
839194	210393	Mary Stanley
839194	214215	Jean
839194	218772	The professor's daughter
839194	219763	Eve Trowbridge
839194	222637	Kay Cabot
839194	224782	Charlotte Duncan
839194	228825	Carol (undercover Navy operat
839194	233591	
839194	235381	Miss Hunter
839194	238613	Herself
839194	241096	Mary Fanshane
839194	241503	Roberta
839194	241751	Virginia 'Virgie' Brush Barns
839194	241851	
839194	248613	Sweetheart (Dream Girl)
839194	258909	Lora Nixon
839194	269282	Sue McKinnon
839194	277733	Sylvia Lockwood, aka Dorothy 
839194	279526	Joyce Reid
839194	280109	Beth Daley
839194	285141	
839194	291733	Daisy
839194	297379	Wildeth Christie
839194	300026	
839194	300071	
839194	305042	Herself
839194	305399	Mrs. Gordon Kimbell
839194	305508	Eleanor Dunlap
839194	310956	Anne Darrow
839194	312121	Mildred Orth
839194	315790	Mary Foster
839194	316678	Elizabeth
839194	318734	Beth Daley
839194	324261	Mrs. Brent
839194	329041	Consuelo
839194	330189	Mary
839194	331584	Lee Carleton
839194	332076	Ritzy
839194	332118	
839194	338812	Marquise
839194	339829	Herself
839194	346959	The girl
839194	347056	Camille de Jonghe
839194	347201	Herself
839194	350173	Ruth Bertin
839194	355825	Teresa
839194	358904	Herself
839194	360702	Mitzi Schrammell
839194	362364	
839194	362890	Lady Rowena
839194	363892	Joan Mitchell
839194	365309	Jessie Hayden
839194	365548	Ted Dawson
839194	367492	Vida Carew
839194	367518	Louise Loring
839194	372872	Woman in quarrelsome couple
839194	402126	Catherine Morrison (1953-1955
839195	385299	Eleanor Chase
839195	389810	Sue Jackson
839195	390887	Susan Jackson (1969)
839196	47512	Patsy Heath (age 8)
839197	17812	
839197	100880	Secretary
839197	405763	Ann Adamson
839198	264075	Jennifer Wingo
839199	8840	Grande Sacerdotessa
839200	39600	Mrs. Arbuthoot
839200	215789	Edith's Mother
839200	273825	Older Woman
839200	382384	Sylvie
839200	392172	
839201	47952	2nd Prostitute
839202	61156	Veronica Kelly
839203	403324	Regular
839204	79010	Additional Voices
839205	117072	English Landlady
839206	198090	Madame Choppard
839207	315999	Tara
839208	18469	Ellie Kayton
839208	177600	Lady Tsepish, Lachesis, Gharb
839208	199153	
839209	368244	Ensemble member
839210	60186	Whitney Young Cheerleader #9
839211	318866	Ghostly Voice
839212	235407	Herself
839213	47176	Woman
839213	178745	Flapper #1
839213	198276	Ellen Friis
839213	303653	Woman
839213	350710	Bodil
839214	24329	
839215	12206	Woman
839216	351945	
839217	384746	
839218	181071	Herself
839219	306834	Tina
839220	347898	Herself
839221	106461	Racquetball Player
839221	197589	Kathy Taylor
839221	213122	Sarah Travers
839221	233692	Deborah
839221	292019	Sarah Drummond
839221	314227	Gaily Morton
839221	364189	Sandy
839221	411827	Rachel Dunne (1990-1992)
839222	75533	Little Girl
839224	197664	Olga Westbury
839225	256621	Kate Stanley
839225	264160	Sacharissa, Girl Graduate
839225	387242	Wilson (Servant)
839226	342822	Nurse
839227	75789	Mimi
839228	219635	Dead girl in mortuary
839230	183670	
839231	70619	Mary at 13
839232	217885	Vicky
839233	100126	Herself
839234	320033	Candice
839235	12319	Factory and Boardwalk
839236	110565	
839236	151177	Marie
839236	332551	Barbara
839237	306596	Silbo's Dream Girl
839238	119520	Herself (Smashing Pumpkins)
839238	354146	Herself
839239	7408	Tailor's Daughter
839240	95789	Hair Stylist
839240	194268	Vera
839240	343189	Congressional Assistant
839241	11989	Ischi
839241	91042	
839241	380325	Anja
839242	71656	
839242	127112	Woman in Women's Institute
839242	246724	Manageress
839242	366990	
839242	385299	Miss. Delaware
839242	408362	David's mam
839243	220276	Parisian Dancer
839244	151759	Herself
839244	161328	Herself
839245	105597	Sunshine
839245	157636	Mary
839245	177660	Mrs. Boorg
839245	261528	Suburban Mom
839245	303225	Choir nun
839245	303226	Choir Nun
839245	346006	Marsha's Mom
839246	1674	Herself
839246	21553	Herself
839246	73835	Jojo
839246	82835	Sara/Loon
839246	100117	Grace Roby
839246	117874	Jenny Curran
839246	147888	Lori Stanton
839246	148217	Clare
839246	150756	
839246	151609	Melanie McGowan
839246	153094	Darlene
839246	154055	Herself
839246	185127	Rosalie Irwin
839246	185256	Wren
839246	196350	Hedda Amerson
839246	211764	Theresa Osborne
839246	217411	Moll Flanders
839246	232831	Diana
839246	257686	Tara Maguire
839246	258103	Lori
839246	264146	Buttercup/The Princess Bride
839246	291971	Herself
839246	298115	Maureen Murphy Quinn
839246	302710	Nicola/Nina/Blonde
839246	313933	Kathleen Flannery
839246	331894	Herself
839246	337206	Gwen Tyler
839246	345690	Audrey Dunn
839246	347886	Martha Gellhorn
839246	347922	Phoebe
839246	355014	Mrs. Reynolds
839246	363948	Starr
839246	404282	Kelly Capwell #1 (1984-1988)
839246	409106	Lucrezia
839247	77992	Regina
839247	273083	Princess Novemali
839247	321388	Mrs. Carver
839248	92510	Annie Jackson
839249	365820	Mother
839250	84142	Photographer
839251	57934	Lillian
839252	26291	Woman Inside
839252	195467	
839252	330503	
839253	238601	Bailiff
839254	196508	Nurse
839255	97215	Anna
839256	5036	Claudia Avery
839256	47077	Pauletta
839256	47993	Helen Palmer
839256	82445	Reverend Washington
839256	84889	Secretary
839256	132488	Principal Wheeler
839256	154470	Desk Clerk
839256	168776	Glorietta Johnson
839256	177630	Veda
839256	220142	Barbara Rollins
839256	220891	Coretta Keeling, the Cat Lady
839256	296752	Nurse Johnson
839256	308779	Travel Agent
839256	317264	Autograph seeker
839256	339937	Louise Reed
839256	341018	Alicia
839256	362716	Convalescent Home Nurse
839256	402001	Adelle Ferguson
839257	5440	Rose Leary
839257	14487	Jackie
839257	15214	Rosie
839257	32626	Stacy
839257	34581	Mona
839257	46367	Nancy
839257	73833	Ricki
839257	76600	Lurlene
839257	79720	Day
839257	81543	Evelyn Wade
839257	81984	Bridesmaid
839257	113412	Queenie
839257	128598	Ceil
839257	139135	Shelley
839257	141417	Clara Jane
839257	158317	Karen
839257	160375	Anne
839257	168289	Mary
839257	169170	Waitress
839257	184867	
839257	188489	Margaret Stokely
839257	195640	Karen Weaver
839257	211826	Nan Parrish
839257	215527	Missy Mahoney
839257	235387	
839257	279859	
839257	289603	Goody Gotwick
839257	295187	Becky
839257	313583	Shelley
839257	327161	Honey Boxe/Irate Neighbor/Jen
839257	334151	Carrie
839257	335058	Aunt Polly
839257	338299	Dana Wendolowski
839257	363437	Loose Woman
839257	366316	Psychiatrist
839257	366606	Sabbath Lily
839258	101060	Dancer #2
839258	164587	Church Lady
839258	293030	Gretchen
839259	335050	Thomas' Grandmother
839260	221202	
839261	148383	Bonnie Terry
839261	315085	Saleslady
839262	87480	Aerobics Instructor
839262	378966	
839263	410830	Ashley
839264	74024	Rev. Claver
839264	340542	Sister Margaret
839265	365937	WPC Duncan
839266	67774	Bird House Girl
839266	77152	Laurette
839266	77545	Maizie Murdock
839266	107155	Eula
839266	164992	Loretta
839266	231918	Barefoot Blonde
839266	242815	Housewife
839266	258859	Suzette
839266	293021	Blond Woman
839266	302219	Mary
839266	330221	Polly
839267	152986	Herself
839267	359319	Herself
839268	16143	Halloween Kid #3
839269	211838	Chloe
839269	381080	Caroline
839269	381081	Caroline
839270	8148	Young Agatha
839270	139650	Ginny Weasley
839270	139652	Ginny Weasley
839270	139655	Ginny Weasley
839270	139657	Ginny Weasley
839270	315961	Young Sarah
839271	245338	
839271	245339	
839272	194246	Press Conference Student
839274	134548	Kim
839275	167324	Clinton Witness (credited on 
839276	33642	
839276	109940	
839276	143451	
839276	263310	
839276	267384	
839276	280856	
839277	232630	Skating Rink Extra
839277	335301	Cheryl
839278	139637	
839279	208390	Mrs. Styles
839279	380391	Herself (1999)
839280	340791	Audience Member #3
839281	333857	Extra
839282	399304	Minnie Pargeter
839283	333443	Aliens - Nest
839284	5381	Linda Hyndman
839284	59614	Grace Ellis
839284	116897	Estelle Evans
839284	218717	Connie Fentress
839284	222568	Jessica Gerald
839284	278282	Barbara Paxton
839284	305395	Helen Randall
839284	308112	
839284	308354	Bit Part
839284	360837	Terry McCracken
839285	51991	Nancy
839286	68609	
839287	41824	Older Daughter
839288	386514	Herself
839289	367208	TV Production Assistant
839290	241316	Waitress
839290	273827	Saloon Girl
839291	226901	Pool table nude #2
839291	305941	The Blue Lady
839292	74011	Penny Cartwright
839293	57381	Schoolroom student
839294	124222	Singer: 'Garlic Is the Spice 
839295	342871	Cricketer
839296	337381	Pet Mom
839297	7069	Nellie Bly
839297	181534	Jennifer Cameron
839297	283368	Undercover Hooker
839298	39842	
839299	252222	Sugar
839299	253979	Nell/Devil's Daughter
839299	309659	Rebecca
839300	206724	Loreen
839300	287723	Mrs. Mulligan
839300	363347	Undetermined Role
839301	126700	
839302	345591	
839303	115219	Backup singer
839303	314625	Herself (Background Vocals)
839304	11978	
839305	29736	Jewels
839305	32098	Ashley
839305	43596	Snowflake
839305	72562	Masseuse
839305	94861	Finale Singer
839305	238595	Stella
839305	321405	Janis Joplin
839306	43202	Catherine Wolff
839306	74231	The working mother
839306	100667	Mrs. Minnett
839306	351719	The Bank Teller's Wife
839307	139698	Desk Clerk
839307	198882	Witch
839307	200528	Snow White
839307	244312	Bianca
839307	252222	Clarisse
839307	253058	Natasha
839307	255731	Didi
839307	272471	Reba
839308	30552	Wife
839308	67836	Mrs. MacDonald
839308	168577	Sarah Wilmott
839308	186810	Housekeeper
839308	192695	Soubrette
839308	200411	Daughter
839308	270654	
839308	272616	Therese
839308	372942	Mrs. Grierson
839309	73203	Society Girl
839309	99224	
839309	112183	Guest
839309	128256	Secretary
839309	128812	
839309	133561	Blonde secretary
839309	144453	
839309	144966	Clerk--Frisco Office
839309	176343	Saleslady
839309	194209	Evelyn, Cudahy's Secretary
839309	215276	Nan Blake
839309	223767	Spectator
839309	248843	
839309	270652	
839309	275451	Beaulah's Assistant
839309	325154	Young Woman
839309	371857	Receptionist
839310	241314	Nathalie
839311	142672	High Priestess
839312	132530	Courtney
839313	105327	Reporter
839314	52804	Balcony Girl
839315	230240	Featured Dancer
839316	52204	Eddie's Woman
839316	405469	Nanny
839317	391659	Professor of Architecture, Au
839318	24231	Aunt Rachel
839318	26640	Miss Fisher
839318	40321	Countess Eleanor
839318	64712	Bit Part
839318	67314	Lady Newcome
839318	82759	Mrs. Eldon
839318	105347	Duchess of Gillingham
839318	107545	Miss Bryany
839318	129551	Mrs. Bullfinch
839318	157536	
839318	167253	Michele
839318	239560	Mrs. Fountain
839318	246339	Jane O'Hara
839318	291804	Minnie Wynchbeck
839318	316081	Mrs. Relf
839318	335342	Mrs. Gill
839318	366317	Mrs. Whitworth
839319	7977	Jenny
839319	27449	Esther
839319	33805	Jenny Smith
839319	124603	Sister Catherine
839319	160278	Sharon
839319	209097	Kate
839319	217955	Angela
839319	266618	Girl with Parcels
839319	300045	Cynthia Smythe
839319	372210	Chanel
839319	384290	Mary
839319	387533	Fran (1990)
839319	392825	Eleanor
839319	407085	Melanie (1976)
839319	410655	Val Ruddock
839320	77416	Mabel McGuire
839320	312120	Peggy Bradley
839321	232858	Rachel
839322	21524	
839322	34693	
839322	39305	Lady Ashleigh/Mrs. Reinholdt
839322	44807	
839322	54735	Mrs. Bennett
839322	59122	
839322	62770	
839322	73443	
839322	77467	
839322	78192	
839322	89630	Anna
839322	95320	
839322	105158	
839322	112012	Laura's Mother
839322	141382	
839322	141810	
839322	143328	Mrs. Gordon
839322	143706	Mrs. Melton
839322	146200	
839322	146270	
839322	149182	
839322	157962	
839322	162514	
839322	171144	
839322	171253	
839322	184988	Mrs. C.W. Sherwood
839322	186242	
839322	190596	
839322	190923	
839322	191659	
839322	206086	
839322	206416	
839322	216163	Margaret O'Mara
839322	244350	
839322	245508	
839322	247520	
839322	259766	Mrs. Brown
839322	264032	
839322	289628	Mrs. Davies
839322	292399	
839322	296870	
839322	303095	Mrs. Stanhope
839322	306038	
839322	306643	
839322	306755	
839322	310767	Mary
839322	313512	
839322	316198	Mrs. D.G. Darling
839322	320022	
839322	329509	
839322	337410	
839322	340010	Character Woman
839322	346108	Princess Ousson
839322	349644	
839322	363063	
839322	364259	
839322	367933	
839323	259943	Hedone
839324	7949	
839324	16791	Sam
839324	104977	Toby
839324	142894	
839324	170388	Walter
839324	178033	
839324	338930	Little Girl
839325	244120	Executive Assistant
839326	96730	True Danziger
839326	285360	Jillie
839326	292723	Shari Grayson
839326	298852	Sam Wallace
839326	359428	Nova Thorpe
839326	387230	True Danziger
839327	227927	Beauty
839328	66305	Redhead at Tootsie's
839329	265352	Jodie
839330	298314	Penny
839331	7944	Waitress
839331	13961	Fanny
839331	19741	Senior Nurse
839331	34638	Helen Armstrong
839331	35159	Doctor Fleming
839331	35729	Fran
839331	38259	Ellen-Lois (Duke's waitress)
839331	40179	Ma Franklin
839331	44337	Maxime
839331	47935	Helen Neary
839331	59862	Sonia
839331	63004	Martha Jane
839331	72325	Pearl
839331	80729	Desk clerk
839331	91574	Phyllis
839331	99894	Alice
839331	118725	
839331	128505	Woman Neighbor
839331	148288	J.P.'s Wife
839331	183343	Brenda
839331	186131	
839331	193486	Ma Keller
839331	196617	Audrey Sawchuk
839331	208878	Eunice
839331	218106	Bonnie
839331	220954	Naomi Bascombe
839331	224158	
839331	252976	Ethel Shatford
839331	274544	Constance
839331	280663	Coach Olga
839331	331697	Woman in Bar
839331	360465	Gladys McKenzie
839331	364324	
839331	367054	The Wiz Singers Adult Choir
839331	367342	Miss Mervin
839331	385011	Emma Leroy
839331	392219	Simone
839331	394509	Liz Hinton
839331	397130	Constance/Voice of 'ghost of 
839331	398208	Vita Keating
839331	403090	Constance
839332	362152	White Chick
839333	53554	Betty Warner [Chs.1-5]
839333	215720	Mrs. Warner
839333	321390	
839334	90877	Angela Alderbrook
839334	154081	Mary Harkness
839334	165445	Mary Rivers
839334	326376	
839334	387518	Dr. Linda Stanley (1960)
839334	387786	Peggy Butler
839334	389766	Jean Wills #2 (1959-60)
839334	397421	Celia Brace (1959)
839334	403296	
839336	54270	Doreen Duncan
839336	62506	Lisa
839336	100661	Little Natalie's Mother
839336	105713	April Baker
839336	155063	Virginia
839336	186433	Marnie Burke
839336	229106	Mae
839336	245040	Dizz/Darlene
839336	256211	American Groupie
839336	269427	Asha
839336	299469	Melanie O'Conner
839336	312557	Felicia
839336	342683	Stephanie
839336	349877	Sylvia Fuller
839336	365341	Eileen
839336	368363	Cushie
839336	372570	Jane Greathouse
839336	383378	Doreen Duncan
839336	390045	
839337	323225	Music Teacher
839338	209133	Cady 5 Years Old
839339	124017	The 'B's
839340	118868	Herself
839341	31704	Mom
839341	46420	Clinician
839342	264157	Princess Nadia
839343	218418	Jess Milroy
839343	334757	Voice (archive)/Special Guest
839344	282672	Sapphire
839344	318826	Sapphire
839344	318827	Sapphire
839344	320128	Sapphire
839344	368822	Sapphire
839344	411546	Sapphire (1989-1990)
839345	292229	Lisa Youngman
839345	390523	Miss. Emily Fraser (2000-2002
839346	92514	Street Singer
839346	238991	Haig's Secretary
839346	264820	Nurse
839347	157576	Pedicurist
839347	279460	Joyce
839348	105723	Flight attendant
839349	183353	
839349	367889	
839350	21198	Secretary
839350	253337	Marjorie
839351	167047	Woman
839351	256504	Player
839351	314108	Dancer
839352	217528	Darlene
839353	4703	Clare Steves
839353	84399	Samantha Eckert
839353	120205	Cindy
839353	130050	Danielle
839353	131636	Christina
839353	137258	Corinne 'Corey' Wells
839353	155696	Tanya
839353	163625	Groupie
839353	185835	Mia
839353	291530	Sarah
839353	362791	Lexi Archer
839353	367867	Herself
839353	396614	Nina Gerard
839353	397401	Chelsea Fielding (1997)
839354	291049	Police Guard's Wife
839355	53313	Featured Dancer
839356	382479	Sharon
839357	340827	Factory Girl #2
839358	392667	Child Alice
839359	386618	Contestant
839360	262589	St. Matthew's Choir & Band Me
839361	78980	Tisha
839362	313477	Motee
839362	321188	
839362	379112	Belinda Clarke
839362	385033	Vanessa 'Van' Harrison
839362	385177	Suze
839362	391869	Chloe Richards/Fraser (1995-1
839363	215690	Miss Idaho USA
839364	2275	Herself
839364	360726	Cassie Winslow
839364	384366	Ally Rescott Alden Bowman (19
839364	390771	Cassandra Elizabeth Rae "Cass
839364	396123	Ally Rescott Alden Bowman (19
839365	122744	Mrs. Mullins
839365	302267	Annie Hemingway
839366	169918	Elderly Clerk
839367	209653	Trish
839368	80470	Julie
839369	82522	Babe
839370	334762	Miriam
839371	134275	Birthday guest
839372	362689	Retired woman
839373	118811	
839373	209221	Female Rat #5
839374	10737	The Duchess
839374	12623	
839374	38745	
839374	123406	Mrs. Blake
839374	133892	Mrs. Merton
839374	223959	The Governess
839374	273838	Patience
839374	278244	Viola's Mother
839374	300010	
839374	302948	
839374	308659	Mrs. Talek
839374	334191	Empress
839374	358714	Mrs. Norton
839374	364402	Betty's mother
839375	40536	Daphne
839375	69405	Ruth
839375	130953	Air Squadron leader
839375	137964	Roselle
839375	169142	First Nun
839375	200334	The Lovely Starlet
839375	224124	A Prostitute
839375	241559	Miss Tomkins
839375	272536	Second Tart
839375	291503	Open borstal officer
839375	295611	Elizabeth
839375	300891	
839375	342597	Alexa
839375	347240	Rawling's Secretary
839375	396961	Ylla
839376	116443	Bar Girl
839376	126067	Jean/One of Do's Four Girls
839376	138744	Chorus Woman
839376	163544	Dancer, Cuban Girl
839376	171146	Chorus member
839376	195071	Dancer
839376	223054	Dancer
839376	315956	Switchboard Operator
839376	339407	Dancer
839377	145389	
839378	29745	Angry Woman
839378	29746	Joyce
839378	37387	Monique's Receptionist
839378	122619	Ladara
839378	129791	C.O. Jarvis
839378	251040	Snoop's Girl
839378	280631	Rhonda
839378	289735	Reva
839378	309477	Nicole
839378	359715	Sharon
839378	363581	Celeste
839379	79792	Dance Mistress
839380	95120	Casey Jr.
839380	154853	Mary Jenkins
839380	190040	Herself
839381	5904	Mrs. Dooley
839381	13386	Mrs. Heath
839381	39467	Miss Brown
839381	41720	Landlady
839381	64845	Dorothy Gray
839381	75275	Mrs. Ramsbottom
839381	79979	Landlady
839381	124373	Alice Barlow
839381	129943	The Woman
839381	137198	Mrs. Perkins
839381	142671	Sparrow
839381	177795	Duchess
839381	197027	Martha
839381	215808	Sarah
839381	221329	Yates
839381	222774	Miss Mitcham
839381	228593	Mrs. Barrow
839381	246339	Mary O'Hara
839381	269936	Mabel Dredge
839381	291804	Mary Wynchbeck
839381	296215	Mrs. Bardell
839381	302019	Mrs. Deeping
839381	303572	Maggie
839381	316033	
839381	328904	Lizzie Emmett
839381	330002	Florence
839381	333096	Mrs. Banks
839381	348312	Mrs. Entwhistle
839381	353486	
839382	380750	
839383	390771	Leah Boudreau Bauer (2004-pre
839384	383765	Herself (panelist, 1950-1951)
839384	407170	Regular (1949)
839384	408134	Vocals (May-Jun)
839385	72706	Singer at Pool
839386	301589	Lamia
839387	345876	
839387	345877	
839388	25417	Nurse Beth
839388	57654	Pious Diner
839388	77552	
839388	141179	Nurse
839388	141656	Nell
839388	203473	Miss Preen
839388	205268	Nurse at Auction
839388	241799	Clarice
839388	292526	Research Department Clerk
839388	313855	Student 1
839389	141185	Stripper
839390	15218	Amy (4yo)
839390	16784	Wife
839391	164369	Ivorite
839392	117516	Deputy
839393	197872	Jenny
839393	313972	Statesman's Wife
839394	5152	Detective
839394	33258	Restaurant Patron
839394	72319	Wedding Guest
839394	79041	Party Girl
839394	79819	Sharon Bryant
839394	90349	News Reporter
839394	249517	News Reporter
839394	270135	Attorney
839394	276899	Flight Attendant
839394	278260	Mrs. Spalding
839394	293123	Patron
839394	302793	Country Wife
839394	385141	Waitress
839395	384507	Honorary Tigrita
839396	215690	Miss District of Columbia USA
839397	119633	Mrs. BrownSchool Nurse
839398	147980	Devotee
839399	18630	Mia Holstead
839400	185639	Skating Party G
839401	401875	Herself - Reporter (2004)
839402	192345	
839402	216918	Mrs. Hall
839403	2150	Juanita
839403	40187	Dr. Karen Jenson
839403	65023	Nikki Barnes
839403	65837	Detective Maggie Sinclair
839403	80585	Delilah Benson
839403	119888	Nichole
839403	145772	Selena
839403	168774	Christmas Junkie
839403	223632	Nia
839403	367541	
839403	374285	Nikki
839403	401610	Maxine 'Max' Colt
839403	411091	Bella
839404	78991	Executive #1
839404	113389	Iris Gladshaw
839404	381422	Chantara
839405	247022	Woman in Elevator
839406	21458	
839406	33757	
839406	40843	
839406	48476	
839406	61586	Mrs. Andrews
839406	64555	Undetermined Role
839406	84194	Mrs. Burton
839406	115616	Mrs. Madison
839406	128290	
839406	132572	
839406	159158	
839406	196857	Mrs. Fitzpatrick
839406	224652	Mrs. John Brant
839406	226940	Cecil's Mother
839406	254579	Mrs. Lavinia Marston
839406	257540	Johnny's Mother
839406	274553	Mrs. John Reed
839406	278852	Grandma
839406	281934	Hilda Van Voort
839406	312277	Mary Gilson
839406	330303	
839406	359127	The Widow
839406	359339	
839406	363626	Mother Giles
839406	364455	
839407	87699	Melanie
839408	62886	Clarita
839408	184218	Hotel Receptionist
839408	253950	Brian's Wife
839408	275479	
839408	306500	Nurse
839408	334352	Cam (aged 17)
839408	335880	Der Pizzahaus Girl
839408	360469	Post Girl
839408	393934	Victoria Frobisher
839409	59151	Orchestra Child
839410	157597	Narrator
839412	176744	Provan
839413	72108	Tracy Marks
839413	153269	Rose Carson
839414	206724	May Hikes
839415	139587	Herself (interviewee)
839416	386514	Host
839417	383895	Weatherwoman (1998- )
839418	58504	
839418	74760	
839418	289413	Marjorie Cameron, Brad's wife
839418	337587	Katie
839419	115824	
839419	221763	
839420	208952	Herself (primatologist)
839422	355075	Mrs. Wendell
839423	12622	Nerys Perkins
839423	93787	Woman customer
839423	292700	May Harper
839424	124493	Christianne
839425	65679	
839426	99081	Horse
839427	56545	Herself
839427	72266	M&M
839427	129430	Alida
839427	223818	Dorothea
839427	286424	Sam
839427	295278	Blair
839427	304737	Jill Danford
839427	370004	Claire
839428	45032	Nurse Clerc
839428	145426	
839428	167866	Angry Mom #2
839429	147980	Devotee
839430	44334	Jane
839430	168295	Movie Goer
839432	326673	
839433	236965	The Doll/Chinese Dancer
839433	249420	Infected Woman
839433	313583	UFO follower
839434	51989	Prison Guard
839435	304843	Fence
839436	362808	Documentary couple #4
839437	137223	Dancer
839438	242493	
839439	279412	Herself
839440	11519	Sandra
839441	333120	Person of the Night
839442	181276	Kurtis Blow's Girl
839443	100661	David's High School Date
839443	402687	Paige Chase
839444	350277	Susie
839445	272325	Cathouse Girl #3
839446	10841	Woman In Hot Tub (segment "Un
839447	304527	Cell Mate
839448	240429	
839449	322691	
839450	181276	Kurtis Blow's Girl
839451	45618	Luce
839451	62925	Floozie
839451	154893	Dora
839451	330270	Marilyn Munroe
839451	359573	Ella
839452	311923	Women's Shelter Extra
839453	8216	'No Sweat' Dancer
839454	167043	Janice Shockley
839455	309718	Mrs. Moss
839456	82922	Bev Trotter
839456	177619	Dolores
839456	224430	Tina Maria
839457	306751	Kat
839458	129068	Lola Finlayson; the trick
839458	229538	Pretty Girl/Brian Davidson
839459	41430	Girl in Van
839459	303611	Actress at party
839459	328593	Carol
839460	45564	Holly
839461	5168	Tom's Fiance
839461	245214	
839461	271364	Tina Stanfil
839461	321788	2nd Woman in Ted Hughes' Lect
839461	330783	Studio Art Dept
839461	381585	Alannah Lush
839461	385177	Penny Watts
839461	404880	Sally
839461	405209	Nurse Caroline Buxton (1996-1
839461	411194	Joy
839462	47993	LaMuzindah
839462	202619	Ernestine
839462	223388	
839462	382933	Phyllis
839462	390973	Marcy
839463	1962	Herself
839463	3021	Herself - Past Winner
839463	3053	Herself - Past winner
839463	3077	Herself
839463	6020	Annie Jones
839463	19051	
839463	34977	Peggy Stephenson
839463	37883	Mae Driscoll
839463	52297	Julie Lawrence
839463	54686	Ellen Tevlin Vanner
839463	56098	Isabel Drury
839463	71575	Ellen Braden
839463	72652	Alice Graves
839463	85877	Herself
839463	99134	Edith Reynolds
839463	100696	Lark Ingoldsby
839463	103228	Mary Saunders
839463	112267	Miranda's Grandmother
839463	115708	Alice Cutler
839463	130807	Lucy Tate
839463	131004	Herself
839463	131539	Grandmother
839463	137213	Santha Dixon
839463	138772	Mrs. Spencer
839463	147822	Herself
839463	157129	Millicent Hopkins
839463	188489	Myra
839463	191819	Alexandra 'Xan' Giddens
839463	210890	Ellen
839463	214968	
839463	221297	Carol Beldon/Miniver
839463	253343	Helene Berman
839463	263601	Eleanor Twitchell 'Ellie' Geh
839463	267589	Thorley Callum
839463	271287	Miss Birdie
839463	274035	
839463	276381	Elizabeth Grant
839463	280212	
839463	281927	May (The Waltz)
839463	291916	Ruth Simmons
839463	296767	Young Charlie
839463	308109	Edna Miller
839463	308177	Laura Roberts
839463	314262	Laurie Osborne
839463	337306	Grace Bridges
839463	340570	Kate Farrell
839463	383802	Family Member
839463	390771	Grace Cummings (1986)
839464	97077	Herself
839465	199210	Gatherer
839466	298852	Becky Preston
839467	11661	Pregnant Woman
839467	43724	Grocer's Wife
839467	113507	Party Guest
839468	32997	Jasmine
839469	272920	Herself
839469	318841	Herself
839470	1675	Herself
839470	18823	Steve
839470	40729	Friend In Car Wash
839470	41667	
839470	48506	Vivian Klitorsky
839470	78121	Spot
839470	89199	Dog Psycologist's Wife
839470	97247	Souvenir Shop Clerk
839470	99213	Female Dance Partner
839470	114691	Alex
839470	131624	Mom
839470	145080	Margo
839470	168307	Dispatcher
839470	185424	Donna
839470	223643	
839470	224345	
839470	253245	Deb
839470	255316	Detective Sweeney
839470	319682	Sister Anne
839470	358459	
839470	359701	Judy
839470	362965	Tory
839470	386295	Gil
839471	55725	Herself (Friend)
839472	304829	Betsy Reed
839473	100954	Sonia
839474	154869	Jeannie Hobbs
839474	318164	Emily McCord
839475	213865	Kathy
839476	365866	Tart
839477	78176	In-Mate
839478	168464	Kyoko, Age 5
839479	56222	Sarah Waters
839480	338401	Jessica
839481	178099	Corinna as a Toddler
839482	178099	Corinna as a Toddler
839483	10823	
839484	171853	Tanya
839485	264	Girl
839485	7015	Martha Blanton (debutante)
839485	10722	Operator
839485	18862	Miss Frances Clifford
839485	21552	
839485	39696	Helen Roberts
839485	47217	Dorothy Bennett
839485	49361	Elaine Standish
839485	52676	Long Distance Operator
839485	56194	Sandy Vantine
839485	61567	Information Girl
839485	64101	
839485	66641	Secretary
839485	78986	Judith's friend
839485	79429	Girl at Beach
839485	95474	Switchboard Operator
839485	96608	Girl in Car
839485	107114	Linda Sinclair
839485	115471	Bonnie
839485	116929	June Brewster
839485	144931	Blonde woman at the auto acci
839485	145075	Mary Hadley
839485	166468	Connie
839485	179083	Telephone Operator
839485	183848	Miss Annie Ellis
839485	203585	Roscoe's Secretary
839485	207415	Dorthy Arnold
839485	209592	Autograph hound
839485	214080	Diana Bennet
839485	228816	Hawaii pickup #2
839485	233872	Mrs. Harriet Washburn
839485	238616	Telephone operator
839485	239655	Mary Jo Weaver
839485	254488	Blonde
839485	264644	First Telephone Operator
839485	264759	Lady of the Court
839485	277912	Laura
839485	287749	Girl at wedding
839485	288742	Nurse
839485	289213	Mrs. McCarthy
839485	299936	Helen Armstrong
839485	301768	Betty Higgins, Special Invest
839485	308942	Louise Harper
839485	312159	Sue Mitchell
839485	319197	Wilmetta Wentworth
839485	330836	Evelyn
839485	337656	Mary Wagner
839485	360041	Freda Hauser
839485	363966	Pamela Bragdon
839485	367805	Grete Ziegler
839486	82200	
839486	244099	Wiewiora
839486	282756	
839486	385985	
839488	390193	Letter turner (2002)
839489	317203	Doctor
839490	82203	
839490	341068	
839491	35632	Hatcheck girl
839491	381995	Lorelei Kilbourne (1954-1955)
839492	256188	Go Go Girl
839493	323728	Young
839494	398897	Kinga Malczyk
839495	54911	
839495	85972	La cantante
839495	120911	Madre di Lucy
839495	338722	
839495	373624	Elsa Moro, la cantante
839496	343801	
839497	16922	Female Gang Member ("Wanna se
839497	93970	Lesbian stripper
839497	105982	
839498	152979	Ms. Harper
839499	124225	Tammy
839500	212084	Kid in classroom
839500	294726	Young River Tam
839501	95181	Harah
839501	318137	
839502	152426	Betty Ross as Child
839503	1164	Mrs. Aldona
839503	37731	Ewa
839503	71262	Hanka Waleska
839503	76784	Jadwiga Kasprowicz
839503	95707	Hanna Michalko
839503	95738	Edith
839503	95944	
839503	130212	Elzbieta
839503	172825	Irena
839503	180194	Anna
839503	255411	Culture House Manager
839503	260389	Rafal's Sister
839503	266329	Reporter Bieganska
839503	311820	Bozenka
839503	317230	Anna
839503	341058	
839503	361575	Maryna
839503	365106	
839503	395084	Kazimiera Wasowska
839504	259123	Girl
839504	311391	Young Emilka
839505	181360	
839506	238815	Mailman
839507	93848	
839507	385478	Magda's Friend
839508	377575	Una turista
839509	76852	
839510	8770	Evita
839510	8774	
839510	8779	Fong Fong
839510	44031	Shi Cuizhi
839510	76398	
839510	107201	
839510	110595	Annie Ng Ching-Yee
839510	113337	The Little Girl/The Sixth Spi
839510	167820	Annie Tsui
839510	198748	Little-Fish
839510	296582	Carrie
839510	370758	Queenie
839511	128478	Tuyet Anh
839511	381893	
839512	168714	Mikiyo
839513	395940	Yin Baiyan
839514	3260	Shenny
839514	44031	Gu Manzhen
839514	61460	Lien
839514	76332	Crystal Lui 'Chan'
839514	76838	Mong Dee
839514	94401	Siu Yiu-yiu
839514	95158	Elaine/Siu Lau
839514	95302	Li Yi-Wah
839514	95442	Jo Jo
839514	124577	
839514	124866	
839514	131265	
839514	142978	Cameo appearance
839514	151976	Mei
839514	179926	Yan
839514	193872	
839514	212639	Sue
839514	231271	Siu-Fu
839514	286969	Fok May
839514	287041	Icy
839514	296589	Yuk
839514	303001	Shu Li Han
839514	332316	Jo Jo Huen
839514	332317	Celia
839514	332318	Ting Siu-Wo
839514	358910	May
839514	369763	Ah Bo
839514	370806	Yun Yan
839514	371501	Kitty
839514	371577	Jia-Chien
839514	374826	Lin
839515	360986	Liu Lan
839516	3244	Lily
839517	125409	
839517	156911	(segment "Medico e fidanzata"
839517	199062	
839517	207702	O-Lan
839517	212518	
839517	301183	
839518	343232	Jayna
839519	62143	
839519	164623	Chi Chi
839519	248458	Pei Pei
839520	105028	Member of The Dixie Chicks St
839521	110586	Cindy
839522	41409	Special Lady
839522	62106	News Reporter
839524	298330	Xiao Long Nu
839524	351888	
839524	393546	
839525	101070	Model
839525	117522	Traveler
839525	297937	Midwife
839525	400236	Judith Chen (2002-present)
839526	17605	Jenny Yu
839527	245008	Solid Gold Dancer
839527	410586	Flight Attendant
839528	169594	Auntie #3
839529	364358	Cokehead Pugilist
839530	371092	Auditioner #3
839531	35239	Ben's Admirer
839532	52025	Cai Yue
839532	231276	Rugui
839532	369036	Zhu Yuwan
839532	371471	Chen Yindi
839533	59291	Tong Nian
839534	337998	Trancer
839535	136458	
839536	38236	
839536	296568	Hei Dahan
839536	341399	A Long
839537	74254	Regina
839537	93762	Liz
839537	107044	Genie
839537	362493	Jenny Nguyen
839538	135640	Tanya Chong
839539	3454	A Yin
839539	135015	Xiao Mingjuan
839539	300382	Yalun
839540	332357	Shen's Wife
839541	177128	
839542	39241	Sharon
839542	298704	
839543	38405	
839544	300757	Chen Fang
839544	359012	Liu Meng
839545	167839	
839546	113261	Dancing Nurse
839547	254948	Dai Mui
839547	298710	Crying Ten
839548	239151	
839548	347185	
839549	372243	He Ming
839550	54178	
839551	276875	Bailiff
839551	345721	
839552	167457	Auntie Hong
839553	131418	Baby
839554	184311	Street Committee Officer
839555	193980	
839556	113489	Librarian
839556	346892	Dry cleaner
839557	362308	Trini
839557	378829	Stephanie Wu
839558	63451	Wu Xiuying
839559	3113	Kito
839559	40787	Natalie
839559	47009	Lee
839559	86560	Yu Ching/Herself
839559	86982	Nicole 'Nic'
839559	100771	Diana
839559	110575	
839559	136299	Mizky Segawa
839559	141605	Madame Lien
839559	159169	Mei Ying
839559	162329	Ming
839559	169594	An Mei's Mother
839559	177128	
839559	185241	Wen Hsiu, First Concubine
839559	187285	
839559	209927	Lin Hui
839559	211758	France Tran
839559	255872	Nagiko
839559	274340	Wu Wen Li
839559	296779	Moo-Ling
839559	308570	Soong May-ling
839559	316168	Japanese Woman
839559	326801	Mitsu
839559	344552	Yu Ching
839559	350474	Lili
839559	350475	Lili
839559	350476	Lili
839559	350477	Lili
839559	367598	
839559	406674	Japanese Woman
839560	251108	Old Lady Wu's Friend
839561	192465	Gao Xiaoling
839562	138016	Deng Li
839563	367159	Qing Feng
839563	369190	Mrs. Xiao
839563	371486	Mother-in-law
839564	369850	Sister Black
839565	140853	Huimei
839565	275567	
839566	231269	Xia Yinyin
839567	111200	
839567	369607	Huanhuan
839568	192464	Shen Hua
839569	369924	Juying
839570	165303	Nadja Smolenska
839571	339445	Bored Girl
839572	178639	
839573	311671	Little Girl
839574	32970	Model
839575	280309	Karin
839576	18137	Sonja
839576	210031	Bankangestellte
839576	358523	Krankenschwester 2
839577	222599	Victim
839578	6994	Melodi
839578	15377	Denise Kalberg
839578	16890	April Williams
839578	31855	Jackie Trent
839578	34443	Anya/Brunhilda
839578	35653	Rita
839578	44975	Jennefer
839578	68271	Special Agent Tanya Adams
839578	68275	Special Agent Tanya Adams
839578	73835	Mia
839578	81177	Sexy Woman 2
839578	87517	Kristi Wilson
839578	88526	Jenny
839578	98161	Sheriff Samantha Parker
839578	109621	Sasha Burns
839578	113319	Julie Seska
839578	113857	Gloria
839578	117346	
839578	122633	Marete
839578	142620	Amy Klein
839578	145019	Claudia
839578	146810	Maggie
839578	163958	Karen Clay
839578	174517	Kate
839578	176844	Danielle
839578	177421	Susan Gatley
839578	178149	Darcy
839578	178207	Dara
839578	201627	Herself/Jackie Trent
839578	202325	Jessica Tarrant
839578	209436	Gwendolyn
839578	237992	Jeri Gillen
839578	245112	Sunni
839578	254761	Katie Shuster
839578	265866	
839578	274017	Miya
839578	281890	Kristi
839578	287142	Sandy
839578	294195	Lila Reed
839578	295562	Jessica
839578	311021	Lauren Bishop
839578	326740	Herself
839578	328263	Pamela Travis
839578	330477	Gina Lempke
839578	332169	Ann
839578	336663	Margot
839578	346332	Maria
839578	355907	Billie Reynolds
839578	403160	Hostess (1988-1989)
839578	405643	Maggie Beckett (1997-2000)
839579	195017	Lot
839580	343979	
839581	403291	(2003)
839582	227042	Woman with Red Opel
839583	10317	Mira
839583	159550	Aunt Rose
839584	104752	German entry (8th place)
839585	394392	Bartender
839586	27097	Additional Voices
839586	308778	Cream the Rabbit
839587	290338	Lady Sneerwell
839588	44465	Schoolgirl
839588	138909	Jane Tupper
839589	306250	Dancing Woman
839590	217785	Kollega, Mie
839591	391135	Ute
839592	309669	Ghost Child
839593	48345	
839593	83068	Receptionist Sprogskolen
839594	185796	
839594	289852	
839595	54884	
839596	124115	Villager
839597	15398	Anaerhan
839597	29162	Tochter Einkaufszentrum
839598	374129	Dritte Dame
839599	325424	
839599	325434	
839599	325857	Zweite Zeugin
839599	387934	
839600	390242	Wendela 'Wendy' Hafkamp (#1)
839601	118744	Annie Simpson
839602	385052	Graciela Casares
839602	397738	
839603	204185	Dorothy
839604	22857	Dream girl
839605	246379	
839606	20065	Bartender
839606	257910	Kelly
839607	184978	Girl on Bench
839608	306271	
839609	28493	Townspeople
839609	274427	Driscoll Townsperson
839610	376	Tita
839611	82099	Costume Manager
839611	195855	Beverly
839612	49301	
839612	111955	
839613	269892	Aborigine
839614	371896	Ruwu
839615	271520	Herself - Vocal ensemble Raja
839615	329318	Herself - Vocal ensemble Raja
839615	392100	Herself - host/singer
839616	8912	Herself
839616	8913	Herself
839616	14029	Herself
839617	78838	
839618	388609	Nora Weis
839619	389307	Lotte (1982-)
839619	394053	(2002-)
839619	395364	Filuren (puppeteer/voice)
839619	399892	Tove
839620	315998	Marlin Downey
839621	26137	Schoolgirl
839621	213626	Extra
839621	244830	
839622	231468	
839623	20324	
839623	24082	Frl. von Bode
839623	40585	
839623	48411	
839623	111354	
839623	119027	
839623	129695	
839623	132251	
839623	156495	
839623	171664	
839623	180882	
839623	186226	Lavendelweib
839623	186901	
839623	189616	
839623	210105	
839623	250468	
839623	275190	Ellis Wirtin
839623	290575	Tante Luise
839623	302677	
839623	306422	Frau Zechner
839623	311068	
839623	335994	Mutter Thomas
839623	347431	
839623	354787	
839623	367141	Emma Kolbe
839623	376321	
839624	184394	
839624	312204	
839624	317656	
839624	325456	Frau Kleinhans
839624	336499	
839624	361311	Oma
839624	386334	Oma Drombusch
839624	397487	Amalia
839624	411096	Mrs. Hopkins
839625	231266	
839626	178218	Grandma Esther
839627	99736	Hôtesse auberge
839627	399811	
839628	312946	Zina Trotsky
839629	80584	Freeway Reporter #3
839629	178127	
839629	251867	Sharon
839630	130610	Hairstylist
839631	96747	Jessica
839632	128342	Maggie
839633	366316	Store Owner/Complaining Wife
839634	283758	Dona cun scuva 5
839635	82336	Olga
839635	82460	Blackjack Dealer
839635	359324	Burka Woman
839636	103929	
839636	245957	
839637	161278	Herself
839638	58542	Museum Tourist
839638	334853	Student
839638	403241	Herself
839638	409616	Mary
839639	119702	
839640	207079	Narrater
839641	16422	Guard
839641	152606	
839641	245907	Junkie in bathroom
839642	12565	Kathrin
839642	20144	Ariadne
839642	41713	
839642	111348	Bettina Stahl
839642	160271	Miriam Philipp
839642	189436	Herself
839642	210019	Tessa
839642	216251	
839642	218964	
839642	281715	Eleanor Dean
839642	281726	Prue
839642	290108	Karin Engel
839642	302671	Mai Jacobus
839642	302788	Anna-Sophia
839642	314898	Eva Strobel
839642	327920	Dr. Bettina Mertens
839642	338428	Chris
839642	367327	Aloisia
839642	374123	Katharina Klante
839642	382285	Pat (segment "Bounty")
839642	389840	Katrin Wichert
839642	391273	
839642	395456	Sylvia Prantner
839642	395505	Alpha Steininger
839642	404454	Susanne Neumann
839642	404488	Elke Brinkmann, verw. Poser
839642	405449	Anna-Sophia
839643	196082	Herself
839644	189892	
839645	134545	Rina
839646	264091	Wednesday
839647	218977	
839648	356864	Voice
839649	385151	Kid
839650	21447	Mother
839650	92269	Judge
839651	42426	Zoe Dean
839651	44954	Fanny Blaine
839651	144833	Jennie Chubb
839651	155700	Jane Coolidge
839651	303067	Eleanor Du Bois
839651	335699	Jane Cunningham
839652	274557	Embassy Secretary
839653	148258	Rita
839653	151641	Cloakroom Attendant
839653	255826	Maggie
839654	411541	Herself (1994)
839655	394492	Additional Voices
839657	9889	Norma
839658	325269	Dorinda Thomas
839659	12286	Girl
839659	20267	Indian Child
839659	44321	Molly Rand
839659	105649	Girl in Elevator
839659	212746	Lily O'Halloran
839659	235168	Susie
839659	346089	Penny - as a child
839659	347731	Milly Dee
839659	349917	Lady (as a Child)
839660	11945	Chickenette
839661	12665	Mitzi
839661	27196	Tourist #1
839661	82538	Millicent
839661	120458	Paramedic
839661	127324	Dixie
839661	139597	Mistress of Ceremony
839661	168120	Reims Noblewoman
839661	185704	Voice in Crowd
839661	223977	Dialogue Coach
839661	306288	Maidservant Elsa
839661	310852	Jamie
839661	340246	Dickinson's girlfriend
839662	22856	First Couple (Racquet Club)
839662	121836	Baruch's Secretary
839663	328663	Mayor Wyatt
839664	235694	Ambruster's Secretary
839664	301842	Madame Fabour
839664	358583	Prostitute
839665	44479	Girl
839666	13619	Amy Earhart
839666	14492	Alice Leacock
839666	20533	Beth Ainsley
839666	26652	Marta
839666	27152	Mrs. Marshall Brown
839666	44012	Madge Harvey
839666	48626	Vinnie Marr
839666	53558	Dr. Edith Cabot
839666	73349	Maggie Powell
839666	109846	Margaret Anderson
839666	118857	Herself
839666	121861	Herself
839666	125884	Jane
839666	128183	Anne Webster
839666	133589	Estella
839666	150812	Marjorie Byrne
839666	153140	Joan Wyatt
839666	160860	Prue Stubbins
839666	173511	Eleanor Sager
839666	174584	Emily Alman
839666	178200	Laura Anders
839666	183407	
839666	187148	Herself
839666	194822	Sondra
839666	195307	Eleanor's Mother
839666	196881	Pat Duncan
839666	203479	Lois Frazer
839666	214162	Mrs. Mathews
839666	215745	Judge Eloise Walker
839666	223733	Janet Pringle
839666	223879	
839666	228354	Anna
839666	228821	Myra Mallory
839666	228969	Herself
839666	229515	
839666	230421	Grace Kimbrough
839666	233778	Miss Darlington
839666	234803	Aggie Hunter
839666	241553	Dinny Cherrell
839666	244932	Mrs. Fred (Lois) Macaulay
839666	256854	Sue Forbes
839666	293092	Augusta Flanders
839666	301628	Narrator
839666	302110	Newsreader
839666	313396	Amanda
839666	315627	Narrator
839666	316064	Dr. Mary Palmer
839666	319546	Fay Bonelli
839666	325199	Mary Morgan
839666	335121	Aunt Polly
839666	338801	Aunt Effie
839666	342959	Anne Davis
839666	360533	Sally Rogers
839666	360866	Ellen 'Gretch' Craig
839666	360883	Sister Frances
839666	372301	Mary Alden
839666	384865	Narrator (1966)
839666	388495	Margaret Anderson
839666	406319	Katherine Auschlander (1983-1
839667	68697	The Apprentice
839668	334224	Narrator
839669	110458	
839669	356454	Allison
839669	396181	Luna (series 2)
839669	406994	Lead Singer & Dancer
839670	323868	
839671	131008	Indian Child
839672	119615	Herself
839673	1038	Dancer
839673	313825	Nightclub Dancer
839673	383721	Dancer
839674	90772	Linda Connie
839674	160885	Necklace Admirer
839674	187191	Jail House Guard
839675	110149	
839675	331471	Rochelle
839677	257182	Weeping Girl's Friend
839678	88174	Bet
839678	238709	Prostitute #1
839679	203980	Big Pearl
839680	154048	
839681	75759	Nita Proxy
839682	20434	BMW Woman
839682	68309	Leslie
839682	113353	Sharon
839682	154466	Trudie
839682	207858	The Male's Mother
839682	281997	Harriet Osborne
839682	389858	Elsie Mae Crumholz Donely (ak
839682	392620	Host
839683	10668	Lorina Liddell
839683	31823	Joanna Sutherland
839683	56899	Joan
839683	72353	
839683	101382	Liz Davidge
839683	154101	Bride
839683	281400	Gertrud
839683	297766	Gwenn
839683	327429	Miranda
839683	382170	Rosa
839683	403526	Victoria Nicholls/Victoria Tr
839683	403722	Muriel
839684	129170	
839684	191628	Ann
839684	249486	Pam
839684	291807	Nurse
839684	364045	Ann Fisher
839685	325113	Ape
839686	150790	Angelica Bell
839687	384783	Rosemary Gray
839687	401136	Susan Harper
839687	408819	Dora Bastable
839688	125578	Cheerleader Coach
839689	19444	Mrs. Sanders
839689	73879	Madame Pelletier
839689	105975	Maggie
839689	112348	Jane Thomas
839689	117646	Mrs. Song
839689	138383	Ludmilla Novotny
839689	168636	Miss Drumm
839689	175184	Old Mrs. Forrest
839689	196487	Old Crone
839689	203622	Mrs. Flynn, the housekeeper
839689	213069	Mrs. Weldon
839689	218704	Mme. Sarah Orden
839689	263169	Mrs. Robards aka Mother Robar
839689	272025	Mrs. Deventer (Country Inn re
839689	294755	Mother York
839689	308079	Grandma Read
839689	330605	Madame Rosalie La Grange
839689	353520	Mrs. Schomberg
839689	363854	Ma Jarrett
839689	370892	Ma Forrester
839689	384426	Mrs. Brown (1952)
839690	134183	Evchen
839691	355086	Mrs. Sarrison
839692	343294	Paul's Girl at Party
839693	49788	
839693	329822	
839693	354732	
839694	192112	Married Woman
839695	194145	Fighter
839695	267640	Chata
839696	354164	Trainee
839697	11881	
839697	17725	Frau Bock
839697	24082	Frl. von Steuben
839697	94280	
839697	99528	
839697	109201	
839697	110067	
839697	128471	
839697	143808	
839697	144147	
839697	145328	
839697	155438	
839697	164272	
839697	174824	
839697	188749	Dünne nachbarin [thin neighbo
839697	189617	
839697	189645	
839697	189689	
839697	207086	
839697	216995	
839697	281643	
839697	311240	Eulalia Schulz
839697	322999	
839697	361407	Frau Stoltenhagen
839697	376576	Frau Weber
839698	109592	
839699	230526	Stephanie Constable
839700	232319	Lady in Marquee
839701	99893	Gritty
839702	42242	Kolatowska, Roman's Wife
839703	384627	Governor's Daughter Amy Wyers
839704	384627	Governor's Daughter Bethany W
839705	384627	Governor's Wife Tammy Wyers
839706	169843	Shirley Simon
839707	301301	The Bride
839707	385299	Alison Cotterill
839707	397182	
839708	195335	Stewardess
839708	230857	Sandy
839709	30437	Germaine
839709	49874	Natalie
839709	65764	Girl in ascot fantasy
839709	69421	Carole
839709	132210	Anna
839709	138246	Pub Whore
839709	138248	1st Pub Whore
839709	154984	Wendy
839709	160556	Meg
839709	234098	Miss Martin
839709	312908	
839709	315883	Caroline
839709	342597	Countess Mircalla
839709	403638	Ilse (1976)
839710	52328	Leona
839710	96973	Joanne
839710	312970	Rachel
839711	78845	Teacher
839711	247039	Bess Gossage
839712	183343	Groupie
839713	307020	Nancy
839714	78337	La mère Doorik
839714	345235	
839715	346020	Villager in 'Sailors Arms'
839716	354136	Opium Girl
839718	257292	Derna Lee
839719	17174	
839719	32553	
839719	34863	
839719	39998	
839719	44907	
839719	52350	
839719	59157	
839719	75191	
839719	81971	
839719	84003	
839719	86706	Segment 1 Girl
839719	96544	
839719	98852	Topless girl
839719	128846	Herself
839719	150344	
839719	199234	
839719	216435	
839719	233693	All for one...
839719	239888	
839719	252172	
839719	252842	
839719	253459	
839719	282319	
839719	295681	
839719	295807	
839719	302328	
839719	313262	
839719	314712	
839719	319705	Herself
839719	321636	
839719	331726	
839719	357158	Herself
839719	358074	Herself
839720	220487	
839721	313865	Herself
839722	30038	
839722	128156	
839722	128235	
839722	291280	
839723	256220	Savannah
839725	169422	Ida Wright
839726	52361	At the Airport - Stewardesses
839730	55700	Maureen Darcy
839731	33924	Herself
839731	34977	Girl at Soda Fountain Admirin
839731	275470	
839731	280803	Schoolgirl
839732	297232	Dr.
839732	340799	Charlene
839732	385041	Rosita
839732	404102	Dr. Estudias
839733	7089	Mrs. Emily Tarbell
839733	47385	Herself
839733	84971	Lady of joy
839733	117112	Alicia McKnight
839733	127139	Frances
839733	185270	Mrs. Franklin
839733	206477	Gwen
839733	241166	Mrs. Anthony
839733	261062	Emily Amend
839733	264581	Aunt Kissy
839733	363072	Olivia Probaska
839733	382339	Herself (regular performer)
839733	400161	Toni McBain
839733	404282	Judge Larson (1988)
839733	405882	Doris Hiller (1973-1974)
839734	34977	Girl at Soda Fountain Admirin
839734	280803	Schoolgirl
839735	63123	Sally
839735	187193	Staff Member
839735	273468	Madeline Turner
839735	334214	Courtney
839736	376122	Boss
839737	50981	Pilar
839738	58171	Mme. Denis
839738	122653	Bit part
839738	135911	Social Hall guest
839738	151084	Bit part
839738	230693	Midinette
839738	271294	Guest
839738	347732	Madame Joubert
839738	365329	Guest
839739	59099	2nd Stiletto Deb
839739	314098	Marlene Standing Rattle
839739	365424	Bodine's girl in Benson
839740	340542	Brigette
839741	242090	Countess Arline
839742	302710	Dancer
839743	142719	Rock Concert
839744	329524	Erika Jensen
839744	336165	Mooley Peck
839745	311911	Alice Keller
839746	34977	Saleswoman
839747	14171	Herself/"Nurse Moan-eek"
839747	298318	Dawg
839747	384099	Nurse Moan-eek
839748	81584	Jean
839748	171042	Homeless Lady
839748	176985	Mrs. Savage
839748	252897	Kate Dillworth
839748	306197	
839749	100877	Nun
839750	318670	
839751	315619	Hazel
839752	207268	Female dancer
839753	26062	Sister Tarsisis
839753	32173	Woman
839753	35232	Meg
839753	49531	Mrs. Patterson
839753	81271	Mae Sinclair
839753	92736	Mrs. Gannon
839753	99578	Grandma
839753	115526	Helen Cooper
839753	130972	Glenda
839753	185670	Granny Gordon
839753	191344	Sister Margaret
839753	206255	Mrs. Turpin
839753	235615	Grandma on Commercial Set
839753	244923	Nurse
839753	270929	Cal's Mother
839753	292247	Mrs. Gardner
839753	313438	The Keeper (Talosian)
839753	339463	Hertha
839753	368687	Granny
839753	389858	Doris Roach, R. N. (1975)/Lil
839753	391370	Mrs. Shafer
839753	391834	Mrs. Liderman
839753	408096	Annie
839753	408791	Mrs. Kissel (1963-1964)
839754	356230	Model
839755	319039	Morgana
839756	321518	Arline
839757	1962	Herself
839757	2376	Herself
839757	11483	Cary Scott
839757	11510	Bit Part
839757	16674	Marge Allen
839757	18615	Chorine
839757	27315	Mary Hathaway
839757	34028	Undetermined Bit Role
839757	41987	Louise Mason
839757	42731	Joan Shotesbury
839757	43425	Katie Willard
839757	47894	Claire Adams
839757	47895	Claire Terry
839757	52043	Extra
839757	60936	Ann Kincaid
839757	67156	Chorine
839757	73134	Robbie Vance
839757	73933	Vivian
839757	92007	Vivian Marsden
839757	99455	Bit part
839757	107388	Mary Bloomquist
839757	115471	Nan Hudson
839757	116790	Bit Part
839757	116897	Flo La Verne
839757	123351	Laurie Ogden
839757	126067	Chorine
839757	130624	Chorus girl getting on train 
839757	138700	Herself
839757	140755	Violet Coney
839757	143580	The Nurse
839757	143605	Emmadel Jones
839757	147524	Mrs. Mary Dean
839757	147663	Herself
839757	147785	Herself
839757	148940	Elizabeth Clochessy
839757	151551	Elaine Benson
839757	158902	Granny Arrowroot
839757	163443	Herself
839757	168646	Belinda McDonald
839757	171134	Carolina Hill
839757	176326	Marian Bronson
839757	176335	Goldwyn Girl
839757	176361	Judy Craig
839757	177262	Babette Latour
839757	177364	Dancer
839757	178042	Polly Haines
839757	183824	Jennifer Smith
839757	184833	Denny Costello
839757	188332	Constance Stuart
839757	192161	Katie Snee
839757	194987	Helen St. James
839757	197073	Lucy Gallant
839757	200304	Mary Peterman
839757	200485	Helen Phillips
839757	201460	Susan Courtney
839757	201669	Cary Scott in "All That Heave
839757	214932	Ruth Wood
839757	220582	
839757	220905	Marjorie Day
839757	223912	Connie
839757	224119	Joy O'Keefe
839757	224136	Party guest
839757	231768	Gracie Harris
839757	238613	Herself
839757	241561	Frankie Connors
839757	245645	Co-ed
839757	259777	Aunt Polly Herrington
839757	259789	Bit Part
839757	264171	Jean Campbell
839757	264644	Myrna 'Jinx' Winslow
839757	266730	Florence 'Flip'/'Flipsie' Lan
839757	273251	Dot, McNeil's Secretary/Recep
839757	283236	Bit part
839757	291301	Herself
839757	291348	Herself
839757	299674	Herself
839757	302723	Joan
839757	304990	Pearl, Stumpy's Girl
839757	305453	Dixie, Hatcheck Girl at Milli
839757	306396	Selina DeJong
839757	312156	Elaine Burdette
839757	312782	Eve Gill
839757	312810	Bessie Funfnick, Chorus Girl
839757	313695	Cameo appearance
839757	315095	Bit Part
839757	315749	Betty Rogers
839757	319042	Butte Soule
839757	323154	Alabama
839757	331393	Marcy lewis
839757	336044	Ellen 'Torchy' Blane
839757	341529	Peggy Armstrong
839757	364804	Betty Martin
839757	365190	Herself
839757	370892	Ma Baxter
839757	372328	Bliss Dobson
839757	388237	Angela Gioberti Channing Erik
839757	393320	Herself/Host
839757	406901	Host (1957)
839758	155248	The Vision
839759	41278	Fleabrain
839760	16891	Herself
839761	245506	Lorraine
839762	10160	The Actress
839762	72847	Woman/Beach Babe/Porn Actress
839762	252211	Confident Gal
839762	311194	Hannah
839763	11326	Actor (Gertrude)
839763	109664	Meg Chipstead
839763	129117	Forest of Dean
839763	184536	Anne
839763	285286	Casualty Doctor
839763	300956	
839763	383845	
839763	397676	Joyce Barnaby
839763	399531	ATS officer
839763	401743	Morwenna Chynoweth/Whitworth/
839764	26528	Candy
839764	366780	Hag of Devon
839764	372567	Mindy Evans
839765	41926	Haley
839765	185386	Jenny
839765	353710	Model in front of Test Charts
839765	363931	Cindy
839766	37470	Daisy Fisher/Dora Figg
839766	58724	Vivian (Delano's hostess)
839766	154898	Gloria Knight
839766	177606	Prince Christiane
839766	202928	Lora Roberts
839766	238071	Adele Ekstrom
839766	280288	Johanna Carter
839766	285091	Leslie MacDonald
839766	298078	Karen Keene
839766	298122	'Poison' Ivy Williams
839766	313695	Cameo appearance
839766	326368	Beatrice Darcy
839766	399190	Rhoda (1965-1966)
839767	166153	
839768	152584	Doctor
839768	231132	Party Guest
839769	151166	Female Diner
839770	88564	Hostess
839771	321115	Woman
839771	367511	Seated Guest on Yacht
839772	186061	Receptionist
839773	301681	Sister Mary
839775	401433	Mrs. Burnett
839775	409401	Margaret Ashford
839776	86033	Miep
839776	291903	
839776	314949	
839776	381316	Rachel Miller (1975)
839776	389858	Caroline Murray (1972-1973)
839776	404613	Dr. Amy Kaslo Carson (1975-19
839777	279521	Mary Madison
839777	313833	Girl
839777	351918	Stenographer
839778	52478	The Girl
839778	117976	Helen
839778	124752	Betty
839778	144934	Betty Cunningham-Smith
839778	169233	A Little Lady
839778	170145	Nurse Eve Rowe
839778	186810	Ann Jordan
839778	196615	Mabel, Mrs. Borring
839778	196994	Minnie Sullivan
839778	215808	Mary Dean
839778	348312	Mary Murgatroyd
839779	42772	Personnel director
839780	112414	Dulcina
839780	372846	Rosalind Fairlie
839781	80420	Pat Stone
839781	133531	Kate Hampton
839781	204856	The Girl
839781	235594	Gwendolyn Gerald
839781	306240	
839781	308345	Esther Raphael
839781	332466	Columbine
839781	337110	Queenie Clay
839782	822	Liesje
839783	328561	Kay Nealy
839783	380391	Rachel Davis Matthews Clark F
839783	390771	Charlotte Waring Fletcher Bau
839784	385441	Secretary
839785	30311	Mrs. Singer
839785	59244	
839785	109993	Dance Teacher
839785	277889	Aunt Edith
839785	349512	Gracie
839785	380464	
839785	391869	Miss. Malloy (1988-1989)
839785	403244	Mrs. Beckett
839786	14098	Herself
839786	31655	Herself
839786	120540	Herself
839786	242956	Herself
839786	281530	Herself
839786	383385	Darlene Stankowski (1986-1987
839786	384590	Herself (sings to Reagan)
839786	407935	Guest Performer
839787	393173	Jean Kennedy
839788	230301	Laura
839788	314526	
839789	356472	The Media (Herself)
839790	143708	
839791	92324	Tour Guide
839792	140315	Stripper #3
839793	63021	
839793	128638	
839793	333832	
839793	333834	
839794	168721	
839795	47191	Demonstrator
839796	145900	Guest
839797	330094	Ann Bailey
839798	81640	
839799	129184	Laura Lee
839800	330664	WAAF Woman
839801	386616	
839802	113743	Jesse Little
839803	38660	
839803	72618	
839803	77908	Phyllis Baxter
839803	262012	Sally Slocum
839803	272087	
839803	297769	Ethel Hathaway
839803	367481	Helen Comstock
839804	177451	
839805	52051	May Wynn
839805	93240	Cigarette girl
839805	109210	Eva Gooch
839805	128342	Mitzi
839805	149027	Chu Lan
839805	203222	Carol
839805	224412	Stewardess
839805	237598	Mother (Prologue)
839805	324244	Evelyn Phelps
839805	330205	Manyi-ten
839805	338812	Maid
839805	347352	Concha Ramsey
839805	354852	Caroline Vail
839805	364029	Ectay-O-Wahnee
839805	399589	Liz Clark
839806	119414	Herself - a Singer
839806	131507	Singer
839806	161575	Dinner Club Singer ['Intrigue
839806	162528	Kitty
839806	165206	Herself
839806	214080	Flo Turner, Band Singer
839806	223970	Sally Elliott
839806	248607	Herself - Band Singer
839806	248838	Luana
839806	264171	Nightclub singer
839806	279985	
839806	288731	Herself - singer
839806	299936	Dixie Waye (torch singer)
839807	37427	
839807	45013	
839807	208118	Pat Wynn
839808	395280	
839809	358662	Hassie Berlson
839810	158598	
839810	321238	
839811	50761	
839811	141394	Gina
839812	75035	
839813	47451	Onondaga Clan Mother
839814	14403	Anne
839814	16934	Gina Lock
839814	56862	Mrs. Kendal
839814	87631	Susie
839814	163200	Constance
839814	239738	Kay Stewart
839814	302267	Goldie Divine
839814	305485	Carole
839815	49973	Homeless
839816	42222	Waitress
839816	342908	Bank Teller
839817	256332	Young Marla
839818	128589	
839818	167047	Woman
839818	369492	Xanadu Dancer
839818	405839	Herself (Solid Gold Dancer, 1
839819	323384	
839820	21510	
839820	35352	Betty
839820	216962	
839820	310253	Kate Heathcote
839821	396137	
839822	364465	Dancer
839823	287282	
839824	399459	Martha Dodd
839825	281150	Station Mother
839826	61796	
839826	66180	
839827	170888	Woman in Gallery
839828	8067	Arla Ashby
839828	40033	Nurse McIntyre [Ch. 9]
839828	49957	
839828	51975	Lottie
839828	72731	Mazie
839828	82951	Missy
839828	83913	Henry's wife
839828	84977	
839828	110363	Cockney Woman
839828	120571	Miss Joyce
839828	176375	Martha
839828	201064	Young Woman
839828	204165	Esther
839828	216926	Nurse
839828	223065	Ada Nutting
839828	263281	Miss Chalmers
839828	319599	Gloria the Switchboard Recept
839828	337710	Kay
839828	353362	
839828	365234	Martha Devery
839828	372929	
839829	222998	Flo Double
839830	70363	Herself/Interviewer
839831	137679	Host
839831	155276	Herself
839832	41186	Tiffani Lampley
839832	311358	Diana Sendak
839833	142402	Hayley
839833	289530	Mock Juror #1
839833	367638	Betsy
839834	397175	Sara's Mom
839835	381821	Ensemble (1976)
839836	238126	Kim
839837	49944	
839837	96867	Herself
839837	236115	
839837	368060	Grace
839837	380708	Sasha's mum
839837	387247	Yolande Duke/Trueman (2003-)
839837	399554	Melba
839837	410898	Mrs. Williams
839838	9129	Cindy Bakersfeld
839838	18564	Jane Peterson
839838	67313	Francine Rapport
839838	68675	Julie Klanton
839838	69627	Eleanor Warren
839838	73424	La Signorita
839838	76195	Valerie Russell
839838	77934	Eva Wainwright
839838	120927	Erika Angermann
839838	155829	Ellen Whitlock
839838	157783	Sue Trumbell
839838	161743	Becky Driscoll
839838	163357	Model
839838	178947	Morgan Le Fay's servant
839838	183670	Myrtle Shaw
839838	191491	Lady Jocelyn Bruttenholm
839838	192636	Andrea Hardesty
839838	198444	Maggie Michaels
839838	240723	Lady Margaret MacKenzie-Smith
839838	245819	Judge Lynn Oliver
839838	269713	Lady Helena Trimble
839838	276688	Katherine Ironside
839838	282667	Queen Elizabeth II
839838	287815	Valerie
839838	288888	Jessie Coutances
839838	297082	Jennifer Curtis
839838	302856	2nd Officer Anne Davis
839838	308089	Holly Keith
839838	354160	Dinah Higgins
839838	363797	Marjorie Brewster
839838	367675	Elaine
839838	381110	Mrs. Colgate
839838	382635	Mrs. Daly (1978-1982)
839838	396700	Eva Wainwright (1966-67)
839839	1703	Herself
839839	1923	Herself
839839	2964	Talia Elsworth
839839	46767	Alma Mahler
839839	66335	Ann
839839	95908	Sleeping Beauty
839839	109076	Natalya
839839	166882	
839839	188223	Sara
839839	194963	Claire Van Owen
839839	217421	Julie McKay
839839	220626	Michelle Kelly
839839	270348	Alex
839839	299724	Emi
839839	310648	Melissa
839839	331346	
839839	378807	Kate Warner (2002-2003)
839839	384366	Catherine (1997)
839840	26725	Mrs. Hatherley
839840	401778	Liberal Democratic Committee
839840	405387	Mother
839841	19960	Mrs. Finley
839841	30277	
839841	48539	
839841	49787	The Girl, Marian
839841	52671	Hope Strong
839841	64359	Helen Lane
839841	64850	Mrs. Walcott
839841	65182	Violet
839841	83787	Thelma, Blair's Secretary
839841	83932	Mrs. Irene Evington Hadley
839841	87990	Mrs. Silvers, Hostess
839841	92526	Mrs. Hubbell
839841	98177	Mrs. Warren
839841	99396	Miss Fox
839841	107013	Miss Hart
839841	107703	Arlette
839841	118546	Mrs. Mablett
839841	123141	Estelle Posna
839841	128427	Molly Shane
839841	133688	Mrs. Anderson
839841	137393	Miss Hart, in 'Fabulous Joe'
839841	137505	Caroline Rawlins
839841	139760	Nancy
839841	144931	Woman behind counter
839841	146323	Flo
839841	163959	Paddy Moore
839841	188399	Caroline
839841	190062	Elizabeth Norton
839841	197320	Mrs. Randolph
839841	202631	Mrs. McIntosh
839841	203133	Bridesmaid
839841	203281	Joyce Griffith
839841	206414	Margaret Johns
839841	215990	Martha
839841	227339	Edna Gregory
839841	236129	Grace Weston
839841	247376	Helen Lane
839841	249261	Nellie
839841	253471	Gwen Gary
839841	254558	Cornelia Wilmont
839841	263594	Mrs. Falcon
839841	265384	Dorothy (reporter (
839841	269364	Horace's Wife
839841	274738	Adele Webster
839841	275725	Mary Joyce
839841	302885	Heiress Doris Bailey, posing 
839841	305453	Marcia Friel aka Marcia Corso
839841	317223	Nina
839841	319226	Ann Marsh
839841	329433	Gloria Gordon
839841	335228	Frances, the Schoolteacher
839841	337625	Jack Hale's
839841	346256	Mrs. Bailey
839841	367552	Miss Withers
839841	367919	Miss Batchelor
839842	110943	
839842	361848	Apache Girl
839843	296752	Exotic Dancer
839844	57260	Jane Marryot
839844	110996	Matron
839844	119582	Irena Roder
839844	124373	Bella Mallen
839844	155593	Lady Gertrude Chiltern
839844	162838	Mrs. Fleury
839844	177816	Helen Walshingham
839844	188462	Alice Overton
839844	210770	Laura Mattson Seward
839844	240812	Kit Kobling
839844	241553	Claire Corven
839844	263785	Mary Anne
839844	272532	Princess Natasha
839844	276951	Elena
839844	335073	Mrs. Arnold
839844	363364	Anne
839844	402245	Empress
839846	253019	Val
839847	105859	Lisa Vogel
839848	58670	Herself (Orbiter Test Conduct
839849	290070	Clara Sternberg
839850	24620	
839850	58691	Ela
839850	74787	
839850	179183	Friend
839850	181360	
839850	251923	
839850	367198	
839850	375466	
839851	86038	Frannie
839852	68064	Singer #3
839853	306471	Jamie Mylen
839854	131232	Extra
839855	131232	Extra
839856	89482	Tunka Czabranowna
839856	125141	Ania Tarkowska
839856	162205	Irena Majewska
839856	179200	Hanka Zarska
839856	232664	Lieutenant
839856	244110	Marta
839856	248000	Lili
839856	282762	Magdalena
839856	294662	Lusia
839856	311896	Mary Godzicka
839856	369008	Debska
839856	375439	Magdalena Nieczajówna
839857	94057	Jerzy's Grandmother
839857	95968	Mossakowska
839857	95971	Mother Zamiejska
839857	125141	The Prince's Housekeeper
839857	133185	Aunt Cecilia Kolichowska
839857	165845	Count's Aunt
839857	197128	Pani Matyjaska
839857	338886	A Duchess
839857	367105	Baroness von Dorn
839857	369008	Babka
839858	17305	Jan's Assistant
839858	62694	Maria d'Agoult
839858	75924	Wiesie Winczewska
839858	282756	Lucynka
839858	301895	Kristýna
839858	334258	matka Agaty
839858	363512	
839858	388834	Sylwia
839858	401665	Dr. Barbara Lasek Wojciechows
839858	404216	Marta Ignis (2002-2003)
839858	410485	Elzbieta
839859	26700	
839860	160572	Bridie
839861	66163	Trish
839861	66164	Trish
839861	66165	Trish
839862	195945	Mrs. Peterson
839863	33502	Charlotte Breceda
839863	35252	Beth Truss
839863	39680	Diane Abbott
839863	41370	Shannon
839863	43877	Tina Grey (A Nightmare on Elm
839863	60240	Chris Baird Trehearn
839863	80781	Andy/Angela
839863	83657	Jerri
839863	86558	Lt. Fredericks
839863	107833	
839863	109524	Lisa
839863	113296	
839863	113911	Marilyn
839863	114785	
839863	117500	Cindy Lester
839863	136056	Lizzie Tewksbury
839863	158994	Chastity
839863	176822	Dannelda Lyons
839863	206467	Nora Dawkins
839863	224164	Tobi Jensen
839863	232458	Tina Grey
839863	244430	Kimi Langford
839863	262160	Rabbit Layton
839863	297145	Tracy
839863	297911	Cindy Scott
839863	302031	Phoebe
839863	308071	Laura Grant
839863	308344	Cellia
839863	316445	Michelle Harding
839863	330715	Holly
839863	334152	Celia Kett
839863	341812	Maddie
839863	383183	Bridget Cagney (1986-1989)
839863	391560	Randi MacFarland (1992)
839864	73207	
839864	232205	Joni
839865	33418	Cathy Dean
839866	240866	Ex-Wife
839867	20378	
839868	13619	Purdue Co-Ed
839868	193956	
839869	357107	Dora
839870	357107	Dora's Daughter
839871	75975	Dr. Joanna
839872	239628	
839873	78214	
839874	152603	Barmaid
839875	352703	Herself - interviewed
839876	4661	Basienka
839876	58690	Child
839877	161708	Secretary
839878	228967	
839879	361535	Judy
839880	227533	
839881	225122	Kerstin
839881	272531	Frau in Swimming-pool party
839881	290511	
839882	107777	
839883	148819	Journalist
839884	26512	Maja
839886	307768	Väninna (female friend)
839887	27408	Ossin tyttöystävä
839887	324608	Various
839888	32380	Linnea
839888	96424	Paulina
839888	134966	Fredrika
839888	359915	
839888	384439	Jessika Thulin (2002)
839888	405570	Julia Svensson (52 episodes 1
839888	405593	Tina
839888	406271	Madde (2002)
839889	136849	
839890	394477	Lisa Clement
839891	204532	Model
839891	309064	
839892	17564	Clerk at Frigga agency
839892	48367	Guest at the wedding
839892	97089	Amalia Lundgren
839892	115382	Greta, Vera's dresser
839892	116456	Maid
839892	118696	Supreme nurse
839892	144252	Police nurse
839892	173540	Malin
839892	180937	Mrs. Persson
839892	181130	Constable's wife
839892	201223	Tekla Fridh
839892	284101	Woman helping Annemarie when 
839892	284103	Malina Karlsson
839892	314765	Mrs. Lindblom
839892	322314	Mrs. Rundblom
839892	353013	Gustaf's mother
839892	377418	Kristin
839892	377432	Kristin
839893	121018	Seamstress
839893	125894	Telephone Operator
839893	130071	Shop clerk
839893	144062	Nurse
839893	154504	Lady at the market
839893	170838	Mother at the hospital
839893	174697	Farmer's wife
839893	181850	Patient
839893	182302	Shop Assistant
839893	184585	
839893	190835	Miss Palm
839893	192654	Kitty, Rosie's dresser
839893	217451	Office executive
839893	225328	Mrs. Blomkvist
839893	240312	Waitress
839893	268354	Mrs. Jönsson
839893	270952	Margareta
839893	275590	Telephone operator
839893	303653	Woman
839893	320618	Kerstin
839893	321901	Stina
839894	193390	Mrs. Häggström
839894	272642	Guest at restaurant
839895	12964	Doris
839895	21385	Marian Almond
839895	34493	Nurse
839895	40289	The Woman
839895	48374	Mona
839895	84281	Jenny
839895	123072	
839895	128080	Mariane
839895	130072	Lena Frejer
839895	153934	Bessie Blatt
839895	182816	Charlotta Ivanovna, governess
839895	198266	Henriette
839895	204547	Nurse
839895	262663	Predikare-Lena
839895	268328	Aina
839895	268380	Eleonora
839895	304413	Anna
839895	307506	Lusja
839895	357806	
839895	377444	Anna's Mother
839895	380374	
839895	387026	Tintomara
839895	408339	Anita Lindstedt
839896	22110	Madame de Berthas
839896	32862	Ingrid
839896	48000	Sonja Semjonovna Marmeladova
839896	48360	Sofia
839896	53720	Candida
839896	89499	Herself
839896	107326	Laura
839896	108633	Ekdahlska huset - Helena Ekda
839896	115402	Karin
839896	122501	Gregor's Mother
839896	125642	Mrs. Helene Alving
839896	129267	Otti Moreus
839896	138957	Peasant woman
839896	175351	Klara Fina Gulleborg
839896	178827	Helen Fürst
839896	182282	Rut Köhler
839896	182290	Lotta Friman
839896	182302	Viola Karlsson
839896	209368	Marianne Sahlén
839896	215467	Rose Persson-Silvergrå
839896	243264	Kristina
839896	276138	Ellen Andersson
839896	286137	Sally's Mother
839896	303654	Lulu
839896	308802	Sonja's room-mate
839896	325074	Elmire
839896	350564	Birgit Sundell
839896	382890	Sofia (episode 1,2,4,5)
839896	389363	
839896	403914	Grandma
839896	406658	Grandmother
839896	407290	Hanna Johnsson
839897	390950	Cashier
839898	29579	Harelipped Woman
839898	30166	Grandmother
839899	7784	Angéla
839899	322064	Stage director's assistant
839899	322194	Marika
839900	375966	
839901	326517	
839902	180008	
839902	226399	Kropinski
839903	27975	Jasnorzewska
839903	35878	
839903	75976	Editor
839903	179180	
839903	207887	Lucja Król
839903	231361	Zofia
839903	231652	
839903	286803	Woman at Lucyna's Party
839903	360758	
839903	369005	Woman
839904	33807	Polish Tango Dancer
839904	71838	
839904	104782	Herself
839904	131754	
839904	172979	
839904	174880	Agata
839904	181145	Zuza, Alina's friend
839904	238180	Ania
839904	249690	Natalia
839904	255515	Natalia Turkot
839904	260892	Lena
839904	282756	Agnieszka
839904	304250	
839904	373439	
839904	385479	
839904	386654	Malgorzata Lejczer (1996-1999
839904	406880	
839904	412008	Aneta Czysta
839905	146530	Matka Andryszka I
839906	24551	
839907	12516	Frau Funk
839907	108148	Frau Bickelberg
839907	108149	Frau Bickelberg
839907	136212	Amelia Sunshine
839907	155602	
839907	275683	
839907	290682	
839907	325414	Frau Berger
839907	325495	Wurstverkäuferin
839907	325793	Frau Habel
839907	325819	Putzfrau
839907	377365	
839907	388290	Frau Siebenhals
839907	388783	Frau Siebenhals
839907	411198	
839907	411258	
839907	412086	Host
839908	34479	Fru Poulsen
839908	163755	Nurse
839908	168436	
839908	172658	
839908	181736	Fru Schmidt
839908	237291	Dame på Bar
839908	283789	
839908	303747	Inge Johansen
839908	315377	Jane
839908	391722	Kirsten
839908	397074	Maja Karlsen (Ulrik's girlfri
839909	275763	Andrea
839910	232798	ältere Dame
839911	172840	
839912	211489	Hanna
839913	211489	Hanna
839914	31387	
839914	46603	Köchin
839914	129495	Walburga
839915	179738	
839916	33453	Christa Knopp
839916	42151	
839916	98971	
839916	105968	Britta Seidel
839916	111760	Lena Schubert
839916	119250	Anna
839916	119256	Ria
839916	122585	Julia Berger
839916	129675	Lidia
839916	138292	Nicola Helling
839916	162451	Susanne
839916	177173	Meret
839916	187774	Lenis Mutter
839916	188775	Silva
839916	189662	Jeanne
839916	189666	Eva Bartok
839916	198975	Marianne
839916	202785	Lena
839916	227497	Sabine
839916	281984	Mrs. Bettina
839916	290154	
839916	301085	Saide
839916	311098	Eve/Jana
839916	323659	Corinna
839916	325722	Vera Furthwängler
839916	325775	Milena Ems
839916	329672	
839916	344737	Tina
839916	347783	Nina
839916	352039	Martina
839916	353379	Karla
839916	361468	Marie
839916	376134	Johanna Häberle
839916	376167	Vanessa
839916	395049	Nona
839916	404748	Isabelle Corthen
839917	24378	
839918	27598	Herself - Participant
839918	256597	David's mother
839918	403530	Herself - Participant
839918	403531	Herself - Participant
839918	403535	Herself - Participant (2003)
839918	403536	Herself - Participant (2003)
839919	157497	
839919	347826	
839920	24038	Sarah
839920	225157	
839920	395667	Chris Barnsteg (1985-1987)
839921	178678	Barbara Kaufmann
839922	261410	Gerda
839923	5601	Frau Klinkhöfer
839923	10418	Maria Köhler
839923	15280	Mariette
839923	16417	Megära
839923	18344	Rechtsanwältin
839923	23882	Hilde
839923	24362	Mutter (segment "Der Computer
839923	50146	Barbara Wunderlich
839923	56097	
839923	65097	Emma
839923	82019	Schwiegermutter
839923	92556	Marianne Buntschuh
839923	97842	Tripelli
839923	101755	Anne Kerber
839923	104843	Elle Kramer
839923	108155	Ingelore Rechlin
839923	113051	
839923	115983	
839923	125328	Frau Messmer
839923	126375	A Woman (segment Der grosse u
839923	142209	
839923	144328	
839923	170696	
839923	171829	
839923	175283	
839923	178784	
839923	182743	
839923	189747	
839923	194438	Frau Müller
839923	204507	Frau Kotschmann
839923	214171	
839923	236820	
839923	251998	Madame Olsen
839923	259446	Elke Poser
839923	259469	Mrs. Bärwald
839923	259477	Klara Euler
839923	259510	Mutter Rau
839923	259580	Hanna Baugroß
839923	273755	
839923	290614	
839923	290781	Marcelline
839923	308815	
839923	312633	Klara Lüders
839923	312648	Helga Rothe
839923	341912	Euphrosina the Good Fairy
839923	352676	
839923	352768	
839923	359697	
839923	361051	Marta Wienecke
839923	364881	Frau Klinkhöfer
839923	375141	
839923	379086	Tante Elsbeth Schorn (part 1-
839923	394338	
839923	406328	
839924	361979	Wetka
839925	180718	Streber-Nymphe
839926	290165	
839927	588	Frau Grandini
839927	12518	
839927	93439	
839927	98042	
839927	111772	Frau Windscheidt
839927	119140	
839927	119144	
839927	144038	Dörte
839927	147168	
839927	156056	Alte Katrein
839927	179993	First Aunt
839927	189190	
839927	247182	
839927	253926	Marie
839927	290632	
839927	291083	
839927	293561	
839927	293995	
839927	352764	Frau Hirblinger
839927	358531	
839928	307211	Tjenestepigen Marie
839929	147517	Sabrina
839929	218977	
839930	173180	
839930	236318	
839931	312887	
839931	374549	
839931	381710	Frau Otte
839932	12578	
839932	17732	
839932	24343	
839932	33139	
839932	35201	
839932	35203	Palmatica Gräfin Nowalska
839932	36474	Frau Wolff
839932	40987	Ilka Földesy
839932	42618	
839932	43340	Isabell
839932	46617	
839932	48401	
839932	50056	Landlord
839932	74427	
839932	75936	Furstin Weylersheim
839932	87738	
839932	93464	Adelheid, his wife
839932	93728	
839932	98311	
839932	99236	Jolanda Szoerek
839932	103062	
839932	103101	Herself
839932	103135	Frau Generalkonsul Weidling
839932	104826	Eine Freundin
839932	110983	Frau Schliepke
839932	114029	
839932	116322	Frau Megele
839932	119724	Marie Filoda
839932	120062	
839932	120160	Magdalena
839932	120939	
839932	121053	
839932	123959	
839932	125335	Frau Wittich
839932	126404	
839932	140215	Frau Lind
839932	142023	Frau Fehse
839932	143513	Theresa von Materna
839932	144095	
839932	147195	
839932	153098	
839932	155326	Frau Waiser
839932	155468	Tante Olga
839932	164278	
839932	170683	
839932	170701	
839932	173118	
839932	174533	Mutter Seifert
839932	174843	
839932	175775	
839932	177152	Frau Rohleder
839932	178658	Pinnebergs Mutter
839932	178670	
839932	178807	Frau Böhler
839932	182863	
839932	183255	Britta Bockelmann
839932	188795	
839932	189654	
839932	189841	Mrs,Pategg
839932	189847	
839932	191472	Duchess of Hanover
839932	197827	
839932	197838	Frau Fluth
839932	199355	Madame Lu
839932	202942	Frau Brandt
839932	206306	Frau von Estrade
839932	206307	Frau von Estrade
839932	210006	
839932	210313	Lillis Mother
839932	226235	Baronin von Szoboby
839932	226265	Dame der Gesellschaft
839932	226356	
839932	227171	
839932	253944	
839932	282220	Tante Theresa
839932	290558	
839932	290753	
839932	290764	Graefin d'Eguzon
839932	293166	
839932	301025	Pauls Frau
839932	301084	Schneiderin
839932	306407	Mrs. Körner
839932	308821	Beschlisserin
839932	317478	Gattin
839932	322564	
839932	324628	Tante Jutta
839932	326203	
839932	328846	
839932	337552	Madame de la Roqère
839932	347667	
839932	348065	Frau von Estorff
839932	351911	
839932	352337	Anna Vierköttel
839932	352601	
839932	358895	
839932	359623	
839932	361407	Mrs. Burmester
839932	361410	
839932	361414	
839932	361457	
839932	364932	Hilde Falk
839932	369169	Frau Eichhorn
839932	374032	Gräfin Landa
839932	375976	
839932	376392	
839932	376399	Mrs. Hormeyer
839932	376487	
839933	115083	
839934	4022	
839936	1922	Vallapa
839936	121628	Yok
839936	180663	Wimala
839937	217912	Xciting
839938	37225	
839938	108647	
839938	247990	
839938	255157	
839938	310908	
839939	155550	
839940	56558	
839942	116750	Heckler #2
839942	150061	Police Secretary
839942	154940	Kasey
839943	351181	Queen Veneer/Vel Croford, Emp
839943	355206	Herself
839944	154051	Psycho shed girl
839944	211014	
839944	233505	
839944	346830	Rox
839945	42834	
839947	354860	
839950	137546	Sheila
839951	273566	Headman's Wife
839951	297071	Sitayi
839951	381567	
839951	383363	Mother (The Man of Law's Tale
839951	405036	Sitayi
839952	381891	Xaiane
839953	23879	
839953	321754	Cocktail Waitress
839954	66075	
839955	214387	
839956	385595	Jury Member (1971-1987)
839957	50502	
839957	189662	Rippchen
839957	224997	Niña
839958	241983	Lisa
839959	59235	
839959	136479	
839959	137180	
839959	137183	
839959	265282	
839959	356918	Katina
839960	212553	
839961	200825	Wife
839961	349595	Girl
839961	388279	Szep Kriszta
839961	402220	Mary
839961	403182	Edit Papp
839962	72628	
839963	322222	
839964	401208	Ivea
839964	401900	Aninha
839965	74152	
839966	39829	Nori (bar hostess)
839966	191382	Kat
839966	196342	Vanessa/Cinda
839966	245359	Wa Ling
839966	337326	Inez
839966	366122	Robin
839967	84533	
839967	100729	D. Joana
839967	160102	
839967	188002	
839967	249448	Bá Toinha
839967	344813	
839967	344854	
839967	380081	Judite
839967	380531	Celeste
839967	383441	Dinda
839967	383907	
839967	384117	Inácia
839967	384991	Carmem
839967	385385	
839967	385629	Marlene
839967	386728	Dinorah
839967	387802	
839967	387833	Nhá Rita
839967	388592	Júlia
839967	389153	Rosália
839967	390658	Lázara
839967	392629	Biá
839967	393615	
839967	396036	Denise
839967	396126	Hermé
839967	396938	Coló
839967	397409	
839967	399481	Escolástica
839967	399645	Rosa
839967	400444	
839967	400673	
839967	402504	Zilá
839967	402685	
839967	403118	
839967	403171	Inácia
839967	404306	Das Dores
839967	404837	Rosa
839967	405454	Virgínia
839967	407801	Laurinda
839967	407830	Magé Bassã
839967	409419	Isolina
839968	296313	
839969	14219	Katrina
839969	62787	Nora
839970	224971	
839971	233806	
839972	345491	Maman Toinette
839973	54088	
839974	369492	Xanadu Dancer
839975	32409	
839976	409277	Herself/Panelist ("Mots")
839977	40983	
839977	50367	
839977	50393	
839977	50395	
839977	52348	
839977	81737	
839977	102834	Herself (Dressed to Thrill Ba
839977	106728	
839977	128611	
839977	128871	
839977	143747	
839977	146920	
839977	166699	
839977	187414	Herself
839977	190852	
839977	208521	
839977	210450	
839977	228007	
839977	234842	
839977	257889	
839977	269289	
839977	282241	
839977	296165	Ghost
839977	298168	
839977	333832	
839977	361363	
839977	369513	
839978	16644	Herself (Wheel of Fortune)
839978	129900	Rebecca
839978	381514	Herself (1999)
839978	383732	Herself (Evictee #4)
839978	390276	Estelle Drayford
839978	410947	Herself - Co-Host (1981-1996,
839979	179405	
839979	212565	
839980	238448	Handmaiden
839981	120918	
839981	128009	
839982	253366	
839984	84696	Fille O-Pack
839985	323539	
839986	170021	Yunlan
839986	372384	Wan Juan
839987	18838	
839987	80963	Grand Mother
839987	86844	
839987	87933	
839987	89685	
839987	91074	
839987	96505	
839987	112897	
839987	122739	
839987	129135	
839987	136139	
839987	179859	
839987	209033	
839987	213906	
839987	215395	
839987	268174	
839987	282775	
839987	299598	
839987	334973	
839988	181149	
839989	58319	
839990	181962	
839991	309967	Margrit
839992	29863	
839992	79227	
839992	80963	Vefi
839992	85385	
839992	114766	
839992	116061	
839992	121727	
839992	222825	
839992	233440	
839992	282775	
839992	305110	Diana
839992	348110	
839993	381646	Xiao Jing Ling
839994	169594	Lindo's Mother
839995	85501	Ye Ling
839995	121553	
839995	131268	Huifang
839995	167401	Wang Yujuan
839996	327269	Tso
839997	135090	He Yudan
839997	141933	Jiang Zizhu
839997	326313	Deng Xiaoxian
839998	391783	China girl
839999	102463	Yang Haicui
840000	85502	Xiao Juan
840000	110606	Xiao Huaiqing
840000	149054	Yangyang
840000	369645	Ma Ning
840000	369950	Gu Xiaolan
840001	77895	Second Sister
840002	236247	Naughty
840003	251108	Old Lady Wu's Friend
840004	212003	
840005	297294	
840006	251108	Flower Boat Girl
840007	110616	Zhu Lan
840007	184320	Shen Yaqi
840007	192468	Tian Wan
840007	268773	Yu Ping
840007	369045	He Meijuan
840007	376054	Chen Ying
840008	103020	
840008	148531	Kun's Mother
840008	369727	Mrs. Liu
840008	391783	
840008	393548	
840008	411522	Wang Wei
840008	411592	Zheng Baozhu
840009	220761	Hu
840009	394646	Herself (Robin)
840010	172219	
840011	60535	Song Qingling (Madame Sun Yat
840011	60536	Song Qingling (Madame Sun Yat
840012	110612	
840012	110613	
840013	151918	Xie Ni
840013	181415	Lin Qiang
840013	231269	Xu Shanshan
840013	231276	Xiao Yi
840013	332333	Mother
840013	371613	Ding Sha
840014	77567	
840015	141933	Woman
840016	394646	Herself (Sophie)
840017	193872	Lan Juan's sister in law
840018	399793	Host/Dalina (1993-1995)
840019	398208	Anna Halcyon
840020	48425	Tong Yaman
840020	231260	Shuihua's Mother
840021	268735	
840021	268765	Xiang Ping
840021	369180	Chunhua Zu
840021	373930	
840022	241480	
840023	131262	Princess Yueyue
840023	369947	Aunt Xiu
840024	202658	Self
840025	60126	Xu Yan
840025	76851	Fang Yi
840026	110610	Black Widow
840026	141933	Yu Mei
840027	167405	Mother
840027	360978	Collaborationist Girls' Schoo
840028	395940	
840029	57422	Lilia
840029	388630	
840029	400270	
840030	237194	Novia
840030	244642	
840031	52929	
840031	86049	
840031	122909	Weronika
840031	148467	Gabriela
840031	161775	Marina
840031	380147	Raíssa
840031	380196	Celi Montana
840031	383550	Rosario
840031	384137	Ana Francisca Mariana da Silv
840031	388458	Emília
840031	389153	Angela
840031	400670	Izabel de Avelar
840031	409347	Bionda
840032	385353	Tertuliana (2004-)
840033	276352	Xiaoming
840033	297360	
840033	406145	Princess Aya
840034	91929	Miss Dan
840035	33200	
840035	189220	
840035	335414	
840036	275551	
840037	97432	Lin Cuiyun
840037	194092	Su Yun
840038	377949	Herself
840039	296759	Ling
840040	371467	Student
840041	95441	Herself
840041	151906	
840042	124867	Grandma
840043	12109	
840043	14736	
840043	34552	
840043	42659	
840043	136304	
840043	221696	
840043	234495	
840043	275085	
840044	135712	
840045	379043	Julia
840046	98997	
840047	210868	Modelo Woman
840048	7745	
840048	7746	
840048	7749	
840048	39437	
840048	40428	
840048	41632	
840048	44130	
840048	97118	
840048	97121	
840048	130285	
840048	159221	
840048	221010	
840048	236307	
840048	296705	
840048	336629	
840048	350422	
840048	388071	Herself
840049	39484	
840049	39509	Herself
840049	39612	
840049	39614	
840049	39768	
840049	39918	
840049	97116	
840049	119622	Staff Member
840049	257697	
840049	267886	
840049	321041	
840050	249027	
840051	8995	
840051	25994	Qi Huaiyuan
840051	29469	Sanshengmu
840051	48428	Li Qing
840051	76356	Lin Zhouyun
840051	76378	Concubine Zhen
840051	167887	Qiu Yehua
840051	299983	Main actress
840051	371503	Song Xiaoying
840051	371928	Ge ge
840051	411701	Li Jing
840052	137097	Customer in bar
840053	341401	Bailu's Mother
840054	8995	
840054	151989	
840054	154437	
840054	172407	Xiaohui
840054	188548	
840054	300411	
840054	367147	Jing
840055	297295	Puxiao
840056	60535	Mary
840056	60536	Mary
840056	151926	Li Lu
840057	282817	Chen Yugu
840057	332297	Yan Yue
840058	167399	Fan Ruonan
840058	255023	Dandan
840058	298688	Xue Qing
840059	192442	Anna, age 4
840060	86313	Wu Ling
840060	151948	Jin Hua
840060	369965	Lin Yuer
840061	287038	
840062	231200	
840063	405110	Hong Lingbo
840064	151968	Kang Xiuyun
840065	376147	
840066	121118	Wuzhuala
840067	36438	Lanxiu
840067	268707	Ying Yueyang
840068	167493	Gao Lan
840068	268804	Yang Xiaozhi
840069	231269	Liao Xiaoqing
840070	275575	Sister Zhu
840071	275548	Qiu Yun, as a child
840071	294022	Yun Yuhua
840071	370836	
840072	121118	Li, Guoxiang
840072	123535	Ma Tiange
840073	411592	Ke Ai (Cute)
840074	136078	
840075	193907	Lanlan
840075	297301	Jin Gui
840075	370828	Wang's Wife
840076	108467	Yuting
840076	131268	Xiu Er
840077	33113	Luo
840078	38236	
840078	282805	Ying Chan
840079	54178	
840080	297294	Old Blind Woman
840081	236236	Qiao Xiaoyu
840082	251108	Matchmaker
840083	149049	Jia, Baoyu
840084	29473	Yang Shan
840084	141911	Helen
840084	268925	Nanni
840085	375001	Mother
840086	152133	Cuiqiao
840086	268751	Shi Mei
840087	268614	
840088	154927	Kevin's mum
840089	154927	Kevin's gran
840090	7457	Amie Gwenaêlle 1
840091	119044	Jeanne enfant
840092	34892	
840092	208454	
840092	291019	
840092	302837	
840092	366054	A Frailty
840093	178209	Herself
840094	155550	
840095	354860	
840096	6232	
840096	14543	Leelamma
840096	19056	
840096	29042	
840096	45817	
840096	48748	
840096	58598	
840096	90572	
840096	97707	Usha Sanyal
840096	155577	
840096	155579	Sundaramma
840096	208722	
840096	209690	
840096	236690	
840096	262457	
840096	271794	2nd wife of Raja Ramachandra 
840096	317790	
840096	320905	
840096	370459	
840097	308003	Chinese Grandmother
840098	341018	Belly Dancer
840099	8652	The Colombian aunt
840100	42582	
840100	56071	
840100	101315	
840100	104500	
840100	113209	
840100	199033	
840100	218041	
840100	344799	
840100	384002	
840100	386727	
840100	396722	Lucrécia
840100	399147	
840100	402424	Francisca
840101	137546	Shelby
840102	322371	Repartidora
840103	281575	Echika Aizawa
840103	327968	
840104	354847	Hermana del Piu
840104	379118	
840104	379909	
840104	380795	Amparo
840104	392290	Inmaculada
840104	401916	Ximena Salazar
840104	402049	Secretaría
840104	405415	
840104	407648	Efigenia
840105	134342	
840106	352866	
840107	217216	Bada
840108	304843	Worker
840109	387477	
840110	266606	
840111	120682	
840112	70065	
840113	88621	Mrs. Smith
840114	8897	
840114	9584	
840114	21870	Takezawa Fuji
840114	50064	
840114	50960	
840114	76938	
840114	82818	
840114	98372	Misako Sakamoto
840114	121613	
840114	124434	Fujichiyo Kasuga
840114	136090	Tomiko
840114	137008	
840114	144214	
840114	156242	
840114	177126	
840114	180043	Fujiko Tachikawa
840114	199285	Madame Butterfly
840114	216493	Otsu
840114	216499	Otsu
840114	216506	Iti Miyazawa
840114	219409	
840114	228379	
840114	231308	
840114	236844	
840114	244556	Chiyo
840114	266666	
840114	286847	Mitsu
840114	288643	
840114	298969	
840114	299110	
840114	299234	
840114	308437	
840114	322740	
840114	334938	
840114	349102	
840114	358125	Hatsuko
840114	373184	Yoko
840114	375571	
840114	375583	Otsu
840114	380729	Makiko, the 2nd daughter
840114	386635	Lady Ne-Ne (Hideyoshi's Wife)
840115	131776	Gitel
840115	391124	
840116	351945	
840117	16347	Bersi
840118	115681	
840119	324502	Dancer
840120	15035	
840121	108903	Larbi
840121	341790	
840122	190096	Jasmine, 12 Years Old
840122	366686	Young Diana Collins
840123	384861	Seductive
840124	182074	Junko Aoki
840124	334863	Harada, Natsumi
840124	371707	Misa Kihara (segment: One Sno
840124	389393	
840124	394702	Haruna Kuramochi
840124	402879	Mai Takano
840124	403411	Mai Takano
840124	410627	Nagisa
840124	411647	Wakaba Shiota
840125	229436	Lydia
840125	400343	Herself
840126	262548	
840127	135953	Teacher
840127	373190	Otama
840129	123452	
840130	185085	Doctor's Receptionist
840131	279010	
840132	210621	As Herself
840133	46670	Law Office Receptionist
840133	56738	Claudine
840133	71896	Casey
840133	72217	Woman at party
840134	23052	
840135	9125	Mrs. Jaffe
840135	36871	Directors' mother in lobby
840135	150351	Gray Edwards' Concubine
840135	283944	Social Worker
840135	335880	Cafe Diner
840135	361167	Woman on Bench
840136	26620	Aunt Esther
840136	68686	Self
840136	151176	Mertyl
840136	408074	Betty
840137	43065	Kimi Kurosawa
840137	196537	
840137	285929	
840137	304017	Chie Kayama
840138	68772	Jennifer
840139	367061	
840140	21	
840140	47482	Clio Hale
840140	65099	Cathy
840140	80508	Hope Percy
840140	105366	Penny
840140	114364	Sharon
840140	254876	Judy
840140	273271	Lisa
840140	397719	Shawna
840141	133450	Sexy Lion Executive #1
840143	179822	Dancer
840144	313	
840144	91184	Shinpei's first wife
840144	98582	Aiba's wife
840144	102679	Yasuko
840144	137010	Fumiko Nishimoto
840144	145439	Tatsuo's Sister
840144	172276	Heigo's sister
840144	229788	
840144	244519	Nao's mother
840144	299142	Ayano Kasuga
840146	127738	Toshie
840146	138868	
840146	163071	Midori
840146	177956	
840146	247434	
840147	28862	Sonia
840148	334881	
840149	42692	
840150	212109	
840151	101622	
840152	94904	Cemile
840154	282029	Herself
840155	130158	Village woman
840156	83512	
840157	382825	Herself (segment "Eyes of the
840158	174821	Singer
840159	233052	Mika
840159	293568	Mika
840160	225621	Herself - a member of Mooning
840161	101564	Page
840161	155505	Tsuru Watanabe, president of 
840161	168357	
840161	275748	Misa
840162	196338	
840162	373061	
840163	229981	1st handmaiden
840164	63538	
840164	140715	
840164	173487	
840164	179383	
840164	222519	Oshizu
840164	245865	
840164	275061	Yuriko
840164	308893	Mayumi, wife
840165	344286	Otaka
840166	308425	
840167	174944	Sakura Nagai
840168	6642	Locutora TV
840168	235248	Ana
840168	307800	
840169	136964	
840169	322341	
840170	296463	
840170	339034	
840171	216008	Creditor Woman 1
840171	387309	Star Wilson Stoner (1978-1982
840172	355808	La dame chic du taxi
840173	208753	Chanteuse berbère
840174	198102	Herself
840174	239448	Herself - Historian
840175	362581	Principal
840176	241277	Andrea
840177	146567	Japanese terrorist
840178	20203	Fanny
840178	333901	Retno
840179	49134	
840179	207875	Milah
840180	100305	
840181	138840	Girl #2
840182	29081	Rukhmani
840183	33484	Secretary
840183	68964	
840183	80115	
840183	80189	Sexo servidora #1
840183	90027	
840183	152234	Ramera I
840183	205147	
840183	236407	Laboratorista
840183	253306	Mujer traficante
840183	270447	Alicia
840183	300693	
840183	351620	
840183	378444	
840184	18662	Daughter of the Beast
840184	31053	Anna
840184	71327	La Silviana, Hellmatear
840184	72659	Shinnosuke Nohara
840184	92785	Lara
840184	113338	Chocobo Chobi/Ciel, Count Ake
840184	125239	Mii
840184	125942	Takami Sakuragi
840184	127779	Kousaka Erika
840184	161704	Kohaku
840184	170832	Manami
840184	176532	Sayuri Terasaki
840184	242206	Orin
840184	253444	Maya Amano
840184	253445	Maya Amano
840184	293450	Yumiko Ôshima
840184	298956	Relena Peacecraft
840184	350189	Young Leila
840184	350190	Anita
840184	381401	Anna Respighi
840184	381960	R. Dorothy Wayneright
840184	385186	Shinnosuke
840184	390964	Vivian
840184	391594	Masako
840184	392526	Eriko Tamura
840184	392964	Kohaku
840184	394107	Access Time
840184	394325	Rickert
840184	398971	Topia
840184	400143	Yuya Fukamo
840184	405140	Relena Darlian/Peacecraft (Ja
840184	405146	Yuugi
840184	405278	Mitsuru Tsuwabuki
840185	128365	Tomoe Tanaka
840185	180593	Etsuko (young)
840186	370729	Omaki
840187	334904	
840188	407829	Ken-Ohki
840189	138073	
840189	177862	Mina
840190	391455	Kenji Endo
840191	181893	
840192	384224	Mika Koizumi/Yellow Four #1
840193	369922	Chang Lin
840194	394964	Anrí
840195	310457	
840196	90072	Donna Elvira
840196	158869	Poppea
840196	243388	Euridice
840196	276492	Performer
840197	166768	Artiste
840198	289431	
840199	284065	Tutta Karlson
840200	351353	
840201	230083	Jane
840202	242467	
840204	60467	Shyama
840205	164015	
840206	130198	
840207	181407	
840207	263637	
840207	374874	
840208	90971	
840209	168683	
840210	227120	Lady 1
840210	410433	Daria Gavrushina
840211	303800	Nastja
840212	2790	
840212	40209	
840212	54192	
840212	95808	
840212	132352	
840212	133386	
840212	180389	
840212	198172	
840212	206516	
840212	217463	
840212	226693	
840212	237878	
840212	238361	
840212	261296	Zhar-ptitsa
840212	262660	
840212	265016	
840212	265275	
840212	273029	Mariya-Luiza
840212	288364	
840212	294674	
840212	298641	Yelizaveta
840212	303217	
840212	305910	Vetkina
840212	314574	
840212	323324	
840212	341333	Varjka
840212	348443	
840212	349083	
840212	349765	
840212	374241	
840212	375446	
840213	34533	
840213	244470	Kommissarova
840213	324656	
840213	373519	
840214	82260	The Superintendant
840214	349240	
840214	375449	Katarina
840215	265069	Model at studio
840216	17432	
840216	60731	
840216	63618	
840216	95569	
840216	95694	Lera
840216	104258	
840216	160814	Tatiana
840216	172467	
840216	173018	Kamenskaya
840216	173019	Kamenskaya
840216	173020	Anastasia Kamenskaya
840216	173021	Anastasia Kamenskaya
840216	173022	Anastasia Kamenskaya
840216	173023	Kamenskaya
840216	173024	Anastasia Kamenskaya
840216	173025	Kamenskaya
840216	173026	Kamenskaya
840216	173027	Kamenskaya
840216	173028	Kamenskaya
840216	173029	Anastasia Kamenskaya
840216	173030	Kamenskaya
840216	173031	Anastasia Kamenskaya
840216	173032	Anastasia Kamenskaya
840216	173033	Anastasia Kamenskaya
840216	188197	
840216	207566	
840216	217288	
840216	238360	
840216	258379	Mariya
840216	258597	
840216	276611	Rita
840216	283821	
840216	294668	
840216	296989	
840216	351024	
840216	352450	
840216	355721	
840216	356928	
840216	357335	
840216	386003	
840216	401314	Princess Anna Chechevinskaya 
840216	402924	Princess Anna Chechevinskaya
840217	112771	
840218	162676	
840218	229083	
840218	374796	
840218	398902	
840219	310475	
840220	33800	
840220	59772	Alyona Igorevna Sanina
840220	60439	Ms. Diana Little
840220	98585	Toma
840220	108776	
840220	162676	
840220	217463	
840220	226214	
840220	248705	Zina
840220	263658	
840220	265991	
840220	297561	
840220	303727	
840220	305294	Vasin's Daughter-in-Law
840220	320655	
840220	324651	
840220	343834	
840220	357661	
840220	370746	
840220	403783	
840221	274306	Concierge & Journalsit
840222	23097	
840223	5631	
840223	5632	
840223	6374	
840223	27642	
840223	147508	
840223	246471	
840224	4937	
840225	235968	
840226	69361	Tanya Maslovskaya
840226	215876	Drunken female IMF agent
840226	299554	
840226	411981	
840227	296510	Geisha Midozuki
840228	51083	Midori Yoshikawa
840228	79469	Fusako
840228	177823	Shoko
840228	182341	Waitress
840228	200520	Yoko Hioki
840228	210042	Shibuki Ogasawara
840228	229964	Yuka Mitamura
840228	236874	Kozue Igarashi
840228	285677	Hoshi, Izumi
840228	288642	Shizuhime
840228	294103	Childlike samurai
840228	299142	Etsuko Kirino
840228	324641	Naomi Arai
840228	325294	Naoko Hirashima
840228	328333	Jona Macka
840228	335383	Yamaha, Kei
840228	357973	Shizuka Mita
840228	370699	Yoriko Nagai
840228	394548	Miyuki-sensei
840229	34061	
840230	157343	
840231	174661	Vanya
840231	188470	
840231	214249	
840231	243640	Maykata ha Filip
840232	146981	
840233	75639	
840234	368718	Receptionist
840235	204522	Poor Woman
840236	21300	Tailor-Made Model
840237	45620	Brigitte
840237	45688	Brigitte
840237	174154	Cliente du Lovecraft
840237	292579	Girls' coach
840237	403475	Alice Lemieux
840238	237604	Sydney
840239	159408	
840239	177839	
840239	237396	Döndü
840240	184012	Mor
840241	71665	Natasha
840242	269892	Aborigine
840243	251804	
840244	43143	
840244	90558	
840244	136073	Kim
840244	295242	Pansy
840244	373105	
840244	373154	Monica
840245	86315	Sally Yen
840245	197875	May Ping Chan
840245	218695	Lotus
840245	300619	Lee Yim-Ping
840246	320094	Motorcycle Group
840248	239302	Yachuco
840249	198827	Michiko Nakayama
840249	370409	
840250	373218	
840251	405786	Akari
840252	379478	Diana
840253	9574	Iris
840254	145736	Female Attendant
840255	74269	Female Terrorist
840255	123108	Adrienne
840255	123111	Sardin Captain
840255	177084	Yukari
840255	181713	Himiko
840255	182416	Lemnear
840255	211948	Nastasha Romanenko
840255	211949	Nastasha Romanenko
840255	242181	Osugi, maid
840255	272213	Monron
840255	338093	Kain
840255	359057	Bloody Matsuki
840255	379479	Josephine 'Jo' March
840255	379482	Jimmy
840255	379515	Anne
840255	380318	Aramis
840255	380699	Lucien
840255	383423	Tarou Misaki
840255	386537	Oharu
840255	386775	Mai
840255	386777	Mai
840255	391752	Aki
840255	395065	Young Abel
840255	396796	Stella
840255	405215	James
840255	405279	Lavinia Herbert
840255	410525	Mrs. Jo
840256	171625	Shiomi's wife
840257	190273	Erica
840258	21824	Yamada (Receptionist)
840258	380726	
840259	6231	
840259	8760	
840259	8794	(segment 3)
840259	9194	Outa
840259	9560	Taeko Sugawara
840259	21330	Herself
840259	43445	Sei
840259	63544	Go
840259	63546	O-Karu
840259	90823	Osugi the Landlady
840259	97618	
840259	125460	
840259	127922	O-Mocha
840259	129122	Tokie Horiuchi
840259	137131	Natsu , the Foster Mother
840259	137349	
840259	145124	
840259	145278	
840259	145735	
840259	146353	'Shamisen Shop' Oriku
840259	146354	Oriku
840259	167908	
840259	168357	
840259	169693	
840259	170903	
840259	177767	Kotomi
840259	179410	
840259	179546	Oyae
840259	181723	Lady Asaji Washizu
840259	182070	Herself
840259	205564	Oyuki
840259	208030	
840259	210154	Sasae Onoda
840259	216385	
840259	222921	Koshikibu
840259	226644	Otsuta
840259	227432	Ayako Murai
840259	229586	Second wife
840259	229786	Chizuin
840259	234956	
840259	237843	
840259	238450	
840259	239462	Hanakuma
840259	241921	
840259	242123	
840259	242140	
840259	242148	Otsuta
840259	242149	
840259	243631	Osen
840259	243898	Yodogami
840259	243992	
840259	272625	Proprietress of Sex Club
840259	286858	
840259	294032	
840259	297069	Kalideva
840259	297418	
840259	298995	Dowager Empress
840259	299121	Oshiho
840259	299122	Oshiho
840259	299123	Oshiho
840259	299124	Oshiho
840259	299346	
840259	299813	
840259	300471	Tamiko
840259	308895	Osaki
840259	323500	
840259	325331	
840259	334777	
840259	334898	Kisako Soma
840259	341316	
840259	344949	Kaoru Uozumi
840259	348635	
840259	348965	
840259	358137	Namiko, Kosaku's wife
840259	358392	
840259	370281	Second Wife
840259	370408	
840259	371844	Orin
840259	371952	
840259	371986	
840259	372037	Hiroko
840259	375590	Otsuta
840259	378131	
840260	330195	Trauma Nurse #2
840261	130507	Woman at bakery
840262	28057	Rie Sema (Episode 4)
840262	177101	Chika Hamada
840262	263361	
840262	370411	Masako Yamada
840263	396500	Poppy
840263	408733	Browning, Parrot
840263	411667	Kurokawa
840264	304287	
840264	380472	Shiori Watanuki
840264	396534	Jun Kinoshita
840264	396715	
840264	399191	Hiroko
840264	408469	
840265	344656	Mai Midorikawa
840265	348777	Super GUTS Member Mai Midorik
840265	409689	Super GUTS Member Mai Midorik
840266	225614	Dancer
840267	28106	
840268	293450	Mayumi Ôshima
840268	316625	Karin Kanzuki
840268	381401	Loretta
840268	394016	Layla
840268	394974	Grandeene
840268	401287	Q-chan
840268	404772	Atusuryua
840268	411893	Teacher
840269	143820	Mika
840270	23329	
840270	23436	
840270	105373	
840270	322489	
840270	322490	
840270	322492	
840270	375622	
840271	374600	
840272	224023	
840273	348752	Lum's Mother
840273	348754	Lum's Mother
840273	348756	Lum's Mother
840273	348757	Lum's Mother
840273	396640	Tsuru Ono
840273	404390	Karu Isasaka
840273	405279	Peter's mother
840274	174338	Megumi Kawamura
840275	145514	Tomiko Matoba
840275	173126	Singer
840275	227183	Ichiko
840276	292074	Katô
840277	167942	
840278	166322	Dance Solo
840279	155505	Hisae Yamaguchi
840280	174329	Yoshino Yoshino
840280	174331	Yoshino Yoshino
840280	174338	Yoshino Yoshino
840280	174339	Yoshino Yoshino
840280	327036	
840280	373233	
840281	139948	Atsumi
840281	285919	Sayuri Horiguchi
840281	322488	
840282	92777	Pia
840282	179507	Kisaragi Reina
840283	101560	
840283	334832	
840283	334947	
840284	101564	Girl in the Oasis
840285	304544	Cheerleader
840286	149890	Akebi
840287	9601	
840287	144506	
840287	341318	Kimiko
840288	389548	Mayuki Osugi
840289	173376	Mother
840290	179216	
840290	233021	Otaki, Matajuro's wife
840290	294101	Tatsuru
840290	294102	
840291	150507	Aunt
840291	206765	
840291	348636	Tamami
840292	396535	Nana Kanzaki/Queen
840293	336484	Dancer
840294	38800	Masako
840294	182058	Tokiko
840294	256190	Tomoe Maruyama
840294	285675	Ikuko
840295	292074	
840296	211961	Female Store Clerk
840297	77537	
840298	208015	Hisako Kawahara
840299	172240	Woman
840299	174346	Misaki Akiba
840299	299117	Aya
840299	318948	Sachiko
840300	93261	Pei
840300	163625	Curious Sushi Woman
840300	224691	Back-Up Singer
840300	340901	Japanese Family
840301	1437	Herself
840301	1451	Herself
840301	9816	Jasmine
840301	63042	Herself
840301	76253	Herself
840301	87986	Herself
840301	96560	Herself
840301	113828	Herself
840301	151230	Herself
840301	155276	Herself
840301	155278	Herself
840301	155280	Herself (US Team)
840301	155284	Herself
840301	155285	Herself
840301	161298	Herself
840301	228976	Herself
840301	240486	Regionals Judge #4
840301	291090	Herself
840301	294763	Herself
840301	303762	Herself
840301	303763	Herself
840301	303764	Herself
840301	303781	Skater
840301	324031	Herself
840301	368407	Herself
840301	372218	Herself/Madame X
840301	406243	Herself
840302	299619	
840303	180620	Azusa
840303	385980	Gabumon/Garurumon/Were Garuru
840303	385981	Tsunomon/Gabumon/Garurumon/We
840303	385982	Li Jenrya
840303	386343	Gabumon/Garurumon/WereGarurum
840303	390892	Envy
840303	404227	Sousuke Kawara
840304	3567	
840305	122957	(story 'Kodama')
840306	9291	Haruko
840306	39604	
840306	56938	Towako
840306	145765	Midori Kirikawa
840306	150505	
840306	169188	
840306	176219	Miyako
840306	182039	Aunt
840306	216506	Kimiko's mother
840306	221588	Miyako
840306	222455	Tatsuko Ishiyama
840306	226683	Ms. Yoshida
840306	232703	Sen
840306	236173	Reika's mother
840306	242170	Shimako
840306	243621	The stepmother
840306	256288	
840306	288062	
840306	288064	Fumie Yamazawa
840306	299010	Tomiko (Fumiko's mother)
840306	299083	
840306	299295	Real Rape Victim
840306	299325	Cherry Mizusawa
840306	300433	
840306	306515	
840306	328019	Ran
840306	334896	Yamada
840306	358947	Dining Hall Worker
840306	359391	Eriko
840306	373386	Mieko
840307	211768	Takeuchi
840307	404788	
840308	91187	Mami Hanashima
840308	97454	Tomoe Shimizu
840308	121986	Kyoko Ishiguro
840308	149134	Kiyono
840308	151738	Shinobu Uemura
840308	164101	
840308	174957	
840308	177870	Kiriko Yanagida
840308	180509	
840308	234540	Tamiko
840308	299155	Hatsue Miyata
840308	300482	Okoto
840308	328028	Keiko Sano
840308	374633	Koyuki
840308	379518	Ryoko Kawanami
840308	379519	Tomoko Oyama
840309	177756	Queen Sayuri Kinniku
840309	177757	Queen Sayuri Kinniku
840309	177758	Queen Sayuri Kinniku
840309	177759	Queen Sayuri Kinniku
840309	177760	Queen Sayuri Kinniku
840309	177761	Queen Sayuri Kinniku
840309	177762	Queen Sayuri Kinniku
840309	177763	Queen Sayuri Kinniku
840309	192015	Prince's Mother
840309	394522	Queen Sayuri Kinniku, Kimiko 
840309	407287	Sophie
840310	226827	
840312	335271	Yumi Morita
840313	219832	Lora
840313	219833	Lora
840313	278385	Chieha, his mistress
840313	334863	Yokoyama, Mishio
840313	382416	Mami Tsuboi
840313	390966	Asuka Takamura
840313	394244	Setsuko
840313	399496	Okumi
840313	410528	Myoko Harashima
840314	256760	Sayoko Uekyo
840314	309671	
840315	50960	Madam White
840315	50961	
840315	101564	Oriental Woman
840315	122233	
840315	150873	Mariko
840315	151816	Yukiko Nogami
840315	165695	Tae Shimizu
840315	180551	
840315	223352	
840315	228830	Akashi
840315	230065	
840315	232914	
840315	289294	
840315	294099	Oryo
840315	297417	
840315	299008	Japanese orphan
840315	300423	Miyako Saijo
840315	309365	
840315	325316	
840315	334938	May Kawaguchi
840315	358135	
840315	359836	
840315	370702	Ai Ran
840316	38632	Tsukino
840316	164026	Satoko
840316	298939	
840316	320762	Shenmei
840316	346395	Moemi
840316	358930	Mizuki
840316	385533	Miyako Hanaoka
840316	393912	
840316	395447	Tomo
840316	395944	Minami Hayama
840316	400539	
840316	407153	Wakaba Inoue
840317	176659	
840317	176711	The 5, 6, 7, 8's
840318	177600	Ghoul Kid 2, The Black Cat, A
840319	31053	Lahrii
840319	54890	Fudie Li (Shaoran's sister)
840319	115182	Ninamori's Secretary
840319	298966	Kanko
840319	298993	Ritsuko Akagi
840319	298994	Ritsuko Akagi
840319	299132	Ritsuko Akagi
840319	381401	Lahrri Feldnunt
840319	389869	Ryuko
840319	400254	Nico Robin
840319	405144	Ritsuko Akagi
840319	410739	Kachuussha
840320	255271	Coco's Mother
840321	4012	Omiyo
840321	8874	Ofumi
840321	21330	Herself
840321	280424	Nobuko
840321	287579	
840322	8892	
840322	77533	
840322	142958	Mamiya Akiko
840322	173363	
840322	256190	Junko Arai
840322	299292	
840323	20625	Extra
840324	409842	Manami Fujita
840325	373218	
840326	172471	Doctor
840327	370636	Gül
840328	342999	
840329	3396	
840329	199001	
840329	258175	
840329	353577	
840330	394713	
840331	107483	School Child
840332	181897	
840333	399499	Furabiijou
840334	16113	Juror #2
840334	37971	Ying
840334	46420	Attorney
840334	80483	Unit Nurse
840334	113304	Ticket Agent
840334	117231	Nurse #1
840334	141180	Doctor #2
840334	164483	Reporter #1
840334	165484	Woman #2
840334	178906	Reporter
840334	191051	Japanese News Reporter
840334	208281	Dr. Wa
840334	216445	Delivery Nurse
840334	237979	Yasu
840334	285739	Irate Mother
840334	303228	Manager
840334	306320	Nurse
840334	397054	Mrs. Takita
840334	405027	Tekla
840334	406714	Chun-li
840335	294181	
840336	98602	Hitomi Kamata
840336	298992	
840337	18578	Naoko, Kensaku's wife
840337	29565	Kikuryu
840337	29573	Michiyo Sawada
840337	36527	Kikue Yoshino
840337	43064	Oyuki
840337	63541	
840337	76863	Omatsu
840337	76864	
840337	76866	Omatsu
840337	144734	
840337	153552	Minako
840337	156158	
840337	167947	Oshin
840337	168877	Tsuneko
840337	172108	Tomi/Toyoharu
840337	174878	
840337	180030	Miya
840337	182051	Futaba Kaze
840337	232577	Kiyoha Takinoya
840337	242233	
840337	242371	
840337	288353	Yamamoto, Fujiko
840337	294032	
840337	297069	Usha
840337	298925	Yamabuki
840337	298995	Princess Chu
840337	299238	
840337	299311	
840337	320414	Yuhide, Kazunomiya's waiting 
840337	334936	
840337	341274	Umematsu
840337	359844	Chiyo
840337	371978	Okiku
840337	371982	
840337	373179	
840337	373188	Ohatsu
840337	373309	Aki
840337	374515	
840338	127199	
840338	255271	Nurse
840339	271341	Susan
840340	172257	
840341	397942	Annie
840342	13742	Reporter on Patio
840342	265764	Herself
840342	389199	Reporter
840343	215713	Junko
840344	26369	
840345	179518	Lady of the lodgings
840346	228830	Small girl
840347	67618	Front desk nurse
840347	81052	Psychiatric patient
840347	88869	Receptionist
840348	172532	
840349	78665	
840349	138077	Nurse A
840349	177756	Nachiguron/Kinkotsu Obaba
840349	177757	Nachiguron/Kinkotsu Obaba
840349	177758	Nachiguron/Kinkotsu Obaba
840349	177759	Nachiguron/Kinkotsu Obaba
840349	177760	Nachiguron/Kinniku Obaba
840349	177761	Nachiguron
840349	177762	Nachiguron
840349	177763	Nachiguron
840349	208014	Redril, Hanako (from Galaxy E
840349	232525	
840349	370447	Junko Asami
840349	384051	Shôta Yamada
840349	385942	Kensaku Makimura
840349	386776	East Kaiô
840349	389819	Sunakake Baba
840349	389821	Sunakake Baba
840349	391597	Chikako
840349	394030	Various characters
840349	394522	Nachiguron, Kinkotsu Obaba
840349	396499	Ken Kanagawa
840349	396503	Obaba
840349	396535	Rabi Kanzaki
840349	399955	Eros
840349	404390	Hanako Hanazawa
840350	299302	Chûnen fûfu
840351	181987	
840351	327036	Machiko
840351	394103	Mari
840352	138135	Cyberdoll May
840352	211950	Emma Emmerich
840352	394175	Kano Miyazawa
840352	398074	Leorechaun (japanese version)
840353	379044	Oharu (1988-1992)
840354	156233	Tsuru
840354	182060	
840354	327940	Haruko
840355	98579	Ayako
840356	2370	Mikako Kudo
840356	122235	Natsumi Sato
840356	150509	
840356	172093	The Journalist
840356	213659	Yukiko Yoshizuka
840356	221110	
840356	231230	Yuki
840357	38817	Megu
840357	121441	
840357	239491	Miwako Ishihara
840357	293565	Miwako
840357	293566	Miwako Ishihara
840357	347491	Hiromi Hosokawa
840357	373134	
840358	373218	
840359	165592	
840360	287553	
840361	404390	Wakame Isono (#1)
840362	159132	Dancer
840364	404879	Myu-Myu
840365	348992	
840365	359612	
840366	38821	Ririka (story: 'Chibi-Usa's A
840366	123107	Lamidia McKenzie
840366	123109	Rumy
840366	123110	Lamidia McKenzie
840366	123111	Rumy
840366	127779	Elnar
840366	147362	Yuria (Julia)
840366	147366	Yuria
840366	173194	Chico (Julie Rochelle)
840366	177161	Miyabi Koto
840366	177763	Bibimba
840366	208014	Feme
840366	293476	Soma
840366	319374	Rumy (Gallforce)
840366	325314	Iczer-1
840366	325315	Laníang
840366	358132	La Mîmé
840366	383095	Iczer-1
840366	384231	Sara Yuki
840366	391334	Sandybelle
840366	391751	Shume/Yuria
840366	391752	Yuria (Julia)
840366	394426	Rasara Moon, Sarasa Moon
840366	394550	Yushiko Fujishima
840366	395065	Georgie
840366	396500	Sally Yumeno
840366	396573	Emilia
840366	404127	Marine
840366	407592	La-Níang
840366	408733	Minerva
840366	410509	La Mîme
840367	19694	
840367	19699	
840367	76908	Itoko Koyanagi
840367	173994	Sanae Manhyo
840367	174333	
840367	174339	Fujiko Igarashi
840367	234244	Aki, prisoner
840367	348992	Miyoko
840368	403411	
840369	334860	
840370	149890	Chairman of "Hyokin Best Ten"
840370	232904	Ueda's Mother
840370	243717	Ikuko
840371	242229	
840372	26042	Isabelle
840372	38372	Sherry Birkin
840372	87001	Paula
840372	380986	Winna (English version)
840372	383048	
840372	396447	Wanda Li
840372	397280	Erika Amazake (Seasons 1 and 
840372	408294	Yoko
840372	409543	The Childlike Empress
840373	267397	
840374	148539	Shizuko
840375	8888	Nobuko Matsuyama
840375	8896	Michiko Asakura
840375	63544	Go
840375	121448	
840375	138085	Hanako's sister-in-law
840375	144433	Tomiko Takagi
840375	173401	
840375	178253	
840375	208030	
840375	242148	
840375	285613	Lady Matsudaira
840375	286596	
840375	286597	Teruko Ôe
840375	286598	Teruko Ôe
840375	288352	Yukiko 'Ki-anchan' Makioka
840375	322737	
840375	334777	
840375	372037	Shoko
840375	375590	
840376	176847	Abused Wife
840377	194025	Student reporter
840377	283102	Villagers 'Princess Spectacul
840378	235373	
840379	13985	Herself
840380	121448	The wife
840380	213283	Akiko Yonomiya
840380	293599	
840380	341271	
840381	139983	Okamura
840382	411646	
840384	173067	Freya
840384	396796	Puriprin
840384	405141	Sheila
840385	288907	Japanese soldier
840386	228377	Manabu
840387	171625	Sannjo Kasai's mother
840388	55	
840388	9601	
840388	19595	Masako
840388	19703	
840388	121214	Mitsu
840388	123529	Otsune, Suezo's wife
840388	144435	
840388	167979	
840388	172042	
840388	172111	
840388	172277	Nobuko Enami
840388	173126	Tomiko Takemura
840388	179523	
840388	182154	Hamako
840388	216386	
840388	229767	
840388	232663	Oaki-san
840388	233217	
840388	242211	
840388	242229	Keiko Tsutsui
840388	288640	Mrs. Gorai
840388	293487	Taka
840388	298693	Ise's wife
840388	299349	Yoshino, Tokizo's wife
840388	341307	Natsue Tagami
840388	344119	Hideyo Nozaki
840388	344950	Matsue Torii
840388	373509	
840388	374520	
840388	394717	Katsu Akiyama
840389	62051	Foo
840389	254260	Little Seal
840389	267588	Cigarette Girl
840389	358255	Secretary
840390	74123	Waitress
840391	170903	
840392	283624	Waitress
840393	238656	Jung-ling
840394	199311	The Family
840394	377652	Japonnaise
840395	373235	
840396	123446	
840396	232704	
840396	406535	Sayaka Kinoshita
840397	358561	Hostess
840398	130306	Cindy
840399	299305	
840399	324308	Mami (angel)
840399	341297	
840399	341302	
840399	341304	
840399	341310	
840400	125457	
840401	9256	
840401	9277	
840401	29572	Kidnapped Girl
840401	77527	Yukiyo
840401	80005	Osome
840401	130538	
840401	145127	Tomiko
840401	145764	Nukamura, Minako
840401	150592	Rumiko
840401	168006	Actress (cameo)
840401	172334	Teacher
840401	174360	Kyoko
840401	179526	Shinji's Fiancee
840401	179545	
840401	181888	
840401	182428	Noriko Nagai
840401	206766	Ocho
840401	208684	Saeko
840401	236853	Sachiko
840401	242122	Natsuko Asakura
840401	242143	Yuri, the maid
840401	243365	Akemi
840401	288409	
840401	298968	Rie
840401	299153	
840401	318542	Kazuyo Takeuchi
840401	328016	Yamada
840401	336351	Kinuko
840401	370443	
840401	375582	Reiko
840402	409315	
840403	167536	
840404	394521	Kaori
840405	170992	
840406	155505	Kiyo Mishima
840407	133337	Skateboarder
840408	120682	
840409	341005	
840410	87858	Makoto's ex-wife
840410	170839	Jury No8
840410	214296	Shiho Tsukishima (Shizuku's o
840410	240379	Nanako
840411	334862	Yoshiko (age 7)
840412	135953	Captain
840413	41123	Windward Maid
840414	179465	Mio Minawa
840415	19561	Head Maid
840416	173596	Friend B
840417	402055	Mrs. Botero
840418	402019	Song-Li
840419	122163	Kyoko
840420	298425	
840421	313	
840421	56767	
840421	72679	Masayuki Kaneko
840421	82729	Eiko
840421	299135	Tokutaro Ikeda
840421	378783	
840422	136140	
840423	293600	
840424	288352	Etsuko
840425	89049	Katsuko Watanaka
840426	30737	Shiin-Hari
840426	38818	Flower Youma Gurishina
840426	80570	Ayane
840426	80572	Ayane
840426	80573	Ayane
840426	107610	Cal
840426	113336	Rouge (Japanese version)
840426	210152	Ran Mouri
840426	294105	Okuni
840426	313337	Iria Silvertoli
840426	327052	
840426	342572	Soryuuto
840426	350723	Meltina (Japanese version)
840426	378718	Kyouou
840426	382108	Cooan
840426	383422	Maki Akarei
840426	384234	Empress Hysteria
840426	385980	Archnemon
840426	386040	
840426	389877	Hitomi Kirara
840426	390027	Maria & Shoryuki
840426	390264	Mai Ohta
840426	391597	Atsuko 'Akko-chan' Kagami
840426	394107	Mist
840426	394419	Bunny Higinizu
840426	395167	Sofia Forrester
840426	396923	Meiko Akizuki
840426	397371	Ran Mouri
840426	397828	Marie Milgraine Diamas
840426	399499	
840426	399500	Bijo
840426	404770	Iliess
840426	404846	Rio Kitagawa
840427	309395	Yoko Saito
840428	241194	
840429	397616	MDPD ASU Animal Control Offic
840430	50791	Aunt
840430	361350	Aunt
840431	95224	
840432	361354	
840433	83187	Arlette
840433	128979	Marfa
840433	131081	Marie-Madeleine (Mary Magdale
840433	166132	La bonne
840434	346079	Reina
840434	399562	Sexy Reporter
840435	138246	Emilie
840435	148064	
840435	286892	
840435	326223	Estela
840436	250821	
840436	368654	Porn Director
840437	58162	Party Guest
840438	327661	Annuanciata
840438	356017	
840439	82771	
840441	359858	Art Gallery Party Goer
840442	29211	
840442	45817	Jayalakshmi
840442	132349	Goddess Padmavathi (guest rol
840442	176728	Holly Peacock
840442	202682	Lakshmi
840442	308985	
840442	312483	Ganga
840442	350386	
840442	351399	
840442	371293	
840443	175340	Sogoton
840444	318697	
840445	268694	Erzhu's Mother
840446	335427	Jin's Mother
840447	408627	Ji Hong
840448	225844	Jenny
840449	9192	Ji Yin
840449	189137	Yuerong
840449	202600	Liang Dan
840450	62302	Belén Fraga
840450	379116	Rocío Mazzini
840450	384119	Belén Fraga (1995-1998)
840450	393841	Herself (1991-1992)
840450	397571	Lorena Picabea (1994)
840450	401648	Herself (2002)
840450	402350	Marisol Anzoátegui
840450	402630	Sol Iturbe
840450	408204	
840451	131145	The Girl
840452	374969	Servant Girl
840453	111211	Television Director
840454	17605	Jenny Yu
840455	236235	Pei Ti
840455	323258	
840456	63434	
840457	160985	Herself (singer)
840457	369646	Mrs. To, Moon's mother
840458	21370	Tahamirne
840458	74122	Norma
840458	123109	Central Guard Captain
840458	139476	Mime
840458	182506	Older snake sister
840458	296507	Arisian Conscious
840458	350723	J.D. Warris (Japanese version
840458	379166	Ranko Midorikawa
840458	383095	Bigro
840458	407287	Phantom Lady Fyana
840458	410509	Golden Goddess
840459	8785	
840459	17424	Yoko
840459	63542	
840460	157027	Etsuko
840461	127919	Kaname
840461	163850	Fukuya
840462	101564	Cook
840463	61029	
840463	174864	
840463	209787	
840463	235033	
840463	245911	
840463	283677	
840463	283956	
840464	32451	Single Career Woman
840466	176415	Japanese Woman
840467	176415	Japanese Girl
840468	89441	Amusement Park Staff
840469	152426	Technician
840469	310649	Female Student
840471	18664	Tada, Kanae
840472	411725	Nemuta Utsura
840473	285738	Tatsuya
840473	394425	Erica Simmons
840473	405981	Currypan-man
840474	30987	Mayu Hasuda
840475	9276	Prostitute
840476	85509	Betty
840476	170880	Kyoko/Zombie Queen
840476	219568	
840476	395302	Cel
840476	397546	Gilda
840476	402582	
840476	409419	Harumi Fujihara
840477	84773	Her
840478	132157	
840478	172716	Tzutzka
840478	179092	
840478	181483	
840478	202436	
840478	227909	Yanka
840478	237039	
840478	305903	Mikata
840479	25216	
840479	30153	
840479	55311	
840479	55362	
840479	96533	
840479	256153	
840480	349311	
840481	18871	
840481	366004	Elias' Wife
840482	9349	
840482	11737	
840482	25579	
840482	38438	
840482	86949	
840482	175666	
840482	178409	
840483	9558	Wife of Dead Gangster
840483	44791	Mitsuyo Aikawa
840483	123451	Woman X/Chikako Sugawara
840483	174874	
840483	182710	Taiko
840483	182711	
840484	53876	
840484	182089	
840485	21606	The lawyer
840485	149881	
840485	391179	Nurgül
840486	378599	Müge
840487	200283	Desk Sergeant
840487	271335	Beneatha 'Bennie' Younger
840487	353273	Waitress
840488	320109	
840489	258590	Raichka golyama
840490	243640	
840491	50957	Zhana
840491	132569	Grafinyata
840491	230043	
840491	256733	
840491	258630	Starata Katerina
840491	261445	
840491	264977	Maria
840491	272384	Kasierka na garata
840491	305478	Lili
840491	318153	Maria
840491	374859	Sofia
840492	118662	Alejandra
840492	379252	Sandra Villagra
840493	5306	Woman Reporter
840493	40184	Nancy, Photographer
840493	71476	Mabel
840493	141568	Guidance Counselor
840493	165871	Stella Byrd
840493	232845	Dr. Thatcher
840493	260207	Chelsea
840493	292130	Stella Hill
840493	321688	Ban Urlu
840493	327241	Solana
840493	362529	Sybil
840494	714	Sissy
840495	13723	Rug Weaver, Berea, Kentucky
840496	359902	Campbell's secretary
840497	269892	Aborigine
840498	26080	
840498	129952	
840498	154836	
840498	236073	
840498	237524	
840498	256698	
840498	261365	
840498	357231	
840499	63071	Barbara
840500	26423	Janice Eriendsen
840500	170843	Reporter
840501	383017	Regular
840501	384588	Correspondent/Contributor
840502	151806	Agente ecológica 2 (segment "
840502	199004	
840502	370098	
840503	343627	
840504	321953	Film Producer
840505	335461	
840506	89793	Zlata
840506	130142	D-r Elena Trayanovska
840506	131025	Ilieva
840507	320529	
840508	176406	Extra in alley scene
840509	360755	
840510	323842	Girl
840511	31086	
840512	77791	Host
840513	9023	Asian TV reporter
840514	409702	
840515	220677	Lover, Female
840516	334781	Eva
840517	368089	
840518	401107	Cher (1986-1987)
840519	151895	Guest
840520	131276	
840520	161085	
840520	164757	
840520	181390	Lee Jeong-Mi
840521	410920	Host (1996-1998)
840522	229883	
840522	371256	Kyun-woo's aunt
840523	47875	Korean shopkeeper
840523	64869	Suzanne
840523	65748	Kiki
840523	88623	Kim
840523	163229	Mrs. Sun
840524	277559	Hong Liu
840524	371504	
840525	298706	Ye Xiaomei
840526	33100	Chunni
840526	227257	Dafeng
840526	298700	Tang Minxiu
840527	202844	
840528	137164	Hong Xiugu
840529	236268	
840529	297934	
840530	142600	Herself
840531	203436	Japanese Waitress
840532	294471	
840533	7360	
840533	144275	
840533	153431	
840534	28799	
840535	286663	
840536	52025	Qiao Hua
840537	10414	Mrs. Wing
840537	16792	Chinese Woman
840537	108934	Noriko
840537	155921	Grocery clerk
840537	183590	Commissary Hostess
840537	193175	Jen Lau
840538	27161	Queen Chan
840538	110584	
840538	111246	Charity
840538	131342	Yun
840538	138630	Dr. Helen
840538	152810	Fanny
840538	167584	Gigi
840538	181541	Belle
840538	181543	Ye Ziqing
840538	183044	Miss Lam
840538	332313	XiaoTing Li
840538	373156	
840538	374905	Jade
840538	383833	The Skeleton Evil
840538	408176	Charity
840539	8997	May Lin
840539	48435	Peanut Eating Woman
840539	74128	
840539	90544	The Woman Downstairs
840539	140805	Girl in Hotel
840539	167765	Qin Zhen
840539	300407	Coroner
840539	369191	
840539	371577	Jia-Jen
840539	373678	
840540	75228	Yang Lijuan
840540	369950	Yu Fang
840540	374813	Lin Yifan
840541	3921	Liangliang
840542	151901	Lai Hwat (stepmother)
840543	47130	Dr. Milagros
840544	159886	Woman with baby, Sixpence
840544	397220	Lian Shin
840545	405112	Liu Tianna
840546	21818	Ashima
840546	369040	Deputy Commune Director Jinhu
840547	333528	
840548	152014	Fang Hui
840548	184709	
840548	323259	Tana
840549	135712	Ming
840550	622	
840550	215695	May
840550	369085	Lily
840551	268802	Meizi, Qinglai's sister
840552	55709	Chinese Lady
840553	288441	Ho San's mother
840553	288938	Powtee
840554	239984	Amah
840555	126898	
840555	166013	
840555	204125	
840555	227052	
840555	239307	
840555	294501	
840555	370516	
840556	50057	
840556	298857	
840556	385546	Attendant court lady Han
840557	326313	Fang Shengyu's Wife
840558	370298	
840559	297389	Prostitute
840559	341544	Yi Yi
840560	374949	Mo Xie
840561	130832	Sherri Lee
840562	354936	Young Xian Pei (Shanghai)
840562	367149	Maid
840563	251108	Kang Maid
840564	187920	Host
840564	384543	West Coast Correspondent
840564	388124	
840565	225844	
840566	299139	
840567	147534	Principal Model
840568	374700	Zhong Pin
840569	151895	Little Sister Mao aka Miss Wu
840570	101564	Chinese Doll
840570	218141	Li-Li
840570	230065	
840570	297418	
840571	272053	Lili
840572	332344	Girl
840573	181413	Juanzhi
840573	369792	Li Jian
840574	372233	3rd Bath Girl
840575	76993	
840576	299655	Black woman
840577	338568	Village Lady
840578	338568	Rice Girl
840580	245992	Wanda Hicks
840581	339	
840581	341368	Marie-Claire
840582	325383	
840582	365875	Emine
840583	190096	Jasmine, 3 Years Old
840584	33304	Hamiyet
840585	33304	Safiye
840585	322537	
840585	349225	Uçan Kiz
840586	104705	Herself
840586	104750	Turkish entry (19th place)
840586	136772	
840586	137950	
840586	228848	Balerina
840587	97608	
840588	384984	
840588	396333	Úrsula Villavicencio
840588	396925	Florencia
840588	401634	
840589	291	Herself
840589	292	Mom (I Lost On Jeopardy)
840589	293	Mom
840589	294	Herself (I lost on Jeopardy)/
840589	295	Mom (I Lost On Jeopary)/Amish
840589	27260	Amish Woman (Amish Paradise)
840589	68745	Herself
840589	410780	Herself
840590	12810	
840591	223550	
840592	38547	Vladimir's Wife
840593	281506	Henrique's Girlfriend
840594	32869	Michal
840594	137353	Dorothy
840594	230042	
840594	261794	Anglaise 1
840594	264423	Marcie
840594	334072	Irit
840594	362346	Herself (interviewed at the O
840594	397194	Host
840594	408313	Dr. Yaara Dvash
840595	98593	
840595	174457	
840595	190974	
840595	211540	
840595	266532	
840595	303726	
840596	185873	
840597	373744	
840598	163859	Journalist
840599	29415	
840599	76149	Une mère d'élève
840599	88193	L'assistante de l'homme polit
840599	88837	
840599	170468	
840599	170469	Une gitane
840599	225442	
840599	225574	Une invitée
840599	259024	
840599	268826	Lou
840599	312946	La femme de Yoffe
840599	346757	
840599	354577	Nicole
840599	390057	Comtesse
840600	260726	Herself
840601	54183	Gueule de Nuit
840602	7250	
840602	9692	Rosario
840602	30946	
840602	53674	
840602	60111	
840602	67679	Kelly
840602	73293	
840602	73656	
840602	74491	
840602	74904	
840602	76099	Julia
840602	76104	
840602	82283	
840602	84024	
840602	86904	
840602	102910	Herself
840602	103433	Libertad Iris
840602	108135	
840602	115019	Presenter
840602	117975	
840602	132638	Senta
840602	135361	Penthesilea
840602	155196	
840602	159742	
840602	164216	Margherita
840602	169085	Elke
840602	199830	
840602	202298	Blinka
840602	205137	Wandessa Mikhelov
840602	207960	
840602	208845	
840602	233763	Doyle
840602	239256	
840602	240343	
840602	249671	Madame Suzy
840602	249841	
840602	251701	
840602	275952	
840602	286370	
840602	296505	
840602	301197	Ingrid
840602	302310	
840602	307198	
840602	319286	
840602	348690	
840602	376815	
840603	79804	Dorm Receptionist
840604	123103	Zambeta
840605	54464	Prostitute
840606	50645	Motel Receptionist
840607	47421	Waitress
840608	47421	Body Double
840609	100619	
840610	212043	
840611	395090	Nasia
840612	150731	Fujiwara (Nonoko's teacher)
840613	158887	Ririka Tanamatsuri
840614	182167	Geisha
840615	317309	Highlands Nightclub Goer
840616	358638	Virginia
840617	361350	Pognere
840618	35859	
840618	95166	Rosi
840618	132168	
840618	242469	
840618	258128	
840618	350252	Sultanka
840619	8762	
840620	294186	
840621	60073	
840621	69977	
840621	172434	
840621	217658	
840621	261127	
840621	273038	
840621	301899	
840622	268957	
840623	16551	Alina
840623	24905	Tanya
840623	189443	Anna
840623	236054	Anya
840623	243973	Anna
840623	258586	Lena
840623	274434	Natasha
840623	316999	Young wife
840623	386805	Vlada (Dasha Kitaeva)
840624	265995	
840625	210825	Village Woman
840626	274645	Alejandra
840627	16704	Chin's Girlfriend
840627	32482	Maudie
840627	204106	Manganinnie
840627	358874	Mary Smith
840627	360444	Rosie
840627	411366	Maydina (episode 2: Maydina t
840628	248983	Julie
840629	215795	Caller
840630	87166	Minivan Theater Kid
840631	312693	
840631	356931	Maria, the prostitute
840631	373731	Sonya
840632	131183	
840633	268002	Mrs. Rebrova
840634	392421	Herself
840634	412064	Herself
840635	8604	
840636	167729	Jin Da Ban
840637	214379	Song Peihua
840638	167832	Liang Xiaojuan
840639	405279	Ermengarde
840640	272927	Hooker
840641	50292	Candy
840642	272023	Senator's Girl
840643	44108	Judge's Woman
840643	71138	Tai
840644	21529	Miss Pinkerton
840645	203358	Clinic Receptionist
840645	315747	Store Clerk
840645	349196	
840646	153118	Mrs. Chanpong
840647	104721	Herself
840648	161147	
840648	207205	
840648	207206	
840649	284328	Lupe
840650	234641	
840650	301574	Maestra Emilia
840651	88011	
840652	265997	
840653	159005	Herself
840653	175086	Rossa
840654	259221	Michael Konali
840655	7769	
840656	229096	Tong Samnang's Wife
840657	35492	
840657	103791	kidnapper
840657	233841	
840657	294383	
840657	296750	Chamal
840657	344869	
840657	388416	Verinha
840657	408220	
840658	35488	Phoebe
840658	37462	Scarlett
840658	45413	
840658	50801	Nancy
840658	51885	Mattie Harriett
840658	79290	Nightingale, the Fosters' Mai
840658	84252	Clara
840658	108328	Blossom
840658	123717	Maid
840658	132473	Maid
840658	133703	Mandy
840658	142872	Lucinda
840658	148933	Janet's Maid
840658	168981	Maid
840658	194176	Violet
840658	218714	Juline
840658	223019	Jessie
840658	223767	Psyche
840658	228660	Effie (Bonita's cook)
840658	232285	Josephine
840658	253525	Beauty Parlor Maid
840658	263117	Isobel's Maid
840658	271230	Seline
840658	274498	Polly
840658	276683	Eleanor's maid
840658	285654	Mary, Freddie's Maid
840658	287290	Hattie, the Maid
840658	288208	Hotel Maid
840658	306803	Sadie, Judy's Maid
840658	314354	Gladys (maid #3)
840658	321529	Myrtlee
840658	330059	Attendant
840658	330159	Chloe (Lana's maid)
840658	333386	Jeanie, Elaine's Maid
840658	348384	Black Prisoner
840658	360169	Janie
840658	363741	
840658	365188	Daisy, Belle's Maid
840658	367051	Creola
840658	372145	Rheba
840659	98906	Lady on Jury
840660	349396	Mary Jackson
840661	98906	Discovers Bodies
840662	294798	Press
840663	277096	Sam Spade and the Private Eye
840664	146059	Cashier #1
840664	197000	Girl in stairwell
840665	231106	U.N. Reporter
840665	296979	Dina Greene
840665	404613	Terry Benjamin (1973)
840666	358331	Teenage Girl
840667	195540	Waitress
840667	358484	Tarot Card Reader
840668	152828	Helga
840669	21735	Aunt Mariane
840670	316725	Jessica
840670	368719	Taylor (8)
840671	399588	Camille Ruiz
840672	276606	Brenda Groper
840673	158439	Mrs. Bates
840673	312350	Mrs. Lee
840674	1302	
840674	32162	Mrs. Porton
840674	47552	Nanny
840674	52648	Ma-in-Law
840674	68844	Mrs. Thackery
840674	73304	Mrs. Bullen
840674	73909	
840674	83045	Lady Sylvester
840674	101067	Lady Tapleigh
840674	107053	La Pinan
840674	107574	Mrs. Kemp
840674	109817	Victoria
840674	119798	Mme. Dernaux
840674	119841	Marianne
840674	121502	Agatha
840674	125985	Cook
840674	129403	Mrs. Kidd
840674	131391	Mrs. Mounder
840674	135406	Emma Tidmarsh
840674	136538	Grand Duchess
840674	138205	Mrs. Tunbody
840674	142911	Cynthia Smith
840674	163275	Marthe
840674	163560	
840674	169818	Mrs. Holroyd
840674	178909	His Wife
840674	183688	
840674	183701	
840674	188395	Bride's Mother
840674	193573	Eliza Critten
840674	199372	Mme. de Strael
840674	203091	Mrs. Hubbard
840674	207840	Mrs. Clappit
840674	211565	
840674	212690	Mrs. Tullivant
840674	232820	Margaret Clancy
840674	233573	Bunty
840674	242101	The Vengeance
840674	246714	
840674	264447	Mlle. Artemise
840674	264448	
840674	269324	Mrs. Porter
840674	291486	Scrooge's laundress
840674	292202	
840674	299934	Kate Browne
840674	301253	Mrs. Smith
840674	302597	Mrs. Clotty
840674	329597	Mrs. Frisbee
840674	330555	Mrs. Clutterbuck
840674	332150	Mrs. Chard
840674	332766	Fay
840674	335344	Fauntel
840674	340511	Landlady
840674	342825	
840674	343137	Mrs. Smith
840674	346840	Mrs. Robinson
840674	364396	Mrs. Medway
840674	364850	Cook
840674	367440	Mrs. Robinson
840674	372199	Mrs. Biddle
840674	372362	Mrs. Taggart
840675	58649	Housewife
840676	31691	Surfer
840677	385919	Lisa
840678	14429	
840678	74655	
840679	338658	
840680	202671	Tatyana
840681	28258	
840681	174163	
840681	262644	
840682	17769	Annie Rojas
840683	236657	
840684	98658	
840685	409666	Alice Hamilton (4 episodes 19
840686	47019	Party Guest
840686	164458	Christine
840686	244420	Hell Escapee
840686	347611	Mimi
840687	299241	Talila's Mother
840688	9443	Supriya
840688	341549	
840689	8023	Nancy Stuart
840689	39779	Jenny
840689	87507	Christina Seldon
840689	141350	Sarah
840689	190047	Receptionist
840689	253344	Tanya Sloane
840689	314107	Lauren Morton
840689	366328	Julia Watson
840689	384582	Bliss Colby
840689	385824	Whitney Baker #2 (1990-1991)
840689	391555	Chris (1995)
840689	403452	Dakota 'Koty' Lane
840689	403525	MacKenzie Magnuson
840690	9353	Pantomimical artist
840691	94621	Young Nell
840692	180844	
840693	219718	
840694	341939	Stroller Couple
840695	368689	
840696	260327	Body
840697	307374	Hospital
840698	13531	Beverly Hills Shopper
840698	20632	Secretary
840698	31825	Myra Russell
840698	42308	Susan
840698	44516	Mrs. Hedges
840698	67604	Gloria
840698	79447	Beautiful Woman
840698	93835	Volvo Boss
840698	107102	Eve
840698	109610	Laura
840698	121803	Delta Gamma
840698	157848	Anne
840698	169881	Ballerina
840698	192503	Ellen
840698	209242	The Mark's Girl
840698	211986	Base Commander 5
840698	213164	Sheila
840698	230693	
840698	237007	College Student
840698	291041	Helen Thomas
840698	297759	Madge
840698	300344	Gloria
840698	351441	Diane LeFanu
840699	62966	Ms. Clinker
840699	66027	Melissa
840699	138726	Herself (as Shields & Yarnell
840699	310184	Dot Matrix
840699	321154	Frug dancer
840699	365499	Sonia (Miguelito's $600 bioni
840699	396317	(1976)
840699	405132	
840699	405949	Regular Performer
840699	410907	Dancer, Kevin Carlisle Three
840700	4618	
840700	20625	Extra
840700	38583	
840700	39910	Female Subject
840700	65224	Guest
840700	109363	Marie
840700	115259	Bit
840700	146011	Pianist
840700	151041	Chorus Dancer
840700	197869	Bit part
840700	270502	Nearest, brunet police operat
840700	281841	Hostess
840700	363226	Girl at party
840700	366157	Cigarette girl
840701	236995	Baby Nathan
840703	405173	
840704	366392	Maria Antonia
840705	218876	Rachel
840706	234435	
840707	92862	Bar Fight Spectator
840708	259872	
840709	141733	Camp Magnolia Counselor
840710	11809	
840710	51689	
840710	342282	
840711	17709	La mère
840711	59510	
840711	63639	Varicelle
840711	71802	
840711	77828	Grandmother
840711	142850	Dr. Lamarre
840711	165759	Olga Petrova
840711	171324	
840711	188666	
840711	204824	
840711	270735	
840711	296079	La concierge
840711	302142	Mlle Margot
840711	308760	Sonia
840711	376906	Noemie
840711	388390	Fanfreluche
840712	95585	
840712	217454	Sergei's Mother
840712	260425	
840712	261364	Mrs. Zakharina
840712	261912	
840712	262167	Zakharova
840712	339241	
840712	357241	
840713	90450	Tània Gustova
840714	374407	
840715	146433	Child/The Devil (segment "Tob
840716	167226	
840717	80782	Gallery Extra
840718	61558	Ruth
840719	76159	
840720	3371	Mariena
840720	3475	Matilde
840720	10440	Señora de Baraibar
840720	53650	
840720	65194	
840720	75457	
840720	87050	
840720	101467	
840720	125719	
840720	145531	
840720	148105	Irene Argüelles
840720	199552	
840720	202560	Juanela
840720	205977	
840720	244605	
840720	244635	
840720	256538	
840720	262212	
840720	263827	
840720	287807	
840720	306697	
840720	306706	
840720	332612	
840720	336272	Mercedes
840720	375883	Serafina
840720	376794	
840721	110732	O-Take
840722	104792	Török hölgy
840723	104705	Herself
840724	41377	Sharon
840724	62007	Airplane Stewardress
840724	80482	Betty Lancing
840724	82837	Claudia
840724	86750	Elaine
840724	92694	Mina Murray
840724	148255	Ginny Johnson Drewer
840724	150836	Jana
840724	192380	Vicki
840724	207157	Peggy Brandt
840724	236995	Diane
840724	238228	Stewardess
840724	260116	Frannie Reynolds
840724	263360	Elizabeth Stuckey
840724	265100	Flo Healy
840724	265101	Annie Young
840724	279755	Maid Marian
840724	311439	Madison Bauer
840724	321184	Laura Renault
840724	339049	Nan Thompson
840724	379845	Renee (1997-1998)
840724	385824	Olivia Reed (1986-1987)
840724	389867	Carla (1989)
840724	392116	Sally Harper
840724	392480	Herself
840724	403143	Michelle
840724	411229	Casey Chappel Davenport (1994
840725	48935	Bunny Hole Waitress
840726	11745	
840727	294702	Zeinab
840728	1856	Herself
840728	27261	Herself
840728	68097	Herself - University Challeng
840728	154368	Herself
840728	154379	Herself
840728	220767	Dancing Woman
840728	328807	Celebrity Participant
840728	330027	Herself
840728	369480	Herself
840728	382280	Herself
840728	392049	Herself
840728	409643	Herself - Guest Host
840729	168356	
840730	14275	Chinese
840730	109064	Granny
840730	118199	Japanese woman
840730	239032	Mrs. Yamamoto
840731	40632	Mrs. Yakamoto
840731	59597	Dr. Yu Sing
840731	109064	Alice
840731	166713	Sarah (maid)
840731	198489	Reporter #3
840731	272846	Nurse
840731	313441	Crew Member
840731	344408	Sakagami Secretary
840731	349231	
840731	381576	Jeanne
840732	212109	
840733	198821	Kôzu, Yoriko (Sadatomo's Moth
840734	44791	
840734	123449	
840734	123452	Masako Shibata
840734	179524	
840735	138039	Mother
840736	97141	
840736	207644	Akiko Soma
840736	219835	Schoolteacher
840736	233112	
840736	233124	
840736	341284	
840737	169189	Rei
840738	122961	Yumiko Tachikawa
840738	145767	Yuki
840738	166000	
840738	242147	Jun
840738	334918	Yukari Sasahara
840738	370678	Mayuko
840739	337362	Sunny's Cousin
840740	256962	Zubeeya
840741	104188	Dancer
840742	163717	Donna
840742	195615	Blue
840743	8358	
840743	27642	
840743	59290	
840743	88470	
840743	90956	
840743	95315	
840743	164341	
840743	165407	
840743	184120	
840743	219363	
840743	220774	
840743	220826	
840743	237767	
840743	268787	
840743	271120	
840743	288780	
840743	370210	
840743	375196	Shirin
840744	39683	
840744	118754	Marocaine hammam
840745	106109	Model
840745	130285	
840745	130666	Lee-Leeo
840745	149250	
840745	162844	Dancing Girl
840745	378674	Herself (1993)
840745	379031	Himself (2002)
840745	381858	Herself (2000)
840745	403619	Herself (2001-)
840745	406965	Herself (1993-1995)
840745	410439	Herself (1993)
840746	163884	
840746	172716	Elizabet
840746	399350	Herself (eliminated round 1)
840747	128848	Benita
840748	62460	Storyteller
840748	82460	Deli Waitress
840748	263758	Poulas' receptionist
840748	286116	Nurse Helen
840748	406411	Barriss Offee
840749	298347	Nozomi Harasaki
840750	233004	
840751	182154	Yasuko
840752	208089	Gourmet Hunter
840752	225621	Herself - a member of Mooning
840753	163761	Haha no Koe
840754	138135	'Project Doraemon' Ikariya
840754	383107	Akane Kojima
840755	28059	Sae Karuma (Episode 2)
840755	145282	
840755	161691	Yoko
840755	167939	Teppo Yuri
840755	173106	
840755	181563	Saeko Kazama
840755	185652	Rinko
840755	205837	Minami Kubota
840755	231308	
840755	309186	Noriko Umezukushi
840755	323125	Yukiko Koryo
840756	43054	Ichiro's sister
840756	370347	Misako
840757	320106	Fan
840758	174994	
840759	43898	Misaki Watanabe
840760	132912	Pedestrian
840761	30796	Osanai
840761	197498	
840761	244564	Hostess
840761	334922	Eileen
840761	334923	Eileen
840761	371916	
840761	389464	Saki Hanajima/Kyoko Honda
840761	392619	Abelia
840761	393999	Mikage Tsumura
840762	182042	2nd Village Woman
840763	16309	
840764	68697	The Company
840765	129868	Housewife (Mrs. Hot Wife)
840765	345134	Japanese girl
840766	79427	Janine
840767	391367	
840768	390058	
840769	62825	Hideko Murayama
840769	139851	Machie Sugimoto
840769	174345	Yuka Takamura
840769	327006	Azusa Nishimura
840770	137006	
840772	4544	
840772	40726	Dr. Charbonneau
840772	65756	Theater Woman
840772	78084	
840772	90508	
840772	93959	Mrs. Howard
840772	107155	D.A. Rowland
840772	109643	Ling Landrum
840772	135935	Umeki
840772	197730	Doctor
840772	223332	
840772	279390	Nurse Dickerson
840772	313406	Additional Voices
840772	313419	Nurse Alyssa Ogawa
840772	313420	Nurse Alyssa Ogawa
840772	313443	Nurse Alyssa Ogawa
840772	315335	TV Newscaster Leslie
840772	323884	
840772	359714	Marsha
840772	366959	Therapist
840772	390797	Umeki Kazuhiro
840773	35115	
840774	21574	
840774	28113	
840774	88700	Miki
840774	182163	Masako
840774	232921	Yukiko Mishima
840774	348992	
840774	384400	Gina de Franco (2003)
840775	320197	Fifi
840776	380430	
840777	204747	Leslie
840778	14051	Herself
840778	221820	Herself
840779	188189	Sylvia Rayner
840780	50170	Secretary16mm
840781	50974	The Mayor's Wife
840782	49874	Annie
840783	22035	Jennifer Baxter
840783	41693	Rosemary Angeli
840783	55045	Lucky Dyson
840783	70322	Violet
840783	105448	Mary Harper
840783	106755	Molly Story
840783	109831	Mariella Flynn
840783	116330	Laura Coe
840783	127522	Louise Rutledge
840783	135996	Shirley
840783	140162	Dorie
840783	140400	Paula Plotkin
840783	154168	Melinda
840783	191524	Stacey
840783	196130	Judy Lister
840783	206138	Marylyn
840783	217535	Sandi Boyer
840783	238524	Mae
840783	244120	Betty Cardone
840783	253339	Julie Scott
840783	280717	Candy
840783	293149	Karen Lovell
840783	312559	Linda Steele
840783	346902	Carla Robbins
840783	364324	Lurene Garver
840783	386190	Diane Wyman
840783	387152	Sarah Curtis (1987)
840783	399601	Det. Jennifer Dempsey
840783	403335	Annie Adams
840784	26079	Flight Attendant
840784	301289	Gym Woman
840785	97203	Pearl Ritchie
840785	185197	Child
840785	397912	
840785	398742	Sarah Kennedy (shared)
840786	5806	Mary Creighton
840787	175217	Restaurant Patron 2
840787	297181	
840787	359499	Pamela Stone
840788	190328	Woman In Car
840788	220978	Ariana
840788	252907	Laura
840788	384366	Ally Rescott Alden Bowman (19
840789	367062	Marie Svenson
840790	367062	Dot Svenson
840791	202619	Ruthana (Age 5)
840792	280180	Sandra
840793	67473	Michelle
840794	364341	Hoxie
840795	191424	Lisa
840796	131232	Maypole dancer
840797	56971	Mrs. Green
840797	200057	Garage Woman
840798	78087	Kelli
840798	102726	Rosie
840798	102736	Rosie (episode "Private Dance
840798	139005	Kat
840798	161188	Rachel
840798	196346	Sarah
840798	208169	Carly
840798	258074	Susan (segment "Corporate Mer
840798	292596	Alex Dulany
840798	316982	Emma
840798	399448	Kim
840799	49934	Lilica
840799	49935	Yuka
840799	87409	Caldy's Date, Leena
840799	136044	'Minnie' May Hopkins
840799	202806	Azusa
840799	202807	Azusa
840799	202808	Azusa
840799	202809	Azusa
840799	202810	Azusa
840799	202811	Azusa
840799	273202	Yomiko Readman aka 'The Paper
840799	286864	Child C
840799	298993	Hikari
840799	298994	Hikari Horaki
840799	307187	May
840799	380473	Yayoi
840799	382908	Maria, Additional Voices
840799	383019	Lilica Ebett
840799	394421	Ai
840800	277949	Sally
840801	79691	Salesgirl
840802	212963	Demelsa
840802	316858	Nurse
840802	360908	Receptionist
840802	363469	Dr. Merritt
840802	388321	Bethan Marks
840803	399584	
840804	16776	
840805	11199	Mam
840805	39788	Neilson's Wife
840805	59092	
840805	69638	
840805	80518	Mrs. Tucker
840805	115805	Trude
840805	129446	Mrs. Fielding
840805	163461	
840805	187338	Madame Tellier
840805	190084	
840805	193884	Mother
840805	219249	Val Turner
840805	242980	Chrissie Ellis
840805	257511	Audrey
840805	263609	Ada Lawrence
840805	308918	Mother Morel
840805	310532	Hilda Avery
840805	346211	Mrs. Matthews
840805	352702	Cook
840805	358836	Social Worker
840805	361978	Verity Braithwaite
840805	385116	
840805	390416	Mrs. Redwood
840805	399931	Marjory
840805	405048	Carol
840806	26640	Mrs. Prowse
840806	45944	Lady Margaret Maitland
840806	56623	Gwendolyn Welchman
840806	81574	Mrs. North
840806	118215	Jane Butler
840806	130020	Poppy Stone
840806	134104	Hilda Glaum
840806	147978	Jenny Kiernan
840806	150782	Alice Howell
840806	157777	Stella
840806	165464	Queen Elizabeth
840806	171099	Rachel
840806	251417	Miss Brown
840806	280491	Vera Verez
840806	280932	Queen of Naples
840806	292679	Anne Redvers
840806	329837	Violet Vere
840806	335280	Rose Selwyn
840806	338292	Countess Zena
840806	347552	Judith Ruddinger
840806	362199	The Comtesse
840806	363507	
840807	185197	Child
840807	397912	
840807	398742	Sarah Kennedy (shared)
840807	401973	Australian Becky
840808	131232	Extra
840809	131232	Extra
840810	157659	Herself
840810	352690	Herself
840810	381886	Herself - 'On the Bed' Presen
840810	408567	Presenter
840810	409018	Herself
840811	79083	Estelle Gold
840811	99068	Elenya's Voice
840811	99968	Jane Wooler
840811	118290	Army nurse
840811	130474	Jen
840811	147429	Daisy Amory
840811	155641	Jenny
840811	191298	Mother
840811	195168	Betty Maitland
840811	230363	Zita Sorbo
840811	273825	Joyce Crane
840811	281425	Betty
840811	298055	
840811	305371	Barbara
840811	359553	Gran
840811	381087	Mrs. Moore (1970)
840811	387518	Estelle Waterman
840811	387710	Pamela Warren
840811	388241	Elizabeth Perrin
840811	391073	Harriet Preston
840811	394274	Muriel Rush (1980-1982)
840811	395341	Elizabeth Perrin
840811	404850	Madame Arnoux
840812	176229	Claire Andrews
840813	290972	Shelly
840814	16878	Dancer
840815	203489	Janice (age 11)
840816	1999	Andrea's Mother
840816	16658	Linda Barlow
840816	30734	Mr. Waddells Wife
840816	87936	Teacher #1
840816	88090	Stage Manager
840816	107823	David's mom
840816	149730	Mrs.Davis
840816	193296	Nora Keddington
840816	196209	Dr. Drake
840816	331463	Clara
840816	343141	Mrs. Grier
840817	131232	Extra
840818	26824	Sarah
840818	204354	Mrs. Wendorf
840818	347547	
840819	203489	Janice (age 9)
840820	64864	Bar Kep Girl
840821	135661	
840821	153297	
840821	207579	
840821	247544	
840821	252142	Rose
840821	303343	
840821	312485	
840821	323339	
840822	26261	Sonja
840822	182620	Pige 2, Festen
840822	268331	
840822	291652	Sanne
840823	80537	Nurse April
840824	169874	
840824	408861	Widdow Trotter
840825	381631	
840826	18416	Radio-operator
840826	51079	
840826	60454	
840826	98577	
840826	179906	
840826	245901	
840826	280455	
840826	305141	Irina Mezhnikova
840826	323330	
840826	344058	Zhenya
840826	348707	
840826	357216	
840826	374784	
840827	77663	
840828	129077	Yuki
840829	2918	Shou-Ching Chan (Ching)
840829	25887	Jenny Tung
840829	25933	Gobby Li
840829	48423	Cher Lo
840829	59295	Chun May/Chun Li
840829	60564	Saeko Nogami
840829	61522	Kitty/Vivian Shang
840829	63301	Baby
840829	63742	Hui Yu-Lan
840829	88612	Mei
840829	88613	Mrs. Ho
840829	94401	Hoi Tong
840829	94403	Yuen-Fan
840829	106779	
840829	123690	Lugo's Wife
840829	131343	Ting Siu-Yiu
840829	135027	
840829	149008	Tung Yen
840829	149067	Red Bean
840829	151954	
840829	151955	Sandy Chan
840829	167442	Cameo
840829	184618	
840829	189168	Chanel
840829	196643	Princess Kim Ning
840829	196644	Princess Kin Ning
840829	236245	Ching
840829	252091	Wendy
840829	268671	Shun
840829	300380	Helen (English Dubbed)
840829	300684	
840829	318229	Lotus Shui
840829	324735	Kwan Tak-Hing/Ng Siu-Yuen
840829	336638	Yim Tung-tung
840829	367165	Lui Chi-Lan
840829	369108	Lee's Girlfriend
840829	369109	Har
840829	369110	
840829	369623	Law Mong-Dai
840829	369624	Yau Yuk-nam
840829	369627	
840829	369711	Flowerless/Night Bloom
840829	369797	Bo Bo Chung
840829	369820	Chili
840829	371513	Siu Chiu
840829	373026	
840829	373090	Ah Moon/Rosa Gao
840829	373259	Yung
840829	374753	Banana Fung
840829	374974	Ching Siu Sze
840829	376063	
840829	376066	Doctor
840831	151955	Siu-Hung
840831	266662	Litle Macau's Wife
840831	268714	Miss Ode
840831	286916	
840831	302605	Sophia
840831	332244	
840831	367114	Ling
840831	369042	Yau Siu-Qiu
840831	369566	Moon
840831	370605	Twiggy the Demoness
840832	381492	Mistral
840833	286916	
840833	336635	Younger sister
840833	370485	
840833	371589	Prostitute
840834	72923	Sue Cummins
840835	11907	Isabelle Müller
840836	86903	
840837	124298	
840838	343961	Baby
840839	13640	
840840	38492	Narrator
840840	137595	
840840	294124	Rosa
840841	182761	Nurse
840842	257718	Shinohara, Aya
840843	21756	Adjovi, la boyesse
840844	47915	Student
840845	331005	Eva
840845	346445	Claire
840845	352487	
840846	118841	Becky
840847	239331	Nurse
840848	108671	Malon
840848	176537	Chan Agi
840848	348761	Nagisa
840848	378150	Riquinni Nonderaiko
840848	380473	Kaede Kunikida
840849	283621	Woman
840850	281244	Girl on Cliff Top
840851	2905	
840851	6423	
840851	23130	
840851	35628	
840851	37763	
840851	38436	
840851	38448	
840851	38450	
840851	63997	
840851	94596	
840851	107637	
840851	137593	
840851	153974	
840851	155565	
840851	173423	
840851	173772	
840851	175384	
840851	179192	
840851	182839	
840851	212286	
840851	227234	Tülin
840851	285568	
840851	317685	
840851	324532	
840851	325181	
840851	326265	
840851	350561	
840851	357601	
840851	370374	
840852	57592	
840853	45002	Maru
840853	298884	Miko
840853	392572	
840853	400618	Sumika
840854	145280	Uno, Sakiko
840854	153209	Pregnant Woman in the Pool
840855	41197	Bad Vampires Actress
840855	60745	Kimberly
840855	78976	Cheryl
840856	316298	Bus Passenger
840857	322738	
840858	81052	Girl at Dakota's
840858	220820	Coed in Bed
840858	257649	Miss June
840858	257682	Herself (Playmate)
840858	257835	Miss May 1991
840858	295194	Bartender/Pat's Wife
840859	317309	Casting Agent #8
840860	71798	Constitutional Law Prof.
840861	24432	Go-Go Dancer #3
840862	185069	Mother
840864	311342	Sindi
840865	213774	
840866	20625	Extra
840866	112595	Nantee
840866	371887	Native Woman
840867	194938	Villager
840868	272868	Young Rhyia
840869	216063	Rosa (joven)
840870	304734	Goodbye Girl#1
840871	296107	Kara
840872	356672	Mónica
840873	378790	Ursula Molero
840874	386069	Girl in Mirror (segments "Dep
840875	272434	Voice of Haydée
840876	179956	
840876	300705	
840877	1921	Jo Kwang-ja
840877	15857	Kaniko
840877	76653	Ko Eun-bi
840877	136378	Sun-i
840877	285228	Myung-sook
840878	152128	Song Binbin's Mother
840879	298678	Xiao Zhang
840880	100130	Merchant
840880	364783	Ms. Hsia
840881	111236	Mama Chang
840882	184317	Tang's Wife
840883	38176	
840884	369584	Zhen Yi's Wife
840885	219401	Herself
840886	370828	Lin Xiumei
840887	194083	Sister Ding Shi
840888	18310	Grocer's Wife
840888	36862	Connie TV Guest
840888	43596	Seance Woman
840888	78082	Fong
840888	95792	Gage's Maid
840888	138797	Chinese Lady
840888	163188	Hostess Rose
840888	189242	
840888	291457	Rusty's 'Aunt Mabel'
840888	306257	Dressmaker
840889	141338	Nauma
840890	356637	Becky
840891	62778	Dancer
840891	260950	Dancer
840892	49642	Herself
840892	49643	Herself
840892	139606	Marina Bar Waitress
840892	160295	Herself
840892	236370	Herself
840893	18029	Jane
840893	26514	Mary's Ob-Gyn
840893	45618	Seeress
840893	71508	
840893	72140	Bunny Birchwood
840893	79611	Social worker
840893	80660	Nadya
840893	100822	Mrs. Anderson
840893	126648	Martys Party Guest #4
840893	131433	Reporter
840893	135176	Production Assistant
840893	141155	Millicent Hearst
840893	154302	Bank teller
840893	192634	Florence
840893	196524	Ellen
840893	217490	Andrew's Mother
840893	222612	Waites Receptionist
840893	253509	Pamela
840893	274650	Town Citizen
840893	291969	Screaming Mom
840893	301530	Cora Bach
840893	302911	Angela Vane
840893	310880	Mrs. Dixon
840893	311005	Reporter #1
840893	328253	Nurse
840893	355539	Advisor
840894	13778	
840895	82696	Paramedic #2
840896	304554	Stella
840896	317153	Sandra
840897	11545	Jessica
840897	192100	Fan
840898	46394	Camilla
840898	107994	Anne Benton as a child
840898	164541	Susie
840898	360217	Little Frank Hendrie
840899	12217	Have a Nice Day Stewardess
840899	17938	Wunda hair Girl
840899	37413	Miss Eve #1 (Nelle)
840899	72376	Bidding Customer
840899	75585	News Reporter
840899	94983	Tami
840899	161537	Tart #1
840899	330386	Chauncey's New Wife
840899	381755	Herself/Panelist
840900	370880	Student
840901	381821	Ensemble (1976)
840902	328301	Baby Melanie Horton
840903	334409	The Lotus Eaters
840904	133475	Kreme Cup Girl
840905	119599	Girl In Blue Film (II)
840905	253248	Groupie
840906	272857	Georgia
840907	1439	Herself
840907	3021	Herself
840907	47377	Herself
840907	63042	Herself
840907	85933	Herself
840907	104990	Herself
840907	124286	Backup Vocalist
840907	175548	Herself
840907	223134	Herself
840907	242956	Herself
840907	251089	
840907	280443	Herself
840907	281530	Herself
840907	324376	The Narrator
840907	330391	Herself
840908	132445	Ashley
840908	344652	Mme. Tushka's Girl #1
840909	269355	Goth Rose Girl
840910	46237	Ronnie's Mother
840911	4618	Contortionist
840911	118321	Bit part
840911	150723	Contortionist
840911	176321	Acrobatic dancer
840911	375719	Dancer
840912	128154	Bartender
840913	129829	Ponti Assassination Bystander
840914	75717	Nationals pair #2
840915	286655	Chanteuse #2
840916	286655	La mère de la mariée
840917	130772	The Girl
840918	242487	Kitty Shim
840919	379339	Emily Chen
840920	364176	Tang
840921	20625	Extra
840922	396302	Presenter
840922	406307	Presenter
840923	411941	Correspondent (1998-2001)
840924	278794	
840924	362675	Vu
840925	380730	Herself
840926	372230	Christine
840927	215686	Miss Canada
840928	272085	Dr. Matthews
840928	291252	Soul Face #1
840928	352136	Rita Torino
840929	68490	Herself (News reporter)
840930	87576	Cleaning Woman
840930	101070	Mrs. Wu
840930	129397	Mae Lee
840930	178138	Chinese Grandmother
840930	378855	Mrs. DeGuzman (1997-1998)
840931	97003	Third Sister
840932	86780	Young m.j. player
840933	397054	Son-Rei
840933	404112	Huang-Do (Daughter)
840934	337206	Child at the World Choir
840936	174920	Mrs. Shimon
840937	2621	
840938	225846	
840938	320483	
840938	340234	
840939	263662	
840940	402348	
840941	43132	
840941	405850	
840942	63612	
840943	258999	
840944	91481	
840945	370186	
840946	28241	
840946	186869	Woman
840946	187378	
840946	188127	
840946	215110	
840946	217403	Lyubov Kochubei
840946	307683	
840947	48075	Woman at Party
840947	360116	Piper
840948	107621	Performance Artist
840948	156854	
840948	176971	Candice Klein
840948	345691	Nurse Lindy
840949	184209	
840949	211230	Nazik
840950	19316	Svetlana
840950	28498	
840950	88453	
840950	283775	Maid of Honor of Catherine Th
840950	340239	
840950	349297	
840951	85148	
840952	134896	His Wife
840952	219343	Lt. Ivanoskaya
840952	375859	Louise
840953	373545	
840954	76485	
840954	229689	
840954	300511	
840955	33835	
840955	357468	
840956	20175	
840956	29590	
840956	33837	
840956	35861	
840956	84466	
840956	85149	
840956	179819	
840956	197466	
840956	208131	
840956	217269	
840956	228802	
840956	229083	
840956	239364	
840956	240503	
840956	245897	
840956	259809	
840956	259878	
840956	261953	
840956	263656	
840956	263657	
840956	280366	
840956	280378	
840956	283826	Vasilisa Yegorovna
840956	300369	
840956	312508	
840956	313814	Nina Sarafanova
840956	323331	
840956	341190	
840956	356110	
840956	356483	
840956	356870	
840956	356941	
840956	357479	
840956	370173	
840956	373460	
840956	374774	
840956	379585	
840956	381631	Olga Sergeyevna
840956	387138	
840956	390635	
840956	411981	
840957	28241	
840957	40212	
840957	198126	
840957	198127	
840957	198128	
840957	410361	
840958	20404	
840958	35933	
840958	49133	
840958	238105	
840958	259878	
840958	265959	Mari
840958	304155	Gessiona
840958	357347	
840958	374990	
840959	163044	
840960	43073	
840960	172322	
840960	174540	
840960	197469	Manka
840960	219343	Lt. Ivanovskaya
840960	243247	
840960	289870	Anna
840960	341209	
840960	351346	
840960	357259	Dasha
840961	86613	
840962	339151	
840963	19248	
840963	36645	Carola
840963	42614	
840963	52717	
840963	53650	
840963	55085	
840963	65194	
840963	69254	
840963	77252	
840963	81421	
840963	121250	Reina Isabel la Católica
840963	125389	
840963	135380	
840963	136844	
840963	138020	
840963	189028	Mary
840963	202561	
840963	204633	
840963	205697	
840963	214205	Genoveva
840963	231300	
840963	238151	
840963	249907	
840963	252612	
840963	252681	
840963	281614	
840963	292725	
840963	309083	
840963	326306	
840963	328202	
840963	339151	
840963	351483	
840963	357869	
840963	376700	
840963	376834	Marta Vélez
840964	87066	
840965	55745	
840966	42402	Lyman Townfolk
840967	78600	Chew Hung
840967	153030	Fong
840967	153049	Snow
840967	236275	Jade
840967	369540	Courtesan
840967	369762	Ching-Ching
840967	369961	
840967	371531	Schoolteacher
840968	199038	
840969	304690	Herself (anchor, reporter, Sa
840970	60560	Mrs. Wang
840970	76283	
840970	76309	
840970	96511	
840970	198183	Chinese widow
840970	268639	Mrs. Han
840970	298717	
840970	305457	
840970	319729	May May Wong
840970	369106	
840971	110655	Girl inmate
840972	38191	Nancy Yu
840972	48426	San
840972	76393	
840972	76425	Sally
840972	86316	Jennie
840972	88546	Pat Neil
840972	130844	Dynamite
840972	138626	Herself/Relative at banquet
840972	167444	
840972	167453	
840972	179953	
840972	184974	Susu
840972	191125	Angie
840972	239149	May Yeung Yee-Ching
840972	256215	Dynamite Susie
840972	256915	
840972	266050	Sally
840972	268713	
840972	296581	Sally
840972	297394	Stool
840972	297507	Physical Education Teacher
840972	332497	Sisi
840972	332512	Maria, The Robot
840972	376076	Professor's Daughter
840973	229260	Laundry Girl
840974	233004	
840975	304149	
840976	104422	
840977	266750	
840978	159915	Kathy (3 years)
840979	89818	Actress
840981	2790	
840981	248705	
840982	338947	
840983	29685	
840983	94595	Lamia 'Kinali Yapincak'
840983	124206	
840983	136763	
840983	178406	
840983	349228	Fatma
840983	349703	
840984	382093	Füreya
840984	404116	
840984	407596	
840985	23705	Carole
840985	383582	Genoveffa
840986	350980	
840987	50971	Isabelle
840988	179093	
840988	207497	Czarina Irina (segment "Tsar 
840988	219425	
840989	179902	
840990	228521	Host
840991	225822	Angelika
840992	356420	
840992	356921	Sofya Ivanovna
840993	235964	
840994	321952	
840995	104705	Herself
840995	204385	(segment "Nam ne dano preduga
840996	101702	Wife
840997	16255	Ashley Story
840997	177023	Jada
840997	262591	Fetish Girl
840997	314745	Jennifer's Costumer [sic]
840998	150979	Mum
840998	220649	
840998	384962	Rhonda Cameron
840998	388977	Pauline McGregor
840998	399130	Rona Jarrett (1989)
840998	402197	Joanne Slater (1982)
840999	9254	Camille
840999	78250	Policewoman
840999	194456	Geraldine Marsh
840999	212044	
840999	265606	Penny
840999	292700	Belle Hewitt
840999	386394	Romana Denison
840999	397626	Beth Sturgeon
841000	149224	
841001	99408	Sophie
841001	220502	Melanie
841001	402834	Annabelle Courval
841002	232024	Angelle Miliot
841003	99305	Herself
841003	161272	Herself
841004	63119	Little Girl
841005	398430	Anchor (2002-2003)
841006	378666	Various Voices
841007	250745	Dr. Ann White Cloud
841008	278155	Raleuse métro
841009	405349	Hülya
841009	407308	
841009	411705	Derya
841010	110916	Receptionist
841010	141187	Rigotti's Girl
841010	223329	Officer
841010	251979	Hotel Clerk
841011	181250	
841012	34588	Voice dubbing: 1970 revision
841013	194017	Sapochnekov's Wife
841014	20187	
841015	45556	(segment "Hundred for One, A"
841015	330800	(segment "Hundred for One, A"
841016	314817	Bianca
841016	388977	Margaret Buckley
841016	399130	Kelly Morgan (1986)
841016	402197	Rosemary Kaye (1983)
841016	405960	Jennifer Healy (1982)
841017	400048	Anna
841018	176809	
841018	344521	
841019	242872	Executive #4
841020	195981	
841020	264038	Lisa
841021	127741	Enchantress
841021	167447	
841022	221510	
841022	269841	Phuong
841022	357489	Hoai
841023	97494	Kate
841023	159169	Feng Twin 1, Feng Twin 2
841023	262085	Vypra
841023	262087	Vypra
841023	262088	Vypra
841023	262089	Vypra
841023	402002	Vypra
841024	59298	Szu Chen
841024	63282	Chiu Ling-su
841024	141870	
841024	268697	Woman agent
841026	50683	
841026	52260	
841026	82667	
841026	82668	
841026	89676	
841026	95801	
841026	125201	
841026	128676	
841026	201258	
841026	201497	
841026	278050	
841026	355153	Miko
841027	76275	Mrs. Tien
841027	308578	Daughter-in-law
841028	233792	Susan
841029	294023	
841029	303134	Laura Wingfield
841029	394196	Mehpare
841030	5000	
841030	80288	
841030	240335	Zengin kizi Melek
841031	150954	
841031	150955	
841031	150956	
841031	150958	
841031	173847	Idil Gaffraoglu
841031	264798	
841031	322544	Schuh-Girl Nurten
841032	124794	Office Worker
841033	5261	Abuela
841033	21738	Mrs. Diaz
841033	41776	Dog casket shopper
841033	65006	Consuelo
841033	73561	Hispanic Woman
841033	106378	Neighbor
841033	235174	Indian Woman
841033	370648	Maid
841035	174923	
841035	241936	
841035	356569	Praskovia
841035	356570	
841036	211860	
841036	375433	Lanara
841037	66581	Nurse Kyra Chen
841037	79938	Newscaster
841037	113333	Paine
841037	117781	
841037	200243	
841037	241955	
841037	298302	Hookers #1
841037	369466	Lady Deathstrike
841037	369487	Lady Deathstrike
841038	153441	
841039	18953	Voice Over
841039	168063	Herself
841039	391783	
841040	409511	Jessie
841041	240575	Psychiatric Nurse
841042	157457	Margaret Leyland
841043	311037	Bone-ette
841043	411367	Roxy Powers
841044	7365	
841044	38175	
841044	60575	
841044	76634	
841044	90618	
841044	123785	
841044	144265	
841044	144268	
841044	152335	
841044	156365	
841044	182321	
841044	236771	
841044	248642	
841044	259078	
841044	286479	
841044	286660	
841044	288349	
841045	1477	
841045	27391	
841045	29191	
841045	51018	
841045	78193	
841045	149091	
841045	166817	
841045	202200	
841045	202958	
841045	230218	
841045	294443	
841045	294454	
841045	385546	Court Lady Jeong
841046	80855	Judy
841047	1674	Herself
841047	2986	Ying
841047	3044	Herself
841047	8595	Ah Kam
841047	34646	Herself
841047	43451	Herself
841047	59293	Jessica Yang
841047	62685	Herself
841047	95192	Ching/Invisible Woman
841047	151973	
841047	152106	Inspector Ng
841047	164576	Herself
841047	167819	Inspector Jessica Yang
841047	204936	Miss Yeung
841047	210537	Mameha
841047	292813	Herself
841047	301965	Lulu
841047	302634	Sis
841047	308570	Soong Ai-ling
841047	323093	Siu Lin
841047	335336	Wai Lin
841047	335419	Michelle Yeung
841047	336729	Yin Fei
841047	344496	Yu Sau Lien (Crouching Tiger,
841047	367149	Yu Shu Lien (Mandarin version
841047	368069	Michelle Yip
841047	369098	Ching Sze/To Col Ching
841047	369589	Judo Instructor
841047	369599	Ching
841047	369684	
841047	371924	Yim Wing Chun
841047	374906	Fok Ming-Ming
841047	398446	Herself
841047	402862	Herself/#4
841048	36249	Nathu's mom
841048	79461	Sushma's aunty
841048	90946	
841048	233214	Ratnabai
841048	375193	Parvati
841049	144283	
841049	147571	
841049	286013	
841049	370332	
841049	371225	
841050	147560	Park Lady
841051	45780	Queen of Slovenia
841051	145736	Eleanor Roosevelt
841052	53054	Adel
841052	214430	Ashley
841053	132931	Mum
841054	333428	Herself
841055	178286	Monica
841055	238991	Scoreboard Girl
841055	279171	
841055	392248	Nancy Hamilton
841056	363827	Chief's Mother
841057	3247	
841057	61042	Helen Wu
841057	62181	Lu Chi Ling
841057	123973	Whore
841057	284742	
841057	291635	Do Shaie
841058	117656	Shoe shop assistant
841059	10953	
841059	248852	
841059	261220	
841060	125350	
841061	401521	
841062	292587	Miko Kajiyama
841063	265775	ICU Nurse #2
841064	329661	Dancer
841065	233974	
841065	307721	
841066	401771	
841067	12558	
841067	18808	
841067	55941	
841067	70595	
841067	127991	Luciana
841067	135160	
841067	258381	Martita (as Carmen Yepes)
841067	317673	
841067	383558	
841068	12030	Julieta
841068	28792	
841069	387275	Camila Mendoza Pinzón
841070	393035	Herself
841071	387905	Teresa
841071	396132	María
841072	204051	First Audience Girl
841073	409908	Alambrito Almanedá
841074	299402	Kulyash
841074	375472	
841075	150998	Bridesmaid
841076	44392	Fyodor
841077	217448	Teacher
841078	299038	
841079	356539	Glafira Alexeyevna
841080	3305	Herself
841081	176051	Old Woman
841082	127658	
841082	410403	
841083	215507	Miss Idaho
841083	264158	911 Nun
841084	348601	Cluck's Girl
841085	190384	Lyudmila
841086	77270	
841087	130713	Henchman, Faceless Man
841088	254153	Première Cliente
841089	298347	Yoshie Aoi
841090	35855	
841091	217289	
841091	373731	Margarita Ivanova
841092	235052	Austrian Dancer
841093	108854	
841094	356420	
841095	174975	
841096	349217	
841097	244252	
841098	74430	
841099	355555	
841100	166169	Iris
841101	200492	Thin Girl (segment "Lust")
841102	225454	Brigitte
841102	282015	The Mother
841103	45696	The Nurse
841104	258684	
841105	26195	Franka
841105	373302	
841106	243360	
841107	19945	Nicola
841107	105462	Julieta
841107	175239	Maité Rey
841108	402325	
841109	190757	Lileia
841110	14542	
841110	27770	
841110	197472	
841110	290070	Plaszow Jewish girl
841110	296560	
841110	392988	Gali
841111	8711	
841112	32491	Slava
841112	167820	Russian Group #4
841112	229036	Nikolai's friend
841112	337879	Varvara
841113	47402	
841114	104997	Herself
841115	17441	
841115	22107	Bahar Karadag
841115	144115	Nurse
841115	222351	Fatima
841115	360036	
841115	380746	Bahar Karadað
841115	392575	Gulsum
841115	397383	Serbert/Ayse
841116	104705	Herself
841116	136911	Alev Alev/Biyoloji Hocasi
841116	378305	
841117	181402	Ajzhan
841118	298640	
841119	182088	
841119	356596	
841120	224038	Mademoiselle
841120	293987	Sybil, Edgar's mistress
841120	309995	Tanya
841120	320712	
841120	328947	Natasha, wife of Giorgi
841120	356569	
841120	374773	Mashka
841121	300054	Young Babe
841122	31727	Mrs. Goodwoman
841124	217402	
841124	234671	Gaukhar
841125	293574	
841126	89984	
841127	307561	Olga
841128	86616	
841128	96741	Mrs. Gurtzweiller
841128	110402	
841128	224149	Woman
841128	360668	Rose
841129	147974	Hutterite Girl
841130	195331	Lark #1
841131	27796	Hui Fun
841131	63364	
841131	82146	Hoi Yeuk
841131	95508	Heung/Princess
841131	131185	Alice Tsui
841131	136878	Wai Chin-Wah
841131	152813	Yip Koo Hung
841131	197559	
841131	240567	Anna
841131	286903	Fong Lai Keun
841131	318919	Fong Lai Kuen
841131	373154	LK Fong
841132	298427	
841133	49	Hsiao-Lian
841133	59295	Choy-Nei
841133	95190	Young Girl
841133	95291	Charlie/Cherry
841133	151991	Yan-Yan
841133	167383	Foon
841133	188843	Chu, Ying-tai
841133	216646	Yvonne
841133	231271	Ken
841133	286972	Ho Yee
841133	287035	Sam
841133	300380	Joyce
841133	358924	Janet Lee
841133	369693	Butterfly (Cantonese version)
841133	371644	Fanny Chan
841134	2103	Gump's Wife
841134	124880	Dionne
841134	135460	Stella
841134	167383	Ji Sor Woman
841134	211000	Wah-Lei
841134	371625	
841135	25887	Shang
841135	94437	Ding's Female Bodyguard
841135	152811	Ching-Ching
841135	203417	Junko
841135	207439	Mo's Woman
841135	277560	Pao
841135	279632	Geisha nu (Japanese Geisha ro
841135	297490	Hsiao-Ching
841135	369061	Yang No. 9
841135	369065	Yin Tan-Feng
841136	266050	Masseuse #2
841137	241689	Royal College Musician
841138	58918	Mrs. Chan Hung
841139	130844	Black Cat
841139	254773	
841139	256215	Cat
841140	16940	Su Ling
841141	197177	
841141	218695	Wong Chung's wife
841141	373153	King Wang's wife
841142	197875	Monica
841142	301435	
841142	334295	
841143	127656	
841143	369571	
841143	373153	Lily
841143	373162	Chinyun
841144	1607	Tong Yi
841144	63374	
841144	358907	
841145	195331	Soo-Yi #1
841146	195331	Tam Farrow
841147	62106	Girlfriend #2
841147	305367	Goon girlfriend #2
841148	25931	Jackie
841148	124574	
841149	1585	
841149	110583	
841149	149063	Anna
841149	149064	Ida
841149	153050	
841149	167754	Lisa Cheung
841149	170255	
841149	183045	Li Tong
841149	192446	Ting's Daughter
841149	279538	
841149	368068	Zhou
841149	369605	
841149	405082	Muk Lim Chi
841150	3260	Herself
841150	110603	Nancy Lee
841150	138626	Party Guest
841150	172220	Annie
841150	216624	Princess White
841150	268770	Dik-Luo
841150	341731	Lady's friend
841151	275577	
841152	197133	
841153	216644	
841154	176252	Nurse
841154	370499	Wife
841155	192454	
841156	76852	
841157	358023	Alien's Henchman
841158	152011	Mandy
841159	48431	
841159	369081	
841160	3181	
841160	180365	
841160	180684	
841160	180943	
841160	182134	Katya's mother
841160	202304	
841160	227959	
841160	231166	
841160	231181	
841160	259872	
841160	265275	
841160	339246	
841160	352555	
841160	373523	
841161	3571	
841161	21292	
841161	131123	
841161	174532	
841162	304578	Annah
841163	344365	
841164	300511	
841165	258655	
841166	231142	Dentist's wife
841166	253091	
841166	261682	Berendeyev's mother
841166	313887	
841166	371344	
841167	323926	
841168	95498	Tanya
841169	84468	
841169	248324	
841171	194651	
841171	357613	
841172	186868	Odette/Odile
841173	283829	Styuerdessa
841174	256441	
841175	84468	
841175	259043	Atamansha
841176	119001	Elizabeth
841177	347123	Narrator
841178	375116	Girl in the bar
841179	381631	
841180	20175	
841180	162755	
841180	237139	
841180	248324	
841180	323646	'Mousy' Valya
841181	64089	Additional Voices
841181	107473	Additional Voices
841182	115397	Model
841182	217022	Air Hostess
841182	394863	
841183	10818	
841184	299287	Sharon-Louise
841185	41594	
841185	306908	
841186	67052	Young Girl
841187	121113	Luo Yu
841188	123389	
841188	167846	Yen
841188	187756	
841188	324342	Chow Mei
841188	374921	
841189	13786	
841189	224863	
841189	257670	Herself
841189	283713	Heaven on Earth host
841190	336018	Nurse Young Hi Park
841191	231335	Louise Li
841192	297647	
841192	341731	Lady Punisher
841193	298399	
841194	313476	Mari Amithest
841195	40814	The Mother
841195	161947	Jayne
841196	118098	
841197	233190	Helen's mother
841198	321167	Maria Paz
841199	150012	
841200	408175	Yuyan, Wang
841201	281494	Gülseren
841202	193488	Fatma
841203	174988	Ayla
841203	378240	
841203	407308	Elif (1996-1997)
841203	412318	
841204	171976	
841205	51300	Herself
841206	390812	Lea (# 1, #2) (1997)
841207	390812	Lea (# 3, #4) (1997)
841208	332628	
841209	391614	Seyyare
841210	24847	
841210	53289	
841210	63975	
841210	87719	Papatya
841210	211653	
841210	296415	
841210	371350	
841211	284435	
841212	22107	Zeynep Karadag
841212	380746	Zeynep Karadag
841213	390419	
841214	35621	
841214	49029	
841214	50821	
841214	302741	
841214	325011	
841214	377518	Dolores
841215	275181	
841216	375887	
841217	322544	Hotline Girl #10
841218	38495	
841218	130559	
841218	135906	Cigdem
841218	254225	
841218	307159	Meryem
841218	382092	
841218	395013	(1999)
841218	405465	Lebibe
841220	174198	
841221	370634	
841222	136752	
841223	15955	The servant
841223	79473	
841223	89518	Saliha
841223	109766	Serra
841223	113574	Eminè
841223	139373	Gulfidan
841223	181941	
841223	237439	
841223	240337	
841223	329160	
841223	350421	Grandmother Diomira
841223	371348	
841224	265833	Rahim's Mother
841225	11745	
841225	89509	
841226	230821	Master of Ceremonies
841226	410920	Host (1999-2000)
841227	315999	Woman
841228	194080	Alice
841229	20620	Lau Xing's Mother
841230	198710	Ling's mother
841231	225844	Michelle
841232	181833	Patron
841233	200621	
841234	275552	Ah San's girlfriend
841235	76335	Tingting
841235	317707	Peng Fang
841236	374959	Li's Wife
841237	227282	
841238	300804	Aunt Oong
841239	59987	Cherry
841239	63366	Gigi
841239	63374	Ginger
841239	137312	
841239	147048	
841239	190665	
841239	231226	Tina
841239	239141	June
841239	288419	Ding Ding
841239	370756	
841239	372390	September
841240	92740	
841241	86317	
841241	268759	Baochai Xue
841241	374996	
841242	385162	Su Lin
841243	297753	Leber's Girl
841244	203269	The woman
841245	278793	Loreli Ni
841246	151998	Queen
841246	359567	Barbarotious
841246	372185	An Hong
841247	3259	Pin
841247	62184	Sei Kee
841247	216401	
841247	302613	
841248	225804	Herself (Performer)
841249	225804	Herself (Performer)
841250	217079	Grandma
841250	270024	Wang's Mother
841251	162329	April
841252	149020	
841253	275575	Concubine
841254	389135	Liz Cambell
841255	242663	Madre de Rubén
841256	388630	
841256	395900	
841257	8131	
841257	8511	
841257	8610	
841257	11974	
841257	18223	Tassia
841257	20225	
841257	102094	
841257	113100	Katina
841257	118482	
841257	122782	
841257	127361	
841257	174538	Toula Varni
841257	178735	
841257	180350	Dora
841257	182448	Mrs. Paraskevi
841257	184183	
841257	199727	Katerina
841257	212565	Toula
841257	244462	
841257	247908	Zozo
841257	275885	
841257	310241	Wife
841257	316475	
841257	338984	Nana's mother, Eleni
841257	379531	
841257	394076	Kali
841257	403251	Katerina Sofianou
841257	407199	
841258	33199	
841259	42232	May
841259	48443	
841259	61032	
841259	85490	
841259	135461	Nancy
841259	147330	
841259	151955	Biggie Tsang
841259	152113	Susanna Yip
841259	152114	
841259	167428	Chesty
841259	167446	
841259	168033	May
841259	184740	Susie Yip
841259	189225	Hua-Hua
841259	189226	
841259	193892	Cameo appearance
841259	203116	Herself
841259	236249	Anna
841259	268678	
841259	268699	Party Guest
841259	268763	Apple
841259	298380	
841259	298713	Chin's Superior
841259	326334	May So
841259	332331	Piao Hung
841259	369715	Taiwan 72
841259	370837	
841259	374988	Death-rays
841259	388588	
841260	20625	Extra
841260	115673	Bing Chan
841260	203270	Chinese Extra in Bullpen
841262	3244	Nancy
841262	8778	
841262	8814	
841262	39019	
841262	42232	Tse
841262	42235	Lau Yuk-Ching
841262	63482	Cindy
841262	76294	
841262	77896	Han Yuk Nam
841262	82830	
841262	94475	
841262	94914	Yip Ting
841262	110624	Pearl
841262	121778	
841262	142967	Winnie
841262	142978	Shau Siu Man/Lam Ling
841262	152710	
841262	181541	Aunt Wing
841262	189124	Janice Chan
841262	189200	
841262	189508	Tomato
841262	216643	
841262	231200	
841262	231236	
841262	231279	Woman in Paris
841262	244734	Yuan Yu-Shih
841262	247334	Kitty
841262	281332	Shirley Cheng
841262	284755	
841262	297372	Donna Mang
841262	297373	Donna
841262	298351	
841262	332295	Liu Ah-Yu
841262	336634	
841262	367129	
841262	369041	Ceci
841262	369726	Kiddo
841262	370403	Ivy
841262	371923	Yip Mei-Ling
841262	373104	Lin Chu-Chu
841262	374693	
841262	374811	Cheung Tsui Fung
841263	373152	
841264	8789	
841264	28824	Mrs. Fat
841264	48426	Great-Grandfather's Wife
841264	85455	
841264	86851	Tina Lau
841264	106782	
841264	106798	
841264	110603	Miss Yip
841264	124576	Ah Si
841264	135492	Chin-Hua
841264	137311	Mrs. Wong
841264	138303	
841264	141892	'Babe' Fei
841264	149067	Red Bean's Mother
841264	152105	Ma Mei-Chun
841264	167371	
841264	167388	Anna
841264	170016	Sissy To
841264	183102	Teddy's Mother
841264	184754	Lee Yip-Cheong
841264	197875	Marianne Siu
841264	204936	Joyce Leung
841264	209907	Ngank
841264	210155	Herself
841264	216650	Ghost Prostitute
841264	236245	Witch Woman
841264	252091	Big Beer
841264	264066	
841264	295243	Anna
841264	298382	Anna
841264	300406	Anna
841264	323088	Inspector Ling
841264	324738	Inspector Yip
841264	332286	Ling's Mother
841264	372991	Shi-Yi/Baby
841264	373674	
841264	376766	Mrs. Li
841265	12311	Agent Cheung
841265	40203	
841265	51643	
841265	80904	Janice Long
841265	97569	Crowe
841265	112485	Girlfriend
841265	122217	Kashi
841265	131381	Koa
841265	137315	Cailyn/Mei Lin
841265	149010	Nancy
841265	181444	The Girl
841265	197530	Cora
841265	210963	Saeko
841265	214536	Newscaster
841265	230526	Constable Kelly Mah
841265	231268	Mamma San
841265	231617	
841265	258103	Bartender at Airport
841265	269400	
841265	281196	Motorcycle Fighter
841265	298707	Fion Wong
841265	358909	Françoise
841265	358911	Herself
841265	367282	Reporter
841265	389327	Jin
841265	403542	Lexx Icon
841266	124645	Wai Heung
841266	138626	Party Guest
841266	149034	Chin's assistant
841266	181563	Ashura
841266	181566	Ashura
841266	183982	Rikki's girlfriend
841266	268673	Siu-Yi
841266	268699	Belle
841266	275568	Ann
841266	298340	Little Bewitchment
841266	360991	Alien Girl
841266	369711	Gloria
841266	374946	
841266	374988	Gucci
841267	8779	Sau
841267	137316	
841267	172462	Sari Chen
841267	316590	
841267	326016	
841267	327020	Y2K
841267	374905	Kate
841268	335398	
841269	117656	Tracy
841270	153562	Tutorial Mate
841271	34638	Maxine
841272	236754	Herself
841273	240325	Oriental Hooker
841274	167760	
841275	123260	
841276	136160	Chan Tsi-seong
841277	88274	
841277	187532	Terry
841277	302605	
841277	332286	Sheung
841278	122884	
841278	123254	
841278	135938	
841278	183100	Feng
841278	252180	Flora
841278	296583	
841278	368075	
841278	369821	Cindy
841279	3244	Sue
841279	8814	Sue
841279	27808	Lotus
841279	29464	Ivy Yip
841279	48448	Jojo
841279	124866	
841279	135466	Yip Hing-Heung
841279	149053	Meng Yen Li
841279	192455	Tieh-Pin
841279	204057	Mrs. Ng
841279	209889	Beauty/Black Rose
841279	225845	Jean
841279	231234	Joey
841279	268714	Lo Yin-Hsin/Mimin
841279	268716	Milk
841279	292973	Ou-yang Feng's Cousin
841279	332332	Yip Hiu-Tung
841279	360999	Tsang Yau
841279	369077	Jenny
841279	369591	Siu-Yuk
841279	369610	Ho Ying
841279	369623	Law Sun-Dai
841279	370809	Nurse
841279	373023	
841279	373686	
841279	374703	
841279	374817	
841279	375917	Rose
841280	271868	Court Clerk
841281	144292	Kitty
841281	210980	Chuma
841282	137882	Habiba/Ophelia
841283	374322	Herself
841284	191809	Short Spectator
841285	179889	Theresa
841286	144254	
841287	210995	Betty Li Shin Yu
841287	333644	Ching and Judy [2 roles]
841287	404621	Daughter
841287	404623	Daughter
841288	98242	Mario's friend
841289	4463	Pak Sim
841289	58363	
841289	59296	
841289	103822	Wai-Lin's Girlfriend
841289	125629	
841289	135485	Yiu-Yiu
841289	144848	
841289	167442	Laura
841289	184225	
841289	231207	
841289	250893	
841289	268734	Matilda
841289	293469	
841289	296585	
841289	340606	Yee
841289	340617	Girl in Casino
841289	373093	
841289	373109	
841289	373155	Hong
841290	27808	Rose's Mother
841290	61522	Sister Cindy
841290	116601	
841290	135480	Femme Fatale
841290	191122	Snow's Mother
841290	239150	Alice/Susie
841290	371453	
841290	395517	
841291	209914	Canteen woman
841291	228997	Mirja
841291	321945	Ballerina
841291	356233	Mari Andersson
841292	402792	Hallvikin naisystävä
841293	221338	Florist
841294	182377	Tuula Virtanen
841294	309384	
841294	391214	Ritva Keränen
841294	394792	Nella Kvist (2004-)
841294	407197	
841295	1537	
841295	9533	Farmwoman
841295	18402	Auroora
841295	21722	
841295	141809	Ms. Lindgren
841295	170519	Woman
841295	175729	
841295	177040	Hiltuska
841295	180444	Nuottaniemen Maija
841295	186071	Midwife
841295	188932	Aunt
841295	191194	Renata Weder
841295	196525	Iita
841295	198263	Police officer
841295	213374	Virva's companion
841295	219450	Cook
841295	223510	
841295	229544	Beata Bohm
841295	233244	Serefiina
841295	234604	Saara
841295	236790	Aunt Sofia
841295	239921	Rea's mother
841295	255935	Woman in window #1
841295	266752	Old woman
841295	271632	Manageress of the dressmaker'
841295	287535	Baker
841295	323247	Young Jaakko
841295	336405	Aliina
841295	349734	Spinster
841295	350590	Mrs. Kristiina Ippo
841295	354259	Dinner guest
841295	357593	Emmi
841296	175333	
841297	181709	Kettu's girl
841298	382257	Teresa 'Tessa' Pakarinen
841298	382258	Teresa 'Tessa' Pakarinen
841299	382257	Liisa Tähtinen
841299	382258	Liisa Tähtinen
841299	392555	Lilli Abrahamsson
841299	400857	Lilli Abrahamsson
841300	185000	Kosmetiikkamyyjä
841300	371658	
841301	398852	Journalist
841302	399648	
841303	5279	La postulante
841303	7447	La femme Hubert
841303	15238	Une invitée
841303	16156	L'habilleuse
841303	26580	Madame Estrade
841303	26581	Madamoiselle Olympe
841303	29769	Marcelline
841303	54298	
841303	56388	
841303	57263	La marquise douairière
841303	65729	
841303	72074	
841303	83234	La femme
841303	100252	Élodie Lagarouste
841303	105569	Cuban Nightclub Dancer
841303	107057	La concierge
841303	107382	
841303	111295	
841303	124357	Une villageoise commère
841303	148654	
841303	153879	Madame Sabatier
841303	156564	
841303	167200	
841303	169284	
841303	169660	Une commère
841303	175674	
841303	204983	
841303	205618	La cuisinière
841303	205736	La voisine
841303	214384	Mme. de Vanghel
841303	214809	
841303	214880	
841303	214882	Une commére
841303	220752	La domestique
841303	223174	
841303	236611	La femme du cocher
841303	248259	La femme de ménage
841303	256755	Une dame au bal de charité
841303	258332	Une invitée
841303	268414	La grosse spectatrice
841303	275647	Mme.Bonnard
841303	294565	Une convive (segment "Luxure,
841303	301528	La concierge
841303	322826	
841303	327653	La serveuse
841303	345229	Une commère
841303	345426	
841303	349899	La cuisinière au bal
841303	376420	
841303	377853	La duègne
841304	870	
841305	278878	Alexandra
841306	44599	Lisette de la Fils
841307	3529	
841307	8678	Etsuko Kishima
841307	8904	'Himegoto' no Mama
841307	61439	Nami Muraki
841307	66778	
841307	76976	
841307	89218	
841307	122951	
841307	125254	Nami/Yoko
841307	131291	Ran
841307	150664	
841307	167984	Kiyomi Kuroda
841307	173193	Sanae Ebino
841307	178415	Kazue Nakatsu
841307	205563	
841307	228370	Lover 1
841307	236397	Nami Tsuchiya
841307	238860	
841307	288065	Michi Tatematsu
841307	295126	
841307	318887	Mum
841307	333406	Chikako's mother
841307	341311	
841307	344956	Etsuko Kawanishi
841307	372001	Prostitute
841307	373232	
841307	390910	Ozawa
841307	394292	Toko Mihara
841307	394917	Asako (Nakayama's wife)
841307	404389	
841307	410249	Michi
841308	3311	(segment "Tout n'est pas en n
841308	336988	Doris
841309	221017	
841309	233081	
841309	238916	Cochi
841309	363752	Playboy Smith
841310	238660	Little Linda
841311	181893	
841311	294260	Neechan' (Tatsuakis Sister)
841311	294261	Neechan' (Tatsuakis Sister)
841312	109605	
841313	42428	Mrs. Potts
841313	50465	Dry Goods Store Clerk
841313	276439	Mrs. Bleer
841314	347300	Bar extra
841315	140079	Maggie
841316	148181	Beatrice Deering
841316	213229	Roger's Sister
841316	361739	Red Feather
841317	3316	Insert Title Here
841318	241919	Muaylek
841319	214488	Uri's Mother
841320	187666	
841321	271619	
841322	24790	Nursing Home Receptionist
841323	62506	Jerry's Mother
841324	42983	Secretary
841324	214463	Joan
841325	291992	
841326	383855	Herself (D.J.)
841327	230934	Wedding Guest
841328	19093	
841328	24729	
841328	79578	
841329	320349	
841330	388653	Arseman Harrell (Seasons 2-4)
841331	53318	Student
841332	407495	Various Bit Parts
841333	404471	Girl
841334	149447	Lady Francis Hope
841335	202809	Hisakawa, Aya
841336	143815	
841337	13432	Selma (segment "Murray in Vid
841337	14204	Mama Mousekewitz
841337	14205	Mama Mousekewitz
841337	14207	Mama
841337	16144	Jenny's Mother
841337	67816	
841337	71110	Grandma Eva
841337	73137	Pam's Mother
841337	76617	Margaret
841337	88174	Martha Lazar
841337	93150	Helen
841337	108086	Sally
841337	130129	Governess
841337	131348	Agnes
841337	164493	Mother-in-law
841337	187189	Mrs. Luckman
841337	206356	Mrs. O'Connell
841337	251743	Madam Ruby
841337	279477	Thelma
841337	282320	Mrs. Morris
841337	284538	Agnes (Costume Designer)
841337	292888	Myrtle Hollander
841337	308440	Dr. Fields
841337	308654	Marybelle Rogers
841337	313189	Interviewer
841337	316744	Eunice
841337	336819	3rd Leader
841337	339439	Mrs. Levin
841337	353525	Belgian Woman
841337	359726	Ethel
841337	380823	Ruth
841337	381576	Joyce
841337	388375	Deena
841337	404720	Serena Costin
841337	406463	Grandma Ida
841338	213714	Hippie #2
841338	310302	Antonio's Date #1
841338	311816	Newspaper man's wife
841338	377057	
841338	400053	Motamota
841339	200792	Mai Kazuki
841339	200812	Mai Kazuki/Magical Emi
841339	201303	Mai Kadsuki/Magical Emi
841339	202742	Mai Kazuki/Magical Emi
841339	396492	Mai Kazuki/Magical Emi
841340	245885	1021
841341	192015	Swamee Princess
841342	316626	Boy
841343	209803	Reporter
841344	278537	Herself
841345	72311	
841345	101184	Dr. Hélène Le Parc
841345	136360	
841345	278155	Akiko
841345	377013	
841345	409436	
841346	275141	
841347	182042	Woman Throwing Roof Tiles
841347	394029	Various characters
841348	255872	10th Century Woman
841349	397346	Miyuki Kuroi/Miyu Kuroi
841350	9575	Maria (japanese version)
841350	49715	Ferris
841350	65557	Sarah
841350	123110	Chris
841350	123113	Ramy
841350	127779	Kagurazaka Yuna
841350	176532	Ryoko Subaru
841350	181713	Miki
841350	197488	Lucia (Japanese ver.)
841350	206801	Servebot
841350	279884	Yayoi (segment "Meiji karakur
841350	284359	Haruko
841350	285921	Sakura Shinguchi
841350	285922	Sakura Shinguji
841350	285923	Sakura Shinguchi
841350	327801	Sasami
841350	327803	Sasami
841350	327804	Sasami
841350	354596	Ryukia
841350	380725	Ingrid
841350	390794	Shizuku
841350	391594	Yumeko Nonohara/Emi Hasekura/
841350	394421	Subaru Ryoko
841350	394549	Chiaki Enno
841350	396490	Rupipi
841350	396497	Sasami Kawai, Pretty Sammy, T
841350	396503	Frill
841350	405140	Lucrezia Noin (Japanese versi
841350	405146	Sasami
841350	406702	Chun-Li
841350	407829	Sasami
841350	410739	Pritz
841350	411883	Hinageshi
841350	411888	Kotomi
841351	299002	Yuri/Lily
841352	39616	
841352	61439	Yoko Mizuhashi
841352	131290	
841352	178246	Rei Ohsato
841352	178247	Rei Ohsato
841352	178248	Rei Ohsato
841352	178249	Rei Ohsato
841352	344026	Miki
841352	385533	Shizuka Hanaoka
841352	399488	Natsumi Oba, Makoto's stem mo
841352	402312	Fumie Oyamada
841353	17424	
841353	89510	
841353	89511	
841353	155501	
841353	168062	Masako Kawanaka
841353	176617	Hatsuko
841353	229584	
841353	239427	Manami
841353	242315	Woman who plays mahjong
841353	244054	Mrs. Kimura
841353	244494	Etsuko Takamura
841353	280605	
841353	288351	Itani
841353	323523	Lise's Wife
841353	327961	Kume Fukumoto
841353	335317	Go-between
841354	236942	Otome
841356	108087	Dancer
841357	9256	
841357	96414	Rika
841357	101588	Kaede
841357	138486	Kaneko
841357	145277	
841357	145450	Adahime
841357	169214	Katagiri
841357	173621	Woman at Turkish Bath
841357	298943	Misuzu Konaka
841357	322735	
841357	328020	
841357	358128	Sakiko
841357	370696	
841357	374516	
841358	134322	
841359	182416	Rian
841359	257397	Mei
841359	327967	Sheeta
841359	380725	Sumie Nishi
841359	380900	Silky Mau
841359	386773	Dorami
841359	386922	Annin
841359	387831	Mami
841359	390899	Fana (Pablo's sister)
841359	394029	Various characters
841359	395069	Misuzu
841359	397359	Angelina
841359	397841	Sophia
841359	404908	Jill
841359	404909	Suu
841359	405175	Kumi
841359	406214	Little Bon
841359	410527	Charlotte
841360	11463	Herself - Dancer
841360	19235	Guard
841360	42652	
841360	46214	Herself
841360	53273	Trampolena Whambang
841360	57271	Herself
841360	58828	Anna
841360	89940	The Mayor
841360	92813	Carmencita Franco
841360	100723	
841360	127777	Baroness Westphale
841360	148957	Herself - Dancer
841360	156103	Banoa
841360	179108	Gaia
841360	204876	Specialty Dancer
841360	213900	Maria do Céu
841360	234642	Spanish dancer
841360	245341	Battia
841360	263601	Specialty Dancer
841360	293586	Hatsumi Fujiwara
841360	299098	Fairy Master
841360	331764	Yolanda
841360	334888	The Mayor
841360	340203	Chanteuse
841360	346138	Cafe Dancer
841360	364725	Herself
841360	373390	Yuriko Kenbishi
841360	380900	Musy Poe
841360	394419	Nastashia
841360	396503	Narrator
841360	405166	Crystal
841360	407867	Joana
841361	69007	
841362	262702	
841363	377173	
841365	360836	Loulette
841366	341876	
841367	307068	
841368	103480	
841368	169768	
841369	20625	Extra
841370	73516	
841370	103954	
841370	234393	
841371	309395	Yayoi Miyata
841372	891	
841373	40031	Aton
841373	236627	Tuan Puteri Sri Buju Sirih
841373	247391	
841373	294128	Hashimah
841373	312492	
841374	127292	SeaStar Executive
841375	411420	Herself
841376	216406	Ben Ishai
841377	21239	Herself
841378	319496	Mink
841379	135795	Saki
841379	327962	Sudo
841379	391116	Ranko
841379	391576	Hikaru Matoba
841379	396094	Mariko Endou
841379	398576	Otsu
841379	400071	Arisa Matsui
841379	404773	Honami Saotome
841379	406651	
841380	81346	Spaz Girl
841381	156229	Taeko
841382	122900	Soko
841383	384227	Jamis Merin
841384	165023	Coco Hearts
841385	122953	
841385	122955	Akane Sato
841385	169735	Kaoru
841386	227850	
841388	30786	NVC/VC Officer
841389	335406	Stacey
841390	49427	
841391	94711	Geisha
841392	14199	Reiko
841392	106007	Female Terrorist
841393	130888	
841393	264904	
841394	7035	Chen Tsu's Wife
841394	37153	Mrs. Namaka
841394	62000	Tai Shen
841394	62047	Yu-Lan
841394	115535	Mama Lin
841394	115895	Madame Ten Fong
841394	131418	Aunt
841394	140490	Mrs. Ching
841394	157708	Tearful Woman
841394	178758	Fah Wong, Rose's Maid
841394	187078	Midwife of Pao Chu
841394	195743	Nora Hung
841394	199184	Li Tai
841394	232170	Madame Wu
841394	246730	Amah, Fane's Servant
841394	251932	Li Elu
841394	289295	Teruko-san
841394	292885	May Soong
841394	307368	Dak Lai
841394	324961	Lao Shan
841394	330453	Telephone Operator
841395	316942	Chinese Woman
841396	248941	La chinoise
841397	187810	Nurse
841398	50791	
841399	393593	New Person
841400	97060	
841400	113216	Assistante du bureau de produ
841400	162306	Lili, Markus's Friend
841401	184053	La petite amie d'Idir
841402	371272	
841403	105309	Emma's Customer #2
841404	225844	Hao Ren's Mother
841405	314965	Korean Woman
841406	112010	Kim's Mother
841407	29746	Japanese Woman
841407	144804	19-Year-Old Girl
841408	300636	Filippina
841409	261467	
841410	43034	Su Mi King
841410	204414	
841410	325543	Mui
841411	45780	Dotty Fitzgerald
841411	117707	Hotel Clerk
841411	176985	Officer Lau
841411	352136	Officer Lau
841412	161870	Lady Lo
841413	53974	
841413	60653	
841413	77059	
841413	102050	
841413	102051	
841413	106092	
841413	122939	
841413	126794	
841413	153423	
841413	166799	
841413	216020	
841413	224491	
841413	239386	
841413	294442	
841413	295220	Myeong-hye
841413	344221	
841413	371183	
841413	371269	
841414	139065	Saleswoman
841415	43623	Bang
841415	113336	Prettz (Korean version)
841415	156364	
841415	239936	Jin Sook
841415	279872	
841415	286096	The Living Dead Girl
841415	294488	Kwan Yin
841415	322907	
841415	334790	Bo Peep
841415	371389	Jesus (child) (Korean version
841415	371927	
841415	389545	Mokey Fraggle/Omma Gorg
841415	389567	Blinky the boy Koala (Korean 
841415	390963	Togenisha (Korean version)
841415	391954	
841415	393262	Roobear (Korean version)
841415	403547	
841415	403553	
841415	403645	
841416	19617	Wi-jin
841417	388666	Ami
841418	134487	
841419	178141	Debbie
841420	125738	Mathilda
841421	98639	
841422	9353	Dancer
841423	88517	
841424	3526	Pevitzata
841424	60723	
841425	214249	
841426	180793	Meri
841427	179603	Angovitza
841427	258128	
841428	35902	
841429	392212	
841429	396902	Cinthia
841429	399520	Laura Olivares
841430	194235	Aunt Frances
841431	370578	Marquita Fernández
841432	391522	Oichi no Kata (Nobunaga's you
841434	220587	Sue
841435	120287	(segment Nightfright)
841435	190084	Christine Andrews
841435	291503	Carol Howden
841436	243889	Waitress
841437	49862	Annie
841438	130514	(English version)
841440	278420	Almirena/Sirene
841440	373216	First Sherman Model
841441	401940	
841442	72709	Syd's Mom
841442	289934	Wife
841444	312170	Arab beauty
841445	79557	Mrs. Creakle
841445	240024	Lady in Park
841445	264095	Matron
841445	390416	Board Member
841446	7136	Betsy Schuster
841446	18564	Samantha
841446	32562	Gina
841446	37387	Elegant Woman
841446	53954	Sophia
841446	57945	
841446	67582	Sgt Leftkowitz
841446	71623	Pamela Silver
841446	72473	Marie Du Bois
841446	75565	Pat Trent
841446	87800	Nurse
841446	89627	Sabrina Kincaid
841446	95150	Realtor
841446	108309	Air Hostess
841446	108319	Lorraine
841446	115708	Daisy Kempel
841446	137453	Jessica
841446	154374	Telegram Girl
841446	163621	Sexy Girl
841446	185167	Emily Martell
841446	200531	Herself (interview)
841446	205823	Marilyn Monroe
841446	218241	Herself
841446	223391	Capt. Stevens
841446	230693	
841446	237007	Student
841446	277904	
841446	278203	
841446	292396	Nan Torr
841446	294753	Tina Baird
841446	310152	Dr. Lisa Wayne
841446	332440	Mildred
841446	333369	Dr. Helen Sanders
841446	346206	June Patterson
841446	361168	Lydia
841446	365376	Hazel
841446	374596	Mrs. Finch
841446	385824	Lorraine Farr Temple (1978)
841446	389858	Thelma (1982)
841446	403452	Taylor Chapin Field Von Plate
841446	405628	Wendy Wendkoski (1965)
841447	169139	Gogo Dancer
841449	137223	Prison Psychiatrist
841450	29112	LA Reporter
841450	147745	Chopper Newscaster
841450	329522	Folk Girls Member
841450	394869	Skycam 5 Traffic Reporter
841451	32365	Ambulance driver #1
841452	4391	Susannah Lo Verde
841452	9886	Mrs. Susannah Dickinson
841452	22664	The Mother
841452	37010	Pam
841452	59813	Darlene
841452	60251	Diana
841452	66925	Laura Latham
841452	72559	Officer Johnson
841452	73115	Dorrie Walsh
841452	80539	Victoria Elliot
841452	93139	Martha
841452	115098	Sparkle
841452	134175	Rachel Kingsley
841452	154446	Dewey Brown
841452	155298	
841452	196302	Terry
841452	227502	Naomi Judd
841452	232393	
841452	235189	Daphne
841452	235460	Linda
841452	266084	Charmaine
841452	292017	Claire Rafferty
841452	330678	Janet Rasnick
841452	331022	Louise
841452	334150	Aurora Watling
841452	365288	Marie
841452	366259	Judy McCormick
841452	379040	Susannah Lo Verde
841452	409924	KC Griffin
841452	410835	Andrea Wyatt (2000-)
841453	143260	Girl
841453	318138	Nephytis
841454	321154	Dancer in 'Rhythm of Life' nu
841455	223740	Stewardess
841456	336654	Bar Patron
841457	105904	Moonbeam
841458	198983	Ruby
841459	102718	Francine, The Funnies Freak
841459	195604	Clare
841459	295991	
841459	368417	
841460	390523	Julie Marchant (1983-1987)
841461	204576	Club Dancer
841462	42388	Geneva King
841462	246288	Cindy
841462	249573	Girl with the Ankle Strap
841463	11521	Rose
841464	269295	First Contestant, studio segm
841465	402729	Emi
841466	60163	Kim Baker
841466	246238	LuLu Plummer
841466	352833	Extra
841467	50444	Cheerleader
841468	155453	Dancing Secretary
841468	158445	Bystander
841469	110739	Lost Girl
841469	252983	Stephen's Mother
841469	387533	Fiona Mallender (1997)
841470	23706	Cassandra Hausen
841470	31444	Marci Fenner
841470	37965	Embassy Club Singer
841470	80416	Mary
841470	178068	Lilli Vanessi 'Katherine'
841470	197067	Lucille Ball
841470	199164	Lotte
841470	241342	Liza
841470	292192	Gloria
841470	323611	Susan
841470	328603	Sarah Freemont (segment "Nigh
841470	353466	Norma Cassidy
841470	385131	Lisa
841470	400236	Rita Gilmore (#2) (1996-1997)
841471	81016	Fran Ohlmeyer
841471	96994	Marian
841471	220552	Kitty
841471	399306	Cindy Parker Devane (1984)
841472	353765	
841473	6974	
841473	25372	Wife
841473	83622	Writer
841473	116815	
841473	146808	
841473	156958	
841473	179015	
841473	187213	
841473	200460	
841473	228589	
841473	295696	
841473	310347	
841473	310361	
841473	310369	
841473	332739	
841473	332740	
841473	332872	
841473	363604	
841474	406738	Caroline Morgan
841476	73327	Marjorie
841477	3081	Candace Trumpey
841477	10829	Queenie
841477	14164	Herself
841477	25412	Jane Turner
841477	27038	Herself
841477	29626	
841477	31100	Section Officer Maggie Harvey
841477	43913	
841477	62992	Mrs. Cratchit
841477	69273	Mrs. Marjorie Scarlett
841477	71713	Hilary Dow
841477	76664	
841477	78780	Liz
841477	85893	Herself
841477	94879	Segolene
841477	99281	Eliza Fraser
841477	107803	Madeleine Usher
841477	107910	Sue Lewis
841477	109758	
841477	120025	Cecily Koertner
841477	130581	Terry Steyner
841477	130773	Sister Benecia
841477	134127	Joss Grey
841477	138732	Penelope Ryan
841477	145022	Miss Thorogood
841477	153767	Susanne Walker
841477	156513	Dr. Sinclair
841477	156813	Cathryn
841477	165448	Jane Eyre
841477	166253	Jean
841477	171076	Lauren Bacardi
841477	172664	Angel McGinnis
841477	176974	Alice 'Childie' McNaught
841477	185827	(segments "Invasion Exercise 
841477	193251	Hilaret
841477	194028	An Actress
841477	194346	Olivia
841477	194355	Dinah Booker
841477	200922	Claire
841477	202979	Margaret More
841477	203083	Amy Wallace
841477	210222	Catherine Lanham Franck
841477	214863	Seamstress
841477	218547	Herself
841477	229673	Narrator
841477	238991	Eleanor
841477	255124	Queen Christina
841477	263365	Toni
841477	269187	
841477	287260	Grace Munkton
841477	289716	The Actress
841477	291508	Susan
841477	292058	Rebecca Howard
841477	300048	Rachel Fielding
841477	301693	Julie Carver
841477	304325	Ellen Bracken
841477	306500	Mike's Mum
841477	312595	Concessa
841477	313361	Lorraine Barry
841477	318796	Mrs. Narracombe
841477	319602	Lana
841477	319613	Lara
841477	319618	Lara
841477	329456	Julia Richardson
841477	329973	Ellen
841477	330218	Alice
841477	335098	Sophie Western
841477	341729	Morag Sinclair
841477	371100	Lady Churchill
841477	374299	Stella
841477	379398	Irene Jameson
841477	386233	Meg Dennison
841477	402169	Mrs. Fitzherbert
841477	404631	Kate Hurst
841477	408290	Narrator (1995)
841477	408716	Rachel Ware
841477	410711	Helen Dereham
841478	201770	Herself
841479	189845	Herself
841480	155453	Stu Gazzo's Wife
841481	62497	Nadina Popoff
841482	2079	
841483	188547	Marie
841484	272023	Lab Technician
841485	5501	Landlady
841485	36958	Mrs. Willett
841485	41851	Cinema Cashier
841485	73918	Hospital Nurse attending Mrs.
841485	78869	Coffee Shop Proprietress
841485	83965	
841485	115178	Mrs. Bower
841485	118788	Christina
841485	125808	English landlady
841485	129170	
841485	134074	Mrs. Bostock
841485	234888	
841485	337759	Mrs Hunt (segment The Actor)
841486	8173	Gran'ma
841486	26643	Mrs. Carter
841486	32239	Ma Du Bois
841486	33595	Madame Adele
841486	33785	Mrs. Cass
841486	33791	Martha Flint
841486	44506	Mrs. Rudd
841486	50022	Mother Darby
841486	54275	Boys mother
841486	64805	Lem's mother
841486	79362	Ellen Marsh
841486	88851	
841486	105676	Mrs. Temple
841486	108030	Mother Starbuck
841486	118463	Mrs. Tracy
841486	121388	Mrs. Carroll
841486	138682	Mrs. Wreay
841486	141200	
841486	146136	Lila's aunt
841486	148542	Widow Stinson
841486	153188	Mrs. Stanton
841486	164990	Mrs. Whitney
841486	195287	Beatrice's Mother
841486	196013	Mrs. Pierce
841486	197942	
841486	198046	Mrs. Prospect
841486	201931	Mrs. Ellsworth
841486	211620	Ursula Urban
841486	214940	Mrs. Emma Norton
841486	220095	'Mom' Wingate
841486	224132	Mrs. Peters
841486	238951	Mrs. Clark
841486	241274	Mother Garnett
841486	244355	Mary Benton
841486	254516	Mama Valerius
841486	260875	Mrs. Blane
841486	263582	
841486	274064	Mrs. Garrison
841486	278014	Johnny's mother
841486	283869	Mary Shawn
841486	283877	Mrs. Blatchford
841486	288425	Hetty Folinsbee
841486	289186	Mrs. Nancy Wentworth
841486	294203	Mrs. Hagen
841486	295337	Mrs. Quimby
841486	295338	Mrs. Quimby
841486	301632	Mrs. Darrell
841486	301710	Mrs. Parsons
841486	304506	Mrs. Calkins
841486	305075	Madame De Rance
841486	309580	Mrs. Kendall
841486	309581	Mrs. Steddon
841486	314422	Mrs. Collins
841486	328082	Mrs. Brainherd
841486	331058	
841486	331952	Dan's Mother
841486	333455	Mrs. Trent
841486	338058	Sara Reynolds
841486	349923	Mrs. Douglas
841486	356470	Mother Superior
841486	361796	Mrs. Martha Howard
841486	365300	Grandma Melberne
841487	385299	Lois Waters
841488	46532	Club Girl
841489	200604	Actress
841490	45232	Showgirl
841490	196404	Redhead
841490	316166	Mrs. Pittridge
841490	320269	Model
841491	277676	Edward, Prince of Wales
841492	210825	Village Woman
841493	37381	Stripper
841494	162389	Waitress
841495	142559	Angie
841495	296879	Angela
841495	345690	Hostage Girl
841497	220820	Hiroko's Grandmother
841498	163274	Juliette/Yvonne Dupré
841499	195645	
841500	28242	
841501	175004	Herself
841501	175005	Herself
841502	297199	
841503	297199	
841504	387930	
841505	397942	Student B
841506	115182	Additional Voices
841507	374105	Young O-Kinu
841508	167538	Satomi
841508	225614	Madam Pearl
841510	50941	Kita No Taiko
841511	2370	Kafka's Mother
841511	156238	Old woman at village
841511	157082	Minako Yamamoto
841511	172400	
841511	176611	Ikuyo
841511	176644	
841511	177155	Fumie Akechi
841511	182509	
841511	198947	Takeko
841511	209938	
841511	229771	
841511	244546	Seiko
841511	244983	Truck Driver
841511	255872	The Aunt/The Maid
841511	279851	
841511	287103	Tsuneko
841511	287556	Taiji's wife
841511	297733	Junko Washio
841511	370748	Hide
841512	212810	
841513	28124	Kiyo
841513	104269	Okei
841513	279831	Osei
841514	278547	Senior High Schoolgirl
841514	285930	Hana
841514	412066	Herself (1999) (Season 1)
841515	19769	Choco
841515	30737	Princess Sheila
841515	177754	Alexandria Meat
841515	177755	Alexandria Meat
841515	202807	Azusa Kanzaki
841515	202809	Azusa
841515	202810	Azusa
841515	259304	Additional Voices
841515	313337	Fear Mell
841515	316618	Narrator
841515	316619	
841515	319430	Monkey Voice #2
841515	319431	Monkey Voice #2
841515	370435	Sâsha
841515	373392	Hana Hatsuno/Sakura Isogai
841515	394423	Dorothy
841515	394521	Alexandria Meat
841515	396440	Umi Ryuuzaki
841515	396503	Kukuri
841515	397520	Miku
841515	397828	Nana Takamura
841515	411893	Hana Hatsuno, Pagliaccio, Kiz
841516	334156	Jennifer
841517	394466	Mayu Tamano
841518	341269	
841519	230680	Herself
841520	335269	
841521	390799	Higashihara Nonomi
841522	196537	
841523	41564	Rei
841523	287503	Anna
841523	294180	Wakakusa Izumi
841524	92785	Queen Neina
841524	130730	Office Lady
841524	299125	Afura Mann
841524	396331	Sara
841525	367951	Herself
841526	236970	Sugar Plum Fairy
841527	285738	Kodomo A
841528	123108	Journey
841528	123111	Journey
841528	136097	Michiru Saotome
841528	136136	Michiru Saotome
841528	174953	Teto/Girl C
841528	242206	Holy Supreme Mother
841528	298966	Scorpion
841528	322417	Ayatolla
841528	348752	Princess Kurama
841528	373383	Maria
841528	379540	Darunia
841528	380699	Marie
841528	380700	Clara
841528	381711	Rosalie
841528	383095	Golem
841528	387403	Bloody Mary
841528	390011	Michiru Saotome
841528	390012	Michiru Saotome
841528	394031	Various characters
841528	394791	Miwa Uzuki
841528	394976	Natsuko
841528	396535	Megu Kanzaki
841528	396536	Tickle
841528	396640	Mirai
841528	397786	Kate
841528	397844	Monsley
841528	407289	Toba Saeko
841528	407393	Lily
841528	408733	Mega
841528	409318	Emeralda
841529	210621	Herself (TV Assistant Directo
841530	397371	Sae
841530	401287	Girl
841530	404228	Tamaki Nakamura
841531	228434	Japanese Kid #2
841531	310329	United States Marshal
841532	121895	
841532	226132	Shaman Tsuru
841533	162530	
841534	212135	
841535	226626	
841536	11023	Researcher 1
841536	352587	
841537	137006	
841538	137006	
841539	255872	10th Century Woman
841540	295126	Yukiko
841540	334910	Hinano
841541	392430	Kurage
841542	359612	
841543	9189	Sadae
841543	9190	Sadae
841543	9435	
841543	17425	Kume
841543	21560	Numasawa's mother
841543	21812	Toshiko, his Wife
841543	37614	Mitsuko
841543	58717	
841543	61527	
841543	137134	Haha, Chieko
841543	137348	Otaka
841543	138078	
841543	145296	
841543	146356	Ichiro's mother
841543	146907	O-Taka
841543	167906	Tamako Fukushima
841543	169074	
841543	172050	Toshiko Nakaseko
841543	177100	
841543	177801	
841543	179540	
841543	180138	
841543	207577	Another girl
841543	226656	Kikuko
841543	232708	
841543	244054	Mrs. Iwakiri
841543	244568	Haha (Yoshi's Wife)
841543	286597	Shizu Ôe
841543	286598	Shizu Ôe
841543	288653	
841543	299024	Wife of Munakata
841543	299025	Mrs. Munakata
841543	299127	Tamahihime
841543	299574	Old woman
841543	299581	Soko, mother
841543	300469	Sono haha (Teruo's mother)
841543	300470	Mitsuko
841543	323268	Akiko, Miyoko's sister
841543	323500	
841543	334572	Chizuru
841543	373178	Ritsu
841543	375558	Sadae
841544	130498	Dr. Chinatsu Gondo
841544	169271	
841545	182507	Girl (ep.2)
841546	137138	Tomiko KObayashi
841546	376617	Kiris Ai
841547	226682	Sugita, Noriko
841548	139851	Teacher Kashiwagi
841548	229584	Yoko, older sister
841549	128884	Fluffy girl
841550	120146	Poo Rinwon
841550	138868	
841550	400060	
841551	165202	(segment "Pandora - Hong Kong
841551	176206	Hiroshi Toriiyama (Hiromi)
841551	214416	Yumi
841551	344656	Rena Yanase/Kamilla
841551	348777	Former GUTS Member Rena Yanas
841551	399191	
841551	402879	Natsumi Aihara
841551	409692	GUTS Member Rena Yanase
841552	299996	Saki
841553	9274	Oyoo
841553	23364	Tetsuko
841553	50462	Haruko
841553	70605	Kimie Fujisaki
841553	89049	Yoshie Kawaguchi
841553	149887	Keiko
841553	155185	
841553	182002	Lybia
841553	214715	Mitsuyo Iwata
841553	216494	Ei
841553	229870	
841553	233121	Nobuko
841553	241945	Young Woman
841553	318944	
841553	336400	
841554	9435	Yoko
841554	173845	
841554	177938	
841554	181887	Omayu
841554	182056	Rika
841555	230142	
841556	209096	Juri
841557	193525	
841558	391502	Herself
841559	8799	
841559	8801	
841559	9176	Yumiko, Keiko's sister
841559	19699	
841559	28116	Oryo
841559	78665	
841559	86036	Tae Horikawa
841559	91186	Mami Yokoyama
841559	96412	
841559	98126	Kinuyo Tanaka
841559	125230	
841559	125687	
841559	138054	
841559	140656	
841559	145283	Mieko Ishida
841559	172302	Tae Makimura
841559	174942	
841559	175508	Noriko Dan
841559	182154	Moyoko
841559	182482	Jun
841559	182720	Kyoko, Fujisaki's wife
841559	185354	Machiko Kita
841559	223353	Yukiko
841559	226652	Aihachi (Matsuo, Sada)
841559	239086	Ohan
841559	242235	Yumiko Minami
841559	244526	Utako
841559	244540	Utako
841559	288351	Yukiko Makioka
841559	293600	Shinsuke's stepmother
841559	294164	Murasaki Shikibu
841559	294265	Junko Godai
841559	294266	Junko Godai
841559	299153	
841559	299525	Yasuko Shibata
841559	325964	
841559	327940	Kayo Hayashiba
841559	327943	Ryoko Kinuhata
841559	341313	Tsuru
841559	358394	Keiko Enami
841559	358395	
841559	373228	
841559	373231	Sachiko Nagai, Yumechiyo
841560	170903	Okan
841560	375592	
841561	5785	Acri
841561	18044	
841561	27953	Asako Kuramoto
841561	98600	Misa Kuroi
841561	98601	Misa Kuroi
841561	304287	
841561	391341	
841562	38817	Junko Tateno
841562	136391	Nymphomaniac
841562	169185	Leader of College Girls
841562	228836	Hiromi
841562	293614	Kiyoko Yokoyama
841563	200101	
841564	252984	Ex-Girlfriend
841565	43898	Tôka Miyashita/Boogiepop
841565	198811	Yumiko as a Young Girl
841565	324726	Renge
841565	327052	
841565	350723	Platina/Young Valkyrie/additi
841565	358947	Kana Yoshino, talks about Dis
841565	405980	Ritsuko
841566	298945	Yuki
841567	262099	Oh-Pink
841568	403484	Communications Officer
841569	87869	Cashier
841569	122914	Suzuki
841569	181817	
841569	200525	Sunny
841569	208501	Girl on the beach
841569	236905	Nurse
841569	252844	Nurse
841569	276665	Mai-Ling Chan
841569	320890	
841569	321154	Dancer in 'Big Spender' Numbe
841569	330198	Pharmacy clerk
841570	3113	Mio's Companion #2
841570	345443	Sophie
841571	371915	Akemi Nishikawa
841572	335271	
841573	123926	Kame
841573	130492	Pilot Azusa Kisaragi
841573	407369	Officer Saori Saga
841574	373218	
841575	255872	Nagiko's Friend
841576	169733	Dancer
841577	19636	Reiko
841578	190037	Party Girl
841579	286168	
841580	136793	Herself
841581	177755	Girl
841582	124038	
841583	199528	
841584	188585	On Chi Seng
841585	137006	
841586	88177	Japanese Tour Guide
841587	12948	Kenzo's mother
841587	19700	
841587	50776	
841587	76843	
841587	98114	
841587	122137	Mariko's mother
841587	145449	Kana Nishime (Nobu's mother)
841587	161691	Tae
841587	162317	Kazuko Yamaguchi
841587	170328	Toshie
841587	172046	
841587	173105	Masa Takada
841587	174329	Misako Hatta
841587	176486	Kumi
841587	176669	Masao's Grandmother
841587	179523	
841587	181997	Mitsu Nagayama
841587	182502	Old Mrs. Yamaoki
841587	208015	Haruko Inamura
841587	226643	Syoko Hikage
841587	229768	Yasuko Eguchi
841587	230131	Shino
841587	233139	Schizophrenic
841587	237590	
841587	238840	
841587	243497	Masako
841587	243915	Etsuko's Supervisor
841587	299000	Hotel owner 'Kikue'
841587	299631	
841587	300497	Aya Tokunaga
841587	323115	Yoshiko (Tetsuo's wife)
841587	343635	
841587	371815	
841587	373301	Rie Miyano
841587	373310	Miho Wagu
841587	387193	Fuma's mother
841587	406535	Chiaki's mother
841588	37716	Snake Eyes
841588	61054	
841588	76208	
841588	76899	Ryoko Sakurazawa
841588	137277	Akiko
841588	137342	
841588	169734	Noriko Murakami
841588	170333	
841588	218644	
841588	298829	
841588	372031	1st Woman
841589	20625	Extra
841590	20625	Extra
841591	318538	
841591	406882	Yukino Yajima
841592	225621	Herself - a member of Mooning
841593	8899	
841593	299003	Kaede
841594	145449	Masako Chinen
841594	216506	Kimiko
841595	79070	Emily
841595	379521	Suzumi Sakurajousui
841595	383107	Rie Takai
841595	411891	Gaya
841596	28857	
841597	9353	
841597	24832	Stazhantka
841597	211281	Leka zhena
841597	337944	Third Girl in Love
841597	397471	Leka zhena
841598	257772	Extra
841599	54208	Ticket clerk
841599	238071	Airline hostess
841599	395043	Julieta (niña)
841600	31198	Herself (NBC Team)
841600	60739	Peg Breydon
841600	64556	Herself/performer
841600	72569	Alice Santini
841600	87784	Herself
841600	108384	Jennifer Keaton
841600	184104	Tracy
841600	228970	Herself
841600	253336	Claire Howard
841600	299663	Molly Dunlap
841600	312094	Tonya Harding
841600	352960	Herself
841600	372876	
841600	388359	Jennifer Keaton
841600	408295	Host
841601	90733	Zhaki
841601	99875	
841602	313522	Playground Girl
841603	88286	Crying Girl
841604	78664	Mother
841604	137361	Party-kyaku
841604	151919	Mika
841604	218693	
841604	314517	Driver
841605	369659	
841605	373010	
841606	91737	Pearl Li
841607	139795	Park Seung-mun
841607	225988	Mangeress of coffee shop
841608	76323	Little Braids
841609	291584	(segment "Morts attendront, L
841610	49552	Nancy
841611	104769	Russian entry (9th place)
841611	388747	Co-Host
841611	389722	The Gamesmistress (1993-1994)
841611	390144	Jet (1992-1995)
841611	405092	Randi as She-Wolf
841611	411756	Presenter (1997-1998)
841612	35750	Herself
841613	360712	Wedding Guest
841614	187190	Michelle Smith
841614	209591	Party Guest
841614	333915	Stella
841614	362543	Pepper spray lady
841615	101786	Clubgoer
841615	326083	
841616	401828	Florentina
841617	64658	Teeterboard/Ballet on Lights 
841618	393314	Adele
841619	380320	
841619	407921	Mela Papastefanou (gymnast) (
841620	258317	
841621	353534	The friend
841622	124017	Flower Seller
841623	1035	Penny
841623	40101	Christine Ormond
841623	40103	Christine Vallas
841623	40104	Christine Vallis
841623	40105	Christine Vallas
841623	81116	Carmel
841623	137562	Emma Ford
841623	141404	Evdokia
841623	219615	Tina Dodd
841623	276249	Rosa
841623	391248	Yola Fatoush (1994-1995)
841623	409694	Bernie
841624	332209	Therese Martin
841625	160787	Lindsay
841626	73380	
841627	307570	La secrétarie de la P.J.
841628	10376	La concierge
841628	187577	
841629	149258	Bamville Club Dancer
841630	99578	Natalie Wood
841631	19599	Kelly
841631	58526	Pam
841632	135766	Ginger
841632	264152	Princess Clementina
841633	273306	Herself
841634	108529	
841635	19834	Betty Cooper
841635	73831	Misty
841635	133686	Jess
841635	313677	Barbara Fugate
841635	331009	Office Worker
841635	333260	Lira
841635	334780	Cindy
841635	380575	Betty Cooper
841636	109856	Annie Banks (At 12 Years Old)
841636	374425	Child on School Bus
841637	315999	Dee-Dee
841638	292496	Young Lorenza
841638	360032	Starletta Hill
841639	384097	Trish (1996)
841640	34989	Participant (2001)
841640	381889	Herself
841640	381913	Participant (9th out) (2001)/
841640	388426	Programleder (host)
841641	126619	Extra Talent (segment "Gett O
841641	189975	Angela
841642	323871	Pig
841643	102581	Parents
841645	33596	Bit
841646	374596	The Landlady
841648	318866	Not Minny
841649	47778	Betty Jackson
841649	139458	Miss Margaret Dennison
841650	140078	Selene Pleazance Marquise
841650	274285	Herself/Vocals
841651	226929	Student
841652	7498	Chorus Girl
841652	41930	
841652	77967	Dolores Johnson
841652	94881	Telephone Operator
841652	96940	Singer
841652	116520	Marge Andrews, murdered singe
841652	122967	Sue
841652	126069	Maxine Manner
841652	183706	Office Girl
841652	195702	Brunette at the opera
841652	195879	Jingle Girl
841652	196404	Receptionist
841652	218257	Countess
841652	231964	Palace Maiden
841652	245209	Herself (member, Glamourette 
841652	271224	Native Girl
841652	286304	Girl
841652	308605	Native girl
841652	315483	Hat Check Girl Jenny
841652	348327	Goldwyn Girl
841652	366696	Juanita Hawkins
841653	48964	Nancy
841653	140343	Mrs. Lefranc
841653	144558	Woman in Film Disposal Office
841653	165448	Miss Scatherd
841653	194513	Mrs. Lefranc
841653	240504	
841653	262534	Solicitor's Secretary
841653	275988	
841653	319270	Mrs. Pierce
841653	349571	Mrs. Frobisher
841653	363790	Mother
841653	385020	Dot Stockwell (1981-1982)
841653	385220	Mme. Lippevechsel
841653	385343	Pat
841653	388321	Sadie Hargreaves Lloyd (1998-
841653	389167	Janice Yallop
841653	391185	Dot Wilmington
841653	392190	Doreen Cropper (1974)
841653	392483	Agrippinilla
841653	395965	Eileen Clancy
841653	397676	Anne Quine
841653	400844	Pam Plummer
841653	401224	Sal
841653	405639	Elsie
841653	410580	Anna Scherer
841655	86027	
841656	137462	Dancer
841657	39193	Bellamy
841657	184829	Kiki
841657	215816	Sandy
841657	255353	Monique
841657	320911	Mary Dolan
841657	360480	Catherine Metsker
841657	380391	Dr. Courtney Evans (1995)
841657	389070	Deputy Dist. Atty. Agnes Hunt
841658	367721	Nurse
841659	39157	Bonquisha
841660	189922	Grandmother
841661	75461	
841661	128428	Madame Arlone
841661	196863	
841661	285791	
841661	300118	Dancer
841662	41693	Coral
841662	215905	Mrs. Williams
841663	295763	Herself
841665	161313	Herself
841665	175583	Pioneer Woman
841666	215690	Miss Pennsylvania USA
841667	388209	Kira Cassidy (2001-2004)
841668	54519	Mary
841668	107425	Moire
841668	111782	Bank Teller
841668	279611	Lady of Fashion (I)
841669	82391	Bonita (US version only)
841670	288012	Sappho
841671	367886	Charlene, the barmaid
841672	226929	Student
841673	75030	
841673	75059	
841673	188035	
841674	29688	
841674	120464	
841674	143840	
841674	232849	The Dame
841674	283668	
841674	336228	
841674	350156	
841677	39845	Lisa
841677	231386	Brunette in Car
841678	195096	Tsze Sin
841678	323787	Slave Girl
841679	98818	Adult Video Actress
841680	40552	Auditioning Actor
841681	189529	
841682	339445	Neon Audience
841684	18411	Mrs. Beulah Burlap
841684	23207	Undetermined Role
841684	25378	
841684	31997	Helen Ballarat
841684	32257	
841684	35276	Charmian Page
841684	35357	
841684	39387	Donna Luise Navarro
841684	52900	Camille
841684	54905	Ann Boleyn
841684	59054	Dorothy Regent
841684	59444	Julia Lawrence
841684	60202	Ruth Brockton
841684	65414	Mary Saurin
841684	68475	Valerie West
841684	69419	Fat Pearl
841684	70727	Cordelia Marlowe
841684	75322	
841684	78168	Kind Lady
841684	78187	Mrs. Prentiss
841684	78953	Mildred White
841684	79574	
841684	81869	Doris Moore
841684	82279	
841684	92534	The Criminal's Moll
841684	94162	Mrs. Karns
841684	96788	Laura Murdock
841684	97076	
841684	101694	Prima Donna Lisa Della Robia
841684	106657	Gina Ashling
841684	107586	
841684	109803	Flora Fourflush
841684	110354	Aurora Fernandez
841684	110912	
841684	112439	Mrs. Gordon
841684	112634	Mrs. Stewart, House Mother
841684	112741	Mme. Fauvel
841684	116767	Mary Adams
841684	117257	Marta Raquel Estevan
841684	117448	Diane Sorel
841684	120777	Mrs. Peters
841684	126751	
841684	131789	
841684	137450	Mabel Kemp
841684	138245	Nara Alexieff
841684	138916	
841684	140146	The Daughter
841684	141306	Plutina
841684	141488	Anna Ivanovna
841684	143201	
841684	145406	Ma Hutchins
841684	145560	
841684	146140	Mrs. Davis
841684	147700	Grace
841684	153203	Vera Stanford
841684	154091	Mrs. Wilson
841684	158205	A Music Teacher
841684	161035	
841684	162441	
841684	164519	
841684	166932	
841684	168202	Alice De Voe
841684	175647	Mrs. Henrietta Post
841684	183666	
841684	185504	
841684	188146	
841684	191025	
841684	192022	Lady BAbbie
841684	192616	The Maid
841684	193479	Lola Barnhelun
841684	193783	
841684	194448	Cinderella
841684	195487	Jane Randolph
841684	195623	
841684	196269	
841684	197329	Aunt Madge
841684	198049	Patricia Chase
841684	200040	Magda
841684	200877	
841684	205991	Fernande de Monclars
841684	206478	Mildred Niles
841684	212997	Zoe Blundell
841684	213307	Penelope
841684	215948	Mabel Moore, Fred's Fiancée
841684	216768	Princess Dolorosa
841684	217969	
841684	219912	Faro Lil
841684	220526	Herself
841684	220875	Cameo appearance
841684	221023	
841684	221290	Mrs. Edson
841684	224198	Helene Marie
841684	224629	Martha, Fritz's Wife [Chs.3-5
841684	224776	
841684	224777	
841684	230742	Mrs. Van Gage
841684	239053	Aunt Peggy Lee
841684	239640	Melanie
841684	239664	Sue Simmonds, Their Daughter
841684	240937	
841684	253275	
841684	255320	Beth Ward, A Passionate Fan o
841684	256474	The Wife
841684	256644	
841684	258716	Toinette Savard, the Daughter
841684	260436	Betty Wilson
841684	263529	Mildred Gower
841684	265087	Mrs. Humphreys
841684	265407	Clara
841684	267871	
841684	272242	
841684	273560	Zara Zenova
841684	276663	Dorothy Regent
841684	276664	Mrs. Dorothy Regent
841684	277719	
841684	278788	Susan
841684	279369	Gabrielle Jardee
841684	280070	
841684	280496	Mrs. Jamison
841684	280896	Mlle. Fleurette Malevinsky
841684	282460	Mrs. Wilson
841684	288970	Renee Benoit
841684	292570	Maid at Cortez Hotel [Ch.10]
841684	294543	The Sepoy's Wife
841684	297970	Parsons
841684	299277	Shirley Kaye
841684	302001	
841684	307418	
841684	307963	
841684	308869	
841684	311332	
841684	315868	Lucette Grenier
841684	323508	
841684	324211	
841684	328814	
841684	331560	Rose Peters
841684	339689	Trilby O'Farrell
841684	340621	An Assistant in the Toy Shop
841684	345820	
841684	348324	
841684	354920	
841684	355665	Caroline, the Senator's Daugh
841684	356630	
841684	358163	Fat Pearl, the madam
841684	359117	The Girl
841684	359755	
841684	360237	
841684	362069	John Mason's Fiancée
841684	362345	Norma Harvey
841684	362939	Mary
841684	362995	Maurice's Wife
841684	364017	
841684	365081	Joyce Addisonn
841684	367549	Vivian Hunt
841684	367800	Daisy Bowman
841684	368625	Lucy Trevor, dancer/Janet Tre
841685	339874	Rose Smith
841686	130179	Younger Lucy
841686	360035	Lucy
841687	301676	Inmate
841687	318346	Interview Girl
841688	238648	
841689	121374	Office Worker
841689	302793	Cammie Giles
841689	340247	Holly
841690	380391	Officer Carla Elliot (1994-19
841691	26380	Mrs. Newburgh
841691	365742	Hairdresser
841692	170308	Betty
841693	56733	Mean Lady
841693	308855	Doc Wallace
841694	284526	Johnny
841695	108522	Annie's Mother
841695	297754	Dead People
841696	39858	Samson's Street People
841696	292285	Nurse
841697	326715	Dancer
841698	126538	Aerobic Girl (segment "Get Ou
841699	41739	Ricky's Mother
841700	63890	
841700	212394	Critico cinematografico TV
841701	203980	Tense
841702	194534	Tavern Girl
841703	332769	Bikini Girl
841704	271855	Guest
841705	43603	Dana
841705	213628	Woman in Lingerie
841705	235571	Hooker
841706	7888	Mrs. Lewis
841706	19638	Lily Weiss
841706	26745	Claudia
841706	58946	Katerine
841706	69504	Vera
841706	89364	Vicki Norris
841706	105723	Gail
841706	118980	Johnny's Ex-Wife
841706	127574	Susan Martin
841706	135161	Lt. Van Buren
841706	158435	Lydia Holroyd
841706	185137	Elke
841706	188572	Helen Maris
841706	199114	
841706	216782	Mrs. Cochrane
841706	222565	Laura Lattimore
841706	233878	Karen
841706	235487	Prof. Victoria Gray
841706	255399	Mrs. Tarnell
841706	263360	Snobby Saleswoman (Beverly Hi
841706	265747	Jennifer
841706	272600	Jeanne Martin
841706	278279	School Board Member
841706	279998	Kate Rambeau
841706	283543	Amy
841706	286549	Cathleen
841706	294829	Mrs. Cassedy
841706	296733	Janet
841706	297097	Kate Rambeau Sr
841706	298853	Mrs. Howard
841706	308047	Eloise Kirkland
841706	310184	Waitress
841706	311609	Rachel
841706	316028	Caroline
841706	316111	Teen girl (prologue)
841706	340782	Wanda
841706	388117	Marnie Shepard
841706	397401	Dr. Irene Shulman (1996-1999)
841707	126538	Bikini Girl (segment "I'm Not
841708	217912	Yummy
841709	44956	
841710	8015	
841710	11521	Sue
841710	114656	Sheila
841710	156566	Prisoner
841710	228677	Margie
841710	323410	
841710	327834	
841710	365294	Gypsy
841711	403834	Regular Performer (1972-1973)
841712	7035	Court Girl
841713	194816	Girl
841713	342587	Leggy English School Chum
841714	201939	
841715	151073	Aunt Stella
841716	279427	Lainie
841716	299966	Herself
841716	391835	Talking head/soundbites (segm
841717	56546	
841718	37037	Helena GrantA
841718	96837	Ann
841718	269285	Countess Ebba 'Belle' Sparre
841718	330003	Helen
841719	37691	Auditioning Girl
841719	52320	Bikini Girl
841719	191331	Zazu
841719	212688	Christine (Claire's Sister)
841719	313962	
841719	331223	Annette Roberson
841720	70013	Mrs. Feeney
841720	310572	
841721	79944	Boat passenger
841721	176406	Extra in wedding scene
841722	26238	Kate
841722	63185	Emily
841723	70362	Girl
841724	287701	Marlene
841724	346222	Jenny Morrison
841724	406503	Lilly Foster Lambert [#2] (19
841725	236384	Receptionist
841725	297180	Tai, Linda's Maid
841725	315956	Chinese Girl
841726	346794	Julie
841727	66047	Storekeeper
841727	264158	Umbrella Lady
841727	309659	Josie
841727	315871	Mrs. Simpson
841728	363446	
841729	285756	Jungle Partygoer
841730	118241	Herself - Singer
841730	390786	Herself (singer)
841730	398617	Singer (1947)
841731	310166	Aunt Edith
841732	128812	Sadie
841732	129233	Alice
841732	140849	Secretary
841732	234220	Nurse
841732	236999	The nurse
841732	262333	Virginia Benton
841732	292631	Holt maid
841732	365552	Vivian Barlow
841733	51989	Mini
841735	72107	June Rawson
841735	119588	Linda
841735	125821	Jean
841735	201433	1st Shop Assistant
841735	222724	Waitress
841735	257521	Yvonne
841735	364045	Joan Langley
841735	385825	Ruby
841735	387518	Nurse Gregg
841735	388951	Greta Lessing
841736	386757	The maid
841736	404119	Herself
841737	233779	Old Hooker
841737	350217	The Witch
841738	27646	
841738	235509	Indian Maiden
841739	234090	Show Girl
841739	315644	Berta Hubbard
841740	151620	Mrs. Turnbull
841740	171127	Teenybopper
841741	168050	Gerra Young
841742	195771	Person at the Paris Opening
841743	182984	Hooker
841744	125900	Blonde
841745	32930	Mrs. Harding
841745	56438	
841745	72018	Lady Courtney
841745	141968	Mlle. Larbey
841745	183845	Mrs. Bracebridge
841745	203624	The Woman
841745	222592	Earl Carroll Girl
841745	241853	Miss Mint
841746	163316	Lydia
841746	267604	Avery's secretary
841747	20625	Extra
841747	126069	Showgirl
841748	2382	Student in courtyard
841749	162302	Mimi the MauMau
841751	135513	Girl with Megaphone
841751	157848	Debbie Caruso
841751	395105	Betty Hamilton
841752	121921	
841752	155864	
841752	187411	
841752	348330	
841753	211499	Catwoman
841753	300554	Choreographer
841754	343780	Audrey
841755	146759	Herself (vocalist, Johnny Lon
841755	279279	Herself - Band Vocalist
841755	321567	Herself
841756	382715	Weather Forecaster
841757	211506	Nicholas' Mother
841758	1283	
841758	12494	
841758	45873	NonSex
841758	93711	
841759	108542	Marion
841760	72749	Cupid
841760	289461	
841761	50234	Egg's Girlfriend
841762	249171	Lois
841763	78443	
841763	82379	Mrs. Mihom
841763	122052	Woman
841763	128386	Maw Moseley
841763	154468	Dolly Perry
841763	308299	Crying Widow
841763	349917	Mrs. Darnley
841764	309807	Foster Child
841765	44759	Louise Parker
841765	131686	
841765	196536	Grace
841765	380391	Bernice Robinson (1969-1973)
841765	387309	Millie (1967)
841765	400515	Greta Hitchcock
841766	310707	Herself (leads march into Mon
841767	105713	Matron
841768	200770	
841768	254212	
841769	129783	
841769	250779	Pregnant Teenager
841769	270409	
841769	324956	Beautician
841770	294683	Messenger
841771	190593	Rob Gage's Girlfriend
841772	399130	Kim Taylor (1985)
841773	201691	Jessica
841774	199568	Nicole
841774	289668	Girl Scout
841775	6526	Mrs. Perkins
841775	11232	Mrs. Hackenfleuger
841775	11947	Competitor 9
841775	41195	Mrs. Caporal
841775	54886	Maggie
841775	55718	
841775	61639	Mrs. Chizzler
841775	96957	Agnes Watkins
841775	107869	Mrs. Barrow
841775	109419	Mrs. Gullett
841775	114124	Mrs. Griffiths
841775	131641	Mrs. Bond
841775	142387	Mrs. Gertrude de Montfort Col
841775	158182	Middle-Aged Woman
841775	159886	Sir Francis' cook
841775	185642	Mrs. Jowett
841775	200112	Glove Shop 'Dragon'
841775	230675	Alice March
841775	241222	Mrs. Greevy
841775	257340	
841775	290344	Joan MacVitie
841775	305410	Potter, the housekeeper
841775	315109	
841775	316488	Mrs. Dibben
841775	318193	Sister Felicity
841775	330420	Mr. Venning, the cook
841775	333245	Mrs. Round
841775	335511	Miss Benita Mullett
841775	340439	Mrs. True
841775	353313	Mrs. Grimstone
841775	353486	Miss Pitt
841776	223329	NASA technician
841777	299689	Lady with hat
841778	329307	Wedding band
841780	57560	Ticket Seller
841780	189325	Teacher #1--1944
841780	251646	'Fat & Furious' Lady
841780	272026	Clara
841781	239933	Elaine
841783	257652	Herself (Miss March)
841783	257838	Herself (Miss November 1993)
841784	211922	Gretchen
841784	267393	Field Reporter
841785	79656	Dawn
841786	68232	Stuck-up girl
841787	627	Theresa
841787	12256	Lisa Willoughby
841787	38619	Hannah Rourke
841787	45500	Candice Love
841787	79986	Sarah Crighton
841787	81789	Kathleen Sullivan
841787	94052	Faye Vaughan
841787	107917	Dolly
841787	141543	Holly
841787	147252	Young Woman at RTA
841787	165976	Carla Brody
841787	168289	Theresa Henry
841787	192318	Dorothea
841787	195267	The Singer
841787	205590	Rosie
841787	211385	Mary
841787	231918	Roxy
841787	231997	Doubt
841787	232812	Sue
841787	240746	
841787	247915	Dierdre Grogan
841787	318745	Chandelle
841787	334356	Alice
841787	336034	Laurel
841787	365090	Arlie
841787	365450	Jane
841788	55719	Hospitality girl
841788	90351	Girl
841788	116515	Harem girl #11
841789	332106	
841791	322837	Additional Voices
841792	64724	French Reporter
841792	85611	Photo shop clerk
841792	149933	Rennie's Children
841792	151183	Michelle Castel
841792	217954	Neighbor
841792	281464	Nun
841792	362390	Trust Officer
841793	241813	Katie
841794	349823	Angela Biggleton
841795	61256	
841796	36985	Elevator Operator
841796	100075	Tyrolean Girl
841797	146814	
841797	154763	Maj. Prendergast
841797	158566	Barmaid
841797	367623	Pauline
841798	3251	Performer/Herself
841798	47173	Herself
841798	87597	Performer
841798	96867	Performer
841798	99967	Herself - Liberty X
841798	228302	Herself/Performer
841798	249592	Performer
841798	260291	Performer
841798	273901	Performer
841798	282703	Herself
841798	302625	Herself
841798	311953	Performer
841798	325242	Daughter #2
841798	401877	Herself - Liberty
841799	278710	Rachel
841799	346405	
841800	338756	Young Sally Mae
841801	97527	Little Girl
841802	286441	Auntie
841803	27565	Presenter
841803	79742	Herself (Channel 5 newsreader
841803	338405	Newscaster
841803	378881	Main news presenter (1997-200
841803	378882	Presenter (1997-1999)
841803	393152	Newsreader (2000- )
841803	401177	Herself (2000)
841805	131987	Jinnie Sue MacAllister
841806	102850	
841807	242431	Academic #1
841808	308928	
841809	236957	
841811	44429	Gina Thompson
841811	90859	Jada
841811	107922	Allie
841811	170730	Anna
841811	185660	Lucy
841811	343189	Xena
841811	382880	Anna
841811	385552	Camilla Whitman
841811	395343	Alice Logan
841812	203774	Girl
841812	364324	
841815	132912	Pedestrian
841817	85573	Sorceress
841817	85574	Sorceress
841819	180372	Japanese Granddaughter
841820	28473	Mrs. Glover
841821	17183	Additional Cast
841822	193946	
841823	76257	Snow Lemming
841823	91097	Frieza, Fasha
841823	92758	Frieza
841823	92851	Frieza
841823	92852	Frieza, Mecha Frieza
841823	162890	
841823	232935	
841823	373381	Genkai (FUNimation English Du
841823	373382	Genkai (FUNimation English Du
841823	386922	Frieza (II) (1999-2001)/Addit
841823	386923	Fortune-Teller Baba (2001,200
841823	394392	Doctor, Additional Voices
841823	411884	Genkai
841824	118400	Dancer
841825	272944	Bar Patron
841827	230458	
841828	75789	Prostitute #2
841829	231070	Nun
841830	52934	Dolly
841830	397521	Janey
841831	1962	Herself
841831	2785	Herself - Presenter: Best Pic
841831	3044	Herself (Memorial Tribute)
841831	5525	Wilma Tuttle
841831	12336	Cherry de Longpre
841831	16074	Emily Blair
841831	32009	Isobel Brandon
841831	32356	Christine Carroll
841831	32561	Jane Drake
841831	36873	Claire 'Mac' McIntyre
841831	38813	Julia Brougham
841831	44464	Letty Strong
841831	49247	Lola Field
841831	51877	Laura Ridgeway
841831	52536	Claire Blake
841831	54830	Countess Wilma
841831	54968	Muriel
841831	57217	Ellen Jones(Brown)/Narrator
841831	62000	Carolyn Grant
841831	63010	Amanda Kingsley
841831	65717	Margaret Maskelyne Clive
841831	67920	Sister Margaret
841831	71422	
841831	74107	Berengaria, Princess of Navar
841831	84936	Dorothy Hope
841831	85024	Margot Lesesne
841831	88916	June Cameron
841831	100156	Madeleine Walters West
841831	104352	Anita
841831	109222	Katrin Holstrom
841831	109488	Patricia Mason Stratton
841831	118334	Miss Lynn Cherrington
841831	132893	Marcia Stanislavsky
841831	137469	Nora
841831	138700	Herself
841831	139798	Herself (at Oscar dinner, 194
841831	139960	Sun Toya San
841831	140849	Marianna Duval
841831	140948	Carol Watts
841831	143456	Bit Part
841831	143913	Ruth Loring Holmes
841831	147700	Crusades cast member
841831	150996	Julie Rothschild
841831	154349	Diane Forsythe
841831	163300	Jane MacAvoy
841831	175607	Sally Goodwin
841831	175805	Clarissa Standish
841831	177984	Marsinah
841831	183358	Roberta Harper
841831	183373	Susie Schmidt
841831	183643	Annie Morgan
841831	183705	Grace Guthrie
841831	186005	Simonetta
841831	189996	Narrator
841831	190057	Grace Sutton
841831	190181	Peggy
841831	193567	Herself
841831	194372	Ann Harper Berry
841831	195764	Toni Gateson
841831	196155	Myra Cooper
841831	200476	Denise Laverne
841831	202992	Margery Seaton
841831	203718	Trina
841831	210753	Lina Varsavina
841831	213193	Mary Martin
841831	219950	Abigail Fortitude Abbott
841831	228587	Bit Part
841831	232260	Nancy Troy
841831	242100	Child on the operating table
841831	250985	Paula Rogers
841831	252913	Maggie Williams
841831	257436	Gallagher
841831	257559	Buster 'Bus' Green
841831	263945	
841831	264775	Ellen Neal
841831	270432	Rachel Harvey
841831	271855	Ramona
841831	278243	Rosalie Evantural
841831	279417	Mary Brennan/Margaret Waring
841831	283217	Gloria Bannister
841831	289625	Margaret Barbour
841831	291348	Herself
841831	292172	Marion Ferguson
841831	292191	Vicky Benton
841831	295317	One of Satan's victims
841831	297359	Barbara Howard
841831	297932	Florence 'Flo' Denny
841831	298257	Arab child
841831	300070	Herself
841831	300080	Herself
841831	300103	Meet My Sister number
841831	303095	Child
841831	305042	Herself
841831	312262	Irma
841831	315644	Mabel Hubbard Bell
841831	316280	Mary Longstreet Rankin
841831	318246	Countess Eugenie de Montijo
841831	326193	Sue Riley
841831	330129	Marion Cullen
841831	331283	Pamela Charters
841831	331383	Norene McMann
841831	335729	Elaine Bumpstead
841831	340970	Phyllis Ericson
841831	347028	Lady Helen Dudley Dearden
841831	359473	
841831	360838	Lola Davis
841831	363595	The Girl
841831	363754	Child
841831	363960	June Arden
841831	365086	Ina Lewis
841831	365087	Doris Borland
841831	372096	Herself
841831	375802	Eve
841831	395444	Herself/Host
841831	399254	Christine Massey
841832	6686	The Artist's Wife
841832	21267	A high-society girl
841832	23349	
841832	31222	The Girl
841832	33071	
841832	35245	
841832	46765	
841832	47988	Rose Grady
841832	78604	Fanchette
841832	78687	Mazie
841832	85099	Hortense
841832	108030	'Frisco' Minnie
841832	112481	
841832	116274	Accomplice
841832	122130	'High Bow' Flow
841832	131699	
841832	133956	
841832	141441	
841832	142146	Clara Johnstone
841832	144874	Elaine Morier
841832	145322	
841832	157237	May Reed, The Imposter
841832	158187	
841832	161896	Faith
841832	176295	The Villainess
841832	185075	
841832	190543	Mrs. Young
841832	203736	
841832	223382	
841832	239612	Lucia Medina
841832	245652	Ethel Edgar
841832	255432	Greta Anderson
841832	258718	
841832	261063	
841832	269797	Morella
841832	281844	Molly Merriweather
841832	281900	Myrtle Edgar
841832	289595	Hester Prynne
841832	309521	Helen Valdez
841832	310831	Zuletta
841832	316149	
841832	321231	Lady Barbara Flyte
841832	327643	
841832	328615	Fay LaCross
841832	331900	Mrs. John Allen
841832	333413	
841832	335980	
841832	337476	
841832	337620	
841832	353283	
841832	355224	Amie Renault
841832	360314	Sally
841832	362933	May Read
841832	364523	Elsie Brandenham
841832	365076	
841833	307905	Secretary
841833	333440	
841835	47491	
841835	49735	
841835	81536	Mrs. Levine
841835	136038	
841836	58666	Roberta Boisjoly
841836	144667	Carvello's Secretary
841837	20372	Herself
841837	191343	Herself
841837	234073	Herself
841837	282682	Herself
841837	320138	Herself
841837	368816	Herself
841837	369205	Herself
841837	369208	Herself
841837	369237	Herself
841837	369272	Herself
841837	402907	Herself (1999-)
841837	406933	Herself (1999-)
841837	411545	Herself
841839	330845	Tanya
841840	308194	Heroin in american movie
841841	204576	Foreign Correspondent
841842	66660	Woman on beach
841842	72844	Duchess
841842	141968	Mademoiselle Larbey
841842	183375	Janet Garner
841842	234888	
841842	239984	Mrs. Richardson
841842	261038	Nun
841842	277692	Agnes Launcekron
841842	387605	Madame Posner
841842	405217	Lady Blessey
841843	26707	
841843	151111	Chinese Girl Singer
841844	178508	Festdeltager
841845	146011	Swaying waitress
841846	218713	Jean
841847	316067	Waitress
841848	6304	Mrs. Delaney
841848	8265	
841848	10576	'Ma' James
841848	13998	Old-woman-dancer/Flower lady
841848	20625	Extra
841848	41085	Mrs. Webster, Housewife of Am
841848	41104	Mrs. Breckenbridge
841848	41772	Aunt Bidda
841848	46777	Janet Doughton
841848	56098	Mrs. Dean
841848	80479	Mrs. Galbrace
841848	91779	Actress in A Gentleman's Gent
841848	109587	Saleswoman
841848	117557	Auntie Maude
841848	150745	Mother
841848	163347	Elderly Customer
841848	168268	Mrs. Reed, tourist stop manag
841848	184212	Lizabeth Vance
841848	190723	Little Old Lady
841848	194987	Mrs. Deveridge, Birnam's Land
841848	207865	Spinster
841848	228821	Mrs. Duttson
841848	241780	Mrs. Sullivan
841848	295403	Woman in Train Station
841848	299453	Miss Penny
841848	308614	Miss Rivercomb
841848	313321	Boarding house woman
841848	315483	Mrs. Edith Bates
841848	327585	Mrs. McCormick
841848	330768	Dowager
841848	330775	Mrs. Timberly
841848	334162	Mrs. Nix
841848	340542	Mrs. Eldridge
841848	343249	Wife
841848	359863	Mrs. Mellie Sewell
841848	365062	Old Lady
841848	367919	Grandma
841849	7864	Mrs. James Morgan
841849	16699	Mrs. Marsh
841849	232889	Rachel
841850	59759	Woman Driver
841851	67619	Blonde
841851	158865	Darlene
841851	197065	Candy
841851	245716	Marla
841851	333507	Beautiful Blonde
841851	364300	Herself
841851	387265	Lily
841852	387265	Voice of Lily
841853	22733	
841854	61325	Tyler
841855	179303	Diane
841855	187191	Blonde Cheerleader
841856	150061	Receptionist #2
841857	130335	
841858	23741	
841858	83157	Annette
841858	136645	La gardienne
841858	198319	
841858	227317	
841858	261847	
841858	269736	Berthe
841858	270909	
841858	337013	Fille du bal
841858	345050	Francine
841858	381520	
841858	399106	
841858	400869	Une collègue d'Annick
841858	401053	Rolande (1981)
841858	402720	Mme Duval
841859	335013	First Gossip
841860	288477	Mad Monk 3
841861	78779	Church Choir Singer
841861	344151	Sister Oma and the Clarions
841862	90092	The Waters and Friends Chorus
841863	53273	Liz Harper
841863	69845	Clara
841863	154935	T.V. Announcer
841863	203142	
841863	367903	Helen
841863	388844	Presenter
841863	396139	Presenter
841863	401165	Presenter
841863	405674	Presenter (1959-)
841863	409030	Presenter
841864	111019	La cliente
841864	271597	
841865	185430	Extra
841865	374393	Receptionist
841866	310648	Tether Console Guard
841867	316661	
841868	227549	Corrina
841869	287779	
841869	293744	Girl at Grammy Awards
841870	101387	Frances Purcell
841870	120772	Claudia Linden
841870	139657	The Grey Lady
841870	168682	Pegasus' Secretary
841870	245115	Irma Griese
841870	304948	Claudia
841870	323377	Wendy
841870	330433	Claire
841870	335336	Tamara Steel
841870	342880	Alyson
841870	359533	Rachel
841870	381872	Zoe
841870	386024	Professor Claudia Rowe
841870	401470	Pamela
841871	1379	Suffragette
841872	402943	Puppeteer
841872	409501	Gloria Gopher/Mrs. McMurtry
841873	47542	Anna Nelson
841873	58666	Margaret
841873	73479	Miss Opie
841873	109622	Manager
841873	121348	Old Woman
841873	135586	Polly Travis
841873	140912	Shirley Barnes
841873	176949	Woman #1
841873	248008	Nurse
841873	257132	Beauty Shop Customer
841873	269340	Venus Girl
841873	361841	Pioneer Woman
841873	363906	Prof. Thorndike
841874	203468	Maid
841874	278037	
841874	337718	Ming Toy
841875	83558	Spelling Bee Contestant
841876	215463	Herself
841877	339927	Countess
841878	295097	
841879	193581	
841880	95853	
841881	134119	Edith Green
841881	274285	Herself/Vocals
841882	210387	Betty
841883	33513	
841883	44282	Patricia Huntley
841883	61753	Society Girl
841883	64591	
841883	73438	Kitty Bellaire
841883	99224	
841883	130467	
841883	138687	Eleanor
841883	145927	Doris
841883	146782	Jerry Daley
841883	154118	Myra Duryea
841883	161901	Virginia Kessler
841883	185060	Joan Hadley
841883	203093	Marjorie Carter
841883	207234	Dancer
841883	222734	Joan Manning
841883	222814	Girl
841883	224792	Anita
841883	241826	Mollie
841883	260869	Jerry Gale
841883	277649	Sally Vanderwater
841883	279361	Helen Newton
841883	298257	Arab child
841883	303095	Child
841883	308937	Rose Mason
841883	315162	Betty Harkness
841883	315644	Grace Hubbard
841883	324582	Dancer
841883	332027	Torok's Date
841883	341969	Miss Twill
841883	348311	
841883	363960	Hannah Seymour
841883	367264	Natalie
841884	139123	Tone's Baby (6 months)
841885	19118	Apple
841886	292175	Kid in commercial
841887	126538	Aerobic Girl (segment "Get Ou
841888	256835	Herself
841889	221148	Herself
841890	117314	Flower Shop Assistant
841890	232213	Nancy
841891	402948	Hostess (1995)
841891	409308	Life Reporter (1988-1989)
841892	356792	Student
841893	23646	Ginette
841893	24268	Rosine
841893	60890	Maîtresse de Vallorbes
841893	68364	
841893	96164	
841893	96170	La femme
841893	101457	
841893	106109	Rivas' Gang
841893	109969	Madame Cormier
841893	113116	
841893	155138	Elisabeth Lolo
841893	189163	Emilie
841893	211136	Véronique
841893	240280	Isabelle
841893	261847	
841893	278139	Cliente
841893	279648	
841893	284658	Nicole
841893	287975	La dame de l'agence
841893	327888	
841893	336964	Ginette
841893	346438	
841893	382584	
841893	386211	
841893	401988	
841894	342871	Cricketer
841895	158588	
841896	188351	Herself
841897	83975	Hooker
841897	92181	Newswoman
841897	148371	Linda
841897	222711	Performer
841898	18811	
841898	39842	
841898	347856	LaTanya
841898	379831	LaTanya Sims (1988-1993)
841899	134517	Medicine Woman
841899	390144	Phoenix (1992)
841900	228495	Lady in diner
841901	42605	
841901	104967	
841901	204673	
841901	264569	
841901	264764	
841901	296995	
841902	366015	Little Girl on Bus
841903	40732	Veronica
841903	393939	Jessica Garland
841904	116053	
841904	242083	Hooker
841905	1500	Joanna Wade
841905	3761	Herself
841905	5573	Lt. Lois Einhorn
841905	7997	Rachel Anderson
841905	13320	Christine
841905	20040	Artist at Party
841905	26472	Susan Matthews-Loomis
841905	32698	Nell Macdermott
841905	40199	Rachael
841905	40200	Rachael
841905	41123	Leonore Bergman
841905	41827	Stacy Mansdorf
841905	43220	Patty Deerheart
841905	44046	Linda
841905	72065	Tish
841905	72228	Sean Livingston
841905	92513	Helen Hyde
841905	93977	Ivy
841905	95181	Chani
841905	96555	Herself
841905	104965	Marie Barth
841905	105316	Mallory Jordan
841905	105393	Gwen
841905	105613	Angela Bayer
841905	109662	Lola Cain
841905	113743	Billie Lee Guthrie
841905	117636	Mary Miles Minter
841905	127279	Rebecca
841905	135788	
841905	141086	Mother
841905	147404	Twinkle
841905	150859	Monica
841905	158423	Samantha
841905	161712	Annie
841905	165421	Ariadne Charlton
841905	176883	Becky Terrill
841905	177260	Sandy Bateman
841905	178028	Ellen/Dorothy Carlsson
841905	192777	Brenda
841905	195540	Dana Greenway
841905	210700	Stella James
841905	215049	Jennifer Gale
841905	216772	Dr. Judy Bingham
841905	216806	Mercedes
841905	219859	Lana Hawking
841905	234071	Susan Atwell
841905	241102	Phoebe
841905	245050	Lena
841905	260255	Linda Bronco
841905	265904	Virginia Kelly/Sally
841905	292335	Joyce Cottrell
841905	303860	Rayanne
841905	310581	
841905	318337	Mrs. Hill
841905	331235	Dr. Daryl Sheleigh
841905	346092	Myra Harper
841905	347852	Cosma
841905	358708	Kate Gekko
841905	366997	Jessica Traynor
841905	372525	Dr. Stephanie Brody
841905	391835	Herself
841905	394510	Lorelei Klein
841905	403988	Racheal Somov
841905	407831	Rosemary Hoyt
841906	159753	Sara Endor
841907	135394	Student
841908	27440	Linda
841908	46299	Myras Sister
841908	176884	Locker room girl
841908	231086	
841908	346128	Susan Rainer
841909	92627	Thal
841910	190680	Nia
841912	215811	Sheila Young 1
841913	333194	Minomo
841913	333390	Nude Film Star
841914	360269	Herself
841914	380291	Presenter (1976-1978)
841915	135564	Woman at Supper Club
841915	138793	
841916	297796	Woman at Funeral
841917	219476	
841918	17183	Additional Cast
841920	398372	Herself
841921	82010	Lady #1
841922	206445	Student in Pageant
841923	102208	Moss' Woman
841924	13309	Teenage Girl #2
841924	310863	Shirley Spencer
841925	167312	Sylvia
841925	260713	
841926	89970	Deidre
841927	196376	Tina (the cheerleader)
841928	197653	Dan Hicks
841928	302699	
841929	314484	Dancer
841930	49893	Herself
841931	276940	Elizabeth
841932	341459	Tucker's secretary #2
841932	346392	Emily Byrne
841933	344151	Sister Oma and the Clarions
841934	90092	The Waters and Friends Chorus
841935	190422	Ligeia
841935	218182	Deaf Woman #2
841936	77464	Pearl Wallace
841937	38378	
841938	366004	Newlywed
841939	332769	Bikini Girl
841940	333604	Victim In Window
841941	8180	Clarissa
841941	107165	Sherry Nelson
841941	125983	Aunt Helga
841941	148387	Hildy
841941	148524	Sally
841941	185146	Mrs. Hart
841941	210230	Ronda
841941	271671	
841941	275097	Ruthie
841941	283510	Pregnant woman
841941	323827	Princess Melora
841941	379839	Host (1971-1973)
841941	381314	Trudy
841941	385796	Bambi Markowitz/Margie
841941	389926	Helga
841941	402925	Co-host (1964-1966)
841941	406667	Susan O'Clair
841941	409665	Trudy
841941	411696	Jennifer Scott
841942	309807	Foster Child
841943	32708	Terri
841943	102183	Head Bodyguard
841943	123789	Gina
841943	135934	Felicia
841943	316996	Rosie
841944	127834	Television Field Reporter
841944	313699	Schoolgirl #1
841945	192692	Herself
841946	180683	Japanese diver
841946	196639	Native girl
841946	250546	Patti
841946	382738	Nurse Puni
841947	39539	Winnie
841948	332148	Narrator
841949	46875	Jetta
841949	124225	Poncho Model
841949	253059	Model
841950	207099	Japanese Servant
841951	213164	Waitress
841952	232440	Barbara
841953	306908	
841954	44337	Jill
841955	96834	
841956	359173	Hela
841958	7035	Court Girl
841958	131005	'Gorgeous' Goldwyn Girl
841958	337366	Ricksha Girl
841959	234464	Evelyn
841960	110299	Waitress
841961	78828	Sheb Golding
841962	342924	Big Men Big Women Dancer/Pris
841963	180890	Madison
841964	168166	Reception Nurse
841965	410887	Nicole Williams
841966	5201	Barbara Rice
841966	113641	Dunleavy
841966	281911	Nancy Curry
841967	1784	Brothel Lady
841968	209492	Rich Lady
841968	381658	Meg Cobb
841968	406795	Grace
841969	78107	Grip
841970	405887	Herself - Miss Itchy
841970	406371	Herself - Miss Itchy
841971	177705	Duke's girl
841972	24417	Disco Lady
841972	65681	
841973	293790	
841974	291974	Kneeling Woman
841975	6912	Mrs. Cribbens
841975	41494	Barbara
841975	46431	Jan Fletcher
841975	163213	Kate Westin
841975	183662	Rita Bartlett
841975	232440	Cindy
841975	289645	Joan Crawford
841975	350170	Andrea Parker
841975	393082	Jan Hoffmeyer
841975	393083	Jan Hoffmeyer
841976	209493	Anna
841977	118865	Pretty Girl
841978	5871	Joan Gruber
841978	33408	Alida Thibodaux
841978	61183	Elizabeth Bergstrom
841978	147206	Alice Yarrow
841978	185203	Anna
841978	283282	Carol
841978	286549	Mary Ellen
841978	315211	Lu Jansen
841978	323845	Beryl Graham
841978	333442	Mrs. Laurie McKenzie
841979	16866	Student Reader
841979	48554	Corinne
841979	59148	Alice
841979	176966	
841979	220334	Sarah
841979	235781	
841979	257530	Hooker
841979	263758	Stephanie Poulas
841979	307975	Kimberly
841979	386897	Ingrid (1993-1995)
841980	154629	Hotel Clerk
841981	220456	McCormick Heckler #1
841982	25249	
841982	25536	Hemat
841983	305147	
841985	386757	Jurema
841986	109969	Leila
841987	338833	The Ghost Party
841988	200108	Betsy Bobbin
841989	126264	
841989	250542	
841990	248437	Mrs. Haroutyoun
841991	194113	Nicola
841991	358314	Maggie
841991	388209	Jasmine (1999-2002)
841992	171129	
841993	398099	Isabelle
841994	87489	Mrs. Amperian
841994	197247	Lady With Handbag
841994	387309	Anita Borkowitz (1957)
841994	390771	Laura Grant #2 (1953-1962)
841996	113974	Mrs. Garvey
841996	143403	Undetermined Role
841996	257052	Mrs. Glenn
841997	187073	Extra
841997	201709	Herself/Extra in Movie
841998	234872	Noora
841999	408800	Asrin Khezrian (1998-1999)
842000	121829	Pushcart shopper
842000	276675	
842001	20070	Child
842002	373530	Little Fatima
842003	137300	The Neighbor
842003	253065	2nd Girl in the Chair
842004	8685	
842004	9610	
842004	14451	
842004	19913	
842004	25241	Madiha
842004	25440	
842004	25487	
842004	25490	
842004	25592	
842004	25703	
842004	28896	
842004	108607	
842004	155156	
842004	159963	
842004	162236	Soraya
842004	165646	
842004	167897	
842004	175978	Ihsan
842004	181460	
842004	183073	
842004	183969	Siham
842004	214322	
842004	214340	
842004	217093	
842004	226557	
842004	230069	Widow
842004	270994	
842004	271594	
842004	297052	
842004	323064	
842004	323066	
842004	348824	
842004	358105	
842005	6240	Sister
842006	226082	
842007	194684	Blue Mother
842008	9764	Nora
842008	10376	Ginger (old)
842008	23166	Nagwa
842008	25249	Atiya
842008	25915	
842008	36600	
842008	78532	
842008	82138	
842008	137056	Amal
842008	162235	Hind
842008	162733	Nadia
842008	172595	
842008	175193	Grandmother
842008	183073	
842008	198653	
842008	205282	Warda/Afifa
842008	209468	Herself
842008	217161	Simihit
842008	219654	
842008	284635	
842008	381015	Faten
842008	396594	Malak
842009	69152	Herself
842009	104740	Swiss entry (8th place)
842009	162862	
842009	175006	Host
842010	323925	
842011	299363	
842012	393446	Host
842013	379583	Carla Freyre
842013	399627	
842013	410453	(1999)
842014	393999	Otome Shirahatamaru
842015	404771	Lafiel
842015	404772	Lafiel
842016	100209	Hitler Youth
842017	121808	Tropicana Dancer
842018	120480	SWAT Officer #3
842018	313158	Secretary
842018	348838	Girl at Wedding
842019	286047	
842019	328844	Une gitane/Gipsy
842020	181176	
842020	299039	Petrovich's Wife
842021	195342	Tour Group Member #5
842022	128089	Topless Dancer
842023	69652	
842024	184786	Nainen
842025	179807	
842026	268946	Danseuse
842027	31327	Foxy Boxer
842028	17084	Yacca
842028	33629	L'amie de Jubette
842028	66716	
842028	114760	La vieille actrice
842028	217833	
842028	281826	
842028	292352	Miss Calmann
842028	345214	
842029	257212	Old Man's Wife (segment "La M
842030	316550	
842031	9113	Herself (White Zombie bassist
842031	192542	Heslie
842032	157627	Moeder
842033	397886	Herself
842034	12905	
842035	68140	la zia di Marilu'
842036	9427	
842036	162798	
842036	184848	
842036	184929	
842036	226980	
842036	227306	
842036	274779	
842036	288278	
842036	296544	
842036	358513	
842037	377853	La femme de chambre
842038	246024	
842039	12279	
842040	139306	Chinese Mother
842040	180372	Hostess
842040	251865	David's Mother
842040	256141	Cherry
842040	288493	Chin Yang
842041	8944	Enya
842042	173360	
842043	333513	
842044	285223	Yoo-mi Han
842045	225804	Herself (Performer)
842046	77896	
842046	106782	
842046	176809	
842046	324346	
842046	372181	
842047	30311	Chinese woman in alley
842048	106526	Prostitute Mother
842049	342633	Ji-Zhe Zhang
842050	102032	
842051	126780	
842052	285845	Miss Wong (story 1)
842053	26471	Emmy/Camper
842053	169594	An Mei (Age 4)
842054	1526	
842054	115603	
842054	174983	Motomi (First daughter)
842054	334896	
842055	53819	
842056	308737	
842057	28037	
842057	33146	Mao Mao
842057	169594	Ying Ying (Age 16-25)
842057	319556	Sally Wong
842057	369807	Mei Qing
842058	369634	Song Rui
842059	266997	Inde's Mother
842060	365222	
842061	28804	
842061	79216	
842061	220132	
842062	228834	
842063	1983	
842063	241915	
842063	248928	
842063	294462	
842063	368211	Bae's wife
842063	371175	
842064	301823	
842065	61448	
842065	178038	
842066	38181	Nurse
842066	90591	
842067	369947	A Suya
842068	122833	
842068	266987	Kang Yu-jin
842068	371231	
842069	20061	
842069	123526	Mi-sun
842069	164878	Baek
842070	178038	Kyoung-hui
842071	138011	
842072	28364	
842072	49434	
842072	131278	
842072	222128	
842072	288361	
842072	371176	
842073	200621	
842074	519	
842074	3189	
842074	49515	
842074	51019	Mal-seok
842074	89549	
842074	89550	
842074	126874	
842074	156033	
842074	230215	
842074	298854	
842074	337200	
842074	370284	
842074	371263	
842075	1977	
842075	8292	
842075	15393	
842075	28254	
842075	49192	
842075	51012	
842075	60617	
842075	89538	
842075	91435	
842075	124370	
842075	126769	Oh-mok
842075	126773	
842075	126775	
842075	126784	
842075	126787	
842075	131955	
842075	136418	
842075	166819	
842075	199890	
842075	201277	
842075	201279	Oh Yeong-kyeong
842075	215111	
842075	216421	
842075	226551	
842075	226561	
842075	227851	
842075	228366	Hye-rin
842075	229874	
842075	242914	
842075	255929	
842075	266987	Jin Su-ryeon
842075	285235	
842075	286000	
842075	286013	
842075	298874	
842075	371180	
842075	371237	
842076	334781	Cindy
842077	285995	
842078	49417	
842079	78779	Lucky 7 Dancer
842079	222330	Waitress
842079	334806	Sarah
842079	347852	Ali
842080	166208	
842081	27815	Zhuang Yi
842081	194083	Mrs. Cheng
842082	336639	Bai Piaoer
842083	61070	Lisa Yu
842083	76326	Wanted's lover
842083	78590	
842083	95302	Laura
842083	121126	Niuzi
842083	167495	Lo
842083	168039	Shirley Kee
842083	185241	Second High Consort
842083	210974	Siu-Hung
842083	220243	Li Li
842083	298706	Fang Xiaomei
842083	300386	Yu Ruyi, courtesan
842083	324716	Miss Wong
842083	332360	Xiao Qing
842083	369865	Sau Sau
842083	371619	Nancy/Pearl
842083	374800	Zhao Qiuyuan
842085	152109	Dang Gui
842086	263740	WLS Anchor
842087	110612	The Flying Head Princess
842087	110613	The Flying Head Princess
842088	368318	Spareribs
842089	406389	Herself-Grand Finalist
842091	34180	
842091	43042	
842091	51019	Hye-suk
842091	76662	
842091	77554	
842091	136409	
842091	153436	
842091	167571	
842091	221872	
842091	294499	
842091	371250	
842091	371947	
842092	7272	
842093	60586	
842094	15394	
842094	39035	
842094	130244	
842094	235266	
842095	348817	
842095	371045	
842096	182135	
842096	226551	
842097	77680	
842098	121937	Chinh
842098	167849	Ermei
842098	373097	
842099	87000	Researcher
842100	8766	Chun
842100	61052	
842100	63372	Isabel
842100	79376	
842100	227501	Annie
842100	369648	Cici
842101	102270	Chen Jinglan
842101	131254	Han Qiong
842101	152707	Fang Jie
842101	369931	Wetnurse
842103	67921	Tara's Friend
842104	392497	Lee, Ji-hye
842105	2443	
842105	34181	
842105	208685	
842105	238981	
842106	34183	
842107	324341	Lina
842108	341237	The Death
842109	278794	
842110	331377	Girl in Children's Home
842111	35453	Prostitute
842112	97003	Mei Oi's Mother
842113	187088	The Teacher
842114	94364	Mother-in-Law
842114	167404	Li Yuemei
842115	110618	Su Manling
842116	259078	
842117	171512	
842118	9501	
842118	51023	
842118	126783	
842118	126906	
842118	156034	
842118	166465	
842119	259984	
842120	102032	
842121	374810	Miss Zhu
842122	364368	Girl in dream fantasy
842123	59718	Lori
842123	116176	
842123	133772	Cora (Manila Nurse)
842123	167419	Yuen Chi-Kei
842123	200994	Lichi
842123	224181	Irina
842123	286970	Hai'er
842124	94376	Yinzi
842124	110634	Shu Xin
842124	373098	Meng Shuxian
842125	268724	Lin Meilan
842126	191005	Liu, Xiaojing
842127	191458	
842128	117167	
842128	184319	
842129	62112	Carolyn's Daughter
842130	23435	Imanaka
842131	167389	Zhou Jie
842131	371922	He Lanfeng
842132	108463	Zhen Fei
842133	260417	
842133	283678	Ayame
842133	283679	Sakura
842133	398900	Shô Moriya, et al.
842133	403966	Ayame
842134	140585	
842135	374729	
842136	396211	
842137	20352	
842137	40447	Bibi
842137	40448	Bibi
842137	48856	
842137	67700	Jayi
842137	91291	
842137	121953	
842137	121967	
842137	123561	
842137	137427	Macaria
842137	161565	Lupita
842137	162774	
842137	276975	
842137	283202	
842137	292954	
842137	318302	
842137	324177	
842137	354873	
842138	49828	Rat Woman
842139	32828	Children's Home Mistress
842139	58459	
842139	201155	The Officer's Daughter
842139	225926	Liza
842140	49828	Rat Woman
842141	60408	
842141	356182	Gornichnaja Lida
842141	357128	Kat'ka
842141	396239	
842142	369899	Dr. Emillia Mariner
842143	207637	
842144	84914	
842144	110020	
842144	252180	Brothel Owner
842144	324346	
842145	25896	Yang Guizhen
842145	33910	
842145	76829	Maozai's Wife
842145	324198	
842145	370836	
842146	101567	Aya
842146	112432	Newscaster
842146	283282	Hoa
842146	345850	Selise
842146	359714	Judy
842146	408749	Nurse Shapiro (1979-1980)
842147	177705	Karuko Hada
842147	230340	Reporter
842147	340320	Karina Bong
842148	374902	Leng Yun
842149	255021	Da He
842150	303402	
842151	127349	
842152	268734	
842152	300460	
842153	178975	V-Six Model/Cheerleader
842154	29457	Ko Kit
842154	29475	Hung
842154	38193	Ting Ling-Lam
842154	42234	Yao-Yao
842154	42250	Ron
842154	60540	Kwong Mei-Chi
842154	75226	Mo-yung
842154	76358	Bai Xuehua
842154	76828	Shou-Kit Ho
842154	91543	Seven
842154	111185	Fong
842154	123714	Moon
842154	135079	Yuen Siu-Wen
842154	135751	Lam Chi Wing
842154	135752	Lam Chi Wing
842154	136067	Siu Kam
842154	136332	Lucy
842154	142816	
842154	148821	Cora
842154	151917	Yip Yuk-Sum
842154	167500	Tai Lok-Yee
842154	167781	Au Ka-Wai
842154	170016	Madam Ti
842154	170996	Moon Lady
842154	187823	
842154	189145	Joss Lee
842154	197558	
842154	197875	Lisa
842154	198593	Mrs. Sheung
842154	209907	Lam Hiu-Tung
842154	231233	BoBo
842154	231337	Cheung Wai-Sum
842154	240592	Assistant Editor
842154	254948	Amy Yip
842154	282998	Foxy
842154	288416	Yu-Feng
842154	297309	Mei-Ball
842154	348316	
842154	358924	Rachel Lam
842154	367173	Yip Fan
842154	368064	Miss Nine
842154	369693	Xiaoqian (Cantonese version)
842154	369711	Red
842154	369762	Jade Ho
842154	369764	Min
842154	369798	Yee/Lynn
842154	370131	Jane
842154	370809	Fong Siu-Yin
842154	373251	Beautiful
842154	374752	Moon
842154	374924	
842154	374948	Ko Sau-Ping
842154	376152	Sai Ming-Jun
842154	383833	The Goddess of Nine Heaven
842155	323100	Tai Tai
842156	233004	
842157	395091	Malay Servant
842158	253500	Asian Wife
842159	25910	Ying-Ying
842159	27806	Member of the royal family (K
842159	38193	Ma Fong-Ling
842159	38196	Tse Ming-Shuet
842159	52023	Tina/WO-1
842159	62183	Wife
842159	86315	Jane
842159	95191	
842159	103822	Mindy
842159	108457	Kuen
842159	110625	
842159	121778	
842159	138626	Waitress
842159	138629	
842159	167400	Fanny
842159	172218	Thai Chek-Yee
842159	172220	Cameo appearance
842159	172222	Thai Chek-Yee
842159	172226	Mui Sai-Heung
842159	196643	Shang'er Twin
842159	196644	Shang'er Twin
842159	210974	Helen Lo
842159	216626	Lee Tung, Lee's sister
842159	270021	Hsiao-Tsui
842159	275568	Yeh Yu-Shin
842159	297352	Mei
842159	317699	Princess Yi Teh-Tai
842159	323093	Miss Li
842159	367167	Kam
842159	367177	Cha Suk-Yin
842159	369648	Blue Phoenix
842159	369711	Chung Yuan
842159	369726	Blue Phoenix
842159	369826	Albert's Niece
842159	369956	Chu Yuen-Fong
842159	370404	Sister Hung
842159	372189	Baby
842159	374908	Fanny
842159	383833	The Snake Evil
842160	104320	
842161	370923	Jim's Friend
842162	195400	Lecturer
842162	358305	Food Lady
842163	2918	Rose
842163	59295	Tai-Hung's Mother
842163	61993	School Teacher
842163	62181	
842163	62187	
842163	62189	Queen
842163	63303	
842163	63742	Da-Niu
842163	76426	Madam
842163	88613	Hsien
842163	95191	Madam
842163	102294	Tang Siu-Lin
842163	106793	Mamasan Yuen
842163	110593	Mo-Yung
842163	111184	Fei-Fei
842163	116649	
842163	122888	Woman Midgit
842163	131185	Mrs. Tsui
842163	131186	
842163	136068	Chin
842163	138315	
842163	142816	Nurse
842163	144291	Mrs. Seven
842163	152347	Qiao
842163	167442	Natasia
842163	167500	Woman in Waiting Room
842163	167851	Po-Chu's Mother
842163	168034	Madam
842163	189168	Nurse
842163	197429	Lun's Mother
842163	198749	
842163	203388	
842163	203389	Nanny
842163	204937	Sally/Old Eagle
842163	210970	The Ghost
842163	210972	Hung
842163	210976	Lotus
842163	212511	Tsang Siu-Yue
842163	212640	Candy
842163	216399	Madam Pimp
842163	222429	Mahjong Player
842163	227278	Hairdresser
842163	231199	
842163	231271	Nurse
842163	238700	
842163	247334	Lan
842163	252091	Blackjack Dealer
842163	268651	Castle Peak Nurse
842163	268652	Nosy Woman at Apartment Build
842163	268671	Sze
842163	268750	Sister Bamboo
842163	275578	Miss Yuen
842163	286458	Mrs. Yao
842163	298340	Fifth Lady
842163	298365	Emmanuelle
842163	298406	Jojo's Aunt
842163	298710	San
842163	301436	Fortuneteller
842163	302605	Landlady
842163	324338	Shek-Lau
842163	324736	Fang
842163	324737	Miss Leung
842163	332243	
842163	345732	
842163	358909	Card Player
842163	359031	Sister Kwan
842163	367165	Nurse
842163	368064	Madame
842163	369566	Pill
842163	369615	Do Do Chan
842163	369624	Turkey
842163	369770	Fa
842163	371583	Miss Yuen
842163	371924	Abacus Fong
842163	373251	Masseuse
842163	373259	Lucy
842163	374816	Head Nurse
842163	374827	Turkey Chu
842163	374893	Chinny
842163	374974	
842163	374975	Florist
842163	376766	King-Dan Yuen
842164	332340	
842164	347185	
842165	370197	
842166	76420	
842167	91752	Nun at Orphanage
842168	151556	Female Fan
842168	207484	Jack's Wife
842169	62189	Bitchy
842170	381238	2nd Ticket Clerk, Bangkok
842171	85836	
842173	373446	
842174	266817	
842174	356662	
842175	112205	Fhloston Hostess
842175	179376	
842175	208089	Panelist
842175	342797	Juliet Hardbattle
842175	391116	Renko
842175	396101	Kano
842176	110732	Model
842177	406628	Jelly
842178	400530	Lavinia Wilfer
842179	342515	Herself
842180	348992	
842181	227015	Bebe
842182	110655	Do's wife
842183	127655	Maria
842184	279703	
842185	256804	
842186	124228	
842186	349219	
842186	373235	
842187	390058	
842188	293602	Naomi
842188	299083	
842188	359841	Teenage Runaway
842189	145445	Yurika
842190	292074	TV Repôtaa
842191	174984	Mrs. Numata, the mother
842191	236174	
842191	309779	Keiko Otake, Okino's fiancee
842191	371987	
842191	411646	Hanayo Bandai
842192	196886	
842192	225045	Malvina
842192	305343	Yayoi
842193	17433	
842193	19691	Daughter
842193	76879	Kageyama's Sweetheart
842193	89510	Prostitute
842193	92316	
842193	138100	
842193	144497	
842193	165588	
842193	166065	
842193	175364	
842193	177106	
842193	179252	
842193	219409	
842193	232909	
842193	237662	
842193	281047	
842193	281048	
842193	289298	Yamanouchi, Yoshie
842193	296633	
842193	296637	
842193	296639	
842193	298988	
842193	298989	
842193	298991	
842193	334938	
842193	358402	
842193	359358	Sanae Inamatsu
842193	370300	
842193	370743	Kayo
842193	375608	
842193	375610	
842193	378133	
842194	180361	Olya
842194	219426	
842195	180361	Yalo
842195	219426	
842196	401287	Jill
842197	19769	Paulet
842197	19778	Alka
842197	161704	Higurashi Kagome
842197	161705	Higurashi Kagome
842197	161706	Higurashi Kagome
842197	195628	Mutsumi Otohime
842197	195629	Mutsumi Otohime
842197	195630	Mutsumi Otohime
842197	199950	Maetel (age 15)
842197	286868	Mina Majikina
842197	293586	Satsuki Yukimizawa
842197	298425	
842197	379484	Tina Foster
842197	379485	Tina Foster
842197	382908	Sylia Stingray
842197	385060	Maetel
842197	388022	Ropponmatsu 2nd (Child)
842197	389503	Kaname Chidori
842197	389869	Masami
842197	392964	Higurashi Kagome
842197	394431	Tamayo Kizaki
842197	401736	Inko
842197	402729	Mutsumi Otohime/Various
842197	402942	Nenene Sumiregawa
842197	404228	Azumi Kiribayashi
842197	406845	ZeStrogâ
842197	408893	Milly Thompson
842197	411563	Hokuto Sumeragi
842198	208018	
842198	278430	
842199	22123	
842200	373363	Two-Headed Woman
842201	93261	Lilly
842202	19648	
842202	22038	
842202	25598	
842202	28388	
842202	34059	
842202	45715	
842202	89509	
842202	136708	Zehra
842202	144534	
842202	173212	
842202	173567	
842202	173569	Nezahat
842202	173971	Nevin
842202	174663	
842202	187651	
842202	200589	
842202	308296	
842202	370633	
842202	370775	
842202	370912	
842202	378573	
842203	130007	
842204	197464	Dezdemona
842205	115250	
842206	318456	Nightclub dancer
842208	151101	Sackadorf
842209	175457	Rini
842209	292077	
842209	396000	
842210	26246	Kid
842210	179338	
842210	283692	
842212	34181	Seo In-keong
842212	136789	Detective Kim Mi Yun
842212	165539	Eun-joo (Stepmother)
842212	327237	Seungmin Oh
842212	328635	
842212	392594	
842212	398010	Park Soo-ah
842213	36874	
842213	36894	
842213	150688	Yuma
842214	397553	
842215	235981	
842216	131635	
842217	137785	
842218	239371	
842218	280610	
842218	318562	
842219	283821	
842220	21969	
842220	139260	
842220	373235	
842221	9567	
842222	19703	
842222	104192	Maria Harada
842222	144440	Uzume, a dancer from Matsuro
842222	180093	
842222	235372	Mariko Nishiyama
842222	243982	
842223	121463	
842223	181886	Amahime
842223	182190	
842223	210042	Kinuyo Daitojima
842223	216520	Geisha
842223	242210	Kokin
842223	242315	Woman who plays mahjong
842223	243355	Matsuyo Isayama
842223	322874	Yoshiko
842223	341292	Yumi
842224	97635	
842225	322550	
842226	93831	Clothes Stall Holder
842227	371837	
842228	179673	
842229	170325	
842230	126892	
842231	199311	Geisha
842232	127723	
842233	237646	Sang-Shik's Wife
842234	51026	
842234	123841	
842234	371202	
842235	49436	
842235	63486	
842235	95731	
842235	126907	
842235	167935	
842235	216420	
842235	259078	
842235	286661	
842235	295224	
842235	376539	
842236	15394	
842236	28360	
842236	28799	
842236	28802	
842236	51024	
842236	62640	
842236	62798	
842236	84507	Eun Yeo-sa
842236	104558	
842236	126778	
842236	149543	
842236	156426	
842236	165538	
842236	167895	
842236	173330	
842236	180261	
842236	224453	
842236	227080	
842236	239303	
842236	239348	
842236	294498	
842236	298832	
842236	320359	
842237	23441	Asian Girl
842238	156043	
842239	2826	
842239	7262	
842239	8592	
842239	14332	
842239	16579	
842239	16580	
842239	16588	
842239	16960	
842239	18844	
842239	19044	
842239	19047	
842239	27549	
842239	28361	
842239	28804	Yok-jeong
842239	29599	
842239	34180	
842239	36623	
842239	38199	
842239	38837	
842239	39021	
842239	42876	
842239	51014	
842239	51018	Mal-suk
842239	59059	
842239	59207	
842239	60575	
842239	60598	
842239	60603	
842239	60614	
842239	60636	
842239	60647	
842239	60649	
842239	60661	
842239	62550	
842239	62848	
842239	63368	
842239	76642	
842239	76656	
842239	77574	
842239	78201	
842239	84507	Ku Mi-ra
842239	89444	
842239	89534	
842239	90594	
842239	90599	
842239	90603	
842239	90618	
842239	94287	
842239	94331	
842239	94332	
842239	95021	
842239	102028	
842239	102056	
842239	102068	
842239	102069	
842239	102087	
842239	122715	Gab-sun
842239	122937	
842239	123492	
842239	126777	
842239	126806	Mi-jeong
842239	126899	
842239	128921	
842239	130280	
842239	131284	
842239	135945	
842239	136336	
842239	136410	
842239	136411	
842239	136417	
842239	136573	
842239	137343	
842239	138425	
842239	138429	
842239	144262	
842239	144288	
842239	144289	
842239	153406	
842239	153411	
842239	153421	
842239	153424	
842239	153428	Chiko
842239	153429	
842239	153449	
842239	153529	
842239	153556	
842239	155193	
842239	156111	
842239	156123	
842239	156365	
842239	156595	
842239	156927	
842239	165112	
842239	165536	
842239	165550	
842239	166011	
842239	166212	Jang Ju-yeon
842239	166783	
842239	166793	Kyeong-a
842239	166830	
842239	166838	
842239	167477	
842239	168360	
842239	168802	
842239	169669	
842239	169838	
842239	170318	
842239	170319	
842239	173330	
842239	174086	
842239	175762	
842239	199903	
842239	204138	
842239	204401	
842239	211207	
842239	215572	
842239	216404	
842239	216722	
842239	222223	
842239	222475	
842239	222821	
842239	224456	
842239	224457	
842239	224459	
842239	224460	
842239	224466	
842239	226538	
842239	226541	
842239	226591	
842239	227210	
842239	227484	
842239	227712	
842239	236737	
842239	236740	
842239	236764	
842239	239348	
842239	239365	
842239	246994	
842239	247028	
842239	247029	
842239	255601	
842239	259073	
842239	262149	
842239	267198	
842239	268147	
842239	285225	
842239	285998	
842239	286009	
842239	286013	
842239	286086	
842239	286091	
842239	286600	
842239	286638	
842239	286657	
842239	286663	
842239	288168	
842239	288169	
842239	294448	
842239	294463	
842239	294466	
842239	295227	
842239	295554	
842239	298833	
842239	299051	
842239	309111	
842239	318951	
842239	319099	
842239	322899	
842239	329010	
842239	344212	
842239	348672	
842239	349014	
842239	367204	
842239	371135	
842239	371136	
842239	371171	
842239	371192	
842239	371201	
842239	371206	
842239	371261	
842239	371266	
842239	371865	
842239	373138	
842239	373144	
842239	373204	Hyeon-ju
842239	373239	Yeon-suk
842239	373305	
842240	306386	
842241	51012	
842242	43387	
842242	60599	Ha-ra
842242	123584	
842242	222144	Hee-soo
842242	371143	
842243	50118	
842243	61448	
842243	239851	Su-a/Girl In Hairshop
842243	319685	Park Eun-a
842244	199311	Geisha
842245	27195	Additional Voices
842245	109666	Mrs. Kim
842245	136510	Waitress
842245	177284	Dr. Toshi Ling
842245	246685	Mrs. Lee
842245	311249	Hotel girl/barmaid
842246	38174	Mi-jo
842247	166811	
842248	262149	
842249	144288	
842250	7257	Shyo Nyang
842250	18879	
842251	60607	
842251	60609	
842251	230218	
842251	329007	
842252	188518	
842253	144288	
842254	285223	
842255	116650	Law Kar-Hei
842256	156042	
842256	187032	Sok, Hwa-mo
842256	239937	Jin-suk
842256	286659	
842257	179990	
842258	3020	
842258	18844	
842258	19055	
842258	19390	
842258	19542	
842258	27535	
842258	29599	
842258	49190	
842258	60609	
842258	90614	
842258	123230	
842258	124436	
842258	144257	
842258	216420	
842258	286599	
842258	297390	
842258	329011	
842258	329012	
842258	370597	
842258	391954	
842259	226569	
842259	349182	
842260	239851	
842261	60654	Yeon-hyang
842262	15394	
842262	17672	
842262	27549	
842262	28796	
842262	28801	
842262	29268	
842262	43026	
842262	51014	
842262	62510	
842262	76635	
842262	89581	
842262	144314	
842262	153418	
842262	156570	
842262	156946	
842262	169015	
842262	222128	
842262	226139	
842262	226582	
842262	257089	
842262	294429	
842262	294503	
842262	300793	
842262	307164	
842262	312757	
842262	359039	
842262	361477	
842262	367357	
842262	371177	
842262	371247	
842262	371816	
842262	371834	
842263	126780	
842264	29604	Hong, Byeong-han
842264	60648	
842264	63485	
842264	76656	
842264	102061	
842264	126897	Mother
842264	153455	
842264	170321	
842265	102048	
842266	43043	
842267	167220	
842267	358101	
842268	1631	
842268	2782	
842268	38756	
842268	167469	
842268	226551	
842268	227496	
842269	95563	
842270	166810	Lucky Woman
842271	1476	
842271	28399	
842271	94440	
842271	201277	
842271	215818	Yeong-hie
842271	229825	
842272	111236	Great Aunt Cui
842273	391114	
842274	62184	Mu Gwai (Rose)
842274	63287	
842274	63742	Lady Li
842274	77891	Kitty Wong
842274	95302	2nd Concubine
842274	151939	Kitty
842274	170256	Lady in Coffee Shop #1
842274	203388	Guilian
842274	203389	Shaw, aka Little Cabbage
842274	209897	
842274	212415	Mrs. Tsui
842274	220245	Sun Flower
842274	268750	Miss Ng
842274	282802	Violet Cheung
842274	301435	Shin
842274	323112	
842274	346231	
842274	358908	Kitty
842274	365343	
842274	369566	Rainbow
842274	369769	Yue Li-Chin
842274	372991	Diana Kung
842275	246923	Chinese Dancer
842276	333882	Maxie
842277	113136	Tsu
842277	410147	Jade Perrin
842278	170256	Lady in Coffee Shop #1
842279	360944	
842280	27796	Hassle
842280	76398	
842280	105920	Sung
842280	231222	Phoenix
842280	286469	
842280	358907	Ji Wan Fei (Giselle)
842281	21923	
842281	21924	
842281	26954	
842281	49915	
842281	71378	Mandy
842281	71379	
842281	81841	
842281	97896	
842281	118002	
842281	123631	
842281	158979	
842281	178215	
842281	264871	Herself
842281	264872	
842281	264877	
842281	270451	
842281	273401	
842281	304819	
842281	305773	
842281	306111	Record company executive
842281	327642	
842282	299691	Shingo's Mother
842283	170013	
842283	268697	Korean moll
842284	111225	Hsiang Ling
842284	151984	Rachel
842284	369065	Tu Chuan-erh
842286	136160	Kau Ma
842287	168295	Boss Hog Band Member
842288	17583	
842288	43074	
842288	180861	Varvara Nechayeva Plantinovic
842288	245799	Julia
842288	375679	
842288	411996	
842289	45237	Laker Girl
842289	60684	Herself (Dancer)
842289	60685	Dancer
842289	67052	Fever Dancer
842289	190702	Cheerleader #11
842289	199735	Dancer
842290	349076	
842291	356418	
842292	115878	Bébé
842292	182306	MC at the nightclub
842293	371896	Ngarli Woman at Hospital
842294	23614	
842294	34230	Khatima
842295	99702	Thiwa
842296	20029	
842296	118086	
842296	237208	
842296	339996	
842297	63252	Kite/Rust
842298	61054	
842298	137342	Etsuko Mamiya
842298	278549	Nurse
842298	287359	Ice
842298	310373	
842298	335271	Sayuri's Mother
842299	265833	Village Woman
842300	63614	
842300	131119	
842300	216006	Teodora Verd'e
842300	262668	
842300	262697	
842300	280807	
842300	322102	
842300	339327	
842300	344278	
842301	188708	
842302	180359	
842302	237877	Vera
842302	304908	
842302	374781	Anna Betskaya, the doctor
842303	347419	Patti
842304	48658	Vera
842304	264323	
842304	334998	Lena
842305	98448	
842305	103160	Madre San Pablo
842305	115040	Herself
842305	121251	
842305	136864	
842305	148102	
842305	213768	
842305	217464	
842305	246209	
842305	284584	
842305	292931	Yuri
842305	301106	
842305	310039	Yuri
842305	373299	
842305	384632	Italia
842305	387805	Yuri
842305	399564	Host
842305	410384	Reni/Chaquira
842306	8612	Hana Mishima
842306	232611	
842306	244054	Ayako
842307	54203	Vice
842307	54204	Vice
842307	177380	Leona/Kasumi Todo
842307	177381	Leona/Wild Leona
842307	177382	Leona Heidern/Vice
842307	177384	Leona/Kasumi
842307	177385	Leona/Vice/Kasumi Todo
842307	177386	Leona
842307	177387	Leona/Vice/Candy/Athena's Fri
842307	177388	Leona
842307	320546	Kasumi/Poison
842308	77710	Dancer
842308	177253	Eliza
842309	315003	
842310	102996	
842311	273103	
842311	298325	
842312	1048	Madame Thillot
842312	22886	Madame Michom
842312	46836	The Abbess
842312	64803	Mrs. Nash
842312	74238	Yonka
842312	99396	Mrs. Augusta Stack
842312	103237	Concentration Camp Nurse-Matr
842312	114870	Aunt Margaret
842312	121982	Herrera Mother
842312	146859	Frau Anna Hanka
842312	175184	Mrs. Anna Taylor
842312	183638	Julia Anderson
842312	228308	Truth
842312	232260	Mrs. Salter
842312	241257	Matthews
842312	246232	Mrs. Savarina
842312	269364	Ma Webster
842312	298084	
842312	308576	Aunt Bernarde Casterot
842312	309939	Mama Tucker
842312	323769	Madame Defarge
842312	326119	Mrs. Nielson
842312	332029	Louise Dauphin
842312	335477	Widow Grelieu
842313	24862	
842314	132568	
842315	100210	Diner Patron
842316	227120	Herself
842317	95679	
842317	348713	Liliya
842318	108453	Printzesata
842319	42311	Hot Person
842320	124374	Young girl
842321	387309	Diana Selkirk (1978-1979)
842322	257385	
842323	296552	Dancer
842323	375847	Ceucra
842323	382208	Sylvia Silver
842324	97364	Girl #2 in Coffee Shop
842325	4551	Farah Hanum
842325	17504	Lady Thiang, Head Wife
842325	20507	
842325	95228	
842325	276875	Woman in Bar
842325	278519	Nina
842325	293878	Mastura
842325	392512	Yasmin/Zulaika
842326	138793	
842326	190014	Maria
842326	387454	Bartender (recurring Season I
842326	407781	Dominatrix
842327	201302	Nicky
842328	243689	Mabel, Recepcionista IBM
842328	332598	Cliente 3
842329	69796	
842330	80969	Angela
842330	177204	Rosa
842330	275480	Charlotte
842331	349366	
842332	94063	
842332	239420	
842333	4721	
842334	637	Kiosquera
842335	50082	Lana Evers
842336	19688	Maro
842336	169734	Manami Kobayashi
842336	169735	Manami Kobayashi
842336	348784	Gayane
842337	137380	Kayano Shiota
842337	137381	Kayano Shiota
842337	390910	Kayano Shiota
842338	9601	
842338	194025	Mother
842339	122948	
842339	145280	Uesugi (member of 'Kakumei Ky
842339	178248	Tamako Matsuda
842339	179535	Keiko Yashiro
842340	137298	
842340	299000	Exwife of Kunio Shibano
842340	371915	Yukiko Maki
842341	285680	D.D. Girl#2
842342	223321	
842342	315668	Abigail
842342	394237	Asst. Atty. Gen. Dorit Beyish
842343	238817	
842344	324092	
842345	14435	
842345	103941	
842345	136848	
842345	159526	
842345	193189	
842345	236470	
842345	334915	Nobuyuki Furuta
842345	379602	Flora
842345	381034	Aramis
842345	397371	Detective Miwako Satou
842346	162015	Violinist
842346	289267	Mie Aoyama
842347	320697	
842348	301680	Stroller #1
842349	301680	Brandy
842350	19769	Lilia
842350	20460	Naomi Armitage
842350	28856	
842350	39605	The Masked Woman
842350	45009	Dominique Cross
842350	51237	Black Widow/Naviko
842350	88497	Yuna Katsuki
842350	98600	Kazumi Tanaka
842350	127784	Liza
842350	137297	Kanori Kadomatsu
842350	138766	Yûko Itô
842350	159841	Fumie Saotome
842350	174330	
842350	201290	Gamia-Q
842350	209939	Keiko Mukai
842350	210476	Arcueid Brunestud
842350	227823	Ino
842350	236173	Sanae Ishihara
842350	242135	Chika
842350	242415	Girl at the train crossing
842350	242416	Sayaka Mizukami
842350	242417	Hitomi Nomura
842350	259035	Ôtachi/Yamikarasu/Pî 2/Upâ
842350	259038	Himeguma (Teddiursa)
842350	285919	Shiomi Kanagawa
842350	309099	Kanori Kadomatsu
842350	327008	Woman
842350	334893	Rie
842350	369533	Sara/Ru-Mi
842350	370236	
842350	382767	Hitoe/Futae/Mitsue Momoi
842350	383459	Nakuru Akizuki (Ruby Moon)
842350	384133	Takako Shimizu
842350	385519	Akari Mitsui
842350	387049	Alice Sharome
842350	390268	
842350	390965	Attendant
842350	391257	Christina Gabrielle
842350	392831	Kazumi Akiyama
842350	394997	Tsunami
842350	398997	Ino Yamanaka
842350	404132	Herself
842350	404228	Reiha
842350	404768	Meifon Li
842350	404840	Wang Guiren/Yinshi
842350	405982	Clerk, Operator, Announcer, H
842350	406983	Tetsuko
842350	408732	Blackwidow, Naviko
842350	411563	Arashi Kishû
842351	345461	La secrétaire de Franck
842352	119344	
842353	68361	Alice
842353	245669	Lisa
842353	354581	
842354	96198	
842355	345561	La patronne du café
842356	8214	
842356	155468	Arlette
842356	257212	Dancer (segment "Le Masque")
842357	27173	
842357	69337	
842357	114184	
842357	158841	
842357	203127	Maid
842357	214921	
842357	234474	The Woman
842357	287997	
842357	304967	Marie
842357	321232	Lydia
842357	330168	Fleurie
842357	362091	Marquise de la Fresne
842358	32708	Lia
842358	278832	Dancer
842358	309544	Secretary
842358	406529	Teacher
842359	218577	
842359	335372	Herself
842360	26927	
842360	40055	
842360	41544	Herself
842360	50571	
842360	50777	
842360	76493	
842360	95801	
842360	97647	
842360	122178	
842360	128546	
842360	130619	
842360	186129	
842360	190414	
842360	228016	Herself
842360	228022	Herself
842360	249088	
842360	304784	
842361	216672	Charlotte
842361	244421	Rachel
842361	316225	Scar
842361	410970	Vonzella
842362	405302	Host (1990-1993, 1998)
842362	405303	Host (1998-????)
842363	65927	Ruth Watling
842363	67959	The Comedian's Daughter
842363	84359	Fanny Steele
842363	143443	
842363	180867	
842363	192434	Virgie
842364	392015	13 (Thirteen)
842365	317946	Other T.R. Kid
842366	72074	
842367	328408	
842368	20465	La deuxième commère
842368	54298	
842368	55532	Une voyageuse du coche
842368	65383	
842368	83229	
842368	113252	Madame Berger
842368	148668	
842368	201204	
842368	245556	
842368	257212	
842368	301528	La bouquetière
842368	337543	Une paysanne
842368	349782	L'hôtelière
842369	221005	Snowboarder
842370	35116	
842370	76037	
842370	168378	
842370	199718	Lola Boba
842370	225949	Jurema
842370	351564	Gina
842370	380112	Vanessa
842370	380612	Elsa
842370	383293	Helena
842370	386252	Paula
842370	388641	
842370	388681	Gorgo
842370	388940	
842370	389662	Lídia
842370	392846	Juliana
842370	393876	Mercedes
842370	396520	Clô
842370	397440	
842370	397553	
842370	398502	Clarita
842370	398548	
842370	399490	Guilhermina
842370	400097	Julieta
842370	400445	Melica
842370	400597	Laura
842370	402807	Isabele de Bresson
842370	404947	Cecília
842370	408592	Diolinda Falcão
842370	409407	Maria Eunice
842370	409412	Marta
842370	409419	Herself
842370	409424	
842370	409814	Virginia
842370	409937	Clara
842370	410106	Ana
842370	412256	Lola
842371	99789	
842372	385401	Vecina 2
842372	396898	Señora
842372	401698	Ramona
842372	405415	
842373	379898	Tobago
842373	385058	Melao
842373	387666	
842373	391272	Lorena
842373	396644	Zoraida
842373	401067	Yulessi
842373	401896	
842373	408747	Yubirix
842374	247845	Iris
842374	355877	
842375	221510	Lien
842375	221855	Mui Age 20
842375	332140	
842375	369731	Sister
842376	61882	Dama
842376	273842	(segment "Eutanasia o asesina
842376	338948	Secretaria
842376	379653	
842376	385401	Recepcionista
842376	404172	
842377	387804	
842377	395882	Marcelina
842378	67758	
842378	366022	Du Han-Shen
842379	32313	
842380	20306	
842380	325348	
842381	38492	Herself
842382	38492	Herself
842383	181941	
842384	38492	Herself
842385	57413	
842385	371556	
842386	172001	
842386	172795	
842386	177018	
842386	178405	
842386	180227	
842386	285569	
842386	322537	
842386	325132	
842386	325348	
842386	377545	
842386	378199	
842386	378285	
842387	366467	Gülistan Umut
842388	142786	Mariana
842389	11635	Nicole
842390	110357	Club Patron
842391	354860	
842392	264844	
842393	253891	Herself - Keyboards
842394	391546	The Flirt
842395	305778	Cowgirl
842396	361932	
842397	389004	La bonne
842398	285278	
842399	403702	Emma (episodes 1, 3, 5, 9, 13
842400	172575	
842400	195235	Samia
842401	381902	3rd evicted
842401	381904	Himself (3rd Evicted 2004/2)
842402	59532	
842402	193349	
842403	12944	Ketty
842403	13079	
842403	21076	
842403	31987	
842403	52253	
842403	54427	Witch
842403	58141	
842403	67679	
842403	88975	
842403	92515	Uswika Bathory
842403	99323	
842403	103160	
842403	103433	Marquesa
842403	103671	Madame Irina
842403	103710	Madame Lefevre
842403	104124	
842403	108581	
842403	108739	Nonna di Rosy
842403	111563	
842403	136962	
842403	194624	
842403	204827	
842403	205280	
842403	211906	
842403	233974	
842403	236451	
842403	246420	
842403	268249	
842403	273658	Susan
842403	296475	
842403	349954	
842403	353243	
842403	394150	Guska
842404	357187	Colaboradora E.T.A.
842405	251962	
842406	11537	Gina
842407	38280	
842407	49438	
842407	77081	
842407	156175	
842407	264288	
842407	303584	
842407	323923	
842407	324600	
842407	341536	
842408	243616	Madre
842409	18653	Doña Alfonsina
842410	71303	
842410	74365	Special Appearance
842410	99227	Elisa's Mother
842410	234308	Herself
842410	296154	Ana
842410	306695	Dolores Berthier
842410	355945	Silvia
842410	379552	
842410	381153	Ivonne
842410	383155	
842410	396211	Astrid
842410	397572	Emma Pimentel de Rivadeneira 
842410	397736	
842410	402404	
842410	404161	Susana
842410	405868	Lic. Amaral
842411	87961	
842412	297233	Diane's Girlfriend
842413	145415	Lucy
842414	19718	
842414	26019	
842414	38716	
842414	45569	
842414	49116	
842414	153305	
842414	272722	
842414	321953	
842415	85145	
842416	91912	
842416	290070	Ghetto woman
842417	89482	Kuzykowa
842417	166616	An Actress
842417	179198	Guest
842417	204048	The Gypsy Fortune-teller
842417	261231	Michalak's Mother
842417	303738	Aunt
842417	305185	Agata (Maria's cook)
842417	311896	Airplane Passenger
842417	344344	
842418	170657	
842419	308482	
842420	79252	Mother Gilles
842420	375943	Helma
842421	174405	Mother Danmer
842421	200938	Vielle dame
842421	264230	Grandmother
842422	252833	Lena
842422	274399	Anna Varvara
842422	278545	Marybelle Loring/The Princess
842422	288963	
842423	6609	
842423	377466	
842424	91297	Parishioner 5
842425	88067	
842425	96198	
842425	246306	La dame dans l'ascenseur
842425	256998	La femme de ménage
842425	275634	
842426	18	Party Guest
842427	13322	Irka Mosz
842427	95565	Councilwoman II
842428	68067	
842429	97547	Woman at Bar
842429	215605	
842430	47072	Nurse
842431	158141	Office woman
842432	320680	
842433	178798	
842434	259910	
842435	71741	
842436	41279	Mara
842437	96001	
842437	379877	
842438	376250	Die Putzfrau
842439	304724	
842440	2814	Astrid Sétian
842440	18317	Diane
842440	29447	Sophia, l'amie d'Isabelle
842440	32031	Maryline
842440	38084	Juliette Chapeau
842440	40316	Emma
842440	44998	Catherine
842440	51206	Agnès
842440	59710	Léa
842440	60821	Lida
842440	63954	Hélène Parnet
842440	64333	Herself (1988)
842440	68775	Odile
842440	73308	Viviane
842440	73472	Isabelle
842440	74918	Martine
842440	77869	Angélique/Sorcière
842440	90220	Maritana
842440	91643	Cécile/Suzy
842440	94312	Anna
842440	94866	Lisa Le Guirec
842440	94867	Lisa Le Guirrec
842440	94868	Lisa
842440	94869	Lisa Le Guirec
842440	95585	Katya Tatarinova
842440	96111	Porn actress
842440	97439	
842440	99375	Blanche-Neige
842440	108216	
842440	132982	Mathilde
842440	136360	Beth
842440	148685	Madeleine
842440	158842	Martine
842440	171320	Mathilde
842440	183010	Bella
842440	198605	Nathalie
842440	217267	Sarah
842440	227678	Pam
842440	248920	Edith
842440	265797	Carole
842440	291682	Marie Bjorg
842440	292890	Carole Ribéra
842440	312183	The Queen
842440	318515	L'handicapée
842440	326035	Claire
842440	328087	Catherine
842440	333211	
842440	336828	Isabelle
842440	338597	Nicole Armingault
842440	345378	Léa
842440	346543	Constance Michaux
842440	346819	L'intervieweuse
842440	376904	Marie Parenty
842440	376933	Joueuse
842440	377479	Marie
842440	377905	Helene
842440	395267	
842440	397192	Astrig Sétian
842440	398075	Hortense Albert
842440	402885	Diane Langeais
842440	408009	The Little Girl
842441	42388	Stuttering Prostitute
842441	176864	O.R. Nurse
842442	303501	Reporter
842443	176492	Herself
842444	13531	Mrs. Merrick
842444	17774	Mrs. Barnes
842444	20371	Dottie
842444	29386	Momma
842444	30734	Granny
842444	37031	Mama
842444	40029	Ethel
842444	40763	
842444	41329	The Woman
842444	42799	Chilly's Mother
842444	43551	Emma Smith
842444	44046	Sheryl
842444	47854	Madam
842444	49948	Flossie Hughes
842444	58483	Linda Bailey
842444	61646	Grace Poole
842444	61774	Rose
842444	63266	Gladys
842444	69197	Mrs. Barnaby
842444	72688	Pearl Kinross
842444	73061	Gloria Pierce
842444	78531	Geraldine
842444	80539	Brig. Gen. Burke
842444	80829	
842444	83676	Jackie's Mother
842444	84980	Rose DeMarco
842444	91651	
842444	93975	Winona
842444	94088	Bob's Mother
842444	104965	Mrs. Hankshaw
842444	105713	Kathryne Baker
842444	108382	Ruby
842444	109764	Olga
842444	111409	Magi Lune
842444	119583	Ruth Lait
842444	120148	Eva Bates
842444	123032	Trantor
842444	125991	The Mother
842444	129626	Sylvia
842444	131226	Helen Raines
842444	134877	Emma
842444	148385	Grace Parkinson
842444	148554	Helen Geary
842444	150725	Mrs. Weiss
842444	151007	Ruby
842444	151117	Mrs. Quarre
842444	161354	Herself
842444	161412	Dana P. Ashley
842444	185363	Louise
842444	185369	Mrs. Allison
842444	187908	Jefferson
842444	198489	Silvie Kohler
842444	208993	Edith
842444	209802	Mrs. Panilov
842444	214085	Widow Cummins
842444	214919	Adeleine Newberry
842444	216126	Deanie
842444	222582	Grandma
842444	223900	Mouza
842444	224164	Maggie Ryan
842444	224227	Alena
842444	231525	Ellie Wells
842444	234984	Linette Odum
842444	235061	Hearings Officer
842444	238709	Esther Pokrifiki
842444	241781	Mrs. Linton
842444	264442	Genevieve
842444	264664	Nanny
842444	265749	Francie Harper
842444	266601	Great Aunt
842444	267382	Jeanette Foley
842444	270144	Mary Franklin
842444	271868	Naomi Reece
842444	284003	Gloria White
842444	293140	Mother's Voice
842444	294918	Grace Spivey
842444	296732	Mary Komatar
842444	299680	Sister Marie
842444	310423	Sherri
842444	329088	Murtis
842444	330147	Mrs. Gage
842444	330229	Lem's Wife
842444	338345	Mrs. DeMarie
842444	342549	Sarah Palmer
842444	342552	Sarah Palmer
842444	357129	Margaret Hawke
842444	360032	Pat
842444	365169	Juana
842444	365981	Allison
842444	387245	Mrs. Ames
842444	395601	Mrs. Henry
842444	404282	Theda Bassett (1985)
842444	409210	Sarah Palmer
842445	318818	Becky Norman
842446	35930	
842446	179322	
842446	196561	
842446	313887	
842446	349288	
842447	312434	Magda
842448	127051	Tanja
842449	83165	
842449	211577	
842449	245387	Mexican Dancer
842450	336126	
842452	357451	Sainab
842453	41011	
842454	86805	
842455	1041	Gabriela
842455	96322	Sara
842455	103462	Adela H
842455	158462	Woman visitor
842455	266908	Maria de la Luz Santos
842455	306644	Student
842455	407529	Patricia
842455	411919	Josefa
842456	352160	
842457	102284	
842457	252660	
842457	263919	
842458	236801	
842458	320322	Dancer
842459	232774	
842459	295151	
842461	284138	Aspiranten, Eva
842461	403084	Anette (2001)
842462	56029	La governante
842462	90001	Agnese
842462	265724	Perpetua
842462	301359	La zia
842462	310949	
842463	279841	Nurse
842464	321825	
842465	172378	
842465	303713	
842466	208264	
842467	368318	Gina
842468	3924	Effie
842469	33767	
842470	8908	Marguerite #2, l'intérimaire
842470	89352	Liv
842470	116133	Lisa
842470	118760	La fille de l'Américaine
842470	213293	Girl
842470	236602	Chatte blanche
842470	237316	Sibylle Ashby
842470	303207	Helfrid
842470	328811	Inga
842470	374126	Frl. Elly
842470	396220	
842470	401311	
842472	150680	Rosa Ruttnig
842473	259159	Psychologist
842474	182576	Emma
842474	263883	Francesca Werther
842474	342316	Herself
842474	380367	
842474	392089	Hotel manager (2001)
842474	402654	Lotte
842474	405570	Stina Toivonen (1996-1998)
842475	50977	Bride
842475	116298	Politibetjent
842476	182292	Tonje
842476	217045	Lovise
842476	286085	Hotel Receptionist
842476	343401	Nurse
842477	382429	Herself - Designer (2003-2004
842478	229663	Femme enfant
842479	63855	
842479	217640	Françoise Simard
842479	225460	
842479	346637	Cécile
842480	172082	Yvonne
842480	339485	Smaragditsa
842481	3161	Child at the swimming school
842482	166405	
842482	186956	Nora
842483	276078	Nurse
842484	13789	Spartanette #7
842485	194332	Dancer
842486	232676	Lesbian #1
842487	372621	Angie
842488	334085	School Girl
842489	366027	Partygoer
842490	137766	Telemarketing Co-Worker, Cana
842491	385401	Secretaria
842491	396898	Acasia
842492	49945	Erica
842493	47038	
842494	11941	Maid at party
842494	88870	Victim
842495	27598	Herself - Participant
842495	403530	Herself - Participant
842495	403531	Herself - Participant
842495	403535	Herself - Participant (2003)
842495	403536	Herself - Participant (2003)
842496	178007	Anden dame
842496	293699	Pige med laktaske
842496	346989	
842497	154828	1. Borddame
842497	182626	Kvinde på bodega
842497	377416	Alice
842498	80377	Drusilla
842498	133450	Daroline
842499	277672	Aumerle
842500	393276	
842501	125708	
842501	161854	
842501	198012	Bunny
842501	218534	Rita Rossignol
842501	340264	Maid
842501	387162	Mathilde
842502	171297	Young Woman #2
842503	75976	Hanka
842503	75977	Hanka Tomczyk
842503	180251	
842503	181145	Witek's Mother
842503	247347	Kawiarka
842503	247647	Kazia
842503	286803	Wiska
842504	147137	
842504	387738	Reporter/Various
842504	397133	Field Reporter
842505	309563	Call Girl
842506	116556	
842507	69232	Judge 1
842508	163499	Betty
842509	210340	Herself
842509	275884	Doris' Friend
842510	104967	Sunbather
842510	146849	Phone Sex Operator
842511	27418	
842512	13836	Young Wendy
842513	331633	Harem Dancer
842514	375503	
842515	80557	Girl at Gallery
842516	8283	
842517	152572	Nature Center Girl
842517	194706	Monica
842517	343147	Alex's female co-worker
842518	84298	
842518	104812	Girl on the meadow
842518	115878	Blondie
842518	116456	Fia
842518	135344	L'hôte de la réunion clandest
842518	142790	Professor's wife
842518	147016	Woman in car
842518	178478	Helge's Mother's Friend
842518	181848	Vera, maid
842518	182466	Miss Larsson
842518	204720	Woman in village
842518	206209	Miss Linder
842518	214385	Storsäcken's Wife
842518	216359	Anna (maid)
842518	228408	Guest at party
842518	248186	
842518	268342	Mrs. Conelli
842518	302796	Peasant woman
842518	307763	Girl at the office
842518	308198	Nurse
842518	322310	Rosa
842518	341611	Sonja at 47:ans Café
842518	342312	The mother
842518	346987	Baby
842518	350564	Clerk in the gloves store
842518	354595	Gerda
842518	382452	Spindelkvinnan
842519	64333	Herself (1989)
842521	64570	Herself
842521	110180	Herself
842521	117838	Herself
842521	130788	Herself
842521	137259	Beatnik Chick (special appera
842521	154032	Herself
842521	193775	Jerilee Randall
842521	219931	Little Miss Muffet
842521	226938	Herself
842521	246868	Mrs. Latouche
842521	254956	Herself
842521	287719	Girmar
842521	340320	Herself
842521	357071	Dee Dee
842521	363141	Pia
842521	391835	Herself
842522	226012	
842522	291593	
842522	341217	
842523	409403	
842524	90327	
842525	217745	Dancer
842526	381514	Herself (2000, 2002)
842526	382298	Herself
842526	401547	Zane
842526	411023	Herself
842527	118259	Squeeze
842527	142535	Tracy
842528	242621	Gina
842529	11070	
842529	100624	
842529	138964	
842529	163025	
842529	256666	
842529	284490	
842529	341178	
842529	350783	
842529	380353	
842529	380491	
842529	380653	Madouvaina
842530	6418	
842530	7364	
842530	7763	
842530	8036	
842530	8119	
842530	8124	
842530	8408	
842530	8433	Rose, the housekeeper
842530	9178	
842530	17309	
842530	17786	
842530	18226	
842530	18313	Greek Wife
842530	18760	
842530	18997	
842530	20116	
842530	20125	
842530	20127	
842530	22635	
842530	25625	
842530	77030	
842530	77032	
842530	82795	
842530	84026	Mrs. Samiotaki
842530	89443	
842530	89663	
842530	93891	
842530	93893	
842530	97938	
842530	98074	
842530	98089	
842530	100595	
842530	102889	
842530	103547	
842530	121083	
842530	121086	
842530	122784	Mairy's mother
842530	127370	
842530	128929	
842530	136565	
842530	156421	
842530	166669	Matina
842530	172061	Anna Yavassi
842530	173717	Angeliki
842530	173974	
842530	173975	
842530	173979	
842530	174474	
842530	174495	
842530	174646	Rea's mother
842530	180295	Marina's mother
842530	180779	
842530	182441	
842530	182443	Mrs. Lycourgos
842530	187877	
842530	190973	
842530	190974	
842530	198034	
842530	205964	
842530	209070	
842530	209770	
842530	212012	
842530	226884	Sofia
842530	228718	
842530	229590	
842530	234701	Mrs. Economou
842530	238407	
842530	241900	
842530	241906	
842530	243058	
842530	243361	
842530	244954	
842530	248872	
842530	253088	
842530	255787	
842530	265919	
842530	265933	
842530	296531	
842530	303701	
842530	311416	
842530	314646	
842530	316457	
842530	324779	
842530	326217	
842530	327110	
842530	327123	Katerina
842530	329734	Efterpi Barda
842530	329841	
842530	330962	
842530	343367	
842530	369530	
842530	373783	
842530	375278	
842530	375926	
842530	392217	
842531	187877	
842531	205791	
842531	343324	
842531	381074	
842531	390039	
842531	394151	
842531	394713	
842531	401279	
842532	9468	Vancheto
842532	49516	Leftera
842532	50963	Damata
842532	50965	Meditzinskata sestra
842532	60727	Iva
842532	63575	Frenskata lavkadzhiyka
842532	77426	Stancheva
842532	94208	
842532	131156	Sapruga na Lukov
842532	229748	Aktrisata
842532	244468	
842532	247836	Bozhana
842532	282062	Mary Jo
842532	320648	Voynstvenata uchitelka
842532	335461	Gospozha Rizova
842532	339228	
842532	349086	Radka
842532	349286	Maria
842532	349804	Valchitsata
842532	350252	Vanda
842532	357432	Tzigankata
842532	386025	
842533	225866	
842534	400374	Bosilka
842535	74180	
842535	171494	
842535	263262	
842535	400374	
842536	179554	
842537	380163	Mina Valkani
842538	116112	Student
842539	167047	Woman
842540	322936	
842541	260789	Girl in car #2
842542	357459	
842543	86892	Second Stripper
842544	83712	Lili
842545	405705	
842546	320640	Lujzika
842547	9232	Teta
842547	45712	Supruga Petara Lisjaka
842547	76991	
842547	141785	
842547	180696	
842547	187854	
842547	233273	Gospodja zaturecki
842547	272187	G-dja Poldner
842547	333476	
842547	375323	Tajnica
842547	390721	Greta
842547	408796	
842548	7086	Luigi's wife
842548	7526	Marzia
842548	11767	
842548	23546	
842548	26682	
842548	53026	
842548	57964	
842548	61025	
842548	69141	Margherita
842548	71146	Vito's Mother
842548	84168	Vittoria
842548	90004	Nicolina's daughter
842548	107427	Maria
842548	136189	
842548	157676	
842548	166856	Jeremiah's mother
842548	176863	Marina
842548	187442	
842548	189289	Paola
842548	203343	Conti's Wife
842548	205589	Bruns
842548	219705	Jochabed
842548	231440	Anna
842548	244065	Marta
842548	246177	
842548	246399	Mamma Peppa
842548	246416	Flora
842548	261495	
842548	262934	Madame Ruspoli
842548	291553	Gana
842548	346173	Fiorella
842548	375770	Dream Girl
842548	376364	Beatrice 'Bea' Benedetti
842548	381679	Dr. Sabina Spreti
842548	381729	Mariella Landucci
842548	384255	Diana Fasser
842548	388753	Stephanie Rinaldi
842548	388868	Margaret
842548	390538	Gianna Melchiori
842548	390539	Gianna
842548	392681	Lucia
842548	397297	Nilde
842548	401513	Giulia Altofante
842548	404313	PM Taurianova
842548	406539	Ada Morandi
842548	409591	
842548	412104	Beatrice "Bea" Benedetti
842549	313136	
842550	297777	Female FBI Agent
842551	230360	
842552	56654	Additional Voices
842552	109608	Party Guest
842552	405718	Additional Voices
842553	355052	Extra
842554	3100	Christine
842555	112640	
842556	3498	
842556	21084	
842556	21120	The Mother Superior
842556	58069	
842556	68122	
842556	69002	
842556	186151	
842556	202724	
842556	217904	
842556	227598	
842556	236801	
842556	261039	Mother Superior
842556	334429	Vecchia signora
842556	335370	Mme. Moniveau
842556	352917	
842557	289696	
842558	289446	Alcina, la cartomante
842558	294406	Mamma Giovanna Barberin
842559	86332	
842560	383027	Herself
842562	140310	Brunch Extra
842563	276041	
842564	30324	Singer
842564	339277	Teacher Eliska
842565	82201	
842565	396286	Urszula Kowalska
842566	369874	Herself
842567	202184	
842568	80695	Beach Person
842569	123879	
842569	277607	
842569	295148	
842569	357564	
842570	95944	
842571	285757	Young girl in library
842572	402582	
842572	407868	Antônia
842573	214249	
842574	11915	Ms. Johnson
842574	108140	Secretary
842574	123691	Penny
842574	330530	Jean
842574	367588	Maureen Lacy
842575	137183	
842576	165085	
842576	252140	
842576	252703	
842576	334040	
842577	8982	
842577	410360	
842578	378095	
842579	197285	Ana Golemi
842580	114576	
842581	18039	
842582	394078	Mrs. Papastamou
842583	11963	Brunette
842584	739	Herself
842584	250449	Herself (Sports Star)
842584	311713	Herself
842584	392529	Herself (segment "Babes in Bo
842585	41412	Caesar's Girls
842586	209823	Megi
842587	9473	
842587	261359	Modelierkata
842588	41412	Executioner
842589	229279	Vera
842590	349308	Kalina
842591	62828	Prodavachka
842592	383256	
842592	387390	
842592	397968	
842593	400998	Nina Driskou
842594	100553	
842594	172216	
842594	187877	
842594	243188	
842594	284491	
842594	340101	
842594	389459	Despina Villi
842594	400757	Nina Avgoustaki
842594	407739	Cleo Bartzi
842595	9353	Dancer
842596	58494	Israeli Consul Generals Wife
842597	4086	
842597	4137	
842597	17361	Sunita
842597	17903	
842597	52631	
842597	123295	
842597	246882	
842597	262240	
842597	262854	Rita
842597	326187	Jyoti Sharma
842597	375193	Rekha
842598	359750	Nurse
842599	362002	
842600	161359	Herself
842600	252490	Herself (host)
842600	383710	Herself - Co-Anchor (1990-199
842600	387310	Host
842600	388471	Anchor
842600	401048	Host
842600	402397	Correspondent
842601	263740	Vail's Secretary
842602	58409	La boulangère
842602	68931	Silvia, from 'La double incon
842602	114079	Clara Makaraguine
842602	157073	Pénélope
842602	220253	Lisbeth
842602	229666	Marianne
842602	249201	
842602	261766	Camille
842602	278155	Véronique
842602	279220	Valérie
842602	307108	
842602	314967	Odile
842602	338488	Yolaine
842602	345042	Juliette Clairant
842602	351815	Louise
842602	377668	Isabelle
842602	390476	Raphaëlle Darget (2000-2003)
842603	13643	Bowa
842603	201961	
842603	223516	
842603	303024	Michal
842604	215214	
842605	258177	Teresa Porebska
842606	20957	Professional Lady
842606	95271	Fashion Model
842606	128591	Hope
842606	135843	Jason's Girlfriend
842606	218180	Model #1
842607	265015	
842608	104730	Maltese entry (8th place)
842608	104779	Maltese entry (12th place)
842608	202526	Herself
842608	202527	Herself
842608	202528	Herself
842608	202529	Herself
842609	168286	Waver 'Tawnja'
842610	44776	Jolanka
842610	333789	Ballet Dancer
842610	383082	Jitka
842611	104045	Mina as a child
842612	266455	Dominika
842612	304546	
842613	16705	H.E.A.T. team
842614	97476	
842614	258811	
842614	259926	
842615	396610	Isabel 'Bel' Freitas (2004-)
842616	299443	Herself
842617	170228	Herself
842618	7718	Gericht
842618	173226	Bülent's Wife
842618	189666	Waffenhändlerin
842618	276624	
842618	313672	Murats Frau
842618	322544	Stricking-Hülya
842618	348602	
842618	375834	
842619	370002	
842620	38263	Judy
842620	68703	Drunk Man's Drunk Girlfriend
842621	27470	Pramila
842621	205551	Mariana
842621	205552	Mariana
842621	211286	Kasih
842621	293932	Ziana
842621	293933	Ziana
842622	22586	
842622	70197	
842623	385705	Stacy Rowe (1997), Mrs. Marga
842624	294128	Tinah
842625	397525	Various
842626	310571	Michelle
842627	10517	Penghibur di tempat kediaman 
842627	15439	Ani
842627	31368	
842627	48751	
842627	49103	Zaiton
842627	126188	
842627	155181	Chombi
842627	187665	
842627	294128	Zaiton
842627	407671	Titi Zandra
842628	275881	Old woman
842629	170092	Gerente de Banco
842630	28117	Miyuki
842630	130530	Misato Hanai
842630	260417	
842630	327768	Yae
842630	327961	Hidemi Minakami
842630	400060	
842631	398874	Jolanta Wolniak (1999-2001)
842631	401665	Aneta Kurowska (2003-)
842632	135918	Mrs. Cooper
842633	379760	
842633	404517	Additional Voices
842634	246020	
842635	341680	Lady Capulet
842636	35844	
842636	42242	Alina
842636	49366	Lili
842636	69839	Grazyna
842636	78538	Servante Duplay
842636	95949	Girl
842636	101040	Yadwiga
842636	120439	
842636	258791	Renata Koziol
842636	288114	Maggie Grant
842636	292042	
842636	302256	Mrs. Mueller
842636	304368	Maggie
842636	376610	
842636	379716	Corvina Lang (1993-1995, 1997
842636	406881	Wanda Szarecka
842636	411110	Danuta
842636	411176	Mrs. Krakowski
842636	412008	Magdalena (2004-)
842637	28570	Lucienne
842638	247346	Zosia
842639	226535	
842639	293700	Zajaconna
842639	349452	Natalia
842639	349453	Natalia
842639	397114	Hanna Trzebuchowska
842640	382825	Herself (segment "Some Who Li
842641	369417	Mujer policía
842642	402940	Lynne Davis
842642	402941	Lynne
842643	338647	Sveta
842644	248415	Mme Goldstein
842645	217660	Freud
842645	218478	La femme au walkman
842646	29492	Morgane
842646	51310	Béa
842647	187641	
842648	8840	Amneris
842648	8841	Amneris
842648	8843	Amneris
842648	165297	Herself
842648	251096	Herself
842648	277712	Herself
842648	340651	Azucena
842649	397941	Child
842650	73510	Gerda
842650	205655	Eva
842650	352819	Vesna
842650	381622	Duska (2001)
842651	60034	Veronica
842651	72395	Debbie
842651	169510	Audrey
842651	217954	Female Bartender
842651	220099	Tory Pherris
842651	266191	Woman Mourning (monologue)
842651	291466	Mrs. Taylor
842651	316979	Hotel clerk
842652	163891	Irina
842652	294669	
842653	12806	
842653	91199	
842653	224498	
842653	266135	
842654	89795	
842654	89954	
842654	178717	
842655	3585	
842655	89592	
842655	92325	
842655	132082	
842655	132352	
842655	163158	
842655	176056	
842655	192625	
842655	199940	
842655	202300	Mother
842655	209284	
842655	226012	Mother Koltsova
842655	244092	
842655	258423	
842655	258427	Tatyana
842655	262548	
842655	318562	
842655	341211	
842655	348560	
842655	349249	
842655	356922	
842655	370194	
842655	374086	
842655	374159	
842655	374252	
842655	374990	
842655	406757	
842656	49828	Rat Woman
842657	397513	
842658	174966	
842658	181510	Glasha
842658	323321	
842659	86613	
842660	357208	
842661	245901	
842661	349076	
842662	205575	
842662	225912	
842662	370917	
842663	324652	
842664	91016	Nana
842665	412076	Pirania
842666	211727	Grand Lady in Paris
842667	7212	Receptionist
842667	117231	Nurse #2
842667	296227	Jocelyn
842667	297228	Rose
842668	237701	
842668	394585	Danuta Kwiatkowska (1999-2002
842668	397820	Alina Krawczyk #2 (2002-)
842669	408826	Countess Jacques
842670	373551	Markowska
842671	27065	Rocky's Receptionist
842672	606	Party Guest
842672	99800	
842672	192048	
842672	244408	Nurse
842672	284538	
842672	295608	
842672	343010	Lady with refreshments
842673	18221	
842674	223762	Anna
842675	334015	
842676	109139	Teenage Girl #2
842677	100908	Amy
842678	288272	Reema
842679	91875	Mary Jo
842679	194534	Princess Luna
842680	320682	
842681	18712	
842681	108913	Majzik Erika
842681	145617	
842681	193338	
842682	112832	L'infirmière
842682	236599	Soeur
842683	217909	Danza del ventre
842683	303058	
842684	259809	
842684	265995	
842685	89817	Stella (Esther)
842685	117852	Fimka
842685	132567	Zhanna
842685	180999	
842685	229911	
842685	230463	Orlette Dubois
842685	246343	Nona Sokolova
842685	263636	
842685	265023	
842685	294987	Morino
842685	335497	Yulya (Yuliya Mikhajlovna), a
842685	343970	Elsa
842685	373787	
842686	88450	
842686	132568	
842686	231173	Neznaika
842686	313866	
842687	215110	
842687	261239	Doctor
842687	265839	
842687	316373	(segment Dumy)
842687	352663	
842687	357467	
842687	374883	
842688	230064	Rusya
842689	229547	
842689	398757	
842690	82814	
842690	357246	
842691	95569	
842691	132352	
842691	262548	
842692	17556	Midwife
842692	46065	Mother
842692	130007	
842692	193238	
842692	229203	
842692	245898	
842692	263677	
842692	306646	
842692	349355	
842693	373699	Girl in Cafe
842694	218208	
842695	305132	
842695	310457	
842695	397302	Nina
842696	324129	
842697	808	Avigail
842697	8043	Batya
842697	83744	Shifra Kahanstein
842697	179212	Ruhama Bar-Dayan
842697	189059	Dalya
842697	334025	
842697	383170	Nurit
842697	387852	Shifra
842697	408313	
842698	22585	Masha (Blonde)
842698	154105	
842698	251346	
842699	162235	Wife
842699	162236	Magda
842699	175959	
842700	4959	
842700	7689	Gamila
842700	8691	
842700	25536	Young Jihan El-Sadat
842700	97542	
842700	147080	Rania
842700	174670	Sherien
842700	175077	
842700	175913	Batta
842700	187516	
842700	199960	Mariam
842700	210772	
842700	240242	
842700	284688	Seyada
842700	285493	Perry
842700	323051	Herself
842701	298810	
842702	237529	
842703	132354	
842703	162751	
842703	297937	Ruby's Girlfriend
842703	344279	
842703	351353	
842704	198816	
842705	375439	Mira's friend
842706	62858	
842706	88592	Stefa Kotsyumbas
842706	95070	
842706	120697	
842706	120698	
842706	198155	
842706	244044	
842706	262188	
842706	318146	
842706	349305	
842706	374242	
842706	374766	
842706	397513	
842707	360436	Stan's Wife
842708	94845	
842709	332387	
842709	383082	Radka
842709	384131	Zuzana
842711	412076	Doris
842712	121507	Nurse
842713	225970	Angelca
842713	320640	Ozmecevka
842713	339345	(segment - III. Koplji pod br
842713	352784	
842714	215690	Miss Illinois USA
842715	251646	Art Fan
842716	164693	Daughter-in-Law
842717	244106	
842718	372544	Kid
842719	15346	
842719	207913	
842719	295130	Dancer
842720	2188	Janice
842720	7089	Merilee
842720	36975	Chrissie
842720	40716	Bedelia Rose
842720	47588	Elizabeth
842720	76603	Karen Conners
842720	79408	Charley
842720	80819	Marty
842720	105228	Cissy
842720	113989	Lara
842720	130050	Niki Birsh
842720	130066	Allie Newton
842720	131767	Niki Janus
842720	134666	Victoria Heflin
842720	143280	Katie Griffin
842720	184445	Rachel Riselli
842720	216446	Laura
842720	257991	
842720	263741	Tara Matthews
842720	274194	Gem
842720	279185	Maggie
842720	297788	Lesley Mollencamp
842720	304006	Baby
842720	308039	Amelia Bennett
842720	308110	Tracy
842720	316287	Juliet
842720	322754	Tilde
842720	328839	Mary Liz Wetherly
842720	346096	Gitch
842720	360047	Cristina
842721	937	
842721	25752	Erna anyja
842721	35057	Takácsné,Ágnes anyja
842721	43185	
842721	48666	Demeczky anyja
842721	74403	
842721	74465	
842721	90513	Ilonkas Mutter
842721	98770	Özvegyasszony a bálon
842721	100035	Váthyné
842721	103033	Arisztokrata hölgy
842721	114748	Grófnõ
842721	122387	Hölgy a kiállításon
842721	138468	
842721	140394	Magda anyja
842721	142725	Vendég az eljegyzésen
842721	153690	
842721	163127	Fõnõvér
842721	164021	
842721	172041	Igazgatónõ
842721	182646	
842721	182648	
842721	182654	Vendég a teán
842721	205763	La tenancière
842721	216541	Idõsebb hölgy
842721	229025	Özvegy Mohainé.
842721	235375	
842721	256667	Fodor anyósa
842721	258809	Fejedelemasszony
842721	284091	Jóbék nagynénje
842721	322101	
842721	326078	A Fortuna tuljdonosa
842721	326302	Földbirtokosnõ
842721	349047	Miklóssy Tamásné
842721	349190	Bagyoniné
842721	354328	Kont felesége
842721	377724	Az intézet igazgatónõje
842721	378346	1.nagynéni
842722	282434	Dr. Tree
842723	251646	Make-Up Artist
842723	302256	Reporter
842724	61845	Titania
842725	342669	Bar patron
842726	342669	Woman in store
842727	106690	Herself
842727	122131	Kati
842727	322191	
842728	350833	
842729	17079	
842730	233617	
842731	272623	
842732	258936	Waitress
842732	321678	Phrenology Head
842732	401473	
842734	194938	Villager
842735	50129	
842736	120528	Salsa Dancer
842737	76206	Additional Voices
842737	113332	Additional Voices
842737	190869	Additional Voice
842738	14676	
842738	27984	
842738	56501	
842738	65403	
842738	66402	
842738	78556	Tía Rosa
842738	95011	
842738	96400	
842738	146506	
842738	215510	
842738	218500	
842738	303220	
842738	332668	Abuela
842738	335915	
842738	376802	
842739	385052	Virginia
842739	401694	Sister Angelina
842739	410108	Felicia Sánchez Viscero
842740	387834	Gusanito
842740	388647	Natalie, as a child
842740	390732	Luisita
842741	374656	Baby 2
842742	374656	Baby 2
842743	108358	Greg's Grandmother
842743	328620	Dancer New Age Nazis
842744	349248	
842745	318562	
842746	387832	Alma, Esperanza's Friend
842746	400738	Julie Anne
842747	8264	Frida
842747	16868	
842747	69545	Luisetta
842747	86057	Lt. Teri Sanchez
842747	102399	
842747	124571	
842747	125761	
842747	168255	Betty
842747	187934	Paola
842747	197580	Elizabeth Karnstein
842747	216104	
842747	219601	
842747	229995	Dina Laszlo
842747	238336	
842747	240342	Fidelia Forrester
842747	254979	
842747	259698	
842747	262606	Eden
842747	269709	
842747	295145	
842747	339805	Myrta
842748	317309	Dancer #16
842748	344524	Herself
842749	131225	Campaign Girl
842749	315213	Street Kid
842750	259844	
842751	265265	Monkey
842752	38328	Shelly
842752	99197	Ratna
842752	342086	Rea
842753	132032	Hitka
842753	179237	
842753	287051	
842754	41877	Verrückte Frau
842755	137223	Dancer
842756	122757	Village people (Opera)
842757	330588	Party Girl
842758	121828	Eva
842759	56871	Pan Am Girl
842760	127263	Peggy
842761	197514	Jane April
842762	811	
842763	351381	Mísa
842765	180830	Beruska
842765	275687	Evelynes Tochter
842766	358199	
842766	367099	
842767	179442	Inga L.
842767	208144	
842768	284066	
842769	373560	
842770	237167	
842771	255465	Rose
842772	189443	Marysia
842773	356418	
842774	139711	Bäckerin
842775	37314	Angie
842776	58556	
842777	251454	Jessica
842778	175865	
842779	83068	Sprogskoleelev
842780	26598	Trainer
842781	79792	Prissy
842782	259406	Herself
842783	1179	Liliana
842784	45044	Belinda
842784	89056	Elke
842785	45044	Belinda
842786	127302	Cherubino (soprano)
842786	187898	Consuelo
842787	245993	Woman Walking Dog
842788	22111	
842789	300828	
842790	28867	
842790	50980	Dasdo
842790	51585	
842790	61342	Dorinha
842790	63573	
842790	71224	
842790	113209	
842790	121475	Sulamita
842790	211013	Maid
842790	235244	Patrícia
842790	252768	Nair
842790	338049	Zaira Gelbert
842790	380120	Selma
842790	393006	Manoela Palhares
842790	396886	Maria
842790	400098	Débora
842790	400838	Rosinha
842791	8249	Une touriste
842791	10095	
842791	36673	L'employé du péage
842791	59713	Lola
842791	76032	
842791	149114	La maquerelle
842791	156294	Maman Titi
842791	156317	
842791	216774	La cliente de la librairie
842791	245669	First Victim
842791	306610	
842791	308428	
842791	332192	
842791	345040	Nurse
842791	368736	
842792	294387	
842792	336936	
842793	60466	Lisa
842793	114271	Stephanie
842794	28700	
842794	170553	
842794	384526	Presentator
842794	396874	Corinna (1992-1993)
842795	329167	Seynabou
842796	64449	Nurse
842796	259009	
842797	251589	
842798	19463	
842798	56449	
842798	83890	
842798	283137	
842798	343612	
842799	388567	
842800	396644	
842801	359858	Art Gallery Party Goer
842802	41196	Mickey
842803	383472	
842804	73531	
842806	234237	Greta
842806	253458	Women's Team Member
842807	29807	
842807	199067	
842808	212398	
842808	215433	Carola
842808	233932	Paulina
842808	409957	Zoe Caplan (2000)
842809	207057	
842810	64759	
842810	69136	Woman with daughter
842810	128931	
842810	157854	Lucia Monti
842810	159740	
842810	163169	
842810	202125	
842810	229104	Mutter Pagano
842810	235760	La Scardigli
842810	261495	
842810	265511	
842810	295162	
842810	320322	Caroline
842811	3324	Barbara
842811	155104	
842812	197708	
842813	74485	
842813	219417	
842814	219538	Kitana, Mileena, Jade
842815	162661	
842816	10069	La mère
842816	15079	
842816	72066	
842816	76049	Lil
842816	193480	Maggie
842816	249045	
842817	231731	
842818	306814	Rebecca 3 yrs.
842819	281978	Eine Modistin
842820	380815	Herself
842820	407195	Herself
842821	397018	
842822	32007	
842823	268245	
842824	14036	Herself
842825	402231	Herself
842826	398473	Jennifer
842827	123150	
842828	379899	
842828	396125	
842828	409922	María Teresa 'Mariaté' Carcab
842829	195035	Sarita
842830	371674	
842831	175265	
842831	397593	
842832	51785	María
842832	266410	
842832	294020	
842832	339119	
842833	144406	
842834	14679	
842834	55910	
842834	55964	Serafina
842834	57869	Asuncion
842834	69325	
842834	104055	
842834	149510	Madre
842834	159534	
842834	205148	
842834	207736	
842834	209044	
842834	211150	
842834	234317	
842834	244591	
842834	266845	
842834	301386	
842834	337440	
842834	351781	
842834	356671	Vicenta, criada
842834	357525	
842834	379888	
842834	380957	
842834	381029	Elisa
842834	381720	Dolores
842834	385663	Enriqueta 'Queta' Montijo de 
842834	386116	
842834	389843	
842834	396880	Perfecta
842834	397170	
842834	397593	
842834	401093	Helen
842834	409717	
842834	411633	Leonor
842835	165791	
842835	398457	Bertha
842835	409717	
842836	10331	Bagoas dancer
842836	100519	
842837	397735	
842837	398806	
842837	404815	Lucía
842838	397525	Various
842839	88802	
842840	398915	
842841	63424	Coco Delapino
842841	275762	Pharmacist
842842	78720	Lucille Somers
842842	224205	Mrs. Avenell
842843	225996	
842844	11828	
842845	233433	
842846	153836	Doctora
842847	202017	
842848	77729	Herself
842849	270840	
842850	53131	Passenger
842851	87989	Girl on Street 2
842851	359744	Mistress Bridgette
842852	68430	
842853	96519	Ildebranda Cuffari
842853	108500	Minnie
842853	198888	Lady Macbeth
842855	383206	Mecha
842855	389235	Lucía Ledesma
842855	389780	
842855	396180	María L. Méndez de Ledesma-Gu
842855	400661	Ana Guerrico
842855	401903	Ariadna
842855	401913	Dr. Carla Lucero
842855	403366	Dr. Carla Lucero
842856	94078	Zhenata na Petar
842856	205422	Margarita-Rita
842856	247836	Momiche
842858	107728	Delores
842858	108339	Mary (10-13)
842859	24960	Allison
842859	58672	Mackie/Mac Daniels
842859	80938	Annie Clark
842859	138737	Felicity Pike
842859	157595	Amanda Simmons
842859	167256	Sarah
842859	168633	Alice
842859	256627	Arlene
842859	383072	Ursula von Knabig
842859	403490	Felicity King
842860	124017	Rave Victim
842861	81093	Luisa
842861	139005	
842861	212193	Ortencia Barajas
842861	297102	
842861	387638	Martha Cardona
842862	55006	
842863	121811	
842863	136222	
842863	219740	
842863	289890	Barbara
842863	324699	
842864	146831	Hitlar's Mother
842864	227883	
842864	247060	Dolmetscherin
842865	19768	Announcer (ep. 1), Kids (ep. 
842865	107610	Arisa
842865	122109	Chiriko
842865	122110	Chiriko
842865	122111	Chiriko
842865	122112	Ashitare
842865	122113	Chiriko
842865	135269	Maria da Gorda
842865	135897	Kai
842865	327325	
842865	336577	
842865	387049	Alice Sharome
842865	396440	Caldina
842865	400576	Aisha Clanclan (English versi
842865	404879	Reika
842865	409831	Liz (Season 2)
842866	82545	Monica Rachel
842867	766	
842867	32549	
842867	74069	Herself
842867	93991	
842867	108651	
842867	132017	
842867	150949	
842867	150955	
842867	150957	
842867	150958	
842867	154123	
842867	161970	
842867	166686	Herself
842867	174920	
842867	228001	
842867	236881	
842867	273298	
842867	282963	
842867	349383	
842868	8119	
842868	13221	
842868	14579	Sarah
842868	20125	Anetta
842868	174650	Sofia Roussou
842868	179406	
842868	182448	Melita
842868	244239	
842868	327119	
842869	317686	
842870	5447	
842870	38630	La maestra Brinarelli
842870	108102	Una ragazza al bar
842870	139440	Rose
842870	145247	
842871	17337	Leonor Teixeira
842871	24316	Narrator
842871	28589	Condessa da Rocha
842871	76025	Guida
842871	82767	
842871	89399	Mother
842871	112761	
842871	197155	Ana Mónica
842871	198190	Psycotherapist
842871	213742	Laura de Acanto
842871	260989	Maria
842871	344732	
842871	386124	
842871	399401	Alice
842871	399888	Joana
842871	403429	Margarida
842872	127631	
842873	4915	
842873	14932	
842873	20713	Nurse
842873	53169	Marta
842873	68989	
842873	74156	
842873	103410	
842873	103847	
842873	103855	
842873	115828	
842873	215433	Sonia
842873	237903	
842873	281784	Julia
842873	292766	Ines
842873	343621	
842873	355934	
842873	376839	
842873	383206	Claudia
842873	384119	Amanda (1997)
842873	386783	Nora
842873	387187	Angelita
842873	387778	Dorita
842873	397251	
842873	401914	
842873	402675	
842873	409957	(1998-1999)
842874	199892	
842875	287219	Receptionist
842876	225026	
842876	379833	
842876	383444	Santa Ortigosa
842876	384925	Xiomara Quintana 'La Barreto'
842876	385252	Eliana Ascanio
842876	385599	Eleonora
842876	387101	María Victoria Andueza
842876	387621	Arelys Anselmi
842876	387624	
842876	387666	Yadira
842876	390310	Violeta González
842876	391272	Carolina Sánchez
842876	392847	María Gabriela
842876	396644	Amanda
842876	398807	Hada Marina Fajardo de Piment
842876	401067	Greta
842876	401090	
842876	402136	
842876	404075	
842876	404737	
842876	408389	Verónica Velásquez
842877	238380	
842877	315437	
842878	241605	Armani Woman
842879	24643	Girl at Camp Site
842879	55488	
842879	158854	Monica
842879	162022	
842879	169540	
842879	238016	
842879	260618	
842879	307052	Ananka, the 'sick' girl
842879	319322	Monica Catsabriaga
842880	409358	Erica
842881	58002	Waterfall Girl
842882	42109	
842882	52597	
842882	63950	Nurse
842882	103530	
842882	113224	
842882	183513	
842882	199780	
842882	216862	
842882	221904	
842882	247463	
842882	253663	
842882	269957	
842882	340288	
842883	327801	Achika Masaki
842883	327804	Funaho
842884	265236	
842885	84450	Hochzeitsgast
842886	110217	
842886	123879	
842886	302449	Farita
842887	311213	Ellen
842887	311214	Ellen
842888	40657	Pretty Woman
842890	290074	
842891	34446	Tyra Gävert
842891	39110	Greta
842891	60371	Julia Koerner
842891	120027	Deborah Cohen
842891	154510	Ove's mother
842891	171636	Receptionist
842891	181166	Arianne
842891	185769	
842891	192645	Simone
842891	192659	Mother at cafeteria
842891	192821	
842891	249105	Mrs. Lindström
842891	252190	Disponentens fru (Factory man
842891	259425	Engelchen
842891	304216	Marcelle
842891	307773	Phebe
842891	335363	Rita
842891	355641	Inger Hagmann
842891	379440	Kicki
842891	393578	Bim
842891	402362	Helena
842891	403769	Anna Stern (episode Bländverk
842891	405570	Rebecka Bovallius (season1, 1
842891	408801	Lilian
842891	408805	
842891	409267	Liss
842892	273974	Waitress
842893	410444	Cocktail
842894	339605	Herself
842895	271676	Haruna
842896	8184	
842896	26068	Claire
842896	26345	Helen Womack
842896	27263	Claire
842896	111060	Elizabeth/Cynthia/Maura
842896	115886	Jessica
842896	119437	Dr. Maggie Burroughs/Katherin
842896	134594	Luann
842896	141253	M.A.
842896	143068	Lynne
842896	176481	
842896	196383	
842896	215794	Renata
842896	218180	Medusa
842896	228457	Elizabeth Braden
842896	236905	Laura Harriman
842896	266758	Taylor
842896	279542	Herself
842896	292579	Denise Wokowski
842896	315085	Karen Ravetch
842896	322755	Ariana
842896	328495	Pearl
842896	348027	Stephanie Montgomery
842896	370035	
842896	386395	Le Sage
842896	395023	Melina Paros (1992-1993)
842896	402275	Joanne Meltzer (1996)
842896	403501	Queen Diana (1997)
842897	186680	Karen
842897	192574	Georgina
842897	210732	Nina Simon
842897	346128	Beth
842898	108339	Sarah (9-12)
842898	344474	
842899	20625	Extra
842899	176805	Girl with Gloria
842900	198540	Sara Kettle
842900	231936	Deborah Courtier
842901	103366	Janice
842901	271344	Rene DeCarlo
842902	348178	Il Vecchio
842903	208739	Lenna
842904	282122	Sara
842905	197577	
842906	21201	Crew member
842907	217760	
842908	64013	
842909	137494	
842910	282452	Taj Dealer
842911	163568	Steve's friend
842912	280653	Combat sister
842913	254512	
842914	375895	
842915	12691	
842915	28944	Elvia
842915	163731	(segment "Prova d'amore, La")
842915	196630	
842915	389726	Nicole Delafoy
842916	23615	Flore
842916	202085	Flore/Première Femme more
842917	77580	
842918	14856	
842919	94663	Fante del consiglio deil Diec
842920	11335	Jenny
842920	195274	Savannah
842921	142950	Liquor Store Girl #1
842921	277921	Mickey
842922	102941	
842923	285952	Herself
842924	220703	
842924	272056	
842924	273027	
842925	359742	Overnight Woman
842926	20913	Powell House
842927	316282	Female Police Officer
842928	190825	
842929	107655	Emma
842929	178508	Ida Johansen
842930	303947	Mira
842930	321466	Indignant woman
842930	395394	Sandra Braun (2003)
842930	400567	Bush attendant
842931	351402	Magda
842932	401224	University Cashier
842933	338568	Girl in Field
842934	109087	
842935	290000	
842935	336620	
842936	7330	
842936	338702	Vera
842937	41190	
842937	243381	Membro del gruppo
842938	6408	La chanteuse corse
842939	2003	
842939	55558	
842939	104744	Italian entry (13th place)
842939	270834	
842939	344593	Cristiano's mother
842940	70715	
842941	320125	Herself
842941	320149	Herself
842941	407079	Herself (27 Days, Rotu/Solian
842942	300056	Child #6
842943	212688	Marla (Dr. Grace's Assistant)
842944	353100	
842945	18944	Sophi
842945	20225	
842945	173666	
842945	191419	
842945	247305	
842945	301464	
842945	330358	Ritsa
842945	387561	
842945	389183	Anna Sophi
842945	390037	
842945	410360	
842946	98740	
842947	99971	Carnivel girl
842947	221267	Madeira student
842947	347918	Yearbook girl
842948	259128	Musician
842949	261403	Herself
842951	298599	Zwerg
842952	14103	Tina
842952	26476	Margaret
842952	39714	Julie
842952	44185	Sunny
842952	59104	Carmen
842952	66969	Ghost
842952	82017	J.J.
842952	97351	Angie
842952	128584	Viveka
842952	134596	Diane Delana
842952	138724	Maggie
842952	150761	Lila Petrie
842952	185724	Lily Manse
842952	195365	Lynne
842952	204243	Julie Somers (segment "The Go
842952	206800	Rogue
842952	206801	Rogue
842952	222612	Connie Lawson
842952	228448	Gina Knox
842952	240943	
842952	241598	Anne McGraw
842952	253507	Josie
842952	263365	Carrie
842952	275791	Elaine Loman
842952	276167	Wendy Waters
842952	276634	Susan
842952	308041	Sylvia
842952	308126	Hope
842952	326460	Betty
842952	329586	Sally
842952	355519	Lisa
842952	369462	Rogue
842952	380942	Tigra (Greer Grant Nelson)
842952	383161	Mikla
842952	384894	Soap actress #1
842952	386396	Dino Ptera
842952	386928	Lorca
842952	389791	Satoko Takanashi
842952	394422	Crowley Hamon
842952	397005	Renee La Rouge
842952	397346	Roll
842952	403227	Wendy Waters
842952	404879	Reika
842952	406806	Sizzle/Bambi
842952	411568	Rogue
842953	26	Follies girl
842953	52294	
842953	112437	
842953	291741	Spanish Slave Girl
842954	345784	Herself
842955	1500	Heather Tibbs
842955	2476	Nun
842955	38408	Hahlii
842955	50975	Helen
842955	67838	Alida Zecchi
842955	92875	Princess Kyra
842955	105165	Sherry
842955	191865	Pokey Little Puppy
842955	222300	Additional Voices
842955	252906	Kelly
842955	296847	Gail
842955	316191	Olivia
842955	369486	White House Tour Guide
842955	381069	Petuna
842955	383280	Alex (1989-1990)
842955	384836	Additional Voices
842955	389866	
842955	390961	Hamtaro
842955	392294	Amanda Carey
842955	392964	Yura of the Hair
842955	398464	Faina S. Shinozaki
842955	398513	Additional Voices
842955	398718	
842955	405501	
842955	410869	Mimi Morton
842955	412028	Amy
842956	57854	Tisbe, step-sister to Ceneren
842956	57855	Tisbe
842956	77375	Tisbe
842957	266627	Hooker
842958	44433	Woman in Jail
842959	293212	Ghost mother
842960	293346	
842960	341836	
842961	136476	Agnès
842962	175004	Herself
842963	22618	Lucille Doubie
842964	6299	La governante
842964	14859	
842964	16345	
842964	29580	Beggar Woman
842964	29956	Maria's mother
842964	36612	Stella Florina
842964	48862	
842964	54139	
842964	54242	
842964	55386	
842964	64433	(segment "Galop finale al cir
842964	90754	
842964	91453	Marthe
842964	98643	
842964	104475	
842964	104643	Mrs. Galli
842964	111374	
842964	129000	
842964	158701	
842964	158707	
842964	158852	
842964	197616	
842964	198852	
842964	231600	
842964	234729	
842964	235773	Maid
842964	264311	Anais
842964	265193	
842964	294289	Maid
842964	294349	
842964	301382	
842964	338369	Giulia
842964	344587	Supervisor
842964	351686	
842964	359174	Mavra
842964	374211	
842964	402302	
842965	352855	
842966	126039	Perfume Lady
842967	42150	
842968	24819	Mme Dutoit
842969	73049	
842970	373348	Menica
842971	162704	Kuki
842972	199443	
842972	264255	
842973	337260	La femme du propriétaire
842973	402302	
842974	3025	
842974	9233	
842974	11014	
842974	15156	Lenny's Mother
842974	85210	
842974	131145	
842974	180367	
842974	206127	Kate
842974	294653	
842974	304726	
842974	370184	
842976	1311	Ana (Episodio de Adrián Suar)
842976	215433	Mauge
842976	384775	Lucila
842976	385402	Diana Guzmán
842976	387573	
842976	395255	
842976	398476	
842976	399805	
842976	405917	
842976	406050	Mercedes
842976	407284	
842976	409957	Daniela Arias (1999-2000)
842977	59218	
842977	283031	Femme trio radio-crochet
842978	16396	Herself
842979	269115	
842980	131543	Belly Dancer
842980	403169	Marty
842984	115688	Tennismeisje
842984	136335	Carol
842985	188736	Coaching Eliane
842986	2895	Herself - Best Picture Winner
842986	3053	Herself - recalling her award
842986	25437	Herself
842986	40902	Herself
842986	391835	Herself
842988	46976	
842988	199036	Luciferina, Pluto's daughter
842988	211798	
842988	270035	
842988	285243	
842989	204841	
842990	351269	(segment "Você é Linda")
842991	335689	Kate
842991	375112	Maria
842992	389489	
842992	390444	Herself
842992	390452	Herself
842992	390453	Verónica
842992	390454	Herself
842993	25112	Ariane
842994	349242	Herself
842995	258831	
842996	9889	Naomi Kirschenbaum
842996	64220	Christiane
842997	101867	Marina Salinas
842997	148108	
842997	149511	Jefa Economato
842997	197089	Midwife
842997	205113	
842997	225038	
842997	249910	Amiga #2
842997	384734	Rita Carvajal (2000-2003)
842998	341239	
842999	341239	
843000	396239	
843001	205395	Dancer
843002	233932	Parejas Retiro
843003	41828	Gangster #5
843003	64672	Woman #2
843003	110890	Rosa
843003	119302	
843003	120080	Maid
843003	223871	Roberto's Girlfriend
843003	239636	Juana
843003	376688	Tulilas
843003	384400	Rosaura Martínez 'mamá de Ped
843003	402404	
843003	410477	
843004	376172	
843005	38006	
843005	44681	
843005	44988	Mrs. Landeros
843005	47433	
843005	55514	
843005	61728	
843005	71861	Maria
843005	78223	Consuelo Guerra
843005	87511	Lorca's mother
843005	97689	Teresa Aleman
843005	97899	Rosa Vecino
843005	116209	Mrs. Bellagio
843005	121864	
843005	127534	Aunt Caroline
843005	128760	Miss Rodriquez
843005	135514	Mrs. Garcia
843005	137213	Juana
843005	141137	Mrs. Battaglia
843005	148315	Elena De La Paz
843005	148566	Lorenza
843005	151537	Mama
843005	151636	Clara
843005	154813	Maria
843005	168546	
843005	185543	
843005	186825	Connie
843005	190711	License Clerk
843005	199812	Narrator
843005	223811	Esther
843005	235449	Judge Mercado
843005	258883	Judge
843005	260538	Narrator
843005	260966	Mrs. Harero
843005	274609	Lottie
843005	292793	Judge
843005	297643	Helena Mendoza
843005	303225	Choir nun
843005	303226	Choir Nun
843005	304870	Anna
843005	316745	Flower Seller
843005	327093	Nurse
843005	329952	Mrs. Ramirez
843005	357585	Elena Garcia-Lopez
843005	357954	Betty
843005	366236	Sara
843005	390894	Mrs. Chavez
843005	396663	Josefina
843005	400235	Mrs. Martinez
843005	404282	Carmen Castillo #1 (1985-1986
843005	410300	Sophia Valdez
843007	387922	
843007	388814	Matilde
843007	397029	
843007	410082	Julieta
843007	412124	Gemma de la Rosa
843008	381862	Various
843009	44450	Neighbor
843010	11989	Waffenschieber
843010	258341	Ruth
843010	293706	
843010	312600	Roberta
843010	376023	
843011	9951	
843011	71298	
843011	74652	Sole
843011	135283	Azucena
843011	236422	
843011	250795	
843011	281295	
843011	381029	Flora
843011	387817	Fátima Linares viuda de Peñar
843011	392960	Maximiliana Limantur de Roldá
843011	393986	
843011	396631	Irene
843011	397021	Malvina del Olmo
843011	398469	Celia
843011	398522	
843011	401698	Teresa
843011	403741	Dulcina
843011	403752	Verónica Del Castillo viuda d
843011	409719	Fiscal Zoraida Zapata
843012	74652	Sole
843012	409921	Violeta
843013	118139	Gina
843013	185418	Annunciata
843014	70624	Hermana de María Elena
843015	269831	Kellnerin/Waiter
843016	390446	Herself
843017	64672	Alicia
843017	80189	Xóchitl
843017	110890	Gloria
843017	200542	Morgana
843017	239636	Dolores
843017	252764	Mexican Girl #1
843017	287839	Blanca
843017	287908	Maria
843018	293966	Claudia
843019	252764	Mexican Girl #2
843020	12083	Novia de Jesús
843020	33727	
843020	86708	Dependienta floristería
843020	221963	Secretaria rector
843020	225079	Fernanda
843020	341780	Seven-Eleven
843020	384795	Virginia (1998-2001)
843021	1550	Kellnerin
843021	156686	Maria Loeser
843021	281749	Alexandra
843021	391604	Ariane May (2002-2003)
843022	56295	María José (episodio 'Con car
843023	813	
843024	367083	Running Girl
843025	244821	Herself
843026	54913	Fighter
843027	132983	Claude
843028	368953	Little Girl
843029	57778	Chica empaquetadora 2
843029	169794	Spanish Woman 3
843029	196709	
843030	87175	Katrina
843030	161460	Christina
843030	190776	Zarena
843030	194814	Asia
843030	203329	Zarita
843030	354851	Young Teresa's mother
843031	83702	
843031	206312	
843031	249852	Carolina Toledo
843031	341649	
843031	341650	
843033	281414	Terry
843034	119581	Jesse's Agent
843035	285313	Susan at Five
843036	80481	Diner Waitress
843037	69176	Herself
843038	15861	Courtney
843038	26422	Herself
843038	61768	Drill Girl
843038	79529	Francesca
843038	99311	Artsy Girl
843038	251747	Herself
843038	257508	Violet Wertsema
843038	280084	Herself
843038	329323	Fan
843039	118900	Herself
843039	280084	Herself
843040	69176	Herself
843041	15861	Katie
843041	24506	Donna
843041	33059	
843041	45639	Nancy
843041	78941	Carrie
843041	104681	Rusty's California Girl
843041	128236	Hostess Jillian
843041	129118	Alex
843041	141387	Band Performer
843041	141533	Lenora Clayton
843041	164432	School Teacher
843041	191513	Longnecker
843041	192278	Venus
843041	195313	Mary Ellen
843041	232471	Pamela (segment "Bishop of Ba
843041	266647	Susie
843041	280084	Herself
843041	311284	Cheryl Dickman
843041	317341	Murphy the Biker
843041	388475	Barbara DeVilbiss (1986)
843041	399676	Tess Harlow
843042	78157	Herself
843042	139199	Newscaster
843042	342384	Anchorwoman/Herself
843043	3352	
843044	354683	Tina Po
843045	164628	Woman
843045	169135	Mistress
843045	248058	Lilian
843046	117091	Waldorf Singer
843047	394750	Aleksandra Fyodorovna
843048	82320	
843048	106679	Ayten
843048	140722	Sabah
843048	240521	The Indian Girl
843050	71261	Ama
843052	23266	Jenny
843054	103180	Sola
843054	170881	Chie Hirada
843054	175724	Garasha Hosokawa and Saizo
843054	176538	Matilda Anjan
843054	382648	Additional Voice
843054	384080	Seed Medical Tech 2, Woman At
843054	392964	Water Goddess
843054	394422	Matilda Anjan (English Voice)
843054	398464	Reiko Ichikawa
843054	402863	Kodachi Kuno (season 6-7)
843054	405501	
843055	271176	Niki
843056	269239	Zoraida
843057	18291	
843057	20366	
843057	28088	
843057	53203	
843057	118704	
843057	140493	
843057	171969	
843057	180173	
843057	202415	
843057	207038	
843057	248312	
843057	382126	Andromeda
843058	4525	Mujer de la limpieza
843059	71601	Herself
843059	248541	Dependienta optica
843060	376688	Niña en la playa
843061	117278	Tavern Singer
843061	126494	
843062	163728	Zulma, schiava confidente di 
843063	26963	
843063	183839	Zetta
843063	211600	Frenchie Christine
843063	300119	Zela, the Half-Lady
843063	302003	
843063	366161	
843064	245787	Jadwiga Godliewska, blond div
843065	256792	
843066	223768	Annie
843067	168299	
843067	314700	Drew
843068	97449	Si Mahmoud-Isabelle
843069	14315	Rika Zaraï
843069	54156	
843070	156950	
843071	79865	The Children
843072	44292	Girl
843072	130022	River Squaw
843072	331333	Switchboard Operator
843072	372499	Dolores
843073	301577	Enfermera
843073	339117	
843074	287266	
843076	270855	
843077	288218	
843077	343222	Roya
843077	349773	Taraneh
843077	409899	Golnaz
843078	20679	Le professeur de danse
843081	341067	
843082	75940	Boarder
843082	133185	Franek's Sister
843082	216593	
843082	321766	
843083	88507	
843083	101235	
843084	41242	Wife
843085	316298	School Child
843086	1429	
843086	99823	
843086	203775	'Z'
843087	10414	
843087	108522	Restaurant Patron
843087	150891	Vasser Rebel/Airline Passenge
843088	135345	Hélène
843088	251093	Mezzo-Soprano
843088	264018	Koncakovna
843089	103538	Natalia
843090	315720	Aurora
843090	335791	Carrie
843090	382784	
843090	389501	Lisa Leeper (1994-1995)
843090	393415	Nettie (1996-1997)
843090	405494	Roxie Whatley (1994)
843091	4661	Florcia Slowikowna
843091	6094	Mrs. Futter
843091	18157	The Governor's Uglier Sister
843091	75990	
843091	89482	
843091	95627	
843091	179184	Accompanist
843091	181361	Gossipy Woman in Courtroom (B
843091	197128	
843091	247351	Townswoman
843091	247553	
843091	247592	
843091	265335	Michalesia
843091	316436	
843091	321766	
843091	323285	Zakopane Hotel Homely Maid
843091	338886	Homely Party Guest Behind Pil
843091	341067	
843091	341165	The Aunt's Friend
843091	343299	
843091	358083	
843091	373524	
843091	373548	Veronika, the Baron's houseke
843091	375439	Kumoszka
843091	375469	Michalesia
843092	33268	
843092	84639	
843092	201191	
843092	258850	
843092	353821	
843093	47259	
843093	113615	
843093	184288	
843093	197453	
843093	311063	Isa
843094	66880	Princess Kinzevich
843094	67499	
843094	69217	
843094	69931	
843094	71275	Patimat
843094	90068	Elvira
843094	102615	
843094	125360	Zosima Munoz
843094	134317	
843094	197572	
843094	198493	L'attrice, amica di Brera
843094	211304	Francesca
843094	216048	Matilde
843094	251619	
843094	278892	Rita da Cascia
843094	293437	Vivalda
843094	301359	
843094	309250	Carlotta
843094	328695	
843094	344362	Cassandra
843094	344436	Isa Fleur
843096	56929	Seconda normale
843097	340486	Chambermaid 1
843098	33986	Sonia
843098	315096	Abusive mother
843098	389094	FBI Agent
843099	180253	
843099	304159	Irena
843100	134315	Clerk
843101	41586	Herself
843101	167572	
843101	239887	
843101	247991	
843101	306911	
843101	335058	Townspeople
843102	246042	Ruta
843102	320508	Anna
843103	274332	Dancer
843104	344344	
843105	63322	
843106	119256	Paula
843107	183215	Rose
843107	363764	Tracey
843107	386963	Claudia Irving (2001-2002)
843108	78311	
843108	202195	TV Reporter
843108	224838	Nicole Travers
843108	231090	Florence Rubin
843108	237783	Dinner Guest
843108	375798	Car Radio Newscaster
843108	380713	Natalie Bannon Hughes #2 (198
843108	400236	Lee Dennison Halpern Sanders 
843109	404264	Hilary
843110	86427	Jewish classmate 2
843111	303965	Tattoo Model
843112	285099	
843113	360635	
843114	234260	Radica
843115	100790	
843116	1019	Newstand woman
843116	115300	Veronica
843117	99688	Host
843119	352814	
843120	389286	
843121	249335	Greed
843122	296517	
843123	42005	Pail
843124	85216	
843124	373784	
843125	7338	
843125	8117	
843125	10959	
843125	18224	
843125	86075	
843125	100553	
843125	122266	Mother
843125	136482	
843125	162121	Mrs. Mavroyialouros
843125	163025	
843125	173666	
843125	174578	
843125	174631	Mrs. Maltezou
843125	179740	
843125	181389	Popi Alexiou
843125	188887	
843125	212593	
843125	239094	
843125	239167	
843125	239923	
843125	240080	Aggela
843125	317097	
843125	323075	
843125	329279	
843125	341178	
843125	354475	
843125	379680	
843125	385636	
843126	162040	
843126	277587	Suora bidella
843127	224192	Hula Hoop Girl
843128	80959	
843129	117424	Dancer
843130	252698	
843130	254878	Ilyas' Mother
843130	282723	Archimidis'mother
843130	338206	
843130	379412	
843130	387716	
843130	394572	Katerina
843130	397608	
843130	402344	Kalliopi
843130	406324	
843130	409807	
843132	153335	
843132	221680	
843133	289024	Les Presages Dancer
843134	67466	Imperial Lady
843134	176116	Zohra
843135	383358	Véro
843136	106988	Dominique Bredoteau Woman
843137	245184	
843138	276196	Alice (segment "Aart and Joht
843139	252905	Dancer
843140	81589	Piano player
843140	130458	Tour Guide
843140	139170	Charlotte
843141	12806	
843141	24862	
843141	35931	Dudkina
843141	83161	
843141	94183	
843141	95579	School Teacher
843141	134757	Barbara Kabanova, her sister-
843141	173691	Mrs. Dorofeyev
843141	258658	Natasha
843141	268186	Yefrosinya, mistress to Alexe
843141	268187	Efrosinya, mistress of Alexei
843141	299555	
843141	349292	Natalya, the washer-woman
843141	349887	
843141	350806	Malanya
843141	357259	
843141	375673	Zosya
843142	35930	
843142	263938	Dasha (voice: 'Ten')
843143	384590	Herself
843144	86612	
843145	132129	
843147	219474	Simon
843148	2607	
843148	187800	
843148	236072	A young girl on the barricade
843148	262161	Tonya, spy
843148	265400	Hilda
843148	356921	
843148	357233	
843148	357461	
843148	374771	Yanina, Knukke's bride
843149	85588	
843149	101894	Novicia
843149	104060	
843149	163880	Herself - Presenter: Best Art
843149	395328	
843150	194876	Flo
843150	266191	Receptionist
843150	266708	Sal's Wife
843150	316606	Gloria
843151	288953	Tania
843152	147177	
843153	344047	Waitress
843154	133450	Sexy Lion Executive #2
843155	386930	Various
843156	84421	
843156	104429	Mitya's mother
843156	196338	
843156	202306	Wife (segment 2)
843156	349344	
843156	371425	
843156	374838	Katya
843157	162758	
843158	186246	
843159	341758	Mrs. Parker
843160	232676	Museum Patron
843161	232676	Gallery Patron
843162	265656	
843162	283751	
843162	375424	
843163	100193	Bag Lady
843164	27841	Store owner
843164	271170	Passenger
843164	371374	Bread Lady
843165	147715	Herself
843166	244291	Girl
843167	328511	
843167	349248	
843168	181591	
843169	392790	
843170	353083	
843171	202585	Bozenka
843171	225593	
843171	357652	Jana
843172	39865	Silencio
843172	230047	
843173	10556	
843174	229589	
843174	303743	
843175	79234	
843176	23535	
843177	49233	Frances
843177	306134	
843177	322847	El Diablo
843178	388065	Ana
843178	402685	
843179	7884	Second Tribe
843180	248483	
843181	248483	
843182	248483	Herself
843183	79049	Vampire
843184	26151	
843185	15026	Les petits
843186	94244	Une spectatrice
843187	344118	Cellist
843188	57461	
843189	290029	
843190	184640	
843191	49828	Rat Woman
843192	190324	Mall Person #2
843193	25103	
843194	52630	
843194	225033	
843194	255059	
843194	341080	
843195	28879	Madame
843196	96382	Mujer encinta
843197	215611	Miss' Cousin
843198	402999	Herself/Road Rulers
843198	403487	Herself/South Pacific (2003)
843199	407304	Sarita
843200	241145	Lily
843201	3388	Concha
843201	52036	Mujer en Cantina
843201	57711	Areusa
843201	88057	Tatula
843201	104079	Profesora Bonilla/Godzilla
843201	193492	
843201	228771	
843201	250809	Pioquinta
843201	263069	
843201	302131	
843201	379179	Yolanda
843201	383145	Profesora Bonilla a/k/a 'Godz
843201	383665	
843201	391523	
843201	398452	Delfina
843201	398455	
843201	400664	
843201	401088	Rosa
843201	405414	Kapo
843201	408211	
843202	80695	Hooker with Aces
843203	276085	Big Tim Party Girl
843204	391506	
843205	356597	
843206	200993	Nina's Sister
843207	180821	Zine
843208	94395	
843209	212384	
843210	31510	
843210	35089	Sheena
843210	36126	Nemali
843210	62651	Priya
843210	84801	Satyavati
843210	94487	
843210	145432	
843210	166483	
843210	220777	Special Appearance
843210	223222	Shikha
843210	226102	
843210	268091	Ujala
843210	272904	Meghana
843210	287093	
843210	297432	
843210	306724	
843211	25926	Sheetal
843212	29670	Harem
843213	74234	Ella
843213	137262	Waitress
843213	221307	Can-Can Girl
843213	248318	Company 'C' Girl
843213	285660	Hedy Lamarr double
843214	113658	Celebrant
843215	34493	Stewardess
843216	379910	Elissavet Klavdianou
843216	387416	
843217	192011	Holly
843218	192011	Jennifer
843219	404577	Dikter
843220	229074	
843221	190729	
843222	12809	Sinka
843222	48758	
843222	63603	Polina
843222	176043	Lyuba
843222	198173	Lena
843222	238317	
843222	294765	Olga
843222	357449	Mazha
843222	381631	Sekretarsha
843223	241578	Sam Mills
843224	67732	Girl on motorcycle
843225	228493	Kimberly
843226	23345	Prchalová
843226	58132	
843226	82538	Landlady
843226	166442	Mistress of Viktor
843226	180573	
843226	180773	Adam's mother
843226	188869	Gabriela Horvátová
843226	227773	Hrubá
843226	266216	Queen
843226	282758	Bohmova
843226	301786	Hilda
843226	306314	Cook
843226	357745	Monika
843226	374074	Grundilka
843226	376554	Cook
843226	387059	Ljubocka
843226	399902	Sedová
843226	404627	Laundress
843226	408865	Evelýna Sekotová
843227	197128	Julcia, Anna's sister
843227	323285	
843227	344325	Magda (serving wench)
843227	373548	
843228	231358	Mania
843229	181360	
843230	30497	Mariola
843230	36419	
843230	77480	Lukowska
843230	131754	Magda Malinowska
843230	176545	Marika
843230	183153	
843230	197086	
843230	208751	
843230	216775	
843230	220685	
843230	231651	
843230	234268	Ksawunia Woynarowska
843230	236159	Bozenka
843230	238180	Matka Ani
843230	247354	Basia
843230	255450	Katarzyna Zaslawska
843230	282768	Kasia
843230	311837	Young girl
843230	317818	Malgosia
843230	322043	Bronko's wife
843230	388834	Grazyna
843230	398874	Klara (2000-2001)
843230	402360	
843230	404216	Danuta Jankowska
843231	352517	Model
843232	208725	Jadwiga Foltasiówna
843232	262185	
843232	284077	Lt. Krystyna Borowicz
843232	358683	Teresa Karczewska
843232	373425	Teresa
843233	32572	Basia, the Ruczynski maid
843233	49662	
843233	164755	Jadzia Jedruszewska
843234	381821	Ensemble (1970)
843235	106121	Model #5
843236	317481	Hannah Hover
843237	289372	Featured Extra
843238	323910	
843239	196571	Luna
843240	111096	
843240	225433	
843241	140039	Oum Raji
843243	66219	
843244	269544	
843245	7713	Mother
843245	36599	
843245	174413	Mother
843245	298658	
843246	288289	
843247	130354	Officer Geraldine Fusco
843247	275157	
843248	297098	Neighbour
843249	1699	Vocals
843249	24655	Vocals
843249	64341	Zazie
843249	101270	Herself
843249	101271	Vocals
843249	101272	Vocals
843249	101273	Vocals
843249	116411	Herself
843249	164183	Jeanne/Hélène
843249	168955	Herself
843249	249818	Vocals
843249	291411	Herself
843249	291412	Herself
843249	307530	Vocals
843249	374209	Vocals
843249	374210	Vocals
843249	376593	Vocals
843250	233262	Djevojcica 1
843251	129519	
843252	192432	Senora Garcia
843253	361256	La Flor
843254	160306	Herself
843255	14884	Dressmaker in flashbacks
843255	219572	Ragazza al banco dei vini
843255	326536	Moglie di Silvano
843256	303208	Herself
843256	388055	Herself (#Winner 1998)
843257	183030	
843258	398356	
843259	308153	
843260	258631	
843261	322138	
843262	374419	Freeda
843263	186384	General's Wife
843264	305710	Student
843265	229186	
843266	252345	
843267	375443	Haber's Mother
843268	375443	Haber's Daughter
843269	371357	
843270	33673	
843271	8416	Paulina Zawislakowa
843271	75964	
843271	158988	
843271	179198	Mania Pawlak
843271	181408	Perzchalowa
843271	213812	
843271	231619	Mania Pawlak
843271	231646	Wanda's Friend
843271	266322	
843271	286652	Mania Pawlak
843271	343339	Falkoniowa
843271	375498	Nurse
843272	118100	
843273	124908	Interpreter
843274	150051	
843274	177598	Elf , Harpy
843274	208540	
843274	252379	Herself
843275	132712	
843275	189063	
843276	259912	
843277	259912	
843278	95471	Villager
843279	34168	
843279	346269	Boat Dancer
843279	373698	
843279	382029	Pevacica na brodu
843280	274461	Reporter
843281	201359	Keva, spremacica
843282	144459	
843282	354325	
843282	409330	
843283	57936	Herself
843283	57942	Vera
843283	102784	
843283	257583	Herself
843283	257653	Herself (Miss November)
843283	257842	Miss October 1994
843283	295375	
843283	313345	
843284	163263	Rita
843285	25425	Woman in Green Hat
843285	36586	
843285	95952	Marys, Wacek's Aunt
843285	121136	Mrs. Bowary
843285	146534	
843285	174880	Brothel Owner
843285	179183	Brewka
843285	180009	Halina
843285	357962	
843285	373706	
843286	300452	Li Wen
843287	75575	Zuan
843288	41767	
843288	41769	
843288	74573	
843288	222049	(segment Amor y yoga)
843288	231266	Mrs. Wilson
843288	233949	
843288	349471	
843289	399625	Alice
843290	21448	Mother at Table
843290	87177	Herself
843290	160449	Herself
843290	222610	Herself
843290	252451	Herself
843291	6492	
843291	12022	
843291	13010	
843291	13085	
843291	14757	
843291	19492	
843291	25099	
843291	27986	
843291	30745	
843291	59786	
843291	70639	
843291	71157	
843291	74507	
843291	74533	Cecilia
843291	80329	
843291	86095	
843291	102190	
843291	103870	
843291	111317	Sanjuana González
843291	132652	
843291	132672	
843291	139912	
843291	149235	
843291	151795	
843291	152643	
843291	159035	
843291	160893	
843291	162304	
843291	164881	
843291	169779	
843291	169783	
843291	171496	
843291	192933	
843291	192992	Don~a Marina, La Malinche
843291	197972	
843291	206743	
843291	212431	
843291	213755	
843291	234382	
843291	252751	
843291	272993	
843291	281619	
843291	285471	Sagrario Rivero
843291	317710	
843291	334681	
843291	357910	
843291	371680	Matilde Pelaez
843291	371700	
843291	371701	
843291	373880	Marilú
843291	376662	La novia
843292	45608	Lana Tisdel
843292	45609	
843292	196808	Naomi
843292	198897	Samantha/First Witch
843293	208646	Nelson's daughter
843294	94937	The Wives
843295	131347	Woman in Bar
843295	235541	Maggie
843296	20358	
843296	62312	
843296	65574	
843296	77307	
843296	98083	
843296	164330	
843296	179781	Shirin
843296	254832	
843296	278805	
843296	285970	
843296	299252	
843296	303601	Rachel
843297	393841	Herself (1993-1994)
843298	400342	Herself (Finalist #9)
843299	231711	Harre
843300	23569	Midwife
843301	152444	
843302	9744	Nomi
843303	26293	Nurse #1
843303	69258	Barbara
843303	92486	Mrs. van Crisco
843303	169918	Susie Hale
843303	330503	Nancy Rourke
843303	358708	Gina
843304	35688	Mrs. Weiss
843304	36178	
843304	85332	
843304	98741	Sajjad's Mother
843304	135668	
843304	202159	
843304	204908	
843304	246896	
843304	271711	
843304	281478	
843304	297162	
843304	308495	
843305	210158	
843305	259069	
843305	320236	
843305	375384	
843305	375477	
843306	375477	
843307	155533	Niki
843308	124131	Irene
843308	132159	
843308	205455	
843308	213841	
843308	246898	Una (segment "Noc bez sna")
843308	272559	
843308	318154	
843309	147464	Tea
843309	197224	
843309	259936	
843309	260356	Beautiful Nun
843309	265686	
843309	328505	Jadranka
843309	357203	
843309	373857	
843309	375395	Tala
843310	140209	
843310	312869	
843310	325859	Isolde
843311	372600	Jean Kennedy
843312	8942	Blonde Frau
843312	15917	Dr. Bamberg
843312	17016	
843312	24105	Karin Eisner
843312	26311	Betti Ley
843312	33116	Frau Berger
843312	43334	Helga Meyerdiercks
843312	98426	
843312	115457	Sabine Halm
843312	134800	Claudia
843312	137057	
843312	137860	Dr. Hamm
843312	144333	Frau Kaiser
843312	159257	Dr. Fasching
843312	164902	Herlinde
843312	170367	
843312	173116	Oma Crash
843312	186606	Gisela Straub
843312	188766	Gudrun
843312	190315	
843312	193482	Frau Schuckert
843312	207059	
843312	219268	Frau Niering
843312	219674	Adele
843312	220851	Mrs. Neuhaus
843312	229160	
843312	229169	
843312	239024	
843312	259563	
843312	261692	
843312	286172	Roswitha
843312	290202	Reinigungschefin
843312	290255	Margot
843312	293415	Veronika Voss
843312	306435	
843312	317280	Dorothee Mewes
843312	325511	Jutta
843312	325538	Juwelierin
843312	325755	Monika Hanke-Helmhövel
843312	325857	
843312	325884	Silvia Blankenberg
843312	325919	Marion von Pahl
843312	328546	Elke
843312	352411	
843312	356882	Frau Wolfermann
843312	357780	Melanie's Mother
843312	376265	Rosa Richter
843312	376579	Dame an der Tür
843312	381710	Erika Schwarz
843312	388165	Felicitas Frey
843312	389957	Lieselotte Oppermann
843312	391359	Lilli Marleen
843312	392788	Dr. Karla Spiehweg
843312	394653	Elfriede Knapp
843312	403795	Ellen Vondrowski
843312	404422	Lena Bandmann
843312	409411	Oberin Reuter
843312	409588	Frau Schmitt-Oedenthal
843313	172840	
843313	196332	Christa
843313	318746	Mädchen in Disco
843314	325437	Frau Baldauf
843315	142631	
843315	180972	
843315	310940	Detta
843315	390938	Philis North
843316	66596	Child
843317	270589	Come (band member)
843318	26077	Redhead
843318	58773	Nicky Quade
843318	145637	Stacy
843318	201643	Herself/Nicky Quade
843318	272031	Claire
843318	280081	Marci
843318	295826	Ellen
843318	313109	Molly
843319	198934	Larbi's Niece
843320	340827	Lip-Syncher
843321	198231	Teacher
843322	5126	Isot Kilian
843322	11904	Frau
843322	325951	Sabine Schmidt
843322	390703	Elina
843323	42184	Angelica
843324	12871	Hannah
843324	80461	Celeste
843324	120405	Countess
843324	142338	Dora
843324	180556	Kote
843324	188937	
843324	264229	
843324	288759	Barbora
843324	301047	Helena
843324	389119	Katja Weißgerber (1991-1993)
843325	74782	
843326	37189	Professor
843326	41155	Mrs. Selden
843326	41188	Dry cleaning operator
843326	46352	Judge
843326	127100	Jailer
843326	153187	Mrs. Hines
843326	154943	Emmy Presenter
843326	176919	Miss Slauson
843326	214735	Mrs. Grass
843326	241630	Mavis Porter
843326	242585	Sylvia Stein
843326	243231	Landlady
843326	260966	Woman in Hospital Bed
843326	296552	Mrs. Henderson
843326	297955	Cashier
843326	336788	Restaurant Hostess
843326	345650	Aggie
843326	353418	
843326	362555	Banquet Receptionist
843326	406083	Mrs. Griffin
843327	91881	Flight Attendant
843327	139588	Christina
843328	52318	Bikini Girl #1
843329	6719	Herself
843329	6720	Herself
843329	6732	Dr. Joyce Dic
843329	7732	
843329	8017	
843329	11150	
843329	20987	Donna
843329	34785	
843329	34907	Herself
843329	35739	Movie producer
843329	36395	
843329	38733	
843329	43477	
843329	43479	
843329	43481	
843329	43482	
843329	46220	Angela Jamieson
843329	47141	
843329	50174	Tina
843329	56708	
843329	60284	
843329	72778	
843329	80061	
843329	81797	
843329	81835	
843329	81839	
843329	89893	
843329	89894	
843329	91840	
843329	97125	
843329	102425	Silkana
843329	111797	
843329	113316	
843329	113318	
843329	156958	
843329	169365	
843329	169366	
843329	189067	
843329	192208	Wicked Step Mother
843329	232950	
843329	244377	
843329	251866	
843329	265387	
843329	266176	TV reporter
843329	272415	
843329	290981	
843329	295580	
843329	295613	
843329	295807	
843329	296055	Herself
843329	297952	Wife
843329	323199	
843329	342418	
843329	342419	Paint Brush
843330	145609	Sheryl
843330	247033	Doctor #2
843330	265171	Isabella
843330	282919	Mrs. Connally
843330	347858	Frances
843331	308084	Dancer #3
843332	382211	Astrid
843333	409572	
843334	338708	Singer at the restaurant
843335	56545	Herself
843335	163208	Linda Grant
843335	281913	Young Roseanne
843336	4489	Geetha
843336	17132	Extra talent
843336	58592	
843336	97793	
843336	141830	Sehti
843336	213054	
843336	216514	Vathsa Koshy
843336	220883	Savithri
843336	250817	Kumaran's Wife
843336	355546	Vathsala
843337	110211	
843339	125478	
843340	232372	Nomad Dancer
843341	1400	
843342	238213	Dana
843343	1057	Gospodja Rajkovic
843343	7285	Ms. Jones
843343	25727	
843343	35833	
843343	43019	
843343	48756	
843343	55200	Ajsa
843343	72161	Justina
843343	77100	
843343	81626	Slobodanova majka
843343	84787	Ruth Alakalaj
843343	94219	
843343	95454	
843343	102627	Perina zena
843343	124822	
843343	126292	Sofija
843343	134763	Vesnina majka
843343	137715	Marija
843343	147033	
843343	177937	
843343	181473	Tiosava Mirovic
843343	211887	
843343	213658	Albanka
843343	213787	
843343	229220	Stana
843343	229568	
843343	229570	Jelena Protic
843343	229749	
843343	229926	
843343	230098	
843343	234260	Zana
843343	238010	
843343	238193	Marica Stosic
843343	239465	Cvijeta
843343	242639	
843343	242640	Branka
843343	242895	
843343	245855	
843343	256135	
843343	258640	
843343	261226	
843343	261233	Jelena
843343	261342	
843343	261353	Anka
843343	261941	
843343	265644	
843343	266172	
843343	271747	
843343	278341	
843343	288346	
843343	289328	Jasna Miric
843343	314436	
843343	318980	
843343	322643	Margita
843343	335926	
843343	339055	Lila
843343	349684	Zena iz filma
843343	350665	Doktorka Markovic
843343	357555	
843343	375341	
843343	375397	
843343	381239	
843343	399958	
843343	401281	Ana
843343	405506	Velizarova majka
843344	86982	Baby's Mother
843345	64431	Sirena Montoya
843345	64979	Antonia
843345	100517	Antonieta
843345	102237	Romina
843345	118662	Antonia
843345	247296	Carmen Montes
843345	305652	
843345	322229	Antonia
843345	387273	Verónica Aliaga
843345	388648	
843345	392992	
843345	401481	Asunción del Solar
843345	402411	
843345	403674	María Jacobé
843346	108339	Liddie (5)
843346	145052	Clyde
843346	158343	Kid
843346	344474	
843346	393173	Rosemary Kennedy (age 6-9)
843347	14349	Marine
843348	260362	Daphne
843349	109971	Chubby Checker Member
843350	296197	
843351	116041	Groupie
843352	91027	Nina
843352	112236	Sie
843352	189817	Jana
843352	293869	Melanie
843352	383831	Herself
843353	281700	Barbara
843353	316609	Susan
843354	338472	Aisha
843355	263727	
843356	14132	Girl at Party
843356	46695	Laura Dannon
843356	49977	Rose
843356	112246	Michelle
843356	208527	Hoop
843356	258887	Trish
843356	270144	Leigh Franklin
843356	325058	Peg
843356	380041	Glenn
843356	387989	Laynie Hart
843356	404864	Dot Wilde
843357	179795	
843357	209280	
843357	244214	Zatvornichka
843357	374864	
843357	411930	
843358	196370	Teased Girl
843359	277947	Gabrielle
843360	23345	Hanka
843360	171531	Nurse
843360	171545	Andela
843360	181644	Pivonková
843360	224959	Mása
843360	245906	Traude
843360	357904	Marcela
843361	17315	
843362	339445	Walking Woman
843363	312534	
843364	11869	
843364	119722	Frau Korassen
843364	236039	
843364	325390	Anna Bode
843365	178549	Klein Erna
843365	310430	Familie Wuest
843367	52066	
843367	71368	Isabel
843367	100723	Teresinha
843367	169247	
843367	183511	
843367	234642	Joaninha
843367	307201	Maria Alice
843368	100723	
843369	129432	Sister Maria
843369	134598	
843369	167158	Tania, la fille aux chiens
843369	205643	
843369	242353	Madeleine
843369	258250	
843370	52311	Betty
843370	102591	Elizabeth Kovacs #1
843370	271001	Mickey Foley
843370	329954	Swan Babitt
843370	393964	Sherry Lubbock (1988-1990)
843371	259405	Maxine Kennedy
843372	27183	Cali
843372	223819	Waitress
843372	297632	Abby
843372	305919	Big Mama
843373	35257	Bernice
843373	157184	Allison
843373	206444	Waitress
843373	221136	Yelena the Maid
843373	287727	Teacher
843373	303905	Dominatrix
843373	339405	
843373	397054	Teresa
843374	178608	Frau Muck
843375	186897	Frau mit Messer/Woman with Kn
843376	311275	Hortensia Morono
843377	254439	
843378	311275	Yoruba Priestess
843379	26727	Mother
843379	277167	Herself
843379	381446	Mother
843380	102996	
843380	239420	
843380	252794	Seynab
843380	344304	
843381	210367	Madlen
843382	346390	Monique
843383	262256	Nurse Susanne
843384	216864	
843385	16334	
843385	31017	Olga
843385	33236	
843385	38351	
843385	91262	Andrea Baureiss
843385	116017	Stewardess Janet
843385	122596	Eva Bernhardt
843385	134815	Adele Brinton
843385	136929	Mari
843385	138508	
843385	199753	
843385	216294	Monika Lohmeyer
843385	229166	
843385	240002	Irene
843385	253943	Dolly
843385	254345	Anna
843385	283064	Lucy Gessler
843385	290096	
843385	290159	Christina
843385	290181	Frieda
843385	290594	Frau Epp
843385	290650	Inge Gaines
843385	324636	
843385	325387	Petra
843385	325503	Christa
843385	325623	Marion
843385	325700	Christa Rako
843385	325793	Frau Franzius
843385	325808	Ursula von Lieth
843385	325952	Frau Condorf
843385	343496	
843385	347039	Sibylle
843385	366595	Evelyne
843385	367137	
843385	369401	Judy
843385	380377	
843385	411096	Diana Stewart
843386	230087	Maxi
843387	56545	Herself
843388	107969	
843388	225260	
843388	281665	Frau Färber
843388	313657	Doctor
843388	325524	
843389	325673	
843390	311805	Mici Radován
843391	97946	Wally Neuzil
843391	124896	Schwester Siglinde
843391	254989	Teacher
843391	393878	
843392	349242	Herself
843393	309445	
843394	351381	Julka
843395	20625	Extra
843396	300180	Other Audition Dancer
843397	347710	
843398	311887	
843399	137146	Évi
843399	268258	Girl with Diabolo
843399	377797	
843400	110189	Harem Girl
843400	223709	Gloria
843401	141667	Russian lady
843401	150298	
843401	215862	Russian Woman
843401	240470	Woman
843401	276713	Judge's Wife
843401	291864	Kirkwood's housekeeper
843401	306399	Peasant Woman
843401	346024	Flower Woman
843401	346240	Woman
843403	77590	Herself
843403	77624	Jessica
843404	365988	Weasel Operator
843405	110170	Birthday Party Guests
843406	225531	Lola's friend
843407	304149	
843408	85616	Monique Martinez
843409	149745	
843410	225725	II. Marjana
843411	12889	Dienstmädchen bei Eickhoffs F
843411	165362	Tina Kluis
843411	186934	Frau des Sarghändlers
843411	324791	Prinzessin
843412	75975	Basia Lason
843413	102996	
843414	397302	
843415	187926	
843415	355616	
843416	254765	Maia
843417	202582	La visiteuse
843418	58490	Rita Bliss
843418	121386	Newscaster
843419	101547	Prostitute
843420	317870	
843421	332832	
843422	46210	
843423	97438	Ruth Krämer
843424	3353	Madre de Eneko
843425	345785	Zierele [or Tsirl] Melnick
843426	1747	Herself (Pregame Show Hostess
843426	3973	Anchorwoman
843426	171485	Herself
843427	240819	Rosa
843428	322403	Fiona
843429	89643	Woman in the hotel lobby
843429	390180	
843430	150831	Noren Badcliffe
843430	194028	Anne
843430	203177	Henriette
843430	331490	Fashionable Girl
843430	402743	Julie Chapman
843431	41198	Goth Girl
843432	192911	
843432	409109	Ana/Fana
843433	16297	Bernarda
843433	45713	
843433	229008	
843433	232311	Stephanie
843433	263056	Girl in Cinema
843433	265657	
843433	267667	
843434	114648	Grandma
843435	30062	Barfüßele, Die Mündel
843435	42152	Marja
843435	86290	
843435	126179	
843435	156626	
843435	189800	
843435	193498	
843435	225119	
843435	317574	
843435	325187	
843435	376484	
843436	162144	Anya
843436	351800	
843437	39012	Devuskha na parakhode
843437	224657	
843438	110075	Puppet
843438	339324	
843439	356089	Brona
843440	57211	
843440	132197	Lela
843440	147036	Mother
843440	156016	
843440	165058	Eva
843440	175025	
843440	175600	
843440	230032	Receptionist
843440	242635	Technician
843440	244138	Zdenka
843440	249382	Jirina
843440	257137	(segment "Vrazedny útok")
843440	304191	Jitka
843440	315929	1. Gabriela - Gabriela
843440	344299	Katka
843440	351381	Vera
843440	357636	
843440	357666	Lt. Boucková
843440	375430	Secretary
843440	380554	Doctor at Madhouse
843440	396264	
843441	42424	
843441	184073	
843441	227840	
843441	229075	
843441	259069	Ancica
843441	294156	
843441	401928	Jelena... Listerova sekretari
843442	149866	'Miss' Contestant
843443	334907	
843444	76998	
843445	374667	
843446	273090	
843447	76161	
843447	198268	Gelinde
843447	210068	
843447	210141	
843447	313646	Leni
843448	250961	Margot
843449	28401	
843449	94218	
843449	95925	
843449	202016	Bozidarkina koleginica
843449	227766	Spirinica
843449	245890	Simka
843449	249733	Osudjenica
843449	259834	Saobracajac
843449	265322	Radnica II
843449	271379	
843449	350665	
843449	351322	
843450	29656	Sigmund's Mistress
843450	75940	Rena Torn
843450	91253	Krystyna Tarska
843450	95897	Inez de Costello
843450	133185	Justyna Bogutowna
843450	166616	Ludwika Kruczeka
843450	237438	Lena Kort
843450	248349	
843450	284352	Maria Danilowska
843450	321766	Marta Wronska
843450	322153	Polish Agent
843450	323285	Katy Brinx
843450	343299	Irma
843450	375647	Kamilla
843451	245752	Herself - Therapist
843452	196341	Coffee Shop/Restaurant Custom
843453	136988	Sharon
843453	408318	Lt. Noia
843454	97224	Blanche
843454	245069	Paul's first date
843455	198231	Girl
843456	16093	Rosita
843457	202306	(segment 3)
843457	223555	
843457	227120	Model
843457	251346	
843457	257385	
843457	262676	
843457	328924	
843457	394010	Pani Tereza
843458	232799	Rosabelle DeLaurier
843458	302288	Female Voice Talent
843458	313470	Adela Tyché/Female Farmer/Nab
843458	321266	Waitress
843459	43119	Marysia, maid
843459	70774	
843459	95965	
843459	119446	Loda's Sister
843459	234249	
843459	258177	Michasia
843459	322153	Customer
843459	373975	Lili Fentelii
843460	88356	
843461	305978	Lauren Bradley
843462	103162	
843463	346822	
843464	277851	Athlete
843465	261571	Ellen Key
843466	180154	Miss Meier
843467	101574	Samantha
843468	285968	
843470	4790	Jane
843470	13612	Frau Gerhartl
843470	49288	
843470	94862	Beate Hillinger
843470	98286	Klaras Mutter
843470	101012	
843470	111341	Miss Wondrak
843470	113647	
843470	129325	Mutter der Rottin
843470	167140	Großmutter
843470	172319	
843470	184276	Elli
843470	225319	Klara Theren
843470	268921	
843470	303730	
843470	311916	Frau Binder
843470	325403	Frl. Neumann
843470	325560	Frau Thomas
843470	326163	Ella
843470	343746	Dr. Herta Aichinger
843470	346924	Frau Johler
843470	356861	
843470	359088	Thomas' mother
843470	361084	Marie Rhon
843470	364897	Irma Gräfin Sztaray
843470	376011	Elfriede Hirth
843470	376125	
843470	379083	Frau Palivec
843470	392600	
843470	393878	Hertha Mähr/Ann Miller
843470	394795	Ilse Kottan (1977-1983)
843470	410396	
843471	89627	Cherisse (Doll Squad member)
843471	355022	Kate
843472	344997	
843473	316716	Reporter
843474	211127	Mrs. Brieter
843475	226206	Bettina
843476	4705	
843476	199525	Bank Teller #1
843477	246251	
843478	399	Nicole
843479	349660	
843480	147767	Homeowner
843481	65108	Floor Manager
843482	400028	Herself
843483	142394	Suzie
843484	320741	
843485	17613	Astrid
843485	100549	Miss Lisa
843485	115400	Elsa Manning
843485	170838	Jane Jacobs
843485	171991	Hélene
843485	284370	Agnes Andersson
843485	315360	Daisy
843485	343514	Anne-Marie
843486	425	Fashion house manager
843486	16264	Bobergskan
843486	42208	Fanny Hammar
843486	64630	Olivia
843486	84270	Lisa Albert
843486	99819	Mrs. Högqvist
843486	100549	Mrs. Grönberg
843486	115385	Mrs. Greta Öhman
843486	121018	Carolina Cronklinga
843486	122458	Girl
843486	138529	Ingeborg Berndtson
843486	142791	Mrs. Ulla Cullberg
843486	147006	Mrs. Delmer
843486	153285	Aunt Eufemia Wall
843486	154509	Rigolescu
843486	155621	Beatrix Örnclou
843486	164770	Mrs. Lilly Smith
843486	173188	Laura Fredman
843486	174201	Nanna Högfelt
843486	181845	Sophie Strååk
843486	190669	Clara, Lady's-maid
843486	190812	Tora
843486	198013	Vivi Rosén
843486	209368	Cora Anker
843486	214361	Mrs. Palm
843486	222444	Amalia Blomkvist
843486	235041	Görel
843486	242946	Millie
843486	244073	Agnes Blomqvist
843486	252189	Madame Angéle
843486	254253	Emelie Strömblom
843486	275590	Charlotta Lund
843486	286641	Daughter of Consul Dal
843486	312225	Countess Creutzerhjelm
843486	312226	Agate Brage
843486	312696	Selma Dellander
843486	312698	Mrs. Olander
843486	322422	Mrs. Maja Bergqvist
843486	337888	Rosa Tonelli
843486	341170	Mrs. Johansson
843486	342300	
843486	342306	Emilia Lundvall
843486	346983	Countess Lydia Löwen
843486	353032	Pontus' wife
843486	357804	Mrs. Evelina Holmberg
843487	46767	Helena
843487	56545	Herself
843487	91042	Alexandra Berger
843487	347690	Sopie
843487	354718	Gioia Altenburger
843487	401995	Sharon
843488	687	Herself
843488	900	Herself
843488	1674	Herself
843488	2816	Presenter for Best Performanc
843488	2889	Herself - Best Actress Winner
843488	2894	Herself (Winner of Best Suppo
843488	3044	Herself - Host: Technical Awa
843488	3053	Herself - Presenter: Best Ori
843488	3055	Herself - Best Supporting Act
843488	3107	Buckle Bunny
843488	26666	Anne Arden
843488	46877	Bridget Jones
843488	46878	Bridget Jones
843488	61156	Roxie Hart
843488	64093	Mae Braddock
843488	65664	Herself
843488	66947	Ruby Thewes
843488	81547	Elizabeth
843488	81629	Herself
843488	92263	Barbara Novak
843488	100131	Gina
843488	158413	Herself
843488	166917	Dorothy Boyd
843488	169448	Herself
843488	195318	Starlene Cheatham
843488	196580	Poet
843488	209112	Irene P. Waters
843488	221479	Herself (Presenter)
843488	222668	Barbara
843488	223752	
843488	236873	Betty Sizemore
843488	241799	Ellen Gulden
843488	243148	Herself
843488	255429	Janis Joplin
843488	263439	Sonia Horowitz
843488	273473	Tami
843488	297097	Susan
843488	297650	Angie
843488	325218	Mary Lou
843488	352979	Herself
843488	352985	Herself
843488	363948	Claire Richards
843488	364439	Novalyne Price
843489	189892	
843490	77232	
843490	160728	(segment "Ladrão, O")
843490	385629	Marly
843490	409024	
843491	40334	Mother
843492	339596	Young Showgirl
843493	108864	
843493	108865	
843494	59665	Treasure Chest Dancer
843494	190702	Cheerleader #12
843494	235403	Cheerleader in Front of Schoo
843495	364680	Kristin
843496	35740	Miss Chase
843497	321766	
843498	684	
843498	995	youth magazine editor
843498	10999	
843498	45710	Herself
843498	60821	Kurochkina
843498	62276	Countess Cherry
843498	76998	
843498	85206	Yelizaveta Timofeyevna
843498	133385	
843498	160113	Madlen's grandmother, a Russi
843498	172324	
843498	175602	
843498	178821	
843498	181398	Pussy-Cat
843498	197998	
843498	198139	
843498	231142	Dentist's patient
843498	231173	
843498	238315	Canadian's fan
843498	242820	Shurik's neighbour in the bus
843498	258638	Arisha
843498	263667	Tortilla The Tortoise
843498	263679	Mrs. Hudson
843498	263680	Mrs. Hudson
843498	263681	Mrs. Hudson
843498	263682	Mrs. Hudson
843498	263683	Mrs. Hudson
843498	263690	
843498	265047	Grandma
843498	268002	
843498	298610	Mrs. Hudson
843498	298611	Mrs. Hudson
843498	303802	Older Nadia
843498	304253	Ursula
843498	305117	Small elephant
843498	309994	Woman In Queue (segment "Isto
843498	320668	A Secretary
843498	323315	Old Lady at the Spaceport
843498	327129	
843498	339336	Ganimed
843498	349269	
843498	349840	
843498	352813	Gabby Film Makeup Designer
843498	352874	Natasha the Doll
843498	356120	
843498	356592	
843498	356993	Vovka
843498	357465	
843498	374765	
843499	288915	The nurse
843500	28242	
843501	79902	Samantha
843501	161392	Herself
843501	170983	Samantha
843501	218480	
843501	372525	Cameo appearance
843501	387309	Bobbi (tthe stewardess) (1976
843501	389858	Barbara "Bobbie" Spencer Broc
843501	392620	Host
843501	400236	Lana McClain (1976-1977)
843502	139781	Waitress
843503	102784	
843503	208540	
843503	228670	
843504	311168	
843505	301519	Kali
843506	91509	Beata
843506	359590	Syrena
843506	367373	Irka
843507	274125	Music Librarian
843508	83860	Dona Branca
843508	88327	
843508	269115	
843508	269214	
843508	380525	Berenice
843508	389662	Raquel
843508	393616	
843508	403200	Madalena
843508	410287	Vitória Bonelli
843508	412241	
843509	269172	Luisa
843510	282416	
843511	78318	Effusive Woman
843511	106244	Jenny Divine
843511	118529	Contestant
843511	365779	Libby
843511	389965	Mindy Poppet
843511	408616	Various (1998-1999)
843512	86427	Jewish classmate 1
843513	42942	Henrietta Asifeldova
843513	74469	Lydie
843513	179714	Margit
843513	187381	
843513	226519	Jarmila
843514	168395	Dream Joan/Courtier
843515	236048	Passing family #2
843516	309188	
843516	350721	Zana
843517	322069	
843518	294016	
843519	18827	Member of Political Group in 
843520	180367	
843520	236065	
843520	238843	
843520	263676	
843520	373723	
843521	174163	
843521	357461	
843522	119321	Frau ohne Unterleib
843523	377807	Soloist
843524	98922	Louise
843524	362141	Nora
843525	246343	
843526	259880	
843527	179909	
843527	207558	The Girl Revolutionary
843527	297133	The Heroine
843528	314459	Photo Shoot Model
843529	1029	Erotic Twin Ghost
843529	24503	Dancer
843529	26093	Lovely Lesbian Lover
843529	41198	Special Appearance
843529	150603	Singer
843530	766	
843530	47014	
843530	81865	
843530	96924	Constance Noire/Natalia
843530	108643	
843530	121555	
843530	128747	
843530	181321	
843530	196360	
843530	219858	
843530	239884	
843530	295648	
843530	295914	
843530	323943	Tina
843530	339766	
843531	44551	Wife
843531	78087	Caroline
843531	188453	'Dislike' Girl
843532	147509	
843533	270949	Woman at Fair
843534	99768	Lori
843535	61342	
843535	266480	
843535	378108	Dorinha Tubão
843535	379244	
843535	380166	Maria Negra
843535	407830	Iabá Dorotéia
843535	408942	Felícia
843536	122767	Retirante
843536	404799	
843537	242549	Linda
843538	286655	Une voisine
843539	101270	Herself
843539	116411	Herself
843539	164672	Herself
843539	235729	Fleur-de-Lys
843539	240049	Herself
843540	26825	Crew
843541	13004	
843541	23854	
843541	83551	
843541	228476	
843541	233581	La Madre
843541	246458	Frida Kahlo/Sor Juana Inés de
843541	264387	
843541	269565	
843541	403690	Chona
843542	6994	Koala Bear Puppeteer
843543	70178	Bailarina
843544	258630	Lagernichka
843545	212749	
843546	405110	Sun Popo
843547	133952	Housing Assistant
843547	385342	Sheila Colson
843547	392677	Martha
843548	144800	VanDamm's Girlfriend
843549	135812	Radical Girl
843550	313726	
843551	17749	Celette
843551	367585	Steffi
843551	372089	Binky
843551	380713	Barbara Ann Ryan St. Clair #4
843552	68170	
843554	384085	Teen Tiger Victim (girl-twin)
843555	178605	
843556	390455	
843557	255797	
843558	61156	Shooter Girl
843558	126681	Mistress in motel
843558	155219	Galley-Annie
843558	164353	Veronica
843558	207484	Elizabeth
843558	291866	Deanna
843558	297098	Madeleine
843558	307385	Female guard
843558	399153	Helen Yarmis
843559	303833	Journalist
843559	313167	Sister Rita
843560	278858	Rosa
843561	80660	Prostitute
843561	143821	
843561	198609	
843561	229389	
843561	374522	Miss Zenobia, the Elephant
843562	379831	LaKeishaa #2/Mignon Marsalis 
843563	26467	Alba Wadsworth
843563	56890	Nurse Duckett
843563	62560	Blonde
843563	126571	Paula
843563	128331	Heidi Murphy
843563	157251	April
843563	196965	Brunette
843563	218826	Miley Mitchell
843563	257518	Discotheque Girl
843563	270265	Mother of Triplets
843563	299764	Herself
843563	360270	Dumb Blonde
843563	385824	Margo Anderman Horton (1977-1
843564	241604	Nora Walsh
843564	361224	Sundance Party Interviewer
843564	364180	Herself
843565	70322	Thelma
843566	134573	The Gorillas
843567	239455	Anna
843567	268232	
843567	273105	
843568	5883	Association Woman
843568	55806	
843568	110380	Hedwig
843568	126659	Karen
843568	185270	Lynda
843568	208072	Samantha Canby
843568	241050	Tanya
843568	248097	
843568	313206	Janet, Woman at Sen. Walden P
843568	406776	Rosemary
843569	301097	
843570	11632	Hildegard
843571	16334	
843572	78025	Young Woman #1
843572	214744	Talk Show Guest
843572	241798	Assistant
843573	56857	Allison
843573	230841	Patty
843573	308713	Bernadette Mansaw
843573	336644	Lynn Tingley
843573	362701	Patty
843573	395470	Bunny (2000, 2001-2002)
843573	399153	Faith Usher
843574	316640	Nadia
843575	30799	La jeune comédienne
843575	57876	Maud
843575	60063	Laetitia
843575	71827	Carole
843575	77926	Cindy
843575	109102	Young admirer
843575	156274	Hélène
843575	184059	Delphine
843575	188679	Sandrine
843575	199369	Mathilde
843575	215338	
843575	238471	Barbara
843575	286896	L'assistante de Mathias
843575	346569	Leïla
843575	380380	Fanny
843575	408002	Rinette
843576	41665	Svetluska, his daughter
843576	51469	Lili Precechtelová
843576	63631	Marta
843576	104885	Marie Santová
843576	180869	Young girl in the concert
843576	214282	Nina Dobenínová
843576	247933	Hermína
843576	258667	Bozenka
843576	262254	Lorinka
843576	262566	Márinka, dressmaker
843576	266426	Pepina Vaváková
843576	320545	Radmila
843576	320636	Jana
843576	323640	Daughter
843576	351496	Amálka Zemlicková
843576	373414	Kveta
843576	375361	Evicka
843577	274019	Yoko
843578	16684	Carmencita
843578	147535	Maria Estrada
843579	237814	
843579	260589	
843580	221739	Monja
843581	81640	
843582	51624	Avavar Dancer
843583	228560	
843583	338641	
843584	77640	Club Singer
843584	325409	
843585	279400	
843586	119502	Taurus' Girlfriend
843587	119710	Hemdenverkäuferin
843588	104487	
843588	104500	
843588	255051	Emília
843588	286393	
843588	328973	(segment "O Corno Imaginário"
843589	325387	
843589	406321	
843590	144681	Translator
843591	66186	TV Program Host
843591	92324	
843592	101819	Une pianiste
843593	396108	Contestant
843594	45767	
843594	100384	Bailarina
843594	272506	(segment "Vazno je da si tu")
843594	324481	
843595	104986	Blonde
843596	397672	
843597	17863	
843597	59056	Young Maid
843597	71952	Patricia
843597	83174	
843597	183797	Une couturière
843597	198571	Fille de l'agence immobilière
843597	382477	Emily
843597	384209	Zita
843597	384212	Catherine Kovalic
843598	129762	Gnome Maiden
843599	327481	Herself (interviewed)
843600	180332	
843601	118208	
843602	23384	Student
843603	148775	
843604	242077	Sylvie
843605	26000	
843605	29330	
843605	31012	
843605	82315	
843605	83314	
843605	100637	
843605	138611	
843605	162227	
843605	173783	
843605	173867	Cavdar Tarlasi
843605	182837	
843605	182908	
843605	229976	
843605	267818	
843605	285965	
843605	285966	
843605	288379	
843605	370491	
843605	392495	Hatice
843606	199711	The Woman
843607	31643	Beach girl
843608	349292	The Rich Woman With Books (se
843609	362598	Shower Girl
843610	80256	
843611	365750	Sarah's Mother
843612	365750	Leena (Shevawn Geoghegan)
843613	56357	Rosa
843614	152378	
843615	379244	
843615	409412	
843616	4553	
843616	24907	
843616	28246	
843616	73979	
843616	74802	
843616	100273	
843616	148021	
843616	189011	
843616	212494	
843616	225552	
843616	260625	
843616	287695	
843616	332970	
843616	353592	
843616	376690	
843617	331907	Hand Maiden
843618	1029	Erotic Twin Ghost
843618	24503	Dancer
843618	26093	Lovely Lesbian Lover
843618	41198	Special Appearance
843618	78913	Barbara Gruner
843620	312100	Mutter von Blauhaar
843621	137427	Doctora
843622	162779	Dancer
843622	384306	Ballet Infantil
843622	384507	Dancer
843622	406972	Assistant to Miss Flores
843623	342635	Flamenco Dancer
843624	6488	
843624	14928	
843624	68639	
843624	212525	
843624	296125	
843625	188453	'Dislike' Girl
843626	338206	
843627	399130	Mrs. Skouros (1989)
843628	284494	
843629	73620	
843629	124155	
843629	284259	La mère
843630	310476	
843631	46219	Angie
843631	355378	Monica Rillo
843632	180704	Annerl
843633	78956	
843634	687	Herself
843634	689	
843634	900	Herself
843634	1674	Herself
843634	2894	Herself
843634	3027	Herself
843634	3044	Herself
843634	3053	Herself - Best Supporting Act
843634	3055	Herself - Presenter: Best Sup
843634	7165	Maya
843634	13742	Gwen Harrison
843634	57665	
843634	61156	Velma Kelly
843634	63162	Beatriz
843634	64056	Victoria Chapman
843634	68207	
843634	140193	Theo
843634	144804	Charlie Nicholson
843634	160473	Herself
843634	161537	Marylin Rexroth
843634	174562	Catherine
843634	194182	Herself
843634	201790	Host/Herself
843634	214013	Sheherazade
843634	230786	Herself
843634	234151	Hostess/Herself
843634	238073	Isabel Lahiri
843634	243149	Herself
843634	245124	Chirsty
843634	254585	Sala
843634	276790	Eustacia Vye
843634	288703	Herself - Audience Member
843634	302457	Marina
843634	305654	Colette
843634	311534	Kitty
843634	328272	Amelia Warren
843634	333855	Isabella Paradine
843634	337404	Helena Ayala
843634	385728	Mariette Jane Larkin
843634	407747	Herself
843635	124558	Film starlet
843635	234092	Anna
843635	294775	
843635	300701	Betty Simmons
843636	334695	
843637	77392	Jackie
843637	386458	Carolina Carrera
843637	395885	Lorena
843637	403752	Herself
843637	408855	Diana (1999)
843637	412192	Diana Gallardo Santillana
843638	103425	Modelo
843639	13990	Receptionist
843640	339645	Corinna
843641	46774	Josette
843641	47004	Stevie
843641	60013	
843641	82538	Donald
843641	185252	Regina
843642	330562	Garcias fru
843643	4513	
843643	48366	Grevinnan von Leijonflycht
843643	84268	Midwife
843643	110076	Margareta
843643	128954	Evangelina Gilchrist
843643	159640	Parish Laplander
843643	190808	Dancer
843643	214364	
843643	310386	Paula Klink
843643	322671	Dancer
843643	341815	
843643	342307	Dancer
843643	342308	Mimmi Pellerin
843643	355630	
843643	390151	Det förälskade paret
843643	409080	Louise
843644	281335	Ronja
843644	281336	Ronja
843645	197138	Irene
843646	165616	Annika
843646	322663	
843647	27282	Teresa Guiccioli
843647	31450	Helene Bretton
843647	40119	Mrs. Carol Edwards
843647	64333	Herself (1987)
843647	77623	Nina Gordon
843647	83973	Anna DeBurg
843647	88824	Gurli Pall
843647	93809	Marit Germundsdotter
843647	107180	Christiane Hammond
843647	120151	Frieda
843647	142387	Valerie Martin
843647	144252	Bertha Olsson
843647	144542	Moa
843647	162252	Iris Mattson
843647	164770	Miss Peters
843647	167111	Carol Tilley
843647	178979	Ilse Nordstrom
843647	187634	Vanja Ringqvist
843647	189186	Ruth Hedman
843647	194934	Lily
843647	201015	Gina
843647	203509	Lisa
843647	215558	Miss Julie
843647	217660	Nietzsche
843647	219237	Elin Fromm
843647	223187	Ingrid
843647	236228	Vera Ullman
843647	238641	Ruth Lombard
843647	242092	Liz
843647	255087	Christine Pready
843647	261023	Hildegarde
843647	264277	Anna Maria Wastenius
843647	264996	Maria
843647	269086	Jeanne
843647	278515	Lisa
843647	281052	Arlette
843647	295392	Nurse Julie White
843647	324029	Doris Richardson
843647	340969	Julie
843647	366768	Helga
843647	384006	Comedy Regular
843647	384335	Herself - Host: Stockholm seg
843647	398745	Phylis Finley
843648	93261	Rosa
843648	340775	Rose
843649	237056	Elin, Ulrika's Daughter
843649	349128	Elin, Ulrika's daughter
843649	394937	Stina
843650	202828	
843651	23412	Berit
843651	30144	Hulda Krok
843651	104738	Swedish entry (13th place)
843651	113214	Teacher
843651	135673	
843651	210328	Herself
843651	210329	Herself
843651	210336	Herself
843651	228408	Lotten
843651	237056	Ulrika
843651	283789	Herself
843651	284100	Madame Petypon
843651	284104	Malinda Karlsson
843651	320606	Mejram
843651	320629	Minister of finance
843651	349128	Ulrika
843651	377336	Anna Lindberg
843651	388583	Narrator
843651	390236	Antea
843651	394225	The stepmother
843651	394883	
843651	398251	Gumman
843651	399878	
843651	407290	Malin
843651	408272	
843652	293839	Raggarbrud
843653	153745	Nurse
843654	1385	Annika's sister
843654	3182	Caroline
843654	94252	Petra
843654	135714	Eva
843654	170710	Margit
843654	296032	Little Sis'
843654	392089	Alexandra Persson
843654	408800	Sanna Sjökvist (1994-1996)
843655	357804	Greta
843657	387262	Tova (segments 1-5, 7, 8)
843658	52828	Central Park Girl
843659	189563	Alte Soldatin
843659	338053	Mutter Neuffer
843660	234275	Barbarina
843661	285201	Mom
843662	257715	Herself
843663	12044	Gaby
843663	28999	
843663	74984	Antoine
843663	336766	
843664	247845	Joven Embarazada
843665	398115	Herself (Host)
843666	12094	Susie the hairdresser
843668	5132	
843669	9679	Hospital patient
843669	33908	
843669	137872	
843669	138434	TWA air hostess
843669	186601	
843669	199696	
843669	212129	Secretary
843669	216406	Miriam Devon
843669	248700	
843670	164867	
843671	386570	Iman
843672	123923	The Aunt
843673	8125	
843673	17883	
843673	310241	
843673	327123	
843673	380353	Kura-Stamata
843673	400825	Magda
843674	33066	Sharon Markham
843675	102393	
843676	6651	Additional Cop
843677	247516	
843678	30328	
843679	289210	Corinne
843680	70550	
843681	356381	
843682	70550	Siva Mora
843683	163941	
843684	297023	
843685	237959	
843685	294654	
843686	370674	
843687	274037	Beijing Opera Performer
843688	138709	
843688	268622	Li Lan
843688	298699	Fang Liming
843689	384110	Herself (famous actress)
843690	129753	
843690	202180	
843690	339228	
843691	9192	Song Ruming
843691	36625	Tian Hongxia
843692	151968	Zhen Yonghong
843692	372180	A Ying
843692	375115	Liang Shanshan
843693	202658	Self
843694	121126	Shunzi's Mother
843695	111191	Zhang's Mother
843696	110616	Ai Hua
843697	173331	Xiao Ying
843698	102554	Blindman's wife
843699	369654	Meimei
843700	369637	Zhou Yuzhen
843701	251108	Female Birthday Guest
843702	189228	
843703	167752	Xiao Qun's Mother
843704	77894	
843704	268774	Maimai
843704	373021	Guan Bao
843704	374895	Wenli
843705	69541	Suoma
843705	103026	Yingzi
843705	167835	He Yuying
843705	268698	Jiayin
843705	268765	Auntie
843706	369932	Yanxiang
843707	376032	Yang Yongli
843708	25896	Leng Yun
843709	3921	Dan Dan
843709	213595	Xiao Ahui
843709	251108	Kang's Wife
843709	299225	Xiao's Classmate
843710	25509	Ann
843710	63290	Liu Tingting
843710	371457	Li Lichun
843711	272892	Waitress
843712	305375	Sally
843712	344524	Herself
843713	51451	Mère chinoise
843713	300673	Lin Li
843714	90554	Shu Jing
843714	135108	
843714	149011	Liu Qing
843714	227257	Chun Tao
843714	275584	Mother
843714	358233	Junzi
843714	374691	Erhuo's Mother
843715	221497	
843716	275577	The Woman Claiming to be a Gh
843717	251108	Old Lady Wu's Maid
843718	152794	
843719	60563	Xiuzhen
843719	236235	Pei Qiong
843719	236263	Xiaofeng
843719	268733	Zhen Bo
843719	297360	
843719	369866	Ding Hui Yuan
843719	374813	Zhang Yaxin
843720	59291	Wang Lan
843721	86923	Mayor's Wife
843721	370830	Goudan's Mother
843722	369085	Chen Qing
843723	172195	Lin Dazhong
843724	167752	Junjun
843725	268931	Grandma Tao
843726	107044	Mrs. Huang
843727	146657	Asian Woman
843727	318218	Chinese Takeout Lady #1
843727	318769	Miyako
843728	24167	Caroline
843729	324715	Stepmother
843729	369791	Xiao Wei
843730	268725	Li Xiaohui
843731	95292	Mother
843732	192460	Sister Zhou
843733	167422	Xiao Jing
843733	236263	Mother Laizi
843733	269230	Jin Lan
843734	268931	Xueli
843735	76323	Miaoyun
843735	135487	Yang Guixiang
843736	3540	Xiuyun
843736	76264	Shen Li
843736	94363	Da Huan
843736	141908	Huang Qili
843737	268768	Xiaozhen
843738	60544	Chen Sanliang
843739	251108	Female Birthday Guest
843740	2512	Ding Juan
843740	36626	Mom
843740	63290	Yuanyuan
843740	76401	Wang Liankui
843740	294022	Yin Zixian
843740	318937	Song Qingling/Madame Sun
843741	225844	
843742	36469	Zuo Ma
843742	184321	Xu Liping
843742	324717	Ruohua
843742	370494	A Qing
843743	210998	
843744	48424	Minyue
843744	151926	Mother
843744	323107	Xia Yin
843744	369045	Bride
843744	372243	Zhou Weiwei
843745	8597	The Little Nun
843746	268782	Jin Ayan
843746	369647	Chun Guan
843746	374818	Xiao Feng Xian
843747	3921	Liang Yan
843747	25898	
843747	63491	Lian Lian
843747	268765	Gu Tingting
843748	296572	Zhang Zhen
843748	370522	Qinhu's Mother
843749	18692	Aolei Yilan
843749	184317	Wu Meng
843750	369066	
843751	402554	Green Snake
843752	374894	Ma Qi
843753	170019	Old Representative
843754	374902	Hu Xiuzhih
843755	268764	Xiulan
843755	374710	
843756	384110	Herself (newspaperwoman)
843757	144406	
843758	12814	
843758	95932	
843758	198180	Grandma
843758	229188	
843758	261665	Saikal
843758	309364	
843758	356917	
843758	356926	(segment Voskresnyye progulki
843759	4521	
843760	121113	Fang Shanshan
843760	151968	Liu Huiling
843761	202544	Xiao Yun
843762	369807	Zhao Ming
843763	47474	Clara
843763	60134	Ai Jinghua
843763	110576	Luo Fang
843763	132530	Cleaning Lady
843763	372241	Doctor Tong
843764	31496	
843764	135048	Madame Fang Qin
843765	111236	Lu Rui
843765	167399	Gao Xiangyi
843765	220247	Du Zhi
843766	60542	
843767	210986	Li Huahua
843768	311967	
843768	369723	Erxiao's Mother
843769	140747	Zhuang Li
843769	151994	Yuehua
843769	300751	Qidan
843769	369916	
843769	373044	Wu Tonghua
843770	251108	Midwife
843771	268724	Peng's Mother
843772	275575	Qiao Qiao
843772	298793	Tao
843772	374700	Ruijuan
843773	61463	Sue
843773	90556	
843773	181543	Princess Pheonix
843773	198415	Wu Fang
843773	247954	Cheung Ling
843773	303399	Mui
843773	332292	Wen Zhu
843773	332338	Phoenix
843773	372980	An Xin
843774	11591	Xiao Mian
843774	275575	Bin Bin
843775	376032	Liang Huiming
843776	370522	Teacher Hu
843777	251108	Old Lady Wu's Maid
843778	138715	Mom
843779	240567	
843780	402555	
843781	121122	Lou Amei
843781	255019	Yao Yuechan
843782	297310	Chi Li
843783	9192	Mingxia
843783	236235	Pei Qing
843784	297353	Tao Lijin
843785	367130	Zhao Di, Old
843786	111197	
843787	268694	Liu's Wife
843788	29578	
843788	179725	
843788	303789	Fire-Bird
843788	394750	
843789	89786	
843790	357688	
843791	388489	Nevesta
843791	399344	
843792	63354	
843793	174163	
843793	174272	
843793	207999	
843793	225948	
843793	294990	
843793	303802	
843793	307614	
843794	251346	
843794	259831	
843795	2621	
843796	18659	Ao Jinma
843797	174686	
843798	49752	
843798	229069	
843798	273066	Tatyana
843798	301899	
843799	294990	
843800	300356	Mara
843801	373973	
843802	45554	(segment "Vanka")
843802	46083	
843802	89475	
843802	95570	Nurse
843802	95579	Mother Shishkina
843802	131145	
843802	132114	Kika
843802	220694	Olya
843802	224277	
843802	236072	Therese
843802	238358	
843802	253748	
843802	258658	Asya
843802	273045	Lenochka
843802	284620	Circus actress
843802	299038	
843802	306102	Gerda in Russian
843802	357259	
843802	375679	Cinderella
843803	261309	Mara
843804	258812	Deteto na d-r Nenov
843805	108851	Krasavina
843806	184597	
843806	355728	
843806	402348	
843807	243968	
843808	198146	
843809	341331	
843810	370175	
843811	124843	
843811	174163	
843811	341331	
843811	341333	
843811	394785	
843812	8455	
843813	230037	
843814	251108	Kang's Wife
843815	62635	The 2nd May
843816	167783	Ling Yun
843816	332335	Shen Lizhu
843816	372287	Black Butterfly
843817	76401	Shunzhi's Wife
843817	210966	Sha's Wife
843817	236235	Mother
843818	402554	Liu Jinniang
843819	170022	Lin Lin
843820	123535	Wang, Qinguo
843821	251543	Linen delivery woman
843822	381646	Yu Tu
843823	268759	Daiyu Lin
843824	341341	Yang Lijuan
843825	148531	Chew Seow Fang
843826	202658	Self
843827	388395	Herself (in South Africa)
843828	60563	Song Ma
843828	167410	
843828	191005	Ming, Jinhua
843828	209893	
843828	282807	Jin Qiwen
843829	247953	Old Master Xu
843830	324517	La mère de Mei Lin
843831	74430	
843832	46600	Princess
843832	258425	Princess
843833	26475	Nastya
843833	43196	
843833	48758	
843833	87191	Tanya
843833	131142	
843833	198150	
843833	238324	Verka
843833	261909	
843833	261911	
843833	341025	
843833	350788	
843833	374721	
843834	238110	Nastya - 12 let
843835	369850	Mother
843836	280663	English Announcer's Assistant
843838	320668	Boarding House Mistress
843839	336265	Lio Chi
843839	336267	Lio-Chi
843840	35856	
843841	97605	
843841	131027	Manekenkata
843841	374940	Yana
843842	174541	
843843	382445	Teacher
843844	307753	
843845	88584	
843846	162329	Teacher Li
843847	357461	
843848	242467	
843849	248803	
843850	291248	
843851	60730	Sofijka
843851	60821	Lyusya
843851	130200	Natasha
843852	49828	Prostitute
843852	60729	Marfa
843852	238100	
843853	373061	
843854	375681	Klavdiya
843855	263664	Mariya Semyonovna
843856	371467	Student
843857	13017	
843858	6548	Czarina Catherine II
843858	63578	
843858	89803	Yekaterina Pavlovna
843858	91485	
843858	92328	
843858	95650	Borozdina
843858	132734	Mme. Zarzhitskaya
843858	179722	
843858	227913	
843858	253649	Isvekova
843858	258638	Mother
843858	261329	
843858	261582	
843858	264930	
843858	266095	The Banker's Daughter
843858	273073	
843858	297862	
843858	307561	Ballet Teacher
843858	317099	Masha
843858	341329	Knyaginya
843858	356124	
843858	370934	
843858	373750	
843858	375662	
843859	32828	Constructor's Wife
843860	341327	Galya malenkaya
843861	189203	Fast food restaurant customer
843862	343648	Su, Lian/Wife of So
843863	227268	
843864	251108	Old Lady Wu's Maid
843865	251108	Flower Boat Girl
843866	285098	More Chinese Rice
843867	296759	Widow Jiang
843868	229483	Xinni
843868	236262	An Qi
843868	369916	
843869	149011	Mrs.Zhang
843870	111243	The Woman of Zephyr Lane
843870	153039	Concubine Li
843871	169594	Auntie #2
843872	373032	Zhou Shuyun
843873	359028	Hua Gu
843874	52022	Li Li
843875	85469	Xiao Man
843875	374691	Xiaochao
843876	36432	Gou Wa ("Doggie")
843877	76397	Reporter
843878	374902	Little Wang
843879	369028	Mistress Ren
843880	341421	Sister Yang Fa
843881	111236	Grandmother
843882	300745	Meng Yutang
843883	335405	Ma Xiuxiu
843883	411777	Chen Rong
843884	202544	Xiao Hong
843885	164623	Mother
843886	111236	Aunt Cui
843887	28725	Little Chinese Seamstress
843887	110575	
843887	144294	Hung Hung
843887	167834	Blind Girl
843887	189173	Baober
843887	225950	Mirth (Huanzi)
843887	299225	Qin
843887	369676	
843887	403165	Lin Weiyin
843888	251108	Flower Boat Girl
843889	369850	Cai Hua
843890	141883	Little Sister
843890	149071	
843890	374895	Ou Xia
843891	255021	Yanzi
843892	332292	The Monk
843893	382903	Coco's second sister
843894	90078	Zerlina
843895	236087	Mahjong Player
843896	61808	Red Guard 2 (Part 2)
843897	112471	Jennifer's girlfriend #1
843897	131679	The Innocent
843898	60535	Song Meiling (Madame Chiang)
843898	60536	Song Meiling (Madame Chiang)
843898	196650	Wenwen
843899	197603	Liu Ying
843899	324717	Liu Ying
843899	373058	Wenyan
843900	77892	Shu Rong
843900	131268	Gu Xuanyun
843901	27789	Sing's Mother
843901	95192	
843901	135025	Brother One's Mother
843901	138626	Party Guest
843901	209907	Chat
843901	212639	Melvin's Mother
843901	286458	Maid
843901	324338	Chussy
843901	369763	Moon's Mother
843901	370603	Taoist priest's estranged wif
843901	373251	Masseuse
843901	374948	Sau-Ping's Mom
843902	369844	
843903	110580	Tian Yuzhen
843903	369637	Feng Axiang
843904	3921	Li, Nan
843905	58917	Tianbao
843906	214612	
843906	369922	Mrs. Lin
843906	405110	Qiu Qianchi
843907	369040	Tractor Operator Jinhua
843908	137169	Fu Youru
843908	141914	Liu Na
843908	218879	Wen Xiu
843908	369944	Wife of Boss
843909	405110	Ying Gu
843910	36428	Ai Ni
843910	369799	Wang Caijun
843911	63607	
843911	237527	
843911	262544	(segment Prazdnik Neptuna)
843911	266173	
843911	300542	(segment Vanderbul' bezhit za
843911	349251	
843912	219723	
843913	3181	
843913	341217	
843914	63574	
843914	216610	
843914	291593	
843914	341217	
843915	179670	
843916	356599	Romaletta
843917	188708	
843918	46064	Cat
843919	223601	
843920	300511	
843921	370188	
843921	370189	
843922	181510	Tyotya Pasha
843922	210190	
843923	108854	
843923	304710	
843924	182036	
843924	286732	
843925	279200	Dancer: Moscow Folk Ballet Co
843926	25695	
843926	174987	
843928	42897	Gelena Chaplinskaya
843928	84820	Lugovaya
843928	324908	Pani Barabash
843928	352813	
843929	356921	Missi Korchagina
843930	131153	Kravchenko
843930	225928	
843930	351783	
843930	357345	
843930	409010	Nyura
843931	356417	
843932	303803	
843933	268658	
843934	89591	
843934	162675	
843935	229056	
843935	349298	
843935	378720	
843936	109051	Nina Alexandrovna
843936	357340	
843936	370918	
843937	357697	
843938	91212	
843939	265993	
843940	88617	
843941	283835	
843942	95651	
843943	286732	
843944	179907	
843945	170167	
843945	239139	
843945	298330	Lu Wu Shuang
843946	31327	Mud Wrestler
843947	307174	Khorshid's Mother
843948	58528	Lisa
843949	200518	
843950	36441	
843951	236599	Malika
843952	213517	Woman 3
843953	390105	Herself
843954	208054	
843955	31433	Veronique
843956	252725	
843956	365244	Photo Model
843957	5128	Julia Brandt
843957	12852	Lilli Linke
843957	181070	Marie Haller
843957	225659	Kay
843957	262750	
843957	281748	Caroline Bartling
843957	290140	Pia
843957	296354	
843957	325891	Tina Lehmann
843957	334638	Jessica
843957	349777	Lilia
843957	377364	Caroline Mender
843957	379779	Sibylle Baer
843957	388798	Nina
843957	389840	Linda
843957	394116	Ruth
843957	395505	Valerie Landau
843958	48640	Adelita
843958	82134	Rosy
843958	280749	
843959	274863	Jule Goldbach
843960	348601	Little Girl w Kite
843961	83388	
843961	345041	La Flamande
843962	58763	Tutor
843962	110773	
843962	174829	Partisan woman
843962	242641	Karla
843962	246022	Plesalka
843962	270681	Lea
843962	339942	
843963	312419	Nives
843964	119135	
843964	189754	
843964	210113	
843965	346596	Ophelie
843966	132744	La fiancée de Jean-Guy
843966	199315	La femme de chambre
843967	29447	Marie
843967	87125	Nadine
843967	201175	Carole
843967	261790	
843967	283653	
843967	336470	L'assistante d'Hélène
843968	265467	Karaoke Singer
843969	201175	Clemence
843969	336470	Paulina Voisin
843970	346503	Laetitia
843970	377480	Emma
843970	380859	Rebecca
843971	151109	Liz
843972	131383	Gurkenfrau
843973	396017	Annabelle's Mother
843974	348617	Blonde #2
843976	324115	Patient's Wife
843976	397622	Beata Ploñska
843977	10334	Bera Mönther
843977	47607	The Queen
843977	48377	Augusta Stiernhielm
843977	53060	
843977	64631	Mayoress
843977	104825	
843977	109010	Actress
843977	182582	Rich Widow
843977	204533	Lili
843977	216985	Lili
843977	235041	Agitator
843977	237259	Mari, maid
843977	252333	Ms. Cronblom
843977	317471	Ursula
843977	334039	Sally
843977	353042	Miss Edqvist, Hagstam's secre
843977	357750	Lilli
843978	32770	
843979	323564	Sissy
843980	332628	
843981	190171	TV reporter
843982	329682	
843983	305719	Hotwire
843983	368640	
843984	223795	Helen Lowell
843985	122596	(uncredited)
843985	145457	
843985	293650	Merle
843985	324424	Kate
843986	82626	Herself (special guest)
843986	186033	Denise Tremayne
843986	358876	Gypsy Troubadour
843987	144154	
843988	115974	Irma, Zigeunermädchen
843989	263496	Baby Zachary
843990	342673	Beth
843991	124971	Ilse's Freundin
843992	58848	
843992	292806	Herself/Presenter/Narrator
843993	45943	Nadja Kovacs
843993	80900	Nicola Ortloff
843993	97236	Iris
843993	126178	Dora
843993	132835	Kerstin
843993	140244	
843993	144185	
843993	147169	Annes Mutter
843993	178559	Kerstin Kroll
843993	202633	Isabel Haberland
843993	205582	Elisabeth
843993	210084	Vera
843993	216268	
843993	225261	
843993	236039	Mutter
843993	237631	Oberärztin Thea Iffland
843993	281717	Mary Norton
843993	281980	
843993	307651	Dörthe
843993	309019	Herzogin Ludovika
843993	320602	Olga Wokowitsch
843993	325390	Sigrid
843993	325395	Regine von Lempert
843993	325455	Martina Dorn
843993	325650	Amelie
843993	325891	Frau Lehmann
843993	338437	Doris Lenz
843993	344770	Linda Tomschläger
843993	347047	Julia
843993	352198	Mutter
843993	361708	Frau Mayerkranz
843993	376413	
843993	377343	Charlotte Marquardt
843993	377344	Charlotte Marquardt
843993	377345	Charlotte Marquardt
843993	377346	Charlotte Marquardt
843993	377347	Charlotte Marquardt
843993	377348	Charlotte Marquardt
843993	377349	Charlotte Marquardt
843993	377350	Charlotte Marquardt
843993	389618	Beate von Thorwald
843993	389823	Christine
843993	389840	Marlene
843993	406225	Gala Böckl
843993	406321	
843993	407552	Sigrid Bolscho
843993	409287	Frau Schill
843993	409609	Paula Quandt (1992, 1994)
843993	412097	Dr. Reddemann
843994	71438	Dorabella
843994	71439	Dorabella
843994	108063	Mrs. Slender
843994	278963	Minerva
843995	403114	
843996	253819	Steadicam operator
843997	223462	
843998	1586	Clothilde Altenkerken
843998	31921	Frau Schwengel
843998	87140	
843998	107779	
843998	126846	Dorles Mutter
843998	134782	
843998	191188	
843998	204497	Fränze Holten
843998	225186	
843998	227784	
843998	290634	
843999	15018	Inge
843999	34238	Frau Vetterli
843999	42081	Frau
843999	98362	Polina
843999	100973	Marianne
843999	162472	Sefi Tresch
843999	179797	Nicole Lambert
843999	179924	Doris Steiger
843999	187860	
843999	211847	
843999	215066	
843999	290700	Gertrud Starke
843999	308487	Renate
843999	322933	Anita
843999	334563	
843999	350875	
843999	358046	Frau Imboden
843999	365601	
843999	376500	Mother
843999	383052	
843999	398083	
844000	3008	
844001	22701	Caterer #2
844001	69961	Maggie Runyon
844001	122658	DeHaven's Aide
844001	193296	Mrs. Elaine Murrow
844001	194222	Karen
844001	196209	Reese
844001	252866	Ellen Clark
844001	283434	Peg Grimes
844001	308096	Frances Grebel
844001	352441	Admissions Nurse
844002	361159	Twyla
844003	46985	Jail Deputy
844004	361124	Anne
844005	259049	
844006	75282	Carol
844007	325951	
844008	5913	Herself
844009	106620	Georgies Wife
844010	1893	Sangerinde
844010	7383	Madame de Crampton
844010	22067	
844010	83091	Sangerinden Lulu
844010	153536	Gertrude Stein
844010	213436	Dansk-amerikaner
844010	344290	Kabaretsangerinne
844010	353047	
844010	386347	Herself (episode 1.3 "1930-19
844011	170982	Mrs. Woodall
844011	193123	Bar Character
844012	343136	
844013	5122	Lina, maid-servant
844013	5659	Frau Krüger
844013	24082	Frl. von Krabbe
844013	90763	
844013	98572	Frau Weichert
844013	103083	Lina
844013	103149	
844013	107964	Fraeulein Schulze
844013	120276	
844013	140208	Fanny, Mädchen bei Obermüller
844013	153726	Miss Kügelmann
844013	155355	
844013	160154	Minna
844013	175399	Angerle
844013	178623	Zofe
844013	178672	
844013	219016	
844013	343698	
844013	345571	
844013	359695	
844014	23955	Pompous Woman
844014	34619	Christmas Guest
844014	81493	The Entourage #12
844014	105643	Irma Gobb
844014	148191	Paula
844014	167601	Rona
844014	211561	
844014	211586	Irma Gobb
844014	221166	Labour fixer
844014	387247	Donna Ludlow (1987-1989)
844014	391025	Jane Ford
844014	398698	Betty (Series 1) (1995)
844014	407177	Ruth
844014	408527	Sandi
844015	155741	Herself
844016	182999	Female Cop
844017	11872	
844017	175780	
844017	361012	Vroni
844018	56206	Joe's Mother
844019	23583	Sandra Ellis
844019	198044	Miss Cray
844020	288914	
844020	370580	Ashley
844021	160050	Maria's Neighbour
844022	169720	Natasha Dmitryevna
844023	75993	
844024	6132	
844025	327144	Young Girl
844026	47588	Onlooker
844028	126375	Teacher (segment "Die Prüfung
844029	222258	Young Sandra
844030	307003	Widow
844031	18520	Caroline's Mother
844032	2870	Ayse Kermel
844032	8368	Nadine
844032	18520	Caroline
844032	18538	Juliette
844032	33452	Sophie
844032	144151	Linda Weiß
844032	145099	Elisabeth Dirberg
844032	157498	Tanja
844032	158227	
844032	179293	Fanta
844032	179295	Fanta
844032	184274	Laura
844032	216865	Andrea
844032	226306	Anna Sonnenberg
844032	232768	Nina Ritter
844032	233282	
844032	257267	Anna
844032	283493	Francesca
844032	290456	Paulina
844032	302043	Julia
844032	322544	Anna
844032	345665	Nurse
844032	352039	Christina
844032	352182	Toni
844032	364705	
844032	365924	Tanja
844032	376007	Jenny
844032	376772	Angelina
844033	75978	
844033	110115	
844033	131754	
844033	196588	Piotr's Mother
844033	266293	
844033	282756	Mozambik's Wife
844033	305516	Secretary Basia
844033	401665	Zofia Grzyb
844034	231743	Proprietress of allotment
844034	255515	Mother
844034	260781	Washerwoman
844034	300056	Beata's Mother
844034	374469	Cookie of Czesnik
844034	397622	Krystyna Peczek
844034	398874	Maria Zbiec (2001-)
844035	322104	Robert's Daughter
844036	137597	Halka
844036	174931	Roma Sagankiewicza
844036	247592	
844037	391566	Stephaniee
844038	132530	Stephanie
844038	138840	Leann
844038	314006	Aileen/Elizabeth Stanford
844038	316170	Princess Isabella
844038	362817	Maggie Malone
844039	9795	Begger the Prisoner/Snake Jaf
844040	376176	Child
844041	84230	Death House Doll
844042	347767	
844043	1411	Nude Woman
844045	225638	Eva
844045	390812	Lilo Gottschick (1992-199?)
844046	18953	Kid #2
844047	5160	Rosemarie
844047	18530	Beamtin
844047	84589	Margot Honecker
844047	104815	
844047	120039	
844047	129506	Frau Wieck
844047	132655	
844047	134670	Iris
844047	142316	
844047	239026	Tochter des Säbelfechters
844047	248040	Wilma
844047	265402	Schülerin
844047	302774	
844047	324443	Johanna
844047	379772	Frau Bittner/Büttner (1995-19
844047	389956	
844047	390701	
844047	392509	
844049	5133	Carka
844049	11773	Dschidschi
844049	11927	Patsy
844049	12841	Inge Bachner
844049	23837	La milliardaire
844049	25504	Prinzessin Clementine
844049	27127	Antje
844049	33107	Ballett Dancer
844049	33246	
844049	36685	Marion
844049	46822	Greta Holzgang
844049	78284	
844049	78546	Daniela Ruland
844049	80305	La Beauvoisin
844049	82879	Hanna Schäferkamp
844049	86328	Fatme, die Diebin von Bagdad
844049	119242	Euritrite
844049	119268	
844049	120042	Vilma
844049	120047	Fee
844049	120999	
844049	121042	Nicoline
844049	121069	Rechtsanwältin Jane Painter-T
844049	125335	Lette Eilers
844049	134822	
844049	134979	Helga
844049	137705	Margot
844049	144183	Bianca
844049	147585	Antje
844049	152760	Katja
844049	152790	
844049	155463	Anneliese
844049	156059	
844049	168425	Wally, Zigarettenverkäuferin
844049	169158	
844049	169411	Maria
844049	170697	
844049	172375	Franzi
844049	178626	
844049	189553	Eva
844049	189637	Mimi, Barners Nichte
844049	189640	Ursula
844049	197836	Frau Fluth (Mistress Ford)
844049	199498	Marta
844049	200696	Brigitte Brummer
844049	208076	Michele
844049	210091	Christine
844049	211098	Françoise Flamme
844049	216295	
844049	225169	Helga Gruber
844049	226177	
844049	226264	Maria Reiser
844049	226273	
844049	231482	
844049	231483	
844049	237226	
844049	242842	Helene
844049	264920	Gerda Weber
844049	285381	Lisa
844049	290670	Baerbel
844049	290758	Maria
844049	292666	Julia
844049	301027	
844049	312084	
844049	315834	Julia Deutschmann
844049	319766	Giovanna
844049	322362	Sylvia
844049	322713	Rosine Forestier
844049	338394	Lieschen Müller
844049	344745	Anni Klingebeil
844049	360951	
844049	366097	
844049	374033	Sonja
844049	376626	Herself
844049	378122	Agnieszka Walicka
844049	390815	Marlene
844049	397505	Mrs. Corby
844050	11986	
844050	82863	Mutter
844051	2762	Performer from musical and No
844051	2816	Nominee for Best Performance 
844051	47385	Herself
844051	47386	
844051	100827	Biscuit Lady
844051	157909	Herself
844051	162159	Herself
844051	223904	Herself and Roxie Hart
844051	308489	Herself
844052	323001	
844053	377281	
844054	406644	
844055	33673	
844056	13292	Patron
844057	237038	Helena
844058	403570	Herself
844059	310648	Female Teenager
844060	137330	
844060	218798	Lot Airline Girl
844061	40370	
844061	101708	
844061	102372	
844061	144069	Laura
844061	153103	
844061	180903	
844061	183244	
844061	205594	Mother Kilmank
844061	209505	
844061	210076	
844061	215694	
844061	237737	vergeßliche Frau
844061	275178	Frau Papendieck
844061	277713	Minna Planer
844061	290622	Violetta
844061	293166	
844061	361496	
844062	390053	Host (Challenge/Free & Fun) (
844063	144133	
844063	315585	Christine
844063	319618	
844063	385299	Anna Radek (1984-85)
844064	300056	
844065	405209	Kim (1998)
844066	203358	Improv Waitress
844066	231396	Jack Fry's Waitress
844066	276335	Woman at McClure's
844066	318386	Judy
844067	51771	
844067	95832	Good Mixer
844067	254525	Vera Van Swank
844067	270477	Leading Lady
844069	204060	
844070	11986	
844071	40779	Sängerin
844071	137412	
844072	102544	Emilia
844073	16227	Gisela
844073	33162	Sieglinde
844073	44672	Susan
844073	58836	Carola
844073	102544	Petra
844073	111675	Villenbesitzerin
844073	119705	
844073	144025	Reporter of 'Abendzeitung'
844073	170387	
844073	175290	Karin
844073	178849	Majas Mutter
844073	179608	Marlies Kolle
844073	187540	Carla
844073	191157	
844073	228158	
844073	256975	Chambermaid
844073	270689	
844073	281654	Mutter Schöneberg
844073	286575	Moderatorin
844073	288356	Sandra
844073	290584	Frau Wegfahrt
844073	290590	Frau Wehfarth
844073	293877	Cecilie
844073	302788	
844073	322833	Frau Schenkberg
844073	334712	Iris
844073	345918	
844073	390165	
844073	390929	Mona (1)/Quietschbeu Karl-Hei
844073	405449	Mechthild
844074	142209	
844075	43874	Susan
844075	43875	Susan
844076	35838	Anna Zastawna
844076	46770	Niemka
844076	66263	Danusia
844076	75976	Secretary
844076	75985	
844076	88519	
844076	95946	
844076	95960	Doctor
844076	111679	Ewa Rudy
844076	136364	Marta
844076	139867	Olenka
844076	146534	
844076	173735	Jacenty's Daughter-in-law
844076	213898	Zoska
844076	228691	Swistakówa
844076	237701	
844076	257321	
844076	266300	
844076	293070	Girl
844076	311255	Cleaning Woman
844076	341058	
844076	352367	
844076	361575	Bride
844076	379134	Jadwiga "Jadziunek"
844076	379864	Zosia
844076	412008	Marta Gabriel
844077	305829	Host
844077	386221	Host
844077	392502	Host
844077	404492	Host/Herself
844078	314671	Concert Singer
844079	80755	Cheerleader
844080	97585	
844080	97586	Edith Ann's Mother
844080	163625	Strip Club Waitress
844080	190273	Street Singing Trio
844080	245265	Edward's Friend
844081	163625	Strip Club Waitress
844081	190273	Street Singing Trio
844082	245265	Shoplifter
844083	44696	Irma
844084	186062	Socialite
844084	366585	Sarah
844085	74108	Narrator, German Version
844086	167564	Val
844087	404218	
844088	130007	
844088	229009	
844088	229179	Ursule
844088	304254	
844088	341326	
844088	411977	Alina Borisovna
844089	380815	Herself
844090	123532	Ghetto Teacher
844091	54421	Perfect young Italian
844092	97236	
844093	255350	Madame Cavalli
844094	126292	Dara
844094	137289	
844094	147567	
844094	166393	
844094	192890	
844094	197880	
844094	261353	
844094	271379	
844094	343785	
844094	351032	
844094	392654	
844094	399899	
844094	400405	Ruska
844094	401749	
844095	46066	Vera ...bolnicarka
844095	54173	
844095	78950	
844095	86734	Ciganka
844095	88134	
844095	89481	Andja
844095	94061	Jelena Todorovic
844095	95639	
844095	102259	Jeanette Messemer
844095	108777	
844095	155659	Jelena
844095	160593	
844095	171433	
844095	172464	Jelena
844095	178772	
844095	179779	
844095	181507	
844095	184362	
844095	192885	Vera
844095	192890	
844095	192904	Jelena
844095	197096	Jelena
844095	197097	Jelena
844095	197880	
844095	217300	
844095	223224	
844095	237854	Azra
844095	239816	Delia
844095	242967	
844095	246898	Darkova majka (segment "Maco 
844095	261295	
844095	261353	Nikolina majka
844095	265769	Antigone
844095	265909	Marija (segment "Srebrni meta
844095	266261	Katarina
844095	266649	
844095	267814	Glumceva zena
844095	276050	
844095	280380	
844095	312626	Jelena
844095	318140	
844095	318640	Jelena Todorovic
844095	333470	
844095	343785	
844095	375125	Jelena
844095	375126	Jelena Todorovic
844095	376231	
844095	393910	
844095	394813	Gospodja Novakovic
844095	401749	
844095	404626	
844095	410260	Seja Sljivic
844096	107954	Dvorna dama, Lady in waiting
844096	270605	Naha
844097	352784	
844098	367160	
844099	358547	Prostituee met Vroegop
844100	12615	
844101	149263	
844101	343160	Blonde
844101	363282	Woman
844102	50444	Extra
844103	376227	
844104	20661	Eva Stathatou
844105	390039	
844106	182525	
844107	886	
844107	10885	Female Cop
844107	244138	Pokojska
844107	284012	Vlasta Machacová
844108	2987	
844108	78206	
844108	118170	
844108	226712	
844108	307147	
844109	74411	Dolly, seine Frau
844109	223598	
844109	248204	Ila
844109	263975	Princesse Sonia
844109	268859	
844109	337047	Tatiana
844109	378518	Székely Klári
844110	182988	Carla Giovani
844111	165428	Jane (Adult)
844112	80776	Female Lieutenant
844113	148676	Wedding guest
844114	148676	Lady in red
844115	23506	
844115	95251	
844115	107839	Fräulein Berton
844115	199023	
844115	222796	Rose
844115	345905	Tilly Landau
844115	410048	Baronin von Richenau
844116	269535	
844116	344230	
844117	230196	Little girl
844118	6418	
844118	8129	
844118	8138	
844118	173326	
844118	173712	
844118	173717	Liza
844118	180308	
844118	238407	
844118	255784	
844118	258156	
844118	288143	
844118	304117	
844118	324779	
844118	329636	
844118	330326	
844118	369530	
844119	83988	The She Devils
844120	124833	Pippo
844121	17079	
844122	294662	Krysia
844123	298483	Die Hilfspolizistin
844124	58248	White mother
844124	90194	
844124	99251	Hedvika
844124	172957	
844124	175030	Pavla
844124	188869	Olga
844124	213843	Dr. Dása Zíbrtová
844124	224960	Lori Somková
844124	226464	
844124	227773	Pomnenka
844124	244287	Bozena
844124	267951	Dorotka
844124	286731	Eva
844124	304432	Luba
844124	373974	Marjánka
844124	387031	
844124	398744	Jana
844124	402367	Secretary
844124	402368	
844124	407278	Ruzenka Sípková
844124	407721	Herself
844125	2069	Vendor
844125	406473	
844126	124267	Effy French
844127	138656	
844127	233985	
844129	381382	Krankenschwester Therese
844130	34354	Dirne
844132	226702	
844133	311120	Herself
844133	393408	
844134	202160	Luigina
844135	105853	Maroucha
844135	189349	Liliana
844135	309975	La mère de Pédret jeune
844135	333327	Dancer
844135	400869	La concierge
844136	258120	Femme de Menage
844137	383812	
844137	401634	
844138	166746	Student
844139	263	Gwen, Age 12
844139	37176	Girl #1
844139	64098	Brianna
844139	138161	Emma Bartel
844139	188506	Danielle Farris
844139	197067	Teen Lucy
844139	221047	Kate Mason
844139	227469	Grace Sheffield
844139	287285	Rachel Green
844139	292138	Melinda Judd
844139	292586	Jo Ann Foley (age 14)
844139	398982	Grace 'Gracie' Sheffield
844140	26471	Rosie Wilder
844140	45860	Kelly Tyler
844140	57380	Amanda Windsor
844140	344331	Penny Jackson
844140	364709	Inger Christianson
844140	375515	Zoe
844140	398567	Elizabeth Hoffman (1995-1996)
844141	40208	Stefica
844141	42909	Vinka Sokcevic
844141	45712	
844141	58312	Nadstojnica Casne Sluzbe
844141	89492	
844141	94889	
844141	132504	
844141	147212	
844141	176652	
844141	181466	
844141	192894	Prijateljica
844141	209235	Masa
844141	229745	
844141	236019	
844141	242951	
844141	246909	
844141	263405	
844141	304136	
844141	326547	
844141	328216	
844141	338865	Doctor Vinkic
844141	357556	
844141	399149	
844141	408796	
844142	263	Gwen, Age 7
844142	32440	Young Lisa
844142	63013	Sarah Jackson
844142	80410	Kelly Ellis
844142	102247	Rachel Greene
844142	105723	Little girl
844142	109877	Chris McClain
844142	141544	Hostage Girl
844142	193960	Caitlin Caine
844142	195274	9-Year-Old Kate
844142	292586	Jo Ann (age 7)
844142	293098	Lisa Klinger
844142	315512	Nicole Holloway
844142	387728	Rachel Greene #1 (1994-2000)
844143	137300	Fatima
844144	15929	Naomi
844144	86892	Bride
844144	333517	Mason Dixon Operator 1
844145	2285	Herself - accepting Best Pict
844146	17259	Eve
844146	25412	Margaret Corbeck
844146	26529	Joanna Redwine
844146	34953	Maryanne Callahan
844146	44332	Vicky Walling
844146	46251	Herself - Party Guest
844146	46415	Janey Kirkland
844146	55536	Caroline
844146	57638	Janet Marston
844146	80380	Maura Loch
844146	99585	Linda Thompson
844146	117634	Katherine Danziger
844146	124504	Toni Thornton
844146	130829	Anya Andreyev
844146	133571	Beverly Cunningham
844146	158329	Mary Ellen Quinlan
844146	158791	Lily
844146	161241	Herself
844146	161342	Herself
844146	166873	Bonnie Whitney
844146	176962	Isobel Neiman
844146	188578	Debra Bishop
844146	193956	Celia Casella
844146	195969	Diana Rockland
844146	202511	Beth Garrett
844146	203169	Anne Beddingfield
844146	253509	Sarah Martin
844146	264427	Lynn Schaffer
844146	265873	Francis Aldobrandi
844146	275492	Laura Holt
844146	296227	Paula Pratt
844146	315310	Evie/Anya/Ara/Ginnie
844146	315619	Julie Pollard
844146	335346	Kay Spence
844146	339439	Connie
844146	356329	Ann Parkhurst
844146	364513	Cathy
844146	371375	Ann Talbot
844146	383780	Elly Zendt
844146	403158	Laura Holt (1982-1987)
844147	105819	
844147	163450	Samantha
844147	305493	Cynthia
844148	141863	Waitress
844149	36869	Nina
844149	366691	Madge Collins
844150	212283	(segment Dejstviye)
844150	266736	
844151	125791	Woman
844152	87551	Carly
844153	33835	
844153	180179	
844153	381631	
844154	60428	
844155	250760	
844156	42935	Phemie
844156	204885	
844156	281871	Emma Goldstein
844156	289593	A Revolutionist
844156	308359	Dolores
844156	367590	Henrietta
844157	6094	Ira Roletti, Primadonna
844157	204048	Lucynka, the maid
844157	225973	Janka Mirska
844157	248000	Mira Stella
844158	415	Johana Ovsená
844158	265139	Conductor
844158	268290	Johana Ovsená
844159	20624	Apache Dancer
844159	154154	
844159	276337	
844159	354557	
844160	66621	Gallery Person
844161	275182	
844162	222177	Beatriz
844163	79812	Girl in Line
844163	109076	Kyle
844163	148339	Assistant Kelly
844163	148568	Emily
844163	224818	Cassie Tilman
844163	269817	Female Patient
844163	294236	Zestfully Clean Woman
844163	311188	Echo
844163	359438	Vicky Portenza
844163	384945	Georgia
844163	390339	Penelope 'Penny' Barnes Barri
844163	392423	Herself
844165	297190	Sorority Girl
844166	16413	Visitor #1
844166	106378	Helen
844167	173166	
844167	294089	Athenerin
844168	302220	La jeune fille
844169	35883	
844169	126336	Josefine Matzner
844169	179830	Gräfin Stürgheim
844169	181164	Stephanie
844169	186957	
844169	187682	Frau Naprawnik
844169	188799	Wewerka
844169	225640	Frau Moll
844169	292096	
844169	360960	
844169	361084	Anna Meinhold-Aigner
844170	259780	Paparazzi
844172	1348	Herself
844172	42743	Mary Ann
844172	64556	Herself/performer
844172	87522	Vonnie Kaczmarek Rickman
844172	142370	Marlene
844172	175221	Maureen
844172	339049	Claire Hollander
844172	360726	Herself/Reva Shayne
844172	386603	Nola Dancy Aldrich #3 (1979-1
844172	390771	Reva Shayne Lewis Lewis Spaul
844172	400236	Bonnie Harmon (1978)/Echo DiS
844172	404282	Jodie DeWitt Walker (1992-199
844173	88655	Herself
844173	346757	
844175	186443	Herself
844175	221044	
844175	294692	Mimi in La Boheme
844175	335130	Jessie Matthews' singing voic
844175	395290	Champagne Lady (1960-1982)
844177	352042	Child
844178	121550	Guest's Wife
844179	50869	Suzie
844179	265678	Melanie
844179	319175	Dibner's Secretary
844180	142083	
844180	345925	Maria
844181	104027	Junge Estelle
844182	361400	
844183	34307	Barbara, Leah's 1st date
844183	40960	Laura
844183	122254	Kathrin Bahro
844183	178621	Romy
844183	189579	Lisa
844183	226329	
844184	39067	Jill
844184	155248	Dana
844184	240942	Herself (interviewed)
844185	28436	Anchorwomen Cindy
844185	113507	Ticket Agent
844186	406955	Clarence/Computer
844187	155013	Girl/Jack's movie
844188	76416	Anna
844188	77380	Anna Serjejevna
844188	93623	Olivia
844188	120037	Freule Julie
844188	159623	Angelique
844188	165367	Hertogin
844188	178799	Anneke
844188	180018	Cordelia
844188	188909	Liza Protasova
844188	195030	Vrouw van kommandant
844188	195163	Paulette
844188	197214	Doenja
844188	209733	Nina
844188	210321	Gella
844188	244753	Louisa
844188	339682	Trijn Cornelis
844188	345489	Student
844188	382453	Francine Van Acker
844188	384041	Francine Van Acker
844188	386056	Mia Muys (2002-)
844188	396568	Marleen Michaud
844188	411116	Elza van Berckelaer
844188	411578	
844189	291839	Marsha
844190	112917	Straatinterview
844191	154484	Daughter
844192	2234	Gina
844192	117558	Tall Woman
844193	363488	Cocktail Waitress
844194	115062	Special Movement
844195	158151	Cafe Waitress
844196	307372	Additional Voices
844196	313400	Crewman/Imperial Officer
844196	313434	Additional Voices
844196	369460	Female Civilian
844197	379583	Ana
844197	384775	
844197	390085	Valeria Giménez
844197	395042	La Turca
844198	263314	Agnes
844199	158079	
844200	287169	
844201	82046	
844201	148203	Fashion Model
844201	220978	Lois
844201	265821	
844201	273544	Business Woman
844201	274188	
844201	292208	Dr. Shepherd
844201	380391	Cherie (1998)
844203	301271	Detective
844204	276441	Girl on the Street
844205	135569	Woman on buckboard
844205	188507	Patrol Cop
844205	202728	Girlfriend #3
844205	222704	Park Mother #2
844207	17108	
844208	353500	Herself (Model)
844209	275871	Sentinal Cheerleader
844210	108087	Dancer
844211	230934	Art Gallery Guest
844212	14776	
844212	34511	
844212	43756	(segment "Primeiro de Abril")
844212	84524	
844212	97812	Maísa
844212	98736	
844212	104133	
844212	168134	Verônica
844212	187573	
844212	204149	
844212	224991	Lúcia
844212	241180	
844212	343645	Violin
844212	384922	
844212	386122	Joaquina
844212	386420	Cecília
844212	386726	Adelaide
844212	387901	Andréa
844212	393286	Açucena
844212	396610	Rachel (1999)
844212	396899	Sandra
844212	397539	Magda
844212	402928	Sílvia
844212	407251	Carlinha
844212	409814	Marina
844212	410096	Marta
844213	131227	Susan (nurse)
844213	233307	Reporter #5
844214	13099	Anna Lisa Santoro
844214	242822	
844216	249635	
844216	342138	
844216	356748	Bonnie
844216	359614	
844217	91045	
844217	102528	Tana
844217	114481	
844217	125321	Jill Monhaupt
844217	147169	Anne König
844217	178661	Pamela
844217	217916	Carmen Lopez
844217	245995	Anna Starndorf
844217	290503	Nadine
844217	293706	Patrizia
844217	334713	
844217	345678	Angélique Labiche
844217	350931	Frau im Auto/Party
844217	354368	Empfangsdame Brainstorm
844217	364201	Assistant Doctor
844217	382829	Carola von Auerbach
844218	300801	Heidi
844220	317001	
844221	290665	
844222	376399	
844223	286575	Frau in Kirche
844224	204491	Neufeld
844225	40384	
844225	361983	
844226	404452	Julie #2
844227	290164	
844228	233346	Cuidadora Centro
844228	263089	Mourner
844229	201206	
844230	1826	Pepes Freundin/Pepe's Girlfri
844230	99903	Emilia Galotti
844230	139708	Dany
844230	220512	Jessie
844230	233174	Käthe
844230	257267	Lisa
844230	290211	Cleaning Woman
844230	317491	Margarethe von Oven
844231	121930	Renate
844231	175321	Barfrau
844231	189692	Renate
844231	321391	
844232	325758	
844233	379532	German host (1987-2002)
844233	410398	Host (1997-)
844235	356566	Elsy Furst
844235	375869	
844235	406318	Lisa
844235	409625	Jessica Falkenberg (1997-1999
844235	409958	Nicola "Nico" von Lahnstein, 
844236	179005	Grandma
844237	204753	Tara
844238	271195	Rosalie
844239	81062	Dutch Villager
844240	147885	Fatal
844240	184571	Jennifer
844241	176966	Babs
844241	280016	Screaming Sorority Girl
844242	178849	Hockeymädchen
844243	386030	Potylichikha
844244	223594	
844245	104699	Vandersexxx Girl
844246	59302	Herself
844247	214799	Líza
844248	135548	
844248	155383	
844248	180885	Die moderne Frau
844249	312927	Shannon Wallace
844250	142726	
844251	9623	Desirée
844251	194857	Jenny
844251	212257	Hotel Desk Clerk
844251	350247	Waitress
844252	272055	Young woman
844253	292985	
844254	264423	Faida
844256	217280	
844256	220693	
844256	228927	
844256	263682	
844256	298611	
844256	339231	
844256	374764	
844257	37816	Marie
844257	104254	
844257	171418	Madeleine
844257	225121	
844257	283758	Strinsla Rosenroll-Marchion
844257	290746	
844257	325635	Maya
844257	376416	Nurse Julie
844257	377367	
844257	388798	Sylvie
844257	396285	Maja Lüthi (1999-????)
844258	200281	Singing child
844259	142985	Cocktail Lady
844260	254485	
844261	261887	
844262	148886	Nurse Tarika
844263	7623	Myriam Bechet
844263	17626	Annabelle
844263	111039	
844263	346418	Nathalie
844263	351710	L'assistante de TV8
844264	24960	Zevilina
844264	276447	Melisendra/Dulcinea
844264	309141	Bradamante
844265	17856	
844266	214858	
844267	11934	
844268	306313	La strip-teaseuse
844269	495	
844269	9946	
844269	20853	
844269	57867	
844269	69003	Fanny
844269	70675	
844269	74508	
844269	74872	
844269	74960	
844269	75150	
844269	90192	
844269	106315	
844269	121256	
844269	145238	
844269	152232	
844269	186147	
844269	199818	
844269	205702	
844269	210262	Invitada 3
844269	221575	Amiga de Camila
844269	222027	
844269	236412	
844269	236760	
844269	239276	
844269	266470	
844269	309245	
844269	322249	
844269	332715	
844269	354046	
844269	356665	
844269	376735	
844270	25330	
844271	354117	
844272	405308	Recurring Guest
844273	381559	Herself
844274	145415	Party Goer #6
844275	64262	House owner (Podvodník)
844275	149244	
844275	165062	Eliska
844275	328217	Hilda
844275	356441	Innkeeper
844275	374244	Grandmother
844275	376553	Fejfarová
844276	265558	Herself - former Ziegfield gi
844277	160078	Anna
844278	64840	Judy
844279	259644	Rica Zeisig
844279	259648	Frau Schellow
844279	259661	
844279	325573	
844279	352367	
844280	78435	Gloria
844280	109298	Defektricen
844280	123040	Sygeplejerske
844280	138573	
844280	181736	Portnerkone
844280	182623	
844280	360846	
844280	382884	2. Madamme
844280	385525	Tanjas mor
844280	387293	Ebba Svendsen
844280	392161	Various roles
844280	398855	Fru Petersen
844280	408597	Pølsevognens Emma
844281	64823	Anna Shinjo (English version)
844281	386236	Takae
844282	171094	Reporter
844283	171158	Jennifer Brown
844284	53024	
844284	67424	
844284	71158	
844284	94664	Elena Von Schaffer
844284	109079	
844284	131726	Renata
844284	159740	
844284	188659	
844284	205260	Gloria
844284	216038	Dolly
844284	235781	
844284	262707	Daisy
844284	270872	
844284	309166	
844284	332952	Liana
844284	351611	
844284	352252	
844284	357971	
844285	2599	Monika
844285	21409	Gerda Heske
844285	23111	
844285	25924	(from "48 Stunden bis Acapulc
844285	101326	Margot
844285	123023	Claudia
844285	142213	Vera
844285	144101	Germanenbraut
844285	164459	
844285	180997	
844285	218071	Herself
844285	225201	
844285	225204	
844285	304459	
844285	343499	Patricia Keller
844285	365610	
844285	401783	
844285	408388	Frau Piccaud
844286	18137	Nicole
844286	226413	Luisa
844287	102514	Mandy Robinson
844287	292700	Lesia
844287	302468	Kathy Wigger
844288	155473	
844289	119581	Crissy
844290	25794	
844291	198837	Lucy Baker
844292	3563	
844292	23588	Amelia
844292	35740	Beverly's Mother
844292	63768	Suor Incatenata
844292	77133	Dr. Morini
844292	108713	Loredana
844292	127385	Roberta Carbone
844292	157786	Mother Superior
844292	158553	Susanna
844292	162037	Susan
844292	175638	Brothel Owner
844292	189125	
844292	193775	
844292	201368	
844292	219320	
844292	262707	The Lady
844292	269109	la madre
844292	269477	
844292	292273	
844292	301354	
844292	311258	
844292	342112	Salvemini's Friend in the Bar
844292	343743	Mimi
844292	353132	
844292	353335	
844292	355120	Lucia
844292	402780	
844293	101429	Hotel receptionist
844294	62579	Court Audience & Jury Member
844295	216609	Sergey's mother
844296	7006	Levi Bell
844297	72706	Saleswoman
844297	132813	Maria Lebrun
844297	141659	Apartment woman
844297	202511	Ina
844297	346223	Nun
844298	12138	
844298	187962	
844298	376809	
844299	10484	
844299	14930	
844299	56108	Agustina
844299	145046	Cabin attendant
844299	215589	Teresa (adult)
844299	217054	Profesora
844299	302371	
844299	324502	Woman Investor #1
844299	405102	Nadia
844300	184520	Girl
844301	315949	Elenor
844301	317491	
844301	381694	Susanne
844302	72148	Whitney Todd
844302	138382	Caroline Fosterian
844303	12203	Librarian
844303	37210	Receptionist
844303	195518	Sarah
844303	213654	Girl in Video Tape
844303	250404	2nd Catty Woman at Party
844303	264785	Kenny's secretary
844303	275762	Nurse
844304	138821	Linda
844305	20360	Sonia Kapoor
844305	62751	Madhubala (Madhu)
844305	86637	Shalini
844305	86649	Shalu
844305	86672	Pari
844305	86678	Preeti Nair
844305	86745	Rani (Guest Appearance)
844305	109309	Kajal Singh
844305	138929	Jahnvi
844305	143890	Reshma/Ruksar
844305	172539	Naina Catherine Kapur
844305	176169	Priti
844305	179393	Nisha
844305	182338	Priya Baxi
844305	184146	Romila Dutta
844305	215835	Sufiya Parvez
844305	262911	Shailaja (Janu)
844305	271452	Rani
844305	287392	CBI Officer Reet Oberoi
844305	307352	Preity
844305	351139	Zaara Hayat Khan
844305	370973	Sakshi
844306	140978	Cashier
844307	217771	Hedi (Fräulein)
844308	1201	
844308	379816	Danae
844308	387378	
844308	389583	Zoe
844308	404232	
844309	386638	Dorita Markatou
844310	247571	Film Buff
844311	15799	Mandy
844311	219262	Tramperin
844311	307553	Jo
844311	313653	
844311	325669	Mila Moosbach
844311	325807	Silke Wulf
844311	325814	
844311	356879	
844312	379345	Additional Voices
844313	367242	Women at the train station
844314	173065	
844315	189740	Reni
844315	270282	Ruth
844315	312644	Juliane Wagner
844316	23723	Waitress in cafe
844317	11766	
844318	23723	Cafeteria's cashier
844319	201061	Glenda
844320	91720	Toni
844320	190690	Nurse with dying patient
844320	405665	Phoebe Small
844321	209994	Waltraud
844321	325679	Journalistin
844321	325760	Freundin
844321	352080	Gast
844321	406724	Protokollführerin (1999-2000)
844322	364729	Talia Hartman
844323	290511	
844324	388734	Kris
844324	390410	Esther de Blauw (1997)
844325	2152	Bridget
844325	297979	Party Guest
844325	317956	Alanna Bloom
844326	31456	Krishna/Les amis de Solor
844327	155090	Britt
844328	315242	
844329	94317	Bespectacled student
844330	7285	Kathy
844330	212329	
844330	244227	
844330	315927	
844331	405506	Bela
844332	103067	
844333	223640	
844334	185220	Herself (Holocaust survivor)
844335	185220	Herself (daughter)
844336	190252	The Model
844336	295032	Inga
844336	387711	
844336	394227	
844337	311050	Herself
844337	367883	Herself
844337	391835	Talking head/soundbites (segm
844338	31905	Mary
844339	143514	
844339	264751	
844340	12228	Tony's Mom
844341	224106	Hungarian Musician - Second V
844342	259871	Regine
844343	33526	Marthe
844343	238127	Arts
844343	336428	Ine
844343	352258	Moeder
844343	385145	Marlies Moerman
844344	263256	
844345	158056	Baroness Cara Michelle du Val
844347	74973	
844348	64318	La mère
844348	83216	Yvonne the Chambermaid
844348	289565	Yaël
844349	98966	
844350	399767	
844351	173814	
844352	81509	
844353	26262	Extra
844354	11934	
844354	63779	Tatiana
844354	108902	Muriel
844354	116992	
844354	351550	Emma
844354	353931	
844355	359205	Grandmother
844356	245128	Dr Lydia Langton
844357	156547	Dilcia
844357	385069	Maria Elvira Narvaes
844357	387922	Laura
844357	398165	
844357	398478	Mariana Ferrer
844357	402452	Brenda
844357	405865	Isabel Anzola
844358	254219	Stara Petrija
844359	58299	
844360	174112	
844361	320497	
844362	333928	Svetlana
844363	222441	Mali Mare
844364	209362	
844365	281320	
844366	6168	
844366	28408	Mara
844366	57401	
844366	72093	
844366	74180	Olga
844366	74781	
844366	75748	Zivka Popovic
844366	81408	Rouz, tj. Ruza Popara
844366	94062	Milka
844366	137291	Siromasna seljanka
844366	155662	
844366	163928	Babakina
844366	166972	
844366	169100	Zoki
844366	180418	
844366	181474	Bisa
844366	181530	Andja
844366	182252	Sekretarica
844366	183882	
844366	187014	Dara
844366	197105	Zivka
844366	207240	Mara
844366	221340	Majka Kize i Lemija
844366	226830	Vojka
844366	229715	Direktorova sekretarica
844366	237494	Tankosava
844366	254219	Jelena
844366	259834	Vidosava Pajkovic
844366	261233	Mila
844366	263528	
844366	271379	
844366	284867	Lepa
844366	294156	Emina majka
844366	307148	Ruza
844366	311459	Nadezda
844366	316448	
844366	318154	
844366	324273	Rosa
844366	324481	
844366	328709	Sida Pantic
844366	339624	Radinka
844366	343867	Djina - Zaklina (Mileva)
844366	349153	Rada
844366	349159	
844366	349216	
844366	350665	
844366	351007	Stoletova zena
844366	351322	Marta
844366	355199	Jelena
844366	375744	Doka
844366	381182	Koviljka, udovica
844366	389113	
844366	394061	
844366	394110	
844366	399899	
844366	405506	Siljina majka
844366	406316	Djilda
844366	406567	Jovanka Ljutic
844366	411900	Profesorka fizickog
844367	287519	
844368	134763	
844369	11635	Nicole
844369	99825	Christine
844369	187091	Julie
844370	78139	Female Trainee
844371	1703	Herself
844371	1759	Bai Ling
844371	131395	
844371	169044	
844371	201586	Herself
844371	210537	Sayuri Nitta
844371	216654	
844371	222906	Princess Bu-yong
844371	283713	Hu Li
844371	298691	Mei
844371	300389	Joy
844371	344496	Jen Yu (Crouching Tiger, Hidd
844371	367130	Zhao Di, Young
844371	367149	Jen Yu (Mandarin version)/Jia
844371	371615	Moon
844371	402862	Herself/#13
844372	236048	Zizi
844372	245115	Rachel
844373	53017	Maria
844374	313849	
844375	67346	Meredith Weaver
844376	337864	
844377	82204	
844377	180011	
844377	181366	
844377	231723	Old Woman at Hospital
844377	343338	Katarzyna's Neighbour
844377	373613	
844378	306103	
844379	59928	
844379	329703	Rebecca
844380	6220	
844381	293844	
844382	370460	Lyulyuche 4
844383	187970	Devojcicina majka
844384	9473	
844385	180128	
844386	244624	Babata
844386	305285	
844387	95471	Brothel
844388	357276	Gazdarica
844389	43931	Annie
844389	315259	Liz
844389	321955	Additional Voices
844390	94056	
844391	74176	Rudolfova majka
844391	74782	The Witch
844391	167318	
844392	90220	
844393	10258	Tsigan's Mother
844394	217356	
844394	257484	
844395	274199	Natasha
844396	384590	Herself
844397	170231	Herself
844398	24038	
844398	130934	
844398	145347	
844398	147175	
844398	149363	Judy White
844398	177185	Tante Ilona
844398	237827	Agafja
844398	281944	
844398	338436	Loni Fuchs
844398	348043	
844398	348045	Elke
844398	348046	
844398	387161	
844398	389337	Mutter Broschat
844398	389956	
844398	402374	Frau Schmitting
844398	408386	
844399	7370	
844400	79650	
844401	173101	Herself
844401	307148	Pevacica
844401	394110	Pevacica
844402	258819	
844402	265139	Anca
844403	281454	Julia
844404	281454	Sam
844405	134246	Little Gretchen
844405	201506	Herself
844406	305560	
844407	350680	
844408	350680	
844410	337222	
844411	263134	Directrisa
844412	225969	Miss of the castle
844413	65170	Seismographic Engineer
844414	344412	
844415	225143	
844416	6395	Ariane
844416	20330	Samantha
844416	39711	
844416	54393	Anne Brisseau
844416	94239	Sibye Carrère
844416	105786	Regina
844416	118753	
844416	121413	Coco
844416	171595	Marie-Madeleine
844416	202829	
844416	288893	
844416	298184	Countess Zanda
844416	318493	Coco
844416	345366	Romane
844416	381321	Princesse Mahary
844416	384965	
844416	395094	Lucie Baptiste
844416	395095	Lucie Baptiste
844416	395096	Lucie Baptiste
844416	404041	Lucie Saint Roch (2002-)
844416	406790	
844416	407272	
844416	409443	Armoni Bellair
844416	409759	
844417	99688	Herself
844417	201969	
844417	211630	La concierge
844417	324483	Pablo's Friend
844417	345434	(episodes 3 and 4)
844418	308213	
844419	31459	
844419	302869	
844420	102342	Chicago cast
844420	113993	Kim
844421	117575	Football Players
844422	79120	
844423	39043	
844423	77180	
844423	140004	
844423	156189	Mrs. Tesoro
844423	184895	
844423	246093	
844423	255751	Marie's Mother
844423	267937	
844423	325366	
844424	359356	Monteiro's Wife
844425	43956	Oprah
844425	149357	Sable
844425	151540	Coco
844425	302714	Psychic
844425	313869	Jane Collins
844425	368894	Ann
844426	222311	Emma
844427	403487	Herself/X-Treme (2004)
844428	91929	Alexandrie Bogdanova
844428	252424	Tatiana
844429	82314	
844429	156223	
844429	173374	Zeynep Baci
844429	181667	The second wife
844429	308290	
844429	335938	
844429	370271	
844430	10054	
844430	55975	
844430	73599	
844430	110385	
844430	111154	Lucy
844430	129928	
844430	163688	
844430	173750	Karin's assistant
844430	233475	
844430	243618	
844430	260734	
844430	288941	Prisoner
844431	390393	Wild girl (17 years)
844432	10058	Infermiera Ersilia
844432	12730	
844432	17915	
844432	25323	
844432	36512	La regina Maria Antonietta
844432	38776	
844432	53863	
844432	53998	
844432	56101	Donna Rosalia
844432	57828	Cinzia
844432	57969	
844432	69941	
844432	71294	
844432	90664	La madre di Savina (segment "
844432	104284	
844432	104475	
844432	111427	La signora Porro
844432	112638	
844432	112675	Isabella
844432	113703	La cameriera degli Aroca
844432	132993	
844432	158760	La portiera di casa Le Cloagu
844432	162067	Lady Margareth
844432	200507	
844432	202762	La cameriera dell'albergo
844432	206028	
844432	212600	
844432	217109	Contessa de Bevilacqua
844432	217118	Yvonne
844432	243635	Blandina
844432	255101	Mrs. Gigliotti
844432	255868	
844432	263918	Teresa
844432	269469	
844432	269638	
844432	270318	
844432	272771	
844432	273142	La signora Speranza
844432	278319	Giovanna, the housekeeper
844432	279913	
844432	281166	Lady Montague
844432	290004	
844432	291547	
844432	292284	Contessa Serbelloni Mazzanti 
844432	295151	
844432	307073	
844432	351585	La madre di Concettina (segme
844432	354450	Gabriella
844578	402587	Doña Barbarita
844432	377576	Una cliente della casa di mod
844433	166940	Girl in Pool
844434	13432	Nurse (segment "Hospital")
844434	49763	Verrill's secretary
844434	237604	Kevin's Mother
844434	307457	Hospital Receptionist
844434	387245	
844435	195415	Vanessa Warren
844435	327632	Drunken Bridesmaid
844436	174796	
844437	320801	Zelda
844438	307881	Little Girl at Party
844439	3401	
844439	8183	Herself
844439	69416	Negus the Dog
844439	76805	
844439	93203	
844439	282681	Ho
844440	81062	Dutch Villager
844441	22730	Laurie
844441	33041	Laurie
844441	130307	Irene
844441	279460	E.L.'s Girlfriend
844441	301222	Amie Cooper
844441	303966	Rachael
844441	363996	Arlene Gelb
844441	390771	Eden August #2 (2003-2004)
844442	93139	Nurse
844443	355980	Fan
844444	395090	Klio Theodorou
844445	379772	
844446	59829	Paige Grunion
844447	123451	Margie Wallace
844448	123451	Helen Wallace
844449	180113	
844450	163978	
844450	356642	
844451	117308	Karmen
844452	43432	Catarina Bonanno
844452	54872	Fiorella
844452	83771	Little Lucia
844452	105606	Reporter
844452	289094	Isabella
844452	307686	Basemah
844452	337377	Titina
844452	338668	Marta
844453	55768	
844454	367083	Running Girl
844455	43932	
844456	28852	Blonde
844457	289128	Girl On Bridge
844458	411809	Jessica Steele (1982)
844459	18222	
844459	100625	
844459	193481	
844459	209071	
844459	234701	
844459	326217	
844460	338984	Schoolgirl
844461	80809	Waitress
844461	83043	Jen Fornolpolis
844462	260881	Thymesia
844463	62853	
844464	398689	Miryam
844465	62853	
844466	8658	Laura
844466	12937	Frau Schlumberg (2002 Directo
844466	33491	Sister Giuliana
844466	41393	Sonia
844466	52557	Renya Weiss
844466	78217	Grandmother
844466	82327	Eleanor Rose
844466	87507	Anna
844466	105711	
844466	120609	Elena
844466	183717	Mrs. Agnes Cilak
844466	203475	Peter's mother
844466	281997	Daisy
844466	360100	Atoller
844467	4161	
844467	8654	
844467	10947	
844467	15831	
844467	24531	Teenage Aya
844467	36168	
844467	36260	
844467	76739	
844467	82306	
844467	88380	
844467	106710	
844467	109393	
844467	165946	
844467	199421	
844467	205321	
844467	233271	
844467	246587	
844467	262853	
844467	271032	
844467	296613	
844467	297041	
844467	303006	
844467	341773	Jasmin Abudi
844467	343417	
844467	373655	
844467	375116	Eliazara
844467	398267	Sharon
844467	406266	Maggy Lejeune (2002-)
844467	407173	Herself (1996-2002)
844468	206260	
844469	210286	Little girl
844471	47004	Runway Model
844471	277140	Dinner Guest
844472	387956	Herself
844473	141653	Bank Teller
844473	207238	Denise
844474	13221	
844474	100610	Joulia Dekavalla
844474	174473	
844474	174486	
844474	226884	Athena
844475	3961	Iris #1
844475	77906	Mia Alice
844475	81152	Screaming Demonstrator
844475	137031	Addict Vickie
844475	182507	Princess Miyu (Dub)
844475	267536	Mari (English version)
844476	69167	Herself
844476	69169	Herself
844476	69170	Herself
844476	104757	Swiss entry (4th place)
844477	124472	
844478	399130	Vanessa Bailey (1988, 1989)
844479	313522	Monica Davenport
844480	48332	Ola
844481	340202	
844482	80558	Café Patron
844482	217820	'Succulent Lip' Woman
844483	77833	
844484	186637	Eva
844484	263955	Eddie's Girlfriend
844485	236697	Woods' guyess
844486	330271	Ms. Richardson
844487	28067	Singing child
844488	61808	Woman Refugee (segment 1)
844489	160000	Melody Lounge Dancer
844490	57654	Newscaster
844492	301384	
844493	368737	
844494	3197	Eszter
844494	29449	
844494	50463	öltöztetõnõ
844494	96202	Capuletné
844494	99524	
844494	153968	
844494	202496	
844494	212825	Polyákné
844494	244323	Olga Sass
844494	284581	
844494	322052	Grandmother
844494	378283	
844495	313529	
844496	387956	Herself
844497	4983	
844498	239440	Makhotin's Wife
844498	357128	
844498	357225	
844499	341331	
844500	174975	
844501	376234	Girl Friend
844502	162747	Herself
844503	10844	Female Student #1
844503	53036	Nicole
844503	116727	Penny
844503	126716	Sara
844503	294248	Holly
844503	332169	Janelle
844504	5150	Reporter #1
844504	47334	Fan at Waldorf
844505	73318	
844506	28537	Tanuló
844507	327055	Leonora
844508	74395	Ella,Kertessy lánya
844509	95525	Herself
844509	386642	Herself
844510	208397	
844510	360853	
844511	13637	Mrs. Ratofsky
844511	59536	
844511	78217	Mrs. Bittleman
844511	106617	Elderly Woman
844511	121785	Bag Lady
844511	177309	Old Woman in Hospital
844511	190796	Patient
844511	235618	Lunarcruiser
844511	236786	Mrs. Shuman
844511	283551	Mrs. Sadvoranski
844512	293700	Radio Operator I
844513	157767	
844514	81033	Jill (segment "Folklore")
844514	279010	Chloe
844515	149931	Passenger
844516	120972	Marie
844517	20916	Etienne's neighbour
844518	313033	Les collégiennes
844519	28432	
844519	126457	
844520	361350	
844521	115722	Maggie
844522	175091	Bruidsmeisje
844523	405762	
844524	229719	Herself
844525	57262	Leroyer
844525	386103	Gérard
844526	385277	Herself - Marketing
844527	162364	Woman in parade
844527	190878	Lily Carraway
844527	224834	Samantha
844527	233920	Mrs. Goodloe
844527	364750	Voice of Virginia Gordon
844528	370378	
844529	109938	Francine the Waitress
844529	131636	Mrs. Wheeler
844529	251011	Speech Therapist
844529	363947	Aunt Jessie
844531	383355	Fabiana
844531	386542	Fabiana
844532	77	Herself
844533	125760	La bidella
844534	13544	
844534	25301	
844534	26682	
844534	36511	Patricia Utterson
844534	52784	La moglie di Alfredo
844534	56034	Anastasia
844534	58041	
844534	61061	Comm. Pasquetti's sister
844534	69950	
844534	89578	Luisa's mother
844534	102400	Nemea
844534	119075	Aunt Mary
844534	125667	Vanna
844534	127985	
844534	128030	
844534	185954	
844534	217758	La Governante
844534	265194	Sara
844534	289440	
844534	300781	
844534	307067	La fanciulla sedotta
844534	307336	
844534	317718	La contessa Bernabei
844534	327451	Letizia
844534	327912	Sarah Morgan
844534	336564	La Direttrice
844534	336604	Fulvia
844534	354231	Mayor's Wife
844535	108113	Wife of Uncle Michele
844536	440	Luciana Frassati
844536	22001	
844536	63701	
844536	78015	Venetian Wife
844537	148462	
844537	208300	The Cat
844537	283236	Specialty dancer
844537	344597	
844538	328389	
844539	37908	
844539	43167	Kajal
844539	168364	Jenny
844539	219396	Pinkie
844539	222282	Sonali Verma
844540	30257	
844540	34189	Herself
844540	320551	Herself
844541	89481	
844541	91351	
844542	212019	
844542	240078	
844542	309355	Anna
844543	104772	Greek entry (12th place)
844544	233503	
844545	394572	Nina Nikolaou
844546	81559	
844546	229408	Sestra v intenzivni
844546	304454	Retired teacher
844546	344046	Saleswoman
844547	87942	model in Courrèges sequences
844548	16156	
844548	33553	
844548	68896	La Picard
844548	86890	
844548	89848	La Colombani
844548	156558	
844548	167243	
844548	206239	
844548	220752	
844548	258322	
844548	281580	
844548	340117	
844548	345100	
844548	357861	
844549	296100	Mary's sister
844550	22122	Nina
844550	95755	Lea
844550	162659	Becki
844550	176632	Gila the waitress
844550	184012	Oshrit
844550	232660	Debbie
844550	261794	Shoshana
844550	388943	Shira
844550	392988	Noga
844551	376772	Engel
844552	271421	L'enfant du Douar
844553	29055	
844554	70612	Continuity
844554	299287	Carol
844554	391150	Vera
844554	401778	Breakfast TV Presenter
844555	49739	
844555	262504	
844555	356435	
844556	258575	
844556	258784	
844556	305526	
844556	307735	
844556	375425	
844556	383805	
844556	385271	Zorica
844556	393168	Trudnica
844556	395440	
844556	395837	Duda, Tozina kci
844556	400481	Skojevka
844556	406112	
844557	59685	Tessa
844557	105035	Judy
844557	161078	
844558	86102	
844559	259880	Natasha Makarova
844560	217278	
844560	245897	
844561	84414	
844561	186866	
844561	219426	
844561	261332	
844561	278837	
844561	374719	Natasha
844562	116523	Gloria Vance
844562	131005	Olga Samara
844562	154784	Countess Tanya Vronsky
844562	195190	Marina Von Minden
844562	196404	Madeline Laslo
844562	235226	Herself
844562	240993	Vera Barnova
844562	313377	Herself - That Old Black Magi
844562	329560	
844563	132145	Governess
844563	154473	
844563	170008	
844563	187810	Nightclub owner
844563	202302	
844563	228651	
844564	200129	Nedda
844565	30071	
844565	53218	
844566	448	
844566	9746	
844566	41398	Popescu's Secretary
844566	49587	
844566	88203	
844566	129429	
844566	138941	
844566	250878	
844566	264326	
844566	294047	
844566	296428	
844566	317876	Gypsy Woman
844566	377586	Physic Teacher
844567	295504	
844568	295504	
844569	236340	Herself
844570	41667	
844571	33565	Dancer
844572	142985	Corrections Officer
844573	209492	Media person
844574	64933	Stripper
844574	86319	Violet
844574	274409	Violet Lee Lucas
844574	274410	Herself/Violet
844575	54355	La modista
844575	395438	Presenter
844576	74140	
844576	216303	Portera
844577	281056	Ursula Gate 37
844578	34574	Mercedes
844578	69929	
844578	74624	
844578	79133	
844578	87072	
844578	103760	Elvira
844578	118166	Esthercita
844578	124586	
844578	135119	
844578	135366	
844578	143992	
844578	161956	
844578	193502	
844578	199958	Assunta
844578	228761	Dra. Marta Caminos
844578	236751	Carlota
844578	253779	Emma Rieux
844578	258483	
844578	266676	
844578	296471	
844578	302375	
844578	309246	(segment "Corazonada")
844578	334448	Rosa
844578	338945	
844578	340068	
844578	351689	La maestra
844578	352000	Ana
844578	378496	
844578	378658	Dora, Tomás' grandmother
844578	379900	
844578	380582	
844578	380840	
844578	383974	Ana
844578	387573	Mercedes 'Mechita' Dugan viud
844578	389780	Matilde (Mother of Roxana 'Ro
844578	395310	
844578	401436	Doña Elena
844578	401437	Elena
844578	401692	Do?a Aída Morelli
844578	402721	Tina
844578	403366	Catalina
844578	403651	Mercedes Lozada
844578	405916	Margarita (2003)
844579	53574	
844580	60119	
844580	90099	
844580	121957	Erika/Wolfwoman
844581	80208	
844581	92333	
844582	82489	
844582	84426	
844582	91202	
844582	124673	
844582	237969	
844582	248874	Zhenya Burmin
844582	323635	
844582	374720	
844583	286040	La mariée
844584	269164	Colona I
844585	381898	Herself - Johnnie's Friend
844585	393878	
844586	316275	
844587	298609	Tourist's Wife
844590	54464	Mad Person
844591	86611	
844591	104429	Valya
844591	238820	
844591	349249	
844592	57810	Madre de Anita y Raúl
844593	373816	
844594	18230	
844594	217243	
844595	229915	Zoya Vertisheyka
844595	296051	
844596	16860	
844597	69299	
844597	407251	Patty
844598	5794	Direttrice scuola
844599	199287	Kate
844600	1029	Gina DiCaprio
844600	17154	
844600	23963	
844600	32203	Jody
844600	55280	Bonnie
844600	95211	Gwen
844600	99768	
844600	99981	Fortune Teller
844600	99986	Elena
844600	109486	Biker Babe
844600	117387	Asia
844600	128606	Herself
844600	139961	Star
844600	150088	Heather, Bijou's Friend
844600	219129	
844600	222330	Ramsay Amun/Hor-Shep-Sut
844600	226883	
844600	253511	Diane, Jessie's editor
844600	257438	Mia
844600	289428	Melissa
844600	295669	Leann
844600	295719	Claudia
844600	295728	Stacy Lovejoy
844600	295729	Wendy
844600	297321	Ellen
844600	302580	Nicole Williams
844600	314111	Melissa Bessler
844600	332096	Vixen
844600	396077	Herself (interviewed)
844601	316480	
844602	38248	Damiana
844603	23414	Kvinnan
844603	152793	Bella
844605	749	Rachida
844606	71953	La mère de Julie
844607	242540	
844608	57211	
844608	349941	Machinegun Lady
844609	10277	
844610	399141	Sùva
844611	10107	
844611	23160	
844611	51689	Antonietta
844611	63554	La concierge
844611	71862	
844611	87053	
844611	94244	L'avocate
844611	98220	
844611	156416	Ketty
844611	171416	Laragne-Garou
844611	218198	
844611	218248	Gervaise
844611	239094	
844611	249205	La soeur d'Anne
844611	287246	Récitante/Narrator
844611	314344	Anetta
844611	321759	
844611	340110	Nina
844611	380490	
844612	102225	
844612	125065	Jana Hallberg
844612	147141	Randy Gilges
844612	259443	Carol Reeding
844612	259462	Carol Reeding
844612	259567	Carol
844612	259604	
844612	259679	Marianne Stadler
844612	288049	Sara
844612	290770	
844612	313021	Moira Dingo
844612	313664	Bardame Odalis
844612	325464	Helen
844612	325903	Liz
844612	332723	Esther
844612	339585	Jana Hellberg
844612	386637	Lea
844612	395505	Calida
844612	395508	Georgia
844612	411161	Kabea Sadoga
844613	197584	
844614	205547	
844615	32571	
844616	341181	Ioustini
844617	381918	Herself ( Evicted 9th, 108 Da
844618	394021	Nora
844619	183095	
844620	6325	
844620	19040	
844620	25499	
844620	163763	
844620	179458	
844620	212589	
844620	379527	Kyveli
844620	387707	Eva
844620	388676	
844620	390838	
844620	394617	Maria
844620	402344	Matina
844620	409808	
844621	223719	Toula at 12
844622	15057	Chloé
844622	19197	Clara
844622	40563	
844622	58174	La jeune fille
844622	64333	Herself (1999)
844622	68360	Martine-Sylvine
844622	69061	
844622	83262	Gabrielle
844622	108223	
844622	146426	Zizi
844622	146866	Herself
844622	153871	Jackie
844622	190910	Lily
844622	191552	Marie/Marie Magdalène
844622	193553	Marie-France
844622	205752	Marie
844622	249209	Fan de Jeannot
844622	265198	Laura, sorella di Stefano
844622	275596	
844622	284504	Sybil
844622	301313	L'hôtelière
844622	304325	Female terrorist
844622	339541	Perrine
844622	402664	La concierge
844623	89832	
844623	259699	
844624	31702	Mirjana
844624	77211	Natalia Chevlikin
844624	154577	The Angel
844624	154902	Partygoer Philippa
844624	206458	Tanya
844624	208632	Petra
844624	285752	Rat Club beauty
844624	397436	Natasa
844625	222597	Full Circle shopper
844626	42980	Zoy Dek Sir
844626	375827	Night Club Door Person
844627	23763	
844627	160550	
844627	204739	
844627	351781	
844628	91063	Herself
844628	91064	Herself
844628	91066	Herself
844628	91067	Herself
844629	210158	
844629	411962	
844630	333120	Person of the Night
844631	377807	Soloist
844632	43107	
844633	272743	Trainerin
844634	42963	Musetta
844635	341912	Pudel
844636	119247	
844637	237160	
844638	6501	
844639	284355	
844640	224990	
844641	24068	Rena Rheum
844641	124893	Wilhelmine Webern
844641	325710	
844641	376573	Myrtha Glas
844641	393255	Dora Semig
844642	65090	
844643	102017	Józsa
844643	172041	Bambi
844643	209840	
844643	284184	Gál Dorothy
844643	343692	Pipi baronessz, Szitai húga
844643	343693	Mari
844643	377139	Ágnes,Bruckner lánya
844644	306936	Anna néni
844644	376615	Mamóka
844645	406432	Herself
844646	120851	
844646	308826	
844647	18712	
844647	108913	
844648	17079	
844649	28341	
844649	129506	Frau Botschafter
844650	180824	
844651	74432	Angéla's anyja
844651	74447	Tünde
844651	113108	Katica
844651	129672	Glória
844651	379094	Mari Kiss
844651	409099	Terike
844652	179641	Zsuzsi
844653	309342	
844654	29524	Zu
844654	74408	Bözsi
844654	97593	
844654	98793	
844654	226702	
844654	378263	Margit
844655	391479	Mia
844656	232470	Girl in Lane
844657	103755	Silvia's mother
844657	239257	
844658	258316	Bégonia
844659	29006	
844660	69881	
844661	8140	
844661	9238	Mônica
844661	36242	
844661	49167	
844661	76817	
844661	77389	
844661	184731	
844661	252516	Chica bar noche
844661	397606	Chelo
844661	404999	Celia/Cuca
844662	307100	
844663	180332	
844663	192903	
844664	85188	Gwen
844665	284468	Lilya
844666	404391	
844667	109970	Lily
844667	148735	Sarah
844668	125648	
844668	218995	
844668	318562	
844668	351348	
844668	357481	
844668	397392	
844669	30599	
844670	34425	Krankenschwester
844671	270612	
844672	3400	Elisa
844672	5291	
844672	7234	
844672	8709	
844672	14810	
844672	21585	Nicolas's Wife
844672	28336	
844672	53735	
844672	61351	
844672	67952	
844672	69129	
844672	69929	
844672	72887	
844672	80252	
844672	83501	
844672	86342	
844672	87090	
844672	99439	
844672	100264	
844672	100407	
844672	100652	
844672	106318	
844672	121978	Amante
844672	135381	
844672	148052	
844672	149197	
844672	160137	
844672	161768	Irene
844672	196734	
844672	197436	
844672	205668	
844672	206921	
844672	211300	
844672	212412	
844672	212454	
844672	215398	
844672	221667	
844672	233942	
844672	236437	
844672	249787	
844672	251584	
844672	252607	
844672	257892	
844672	265147	
844672	265158	
844672	267043	
844672	274961	Teresa
844672	285373	
844672	285374	Fantasma en la fiesta de Carn
844672	287463	
844672	292955	
844672	293579	
844672	300713	
844672	302301	
844672	308277	
844672	318002	
844672	332940	
844672	334650	
844672	339113	
844672	349845	
844672	350258	
844672	353616	
844672	371709	
844672	371732	
844672	374047	Teresa
844672	376721	
844672	376860	
844672	377162	
844672	377179	
844672	380840	
844672	380947	
844672	395477	Clara
844672	399711	Various Characteres
844672	401954	
844672	402321	Mónica Dalton
844672	409014	
844672	412312	
844673	412075	Tamara
844674	9864	Alam Ara
844674	24278	
844674	27509	
844674	28380	Aparna
844674	49165	
844674	135664	
844674	135667	Bakavali
844674	137815	
844674	152469	
844674	172559	
844674	200637	
844674	211458	
844674	227311	
844674	233169	
844674	247440	
844674	250511	
844674	264544	
844674	271427	
844674	271572	
844674	272486	Laila
844674	288569	Sardarba
844674	317785	
844674	351097	
844674	374037	
844674	394620	Ryzhaya nadziratelnitsa
844675	46666	Barbara Drew
844675	143052	Isabelle Grant
844675	165452	Nita Arliss
844675	200134	
844675	304444	Phyllis Montgomery
844676	221338	Wedding guest
844678	322335	Extra
844679	58225	Marina Legrand, Henery's Daug
844679	120813	
844679	125461	Suzette Binoche
844679	219849	Véronique
844679	353877	Monique
844680	386864	
844681	68912	Marta
844682	248287	
844683	356503	
844684	92052	Thea, la cameriera
844685	2210	Gwen
844686	28055	Anne
844686	163826	
844686	174395	Rowena
844686	189274	Pauline
844686	189275	Fatima
844687	29817	Sevillanas dancer
844688	155986	
844689	162755	Donna Sol
844689	202688	
844690	129335	Sayda
844690	349245	
844690	370186	
844691	10258	Zyemfira, the flirt
844692	10258	
844693	294825	
844694	166392	
844694	393847	Herself
844694	399007	
844695	263426	
844696	320679	
844697	312265	French Voice
844698	340029	Dying woman
844699	108092	Margareth
844700	307553	Ada Kind
844701	79675	Naked Woman
844701	225438	
844702	84439	Nun
844703	271344	Church Choir
844704	282000	
844705	63890	
844705	251850	
844705	301354	
844705	334479	
844705	356578	Chiara
844705	400788	
844705	409049	
844705	409092	
844706	406450	Thalia
844707	94646	
844707	119283	
844707	290836	
844707	375091	
844708	214957	
844708	230435	Prudence Hopewell
844708	242783	Elsa
844708	298122	Co-ed
844708	335875	
844709	12221	Kelly
844709	153645	Mrs. Corrado
844709	196328	Fred Koa
844709	252141	Serveuse No.2
844709	303236	Mrs. Cardonelli
844709	351826	Spectatrice
844709	409670	Martine Beaudoin
844710	2731	Fan
844711	265100	Serious Girl
844711	381312	Tina
844712	5644	Mannschaftsleiterin
844712	394338	
844713	138038	Theodora
844714	368063	Sarah, the Indian Girl
844715	72504	Chance Silvano
844715	390771	Marina Cooper #2 (1994-1996)
844716	9125	Make-up lady
844716	30582	Surgery Nurse
844716	45831	Woman with Program
844716	114152	Bread vendor
844716	127073	Bank Officer
844716	144913	Woman Smoking Pipe
844716	175621	Jurist
844716	223711	Customer
844716	223745	Gertrude
844716	224073	Guest at Wedding
844716	226937	Banquet Lady
844716	226938	Nurse
844716	226939	Dominique, Ludwig's Secretary
844716	272602	Elderly Lucy
844716	283944	Judge
844716	335880	Cafe Diner
844717	30582	Inheritor
844718	114152	Flower girl
844718	272602	Girl in Lobby
844719	150924	X-Ray Patient #1
844720	10901	Bordello reporter
844720	294141	Princeton Dream Girl
844720	316728	Drunken Wench
844721	55974	
844721	339200	
844721	373620	
844722	229260	Sarah Wicks
844722	399130	Erin Perry (2003-)
844723	187696	
844724	29550	Leah
844725	192596	Mandy O'Neill
844725	350488	Little Girl
844726	182948	Women's Army of Revolt/Citize
844726	274333	Karen #2
844727	302942	
844728	78941	Office Worker #1
844729	80645	Beach Witness
844729	209156	Mrs. Stein
844729	234240	
844730	14624	Leslie
844730	154775	
844730	316283	
844731	388787	Gerry
844731	395529	Sarah
844731	405696	Art Gallery Receptionist
844732	208988	Puppy Girl
844733	83216	Rosette Goldstern
844734	77752	
844734	103991	
844734	246191	
844734	247297	
844734	280900	
844734	354460	
844735	139902	Prima 2
844736	139902	Prima 1
844737	40212	
844737	163044	Masha
844737	189430	
844737	218995	
844737	223350	Billy Hughes
844737	258406	
844737	258597	
844737	261296	
844737	339490	Defence lawyer
844737	339628	
844737	349840	Valentina
844737	371344	
844737	373545	
844737	374875	
844737	375667	
844737	385990	
844737	410424	
844738	73423	Head Waiter Cobb
844739	274393	Tex
844740	351902	Receptionist
844741	356335	
844742	103229	La réceptionniste
844742	237332	
844742	354397	Mercedes
844742	385245	Véronique
844743	33662	
844744	373503	
844745	89986	
844745	171913	
844745	205797	
844745	223576	
844745	266172	
844745	398198	
844745	400481	Klara
844745	410363	
844746	178519	Nina Herbet
844747	25140	
844748	147311	Amál Viczián
844750	63800	Huriye
844751	359619	Klaudia
844752	223735	Tante Sjaan
844752	407166	Fientje[1971]
844753	4250	Aggie
844753	4741	Duif
844753	6333	Moeder
844753	10816	
844753	15264	
844753	53139	Trix
844753	110547	
844753	113061	Carmen Mikado
844753	124438	Moeder van Arnold
844753	147298	Jenny's moeder
844753	164265	Rechter
844753	168781	Angela
844753	170968	Marie
844753	181120	Mevrouw Top
844753	211053	
844753	214743	Mevrouw van Dam, Tibbe's hosp
844753	215309	
844753	226068	
844753	234879	Neighbour
844753	238127	Moeder Bakker
844753	241924	Brigitte
844753	242903	nurse
844753	243220	Mother of Marcel
844753	244467	Tante Lena
844753	255924	Hospita
844753	263302	
844753	278325	Truus
844753	305315	Hes' wife
844753	329894	Edith
844753	334736	
844753	341908	
844753	350310	Barbara
844753	357307	
844753	375524	
844753	376505	Mw. Wiegman
844753	392731	Thea van de Geest
844753	404907	Fiona
844753	410709	Wanda
844754	390242	Alexandra 'Alex' Huygens (199
844755	375232	Herself
844756	156137	Janet
844756	157585	Germaine
844756	180081	Moeder Verdonck
844756	203408	Denise
844756	326282	Madame Martinay
844756	374085	Elena
844757	266261	
844758	272179	
844759	204583	Baby Store Customer #2
844760	232674	
844760	294156	Ema
844760	320696	
844761	94937	The Wives
844762	191987	Odyssey of the Mind Leader #2
844763	2086	
844763	194250	Shannon
844763	228984	Herself
844763	385824	Nicole Walker Kiriakis (1998-
844764	13637	Mrs. Hackley
844765	13637	Tracy Hackley
844766	251189	Ruth (Mrs. Brentwood II)
844767	383701	Herself - Classical Music Cor
844768	35925	Halina
844768	79650	
844768	89474	Czerniszowa
844768	139867	Urszula, Kopera's Ex-Wife
844768	155712	
844768	158988	
844768	226673	Chawa
844768	251575	
844768	255497	Secretary
844768	258803	Mierzwowa
844768	293684	
844768	371868	Joan "Lutece" Morcom
844769	344856	
844770	21598	Vietnamita
844770	134884	
844771	119305	
844772	380917	Amalia Guerrero
844773	216774	La mariée
844774	292776	Camila Bahamondez Fernandez
844775	43636	Lison
844775	355880	
844776	284758	
844777	321994	
844778	120298	Student
844779	202301	
844780	32044	Tenant
844780	186713	Patron
844780	213466	Carnival patron
844780	233921	Patron
844780	338037	Party guess
844780	381811	Student
844780	384350	Student
844780	385652	Student
844780	390979	Student
844781	132197	Biba
844781	247529	Lidunka
844781	253799	Jana
844781	284055	
844782	53059	Dancer
844783	12999	Herself
844784	400667	Andrea Cortez (1999-2000)
844785	354996	Dead Punk Witness
844786	12793	
844786	28078	
844786	28085	
844786	49042	
844786	62080	
844786	112787	
844786	145126	
844786	145551	
844786	156101	
844786	156187	Elaine
844786	163768	
844786	174290	
844786	181830	
844786	183900	Dulce
844786	183953	Sheila
844786	200065	Maggie dela Riva
844786	226852	
844786	241304	
844786	250513	
844786	284735	Cita
844786	285986	
844786	334288	
844786	345596	
844786	359142	Lily
844786	379698	Host - Herself
844787	57878	Mariene
844788	351255	Herself
844790	135605	Toni Lorenzo
844790	330395	Asenath
844791	364300	Herself
844792	100944	
844793	65555	Reportera
844793	379879	Patricia Gallardo
844793	380515	
844793	383291	
844793	383439	
844793	383770	
844793	384052	
844793	387187	
844793	391419	Verónica Fassi
844793	396646	
844793	397731	Verónica
844793	397733	
844793	398661	
844793	403404	Melina
844793	405917	
844793	410326	
844794	146820	
844794	184521	Fritz the Dog
844794	239152	Skin-Girl bei Rempelei
844795	79272	Dater/Sock Puppet Actor
844796	275067	
844797	73269	
844797	397773	
844798	270255	
844799	365425	Janice
844800	284678	Maya
844801	3942	Tina
844801	21214	Karen Wettering
844801	59676	Ronda
844801	91161	Debbie
844801	98152	Minha
844801	101033	Judy Kravitz
844801	106645	Irene Marlowe
844801	116100	Beth Logan
844801	127103	Amanda
844801	134594	Laurie Rorbach
844801	159770	Kelly (Terry)
844801	161290	Herself
844801	185593	Angela
844801	194681	Claire
844801	199140	Young Mrs. Miller
844801	210458	Herself
844801	216905	Margo
844801	226956	Rini
844801	247500	Dr. Roni Sanders
844801	263395	Patricia/Elizabeth Burrows
844801	269082	Kim Maida
844801	279370	Herself
844801	310184	Princess Vespa
844801	313088	Shirley-Greta Garbo's Stand-i
844801	314113	Beverly Young
844801	315228	Carrie Lang
844801	319876	Alison Bradbury
844801	355347	Margie Epstein
844801	379997	Shelly Pierce (2004)
844801	385977	Teresa 'Terri' Peralta
844801	392424	Herself
844801	397401	JoBeth Reynolds (1992-1996)
844801	399987	Herself
844801	406617	
844802	63322	
844803	367751	Waitress #1
844804	250428	Angel
844805	354851	Celina
844805	383261	Elisa
844805	384988	Meche
844805	396880	Inocencia del Castillo
844805	397598	Leticia
844805	401698	Angela
844805	406861	
844805	407640	Veronica
844806	349007	
844807	212446	Tang Liyuan
844808	168	Xin Xin
844808	3454	Liu Yaqing
844808	9192	Wang Xiaoyu
844808	151942	Liu Yuxiang
844808	151964	A Hao
844808	298422	Wu Aizhen
844808	300714	Bei Fang
844809	90813	Cast
844810	120192	Anne
844810	165958	Gothic Girl
844810	248937	Babe
844810	361216	Colleen
844811	58316	
844811	191480	
844811	394876	Marta Gorjanski
844812	327370	Eva
844813	13001	Katarina
844813	43309	Medicinska sestra/nurs
844813	88019	
844813	187668	Neda
844813	258408	
844813	262552	
844813	374667	
844813	375311	
844814	104768	Slovenian entry (22nd place)
844815	231759	Monica
844816	75747	Liza
844816	165719	
844816	227826	Angry neigbour
844816	304454	Grandma
844816	334316	Zalarca
844816	339287	
844816	352784	Lucija
844816	369445	Trude
844817	155610	Chankel Behr
844818	55879	
844818	63174	Lenka
844818	75747	Meta
844818	81626	Masina majka
844818	81692	
844818	84569	Mizzi
844818	86578	
844818	92722	
844818	110773	Uciteljica Jasna
844818	155610	Toncka
844818	155969	
844818	162735	Karla
844818	178771	Sasinazena/Sasa'a wife
844818	180818	
844818	200281	Mrs. Smith
844818	201227	
844818	217268	Mimika Malek - Mama
844818	221341	Marijana
844818	225923	
844818	225969	Marjeta Turnograjska
844818	236019	
844818	241987	
844818	251320	
844818	251926	Lelina majka
844818	253745	
844818	315848	Ana
844818	343852	
844818	350990	Karolina Zasler
844818	375328	
844818	407442	
844819	233188	3rd Terminator
844820	72164	
844820	145332	Ankica Vidakovic
844820	238194	
844820	261234	
844821	405960	Bridgette MacArthur
844822	278638	
844823	409616	Frightened Brunette Girl (199
844824	115819	
844825	18948	
844826	16438	Dorothea
844826	88841	
844826	185798	
844826	248508	Jacqueline
844826	365262	Russian Woman
844826	389962	
844827	50823	
844828	174365	
844829	349358	
844831	6466	Jenny
844831	8908	
844831	21700	
844831	29185	Betsy Skaggel
844831	42948	
844831	55941	
844831	59699	
844831	64993	
844831	67004	Elga
844831	68993	
844831	71006	
844831	71972	Le secrétaire de Pierre Vidal
844831	82283	
844831	84248	The Girl
844831	91298	
844831	91357	
844831	100234	
844831	108844	(segment "Doncella del mar, L
844831	131118	
844831	137429	Blonde Barmaid
844831	148096	Helen
844831	192943	Dominique
844831	205137	Countess Janice von Aarenberg
844831	207980	
844831	210179	
844831	211906	
844831	239279	Margarita
844831	243485	Doris Droila
844831	243486	Alma
844831	243613	Hermana Leticia
844831	273648	
844831	296335	
844831	339450	
844831	343526	
844831	347469	
844831	353671	
844831	376829	
844832	170848	Herself - Participant/Perform
844833	181408	
844834	98976	Nila
844834	210376	
844835	281650	Chica 2ª
844836	323226	Bar Extra
844837	346016	Maggy
844838	379456	Hostess
844838	389888	Host (1978-1979)
844841	5743	
844841	21076	
844842	3388	
844842	18975	
844842	85619	Arizona Jane
844842	100590	
844842	197160	
844842	213705	
844842	223115	
844842	302982	
844842	384400	Sofía Villasana 'mamá de luis
844842	386791	
844842	390404	Justa
844842	391742	Teresa
844842	396215	
844842	398469	Dominga
844842	401134	
844842	404985	Soledad Ricarte
844842	409908	
844843	341411	
844844	388065	Ludmila
844845	388065	Maya
844846	388065	Natasha
844847	6220	
844847	165085	Bajing Ireng
844847	204047	Bivsha Tahova
844847	229900	Maykata na Krasi
844847	265011	
844847	326260	
844847	374158	Gospozhitza Gavrilova
844847	401684	
844847	404210	
844848	406657	Franziska
844849	351988	Raya
844850	68745	Heavy Metal Chick
844850	126508	Nada Band
844850	161908	Puss 'n'Boots
844851	100822	Fourth of July Dancer
844851	314163	Sue Irwin
844851	316090	Sue (segment "More Than a Fee
844851	330104	Mary Parks
844851	341018	Nude Instructor
844851	356360	Grace
844851	392244	Undercover #2
844852	53116	
844853	20737	Amalia
844853	51544	
844853	55945	
844853	63917	Martina
844853	70082	
844853	88194	
844853	91360	
844853	145163	
844853	148035	
844853	149505	
844853	192992	Ana Maria de Acuna
844853	225552	
844853	227291	Bebe
844853	234382	
844853	248232	
844853	248233	
844853	339205	
844854	25090	
844855	267568	Diner Patron
844855	313583	Mrs. Payson
844856	150949	
844856	150955	
844856	150957	
844856	207637	
844857	105396	Hitchhiker
844858	24835	
844858	265194	
844859	73586	DDT
844859	91108	Svetlana- Ceca
844859	174227	Kaya
844859	229176	Zozi
844859	258163	Rosa, Glavonjina zena
844859	265909	(segment "Proputovanje")
844859	340238	Katarina
844859	355996	Liza
844859	382939	
844860	103298	Sarina
844861	381890	Herself
844861	381911	Herself (2002)
844862	236150	Flight Attendant Jan
844863	45560	(segment "Pir v Zhirmunke")
844864	34588	Voice dubbing: 1970 revision
844864	82494	Witness
844864	90542	
844864	180856	
844864	219426	Storyteller
844864	224496	
844864	238843	Storyteller
844864	253562	Privalova (Ivan's wife)
844864	257030	
844864	277210	Fevonya Poshlyopkina
844864	320668	Agrafena, the funny-looking w
844864	324134	
844864	350728	
844864	350832	
844864	356921	Matryona Kharina
844864	357660	
844864	373063	Merchutkina
844864	374765	
844864	374869	Marfa
844864	375674	
844865	306646	
844866	21069	(segment "A Honestidade da Me
844866	196662	
844866	260817	
844866	278798	Nurse
844867	36660	
844867	58389	
844868	209044	
844869	202842	
844870	70624	Paulina
844871	357416	Olga
844872	28990	
844872	227955	
844873	43214	The Farm Girl
844874	225839	
844874	379877	
844875	237700	Rose Kolkotsky
844875	317597	Julka Kolibeca
844875	356460	Pavlikova
844876	32505	Koroliova
844877	225915	Tanya - his daughter
844878	324567	
844879	236066	
844880	43214	
844881	299241	
844881	393031	Vered Roth Safrir
844882	296560	
844882	397470	Michal Sade
844883	80509	Ann
844884	45482	
844884	94506	
844885	410330	Merima
844886	20439	Prostitute
844886	142417	Scientist #2 (showgirl)
844887	209274	
844888	156017	
844888	339788	Marina
844889	84432	Girl
844890	90392	Nurse Pumkin
844890	363303	Waitress
844891	181168	
844892	211338	Danielle
844893	211831	Janina
844893	271916	Julia
844893	389361	
844893	407324	
844894	147298	
844895	18669	Greta
844896	243624	
844897	194836	Laura's friend
844898	241583	Clinique Counter Saleswoman
844899	67934	Maatschappelijk Werkster
844900	356101	barvrouw
844901	343879	Hitchhiker
844902	207095	Bet
844903	409572	Jessie
844904	36974	
844905	200521	Mrs. Godfrey
844905	214519	Diane
844905	231554	
844905	242940	Girl
844906	202375	Valerie
844907	359971	Lauren
844908	114829	
844909	178637	Kathi
844909	204520	
844909	290856	
844909	358891	
844910	133431	Sarah Flahm
844910	143383	
844910	154725	Chaim's Wife
844910	154726	Brinye
844910	167300	
844910	179558	Chassie Shmelkevitz
844910	208748	
844910	218556	
844910	219874	Chane Belle 'Annabella' Frumk
844910	224322	
844911	241741	Herself
844912	152757	Linda
844912	166265	Elsebet
844912	203969	Birgit Kjer
844912	234826	Barbara
844912	303133	Silden
844912	355639	Linda
844912	382884	Laura
844912	383948	Sara, Chalottes Søster
844912	398852	Linda
844912	403194	Kirsten'Kis'Holm
844913	194888	Nina (Jugendliche)
844914	129780	Businesswoman
844914	381166	Emily, Enrique
844914	382243	All Voices
844914	382650	Host & Various Characters
844914	402945	Ranger Julie, The Librarian, 
844914	406801	Host, Lemming Head, Yolanda Y
844914	406911	Host
844914	407147	Host
844914	411564	Naughty Pig, Alissa, Sandra, 
844915	17838	Annys mor
844916	161754	Female Anthropologist
844917	355808	La femme à la fourrure
844918	80051	Club Girl
844919	112897	
844920	9728	
844921	75931	
844921	95704	Wozniak's Wife
844921	226634	
844922	265996	
844922	306656	
844923	259931	Herself
844924	89785	Baba Vera
844925	66263	Militia Officer
844925	185809	Singer
844925	220144	Jolka
844925	231618	Militiawoman
844925	238815	
844925	258664	Aunt Ania
844925	373729	
844926	88519	
844926	89474	Girl
844927	233343	Josefina
844927	385402	Sasha
844927	404270	Lea Aguirre
844928	7164	Telephone Girl at French Emba
844928	11012	Alisée
844928	15103	Clairvoyant
844928	29489	Gabrielle
844928	32003	Frederique
844928	57513	Livia
844928	67713	Lucrezia/Jessica/The sultan
844928	68383	Yvette
844928	80146	Do
844928	82580	Michèle
844928	85533	Mercedes
844928	108902	Louba
844928	109102	Alexandra
844928	122398	Zébulon, la conseillère en co
844928	136645	La soeur de Thomas
844928	148676	Rosalie Baumann
844928	166191	Eva
844928	166288	Antoinette
844928	166565	Adrienne de Lafayette
844928	186192	Suzanne Valadon
844928	198187	Pierre Nivel's wife
844928	212093	Annick
844928	214387	Ethel Benegui
844928	217023	Jeanne Hebuterne
844928	218307	Albine de Montholon
844928	229492	
844928	235393	
844928	243142	
844928	257059	Florence
844928	261116	Emma
844928	261830	Laetitia Masson/Christine Ang
844928	264212	Soeur Ermenegilde
844928	269741	Angèle
844928	327577	Rachel
844928	328087	Lucie
844928	331285	Nathalie Cross
844928	338488	Léa
844928	345049	Léa Pastore
844928	345312	Herself
844928	345461	Claire
844928	350314	Cathy
844928	370013	Arlette Stern
844929	192821	Flyktingmamma
844930	194265	Student #1
844930	306516	Bride
844931	74786	Florczykowa
844932	98434	
844933	243435	
844934	259635	
844935	186246	
844936	326261	Kaka Rayna
844937	394660	Michiru's Friend
844938	322240	
844939	44572	
844940	322242	Kriszta,Tamás elsõ menyasszon
844941	172907	Mlékarka
844941	181354	
844942	373755	Anicka
844943	26540	
844944	88670	Markéta
844945	74393	Dorka's Daughter
844946	214502	
844947	182668	Herself
844948	200825	
844948	390846	Various
844948	407236	Antónia (1992-1999)
844949	16192	Mánicka Vyhlídková
844949	25660	
844949	26540	Emílie Hánová
844949	58415	Mme Kovetch
844949	64262	Fortune teller (Cintamani)
844949	66257	Frau Novák
844949	72383	Lopezová
844949	74476	Woman in bar
844949	95606	Assembly participant
844949	96391	Vondrácková
844949	115798	
844949	147235	Emilka
844949	152213	Singer
844949	165054	Queen Anezka
844949	165080	Doc. Mrácková
844949	165081	Costumer
844949	179890	Frantiska
844949	182470	Old Woman
844949	190980	Mother
844949	198930	Grandmother Rehácková
844949	209530	
844949	232892	Salesgirl
844949	238130	Mrs. Irena
844949	249437	
844949	252079	Granny
844949	258645	
844949	304191	Umyvacka nadobi
844949	304201	Grandmother
844949	313911	Mother in law
844949	320531	Mother
844949	322375	Nunny
844949	322672	
844949	327763	Grandmother
844949	339277	Villager
844949	339290	Pribylová
844949	343453	Conductress
844949	348910	Woman with packet
844949	349087	Mother
844949	351371	Charwoman
844949	373419	Grandmother
844949	373558	Wertheimová
844949	374127	Fortune-teller
844949	374535	Berta
844949	375381	Aunt Andulka
844949	375465	
844949	376604	Nováková
844949	380553	Majerová
844949	380554	Majerová
844949	381196	
844949	383856	
844949	387031	
844949	394266	Grandma
844949	396264	Direktorin
844949	399142	Dobiásová
844949	401806	Marie Behounková
844949	403860	Cook Kolásková
844949	404627	Oma Sünderlein
844949	407221	Krupková
844949	411960	
844949	412004	Andulka Safárová
844949	412316	Havlíková
844950	62947	Christine
844951	397974	Flisan
844952	82844	La mère de Djamel
844953	96064	Éva
844954	181644	
844955	30497	Student
844955	58243	Borutowa
844955	88412	Marta Walkowska
844955	131013	Miriam
844955	156573	
844955	165607	Mother
844955	173064	
844955	207891	
844955	225876	Jadwiga
844955	282756	'Solidarity' Member
844955	289810	Wanda
844955	305833	
844955	375961	Gienka Koselowa
844955	394585	Anna Surmacz (1998-)
844955	406208	Alicja Derko
844956	386654	Barbara Lawina-Talar (1980; 1
844956	408826	Aniela Rudecka
844957	231652	
844958	11887	Lizzy Portmann
844958	33162	Birgit
844958	36480	Frau Hübner
844958	38840	Jassna
844958	67942	Frau Schmidt
844958	98078	
844958	125293	Carmen Mueller
844958	125323	Nelly
844958	128020	Julia
844958	129833	Gerda Amberger
844958	147158	
844958	150601	
844958	156651	Mimi Schrillmann
844958	189649	Moderatorin
844958	213291	Frau Huf (segment "Himmelbett
844958	226261	
844958	229884	(segment Star)
844958	230179	Frau Becker
844958	281731	
844958	289996	
844958	319672	Marlies
844958	347586	
844958	361037	Frau Jaschke
844958	379772	Ilse Haase (1995-????)
844958	380056	Platania
844958	380057	Sister Platania
844958	386132	Wet Nurse
844958	386399	Suor Orsola
844958	386560	Margret
844958	394536	Edda Pfaff
844958	403209	
844959	18532	
844959	97712	Nina Hagerup
844959	142015	Nonne
844959	171568	Loni
844960	250860	Mamus
844961	2247	Brokát Bébi
844961	25752	
844961	205804	Julia
844962	348671	
844963	329682	
844964	390943	Host
844965	172958	Horská
844965	219778	
844965	256712	
844965	261373	Júlia
844965	317584	
844965	356460	Fabianova
844965	375426	
844966	153086	Nora Kleine
844967	122631	Annemirl
844968	210113	Barbara
844969	3400	Fernando's aunt
844969	13331	
844969	135126	
844969	233349	
844969	292752	
844969	328202	
844970	253306	Secretaria
844971	193344	Edecan
844971	379133	Rosa
844972	672	Carmen
844973	140701	
844974	379458	Renata
844974	387572	Sor Angelines
844974	389788	Caridad Montes
844974	398217	Mercedes
844974	403290	Providencia Santander
844974	407245	Various (199?-)
844974	412190	Doña Lola
844975	252057	
844976	50135	
844976	255501	Sandra Manfredi
844976	382543	Magaly Lituma
844977	63867	
844977	76107	
844977	101047	
844977	193550	Piru
844977	226498	Prefecta
844977	286350	Human rights assistant
844977	301657	Hair Dresser
844977	380084	
844977	388575	Oralía
844977	388937	Josefa
844977	405955	
844978	104543	
844979	36671	Silvia
844979	125233	Dorfmädchen
844979	144022	Karls Freundin
844979	156977	
844979	390539	Salzburg Guide
844980	397886	Herself
844981	242457	Elisabeth
844982	177185	Studienrätin Dr. Beer
844982	238883	Lang-Anna
844982	325396	Frau Scherzer
844982	325577	
844982	325828	Isolde Klaven
844982	325836	
844982	352659	
844982	399503	
844983	356846	Renate Harms
844983	368743	Marie
844984	290696	Gunda
844984	357570	Milena
844985	91087	
844985	115448	Lisa
844985	204921	
844985	301022	Johanna
844986	218069	Monika
844986	352074	
844987	64709	Noia Tatuatge
844988	96430	Johanna
844988	136433	Kicsi Olga
844988	182642	
844988	187512	Magdi
844988	322051	Picur
844988	353092	Irén, Prokopp lánya
844988	403110	Herself/Host (2001-)
844988	407236	Julcsi Mágenheim (1987-1999)
844989	25650	The girl
844989	110700	Natasa
844989	110702	
844989	175753	Romána
844989	182794	Zsuzsa
844989	182870	
844989	381344	Claudia Berényi
844989	412030	
844990	237160	
844991	168624	Tilly Riseborough
844991	171604	
844992	243800	
844993	118170	
844993	198412	
844993	209842	
844994	322108	
844995	104197	
844996	6501	
844997	2247	Mosodás Sutyi
844997	320380	Sutyl
844997	335267	Sutyi,Tomi barátja
844998	182656	Nõi zenekat tagja
844998	237395	
844998	326347	
844999	343744	Ilona
845000	51309	Viktus és Elli
845000	74464	
845000	76072	Teri
845000	100035	
845000	107019	Ginette
845000	147188	Käthe
845000	147321	Prinzessin Marika
845000	155545	Ó Ida
845000	164021	Paksy, Jolán
845000	182654	
845000	190743	Tóth Manci
845000	200010	
845000	214504	Klárika, patikus kisasszony
845000	237189	Kovács Kató
845000	293405	Zsóka,Bartha lánya
845000	322075	Újságírónõ (Keretjáték)/Katic
845001	19670	
845001	140061	
845001	213681	Grandma
845001	235375	
845001	322209	
845001	378116	
845002	226709	Piroska
845003	391674	
845003	395044	Violeta
845004	148068	Madre Jonathan
845005	14798	
845006	325	
845007	104775	Icelandic entry (12th place)
845008	88400	Fia
845008	122441	Steingerður
845008	200535	Laufey Hrímfjörð
845008	233989	Rental agent
845009	167043	Salma Yakyak
845010	66670	
845010	209737	
845011	219442	Gin
845012	351494	
845013	52708	Mrs. Larrinaga
845014	70650	Nina
845015	313049	Sexy girl
845016	296660	Neska
845017	115751	
845018	41181	Aerobic girl
845019	55937	Blanca
845020	3395	Doro
845020	9955	Laura
845020	13184	Karin
845020	19489	Nicole Darquier
845020	27863	Irma
845020	34980	Julia
845020	48184	Sol
845020	58360	Lucia
845020	74096	Veronica
845020	74676	Dolores Velasco
845020	86708	Laura
845020	90119	Chiquilla India
845020	95012	Gabriela
845020	99008	
845020	100703	Ángeles
845020	125190	Mónica
845020	156018	Espectro
845020	199794	Leire
845020	225079	Julia
845020	239010	Cuqui
845020	252519	Actress
845020	277391	Ana
845020	279827	Erika
845020	279839	Puri
845020	307291	
845020	307656	Virginia Medina Uztueta
845020	314966	Paloma
845020	328744	Marga
845020	332633	Oscura
845020	349334	Herself - Presenter: Best Scr
845020	371705	
845020	395923	Ajo
845021	388046	Herself (Finalist #16)
845022	301657	Lucy
845023	350144	
845024	101894	
845025	73281	Coro "Siquem"/"Siquem" Choir
845026	247849	Manos de la Madre
845027	85567	
845027	407735	Newsreader (1958-1970)
845028	117540	Anytime Annie
845028	189153	Moonbeam McSwine
845028	313700	Singer
845028	332664	
845029	52953	
845029	68827	Elena Núñez
845029	89921	
845029	252618	
845029	292765	Esposa de Gaspar
845029	380249	Olga Rodríguez
845029	380792	
845029	384424	
845029	386162	Caridad
845029	386503	
845029	387472	Graciela
845029	392610	Altagracia Palacios
845029	392958	Ana Julia Rossi
845029	392971	Rosario Díaz
845029	398482	Estrella Di Salvatori
845029	400938	
845029	403289	Elisenda
845029	408389	
845030	399807	Cecilia
845032	169918	Pepe's Mother
845033	125661	
845034	13005	
845035	4540	
845035	34559	
845035	48956	
845035	160893	
845035	209030	
845035	233758	
845035	339088	
845035	349683	
845036	45793	
845036	69004	
845036	103050	
845036	135110	Waitress
845036	201206	
845036	212376	
845037	276148	Inña
845038	376847	
845039	357189	
845040	100784	
845041	378415	
845042	1815	
845042	8583	
845042	15361	
845042	39130	
845042	52052	
845042	52755	Argentine Girl
845042	64037	
845042	68621	
845042	80252	
845042	82244	
845042	85523	
845042	88800	
845042	89402	Leninha
845042	100721	Nair
845042	101442	
845042	104134	
845042	148479	Alva
845042	219582	
845042	234616	
845042	234940	
845042	241191	
845042	248236	
845042	260975	
845042	262234	
845042	262236	
845042	280239	
845042	284898	Lucia
845042	328334	
845042	334575	
845042	344804	Vampire
845042	353168	Rosália
845042	354987	
845042	377610	
845042	383469	Clara
845042	400678	Vitória
845042	404803	Mabel
845042	404814	Raquel
845042	407275	Vanda
845043	10225	Chica joven
845043	84059	
845043	215499	Azafata
845043	283683	
845043	353545	Cata
845043	402708	
845044	379147	Julia
845044	379461	Isabel
845044	379820	Rita Alvarez
845044	381900	Herself
845044	381904	Herself (9th Evicted 2003)
845044	383031	Andrea
845044	385392	Miriam
845044	392844	Aurora
845044	392960	Violeta Junquera Brito
845044	397021	Rosario Muñoz
845044	397463	Virginia Fernández Negrete de
845044	397598	Isabel
845044	398490	Sonia Arteaga
845044	402190	Karina
845044	410303	Jacinta
845045	159528	
845045	236742	
845046	399525	
845047	89655	Young Mexican girl
845047	383271	
845048	324448	Dancer: La cumparsita -2
845049	9873	Pregnant Woman
845050	12030	Dorita
845050	18353	Antonia Santos
845050	28792	
845050	74749	
845052	257478	
845053	3520	Mariela
845053	74351	Amiga #1
845053	143686	Mirna
845053	253281	Graciela
845053	294332	
845053	379461	
845053	379563	Various
845053	380107	Bernarda Aguirre
845053	383811	Carmela Rosas (1998-1999)
845053	387090	
845053	392263	Various
845053	398473	Dalia
845053	402077	
845053	404161	Luisa
845053	410384	
845054	71992	Paula
845055	106242	
845055	158709	Miriam
845055	378929	Lucía (2001)
845055	378989	Lola
845055	405968	Paloma
845056	98789	
845057	228388	Helena
845057	326010	Elana
845058	397019	
845058	405281	
845059	2416	
845059	14908	
845059	21597	Krist
845059	42652	
845059	52708	
845059	55768	
845059	61142	
845059	64048	
845059	83457	
845059	84458	
845059	91298	
845059	92347	
845059	104057	Ana
845059	113646	Motorista
845059	119442	
845059	127602	
845059	132524	
845059	148072	
845059	151818	
845059	188645	
845059	190644	La madre de Maribel
845059	197089	Nurse
845059	202043	
845059	223619	
845059	234358	Abuela
845059	236435	
845059	292709	
845059	307701	Amalia
845059	351997	
845059	353180	
845059	370156	
845059	376729	
845060	208848	
845060	269966	
845061	56108	Mujer de la cooperadora
845062	6490	
845062	111996	
845062	197452	
845062	233357	
845063	6673	
845063	20678	
845064	379614	Ernestina Garza 'Tina'
845065	65598	Panelista
845066	378433	
845067	337102	Old mother
845067	340227	Woman
845068	401879	Herself - Bellepop
845069	231637	
845070	134178	Chilean family
845071	6741	
845071	42627	
845071	67698	
845071	84448	
845071	121947	
845071	124445	Barbara
845071	135278	
845071	139913	
845071	182412	Young Kyoko
845071	204813	Carmen García
845071	211712	
845071	217305	
845071	226193	
845071	253304	
845071	259400	
845071	265534	
845071	269200	Brenda
845071	273864	La Guera
845071	278745	Patty
845071	278746	Patty
845071	347083	
845071	376638	Rojo
845071	379461	
845071	383811	Rosa Mesa (I) (2000-2002) Pre
845071	393933	
845071	402077	
845071	403016	Leona Valverde
845071	403290	Lola Cienfuegos
845071	410327	Lumara
845072	370439	
845072	404172	
845073	169743	
845074	393798	Juan´s Mother
845074	397737	
845074	412153	Faustina 'Tina' Cordero
845075	387681	Maria
845075	401699	Juanita
845075	402055	Dr. Raquel Santana
845076	135292	
845077	27863	
845077	69242	Rosalía
845077	88058	
845077	96371	Rosa
845077	101816	Eva
845077	103767	
845077	235986	Lola
845077	274784	Rosa
845077	281618	Campesina
845077	294010	Rosa, Madre Pancho
845077	310073	
845077	338363	Amparo
845077	338867	Aura
845078	127602	
845079	16836	
845080	148315	Magdalena-as a Child
845081	107688	First Ugh
845081	107696	Mexican Singer
845082	3467	
845082	3543	
845082	8722	Dolores del Paso
845082	29802	Chabela Vargas
845082	55375	
845082	77274	Raquel de Alba
845082	85964	
845082	115751	
845082	134500	
845082	136596	
845082	143750	
845082	189011	
845082	198201	
845082	199623	
845082	206743	
845082	225552	
845082	233335	
845082	267074	
845082	275071	
845082	287694	Prostitute 1
845082	294335	
845082	300678	Lupe 'La Serrana'
845082	307845	
845082	310027	Cristina
845082	339167	
845082	353628	
845082	377150	Doña Margarita Fontanares
845083	9951	
845083	57384	Ock's mate
845083	68588	
845083	87622	
845083	103771	
845083	131059	
845083	148073	
845083	169749	
845083	183521	
845083	203838	
845083	217306	
845083	221703	Jean
845083	235311	
845083	253293	
845083	287005	
845083	291650	
845083	296135	
845083	301198	
845083	310033	
845083	319659	
845083	336102	
845083	339124	
845083	378406	
845084	384400	Magalí
845085	76111	Tere
845085	160731	Jugadora
845085	325341	Segretaria
845085	388420	Rose
845086	370062	Camarera
845087	42910	Maria Fernanda (segment "Zapp
845087	384401	
845087	385872	
845087	389233	Gabriela Chavéz
845087	393798	Ana
845087	407277	Alejandra 'Aleja'
845087	408419	Nicole
845088	82235	
845088	138744	Chorus Woman
845089	75571	
845090	51528	Baby
845090	158874	Elinor
845090	196737	Lily
845090	226409	
845091	104769	Icelandic entry (12th place)
845092	51326	Bálintné
845092	136577	Brenóczy felesége, a szép Pol
845092	139500	Bohusné
845092	172041	Macskássy tanárnõ
845092	232803	
845092	293990	Mária, Semmelweis felesége
845092	322048	
845093	224503	Thurildur
845094	51265	Bríet
845094	229484	
845094	378049	Fjóla
845095	30515	
845095	110116	
845096	103759	Nena sordomuda
845097	14811	
845097	202230	
845097	252785	Alejandra Montes
845097	379043	Alicia
845097	380445	Ángela
845097	380524	Casandra
845097	398229	Martha Luján
845097	400663	Ray
845097	405318	Gilda Gomez/Martha Laura Isag
845097	406056	Fernanda
845097	407431	Delia
845097	407641	Cecilia
845097	407851	Gabriela
845097	408198	
845098	52987	Vecina 1
845099	52987	Vecina 2
845100	133199	
845101	220128	
845102	45899	Extra: viaduct
845103	192995	Lucia
845103	383777	Barbara
845103	401918	
845104	257433	
845105	412138	Panelist
845106	384390	Montserrat
845107	12025	
845107	12027	Cruz (child)
845107	24909	
845107	53672	
845107	55961	
845107	100509	
845107	149235	
845107	165161	
845107	170919	
845107	197972	
845107	214211	
845108	30418	
845109	21583	Mujer calle & estudiante 2
845110	263861	Mariana
845110	293373	Susana
845110	378382	
845110	381902	8th evicted
845110	381904	Herself (8th Evicted 2004/2)
845110	383471	Cassandra Gamboa Campos
845110	384390	Florencia
845110	395885	Dafne Hurtado
845110	403257	
845111	18282	Jacinta (one month old)
845112	106328	Alcohólicos Anónimos
845112	160805	
845112	328697	Madre Angela/Angela's Mother
845112	371290	Mujere fuente
845113	391675	
845114	248288	Ximena
845115	288803	
845116	95078	Bikini girl
845117	388055	Herself (1998/2003)
845118	182576	Sabine
845119	291653	Herself
845120	392443	Extra
845120	405720	Herself
845121	204537	Eva
845121	287568	
845121	396533	Inga
845122	164772	Lova
845123	314390	
845124	396250	Boarding-School Girl
845125	377336	Little girl
845126	343519	
845127	98772	Dick's Mother
845127	99230	Mrs. Haller
845127	135975	Stava
845128	394322	Sun Babe
845129	444	Vera
845129	6584	Waitress
845129	12010	Guest at Doncker's party
845129	48367	Woman
845129	69649	
845129	108199	Tvätteriarbeterska
845129	115427	Waitress
845129	120966	Miss Holm, secretary
845129	129171	
845129	137975	Police woman
845129	138015	Concierge
845129	144062	Aina
845129	165616	Guest at the party
845129	217451	Tilda
845129	268328	Woman
845129	289783	Woman on the telephone
845129	304183	
845129	304469	Old Lady
845129	305306	Member of the Cookie Academy
845129	314386	Sten's mother
845129	333081	2nd Woman
845129	343471	Woman
845129	377429	Mrs. Gustafsson
845129	398195	Old woman
845130	182576	Filippa
845131	348728	Child at Bogjama
845132	186072	
845133	192495	Party Girl
845134	150667	TV-journalist
845135	228382	Anne Stenswärd/Ingeborg Stens
845136	192657	Kerstin
845137	378804	Herself
845138	210358	Herself
845139	315975	Friend,
845140	341201	Elin
845141	210839	Agneta, neighbour
845141	259425	Annicken
845141	310385	Maria
845141	381054	Telephone operator
845141	401773	Lena Gudmundsson
845141	407124	Louise
845142	285409	Narrator
845142	343515	Ellen
845143	3236	Woman with hiccup
845143	134263	Girl at the cafe
845143	150660	
845143	209327	Elsie Trulsson
845143	304408	Gertrud, his daughter
845143	322423	
845144	23415	Mrs. Fahlström
845144	27480	
845144	32381	Woman Neighbor
845144	48366	Sofie Olsson
845144	108633	Ekdahlska huset - Lisen
845144	119420	Mormor
845144	130070	Alva Nykvist
845144	182279	Helena Wagner (episode 3)
845144	190846	Märta
845144	209303	Herself
845144	237035	
845144	248188	
845144	259354	Agata Gärdin
845144	283694	Lady in the Shop
845144	303193	Rosita
845144	310386	Maria
845144	335363	Signe
845144	342308	Johanna
845144	390231	Alva Nykvist
845144	391357	Astrid Ljung
845144	394744	Louises mamma
845144	397784	Screen operator
845144	398195	Sockersirupen
845144	402881	Maid
845144	405570	Dagmar Larsson (5 episodes 19
845145	164785	Pia
845146	104812	Girl on the meadow
845146	115390	Elsa Bergkvist
845146	115402	Maid
845146	346987	Tony
845147	314760	Angry woman
845148	172779	Eva-Lotta
845148	172780	Eva-Lotta
845148	172781	Eva-Lotta
845148	172782	Eva-Lotta
845149	381913	Participant, 5th out (2002)
845150	64618	
845150	64624	
845151	382819	Herself - (New-age)
845152	11712	Britta
845152	29571	Britta
845153	398446	Herself - Nurse
845153	408335	Kerstin
845154	190823	Dronningen
845154	389609	Interviewee (1998-2003)
845154	395643	
845154	401410	Programleder #2
845155	109122	Lola
845155	228386	Barbro
845155	289783	Eva, acting student
845155	308194	Girl
845155	321929	Knut's sister
845155	322314	The young girl
845155	340434	Dancing young woman
845156	386335	Ofelia
845157	88393	Mary
845157	334039	Laila's friend
845157	348501	Lisa, waitress
845157	377423	President of Women's League
845158	138526	Agnes
845159	346297	Nurse's Assistant
845159	377320	
845160	303203	Ingrid
845161	321771	Heli Haapanen
845162	104775	Finnish entry (18th place)
845163	232779	Customer
845163	394557	Dejlig dame
845164	22082	
845164	105477	
845164	173767	
845164	325347	
845164	343768	
845164	349709	
845164	370223	
845165	38449	Sevim 'Leman'
845165	141808	
845165	295412	
845165	307160	
845165	374521	Zeynep
845165	378198	
845166	38435	
845166	336206	
845167	22055	
845167	25621	
845167	34045	
845167	38460	
845167	38487	
845167	51323	
845167	77423	
845167	82313	
845167	136698	
845167	175486	
845167	182907	
845167	198427	Belkis
845167	228890	
845167	325351	
845167	371895	
845167	373615	
845167	377510	
845168	295536	
845169	349226	Kadin Gardiyan (Female Guardi
845170	374153	
845172	28388	
845172	87722	
845172	129126	
845172	163090	
845172	182813	
845172	289289	
845172	308295	
845172	377524	
845172	378192	
845173	1695	
845173	4601	
845173	22073	
845173	39050	
845173	63776	
845173	175487	
845173	285569	
845173	318617	
845173	370368	
845173	373396	
845174	214539	
845175	170220	Herself
845176	5698	
845176	6698	
845176	7525	
845176	20897	Alanya
845176	22018	
845176	22803	Alicik
845176	24830	
845176	28296	Gülsen
845176	30493	
845176	35623	Feriha
845176	39084	
845176	51349	
845176	76717	
845176	76772	
845176	82617	
845176	82618	
845176	84698	
845176	89519	
845176	96437	
845176	103575	
845176	103606	
845176	103882	
845176	136752	
845176	136753	
845176	136785	
845176	137016	
845176	156216	
845176	156218	
845176	164134	
845176	172936	
845176	173567	
845176	173968	
845176	176213	
845176	177876	
845176	178404	Diana
845176	180326	
845176	180688	
845176	187649	
845176	202456	
845176	210253	
845176	210526	
845176	212319	
845176	249229	
845176	256663	
845176	256722	
845176	278534	
845176	295529	
845176	296420	Keje
845176	301478	
845176	301482	
845176	307038	
845176	322549	
845176	370223	
845176	370691	
845176	370911	Alanya
845176	375887	
845176	375894	
845176	375901	
845176	375902	
845176	377552	
845176	377557	
845176	377569	
845176	391186	
845177	136670	
845178	104718	Herself
845178	104719	Herself
845179	105600	Narrator
845180	104721	Herself
845181	322540	
845182	49440	
845183	25565	
845183	112858	Maratoncu Havva Adem
845183	146944	Puduhepa
845183	303027	
845183	370222	Emine
845183	379688	Aliye
845184	23037	
845185	233444	
845186	104766	Turkish entry (12th place)
845187	84088	Gülizar
845187	96471	
845187	175486	
845187	182801	
845187	294117	
845188	156210	Behiye
845189	38493	
845189	140673	
845189	144116	
845189	156206	
845189	178001	
845189	256943	Münevver
845189	349226	
845189	356022	Nevin
845189	382135	
845189	390860	Beyaz Ana
845189	394336	
845190	31039	
845190	349226	
845191	156377	
845192	21991	
845192	54981	
845192	99551	
845193	370223	
845194	140584	
845195	390860	Nese
845195	391178	Yagmur
845195	392379	Mihrimah
845196	173430	
845196	187629	
845196	248066	
845197	180273	
845197	251889	
845197	283317	
845197	294123	
845197	296407	
845197	401244	'Merakli' Melahat
845198	407308	Mine (1993-1997)
845199	149615	
845200	377534	
845201	57592	
845202	268491	
845203	25619	Babekler (Doll)
845203	347074	Beezle (Turkish dub)
845203	387200	Mokey Fraggle/Wing-nut
845204	89915	Mãe de Sandra
845204	148483	Atendente da loja
845205	107717	
845206	242588	Seamstress
845206	383664	Dominique
845206	403475	Gloria de Lamirande
845206	408883	Sabine
845206	410252	Raïcha
845208	111313	Ágika
845209	1688	
845210	91745	
845210	235236	
845211	92045	Louise
845212	378705	Vovonne
845213	94283	Amazon queen
845213	160728	(segment "Dois Dedos")
845214	182645	Anette
845214	219836	Szilágyi
845215	124268	
845216	308311	
845217	169341	Housekeeper (Femme de ménage)
845218	215096	Áronffy Lõrincné, anya
845218	357831	Perkálné
845219	39439	Maria Dela
845219	328866	Arminda
845220	380059	Tamara de la Colina
845220	383261	
845220	384980	Isadora Moret Rivadeneira
845220	410477	Rosaura Fernández López
845221	377457	
845222	496	
845222	14784	
845222	19382	
845222	25513	
845222	64694	
845222	70687	
845222	74559	Sofia
845222	74858	
845222	92335	Gertrudis
845222	97367	
845222	99339	
845222	100277	
845222	103508	
845222	110889	
845222	115741	
845222	119861	
845222	140553	
845222	145252	
845222	208852	
845222	212346	
845222	212438	
845222	233549	
845222	236742	
845222	245581	Bibiana
845222	266863	
845222	269962	
845222	281544	
845222	281603	
845222	340408	
845222	353592	
845222	356908	
845222	357728	
845222	375861	
845222	377146	
845222	383551	
845222	383787	
845222	386595	
845222	387448	
845222	391965	
845222	397501	
845222	398798	
845222	403785	
845222	404700	
845222	404828	
845223	165592	
845224	380699	Christine
845224	394522	Emi Watanabe
845224	405279	Jessie (#4-#46)
845225	375953	
845226	125418	Sigrún
845227	34086	Benjamín's Mother
845227	137097	Áslaug
845227	156272	Gudrun
845227	412298	Johanna
845228	225084	Ninna
845229	225084	Doctor's Widow
845230	51277	
845230	107708	Auntie
845230	354334	Hilldegard
845230	355237	Inga
845231	104771	Icelandic entry (13th place)
845232	11069	Eszténa
845232	43109	Gyöngyi
845232	51214	
845232	106685	
845232	129229	Anya
845232	152385	Városi anya
845232	153860	Mom
845232	164754	Irmus
845232	172898	Anci
845232	182645	Pöcök
845232	182697	
845232	189357	Actress at the casting (Herse
845232	211707	Vera Kovács
845232	212509	Recepciós lány
845232	261204	Bece felesége
845232	263237	Daughter of the waitress
845232	270860	Csele's mom
845232	272276	Elza
845232	285009	Judit
845232	319239	Secretary at Officer's Club
845232	322066	Matyi
845232	349794	Eszter
845232	377129	Lujzi
845232	405251	Various
845233	19369	
845234	371290	Vecina
845235	111475	Bad Girl
845236	145449	Sachiko Ohshiro
845236	216506	Shige Miyazawa
845237	229773	
845238	370411	Mika
845238	392964	Kagura
845239	390058	
845240	181892	
845241	323265	Hols
845241	373301	Yoshi Kitagawa
845241	379479	Hanna
845242	102464	Eri Morinaga
845242	156230	Mitsuki
845242	168000	Kei's wife
845242	175347	
845242	177956	Ryôko
845242	217813	
845242	239385	
845242	321517	
845243	26238	Priscilla S. Asagiri 'Priss'
845244	316620	Telephone Voice
845245	28126	
845245	97629	
845245	394996	
845246	23056	
845246	296989	
845246	403411	
845247	222281	
845247	229768	Kikuko Eguchi
845247	318543	
845247	323120	Michiko Omachi
845248	404768	Aihara
845249	9433	Girl C
845250	122080	
845250	122086	
845250	142172	
845250	172052	
845250	287498	
845250	293493	Kumi
845250	322734	
845250	334857	Lover of Jûrô
845250	371799	
845250	371800	
845251	316626	Sakura Kasugano
845253	604	Lin Ching-Hsia
845253	25891	Oshima
845253	52019	
845253	58694	Kitty Li
845253	59293	Terrorist
845253	64177	
845253	81295	
845253	84867	
845253	110629	Migi
845253	116648	Samurai
845253	121820	Tennis expert
845253	127093	
845253	137324	Fay Ian
845253	141879	
845253	141924	
845253	144772	Kage
845253	146281	
845253	149063	
845253	152006	
845253	153050	Bullet
845253	167759	Bullet
845253	177746	
845253	181812	
845253	183982	Huang Chaun
845253	188478	
845253	188488	
845253	191319	
845253	191554	
845253	194091	Chau Siao-Tao
845253	197008	
845253	200425	
845253	210997	Silver Fox's Sister
845253	212641	
845253	212644	The Hitwoman
845253	216655	Coco
845253	236282	
845253	256391	
845253	268620	Yi Chian
845253	296544	
845253	298372	Sim-Lan
845253	298666	Police officer
845253	298690	
845253	302613	
845253	311384	
845253	332325	
845253	332326	Madame Yeoung/Sue (English ve
845253	369052	
845253	369104	Ying
845253	369605	
845253	369795	Mrs. Wang
845253	373028	
845253	373086	
845253	375778	
845253	376065	Tequila
845253	384224	Farrah-Cat (Farrah's bodyguar
845254	21829	Girl in grape field
845255	124038	
845255	278547	Reiko's Aunt
845255	408891	Haru Ikeda
845256	226132	Master's wife
845256	284075	Shimabukuro, Tsuru
845257	130499	Baragon/Woman in Yaizu harbor
845258	20189	Pio
845258	75601	Yuu Morisawa/Creamy Mami
845258	98117	Yuu Morisawa/Creamy Mami
845258	174953	Pejite girl
845258	193918	Yuu Morisawa/Creamy Mami
845258	196389	Yuu Morisawa/Creamy Mami
845258	200813	Yuu Morisawa/Creamy Mami
845258	201303	Yuu Morisawa/Creamy Mami
845258	202742	Yuu Morisawa/Creamy Mami
845258	252920	Yuu Morisawa/Creamy Mami
845258	396493	Yuu Morisawa/Creamy Mami
845259	298928	
845260	63713	Moruk Laplamiz
845260	123109	Akon Kagu'ya Captain
845260	176534	Frau's Mother
845260	384227	Moruk Laplamiz, Lynn Feichun
845262	130492	Shobijin (Twin Fairy)
845262	130502	Shobijin (Twin Fairy)
845262	149125	
845263	227534	
845264	198383	Arvid's fiancée
845265	40919	Neighbour woman
845265	48357	Miss Sande's cleaning-woman
845265	94253	Old woman
845265	94261	
845265	109140	Helen's grandmother
845265	115425	Choir member
845265	136612	Maternal grandmother
845265	159636	Mrs. Hietari
845265	165614	Malin
845265	174256	Housekeeper
845265	181638	Manda
845265	182264	Mrs. Tillberg
845265	191571	
845265	197137	Miss Höök
845265	198393	Axelina, Ragnhild's mother
845265	209386	Nurse
845265	217451	Annie Gustafsson
845265	225235	Anna
845265	243672	Agda Morin
845265	266362	Woman at Christening
845265	268328	Elin
845265	288307	Eulalia
845265	303706	Woman
845265	315549	Sofia's mother
845265	335901	The Baroness
845265	342298	Leo's Mother
845265	368731	Grandmother
845265	377337	Mrs. Andersson
845265	377419	Eulalia
845265	377423	Eulalia
845265	377424	Eulalia
845265	377425	Eulalia
845265	377427	Eulalia
845265	377428	Eulalia
845265	377429	Eulalia
845265	377431	Mother with many children
845265	377433	Eulalia
845265	377436	Eulalia
845265	377437	Eulalia
845266	174049	Sigrid as a child
845267	26028	
845268	391178	Manolya
845268	398862	Hicran
845269	147229	Smaragd
845270	391144	Ayse
845271	248425	Secretary
845271	342313	
845271	377335	
845272	209310	Girl
845273	42216	Nulle
845274	71321	Samantha Hoober
845274	388912	Anja
845274	400356	Reporter/SVT
845276	304407	
845277	304407	
845278	210343	Herself
845278	210345	Herself
845279	152317	Josefin/Jenny Grå
845280	397397	Herself
845281	187403	Emma
845282	143994	Katri
845283	109008	Aunt Gredelin
845283	120138	Miss Grankvist
845283	122334	Telephone operator
845283	190821	Berit, office clerk
845283	338659	A lady
845284	403408	Cleaning lady
845285	200866	Dreamgirl
845285	215467	Anette Persson-Silvergrå
845286	168437	Waitress
845286	181843	Chambermaid
845286	190835	Greta, Klint's housemaid
845286	315365	
845287	182455	Dagmar
845288	137402	Cengiz' Mor
845289	21989	
845289	22797	Woman With Red Bag
845289	38443	
845289	38466	
845289	86690	
845289	136752	
845289	222901	Murtaza's Wife
845289	284810	
845289	373798	
845289	381050	
845289	382135	
845289	404388	
845289	411706	
845290	377537	
845291	44219	Rozál,Gubáné lánya
845291	97964	
845291	108073	Feledi Piroska
845291	110574	
845291	136445	Mária,Palánka húga
845291	201369	Terka
845291	223597	
845291	239432	Bözsi
845291	256679	Mencike
845291	333799	Ágnes
845291	335963	Corinna,az ezredes lánya
845291	349190	Leticia,Madaván lánya
845291	377085	Mimi
845292	265455	
845293	104705	Herself
845293	104709	Himself
845294	104724	Herself
845294	104726	Herself
845294	104774	Turkish entry (16th place)
845295	65615	Petite Lélia
845297	89509	
845298	210347	Herself
845299	51339	
845300	102539	
845300	182732	A fõhadnagy felesége
845300	224968	
845300	268429	
845300	322188	Ribinszkyné
845300	378278	Kisleány
845301	320398	Hilkka's friend
845302	322276	Berit Storch
845303	311536	Guel
845304	122618	Mia
845305	27480	Sonja
845306	197808	Anna
845306	354426	Katja
845307	320706	
845308	115391	Girl at shooting range
845309	104765	Icelandic entry (4th place)
845309	104767	Icelandic entry (7th place)
845310	92660	Sister Sylva
845310	230340	Mama Mermelstein
845310	383381	
845311	377421	Artist
845312	377421	Artist
845313	378273	Friend of woman at the party
845314	192654	Dancer at Chat Noir
845314	303734	Girl at the birthday party
845315	20553	Gunhild Östmundsdotter
845315	304404	Alida
845316	182101	Member of Ladies' Orchestra
845316	394925	Conga player
845317	6212	Rosa
845317	109293	Gerd's Friend
845317	154150	Young girl in love on the tra
845317	164788	Lena's Mother
845317	174726	Hilka
845317	321971	Dressmaker
845317	353039	Waitress
845317	371670	Johanna Hansson
845318	291653	Herself
845319	26884	Lambda
845319	155391	Narrator
845319	181133	Kersti
845319	307774	
845320	137743	Nina
845321	394074	
845321	409111	
845322	396250	Boarding-School Girl
845323	16265	Summer Camp Manager
845323	115427	Märtha
845323	201223	Girl in store
845323	286299	Viola
845323	352990	Secretary
845324	108197	Biggan
845325	48368	Wedding Guest
845325	303207	Kerstin, Jimmy's fiancee
845326	334042	Teddy Grankvist
845326	334043	Teddy Grankvist
845326	353020	Teddy Grankvist
845326	407260	Teddy (episodes 1-6)
845326	410044	Teddy Grankvist
845327	349148	
845328	382840	Agnes
845329	107832	
845329	132431	Anita
845329	333068	Milla
845330	159631	Sanna
845331	64775	The Elf
845332	152764	Peggy
845333	33254	Narrator (episodes 2, 3)
845334	180075	The girl
845335	56617	Cleaning lady
845336	137738	Vera Mackus
845336	408335	Tone's mother
845337	271636	
845338	308194	Nurse at maternity ward
845339	5734	
845339	22018	
845339	24830	
845339	28390	
845339	38185	
845339	136753	
845339	153964	
845339	173209	
845339	179585	
845339	303017	
845339	325010	
845339	326990	
845339	341873	
845339	378234	
845340	12649	
845340	173865	Samatulayz
845341	21723	
845341	27779	
845341	35627	
845341	38460	
845341	89507	
845341	106977	
845341	136691	
845341	137015	
845341	180629	
845341	308477	
845341	370337	
845342	137317	
845343	11745	
845344	4838	Mrs. Zefir
845345	201506	Herself
845346	136752	
845347	173855	
845348	284811	
845349	124612	
845349	212060	
845349	275161	Frau Aziz
845350	322544	Mutter Gülbahar
845350	370700	Mother Duber
845351	20307	
845351	35620	
845352	32501	
845353	158710	
845354	22048	
845354	125929	
845354	293428	
845355	104725	Herself
845356	21991	
845357	296386	
845358	22107	Dilara Hamzaoglu
845358	38465	
845358	307159	
845358	380746	Dilara Hamzaoðlu
845358	404392	Yasemin
845358	411706	
845359	175397	
845360	38506	
845360	57413	
845360	139494	
845360	163094	
845360	173855	
845360	210522	
845360	242333	
845360	301811	
845360	322439	
845360	374321	
845361	9430	
845361	173645	
845361	374321	
845362	382093	Asuman
845362	383252	
845363	22053	
845364	285556	
845365	341876	
845366	27779	
845366	173767	
845366	289286	
845366	374335	
845367	5296	
845368	4028	
845368	10522	Sidika
845368	15325	
845368	22023	
845368	25618	Cali Nazife
845368	35628	
845368	38484	Ferhunde
845368	38486	
845368	79473	
845368	100269	
845368	124033	
845368	163106	
845368	173564	
845368	182091	
845368	249883	Madre de yaman
845368	349226	
845368	357596	
845368	370636	Hasan's wife
845368	370640	
845368	382135	Leyla (1989-2000)
845369	202456	
845370	380739	Gizem
845371	394225	Lena
845372	171971	
845373	229972	Nihal
845373	412121	Aylin
845374	383252	
845375	32313	
845376	104719	Herself
845376	104720	Herself
845376	104721	Herself
845376	104723	Herself
845376	104724	Herself
845377	181667	
845377	349701	
845378	82316	
845378	89467	
845378	200777	
845378	394377	
845379	38431	
845379	180629	
845379	325356	
845379	377509	
845380	22087	
845380	317667	
845380	378603	
845381	104721	Herself
845382	22047	
845382	38479	
845382	76768	
845382	172078	
845382	202454	
845382	295511	
845382	303582	
845383	124909	
845383	380739	Buse
845383	383348	
845383	394803	Ceren
845384	145754	Ceren
845384	407595	Pelin
845385	191333	
845386	12511	Anette
845386	257490	Nina Ellen
845387	117902	Marie Therese
845388	2466	Vibeke (Pike med hvit ball)
845389	166593	Berit, sykesøster
845389	343716	2. Ekspeditrise
845389	354196	Nordbys venninne
845390	392395	Lillema Wahring
845391	136877	Rakel
845392	240392	
845392	256599	Ronnie's Mother
845392	388554	Fru Aslaksen
845393	240392	
845393	250412	Jarmans kone
845394	84285	Herself
845394	213296	Anja
845394	382485	Herself - Host (2003-2004)
845395	79616	Bankdame
845396	285877	En sykepleier
845397	332258	
845398	345961	Herself - Mother to Niels Arn
845399	391717	Herself - Expert in couples
845400	388444	Herself - Participant
845401	386347	Herself (episode 1.5 "1960-19
845402	340429	Emma
845403	40754	Joy
845403	81470	Hofperson
845403	129180	Herself/Various roles
845403	136804	Jenny Lind
845403	137616	Charlotte
845403	153774	Mor
845403	214293	Mimi
845403	214336	Frøken Hvide
845403	237286	Blondie
845403	294066	Mor
845403	320428	Nannah Kruse
845403	325133	Charlotte
845403	351046	Katinka
845403	407621	Mette (natlægen) (1998-1999)
845404	343401	Sentralbordame
845405	34989	Participant (2001)
845405	381889	Herself
845405	381913	Participant (2nd out, 6th out
845406	111251	Christina Berg
845406	111836	Teacher
845406	173087	Stuepike
845406	405983	Ragnhild
845407	398497	Participant (2001)
845408	94273	
845409	7580	Amalie
845409	100504	Kamma
845409	291615	Pige/Girl
845409	378330	Annie
845410	287378	Laura, hans kone
845411	110741	Herself - Mother to Felicia
845412	135236	
845413	122341	Refrænsangerinde
845414	140388	Alma Jensen
845415	408376	Signe
845416	401878	Herself - Participant (2002)
845417	410203	Participant (2001)
845418	394815	Programleder (host)
845419	354606	Oppasserens hustru
845420	22067	
845420	27576	
845420	30110	Skibsdrengen Kristian
845420	37904	
845420	105047	Yrsa Nielsen
845420	117690	Overlægen
845420	123931	Frk. Stjerneborg
845420	154136	
845420	166597	Frk. Muhs
845420	182625	Faster Henriette Friis
845420	255660	
845420	275626	Patient
845420	303950	
845420	308229	Lucie
845420	312235	Frk. Erna Bunsen
845420	317600	Dronning Viktoria/The Queen
845420	322291	Kitty
845420	324626	Husassistent Erna Nielsen
845420	334434	Stuepigen Topsy
845420	338696	Frk. Lind
845420	344048	Den fredgene pige
845420	350562	Fru Hambro
845420	356852	
845421	22844	Operationssygeplejerske 3
845422	173087	Skolefrøken
845422	173088	Skolefrøken
845423	346990	Prestens husholderske
845424	191076	A passenger
845425	55096	Margrethe
845426	390942	Programleder
845426	392097	Programleder
845427	190838	Bedstemor
845428	47397	Frøken Berge
845428	145474	Fru Lauritzen
845428	154604	Nurse
845428	303678	Frk. Brun, pasient
845428	334172	En dame
845429	158534	
845430	314080	
845430	337184	moren til Trygve
845431	1208	Miss Riege
845431	29910	Karin, Roberts kone
845431	136630	Dora Holmen
845431	390848	Dora Holmen
845432	142713	Nelly
845432	210931	Miss
845432	256599	May's Mother
845432	378336	Lena, Kona til Oscar
845432	387196	Eline Jensen
845433	351797	Kontordame
845434	29182	Beate
845435	177931	
845435	201967	
845436	136857	Cantante
845436	322245	Katica néni
845437	14587	Herself
845438	240229	Luisa
845438	310898	Steffi
845438	408387	Hilde
845439	84547	Gerd, Tochter des Kellermeist
845440	94229	Barbara
845440	273165	Nurse
845441	9382	Maria
845441	9430	
845441	139493	
845441	198427	Atifet
845442	153973	
845442	284804	
845443	53306	
845444	15955	
845444	35614	Gözde
845444	240534	
845444	401244	
845445	38487	
845446	33492	Bernadette
845446	49314	Jennifer Lohmann
845446	66087	Yale
845446	80907	Jale
845446	125030	Turkish singer
845446	125115	Sarah
845446	156660	Melek
845446	182136	Ceyda
845446	189683	
845446	189713	
845446	259605	
845446	290703	Betty
845446	312113	Saskia
845446	322622	Andrea Melcher
845446	325559	Sanieba
845446	348602	Madlen
845446	352355	Ayse
845446	361088	Derya
845446	376360	Tanja Lohhoff
845447	348602	Danger
845448	307149	
845448	381020	Iffet
845448	381050	Safiye
845448	407308	Emel (1996-1997)
845449	179575	Sanem
845449	356023	Tuuba
845449	394158	Bayirgülü
845450	38482	
845451	177964	
845452	31039	
845453	293990	
845454	180395	
845455	349707	
845456	156222	
845456	238816	
845457	172655	Lára
845458	111475	Lilja
845459	301239	Malín
845460	870	
845461	137097	Kata
845462	208838	Magga
845463	870	Gunna
845464	378123	Gudrun
845465	378123	
\.


--
-- Name: actors idx_16806_primary; Type: CONSTRAINT; Schema: imdb_ijs; Owner: postgres
--

ALTER TABLE ONLY imdb_ijs.actors
    ADD CONSTRAINT idx_16806_primary PRIMARY KEY (id);


--
-- Name: directors idx_16813_primary; Type: CONSTRAINT; Schema: imdb_ijs; Owner: postgres
--

ALTER TABLE ONLY imdb_ijs.directors
    ADD CONSTRAINT idx_16813_primary PRIMARY KEY (id);


--
-- Name: directors_genres idx_16819_primary; Type: CONSTRAINT; Schema: imdb_ijs; Owner: postgres
--

ALTER TABLE ONLY imdb_ijs.directors_genres
    ADD CONSTRAINT idx_16819_primary PRIMARY KEY (director_id, genre);


--
-- Name: movies idx_16822_primary; Type: CONSTRAINT; Schema: imdb_ijs; Owner: postgres
--

ALTER TABLE ONLY imdb_ijs.movies
    ADD CONSTRAINT idx_16822_primary PRIMARY KEY (id);


--
-- Name: movies_directors idx_16827_primary; Type: CONSTRAINT; Schema: imdb_ijs; Owner: postgres
--

ALTER TABLE ONLY imdb_ijs.movies_directors
    ADD CONSTRAINT idx_16827_primary PRIMARY KEY (director_id, movie_id);


--
-- Name: movies_genres idx_16830_primary; Type: CONSTRAINT; Schema: imdb_ijs; Owner: postgres
--

ALTER TABLE ONLY imdb_ijs.movies_genres
    ADD CONSTRAINT idx_16830_primary PRIMARY KEY (movie_id, genre);


--
-- Name: roles idx_16833_primary; Type: CONSTRAINT; Schema: imdb_ijs; Owner: postgres
--

ALTER TABLE ONLY imdb_ijs.roles
    ADD CONSTRAINT idx_16833_primary PRIMARY KEY (actor_id, movie_id, role);


--
-- Name: idx_16806_actors_first_name; Type: INDEX; Schema: imdb_ijs; Owner: postgres
--

CREATE INDEX idx_16806_actors_first_name ON imdb_ijs.actors USING btree (first_name);


--
-- Name: idx_16806_actors_last_name; Type: INDEX; Schema: imdb_ijs; Owner: postgres
--

CREATE INDEX idx_16806_actors_last_name ON imdb_ijs.actors USING btree (last_name);


--
-- Name: idx_16813_directors_first_name; Type: INDEX; Schema: imdb_ijs; Owner: postgres
--

CREATE INDEX idx_16813_directors_first_name ON imdb_ijs.directors USING btree (first_name);


--
-- Name: idx_16813_directors_last_name; Type: INDEX; Schema: imdb_ijs; Owner: postgres
--

CREATE INDEX idx_16813_directors_last_name ON imdb_ijs.directors USING btree (last_name);


--
-- Name: idx_16819_directors_genres_director_id; Type: INDEX; Schema: imdb_ijs; Owner: postgres
--

CREATE INDEX idx_16819_directors_genres_director_id ON imdb_ijs.directors_genres USING btree (director_id);


--
-- Name: idx_16822_movies_name; Type: INDEX; Schema: imdb_ijs; Owner: postgres
--

CREATE INDEX idx_16822_movies_name ON imdb_ijs.movies USING btree (name);


--
-- Name: idx_16827_movies_directors_director_id; Type: INDEX; Schema: imdb_ijs; Owner: postgres
--

CREATE INDEX idx_16827_movies_directors_director_id ON imdb_ijs.movies_directors USING btree (director_id);


--
-- Name: idx_16827_movies_directors_movie_id; Type: INDEX; Schema: imdb_ijs; Owner: postgres
--

CREATE INDEX idx_16827_movies_directors_movie_id ON imdb_ijs.movies_directors USING btree (movie_id);


--
-- Name: idx_16830_movies_genres_movie_id; Type: INDEX; Schema: imdb_ijs; Owner: postgres
--

CREATE INDEX idx_16830_movies_genres_movie_id ON imdb_ijs.movies_genres USING btree (movie_id);


--
-- Name: idx_16833_actor_id; Type: INDEX; Schema: imdb_ijs; Owner: postgres
--

CREATE INDEX idx_16833_actor_id ON imdb_ijs.roles USING btree (actor_id);


--
-- Name: idx_16833_movie_id; Type: INDEX; Schema: imdb_ijs; Owner: postgres
--

CREATE INDEX idx_16833_movie_id ON imdb_ijs.roles USING btree (movie_id);


--
-- Name: directors_genres directors_genres_ibfk_1; Type: FK CONSTRAINT; Schema: imdb_ijs; Owner: postgres
--

ALTER TABLE ONLY imdb_ijs.directors_genres
    ADD CONSTRAINT directors_genres_ibfk_1 FOREIGN KEY (director_id) REFERENCES imdb_ijs.directors(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: movies_directors movies_directors_ibfk_1; Type: FK CONSTRAINT; Schema: imdb_ijs; Owner: postgres
--

ALTER TABLE ONLY imdb_ijs.movies_directors
    ADD CONSTRAINT movies_directors_ibfk_1 FOREIGN KEY (director_id) REFERENCES imdb_ijs.directors(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: movies_directors movies_directors_ibfk_2; Type: FK CONSTRAINT; Schema: imdb_ijs; Owner: postgres
--

ALTER TABLE ONLY imdb_ijs.movies_directors
    ADD CONSTRAINT movies_directors_ibfk_2 FOREIGN KEY (movie_id) REFERENCES imdb_ijs.movies(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: movies_genres movies_genres_ibfk_1; Type: FK CONSTRAINT; Schema: imdb_ijs; Owner: postgres
--

ALTER TABLE ONLY imdb_ijs.movies_genres
    ADD CONSTRAINT movies_genres_ibfk_1 FOREIGN KEY (movie_id) REFERENCES imdb_ijs.movies(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: roles roles_ibfk_1; Type: FK CONSTRAINT; Schema: imdb_ijs; Owner: postgres
--

ALTER TABLE ONLY imdb_ijs.roles
    ADD CONSTRAINT roles_ibfk_1 FOREIGN KEY (actor_id) REFERENCES imdb_ijs.actors(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: roles roles_ibfk_2; Type: FK CONSTRAINT; Schema: imdb_ijs; Owner: postgres
--

ALTER TABLE ONLY imdb_ijs.roles
    ADD CONSTRAINT roles_ibfk_2 FOREIGN KEY (movie_id) REFERENCES imdb_ijs.movies(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- PostgreSQL database dump complete
--

